Release 11.0 Documentation for ANSYS

Release 11.0 Documentation for ANSYS

Guide to the ANSYS Documentation

The manuals listed below form the ANSYS product documentation set. They include descriptions of the procedures, commands, elements, and theoretical details needed to use ANSYS. A brief description of each manual follows.

Commands Reference: Describes all ANSYS commands, in alphabetical order. It is the definitive reference for correct command usage, providing associated menu paths, product applicability, and usage notes.

Elements Reference: Describes all ANSYS element, in numerical order. It is the primary reference for correct element type input and output, providing comprehensive descriptions for every option of every element. Includes a pictorial catalog of the characteristics of each ANSYS element.

Operations Guide: Describes basic ANSYS operations such as starting, stopping, interactive or batch operation, using help, and use of the graphical user interface (GUI).

Basic Analysis Guide: Describes general tasks that apply to any type of analysis, including applying loads to a model, obtaining a solution, and using the ANSYS program's graphics capabilities to review results.

Advanced Analysis Techniques Guide: Discusses techniques commonly used for complex analyses or by experienced ANSYS users, including design optimization, manual rezoning, cyclic symmetry, rotating structures, submodeling, substructuring, component mode synthesis, and cross sections.

Modeling and Meshing Guide: Explains how to build a finite element model and mesh it.

Distributed ANSYS Guide: Explains how to configure a distributed processing environment and proceed with a distributed analysis.

Structural Analysis Guide: Describes how to perform the following structural analyses: static, modal, harmonic, transient, spectrum, buckling, nonlinear, material curve fitting, gasket joint simulation, fracture, composite, fatigue, p-method, beam, and shell.

Contact Technology Guide: Describes how to perform contact analyses (surface-to-surface, node-to-surface, node-to-node) and describes other contact-related features such as multipoint constraints and spot welds.

Multibody Analysis Guide: Describes how to perform a multibody simulation to analyze the dynamic behavior of a system of interconnected bodies comprised of flexible and/or rigid components.

Thermal Analysis Guide: Describes how to do steady-state or transient thermal analyses.

Fluids Analysis Guide: Describes how to perform fluid flow analyses including computational fluid dynamics, acoustics, and thin films.

Low-Frequency Electromagnetic Analysis Guide: Explains techniques for doing transient, static, or harmonic magnetic analyses; steady state current conduction; quasistatic harmonic and time-transient electric; electrostatic; and circuit.

High-Frequency Electromagnetic Analysis Guide: Explains how to do harmonic and modal high-frequency analyses.

Coupled-Field Analysis Guide: Explains how to perform analyses that involve an interaction between two or more fields of engineering.

ANSYS Parametric Design Language Guide: Describes features of the ANSYS Parametric Design Language (APDL), including parameters, array parameters, macros, and ways to interface with the ANSYS GUI. Explains how to automate common tasks or to build your model in terms of parameters. Includes a command reference for all APDL-related commands.

Troubleshooting Guide: A compilation of common error messages and resolution recommendations.

ANSYS LS-DYNA User's Guide: Explains how to perform an explicit dynamic analysis using the ANSYS LS-DYNA product. Describes features unique to explicit dynamics (element types, materials types, etc.), and also explains how to perform explicit-to-implicit and implicit-to-explicit sequential solutions.

ANSYS Connection User's Guide: Gives instructions for using the ANSYS Connection products, which help you import parts and models into ANSYS.

Verification Manual: Demonstrates a wide range of ANSYS elements and capabilities in simple, straightforward problems which have "classical" or readily-obtainable theoretical solutions. Most element types and major solution capabilities of ANSYS are included in this set of test cases. These problems may serve as the basis for additional validation and qualification of ANSYS capabilities for specific applications.

Theory Reference for ANSYS and ANSYS Workbench: Provides the theoretical basis for calculations in the ANSYS program, such as elements, solvers and results formulations, material models, and analysis methods. By understanding the underlying theory, you can make better use of ANSYS capabilities while being aware of assumptions and limitations.

All of the above manuals are available online through the ANSYS Help System, which can be accessed either as a stand-alone system or from within the ANSYS program.

NOTICE. The manuals above provide the complete specification of the ANSYS program referenced in your license agreement. This specification describes how to use the program, input required for commands and elements, and how the input data relate to the output.

Other documents (such as the ANSYS Tutorials and seminars, various Supplements, etc.) may be referenced by or listed in the ANSYS manuals listed above. However, these other documents are offered solely as aids, and do not undergo the same rigorous verification as the ANSYS product documentation set. No documents other than the manuals listed above are considered to be part of the formal program specification as stated in your license agreement.

Table of Contents

Release Notes
About ANSYS 11.0 Documentation
1. Using Online Documentation
2. Legal Notice Information
3. Expert Search
1. ANSYS Release Notes for 11.0
1.1. ANSYS 11.0 New Features and Enhancements
1.1.1. Installation and Licensing Changes
1.1.2. Structural
1.1.3. Coupled-Field
1.1.4. Low-Frequency Electromagnetics
1.1.5. High-Frequency Electromagnetics
1.1.6. Thermal and Fluids/CFD
1.1.7. Solvers
1.1.8. Other ANSYS Enhancements
1.1.9. Commands
1.1.10. Elements
1.1.11. APDL Enhancements
1.1.12. Documentation Updates for Programmers
1.2. Known Incompatibilities in ANSYS 11.0
1.2.1. MASS21 with KEYOPT(2) = 1
1.2.2. MIDTOL Command
1.2.3. PLHFFAR and PRHFFAR Commands
1.2.4. MPC184 Element
1.2.5. SHELL208 and SHELL209 Elements
1.2.6. Results File Format Change
1.2.7. /CONFIG Command
1.3. The ANSYS Customer Portal
Commands Reference
1. About This Manual
1.1. Conventions Used in this Manual
1.1.1. Product Codes
1.1.2. Applicable ANSYS Products
1.2. ANSYS Product Capabilities
1.3. Terminology
1.4. ANSYS Command Characteristics
1.4.1. Data Input
1.4.2. Free-Format Input
1.4.3. Nonrestrictive Data Input
1.4.4. Condensed Data Input
1.4.5. Units
1.4.6. Defaults
1.4.7. File Names
1.4.8. Star and Slash Commands
2. Command Groupings
2.1. SESSION Commands
2.2. DATABASE Commands
2.3. GRAPHICS Commands
2.4. APDL Commands
2.5. PREP7 Commands
2.6. SOLUTION Commands
2.7. POST1 Commands
2.8. POST26 Commands
2.9. AUX2 Commands
2.10. AUX3 Commands
2.11. AUX12 Commands
2.12. AUX15 Commands
2.13. RUNSTATS Commands
2.14. OPTIMIZATION Commands
2.15. VARIATIONAL TECHNOLOGY Commands
2.16. PROBABILISTIC Design Commands
2.17. DISPLAY Program Commands
2.18. REDUCED Order Modeling Commands
2.19. Menu-Inaccessible Commands
3. Command Dictionary
4. APDL Commands
I. Connection Commands
~CAT5IN - Transfers a .CATPart file into the ANSYS program.
~CATIAIN - Transfers a CATIA model into the ANSYS program.
~PARAIN - Transfers a Parasolid file into the ANSYS program.
~PROEIN - Transfers a Pro/ENGINEER part into the ANSYS program.
~SATIN - Transfers a .SAT file into the ANSYS program.
~UGIN - Transfers a Unigraphics part into the ANSYS program.
II. A Commands
A - Defines an area by connecting keypoints.
AADD - Adds separate areas to create a single area.
AATT - Associates element attributes with the selected, unmeshed areas.
ABEXTRACT - Extracts the alpha-beta damping multipliers for Rayleigh damping.
ABS - Forms the absolute value of a variable.
ACCAT - Concatenates multiple areas in preparation for mapped meshing.
ACEL - Specifies the linear acceleration of the structure.
ACLEAR - Deletes nodes and area elements associated with selected areas.
ADAMS - Performs solutions and writes flexible body information to a modal neutral file (Jobname.MNF) for use in an ADAMS analysis.
ADAPT - Adaptively meshes and solves a model.
ADD - Adds variables.
ADDAM - Specifies the acceleration spectrum computation constants for the analysis of shock resistance of shipboard structures.
ADELE - Deletes unmeshed areas.
ADGL - Lists keypoints of an area that lie on a parametric degeneracy.
ADRAG - Generates areas by dragging a line pattern along a path.
AESIZE - Specifies the element size to be meshed onto areas.
AFILLT - Generates a fillet at the intersection of two areas.
AFLIST - Lists the current data in the database.
AFSURF - Generates surface elements overlaid on the surface of existing solid elements and assigns the extra node as the closest fluid element node.
AGEN - Generates additional areas from a pattern of areas.
AGLUE - Generates new areas by "gluing" areas.
AINA - Finds the intersection of areas.
AINP - Finds the pairwise intersection of areas.
AINV - Finds the intersection of an area with a volume.
AL - Generates an area bounded by previously defined lines.
ALIST - Lists the defined areas.
ALLSEL - Selects all entities with a single command.
ALPFILL - Fills in an area loop within an existing 2-D area (for models imported from CAD files).
ALPHAD - Defines the mass matrix multiplier for damping.
AMAP - Generates a 2-D mapped mesh based on specified area corners.
AMESH - Generates nodes and area elements within areas.
/AN3D - Specifies 3-D annotation functions
ANCNTR - Produces an animated sequence of a contoured deformed shape.
ANCUT - Produces an animated sequence of Q-slices.
ANCYC - Applies a traveling wave animation to graphics data in a modal cyclic symmetry analysis.
ANDATA - Produces a sequential contour animation over a range of results data.
ANDSCL - Produces an animated sequence of a deformed shape.
ANDYNA - Produces an animated sequence of contour values through substeps.
/ANFILE - Saves or resumes an animation sequence to or from a file.
ANFLOW - Produces an animated sequence of particle flow in a flowing fluid or a charged particle traveling in an electric or magnetic field.
/ANGLE - Rotates the display about an axis.
ANHARM - Produces a time-transient animated sequence of time-harmonic results or complex mode shapes.
ANIM - Displays graphics data in animated form.
ANISOS - Produces an animated sequence of an isosurface.
ANMODE - Produces an animated sequence of a mode shape.
ANMRES - Performs animation of results over multiple results files in an explicit dynamic structural analysis or fluid flow analysis with remeshing.
/ANNOT - Activates graphics for annotating displays (GUI).
ANORM - Reorients area normals.
ANSOL - Specifies averaged nodal data to be stored from the results file in the solution coordinate system.
ANSTOAQWA - Creates an AQWA-LINE input file from the current ANSYS model.
ANSTOASAS - Creates an ASAS input file from the current ANSYS model.
ANTIME - Produces a sequential contour animation over a range of time.
ANTYPE - Specifies the analysis type and restart status.
/ANUM - Specifies the annotation number, type, and hot spot (GUI).
AOFFST - Generates an area, offset from a given area.
AOVLAP - Overlaps areas.
APLOT - Displays the selected areas.
APPEND - Reads data from the results file and appends it to the database.
APTN - Partitions areas.
ARCLEN - Activates the arc-length method.
ARCOLLAPSE - Collapses specified area to a specified line segment (for models imported from CAD files).
ARCTRM - Controls termination of the arc-length solution.
ARDETACH - Detaches areas from neighboring geometrical entities (for models imported from CAD files).
AREAS - Specifies "Areas" as the subsequent status topic.
AREFINE - Refines the mesh around specified areas.
AREMESH - Generates an area in which to create a new mesh for rezoning.
AREVERSE - Reverses the normal of an area, regardless of its connectivity or mesh status.
ARFILL - Creates an area based on a set of singly-connected lines (for models imported from CAD files).
ARMERGE - Merges two or more singly-connected adjacent areas (for models imported from CAD files).
AROTAT - Generates cylindrical areas by rotating a line pattern about an axis.
ARSCALE - Generates a scaled set of areas from a pattern of areas.
ARSPLIT - Splits an area between two keypoints (for models imported from CAD files).
ARSYM - Generates areas from an area pattern by symmetry reflection.
ASBA - Subtracts areas from areas.
ASBL - Subtracts lines from areas.
ASBV - Subtracts volumes from areas.
ASBW - Subtracts the intersection of the working plane from areas (divides areas).
ASEL - Selects a subset of areas.
ASKIN - Generates an area by "skinning" a surface through guiding lines.
ASLL - Selects those areas containing the selected lines.
ASLV - Selects those areas contained in the selected volumes.
/ASSIGN - Reassigns a file name to an ANSYS file identifier.
ASUB - Generates an area using the shape of an existing area.
ASUM - Calculates and prints geometry statistics of the selected areas.
ATAN - Forms the arctangent of a complex variable.
ATRAN - Transfers a pattern of areas to another coordinate system.
ATYPE - Specifies "Analysis types" as the subsequent status topic.
/AUTO - Resets the focus and distance specifications to "automatically calculated."
AUTOTS - Specifies whether to use automatic time stepping or load stepping.
/AUX2 - Enters the binary file dumping processor.
/AUX3 - Enters the results file editing processor.
/AUX12 - Enters the radiation processor.
/AUX15 - Enters the IGES file transfer processor.
AVPRIN - Specifies how principal and vector sums are to be calculated.
AVRES - Specifies how results data will be averaged when PowerGraphics is enabled.
/AXLAB - Labels the X and Y axes on graph displays.
III. B Commands
/BATCH - Sets the program mode to "batch."
BCSOPTION - Sets memory option for the sparse solver.
BELLOW - Defines a bellows in a piping run.
BEND - Defines a bend in a piping run.
BETAD - Defines the stiffness matrix multiplier for damping.
BF - Defines a nodal body force load.
BFA - Defines a body force load on an area.
BFADELE - Deletes body force loads on an area.
BFALIST - Lists the body force loads on an area.
BFCUM - Specifies that nodal body force loads are to be accumulated.
BFDELE - Deletes nodal body force loads.
BFE - Defines an element body force load.
BFECUM - Specifies whether to ignore subsequent element body force loads.
BFEDELE - Deletes element body force loads.
BFELIST - Lists the element body force loads.
BFESCAL - Scales element body force loads.
BFINT - Activates the body force interpolation operation.
BFK - Defines a body force load at a keypoint.
BFKDELE - Deletes body force loads at a keypoint.
BFKLIST - Lists the body force loads at keypoints.
BFL - Defines a body force load on a line.
BFLDELE - Deletes body force loads on a line.
BFLIST - Lists the body force loads on nodes.
BFLLIST - Lists the body force loads on a line.
BFSCALE - Scales body force loads at nodes.
BFTRAN - Transfers solid model body force loads to the finite element model.
BFUNIF - Assigns a uniform body force load to all nodes.
BFV - Defines a body force load on a volume.
BFVDELE - Deletes body force loads on a volume.
BFVLIST - Lists the body force loads on a volume.
BIOOPT - Specifies "Biot-Savart options" as the subsequent status topic.
BIOT - Calculates the Biot-Savart source magnetic field intensity.
BLC4 - Creates a rectangular area or block volume by corner points.
BLC5 - Creates a rectangular area or block volume by center and corner points.
BLOCK - Creates a block volume based on working plane coordinates.
BOOL - Specifies "Booleans" as the subsequent status topic.
BOPTN - Specifies Boolean operation options.
BRANCH - Defines the starting point for a piping branch.
BSAX - Specifies the axial strain and axial force relationship for beam sections.
BSMD - Specifies mass density for a nonlinear general beam section.
BSM1 - Specifies the bending curvature and moment relationship in plane XZ for beam sections.
BSM2 - Specifies the bending curvature and moment relationship in plane XY for beam sections.
BSPLIN - Generates a single line from a spline fit to a series of keypoints.
BSS1 - Specifies the transverse shear strain and force relationship in plane XZ for beam sections.
BSS2 - Specifies the transverse shear strain and force relationship in plane XY for beam sections.
BSTE - Specifies a thermal expansion coefficient for a nonlinear general beam section.
BSTQ - Specifies the cross section twist and torque relationship for beam sections.
BTOL - Specifies the Boolean operation tolerances.
BUCOPT - Specifies buckling analysis options.
IV. C Commands
C*** - Places a comment in the output.
CALC - Specifies "Calculation settings" as the subsequent status topic.
CAMPBELL - Prepares the result file for a subsequent Campbell diagram of a prestressed structure.
CBDOF - Activates cut boundary interpolation (for submodeling).
CDOPT - Specifies format to be used for archiving geometry.
CDREAD - Reads a file of solid model and database information into the database.
CDWRITE - Writes geometry and load database items to a file.
CE - Defines a constraint equation relating degrees of freedom.
CECHECK - Check constraint equations and couplings for rigid body motions.
CECMOD - Modifies the constant term of a constraint equation during solution.
CECYC - Generates the constraint equations for a cyclic symmetry analysis
CEDELE - Deletes constraint equations.
CEINTF - Generates constraint equations at an interface.
CELIST - Lists the constraint equations.
CENTER - Defines a node at the center of curvature of 2 or 3 nodes.
CEQN - Specifies "Constraint equations" as the subsequent status topic.
CERIG - Defines a rigid region.
CESGEN - Generates a set of constraint equations from existing sets.
CFACT - Defines complex scaling factors to be used with operations.
/CFORMAT - Controls the graphical display of alphanumeric character strings for parameters, components, assemblies, and tables.
CGLOC - Specifies the origin location of the acceleration coordinate system.
CGOMGA - Specifies the rotational velocity of the global origin.
CHECK - Checks current database items for completeness.
CHKMSH - Checks area and volume entities for previous meshes.
CINT - Defines parameters associated with contour integral calculations
CIRCLE - Generates circular arc lines.
CISOL - Stores J-integral information in a variable.
/CLABEL - Specifies contour labeling.
/CLEAR - Clears the database.
CLOCAL - Defines a local coordinate system relative to the active coordinate system.
CLOG - Forms the common log of a variable
/CLOG - Copies the session log file to a named file.
CLRMSHLN - Clears meshed entities.
CM - Groups geometry items into a component.
CMACEL - Specifies the translational acceleration of an element component
/CMAP - Changes an existing or creates a new color mapping table.
CMATRIX - Performs electrostatic field solutions and calculates the self and mutual capacitances between multiple conductors.
CMDELE - Deletes a component or assembly definition.
CMDOMEGA - Specifies the rotational acceleration of an element component about a user-defined rotational axis.
CMEDIT - Edits an existing assembly.
CMGRP - Groups components and assemblies into an assembly.
CMLIST - Lists the contents of a component or assembly.
CMMOD - Modifies the specification of a component.
CMOMEGA - Specifies the rotational velocity of an element component about a user-defined rotational axis.
CMPLOT - Plots the entities contained in a component or assembly.
CMROTATE - Specifies the rotational velocity of an element component about a user-defined rotational axis
CMSEL - Selects a subset of components and assemblies.
CMSFILE - Specifies a list of component mode synthesis (CMS) results files for plotting results on the assembly.
CMSOPT - Specifies component mode synthesis (CMS) analysis options.
CMWRITE - Writes components and assemblies to a file.
CNCHECK - Provides and/or adjusts the initial status of contact pairs.
CNVTOL - Sets convergence values for nonlinear analyses.
/COLOR - Specifies the color mapping for various items.
/COM - Places a comment in the output.
COMPRESS - Deletes all specified sets.
CON4 - Creates a conical volume anywhere on the working plane.
CONE - Creates a conical volume centered about the working plane origin.
/CONFIG - Assigns values to ANSYS configuration parameters.
CONJUG - Forms the complex conjugate of a variable.
/CONTOUR - Specifies the uniform contour values on stress displays.
/COPY - Copies a file.
CORIOLIS - Applies the Coriolis effect to a rotating structure.
COUPLE - Specifies "Node coupling" as the subsequent status topic.
COVAL - Defines PSD cospectral values.
CP - Defines (or modifies) a set of coupled degrees of freedom.
CPCYC - Couples the two side faces of a cyclically symmetric model for loadings that are the same on every segment.
CPDELE - Deletes coupled degree of freedom sets.
CPINTF - Defines coupled degrees of freedom at an interface.
/CPLANE - Specifies the cutting plane for section and capped displays.
CPLGEN - Generates sets of coupled nodes from an existing set.
CPLIST - Lists the coupled degree of freedom sets.
CPMERGE - Merges different couple sets with duplicate degrees of freedom into one couple set.
CPNGEN - Defines, modifies, or adds to a set of coupled degrees of freedom.
CPSGEN - Generates sets of coupled nodes from existing sets.
CQC - Specifies the complete quadratic mode combination method.
CRPLIM - Specifies the creep criterion for automatic time stepping.
CS - Defines a local coordinate system by three node locations.
CSCIR - Locates the singularity for non-Cartesian local coordinate systems.
CSDELE - Deletes local coordinate systems.
CSKP - Defines a local coordinate system by three keypoint locations.
CSLIST - Lists coordinate systems.
CSWPLA - Defines a local coordinate system at the origin of the working plane.
CSYS - Activates a previously defined coordinate system.
/CTYPE - Specifies the type of contour display.
CURR2D - Calculates current flow in a 2-D conductor.
CUTCONTROL - Controls time-step cutback during a nonlinear solution.
/CVAL - Specifies nonuniform contour values on stress displays.
CVAR - Computes covariance between two quantities.
/CWD - Changes the current working directory.
/CYCEXPAND - Graphically expands displacements, stresses and strains of a cyclically symmetric model.
CYCLIC - Specifies a cyclic symmetry analysis.
CYCOPT - Specifies solution options for a cyclic symmetry analysis.
CYCPHASE - Provides tools for determining minimum and maximum possible result values from frequency couplets produced in a modal cyclic symmetry analysis.
CYL4 - Creates a circular area or cylindrical volume anywhere on the working plane.
CYL5 - Creates a circular area or cylindrical volume by end points.
CYLIND - Creates a cylindrical volume centered about the working plane origin.
CZDEL - Edits or clears cohesive zone sections.
CZMESH - Create and mesh an interface area composed of cohesive zone elements.
V. D Commands
D - Defines DOF constraints at nodes.
DA - Defines DOF constraints on areas.
DADELE - Deletes DOF constraints on an area.
DALIST - Lists the DOF constraints on an area.
DAMORPH - Move nodes in selected areas to conform to structural displacements.
DATA - Reads data records from a file into a variable.
DATADEF - Specifies "Directly defined data status" as the subsequent status topic.
DCGOMG - Specifies the rotational acceleration of the global origin.
DCUM - Specifies that DOF constraint values are to be accumulated.
DCVSWP - Performs a DC voltage sweep on a ROM element.
DDELE - Deletes degree of freedom constraints.
DEACT - Specifies "Element birth and death" as the subsequent status topic.
DECOMP - Decomposes the model into domains used by Distributed ANSYS
DEFINE - Specifies "Data definition settings" as the subsequent status topic.
DELETE - Specifies sets in the results file to be deleted before postprocessing.
/DELETE - Deletes a file.
DELTIM - Specifies the time step sizes to be used for this load step.
DEMORPH - Move nodes in selected elements to conform to structural displacements.
DERIV - Differentiates a variable.
DESIZE - Controls default element sizes.
DESOL - Defines or modifies solution results at a node of an element.
DETAB - Modifies element table results in the database.
/DEVDISP - Controls graphics device options.
/DEVICE - Controls graphics device options.
DIG - Digitizes nodes to a surface.
DIGIT - Specifies "Node digitizing" as the subsequent status topic.
DISPLAY - Specifies "Display settings" as the subsequent status topic.
/DIST - Specifies the viewing distance for magnifications and perspective.
DJ - Specifies boundary conditions on the components of relative motion of a joint element.
DJDELE - Deletes boundary conditions on the components of relative motion of a joint element.
DJLIST - Lists boundary conditions applied to joint elements.
DK - Defines DOF constraints at keypoints.
DKDELE - Deletes DOF constraints at a keypoint.
DKLIST - Lists the DOF constraints at keypoints.
DL - Defines DOF constraints on lines.
DLDELE - Deletes DOF constraints on a line.
DLIST - Lists DOF constraints.
DLLIST - Lists DOF constraints on a line.
DMOVE - Digitizes nodes on surfaces and along intersections.
DMPEXT - Extracts modal damping coefficients in a specified frequency range.
DMPRAT - Sets a constant damping ratio.
DNSOL - Defines or modifies solution results at a node.
DOF - Adds degrees of freedom to the current DOF set.
DOFSEL - Selects a DOF label set for reference by other commands.
DOMEGA - Specifies the rotational acceleration of the structure.
DSCALE - Scales DOF constraint values.
/DSCALE - Sets the displacement multiplier for displacement displays.
DSET - Sets the scale and drawing plane orientation for a digitizing tablet.
DSPOPTION - Sets memory option for the distributed sparse solver.
DSUM - Specifies the double sum mode combination method.
DSURF - Defines the surface upon which digitized nodes lie.
DSYM - Specifies symmetry or antisymmetry DOF constraints on nodes.
DSYS - Activates a display coordinate system for geometry listings and plots.
DTRAN - Transfers solid model DOF constraints to the finite element model.
DUMP - Dumps the contents of a binary file.
/DV3D - Sets 3-D device option modes.
DVMORPH - Move nodes in selected volumes to conform to structural displacements.
DYNOPT - Specifies "Dynamic analysis options" as the subsequent status topic.
VI. E Commands
E - Defines an element by node connectivity.
EALIVE - Reactivates an element (for the birth and death capability).
EDADAPT - Activates adaptive meshing in an explicit dynamic analysis.
EDALE - Assigns mesh smoothing to explicit dynamic elements that use the ALE formulation.
EDASMP - Creates a part assembly to be used in an explicit dynamic analysis.
EDBOUND - Defines a boundary plane for sliding or cyclic symmetry.
EDBX - Creates a box shaped volume to be used in a contact definition for explicit dynamics.
EDBVIS - Specifies global bulk viscosity coefficients for an explicit dynamics analysis.
EDCADAPT - Specifies adaptive meshing controls for an explicit dynamic analysis.
EDCGEN - Specifies contact parameters for an explicit dynamics analysis.
EDCLIST - Lists contact entity specifications in an explicit dynamics analysis.
EDCMORE - Specifies additional contact parameters for a given contact definition in an explicit dynamic analysis.
EDCNSTR - Defines various types of constraints for an explicit dynamic analysis.
EDCONTACT - Specifies contact surface controls for an explicit dynamics analysis.
EDCPU - Specifies CPU time limit for an explicit dynamics analysis.
EDCRB - Constrains two rigid bodies to act as one in an explicit dynamics analysis.
EDCSC - Specifies whether to use subcycling in an explicit dynamics analysis.
EDCTS - Specifies mass scaling and scale factor of computed time step for an explicit dynamics analysis.
EDCURVE - Specifies data curves for an explicit dynamic analysis.
EDDAMP - Defines mass weighted (Alpha) or stiffness weighted (Beta) damping for an explicit dynamics model.
EDDBL - Selects a numerical precision type of the explicit dynamics analysis.
EDDC - Deletes or deactivates/reactivates contact surface specifications in an explicit dynamic analysis.
EDDRELAX - Activates initialization to a prescribed geometry or dynamic relaxation for the explicit analysis.
EDDUMP - Specifies output frequency for the explicit dynamic restart file (d3dump).
EDELE - Deletes selected elements from the model.
EDENERGY - Specifies energy dissipation controls for an explicit dynamics analysis.
EDFPLOT - Allows plotting of explicit dynamics forces and other load symbols.
EDGCALE - Defines global ALE controls for an explicit dynamic analysis.
/EDGE - Displays only the "edges" of an object.
EDHGLS - Specifies the hourglass coefficient for an explicit dynamics analysis.
EDHIST - Specifies time-history output for an explicit dynamic analysis.
EDHTIME - Specifies the time-history output interval for an explicit dynamics analysis.
EDINT - Specifies number of integration points for explicit shell and beam output.
EDIPART - Defines inertia for rigid parts in an explicit dynamics analysis.
EDIS - Specifies stress initialization in an explicit dynamic full restart analysis.
EDLCS - Defines a local coordinate system for use in explicit dynamics analysis.
EDLOAD - Specifies loads for an explicit dynamics analysis.
EDMP - Defines material properties for an explicit dynamics analysis.
EDNB - Defines a nonreflecting boundary in an explicit dynamic analysis.
EDNDTSD - Allows smoothing of noisy data for explicit dynamics analyses and provides a graphical representation of the data.
EDNROT - Applies a rotated coordinate nodal constraint in an explicit dynamics analysis.
EDOPT - Specifies the type of output for an explicit dynamics analysis.
EDOUT - Specifies time-history output (ASCII format) for an explicit dynamics analysis.
EDPART - Configures parts for an explicit dynamics analysis.
EDPC - Selects and plots explicit dynamic contact entities.
EDPL - Plots a time dependent load curve in an explicit dynamic analysis.
EDPVEL - Applies initial velocities to parts or part assemblies in an explicit dynamic analysis.
EDRC - Specifies rigid/deformable switch controls in an explicit dynamic analysis.
EDRD - Switches a part from deformable to rigid or from rigid to deformable in an explicit dynamic analysis.
EDREAD - Reads explicit dynamics output into variables for time-history postprocessing.
EDRI - Defines inertia properties for a new rigid body that is created when a deformable part is switched to rigid in an explicit dynamic analysis.
EDRST - Specifies the output interval for an explicit dynamic analysis.
EDRUN - Specify LS-DYNA serial or parallel processing.
EDSHELL - Specifies shell computation controls for an explicit dynamics analysis.
EDSOLV - Specifies "explicit dynamics solution" as the subsequent status topic.
EDSP - Specifies small penetration checking for contact entities in an explicit dynamic analysis.
EDSTART - Specifies status (new or restart) of an explicit dynamics analysis.
EDTERM - Specifies termination criteria for an explicit dynamic analysis.
EDTP - Plots explicit elements based on their time step size.
EDVEL - Applies initial velocities to nodes or node components in an explicit dynamic analysis.
EDWELD - Defines a massless spotweld or generalized weld for use in an explicit dynamic analysis.
EDWRITE - Writes explicit dynamics input to an LS-DYNA input file.
/EFACET - Specifies the number of facets per element edge for PowerGraphics displays.
EGEN - Generates elements from an existing pattern.
EINTF - Defines two-node elements between coincident or offset nodes.
EKILL - Deactivates an element (for the birth and death capability).
ELEM - Specifies "Elements" as the subsequent status topic.
ELIST - Lists the elements and their attributes.
EMAGERR - Calculates the relative error in an electrostatic or electromagnetic field analysis.
EMATWRITE - Forces the writing of all the element matrices to File.EMAT.
EMF - Calculates the electromotive force (emf), or voltage drop along a predefined path.
EMFT - Summarizes electromagnetic forces and torques.
EMID - Adds or removes midside nodes.
EMIS - Specifies emissivity as a material property for the Radiation Matrix method.
EMODIF - Modifies a previously defined element.
EMORE - Adds more nodes to the just-defined element.
EMSYM - Specifies circular symmetry for electromagnetic sources.
EMTGEN - Generates a set of TRANS126 elements.
EMUNIT - Specifies the system of units for magnetic field problems.
EN - Defines an element by its number and node connectivity.
ENDRELEASE - Specifies degrees of freedom to be decoupled for end release.
ENERSOL - Specifies the total energies to be stored.
ENGEN - Generates elements from an existing pattern.
ENORM - Reorients shell element normals or line element node connectivity.
ENSYM - Generates elements by symmetry reflection.
/EOF - Exits the file being read.
EORIENT - Reorients solid element normals.
EPLOT - Produces an element display.
EQSLV - Specifies the type of equation solver.
ERASE - Explicitly erases the current display.
/ERASE - Specifies that the screen is to be erased before each display.
EREAD - Reads elements from a file.
EREFINE - Refines the mesh around specified elements.
EREINF - Generates reinforcing elements from selected existing (base) elements.
ERESX - Specifies extrapolation of integration point results.
ERNORM - Controls error estimation calculations.
ERRANG - Specifies the element range to be read from a file.
ESCHECK - Perform element shape checking for a selected element set.
ESEL - Selects a subset of elements.
/ESHAPE - Displays elements with shapes determined from the real constants or section definition.
ESIZE - Specifies the default number of line divisions.
ESLA - Selects those elements associated with the selected areas.
ESLL - Selects those elements associated with the selected lines.
ESLN - Selects those elements attached to the selected nodes.
ESLV - Selects elements associated with the selected volumes.
ESOL - Specifies element data to be stored from the results file.
ESORT - Sorts the element table.
ESSOLV - Performs a coupled electrostatic-structural analysis.
ESTIF - Specifies the matrix multiplier for deactivated elements.
ESURF - Generates elements overlaid on the free faces of existing selected elements.
ESYM - Generates elements from a pattern by a symmetry reflection.
ESYS - Sets the element coordinate system attribute pointer.
ET - Defines a local element type from the element library.
ETABLE - Fills a table of element values for further processing.
ETCHG - Changes element types to their corresponding types.
ETCONTROL - Control the element technologies used in element formulation (for applicable elements).
ETDELE - Deletes element types.
ETLIST - Lists currently defined element types.
ETYPE - Specifies "Element types" as the subsequent status topic.
EUSORT - Restores original order of the element table.
EWRITE - Writes elements to a file.
/EXIT - Stops the run and returns control to the system.
EXP - Forms the exponential of a variable.
EXPAND - Displays the results of a modal cyclic symmetry analysis.
/EXPAND - Allows the creation of a larger graphic display than represented by the actual finite element analysis model.
EXPASS - Specifies an expansion pass of an analysis.
EXPROFILE - Exports ANSYS interface loads to a CFX Profile file.
EXPSOL - Specifies the solution to be expanded for reduced analyses.
EXTOPT - Controls options relating to the generation of volume elements from area elements.
EXTREM - Lists the extreme values for variables.
EXUNIT - Indicates units assumed for an interface load for ANSYS to CFX transfer.
VII. F Commands
F - Specifies force loads at nodes.
/FACET - Specifies the facet representation used to form solid model displays.
FATIGUE - Specifies "Fatigue data status" as the subsequent status topic.
FC - Provides failure criteria information and activates a data table to input temperature-dependent stress and strain limits.
FCCHECK - Checks both the strain and stress input criteria for all materials.
FCDELE - Deletes previously defined failure criterion data for the given material.
FCLIST - To list what the failure criteria is that you have input.
FCUM - Specifies that force loads are to be accumulated.
FDELE - Deletes force loads on nodes.
/FDELE - Deletes a binary file after it is used.
FE - Defines a set of fatigue event parameters.
FEBODY - Specifies "Body loads on elements" as the subsequent status topic.
FECONS - Specifies "Constraints on nodes" as the subsequent status topic.
FEFOR - Specifies "Forces on nodes" as the subsequent status topic.
FELIST - Lists the fatigue event parameters.
FESURF - Specifies "Surface loads on elements" as the subsequent status topic.
FILE - Specifies the data file where results are to be found.
FILEAUX2 - Specifies the binary file to be dumped.
FILEAUX3 - Specifies the results file to be edited.
FILEDISP - Specifies the file containing the graphics data.
FILL - Generates a line of nodes between two existing nodes.
FILLDATA - Fills a variable by a ramp function.
/FILNAME - Changes the Jobname for the analysis.
FINISH - Exits normally from a processor.
FITEM - Identifies items chosen by a picking operation (GUI).
FJ - Specify forces or moments on the components of the relative motion of a joint element.
FJDELE - Deletes forces (or moments) on the components of the relative motion of a joint element.
FJLIST - Lists forces and moments applied on joint elements.
FK - Defines force loads at keypoints.
FKDELE - Deletes force loads at a keypoint.
FKLIST - Lists the forces at keypoints.
FL - Defines a set of fatigue location parameters.
FLANGE - Defines a flange in a piping run.
FLDATA - Sets up a FLOTRAN analysis.
FLDATA1 - Controls which features of the solution algorithm are activated.
FLDATA2 - Sets iteration and output controls for steady state analyses.
FLDATA3 - Sets the convergence monitors for the degree of freedom set.
FLDATA4 - Sets controls for transient analyses based on transient time and convergence monitors or sets time integration method.
FLDATA4A - Sets controls for transient analyses based on the number of time steps.
FLDATA5 - Sets output and storage controls.
FLDATA6 - Controls the output of the convergence monitor.
FLDATA7 - Specifies the type of fluid property.
FLDATA8 - Specifies the NOMI coefficient of the fluid property equation.
FLDATA9 - Specifies the COF1 coefficient of the fluid property equation.
FLDATA10 - Specifies the COF2 coefficient of the fluid property equation.
FLDATA11 - Specifies the COF3 coefficient of the fluid property equation.
FLDATA12 - Sets the property update frequency flag.
FLDATA13 - Sets the property variation flag.
FLDATA14 - Specifies the reference temperature.
FLDATA15 - Specifies the reference pressure.
FLDATA16 - Specifies the bulk modulus parameter.
FLDATA17 - Specifies the specific heat ratio.
FLDATA18 - Selects the algebraic solver.
FLDATA19 - Specifies the number of TDMA sweeps.
FLDATA20 - Specifies the number of conjugate direction search vectors.
FLDATA20A - Specifies the amount of fill-in when preconditioning the coefficient matrix.
FLDATA20B - Specifies the number of fill-ins for the ILU preconditioner.
FLDATA21 - Specifies the convergence criterion for FLOTRAN algebraic solvers.
FLDATA22 - Specifies the maximum number of semi-direct iterations.
FLDATA23 - Specifies the solver minimum normalized rate of change.
FLDATA24 - Sets the turbulence model and the constants used in the Standard k-ε Model and the Zero Equation Turbulence Model.
FLDATA24A - Sets constants for the Re-Normalized Group Turbulence Model (RNG).
FLDATA24B - Sets constants for the k-ε Turbulence Model due to Shih (NKE).
FLDATA24C - Sets constants for the Nonlinear Turbulence Model of Girimaji (GIR).
FLDATA24D - Sets constants for the Shih, Zhu, Lumley Turbulence Model (SZL).
FLDATA24E - Sets constants for the k-ω turbulence model.
FLDATA24F - Sets the turbulent production clip factor for the Shear Stress Transport (SST) turbulence model.
FLDATA24G - Sets constants in the k-ω regime for the Shear Stress Transport (SST) turbulence model.
FLDATA24H - Sets constants in the k-ε regime for the Shear Stress Transport (SST) turbulence model.
FLDATA25 - Sets solution and property relaxation factors.
FLDATA26 - Sets stability controls.
FLDATA27 - Controls dependent variable printing.
FLDATA28 - Specifies that variable results are to be replaced.
FLDATA29 - Re-initializes a results variable.
FLDATA30 - Controls the quadrature orders.
FLDATA31 - Specifies dependent variable caps.
FLDATA32 - Controls restart options.
FLDATA33 - Specifies the approach to discretize the advection term.
FLDATA34 - Sets modified inertial relaxation factors.
FLDATA35 - Specifies tolerances for the lower and upper bound of the volume fraction.
FLDATA36 - Specifies ambient reference values outside of the fluid for the volume of fluid (VOF) method.
FLDATA37 - Specifies segregated solution or film coefficient algorithms.
FLDATA38 - Specifies the mass type for a fluid transient analysis.
FLDATA39 - Specifies remeshing parameters for transient fluid flow and fluid-solid interaction analyses.
FLDATA40 - Controls activation of thermal stabilization near walls.
FLIST - Lists force loads on the nodes.
FLLIST - Lists the fatigue location parameters.
FLOCHECK - Sets up and runs a zero-iteration FLOTRAN analysis.
FLOTRAN - Specifies "FLOTRAN data settings" as the subsequent status topic.
FLREAD - Reads the residual file written by the FLOTRAN CFD option.
FLST - Specifies data required for a picking operation (GUI).
FLUXV - Calculates the flux passing through a closed contour.
FMAGBC - Applies force and torque boundary conditions to an element component.
FMAGSUM - Summarizes electromagnetic force calculations on element components.
/FOCUS - Specifies the focus point (center of the window).
FOR2D - Calculates magnetic forces on a body.
FORCE - Selects the element nodal force type for output.
FORM - Specifies the format of the file dump.
/FORMAT - Specifies format controls for tables.
FP - Defines the fatigue S vs. N and Sm vs. T tables.
FPLIST - Lists the property table stored for fatigue evaluation.
FREQ - Defines the frequency points for the SV vs. FREQ tables.
FRQSCL - Turns on automatic scaling of the entire mass matrix and frequency range for modal analyses using the Block Lanczos or PCG Lanczos mode extraction method.
FS - Stores fatigue stress components at a node.
FSCALE - Scales force load values in the database.
FSDELE - Deletes a stress condition for a fatigue location, event, and loading.
FSLIST - Lists the stresses stored for fatigue evaluation.
FSNODE - Calculates and stores the stress components at a node for fatigue.
FSPLOT - Displays a fatigue stress item for a fatigue location and event.
FSSECT - Calculates and stores total linearized stress components.
FSSPARM - Calculates reflection and transmission properties of a frequency selective surface.
FSUM - Sums the nodal force and moment contributions of elements.
FTCALC - Performs fatigue calculations for a particular node location.
FTRAN - Transfers solid model forces to the finite element model.
FTSIZE - Defines the fatigue data storage array.
FTWRITE - Writes all currently stored fatigue data on a file.
FVMESH - Generates nodes and tetrahedral volume elements from detached exterior area elements (facets).
VIII. G Commands
GAP - Specifies "Reduced transient gap conditions" as the subsequent status topic.
GAPF - Defines the gap force data to be stored in a variable.
GAPFINISH - Exits from the CAD import topology repair stage.
GAPLIST - Lists all joined or disjoined lines in a model (for models imported from CAD files).
GAPMERGE - Merges adjacent disjoined lines (for models imported from CAD files).
GAPOPT - Sets preferences for the CAD import repair commands.
GAPPLOT - Plots all joined or disjoined lines (for models imported from CAD files).
GAUGE - Gauges the problem domain for an edge-element formulation.
/GCMD - Controls the type of element or graph display used for the GPLOT command.
/GCOLUMN - Allows the user to apply a label to a specified curve.
GENOPT - Specifies "General options" as the subsequent status topic.
GEOM - Defines the geometry specifications for the radiation matrix calculation.
GEOMETRY - Specifies "Geometry" as the subsequent status topic.
/GFILE - Specifies the pixel resolution on Z-buffered graphics files.
/GFORMAT - Specifies the format for the graphical display of numbers.
/GLINE - Specifies the element outline style.
/GMARKER - Specifies the curve marking style.
GMATRIX - Performs electric field solutions and calculates the self and mutual conductance between multiple conductors.
GMFACE - Specifies the facet representation used to form solid models.
/GO - Reactivates suppressed printout.
/GOLIST - Reactivates the suppressed data input listing.
/GOPR - Reactivates suppressed printout.
GP - Defines a gap condition for transient analyses.
GPDELE - Deletes gap conditions.
GPLIST - Lists the gap conditions.
GPLOT - Controls general plotting.
/GRAPHICS - Defines the type of graphics display.
/GRESUME - Sets graphics settings to the settings on a file.
/GRID - Selects the type of grid on graph displays.
/GROPT - Sets various line graph display options.
GRP - Specifies the grouping mode combination method.
/GRTYP - Selects single or multiple Y-axes graph displays.
/GSAVE - Saves graphics settings to a file for later use.
GSBDATA - Specifies the constraints or applies the load at the ending point for generalized plane strain option.
GSGDATA - Specifies the reference point and defines the geometry in the fiber direction for the generalized plane strain element option.
GSLIST - When using generalized plane strain, lists the input data or solutions.
GSSOL - Specifies which results to store from the results file when using generalized plane strain.
/GST - Turns Graphical Solution Tracking (GST) on or off.
GSUM - Calculates and prints geometry items.
/GTHK - Sets line thicknesses for graph lines.
/GTYPE - Controls the entities that the GPLOT command displays.
IX. H Commands
HARFRQ - Defines the frequency range in the harmonic response analysis.
/HBC - Determines how boundary condition symbols are displayed in a display window.
HBMAT - Writes an assembled global matrix in Harwell-Boeing format.
/HEADER - Sets page and table heading print controls.
HELP - Displays help information on ANSYS commands and element types.
HELPDISP - Displays help information on DISPLAY program commands.
HEMIOPT - Specifies options for Hemicube view factor calculation.
HFADP - Turns a high-frequency adaptive error calculation on or off.
HFANG - Defines or displays spatial angles of a spherical radiation surface for antenna parameter calculations.
HFARRAY - Defines phased array antenna characteristics.
HFDEEM - Calibrates S-parameter phase shift.
HFEIGOPT - Specifies high frequency electromagnetic modal analysis options.
HFEREFINE - Automatically refines high-frequency tetrahedral elements (HF119) or lists high-frequency brick elements (HF120) with the largest error.
HFMODPRT - Calculates electromagnetic field distribution for a modal port.
HFNEAR - Calculates the electromagnetic field at points in the near zone exterior to the equivalent source surface (flagged with the Maxwell surface flag in the preprocessor).
HFPA - Specifies a radiation scan angle for a phased array antenna analysis.
HFPCSWP - Calculates the propagating constants of a transmission line or waveguide over a frequency range.
HFPOWER - Calculates power terms of a multi-port network.
HFPORT - Specifies input data for waveguide, modal, lumped gap, or plane wave ports.
HFSCAT - Specifies a high-frequency scattering analysis.
HFSWEEP - Performs a harmonic response for a high-frequency electromagnetic wave guide analysis.
HFSYM - Indicates the presence of symmetry planes for the computation of high-frequency electromagnetic fields in the near and far field domains (beyond the finite element region).
HMAGSOLV - Specifies 2-D or axisymmetric harmonic magnetic solution options and initiates the solution.
HPGL - Specifies various HP options.
HPTCREATE - Defines a hard point.
HPTDELETE - Deletes selected hardpoints.
HRCPLX - Computes and stores in the database the time-harmonic solution at a prescribed phase angle.
HREXP - Specifies the phase angle for the harmonic analysis expansion pass.
HROPT - Specifies harmonic analysis options.
HROUT - Specifies the harmonic analysis output options.
X. I Commands
IC - Specifies initial conditions at nodes.
ICDELE - Deletes initial conditions at nodes.
ICE - Specifies initial conditions on elements.
ICEDELE - Deletes initial conditions on elements.
ICELIST - Lists initial conditions on elements.
ICLIST - Lists the initial conditions.
/ICLWID - Scales the line width of circuit builder icons.
/ICSCALE - Scales the icon size for elements supported in the circuit builder.
ICVFRC - Sets the initial volume fraction field for a geometry.
IGESIN - Transfers IGES data from a file into ANSYS.
IGESOUT - Writes solid model data to a file in IGES Version 5.1 format.
/IMAGE - Allows graphics data to be captured and saved.
IMAGIN - Forms an imaginary variable from a complex variable.
IMESH - Generates nodes and interface elements along lines or areas.
IMMED - Allows immediate display of a model as it is generated.
IMPD - Calculates the impedance of a conductor at a reference plane.
INISTATE - Defines initial state data and parameters.
/INPUT - Switches the input file for the commands that follow.
INRES - Identifies the data to be retrieved from the results file.
INRTIA - Specifies Inertial loads as the subsequent status topic.
INT1 - Integrates a variable.
INTSRF - Integrates nodal results on an exterior surface.
IOPTN - Controls options relating to importing a model.
IRLF - Specifies that inertia relief calculations are to be performed.
IRLIST - Prints inertia relief summary table.
ISFILE - Reads an initial stress state from a file into ANSYS.
ISTRESS -
ISWRITE - Writes an ASCII file containing the initial stress values.
XI. J Commands
JPEG - Provides JPEG file export for ANSYS displays.
JSOL - Specifies result items to be stored for the joint element.
XII. K Commands
K - Defines a keypoint.
KATT - Associates attributes with the selected, unmeshed keypoints.
KBC - Specifies stepped or ramped loading within a load step.
KBETW - Creates a keypoint between two existing keypoints.
KCALC - Calculates stress intensity factors in fracture mechanics analyses.
KCENTER - Creates a keypoint at the center of a circular arc defined by three locations.
KCLEAR - Deletes nodes and point elements associated with selected keypoints.
KDELE - Deletes unmeshed keypoints.
KDIST - Calculates and lists the distance between two keypoints.
KEEP - Stores POST26 definitions and data during active session.
KESIZE - Specifies the edge lengths of the elements nearest a keypoint.
KEYOPT - Sets element key options.
KEYPTS - Specifies "Keypoints" as the subsequent status topic.
KEYW - Sets a keyword used by the GUI for context filtering (GUI).
KFILL - Generates keypoints between two keypoints.
KGEN - Generates additional keypoints from a pattern of keypoints.
KL - Generates a keypoint at a specified location on an existing line.
KLIST - Lists the defined keypoints or hard points.
KMESH - Generates nodes and point elements at keypoints.
KMODIF - Modifies an existing keypoint.
KMOVE - Calculates and moves a keypoint to an intersection.
KNODE - Defines a keypoint at an existing node location.
KPLOT - Displays the selected keypoints.
KPSCALE - Generates a scaled set of (meshed) keypoints from a pattern of keypoints.
KREFINE - Refines the mesh around specified keypoints.
KSCALE - Generates a scaled pattern of keypoints from a given keypoint pattern.
KSCON - Specifies a keypoint about which an area mesh will be skewed.
KSEL - Selects a subset of keypoints or hard points.
KSLL - Selects those keypoints contained in the selected lines.
KSLN - Selects those keypoints associated with the selected nodes.
KSUM - Calculates and prints geometry statistics of the selected keypoints.
KSYMM - Generates a reflected set of keypoints.
KTRAN - Transfers a pattern of keypoints to another coordinate system.
KUSE - Specifies whether or not to reuse the triangularized matrix.
KWPAVE - Moves the working plane origin to the average location of keypoints.
KWPLAN - Defines the working plane using three keypoints.
XIII. L Commands
L - Defines a line between two keypoints.
L2ANG - Generates a line at an angle with two existing lines.
L2TAN - Generates a line tangent to two lines.
LANG - Generates a straight line at an angle with a line.
LARC - Defines a circular arc.
/LARC - Creates annotation arcs (GUI).
LAREA - Generates the shortest line between two keypoints on an area.
LARGE - Finds the largest (the envelope) of three variables.
LATT - Associates element attributes with the selected, unmeshed lines.
LAYER - Specifies the element layer for which data are to be processed.
LAYERP26 - Specifies the element layer for which data are to be stored.
LAYLIST - Lists real constants material properties for layered elements.
LAYPLOT - Displays the layer stacking sequence for layered elements.
LCABS - Specifies absolute values for load case operations.
LCASE - Reads a load case into the database.
LCCALC - Specifies "Load case settings" as the subsequent status topic.
LCCAT - Concatenates multiple lines into one line for mapped meshing.
LCDEF - Creates a load case from a set of results on a results file.
LCFACT - Defines scale factors for load case operations.
LCFILE - Creates a load case from an existing load case file.
LCLEAR - Deletes nodes and line elements associated with selected lines.
LCOMB - Combines adjacent lines into one line.
LCOPER - Performs load case operations.
LCSEL - Selects a subset of load cases.
LCSL - Divides intersecting lines at their point(s) of intersection.
LCSUM - Specifies whether to process non-summable items in load case operations.
LCWRITE - Creates a load case by writing results to a load case file.
LCZERO - Zeroes the results portion of the database.
LDELE - Deletes unmeshed lines.
LDIV - Divides a single line into two or more lines.
LDRAG - Generates lines by sweeping a keypoint pattern along path.
LDREAD - Reads results from the results file and applies them as loads.
LESIZE - Specifies the divisions and spacing ratio on unmeshed lines.
LEXTND - Extends a line at one end by using its slope.
LFILLT - Generates a fillet line between two intersecting lines.
LFSURF - Generates surface elements overlaid on the edge of existing solid elements and assigns the extra node as the closest fluid element node.
LGEN - Generates additional lines from a pattern of lines.
LGLUE - Generates new lines by "gluing" lines.
LGWRITE - Writes the database command log to a file.
/LIGHT - Specifies the light direction for the display window.
LINA - Finds the intersection of a line with an area.
LINE - Specifies "Lines" as the subsequent status topic.
/LINE - Creates annotation lines (GUI).
LINES - Specifies the length of a printed page.
LINL - Finds the common intersection of lines.
LINP - Finds the pairwise intersection of lines.
LINV - Finds the intersection of a line with a volume.
LIST - Lists out the sets in the results file.
*LIST - Displays the contents of an external, coded file.
LLIST - Lists the defined lines.
LMATRIX - Calculates an inductance matrix and the total flux linkage for an N-winding coil system.
LMESH - Generates nodes and line elements along lines.
LNCOLLAPSE - Collapse a line segment to a keypoint (for models imported from CAD files).
LNDETACH - Detaches lines from neighboring geometric entity (for models imported from CAD files).
LNFILL - Creates a straight line between two keypoints (for models imported from CAD files).
LNMERGE - Merges two or more connected line segments (for models imported from CAD files).
LNSPLIT - Splits a line segment into two line segments (for models imported from CAD files).
LNSRCH - Activates a line search to be used with Newton-Raphson.
LOCAL - Defines a local coordinate system by a location and orientation.
LOVLAP - Overlaps lines.
LPLOT - Displays the selected lines.
LPTN - Partitions lines.
LREFINE - Refines the mesh around specified lines.
LREVERSE - Reverses the normal of a line, regardless of its connectivity or mesh status.
LROTAT - Generates circular lines by rotating a keypoint pattern about an axis.
LSBA - Subtracts areas from lines.
LSBL - Subtracts lines from lines.
LSBV - Subtracts volumes from lines.
LSBW - Subtracts the intersection of the working plane from lines (divides lines).
LSCLEAR - Clears loads and load step options from the database.
LSDELE - Deletes load step files.
LSEL - Selects a subset of lines.
LSLA - Selects those lines contained in the selected areas.
LSLK - Selects those lines containing the selected keypoints.
LSOPER - Specifies "Load step operations" as the subsequent status topic.
/LSPEC - Specifies annotation line attributes (GUI).
LSREAD - Reads load and load step option data into the database.
LSSCALE - Generates a scaled set of lines from a pattern of lines.
LSSOLVE - Reads and solves multiple load steps.
LSTR - Defines a straight line irrespective of the active coordinate system.
LSUM - Calculates and prints geometry statistics of the selected lines.
LSWRITE - Writes load and load step option data to a file.
/LSYMBOL - Creates annotation symbols (GUI).
LSYMM - Generates lines from a line pattern by symmetry reflection.
LTAN - Generates a line at the end of, and tangent to, an existing line.
LTRAN - Transfers a pattern of lines to another coordinate system.
LUMPM - Specifies a lumped mass matrix formulation.
LVSCALE - Scales the load vector for mode superposition analyses.
LWPLAN - Defines the working plane normal to a location on a line.
XIV. M Commands
M - Defines master degrees of freedom for reduced and superelement generation analyses.
MADAPT - Adaptively meshes and solves an edge-based model.
MAGOPT - Specifies options for a 3-D magnetostatic field analysis.
MAGSOLV - Specifies magnetic solution options and initiates the solution.
MAPSOLVE - Maps solved node and element solutions from an original mesh to a new mesh.
MASTER - Specifies "Master DOF" as the subsequent status topic.
MAT - Sets the element material attribute pointer.
MATER - Specifies "Material properties" as the subsequent status topic.
MCHECK - Checks mesh connectivity.
MDAMP - Defines the damping ratios as a function of mode.
MDELE - Deletes master degrees of freedom.
MDPLOT - Plots frequency-dependent modal damping coefficients calculated by DMPEXT.
MEMM - Allows the current session to keep allocated memory
/MENU - Activates the Graphical User Interface (GUI).
MESHING - Specifies "Meshing" as the subsequent status topic.
MFANALYSIS - Turns an ANSYS Multi-field solver analysis on or off.
MFBUCKET - Turns a bucket search on or off.
MFCALC - Specifies a calculation frequency for a field in an ANSYS Multi-field solver analysis.
MFCI - Sets the control parameters used by the conservative (CPP) interpolation scheme.
MFCLEAR - Deletes ANSYS Multi-field solver analysis settings.
MFCMMAND - Captures field solution options in a command file.
MFCONV - Sets convergence values for an ANSYS Multi-field solver analysis.
MFDTIME - Sets time step sizes for an ANSYS Multi-field solver analysis.
MFELEM - Defines a field by grouping element types.
MFEM - Add more element types to a previously defined field number.
MFEXTER - Defines external fields for an ANSYS Multi-field solver analysis.
MFFNAME - Specifies a file name for a field in an ANSYS Multi-field solver analysis.
MFFR - Setup Multi-Field relaxation factors for field solutions.
MFIMPORT - Imports a new field into a current ANSYS Multi-field solver analysis.
MFINTER - Specifies the interface load transfer interpolation option for an ANSYS Multi-field solver analysis.
MFITER - Sets the number of stagger iterations for an ANSYS Multi-field solver analysis.
MFLCOMM - Defines a load transfer for code coupling analyses.
MFLIST - Lists the settings for an ANSYS Multi-field solver analysis.
MFMAP - Calculates, saves, resumes, or deletes mapping data in an ANSYS Multi-field solver analysis.
MFORDER - Specifies field solution order for an ANSYS Multi-field solver analysis.
MFOUTPUT - Specifies results file output frequency for an ANSYS Multi-field solver analysis.
MFPSIMUL - Sets up a field solver group to simultaneously process with code coupling analyses.
MFRELAX - Sets relaxation values for an ANSYS Multi-field solver analysis.
MFRSTART - Specifies restart status for an ANSYS Multi-field solver analysis.
MFSORDER - Sets up the solution sequence of simultaneous field solver groups for code coupling analyses.
MFSURFACE - Defines a surface load transfer for an ANSYS Multi-field solver analysis.
MFTIME - Sets end time for an ANSYS Multi-field solver analysis.
MFTOL - Turns normal distance checking on for surface mapping in an ANSYS Multi-field solver analysis.
MFVOLUME - Defines a volume load transfer for an ANSYS Multi-field solver analysis.
MFWRITE - Writes an ANSYS master input file for MFX multiple code coupling.
MGEN - Generates additional MDOF from a previously defined set.
MIDTOL - Sets midstep residual criterion values for structural transient analyses.
MITER - Defines a mitered bend in a piping run.
MLIST - Lists the MDOF of freedom.
MMF - Calculates the magnetomotive force along a path.
MODE - Specifies the harmonic loading term for this load step.
MODIFY - Changes the listed values of the data in a set.
MODMSH - Controls the relationship of the solid model and the FE model.
MODOPT - Specifies modal analysis options.
MONITOR - Controls contents of three variable fields in nonlinear solution monitor file.
MOPT - Specifies meshing options.
MORPH - Specifies morphing and remeshing controls.
MOVE - Calculates and moves a node to an intersection.
MP - Defines a linear material property as a constant or a function of temperature.
MPAMOD - Modifies temperature-dependent secant coefficients of thermal expansion.
MPCHG - Changes the material number attribute of an element.
MPCOPY - Copies linear material model data from one material reference number to another.
MPDATA - Defines property data to be associated with the temperature table.
MPDELE - Deletes linear material properties.
MPDRES - Reassembles existing material data with the temperature table.
/MPLIB - Sets the default material library read and write paths.
MPLIST - Lists linear material properties.
MPPLOT - Plots linear material properties as a function of temperature.
MPREAD - Reads a file containing material properties.
MPRINT - Specifies that radiation matrices are to be printed.
MPTEMP - Defines a temperature table for material properties.
MPTGEN - Adds temperatures to the temperature table by generation.
MPTRES - Restores a temperature table previously defined.
MPWRITE - Writes linear material properties in the database to a file (if the LIB option is not specified) or writes both linear and nonlinear material properties (if LIB is specified) from the database to a file.
/MREP - Enables you to reissue the graphics command macro "name" during a replot or zoom operation.
MSADV - Specifies the approach to discretize the advection term in a species transport equation.
MSAVE - Sets the solver memory saving option. This option only applies to the PCG solver.
MSCAP - Activates and controls mass fraction capping for a species.
MSDATA - Defines multiple species data applicable to all species.
MSHAPE - For elements that support multiple shapes, specifies the element shape to be used for meshing.
MSHCOPY - Simplifies the generation of meshes that have matching node element patterns on two different line groups (in 2-D) or area groups (3-D).
MSHKEY - Specifies whether free meshing or mapped meshing should be used to mesh a model.
MSHMID - Specifies placement of midside nodes.
MSHPATTERN - Specifies pattern to be used for mapped triangle meshing.
MSMASS - Specifies the mass type for a transient species analysis.
MSMETH - Specifies the method of solution of the species transport equations.
MSMIR - Sets modified inertial relaxation factors for multiple species.
MSNOMF - Specifies the initial value of nominal mass fraction for a species.
MSPROP - Defines the fluid properties of a species.
MSQUAD - Specifies the quadrature order for multiple species elements.
MSRELAX - Specifies relaxation factors for a multiple species transport analysis.
MSSOLU - Specifies solution options for multiple species transport.
MSSPEC - Specifies the name, molecular weight, and Schmidt number of a species.
/MSTART - Controls the initial GUI components.
MSTERM - Sets the convergence monitors for species.
MSVARY - Allows species properties to vary between global iterations.
MXPAND - Specifies the number of modes to expand and write for a modal or buckling analysis.
XV. N Commands
N - Defines a node.
NANG - Rotates a nodal coordinate system by direction cosines.
NCNV - Sets the key to terminate an analysis.
NDELE - Deletes nodes.
NDIST - Calculates and lists the distance between two nodes.
NDSURF - Generates surface elements overlaid on the edge of existing elements and assigns the extra node as the closest fluid element node.
NEQIT - Specifies the maximum number of equilibrium iterations for nonlinear analyses.
/NERR - Limits the number of warning and error messages displayed.
NFORCE - Sums the nodal forces and moments of elements attached to nodes.
NGEN - Generates additional nodes from a pattern of nodes.
NKPT - Defines a node at an existing keypoint location.
NLDIAG - Sets nonlinear diagnostics functionality.
NLDPOST - Gets element component information from nonlinear diagnostic files.
NLGEOM - Includes large-deflection effects in a static or full transient analysis.
NLHIST - Specify result items to track during solution.
NLIST - Lists nodes.
NLOG - Forms the natural log of a variable.
NLOPT - Specifies "Nonlinear analysis options" as the subsequent status topic.
NMODIF - Modifies an existing node.
NOCOLOR - Removes color from graphics displays.
NODES - Specifies "Nodes" as the subsequent status topic.
/NOERASE - Prevents the screen erase between displays.
/NOLIST - Suppresses the data input listing.
NOOFFSET - Prevents the CDREAD command from offsetting specified data items
NOORDER - Re-establishes the original element ordering.
/NOPR - Suppresses the expanded interpreted input data listing.
NORA - Rotates nodal coordinate systems to surface normal
NORL - Rotates nodal coordinate systems perpendicular to line normal
/NORMAL - Allows displaying area elements by top or bottom faces.
NPLOT - Displays nodes.
NPRINT - Defines which time points stored are to be listed.
NREAD - Reads nodes from a file.
NREFINE - Refines the mesh around specified nodes.
NRLSUM - Specifies the Naval Research Laboratory (NRL) sum mode combination method.
NROPT - Specifies the Newton-Raphson options in a static or full transient analysis.
NROTAT - Rotates nodal coordinate systems into the active system.
NRRANG - Specifies the range of nodes to be read from the node file.
NSCALE - Generates a scaled set of nodes from a pattern of nodes.
NSEL - Selects a subset of nodes.
NSLA - Selects those nodes associated with the selected areas.
NSLE - Selects those nodes attached to the selected elements.
NSLK - Selects those nodes associated with the selected keypoints.
NSLL - Selects those nodes associated with the selected lines.
NSLV - Selects those nodes associated with the selected volumes.
NSMOOTH - Smooths selected nodes among selected elements.
NSOL - Specifies nodal data to be stored from the results file.
NSORT - Sorts nodal data.
NSTORE - Defines which time points are to be stored.
NSUBST - Specifies the number of substeps to be taken this load step.
NSVR - Defines the number of variables for user-programmable element options.
NSYM - Generates a reflected set of nodes.
/NUMBER - Specifies whether numbers, colors, or both are used for displays.
NUMCMP - Compresses the numbering of defined items.
NUMEXP - Specifies solutions to be expanded from reduced analyses.
NUMMRG - Merges coincident or equivalently defined items.
NUMOFF - Adds a number offset to defined items.
NUMSTR - Establishes starting numbers for automatically numbered items.
NUMVAR - Specifies the number of variables allowed in POST26.
NUSORT - Restores original order for nodal data.
NWPAVE - Moves the working plane origin to the average location of nodes.
NWPLAN - Defines the working plane using three nodes.
NWRITE - Writes nodes to a file.
XVI. O Commands
OMEGA - Specifies the rotational velocity of the structure.
OPADD - Forms a set of optimization parameters by adding two sets.
OPANL - Defines the analysis file to be used for optimization looping.
OPCLR - Clears the optimization database.
OPDATA - Identifies the file where optimization data is to be saved.
OPDEL - Deletes optimization design sets.
OPEQN - Controls curve fitting for the subproblem approximation method.
OPERATE - Specifies "Operation data" as the subsequent status topic.
OPEXE - Initiates optimization looping.
OPFACT - Defines the type of factorial evaluation to be performed.
OPFRST - Defines specifications for the first order optimization method.
OPGRAD - Specifies which design set will be used for gradient evaluation.
OPKEEP - Specifies whether to save the best-set results and database file.
OPLFA - Displays the results of a factorial evaluation.
OPLGR - Graphs the results of a gradient evaluation.
OPLIST - Displays the parameters for design sets.
OPLOOP - Specifies controls for optimization looping.
OPLSW - Graphs the results of a global sweep generation.
OPMAKE - Creates a design set using active scalar parameter values.
OPNCONTROL - Sets decision parameter for automatically increasing the time step interval.
OPPRNT - Activates detailed optimization summary printout.
OPRAND - Defines the number of iterations for a random optimization.
OPRESU - Reads optimization data into the optimization database.
OPRFA - Prints the results of a factorial evaluation.
OPRGR - Prints the results of a gradient evaluation.
OPRSW - Prints the results of a global sweep generation.
OPSAVE - Writes all optimization data to a file.
OPSEL - Selects design sets for subsequent optimization looping.
OPSUBP - Defines number of iterations for subproblem approximation method.
OPSWEEP - Specifies the reference point and number of evaluation points for a sweep generation.
/OPT - Enters the design optimizer.
OPTYPE - Specifies the optimization method to be used.
OPUSER - Defines specifications for user-supplied external optimization.
OPVAR - Specifies the parameters to be treated as optimization variables.
OUTOPT - Specifies "Output options" as the subsequent status topic.
OUTPR - Controls the solution printout.
/OUTPUT - Redirects text output to a file or to the screen.
OUTRES - Controls the solution data written to the database.
XVII. P Commands
PADELE - Deletes a defined path.
/PAGE - Defines the printout and screen page size.
PAGET - Writes current path information into an array variable.
PAPUT - Retrieves path information from an array variable.
PARESU - Restores previously saved paths from a file.
PARTSEL - Selects a subset of parts in an explicit dynamic analysis.
PASAVE - Saves selected paths to an external file.
PATH - Defines a path name and establishes parameters for the path.
/PBC - Shows boundary condition (BC) symbols and values on displays.
/PBF - Shows magnitude of body force loads on displays.
PCALC - Forms additional labeled path items by operating on existing path items.
PCGOPT - Controls PCG solver options.
PCIRC - Creates a circular area centered about the working plane origin.
/PCIRCLE - Creates an annotation circle (GUI).
PCONV - Sets convergence values for p-method solutions.
/PCOPY - Automatically generates hard copies for HP UNIX work stations.
PCORRO - Specifies the allowable exterior corrosion thickness for a piping run.
PCROSS - Calculates the cross product of two path vectors along the current path.
PDANL - Defines the analysis file to be used for probabilistic looping.
PDCDF - Plots the cumulative distribution function.
PDCFLD - Calculates a correlation field and stores it into an ANSYS array.
PDCLR - Clears the probabilistic design database.
PDCMAT - Prints the correlation coefficient matrix.
PDCORR - Specifies the correlation between two random input variables.
PDDMCS - Specifies options for Monte Carlo Simulations using direct sampling.
PDDOEL - Defines design of experiment levels for an individual random input variable.
PDEF - Interpolates an item onto a path.
PDEXE - Executes the probabilistic analysis.
PDHIST - Plots the frequency histogram.
PDINQR - Evaluates statistical characteristics of a random input variable.
PDLHS - Specifies options for Monte Carlo Simulations using Latin-Hypercube sampling.
PDMETH - Specifies the probabilistic analysis method.
PDOT - Calculates the dot product of two path vectors along the current path.
PDPINV - Prints the result of the inversion of a probability.
PDPLOT - Plots the distribution curves of a defined random input variable.
PDPROB - Prints a probability result.
PDRAG - Defines the external fluid drag loading for a piping run.
PDRESU - Reads the probabilistic model data and loads it into the database.
PDROPT - Specifies the options for an HTML report.
/PDS - Enters the probabilistic design system.
PDSAVE - Writes the probabilistic model data to a file.
PDSCAT - Plots a scatter graph.
PDSENS - Plots the probabilistic sensitivities.
PDSHIS - Plots the sample history values.
PDUSER - Specifies options for user-specified sampling methods.
PDVAR - Specifies the parameters to be treated as probabilistic design variables.
PDWRITE - Generates an HTML report for the probabilistic analyses.
PEMOPTS - Defines percentage tolerance and error estimation method for electrostatic p-Method solution.
PERBC2D - Generates periodic constraints for 2-D planar magnetic field analyses.
PERI - Specifies periodic boundary conditions in an incompressible flow analysis.
PEXCLUDE - Specifies elements to be excluded from p-level escalations.
PFACT - Calculates participation factors for the PSD or multi-point response spectrum table.
PFLUID - Defines the contained fluid density for a piping run.
PGAP - Defines a spring-gap constraint in a piping run.
PGRAPH - Specifies the location from which graphics data will be retrieved for viewing.
PGRSET - Defines the data set to be read from the PGR file.
PGSAVE - Creates a PowerGraphics (PGR) file from results data.
PGSELE - Select a subset of elements for display with the PGR viewer.
PGWRITE - Writes selected solution data to the PGR file for faster post processing access.
PHYSICS - Writes, reads, or lists all element information
/PICE - Shows initial conditions on elements as contours on displays.
PINCLUDE - Specifies elements to be included in p-level escalations.
PINSUL - Defines the external insulation constants in a piping run.
PIPE - Specifies "Pipe modeling" as the subsequent status topic.
PIVCHECK - Prevents a batch mode, linear static analysis from stopping when a negative or zero equation solver pivot value is encountered.
PLCAMP - Plots Campbell diagram data for applications involving rotating structure dynamics.
PLCINT - Plots the J-integral result data.
PLCONV - Plots the convergence curve for specified items from a p-method solution.
PLCPLX - Specifies the part of a complex variable to display.
PLCRACK - Displays cracking and crushing locations in SOLID65 elements.
PLDISP - Displays the displaced structure.
PLESOL - Displays the solution results as discontinuous element contours.
PLETAB - Displays element table items.
PLF2D - Generates a contour line plot of equipotentials.
PLHFFAR - Displays electric far fields and far field parameters.
PLLS - Displays element table items as contoured areas along elements.
PLNSOL - Displays results as continuous contours.
/PLOPTS - Controls graphics options on subsequent displays.
PLORB - Displays the orbital motion of a rotating structure
PLOT - Forms a display.
PLOTTING - Specifies "Plotting settings" as the subsequent status topic.
PLPAGM - Displays path items along the path geometry.
PLPATH - Displays path items on a graph.
PLSCH - Converts and plots scattering, admittance, or impedance parameters on a Smith chart.
PLSECT - Displays membrane and membrane-plus-bending linearized stresses.
PLSYZ - Converts and plots network parameters versus frequency or plots losses versus frequency.
PLTD - Displays TDR/TDT waveforms, an impedance profile, or a total waveform.
PLTIME - Defines the time range for which data are to be displayed.
PLTRAC - Displays a particle flow or charged particle trace on an element display.
PLVAR - Displays up to ten variables in the form of a graph.
PLVAROPT - Displays up to ten parameters in the form of a graph.
PLVECT - Displays results as vectors.
PLVFRC - Displays volume fractions in a volume of fluid (VOF) analysis.
PLWAVE - Specifies a free-space time-harmonic incident plane electromagnetic wave.
PMAP - Creates mapping of the path geometry by defining path interpolation division points.
PMETH - Specifies "p-Method" as the subsequent status topic.
/PMETH - Activates the p-method solution options in the Graphical User Interface (GUI).
PMGTRAN - Summarizes electromagnetic results from a transient analysis.
PMLOPT - Defines perfectly matched layers (PMLs) for a high-frequency analysis.
PMLSIZE - Determines number of PML layers.
PMOPTS - Defines percentage tolerance for a p-Method solution.
/PMORE - Creates an annotation polygon (GUI).
PNGR - Provides PNG file export for ANSYS displays.
/PNUM - Controls entity numbering/coloring on plots.
POINT - Specifies "Point flow tracing settings" as the subsequent status topic.
POLY - Creates a polygonal area based on working plane coordinate pairs.
/POLYGON - Creates annotation polygons (GUI).
POPT - Selects the piping analysis standard for a piping run.
/POST1 - Enters the database results postprocessor.
/POST26 - Enters the time-history results postprocessor.
POUTRES - Controls the nodal DOF and computed element results graphics data that is written to the PGR file.
POWERH - Calculates the rms power loss in a conductor or lossy dielectric.
PPATH - Defines a path by picking or defining nodes, or locations on the currently active working plane, or by entering specific coordinate locations.
PPLOT - Displays an element plot indicating each element's final p-level.
PPRANGE - Specifies a range of p-level values for use in a p-method solution.
PPRES - Defines the internal pressure for a piping run.
PRANGE - Determines the path range.
PRCAMP - Prints Campbell diagram data for applications involving rotating structure dynamics.
PRCINT - Lists the J-integral result data.
PRCONV - Lists convergence values versus characteristic p-level.
PRCPLX - Defines the output form for complex variables.
PRECISION - Specifies machine precision for solvers (currently valid only for PCG solvers).
PRED - Activates a predictor in a nonlinear analysis.
PRENERGY - Prints the total energies of a model.
/PREP7 - Enters the model creation preprocessor.
PRERR - Prints SEPC and TEPC.
PRESOL - Prints the solution results for elements.
PRETAB - Prints the element table items.
PRHFFAR - Prints electric far fields and far field parameters.
PRI2 - Creates a polygonal area or a prism volume by vertices (GUI).
PRIM - Specifies "Solid model primitives" as the subsequent status topic.
PRINT - Specifies "Print settings" as the subsequent status topic.
PRISM - Creates a prism volume based on working plane coordinate pairs.
PRITER - Prints solution summary data.
PRJSOL - Prints joint element output.
PRNLD - Prints the summed element nodal loads.
PRNSOL - Prints the nodal solution results.
PROD - Multiplies variables.
PRORB - Prints the orbital motion characteristics of a rotating structure
PRPATH - Prints path items along a geometry path.
PRRFOR - Used with the FORCE command. Prints the constrained node reaction solution.
PRRSOL - Prints the constrained node reaction solution.
PRSECT - Calculates and prints linearized stresses along a section path.
PRSSOL - Prints BEAM188 and BEAM189 section results.
PRSYZ - Converts and lists scattering, admittance, or impedance parameters.
PRTIME - Defines the time range for which data are to be listed.
PRVAR - Lists variables vs. time (or frequency).
PRVAROPT - Lists up to ten optimization parameters.
PRVECT - Prints results as vector magnitude and direction cosines.
PSCONTROL - Turn shared-memory parallel operations on or off during solution.
PSCR - Specifies various PostScript options.
PSDCOM - Specifies the power spectral density mode combination method.
PSDFRQ - Defines the frequency points for the input spectrum vs. FREQ tables of PSD and multi-point spectrum analyses.
PSDGRAPH - Displays input PSD curves
PSDRES - Controls solution output written to the results file from a PSD analysis.
PSDSPL - Defines a partially correlated excitation in a PSD analysis.
PSDUNIT - Defines the type of PSD or multi-point response spectrum.
PSDVAL - Defines PSD or multi-point response spectrum values.
PSDWAV - Defines a wave propagation excitation in a PSD analysis.
PSEL - Selects a path or paths.
/PSF - Shows surface load symbols on model displays.
PSMESH - Create and mesh a pretension section
PSOLVE - Directs the program to perform a partial solution.
PSPEC - Defines pipe material and dimensions.
/PSPEC - Creates annotation polygon attributes (GUI).
PSPRNG - Defines a spring constraint in a piping run.
/PSTATUS - Displays the global or window display specifications.
PSTRES - Specifies whether prestress effects are calculated or included.
/PSYMB - Shows various symbols on displays.
PTEMP - Defines the pipe wall temperatures in a piping run.
PTXY - Defines coordinate pairs for use in polygons and prisms.
PUNIT - Selects the system of length units to be used in a piping run.
PVECT - Interpolates a set of items onto a path.
/PWEDGE - Creates an annotation wedge (GUI).
XVIII. Q Commands
QDVAL - Defines PSD quadspectral values.
QFACT - Calculates the quality factor for high-frequency electromagnetic resonators.
QSOPT - Specifies quasi static radiation options.
QUAD - Generates a quadratic line of nodes from three nodes.
/QUIT - Exits a processor.
QUOT - Divides two variables.
XIX. R Commands
R - Defines the element real constants.
RACE - Defines a "racetrack" current source.
RADOPT - Specifies Gauss-Seidel Radiosity Solver options.
RALL - Calculates solver statistics and run time estimates.
RAPPND - Appends results data from the database to the results file.
RATE - Specifies whether the effect of creep strain rate will be used in the solution of a load step.
/RATIO - Distorts the object geometry.
RBE3 - Distributes the force/moment applied at the master node to a set of slave nodes, taking into account the geometry of the slave nodes as well as weighting factors.
RCON - Specifies "Real constants" as the subsequent status topic.
RDEC - Defines the decimation parameters.
RDELE - Deletes real constant sets.
REAL - Sets the element real constant set attribute pointer.
REALVAR - Forms a variable using only the real part of a complex variable.
RECTNG - Creates a rectangular area anywhere on the working plane.
REDUCE - Defines a reducer in a piping run.
REFLCOEF - Calculates the voltage reflection coefficient (REFLC), standing wave ratio (VSWR), and return loss (RL) in a COAX fed device; at postprocessing of an HF electromagnetic analysis.
REMESH - Specifies the starting and ending remeshing points for rezoning.
/RENAME - Renames a file.
REORDER - Specifies "Model reordering" as the subsequent status topic.
/REPLOT - Automatically reissues the last display command for convenience.
RESCONTROL - Controls file writing for multiframe restarts.
RESET - Resets all POST1 or POST26 specifications to initial defaults.
/RESET - Resets display specifications to their initial defaults.
RESP - Generates a response spectrum.
RESUME - Resumes the database from the database file.
RESVEC - Calculates or includes residual vectors.
RESWRITE - Appends results data from the database to a results file.
REXPORT - Exports displacements from an implicit run to ANSYS LS-DYNA.
REZONE - Initiates the rezoning process, sets rezoning options, and rebuilds the database.
RFILSZ - Estimates file sizes.
RFORCE - Specifies the total reaction force data to be stored.
/RGB - Specifies the RGB color values for indices and contours.
RIGID - Specifies known rigid body modes (if any) of the model.
RIMPORT - Imports initial stresses from an explicit dynamics run into ANSYS.
RITER - Supplies an estimate of the number of iterations for time estimates.
RLIST - Lists the real constant sets.
RMALIST - Lists all defined master nodes for a ROM method.
RMANL - Assigns model database, dimensionality, and operating direction for the ROM method.
RMASTER - Defines master nodes for the ROM method.
RMCAP - Defines lumped capacitance pairs between conductors C1 and C2 for a ROM method.
RMCLIST - Lists all lumped capacitance pairs defined.
RMEMRY - Prints memory statistics for the current model.
RMFLVEC - Writes eigenvectors of fluid nodes to a file for use in damping parameter extraction.
RMLVSCALE - Defines element load vector scaling for a ROM use pass.
RMMLIST - Lists all mode specifications for the ROM method.
RMMRANGE - Defines and edits various modal parameters for the ROM method.
RMMSELECT - Selects modes for the ROM method.
RMNDISP - Extracts neutral plane displacements from a test load or element load solution for the ROM method.
RMNEVEC - Extracts neutral plane eigenvectors from a modal analysis for the ROM method.
RMODIF - Modifies real constant sets.
RMORE - Adds real constants to a set.
RMPORDER - Defines polynomial orders for ROM functions.
RMRESUME - Resumes ROM data from a file.
RMRGENERATE - Performs fitting procedure for all ROM functions to generate response surfaces.
RMROPTIONS - Defines options for ROM response surface fitting.
RMRPLOT - Plots response surface of ROM function or its derivatives with respect to the dominant mode(s).
RMRSTATUS - Prints status of response surface for ROM function.
RMSAVE - Saves ROM data to file.
RMSMPLE - Runs finite element solutions and obtains sample points for the ROM method.
RMUSE - Activates ROM use pass for ROM elements.
RMXPORT - Exports ROM model to external VHDL-AMS simulator.
ROCK - Specifies a rocking response spectrum.
RPOLY - Creates a regular polygonal area centered about the working plane origin.
RPR4 - Creates a regular polygonal area or prism volume anywhere on the working plane.
RPRISM - Creates a regular prism volume centered about the working plane origin.
RPSD - Computes response power spectral density (PSD).
RSFIT - Fit a response surface for an output parameter in a solution set.
RSOPT - Creates or loads the radiosity mapping data file for SURF251 or SURF252 element types.
RSPEED - Supplies system performance information for use in time estimates.
RSPLIT - Creates one or more results file(s) from the current results file based on subsets of elements.
RSPLOT - Plot a response surface.
RSPRNT - Print a response surface.
RSSIMS - Performs Monte Carlo simulations on response surface(s).
RSTAT - Prints the FE model statistics of the model.
RSTOFF - Offsets node or element IDs in the FE geometry record.
RSURF - Generates the radiosity surface elements (SURF251/SURF252) and stores them in the database.
RSYMM - Defines the plane of symmetry or center of rotation for the radiosity method.
RSYS - Activates a coordinate system for printout or display of element and nodal results.
RTHICK - Defines variable thickness at nodes for shell elements.
RTIMST - Prints runtime estimates.
RUN - Defines a pipe run.
/RUNST - Enters the run statistics processor.
RWFRNT - Generates wavefront statistics and memory requirements.
XX. S Commands
SABS - Specifies absolute values for element table operations.
SADD - Forms an element table item by adding two existing items.
SALLOW - Defines the allowable stress table for safety factor calculations.
SARPLOT - Displays areas smaller than a specified size (for models imported from CAD files).
SAVE - Saves all current database information.
SBCLIST - Lists solid model boundary conditions.
SBCTRAN - Transfers solid model loads and boundary conditions to the FE model.
SDELETE - Deletes cross sections from the ANSYS database.
SE - Defines a superelement.
SECCONTROLS - Overrides program calculated properties.
SECDATA - Describes the geometry of a section.
SECFUNCTION - Specifies shell section thickness as a tabular function.
SECJOINT - Defines local coordinate systems at joint element nodes or relative DOFs to be fixed for a general joint element.
/SECLIB - Sets the default section library path for the SECREAD command.
SECLOCK - Specifies locks on the components of relative motion in a joint element.
SECMODIF - Modifies a pretension section
SECNUM - Sets the element section attribute pointer.
SECOFFSET - Defines the section offset for cross sections.
SECPLOT - Plots the geometry of a beam or shell section to scale.
SECREAD - Reads a customized beam section library or a user-defined beam section mesh into ANSYS.
SECSTOP - Specifies stops on the components of relative motion in a joint element.
SECTYPE - Associates section type information with a section ID number.
SECWRITE - Creates an ASCII file containing user mesh section information.
SED - Defines the excitation direction for a single-point response spectrum.
SEDLIST - Lists the DOF solution of a superelement after the use pass.
SEEXP - Specifies options for the substructure expansion pass.
/SEG - Allows graphics data to be stored in the local terminal memory.
SEGEN - Automatically generate superelements.
SELIST - Lists the contents of a superelement matrix file.
SELM - Specifies "Superelements" as the subsequent status topic.
SELTOL - Sets the tolerance for subsequent select operations.
SENERGY - Determines the stored magnetic energy or co-energy.
SEOPT - Specifies substructure analysis options.
SESYMM - Performs a symmetry operation on a superelement within the use pass.
SET - Defines the data set to be read from the results file.
SETFGAP - Updates or defines the real constant table for squeeze film elements.
SETRAN - Creates a superelement from an existing superelement.
SEXP - Forms an element table item by exponentiating and multiplying.
SF - Specifies surface loads on nodes.
SFA - Specifies surface loads on the selected areas.
SFACT - Allows safety factor or margin of safety calculations to be made.
SFADELE - Deletes surface loads from areas.
SFALIST - Lists the surface loads for the specified area.
SFBEAM - Specifies surface loads on beam elements.
SFCALC - Calculates the safety factor or margin of safety.
SFCUM - Specifies that surface loads are to be accumulated.
SFDELE - Deletes surface loads.
SFE - Specifies surface loads on elements.
SFEDELE - Deletes surface loads from elements.
SFELIST - Lists the surface loads for elements.
SFFUN - Specifies a varying surface load.
SFGRAD - Specifies a gradient (slope) for surface loads.
SFL - Specifies surface loads on lines of an area.
SFLDELE - Deletes surface loads from lines.
SFLIST - Lists surface loads.
SFLLIST - Lists the surface loads for lines.
SFSCALE - Scales surface loads on elements.
SFTRAN - Transfer the solid model surface loads to the finite element model.
/SHADE - Defines the type of surface shading used with Z-buffering.
SHELL - Selects a shell element or shell layer location for results output.
/SHOW - Specifies the device and other parameters for graphics displays.
/SHOWDISP - Defines the display driver name.
SHPP - Controls element shape checking.
/SHRINK - Shrinks elements, lines, areas, and volumes for display clarity.
SHSD - Creates or deletes shell-solid interface to be used in shell-to-solid assemblies.
SLIST - Summarizes the section properties for all defined sections in the current session of ANSYS.
SLOAD - Load a pretension section.
SLPPLOT - Displays line loops smaller than a specified size (for models imported from CAD files).
SLSPLOT - Displays line segments smaller than a specified size (for models imported from CAD files).
SMALL - Finds the smallest of three variables.
SMAX - Forms an element table item from the maximum of two other items.
/SMBC - Controls the display of solid model boundary condition symbols and labels.
SMBODY - Specifies "Body loads on the solid model" as the subsequent status topic.
SMCONS - Specifies "Constraints on the solid model" as the subsequent status topic.
SMFOR - Specifies "Forces on the solid model" as the subsequent status topic.
SMIN - Forms an element table item from the minimum of two other items.
SMOOTH - Allows smoothing of noisy data and provides a graphical representation of the data.
SMRTSIZE - Specifies meshing parameters for automatic (smart) element sizing.
SMSURF - Specifies "Surface loads on the solid model" as the subsequent status topic.
SMULT - Forms an element table item by multiplying two other items.
SOLCONTROL - Specifies whether to use optimized nonlinear solution defaults and some enhanced internal solution algorithms.
SOLU - Specifies solution summary data per substep to be stored.
/SOLU - Enters the solution processor.
SOLUOPT - Specifies "Solution options" as the subsequent status topic.
SOLVE - Starts a solution.
SORT - Specifies "Sort settings" as the subsequent status topic.
SOURCE - Defines a default location for undefined nodes or keypoints.
SPACE - Defines a space node for radiation using the Radiation Matrix method.
SPADP - Automatically refines a tetrahedral element mesh based on S-parameter convergence.
SPARM - Calculates scattering (S) parameters between ports of a network system.
SPCNOD - Defines a space node for radiation using the Radiosity method.
SPCTEMP - Defines a free-space ambient temperature for radiation using the Radiosity method.
SPEC - Specifies "Miscellaneous specifications" as the subsequent status topic.
SPH4 - Creates a spherical volume anywhere on the working plane.
SPH5 - Creates a spherical volume by diameter end points.
SPHERE - Creates a spherical volume centered about the working plane origin.
SPICE - Generates a SPICE subcircuit model using S-parameters from a Touchstone file.
SPLINE - Generates a segmented spline through a series of keypoints.
SPLOT - Displays the selected areas and a faceted view of their underlying surfaces
SPOINT - Defines a point for moment summations.
SPOPT - Selects the spectrum type and other spectrum options.
SPREAD - Turns on a dashed tolerance curve for the subsequent curve plots.
SPSCAN - Performs a harmonic analysis of a unit cell over a range of angles and extracts the S-parameter.
SPSWP - Computes S-parameters over a frequency range and writes them to a file.
SPTOPT - Specifies "Spectrum analysis options" as the subsequent status topic.
SQRT - Forms the square root of a variable.
SRSS - Specifies the square root of sum of squares mode combination method.
SSBT - Specifies preintegrated bending thermal effects for shell sections.
/SSCALE - Sets the contour multiplier for topographic displays.
SSLN - Selects and displays small lines in the model.
SSMT - Specifies preintegrated membrane thermal effects for shell sections.
SSPA - Specifies a preintegrated membrane stiffness for shell sections.
SSPB - Specifies a preintegrated coupling stiffness for shell sections.
SSPD - Specifies a preintegrated bending stiffness for shell sections.
SSPE - Specifies a preintegrated transverse shear stiffness for shell sections.
SSPM - Specifies mass density for a preintegrated shell section.
SSTIF - Activates stress stiffness effects in a nonlinear analysis.
SSUM - Calculates and prints the sum of element table items.
STABILIZE - Activates stabilization for all elements that support nonlinear stabilization.
STAOPT - Specifies static analysis options.
STAT - Displays the status of database settings.
/STATUS - Lists the status of items for the run.
STEF - Specifies Stefan-Boltzmann radiation constant.
/STITLE - Defines subtitles.
STORE - Stores data in the database for the defined variables.
SUBOPT - Specifies options for subspace iteration eigenvalue extraction.
SUBSET - Reads results for the selected portions of the model.
SUCALC - Create new result data by operating on two existing result data sets on a given surface.
SUCR - Create a surface.
SUDEL - Delete geometry information as well as any mapped results for specified surface.
SUEVAL - Perform operations on a mapped item and store result in a scalar parameter.
SUGET - Moves surface geometry and mapped results to an array parameter.
SUMAP - Map results onto selected surface(s).
SUMTYPE - Sets the type of summation to be used in the following load case operations.
SUPL - Plot result data on all selected surfaces or on a specified surface.
SUPR - Print global status, geometry information and/or result information.
SURESU - Read a set of surface definitions and result items from a file and make them the current set.
SUSAVE - Saves surface definitions to a file.
SUSEL - Selects a subset of surfaces
SUVECT - Create new result data by operating on two existing result vectors on a given surface.
SV - Defines spectrum values to be associated with frequency points.
SVTYP - Defines the type of single-point response spectrum.
SWADD - Adds more surfaces to an existing spot weld set.
SWDEL - Deletes spot weld sets.
SWGEN - Creates a new spot weld set.
SWLIST - Lists spot weld sets.
SYNCHRO - Specifies whether the excitation frequency is synchronous or asynchronous with the rotational velocity of a structure.
/SYP - Passes a command string and arguments to the operating system.
/SYS - Passes a command string to the operating system.
XXI. T Commands
TALLOW - Defines the temperature table for safety factor calculations.
TB - Activates a data table for nonlinear material properties or special element input.
TBCOPY - Copies a data table from one material to another (see ).
TBDATA - Defines data for the data table.
TBDELE - Deletes previously defined data tables.
TBFIELD - Defines values of field variables for the material data tables.
TBFT - Performs material curve fitting operations.
TBLE - Specifies "Data table properties" as the subsequent status topic.
TBLIST - Lists the data tables.
TBMODIF - Modifies data for the data table (GUI).
TBPLOT - Displays the data table.
TBPT - Defines a point on a nonlinear data curve.
TBTEMP - Defines a temperature for the data table.
TCHG - Converts 20-node degenerate tetrahedral elements to their 10-node non-degenerate counterparts.
TEE - Defines a tee in a piping run.
TERM - Specifies various terminal driver options.
THOPT - Nonlinear transient thermal solution option.
TIFF - Provides TIFF file Export for ANSYS Displays.
TIME - Sets the time for a load step.
TIMERANGE - Specifies the time range for which data are to be stored.
TIMINT - Turns on transient effects.
TIMP - Improves the quality of tetrahedral elements that are not associated with a volume.
TINTP - Defines transient integration parameters.
/TITLE - Defines a main title.
/TLABEL - Creates annotation text (GUI).
TOCOMP - Defines single or multiple compliance as the topological optimization function.
TODEF - Defines parameters for and initializes topological optimization.
TOEXE - Executes one topological optimization iteration.
TOFFST - Specifies the temperature offset from absolute zero to zero.
TOFREQ - Defines single or mean frequency formulation as the topological optimization function.
TOGRAPH - Plots iteration solution of topological optimization.
TOLIST - Lists all topological optimization functions currently defined.
TOLOOP - Execute several topological optimization iterations.
TOPLOT - Plot current topological density distribution.
TOPRINT - Print iteration solution history of topological optimization.
TORQ2D - Calculates torque on a body in a magnetic field.
TORQC2D - Calculates torque on a body in a magnetic field based on a circular path.
TORQSUM - Summarizes electromagnetic torque calculations on element components.
TORUS - Creates a toroidal volume.
TOSTAT - Displays topological optimization status and results information.
TOTAL - Specifies automatic MDOF generation.
TOTYPE - Specifies solution method for topological optimization.
TOVAR - Specifies the objective and constraints for the topological optimization problem.
TRANS - Reformats File.GRPH for improved performance with plotters.
TRANSFER - Transfers a pattern of nodes to another coordinate system.
TREF - Defines the reference temperature for the thermal strain calculations.
/TRIAD - Shows the global XYZ coordinate triad on displays.
/TRLCY - Specifies the level of translucency.
TRNOPT - Specifies transient analysis options.
TRPDEL - Deletes particle flow or charged particle trace points.
TRPLIS - Lists the particle flow or charged particle trace points.
TRPOIN - Defines a point through which a particle flow or charged particle trace will travel.
TRTIME - Defines the options used for the PLTRAC (particle flow or charged particle trace) command.
TSHAP - Defines simple 2-D and 3-D geometric surfaces for target segment elements.
/TSPEC - Creates annotation text attributes (GUI).
TSRES - Defines an array of keytimes at which the time-stepping strategy changes.
TUNIF - Assigns a uniform temperature to all nodes.
TVAR - Changes time to the cumulative iteration number.
/TXTRE - Controls application of texture to selected items.
/TYPE - Defines the type of display.
TYPE - Sets the element type attribute pointer.
TZAMESH - Meshes the areas of a volume to create Trefftz nodes.
TZDELE - Deletes the Trefftz superelement, associated constraint equations and all supporting Trefftz files.
TZEGEN - Generates a Trefftz domain substructure and defines a Trefftz superelement for use in electrostatic analysis.
XXII. U Commands
/UDOC - Determines position and content for the multi-legend options.
/UI - Activates specified GUI dialog boxes.
UIMP - Defines constant material properties (GUI).
/UIS - Controls the GUI behavior.
UNDELETE - Removes results sets from the group of sets selected for editing.
UNDO - Allows the user to modify or save commands issued since the last RESUME or SAVE command.
/UNITS - Annotates the database with the system of units used.
UPCOORD - Modifies the coordinates of the active set of nodes, based on the current displacements.
UPGEOM - Adds displacements from a previous analysis and updates the geometry of the finite element model to the deformed configuration.
/USER - Conveniently resets /FOCUS and /DIST to USER.
USRCAL - Allows user-solution subroutines to be activated or deactivated.
USRDOF - Specifies the degrees of freedom for the user-defined element USER300.
USRELEM - Specifies the characteristics of the user-defined element USER300.
XXIII. V Commands
V - Defines a volume through keypoints.
V2DOPT - Specifies 2-D/axisymmetric view factor calculation options.
VA - Generates a volume bounded by existing areas.
VADD - Adds separate volumes to create a single volume.
VALVE - Defines a valve in a piping run.
VARDEL - Deletes a variable (GUI).
VARNAM - Names (or renames) a variable.
VATT - Associates element attributes with the selected, unmeshed volumes.
VCLEAR - Deletes nodes and volume elements associated with selected volumes.
/VCONE - Defines the view cone angle for perspective displays.
VCROSS - Forms element table items from the cross product of two vectors.
VCVFILL - Fills cavities and bosses in volumes (for models imported from CAD files).
VDDAM - Specifies the velocity spectrum computation constants for the analysis of shock resistance of shipboard structures.
VDELE - Deletes unmeshed volumes.
VDGL - Lists keypoints of a volume that lie on a parametric degeneracy.
VDOT - Forms an element table item from the dot product of two vectors.
VDRAG - Generates volumes by dragging an area pattern along a path.
VEORIENT - Specifies brick element orientation for volume mapped (hexahedron) meshing.
VEXT - Generates additional volumes by extruding areas.
VFCALC - Computes and stores Hemicube view factors.
VFOPT - Specifies options for view factor file.
VFQUERY - Queries and prints element Hemicube view factors and average view factor.
VGEN - Generates additional volumes from a pattern of volumes.
VGET - Moves a variable into an array parameter vector.
VGLUE - Generates new volumes by "gluing" volumes.
/VIEW - Defines the viewing direction for the display.
VIMP - Improves the quality of the tetrahedral elements in the selected volume(s).
VINP - Finds the pairwise intersection of volumes.
VINV - Finds the intersection of volumes.
VLIST - Lists the defined volumes.
VLSCALE - Generates a scaled set of volumes from a pattern of volumes.
VMESH - Generates nodes and volume elements within volumes.
VOFFST - Generates a volume, offset from a given area.
VOLUMES - Specifies "Volumes" as the subsequent status topic.
VOVLAP - Overlaps volumes.
VPLOT - Displays the selected volumes.
VPTN - Partitions volumes.
VPUT - Moves an array parameter vector into a variable.
VROTAT - Generates cylindrical volumes by rotating an area pattern about an axis.
VSBA - Subtracts areas from volumes.
VSBV - Subtracts volumes from volumes.
VSBW - Subtracts intersection of the working plane from volumes (divides volumes).
/VSCALE - Scales the length of displayed vectors.
VSEL - Selects a subset of volumes.
VSLA - Selects those volumes containing the selected areas.
VSUM - Calculates and prints geometry statistics of the selected volumes.
VSWEEP - Fills an existing unmeshed volume with elements by sweeping the mesh from an adjacent area through the volume.
VSYMM - Generates volumes from a volume pattern by symmetry reflection.
/VT - Enters the Variational Technology preprocessor.
VTCLR - Clears the Variational Technology database.
VTDISC - Defines an element component as a discrete input variable for the DesignXplorer.
VTEVAL - Triggers evaluation of generated results based on input variables specified via the VTVMOD command.
VTFREQ - Defines the frequency as input variable for the harmonic sweep functionality of VT Accelerator.
VTGEOM - Defines a geometry parameter created with ANSYS Mesh Morpher as a DesignXplorer input variable.
VTIN - Defines an inertial load as an input variable for DesignXplorer.
VTMETH - Defines the solution options for the DesignXplorer.
VTMP - Defines a material property as an input variable for DesignXplorer.
VTOP - Defines options value for the DesignXplorer.
VTPOST - Launches the DesignXplorer postprocessing application.
VTRAN - Transfers a pattern of volumes to another coordinate system.
VTREAL - Defines a real constant property as an input variable for the DesignXplorer.
VTRFIL - Specifies the file to which DesignXplorer results are written.
VTRSLT - Defines a result quantity for the DesignXplorer.
VTSEC - Defines a section property as an input variable for DesignXplorer.
VTSFE - Defines a surface load as an input variable for the DesignXplorer.
VTSL - Selects a subset of elements associated with an VT input variable.
VTSTAT - Print the status of the DesignXplorer definitions and settings into a separate window.
VTTEMP - Defines the temperature as input variable for the DesignXplorer.
VTVMOD - Modifies the status or current value of an input variable for the DesignXplorer.
VTYPE - Specifies the viewing procedure used to determine the form factors for the Radiation Matrix method.
/VUP - Specifies the global Cartesian coordinate system reference orientation.
XXIV. W Commands
WAVES - Initiates reordering.
WERASE - Erases all reordering wave lists.
WFRONT - Estimates wavefront statistics.
/WINDOW - Defines the window size on the screen.
WMID - Specifies reordering options for the WAVES command.
WMORE - Adds more nodes to the starting wave list.
WPAVE - Moves the working plane origin to the average of specified points.
WPCSYS - Defines the working plane location based on a coordinate system.
WPLANE - Defines a working plane to assist in picking operations.
WPOFFS - Offsets the working plane.
WPROTA - Rotates the working plane.
WPSTYL - Controls the display and style of the working plane.
WRFULL - Stops solution after assembling global matrices.
WRITE - Writes the radiation matrix file.
WSORT - Initiates element reordering based upon a geometric sort.
WSPRINGS - Creates weak springs on corner nodes of a bounding box of the currently selected elements.
WSTART - Defines a starting wave list.
XXV. X Commands
/XFRM - Controls the centroid or the axis of dynamic rotation.
/XRANGE - Specifies a linear abscissa (X) scale range.
XVAR - Specifies the X variable to be displayed.
XVAROPT - Specifies the parameter to be used as the X-axis variable.
XXVI. Y Commands
/YRANGE - Specifies a linear ordinate (Y) scale range.
XXVII. Z Commands
/ZOOM - Zooms a region of a display window.
Elements Reference
1. About This Manual
1.1. Conventions Used in this Manual
1.1.1. Product Codes
1.1.2. Applicable ANSYS Products
1.2. ANSYS Product Capabilities
2. General Element Features
2.1. Element Input
2.1.1. Element Name
2.1.2. Nodes
2.1.3. Degrees of Freedom
2.1.4. Real Constants
2.1.5. Material Properties
2.1.6. Surface Loads
2.1.7. Body Loads
2.1.8. Special Features
2.1.9. KEYOPTS
2.2. Solution Output
2.2.1. Nodal Solution
2.2.2. Element Solution
2.3. Coordinate Systems
2.3.1. Element Coordinate Systems
2.3.2. Elements that Operate in the Nodal Coordinate System
2.4. Linear Material Properties
2.5. Data Tables - Implicit Analysis
2.5.1. GUI-Inaccessible Material Properties
2.5.2. Nonlinear Stress-Strain Materials
2.5.3. Hyperelastic Material Constants
2.5.4. Viscoelastic Material Constants
2.5.5. Magnetic Materials
2.5.6. High-Frequency Electromagnetic Materials
2.5.7. Anisotropic Elastic Materials
2.5.8. Piezoelectric Materials
2.5.9. Piezoresistive Materials
2.5.10. Anisotropic Electric Permittivity Materials
2.5.11. Rate-Dependent Plastic (Viscoplastic) Materials
2.5.12. Gasket Materials
2.5.13. Creep Equations
2.5.14. Shape Memory Alloys
2.5.15. Swelling Equations
2.5.16. MPC184 Joint Materials
2.5.17. Contact Friction
2.5.18. Cohesive Zone Materials
2.6. Material Model Combinations
2.7. Explicit Dynamics Materials
2.8. Node and Element Loads
2.9. Triangle, Prism and Tetrahedral Elements
2.10. Shell Elements
2.11. Generalized Plane Strain Option of 18x Solid Elements
2.12. Axisymmetric Elements
2.13. Axisymmetric Elements with Nonaxisymmetric Loads
2.14. Shear Deflection
2.15. Geometric Nonlinearities
2.16. Mixed u-P Formulation Elements
2.16.1. Element Technologies
2.16.2. 18x Mixed u-P Elements
2.16.3. Applications of Mixed u-P Formulations
2.16.4. Overconstrained Models and No Unique Solution
2.17. Legacy vs. Current Element Technologies
2.18. Automatic Selection of Element Technologies
3. Element Characteristics
3.1. Element Classifications
3.2. Pictorial Summary
3.3. GUI-Inaccessible Elements
I. Element Library
4. Element Library
LINK1 - 2-D Spar (or Truss)
BEAM3 - 2-D Elastic Beam
BEAM4 - 3-D Elastic Beam
SOLID5 - 3-D Coupled-Field Solid
COMBIN7 - Revolute Joint
LINK8 - 3-D Spar (or Truss)
INFIN9 - 2-D Infinite Boundary
LINK10 - Tension-only or Compression-only Spar
LINK11 - Linear Actuator
CONTAC12 - 2-D Point-to-Point Contact
PLANE13 - 2-D Coupled-Field Solid
COMBIN14 - Spring-Damper
PIPE16 - Elastic Straight Pipe
PIPE17 - Elastic Pipe Tee
PIPE18 - Elastic Curved Pipe
PIPE20 - Plastic Straight Thin-Walled Pipe
MASS21 - Structural Mass
BEAM23 - 2-D Plastic Beam
BEAM24 - 3-D Thin-walled Beam
PLANE25 - Axisymmetric-Harmonic 4-Node Structural Solid
MATRIX27 - Stiffness, Damping, or Mass Matrix
SHELL28 - Shear/Twist Panel
FLUID29 - 2-D Axisymmetric Harmonic Acoustic Fluid
FLUID30 - 3-D Acoustic Fluid
LINK31 - Radiation Link
LINK32 - 2-D Conduction Bar
LINK33 - 3-D Conduction Bar
LINK34 - Convection Link
PLANE35 - 2-D 6-Node Triangular Thermal Solid
SOURC36 - Current Source
COMBIN37 - Control
FLUID38 - Dynamic Fluid Coupling
COMBIN39 - Nonlinear Spring
COMBIN40 - Combination
SHELL41 - Membrane Shell
PLANE42 - 2-D Structural Solid
SHELL43 - 4-Node Plastic Large Strain Shell
BEAM44 - 3-D Elastic Tapered Unsymmetric Beam
SOLID45 - 3-D Structural Solid
SOLID46 - 3-D 8-Node Layered Structural Solid
INFIN47 - 3-D Infinite Boundary
MATRIX50 - Superelement (or Substructure)
CONTAC52 - 3-D Point-to-Point Contact
PLANE53 - 2-D 8-Node Magnetic Solid
BEAM54 - 2-D Elastic Tapered Unsymmetric Beam
PLANE55 - 2-D Thermal Solid
SHELL57 - Thermal Shell
PIPE59 - Immersed Pipe or Cable
PIPE60 - Plastic Curved Thin-Walled Pipe
SHELL61 - Axisymmetric-Harmonic Structural Shell
SOLID62 - 3-D Magneto-Structural Solid
SHELL63 - Elastic Shell
SOLID65 - 3-D Reinforced Concrete Solid
PLANE67 - 2-D Coupled Thermal-Electric Solid
LINK68 - Coupled Thermal-Electric Line
SOLID69 - 3-D Coupled Thermal-Electric Solid
SOLID70 - 3-D Thermal Solid
MASS71 - Thermal Mass
PLANE75 - Axisymmetric-Harmonic 4-Node Thermal Solid
PLANE77 - 2-D 8-Node Thermal Solid
PLANE78 - Axisymmetric-Harmonic 8-Node Thermal Solid
FLUID79 - 2-D Contained Fluid
FLUID80 - 3-D Contained Fluid
FLUID81 - Axisymmetric-Harmonic Contained Fluid
PLANE82 - 2-D 8-Node Structural Solid
PLANE83 - Axisymmetric-Harmonic 8-Node Structural Solid
SOLID87 - 3-D 10-Node Tetrahedral Thermal Solid
VISCO88 - 2-D 8-Node Viscoelastic Solid
VISCO89 - 3-D 20-Node Viscoelastic Solid
SOLID90 - 3-D 20-Node Thermal Solid
SHELL91 - Nonlinear Layered Structural Shell
SOLID92 - 3-D 10-Node Tetrahedral Structural Solid
SHELL93 - 8-Node Structural Shell
CIRCU94 - Piezoelectric Circuit
SOLID95 - 3-D 20-Node Structural Solid
SOLID96 - 3-D Magnetic Scalar Solid
SOLID97 - 3-D Magnetic Solid
SOLID98 - Tetrahedral Coupled-Field Solid
SHELL99 - Linear Layered Structural Shell
VISCO106 - 2-D 4-Node Viscoplastic Solid
VISCO107 - 3-D 8-Node Viscoplastic Solid
VISCO108 - 2-D 8-Node Viscoplastic Solid
TRANS109 - 2-D Electromechanical Transducer
INFIN110 - 2-D Infinite Solid
INFIN111 - 3-D Infinite Solid
INTER115 - 3-D Magnetic Interface
FLUID116 - Coupled Thermal-Fluid Pipe
SOLID117 - 3-D 20-Node Magnetic Solid
HF118 - 2-D High-Frequency Quadrilateral Solid
HF119 - 3-D High-Frequency Tetrahedral Solid
HF120 - 3-D High-Frequency Brick Solid
PLANE121 - 2-D 8-Node Electrostatic Solid
SOLID122 - 3-D 20-Node Electrostatic Solid
SOLID123 - 3-D 10-Node Tetrahedral Electrostatic Solid
CIRCU124 - Electric Circuit
CIRCU125 - Diode
TRANS126 - Electromechanical Transducer
SOLID127 - 3-D Tetrahedral Electrostatic Solid p-Element
SOLID128 - 3-D Brick Electrostatic Solid p-Element
FLUID129 - 2-D Infinite Acoustic
FLUID130 - 3-D Infinite Acoustic
SHELL131 - 4-Node Layered Thermal Shell
SHELL132 - 8-Node Layered Thermal Shell
FLUID136 - 3-D Squeeze Film Fluid Element
FLUID138 - 3-D Viscous Fluid Link Element
FLUID139 - 3-D Slide Film Fluid Element
FLUID141 - 2-D Fluid-Thermal
FLUID142 - 3-D Fluid-Thermal
ROM144 - Reduced Order Electrostatic-Structural
PLANE145 - 2-D Quadrilateral Structural Solid p-Element
PLANE146 - 2-D Triangular Structural Solid p-Element
SOLID147 - 3-D Brick Structural Solid p-Element
SOLID148 - 3-D Tetrahedral Structural Solid p-Element
SHELL150 - 8-Node Structural Shell p-Element
SURF151 - 2-D Thermal Surface Effect
SURF152 - 3-D Thermal Surface Effect
SURF153 - 2-D Structural Surface Effect
SURF154 - 3-D Structural Surface Effect
SURF156 - 3-D Structural Surface Line Load Effect
SHELL157 - Thermal-Electric Shell
LINK160 - Explicit 3-D Spar (or Truss)
BEAM161 - Explicit 3-D Beam
PLANE162 - Explicit 2-D Structural Solid
SHELL163 - Explicit Thin Structural Shell
SOLID164 - Explicit 3-D Structural Solid
COMBI165 - Explicit Spring-Damper
MASS166 - Explicit 3-D Structural Mass
LINK167 - Explicit Tension-Only Spar
SOLID168 - Explicit 3-D 10-Node Tetrahedral Structural Solid
TARGE169 - 2-D Target Segment
TARGE170 - 3-D Target Segment
CONTA171 - 2-D 2-Node Surface-to-Surface Contact
CONTA172 - 2-D 3-Node Surface-to-Surface Contact
CONTA173 - 3-D 4-Node Surface-to-Surface Contact
CONTA174 - 3-D 8-Node Surface-to-Surface Contact
CONTA175 - 2-D/3-D Node-to-Surface Contact
CONTA176 - 3-D Line-to-Line Contact
CONTA177 - 3-D Line-to-Surface Contact
CONTA178 - 3-D Node-to-Node Contact
PRETS179 - Pretension
LINK180 - 3-D Finite Strain Spar (or Truss)
SHELL181 - 4-Node Finite Strain Shell
PLANE182 - 2-D 4-Node Structural Solid
PLANE183 - 2-D 8-Node or 6-Node Structural Solid
MPC184 - Multipoint Constraint Element
MPC184-Link/Beam - Multipoint Constraint Element: Rigid Link or Rigid Beam
MPC184-Slider - Multipoint Constraint Element: Slider
MPC184-Revolute - Multipoint Constraint Element: Revolute Joint
MPC184-Universal - Multipoint Constraint Element: Universal Joint
MPC184-Slot - Multipoint Constraint Element: Slot Joint
MPC184-Point - Multipoint Constraint Element: Point-in-plane Joint
MPC184-Translational - Multipoint Constraint Element: Translational Joint
MPC184-Cylindrical - Multipoint Constraint Element: Cylindrical Joint
MPC184-Planar - Multipoint Constraint Element: Planar Joint
MPC184-Weld - Multipoint Constraint Element: Weld Joint
MPC184-Orient - Multipoint Constraint Element: Orient Joint
MPC184-Spherical - Multipoint Constraint Element: Spherical Joint
MPC184-General - Multipoint Constraint Element: General Joint
SOLID185 - 3-D 8-Node Structural Solid or Layered Solid
SOLID186 - 3-D 20-Node Structural Solid or Layered Solid
SOLID187 - 3-D 10-Node Tetrahedral Structural Solid
BEAM188 - 3-D Linear Finite Strain Beam
BEAM189 - 3-D Quadratic Finite Strain Beam
SOLSH190 - 3-D 8-Node Layered Solid Shell
SOLID191 - 3-D 20-Node Layered Structural Solid
INTER192 - 2-D 4-Node Gasket
INTER193 - 2-D 6-Node Gasket
INTER194 - 3-D 16-Node Gasket
INTER195 - 3-D 8-Node Gasket
MESH200 - Meshing Facet
FOLLW201 - Follower Load
INTER202 - 2-D 4-Node Cohesive Zone
INTER203 - 2-D 6-Node Cohesive Zone
INTER204 - 3-D 16-Node Cohesive Zone
INTER205 - 3-D 8-Node Cohesive Zone
SHELL208 - 2-Node Finite Strain Axisymmetric Shell
SHELL209 - 3-Node Finite Strain Axisymmetric Shell
COMBI214 - 2-D Spring-Damper Bearing
PLANE223 - 2-D 8-Node Coupled-Field Solid
SOLID226 - 3-D 20-Node Coupled-Field Solid
SOLID227 - 3-D 10-Node Coupled-Field Solid
PLANE230 - 2-D 8-Node Electric Solid
SOLID231 - 3-D 20-Node Electric Solid
SOLID232 - 3-D 10-Node Tetrahedral Electric Solid
SURF251 - 2-D Radiosity Surface
SURF252 - 3-D Thermal Radiosity Surface
REINF265 - 3-D Smeared Reinforcing
SHELL281 - 8-Node Finite Strain Shell
Bibliography
Operations Guide
1. Introducing ANSYS
2. The ANSYS Environment
2.1. Entering a Processor
2.2. Exiting from a Processor or ANSYS
2.2.1. Stopping the Input of a File
2.3. The ANSYS Database
2.3.1. Defining or Deleting Database Items
2.3.2. Saving the Database
2.3.3. Restoring Database Contents
2.3.4. Using the Session Editor to Modify the Database
2.3.5. Clearing the Database
2.4. ANSYS Program Files
2.4.1. ANSYS File Types
2.4.2. ANSYS File Sizes
2.4.3. The Jobname.LOG File
2.5. Communicating With the ANSYS Program
2.5.1. Communicating Via the Graphical User Interface (GUI)
2.5.2. Communicating Via Commands
2.5.3. Command Defaults
2.5.4. Abbreviations
2.5.5. Command Macro Files
3. Running the ANSYS Program
3.1. Starting an ANSYS Session from the Command Level
3.2. The ANSYS Launcher
3.2.1. Starting an ANSYS Session from the Start Menu/Launcher
3.2.2. Launcher Menu Options
3.3. Interactive Mode
3.3.1. Executing the ANSYS or DISPLAY Programs from Windows Explorer
3.4. Batch Mode
3.4.1. Starting a Batch Job from the Command Line
3.4.2. Launching LSF/Batch from the ANSYS Input Window
3.4.3. Configuring LSF/Batch on Your System
3.5. Choosing an ANSYS Product
3.5.1. Changing the Default Product for a UNIX System
3.5.2. Changing the Default Product for Start-up on Windows
3.6. Setting Preferences with the start110.ans File
3.6.1. The start110.ans File
3.7. Estimating ANSYS Run Time
3.7.1. Creating a SETSPEED Macro File
3.7.2. Using a SETSPEED Macro to Estimate Run Time
4. Using the ANSYS GUI
4.1. GUI Controls
4.1.1. A Dialog Box and Its Components
4.2. Activating the GUI
4.3. Layout of the GUI
4.3.1. The Utility Menu
4.3.2. The Standard Toolbar
4.3.3. Command Input Options
4.3.4. The ANSYS Toolbar
4.3.5. The Main Menu
4.3.6. The Graphics Window
4.3.7. The Output Window
4.3.8. Creating, Modifying and Positioning Toolbars
5. Graphical Picking
5.1. Locational and Retrieval Picking
5.2. Query Picking
5.2.1. The Model Query Picker
5.2.2. The Results Query Picker
6. Customizing ANSYS and the GUI
6.1. The Configuration File
6.2. Splitting Files Across File Partitions
6.3. Customizing the GUI
6.3.1. Changing the GUI Layout
6.3.2. Changing Colors and Fonts
6.3.3. Changing the GUI Components Shown at Start-Up
6.3.4. Changing the Mouse and Keyboard Focus
6.3.5. Changing the Menu Hierarchy and Dialog Boxes Using UIDL
6.3.6. Creating Dialog Boxes Using Tcl/Tk
6.4. ANSYS Neutral File Format
6.4.1. Neutral File Specification
6.4.2. AUX15 Commands to Read Geometry Into the ANSYS database
6.4.3. A Sample ANSYS Neutral File Input Listing
7. Using the Online Help and Manuals
7.1. Using Help Features
7.1.1. Using Hypertext Links
7.1.2. Locating Topics Via Word Search
7.1.3. Revisiting Previously-Viewed Topics
7.1.4. Printing the Window Contents
7.1.5. Using 'What's This' Help
7.2. Customizing ANSYS Help
7.2.1. Adding Help Calls to GUI Objects
7.2.2. Creating HTML Files
7.2.3. Updating the Look-Up Table
8. Using the ANSYS Session and Command Logs
8.1. Using the Session Log File
8.2. Using the Database Command Log
8.3. Using a Command Log File as Input
Basic Analysis Guide
1. Getting Started with ANSYS
1.1. Building the Model
1.1.1. Specifying a Jobname and Analysis Title
1.1.2. Defining Element Types
1.1.3. Defining Element Real Constants
1.1.4. Defining Material Properties
1.1.5. Creating the Model Geometry
1.2. Applying Loads and Obtaining the Solution
1.2.1. Defining the Analysis Type and Analysis Options
1.2.2. Applying Loads
1.2.3. Specifying Load Step Options
1.2.4. Initiating the Solution
1.3. Reviewing the Results
2. Loading
2.1. What Are Loads?
2.2. Load Steps, Substeps, and Equilibrium Iterations
2.3. The Role of Time in Tracking
2.4. Stepped Versus Ramped Loads
2.5. How to Apply Loads
2.5.1. Solid-Model Loads: Advantages and Disadvantages
2.5.2. Finite-Element Loads: Advantages and Disadvantages
2.5.3. DOF Constraints
2.5.4. Applying Symmetry or Antisymmetry Boundary Conditions
2.5.5. Transferring Constraints
2.5.6. Forces (Concentrated Loads)
2.5.7. Surface Loads
2.5.8. Body Loads
2.5.9. Inertia Loads
2.5.10. Coupled-Field Loads
2.5.11. Axisymmetric Loads and Reactions
2.5.12. Loads to Which the DOF Offers No Resistance
2.5.13. Initial State Loading
2.5.14. Applying Loads Using TABLE Type Array Parameters
2.5.15. Applying Loads Using Function Boundary Conditions
2.6. How to Specify Load Step Options
2.6.1. General Options
2.6.2. Dynamics Options
2.6.3. Nonlinear Options
2.6.4. Output Controls
2.6.5. Biot-Savart Options
2.6.6. Spectrum Options
2.7. Creating Multiple Load Step Files
2.8. Defining Pretension in a Joint Fastener
2.8.1. Applying Pretension to a Fastener Meshed as a Single Piece
2.8.2. Applying Pretension to a Fastener Meshed as Two Pieces
2.8.3. Example Pretension Analysis
2.8.4. Example Pretension Analysis (GUI Method)
3. Solution
3.1. Selecting a Solver
3.2. Types of Solvers
3.2.1. The Sparse Direct Solver
3.2.2. The Preconditioned Conjugate Gradient (PCG) Solver
3.2.3. The Jacobi Conjugate Gradient (JCG) Solver
3.2.4. The Incomplete Cholesky Conjugate Gradient (ICCG) Solver
3.2.5. The Quasi-Minimal Residual (QMR) Solver
3.2.6. The Frontal Solver
3.2.7. The Algebraic Multigrid (AMG) Solver
3.2.8. The Distributed Direct (DSPARSE) Solver
3.2.9. The Automatic Iterative (Fast) Solver Option
3.3. Solver Memory and Performance
3.3.1. Running ANSYS Solvers under Shared Memory
3.3.2. Using ANSYS' Large Memory Capabilities with the Sparse Solver
3.3.3. Disk Space (I/O) and Post-Processing Performance for Large Memory Problems
3.3.4. Memory Usage on Windows 32-bit Systems
3.3.5. Estimating Run Time and File Sizes
3.4. Using Special Solution Controls for Certain Types of Structural Analyses
3.4.1. Using Abridged Solution Menus
3.4.2. Using the Solution Controls Dialog Box
3.4.3. Accessing More Information
3.5. Using the PGR File to Store Data for Postprocessing
3.5.1. PGR File Capability
3.5.2. Selecting Information for the PGR File
3.5.3. PGR Commands
3.6. Obtaining the Solution
3.7. Solving Multiple Load Steps
3.7.1. Using the Multiple SOLVE Method
3.7.2. Using the Load Step File Method
3.7.3. Using the Array Parameter Method
3.8. Terminating a Running Job
3.9. Restarting an Analysis
3.9.1. Singleframe Restart
3.9.2. Multiframe Restart
3.9.3. VT Accelerator Re-run
3.10. Exercising Partial Solution Steps
3.11. Singularities
3.12. Stopping Solution After Matrix Assembly
4. An Overview of Postprocessing
4.1. Postprocessors Available
4.2. The Results Files
4.3. Types of Data Available for Postprocessing
5. The General Postprocessor (POST1)
5.1. Reading Results Data into the Database
5.1.1. Reading in Results Data
5.1.2. Other Options for Retrieving Results Data
5.1.3. Creating an Element Table
5.1.4. Special Considerations for Principal Stresses
5.1.5. Reading in FLOTRAN Results
5.1.6. Resetting the Database
5.2. Reviewing Results in POST1
5.2.1. Displaying Results Graphically
5.2.2. Surface Operations
5.2.3. Integrating Surface Results
5.2.4. Listing Results in Tabular Form
5.2.5. Mapping Results onto a Path
5.2.6. Estimating Solution Error
5.2.7. Using the Results Viewer to Access Your Results File Data
5.3. Using the PGR File in POST1
5.3.1. Specifying a New PGR File in POST1
5.3.2. Appending to an Existing PGR File in POST1
5.4. Additional POST1 Postprocessing
5.4.1. Rotating Results to a Different Coordinate System
5.4.2. Performing Arithmetic Operations Among Results Data
5.4.3. Creating and Combining Load Cases
5.4.4. Mapping Results onto a Different Mesh or to a Cut Boundary
5.4.5. Creating or Modifying Results Data in the Database
5.4.6. Splitting Large Results Files
5.4.7. Magnetics Command Macros
6. The Time-History Postprocessor (POST26)
6.1. The Time-History Variable Viewer
6.2. Entering the Time-History Postprocessor
6.2.1. Interactive
6.2.2. Batch
6.3. Defining Variables
6.3.1. Interactive
6.3.2. Batch
6.4. Processing Your Variables to Develop Calculated Data
6.4.1. Interactive
6.4.2. Batch
6.5. Importing Data
6.5.1. Interactive
6.5.2. Batch Mode
6.6. Exporting Data
6.6.1. Interactive Mode
6.6.2. Batch Mode
6.7. Reviewing the Variables
6.7.1. Plotting Result Graphs
6.7.2. Listing Your Results in Tabular Form
6.8. Additional Time-History Postprocessing
6.8.1. Random Vibration (PSD) Results Postprocessing
6.8.2. Generating a Response Spectrum
6.8.3. Data Smoothing
7. Selecting and Components
7.1. Selecting Entities
7.1.1. Selecting Entities Using Commands
7.1.2. Selecting Entities Using the GUI
7.1.3. Selecting Lines to Repair CAD Geometry
7.1.4. Other Commands for Selecting
7.2. Selecting for Meaningful Postprocessing
7.3. Grouping Geometry Items into Components and Assemblies
7.3.1. Creating Components
7.3.2. Nesting Assemblies
7.3.3. Selecting Entities by Component or Assembly
7.3.4. Adding or Removing Components
7.3.5. Modifying Components or Assemblies
8. Getting Started with Graphics
8.1. Interactive Versus External Graphics
8.2. Identifying the Graphics Device Name (for UNIX)
8.2.1. Graphics Device Names Available
8.2.2. Graphics Drivers and Capabilities Supported on UNIX Systems
8.2.3. Graphics Device Types Supported on UNIX Systems
8.2.4. Graphics Environment Variables
8.3. Specifying the Graphics Display Device Type (for Windows)
8.4. System-Dependent Graphics Information
8.4.1. Adjusting Input Focus
8.4.2. Deactivating Backing Store
8.4.3. Setting Up IBM RS/6000 3-D OpenGL Supported Graphics Adapters
8.4.4. Displaying X11 Graphics over Networks
8.4.5. HP Graphics Drivers
8.4.6. Producing GraphicDisplays on an HP PaintJet Printer
8.4.7. PostScript Hard-Copy Option
8.4.8. IBM RS/6000 Graphics Drivers
8.4.9. Silicon Graphics Drivers
8.4.10. Sun UltraSPARC Graphics Drivers (32 and 64 bit versions)
8.5. Creating Graphics Displays
8.5.1. GUI-Driven Graphics Functions
8.5.2. Command-Driven Graphics Functions
8.5.3. Immediate Mode Graphics
8.5.4. Replotting the Current Display
8.5.5. Erasing the Current Display
8.5.6. Aborting a Display in Progress
8.6. Multi-Plotting Techniques
8.6.1. Defining the Window Layout
8.6.2. Choosing What Entities Each Window Displays
8.6.3. Choosing the Display Used for Plots
8.6.4. Displaying Selected Entities
9. General Graphics Specifications
9.1. Using the GUI to Control Displays
9.2. Multiple ANSYS Windows, Superimposed Displays
9.2.1. Defining ANSYS Windows
9.2.2. Activating and Deactivating ANSYS Windows
9.2.3. Deleting ANSYS Windows
9.2.4. Copying Display Specifications Between Windows
9.2.5. Superimposing (Overlaying) Multiple Displays
9.2.6. Removing Frame Borders
9.3. Changing the Viewing Angle, Zooming, and Panning
9.3.1. Changing the Viewing Direction
9.3.2. Rotating the Display About a Specified Axis
9.3.3. Determining the Model Coordinate System Reference Orientation
9.3.4. Translating (or Panning) the Display
9.3.5. Magnifying (Zooming in on) the Image
9.3.6. Using the Control Key to Pan, Zoom, and Rotate - Dynamic Manipulation Mode
9.3.7. Resetting Automatic Scaling and Focus
9.3.8. Freezing Scale (Distance) and Focus
9.4. Controlling Miscellaneous Text and Symbols
9.4.1. Using Legends in Your Displays
9.4.2. Controlling Entity Fonts
9.4.3. Controlling the Location of the Global XYZ Triad
9.4.4. Turning Triad Symbols On and Off
9.4.5. Changing the Style of the Working Plane Grid
9.4.6. Turning the ANSYS Logo On and Off
9.5. Miscellaneous Graphics Specifications
9.5.1. Reviewing Graphics Control Specifications
9.5.2. Restoring Defaults for Graphics Slash Commands
9.5.3. Saving the Display Specifications on a File
9.5.4. Recalling Display Specifications from a File
9.5.5. Pausing the ANSYS Program
9.6. 3-D Input Device Support
10. PowerGraphics
10.1. Characteristics of PowerGraphics
10.2. When to Use PowerGraphics
10.3. Activating and Deactivating PowerGraphics
10.4. How to Use PowerGraphics
10.5. What to Expect from a PowerGraphics Plot
10.5.1. Viewing Your Element Model
10.5.2. Printing and Plotting Node and Element Results
11. Creating Geometry Displays
11.1. Creating Displays of Solid-Model Entities
11.2. Changing the Specifications for Your Geometry Displays
11.2.1. Changing the Style of Your Display
11.2.2. Applying Styles to Enhance the Model Appearance
11.2.3. Controlling Numbers and Colors
11.2.4. Displaying Loads and Other Special Symbols
12. Creating Geometric Results Displays
12.1. Using the GUI to Display Geometric Results
12.2. Options for Creating Geometric Results Displays
12.3. Changing the Specifications for POST1 Results Displays
12.3.1. Controlling Displaced Shape Displays
12.3.2. Controlling Vector Symbols in Your Results Display
12.3.3. Controlling Contour Displays
12.3.4. Changing the Number of Contours
12.4. Q-Slice Techniques
12.5. Isosurface Techniques
12.6. Controlling Particle Flow or Charged Particle Trace Displays
13. Creating Graphs
13.1. Graph Display Actions
13.2. Changing the Specifications for Graph Displays
13.2.1. Changing the Type, Style, and Color of Your Graph Display
13.2.2. Labeling Your Graph
13.2.3. Defining X and Y Variables and Their Ranges
14. Annotation
14.1. 2-D Annotation
14.2. Creating Annotations for ANSYS Models
14.3. 3-D Annotation
14.4. 3-D Query Annotation
15. Animation
15.1. Creating Animated Displays Within ANSYS
15.2. Using the Basic Animation Commands
15.3. Using One-Step Animation Macros
15.4. Capturing Animated Display Sequences Off-Line
15.5. The Stand Alone ANIMATE Program
15.5.1. Installing the ANIMATE Program
15.5.2. Running the ANIMATE Program
15.6. Animation in the Windows Environment
15.6.1. How ANSYS Supports AVI Files
15.6.2. How the DISPLAY Program Supports AVI Files
15.6.3. Other Uses for AVI Files
16. External Graphics
16.1. External Graphics Options
16.1.1. Printing Graphics in Windows
16.1.2. Exporting Graphics in Windows
16.1.3. Printing Graphics in UNIX
16.1.4. Exporting Graphics in UNIX
16.2. Creating a Neutral Graphics File
16.3. Using the DISPLAY Program to View and Translate Neutral Graphics Files
16.3.1. Getting Started with the DISPLAY Program
16.3.2. Viewing Static Images on a Terminal Screen
16.3.3. Viewing Animated Sequences on a Screen
16.3.4. Capturing Animated Sequences Offline
16.3.5. Exporting Files to Desktop Publishing or Word Processing Programs
16.3.6. Editing the Neutral Graphics File with the UNIX GUI
16.4. Obtaining Hardcopy Plots
16.4.1. Activating the Hardcopy Capability of Your Terminal on UNIX Systems
16.4.2. Obtaining Hardcopy on External Devices Using the DISPLAY Program
16.4.3. Printing Graphics Displays on a Windows-Supported Printer
17. The Report Generator
17.1. Starting the Report Generator
17.1.1. Specifying a Location for Captured Data and Reports
17.1.2. Understanding the Behavior of the ANSYS Graphics Window
17.1.3. A Note About the Graphics File Format
17.2. Capturing an Image
17.2.1. Interactive
17.2.2. Batch
17.3. Capturing Animation
17.3.1. Interactive
17.3.2. Batch
17.4. Capturing a Data Table
17.4.1. Interactive
17.4.2. Batch
17.5. Capturing a Listing
17.5.1. Interactive
17.5.2. Batch
17.6. Assembling a Report
17.6.1. Interactive Report Assembly
17.6.2. Batch Report Assembly
17.6.3. Report Assembly Using the JavaScript Interface
17.7. Setting Report Generator Defaults
18. File Management and Files
18.1. File Management Overview
18.1.1. Executing the Run Interactive Now or DISPLAY Programs from Windows Explorer
18.2. Changing the Default File Name
18.3. Sending Output to Screens, Files, or Both
18.4. Text Versus Binary Files
18.4.1. ANSYS Binary Files over NFS
18.4.2. Files that ANSYS Writes
18.4.3. File Compression
18.5. Reading Your Own Files into the ANSYS Program
18.6. Writing Your Own ANSYS Files from the ANSYS Program
18.7. Assigning Different File Names
18.8. Reviewing Contents of Binary Files (AUX2)
18.9. Operating on Results Files (AUX3)
18.10. Other File Management Commands
19. Memory Management and Configuration
19.1. ANSYS Work and Swap Space Requirements
19.2. How ANSYS Uses its Work Space
19.3. How and When to Perform Memory Management
19.3.1. Allocating Memory to ANSYS Manually
19.3.2. Changing the Amount of ANSYS Work Space
19.3.3. Changing Database Space From the Default
19.4. Using the Configuration File
19.5. Understanding ANSYS Memory Error Messages
Advanced Analysis Techniques Guide
1. Design Optimization
1.1. Getting Started with Design Optimization
1.1.1. Design Optimization Terminology
1.1.2. Information Flow for an Optimization Analysis
1.2. Optimizing a Design
1.2.1. Create the Analysis File
1.2.2. Establish Parameters for Optimization
1.2.3. Enter OPT and Specify the Analysis File
1.2.4. Declare Optimization Variables
1.2.5. Choose Optimization Tool or Method
1.2.6. Specify Optimization Looping Controls
1.2.7. Initiate Optimization Analysis
1.2.8. Review Design Sets Data
1.3. Multiple Optimization Executions
1.3.1. Restarting an Optimization Analysis
1.4. Optimization Methods
1.4.1. Subproblem Approximation Method
1.4.2. First Order Method
1.4.3. Random Design Generation
1.4.4. Using the Sweep Tool
1.4.5. Using the Factorial Tool
1.4.6. Using the Gradient Evaluation Tool
1.5. Guidelines for Choosing Optimization Variables
1.5.1. Choosing Design Variables
1.5.2. Choosing State Variables
1.5.3. Choosing the Objective Function
1.6. Hints for Performing Design Optimization
1.6.1. Generating the Analysis File
1.6.2. Fixing Design Variable Values After Execution
1.6.3. Modifying the Optimization Variables After Execution
1.6.4. Local Versus Global Minimum
1.6.5. Minimum Weight Versus Minimum Volume
1.6.6. Mesh Density
1.6.7. Using Substructures
1.7. Sample Optimization Analysis
1.7.1. Problem Description
1.7.2. Problem Specifications
1.7.3. Using a Batch File for the Analysis
1.7.4. Using the GUI for the Analysis
1.7.5. Where to Find Other Examples
2. Topological Optimization
2.1. Understanding Topological Optimization
2.2. Employing Topological Optimization
2.2.1. Define the Structural Problem
2.2.2. Select the Element Types
2.2.3. Specify Optimized and Non-Optimized Regions
2.2.4. Define and Control Your Load Cases or Frequency Extraction
2.2.5. Define and Control the Optimization Process
2.2.6. Review the Results
2.3. A 2-D Multiple-Load Case Optimization Example
2.3.1. Problem Description - First Scenario
2.3.2. Problem Results -- First Scenario
2.3.3. Problem Description -- Second Scenario
2.3.4. Problem Results - Second Scenario
2.4. A 2-D Natural Frequency Maximization Example
2.4.1. Problem Description
2.4.2. Problem Results
2.5. Hints and Comments
2.6. Limitations
3. Probabilistic Design
3.1. Understanding Probabilistic Design
3.1.1. Traditional (Deterministic) vs. Probabilistic Design Analysis Methods
3.1.2. Reliability and Quality Issues
3.2. Probabilistic Design Terminology
3.3. Employing Probabilistic Design
3.3.1. Create the Analysis File
3.3.2. Establish Parameters for Probabilistic Design Analysis
3.3.3. Enter the PDS and Specify the Analysis File
3.3.4. Declare Random Input Variables
3.3.5. Visualize Random Input Variables
3.3.6. Specify Correlations Between Random Variables
3.3.7. Specify Random Output Parameters
3.3.8. Choose a Probabilistic Design Method
3.3.9. Execute Probabilistic Analysis Simulation Loops
3.3.10. Fit and Use Response Surfaces
3.3.11. Review Results Data
3.4. Guidelines for Selecting Probabilistic Design Variables
3.4.1. Choosing and Defining Random Input Variables
3.4.2. Choosing Random Output Parameters
3.5. Probabilistic Design Techniques
3.5.1. Monte Carlo Simulations
3.5.2. Response Surface Analysis Methods
3.6. Postprocessing Probabilistic Analysis Results
3.6.1. Statistical Post-Processing
3.6.2. Trend Postprocessing
3.6.3. Generating an HTML Report
3.7. Multiple Probabilistic Design Executions
3.7.1. Saving the Probabilistic Design Database
3.7.2. Restarting a Probabilistic Design Analysis
3.7.3. Clearing the Probabilistic Design Database
3.8. Sample Probabilistic Design Analysis
3.8.1. Problem Description
3.8.2. Problem Specifications
3.8.3. Using a Batch File for the Analysis
3.8.4. Using the GUI for the PDS Analysis
4. Variational Technology
4.1. Understanding Variational Technology for Parametric Studies
4.2. ANSYS DesignXplorer
4.2.1. What is ANSYS DesignXplorer
4.2.2. Systems Support
4.2.3. Basic Operation
4.2.4. Element Support
4.2.5. Limitations
4.2.6. Complete Discrete Analysis Example
4.2.7. Shell Thickness Example
4.2.8. ANSYS Mesh Morpher Example
4.2.9. Troubleshooting
4.3. Harmonic Sweep Using VT Accelerator
4.3.1. Elements Supporting Frequency-Dependent Property Structural Elements
4.3.2. Harmonic Sweep for High-Frequency Electromagnetic Problems
4.3.3. Harmonic Sweep for Structural Analysis with Frequency-Dependent Material Properties
4.3.4. Limitations
5. Adaptive Meshing
5.1. Prerequisites for Adaptive Meshing
5.2. Employing Adaptive Meshing
5.3. Modifying the Adaptive Meshing Process
5.3.1. Selective Adaptivity
5.3.2. Customizing the ADAPT Macro with User Subroutines
5.3.3. Customizing the ADAPT Macro (UADAPT.MAC)
5.4. Adaptive Meshing Hints and Comments
5.5. Where to Find Examples
6. Manual Rezoning
6.1. When to Use Rezoning
6.2. Rezoning Requirements
6.3. The Rezoning Process
6.4. Selecting the Substep to Initiate Rezoning
6.5. Remeshing
6.5.1. Selecting a Region to Remesh
6.5.2. Mesh Control
6.5.3. Contact Boundaries, Loads, and Boundary Conditions
6.6. Mapping Variables and Balancing Residuals
6.6.1. Mapping Solution Variables
6.6.2. Balancing Residual Forces
6.6.3. Continuing the Solution
6.6.4. Interpreting Mapped Results
6.6.5. Handling Convergence Difficulties
6.7. Repeating the Rezoning Process if Necessary
6.7.1. File Structures for Repeated Rezonings
6.8. Multiframe Restart After Rezoning
6.9. Postprocessing Rezoning Results
6.9.1. The Database Postprocessor
6.9.2. The Time-History Postprocessor
6.10. Rezoning Limitations and Restrictions
6.10.1. Rezoning Restrictions
6.11. Rezoning Example
6.11.1. Initial Input for the Analysis
6.11.2. Rezoning Input for the Analysis
7. Cyclic Symmetry Analysis
7.1. Understanding Cyclic Symmetry Analysis
7.1.1. How ANSYS Automates a Cyclic Symmetry Analysis
7.1.2. Commands Used in a Cyclic Symmetry Analysis
7.2. Cyclic Modeling
7.2.1. The Basic Sector
7.2.2. Edge Component Pairs
7.2.3. Model Verification (Preprocessing)
7.3. Solving a Cyclic Symmetry Analysis
7.3.1. Understanding the Solution Architecture
7.3.2. Supported Analysis Types
7.3.3. Solving a Static Cyclic Symmetry Analysis
7.3.4. Solving a Modal Cyclic Symmetry Analysis
7.3.5. Solving a Linear Buckling Cyclic Symmetry Analysis
7.3.6. Solving a Magnetic Cyclic Symmetry Analysis
7.3.7. Database Considerations After Obtaining the Solution
7.3.8. Model Verification (Solution)
7.4. Postprocessing a Cyclic Symmetry Analysis
7.4.1. Real and Imaginary Solution Components
7.4.2. Expanding the Cyclic Symmetry Solution
7.4.3. Phase Sweep of Repeated Eigenvector Shapes
7.5. Sample Modal Cyclic Symmetry Analysis
7.5.1. Problem Description
7.5.2. Problem Specifications
7.5.3. Input File for the Analysis
7.5.4. Analysis Steps
7.6. Sample Buckling Cyclic Symmetry Analysis
7.6.1. Problem Description
7.6.2. Problem Specifications
7.6.3. Input File for the Analysis
7.6.4. Analysis Steps
7.6.5. Solve For Critical Strut Temperature at Load Factor = 1.0
7.7. Sample Magnetic Cyclic Symmetry Analysis
7.7.1. Problem Description
7.7.2. Problem Specifications
7.7.3. Input file for the Analysis
8. Rotating Structure Analysis
8.1. Understanding Rotating Structure Dynamics
8.2. Using a Stationary Reference Frame
8.2.1. Campbell Diagram
8.2.2. Harmonic Analysis for Unbalance or General Rotating Asynchronous Forces
8.2.3. Orbits
8.3. Using a Rotating Reference Frame
8.4. Choosing the Appropriate Reference Frame Option
8.5. Sample Campbell Diagram Analysis
8.5.1. Problem Description
8.5.2. Problem Specifications
8.5.3. Input for the Analysis
8.5.4. Analysis Steps
8.6. Sample Coriolis Analysis
8.6.1. Problem Description
8.6.2. Problem Specifications
8.6.3. Input for the Analysis
8.6.4. Analysis Steps
8.7. Sample Unbalance Harmonic Analysis
8.7.1. Problem Description
8.7.2. Problem Specifications
8.7.3. Input for the Analysis
8.7.4. Analysis Steps
9. Submodeling
9.1. Understanding Submodeling
9.2. Employing Submodeling
9.2.1. Create and Analyze the Coarse Model
9.2.2. Create the Submodel
9.2.3. Perform Cut-Boundary Interpolation
9.2.4. Analyze the Submodel
9.2.5. Verify the Distance Between the Cut Boundaries and the Stress Concentration
9.3. Sample Analysis Input
9.4. Shell-to-Solid Submodels
9.5. Where to Find Examples
10. Substructuring
10.1. Benefits of Substructuring
10.2. Using Substructuring
10.2.1. Generation Pass: Creating the Superelement
10.2.2. Use Pass: Using the Superelement
10.2.3. Expansion Pass: Expanding Results Within the Superelement
10.3. Sample Analysis Input
10.4. Top-Down Substructuring
10.5. Automatically Generating Superelements
10.6. Nested Superelements
10.7. Prestressed Substructures
10.7.1. Static Analysis Prestress
10.7.2. Substructuring Analysis Prestress
10.8. Where to Find Examples
11. Component Mode Synthesis
11.1. Understanding Component Mode Synthesis
11.1.1. CMS Methods Supported
11.1.2. Solvers Used in Component Mode Synthesis
11.2. Employing Component Mode Synthesis
11.2.1. The CMS Generation Pass: Creating the Superelement
11.2.2. The CMS Use and Expansion Passes
11.2.3. Superelement Expansion in Transformed Locations
11.2.4. Plotting or Printing Mode Shapes
11.3. Sample Component Mode Synthesis Analysis
11.3.1. Problem Description
11.3.2. Problem Specifications
11.3.3. Input for the Analysis: Fixed-Interface Method
11.3.4. Analysis Steps: Fixed-Interface Method
11.3.5. Input for the Analysis: Free-Interface Method
11.3.6. Analysis Steps: Free-Interface Method
11.3.7. Input for the Analysis: Residual-Flexible Free-Interface Method
11.3.8. Analysis Steps: Residual-Flexible Free-Interface Method
11.3.9. Example: Superelement Expansion in a Transformed Location
12. Rigid Body Dynamics and the ANSYS-ADAMS Interface
12.1. Understanding the ANSYS-ADAMS Interface
12.2. Building the Model
12.3. Modeling Interface Points
12.4. Exporting to ADAMS
12.4.1. Exporting to ADAMS via Batch Mode
12.4.2. Verifying the Results
12.5. Running the ADAMS Simulation
12.6. Transferring Loads from ADAMS to ANSYS
12.6.1. Transferring Loads on a Rigid Body
12.6.2. Transferring the Loads of a Flexible Body
12.7. Methodology Behind the ANSYS-ADAMS Interface
12.7.1. The Modal Neutral File
12.7.2. Adding Weak Springs
12.8. Sample Rigid Body Dynamic Analysis
12.8.1. Problem Description
12.8.2. Problem Specifications
12.8.3. Command Input
13. Element Birth and Death
13.1. Elements Supporting Birth and Death
13.2. Understanding Element Birth and Death
13.3. Element Birth and Death Usage Hints
13.3.1. Changing Material Properties
13.4. Employing Birth and Death
13.4.1. Build the Model
13.4.2. Apply Loads and Obtain the Solution
13.4.3. Review the Results
13.4.4. Use ANSYS Results to Control Birth and Death
13.5. Where to Find Examples
14. User-Programmable Features and Nonstandard Uses
14.1. User-Programmable Features (UPFs)
14.1.1. Understanding UPFs
14.1.2. Types of UPFs Available
14.2. Nonstandard Uses of the ANSYS Program
14.2.1. What Are Nonstandard Uses?
14.2.2. Hints for Nonstandard Use of ANSYS
15. Using Shared-Memory ANSYS
15.1. Parallel Processing Methods Available in ANSYS
15.2. Activating Parallel Processing in a Shared-Memory Architecture
15.2.1. System-Specific Considerations
Modeling and Meshing Guide
1. Understanding Model Generation
1.1. What Is Model Generation?
1.2. Typical Steps Involved in Model Generation Within ANSYS
1.2.1. Comparing Solid Modeling and Direct Generation
1.3. Importing Solid Models Created in CAD systems
2. Planning Your Approach
2.1. Choosing a Model Type (2-D, 3-D, etc.)
2.2. Choosing Between Linear and Higher Order Elements
2.2.1. Linear Elements (No Midside Nodes)
2.2.2. Quadratic Elements (Midside Nodes)
2.3. Limitations on Joining Different Elements
2.4. Finding Ways to Take Advantage of Symmetry
2.4.1. Some Comments on Axisymmetric Structures
2.5. Determining How Much Detail to Include
2.6. Determining the Appropriate Mesh Density
3. Coordinate Systems
3.1. Global and Local Coordinate Systems
3.1.1. Global Coordinate Systems
3.1.2. Local Coordinate Systems
3.1.3. The Active Coordinate System
3.1.4. Surfaces
3.1.5. Closed Surfaces and Surface Singularities
3.2. Display Coordinate System
3.3. Nodal Coordinate Systems
3.3.1. Data Interpreted in the Nodal Coordinate System
3.4. Element Coordinate Systems
3.5. The Results Coordinate System
4. Using Working Planes
4.1. Creating a Working Plane
4.1.1. Defining a New Working Plane
4.1.2. Controlling the Display and Style of the Working Plane
4.1.3. Moving the Working Plane
4.1.4. Rotating the Working Plane
4.1.5. Recreating a Previously-defined Working Plane
4.2. Working Plane Enhancements
4.2.1. Snap Increment
4.2.2. Display Grid
4.2.3. Retrieval Tolerance
4.2.4. Coordinate Type
4.2.5. Working Plane Tracking
5. Solid Modeling
5.1. An Overview of Solid Modeling Operations
5.2. Creating Your Solid Model from the Bottom Up
5.2.1. Keypoints
5.2.2. Hard Points
5.2.3. Lines
5.2.4. Areas
5.2.5. Volumes
5.3. Creating Your Solid Model from the Top Down: Primitives
5.3.1. Creating Area Primitives
5.3.2. Creating Volume Primitives
5.4. Sculpting Your Model with Boolean Operations
5.4.1. Boolean Operation Settings
5.4.2. Entity Numbering After Boolean Operations
5.4.3. Intersect
5.4.4. Pairwise Intersect
5.4.5. Add
5.4.6. Subtract
5.4.7. Working Plane Subtract
5.4.8. Classify
5.4.9. Overlap
5.4.10. Partition
5.4.11. Glue (or Merge)
5.4.12. Alternatives to Boolean Operations
5.5. Updating after Boolean Operations
5.6. Moving and Copying Solid Model Entities
5.6.1. Generating Entities from a Pattern
5.6.2. Generating Entities by Symmetry Reflection
5.6.3. Transferring a Pattern of Entities to a Coordinate System
5.7. Scaling Solid Model Entities
5.8. Solid Model Loads
5.8.1. Transferring Solid Model Loads
5.8.2. Displaying Load Symbols
5.8.3. Turning Off Large Symbols for Node and Keypoint Locations
5.8.4. Selecting a Format for the Graphical Display of Numbers
5.8.5. Listing Solid Model Loads
5.9. Mass and Inertia Calculations
5.10. Considerations and Cautions for Solid Modeling
5.10.1. Representation of Solid Model Entities
5.10.2. When a Boolean Operation Fails
5.10.3. Graphically Identifying Degeneracies
5.10.4. Listing the Keypoints Associated with Degeneracies
5.10.5. Some Suggested Corrective Actions
5.10.6. Other Hints
6. Importing Solid Models from IGES Files
6.1. Working With IGES Files
6.1.1. Using the SMOOTH Option
6.1.2. Using the FACETED Option
7. Generating the Mesh
7.1. Free or Mapped Mesh
7.2. Setting Element Attributes
7.2.1. Creating Tables of Element Attributes
7.2.2. Assigning Element Attributes Before Meshing
7.3. Mesh Controls
7.3.1. The ANSYS MeshTool
7.3.2. Element Shape
7.3.3. Choosing Free or Mapped Meshing
7.3.4. Controlling Placement of Midside Nodes
7.3.5. Smart Element Sizing for Free Meshing
7.3.6. Default Element Sizes for Mapped Meshing
7.3.7. Local Mesh Controls
7.3.8. Interior Mesh Controls
7.3.9. Creating Transitional Pyramid Elements
7.3.10. Converting Degenerate Tetrahedral Elements to Their Non-degenerate Forms
7.3.11. Doing Layer Meshing
7.3.12. Setting Layer Meshing Controls via the GUI
7.3.13. Setting Layer Meshing Controls via Commands
7.3.14. Listing Layer Mesh Specifications on Lines
7.4. Controls Used for Free and Mapped Meshing
7.4.1. Free Meshing
7.4.2. Mapped Meshing
7.5. Meshing Your Solid Model
7.5.1. Generating the Mesh Using xMESH Commands
7.5.2. Generating a Beam Mesh With Orientation Nodes
7.5.3. Generating a Volume Mesh From Facets
7.5.4. Additional Considerations for Using xMESH Commands
7.5.5. Generating a Volume Mesh By Sweeping
7.5.6. Generating an Interface Mesh for Gasket Simulations
7.5.7. Aborting a Mesh Operation
7.5.8. Element Shape Checking
7.5.9. Mesh Validity Checking
7.6. Changing the Mesh
7.6.1. Remeshing the Model
7.6.2. Using the Mesh Accept/Reject Prompt
7.6.3. Clearing the Mesh
7.6.4. Refining the Mesh Locally
7.6.5. Improving the Mesh (Tetrahedral Element Meshes Only)
7.7. Meshing Hints
7.8. Using CPCYC and MSHCOPY Commands
7.8.1. CPCYC Example
7.8.2. CPCYC Results
7.8.3. MSHCOPY Example
7.8.4. Low Sector Boundary
7.8.5. Area Elements from MSHCOPY and AMESH
7.8.6. Meshing the Sector Volume(s)
8. Revising Your Model
8.1. Refining a Mesh Locally
8.1.1. How to Refine a Mesh
8.1.2. Refinement Commands and Menu Paths
8.1.3. Transfer of Attributes and Loads
8.1.4. Other Characteristics of Mesh Refinement
8.1.5. Restrictions on Mesh Refinement
8.2. Moving and Copying Nodes and Elements
8.3. Keeping Track of Element Faces and Orientations
8.3.1. Controlling Area, Line, and Element Normals
8.4. Revising a Meshed Model: Clearing and Deleting
8.4.1. Clearing a Mesh
8.4.2. Deleting Solid Model Entities
8.4.3. Modifying Solid Model Entities
8.5. Understanding Solid Model Cross-Reference Checking
8.5.1. Circumventing Cross-Reference Checking (A Risky Activity)
9. Direct Generation
9.1. Nodes
9.1.1. Reading and Writing Text Files That Contain Nodal Data
9.2. Elements
9.2.1. Prerequisites for Defining Element Attributes
9.2.2. Defining Elements
9.2.3. Reading and Writing Text Files That Contain Element Data
9.2.4. A Note About Overlapping Elements
9.2.5. Modifying Elements By Changing Nodes
9.2.6. Modifying Elements By Changing Element Attributes
9.2.7. A Note About Adding and Deleting Midside Nodes
10. Piping Models
10.1. What the Piping Commands Can Do for You
10.2. Modeling Piping Systems with Piping Commands
10.2.1. Specify the Jobname and Title
10.2.2. Set Up the Basic Piping Data
10.2.3. Define the Piping System's Geometry
10.3. Sample Input
11. Number Control and Element Reordering
11.1. Number Control
11.1.1. Merging Coincident Items
11.1.2. Compressing Item Numbers
11.1.3. Setting Starting Numbers
11.1.4. Adding Number Offsets
11.2. Element Reordering
12. Coupling and Constraint Equations
12.1. What Is Coupling?
12.2. How to Create Coupled Degree of Freedom Sets
12.2.1. Creating and Modifying Coupled Sets at Specified Nodes
12.2.2. Coupling Coincident Nodes
12.2.3. Generating More Coupled Sets
12.2.4. Listing and Deleting Coupled Sets
12.3. Additional Considerations for Coupling
12.4. What Are Constraint Equations?
12.5. How to Create Constraint Equations
12.5.1. The Direct Method
12.5.2. Modifying Constraint Equations
12.5.3. Direct vs. Automatic Constraint Equation Generation
12.5.4. Listing and Deleting Constraint Equations
12.5.5. Program Modification of Constraint Equations
12.5.6. Troubleshooting Problems with Constraint Equations
12.6. Additional Considerations for Constraint Equations
13. Combining and Archiving Models
13.1. Combining Models
13.2. Archiving Models
13.2.1. Log File (File.LOG)
13.2.2. Database File (File.DB)
13.2.3. CDWRITE File(s)
14. Interfaces With Other Programs
14.1. Interfacing With Computer Aided Design (CAD) Products
14.2. Other Interfaces
Distributed ANSYS Guide
1. Overview of Distributed ANSYS
2. Configuring and Starting Distributed ANSYS
2.1. Prerequisites for Running Distributed ANSYS
2.1.1. MPI Software
2.1.2. ANSYS Software
2.2. Setting Up the Environment for Distributed ANSYS
2.2.1. Optional Setup Tasks
2.2.2. Using the mpitest Program
2.2.3. Interconnect Configuration
2.2.4. Other Considerations
2.3. Starting Distributed ANSYS
2.3.1. Starting Distributed ANSYS via the Launcher
2.3.2. Starting Distributed ANSYS via Command Line
2.3.3. Starting Distributed ANSYS via the Job Scheduler
2.3.4. Starting Distributed ANSYS via Remote Solve in ANSYS Workbench
2.3.5. Using MPI appfiles
2.3.6. Files that Distributed ANSYS Writes
3. Running Distributed ANSYS
3.1. Supported Analysis Types
3.2. Supported Features
3.3. Running a Distributed Analysis
3.4. Restarts in Distributed ANSYS
3.5. Understanding the Working Principles and Behavior of Distributed ANSYS
3.6. Example Problems
3.6.1. Example: Running Distributed ANSYS on Linux
3.6.2. Example: Running Distributed ANSYS on Windows
3.7. Troubleshooting
Structural Analysis Guide
1. Overview of Structural Analyses
1.1. Types of Structural Analysis
1.2. Elements Used in Structural Analyses
1.3. Material Model Interface
1.4. Solution Methods
2. Structural Static Analysis
2.1. Linear vs. Nonlinear Static Analyses
2.2. Performing a Static Analysis
2.2.1. Build the Model
2.2.2. Set Solution Controls
2.2.3. Set Additional Solution Options
2.2.4. Apply the Loads
2.2.5. Solve the Analysis
2.2.6. Review the Results
2.3. A Sample Static Analysis (GUI Method)
2.3.1. Problem Description
2.3.2. Problem Specifications
2.3.3. Problem Sketch
2.4. A Sample Static Analysis (Command or Batch Method)
2.5. Where to Find Other Examples
3. Modal Analysis
3.1. Uses for Modal Analysis
3.2. Process Involved in a Modal Analysis
3.3. Building the Model for a Modal Analysis
3.4. Applying Loads and Obtain the Solution
3.4.1. Enter the Solution Processor
3.4.2. Define Analysis Type and Options
3.4.3. Define Master Degrees of Freedom
3.4.4. Apply Loads
3.4.5. Specify Load Step Options
3.4.6. Participation Factor Table Output
3.4.7. Solve
3.4.8. Exit the Solution Processor
3.5. Expanding the Modes
3.5.1. File and Database Requirements
3.5.2. Expanding the Modes
3.6. Reviewing the Results
3.6.1. Points to Remember
3.6.2. Reviewing Results Data
3.6.3. Option: Listing All Frequencies
3.6.4. Option: Display Deformed Shape
3.6.5. Option: List Master DOF
3.6.6. Option: Line Element Results
3.6.7. Option: Contour Displays
3.6.8. Option: Tabular Listings
3.6.9. Other Capabilities
3.7. A Sample Modal Analysis (GUI Method)
3.7.1. Problem Description
3.7.2. Problem Specifications
3.7.3. Problem Sketch
3.8. A Sample Modal Analysis (Command or Batch Method)
3.9. Where to Find Other Examples
3.10. Prestressed Modal Analysis
3.11. Prestressed Modal Analysis of a Large-Deflection Solution
3.12. Prestressed Modal in a Brake Squeal Analysis
3.13. Comparing Mode-Extraction Methods
3.13.1. Block Lanczos Method
3.13.2. PCG Lanczos Method
3.13.3. Subspace Method
3.13.4. Reduced Method
3.13.5. Unsymmetric Method
3.13.6. Damped Method
3.13.7. QR Damped Method
3.14. Matrix Reduction
3.14.1. Theoretical Basis of Matrix Reduction
3.15. Residual Vector Method
3.15.1. Understanding the Residual Vector Method
3.15.2. Using the Residual Vector Method
4. Harmonic Response Analysis
4.1. Uses for Harmonic Response Analysis
4.2. Commands Used in a Harmonic Response Analysis
4.3. Three Solution Methods
4.3.1. The Full Method
4.3.2. The Reduced Method
4.3.3. The Mode Superposition Method
4.3.4. Restrictions Common to All Three Methods
4.4. Performing a Harmonic Response Analysis
4.4.1. Full Harmonic Response Analysis
4.4.2. Build the Model
4.4.3. Apply Loads and Obtain the Solution
4.4.4. Review the Results
4.5. Sample Harmonic Response Analysis (GUI Method)
4.5.1. Problem Description
4.5.2. Problem Specifications
4.5.3. Problem Diagram
4.6. Sample Harmonic Response Analysis (Command or Batch Method)
4.7. Where to Find Other Examples
4.8. Reduced Harmonic Response Analysis
4.8.1. Apply Loads and Obtain the Reduced Solution
4.8.2. Review the Results of the Reduced Solution
4.8.3. Expand the Solution (Expansion Pass)
4.8.4. Review the Results of the Expanded Solution
4.8.5. Sample Input
4.9. Mode Superposition Harmonic Response Analysis
4.9.1. Obtain the Modal Solution
4.9.2. Obtain the Mode Superposition Harmonic Solution
4.9.3. Expand the Mode Superposition Solution
4.9.4. Review the Results
4.9.5. Sample Input
4.10. Additional Harmonic Response Analysis Details
4.10.1. Prestressed Harmonic Response Analysis
5. Transient Dynamic Analysis
5.1. Preparing for a Transient Dynamic Analysis
5.2. Three Solution Methods
5.2.1. Full Method
5.2.2. Mode-Superposition Method
5.2.3. Reduced Method
5.3. Performing a Full Transient Dynamic Analysis
5.3.1. Build the Model
5.3.2. Establish Initial Conditions
5.3.3. Set Solution Controls
5.3.4. Set Additional Solution Options
5.3.5. Apply the Loads
5.3.6. Save the Load Configuration for the Current Load Step
5.3.7. Repeat Steps 3-6 for Each Load Step
5.3.8. Save a Backup Copy of the Database
5.3.9. Start the Transient Solution
5.3.10. Exit the Solution Processor
5.3.11. Review the Results
5.3.12. Sample Input for a Full Transient Dynamic Analysis
5.4. Performing a Mode-Superposition Transient Dynamic Analysis
5.4.1. Build the Model
5.4.2. Obtain the Modal Solution
5.4.3. Obtain the Mode-Superposition Transient Solution
5.4.4. Expand the Mode-Superposition Solution
5.4.5. Review the Results
5.4.6. Sample Input for a Mode-Superposition Transient Dynamic Analysis
5.5. Performing a Reduced Transient Dynamic Analysis
5.5.1. Obtain the Reduced Solution
5.5.2. Review the Results of the Reduced Solution
5.5.3. Expand the Solution (Expansion Pass)
5.5.4. Review the Results of the Expanded Solution
5.6. Sample Reduced Transient Dynamic Analysis (GUI Method)
5.6.1. Problem Description
5.6.2. Problem Specifications
5.6.3. Problem Sketch
5.6.4. Solve the Next Load Step
5.7. Sample Reduced Transient Dynamic Analysis (Command or Batch Method)
5.8. Performing a Prestressed Transient Dynamic Analysis
5.8.1. Prestressed Full Transient Dynamic Analysis
5.8.2. Prestressed Mode-Superposition Transient Dynamic Analysis
5.8.3. Prestressed Reduced Transient Dynamic Analysis
5.9. Transient Dynamic Analysis Options
5.9.1. Guidelines for Integration Time Step
5.9.2. Automatic Time Stepping
5.9.3. Damping
5.10. Where to Find Other Examples
6. Spectrum Analysis
6.1. Understanding Spectrum Analysis
6.1.1. Response Spectrum
6.1.2. Dynamic Design Analysis Method (DDAM)
6.1.3. Power Spectral Density
6.1.4. Deterministic vs. Probabilistic Analyses
6.2. Steps in a Single-Point Response Spectrum (SPRS) Analysis
6.2.1. Build the Model
6.2.2. Obtain the Modal Solution
6.2.3. Obtain the Spectrum Solution
6.2.4. Expand the Modes
6.2.5. Combine the Modes
6.2.6. Review the Results
6.3. Sample Spectrum Analysis (GUI Method)
6.3.1. Problem Description
6.3.2. Problem Specifications
6.3.3. Problem Sketch
6.3.4. Procedure
6.4. Sample Spectrum Analysis (Command or Batch Method)
6.5. Where to Find Other Examples
6.6. Performing a Random Vibration (PSD) Analysis
6.6.1. Expand the Modes
6.6.2. Obtain the Spectrum Solution
6.6.3. Combine the Modes
6.6.4. Review the Results
6.6.5. Sample Input
6.7. Performing a DDAM Spectrum Analysis
6.8. Performing a Multi-Point Response Spectrum (MPRS) Analysis
7. Buckling Analysis
7.1. Types of Buckling Analyses
7.1.1. Nonlinear Buckling Analysis
7.1.2. Eigenvalue Buckling Analysis
7.2. Commands Used in a Buckling Analysis
7.3. Performing a Nonlinear Buckling Analysis
7.3.1. Applying Load Increments
7.3.2. Automatic Time Stepping
7.3.3. Unconverged Solution
7.3.4. Hints and Tips for Performing a Nonlinear Buckling Analysis
7.4. Performing a Post-Buckling Analysis
7.5. Procedure for Eigenvalue Buckling Analysis
7.5.1. Build the Model
7.5.2. Obtain the Static Solution
7.5.3. Obtain the Eigenvalue Buckling Solution
7.5.4. Expand the Solution
7.5.5. Review the Results
7.6. Sample Buckling Analysis (GUI Method)
7.6.1. Problem Description
7.6.2. Problem Specifications
7.6.3. Problem Sketch
7.7. Sample Buckling Analysis (Command or Batch Method)
7.8. Where to Find Other Examples
8. Nonlinear Structural Analysis
8.1. Causes of Nonlinear Behavior
8.1.1. Changing Status (Including Contact)
8.1.2. Geometric Nonlinearities
8.1.3. Material Nonlinearities
8.2. Basic Information About Nonlinear Analyses
8.2.1. Conservative versus Nonconservative Behavior; Path Dependency
8.2.2. Substeps
8.2.3. Load Direction in a Large-Deflection Analysis
8.2.4. Rotations in a Large-Deflection Analysis
8.2.5. Nonlinear Transient Analyses
8.3. Using Geometric Nonlinearities
8.3.1. Stress-Strain
8.3.2. Stress Stiffening
8.3.3. Spin Softening
8.4. Modeling Material Nonlinearities
8.4.1. Nonlinear Materials
8.4.2. Material Model Combinations
8.5. Running a Nonlinear Analysis in ANSYS
8.6. Performing a Nonlinear Static Analysis
8.6.1. Build the Model
8.6.2. Set Solution Controls
8.6.3. Set Additional Solution Options
8.6.4. Apply the Loads
8.6.5. Solve the Analysis
8.6.6. Review the Results
8.6.7. Terminating a Running Job; Restarting
8.7. Performing a Nonlinear Transient Analysis
8.7.1. Build the Model
8.7.2. Apply Loads and Obtain the Solution
8.7.3. Review the Results
8.8. Sample Input for a Nonlinear Transient Analysis
8.9. Restarts
8.10. Using Nonlinear (Changing-Status) Elements
8.10.1. Element Birth and Death
8.11. Unstable Structures
8.11.1. Understanding Nonlinear Stabilization
8.11.2. Using the Arc-Length Method
8.11.3. Nonlinear Stabilization vs. the Arc-Length Method
8.12. Tips and Guidelines for Nonlinear Analysis
8.12.1. Starting Out with Nonlinear Analysis
8.12.2. Overcoming Convergence Problems
8.13. Sample Nonlinear Analysis (GUI Method)
8.13.1. Problem Description
8.13.2. Problem Specifications
8.13.3. Problem Sketch
8.14. Sample Nonlinear Analysis (Command or Batch Method)
8.15. Where to Find Other Examples
9. Material Curve Fitting
9.1. Applicable Material Behavior Types
9.2. Hyperelastic Material Curve Fitting
9.2.1. Using Curve Fitting to Determine Your Hyperelastic Material Behavior
9.3. Creep Material Curve Fitting
9.3.1. Using Curve Fitting to Determine Your Creep Material Behavior
9.3.2. Tips For Curve Fitting Creep Models
9.4. Viscoelastic Material Curve Fitting
9.4.1. Using Curve Fitting to Determine the Coefficients of Viscoelastic Material Model
10. Gasket Joints Simulation
10.1. Performing a Gasket Joint Analysis
10.2. Finite Element Formulation
10.2.1. Element Topologies
10.2.2. Thickness Direction
10.3. ANSYS Family of Interface Elements
10.3.1. Element Selection
10.3.2. Applications
10.4. Material Definition
10.4.1. Material Characteristics
10.4.2. Input Format
10.4.3. Temperature Dependencies
10.4.4. Plotting Gasket Data
10.5. Meshing Interface Elements
10.6. Solution Procedure and Result Output
10.6.1. Typical Gasket Solution Output Listing
10.7. Reviewing the Results
10.7.1. Points to Remember
10.7.2. Reviewing Results in POST1
10.7.3. Reviewing Results in POST26
10.8. Sample Gasket Element Verification Analysis (Command or Batch Method)
11. Interface Delamination and Failure Simulation
11.1. Modeling Interface Delamination with Interface Elements
11.1.1. Analyzing Interface Delamination
11.1.2. ANSYS Family of Interface Elements
11.1.3. Material Definition
11.1.4. Meshing and Boundary Conditions
11.1.5. Solution Procedure and Result Output
11.1.6. Reviewing the Results
11.2. Modeling Interface Delamination with Contact Elements
11.2.1. Analyzing Debonding
11.2.2. Contact Elements
11.2.3. Material Definition
11.2.4. Result Output
12. Fracture Mechanics
12.1. Introduction to Fracture
12.1.1. Fracture Modes
12.1.2. Fracture Mechanics Parameters
12.1.3. Crack Growth Simulation
12.2. Solving Fracture Mechanics Problems
12.2.1. Modeling the Crack Tip Region
12.2.2. Calculating Fracture Parameters
12.3. Numerical Evaluation of Fracture Mechanics Parameters
12.3.1. The J-Integral Calculation
12.3.2. Stress-Intensity Factors Calculation
12.4. Fracture Meshing
12.5. Setting Crack Tip Mesh Options (CTMOPT Macro)
12.6. Learning More About Fracture Mechanics
13. Composites
13.1. Modeling Composites
13.1.1. Selecting the Proper Element Type
13.1.2. Defining the Layered Configuration
13.1.3. Specifying Failure Criteria
13.1.4. Composite Modeling and Postprocessing Tips
13.2. The FiberSIM-ANSYS Interface
13.2.1. Understanding the FiberSIM XML File
13.2.2. Using FiberSIM Data in ANSYS
13.2.3. FiberSIM-to-ANSYS Translation Details
14. Fatigue
14.1. How ANSYS Calculates Fatigue
14.2. Fatigue Terminology
14.3. Evaluating Fatigue
14.3.1. Enter POST1 and Resume Your Database
14.3.2. Establish the Size, Fatigue Material Properties, and Locations
14.3.3. Store Stresses and Assign Event Repetitions and Scale Factors
14.3.4. Activate the Fatigue Calculations
14.3.5. Review the Results
14.3.6. Other Approaches to Range Counting
14.3.7. Sample Input
15. p-Method Structural Static Analysis
15.1. Benefits of the p-Method
15.2. Using the p-Method
15.2.1. Select the p-Method Procedure
15.2.2. Build the Model
15.2.3. Additional Information for Building Your Model
15.2.4. Apply Loads and Obtain the Solution
15.2.5. Helpful Hints for Common Problems
15.2.6. Review the Results
15.2.7. Querying Subgrid Results
15.2.8. Printing and Plotting Node and Element Results
15.3. Sample p-Method Analysis (GUI Method)
15.3.1. Problem Description
15.3.2. Problem Specifications
15.3.3. Problem Diagram
15.4. Sample p-Method Analysis (Command or Batch Method)
16. Beam Analysis and Cross Sections
16.1. Overview of Cross Sections
16.2. How to Create Cross Sections
16.2.1. Defining a Section and Associating a Section ID Number
16.2.2. Defining Cross Section Geometry and Setting the Section Attribute Pointer
16.2.3. Meshing a Line Model with BEAM44, BEAM188, or BEAM189 Elements
16.3. Creating Cross Sections
16.3.1. Using the Beam Tool to Create Common Cross Sections
16.3.2. Creating Custom Cross Sections with a User-defined Mesh
16.3.3. Creating Custom Cross Sections with Mesh Refinement and Multiple Materials
16.3.4. Defining Composite Cross Sections
16.3.5. Defining a Tapered Beam
16.4. Using Nonlinear General Beam Sections
16.4.1. Defining a Nonlinear General Beam Section
16.4.2. Considerations for Employing Nonlinear General Beam Sections
16.5. Managing Cross Section and User Mesh Libraries
16.6. Sample Lateral Torsional Buckling Analysis (GUI Method)
16.6.1. Problem Description
16.6.2. Problem Specifications
16.6.3. Problem Sketch
16.6.4. Eigenvalue Buckling and Nonlinear Collapse
16.6.5. Set the Analysis Title and Define Model Geometry
16.6.6. Define Element Type and Cross Section Information
16.6.7. Define the Material Properties and Orientation Node
16.6.8. Mesh the Line and Verify Beam Orientation
16.6.9. Define the Boundary Conditions
16.6.10. Solve the Eigenvalue Buckling Analysis
16.6.11. Solve the Nonlinear Buckling Analysis
16.6.12. Plot and Review the Results
16.6.13. Plot and Review the Section Results
16.7. Sample Problem with Cantilever Beams, Command Method
16.8. Where to Find Other Examples
17. Shell Analysis and Cross Sections
17.1. Understanding Cross Sections
17.2. How to Create Cross Sections
17.2.1. Defining a Section and Associating a Section ID Number
17.2.2. Defining Layer Data
17.2.3. Overriding Program Calculated Section Properties
17.2.4. Specifying a Shell Thickness Variation (Tapered Shells)
17.2.5. Setting the Section Attribute Pointer
17.2.6. Associating an Area with a Section
17.2.7. Using the Shell Tool to Create Sections
17.2.8. Managing Cross Section Libraries
17.3. Using Preintegrated General Shell Sections
17.3.1. Defining a Preintegrated Shell Section
17.3.2. Considerations for Employing Preintegrated Shell Sections
Contact Technology Guide
1. Contact Overview
1.1. General Contact Classification
1.2. ANSYS Contact Capabilities
1.2.1. Surface-to-Surface Contact Elements
1.2.2. Node-to-Surface Contact Elements
1.2.3. 3-D Line-to-Line Contact
1.2.4. Line-to-Surface Contact
1.2.5. Node-to-Node Contact Elements
2. GUI Aids for Contact Analyses
2.1. The Contact Manager
2.2. The Contact Wizard
2.3. Managing Contact Pairs
3. Surface-to-Surface Contact
3.1. Using Surface-to-Surface Contact Elements
3.2. Steps in a Contact Analysis
3.3. Creating the Model Geometry and Mesh
3.4. Identifying Contact Pairs
3.5. Designating Contact and Target Surfaces
3.5.1. Asymmetric Contact vs. Symmetric Contact
3.6. Defining the Target Surface
3.6.1. Pilot Nodes
3.6.2. Primitives
3.6.3. Element Types and Real Constants
3.6.4. Using Direct Generation to Create Rigid Target Elements
3.6.5. Using ANSYS Meshing Tools to Create Rigid Target Elements
3.7. Defining the Deformable Contact Surface
3.7.1. Element Type
3.7.2. Real Constants and Material Properties
3.7.3. Generating Contact Elements
3.8. Set the Real Constants and Element KEYOPTS
3.8.1. Real Constants
3.8.2. Element KEYOPTS
3.8.3. Selecting a Contact Algorithm (KEYOPT(2))
3.8.4. Determining Contact Stiffness and Allowable Penetration
3.8.5. Choosing a Friction Model
3.8.6. Selecting Location of Contact Detection
3.8.7. Adjusting Initial Contact Conditions
3.8.8. Physically Moving Contact Nodes Towards the Target Surface
3.8.9. Determining Contact Status and the Pinball Region
3.8.10. Avoiding Spurious Contact in Self Contact Problems
3.8.11. Selecting Surface Interaction Models
3.8.12. Modeling Contact with Superelements
3.8.13. Accounting for Thickness Effect
3.8.14. Using Time Step Control
3.8.15. Using the Birth and Death Option
3.9. Controlling the Motion of the Rigid Target Surface (Rigid-to-Flexible Contact)
3.10. Applying Necessary Boundary Conditions to the Deformable Elements
3.11. Defining Solution and Load Step Options
3.12. Solving the Problem
3.13. Reviewing the Results
3.13.1. Points to Remember
3.13.2. Reviewing Results in POST1
3.13.3. Reviewing Results in POST26
4. Node-to-Surface Contact
4.1. The Node-to-Surface Contact Element
4.2. Performing a Node-to-Surface Contact Analysis
4.2.1. CONTA175 KEYOPTS
4.2.2. CONTA175 Real Constants
4.3. Using CONTA175 for Multiphysics Contact
5. 3-D Beam-to-Beam Contact
5.1. The 3-D Line-to-Line Contact Element
5.2. Modeling Beam-to-Beam Contact
5.3. Performing a 3-D Beam-to-Beam Contact Analysis
5.3.1. KEYOPTs and Real Constants
6. Line-to-Surface Contact
6.1. The 3-D Line-to-Surface Contact Element
6.2. Performing a 3-D Line-to-Surface Contact Analysis
6.2.1. KEYOPTs and Real Constants
7. Multiphysics Contact
7.1. Modeling Thermal Contact
7.1.1. Thermal Contact Behavior vs. Contact Status
7.1.2. Free Thermal Surface
7.1.3. Temperature on Target Surface
7.1.4. Modeling Conduction
7.1.5. Modeling Convection
7.1.6. Modeling Radiation
7.1.7. Modeling Heat Generation Due to Friction
7.1.8. Modeling External Heat Flux
7.2. Modeling Electric Contact
7.2.1. Modeling Surface Interaction
7.2.2. Modeling Heat Generation Due to Electric Current
7.3. Modeling Magnetic Contact
7.3.1. Using MCC
7.3.2. Modeling Perfect Magnetic Contact
8. Node-to-Node Contact
8.1. Node-to-Node Contact Elements
8.2. Performing a Node-to-Node Contact Analysis
8.2.1. Creating Geometry and Meshing the Model
8.2.2. Generating Contact Elements
8.2.3. Defining the Contact Normal
8.2.4. Defining the Initial Interference or Gap
8.2.5. Selecting the Contact Algorithm
8.2.6. Applying Necessary Boundary Conditions
8.2.7. Defining the Solution Options
8.2.8. Solving the Problem
8.2.9. Reviewing the Results
9. Multipoint Constraints and Assemblies
9.1. Modeling Solid-Solid and Shell-Shell Assemblies
9.2. Modeling a Shell-Solid Assembly
9.3. Surface-Based Constraints
9.3.1. Defining Surface-Based Constraints
9.3.2. Defining Influence Range (PINB)
9.3.3. Degrees of Freedom of Surface-Based Constraints
9.3.4. Specifying a Local Coordinate System
9.3.5. Additional Guidelines for a Force-Distributed Constraint
9.3.6. Additional Guidelines for A Rigid Surface Constraint
9.3.7. Modeling a Beam-Solid Assembly
9.3.8. Modeling Rigid Bodies
9.4. Restrictions and Recommendations for Internal MPC
10. Spot Welds
10.1. Defining a Spot Weld Set
10.1.1. Creating a Basic Spot Weld Set with SWGEN
10.1.2. The Components of a Spot Weld
10.1.3. Adding Surfaces to a Basic Set
10.2. Listing and Deleting Spot Welds
11. Debonding
11.1. Including Debonding in a Contact Analysis
11.1.1. Cohesive Zone Materials Used for Debonding
11.1.2. Debonding Modes
11.1.3. Other Considerations for Debonding
11.1.4. Postprocessing
Multibody Analysis Guide
1. Introduction to Multibody Simulation
1.1. Benefits of the Finite Element Method for Modeling Multibody Systems
1.2. Overview of the ANSYS Multibody Analysis Process
1.3. The ANSYS-ADAMS Interface
1.4. Learning More About Multibody Dynamics
2. Modeling in a Multibody Simulation
2.1. Modeling Flexible Bodies in a Multibody Analysis
2.1.1. Element Choices for Flexible Bodies
2.2. Modeling Rigid Bodies in a Multibody Analysis
2.2.1. Defining a Rigid Body
2.2.2. Contact Element Choices for Defining a Rigid Body
2.2.3. Rigid Body Degrees of Freedom
2.2.4. Rigid Body Boundary Conditions
2.2.5. Representing Parts of a Complex Model with Rigid Bodies
2.2.6. Connecting Joint Elements to Rigid Bodies
2.2.7. Modeling Contact with Rigid Bodies
2.3. Connecting Multibody Components with Joint Elements
2.3.1. Joint Element Types
2.3.2. Material Behavior of Joint Elements
2.3.3. Reference Lengths and Angles for Joint Elements
2.3.4. Boundary Conditions for Joint Elements
2.3.5. Connecting Bodies to Joints
3. Performing a Multibody Analysis
3.1. Kinematic Constraints
3.2. Convergence Criteria
3.3. Initial Conditions
3.3.1. Apply Linear Acceleration in a Dummy Transient Analysis
3.3.2. Apply Large Numerical Damping Over a Short Interval
3.4. Damping
3.4.1. Numerical Damping
3.4.2. Structural Damping
3.5. Time-Step Settings
3.6. Solver Options
4. Reviewing Multibody Analysis Results
4.1. Reviewing Results in POST1
4.2. Reviewing Results in POST26
4.3. Output of Joint Element Quantities
4.4. Energy Output
5. Using Component Mode Synthesis Superelements in a Multibody Analysis
5.1. Applicability of CMS Superelements in a Multibody Analysis
5.2. Flexible Body Types
5.3. Substructuring Overview
5.4. Master Degrees of Freedom in a Substructured Multibody Simulation
5.5. Steps for Performing a Substructured Multibody Simulation
5.5.1. Step 1: Prepare the Full Model for a Substructured Multibody Analysis
5.5.2. Step 2: Create the Substructures (Generation Pass)
5.5.3. Step 3: Build the CMS-based Model (Use Pass)
5.5.4. Step 4: Run the Multibody Analysis
5.5.5. Step 5: Expand all Solutions (Expansion Pass)
5.5.6. Step 6: Create the Merged Results File
5.5.7. Step 7: Postprocess the Results
6. Example Multibody Analysis: Crank Slot Mechanism
6.1. Problem Description
6.2. Problem Specifications
6.3. Defining Joints
6.4. Performing the Rigid Body Analysis
6.5. Performing the Flexible Body Analysis
6.6. Using Component Mode Synthesis in the Multibody Analysis
6.7. Using Joint Probes
6.8. Comparing Processing Times
6.9. Input Files Used in This Analysis
7. Troubleshooting a Flexible Multibody Analysis
7.1. Addressing Overconstraint Issues During Modeling
7.1.1. Overconstraints in Rigid Bodies
7.1.2. Overconstraints Caused by User-Defined Constraint Equations
7.2. Resolving Overconstraint Problems
Thermal Analysis Guide
1. Analyzing Thermal Phenomena
1.1. How ANSYS Treats Thermal Modeling
1.1.1. Convection
1.1.2. Radiation
1.1.3. Special Effects
1.1.4. Far-Field Elements
1.2. Types of Thermal Analysis
1.3. Coupled-Field Analyses
1.4. About GUI Paths and Command Syntax
2. Steady-State Thermal Analysis
2.1. Available Elements for Thermal Analysis
2.2. Commands Used in Thermal Analyses
2.3. Tasks in a Thermal Analysis
2.4. Building the Model
2.4.1. Using the Surface Effect Elements
2.4.2. Creating Model Geometry
2.5. Applying Loads and Obtaining the Solution
2.5.1. Defining the Analysis Type
2.5.2. Applying Loads
2.5.3. Using Table and Function Boundary Conditions
2.5.4. Specifying Load Step Options
2.5.5. General Options
2.5.6. Nonlinear Options
2.5.7. Output Controls
2.5.8. Defining Analysis Options
2.5.9. Saving the Model
2.5.10. Solving the Model
2.6. Reviewing Analysis Results
2.6.1. Primary data
2.6.2. Derived data
2.6.3. Reading In Results
2.6.4. Reviewing Results
2.7. Example of a Steady-State Thermal Analysis (Command or Batch Method)
2.7.1. The Example Described
2.7.2. The Analysis Approach
2.7.3. Commands for Building and Solving the Model
2.8. Performing a Steady-State Thermal Analysis (GUI Method)
2.9. Performing a Thermal Analysis Using Tabular Boundary Conditions
2.9.1. Running the Sample Problem via Commands
2.9.2. Running the Sample Problem Interactively
2.10. Where to Find Other Examples of Thermal Analysis
3. Transient Thermal Analysis
3.1. Elements and Commands Used in Transient Thermal Analysis
3.2. Tasks in a Transient Thermal Analysis
3.3. Building the Model
3.4. Applying Loads and Obtaining a Solution
3.4.1. Defining the Analysis Type
3.4.2. Establishing Initial Conditions for Your Analysis
3.4.3. Specifying Load Step Options
3.4.4. Nonlinear Options
3.4.5. Output Controls
3.5. Saving the Model
3.5.1. Solving the Model
3.6. Reviewing Analysis Results
3.6.1. How to Review Results
3.6.2. Reviewing Results with the General Postprocessor
3.6.3. Reviewing Results with the Time History Postprocessor
3.7. Reviewing Results as Graphics or Tables
3.7.1. Reviewing Contour Displays
3.7.2. Reviewing Vector Displays
3.7.3. Reviewing Table Listings
3.8. Phase Change
3.9. Example of a Transient Thermal Analysis
3.9.1. The Example Described
3.9.2. Example Material Property Values
3.9.3. Example of a Transient Thermal Analysis (GUI Method)
3.9.4. Commands for Building and Solving the Model
3.10. Where to Find Other Examples of Transient Thermal Analysis
4. Radiation
4.1. Analyzing Radiation Problems
4.2. Definitions
4.3. Using LINK31, the Radiation Link Element
4.4. Modeling Radiation Between a Surface and a Point
4.5. Using the AUX12 Radiation Matrix Method
4.5.1. Procedure
4.5.2. Recommendations for Using Space Nodes
4.5.3. General Guidelines for the AUX12 Radiation Matrix Method
4.6. Using the Radiosity Solver Method
4.6.1. Procedure
4.6.2. Further Options for Static Analysis
4.7. Advanced Radiosity Options
4.8. Example of a 2-D Radiation Analysis Using the Radiosity Method (Command Method)
4.8.1. The Example Described
4.8.2. Commands for Building and Solving the Model
4.9. Example of a 2-D Radiation Analysis Using the Radiosity Method with Decimation and Symmetry (Command Method)
4.9.1. The Example Described
4.9.2. Commands for Building and Solving the Model
Fluids Analysis Guide
I. CFD
1. Overview of FLOTRAN CFD Analyses
1.1. Types of FLOTRAN Analyses
1.1.1. Laminar Flow Analysis
1.1.2. Turbulent Flow Analysis
1.1.3. Thermal Analysis
1.1.4. Compressible Flow Analysis
1.1.5. Non-Newtonian Fluid Flow Analysis
1.1.6. Multiple Species Transport Analysis
1.1.7. Free Surface Analysis
1.2. About GUI Paths and Command Syntax
2. The Basics of FLOTRAN Analysis
2.1. Characteristics of the FLOTRAN Elements
2.1.1. Other Element Features
2.2. Considerations and Restrictions for Using the FLOTRAN Elements
2.2.1. Limitations on FLOTRAN Element Use
2.3. Overview of a FLOTRAN Analysis
2.3.1. Determining the Problem Domain
2.3.2. Determining the Flow Regime
2.3.3. Creating the Finite Element Mesh
2.3.4. Applying Boundary Conditions
2.3.5. Setting FLOTRAN Analysis Parameters
2.3.6. Solving the Problem
2.3.7. Examining the Results
2.4. Files the FLOTRAN Elements Create
2.4.1. The Results File
2.4.2. The Print File (Jobname.PFL)
2.4.3. The Nodal Residuals File
2.4.4. The Restart File
2.4.5. The Domain File
2.4.6. Restarting a FLOTRAN Analysis
2.5. Convergence and Stability Tools
2.5.1. Relaxation Factors
2.5.2. Inertial Relaxation
2.5.3. Modified Inertial Relaxation
2.5.4. Artificial Viscosity
2.5.5. DOF Capping
2.5.6. The Quadrature Order
2.6. What to Watch For During a FLOTRAN Analysis
2.6.1. Deciding How Many Global Iterations to Use
2.6.2. Convergence Monitors
2.6.3. Stopping a FLOTRAN Analysis
2.6.4. Pressure Results
2.7. Evaluating a FLOTRAN Analysis
2.8. Verifying Results
3. FLOTRAN Laminar and Turbulent Incompressible Flow
3.1. Activating the Turbulence Model
3.1.1. The Role of the Reynolds Number
3.1.2. Determining Whether an Analysis Is Turbulent
3.1.3. Turbulence Ratio and Inlet Parameters
3.1.4. Turbulence Models
3.2. Meshing Requirements
3.3. Flow Boundary Conditions
3.4. Strategies for Difficult Problems
3.5. Example of a Laminar and Turbulent FLOTRAN Analysis
4. FLOTRAN Thermal Analyses
4.1. Meshing Requirements
4.2. Property Specifications and Control
4.3. Thermal Loads and Boundary Conditions
4.3.1. Applying Loads
4.4. Solution Strategies
4.4.1. Constant Fluid Properties
4.4.2. Forced Convection, Temperature Dependent Properties
4.4.3. Free Convection, Temperature Dependent Properties
4.4.4. Conjugate Heat Transfer
4.5. Heat Balance
4.6. Surface-to-Surface Radiation Analysis Using the Radiosity Method
4.6.1. Procedure
4.6.2. Heat Balances
4.7. Examples of a Laminar, Thermal, Steady-State FLOTRAN Analysis
4.7.1. The Example Described
4.7.2. Doing the Buoyancy Driven Flow Analysis (GUI Method)
4.7.3. Doing the Buoyancy Driven Flow Analysis (Command Method)
4.8. Example of Radiation Analysis Using FLOTRAN (Command Method)
4.9. Where to Find Other FLOTRAN Analysis Examples
5. FLOTRAN Transient Analyses
5.1. Time Integration Method
5.2. Time Step Specification and Convergence
5.3. Terminating and Getting Output from a Transient Analysis
5.4. Applying Transient Boundary Conditions
6. Volume of Fluid (VOF) Analyses
6.1. VFRC Loads
6.1.1. Initial VFRC Loads
6.1.2. Boundary VFRC Loads
6.2. Input Settings
6.2.1. Ambient Conditions
6.2.2. VFRC Tolerances
6.2.3. VOF Time Steps
6.3. Postprocessing
6.4. VOF Analysis of a Dam
6.4.1. The Problem Described
6.4.2. Building and Solving the Model (Command Method)
6.5. VOF Analysis of Open Channel with an Obstruction
6.5.1. The Problem Described
6.5.2. Building and Solving the Model (Command Method)
6.6. VOF Analysis of an Oscillating Droplet
6.6.1. The Problem Described
6.6.2. Results
6.6.3. Building and Solving the Model (Command Method)
6.6.4. Where to Find Other Examples
7. Arbitrary Lagrangian-Eulerian (ALE) Formulation for Moving Domains
7.1. Boundary Conditions
7.2. Mesh Updating
7.3. Remeshing
7.4. Postprocessing
7.5. ALE Analysis of a Simplified Torsional Mirror
7.5.1. The Problem Described
7.5.2. Boundary Conditions
7.5.3. Forces and Moments
7.5.4. Building and Solving the Model (Command Method)
7.6. ALE/VOF Analysis of a Vessel with a Moving Wall
7.6.1. The Problem Described
7.6.2. Results
7.6.3. Building and Solving the Model (Command Method)
7.7. ALE Analysis of a Moving Cylinder
7.7.1. The Problem Described
7.7.2. Results
7.7.3. Building and Solving the Model (Command Method)
8. FLOTRAN Compressible Analyses
8.1. Property Calculations
8.2. Boundary Conditions
8.3. Structured vs. Unstructured Mesh
8.4. Solution Strategies
8.4.1. Inertial Relaxation
8.5. Example of a Compressible Flow Analysis
8.5.1. The Example Described
8.6. Doing the Example Compressible Flow Analysis (GUI Method)
8.7. Doing the Example Compressible Flow Analysis (Command Method)
9. Specifying Fluid Properties for FLOTRAN
9.1. Fluid Property Types
9.1.1. Property Types for Specific Heat
9.1.2. Property Types for Density and Thermal Conductivity
9.1.3. Property Types for Viscosity
9.1.4. Property Types for Surface Tension Coefficient
9.1.5. Property Types for Wall Static Contact Angle
9.1.6. General Guidelines for Setting Property Types
9.1.7. Density
9.1.8. Viscosity
9.1.9. Specific Heat
9.1.10. Thermal Conductivity
9.1.11. Surface Tension Coefficient
9.1.12. Wall Static Contact Angle
9.2. Initializing and Varying Properties
9.2.1. Activating Variable Properties
9.3. Modifying the Fluid Property Database
9.4. Using Reference Properties
9.5. Using the ANSYS Non-Newtonian Flow Capabilities
9.5.1. Activating the Power Law Model
9.5.2. Activating the Carreau Model
9.5.3. Activating the Bingham Model
9.6. Using User-Programmable Subroutines
10. FLOTRAN Special Features
10.1. Coordinate Systems
10.2. Rotating Frames of Reference
10.3. Swirl
10.4. Distributed Resistance/Source
11. FLOTRAN CFD Solvers and the Matrix Equation
11.1. Tri-Diagonal Matrix Algorithm
11.2. Semi-Direct Solvers
11.2.1. Preconditioned Generalized Minimum Residual (PGMR) Solver
11.2.2. Preconditioned BiCGStab (PBCGM) Solver
11.3. Sparse Direct Method
12. Coupling Algorithms
12.1. Algorithm Settings
12.1.1. Advection Scheme
12.1.2. Solver
12.1.3. Relaxation Factors
12.2. Performance
13. Multiple Species Transport
13.1. Mixture Types
13.1.1. Dilute Mixture Analysis
13.1.2. Composite Mixture Analysis
13.1.3. Composite Gas Analysis
13.2. Doing a Multiple Species Analysis
13.2.1. Establish the Species
13.2.2. Choose an Algebraic Species
13.2.3. Adjust Output Format
13.2.4. Set Properties
13.2.5. Specify Boundary Conditions
13.2.6. Set Relaxation and Solution Parameters
13.3. Doing a Heat Exchanger Analysis Using Two Species
13.4. Example Analysis Mixing Three Gases
14. Advection Discretization Options
14.1. Using SUPG and COLG
14.2. Strategies for Difficult Solutions
II. Acoustics
15. Acoustics
15.1. Solving Acoustics Problems
15.2. Building the Model
15.2.1. Harmonic Acoustic Analysis Guidelines
15.3. Meshing the Model
15.3.1. Step 1: Mesh the Interior Fluid Domain
15.3.2. Step 2: Generate the Infinite Acoustic Elements
15.3.3. Step 3: Specify the Fluid-Structure Interface
15.4. Applying Loads and Obtaining the Solution
15.4.1. Step 1: Enter the SOLUTION Processor
15.4.2. Step 2: Define the Analysis Type
15.4.3. Step 3: Define Analysis Options
15.4.4. Step 4: Apply Loads on the Model
15.4.5. Step 5: Specify Load Step Options
15.4.6. Step 6: Back Up Your Database
15.4.7. Step 7: Apply Additional Load Steps (Optional)
15.4.8. Step 8: Finish the Solution
15.5. Reviewing Results
15.6. Fluid-Structure Interaction
15.7. Sample Applications
15.8. Example 1: Fluid-Structure Coupled Acoustic Analysis (Command Method)
15.9. Example 2: Room Acoustic Analysis (Command Method)
III. Thin Film
16. Thin Film Analysis
16.1. Elements for Modeling Thin Films
16.2. Squeeze Film Analysis
16.2.1. Static Analysis Overview
16.2.2. Harmonic Response Analysis Overview
16.2.3. Flow Regime Considerations
16.2.4. Modeling and Meshing Considerations
16.2.5. Analysis Settings and Options
16.2.6. Loads and Solution
16.2.7. Review Results
16.2.8. Example Problem
16.3. Modal Projection Method for Squeeze Film Analysis
16.3.1. Modal Projection Method Overview
16.3.2. Steps in Computing the Damping Parameter Using the Modal Projection Technique
16.3.3. Example Problem Using the Modal Projection Method
16.3.4. Damping Extraction for Large Signal Cases
16.4. Slide Film Damping
16.4.1. Slide Film Damping Example
Low-Frequency Electromagnetic Analysis Guide
1. Overview of Magnetic Field Analysis
1.1. How ANSYS Handles Magnetic Analysis
1.2. Types of Static, Harmonic, and Transient Magnetic Analysis
1.3. Comparing Magnetic Formulations
1.3.1. 2-D Versus 3-D Magnetic Analysis
1.3.2. What Is the Magnetic Scalar Potential Formulation?
1.3.3. What Is the Magnetic Vector Potential Formulation?
1.3.4. What Is the Edge Formulation?
1.3.5. Comparing Formulations
1.3.6. Static Analysis
1.4. Summary of Electromagnetic Elements
1.5. About GUI Paths and Command Syntax
2. 2-D Static Magnetic Analysis
2.1. Elements Used in 2-D Static Magnetic Analysis
2.2. Steps in a Static Magnetic Analysis
2.2.1. Creating the Physics Environment
2.2.2. Building and Meshing the Model and Assigning Region Attributes
2.2.3. Applying Boundary Conditions and Loads
2.2.4. Excitation Loads
2.2.5. Flags
2.2.6. Other Loads
2.2.7. Solving the Analysis
2.2.8. Defining the Analysis Type
2.2.9. Defining Analysis Options
2.2.10. Saving a Backup Copy of the Database
2.2.11. Starting the Solution
2.2.12. Tracking Convergence Graphically
2.2.13. Finishing the Solution
2.2.14. Calculating the Inductance Matrix and Flux Linkage
2.2.15. Reviewing Results
2.2.16. Reading in Results Data
2.3. Doing an Example 2-D Static Magnetic Analysis (GUI Method)
2.3.1. The Example Described
2.3.2. Analysis Parameters
2.3.3. Approach and Assumptions
2.4. Doing an Example 2-D Static Magnetic Analysis (Command Method)
2.5. Doing an Example 2-D Static Magnetic Contact Analysis (Command Method)
2.5.1. The Problem Described
2.5.2. Input Listing
2.6. Where to Find Other Examples
3. 2-D Harmonic (AC) Analysis
3.1. Linear Versus Nonlinear Harmonic Analysis
3.2. Elements Used in Harmonic Magnetic Analysis
3.3. Creating a Harmonic 2-D Physics Environment
3.3.1. Using DOFs to Manage Terminal Conditions on Conductors
3.3.2. The AZ Option
3.3.3. The AZ-VOLT Option
3.3.4. The AZ-CURR Option
3.3.5. Characteristics and Settings for Physical Regions of a Model
3.3.6. Velocity Effects
3.4. Building and Meshing the Model and Assigning Region Attributes
3.4.1. Skin Depth Considerations
3.5. Applying Boundary Conditions Loads (Excitation) to Harmonic Problems
3.5.1. Using the PERBC2D Macro
3.5.2. Amplitude, Phase Angle, and Operating Frequency
3.5.3. Applying Source Current Density to Stranded Conductors
3.5.4. Applying Current to Massive Conductors
3.5.5. Applying Voltage Load Across a Stranded Coil
3.5.6. Flags
3.5.7. Other Loads
3.6. Obtain a Solution
3.6.1. Defining the Harmonic Analysis Type
3.6.2. Defining Analysis Options
3.6.3. Selecting the Equation Solver
3.6.4. Setting the Analysis Frequency
3.6.5. Setting General Options
3.6.6. Setting Output Controls
3.6.7. Saving a Backup Copy of the Database
3.6.8. Starting the Solution
3.6.9. HMAGSOLV Command Macro
3.6.10. Tracking Convergence Graphically
3.6.11. Finishing the Solution
3.7. Reviewing Results
3.7.1. Commands or GUI Paths to Help You in Postprocessing
3.7.2. Reading in Results Data
3.8. Doing an Example Harmonic Magnetic Analysis (GUI Method)
3.8.1. The Example Described
3.9. Doing an Example Harmonic Magnetic Analysis (Command Method)
3.10. Doing an Example of a 2-D Nonlinear Harmonic Analysis (Command Method)
3.10.1. The Example Described
3.10.2. The Example Analysis Command Input Stream
3.11. Where to Find Other Examples
4. 2-D Transient Magnetic Analysis
4.1. Elements Used in Transient Magnetic Analysis
4.2. Creating a 2-D Transient Magnetic Physics Environment
4.3. Building a Model, Assigning Region Attributes and Meshing the Model
4.4. Applying Boundary Conditions and Loads (Excitation)
4.4.1. Applying Boundary Conditions
4.4.2. Applying Excitation (Voltage Load)
4.4.3. Applying Current
4.4.4. Other Loads
4.5. Obtaining a Solution
4.5.1. Entering the SOLUTION Processor
4.5.2. Defining the Analysis Type
4.5.3. Defining Analysis Options
4.5.4. Load Step Options
4.5.5. Nonlinear Options
4.5.6. Output Controls
4.5.7. Saving a Backup Copy of the Database
4.5.8. Starting the Solution
4.5.9. Finishing the Solution
4.6. Reviewing Results
4.6.1. Reading Results in POST26
4.6.2. Reading Results in POST1
4.7. Doing an Example Transient Magnetic Analysis (GUI Method)
4.7.1. The Example Described
4.7.2. Analysis Parameters
4.7.3. Approach and Assumptions
4.8. Doing an Example Transient Analysis (Command Method)
4.9. Where to Find Other Examples
5. 3-D Static Magnetic Analysis (Scalar Method)
5.1. Elements Used in 3-D Static Scalar Magnetic Analysis
5.2. Scalar Potential Formulation
5.2.1. Singly Versus Multiply Connected Domains
5.3. Steps in a 3-D Static Scalar Analysis
5.3.1. Creating the Physics Environment
5.3.2. Setting GUI Preferences
5.3.3. Specifying Material Properties
5.3.4. Additional Guidelines for Defining Regional Material Properties and Real Constants
5.3.5. Building the Model
5.3.6. Building a 3-D Racetrack Coil
5.3.7. Applying Boundary Conditions and Loads (Excitation)
5.3.8. Boundary Conditions
5.3.9. Excitation
5.3.10. Flags
5.3.11. Other Loads
5.3.12. Obtaining a Solution
5.3.13. Solving the Analysis (RSP Method)
5.3.14. Solving the Analysis (DSP Method)
5.3.15. Solving the Analysis (GSP Method)
5.3.16. Calculating the Inductance Matrix and Flux Linkage
5.3.17. Reviewing Analysis Results (RSP, DSP, or GSP Method Analysis)
5.4. Example of a 3-D Static Magnetic Analysis (GUI Method)
5.4.1. The Example Described
5.4.2. The Analysis (GUI Method)
5.5. Example of a 3-D Static Magnetic Analysis (Command Method)
5.6. Where to Find Other Examples of 3-D Static Magnetic Analysis
6. 3-D Magnetostatics and Fundamentals of Edge-Based Analysis
6.1. How to Use Edge-Based Analysis
6.1.1. Elements Used in Edge-Based Analysis
6.1.2. Using the Different Formulations
6.1.3. Characteristics and Settings for Physical Regions of a Model
6.2. Using Adaptive Meshing for Edge-Based Analyses
6.2.1. Prerequisites for Adaptive Meshing
6.2.2. Employing Adaptive Meshing in an Edge-Based Analysis
6.3. Performing a Static Edge-Based Analysis
6.4. Reviewing Results
6.4.1. Reading in Results Data
6.5. Example of a 3-D Static Edge-Based Analysis (GUI Method)
6.5.1. The Analysis Described
6.5.2. Analysis Parameters
6.5.3. Target Data
6.5.4. Procedures to Follow
6.6. Example of a 3-D Static Edge-Based Analysis (Command Method)
6.7. Example of a 3-D Static Edge-Based Analysis Using SOURC36 Current Loads (Command Method)
6.7.1. The Analysis Described
6.7.2. Analysis Parameters
6.7.3. Target Data
6.7.4. The Analysis Input
6.8. Example of a 3-D Static Edge-Based Analysis Showing Force and Torque Calculations (Command Method)
6.8.1. The Analysis Described
6.8.2. Analysis Parameters
6.8.3. The Analysis Input
6.9. Example of a Soleniod Analysis with a Current Load (Filament)
6.9.1. The Analysis Described
6.9.2. Analysis Parameters
6.9.3. Target Data
6.9.4. The Analysis Input
6.10. Example Analysis of a Brooks Coil Inductance
6.10.1. The Analysis Described
6.10.2. Analysis Parameters
6.10.3. Target Data
6.10.4. Analysis Input
7. 3-D Harmonic Magnetic Analysis (Edge-Based)
7.1. Characteristics and Settings for Physical Regions of a Model
7.2. Velocity Effects
7.3. Performing a Harmonic Edge-Based Analysis
7.4. Reviewing Results
7.4.1. Commands to Help You in Postprocessing
7.4.2. Reading in Results Data
7.5. Example of a 3-D Harmonic Edge-Based Analysis (Command Method)
7.5.1. The Analysis Described
7.5.2. Analysis Parameters
7.5.3. Target Data
8. 3-D Transient Magnetic Analysis (Edge-Based)
8.1. Performing a Transient Edge-Based Analysis
8.1.1. Time Option
8.1.2. Number of Substeps or Time Step Size
8.1.3. Automatic Time Stepping
8.1.4. Newton-Raphson Options
8.1.5. Number of Equilibrium Iterations
8.1.6. Convergence Tolerances
8.1.7. Terminate an Unconverged Solution
8.1.8. Control Printed Output
8.1.9. Control Database and Results File Output
8.1.10. Saving a Backup Copy of the Database
8.1.11. Starting the Solution
8.2. Reviewing Results
8.2.1. Reading Results in POST26
8.2.2. Reading Results in POST1
9. 3-D Nodal-Based Analyses (Static, Harmonic, and Transient)
9.1. Elements Used in a 3-D Static Magnetic MVP Analysis
9.1.1. Specifying Real Constants
9.1.2. Incorporating Velocity Effects
9.2. Defining Analysis Settings
9.2.1. Defining the Analysis Type
9.2.2. Defining Which Solver to Use
9.3. Performing a 3-D Static Magnetic MVP Analysis
9.3.1. Applying Loads and Obtaining the Solution
9.3.2. Saving a Backup Copy of the Database
9.3.3. Starting the Solution
9.3.4. Finishing the Solution
9.3.5. Calculating the Inductance Matrix and Flux Linkage
9.4. Reviewing Results
9.4.1. Reading in Results Data
9.5. Performing a 3-D Nodal-Based Harmonic Analysis
9.5.1. Creating a Harmonic 3-D Physics Environment
9.6. Applying Loads to and Solving 3-D Nodal-Based Harmonic Analyses
9.7. Reviewing Results from a 3-D Harmonic (Nodal-Based) Analysis
9.8. Performing a 3-D Transient (Nodal-Based) Analysis
9.8.1. Create the 3-D Transient Physics Environment
9.8.2. Apply Loads and Solve the Transient Analysis
9.9. Reviewing Results from a 3-D Transient (Nodal-Based) Analysis
9.10. Combining the Scalar and Vector Potential Methods
9.10.1. Building a Model with Combined Regions
9.10.2. Apply Loads and Solving the Combined Model
9.10.3. Reviewing Results
10. Electric and Magnetic Macros
10.1. Using Electric and Magnetic Macros
10.1.1. Modeling Aids
10.1.2. Solution Aids
10.1.3. Postprocessing Calculations
11. Far-Field Elements
11.1. Tips for Using Far-Field Elements
11.2. Sample Analysis
11.2.1. Problem Description
11.2.2. Results
11.2.3. Command Listing
12. Electric Field Analysis
12.1. Elements Used in Electric Field Analysis
12.2. Element Compatibility
12.3. Current Densities
12.4. Steady-State Current Conduction Analysis
12.4.1. Building the Model
12.4.2. Applying Loads and Obtaining a Solution
12.4.3. Reviewing Results
12.4.4. Extracting Conductance from Multi-Conductor Systems
12.5. Harmonic Quasistatic Electric Analysis
12.5.1. Building the Model
12.5.2. Applying Loads and Obtaining a Solution
12.5.3. Reviewing Results
12.6. Transient Quasistatic Electric Analysis
12.6.1. Building the Model
12.6.2. Applying Loads and Obtaining a Solution
12.6.3. Reviewing Results
12.7. Sample Steady-State Conduction Current Analysis
12.7.1. Problem Description
12.7.2. Results
12.7.3. Command Listing
12.8. Sample Conductance Calculation
12.8.1. Problem Description
12.8.2. Command Listing
12.9. Sample Harmonic Quasistatic Electric Analysis
12.9.1. Problem Description
12.9.2. Results
12.9.3. Command Listing
12.10. Sample Transient Quasistatic Electric Analysis
12.10.1. Problem Description
12.10.2. Results
12.10.3. Command Listing
12.11. Where to Find Current Conduction Analysis Examples
13. Electrostatic Field Analysis (h-Method)
13.1. Elements Used in h-Method Electrostatic Analysis
13.2. Steps in an h-Method Electrostatic Analysis
13.2.1. Building the Model
13.2.2. Applying Loads and Obtaining a Solution
13.2.3. Reviewing Results
13.3. Extracting Capacitance from Multi-conductor Systems
13.3.1. Ground Capacitances and Lumped Capacitances
13.3.2. Procedure
13.4. Trefftz Method for Open Boundary Representation
13.4.1. Overview
13.4.2. Procedure
13.5. Doing an Example h-Method Electrostatic Analysis (GUI Method)
13.5.1. The Example Described
13.5.2. Analysis Assumptions and Modeling Notes
13.5.3. Expected Analysis Results
13.6. Doing an Electrostatic Analysis (Command Method)
13.7. Doing an Example Capacitance Calculation (Command Method)
13.7.1. The Example Described
13.7.2. Modeling Notes
13.7.3. Computed Results
13.7.4. Command Listing
13.8. Doing an Electrostatic Analysis Using Trefftz Method (Command Method)
13.8.1. The Example Described
13.8.2. Modeling Notes
13.8.3. Expected Results
13.8.4. Command Listing
13.9. Doing an Electrostatic Analysis Using Trefftz Method (GUI Method)
14. p-Method Electrostatic Analysis
14.1. Benefits of Using the p-Method
14.2. Using the p-Method
14.2.1. Select the p-Method Procedure
14.2.2. Build the Model
14.2.3. Additional Information for Building Your Model
14.2.4. Apply Boundary Conditions
14.2.5. Apply Loads and Obtain the Solution
14.2.6. Helpful Hints for Common Problems
14.2.7. Review the Results
14.3. Doing an Example p-Electrostatic Analysis (Command Method)
14.3.1. The Example Described
14.3.2. Modeling Notes and Results
14.3.3. Command Listing
15. Electric Circuit Analysis
15.1. Using the CIRCU124 Element
15.1.1. Circuit Components Available in CIRCU124
15.1.2. Load Types for CIRCU124
15.1.3. Coupling the FEA Domain to the Circuit Domain
15.2. Using the CIRCU125 Element
15.3. Using the Circuit Builder
15.3.1. Building a Circuit
15.4. Avoiding Inconsistent Circuits
15.4.1. DC and Harmonic Analyses
15.4.2. Transient Analyses
15.4.3. Inductors and Current Generators Should Not Form a Cut
15.5. Static (DC) Electric Circuit Analysis
15.5.1. Building a Circuit for Static Analysis
15.5.2. Applying Loads and Solving the Static Analysis
15.5.3. Reviewing Results from a Static Circuit Analysis
15.6. Harmonic (AC) Electric Circuit Analysis
15.6.1. Building a Circuit for Harmonic Analysis
15.6.2. Applying Loads and Solving the Analysis
15.6.3. Reviewing Results from a Harmonic Circuit Analysis
15.7. Transient Electric Circuit Analysis
15.7.1. Building a Circuit for Transient Analysis
15.7.2. Applying Loads and Solving the Static Analysis
15.7.3. Reviewing Results from a Transient Circuit Analysis
15.8. Doing an Example Harmonic Circuit Analysis (Command Method)
15.9. A Sample Diode Circuit (Command Method)
15.10. Where to Find Other Examples
16. Alternative Analysis Options and Solution Methods
16.1. Loading Options for 2-D Static Magnetic Analysis
16.1.1. On Keypoints
16.1.2. On Lines
16.1.3. On Areas
16.1.4. On Volumes
16.1.5. On Nodes
16.1.6. On Elements
16.2. Using the Alternative Solution Option for 2-D Static Magnetic Analysis
16.2.1. Specify Load Step Options for the Initial Solution
16.2.2. Write Load Data or Start the Solution
16.2.3. Specify Load Step Options for the Final Solution
16.2.4. Write Load Data or Start the Solution
16.2.5. Initiate the Solution
16.3. Loading Options for 2-D or 3-D Harmonic Magnetic Analysis (MVP Method)
16.4. Load Step Options for 2-D or 3-D Harmonic Magnetic Analysis (MVP Method)
16.4.1. Dynamic Options
16.4.2. General Options
16.4.3. Output Controls
16.5. Loading Options for 2-D or 3-D Transient Magnetic Analysis (MVP Method)
16.6. Load Step Options for Nodal-Based Transient Magnetic Analysis (MVP Method)
16.6.1. Dynamic Options
16.7. Loading Options for 3-D Static Magnetic Analysis (Scalar Method)
16.8. Using the RSP Method for 3-D Static Scalar Magnetic Analysis
16.8.1. Specify Load Step Options
16.8.2. Start the Solution
16.9. Using the DSP Method for 3-D Static Scalar Magnetic Analysis
16.10. Using the GSP Method for 3-D Static Scalar Magnetic Analysis
16.11. Loading Options for 3-D Static Magnetic Analysis (MVP Method)
16.12. The Alternative Solution Option for 3-D Static Magnetic Analysis (MVP Method)
16.12.1. Specify Load Step Options for the Initial Solution
16.12.2. Write Load Data or Start the Solution
16.12.3. Specify Load Step Options for the Final Solution
16.12.4. Write Load Data or Solve the Second Load Step
16.12.5. Initiate the Solution
16.13. Loading Options for an Electric Field (Current Conduction) Analysis
16.14. Load Step Options for an Electric Field (Current Conduction) Analysis
16.15. Loading Options for an Electrostatic Field Analysis
16.16. Load Step Options for Electrostatic Field Analysis
High-Frequency Electromagnetic Analysis Guide
1. Overview of High-Frequency Electromagnetic Analysis
2. Finite Element Analysis of High-Frequency Electromagnetic Fields
3. Elements Available in High-Frequency Electromagnetic Analysis
4. Performing a High-Frequency Harmonic Analysis
4.1. Creating the Physics Environment
4.1.1. Specifying Element Types
4.1.2. Specifying the System of Units
4.1.3. Specifying Material Properties
4.2. Building the Model, Assigning Region Attributes, and Meshing
4.2.1. Defining Model Region Attributes
4.2.2. Meshing the Model
4.3. Applying Boundary Conditions and Excitations (Loads)
4.3.1. Applying Boundary Conditions
4.3.2. Applying Excitation Sources
4.4. Solving Harmonic High-Frequency Analyses
4.4.1. Defining the Analysis Type
4.4.2. Defining Analysis Options and Estimating Computer Resources
4.4.3. Setting the Analysis Frequencies
4.4.4. Defining a Scattering Analysis
4.4.5. Defining a Radiation Analysis for a Phased Array Antenna
4.4.6. Defining a Modal Port Solution
4.4.7. Starting the Solution
4.4.8. Finishing the Solution
4.5. Postprocessing Harmonic High-Frequency Analyses
4.5.1. Reviewing Results
4.5.2. Commands to Help You in Postprocessing
4.5.3. Calculating Near Fields, Far Fields, and Far Field Parameters
4.5.4. Calculating Circuit Parameters for High-Frequency Devices
5. Performing a Modal High-Frequency Analysis
5.1. Entering the SOLUTION Processor and Specifying the Modal Analysis Type
5.2. Setting Options for Modal Analysis
5.3. Specifying Modes to Expand
5.4. Applying Boundary Conditions
5.5. Solving a Modal High-Frequency Analysis
5.6. Calculating Propagating Constants
5.7. Reviewing Modal High-Frequency Results
6. Adaptive Meshing
I. Basic Wave Radiation Examples
Harmonic Analysis for a Point Current Radiation Source (Command Method)
II. Basic Wave Propagation Examples
Harmonic Analysis of a Coaxial Waveguide (Command Method)
Harmonic Analysis of a Coaxial Waveguide (GUI Method)
III. Basic Wave Resonance Examples
Modal Analysis of a Cavity (Command Method)
Modal Analysis of a Cavity (GUI Method)
Modal Analysis for a Circular Waveguide (Command Method)
IV. Basic Wave Scattering Examples
Harmonic Analysis for Plane Wave Scattering from a Metallic Plate (Command Method)
V. Advanced Wave Radiation Examples
Harmonic Analysis for a JRM Array Antenna (Command Method)
Harmonic Analysis for a Lee-Jones Array Antenna (Command Method)
Harmonic Analysis for Line-fed Microstrip Patch Antenna (Command Method)
Harmonic Analysis for Radiation of a Waveguide Antenna with No Flare (Command Method)
Harmonic Analysis for a Half Wavelength Dipole Antenna (Command Method)
VI. Advanced Wave Propagation Examples
Harmonic Analysis for a Microstrip Low-Pass Filter (Command Method)
Harmonic Analysis for a Three-Stub Rectangular Waveguide Filter (Command Method)
Harmonic Analysis for Multi-layer Microstrip Interconnect (Command Method)
Harmonic Analysis for Microstrip Meander Line (Command Method)
Harmonic Analysis for a Rectangular Waveguide with a Ridge Discontinuity (Command Method)
Harmonic Analysis of a Rectangular Waveguide with a Dielectric Post Using Adaptive Meshing (Command Method)
Harmonic Analysis of a Rectangular Waveguide with a Dielectric Post Using S-Parameter Adaptive Meshing (Command Method)
Harmonic Analysis of a Parallel-Plate Waveguide with a Lumped Circuit Load (Command Method)
Postprocessing Scattering, Admittance, and Impedance Parameters
SPICE Synthesized Equivalent Circuit for a Line-fed Microstrip Patch Antenna (Command Method)
SPICE Synthesized Equivalent Circuit for a T-type Transmission Line Network (Command Method)
Harmonic Analysis for Rectangular Waveguide Filled with Two Dielectric Materials (Command Method)
Harmonic Analysis of Y-Junction Waveguide Circulator (Command Method)
TDR/TDT Display of Shorted Single-Ended Uniform Transmission Line (Command Method)
VII. Advanced Wave Resonance Examples
Modal Analysis for Resonant Frequencies of a Dielectric Resonator on Microstrip Substrate (Command Method)
Modal Analysis for Dispersion of a Microstrip Line (Command Method)
VIII. Advanced Wave Scattering Examples
Harmonic Analysis for Scattering of a Metallic Sphere Coated by Lossy Dielectric Layer (Command Method)
Harmonic Analysis for Scattering of a Dielectric Sphere (Command Method)
Harmonic Analysis for Scattering of a Metallic Cube (Command Method)
Harmonic Analysis for Scattering of a Metallic Sphere Coated by a Dielectric Layer (Command Method)
Harmonic Analysis of a Thick Bandpass Frequency Selective Surface (Command Method)
Harmonic Analysis for Scattering of a Dielectric Grating (Command Method)
Coupled-Field Analysis Guide
1. Coupled-Field Analyses
1.1. Types of Coupled-Field Analysis
1.1.1. Direct Method
1.1.2. Load Transfer Methods
1.1.3. When to Use Direct vs. Load Transfer
1.1.4. Additional Analysis Methods
1.2. System of Units
1.3. About GUI Paths and Command Syntax
2. Direct Coupled-Field Analysis
2.1. Lumped Electric Elements
2.2. Thermal-Electric Analysis
2.2.1. Elements Used in a Thermal-Electric Analysis
2.2.2. Performing a Thermal-Electric Analysis
2.3. Piezoelectric Analysis
2.3.1. Points to Remember
2.3.2. Material Properties
2.4. Electroelastic Analysis
2.4.1. Elements Used in an Electroelastic Analysis
2.4.2. Performing an Electroelastic Analysis
2.5. Piezoresistive Analysis
2.5.1. Points to Remember
2.5.2. Material Properties
2.6. Structural-Thermal Analysis
2.6.1. Elements Used in a Structural-Thermal Analysis
2.6.2. Performing a Structural-Thermal Analysis
2.7. Structural-Thermal-Electric Analyses
2.7.1. Structural-Thermoelectric Analysis
2.7.2. Thermal-Piezoelectric Analysis
2.8. Magneto-Structural Analysis
2.8.1. Points to Remember
2.9. Electromechanical Analysis
2.9.1. The 1-D Transducer Element
2.9.2. The 2-D Transducer Element
2.10. Sample Thermoelectric Cooler Analysis (Batch or Command Method)
2.10.1. Problem Description
2.10.2. Expected Results
2.10.3. Command Listing
2.11. Sample Thermoelectric Generator Analysis (Batch or Command Method)
2.11.1. Problem Description
2.11.2. Expected Results
2.11.3. Command Listing
2.12. Sample Structural-Thermal Harmonic Analysis (Batch or Command Method)
2.12.1. Problem Description
2.12.2. Expected Results
2.12.3. Command Listing
2.13. Sample Electro-Thermal Microactuator Analysis (Batch or Command Method)
2.13.1. Problem Description
2.13.2. Results
2.13.3. Command Listing
2.14. Sample Piezoelectric Analysis (Batch or Command Method)
2.14.1. Problem Description
2.14.2. Problem Specifications
2.14.3. Results
2.14.4. Command Listing
2.15. Sample Piezoelectric Analysis with Coriolis Effect (Batch or Command Method)
2.15.1. Problem Description
2.15.2. Problem Specifications
2.15.3. Results
2.15.4. Command Listing
2.16. Sample Electroelastic Analysis of a Dielectric Elastomer (Batch or Command Method)
2.16.1. Problem Description
2.16.2. Problem Specifications
2.16.3. Results
2.16.4. Command Listing
2.17. Sample Electroelastic Analysis of a MEMS Switch (Batch or Command Method)
2.17.1. Problem Description
2.17.2. Problem Specifications
2.17.3. Results
2.17.4. Command Listing
2.18. Sample Piezoresistive Analysis (Batch or Command Method)
2.18.1. Problem Description
2.18.2. Problem Specification
2.18.3. Results
2.18.4. Command Listing
2.19. Sample Electromechanical Analysis (Batch or Command Method)
2.19.1. Problem Description
2.19.2. Expected Results
2.19.3. Building and Solving the Model
2.20. Sample Electromechanical Transient Analysis (Batch or Command Method)
2.20.1. Results
2.20.2. Command Listing
2.21. Sample Electromechanical Hysteresis Analysis (Batch or Command Method)
2.21.1. Problem Specifications
2.21.2. Results
2.21.3. Command Listing
2.22. Sample Electromechanical Comb Finger Analysis (Batch or Command Method)
2.22.1. Problem Specifications
2.22.2. Results
2.22.3. Command Listing
2.23. Sample Force Calculation of Two Opposite Electrodes (Batch or Command Method)
2.23.1. Problem Specifications
2.23.2. Results
2.23.3. Command Listing
2.24. Where to Find Other Examples
3. The ANSYS Multi-field (TM) Solver - MFS Single-Code Coupling
3.1. The ANSYS Multi-field solver and Solution Algorithm
3.1.1. Load Transfer
3.1.2. Mapping
3.1.3. Coupled Field Loads
3.1.4. Elements Supported
3.1.5. Solution Algorithm
3.2. ANSYS Multi-field solver Solution Procedure
3.2.1. Set up Field Models
3.2.2. Flag Field Interface Conditions
3.2.3. Set up Field Solutions
3.2.4. Obtain the solution
3.2.5. Postprocess the Results
3.3. Sample Thermal-Stress Analysis of a Thick-walled Cylinder (Batch or Command Method)
3.3.1. Problem Description
3.3.2. Results
3.3.3. Command Listing
3.4. Sample Electrostatic Actuated Beam Analysis (Batch or Command Method)
3.4.1. Problem Description
3.4.2. Results
3.4.3. Command Listing
3.5. Sample Induction-Heating Analysis of a Circular Billet
3.5.1. Problem Description
3.5.2. Results
3.5.3. Command Listing
4. Multi-field Analysis Using Code Coupling
4.1. How MFX Works
4.1.1. Synchronization Points and Load Transfer
4.1.2. Load Interpolation
4.1.3. Elements and Load Types Supported
4.1.4. Solution Process
4.2. MFX Solution Procedure
4.2.1. Set Up ANSYS and CFX Models
4.2.2. Flag Field Interface Conditions
4.2.3. Set Up Master Input
4.2.4. Obtain the Solution
4.2.5. Multi-field Commands
4.2.6. Postprocess the Results
4.3. Starting and Stopping an MFX Analysis
4.3.1. Starting an MFX Analysis via the Launcher
4.3.2. Starting an MFX Analysis via the Command Line
4.3.3. Stopping an MFX Run Manually
4.4. Example Simulation of a Piezoelectric Actuated Micro-Pump
5. Load Transfer Coupled Physics Analysis
5.1. What Is a Physics Environment?
5.2. General Analysis Procedures
5.3. Transferring Loads Between Physics
5.3.1. Compatible Element Types
5.3.2. Types of Results Files You May Use
5.3.3. Transient Fluid-Structural Analyses
5.4. Performing a Load Transfer Coupled Physics Analysis with Multiple Physics Environments
5.4.1. Mesh Updating
5.4.2. Restarting an Analysis Using Multiple Physics Environments
5.5. Example Thermal-Stress Analysis Using Separate Databases
5.5.1. The Problem Described
5.6. Example Thermal-Stress Analysis Using Multiple Physics Environments
5.7. Example Fluid-Structural Analysis Using Physics Environments
5.7.1. The Problem Described
5.7.2. The Procedure
5.7.3. Results
5.8. Example Induction-heating Analysis Using Physics Environments
5.8.1. The Problem Described
5.8.2. The Procedure
6. Unidirectional Load Transfer
6.1. The Unidirectional Load Transfer Method: ANSYS to CFX
6.2. Sample Unidirectional Load Transfer Analysis: ANSYS to CFX
6.2.1. ANSYS Command Listings
6.2.2. CFX Procedure
6.3. The Unidirectional Load Transfer Method: CFX to ANSYS
7. Coupled Physics Circuit Simulation
7.1. Electromagnetic-Circuit Simulation
7.1.1. 2-D Circuit Coupled Stranded Coil
7.1.2. 2-D Circuit Coupled Massive Conductor
7.1.3. 3-D Circuit Coupled Stranded Coil
7.1.4. 3-D Circuit Coupled Massive Conductor
7.1.5. 3-D Circuit Coupled Solid Source Conductor
7.1.6. Taking Advantage of Symmetry
7.1.7. Series Connected Conductors
7.2. Electromechanical-Circuit Simulation
7.3. Piezoelectric-Circuit Simulation
7.4. Sample Electromechanical-Circuit Analysis
7.4.1. Problem Description
7.4.2. Results
7.4.3. Command Listing
7.5. Sample Piezoelectric-Circuit Analysis (Batch or Command Method)
7.5.1. Problem Description
7.5.2. Problem Specifications
7.5.3. Equivalent Electric Circuits (Reduced Order Model)
7.5.4. Results
7.5.5. Command Listing
8. Reduced Order Modeling
8.1. Model Preparation
8.1.1. Build the Solid Model
8.1.2. Mesh the Model
8.1.3. Create Structural Physics File
8.1.4. Create Electrostatic Physics File
8.1.5. Save Model Database
8.2. Generation Pass
8.2.1. Specify Generation Pass Jobname
8.2.2. Assign ROM Features
8.2.3. Assign Names for Conductor Pairs
8.2.4. Specify ROM Master Nodes
8.2.5. Run Static Analysis for Test Load and Extract Neutral Plane Displacements
8.2.6. Run Static Analysis for Element Loads and Extract Neutral Plane Displacements
8.2.7. Perform Modal Analysis and Extract Neutral Plane Eigenvectors
8.2.8. Select Modes for ROM
8.2.9. Modify Modes for ROM
8.2.10. List Mode Specifications
8.2.11. Save ROM Database
8.2.12. Run Sample Point Generation
8.2.13. Specify Polynomial Order
8.2.14. Define ROM Response Surface
8.2.15. Perform Fitting Procedure
8.2.16. Plot Response Surface
8.2.17. List Status of Response Surface
8.2.18. Export ROM Model to External System Simulator
8.3. Use Pass
8.3.1. Clear Database
8.3.2. Define a Jobname
8.3.3. Resume ROM Database
8.3.4. Define Element Type
8.3.5. Define Nodes
8.3.6. Activate ROM Database
8.3.7. Define Node Connectivity
8.3.8. Define Other Model Entities
8.3.9. Using Gap Elements with ROM144
8.3.10. Apply Loads
8.3.11. Specify Solution Options
8.3.12. Run ROM Use Pass
8.3.13. Review Results
8.4. Expansion Pass
8.4.1. Clear Database
8.4.2. Define a Jobname
8.4.3. Resume ROM
8.4.4. Resume Model Database
8.4.5. Activate ROM Database
8.4.6. Perform Expansion Pass
8.4.7. Review Results
8.5. Sample Miniature Clamped-Clamped Beam Analysis (Batch or Command Method)
8.5.1. Problem Description
8.5.2. Program Listings
8.6. Sample Micro Mirror Analysis (Batch or Command Method)
8.6.1. Problem Description
8.6.2. Program Listings
ANSYS Parametric Design Language Guide
1. Introducing APDL
2. Working with the Toolbar
2.1. Adding Commands to the Toolbar
2.2. Modifying the Toolbar
2.2.1. Example: Adding a Toolbar Button
2.2.2. Saving Toolbar Buttons
2.3. Nesting Toolbar Abbreviations
3. Using Parameters
3.1. Guidelines for Parameter Names
3.1.1. Hiding Parameters from *STATUS
3.2. Defining Parameters
3.2.1. Assigning Parameter Values During Execution
3.2.2. Assigning Parameter Values At Startup
3.2.3. Assigning ANSYS-Supplied Values to Parameters
3.2.4. Listing Parameters
3.3. Deleting Parameters
3.4. Using Character Parameters
3.5. Substitution of Numeric Parametric Values
3.5.1. Preventing Substitution
3.5.2. Substitution of Character Parametric Values
3.6. Dynamic Substitution of Numeric or Character Parameters
3.7. Parametric Expressions
3.8. Parametric Functions
3.9. Saving, Resuming, and Writing Parameters
3.10. Array Parameters
3.10.1. Array Parameter Basics
3.10.2. Array Parameter Examples
3.10.3. TABLE Type Array Parameters
3.10.4. Defining and Listing Array Parameters
3.10.5. Specifying Array Element Values
3.10.6. Writing Data Files
3.10.7. Operations Among Array Parameters
3.10.8. Plotting Array Parameter Vectors
3.10.9. Modifying Curve Labels
4. APDL as a Macro Language
4.1. Creating a Macro
4.1.1. Macro File Naming Conventions
4.1.2. Macro Search Path
4.1.3. Creating a Macro Within ANSYS
4.1.4. Creating Macros with a Text Editor
4.1.5. Using Macro Library Files
4.2. Executing Macros and Macro Libraries
4.3. Local Variables
4.3.1. Passing Arguments to a Macro
4.3.2. Local Variables Within Macros
4.3.3. Local Variables Outside of Macros
4.4. Controlling Program Flow in APDL
4.4.1. Nested Macros: Calling Subroutines Within a Macro
4.4.2. Unconditional Branching: Goto
4.4.3. Conditional Branching: The *IF Command
4.4.4. Repeating a Command
4.4.5. Looping: Do-Loops
4.4.6. Implied (colon) Do Loops
4.4.7. Additional Looping: Do-While
4.5. Control Functions Quick Reference
4.6. Using the _STATUS and _RETURN Parameters in Macros
4.7. Using Macros with Components and Assemblies
4.8. Reviewing Example Macros
5. Interfacing with the GUI
5.1. Prompting Users for a Single Parameter Value
5.2. Prompting Users With a Dialog Box
5.3. Using Macros to Display Your Own Messages
5.4. Creating and Maintaining a Status Bar from a Macro
5.5. Picking within Macros
5.6. Calling Dialog Boxes From a Macro
6. Encrypting Macros
6.1. Preparing a Macro for Encryption
6.2. Creating an Encrypted Macro
6.3. Running an Encrypted Macro
I. APDL Commands Reference
*ABBR - Defines an abbreviation.
ABBRES - Reads abbreviations from a coded file.
ABBSAV - Writes the current abbreviation set to a coded file.
*AFUN - Specifies units for angular functions in parameter expressions.
*ASK - Prompts the user to input a parameter value.
*CFCLOS - Closes the "command" file.
*CFOPEN - Opens a "command" file.
*CFWRITE - Writes an ANSYS command (or similar string) to a "command" file.
*CREATE - Opens (creates) a macro file.
*CYCLE - Bypasses commands within a do-loop.
*DEL - Deletes a parameter or parameters (GUI).
/DFLAB - Changes DOF labels for user custom elements.
*DIM - Defines an array parameter and its dimensions.
/DIRECTORY - Put the file names in the current directory into a string parameter array.
*DO - Defines the beginning of a do-loop.
*DOWHILE - Loops repeatedly through the next *ENDDO command.
*ELSE - Separates the final if-then-else block.
*ELSEIF - Separates an intermediate if-then-else block.
*END - Closes a macro file.
*ENDDO - Ends a do-loop and starts the looping action.
*ENDIF - Ends an if-then-else.
*EXIT - Exits a do-loop.
*GET - Retrieves a value and stores it as a scalar parameter or part of an array parameter.
*GO - Causes a specified line on the input file to be read next.
*IF - Conditionally causes commands to be read.
/INQUIRE - Returns system information to a parameter.
/MAIL - Mails file to the specifed address.
*MFOURI - Calculates the coefficients for, or evaluates, a Fourier series.
*MFUN - Copies or transposes an array parameter matrix.
/MKDIR - Creates a directory.
*MOPER - Performs matrix operations on array parameter matrices.
*MSG - Writes an output message via the ANSYS message subroutine.
*MWRITE - Writes a matrix to a file in a formatted sequence.
PARRES - Reads parameters from a file.
PARSAV - Writes parameters to a file.
/PMACRO - Specifies that macro contents be written to the session log file.
/PSEARCH - Specifies a directory to be searched for "unknown command" macro files.
*REPEAT - Repeats the previous command.
*RETURN - Returns input stream to a higher level.
/RMDIR - Removes (deletes) a directory.
*SET - Assigns values to user-named parameters.
*SREAD - Reads a file into a string array parameter.
*STATUS - Lists the current parameters and abbreviations.
*TAXIS - Defines table index numbers.
/TEE - Writes a list of commands to a specified file at the same time that the commands are being executed.
*TOPER - Operates on table parameters.
*TREAD - Reads data from an external file into a table array parameter.
/UCMD - Assigns a user-defined command name.
*ULIB - Identifies a macro library file.
*USE - Executes a macro file.
*VABS - Applies the absolute value function to array parameters.
*VCOL - Specifies the number of columns in matrix operations.
*VCUM - Allows array parameter results to add to existing results.
*VEDIT - Allows numerical array parameters to be graphically edited.
*VFACT - Applies a scale factor to array parameters.
*VFILL - Fills an array parameter.
*VFUN - Performs a function on a single array parameter.
*VGET - Retrieves values and stores them into an array parameter.
*VITRP - Forms an array parameter by interpolation of a table.
*VLEN - Specifies the number of rows to be used in array parameter operations.
*VMASK - Specifies an array parameter as a masking vector.
*VOPER - Operates on two array parameters.
*VPLOT - Graphs columns (vectors) of array parameters.
*VPUT - Restores array parameter values into the ANSYS database.
*VREAD - Reads data and produces an array parameter vector or matrix.
*VSCFUN - Determines properties of an array parameter.
*VSTAT - Lists the current specifications for the array parameters.
*VWRITE - Writes data to a file in a formatted sequence.
/WAIT - Causes a delay before the reading of the next command.
A. APDL Gateway Commands
B. GET Function Summary
Troubleshooting Guide
1. Introduction
2. ANSYS Error Messages
ANSYS Tutorials
Welcome to the ANSYS Tutorials
1. Start Here
1.1. About These Tutorials
1.1.1. Preparing Your Screen
1.1.2. Formats and Conventions Used
1.1.3. Jobnames and Preferences
1.1.4. Choosing a Tutorial
1.2. Glossary
1.2.1. ANSYS ED Program
1.2.2. ANSYS Features Demonstrated
1.2.3. Analysis Options
1.2.4. Analysis Type
1.2.5. Applicable ANSYS Products
1.2.6. Applicable Help Available
1.2.7. Boolean Operations
1.2.8. Direct Element Generation
1.2.9. Discipline
1.2.10. Element Options
1.2.11. Element Types Used
1.2.12. Gaussian Distribution
1.2.13. Higher-Order Elements
1.2.14. Interactive Time Required
1.2.15. Jobname
1.2.16. Latin Hypercube Sampling
1.2.17. Level of Difficulty
1.2.18. Lognormal Distribution
1.2.19. Material Properties
1.2.20. Monte Carlo
1.2.21. Plane Stress
1.2.22. Postprocessing
1.2.23. Preferences
1.2.24. Preprocessing
1.2.25. Primitives
1.2.26. Probabilistic Analysis File
1.2.27. Probabilistic Design
1.2.28. Probabilistic Simulation
1.2.29. Random Input Variables
1.2.30. Random Output Parameters
1.2.31. Real Constants
1.2.32. Solution
1.2.33. Standard Deviation
1.2.34. Uniform Distribution
1.2.35. Working Plane (WP)
2. Structural Tutorial
2.1. Static Analysis of a Corner Bracket
2.1.1. Problem Specification
2.1.2. Problem Description
2.1.3. Build Geometry
2.1.4. Define Materials
2.1.5. Generate Mesh
2.1.6. Apply Loads
2.1.7. Obtain Solution
2.1.8. Review Results
3. Thermal Tutorial
3.1. Solidification of a Casting
3.1.1. Problem Specification
3.1.2. Problem Description
3.1.3. Prepare for a Thermal Analysis
3.1.4. Input Geometry
3.1.5. Define Materials
3.1.6. Generate Mesh
3.1.7. Apply Loads
3.1.8. Obtain Solution
3.1.9. Review Results
4. Electromagnetics Tutorial
4.1. Magnetic Analysis of a Solenoid Actuator
4.1.1. Problem Specification
4.1.2. Problem Description
4.1.3. Input Geometry
4.1.4. Define Materials
4.1.5. Generate Mesh
4.1.6. Apply Loads
4.1.7. Obtain Solution
4.1.8. Review Results
5. CFD Tutorial
5.1. Laminar and Turbulent Flow Analyses in a 2-D Duct
5.1.1. Problem Specification
5.1.2. Problem Description
5.1.3. Preprocessing (Laminar Analysis)
5.1.4. Solution (Laminar Analysis)
5.1.5. Postprocessing (Laminar Analysis)
5.1.6. Solution (Laminar Analysis with Change in Inlet Velocity)
5.1.7. Postprocessing (Laminar Analysis Using New Inlet Velocity)
5.1.8. Preprocessing (Laminar Analysis with Increase in Duct Length)
5.1.9. Solution (Laminar Analysis Using New Duct Length)
5.1.10. Postprocessing (Laminar Analysis Using New Duct Length)
5.1.11. Solution (Turbulent Analysis)
5.1.12. Postprocessing (Turbulent Analysis)
6. Micro-Electromechanical System (MEMS) Tutorial
6.1. Multiphysics Analysis of a Thermal Actuator
6.1.1. Problem Specification
6.1.2. Problem Description
6.1.3. Import Geometry
6.1.4. Define Materials
6.1.5. Generate Mesh
6.1.6. Apply Loads
6.1.7. Obtain Solution
6.1.8. Review Results
7. Explicit Dynamics Tutorial
7.1. Drop Test of a Container (Explicit Dynamics)
7.1.1. Problem Specification
7.1.2. Problem Description
7.1.3. Define Analysis Type
7.1.4. Input Geometry
7.1.5. Define Element Type, Real Constants, Material Model Properties
7.1.6. Generate Mesh
7.1.7. Apply Loads
7.1.8. Obtain Solution
7.1.9. Review Results
8. Contact Tutorial
8.1. Interference Fit and Pin Pull-Out Contact Analysis
8.1.1. Problem Specification
8.1.2. Problem Description
8.1.3. Input Geometry
8.1.4. Define Material Property and Element Type
8.1.5. Generate Mesh
8.1.6. Specify Solution Criteria
8.1.7. Load Step 1
8.1.8. Load Step 2
8.1.9. Postprocessing
9. Modal Tutorial
9.1. Modal Analysis of a Model Airplane Wing
9.1.1. Problem Specification
9.1.2. Problem Description
9.1.3. Input Geometry
9.1.4. Define Materials
9.1.5. Generate Mesh
9.1.6. Apply Loads
9.1.7. Obtain Solution
9.1.8. Review Results
10. Probabilistic Design System (PDS) Tutorial
10.1. Probabilistic Design of a Simple Plate with a Single Force Load
10.1.1. Problem Specification
10.1.2. Problem Description
10.1.3. Specify Analysis File
10.1.4. Define Input and Output
10.1.5. Obtain Solution
10.1.6. Perform Postprocessing
10.1.7. Generate Report
11. ANIMATE Program
ANSYS LS-DYNA User's Guide
1. Introduction
1.1. Overview of Steps in an Explicit Dynamic Analysis
1.2. Commands Used in an Explicit Dynamic Analysis
1.3. A Guide to Using this Document
1.4. Where to Find Explicit Dynamics Example Problems
1.5. Additional Information
2. Elements
2.1. Solid and Shell Elements
2.1.1. SOLID164
2.1.2. SHELL163
2.1.3. PLANE162
2.1.4. SOLID168
2.2. Beam and Link Elements
2.2.1. BEAM161
2.2.2. LINK160
2.2.3. LINK167
2.3. Discrete Elements
2.3.1. COMBI165 Spring-Damper
2.3.2. MASS166
2.4. General Element Capabilities
3. Analysis Procedure
3.1. Build the Model
3.1.1. Define Element Types and Real Constants
3.1.2. Specify Material Properties
3.1.3. Define the Model Geometry
3.1.4. Mesh the Model
3.1.5. Define Contact Surfaces
3.1.6. General Modeling Guidelines
3.2. Apply Loads and Obtain the Solution
3.2.1. Loads
3.2.2. Initial Velocities
3.2.3. Constraints
3.2.4. DOF Coupling
3.2.5. Data Smoothing
3.2.6. Specify Explicit Dynamics Controls
3.2.7. Save Database and Solve
3.3. Review the Results
3.4. The Definition of Part
3.4.1. Part Assemblies
3.5. Adaptive Meshing
4. Loading
4.1. General Loading Options
4.1.1. Components
4.1.2. Array Parameters
4.1.3. Applying Loads
4.1.4. Data Curves
4.1.5. Defining Loads in a Local Coordinate System
4.1.6. Specifying Birth and Death Times
4.2. Constraints and Initial Conditions
4.2.1. Constraints
4.2.2. Welds
4.2.3. Initial Velocity
4.3. Coupling and Constraint Equations
4.4. Nonreflecting Boundaries
4.5. Temperature Loading
4.6. Dynamic Relaxation
5. Solution Features
5.1. Solution Process
5.2. LS-DYNA Termination Controls
5.3. LS-DYNA Parallel Processing Capabilities
5.3.1. Shared Memory Parallel Processing
5.3.2. Massively Parallel Processing
5.4. Double Precision LS-DYNA
5.5. Solution Control and Monitoring
5.6. Plotting Small Elements
5.7. Editing the LS-DYNA Input File
5.7.1. Using a Preexisting File.K
6. Contact Surfaces
6.1. Contact Definitions
6.1.1. Listing, Plotting and Deleting Contact Entities
6.2. Contact Options
6.2.1. Definition of Contact Types
6.2.2. Definition of Contact Options
6.3. Contact Search Methods
6.3.1. Mesh Connectivity Tracking
6.3.2. Bucket Sort Method
6.3.3. Limiting the Contact Search Domain
6.4. Special Considerations for Shells
6.5. Controlling Contact Depth
6.6. Contact Stiffness
6.6.1. Choice of Penalty Factor
6.6.2. Symmetry Stiffness
6.7. 2-D Contact Option
7. Material Models
7.1. Defining Explicit Dynamics Material Models
7.2. Explicit Dynamics Material Model Descriptions
7.2.1. Linear Elastic Models
7.2.2. Nonlinear Elastic Models
7.2.3. Nonlinear Inelastic Models
7.2.4. Pressure Dependent Plasticity Models
7.2.5. Foam Models
7.2.6. Equation of State Models
7.2.7. Discrete Element Models
7.2.8. Other Models
8. Rigid Bodies
8.1. Defining Rigid Bodies
8.2. Specifying Inertia Properties
8.3. Loading
8.4. Switching Parts from Deformable to Rigid
8.5. Nodal Rigid Bodies
9. Hourglassing
10. Mass Scaling
11. Subcycling
12. Postprocessing
12.1. Output Controls
12.1.1. Results (Jobname.RST) vs. History (Jobname.HIS) Files
12.1.2. Creating Components for POST26
12.1.3. Writing the Output Files for POST26
12.2. Using POST1 with ANSYS LS-DYNA
12.2.1. Animating Results
12.2.2. Element Output Data
12.2.3. Postprocessing after Adaptive Meshing
12.3. Using POST26 with ANSYS LS-DYNA
12.3.1. Nodal and Element Solutions
12.3.2. Reading ASCII Files for Miscellaneous Output Data
12.3.3. Data Smoothing
12.4. Finding Additional Information
13. Restarting
13.1. The Restart Dump File
13.2. The EDSTART Command
13.2.1. A New Analysis
13.2.2. A Simple Restart
13.2.3. A Small Restart
13.2.4. A Full Restart
13.3. Effect on Output Files
14. Explicit-to-Implicit Sequential Solution
14.1. Performing an Explicit-to-Implicit Sequential Solution
14.2. Troubleshooting a Springback Analysis
14.2.1. Springback Stabilization
15. Implicit-to-Explicit Sequential Solution
15.1. Structural Implicit-to-Explicit Solution for Preload
15.1.1. Special Considerations for Thermal Loading
15.2. Thermal Implicit-to-Explicit Solution
16. Arbitrary Lagrangian-Eulerian Formulation
16.1. Performing an ALE Analysis
17. Drop Test Module
17.1. Starting ANSYS With the Drop Test Module
17.2. Typical Drop Test Procedure
17.2.1. Basic Drop Test Analysis Procedure
17.2.2. Screen Coordinates Definition
17.2.3. Additional Notes on the Use of the DTM
17.3. Advanced DTM Features
17.3.1. Object Initial Velocity
17.3.2. Modifying the Target
17.4. Drop Test Set-up Dialog Box
17.4.1. Using the Drop Test Set-up Dialog Box
17.4.2. Basic Tab of the Drop Test Set-up Dialog Box
17.4.3. Velocity Tab of the Drop Test Set-up Dialog Box
17.4.4. Target Tab of the Drop Test Set-up Dialog Box
17.4.5. Status Tab of the Drop Test Set-up Dialog Box
17.5. Picking Nodes
17.6. Postprocessing - Animation
17.7. Postprocessing - Graph and List Time-History Variables
A. Comparison of Implicit and Explicit Methods
A.1. Time Integration
A.1.1. Implicit Time Integration
A.1.2. Explicit Time Integration
A.2. Stability Limit
A.2.1. Implicit Method
A.2.2. Explicit Method
A.3. Critical Time Step Size of a Rod
A.4. ANSYS LS-DYNA Time Step Size
B. Material Model Examples
B.1. ANSYS LS-DYNA Material Models
B.2. Material Model Examples
B.2.1. Isotropic Elastic Example: High Carbon Steel
B.2.2. Orthotropic Elastic Example: Aluminum Oxide
B.2.3. Anisotropic Elastic Example: Cadmium
B.2.4. Blatz-Ko Example: Rubber
B.2.5. Mooney-Rivlin Example: Rubber
B.2.6. Viscoelastic Example: Glass
B.2.7. Bilinear Isotropic Plasticity Example: Nickel Alloy
B.2.8. Transversely Anisotropic Elastic Plastic Example: 1010 Steel
B.2.9. Transversely Anisotropic FLD Example: Stainless Steel
B.2.10. Bilinear Kinematic Plasticity Example: Titanium Alloy
B.2.11. Plastic Kinematic Example: 1018 Steel
B.2.12. 3 Parameter Barlat Example: Aluminum 5182
B.2.13. Barlat Anisotropic Plasticity Example: 2008-T4 Aluminum
B.2.14. Rate Sensitive Powerlaw Plasticity Example: A356 Aluminum
B.2.15. Strain Rate Dependent Plasticity Example: 4140 Steel
B.2.16. Piecewise Linear Plasticity Example: High Carbon Steel
B.2.17. Modified Piecewise Linear Plasticity Example: PVC
B.2.18. Powerlaw Plasticity Example: Aluminum 1100
B.2.19. Elastic Viscoplastic Thermal Example
B.2.20. Geological Cap Example: SRI Dynamic Concrete
B.2.21. Johnson-Cook Linear Polynomial EOS Example: 1006 Steel
B.2.22. Johnson-Cook Gruneisen EOS Example: OFHC Copper
B.2.23. Null Material Linear Polynomial EOS Example: Brass
B.2.24. Null Material Gruneisen EOS Example: Aluminum
B.2.25. Steinberg Gruneisen EOS Example: Stainless Steel
B.2.26. Cable Material Example: Steel
B.2.27. Rigid Material Example: Steel
C. ANSYS LS-DYNA to LS-DYNA Command Mapping
D. Thermal/Structural Preload Example
Bibliography
ANSYS Connection User's Guide
1. Introduction to the Connection Functionality
1.1. Software Requirements
1.2. Importing Multiple Files (Create ANSYS Database)
1.3. Getting Started: Import a CAD File
2. Importing Parts and Models
2.1. CATIA V4
2.2. CATIA V5
2.3. Parasolid
2.3.1. Importing a Parasolid File
2.3.2. Parasolid Specific Attributes
2.4. Pro/ENGINEER
2.5. SAT
2.6. Unigraphics
2.6.1. Additional Output Files from Unigraphics Conversions
2.6.2. Environment Variables for Unigraphics
3. Starting ANSYS from Pro/ENGINEER and Unigraphics
3.1. Launching from Pro/ENGINEER
3.1.1. UNIX System Configuration for Connection Functionality for Pro/ENGINEER
3.1.2. Windows System Configuration for Connection Functionality for Pro/ENGINEER
3.1.3. Launching ANSYS from Pro/ENGINEER
3.1.4. Modifying ANSYS Settings from Pro/ENGINEER
3.1.5. Troubleshooting Connection Problems
3.2. Launching from Unigraphics (UNIX Only)
3.2.1. Configuring Unigraphics
3.2.2. Modifying ANSYS Settings from Unigraphics
4. Importing a Unigraphics Part Tutorial
A. Setting ANSYS Configuration Parameters
B. Troubleshooting ANSYS Connection Issues
B.1. General Troubleshooting
B.2. License Troubleshooting
B.3. Shared Library Problems
B.4. Configuration Errors for Pro/ENGINEER and Unigraphics Users
B.5. Troubleshooting Part Import
B.5.1. Problems Specific to the Connection for Parasolid
B.5.2. Problems Specific to the Connection for Pro/ENGINEER
B.5.3. Problems Specific to the Connection for SAT
B.5.4. Problems Specific to the Connection for Unigraphics
Verification Manual
I. Verification Test Case Descriptions
1. Introduction
1.1. Program Overview
1.2. Program Verification
1.3. Finding Test Cases of Interest
1.4. Accessing Test Case Inputs
1.5. Verification Manual Versus Other Manuals
1.6. Verification Manual Contents
1.7. Theoretical Solutions
1.8. Test Case Selection and Method of Solution
1.9. Numerical Comparisons
1.10. References
1.11. Test Case Format
1.12. Symbols and Nomenclature
1.13. Memory Requirements and Run Times
1.14. Abbreviation, Element, and Product Lists
1.14.1. Abbreviation and Symbol List
1.14.2. Units Abbreviation List
1.14.3. Index by Element Number
VM1 - Statically Indeterminate Reaction Force Analysis
VM2 - Beam Stresses and Deflections
VM3 - Thermally Loaded Support Structure
VM4 - Deflection of a Hinged Support
VM5 - Laterally Loaded Tapered Support Structure
VM6 - Pinched Cylinder
VM7 - Plastic Compression of a Pipe Assembly
VM8 - Parametric Calculation of Point-to-Point Distances
VM9 - Large Lateral Deflection of Unequal Stiffness Springs
VM10 - Bending of a Tee-Shaped Beam
VM11 - Residual Stress Problem
VM12 - Combined Bending and Torsion
VM13 - Cylindrical Shell Under Pressure
VM14 - Large Deflection Eccentric Compression of a Column
VM15 - Bending of a Circular Plate Using Axisymmetric Elements
VM16 - Bending of a Solid Beam (Plane Elements)
VM17 - Snap-Through Buckling of a Hinged Shell
VM18 - Out-of-Plane Bending of a Curved Bar
VM19 - Random Vibration Analysis of a Deep Simply-Supported Beam
VM20 - Cylindrical Membrane Under Pressure
VM21 - Tie Rod with Lateral Loading
VM22 - Small Deflection of a Belleville Spring
VM23 - Thermal-structural Contact of Two Bodies
VM24 - Plastic Hinge in a Rectangular Beam
VM25 - Stresses in a Long Cylinder
VM26 - Large Deflection of a Cantilever
VM27 - Thermal Expansion to Close a Gap
VM28 - Transient Heat Transfer in an Infinite Slab
VM29 - Friction on a Support Block
VM30 - Solid Model of Surface Fillet
VM31 - Cable Supporting Hanging Loads
VM32 - Thermal Stresses in a Long Cylinder
VM33 - Transient Thermal Stress in a Cylinder
VM34 - Bending of a Tapered Plate (Beam)
VM35 - Bimetallic Layered Cantilever Plate with Thermal Loading
VM36 - Limit Moment Analysis
VM37 - Elongation of a Solid Bar
VM38 - Plastic Loading of a Thick-Walled Cylinder
VM39 - Bending of a Circular Plate with a Center Hole
VM40 - Large Deflection and Rotation of a Beam Pinned at One End
VM41 - Small Deflection of a Rigid Beam
VM42 - Barrel Vault Roof Under Self Weight
VM43 - Bending of an Axisymmetric Thick Pipe
VM44 - Bending of an Axisymmetric Thin Pipe
VM45 - Natural Frequency of a Spring-Mass System
VM46 - Flow Between Rotating Concentric Cylinders
VM47 - Torsional Frequency of a Suspended Disk
VM48 - Natural Frequency of a Motor-Generator
VM49 - Electrostatic Field Analysis of Quadpole Wires
VM50 - Fundamental Frequency of a Simply Supported Beam
VM51 - Electrostatic Forces Between Charged Spheres
VM52 - Automobile Suspension System Vibration
VM53 - Vibration of a String Under Tension
VM54 - Vibration of a Rotating Cantilever Blade
VM55 - Vibration of a Stretched Circular Membrane
VM56 - Hyperelastic Thick Cylinder Under Internal Pressure
VM57 - Torsional Frequencies of a Drill Pipe
VM58 - Centerline Temperature of a Heat Generating Wire
VM59 - Lateral Vibration of an Axially-loaded Bar
VM60 - Natural Frequency of a Cross-ply Laminated Shell
VM61 - Longitudinal Vibration of a Free-free Rod
VM62 - Vibration of a Wedge
VM63 - Static Hertz Contact Problem
VM64 - Thermal Expansion to Close a Gap at a Rigid Surface
VM65 - Transient Response of a Ball Impacting a Flexible Surface
VM66 - Vibration of a Flat Plate
VM67 - Radial Vibrations of a Circular Ring
VM68 - PSD Response of a Two DOF Spring-mass System
VM69 - Seismic Response
VM70 - Seismic Response of a Beam Structure
VM71 - Transient Response of a Spring-Mass-Damper System
VM72 - Logarithmic Decrement
VM73 - Free Vibration with Coulomb Damping
VM74 - Transient Response to an Impulsive Excitation
VM75 - Transient Response to a Step Excitation
VM76 - Harmonic Response of a Guitar String
VM77 - Transient Response to a Constant Force
VM78 - Transverse Shear Stresses in a Cantilever Beam
VM79 - Transient Response of a Bilinear Spring Assembly
VM80 - Plastic Response to a Suddenly Applied Constant Force
VM81 - Transient Response of a Drop Container
VM82 - Simply Supported Laminated Plate Under Pressure
VM83 - Impact of a Block on a Spring Scale
VM84 - Displacement Propagation Along a Bar with Free Ends
VM85 - Transient Displacements in a Suddenly Stopped Moving Bar
VM86 - Harmonic Response of a Dynamic System
VM87 - Equivalent Structural Damping
VM88 - Response of an Eccentric Weight Exciter
VM89 - Natural Frequencies of a Two-mass-spring System
VM90 - Harmonic Response of a Two-Mass-Spring System
VM91 - Large Rotation of a Swinging Pendulum
VM92 - Insulated Wall Temperature
VM93 - Temperature Dependent Conductivity
VM94 - Heat-generating Plate
VM95 - Heat Transfer from a Cooling Spine
VM96 - Temperature Distribution in a Short, Solid Cylinder
VM97 - Temperature Distribution Along a Straight Fin
VM98 - Temperature Distribution Along a Tapered Fin
VM99 - Temperature Distribution in a Trapezoidal Fin
VM100 - Heat Conduction Across a Chimney Section
VM101 - Temperature Distribution in a Short Solid Cylinder
VM102 - Cylinder with Temperature Dependent Conductivity
VM103 - Thin Plate with Central Heat Source
VM104 - Liquid-Solid Phase Change
VM105 - Heat Generating Coil with Temperature Conductivity
VM106 - Radiant Energy Emission
VM107 - Thermocouple Radiation
VM108 - Temperature Gradient Across a Solid Cylinder
VM109 - Temperature Response of a Suddenly Cooled Wire
VM110 - Transient Temperature Distribution in a Slab
VM111 - Cooling of a Spherical Body
VM112 - Cooling of a Spherical Body
VM113 - Transient Temperature Distribution in an Orthotropic Metal Bar
VM114 - Temperature Response to Increasing Temperature
VM115 - Thermal Response of a Heat-generating Slab
VM116 - Heat Conducting Plate with Sudden Cooling
VM117 - Electric Current Flowing in a Network
VM118 - Centerline Temperature of a Heat-generating Wire
VM119 - Centerline Temperature of an Electrical Wire
VM120 - Microstrip Transmission Line Capacitance
VM121 - Laminar Flow Through a Pipe with Uniform Heat Flux
VM122 - Pressure Drop in a Turbulent Flowing Fluid
VM123 - Laminar Flow in a Piping System
VM124 - Discharge of Water from a Reservoir
VM125 - Radiation Heat Transfer Between Concentric Cylinders
VM126 - Heat Transferred to a Flowing Fluid
VM127 - Buckling of a Bar with Hinged Ends (Line Elements)
VM128 - Buckling of a Bar with Hinged Ends (Area Elements)
VM129 - Numerical Differentiation and Integration
VM130 - Fourier Series Generation for a Saw Tooth Wave
VM131 - Acceleration of a Rotating Crane Boom
VM132 - Stress Relaxation of a Tightened Bolt Due to Creep
VM133 - Motion of a Rod Due to Irradiation Induced Creep
VM134 - Plastic Bending of a Clamped I-Beam
VM135 - Bending of a Beam on an Elastic Foundation
VM136 - Large Deflection of a Buckled Bar (the Elastica)
VM137 - Large Deflection of a Circular Membrane
VM138 - Large Deflection Bending of a Circular Plate
VM139 - Bending of a Long Uniformly Loaded Rectangular Plate
VM140 - Stretching, Twisting and Bending of a Long Shaft
VM141 - Diametral Compression of a Disk
VM142 - Stress Concentration At a Hole in a Plate
VM143 - Fracture Mechanics Stress for a Crack in a Plate
VM144 - Bending of a Composite Beam
VM145 - Stretching of an Orthotropic Solid
VM146 - Bending of a Reinforced Concrete Beam
VM147 - Gray-Body Radiation within a Frustum of a Cone
VM148 - Bending of a Parabolic Beam
VM149 - Rotation of a Tank of Fluid
VM150 - Acceleration of a Tank of Fluid
VM151 - Nonaxisymmetric Vibration of a Circular Plate
VM152 - 2-D Nonaxisymmetric Vibration of a Stretched Membrane
VM153 - 3-D Nonaxisymmetric Vibration of a Stretched Membrane
VM154 - Vibration of a Fluid Coupling
VM155 - Shape Optimization of a Cantilever Beam
VM156 - Natural Frequency of a Nonlinear Spring-Mass System
VM157 - Optimization of a Frame Structure
VM158 - Motion of a Bobbing Buoy
VM159 - Temperature-controlled Heater
VM160 - Solid Cylinder with Harmonic Temperature Load
VM161 - Heat Flow From an Insulated Pipe
VM162 - Cooling of a Circular Fin of Rectangular Profile
VM163 - Groundwater Seepage (Permeability Analogy)
VM164 - Drying of a Thick Wooden Slab (Diffusion Analogy)
VM165 - Current-Carrying Ferromagnetic Conductor
VM166 - Long Cylinder in a Sinusoidal Magnetic Field
VM167 - Transient Eddy Currents in a Semi-Infinite Solid
VM168 - Magnetic Field in a Nonferrous Solenoid
VM169 - Permanent Magnet Circuit With an Air Gap
VM170 - Magnetic Field From a Square Current Loop
VM171 - Permanent Magnet Circuit With an Elastic Keeper
VM172 - Stress Analysis of a Long, Thick, Isotropic Solenoid
VM173 - Centerline Temperature of an Electrical Wire
VM174 - Bimetallic Beam Under Thermal Load
VM175 - Natural Frequency of a Piezoelectric Transducer
VM176 - Frequency Response of Electrical Input Admittance
VM177 - Natural Frequency of a Submerged Ring
VM178 - Plane Poiseuille Flow
VM179 - Dynamic Double Rotation of a Jointed Beam
VM180 - Bending of a Curved Beam
VM181 - Natural Frequency of a Flat Circular Plate
VM182 - Transient Response of a Spring-mass System
VM183 - Harmonic Response of a Spring-mass System
VM184 - Straight Cantilever Beam
VM185 - AC Analysis of a Slot Embedded Conductor
VM186 - Transient Analysis of a Slot Embedded Conductor
VM187 - Bending of a Curved Beam
VM188 - Force Calculation on a Current Carrying Conductor
VM189 - Hollow Sphere in a Uniform Magnetic Field
VM190 - Ferromagnetic Inductor
VM191 - Hertz Contact Between Two Cylinders
VM192 - Cooling of a Billet by Radiation
VM193 - Adaptive Analysis of 2-D Heat Transfer with Convection
VM194 - Element Birth/Death in a Fixed Bar
VM195 - Toggle Mechanism
VM196 - Counter-Balanced Loads on a Block
VM197 - IGES Write/Read for Thick-Walled Cylinder
VM198 - Large Strain In-plane Torsion Test
VM199 - Viscoplastic Analysis of a Body (Shear Deformation)
VM200 - Viscoelastic Sandwich Seal Analysis
VM201 - Rubber Cylinder Pressed Between Two Plates
VM202 - Transverse Vibrations of a Shear Beam
VM203 - Dynamic Load Effect on Supported Thick Plate
VM204 - Solid Model of an Axial Bearing
VM205 - Adaptive Analysis of an Elliptic Membrane
VM206 - Stranded Coil with Voltage Excitation
VM207 - Stranded Coil Excited by External Circuit
VM208 - RL Circuit with Controlled Source
VM209 - Multiple Species Flow Entering a Circular Pipe
VM210 - Pyramid Validation of Tetrahedron to Hexahedron
VM211 - Rubber Cylinder Pressed Between Two Plates
VM212 - Modal Analysis of a Rectangular Cavity
VM213 - Harmonic Response Analysis of a Coaxial Cable
VM214 - Harmonic Response of a Rectangular Waveguide
VM215 - Thermal-Electric Hemispherical Shell with Hole
VM216 - Lateral Buckling of a Right Angle Frame
VM217 - Portal Frame Under Symmetric Loading
VM218 - Hyperelastic Circular Plate
VM219 - Non-Newtonian Pressure Driven Sector Flow
VM220 - Eddy Current Loss in Thick Steel Plate
VM221 - Inductance Calculation of a Transformer
VM222 - Warping Torsion Bar
VM223 - Electro-Thermal Microactuator Analysis
VM224 - Implicit Creep under Biaxial Load
VM225 - Rectangular Cross-Section Bar with Preload
VM226 - Fourier Series Analysis of a Diode Rectified Circuit
VM227 - Radiation Between Finite Coaxial Cylinders
VM228 - Radiation Between Infinite Coaxial Cylinders
VM229 - Friction Heating of Sliding Block
VM230 - Analytical Verification of PDS Results
VM231 - Piezoelectric Rectangular Strip Under Pure Bending Load
VM232 - PDS Response Surface Study
VM233 - Static Force Computation of a 3-D Solenoid Actuator
VM234 - Cyclic Loading of a Rubber Block
VM235 - Frequency Response of a Prestressed Beam
VM236 - Hysteresis Calculation of a Beam Under Electrostatic Load
VM237 - RLC Circuit with Piezoelectric Transducer
VM238 - Wheatstone Bridge Connection of Piezoresistors
VM239 - Mechanics of the Revolute and Universal Joints
VM240 - Thermal Expansion of Rigid Beams in a Composite Bar
VM241 - Static Force Computation of a 3-D Solenoid Actuator
VM242 - Series Expansion Study of an Annular Plate
VM243 - Cantilever Beam with Triangular Loading Defined by Function
VM244 - Modal Analysis of a Cyclic Symmetric Annular Plate
VM245 - Squeeze Film Damping: Rectangular Plate
VM246 - Cyclic Analysis of an End-Loaded Hollow Cylindrical Cantilever Beam
VM247 - Campbell Diagrams and Critical Speeds Using Symmetric Bearings
VM248 - Delamination Analysis of Double Cantilever Beam
VM249 - Gasket Material Under Uniaxial Compression Loading - 2-D Analysis
VM250 - Gasket Material Under Uniaxial Compression Loading - 3-D Analysis
VM251 - Shape Memory Alloy Under Uniaxial Tension Load
VM252 - Gurson Bar-Necking Benchmark with Applied Displacement - 2-D Analysis
VM253 - Gurson Hydrostatic Tension Benchmark - 3-D Analysis
VM254 - Campbell Diagrams and Critical Speeds Using Symmetric Orthotropic Bearings
VM255 - Delamination Analysis of Double Cantilever Beam Using Contact Based Debonding Capability
VM256 - Fracture mechanics stress for a crack in a plate using CINT command
VM257 - Transient dynamic analysis of a swing comprising of two rigid links and a beam with midspan mass.
VM258 - Spin-up maneuver of a flexible beam.
A. Verification Test Case Input Listings
VM1 Input Listing
VM2 Input Listing
VM3 Input Listing
VM4 Input Listing
VM5 Input Listing
VM6 Input Listing
VM7 Input Listing
VM8 Input Listing
VM9 Input Listing
VM10 Input Listing
VM11 Input Listing
VM12 Input Listing
VM13 Input Listing
VM14 Input Listing
VM15 Input Listing
VM16 Input Listing
VM17 Input Listing
VM18 Input Listing
VM19 Input Listing
VM20 Input Listing
VM21 Input Listing
VM22 Input Listing
VM23 Input Listing
VM24 Input Listing
VM25 Input Listing
VM26 Input Listing
VM27 Input Listing
VM28 Input Listing
VM29 Input Listing
VM30 Input Listing
VM31 Input Listing
VM32 Input Listing
VM33 Input Listing
VM34 Input Listing
VM35 Input Listing
VM36 Input Listing
VM37 Input Listing
VM38 Input Listing
VM39 Input Listing
VM40 Input Listing
VM41 Input Listing
VM42 Input Listing
VM43 Input Listing
VM44 Input Listing
VM45 Input Listing
VM46 Input Listing
VM47 Input Listing
VM48 Input Listing
VM49 Input Listing
VM50 Input Listing
VM51 Input Listing
VM52 Input Listing
VM53 Input Listing
VM54 Input Listing
VM55 Input Listing
VM56 Input Listing
VM57 Input Listing
VM58 Input Listing
VM59 Input Listing
VM60 Input Listing
VM61 Input Listing
VM62 Input Listing
VM63 Input Listing
VM64 Input Listing
VM65 Input Listing
VM66 Input Listing
VM67 Input Listing
VM68 Input Listing
VM69 Input Listing
VM70 Input Listing
VM71 Input Listing
VM72 Input Listing
VM73 Input Listing
VM74 Input Listing
VM75 Input Listing
VM76 Input Listing
VM77 Input Listing
VM78 Input Listing
VM79 Input Listing
VM80 Input Listing
VM81 Input Listing
VM82 Input Listing
VM83 Input Listing
VM84 Input Listing
VM85 Input Listing
VM86 Input Listing
VM87 Input Listing
VM88 Input Listing
VM89 Input Listing
VM90 Input Listing
VM91 Input Listing
VM92 Input Listing
VM93 Input Listing
VM94 Input Listing
VM95 Input Listing
VM96 Input Listing
VM97 Input Listing
VM98 Input Listing
VM99 Input Listing
VM100 Input Listing
VM101 Input Listing
VM102 Input Listing
VM103 Input Listing
VM104 Input Listing
VM105 Input Listing
VM106 Input Listing
VM107 Input Listing
VM108 Input Listing
VM109 Input Listing
VM110 Input Listing
VM111 Input Listing
VM112 Input Listing
VM113 Input Listing
VM114 Input Listing
VM115 Input Listing
VM116 Input Listing
VM117 Input Listing
VM118 Input Listing
VM119 Input Listing
VM120 Input Listing
VM121 Input Listing
VM122 Input Listing
VM123 Input Listing
VM124 Input Listing
VM125 Input Listing
VM126 Input Listing
VM127 Input Listing
VM128 Input Listing
VM129 Input Listing
VM130 Input Listing
VM131 Input Listing
VM132 Input Listing
VM133 Input Listing
VM134 Input Listing
VM135 Input Listing
VM136 Input Listing
VM137 Input Listing
VM138 Input Listing
VM139 Input Listing
VM140 Input Listing
VM141 Input Listing
VM142 Input Listing
VM143 Input Listing
VM144 Input Listing
VM145 Input Listing
VM146 Input Listing
VM147 Input Listing
VM148 Input Listing
VM149 Input Listing
VM150 Input Listing
VM151 Input Listing
VM152 Input Listing
VM153 Input Listing
VM154 Input Listing
VM155 Input Listing
VM156 Input Listing
VM157 Input Listing
VM158 Input Listing
VM159 Input Listing
VM160 Input Listing
VM161 Input Listing
VM162 Input Listing
VM163 Input Listing
VM164 Input Listing
VM165 Input Listing
VM166 Input Listing
VM167 Input Listing
VM168 Input Listing
VM169 Input Listing
VM170 Input Listing
VM171 Input Listing
VM172 Input Listing
VM173 Input Listing
VM174 Input Listing
VM175 Input Listing
VM176 Input Listing
VM177 Input Listing
VM178 Input Listing
VM179 Input Listing
VM180 Input Listing
VM181 Input Listing
VM182 Input Listing
VM183 Input Listing
VM184 Input Listing
VM185 Input Listing
VM186 Input Listing
VM187 Input Listing
VM188 Input Listing
VM189 Input Listing
VM190 Input Listing
VM191 Input Listing
VM192 Input Listing
VM193 Input Listing
VM194 Input Listing
VM195 Input Listing
VM196 Input Listing
VM197 Input Listing
VM198 Input Listing
VM199 Input Listing
VM200 Input Listing
VM201 Input Listing
VM202 Input Listing
VM203 Input Listing
VM204 Input Listing
VM205 Input Listing
VM206 Input Listing
VM207 Input Listing
VM208 Input Listing
VM209 Input Listing
VM210 Input Listing
VM211 Input Listing
VM212 Input Listing
VM213 Input Listing
VM214 Input Listing
VM215 Input Listing
VM216 Input Listing
VM217 Input Listing
VM218 Input Listing
VM219 Input Listing
VM220 Input Listing
VM221 Input Listing
VM222 Input Listing
VM223 Input Listing
VM224 Input Listing
VM225 Input Listing
VM226 Input Listing
VM227 Input Listing
VM228 Input Listing
VM229 Input Listing
VM230 Input Listing
VM231 Input Listing
VM232 Input Listing
VM233 Input Listing
VM234 Input Listing
VM235 Input Listing
VM236 Input Listing
VM237 Input Listing
VM238 Input Listing
VM239 Input Listing
VM240 Input Listing
VM241 Input Listing
VM242 Input Listing
VM243 Input Listing
VM244 Input Listing
VM245 Input Listing
VM246 Input Listing
VM247 Input Listing
VM248 Input Listing
VM249 Input Listing
VM250 Input Listing
VM251 Input Listing
VM252 Input Listing
VM253 Input Listing
VM254 Input Listing
VM255 Input Listing
VM256 Input Listing
VM257 Input Listing
VM258 Input Listing
II. Benchmark Study Descriptions
2. Overview
2.1. Description of the Benchmark Studies
2.2. Benchmark Test Case Content and Nomenclature
2.3. Running the Benchmark Test Cases
2.4. Energy Norm
2.5. Benchmark Test Case Coverage Index
Benchmark C1 - Built-In Plate Under Uniformly Distributed Load
Benchmark C2 - Elliptic Membrane Under a Uniformly Load
Benchmark C3 - Barrel Vault Roof Under Self Weight
Benchmark C4 - Simply-Supported Thin Annular Plate
Benchmark C5 - Simply-Supported Solid Square Plate
Benchmark C6 - 2-D Heat Transfer With Convection
Benchmark C7 - One-Dimensional Transient Heat Transfer
Benchmark C8 - Aluminum Bar Impacting a Rigid Boundary
Benchmark D1 - Straight Cantilever Beam Under Unit Load
Benchmark D2 - Barrel Vault Roof Under Self Weight
Benchmark D3 - Free-Free Vibration of a Solid Beam
B. Benchmark Input Listings
Benchmark C1 Input Listing
Benchmark C2 Input Listing
Benchmark C3 Input Listing
Benchmark C4 Input Listing
Benchmark C5 Input Listing
Benchmark C6 Input Listing
Benchmark C7 Input Listing
Benchmark C8 Input Listing
Benchmark D1 Input Listing
Benchmark D2 Input Listing
Benchmark D3 Input Listing
III. ANSYS LS-DYNA Study Descriptions
3. ANSYS LS-DYNA Study Overview
VME1 - Response of Spring-Mass System to Step Input
VME2 - Drop Analysis of a Block Onto a Spring Scale
VME3 - Response of Spring-Mass-Damper System
VME4 - Undamped Vibration Absorber
VME5 - Pinned Bar Under Gravity Loading
VME6 - Projectile with Air Resistance
C. ANSYS LS-DYNA Input Listings
VME1 Input Listing
VME2 Input Listing
VME3 Input Listing
VME4 Input Listing
VME5 Input Listing
VME6 Input Listing
IV. NAFEMS Benchmarks
4. NAFEMS Benchmarks Overview
VMP09-T2 - Pin-ended double cross: In-plane vibration
VMP09-T4 - Cantilever with off-centre point masses
VMP09-T5 - Deep simply-supported beam
VMP09-T12 - Free thin square plate
VMP09-T15 - Clamped thin rhombic plate
VMP09-T33 - Free annular membrane
VMP09-T52 - Simply-supported 'solid' square plate
VMR027-3A - 2-D Plane Stress - Biaxial (negative) Load Secondary Creep
VMR027-3B - 2-D Plane Stress - Biaxial (negative) Displacement Secondary Creep
VMR027-4C - 2-D Plane Stress - Shear Loading Secondary Creep
VMR027-5B - 2-D Plane Strain - Biaxial Displacement Secondary Creep
VMR027-6B - 3-D - Triaxial Displacement Secondary Creep
VMR027-10A - 2-D Plane Stress - Biaxial (negative) Load Primary Creep
VMR027-10B - 2-D Plane Stress - Biaxial (negative) Displacement Primary Creep
VMR027-10C - 2-D Plane Stress - Biaxial (negative) Stepped Load - Primary Creep
VMR027-12B - 2-D Plane Stress - Uniaxial Displacement Primary-Secondary Creep
VMR027-12C - 2-D Plane Stress - Stepped Load Primary - Secondary Creep
VMR029-T1 - Elastic large deflection response of a z-shaped cantilever upper end load
VMR029-T4 - Lateral torsional buckling of an elastic cantilever subjected to transverse end load
VMR029-T5 - Large deflection of a curved elastic cantilever under transverse end load
VMR029-T7 - Large displacement elastic response of a hinged spherical shell under uniform pressure loading
VMR029-T9 - Large elastic deflection of a pinched hemispherical shell
VMR049-CR1 - Constant-Load Creep Benchmark
VMR049-CR2 - Constant-Displacement Creep Benchmark
VMR049-CR3 - Variable-Load Uniaxial Creep Benchmark
VMR049-CR4 - Pressurised Cylinder Creep Benchmark
VMR049-CR5 - Torsional Creep of Square Shaft
VMR049-CR6 - Thermally Induced Creep Benchmark
VMR049-PL1 - 2D Plane Strain Plasticity Benchmark
VMR049-PL2 - 2D Plane Stress Plasticity Benchmark
VMR049-PL3 - 3D Plasticity Benchmark
VMR049-PL5 - Pressurised Cylinder Plasticity Benchmark
D. NAFEMS Input Listings
VM-P09-t2 188 Input Listing
VM-P09-t2 189 Input Listing
VM-P09-t4 188 Input Listing
VM-P09-t4 189 Input Listing
VM-P09-t5 188 Input Listing
VM-P09-t5 189 Input Listing
VM-P09-t12 181 Input Listing
VM-P09-t12 281 Input Listing
VM-P09-t15 181 Input Listing
VM-P09-t15 281 Input Listing
VM-P09-t33 182 Input Listing
VM-P09-t33 183 Input Listing
VM-P09-t52 181 Input Listing
VM-P09-t52 185 Input Listing
VM-P09-t52 186 Input Listing
VM-P09-t52 187 Input Listing
VM-P09-t52 281 Input Listing
VM-R027-3A 181 Input Listing
VM-R027-3A 182 Input Listing
VM-R027-3A 183 Input Listing
VM-R027-3A 281 Input Listing
VM-R027-3B 181 Input Listing
VM-R027-3B 182 Input Listing
VM-R027-3B 183 Input Listing
VM-R027-3B 281 Input Listing
VM-R027-4C 181 Input Listing
VM-R027-4C 182 Input Listing
VM-R027-4C 183 Input Listing
VM-R027-4C 281 Input Listing
VM-R027-5B 182 Input Listing
VM-R027-5B 183 Input Listing
VM-R027-6B 185 Input Listing
VM-R027-6B 186 Input Listing
VM-R027-6B 187 Input Listing
VM-R027-10A 181 Input Listing
VM-R027-10A 182 Input Listing
VM-R027-10A 183 Input Listing
VM-R027-10A 281 Input Listing
VM-R027-10B 181 Input Listing
VM-R027-10B 182 Input Listing
VM-R027-10B 183 Input Listing
VM-R027-10B 281 Input Listing
VM-R027-10C 181 Input Listing
VM-R027-10C 182 Input Listing
VM-R027-10C 183 Input Listing
VM-R027-10C 281 Input Listing
VM-R027-12B 181 Input Listing
VM-R027-12B 182 Input Listing
VM-R027-12B 183 Input Listing
VM-R027-12B 281 Input Listing
VM-R027-12C 181 Input Listing
VM-R027-12C 182 Input Listing
VM-R027-12C 183 Input Listing
VM-R027-12C 281 Input Listing
VM-R029-t1 181 Input Listing
VM-R029-t1 185 Input Listing
VM-R029-t1 188 Input Listing
VM-R029-t1 189 Input Listing
VM-R029-t1 190 Input Listing
VM-R029-t1 281 Input Listing
VM-R029-t4 181 Input Listing
VM-R029-t4 185 Input Listing
VM-R029-t4 188 Input Listing
VM-R029-t4 189 Input Listing
VM-R029-t4 190 Input Listing
VM-R029-t4 281 Input Listing
VM-R029-t5 185 Input Listing
VM-R029-t5 188 Input Listing
VM-R029-t5 189 Input Listing
VM-R029-t5 190 Input Listing
VM-R029-t7 181 Input Listing
VM-R029-t7 185 Input Listing
VM-R029-t7 190 Input Listing
VM-R029-t7 281 Input Listing
VM-R029-t9 181 Input Listing
VM-R029-t9 185 Input Listing
VM-R029-t9 190 Input Listing
VM-R029-t9 281 Input Listing
VM-R049-1A 181 Input Listing
VM-R049-1A 182 Input Listing
VM-R049-1A 183 Input Listing
VM-R049-1A 281 Input Listing
VM-R049-1B 181 Input Listing
VM-R049-1B 182 Input Listing
VM-R049-1B 183 Input Listing
VM-R049-1B 281 Input Listing
VM-R049-1C 181 Input Listing
VM-R049-1C 182 Input Listing
VM-R049-1C 183 Input Listing
VM-R049-1C 281 Input Listing
VM-R049-2 181 Input Listing
VM-R049-2 182 Input Listing
VM-R049-2 183 Input Listing
VM-R049-2 185 Input Listing
VM-R049-2 187 Input Listing
VM-R049-2 281 Input Listing
VM-R049-3 181 Input Listing
VM-R049-3 182 Input Listing
VM-R049-3 183 Input Listing
VM-R049-3 281 Input Listing
VM-R049-4 182 Input Listing
VM-R049-4 183 Input Listing
VM-R049-5 185 Input Listing
VM-R049-5 186 Input Listing
VM-R049-5 187 Input Listing
VM-R049-6 182 Input Listing
VM-R049-6 183 Input Listing
VM-R049-PL1A 182 Input Listing
VM-R049-PL1A 183 Input Listing
VM-R049-PL1B 182 Input Listing
VM-R049-PL1B 183 Input Listing
VM-R049-PL2A 181 Input Listing
VM-R049-PL2A 182 Input Listing
VM-R049-PL2A 183 Input Listing
VM-R049-PL2A 281 Input Listing
VM-R049-PL2B 181 Input Listing
VM-R049-PL2B 182 Input Listing
VM-R049-PL2B 281 Input Listing
VM-R049-PL3A 185 Input Listing
VM-R049-PL3A 186 Input Listing
VM-R049-PL3A 187 Input Listing
VM-R049-PL3B 185 Input Listing
VM-R049-PL3B 186 Input Listing
VM-R049-PL3B 187 Input Listing
VM-R049-PL3B 190 Input Listing
VM-R049-PL5A 182 Input Listing
VM-R049-PL5A 183 Input Listing
VM-R049-PL5B 182 Input Listing
VM-R049-PL5B 183 Input Listing
Theory Reference for ANSYS and ANSYS Workbench
1. Introduction
1.1. Purpose of the Theory Reference
1.2. Understanding Theory Reference Notation
1.3. Applicable Products
1.3.1. ANSYS Products
1.3.2. ANSYS Workbench Products
1.4. Using the Theory Reference for the ANSYS Workbench Product
1.4.1. Elements Used by the ANSYS Workbench Product
1.4.2. Solvers Used by the ANSYS Workbench Product
1.4.3. Other Features
2. Structures
2.1. Structural Fundamentals
2.1.1. Stress-Strain Relationships
2.1.2. Orthotropic Material Transformation for Axisymmetric Models
2.1.3. Temperature-Dependent Coefficient of Thermal Expansion
2.2. Derivation of Structural Matrices
2.3. Structural Strain and Stress Evaluations
2.3.1. Integration Point Strains and Stresses
2.3.2. Surface Stresses
2.3.3. Shell Element Output
2.4. Combined Stresses and Strains
2.4.1. Combined Strains
2.4.2. Combined Stresses
2.4.3. Failure Criteria
2.4.4. Maximum Strain Failure Criteria
2.4.5. Maximum Stress Failure Criteria
2.4.6. Tsai-Wu Failure Criteria
2.4.7. Safety Tools in the ANSYS Workbench Product
3. Structures with Geometric Nonlinearities
3.1. Understanding Geometric Nonlinearities
3.2. Large Strain
3.2.1. Theory
3.2.2. Implementation
3.2.3. Definition of Thermal Strains
3.2.4. Element Formulation
3.2.5. Applicable Input
3.2.6. Applicable Output
3.3. Large Rotation
3.3.1. Theory
3.3.2. Implementation
3.3.3. Element Transformation
3.3.4. Deformational Displacements
3.3.5. Updating Rotations
3.3.6. Applicable Input
3.3.7. Applicable Output
3.3.8. Consistent Tangent Stiffness Matrix and Finite Rotation
3.4. Stress Stiffening
3.4.1. Overview and Usage
3.4.2. Theory
3.4.3. Implementation
3.4.4. Pressure Load Stiffness
3.4.5. Applicable Input
3.4.6. Applicable Output
3.5. Spin Softening
3.6. General Element Formulations
3.6.1. Fundamental Equations
3.6.2. Classical Pure Displacement Formulation
3.6.3. Mixed u-P Formulations
3.6.4. u-P Formulation I
3.6.5. u-P Formulation II
3.6.6. u-P Formulation III
3.6.7. Volumetric Constraint Equations in u-P Formulations
3.7. Constraints and Lagrange Multiplier Method
4. Structures with Material Nonlinearities
4.1. Understanding Material Nonlinearities
4.2. Rate-Independent Plasticity
4.2.1. Theory
4.2.2. Yield Criterion
4.2.3. Flow Rule
4.2.4. Hardening Rule
4.2.5. Plastic Strain Increment
4.2.6. Implementation
4.2.7. Elastoplastic Stress-Strain Matrix
4.2.8. Specialization for Hardening
4.2.9. Specification for Nonlinear Isotropic Hardening
4.2.10. Specialization for Bilinear Kinematic Hardening
4.2.11. Specialization for Multilinear Kinematic Hardening
4.2.12. Specialization for Nonlinear Kinematic Hardening
4.2.13. Specialization for Anisotropic Plasticity
4.2.14. Hill Potential Theory
4.2.15. Generalized Hill Potential Theory
4.2.16. Specialization for Drucker-Prager
4.2.17. Cap Model
4.2.18. Gurson's Model
4.2.19. Cast Iron Material Model
4.3. Rate-Dependent Plasticity
4.3.1. Creep Option
4.3.2. Rate-Dependent Plasticity
4.3.3. Anand Viscoplasticity
4.4. Gasket Material
4.4.1. Stress and Deformation
4.4.2. Material Definition
4.4.3. Thermal Deformation
4.5. Nonlinear Elasticity
4.5.1. Overview and Guidelines for Use
4.6. Shape Memory Alloy Material Model
4.6.1. Background
4.6.2. The Continuum Mechanics Model
4.7. Hyperelasticity
4.7.1. Introduction
4.7.2. Finite Strain Elasticity
4.7.3. Deviatoric-Volumetric Multiplicative Split
4.7.4. Isotropic Hyperelasticity
4.7.5. Anisotropic Hyperelasticity
4.7.6. USER Subroutine
4.7.7. Output Quantities
4.7.8. Hyperelasticity Material Curve Fitting
4.7.9. Material Stability Check
4.8. Viscoelasticity
4.8.1. Small Strain Viscoelasticity
4.8.2. Constitutive Equations
4.8.3. Numerical Integration
4.8.4. Thermorheological Simplicity
4.8.5. Large Deformation Viscoelasticity
4.8.6. Visco-Hypoelasticity
4.8.7. Large Strain Viscoelasticity
4.8.8. Shift Functions
4.9. Concrete
4.9.1. The Domain (Compression - Compression - Compression)
4.9.2. The Domain (Tension - Compression - Compression)
4.9.3. The Domain (Tension - Tension - Compression)
4.9.4. The Domain (Tension - Tension - Tension)
4.10. Swelling
4.11. Cohesive Zone Material Model
4.11.1. Interface Elements
4.11.2. Contact Elements
5. Electromagnetics
5.1. Electromagnetic Field Fundamentals
5.1.1. Magnetic Scalar Potential
5.1.2. Solution Strategies
5.1.3. Magnetic Vector Potential
5.1.4. Edge Flux Degrees of Freedom
5.1.5. Limitation of the Nodal Vector Potential
5.1.6. Harmonic Analysis Using Complex Formalism
5.1.7. Nonlinear Time-Harmonic Magnetic Analysis
5.1.8. Electric Scalar Potential
5.2. Derivation of Electromagnetic Matrices
5.2.1. Magnetic Scalar Potential
5.2.2. Magnetic Vector Potential
5.2.3. Electric Scalar Potential
5.3. Electromagnetic Field Evaluations
5.3.1. Magnetic Scalar Potential Results
5.3.2. Magnetic Vector Potential Results
5.3.3. Magnetic Forces
5.3.4. Joule Heat in a Magnetic Analysis
5.3.5. Electric Scalar Potential Results
5.3.6. Electrostatic Forces
5.3.7. Electric Constitutive Error
5.4. Voltage Forced and Circuit-Coupled Magnetic Field
5.4.1. Voltage Forced Magnetic Field
5.4.2. Circuit-Coupled Magnetic Field
5.5. High-Frequency Electromagnetic Field Simulation
5.5.1. High-Frequency Electromagnetic Field FEA Principle
5.5.2. Boundary Conditions and Perfectly Matched Layers (PML)
5.5.3. Excitation Sources
5.5.4. High-Frequency Parameters Evaluations
5.6. Inductance, Flux and Energy Computation by LMATRIX and SENERGY Macros
5.6.1. Differential Inductance Definition
5.6.2. Review of Inductance Computation Methods
5.6.3. Inductance Computation Method Used
5.6.4. Transformer and Motion Induced Voltages
5.6.5. Absolute Flux Computation
5.6.6. Inductance Computations
5.6.7. Absolute Energy Computation
5.7. Electromagnetic Particle Tracing
5.8. Maxwell Stress Tensor
5.8.1. Notation
5.8.2. Fundamental Relations
5.8.3. Derived Relations
5.8.4. Maxwell Tensor From Maxwell's Equations
5.9. Electromechanical Transducers
5.10. Capacitance Computation
5.11. Open Boundary Analysis with a Trefftz Domain
5.12. Circuit Analysis, Reduced Order Modeling
5.12.1. Mechanical Circuit Elements
5.12.2. Electrical Circuit Elements
5.12.3. Coupled Field Circuit Elements
5.13. Conductance Computation
6. Heat Flow
6.1. Heat Flow Fundamentals
6.1.1. Conduction and Convection
6.1.2. Radiation
6.2. Derivation of Heat Flow Matrices
6.3. Heat Flow Evaluations
6.3.1. Integration Point Output
6.3.2. Surface Output
6.4. Radiation Matrix Method
6.4.1. Non-Hidden Method
6.4.2. Hidden Method
6.4.3. View Factors of Axisymmetric Bodies
6.4.4. Space Node
6.5. Radiosity Solution Method
6.5.1. View Factor Calculation - Hemicube Method
7. Fluid Flow
7.1. Fluid Flow Fundamentals
7.1.1. Continuity Equation
7.1.2. Momentum Equation
7.1.3. Compressible Energy Equation
7.1.4. Incompressible Energy Equation
7.1.5. Turbulence
7.1.6. Pressure
7.1.7. Multiple Species Transport
7.1.8. Arbitrary Lagrangian-Eulerian (ALE) Formulation
7.2. Derivation of Fluid Flow Matrices
7.2.1. Discretization of Equations
7.2.2. Transient Term
7.2.3. Advection Term
7.2.4. Monotone Streamline Upwind Approach (MSU)
7.2.5. Streamline Upwind/Petro-Galerkin Approach (SUPG)
7.2.6. Collocated Galerkin Approach (COLG)
7.2.7. Diffusion Terms
7.2.8. Source Terms
7.2.9. Segregated Solution Algorithm
7.3. Volume of Fluid Method for Free Surface Flows
7.3.1. Overview
7.3.2. CLEAR-VOF Advection
7.3.3. CLEAR-VOF Reconstruction
7.3.4. Treatment of Finite Element Equations
7.3.5. Treatment of Volume Fraction Field
7.3.6. Treatment of Surface Tension Field
7.4. Fluid Solvers
7.5. Overall Convergence and Stability
7.5.1. Convergence
7.5.2. Stability
7.5.3. Residual File
7.5.4. Modified Inertial Relaxation
7.6. Fluid Properties
7.6.1. Density
7.6.2. Viscosity
7.6.3. Thermal Conductivity
7.6.4. Specific Heat
7.6.5. Surface Tension Coefficient
7.6.6. Wall Static Contact Angle
7.6.7. Multiple Species Property Options
7.7. Derived Quantities
7.7.1. Mach Number
7.7.2. Total Pressure
7.7.3. Y-Plus and Wall Shear Stress
7.7.4. Stream Function
7.7.5. Heat Transfer Film Coefficient
7.8. Squeeze Film Theory
7.8.1. Flow Between Flat Surfaces
7.8.2. Flow in Channels
7.9. Slide Film Theory
8. Acoustics
8.1. Acoustic Fluid Fundamentals
8.1.1. Governing Equations
8.1.2. Discretization of the Lossless Wave Equation
8.2. Derivation of Acoustics Fluid Matrices
8.3. Absorption of Acoustical Pressure Wave
8.3.1. Addition of Dissipation due to Damping at the Boundary
8.4. Acoustics Fluid-Structure Coupling
8.5. Acoustics Output Quantities
9. This chapter intentionally omitted.
10. This chapter intentionally omitted.
11. Coupling
11.1. Coupled Effects
11.1.1. Elements
11.1.2. Coupling Methods
11.2. Thermoelasticity
11.3. Piezoelectrics
11.4. Electroelasticity
11.5. Piezoresistivity
11.6. Thermoelectrics
11.7. Review of Coupled Electromechanical Methods
12. Shape Functions
12.1. Understanding Shape Function Labels
12.2. 2-D Lines
12.2.1. 2-D Lines without RDOF
12.2.2. 2-D Lines with RDOF
12.3. 3-D Lines
12.3.1. 3-D 2 Node Lines without RDOF
12.3.2. 3-D 2 Node Lines with RDOF
12.3.3. 3-D 3 Node Lines
12.4. Axisymmetric Shells
12.4.1. Axisymmetric Shell without ESF
12.5. Axisymmetric Harmonic Shells
12.5.1. Axisymmetric Harmonic Shells without ESF
12.5.2. Axisymmetric Harmonic Shells with ESF
12.6. 3-D Shells
12.6.1. 3-D 3-Node Triangular Shells without RDOF (CST)
12.6.2. 3-D 6-Node Triangular Shells without RDOF (LST)
12.6.3. 3-D 3-Node Triangular Shells with RDOF but without SD
12.6.4. 3-D 3-Node Triangular Shells with RDOF and with SD
12.6.5. 3-D 6-Node Triangular Shells with RDOF and with SD
12.6.6. 3-D 4-Node Quadrilateral Shells without RDOF and without ESF (Q4)
12.6.7. 3-D 4-Node Quadrilateral Shells without RDOF but with ESF (QM6)
12.6.8. 3-D 8-Node Quadrilateral Shells without RDOF
12.6.9. 3-D 4-Node Quadrilateral Shells with RDOF but without SD and without ESF
12.6.10. 3-D 4-Node Quadrilateral Shells with RDOF but without SD and with ESF
12.6.11. 3-D 4-Node Quadrilateral Shells with RDOF and with SD
12.6.12. 3-D 8-Node Quadrilateral Shells with RDOF and with SD
12.7. 2-D and Axisymmetric Solids
12.7.1. 2-D and Axisymmetric 3 Node Triangular Solids (CST)
12.7.2. 2-D and Axisymmetric 6 Node Triangular Solids (LST)
12.7.3. 2-D and Axisymmetric 4 Node Quadrilateral Solid without ESF (Q4)
12.7.4. 2-D and Axisymmetric 4 Node Quadrilateral Solids with ESF (QM6)
12.7.5. 2-D and Axisymmetric 8 Node Quadrilateral Solids (Q8)
12.7.6. 2-D and Axisymmetric 4 Node Quadrilateral Infinite Solids
12.7.7. 2-D and Axisymmetric 8 Node Quadrilateral Infinite Solids
12.8. Axisymmetric Harmonic Solids
12.8.1. Axisymmetric Harmonic 3 Node Triangular Solids
12.8.2. Axisymmetric Harmonic 6 Node Triangular Solids
12.8.3. Axisymmetric Harmonic 4 Node Quadrilateral Solids without ESF
12.8.4. Axisymmetric Harmonic 4 Node Quadrilateral Solids with ESF
12.8.5. Axisymmetric Harmonic 8 Node Quadrilateral Solids
12.9. 3-D Solids
12.9.1. 4 Node Tetrahedra
12.9.2. 10 Node Tetrahedra
12.9.3. 5 Node Pyramids
12.9.4. 13 Node Pyramids
12.9.5. 6 Node Wedges without ESF
12.9.6. 6 Node Wedges with ESF
12.9.7. 15 Node Wedges as a Condensation of 20 Node Brick
12.9.8. 15 Node Wedges Based on Wedge Shape Functions
12.9.9. 8 Node Bricks without ESF
12.9.10. 8 Node Bricks with ESF
12.9.11. 20 Node Bricks
12.9.12. 8 Node Infinite Bricks
12.9.13. 3-D 20 Node Infinite Bricks
12.10. Electromagnetic Edge Elements
12.10.1. 2-D 8 Node Quad Geometry and DOFs
12.10.2. 3-D 20 Node Brick Geometry and DOFs
12.11. High Frequency Electromagnetic Tangential Vector Elements
12.11.1. Tetrahedral Elements (HF119)
12.11.2. Hexahedral Elements (HF120)
12.11.3. Triangular Elements (HF118)
12.11.4. Quadrilateral Elements (HF118)
13. Element Tools
13.1. Integration Point Locations
13.1.1. Lines (1, 2, or 3 Points)
13.1.2. Quadrilaterals (2 x 2 or 3 x 3 Points)
13.1.3. Bricks and Pyramids (2 x 2 x 2 Points)
13.1.4. Triangles (1, 3, or 6 Points)
13.1.5. Tetrahedra (1, 4, 5, or 11 Points)
13.1.6. Triangles and Tetrahedra (2 x 2 or 2 x 2 x 2 Points)
13.1.7. Wedges (3 x 2 or 3 x 3 Points)
13.1.8. Wedges (2 x 2 x 2 Points)
13.1.9. Bricks (14 Points)
13.1.10. Nonlinear Bending (5 Points)
13.2. Lumped Matrices
13.2.1. Diagonalization Procedure
13.2.2. Limitations of Lumped Mass Matrices
13.3. Reuse of Matrices
13.3.1. Element Matrices
13.3.2. Structure Matrices
13.3.3. Override Option
13.4. Temperature-Dependent Material Properties
13.5. Positive Definite Matrices
13.5.1. Matrices Representing the Complete Structure
13.5.2. Element Matrices
13.6. Nodal and Centroidal Data Evaluation
13.7. Element Shape Testing
13.7.1. Overview
13.7.2. 3-D Solid Element Faces and Cross-Sections
13.7.3. Aspect Ratio
13.7.4. Aspect Ratio Calculation for Triangles
13.7.5. Aspect Ratio Calculation for Quadrilaterals
13.7.6. Angle Deviation
13.7.7. Angle Deviation Calculation
13.7.8. Parallel Deviation
13.7.9. Parallel Deviation Calculation
13.7.10. Maximum Corner Angle
13.7.11. Maximum Corner Angle Calculation
13.7.12. Jacobian Ratio
13.7.13. Warping Factor
14. Element Library
14.1. LINK1 - 2-D Spar (or Truss)
14.1.1. Assumptions and Restrictions
14.1.2. Other Applicable Sections
14.2. Not Documented
14.3. BEAM3 - 2-D Elastic Beam
14.3.1. Element Matrices and Load Vectors
14.3.2. Stress Calculation
14.4. BEAM4 - 3-D Elastic Beam
14.4.1. Stiffness and Mass Matrices
14.4.2. Gyroscopic Damping Matrix
14.4.3. Pressure and Temperature Load Vector
14.4.4. Local to Global Conversion
14.4.5. Stress Calculations
14.5. SOLID5 - 3-D Coupled-Field Solid
14.5.1. Other Applicable Sections
14.6. Not Documented
14.7. COMBIN7 - Revolute Joint
14.7.1. Element Description
14.7.2. Element Matrices
14.7.3. Modification of Real Constants
14.8. LINK8 - 3-D Spar (or Truss)
14.8.1. Assumptions and Restrictions
14.8.2. Element Matrices and Load Vector
14.8.3. Force and Stress
14.9. INFIN9 - 2-D Infinite Boundary
14.9.1. Introduction
14.9.2. Theory
14.10. LINK10 - Tension-only or Compression-only Spar
14.10.1. Assumptions and Restrictions
14.10.2. Element Matrices and Load Vector
14.11. LINK11 - Linear Actuator
14.11.1. Assumptions and Restrictions
14.11.2. Element Matrices and Load Vector
14.11.3. Force, Stroke, and Length
14.12. CONTAC12 - 2-D Point-to-Point Contact
14.12.1. Element Matrices
14.12.2. Orientation of the Element
14.12.3. Rigid Coulomb Friction
14.13. PLANE13 - 2-D Coupled-Field Solid
14.13.1. Other Applicable Sections
14.14. COMBIN14 - Spring-Damper
14.14.1. Types of Input
14.14.2. Stiffness Pass
14.14.3. Output Quantities
14.15. Not Documented
14.16. PIPE16 - Elastic Straight Pipe
14.16.1. Other Applicable Sections
14.16.2. Assumptions and Restrictions
14.16.3. Stiffness Matrix
14.16.4. Mass Matrix
14.16.5. Gyroscopic Damping Matrix
14.16.6. Stress Stiffness Matrix
14.16.7. Load Vector
14.16.8. Stress Calculation
14.17. PIPE17 - Elastic Pipe Tee
14.17.1. Other Applicable Sections
14.18. PIPE18 - Elastic Curved Pipe
14.18.1. Other Applicable Sections
14.18.2. Stiffness Matrix
14.18.3. Mass Matrix
14.18.4. Load Vector
14.18.5. Stress Calculations
14.19. Not Documented
14.20. PIPE20 - Plastic Straight Thin-Walled Pipe
14.20.1. Assumptions and Restrictions
14.20.2. Other Applicable Sections
14.20.3. Stress and Strain Calculation
14.21. MASS21 - Structural Mass
14.22. Not Documented
14.23. BEAM23 - 2-D Plastic Beam
14.23.1. Other Applicable Sections
14.23.2. Integration Points
14.23.3. Tangent Stiffness Matrix for Plasticity
14.23.4. Newton-Raphson Load Vector
14.23.5. Stress and Strain Calculation
14.24. BEAM24 - 3-D Thin-walled Beam
14.24.1. Assumptions and Restrictions
14.24.2. Other Applicable Sections
14.24.3. Temperature Distribution Across Cross-Section
14.24.4. Calculation of Cross-Section Section Properties
14.24.5. Offset Transformation
14.25. PLANE25 - Axisymmetric-Harmonic 4-Node Structural Solid
14.25.1. Other Applicable Sections
14.25.2. Assumptions and Restrictions
14.25.3. Use of Temperature
14.26. Not Documented
14.27. MATRIX27 - Stiffness, Damping, or Mass Matrix
14.27.1. Assumptions and Restrictions
14.28. SHELL28 - Shear/Twist Panel
14.28.1. Assumptions and Restrictions
14.28.2. Commentary
14.28.3. Output Terms
14.29. FLUID29 - 2-D Acoustic Fluid
14.29.1. Other Applicable Sections
14.30. FLUID30 - 3-D Acoustic Fluid
14.30.1. Other Applicable Sections
14.31. LINK31 - Radiation Link
14.31.1. Standard Radiation (KEYOPT(3) = 0)
14.31.2. Empirical Radiation (KEYOPT(3) = 1)
14.31.3. Solution
14.32. LINK32 - 2-D Conduction Bar
14.32.1. Other Applicable Sections
14.32.2. Matrices and Load Vectors
14.33. LINK33 - 3-D Conduction Bar
14.33.1. Other Applicable Sections
14.33.2. Matrices and Load Vectors
14.33.3. Output
14.34. LINK34 - Convection Link
14.34.1. Conductivity Matrix
14.34.2. Output
14.35. PLANE35 - 2-D 6-Node Triangular Thermal Solid
14.35.1. Other Applicable Sections
14.36. SOURC36 - Current Source
14.36.1. Description
14.37. COMBIN37 - Control
14.37.1. Element Characteristics
14.37.2. Element Matrices
14.37.3. Adjustment of Real Constants
14.37.4. Evaluation of Control Parameter
14.38. FLUID38 - Dynamic Fluid Coupling
14.38.1. Description
14.38.2. Assumptions and Restrictions
14.38.3. Mass Matrix Formulation
14.38.4. Damping Matrix Formulation
14.39. COMBIN39 - Nonlinear Spring
14.39.1. Input
14.39.2. Element Stiffness Matrix and Load Vector
14.39.3. Choices for Element Behavior
14.40. COMBIN40 - Combination
14.40.1. Characteristics of the Element
14.40.2. Element Matrices for Structural Applications
14.40.3. Determination of F1 and F2 for Structural Applications
14.40.4. Thermal Analysis
14.41. SHELL41 - Membrane Shell
14.41.1. Assumptions and Restrictions
14.41.2. Wrinkle Option
14.42. PLANE42 - 2-D Structural Solid
14.42.1. Other Applicable Sections
14.43. SHELL43 - 4-Node Plastic Large Strain Shell
14.43.1. Other Applicable Sections
14.43.2. Assumptions and Restrictions
14.43.3. Assumed Displacement Shape Functions
14.43.4. Stress-Strain Relationships
14.43.5. In-Plane Rotational DOF
14.43.6. Spurious Mode Control with Allman Rotation
14.43.7. Natural Space Extra Shape Functions with Allman Rotation
14.43.8. Warping
14.43.9. Stress Output
14.44. BEAM44 - 3-D Elastic Tapered Unsymmetric Beam
14.44.1. Other Applicable Sections
14.44.2. Assumptions and Restrictions
14.44.3. Tapered Geometry
14.44.4. Shear Center Effects
14.44.5. Offset at the Ends of the Member
14.44.6. End Moment Release
14.44.7. Local to Global Conversion
14.44.8. Stress Calculations
14.45. SOLID45 - 3-D Structural Solid
14.45.1. Other Applicable Sections
14.46. SOLID46 - 3-D 8-Node Layered Structural Solid
14.46.1. Other Applicable Sections
14.46.2. Assumptions and Restrictions
14.46.3. Stress-Strain Relationships
14.46.4. General Strain and Stress Calculations
14.46.5. Interlaminar Shear Stress Calculation
14.47. INFIN47 - 3-D Infinite Boundary
14.47.1. Introduction
14.47.2. Theory
14.47.3. Reduced Scalar Potential
14.47.4. Difference Scalar Potential
14.47.5. Generalized Scalar Potential
14.48. Not Documented
14.49. Not Documented
14.50. MATRIX50 - Superelement (or Substructure)
14.50.1. Other Applicable Sections
14.51. Not Documented
14.52. CONTAC52 - 3-D Point-to-Point Contact
14.52.1. Other Applicable Sections
14.52.2. Element Matrices
14.52.3. Orientation of Element
14.53. PLANE53 - 2-D 8-Node Magnetic Solid
14.53.1. Other Applicable Sections
14.53.2. Assumptions and Restrictions
14.53.3. VOLT DOF in 2-D and Axisymmetric Skin Effect Analysis
14.54. BEAM54 - 2-D Elastic Tapered Unsymmetric Beam
14.54.1. Derivation of Matrices
14.55. PLANE55 - 2-D Thermal Solid
14.55.1. Other Applicable Sections
14.55.2. Mass Transport Option
14.56. Not Documented
14.57. SHELL57 - Thermal Shell
14.57.1. Other Applicable Sections
14.58. Not Documented
14.59. PIPE59 - Immersed Pipe or Cable
14.59.1. Overview of the Element
14.59.2. Location of the Element
14.59.3. Stiffness Matrix
14.59.4. Mass Matrix
14.59.5. Load Vector
14.59.6. Hydrostatic Effects
14.59.7. Hydrodynamic Effects
14.59.8. Stress Output
14.60. PIPE60 - Plastic Curved Thin-Walled Pipe
14.60.1. Assumptions and Restrictions
14.60.2. Other Applicable Sections
14.60.3. Load Vector
14.60.4. Stress Calculations
14.61. SHELL61 - Axisymmetric-Harmonic Structural Shell
14.61.1. Other Applicable Sections
14.61.2. Assumptions and Restrictions
14.61.3. Stress, Force, and Moment Calculations
14.62. SOLID62 - 3-D Magneto-Structural Solid
14.62.1. Other Applicable Sections
14.63. SHELL63 - Elastic Shell
14.63.1. Other Applicable Sections
14.63.2. Foundation Stiffness
14.63.3. In-Plane Rotational Stiffness
14.63.4. Warping
14.63.5. Options for Non-Uniform Material
14.63.6. Extrapolation of Results to the Nodes
14.64. Not Documented
14.65. SOLID65 - 3-D Reinforced Concrete Solid
14.65.1. Assumptions and Restrictions
14.65.2. Description
14.65.3. Linear Behavior - General
14.65.4. Linear Behavior - Concrete
14.65.5. Linear Behavior - Reinforcement
14.65.6. Nonlinear Behavior - Concrete
14.65.7. Modeling of a Crack
14.65.8. Modeling of Crushing
14.65.9. Nonlinear Behavior - Reinforcement
14.66. Not Documented
14.67. PLANE67 - 2-D Coupled Thermal-Electric Solid
14.67.1. Other Applicable Sections
14.68. LINK68 - Coupled Thermal-Electric Line
14.68.1. Other Applicable Sections
14.69. SOLID69 - 3-D Coupled Thermal-Electric Solid
14.69.1. Other Applicable Sections
14.70. SOLID70 - 3-D Thermal Solid
14.70.1. Other Applicable Sections
14.70.2. Fluid Flow in a Porous Medium
14.71. MASS71 - Thermal Mass
14.71.1. Specific Heat Matrix
14.71.2. Heat Generation Load Vector
14.72. Not Documented
14.73. Not Documented
14.74. Not Documented
14.75. PLANE75 - Axisymmetric-Harmonic 4-Node Thermal Solid
14.75.1. Other Applicable Sections
14.76. Not Documented
14.77. PLANE77 - 2-D 8-Node Thermal Solid
14.77.1. Other Applicable Sections
14.77.2. Assumptions and Restrictions
14.78. PLANE78 - Axisymmetric-Harmonic 8-Node Thermal Solid
14.78.1. Other Applicable Sections
14.78.2. Assumptions and Restrictions
14.79. FLUID79 - 2-D Contained Fluid
14.79.1. Other Applicable Sections
14.80. FLUID80 - 3-D Contained Fluid
14.80.1. Other Applicable Sections
14.80.2. Assumptions and Restrictions
14.80.3. Material Properties
14.80.4. Free Surface Effects
14.80.5. Other Assumptions and Limitations
14.81. FLUID81 - Axisymmetric-Harmonic Contained Fluid
14.81.1. Other Applicable Sections
14.81.2. Assumptions and Restrictions
14.81.3. Load Vector Correction
14.82. PLANE82 - 2-D 8-Node Structural Solid
14.82.1. Other Applicable Sections
14.82.2. Assumptions and Restrictions
14.83. PLANE83 - Axisymmetric-Harmonic 8-Node Structural Solid
14.83.1. Other Applicable Sections
14.83.2. Assumptions and Restrictions
14.84. Not Documented
14.85. Not Documented
14.86. Not Documented
14.87. SOLID87 - 3-D 10-Node Tetrahedral Thermal Solid
14.87.1. Other Applicable Sections
14.88. VISCO88 - 2-D 8-Node Viscoelastic Solid
14.88.1. Other Applicable Sections
14.89. VISCO89 - 3-D 20-Node Viscoelastic Solid
14.89.1. Other Applicable Sections
14.90. SOLID90 - 3-D 20-Node Thermal Solid
14.90.1. Other Applicable Sections
14.91. SHELL91 - Nonlinear Layered Structural Shell
14.91.1. Other Applicable Sections
14.91.2. Assumptions and Restrictions
14.91.3. Stress-Strain Relationship
14.91.4. Stress, Force and Moment Calculations
14.91.5. Force and Moment Summations
14.91.6. Interlaminar Shear Stress Calculation
14.91.7. Sandwich Option
14.92. SOLID92 - 3-D 10-Node Tetrahedral Structural Solid
14.92.1. Other Applicable Sections
14.93. SHELL93 - 8-Node Structural Shell
14.93.1. Other Applicable Sections
14.93.2. Assumptions and Restrictions
14.93.3. Stress-Strain Relationships
14.93.4. Stress Output
14.94. CIRCU94 - Piezoelectric Circuit
14.94.1. Electric Circuit Elements
14.94.2. Piezoelectric Circuit Element Matrices and Load Vectors
14.95. SOLID95 - 3-D 20-Node Structural Solid
14.95.1. Other Applicable Sections
14.96. SOLID96 - 3-D Magnetic Scalar Solid
14.96.1. Other Applicable Sections
14.97. SOLID97 - 3-D Magnetic Solid
14.97.1. Other Applicable Sections
14.98. SOLID98 - Tetrahedral Coupled-Field Solid
14.98.1. Other Applicable Sections
14.99. SHELL99 - Linear Layered Structural Shell
14.99.1. Other Applicable Sections
14.99.2. Assumptions and Restrictions
14.99.3. Direct Matrix Input
14.99.4. Stress Calculations
14.99.5. Force and Moment Summations
14.99.6. Shear Strain Adjustment
14.99.7. Interlaminar Shear Stress Calculations
14.100. Not Documented
14.101. Not Documented
14.102. Not Documented
14.103. Not Documented
14.104. Not Documented
14.105. Not Documented
14.106. VISCO106 - 2-D 4-Node Viscoplastic Solid
14.106.1. Other Applicable Sections
14.107. VISCO107 - 3-D 8-Node Viscoplastic Solid
14.107.1. Basic Assumptions
14.107.2. Element Tangent Matrices and Newton-Raphson Restoring Force
14.107.3. Plastic Energy Output
14.108. VISCO108 - 2-D 8-Node Viscoplastic Solid
14.108.1. Other Applicable Sections
14.108.2. Assumptions and Restrictions
14.109. TRANS109 - 2-D Electromechanical Transducer
14.110. INFIN110 - 2-D Infinite Solid
14.110.1. Mapping Functions
14.110.2. Matrices
14.111. INFIN111 - 3-D Infinite Solid
14.111.1. Other Applicable Sections
14.112. Not Documented
14.113. Not Documented
14.114. Not Documented
14.115. INTER115 - 3-D Magnetic Interface
14.115.1. Element Matrix Derivation
14.115.2. Formulation
14.116. FLUID116 - Coupled Thermal-Fluid Pipe
14.116.1. Assumptions and Restrictions
14.116.2. Combined Equations
14.116.3. Thermal Matrix Definitions
14.116.4. Fluid Equations
14.117. SOLID117 - 3-D 20-Node Magnetic Edge
14.117.1. Other Applicable Sections
14.117.2. Matrix Formulation of Low Frequency Edge Element and Tree Gauging
14.118. Not Documented
14.119. HF119 - 3-D High-Frequency Magnetic Tetrahedral Solid
14.119.1. Other Applicable Sections
14.119.2. Solution Shape Functions - H (curl) Conforming Elements
14.120. HF120 - High-Frequency Magnetic Brick Solid
14.120.1. Other Applicable Sections
14.120.2. Solution Shape Functions - H(curl) Conforming Element
14.121. PLANE121 - 2-D 8-Node Electrostatic Solid
14.121.1. Other Applicable Sections
14.121.2. Assumptions and Restrictions
14.122. SOLID122 - 3-D 20-Node Electrostatic Solid
14.122.1. Other Applicable Sections
14.123. SOLID123 - 3-D 10-Node Tetrahedral Electrostatic Solid
14.123.1. Other Applicable Sections
14.124. CIRCU124 - Electric Circuit
14.124.1. Electric Circuit Elements
14.124.2. Electric Circuit Element Matrices
14.125. CIRCU125 - Diode
14.125.1. Diode Elements
14.125.2. Norton Equivalents
14.125.3. Element Matrix and Load Vector
14.126. TRANS126 - Electromechanical Transducer
14.127. SOLID127 - 3-D Tetrahedral Electrostatic Solid p-Element
14.127.1. Other Applicable Sections
14.128. SOLID128 - 3-D Brick Electrostatic Solid p-Element
14.128.1. Other Applicable Sections
14.129. FLUID129 - 2-D Infinite Acoustic
14.129.1. Other Applicable Sections
14.130. FLUID130 - 3-D Infinite Acoustic
14.130.1. Mathematical Formulation and F.E. Discretization
14.130.2. Finite Element Discretization
14.131. SHELL131 - 4-Node Layered Thermal Shell
14.131.1. Other Applicable Sections
14.132. SHELL132 - 8-Node Layered Thermal Shell
14.132.1. Other Applicable Sections
14.133. Not Documented
14.134. Not Documented
14.135. Not Documented
14.136. FLUID136 - 3-D Squeeze Film Fluid Element
14.136.1. Other Applicable Sections
14.136.2. Assumptions and Restrictions
14.137. Not Documented
14.138. FLUID138 - 3-D Viscous Fluid Link Element
14.138.1. Other Applicable Sections
14.139. FLUID139 - 3-D Slide Film Fluid Element
14.139.1. Other Applicable Sections
14.140. Not Documented
14.141. FLUID141 - 2-D Fluid-Thermal
14.141.1. Other Applicable Sections
14.142. FLUID142 - 3-D Fluid-Thermal
14.142.1. Other Applicable Sections
14.142.2. Distributed Resistance Main Diagonal Modification
14.142.3. Turbulent Kinetic Energy Source Term Linearization
14.142.4. Turbulent Kinetic Energy Dissipation Rate
14.143. Not Documented
14.144. ROM144 - Reduced Order Electrostatic-Structural
14.144.1. Element Matrices and Load Vectors
14.144.2. Combination of Modal Coordinates and Nodal Displacement at Master Nodes
14.144.3. Element Loads
14.145. PLANE145 - 2-D Quadrilateral Structural Solid p-Element
14.145.1. Other Applicable Sections
14.146. PLANE146 - 2-D Triangular Structural Solid p-Element
14.146.1. Other Applicable Sections
14.147. SOLID147 - 3-D Brick Structural Solid p-Element
14.147.1. Other Applicable Sections
14.148. SOLID148 - 3-D Tetrahedral Structural Solid p-Element
14.148.1. Other Applicable Sections
14.149. Not Documented
14.150. SHELL150 - 8-Node Structural Shell p-Element
14.150.1. Other Applicable Sections
14.150.2. Assumptions and Restrictions
14.150.3. Stress-Strain Relationships
14.151. SURF151 - 2-D Thermal Surface Effect
14.152. SURF152 - 3-D Thermal Surface Effect
14.152.1. Matrices and Load Vectors
14.152.2. Adiabatic Wall Temperature as Bulk Temperature
14.152.3. Film Coefficient Adjustment
14.152.4. Radiation Form Factor Calculation
14.153. SURF153 - 2-D Structural Surface Effect
14.154. SURF154 - 3-D Structural Surface Effect
14.155. Not Documented
14.156. SURF156 - 3-D Structural Surface Line Load Effect
14.157. SHELL157 - Thermal-Electric Shell
14.157.1. Other Applicable Sections
14.158. Not Documented
14.159. Not Documented
14.160. LINK160 - Explicit 3-D Spar (or Truss)
14.161. BEAM161 - Explicit 3-D Beam
14.162. PLANE162 - Explicit 2-D Structural Solid
14.163. SHELL163 - Explicit Thin Structural Shell
14.164. SOLID164 - Explicit 3-D Structural Solid
14.165. COMBI165 - Explicit Spring-Damper
14.166. MASS166 - Explicit 3-D Structural Mass
14.167. LINK167 - Explicit Tension-Only Spar
14.168. SOLID168 - Explicit 3-D 10-Node Tetrahedral Structural Solid
14.169. TARGE169 - 2-D Target Segment
14.169.1. Other Applicable Sections
14.169.2. Segment Types
14.170. TARGE170 - 3-D Target Segment
14.170.1. Introduction
14.170.2. Segment Types
14.170.3. Reaction Forces
14.171. CONTA171 - 2-D 2-Node Surface-to-Surface Contact
14.171.1. Other Applicable Sections
14.172. CONTA172 - 2-D 3-Node Surface-to-Surface Contact
14.172.1. Other Applicable Sections
14.173. CONTA173 - 3-D 4-Node Surface-to-Surface Contact
14.173.1. Other Applicable Sections
14.174. CONTA174 - 3-D 8-Node Surface-to-Surface Contact
14.174.1. Introduction
14.174.2. Contact Kinematics
14.174.3. Frictional Model
14.174.4. Contact Algorithm
14.174.5. Debonding
14.174.6. Thermal/Structural Contact
14.174.7. Electric Contact
14.174.8. Magnetic Contact
14.175. CONTA175 - 2-D/3-D Node-to-Surface Contact
14.175.1. Other Applicable Sections
14.175.2. Contact Models
14.175.3. Contact Forces
14.176. CONTA176 - 3-D Line-to-Line Contact
14.176.1. Other Applicable Sections
14.176.2. Contact Kinematics
14.176.3. Contact Forces
14.177. CONTA177 - 3-D Line-to-Surface Contact
14.177.1. Other Applicable Sections
14.177.2. Contact Forces
14.178. CONTA178 - 3-D Node-to-Node Contact
14.178.1. Introduction
14.178.2. Contact Algorithms
14.178.3. Element Damper
14.179. PRETS179 - Pretension
14.179.1. Introduction
14.179.2. Assumptions and Restrictions
14.180. LINK180 - 3-D Finite Strain Spar (or Truss)
14.180.1. Assumptions and Restrictions
14.180.2. Element Mass Matrix
14.181. SHELL181 - 4-Node Finite Strain Shell
14.181.1. Other Applicable Sections
14.181.2. Assumptions and Restrictions
14.181.3. Assumed Displacement Shape Functions
14.181.4. Membrane Option
14.181.5. Warping
14.182. PLANE182 - 2-D 4-Node Structural Solid
14.182.1. Other Applicable Sections
14.182.2. Theory
14.183. PLANE183 - 2-D 8-Node Structural Solid
14.183.1. Other Applicable Sections
14.183.2. Assumptions and Restrictions
14.184. MPC184 - Multipoint Constraint
14.184.1. Slider Element
14.184.2. Joint Elements
14.185. SOLID185 - 3-D 8-Node Structural Solid
14.185.1. SOLID185 - 3-D 8-Node Structural Solid
14.185.2. SOLID185 - 3-D 8-Node Layered Solid
14.185.3. Other Applicable Sections
14.185.4. Theory
14.186. SOLID186 - 3-D 20-Node Non-Layered/Layered Structural Solid
14.186.1. SOLID186 - 3-D 20-Node Non-layered Structural Solid
14.186.2. SOLID186 - 3-D 20-Node Layered Structural Solid
14.186.3. Other Applicable Sections
14.187. SOLID187 - 3-D 10-Node Tetrahedral Structural Solid
14.187.1. Other Applicable Sections
14.188. BEAM188 - 3-D Linear Finite Strain Beam
14.189. BEAM189 - 3-D Quadratic Finite Strain Beam
14.189.1. Assumptions and Restrictions
14.189.2. Stress Evaluation
14.190. SOLSH190 - 3-D 8-Node Layered Solid Shell
14.190.1. Other Applicable Sections
14.190.2. Theory
14.191. SOLID191 - 3-D 20-Node Layered Structural Solid
14.191.1. Other Applicable Sections
14.192. INTER192 - 2-D 4-Node Gasket
14.192.1. Other Applicable Sections
14.193. INTER193 - 2-D 6-Node Gasket
14.193.1. Other Applicable Sections
14.194. INTER194 - 3-D 16-Node Gasket
14.194.1. Element Technology
14.195. INTER195 - 3-D 8-Node Gasket
14.195.1. Other Applicable Sections
14.196. Not Documented
14.197. Not Documented
14.198. Not Documented
14.199. Not Documented
14.200. Not Documented
14.201. Not Documented
14.202. INTER202 - 2-D 4-Node Interface
14.202.1. Other Applicable Sections
14.203. INTER203 - 2-D 6-Node Interface
14.203.1. Other Applicable Sections
14.204. INTER204 - 3-D 16-Node Interface
14.204.1. Element Technology
14.205. INTER205 - 3-D 8-Node Interface
14.205.1. Other Applicable Sections
14.206. Not Documented
14.207. Not Documented
14.208. SHELL208 - 2-Node Finite Strain Axisymmetric Shell
14.208.1. Other Applicable Sections
14.208.2. Assumptions and Restrictions
14.209. SHELL209 - 2-Node Finite Strain Axisymmetric Shell
14.209.1. Other Applicable Sections
14.209.2. Assumptions and Restrictions
14.210. Not Documented
14.211. Not Documented
14.212. Not Documented
14.213. Not Documented
14.214. COMBI214 - 2-D Spring-Damper Bearing
14.214.1. Matrices
14.214.2. Output Quantities
14.215. Not Documented
14.216. Not Documented
14.217. Not Documented
14.218. Not Documented
14.219. Not Documented
14.220. Not Documented
14.221. Not Documented
14.222. Not Documented
14.223. PLANE223 - 2-D 8-Node Coupled-Field Solid
14.223.1. Other Applicable Sections
14.224. Not Documented
14.225. Not Documented
14.226. SOLID226 - 3-D 20-Node Coupled-Field Solid
14.226.1. Other Applicable Sections
14.227. SOLID227 - 3-D 10-Node Coupled-Field Solid
14.227.1. Other Applicable Sections
14.228. Not Documented
14.229. Not Documented
14.230. PLANE230 - 2-D 8-Node Electric Solid
14.230.1. Other Applicable Sections
14.230.2. Assumptions and Restrictions
14.231. SOLID231 - 3-D 20-Node Electric Solid
14.231.1. Other Applicable Sections
14.232. SOLID232 - 3-D 10-Node Tetrahedral Electric Solid
14.232.1. Other Applicable Sections
14.233. Not Documented
14.234. Not Documented
14.235. Not Documented
14.236. Not Documented
14.237. Not Documented
14.238. Not Documented
14.239. Not Documented
14.240. Not Documented
14.241. Not Documented
14.242. Not Documented
14.243. Not Documented
14.244. Not Documented
14.245. Not Documented
14.246. Not Documented
14.247. Not Documented
14.248. Not Documented
14.249. Not Documented
14.250. Not Documented
14.251. SURF251 - 2-D Radiosity Surface
14.252. SURF252 - 3-D Thermal Radiosity Surface
14.253. Not Documented
14.254. Not Documented
14.255. Not Documented
14.256. Not Documented
14.257. Not Documented
14.258. Not Documented
14.259. Not Documented
14.260. Not Documented
14.261. Not Documented
14.262. Not Documented
14.263. Not Documented
14.264. Not Documented
14.265. REINF265 - 3-D Smeared Reinforcing
14.265.1. Other Applicable Sections
14.265.2. Stiffness and Mass Matrices of a Reinforcing Layer
14.266. Not Documented
14.267. Not Documented
14.268. Not Documented
14.269. Not Documented
14.270. Not Documented
14.271. Not Documented
14.272. Not Documented
14.273. Not Documented
14.274. Not Documented
14.275. Not Documented
14.276. Not Documented
14.277. Not Documented
14.278. Not Documented
14.279. Not Documented
14.280. Not Documented
14.281. SHELL281 - 8-Node Finite Strain Shell
14.281.1. Other Applicable Sections
14.281.2. Assumptions and Restrictions
14.281.3. Membrane Option
15. Analysis Tools
15.1. Acceleration Effect
15.2. Inertia Relief
15.3. Damping Matrices
15.4. Rotating Structures
15.4.1. Coriolis Matrix and Coriolis Force
15.4.2. Gyroscopic Matrix
15.5. Element Reordering
15.5.1. Reordering Based on Topology with a Program-Defined Starting Surface
15.5.2. Reordering Based on Topology with a User- Defined Starting Surface
15.5.3. Reordering Based on Geometry
15.5.4. Automatic Reordering
15.6. Automatic Master DOF Selection
15.7. Automatic Time Stepping
15.7.1. Time Step Prediction
15.7.2. Time Step Bisection
15.7.3. The Response Eigenvalue for 1st Order Transients
15.7.4. The Response Frequency for Structural Dynamics
15.7.5. Creep Time Increment
15.7.6. Plasticity Time Increment
15.7.7. Midstep Residual for Structural Dynamic Analysis
15.8. Solving for Unknowns and Reactions
15.8.1. Reaction Forces
15.8.2. Disequilibrium
15.9. Equation Solvers
15.9.1. Direct Solvers
15.9.2. Sparse Direct Solver
15.9.3. Frontal Solver
15.9.4. Iterative Solver
15.10. Mode Superposition Method
15.10.1. Modal Damping
15.10.2. Residual Vector Method
15.11. Extraction of Modal Damping Parameter for Squeeze Film Problems
15.12. Reduced Order Modeling of Coupled Domains
15.12.1. Selection of Modal Basis Functions
15.12.2. Element Loads
15.12.3. Mode Combinations for Finite Element Data Acquisition and Energy Computation
15.12.4. Function Fit Methods for Strain Energy
15.12.5. Coupled Electrostatic-Structural Systems
15.12.6. Computation of Capacitance Data and Function Fit
15.13. Newton-Raphson Procedure
15.13.1. Overview
15.13.2. Convergence
15.13.3. Predictor
15.13.4. Adaptive Descent
15.13.5. Line Search
15.13.6. Arc-Length Method
15.14. Constraint Equations
15.14.1. Derivation of Matrix and Load Vector Operations
15.15. This section intentionally omitted
15.16. Eigenvalue and Eigenvector Extraction
15.16.1. Reduced Method
15.16.2. Subspace Method
15.16.3. Block Lanczos
15.16.4. PCG Lanczos
15.16.5. Unsymmetric Method
15.16.6. Damped Method
15.16.7. QR Damped Method
15.16.8. Shifting
15.16.9. Repeated Eigenvalues
15.16.10. Complex Eigensolutions
15.17. Analysis of Cyclic Symmetric Structures
15.17.1. Modal Analysis
15.17.2. Complete Mode Shape Derivation
15.17.3. Cyclic Symmetry Transformations
15.18. Mass Moments of Inertia
15.18.1. Accuracy of the Calculations
15.18.2. Effect of KSUM, LSUM, ASUM, and VSUM Commands
15.19. Energies
15.20. ANSYS Workbench Product Adaptive Solutions
16. This chapter intentionally omitted.
17. Analysis Procedures
17.1. Static Analysis
17.1.1. Assumptions and Restrictions
17.1.2. Description of Structural Systems
17.1.3. Description of Thermal, Magnetic and Other First Order Systems
17.2. Transient Analysis
17.2.1. Assumptions and Restrictions
17.2.2. Description of Structural and Other Second Order Systems
17.2.3. Description of Thermal, Magnetic and Other First Order Systems
17.3. Mode-Frequency Analysis
17.3.1. Assumptions and Restrictions
17.3.2. Description of Analysis
17.4. Harmonic Response Analyses
17.4.1. Assumptions and Restrictions
17.4.2. Description of Analysis
17.4.3. Complex Displacement Output
17.4.4. Nodal and Reaction Load Computation
17.4.5. Solution
17.4.6. Variational Technology Method
17.4.7. Automatic Frequency Spacing
17.4.8. Rotating Forces on Rotating Structures
17.5. Buckling Analysis
17.5.1. Assumptions and Restrictions
17.5.2. Description of Analysis
17.6. Substructuring Analysis
17.6.1. Assumptions and Restrictions (within Superelement)
17.6.2. Description of Analysis
17.6.3. Statics
17.6.4. Transients
17.6.5. Component Mode Synthesis (CMS)
17.7. Spectrum Analysis
17.7.1. Assumptions and Restrictions
17.7.2. Description of Analysis
17.7.3. Single-Point Response Spectrum
17.7.4. Damping
17.7.5. Participation Factors and Mode Coefficients
17.7.6. Combination of Modes
17.7.7. Reduced Mass Summary
17.7.8. Effective Mass
17.7.9. Dynamic Design Analysis Method
17.7.10. Random Vibration Method
17.7.11. Description of Method
17.7.12. Response Power Spectral Densities and Mean Square Response
17.7.13. Cross Spectral Terms for Partially Correlated Input PSDs
17.7.14. Spatial Correlation
17.7.15. Wave Propagation
17.7.16. Multi-Point Response Spectrum Method
18. Preprocessing and Postprocessing Tools
18.1. Integration and Differentiation Procedures
18.1.1. Single Integration Procedure
18.1.2. Double Integration Procedure
18.1.3. Differentiation Procedure
18.1.4. Double Differentiation Procedure
18.2. Fourier Coefficient Evaluation
18.3. Statistical Procedures
18.3.1. Mean, Covariance, Correlation Coefficient
18.3.2. Random Samples of a Uniform Distribution
18.3.3. Random Samples of a Gaussian Distribution
18.3.4. Random Samples of a Triangular Distribution
18.3.5. Random Samples of a Beta Distribution
18.3.6. Random Samples of a Gamma Distribution
19. Postprocessing
19.1. POST1 - Derived Nodal Data Processing
19.1.1. Derived Nodal Data Computation
19.2. POST1 - Vector and Surface Operations
19.2.1. Vector Operations
19.2.2. Surface Operations
19.3. POST1 - Path Operations
19.3.1. Defining the Path
19.3.2. Defining Orientation Vectors of the Path
19.3.3. Mapping Nodal and Element Data onto the Path
19.3.4. Operating on Path Data
19.4. POST1 - Stress Linearization
19.4.1. Cartesian Case
19.4.2. Axisymmetric Case (General)
19.4.3. Axisymmetric Case
19.5. POST1 - Fatigue Module
19.6. POST1 - Electromagnetic Macros
19.6.1. Flux Passing Thru a Closed Contour
19.6.2. Force on a Body
19.6.3. Magnetomotive Forces
19.6.4. Power Loss
19.6.5. Terminal Parameters for a Stranded Coil
19.6.6. Energy Supplied
19.6.7. Terminal Inductance
19.6.8. Flux Linkage
19.6.9. Terminal Voltage
19.6.10. Torque on a Body
19.6.11. Energy in a Magnetic Field
19.6.12. Relative Error in Electrostatic or Electromagnetic Field Analysis
19.6.13. SPARM Macro-Parameters
19.6.14. Electromotive Force
19.6.15. Impedance of a Device
19.6.16. Computation of Equivalent Transmission-line Parameters
19.6.17. Quality Factor
19.7. POST1 - Error Approximation Technique
19.7.1. Error Approximation Technique for Displacement-Based Problems
19.7.2. Error Approximation Technique for Temperature-Based Problems
19.7.3. Error Approximation Technique for Magnetics-Based Problems
19.8. POST1 - Crack Analysis
19.9. POST1 - Harmonic Solid and Shell Element Postprocessing
19.9.1. Thermal Solid Elements (PLANE75, PLANE78)
19.9.2. Structural Solid Elements (PLANE25, PLANE83)
19.9.3. Structural Shell Element (SHELL61)
19.10. POST26 - Data Operations
19.11. POST26 - Response Spectrum Generator (RESP)
19.11.1. Time Step Size
19.12. POST1 and POST26 - Interpretation of Equivalent Strains
19.12.1. Physical Interpretation of Equivalent Strain
19.12.2. Elastic Strain
19.12.3. Plastic Strain
19.12.4. Creep Strain
19.12.5. Total Strain
19.13. POST26 - Response Power Spectral Density
19.14. POST26 - Computation of Covariance
20. Design Optimization
20.1. Introduction to Design Optimization
20.1.1. Feasible Versus Infeasible Design Sets
20.1.2. The Best Design Set
20.1.3. Optimization Methods and Design Tools
20.2. Subproblem Approximation Method
20.2.1. Function Approximations
20.2.2. Minimizing the Subproblem Approximation
20.2.3. Convergence
20.3. First Order Optimization Method
20.3.1. The Unconstrained Objective Function
20.3.2. The Search Direction
20.3.3. Convergence
20.4. Topological Optimization
20.4.1. General Optimization Problem Statement
20.4.2. Maximum Static Stiffness Design
20.4.3. Minimum Volume Design
20.4.4. Maximum Dynamic Stiffness Design
20.4.5. Element Calculations
21. Probabilistic Design
21.1. Uses for Probabilistic Design
21.2. Probabilistic Modeling and Preprocessing
21.2.1. Statistical Distributions for Random Input Variables
21.3. Probabilistic Methods
21.3.1. Introduction
21.3.2. Common Features for all Probabilistic Methods
21.3.3. Monte Carlo Simulation Method
21.3.4. The Response Surface Method
21.4. Regression Analysis for Building Response Surface Models
21.4.1. General Definitions
21.4.2. Linear Regression Analysis
21.4.3. F-Test for the Forward-Stepwise-Regression
21.4.4. Transformation of Random Output Parameter Values for Regression Fitting
21.4.5. Goodness-of-Fit Measures
21.5. Probabilistic Postprocessing
21.5.1. Statistical Procedures
21.5.2. Correlation Coefficient Between Sampled Data
21.5.3. Cumulative Distribution Function
21.5.4. Evaluation of Probabilities From the Cumulative Distribution Function
21.5.5. Inverse Cumulative Distribution Function
22. Reference Index

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

 Next
Release Notes


Release Notes

Release 11.0 Documentation for ANSYS

Table of Contents

About ANSYS 11.0 Documentation
1. Using Online Documentation
2. Legal Notice Information
3. Expert Search
1. ANSYS Release Notes for 11.0
1.1. ANSYS 11.0 New Features and Enhancements
1.1.1. Installation and Licensing Changes
1.1.2. Structural
1.1.3. Coupled-Field
1.1.4. Low-Frequency Electromagnetics
1.1.5. High-Frequency Electromagnetics
1.1.6. Thermal and Fluids/CFD
1.1.7. Solvers
1.1.8. Other ANSYS Enhancements
1.1.9. Commands
1.1.10. Elements
1.1.11. APDL Enhancements
1.1.12. Documentation Updates for Programmers
1.2. Known Incompatibilities in ANSYS 11.0
1.2.1. MASS21 with KEYOPT(2) = 1
1.2.2. MIDTOL Command
1.2.3. PLHFFAR and PRHFFAR Commands
1.2.4. MPC184 Element
1.2.5. SHELL208 and SHELL209 Elements
1.2.6. Results File Format Change
1.2.7. /CONFIG Command
1.3. The ANSYS Customer Portal

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Release 11.0 Documentation for ANSYS 		Up / Home Next
About ANSYS 11.0 Documentation


About ANSYS 11.0 Documentation

  • Using Online Documentation
  • Legal Notice Information
  • Expert Search

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Release Notes 		Up / Home Next
1. Using Online Documentation


1. Using Online Documentation

ANSYS uses OracleHelp on UNIX systems and the HTML Help Viewer built into Microsoft Windows to display the online documentation.

To access the entire ANSYS online help library...

Open the Documentation for ANSYS window by selecting Help> Help Topics from within the ANSYS GUI (Utility Menu), as shown:

From the Documentation for ANSYS window, you can view the list of available help topics, search the help index, or perform a keyword search. You can also create your own list of favorite topics for those sections of the ANSYS help documentation that you find most useful.

To access command or element help via the ANSYS command line...

Enter the following help command in the ANSYS command line:

help, topic

where topic is either a command name, element name, element number, or element type.

For example, to access the online documentation for the CONTA173 element, either of the following help commands are valid:

help, CONTA173

or

help, 173

To access context-sensitive help...

Click on the Help button within any ANSYS dialog box.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
About ANSYS 11.0 Documentation 		Up / Home Next
2. Legal Notice Information


2. Legal Notice Information

Copyright and Trademark Information

© 2007 SAS IP, Inc. All rights reserved. Unauthorized use, distribution or duplication is prohibited.

ANSYS, ANSYS Workbench, AUTODYN, CFX, FLUENT and any and all ANSYS, Inc. brand, product, service and feature names, logos and slogans are registered trademarks or trademarks of ANSYS, Inc. or its subsidiaries located in the United States or other countries. ICEM CFD is a trademark used by ANSYS, Inc. under license. All other brand, product, service and feature names or trademarks are the property of their respective owners.

Disclaimer Notice

THIS ANSYS SOFTWARE PRODUCT AND PROGRAM DOCUMENTATION INCLUDE TRADE SECRETS AND ARE CONFIDENTIAL AND PROPRIETARY PRODUCTS OF ANSYS, INC., ITS SUBSIDIARIES, OR LICENSORS. The software products and documentation are furnished by ANSYS, Inc., its subsidiaries, or affiliates under a software license agreement that contains provisions concerning non-disclosure, copying, length and nature of use, compliance with exporting laws, warranties, disclaimers, limitations of liability, and remedies, and other provisions. The software products and documentation may be used, disclosed, transferred, or copied only in accordance with the terms and conditions of that software license agreement.

ANSYS, Inc. and ANSYS Europe, Ltd. are UL registered ISO 9001:2000 Companies.

U.S. Government Rights

For U.S. Government users, except as specifically granted by the ANSYS, Inc. software license agreement, the use, duplication, or disclosure by the United States Government is subject to restrictions stated in the ANSYS, Inc. software license agreement and FAR 12.212 (for non DOD licenses).

Third-Party Software

This product contains the following licensed software which requires reproduction of the following notices.

FLEXlm and FLEXnet are trademarks of Macrovision Corporation.

Microsoft, Windows, Windows 2000 and Windows XP are registered trademarks of Microsoft Corporation.
Inventor and Mechanical Desktop are registered trademarks of Autodesk, Inc.
SolidWorks is a registered trademark of SolidWorks Corporation.
Pro/ENGINEER is a registered trademark of Parametric Technology Corporation.
Unigraphics, Solid Edge and Parasolid are registered trademarks of Electronic Data Systems Corporation (EDS).
ACIS and ACIS Geometric Modeler are registered trademarks of Spatial Technology, Inc.

Copyright 2004 Sun Microsystems, Inc., 4150 Network Circle, Santa Clara, California 95054, U.S.A. All rights reserved. Sun Microsystems, Inc. has intellectual property rights relating to technology embodied in this product. In particular, and without limitation, these intellectual property rights may include one or more of the U.S. patents listed at http://www.sun.com/patents and one or more additional patents or pending patent applications in the U.S. and other countries. This product is distributed under licenses restricting its use, copying distribution, and decompilation. No part of this product may be reproduced in any form by any means without prior written authorization of Sun and its licensors, if any. Third-party software, including font technology, is copyrighted and licensed from Sun suppliers. Portions Copyright Eastman Kodak Company 1992. This product includes code licensed from RSA Data Security. This product includes software developed by the Apache Software Foundation (http://www.apache.org). Portions licensed from Taligent, Inc. This software is based in part on the work of the Independent JPEG Group. The Graphics Interchange Format is the Copyright property of CompuServe Incorporated. Sun, Sun Microsystems, the Sun logo, Java, Solaris, J2SE, the Duke logo, the Java Coffee Cup logo and the Solaris logo are trademarks or registered trademarks of Sun Microsystems, Inc. in the U.S. and other countries. All SPARC trademarks are used under license and are trademarks or registered trademarks of SPARC International, Inc. in the U.S. and other countries. Products bearing SPARC trademarks are based upon architecture developed by Sun Microsystems, Inc. UNIX is a registered trademark in the U.S. and other countries, exclusively licensed through X/Open Company, Ltd. Lucida is a registered trademark or trademark of Bigelow & Holmes in the U.S. And other countries. GIF(sm) is a Service Mark property of CompuServe Incorporated. Federal Acquisitions: Commercial Software - Government Users Subject to Standard License Terms and Conditions.

CONTAINS IBM(R) 64-bit Runtime Environment for AIX(TM), Java(TM) 2 Technology Edition, Version 1.4 Modules (c) Copyright IBM Corporation 1999, 2002 All Rights Reserved

PCGLSS: Linear Equations Solver © Copyright 1992-1995 CA&SI, 2004 S.Wright Street, Urbana, IL 61821. Copyright © 1992-1995 Computational Applications and System Integration Inc. All rights Reserved. Ph. 217.244.7875/Fax 217.244.7874 CA&SI DOES NOT GUARANTEE THE CORRECTNESS OR USEFULNESS OF THE RESULTS OBTAINED USING PCGLSS. CA&SI IS NOT LIABLE FOR ANY CONCLUSIONS OR ACTIONS BASED ON THE RESULTS. IT IS THE RESPONSIBILITY OF THE USER TO CONFIRM THE ACCURACY AND USEFULNESS OF THE RESULTS. Computational Applications and System Integration Inc. All Rights Reserved

Tcl/Tk/BLT: The Tcl/Tk scripting and GUI system was developed by John Ousterhout at the University of California at Berkeley, and is now being maintained by the Tcl/Tk group at Sun. The BLT extensions to Tcl/Tk were developed by George Howlett of Lucent Technologies and others, and provide table, graph, and other utilities.

Tk and Tcl is copyrighted by the Regents of the University of California, Sun Microsystems, Inc., Scriptics Corporation, and other parties. The authors hereby grant permission to use, copy, modify, distribute, and license this software and its documentation for any purpose, provided that existing copyright notices are retained in all copies and that this notice is included verbatim in any distributions. No written agreement, license, or royalty fee is required for any of the authorized uses. Modifications to this software may be copyrighted by their authors and need not follow the licensing terms described here, provided that the new terms are clearly indicated on the first page of each file where they apply. IN NO EVENT SHALL THE AUTHORS OR DISTRIBUTORS BE LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF THIS SOFTWARE, ITS DOCUMENTATION, OR ANY DERIVATIVES THEREOF, EVEN IF THE AUTHORS HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. THE AUTHORS AND DISTRIBUTORS SPECIFICALLY DISCLAIM ANY WARRANTIES,INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY,FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT. THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, AND THE AUTHORS AND DISTRIBUTORS HAVE NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS

MPI/Pro® is a registered trademark of MPI Software Technology, Inc.
Copyright © 1999-2003 MPI Software Technology, Inc.
Solution Viewer contains Open Inventor 3.1.1 from TGS and Qt3.1 from Trolltech.com

MPICH2 Copyright Notice + 2002 University of Chicago Permission is hereby granted to use, reproduce, prepare derivative works, and to redistribute to others. This software was authored by: Argonne National Laboratory Group W. Gropp: (630) 252-4318; FAX: (630) 252-5986; e-mail: gropp@mcs.anl.gov E. Lusk: (630) 252-7852; FAX: (630) 252-5986; e-mail: lusk@mcs.anl.gov Mathematics and Computer Science Division Argonne National Laboratory, Argonne IL 60439

HP Fortran RTL #385 for Tru64 UNIX Alpha Copyright Hewlett-Packard Company 2002. All rights reserved Restricted Rights: Use, duplication, or disclosure by the U.S. Government is subject to restrictions as set forth in subparagraph (c) (1) (ii) of DFARS 252.227-7013, or in FAR 52.227-19, or in FAR 52.227-14 Alt. III, as applicable. HP C++ Shared RTL for Tru64 UNIX Alpha Copyright Hewlett-Packard Company 2002. All rights reserved. Restricted Rights: Use, duplication, or disclosure by the U.S. Government is subject to restrictions as set forth in subparagraph (c) (1) (ii) of DFARS 252.227-7013, or in FAR 52.227-19, or in FAR 52.227-14 Alt. III, as applicable. Contains IBM XL Fortran for AIX Version 7.1 Release 1.1 Runtime Modules Copyright IBM Corporation 1990, 1997. All Rights Reserved

TIFF: Copyright (c) 1988-1997 Sam Leffler, Copyright (c) 1991-1997 Silicon Graphics, Inc. - Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that (i) the above copyright notices and this permission notice appear in all copies of the software and related documentation, and (ii) the names of Sam Leffler and Silicon Graphics may not be used in any advertising or publicity relating to the software without the specific, prior written permission of Sam Leffler and Silicon Graphics.

libpng version 1.0.8 - July 24, 2000
Copyright (c) 1998-2000 Glenn Randers-Pehrson
Copyright (c) 1996, 1997 Andreas Dilger
Copyright (c) 1995, 1996 Guy Eric Schalnat, Group 42, Inc.

This software is based in part on the work of the Independent JPEG Group.

ZLIB 1.1.3 Copyright (C) 1995-1998 Jean-loup Gailly and Mark Adler

Meschach Library Copyright (C) 1993 David E. Steward & Zbigniew Leyk, all rights reserved.

Copyright 1984-1989, 1994 Adobe Systems Incorporated. Copyright 1988, 1994 Digital Equipment Corporation. Permission to use,copy,modify,distribute and sell this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notices appear in all copies and that both those copyright notices and this permission notice appear in supporting documentation, and that the names of Adobe Systems and Digital Equipment Corporation not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission. Adobe Systems & Digital Equipment Corporation make no representations about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

(c) 1999 by the Society for Industrial and Applied Mathematics. Certain derivative work portions have been copyrighted by the Numerical Algorithms Group Ltd.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1. Using Online Documentation 		Up / Home Next
3. Expert Search


3. Expert Search

The ANSYS Expert Search is a new, web-based option you can use when searching the ANSYS Help. It offers both a basic search page and a customizable advanced search page. To access the Expert Search, point your web browser to the ANSYS Customer Portal:

http://www1.ansys.com/customer/

Once you have logged in to the Portal, Select Expert Search from the Portal homepage.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2. Legal Notice Information 		Up / Home Next
Chapter 1. ANSYS Release Notes for 11.0


Chapter 1. ANSYS Release Notes for 11.0

Introduction to the ANSYS 11.0 Family of Products

The ANSYS 11.0 Family of Products continues ANSYS, Inc.'s commitment to provide the highest quality engineering tools to help you with all of your design and analysis needs. This release of the products contains all of the capabilities from previous releases, plus many new features to enhance your productivity. Some important areas where you will find new capabilities include the following:

  • Installation and Licensing Changes

  • Structural

  • Coupled-Field

  • Low-Frequency Electromagnetics

  • High-Frequency Electromagnetics

  • Thermal and Fluids/CFD

  • Solvers

  • Other ANSYS Enhancements

  • Commands

  • Elements

  • APDL Enhancements

  • Documentation Updates for Programmers

For more information about this release, see Known Incompatibilities in ANSYS 11.0 and The ANSYS Customer Portal.

For information about changes to the ANSYS Workbench Products, see the ANSYS Workbench Products Release Notes.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3. Expert Search 		Up / Home Next
1.1. ANSYS 11.0 New Features and Enhancements


1.1. ANSYS 11.0 New Features and Enhancements

At ANSYS 11.0, all ANSYS, Inc. products now use the same installation process. Please refer to the section Global Release Notes in the PDF or printed version of the ANSYS, Inc. Release Notes for installation, licensing, and system updates that apply to all products. You can find the printed version in the ANSYS 11.0 product box, or the PDF version on the Customer Portal on www.ansys.com.

1.1.1. Installation and Licensing Changes

The following installation and licensing changes apply to ANSYS 11.0. Unless otherwise noted, all changes listed apply to both Windows and UNIX platforms.

  • The ANS_ADMIN utility on UNIX has been updated to include ANSYS Workbench configuration options.

  • The Network Configuration utility on Windows has been updated to include ANSYS and Workbench configuration options. The Configure Pro/ENGINEER and Configure a Machine options have been removed from the ANS_ADMIN utility on Windows.

  • Pro/ENGINEER and Unigraphics configuration can now be completed as part of the ANSYS or ANSYS Workbench installation.

  • The Windows XP x64 platform is now supported.

  • The HP AlphaServer and Windows Intel IA-64 platforms are no longer supported.

  • LS-DYNA MPP is now available for UNIX platforms and for 64-bit Windows platforms running MS MPI. See LS-DYNA Parallel Processing Capabilities in the ANSYS LS-DYNA User's Guide for more information. You will need an ANSYS LS-DYNA Parallel license for every processor beyond the first one. If you have an existing key for ANSYS LS-DYNA's SMP capabilities, it will work for the MPP capability as well.

1.1.1.1. Command Line Option Changes

The -pp command line option is no longer used. Instead, use the -dis option to specify Distributed ANSYS, and/or the -np option to specify multiple processors for either Distributed ANSYS or shared-memory parallel ANSYS. If you issue the -pp command line option, it will be interpreted as an APDL parameter.

The -fs command line option is no longer used. Instead, use the -vt option to enable the VT Accelerator add-on, which allows substantial speedup of nonlinear and transient analyses, and both structural and high frequency electromagnetic harmonic analysis. VT Accelerator requires one HPC license per processor.

1.1.2. Structural

ANSYS 11.0 includes the following new features and enhancements for structural analyses:

  • Contact
  • Elements and Nonlinear Technology
  • Linear Dynamics
  • Materials and Fracture
  • Velocity and Acceleration Loading

1.1.2.1. Contact

This release of ANSYS includes the following enhancements for structural analyses involving contact:

  • 3-D Line-to-Surface Contact
  • Using Contact to Model Rigid Bodies in a Multibody Analysis
  • Debonding
  • Enhancements to MPC Contact
1.1.2.1.1. 3-D Line-to-Surface Contact

The new CONTA177 element allows you to model 3-D line-to-surface contact between a deformable line segment and 3-D surface segments (TARGE170). The CONTA177 element is applicable to 3-D beam-to-solid and 3-D shell edge-to-solid structural contact analyses. You can locate this element on the surfaces of 3-D beam or pipe elements, and also on the edges of 3-D shell elements.

1.1.2.1.2. Using Contact to Model Rigid Bodies in a Multibody Analysis

You can now use the rigid surface constraint feature of multipoint constraint contact (MPC contact) to model rigid bodies in a multibody simulation. The motion of the rigid body is governed by the degrees of freedom at the pilot node of the rigid surface constraint, which allows accurate representation of the geometry, mass and rotary inertia of the rigid body. The pilot node can be connected to point mass, follower, and deformable elements.

You can also model contact between rigid bodies by specifying a contact pair consisting of a contact surface on one rigid body and a target surface on another rigid body.

See Modeling Rigid Bodies in the Contact Technology Guide for more information.

1.1.2.1.3. Debonding

The new debonding capability allows separation of bonded contact. It can be used to simulate interface delamination where the interface is modeled using bonded contact with the augmented Lagrangian method or the pure penalty method. A cohesive zone material must be used to define the traction separation behavior of the interface. A new cohesive zone material with two suboptions is available for this purpose. You define this material using the TB command (TB,CZM with TBOPT = CBDD or CBDE).

The following contact elements support debonding: CONTA171, CONTA172, CONTA173, CONTA174, CONTA175, CONTA176, and CONTA177. For details on how to include debonding in a contact analysis, see Debonding in the Contact Technology Guide.

1.1.2.1.4. Enhancements to MPC Contact

The following changes to the contact and target elements enhance the performance of multipoint constraint (MPC) contact:

  • The large-rotation version of MPC contact in previous ANSYS releases was based on the assumption of relatively small rotation increments. This limitation is eliminated in the current release. This enhancement greatly improves accuracy and convergence for models using MPC-based bonded or no-separation contact types (KEYOPT(12) = 4 , 5, 6 on contact elements CONTA171 through CONTA177) or force-distributed constraints (KEYOPT(4) = 1 on contact elements CONTA171 through CONTA177).

  • When the rotation is finite in a model using MPC contact (CONTA171 through CONTA177) to represent surface-based constraints (rigid surface constraints and force-distributed constraints), the constrained degrees of freedom specified will rotate with the pilot node.

  • KEYOPT(4) of the TARGE169 and TARGE170 target elements can now be used to control individual degrees of freedom for solid-solid and shell-shell assemblies modeled with MPC contact.

1.1.2.2. Elements and Nonlinear Technology

This release of ANSYS includes the following enhancements to elements and nonlinear technology:

  • Migration to Current Element Technologies
  • Nonlinear Stabilization
  • Multibody Analysis
  • 3-D Smeared Reinforcing
  • New Second-Order Shell Element
  • Membrane Stiffness and Uniform Torsion Support
  • New User-Defined Elements
  • Composite Feature Enhancements
  • New Joint Element Options
  • Stress/Strain Evaluation-Only Option for 3-D Shells
  • Manual Rezoning
  • Triangle Shape for the 2-D 8-Node Structural Solid Element
1.1.2.2.1. Migration to Current Element Technologies

The ANSYS documentation now provides a resource to help you migrate from legacy elements to current element technology. If you are a long-time ANSYS user, you may still be using some legacy element types in your models. As technology advances, however, ANSYS continues to develop robust new element types and enhance certain existing elements with greater capabilities.

ANSYS recommends using a current element type in place of one or more legacy elements in your analysis wherever possible. Compared to legacy elements, current element types are more feature-rich, consistent, technologically advanced, and extensible. By using current elements in your analyses, you are better prepared to take advantage of developing technologies as they become available in the future.

A given legacy element may not necessarily have a precise current-element equivalent in terms of either formulation or use of shape functions. For example, a suggested current element may require a more refined mesh in some cases, or it may require adaptation via appropriate constraints for specific 2-D analyses.

After considering element redundancy and consistency issues, ANSYS may undocument certain legacy elements in future releases; however, all legacy elements are not targets for such action.

For more information, see Legacy vs. Current Element Technologies in the Elements Reference.

1.1.2.2.2. Nonlinear Stabilization

This new technology provides a tool for dealing with local instabilities as well as global instability in a nonlinear analysis. ANSYS can now simulate local buckling and post-buckling within a static analysis, and can also simulate global buckling, snap-through problems where the arc-length method is inadequate. In general, nonlinear stabilization can help to achieve convergence for any nonlinear problem when stability is an issue.

Convergence difficulty due to an unstable problem is usually the result of a large displacement for smaller load increments. Nonlinear stabilization in ANSYS can be understood as adding an artificial damper or dashpot element at each node of an element that supports this technique.

The only command necessary for using nonlinear stabilization is STABILIZE. The command activates or deactivates stabilization from one load step to another, or after a multiframe restart during a load step.

New options have been added to the OPNCONTROL and CUTCONTROL commands, allowing you to specify a range for shrinking or enlarging the time-step size.

For more information, see Unstable Structures and Performing a Post-Buckling Analysis in the Structural Analysis Guide.

1.1.2.2.3. Multibody Analysis

You can perform an ANSYS multibody simulation on a wide variety of mechanical systems. Typical applications include automobiles and automobile components, aircraft assemblages, spacecraft applications, and robotics. A new analysis guide has been added to the ANSYS documentation set describing how to use the many capabilities of the ANSYS product to perform a multibody analysis.

Traditional methods for modeling a multibody system involve modeling a rigid body system with superimposed elastic effects of one or more components. A major limitation of these methods is that nonlinear large-deformation, finite strain effects, or nonlinear material cannot be incorporated completely into the modeling of the system.

The finite element (FE) method used in ANSYS provides a better approach to modeling a multibody system. The FE mesh automatically represents the geometry while the large deformation/rotation effects are built into the finite element formulation. Inertial effects are greatly simplified by the consistent mass formulation or even point mass representations. Interconnection of parts via joints is greatly simplified by considering the finite rotations at the two nodes forming the joint element. The parameterization of the finite rotation can be easily incorporated into the joint element formulations, thereby enabling complete simulation of a multibody system.

ANSYS has an extensive library of elements available for modeling the flexible, rigid, and joint components. The material behavior of the flexible components can be modeled using one of the several material models available. ANSYS also provides modal and transient dynamics capabilities to analyze the spatial and temporal effects in a multibody simulation. Extensive postprocessing capabilities are also available to interpret the analysis results.

For more information, see the Multibody Analysis Guide.

1.1.2.2.4. 3-D Smeared Reinforcing

A new 3-D smeared reinforcing element is now available. When used with standard 3-D solid and shell elements (referred to as the base elements), REINF265 provides extra reinforcing to those elements. REINF265 is suitable for modeling evenly spaced reinforcing fibers that appear in layered form. You can define up to 250 layers of reinforcing within one base element. You can use the new EREINF command to automatically generate reinforcing elements from the selected base elements. REINF265 has plasticity, stress-stiffening, creep, large-deflection, and large-strain capabilities.

1.1.2.2.5. New Second-Order Shell Element

A new current-technology, second-order shell element is now available. SHELL281 supports both 8-node quadrilateral and 6-node triangular forms. (Finite strain analysis, a wide array of material models, and composite analysis using sections are also supported, as they are in SHELL181.) The new element plays a key role in analyses involving composites, and can be used with features such as nonlinear stabilization, reinforcing (REINF265 and EREINF), and initial stress.

1.1.2.2.6. Membrane Stiffness and Uniform Torsion Support

Axisymmetrical shell elements SHELL208 and SHELL209 now support a membrane-stiffness-only option (KEYOPT(1) = 1) and offer a uniform torsion capability (KEYOPT(2) = 1).

1.1.2.2.7. New User-Defined Elements

A new application program interface (API) allows you to define your own elements quickly and easily. Using the API and two new commands (USRELEM and USRDOF), you can create new elements without having to learn the ANSYS database and file structure. More importantly, you no longer have to write your own material routines; instead, you can call standard ANSYS material routines for all standard ANSYS structural linear and nonlinear material solutions. You can also define special element convergence criteria and control cutback in a nonlinear analysis. For more information, see User-Defined Elements in the Advanced Analysis Techniques Guide and Creating a New Element via the User-Defined Element API in the Programmer’s Manual for ANSYS.

1.1.2.2.8. Composite Feature Enhancements

Interlaminar shear stresses of the layered forms of the following elements are now stored in the results file and are accessible directly via ETABLE and ESOL commands: SHELL181, SHELL281, SHELL208, SHELL209, SOLID185, SOLID186, and SOLSH190.

FiberSIM support is now extended to the layered forms of these elements: SOLID185, SOLID186, SOLSH190, and SHELL281.

Layer material orientation now can be visualized. For more information, see the documentation for the /PSYMB command.

You can now use the LAYER command to process the layer with the largest failure criteria for all structural elements that are available in a layered form. With the addition of new items FAIL and FCMX, postprocessing commands PLESOL, PRESOL, PLNSOL, and PRNSOL can now list or display a particular failure criterion or the maximum failure criteria over the entire element.

1.1.2.2.9. New Joint Element Options

The MPC184 Multipoint Constraint Element offers several new joint element options:

z-axis Revolute joint
Point-in-plane joint
Translational joint
x-axis Cylindrical joint
z-axis Cylindrical joint
x-axis Planar joint
z-axis Planar joint
Weld joint
Orient joint
General joint

In addition, the existing spherical constraint option of this element has been converted to a spherical joint. Joint elements are useful for connecting flexible and/or rigid components to each other in a multibody mechanism. For more information, see Connecting Multibody Components with Joint Elements in the Multibody Analysis Guide.

1.1.2.2.10. Stress/Strain Evaluation-Only Option for 3-D Shells

3-D finite strain shell elements SHELL181 and SHELL281 now support a stress/strain evaluation-only option (KEYOPT(1) = 2). With this option, SHELL181 and SHELL281 can be overlaid on the faces of 3-D elements to evaluate stresses and strains at these exterior locations. This option is similar to the surface stress option (described in the Theory Reference for ANSYS and ANSYS Workbench), but is more general and applicable to nonlinear analyses.

1.1.2.2.11. Manual Rezoning

The following enhancements have been made to the manual rezoning capability of ANSYS:

  • The region selected for rezoning may now include hollow areas.

  • The limitation of two rigid-flexible contact pairs on each solid surface undergoing remeshing has been eliminated.

1.1.2.2.12. Triangle Shape for the 2-D 8-Node Structural Solid Element

The PLANE183 element has a new option (KEYOPT(1) = 1) to support a triangle shape. It is more efficient than a triangle degenerated from a quadrilateral. The option can be combined with any other stress state options such as generalized plane strain and element formulation options such as mixed u-P formulation. It also supports the new nonlinear stabilization feature.

1.1.2.3. Linear Dynamics

This release of ANSYS includes the following enhancements in the area of linear dynamics:

  • Brake Squeal Analysis
  • Nonsymmetric Eigensolver
  • Rotating Structure Analysis
  • Residual Vector Method
  • Component Mode Synthesis (CMS)
  • Restart
1.1.2.3.1. Brake Squeal Analysis

A new command adds to the brake squeal analysis capability of ANSYS. The CMROTATE command imparts a tangential sliding velocity at the contact element nodes on the brake disk, causing sliding contact condition between the brake pad and the disk. A sliding contact condition is necessary for obtaining the unstable eigenmodes using the QRDAMP eigensolver. For more information, see Prestressed Modal in a Brake Squeal Analysis in the Structural Analysis Guide and Surface-to-Surface Contact in the Contact Technology Guide.

1.1.2.3.2. Nonsymmetric Eigensolver

A new high-performance nonsymmetric eigensolver replaces the frontal-assembly-based nonsymmetric Lanczos eigensolver. To use the eigensolver, issue the MODOPT,UNSYM command. The new eigensolver uses the sparse matrix solver in its subspace-based eigenvalue iteration loop, resulting in considerably faster run times as compared to the previous eigensolver.

1.1.2.3.3. Rotating Structure Analysis

In a rotating structure analysis, accounting for the gyroscopic effect is essential in order to correctly predict the whirl behavior of spinning structures. The following structural solid elements now generate a gyroscopic damping matrix when the CORIOLIS command is issued along with the OMEGA or CMOMEGA command: SOLID45, SOLID95, SOLID185, SOLID186, and SOLID187.

A new bearing element COMBI214 is now available. The element has longitudinal as well as cross-coupling stiffness and damping capabilities. These characteristics can vary with the rotational velocity of the structure using table parameter input.

In a harmonic analysis, you can use the new SYNCHRO command to take into account rotating harmonic forces (such as unbalance forces) on a rotating structure.

After harmonic or modal analysis of a rotating structure (OMEGA/CMOMEGA and CORIOLIS), you can now plot (PLORB) or print (PRORB) the orbits of the rotating nodes. You can also animate the orbits after a modal analysis via the ANHARM command.

For prestressed structures, Campbell analysis (PRCAMP and PLCAMP) is now supported via the new CAMPBELL command.

1.1.2.3.4. Residual Vector Method

The residual vector method (RESVEC) is now available to improve the accuracy of mode-superposition transient and mode-superposition harmonic analyses.

For both types of analyses, a mode-superposition solution tends to be less accurate when the applied dynamic loads excite the higher resonant frequency modes of a structure. Many modes are often necessary to render an accurate mode-superposition solution. The residual vector method can help in such cases. The method's improved convergence properties require fewer natural frequencies and modes from the eigensolution.

For more information, see Residual Vector Method in the Structural Analysis Guide and the detailed discussion of the method in the Theory Reference for ANSYS and ANSYS Workbench.

1.1.2.3.5. Component Mode Synthesis (CMS)

In addition to its existing support for modal analysis, the CMS use pass now supports static, transient, harmonic, spectrum, and substructure prestress analyses.

Support for CMS superelements in a large-rotation analysis (NLGEOM,ON) is now available in the use pass.

The fixed-interface method (CMSOPT,FIX) now supports transient and harmonic analyses.

A new residual-flexible free-interface (CMSOPT,RFFB) method has been added. For more information, see Understanding Component Mode Synthesis in the Structural Analysis Guide and the discussion of component mode synthesis theory and methods in the Theory Reference for ANSYS and ANSYS Workbench.

1.1.2.3.6. Restart

In addition to the full transient dynamic analysis restart, a mode-superposition transient dynamic analysis can now be restarted (ANTYPE,,REST). Support for multiframe restart is also available via the RESCONTROL command.

1.1.2.4. Materials and Fracture

This release of ANSYS includes the following enhancements to materials and fracture technology:

  • Material Models
  • J-Integral Calculation
  • Initial State

Some material properties are not available via the material property menus of the ANSYS GUI. For a list of such material properties, see GUI-Inaccessible Material Properties in the Elements Reference.

1.1.2.4.1. Material Models

The Drucker-Prager plasticity (TB,EDP) material model suite offers a new cap option. The material model includes a compression cap, a tension cap, and a shear envelope; the three stress variants correspond to three smooth-yield surfaces. The cap option uses an exponential function to account for compaction cap hardening. You can combine the cap option with isotropic hardening plasticity options (BISO, MISO, NLISO, PLASTIC) for shear envelope hardening. The material model uses both associative and non-associative flow rules. The material model is intended for geomechanical applications; however, it is also suitable for simulating material behavior with pressure-dependency such as polymers and powder compaction processes. The cap option is integrated into current-technology elements exclusively and supports 3-D stress states including axisymmetric, plane strain, and generalized plane strain. For data-input information, see the documentation for the TB,EDP command.

The new addition to the plasticity model also includes a Gurson’s plasticity model (TB,GURSON) for simulating ductile metal damage. It is a micromechanics-based ductile damage model that incorporates the void volume fraction into a plasticity constitutive equation to represent the ductile damage process of void grow, void nucleation, and void coalescence. The option can be combined with isotropic hardening plasticity options (BISO, MISO, NLISO, PLASTIC) for plasticity hardening of the matrix material. The option is integrated into current-technology elements exclusively and supports 3-D stress states including axisymmetric, plane strain, and generalized plane strain. For data-input information, see the documentation for the TB,GURSON command.

The Anisotropic Hyperelasticity (TB,AHYPER) option now supports the plane stress state. The following elements are available for simulating anisotropic hyperelastic material behavior: SHELL181, SHELL281, SHELL208, SHELL209, and PLANE182 and PLANE183 using the plane stress option. The anisotropic hyperelasticity option uses a polynomial-based hyperelasticity potential to include two directional vectors for the characterization of the anisotropic behavior of the material. For data-input information, see the documentation for the TB,AHYPER command.

1.1.2.4.2. J-Integral Calculation

A new easy-to-use J-integral calculation tool based on the domain-integration method allows you to evaluate fracture mechanics parameters for both 2-D and 3-D crack geometries. To calculate the J-integral, issue the CINT command to define the crack tip/front node set, the number of contour integrals to be calculated, the crack plane normal or crack extension direction, and other crack information.

The J-integral calculation feature supports linear and elastic-plastic material, and uses current-technology elements exclusively. ANSYS performs the J-integral calculation following a converged solution substep and saves the results in the results file for postprocessing. Use the new postprocessing commands PRCINT and PLCINT for listing and plotting (respectively) in POST1, and the CISOL command for time-history processing in POST26. To access a particular J-integral value of a specific crack and contour, issue the *GET command.

1.1.2.4.3. Initial State

The ANSYS program's legacy initial-stress capability (ISTRESS, ISWRITE, ISFILE) has been replaced by an improved initial-state capability. The new INISTATE command offers a virtual toolbox of features for defining a wide range of stress conditions for your structures. You can define initial stress repeatedly, based on a coordinate system, a given material number, a specific layer of a composite section, a beam section cell, or on individual integration points. For more information, see Initial State Loading in the Basic Analysis Guide.

The INISTATE command uses current-technology elements exclusively. To use the new initial state feature, you must replace any legacy elements with current-technology elements. For more information, see Legacy vs. Current Element Technologies in the Elements Reference.

ANSYS plans to undocument the legacy initial-stress commands in a future release.

1.1.2.5. Velocity and Acceleration Loading

In structural dynamic analyses, the loading is often in terms of velocities or accelerations. For example, in earthquake analyses the loading is from the measurement of the ground movement and is often in terms of velocities. Another example is a multibody simulation in which the boundary conditions applied to the 3-D rotations can be more naturally defined as rotational velocities or accelerations.

You can now apply velocity and acceleration loading to nodes in a structural transient analysis. Further, pseudo velocity loading is also available in a structural static analysis. The velocity and acceleration loading can be applied to each active structural degree of freedom (translations and rotations) via the D command (to nodes) or DJ command (to joint elements). .

1.1.3. Coupled-Field

ANSYS 11.0 includes the following enhancements in the area of coupled-field analysis:

  • Electroelastic Analysis
  • Coriolis Effect
  • Multi-field Solver

1.1.3.1. Electroelastic Analysis

You can now use coupled-field elements PLANE223, SOLID226, and SOLID227 to perform electroelastic analyses that simulate electrostatic force coupling between electrostatic and structural fields. Support is available for static and full transient analyses. Application areas include dielectric layers in MEMS, dielectric elastomers in robotics, and electroactive polymers in artificial muscles.

A new key option (KEYOPT(4)) controls how electrostatic force is applied to element nodes. It allows you to model layers of elastic dielectrics or air regions. Air regions are morphed if a small elastic stiffness is assigned to the air elements (“elastic air”). For more information, see Electroelastic Analysis in the Coupled-Field Analysis Guide.

1.1.3.2. Coriolis Effect

Coupled-field analyses can now account for the Coriolis effect in rotating structures. PLANE223, SOLID226, and SOLID227 support this new capability. For information on how to include this effect, see Rotating Structure Analysis in the Advanced Analysis Techniques Guide.

1.1.3.3. Multi-field Solver

The following updates have been made to the ANSYS Multi-field solver:

  • Relaxation enhancements: Use the MFFR command in both MFS and MFX analyses to relax the field solutions for an optimal convergence rate in coupled problems, especially cases that need dynamic relaxation.

  • Remeshing: You can now perform remeshing in an MFS analysis via the MORPH command for the electrostatic elements PLANE121, SOLID122, and SOLID123.

  • Multiframe restart: You can now perform a multiframe restart for MFX analyses using the MFRS command.

  • Conservative interpolation: MFX analyses now use a new conservative interpolation method based on fundamentally different interpolation technology. MFS analyses will continue to use the existing conservative interpolation method. See Load Interpolation in the Coupled-Field Analysis Guide for more information on interpolation methods.

See Chapter 3. The ANSYS Multi-field(TM) Solver -- MFS Single-Code Coupling and Chapter 4. Multi-field Analysis Using Code Coupling in the Coupled-Field Analysis Guide for more information on these features.

1.1.4. Low-Frequency Electromagnetics

ANSYS 11.0 includes the following new features and enhancements in the area of low-frequency electromagnetics.

  • Far-Field Elements
  • Adaptive Meshing for Edge-Based Analyses

1.1.4.1. Far-Field Elements

You can now use far-field elements INFIN110 and INFIN111 to model far-field decay in electric conduction analyses. Enclosed elements may be electric elements PLANE230, SOLID231, or SOLID232. Steady-state, harmonic and transient analyses can be performed. You can now also use these far-field elements in harmonic analyses with electrostatic elements PLANE121, SOLID122, or SOLID123. For more information, see Far-Field Elements in the Low-Frequency Electromagnetic Analysis Guide.

1.1.4.2. Adaptive Meshing for Edge-Based Analyses

ANSYS 11.0 now includes the prewritten macro MADAPT to perform adaptive meshing for edge-based electromagnetic analyses using SOLID117 elements. The macro determines if a particular mesh is fine enough; if not, it automatically refines the mesh so that the measured error decreases. This adaptive meshing process continues through a series of solutions until the measured error drops below some user-defined value (or until a user-defined limit on the number of solutions or refined elements is reached). For more information about adaptive meshing for edge-based analyses, see Using Adaptive Meshing for Edge-Based Analyses in the Low-Frequency Electromagnetic Analysis Guide.

1.1.5. High-Frequency Electromagnetics

ANSYS 11.0 includes the following new features and enhancements in the area of high-frequency electromagnetics.

  • Material Properties
  • S-parameter Adaptive Meshing
  • Renormalized S-Parameters
  • TDR/TDT Display
  • Quasi-Minimal Residual Solver

1.1.5.1. Material Properties

You can now define anisotropic material properties for high-frequency elements using data tables. The 3-D high-frequency elements HF119 and HF120 now support the following anisotropic material properties: relative permittivity, relative permeability, electric current conductivity, and magnetic current conductivity. The 2-D high-frequency element HF118 now supports anisotropic relative permittivity and anisotropic relative permeability.

For HF119 and HF120 elements, you can now define a magnetic loss tangent for an isotropic lossy material.

For more information, see Specifying Material Properties in the High-Frequency Electromagnetic Analysis Guide and High-Frequency Electromagnetic Materials in the Elements Reference.

1.1.5.2. S-parameter Adaptive Meshing

S-parameter adaptive meshing is a new automatic mesh refining process available through the SPADP macro. It refines a HF119 tetrahedral element mesh until an S-parameter convergence criteria is met or a maximum number of refinement iterations is reached. For more information, see Adaptive Meshing in the High-Frequency Electromagnetic Analysis Guide.

1.1.5.3. Renormalized S-Parameters

You can now renormalize S-parameters to a new port characteristic impedance using the PRSYZ command.

1.1.5.4. TDR/TDT Display

You can now transform frequency domain S-parameters to time domain reflection (TDR) and time domain transmission (TDT) waveforms and an impedance profile. The PLTD command performs these transformations and displays the time domain results. You can also use the PLTD command to display the total waveform. For more information, see TDR/TDT Display in the High-Frequency Electromagnetic Analysis Guide.

1.1.5.5. Quasi-Minimal Residual Solver

A new Quasi-Minimal Residual iterative solver is available for full harmonic analyses (EQSLV,QMR). The QMR solver is also a new option on the S-parameter macros SPSWP and SPADP. For more information, see Selecting a Solver and The Quasi-Minimal Residual (QMR) Solver in the Basic Analysis Guide.

1.1.6. Thermal and Fluids/CFD

ANSYS 11.0 includes the following new features and enhancements that expand your ability to perform thermal, fluid, and CFD analyses:

  • You can now input material properties as table inputs on FLUID116. Fluid properties can be evaluated as a function of pressure, temperature, velocity, time, and location.

  • You can now input tabular heat generation via the MP,QRATE command for MASS71 elements.

  • SHELL131 and SHELL132 elements have been enhanced to allow you to generate film coefficients and bulk temperatures from FLUID116 elements. See the discussion on using surface effect elements in Chapter 2 of the Thermal Analysis Guide. Also, if your model contained SHELL131 or SHELL132 elements with D and F loads, and you deleted those elements via ETDELE, the D and F loads will automatically be deleted and reapplied to the new DOF list.

  • Heat generation rates may be input as element body loads on LINK34 elements.

  • Multiframe restarts are now allowed with the thermal solver (THOPT,FULL).

  • The fast thermal solver (THOPT,QUASI) now allows single and multiframe restarts.

1.1.7. Solvers

ANSYS 11.0 includes the following new enhancements that improve solution procedures and features.

  • High Performance Computing
  • Distributed ANSYS Enhancements
  • PCG Lanczos Mode-Extraction Method
  • Sparse Solver Enhancements
  • PCG Solver Enhancements
  • Superelement Enhancements

1.1.7.1. High Performance Computing

ANSYS, Inc. has replaced the Parallel Performance for ANSYS feature with a more inclusive High Performance Computing (HPC) feature. The HPC feature includes the following capabilities:

  • Shared-memory parallel capability in ANSYS (previously provided via /CONFIG,NPROC)

  • Distributed ANSYS capability

  • Variational Technology Accelerator, which provides a 2X-10X speedup, depending on the hardware, model, and type of analysis. VT Accelerator allows substantial speedup of nonlinear and transient analyses, and both structural and high frequency electromagnetic harmonic analysis. You can also use the VT Accelerator with ANSYS DesignXplorer to perform parameter studies much faster. VT Accelerator requires one HPC license per processor.

    See the VT Accelerator discussion in the Structural Analysis Guide and VT Accelerator Re-run in the Basic Analysis Guide for more information.

You will need an ANSYS Mechanical HPC license for each processor beyond the first two in a Distributed ANSYS or a shared-memory ANSYS run.

To activate Distributed ANSYS, you need to issue the -dis command line option. To activate multiple processors in a shared-memory ANSYS run, you need to issue the -np command line option. The /CONFIG,NPROC command option is no longer valid.

1.1.7.2. Distributed ANSYS Enhancements

Distributed ANSYS now runs on Windows 32- and 64-bit systems. You can use MPICH2 (provided with the ANSYS installation) or MS MPI as your MPI software, depending on the platform.

Distributed ANSYS now supports modal analyses using the Block Lanczos or PCG Lanczos mode-extraction methods, as well as coupled-field analyses using PLANE223, SOLID226, or SOLID227 elements, and structural full harmonic analyses. Distributed ANSYS also now supports initial state definition.

Distributed ANSYS now supports both single- and multiframe restarts. For more information, see the discussion of restarts in the Distributed ANSYS Guide and the RESCONTROL command documentation.

Scalability and load balancing have been greatly improved in Distributed ANSYS at Release 11.0, resulting in typical speedups of 30 percent over Release 10.0.

1.1.7.3. PCG Lanczos Mode-Extraction Method

ANSYS now offers the PCG Lanczos mode-extraction method, based on the Block Lanczos algorithm and the PCG solver. The PCG Lanczos method provides a robust and efficient option for large modal analyses (involving one million or more DOFs), eliminating the prohibitive I/O and computational costs of a direct solver. In addition to improved default capability to find modes, the PCG Lanczos method offers a Sturm check option for difficult cases or to verify results.

The PCG Lanczos method has the same limitations as the PCG solver (for example, no support for superelements, Lagrange multiplier option on contact elements, and mixed u-P formulation elements). This method replaces the Power Dynamics mode-extraction method.

For more information, see Modal Analysis in the Structural Analysis Guide

1.1.7.4. Sparse Solver Enhancements

The following enhancements have been made to the sparse solver:

  • Reduced time and memory usage for sparse solver equation reordering

  • Ability to use more than 16 GB of memory on 64-bit platforms via the -lm option (sparse and Block Lanczos solvers)

  • I/O improvements resulting in I/O speedup. A new buffer region for sparse solver I/O eliminates costly pre-reads during write operations and increases the I/O request size to improve throughput to physical disk drives. As a result, I/O for large matrix factor files (.LN09 for static and .LN07 for modal analyses) is improved. Using the RAID 0 array option on Windows platforms can result in as much as 2X-3X I/O speedup.

  • Addition of maximum/minimum pivot messages at different iterations (PIVCHECK)

1.1.7.5. PCG Solver Enhancements

The PCGOPT command now offers a level of difficulty (Lev_Diff) equal to 5 to allow the use of a preconditioner similar to the sparse direct solver for very ill-conditioned problems.

1.1.7.6. Superelement Enhancements

The sparse solver (EQSLV,SPARSE) is now the default for substructure generation and can also generate damping substructure matrices (SEOPT).

The edge outline used for superelements is now controllable via the /EDGE command's ANGLE value.

Superelement load vector scaling (SFE,,,SELV) can now be applied via a tabular load.

The use pass now has the superelement's mass and center of mass from the generation pass and is used to compute the mass and mass moments of inertia in the “CENTER OF MASS, MASS, AND MASS MOMENTS OF INERTIA” table in the output file.

1.1.8. Other ANSYS Enhancements

This section contains information about enhancements to ANSYS not listed elsewhere in this document.

1.1.8.1. ANSYS DesignXplorer

You can now use the Independent (INDP) analysis type for the Reduced Order Model Sweep (ROMS) approximation method. Independent analysis is a fast solution that ignores the interaction between variables, allowing coarse sensitivity calculations that can be used to eliminate unimportant input variables before performing a full analysis.

The Reduced Order Model Sweep (ROMS) approximation method now provides faster and more accurate postprocessing.

1.1.8.2. ANSYS LS-DYNA

LS-DYNA MPP is now available for UNIX platforms and for 64-bit Windows platforms running MS MPI. The (MPP) capabilities of ANSYS LS-DYNA allow you to run the LS-DYNA solver over a cluster of machines or use multiple processors on a single machine. This can shorten the elapsed time necessary to run an analysis. See LS-DYNA Parallel Processing Capabilities in the ANSYS LS-DYNA User's Guide for more information. You will need an ANSYS LS-DYNA Parallel license for every processor beyond the first one. If you have an existing key for ANSYS LS-DYNA's SMP capabilities, it will work for the MPP capability as well.

You can no longer use /CONFIG,NPROC (or SETNPROC) to specify the number of processors in an LS-DYNA SMP run. Instead, use the EDRUN command's NCPU field.

1.1.8.3. Usability

The Standard Toolbar now features a Reset Picking button. The new button resets the picking menu if it becomes unresponsive or does not appear when invoked via a menu pick or a command in the Input Window (for example, ESEL,S,P).

1.1.9. Commands

This section describes changes to commands at the ANSYS 11.0 release.

Some ANSYS commands are not accessible from menus. The documentation for each command indicates whether or not a menu path is available for that command operation. For a list of commands not available from within the GUI, see Menu-Inaccessible Commands in the Commands Reference.

  • New Commands
  • Modified Commands
  • Undocumented Commands
  • Renamed Commands

1.1.9.1. New Commands

The following new commands are available in this ANSYS release:

ANSTOAQWA -- Creates an AQWA-LINE input file from the current ANSYS model for use with the ANSYS AQWA multibody hydrodynamics system for diffraction analysis.
ANSTOASAS -- Creates an ASAS input file from the current ANSYS model for use with the ANSYS ASAS offshore structural finite element analysis system.
CAMPBELL -- For a prestressed structure, specifies whether the result file should be prepared for a subsequent Campbell analysis. The new command suppresses the storage of the static results in the results file.
CINT -- Defines parameters associated with crack specification and propagation.
CISOL -- Stores J-Integral information in a variable.
CMROTATE -- Specifies the rotational motion velocity components of an element component about a user-defined rotational axis. The rotational axis can be defined as either a vector passing through a single point or a vector connecting two points. The command sets the rotational velocity on the nodes of the element component as an initial condition at the start of a load step; this feature is primarily useful for generating sliding contact at frictional contact interfaces in a brake squeal analysis.
CMWRITE -- Writes components and assemblies to a file.
DSPOPTION - - Sets memory option for the Distributed Sparse solver.
ENERSOL -- Specifies the total energies to be stored.
EREINF -- Generates reinforcing elements from selected existing (base) elements. The command scans all selected base elements and generates (if necessary) a compatible reinforcing element type for each base element.
FRQSCL -- This command enables automatic scaling of the entire mass matrix and frequency range for modal analyses using the Block Lanczos or PCG Lanczos mode-extraction method. This command is useful when the entire mass matrix is many orders of magnitude different than the entire stiffness matrix (for example, due to the particular unit system being used). For this case, turning scaling on via the FRQSCL command improves the efficiency of the Block Lanczos or PCG Lanczos method and reduces the likelihood of missed modes.
HFADP -- Turns a high-frequency adaptive error calculation on or off.
INISTATE -- Defines initial state data and parameters. .
MADAPT -- Use this command macro to adaptively mesh and solve an edge-based model. MADAPT causes repeated runs of the PREP7, SOLUTION, and POST1 phases of the ANSYS program with mesh density refinements based upon the percentage error in energy norm.
MFCI -- Use this command to set the pixel resolution for the CPP interpolation scheme (specified on the MFLCOMM command).
MFFR -- Use this command to relax the field solutions in fluid-solid interaction analyses and thermal-thermal analyses for a better convergence rate in strongly coupled problems.
/MKDIR -- Use this APDL command to create directories that are portable (system-independent).
PLCINT -- Plots J-integral results data.
PLORB / PRORB -- When a structure is rotating (OMEGA or CMOMEGA) and the Coriolis or gyroscopic effect is taken into account (CORIOLIS), nodes lying on the rotation axis generally exhibit an elliptical orbital motion. The new commands display and print (respectively) the orbit of each rotating node as well as the deformed shape at time t = 0 (the real part of the solution). Valid for line elements BEAM4, PIPE16, BEAM188, and BEAM189.
PLTD -- Displays TDR/TDT waveforms, an impedance profile, or a total waveform.
PRCINT -- Lists the J-integral results data.
PRENERGY -- Prints the total energies of a model.
RESVEC -- In a modal analysis, this command calculates residual vectors. In a modal superposition transient/harmonic analysis, the command includes residual vectors.
RESWRITE -- Appends results data from the database to a results file in a top-down substructuring analysis.
/RMDIR -- Use this APDL command to delete directories that are portable (system-independent).
SPADP -- Automatically refines a HF119 tetrahedral element mesh based on S-parameter convergence.
STABILIZE -- Activates stabilization for all elements that support nonlinear stabilization.
SYNCHRO -- Specifies whether the excitation frequency is synchronous with the rotational velocity of a structure in a harmonic analysis. Use the command to take into account rotating harmonic forces on rotating structures.
USRDOF -- Specifies the degrees of freedom (DOFs) for the user-defined element USER300.
USRELEM -- Specifies the characteristics of the user-defined element USER300.

1.1.9.2. Modified Commands

The following commands have been enhanced in this ANSYS release:

ANHARM -- Produces a time-transient animated sequence of time-harmonic results (ANTYPE,HARMIC). The command now supports complex mode shapes (ANTYPE,MODAL).
ANTYPE -- Specifies the analysis type and restart status. Support is now available for mode-superposition transient analyses.
CMOMEGA -- Specifies the rotational velocity of an element component about a user-defined rotational axis. The spin-softening matrix formulation (KSPIN flag) has been updated to generate the full off-diagonal matrix coefficients contribution arising from the vector product ω * ω([M]).
CMSOPT -- Specifies component mode synthesis (CMS) analysis options. The command now supports the residual-flexible free-interface method.
/CONFIG -- Assigns values to ANSYS configuration parameters. The NPROC option has been removed. Use the -np command line option to specify the number of processors in both shared-memory ANSYS and in Distributed ANSYS.
CORIOLIS -- Applies the Coriolis effect to a rotating structure. The command can now account for the Coriolis effect in coupled-field analyses. PLANE223, SOLID226, and SOLID227 support this capability.
CUTCONTROL -- Controls time-step cutback during a nonlinear solution. A new option, CUTBACKFACTOR, has been added to change the cutback value for bisection.
D -- Defines DOF constraints at nodes. The command has a new option for specifying pseudo-constraints automatically when calculating residual vectors in a modal analysis (RESVEC,ON) or CMS analysis (CMSOPT,RFFB).
In addition, the D command now allows you to apply velocity and acceleration loading to nodes. In a structural static or structural transient analysis, you can apply translational velocities (VELX, VELY, VELZ) and rotational velocities (OMGX, OMGY, OMGZ). In a structural transient analysis, you can also apply translational accelerations (ACCX, ACCY, ACCZ) and rotational accelerations (DMGX, DMGY, DMGZ).
DJ -- Specifies boundary conditions on the components of relative motion of a joint element (MPC184). New options for velocity and acceleration loading are available. The DJDELE command has also been updated to allow deletion of these new load options.
EDRUN -- Specifies serial or parallel processing for LS-DYNA. A new NCPU argument specifies the number of CPUs to use for an SMP run. You must use this option instead of issuing a /CONFIG,NPROC command.
EQSLV -- Specifies the type of equation solver. A new Quasi-Minimal Residual (QMR) iterative solver is available for full harmonic analyses.
JSOL -- Specifies result items to be stored for a joint element (MPC184). Velocity and acceleration items can now be stored for viewing in POST26.
LDREAD -- Reads results from the results file and applies them as loads. Nodal magnetic field values from a magnetostatic analysis can now be applied as nodal loads in a high-frequency magnetic analysis.
MIDTOL -- Sets midstep residual criterion values for structural transient analyses. This command now has a simpler format and is easier to use. Only one tolerance value is required, and a new RESFQ field allows you to consider the response frequency calculation along with the midstep residual criterion in the automatic time stepping.
MODOPT -- Specifies modal analysis options. The command now allows a PCG Lanczos mode-extraction method (MODOPT,LANPCG).
MP -- Defines a linear material property as a constant or a function of temperature. Magnetic loss tangent (LSSM) is now available as a material property label.
MPDELE -- Deletes linear material properties. A new option (LCHK) allows you to set the level of element-associativity checking.
OMEGA -- Specifies the rotational velocity of the structure. The spin-softening matrix formulation (KSPIN flag) has been updated to generate the full off-diagonal matrix coefficients contribution arising from the vector triple product ω x (ω x ([M] * u)), where u is the displacement vector.
OPNCONTROL -- Sets the decision parameter for automatically increasing the time step interval. A new field, OPENUPF, has been added for increasing the time step interval.
PCGOPT -- Controls PCG solver options. The command now allows an analysis difficulty level (Lev_Diff) of 5 for small- to medium-sized problems when using the PCG Lanczos mode-extraction method. Also allows you to request a Sturm sequence check when using the PCG Lanczos method.
PRJSOL -- Prints joint element (MPC184) output. Velocity and acceleration items are now available for printing.
PSOLVE -- Performs a partial solution. The command now supports the PCG Lanczos mode-extraction method.
PLCAMP -- Plots Campbell diagram data for applications involving rotating structure dynamics. The command now allows you to name a rotating component; the rotational velocities of a named component are displayed on the X-axis. The command also allows you to plot the stability value (the real part of the eigenvalue in Hz).
PLHFFAR -- Displays electric far fields and far field parameters. The command now has a simpler format. The option and label arguments have been modified and the coordinate system and component arguments have been eliminated.
PLSYZ -- Converts and plots network parameters versus frequency or plots losses versus frequency. You can now plot reflection loss, insertion loss, isolation loss, and voltage standing wave ratio.
PRCAMP -- Prints Campbell diagram data for applications involving rotating structure dynamics. The command now allows you to name a rotating component; the rotational velocities of a named component are printed along with the natural frequencies. The command also allows you to print the stability value (the real part of the eigenvalue in Hz).
PRHFFAR -- Prints electric far fields and far field parameters. The command now has a simpler format. The option and label arguments have been modified and the coordinate system and component arguments have been eliminated.
PRSYZ -- Converts and lists scattering, admittance, or impedance parameters. The command now supports renormalization of S-parameters to a new port characteristic impedance.
/PSYMB -- Displays various symbols to help visualize your model. In addition to layer orientations (relative to the projected element x-axis) which can be visualized with all current-technology layered elements, the command now supports fiber orientations in smeared reinforcing elements (such as REINF265). Both capabilities are available within an element display only.
RDELE -- Deletes real constant sets. A new option (LCHK) allows you to set the level of element-associativity checking.
RESCONTROL -- Controls file writing for multiframe restarts. In addition to nonlinear static and full transient analyses, the command now supports mode-superposition transient analyses. Also, with the new NORESTART option, you can opt not to write the required restart files for Distributed ANSYS; this option is useful for file cleanup on both the host and slave processors.
SDELETE -- Deletes cross sections from the ANSYS database. A new option (LCHK) allows you to set the level of element-associativity checking.
SECCONTROLS -- Overrides the program-calculated transverse shear stiffness. A layer-thickness flag has been added to support the new XML file format in FiberSIM 5.1 and later versions. ANSYS can determine layer thickness based on the FiberSIM XML file data, or it can use the layer thickness specified via the SECDATA command.
SECDATA -- Describes the geometry of a section. The command now supports reinforcing sections and can now include section data associated with the new joint element options of the MPC184 element.
SECJOINT -- Defines information related to joint elements. This command can now be used to specify which relative DOFs are fixed for a general joint element.
SECTYPE -- Associates section type information with a section ID number. The command now supports reinforcing sections. In addition, it supports the new joint element options of the MPC184 element.
SPSWP -- Computes S-parameters over a frequency range and writes them to a file. The Quasi-Minimal Residual (QMR) iterative solver is a new solver option.
TB -- Activates a data table for nonlinear material properties or special element input. The 3-D high-frequency elements HF119 and HF120 can now use the TB table to specify the following anisotropic material properties: relative permittivity, relative permeability, electric current conductivity, and magnetic current conductivity. The 2-D high-frequency element HF118 can now use the TB table to specify anisotropic relative permittivity and anisotropic relative permeability. Also, a new cohesive zone material (with two suboptions) is available to model debonding in a contact analysis; the new options are TB,CZM with TBOPT = CBDD to model bilinear material behavior with traction and separation distances, and TB,CZM with TBOPT = CBDE to model bilinear material behavior with tractions and critical fracture energies.
VPUT -- Moves an array parameter vector into a POST26 variable. You can now specify a thirty-two character name to identify the variable on printouts and displays.

1.1.9.3. Undocumented Commands

The following ANSYS commands have been undocumented:

  • ~CIFIN

  • *EVAL

  • *MOONEY

1.1.9.4. Renamed Commands

The following ANSYS commands previously began with the prefix SX:

/VT
VTCLR
VTDISC
VTEVAL
VTFREQ
VTGEOM
VTIN
VTMETH
VTMP
VTOP
VTPOST
VTREAL
VTRFIL
VTRSLT
VTSEC
VTSFE
VTSL
VTSTAT
VTTEMP
VTVMOD

1.1.10. Elements

This section describes changes to elements at the ANSYS 11.0 release.

Some ANSYS elements are not available from within the ANSYS GUI. For a list of those elements, see GUI-Inaccessible Elements in the Elements Reference.

  • New Elements
  • Modified Elements
  • Undocumented Elements

1.1.10.1. New Elements

The following new elements are available in this ANSYS release:

CONTA177 -- A 3-D line-to-surface contact element used to represent contact and sliding between 3-D surface segments (TARGE170) and a deformable line segment (defined by this element). The element is applicable to 3-D beam-to-solid and 3-D shell edge-to-solid structural contact analyses.
COMBI214 -- A spring damper bearing element with longitudinal as well as cross-coupling capability in 2-D applications. It is a tension-compression element with up to two degrees of freedom at each node: translations in any two nodal directions (x, y, or z). The element has two nodes (plus one orientation node used only in nonlinear analyses). No bending or torsion is considered. The element has no mass; you can add masses via the appropriate mass element (MASS21). You can remove the spring or damping capability from the element.
SHELL281 -- An 8-node finite strain shell element suitable for analyzing thin to moderately-thick shell structures. The element is especially suited for linear, large rotation and/or large strain nonlinear applications. For most problems, you can use this element instead of SHELL91, SHELL93, or SHELL99. The new element supports composites and the FiberSIM-ANSYS interface.
REINF265 -- A 3-D smeared reinforcing element used with standard 3-D solid and shell elements (referred to as the base elements) to provide extra reinforcing to those elements. REINF265 is suitable for modeling evenly spaced reinforcing fibers that appear in layered form.

1.1.10.2. Modified Elements

The following elements have been enhanced in this ANSYS release:

CIRCU94, INFIN110, INFIN111, PLANE121, SOLID122, and SOLID123 -- A new KEYOPT(6) is available to control the electric charge reaction sign. A finite element model can intermix elements with a VOLT degree of freedom. To be compatible, the elements must have the same reaction solution. Electric charge reactions must all be positive or negative.
CONTA171, CONTA172, CONTA173, CONTA174, CONTA175, and CONTA176 -- These contact elements now support a cohesive zone material which is used to model debonding (separation of bonded contact).
FLUID29 -- This 2-D axisymmetric harmonic acoustic fluid element can now model the effect of a free surface in an acoustic analysis via the new KEYOPT(7) option. For example, a partially filled tank of water subject to vibration generates pressure waves in the contained water; this enhancement accounts for the pressure-release boundary condition at the free surface. This element's axisymmetric option has also been extended to support non-axisymmetric loading; to activate the new axiharmonic capability, set KEYOPT(3) = 2.
FLUID30 -- This 3-D acoustic fluid element has also has a new KEYOPT(7) option (like FLUID29), allowing the element to model the effect of a free surface in an acoustic analysis.
FOLLW201 -- The follower load element now provides a means of specifying complex point loads via an element specification via KEYOPT(1) = 1. You can consider it as a nodal point equivalent of surface-effect elements (such as SURF154). When KEYOPT(1) = 1, the direction of the load is not updated.
HF118, HF119, and HF120 -- The 3-D high-frequency elements HF119 and HF120 now support the following anisotropic material properties: relative permittivity, relative permeability, electric current conductivity, and magnetic current conductivity. The 2-D high-frequency element HF118 now supports anisotropic relative permittivity and anisotropic relative permeability. The 3-D high-frequency elements HF119 and HF120 now support magnetic loss tangent for an isotropic lossy material.
INFIN110 and INFIN111 -- These far-field elements now support electric conduction analyses. Enclosed elements may be electric elements PLANE230, SOLID231, or SOLID232. Steady-state, harmonic and transient analyses can be performed. In addition, these far-field elements now support harmonic analyses with electrostatic elements PLANE121, SOLID122, or SOLID123.
MASS21 -- You can now use acceleration loading with masses having principal axes not aligned with the global Cartesian coordinate system. To use the new capability, specify KEYOPT(2) = 1 (element coordinate system parallel to the nodal coordinate system).
In addition, MASS21 now correctly accounts for inertial effects due to angular velocity input through the OMEGA command. Coriolis, gyroscopic, and spin softening affects are accounted for when the MASS21 element is used in a dynamic analysis (modal analysis, for example) or a transient analysis with large rotations.
MPC184 -- This multipoint constraint element has undergone significant enhancements. The spherical constraint option has been converted to a spherical joint element. The following new joint element options are also available: point-in-plane joint, translational joint, cylindrical joint, planar joint, weld joint, orient joint, and general joint. The SMISC output quantities have been renumbered to be consistent across all joint elements, and new NMISC output quantities have been added to the joint elements. In addition, the MPC184 element documentation has been enhanced so that each constraint and joint option has a separate element description.
PIPE16, PIPE17, PIPE18, PIPE20, PIPE59, PIPE60 -- An end-cap key option (KEYOPT(8)) has been added to these pipe elements. By default, the new option includes imaginary end caps when applying internal and external pressure loads so that the pressure loads induce an axial stress and/or reaction in the pipe system.
PLANE183 -- This 2-D 8-node structural solid has a new option (KEYOPT(1) = 1) to support a triangle shape. It is more efficient than the triangle degenerated from a quadrilateral. The option can be combined with any other stress state options such as generalized plane strain and element formulation options such as mixed u-P formulation. It also supports the new nonlinear stabilization feature.
PLANE223, SOLID226, and SOLID227 -- These coupled-field elements now support electroelastic analyses involving electrostatic force coupling between electrostatic and structural fields. Static and full transient analyses can be performed. These coupled-field elements now support the Coriolis effect in rotating structures.
SHELL208, SHELL209 -- These two axisymmetrical shell elements now support a membrane-stiffness-only option (KEYOPT(1) = 1) and offer a uniform torsion capability (KEYOPT(2) = 1).
SOLID185 -- This lower-order 3-D 8-Node Structural Solid element has been enhanced with a new Layered Solid option for modeling general 3-D solid structures. It allows for prism and tetrahedral degenerations when used in irregular regions. Various element technologies such as B-bar, uniformly reduced integration, and enhanced strains are supported. (A higher-order version of the element is SOLID186).
SURF153 -- This 2-D structural surface effect element has a new option useful when the element represents a force. Specifying KEYOPT(7) = 1 allows the force to remain unchanged even if the area changes in a large-deformation analysis.
SURF154 -- This 3-D structural surface effect element has a new option useful when the element represents a force. Specifying KEYOPT(7) = 1 allows the force to remain unchanged even if the area changes in a large-deformation analysis.

1.1.10.3. Undocumented Elements

Several legacy elements are now undocumented. Their functionality has been assumed by current element technologies, as follows:

Undocumented Legacy Element | Suggested Current Technology Element
PLANE2 | PLANE183
SHELL51 | SHELL208
SOLID64 | SOLID185
SHELL143 | SHELL181 with KEYOPT(3) = 2.

1.1.11. APDL Enhancements

It is no longer necessary to issue a *DIM command prior to an operation to create arrays that are formed as the result of that operation; such arrays are now be created automatically. This enhancement includes the array-operation commands *VOPER, *MOPER, *VGET ,*VFUN, *MFUN, *VITRP, *TOPER, and POST26 VGET. Also, 1-D arrays (vectors) need not have a *DIM executed beforehand if they are defined with *SET or *VFILL using implied (colon) looping notation; for example, *VFILL,A(1:n),… and A(1:n)=2,4,… .

*VGET has been enhanced with options to retrieve the list of currently selected items (nodes, elements, keypoints, lines, areas, volumes); for example, *VGET,ParR,NODE,,NLIST returns a list of selected nodes. This change eliminates the need to use *VMASK and *VFUN,,COMPRESS operations to obtain a list of selected items.

You can use implied (colon) looping (1:n) with *GET functions; for example, A(1:5)=NX(1:5) .

/MKDIR and /RMDIR ADPL commands have been added to create and delete portable (system-independent) directories.

You can use the *GET command to obtain the principal moments of inertia and their angles computed in an inertia relief (IRLF) analysis.

You can now use -pp as a valid APDL parameter. It will no longer activate the Parallel Performance for ANSYS product.

The -np parameter is no longer a valid APDL parameter. (A new -np command line argument specifies the number of processors in a Distributed ANSYS or shared-memory parallel run.)

1.1.12. Documentation Updates for Programmers

ANSYS 11.0 includes the following documentation updates for programmers:

  • Documentation Reorganized
  • Routines and Functions Updated
  • Routines and Functions Added

1.1.12.1. Documentation Reorganized

The set of documents previously referred to as the ANSYS Programmer’s Guide Set has been reorganized at Release 11.0. The four documents comprising the set are now organized as follows:

  • Two guides, the Guide to Interfacing with ANSYS and the Guide to ANSYS User Programmable Features, have been combined into one document called the Programmer’s Manual for ANSYS. The two books are presented as Part I and Part II in the new document. The Programmer’s Manual for ANSYS is available for download as a PDF file via the ANSYS Customer Portal.

  • The APDL Programmer’s Guide has been renamed the ANSYS Parametric Design Language Guide. This document will remain as part of the ANSYS online help and is not part of the Programmer’s Manual for ANSYS.

  • ANSYS UIDL Programmer's Guide is no longer being updated and is now available in the archived document section of the ANSYS Customer Portal.

1.1.12.2. Routines and Functions Updated

All routines and functions documented in the Programmer’s Manual for ANSYS have been updated to reflect the current source code. To see specific changes in a file, ANSYS recommends opening both the old and current files (using a text editor that displays line numbers), then comparing the two to determine which lines have changed. You can copy the updated files to your system by performing a custom installation of the ANSYS program.

1.1.12.3. Routines and Functions Added

The following routines have been added to the Programmer’s Manual for ANSYS.

Under Creating a New Element (subheading Creating a New Element via the User-Defined Element API):

  • Subroutine UserElem

  • Subroutine ElemGetMat

Under Supporting Subroutines for Element Creation:

  • Subroutine prinst

Under Routines for Modifying and Monitoring Existing Elements:

  • Subroutine usrsurf116

  • Subroutine User116Cond

  • Subroutine User116Hf

  • Subroutine Us_Surf_Str

  • Subroutine usflex

  • Subroutine UsrShift

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 1. ANSYS Release Notes for 11.0 		Up / Home Next
1.2. Known Incompatibilities in ANSYS 11.0


1.2. Known Incompatibilities in ANSYS 11.0

The following incompatibilities with prior releases of ANSYS are known to exist at ANSYS 11.0:

  • MASS21 with KEYOPT(2) = 1
  • MIDTOL Command
  • PLHFFAR and PRHFFAR Commands
  • MPC184 Element
  • SHELL208 and SHELL209 Elements
  • Results File Format Change
  • /CONFIG Command

1.2.1. MASS21 with KEYOPT(2) = 1

MASS21 with KEYOPT(2) = 1 (element coordinate system parallel to the nodal coordinate system) now correctly supports accelerations loads (for example, loads applied via the ACEL and OMEGA commands). Inputs with these settings will produce different results.

1.2.2. MIDTOL Command

The MIDTOL command now has a simpler format and is easier to use. As a result, the command input format has changed; the previous MIDTOL command input is no longer valid. See the command description for details.

1.2.3. PLHFFAR and PRHFFAR Commands

The high-frequency postprocessing commands PLHFFAR and PRHFFAR have a simpler format. The option and label arguments have been modified and the coordinate system and component arguments have been eliminated. See the command description for details.

1.2.4. MPC184 Element

The spherical constraint option (previously KEYOPT(1) = 5) of the MPC184 multipoint constraint element has been changed to a spherical joint option (KEYOPT(1) = 15). The KEYOPT(1) = 5 option is no longer valid at Release 11.0. See the new Spherical Joint element description in the Elements Reference for more information.

In addition, the summable miscellaneous (SMISC) output items have been reordered for MPC184 joint elements. Therefore, the SMISC sequence numbers for the revolute joint, universal joint, and slot joint elements differ from previous releases.

1.2.5. SHELL208 and SHELL209 Elements

The item and sequence numbers for the summable miscellaneous items have changed for the SHELL208 and SHELL209 elements. For more information, see the tables SHELL208 Item and Sequence Numbers and SHELL209 Item and Sequence Numbers in the Elements Reference.

1.2.6. Results File Format Change

The number of items describing an element type (etysiz) in the geometry record has increased from 150 to 200.

The results file may contain two additional records, one for component-based angular velocities (CMOMEGA) and angular accelerations (CMDOMEGA), and another for fracture mechanics information (CINT). See Format of the Results File in the Guide to Interfacing with ANSYS.

1.2.7. /CONFIG Command

You can no longer use the /CONFIG,NPROC (or SETNPROC) command to specify the number of processors in an ANSYS LS-DYNA SMP run. Instead, use the EDRUN command's NCPU field.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.1. ANSYS 11.0 New Features and Enhancements 		Up / Home Next
1.3. The ANSYS Customer Portal


1.3. The ANSYS Customer Portal

If you have a password to the ANSYS Customer Portal (http://www1.ansys.com/customer), you can view Readme files and late documentation changes by entering the customer portal and following these steps:

  1. Click on Product Information in the menu to the left of the screen.

    Result: A submenu appears.

  2. Click on Product Documentation from the submenu.

    Result: The ANSYS documentation set list appears.

  3. Click on the Readme files and late document changes link.

The portal is also your source for ANSYS, Inc. software downloads, service packs, product information (including example applications, current and archived documentation, undocumented commands, and product previews), and online support.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.2. Known Incompatibilities in ANSYS 11.0 		Up / Home Next
Commands Reference


Commands Reference

Release 11.0 Documentation for ANSYS

Table of Contents

1. About This Manual
1.1. Conventions Used in this Manual
1.1.1. Product Codes
1.1.2. Applicable ANSYS Products
1.2. ANSYS Product Capabilities
1.3. Terminology
1.4. ANSYS Command Characteristics
1.4.1. Data Input
1.4.2. Free-Format Input
1.4.3. Nonrestrictive Data Input
1.4.4. Condensed Data Input
1.4.5. Units
1.4.6. Defaults
1.4.7. File Names
1.4.8. Star and Slash Commands
2. Command Groupings
2.1. SESSION Commands
2.2. DATABASE Commands
2.3. GRAPHICS Commands
2.4. APDL Commands
2.5. PREP7 Commands
2.6. SOLUTION Commands
2.7. POST1 Commands
2.8. POST26 Commands
2.9. AUX2 Commands
2.10. AUX3 Commands
2.11. AUX12 Commands
2.12. AUX15 Commands
2.13. RUNSTATS Commands
2.14. OPTIMIZATION Commands
2.15. VARIATIONAL TECHNOLOGY Commands
2.16. PROBABILISTIC Design Commands
2.17. DISPLAY Program Commands
2.18. REDUCED Order Modeling Commands
2.19. Menu-Inaccessible Commands
3. Command Dictionary
4. APDL Commands
I. Connection Commands
~CAT5IN - Transfers a .CATPart file into the ANSYS program.
~CATIAIN - Transfers a CATIA model into the ANSYS program.
~PARAIN - Transfers a Parasolid file into the ANSYS program.
~PROEIN - Transfers a Pro/ENGINEER part into the ANSYS program.
~SATIN - Transfers a .SAT file into the ANSYS program.
~UGIN - Transfers a Unigraphics part into the ANSYS program.
II. A Commands
A - Defines an area by connecting keypoints.
AADD - Adds separate areas to create a single area.
AATT - Associates element attributes with the selected, unmeshed areas.
ABEXTRACT - Extracts the alpha-beta damping multipliers for Rayleigh damping.
ABS - Forms the absolute value of a variable.
ACCAT - Concatenates multiple areas in preparation for mapped meshing.
ACEL - Specifies the linear acceleration of the structure.
ACLEAR - Deletes nodes and area elements associated with selected areas.
ADAMS - Performs solutions and writes flexible body information to a modal neutral file (Jobname.MNF) for use in an ADAMS analysis.
ADAPT - Adaptively meshes and solves a model.
ADD - Adds variables.
ADDAM - Specifies the acceleration spectrum computation constants for the analysis of shock resistance of shipboard structures.
ADELE - Deletes unmeshed areas.
ADGL - Lists keypoints of an area that lie on a parametric degeneracy.
ADRAG - Generates areas by dragging a line pattern along a path.
AESIZE - Specifies the element size to be meshed onto areas.
AFILLT - Generates a fillet at the intersection of two areas.
AFLIST - Lists the current data in the database.
AFSURF - Generates surface elements overlaid on the surface of existing solid elements and assigns the extra node as the closest fluid element node.
AGEN - Generates additional areas from a pattern of areas.
AGLUE - Generates new areas by "gluing" areas.
AINA - Finds the intersection of areas.
AINP - Finds the pairwise intersection of areas.
AINV - Finds the intersection of an area with a volume.
AL - Generates an area bounded by previously defined lines.
ALIST - Lists the defined areas.
ALLSEL - Selects all entities with a single command.
ALPFILL - Fills in an area loop within an existing 2-D area (for models imported from CAD files).
ALPHAD - Defines the mass matrix multiplier for damping.
AMAP - Generates a 2-D mapped mesh based on specified area corners.
AMESH - Generates nodes and area elements within areas.
/AN3D - Specifies 3-D annotation functions
ANCNTR - Produces an animated sequence of a contoured deformed shape.
ANCUT - Produces an animated sequence of Q-slices.
ANCYC - Applies a traveling wave animation to graphics data in a modal cyclic symmetry analysis.
ANDATA - Produces a sequential contour animation over a range of results data.
ANDSCL - Produces an animated sequence of a deformed shape.
ANDYNA - Produces an animated sequence of contour values through substeps.
/ANFILE - Saves or resumes an animation sequence to or from a file.
ANFLOW - Produces an animated sequence of particle flow in a flowing fluid or a charged particle traveling in an electric or magnetic field.
/ANGLE - Rotates the display about an axis.
ANHARM - Produces a time-transient animated sequence of time-harmonic results or complex mode shapes.
ANIM - Displays graphics data in animated form.
ANISOS - Produces an animated sequence of an isosurface.
ANMODE - Produces an animated sequence of a mode shape.
ANMRES - Performs animation of results over multiple results files in an explicit dynamic structural analysis or fluid flow analysis with remeshing.
/ANNOT - Activates graphics for annotating displays (GUI).
ANORM - Reorients area normals.
ANSOL - Specifies averaged nodal data to be stored from the results file in the solution coordinate system.
ANSTOAQWA - Creates an AQWA-LINE input file from the current ANSYS model.
ANSTOASAS - Creates an ASAS input file from the current ANSYS model.
ANTIME - Produces a sequential contour animation over a range of time.
ANTYPE - Specifies the analysis type and restart status.
/ANUM - Specifies the annotation number, type, and hot spot (GUI).
AOFFST - Generates an area, offset from a given area.
AOVLAP - Overlaps areas.
APLOT - Displays the selected areas.
APPEND - Reads data from the results file and appends it to the database.
APTN - Partitions areas.
ARCLEN - Activates the arc-length method.
ARCOLLAPSE - Collapses specified area to a specified line segment (for models imported from CAD files).
ARCTRM - Controls termination of the arc-length solution.
ARDETACH - Detaches areas from neighboring geometrical entities (for models imported from CAD files).
AREAS - Specifies "Areas" as the subsequent status topic.
AREFINE - Refines the mesh around specified areas.
AREMESH - Generates an area in which to create a new mesh for rezoning.
AREVERSE - Reverses the normal of an area, regardless of its connectivity or mesh status.
ARFILL - Creates an area based on a set of singly-connected lines (for models imported from CAD files).
ARMERGE - Merges two or more singly-connected adjacent areas (for models imported from CAD files).
AROTAT - Generates cylindrical areas by rotating a line pattern about an axis.
ARSCALE - Generates a scaled set of areas from a pattern of areas.
ARSPLIT - Splits an area between two keypoints (for models imported from CAD files).
ARSYM - Generates areas from an area pattern by symmetry reflection.
ASBA - Subtracts areas from areas.
ASBL - Subtracts lines from areas.
ASBV - Subtracts volumes from areas.
ASBW - Subtracts the intersection of the working plane from areas (divides areas).
ASEL - Selects a subset of areas.
ASKIN - Generates an area by "skinning" a surface through guiding lines.
ASLL - Selects those areas containing the selected lines.
ASLV - Selects those areas contained in the selected volumes.
/ASSIGN - Reassigns a file name to an ANSYS file identifier.
ASUB - Generates an area using the shape of an existing area.
ASUM - Calculates and prints geometry statistics of the selected areas.
ATAN - Forms the arctangent of a complex variable.
ATRAN - Transfers a pattern of areas to another coordinate system.
ATYPE - Specifies "Analysis types" as the subsequent status topic.
/AUTO - Resets the focus and distance specifications to "automatically calculated."
AUTOTS - Specifies whether to use automatic time stepping or load stepping.
/AUX2 - Enters the binary file dumping processor.
/AUX3 - Enters the results file editing processor.
/AUX12 - Enters the radiation processor.
/AUX15 - Enters the IGES file transfer processor.
AVPRIN - Specifies how principal and vector sums are to be calculated.
AVRES - Specifies how results data will be averaged when PowerGraphics is enabled.
/AXLAB - Labels the X and Y axes on graph displays.
III. B Commands
/BATCH - Sets the program mode to "batch."
BCSOPTION - Sets memory option for the sparse solver.
BELLOW - Defines a bellows in a piping run.
BEND - Defines a bend in a piping run.
BETAD - Defines the stiffness matrix multiplier for damping.
BF - Defines a nodal body force load.
BFA - Defines a body force load on an area.
BFADELE - Deletes body force loads on an area.
BFALIST - Lists the body force loads on an area.
BFCUM - Specifies that nodal body force loads are to be accumulated.
BFDELE - Deletes nodal body force loads.
BFE - Defines an element body force load.
BFECUM - Specifies whether to ignore subsequent element body force loads.
BFEDELE - Deletes element body force loads.
BFELIST - Lists the element body force loads.
BFESCAL - Scales element body force loads.
BFINT - Activates the body force interpolation operation.
BFK - Defines a body force load at a keypoint.
BFKDELE - Deletes body force loads at a keypoint.
BFKLIST - Lists the body force loads at keypoints.
BFL - Defines a body force load on a line.
BFLDELE - Deletes body force loads on a line.
BFLIST - Lists the body force loads on nodes.
BFLLIST - Lists the body force loads on a line.
BFSCALE - Scales body force loads at nodes.
BFTRAN - Transfers solid model body force loads to the finite element model.
BFUNIF - Assigns a uniform body force load to all nodes.
BFV - Defines a body force load on a volume.
BFVDELE - Deletes body force loads on a volume.
BFVLIST - Lists the body force loads on a volume.
BIOOPT - Specifies "Biot-Savart options" as the subsequent status topic.
BIOT - Calculates the Biot-Savart source magnetic field intensity.
BLC4 - Creates a rectangular area or block volume by corner points.
BLC5 - Creates a rectangular area or block volume by center and corner points.
BLOCK - Creates a block volume based on working plane coordinates.
BOOL - Specifies "Booleans" as the subsequent status topic.
BOPTN - Specifies Boolean operation options.
BRANCH - Defines the starting point for a piping branch.
BSAX - Specifies the axial strain and axial force relationship for beam sections.
BSMD - Specifies mass density for a nonlinear general beam section.
BSM1 - Specifies the bending curvature and moment relationship in plane XZ for beam sections.
BSM2 - Specifies the bending curvature and moment relationship in plane XY for beam sections.
BSPLIN - Generates a single line from a spline fit to a series of keypoints.
BSS1 - Specifies the transverse shear strain and force relationship in plane XZ for beam sections.
BSS2 - Specifies the transverse shear strain and force relationship in plane XY for beam sections.
BSTE - Specifies a thermal expansion coefficient for a nonlinear general beam section.
BSTQ - Specifies the cross section twist and torque relationship for beam sections.
BTOL - Specifies the Boolean operation tolerances.
BUCOPT - Specifies buckling analysis options.
IV. C Commands
C*** - Places a comment in the output.
CALC - Specifies "Calculation settings" as the subsequent status topic.
CAMPBELL - Prepares the result file for a subsequent Campbell diagram of a prestressed structure.
CBDOF - Activates cut boundary interpolation (for submodeling).
CDOPT - Specifies format to be used for archiving geometry.
CDREAD - Reads a file of solid model and database information into the database.
CDWRITE - Writes geometry and load database items to a file.
CE - Defines a constraint equation relating degrees of freedom.
CECHECK - Check constraint equations and couplings for rigid body motions.
CECMOD - Modifies the constant term of a constraint equation during solution.
CECYC - Generates the constraint equations for a cyclic symmetry analysis
CEDELE - Deletes constraint equations.
CEINTF - Generates constraint equations at an interface.
CELIST - Lists the constraint equations.
CENTER - Defines a node at the center of curvature of 2 or 3 nodes.
CEQN - Specifies "Constraint equations" as the subsequent status topic.
CERIG - Defines a rigid region.
CESGEN - Generates a set of constraint equations from existing sets.
CFACT - Defines complex scaling factors to be used with operations.
/CFORMAT - Controls the graphical display of alphanumeric character strings for parameters, components, assemblies, and tables.
CGLOC - Specifies the origin location of the acceleration coordinate system.
CGOMGA - Specifies the rotational velocity of the global origin.
CHECK - Checks current database items for completeness.
CHKMSH - Checks area and volume entities for previous meshes.
CINT - Defines parameters associated with contour integral calculations
CIRCLE - Generates circular arc lines.
CISOL - Stores J-integral information in a variable.
/CLABEL - Specifies contour labeling.
/CLEAR - Clears the database.
CLOCAL - Defines a local coordinate system relative to the active coordinate system.
CLOG - Forms the common log of a variable
/CLOG - Copies the session log file to a named file.
CLRMSHLN - Clears meshed entities.
CM - Groups geometry items into a component.
CMACEL - Specifies the translational acceleration of an element component
/CMAP - Changes an existing or creates a new color mapping table.
CMATRIX - Performs electrostatic field solutions and calculates the self and mutual capacitances between multiple conductors.
CMDELE - Deletes a component or assembly definition.
CMDOMEGA - Specifies the rotational acceleration of an element component about a user-defined rotational axis.
CMEDIT - Edits an existing assembly.
CMGRP - Groups components and assemblies into an assembly.
CMLIST - Lists the contents of a component or assembly.
CMMOD - Modifies the specification of a component.
CMOMEGA - Specifies the rotational velocity of an element component about a user-defined rotational axis.
CMPLOT - Plots the entities contained in a component or assembly.
CMROTATE - Specifies the rotational velocity of an element component about a user-defined rotational axis
CMSEL - Selects a subset of components and assemblies.
CMSFILE - Specifies a list of component mode synthesis (CMS) results files for plotting results on the assembly.
CMSOPT - Specifies component mode synthesis (CMS) analysis options.
CMWRITE - Writes components and assemblies to a file.
CNCHECK - Provides and/or adjusts the initial status of contact pairs.
CNVTOL - Sets convergence values for nonlinear analyses.
/COLOR - Specifies the color mapping for various items.
/COM - Places a comment in the output.
COMPRESS - Deletes all specified sets.
CON4 - Creates a conical volume anywhere on the working plane.
CONE - Creates a conical volume centered about the working plane origin.
/CONFIG - Assigns values to ANSYS configuration parameters.
CONJUG - Forms the complex conjugate of a variable.
/CONTOUR - Specifies the uniform contour values on stress displays.
/COPY - Copies a file.
CORIOLIS - Applies the Coriolis effect to a rotating structure.
COUPLE - Specifies "Node coupling" as the subsequent status topic.
COVAL - Defines PSD cospectral values.
CP - Defines (or modifies) a set of coupled degrees of freedom.
CPCYC - Couples the two side faces of a cyclically symmetric model for loadings that are the same on every segment.
CPDELE - Deletes coupled degree of freedom sets.
CPINTF - Defines coupled degrees of freedom at an interface.
/CPLANE - Specifies the cutting plane for section and capped displays.
CPLGEN - Generates sets of coupled nodes from an existing set.
CPLIST - Lists the coupled degree of freedom sets.
CPMERGE - Merges different couple sets with duplicate degrees of freedom into one couple set.
CPNGEN - Defines, modifies, or adds to a set of coupled degrees of freedom.
CPSGEN - Generates sets of coupled nodes from existing sets.
CQC - Specifies the complete quadratic mode combination method.
CRPLIM - Specifies the creep criterion for automatic time stepping.
CS - Defines a local coordinate system by three node locations.
CSCIR - Locates the singularity for non-Cartesian local coordinate systems.
CSDELE - Deletes local coordinate systems.
CSKP - Defines a local coordinate system by three keypoint locations.
CSLIST - Lists coordinate systems.
CSWPLA - Defines a local coordinate system at the origin of the working plane.
CSYS - Activates a previously defined coordinate system.
/CTYPE - Specifies the type of contour display.
CURR2D - Calculates current flow in a 2-D conductor.
CUTCONTROL - Controls time-step cutback during a nonlinear solution.
/CVAL - Specifies nonuniform contour values on stress displays.
CVAR - Computes covariance between two quantities.
/CWD - Changes the current working directory.
/CYCEXPAND - Graphically expands displacements, stresses and strains of a cyclically symmetric model.
CYCLIC - Specifies a cyclic symmetry analysis.
CYCOPT - Specifies solution options for a cyclic symmetry analysis.
CYCPHASE - Provides tools for determining minimum and maximum possible result values from frequency couplets produced in a modal cyclic symmetry analysis.
CYL4 - Creates a circular area or cylindrical volume anywhere on the working plane.
CYL5 - Creates a circular area or cylindrical volume by end points.
CYLIND - Creates a cylindrical volume centered about the working plane origin.
CZDEL - Edits or clears cohesive zone sections.
CZMESH - Create and mesh an interface area composed of cohesive zone elements.
V. D Commands
D - Defines DOF constraints at nodes.
DA - Defines DOF constraints on areas.
DADELE - Deletes DOF constraints on an area.
DALIST - Lists the DOF constraints on an area.
DAMORPH - Move nodes in selected areas to conform to structural displacements.
DATA - Reads data records from a file into a variable.
DATADEF - Specifies "Directly defined data status" as the subsequent status topic.
DCGOMG - Specifies the rotational acceleration of the global origin.
DCUM - Specifies that DOF constraint values are to be accumulated.
DCVSWP - Performs a DC voltage sweep on a ROM element.
DDELE - Deletes degree of freedom constraints.
DEACT - Specifies "Element birth and death" as the subsequent status topic.
DECOMP - Decomposes the model into domains used by Distributed ANSYS
DEFINE - Specifies "Data definition settings" as the subsequent status topic.
DELETE - Specifies sets in the results file to be deleted before postprocessing.
/DELETE - Deletes a file.
DELTIM - Specifies the time step sizes to be used for this load step.
DEMORPH - Move nodes in selected elements to conform to structural displacements.
DERIV - Differentiates a variable.
DESIZE - Controls default element sizes.
DESOL - Defines or modifies solution results at a node of an element.
DETAB - Modifies element table results in the database.
/DEVDISP - Controls graphics device options.
/DEVICE - Controls graphics device options.
DIG - Digitizes nodes to a surface.
DIGIT - Specifies "Node digitizing" as the subsequent status topic.
DISPLAY - Specifies "Display settings" as the subsequent status topic.
/DIST - Specifies the viewing distance for magnifications and perspective.
DJ - Specifies boundary conditions on the components of relative motion of a joint element.
DJDELE - Deletes boundary conditions on the components of relative motion of a joint element.
DJLIST - Lists boundary conditions applied to joint elements.
DK - Defines DOF constraints at keypoints.
DKDELE - Deletes DOF constraints at a keypoint.
DKLIST - Lists the DOF constraints at keypoints.
DL - Defines DOF constraints on lines.
DLDELE - Deletes DOF constraints on a line.
DLIST - Lists DOF constraints.
DLLIST - Lists DOF constraints on a line.
DMOVE - Digitizes nodes on surfaces and along intersections.
DMPEXT - Extracts modal damping coefficients in a specified frequency range.
DMPRAT - Sets a constant damping ratio.
DNSOL - Defines or modifies solution results at a node.
DOF - Adds degrees of freedom to the current DOF set.
DOFSEL - Selects a DOF label set for reference by other commands.
DOMEGA - Specifies the rotational acceleration of the structure.
DSCALE - Scales DOF constraint values.
/DSCALE - Sets the displacement multiplier for displacement displays.
DSET - Sets the scale and drawing plane orientation for a digitizing tablet.
DSPOPTION - Sets memory option for the distributed sparse solver.
DSUM - Specifies the double sum mode combination method.
DSURF - Defines the surface upon which digitized nodes lie.
DSYM - Specifies symmetry or antisymmetry DOF constraints on nodes.
DSYS - Activates a display coordinate system for geometry listings and plots.
DTRAN - Transfers solid model DOF constraints to the finite element model.
DUMP - Dumps the contents of a binary file.
/DV3D - Sets 3-D device option modes.
DVMORPH - Move nodes in selected volumes to conform to structural displacements.
DYNOPT - Specifies "Dynamic analysis options" as the subsequent status topic.
VI. E Commands
E - Defines an element by node connectivity.
EALIVE - Reactivates an element (for the birth and death capability).
EDADAPT - Activates adaptive meshing in an explicit dynamic analysis.
EDALE - Assigns mesh smoothing to explicit dynamic elements that use the ALE formulation.
EDASMP - Creates a part assembly to be used in an explicit dynamic analysis.
EDBOUND - Defines a boundary plane for sliding or cyclic symmetry.
EDBX - Creates a box shaped volume to be used in a contact definition for explicit dynamics.
EDBVIS - Specifies global bulk viscosity coefficients for an explicit dynamics analysis.
EDCADAPT - Specifies adaptive meshing controls for an explicit dynamic analysis.
EDCGEN - Specifies contact parameters for an explicit dynamics analysis.
EDCLIST - Lists contact entity specifications in an explicit dynamics analysis.
EDCMORE - Specifies additional contact parameters for a given contact definition in an explicit dynamic analysis.
EDCNSTR - Defines various types of constraints for an explicit dynamic analysis.
EDCONTACT - Specifies contact surface controls for an explicit dynamics analysis.
EDCPU - Specifies CPU time limit for an explicit dynamics analysis.
EDCRB - Constrains two rigid bodies to act as one in an explicit dynamics analysis.
EDCSC - Specifies whether to use subcycling in an explicit dynamics analysis.
EDCTS - Specifies mass scaling and scale factor of computed time step for an explicit dynamics analysis.
EDCURVE - Specifies data curves for an explicit dynamic analysis.
EDDAMP - Defines mass weighted (Alpha) or stiffness weighted (Beta) damping for an explicit dynamics model.
EDDBL - Selects a numerical precision type of the explicit dynamics analysis.
EDDC - Deletes or deactivates/reactivates contact surface specifications in an explicit dynamic analysis.
EDDRELAX - Activates initialization to a prescribed geometry or dynamic relaxation for the explicit analysis.
EDDUMP - Specifies output frequency for the explicit dynamic restart file (d3dump).
EDELE - Deletes selected elements from the model.
EDENERGY - Specifies energy dissipation controls for an explicit dynamics analysis.
EDFPLOT - Allows plotting of explicit dynamics forces and other load symbols.
EDGCALE - Defines global ALE controls for an explicit dynamic analysis.
/EDGE - Displays only the "edges" of an object.
EDHGLS - Specifies the hourglass coefficient for an explicit dynamics analysis.
EDHIST - Specifies time-history output for an explicit dynamic analysis.
EDHTIME - Specifies the time-history output interval for an explicit dynamics analysis.
EDINT - Specifies number of integration points for explicit shell and beam output.
EDIPART - Defines inertia for rigid parts in an explicit dynamics analysis.
EDIS - Specifies stress initialization in an explicit dynamic full restart analysis.
EDLCS - Defines a local coordinate system for use in explicit dynamics analysis.
EDLOAD - Specifies loads for an explicit dynamics analysis.
EDMP - Defines material properties for an explicit dynamics analysis.
EDNB - Defines a nonreflecting boundary in an explicit dynamic analysis.
EDNDTSD - Allows smoothing of noisy data for explicit dynamics analyses and provides a graphical representation of the data.
EDNROT - Applies a rotated coordinate nodal constraint in an explicit dynamics analysis.
EDOPT - Specifies the type of output for an explicit dynamics analysis.
EDOUT - Specifies time-history output (ASCII format) for an explicit dynamics analysis.
EDPART - Configures parts for an explicit dynamics analysis.
EDPC - Selects and plots explicit dynamic contact entities.
EDPL - Plots a time dependent load curve in an explicit dynamic analysis.
EDPVEL - Applies initial velocities to parts or part assemblies in an explicit dynamic analysis.
EDRC - Specifies rigid/deformable switch controls in an explicit dynamic analysis.
EDRD - Switches a part from deformable to rigid or from rigid to deformable in an explicit dynamic analysis.
EDREAD - Reads explicit dynamics output into variables for time-history postprocessing.
EDRI - Defines inertia properties for a new rigid body that is created when a deformable part is switched to rigid in an explicit dynamic analysis.
EDRST - Specifies the output interval for an explicit dynamic analysis.
EDRUN - Specify LS-DYNA serial or parallel processing.
EDSHELL - Specifies shell computation controls for an explicit dynamics analysis.
EDSOLV - Specifies "explicit dynamics solution" as the subsequent status topic.
EDSP - Specifies small penetration checking for contact entities in an explicit dynamic analysis.
EDSTART - Specifies status (new or restart) of an explicit dynamics analysis.
EDTERM - Specifies termination criteria for an explicit dynamic analysis.
EDTP - Plots explicit elements based on their time step size.
EDVEL - Applies initial velocities to nodes or node components in an explicit dynamic analysis.
EDWELD - Defines a massless spotweld or generalized weld for use in an explicit dynamic analysis.
EDWRITE - Writes explicit dynamics input to an LS-DYNA input file.
/EFACET - Specifies the number of facets per element edge for PowerGraphics displays.
EGEN - Generates elements from an existing pattern.
EINTF - Defines two-node elements between coincident or offset nodes.
EKILL - Deactivates an element (for the birth and death capability).
ELEM - Specifies "Elements" as the subsequent status topic.
ELIST - Lists the elements and their attributes.
EMAGERR - Calculates the relative error in an electrostatic or electromagnetic field analysis.
EMATWRITE - Forces the writing of all the element matrices to File.EMAT.
EMF - Calculates the electromotive force (emf), or voltage drop along a predefined path.
EMFT - Summarizes electromagnetic forces and torques.
EMID - Adds or removes midside nodes.
EMIS - Specifies emissivity as a material property for the Radiation Matrix method.
EMODIF - Modifies a previously defined element.
EMORE - Adds more nodes to the just-defined element.
EMSYM - Specifies circular symmetry for electromagnetic sources.
EMTGEN - Generates a set of TRANS126 elements.
EMUNIT - Specifies the system of units for magnetic field problems.
EN - Defines an element by its number and node connectivity.
ENDRELEASE - Specifies degrees of freedom to be decoupled for end release.
ENERSOL - Specifies the total energies to be stored.
ENGEN - Generates elements from an existing pattern.
ENORM - Reorients shell element normals or line element node connectivity.
ENSYM - Generates elements by symmetry reflection.
/EOF - Exits the file being read.
EORIENT - Reorients solid element normals.
EPLOT - Produces an element display.
EQSLV - Specifies the type of equation solver.
ERASE - Explicitly erases the current display.
/ERASE - Specifies that the screen is to be erased before each display.
EREAD - Reads elements from a file.
EREFINE - Refines the mesh around specified elements.
EREINF - Generates reinforcing elements from selected existing (base) elements.
ERESX - Specifies extrapolation of integration point results.
ERNORM - Controls error estimation calculations.
ERRANG - Specifies the element range to be read from a file.
ESCHECK - Perform element shape checking for a selected element set.
ESEL - Selects a subset of elements.
/ESHAPE - Displays elements with shapes determined from the real constants or section definition.
ESIZE - Specifies the default number of line divisions.
ESLA - Selects those elements associated with the selected areas.
ESLL - Selects those elements associated with the selected lines.
ESLN - Selects those elements attached to the selected nodes.
ESLV - Selects elements associated with the selected volumes.
ESOL - Specifies element data to be stored from the results file.
ESORT - Sorts the element table.
ESSOLV - Performs a coupled electrostatic-structural analysis.
ESTIF - Specifies the matrix multiplier for deactivated elements.
ESURF - Generates elements overlaid on the free faces of existing selected elements.
ESYM - Generates elements from a pattern by a symmetry reflection.
ESYS - Sets the element coordinate system attribute pointer.
ET - Defines a local element type from the element library.
ETABLE - Fills a table of element values for further processing.
ETCHG - Changes element types to their corresponding types.
ETCONTROL - Control the element technologies used in element formulation (for applicable elements).
ETDELE - Deletes element types.
ETLIST - Lists currently defined element types.
ETYPE - Specifies "Element types" as the subsequent status topic.
EUSORT - Restores original order of the element table.
EWRITE - Writes elements to a file.
/EXIT - Stops the run and returns control to the system.
EXP - Forms the exponential of a variable.
EXPAND - Displays the results of a modal cyclic symmetry analysis.
/EXPAND - Allows the creation of a larger graphic display than represented by the actual finite element analysis model.
EXPASS - Specifies an expansion pass of an analysis.
EXPROFILE - Exports ANSYS interface loads to a CFX Profile file.
EXPSOL - Specifies the solution to be expanded for reduced analyses.
EXTOPT - Controls options relating to the generation of volume elements from area elements.
EXTREM - Lists the extreme values for variables.
EXUNIT - Indicates units assumed for an interface load for ANSYS to CFX transfer.
VII. F Commands
F - Specifies force loads at nodes.
/FACET - Specifies the facet representation used to form solid model displays.
FATIGUE - Specifies "Fatigue data status" as the subsequent status topic.
FC - Provides failure criteria information and activates a data table to input temperature-dependent stress and strain limits.
FCCHECK - Checks both the strain and stress input criteria for all materials.
FCDELE - Deletes previously defined failure criterion data for the given material.
FCLIST - To list what the failure criteria is that you have input.
FCUM - Specifies that force loads are to be accumulated.
FDELE - Deletes force loads on nodes.
/FDELE - Deletes a binary file after it is used.
FE - Defines a set of fatigue event parameters.
FEBODY - Specifies "Body loads on elements" as the subsequent status topic.
FECONS - Specifies "Constraints on nodes" as the subsequent status topic.
FEFOR - Specifies "Forces on nodes" as the subsequent status topic.
FELIST - Lists the fatigue event parameters.
FESURF - Specifies "Surface loads on elements" as the subsequent status topic.
FILE - Specifies the data file where results are to be found.
FILEAUX2 - Specifies the binary file to be dumped.
FILEAUX3 - Specifies the results file to be edited.
FILEDISP - Specifies the file containing the graphics data.
FILL - Generates a line of nodes between two existing nodes.
FILLDATA - Fills a variable by a ramp function.
/FILNAME - Changes the Jobname for the analysis.
FINISH - Exits normally from a processor.
FITEM - Identifies items chosen by a picking operation (GUI).
FJ - Specify forces or moments on the components of the relative motion of a joint element.
FJDELE - Deletes forces (or moments) on the components of the relative motion of a joint element.
FJLIST - Lists forces and moments applied on joint elements.
FK - Defines force loads at keypoints.
FKDELE - Deletes force loads at a keypoint.
FKLIST - Lists the forces at keypoints.
FL - Defines a set of fatigue location parameters.
FLANGE - Defines a flange in a piping run.
FLDATA - Sets up a FLOTRAN analysis.
FLDATA1 - Controls which features of the solution algorithm are activated.
FLDATA2 - Sets iteration and output controls for steady state analyses.
FLDATA3 - Sets the convergence monitors for the degree of freedom set.
FLDATA4 - Sets controls for transient analyses based on transient time and convergence monitors or sets time integration method.
FLDATA4A - Sets controls for transient analyses based on the number of time steps.
FLDATA5 - Sets output and storage controls.
FLDATA6 - Controls the output of the convergence monitor.
FLDATA7 - Specifies the type of fluid property.
FLDATA8 - Specifies the NOMI coefficient of the fluid property equation.
FLDATA9 - Specifies the COF1 coefficient of the fluid property equation.
FLDATA10 - Specifies the COF2 coefficient of the fluid property equation.
FLDATA11 - Specifies the COF3 coefficient of the fluid property equation.
FLDATA12 - Sets the property update frequency flag.
FLDATA13 - Sets the property variation flag.
FLDATA14 - Specifies the reference temperature.
FLDATA15 - Specifies the reference pressure.
FLDATA16 - Specifies the bulk modulus parameter.
FLDATA17 - Specifies the specific heat ratio.
FLDATA18 - Selects the algebraic solver.
FLDATA19 - Specifies the number of TDMA sweeps.
FLDATA20 - Specifies the number of conjugate direction search vectors.
FLDATA20A - Specifies the amount of fill-in when preconditioning the coefficient matrix.
FLDATA20B - Specifies the number of fill-ins for the ILU preconditioner.
FLDATA21 - Specifies the convergence criterion for FLOTRAN algebraic solvers.
FLDATA22 - Specifies the maximum number of semi-direct iterations.
FLDATA23 - Specifies the solver minimum normalized rate of change.
FLDATA24 - Sets the turbulence model and the constants used in the Standard k-ε Model and the Zero Equation Turbulence Model.
FLDATA24A - Sets constants for the Re-Normalized Group Turbulence Model (RNG).
FLDATA24B - Sets constants for the k-ε Turbulence Model due to Shih (NKE).
FLDATA24C - Sets constants for the Nonlinear Turbulence Model of Girimaji (GIR).
FLDATA24D - Sets constants for the Shih, Zhu, Lumley Turbulence Model (SZL).
FLDATA24E - Sets constants for the k-ω turbulence model.
FLDATA24F - Sets the turbulent production clip factor for the Shear Stress Transport (SST) turbulence model.
FLDATA24G - Sets constants in the k-ω regime for the Shear Stress Transport (SST) turbulence model.
FLDATA24H - Sets constants in the k-ε regime for the Shear Stress Transport (SST) turbulence model.
FLDATA25 - Sets solution and property relaxation factors.
FLDATA26 - Sets stability controls.
FLDATA27 - Controls dependent variable printing.
FLDATA28 - Specifies that variable results are to be replaced.
FLDATA29 - Re-initializes a results variable.
FLDATA30 - Controls the quadrature orders.
FLDATA31 - Specifies dependent variable caps.
FLDATA32 - Controls restart options.
FLDATA33 - Specifies the approach to discretize the advection term.
FLDATA34 - Sets modified inertial relaxation factors.
FLDATA35 - Specifies tolerances for the lower and upper bound of the volume fraction.
FLDATA36 - Specifies ambient reference values outside of the fluid for the volume of fluid (VOF) method.
FLDATA37 - Specifies segregated solution or film coefficient algorithms.
FLDATA38 - Specifies the mass type for a fluid transient analysis.
FLDATA39 - Specifies remeshing parameters for transient fluid flow and fluid-solid interaction analyses.
FLDATA40 - Controls activation of thermal stabilization near walls.
FLIST - Lists force loads on the nodes.
FLLIST - Lists the fatigue location parameters.
FLOCHECK - Sets up and runs a zero-iteration FLOTRAN analysis.
FLOTRAN - Specifies "FLOTRAN data settings" as the subsequent status topic.
FLREAD - Reads the residual file written by the FLOTRAN CFD option.
FLST - Specifies data required for a picking operation (GUI).
FLUXV - Calculates the flux passing through a closed contour.
FMAGBC - Applies force and torque boundary conditions to an element component.
FMAGSUM - Summarizes electromagnetic force calculations on element components.
/FOCUS - Specifies the focus point (center of the window).
FOR2D - Calculates magnetic forces on a body.
FORCE - Selects the element nodal force type for output.
FORM - Specifies the format of the file dump.
/FORMAT - Specifies format controls for tables.
FP - Defines the fatigue S vs. N and Sm vs. T tables.
FPLIST - Lists the property table stored for fatigue evaluation.
FREQ - Defines the frequency points for the SV vs. FREQ tables.
FRQSCL - Turns on automatic scaling of the entire mass matrix and frequency range for modal analyses using the Block Lanczos or PCG Lanczos mode extraction method.
FS - Stores fatigue stress components at a node.
FSCALE - Scales force load values in the database.
FSDELE - Deletes a stress condition for a fatigue location, event, and loading.
FSLIST - Lists the stresses stored for fatigue evaluation.
FSNODE - Calculates and stores the stress components at a node for fatigue.
FSPLOT - Displays a fatigue stress item for a fatigue location and event.
FSSECT - Calculates and stores total linearized stress components.
FSSPARM - Calculates reflection and transmission properties of a frequency selective surface.
FSUM - Sums the nodal force and moment contributions of elements.
FTCALC - Performs fatigue calculations for a particular node location.
FTRAN - Transfers solid model forces to the finite element model.
FTSIZE - Defines the fatigue data storage array.
FTWRITE - Writes all currently stored fatigue data on a file.
FVMESH - Generates nodes and tetrahedral volume elements from detached exterior area elements (facets).
VIII. G Commands
GAP - Specifies "Reduced transient gap conditions" as the subsequent status topic.
GAPF - Defines the gap force data to be stored in a variable.
GAPFINISH - Exits from the CAD import topology repair stage.
GAPLIST - Lists all joined or disjoined lines in a model (for models imported from CAD files).
GAPMERGE - Merges adjacent disjoined lines (for models imported from CAD files).
GAPOPT - Sets preferences for the CAD import repair commands.
GAPPLOT - Plots all joined or disjoined lines (for models imported from CAD files).
GAUGE - Gauges the problem domain for an edge-element formulation.
/GCMD - Controls the type of element or graph display used for the GPLOT command.
/GCOLUMN - Allows the user to apply a label to a specified curve.
GENOPT - Specifies "General options" as the subsequent status topic.
GEOM - Defines the geometry specifications for the radiation matrix calculation.
GEOMETRY - Specifies "Geometry" as the subsequent status topic.
/GFILE - Specifies the pixel resolution on Z-buffered graphics files.
/GFORMAT - Specifies the format for the graphical display of numbers.
/GLINE - Specifies the element outline style.
/GMARKER - Specifies the curve marking style.
GMATRIX - Performs electric field solutions and calculates the self and mutual conductance between multiple conductors.
GMFACE - Specifies the facet representation used to form solid models.
/GO - Reactivates suppressed printout.
/GOLIST - Reactivates the suppressed data input listing.
/GOPR - Reactivates suppressed printout.
GP - Defines a gap condition for transient analyses.
GPDELE - Deletes gap conditions.
GPLIST - Lists the gap conditions.
GPLOT - Controls general plotting.
/GRAPHICS - Defines the type of graphics display.
/GRESUME - Sets graphics settings to the settings on a file.
/GRID - Selects the type of grid on graph displays.
/GROPT - Sets various line graph display options.
GRP - Specifies the grouping mode combination method.
/GRTYP - Selects single or multiple Y-axes graph displays.
/GSAVE - Saves graphics settings to a file for later use.
GSBDATA - Specifies the constraints or applies the load at the ending point for generalized plane strain option.
GSGDATA - Specifies the reference point and defines the geometry in the fiber direction for the generalized plane strain element option.
GSLIST - When using generalized plane strain, lists the input data or solutions.
GSSOL - Specifies which results to store from the results file when using generalized plane strain.
/GST - Turns Graphical Solution Tracking (GST) on or off.
GSUM - Calculates and prints geometry items.
/GTHK - Sets line thicknesses for graph lines.
/GTYPE - Controls the entities that the GPLOT command displays.
IX. H Commands
HARFRQ - Defines the frequency range in the harmonic response analysis.
/HBC - Determines how boundary condition symbols are displayed in a display window.
HBMAT - Writes an assembled global matrix in Harwell-Boeing format.
/HEADER - Sets page and table heading print controls.
HELP - Displays help information on ANSYS commands and element types.
HELPDISP - Displays help information on DISPLAY program commands.
HEMIOPT - Specifies options for Hemicube view factor calculation.
HFADP - Turns a high-frequency adaptive error calculation on or off.
HFANG - Defines or displays spatial angles of a spherical radiation surface for antenna parameter calculations.
HFARRAY - Defines phased array antenna characteristics.
HFDEEM - Calibrates S-parameter phase shift.
HFEIGOPT - Specifies high frequency electromagnetic modal analysis options.
HFEREFINE - Automatically refines high-frequency tetrahedral elements (HF119) or lists high-frequency brick elements (HF120) with the largest error.
HFMODPRT - Calculates electromagnetic field distribution for a modal port.
HFNEAR - Calculates the electromagnetic field at points in the near zone exterior to the equivalent source surface (flagged with the Maxwell surface flag in the preprocessor).
HFPA - Specifies a radiation scan angle for a phased array antenna analysis.
HFPCSWP - Calculates the propagating constants of a transmission line or waveguide over a frequency range.
HFPOWER - Calculates power terms of a multi-port network.
HFPORT - Specifies input data for waveguide, modal, lumped gap, or plane wave ports.
HFSCAT - Specifies a high-frequency scattering analysis.
HFSWEEP - Performs a harmonic response for a high-frequency electromagnetic wave guide analysis.
HFSYM - Indicates the presence of symmetry planes for the computation of high-frequency electromagnetic fields in the near and far field domains (beyond the finite element region).
HMAGSOLV - Specifies 2-D or axisymmetric harmonic magnetic solution options and initiates the solution.
HPGL - Specifies various HP options.
HPTCREATE - Defines a hard point.
HPTDELETE - Deletes selected hardpoints.
HRCPLX - Computes and stores in the database the time-harmonic solution at a prescribed phase angle.
HREXP - Specifies the phase angle for the harmonic analysis expansion pass.
HROPT - Specifies harmonic analysis options.
HROUT - Specifies the harmonic analysis output options.
X. I Commands
IC - Specifies initial conditions at nodes.
ICDELE - Deletes initial conditions at nodes.
ICE - Specifies initial conditions on elements.
ICEDELE - Deletes initial conditions on elements.
ICELIST - Lists initial conditions on elements.
ICLIST - Lists the initial conditions.
/ICLWID - Scales the line width of circuit builder icons.
/ICSCALE - Scales the icon size for elements supported in the circuit builder.
ICVFRC - Sets the initial volume fraction field for a geometry.
IGESIN - Transfers IGES data from a file into ANSYS.
IGESOUT - Writes solid model data to a file in IGES Version 5.1 format.
/IMAGE - Allows graphics data to be captured and saved.
IMAGIN - Forms an imaginary variable from a complex variable.
IMESH - Generates nodes and interface elements along lines or areas.
IMMED - Allows immediate display of a model as it is generated.
IMPD - Calculates the impedance of a conductor at a reference plane.
INISTATE - Defines initial state data and parameters.
/INPUT - Switches the input file for the commands that follow.
INRES - Identifies the data to be retrieved from the results file.
INRTIA - Specifies Inertial loads as the subsequent status topic.
INT1 - Integrates a variable.
INTSRF - Integrates nodal results on an exterior surface.
IOPTN - Controls options relating to importing a model.
IRLF - Specifies that inertia relief calculations are to be performed.
IRLIST - Prints inertia relief summary table.
ISFILE - Reads an initial stress state from a file into ANSYS.
ISTRESS -
ISWRITE - Writes an ASCII file containing the initial stress values.
XI. J Commands
JPEG - Provides JPEG file export for ANSYS displays.
JSOL - Specifies result items to be stored for the joint element.
XII. K Commands
K - Defines a keypoint.
KATT - Associates attributes with the selected, unmeshed keypoints.
KBC - Specifies stepped or ramped loading within a load step.
KBETW - Creates a keypoint between two existing keypoints.
KCALC - Calculates stress intensity factors in fracture mechanics analyses.
KCENTER - Creates a keypoint at the center of a circular arc defined by three locations.
KCLEAR - Deletes nodes and point elements associated with selected keypoints.
KDELE - Deletes unmeshed keypoints.
KDIST - Calculates and lists the distance between two keypoints.
KEEP - Stores POST26 definitions and data during active session.
KESIZE - Specifies the edge lengths of the elements nearest a keypoint.
KEYOPT - Sets element key options.
KEYPTS - Specifies "Keypoints" as the subsequent status topic.
KEYW - Sets a keyword used by the GUI for context filtering (GUI).
KFILL - Generates keypoints between two keypoints.
KGEN - Generates additional keypoints from a pattern of keypoints.
KL - Generates a keypoint at a specified location on an existing line.
KLIST - Lists the defined keypoints or hard points.
KMESH - Generates nodes and point elements at keypoints.
KMODIF - Modifies an existing keypoint.
KMOVE - Calculates and moves a keypoint to an intersection.
KNODE - Defines a keypoint at an existing node location.
KPLOT - Displays the selected keypoints.
KPSCALE - Generates a scaled set of (meshed) keypoints from a pattern of keypoints.
KREFINE - Refines the mesh around specified keypoints.
KSCALE - Generates a scaled pattern of keypoints from a given keypoint pattern.
KSCON - Specifies a keypoint about which an area mesh will be skewed.
KSEL - Selects a subset of keypoints or hard points.
KSLL - Selects those keypoints contained in the selected lines.
KSLN - Selects those keypoints associated with the selected nodes.
KSUM - Calculates and prints geometry statistics of the selected keypoints.
KSYMM - Generates a reflected set of keypoints.
KTRAN - Transfers a pattern of keypoints to another coordinate system.
KUSE - Specifies whether or not to reuse the triangularized matrix.
KWPAVE - Moves the working plane origin to the average location of keypoints.
KWPLAN - Defines the working plane using three keypoints.
XIII. L Commands
L - Defines a line between two keypoints.
L2ANG - Generates a line at an angle with two existing lines.
L2TAN - Generates a line tangent to two lines.
LANG - Generates a straight line at an angle with a line.
LARC - Defines a circular arc.
/LARC - Creates annotation arcs (GUI).
LAREA - Generates the shortest line between two keypoints on an area.
LARGE - Finds the largest (the envelope) of three variables.
LATT - Associates element attributes with the selected, unmeshed lines.
LAYER - Specifies the element layer for which data are to be processed.
LAYERP26 - Specifies the element layer for which data are to be stored.
LAYLIST - Lists real constants material properties for layered elements.
LAYPLOT - Displays the layer stacking sequence for layered elements.
LCABS - Specifies absolute values for load case operations.
LCASE - Reads a load case into the database.
LCCALC - Specifies "Load case settings" as the subsequent status topic.
LCCAT - Concatenates multiple lines into one line for mapped meshing.
LCDEF - Creates a load case from a set of results on a results file.
LCFACT - Defines scale factors for load case operations.
LCFILE - Creates a load case from an existing load case file.
LCLEAR - Deletes nodes and line elements associated with selected lines.
LCOMB - Combines adjacent lines into one line.
LCOPER - Performs load case operations.
LCSEL - Selects a subset of load cases.
LCSL - Divides intersecting lines at their point(s) of intersection.
LCSUM - Specifies whether to process non-summable items in load case operations.
LCWRITE - Creates a load case by writing results to a load case file.
LCZERO - Zeroes the results portion of the database.
LDELE - Deletes unmeshed lines.
LDIV - Divides a single line into two or more lines.
LDRAG - Generates lines by sweeping a keypoint pattern along path.
LDREAD - Reads results from the results file and applies them as loads.
LESIZE - Specifies the divisions and spacing ratio on unmeshed lines.
LEXTND - Extends a line at one end by using its slope.
LFILLT - Generates a fillet line between two intersecting lines.
LFSURF - Generates surface elements overlaid on the edge of existing solid elements and assigns the extra node as the closest fluid element node.
LGEN - Generates additional lines from a pattern of lines.
LGLUE - Generates new lines by "gluing" lines.
LGWRITE - Writes the database command log to a file.
/LIGHT - Specifies the light direction for the display window.
LINA - Finds the intersection of a line with an area.
LINE - Specifies "Lines" as the subsequent status topic.
/LINE - Creates annotation lines (GUI).
LINES - Specifies the length of a printed page.
LINL - Finds the common intersection of lines.
LINP - Finds the pairwise intersection of lines.
LINV - Finds the intersection of a line with a volume.
LIST - Lists out the sets in the results file.
*LIST - Displays the contents of an external, coded file.
LLIST - Lists the defined lines.
LMATRIX - Calculates an inductance matrix and the total flux linkage for an N-winding coil system.
LMESH - Generates nodes and line elements along lines.
LNCOLLAPSE - Collapse a line segment to a keypoint (for models imported from CAD files).
LNDETACH - Detaches lines from neighboring geometric entity (for models imported from CAD files).
LNFILL - Creates a straight line between two keypoints (for models imported from CAD files).
LNMERGE - Merges two or more connected line segments (for models imported from CAD files).
LNSPLIT - Splits a line segment into two line segments (for models imported from CAD files).
LNSRCH - Activates a line search to be used with Newton-Raphson.
LOCAL - Defines a local coordinate system by a location and orientation.
LOVLAP - Overlaps lines.
LPLOT - Displays the selected lines.
LPTN - Partitions lines.
LREFINE - Refines the mesh around specified lines.
LREVERSE - Reverses the normal of a line, regardless of its connectivity or mesh status.
LROTAT - Generates circular lines by rotating a keypoint pattern about an axis.
LSBA - Subtracts areas from lines.
LSBL - Subtracts lines from lines.
LSBV - Subtracts volumes from lines.
LSBW - Subtracts the intersection of the working plane from lines (divides lines).
LSCLEAR - Clears loads and load step options from the database.
LSDELE - Deletes load step files.
LSEL - Selects a subset of lines.
LSLA - Selects those lines contained in the selected areas.
LSLK - Selects those lines containing the selected keypoints.
LSOPER - Specifies "Load step operations" as the subsequent status topic.
/LSPEC - Specifies annotation line attributes (GUI).
LSREAD - Reads load and load step option data into the database.
LSSCALE - Generates a scaled set of lines from a pattern of lines.
LSSOLVE - Reads and solves multiple load steps.
LSTR - Defines a straight line irrespective of the active coordinate system.
LSUM - Calculates and prints geometry statistics of the selected lines.
LSWRITE - Writes load and load step option data to a file.
/LSYMBOL - Creates annotation symbols (GUI).
LSYMM - Generates lines from a line pattern by symmetry reflection.
LTAN - Generates a line at the end of, and tangent to, an existing line.
LTRAN - Transfers a pattern of lines to another coordinate system.
LUMPM - Specifies a lumped mass matrix formulation.
LVSCALE - Scales the load vector for mode superposition analyses.
LWPLAN - Defines the working plane normal to a location on a line.
XIV. M Commands
M - Defines master degrees of freedom for reduced and superelement generation analyses.
MADAPT - Adaptively meshes and solves an edge-based model.
MAGOPT - Specifies options for a 3-D magnetostatic field analysis.
MAGSOLV - Specifies magnetic solution options and initiates the solution.
MAPSOLVE - Maps solved node and element solutions from an original mesh to a new mesh.
MASTER - Specifies "Master DOF" as the subsequent status topic.
MAT - Sets the element material attribute pointer.
MATER - Specifies "Material properties" as the subsequent status topic.
MCHECK - Checks mesh connectivity.
MDAMP - Defines the damping ratios as a function of mode.
MDELE - Deletes master degrees of freedom.
MDPLOT - Plots frequency-dependent modal damping coefficients calculated by DMPEXT.
MEMM - Allows the current session to keep allocated memory
/MENU - Activates the Graphical User Interface (GUI).
MESHING - Specifies "Meshing" as the subsequent status topic.
MFANALYSIS - Turns an ANSYS Multi-field solver analysis on or off.
MFBUCKET - Turns a bucket search on or off.
MFCALC - Specifies a calculation frequency for a field in an ANSYS Multi-field solver analysis.
MFCI - Sets the control parameters used by the conservative (CPP) interpolation scheme.
MFCLEAR - Deletes ANSYS Multi-field solver analysis settings.
MFCMMAND - Captures field solution options in a command file.
MFCONV - Sets convergence values for an ANSYS Multi-field solver analysis.
MFDTIME - Sets time step sizes for an ANSYS Multi-field solver analysis.
MFELEM - Defines a field by grouping element types.
MFEM - Add more element types to a previously defined field number.
MFEXTER - Defines external fields for an ANSYS Multi-field solver analysis.
MFFNAME - Specifies a file name for a field in an ANSYS Multi-field solver analysis.
MFFR - Setup Multi-Field relaxation factors for field solutions.
MFIMPORT - Imports a new field into a current ANSYS Multi-field solver analysis.
MFINTER - Specifies the interface load transfer interpolation option for an ANSYS Multi-field solver analysis.
MFITER - Sets the number of stagger iterations for an ANSYS Multi-field solver analysis.
MFLCOMM - Defines a load transfer for code coupling analyses.
MFLIST - Lists the settings for an ANSYS Multi-field solver analysis.
MFMAP - Calculates, saves, resumes, or deletes mapping data in an ANSYS Multi-field solver analysis.
MFORDER - Specifies field solution order for an ANSYS Multi-field solver analysis.
MFOUTPUT - Specifies results file output frequency for an ANSYS Multi-field solver analysis.
MFPSIMUL - Sets up a field solver group to simultaneously process with code coupling analyses.
MFRELAX - Sets relaxation values for an ANSYS Multi-field solver analysis.
MFRSTART - Specifies restart status for an ANSYS Multi-field solver analysis.
MFSORDER - Sets up the solution sequence of simultaneous field solver groups for code coupling analyses.
MFSURFACE - Defines a surface load transfer for an ANSYS Multi-field solver analysis.
MFTIME - Sets end time for an ANSYS Multi-field solver analysis.
MFTOL - Turns normal distance checking on for surface mapping in an ANSYS Multi-field solver analysis.
MFVOLUME - Defines a volume load transfer for an ANSYS Multi-field solver analysis.
MFWRITE - Writes an ANSYS master input file for MFX multiple code coupling.
MGEN - Generates additional MDOF from a previously defined set.
MIDTOL - Sets midstep residual criterion values for structural transient analyses.
MITER - Defines a mitered bend in a piping run.
MLIST - Lists the MDOF of freedom.
MMF - Calculates the magnetomotive force along a path.
MODE - Specifies the harmonic loading term for this load step.
MODIFY - Changes the listed values of the data in a set.
MODMSH - Controls the relationship of the solid model and the FE model.
MODOPT - Specifies modal analysis options.
MONITOR - Controls contents of three variable fields in nonlinear solution monitor file.
MOPT - Specifies meshing options.
MORPH - Specifies morphing and remeshing controls.
MOVE - Calculates and moves a node to an intersection.
MP - Defines a linear material property as a constant or a function of temperature.
MPAMOD - Modifies temperature-dependent secant coefficients of thermal expansion.
MPCHG - Changes the material number attribute of an element.
MPCOPY - Copies linear material model data from one material reference number to another.
MPDATA - Defines property data to be associated with the temperature table.
MPDELE - Deletes linear material properties.
MPDRES - Reassembles existing material data with the temperature table.
/MPLIB - Sets the default material library read and write paths.
MPLIST - Lists linear material properties.
MPPLOT - Plots linear material properties as a function of temperature.
MPREAD - Reads a file containing material properties.
MPRINT - Specifies that radiation matrices are to be printed.
MPTEMP - Defines a temperature table for material properties.
MPTGEN - Adds temperatures to the temperature table by generation.
MPTRES - Restores a temperature table previously defined.
MPWRITE - Writes linear material properties in the database to a file (if the LIB option is not specified) or writes both linear and nonlinear material properties (if LIB is specified) from the database to a file.
/MREP - Enables you to reissue the graphics command macro "name" during a replot or zoom operation.
MSADV - Specifies the approach to discretize the advection term in a species transport equation.
MSAVE - Sets the solver memory saving option. This option only applies to the PCG solver.
MSCAP - Activates and controls mass fraction capping for a species.
MSDATA - Defines multiple species data applicable to all species.
MSHAPE - For elements that support multiple shapes, specifies the element shape to be used for meshing.
MSHCOPY - Simplifies the generation of meshes that have matching node element patterns on two different line groups (in 2-D) or area groups (3-D).
MSHKEY - Specifies whether free meshing or mapped meshing should be used to mesh a model.
MSHMID - Specifies placement of midside nodes.
MSHPATTERN - Specifies pattern to be used for mapped triangle meshing.
MSMASS - Specifies the mass type for a transient species analysis.
MSMETH - Specifies the method of solution of the species transport equations.
MSMIR - Sets modified inertial relaxation factors for multiple species.
MSNOMF - Specifies the initial value of nominal mass fraction for a species.
MSPROP - Defines the fluid properties of a species.
MSQUAD - Specifies the quadrature order for multiple species elements.
MSRELAX - Specifies relaxation factors for a multiple species transport analysis.
MSSOLU - Specifies solution options for multiple species transport.
MSSPEC - Specifies the name, molecular weight, and Schmidt number of a species.
/MSTART - Controls the initial GUI components.
MSTERM - Sets the convergence monitors for species.
MSVARY - Allows species properties to vary between global iterations.
MXPAND - Specifies the number of modes to expand and write for a modal or buckling analysis.
XV. N Commands
N - Defines a node.
NANG - Rotates a nodal coordinate system by direction cosines.
NCNV - Sets the key to terminate an analysis.
NDELE - Deletes nodes.
NDIST - Calculates and lists the distance between two nodes.
NDSURF - Generates surface elements overlaid on the edge of existing elements and assigns the extra node as the closest fluid element node.
NEQIT - Specifies the maximum number of equilibrium iterations for nonlinear analyses.
/NERR - Limits the number of warning and error messages displayed.
NFORCE - Sums the nodal forces and moments of elements attached to nodes.
NGEN - Generates additional nodes from a pattern of nodes.
NKPT - Defines a node at an existing keypoint location.
NLDIAG - Sets nonlinear diagnostics functionality.
NLDPOST - Gets element component information from nonlinear diagnostic files.
NLGEOM - Includes large-deflection effects in a static or full transient analysis.
NLHIST - Specify result items to track during solution.
NLIST - Lists nodes.
NLOG - Forms the natural log of a variable.
NLOPT - Specifies "Nonlinear analysis options" as the subsequent status topic.
NMODIF - Modifies an existing node.
NOCOLOR - Removes color from graphics displays.
NODES - Specifies "Nodes" as the subsequent status topic.
/NOERASE - Prevents the screen erase between displays.
/NOLIST - Suppresses the data input listing.
NOOFFSET - Prevents the CDREAD command from offsetting specified data items
NOORDER - Re-establishes the original element ordering.
/NOPR - Suppresses the expanded interpreted input data listing.
NORA - Rotates nodal coordinate systems to surface normal
NORL - Rotates nodal coordinate systems perpendicular to line normal
/NORMAL - Allows displaying area elements by top or bottom faces.
NPLOT - Displays nodes.
NPRINT - Defines which time points stored are to be listed.
NREAD - Reads nodes from a file.
NREFINE - Refines the mesh around specified nodes.
NRLSUM - Specifies the Naval Research Laboratory (NRL) sum mode combination method.
NROPT - Specifies the Newton-Raphson options in a static or full transient analysis.
NROTAT - Rotates nodal coordinate systems into the active system.
NRRANG - Specifies the range of nodes to be read from the node file.
NSCALE - Generates a scaled set of nodes from a pattern of nodes.
NSEL - Selects a subset of nodes.
NSLA - Selects those nodes associated with the selected areas.
NSLE - Selects those nodes attached to the selected elements.
NSLK - Selects those nodes associated with the selected keypoints.
NSLL - Selects those nodes associated with the selected lines.
NSLV - Selects those nodes associated with the selected volumes.
NSMOOTH - Smooths selected nodes among selected elements.
NSOL - Specifies nodal data to be stored from the results file.
NSORT - Sorts nodal data.
NSTORE - Defines which time points are to be stored.
NSUBST - Specifies the number of substeps to be taken this load step.
NSVR - Defines the number of variables for user-programmable element options.
NSYM - Generates a reflected set of nodes.
/NUMBER - Specifies whether numbers, colors, or both are used for displays.
NUMCMP - Compresses the numbering of defined items.
NUMEXP - Specifies solutions to be expanded from reduced analyses.
NUMMRG - Merges coincident or equivalently defined items.
NUMOFF - Adds a number offset to defined items.
NUMSTR - Establishes starting numbers for automatically numbered items.
NUMVAR - Specifies the number of variables allowed in POST26.
NUSORT - Restores original order for nodal data.
NWPAVE - Moves the working plane origin to the average location of nodes.
NWPLAN - Defines the working plane using three nodes.
NWRITE - Writes nodes to a file.
XVI. O Commands
OMEGA - Specifies the rotational velocity of the structure.
OPADD - Forms a set of optimization parameters by adding two sets.
OPANL - Defines the analysis file to be used for optimization looping.
OPCLR - Clears the optimization database.
OPDATA - Identifies the file where optimization data is to be saved.
OPDEL - Deletes optimization design sets.
OPEQN - Controls curve fitting for the subproblem approximation method.
OPERATE - Specifies "Operation data" as the subsequent status topic.
OPEXE - Initiates optimization looping.
OPFACT - Defines the type of factorial evaluation to be performed.
OPFRST - Defines specifications for the first order optimization method.
OPGRAD - Specifies which design set will be used for gradient evaluation.
OPKEEP - Specifies whether to save the best-set results and database file.
OPLFA - Displays the results of a factorial evaluation.
OPLGR - Graphs the results of a gradient evaluation.
OPLIST - Displays the parameters for design sets.
OPLOOP - Specifies controls for optimization looping.
OPLSW - Graphs the results of a global sweep generation.
OPMAKE - Creates a design set using active scalar parameter values.
OPNCONTROL - Sets decision parameter for automatically increasing the time step interval.
OPPRNT - Activates detailed optimization summary printout.
OPRAND - Defines the number of iterations for a random optimization.
OPRESU - Reads optimization data into the optimization database.
OPRFA - Prints the results of a factorial evaluation.
OPRGR - Prints the results of a gradient evaluation.
OPRSW - Prints the results of a global sweep generation.
OPSAVE - Writes all optimization data to a file.
OPSEL - Selects design sets for subsequent optimization looping.
OPSUBP - Defines number of iterations for subproblem approximation method.
OPSWEEP - Specifies the reference point and number of evaluation points for a sweep generation.
/OPT - Enters the design optimizer.
OPTYPE - Specifies the optimization method to be used.
OPUSER - Defines specifications for user-supplied external optimization.
OPVAR - Specifies the parameters to be treated as optimization variables.
OUTOPT - Specifies "Output options" as the subsequent status topic.
OUTPR - Controls the solution printout.
/OUTPUT - Redirects text output to a file or to the screen.
OUTRES - Controls the solution data written to the database.
XVII. P Commands
PADELE - Deletes a defined path.
/PAGE - Defines the printout and screen page size.
PAGET - Writes current path information into an array variable.
PAPUT - Retrieves path information from an array variable.
PARESU - Restores previously saved paths from a file.
PARTSEL - Selects a subset of parts in an explicit dynamic analysis.
PASAVE - Saves selected paths to an external file.
PATH - Defines a path name and establishes parameters for the path.
/PBC - Shows boundary condition (BC) symbols and values on displays.
/PBF - Shows magnitude of body force loads on displays.
PCALC - Forms additional labeled path items by operating on existing path items.
PCGOPT - Controls PCG solver options.
PCIRC - Creates a circular area centered about the working plane origin.
/PCIRCLE - Creates an annotation circle (GUI).
PCONV - Sets convergence values for p-method solutions.
/PCOPY - Automatically generates hard copies for HP UNIX work stations.
PCORRO - Specifies the allowable exterior corrosion thickness for a piping run.
PCROSS - Calculates the cross product of two path vectors along the current path.
PDANL - Defines the analysis file to be used for probabilistic looping.
PDCDF - Plots the cumulative distribution function.
PDCFLD - Calculates a correlation field and stores it into an ANSYS array.
PDCLR - Clears the probabilistic design database.
PDCMAT - Prints the correlation coefficient matrix.
PDCORR - Specifies the correlation between two random input variables.
PDDMCS - Specifies options for Monte Carlo Simulations using direct sampling.
PDDOEL - Defines design of experiment levels for an individual random input variable.
PDEF - Interpolates an item onto a path.
PDEXE - Executes the probabilistic analysis.
PDHIST - Plots the frequency histogram.
PDINQR - Evaluates statistical characteristics of a random input variable.
PDLHS - Specifies options for Monte Carlo Simulations using Latin-Hypercube sampling.
PDMETH - Specifies the probabilistic analysis method.
PDOT - Calculates the dot product of two path vectors along the current path.
PDPINV - Prints the result of the inversion of a probability.
PDPLOT - Plots the distribution curves of a defined random input variable.
PDPROB - Prints a probability result.
PDRAG - Defines the external fluid drag loading for a piping run.
PDRESU - Reads the probabilistic model data and loads it into the database.
PDROPT - Specifies the options for an HTML report.
/PDS - Enters the probabilistic design system.
PDSAVE - Writes the probabilistic model data to a file.
PDSCAT - Plots a scatter graph.
PDSENS - Plots the probabilistic sensitivities.
PDSHIS - Plots the sample history values.
PDUSER - Specifies options for user-specified sampling methods.
PDVAR - Specifies the parameters to be treated as probabilistic design variables.
PDWRITE - Generates an HTML report for the probabilistic analyses.
PEMOPTS - Defines percentage tolerance and error estimation method for electrostatic p-Method solution.
PERBC2D - Generates periodic constraints for 2-D planar magnetic field analyses.
PERI - Specifies periodic boundary conditions in an incompressible flow analysis.
PEXCLUDE - Specifies elements to be excluded from p-level escalations.
PFACT - Calculates participation factors for the PSD or multi-point response spectrum table.
PFLUID - Defines the contained fluid density for a piping run.
PGAP - Defines a spring-gap constraint in a piping run.
PGRAPH - Specifies the location from which graphics data will be retrieved for viewing.
PGRSET - Defines the data set to be read from the PGR file.
PGSAVE - Creates a PowerGraphics (PGR) file from results data.
PGSELE - Select a subset of elements for display with the PGR viewer.
PGWRITE - Writes selected solution data to the PGR file for faster post processing access.
PHYSICS - Writes, reads, or lists all element information
/PICE - Shows initial conditions on elements as contours on displays.
PINCLUDE - Specifies elements to be included in p-level escalations.
PINSUL - Defines the external insulation constants in a piping run.
PIPE - Specifies "Pipe modeling" as the subsequent status topic.
PIVCHECK - Prevents a batch mode, linear static analysis from stopping when a negative or zero equation solver pivot value is encountered.
PLCAMP - Plots Campbell diagram data for applications involving rotating structure dynamics.
PLCINT - Plots the J-integral result data.
PLCONV - Plots the convergence curve for specified items from a p-method solution.
PLCPLX - Specifies the part of a complex variable to display.
PLCRACK - Displays cracking and crushing locations in SOLID65 elements.
PLDISP - Displays the displaced structure.
PLESOL - Displays the solution results as discontinuous element contours.
PLETAB - Displays element table items.
PLF2D - Generates a contour line plot of equipotentials.
PLHFFAR - Displays electric far fields and far field parameters.
PLLS - Displays element table items as contoured areas along elements.
PLNSOL - Displays results as continuous contours.
/PLOPTS - Controls graphics options on subsequent displays.
PLORB - Displays the orbital motion of a rotating structure
PLOT - Forms a display.
PLOTTING - Specifies "Plotting settings" as the subsequent status topic.
PLPAGM - Displays path items along the path geometry.
PLPATH - Displays path items on a graph.
PLSCH - Converts and plots scattering, admittance, or impedance parameters on a Smith chart.
PLSECT - Displays membrane and membrane-plus-bending linearized stresses.
PLSYZ - Converts and plots network parameters versus frequency or plots losses versus frequency.
PLTD - Displays TDR/TDT waveforms, an impedance profile, or a total waveform.
PLTIME - Defines the time range for which data are to be displayed.
PLTRAC - Displays a particle flow or charged particle trace on an element display.
PLVAR - Displays up to ten variables in the form of a graph.
PLVAROPT - Displays up to ten parameters in the form of a graph.
PLVECT - Displays results as vectors.
PLVFRC - Displays volume fractions in a volume of fluid (VOF) analysis.
PLWAVE - Specifies a free-space time-harmonic incident plane electromagnetic wave.
PMAP - Creates mapping of the path geometry by defining path interpolation division points.
PMETH - Specifies "p-Method" as the subsequent status topic.
/PMETH - Activates the p-method solution options in the Graphical User Interface (GUI).
PMGTRAN - Summarizes electromagnetic results from a transient analysis.
PMLOPT - Defines perfectly matched layers (PMLs) for a high-frequency analysis.
PMLSIZE - Determines number of PML layers.
PMOPTS - Defines percentage tolerance for a p-Method solution.
/PMORE - Creates an annotation polygon (GUI).
PNGR - Provides PNG file export for ANSYS displays.
/PNUM - Controls entity numbering/coloring on plots.
POINT - Specifies "Point flow tracing settings" as the subsequent status topic.
POLY - Creates a polygonal area based on working plane coordinate pairs.
/POLYGON - Creates annotation polygons (GUI).
POPT - Selects the piping analysis standard for a piping run.
/POST1 - Enters the database results postprocessor.
/POST26 - Enters the time-history results postprocessor.
POUTRES - Controls the nodal DOF and computed element results graphics data that is written to the PGR file.
POWERH - Calculates the rms power loss in a conductor or lossy dielectric.
PPATH - Defines a path by picking or defining nodes, or locations on the currently active working plane, or by entering specific coordinate locations.
PPLOT - Displays an element plot indicating each element's final p-level.
PPRANGE - Specifies a range of p-level values for use in a p-method solution.
PPRES - Defines the internal pressure for a piping run.
PRANGE - Determines the path range.
PRCAMP - Prints Campbell diagram data for applications involving rotating structure dynamics.
PRCINT - Lists the J-integral result data.
PRCONV - Lists convergence values versus characteristic p-level.
PRCPLX - Defines the output form for complex variables.
PRECISION - Specifies machine precision for solvers (currently valid only for PCG solvers).
PRED - Activates a predictor in a nonlinear analysis.
PRENERGY - Prints the total energies of a model.
/PREP7 - Enters the model creation preprocessor.
PRERR - Prints SEPC and TEPC.
PRESOL - Prints the solution results for elements.
PRETAB - Prints the element table items.
PRHFFAR - Prints electric far fields and far field parameters.
PRI2 - Creates a polygonal area or a prism volume by vertices (GUI).
PRIM - Specifies "Solid model primitives" as the subsequent status topic.
PRINT - Specifies "Print settings" as the subsequent status topic.
PRISM - Creates a prism volume based on working plane coordinate pairs.
PRITER - Prints solution summary data.
PRJSOL - Prints joint element output.
PRNLD - Prints the summed element nodal loads.
PRNSOL - Prints the nodal solution results.
PROD - Multiplies variables.
PRORB - Prints the orbital motion characteristics of a rotating structure
PRPATH - Prints path items along a geometry path.
PRRFOR - Used with the FORCE command. Prints the constrained node reaction solution.
PRRSOL - Prints the constrained node reaction solution.
PRSECT - Calculates and prints linearized stresses along a section path.
PRSSOL - Prints BEAM188 and BEAM189 section results.
PRSYZ - Converts and lists scattering, admittance, or impedance parameters.
PRTIME - Defines the time range for which data are to be listed.
PRVAR - Lists variables vs. time (or frequency).
PRVAROPT - Lists up to ten optimization parameters.
PRVECT - Prints results as vector magnitude and direction cosines.
PSCONTROL - Turn shared-memory parallel operations on or off during solution.
PSCR - Specifies various PostScript options.
PSDCOM - Specifies the power spectral density mode combination method.
PSDFRQ - Defines the frequency points for the input spectrum vs. FREQ tables of PSD and multi-point spectrum analyses.
PSDGRAPH - Displays input PSD curves
PSDRES - Controls solution output written to the results file from a PSD analysis.
PSDSPL - Defines a partially correlated excitation in a PSD analysis.
PSDUNIT - Defines the type of PSD or multi-point response spectrum.
PSDVAL - Defines PSD or multi-point response spectrum values.
PSDWAV - Defines a wave propagation excitation in a PSD analysis.
PSEL - Selects a path or paths.
/PSF - Shows surface load symbols on model displays.
PSMESH - Create and mesh a pretension section
PSOLVE - Directs the program to perform a partial solution.
PSPEC - Defines pipe material and dimensions.
/PSPEC - Creates annotation polygon attributes (GUI).
PSPRNG - Defines a spring constraint in a piping run.
/PSTATUS - Displays the global or window display specifications.
PSTRES - Specifies whether prestress effects are calculated or included.
/PSYMB - Shows various symbols on displays.
PTEMP - Defines the pipe wall temperatures in a piping run.
PTXY - Defines coordinate pairs for use in polygons and prisms.
PUNIT - Selects the system of length units to be used in a piping run.
PVECT - Interpolates a set of items onto a path.
/PWEDGE - Creates an annotation wedge (GUI).
XVIII. Q Commands
QDVAL - Defines PSD quadspectral values.
QFACT - Calculates the quality factor for high-frequency electromagnetic resonators.
QSOPT - Specifies quasi static radiation options.
QUAD - Generates a quadratic line of nodes from three nodes.
/QUIT - Exits a processor.
QUOT - Divides two variables.
XIX. R Commands
R - Defines the element real constants.
RACE - Defines a "racetrack" current source.
RADOPT - Specifies Gauss-Seidel Radiosity Solver options.
RALL - Calculates solver statistics and run time estimates.
RAPPND - Appends results data from the database to the results file.
RATE - Specifies whether the effect of creep strain rate will be used in the solution of a load step.
/RATIO - Distorts the object geometry.
RBE3 - Distributes the force/moment applied at the master node to a set of slave nodes, taking into account the geometry of the slave nodes as well as weighting factors.
RCON - Specifies "Real constants" as the subsequent status topic.
RDEC - Defines the decimation parameters.
RDELE - Deletes real constant sets.
REAL - Sets the element real constant set attribute pointer.
REALVAR - Forms a variable using only the real part of a complex variable.
RECTNG - Creates a rectangular area anywhere on the working plane.
REDUCE - Defines a reducer in a piping run.
REFLCOEF - Calculates the voltage reflection coefficient (REFLC), standing wave ratio (VSWR), and return loss (RL) in a COAX fed device; at postprocessing of an HF electromagnetic analysis.
REMESH - Specifies the starting and ending remeshing points for rezoning.
/RENAME - Renames a file.
REORDER - Specifies "Model reordering" as the subsequent status topic.
/REPLOT - Automatically reissues the last display command for convenience.
RESCONTROL - Controls file writing for multiframe restarts.
RESET - Resets all POST1 or POST26 specifications to initial defaults.
/RESET - Resets display specifications to their initial defaults.
RESP - Generates a response spectrum.
RESUME - Resumes the database from the database file.
RESVEC - Calculates or includes residual vectors.
RESWRITE - Appends results data from the database to a results file.
REXPORT - Exports displacements from an implicit run to ANSYS LS-DYNA.
REZONE - Initiates the rezoning process, sets rezoning options, and rebuilds the database.
RFILSZ - Estimates file sizes.
RFORCE - Specifies the total reaction force data to be stored.
/RGB - Specifies the RGB color values for indices and contours.
RIGID - Specifies known rigid body modes (if any) of the model.
RIMPORT - Imports initial stresses from an explicit dynamics run into ANSYS.
RITER - Supplies an estimate of the number of iterations for time estimates.
RLIST - Lists the real constant sets.
RMALIST - Lists all defined master nodes for a ROM method.
RMANL - Assigns model database, dimensionality, and operating direction for the ROM method.
RMASTER - Defines master nodes for the ROM method.
RMCAP - Defines lumped capacitance pairs between conductors C1 and C2 for a ROM method.
RMCLIST - Lists all lumped capacitance pairs defined.
RMEMRY - Prints memory statistics for the current model.
RMFLVEC - Writes eigenvectors of fluid nodes to a file for use in damping parameter extraction.
RMLVSCALE - Defines element load vector scaling for a ROM use pass.
RMMLIST - Lists all mode specifications for the ROM method.
RMMRANGE - Defines and edits various modal parameters for the ROM method.
RMMSELECT - Selects modes for the ROM method.
RMNDISP - Extracts neutral plane displacements from a test load or element load solution for the ROM method.
RMNEVEC - Extracts neutral plane eigenvectors from a modal analysis for the ROM method.
RMODIF - Modifies real constant sets.
RMORE - Adds real constants to a set.
RMPORDER - Defines polynomial orders for ROM functions.
RMRESUME - Resumes ROM data from a file.
RMRGENERATE - Performs fitting procedure for all ROM functions to generate response surfaces.
RMROPTIONS - Defines options for ROM response surface fitting.
RMRPLOT - Plots response surface of ROM function or its derivatives with respect to the dominant mode(s).
RMRSTATUS - Prints status of response surface for ROM function.
RMSAVE - Saves ROM data to file.
RMSMPLE - Runs finite element solutions and obtains sample points for the ROM method.
RMUSE - Activates ROM use pass for ROM elements.
RMXPORT - Exports ROM model to external VHDL-AMS simulator.
ROCK - Specifies a rocking response spectrum.
RPOLY - Creates a regular polygonal area centered about the working plane origin.
RPR4 - Creates a regular polygonal area or prism volume anywhere on the working plane.
RPRISM - Creates a regular prism volume centered about the working plane origin.
RPSD - Computes response power spectral density (PSD).
RSFIT - Fit a response surface for an output parameter in a solution set.
RSOPT - Creates or loads the radiosity mapping data file for SURF251 or SURF252 element types.
RSPEED - Supplies system performance information for use in time estimates.
RSPLIT - Creates one or more results file(s) from the current results file based on subsets of elements.
RSPLOT - Plot a response surface.
RSPRNT - Print a response surface.
RSSIMS - Performs Monte Carlo simulations on response surface(s).
RSTAT - Prints the FE model statistics of the model.
RSTOFF - Offsets node or element IDs in the FE geometry record.
RSURF - Generates the radiosity surface elements (SURF251/SURF252) and stores them in the database.
RSYMM - Defines the plane of symmetry or center of rotation for the radiosity method.
RSYS - Activates a coordinate system for printout or display of element and nodal results.
RTHICK - Defines variable thickness at nodes for shell elements.
RTIMST - Prints runtime estimates.
RUN - Defines a pipe run.
/RUNST - Enters the run statistics processor.
RWFRNT - Generates wavefront statistics and memory requirements.
XX. S Commands
SABS - Specifies absolute values for element table operations.
SADD - Forms an element table item by adding two existing items.
SALLOW - Defines the allowable stress table for safety factor calculations.
SARPLOT - Displays areas smaller than a specified size (for models imported from CAD files).
SAVE - Saves all current database information.
SBCLIST - Lists solid model boundary conditions.
SBCTRAN - Transfers solid model loads and boundary conditions to the FE model.
SDELETE - Deletes cross sections from the ANSYS database.
SE - Defines a superelement.
SECCONTROLS - Overrides program calculated properties.
SECDATA - Describes the geometry of a section.
SECFUNCTION - Specifies shell section thickness as a tabular function.
SECJOINT - Defines local coordinate systems at joint element nodes or relative DOFs to be fixed for a general joint element.
/SECLIB - Sets the default section library path for the SECREAD command.
SECLOCK - Specifies locks on the components of relative motion in a joint element.
SECMODIF - Modifies a pretension section
SECNUM - Sets the element section attribute pointer.
SECOFFSET - Defines the section offset for cross sections.
SECPLOT - Plots the geometry of a beam or shell section to scale.
SECREAD - Reads a customized beam section library or a user-defined beam section mesh into ANSYS.
SECSTOP - Specifies stops on the components of relative motion in a joint element.
SECTYPE - Associates section type information with a section ID number.
SECWRITE - Creates an ASCII file containing user mesh section information.
SED - Defines the excitation direction for a single-point response spectrum.
SEDLIST - Lists the DOF solution of a superelement after the use pass.
SEEXP - Specifies options for the substructure expansion pass.
/SEG - Allows graphics data to be stored in the local terminal memory.
SEGEN - Automatically generate superelements.
SELIST - Lists the contents of a superelement matrix file.
SELM - Specifies "Superelements" as the subsequent status topic.
SELTOL - Sets the tolerance for subsequent select operations.
SENERGY - Determines the stored magnetic energy or co-energy.
SEOPT - Specifies substructure analysis options.
SESYMM - Performs a symmetry operation on a superelement within the use pass.
SET - Defines the data set to be read from the results file.
SETFGAP - Updates or defines the real constant table for squeeze film elements.
SETRAN - Creates a superelement from an existing superelement.
SEXP - Forms an element table item by exponentiating and multiplying.
SF - Specifies surface loads on nodes.
SFA - Specifies surface loads on the selected areas.
SFACT - Allows safety factor or margin of safety calculations to be made.
SFADELE - Deletes surface loads from areas.
SFALIST - Lists the surface loads for the specified area.
SFBEAM - Specifies surface loads on beam elements.
SFCALC - Calculates the safety factor or margin of safety.
SFCUM - Specifies that surface loads are to be accumulated.
SFDELE - Deletes surface loads.
SFE - Specifies surface loads on elements.
SFEDELE - Deletes surface loads from elements.
SFELIST - Lists the surface loads for elements.
SFFUN - Specifies a varying surface load.
SFGRAD - Specifies a gradient (slope) for surface loads.
SFL - Specifies surface loads on lines of an area.
SFLDELE - Deletes surface loads from lines.
SFLIST - Lists surface loads.
SFLLIST - Lists the surface loads for lines.
SFSCALE - Scales surface loads on elements.
SFTRAN - Transfer the solid model surface loads to the finite element model.
/SHADE - Defines the type of surface shading used with Z-buffering.
SHELL - Selects a shell element or shell layer location for results output.
/SHOW - Specifies the device and other parameters for graphics displays.
/SHOWDISP - Defines the display driver name.
SHPP - Controls element shape checking.
/SHRINK - Shrinks elements, lines, areas, and volumes for display clarity.
SHSD - Creates or deletes shell-solid interface to be used in shell-to-solid assemblies.
SLIST - Summarizes the section properties for all defined sections in the current session of ANSYS.
SLOAD - Load a pretension section.
SLPPLOT - Displays line loops smaller than a specified size (for models imported from CAD files).
SLSPLOT - Displays line segments smaller than a specified size (for models imported from CAD files).
SMALL - Finds the smallest of three variables.
SMAX - Forms an element table item from the maximum of two other items.
/SMBC - Controls the display of solid model boundary condition symbols and labels.
SMBODY - Specifies "Body loads on the solid model" as the subsequent status topic.
SMCONS - Specifies "Constraints on the solid model" as the subsequent status topic.
SMFOR - Specifies "Forces on the solid model" as the subsequent status topic.
SMIN - Forms an element table item from the minimum of two other items.
SMOOTH - Allows smoothing of noisy data and provides a graphical representation of the data.
SMRTSIZE - Specifies meshing parameters for automatic (smart) element sizing.
SMSURF - Specifies "Surface loads on the solid model" as the subsequent status topic.
SMULT - Forms an element table item by multiplying two other items.
SOLCONTROL - Specifies whether to use optimized nonlinear solution defaults and some enhanced internal solution algorithms.
SOLU - Specifies solution summary data per substep to be stored.
/SOLU - Enters the solution processor.
SOLUOPT - Specifies "Solution options" as the subsequent status topic.
SOLVE - Starts a solution.
SORT - Specifies "Sort settings" as the subsequent status topic.
SOURCE - Defines a default location for undefined nodes or keypoints.
SPACE - Defines a space node for radiation using the Radiation Matrix method.
SPADP - Automatically refines a tetrahedral element mesh based on S-parameter convergence.
SPARM - Calculates scattering (S) parameters between ports of a network system.
SPCNOD - Defines a space node for radiation using the Radiosity method.
SPCTEMP - Defines a free-space ambient temperature for radiation using the Radiosity method.
SPEC - Specifies "Miscellaneous specifications" as the subsequent status topic.
SPH4 - Creates a spherical volume anywhere on the working plane.
SPH5 - Creates a spherical volume by diameter end points.
SPHERE - Creates a spherical volume centered about the working plane origin.
SPICE - Generates a SPICE subcircuit model using S-parameters from a Touchstone file.
SPLINE - Generates a segmented spline through a series of keypoints.
SPLOT - Displays the selected areas and a faceted view of their underlying surfaces
SPOINT - Defines a point for moment summations.
SPOPT - Selects the spectrum type and other spectrum options.
SPREAD - Turns on a dashed tolerance curve for the subsequent curve plots.
SPSCAN - Performs a harmonic analysis of a unit cell over a range of angles and extracts the S-parameter.
SPSWP - Computes S-parameters over a frequency range and writes them to a file.
SPTOPT - Specifies "Spectrum analysis options" as the subsequent status topic.
SQRT - Forms the square root of a variable.
SRSS - Specifies the square root of sum of squares mode combination method.
SSBT - Specifies preintegrated bending thermal effects for shell sections.
/SSCALE - Sets the contour multiplier for topographic displays.
SSLN - Selects and displays small lines in the model.
SSMT - Specifies preintegrated membrane thermal effects for shell sections.
SSPA - Specifies a preintegrated membrane stiffness for shell sections.
SSPB - Specifies a preintegrated coupling stiffness for shell sections.
SSPD - Specifies a preintegrated bending stiffness for shell sections.
SSPE - Specifies a preintegrated transverse shear stiffness for shell sections.
SSPM - Specifies mass density for a preintegrated shell section.
SSTIF - Activates stress stiffness effects in a nonlinear analysis.
SSUM - Calculates and prints the sum of element table items.
STABILIZE - Activates stabilization for all elements that support nonlinear stabilization.
STAOPT - Specifies static analysis options.
STAT - Displays the status of database settings.
/STATUS - Lists the status of items for the run.
STEF - Specifies Stefan-Boltzmann radiation constant.
/STITLE - Defines subtitles.
STORE - Stores data in the database for the defined variables.
SUBOPT - Specifies options for subspace iteration eigenvalue extraction.
SUBSET - Reads results for the selected portions of the model.
SUCALC - Create new result data by operating on two existing result data sets on a given surface.
SUCR - Create a surface.
SUDEL - Delete geometry information as well as any mapped results for specified surface.
SUEVAL - Perform operations on a mapped item and store result in a scalar parameter.
SUGET - Moves surface geometry and mapped results to an array parameter.
SUMAP - Map results onto selected surface(s).
SUMTYPE - Sets the type of summation to be used in the following load case operations.
SUPL - Plot result data on all selected surfaces or on a specified surface.
SUPR - Print global status, geometry information and/or result information.
SURESU - Read a set of surface definitions and result items from a file and make them the current set.
SUSAVE - Saves surface definitions to a file.
SUSEL - Selects a subset of surfaces
SUVECT - Create new result data by operating on two existing result vectors on a given surface.
SV - Defines spectrum values to be associated with frequency points.
SVTYP - Defines the type of single-point response spectrum.
SWADD - Adds more surfaces to an existing spot weld set.
SWDEL - Deletes spot weld sets.
SWGEN - Creates a new spot weld set.
SWLIST - Lists spot weld sets.
SYNCHRO - Specifies whether the excitation frequency is synchronous or asynchronous with the rotational velocity of a structure.
/SYP - Passes a command string and arguments to the operating system.
/SYS - Passes a command string to the operating system.
XXI. T Commands
TALLOW - Defines the temperature table for safety factor calculations.
TB - Activates a data table for nonlinear material properties or special element input.
TBCOPY - Copies a data table from one material to another (see ).
TBDATA - Defines data for the data table.
TBDELE - Deletes previously defined data tables.
TBFIELD - Defines values of field variables for the material data tables.
TBFT - Performs material curve fitting operations.
TBLE - Specifies "Data table properties" as the subsequent status topic.
TBLIST - Lists the data tables.
TBMODIF - Modifies data for the data table (GUI).
TBPLOT - Displays the data table.
TBPT - Defines a point on a nonlinear data curve.
TBTEMP - Defines a temperature for the data table.
TCHG - Converts 20-node degenerate tetrahedral elements to their 10-node non-degenerate counterparts.
TEE - Defines a tee in a piping run.
TERM - Specifies various terminal driver options.
THOPT - Nonlinear transient thermal solution option.
TIFF - Provides TIFF file Export for ANSYS Displays.
TIME - Sets the time for a load step.
TIMERANGE - Specifies the time range for which data are to be stored.
TIMINT - Turns on transient effects.
TIMP - Improves the quality of tetrahedral elements that are not associated with a volume.
TINTP - Defines transient integration parameters.
/TITLE - Defines a main title.
/TLABEL - Creates annotation text (GUI).
TOCOMP - Defines single or multiple compliance as the topological optimization function.
TODEF - Defines parameters for and initializes topological optimization.
TOEXE - Executes one topological optimization iteration.
TOFFST - Specifies the temperature offset from absolute zero to zero.
TOFREQ - Defines single or mean frequency formulation as the topological optimization function.
TOGRAPH - Plots iteration solution of topological optimization.
TOLIST - Lists all topological optimization functions currently defined.
TOLOOP - Execute several topological optimization iterations.
TOPLOT - Plot current topological density distribution.
TOPRINT - Print iteration solution history of topological optimization.
TORQ2D - Calculates torque on a body in a magnetic field.
TORQC2D - Calculates torque on a body in a magnetic field based on a circular path.
TORQSUM - Summarizes electromagnetic torque calculations on element components.
TORUS - Creates a toroidal volume.
TOSTAT - Displays topological optimization status and results information.
TOTAL - Specifies automatic MDOF generation.
TOTYPE - Specifies solution method for topological optimization.
TOVAR - Specifies the objective and constraints for the topological optimization problem.
TRANS - Reformats File.GRPH for improved performance with plotters.
TRANSFER - Transfers a pattern of nodes to another coordinate system.
TREF - Defines the reference temperature for the thermal strain calculations.
/TRIAD - Shows the global XYZ coordinate triad on displays.
/TRLCY - Specifies the level of translucency.
TRNOPT - Specifies transient analysis options.
TRPDEL - Deletes particle flow or charged particle trace points.
TRPLIS - Lists the particle flow or charged particle trace points.
TRPOIN - Defines a point through which a particle flow or charged particle trace will travel.
TRTIME - Defines the options used for the PLTRAC (particle flow or charged particle trace) command.
TSHAP - Defines simple 2-D and 3-D geometric surfaces for target segment elements.
/TSPEC - Creates annotation text attributes (GUI).
TSRES - Defines an array of keytimes at which the time-stepping strategy changes.
TUNIF - Assigns a uniform temperature to all nodes.
TVAR - Changes time to the cumulative iteration number.
/TXTRE - Controls application of texture to selected items.
/TYPE - Defines the type of display.
TYPE - Sets the element type attribute pointer.
TZAMESH - Meshes the areas of a volume to create Trefftz nodes.
TZDELE - Deletes the Trefftz superelement, associated constraint equations and all supporting Trefftz files.
TZEGEN - Generates a Trefftz domain substructure and defines a Trefftz superelement for use in electrostatic analysis.
XXII. U Commands
/UDOC - Determines position and content for the multi-legend options.
/UI - Activates specified GUI dialog boxes.
UIMP - Defines constant material properties (GUI).
/UIS - Controls the GUI behavior.
UNDELETE - Removes results sets from the group of sets selected for editing.
UNDO - Allows the user to modify or save commands issued since the last RESUME or SAVE command.
/UNITS - Annotates the database with the system of units used.
UPCOORD - Modifies the coordinates of the active set of nodes, based on the current displacements.
UPGEOM - Adds displacements from a previous analysis and updates the geometry of the finite element model to the deformed configuration.
/USER - Conveniently resets /FOCUS and /DIST to USER.
USRCAL - Allows user-solution subroutines to be activated or deactivated.
USRDOF - Specifies the degrees of freedom for the user-defined element USER300.
USRELEM - Specifies the characteristics of the user-defined element USER300.
XXIII. V Commands
V - Defines a volume through keypoints.
V2DOPT - Specifies 2-D/axisymmetric view factor calculation options.
VA - Generates a volume bounded by existing areas.
VADD - Adds separate volumes to create a single volume.
VALVE - Defines a valve in a piping run.
VARDEL - Deletes a variable (GUI).
VARNAM - Names (or renames) a variable.
VATT - Associates element attributes with the selected, unmeshed volumes.
VCLEAR - Deletes nodes and volume elements associated with selected volumes.
/VCONE - Defines the view cone angle for perspective displays.
VCROSS - Forms element table items from the cross product of two vectors.
VCVFILL - Fills cavities and bosses in volumes (for models imported from CAD files).
VDDAM - Specifies the velocity spectrum computation constants for the analysis of shock resistance of shipboard structures.
VDELE - Deletes unmeshed volumes.
VDGL - Lists keypoints of a volume that lie on a parametric degeneracy.
VDOT - Forms an element table item from the dot product of two vectors.
VDRAG - Generates volumes by dragging an area pattern along a path.
VEORIENT - Specifies brick element orientation for volume mapped (hexahedron) meshing.
VEXT - Generates additional volumes by extruding areas.
VFCALC - Computes and stores Hemicube view factors.
VFOPT - Specifies options for view factor file.
VFQUERY - Queries and prints element Hemicube view factors and average view factor.
VGEN - Generates additional volumes from a pattern of volumes.
VGET - Moves a variable into an array parameter vector.
VGLUE - Generates new volumes by "gluing" volumes.
/VIEW - Defines the viewing direction for the display.
VIMP - Improves the quality of the tetrahedral elements in the selected volume(s).
VINP - Finds the pairwise intersection of volumes.
VINV - Finds the intersection of volumes.
VLIST - Lists the defined volumes.
VLSCALE - Generates a scaled set of volumes from a pattern of volumes.
VMESH - Generates nodes and volume elements within volumes.
VOFFST - Generates a volume, offset from a given area.
VOLUMES - Specifies "Volumes" as the subsequent status topic.
VOVLAP - Overlaps volumes.
VPLOT - Displays the selected volumes.
VPTN - Partitions volumes.
VPUT - Moves an array parameter vector into a variable.
VROTAT - Generates cylindrical volumes by rotating an area pattern about an axis.
VSBA - Subtracts areas from volumes.
VSBV - Subtracts volumes from volumes.
VSBW - Subtracts intersection of the working plane from volumes (divides volumes).
/VSCALE - Scales the length of displayed vectors.
VSEL - Selects a subset of volumes.
VSLA - Selects those volumes containing the selected areas.
VSUM - Calculates and prints geometry statistics of the selected volumes.
VSWEEP - Fills an existing unmeshed volume with elements by sweeping the mesh from an adjacent area through the volume.
VSYMM - Generates volumes from a volume pattern by symmetry reflection.
/VT - Enters the Variational Technology preprocessor.
VTCLR - Clears the Variational Technology database.
VTDISC - Defines an element component as a discrete input variable for the DesignXplorer.
VTEVAL - Triggers evaluation of generated results based on input variables specified via the VTVMOD command.
VTFREQ - Defines the frequency as input variable for the harmonic sweep functionality of VT Accelerator.
VTGEOM - Defines a geometry parameter created with ANSYS Mesh Morpher as a DesignXplorer input variable.
VTIN - Defines an inertial load as an input variable for DesignXplorer.
VTMETH - Defines the solution options for the DesignXplorer.
VTMP - Defines a material property as an input variable for DesignXplorer.
VTOP - Defines options value for the DesignXplorer.
VTPOST - Launches the DesignXplorer postprocessing application.
VTRAN - Transfers a pattern of volumes to another coordinate system.
VTREAL - Defines a real constant property as an input variable for the DesignXplorer.
VTRFIL - Specifies the file to which DesignXplorer results are written.
VTRSLT - Defines a result quantity for the DesignXplorer.
VTSEC - Defines a section property as an input variable for DesignXplorer.
VTSFE - Defines a surface load as an input variable for the DesignXplorer.
VTSL - Selects a subset of elements associated with an VT input variable.
VTSTAT - Print the status of the DesignXplorer definitions and settings into a separate window.
VTTEMP - Defines the temperature as input variable for the DesignXplorer.
VTVMOD - Modifies the status or current value of an input variable for the DesignXplorer.
VTYPE - Specifies the viewing procedure used to determine the form factors for the Radiation Matrix method.
/VUP - Specifies the global Cartesian coordinate system reference orientation.
XXIV. W Commands
WAVES - Initiates reordering.
WERASE - Erases all reordering wave lists.
WFRONT - Estimates wavefront statistics.
/WINDOW - Defines the window size on the screen.
WMID - Specifies reordering options for the WAVES command.
WMORE - Adds more nodes to the starting wave list.
WPAVE - Moves the working plane origin to the average of specified points.
WPCSYS - Defines the working plane location based on a coordinate system.
WPLANE - Defines a working plane to assist in picking operations.
WPOFFS - Offsets the working plane.
WPROTA - Rotates the working plane.
WPSTYL - Controls the display and style of the working plane.
WRFULL - Stops solution after assembling global matrices.
WRITE - Writes the radiation matrix file.
WSORT - Initiates element reordering based upon a geometric sort.
WSPRINGS - Creates weak springs on corner nodes of a bounding box of the currently selected elements.
WSTART - Defines a starting wave list.
XXV. X Commands
/XFRM - Controls the centroid or the axis of dynamic rotation.
/XRANGE - Specifies a linear abscissa (X) scale range.
XVAR - Specifies the X variable to be displayed.
XVAROPT - Specifies the parameter to be used as the X-axis variable.
XXVI. Y Commands
/YRANGE - Specifies a linear ordinate (Y) scale range.
XXVII. Z Commands
/ZOOM - Zooms a region of a display window.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.3. The ANSYS Customer Portal 		Up / Home Next
Chapter 1. About This Manual


Chapter 1. About This Manual

Welcome to the Commands Reference. This manual contains a complete dictionary of detailed ANSYS command descriptions, arranged in alphabetical order for ease of access. It is the definitive reference for correct command usage, providing comprehensive specifications for every argument of every ANSYS command.

The Commands Reference is intended to give you information on individual ANSYS commands. Although this manual also contains lists of commands arranged by functional grouping, this manual is not intended to be your primary source of procedural information -- look in the appropriate analysis guides for introductory and procedural guidelines concerning when and where to use commands.

Command references given in the various analysis guides refer to the command descriptions given in "Command Dictionary" of this manual. These descriptions are organized in dictionary form to allow you to look up the commands conveniently. The alphabetical ordering of commands that begin with a star (*) or a slash (/) ignores those symbols for ordering purposes.

Once you have reviewed a command in the Commands Reference, you should also read the theoretical description of the command as given in the Theory Reference for ANSYS and ANSYS Workbench, if indicated.

The following Commands Reference topics are available:

  • Conventions Used in this Manual
  • ANSYS Product Capabilities
  • Terminology
  • ANSYS Command Characteristics

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Commands Reference 		Up / Home Next
1.1. Conventions Used in this Manual


1.1. Conventions Used in this Manual

ANSYS manuals use the following conventions to help you identify various types of information:

Type style or text | Indicates
BOLD | Uppercase, bold text indicates command names (such as K, DDELE) or elements (LINK1).
Bold>Bold | Bold text in mixed case indicates a GUI menu path, which is a series of menu picks used to access a command from the GUI. One or more angle brackets (>) separate menu items in a menu path. Frequently in text, an ANSYS command is followed by its GUI equivalent in parentheses: the *GET command (Utility Menu> Parameters> Get Scalar Data)
ITALICS | Uppercase italic letters indicate command arguments for numeric values (such as VALUE, INC, TIME). On some commands, non-numeric convenience labels (for example, ALL and P) can also be entered for these arguments.
Italics | Mixed case italic letters indicate command arguments for alphanumeric values (for example, Lab or Fname). The manual also uses italic text for emphasis.
TYPEWRITER | Typewriter font indicates command input listings and ANSYS output listings.
Note-- | This text introduces note paragraphs. A note contains information that supplements the main topic being discussed.

Note

Any mention of a command or element name in this volume implies a reference to the appropriate command or element description (in the Commands Reference or Elements Reference manuals, respectively) for more detailed information.

Often it is necessary to refer to another command within a text description. Interpret the string [CMD] as "see the CMD command." For example, " ... the element coordinate system [ESYS] should be used to ...," means you can refer to the ESYS command for information related to the element coordinate system. Where several commands are referenced, the form [CMD1, CMD2, etc.] is used. In some cases only the primary command of a related group may be referenced.

1.1.1. Product Codes

Below and to the right of the short description of each command, you will see a list of product codes. These codes represent the products in the ANSYS Family of Products. The command is valid only for those products whose symbols are listed. A command that is valid in the entire set of products would have the following list of products:

MP ME ST PR PRN DS DSS FL EM EH DY PP VT

The codes represent each of the products in the ANSYS suite of products:

Code | Product | Code | Product
MP | ANSYS Multiphysics | EM | ANSYS Emag - Low Frequency
ME | ANSYS Mechanical | EH | ANSYS Emag - High Frequency
ST | ANSYS Structural | FL | ANSYS FLOTRAN
PR | ANSYS Professional - Nonlinear Thermal | DS | ANSYS DesignSpace
PRN | ANSYS Professional - Nonlinear Structural | DSS | ANSYS DesignSpace - Structural
DY | ANSYS LS-DYNA | PP | ANSYS PrepPost
VT | ANSYS DesignXplorer |  |

For a list of the features included in each product, see ANSYS Product Capabilities.

If the symbol for a product does not appear, then that command is either not valid or not applicable in the corresponding product, and should not be issued when using that product. For example, if the PR and FL symbols are not listed, the pertinent command is not valid in the ANSYS Professional or ANSYS FLOTRAN products, but is valid in each of the remaining ANSYS products.

In most cases, commands and elements that are valid in ANSYS Multiphysics are also valid in the ANSYS ED and ANSYS Multiphysics 1, 2, and 3 products. Exceptions are noted under Product Restrictions for the applicable command or element. ANSYS ED and ANSYS Multiphysics 1, 2, and 3 are not listed as separate product codes.

1.1.2. Applicable ANSYS Products

This manual applies to the following ANSYS products:

ANSYS Multiphysics (includes all structural, thermal, electromagnetics, and computational fluid dynamics (CFD) capabilities, excludes explicit dynamics)
ANSYS Mechanical (includes all structural and thermal capabilities; excludes electromagnetics, CFD, and explicit dynamics capabilities)
ANSYS Structural (includes all structural linear and nonlinear capabilities)
ANSYS Professional (Nonlinear Thermal and Nonlinear Structural)
ANSYS Emag (Low Frequency and High Frequency)
ANSYS FLOTRAN
ANSYS LS-DYNA
ANSYS PrepPost
ANSYS ED

Some command arguments and element KEYOPT settings have defaults in the derived products that are different from those in ANSYS Multiphysics. These cases are clearly documented under the Product Restrictions section of the affected commands and elements. If you plan to use your derived product input file in ANSYS Multiphysics, you should explicitly input these settings in the derived product, rather than letting them default; otherwise, behavior in ANSYS Multiphysics will be different.

Note

While ANSYS connection capabilities, High Performance Computing, and ANSYS LSF/Batch are included as part of the ANSYS release distribution, they are separately-licensed products. Consult your ASD if you want to install and run any of the separately-licensed products at your site.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 1. About This Manual 		Up / Home Next
1.2. ANSYS Product Capabilities


1.2. ANSYS Product Capabilities

A complete list of engineering capabilities available in the various ANSYS products can be found on our website at http://www.ansys.com/assets/brochures/capabilities-brochure.pdf.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.1. Conventions Used in this Manual 		Up / Home Next
1.3. Terminology


1.3. Terminology

Various terms are used in the command descriptions throughout this manual. These terms are defined as follows:

Analysis - The set of input lines relating to a single problem. An analysis basically consists of three phases: the Preprocessing Phase, the Solution Phase, and the Postprocessing Phase.

Command - An instruction to supply data, or control, to the program. Commands usually begin with a prescribed name, followed by alphanumeric data. For example, the command ET, ITYPE, Ename, ... may be input as ET,1, BEAM3 stating that element type 1 is defined as the BEAM3 element. The uppercase argument name indicates that a numerical value is typically entered in that field, whereas an upper-lower case data label indicates that an alphanumeric value is typically entered in that field. Another command, for example, /PREP7, instructs the program to enter the PREP7 portion of the ANSYS program. All valid ANSYS commands are alphabetically listed in the "Command Dictionary" of this manual. A command not recognized by the ANSYS program is defined as an "unknown command." Unknown commands are further processed in a macro search [*USE] before being ignored. Commands may be indented on a line for clarity.

Data - Data may be numeric (real or integer), alphabetic, or alphanumeric (containing letters and numbers). Nonnumeric data should not contain special characters such as

!   @   #    $   %    ^   &   *   (     )   _    -   +

=   |   \   {  }   [  ]    "     '   /    <     >   ~    `

Numeric data may be input in a variety of ways as described in Data Input. Some commands are switches of the form Commandname,Key where Key can be 0, NO or OFF to toggle the switch off; or 1, YES or ON to toggle the switch on.

Degree of Freedom - The degrees of freedom are the primary nodal unknowns determined by the analysis. They may be displacements, rotations, temperatures, pressures, voltages, etc. A degree of freedom is defined by a node number and a label, for example, 1 UX, 87 ROTZ, 4 TEMP, etc. Derived results, such as stresses, heat flows, etc. are computed from the degree of freedom results and are considered secondary unknowns.

Element types with unequal sets of degrees of freedom can be combined in a single structure. For example, a 2-D structure composed of 2-D solid elements (PLANE42) having two degrees of freedom (UX, UY) at each node and a 2-D beam element (BEAM3) having three degrees of freedom (UX, UY, ROTZ) at each node will have the latter three degrees of freedom at the common nodes. Nodes which do not have a beam element attached will have only two degrees of freedom with ROTZ eliminated from the solution printout.

Field - The command name and data items entered on a command are separated into consecutive fields. A field is assumed to be as "wide" as the number of characters specified. A comma is used to end one field and begin the next.

Line - A line of input is a physical record read by the computer. Input lines are limited to 640 characters (including preceding blanks, commas, and any special characters). For file input, a line is represented by one 640 column data record. For interactive input, a line is the string of characters (640 maximum) entered before the RETURN key is pressed. Several commands may be put on one line as described in Data Input. Blank lines are permitted for clarity.

Command name - Only the first four characters of any alphabetic (or alphanumeric) command name are interpreted by the program (except as noted for certain commands, such as /POSTN, /AUXN. *ENDDO, etc.). The remaining characters of the field are ignored. Names shown with fewer than four characters are assumed to have blanks up through the fourth character as part of the name. For example, this sample ET command may be input as ET,1,42 or ET ,1,42 or ET ,1,42, but not as ETABCD,1,42. Names may not contain special characters (as described in Data Input). If the command name is omitted, the name defaults to the name of the previous command, unless it was a slash (/) or star (*) command.

Postprocessing Phase - The set of ANSYS commands causing further processing of the solution output. These commands consist of commands from the POST1 and POST26 processors. The postprocessing phase may consist of input for several postprocessing sessions (in series).

Preprocessing Phase - The set of ANSYS commands related to defining the model. The preprocessing phase consists of input from the PREP7 processor.

Program - The collection of all processors (preprocessing, postprocessing, auxiliary, etc.) is called the ANSYS program.

Processor - A group of related functions, such as model definition (PREP7) or results examination (POST1).

Run - The collection of all ANSYS commands between the system level commands is called an ANSYS run (or session). A session may also consist of several analyses in series (separated by a /CLEAR command).

Solution Phase - The set of ANSYS commands which apply boundary conditions to the model created in preprocessing, then performs a solution for that set of boundary conditions. The solution phase may consist of several solutions in series, such as a static solution, followed by a modal solution, etc.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.2. ANSYS Product Capabilities 		Up / Home Next
1.4. ANSYS Command Characteristics


1.4. ANSYS Command Characteristics

1.4.1. Data Input

The data input for each command is described in this manual. Data should not be input in any undocumented field, nor should other than documented values be input in any field. Also, the data input described in this manual should not be used with any earlier version of the ANSYS program. Some features that allow easy input of data are free-format, nonrestrictive, and condensed input.

1.4.2. Free-Format Input

Free-format capability allows the user to input data in consecutive fields without having to space to each field. The comma (,) character effectively ends the field so that the next character will be input in the beginning of the next field. A blank field is skipped by having no data item between the commas. Fields are assumed to be as wide as the number of characters specified. Input is converted to formatted fields when coded files are written (of width large enough (16 characters maximum) to minimize loss of accuracy).

Significant figures of output should not be expected to match that of input. Machine precision, rounding of numbers when writing internal scratch files, etc., tend to lower the precision during the analysis.

1.4.3. Nonrestrictive Data Input

Nonrestrictive data input allows the user to enter any form of data in a field and the ANSYS program will interpret it as required (integer, real, or alphabetic) or ignore it. Double precision is used throughout the program for all real numbers. Alphabetic data may be entered in upper or lower case. Lower case is internally converted to upper case within the program (except for case-sensitive applications, such as in comments, (text preceded by a !) titles, and file names.)

The following features are available with the nonrestrictive data input.

  • No distinction is necessary between real and integer data.

  • Data may be placed anywhere within the field.

  • Real data input without a decimal point has the decimal point assumed after the right-most digit.

  • Real number values input to integer data fields will be rounded to the nearest integer. The absolute value of integer data must fall between zero and 2,000,000,000.

  • Element and node numbers (IDs) should be between 1 and 99,999,999. Element type, material reference, real constant, section, and coordinate system IDs should be between 1 and 9,999,999. IDs large than these may not be written out correctly in listings (xLIST commands), CDWRITE files, LSWRITE files, and other text-based output files.

  • Exponents may be input in the field after the number. The E (or D) character must be used (upper or lower case). The sign after the E character is assumed to be the sign associated with the exponent (the absence of a sign is assumed to be +). The absolute value of real data must either be zero, or between 1.0E-60 and 1.0E+60.

  • A nonnumeric character in the numeric field (other than a valid convenience label, a parameter name, or an E or D exponent character) will be ignored and will cause the remainder of the field to be ignored. When the program can accept an alphanumeric label in a field, it will interpret any alphanumeric input that matches a valid label as the appropriate label. In other words, the program will not interpret a valid label as an identically named parameter. If you truly want to use a parameter in place of a valid label, you can use forced parametric substitution (using % signs). A non-alphanumeric character in a label field is taken as part of the label. Non-alphanumeric characters (such as CONTROL-characters, TAB-characters, and other terminal editing characters) should be avoided since they may be used directly instead of being interpreted by the terminal.

1.4.4. Condensed Data Input

An option for condensing the data input is available with the $ character. This character effectively ends a command and allows the next command to begin on the same line (at the next column). The line must not extend beyond 640 characters (including all commas and $ signs). If a command cannot be completed on the line, it should begin on the next line. Blank commands are ignored. The $ character should not be used following any command that causes a file switch to read additional commands (such as the /INPUT, *USE, OPEXE, CDREAD, etc. commands, any "unknown command" macro, or any do-loops or if-then-else constructs). The $ character should not be used between a command and its required following format line (such as *VREAD, *VWRITE, *MSG, etc.). The $ character should not be used after the ALLSEL command. Using the $ character in interactive mode may result in unexpected output behavior.

1.4.5. Units

The ANSYS program permits the use of any consistent set of units for length, force, time, temperature, etc. Care must be taken to ensure that all input data are in the same set of units. The /UNITS command may be used to note the system of units being used. Temperatures may be absolute or relative in most cases. For problems requiring absolute temperatures, such as those involving creep, swelling, or radiation, temperatures may be input as Celsius or Fahrenheit, for convenience, with a temperature shift from absolute zero [TOFFST].

1.4.6. Defaults

ANSYS commands are of two types:

  • specification commands

  • action commands

Specifications define how an action is to be performed. If a specification is not defined before the action, the default specification is used. If some specifications are changed after the action, these changed specifications (and the remaining previous specifications, if any) will be used for the next action. If the same specification is defined more than once before the action, the last specification is used. Note, since specification settings are easily forgotten, reset the specification to the desired value before the action command.

To minimize the data input requirements, ANSYS commands operate on a "default" principle. That is, unless otherwise stated, default specifications are used whenever needed. Two types of default are used:

  • the command default

  • the argument default

The command default is defined as the action taken, or the argument values used, if the entire command is omitted. For action commands, the command default is "no action" unless otherwise stated. A description of the command default, when applicable, appears at the end of the Argument section of the command description. The argument default is the value the argument takes on if the command is included, but the argument on the command is left blank. The latter case is often used when only some arguments on a command are to be specified or to restore a default specification after it has been changed. The argument default is documented as part of each argument's description.

A default specification is invoked whenever no value (or a blank field) is input for the argument. If the argument accepts a numeric value and no default is specified, a blank field defaults to a zero value. Where a default is specified, a blank or a zero value will produce the default value (unless otherwise specified). If a zero value is desired where a zero input produces a nonzero default, input a small number (such as 1E-10) instead of zero. Specifications are initialized to their default values. Defaults which are not obvious are described, for the most part, with each command. For cases where defaults are not obvious and are not described, enter the desired value. Such cases may occur where no default is favored or where a default is purposely not documented (so that it may change in the future).

1.4.7. File Names

Various files are used during an ANSYS session for reading, writing, and storing data. ANSYS-generated files are identified by a name, a system-dependent separator, and an extension (as in the form fname.ext).

The name is obtained from the Jobname (250 characters maximum, including the directory name) as defined with the ANSYS execution command.

Note

Windows cannot create directory names longer than 245 characters.

Unless otherwise specified (see the Operations Guide), the Jobname defaults to a system dependent name (usually FILE). The extension is a 2 to 4-character identifier (see Files that ANSYS Writes in the Basic Analysis Guide). For example, the ANSYS error message file (which has the identifier ERR) with a Jobname of FILE and separator (.) would be generated as FILE.ERR. If the Jobname is JOB1, the file would be named JOB1.ERR. ANSYS documentation generically refers to ANSYS files as Jobname.identifier, such as Jobname.ERR for the error message file. Note, the extension may be shown upper case in the documentation but may actually be lower case on some operating systems (such as UNIX). Unless otherwise indicated, ANSYS files are written in the current working directory.

Some commands (such as /INPUT and /OUTPUT) allow you to specify a file name other than Jobname, and an extension other than the default extension. Such user-written files use a naming convention similar to the ANSYS-generated files except that the name (248 characters maximum, including the directory name) is user defined, and the extension (8 characters maximum) is optional. The file name can include the directory path, but it is not necessary if you want to use the default directory. File names containing directory paths must reference existing directories. File and directory names may contain blank spaces, but strings containing blank spaces must be enclosed in single quotes.

A system dependent separator is automatically written between file name and extension (if the extension exists) input on commands.

File name fields are usually restricted to 248 characters on ANSYS commands, including the directory name. If you do not specify a directory path, it will default to your working directory and you can use all 248 characters for the file name.

To help ensure portability of input files across systems, the ANSYS program has certain requirements for file names. File names specified by the user should be valid both per ANSYS criteria (ASCII alpha-numeric), and per the operating system. Avoid using special characters (+,-,*,/,$,!, etc.) in file names unless meaningful, and begin file names with a letter. Some system-dependent special characters (such as ~) are not interpreted the same as they are at the operating system level when used in pathnames. Parameter substitution may be forced within the name, extension, or directory fields by enclosing the parameter within percent (%) signs. For example, if I=5, the name TEST%I% becomes TEST5. Only one forced substitution may be made per field.

1.4.8. Star and Slash Commands

The slash (/) and star ( *) commands are usually used for supplying general control instructions to the ANSYS program. The slash commands are used, for example, for entering a processor (/PREP7, /POST1, etc.). Printout controls, display controls, and file controls are available within the slash command set. Repeat, looping and macro controls are available within the star command set. Many star and slash commands are global and apply to all processors. For example, the /TITLE command may be used to change the title in any processor (PREP7, POST1, etc.). The star commands can be input anywhere. Most slash commands can be input anywhere, however, some can only be input at a Begin level. The latter commands are specifically noted in the command explanation section. Graphics displays are controlled with the graphics display slash commands. The graphics display slash commands can be input anywhere.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.3. Terminology 		Up / Home Next
Chapter 2. Command Groupings


Chapter 2. Command Groupings

This chapter contains tables of related commands. Each command in "Command Dictionary" references one or more of these tables, which can then be consulted to see what other related commands are available. A brief description of each command is given.

The tables in this chapter provide helpful groupings of related commands. For example, if you want to define material types in the PREP7 general preprocessor, you can turn to PREP7 Commands and see what commands are available under the heading "Table 2.26: "Materials"."

If you are viewing this manual in the ANSYS Help System, you can just click on the command name to display its description in "Command Dictionary".

You should not rely on this chapter as a source of procedural information but first look to the appropriate analysis guide to learn which commands are available for a particular type of analysis or operation. These guides contain guidelines on which commands to use for each step of the analysis.

The command summary tables are as follows:

Command Grouping Table Title
SESSION Commands
DATABASE Commands
GRAPHICS Commands
APDL Commands
PREP7 Commands
SOLUTION Commands
POST1 Commands
POST26 Commands
AUX2 Commands
AUX3 Commands
AUX12 Commands
AUX15 Commands
RUNSTATS Commands
OPTIMIZATION Commands
VARIATIONAL TECHNOLOGY Commands
PROBABILISTIC Design Commands
DISPLAY Program Commands
REDUCED Order Modeling Commands
Menu-Inaccessible Commands

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.4. ANSYS Command Characteristics 		Up / Home Next
2.1. SESSION Commands


2.1. SESSION Commands

These commands provide general control to the ANSYS session. The commands are grouped by functionality.

Table 2.1 Run Controls

These SESSION commands control the overall characteristics of the ANSYS session, including the jobname, Graphical User Interface behavior, and file switching.
/BATCH | Sets the program mode to "batch."
/CONFIG | Assigns values to ANSYS configuration parameters.
/CWD | Changes the current working directory.
/EOF | Exits the file being read.
/EXIT | Stops the run and returns control to the system.
/FILNAME | Changes the jobname for the analysis.
HELP | Displays help information on ANSYS commands and element types.
/INPUT | Switches the input file for the commands that follow.
KEYW | Sets a keyword used by the GUI for context filtering (GUI).
MEMM | Allows the current session to keep allocated memory
/MENU | Activates the Graphical User Interface (GUI).
/MSTART | Controls the initial GUI components.
/NERR | Limits the number of warning and error messages displayed.
/OUTPUT | Redirects text output to a file or to the screen.
/STATUS | Lists the status of items for the run.
/SYP | Passes a command string and arguments to the operating system.
/SYS | Passes a command string to the operating system.
/UI | Activates specified GUI dialog boxes.
/UIS | Controls the GUI behavior.

Table 2.2 Processor Entry

These SESSION commands are used to enter and exit the various processors in the program.
/AUX2 | Enters the binary file dumping processor.
/AUX3 | Enters the results file editing processor.
/AUX12 | Enters the radiation matrix generation processor.
/AUX15 | Enters the IGES file transfer processor.
FINISH | Exits normally from a processor.
/OPT | Enters the design optimizer.
/POST1 | Enters the database results postprocessor.
/POST26 | Enters the time-history results postprocessor.
/PREP7 | Enters the model creation preprocessor.
/QUIT | Exits a processor.
/RUNST | Enters the run statistics processor.
/SOLU | Enters the solution processor.

Table 2.3 Files

These SESSION commands are for file operations, such as deleting, copying, and listing.
ANSTOAQWA | Creates an AQWA-LINE input file from the current ANSYS model.
ANSTOASAS | Creates an ASAS input file from the current ANSYS model.
/ASSIGN | Reassigns a file name to an ANSYS file identifier.
/CLOG | Copies the session log file to a named file.
/COPY | Copies a file.
/DELETE | Deletes a file.
/FDELE | Deletes a binary file after it is used.
LGWRITE | Writes the database command log to a file.
*LIST | Displays the contents of an external, coded file.
/RENAME | Renames a file.

Table 2.4 List Controls

These SESSION commands are used to control listings and printed program output.
C*** | Places a comment in the output.
/COM | Places a comment in the output.
/GO | Reactivates suppressed printout.
/GOLIST | Reactivates the suppressed data input listing.
/GOPR | Reactivates suppressed printout.
/NOLIST | Suppresses the data input listing.
/NOPR | Suppresses the expanded interpreted input data listing.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 2. Command Groupings 		Up / Home Next
2.2. DATABASE Commands


2.2. DATABASE Commands

These commands are used to operate on the database in a global sense. The commands are grouped by functionality.

Table 2.5 Set Up

These DATABASE commands can be used to initialize the database, save it to a file, or annotate it with titles and systems of units.
/CLEAR | Clears the database.
RESUME | Resumes the database from the database file.
SAVE | Saves all current database information.
/SMBC | Controls the display of solid model boundary condition symbols and labels.
STAT | Displays the status of database settings.
/STITLE | Defines subtitles.
/TITLE | Defines a main title.
UNDO | Allows the user to modify or save commands issued since the last RESUME or SAVE command.
/UNITS | Annotates the database with the system of units used.

Table 2.6 Selecting

These DATABASE commands are used to select subsets of database entities for further operations.
ALLSEL | Selects all entities with a single command.
ASLL | Selects those areas containing the selected lines.
ASEL | Selects a subset of areas.
ASLV | Selects those areas contained in the selected volumes.
DOFSEL | Selects a DOF label set for reference by other commands.
ESEL | Selects a subset of elements.
ESLA | Selects those elements associated with the selected areas.
ESLL | Selects those elements associated with the selected lines.
ESLN | Selects those elements attached to the selected nodes.
ESLV | Selects elements associated with the selected volumes.
KSEL | Selects a subset of keypoints or hard points.
KSLL | Selects those keypoints contained in the selected lines.
KSLN | Selects those keypoints associated with the selected nodes.
LSEL | Selects a subset of lines.
LSLA | Selects those lines contained in the selected areas.
LSLK | Selects those lines containing the selected keypoints.
NSEL | Selects a subset of nodes.
NSLA | Selects those nodes associated with the selected areas.
NSLE | Selects those nodes attached to the selected elements.
NSLK | Selects those nodes associated with the selected keypoints.
NSLL | Selects those nodes associated with the selected lines.
NSLV | Selects those nodes associated with the selected volumes.
PARTSEL | Selects a subset of parts in an explicit dynamic analysis.
VSEL | Selects a subset of volumes.
VSLA | Selects those volumes containing the selected areas.

Table 2.7 Components

These DATABASE commands allow selected subsets of entities to be named as components for easy selection later on.
CM | Groups geometry items into a component.
CMDELE | Deletes a component or assembly definition.
CMEDIT | Edits an existing component or assembly.
CMGRP | Groups components and assemblies into an assembly.
CMLIST | Lists the entities contained in a component or assembly.
CMMOD | Modifies the specification of a component.
CMPLOT | Plots the entities contained in a component or assembly.
CMSEL | Selects a subset of components and assemblies.
CMWRITE | Writes components and assemblies to a file.

Table 2.8 Working Plane

These DATABASE commands turn on, move, rotate, and modify the working plane, which is used for picking operations.
KWPAVE | Moves the working plane origin to the average location of keypoints.
KWPLAN | Defines the working plane using three keypoints.
LWPLAN | Defines the working plane normal to a location on a line.
NWPAVE | Moves the working plane origin to the average location of nodes.
NWPLAN | Defines the working plane using three nodes.
WPAVE | Moves the working plane origin to the average of specified points.
WPCSYS | Defines the working plane location based on a coordinate system.
WPLANE | Defines a working plane to assist in picking operations.
WPOFFS | Offsets the working plane.
WPROTA | Rotates the working plane.
WPSTYL | Controls the display and style of the working plane.

Table 2.9 Coordinate System

These DATABASE commands define and manipulate coordinate systems.
CLOCAL | Defines a local coordinate system relative to the active coordinate system.
CS | Defines a local coordinate system by three node locations.
CSCIR | Locates the singularity for non-Cartesian local coordinate systems.
CSDELE | Deletes local coordinate systems.
CSKP | Defines a local coordinate system by three keypoint locations.
CSLIST | Lists coordinate systems.
CSWPLA | Defines a local coordinate system at the origin of the working plane.
CSYS | Activates a previously defined coordinate system.
LOCAL | Defines a local coordinate system by a location and orientation.

Table 2.10 Picking

These DATABASE commands are generated by the GUI when picking operations are performed.
FITEM | Identifies items chosen by a picking operation (GUI).
FLST | Specifies data required for a picking operation (GUI).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.1. SESSION Commands 		Up / Home Next
2.3. GRAPHICS Commands


2.3. GRAPHICS Commands

These commands are used to control the graphics of the ANSYS program. The commands are grouped by functionality.

Table 2.11 Set Up

These GRAPHICS commands are used for general graphics control, such as window set up, color settings, specifications saving, etc.
/CMAP | Changes an existing or creates a new color mapping table.
/COLOR | Specifies the color mapping for various items.
/DEVICE | Controls graphics device options.
DSYS | Activates a display coordinate system for geometry listings and plots.
/DV3D | Sets 3-D device option modes.
/ERASE | Specifies that the screen is to be erased before each display.
ERASE | Explicitly erases the current display.
/GCMD | Controls the type of element or graph display used for the GPLOT command.
/GCOLUMN | Allows the user to apply a label to a specified curve.
/GFILE | Specifies the pixel resolution on Z-buffered graphics files.
GPLOT | Controls general plotting.
/GRAPHICS | Defines type of graphics display to be used for element plots.
/GRESUME | Sets graphics settings to the settings on a file.
/GSAVE | Saves graphics settings to a file for later use.
/GTYPE | Controls the entities that the GPLOT command displays.
HPGL | Specifies various HP options.
/IMAGE | Allows graphics data to be captured and saved.
IMMED | Allows immediate display of a model as it is generated.
JPEG | Provides JPEG File Export for ANSYS Displays.
/MREP | Enables you to reissue the graphics command macro "name" during a replot or zoom operation.
/NOERASE | Prevents the screen erase between displays.
/PCOPY | Generates hard copies automatically (device dependent).
PNGR | Sets file options for PNGR graphics export for ANSYS displays.
PSCR | Specifies various PostScript options.
/PSTATUS | Displays the global or window display specifications.
/REPLOT | Automatically reissues the last display command for convenience.
/RESET | Resets display specifications to their initial defaults.
/SEG | Allows graphics data to be stored in the local terminal memory.
/SHOW | Specifies the device and other parameters for graphics displays.
TIFF | Provides TIFF file Export for ANSYS Displays.
/WINDOW | Defines the window size on the screen.

Table 2.12 Views

These GRAPHICS commands are used to control the view of the model.
/ANGLE | Rotates the display about an axis.
/AUTO | Resets the focus and distance specifications to "automatically calculated."
/DIST | Specifies the viewing distance for magnifications and perspective.
/FOCUS | Specifies the focus point (center of the window).
/USER | Conveniently resets /FOCUS and /DIST to USER.
/VCONE | Defines the view cone angle for perspective displays.
/VIEW | Defines the viewing direction for the display.
/VUP | Specifies the global Cartesian coordinate system reference orientation.
/XFRM | Controls the centroid or the axis of dynamic rotation.
/ZOOM | Zooms a region of a display window.

Table 2.13 Scaling

These GRAPHICS commands are used to scale various parts of the display.
/DSCALE | Sets the displacement multiplier for displacement displays.
/ICLWID | Scales the line width of circuit builder icons.
/ICSCALE | Scales the icon size for elements supported in the circuit builder.
/RATIO | Distorts the object geometry.
/SHRINK | Shrinks elements, lines, areas, and volumes for display clarity.
/SSCALE | Sets the contour multiplier for topographic displays.
/TXTRE | Applies textured appearance to selected items.
/VSCALE | Scales the length of displayed vectors.

Table 2.14 Style

These GRAPHICS commands are used to change the way a model is displayed.
/CPLANE | Specifies the cutting plane for section and capped displays.
/CTYPE | Specifies the type of contour display.
/EDGE | Displays only the "edges" of an object.
/ESHAPE | Displays elements with shapes determined from the real constants.
/FACET | Specifies the facet representation used to form solid model displays.
/GLINE | Specifies the element outline style.
/GMARKER | Specifies the curve marking style.
GMFACE | Specifies the facet representation used to form solid models.
/LIGHT | Specifies the light direction for the display window.
/NORMAL | Allows displaying area elements by top or bottom faces.
/SHADE | Defines the type of surface shading used with Z-buffering.
/TRLCY | Specifies the level of translucency.
/TYPE | Defines the type of display.

Table 2.15 Labeling

These GRAPHICS commands are used to add helpful labels and symbols to displays.
/CFORMAT | Controls the graphical display of alpha character strings for parameters, components, assemblies, and tables.
/CLABEL | Specifies contour labeling.
/CONTOUR | Specifies the uniform contour values on stress displays.
/CVAL | Specifies nonuniform contour values on stress displays.
/GFORMAT | Specifies the format for the graphical display of numbers.
/HBC | Determines how boundary conditions are displayed in a display window.
/NUMBER | Specifies whether numbers, colors, or both are used for displays.
/PBC | Shows boundary condition symbols and values on displays.
/PBF | Shows body force loads as contours on displays.
PGSELE | Select a subset of elements for display with the PGR viewer.
/PICE | Shows initial conditions on elements as contours on displays.
/PLOPTS | Controls graphics options on subsequent displays.
/PNUM | Controls entity numbering/coloring on plots.
/PSF | Shows surface load symbols on model displays.
/PSYMB | Shows various symbols on displays.
/TRIAD | Shows the global XYZ coordinate triad on displays.
/UDOC | Determines position and content for the multi-legend options.

Table 2.16 Graphs

These GRAPHICS commands are used to control the way line graphs are displayed.
/AXLAB | Labels the X and Y axes on graph displays.
/GRID | Selects the type of grid on graph displays.
/GROPT | Sets various line graph display options.
/GRTYP | Selects single or multiple Y-axes graph displays.
/GTHK | Sets line thicknesses for graph lines.
/XRANGE | Specifies a linear abscissa (X) scale range.
/YRANGE | Specifies a linear ordinate (Y) scale range.

Table 2.17 Annotation

These GRAPHICS commands are used to annotate a display with notes and symbols.
/AN3D | Specifies 3-D annotation functions
/ANNOT | Activates graphics for annotating displays (GUI).
/ANUM | Specifies the annotation number, type, and hot spot (GUI).
/LARC | Creates annotation arcs (GUI).
/LINE | Creates annotation lines (GUI).
/LSPEC | Specifies annotation line attributes (GUI).
/LSYMBOL | Creates annotation symbols (GUI).
/PCIRCLE | Creates an annotation circle (GUI).
/PMORE | Creates an annotation polygon (GUI).
/POLYGON | Creates annotation polygons (GUI).
/PSPEC | Creates annotation polygon attributes (GUI).
/PWEDGE | Creates an annotation wedge (GUI).
/TLABEL | Creates annotation text (GUI).
/TSPEC | Creates annotation text attributes (GUI).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.2. DATABASE Commands 		Up / Home Next
2.4. APDL Commands


2.4. APDL Commands

These commands make up the ANSYS Parametric Design Language (APDL). The commands are grouped by functionality.

Table 2.18 Parameter Definition

These APDL commands are used to define parameters and their values.
*AFUN | Specifies units for angular functions in parameter expressions.
*ASK | Prompts the user to input a parameter value.
*DEL | Deletes a parameter (GUI).
*DIM | Defines an array parameter and its dimensions.
*GET | Retrieves a value and stores it as a user-named parameter.
/INQUIRE | Returns system information to a parameter.
PARRES | Reads parameters from a file.
PARSAV | Writes parameters to a file.
*SET | Assigns values to user-named parameters.
*STATUS | Lists the current parameters and abbreviations.
*TAXIS | Defines table index numbers.
*TREAD | Reads data from an external file into a table array parameter.
*VFILL | Fills an array parameter.
*VGET | Retrieves values into an array parameter.
*VREAD | Reads data and produces an array parameter vector or matrix.

Table 2.19 Macro Files

These APDL commands are used to build and execute command macros.
*CFCLOS | Closes the "command" file.
*CFOPEN | Opens a "command" file.
*CFWRITE | Writes an ANSYS command (or similar string) to a "command" file.
*CREATE | Opens (creates) a macro file.
/DFLAB | Changes DOF labels for user custom elements.
*END | Closes a macro file.
/MAIL | Mails file to specifed address.
/MKDIR | Creates a directory.
*MSG | Writes an output message via the ANSYS message subroutine.
/PMACRO | Specifies that macro contents be written to the session log file.
/PSEARCH | Specifies a directory to be searched for "unknown command" macro files.
/RMDIR | Removes (deletes) a directory.
/TEE | Writes a list of commands to a specified file at the same time that the commands are being executed.
*ULIB | Identifies a macro library file.
*USE | Executes a macro file.

Table 2.20 Abbreviations

These APDL commands can be used to define abbreviations for longer commands, and to create user-defined commands.
*ABBR | Defines an abbreviation.
ABBRES | Reads abbreviations from a coded file.
ABBSAV | Writes the current abbreviation set to a coded file.
/UCMD | Assigns a user-defined command name.

Table 2.21 Array Parameters

These APDL commands are used to operate on parameter arrays (i.e., vectors and matrices).
/DIRECTORY | Put the file names in the current directory into a string parameter array.
*MFOURI | Calculates the coefficients for, or evaluates, a Fourier series.
*MFUN | Copies or transposes an array parameter matrix.
*MOPER | Performs matrix operations on array parameter matrices.
*MWRITE | Writes a matrix to a file in a formatted sequence.
*SREAD | Reads a file into a string array parameter.
*TOPER | Operates on table parameters.
*VABS | Applies the absolute value function to array parameters.
*VCOL | Specifies the number of columns in matrix operations.
*VCUM | Allows array parameter results to add to existing results.
*VEDIT | Allows numerical array parameters to be graphically edited.
*VFACT | Applies a scale factor to array parameters.
*VFUN | Performs a function on a single array parameter.
*VITRP | Forms an array parameter by interpolation of a table.
*VLEN | Specifies the number of rows to be used in array parameter operations.
*VMASK | Specifies an array parameter as a masking vector.
*VOPER | Operates on two array parameters.
*VPLOT | Graphs columns (vectors) of array parameters.
*VPUT | Restores array parameter values into the ANSYS database.
*VSCFUN | Determines properties of an array parameter.
*VSTAT | Lists the current specifications for the array parameters.
*VWRITE | Writes data to a file in a formatted sequence.

Table 2.22 Process Controls

These APDL commands can be used to control the order in which other commands are processed.
*CYCLE | Bypasses commands within a do-loop.
*DO | Defines the beginning of a do-loop.
*ELSE | Separates the final if-then-else block.
*ELSEIF | Separates an intermediate if-then-else block.
*ENDDO | Ends a do-loop and starts the looping action.
*ENDIF | Ends an if-then-else.
*EXIT | Exits a do-loop.
*GO | Causes a specified line on the input file to be read next.
*IF | Conditionally causes commands to be read.
*REPEAT | Repeats the previous command.
*RETURN | Returns input stream to a higher level.
/WAIT | Causes a delay before the reading of the next command.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.3. GRAPHICS Commands 		Up / Home Next
2.5. PREP7 Commands


2.5. PREP7 Commands

These commands are used to create and set up the model. The commands are grouped by functionality.

Table 2.23 Database

These PREP7 commands are used to read model data into the database, list out the database, and control the numbering of entities in the database.
AFLIST | Lists the current data in the database.
CDREAD | Reads a file of solid model and database information into the database.
CDWRITE | Writes geometry and load database items to a file.
CDOPT | Specifies format to be used for archiving geometry.
CECHECK | Check constraint equations and couplings for rigid body motions.
CHECK | Checks current database items for completeness.
CNCHECK | Provides and/or adjusts the initial status of contact pairs.
FC | Provides failure criteria information and activates a data table to input temperature-dependent stress and strain limits.
FCCHECK | Checks both the strain and stress input criteria for all materials.
FCDELE | Deletes previously defined failure criterion data for the given material.
FCLIST | To list what the failure criteria is that you have input.
IGESOUT | Writes solid model data to a file in IGES Version 5.1 format.
MFIMPORT | Imports a new field into a current ANSYS Multi-field solver analysis.
NOOFFSET | Prevents the CDREAD command from offsetting specified data items.
NUMCMP | Compresses the numbering of defined items.
NUMMRG | Merges coincident or equivalently defined items.
NUMOFF | Adds a number offset to defined items.
NUMSTR | Establishes starting numbers for automatically numbered items.
/PREP7 | Enters the model creation preprocessor.

Table 2.24 Element Type

These PREP7 commands define the type of elements to be used in the model.
DOF | Adds degrees of freedom to the current DOF set.
ET | Defines a local element type from the element library.
ETCHG | Changes element types to their corresponding types.
ETCONTROL | Controls the element technologies used in element formulation (for applicable elements).
ETDELE | Deletes element types.
ETLIST | Lists currently defined element types.
KEYOPT | Sets element key options.
NSVR | Defines the number of variables for user-programmable element options.

Table 2.25 Real Constants

These PREP7 commands define the model real constants.
R | Defines the element real constants.
RDELE | Deletes real constant sets.
RLIST | Lists the real constant sets.
RMODIF | Modifies real constant sets.
RMORE | Adds real constants to a set.
SETFGAP | Updates real constant table for squeeze film elements.

Table 2.26 Materials

These PREP7 commands are used to define the linear material properties.
EMUNIT | Specifies the system of units for magnetic field problems.
MP | Defines a linear material property.
MPAMOD | Modifies temperature-dependent coefficients of thermal expansion.
MPCHG | Changes the material number attribute of an element.
MPCOPY | Copies material model data from one material reference number to another.
MPDATA | Defines property data to be associated with the temperature table.
MPDELE | Deletes linear material properties.
MPDRES | Reassembles existing material data with the temperature table.
/MPLIB | Sets the default material library read and write paths.
MPLIST | Lists linear material properties.
MPPLOT | Plots linear material properties as a function of temperature.
MPREAD | Reads a file containing material properties.
MPTEMP | Defines a temperature table for material properties.
MPTGEN | Adds temperatures to the temperature table by generation.
MPTRES | Restores a temperature table previously defined.
MPWRITE | Writes linear material properties in the database to a file (if the Lib option is not specified) or writes both linear and nonlinear material properties (if Lib is specified) from the database to a file.
TBFT | Performs curve-fitting operations on materials.
UIMP | Defines constant material properties (GUI).

Table 2.27 Data Tables

These PREP7 commands create and modify the data tables, used to define nonlinear materials, for example.
TB | Activates a data table.
TBCOPY | Copies a data table from one material to another.
TBDATA | Defines data for the data table.
TBDELE | Deletes previously defined data tables.
TBFIELD | Defines values of field variables for the material data tables.
TBLIST | Lists the data tables.
TBMODIF | Modifies data for the data table (GUI).
TBPLOT | Displays the data table.
TBPT | Defines a point on a stress-strain or B-H curve.
TBTEMP | Defines a temperature for the data table.

Table 2.28 Primitives

These PREP7 commands are used to create primitive shapes for modeling.
BLC4 | Creates a rectangular area or block volume by corner points.
BLC5 | Creates a rectangular area or block volume by center and corner points.
BLOCK | Creates a block volume based on working plane coordinates.
CON4 | Creates a conical volume anywhere on the working plane.
CONE | Creates a conical volume centered about the working plane origin.
CYL4 | Creates a circular area or cylindrical volume anywhere on the working plane.
CYL5 | Creates a circular area or cylindrical volume by end points.
CYLIND | Creates a cylindrical volume centered about the working plane origin.
PCIRC | Creates a circular area centered about the working plane origin.
POLY | Creates a polygonal area based on working plane coordinate pairs.
PRI2 | Creates a polygonal area or a prism volume by vertices (GUI).
PRISM | Creates a prism volume based on working plane coordinate pairs.
PTXY | Defines coordinate pairs for use in polygons and prisms.
RECTNG | Creates a rectangular area anywhere on the working plane.
RPOLY | Creates a regular polygonal area centered about the working plane origin.
RPR4 | Creates a regular polygonal area or prism volume anywhere on the working plane.
RPRISM | Creates a regular prism volume centered about the working plane origin.
SPH4 | Creates a spherical volume anywhere on the working plane.
SPH5 | Creates a spherical volume by diameter end points.
SPHERE | Creates a spherical volume centered about the working plane origin.
TORUS | Creates a toroidal volume.

Table 2.29 Keypoints

These PREP7 commands are used to create, modify, list, etc., keypoints.
GSUM | Calculates and prints geometry items.
K | Defines a keypoint.
KBETW | Creates a keypoint between two existing keypoints.
KCENTER | Creates a keypoint at the center of a circular arc defined by three locations.
KDELE | Deletes unmeshed keypoints.
KDIST | Calculates and lists the distance between two keypoints.
KFILL | Generates keypoints between two keypoints.
KGEN | Generates additional keypoints from a pattern of keypoints.
KL | Generates a keypoint at a specified location on an existing line.
KLIST | Lists the defined keypoints or hard points.
KMODIF | Modifies an existing keypoint.
KMOVE | Calculates and moves a keypoint to an intersection.
KNODE | Defines a keypoint at an existing node location.
KPLOT | Displays the selected keypoints.
KPSCALE | Generates a scaled set of (meshed) keypoints from a pattern of keypoints.
KSCALE | Generates a scaled pattern of keypoints from a given keypoint pattern.
KSUM | Calculates and prints geometry statistics of the selected keypoints.
KSYMM | Generates a reflected set of keypoints.
KTRAN | Transfers a pattern of keypoints to another coordinate system.
SOURCE | Defines a default location for undefined nodes or keypoints.

Table 2.30 Hard Points

These PREP7 commands are used to create, modify, list, etc., hard points.
HPTCREATE | Defines a hard point.
HPTDELETE | Deletes selected hard points.

Table 2.31 Lines

These PREP7 commands are used to create, modify, list, etc., lines.
BSPLIN | Generates a single line from a spline fit to a series of keypoints.
CIRCLE | Generates circular arc lines.
GSUM | Calculates and prints geometry items.
L | Defines a line between two keypoints.
L2ANG | Generates a line at an angle with two existing lines.
L2TAN | Generates a line tangent to two lines.
LANG | Generates a straight line at an angle with a line.
LARC | Defines a circular arc.
LAREA | Generates the shortest line between two keypoints on an area.
LCOMB | Combines adjacent lines into one line.
LDELE | Deletes unmeshed lines.
LDIV | Divides a single line into two or more lines.
LDRAG | Generates lines by sweeping a keypoint pattern along path.
LEXTND | Extends a line at one end by using its slope.
LFILLT | Generates a fillet line between two intersecting lines.
LGEN | Generates additional lines from a pattern of lines.
LLIST | Lists the defined lines.
LPLOT | Displays the selected lines.
LREVERSE | Reverses the normal of a line, regardless of its connectivity or mesh status.
LROTAT | Generates circular lines by rotating a keypoint pattern about an axis.
LSSCALE | Generates a scaled set of lines from a pattern of lines.
LSTR | Defines a straight line irrespective of the active coordinate system.
LSUM | Calculates and prints geometry statistics of the selected lines.
LSYMM | Generates lines from a line pattern by symmetry reflection.
LTAN | Generates a line at the end of, and tangent to, an existing line.
LTRAN | Transfers a pattern of lines to another coordinate system.
SPLINE | Generates a segmented spline through a series of keypoints.
SSLN | Selects and displays small lines in the model.

Table 2.32 Areas

These PREP7 commands are used to create, modify, list, etc., areas.
A | Defines an area by connecting keypoints.
AATT | Associates element attributes with the selected, unmeshed areas.
ADELE | Deletes unmeshed areas.
ADGL | Lists keypoints of an area that lie on a parametric degeneracy.
ADRAG | Generates areas by dragging a line pattern along a path.
AFILLT | Generates a fillet at the intersection of two areas.
AGEN | Generates additional areas from a pattern of areas.
AL | Generates an area bounded by previously defined lines.
ALIST | Lists the defined areas.
ANORM | Reorients area normals.
AOFFST | Generates an area, offset from a given area.
APLOT | Displays the selected areas.
AREVERSE | Reverses the normal of an area, regardless of its connectivity or mesh status.
AROTAT | Generates cylindrical areas by rotating a line pattern about an axis.
ARSCALE | Generates a scaled set of areas from a pattern of areas.
ARSYM | Generates areas from an area pattern by symmetry reflection.
ASKIN | Generates an area by "skinning" a surface through guiding lines.
ASUB | Generates an area using the shape of an existing area.
ASUM | Calculates and prints geometry statistics of the selected areas.
ATRAN | Transfers a pattern of areas to another coordinate system.
GSUM | Calculates and prints geometry items.
SPLOT | Displays the selected areas and a faceted view of their underlying surfaces

Table 2.33 Volumes

These PREP7 commands are used to create, modify, list, etc., volumes.
EXTOPT | Controls options relating to the generation of volume elements from area elements.
GSUM | Calculates and prints geometry items.
V | Defines a volume through keypoints.
VA | Generates a volume bounded by existing areas.
VDELE | Deletes unmeshed volumes.
VDGL | Lists keypoints of a volume that lie on a parametric degeneracy.
VDRAG | Generates volumes by dragging an area pattern along a path.
VEXT | Generates additional volumes by extruding areas.
VGEN | Generates additional volumes from a pattern of volumes.
VLIST | Lists the defined volumes.
VLSCALE | Generates a scaled set of volumes from a pattern of volumes.
VOFFST | Generates a volume, offset from a given area.
VPLOT | Displays the selected volumes.
VROTAT | Generates cylindrical volumes by rotating an area pattern about an axis.
VSUM | Calculates and prints geometry statistics of the selected volumes.
VSYMM | Generates volumes from a volume pattern by symmetry reflection.
VTRAN | Transfers a pattern of volumes to another coordinate system.

Table 2.34 Booleans

These PREP7 commands are used to perform Boolean operations on solid model entities.
AADD | Adds separate areas to create a single area.
AGLUE | Generates new areas by "gluing" areas.
AINA | Finds the intersection of areas.
AINP | Finds the pairwise intersection of areas.
AINV | Finds the intersection of an area with a volume.
AOVLAP | Overlaps areas.
APTN | Partitions areas.
ASBA | Subtracts areas from areas.
ASBL | Subtracts lines from areas.
ASBV | Subtracts volumes from areas.
ASBW | Subtracts the intersection of the working plane from areas (divides areas).
BOPTN | Specifies Boolean operation options.
BTOL | Specifies the Boolean operation tolerances.
LCSL | Divides intersecting lines at their point(s) of intersection.
LGLUE | Generates new lines by "gluing" lines.
LINA | Finds the intersection of a line with an area.
LINL | Finds the common intersection of lines.
LINP | Finds the pairwise intersection of lines.
LINV | Finds the intersection of a line with a volume.
LOVLAP | Overlaps lines.
LPTN | Partitions lines.
LSBA | Subtracts areas from lines.
LSBL | Subtracts lines from lines.
LSBV | Subtracts volumes from lines.
LSBW | Subtracts the intersection of the working plane from lines (divides lines).
VADD | Adds separate volumes to create a single volume.
VGLUE | Generates new volumes by "gluing" volumes.
VINP | Finds the pairwise intersection of volumes.
VINV | Finds the intersection of volumes.
VOVLAP | Overlaps volumes.
VPTN | Partitions volumes.
VSBA | Subtracts areas from volumes.
VSBV | Subtracts volumes from volumes.
VSBW | Subtracts intersection of the working plane from volumes (divides volumes).

Table 2.35 Meshing

These PREP7 commands are used to mesh solid models with nodes and elements.
ACCAT | Concatenates multiple areas in preparation for mapped meshing.
ACLEAR | Deletes nodes and area elements associated with selected areas.
AESIZE | Specifies the element size to be meshed onto areas.
AMAP | Generates a 2-D mapped mesh based on specified area corners.
AMESH | Generates nodes and area elements within areas.
AREFINE | Refines the mesh around specified areas.
CHKMSH | Checks area and volume entities for previous meshes.
CLRMSHLN | Clears meshed entities.
CPCYC | Couples the two side faces of a cyclically symmetric model for loadings that are the same on every segment.
CZDEL | Edits or clears cohesive zone sections.
CZMESH | Creates and meshes a cohesive zone group of elements.
DESIZE | Controls default element sizes.
EORIENT | Reorients solid element normals.
EREFINE | Refines the mesh around specified elements.
ESIZE | Specifies the default number of line divisions.
ESYS | Sets the element coordinate system attribute pointer.
FVMESH | Generates nodes and tetrahedral volume elements from detached exterior area elements (facets).
GSGDATA | Specifies the reference point and defines the geometry in the fiber direction for the generalized plane strain element option.
IMESH | Generates nodes and interface elements along lines or areas.
KATT | Associates attributes with the selected, unmeshed keypoints.
KCLEAR | Deletes nodes and point elements associated with selected keypoints.
KESIZE | Specifies the edge lengths of the elements nearest a keypoint.
KMESH | Generates nodes and point elements at keypoints.
KREFINE | Refines the mesh around specified keypoints.
KSCON | Specifies a keypoint about which an area mesh will be skewed.
LATT | Associates element attributes with the selected, unmeshed lines.
LCCAT | Concatenates multiple lines into one line for mapped meshing.
LCLEAR | Deletes nodes and line elements associated with selected lines.
LESIZE | Specifies the divisions and spacing ratio on unmeshed lines.
LMESH | Generates nodes and line elements along lines.
LREFINE | Refines the mesh around specified lines.
MAT | Sets the element material attribute pointer.
MCHECK | Checks mesh connectivity.
MODMSH | Controls the relationship of the solid model and the FE model.
MOPT | Specifies meshing options.
MSHAPE | For elements that support multiple shapes, specifies the element shape to be used for meshing.
MSHCOPY | Simplifies the generation of meshes that have matching node element patterns on two different line groups (in 2-D) or area groups (3-D).
MSHKEY | Specifies whether free meshing or mapped meshing should be used to mesh a model.
MSHMID | Specifies placement of midside nodes.
MSHPATTERN | Specifies pattern to be used for mapped triangle meshing.
NREFINE | Refines the mesh around specified nodes.
PSMESH | Splits an initially continuous group of beam, shell, plane, or solid elements into two unconnected groups, tied together with PRETS179 pretension elements.
REAL | Sets the element real constant set attribute pointer.
RTHICK | Defines variable thickness at nodes for shell elements.
SHPP | Controls element shape checking.
SMRTSIZE | Specifies meshing parameters for automatic (smart) element sizing.
TCHG | Converts 20-node degenerate tetrahedral elements to their 10-node non-degenerate counterparts.
TIMP | Improves the quality of tetrahedral elements that are not associated with a volume.
TYPE | Sets the element type attribute pointer.
VATT | Associates element attributes with the selected, unmeshed volumes.
VCLEAR | Deletes nodes and volume elements associated with selected volumes.
VIMP | Improves the quality of the tetrahedral elements in the selected volume(s).
VMESH | Generates nodes and volume elements within volumes.
VEORIENT | Specifies brick element orientation for volume mapped (hexahedron) meshing.
VSWEEP | Fills an existing unmeshed volume with elements by sweeping the mesh from an adjacent area throughout the volume.

Table 2.36 Nodes

These PREP7 commands are used to create, modify, list, etc., nodes.
CENTER | Defines a node at the center of curvature of 2 or 3 nodes.
FILL | Generates a line of nodes between two existing nodes.
MOVE | Calculates and moves a node to an intersection.
N | Defines a node.
NANG | Rotates a nodal coordinate system by direction cosines.
NDELE | Deletes nodes.
NDIST | Calculates and lists the distance between two nodes.
NGEN | Generates additional nodes from a pattern of nodes.
NKPT | Defines a node at an existing keypoint location.
NLIST | Lists nodes.
NMODIF | Modifies an existing node.
NORA | Rotates nodal coordinate systems to surface normal.
NPLOT | Displays nodes.
NREAD | Reads nodes from a file.
NROTAT | Rotates nodal coordinate systems into the active system.
NRRANG | Specifies the range of nodes to be read from the node file.
NSCALE | Generates a scaled set of nodes from a pattern of nodes.
NSMOOTH | Smooths selected nodes among selected elements.
NSYM | Generates a reflected set of nodes.
NWRITE | Writes nodes to a file.
QUAD | Generates a quadratic line of nodes from three nodes.
SOURCE | Defines a default location for undefined nodes or keypoints.
TRANSFER | Transfers a pattern of nodes to another coordinate system.

Table 2.37 Elements

These PREP7 commands are used to create, modify, list, etc., elements.
AFSURF | Generates surface elements overlaid on the surface of existing solid elements and assigns the extra node as the closes fluid element node.
E | Defines an element by node connectivity.
EDELE | Deletes selected elements from the model.
EGEN | Generates elements from an existing pattern.
EINTF | Defines two-node elements between coincident nodes.
ELIST | Lists the elements.
EMID | Adds or removes midside nodes.
EMODIF | Modifies a previously defined element.
EMORE | Adds more nodes to the just-defined element.
EMTGEN | Generates a set of TRANS126 elements
EN | Defines an element by its number and node connectivity.
ENDRELEASE | Specifies degrees of freedom to be decoupled for end release.
ENGEN | Generates elements from an existing pattern.
ENORM | Reorients shell element normals or line element node connectivity.
ENSYM | Generates elements by symmetry reflection.
EORIENT | Reorients solid element normals.
EPLOT | Produces an element display.
EREAD | Reads elements from a file.
EREINF | Generates reinforcing elements from selected existing (base) elements.
ERRANG | Specifies the element range to be read from a file.
ESURF | Generates elements overlaid on the free faces of existing elements.
ESYM | Generates elements from a pattern by a symmetry reflection.
ESYS | Sets the element coordinate system attribute pointer.
EWRITE | Writes elements to a file.
INISTATE | Applies initial state data to an element or a selection of elements.
LAYLIST | Lists real constants material properties for layered elements.
LAYPLOT | Displays the layer stacking sequence for layered elements.
LFSURF | Generates surface elements overlaid on the edge of existing solid elements and assigns the extra node as the closest fluid element node.
MAT | Sets the element material attribute pointer.
NDSURF | Generates surface elements overlaid on the edge of existing elements and assigns the extra node as the closest fluid element node.
REAL | Sets the element real constant set attribute pointer.
SHSD | Creates or deletes shell-solid interface to be used in shell-to-solid assemblies.
SWADD | Adds more surfaces to an existing spot weld set.
SWDEL | Deletes spot weld sets.
SWGEN | Creates a new spot weld set.
SWLIST | Lists spot weld sets.
TSHAP | Defines simple 2-D and 3-D geometric surfaces for target segment elements.
TYPE | Sets the element type attribute pointer.
UPGEOM | Adds displacements from a previous analysis and updates the geometry to the deformed configuration.
USRDOF | Specifies the degrees of freedom (DOFs) for the user-defined element USER300.
USRELEM | Specifies the characteristics of the user-defined element USER300.

Table 2.38 Superelements

These PREP7 commands are used to create and modify superelements.
SE | Defines a superelement.
SEDLIST | Lists the DOF solution of a superelement after the use pass.
SELIST | Lists the contents of a superelement matrix file.
SESYMM | Performs a symmetry operation on a superelement within the use pass.
SETRAN | Creates a superelement from an existing superelement.

Table 2.39 Piping

These PREP7 commands are used to conveniently create models of piping systems.
BELLOW | Defines a bellows in a piping run.
BEND | Defines a bend in a piping run.
BRANCH | Defines the starting point for a piping branch.
FLANGE | Defines a flange in a piping run.
MITER | Defines a mitered bend in a piping run.
PCORRO | Specifies the allowable exterior corrosion thickness for a piping run.
PDRAG | Defines the external fluid drag loading for a piping run.
PFLUID | Defines the contained fluid density for a piping run.
PGAP | Defines a spring-gap constraint in a piping run.
PINSUL | Defines the external insulation constants in a piping run.
POPT | Selects the piping analysis standard for a piping run.
PPRES | Defines the internal pressure for a piping run.
PSPEC | Defines pipe material and dimensions.
PSPRNG | Defines a spring constraint in a piping run.
PTEMP | Defines the pipe wall temperatures in a piping run.
PUNIT | Selects the system of length units to be used in a piping run.
REDUCE | Defines a reducer in a piping run.
RUN | Defines a pipe run.
TEE | Defines a tee in a piping run.
VALVE | Defines a valve in a piping run.

Table 2.40 Digitizing

These PREP7 commands are used to define nodes by tablet digitizing.
DIG | Digitizes nodes to a surface.
DMOVE | Digitizes nodes on surfaces and along intersections.
DSET | Sets the scale and drawing plane orientation for a digitizing tablet.
DSURF | Defines the surface upon which digitized nodes lie.

Table 2.41 Coupled DOF

These PREP7 commands are used to define, modify, list, etc., coupled degrees of freedom.
CP | Defines (or modifies) a set of coupled degrees of freedom.
CPDELE | Deletes coupled degree of freedom sets.
CPINTF | Defines coupled degrees of freedom at an interface.
CPLGEN | Generates sets of coupled nodes from an existing set.
CPLIST | Lists the coupled degree of freedom sets.
CPNGEN | Defines, modifies, or adds to a set of coupled degrees of freedom.
CPSGEN | Generates sets of coupled nodes from existing sets.

Table 2.42 Constraint Equations

These PREP7 commands are used to define, modify, list, etc., constraint equations.
CE | Defines a constraint equation relating degrees of freedom.
CECYC | Generates the constraint equations for a cyclic symmetry analysis.
CEDELE | Deletes constraint equations.
CEINTF | Generates constraint equations at an interface.
CELIST | Lists the constraint equations.
CERIG | Defines a rigid region.
CESGEN | Generates a set of constraint equations from existing sets.
RBE3 | Distributes the force/moment applied at the master node to a set of slave nodes, taking into account the geometry of the slave nodes as well as weighting factors.

Table 2.43 Element Reordering

These PREP7 commands are used to reorder the model wavefront.
NOORDER | Re-establishes the original element ordering.
WAVES | Initiates reordering.
WERASE | Erases all reordering wave lists.
WFRONT | Estimates wavefront statistics.
WMID | Specifies reordering options for the WAVES command.
WMORE | Adds more nodes to the starting wave list.
WSORT | Initiates element reordering based upon a geometric sort.
WSTART | Defines a starting wave list.

Table 2.44 FLOTRAN Options

These PREP7 commands are used to specify the options and output controls for a FLOTRAN CFD analysis.
FLDATA | Sets up a FLOTRAN analysis.
FLDATA1 | Controls which features of the solution algorithm are activated.
FLDATA2 | Sets iteration and output controls for steady state analyses.
FLDATA3 | Sets the convergence monitors for the degree of freedom set.
FLDATA4 | Sets controls for transient analyses based on transient time and convergence monitors or sets time integration method.
FLDATA4A | Sets controls for transient analyses based on the number of time steps.
FLDATA5 | Sets output and storage controls.
FLDATA6 | Controls the output of the convergence monitor.

Table 2.45 FLOTRAN Property

These PREP7 commands are used to specify the fluid properties for a FLOTRAN CFD analysis.
FLDATA7 | Specifies the type of fluid property.
FLDATA8 | Specifies the NOMI coefficient of the fluid property equation.
FLDATA9 | Specifies the COF1 coefficient of the fluid property equation.
FLDATA10 | Specifies the COF2 coefficient of the fluid property equation.
FLDATA11 | Specifies the COF3 coefficient of the fluid property equation.
FLDATA12 | Sets the property update frequency flag.
FLDATA13 | Sets the property variation flag.

Table 2.46 FLOTRAN Operating

These PREP7 commands are used to specify the operating conditions for a FLOTRAN CFD analysis.
FLDATA14 | Specifies the reference temperature.
FLDATA15 | Specifies the reference pressure.
FLDATA16 | Specifies the bulk modulus parameter.
FLDATA17 | Specifies the specific heat ratio.

Table 2.47 FLOTRAN Solver

These PREP7 commands are used to control the solver for a FLOTRAN CFD analysis.
FLDATA18 | Selects the algebraic solver.
FLDATA19 | Specifies the number of TDMA sweeps.
FLDATA20 | Specifies the number of conjugate direction search vectors.
FLDATA20A | Specifies the amount of fill-in when preconditioning the coefficient matrix.
FLDATA20B | Specifies the number of fill-ins for the ILU preconditioner.
FLDATA21 | Specifies the convergence monitor.
FLDATA22 | Specifies the maximum number of semi-direct iterations.
FLDATA23 | Specifies the solver minimum normalized rate of change.

Table 2.48 FLOTRAN Turbulence

These PREP7 commands are used to control the turbulence setting for a FLOTRAN CFD analysis.
FLDATA24 | Sets the turbulence model and the constants used in the Standard k-ε Model and the Zero Equation Turbulence Model.
FLDATA24A | Sets constants for the Re-Normalized Group Turbulence Model (RNG).
FLDATA24B | Sets constants for the New k-ε Model due to Shih (NKE).
FLDATA24C | Sets constants for the Nonlinear Model of Girimaji (GIR).
FLDATA24D | Sets constants for the Shih, Zhu, Lumley Model (SZL).
FLDATA24E | Sets constants for the k-ω Model.
FLDATA24F | Sets the turbulent production clip factor for the Shear Stress Transport (SST) model.
FLDATA24G | Sets constants in the k-ω regime for the Shear Stress Transport (SST) model.
FLDATA24H | Sets constants in the k-ε regime for the Shear Stress Transport (SST) model.
FLDATA40 | Controls activation of thermal stabilization near walls.

Table 2.49 FLOTRAN Stability

These PREP7 commands are used to control the stability settings for a FLOTRAN CFD analysis.
FLDATA25 | Sets solution and property relaxation factors.
FLDATA26 | Sets stability controls.
FLDATA34 | Sets modified inertial relaxation factors.

Table 2.50 FLOTRAN Miscellaneous

These PREP7 commands are used to control miscellaneous settings for a FLOTRAN CFD analysis.
FLDATA27 | Controls dependent variable printing.
FLDATA28 | Specifies that variable results are to be replaced.
FLDATA29 | Re-initializes a results variable.
FLDATA30 | Controls the quadrature orders.
FLDATA31 | Specifies dependent variable caps.
FLDATA32 | Controls restart options.
FLDATA33 | Specifies the approach to discretize the advection term.
FLDATA35 | Specifies tolerances for the lower and upper bound of the volume fraction.
FLDATA36 | Specifies ambient reference values outside of the fluid for the volume of fluid (VOF) method.
FLDATA37 | Specifies the segregated solution algorithm.
FLDATA38 | Specifies the mass type for a fluid transient analysis.
FLDATA39 | Specifies remeshing parameters for transient fluid flow and fluid-solid interaction analyses.
ICVFRC | Sets the initial volume fraction field for a geometry.
PERI | Specifies periodic boundary conditions in an incompressible flow analysis.
PLVFRC | Displays volume fractions in a volume of fluid (VOF) analysis.

Table 2.51 FLOTRAN Multiple Species

These PREP7 commands are used for multiple species transport in a FLOTRAN CFD analysis.
MSADV | Specifies the approach to discretize the advection term in a species transport equation.
MSCAP | Activates and controls mass fraction capping for a species.
MSDATA | Defines multiple species data applicable to all species.
MSMASS | Specifies the mass type for a transient species analysis.
MSMETH | Specifies the method of solution of the species transport equations.
MSMIR | Sets modified inertial relaxation factors for multiple species.
MSNOMF | Specifies the initial value of nominal mass fraction for a species.
MSPROP | Defines the fluid properties of a species.
MSQUAD | Specifies the quadrature order for multiple species elements.
MSRELAX | Specifies relaxation factors for a multiple species transport analysis.
MSSOLU | Specifies solution options for multiple species transport.
MSSPEC | Specifies the name, molecular weight, and Schmidt number of a species.
MSTERM | Sets the convergence monitors for species.
MSVARY | Allows species properties to vary between global iterations.

Table 2.52 Special Purpose

These PREP7 commands are used for certain special purpose operations.
/CYCEXPAND | Verifies a cyclically symmetric model by graphically expanding it partially or into the full 360 degrees.
CYCLIC | Specifies a cyclic symmetry analysis.
CYCOPT | Specifies solution options for a cyclic symmetry analysis.
EMSYM | Specifies circular symmetry for electromagnetic sources.
HFEREFINE | Automatically refines high-frequency tetrahedral elements (HF119) or lists high-frequency brick elements (HF120) with the largest error.
PERBC2D | Generates periodic constraints for 2-D planar magnetic field analyses.
PHYSICS | Writes, reads, or lists all element information.
RACE | Defines a "racetrack" current source.

Table 2.53 Status

These PREP7 commands are for use with the STAT command.
AREAS | Specifies "Areas" as the subsequent status topic.
BOOL | Specifies "Booleans" as the subsequent status topic.
CEQN | Specifies "Constraint equations" as the subsequent status topic.
COUPLE | Specifies "Node coupling" as the subsequent status topic.
DIGIT | Specifies "Node digitizing" as the subsequent status topic.
ELEM | Specifies "Elements" as the subsequent status topic.
ETYPE | Specifies "Element types" as the subsequent status topic.
FATIGUE | Specifies "Fatigue data status" as the subsequent status topic.
FEBODY | Specifies "Body loads on elements" as the subsequent status topic.
FECONS | Specifies "Constraints on nodes" as the subsequent status topic.
FEFOR | Specifies "Forces on nodes" as the subsequent status topic.
FESURF | Specifies "Surface loads on elements" as the subsequent status topic.
FLOTRAN | Specifies "FLOTRAN data settings" as the subsequent status topic.
GEOMETRY | Specifies "Geometry" as the subsequent status topic.
KEYPTS | Specifies "Keypoints" as the subsequent status topic.
LINE | Specifies "Lines" as the subsequent status topic.
MATER | Specifies "Material properties" as the subsequent status topic.
MESHING | Specifies "Meshing" as the subsequent status topic.
NODES | Specifies "Nodes" as the subsequent status topic.
PIPE | Specifies "Pipe modeling" as the subsequent status topic.
PMETH | Specifies "p-Method" as the subsequent status topic.
PRIM | Specifies "Solid model primitives" as the subsequent status topic.
RCON | Specifies "Real constants" as the subsequent status topic.
REORDER | Specifies "Model reordering" as the subsequent status topic.
SELM | Specifies "Superelements" as the subsequent status topic.
TBLE | Specifies "Data table properties" as the subsequent status topic.
VOLUMES | Specifies "Volumes" as the subsequent status topic.

Table 2.54 Explicit Dynamics

These PREP7 commands are used for an explicit dynamic analysis.
EDASMP | Creates a part assembly to be used in an explicit dynamic analysis.
EDBOUND | Defines a boundary plane for sliding or cyclic symmetry.
EDBX | Creates a box shaped volume to be used in a contact definition.
EDCGEN | Specifies contact parameters for an explicit dynamic analysis.
EDCLIST | Lists all contact entity specifications in an explicit dynamic analysis.
EDCMORE | Specifies additional contact parameters for a given contact definition in an explicit dynamic analysis.
EDCNSTR | Defines various types of constraints for an explicit dynamic analysis.
EDCONTACT | Specifies contact surface controls for an explicit dynamic analysis.
EDCRB | Constrains two rigid bodies to act as one in an explicit dynamic analysis.
EDCURVE | Specifies data curves for an explicit dynamic analysis.
EDDBL | Sets the single or double precision version of LS-DYNA into effect.
EDDC | Deletes or deactivates/reactivates contact entity specifications in an explicit dynamic analysis.
EDIPART | Defines inertia for rigid parts in an explicit dynamic analysis.
EDLCS | Defines a local coordinate system for use in explicit dynamic analysis.
EDMP | Defines material properties for an explicit dynamic analysis.
EDNB | Defines a nonreflecting boundary in an explicit dynamic analysis.
EDNDTSD | Allows smoothing of noisy data for explicit dynamic analyses and provides a graphical representation of the data.
EDNROT | Applies a rotated coordinate nodal constraint in an explicit dynamic analysis.
EDPART | Configures parts for an explicit dynamic analysis.
EDPC | Selects and plots explicit dynamic contact entities.
EDSP | Specifies small penetration checking for contact entities in an explicit dynamic analysis.
EDWELD | Defines a massless spotweld or generalized weld for use in an explicit dynamic analysis.

Table 2.55 CAD Repair

These PREP7 commands are for IGES and connection import.
ALPFILL | Fills in an area loop within an existing 2-D area (for models imported from CAD files).
ARCOLLAPSE | Collapses specified area to a specified line segment (for models imported from CAD files).
ARDETACH | Detaches areas from neighboring geometrical entities (for models imported from CAD files).
ARFILL | Creates an area based on a set of singly-connected lines (for models imported from CAD files).
ARMERGE | Merges two or more singly-connected adjacent areas (for models imported from CAD files).
ARSPLIT | Splits an area between two keypoints (for models imported from CAD files).
GAPFINISH | Exits from the CAD import topology repair stage.
GAPLIST | Lists all joined or disjoined lines in a model (for models imported from CAD files).
GAPMERGE | Merges adjacent disjoined lines (for models imported from CAD files).
GAPOPT | Sets preferences for the CAD import repair commands.
GAPPLOT | Plots all joined or disjoined lines (for models imported from CAD files).
LNCOLLAPSE | Collapse a line segment to a keypoint (for models imported from CAD files).
LNDETACH | Detaches lines from neighboring geometric entity (for models imported from CAD files).
LNFILL | Creates a straight line between two keypoints (for models imported from CAD files).
LNMERGE | Merges two or more connected line segments (for models imported from CAD files).
LNSPLIT | Splits a line segment into two line segments (for models imported from CAD files).
SARPLOT | Displays areas smaller than a specified size (for models imported from CAD files).
SLPPLOT | Displays line loops smaller than a specified size (for models imported from CAD files).
SLSPLOT | Displays line segments smaller than a specified size (for models imported from CAD files).
VCVFILL | Fills cavities and bosses in volumes (for models imported from CAD files).

Table 2.56 Sections

These PREP7 commands manage sections.
BSAX | Specifies axial strain and force for a nonlinear general beam section.
BSM1 | Specifies bending moment and curvature in plane XZ for a nonlinear general beam section.
BSM2 | Specifies bending moment and curvature in plane XY for a nonlinear general beam section.
BSMD | Specifies mass density for a nonlinear general beam section.
BSS1 | Specifies transverse shear force and strain in plane XZ for a nonlinear general beam section.
BSS2 | Specifies transverse shear force and strain in plane XY for a nonlinear general beam section.
BSTE | Specifies a thermal expansion coefficientfor a nonlinear general beam section.
BSTQ | Specifies cross section torque and twist for a nonlinear general beam section.
PRSSOL | Prints BEAM188 and BEAM189 section results.
SDELETE | Deletes cross sections from the ANSYS database.
SECDATA | Describes the geometry of a section.
SECJOINT | Defines local coordinate systems at joint element nodes or relative DOFs to be fixed for a general joint element.
/SECLIB | Sets the default section library path for the SECREAD command.
SECLOCK | Specifies locks on the element degrees of freedom.
SECNUM | Sets the element section attribute pointer.
SECOFFSET | Defines the section offset for beam cross sections.
SECPLOT | Plots the geometry of a beam section to scale.
SECREAD | Reads a customized beam section library or a user-defined beam section mesh into ANSYS.
SECSTOP | Specifies stops on the element degrees of freedom.
SECTYPE | Associates section type information with a section ID number.
SECWRITE | Creates an ASCII file containing user mesh section information.
SLIST | Summarizes the section properties for all defined sections in the current session of ANSYS.
SSBT | Specifies the bending thermal effects quantity for a preintegrated shell section.
SSMT | Specifies the membrane thermal effects quantity for a preintegrated shell section.
SSPA | Specifies the membrane stiffness quantity for a preintegrated shell section.
SSPB | Specifies the coupling stiffness quantity for a preintegrated shell section.
SSPD | Specifies the bending stiffness quantity for a preintegrated shell section.
SSPE | Specifies the transverse shear stiffness quantity for a preintegrated shell section.
SSPM | Specifies the mass density and stress-free initial temperature for a preintegrated shell section.

Table 2.57 Morphing

These PREP7 commands are used to adjust the finite element mesh in the non-structural regions to coincide with the deflections of the structural regions.
MORPH | Specifies morphing and remeshing controls.
DAMORPH | Move nodes in selected areas to conform to structural displacements.
DEMORPH | Move nodes in selected elements to conform to structural displacements.
DVMORPH | Move nodes in selected volumes to conform to structural displacements.

Table 2.58 Trefftz Domain

These PREP7 commands are used in the Trefftz method for modeling the open domain.
TZAMESH | Meshes the areas of a volume to create Trefftz nodes.
TZDELE | Deletes the Trefftz superelement, associated constraint equations and all supporting Trefftz files.
TZEGEN | Generates a Trefftz domain substructure and defines a Trefftz superelement for use in electrostatic analysis.

Table 2.59 Perfectly Matched Layers

This PREP7 command is used to create perfectly matched layers (PMLs) designed to absorb high frequency waves.
PMLOPT | Defines perfectly matched layers (PMLs) for a high-frequency analysis.
PMLSIZE | Determines number of PML layers.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.4. APDL Commands 		Up / Home Next
2.6. SOLUTION Commands


2.6. SOLUTION Commands

These commands are used to load and solve the model. The commands are grouped by functionality.

Table 2.60 Analysis Options

These SOLUTION commands are used to set general analysis options.
ABEXTRACT | Extracts the alpha-beta damping multipliers for Rayleigh damping.
ADAMS | Performs solutions and writes flexible body information to a modal neutral file.
ADAPT | Adaptively meshes and solves a model.
ANTYPE | Specifies the analysis type and restart status.
BCSOPTION | Sets memory option for the sparse solver.
CECHECK | Check constraint equations and couplings for rigid body motions.
CHECK | Checks current database items for completeness.
CINT | Defines parameters associated with contour integral calculations.
CMATRIX | Performs electrostatic field solutions and calculates the self and mutual capacitances between multiple conductors.
CMSOPT | Specifies component mode synthesis (CMS) analysis options.
CNCHECK | Provides and/or adjusts the initial status of contact pairs.
CUTCONTROL | Controls time-step cutback during a nonlinear solution.
CYCOPT | Specifies the harmonic index solution for a cyclic symmetry analysis.
DMPEXT | Extracts modal damping coefficients in a specified frequency range.
DSPOPTION | Sets the memory option for the distributed sparse solver.
EMATWRITE | Forces the writing of all the element matrices to File.EMAT.
EQSLV | Specifies the type of equation solver.
ERESX | Specifies extrapolation of integration point results.
ESCHECK | Perform element shape checking for a selected element set.
ESSOLV | Performs a coupled electrostatic-structural analysis.
EXPASS | Specifies an expansion pass of an analysis.
GAUGE | Gauges the problem domain for an edge-element formulation.
GMATRIX | Performs electric field solutions and calculates the self and mutual conductances between multiple conductors.
HFADP | Turns a high-frequency adaptive error calculation on or off.
HFEIGOPT | Specifies high frequency electromagnetic modal analysis options.
HFMODPRT | Calculates electromagnetic field distribution for a modal port.
HFPA | Specifies a radiation scan angle for a phased array antenna analysis.
HFPCSWP | Calculates the propagating constants of a transmission line or waveguide over a frequency range.
HFSCAT | Specifies a high-frequency scattering analysis.
HFSWEEP | Performs a harmonic response for a high-frequency electromagnetic wave guide analysis.
LMATRIX | Calculates the differential inductance matrix and the total flux linkage in each coil for an N-winding system.
LUMPM | Specifies a lumped mass matrix formulation.
MADAPT | Adaptively meshes and solves an edge-based model.
MONITOR | Controls contents of three variable fields in nonlinear solution monitor file.
MSAVE | Sets the memory saving feature for the PCG and DPCG solvers.
OPNCONTROL | Sets decision parameter for automatically increasing the time step interval.
PCGOPT | Controls PCG solver options.
PRECISION | Specifies machine precision for solvers (currently valid only for PCG solvers).
PSCONTROL | Turns off shared-memory parallel operations during solution.
PSOLVE | Directs the program to perform a partial solution.
RATE | Specifies whether the effect of creep strain rate will be used in the solution of a load step.
RESVEC | Calculates residual vectors in a modal analysis, or includes residual vectors in a modal superposition transient/harmonic analysis.
RSTOFF | Offsets node or element IDs in the FE geometry record.
SEEXP | Specifies options for the substructure expansion pass.
SEGEN | Automatically generate superelements.
SEOPT | Specifies substructure analysis options.
SOLCONTROL | Specifies whether to use optimized nonlinear solution defaults and some enhanced internal solution algorithms.
/SOLU | Enters the solution processor.
SOLVE | Starts a solution.
SPADP | Automatically refines a HF119 tetrahedral element mesh based on S-parameter convergence.
SPSCAN | Performs a harmonic analysis of a unit cell over a range of angles and extracts the S-parameter.
SPSWP | Computes S-parameters over a frequency range and writes them to a file.
STABILIZE | Activates stabilization for all elements that support nonlinear stabilization.
STAOPT | Specifies static analysis options.
TOFFST | Specifies the temperature offset from absolute zero to zero.

Table 2.61 p-Method Options

These SOLUTION commands are used to define options for p-Method analyses.
PCONV | Sets convergence values for p-method solutions.
PEXCLUDE | Specifies elements to be excluded from p-level escalations.
PINCLUDE | Specifies elements to be included in p-level escalations.
/PMETH | Activates the p-method solution options in the Graphical User Interface (GUI).
PMOPTS | Defines percentage tolerance for a p-Method solution.
PPRANGE | Specifies a range of p-level values for use in a p-method solution.

Table 2.62 Nonlinear Options

These SOLUTION commands are used to define options for nonlinear analyses.
ARCLEN | Activates the arc-length method.
ARCTRM | Controls termination of the arc-length solution.
BUCOPT | Specifies buckling analysis options.
CNVTOL | Sets convergence values for nonlinear analyses.
CRPLIM | Specifies the creep criterion for automatic time stepping.
/GST | Turns Graphical Solution Tracking (GST) on or off.
LNSRCH | Activates a line search to be used with Newton-Raphson.
MXPAND | Specifies the number of modes to expand and write for a modal or buckling analysis.
NCNV | Sets the key to terminate an analysis.
NEQIT | Specifies the maximum number of equilibrium iterations for nonlinear analyses.
NLDIAG | Sets nonlinear diagnostics functionality.
NLGEOM | Includes large deformation effects in a static or full transient analysis.
NLHIST | Specify result items to track during solution.
NROPT | Specifies the Newton-Raphson options in a static or full transient analysis.
PRED | Activates a predictor in a nonlinear analysis.
PSTRES | Specifies whether prestress effects are calculated or included.
SSTIF | Activates stress stiffness effects in a nonlinear analysis.
SUBOPT | Specifies options for subspace iteration eigenvalue extraction.

Table 2.63 Dynamic Options

These SOLUTION commands are used to define options for dynamic analyses.
ALPHAD | Defines the mass matrix multiplier for damping.
BETAD | Defines the stiffness matrix multiplier for damping.
DMPRAT | Sets a constant damping ratio.
FRQSCL | Turns on automatic scaling of the entire mass matrix and frequency range for modal analyses using the Block Lanczos or PCG Lanczos mode extraction method.
HARFRQ | Defines the frequency range in the harmonic response analysis.
HREXP | Specifies the phase angle for the harmonic analysis expansion pass.
HROPT | Specifies harmonic analysis options.
HROUT | Specifies the harmonic analysis output options.
LVSCALE | Scales the load vector for mode superposition analyses.
MDAMP | Defines the damping ratios as a function of mode.
MDPLOT | Plots frequency-dependent modal damping coefficients.
MIDTOL | Sets middle step residual criterion values for structural transient analysis.
MODOPT | Specifies modal analysis options.
MXPAND | Specifies the number of modes to expand and write for a modal or buckling analysis.
RIGID | Specifies known rigid body modes (if any) of the model.
SUBOPT | Specifies options for subspace iteration eigenvalue extraction.
TIMINT | Turns on transient effects.
TINTP | Defines transient integration parameters.
TRNOPT | Specifies transient analysis options.

Table 2.64 Spectrum Options

These SOLUTION commands are used to define options for spectrum analyses.
ADDAM | Specifies the acceleration spectrum computation constants for the analysis of shock resistance of shipboard structures.
COVAL | Defines PSD cospectral values.
CQC | Specifies the complete quadratic mode combination method.
DSUM | Specifies the double sum mode combination method.
FREQ | Defines the frequency points for the SV vs. FREQ tables.
GRP | Specifies the grouping mode combination method.
NRLSUM | Specifies the Naval Research Laboratory (NRL) sum mode combination method.
PFACT | Calculates participation factors for the PSD or multi-point response spectrum table.
PSDCOM | Specifies the power spectral density mode combination method.
PSDFRQ | Defines the frequency points for the input spectrum vs. FREQ tables of PSD and multi-point spectrum analyses.
PSDGRAPH | Displays input PSD curves
PSDRES | Controls solution output written to the results file from a PSD analysis.
PSDSPL | Defines a partially correlated excitation in a PSD analysis.
PSDUNIT | Defines the type of PSD or multi-point response spectrum.
PSDVAL | Defines PSD or multi-point response spectrum values.
PSDWAV | Defines a wave propagation excitation in a PSD analysis.
QDVAL | Defines PSD quadspectral values.
ROCK | Specifies a rocking response spectrum.
SED | Defines the excitation direction for a single-point response spectrum.
SPOPT | Selects the spectrum type and other spectrum options.
SRSS | Specifies the square root of sum of squares mode combination method.
SV | Defines spectrum values to be associated with frequency points.
SVTYP | Defines the type of single-point response spectrum.
VDDAM | Specifies the velocity spectrum computation constants for the analysis of shock resistance of shipboard structures.

Table 2.65 Load Step Options

These SOLUTION commands are used to define options for individual load steps.
AUTOTS | Specifies whether to use automatic time stepping or load stepping.
CAMPBELL | Prepares the result file for a subsequent Campbell diagram analysis.
CECMOD | Modifies the constant term of a constraint equation during solution.
DELTIM | Specifies the time step sizes to be used for this load step.
EXPSOL | Specifies the solution to be expanded for reduced analyses.
HMAGSOLV | Specifies 2-D or axisymmetric harmonic magnetic solution options and initiates the solution.
KBC | Specifies stepped or ramped loading within a load step.
KUSE | Specifies whether or not to reuse the triangularized matrix.
MAGOPT | Specifies options for a 3-D magnetostatic field analysis.
MAGSOLV | Specifies magnetic solution options and initiates the solution.
MODE | Specifies the harmonic loading term for this load step.
NSUBST | Specifies the number of substeps to be taken this load step.
NUMEXP | Specifies solutions to be expanded from reduced analyses.
TIME | Sets the time for a load step.
TREF | Defines the reference temperature for the thermal strain calculations.
TSRES | Defines an array of keytimes at which the time-stepping strategy changes.
UPCOORD | Modifies the coordinates of the active set of nodes, based on the current displacements.
USRCAL | Allows user-solution subroutines to be activated or deactivated.
WRFULL | Stops solution after assembling global matrices.

Table 2.66 Solid Constraints

These SOLUTION commands are used to define constraints on the solid model.
DA | Defines symmetry or antisymmetry DOF constraints on areas.
DADELE | Deletes DOF constraints on an area.
DALIST | Lists the DOF constraints on an area.
DK | Defines DOF constraints at keypoints.
DKDELE | Deletes DOF constraints at a keypoint.
DKLIST | Lists the DOF constraints at keypoints.
DL | Defines symmetry or antisymmetry DOF constraints on lines.
DLDELE | Deletes DOF constraints on a line.
DLLIST | Lists DOF constraints on a line.
DTRAN | Transfers solid model DOF constraints to the finite element model.

Table 2.67 Solid Forces

These SOLUTION commands are used to define forces on the solid model.
FK | Defines force loads at keypoints.
FKDELE | Deletes force loads at a keypoint.
FKLIST | Lists the forces at keypoints.
FTRAN | Transfers solid model forces to the finite element model.

Table 2.68 Solid Surface Loads

These SOLUTION commands are used to define surface loads on the solid model.
SFA | Specifies surface loads on the selected areas.
SFADELE | Deletes surface loads from areas.
SFALIST | Lists the surface loads for the specified area.
SFL | Specifies surface loads on lines of an area.
SFLDELE | Deletes surface loads from lines.
SFLLIST | Lists the surface loads for lines.
SFTRAN | Transfer the solid model surface loads to the finite element model.

Table 2.69 Solid Body Loads

These SOLUTION commands are used to define body loads on the solid model.
BFA | Defines a body force load on an area.
BFADELE | Deletes body force loads on an area.
BFALIST | Lists the body force loads on an area.
BFK | Defines a body force load at a keypoint.
BFKDELE | Deletes body force loads at a keypoint.
BFKLIST | Lists the body force loads at keypoints.
BFL | Defines a body force load on a line.
BFLDELE | Deletes body force loads on a line.
BFLLIST | Lists the body force loads on a line.
BFTRAN | Transfers solid model body force loads to the finite element model.
BFV | Defines a body force load on a volume.
BFVDELE | Deletes body force loads on a volume.
BFVLIST | Lists the body force loads on a volume.

Table 2.70 Inertia

These SOLUTION commands are used to define inertial loads on the model.
ACEL | Specifies the linear acceleration of the structure.
CGLOC | Specifies the origin location of the acceleration coordinate system.
CGOMGA | Specifies the rotational velocity of the global origin.
CMACEL | Specifies the translational acceleration of an element component.
CMDOMEGA | Specifies the rotational acceleration of an element component about a user-defined rotational axis.
CMOMEGA | Specifies the rotational velocity of an element component about a user-defined rotational axis.
CMROTATE | Specifies the rotational velocity of an element component about a user-defined rotational axis
CORIOLIS | Applies the Coriolis effect to a rotating structure.
DCGOMG | Specifies the rotational acceleration of the global origin.
DOMEGA | Specifies the rotational acceleration of the structure.
IRLF | Specifies that inertia relief calculations are to be performed.
OMEGA | Specifies the rotational velocity of the structure.
SYNCHRO | Specifies whether the excitation frequency is synchronous or asynchronous with the rotational velocity of the structure.

Table 2.71 Miscellaneous Loads

These SOLUTION commands are for miscellaneous load definition and control.
BIOT | Calculates the Biot-Savart source magnetic field intensity.
FMAGBC | Applies force and torque boundary conditions to an element component.
HFPORT | Specifies input data for waveguide or transmission line ports or an incident plane wave.
IC | Specifies initial conditions at nodes.
ICDELE | Deletes initial conditions at nodes.
ICE | Specifies initial conditions on elements.
ICEDELE | Deletes initial conditions on elements.
ICELIST | Lists initial conditions on elements.
ICLIST | Lists the initial conditions.
INISTATE | Applies initial state data to an element or a selection of elements.
ISFILE | Reads an initial stress state from a file into ANSYS.
MPCHG | Changes the material number attribute of an element.
OUTPR | Controls the solution printout.
OUTRES | Controls the solution data written to the database.
PGRAPH | Specifies the location from which graphics data will be retrieved for viewing.
PGSAVE | Creates a PowerGraphics (PGR) file from results data.
PGWRITE | Writes selected solution data to the PGR file for faster post processing access.
PLWAVE | Specifies a free-space time-harmonic incident plane electromagnetic wave in the global Cartesian coordinate system.
RESCONTROL | Controls file writing for multiframe restarts.
SBCLIST | Lists solid model boundary conditions.
SBCTRAN | Transfers solid model loads and boundary conditions to the FE model.
WSPRINGS | Creates weak springs on corner nodes of a bounding box of the currently selected elements.

Table 2.72 Load Step Operations

These SOLUTION commands are used to write and solve multiple load steps.
LSCLEAR | Clears loads and load step options from the database.
LSDELE | Deletes load step files.
LSREAD | Reads load and load step option data into the database.
LSSOLVE | Reads and solves multiple load steps.
LSWRITE | Writes load and load step option data to a file.

Table 2.73 Master DOF

These SOLUTION commands are used to define master degrees of freedom.
M | Defines master degrees of freedom for reduced and superelement generation analyses.
MDELE | Deletes master degrees of freedom.
MGEN | Generates additional MDOF from a previously defined set.
MLIST | Lists the MDOF of freedom.
TOTAL | Specifies automatic MDOF generation.

Table 2.74 Gap Conditions

These SOLUTION commands are used to define gaps for transient dynamic analyses.
GP | Defines a gap condition for transient analyses.
GPDELE | Deletes gap conditions.
GPLIST | Lists the gap conditions.

Table 2.75 Rezoning

These SOLUTION commands are used in analyses that employ rezoning.
REZONE | Initiates a rezoning operation, sets rezoning options, and rebuilds the database.
MAPSOLVE | Maps the solved node and element solutions from an original mesh to a new mesh.
REMESH | Specifies the starting and ending remeshing points.
AREMESH | Generates an area for creating a new mesh for rezoning.

Table 2.76 Birth and Death

These SOLUTION commands are used for the birth and death option for elements.
EALIVE | Reactivates an element (for the birth and death capability).
EKILL | Deactivates an element (for the birth and death capability).
ESTIF | Specifies the matrix multiplier for deactivated elements.

Table 2.77 FE Constraints

These SOLUTION commands are used to define constraints on the finite element model.
D | Defines DOF constraints at nodes.
DCUM | Specifies that DOF constraint values are to be accumulated.
DDELE | Deletes degree of freedom constraints.
DJ | Specify boundary conditions on the components of relative motion of a joint element.
DJDELE | Deletes boundary conditions on the components of relative motion of a joint element.
DJLIST | Lists boundary conditions applied to joint elements.
DLIST | Lists DOF constraints.
DSCALE | Scales DOF constraint values.
DSYM | Specifies symmetry or antisymmetry DOF constraints on nodes.
GSBDATA | Specifies the constraints or applies the load at the ending point for the generalized plane strain element option.
GSLIST | When using generalized plane strain, lists the input data or solutions.
LDREAD | Reads results from the results file and applies them as loads.

Table 2.78 FE Forces

These SOLUTION commands are used to define nodal loads on the finite element model.
F | Specifies force loads at nodes.
FCUM | Specifies that force loads are to be accumulated.
FDELE | Deletes force loads on nodes.
FJ | Specify forces or moments on the components of the relative motion of a joint element.
FJDELE | Deletes forces (or moments) on the components of the relative motion of a joint element.
FJLIST | Lists forces and moments applied on joint elements.
FLIST | Lists force loads on the nodes.
FSCALE | Scales force load values in the database.

Table 2.79 FE Surface Loads

These SOLUTION commands are used to define surface loads on the finite element model.
SF | Specifies surface loads on nodes.
SFBEAM | Specifies surface loads on beam elements.
SFCUM | Specifies that surface loads are to be accumulated.
SFDELE | Deletes surface loads.
SFE | Specifies surface loads on elements.
SFEDELE | Deletes surface loads from elements.
SFELIST | Lists the surface loads for elements.
SFFUN | Specifies a varying surface load.
SFGRAD | Specifies a gradient (slope) for surface loads.
SFLIST | Lists surface loads.
SFSCALE | Scales surface loads on elements.

Table 2.80 FE Body Loads

These SOLUTION commands are used to define body loads on the finite element model.
BF | Defines a nodal body force load.
BFCUM | Specifies that nodal body force loads are to be accumulated.
BFDELE | Deletes nodal body force loads.
BFE | Defines an element body force load.
BFECUM | Specifies whether to ignore subsequent element body force loads.
BFEDELE | Deletes element body force loads.
BFELIST | Lists the element body force loads.
BFESCAL | Scales element body force loads.
BFLIST | Lists the body force loads on nodes.
BFSCALE | Scales body force loads at nodes.
BFUNIF | Assigns a uniform body force load to all nodes.
LDREAD | Reads results from the results file and applies them as loads.
RIMPORT | Imports initial stresses from an explicit run into ANSYS.
TUNIF | Assigns a uniform temperature to all nodes.

Table 2.81 Status

These SOLUTION commands are for use with the STAT command.
ATYPE | Specifies "Analysis types" as the subsequent status topic.
BIOOPT | Specifies "Biot-Savart options" as the subsequent status topic.
DEACT | Specifies "Element birth and death" as the subsequent status topic.
DYNOPT | Specifies "Dynamic analysis options" as the subsequent status topic.
GAP | Specifies "Reduced transient gap conditions" as the subsequent status topic.
GENOPT | Specifies "General options" as the subsequent status topic.
INRTIA | Specifies "Inertial loads" as the subsequent status topic.
LSOPER | Specifies "Load step operations" as the subsequent status topic.
MASTER | Specifies "Master DOF" as the subsequent status topic.
NLOPT | Specifies "Nonlinear analysis options" as the subsequent status topic.
OUTOPT | Specifies "Output options" as the subsequent status topic.
SMBODY | Specifies "Body loads on the solid model" as the subsequent status topic.
SMCONS | Specifies "Constraints on the solid model" as the subsequent status topic.
SMFOR | Specifies "Forces on the solid model" as the subsequent status topic.
SMSURF | Specifies "Surface loads on the solid model" as the subsequent status topic.
SOLUOPT | Specifies "Solution options" as the subsequent status topic.
SPTOPT | Specifies "Spectrum analysis options" as the subsequent status topic.

Table 2.82 Explicit Dynamics

These SOLUTION commands are used for an explicit dynamic analysis.
EDADAPT | Activates adaptive meshing in an explicit dynamic analysis.
EDALE | Assigns mesh smoothing to explicit dynamic elements that use the ALE formulation.
EDBVIS | Specifies global bulk viscosity coefficients for an explicit dynamic analysis.
EDCADAPT | Specifies adaptive meshing controls for an explicit dynamic analysis.
EDCPU | Specifies CPU time limit for an explicit dynamic analysis.
EDCSC | Specifies whether to use subcycling in an explicit dynamic analysis.
EDCTS | Specifies mass scaling and scale factor of computed time step for an explicit dynamic analysis.
EDDAMP | Defines mass weighted (Alpha) or stiffness weighted (Beta) damping for an explicit dynamics model.
EDDRELAX | Activates initialization to a prescribed geometry or dynamic relaxation for the explicit analysis.
EDDUMP | Specifies output frequency for the explicit dynamic restart file (d3dump).
EDENERGY | Specifies energy dissipation controls for an explicit dynamic analysis.
EDFPLOT | Allows plotting of explicit dynamics forces.
EDGCALE | Defines global ALE controls for an explicit dynamic analysis.
EDHGLS | Specifies the hourglass coefficient for an explicit dynamic analysis.
EDHIST | Specifies time-history output for an explicit dynamic analysis.
EDHTIME | Specifies the time-history output interval for an explicit dynamic analysis.
EDINT | Specifies number of integration points for explicit shell and beam output.
EDIS | Specifies stress initialization in an explicit dynamic full restart analysis.
EDLOAD | Specifies loads for an explicit dynamic analysis.
EDOPT | Specifies the type of output for an explicit dynamic analysis.
EDOUT | Specifies time-history output (ASCII format) for an explicit dynamic analysis.
EDPL | Plots a time dependent load curve in an explicit dynamic analysis.
EDPVEL | Applies initial velocities to parts or part assemblies in an explicit dynamic analysis.
EDRC | Specifies rigid/deformable switch controls in an explicit dynamic analysis.
EDRD | Switches a part from deformable to rigid or from rigid to deformable in an explicit dynamic analysis.
EDRI | Defines inertia properties for a new rigid body that is created when a deformable part is switched to rigid in an explicit dynamic analysis.
EDRST | Specifies the output interval for an explicit dynamic analysis.
EDRUN | Specifies serial or parallel processing for an explicit dynamic analysis.
EDSHELL | Specifies shell computation controls for an explicit dynamic analysis.
EDSOLV | Specifies "explicit dynamics solution" as the subsequent status topic.
EDSTART | Specifies status (new or restart) of an explicit dynamic analysis.
EDTERM | Specifies termination criteria for an explicit dynamic analysis.
EDTP | Plots explicit elements based on their time step size.
EDVEL | Applies initial velocities to nodes or node components in an explicit dynamic analysis.
EDWRITE | Writes explicit dynamics input to an LS-DYNA input file.
REXPORT | Exports displacements from an implicit run to ANSYS LS-DYNA.

Table 2.83 FLOTRAN Checkout

These SOLUTION commands are used for a FLOTRAN analysis.
FLOCHECK Sets up and runs a zero-iteration FLOTRAN analysis.

Table 2.84 Controls

This SOLUTION command is used to specify controls for electrostatic p-Method analyses.
PEMOPTS Defines percentage tolerance and error estimation method for electrostatic p-Method solution.

Table 2.85 Radiosity

These SOLUTION commands are used to calculate the radiation view factors and to specify the solution parameters for the Radiosity solver method.
HEMIOPT | Specifies options for Hemicube view factor calculation.
RADOPT | Specifies Gauss-Seidel Radiosity Solver options.
RDEC | Defines the decimation parameters.
RSOPT | Creates or loads the radiosity mapping data file for SURF251 or SURF252 element types.
RSURF | Generates the radiosity surface elements and stores them in the database.
RSYMM | Defines the plane of symmetry or center of rotation for the radiosity method.
SPCNOD | Defines a space node for radiation using the Radiosity method.
SPCTEMP | Defines a free-space ambient temperature for radiation using the Radiosity method.
STEF | Specifies Stefan-Boltzmann radiation constant.
V2DOPT | Specifies 2-D/axisymmetric view factor calculation options.
VFOPT | Specifies options for view factor file.
QSOPT | Specifies quasi static radiation options.

Table 2.86 ANSYS Multi-field solver Definition Commands

These SOLUTION commands are used to define the fields for an ANSYS Multi-field solver analysis.
MFCMMAND | Captures field solution options in a command file.
MFELEM | Defines a field by grouping element types.
MFEM | Adds more element types to a previously defined field number.
MFEXTER | Defines external fields for an ANSYS Multi-field solver analysis.
MFFNAME | Specifies a file name for a field in an ANSYS Multi-field solver analysis.

Table 2.87 ANSYS Multi-field solver Global Controls

These SOLUTION commands set global controls for an ANSYS Multi-field solver analysis.
MFANALYSIS | Turns an ANSYS Multi-field solver analysis on or off.
MFCLEAR | Deletes ANSYS Multi-field solver analysis settings.
MFFR | Sets up Multi-Field relaxation factors for field solutions.
MFINTER | Specifies the interface load transfer interpolation option for an ANSYS Multi-field solver analysis.
MFLIST | Lists the settings for an ANSYS Multi-field solver analysis.
MFORDER | Specifies field solution order for an ANSYS Multi-field solver analysis.
MFPSIMULATION | Sets up a field solver group to simultaneously process with code coupling analyses.
MFSORDER | Sets up the solution sequence of simultaneous field solver groups for code coupling analyses.
MFWRITE | Writes an ANSYS master input file for MFX multiple code coupling.

Table 2.88 ANSYS Multi-field solver Time Controls

These SOLUTION commands set time controls for an ANSYS Multi-field solver analysis.
MFCALC | Specifies a calculation frequency for a field in an ANSYS Multi-field solver analysis.
MFDTIME | Sets time step increment for an ANSYS Multi-field solver analysis.
MFOUTPUT | Specifies results file output frequency for an ANSYS Multi-field solver analysis.
MFRSTART | Specifies a restart time for an ANSYS Multi-field solver analysis.
MFTIME | Sets end time for an ANSYS Multi-field solver analysis.

Table 2.89 ANSYS Multi-field solver Load Transfer

These SOLUTION commands are used to define load transfer for an ANSYS Multi-field solver analysis.
MFLCOMM | Defines a load transfer for code coupling analyses.
MFSURFACE | Defines a surface load transfer for an ANSYS Multi-field solver analysis.
MFVOLUME | Defines volume load transfer across interface for an ANSYS Multi-field solver analysis.

Table 2.90 ANSYS Multi-field solver Convergence Controls

These SOLUTION commands are used to define convergence controls for an ANSYS Multi-field solver analysis.
MFCONV | Sets convergence values for an ANSYS Multi-field solver analysis.
MFITER | Sets the maximum number of stagger iterations for an ANSYS Multi-field solver analysis.
MFRELAX | Sets relaxation values for an ANSYS Multi-field solver analysis.

Table 2.91 ANSYS Multi-field solver Interface Mapping

These SOLUTION commands are used to define mapping details for an ANSYS Multi-field solver analysis.
MFBUCKET | Turns a bucket search on or off.
MFCI | Sets the pixel resolution used by the CPP interpolation scheme.
MFMAP | Calculates, saves, resumes, or deletes mapping data in an ANSYS Multi-field solver analysis.
MFTOL | Turns normal distance checking on for surface mapping in an ANSYS Multi-field solver analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.5. PREP7 Commands 		Up / Home Next
2.7. POST1 Commands


2.7. POST1 Commands

These commands are used to postprocess the results with the database processor. The commands are grouped by functionality.

Table 2.92 Setup

These POST1 commands are used to put data into the database for postprocessing.
APPEND | Reads data from the results file and appends it to the database.
DESOL | Defines or modifies solution results at a node of an element.
DNSOL | Defines or modifies solution results at a node.
FILE | Specifies the data file where results are to be found.
HRCPLX | Computes and stores in the database the time-harmonic solution at a prescribed phase angle.
PGRSET | Defines the data set to be read from the PGR file.
/POST1 | Enters the database results postprocessor.
RESET | Resets all POST1 or POST26 specifications to initial defaults.
SET | Defines the data set to be read from the results file.
SUBSET | Reads results for the selected portions of the model.

Table 2.93 Controls

These POST1 commands are used to control the calculations done for other commands.
AVPRIN | Specifies how principal and vector sums are to be calculated.
AVRES | Specifies how results data will be averaged when PowerGraphics is enabled.
/EFACET | Specifies the number of facets per element edge for PowerGraphics displays.
ERNORM | Controls error estimation calculations.
FORCE | Selects the element nodal force type for output.
INRES | Identifies the data to be retrieved from the results file.
LAYER | Specifies the element layer for which data are to be processed.
RSYS | Activates a coordinate system for printout or display of results.
SHELL | Selects a shell element or shell layer location for results output.

Table 2.94 Results

These POST1 commands are used to process results, such as DOF results, nodal stresses, and element summable and nonsummable miscellaneous data.
NSORT | Sorts nodal data.
NUSORT | Restores original order for nodal data.
PLCINT | Plots the J-integral result data.
PLCONV | Plots the convergence curve for specified items from a p-method solution.
PLDISP | Displays the displaced structure.
PLESOL | Displays the solution results as discontinuous element contours.
PLNSOL | Displays results as continuous contours.
PLORB | Displays the orbital motion of a rotating structure undergoing vibration.
PRENERGY | Prints the total energies of a model.
PRORB | Prints the orbital motion characteristics of a rotating structure undergoing vibration.
PLVECT | Displays results as vectors.
PPLOT | Displays an element plot indicating each element's final p-level.
PRCINT | Lists the J-integral result data.
PRCONV | Lists convergence values versus characteristic p-level.
PRESOL | Prints the solution results for elements.
PRJSOL | Print joint element output.
PRNLD | Prints the summed element nodal loads.
PRNSOL | Prints the nodal solution results.
PRRFOR | Used with the FORCE command. Prints the constrained node reaction solution.
PRRSOL | Prints the constrained node reaction solution.
PRSSOL | Prints BEAM188 and BEAM189 section results
PRVECT | Prints results as vector magnitude and direction cosines.
SUMTYPE | Sets the type of summation to be used in the following load case operations.

Table 2.95 Element Table

These POST1 commands are used to operate with the element table, which in turn is used to process results stored for each element, such as average stresses, heat fluxes, etc.
DETAB | Modifies element table results in the database.
ESORT | Sorts the element table.
ETABLE | Fills a table of element values for further processing.
EUSORT | Restores original order of the element table.
PLETAB | Displays element table items.
PLLS | Displays element table items as contoured areas along elements.
PLVECT | Displays results as vectors.
PRETAB | Prints the element table items.
PRVECT | Prints results as vector magnitude and direction cosines.
SABS | Specifies absolute values for element table operations.
SADD | Forms an element table item by adding two existing items.
SALLOW | Defines the allowable stress table for safety factor calculations.
SEXP | Forms an element table item by exponentiating and multiplying.
SFACT | Allows safety factor or margin of safety calculations to be made.
SFCALC | Calculates the safety factor or margin of safety.
SMAX | Forms an element table item from the maximum of two other items.
SMIN | Forms an element table item from the minimum of two other items.
SMULT | Forms an element table item by multiplying two other items.
SSUM | Calculates and prints the sum of element table items.
TALLOW | Defines the temperature table for safety factor calculations.
VCROSS | Forms element table items from the cross product of two vectors.
VDOT | Forms an element table item from the dot product of two vectors.

Table 2.96 Listing

These POST1 commands are used to control printed listings of results.
/FORMAT | Specifies format controls for tables.
/HEADER | Sets page and table heading print controls.
IRLIST | Prints inertia relief summary table.
/PAGE | Defines the printout and screen page size.
PRERR | Prints SEPC and TEPC.
PRITER | Prints solution summary data.

Table 2.97 Animation

These POST1 commands are used to animate results.
ANCNTR | Produces an animated sequence of a contoured deformed shape.
ANCUT | Produces an animated sequence of Q-slices.
ANDATA | Produces a sequential contour animation over a range of results data.
ANDSCL | Produces an animated sequence of a deformed shape.
ANCYC | Applies a traveling wave animation to graphics data in a modal cyclic symmetry analysis.
ANDYNA | Produces an animated sequence of contour values through substeps.
/ANFILE | Saves or resumes an animation sequence to or from a file.
ANFLOW | Produces an animated sequence of particle flow in a flowing fluid or a charged particle traveling in an electric or magnetic field.
ANHARM | Produces a time-transient animated sequence of time-harmonic results (ANTYPE,HARMIC) or complex mode shapes (ANTYPE,MODAL).
ANIM | Displays graphics data in animated form.
ANISOS | Produces an animated sequence of an isosurface.
ANMODE | Produces an animated sequence of a mode shape.
ANMRES | Performs animation of results over multiple results files in an explicit dynamic structural analysis or fluid flow analysis with remeshing.
ANTIME | Produces a sequential contour animation over a range of time.
TRTIME | Defines the options used for the PLTRAC (particle flow or charged particle trace) command.

Table 2.98 Path Operations

These POST1 commands are used for path operations.
PADELE | Deletes a defined path.
PAGET | Writes current path information into an array variable.
PAPUT | Retrieves path information from an array variable.
PARESU | Restores previously saved paths from a file.
PASAVE | Saves selected paths to an external file.
PATH | Defines a path name and establishes parameters for the path.
PCALC | Forms additional labeled path items by operating on existing path items.
PCROSS | Calculates the cross product of two path vectors along the current path.
PDEF | Interpolates an item onto a path.
PDOT | Calculates the dot product of two path vectors along the current path.
PLPAGM | Displays path items along the path geometry.
PLPATH | Displays path items on a graph.
PLSECT | Displays membrane and membrane-plus-bending linearized stresses.
PMAP | Creates mapping of the path geometry by defining path interpolation division points.
PPATH | Defines a path by picking or defining nodes, or locations on the currently active working plane, or by entering specific coordinate locations.
PRANGE | Determines the path range.
PRPATH | Prints path items along a geometry path.
PRSECT | Calculates and prints linearized stresses along a section path.
PSEL | Selects a path or paths.
PVECT | Interpolates a set of items onto a path.

Table 2.99 Surface Operations

These POST1 commands are used to define an arbitrary surface and to develop results information for that surface.
SUCALC | Create new result data by operating on two existing result datasets on a given surface.
SUCR | Create a surface.
SUDEL | Delete geometry information as well as any mapped results for specified surface or for all selected surfaces.
SUEVAL | Perform operations on a mapped item and store result in a scalar parameter.
SUGET | Create and dimension an NPT row array parameter named PARM, where NPT is the number of geometry points in SurfName.
SUMAP | Map results onto selected surface(s).
SUPL | Plot specified SetName result data on all selected surfaces or on the specified surface.
SUPR | Print surface information.
SURESU | Resume surface definitions from a specified file.
SUSAVE | Save surface definitions and result items to a file.
SUSEL | Selects a subset of surfaces
SUVECT | Operate between two mapped result vectors.

Table 2.100 Load Case Calculations

These POST1 commands are used for combining results from different load steps.
LCABS | Specifies absolute values for load case operations.
LCASE | Reads a load case into the database.
LCDEF | Creates a load case from a set of results on a results file.
LCFACT | Defines scale factors for load case operations.
LCFILE | Creates a load case from an existing load case file.
LCOPER | Performs load case operations.
LCSEL | Selects a subset of load cases.
LCSUM | Specifies whether to process nonsummable items in load case operations.
LCWRITE | Creates a load case by writing results to a load case file.
LCZERO | Zeroes the results portion of the database.
RAPPND | Appends results data from the database to the results file.

Table 2.101 Magnetics Calculations

These POST1 commands are used for special purpose magnetics postprocessing.
CURR2D | Calculates current flow in a 2-D conductor.
EMAGERR | Calculates the relative error in an electrostatic or electromagnetic field analysis.
EMF | Calculates the electromotive force (emf), or voltage drop along a predefined path.
EMFT | Summarizes electromagnetic forces and torques on a selected set of nodes.
FLUXV | Calculates the flux passing through a closed contour.
FMAGSUM | Summarizes electromagnetic force calculations on element components.
FOR2D | Calculates magnetic forces on a body.
IMPD | Calculates the impedance of a conductor at a reference plane.
MMF | Calculates the magnetomotive force along a path.
PLF2D | Generates a contour line plot of equipotentials.
POWERH | Calculates the rms power loss in a conductor or lossy dielectric.
QFACT | Calculates the quality factor for high-frequency electromagnetic resonators.
REFLCOEF | Calculates the voltage reflection coefficient (REFLC), standing wave ratio (VSWR), and return loss (RL) in a COAX fed device; at postprocessing of an HF electromagnetic analysis.
SENERGY | Determines the stored magnetic energy or co-energy.
SPARM | Calculates scattering (S) parameters between ports of a waveguide.
TORQ2D | Calculates torque on a body in a magnetic field.
TORQC2D | Calculates torque on a body in a magnetic field based on a circular path.
TORQSUM | Summarizes electromagnetic torque calculations on element components.

Table 2.102 Fatigue

These POST1 commands are used for fatigue analyses.
FE | Defines a set of fatigue event parameters.
FELIST | Lists the fatigue event parameters.
FL | Defines a set of fatigue location parameters.
FLLIST | Lists the fatigue location parameters.
FP | Defines the fatigue S vs. N and Sm vs. T tables.
FPLIST | Lists the property table stored for fatigue evaluation.
FS | Stores fatigue stress components at a node.
FSDELE | Deletes a stress condition for a fatigue location, event, and loading.
FSLIST | Lists the stresses stored for fatigue evaluation.
FSNODE | Calculates and stores the stress components at a node for fatigue.
FSPLOT | Displays a fatigue stress item for a fatigue location and event.
FSSECT | Calculates and stores total linearized stress components.
FTCALC | Performs fatigue calculations for a particular node location.
FTSIZE | Defines the fatigue data storage array.
FTWRITE | Writes all currently stored fatigue data on a file.

Table 2.103 Trace Points

These POST1 commands are used to trace particle motions in a flow stream.
PLTRAC | Displays a particle flow or charged particle trace on an element display.
TRPDEL | Deletes particle flow or charged particle trace points.
TRPLIS | Lists the particle flow or charged particle trace points.
TRPOIN | Defines a point through which a particle flow or charged particle trace will travel.

Table 2.104 FLOTRAN Processing

These POST1 commands are used to postprocess the FLOTRAN CFD results.
FLREAD Reads the residual file written by the FLOTRAN CFD option.

Table 2.105 Special Purpose

These POST1 commands are used for various special purposes.
BFINT | Activates the body force interpolation operation.
CBDOF | Activates cut boundary interpolation (for submodeling).
CMSFILE | Specifies the component mode synthesis (CMS) results files to include when plotting the mode shape of an assembly.
/CYCEXPAND | Graphically expands displacements, stresses and strains of a cyclically symmetric model partially or though the full 360 degrees by combining the real (original nodes and elements) and imaginary (duplicate nodes and elements) parts of the solution.
CYCPHASE | Provides tools for determining minimum and maximum possible result values from frequency couplets produced in a modal cyclic symmetry analysis.
/EXPAND | Allows the creation of a larger graphic display than that which is represented by the actual finite element analysis model.
EXPAND | Displays the results of a modal cyclic symmetry analysis.
EXPROFILE | Exports ANSYS interface loads to a CFX Profile file.
EXUNIT | Indicates units assumed for an interface load for ANSYS to CFX transfer.
FSSPARM | Calculates reflection and transmission properties of a frequency selective surface.
FSUM | Sums the nodal force and moment contributions of elements.
HFANG | Defines or displays spatial angles of a spherical radiation surface for antenna parameter calculations.
HFARRAY | Defines phased array antenna characteristics.
HFDEEM | Calibrates S-parameter phase shift.
HFNEAR | Calculates the electromagnetic field at points exterior to the visual equivalent source surface (Maxwell surface flag).
HFPOWER | Calculates power terms of a multi-port network.
HFSYM | Sets symmetry planes for the computation of high-frequency electromagnetic fields in the near and far field domains (beyond the finite element region).
INTSRF | Integrates nodal results on an exterior surface.
KCALC | Calculates stress intensity factors in fracture mechanics analyses.
NFORCE | Sums the nodal forces and moments of elements attached to nodes.
NLDPOST | Gets element component information from nonlinear diagnostic files.
PLCAMP | Plots a Campbell diagram for applications involving rotating structure dynamics.
PLCRACK | Displays cracking and crushing locations in SOLID65 elements.
PLHFFAR | Displays electric far fields and far field parameters.
PLSCH | Converts and plots scattering, admittance, or impedance parameters on a Smith chart.
PLSYZ | Converts and plots scattering, admittance, or impedance parameters as a function of frequency.
PLTD | Displays TDR/TDT waveforms, an impedance profile, or a total waveform.
PRCAMP | Prints a Campbell diagram for applications involving rotating structure dynamics.
PRHFFAR | Prints electric far fields and far field parameters.
PRSYZ | Converts and lists scattering, admittance, or impedance parameters.
RESWRITE | Appends results data from the database to a results file in a top-down substructured analysis.
RMFLVEC | Writes eigenvectors of fluid nodes to a file for use in damping parameter extraction.
RSPLIT | Creates one or more results file(s) from the current results file based on subsets of elements.
SPICE | Generates a SPICE subcircuit model using S-parameters from a Touchstone file.
SPOINT | Defines a point for moment summations.

Table 2.106 Status

These POST1 commands are for use with the STAT command.
CALC | Specifies "Calculation settings" as the subsequent status topic.
DATADEF | Specifies "Directly defined data status" as the subsequent status topic.
DEFINE | Specifies "Data definition settings" as the subsequent status topic.
DISPLAY | Specifies "Display settings" as the subsequent status topic.
LCCALC | Specifies "Load case settings" as the subsequent status topic.
POINT | Specifies "Point flow tracing settings" as the subsequent status topic.
PRINT | Specifies "Print settings" as the subsequent status topic.
SORT | Specifies "Sort settings" as the subsequent status topic.
SPEC | Specifies "Miscellaneous specifications" as the subsequent status topic.

Table 2.107 Failure Criteria

These POST1 commands are for use with the failure criteria.
FC | Provides failure criteria information and activates a data table to input temperature-dependent stress and strain limits.
FCCHECK | Checks both the strain and stress input criteria for all materials.
FCDELE | Deletes previously defined failure criterion data for the given material.
FCLIST | To list what the failure criteria is that you have input.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.6. SOLUTION Commands 		Up / Home Next
2.8. POST26 Commands


2.8. POST26 Commands

These commands are used to postprocess the results with the time-history processor. The commands are grouped by functionality.

Table 2.108 Set Up

These POST26 commands are used to store data for processing.
ANSOL | Specifies averaged nodal data to be stored from the results file in the solution coordinate system.
CISOL | Stores J-integral information in a variable.
DATA | Reads data records from a file into a variable.
EDREAD | Reads explicit dynamics output into variables for time-history postprocessing.
ENERSOL | Specifies the total energies to be stored.
ESOL | Specifies element data to be stored from the results file.
FILE | Specifies the data file where results are to be found.
GAPF | Defines the gap force data to be stored in a variable.
GSSOL | Specifies which results to store from the results file when using generalized plane strain.
JSOL | Specifies result items to be stored for the joint element.
NSOL | Specifies nodal data to be stored from the results file.
NSTORE | Defines which time points are to be stored.
NUMVAR | Specifies the number of variables allowed in POST26.
/POST26 | Enters the time-history results postprocessor.
RESET | Resets all POST1 or POST26 specifications to initial defaults.
RFORCE | Specifies the total reaction force data to be stored.
/RGB | Specifies the RGB color values for indices and contours.
SOLU | Specifies solution summary data per substep to be stored.
STORE | Stores data in the database for the defined variables.
TIMERANGE | Specifies the time range for which data are to be stored.
VARDEL | Deletes a variable (GUI).
VARNAM | Names (or renames) a variable.

Table 2.109 Controls

These POST26 commands are used to control the calculations of other commands.
CFACT | Defines complex scaling factors to be used with operations.
FORCE | Selects the element nodal force type for output.
LAYERP26 | Specifies the element layer for which data are to be stored.
SHELL | Selects a shell element or shell layer location for results output.
TVAR | Changes time to the cumulative iteration number.

Table 2.110 Operations

These POST26 commands are used to perform operations on the stored variables.
ABS | Forms the absolute value of a variable.
ADD | Adds variables.
ATAN | Forms the arctangent of a complex variable.
CLOG | Forms the common log of a variable
CONJUG | Forms the complex conjugate of a variable.
DERIV | Differentiates a variable.
EXP | Forms the exponential of a variable.
FILLDATA | Fills a variable by a ramp function.
IMAGIN | Forms an imaginary variable from a complex variable.
INT1 | Integrates a variable.
LARGE | Finds the largest (the envelope) of three variables.
NLOG | Forms the natural log of a variable.
PROD | Multiplies variables.
QUOT | Divides two variables.
REALVAR | Forms a variable using only the real part of a complex variable.
SMALL | Finds the smallest of three variables.
SQRT | Forms the square root of a variable.

Table 2.111 Display

These POST26 commands are used to display the results.
PLCPLX | Specifies the part of a complex variable to display.
PLTIME | Defines the time range for which data are to be displayed.
PLVAR | Displays up to ten variables in the form of a graph.
SPREAD | Turns on a dashed tolerance curve for the subsequent curve plots.
XVAR | Specifies the X variable to be displayed.

Table 2.112 Listing

These POST26 commands are used to produce tabular listings of the results.
EXTREM | Lists the extreme values for variables.
LINES | Specifies the length of a printed page.
NPRINT | Defines which time points stored are to be listed.
PRCPLX | Defines the output form for complex variables.
PRTIME | Defines the time range for which data are to be listed.
PRVAR | Lists variables vs. time (or frequency).

Table 2.113 Special Purpose

These POST26 commands are used for various special purposes.
CVAR | Computes covariance between two quantities.
PMGTRAN | Summarizes electromagnetic results from a transient analysis.
RESP | Generates a response spectrum.
RPSD | Computes response power spectral density (PSD).
SMOOTH | Allows smoothing of noisy data and provides a graphical representation of the data.
VGET | Moves a variable into an array parameter vector.
VPUT | Moves an array parameter vector into a variable.

Table 2.114 Status

These POST26 commands are for use with the STAT command.
DEFINE | Specifies "Data definition settings" as the subsequent status topic.
OPERATE | Specifies "Operation data" as the subsequent status topic.
PLOTTING | Specifies "Plotting settings" as the subsequent status topic.
PRINT | Specifies "Print settings" as the subsequent status topic.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.7. POST1 Commands 		Up / Home Next
2.9. AUX2 Commands


2.9. AUX2 Commands

These commands are used to examine the contents of binary files produced by the program. The commands are grouped by functionality.

Table 2.115 Binary Files

These AUX2 commands are used to dump the contents of binary files.
/AUX2 | Enters the binary file dumping processor.
DUMP | Dumps the contents of a binary file.
FILEAUX2 | Specifies the binary file to be dumped.
FORM | Specifies the format of the file dump.
HBMAT | Writes an assembled global matrix in Harwell-Boeing format.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.8. POST26 Commands 		Up / Home Next
2.10. AUX3 Commands


2.10. AUX3 Commands

The auxiliary processor /AUX3 allows you to operate on results files by deleting sets or by changing values.

Table 2.116 Results Files

These commands are related to the /AUX3 command.
/AUX3 | Enters the results file editing processor.
COMPRESS | Deletes all specified sets.
DELETE | Specifies sets in the results file to be deleted before postprocessing.
FILEAUX3 | Specifies the results file to be edited.
LIST | Lists out the sets in the results file.
MODIFY | Changes the listed values of the data in a set.
UNDELETE | Removes results sets from the group of sets selected for editing.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.9. AUX2 Commands 		Up / Home Next
2.11. AUX12 Commands


2.11. AUX12 Commands

These commands are used to define radiation options for use in thermal analyses. The commands are grouped by functionality.

Table 2.117 General Radiation

These AUX12 commands are used to specify general radiation parameters.
/AUX12 | Enters the radiation matrix generation processor.
STEF | Specifies Stefan-Boltzmann radiation constant.
TOFFST | Specifies the temperature offset from absolute zero to zero.

Table 2.118 Radiation Matrix Method

These AUX12 commands are used to calculate radiation view factors and to create a radiation substructure for the Radiation Matrix method.
EMIS | Specifies the emissivity as a material property.
GEOM | Defines the geometry specifications for the radiation matrix calculation.
MPRINT | Specifies that radiation matrices are to be printed.
SPACE | Defines a space node for radiation.
VTYPE | Specifies the viewing procedure used to determine the form factors.
WRITE | Writes the radiation matrix file.

Table 2.119 Radiosity Solver

These AUX12 commands are used to calculate the radiation view factors and to specify the solution parameters for the Radiosity solver method.
HEMIOPT | Specifies options for Hemicube view factor calculation.
RADOPT | Specifies Gauss-Seidel Radiosity Solver options.
SPCNOD | Defines a space node for radiation using the Radiosity method.
SPCTEMP | Defines a free-space ambient temperature for radiation using the Radiosity method.
V2DOPT | Specifies 2-D/axisymmetric view factor calculation options.
VFCALC | Computes and stores Hemicube view factors.
VFOPT | Specifies options for view factor file.
VFQUERY | Queries and prints element Hemicube view factors and average view factor.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.10. AUX3 Commands 		Up / Home Next
2.12. AUX15 Commands


2.12. AUX15 Commands

These commands are used to read in an IGES file for analysis in ANSYS. The commands are grouped by functionality.

Table 2.120 IGES

These AUX15 commands read an IGES format file into PREP7 data.
/AUX15 | Enters the IGES file transfer processor.
IGESIN | Transfers IGES data from a file into ANSYS.
IOPTN | Controls options relating to importing a model.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.11. AUX12 Commands 		Up / Home Next
2.13. RUNSTATS Commands


2.13. RUNSTATS Commands

These commands are used to estimate run times and file sizes. The commands are grouped by functionality.

Table 2.121 Run Statistics Estimator

These RUNSTATS commands are used to calculate estimates of ANSYS program run times and file sizes.
RALL | Calculates solver statistics and run time estimates.
RFILSZ | Estimates file sizes.
RITER | Supplies an estimate of the number of iterations for time estimates.
RMEMRY | Prints memory statistics for the current model.
RSPEED | Supplies system performance information for use in time estimates.
RSTAT | Prints the FE model statistics of the model.
RTIMST | Prints runtime estimates.
/RUNST | Enters the run statistics processor.
RWFRNT | Generates wavefront statistics and memory requirements.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.12. AUX15 Commands 		Up / Home Next
2.14. OPTIMIZATION Commands


2.14. OPTIMIZATION Commands

These commands are used for design optimization analyses. The commands are grouped by functionality.

Table 2.122 Specifications

These OPTIMIZATION commands set up the design optimization variables.
OPEQN | Controls curve fitting for the subproblem approximation method.
OPFACT | Defines the type of factorial evaluation to be performed.
OPFRST | Defines specifications for the first order optimization method.
OPGRAD | Specifies which design set will be used for gradient evaluation.
OPKEEP | Specifies whether to save the best-set results and database file.
OPLOOP | Specifies controls for optimization looping.
OPPRNT | Activates detailed optimization summary printout.
OPRAND | Defines the number of iterations for a random optimization.
OPSUBP | Defines number of iterations for subproblem approximation method.
OPSWEEP | Specifies the reference point and number of evaluation points for a sweep generation.
/OPT | Enters the design optimizer.
OPTYPE | Specifies the optimization method to be used.
OPUSER | Defines specifications for user-supplied external optimization.
OPVAR | Specifies the parameters to be treated as optimization variables.
TOCOMP | Defines single or multiple compliance as the topological optimization function.
TODEF | Defines parameters for and initializes topological optimization.
TOFREQ | Defines single or mean frequency formulation as the topological optimization function.
TOTYPE | Specifies solution method for topological optimization.
TOVAR | Specifies the objective and constraints for the topological optimization problem.

Table 2.123 Operations

These OPTIMIZATION commands operate on the design optimization variables.
OPADD | Forms a set of optimization parameters by adding two sets.
OPCLR | Clears the optimization database.
OPDEL | Deletes optimization design sets.
OPMAKE | Creates a design set using active scalar parameter values.
OPSEL | Selects design sets for subsequent optimization looping.

Table 2.124 Files

These OPTIMIZATION commands operate on the design optimization files.
OPANL | Defines the analysis file to be used for optimization looping.
OPDATA | Identifies the file where optimization data is to be saved.
OPRESU | Reads optimization data into the optimization database.
OPSAVE | Writes all optimization data to a file.

Table 2.125 Run

These OPTIMIZATION commands perform the design optimization analysis.
OPEXE | Initiates optimization looping.
TOEXE | Executes one topological optimization iteration.
TOLOOP | Execute several topological optimizations iterations.

Table 2.126 Display

These OPTIMIZATION commands are used to display the optimization results as plots.
OPLFA | Displays the results of a factorial evaluation.
OPLGR | Graphs the results of a gradient evaluation.
OPLIST | Displays the parameters for design sets.
OPLSW | Graphs the results of a global sweep generation.
OPRFA | Prints the results of a factorial evaluation.
OPRGR | Prints the results of a gradient evaluation.
OPRSW | Prints the results of a global sweep generation.
PLVAROPT | Displays up to ten parameters in the form of a graph.
PRVAROPT | Lists up to ten optimization parameters.
TOGRAPH | Plots iteration solution of topological optimization.
TOLIST | Lists all topological optimization functions currently defined.
TOPLOT | Plot current topological density distribution.
TOPRINT | Print iteration solution history of topological optimization.
TOSTAT | Displays topological optimization status and results information.
XVAROPT | Specifies the parameter to be used as the X-axis variable.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.13. RUNSTATS Commands 		Up / Home Next
2.15. VARIATIONAL TECHNOLOGY Commands


2.15. VARIATIONAL TECHNOLOGY Commands

These commands are used for the Variational Technology products.

Table 2.127 DesignXplorer

These Variational Technology commands are part of the ANSYS DesignXplorer.
/VT | Enters the Variational Technology preprocessor.
VTCLR | Specifies the part of the Variational Technology database to be cleared.
VTDISC | Defines an element component as a discrete input variable for the DesignXplorer.
VTEVAL | Triggers evaluation of generated results based on input variables specified via the VTVMOD command.
VTFREQ | Defines the frequency as input variable for the harmonic sweep functionality of VT Accelerator.
VTGEOM | Defines a geometry parameter created with ANSYS Mesh Morpher as a DesignXplorer input variable.
VTIN | Defines an inertial load as an input variable for DesignXplorer.
VTMETH | Defines the solution methods options for the DesignXplorer.
VTMP | Defines a material property as an input variable for the DesignXplorer.
VTOP | Defines options value for the DesignXplorer VT.
VTPOST | Launches the DesignXplorer postprocessing application.
VTREAL | Defines a real constant property as an input variable for the DesignXplorer.
VTRFIL | Specifies the file to which DesignXplorer results are written.
VTRSLT | Defines a result quantity for the DesignXplorer.
VTSEC | Defines a section property as an input variable for DesignXplorer.
VTSFE | Defines a surface load as an input variable for the DesignXplorer.
VTSL | Selects a subset of elements associated with an VT input variable.
VTSTAT | Print the status of the DesignXplorer definitions and settings into a separate window.
VTTEMP | Defines the temperature as input variable for the DesignXplorer.
VTVMOD | Modifies the status or current value of an input variable for the DesignXplorer.

Table 2.128 Harmonic Sweep using VT Accelerator

These Variational Technology commands are part of the harmonic sweep functionality of VT Accelerator.
VTFREQ Defines the frequency as input variable for the harmonic sweep capability of VT Accelerator or the DesignXplorer.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.14. OPTIMIZATION Commands 		Up / Home Next
2.16. PROBABILISTIC Design Commands


2.16. PROBABILISTIC Design Commands

These commands are used for probabilistic design analyses. The commands are grouped by functionality.

Table 2.129 Deterministic Model

The following PDS commands allow the specification of the deterministic model.
PDANL Defines the analysis file to be used for probabilistic looping.

Table 2.130 Probabilistic Preprocessing

The following PDS commands allow the specification and visualization of the probabilistic model.
PDCORR | Specifies the correlation between two random input variables.
PDINQR | Retrieves a value and stores it as a user-parameter.
PDPLOT | Plots the distribution curves of a defined random input variable.
PDVAR | Specifies the parameters to be treated as probabilistic design variables.

Table 2.131 Probabilistic Methods

The following PDS commands allow the specification of the probabilistic methods and their options used in a probabilistic analysis.
PDDOEL | Defines design of experiment levels for an individual random input variable.
PDDMCS | Specifies options for Monte Carlo Simulations.
PDMETH | Specifies the probabilistic analysis method.
PDUSER | Specifies options for user-specified sampling methods.

Table 2.132 Run Probabilistic Analysis

The following PDS commands allow the execution of a probabilistic analysis.
PDEXE Executes the probabilistic analysis.

Table 2.133 Probabilistic Postprocessing

The following PDS commands allow the probabilistic postprocessing and the visualization of the probabilistic results
PDCDF | Plots the cumulative distribution function.
PDCMAT | Prints the correlation coefficient matrix.
PDHIST | Plots the frequency histogram.
PDPINV | Prints the result of the inversion of a probability.
PDPROB | Prints a probability result.
PDROPT | Specifies the options for an HTML report.
PDSCAT | Plots a scatter graph.
PDSENS | Plots the probabilistic sensitivities.
PDSHIS | Plots sample history values.
PDWRITE | Generates an HTML report for the probabilistic analysis.

Table 2.134 Probabilistic Database

The following PDS commands provide access to the probabilistic database.
PDCLR | Clears the probabilistic design database.
PDRESU | Reads the probabilistic model data and stores it in the database.
PDSAVE | Writes the probabilistic model data to a file.

Table 2.135 Response Surface

The following PDS commands allow the evaluation, visualization, and use of the response surfaces.
RSFIT | Fit a response surface for an output parameter in a solution set.
RSPLOT | Plot a response surface.
RSPRNT | Print a response surface.
RSSIMS | Performs Monte Carlo simulations on response surface(s).

Table 2.136 Auxiliary Commands and Information

The following commands are helpful for using the PDS.
/PDS Enters the probabilistic design system.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.15. VARIATIONAL TECHNOLOGY Commands 		Up / Home Next
2.17. DISPLAY Program Commands


2.17. DISPLAY Program Commands

These commands are used for the DISPLAY program. The DISPLAY program is a companion program to ANSYS, used for recovering graphics displays produced within ANSYS. The commands are grouped by functionality.

Table 2.137 Set Up

These DISPLAY commands are used to set up the DISPLAY program.
/CMAP | Changes an existing or creates a new color mapping table.
/DEVDISP | Controls graphics device options.
FILEDISP | Specifies the file containing the graphics data.
HELPDISP | Displays help information on DISPLAY program commands.
NOCOLOR | Removes color from graphics displays.
/SEG | Allows graphics data to be stored in the local terminal memory.
/SHOWDISP | Defines the display driver name.
TRANS | Reformats File.GRPH for improved performance with plotters.

Table 2.138 Driver Options

These DISPLAY commands are used to specify the graphics driver and options for subsequent plots.
TERM Specifies various terminal driver options.

Table 2.139 Action

These DISPLAY commands are used to produce the plots and exit the program.
FINISH | Exits normally from a processor.
PLOT | Forms a display.
STAT | Displays the status of database settings.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.16. PROBABILISTIC Design Commands 		Up / Home Next
2.18. REDUCED Order Modeling Commands


2.18. REDUCED Order Modeling Commands

These commands are used for reduced order modeling analyses. The commands are grouped by functionality.

Table 2.140 Set Up

These commands are used to save or resume the ROM database.
RMRESUME | Resumes ROM data from a file.
RMSAVE | Saves ROM data to file.

Table 2.141 Preparation

These commands are used to create the input files for the ROM Generation Pass.
RMNDISP | Extracts neutral plane displacements from a test load or element load solution for the ROM method.
RMNEVEC | Extracts neutral plane eigenvectors from a modal analysis for the ROM method.

Table 2.142 Generation Pass

These commands are used to create a reduced order model.
RMALIST | Lists all defined master nodes for a ROM method.
RMANL | Assigns model database, dimensionality, and operating direction for the ROM method.
RMASTER | Defines master nodes for the ROM method.
RMCAP | Defines lumped capacitance pairs between conductors C1 and C2 for a ROM method.
RMCLIST | Lists all lumped capacitances defined.
RMMLIST | Lists all mode specifications for the ROM method.
RMMRANGE | Defines and edits various modal parameters for the ROM method.
RMMSELECT | Selects modes for the ROM method.
RMPORDER | Defines polynomial orders for ROM functions.
RMRGENERATE | Performs fitting procedure for all ROM functions to generate response surfaces.
RMROPTIONS | Defines options for ROM response surface fitting.
RMRPLOT | Plots response surface of ROM function or its derivatives with respect to the dominant mode(s).
RMRSTATUS | Prints status of response surface for ROM function.
RMSMPLE | Runs finite element solutions and obtains sample points for the ROM method.
RMXPORT | Exports ROM model to external VHDL-AMS simulator.

Table 2.143 Use Pass

These commands use the reduced order model in an analysis.
DCVSWP | Performs a DC voltage sweep on a ROM element.
RMLVSCALE | Defines element load vector scaling for a ROM use pass.
RMUSE | Activates ROM use pass for ROM elements.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.17. DISPLAY Program Commands 		Up / Home Next
2.19. Menu-Inaccessible Commands


2.19. Menu-Inaccessible Commands

These command operations are available via the command input area or batch file input only and are inaccessible from menus within the ANSYS GUI:

ANSTOAQWA | Creates an AQWA-LINE input file from the current ANSYS model.
ANSTOASAS | Creates an ASAS input file from the current ANSYS model.
AREAS | Specifies "Areas" as the subsequent status topic.
/AUX3 | Enters the results file editing processor.
/BATCH | Sets the program mode to "batch."
BCSOPTION | Sets memory options for the sparse solver.
C*** | Places a comment in the output.
CAMPBELL | Prepares the result file for a subsequent Campbell diagram analysis.
CECHECK | Checks constraint equations and couplings for rigid body motions.
CECYC | Generates the constraint equations for a cyclic symmetry analysis.
CHKMSH | Checks area and volume entities for previous meshes.
CINT | Defines parameters associated with contour integral calculations.
CISOL | Stores J-integral information in a variable.
CLOCAL | Defines a local coordinate system relative to the active coordinate system.
/CLOG | Copies the session log file to a named file.
CLRMSHLN | Clears meshed entities.
CMROTATE | Specifies the rotational velocity of an element component about a user-defined rotational axis
CMWRITE | Writes components and assemblies to a file.
CORIOLIS | Applies the Coriolis effect to a rotating structure.
CZDEL | Edits or clears cohesive zone sections.
CZMESH | Creates and meshes a cohesive zone group of elements.
DELETE | Specifies sets in the results file to be deleted before postprocessing.
EMATWRITE | Forces the writing of all the element matrices to File.EMAT.
EMORE | Adds more nodes to the just-defined element.
ENERSOL | Specifies the total energies to be stored.
/EOF | Exits the file being read.
EXPROFILE | Exports ANSYS interface loads to a CFX Profile file.
EXUNIT | Specifies units of an interface load for ANSYS to CFX transfer.
FILEAUX3 | Specifies the results file to be edited.
FITEM | Identifies items chosen by a picking operation (GUI).
FLDATA27 | Controls dependent variable printing.
FLST | Specifies data required for a picking operation (GUI).
/FORMAT | Specifies format controls for tables.
/GOLIST | Reactivates the suppressed data input listing.
/HEADER | Sets page and table heading print controls.
HELP | Displays help information on ANSYS commands and element types.
HFADP | Turns a high-frequency adaptive error calculation on or off.
HFDEEM | Calibrates S-parameter phase shift.
HFMODPRT | Species a working frequency for a modal port.
HRCPLX | Computes and stores in the database the time-harmonic solution at a prescribed phase angle.
/IMAGE | Allows graphics data to be captured and saved.
INISTATE | Defines initial state data and parameters.
IRLIST | Prints inertia relief summary table.
JSOL | Specifies result items to be stored for the joint element.
LINE | Specifies "Lines" as the subsequent status topic.
LIST | Lists out the sets in the results file.
*LIST | Displays the contents of an external, coded file.
MEMM | Allows the current session to keep allocated memory.
/MENU | Activates the Graphical User Interface (GUI).
/MKDIR | Creates a directory.
/MREP | Enables you to reissue the graphics command macro "name" during a replot or zoom operation.
/MSTART | Controls the initial GUI components.
/NOLIST | Suppresses the data input listing.
NOOFFSET | Prevents the CDREAD command from offsetting specified data items.
NSMOOTH | Smooths selected nodes among selected elements.
NSVR | Defines the number of variables for user-programmable element options.
OPERATE | Specifies "Operation data" as the subsequent status topic.
/PAGE | Defines the printout and screen page size.
PCGOPT | Controls PCG solver options.
/PCOPY | Automatically generates hard copies for HP UNIX work stations.
PERI | Specifies periodic boundary conditions in an incompressible flow analysis.
PLCAMP | Plots Campbell diagram data for rotordynamics applications.
PLCINT | Plots the J-integral result data.
PLORB | Displays the orbital motion of a rotating structure undergoing vibration.
PLTD | Displays TDR/TDT waveforms, an impedance profile, or a total waveform.
PRCAMP | Prints Campbell diagram data for rotordynamics applications.
PRCINT | Lists the J-integral result data.
PRENERGY | Prints the total energies of a model.
PRISM | Creates a prism volume based on working plane coordinate pairs.
PRJSOL | Prints joint element output.
PRORB | Prints the orbital motion characteristics of a rotating structure undergoing vibration.
PRRFOR | Used with the FORCE command. Prints the constrained node reaction solution.
PSCONTROL | Activate or deactivate shared-memory parallel operations during solution.
RESVEC | Calculates residual vectors in a modal analysis, or includes residual vectors in a modal superposition transient/harmonic analysis.
RESWRITE | Appends results data from the database to a results file in a top-down substructured analysis.
/RMDIR | Removes (deletes) a directory.
RSOPT | Creates or loads the radiosity mapping data file for SURF251 or SURF252 element types.
RSPLIT | Creates one or more results files from the current results file based on subsets of elements.
RSTOFF | Offsets node or element IDs in the FE geometry record.
SELTOL | Sets the tolerance for subsequent select operations.
/SMBC | Controls the display of solid model boundary condition symbols and labels.
SOURCE | Defines a default location for undefined nodes or keypoints.
SPADP | Automatically refines a HF119 tetrahedral element mesh based on S-parameter convergence.
SPICE | Generates a SPICE subcircuit model using S-parameters from a Touchstone file.
SPLOT | Displays the selected areas and a faceted view of their underlying surfaces.
/STITLE | Defines subtitles.
SXIN | Defines an inertial load as an input variable for DesignXplorer VT.
SXOP | Defines options value for the DesignXplorer VT.
SXSFE | Defines a surface load as an input variable for the DesignXplorer VT.
SYNCHRO | Specifies whether the excitation frequency is synchronous or asynchronous with the rotational velocity of the structure.
/SYP | Passes a command string and arguments to the operating system.
/SYS | Passes a command string to the operating system.
TBFIELD | Defines values of field variables for the material data tables.
TERM | Specifies various terminal driver options.
TOEXE | Executes one topological optimization iteration.
/UNITS | Annotates the database with the system of units used.
UNDELETE | Removes results sets from the group of sets selected for editing.
USRDOF | Specifies the degrees of freedom (DOFs) for the user-defined element USER300.
USRELEM | Specifies the characteristics of the user-defined element USER300.
VOLUMES | Specifies "Volumes" as the subsequent status topic.
WMID | Specifies reordering options for the WAVES command.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.18. REDUCED Order Modeling Commands 		Up / Home Next
Chapter 3. Command Dictionary


Chapter 3. Command Dictionary

This chapter contains a dictionary of the ANSYS commands, listed in alphabetical order. The star (*) and slash (/) of the star and slash commands are ignored for alphabetization (for example, the /SHOW command appears between the SHELL and SHPP commands). As in a dictionary, keywords are located at the top of each page (in the printed version only) indicating the first and last commands contained on that page.

The following section documents the components of a command description.

Components of a Command Description

SAMPLECMD, Key

Specifies whether to use automatic time stepping or load stepping.

SOLUTION: Load Step Options

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Key

Automatic time stepping key:

OFF --

Do not use automatic time stepping

ON --

Use automatic time stepping.

Default: No automatic time stepping.

Notes

Specifies whether to use automatic time stepping (or load stepping) over this load step. If Key = ON, both time step prediction and time step bisection will be used. Used only if DTIME (specified on the DELTIM command) is less than the time span or conversely, if NSBSTP (on the NSUBST command) is greater than one.

This command is also valid in PREP7.

Product Restrictions

In ANSYS Professional, Key is automatically set to ON and cannot be changed.

Menu Paths

Main Menu> Preprocessor >Loads> Load Step Opts> Time/Frequenc> Freq and Substps
Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Time - Time Step
Main Menu> Solution> Load Step Opts> Time/Frequenc> Freq and Substps
Main Menu> Solution> Load Step Opts> Time/Frequenc> Time - Time Step

Features Documented in ANSYS Commands

The first line of the command description shows the command name followed by the argument names (if any). The second line summarizes the command function. The summary is not intended to be all inclusive:

SAMPLECMD, Key

Specifies whether to use automatic time stepping or load stepping.

Listed on the next line are codes that will help you find other commands in the program with related functionality.

SOLUTION: Load Step Options

MP ME ST PR PRN <> <> FL EM <> <> PP <>

"SOLUTION: Load Step Options" is the code in the example above. There is at least one group code for each command. The first portion of the code before the colon (:) tells which of the tables in "Command Groupings" the command can be found in. These are major groupings, such as PREP7 or APDL commands. In the example above, SOLUTION commands are found in SOLUTION Commands. Most of these major groupings are processors, and in those cases it is implied that the command can be entered only when in that processor. Any exceptions are noted under "Notes" later in the description.

The second portion of the code, after the colon, is the subtable in "Command Groupings" containing the command. The subtables list commands that relate to each other in function. In the example, the code "Load Step Options" means that other commands related to load step options can be found in that subtable of SOLUTION Commands (Table 2.65: "Load Step Options").

If you are viewing this manual in the ANSYS Help System, just click on the code to follow the link to the corresponding table. Then click on any of the commands in the table, to follow the link to its description.

If you are reading the printed version, simply turn to the appropriate table in "Command Groupings". The table lists the page number where the command is documented.

The next line displays a series of product codes, which may contain all of the ANSYS product codes:

MP ME ST PR PRN DS DSS FL EM EH DY PP VT

or a subset of them:

MP ME ST PR PRN <> <> FL EM <> <> PP <>

For more information on product codes, see Product Codes.

Following this "product code" line is the description of all arguments, if any, of the command:

Key

Automatic time stepping key:

OFF --

Do not use automatic time stepping (default).

ON --

Use automatic time stepping.

The argument is described and, where necessary, valid choices for the argument are described. Many arguments list defaults, which are the values assumed for that argument if you enter the command but leave the argument blank. On the other hand, shown after the argument descriptions is often another default:

Command Default

No automatic time stepping.

This is the command default. This is the specification assumed by the program if you do not enter the command at all. Only commands that set specifications (specification commands) have defaults listed. Commands that cause some action, such as performing some calculation, are called action commands and simply do not perform the action if the command is not entered. Defaults are not listed for action commands.

Following the default listing are any notes about the command. These notes expand on the summary description given up near the command format, and describe any other behavior, restrictions, suggestions, etc. of that command:

Notes

Specifies whether to use automatic time stepping (or load stepping) over this load step. If Key = ON, both time step prediction and time step bisection will be used. Used only if DTIME (specified on the DELTIM command) is less than the time span or conversely, if NSBSTP (on the NSUBST command) is greater than one.

This command is also valid in PREP7.

If the command behaves differently, or has restrictions, in any of the various ANSYS products, those differences are described in the Product Restrictions section:

In ANSYS Professional, Key is automatically set to ON and cannot be changed.

Product Restrictions

In ANSYS Professional, Key is automatically set to ON and cannot be changed.

Menu Paths

Main Menu >Preprocessor> Loads> Load Step Opts> Time/Frequenc> Freq and Substps
Main Menu >Preprocessor> Loads> Load Step Opts> Time/Frequenc> Time - Time Step
Main Menu> Solution> Load Step Opts> Time/Frequenc >Freq and Substps
Main Menu> Solution> Load Step Opts> Time/Frequenc> Time - Time Step

These menu paths are intended as guides to help you find the commands in the GUI. Be aware, however, that often the paths are valid only if some other command has been previously issued. For example, you won't be able to follow a path to transient analysis options if you have not selected a transient analysis in the first place.

Not all commands are directly accessible through the menu (although some of them may be generated indirectly by some menu function). Such cases are indicated by the following statement in the menu path listing:

Menu Paths

This command cannot be accessed directly in the menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.19. Menu-Inaccessible Commands 		Up / Home Next
Chapter 4. APDL Commands


Chapter 4. APDL Commands

*ABBR
ABBRES
ABBSAV
*AFUN
*ASK
*CFCLOS
*CFOPEN
*CFWRITE
*CREATE
*CYCLE
*DEL
/DFLAB
*DIM
/DIRECTORY
*DO
*DOWHILE
*ELSE
*ELSEIF
*END
*ENDDO
*ENDIF
*EXIT
*GET
*GO
*IF
/INQUIRE
/MAIL
*MFOURI
*MFUN
/MKDIR
*MOPER
*MSG
*MWRITE
PARRES
PARSAV
/PMACRO
/PSEARCH
*REPEAT
*RETURN
/RMDIR
*SET
*SREAD
*STATUS
*TAXIS
/TEE
*TOPER
*TREAD
/UCMD
*ULIB
*USE
*VABS
*VCOL
*VCUM
*VEDIT
*VFACT
*VFILL
*VFUN
*VGET
*VITRP
*VLEN
*VMASK
*VOPER
*VPLOT
*VPUT
*VREAD
*VSCFUN
*VSTAT
*VWRITE
/WAIT

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 3. Command Dictionary 		Up / Home Next
Connection Commands


Connection Commands

Table of Contents

~CAT5IN - Transfers a .CATPart file into the ANSYS program.
~CATIAIN - Transfers a CATIA model into the ANSYS program.
~PARAIN - Transfers a Parasolid file into the ANSYS program.
~PROEIN - Transfers a Pro/ENGINEER part into the ANSYS program.
~SATIN - Transfers a .SAT file into the ANSYS program.
~UGIN - Transfers a Unigraphics part into the ANSYS program.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 4. APDL Commands 		Up / Home Next
~CAT5IN


~CAT5IN

Release 11.0 Documentation for ANSYS

Commands Reference | Connection Commands |

~CAT5IN, Name, Extension, Path, Entity, FMT, NOCL, NOAN

Transfers a .CATPart file into the ANSYS program.

CAD Import

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Name

The name of a valid .CATPart file, created with CATIA Version 5.0. The first character of the file name must be an alphanumeric.

Extension

The extension for the file. The default extension is .CATPart.

Path

The path name of the directory in which the file resides enclosed in single quotes. The default path name is the current working directory.

Entity

Entity to be imported.

SOLIDS
 —

Solids only, imported as ANSYS volumes (default).

SURFACES
 —

Surfaces only, imported as ANSYS areas.

WIREFRAME
 —

Wireframe only, imported as ANSYS lines.

ALL
 —

All entities. Use this option when the file contains different types of entities.

FMT

The format in which ANSYS will store the model.

0
 —

Neutral format (default). Defeaturing after import is restricted.

1
 —

Solid format; this allows defeaturing after import.

NOCL

Remove tiny objects.

0
 —

Remove tiny objects without checking model validity (default).

1
 —

Do not remove tiny objects.

NOAN

Perform an analysis of the model.

0
 —

Analyze the model (default).

1
 —

Do not analyze the model.

Notes

If defeaturing is specified (FMT = 1), this command must be the last line of any file, script, or other interactive input.

More information on importing CATIA Version 5 parts is available in CATIA V5 in the ANSYS Connection User's Guide.

Menu Paths

File> Import> CATIA5

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Connection Commands 		Up / Home Next
~CATIAIN


~CATIAIN

Release 11.0 Documentation for ANSYS

Commands Reference | Connection Commands |

~CATIAIN, Name, Extension, Path, - -, - -, BLANK, - -

Transfers a CATIA model into the ANSYS program.

CAD Import

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Name

The name of a valid CATIA model, created with CATIA 4.x or lower. The first character of the file name must be an alphanumeric.

Extension

The extension for the file. The default extension is .model.

Path

The path name of the directory in which the file resides, enclosed in single quotes. The default path name is the current working directory.

--

Unused field.

--

Unused field.

BLANK

Sets whether to import “blanked” entities.

0
 —

Does not import “blanked” (suppressed) CATIA entities (default).

1
 —

Imports “blanked” entities. The portions of CATIA data that were suppressed will be included in the import.

--

Unused field.

Notes

More information on importing CATIA parts is available in CATIA V4 in the ANSYS Connection User's Guide.

Menu Paths

File> Import> CATIA

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
~CAT5IN 		Up / Home Next
~PARAIN


~PARAIN

Release 11.0 Documentation for ANSYS

Commands Reference | Connection Commands |

~PARAIN, Name, Extension, Path, Entity, FMT, Scale

Transfers a Parasolid file into the ANSYS program.

CAD Import

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Name

The name of a valid Parasolid file. The first character of the file name must be an alphanumeric.

Extension

The extension for the file. The default extension is .x_t on a PC or .xmt_txt on a Unix system. Parasolid files are compatible across systems, and do not need to be renamed to be used on another platform.

Path

The path name of the directory in which the file resides, enclosed in single quotes. The default path name is the current working directory.

Entity

Entity to be imported:

SOLIDS
 —

Solids only, imported as ANSYS volumes (default)

SURFACES
 —

Surfaces only, imported as ANSYS areas.

WIREFRAME
 —

Wireframe only, imported as ANSYS lines.

ALL
 —

All entities. Use this option when the file contains more than one type of entity.

FMT

Sets the format in which ANSYS will store the model

0
 —

Neutral format (default). Defeaturing after import is restricted. Use this option if you need to scale a model to a specific unit of measure (other than meters).

1
 —

Solid format; this allows defeaturing after import.

Scale

Allows scaling for the model

0
 —

Do not rescale the model; retain the default Parasolid setting of meters (default).

1
 —

Scale the model if warranted by the model size.

Very small models will be scaled by the factor of 10 or 100 to increase the chance of successful import; the scaling factor used is displayed in the output window and in the .para_log file. Because scaling changes the dimensions of the model, you must apply loads and material properties appropriately. If the model cannot be properly scaled, the analysis may fail.

If you need to scale your model to a specific set of measurements, set FMT = 0, then use either the VLSCALE, ARSCALE or LSSCALE command to select a different unit of measure.

Notes

More information on importing Parasolid parts is available in Parasolid in the ANSYS Connection User's Guide.

Menu Paths

File> Import> PARA

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
~CATIAIN 		Up / Home Next
~PROEIN


~PROEIN

Release 11.0 Documentation for ANSYS

Commands Reference | Connection Commands |

~PROEIN, Name, Extension, Path, Proecomm, FMT

Transfers a Pro/ENGINEER part into the ANSYS program.

CAD Import

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Name

The name of the Pro/ENGINEER part to be imported, which cannot exceed 64 characters in length and must begin with an alphanumeric character. Special characters such as & - and * and spaces are not permitted in the part name.

Extension

The general Pro/ENGINEER extension format is prt. The assembly extension format is asm

Path

Full path name to the directory containing the part. The default is the current working directory. Neither the path name nor the file name should contain a space.

Proecomm

The name of the version of Pro/ENGINEER you are using. pro22 is the default version number; earlier releases are also supported. Note that the full path name to the pro command should not be used here since the path name should have been defined in the PATH variable. The Pro/ENGINEER command name is set by the ANSYS_PROE_CMD environment variable.

FMT

The format in which ANSYS will store the model.

0
 —

Neutral format (default). Defeaturing after import is restricted.

1
 —

Solid format; this allows defeaturing after import.

Notes

More information on importing Pro/ENGINEER parts is available in Pro/ENGINEER in the ANSYS Connection User's Guide.

Menu Paths

File> Import> Pro/E

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
~PARAIN 		Up / Home Next
~SATIN


~SATIN

Release 11.0 Documentation for ANSYS

Commands Reference | Connection Commands |

~SATIN, Name, Extension, Path, Entity, FMT, NOCL, NOAN

Transfers a .SAT file into the ANSYS program.

CAD Import

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Name

The name of a valid .SAT file, created with a supported version of ACIS. The first character of the file name must be an alphanumeric. See File Names in the Commands Reference for more information about ANSYS file naming conventions.

Extension

The extension for the file. The default extension is .sat.

Path

The path name of the directory in which the file resides enclosed in single quotes. The default path name is the current working directory.

Entity

Entity to be imported.

SOLIDS
 —

Solids only, imported as ANSYS volumes (default).

SURFACES
 —

Surfaces only, imported as ANSYS areas.

WIREFRAME
 —

Wireframe only, imported as ANSYS lines.

ALL
 —

All entities. Use this option when the file contains different types of entities.

FMT

The format in which ANSYS will store the model.

0
 —

Neutral format (default). Defeaturing after import is restricted.

1
 —

Solid format; this allows defeaturing after import.

NOCL

Remove tiny objects.

0
 —

Remove tiny objects without checking model validity (default).

1
 —

Do not remove tiny objects.

NOAN

Perform an ACIS analysis of the model.

0
 —

Analyze the model (default).

1
 —

Do not analyze the model.

Note

NOCL and NOAN are not supported in the ANSYS GUI.

Notes

More information on importing SAT parts is available in SAT in the ANSYS Connection User's Guide.

Menu Paths

File> Import> SAT

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
~PROEIN 		Up / Home Next
~UGIN


~UGIN

Release 11.0 Documentation for ANSYS

Commands Reference | Connection Commands |

~UGIN, Name, Extension, Path, Entity, LAYER, FMT

Transfers a Unigraphics part into the ANSYS program.

CAD Import

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Name

The file name of the Unigraphics part to be imported, which cannot exceed 64 characters in length. The path name must begin with an alphanumeric character. Special characters such as &, -, and * are not permitted in the part name.

Extension

The Unigraphics part file extension. The default is .prt.

Path

The full path name to the directory containing the part, enclosed in single quotes; for example, '/ug_parts'. The default is the current working directory.

Entity

Entity to be imported.

0 or Solid
 —

Solids only, imported as ANSYS volumes (the default).

1 or Surface
 —

Surfaces only, imported as ANSYS areas.

2 or Wireframe
 —

Wireframe only, imported as ANSYS lines.

3 or All
 —

All entities. Use this option when the part contains entities that may not be attached to each other, such as a solid in one location and a surface in another.

LAYER

The number(s) assigned to the layer(s) to be imported. You can import one layer or a range of layers (designated by hyphens). Defaults to 1-256 (all layers).

FMT

The format in which ANSYS will store the model.

0
 —

Neutral format (default). Defeaturing after import is restricted.

1
 —

Solid format; this allows defeaturing after import.

Notes

More information on importing Unigraphics parts is available in Unigraphics in the ANSYS Connection User's Guide.

Menu Paths

File> Import> UG

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
~SATIN 		Up / Home Next
A Commands


A Commands

Table of Contents

A - Defines an area by connecting keypoints.
AADD - Adds separate areas to create a single area.
AATT - Associates element attributes with the selected, unmeshed areas.
ABEXTRACT - Extracts the alpha-beta damping multipliers for Rayleigh damping.
ABS - Forms the absolute value of a variable.
ACCAT - Concatenates multiple areas in preparation for mapped meshing.
ACEL - Specifies the linear acceleration of the structure.
ACLEAR - Deletes nodes and area elements associated with selected areas.
ADAMS - Performs solutions and writes flexible body information to a modal neutral file (Jobname.MNF) for use in an ADAMS analysis.
ADAPT - Adaptively meshes and solves a model.
ADD - Adds variables.
ADDAM - Specifies the acceleration spectrum computation constants for the analysis of shock resistance of shipboard structures.
ADELE - Deletes unmeshed areas.
ADGL - Lists keypoints of an area that lie on a parametric degeneracy.
ADRAG - Generates areas by dragging a line pattern along a path.
AESIZE - Specifies the element size to be meshed onto areas.
AFILLT - Generates a fillet at the intersection of two areas.
AFLIST - Lists the current data in the database.
AFSURF - Generates surface elements overlaid on the surface of existing solid elements and assigns the extra node as the closest fluid element node.
AGEN - Generates additional areas from a pattern of areas.
AGLUE - Generates new areas by "gluing" areas.
AINA - Finds the intersection of areas.
AINP - Finds the pairwise intersection of areas.
AINV - Finds the intersection of an area with a volume.
AL - Generates an area bounded by previously defined lines.
ALIST - Lists the defined areas.
ALLSEL - Selects all entities with a single command.
ALPFILL - Fills in an area loop within an existing 2-D area (for models imported from CAD files).
ALPHAD - Defines the mass matrix multiplier for damping.
AMAP - Generates a 2-D mapped mesh based on specified area corners.
AMESH - Generates nodes and area elements within areas.
/AN3D - Specifies 3-D annotation functions
ANCNTR - Produces an animated sequence of a contoured deformed shape.
ANCUT - Produces an animated sequence of Q-slices.
ANCYC - Applies a traveling wave animation to graphics data in a modal cyclic symmetry analysis.
ANDATA - Produces a sequential contour animation over a range of results data.
ANDSCL - Produces an animated sequence of a deformed shape.
ANDYNA - Produces an animated sequence of contour values through substeps.
/ANFILE - Saves or resumes an animation sequence to or from a file.
ANFLOW - Produces an animated sequence of particle flow in a flowing fluid or a charged particle traveling in an electric or magnetic field.
/ANGLE - Rotates the display about an axis.
ANHARM - Produces a time-transient animated sequence of time-harmonic results or complex mode shapes.
ANIM - Displays graphics data in animated form.
ANISOS - Produces an animated sequence of an isosurface.
ANMODE - Produces an animated sequence of a mode shape.
ANMRES - Performs animation of results over multiple results files in an explicit dynamic structural analysis or fluid flow analysis with remeshing.
/ANNOT - Activates graphics for annotating displays (GUI).
ANORM - Reorients area normals.
ANSOL - Specifies averaged nodal data to be stored from the results file in the solution coordinate system.
ANSTOAQWA - Creates an AQWA-LINE input file from the current ANSYS model.
ANSTOASAS - Creates an ASAS input file from the current ANSYS model.
ANTIME - Produces a sequential contour animation over a range of time.
ANTYPE - Specifies the analysis type and restart status.
/ANUM - Specifies the annotation number, type, and hot spot (GUI).
AOFFST - Generates an area, offset from a given area.
AOVLAP - Overlaps areas.
APLOT - Displays the selected areas.
APPEND - Reads data from the results file and appends it to the database.
APTN - Partitions areas.
ARCLEN - Activates the arc-length method.
ARCOLLAPSE - Collapses specified area to a specified line segment (for models imported from CAD files).
ARCTRM - Controls termination of the arc-length solution.
ARDETACH - Detaches areas from neighboring geometrical entities (for models imported from CAD files).
AREAS - Specifies "Areas" as the subsequent status topic.
AREFINE - Refines the mesh around specified areas.
AREMESH - Generates an area in which to create a new mesh for rezoning.
AREVERSE - Reverses the normal of an area, regardless of its connectivity or mesh status.
ARFILL - Creates an area based on a set of singly-connected lines (for models imported from CAD files).
ARMERGE - Merges two or more singly-connected adjacent areas (for models imported from CAD files).
AROTAT - Generates cylindrical areas by rotating a line pattern about an axis.
ARSCALE - Generates a scaled set of areas from a pattern of areas.
ARSPLIT - Splits an area between two keypoints (for models imported from CAD files).
ARSYM - Generates areas from an area pattern by symmetry reflection.
ASBA - Subtracts areas from areas.
ASBL - Subtracts lines from areas.
ASBV - Subtracts volumes from areas.
ASBW - Subtracts the intersection of the working plane from areas (divides areas).
ASEL - Selects a subset of areas.
ASKIN - Generates an area by "skinning" a surface through guiding lines.
ASLL - Selects those areas containing the selected lines.
ASLV - Selects those areas contained in the selected volumes.
/ASSIGN - Reassigns a file name to an ANSYS file identifier.
ASUB - Generates an area using the shape of an existing area.
ASUM - Calculates and prints geometry statistics of the selected areas.
ATAN - Forms the arctangent of a complex variable.
ATRAN - Transfers a pattern of areas to another coordinate system.
ATYPE - Specifies "Analysis types" as the subsequent status topic.
/AUTO - Resets the focus and distance specifications to "automatically calculated."
AUTOTS - Specifies whether to use automatic time stepping or load stepping.
/AUX2 - Enters the binary file dumping processor.
/AUX3 - Enters the results file editing processor.
/AUX12 - Enters the radiation processor.
/AUX15 - Enters the IGES file transfer processor.
AVPRIN - Specifies how principal and vector sums are to be calculated.
AVRES - Specifies how results data will be averaged when PowerGraphics is enabled.
/AXLAB - Labels the X and Y axes on graph displays.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
~UGIN 		Up / Home Next
A


A

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

A, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10, P11, P12, P13, P14, P15, P16, P17, P18

Defines an area by connecting keypoints.

PREP7: Areas

MP ME ST PR PRN <> <> FL EM <> <> PP <>

P1, P2, P3, . . . , P18

List of keypoints defining the area (18 maximum if using keyboard entry). At least 3 keypoints must be entered. If P1 = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI).

Notes

Keypoints (P1 through P18) must be input in a clockwise or counterclockwise order around the area. This order also determines the positive normal direction of the area according to the right-hand rule. Existing lines between adjacent keypoints will be used; missing lines are generated "straight" in the active coordinate system and assigned the lowest available numbers [NUMSTR]. If more than one line exists between two keypoints, the shorter one will be chosen. If the area is to be defined with more than four keypoints, the required keypoints and lines must lie on a constant coordinate value in the active coordinate system (such as a plane or a cylinder). Areas may be redefined only if not yet attached to a volume. Solid modeling in a toroidal coordinate system is not recommended.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Areas>Arbitrary>Through KPs

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
A Commands 		Up / Home Next
AADD


AADD

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

AADD, NA1, NA2, NA3, NA4, NA5, NA6, NA7, NA8, NA9

Adds separate areas to create a single area.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NA1, NA2, NA3, . . . , NA9

Numbers of areas to be added. If NA1 = ALL, add all selected areas and ignore NA2 to NA9. If NA1 = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI). A component name may also be substituted for NA1.

Notes

The areas must be coplanar. The original areas (and their corresponding lines and keypoints) will be deleted by default. See the BOPTN command for the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated. Concatenated entities are not valid with this command.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Add>Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
A 		Up / Home Next
AATT


AATT

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

AATT, MAT, REAL, TYPE, ESYS, SECN

Associates element attributes with the selected, unmeshed areas.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

MAT

The material number to be associated with selected, unmeshed areas.

REAL

The real constant set number to be associated with selected, unmeshed areas.

TYPE

The type number to be associated with selected, unmeshed areas.

ESYS

The coordinate system number to be associated with selected, unmeshed areas.

SECN

The section number to be associated with selected unmeshed areas.

Notes

Areas subsequently generated from the areas will also have these attributes. These element attributes will be used when the areas are meshed. If an area does not have attributes associated with it (by this command) at the time it is meshed, the attributes are obtained from the then current MAT, REAL, TYPE, ESYS, and SECNUM command settings. Reissue the AATT command (before areas are meshed) to change the attributes. A zero (or blank) argument removes the corresponding association. If any of the arguments MAT, REAL, TYPE, ESYS, or SECN are defined as -1, then that value will be left unchanged in the selected set.

In some cases, ANSYS can proceed with an area meshing operation even when no logical element type has been assigned via AATT,,,TYPE or TYPE. For more information, see the discussion on setting element attributes in Meshing Your Solid Model in the Modeling and Meshing Guide.

Menu Paths

Main Menu>Preprocessor>Meshing>Mesh Attributes>All Areas
Main Menu>Preprocessor>Meshing>Mesh Attributes>Picked Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
AADD 		Up / Home Next
ABEXTRACT


ABEXTRACT

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ABEXTRACT, MODE1, MODE2

Extracts the alpha-beta damping multipliers for Rayleigh damping.

SOLUTION: Analysis Options

MP ME <> <> <> <> <> <> <> <> <> PP <>

MODE1

First mode number.

MODE2

Second mode number.

Notes

ABEXTRACT calls the command macro DMPEXT to extract the damping ratio of MODE1 and MODE2 and then computes the Alpha and Beta damping multipliers for use in a subsequent structural harmonic or transient analysis. See Damping in the Structural Analysis Guide for more information on the alpha and beta damping multipliers. The damping multipliers are stored in parameters ALPHADMP and BETADMP and can be applied using the ALPHAD and BETAD commands. Before calling ABEXTRACT, you must issue RMFLVEC to extract the modal displacements. In addition, a node component FLUN must exist from all FLUID136 nodes. See " Thin Film Analysis" for more information on thin film analyses.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>ThinFilm>RayleighDamp

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
AATT 		Up / Home Next
ABS


ABS

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ABS, IR, IA, --, --, Name, --, --, FACTA

Forms the absolute value of a variable.

POST26: Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

IR

Arbitrary reference number assigned to the resulting variable (2 to NV [NUMVAR]). If this number is the same as for a previously defined variable, the previously defined variable will be overwritten with this result.

IA

Reference number of the variable to be operated on.

--, --

Unused fields.

Name

Thirty-two character name for identifying the variable on the printout and displays. Embedded blanks are compressed upon output.

--, --

Unused fields.

FACTA

Scaling factor (positive or negative) applied to variable IA (defaults to 1.0).

Notes

The new variable is calculated as:

IR = | FACTA x IA |

For a complex number (a + ib), the absolute value is the magnitude, where the IA values are obtained from:

See the Theory Reference for ANSYS and ANSYS Workbench for details.

Menu Paths

Main Menu>TimeHist Postpro>Math Operations>Absolute Value

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ABEXTRACT 		Up / Home Next
ACCAT


ACCAT

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ACCAT, NA1, NA2

Concatenates multiple areas in preparation for mapped meshing.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NA1, NA2

Areas to be concatenated. If NA1 = ALL, NA2 will be ignored and all selected areas [ASEL] will be concatenated. If NA1 = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI). A component name may also be substituted for NA1 (NA2 is ignored).

Notes

Concatenates multiple, adjacent areas (the input areas) into one area (the output area) in preparation for mapped meshing. A volume that contains too many areas for mapped meshing can still be mapped meshed if some of the areas in that volume are first concatenated (see Meshing Your Solid Model in the Modeling and Meshing Guide for details on mapped meshing restrictions).

Because of modeling restrictions that result from its use, ACCAT is meant to be used solely for meshing. Specifically, (a) the output area and any volumes that have the output area on their area list [VLIST] cannot be used as input to any other solid modeling operation (not even another ACCAT command); and (b) the output area cannot accept solid model boundary conditions [DA, SFA].

The output area (or volumes which contain it) will be meshed [AMESH, VMESH] by meshing the input areas, which themselves must be meshable. The output area from the ACCAT operation will be coincident with the input areas and the input areas will be retained. Consider the AADD command instead of ACCAT if you wish to delete the input areas. When an ACCAT command is issued, volume area lists [VLIST] that contain all of the input areas will be updated so that the volume area lists refer to the output area instead of the input area. Deletion of the output area [ADELE] effectively reverses the ACCAT operation and restores volume area lists to their original condition. ACCAT operations on pairs of adjacent four-sided areas automatically concatenate appropriate lines [LCCAT]; in all other situations, line concatenations must be addressed by the user.

You can use the ASEL command to select areas that were created by concatenation, and then follow it with an ADELE,ALL command to delete them. See Meshing Your Solid Model in the Modeling and Meshing Guide for a discussion on how to easily select and delete concatenated areas in one step.

Menu Paths

Main Menu>Preprocessor>Meshing>Mesh>Volumes>Mapped>Concatenate>Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ABS 		Up / Home Next
ACEL


ACEL

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ACEL, ACEL_X, ACEL_Y, ACEL_Z

Specifies the linear acceleration of the structure.

SOLUTION: Inertia

MP ME ST PR PRN <> <> FL <> <> <> PP <>

ACEL_X, ACEL_Y, ACEL_Z

Linear acceleration of the structure in the global Cartesian X, Y, and Z axis directions, respectively.

Notes

The ACEL command defines the linear acceleration of the structure in each of the global Cartesian (X, Y, and Z) axis directions.

To simulate gravity (by using inertial effects), accelerate the structure in the direction opposite to gravity. For example, apply a positive ACEL_Y to simulate gravity acting in the negative Y direction. Units are length/time2.

You can define the acceleration for the following analyses types:

  • Static (ANTYPE,STATIC)

  • Harmonic (ANTYPE,HARMIC), full or mode superposition method

  • Transient (ANTYPE,TRANS)

  • Substructure (ANTYPE,SUBSTR).

For all but the reduced transient dynamic (ANTYPE,TRANS) analysis, accelerations are combined with the element mass matrices to form a body force load vector term. The element mass matrix may be formed from a mass input constant or from a nonzero density (DENS) property, depending upon the element type. For ANTYPE,TRANS (reduced), the acceleration is applied to the reduced mass matrix.

For analysis type ANTYPE,HARMIC, the acceleration is assumed to be the real component with a zero imaginary component.

Units of acceleration and mass must be consistent to give a product of force units.

The ACEL command supports tabular boundary conditions (%TABNAME_X%, %TABNAME_Y%, and %TABNAME_Z%) for ACEL_X, ACEL_Y, and ACEL_Z input values as a function of time. Tabular loads defined via the function builder (Utility Menu> Parameters> Functions> Define/Edit) are not supported.

Related commands for rotational effects are CGLOC, CGOMGA, DCGOMG, DOMEGA, and OMEGA.

This command is also valid in /PREP7.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Flow Environment>Gravity
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Inertia>Gravity>Global
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Inertia>Gravity
Main Menu>Solution>Define Loads>Apply>Structural>Inertia>Gravity>Global
Main Menu>Solution>Define Loads>Delete>Structural>Inertia>Gravity
Main Menu>Solution>FLOTRAN Set Up>Flow Environment>Gravity

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ACCAT 		Up / Home Next
ACLEAR


ACLEAR

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ACLEAR, NA1, NA2, NINC

Deletes nodes and area elements associated with selected areas.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NA1, NA2, NINC

Delete mesh for areas NA1 to NA2 (defaults to NA1) in steps of NINC (defaults to 1). If NA1 = ALL, NA2 and NINC are ignored and the mesh for all selected areas [ASEL] is deleted. If NA1 = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI). A component name may also be substituted for NA1 (NA2 and NINC are ignored).

Notes

Deletes all nodes and area elements associated with selected areas (regardless of whether the nodes or elements are selected). Nodes shared by adjacent meshed areas and nodes associated with non-area elements will not be deleted. Attributes assigned as a result of AATT are maintained. In the program's response to the command, if an area, line, or keypoint is tallied as "cleared," it means either its node or element reference was deleted.

This command is also valid for rezoning. When issued during rezoning (after the REMESH,START command and before the REMESH,FINISH command), ACLEAR clears only the area generated by the AREMESH command.

Menu Paths

Main Menu>Preprocessor>Meshing>Clear>Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ACEL 		Up / Home Next
ADAMS


ADAMS

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ADAMS, NMODES, KSTRESS, KSHELL

Performs solutions and writes flexible body information to a modal neutral file (Jobname.MNF) for use in an ADAMS analysis.

SOLUTION: Analysis Options

MP ME ST <> <> <> <> <> <> <> <> PP <>

NMODES

Number of normal modes to be written to Jobname.MNF file (no default).

KSTRESS

Specifies whether to write stress or strain results:

0
 —

Do not write stress or strain results (default).

1
 —

Write stress results.

2
 —

Write strain results.

3
 —

Write both stress and strain results.

KSHELL

Shell element output location. This option is valid only for shell elements.

0, 1
 —

Shell top surface (default).

2
 —

Shell middle surface.

3
 —

Shell bottom surface.

Notes

ADAMS invokes a predefined ANSYS macro that solves a series of analyses and then writes the modal neutral file, Jobname.MNF. This file can be imported into the ADAMS program in order to perform a rigid body dynamics simulation. For detailed information on how to use the ADAMS command macro to create a modal neutral file, see Rigid Body Dynamics and the ANSYS-ADAMS Interface in the Advanced Analysis Techniques Guide.

Before running the ADAMS command macro, you must specify the units with the /UNITS command. The interface points should be the only selected nodes when the command macro is initiated. (Interface points are nodes where constraints may be applied in ADAMS.) Only selected elements will be considered in the calculations.

By default, stress and strain data is transferred to the ADAMS program for all nodes, as specified by the KSTRESS value. If you want to transfer stress/strain data for only a subset of nodes, select the desired subset and create a node component named "STRESS" before running the ADAMS command macro. For example, you may want to select exterior nodes for the purpose of visualization in the ADAMS program.

The default filename for the modal neutral file is Jobname.MNF. In interactive (GUI) mode, you can specify a filename other than Jobname.MNF. In batch mode, there is no option to change the filename, and the modal neutral file is always written to Jobname.MNF.

Menu Paths

Main Menu>Solution>ADAMS Connection>Export to ADAMS

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ACLEAR 		Up / Home Next
ADAPT


ADAPT

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ADAPT, NSOLN, STARGT, TTARGT, FACMN, FACMX, KYKPS, KYMAC

Adaptively meshes and solves a model.

SOLUTION: Analysis Options

MP ME ST PR PRN <> <> FL <> <> <> PP <>

NSOLN

Number of solutions allowed (1 or more) (defaults to 5).

STARGT

Target percentage for structural percent error in energy norm (SEPC) (defaults to 5). If -1, no target value is used.

TTARGT

Target percentage for thermal percent error in energy norm (TEPC) (defaults to 1). If -1, no target value is used.

FACMN

Minimum factor for the keypoint element size changes (defaults to 0.25).

FACMX

Maximum factor for the keypoint element size changes (defaults to 2.0).

KYKPS

Specifies whether element size is to be modified at selected keypoints:

0
 —

Modify element size regardless of selected keypoint set (default).

1
 —

Modify element size only at selected keypoints.

KYMAC

Specifies which user-written auxiliary macro files are to be used:

0
 —

Ignore user-written auxiliary macro files, if any (default).

1
 —

Use user-written auxiliary macro files (if they exist) as follows: Use ADAPTMSH.MAC instead of the default meshing command sequence. Use ADAPTSOL.MAC instead of the default solution command sequence (/SOLU ... SOLVE ... FINISH).

Notes

ADAPT invokes a predefined ANSYS macro for adaptive meshing and solution. The macro causes repeated runs of the PREP7, SOLUTION, and POST1 phases of the ANSYS program with mesh density refinements based upon the percentage error in energy norm. See the Advanced Analysis Techniques Guide for additional details. After the adaptive meshing process is complete, the ADAPT macro automatically turns element shape checking on (SHPP,ON).

A copy of the macro, called UADAPT.MAC, is available on the ANSYS distribution medium (system dependent), and may be copied and modified by the user to suit a particular need. The modified file should be given a suitable name (cmd.MAC) and run as described above with the ADAPT command name replaced by your "cmd" name.

This command is also valid at the Begin level.

Menu Paths

Main Menu>Solution>Solve>Adaptive Mesh

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ADAMS 		Up / Home Next
ADD


ADD

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ADD, IR, IA, IB, IC, Name, --, --, FACTA, FACTB, FACTC

Adds variables.

POST26: Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

IR

Arbitrary reference number assigned to the resulting variable (2 to NV [NUMVAR]). If this number is the same as for a previously defined variable, the previously defined variable will be overwritten with this result.

IA, IB, IC

Reference numbers of the three variables to be operated on. If only two variables, leave IC blank. If only one, leave IB and IC blank.

Name

Thirty-two character name for identifying the variable on the printout and displays. Embedded blanks are compressed upon output.

--, --

Unused fields.

FACTA, FACTB, FACTC

Scaling factors (positive or negative) applied to the corresponding variables (default to 1.0).

Notes

Adds variables (up to three at once) according to the operation.

Menu Paths

Main Menu>Drop Test>Time History>Graph Variables
Main Menu>Drop Test>Time History>List Variables
Main Menu>TimeHist Postpro>Math Operations>Add

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ADAPT 		Up / Home Next
ADDAM


ADDAM

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ADDAM, AF, AA, AB, AC, AD, AMIN

Specifies the acceleration spectrum computation constants for the analysis of shock resistance of shipboard structures.

SOLUTION: Spectrum Options

MP ME ST <> <> <> <> <> <> <> <> PP <>

AF

Direction-dependent acceleration coefficient for elastic or elastic-plastic analysis option (default = 0).

AA, AB, AC, AD

Coefficients for the DDAM acceleration spectrum equations. See the Theory Reference for ANSYS and ANSYS Workbench. Default for these coefficients is zero.

AMIN

The minimum acceleration value in inch/sec2. It defaults to 2316 inch/sec2 which equals 6g, where g is acceleration due to gravity (g = 386 inch/sec2).

Notes

This command specifies acceleration coefficients to analyze shock resistance of shipboard equipment. These coefficients are used to compute mode coefficients according to the equations given in the Theory Reference for ANSYS and ANSYS Workbench. The form of these equations is based on the Naval NRL Dynamic Design Analysis Method. This command, along with the VDDAM and SED commands, is used with the spectrum (ANTYPE,SPECTR) analysis as a special purpose alternative to the SV, FREQ, and SVTYP commands. The mass and length units of the model must be in pounds and inches, respectively.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>DDAM Options
Main Menu>Solution>Load Step Opts>Spectrum>DDAM Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ADD 		Up / Home Next
ADELE


ADELE

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ADELE, NA1, NA2, NINC, KSWP

Deletes unmeshed areas.

PREP7: Areas

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NA1, NA2, NINC

Delete areas from NA1 to NA2 (defaults to NA1) in steps of NINC (defaults to 1). If NA1 = ALL, NA2 and NINC are ignored and all selected areas [ASEL] are deleted. If NA1 = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI). A component name may also be substituted for NA1 (NA2 and NINC are ignored).

KSWP

Specifies whether keypoints and lines are also to be deleted:

0
—

Delete areas only (default).

1
—

Delete areas, as well as keypoints and lines attached to specified areas but not shared by other areas.

Notes

An area attached to a volume cannot be deleted unless the volume is first deleted.

Menu Paths

Main Menu>Preprocessor>Modeling>Delete>Area and Below
Main Menu>Preprocessor>Modeling>Delete>Areas Only
Main Menu>Preprocessor>Modeling>Topo Repair>Delete>Area and Below
Main Menu>Preprocessor>Modeling>Topo Repair>Delete>Areas Only

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ADDAM 		Up / Home Next
ADGL


ADGL

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ADGL, NA1, NA2, NINC

Lists keypoints of an area that lie on a parametric degeneracy.

PREP7: Areas

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NA1, NA2, NINC

List keypoints that lie on a parametric degeneracy on areas from NA1 to NA2 (defaults to NA1) in steps of NINC (defaults to 1). If NA1 = ALL (default), NA2 and NINC will be ignored and keypoints on all selected areas [ASEL] will be listed. If NA1 = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI). A component name may be substituted in NA1 (NA2 and NINC will be ignored).

Notes

See the Modeling and Meshing Guide for details on parametric degeneracies.

This command is valid in any processor.

Menu Paths

Main Menu>Preprocessor>Modeling>Check Geom>Show Degeneracy>List Degen Areas
Main Menu>Preprocessor>Modeling>Operate>Booleans>Show Degeneracy>List Degen Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ADELE 		Up / Home Next
ADRAG


ADRAG

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ADRAG, NL1, NL2, NL3, NL4, NL5, NL6, NLP1, NLP2, NLP3, NLP4, NLP5, NLP6

Generates areas by dragging a line pattern along a path.

PREP7: Areas

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1, NL2, NL3, . . . , NL6

List of lines in the pattern to be dragged (6 maximum if using keyboard entry). Lines should form a continuous pattern (no more than two lines connected to any one keypoint. If NL1 = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI). If NL1 = ALL, all selected lines (except those that define the drag path) will be swept along the path. A component name may also be substituted for NL1.

NLP1, NLP2, NLP3, . . . , NLP6

List of lines defining the path along which the pattern is to be dragged (6 maximum if using keyboard entry). Must be a continuous set of lines.

Notes

Generates areas (and their corresponding keypoints and lines) by sweeping a given line pattern along a characteristic drag path. If the drag path consists of multiple lines, the drag direction is determined by the sequence in which the path lines are input (NLP1, NLP2, etc.). If the drag path is a single line (NLP1), the drag direction is from the keypoint on the drag line that is closest to the first keypoint of the given line pattern to the other end of the drag line.

The magnitude of the vector between the keypoints of the given pattern and the first path keypoint remains constant for all generated keypoint patterns and the path keypoints. The direction of the vector relative to the path slope also remains constant so that patterns may be swept around curves.

Keypoint, line, and area numbers are automatically assigned (beginning with the lowest available values [NUMSTR]). Adjacent lines use a common keypoint. Adjacent areas use a common line. For best results, the entities to be dragged should be orthogonal to the start of the drag path. Drag operations that produce an error message may create some of the desired entities prior to terminating.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Extrude>Lines>Along Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ADGL 		Up / Home Next
AESIZE


AESIZE

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

AESIZE, ANUM, SIZE,

Specifies the element size to be meshed onto areas.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ANUM

Area number of the area to which this element size specification applies. If ANUM = ALL, size applies to all selected areas. If ANUM = P, graphical picking is enabled. A component name may also be substituted for ANUM.

SIZE

Desired element size.

Notes

AESIZE allows control over the element sizing inside any area or on the face(s) of a volume.

SIZE controls element size on the interior of the area. For any line on the area not having its own size assignment and not controlled by keypoint size assignments, it specifies the element size along the line as well, so long as no adjacent area has a smaller size, which would take precedence. If the AESIZE governs the boundary and SmartSizing is on, the boundary size can be refined for curvature or proximity.

This command is also valid for rezoning.

Menu Paths

Main Menu>Preprocessor>Meshing>Size Cntrls>ManualSize>Areas>All Areas
Main Menu>Preprocessor>Meshing>Size Cntrls>ManualSize>Areas>Clr Size
Main Menu>Preprocessor>Meshing>Size Cntrls>ManualSize>Areas>Picked Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ADRAG 		Up / Home Next
AFILLT


AFILLT

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

AFILLT, NA1, NA2, RAD

Generates a fillet at the intersection of two areas.

PREP7: Areas

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NA1

Number of the first intersecting area. If NA1 = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI).

NA2

Number of the second intersecting area.

RAD

Radius of fillet to be generated.

Notes

Generates an area of constant fillet radius at the intersection of two areas using a series of Boolean operations. Corresponding lines and keypoints are also generated. See BOPTN command for an explanation of the options available to Boolean operations. If areas do not initially intersect at a common line, use the AINA command.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Areas>Area Fillet

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
AESIZE 		Up / Home Next
AFLIST


AFLIST

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

AFLIST

Lists the current data in the database.

PREP7: Database

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Lists the current data and specifications in the database. If batch, lists all appropriate data. If interactive, lists only summaries.

Menu Paths

Utility Menu>List>Other>Database Summary

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
AFILLT 		Up / Home Next
AFSURF


AFSURF

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

AFSURF, SAREA, TLINE

Generates surface elements overlaid on the surface of existing solid elements and assigns the extra node as the closest fluid element node.

PREP7: Elements

MP ME <> PR PRN <> <> <> <> <> <> PP <>

SAREA

Component name for the surface areas of the meshed solid volumes.

TLINE

Component name for the target lines meshed with fluid elements.

Notes

This command macro is used to generate surface effect elements overlaid on the surface of existing solid elements and, based on proximity, to determine and assign the extra node for each surface element. The underlying volumes of the solid region and the fluid lines must be meshed prior to calling this command macro. The active element type must be SURF152 with appropriate settings for KEYOPT(4), KEYOPT(5), KEYOPT(6), and KEYOPT(8).

The surface areas of the solid and the target lines of the fluid are grouped into components and named using the CM command. The names must be enclosed in single quotes (e.g., 'SAREA') when the AFSURF command is manually typed in.

When using the GUI method, node and element components are created through the picking dialog boxes associated with this command.

The macro is applicable for the SURF152 and FLUID116 element types.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Elements>Surf / Contact>Surf Effect>Attch to Fluid>Area to Fluid
Main Menu>Preprocessor>Modeling>Create>Elements>Surf / Contact>Surf Effect>Attch to Fluid>Line to Fluid
Main Menu>Preprocessor>Modeling>Create>Elements>Surf / Contact>Surf Effect>Attch to Fluid>Node to Fluid

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
AFLIST 		Up / Home Next
AGEN


AGEN

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

AGEN, ITIME, NA1, NA2, NINC, DX, DY, DZ, KINC, NOELEM, IMOVE

Generates additional areas from a pattern of areas.

PREP7: Areas

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ITIME

Do this generation operation a total of ITIMEs, incrementing all keypoints in the given pattern automatically (or by KINC) each time after the first. ITIME must be more than 1 for generation to occur.

NA1, NA2, NINC

Generate areas from the pattern of areas NA1 to NA2 (defaults to NA1) in steps of NINC (defaults to 1). If NA1 = ALL, NA2 and NINC are ignored and the pattern is all selected areas [ASEL]. If NA1 = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI). A component name may also be substituted for NA1 (NA2 and NINC are ignored).

DX, DY, DZ

Keypoint location increments in the active coordinate system (--, D θ, DZ for cylindrical; --, D θ, -- for spherical).

KINC

Keypoint number increment between generated sets. If zero, the lowest available keypoint numbers are assigned [NUMSTR].

NOELEM

Specifies if elements and nodes are also to be generated:

0
 —

Generate nodes and elements associated with the original areas, if they exist.

1
 —

Do not generate nodes and elements.

IMOVE

Specifies whether to redefine the existing areas:

0
 —

Generate new areas as requested with the ITIME argument.

1
 —

Move original areas to new position, retaining the same keypoint numbers (ITIME, KINC, and NOELEM are ignored). If the original areas are needed in the original position (e.g., they may be attached to a volume), they are not moved, and new areas are generated instead. Meshed items corresponding to moved areas are also moved if not needed at their original position.

Notes

Generates additional areas (and their corresponding keypoints, lines and mesh) from a given area pattern. The MAT, TYPE, REAL, ESYS, and SECNUM attributes of the new areas are based upon the areas in the pattern and not upon the current settings of the pointers. End slopes of the generated lines remain the same (in the active coordinate system) as those of the given pattern. For example, radial slopes remain radial. Generations which produce areas of a size or shape different from the pattern (i.e., radial generations in cylindrical systems, radial and phi generations in spherical systems, and theta generations in elliptical systems) are not allowed. Solid modeling in a toroidal coordinate system is not recommended. Area and line numbers are automatically assigned, beginning with the lowest available values [NUMSTR].

Menu Paths

Main Menu>Preprocessor>Modeling>Copy>Areas
Main Menu>Preprocessor>Modeling>Move / Modify>Areas>Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
AFSURF 		Up / Home Next
AGLUE


AGLUE

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

AGLUE, NA1, NA2, NA3, NA4, NA5, NA6, NA7, NA8, NA9

Generates new areas by "gluing" areas.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NA1, NA2, NA3, . . . , NA9

Numbers of the areas to be glued. If NA1 = ALL, all selected areas will be glued (NA2 to NA9 will be ignored). If NA1 = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI). A component name may also be substituted for NA1.

Notes

Use of the AGLUE command generates new areas by "gluing" input areas. The glue operation redefines the input areas so that they share lines along their common boundaries. The new areas encompass the same geometry as the original areas. This operation is only valid if the intersection of the input areas are lines along the boundaries of those areas. See the Modeling and Meshing Guide for an illustration. See the BOPTN command for an explanation of the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to new entities generated.

The AGLUE command results in the merging of lines and keypoints at the common area boundaries. The lines and keypoints of the lower numbered area will be kept. This means one must be aware of area numbering when multiple AGLUE commands are applied to avoid any “ungluing” of geometry.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Glue>Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
AGEN 		Up / Home Next
AINA


AINA

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

AINA, NA1, NA2, NA3, NA4, NA5, NA6, NA7, NA8, NA9

Finds the intersection of areas.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NA1, NA2, NA3, . . . , NA9

Numbers of areas to be intersected. If NA1 = ALL, NA2 to NA9 are ignored and the intersection of all selected areas is found. If NA1 = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI). A component name may also be substituted for NA1.

Notes

Finds the common (not pairwise) intersection of areas. The common intersection is defined as the regions shared (in common) by all areas listed on this command. New areas will be generated where the original areas intersect. If the regions of intersection are only lines, new lines will be generated instead. See the Modeling and Meshing Guide for an illustration. See the BOPTN command for the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Intersect>Common>Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
AGLUE 		Up / Home Next
AINP


AINP

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

AINP, NA1, NA2, NA3, NA4, NA5, NA6, NA7, NA8, NA9

Finds the pairwise intersection of areas.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NA1, NA2, NA3, . . . , NA9

Numbers of areas to be intersected pairwise. If NA1 = ALL, NA2 to NA9 are ignored and the pairwise intersection of all selected areas is found. If NA1 = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI). A component name may be substituted for NA1.

Notes

Finds the pairwise intersection of areas. The pairwise intersection is defined as all regions shared by any two or more areas listed on this command. New areas will be generated where the original areas intersect pairwise. If the regions of pairwise intersection are only lines, new lines will be generated. See the Modeling and Meshing Guide for an illustration. See the BOPTN command for the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Intersect>Pairwise>Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
AINA 		Up / Home Next
AINV


AINV

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

AINV, NA, NV

Finds the intersection of an area with a volume.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NA

Number of area to be intersected. If P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI).

NV

Number of volume to be intersected.

Notes

New areas will be generated where the areas intersect the volumes. If the regions of intersection are only lines, new lines will be generated instead. See the Modeling and Meshing Guide for an illustration. See the BOPTN command for the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Intersect>Area with Volume

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
AINP 		Up / Home Next
AL


AL

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

AL, L1, L2, L3, L4, L5, L6, L7, L8, L9, L10

Generates an area bounded by previously defined lines.

PREP7: Areas

MP ME ST PR PRN <> <> FL EM <> <> PP <>

L1, L2, L3, . . . , L10

List of lines defining area. The minimum number of lines is 3. The positive normal of the area is controlled by the direction of L1 using the right-hand rule. A negative value of L1 reverses the normal direction. If L1 = ALL, use all selected lines with L2 defining the normal (L3 to L10 are ignored and L2 defaults to the lowest numbered selected line). If L1 = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI). A component name may also be substituted for L1.

Notes

Lines may be input (once each) in any order and must form a simply connected closed curve. If the area is defined with more than four lines, the lines must also lie in the same plane or on a constant coordinate value in the active coordinate system (such as a plane or a cylinder).

Note

Solid modeling in a toroidal coordinate system is not recommended. Areas may be redefined only if not yet attached to a volume.

This command is valid in any processor.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Areas>Arbitrary>By Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
AINV 		Up / Home Next
ALIST


ALIST

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ALIST, NA1, NA2, NINC, Lab

Lists the defined areas.

PREP7: Areas

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NA1, NA2, NINC

List areas from NA1 to NA2 (defaults to NA1) in steps of NINC (defaults to 1). If NA1 = ALL (default), NA2 and NINC are ignored and all selected areas [ASEL] are listed. If NA1 = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI). A component name may also be substituted for NA1 (NA2 and NINC are ignored).

Lab

Determines what type of listing is used (one of the following):

(blank)
—

Prints information about all areas in the specified range.

HPT
—

Prints information about only those areas that contain hard points.

Notes

An attribute (TYPE, MAT, REAL, or ESYS) listed as a zero is unassigned; one listed as a positive value indicates that the attribute was assigned with the AATT command (and will not be reset to zero if the mesh is cleared); one listed as a negative value indicates that the attribute was assigned using the attribute pointer [TYPE, MAT, REAL, or ESYS] that was active during meshing (and will be reset to zero if the mesh is cleared). A "-1" in the "nodes" column indicates that the area has been meshed but there are no interior nodes. The area size is listed only if an ASUM command has been performed on the area.

Menu Paths

Utility Menu>List>Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
AL 		Up / Home Next
ALLSEL


ALLSEL

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ALLSEL, LabT, Entity

Selects all entities with a single command.

DATABASE: Selecting

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LabT

Type of selection to be made:

ALL
 —

Selects all items of the specified entity type and all items of lower entity types (default).

BELOW
 —

Selects all items directly associated with and below the selected items of the specified entity type.

Entity

Entity type on which selection is based:

ALL
 —

All entity types (default).

VOLU
 —

Volumes.

AREA
 —

Areas.

LINE
 —

Lines.

KP
 —

Keypoints.

ELEM
 —

Elements.

NODE
 —

Nodes.

Notes

ALLSEL is a convenience command that allows the user to select all items of a specified entity type or to select items associated with the selected items of a higher entity.

An entity hierarchy is used to decide what entities will be available in the selection process. This hierarchy from top to bottom is as follows: volumes, areas, lines, keypoints, elements, and nodes. The hierarchy may also be divided into two branches: the solid model and the finite element model. The label ALL selects items based on one branch only, while BELOW uses the entire entity hierarchy. For example, ALLSEL,ALL,VOLU selects all volumes, areas, lines, and keypoints in the data base. ALLSEL,BELOW,AREA selects all lines belonging to the selected areas; all keypoints belonging to those lines; all elements belonging to those areas, lines, and keypoints; and all nodes belonging to those elements.

The $ character should not be used after the ALLSEL command.

This command is valid in any processor.

Menu Paths

Main Menu>Preprocessor>Modeling>CMS>CMS Superelements>By Picking
Utility Menu>Select>Everything
Utility Menu>Select>Everything Below>Selected Areas
Utility Menu>Select>Everything Below>Selected Elements
Utility Menu>Select>Everything Below>Selected Keypoints
Utility Menu>Select>Everything Below>Selected Lines
Utility Menu>Select>Everything Below>Selected Volumes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ALIST 		Up / Home Next
ALPFILL


ALPFILL

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ALPFILL, LN1, LN2, LN3, LN4, LN5, LN6, LN7, LN8, LN9, LN10

Fills in an area loop within an existing 2-D area (for models imported from CAD files).

PREP7: CAD Repair

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LN1, LN2, LN3, . . . , LN10

List of lines that define the loop. If LN1 = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI). If LN1 = ALL, all selected lines will be checked for possible closure.

Notes

If all of the lines in the list are not continuous or closed, ANSYS will automatically find the subset of continuous lines within the list.

Use this command to fill in small area loops in models imported from CAD files (this is a geometry "cleanup" tool). This tool is available only for models imported from CAD files (Default IGES option).

Menu Paths

Main Menu>Preprocessor>Modeling>Simplify>Toolkit>Fill Loops

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ALLSEL 		Up / Home Next
ALPHAD


ALPHAD

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ALPHAD, VALUE

Defines the mass matrix multiplier for damping.

SOLUTION: Dynamic Options

MP ME ST <> <> <> <> <> <> <> <> PP <>

VALUE

Mass matrix multiplier for damping.

Notes

Defines the mass matrix multiplier, α, for damping. One form of the viscous damping matrix [C] is given by α[M] + β[K], where [M] is the mass matrix and [K] is the stiffness matrix. Damping is not used in the static (ANTYPE,STATIC) or buckling (ANTYPE,BUCKLE) analyses.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Sol'n Controls>Transient
Main Menu>Preprocessor>Loads>Load Step Opts>Time/Frequenc>Damping
Main Menu>Solution>Analysis Type>Sol'n Controls>Transient
Main Menu>Solution>Load Step Opts>Time/Frequenc>Damping

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ALPFILL 		Up / Home Next
AMAP


AMAP

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

AMAP, AREA, KP1, KP2, KP3, KP4

Generates a 2-D mapped mesh based on specified area corners.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

AREA

Area number of area to be meshed. If AREA = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI).

KP1, KP2, KP3, KP4

Keypoints defining corners of the mapped mesh. Three or four corners may be specified, and may be input in any order.

Notes

Only one area at a time can be meshed with this command. The program internally concatenates all lines between the specified keypoints, then meshes the area with all quadrilateral elements. If line divisions are set, the mesh will follow the rules for mapped meshing (see Meshing Your Solid Model in the Modeling and Meshing Guide).

If the area being meshed has concatenated lines, the program will ask if those concatenations should be removed (in batch, the concatenations will automatically be removed). Nodes required for the generated elements are created and assigned the lowest available node numbers. If a mapped mesh is not possible due to mismatched line divisions or poor element shapes, the meshing operation is aborted.

Menu Paths

Main Menu>Preprocessor>Meshing>Mesh>Areas>Mapped>By Corners

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ALPHAD 		Up / Home Next
AMESH


AMESH

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

AMESH, NA1, NA2, NINC

Generates nodes and area elements within areas.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NA1, NA2, NINC

Mesh areas from NA1 to NA2 (defaults to NA1) in steps of NINC (defaults to 1). If NA1 = ALL, NA2 and NINC are ignored and all selected areas [ASEL] are meshed. If NA1 = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI). A component name may also be substituted for NA1 (NA2 and NINC are ignored).

Notes

Any undefined nodes required for the generated elements are created and assigned the lowest available numbers.

This command is also valid for rezoning.

Menu Paths

Main Menu>Preprocessor>Meshing>Mesh>Areas>Free
Main Menu>Preprocessor>Meshing>Mesh>Areas>Mapped>3 or 4 sided
Main Menu>Preprocessor>Meshing>Mesh>Areas>Target Surf

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
AMAP 		Up / Home Next
/AN3D


/AN3D

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

/AN3D, Kywrd, KEY

Specifies 3-D annotation functions

GRAPHICS: Annotation

MP ME ST PR PRN <> <> FL EM <> <> PP <>

If Kywrd = ANUM, the type of annotation is defined, along with its location. The command format is /AN3D,ANUM,NUM,TYPE,XHOT,YHOT,ZHOT.

NUM

Unique number assigned as each annotation is applied to a model. These numbers are applied sequentially, although when an annotation entity is deleted, its number is reassigned.

TYPE

Annotation internal type number (101 = text, 102 = line, 103 = point, 104 = area, 105 = arrow, 106 = symbol, 108 = bitmap).

XHOT, YHOT, ZHOT

X, Y, Z coordinates for hot spot location.

If Kywrd = BITM, the annotation is a bitmap. The command format is /AN3D,BITM,TYPE,X,Y,Z.

TYPE

An integer value between 1 and 99, indicating a texture or bitmap. Numbers 1 through 40 correspond to existing ANSYS textures (see /TXTRE). Numbers 51 through 99 correspond to textures defined using the File option of the /TXTRE command. You can use this capability to override the predefined logo, clamp and arrow files available from the GUI dialog box (numbers 51 through 57). Numbers 41 through 50 are reserved.

X, Y, Z

X, Y, Z coordinates for the lower left corner of the bitmap.

If Kywrd = TEXT, an annotation text string is created. The command format is /AN3D,TEXT,X,Y,Z,Text_String.

X, Y, Z

X, Y, Z coordinate location for text string.

Text_String

Text string to be applied as annotation.

If Kywrd = LINE, an annotation line is created. The command format is /AN3D,LINE,X1,Y1,Z1,X2,Y2,Z2.

X1, Y1, Z1

X, Y, Z coordinates for beginning of line.

X2, Y2, Z2

X, Y, Z coordinates for end of line.

If Kywrd = POINT, a dot will be drawn in space (this option is not available from the GUI). The command format is /AN3D,POINT,X,Y,Z.

X, Y, Z

X, Y, Z coordinates for point.

If Kywrd = AREA, a polygonal area with n vertices will be drawn. The command format is /AN3D,AREA,NVERT,Xn,Yn,Zn.

NVERT

The number of vertices (n) for the polygon. Your Polygon can have between 3 and 9 vertices.

Xn, Yn, Zn

X, Y, Z coordinate location for vertex n.

If Kywrd = ARROW, an annotation arrow is created. The command format is /AN3D,ARROW,SIZEX1,Y1,Z1,X2,Y2,Z2.

SIZE

Symbol size multiplier (0.1 to 20.0, default = 1.0) for the head of the arrow.

X1, Y1, Z1

X, Y, Z coordinates for the location of the tail.

X2, Y2, Z2

X, Y, Z coordinate for the location of the tip.

If Kywrd = SYMBOL, an annotation symbol is created. The command format is /AN3D,SYMBOL,TYPE,X,Y,Z,SIZE.

TYPE

The symbol type (1 = CAP, 2 = TEE, 3 = CIRCLE, 4 = TRIANGLE, 5 = STAR).

X, Y, Z

X, Y, Z coordinate location for the symbol.

SIZE

Size multiplier for the symbol (0.1 to 20.0, default = 1.0)

Notes

Because 3-D annotation is applied in relation to the XYZ coordinates of the anchor, you can transform your model, and the annotation will maintain the spatial relationship with the model. This works within reason, and there are instances where changing the perspective or the size of the model will change the apparent relationship between the annotation and the model.

The overall 3-D dimensions of your model are defined by a bounding box. If portions of your model's bounding box lie outside of the visible area of your graphics window (if you are zoomed in on a specific area of your model), it can affect the placement of your 3-D annotations. Zooming out will usually overcome this problem.

3-D annotation is valid for the Cartesian (CSYS,0) coordinate system only. If you want to annotate a model you created in another coordinate system, use 2-D annotation (note that 2-D annotations do not remain anchored for dynamic rotations or transformations).

When you apply user defined bitmaps, the size of the annotation can vary. Use the options menu of the 3-D annotation widget to adjust the size and placement of your bitmaps.

You cannot use the “!” and “$” characters in ANSYS text annotation.

The GUI generates this command during 3-D annotation operations and inserts the command into the log file (Jobname.LOG). You should NOT type this command directly during an ANSYS session (although the command can be included in an input file for batch input or for use with the /INPUT command).

Menu Paths

Utilty Menu>PlotCtrls>Annotate>Create 3D Annotation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
AMESH 		Up / Home Next
ANCNTR


ANCNTR

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ANCNTR, NFRAM, DELAY, NCYCL

Produces an animated sequence of a contoured deformed shape.

POST1: Animation

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NFRAM

Number of frames captures (defaults to 5).

DELAY

Time delay during animation (defaults to 0.1 seconds).

NCYCL

Number of animation cycles (defaults to 5). Available in non-UI mode only.

Notes

ANCNTR involves an ANSYS macro which produces an animation of a contoured deformed shape of the last plot action command. This command operates only on graphic display platforms supporting the /SEG command. After executing ANCNTR, you can replay the animated sequence by issuing the ANIM command.

The command functions only in the postprocessor.

Menu Paths

Utility Menu>PlotCtrls>Animate>Deformed Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/AN3D 		Up / Home Next
ANCUT


ANCUT

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ANCUT, NFRAM, DELAY, NCYCL, QOFF, KTOP, TOPOFF, NODE1, NODE2, NODE3

Produces an animated sequence of Q-slices.

POST1: Animation

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NFRAM

Number of frames captures (defaults to 5).

DELAY

Time delay during animation (defaults to 0.1 seconds).

NCYCL

Number of animation cycles (defaults to 5). Available in non-UI mode only.

QOFF

Q-slice working plane increment (defaults to .1 half screens).

KTOP

Topological effect on or off (YES or NO; default is NO).

TOPOFF

Topological offset (default is .1 half screens).

NODE1

Node 1 for start of the Q-slice.

NODE2

Node 2 for direction of the Q-slice.

NODE3

Node 3 for plane of the Q-slice.

Notes

ANCUT involves an ANSYS macro which produces an animation of Q-slices of the last plot action command. This command operates only on graphic display platforms supporting the /SEG command. After executing ANCUT, you can replay the animated sequence by issuing the ANIM command.

The command functions only in the postprocessor.

Menu Paths

Utility Menu>PlotCtrls>Animate>Q-Slice Contours
Utility Menu>PlotCtrls>Animate>Q-Slice Vectors

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ANCNTR 		Up / Home Next
ANCYC


ANCYC

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ANCYC, NUMFRAMES, KCYCL, DELAY

Applies a traveling wave animation to graphics data in a modal cyclic symmetry analysis.

POST1: Animation

MP ME ST <> <> <> <> <> <> <> <> PP <>

NUMFRAMES

The number of plot frames for the animation. Valid values range from 5 through 36. The default is 18. A low value (because it specifies fewer graphical frames) produces a rougher animation but loads faster. A high value produces a smoother animation but requires more time to load.

KCYCL

The animation mode:

0
 —

Discontinuous animation cycle (forward-reset-forward). This option is the default.

1
 —

Continuous animation cycle (forward-reverse-forward).

DELAY

The time delay (in seconds) between animation frames. Valid values range from 0.1 through 1.0. The default is 0.1 seconds, which produces a seemingly real-time animation. A higher value produces a slower animation.

Command Default

The default ANCYC command (issuing the command with no arguments) specifies these implicit argument values: ANCYC, 18, 0, 0.1

Notes

The ANCYC command is valid in a modal cyclic symmetry analysis only.

The command animates the cyclic symmetry mode shape plot in the General Post Processor (/POST1). When you issue a nodal- or element-results plot command (for example, PLNSOL, PLESOL, or PLDISP) and then issue the ANCYC command, ANSYS applies a traveling wave animation to the mode shape plot.

Each frame of the animation is created by expanding the cyclic symmetry mode shape at increasing phase angles (via the /CYCEXPAND command) starting at zero in equal increments over 360°. The phase-angle increment is 360 / NUMFRAMES.

The animation display shows the traveling wave of the result quantity being plotted. The traveling wave animation is applicable only to nodal diameters (harmonic indices) greater than 0 and less than N / 2 (where N is the number of cyclic sectors in the model).

For more information, see Applying a Traveling Wave Animation to the Cyclic Model in the Advanced Analysis Techniques Guide.

Menu Paths

Utility Menu> PlotCtrls> Animate> Cyc Traveling Wave

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ANCUT 		Up / Home Next
ANDATA


ANDATA

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ANDATA, DELAY, NCYCL, RSLTDAT, MIN, MAX, INCR, FRCLST, AUTOCONT, --, AUTOCNTR

Produces a sequential contour animation over a range of results data.

POST1: Animation

MP ME ST PR PRN <> <> FL EM <> <> PP <>

DELAY

Time delay during animation (defaults to 0.5 seconds).

NCYCL

Number of animation cycles (defaults to 5). Available in non-UI mode only.

RSLTDAT

The type of results data to be used for the animation sequence. This can be:

0
 —

Current load step data (default).

1
 —

Range of load step data.

2
 —

Range of results data.

MIN

The range minimum value. If left blank or 0, defaults to the first data point.

MAX

The range maximum value. If left blank or 0, defaults to the last data point.

INCR

The increment between result data (defaults to 1).

FRCLST

Key to force the last sub step in a selected load step to be included in the animation (defaults to 0).

AUTOCONT

A value of 1 enables automatic scaling of contour values based on the overall subset range of values. The default value is 0 (no automatic scaling).

--

Unused field.

AUTOCNTR

A value of 1 disables automatic centering of displaced plots. The default value is 0 (allow automatic centering).

Notes

The ANDATA command operates only on graphic display platforms supporting the /SEG command. It uses an ANSYS macro to produce an animation based on the last plot action command (for example, PLDISP).

The ANDATA command implicitly issues /DSCALE, 1 for default displacement scaling. Large displacements may not give good results.

This command functions only in the postprocessor.

Menu Paths

Main Menu>Drop Test>Animate Results
Utility Menu>PlotCtrls>Animate>Animate Over Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ANCYC 		Up / Home Next
ANDSCL


ANDSCL

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ANDSCL, NFRAM, DELAY, NCYCL

Produces an animated sequence of a deformed shape.

POST1: Animation

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NFRAM

Number of frames captured (defaults to 5).

DELAY

Time delay during animation (defaults to 0.1 seconds).

NCYCL

Number of animation cycles (defaults to 5). Available in non-UI mode only.

Notes

ANDSCL involves an ANSYS macro which produces an animation of displacement of the last plot action command (for example, PLDISP). This command operates only on graphic display platforms supporting the /SEG command. After executing ANDSCL, you can replay the animated sequence by issuing the ANIM command.

The command functions only in the postprocessor.

Menu Paths

Utility Menu>PlotCtrls>Animate>Deformed Shape

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ANDATA 		Up / Home Next
ANDYNA


ANDYNA

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ANDYNA, DELAY, NCYCL, START, END, INC, AUTOCONTOURKEY

Produces an animated sequence of contour values through substeps.

POST1: Animation

MP ME ST PR PRN <> <> FL EM <> <> PP <>

DELAY

Time delay during animation (defaults to 0.1 seconds).

NCYCL

Number of animation cycles (defaults to 5). Available in non-UI mode only.

START

Number of the starting substep (defaults to 1).

END

Number of the ending substep (defaults to the maximum substep).

INC

Increment between substeps (defaults to 1).

AUTOCONTOURKEY

Auto-scales contour values, based on the overall subset range of values (defaults to 0, no auto-scaling).

Notes

ANDYNA involves an ANSYS macro which produces an animation of contour values through all the substeps of the last plot action command. This command operates only on graphic display platforms supporting the /SEG command. After executing ANDYNA, you can replay the animated sequence by issuing the ANIM command.

The command functions only in the postprocessor.

Menu Paths

Utility Menu>PlotCtrls>Animate>Dynamic Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ANDSCL 		Up / Home Next
/ANFILE


/ANFILE

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

/ANFILE, LAB, Fname, Ext, --

Saves or resumes an animation sequence to or from a file.

POST1: Animation

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LAB

Label type.

SAVE
 —

Save the current animation to a file.

RESUME
 —

Resume an animation from a file.

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to ANIM if Fname is blank.

--

Unused field.

Notes

This command saves an animation to a file from local terminal segments or resumes an animation from a file to local terminal segments. See the /SEG command for details on segment storage. See the ANCNTR macro for a convenient method of storing graphics frames in terminal memory segments. This command is device dependent and is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Animate>Restore Animation
Utility Menu>PlotCtrls>Animate>Save Animation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ANDYNA 		Up / Home Next
ANFLOW


ANFLOW

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ANFLOW, NFRAM, DELAY, NCYCL, TIME, SPACING, SIZE, LENGTH

Produces an animated sequence of particle flow in a flowing fluid or a charged particle traveling in an electric or magnetic field.

POST1: Animation

MP <> <> <> <> <> <> FL EM <> <> PP <>

NFRAM

Number of frames captured (defaults to 5).

DELAY

Time delay during animation (defaults to 0.1 seconds).

NCYCL

Number of animation cycles (defaults to 5). Non-UI mode only.

TIME

Total Trace Time (seconds) (defaults to 0, which is the full flow trace).

SPACING

Particle spacing in seconds (defaults to 0).

SIZE

Particle size (defaults to 0, which is a line).

LENGTH

Particle length fraction (defaults to .1).

Notes

ANFLOW invokes an ANSYS macro which produces an animation of particle flow in a flowing fluid or charged particle motion in an electric or magnetic field by the last plot action command (i.e., PLTRAC). This command is only operational on graphic display platforms supporting the /SEG command. After executing ANFLOW, you can replay the animated sequence by issuing the ANIM command. This command is functional only in the Postprocessor.

The TIME option lets you set the time interval of forward travel for the trace. The SPACING option is used to define the particle spacing in seconds from adjacent particles in the stream line. The SIZE variable sets the radius of the particle. The LENGTH variable is used to define the particle length fraction. By default, the LENGTH is set to .1, which means the particle occupies 10% of the flow region and the other 90% is a color-code line. The SPACING and LENGTH variables only make sense when the SIZE variable is nonzero (i.e., the particle is bigger than the line).

Menu Paths

Utility Menu>PlotCtrls>Animate>Particle Flow

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/ANFILE 		Up / Home Next
/ANGLE


/ANGLE

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

/ANGLE, WN, THETA, Axis, KINCR

Rotates the display about an axis.

GRAPHICS: Views

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number (or ALL) to which command applies (defaults to 1).

THETA

Angle (degrees) for changing display orientation (positive, counterclockwise about specified axis).

Axis

Rotation axis: XS, YS, or ZS (default) for the screen axes; XM, YM, or ZM for the global Cartesian model axes. ZS is normal to the screen; all axes pass through the focus point.

KINCR

Cumulative rotation key:

0
 —

Do not use cumulative successive rotations.

1
 —

Use cumulative rotations. Rotations are relative to the previous rotation. View settings (/VIEW) are recalculated.

Notes

Default orientation is YS vertical. When the /XFRM command is set for rotation about two points, or for entities, the /ANGLE command is functional only for Axis = ZS or ZM and KINCR = 1.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Pan, Zoom, Rotate
Utility Menu>PlotCtrls>View Settings>Angle of Rotation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ANFLOW 		Up / Home Next
ANHARM


ANHARM

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ANHARM, NFRAM, DELAY, NCYCL

Produces a time-transient animated sequence of time-harmonic results or complex mode shapes.

POST1: Animation

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NFRAM

Number of frame captures per cycle. Defaults to 12.

DELAY

Time delay during animation. Defaults to 0.1 seconds.

NCYCL

Number of animation cycles. Defaults to 5. Not available in the GUI.

Notes

ANHARM invokes an ANSYS macro which produces a time-transient animation of:

  • Time-harmonic results in the case of a harmonic analysis (ANTYPE,HARMIC)

  • Complex mode shapes in the case of a modal analysis (ANTYPE,MODAL).

In both cases, the results are those of the last plot action (for example, PLNSOL,B,SUM).

The animation converts the complex solution variables (real and imaginary sets) into time varying results over one period. For example, if NFRAM = 12, then the frame captures are in increments of 30 degree phase angles.

Menu Paths

Utility Menu>PlotCtrls>Animate>Animate Over Time
Utility Menu>PlotCtrls>Animate>Time-harmonic

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/ANGLE 		Up / Home Next
ANIM


ANIM

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ANIM, NCYCL, KCYCL, DELAY

Displays graphics data in animated form.

POST1: Animation

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NCYCL

Number of cycles associated with the animation (defaults to 5 in non-GUI mode only)

KCYCL

Animation mode:

0
—

Continuous animation cycle (forward-reverse-forward-etc.) (default).

1
—

Discontinuous animation cycle (forward-reset-forward-etc.).

DELAY

Time delay (seconds) between animation frames (defaults to 0.1 seconds).

Notes

Displays graphics data stored in local terminal segments in animated form. See the /SEG command for details on segment storage. See the ANCNTR macro for a convenient method of storing graphics frames in terminal memory segments. This command is device-dependent. You should not resize the graphic while animation is in progress; doing so can result in distorted plots.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Animate>Replay Animation
Utility Menu>PlotCtrls>Animate>Restore Animation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ANHARM 		Up / Home Next
ANISOS


ANISOS

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ANISOS, NFRAM, DELAY, NCYCL

Produces an animated sequence of an isosurface.

POST1: Animation

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NFRAM

Number of frames captures (defaults to 9).

DELAY

Time delay during animation (defaults to 0.1 seconds).

NCYCL

Number of animation cycles (defaults to 5). Available in non-UI mode only.

Notes

ANISOS involves an ANSYS macro which produces an animation of an isosurface of the last plot action command (for example, PLNSOL,S,EQV). The ANISOS command operates only on graphic display platforms supporting the /SEG command. After executing ANISOS, you can replay the animated sequence by issuing the ANIM command.

This command functions only in the postprocessor.

Menu Paths

Utility Menu>PlotCtrls>Animate>Isosurfaces

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ANIM 		Up / Home Next
ANMODE


ANMODE

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ANMODE, NFRAM, DELAY, NCYCL, KACCEL

Produces an animated sequence of a mode shape.

POST1: Animation

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NFRAM

Number of frames captures (defaults to 5).

DELAY

Time delay during animation (defaults to 0.1 seconds).

NCYCL

Number of animation cycles (defaults to 5). Available in non-UI mode only.

KACCEL

Acceleration type:

0
 —

Linear acceleration.

1
 —

Sinusoidal acceleration.

Notes

ANMODE involves an ANSYS macro which produces an animation of mode shape of the last plot action command (for example, PLDISP). The ANMODE command operates only on graphic display platforms supporting the /SEG command. After executing ANMODE, you can replay the animated sequence by issuing the ANIM command.

This command functions only in the postprocessor.

Menu Paths

Utility Menu>PlotCtrls>Animate>Mode Shape

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ANISOS 		Up / Home Next
ANMRES


ANMRES

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ANMRES, DELAY, MIN, MAX, INC, AUTOCNTRKY, FREQ, EXT

Performs animation of results over multiple results files in an explicit dynamic structural analysis or fluid flow analysis with remeshing.

POST1: Animation

<> <> <> <> <> <> <> <> <> <> DY <> <>

DELAY

Time delay during animation (default = 0.5 seconds).

MIN

Minimum results file number to animate. Default = 1 (for Jobname.RS01).

MAX

Maximum results file number to animate. Defaults to the highest numbered results file, Jobname.RSnn.

INC

Increment between results file numbers. Default = 1.

AUTOCNTRKY

Automatic contour scaling option.

0
 —

No auto-scaling (default).

1
 —

Auto-scaling on.

If you activate automatic contour scaling, ANSYS considers only the minimum and maximum value of the result item from the first results file.

FREQ

Results frequency key.

0 or 1
 —

Animate every results set in each Jobname.EXT file (default).

2
 —

Animate every other results set in each Jobname.EXT file.

n
 —

Animate every nth results set in each Jobname.EXT file.

EXT

Extension of result files

'rfl'
 —

Animate Jobname.rflnn

'rs'
 —

Animate Jobname.rsnn. Default = 'rs'.

Notes

ANMRES invokes an ANSYS macro that performs animation across multiple results files (Jobname.EXT, Jobname.EXT, etc.) produced by an explicit dynamic structural analysis or fluid flow analysis with remeshing. Multiple results files typically occur when adaptive meshing is used in an explicit dynamic structural analysis or fluid flow analysis with remeshing. ANMRES cannot be used for multiple results files that are caused by file splitting.

ANMRES animates results from files having the currently specified jobname (Jobname.EXT - Jobname.EXT). To change the current jobname, use the /FILNAME command. The animation is based on the last plot command (e.g., PLDISP).

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Drop Test>Animate Results
Utility Menu>PlotCtrls>Animate>Animate Over Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ANMODE 		Up / Home Next
/ANNOT


/ANNOT

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

/ANNOT, Lab, VAL1, VAL2

Activates graphics for annotating displays (GUI).

GRAPHICS: Annotation

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Annotation control key:

OFF
 —

Turns off annotation for each subsequent display (default).

ON
 —

Turns on annotation for each subsequent display.

DELE
 —

Deletes all annotation.

SAVE
 —

Saves annotation on a file. Use VAL1 for file name (defaults to Jobname) and VAL2 for the extension (defaults to ANO).

SCALE
 —

Sets annotation scale factor (direct input only). Use VAL1 for value (0.1 to 10.0) (defaults to 1.0).

XORIG
 —

Sets the annotation x origin (direct input only). Use VAL1 for value (-3.0 to 3.0).

YORIG
 —

Sets annotation y origin (direct input only). Use VAL1 for value (-3.0 to 3.0).

SNAP
 —

Sets annotation snap (menu button input only). Use VAL1 for value (0.002 to 0.2) (defaults to 0.002).

STAT
 —

Displays current annotation status.

DEFA
 —

Sets annotation specifications to the default values.

REFR
 —

Redisplays annotation graphics.

TMOD
 —

Sets the annotation text mode. If VAL1 = 1, annotation text will be drawn in scalable bitmap fonts (default). If VAL1 = 0, annotation text will be drawn with stroke text.

VAL1

Value (or file name) as noted with label above.

VAL2

Value (or file name extension) as noted with label above.

Notes

This is a command generated by the GUI and will appear in the log file (Jobname.LOG) if annotation is used. This command is not intended to be typed in directly in an ANSYS session (although it can be included in an input file for batch input or for use with the /INPUT command).

You cannot use the “!” and “$” characters in ANSYS text annotation.

/ANNOT activates annotation graphics for adding annotation to displays. Commands representing the annotation instructions are automatically created by the annotation functions in the GUI and written to Jobname.LOG. The annotation commands are /ANNOT, /ANUM, /TLABEL, /LINE, /LARC, /LSYMBOL, /POLYGON, /PMORE, /PCIRCLE, /PWEDGE, /TSPEC, /LSPEC, and /PSPEC. Annotation graphics are relative to the full Graphics Window and are not affected by ANSYS window-specific commands (/WINDOW, /VIEW, etc.).

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Annotation>Create Annotation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ANMRES 		Up / Home Next
ANORM


ANORM

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ANORM, ANUM, NOEFLIP

Reorients area normals.

PREP7: Areas

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ANUM

Area number having the normal direction that the reoriented areas are to match.

NOEFLIP

Indicates whether you want to change the normal direction of the existing elements on the reoriented area(s) so that they are consistent with each area's new normal direction.

0
 —

Make the normal direction of existing elements on the reoriented area(s) consistent with each area's new normal direction (default).

1
 —

Do not change the normal direction of existing elements on the reoriented area(s).

Notes

Reorients areas so that their normals are consistent with that of a specified area.

If any of the areas have inner loops, the ANORM command will consider the inner loops when it reorients the area normals.

You cannot use the ANORM command to change the normal direction of any element that has a body or surface load. We recommend that you apply all of your loads only after ensuring that the element normal directions are acceptable.

Real constants (such as nonuniform shell thickness and tapered beam constants) may be invalidated by an element reversal.

See Revising Your Model of the Modeling and Meshing Guide for more information.

Menu Paths

Main Menu>Preprocessor>Modeling>Move / Modify>Areas>Area Normals

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/ANNOT 		Up / Home Next
ANSOL


ANSOL

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ANSOL, NVAR, NODE, Item, Comp, Name, Mat, Real, Ename

Specifies averaged nodal data to be stored from the results file in the solution coordinate system.

POST26: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NVAR

Arbitrary reference number assigned to this variable (2 to NV [NUMVAR]). Overwrites any existing results for this variable.

NODE

Node number for which data are to be stored.

Item

Label identifying the item. General item labels are shown in ANSOL - General Item and Component Labels below. Some items also require a component label.

Comp

Component of the item (if required). General component labels are shown in ANSOL - General Item and Component Labels below.

Name

Thirty-two character name for identifying the item on the printout and displays. Defaults to an eight character label formed by concatenating the first four characters of the Item and Comp labels.

Mat

The material number. Average will be computed based on the subset of elements with the specified material number. DEFAULT: Use all elements in the active set unless Real and/or Ename is specified.

Real

The real number. Average will be computed based on the subset of elements with the specified real number. DEFAULT: Use all elements in the active set unless Mat and/or Ename is specified.

Ename

The element type name. Average will be computed based on the subset of elements with the specified element type name. DEFAULT: Use all elements in the active set unless Mat and/or Real is specified.

Notes

Valid item and component labels for averaged nodal results are listed in ANSOL - General Item and Component Labels, below.

All element nodal quantities are obtained in RSYS, Solu and then averaged.

The ANSOL command defines averaged nodal results data to be stored from a results file [FILE]. Not all items are valid for all nodes. See the input and output summary tables of the Elements Reference of each element that is attached to the node for the available items.

COORDINATE SYSTEMS: All element nodal results used by ANSOL for averaging are in the element coordinate system, except for layered elements. Layered element results are in the layer coordinate system. You can further specify the element nodal results, for some elements, with the SHELL, LAYERP26, and FORCE commands.

ANSOL does not transform results from RSYS, SOLU to other coordinate systems. Verify that all elements attached to the subject node have the same coordinate system before using ANSOL.

SHELL ELEMENTS: The default shell element coordinate system is based on node ordering. For shell elements the adjacent elements could have a different RSYS,SOLU, making the resultant averaged data inconsistent. A note to this effect is issued when ANSOL is used in models containing shell elements. Ensure that consistent coordinate systems are active for all associated elements used by the ANSOL command.

DERIVED QUANTITIES: Some of the result items supported by ANSOL (see ANSOL - General Item and Component Labels) are derived from the component quantities. Use AVPRIN to specify the principal and vector sum quantity averaging methods.

DEFAULT: If Mat, Real , and Ename are not specified, all of the elements attached to the node will be considered. When a material ID, real constant ID, or element type discontinuity is detected at a node, a note is issued. For example, in a FSI analysis, a FLUID30 element at the structure interface would be considered. But since it contains no SX result, it will not be used during STORE operations.

ANSOL - General Item and Component Labels

General Item and Component Labels ANSOL, NVAR,ELEM,NODE,Item,Comp,Name,Mat,Real,Ename
Item | Comp | Description
S | X, Y, Z, XY, YZ, XZ | Component stress.
" 1, 2, 3 Principal stress.
" INT Stress intensity.
" EQV Equivalent stress.
EPEL | X, Y, Z, XY, YZ, XZ | Component elastic strain.
" 1, 2, 3 Principal elastic strain.
" INT Elastic strain intensity.
" EQV Elastic equivalent strain.
EPPL | X, Y, Z, XY, YZ, XZ | Component plastic strain.
" 1, 2, 3 Principal plastic strain.
" INT Plastic strain intensity.
" EQV Plastic equivalent strain.
EPCR | X, Y, Z, XY, YZ, XZ | Component creep strain.
" 1,2,3 Principal creep strain.
" INT Creep strain intensity.
" EQV Creep equivalent strain.
EPTH | X, Y, Z, XY, YZ, XZ | Component thermal strain.
" 1, 2, 3 Principal thermal strain.
" INT Thermal strain intensity.
" EQV Thermal equivalent strain.
NL | SEPL | Equivalent stress (from stress-strain curve).
" SRAT Stress state ratio.
" HPRES Hydrostatic pressure.
" EPEQ Accumulated equivalent plastic strain.
" CREQ Accumulated equivalent creep strain.
" PSV Plastic state variable.
" PLWK Plastic work/volume.
CONT STAT1 Contact status:
3-closed and sticking
2-closed and sliding
1-open but near contact
0-open and not near contact
" PENE Contact penetration.
" PRES Contact pressure.
" SFRIC Contact friction stress
" STOT Contact total stress (pressure plus friction)
" SLIDE Contact sliding distance
" GAP Contact gap distance
" FLUX Total heat flux at contact surface
“ CNOS Total number of contact status changes during substep.
TG | X, Y, Z, SUM | Component thermal gradient or vector sum.
TF | X, Y, Z, SUM | Component thermal flux or vector sum.
PG | X, Y, Z, SUM | Component pressure gradient or vector sum.
EF | X, Y, Z, SUM | Component electric field or vector sum.
D | X, Y, Z, SUM | Component electric flux density or vector sum.
H | X, Y, Z, SUM | Component magnetic field intensity or vector sum.
B | X, Y, Z, SUM | Component magnetic flux density or vector sum.
JC | X, Y, Z, SUM | Conduction current density for elements that support conduction current calculation. Components (X, Y, Z) and vector sum (SUM).

  1. Status notation is for all contact elements except CONTAC12 and CONTAC52. If you are using these elements, check the output listing in the corresponding element documentation.

Menu Paths

Main Menu>TimeHist Postpro>Variable Viewer

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ANORM 		Up / Home Next
ANSTOAQWA


ANSTOAQWA

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ANSTOAQWA, Fname, VertAxis, Gc, Rho, HWL, DiffKey, SymxKey, SymyKey

Creates an AQWA-LINE input file from the current ANSYS model.

SESSION: Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

AQWA file name (must be enclosed in single quotes). Defaults to Jobname.

VertAxis

Axis in the vertical direction (must be enclosed in single quotes):

'Y' (or 2)
—

Global Y axis.

'Z' (or 3)
—

Global Z axis (default).

Gc

Gravitational acceleration. Defaults to 9.81.

Rho

Density of water. Defaults to 1025.0.

HWL

Waterline height in model coordinates. Defaults to 0.0.

DiffKey

Diffracting model key:

0
—

Create a non-diffracting AQWA model.

1
—

Create a diffracting AQWA model (default).

SymxKey

Key indicating if model is symmetric about the global XZ plane:

0
—

No symmetry about XZ plane (default).

1
—

Use symmetry about XZ plane. Only include (or select) half the model.

SymyKey

Key indicating if model is symmetric about the global YZ plane:

0
—

No symmetry about YZ plane (default).

1
—

Use symmetry about YZ plane. Only include (or select) half the model.

Notes

This command macro creates the input file Fname.aqwa for the ANSYS AQWA Multi-Body Hydrodynamics System for diffraction analysis in AQWA-LINE from the model currently in the database, based on the currently selected set of elements. The selected set must only include the hull envelope; no internal structure should be selected.

There should be a line of nodes defined at the waterline. Only those elements that are entirely below the waterline will be specified as diffracting. If there are no waterline nodes, there will be no diffracting elements at the waterline, which will severely reduce the accuracy of the diffraction analysis.

The translator maps PLANE42, SHELL41, SHELL43, SHELL63, and SHELL181 elements to PANELs, and maps PIPE16, PIPE20, and PIPE59 elements to TUBEs. It does not recognize any other ANSYS element types. Any material or geometric properties can be used for the shell elements, as AQWA does not need any properties at all and the command does not use them. All the shell elements below the water must have their normals pointing outward.

TUBE elements in AQWA have material density, outside diameter, wall thickness, added mass, and drag coefficients, so appropriate properties should be used in the ANSYS model. PIPE59 elements can have added mass and damping coefficients; these will be written to the file. Note that ANSYS uses the inertia coefficient CM, whereas AQWA uses the added mass coefficient CA, where CM = (1 + CA). This correction is made automatically.

In AQWA the vertical axis is always the Z-axis. The command can convert a model built with either the Y or Z-axis vertical, but the X-axis must be horizontal and should preferably be along the fore/aft axis of the vessel. If the structure is symmetric and you wish to use the symmetry options, you must only select one half or one quarter of the model, as appropriate. If you model a complete vessel and specify X symmetry, the AQWA model will contain two sets of coincident elements.

If you are working from a model created for a structural analysis, it will probably be necessary to remesh the model as the structural mesh is most likely finer than needed for a diffraction analysis.

If you enter this command interactively (with the GUI active) and no data is provided for the command options, you will be prompted for their values.

You must verify the completeness and accuracy of the data written.

AQWA-LINE Notes

The file will specify restart stages 1-2 only. It has no options except REST, so AQWA may fail if any of the elements are badly shaped.

The total mass is obtained by integrating over the wetted surface area and adding the TUBE masses, so it should be reasonably accurate. However, the integration used is not as accurate as that in AQWA, so there may be a small difference between the weight and buoyancy, particularly if tubes represent a large portion of the model.

The position of the CG is unknown. A point mass is placed at the water-line above the CB, but you should change this to the correct position.

The moments of inertia are estimated based on the overall dimensions of the model and using standard formulae for a ship. You should change these to the correct values.

The maximum frequency is calculated from the maximum side length of the underwater elements. The range of frequencies runs from 0.1 rad/s to the calculated maximum, in steps of 0.1 rad/s.

The directions are in steps of 15° over a range that is determined by the symmetry you have specified, in accordance with the requirements of AQWA.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ANSOL 		Up / Home Next
ANSTOASAS


ANSTOASAS

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ANSTOASAS, Fname, KEY

Creates an ASAS input file from the current ANSYS model.

SESSION: Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

ASAS file name (must be enclosed in single quotes). Defaults to Jobname.

KEY

Key indicating type of file to produce:

0
—

ASAS file for use by ANSYS AQWA (no loads written). Creates the file Fname.asas.

1
—

ASAS file (all data written, including loads). Creates the file Fname.asas.

2
—

ASAS(NL) file. Creates the file Fname.asnl.

Notes

This command macro creates an input file for the ANSYS ASAS Finite Element Analysis System from the model and loads currently in the database, based on the currently selected set of elements. Most common structural element types are written, as well as sections (or real constants), materials, boundary conditions and loads, and solution and load step options. In addition, the water motion table for PIPE59 is written. Only constant (non-tabular) loads are written.

Data Written

The following data is written:

  • Solution control options

  • Nodes

  • Elements

  • Material data

  • Geometry data

  • Section data

  • ANSYS element components (ASAS sets)

  • Boundary conditions

  • Loads

  • Added mass (via MASS21 element)

Details are provided in the following sections.

Not all data is written. You must verify the completeness and accuracy of the data. Only loading at the current step is transferred; hence, no load step history is captured.

Solution Control Options

The ASAS project name is defined as "ANSYS".

The solution control options are converted as follows:

ANSYS Analysis Type | ASAS(L) / AQWA-WAVE Option | ASAS(NL) Option
Static (0) | JOB NEW LINE | JOB STAT
Buckling (1) | Not applicable | JOB STAT SPIT KGEOM
Modal (2) | JOB NEW FREQ | JOB STAT SPIT KGEOM
Transient (4) | Not applicable | JOB TRAN
Remaining analysis types | JOB NEW LINE | JOB STAT

For conversion to ASAS(NL), the large displacement option is set based on NLGEOM, final load solution time is set based on TIME, and sub-step times are set based on DELTIM or NSUBST (assuming constant step size).

Element Data

If you intend to use the data only with AQWA-WAVE, only the elements that form the wetted surface are required. Selecting these elements before invoking the ANSTOASAS command will improve performance. In order for AQWA-WAVE to identify the direction of the wave loading, all elements must be defined by nodes in a clockwise direction. For further information, refer to the AQWA-WAVE manual.

The element types are converted as follows:

ANSYS Element Type | Supported Facilities | Notes
LINK1 - 2-D Spar (or Truss) | FLA2 |
BEAM3 - 2-D Elastic Beam | BM2D |
BEAM4 - 3-D Elastic Beam | BM3D |
LINK8 - 3-D Spar (or Truss) | FLA2 |
COMBIN14 - Spring-Damper | SPR1 SPR2 if rotational spring FLA2 (ASAS(L) only) if nodes are not coincident and longitudinal spring | ASAS(L) does not support spring elements with non-coincident nodes. In this case, COMBIN14 is converted to FLA2.
PIPE16 - Elastic Straight Pipe | TUBE |
MASS21 - Structural Mass | N/A | In ASAS, additional mass is not added as an element. Hence, if this element is included, equivalent ASAS lumped added mass information is written.
PLANE42 - 2-D Structural Solid | QUM4 TRM3 - if Triangular |
SHELL43 - 4-Node Plastic Large Strain Shell | QUS4 TBC3 - if Triangular | TBC3 elements are only available in ASAS(L).
BEAM44 - 3-D Elastic Tapered Unsymmetric Beam | BM3D |
SOLID45 - 3-D Structural Solid | BRK8 TET4 - if Tetrahedral BRK6 - if Prism | TET4 elements are only available in ASAS(L). Element is not converted if Pyramidal.
PIPE59 - Immersed Pipe or Cable | TUBE | If the element includes wave loading data, a wave load is generated automatically; in this case your file will need to be processed by ASAS-WAVE (part of ANSYS OFFSHORE) or ASAS NL.
SHELL61 - Axisymmetric-Harmonic Structural Shell | ASH2 | ASH2 elements are only available in ASAS(L).
SHELL63 - Elastic Shell | QUS4 TBC3 - if Triangular | TBC3 elements are only available in ASAS(L).
PLANE82 - 2-D 8-Node Structural Solid | QUM8 TRM6 - if Triangular |
SOLID92 - 3-D 10-Node Tetrahedral Structural Solid | TE10 |
SHELL93 - 8-Node Structural Shell | TCS8 TCS6 - if Triangular |
SOLID95 - 3-D 20-Node Structural Solid | BR20 TE10 - if Tetrahedral BR15 - if Prism | TE10 elements are only available in ASAS(L). Element is not converted if Pyramidal.
LINK180 - 3-D Finite Strain Spar (or Truss) | FLA2 |
SHELL181 - 4-Node Finite Strain Shell | QUS4 TBC3 - if Triangular | TBC3 elements are only available in ASAS(L).
PLANE182 - 2-D 4-Node Structural Solid | QUM4 TRM3 - if Triangular |
PLANE183 - 2-D 8-Node or 6-Node Structural Solid | QUM8 TRM6 - if Triangular |
SOLID185 - 3-D 8-Node Structural Solid or Layered Solid | BRK8 TET4 - if Tetrahedral BRK6 - if Prism | TET4 elements are only available in ASAS(L). Element is not converted if Pyramidal.
SOLID186 - 3-D 20-Node Structural Solid or Layered Solid | BR20 TE10 - if Tetrahedral BR15 - if Prism | TE10 elements are only available in ASAS(L). Element is not converted if Pyramidal.
SOLID187 - 3-D 10-Node Tetrahedral Structural Solid | TE10 | TE10 elements are only available in ASAS(L).
BEAM188 - 3-D Linear Finite Strain Beam | BM3D |
BEAM189 - 3-D Quadratic Finite Strain Beam | TCBM - if ASAS(L) STF4 - if ASAS(NL) | Refer to geometry details for limitations for TCBM elements. An orientation node is needed for STF4 and must be specified.
SHELL208 - 2-Node Finite Strain Axisymmetric Shell | ASH2 | ASH2 elements are only available in ASAS(L).

Material Data

Linear isotropic material conversion is supported for ASAS and ASAS(NL).

Geometry Data

The following ASAS element geometry data is supported:

ASAS Element Type | Support Facilities | Notes
BM3D | Sections, orientation by 3rd node position. | Sections are always defined separately.
TUBE | Thickness and diameter defined, orientation by 3rd node or default local axes. | Using the default local axes will result in BETA being set to 90° (to ensure that the ASAS local axes are the same as those in ANSYS).
BM2D | A, IZ & AY properties defined. |
TCBM | Uniform section properties supported. | TCBM does not support general local axis orientations. Hence, elements will only be correct if they lie in the global XY plane.
STF4 | CTUB, RECT, and HREC ANSYS subtypes supported. | STF4 elements are only supported in ASAS(NL). Local y and z are 90° to the ANSYS definition.
FLA2 | Uniform cross sectional area. |
SPR1 / SPR2 | Stiffness (and also linear damping if ASAS(NL)) included. |
All non-beam elements | Constant element thickness. |

Section Data

No user sections are generated if AQWA-WAVE data is selected.

The following sections are converted for ASAS and ASAS(NL):

ANSYS Section Type | ASAS Section Type | Notes
CTUB | TUB | Tubular section
I | FBI | Fabricated I beam
HREC | BOX | Fabricated box
All others | PRI | Prismatic section, only flexural properties defined.

Boundary Conditions

The following boundary conditions are converted for ASAS and ASAS(NL):

ANSYS Boundary Condition | ASAS Boundary Condition | Notes
Nodal U* and ROT* constraints | SUPPressed freedoms: X, Y, Z, RX, RY, RZ | Skewed systems are not supported.
Nodal U* and ROT* imposed non-zero values | DISPlaced freedoms: X, Y, Z, RX, RY, RZ | Skewed systems are not supported.
CP and CE constraint equations | CONStraint equation data | Skewed systems are not supported.

Loads

No user loading is generated if AQWA-WAVE data is selected. However, a load case (number 1000) is automatically defined to identify the wetted surface of the elements for use by AQWA-WAVE based on the normal surface loads applied to the solid or shell elements.

Only non-tabular loads are written. Pressure loading significantly increases the conversion time.

The following loads are converted for ASAS:

ANSYS Load Type | ASAS Load Type | Notes
SFE (PRES) | PRESSURE (no sub-types) | Element families supported: Solids, shells (excluding edge pressures), planes (edge pressures only), and axisymmetric shells.
SFE (PRES) | DISTRIBUted loading Shells - ML2 Beams - BL1 / BL2 Tubes - GL1 Curved beams - CB1 | Element families supported: Shells (edge pressures only), Beams (includes tubes and curved beams).
F (F* and M*) | NODAL Load, in X, Y, Z, RX, RY, RZ | Skewed systems are not supported.
D (U* and ROT*) | PRESCRIBed displacements |
ACEL | BODY FORce |
Water motion table for PIPE59 element | WAVE LOAd, includes the following options: GRAVity ELEVation WAVE (Airy / Stokes) PCUR SLWT DRAG MASS BUOY XMAS | The wave load type is only available for processing by ASAS-WAVE (part of ANSYS OFFSHORE) or ASAS(NL). For full details of the options listed, please refer to the appropriate ASAS-WAVE or ASAS(NL) manual.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ANSTOAQWA 		Up / Home Next
ANTIME


ANTIME

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ANTIME, NFRAM, DELAY, NCYCL, AUTOCNTRKY, RSLTDAT, MIN, MAX

Produces a sequential contour animation over a range of time.

POST1: Animation

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NFRAM

Number of frame captures (defaults to 5).

DELAY

Time delay during animation (defaults to 0.1 seconds).

NCYCL

Number of animation cycles (defaults to 5). Available in non-UI mode only.

AUTOCNTRKY

Auto-scales contour values, based on the overall subset range of values. The auto-scaling option defaults to 0, no auto-scaling.

RSLTDAT

The results data to be used for the animation sequence. This can be:

0
 —

Current load step data (default).

1
 —

Range of load step data.

2
 —

Range of time data.

MIN

The range minimum value. If left blank defaults to the first data point.

MAX

The range maximum value. If left blank defaults to the last data point.

Notes

The ANTIME command operates only on graphic display platforms supporting the /SEG command. It uses an ANSYS macro to produce an animation of contour values for the last plot action command (for example, PLDISP). After executing ANTIME, the ANIM command will replay the animated sequence.

This command functions only in the postprocessor.

Menu Paths

Utility Menu>PlotCtrls>Animate>Animate Over Time
Utility Menu>PlotCtrls>Animate>Time-harmonic

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ANSTOASAS 		Up / Home Next
ANTYPE


ANTYPE

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ANTYPE, Antype, Status, LDSTEP, SUBSTEP, Action

Specifies the analysis type and restart status.

SOLUTION: Analysis Options

MP ME ST PR PRN DS DSS FL EM EH <> PP <>

Product Restrictions

Antype

Analysis type (defaults to the previously specified analysis type, or to STATIC if none specified):

STATIC or 0
 —

Perform a static analysis. Valid for all degrees of freedom.

BUCKLE or 1
 —

Perform a buckling analysis. Implies that a previous static solution was performed with prestress effects calculated [PSTRES,ON]. Valid for structural degrees of freedom only.

MODAL or 2
 —

Perform a modal analysis. Valid for structural and fluid degrees of freedom.

HARMIC or 3
 —

Perform a harmonic analysis. Valid for structural, fluid, magnetic, and electrical degrees of freedom.

TRANS or 4
 —

Perform a transient analysis. Valid for all degrees of freedom.

SUBSTR or 7
 —

Perform a substructure analysis. Valid for all degrees of freedom.

SPECTR or 8
 —

Perform a spectrum analysis. Implies that a previous modal analysis was performed. Valid for structural degrees of freedom only.

Status

Specifies the status of the analysis (new or restart):

NEW
 —

Specifies a new analysis (default). If NEW, the remaining fields on this command are ignored.

REST
 —

Specifies a restart of a previous analysis. Valid only for static, harmonic (2-D magnetic only), full and mode-superposition transient, and substructure (backsubstitution method only) analyses.

For full transient and nonlinear static structural or thermal analyses, a multiframe restart is performed by default. Use the RESCONTROL command to set up or disable the multiframe restart.

For mode-superposition transient analyses, a singleframe restart is performed by default.

This option resumes the .rdb file created at the start of solution. If boundary conditions are deleted in solution (for example, after being used to create an initial velocity or to establish initial contact), they will need to be deleted again after issuing this command.

VTREST
 —

Specifies the restart of a previous VT Accelerator analysis. Valid only with Antype = STATIC, HARMIC, or TRANS.

LDSTEP

Specifies the load step at which a multiframe restart will begin.

For full transient and nonlinear static structural or thermal analyses, the default is the highest load step number found in the Jobname.Rnnn files for the current jobname in the current directory. Not used for singleframe restarts.

For mode-superposition transient analyses, the default is none.

SUBSTEP

Specifies the substep at which a multiframe restart will begin.

For full transient and nonlinear static structural or thermal analyses, the default is the highest substep number found for the specified LDSTEP in the Jobname.Rnnn files in the current directory. Not used for singleframe restarts.

For mode-superposition transient analyses, the default is none.

Action

Specifies the manner of a multiframe restart. Not used for traditional restarts.

CONTINUE
 —

ANSYS will continue the analysis based on the specified LDSTEP and SUBSTEP (default). The current load step will be continued. If the end of the load step is encountered in the .Rnnn file, a new load step will be started. ANSYS will delete all .Rnnn files, or .Mnnn files for mode-superposition transient analyses, beyond the point of restart and will update the .LDHI file if a new load step is encountered.

ENDSTEP
 —

At restart, force the specified load step (LDSTEP) to end at the specified substep (SUBSTEP), even though the end of the current load step has not been reached. At the end of the specified substep, all loadings will be scaled to the level of the current ending and stored in the .LDHI file. A run following this ENDSTEP will start a new load step. This feature allows you to change the load level in the middle of a load step. ANSYS will update the .LDHI file and delete all .Rnnn files, or .Mnnn files for mode-superposition transient analyses, beyond the point of ENDSTEP. The .Rnnn or .Mnnn file at the point of ENDSTEP will be rewritten to record the rescaled load level.

RSTCREATE
 —

At restart, retrieve information to be written to the results file for the specified load step (LDSTEP) and substep (SUBSTEP). Be sure to use OUTRES to write the results to the results file. This action does not affect the .LDHI or .Rnnn files. Previous items stored in the results file at and beyond the point of RSTCREATE will be deleted. This option is not available for restart of a mode-superposition transient analysis.

Command Default

New static analysis.

Notes

The analysis type Antype cannot be changed if it is a restart run. Always save parameters before doing a restart. You can perform a multiframe restart only for nonlinear static and full transient structural, thermal, thermal-structural, and mode-superposition analyses. (For linear static analyses, you can use a singleframe restart.)

The following notes apply to multiframe restart:

  • LDSTEP, SUBSTEP, and Action are only valid for multiframe restart.

  • To switch from multiframe restart to the singleframe restart, delete any .RDB, .LDHI, and .Rnnn files in the directory. Issue the ANTYPE,,REST command and use the files .DB, .ESAV or .OSAV, and .EMAT.

  • A new specification of the TIME command within a load step when beginning a multiframe restart is invalid because the load step has been specified previously before restart.

If you use ANTYPE to change your analysis type in the same SOLVE session, ANSYS issues the following note: “Some analysis options have been reset to their defaults. Please verify current settings or respecify as required.” Typically, ANSYS resets commands such as NLGEOM, SSTIF, and EQSLV to their default values.

This command is also valid in PREP7.

Product Restrictions

Only the Antype values STATIC, BUCKLE, MODAL, HARMIC, TRANS, or SPECTR are valid in ANSYS Professional. Only the Antype values STATIC, HARMIC, or TRANS are valid in ANSYS Emag.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>New Analysis
Main Menu>Preprocessor>Loads>Analysis Type>Restart
Main Menu>Preprocessor>Loads>Analysis Type>Sol'n Controls>Basic
Main Menu>Solution>Analysis Type>New Analysis
Main Menu>Solution>Analysis Type>Restart
Main Menu>Solution>Analysis Type>Sol'n Controls>Basic

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ANTIME 		Up / Home Next
/ANUM


/ANUM

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

/ANUM, NUM, TYPE, XHOT, YHOT

Specifies the annotation number, type, and hot spot (GUI).

GRAPHICS: Annotation

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NUM

Annotation number. ANSYS automatically assigns the lowest available number. You cannot assign a higher number if a lower number is available; ANSYS will substitute the lowest available number in place of any user-specified higher number.

TYPE

Annotation internal type number. If TYPE = DELE, delete annotation NUM.

1
 —

Text

2
 —

Block text (not available in GUI)

3
 —

Dimensions

4
 —

Lines

5
 —

Rectangles

6
 —

Circles

7
 —

Polygons

8
 —

Arcs

9
 —

Wedges, pies

11
 —

Symbols

12
 —

Arrows

13
 —

Bitmap

XHOT

X hot spot (-1.0 < X < 2.0). Used for menu button item delete.

YHOT

Y hot spot (-1.0 < Y < 1.0). Used for menu button item delete.

Command Default

Number, type, and hot spot are automatically determined.

Notes

This is a command generated by the GUI and will appear in the log file (Jobname.LOG) if annotation is used. This command is not intended to be typed in directly in an ANSYS session (although it can be included in an input file for batch input or for use with the /INPUT command).

Type 13 (bitmap) annotation applies user defined bitmaps defined using the FILE option of the /TXTRE command.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Annotation>Create Annotation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ANTYPE 		Up / Home Next
AOFFST


AOFFST

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

AOFFST, NAREA, DIST, KINC

Generates an area, offset from a given area.

PREP7: Areas

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NAREA

Area from which generated area is to be offset. If NAREA = ALL, offset from all selected areas [ASEL]. If NAREA = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI).

DIST

Distance normal to given area at which keypoints for generated area are to be located. Positive normal is determined from the right-hand-rule keypoint order.

KINC

Keypoint increment between areas. If zero, the lowest available keypoint numbers are assigned [NUMSTR].

Notes

Generates an area (and its corresponding keypoints and lines) offset from a given area. The direction of the offset varies with the given area normal. End slopes of the generated lines remain the same as those of the given pattern. Area and line numbers are automatically assigned, beginning with the lowest available values [NUMSTR].

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Areas>Arbitrary>By Offset

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/ANUM 		Up / Home Next
AOVLAP


AOVLAP

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

AOVLAP, NA1, NA2, NA3, NA4, NA5, NA6, NA7, NA8, NA9

Overlaps areas.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NA1, NA2, NA3, . . . , NA9

Numbers of areas to be operated on. If NA1 = ALL, use all selected areas and ignore NA2 to NA9. If NA1 = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI). A component name may also be substituted for NA1.

Notes

Generates new areas which encompass the geometry of all the input areas. The new areas are defined by the regions of intersection of the input areas, and by the complementary (non-intersecting) regions. See Solid Modeling in the Modeling and Meshing Guide for an illustration. This operation is only valid when the region of intersection is an area. See the BOPTN command for an explanation of the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Overlap>Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
AOFFST 		Up / Home Next
APLOT


APLOT

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

APLOT, NA1, NA2, NINC, DEGEN, SCALE

Displays the selected areas.

PREP7: Areas

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NA1, NA2, NINC

Displays areas from NA1 to NA2 (defaults to NA1) in steps of NINC (defaults to 1). If NA1 = ALL (default), NA2 and NINC are ignored and all selected areas [ASEL] are displayed.

DEGEN

Degeneracy marker:

(blank)
—

No degeneracy marker is used (default).

DEGE
—

A red star is placed on keypoints at degeneracies (see the Modeling and Meshing Guide ). Not available if /FACET,WIRE is set.

SCALE

Scale factor for the size of the degeneracy-marker star. The scale is the size in window space (-1 to 1 in both directions) (defaults to .075).

Notes

This command is valid in any processor. The degree of tessellation used to plot the selected areas is set through the /FACET command.

Menu Paths

Main Menu>Preprocessor>Modeling>Check Geom>Show Degeneracy>Plot Degen Areas
Main Menu>Preprocessor>Modeling>Operate>Booleans>Show Degeneracy>Plot Degen Areas
Utility Menu>Plot>Areas
Utility Menu>Plot>Specified Entities>Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
AOVLAP 		Up / Home Next
APPEND


APPEND

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

APPEND, LSTEP, SBSTEP, FACT, KIMG, TIME, ANGLE, NSET

Reads data from the results file and appends it to the database.

POST1: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LSTEP

Load step number of the data set to be read. Defaults to 1. If FIRST, ignore SBSTEP and TIME and read the first data set. If LAST, ignore SBSTEP and TIME and read the last data set. If NEXT, ignore SBSTEP and TIME and read the next data set. If already at the last data set, the next set is the first data set. If NEAR, ignore SBSTEP and read the data set nearest to TIME. If TIME is blank, read the first data set. If LIST, scan the results file to produce a summary of each load step (FACT, KIMG, TIME and ANGLE are ignored).

SBSTEP

Substep number (within LSTEP) (defaults to last substep of load step). For the Buckling (ANTYPE,BUCKLE) or Modal (ANTYPE,MODAL) analysis, the substep corresponds to the mode number (defaults to first mode). If LSTEP = LIST, SBSTEP = 0 or 1 will list the basic load step information; SBSTEP = 2 will also list the load step title, and label the imaginary data sets if they exist.

FACT

Scale factor applied to data read from the file. If zero (or blank), a value of 1.0 is used. Harmonic velocities or accelerations may be calculated from the displacement results from a Modal or Harmonic Response (ANTYPE,HARMIC) analyses. If FACT = VELO, the harmonic velocities (v) are calculated from the displacements (d) at a particular frequency (f) according to the relationship v = 2 πfd. Similarly, if FACT = ACEL, the harmonic accelerations (a) are calculated as a = (2 πf)2d.

KIMG

Used only with results from complex analyses:

0
 —

Store real part of complex solution.

1
 —

Store imaginary part.

TIME

Time-point identifying the data set to be read. For the harmonic response analyses, time corresponds to the frequency. For the buckling analysis, time corresponds to the load factor. Used only in the following cases: If LSTEP is NEAR, read the data set nearest to TIME. If both LSTEP and SBSTEP are zero (or blank), read data set at time = TIME. If TIME is between two solution time points on the results file, a linear interpolation is done between the two data sets. Solution items not written to the results file [OUTRES] for either data set will result in a null item after data set interpolation. If TIME is beyond the last time point on the file, the last time point is used.

ANGLE

Circumferential location (0° to 360°). Defines the circumferential location for the harmonic calculations used when reading from the results file. The harmonic factor (based on the circumferential angle) is applied to the harmonic elements (PLANE25, PLANE75, PLANE78, FLUID81, PLANE83, and SHELL61) of the load case. See the Theory Reference for ANSYS and ANSYS Workbench for details. Note that factored values of applied constraints and loads will overwrite any values existing in the database.

NSET

Data set number of the data set to be read. If a positive value for NSET is entered, LSTEP, SBSTEP, KIMG, and TIME are ignored. Available set numbers can be determined by APPEND,LIST. To determine if data sets are real or imaginary, issue APPEND,LIST,2 which labels imaginary data sets.

Notes

Reads a data set from the results file and appends it to the existing data in the database for the selected model only. The existing database is not cleared (or overwritten in total), allowing the requested results data to be merged into the database. Various operations may also be performed during the read operation. The database must have the model geometry available (or used the RESUME command before the APPEND command to restore the geometry from File.DB).

Menu Paths

Main Menu>General Postproc>Read Results>By Load Step
Main Menu>General Postproc>Read Results>By Set Number
Main Menu>General Postproc>Read Results>By Time/Freq

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
APLOT 		Up / Home Next
APTN


APTN

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

APTN, NA1, NA2, NA3, NA4, NA5, NA6, NA7, NA8, NA9

Partitions areas.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NA1, NA2, NA3, . . . , NA9

Numbers of areas to be operated on. If NA1 = ALL, NA2 to NA9 are ignored and all selected areas are used. If NA1 = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI). A component name may be substituted for NA1.

Notes

Partitions areas that intersect. This command is similar to the combined functionality of the ASBA and AOVLAP commands. If the intersection of two or more areas is an area (i.e., planar), new areas will be created with boundaries that conform to the area of intersection and to the boundaries of the non-intersecting portions of the input areas [AOVLAP]. If the intersection is a line (i.e., not planar), the areas will be subtracted, or divided, along the line(s) of intersection [ASBA]. Both types of intersection can occur during a single APTN operation. Areas that do not intersect will not be modified. See the Modeling and Meshing Guide for an illustration. See the BOPTN command for an explanation of the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Partition>Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
APPEND 		Up / Home Next
ARCLEN


ARCLEN

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ARCLEN, Key, MAXARC, MINARC

Activates the arc-length method.

SOLUTION: Nonlinear Options

MP ME ST <> <> <> <> <> <> <> <> PP <>

Key

Arc-length key:

OFF
 —

Do not use the arc-length method (default).

ON
 —

Use the arc-length method.

MAXARC

Maximum multiplier of the reference arc-length radius (default = 25).

MINARC

Minimum multiplier of the reference arc-length radius (default = 1/1000).

Notes

Activates the arc-length method and sets the minimum and maximum multipliers for the arc-length radius. The reference arc-length radius is calculated from the load or displacement increment of the first iteration of the first substep. This increment is determined by the following formula:

Reference Arc-Length Radius = Total Load (or Displacement) / NSBSTP

where NSBSTP is the number of substeps specified on the NSUBST command.

The factors MAXARC and MINARC are used to define the limits of the arc-length radius by using the following formulas:

lower limit = MINARC * (Reference Arc-Length Radius)

upper limit = MAXARC * (Reference Arc-Length Radius)

In each subsequent substep, a new arc-length radius is first calculated based on the arc-length radius of the previous substep and the solution behavior. Next, the newly calculated arc-length radius is further modified so that it falls between the range of the upper limit and lower limit. If the solution does not converge even when using the lower limit of the arc-length radius, the solution will terminate.

These values, together with the reference arc-length radius, define the limit for the new arc-length radius.

ARCLEN must be turned OFF for any load step without an applied load or displacement.

You cannot use the arc-length method with the following controls: automatic time stepping [AUTOTS], line search [LNSRCH], and the DOF solution predictor [PRED]. If you activate the arc-length method after you set any of these controls, a warning message appears. If you choose to proceed with the arc-length method activation, ANSYS disables your automatic time stepping, line search, and DOF predictor settings.

You cannot use the arc-length method with tabular loads.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Sol'n Controls>Advanced NL
Main Menu>Preprocessor>Loads>Load Step Opts>Nonlinear>Arc-Length Opts
Main Menu>Solution>Analysis Type>Sol'n Controls>Advanced NL
Main Menu>Solution>Load Step Opts>Nonlinear>Arc-Length Opts

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
APTN 		Up / Home Next
ARCOLLAPSE


ARCOLLAPSE

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ARCOLLAPSE, AREA, LINE

Collapses specified area to a specified line segment (for models imported from CAD files).

PREP7: CAD Repair

MP ME ST PR PRN <> <> FL EM <> <> PP <>

AREA

The ID of the area to collapse.

LINE

The ID of a line belonging to AREA; only the specified line will remain after the area is collapsed.

Notes

Use this command to simplify the geometry of a model imported from a CAD file (this is a geometry "cleanup" tool). This tool is available only for models imported from CAD files.

If AREA has any attached loads or boundary conditions, these must be reattached after the collapse operation (Default IGES option).

Menu Paths

Main Menu>Preprocessor>Modeling>Simplify>Toolkit>Collapse Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ARCLEN 		Up / Home Next
ARCTRM


ARCTRM

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ARCTRM, Lab, VAL, NODE, DOF

Controls termination of the arc-length solution.

SOLUTION: Nonlinear Options

MP ME ST <> <> <> <> <> <> <> <> PP <>

Lab

Specifies the basis of solution termination:

OFF
 —

Does not use ARCTRM to terminate analysis (default).

L
 —

Terminates the analysis if the first limit point has been reached. The first limit point is that point in the response history when the tangent stiffness matrix becomes singular (i.e., the point at which the structure becomes unstable). If Lab = L, arguments VAL, NODE, DOF are ignored.

U
 —

Terminates the analysis when the displacement first equals or exceeds the maximum desired value.

VAL

Maximum desired displacement (absolute value). Valid only if Lab = U. The analysis terminates whenever the calculated displacement first equals or exceeds this value. For rotational degrees of freedom, VAL must be in radians (not degrees).

NODE

Node number corresponding to displacement used to compare with displacement specified by VAL. If blank, the maximum displacement will be used. Valid only if Lab = U.

DOF

Valid degree of freedom label for nodal displacement specified by NODE. Valid labels are UX, UY, UZ, ROTX, ROTY, ROTZ. Valid only if NODE>0 and Lab = U.

Notes

It can be convenient to use this command to terminate the analysis when the first limit point is reached. In addition, the NCNV command should be used to limit the maximum number of iterations. If the ARCTRM command is not used, and the applied load is so large that the solution path can never reach that load, the arc-length solution will continue to run until a CPU time limit or a "maximum number of iterations" is reached.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Sol'n Controls>Advanced NL
Main Menu>Preprocessor>Loads>Load Step Opts>Nonlinear>Arc-Length Opts
Main Menu>Solution>Analysis Type>Sol'n Controls>Advanced NL
Main Menu>Solution>Load Step Opts>Nonlinear>Arc-Length Opts

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ARCOLLAPSE 		Up / Home Next
ARDETACH


ARDETACH

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ARDETACH, AREA1, AREA2, AINC

Detaches areas from neighboring geometrical entities (for models imported from CAD files).

PREP7: CAD Repair

MP ME ST PR PRN <> <> FL EM <> <> PP <>

AREA1, AREA2, AINC

Detach areas from AREA1 to AREA2 (defaults to AREA1) in steps of AINC (defaults to 1).

Notes

Use this command to detach non-manifold areas from their neighboring geometric entities. This command is available only for repairing the geometry of models imported from CAD systems (Default IGES option).

Menu Paths

Main Menu>Preprocessor>Modeling>Geom Repair>Detach Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ARCTRM 		Up / Home Next
AREAS


AREAS

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

AREAS

Specifies "Areas" as the subsequent status topic.

PREP7: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ARDETACH 		Up / Home Next
AREFINE


AREFINE

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

AREFINE, NA1, NA2, NINC, LEVEL, DEPTH, POST, RETAIN

Refines the mesh around specified areas.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NA1, NA2, NINC

Areas (NA1 to NA2 in increments of NINC) around which the mesh is to be refined. NA2 defaults to NA1, and NINC defaults to 1. If NA1 = ALL, NA2 and NINC are ignored and all selected areas are used for refinement. If NA1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NA1 (NA2 and NINC are ignored).

LEVEL

Amount of refinement to be done. Specify the value of LEVEL as an integer from 1 to 5, where a value of 1 provides minimal refinement, and a value of 5 provides maximum refinement (defaults to 1).

DEPTH

Depth of mesh refinement in terms of the number of elements outward from the indicated areas (defaults to 1).

POST

Type of postprocessing to be done after element splitting, in order to improve element quality:

OFF
 —

No postprocessing will be done.

SMOOTH
 —

Smoothing will be done. Node locations may change.

CLEAN
 —

Smoothing and cleanup will be done. Existing elements may be deleted, and node locations may change (default).

RETAIN

Flag indicating whether quadrilateral elements must be retained in the refinement of an all-quadrilateral mesh. (The ANSYS program ignores the RETAIN argument when you are refining anything other than a quadrilateral mesh.)

ON
 —

The final mesh will be composed entirely of quadrilateral elements, regardless of the element quality (default).

OFF
 —

The final mesh may include some triangular elements in order to maintain element quality and provide transitioning.

Notes

AREFINE performs local mesh refinement around the specified areas. By default, the indicated elements are split to create new elements with 1/2 the edge length of the original elements (LEVEL = 1).

AREFINE refines all area elements and tetrahedral volume elements that are adjacent to the specified areas. Any volume elements that are adjacent to the specified areas, but are not tetrahedra (for example, hexahedra, wedges, and pyramids), are not refined.

You cannot use mesh refinement on a solid model that contains initial conditions at nodes [IC], coupled nodes [CP family of commands], constraint equations [CE family of commands], or boundary conditions or loads applied directly to any of its nodes or elements. This applies to nodes and elements anywhere in the model, not just in the region where you want to request mesh refinement. See Revising Your Model in the Modeling and Meshing Guide for additional restrictions on mesh refinement.

This command is also valid for rezoning.

Menu Paths

Main Menu>Preprocessor>Meshing>Modify Mesh>Refine At>Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
AREAS 		Up / Home Next
AREMESH


AREMESH

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

AREMESH, LCOMB, ANGLE

Generates an area in which to create a new mesh for rezoning.

SOLUTION: Rezoning

MP ME ST <> <> <> <> <> <> <> <> PP <>

LCOMB

Specifies how to combine adjacent line segments:

0
—

Line segments combined by connecting ends to ends. This value is the default.

-1
 —

No line segments combined.

ANGLE

The maximum angle (in degrees) allowed for connecting two line segments together. The default value is 30. This value is valid only when LCOMB = 0.

Notes

Issue the AREMESH command after issuing a REMESH,START command and before issuing a REMESH,FINISH command.

The AREMESH command cannot account for an open area (or “hole”) inside a completely enclosed region. Instead, try meshing around an open area by selecting two adjoining regions; for more information, see Remeshing Multiple Regions at the Same Substep.

Menu Paths

Main Menu>Solution>Manual Rezoning>Create Remesh Zone(s)>Create Rezone Area

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
AREFINE 		Up / Home Next
AREVERSE


AREVERSE

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

AREVERSE, ANUM, NOEFLIP

Reverses the normal of an area, regardless of its connectivity or mesh status.

PREP7: Areas

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ANUM

Area number of the area whose normal is to be reversed. If ANUM = ALL, the normals of all selected areas will be reversed. If ANUM = P, graphical picking is enabled. A component name may also be substituted for ANUM.

NOEFLIP

Indicates whether you want to change the normal direction of the existing elements on the reversed area(s) so that they are consistent with each area's new normal direction.

0
 —

Make the normal direction of existing elements on the reversed area(s) consistent with each area's new normal direction (default).

1
 —

Do not change the normal direction of existing elements on the reversed area(s).

Notes

You cannot use the AREVERSE command to change the normal direction of any element that has a body or surface load. We recommend that you apply all of your loads only after ensuring that the element normal directions are acceptable. Also, you cannot use this command to change the normal direction for areas attached to volumes because IGES data is unchanged by reversal. Reversed areas that are attached to volumes need to be reversed again when imported.

Real constants (such as nonuniform shell thickness and tapered beam constants) may be invalidated by an element reversal.

See Revising Your Model in the Modeling and Meshing Guide for more information.

Menu Paths

Main Menu>Preprocessor>Modeling>Move / Modify>Reverse Normals>of Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
AREMESH 		Up / Home Next
ARFILL


ARFILL

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ARFILL, LN1, LN2, LN3, LN4, LN5, LN6, LN7, LN8, LN9, LN10

Creates an area based on a set of singly-connected lines (for models imported from CAD files).

PREP7: CAD Repair

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LN1, LN2, LN3, . . . , LN10

List of lines that define the new area. If LN1 = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI). If LN1 = ALL, all selected lines will be checked for possible closure and all open areas will be filled with lines (lines will be added) that form closed loops.

Notes

The ARFILL command creates an area based on the boundary defined by a set of singly-connected lines. No lines in the selected set can be connected to two areas. The area created is the minimum surface defined by the boundary line set.

This tool is available only for models imported from CAD files (Default IGES option).

Menu Paths

Main Menu>Preprocessor>Modeling>Geom Repair>Fill Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
AREVERSE 		Up / Home Next
ARMERGE


ARMERGE

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ARMERGE, A1, A2, A3, A4, A5, A6, A7, A8, A9, A10

Merges two or more singly-connected adjacent areas (for models imported from CAD files).

PREP7: CAD Repair

MP ME ST PR PRN <> <> FL EM <> <> PP <>

A1, A2, A3, . . . , A10

List of areas that define the set of areas to merge. If A1 = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI). If A1 = ALL, all selected areas will be merged and all remaining arguments are ignored.

Notes

The ARMERGE command can concatenate more than two adjacent areas; however, for best results you should limit each merge to two areas. Also, you should restrict merge operations to areas that are clearly simple extensions of each other.

If the areas specified in the list have any attached loads or boundary conditions, these will be removed and must be reattached after the merge operation. If the merge operation would result in abnormal parameterization, the command will fail.

Use this command to simplify the geometry of a model imported from a CAD file (this is a geometry "cleanup" tool). This tool is available only for models imported from CAD files (Default IGES option).

Menu Paths

Main Menu>Preprocessor>Modeling>Simplify>Toolkit>Merge Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ARFILL 		Up / Home Next
AROTAT


AROTAT

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

AROTAT, NL1, NL2, NL3, NL4, NL5, NL6, PAX1, PAX2, ARC, NSEG

Generates cylindrical areas by rotating a line pattern about an axis.

PREP7: Areas

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1, NL2, NL3, . . . , NL6

List of lines in the pattern to be rotated (6 maximum if using keyboard entry of NL1 to NL6). The lines must lie in the plane of the axis of rotation. If NL1 = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI). If NL1 = ALL, all selected lines will define the pattern to be rotated. A component name may also be substituted for NL1.

PAX1, PAX2

Keypoints defining the axis about which the line pattern is to be rotated.

ARC

Arc length (in degrees). Positive follows right-hand rule about PAX1-PAX2 vector. Defaults to 360°.

NSEG

Number of areas (8 maximum) around circumference. Defaults to minimum number required for 90° -maximum arcs, i.e., 4 for 360°, 3 for 270°, etc.

Notes

Generates cylindrical areas (and their corresponding keypoints and lines) by rotating a line pattern (and its associated keypoint pattern) about an axis. Keypoint patterns are generated at regular angular locations, based on a maximum spacing of 90°. Line patterns are generated at the keypoint patterns. Arc lines are also generated to connect the keypoints circumferentially. Keypoint, line, and area numbers are automatically assigned, beginning with the lowest available values [NUMSTR]. Adjacent lines use a common keypoint. Adjacent areas use a common line.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Extrude>Lines>About Axis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ARMERGE 		Up / Home Next
ARSCALE


ARSCALE

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ARSCALE, NA1, NA2, NINC, RX, RY, RZ, KINC, NOELEM, IMOVE

Generates a scaled set of areas from a pattern of areas.

PREP7: Areas

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NA1, NA2, NINC

Set of areas, NA1 to NA2 in steps of NINC, that defines the pattern to be scaled. NA2 defaults to NA1, NINC defaults to 1. If NA1 = ALL, NA2 and NINC are ignored and the pattern is defined by all selected areas. If NA1 = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI). A component name may also be substituted for NA1 (NA2 and NINC are ignored).

RX, RY, RZ

Scale factors to be applied to the X, Y, and Z keypoint coordinates in the active coordinate system. (RR, R θ, RZ for cylindrical; RR, R θ, R Φ for spherical). Note that the R θ and R Φ scale factors are interpreted as angular offsets. For example, if CSYS = 1, RX, RY, RZ input of (1.5,10,3) would scale the specified keypoints 1.5 times in the radial and 3 times in the Z direction, while adding an offset of 10 degrees to the keypoints. Zero, blank, or negative scale factor values are assumed to be 1.0. Zero or blank angular offsets have no effect.

KINC

Increment to be applied to keypoint numbers for generated set. If zero, the lowest available keypoint numbers will be assigned [NUMSTR].

NOELEM

Specifies whether nodes and elements are also to be generated:

0
 —

Nodes and elements associated with the original areas will be generated (scaled) if they exist.

1
 —

Nodes and elements will not be generated.

IMOVE

Specifies whether areas will be moved or newly defined:

0
 —

Additional areas will be generated.

1
 —

Original areas will be moved to new position (KINC and NOELEM are ignored). Use only if the old areas are no longer needed at their original positions. Corresponding meshed items are also moved if not needed at their original position.

Notes

Generates a scaled set of areas (and their corresponding keypoints, lines, and mesh) from a pattern of areas. The MAT, TYPE, REAL, and ESYS attributes are based on the areas in the pattern and not the current settings. Scaling is done in the active coordinate system. Areas in the pattern could have been generated in any coordinate system. However, solid modeling in a toroidal coordinate system is not recommended.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Scale>Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
AROTAT 		Up / Home Next
ARSPLIT


ARSPLIT

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ARSPLIT, AREA, KP1, KP2, TOL, Factor

Splits an area between two keypoints (for models imported from CAD files).

PREP7: CAD Repair

MP ME ST PR PRN <> <> FL EM <> <> PP <>

AREA

The ID for the area to be split.

KP1

The ID of an existing keypoint within the area. This will be the starting keypoint for the boundary line. You cannot specify a keypoint for KP1 that is already connected to KP2.

KP2

The ID of an existing keypoint within the area that will become the end point for the boundary line.

TOL

Label to activate user-definable area tolerance. If TOL = TIGHT user-definable tolerances are used and the tolerance factor is specified by Factor.

Factor

The user-definable tolerance factor. Valid entries are integer values from 1 (the tightest setting) to 10 (the loosest and default setting). This is only used when TOL = TIGHT.

Notes

The ARSPLIT command creates a new boundary line between the specified keypoints, splitting the specified area into two areas sharing that boundary. The command will allow you to specify a keypoint pair such that the resultant boundary line will fall outside of the confines of the specified area; make sure that the keypoints you select do not create such a line.

Use this command to simplify the geometry of a model imported from a CAD file (this is a geometry "cleanup" tool). This tool is available only for models imported from CAD files (Default IGES option).

Normally, the default area tolerance is adequate for the ARSPLIT command. However, occasionally when attempting to split an extremely narrow area the ARSPLIT command can fail due to what the error message calls "numerical inadequacies" and you'll be prompted to try another location for the split. You may be able to split the area at the selected keypoints by tightening the area tolerance. To do this, issue the ARSPLIT command with TOL = TIGHT and Factor as an integer between 1 (the default, and loosest tolerance) and 10. You should remove any areas that are split through these arguments. If such areas remain, they may cause Boolean operations involving those areas to fail.

Menu Paths

Main Menu>Preprocessor>Modeling>Simplify>Toolkit>Split Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ARSCALE 		Up / Home Next
ARSYM


ARSYM

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ARSYM, Ncomp, NA1, NA2, NINC, KINC, NOELEM, IMOVE

Generates areas from an area pattern by symmetry reflection.

PREP7: Areas

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Ncomp

Symmetry key:

X
 —

X symmetry (default).

Y
 —

Y symmetry.

Z
 —

Z symmetry.

NA1, NA2, NINC

Reflect areas from pattern beginning with NA1 to NA2 (defaults to NA1) in steps of NINC (defaults to 1). If NA1 = ALL, NA2 and NINC are ignored and the pattern is all selected areas [ASEL]. If Ncomp = P, use graphical picking to specify areas and ignore NL2 and NINC. A component name may also be substituted for NA1 (NA2 and NINC are ignored).

KINC

Keypoint increment between sets. If zero, the lowest available keypoint numbers are assigned [NUMSTR].

NOELEM

Specifies whether nodes and elements are also to be generated:

0
 —

Generate nodes and elements associated with the original areas, if they exist.

1
 —

Do not generate nodes and elements.

IMOVE

Specifies whether areas will be moved or newly defined:

0
 —

Generate additional areas.

1
 —

Move original areas to new position retaining the same keypoint numbers (KINC and NOELEM are ignored). Valid only if the old areas are no longer needed at their original positions. Corresponding meshed items are also moved if not needed at their original position.

Notes

Generates a reflected set of areas (and their corresponding keypoints, lines and mesh) from a given area pattern by a symmetry reflection (see analogous node symmetry command, NSYM). The MAT, TYPE, REAL, ESYS, and SECNUM attributes are based upon the areas in the pattern and not upon the current settings. Reflection is done in the active coordinate system by changing a particular coordinate sign. The active coordinate system must be a Cartesian system. Areas in the pattern may have been generated in any coordinate system. However, solid modeling in a toroidal coordinate system is not recommended. Areas are generated as described in the AGEN command.

See the ESYM command for additional information about symmetry elements.

Menu Paths

Main Menu>Preprocessor>Modeling>Reflect>Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ARSPLIT 		Up / Home Next
ASBA


ASBA

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ASBA, NA1, NA2, SEPO, KEEP1, KEEP2

Subtracts areas from areas.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NA1

Area (or areas, if picking is used) to be subtracted from. If ALL, use all selected areas. Areas specified in this argument are not available for use in the NA2 argument. If P, graphical picking is enabled (valid only in the GUI) and remaining fields are ignored. A component name may also be substituted for NA1.

NA2

Area (or areas, if picking is used) to subtract. If ALL, use all selected areas (except those included in the NA1 argument). A component name may also be substituted for NA2.

SEPO

Behavior if the intersection of the NA1 areas and the NA2 areas is a line or lines:

(blank)
 —

The resulting areas will share line(s) where they touch.

SEPO
 —

The resulting areas will have separate, but coincident line(s) where they touch.

KEEP1

Specifies whether NA1 areas are to be deleted:

(blank)
 —

Use the setting of KEEP on the BOPTN command.

DELETE
 —

Delete NA1 areas after ASBA operation (override BOPTN command settings).

KEEP
 —

Keep NA1 areas after ASBA operation (override BOPTN command settings).

KEEP2

Specifies whether NA2 areas are to be deleted:

(blank)
 —

Use the setting of KEEP on the BOPTN command.

DELETE
 —

Delete NA2 areas after ASBA operation (override BOPTN command settings).

KEEP
 —

Keep NA2 areas after ASBA operation (override BOPTN command settings).

Notes

Generates new areas by subtracting the regions common to both NA1 and NA2 areas (the intersection) from the NA1 areas. The intersection can be an area(s) or line(s). If the intersection is a line and SEPO is blank, the NA1 area is divided at the line and the resulting areas will be connected, sharing a common line where they touch. If SEPO is set to SEPO, NA1 is divided into two unconnected areas with separate lines where they touch. See Solid Modeling in the Modeling and Meshing Guide for an illustration. See the BOPTN command for an explanation of the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated. ASBA,ALL,ALL will have no effect since all the areas (in NA1) will be unavailable as NA2 areas.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Divide>Area by Area
Main Menu>Preprocessor>Modeling>Operate>Booleans>Divide>With Options>Area by Area
Main Menu>Preprocessor>Modeling>Operate>Booleans>Subtract>Areas
Main Menu>Preprocessor>Modeling>Operate>Booleans>Subtract>With Options>Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ARSYM 		Up / Home Next
ASBL


ASBL

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ASBL, NA, NL, --, KEEPA, KEEPL

Subtracts lines from areas.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NA

Area (or areas, if picking is used) to be subtracted from. If ALL, use all selected areas. If P, graphical picking is enabled (valid only in the GUI) and remaining fields are ignored. A component name may also be substituted for NA.

NL

Line (or lines, if picking is used) to subtract. If ALL, use all selected lines. A component name may also be substituted for NL.

--

Unused field.

KEEPA

Specifies whether NA areas are to be deleted:

(blank)
 —

Use the setting of KEEP on the BOPTN command.

DELETE
 —

Delete NA areas after ASBL operation (override BOPTN command settings).

KEEP
 —

Keep NA areas after ASBL operation (override BOPTN command settings).

KEEPL

Specifies whether NL lines are to be deleted:

(blank)
 —

Use the setting of KEEP on the BOPTN command.

DELETE
 —

Delete NL lines after ASBL operation (override BOPTN command settings).

KEEP
 —

Keep NL lines after ASBL operation (override BOPTN command settings).

Notes

Generates new areas by subtracting the regions common to both the areas and lines (the intersection) from the NA areas. The intersection will be a line(s). See Solid Modeling in the Modeling and Meshing Guide for an illustration. See the BOPTN command for an explanation of the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Divide>Area by Line
Main Menu>Preprocessor>Modeling>Operate>Booleans>Divide>With Options>Area by Line

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ASBA 		Up / Home Next
ASBV


ASBV

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ASBV, NA, NV, SEPO, KEEPA, KEEPV

Subtracts volumes from areas.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NA

Area (or areas, if picking is used) to be subtracted from. If ALL, use all selected areas. If P, graphical picking is enabled (valid only in the GUI) and remaining fields are ignored. A component name may also be substituted for NA.

NV

Volume (or volumes, if picking is used) to subtract. If ALL, use all selected volumes. A component name may also be substituted for NV.

SEPO

Behavior if the intersection of the areas and the volumes is a line or lines:

(blank)
 —

The resulting areas will share line(s) where they touch.

SEPO
 —

The resulting areas will have separate, but coincident line(s) where they touch.

KEEPA

Specifies whether NA areas are to be deleted:

(blank)
 —

Use the setting of KEEP on the BOPTN command.

DELETE
 —

Delete NA areas after ASBV operation (override BOPTN command settings).

KEEP
 —

Keep NA areas after ASBV operation (override BOPTN command settings).

KEEPV

Specifies whether NV volumes are to be deleted:

(blank)
 —

Use the setting of KEEP on the BOPTN command.

DELETE
 —

Delete volumes after ASBV operation (override BOPTN command settings).

KEEP
 —

Keep volumes after ASBV operation (override BOPTN command settings).

Notes

Generates new areas by subtracting the regions common to both NA areas and NV volumes (the intersection) from the NA areas. The intersection can be an area(s) or line(s). If the intersection is a line and SEPO is blank, the NA area is divided at the line and the resulting areas will be connected, sharing a common line where they touch. If SEPO is set to SEPO, NA is divided into two unconnected areas with separate lines where they touch. See Solid Modeling in the Modeling and Meshing Guide for an illustration. See the BOPTN command for an explanation of the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Divide>Area by Volume
Main Menu>Preprocessor>Modeling>Operate>Booleans>Divide>With Options>Area by Volume
Main Menu>Preprocessor>Modeling>Operate>Divide>Area by Volu

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ASBL 		Up / Home Next
ASBW


ASBW

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ASBW, NA, SEPO, KEEP

Subtracts the intersection of the working plane from areas (divides areas).

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NA

Area (or areas, if picking is used) to be subtracted from. If NA = ALL, use all selected areas. If NA = P, graphical picking is enabled (valid only in the GUI). A component name may also be input for NA.

SEPO

Behavior of the created boundary.

(blank)
 —

The resulting areas will share line(s) where they touch.

SEPO
 —

The resulting areas will have separate, but coincident line(s).

KEEP

Specifies whether NA areas are to be deleted.

(blank)
 —

Use the setting of KEEP on the BOPTN command.

DELETE
 —

Delete NA areas after ASBW operation (override BOPTN command settings).

KEEP
 —

Keep NA areas after ASBW operation (override BOPTN command settings).

Notes

Generates new areas by subtracting the intersection of the working plane from the NA areas. The intersection will be a line(s). The working plane must not be in the same plane as the NA areas(s). If SEPO is blank, the NA area is divided at the line and the resulting areas will be connected, sharing a common line where they touch. If SEPO is set to SEPO, NA is divided into two unconnected areas with separate lines. The SEPO option may cause unintended consequences if any keypoints exist along the cut plane. See Solid Modeling in the Modeling and Meshing Guide for an illustration. See the BOPTN command for an explanation of the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated.

Issuing the ASBW command under certain conditions may generate a topological degeneracy error. Do not issue the command if:

  • A sphere or cylinder has been scaled. (A cylinder must be scaled unevenly in the XY plane.)

  • A sphere or cylinder has not been scaled but the work plane has been rotated.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Divide>Area by WrkPlane
Main Menu>Preprocessor>Modeling>Operate>Booleans>Divide>With Options>Area by WrkPlane
Main Menu>Preprocessor>Modeling>Operate>Divide>Area by WrkPlane

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ASBV 		Up / Home Next
ASEL


ASEL

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ASEL, Type, Item, Comp, VMIN, VMAX, VINC, KSWP

Selects a subset of areas.

DATABASE: Selecting

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Label identifying the type of select:

S
 —

Select a new set (default)

R
 —

Reselect a set from the current set.

A
 —

Additionally select a set and extend the current set.

U
 —

Unselect a set from the current set.

ALL
 —

Restore the full set.

NONE
 —

Unselect the full set.

INVE
 —

Invert the current set (selected becomes unselected and vice versa).

STAT
 —

Display the current select status.

The following fields are used only with Type = S, R, A, or U:

Item

Label identifying data. Valid item labels are shown in ASEL - Valid Item and Component Labels. Some items also require a component label. If Item = PICK (or simply “P”), graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). Defaults to AREA.

Comp

Component of the item (if required). Valid component labels are shown in ASEL - Valid Item and Component Labels.

VMIN

Minimum value of item range. Ranges are area numbers, coordinate values, attribute numbers, etc., as appropriate for the item. A component name (as specified on the CM command) may also be substituted for VMIN (VMAX and VINC are ignored). If Item = MAT, TYPE, REAL, or ESYS and if VMIN is positive, the absolute value of Item is compared against the range for selection; if VMIN is negative, the signed value of Item is compared. See the ALIST command for a discussion of signed attributes.

VMAX

Maximum value of item range. VMAX defaults to VMIN.

VINC

Value increment within range. Used only with integer ranges (such as for area numbers). Defaults to 1. VINC cannot be negative.

KSWP

Specifies whether only areas are to be selected:

0
 —

Select areas only.

1
 —

Select areas, as well as keypoints, lines, nodes, and elements associated with selected areas. Valid only with Type = S.

Command Default

All areas are selected.

Notes

Selects a subset of areas. For example, to select those areas with area numbers 1 through 7, use ASEL,S,AREA,,1,7. The selected subset is then used when the ALL label is entered (or implied) on other commands, such as ALIST,ALL. Only data identified by area number are selected. Data are flagged as selected and unselected; no data are actually deleted from the database.

If Item = ACCA, the command selects only those areas that were created by concatenation. The KSWP field is processed, but the Comp, VMIN, VMAX, and VINC fields are ignored.

This command is valid in any processor.

For Selects based on non-integer numbers (coordinates, results, etc.), items that are within the range VMIN-Toler and VMAX+Toler are selected. The default tolerance Toler is based on the relative values of VMIN and VMAX as follows:

  • If VMIN = VMAX, Toler = 0.005 x VMIN.

  • If VMIN = VMAX = 0.0, Toler = 1.0E-6.

  • If VMAX ≠ VMIN, Toler = 1.0E-8 x (VMAX-VMIN).

Use the SELTOL command to override this default and specify Toler explicitly.

ASEL - Valid Item and Component Labels

Valid Item and Component Labels ASEL, Type Item,Comp,VMIN,VMAX,VINC,KSWP
Item | Comp | Description
AREA |  | Area number.
EXT |  | Area numbers on exterior of selected volumes (ignore remaining fields).
LOC | X, Y, Z | X, Y, or Z center (picking "hot spot" location in the active coordinate system).
HPT |  | Area number (selects only areas with associated hard points).
MAT |  | Material number associated with the area.
TYPE |  | Element type number associated with the area.
REAL |  | Real constant set number associated with the area.
ESYS |  | Element coordinate system associated with the area.
SECN |  | Section number associated with the area.
ACCA |  | Concatenated areas (selects only areas that were created by area concatenation [ACCAT]).

Menu Paths

Utility Menu>Select>Entities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ASBW 		Up / Home Next
ASKIN


ASKIN

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ASKIN, NL1, NL2, NL3, NL4, NL5, NL6, NL7, NL8, NL9

Generates an area by "skinning" a surface through guiding lines.

PREP7: Areas

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1

The first guiding line forming the skinned area. If NL1 = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI). A component name may also be substituted for NL1. If NL1 is negative, the line beginnings and ends will be used to direct the skinning of the remaining lines (see "Changing the ASKIN Algorithm" below).

NL2, NL3, NL4, . . . , NL9

The additional guiding lines for the skinned area (up to 9 total lines, including NL1, if using keyboard entry). If negative (and NL1 is negative), the line beginning and end will be temporarily interchanged for the skinning operation (see "Changing the ASKIN Algorithm" below).

Notes

Generates an area by "skinning" a surface through specified guiding lines. The lines act as a set of "ribs" over which a surface is "stretched." Two opposite edges of the area are framed by the first (NL1) and last (NLn) guiding lines specified. The other two edges of the area are framed by splines-fit lines which the program automatically generates through the ends of all guiding lines. The interior of the area is shaped by the interior guiding lines. Once the area has been created, only the four edge lines will be attached to it. In rare cases, it may be necessary to change the default algorithm used by the ASKIN command (see "Changing the ASKIN Algorithm" below).

Changing the ASKIN Algorithm

When skinning from one guiding line to the next, the program can create the transition area in one of two ways: one more spiraled and one less spiraled ("flatter"). By default, the program attempts to produce the flatter transition, instead of the more spiraled transition. This algorithm can be changed by inputting NL1 as a negative number, in which case the program connects all the keypoints at the line "beginnings" (/PSYMB,LDIR command) as one edge of the area, and all the line "ends" as the opposite edge, irrespective of the amount of spiraling produced in each transition area.

To further control the geometry of the area (if NL1 is negative), the beginning and end of any specified line (other than NL1) can be temporarily interchanged (for the skinning operation only) by inputting that line number as negative. See Solid Modeling in the Modeling and Meshing Guide for an illustration.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Areas>Arbitrary>By Skinning

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ASEL 		Up / Home Next
ASLL


ASLL

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ASLL, Type, ARKEY

Selects those areas containing the selected lines.

DATABASE: Selecting

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Label identifying the type of area select:

S
—

Select a new set (default).

R
—

Reselect a set from the current set.

A
—

Additionally select a set and extend the current set.

U
—

Unselect a set from the current set.

ARKEY

Specifies whether all contained area lines must be selected [LSEL]:

0
—

Select area if any of its lines are in the selected line set.

1
—

Select area only if all of its lines are in the selected line set.

Notes

This command is valid in any processor.

Menu Paths

Utility Menu>Select>Entities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ASKIN 		Up / Home Next
ASLV


ASLV

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ASLV, Type

Selects those areas contained in the selected volumes.

DATABASE: Selecting

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Label identifying the type of area select:

S
—

Select a new set (default).

R
—

Reselect a set from the current set.

A
—

Additionally select a set and extend the current set.

U
—

Unselect a set from the current set.

Notes

This command is valid in any processor.

Menu Paths

Utility Menu>Select>Entities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ASLL 		Up / Home Next
/ASSIGN


/ASSIGN

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

/ASSIGN, Ident, Fname, Ext, --

Reassigns a file name to an ANSYS file identifier.

SESSION: Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Ident

ANSYS file name identifier. Valid identifiers are: EMAT, ESAV, FULL, REDM, MODE, RDSP, RFRQ, TRI, RST, RTH, RMG, EROT, OSAV, RFL, SELD, and CMS. See "File Management and Files" for file descriptions. If blank, list currently reassigned files.

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

Ext

Filename extension (8 character maximum).

--

Unused field.

Notes

The reassignment of file names is valid only if it is done before the file is used. All file reassignments are retained (not cleared) even if the database is cleared [/CLEAR] or the Jobname is changed [/FILNAME]. Assigned files may be overwritten. If file name arguments (Fname, Ext, --) are blank, the default ANSYS assignment is restored. Use SEOPT for SUB files and SEEXP for DSUB files.

This command is valid only at the Begin Level.

Menu Paths

Utility Menu>File>ANSYS File Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ASLV 		Up / Home Next
ASUB


ASUB

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ASUB, NA1, P1, P2, P3, P4

Generates an area using the shape of an existing area.

PREP7: Areas

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NA1

Existing area number whose shape is to be used. If P1 = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI).

P1

Keypoint defining starting corner of area.

P2

Keypoint defining second corner of area.

P3

Keypoint defining third corner of area.

P4

Keypoint defining fourth corner of area (defaults to P3).

Notes

The new area will overlay the old area. Often used when the area to be subdivided consists of a complex shape that was not generated in a single coordinate system. Keypoints and any corresponding lines must lie on the existing area. Missing lines are generated to lie on the given area. The active coordinate system is ignored.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Areas>Arbitrary>Overlaid on Area

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/ASSIGN 		Up / Home Next
ASUM


ASUM

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ASUM, LAB

Calculates and prints geometry statistics of the selected areas.

PREP7: Areas

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LAB

Controls the degree of tessellation used in the calculation of area properties. If LAB = DEFAULT, area calculations will use the degree of tessellation set through the /FACET command. If LAB = FINE, area calculations are based on a finer tessellation.

Notes

Calculates and prints geometry statistics (area, centroid location, moments of inertia, volume, etc.) associated with the selected areas. ASUM should only be used on perfectly flat areas.

Geometry items are reported in the global Cartesian coordinate system. A unit density (and thickness) is assumed unless the areas have a material (and real constant) association via the AATT command. The command always uses a unit density and a unit thickness for layered shell elements (such as SHELL91, SHELL99, SHELL131, SHELL163, SHELL181, and SHELL281).

Items calculated by ASUM and later retrieved via a *GET or *VGET command are valid only if the model is not modified after issuing the ASUM command.

Setting a finer degree of tessellation will provide area calculations with greater accuracy, especially for thin, hollow models. However, using a finer degree of tessellation requires longer processing.

For very narrow (sliver) areas, such that the ratio of the minimum to the maximum dimension is less than 0.01, the ASUM command can provide erroneous area information. To ensure that such calculations are accurate, make certain that you subdivide such areas so that the ratio of the minimum to the maximum is at least 0.05.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Calc Geom Items>Of Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ASUB 		Up / Home Next
ATAN


ATAN

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ATAN, IR, IA, --, --, Name, --, --, FACTA

Forms the arctangent of a complex variable.

POST26: Operations

MP ME ST PR PRN <> <> <> EM <> <> PP <>

IR

Arbitrary reference number assigned to the resulting variable (2 to NV [NUMVAR]). If this number is the same as for a previously defined variable, the previously defined variable will be overwritten with this result.

IA

Reference number of the complex variable to be operated on.

--, --

Unused fields.

Name

Thirty-two character name for identifying the variable on the printout and displays. Embedded blanks are compressed upon output.

--, --

Unused fields.

FACTA

Scaling factor (positive or negative) applied to variable IA (defaults to 1.0). Usually FACTA should be set to 1. FACTA may affect the position of the angle by a multiple of π, resulting in a quadrant change.

Notes

Forms the arctangent of a complex variable according to the operation:

IR = ATAN(FACTA X b/a)

where a and b are the real and imaginary parts, respectively, of the complex variable IA (which is of the form a + ib). The arctangent represents the phase angle (in radians), and is valid only for a harmonic analysis (ANTYPE,HARMIC).

Since the scaling factor is applied uniformly to b/a, applying any positive or negative scaling factor will not affect the size of the phase angle, with the exception that a negative scaling factor will change the results quadrant by π. The magnitude of a complex number is still obtained through the ABS command. See the Theory Reference for ANSYS and ANSYS Workbench for details.

Menu Paths

Main Menu>TimeHist Postpro>Math Operations>Arctangent

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ASUM 		Up / Home Next
ATRAN


ATRAN

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ATRAN, KCNTO, NA1, NA2, NINC, KINC, NOELEM, IMOVE

Transfers a pattern of areas to another coordinate system.

PREP7: Areas

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KCNTO

Reference number of coordinate system where the pattern is to be transferred. Transfer occurs from the active coordinate system. The coordinate system type and parameters of KCNTO must be the same as the active system.

NA1, NA2, NINC

Transfer area pattern beginning with NA1 to NA2 (defaults to NA1) in steps of NINC (defaults to 1). If NA1 = ALL, NA2 and NINC are ignored and the pattern is all selected areas [ASEL]. If NA1 = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI). A component name may also be substituted for NA1 (NA2 and NINC are ignored).

KINC

Keypoint increment between sets. If zero, the lowest available keypoint numbers are assigned [NUMSTR].

NOELEM

Specifies whether elements and nodes are also to be generated:

0
—

Generate nodes and elements associated with the original areas, if they exist.

1
—

Do not generate nodes and elements.

IMOVE

Specifies whether to redefine the existing areas:

0
—

Generate additional areas.

1
—

Move original areas to new position retaining the same keypoint numbers (KINC and NOELEM are ignored). Valid only if the old areas are no longer needed at their original positions. Corresponding meshed items are also moved if not needed at their original position.

Notes

Transfers a pattern of areas (and their corresponding lines, keypoints and mesh) from one coordinate system to another (see analogous node TRANSFER command). The MAT, TYPE, REAL, and ESYS attributes are based upon the areas in the pattern and not upon the current settings. Coordinate systems may be translated and rotated relative to each other. Initial pattern may be generated in any coordinate system. However, solid modeling in a toroidal coordinate system is not recommended. Coordinate and slope values are interpreted in the active coordinate system and are transferred directly. Areas are generated as described in the AGEN command.

Menu Paths

Main Menu>Preprocessor>Modeling>Move / Modify>Transfer Coord>Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ATAN 		Up / Home Next
ATYPE


ATYPE

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

ATYPE

Specifies "Analysis types" as the subsequent status topic.

SOLUTION: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Solution>Analysis Type

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ATRAN 		Up / Home Next
/AUTO


/AUTO

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

/AUTO, WN

Resets the focus and distance specifications to "automatically calculated."

GRAPHICS: Views

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number (or ALL) to which command applies (defaults to 1).

Notes

Focus point and distance will be automatically calculated during next display. Settings may still be changed with the /FOCUS and /DIST commands after this command has been issued. See also the /USER command.

This command is valid in any processor.

Menu Paths

Main Menu>Preprocessor>Sections>Reinforcement>Plot Section
Utility Menu>PlotCtrls>Pan, Zoom, Rotate
Utility Menu>PlotCtrls>View Settings>Automatic Fit Mode

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ATYPE 		Up / Home Next
AUTOTS


AUTOTS

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

AUTOTS, Key

Specifies whether to use automatic time stepping or load stepping.

SOLUTION: Load Step Options

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Key

Automatic time stepping key:

OFF
 —

Do not use automatic time stepping.

ON
 —

Use automatic time stepping.

Command Default

ANSYS determined time stepping when SOLCONTROL,ON. No automatic time stepping when SOLCONTROL,OFF.

Notes

Specifies whether to use automatic time stepping (or load stepping) over this load step. If Key = ON, both time step prediction and time step bisection will be used. Used only if DTIME (specified on the DELTIM command) is less than the time span or conversely, if NSBSTP (on the NSUBST command) is greater than one.

If you run an analysis with SOLCONTROL,ON, but do not issue the AUTOTS command, ANSYS will choose whether or not to use automatic time stepping. The program-chosen option will be recorded on the log file as AUTOTS,-1.

You cannot use automatic time stepping [AUTOTS], line search [LNSRCH], or the DOF solution predictor [PRED] with the arc-length method [ARCLEN, ARCTRM]. If you activate the arc-length method after you set AUTOTS, LNSRCH, or PRED, a warning message appears. If you choose to proceed with the arc-length method activation, ANSYS disables your automatic time stepping, line search, and DOF predictor settings.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Sol'n Controls>Basic
Main Menu>Preprocessor>Loads>Load Step Opts>Time/Frequenc>Time - Time Step
Main Menu>Preprocessor>Loads>Load Step Opts>Time/Frequenc>Time and Substps
Main Menu>Solution>Analysis Type>Sol'n Controls>Basic
Main Menu>Solution>Load Step Opts>Time/Frequenc>Time - Time Step
Main Menu>Solution>Load Step Opts>Time/Frequenc>Time and Substps

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/AUTO 		Up / Home Next
/AUX2


/AUX2

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

/AUX2

Enters the binary file dumping processor.

AUX2: Binary Files

SESSION: Processor Entry

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Enters the binary file dumping processor (ANSYS auxiliary processor AUX2). This processor is used to dump the contents of certain ANSYS binary files for visual examination.

This command is valid only at the Begin Level.

Menu Paths

Utility Menu>File>List>Binary Files
Utility Menu>List>Files>Binary Files

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
AUTOTS 		Up / Home Next
/AUX3


/AUX3

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

/AUX3

Enters the results file editing processor.

AUX3: Results Files

SESSION: Processor Entry

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Enters the results file editing processor (ANSYS auxiliary processor AUX3). This processor is used to edit ANSYS results files.

This command is valid only at the Begin Level.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/AUX2 		Up / Home Next
/AUX12


/AUX12

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

/AUX12

Enters the radiation processor.

AUX12: General Radiation

SESSION: Processor Entry

MP ME <> PR <> <> <> <> <> <> <> PP <>

Notes

Enters the radiation processor (ANSYS auxiliary processor AUX12). This processor supports the Radiation Matrix and the Radiosity Solver methods.

This command is valid only at the Begin Level.

Menu Paths

Main Menu>Radiation Matrix

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/AUX3 		Up / Home Next
/AUX15


/AUX15

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

/AUX15

Enters the IGES file transfer processor.

AUX15: IGES

POST1: Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Enters the IGES file transfer processor (ANSYS auxiliary processor AUX15), used to read an IGES data file into the ANSYS program.

This command is valid only at the Begin Level.

Menu Paths

Utility Menu>File>Import

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/AUX12 		Up / Home Next
AVPRIN


AVPRIN

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

AVPRIN, KEY, EFFNU

Specifies how principal and vector sums are to be calculated.

POST1: Controls

MP ME ST PR PRN <> <> <> EM <> <> PP <>

KEY

Averaging key:

0
 —

Average the component values from the elements at a common node, then calculate the principal or vector sum from the averaged components (default).

1
 —

Calculate the principal or vector sum values on a per element basis, then average these values from the elements at a common node.

EFFNU

Effective Poisson's ratio used for computing the von Mises equivalent strain (EQV). This command option is intended for use with line elements or in load case operations (LCOPER) only; ANSYS automatically selects the most appropriate effective Poisson's ratio, as discussed below.

Command Default

Average components at common node before principal or vector sum calculation except for the von Mises equivalent strain (EQV), see below.

Notes

Selects the method of combining components for certain derived nodal results when two or more elements connect to a common node. The methods apply to the calculations of derived nodal principal stresses, principal strains, and vector sums for selects, sorts, and output [NSEL, NSORT, PRNSOL, PLNSOL, etc.].

This command also defines the effective Poisson's ratio (EFFNU) used for equivalent strain calculations. If you use EFFNU, the default effective Poisson's ratios shown below will be overridden for all elements by the EFFNU value. To return to the default settings, issue the RESET command.

  • From user input for EPEL and EPTH

  • Set to 0.5 for EPPL and EPCR

  • Set to 0.5 if the referenced material is hyperelastic

  • Set to 0.0 for line elements (includes beam, link, and pipe elements, as well as discrete elements), cyclic symmetry analysis, and load case operations (LCOPER).

For the von Mises equivalent strain (EQV), it is always computed using the average of the equivalent strains from the elements at a common node irrespective of the value of the averaging KEY. If EFFNU is input, though, the calculation will be performed according to the KEY setting.

This command is also valid in POST26, where applicable.

See the Theory Reference for ANSYS and ANSYS Workbench for more information.

Menu Paths

Main Menu>General Postproc>Element Table>Define Table
Main Menu>General Postproc>List Results>Nodal Solution
Main Menu>General Postproc>Options for Outp
Main Menu>General Postproc>Path Operations>Map onto Path
Main Menu>General Postproc>Path Operations>Map onto Path>FE Results
Main Menu>General Postproc>Plot Results>Contour Plot>Element Solu
Main Menu>General Postproc>Plot Results>Contour Plot>Nodal Solu
Utility Menu>List>Results>Nodal Solution
Utility Menu>List>Results>Options
Utility Menu>Plot>Results>Contour Plot>Elem Solution
Utility Menu>Plot>Results>Contour Plot>Nodal Solution
Utility Menu>PlotCtrls>Multi-Plot Contrls

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/AUX15 		Up / Home Next
AVRES


AVRES

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

AVRES, KEY, Opt

Specifies how results data will be averaged when PowerGraphics is enabled.

POST1: Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KEY

Averaging key.

1
 —

Average results at all common subgrid locations.

2
 —

Average results at all common subgrid locations except where material type [MAT] discontinuities exist. This option is the default.

3
 —

Average results at all common subgrid locations except where real constant [REAL] discontinuities exist.

4
 —

Average results at all common subgrid locations except where material type [MAT] or real constant [REAL] discontinuities exist.

Opt

Option to determine how results data are averaged.

(blank)
 —

Average surface results data using only the exterior element faces (default).

FULL
 —

Average surface results data using the exterior face and interior element data.

Notes

The AVRES command specifies how results data will be averaged at subgrid locations that are common to 2 or more elements. The command is valid only when PowerGraphics is enabled (via the /GRAPHICS,POWER command).

With PowerGraphics active (/GRAPHICS,POWER), the averaging scheme for surface data with interior element data included (AVRES,,FULL) and multiple facets per edge (/EFACET,2 or /EFACET,4) will yield differing minimum and maximum contour values depending on the Z-Buffering options (/TYPE,,6 or /TYPE,,7). When the Section data is not included in the averaging schemes (/TYPE,,7), the resulting absolute value for the midside node is significantly smaller.

PowerGraphics does not average your stresses across discontinuous surfaces. The normals for various planes and facets are compared to a tolerance to determine continuity. The ANGLE value you specify in the /EDGE command is the tolerance for classifying surfaces as continuous or “coplanar.”

The command affects nodal solution contour plots (PLNSOL), nodal solution printout (PRNSOL), and subgrid solution results accessed through the Query Results function (under General Postprocessing) in the GUI.

The command has no effect on the nodal degree of freedom solution values (UX, UY, UZ, TEMP, etc.).

The command is also available in /SOLU.

Menu Paths

Main Menu>General Postproc>Options for Outp
Utility Menu>List>Results>Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
AVPRIN 		Up / Home Next
/AXLAB


/AXLAB

Release 11.0 Documentation for ANSYS

Commands Reference | A Commands |

/AXLAB, Axis, Lab

Labels the X and Y axes on graph displays.

GRAPHICS: Graphs

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Axis

Axis specifier:

X
—

Apply label to X axis.

Y
—

Apply label to Y axis.

Lab

Axis label (user defined text up to 30 characters long). Leave blank to reestablish the default for Axis axis.

Command Default

Labels are determined by the program.

Notes

This command is valid in any processor.

Menu Paths

Main Menu>Drop Test>Time History>Graph Variables
Main Menu>Drop Test>Time History>List Variables
Utility Menu>PlotCtrls>Style>Graphs>Modify Axes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
AVRES 		Up / Home Next
B Commands


B Commands

Table of Contents

/BATCH - Sets the program mode to "batch."
BCSOPTION - Sets memory option for the sparse solver.
BELLOW - Defines a bellows in a piping run.
BEND - Defines a bend in a piping run.
BETAD - Defines the stiffness matrix multiplier for damping.
BF - Defines a nodal body force load.
BFA - Defines a body force load on an area.
BFADELE - Deletes body force loads on an area.
BFALIST - Lists the body force loads on an area.
BFCUM - Specifies that nodal body force loads are to be accumulated.
BFDELE - Deletes nodal body force loads.
BFE - Defines an element body force load.
BFECUM - Specifies whether to ignore subsequent element body force loads.
BFEDELE - Deletes element body force loads.
BFELIST - Lists the element body force loads.
BFESCAL - Scales element body force loads.
BFINT - Activates the body force interpolation operation.
BFK - Defines a body force load at a keypoint.
BFKDELE - Deletes body force loads at a keypoint.
BFKLIST - Lists the body force loads at keypoints.
BFL - Defines a body force load on a line.
BFLDELE - Deletes body force loads on a line.
BFLIST - Lists the body force loads on nodes.
BFLLIST - Lists the body force loads on a line.
BFSCALE - Scales body force loads at nodes.
BFTRAN - Transfers solid model body force loads to the finite element model.
BFUNIF - Assigns a uniform body force load to all nodes.
BFV - Defines a body force load on a volume.
BFVDELE - Deletes body force loads on a volume.
BFVLIST - Lists the body force loads on a volume.
BIOOPT - Specifies "Biot-Savart options" as the subsequent status topic.
BIOT - Calculates the Biot-Savart source magnetic field intensity.
BLC4 - Creates a rectangular area or block volume by corner points.
BLC5 - Creates a rectangular area or block volume by center and corner points.
BLOCK - Creates a block volume based on working plane coordinates.
BOOL - Specifies "Booleans" as the subsequent status topic.
BOPTN - Specifies Boolean operation options.
BRANCH - Defines the starting point for a piping branch.
BSAX - Specifies the axial strain and axial force relationship for beam sections.
BSMD - Specifies mass density for a nonlinear general beam section.
BSM1 - Specifies the bending curvature and moment relationship in plane XZ for beam sections.
BSM2 - Specifies the bending curvature and moment relationship in plane XY for beam sections.
BSPLIN - Generates a single line from a spline fit to a series of keypoints.
BSS1 - Specifies the transverse shear strain and force relationship in plane XZ for beam sections.
BSS2 - Specifies the transverse shear strain and force relationship in plane XY for beam sections.
BSTE - Specifies a thermal expansion coefficient for a nonlinear general beam section.
BSTQ - Specifies the cross section twist and torque relationship for beam sections.
BTOL - Specifies the Boolean operation tolerances.
BUCOPT - Specifies buckling analysis options.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/AXLAB 		Up / Home Next
/BATCH


/BATCH

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

/BATCH, Lab

Sets the program mode to "batch."

SESSION: Run Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Specifies listing mode during a batch run:

LIST
 —

The batch output will include a listing of the input file.

(blank)
 —

Suppress input data listing.

Command Default

Interactive mode.

Notes

Sets the program mode to "batch" when included as the first line on an input file of ANSYS commands. For convenience, this command is automatically recorded on the log file (Jobname.LOG) at the beginning of an interactive ANSYS session so that the log file can be reused later for batch input.

Caution

This command should not be entered directly in an interactive ANSYS session since all subsequent keyboard input is simply copied to a file, without further processing or prompts from the program (use the "system break" to exit the ANSYS program if this occurs).

The recommended method for choosing batch mode, rather than using the /BATCH command, is to select the Batch simulation environment from the ANSYS Product Launcher task in the ANSYS launcher, or the batch mode entry option on the ANSYS execution command when entering the program.

This command is valid only at the Begin Level.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
B Commands 		Up / Home Next
BCSOPTION


BCSOPTION

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BCSOPTION, --, Memory_Option, Memory_Size, --, --, Solve_Info

Sets memory option for the sparse solver.

SOLUTION: Analysis Options

MP ME ST PR PRN <> <> FL EM <> <> PP <>

--

Unused field

Memory_Option
DEFAULT
 —

Uses a default memory usage strategy for the sparse solver. For smaller jobs, the default strategy attempts to run in memory (incore) with no I/O. For larger jobs, the default strategy attempts to obtain enough memory for large jobs to run with optimal I/O performance. Optimal I/O for the sparse solver is obtained when sufficient workspace is allocated to keep the largest front matrix in memory during factorization. The amount of memory required for the sparse solver is unknown until the matrix structure is preprocessed, including equation reordering. The amount allocated for the sparse solver is then dynamically adjusted using the ANSYS memory manager. The default strategy is designed to be optimal for most systems.

INCORE
 —

Use a memory allocation strategy in the sparse solver that will attempt to obtain enough memory to run with the entire factorized matrix in memory. If the INCORE option is specified without specifying memory size, ANSYS will always attempt to allocate enough memory to run incore. If the allocation for incore memory fails, ANSYS will automatically revert to out-of-core mode. This option is also subject to the memory size specified in Memory_Size.

Memory_Size

Sets the initial memory size allocation for the sparse solver in MB. This initial sparse solver memory setting is modified if memory allocation fails. It may also be automatically reduced if the sparse solver memory is insufficient for an incore run but more then enough to run in optimal out-of-core mode. This option allows you to tune sparse solver memory and is not generally required. The maximum allowed value for Memory_Size is 16384 MB (16 GB) except for the large memory ANSYS version (-lm). The Memory_Size setting should always be well within the physical memory available.

--, --

Unused field

Solve_Info
OFF
 —

Turns off additional output printing from the sparse solver (default).

PERFORMANCE
 —

Turns on printing additional output from the sparse solver, including a performance summary (with a summary of file I/o for the sparse solver) and additional information on memory usage (for symbolic assembly).

Command Default

Automatic memory allocation is used.

Notes

This command provides the option to use either minimum memory (default) or maximum memory when the sparse solver is selected. Using maximum memory, if available, reduces I/O and shortens total solver elapsed time.

Running incore is best for jobs which comfortably fit within the limits of the physical memory on a given system. If the sparse solver workspace exceeds physical memory size, the system will be forced to use virtual memory (or the system page/swap file). In this case, optimal I/O (BCSOPTION,,DEFAULT) memory would be more efficient.

Incore memory is best for jobs under 100,000 DOFs, especially analyses where repeated solves are performed for a single matrix factorization.

If you have a very large memory system, you may want to try incore runs for larger jobs to improve performance. If you have a very small memory system, you may need to run in DEFAULT memory mode, in which the program will most likely run with optimal I/O performance.

For repeated runs with the sparse solver, you may set the initial sparse solver memory allocation to the amount required for factorization. This strategy reduces the frequency of allocation and reallocation in the run to make the INCORE option fully effective. If you have a very large memory system, you may use the Memory_Size argument to increase the maximum size attempted for incore runs. The maximum workspace allowed for the sparse solver is 8 GB for real matrix systems and 16 GB for complex systems.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/BATCH 		Up / Home Next
BELLOW


BELLOW

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BELLOW, NLOC, LENG, STIFF, FLEX, ELEM

Defines a bellows in a piping run.

PREP7: Piping

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NLOC

Node where bellows is to be placed. Defaults to current run starting point [RUN].

LENG

Length of bellows (defaults to average pipe OD).

STIFF

Axial stiffness value (defaults to that of equivalent straight pipe).

FLEX

Bending flexibility factor (defaults to 1.0).

ELEM

Element number to be assigned to bellows (defaults to the previous maximum element number (MAXEL) + 1).

Notes

Defines a bellows (straight pipe element (PIPE16) with adjusted specifications and loadings) at a given location in a piping run.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Piping Models>Define Pipes>Bellows

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BCSOPTION 		Up / Home Next
BEND


BEND

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BEND, NEL1, NEL2, RAD, NDIV, ESTRT, EINC

Defines a bend in a piping run.

PREP7: Piping

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NEL1, NEL2

Element numbers of the two intersecting straight pipes. Defaults to the last two straight pipe elements nearest the intersection of the last two runs.

RAD

Bend radius. If LR, use long radius standard (1.5 x nominal diameter) (default). If SR, use short radius standard (1.0 x nominal diameter).

NDIV

Number of divisions (elements) along bend (defaults to 2). A node is generated at the end of each division.

ESTRT

Number to be assigned to first element of bend (defaults to MAXEL + 1).

EINC

Element number increment (defaults to 1).

Notes

Defines a bend of curved (elbow) pipe elements (PIPE18) in place of the intersection of two previously defined straight pipe elements [RUN]. Two new nodes are generated at the ends of the bend (at the tangency points). A node is also generated at the center of curvature point. The two straight pipes are automatically "shortened" to meet the ends of the bend. The bend specifications and loadings are taken from the corresponding two straight pipes. The flexibility factors are calculated from the internal pressure and EX (evaluated at TAVE) based on the current PPRES and PTEMP command specifications when the element is generated.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Piping Models>Define Pipes>Elbow

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BELLOW 		Up / Home Next
BETAD


BETAD

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BETAD, VALUE

Defines the stiffness matrix multiplier for damping.

SOLUTION: Dynamic Options

MP ME ST <> <> <> <> <> <> EH <> PP <>

VALUE

Stiffness matrix multiplier for damping.

Notes

This command defines the stiffness matrix multiplier, β, in the damping expression given in the ALPHAD command. Values of β may also be input as a material property (use the DAMP label on the MP command). If DAMP is included, the DAMP value is added to the BETAD value as appropriate (see the Theory Reference for ANSYS and ANSYS Workbench). Damping is not used in the static (ANTYPE,STATIC) or buckling (ANTYPE,BUCKLE) analyses.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Sol'n Controls>Transient
Main Menu>Preprocessor>Loads>Load Step Opts>Time/Frequenc>Damping
Main Menu>Solution>Analysis Type>Sol'n Controls>Transient
Main Menu>Solution>Load Step Opts>Time/Frequenc>Damping

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BEND 		Up / Home Next
BF


BF

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BF, NODE, Lab, VAL1, VAL2, VAL3, VAL4

Defines a nodal body force load.

SOLUTION: FE Body Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NODE

Node to which body load applies. If NODE = ALL, apply to all selected nodes [NSEL]. A component name may also be substituted for NODE.

Lab

Valid body load label. Load labels are listed under "Body Loads" in the input table for each element type in the Elements Reference. Structural labels: TEMP (temperature), FLUE (fluence). Thermal labels: HGEN (heat generation rate). Magnetic labels: TEMP (temperature), MVDI (magnetic virtua displacements flag). Electric labels: TEMP (temperature), CHRGD (charge density). High-frequency electromagnetic labels: JS (current density), H (magnetic field), EF (electric field), PORT (number 1–50 for interior waveguide or transmission line port), LUMP (lumped circuit). FLOTRAN labels: HGEN (heat generation rate), FORC (nodal body force densities in momentum equation).

VAL1, VAL2, VAL3, VAL4

Value associated with the Lab item or table name reference for tabular boundary conditions. To specify a table, enclose the table name in percent signs (%) (e.g., BF,NODE,TEMP,%tabname%). Use the *DIM command to define a table. Use only VAL1 for TEMP, FLUE, HGEN, MVDI, CHRGD, and PORT. If Lab = PORT, VAL1 is a port number representing an interior waveguide or transmission line port.

If Lab = JS:

VAL1
 —

X-Component.

VAL2
 —

Y-Component.

VAL3
 —

Z-Component.

VAL4
 —

Phase angle in degrees or a negative port number for a driven port.

If Lab = H or EF:

VAL1
 —

X-Component.

VAL2
 —

Y-Component.

VAL3
 —

Z-Component.

VAL4
 —

Phase angle in degrees.

If Lab = FORC:

VAL1
 —

X-Component.

VAL2
 —

Y-Component.

VAL3
 —

Z-Component.

VAL4
 —

Not used.

If Lab = LUMP:

VAL1
 —

Circuit type as shown in the following figure.

VAL2
 —

If VAL1 = 0, real part of a complex impedance (ohm). If VAL1 > 0, resistance (ohm).

VAL3
 —

If VAL1 = 0, imaginary part of a complex impedance (ohm). If VAL1 > 0, capacitance (F).

VAL4
 —

Not used if VAL1 = 0. If VAL1 > 0, inductance (H).

Lumped Circuits

Notes

Defines a nodal body force load (such as temperature in a structural analysis, heat generation rate in a thermal analysis, etc.). Nodal body loads default to the BFUNIF values, if they were previously specified.

You can specify a table name (VAL = %tabname%) only for temperature (TEMP), heat generation rate (HGEN), and nodal body force density (FORC) body load labels. When using TEMP, you can define a one-dimensional table that varies with respect to time (TIME) only. When defining this table, enter TIME as the primary variable. No other primary variables are valid.

Graphical picking is available only via the listed menu paths.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>Temperature>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>AppCharDens>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>AppElecField>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>EMPorts>Interior Port>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/ANSYS>Heat Generat>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Boundary>Temperature>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Excitation>AppCurrDens>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Excitation>AppMagField>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Other>AppVirtDisp>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Other>Fluence>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Heat Generat>On Nodes
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>Temperature>On Nodes
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>AppCharDens>On Nodes
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>AppElecField>On Nodes
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>EMPorts>Interior Port>On Nodes
Main Menu>Solution>Define Loads>Apply>Fluid/ANSYS>Heat Generat>On Nodes
Main Menu>Solution>Define Loads>Apply>Magnetic>Boundary>Temperature>On Nodes
Main Menu>Solution>Define Loads>Apply>Magnetic>Excitation>AppCurrDens>On Nodes
Main Menu>Solution>Define Loads>Apply>Magnetic>Excitation>AppMagField>On Nodes
Main Menu>Solution>Define Loads>Apply>Magnetic>Other>AppVirtDisp>On Nodes
Main Menu>Solution>Define Loads>Apply>Structural>Other>Fluence>On Nodes
Main Menu>Solution>Define Loads>Apply>Thermal>Heat Generat>On Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BETAD 		Up / Home Next
BFA


BFA

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BFA, AREA, Lab, VAL1, VAL2, VAL3, VAL4

Defines a body force load on an area.

SOLUTION: Solid Body Loads

MP ME ST PR PRN <> <> <> EM <> <> PP <>

AREA

Area to which body load applies. If ALL, apply to all selected areas [ASEL]. A component name may also be substituted for AREA.

Lab

Valid body load label. Load labels are listed under "Body Loads" in the input table for each element type in the Elements Reference. Structural labels: TEMP (temperature), FLUE (fluence). Thermal labels: HGEN (heat generation rate). Magnetic labels: TEMP (temperature), JS (current densities), VLTG (voltage drop). Electric labels: TEMP (temperature), CHRGD (charge density). High-frequency electromagnetic labels: JS (current density), H (magnetic field), EF (electric field), PORT (number 1–50 for interior waveguide or transmission line port). FLOTRAN label: HGEN (heat generation rate).

VAL1, VAL2, VAL3

Value associated with the Lab item or a table name for specifying tabular boundary conditions. Use only VAL1 for TEMP, FLUE, HGEN, CHRGD, and PORT. If Lab = PORT, VAL1 is a port number representing an interior waveguide or transmission line port. Use VAL1, VAL2, and VAL3 for the X, Y, and Z components of JS, H, and EF. For Lab = VLTG, VAL1 is the voltage drop and VAL2 is the phase angle. When specifying a table name, you must enclose the table name in percent signs (%), e.g., BFA,AREA,Lab,%tabname%. Use the *DIM command to define a table.

VAL4

If Lab = H or EF, VAL4 is the phase angle in degrees. If Lab = JS, VAL4 is the phase angle in degrees or a negative port number for a driven port.

Notes

Defines a body force load (such as temperature in a structural analysis, heat generation rate in a thermal analysis, etc.) on an area. Body loads may be transferred from areas to area elements (or to nodes if area elements do not exist) with the BFTRAN or SBCTRAN commands. Body loads default to the value specified on the BFUNIF command, if it was previously specified.

You can specify a table name only when using temperature (TEMP) and heat generation rate (HGEN) body load labels. When using TEMP, you can define a one-dimensional table that varies with respect to time (TIME) only. When defining this table, enter TIME as the primary variable. No other primary variables are valid.

Body loads specified by the BFA command can conflict with other specified body loads. See Resolution of Conflicting Body Load Specifications in the Basic Analysis Guide for details.

Graphical picking is available only via the listed menu paths.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>Temperature>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>AppCharDens>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>AppElecField>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>EMPorts>Interior Port>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/ANSYS>Normal Velo>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Boundary>Temperature>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Excitation>AppCurrDens>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Excitation>AppMagField>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Excitation>AppVoltDrop>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Other>Fluence>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Heat Generat>On Areas
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>Temperature>On Areas
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>AppCharDens>On Areas
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>AppElecField>On Areas
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>EMPorts>Interior Port>On Areas
Main Menu>Solution>Define Loads>Apply>Fluid/ANSYS>Normal Velo>On Areas
Main Menu>Solution>Define Loads>Apply>Magnetic>Boundary>Temperature>On Areas
Main Menu>Solution>Define Loads>Apply>Magnetic>Excitation>AppCurrDens>On Areas
Main Menu>Solution>Define Loads>Apply>Magnetic>Excitation>AppMagField>On Areas
Main Menu>Solution>Define Loads>Apply>Magnetic>Excitation>AppVoltDrop>On Areas
Main Menu>Solution>Define Loads>Apply>Structural>Other>Fluence>On Areas
Main Menu>Solution>Define Loads>Apply>Thermal>Heat Generat>On Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BF 		Up / Home Next
BFADELE


BFADELE

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BFADELE, AREA, Lab

Deletes body force loads on an area.

SOLUTION: Solid Body Loads

MP ME ST PR PRN <> <> <> EM <> <> PP <>

AREA

Area at which body load is to be deleted. If ALL, delete for all selected areas [ASEL]. A component name may also be substituted for AREA.

Lab

Valid body load label. If ALL, use all appropriate labels. Load labels are listed under "Body Loads" in the input table for each element type in the Elements Reference. See the BFA command for labels.

Notes

Deletes body force loads (and all corresponding finite element loads) for a specified area and label. Body loads may be defined on an area with the BFA command.

Graphical picking is available only via the listed menu paths.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Delete>All Load Data>All Body Loads>On All Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Boundary>Temperature>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Excitation>AppCharDens>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Excitation>DelElecField>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Excitation>DelIntPort>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/ANSYS>Normal Velo>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Boundary>Temperature>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Excitation>AppVoltDrop>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Excitation>DelCurrDens>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Excitation>DelMagField>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Other>Fluence>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Temperature>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Heat Generat>On Areas
Main Menu>Solution>Define Loads>Delete>All Load Data>All Body Loads>On All Areas
Main Menu>Solution>Define Loads>Delete>Electric>Boundary>Temperature>On Areas
Main Menu>Solution>Define Loads>Delete>Electric>Excitation>AppCharDens>On Areas
Main Menu>Solution>Define Loads>Delete>Electric>Excitation>DelElecField>On Areas
Main Menu>Solution>Define Loads>Delete>Electric>Excitation>DelIntPort>On Areas
Main Menu>Solution>Define Loads>Delete>Fluid/ANSYS>Normal Velo>On Areas
Main Menu>Solution>Define Loads>Delete>Magnetic>Boundary>Temperature>On Areas
Main Menu>Solution>Define Loads>Delete>Magnetic>Excitation>AppVoltDrop>On Areas
Main Menu>Solution>Define Loads>Delete>Magnetic>Excitation>DelCurrDens>On Areas
Main Menu>Solution>Define Loads>Delete>Magnetic>Excitation>DelMagField>On Areas
Main Menu>Solution>Define Loads>Delete>Structural>Other>Fluence>On Areas
Main Menu>Solution>Define Loads>Delete>Structural>Temperature>On Areas
Main Menu>Solution>Define Loads>Delete>Thermal>Heat Generat>On Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BFA 		Up / Home Next
BFALIST


BFALIST

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BFALIST, AREA, Lab

Lists the body force loads on an area.

SOLUTION: Solid Body Loads

MP ME ST PR PRN <> <> <> EM <> <> PP <>

AREA

Area at which body load is to be listed. If ALL (or blank), list for all selected areas [ASEL]. If AREA = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for AREA.

Lab

Valid body load label. If ALL, use all appropriate labels. Load labels are listed under "Body Loads" in the input table for each element type in the Elements Reference. See the BFA command for labels.

Notes

Lists the body force loads for the specified area and label. Body loads may be defined on an area with the BFA command.

This command is valid in any processor.

Menu Paths

Utility Menu>List>Loads>Body Loads>On All Areas
Utility Menu>List>Loads>Body Loads>On Picked Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BFADELE 		Up / Home Next
BFCUM


BFCUM

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BFCUM, Lab, Oper, FACT, TBASE

Specifies that nodal body force loads are to be accumulated.

SOLUTION: FE Body Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Valid body load label. If ALL, use all appropriate labels. Structural labels: TEMP (temperature), FLUE (fluence). Thermal label: HGEN (heat generation rate). Magnetic labels: TEMP (temperature), JS (current densities), MVDI (magnetic virtual displacements flag). Electric labels: TEMP (temperature), CHRGD (charge density).

Oper

Accumulation key:

REPL
 —

Subsequent values replace the previous values (default).

ADD
 —

Subsequent values are added to the previous values.

IGNO
 —

Subsequent values are ignored.

FACT

Scale factor for the nodal body load values. Zero (or blank) defaults to 1.0. Use a small number for a zero scale factor. The scale factor is not applied to body load phase angles.

TBASE

Used (only with Lab = TEMP) to calculate the temperature used in the add or replace operation (see Oper) as:

Temperature = TBASE + FACT* (T - TBASE)

where T is the temperature specified on subsequent BF commands. TBASE defaults to zero.

Command Default

Replace previous values.

Notes

Allows repeated nodal body force loads to be replaced, added, or ignored. Nodal body loads are applied with the BF command. Issue the BFLIST command to list the nodal body loads. The operations occur when the next body loads are defined. For example, issuing the BF command with a temperature of 250 after a previous BF command with a temperature of 200 causes the new value of the temperature to be 450 with the add operation, 250 with the replace operation, or 200 with the ignore operation. A scale factor is also available to multiply the next value before the add or replace operation. A scale factor of 2.0 with the previous "add" example results in a temperature of 700. The scale factor is applied even if no previous values exist. Issue BFCUM,STAT to show the current label, operation, and scale factors. Solid model boundary conditions are not affected by this command, but boundary conditions on the FE model are affected.

Note

FE boundary conditions may still be overwritten by existing solid model boundary conditions if a subsequent boundary condition transfer occurs.

BFCUM does not work for tabular boundary conditions.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Settings>Replace vs Add>Nodal Body Ld
Main Menu>Solution>Define Loads>Settings>Replace vs Add>Nodal Body Ld

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BFALIST 		Up / Home Next
BFDELE


BFDELE

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BFDELE, NODE, Lab

Deletes nodal body force loads.

SOLUTION: FE Body Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NODE

Node at which body load is to be deleted. If ALL, delete for all selected nodes [NSEL]. If NODE = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NODE.

Lab

Valid body load label. If ALL, use all appropriate labels. See the BF command for labels. In an explicit dynamic analysis, the only valid body load label is TEMP.

Notes

Deletes nodal body force loads for a specified node and label. Nodal body loads may be defined with the BF command (except in an explicit dynamic analysis).

The command BFDELE,TEMP can be used in an explicit dynamic analysis to delete temperature loads that are read in by the LDREAD command. BFDELE cannot be used to delete temperature loads defined by the EDLOAD command (use EDLOAD,DELE to delete this type of load).

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Delete>All Load Data>All Body Loads>On All Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Boundary>Temperature>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Excitation>AppCharDens>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Excitation>DelElecField>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Excitation>DelIntPort>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/ANSYS>Heat Generat>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/CFD>Body Forces
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Boundary>Temperature>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Excitation>DelCurrDens>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Excitation>DelMagField>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Other>AppVirtDisp>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Other>Fluence>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Temperature>On Node Components
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Temperature>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Heat Generat>On Nodes
Main Menu>Preprocessor>LS-DYNA Options>Loading Options>Delete Temps
Main Menu>Solution>Define Loads>Delete>All Load Data>All Body Loads>On All Nodes
Main Menu>Solution>Define Loads>Delete>Electric>Boundary>Temperature>On Nodes
Main Menu>Solution>Define Loads>Delete>Electric>Excitation>AppCharDens>On Nodes
Main Menu>Solution>Define Loads>Delete>Electric>Excitation>DelElecField>On Nodes
Main Menu>Solution>Define Loads>Delete>Electric>Excitation>DelIntPort>On Nodes
Main Menu>Solution>Define Loads>Delete>Fluid/ANSYS>Heat Generat>On Nodes
Main Menu>Solution>Define Loads>Delete>Fluid/CFD>Body Forces
Main Menu>Solution>Define Loads>Delete>Magnetic>Boundary>Temperature>On Nodes
Main Menu>Solution>Define Loads>Delete>Magnetic>Excitation>DelCurrDens>On Nodes
Main Menu>Solution>Define Loads>Delete>Magnetic>Excitation>DelMagField>On Nodes
Main Menu>Solution>Define Loads>Delete>Magnetic>Other>AppVirtDisp>On Nodes
Main Menu>Solution>Define Loads>Delete>Structural>Other>Fluence>On Nodes
Main Menu>Solution>Define Loads>Delete>Structural>Temperature>On Node Components
Main Menu>Solution>Define Loads>Delete>Structural>Temperature>On Nodes
Main Menu>Solution>Define Loads>Delete>Thermal>Heat Generat>On Nodes
Main Menu>Solution>Loading Options>Delete Temps

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BFCUM 		Up / Home Next
BFE


BFE

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BFE, ELEM, Lab, STLOC, VAL1, VAL2, VAL3, VAL4

Defines an element body force load.

SOLUTION: FE Body Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ELEM

Element to which body load applies. If ALL, apply to all selected elements [ESEL]. A component name may also be substituted for ELEM.

Lab

Valid body load label. Structural labels: TEMP (temperature), FLUE (fluence). Thermal labels: HGEN (heat generation rate). Magnetic labels: EF (electric field), TEMP (temperature), JS (current densities), VLTG (voltage drop), MVDI (magnetic virtual displacements flag). Electric labels: TEMP (temperature), CHRGD (charge density). High-frequency electromagnetic labels: JS (current density). Field volume interface label: FVIN (field volume interface flag). Valid labels are also listed for each element type in the Elements Reference under "Body Loads" in the input table.

STLOC

Starting location for entering VAL data, below. For example, if STLOC = 1, data input in the VAL1 field applies to the first element body load item available for the element type, VAL2 applies to the second element item, etc. If STLOC = 5, data input in the VAL1 field applies to the fifth element item, etc. Defaults to 1.

VAL1, VAL2, VAL3, VAL4

For Lab = TEMP, FLUE, HGEN, and CHRGD, VAL1--VAL4 represent body load values at the starting location and subsequent locations (usually nodes) in the element. VAL1 can also represent a table name for use with tabular boundary conditions. Enter only VAL1 for a uniform body load across the element. For nonuniform loads, the values must be input in the same order as shown in the input table for the element type. Values initially default to the BFUNIF value (except for CHRGD which defaults to zero). For subsequent specifications, a blank leaves a previously specified value unchanged; if the value was not previously specified, the default value as described in the Elements Reference is used.

For Lab = JS and STLOC = 1, VAL1, VAL2 and VAL3 are the X, Y, and Z components of current density (in the element coordinate system), and VAL4 is the phase angle.

For Lab = EF and STLOC = 1, VAL1, VAL2, and VAL3 are the X, Y, and Z components of electric field (in the global Cartesian coordinate system).

For Lab = VLTG and STLOC = 1, VAL1 is the voltage drop and VAL2 is the phase angle.

If Lab = FVIN in a Multi-field solver (single or multiple code coupling) analysis, VAL1 is the volume interface number. If Lab = FVIN in a unidirectional ANSYS to CFX analysis, VAL2 is the volume interface number (not available from within the GUI) and VAL1 is not used unless the ANSYS analysis is performed using the Multi-field solver. VAL3 and VAL4 are not used.

When specifying a table, enclose the table name in percent signs (%), e.g., (BFE,ELEM,Lab, Lab,STLOC,%tabname%). Use the *DIM command to define a table.

Notes

Defines an element body force load (such as temperature in a structural analysis, heat generation rate in a thermal analysis, etc.). Body loads and element specific defaults are described for each element type in the Elements Reference. If both the BF and BFE commands are used to apply a body load to an element, the BFE command takes precedence.

You can specify a table name only when using temperature (TEMP) and heat generation rate (HGEN) body load labels. When using TEMP, you can define a one-dimensional table that varies with respect to time (TIME) only. When defining this table, enter TIME as the primary variable. No other primary variables are valid.

Graphical picking is available only via the listed menu paths.

This command is also valid in PREP7.

When a tabular function load is applied to an element, the load will not vary according to the positioning of the element in space.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>Temperature>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>AppCharDens>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Apply>Field Volume Intr>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/ANSYS>Heat Generat>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/ANSYS>Normal Velo>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Boundary>Temperature>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Excitation>AppCurrDens>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Excitation>AppVoltDrop>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Other>Electric Field>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Other>Fluence>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Heat Generat>On Elements
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>Temperature>On Elements
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>AppCharDens>On Elements
Main Menu>Solution>Define Loads>Apply>Field Volume Intr>On Elements
Main Menu>Solution>Define Loads>Apply>Fluid/ANSYS>Heat Generat>On Elements
Main Menu>Solution>Define Loads>Apply>Fluid/ANSYS>Normal Velo>On Elements
Main Menu>Solution>Define Loads>Apply>Magnetic>Boundary>Temperature>On Elements
Main Menu>Solution>Define Loads>Apply>Magnetic>Excitation>AppCurrDens>On Elements
Main Menu>Solution>Define Loads>Apply>Magnetic>Excitation>AppVoltDrop>On Elements
Main Menu>Solution>Define Loads>Apply>Magnetic>Other>Electric Field>On Elements
Main Menu>Solution>Define Loads>Apply>Structural>Other>Fluence>On Elements
Main Menu>Solution>Define Loads>Apply>Thermal>Heat Generat>On Elements

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BFDELE 		Up / Home Next
BFECUM


BFECUM

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BFECUM, Lab, Oper, FACT, TBASE

Specifies whether to ignore subsequent element body force loads.

SOLUTION: FE Body Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Valid body load label. If ALL, use all appropriate labels. Structural labels: TEMP (temperature), FLUE (fluence). Thermal label: HGEN (heat generation rate). Magnetic labels: TEMP (temperature), JS (current densities), VLTG (voltage drop), MVDI (magnetic virtual displacements flag). Electric labels: TEMP (temperature), CHRGD (charge density).

Oper

Replace or ignore key:

REPL
 —

Subsequent values replace the previous values (default).

IGNO
 —

Subsequent values are ignored.

FACT

Scale factor for the element body load values. Zero (or blank) defaults to 1.0. Use a small number for a zero scale factor. The scale factor is not applied to body load phase angles.

TBASE

Used (only with Lab = TEMP) to calculate the temperature used in the add or replace operation (see Oper) as:

Temperature = TBASE + FACT* (T - TBASE)

where T is the temperature specified on subsequent BFE commands. TBASE defaults to zero.

Command Default

Replace previous values.

Notes

Allows repeated element body force loads to be replaced or ignored. Element body loads are applied with the BFE command. Issue the BFELIST command to list the element body loads. The operations occur when the next body loads are defined. For example, issuing the BFE command with a temperature value of 25 after a previous BFE command with a temperature value of 20 causes the new value of that temperature to be 25 with the replace operation, or 20 with the ignore operation. A scale factor is also available to multiply the next value before the replace operation. A scale factor of 2.0 with the previous "replace" example results in a temperature of 50. The scale factor is applied even if no previous values exist. Issue BFECUM,STAT to show the current label, operation, and scale factors.

BFECUM does not work for tabular boundary conditions.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Settings>Replace vs Add>Elem Body Lds
Main Menu>Solution>Define Loads>Settings>Replace vs Add>Elem Body Lds

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BFE 		Up / Home Next
BFEDELE


BFEDELE

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BFEDELE, ELEM, Lab

Deletes element body force loads.

SOLUTION: FE Body Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ELEM

Element at which body load is to be deleted. If ALL, delete for all selected elements [ A component name may also be substituted for ELEM.

Lab

Valid body load label. If ALL, use all appropriate labels. See BFE command for labels.

Notes

Deletes element body force loads for a specified element and label. Element body loads may be defined with the BFE commands.

Graphical picking is available only via the listed menu paths.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Delete>All Load Data>All Body Loads>On All Elems
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Boundary>Temperature>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Excitation>AppCharDens>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/ANSYS>Heat Generat>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/ANSYS>Normal Velo>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Boundary>Temperature>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Excitation>AppVoltDrop>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Excitation>DelCurrDens>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Other>Fluence>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Temperature>On Element Components
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Temperature>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Heat Generat>On Elements
Main Menu>Solution>Define Loads>Delete>All Load Data>All Body Loads>On All Elems
Main Menu>Solution>Define Loads>Delete>Electric>Boundary>Temperature>On Elements
Main Menu>Solution>Define Loads>Delete>Electric>Excitation>AppCharDens>On Elements
Main Menu>Solution>Define Loads>Delete>Fluid/ANSYS>Heat Generat>On Elements
Main Menu>Solution>Define Loads>Delete>Fluid/ANSYS>Normal Velo>On Elements
Main Menu>Solution>Define Loads>Delete>Magnetic>Boundary>Temperature>On Elements
Main Menu>Solution>Define Loads>Delete>Magnetic>Excitation>AppVoltDrop>On Elements
Main Menu>Solution>Define Loads>Delete>Magnetic>Excitation>DelCurrDens>On Elements
Main Menu>Solution>Define Loads>Delete>Structural>Other>Fluence>On Elements
Main Menu>Solution>Define Loads>Delete>Structural>Temperature>On Element Components
Main Menu>Solution>Define Loads>Delete>Structural>Temperature>On Elements
Main Menu>Solution>Define Loads>Delete>Thermal>Heat Generat>On Elements

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BFECUM 		Up / Home Next
BFELIST


BFELIST

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BFELIST, ELEM, Lab

Lists the element body force loads.

SOLUTION: FE Body Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ELEM

Element at which body load is to be listed. If ALL (or blank), list for all selected elements [ESEL]. If ELEM = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for ELEM.

Lab

Valid body load label. If ALL (or blank), use all appropriate labels. See BFE command for labels.

Notes

Lists the element body force loads for the specified element and label. Element body loads may be defined with the BFE command.

This command is valid in any processor.

Menu Paths

Utility Menu>List>Loads>Body Loads>On All Elements
Utility Menu>List>Loads>Body Loads>On Picked Elems

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BFEDELE 		Up / Home Next
BFESCAL


BFESCAL

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BFESCAL, Lab, FACT, TBASE

Scales element body force loads.

SOLUTION: FE Body Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Valid body load label. If ALL, use all appropriate labels. Structural labels: TEMP (temperature), FLUE (fluence). Thermal label: HGEN (heat generation rate). Magnetic labels: TEMP (temperature), JS (current densities), VLTG (voltage drop), MVDI (magnetic virtual displacements flag). Electric labels: TEMP (temperature), CHRGD (charge density).

FACT

Scale factor for the element body load values. Zero (or blank) defaults to 1.0. Use a small number for a "zero" scale factor. The scale factor is not applied to body load phase angles.

TBASE

Base temperature for temperature difference. Used only with Lab = TEMP. Scale factor is applied to the temperature difference (T - TBASE) and then added to TBASE. T is the current temperature.

Notes

Scales element body force loads on the selected elements in the database. Issue the BFELIST command to list the element body loads. Solid model boundary conditions are not scaled by this command, but boundary conditions on the FE model are scaled. (Note that such scaled FE boundary conditions may still be overwritten by unscaled solid model boundary conditions if a subsequent boundary condition transfer occurs.)

BFESCAL does not work for tabular boundary conditions.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Operate>Scale FE Loads>Elem Body Lds
Main Menu>Solution>Define Loads>Operate>Scale FE Loads>Elem Body Lds

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BFELIST 		Up / Home Next
BFINT


BFINT

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BFINT, Fname1, Ext1, --, Fname2, Ext2, --, KPOS, Clab, KSHS, TOLOUT, TOLHGT

Activates the body force interpolation operation.

POST1: Special Purpose

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname1

File name and directory path (248 characters maximum, including directory) from which to read data for interpolation. If you do not specify a directory path, it will default to your working directory and you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext1

Filename extension (8 character maximum).

The extension defaults to NODE if Fname1 is blank.

--

Unused field.

Fname2

File name and directory path (248 characters maximum, including directory) to which BF commands are written. If you do not specify a directory path, it will default to your working directory and you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext2

Filename extension (8 character maximum).

The extension defaults to BFIN if Fname2 is blank.

--

Unused field.

KPOS

Position on Fname2 to write block of BF commands:

0
 —

Beginning of file (overwrite existing file).

1
 —

End of file (append to existing file).

Clab

Label (8 characters maximum, including the colon) for this block of BF commands in Fname2. This label is appended to the colon (:). Defaults to BFn, where n is the cumulative iteration number for the data set currently in the database.

KSHS

Shell-to-solid submodeling key:

0
 —

Solid-to-solid or shell-to-shell submodel.

1
 —

Shell-to-solid submodel.

TOLOUT

Extrapolation tolerance about elements, based on a fraction of the element dimension. Submodel nodes outside the element by more than TOLOUT are not accepted as candidates for DOF extrapolation. Defaults to 0.5 (50%).

TOLHGT

Height tolerance above or below shell elements, in units of length. Used only for shell-to-shell submodeling (KSHS = 0). Submodel nodes off of the element surface by more than TOLHGT are not accepted as candidates for DOF interpolation or extrapolation. Defaults to 0.0001 times the maximum element dimension.

Caution

Relaxing this tolerance to allow submodel nodes to be “found” could produce poor submodel results.

Notes

File Fname1 should contain a node list for which body forces are to be interpolated [NWRITE]. File Fname2 is created which contains interpolated body forces written as a block of nodal BF commands. Body forces are interpolated from elements having TEMP as a valid body force or degree of freedom, and only the label TEMP is written on the nodal BF commands. Interpolation is performed for all nodes on file Fname1 using the results data currently in the database. The block of BF commands begins with an identifying colon label command and ends with a /EOF command. The colon label command is of the form :Clab, where Clab is described above. Interpolation from multiple results sets can be performed by looping through the results file in a user-defined macro. Additional blocks can be appended to Fname2 by using KPOS and unique colon labels. A /INPUT command, with the appropriate colon label, may be used to read the block of commands.

Menu Paths

Main Menu>General Postproc>Submodeling>Interp Body Forc

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BFESCAL 		Up / Home Next
BFK


BFK

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BFK, KPOI, Lab, VAL1, VAL2, VAL3, PHASE

Defines a body force load at a keypoint.

SOLUTION: Solid Body Loads

MP ME ST PR PRN <> <> <> EM <> <> PP <>

KPOI

Keypoint to which body load applies. If ALL, apply to all selected keypoints [KSEL]. A component name may also be substituted for KPOI.

Lab

Valid body load label. Load labels are listed under "Body Loads" in the input table for each element type in the Elements Reference. Structural labels: TEMP (temperature), FLUE (fluence). Thermal labels: HGEN (heat generation rate). Magnetic labels: TEMP (temperature), JS (current densities), MVDI (magnetic virtual displacements flag). Electric labels: TEMP (temperature), CHRGD (charge density). High-frequency electromagnetic labels: JS (current density). All keypoints on a given area (or volume) must have the same BFK table name for the tables to be transferred to interior nodes.

VAL1, VAL2, VAL3

Value associated with the Lab item or a table name for specifying tabular boundary conditions. Use only VAL1 for TEMP, FLUE, HGEN, MVDI and CHRGD. Use VAL1, VAL2, and VAL3 for the X, Y, and Z components of JS. When specifying a table name, you must enclose the table name in percent signs (%), e.g., BFK,KPOI,Lab,%tabname%. Use the *DIM command to define a table.

PHASE

Phase angle in degrees associated with the JS label.

Notes

Defines a body force load (such as temperature in a structural analysis, heat generation rate in a thermal analysis, etc.) at a keypoint. Body loads may be transferred from keypoints to nodes with the BFTRAN or SBCTRAN commands. Interpolation will be used to apply loads to the nodes on the lines between keypoints. All keypoints on a given area (or volume) must have the same BFK specification, with the same values, for the loads to be transferred to interior nodes in the area (or volume). If only one keypoint on a line has a BFK specification, the other keypoint defaults to the value specified on the BFUNIF command.

You can specify a table name only when using temperature (TEMP) and heat generation rate (HGEN) body load labels. When using TEMP, you can define a one-dimensional table that varies with respect to time (TIME) only. When defining this table, enter TIME as the primary variable. No other primary variables are valid.

Body loads specified by the BFK command can conflict with other specified body loads. See Resolution of Conflicting Body Load Specifications in the Basic Analysis Guide for details.

Graphical picking is available only via the listed menu paths.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>Temperature>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>AppCharDens>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/ANSYS>Heat Generat>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Boundary>Temperature>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Excitation>AppCurrDens>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Other>AppVirtDisp>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Other>Fluence>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Heat Generat>On Keypoints
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>Temperature>On Keypoints
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>AppCharDens>On Keypoints
Main Menu>Solution>Define Loads>Apply>Fluid/ANSYS>Heat Generat>On Keypoints
Main Menu>Solution>Define Loads>Apply>Magnetic>Boundary>Temperature>On Keypoints
Main Menu>Solution>Define Loads>Apply>Magnetic>Excitation>AppCurrDens>On Keypoints
Main Menu>Solution>Define Loads>Apply>Magnetic>Other>AppVirtDisp>On Keypoints
Main Menu>Solution>Define Loads>Apply>Structural>Other>Fluence>On Keypoints
Main Menu>Solution>Define Loads>Apply>Thermal>Heat Generat>On Keypoints

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BFINT 		Up / Home Next
BFKDELE


BFKDELE

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BFKDELE, KPOI, Lab

Deletes body force loads at a keypoint.

SOLUTION: Solid Body Loads

MP ME ST PR PRN <> <> <> EM <> <> PP <>

KPOI

Keypoint at which body load is to be deleted. If ALL, delete for all selected keypoints [KSEL]. A component name may also be substituted for KPOI.

Lab

Valid body load label. If ALL, use all appropriate labels. Load labels are listed under "Body Loads" in the input table for each element type in the Elements Reference. See the BFK command for labels.

Notes

Deletes body force loads (and all corresponding finite element loads) for a specified keypoint and label. Body loads may be defined at a keypoint with the BFK command.

Graphical picking is available only via the listed menu paths.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Delete>All Load Data>All Body Loads>On All KPs
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Boundary>Temperature>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Excitation>AppCharDens>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/ANSYS>Heat Generat>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Boundary>Temperature>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Excitation>DelCurrDens>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Other>AppVirtDisp>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Other>Fluence>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Temperature>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Heat Generat>On Keypoints
Main Menu>Solution>Define Loads>Delete>All Load Data>All Body Loads>On All KPs
Main Menu>Solution>Define Loads>Delete>Electric>Boundary>Temperature>On Keypoints
Main Menu>Solution>Define Loads>Delete>Electric>Excitation>AppCharDens>On Keypoints
Main Menu>Solution>Define Loads>Delete>Fluid/ANSYS>Heat Generat>On Keypoints
Main Menu>Solution>Define Loads>Delete>Magnetic>Boundary>Temperature>On Keypoints
Main Menu>Solution>Define Loads>Delete>Magnetic>Excitation>DelCurrDens>On Keypoints
Main Menu>Solution>Define Loads>Delete>Magnetic>Other>AppVirtDisp>On Keypoints
Main Menu>Solution>Define Loads>Delete>Structural>Other>Fluence>On Keypoints
Main Menu>Solution>Define Loads>Delete>Structural>Temperature>On Keypoints
Main Menu>Solution>Define Loads>Delete>Thermal>Heat Generat>On Keypoints

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BFK 		Up / Home Next
BFKLIST


BFKLIST

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BFKLIST, KPOI, Lab

Lists the body force loads at keypoints.

SOLUTION: Solid Body Loads

MP ME ST PR PRN <> <> <> EM <> <> PP <>

KPOI

Keypoint at which body load is to be listed. If ALL (or blank), list for all selected keypoints [KSEL]. If KPOI = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for KPOI

Lab

Valid body load label. If ALL, use all appropriate labels. Load labels are listed under "Body Loads" in the input table for each element type in the Elements Reference. See the BFK command for labels.

Notes

Lists the body force loads for the specified keypoint and label. Keypoint body loads may be defined with the BFK command.

This command is valid in any processor.

Menu Paths

Utility Menu>List>Loads>Body Loads>On All Keypoints
Utility Menu>List>Loads>Body Loads>On Picked KPs

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BFKDELE 		Up / Home Next
BFL


BFL

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BFL, LINE, Lab, VAL1, VAL2, VAL3, VAL4

Defines a body force load on a line.

SOLUTION: Solid Body Loads

MP ME ST PR PRN <> <> <> EM <> <> PP <>

LINE

Line to which body load applies. If ALL, apply to all selected lines [LSEL]. A component name may also be substituted for LINE.

Lab

Valid body load label. Load labels are listed under "Body loads" in the input table for each element type in the Elements Reference. Structural labels: TEMP (temperature), FLUE (fluence). Thermal label: HGEN (heat generation rate). Magnetic labels: TEMP (temperature). Electric labels: TEMP (temperature), CHRGD (charge density). High-frequency electromagnetic labels: JS (current density), EF (electric field). FLOTRAN labels: HGEN (heat generation rate), FORC (body force density).

VAL1, VAL2, VAL3

Value associated with the Lab item or a table name for specifying tabular boundary conditions. Use only VAL1 for TEMP, FLUE, HGEN, and CHRGD. Use VAL1, VAL2, and VAL3 for the X, Y, and Z components of JS, EF, and FORC. When specifying a table name, you must enclose the table name in percent signs (%), e.g., BFL,LINE,Lab,%tabname%. Use the *DIM command to define a table.

VAL4

If Lab = EF, VAL4 is the phase angle in degrees. If Lab = JS, VAL4 is the phase angle in degrees or a negative port number for a driven port.

Notes

Defines a body force load (such as temperature in a structural analysis, heat generation rate in a thermal analysis, etc.) on a line. Body loads may be transferred from lines to line elements (or to nodes if line elements do not exist) with the BFTRAN or SBCTRAN commands.

You can specify a table name only when using temperature (TEMP) and heat generation rate (HGEN) body load labels. When using TEMP, you can define a one-dimensional table that varies with respect to time (TIME) only. When defining this table, enter TIME as the primary variable. No other primary variables are valid.

Body loads specified by the BFL command can conflict with other specified body loads. See Resolution of Conflicting Body Load Specifications in the Basic Analysis Guide for details.

Graphical picking is available only via the listed menu paths.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>Temperature>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>AppCharDens>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>AppElecField>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Boundary>Temperature>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Excitation>AppCurrDens>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Other>Fluence>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Heat Generat>On Lines
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>Temperature>On Lines
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>AppCharDens>On Lines
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>AppElecField>On Lines
Main Menu>Solution>Define Loads>Apply>Magnetic>Boundary>Temperature>On Lines
Main Menu>Solution>Define Loads>Apply>Magnetic>Excitation>AppCurrDens>On Lines
Main Menu>Solution>Define Loads>Apply>Structural>Other>Fluence>On Lines
Main Menu>Solution>Define Loads>Apply>Thermal>Heat Generat>On Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BFKLIST 		Up / Home Next
BFLDELE


BFLDELE

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BFLDELE, LINE, Lab

Deletes body force loads on a line.

SOLUTION: Solid Body Loads

MP ME ST PR PRN <> <> <> EM <> <> PP <>

LINE

Line at which body load is to be deleted. If ALL, delete for all selected lines [LSEL]. A component name may also be substituted for LINE.

Lab

Valid body load label. If ALL, use all appropriate labels. Load labels are listed under "Body Loads" in the input table for each element type in the Elements Reference. See the BFL command for labels.

Notes

Deletes body force loads (and all corresponding finite element loads) for a specified line and label. Body loads may be defined on a line with the BFL command.

Graphical picking is available only via the listed menu paths.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Delete>All Load Data>All Body Loads>On All Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Boundary>Temperature>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Excitation>AppCharDens>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Excitation>DelElecField>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Boundary>Temperature>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Excitation>DelCurrDens>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Other>Fluence>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Temperature>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Heat Generat>On Lines
Main Menu>Solution>Define Loads>Delete>All Load Data>All Body Loads>On All Lines
Main Menu>Solution>Define Loads>Delete>Electric>Boundary>Temperature>On Lines
Main Menu>Solution>Define Loads>Delete>Electric>Excitation>AppCharDens>On Lines
Main Menu>Solution>Define Loads>Delete>Electric>Excitation>DelElecField>On Lines
Main Menu>Solution>Define Loads>Delete>Magnetic>Boundary>Temperature>On Lines
Main Menu>Solution>Define Loads>Delete>Magnetic>Excitation>DelCurrDens>On Lines
Main Menu>Solution>Define Loads>Delete>Structural>Other>Fluence>On Lines
Main Menu>Solution>Define Loads>Delete>Structural>Temperature>On Lines
Main Menu>Solution>Define Loads>Delete>Thermal>Heat Generat>On Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BFL 		Up / Home Next
BFLIST


BFLIST

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BFLIST, NODE, Lab

Lists the body force loads on nodes.

SOLUTION: FE Body Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NODE

Node at which body load is to be listed. If ALL (or blank), list for all selected nodes [NSEL]. If NODE = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NODE.

Lab

Valid body load label. If ALL (or blank), use all appropriate labels. See the BF command for labels. In an explicit dynamic analysis, the only valid body load label is TEMP.

Notes

Lists the body force loads for the specified node and label. Nodal body loads may be defined with the BF command (except in an explicit dynamic analysis).

The command BFLIST,TEMP can be used in an explicit dynamic analysis to list temperature loads that are read in by the LDREAD command. BFLIST cannot be used to list temperature loads defined by the EDLOAD command (use EDLOAD,LIST to list this type of load).

This command is valid in any processor.

Menu Paths

Main Menu>Preprocessor>LS-DYNA Options>Loading Options>List Temps
Main Menu>Solution>Loading Options>List Temps
Utility Menu>List>Loads>Body Loads>On All Nodes
Utility Menu>List>Loads>Body Loads>On Picked Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BFLDELE 		Up / Home Next
BFLLIST


BFLLIST

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BFLLIST, LINE, Lab

Lists the body force loads on a line.

SOLUTION: Solid Body Loads

MP ME ST PR PRN <> <> <> EM <> <> PP <>

LINE

Line at which body load is to be listed. If ALL (or blank), list for all selected lines [LSEL]. If LINE = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for LINE.

Lab

Valid body load label. If ALL, use all appropriate labels. Load labels are listed under "Body Loads" in the input table for each element type in the Elements Reference. See the BFL command for labels.

Notes

Lists the body force loads for the specified line and label. Body loads may be defined on a line with the BFL command.

This command is valid in any processor.

Menu Paths

Utility Menu>List>Loads>Body Loads>On All Lines
Utility Menu>List>Loads>Body Loads>On Picked Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BFLIST 		Up / Home Next
BFSCALE


BFSCALE

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BFSCALE, Lab, FACT, TBASE

Scales body force loads at nodes.

SOLUTION: FE Body Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Valid body load label. If ALL, use all appropriate labels. Structural labels: TEMP (temperature), FLUE (fluence). Thermal label: HGEN (heat generation rate). Magnetic labels: TEMP (temperature), JS (current densities), MVDI (magnetic virtual displacements flag). Electric label: TEMP (temperature), CHRGD (charge density).

FACT

Scale factor for the nodal body load values. Zero (or blank) defaults to 1.0. Use a small number for a zero scale factor. The scale factor is not applied to body load phase angles.

TBASE

Base temperature for temperature difference. Used only with Lab = TEMP. Scale factor is applied to the temperature difference (T - TBASE) and then added to TBASE. T is the current temperature.

Notes

Scales body force loads in the database on the selected nodes. Issue the BFLIST command to list the nodal body loads. Solid model boundary conditions are not scaled by this command, but boundary conditions on the FE model are scaled.

Note

Such scaled FE boundary conditions may still be overwritten by unscaled solid model boundary conditions if a subsequent boundary condition transfer occurs.

BFSCALE does not work for tabular boundary conditions.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Operate>Scale FE Loads>Nodal Body Ld
Main Menu>Solution>Define Loads>Operate>Scale FE Loads>Nodal Body Ld

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BFLLIST 		Up / Home Next
BFTRAN


BFTRAN

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BFTRAN

Transfers solid model body force loads to the finite element model.

SOLUTION: Solid Body Loads

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Notes

Body loads are transferred from selected keypoints and lines to selected nodes and from selected areas and volumes to selected elements. The BFTRAN operation is also done if the SBCTRAN command is either explicitly issued or automatically issued upon initiation of the solution calculations [SOLVE].

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Operate>Transfer to FE>Body Loads
Main Menu>Solution>Define Loads>Operate>Transfer to FE>Body Loads

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BFSCALE 		Up / Home Next
BFUNIF


BFUNIF

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BFUNIF, Lab, VALUE

Assigns a uniform body force load to all nodes.

SOLUTION: FE Body Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Valid body load label. If ALL, use all appropriate labels. Structural labels: TEMP (temperature), FLUE (fluence). Explicit dynamics label: TEMP (temperature). Thermal labels: HGEN (heat generation rate), TEMP (initial temperatures).

VALUE

Uniform value associated with Lab item, or table name when specifying tabular boundary conditions. To specify a table, enclose the table name in percent signs (%), e.g., BFUNIF,Lab,%tabname%.

Command Default

Set TEMP to the reference temperature ([TREF] but not MP,REFT), and FLUE and HGEN to zero.

Notes

In a transient or nonlinear thermal analysis, the uniform temperature is used during the first iteration of a solution as follows: (a) as the starting nodal temperature (except where temperatures are explicitly specified [D, DK]), and (b) to evaluate temperature-dependent material properties. In a structural analysis or explicit dynamic analysis, the uniform temperature is used as the default temperature for thermal strain calculations and material property evaluation (except where body load temperatures are specified [BF, BFE, BFK, LDREAD]). In other scalar field analyses, the uniform temperature is used for material property evaluation.

When the command BFUNIF,TEMP is used in an explicit dynamic analysis, you cannot use the EDLOAD,TEMP command to apply temperature loading. Furthermore, any temperature loading defined by BFUNIF cannot be listed or deleted by the EDLOAD command.

An alternate command, TUNIF, may be used to set the uniform temperature instead of BFUNIF,TEMP. Since TUNIF (or BFUNIF,TEMP) is step-applied in the first iteration, you should use BF, ALL, TEMP, Value to ramp on a uniform temperature load.

You can specify a table name only when using temperature (TEMP) and heat generation rate (HGEN) body load labels. When using TEMP, you can define a one-dimensional table that varies with respect to time (TIME) only. When defining this table, enter TIME as the primary variable. No other primary variables are valid. Tabular boundary conditions cannot be used in an explicit dynamic analysis.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/ANSYS>Heat Generat>Uniform Heat Gen
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Other>Fluence>Uniform Fluen
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Heat Generat>Uniform Heat Gen
Main Menu>Solution>Define Loads>Apply>Fluid/ANSYS>Heat Generat>Uniform Heat Gen
Main Menu>Solution>Define Loads>Apply>Structural>Other>Fluence>Uniform Fluen
Main Menu>Solution>Define Loads>Apply>Thermal>Heat Generat>Uniform Heat Gen

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BFTRAN 		Up / Home Next
BFV


BFV

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BFV, VOLU, Lab, VAL1, VAL2, VAL3, PHASE

Defines a body force load on a volume.

SOLUTION: Solid Body Loads

MP ME ST PR PRN <> <> <> EM <> <> PP <>

VOLU

Volume to which body load applies. If ALL, apply to all selected volumes [VSEL]. A component name may also be substituted for VOLU.

Lab

Valid body load label. Load labels are listed under "Body Loads" in the input table for each element type in the Elements Reference. Structural labels: TEMP (temperature), FLUE (fluence). Thermal labels: HGEN (heat generation rate). Magnetic labels: TEMP (temperature), JS (current densities), VLTG (voltage drop). Electric labels: TEMP (temperature), CHRGD (charge density). High-frequency electromagnetic labels: JS (current density). FLOTRAN label: HGEN (heat generation rate).

VAL1, VAL2, VAL3

Value associated with the Lab item or a table name for specifying tabular boundary conditions. Use only VAL1 for TEMP, FLUE, HGEN, and CHRGD. Use VAL1, VAL2, and VAL3 for the X, Y, and Z components of JS. For Lab = VLTG, VAL1 is the voltage drop and VAL2 is the phase angle. When specifying a table name, you must enclose the table name in percent signs (%), e.g., BFV,VOLU,Lab,%tabname%. Use the *DIM command to define a table.

PHASE

Phase angle in degrees associated with the JS label.

Notes

Defines a body force load (such as temperature in a structural analysis, heat generation rate in a thermal analysis, etc.) on a volume. Body loads may be transferred from volumes to volume elements (or to nodes if volume elements do not exist) with the BFTRAN or SBCTRAN commands. Body loads default to the value specified on the BFUNIF command, if it was previously specified.

You can specify a table name only when using temperature (TEMP) and heat generation rate (HGEN) body load labels. When using TEMP, you can define a one-dimensional table that varies with respect to time (TIME) only. When defining this table, enter TIME as the primary variable. No other primary variables are valid.

Body loads specified by the BFV command can conflict with other specified body loads. See Resolution of Conflicting Body Load Specifications in the Basic Analysis Guide for details.

Graphical picking is available only via the listed menu paths.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>Temperature>On Volumes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>AppCharDens>On Volumes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Boundary>Temperature>On Volumes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Excitation>AppCurrDens>On Volumes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Excitation>AppVoltDrop>On Volumes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Other>Fluence>On Volumes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Heat Generat>On Volumes
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>Temperature>On Volumes
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>AppCharDens>On Volumes
Main Menu>Solution>Define Loads>Apply>Magnetic>Boundary>Temperature>On Volumes
Main Menu>Solution>Define Loads>Apply>Magnetic>Excitation>AppCurrDens>On Volumes
Main Menu>Solution>Define Loads>Apply>Magnetic>Excitation>AppVoltDrop>On Volumes
Main Menu>Solution>Define Loads>Apply>Structural>Other>Fluence>On Volumes
Main Menu>Solution>Define Loads>Apply>Thermal>Heat Generat>On Volumes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BFUNIF 		Up / Home Next
BFVDELE


BFVDELE

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BFVDELE, VOLU, Lab

Deletes body force loads on a volume.

SOLUTION: Solid Body Loads

MP ME ST PR PRN <> <> <> EM <> <> PP <>

VOLU

Volume at which body load is to be deleted. If ALL, delete for all selected volumes [VSEL]. A component name may also be substituted for VOLU.

Lab

Valid body load label. If ALL, use all appropriate labels. Load labels are listed under "Body Loads" in the input table for each element type in the Elements Reference. See the BFV command for labels.

Notes

Deletes body force loads (and all corresponding finite element loads) for a specified volume and label. Body loads may be defined on a volume with the BFV command.

Graphical picking is available only via the listed menu paths.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Delete>All Load Data>All Body Loads>On All Volms
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Boundary>Temperature>On Volumes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Excitation>AppCharDens>On Volumes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Boundary>Temperature>On Volumes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Excitation>AppVoltDrop>On Volumes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Excitation>DelCurrDens>On Volumes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Other>Fluence>On Volumes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Temperature>On Volumes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Heat Generat>On Volumes
Main Menu>Solution>Define Loads>Delete>All Load Data>All Body Loads>On All Volms
Main Menu>Solution>Define Loads>Delete>Electric>Boundary>Temperature>On Volumes
Main Menu>Solution>Define Loads>Delete>Electric>Excitation>AppCharDens>On Volumes
Main Menu>Solution>Define Loads>Delete>Magnetic>Boundary>Temperature>On Volumes
Main Menu>Solution>Define Loads>Delete>Magnetic>Excitation>AppVoltDrop>On Volumes
Main Menu>Solution>Define Loads>Delete>Magnetic>Excitation>DelCurrDens>On Volumes
Main Menu>Solution>Define Loads>Delete>Structural>Other>Fluence>On Volumes
Main Menu>Solution>Define Loads>Delete>Structural>Temperature>On Volumes
Main Menu>Solution>Define Loads>Delete>Thermal>Heat Generat>On Volumes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BFV 		Up / Home Next
BFVLIST


BFVLIST

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BFVLIST, VOLU, Lab

Lists the body force loads on a volume.

SOLUTION: Solid Body Loads

MP ME ST PR PRN <> <> <> EM <> <> PP <>

VOLU

Volume at which body load is to be listed. If ALL (or blank), list for all selected volumes [VSEL]. If VOLU = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for VOLU.

Lab

Valid body load label. If ALL, use all appropriate labels. Load labels are listed under "Body Loads" in the input table for each element type in the Elements Reference. See the BFV command for labels.

Notes

Lists the body force loads for the specified volume and label. Body loads may be defined on a volume with the BFV command.

This command is valid in any processor.

Menu Paths

Utility Menu>List>Loads>Body Loads>On All Volumes
Utility Menu>List>Loads>Body Loads>On Picked Volumes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BFVDELE 		Up / Home Next
BIOOPT


BIOOPT

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BIOOPT

Specifies "Biot-Savart options" as the subsequent status topic.

SOLUTION: Status

MP ME ST <> <> <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Solution>Biot Savart Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BFVLIST 		Up / Home Next
BIOT


BIOT

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BIOT, Label

Calculates the Biot-Savart source magnetic field intensity.

SOLUTION: Misc Loads

MP ME ST <> <> <> <> <> EM <> <> PP <>

Label

Controls the Biot-Savart calculation:

NEW
 —

Calculate the magnetic source field intensity (Hs) from the selected set of source elements to the selected set of nodes. Overwrite any existing Hs field values.

SUM
 —

Calculate the Hs field from the selected set of source elements to the selected set of nodes. Accumulate with any existing Hs field values.

Command Default

Calculate the Hs field upon encountering the first SOLVE command to produce a source field.

Notes

Calculates the Biot-Savart source magnetic field intensity (Hs) at the selected nodes from the selected source elements. The calculation is done at the time the BIOT command is issued.

Source elements include primitives described by element SOURC36, and coupled-field elements SOLID5, LINK68, SOLID69, and SOLID98. Current conduction elements do not have a solved-for current distribution from which to calculate a source field until after the first substep. Inclusion of a current conduction element Hs field will require a subsequent BIOT,SUM command (with SOURC36 elements unselected) and a SOLVE command.

The units of Hs are as specified by the current EMUNIT command setting.

This command is also valid in PREP7.

The Biot-Savart source loading is handled automatically in the edge formulation; therefore, the BIOT command is ignored when using SOURC36 current loading with SOLID117 elements.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Magnetics>Options Only>Biot-Savart
Main Menu>Solution>Load Step Opts>Magnetics>Options Only>Biot-Savart

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BIOOPT 		Up / Home Next
BLC4


BLC4

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BLC4, XCORNER, YCORNER, WIDTH, HEIGHT, DEPTH

Creates a rectangular area or block volume by corner points.

PREP7: Primitives

MP ME ST PR PRN <> <> FL EM EH <> PP <>

XCORNER, YCORNER

Working plane X and Y coordinates of one corner of the rectangle or block face.

WIDTH

The distance from XCORNER on or parallel to the working plane X-axis that, together with YCORNER, defines a second corner of the rectangle or block face.

HEIGHT

The distance from YCORNER on or parallel to the working plane Y-axis that, together with XCORNER, defines a third corner of the rectangle or block face.

DEPTH

The perpendicular distance (either positive or negative based on the working plane Z direction) from the working plane representing the depth of the block. If DEPTH = 0 (default), a rectangular area is created on the working plane.

Notes

Defines a rectangular area anywhere on the working plane or a hexahedral volume with one face anywhere on the working plane. A rectangle will be defined with four keypoints and four lines. A volume will be defined with eight keypoints, twelve lines, and six areas, with the top and bottom faces parallel to the working plane. See the BLC5, RECTNG, and BLOCK commands for alternate ways to create rectangles and blocks.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Areas>Rectangle>By 2 Corners
Main Menu>Preprocessor>Modeling>Create>Volumes>Block>By 2 Corners & Z
Main Menu>Preprocessor>Trefftz Domain>TZ Geometry>Create>Volume>Block>By 2 Corners & Z

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BIOT 		Up / Home Next
BLC5


BLC5

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BLC5, XCENTER, YCENTER, WIDTH, HEIGHT, DEPTH

Creates a rectangular area or block volume by center and corner points.

PREP7: Primitives

MP ME ST PR PRN <> <> FL EM EH <> PP <>

XCENTER, YCENTER

Working plane X and Y coordinates of the center of the rectangle or block face.

WIDTH

The total distance on or parallel to the working plane X-axis defining the width of the rectangle or block face.

HEIGHT

The total distance on or parallel to the working plane Y-axis defining the height of the rectangle or block face.

DEPTH

The perpendicular distance (either positive or negative based on the working plane Z direction) from the working plane representing the depth of the block. If DEPTH = 0 (default), a rectangular area is created on the working plane.

Note

If you are working with a model imported from an IGES file (import option set to DEFAULT), you must supply a value for DEPTH or the command is ignored.

Notes

Defines a rectangular area anywhere on the working plane or a hexahedral volume with one face anywhere on the working plane by specifying the center and corner points. A rectangle will be defined with four keypoints and four lines. A volume will be defined with eight keypoints, twelve lines, and six areas, with the top and bottom faces parallel to the working plane. See the BLC4, RECTNG, and BLOCK commands for alternate ways to create rectangles and blocks.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Areas>Rectangle>By Centr & Cornr
Main Menu>Preprocessor>Modeling>Create>Primitives>Block
Main Menu>Preprocessor>Modeling>Create>Volumes>Block>By Centr,Cornr,Z
Main Menu>Preprocessor>Trefftz Domain>TZ Geometry>Create>Volume>Block>By Centr,Cornr,Z

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BLC4 		Up / Home Next
BLOCK


BLOCK

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BLOCK, X1, X2, Y1, Y2, Z1, Z2

Creates a block volume based on working plane coordinates.

PREP7: Primitives

MP ME ST PR PRN <> <> FL EM EH <> PP <>

X1, X2

Working plane X coordinates of the block.

Y1, Y2

Working plane Y coordinates of the block.

Z1, Z2

Working plane Z coordinates of the block.

Notes

Defines a hexahedral volume based on the working plane. The block must have a spatial volume greater than zero (i.e., this volume primitive command cannot be used to create a degenerate volume as a means of creating an area.) The volume will be defined with eight keypoints, twelve lines, and six areas, with the top and bottom faces parallel to the working plane. See the BLC4 and BLC5 commands for alternate ways to create blocks.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Volumes>Block>By Dimensions
Main Menu>Preprocessor>Trefftz Domain>TZ Geometry>Create>Volume>Block>By Dimensions

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BLC5 		Up / Home Next
BOOL


BOOL

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BOOL

Specifies "Booleans" as the subsequent status topic.

PREP7: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Preprocessor>Solid Model

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BLOCK 		Up / Home Next
BOPTN


BOPTN

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BOPTN, Lab, Value

Specifies Boolean operation options.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Default/status key:

DEFA
—

Resets settings to default values.

STAT
—

Lists status of present settings.

Option to be controlled:

KEEP
—

Delete or keep input entity option.

NUMB
—

Output numbering warning message option.

NWARN
—

No effect warning message option.

VERSION
—

Boolean compatibility option.

Value

Option settings if Lab = KEEP:

NO
—

Delete entities used as input with a Boolean operation (default). Entities will not be deleted if meshed or if attached to a higher entity.

YES
—

Keep input solid modeling entities.

Option settings if Lab = NUMB:

0
—

No warning message will be produced if the output entities of a Boolean operation are numbered based on geometry (default).

1
—

A warning message will be produced if the output entities of a Boolean operation are numbered based on geometry. (With geometric numbering, re-use of the input with altered dimensions (as in design optimization) may not produce the same numbering, and later operations in the input may fail or produce unexpected results.)

Option settings if Lab = NWARN:

0
—

A warning message will be produced if a Boolean operation has no effect (default).

1
—

No warning or error messages will be generated if a Boolean operation has no effect.

-1
—

An error message will be produced if a Boolean operation has no effect.

Option settings if Lab = VERSION:

RV52
—

Activate the Revision 5.2 compatibility option (default). The 5.2 option can produce different numbering of the entities produced by Boolean operations than the 5.1 option. See Notes below.

RV51
—

Activate the Revision 5.1 compatibility option. The 5.1 option can produce different numbering of the entities produced by Boolean operations than the 5.2 option. See "Notes" below.

Command Default

Input entities will be deleted, and operations with no effect (i.e., operations which are valid but which do not cause a change in the input entities, such as adding two non-touching areas) will produce a warning message. The Revision 5.2 Boolean compatibility option will be used.

Notes

Boolean operations at Revision 5.2 may produce a different number of entities than previous revisions of ANSYS. When running input files created at earlier revisions of ANSYS, match the Boolean compatibility option (VERSION) to the revision originally used. For instance, if you are running Revision 5.2 and are reading an input file (/INPUT) created at Revision 5.1, it is recommended that you set VERSION to RV51 before reading the input.

See the Modeling and Meshing Guide for further details on the functions of the RV51 and RV52 labels.

This command is valid in any processor.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Settings

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BOOL 		Up / Home Next
BRANCH


BRANCH

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BRANCH, NODE, X, Y, Z

Defines the starting point for a piping branch.

PREP7: Piping

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NODE

Start branch at this node.

X, Y, Z

Start branch at this location (in the active coordinate system). Used only if NODE is not input or input but the node itself is not previously defined. In either case a node is generated at this location and assigned the number NODE (or 1 + previous maximum node number if NODE is not input).

Notes

See the RUN command for information relating to piping models.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Piping Models>Start Branch>At Node
Main Menu>Preprocessor>Modeling>Create>Piping Models>Start Branch>At XYZ Loc

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BOPTN 		Up / Home Next
BSAX


BSAX

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BSAX, VAL1, VAL2, T

Specifies the axial strain and axial force relationship for beam sections.

PREP7: Cross Sections

MP ME ST PR PRN <> <> <> <> <> <> PP <>

VAL1

Axial strain component (ε).

VAL2

Axial force component (N).

T

Temperature.

Notes

The behavior of beam elements is governed by the generalized-stress/generalized-strain relationship of the form:

The BSAX command, one of several nonlinear general beam section commands, specifies the relationship of axial strain and axial force for a beam section. The section data defined is associated with the section most recently defined (via the SECTYPE command).

Unspecified values default to zero.

Related commands are BSM1, BSM2, BSTQ, BSS1, BSS2, BSMD, and BSTE.

For complete information, see Using Nonlinear General Beam Sections.

Menu Paths

Main Menu>Preprocessor>Sections>Beam>NL Generalized

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BRANCH 		Up / Home Next
BSMD


BSMD

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BSMD, DENS, T

Specifies mass density for a nonlinear general beam section.

PREP7: Cross Sections

MP ME ST PR PRN <> <> <> <> <> <> PP <>

DENS

Mass density.

T

Temperature.

Notes

The BSMD command, one of several nonlinear general beam section commands, specifies the mass density (assuming a unit area) for a beam section. The value specified is associated with the section most recently defined (via the SECTYPE command).

Related commands are BSAX, BSM1, BSM2, BSTQ, BSS1, BSS2, and BSTE.

For complete information, see Using Nonlinear General Beam Sections.

Menu Paths

Main Menu>Preprocessor>Sections>Beam>NL Generalized

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BSAX 		Up / Home Next
BSM1


BSM1

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BSM1, VAL1, VAL2, T

Specifies the bending curvature and moment relationship in plane XZ for beam sections.

PREP7: Cross Sections

MP ME ST PR PRN <> <> <> <> <> <> PP <>

VAL1

Curvature component (κ1).

VAL2

Bending moment component (M1).

T

Temperature.

Notes

The behavior of beam elements is governed by the generalized-stress/generalized-strain relationship of the form:

The BSM1 command, one of several nonlinear general beam section commands, specifies the bending curvature and moment for plane XZ of a beam section. The section data defined is associated with the section most recently defined (via the SECTYPE command).

Unspecified values default to zero.

Related commands are BSAX, BSM2, BSTQ, BSS1, BSS2, BSMD, and BSTE.

For complete information, see Using Nonlinear General Beam Sections.

Menu Paths

Main Menu>Preprocessor>Sections>Beam>NL Generalized

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BSMD 		Up / Home Next
BSM2


BSM2

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BSM2, VAL1, VAL2, T

Specifies the bending curvature and moment relationship in plane XY for beam sections.

PREP7: Cross Sections

MP ME ST PR PRN <> <> <> <> <> <> PP <>

VAL1

Curvature component (κ2).

VAL2

Bending moment component (M2).

T

Temperature.

Notes

The behavior of beam elements is governed by the generalized-stress/generalized-strain relationship of the form:

The BSM2 command, one of several nonlinear general beam section commands, specifies the bending curvature and moment relationship for plane XY of a beam section. The section data defined is associated with the section most recently defined (via the SECTYPE command).

Unspecified values default to zero.

Related commands are BSAX, BSM1, BSTQ, BSS1, BSS2, BSMD, and BSTE.

For complete information, see Using Nonlinear General Beam Sections.

Menu Paths

Main Menu>Preprocessor>Sections>Beam>NL Generalized

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BSM1 		Up / Home Next
BSPLIN


BSPLIN

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BSPLIN, P1, P2, P3, P4, P5, P6, XV1, YV1, ZV1, XV6, YV6, ZV6

Generates a single line from a spline fit to a series of keypoints.

PREP7: Lines

MP ME ST PR PRN <> <> FL EM <> <> PP <>

P1, P2, P3, . . . , P6

Keypoints through which a spline is fit. At least two keypoints must be defined. If P1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

The following fields are used only if specified end slopes are desired; otherwise, zero curvature end slopes will be automatically calculated. The slope vector is parallel to a vector pointing from the origin of the active coordinate system [CSYS] to the position in space that XV, YV, ZV represents in that system.

XV1, YV1, ZV1

Orientation point of an outward vector tangent to line at P1. Vector coordinate system has its origin at the keypoint. Coordinate interpretation corresponds to the active coordinate system type, i.e., X is R for cylindrical, etc. Defaults to zero curvature slope.

XV6, YV6, ZV6

Orientation point of an outward vector tangent to a line at P6 (or the last keypoint specified if fewer than six specified). Defaults to zero curvature slope.

Notes

One line is generated between keypoint P1 and the last keypoint entered. The line will pass through each entered keypoint. Solid modeling in a toroidal coordinate system is not recommended.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Lines>Splines>Spline thru KPs
Main Menu>Preprocessor>Modeling>Create>Lines>Splines>Spline thru Locs
Main Menu>Preprocessor>Modeling>Create>Lines>Splines>With Options>Spline thru KPs
Main Menu>Preprocessor>Modeling>Create>Lines>Splines>With Options>Spline thru Locs

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BSM2 		Up / Home Next
BSS1


BSS1

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BSS1, VAL1, VAL2, T

Specifies the transverse shear strain and force relationship in plane XZ for beam sections.

PREP7: Cross Sections

MP ME ST PR PRN <> <> <> <> <> <> PP <>

VAL1

Transverse shear strain component (γ1).

VAL2

Transverse shear force component (S1).

T

Temperature.

Notes

The behavior of beam elements is governed by the generalized-stress/generalized-strain relationship of the form:

The BSS1 command, one of several nonlinear general beam section commands, specifies the transverse shear strain and transverse shear force relationship for plane XZ of a beam section. The section data defined is associated with the section most recently defined (via the SECTYPE command).

Unspecified values default to zero.

Related commands are BSAX, BSM1, BSM2, BSTQ, BSS2, BSMD, and BSTE.

For complete information, see Using Nonlinear General Beam Sections.

Menu Paths

Main Menu>Preprocessor>Sections>Beam>NL Generalized

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BSPLIN 		Up / Home Next
BSS2


BSS2

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BSS2, VAL1, VAL2, T

Specifies the transverse shear strain and force relationship in plane XY for beam sections.

PREP7: Cross Sections

MP ME ST PR PRN <> <> <> <> <> <> PP <>

VAL1

Transverse shear strain component (γ2).

VAL2

Transverse shear force component (S2).

T

Temperature.

Notes

The behavior of beam elements is governed by the generalized-stress/generalized-strain relationship of the form:

The BSS1 command, one of several nonlinear general beam section commands, specifies the transverse shear strain and transverse shear force relationship for plane XY of a beam section. The section data defined is associated with the section most recently defined (via the SECTYPE command).

Unspecified values default to zero.

Related commands are BSAX, BSM1, BSM2, BSTQ, BSS1, BSMD, and BSTE.

For complete information, see Using Nonlinear General Beam Sections.

Menu Paths

Main Menu>Preprocessor>Sections>Beam>NL Generalized

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BSS1 		Up / Home Next
BSTE


BSTE

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BSTE, ALPHA, T

Specifies a thermal expansion coefficient for a nonlinear general beam section.

PREP7: Cross Sections

MP ME ST PR PRN <> <> <> <> <> <> PP <>

ALPHA

Coefficient of thermal expansion for the cross section.

T

Temperature.

Notes

The BSTE command, one of several nonlinear general beam section commands, specifies a thermal expansion coefficient for a beam section. The value specified is associated with the section most recently defined (via the SECTYPE command).

Related commands are BSAX, BSM1, BSM2, BSTQ, BSS1, BSS2, and BSMD.

For complete information, see Using Nonlinear General Beam Sections.

Menu Paths

Main Menu>Preprocessor>Sections>Beam>NL Generalized

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BSS2 		Up / Home Next
BSTQ


BSTQ

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BSTQ, VAL1, VAL2, T

Specifies the cross section twist and torque relationship for beam sections.

PREP7: Cross Sections

MP ME ST PR PRN <> <> FL <> <> <> PP <>

VAL1

Twist component (χ).

VAL2

Torque component (τ).

T

Temperature.

Notes

The behavior of beam elements is governed by the generalized-stress/generalized-strain relationship of the form:

The BSTQ command, one of several nonlinear general beam section commands, specifies the cross section twist and torque relationship for a beam section. The section data defined is associated with the section most recently defined (via the SECTYPE command).

Unspecified values default to zero.

Related commands are BSAX, BSM1, BSM2, BSS1, BSS2, BSMD, and BSTE.

For complete information, see Using Nonlinear General Beam Sections.

Menu Paths

Main Menu>Preprocessor>Sections>Beam>NL Generalized

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BSTE 		Up / Home Next
BTOL


BTOL

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BTOL, PTOL

Specifies the Boolean operation tolerances.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM <> <> PP <>

PTOL

Point coincidence tolerance. Points within this distance to each other will be assumed to be coincident during Boolean operations. Loosening the tolerance will increase the run time and storage requirements, but will allow more Boolean intersections to succeed. Defaults to 0.10E-4.

Command Default

PTOL = 0.10E-4.

Notes

Use BTOL,DEFA to reset the setting to its default value. Use BTOL,STAT to list the status of the present setting.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Settings

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BSTQ 		Up / Home Next
BUCOPT


BUCOPT

Release 11.0 Documentation for ANSYS

Commands Reference | B Commands |

BUCOPT, Method, NMODE, SHIFT, LDMULTE

Specifies buckling analysis options.

SOLUTION: Nonlinear Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Method

Mode extraction method to be used (no default; you must specify a method):

SUBSP
 —

Subspace iteration.

LANB
 —

Block Lanczos.

NMODE

Number of modes to extract. (defaults to 1).

SHIFT

Shift point about which the eigenvalues are calculated (defaults to 0.0).

LDMULTE

Upper end of the load multiplier range of interest (defaults to 0).

Notes

This command is also valid in PREP7. If used in SOLUTION, this command is valid only within the first load step. The PCG Lanczos method is NOT available for buckling analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>Analysis Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BTOL 		Up / Home Next
C Commands


C Commands

Table of Contents

C*** - Places a comment in the output.
CALC - Specifies "Calculation settings" as the subsequent status topic.
CAMPBELL - Prepares the result file for a subsequent Campbell diagram of a prestressed structure.
CBDOF - Activates cut boundary interpolation (for submodeling).
CDOPT - Specifies format to be used for archiving geometry.
CDREAD - Reads a file of solid model and database information into the database.
CDWRITE - Writes geometry and load database items to a file.
CE - Defines a constraint equation relating degrees of freedom.
CECHECK - Check constraint equations and couplings for rigid body motions.
CECMOD - Modifies the constant term of a constraint equation during solution.
CECYC - Generates the constraint equations for a cyclic symmetry analysis
CEDELE - Deletes constraint equations.
CEINTF - Generates constraint equations at an interface.
CELIST - Lists the constraint equations.
CENTER - Defines a node at the center of curvature of 2 or 3 nodes.
CEQN - Specifies "Constraint equations" as the subsequent status topic.
CERIG - Defines a rigid region.
CESGEN - Generates a set of constraint equations from existing sets.
CFACT - Defines complex scaling factors to be used with operations.
/CFORMAT - Controls the graphical display of alphanumeric character strings for parameters, components, assemblies, and tables.
CGLOC - Specifies the origin location of the acceleration coordinate system.
CGOMGA - Specifies the rotational velocity of the global origin.
CHECK - Checks current database items for completeness.
CHKMSH - Checks area and volume entities for previous meshes.
CINT - Defines parameters associated with contour integral calculations
CIRCLE - Generates circular arc lines.
CISOL - Stores J-integral information in a variable.
/CLABEL - Specifies contour labeling.
/CLEAR - Clears the database.
CLOCAL - Defines a local coordinate system relative to the active coordinate system.
CLOG - Forms the common log of a variable
/CLOG - Copies the session log file to a named file.
CLRMSHLN - Clears meshed entities.
CM - Groups geometry items into a component.
CMACEL - Specifies the translational acceleration of an element component
/CMAP - Changes an existing or creates a new color mapping table.
CMATRIX - Performs electrostatic field solutions and calculates the self and mutual capacitances between multiple conductors.
CMDELE - Deletes a component or assembly definition.
CMDOMEGA - Specifies the rotational acceleration of an element component about a user-defined rotational axis.
CMEDIT - Edits an existing assembly.
CMGRP - Groups components and assemblies into an assembly.
CMLIST - Lists the contents of a component or assembly.
CMMOD - Modifies the specification of a component.
CMOMEGA - Specifies the rotational velocity of an element component about a user-defined rotational axis.
CMPLOT - Plots the entities contained in a component or assembly.
CMROTATE - Specifies the rotational velocity of an element component about a user-defined rotational axis
CMSEL - Selects a subset of components and assemblies.
CMSFILE - Specifies a list of component mode synthesis (CMS) results files for plotting results on the assembly.
CMSOPT - Specifies component mode synthesis (CMS) analysis options.
CMWRITE - Writes components and assemblies to a file.
CNCHECK - Provides and/or adjusts the initial status of contact pairs.
CNVTOL - Sets convergence values for nonlinear analyses.
/COLOR - Specifies the color mapping for various items.
/COM - Places a comment in the output.
COMPRESS - Deletes all specified sets.
CON4 - Creates a conical volume anywhere on the working plane.
CONE - Creates a conical volume centered about the working plane origin.
/CONFIG - Assigns values to ANSYS configuration parameters.
CONJUG - Forms the complex conjugate of a variable.
/CONTOUR - Specifies the uniform contour values on stress displays.
/COPY - Copies a file.
CORIOLIS - Applies the Coriolis effect to a rotating structure.
COUPLE - Specifies "Node coupling" as the subsequent status topic.
COVAL - Defines PSD cospectral values.
CP - Defines (or modifies) a set of coupled degrees of freedom.
CPCYC - Couples the two side faces of a cyclically symmetric model for loadings that are the same on every segment.
CPDELE - Deletes coupled degree of freedom sets.
CPINTF - Defines coupled degrees of freedom at an interface.
/CPLANE - Specifies the cutting plane for section and capped displays.
CPLGEN - Generates sets of coupled nodes from an existing set.
CPLIST - Lists the coupled degree of freedom sets.
CPMERGE - Merges different couple sets with duplicate degrees of freedom into one couple set.
CPNGEN - Defines, modifies, or adds to a set of coupled degrees of freedom.
CPSGEN - Generates sets of coupled nodes from existing sets.
CQC - Specifies the complete quadratic mode combination method.
CRPLIM - Specifies the creep criterion for automatic time stepping.
CS - Defines a local coordinate system by three node locations.
CSCIR - Locates the singularity for non-Cartesian local coordinate systems.
CSDELE - Deletes local coordinate systems.
CSKP - Defines a local coordinate system by three keypoint locations.
CSLIST - Lists coordinate systems.
CSWPLA - Defines a local coordinate system at the origin of the working plane.
CSYS - Activates a previously defined coordinate system.
/CTYPE - Specifies the type of contour display.
CURR2D - Calculates current flow in a 2-D conductor.
CUTCONTROL - Controls time-step cutback during a nonlinear solution.
/CVAL - Specifies nonuniform contour values on stress displays.
CVAR - Computes covariance between two quantities.
/CWD - Changes the current working directory.
/CYCEXPAND - Graphically expands displacements, stresses and strains of a cyclically symmetric model.
CYCLIC - Specifies a cyclic symmetry analysis.
CYCOPT - Specifies solution options for a cyclic symmetry analysis.
CYCPHASE - Provides tools for determining minimum and maximum possible result values from frequency couplets produced in a modal cyclic symmetry analysis.
CYL4 - Creates a circular area or cylindrical volume anywhere on the working plane.
CYL5 - Creates a circular area or cylindrical volume by end points.
CYLIND - Creates a cylindrical volume centered about the working plane origin.
CZDEL - Edits or clears cohesive zone sections.
CZMESH - Create and mesh an interface area composed of cohesive zone elements.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BUCOPT 		Up / Home Next
C***


C***

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

C***, Comment

Places a comment in the output.

SESSION: List Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Comment

Comment string, up to 75 characters.

Notes

The output from this command consists of two lines -- a blank line followed by a line containing C*** and the comment. This command is similar to /COM except that the comment produced by C*** is more easily identified in the output.

Another way to include a comment is to precede it with a ! character (on the same line). The ! may be placed anywhere on the line, and any input following it is ignored as a comment. No output is produced by such a comment, but the comment line is included on the log file. This is a convenient way to annotate the log file.

This command is valid anywhere.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
C Commands 		Up / Home Next
CALC


CALC

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CALC

Specifies "Calculation settings" as the subsequent status topic.

POST1: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>General Postproc>Calculations

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
C*** 		Up / Home Next
CAMPBELL


CAMPBELL

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CAMPBELL, Key

Prepares the result file for a subsequent Campbell diagram of a prestressed structure.

SOLUTION: Load Step Options

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Key,

Campbell key:

OFF
 —

Do not prepare the result file. This option is the default behavior.

ON
 —

Prepare the result file for a subsequent Campbell diagram of a prestressed structure.

Notes

For an analysis involving a prestressed structure, the CAMPBELL command specifies whether or not to prepare the result file to support a Campbell diagram analysis (PRCAMP or PLCAMP).

To prestress a structure, ANSYS performs a static solution before the modal solution. In such an analysis, the default result file is unusable for a subsequent Campbell diagram analysis. To use the result file in this case, issue a CAMPBELL,ON command in the first static analysis. The command forces the result file to keep load steps from the modal analyses only (and discards results from the static analyses).

For an example of PLCAMP command usage, see Sample Campbell Diagram Analysis.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CALC 		Up / Home Next
CBDOF


CBDOF

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CBDOF, Fname1, Ext1, --, Fname2, Ext2, --, KPOS, Clab, KSHS, TOLOUT, TOLHGT

Activates cut boundary interpolation (for submodeling).

POST1: Special Purpose

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname1

File name and directory path (248 characters maximum, including directory) from which to read boundary node data. If you do not specify a directory path, it will default to your working directory and you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext1

Filename extension (8 character maximum).

The extension defaults to NODE if Fname1 is blank.

--

Unused field.

Fname2

File name and directory path (248 characters maximum, including directory) to which cut boundary D commands are written. If you do not specify a directory path, it will default to your working directory and you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext2

Filename extension (8 character maximum).

The extension defaults to CBDO if Fname2 is blank.

--

Unused field.

KPOS

Position on Fname2 to write block of D commands:

0
 —

Beginning of file (overwrite existing file).

1
 —

End of file (append to existing file).

Clab

Label (8 characters maximum, including the colon) for this block of D commands on Fname2. This label is appended to the colon (:). Defaults to CBn, where n is the cumulative iteration number for the data set currently in the database. For imaginary data (see KIMG on the *SET command), Clab defaults to CIn.

KSHS

Shell-to-solid submodeling key:

0
 —

Solid-to-solid or shell-to-shell submodel.

1
 —

Shell-to-solid submodel.

TOLOUT

Extrapolation tolerance about elements, based on a fraction of the element dimension. Submodel nodes outside the element by more than TOLOUT are not accepted as candidates for DOF extrapolation. Defaults to 0.5 (50%).

TOLHGT

Height tolerance above or below shell elements, in units of length. Used only for shell-to-shell submodeling (KSHS = 0). Submodel nodes off of the element surface by more than TOLHGT are not accepted as candidates for DOF interpolation or extrapolation. Defaults to 0.0001 times the maximum element dimension.

Caution

Relaxing this tolerance to allow submodel nodes to be “found” could produce poor submodel results.

Notes

File Fname1 should contain a node list for which boundary conditions are to be interpolated [NWRITE]. File Fname2 is created which contains interpolated boundary conditions written as a block of D commands. Boundary conditions are written for the active degree of freedom set for the element from which interpolation is performed. Interpolation is performed on the selected set of elements. The block of D commands begins with an identifying colon label and ends with a /EOF command. The colon label is of the form :Clab, where Clab is described above. Interpolation from multiple results sets can be performed by looping through the results file in a user-defined macro. Additional blocks can be appended to Fname2 by using KPOS and unique colon labels. A /INPUT command, with the appropriate colon label, may be used to read the block of commands.

Menu Paths

Main Menu>General Postproc>Submodeling>Interpolate DOF

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CAMPBELL 		Up / Home Next
CDOPT


CDOPT

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CDOPT, Option

Specifies format to be used for archiving geometry.

PREP7: Database

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Option
IGES
 —

Write solid model geometry information using IGES format (default).

ANF
 —

Write solid model geometry information using ANSYS Neutral File format.

STAT
 —

Print out the current format setting.

Notes

This command controls your solid model geometry format for CDWRITE operations. The ANF option affects only the COMB and SOLID options of the CDWRITE command. All other options remain unaffected.

This option setting is saved in the database.

Menu Paths

Main Menu>Preprocessor>Archive Model>Read
Main Menu>Preprocessor>Archive Model>Write

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CBDOF 		Up / Home Next
CDREAD


CDREAD

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CDREAD, Option, Fname, Ext, --, Fnamei, Exti

Reads a file of solid model and database information into the database.

PREP7: Database

MP ME ST PR PRN <> <> FL EM EH <> PP <>

Option

Selects which data to read:

ALL
 —

Read all geometry, material property, load, and component data (default). Solid model geometry and loads will be read from the file Fnamei.Exti. All other data will be read from the file Fname.Ext.

DB
 —

Read all database information contained in file Fname.Ext. This file should contain all information mentioned above except the solid model loads. If reading a .CDB file written with the GEOM option of the CDWRITE command, element types [ET] compatible with the connectivity of the elements on the file must be defined prior to reading.

SOLID
 —

Read the solid model geometry and solid model loads from the file Fnamei.Exti. This file could have been written by the CDWRITE or IGESOUT command.

COMB
 —

Read the combined solid model and database information from the file Fname.Ext.

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to CDB if Fname is blank.

--

Unused field.

Fnamei

Name of the IGES file and its directory path (248 characters maximum, including directory). If you do not specify a directory path, it will default to your working directory and you can use all 248 characters for the file name.

The file name defaults to Fname. Used only if Option = ALL or SOLID.

Exti

Filename extension (8 character maximum).

Defaults to IGES if Fnamei is blank.

Notes

This command causes coded files of solid model (in IGES format) and database (in command format) information to be read. These files are normally written by the CDWRITE or IGESOUT command. Note that the active coordinate system in these files has been reset to Cartesian (CSYS,0).

If a set of data exists prior to the CDREAD operation, that data set is offset upward to allow the new data to fit without overlap. The NOOFFSET command allows this offset to be ignored on a set-by-set basis, causing the existing data set to be overwritten with the new data set.

When you write the geometry data using the CDWRITE,GEOM option, you use the CDREAD,DB option to read the geometry information.

Using the CDREAD,COMB option will not write NUMOFF commands to offset entity ID numbers if there is no solid model in the database.

Multiple CDB file imports cannot have elements (SHELL181 and BEAM44) with REAL constants in one file and SECTION definitions in another. The SECTION attributes will override the REAL constant attributes. If you use CDREAD to import multiple CDB files, define all of the elements using only REAL constants, or using only SECTION definitions. Combining REAL constants and SECTION definitions is not recommended.

This command is valid in any processor.

Menu Paths

Main Menu>Preprocessor>Archive Model>Read

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CDOPT 		Up / Home Next
CDWRITE


CDWRITE

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CDWRITE, Option, Fname, Ext, --, Fnamei, Exti, Fmat

Writes geometry and load database items to a file.

PREP7: Database

MP ME ST PR PRN <> <> FL EM EH <> PP <>

Product Restrictions

Option

Selects which data to write:

ALL
 —

Write all appropriate geometry, material property, load, and component data (default). Two files will be produced. Fname.Ext will contain all data items mentioned in "Notes", except the solid model data. Fnamei.Exti will contain the solid model geometry and solid model loads data in the form of IGES commands. This option is not valid when CDOPT, ANF is active.

COMB
 —

Write all data mentioned, but to a single file, Fname.Ext. Solid model geometry data will be written in either IGES or ANF format as specified in the CDOPTcommand, followed by the remainder of the data in the form of ANSYS commands. More information on these (IGES/ANF) file formats is provided below.

DB
 —

Write all database information except the solid model and solid model loads to Fname.Ext in the form of ANSYS commands. This option is not valid when CDOPT, ANF is active.

SOLID
 —

Write only the solid model geometry and solid model load data. This output will be in IGES or ANF format, as specified in the CDOPTcommand. More information on these (IGES/ANF) file formats is provided below.

GEOM
 —

Write only element and nodal geometry data. Neither solid model geometry nor element attribute data will be written. One file, Fname.Ext, will be produced. Use CDREAD,DB to read in a file written with this option. Element types [ET] compatible with the connectivity of the elements on the file must first be defined before reading the file in with CDREAD,DB.

CM
 —

Write only node and element component and geometry data to Fname.Ext.

MAT
 —

Write only material property data (both linear and nonlinear) to Fname.Ext.

LOAD
 —

Write only loads for current load step to Fname.Ext.

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

Ext

Filename extension (8 character maximum).

The extension defaults to CDB if Fname is blank.

--

Unused field.

Fnamei

Name of the IGES file and its directory path (248 characters maximum, including directory). If you do not specify a directory path, it will default to your working directory and you can use all 248 characters for the file name.

The file name defaults to Fname. Used only if Option = ALL or SOLID. Previous data on this file, if any, is overwritten.

Exti

Filename extension (8 character maximum).

The extension defaults to IGES in all cases, except when CDOPT, ANF is active and your CDWRITE, Option = SOLID. In this case Exti = ANF.

Fmat

Format of the output file (defaults to BLOCKED).

BLOCKED
 —

Blocked format. This format allows faster reading of the output file. The time savings is most significant when BLOCKED is used to read .cdb files associated with very large models.

UNBLOCKED
 —

Unblocked format.

Command Default

When SOLCONTROL,ON, does not write default values for most of the relevant solution control commands or options. When SOLCONTROL,OFF, writes all default values for solution control commands.

Default output format is determined by your CDOPT settings.

Notes

  • IGES option to write solid model information:

    CDOPT, IGS (default)

    Before you write your solid model entities, you must select all corresponding lower level entities (use ALLSEL, BELOW, ALL). You cannot access CDWRITE for models imported from IGES files using the FACETED translator (see the IOPTN command).

    Section properties assigned to areas, lines and other solid model entities will not be maintained when the model is exported from ANSYS using CDWRITE with the IGES option.

    If you issue CDWRITE after generating a beam mesh with orientation nodes, the database file will contain all of the nodes for every beam element, including the orientation nodes. However, the orientation keypoints that were specified for the line (LATT) are no longer associated with the line and won't be written out to the geometry file. All associativity between the line and the orientation keypoints is lost. The CDWRITE command with IGES format does not support (for beam meshing) any line operation that relies on solid model associativity. For example, meshing the areas adjacent to the meshed line, plotting the line that contains the orientation nodes, or clearing the mesh from the line that contains orientation nodes may not work as expected. Concatenated lines are not written. In IGES option, the line segments that make up the concatenated lines are written. However, if you encounter an area that contains a concatenated line, the write operation halts (that area can't be recreated during the read operation). If your model has areas that contain concatenated lines, you must first list these and then unconcatenate them before issuing the CDWRITE command. Similarly, hardpoint information cannot be written.

  • ANF option to write solid model information:

    CDOPT, ANF

    All model information in the database (regardless of select status) is written to the archive file. However, when you restore the database using this archived file, the select status of entities will also be restored. This option restores all line attributes, including orientation keypoints. It also writes out any components (not assemblies) comprised of solid model entities. The ANF option halts CDWRITE when a concatenated line or an area that contains a concatenated line is detected. You must delete the concatenated lines before issuing CDWRITE. Similarly, hardpoint information cannot be written.

Load data includes the current load step only. Loads applied to the solid model (if any) are automatically transferred to the finite element model when this command is issued. CDWRITE writes out solid model loads for meshed models only. If the model is not meshed, ANSYS cannot save the solid model loads. Component data include component definitions, but not assembly definitions. Appropriate NUMOFF commands are included at the beginning of the file; this is to avoid overlap of an existing database when the file is read in.

Element order information (i.e., resulting from a WAVES command) is not written. The data in the database remain untouched.

CDWRITE does not support the following commands: DJ, FJ, GSBDATA, and GSGDATA. These commands will not be written to the file.

The data may be reread (on a different machine, for example) with the CDREAD command. Caution: When the file is read in, the NUMOFF,MAT command may cause a mismatch between material definitions and material numbers referenced by certain loads and element real constants. See NUMOFF for details. Also, be aware that the files created by the CDWRITE command explicitly set the active coordinate system to Cartesian (CSYS,0).

You should generally use the blocked format (Fmat = BLOCKED) when writing out model data with CDWRITE. This is a compressed data format that greatly reduces the time required to read large models through the CDREAD command. The blocked and unblocked formats are described in Chapter 3 of the Guide to Interfacing with ANSYS.

If you use CDWRITE in any of the derived products (ANSYS Emag, ANSYS Professional), then before reading the file, you must edit the Jobname.cdb file to remove commands that are not available in the respective component product.

The CDWRITE command writes the PART information for any ANSYS LS-DYNA input file to the Jobname.cdb file using the EDPREAD command. Note that EDPREAD is not an ANSYS documented command, it is written only when the CDWRITE command is issued. The PART information can be automatically read into ANSYS with the CDREAD command. However, if more than one Jobname.cdb file is read, the PART list from the last Jobname.cdb file overwrites the existing PART list of the total model. This will affect all PART-related commands contained in the Jobname.cdb file. That means the user can join models, but not PART-related inputs, which the user must modify using the newly-created PART numbers. In limited cases, an update of the PART list (EDWRITE,PUPDATE) is possible. This requires that no used combination of MAT/TYPE/REAL appears more than once in the list. However, partial changes to the PART-related commands may be necessary.

Caution

The CDWRITE command does not support (for beam meshing) any line operation that relies on solid model associativity. For example, meshing the areas adjacent to the meshed line, plotting the line that contains the orientation nodes, or clearing the mesh from the line that contains orientation nodes may not work as expected. For more information about beam meshing, see Meshing Your Solid Model in the Modeling and Meshing Guide.

This command is also valid in SOLUTION.

Product Restrictions

In ANSYS ED, Option = ALL, COMB, or SOLID is not allowed, and the default is Option = DB.

Menu Paths

Main Menu>Preprocessor>Archive Model>Write

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CDREAD 		Up / Home Next
CE


CE

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CE, NEQN, CONST, NODE1, Lab1, C1, NODE2, Lab2, C2, NODE3, Lab3, C3

Defines a constraint equation relating degrees of freedom.

PREP7: Constraint Equations

MP ME ST PR PRN <> <> <> EM <> <> PP <>

NEQN

Set equation reference number:

n
 —

Arbitrary set number.

HIGH
 —

The highest defined constraint equation number. This option is especially useful when adding nodes to an existing set.

NEXT
 —

The highest defined constraint equation number plus one. This option automatically numbers coupled sets so that existing sets are not modified.

The default value is HIGH.

CONST

Constant term of equation.

NODE1

Node for first term of equation. If -NODE1, this term is deleted from the equation.

Lab1

Degree of freedom label for first term of equation. Structural labels: UX, UY, or UZ (displacements); ROTX, ROTY, or ROTZ (rotations, in radians). Thermal labels: TEMP, TBOT, TE2, TE3, . . ., TTOP (temperature). Electric labels: VOLT (voltage). Magnetic labels: MAG (scalar magnetic potential); AX, AY, or AZ (vector magnetic potentials).

C1

Coefficient for first node term of equation. If zero, this term is ignored.

NODE2, Lab2, C2

Node, label, and coefficient for second term.

NODE3, Lab3, C3

Node, label, and coefficient for third term.

Notes

Repeat the CE command to add additional terms to the same equation. To change only the constant term, repeat the command with no node terms specified. Only the constant term can be changed during solution, and only with the CECMOD command.

Linear constraint equations may be used to relate the degrees of freedom of selected nodes in a more general manner than described for nodal coupling [CP]. The constraint equation is of the form:

where U(I) is the degree of freedom (displacement, temperature, etc.) of term (I). The following example is a set of two constraint equations, each containing three terms:

0.0 = 3.0* (1 UX) + 3.0* (4 UX) + (-2.0)* (4 ROTY)

2.0 = 6.0* (2 UX) + 10.0* (4 UY) + 1.0* (3 UZ)

The first unique degree of freedom in the equation is eliminated in terms of all other degrees of freedom in the equation. A unique degree of freedom is one which is not specified in any other constraint equation, coupled node set, specified displacement set, or master degree of freedom set. It is recommended that the first term of the equation be the degree of freedom to be eliminated. The first term of the equation cannot contain a master degree of freedom, and no term can contain coupled degrees of freedom. The same degree of freedom may be specified in more than one equation but care must be taken to avoid over-specification (over-constraint).

The degrees of freedom specified in the equation (i.e., UX, UY, ROTZ, etc.) must also be included in the model (as determined from the element types [ET]). Also, each node in the equation must be defined on an element (any element type containing that degree of freedom will do).

Menu Paths

Main Menu>Preprocessor>Coupling / Ceqn>Constraint Eqn

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CDWRITE 		Up / Home Next
CECHECK


CECHECK

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CECHECK, ItemLab, Tolerance, DOF

Check constraint equations and couplings for rigid body motions.

PREP7: Database

SOLUTION: Analysis Options

MP ME ST PR PRN <> <> FL EM EH <> PP <>

ItemLab

Item indicating what is to be checked:

CE
 —

Check constraint equations only

CP
 —

Check couplings only

ALL
 —

Check both CE and CP

Tolerance

Allowed amount of out-of-balance for any constraint equation or coupled set. The default value of 1.0e-6 is usually good.

DOF

Specifies which DOF is to be checked. Default is RIGID, the usual option. Other choices are individual DOF such as UX, ROTZ, etc. or THERM. The THERM option will check the constraint equations or coupled sets for free thermal expansions, whereas the individual DOFs check under rigid body motions. ALL is RIGID and THERM.

Notes

This command imposes a rigid body motion on the nodes attached to the constraint equation or coupled set and makes sure that no internal forces are generated for such rigid body motions. Generation of internal forces by rigid body motions usually indicates an error in the equation specification (possibly due to nodal coordinate rotations). The THERM option does a similar check to see that no internal forces are created by the equations if the body does a free thermal expansion (this check assumes a single isotropic coefficient of expansion).

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CE 		Up / Home Next
CECMOD


CECMOD

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CECMOD, NEQN, CONST

Modifies the constant term of a constraint equation during solution.

SOLUTION: Load Step Options

MP ME ST PR PRN <> <> <> EM <> <> PP <>

NEQN

Reference number of constraint equation.

CONST

New value of the constant term of equation.

Notes

Other terms of the constraint equation cannot be changed during the solution phase, but must be defined or changed within PREP7 prior to the solution. See the CE command for details.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Coupling / Ceqn>Modify ConstrEqn
Main Menu>Preprocessor>Loads>Load Step Opts>Other>Modify ConstrEqn
Main Menu>Solution>Load Step Opts>Other>Modify ConstrEqn

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CECHECK 		Up / Home Next
CECYC


CECYC

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CECYC, Lowname, Highname, Nsector, HIndex, Tolerance, Kmove, Kpairs

Generates the constraint equations for a cyclic symmetry analysis

PREP7: Constraint Equations

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Lowname

Name of a component for the nodes on the low angle edge of the sector. Enclosed in single quotes.

Highname

Name of a component for the nodes on the high angle edge of the sector. Enclosed in single quotes.

Nsector

Number of sectors in the complete 360 degrees.

HIndex

Harmonic index to be represented by this set of constraint equations. If Hindex is -1, generate constraint equations for static cyclic symmetry. If HIndex is -2, generate constraint equations for static cyclic asymmetry.

Tolerance

A positive tolerance is an absolute tolerance (length units), and a negative tolerance is a tolerance relative to the local element size.

Kmove

0
 —

Nodes are not moved.

1
 —

HIGHNAME component nodes are moved to match LOWNAME component nodes exactly.

Kpairs

0
 —

Do not print paired nodes

1
 —

Print table of paired nodes

Notes

The analysis can be either modal cyclic symmetry or static cyclic symmetry.

The pair of nodes for which constraint equations are written are rotated into CSYS,1.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CECMOD 		Up / Home Next
CEDELE


CEDELE

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CEDELE, NEQN1, NEQN2, NINC, Nsel

Deletes constraint equations.

PREP7: Constraint Equations

MP ME ST PR PRN <> <> <> EM <> <> PP <>

NEQN1, NEQN2, NINC

Delete constraint equations from NEQN1 to NEQN2 (defaults to NEQN1) in steps of NINC (defaults to 1). If NEQN1 = ALL, NEQN2 and NINC will be ignored all constraint equations will be deleted.

Nsel

Additional node selection control:

ANY
—

Delete equation set if any of the selected nodes are in the set (default).

ALL
—

Delete equation set only if all of the selected nodes are in the set.

Menu Paths

Main Menu>Preprocessor>Coupling / Ceqn>Del Constr Eqn

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CECYC 		Up / Home Next
CEINTF


CEINTF

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CEINTF, TOLER, DOF1, DOF2, DOF3, DOF4, DOF5, DOF6, MoveTol

Generates constraint equations at an interface.

PREP7: Constraint Equations

MP ME ST PR PRN <> <> <> EM <> <> PP <>

TOLER

Tolerance about selected elements, based on a fraction of the element dimension (defaults to 0.25 (25%)). Nodes outside the element by more than the tolerance are not accepted as being on the interface.

DOF1, DOF2, DOF3, . . . , DOF6

Degrees of freedom for which constraint equations are written. Defaults to all applicable DOFs. DOF1 accepts ALL as a valid label, in which case the rest are ignored (all DOFs are applied).

MoveTol

The allowed "motion" of a node (see Note below). This distance is in terms of the element coordinates (-1.0 to 1.0). A typical value is 0.05. Defaults to 0 (do not move). MoveTol must be less than or equal to TOLER.

Notes

This command can be used to "tie" together two regions with dissimilar mesh patterns by generating constraint equations that connect the selected nodes of one region to the selected elements of the other region. At the interface between regions, nodes should be selected from the more dense mesh region, A, and the elements selected from the less dense mesh region, B. The degrees of freedom of region A nodes are interpolated with the corresponding degrees of freedom of the nodes on the region B elements, using the shape functions of the region B elements. Constraint equations are then written that relate region A and B nodes at the interface.

The MoveTol field lets the nodes in the previously mentioned region A change coordinates when slightly inside or outside the elements of region B. The change in coordinates causes the nodes of region A to assume the same surface as the nodes associated with the elements of region B. The constraint equations that relate the nodes at both regions of the interface are then written.

Solid elements with six degrees of freedom should only be interfaced with other six degree-of-freedom elements. The region A nodes should be near the region B elements. A location tolerance based on the smallest region B element length may be input. Stresses across the interface are not necessarily continuous. Nodes in the interface region should not have specified constraints.

Use the CPINTF command to connect nodes by coupling instead of constraint equations. Use the EINTF command to connect nodes by line elements. See also the NSEL and ESEL commands for selecting nodes and elements. See the Theory Reference for ANSYS and ANSYS Workbench for a description of 3-D space used to determine if a node will be considered by this command.

As an alternative to the CEINTF command, you can use contact elements and the internal multipoint constraint (MPC) algorithm to tie together two regions having disimilar meshes. See Solid-Solid and Shell-Shell Assemblies for more information.

Menu Paths

Main Menu>Preprocessor>Coupling / Ceqn>Adjacent Regions

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CEDELE 		Up / Home Next
CELIST


CELIST

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CELIST, NEQN1, NEQN2, NINC, Option

Lists the constraint equations.

PREP7: Constraint Equations

MP ME ST PR PRN <> <> <> EM <> <> PP <>

NEQN1, NEQN2, NINC

List constraint equations from NEQN1 to NEQN2 (defaults to NEQN1) in steps of NINC (defaults to 1). If NEQN1 = ALL (default), NEQN2 and NINC are ignored and all constraint equations are listed.

Option

Options for listing constraint equations:

ANY
—

List equation set if any of the selected nodes are in the set (default). Only externally-generated constraint equations are listed.

ALL
—

List equation set only if all of the selected nodes are in the set. Only externally-generated constraint equations are listed.

INTE
—

List internally-generated constraint equations that are associated with MPC-based contact. Constraint equations are listed only if all the nodes in the set are selected.

CONV
—

Convert internal constraint equations to external constraint equations. Internal constraint equations are converted only if all of the nodes in the set are selected.

Notes

This command is valid in any processor. However, the INTE and CONV options are only valid in the Solution processor after a SOLVE command has been issued.

Menu Paths

Utility Menu>List>Other>Constraint Eqns>All CE nodes selected
Utility Menu>List>Other>Constraint Eqns>Any CE node selected

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CEINTF 		Up / Home Next
CENTER


CENTER

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CENTER, NODE, NODE1, NODE2, NODE3, RADIUS

Defines a node at the center of curvature of 2 or 3 nodes.

PREP7: Nodes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NODE

Number to be assigned to the node generated at the center of curvature.

NODE1, NODE2, NODE3

Three nodes used to calculated the center of curvature, as described under RADIUS.

RADIUS

Used to control the interpretation of NODE1, NODE2 and NODE3:

0
 —

NODE1, NODE2 and NODE3 lie on a circular arc. The program will calculate the center of curvature (and radius) (default).

≠0
 —

NODE1 and NODE2 are the endpoints of an arc, and RADIUS is the radius of curvature. The program will locate the center of curvature on the NODE3 side of the NODE1-NODE2 line if RADIUS > 0, and opposite to NODE3 if RADIUS < 0.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Nodes>At Curvature Ctr

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CELIST 		Up / Home Next
CEQN


CEQN

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CEQN

Specifies "Constraint equations" as the subsequent status topic.

PREP7: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Preprocessor>Constraint Eqns

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CENTER 		Up / Home Next
CERIG


CERIG

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CERIG, MASTE, SLAVE, Ldof, Ldof2, Ldof3, Ldof4, Ldof5

Defines a rigid region.

PREP7: Constraint Equations

MP ME ST PR PRN <> <> <> <> <> DY PP <>

MASTE

Retained (or master) node for this rigid region. If MASTE = P, then graphical picking of the master and slave nodes is enabled (first node picked will be the master node, and subsequent nodes picked will be slave nodes), and subsequent fields are ignored (valid only in GUI).

SLAVE

Removed (or slave) node for this rigid region. If ALL, slave nodes are all selected nodes.

Ldof

Degrees of freedom associated with equations:

ALL
 —

All applicable degrees of freedom (default). If 3-D, generate 6 equations based on UX, UY, UZ, ROTX, ROTY, ROTZ; if 2-D, generate 3 equations based on UX, UY, ROTZ.

UXYZ
 —

Translational degrees of freedom. If 3-D, generate 3 equations based on the slave nodes' UX, UY, and UZ DOFs and the master node's UX, UY, UZ, ROTX, ROTY, and ROTZ DOFs; if 2-D, generate 2 equations based on the slave nodes UX and UY DOFs and the master nodes UX, UY, and ROTZ DOFs. No equations are generated for the rotational coupling.

RXYZ
 —

Rotational degrees of freedom. If 3-D, generate 3 equations based on ROTX, ROTY, ROTZ; if 2-D, generate 1 equation based on ROTZ. No equations are generated for the translational coupling.

UX
 —

Slave translational UX degree of freedom only.

UY
 —

Slave translational UY degree of freedom only.

UZ
 —

Slave translational UZ degree of freedom only.

ROTX
 —

Slave rotational ROTX degree of freedom only.

ROTY
 —

Slave rotational ROTY degree of freedom only.

ROTZ
 —

Slave rotational ROTZ degree of freedom only.

Ldof2, Ldof3, Ldof4, Ldof5

Additional degrees of freedom. Used only if more than one degree of freedom required and Ldof is not ALL, UXYZ, or RXYZ.

Notes

Defines a rigid region (link, area or volume) by automatically generating constraint equations to relate nodes in the region. Nodes in the rigid region must be assigned a geometric location before this command is used. Also, nodes must be connected to elements having the required degree of freedom set (see Ldof above). Generated constraint equations are based on small deflection theory. Generated constraint equations are numbered beginning from the highest previously defined equation number (NEQN) plus 1. Equations, once generated, may be listed [CELIST] or modified [CE] as desired. Repeat CERIG command for additional rigid region equations.

This command will generate the constraint equations needed for defining rigid lines in 2-D or 3-D space. Multiple rigid lines relative to a common point are used to define a rigid area or a rigid volume. In 2-D space, with Ldof = ALL, three equations are generated for each pair of constrained nodes. These equations define the three rigid body motions in global Cartesian space, i.e., two in-plane translations and one in-plane rotation. These equations assume the X-Y plane to be the active plane with UX, UY, and ROTZ degrees of freedom available at each node. Other types of equations can be generated with the appropriate Ldof labels.

Six equations are generated for each pair of constrained nodes in 3-D space (with Ldof = ALL). These equations define the six rigid body motions in global Cartesian space. These equations assume that UX, UY, UZ, ROTX, ROTY, and ROTZ degrees of freedom are available at each node.

The UXYZ label allows generating a partial set of rigid region equations. This option is useful for transmitting the bending moment between elements having different degrees of freedom at a node. With this option only two of the three equations are generated for each pair of constrained nodes in 2-D space. In 3-D space, only three of the six equations are generated. In each case the rotational coupling equations are not generated. Similarly, the RXYZ label allows generating a partial set of equations with the translational coupling equations omitted.

Applying this command to a large number of slave nodes may result in constraint equations with a large number of coefficients. This may significantly increase the peak memory required during the process of element assembly. If real memory or virtual memory is not available, consider reducing the number of slave nodes.

As an alternative to the CERIG command, you can define a similar type of rigid region using contact elements and the internal multipoint constraint (MPC) algorithm. See Surface-Based Constraints for more information.

CERIGID cannot be deleted using CEDELE,ALL and then regenerated in the second or higher load steps if the LSWRITE and LSSOLVE procedure is used. CERIGID writes constraint equations directly into load step files. Deleting constraint equations (CEDELE,ALL) cannot always maintain the consistency among load steps.

Menu Paths

Main Menu>Preprocessor>Coupling / Ceqn>Rigid Region

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CEQN 		Up / Home Next
CESGEN


CESGEN

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CESGEN, ITIME, INC, NSET1, NSET2, NINC

Generates a set of constraint equations from existing sets.

PREP7: Constraint Equations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ITIME, INC

Do this generation operation a total of ITIMEs, incrementing all nodes in the existing sets by INC each time after the first. ITIME must be >1 for generation to occur.

NSET1, NSET2, NINC

Generate sets from sets beginning with NSET1 to NSET2 (defaults to NSET1) in steps of NINC (defaults to 1). If NSET1 is negative, NSET2 and NINC are ignored and the last |NSET1| sets (in sequence from maximum set number) are used as the sets to be repeated.

Notes

Generates additional sets of constraint equations (with same labels) from existing sets. Node numbers between sets may be uniformly incremented.

Menu Paths

Main Menu>Preprocessor>Coupling / Ceqn>Gen w/Same DOF

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CERIG 		Up / Home Next
CFACT


CFACT

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CFACT, RFACTA, IFACTA, RFACTB, IFACTB, RFACTC, IFACTC

Defines complex scaling factors to be used with operations.

POST26: Controls

MP ME ST PR PRN <> <> <> EM <> <> PP <>

RFACTA

Real portion of the complex scale factor used in place of FACTA.

IFACTA

Imaginary portion of the complex scale factor used in place of FACTA.

RFACTB

Real portion of the complex scale factor used in place of FACTB.

IFACTB

Imaginary portion of the complex scale factor used in place of FACTB.

RFACTC

Real portion of the complex scale factor used in place of FACTC.

IFACTC

Imaginary portion of the complex scale factor used in place of FACTC.

Command Default

Use the real factors as described with the operation command.

Notes

Defines complex scale factors to be used with the operations [ADD, PROD, etc.]. If this command is supplied, these complex factors override any real factors (FACTA, FACTB, FACTC) supplied on the operation commands. Factors are typically involved in scaling a specified variable, such as in the term FACTA x IA of the ADD command to scale variable IA before the ADD operation.

When the CFACT command is active, defaults are as follows: 1) if the complex factor is not specified, but the variable upon which it acts (such as IA) is specified, the factor defaults to 1.0+i0.0; 2) if the variable upon which the factor operates is not specified, but the factor is specified, the variable defaults to 1.0 so that the term in the operation becomes the complex factor itself; 3) if neither the factor nor the variable number is supplied, the term is omitted from the operation. Once the operation (such as the ADD command) has been processed, the CFACT command becomes inactive and must be specified again if it is to be used.

Menu Paths

Main Menu>TimeHist Postpro>Math Operations>Complx ScaleFact

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CESGEN 		Up / Home Next
/CFORMAT


/CFORMAT

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

/CFORMAT, NFIRST, NLAST

Controls the graphical display of alphanumeric character strings for parameters, components, assemblies, and tables.

GRAPHICS: Labeling

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NFIRST

Display the first n characters of the parameter, component, assembly, or table name, up to 32. Defaults to 32.

NLAST

Display the last n characters of the parameter, component, assembly, or table name, up to 32. Defaults to 0.

Notes

Use this command to control the length of the character string that is shown in the graphics window for a parameter, component, assembly, or table name.

The total number of characters (NFIRST + NLAST +3) cannot exceed 32.

If NFIRST is greater than zero and NLAST = 0, only the NFIRST characters are displayed, followed by an ellipsis.

If NFIRST = 0 and NLAST is greater than zero, only the NLAST characters are displayed, preceded by an ellipsis (...).

If both NFIRST and NLAST are greater than zero, the name will be shown as NFIRST, followed by an ellipsis (...), followed by NLAST, up to a maximum of 32 characters.

For example, if NFIRST = 6 and NLAST = 3, and the character string is LENGTHOFSIDEONE, then it will appear in the graphics window as LENGTH...ONE.

If the actual length of the character string is less than the specified combination of NFIRST + NLAST +3, then the actual string will be used.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Style>Size and Shape

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CFACT 		Up / Home Next
CGLOC


CGLOC

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CGLOC, XLOC, YLOC, ZLOC

Specifies the origin location of the acceleration coordinate system.

SOLUTION: Inertia

MP ME ST PR PRN <> <> FL EM <> <> PP <>

XLOC, YLOC, ZLOC

Global Cartesian X, Y, and Z coordinates of the acceleration coordinate system origin.

Notes

Specifies the origin location of the acceleration coordinate system with respect to the global Cartesian system. The axes of this acceleration coordinate system are parallel to the global Cartesian axes.

A structure may be rotating about the global Cartesian origin [OMEGA, DOMEGA], which may in turn be rotating about another point (the origin of the acceleration coordinate system), introducing Coriolis effects. The location of this point (relative to the global Cartesian origin) is specified with this CGLOC command. For example, if Y is vertical and the global system origin is at the surface of the earth while the acceleration system origin is at the center of the earth, YLOC should be -4000 miles (or equivalent) if the rotational effects of the earth are to be included. The rotational velocity of the global Cartesian system about this point is specified with the CGOMGA command, and the rotational acceleration is specified with the DCGOMG command.

The rotational velocities and accelerations are mainly intended to include mass effects in a static (ANTYPE,STATIC) analysis. If used in dynamic analyses, no coupling exists between the user input terms and the time history response of the structure. See the Theory Reference for ANSYS and ANSYS Workbench for details. Related commands are ACEL, CGOMGA, DCGOMG, DOMEGA, and OMEGA.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Flow Environment>Rotating Coords
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Inertia>Coriolis Effects
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Inertia>Coriolis Effects
Main Menu>Preprocessor>LS-DYNA Options>Loading Options>Acceleration CS>Delete Accel CS
Main Menu>Preprocessor>LS-DYNA Options>Loading Options>Acceleration CS>Set Accel CS
Main Menu>Solution>Define Loads>Apply>Structural>Inertia>Coriolis Effects
Main Menu>Solution>Define Loads>Delete>Structural>Inertia>Coriolis Effects
Main Menu>Solution>FLOTRAN Set Up>Flow Environment>Rotating Coords
Main Menu>Solution>Loading Options>Acceleration CS>Delete Accel CS
Main Menu>Solution>Loading Options>Acceleration CS>Set Accel CS

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/CFORMAT 		Up / Home Next
CGOMGA


CGOMGA

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CGOMGA, CGOMX, CGOMY, CGOMZ

Specifies the rotational velocity of the global origin.

SOLUTION: Inertia

MP ME ST PR PRN <> <> FL <> <> <> PP <>

CGOMX, CGOMY, CGOMZ

Rotational velocity of the global origin about the acceleration system X, Y, and Z axes.

Notes

Specifies the rotational velocity of the global origin about each of the acceleration coordinate system axes. The location of the acceleration coordinate system is defined with the CGLOC command. Rotational velocities may be defined in analysis types ANTYPE,STATIC, HARMIC (full or mode superposition), TRANS (full or mode superposition), and SUBSTR. See the Theory Reference for ANSYS and ANSYS Workbench for details. Units are radians/time. Related commands are ACEL, CGLOC, DCGOMG, DOMEGA, and OMEGA.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Flow Environment>Rotating Coords
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Inertia>Coriolis Effects
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Inertia>Coriolis Effects
Main Menu>Solution>Define Loads>Apply>Structural>Inertia>Coriolis Effects
Main Menu>Solution>Define Loads>Delete>Structural>Inertia>Coriolis Effects
Main Menu>Solution>FLOTRAN Set Up>Flow Environment>Rotating Coords

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CGLOC 		Up / Home Next
CHECK


CHECK

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CHECK, Sele, Levl

Checks current database items for completeness.

PREP7: Database

SOLUTION: Analysis Options

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Sele

Specifies which elements are to be checked:

(blank)
 —

Check all data.

ESEL
 —

Check only elements in the selected set and unselect any elements not producing geometry check messages. The remaining elements (those producing check messages) can then be displayed and corrected. A null set results if no elements produce a message. Issue ESEL,ALL to select all elements before proceeding.

Levl

Used only with Sele = ESEL:

WARN
 —

Select elements producing warning and error messages.

ERR
 —

Select only elements producing error messages (default).

Notes

This command will not work if SHPP,OFF has been set. A similar, automatic check of all data is done before the solution begins.

If the "Check Elements" option is invoked through the GUI (menu path Main Menu> Preprocessor> Meshing> Check Elems), the CHECK,ESEL logic is used to highlight elements in the following way: good elements are blue, elements having warnings are yellow, and bad (error) elements are red.

Note

The currently selected set of elements is not changed by this GUI function.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Meshing>Check Mesh>Individual Elm>Select Warning/Error Elements

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CGOMGA 		Up / Home Next
CHKMSH


CHKMSH

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CHKMSH, Comp

Checks area and volume entities for previous meshes.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Comp

Name of component containing areas or volumes.

Notes

CHKMSH invokes a predefined ANSYS macro that checks areas and volumes to find out if they were previously meshed. This macro name will appear in the log file (Jobname.LOG) prior to area and volume meshing operations initiated through the GUI. This command is not intended to be typed in directly in an ANSYS session (although it can be included in an input file for use with the /INPUT command).

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CHECK 		Up / Home Next
CINT


CINT

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CINT, Action, par1, par2, par3, par4, par5, par6, par7

Defines parameters associated with contour integral calculations

PREP7: Data Tables

SOLUTION: Analysis Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Action

Specifies action for defining or manipulating initial crack data:

NEW
 —

Use Action = NEW to initiate a new contour integral calculation. See "Command Specification for Action = NEW".

CTNCOMP
 —

Use Action = CTNC to define the crack tip node component. See "Command Specifications for Action = CTNCOMP".

CENCOMP
 —

Use Action = CENC to define the crack extension node component, the crack tip node, and the crack extension direction. See "Command Specifications for Action = CENCOMP".

NCONTOUR
 —

Use Action = NCONT to define the number of contours to be calculated in the contour integral calculation. See "Command Specifications for Action = NCONTOUR".

SYMMETRIC
 —

Use Action = SYMM to indicate whether the crack is on a symmetrical line or plane. See "Command Specifications for Action = SYMMETRIC".

NORMAL
 —

Use Action = NORM to define the crack plane normal. See "Command Specifications for Action = NORMAL".

Command Specification for Action = NEW

CINT, NEW, par1

par1 --

Contour integral ID number

Command Specifications for Action = CTNCOMP

CINT, CTNC, par1

par1 --

Crack tip node component name

Command Specifications for Action = CENCOMP

CINT, CENC, par1, par2, par3, par4, par5, par6, par7

par1 --

Crack extension node component name. See the CM command for information on defining a nodal component.

par2 --

Crack tip node. The crack tip node defaults to the first node of the crack extension node component.

par3, par4--

Coordinate system number (par3) and the number of the axis that is coincident with the crack direction (par4). When these parameters are defined, par5, par6 and par7 are ignored.

par5, par6, par7--

Global x, y, and z components of the crack extension direction vector. (par3 and par4 must be blank).

Command Specifications for Action = NCONTOUR

CINT, NCON, par1

par1 --

Number of contours to be calculated

Command Specifications for Action = SYMMETRIC

CINT, SYMM, par1

par1 --
ON,1 or YES --

Symmetric about the crack line/plane

OFF,0 or NO --

No symmetry (default)

Command Specifications for Action = NORMAL

CINT, NORM, par1, par2

par1 --

Coordinate system number (Default = 0, global Cartesian)

par2 --

Axis of coordinate system (Default = 2, global Cartesian Y-axis)

Notes

Initiate a new J-integral calculation using the Action = NEW parameter. The subsequent CINT commands with parameters other than NEW) will define the input required for the contour integral calculations.

Defining your crack information using Action = CTNC is the simplest method for contour integral calculation. This method, however, limits you to only one node for a given location along the crack front.

Using Action = CENC lets you define crack information at multiple locations along the crack front. You can issue CINT, CENC, par1, etc. multiple times to define the crack extension node component, the crack tip and the crack extension directions at multiple locations along the crack front.

Although you can vary the sequence of your definitions, all of the crack tip nodes specified must be at the crack front, and no crack tip node can be omitted

You can define your crack extension direction directly using either Action = CENC, or Action = NORM.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CHKMSH 		Up / Home Next
CIRCLE


CIRCLE

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CIRCLE, PCENT, RAD, PAXIS, PZERO, ARC, NSEG

Generates circular arc lines.

PREP7: Lines

MP ME ST PR PRN <> <> FL EM <> <> PP <>

PCENT

Keypoint defining the center of the circle (in the plane of the circle). If PCENT = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

RAD

Radius of the circle. If RAD is blank and PCENT = P, the radius is the distance from PCENT to PZERO.

PAXIS

Keypoint defining axis of circle (along with PCENT). If PCENT = P and PAXIS is omitted, the axis is normal to the working plane.

PZERO

Keypoint defining the plane normal to circle (along with PCENT and PAXIS) and the zero degree location. Need not be in the plane of the circle. This value is not required if PAXIS is defined along the Y axis (that is, a circle in the XZ plane).

ARC

Arc length (in degrees). Positive follows right-hand rule about PCENT-PAXIS vector. Defaults to 360°.

NSEG

Number of lines around circumference (defaults to minimum required for 90°-maximum arcs, i.e., 4 for 360°). Number of keypoints generated is NSEG for 360° or NSEG + 1 for less than 360°.

Notes

Generates circular arc lines (and their corresponding keypoints). Keypoints are generated at regular angular locations (based on a maximum spacing of 90°). Arc lines are generated connecting the keypoints. Keypoint and line numbers are automatically assigned, beginning with the lowest available values [NUMSTR]. Adjacent lines use a common keypoint. Line shapes are generated as arcs, regardless of the active coordinate system. Line shapes are invariant with coordinate system after they are generated.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Lines>Arcs>By Cent & Radius
Main Menu>Preprocessor>Modeling>Create>Lines>Arcs>Full Circle

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CINT 		Up / Home Next
CISOL


CISOL

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CISOL, n, ID, node, Cont

Stores J-integral information in a variable.

POST26: Set Up

MP ME ST PR PRN <> <> <> <> <> <> PP <>

n

Arbitrary reference number or name assigned to this variable. Number must be >1 but </= NUMVAR.

ID

Crack ID number.

node

Crack tip node number (for 3-D crack). Leave blank for 2-D crack.

Cont

Contour number.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CIRCLE 		Up / Home Next
/CLABEL


/CLABEL

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

/CLABEL, WN, KEY

Specifies contour labeling.

GRAPHICS: Labeling

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number (or ALL) to which command applies (defaults to 1).

KEY

Labeling key:

0 or 1
—

Label contours with legend or color (default).

-1
—

No contour labeling.

N
—

Same as 1 except show alphabetic legend only on every Nth element.

Command Default

Show contour line labels.

Notes

Labels contours for identification with alphabetic legend for vector displays and color for raster displays. Number of contours is automatically reduced to 9 (or fewer) for clarity. Use /CONTOUR command to increase (24 maximum for alphabetic labeling; no limit for color labeling).

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Style>Contours>Contour Labeling

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CISOL 		Up / Home Next
/CLEAR


/CLEAR

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

/CLEAR, Read

Clears the database.

DATABASE: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Read

File read option:

START
 —

Reread start110.ans file (default).

NOSTART
 —

Do not reread start110.ans file.

Notes

Resets the ANSYS database to the conditions at the beginning of the problem. Sets the import and Boolean options back to the ANSYS default. All items are deleted from the database and memory values are set to zero for items derived from database information. All files are left intact. This command is useful between multiple analyses in the same run, or between passes of a multipass analysis (such as between the substructure generation, use, and expansion passes). Should not be used in a do-loop since loop counters will be reset. The start110.ans file will be reread (by default) after the database is cleared, unless Read is set to NOSTART. Additional commands cannot be stacked (using the $ separator) on the same line as the /CLEAR command.

Use care when placing the /CLEAR command within branching constructs (for example, those employing *DO or *IF commands). The command deletes all parameters including the looping parameter for do-loops. (You can preserve your iteration parameter by issuing a PARSAV command prior to the /CLEAR command, then following the /CLEAR command with a PARRES command.)

/CLEAR resets the jobname to match the currently open session .LOG and .ERR files. This will return the jobname to its original value, or to the most recent value specified on /FILNAME with KEY = 1.

This command is valid only at the Begin level.

Menu Paths

Utility Menu>File>Clear & Start New

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/CLABEL 		Up / Home Next
CLOCAL


CLOCAL

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CLOCAL, KCN, KCS, XL, YL, ZL, THXY, THYZ, THZX, PAR1, PAR2

Defines a local coordinate system relative to the active coordinate system.

DATABASE: Coordinate System

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KCN

Arbitrary reference number assigned to this coordinate system. Must be greater than 10. A coordinate system previously defined with this number will be redefined.

KCS

Coordinate system type:

0 or CART
 —

Cartesian

1 or CYLIN
 —

Cylindrical (circular or elliptical)

2 or SPHE
 —

Spherical (or spheroidal)

3 or TORO
 —

Toroidal

XL, YL, ZL

Location (in the active coordinate system) of the origin of the new coordinate system (R, θ, Z for cylindrical, R, θ,Φ for spherical or toroidal).

THXY

First rotation about local Z (positive X toward Y).

THYZ

Second rotation about local X (positive Y toward Z).

THZX

Third rotation about local Y (positive Z toward X).

PAR1

Used for elliptical, spheroidal, or toroidal systems. If KCS = 1 or 2, PAR1 is the ratio of the ellipse Y-axis radius to X-axis radius (defaults to 1.0 (circle)). If KCS = 3, PAR1 is the major radius of the torus.

PAR2

Used for spheroidal systems. If KCS = 2, PAR2 = ratio of ellipse Z-axis radius to X-axis radius (defaults to 1.0 (circle)).

Notes

Defines and activates a local coordinate system by origin location and orientation angles relative to the active coordinate system. This local system becomes the active coordinate system, and is automatically aligned with the active system (i.e., x is radial if a cylindrical system is active, etc.). Nonzero rotation angles (degrees) are relative to this automatic rotation. See the CS, CSKP, CSWPLA, and LOCAL commands for alternate definitions. Local coordinate systems may be displayed with the /PSYMB command.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/CLEAR 		Up / Home Next
CLOG


CLOG

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CLOG, IR, IA, --, --, Name, --, --, FACTA, FACTB

Forms the common log of a variable

POST26: Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

IR

Arbitrary reference number assigned to the resulting variable (2 to NV [NUMVAR]). If this number is the same as for a previously defined variable, the previously defined variable will be overwritten with this result.

IA

Reference number of the variable to be operated on.

--, --

Unused fields.

Name

Thirty-two character name for identifying the variable on printouts and displays. Embedded blanks are compressed for output.

--, --

Unused fields.

FACTA

Scaling factor applied to variable IA (defaults to 1.0).

FACTB

Scaling factor (positive or negative) applied to the operation (defaults to 1.0).

Notes

Forms the common log of a variable according to the operation:

IR = FACTB*LOG(FACTA x IA)

Menu Paths

Main Menu>TimeHist Postpro>Math Operations>Common Log

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CLOCAL 		Up / Home Next
/CLOG


/CLOG

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

/CLOG, Fname, Ext, --

Copies the session log file to a named file.

SESSION: Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path to which the log file is to be copied (248 characters maximum, including directory). If you do not specify a directory path, it will default to your working directory and you can use all 248 characters for the file name.

Ext

Filename extension (8 character maximum).

--

Unused field.

Notes

This command is valid in any processor, but only during an interactive run.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CLOG 		Up / Home Next
CLRMSHLN


CLRMSHLN

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CLRMSHLN

Clears meshed entities.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

When you use the GUI method to set the number of elements on specified lines, and any of those lines is connected to one or more meshed lines, areas, or volumes, ANSYS gives you the option to clear the meshed entities. (This occurs only when you perform this operation via the GUI; ANSYS does not provide such an option when you use the command method [LESIZE].)

If you activate the mesh clearing option, the program invokes an ANSYS macro, CLRMSHLN, that clears the meshed entities. This macro name will appear in the log file (Jobname.LOG). This macro is for the ANSYS program's internal use only. This command is not intended to be typed in directly in an ANSYS session, although it can be included in an input file for batch input or for use with the /INPUT command.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/CLOG 		Up / Home Next
CM


CM

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CM, Cname, Entity

Groups geometry items into a component.

DATABASE: Components

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Cname

An alphanumeric name used to identify this component. Cname may be up to 32 characters, beginning with a letter and containing only letters, numbers, and underscores. Component names beginning with an underscore (e.g., _LOOP) are reserved for use by ANSYS and should be avoided. Components named “ALL,” “STAT,” and “DEFA” are not permitted. Overwrites a previously defined name.

Entity

Label identifying the type of geometry items to be grouped:

VOLU
 —

Volumes.

AREA
 —

Areas.

LINE
 —

Lines.

KP
 —

Keypoints.

ELEM
 —

Elements.

NODE
 —

Nodes.

Notes

Components may be further grouped into assemblies [CMGRP]. The selected items of the specified entity type will be stored as the component. Use of this component in the select command [CMSEL] causes all these items to be selected at once, for convenience.

A component is a grouping of some geometric entity that can then be conveniently selected or unselected. A component may be redefined by reusing a previous component name. The following entity types may belong to a component: nodes, elements, keypoints, lines, areas, and volumes. A component may contain only 1 entity type, but an individual item of any entity may belong to any number of components. Once defined, the items contained in a component may then be easily selected or unselected [CMSEL]. Components may be listed [CMLIST], modified [CMMOD] and deleted [CMDELE]. Components may also be further grouped into assemblies [CMGRP]. Other entities associated with the entities in a component (e.g., the lines and keypoints associated with areas) may be selected by the ALLSEL command.

An item will be deleted from a component if it has been deleted by another operation (see the KMODIF command for an example). Components are automatically updated to reflect deletions of one or more of their items. Components are automatically deleted and a warning message is issued if all their items are deleted. Assemblies are also automatically updated to reflect deletions of one or more of their components or subassemblies, but are not deleted if all their components and subassemblies are deleted.

This command is valid in any processor.

Menu Paths

Main Menu>General Postproc>Manual Rezoning>Create Rezone Component
Utility Menu>Select>Comp/Assembly>Create Component

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CLRMSHLN 		Up / Home Next
CMACEL


CMACEL

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CMACEL, CM_NAME, CMACEL_X, CMACEL_Y, CMACEL_Z

Specifies the translational acceleration of an element component

SOLUTION: Inertia

MP ME ST PR PRN <> <> <> <> <> <> PP <>

CM_NAME

The name of the element component (8-character maximum).

CMACEL_X, CMACEL_Y, CMACEL_Z

Acceleration of the element component CM_NAME in the global Cartesian X, Y, and Z axis directions, respectively.

Notes

The CMACEL command specifies the translational acceleration of the element component in each of the global Cartesian (X, Y, and Z) axis directions.

You can use the CMACEL command to specify translational, acceleration-based loading on up to 100 element components.

Components for which you want to specify acceleration loading must consist of elements only. The elements you use cannot be part of more than one component, and elements that share nodes cannot exist in different element components. You cannot apply the loading to an assembly of element components.

To simulate gravity (by using inertial effects), accelerate the structure in the direction opposite to gravity. For example, apply a positive CMACELY to simulate gravity acting in the negative Y direction. Units are length/time2.

You can define the acceleration for the following analyses types:

  • Static (ANTYPE,STATIC)

  • Harmonic (ANTYPE,HARMIC), full or mode superposition method

  • Transient (ANTYPE,TRANS), full or mode superposition method

  • Substructure (ANTYPE,SUBSTR)

Accelerations are combined with the element mass matrices to form a body force load vector term. Units of acceleration and mass must be consistent to give a product of force units.

In a modal harmonic or transient analysis, you must apply the load in the modal portion of the analysis. ANSYS calculates a load vector and writes it to the mode shape file, which you can apply via the LVSCALE command.

The CMACEL command does not support these elements: FLUID79, FLUID80, FLUID81, and PIPE59.

The command supports tabular boundary conditions (%TABNAME_X%, %TABNAME_Y%, and %TABNAME_Z%) for CMACEL_X, CMACEL_Y, and CMACEL_Z input values as a function of time. Tabular loads defined via the function builder (Utility Menu> Parameters> Functions> Define/Edit) are not supported.

Related commands for inertia loads are ACEL, CGLOC, CGOMGA, DCGOMG, DOMEGA, OMEGA, CMOMEGA, and CMDOMEGA.

This command is also valid in /PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Inertia>Gravity>On Components
Main Menu>Solution>Define Loads>Apply>Structural>Inertia>Gravity>On Components

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CM 		Up / Home Next
/CMAP


/CMAP

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

/CMAP, Fname, Ext, Dir, Kywrd, NCNTR

Changes an existing or creates a new color mapping table.

GRAPHICS: Set Up

DISPLAY: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

If blank, restore color map.

Ext

Filename extension (8 character maximum).

Dir

Directory or path specification. You can use any portion of the 248 character limit (above).

Kywrd

Keyword indicating the disposition of the color map file.

(blank)
 —

Loads existing color map file.

CREATE
 —

Starts CMAP utility and modifies or creates the specified file.

SAVE
 —

Writes the active color map to the specified file, which can be imported into future ANSYS sessions.

NCNTR

Number of contours to be defined by the /CMAP command (max = 128). If no value is specified, CMAP defaults to 9, even if an existing file is being modified.

Command Default

Use predefined ANSYS color map table.

Notes

Reads the color map file (RGB index specifications) to change from current specifications. Only one color map may be active at a time.

For 2-D drivers (especially Win32c), modifying the color map can produce anomalies, including legend/contour disagreement.

Changing the color map in ANSYS with the /CMAP command will change the meaning of the color labels on the /COLOR command. See /COLOR for other color controls.

This command is valid anywhere.

Menu Paths

Utility Menu>PlotCtrls>Redirect Plots>To GRPH File
Utility Menu>PlotCtrls>Redirect Plots>To HPGL File
Utility Menu>PlotCtrls>Redirect Plots>To HPGL2 File
Utility Menu>PlotCtrls>Redirect Plots>To PSCR File
Utility Menu>PlotCtrls>Style>Colors>Default Color Map

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CMACEL 		Up / Home Next
CMATRIX


CMATRIX

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CMATRIX, SYMFAC, Condname, NUMCOND, GRNDKEY, Capname

Performs electrostatic field solutions and calculates the self and mutual capacitances between multiple conductors.

SOLUTION: Analysis Options

MP <> <> <> <> <> <> <> EM <> <> PP <>

SYMFAC

Geometric symmetry factor. Capacitance values are scaled by this factor which represents the fraction of the total device modeled. Defaults to 1.

Condname

Alpha-numeric prefix identifier used in defining named conductor components.

NUMCOND

Total Number of Components. If a ground is modeled, it is to be included as a component. If a ground is not modeled, but infinite elements are used to model the far-field ground, a named component for the far-field ground is not required.

GRNDKEY

Ground key:

0
 —

Ground is one of the components, which is not at infinity.

1
 —

Ground is at infinity (modeled by infinite elements or a Trefftz domain).

Capname

Array name for computed capacitance matrix. Defaults to CMATRIX.

Notes

To invoke the CMATRIX macro, the exterior nodes of each conductor must be grouped into individual components using the CM command. Each set of independent components is assigned a component name with a common prefix followed by the conductor number. A conductor system with a ground must also include the ground nodes as a component. The ground component is numbered last in the component name sequence.

A Ground Capacitance matrix is a matrix relating charge to a voltage vector. A ground matrix can not be applied to a circuit modeler such as SPICE. The Lumped Capacitance matrix is a matrix formed by a combination of lumped "arrangements" of voltage differences between conductors. You can use the lumped capacitance terms in a circuit modeler to represent capacitances between conductors.

You must enclose all name-strings in single quotes in the CMATRIX command line.

See the Theory Reference for ANSYS and ANSYS Workbench and HMAGSOLV in the Low-Frequency Electromagnetic Analysis Guide for details.

Menu Paths

Main Menu>Solution>Solve>Electromagnet>Static Analysis>Capac Matrix

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/CMAP 		Up / Home Next
CMDELE


CMDELE

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CMDELE, Name

Deletes a component or assembly definition.

DATABASE: Components

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Name

Name of the component or assembly whose definition is to be removed.

Notes

Entities contained in the component, or the components within the assembly, are unaffected. Only the grouping relationships are deleted. Assemblies are automatically updated to reflect deletion of their components or subassemblies, but they are not automatically deleted when all their components or subassemblies are deleted.

This command is valid in any processor.

Menu Paths

Main Menu>Preprocessor>Meshing>Size Cntrls>ManualSize>Layers>Picked Lines
Main Menu>Preprocessor>Modeling>Create>Circuit>Delete Elements
Main Menu>Solution>Manual Rezoning>Create Remesh Zone(s)>Create Rezone Area
Utility Menu>Select>Comp/Assembly>Delete Comp/Assembly

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CMATRIX 		Up / Home Next
CMDOMEGA


CMDOMEGA

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CMDOMEGA, CM_NAME, DOMEGAX, DOMEGAY, DOMEGAZ, X1, Y1, Z1, X2, Y2, Z2

Specifies the rotational acceleration of an element component about a user-defined rotational axis.

SOLUTION: Inertia

MP ME ST PR PRN <> <> <> <> <> <> PP <>

CM_NAME,

The name of the element component (8 character maximum).

DOMEGAX, DOMEGAY, DOMEGAZ

If the X2, Y2, Z2 fields are not defined, DOMEGAX, DOMEGAY, and DOMEGAZ specify the components of the rotational acceleration vector in the global Cartesian X, Y, Z directions.

If the X2, Y2, Z2 fields are defined, only DOMEGAX is required. DOMEGAX specifies the scalar rotational acceleration about the rotational axis. The rotational direction of DOMEGAXis designated either positive or negative, and is determined by the “right hand rule.”

X1, Y1, Z1

If the X2, Y2, Z2 fields are defined, X1, Y1, and Z1 define the coordinates of the beginning point of the rotational axis vector. Otherwise, X1, Y1, and Z1 are the coordinates of a point through which the rotational axis passes.

X2, Y2, Z2

The coordinates of the end point of the rotational axis vector.

Notes

Specifies the rotational acceleration components DOMEGAX, DOMEGAY, and DOMEGAZ of an element component CM_NAME about a user-defined rotational axis. The rotational axis can be defined either as a vector passing through a single point, or a vector connecting two points.

You can use the CMDOMEGA command to specify acceleration based loading on up to 100 rotational element components.

You can define rotational acceleration and rotational axis with the CMDOMEGA command for STATIC, HARMIC (full), TRANS (full), and SUBSTR analyses. Rotational velocities are combined with the element mass matrices to form a body force load vector term. Units are radians/time2. Related commands are ACEL, CGLOC, CGLOC, OMEGA, CMOMEGA, DCGOMG, DOMEGA.

You can use the CMDOMEGA command in conjunction with any one of the following two groups of commands, but not with both groups simultaneously:

GROUP ONE: OMEGA, DOMEGA.
GROUP TWO: CGOMGA, DCGOMG, CGLOC.

Components for which you want to specify rotational loading must consist of elements only. The elements you use cannot be part of more than one component, and elements that share nodes cannot exist in different element components. You cannot apply the loading to an assembly of element components.

In a modal harmonic or transient analysis, you must apply the load in the modal portion of the analysis. ANSYS calculates a load vector and writes it to the mode shape file, which you can apply via the LVSCALE command.

See the Theory Reference for ANSYS and ANSYS Workbench for more information.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Inertia>Angular Accel>On Components>By Axis
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Inertia>Angular Accel>On Components>By origin
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Inertia>Angular Accel>On Components>Pick Kpt
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Inertia>Angular Accel>On Components>Pick Kpts
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Inertia>Angular Accel>On Components>Pick Node
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Inertia>Angular Accel>On Components>Pick Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Inertia>Angular Accel>On Component
Main Menu>Solution>Define Loads>Apply>Structural>Inertia>Angular Accel>On Components>By Axis
Main Menu>Solution>Define Loads>Apply>Structural>Inertia>Angular Accel>On Components>By origin
Main Menu>Solution>Define Loads>Apply>Structural>Inertia>Angular Accel>On Components>Pick Kpt
Main Menu>Solution>Define Loads>Apply>Structural>Inertia>Angular Accel>On Components>Pick Kpts
Main Menu>Solution>Define Loads>Apply>Structural>Inertia>Angular Accel>On Components>Pick Node
Main Menu>Solution>Define Loads>Apply>Structural>Inertia>Angular Accel>On Components>Pick Nodes
Main Menu>Solution>Define Loads>Delete>Structural>Inertia>Angular Accel>On Component

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CMDELE 		Up / Home Next
CMEDIT


CMEDIT

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CMEDIT, Aname, Oper, Cnam1, Cnam2, Cnam3, Cnam4, Cnam5, Cnam6, Cnam7

Edits an existing assembly.

DATABASE: Components

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Aname

Name of the assembly to be edited.

Oper

Operation label:

ADD
—

To add more components. The level of any assembly to be added must be lower than that of the assembly Aname (see CMGRP command).

DELE
—

To remove components.

Cnam1, Cnam2, Cnam3, . . . , Cnam7

Names of components and assemblies to be added to or deleted from the assembly.

Notes

This command is valid in any processor.

Menu Paths

Utility Menu>Select>Comp/Assembly>Edit Assembly

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CMDOMEGA 		Up / Home Next
CMGRP


CMGRP

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CMGRP, Aname, Cnam1, Cnam2, Cnam3, Cnam4, Cnam5, Cnam6, Cnam7, Cnam8

Groups components and assemblies into an assembly.

DATABASE: Components

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Aname

An alphanumeric name used to identify this assembly. Aname may be up to 32 characters, beginning with a letter and containing only letters, numbers, and underscores. Overwrites a previously defined Aname (and removes it from higher level assemblies, if any).

Cnam1, Cnam2, Cnam3, . . . , Cnam8

Names of existing components or other assemblies to be included in this assembly.

Notes

Groups components and other assemblies into an assembly identified by a name. CMGRP is used for the initial definition of an assembly. An assembly is used in the same manner as a component. Up to 5 levels of assemblies within assemblies may be used.

An assembly is a convenient grouping of previously defined components and other assemblies. Assemblies may contain components only, other assemblies, or any combination. A component may belong to any number of assemblies. Up to 5 levels of nested assemblies may be defined. Components and assemblies may be added to or deleted from an existing assembly by the CMEDIT command. Once defined, an assembly may be listed, deleted, selected, or unselected using the same commands as for a component. Assemblies are automatically updated to reflect deletions of one or more of their components or lower-level assemblies. Assemblies are not automatically deleted when all their components or subassemblies are deleted.

This command is valid in any processor.

Menu Paths

Utility Menu>Select>Comp/Assembly>Create Assembly

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CMEDIT 		Up / Home Next
CMLIST


CMLIST

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CMLIST, Name, Key, Entity

Lists the contents of a component or assembly.

DATABASE: Components

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Name

Name of the component or assembly to be listed (if blank, list all selected components and assemblies). If Name is specified, then Entity is ignored.

Key

Expansion key:

0
 —

Do not list individual entities in the component.

1 or EXPA
 —

List individual entities in the component.

Entity

If Name is blank, then the following entity types can be specified:

VOLU
 —

List the volume components only.

AREA
 —

List the area components only.

LINE
 —

List the line components only.

KP
 —

List the keypoint components only

ELEM
 —

List the element components only.

NODE
 —

List the node components only.

Notes

This command is valid in any processor. For components, it lists the type of geometric entity. For assemblies, it lists the components and/or assemblies that make up the assembly.

Examples of possible usage:

CMLIST - List all selected components.
CMLIST, , EXPA - List all selected components and for each component list the underlying entity ID's.
CMLIST,Name - List the specified component.
CMLIST,Name,EXPA - List specified component along with all underlying entity ID's.
CMLIST, , EXPA,Entity - List all selected components of specified entity type. For each component also list the underlying entity ID's.

Menu Paths

Utility Menu>List>Components
Utility Menu>List>Other>Components
Utility Menu>Select>Comp/Assembly>List Comp/Assembly

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CMGRP 		Up / Home Next
CMMOD


CMMOD

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CMMOD, Cname, Keyword, Value

Modifies the specification of a component.

DATABASE: Components

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Cname

Name of the existing component or assembly to be modified.

Keyword

The label identifying the type of value to be modified.

NAME - Modify the NAME of the component

Value

If Keyword is NAME, then the value is the alphanumeric label to be applied. See the CM command for naming convention details. If a component named Value already exists, the command will be ignored and an error message will be generated.

Notes

The naming conventions for components, as specified in the CM command, apply for CMMOD (32 characters, “ALL”, “STAT” and “DEFA” are not allowed, etc.). However, if you choose a component name that is already designated for another component, an error message will be issued and the command will be ignored.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CMLIST 		Up / Home Next
CMOMEGA


CMOMEGA

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CMOMEGA, CM_NAME, OMEGAX, OMEGAY, OMEGAZ, X1, Y1, Z1, X2, Y2, Z2, KSPIN

Specifies the rotational velocity of an element component about a user-defined rotational axis.

SOLUTION: Inertia

MP ME ST PR PRN <> <> <> <> <> <> PP <>

CM_NAME,

The name of the element component (eight-character maximum).

OMEGAX, OMEGAY, OMEGAZ

If the X2, Y2, Z2 fields are not defined, OMEGAX, OMEGAY, and OMEGAZ specify the components of the rotational velocity vector in the global Cartesian X, Y, Z directions.

If the X2, Y2, Z2 fields are defined, only OMEGAX is required. OMEGAX specifies the scalar rotational velocity about the rotational axis. The rotational direction of OMEGAX is designated either positive or negative, and is determined by the “right hand rule.”

X1, Y1, Z1

If the X2, Y2, Z2 fields are defined,X1, Y1, and Z1 define the coordinates of the beginning point of the rotational axis vector. Otherwise, X1, Y1, and Z1 are the coordinates of a point through which the rotational axis passes.

X2, Y2, Z2

The coordinates of the end point of the rotational axis vector.

KSPIN

The spin-softening key:

0 or OFF
 —

No modification of the stiffness matrix of the element component due to rotation. This value is the default except in a dynamic analysis when the Coriolis effect is taken into account in the rotating reference frame (CORIOLIS,ON); in this case, ANSYS applies spin-softening by default.

1 or ON
 —

Decrease radial stiffness of the element component due to rotation (that is, include spin-softening effects).

Notes

Specifies the rotational velocity components OMEGAX, OMEGAY, and OMEGAZ of an element component CM_NAME about a user-defined rotational axis. The rotational axis can be defined either as a vector passing through a single point or a vector connecting two points.

You can use the CMOMEGA command to specify velocity-based loading on up to 100 rotational element components.

You can define rotational velocity and rotational axis for these analysis types:

  • Static (ANTYPE,STATIC)

  • Harmonic (ANTYPE,HARMIC) -- Full

  • Transient (ANTYPE,TRANS) -- Full

  • Substructuring (ANTYPE,SUBSTR)

Rotational velocities are combined with the element mass matrices to form a body force load vector term. Units are radians/time. Related commands are ACEL, CGLOC, CGLOC, CGOMGA, CMDOMEGA, DCGOMG, DOMEGA.

You can use the CMOMEGA command in conjunction with any one of the following two groups of commands, but not with both groups simultaneously:

GROUP ONE: OMEGA, DOMEGA.
GROUP TWO: CGOMGA, DCGOMG, CGLOC.

Components for which you want to specify rotational loading must consist of elements only. The elements you use cannot be part of more than one component, and elements that share nodes cannot exist in different element components. You cannot apply the loading to an assembly of element components.

The KSPIN option allows you to adjust the stiffness of a rotating body to account for dynamic mass effects. The adjustment is called spin-softening and applies to a modal (ANTYPE,MODAL), harmonic (ANTYPE,HARM), or transient (ANTYPE,TRANS) analysis only. By default, ANSYS does not include the spin-softening adjustment in the analysis except for dynamic analyses where you have applied the Coriolis effect (CORIOLIS,ON) in the rotating reference frame. To account for this exception, if the default is requested, the KSPIN value appears as -1 in all saved files containing loads (such as .CDB, .Snn, and .LDHI). The adjustment approximates the effects of geometry changes caused by large-deflection circumferential motion in a small-deflection analysis. The KSPIN option is not intended for a large-deflection static analysis; in such a case, use the NLGEOM,ON command to account for this effect. The command is usually used in conjunction with prestressing (PSTRES).

If you have applied the Coriolis effect (CORIOLIS) using a stationary reference frame, the CMOMEGA command takes the gyroscopic damping matrix into account for these elements: BEAM4, PIPE16, MASS21, SOLID45, SOLID95, SOLID185, SOLID186, SOLID187, BEAM188, and BEAM189. ANSYS verifies that the rotation vector axis is parallel to the axis of the element; if not, the gyroscopic effect is not applied. If you issue a CMOMEGA command when the Coriolis or gyroscopic effect is present, a subsequently issued OMEGA command has no effect.

If your CMOMEGA parameters change, you should not reuse the overall stiffness matrix. See the Theory Reference for ANSYS and ANSYS Workbench for more information on the stiffness matrix.

In a modal harmonic or transient analysis, you must apply the load in the modal portion of the analysis. ANSYS calculates a load vector and writes it to the mode shape file, which you can apply via the LVSCALE command.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Inertia>Angular Veloc>On Components>By Axis
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Inertia>Angular Veloc>On Components>By origin
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Inertia>Angular Veloc>On Components>Pick Kpt
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Inertia>Angular Veloc>On Components>Pick Kpts
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Inertia>Angular Veloc>On Components>Pick Node
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Inertia>Angular Veloc>On Components>Pick Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Inertia>Angular Veloc>On Component
Main Menu>Solution>Define Loads>Apply>Structural>Inertia>Angular Veloc>On Components>By Axis
Main Menu>Solution>Define Loads>Apply>Structural>Inertia>Angular Veloc>On Components>By origin
Main Menu>Solution>Define Loads>Apply>Structural>Inertia>Angular Veloc>On Components>Pick Kpt
Main Menu>Solution>Define Loads>Apply>Structural>Inertia>Angular Veloc>On Components>Pick Kpts
Main Menu>Solution>Define Loads>Apply>Structural>Inertia>Angular Veloc>On Components>Pick Node
Main Menu>Solution>Define Loads>Apply>Structural>Inertia>Angular Veloc>On Components>Pick Nodes
Main Menu>Solution>Define Loads>Delete>Structural>Inertia>Angular Veloc>On Component

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CMMOD 		Up / Home Next
CMPLOT


CMPLOT

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CMPLOT, Label, Entity, Keyword

Plots the entities contained in a component or assembly.

DATABASE: Components

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Label

Name of the component or assembly to be plotted.

(blank)
 —

All selected components and assemblies are plotted (default). If fewer than 11 components are selected, then all are plotted. If more than 11 components are selected, then only the first 11 are plotted.

ALL
 —

All selected components are plotted. If number of selected components is greater than 11, then the legend showing component names will not be shown.

N
 —

Next set of defined components and assemblies is plotted.

P
 —

Previous set of defined components and assemblies is plotted.

Cname
 —

The specified component or assembly is plotted.

Set No.
 —

The specified set number is plotted.

Entity

If Label is BLANK or ALL, then the following entity types can be specified:

VOLU
 —

Plot the volume components only.

AREA
 —

Plot the area components only.

LINE
 —

Plot the line components only.

KP
 —

Plot the keypoint components only.

ELEM
 —

Plot the element components only.

NODE
 —

Plot the node components only.

Keyword

For Keyword = ALL, plot the specified component name in the Label field in the context of all entities of the same type. Not valid if Label field is BLANK or ALL.

Notes

Components are plotted with their native entities. For assemblies, all native entities for the underlying component types are plotted simultaneously. Although more components can be plotted, the legend displays only 11 at a time. When more than eleven are plotted, the legend is not displayed.

Possible usage:

CMPLOT,CNAME - Plots the specified component (if selected).
CMPLOT,CNAME, ALL - Plot component in the context of all other selected entity components of the same type as the component.
CMPLOT - Plot the first eleven selected components.
CMPLOT,ALL - Plot all selected components.
CMPLOT,N or CMPLOT,P - Plot next or previous set of eleven components.
CMPLOT,ALL,Entity - Plot all selected components of type specified in Entity.
CMPLOT, ,Entity - Plot components of type specified in Entity, from the first eleven components.
CMPLOT,N,Entity - Plot components of type specified in Entity, if any, from the next set of eleven components (substitute P for N to plot from previous set).

This command is valid in any processor.

Menu Paths

Utility Menu>Plot>Components>By Name / Set Number
Utility Menu>Plot>Components>Next Set
Utility Menu>Plot>Components>Previous Set
Utility Menu>Plot>Components>Selected Components

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CMOMEGA 		Up / Home Next
CMROTATE


CMROTATE

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CMROTATE, CM_NAME, ROTATX, ROTATY, ROTATZ, X1, Y1, Z1, X2, Y2, Z2

Specifies the rotational velocity of an element component about a user-defined rotational axis

SOLUTION: Inertia

MP ME ST PR PRN <> <> <> <> <> <> PP <>

CM_NAME,

The name of the element component (eight-character maximum).

ROTATX, ROTATY, ROTATZ

If the X2, Y2, Z2 fields are not defined, ROTATX, ROTATY, and ROTATZ specify the components of the rotational angle vector in the global Cartesian X, Y, Z directions.

If the X2, Y2, Z2 fields are defined, only ROTATX is required. ROTATX specifies the scalar rotational velocity about the rotational axis. The rotational direction of ROTATX is designated either positive or negative, and is determined by the “right hand rule.”

X1, Y1, Z1

If the X2, Y2, Z2 fields are defined, X1, Y1, and Z1 define the coordinates of the beginning point of the rotational axis vector. Otherwise, X1, Y1, and Z1 are the coordinates of a point through which the rotational axis passes.

X2, Y2, Z2

The coordinates of the end point of the rotational axis vector.

Notes

The CMROTATE command specifies the rotational motion velocity components ROTATX, ROTATY, and ROTATZ of an element component CM_NAME about a user-defined rotational axis. The rotational axis can be defined either as a vector passing through a single point or a vector connecting two points.

You can use the CMROTATE command to specify angular rotation-based displacement or angular velocity on up to 100 rotational element components.

You can define rotational velocity and rotational axis for static analyses (ANTYPE,STATIC) only.

The command sets the constant rotational velocity on the nodes of the element component despite any deformation at the nodes. This feature is primarily useful for generating sliding contact at frictional contact interfaces in a brake squeal analysis.

A brake squeal analysis generally involves a partial solution step (PSOLVE) subsequent to a large-deformation static analysis with the Newton Raphson option set as NROPT = UNSYM. Therefore, CMROTATE is not applicable for multiple load step solves using the LSSOLVE command.

The CMROTATE command typically applies to brake squeal modeling where surface-to-surface contact occurs between the brake pad and the rotating disk. The applicable contact elements, therefore, are CONTA173, CONTA174, and CONTA175.

This command is also valid in PREP7.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CMPLOT 		Up / Home Next
CMSEL


CMSEL

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CMSEL, Type, Name, Entity

Selects a subset of components and assemblies.

DATABASE: Components

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Label identifying the type of select:

S
 —

Select a new set (default).

R
 —

Reselect a set from the current set.

A
 —

Additionally select a set and extend the current set.

U
 —

Unselect a set from the current set.

ALL
 —

Also select all components.

NONE
 —

Unselect all components.

Name

Name of component or assembly whose items are to be selected (valid only if Type = S, R, A, or U).

Graphical picking is enabled if Type is blank and Name = PICK (or simply “P”).

Entity

If Name is blank, then the following entity types can be specified:

VOLU
 —

Select the volume components only.

AREA
 —

Select the area components only.

LINE
 —

Select the line components only.

KP
 —

Select the keypoint components only.

ELEM
 —

Select the element components only.

NODE
 —

Select the node components only.

Notes

Selecting by component is a convenient adjunct to individual item selection (e.g., VSEL, ESEL, etc.). CMSEL, ALL allows you to select components in addition to other items you have already selected.

If Type = R for an assembly selection [CMSEL,R,<assembly-name>], the reselect operation is performed on each component in the assembly in the order in which the components make up the assembly. Thus, if one reselect operation results in an empty set, subsequent operations will also result in empty sets. For example, if the first reselect operation tries to reselect node 1 from the selected set of nodes 3, 4, and 5, the operation results in an empty set (that is, no nodes are selected). Since the current set is now an empty set, if the second reselect operation tries to reselect any nodes, the second operation also results in an empty set, and so on. This is equivalent to repeating the command CMSEL,R,<component-name> once for each component making up the assembly.

This command is valid in any processor.

Menu Paths

Main Menu>General Postproc>Manual Rezoning>Create Rezone Component
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Displacement>On Joint Elems
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Force/Moment>On Joint Elems
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Displacement>On Joint Elems
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Force/Moment>On Joint Elems
Main Menu>Preprocessor>Modeling>Create>Circuit>Delete Elements
Main Menu>Solution>Define Loads>Apply>Structural>Displacement>On Joint Elems
Main Menu>Solution>Define Loads>Apply>Structural>Force/Moment>On Joint Elems
Main Menu>Solution>Define Loads>Delete>Structural>Displacement>On Joint Elems
Main Menu>Solution>Define Loads>Delete>Structural>Force/Moment>On Joint Elems
Main Menu>Solution>Manual Rezoning>Create Remesh Zone(s)>Select Rezone Component
Utility Menu>Select>Comp/Assembly>Select Comp/Assembly

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CMROTATE 		Up / Home Next
CMSFILE


CMSFILE

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CMSFILE, Option, Fname, Ext, CmsKey

Specifies a list of component mode synthesis (CMS) results files for plotting results on the assembly.

POST1: Special Purpose

MP ME ST <> <> <> <> <> <> <> <> PP <>

Option

Specifies the command operation:

ADD
 —

Add the specified component results file (Fname) to the list of files to plot. This option is the default.

DELETE
 —

Remove the specified component results file (Fname) from the list of files to plot.

LIST
 —

List all specified component results files.

CLEAR
 —

Clear all previous files added.

ALL
 —

Add all component results (.rst) files from the working directory to the list of files to plot.

Fname

The file name (with full directory path) of the component results file. The default file name is the Jobname (specified via the /FILNAME command).

Ext

The file name (Fname) extension. The default extension is .rst.

CmsKey

Valid only when adding a results file (Option = ADD or ALL), this key specifies whether or not to check the specified .rst file to determine if it was created via a CMS expansion pass:

ON
 —

Check (default).

OFF
 —

Do not check.

Command Default

If issued with no arguments, the CMSFILE command uses these defaults:

CMSFILE,ADD,Jobname,rst,ON

The command adds the component results file Jobname.rst.

Notes

The CMSFILE command specifies the list of component mode synthesis (CMS) results files to include when plotting the mode shape of an assembly.

During postprocessing (/POST1) of a CMS analysis, issue the CMSFILE command to point to component results files of interest. (You can issue the command as often as needed to include all or some of the component results files.) Issue the SET command to acquire the frequencies and mode shapes from substeps for all specified results files. Execute a plot (PLNSOL) or print (PRNSOL) operation to display the mode shape of the entire assembly.

When you specify a results file to add to the plot list, the default behavior of the command (CmsKey = ON) is to first verify that the file is from a CMS analysis and that the frequencies of the result sets on the file match the frequencies on the first file in the list. If CmsKey = OFF, you can add any .rst file to the list of files to plot, even if the file was not expanded via a CMS expansion pass.

If CmsKey = ON (default), output from the command appears as: ADD CMS FILE = filename.rst. If CmsKey = OFF, output from the command appears as: ADD FILE = filename.rst.

If OPTION = DELETE or CLEAR, you must clear the database (/CLEAR), then re-enter the postprocessor (/POST1) and issue a SET command for the change to take effect on subsequent plots.

Clearing the database does not clear the list of files specified via the CMSFILE command. Specify OPTION = CLEAR to clear the list of files.

Menu Paths

Main Menu>General Postproc>Data & File Opts

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CMSEL 		Up / Home Next
CMSOPT


CMSOPT

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CMSOPT, CMSMETH, NMODE, FREQB, FREQE, FBDDEF, FBDVAL

Specifies component mode synthesis (CMS) analysis options.

SOLUTION: Analysis Options

MP ME ST <> <> <> <> <> <> <> <> PP <>

CMSMETH

The component mode synthesis method to use. This value is required.

FIX
 —

Fixed-interface method.

FREE
 —

Free-interface method.

RFFB
 —

Residual-flexible free-interface method.

NMODE

The number of normal modes extracted and used in superelement generation. This value is required and the minimum is 1.

FREQB

Beginning, or lower end, of frequency range of interest. This value is optional.

ANSYS sets this value to zero if the residual-flexible free-interface method (CMSMETH = RFFB) is specified.

FREQE

Ending, or upper end, of frequency range of interest. This value is optional.

FBDDEF

In a free-interface (CMSMETH = FREE) or residual-flexible free-interface (CMSMETH = RFFB) CMS analysis, the method to use for defining free body modes:

FNUM
 —

The number (FDBVAL) of rigid body modes in the calculation.

FTOL
 —

Employ a specified tolerance (FDBVAL) to determine rigid body modes in the calculation.

FAUTO
 —

Automatically determine rigid body modes in the calculation. This method is the default.

RIGID
 —

If no rigid body modes exist, define your own via the RIGID command.

FBDVAL

In a free-interface CMS analysis (CMSMETH = FREE), the number of rigid body modes if FBDDEF = FNUM (where the value is an integer from 0 through 6), or the tolerance to employ if FBDDEF = FTOL (where the value is a positive real number representing rad/sec). This value is required only when FBDDEF = FNUM or FBDDEF = FTOL; otherwise, any specified value is ignored.

Command Default

Issuing the CMSOPT command with no arguments is invalid. You must specify at least the CMS method (CMSMETH) and the number of modes (NMODE). In a free-interface (CMSMETH = FREE) or residual-flexible free-interface (CMSMETH = RFFB) CMS analysis, the default method for determining rigid body modes is FAUTO (automatic).

Notes

CMS employs the Block Lanczos eigensolution method in the generation pass.

CMS does not yet support damping matrix reduction. ANSYS sets the matrix generation key to 2 automatically (SEOPT,SEMATR).

CMS does not support the SEOPT,,,,,RESOLVE command. Instead, ANSYS sets the expansion method for the expansion pass (EXPMTH) to BACKSUB.

This command is also valid in /PREP7.

For more information about performing a CMS analysis, see "Component Mode Synthesis" in the Advanced Analysis Techniques Guide.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>Analysis Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CMSFILE 		Up / Home Next
CMWRITE


CMWRITE

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CMWRITE, Fname, Ext, --, --, Fmat

Writes components and assemblies to a file.

DATABASE: Components

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to CM if Fname is blank.

--

Unused field.

Fmat

Format of the output file (defaults to BLOCKED).

BLOCKED
 —

Blocked format. This format allows faster reading of the file.

UNBLOCKED
 —

Unblocked format.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CMSOPT 		Up / Home Next
CNCHECK


CNCHECK

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CNCHECK, Option, RID1, RID2, RINC

Provides and/or adjusts the initial status of contact pairs.

PREP7: Database

SOLUTION: Analysis Options

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Option

Option to be performed:

DETAIL
 —

List all contact pair properties (default).

SUMMARY
 —

List only the open/closed status for each contact pair.

POST
 —

Execute a partial solution to write the initial contact configuration to a results file, Jobname.RCN.

ADJUST
 —

Physically move contact nodes to target to close gap or reduce penetration.

RESET
 —

Reset target element and contact element key options and real constants to their default values.

RID1, RID2, RINC

The range of real constant pair ID's for which Option will be performed. If RID2 is not specified, it defaults to RID1. If no value is specified, all contact pairs in the selected set of elements are considered.

Notes

CNCHECK provides information for surface-to-surface, node-to-surface, and line-to-line contact pairs (element types TARGE169, TARGE170, CONTA171, CONTA172, CONTA173, CONTA174, CONTA175, CONTA176, CONTA177). All contact and target elements of interest, along with the solid elements and nodes attached to them, must be selected for the command to function properly.

CNCHECK is available both in PREP7 and in SOLUTION, but only before the first SOLVE, that is, only before the first load step or the first substep.

The command CNCHECK,POST solves the initial contact configuration in one substep. After issuing this command, you can postprocess the contact result items as you would for any other converged load step. However, only the contact status, contact penetration or gap, and contact pressure will have meaningful values. Other contact quantities (friction stress, sliding distance, chattering) will be available, but not useful.

If CNCHECK,POST is issued within the SOLUTION processor, the SOLVE command that solves the first load step of your analysis should appear in a different step, as shown in the following example:

/SOLU
CNCHECK,POST
FINISH
. . .

/SOLU
SOLVE
FINISH
. . .

CNCHECK,POST writes initial contact results to a results file named Jobname.RCN. When postprocessing the initial contact state, you need to explicitly read results from this file using the FILE and SET,FIRST commands in POST1 to properly read the corresponding contact data. Otherwise, the results file may be read improperly. The following example shows a valid command sequence for plotting the initial contact gap:

/SOLU
CNCHECK,POST
FINISH
/POST1
FILE,Jobname,RCN
SET,FIRST
PLNSOL,CONT,GAP,0,1
FINISH
. . .

You can issue CNCHECK,ADJUST to physically move contact nodes to the target surface. See Physically Moving Contact Nodes Towards the Target Surface in the Contact Technology Guide for more information. Similar to the POST option described above, if CNCHECK,ADJUST is issued within the SOLUTION processor, the SOLVE command that solves the first load step of your analysis should appear in a different step:

/SOLU
CNCHECK,ADJUST
FINISH
. . .

/SOLU
SOLVE
FINISH
. . .

For performance reasons, ANSYS internally uses a subset of nodes and elements based on the specified contact regions (RID1, RID2, RINC) when executing CNCHECK,POST or CNCHECK,ADJUST.

The command CNCHECK,RESET allows you to reset all but a few key options and real constants associated with the specified contact pairs (RID1, RID2, RINC) to their default values. The RESET option is only valid in the PREP7 preprocessor. The following key options and real constants remain unchanged when this command is issued:

Element type | Key options not affected by RESET | Real constants not affected by RESET
TARGE169, TARGE170 | KEYOPT(3) | R1, R2
CONTA171, CONTA172 | KEYOPT(1), KEYOPT(3) | R1, R2
CONTA173, CONTA174, CONTA175, CONTA176, CONTA177 | KEYOPT(1) | R1, R2

Menu Paths

Main Menu> Preprocessor> Modeling> Create> Contact Pair

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CMWRITE 		Up / Home Next
CNVTOL


CNVTOL

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CNVTOL, Lab, VALUE, TOLER, NORM, MINREF

Sets convergence values for nonlinear analyses.

SOLUTION: Nonlinear Options

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Lab

Valid convergence labels are as follows: If STAT, list the status of the currently specified criteria. Structural labels: U (displacements); ROT (rotations); F (forces); M (moments). Thermal labels: TEMP (temperature); HEAT (heat flow). Fluid labels: PRES (pressures); V (velocities); FLOW (fluid flow); VF (fluid force). Electric labels: VOLT (voltage); EMF (electromotive force); CURR (current flow); AMPS (current flow); CURT (current flow). Magnetic labels: MAG (scalar magnetic potential); A (vector magnetic potentials); CURR (current flow); FLUX (scalar magnetic flux); CSG (magnetic current segments); VLTG (voltage drop).

VALUE

Typical value for the above label for this analysis. If negative, and if this convergence label was previously specified explicitly, then convergence based on this label is removed. (A negative VALUE will not remove a default convergence label.) Defaults to the maximum of a program calculated reference or MINREF. For degrees of freedom, the reference is based upon the selected NORM and the current total DOF value. For forcing quantities, the reference is based upon the selected NORM and the applied loads.

TOLER

When SOLCONTROL,ON, tolerance about VALUE. Defaults to 0.005 (0.5%) for force and moment, and 0.05 (5%) for displacement when rotational DOFs are not present. When SOLCONTROL,OFF, defaults to 0.001 (0.1%) for force and moment.

NORM

Specifies norm selection:

2
 —

L2 norm (check SRSS value) (default).

1
 —

L1 norm (check absolute value sum).

0
 —

Infinite norm (check each DOF separately).

MINREF

The minimum value allowed for the program calculated reference value. If negative, no minimum is enforced. Used only if VALUE is blank. Defaults to 0.01 for force and moment convergence, 1.0E-6 for heat flow, 1.0E-12 for VOLT and AMPS, and 0.0 otherwise. When SOLCONTROL,OFF, defaults to 1.0 for force and moment convergence. The default for heat flow (1.0E-6), VOLT and AMPS (1.0E-12), and others are independent of the SOLCONTROL setting.

Command Default

For static or transient analysis, check the out-of-balance load for any active DOF using the default VALUE, TOLER, NORM, and MINREF. Also check the displacement convergence for some problems. For harmonic magnetic analysis, check the out-of-balance of the degrees of freedom.

Notes

The default values given for this command assume SOLCONTROL,ON (the default). See the description of SOLCONTROL for a complete listing of the defaults set by SOLCONTROL,ON and SOLCONTROL,OFF.

Values may be set for the degrees of freedom (DOF) and/or the out-of-balance load for the corresponding forcing quantities. When the GUI is on, if a "Delete" operation in a Nonlinear Convergence Criteria dialog box writes this command to a log file (Jobname.LOG or Jobname.LGW), you will observe that Lab is blank, VALUE = -1, and TOLER is an integer number. In this case, the GUI has assigned a value of TOLER that corresponds to the location of a chosen convergence label in the dialog box's list. It is not intended that you type in such a location value for TOLER in an ANSYS session. However, a file that contains a GUI-generated CNVTOL command of this form can be used for batch input or with the /INPUT command.

If you have multiple DOF types, issue CNVTOL for each DOF, because the default will be reset for the other DOFs the first time CNVTOL is issued.

This command is also valid in PREP7.

Convergence norms specified with CNVTOL may be graphically tracked while the solution is in process using the ANSYS program's Graphical Solution Tracking (GST) feature. Use the /GST command to turn GST on or off. By default, GST is ON for interactive sessions and OFF for batch runs.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Sol'n Controls>Nonlinear
Main Menu>Preprocessor>Loads>Load Step Opts>Nonlinear>Convergence Crit
Main Menu>Preprocessor>Loads>Load Step Opts>Nonlinear>Harmonic
Main Menu>Preprocessor>Loads>Load Step Opts>Nonlinear>Static
Main Menu>Preprocessor>Loads>Load Step Opts>Nonlinear>Transient
Main Menu>Solution>Analysis Type>Sol'n Controls>Nonlinear
Main Menu>Solution>Load Step Opts>Nonlinear>Convergence Crit
Main Menu>Solution>Load Step Opts>Nonlinear>Harmonic
Main Menu>Solution>Load Step Opts>Nonlinear>Static
Main Menu>Solution>Load Step Opts>Nonlinear>Transient

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CNCHECK 		Up / Home Next
/COLOR


/COLOR

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

/COLOR, Lab, Clab, N1, N2, NINC

Specifies the color mapping for various items.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Apply color to the items specified by the following labels:

AXES
 —

Determines the color (specified in next argument, Clab) that the axes of a graph will be plotted in.

AXNUM
 —

Determines the color (specified in next argument, Clab) that the numbering on the axes of a graph will be plotted in.

NUM
 —

Discretely numbered items (such as element types, element materials, etc., as shown on the /PNUM command). Also specify number (1 to 11) in the N1 field. For example, /COLOR,NUM,RED,3 will assign the color red to all items having the discrete number 3 (material displays would show elements having material 3 as red).

OUTL
 —

Outline of elements, areas, and volumes. Ex: /COLOR,OUTL,BLUE.

ELEM
 —

Elements. Use N1, N2, NINC fields for element numbers.

LINE
 —

Solid model lines. Use N1, N2, NINC fields for line numbers.

AREA
 —

Solid model areas. Use N1, N2, NINC fields for area numbers.

VOLU
 —

Solid model volumes. Use N1, N2, NINC fields for volume numbers.

ISURF
 —

Isosurfaces (surfaces of constant stress, etc.). This option is particularly useful when capturing frames for animating a single isosurface value.

WBAK
 —

Window background. Use N1, N2, NINC fields for window numbers. The options that you select using Lab = PBAK will supersede those applied using Lab = WBAK.

b.c.label --
—

Boundary condition label. Enter U, ROT, TEMP, PRES, V, ENKE, ENDS, SP01 through SP06 or their user-defined names, VOLT, MAG, A, EMF, CURR, F, M, HEAT, FLOW, VF, AMPS, FLUX, CSG, CURT, VLTG, MAST, CP, CE, NFOR, NMOM, RFOR, RMOM, PATH. See the /PBC command for boundary condition label definitions.

GRBAK
 —

Graph background.

GRID
 —

Graph grid lines.

AXLAB
 —

Graph X and Y axis labels.

CURVE
 —

Graph curves (identify curve numbers (1-6) in N1, N2, NINC fields).

CM
 —

Component group. Use N1 field for component name, ignore N2 and NINC.

CNTR
 —

ANSYS contour stress colors. The maximum number of contours available is 128. The number of colors that can be specified interactively (GUI) is 9. (/CONTOUR, , 9). Any other setting will yield inconsistent results.

SMAX
 —

Specifies that all stress values above the maximum value entered in /CONTOUR will be displayed in the color designated in the Clab field. Defaults to dark grey.

SMIN
 —

Specifies that all stress values below the minimum value entered in /CONTOUR will be displayed in the color designated in the Clab field. Defaults to dark grey.

PBAK
 —

Activates background shading options (see command syntax at end of argument descriptions below). The options that you select using Lab = PBAK will supersede those applied using Lab = WBAK.

Clab

Valid color labels are:

BLAC (0)
 —

Black

MRED (1)
 —

Magenta-Red

MAGE (2)
 —

Magenta

BMAG (3)
 —

Blue-Magenta

BLUE (4)
 —

Blue

CBLU (5)
 —

Cyan-Blue

CYAN (6)
 —

Cyan

GCYA ((7)
 —

Green-Cyan

GREE (8)
 —

Green

YGRE (9)
 —

Yellow-Green

YELL (10)
 —

Yellow

ORAN (11)
 —

Orange

RED (12)
 —

Red

DGRA (13)
 —

Dark Gray

LGRA (14)
 —

Light Gray

WHIT (15)
 —

White

N1, N2, NINC

Apply color to Lab items numbered N1 to N2 (defaults to N1) in steps of NINC (defaults to 1). If N1 is blank, apply color to entire selected range. If Lab is CM, use component name for N1 and ignore N2 and NINC. If N1 = P, graphical picking of elements, lines, areas and volumes is enabled; your can assign colors to the entities via the picker. When picking is enabled, the Lab and Clab fields are ignored.

If Lab = PBAK, the command format is /COLOR, PBAK,Key_On_Off, KEY_TYPE, KEY_INDEX.

The options that you select using Lab = PBAK will supersede those applied using Lab = WBAK.

Key_On_Off

Turns the background colors on and off. Acceptable values are ON (1) and OFF (0).

KEY_TYPE

Determines the type of background. Acceptable values are 0 (smooth shading left to right), 1 (smooth shading top to bottom), 2 (smooth shading right to left), 3 (smooth shading bottom to top), and -1 (textured image background)

KEY_INDEX

An integer value that corresponds to a background color or texture. If Key_Type is -1, the background will correspond to values specified in the /TXTRE command. If Key_Type is any other acceptable value, the background will correspond to the color values listed above under Clab.

Command Default

Use the default color mapping.

Notes

Issue /COLOR,STAT to display the current color mapping. Issue /COLOR,DEFA to reset the default color mapping.

Note

Color labels may also be reassigned any "color" with the /CMAP command.

This command is valid anywhere.

Menu Paths

Utility Menu>PlotCtrls>Style>Colors>BC Colors
Utility Menu>PlotCtrls>Style>Colors>Component Colors
Utility Menu>PlotCtrls>Style>Colors>Entity Colors
Utility Menu>PlotCtrls>Style>Colors>Graph Colors
Utility Menu>PlotCtrls>Style>Colors>Numbered Item Colors
Utility Menu>PlotCtrls>Style>Colors>Window Colors

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CNVTOL 		Up / Home Next
/COM


/COM

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

/COM, Comment

Places a comment in the output.

SESSION: List Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Comment

Comment string, up to 75 characters.

Notes

The output from this command consists of the comment string. This command is similar to C*** except that the comment produced by C*** is more easily identified in the output. Parameter substitution within the comment occurs for every valid expression delimited by percent (%) signs. Enclosing such an expression in single quotes prevents parameter substitution.

Another way to include a comment is to precede it with a ! character (on the same line). The ! may be placed anywhere on the line, and any input following it is ignored as a comment. No output is produced by such a comment, but the comment line is included on the log file. This is a convenient way to annotate the log file.

This command is valid anywhere.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/COLOR 		Up / Home Next
COMPRESS


COMPRESS

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

COMPRESS

Deletes all specified sets.

AUX3: Results Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Issue this command to delete all sets specified with the DELETE command.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/COM 		Up / Home Next
CON4


CON4

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CON4, XCENTER, YCENTER, RAD1, RAD2, DEPTH

Creates a conical volume anywhere on the working plane.

PREP7: Primitives

MP ME ST PR PRN <> <> FL EM EH <> PP <>

XCENTER, YCENTER

Working plane X and Y coordinates of the center axis of the cone.

RAD1, RAD2

Radii of the faces of the cone. RAD1 defines the bottom face and will be located on the working plane. RAD2 defines the top face and is parallel to the working plane. A value of zero or blank for either RAD1 or RAD2 defines a degenerate face at the center axis (i.e., the vertex of the cone). The same value for both RAD1 and RAD2 defines a cylinder instead of a cone.

DEPTH

The perpendicular distance (either positive or negative based on the working plane Z direction) from the working plane representing the depth of the cone. DEPTH cannot be zero (see "Notes" below).

Notes

Defines a solid conical volume with either the vertex or a face anywhere on the working plane. The cone must have a spatial volume greater than zero. (i.e., this volume primitive command cannot be used to create a degenerate volume as a means of creating an area.) The face or faces will be circular (each area defined with four lines), and they will be connected with two areas (each spanning 180°). See the CONE command for an alternate way to create cones.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Primitives>Cone
Main Menu>Preprocessor>Modeling>Create>Volumes>Cone>By Picking

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
COMPRESS 		Up / Home Next
CONE


CONE

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CONE, RBOT, RTOP, Z1, Z2, THETA1, THETA2

Creates a conical volume centered about the working plane origin.

PREP7: Primitives

MP ME ST PR PRN <> <> FL EM EH <> PP <>

RBOT, RTOP

Radii of the bottom and top faces of the cone. A value of zero or blank for either RBOT or RTOP defines a degenerate face at the center axis (i.e., the vertex of the cone). The same value for both RBOT and RTOP defines a cylinder instead of a cone.

Z1, Z2

Working plane Z coordinates of the cone. The smaller value is always associated with the bottom face.

THETA1, THETA2

Starting and ending angles (either order) of the cone. Used for creating a conical sector. The sector begins at the algebraically smaller angle, extends in a positive angular direction, and ends at the larger angle. The starting angle defaults to 0° and the ending angle defaults to 360°. See the Modeling and Meshing Guide for an illustration.

Notes

Defines a solid conical volume centered about the working plane origin. The non-degenerate face (top or bottom) is parallel to the working plane but not necessarily coplanar with (i.e., "on") the working plane. The cone must have a spatial volume greater than zero. (i.e., this volume primitive command cannot be used to create a degenerate volume as a means of creating an area.) For a cone of 360°, top and bottom faces will be circular (each area defined with four lines), and they will be connected with two areas (each spanning 180°). See the CON4 command for an alternate way to create cones.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Volumes>Cone>By Dimensions

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CON4 		Up / Home Next
/CONFIG


/CONFIG

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

/CONFIG, Lab, VALUE

Assigns values to ANSYS configuration parameters.

SESSION: Run Controls

MP ME ST PR PRN <> <> FL EM EH <> PP <>

Lab

Configuration parameter to be changed:

NRES
 —

VALUE is maximum number of results sets (substeps) allowed on the result file. Defaults to 1000. For MFX analyses, defaults to 5000. Minimum is 10.

NORSTGM
 —

Option to write or not write geometry data to the results file. VALUE is either 0 (write geometry data) or 1 (do not write geometry data). Useful when complex analyses will create abnormally large files. Default is 0.

NBUF
 —

VALUE is the number of buffers (1 to 32) per file in the solver. Defaults to 4.

LOCFL
 —

File open and close actions. For VALUE use: 0 for global (default); 1 for local. Applicable to File.EROT, File.ESAV, File.EMAT, and File.TRI. Typically used for large problems where locally closed files may be deleted earlier in the run with the /FDELE command.

SZBIO
 —

VALUE is the record size (1024 to 4194304) of binary files (in integer words). Defaults to 16384 (system dependent).

ORDER
 —

Automatic reordering scheme. For VALUE use: 0 for WSORT,ALL; 1 for WAVES; 2 for both WSORT,ALL and WAVES (default).

FSPLIT
 —

Defines split points for binary files. VALUE is the file split point in megawords and defaults to the maximum file size for the system.

MXND
 —

Maximum number of nodes. If not specified, defaults to 100 at first encounter. Dynamically expanded by doubling, even at first encounter, when maximum is exceeded.

MXEL
 —

Maximum number of elements. Default and expansion as for MXND.

MXKP
 —

Maximum number of keypoints. Default and expansion as for MXND.

MXLS
 —

Maximum number of lines. Default and expansion as for MXND.

MXAR
 —

Maximum number of areas. Default and expansion as for MXND.

MXVL
 —

Maximum number of volumes. Default and expansion as for MXND.

MXRL
 —

Maximum number of sets of real constants (element attributes). Default and expansion as for MXND.

MXCP
 —

Maximum number of sets of coupled degrees of freedom. Default and expansion as for MXND.

MXCE
 —

Maximum number of constraint equations. Default and expansion as for MXND.

NOELDB
 —

Option to write or not write results into the database after a solution. When VALUE = 0 (default), write results into the database. When VALUE = 1, do not write results into the database.

DYNA_DBL
 —

Option to invoke the double precision version of the explicit dynamics solver LS-DYNA. When VALUE = 0 (default), the single precision version is used. When VALUE = 1, the double precision version is used.

STAT
 —

Displays current values set by the /CONFIG command.

VALUE

Value (an integer number) assigned to the configuration parameter.

Notes

All configuration parameters have initial defaults, which in most cases do not need to be changed. Where a specially configured version of the ANSYS program is desired, the parameters may be changed with this command. Issue /CONFIG,STAT to display current values. Changes must be defined before the parameter is required. These changes (and others) may also be incorporated into the config110.ans file which is read upon execution of the program (see The Configuration File in the Basic Analysis Guide). If the same configuration parameter appears in both the configuration file and this command, this command overrides.

Distributed ANSYS uses the default FSPLIT value, and sets NOELDB = 1 and NORSTGM = 1. The FSPLIT, NOELDB, and NORSTGM options cannot be changed when using Distributed ANSYS.

The /CONFIG command is not valid for the ANSYS Multiphysics 1, 2, or 3 products.

The ANSYS Multi-field solver (MFS and MFX) does not support /CONFIG,NOELDB,1. The ANSYS Multi-field solver needs the updated ANSYS database.

Menu Paths

Utility Menu>List>Status>Configuration

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CONE 		Up / Home Next
CONJUG


CONJUG

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CONJUG, IR, IA, --, --, Name, --, --, FACTA

Forms the complex conjugate of a variable.

POST26: Operations

MP ME ST PR PRN <> <> <> EM <> <> PP <>

IR

Arbitrary reference number assigned to the resulting variable (2 to NV [NUMVAR]). If this number is the same as for a previously defined variable, the previously defined variable will be overwritten with this result.

IA

Reference number of the variable to be operated on.

--, --

Unused fields.

Name

Thirty-two character name for identifying the variable on printouts and displays. Embedded blanks are compressed for output.

--, --

Unused fields.

FACTA

Scaling factor (positive or negative) applied to variable (default to 1.0).

Notes

Used only with harmonic analyses (ANTYPE,HARMIC).

Menu Paths

Main Menu>TimeHist Postpro>Math Operations>Complex Conjugat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/CONFIG 		Up / Home Next
/CONTOUR


/CONTOUR

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

/CONTOUR, WN, NCONT, VMIN, VINC, VMAX

Specifies the uniform contour values on stress displays.

GRAPHICS: Labeling

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number (or ALL) to which command applies (defaults to 1).

NCONT

Number of contour values. NCONT defaults to 9 for X11 or WIN32 and to 128 for X11c or WIN32C. The default graphics window display for 3-D devices is a smooth continuous shading effect that spans the maximum of 128 contours available. Use the DV3D command to create defined banding for your contour values (values of 9 and 128 are displayed in smooth shading only). The legend, however, will display only nine color boxes, which span the full range of colors displayed in the graphics window.

VMIN

Minimum contour value. If VMIN = AUTO, automatically calculate contour values based upon NCONT uniformly spaced values over the min-max extreme range. Or, if VMIN = USER, set contour values to those of the last display (useful when last display automatically calculated contours).

VINC

Value increment (positive) between contour values. Defaults to (VMAX-VMIN)/NCONT.

VMAX

Maximum contour value. Ignored if both VMIN and VINC are specified.

Command Default

Nine contour values uniformly spaced between the extreme values, or no contours if the ratio of range to minimum value (or range to maximum if minimum = 0) is less than 0.001.

Notes

See the /CVAL command for alternate specifications. Values represent contour lines in vector mode, and the algebraic maximum of contour bands in raster mode.

Note

No matter how many contours (NCONT) are specified by /CONTOUR, the actual number of contours that appear on your display depends also on the device name, whether the display is directed to the screen or to a file, the display mode (vector or raster), and the number of color planes. (All these items are controlled by /SHOW settings.) In any case, regardless of whether they are smoothed or banded, only 128 contours can be displayed. See Creating Geometric Results Displays in the Basic Analysis Guide for more information on changing the number of contours.

If the current ANSYS graphics are not displayed as Multi-Plots, then the following is true: If the current device is a 3-D device [/SHOW,3D], the model contours in all active windows will be the same, even if separate /CONTOUR commands are issued for each active window. For efficiency, ANSYS 3-D graphics logic maintains a single data structure (segment), which contains precisely one set of contours. The program displays the same segment in all windows. The view settings of each window constitute the only differences in the contour plots in the active windows.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Style>Contours>Uniform Contours

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CONJUG 		Up / Home Next
/COPY


/COPY

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

/COPY, Fname1, Ext1, --, Fname2, Ext2, --

Copies a file.

SESSION: Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname1

File name to be copied and its directory path (248 characters maximum for both file name and directory). If you do not specify a directory path, it will default to your working directory and you can use all 248 characters for the file name.

The file name defaults to the current Jobname.

Ext1

Filename extension (8 character maximum).

--

Unused field.

Fname2

File name to be created and its directory path (248 characters maximum for both file name and directory). If you do not specify a directory path, it will default to your working directory and you can use all 248 characters for the file name.

Fname2 defaults to Fname1.

Ext2

Filename extension (8 character maximum).

Ext2 defaults to Ext1.

--

Unused field.

Notes

The original file is untouched. Ex: /COPY,A,,,B copies file A to B in the same directory. /COPY,A,DAT,,,INP copies the file A.DAT to A.INP. See the Operations Guide for details. ANSYS binary and ASCII files can be copied.

Menu Paths

Utility Menu>File>File Operations>Copy

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/CONTOUR 		Up / Home Next
CORIOLIS


CORIOLIS

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CORIOLIS, Option, --, --, RefFrame

Applies the Coriolis effect to a rotating structure.

SOLUTION: Inertia

MP ME ST PR PRN <> <> FL <> <> <> PP <>

Option

Flag to activate or deactivate the Coriolis effect:

1 (ON or YES)
 —

Activate. This value is the default.

0 (OFF or NO)
 —

Deactivate.

--, --

Unused fields.

RefFrame

Flag to activate or deactivate a stationary reference frame.

1 (ON or YES)
 —

Activate.

0 (OFF or NO)
 —

Deactivate. This value is the default.

Notes

The CORIOLIS command applies the Coriolis effect of a structure when you specify rotational velocities (using either the OMEGA or CMOMEGA command). The command defines Coriolis force or Coriolis force terms in the following analysis types:

  • Static (ANTYPE,STATIC) -- Not applicable when using a stationary reference frame.

  • Modal (ANTYPE,MODAL) -- Prestressed modal is also supported.

  • Harmonic (ANTYPE,HARMIC) -- Full or QRDAMP-based mode superposition supported.

  • Transient (ANTYPE,TRANS) -- Full or mode QRDAMP-based mode superposition supported.

The command applies the Coriolis effect in the rotating reference frame in the following structural element types: MASS21, SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SOLSH190, and SHELL281. It also applies this effect in the PLANE223, SOLID226, and SOLID227 analyses with structural degrees of freedom.

Specifying a stationary reference frame activates the gyroscopic damping matrix in the following structural elements: BEAM4, PIPE16, MASS21, BEAM188, BEAM189, SOLID45, SOLID95, SOLID185, SOLID186, and SOLID187. The rotating structure must be axisymmetric about the axis of rotation. Static analysis (ANTYPE,STATIC) does not support Coriolis effects with a stationary reference frame.

In a rotating reference frame, both the Coriolis and spin-softening effects contribute to the gyroscopic moment. Therefore, ANSYS applies spin-softening by default for dynamic analyses. (To deactivate spin-softening, issue the OMEGA or CMOMEGA command, setting KSPIN = 0.)

For a prestressed analysis that includes gyroscopic effects, issue the CORIOLIS, ON,,,ON command in the static prestress portion of the analysis.

In a multiple-load-step modal analysis, you must issue the CORIOLIS command to activate the Coriolis effect (Option = YES) in the first load step, even if no rotational velocity has been defined.

For more information about using the CORIOLIS command, see "Rotating Structure Analysis" in the Advanced Analysis Techniques Guide. For details about the Coriolis effect, see Coriolis Matrix and Coriolis Force in the Theory Reference for ANSYS and ANSYS Workbench.

This command is also valid in PREP7.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/COPY 		Up / Home Next
COUPLE


COUPLE

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

COUPLE

Specifies "Node coupling" as the subsequent status topic.

PREP7: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Preprocessor>Coupled Sets

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CORIOLIS 		Up / Home Next
COVAL


COVAL

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

COVAL, TBLNO1, TBLNO2, SV1, SV2, SV3, SV4, SV5, SV6, SV7

Defines PSD cospectral values.

SOLUTION: Spectrum Options

MP ME ST <> <> <> <> <> <> <> <> PP <>

TBLNO1

First input PSD table number associated with this spectrum.

TBLNO2

Second input PSD table number associated with this spectrum.

SV1, SV2, SV3, . . . , SV7

PSD cospectral values corresponding to the frequency points [PSDFRQ].

Notes

Defines PSD cospectral values to be associated with the previously defined frequency points. Two table references are required since values are off-diagonal terms. Unlike autospectra [PSDVAL], the cospectra can be positive or negative. The cospectral curve segment where there is a sign change is interpolated linearly (the rest of the curve segments use log-log interpolation). For better accuracy, choose as small a curve segment as possible wherever a sign change occurs.

Repeat COVAL command using the same table numbers for additional points (50 maximum per curve). This command is valid for SPOPT,PSD only.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>PSD>Correlation>Cospectral
Main Menu>Solution>Load Step Opts>Spectrum>PSD>Correlation>Cospectral

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
COUPLE 		Up / Home Next
CP


CP

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CP, NSET, Lab, NODE1, NODE2, NODE3, NODE4, NODE5, NODE6, NODE7, NODE8, NODE9, NODE10, NODE11, NODE12, NODE13, NODE14, NODE15, NODE16, NODE17

Defines (or modifies) a set of coupled degrees of freedom.

PREP7: Coupled DOF

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NSET

Set reference number:

n
 —

Arbitrary set number.

HIGH
 —

The highest defined coupled set number will be used (default, unless Lab = ALL). This option is useful when adding nodes to an existing set.

NEXT
 —

The highest defined coupled set number plus one will be used (default if Lab = ALL). This option automatically numbers coupled sets so that existing sets are not modified.

Lab

Degree of freedom label for coupled nodes (in the nodal coordinate system). Defaults to label previously defined with NSET if set NSET already exists. A different label redefines the previous label associated with NSET. Valid labels are: Structural labels: UX, UY, or UZ (displacements); ROTX, ROTY, or ROTZ (rotations) (in radians). Thermal labels: TEMP, TBOT, TE2, TE3, . . ., TTOP (temperature). Fluid labels: PRES (pressure); VX, VY, or VZ (velocities). Electric labels: VOLT (voltage); EMF (electromotive force drop); CURR (current). Magnetic labels: MAG (scalar magnetic potential); AX, AY, or AZ (vector magnetic potentials); CURR (current). Explicit analysis labels: UX, UY, or UZ (displacements). If Lab = ALL, sets will be generated for each active degree of freedom (i.e., one set for the UX degree of freedom, another set for UY etc.), and NSET will be automatically incremented to prevent overwriting existing sets. The ALL option cannot be used to modify existing sets--NSET must be a new set number n or NEXT. The degree of freedom set is determined from all element types defined and the DOF command, if used. ALL is the only label applicable to FLOTRAN.

NODE1, NODE2, NODE3, . . . , NODE17

List of nodes to be included in set. Duplicate nodes are ignored. If a node number is input as negative, the node is deleted from the coupled set. The first node in the list is the primary (retained) node. If NODE1 = ALL, NODE2 through NODE17 are ignored and all selected nodes [NSEL] are included in the set. If NODE1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NODE1.

Notes

Do not include the same degree of freedom in more than one coupled set. Repeat CP command for additional nodes.

Coupling degrees of freedom into a set causes the results calculated for one member of the set to be the same for all members of the set. Coupling can be used to model various joint and hinge effects. A more general form of coupling can be done with constraint equations [CE]. For structural analyses, a list of nodes is defined along with the nodal directions in which these nodes are to be coupled. As a result of this coupling, these nodes are forced to take the same displacement in the specified nodal coordinate direction. The amount of the displacement is unknown until the analysis is completed. A set of coupled nodes which are not coincident, or which are not along the line of the coupled displacement direction, may produce an applied moment which will not appear in the reaction forces. The actual degrees of freedom available for a particular node depends upon the degrees of freedom associated with element types [ET] at that node. For example, degrees of freedom available with BEAM3 elements are UX, UY, and ROTZ only. For scalar field analysis, this command is used to couple nodal temperatures, pressures, voltages, etc.

For an explicit dynamic analysis, the only valid DOF labels for coupling are UX, UY, and UZ. Since the rotational DOF (ROTX, ROTY, ROTZ) are not allowed, The CP family of commands should not be used in an explicit analysis to model rigid body behavior that involves rotations. If CP is used in this manner, it could lead to nonphysical responses.

A set of coupled nodes which are not coincident, or which are not along the line of the coupled displacement direction, produce an artificial moment constraint. If the structure rotates, a moment may be produced in the coupled set in the form of a force couple. This moment is in addition to the real reaction forces and may make it appear that moment equilibrium is not satisfied by just the applied forces and the reaction forces. Note, however, that in an explicit dynamic analysis, this artificial moment will not be produced. Rather, just the applied forces and the reaction forces will satisfy the moment equilibrium in the model. Thus, in an explicit analysis, the magnitude of nodal displacements for this set of nodes will depend on the distance from each node to the center of the coupled set, and the direction of displacement will depend on the resulting moment. This may lead to a nonphysical response in some cases.

Additional sets of coupled nodes may be generated from a specified set. Degrees of freedom are coupled within a set but are not coupled between sets. No degree of freedom should appear in more than one coupled set. Such an appearance would indicate that at least two sets were in fact part of a single larger set. The first degree of freedom of the coupled set is the "prime" degree of freedom. All other degrees of freedom in the coupled sets are eliminated from the solution matrices by their relationship to the prime degree of freedom. Forces applied to coupled nodes (in the coupled degree of freedom direction) will be summed and applied to the prime degree of freedom. Output forces are also summed at the prime degree of freedom. Degrees of freedom with specified constraints [D] should not be included in a coupled set (unless the degree of freedom is prime).

If master degrees of freedom are defined for coupled nodes, only the prime degree of freedom should be so defined. The use of coupled nodes reduces the set of coupled degrees of freedom to only one degree of freedom. The wavefront is correspondingly decreased; however, the overall stiffness (or conductivity) matrix formulation time is increased.

In FLOTRAN, you can apply periodic boundary conditions using the CP command along with the PERI macro. Attempts to use the CP command outside the context of the PERI macro may lead to unexpected results.

Menu Paths

Main Menu>Preprocessor>Coupling / Ceqn>Couple DOFs
Main Menu>Preprocessor>Coupling / Ceqn>Cupl DOFs w/Mstr

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
COVAL 		Up / Home Next
CPCYC


CPCYC

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CPCYC, Lab, TOLER, KCN, DX, DY, DZ, KNONROT

Couples the two side faces of a cyclically symmetric model for loadings that are the same on every segment.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Degree of freedom label for coupled nodes (in the nodal coordinate system). If ALL, use all appropriate labels. Valid labels are: Structural labels: UX, UY, or UZ (displacements); ROTX, ROTY, or ROTZ (rotations, in radians).

TOLER

Tolerance for coincidence (based on maximum coordinate difference in each global Cartesian direction for node locations and on angle differences for node orientations). Defaults to 0.0001. Only nodes within the tolerance are considered to be coincident for coupling.

KCN

In coordinate system KCN, node 1 of CP + dx dy dz = node 2 of CP.

DX, DY, DZ

Node location increments in the active coordinate system (DR, Dθ, DZ for cylindrical, DR, D θ, DΦ for spherical or toroidal).

KNONROT

When KNONROT = 0, the nodes on coupled sets are rotated into coordinate system KCN (see NROTAT command description). When KNONROT = 1, the nodes are not rotated, and you should make sure that coupled nodal DOF directions are correct.

Notes

Cyclic coupling requires identical node and element patterns on the low and high sector boundaries. The MSHCOPY operation allows convenient generation of identical node and element patterns. See Using CPCYC and MSHCOPY Commands in the Modeling and Meshing Guide for more information.

Although developed primarily for use with cyclically symmetric models, your use of the CPCYC command is not limited to cyclic symmetry analyses.

Menu Paths

Main Menu>Preprocessor>Coupling / Ceqn>Offset Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CP 		Up / Home Next
CPDELE


CPDELE

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CPDELE, NSET1, NSET2, NINC, Nsel

Deletes coupled degree of freedom sets.

PREP7: Coupled DOF

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NSET1, NSET2, NINC

Delete coupled sets from NSET1 to NSET2 (defaults to NSET1) in steps of NINC (defaults to 1). If NSET1 = ALL, NSET2 and NINC are ignored and all coupled sets are deleted.

Nsel

Additional node selection control:

ANY
—

Delete coupled set if any of the selected nodes are in the set (default).

ALL
—

Delete coupled set only if all of the selected nodes are in the set.

Notes

See the CP command for a method to delete individual nodes from a set.

Menu Paths

Main Menu>Preprocessor>Coupling / Ceqn>Del Coupled Sets
Main Menu>Preprocessor>Modeling>Create>Circuit>Delete Elements

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CPCYC 		Up / Home Next
CPINTF


CPINTF

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CPINTF, Lab, TOLER

Defines coupled degrees of freedom at an interface.

PREP7: Coupled DOF

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Degree of freedom label for coupled nodes (in the nodal coordinate system). If ALL, use all appropriate labels. Valid labels are: Structural labels: UX, UY, or UZ (displacements); ROTX, ROTY, or ROTZ (rotations, in radians). Thermal labels: TEMP, TBOT, TE2, TE3, . . ., TTOP (temperature). Fluid labels: PRES (pressure); VX, VY, or VZ (velocities). Electric labels: VOLT (voltage); EMF (electromotive force drop); CURR (current). Magnetic labels: MAG (scalar magnetic potential); AX, AY, or AZ (vector magnetic potentials); CURR (current).

TOLER

Tolerance for coincidence (based on maximum coordinate difference in each global Cartesian direction for node locations and on angle differences for node orientations). Defaults to 0.0001. Only nodes within the tolerance are considered to be coincident for coupling.

Notes

Defines coupled degrees of freedom between coincident nodes (within a tolerance). May be used, for example, to "button" together elements interfacing at a seam, where the seam consists of a series of node pairs. One coupled set is generated for each selected degree of freedom for each pair of coincident nodes. For more than two coincident nodes in a cluster, a coupled set is generated from the lowest numbered node to each of the other nodes in the cluster. Coupled sets are generated only within (and not between) clusters. If fewer than all nodes are to be checked for coincidence, use the NSEL command to select nodes. Coupled set reference numbers are incremented by one from the highest previous set number. Use CPLIST to display the generated sets. Only nodes having the same nodal coordinate system orientations ("coincident" within a tolerance) are included. Use the CEINTF command to connect nodes by constraint equations instead of by coupling. Use the EINTF command to connect nodes by line elements instead of by coupling.

Menu Paths

Main Menu>Preprocessor>Coupling / Ceqn>Coincident Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CPDELE 		Up / Home Next
/CPLANE


/CPLANE

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

/CPLANE, KEY

Specifies the cutting plane for section and capped displays.

GRAPHICS: Style

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KEY

Specifies the cutting plane:

0
 —

Cutting plane is normal to the viewing vector [/VIEW] and passes through the focus point [/FOCUS] (default).

1
 —

The working plane [WPLANE] is the cutting plane.

Command Default

The cutting plane is normal to the viewing vector at the focus point.

Notes

Defines the cutting plane to be used for section and capped displays [/TYPE,,(1, 5, or 7)].

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Style>Hidden-Line Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CPINTF 		Up / Home Next
CPLGEN


CPLGEN

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CPLGEN, NSETF, Lab1, Lab2, Lab3, Lab4, Lab5

Generates sets of coupled nodes from an existing set.

PREP7: Coupled DOF

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NSETF

Generate sets from existing set NSETF.

Lab1, Lab2, Lab3, . . . , Lab5

Generate sets with these labels (see CP command for valid labels). Sets are numbered as the highest existing set number + 1.

Notes

Generates additional sets of coupled nodes (with different labels) from an existing set [CP, CPNGEN]. The same node numbers are included in the generated sets. If all labels of nodes are to be coupled and the nodes are coincident, the NUMMRG command should be used to automatically redefine the node number (for efficiency).

Menu Paths

Main Menu>Preprocessor>Coupling / Ceqn>Gen w/Same Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/CPLANE 		Up / Home Next
CPLIST


CPLIST

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CPLIST, NSET1, NSET2, NINC, Nsel

Lists the coupled degree of freedom sets.

PREP7: Coupled DOF

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NSET1, NSET2, NINC

List coupled sets from NSET1 to NSET2 (defaults to NSET1) in steps of NINC (defaults to 1). If NSET1 = ALL (default), NSET2 and NINC are ignored and all coupled sets are listed.

Nsel

Node selection control:

ANY
—

List coupled set if any of the selected nodes are in the set (default).

ALL
—

List coupled set only if all of the selected nodes are in the set.

Notes

This command is valid in any processor.

Menu Paths

Utility Menu>List>Other>Coupled Sets>All CP nodes selected
Utility Menu>List>Other>Coupled Sets>Any CP node selected

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CPLGEN 		Up / Home Next
CPMERGE


CPMERGE

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CPMERGE, Lab

Merges different couple sets with duplicate degrees of freedom into one couple set.

PREP7: Coupled DOF

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Degree of freedom label for coupled nodes (in the nodal coordinate system). Valid labels are: Structural labels: UX, UY, or UZ (displacements); ROTX, ROTY, or ROTZ (rotations) (in radians). Thermal labels: TEMP, TBOT, TE2, TE3, . . ., TTOP (temperature). Fluid labels: PRES (pressure); VX, VY, or VZ (velocities). Electric labels: VOLT (voltage); EMF (electromotive force drop); CURR (current). Magnetic labels: MAG (scalar magnetic potential); AX, AY, or AZ (vector magnetic potentials); CURR (current). Explicit analysis labels: UX, UY, or UZ (displacements). The degree of freedom set is determined from all element types defined and the DOF command, if used.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Electric>Capacitor
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Electric>Curr Cntl CS
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Electric>Curr Cntl VS
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Electric>Diode
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Electric>Indp Curr Src>Constant Amplitude
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Electric>Indp Curr Src>Exponential
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Electric>Indp Curr Src>Piecewise
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Electric>Indp Curr Src>Pulse
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Electric>Indp Curr Src>Sinusoidal
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Electric>Indp Vltg Src>Constant Amplitude
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Electric>Indp Vltg Src>Exponential
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Electric>Indp Vltg Src>Piecewise
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Electric>Indp Vltg Src>Pulse
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Electric>Indp Vltg Src>Sinusoidal
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Electric>Inductor
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Electric>Mass Cond 2D
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Electric>Mass Cond 3D
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Electric>Mutual Ind
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Electric>Resistor
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Electric>Strnd Coil
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Electric>Vltg Cntl CS
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Electric>Vltg Cntl VS
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Electric>Wire
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Electric>Zener Diode
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Mechanical>Damper>Linear Rotary
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Mechanical>Damper>Linear Trans
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Mechanical>Damper>Nonlin Rotary
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Mechanical>Damper>Nonlin Trans
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Mechanical>Damper>Slide Film
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Mechanical>Mass
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Mechanical>Spring>Linear Rotary
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Mechanical>Spring>Linear Trans
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Mechanical>Spring>Nonlin Rotary
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Mechanical>Spring>Nonlin Trans
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Piezoelectric>Capacitor
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Piezoelectric>Indp Curr Src>Constant Amplitude
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Piezoelectric>Indp Curr Src>Exponential
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Piezoelectric>Indp Curr Src>Piecewise
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Piezoelectric>Indp Curr Src>Pulse
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Piezoelectric>Indp Curr Src>Sinusoidal
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Piezoelectric>Indp Vltg Src>Constant Amplitude
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Piezoelectric>Indp Vltg Src>Exponential
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Piezoelectric>Indp Vltg Src>Piecewise
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Piezoelectric>Indp Vltg Src>Pulse
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Piezoelectric>Indp Vltg Src>Sinusoidal
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Piezoelectric>Inductor
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Piezoelectric>Resistor
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Piezoelectric>Wire
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Transducer>ElecMech
Main Menu>Preprocessor>Modeling>Create>Circuit>Delete Elements

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CPLIST 		Up / Home Next
CPNGEN


CPNGEN

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CPNGEN, NSET, Lab, NODE1, NODE2, NINC

Defines, modifies, or adds to a set of coupled degrees of freedom.

PREP7: Coupled DOF

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NSET

Set reference number [CP].

Lab

Degree of freedom label [CP].

NODE1, NODE2, NINC

Include in coupled set nodes NODE1 to NODE2 in steps of NINC (defaults to 1). If NODE1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). If -NODE1, delete range of nodes from set instead of including. A component name may also be substituted for NODE1 (NODE2 and NINC are ignored).

Notes

Defines, modifies, or adds to a set of coupled degrees of freedom. May be used in combination with (or in place of) the CP command. Repeat CPNGEN command for additional nodes.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CPMERGE 		Up / Home Next
CPSGEN


CPSGEN

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CPSGEN, ITIME, INC, NSET1, NSET2, NINC

Generates sets of coupled nodes from existing sets.

PREP7: Coupled DOF

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ITIME, INC

Do this generation operation a total of ITIMEs, incrementing all nodes in the existing sets by INC each time after the first. ITIME must be > 1 for generation to occur.

NSET1, NSET2, NINC

Generate sets from sets beginning with NSET1 to NSET2 (defaults to NSET1) in steps of NINC (defaults to 1). If NSET1 is negative, NSET2 and NINC are ignored and the last |NSET1| sets (in sequence from the maximum set number) are used as the sets to be repeated.

Notes

Generates additional sets of coupled nodes (with the same labels) from existing sets. Node numbers between sets may be uniformly incremented.

Menu Paths

Main Menu>Preprocessor>Coupling / Ceqn>Gen w/Same DOF

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CPNGEN 		Up / Home Next
CQC


CQC

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CQC, SIGNIF, Label

Specifies the complete quadratic mode combination method.

SOLUTION: Spectrum Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

SIGNIF

Combine only those modes whose significance level exceeds the SIGNIF threshold. For single point, multipoint, or DDAM response (SPOPT,SPRS, MPRS or DDAM), the significance level of a mode is defined as the mode coefficient of the mode, divided by the maximum mode coefficient of all modes. Any mode whose significance level is less than SIGNIF is considered insignificant and is not contributed to the mode combinations. The higher the SIGNIF threshold, the fewer the number of modes combined. SIGNIF defaults to 0.001. If SIGNIF is specified as 0.0, it is taken as 0.0. (This mode combination method is not valid for SPOPT,PSD.)

Label

Label identifying the combined mode solution output.

DISP
 —

Displacement solution (default). Displacements, stresses, forces, etc., are available.

VELO
 —

Velocity solution. Velocities, "stress velocities," "force velocities," etc., are available.

ACEL
 —

Acceleration solution. Accelerations, "stress accelerations," "force accelerations," etc., are available.

Notes

Damping is required for this mode combination method. The CQC command is also valid for PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>Mode Combine
Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>MultiPt>Mode Combine
Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>SinglePt>Mode Combine
Main Menu>Solution>Load Step Opts>Spectrum>Mode Combine
Main Menu>Solution>Load Step Opts>Spectrum>MultiPt>Mode Combine
Main Menu>Solution>Load Step Opts>Spectrum>SinglePt>Mode Combine

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CPSGEN 		Up / Home Next
CRPLIM


CRPLIM

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CRPLIM, CRCR, Option

Specifies the creep criterion for automatic time stepping.

SOLUTION: Nonlinear Options

MP ME ST <> <> <> <> <> <> <> <> PP <>

CRCR

Value of creep criteria for the creep limit ratio control.

Option

Type of creep analysis:

1 or ON
 —

Implicit creep analysis.

0 or OFF
 —

Explicit creep analysis.

Notes

The creep ratio control can be used at the same time for implicit creep and explicit creep analyses. For implicit creep (Option = 1), the default value of CRCR is zero (i.e., no creep limit control), and you are allowed to specify any value. For explicit creep (Option = 0), the default value of CRCR is 0.1. The maximum value allowed is 0.25. This command is also valid in PREP7. The CUTCONTROL command can be used for the same purpose and is the preferred command, when SOLCONTROL is ON.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Nonlinear>Creep Criterion
Main Menu>Solution>Load Step Opts>Nonlinear>Creep Criterion

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CQC 		Up / Home Next
CS


CS

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CS, KCN, KCS, NORIG, NXAX, NXYPL, PAR1, PAR2

Defines a local coordinate system by three node locations.

DATABASE: Coordinate System

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KCN

Arbitrary reference number assigned to this coordinate system. Must be greater than 10. A coordinate system previously defined with this number will be redefined.

KCS

Coordinate system type:

0 or CART
—

Cartesian

1 or CYLIN
—

Cylindrical (circular or elliptical)

2 or SPHE
—

Spherical (or spheroidal)

3 or TORO
—

Toroidal

NORIG

Node defining the origin of this coordinate system. If NORIG = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

NXAX

Node defining the positive x-axis orientation of this coordinate system.

NXYPL

Node defining the x-y plane (with NORIG and NXAX) in the first or second quadrant of this coordinate system.

PAR1

Used for elliptical, spheroidal, or toroidal systems. If KCS = 1 or 2, PAR1 is the ratio of the ellipse Y-axis radius to X-axis radius (defaults to 1.0 (circle)). If KCS = 3, PAR1 is the major radius of the torus.

PAR2

Used for spheroidal systems. If KCS = 2, PAR2 = ratio of ellipse Z-axis radius to X-axis radius (defaults to 1.0 (circle)).

Notes

Defines and activates a local right-handed coordinate system by specifying three existing nodes: to locate the origin, to locate the positive x-axis, and to define the positive x-y plane. This local system becomes the active coordinate system. See the CLOCAL, CSKP, CSWPLA, and LOCAL commands for alternate definitions. Local coordinate systems may be displayed with the /PSYMB command.

This command is valid in any processor.

Menu Paths

Utility Menu>WorkPlane>Local Coordinate Systems>Create Local CS>By 3 Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CRPLIM 		Up / Home Next
CSCIR


CSCIR

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CSCIR, KCN, KTHET, KPHI

Locates the singularity for non-Cartesian local coordinate systems.

DATABASE: Coordinate System

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KCN

Number of the local coordinate system in which singularity location is to be changed. Must be greater than 10.

KTHET

Theta singularity location for cylindrical, spherical, and toroidal systems:

0
 —

Singularity at ±180°.

1
 —

Singularity at 0° (360°).

KPHI

Phi singularity location for toroidal systems:

0
 —

Singularity in phi direction at ±180°.

1
 —

Singularity in phi direction at 0° (360°).

Command Default

Singularities at ±180°.

Notes

Continuous closed surfaces (circles, cylinders, spheres, etc.) have a singularity (discontinuity) at θ = ±180°. For local cylindrical, spherical, and toroidal coordinate systems, this singularity location may be changed to 0° (360°).

An additional, similar singularity occurs in the toroidal coordinate system at Φ = ±180° and can be moved with KPHI. Additional singularities occur in the spherical coordinate system at Φ = ±90°, but cannot be moved.

This command is valid in any processor.

Menu Paths

Utility Menu>WorkPlane>Local Coordinate Systems>Move Singularity

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CS 		Up / Home Next
CSDELE


CSDELE

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CSDELE, KCN1, KCN2, KCINC

Deletes local coordinate systems.

DATABASE: Coordinate System

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KCN1, KCN2, KCINC

Delete coordinate systems from KCN1 (must be greater than 10) to KCN2 (defaults to KCN1) in steps of KCINC (defaults to 1). If KCN1 = ALL, KCN2 and KCINC are ignored and all coordinate systems are deleted.

Notes

This command is valid in any processor.

Menu Paths

Main Menu>General Postproc>Surface Operations>Create Surface>Sphere>At Node
Utility Menu>WorkPlane>Local Coordinate Systems>Delete Local CS

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CSCIR 		Up / Home Next
CSKP


CSKP

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CSKP, KCN, KCS, PORIG, PXAXS, PXYPL, PAR1, PAR2

Defines a local coordinate system by three keypoint locations.

DATABASE: Coordinate System

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KCN

Arbitrary reference number assigned to this coordinate system. Must be greater than 10. A coordinate system previously defined with this number will be redefined.

KCS

Coordinate system type:

0 or CART
—

Cartesian

1 or CYLIN
—

Cylindrical (circular or elliptical)

2 or SPHE
—

Spherical (or spheroidal)

3 or TORO
—

Toroidal

PORIG

Keypoint defining the origin of this coordinate system. If PORIG = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

PXAXS

Keypoint defining the positive x-axis orientation of this coordinate system.

PXYPL

Keypoint defining the x-y plane (with PORIG and PXAXS) in the first or second quadrant of this coordinate system.

PAR1

Used for elliptical, spheroidal, or toroidal systems. If KCS = 1 or 2, PAR1 is the ratio of the ellipse Y-axis radius to X-axis radius (defaults to 1.0 (circle)). If KCS = 3, PAR1 is the major radius of the torus.

PAR2

Used for spheroidal systems. If KCS = 2, PAR2 = ratio of ellipse Z-axis radius to X-axis radius (defaults to 1.0 (circle)).

Notes

Defines and activates a local right-handed coordinate system by specifying three existing keypoints: to locate the origin, to locate the positive x-axis, and to define the positive x-y plane. This local system becomes the active coordinate system. See the CLOCAL, CS, CSWPLA, and LOCAL commands for alternate definitions. Local coordinate systems may be displayed with the /PSYMB command.

This command is valid in any processor.

Menu Paths

Utility Menu>WorkPlane>Local Coordinate Systems>Create Local CS>By 3 Keypoints

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CSDELE 		Up / Home Next
CSLIST


CSLIST

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CSLIST, KCN1, KCN2, KCINC

Lists coordinate systems.

DATABASE: Coordinate System

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KCN1, KCN2, KCINC

List coordinate systems from KCN1 to KCN2 (defaults to KCN1) in steps of KCINC (defaults to 1). If KCN1 = ALL (default), KCN2 and KCINC are ignored and all coordinate systems are listed.

Notes

This command is valid in any processor.

Menu Paths

Utility Menu>List>Other>Local Coord Sys

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CSKP 		Up / Home Next
CSWPLA


CSWPLA

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CSWPLA, KCN, KCS, PAR1, PAR2

Defines a local coordinate system at the origin of the working plane.

DATABASE: Coordinate System

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KCN

Arbitrary reference number assigned to this coordinate system. Must be greater than 10. A coordinate system previously defined with this number will be redefined.

KCS

Coordinate system type:

0 or CART
 —

Cartesian

1 or CYLIN
 —

Cylindrical (circular or elliptical)

2 or SPHE
 —

Spherical (or spheroidal)

3 or TORO
 —

Toroidal

PAR1

Used for elliptical, spheroidal, or toroidal systems. If KCS = 1 or 2, PAR1 is the ratio of the ellipse Y-axis radius to X-axis radius (defaults to 1.0 (circle)). If KCS = 3, PAR1 is the major radius of the torus.

PAR2

Used for spheroidal systems. If KCS = 2, PAR2 = ratio of ellipse Z-axis radius to X-axis radius (defaults to 1.0 (circle)).

Notes

Defines and activates a local right-handed coordinate system centered at the origin of the working plane. The coordinate system's local x-y plane (for a Cartesian system) or R-θ plane (for a cylindrical or spherical system) corresponds to the working plane. This local system becomes the active coordinate system. See the CS, LOCAL, CLOCAL, and CSKP commands for alternate ways to define a local coordinate system. Local coordinate systems may be displayed with the /PSYMB command.

This command is valid in any processor.

Menu Paths

Main Menu>General Postproc>Path Operations>Define Path>On Working Plane
Main Menu>Preprocessor>Path Operations>Define Path>On Working Plane
Utility Menu>WorkPlane>Local Coordinate Systems>Create Local CS>At WP Origin

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CSLIST 		Up / Home Next
CSYS


CSYS

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CSYS, KCN

Activates a previously defined coordinate system.

DATABASE: Coordinate System

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KCN

Specifies the active coordinate system, as follows:

0 (default)
 —

Cartesian

1
 —

Cylindrical with Z as the axis of rotation

2
 —

Spherical

4 or WP
 —

Working Plane

5
 —

Cylindrical with Y as the axis of rotation

11 or greater
 —

Any previously defined local coordinate system

Notes

The CSYS command activates a previously defined coordinate system for geometry input and generation. The LOCAL, CLOCAL, CS, CSKP, and CSWPLA commands also activate coordinate systems as they are defined.

The active coordinate system for files created via the CDWRITE command is Cartesian (CSYS,0).

This command is valid in any processor.

CSYS,4 (or CSYS,WP) activates working plane tracking, which updates the coordinate system to follow working plane changes. To deactivate working plane tracking, activate any other coordinate system (for example, CSYS,0 or CSYS,11).

CSYS,5 is a cylindrical coordinate system with Y as the axis. The X, Y and Z axes are radial, theta, and axial (respectively). However, CSYS,5 has a specific orientation: the local X is in the global +X direction, local Y is in the global -Z direction, and local Z (the cylindrical axis) is in the global +Y direction. The R-Theta plane is then the global X-Z plane, as it is for an axisymmetric model.

Menu Paths

Main Menu>General Postproc>Surface Operations>Create Surface>Sphere>At Node
Utility Menu>WorkPlane>Change Active CS to>Global Cartesian
Utility Menu>WorkPlane>Change Active CS to>Global Cylindrical
Utility Menu>WorkPlane>Change Active CS to>Global Spherical
Utility Menu>WorkPlane>Change Active CS to>Specified Coord Sys
Utility Menu>WorkPlane>Change Active CS to>Working Plane
Utility Menu>WorkPlane>Offset WP to>Global Origin

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CSWPLA 		Up / Home Next
/CTYPE


/CTYPE

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

/CTYPE, KEY, DOTD, DOTS, DSHP, TLEN

Specifies the type of contour display.

GRAPHICS: Style

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KEY

Type of display:

0
 —

Standard contour display.

1
 —

Isosurface display.

2
 —

Particle gradient display.

3
 —

Gradient triad display.

DOTD

Maximum dot density for particle gradient display (KEY = 2). Density is expressed as dots per screen width (defaults to 30).

DOTS

Dot size for particle gradient display (KEY = 2). Size is expressed as a fraction of the screen width (defaults to 0.0 (single dot width)).

DSHP

Spherical dot shape precision for particle gradient display (KEY = 2). (3-D options are supported only on 3-D devices):

0
 —

Flat 2-D circular dot.

1
 —

Flat-sided 3-D polyhedron.

n
 —

3-D sphere with n (>1) polygon divisions per 90° of radius.

TLEN

Maximum length of triads for gradient triad display (KEY = 3). Value is expressed as a fraction of the screen width (defaults to 0.067).

Command Default

Standard contour display.

Notes

Use /CTYPE,STAT to display the current settings. Only the standard contour display [/CTYPE,0) and the isosurface contour display [/CTYPE,1] are supported by PowerGraphics [/GRAPHICS,POWER].

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Style>Contours>Contour Style

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CSYS 		Up / Home Next
CURR2D


CURR2D

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CURR2D

Calculates current flow in a 2-D conductor.

POST1: Magnetics Calculations

MP ME <> <> <> <> <> <> EM <> <> PP <>

Notes

CURR2D invokes an ANSYS macro which calculates the total current flowing in a conducting body for a 2-D planar or axisymmetric magnetic field analysis. The currents may be applied source currents or induced currents (eddy currents). The elements of the conducting region must be selected before this command is issued. The total current calculated by the macro is stored in the parameter TCURR. Also, the total current and total current density are stored on a per-element basis in the element table [ETABLE] with the labels TCURR and JT, respectively. Use the PLETAB and PRETAB commands to plot and list the element table items.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Elec&Mag Calc>Element Based>Current

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/CTYPE 		Up / Home Next
CUTCONTROL


CUTCONTROL

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CUTCONTROL, Lab, VALUE, Option

Controls time-step cutback during a nonlinear solution.

SOLUTION: Analysis Options

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Lab

Specifies the criteria for causing a cutback. Possible arguments are

PLSLIMIT
—

Maximum equivalent plastic strain allowed within a time-step (substep). If the calculated value exceeds the VALUE, ANSYS performs a cutback (bisection). VALUE defaults to 0.15 (15%).

CRPLIMIT
—

Maximum equivalent creep ratio allowed within a time step (substep). If the calculated value exceeds VALUE, ANSYS performs a cutback (bisection). The default depends on whether you are performing an implicit or explicit creep analysis (see Option argument below). The creep ratio control can be used at the same time for implicit creep and explicit creep analyses. For an implicit creep analysis, VALUE defaults to zero (i.e., no creep limit control), and you are allowed to enter any value. For an explicit creep analysis, VALUE defaults to 0.1 (10%) and the maximum value allowed is 0.25.

DSPLIMIT
—

Maximum incremental displacement within the solution field in a time step (substep). If the maximum calculated value exceeds VALUE, ANSYS performs a cutback (bisection). VALUE defaults to 1.0 x 107.

NPOINT
—

Number of points in a cycle for a second order dynamic equation, used to control automatic time stepping. If the number of solution points per cycle is less than VALUE, ANSYS performs a cutback in time step size. VALUE defaults to 13.

This option works well for linear problems. For nonlinear analyses, other factors such as contact status changes and solution convergence rate can overwrite NPOINT. See Automatic Time Stepping in the Theory Reference for ANSYS and ANSYS Workbench for more information on automatic time stepping.

NOITERPREDICT
—

If VALUE is 0 (default), an internal auto time step scheme will predict the number of iterations for nonlinear convergence and perform a cutback earlier than the number of iterations specified by the NEQIT command. This is the recommended option. If VALUE is 1, the solution will iterate (if nonconvergent) to NEQIT number of iterations before a cutback is invoked. It is sometimes useful for poorly-convergent problems, but rarely needed in general.

Bisection is also controlled by contact status change, plasticity or creep strain limit, and other factors. If any of these factors occur, bisection will still take place, regardless of the NOITERPREDICT setting.

CUTBACKFACTOR
—

Changes the cutback value for bisection. Default is 0.5. VALUE must be greater than 0.0 and less than 1.0. This option is active only if AUTOTS,ON is set.

VALUE

Numeric value for the specified cutback criterion. For Lab = CRPLIMIT, VALUE is the creep criteria for the creep limit ratio control.

Option

Type of creep analysis. Option is valid for Lab = CRPLIMIT only.

1 or ON
—

Implicit creep analysis.

0 or OFF
—

Explicit creep analysis.

Notes

The default values given for this command assume SOLCONTROL,ON (the default). See the description of SOLCONTROL for a complete listing of the defaults set by SOLCONTROL,ON and SOLCONTROL,OFF.

A cutback is a method for automatically reducing the step size when either the solution error is too large or the solution encounters convergence difficulties during a nonlinear analysis. Should a convergence failure occur, ANSYS will reduce the time step interval to a fraction of its previous size and automatically continue the solution from the last successfully converged time step. If the reduced time step again fails to converge, ANSYS will again reduce the time step size and proceed with the solution. This process continues until convergence is achieved or the minimum specified time step value is reached.

The CRPLIM command is functionally equivalent to Lab = CRPLIMIT.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Sol'n Controls>Nonlinear
Main Menu>Preprocessor>Loads>Load Step Opts>Nonlinear>Cutback Control
Main Menu>Solution>Analysis Type>Sol'n Controls>Nonlinear
Main Menu>Solution>Load Step Opts>Nonlinear>Cutback Control

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CURR2D 		Up / Home Next
/CVAL


/CVAL

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

/CVAL, WN, V1, V2, V3, V4, V5, V6, V7, V8

Specifies nonuniform contour values on stress displays.

GRAPHICS: Labeling

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number (or ALL) to which command applies (defaults to 1).

V1, V2, V3, . . . , V8

Up to 8 contour values may be specified (in ascending order). The 0.0 value (if any) must not be the last value specified. If no values are specified, all contour specifications are erased and contours are automatically calculated.

Command Default

Nine contour values uniformly spaced between the extreme values.

Notes

This command is similar to the /CONTOUR command. With /CVAL, however, you define the upper level of each contour band instead of having the contours uniformly distributed over the range. The minimum value (including a zero value for the first band) for a contour band cannot be specified. If you use both /CONTOUR and /CVAL, the last command issued takes precedence.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Style>Contours>Non-uniform Contours

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CUTCONTROL 		Up / Home Next
CVAR


CVAR

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CVAR, IR, IA, IB, ITYPE, DATUM, Name

Computes covariance between two quantities.

POST26: Special Purpose

MP ME ST <> <> <> <> <> <> <> <> PP <>

IR

Arbitrary reference number assigned to the resulting variable (2 to NV [NUMVAR]). If this number is the same as for a previous variable, the previous variable will be overwritten with this result.

IA, IB

Reference numbers of the two variables to be operated on. If only one, leave IB blank.

ITYPE

Defines the type of response PSD to be calculated:

0,1
 —

Displacement (default).

2
 —

Velocity.

3
 —

Acceleration.

DATUM

Defines the reference with respect to which covariance is to be calculated:

1
 —

Absolute value.

2
 —

Relative to base (default).

Name

Thirty-two character name for identifying the variable on listings and displays. Embedded blanks are compressed upon output.

Notes

This command computes the covariance value for the variables referenced by the reference numbers IA and IB. If DATUM = 2, the variable referenced by IR will contain the individual modal contributions (i.e., the dynamic or relative values). If DATUM = 1, the variable referenced by IR will contain the modal contributions followed by the contributions of pseudo-static and covariance between dynamic and pseudo-static responses. File.PSD must be available for the calculations to occur.

Menu Paths

Main Menu>TimeHist Postpro>Calc Covariance

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/CVAL 		Up / Home Next
/CWD


/CWD

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

/CWD, DIRPATH

Changes the current working directory.

SESSION: Run Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

DIRPATH

The full path name of the new working directory.

Notes

After issuing the /CWD command, all new files opened with no default directory specified (via the FILE, /COPY, or RESUME commands, for example) default to the new DIRPATH directory.

If issuing the command interactively and the specified directory does not exist, no change of directory occurs and the command generates an error message. If the command executes via a batch run and the specified directory does not exist, the batch program terminates with an error.

Menu Paths

Utility Menu>File>Change Directory

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CVAR 		Up / Home Next
/CYCEXPAND


/CYCEXPAND

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

/CYCEXPAND, WN, OPTION, Value1, Value2

Graphically expands displacements, stresses and strains of a cyclically symmetric model.

PREP7: Special Purpose

POST1: Special Purpose

MP ME ST PR PRN <> <> <> <> <> <> PP <>

WN

The window number to which the expansion applies. Valid values are 1 through 5. The default value is 1. The window number applies only to the AMOUNT argument.

OPTION

One of the following options:

ON
 —

Activates cyclic expansion using the previous settings (if any). If no previous settings exist, this option activates the default settings.

DEFAULT
 —

Resets cyclic expansion to the default settings.

OFF
 —

Deactivates cyclic expansion. This option is the default.

STATUS
 —

Lists the current cyclic expansion settings.

AMOUNT
 —

The number of repetitions or the total angle.

Value1
 —

NREPEAT

Value2
 —

The number of repetitions. The default is the total number of sectors in 360 degrees.

or

Value1
 —

ANGLE

Value2
 —

The total angle in degrees. The default is 360.

WHAT
 —

A specified portion or subset of the model to expand:

Value1
 —

The component name of the elements to expand. The default is all selected components.

EDGE
 —

Sector edge display key.

1
 —

Suppresses display of edges between sectors even if the cyclic count varies between active windows.

Caution

Plots with fewer than the maximum number of repetitions may have missing element faces at the sector boundaries.

0 or OFF
 —

Averages stresses or strains across sector boundaries. This value is the default (although the default reverts to 1 or ON if the cyclic count varies between active windows).

1 or ON
 —

No averaging of stresses or strains occurs and sector boundaries are shown on the plot.

PHASEANG
 —

The phase angle shift:

Value1
 —

The phase angle shift in degrees. The valid range is 0 through 360. The default is 0. Typically, this value is the phase angle obtained via the CYCPHASE command.

Command Default

The default /CYCEXPAND command (issuing the command with no arguments) deactivates cyclic expansion (OPTION = OFF). The default window number (WN) is 1.

Notes

In preprocessing, the /CYCEXPAND command verifies a cyclically symmetric model by graphically expanding it partially or through the full 360 degrees.

For the postprocessing plot nodal solution (PLNSOL) operation, the command graphically expands displacements, stresses and strains of a cyclically symmetric model partially or though the full 360 degrees by combining the real (original nodes and elements) and imaginary (duplicate nodes and elements) parts of the solution.

For the print nodal solution (PRNSOL) operation, the command expands the printed output of displacements or stresses on a sector-by-sector basis.

Use of the /CYCEXPAND command does not change the database. The command does not modify the geometry, nodal displacements or element stresses.

The command affects element and result plots only. It has no effect on operations other than plot element solution (PLESOL), plot nodal solution (PLNSOL) and print nodal solution (PRNSOL). Operations other than PLESOL, PLNSOL, or PRNSOL work on the unprocessed real and imaginary parts of a cyclic symmetry solution

If you issue a /CYCEXPAND,,OFF command, you cannot then expand the model by simply issuing another /CYCEXPAND command (for example, to specify an NREPEAT value for the number of repetitions). In such a case, you must specify /CYCEXPAND,,ON, which activates expansion using the previous settings (if any) or the default settings.

The command requires PowerGraphics. Turn PowerGraphics on (/GRAPHICS,POWER) if not already active. (By default, PowerGraphics is active during an interactive session, but not during a batch run.) Any setting which bypasses PowerGraphics (for example, RSYS,SOLU) also bypasses cyclic expansion; in such cases, the /CYCEXPAND command displays unprocessed real and imaginary results.

The /CYCEXPAND command does not work with PGR files.

The /CYCEXPAND command is incompatible with the /ESHAPE,1 or /ESHAPE,FAC command.

The /PBC (plot boundary conditions) command is deactivated when cyclic expansion is active (/CYCEXPAND,,ON). To view BCs on the basic sector, deactivate cyclic expansion (/CYCEXPAND,,OFF) and issue this command: /PBC,ALL,,1

In cases involving non-cyclically symmetric loading, all boundary conditions (BCs) will plot when /CYCEXPAND is active. When examining the plot, however, it is not possible to distinguish between BCs that exist on every sector and those that exist (via a table referencing SECTOR) only on some sectors or which vary in value. (Only the basic sector is plotted.)

For magnetic cyclic symmetry analyses, the /CYCEXPAND command produces contour plots but not vector plots.

To learn more about analyzing a cyclically symmetric structure, see Cyclic Symmetry Analysis in the Advanced Analysis Techniques Guide.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Cyclic Analysis>Cyc Expansion
Main Menu>Preprocessor>Modeling>Cyclic Sector>Cyc Expansion

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/CWD 		Up / Home Next
CYCLIC


CYCLIC

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CYCLIC, NSECTOR, ANGLE, KCN, Name, USRCOMP

Specifies a cyclic symmetry analysis.

PREP7: Special Purpose

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NSECTOR

The number of sectors in the full 360 degrees, or one of the following options:

STATUS
 —

Indicates the current cyclic status.

OFF
 —

Resets model to normal (non-cyclic) status and removes the duplicate sector if it exists. This option also deletes automatically detected edge components (generated when USRCOMP = 0).

UNDOUBLE
 —

Removes the duplicate sector if it exists. The duplicate sector is created during the solution (SOLVE) stage of a modal cyclic symmetry analysis.

Note

The duplicate sector is necessary for displaying cyclic symmetry analysis results during postprocessing (/POST1).

If you specify a value of STATUS, OFF or UNDOUBLE, the command ignores all remaining arguments.

ANGLE

The sector angle in degrees.

KCN

An arbitrary reference number assigned to the cyclic coordinate system. The default value of 0 specifies automatic detection.

Name

The root name of sector low- and high-edge components (line, area, or node components). The default root name (when USRCOMP = 0) is "CYCLIC". A root name that you specify can contain up to 11 characters.

The naming convention for each low- and high-edge component pair is either of the following:

Name_mxxl, Name_mxxh (potentially matched node patterns)
Name_uxxl, Name_uxxh (potentially unmatched node patterns)

The Name value is the default ("CYCLIC") or specified root name and xx is the component pair ID number (sequential, starting at 01).

USRCOMP

The number of pairs of user-defined low- and high-edge components on the cyclic sector (if any). The default value of 0 specifies automatic detection of sector edges; however, the automatic setting is not valid in all cases. (For more information, see the Notes section below.) If the value is greater than 0, no verification of user-defined components occurs.

Command Default

The default CYCLIC command (issuing the command with no arguments) detects the number of sectors (NSECTOR), the sector angle (ANGLE), and the coordinate system (KCN) based upon the existing solid or finite-element model. The command also detects sector low- and high-edge components in most cases and assigns the default root name "CYCLIC" to the components.

Notes

You can input your own value for NSECTOR, ANGLE or KCN; if you do so, the command verifies argument values before executing.

When USRCOMP = 0 (default), the CYCLIC command automatically detects low- and high-edge components for models comprised of any combination of line, area, or volume elements. If a solid model exists, however, the command uses only the lines, areas, and/or volumes to determine the low- and high-edge components; the elements, if any, are ignored.

If you issue a CYCOPT,TOLER command to set a tolerance for edge-component pairing before issuing the CYCLIC command, the CYCLIC command uses the specified tolerance when performing automatic edge-component detection.

For 2-D models, autodetection does not consider the CSYS,5 or CSYS,6 coordinate system specification. Autodetection for 180 degree (two-sector) models is not possible unless a central hole exists.

The CYCLIC command sets values and keys so that, if possible, the area-mesh (AMESH) or volume-mesh (VMESH) command meshes the sector with matching node and element face patterns on the low and high edges. (The command has no effect on any other element-creation command.)

Issue the CYCLIC command prior to the meshing command to, if possible, produce a mesh with identical node and element patterns on the low and high sector edges. Only the AMESH or VMESH commands can perform automated matching. (Other meshing operation commands such as VSWEEP cannot.) If you employ a meshing operation other than AMESH or VMESH, you should ensure that node and element face patterns match, if desired. The CYCLIC command output indicates whether each edge-component pair has or can produce a matching node pair.

A cyclic solution (via the SOLVE command) allows dissimilar mesh patterns on the extreme boundaries of a cyclically symmetric model. The allowance for dissimilar patterns is useful when you have only finite-element meshes for your model but not the geometry data necessary to remesh it to obtain identical node patterns. In such cases, it is possible to obtain solution results, although perhaps at the expense of accuracy. A warning message appears because results may be degraded near the sector edges.

The constraint equations (CEs) that tie together the low and high edges of your model are generated at the solution stage of the analysis from the low- and high-edge components (and nowhere else). You should verify that automatically detected components are in the correct locations and that you can account for all components; to do so, you can list (CMLIST) or plot (CMPLOT) the components.

If you issue the CYCLIC command after meshing and have defined element types with rotational degrees of freedom (DOFs), ANSYS generates cyclic CEs for rotational DOFs that may not exist on the sector boundaries. Issue the CYCOPT,DOF command to prevent unused rotational terms from being generated.

To learn more about analyzing a cyclically symmetric structure, see Cyclic Symmetry Analysis in the Advanced Analysis Techniques Guide.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Modeling>Cyclic Sector>Cyclic Model>Auto Defined
Main Menu>Preprocessor>Modeling>Cyclic Sector>Cyclic Model>Status
Main Menu>Preprocessor>Modeling>Cyclic Sector>Cyclic Model>User Defined
Main Menu>Preprocessor>Modeling>Cyclic Sector>Del Dupl Sector
Main Menu>Preprocessor>Modeling>Cyclic Sector>Reset (OFF)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/CYCEXPAND 		Up / Home Next
CYCOPT


CYCOPT

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CYCOPT, OPTION, Value1, Value2, Value3, Value4, Value5, Value6, Value7

Specifies solution options for a cyclic symmetry analysis.

PREP7: Special Purpose

SOLUTION: Dynamic Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

OPTION

One of the following options:

STATUS
 —

Lists the solution option settings active for the cyclic model.

DEFAULT
 —

Sets the default cyclic solution settings.

HINDEX
 —

The harmonic index solution ranges for modal or buckling cyclic symmetry analyses. The SOLVE command initiates a cyclic symmetry solution sequence at the harmonic indices specified. (By default, the SOLVE command solves for all available harmonic indices.) Static cyclic symmetry solutions always use all harmonic indices required for the applied loads.

EVEN / ODD
 —

For low-frequency electromagnetic analysis only, EVEN specifies a symmetric solution and ODD specifies an antisymmetric solution.

The value you specify is based on the harmonic index: EVEN (default) indicates harmonic index = 0, and ODD indicates harmonic index = N / 2 (where N is an integer representing the number of sectors in 360°). A value of ODD applies only when N is an even number.

The CYCOPT command with this HINDEX option is cumulative. To remove an option (for example, EVEN), issue this command: CYCOPT,HINDEX,EVEN,,,-1

Value1, Value2, Value3
 —

Solve harmonic indices in range Value1 through Value2 in steps of Value3. Repeat the command to add other ranges. The default solves all applicable harmonic indices.

Value4
 —

The only valid value is -1. If specified, it removes Value1 through Value2 in steps of Value3 from the set to solve.

LDSECT
 —

Restricts subsequently defined DOF constraint values, force loads, and surface loads to a specified sector. The restriction remains in effect until you change or reset it.

Value1
 —

The sector number. A value other than 0 (default) is valid for a cyclic symmetry analysis with non-cyclically symmetric loading only. A value of 0 (or ALL) resets the default behavior for cyclic loading (where the loads are identical on all sectors).

COMBINE
 —

For linear static cyclic symmetry analysis with non-cyclically symmetric loading only, expands and combines all harmonic index solutions and writes them to the results file during the solution phase of the analysis.

Value1
 —

To enable combining of harmonic index solutions, specify YES, ON, or 1.

To disable combining (the default behavior), specify NO, OFF, or 0.

DOF
 —

The degrees of freedom to couple from the nodes on the low sector boundary to nodes on the high boundary:

Value1
 —

The component pair ID number.

Value2, Value3, Value4, . . . , Value7
 —

The constraint-equation/-coupling degree of freedom (DOF) for this pair. Repeat the command to add other DOFs. The default is constraint-equation/-coupling all applicable DOFs.

TOLER
 —

The tolerance used to determine whether a node on the low edge is paired with a node on the high edge.

Value1
 —

The tolerance value, as follows:

> 0 -- The absolute distance tolerance for automatic sector-boundary detection and low-/high-edge component node pairing.

< 0 -- The relative tolerance for automatic sector-boundary detection and low-/high-edge component node pairing. In this case, the tolerance is Value1 * Length, where Length is the length of the diagonal of an imaginary box enclosing the model.

The default tolerance is -1.0E-4 (also represented by Value1 = 0).

MOVE
 —

Flag specifying whether ANSYS should move high- or low-edge component nodes paired within the specified tolerance (TOLER) to create precisely matching pairs.

Value1
 —

The flag value, as follows:

0 -- Do not move edge component nodes. This value is the default.

1 or HIGH -- Move the high-edge component nodes to precisely match the low-edge component nodes.

-1 or LOW -- Move the low-edge component nodes to precisely match the high-edge component nodes.

USRROT
 —

Flag specifying whether ANSYS should override automatic nodal rotations to edge components and allow you to apply nodal rotations manually.

Value1
 —

The flag value, as follows:

0 (OFF or NO) -- Allow automatic node rotation. This behavior is the default.

1 (ON or YES) -- Suppress automatic node rotation. If you select this option, you must apply appropriate nodal rotations to all edge component nodes; otherwise, your analysis will yield incorrect solution results.

LOW -- Suppresses automatic rotation of low-edge component nodes only, allowing you to apply them manually. (Automatic rotation of high-edge component nodes occurs to produce the matching edge nodes required for a valid cyclic solution.)

HIGH -- Suppresses automatic rotation of high-edge component nodes only, allowing you to apply them manually. (Automatic rotation of low-edge component nodes occurs to produce the matching edge nodes required for a valid cyclic solution.)

Command Default

No defaults are available for the CYCOPT command. You must specify an argument (OPTION) when issuing the command. Other values which may be necessary depend upon which argument you specify.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Notes

ANSYS solves a cyclically symmetric model (set up via the CYCLIC command during preprocessing) at the harmonic indices specified via the CYCOPT command.

The CYCOPT,COMBINE option is an alternative to the /CYCEXPAND command and is especially useful for testing purposes. However, ANSYS recommends specifying COMBINE only when the number of sectors is relatively small. (The option expands nodes and elements into the full 360° and can slow postprocessing significantly.

If you issue a CYCOPT,TOLER command to set a tolerance for edge-component pairing before issuing the CYCLIC command, the CYCLIC command uses the specified tolerance when performing automatic edge-component detection.

In cases involving non-cyclically symmetric loading (that is, when LDSECT > 0), the underlying command operations create or modify the required SECTOR tabular boundary condition (BC) data to apply on the appropriate sector. Therefore, it is not necessary to manipulate tables for situations where the applied BC is not a function of other tabular BC variables such as TIME, X, Y, Z, and so on.

To delete a previously applied load on a specified sector, issue an FDELE command.

Because edge nodes are rotated into the cyclic coordinate system during solution, any applied displacements or forces on sector edges will be in the cyclic coordinate system.

The CYCOPT command is valid in the preprocessing and solution stages of an analysis.

To learn more about analyzing a cyclically symmetric structure, see Cyclic Symmetry Analysis in the Advanced Analysis Techniques Guide.

Menu Paths

Main Menu>Preprocessor>Modeling>Cyclic Sector>Cyclic Options
Main Menu>Solution>Solve>Cyclic Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CYCLIC 		Up / Home Next
CYCPHASE


CYCPHASE

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CYCPHASE, TYPE, OPTION

Provides tools for determining minimum and maximum possible result values from frequency couplets produced in a modal cyclic symmetry analysis.

POST1: Special Purpose

MP ME ST PR PRN <> <> <> <> <> <> PP <>

TYPE

The type of operation requested:

DISP
 —

Calculate the maximum and minimum possible displacement at each node in the original sector model. Store the values and the phase angle at which they occurred.

STRESS
 —

Calculate the maximum and minimum possible stresses at each node in the original sector model. Store the values and the phase angle at which they occurred.

STRAIN
 —

Calculate the maximum and minimum possible strains at each node in the original sector model. Store the values and the phase angle at which they occurred.

ALL
 —

Calculate the maximum and minimum possible displacement, stress and strain at each node in the original sector model. Store the values and the phase angle at which they occurred.

GET
 —

Places the value of a MAX or MIN item into the _CYCVALUE parameter, the node for that value in the _CYCNODE parameter, and the phase angle for the value in the _CYCPHASE parameter.

PUT
 —

Put resulting sweep values for printing (via the PRNSOL command ) or plotting (via the PLNSOL command).

LIST
 —

List the current minimum/maximum displacement, stress and strain nodal values.

STAT
 —

Summarize the results of the last phase sweep.

CLEAR
 —

Clear phase-sweep information from the database.

OPTION

If TYPE = DISP, STRAIN, STRESS or ALL, controls the sweep angle increment to use in the search:

Angle
 —

The sweep angle increment in degrees, greater than 0.1 and less than 10. The default is 1.

If TYPE = PUT, controls which values are placed onto the model:

MAX
 —

Put all existing nodal maximum values onto the model. This option is the default.

MIN
 —

Put all existing nodal minimum values onto the model.

If TYPE = GET, controls the values placed into cyclic parameters:

Item
 —

Specifies the type of values on which to operate:

U -- Displacement
S -- Stress
EPEL -- Strain
Comp
 —

Specifies the specific component of displacement, stress or strain for which to get information:

X,Y,Z -- Basic components
XY,YZ,XZ -- Shear components
1,2,3 -- Principal values
EQV -- Equivalent value
SUM -- USUM
MxMn
 —

Specifies whether the requested value information is for the maximum or minimum value:

MAX -- Maximum value.
MIN -- Minimum value.

Command Default

No defaults are available for the CYCPHASE command. You must specify an argument (TYPE) when issuing the command. Other values which may be necessary (OPTION) depend upon which TYPE argument you specify.

Notes

When you expand the results of a modal cyclic symmetry analysis (via the /CYCEXPAND or EXPAND command), ANSYS combines the real and imaginary results for a given nodal diameter, assuming no phase shift between them; however, the modal response can occur at any phase shift.

CYCPHASE response results are valid only for the first cyclic sector. To obtain the response at any part of the expanded model, ANSYS recommends using cyclic symmetry results expansion at the phase angle obtained via CYCPHASE.

The phase angles returned by CYCPHASE contain the minimum and maximum values for USUM, SEQV and other scalar principal stress and strain quantities; however, they do not always return the true minimum and maximum values for directional quantities like UX or SX unless the values fall in the first sector.

CYCPHASE does not consider midside node values when evaluating maximum and minimum values, which may affect DISPLAY quantities but no others. (Typically, ANSYS ignores midside node stresses and strains during postprocessing.)

Issuing CYCPHASE,PUT clears the result values for midside nodes on high order elements; therefore, this option sets element faceting (/EFACET) to 1. The command reports that midside nodal values are set to zero and indicates that element faceting is set to 1.

If the sweep values are available after issuing a CYCPHASE,PUT command, the PRNSOL or PLNSOL command will print or plot (respectively) the sweep values of structure displacement Ux, Uy, Uz, component stress/strain X, Y, Z, XY, YZ, ZX, principal stress/strain 1, 2, 3 and equivalent stress/strain EQV. The vector sum of displacement (USUM) and stress/strain intensity (SINT) are not valid phase-sweep results.

You can specify any coordinate system via the RSYS command for displaying or printing CYCPHASE results. However, after CYCPHASE results have been extracted, you cannot then transform them via the RSYS command. If you try to do so, ANSYS issues a warning message.

The CYCPHASE command is valid in /POST1 and for cyclically symmetric models only.

To learn more about analyzing a cyclically symmetric structure, see Cyclic Symmetry Analysis in the Advanced Analysis Techniques Guide.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Cyclic Analysis>Cyclic Phase>Clear
Main Menu>General Postproc>Cyclic Analysis>Cyclic Phase>Get
Main Menu>General Postproc>Cyclic Analysis>Cyclic Phase>List
Main Menu>General Postproc>Cyclic Analysis>Cyclic Phase>Phase Sweep
Main Menu>General Postproc>Cyclic Analysis>Cyclic Phase>Put Phase Results
Main Menu>General Postproc>Cyclic Analysis>Cyclic Phase>Status

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CYCOPT 		Up / Home Next
CYL4


CYL4

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CYL4, XCENTER, YCENTER, RAD1, THETA1, RAD2, THETA2, DEPTH

Creates a circular area or cylindrical volume anywhere on the working plane.

PREP7: Primitives

MP ME ST PR PRN <> <> FL EM EH <> PP <>

XCENTER, YCENTER

Working plane X and Y coordinates of the center of the circle or cylinder.

RAD1, RAD2

Inner and outer radii (either order) of the circle or cylinder. A value of zero or blank for either RAD1 or RAD2, or the same value for both RAD1 and RAD2, defines a solid circle or cylinder.

THETA1, THETA2

Starting and ending angles (either order) of the circle or faces of the cylinder. Used for creating a partial annulus or partial cylinder. The sector begins at the algebraically smaller angle, extends in a positive angular direction, and ends at the larger angle. The starting angle defaults to 0° and the ending angle defaults to 360°. See the Modeling and Meshing Guide for an illustration.

DEPTH

The perpendicular distance (either positive or negative based on the working plane Z direction) from the working plane representing the depth of the cylinder. If DEPTH = 0 (default), a circular area is created on the working plane.

Notes

Defines a circular area anywhere on the working plane or a cylindrical volume with one face anywhere on the working plane. For a solid cylinder of 360°, the top and bottom faces will be circular (each area defined with four lines) and they will be connected with two surface areas (each spanning 180°). See the CYL5, PCIRC, and CYLIND commands for alternate ways to create circles and cylinders.

When working with a model imported from an IGES file (DEFAULT import option), you must provide a value for DEPTH or the command will be ignored.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Areas>Circle>Annulus
Main Menu>Preprocessor>Modeling>Create>Areas>Circle>Partial Annulus
Main Menu>Preprocessor>Modeling>Create>Areas>Circle>Solid Circle
Main Menu>Preprocessor>Modeling>Create>Primitives>Solid Cylindr
Main Menu>Preprocessor>Modeling>Create>Volumes>Cylinder>Hollow Cylinder
Main Menu>Preprocessor>Modeling>Create>Volumes>Cylinder>Partial Cylinder
Main Menu>Preprocessor>Modeling>Create>Volumes>Cylinder>Solid Cylinder
Main Menu>Preprocessor>Trefftz Domain>TZ Geometry>Create>Volume>Cylinder>Solid Cylinder

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CYCPHASE 		Up / Home Next
CYL5


CYL5

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CYL5, XEDGE1, YEDGE1, XEDGE2, YEDGE2, DEPTH

Creates a circular area or cylindrical volume by end points.

PREP7: Primitives

MP ME ST PR PRN <> <> FL EM EH <> PP <>

XEDGE1, YEDGE1

Working plane X and Y coordinates of one end of the circle or cylinder face.

XEDGE2, YEDGE2

Working plane X and Y coordinates of the other end of the circle or cylinder face.

DEPTH

The perpendicular distance (either positive or negative based on the working plane Z direction) from the working plane representing the depth of the cylinder. If DEPTH = 0 (default), a circular area is created on the working plane.

Notes

Defines a circular area anywhere on the working plane or a cylindrical volume with one face anywhere on the working plane by specifying diameter end points. For a solid cylinder of 360°, the top and bottom faces will be circular (each area defined with four lines) and they will be connected with two surface areas (each spanning 180°). See the CYL4, PCIRC, and CYLIND commands for alternate ways to create circles and cylinders.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Areas>Circle>By End Points
Main Menu>Preprocessor>Modeling>Create>Volumes>Cylinder>By End Pts & Z
Main Menu>Preprocessor>Trefftz Domain>TZ Geometry>Create>Volume>Cylinder>By End Pts & Z

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CYL4 		Up / Home Next
CYLIND


CYLIND

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CYLIND, RAD1, RAD2, Z1, Z2, THETA1, THETA2

Creates a cylindrical volume centered about the working plane origin.

PREP7: Primitives

MP ME ST PR PRN <> <> FL EM EH <> PP <>

RAD1, RAD2

Inner and outer radii (either order) of the cylinder. A value of zero or blank for either RAD1 or RAD2, or the same value for both RAD1 and RAD2, defines a solid cylinder.

Z1, Z2

Working plane Z coordinates of the cylinder. If either Z1 or Z2 is zero, one of the faces of the cylinder will be coplanar with the working plane.

THETA1, THETA2

Starting and ending angles (either order) of the cylinder. Used for creating a cylindrical sector. The sector begins at the algebraically smaller angle, extends in a positive angular direction, and ends at the larger angle. The starting angle defaults to 0.0° and the ending angle defaults to 360.0°. See the Modeling and Meshing Guide for an illustration.

Notes

Defines a cylindrical volume centered about the working plane origin. The top and bottom faces are parallel to the working plane but neither face need be coplanar with (i.e., "on") the working plane. The cylinder must have a spatial volume greater than zero. (i.e., this volume primitive command cannot be used to create a degenerate volume as a means of creating an area.) For a solid cylinder of 360°, the top and bottom faces will be circular (each area defined with four lines), and they will be connected with two areas (each spanning 180°.) See the CYL4 and CYL5 commands for alternate ways to create cylinders.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Volumes>Cylinder>By Dimensions
Main Menu>Preprocessor>Trefftz Domain>TZ Geometry>Create>Volume>Cylinder>By Dimensions

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CYL5 		Up / Home Next
CZDEL


CZDEL

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CZDEL, g1, g2, g3

Edits or clears cohesive zone sections.

PREP7: Meshing

MP ME ST <> <> <> <> <> <> <> <> PP <>

grp1

Initial group of cohesive zone elements to be deleted.

grp2

Final group of cohesive zone elements to be deleted.

grp3

Increment for selected groups.

Notes

The CZDEL command edits or deletes the interface elements and nodes, along with the associated changes made to the underlying plane or solid elements created during a previous CZMESH operation.

Each CZMESH operation will create groups of elements and nodes with component names in the format CZME_EL01 (elements) and CZME_ND01 (nodes). The final number of this format will be the number used for grp1 and grp2. If grp1 = ALL, all nodes and elements created by the CZMESH command will be deleted. After using CZDEL, all the user-defined components will be unselected.

The CZDEL command is valid for structural analyses only.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CYLIND 		Up / Home Next
CZMESH


CZMESH

Release 11.0 Documentation for ANSYS

Commands Reference | C Commands |

CZMESH, ecomps1, ecomps2, KCN, KDIR, VALUE, CZTOL

Create and mesh an interface area composed of cohesive zone elements.

PREP7: Meshing

MP ME ST <> <> <> <> <> <> <> <> PP <>

ecomps1

Component name or number for the group of plane or solid structural elements adjacent to the interface being meshed.

ecomps2

Component name or number for the opposing (from ecomps1) group of plane or solid structural elements adjacent to the interface being meshed.

KCN

Coordinate system number for the separation surface and normal direction. (if ecomps1 and ecomps2 not specified)

KDIR

Direction (x, y, or z) normal to separation surface in the KCN coordinate system (if ecomps1 and ecomps2 not specified).

VALUE

Coordinate value along the KDIR axis at which to locate the interface (if ecomps1 and ecomps2 not specified).

CZTOL

Optional absolute tolerance about VALUE (if ecomps1 and ecomps2 not specified). Allows nodes occurring slightly above or below the separation to be grouped properly. The following expression represents the default value:

Where ΔX, ΔY, and ΔZ are the dimensions of the model based on nodal locations (that is, ΔX = Xmax - Xmin).

Notes

CZMESH is used on a mesh with shared nodes at the interface.

If ecomps1 and ecomps2 are specified, the CZMESH command creates/meshes interface elements (INTER202, INTER203, INTER204, INTER205) along the boundary between the two components or groups of elements.

The elements in each of the components or groups of elements will share nodes with each other and also with the interface elements. This one-element thick boundary of interface elements will split the body between the two components or groups of elements.

Subsequent separation (delamination and failure) of the interface zone will result in an increasing displacement between the nodes (within the interface element) along the cohesive zone elements. Unless otherwise specified, the CZMESH command analyzes the configuration and geometry of the adjacent structural elements and provides the appropriate interface element.

The CZMESH operation copies any nodal temperatures you have defined on the split surface of the original mesh from the original nodes to the newly created coincident duplicate nodes. However, displacements, forces, and other boundary conditions are not copied.

The CZMESH command is valid for structural analyses only.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CZDEL 		Up / Home Next
D Commands


D Commands

Table of Contents

D - Defines DOF constraints at nodes.
DA - Defines DOF constraints on areas.
DADELE - Deletes DOF constraints on an area.
DALIST - Lists the DOF constraints on an area.
DAMORPH - Move nodes in selected areas to conform to structural displacements.
DATA - Reads data records from a file into a variable.
DATADEF - Specifies "Directly defined data status" as the subsequent status topic.
DCGOMG - Specifies the rotational acceleration of the global origin.
DCUM - Specifies that DOF constraint values are to be accumulated.
DCVSWP - Performs a DC voltage sweep on a ROM element.
DDELE - Deletes degree of freedom constraints.
DEACT - Specifies "Element birth and death" as the subsequent status topic.
DECOMP - Decomposes the model into domains used by Distributed ANSYS
DEFINE - Specifies "Data definition settings" as the subsequent status topic.
DELETE - Specifies sets in the results file to be deleted before postprocessing.
/DELETE - Deletes a file.
DELTIM - Specifies the time step sizes to be used for this load step.
DEMORPH - Move nodes in selected elements to conform to structural displacements.
DERIV - Differentiates a variable.
DESIZE - Controls default element sizes.
DESOL - Defines or modifies solution results at a node of an element.
DETAB - Modifies element table results in the database.
/DEVDISP - Controls graphics device options.
/DEVICE - Controls graphics device options.
DIG - Digitizes nodes to a surface.
DIGIT - Specifies "Node digitizing" as the subsequent status topic.
DISPLAY - Specifies "Display settings" as the subsequent status topic.
/DIST - Specifies the viewing distance for magnifications and perspective.
DJ - Specifies boundary conditions on the components of relative motion of a joint element.
DJDELE - Deletes boundary conditions on the components of relative motion of a joint element.
DJLIST - Lists boundary conditions applied to joint elements.
DK - Defines DOF constraints at keypoints.
DKDELE - Deletes DOF constraints at a keypoint.
DKLIST - Lists the DOF constraints at keypoints.
DL - Defines DOF constraints on lines.
DLDELE - Deletes DOF constraints on a line.
DLIST - Lists DOF constraints.
DLLIST - Lists DOF constraints on a line.
DMOVE - Digitizes nodes on surfaces and along intersections.
DMPEXT - Extracts modal damping coefficients in a specified frequency range.
DMPRAT - Sets a constant damping ratio.
DNSOL - Defines or modifies solution results at a node.
DOF - Adds degrees of freedom to the current DOF set.
DOFSEL - Selects a DOF label set for reference by other commands.
DOMEGA - Specifies the rotational acceleration of the structure.
DSCALE - Scales DOF constraint values.
/DSCALE - Sets the displacement multiplier for displacement displays.
DSET - Sets the scale and drawing plane orientation for a digitizing tablet.
DSPOPTION - Sets memory option for the distributed sparse solver.
DSUM - Specifies the double sum mode combination method.
DSURF - Defines the surface upon which digitized nodes lie.
DSYM - Specifies symmetry or antisymmetry DOF constraints on nodes.
DSYS - Activates a display coordinate system for geometry listings and plots.
DTRAN - Transfers solid model DOF constraints to the finite element model.
DUMP - Dumps the contents of a binary file.
/DV3D - Sets 3-D device option modes.
DVMORPH - Move nodes in selected volumes to conform to structural displacements.
DYNOPT - Specifies "Dynamic analysis options" as the subsequent status topic.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CZMESH 		Up / Home Next
D


D

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

D, NODE, Lab, VALUE, VALUE2, NEND, NINC, Lab2, Lab3, Lab4, Lab5, Lab6

Defines DOF constraints at nodes.

SOLUTION: FE Constraints

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NODE

Node at which constraint is to be specified. If ALL, NEND and NINC are ignored and constraints are applied to all selected nodes [NSEL]. If NODE = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NODE.

Lab

Valid degree of freedom label. If ALL, use all appropriate labels. Structural labels: UX, UY, or UZ (displacements); ROTX, ROTY, or ROTZ (rotations); WARP (warping). Thermal labels: TEMP, TBOT, TE2, TE3, . . ., TTOP (temperature). FLOTRAN fluid labels: PRES (pressure); VX, VY, or VZ (velocities); ENKE or ENDS (turbulent kinetic energy or turbulent kinetic energy dissipation rate); SP01 through SP06 (multiple species mass fractions) or their user-defined names [MSSPEC]; UX, UY, or UZ (Arbitrary Lagrangian-Eulerian formulation mesh displacements). Electric labels: VOLT (voltage). Magnetic labels: MAG (scalar magnetic potential); AX, AY, or AZ (vector magnetic potentials).

For structural static and transient analyses, translational and rotational velocities are also valid loads. Use these labels: VELX, VELY, VELZ (translational velocities); OMGX, OMGY, OMGZ (rotational velocities). For structural transient analyses, the following acceleration loads are also valid: ACCX, ACCY, ACCZ (translational accelerations); DMGX, DMGY, DMGZ (rotational accelerations). These velocity and acceleration loads cannot be applied with the ALL label.

Value

Degree of freedom value or table name reference for tabular boundary conditions. To specify a table, enclose the table name in percent (%) signs (for example, D,NODE,TEMP,%tabname%). Use the *DIM command to define a table.

If Value = SUPPORT, you can specify pseudo-constraints when using residual vectors in a modal analysis (RESVEC,ON) or CMS analysis (CMSOPT,RFFB).

VALUE2

Second degree of freedom value (if any). If the analysis type and the degree of freedom allow a complex input, Value (above) is the real component and VALUE2 is the imaginary component.

NEND, NINC

Specifies the same values of constraint at the range of nodes from NODE to NEND (defaults to NODE), in steps of NINC (defaults to 1).

Lab2, Lab3, Lab4, Lab5, Lab6

Additional degree of freedom labels. The same values are applied to the nodes for these labels.

Notes

The available degrees of freedom per node are listed under "Degrees of Freedom" in the input table for each element type in the Elements Reference. Degrees of freedom are defined in the nodal coordinate system. The positive directions of structural translations and rotations are along and about the positive nodal axes directions. Structural rotations should be input in radians. The node and the degree of freedom label must be selected (NSEL, DOFSEL).

If Lab = ENKE and Value = -1, a FLOTRAN flag is set to indicate a moving wall.

If Lab = ENDS and Value = -1, FLOTRAN generalized symmetry conditions are applied. Velocity components are set tangential to the symmetry surface if the ALE formulation is not activated. They are set equal to the mesh velocity if the ALE formulation is activated.

In a structural analysis, you can apply only one displacement, velocity, or acceleration load at any degree of freedom. If multiple loads are specified, the last applied load overrides the previous ones. For example, the following commands apply loads to node 100:

D,100,UX,Value
D,100,VELX,Value

In this case, the velocity load (VELX) applied in the last command will override the displacement load (UX).

For elements HF119 and HF120, used in high-frequency electromagnetic analysis, the AX DOF is not an x-component of a vector potential, but rather a tangential component of E (the electric field) on the element edges and faces. To specify an Electric Wall condition, set AX to zero. For more information, see the High-Frequency Electromagnetic Analysis Guide.

For element SOLID117 used in static and low frequency electromagnetic analysis, the AZ DOF is not a z-component of a vector potential, but rather the flux contribution on the element edge. To specify a flux-parallel condition, set AZ = 0. For more information, see 3-D Magnetostatics and Fundamentals of Edge-based Analysis in the Low-Frequency Electromagnetic Analysis Guide.

In an explicit dynamic analysis, the D command can only be used to fix nodes in the model. The degree of freedom value must be zero; no other values are valid. Use the EDLOAD command to apply a non zero displacement in an explicit dynamic analysis.

Tabular boundary conditions (VALUE = %tabname%) are available only for the following degree of freedom labels: Electric (VOLT), FLOTRAN (UX, UY, UZ, PRES, VX, VY, VZ, ENKE, ENDS, TEMP, SP01, SP02, SP03, SP04, SP05, and SP06); structural (UX, UY, UZ, ROTX, ROTY, ROTZ, and velocity and acceleration loads VELX, VELY, VELZ, OMGX, OMGY, OMGZ, ACCX, ACCY, ACCZ, DMGX, DMGY, DMGZ), and temperature (TEMP, TBOT, TE2, TE3, . . ., TTOP). All labels are valid only in static (ANTYPE,STATIC) and full transient (ANTYPE,TRANS) analyses.

%_FIX% is an ANSYS reserved table name. When VALUE is set to %_FIX%, ANSYS will prescribe the DOF to the “current” displacement value. Alternatively, functions UX(), UY(), etc. may be used (see *GET for a complete list of available functions). However, note that these functions are not available when multiframe restart features are invoked. In most cases, %_FIX% usage is efficient and recommended for all structural degrees of freedom.

When Value = SUPPORT, specify only the minimum number of displacement constraints necessary to prevent rigid body motion: three constraints (or fewer, depending on the element type) for 2-D models and six (or fewer) for 3-D models.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>PerfEC>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>TimeInt>J-Normal>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>TimeInt>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>Voltage>J-Normal>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>Voltage>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Boundary>EdgeMVP>Flux Par'l>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Boundary>ScalarPot>Flux Normal>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Boundary>ScalarPot>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Boundary>VectorPot>Flux Par'l>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Boundary>VectorPot>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Displacement>On Node Components
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Displacement>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Spectrum>BasePSD>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Spectrum>MultiPtBas>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Temperature>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Spectrum>BasePSD>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Spectrum>MultiPtBas>On Nodes
Main Menu>Preprocessor>LS-DYNA Options>Constraints>Apply>On Nodes
Main Menu>Solution>Constraints>Apply>On Nodes
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>PerfEC>On Nodes
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>TimeInt>J-Normal>On Nodes
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>TimeInt>On Nodes
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>Voltage>J-Normal>On Nodes
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>Voltage>On Nodes
Main Menu>Solution>Define Loads>Apply>Magnetic>Boundary>EdgeMVP>Flux Par'l>On Nodes
Main Menu>Solution>Define Loads>Apply>Magnetic>Boundary>ScalarPot>Flux Normal>On Nodes
Main Menu>Solution>Define Loads>Apply>Magnetic>Boundary>ScalarPot>On Nodes
Main Menu>Solution>Define Loads>Apply>Magnetic>Boundary>VectorPot>Flux Par'l>On Nodes
Main Menu>Solution>Define Loads>Apply>Magnetic>Boundary>VectorPot>On Nodes
Main Menu>Solution>Define Loads>Apply>Structural>Displacement>On Node Components
Main Menu>Solution>Define Loads>Apply>Structural>Displacement>On Nodes
Main Menu>Solution>Define Loads>Apply>Structural>Spectrum>BasePSD>On Nodes
Main Menu>Solution>Define Loads>Apply>Structural>Spectrum>MultiPtBas>On Nodes
Main Menu>Solution>Define Loads>Apply>Thermal>Temperature>On Nodes
Main Menu>Solution>Define Loads>Delete>Structural>Spectrum>BasePSD>On Nodes
Main Menu>Solution>Define Loads>Delete>Structural>Spectrum>MultiPtBas>On Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
D Commands 		Up / Home Next
DA


DA

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DA, AREA, Lab, Value1, Value2

Defines DOF constraints on areas.

SOLUTION: Solid Constraints

MP ME ST PR PRN <> <> <> EM <> <> PP <>

AREA

Area on which constraints are to be specified. If ALL, apply to all selected areas [ASEL]. If AREA = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for AREA.

Lab

Symmetry label (see 2 below):

SYMM
 —

Generate symmetry constraints for non-FLOTRAN models. Requires no Value1 or Value2.

ASYM
 —

Generate antisymmetry constraints for non-FLOTRAN models. Requires no Value1 or Value2.

ANSYS DOF labels (see 1, 2, and 3 below):

UX
 —

Displacement in X direction.

UY
 —

Displacement in Y direction.

UZ
 —

Displacement in Z direction.

ROTX
 —

Rotation about X axis.

ROTY
 —

Rotation about Y axis.

ROTZ
 —

Rotation about Z axis.

TEMP, TBOT, TE2, TE3, . . ., TTOP
 —

Temperature.

MAG
 —

Magnetic scalar potential.

VOLT
 —

Electric scalar potential.

AX
 —

Magnetic vector potential in X direction (see 4).

AY
 —

Magnetic vector potential in Y direction.

AZ
 —

Magnetic vector potential in Z direction (see 1).

ALL
 —

Applies all appropriate DOF labels.

FLOTRAN Standard DOF Labels (see 7): VX, VY, VZ, PRES, TEMP, ENKE, ENDS

FLOTRAN Species Labels (See 8): SP01, SP02, SP03, SP04, SP05, SP06

FLOTRAN Arbitrary Lagrangian-Eulerian formulation Mesh Displacement Labels (See 9): UX, UY, UZ

Value1

Value of DOF or table name reference on the area. Valid for all DOF labels. To specify a table, enclose the table name in % signs (e.g., DA,AREA,TEMP,%tabname%). Use the *DIM command to define a table.

If Lab = ENKE and Value1 = -1, a FLOTRAN flag is set to indicate a moving wall.

If Lab = ENDS and Value1 = -1, FLOTRAN generalized symmetry conditions are applied. Velocity components are set tangential to the symmetry surface if the ALE formulation is not activated. They are set equal to the mesh velocity if the ALE formulation is activated.

Value2

For FLOTRAN DOFs:

0
 —

Values are applied only to nodes within the area.

1
 —

Values are applied to the edges of the area as well as to the internal nodes. (See 7.)

For MAG and VOLT DOFs:

—

Value of the imaginary component of the degree of freedom.

Notes

  1. For element SOLID117, if Lab = AZ and Value1 = 0, this sets the flux-parallel condition for the edge formulation. (A flux-normal condition is the natural boundary condition.) Do not use the DA command to set the edge-flux DOF, AZ to a nonzero value.

  2. If Lab = MAG and Value1 = 0, this sets the flux-normal condition for the magnetic scalar potential formulations (MSP) (A flux-parallel condition is the natural boundary condition for MSP.)

  3. If Lab = VOLT and Value1 = 0, the J-normal condition is set (current density (J) flow normal to the area). (A J-parallel condition is the natural boundary condition.)

  4. For elements HF119 and HF120, used in high-frequency electromagnetic analysis, the AX DOF is not an x-component of a vector potential, but rather a tangential component of E (the electric field) on the element edges and faces. To specify an Electric Wall condition, set AX to zero. For more information, see the High-Frequency Electromagnetic Analysis Guide.

  5. You can transfer constraints from areas to nodes with the DTRAN or SBCTRAN commands. See the DK command for information about generating other constraints on areas for non-FLOTRAN models.

  6. Symmetry and antisymmetry constraints are generated as described for the DSYM command.

  7. For the velocity DOF (VX, VY, VZ), a zero value will override a nonzero value at the intersection of two areas.

  8. You can use the MSSPEC command to change FLOTRAN species labels to user-defined labels. You must define these labels with the MSSPEC command before using them on the DA command.

  9. Tabular boundary conditions (VALUE = %tabname%) are available only for the following degree of freedom labels: Electric (VOLT), FLOTRAN (UX, UY, UZ, PRES, VX, VY, VZ, ENKE, ENDS, TEMP, SP01, SP02, SP03, SP04, SP05, and SP06); Structural (UX, UY, UZ, ROTX, ROTY, ROTZ), and temperature (TEMP, TBOT, TE2, TE3, . . ., TTOP).

  10. Constraints specified by the DA command can conflict with other specified constraints. See Resolution of Conflicting Constraint Specifications in the Basic Analysis Guide for details.

  11. The DA command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>PerfEC>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>TimeInt>J-Normal>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>TimeInt>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>Voltage>J-Normal>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>Voltage>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Boundary>EdgeMVP>Flux Par'l>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Boundary>ScalarPot>Flux Normal>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Boundary>ScalarPot>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Boundary>VectorPot>Flux Normal>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Boundary>VectorPot>Flux Par'l>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Boundary>VectorPot>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Displacement>Antisymm B.C.>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Displacement>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Displacement>Symmetry B.C.>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Temperature>On Areas
Main Menu>Preprocessor>LS-DYNA Options>Constraints>Apply>On Areas
Main Menu>Solution>Constraints>Apply>On Areas
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>PerfEC>On Areas
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>TimeInt>J-Normal>On Areas
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>TimeInt>On Areas
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>Voltage>J-Normal>On Areas
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>Voltage>On Areas
Main Menu>Solution>Define Loads>Apply>Magnetic>Boundary>EdgeMVP>Flux Par'l>On Areas
Main Menu>Solution>Define Loads>Apply>Magnetic>Boundary>ScalarPot>Flux Normal>On Areas
Main Menu>Solution>Define Loads>Apply>Magnetic>Boundary>ScalarPot>On Areas
Main Menu>Solution>Define Loads>Apply>Magnetic>Boundary>VectorPot>Flux Normal>On Areas
Main Menu>Solution>Define Loads>Apply>Magnetic>Boundary>VectorPot>Flux Par'l>On Areas
Main Menu>Solution>Define Loads>Apply>Magnetic>Boundary>VectorPot>On Areas
Main Menu>Solution>Define Loads>Apply>Structural>Displacement>Antisymm B.C.>On Areas
Main Menu>Solution>Define Loads>Apply>Structural>Displacement>On Areas
Main Menu>Solution>Define Loads>Apply>Structural>Displacement>Symmetry B.C.>On Areas
Main Menu>Solution>Define Loads>Apply>Thermal>Temperature>On Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
D 		Up / Home Next
DADELE


DADELE

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DADELE, AREA, Lab

Deletes DOF constraints on an area.

SOLUTION: Solid Constraints

MP ME ST PR PRN <> <> <> EM <> <> PP <>

AREA

Area for which constraints are to be deleted. If ALL, delete for all selected areas [ASEL]. If AREA = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). You can substitute a component name for AREA.

Lab

Valid constraint labels are:

ALL
 —

All constraints.

SYMM
 —

Symmetry constraints.

ASYM
 —

Antisymmetry constraints.

UX
 —

Displacement in X direction.

UY
 —

Displacement in Y direction.

UZ
 —

Displacement in Z direction.

ROTX
 —

Rotation about X axis.

ROTY
 —

Rotation about Y axis.

ROTZ
 —

Rotation about Z axis.

VX
 —

Velocity component in X direction.

VY
 —

Velocity component in Y direction.

VZ
 —

Velocity component in Z direction.

PRES
 —

Pressure.

TEMP, TBOT, TE2, TE3, . . ., TTOP
 —

Temperature.

ENKE
 —

Turbulent Kinetic Energy.

ENDS
 —

Energy Dissipation Rate.

MAG
 —

Magnetic scalar potential.

VOLT
 —

Electric scalar potential.

SP01SP06
 —

Multiple Species Mass Fraction.

AX
 —

Magnetic vector potential in X direction (see notes).

AY
 —

Magnetic vector potential in Y direction.

AZ
 —

Magnetic vector potential in Z direction (see notes).

Notes

Deletes the degree of freedom constraints at an area (and all corresponding finite element constraints) previously specified with the DA command. See the DDELE command for delete details.

If the multiple species labels have been changed to user-defined labels via the MSSPEC command, use the user-defined labels.

For element SOLID117, AZ is the electromagnetic edge-flux DOF. See the DA command for details.

For elements HF119 and HF120, used in high-frequency electromagnetic analysis, the AX DOF is not an x-component of a vector potential, but rather a tangential component of E (the electric field) on the element edges and faces. To specify an Electric Wall condition, set AX to zero. For more information, see the High-Frequency Electromagnetic Analysis Guide.

Warning

On previously meshed areas, all constraints on affected nodes will be deleted, whether or not they were specified by the DA command.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Delete>All Load Data>All Constraint>On All Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Boundary>PerfEC>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Boundary>TimeInt>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Boundary>Voltage>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/ANSYS>Pressure DOF>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/CFD>Displacement>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/CFD>Pressure DOF>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/CFD>Species>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/CFD>Turbulence>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/CFD>Velocity>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Boundary>EdgeMVP>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Boundary>ScalarPot>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Boundary>VectorPot>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Displacement>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Temperature>On Areas
Main Menu>Preprocessor>LS-DYNA Options>Constraints>Delete>On Areas
Main Menu>Solution>Constraints>Delete>On Areas
Main Menu>Solution>Define Loads>Delete>All Load Data>All Constraint>On All Areas
Main Menu>Solution>Define Loads>Delete>Electric>Boundary>PerfEC>On Areas
Main Menu>Solution>Define Loads>Delete>Electric>Boundary>TimeInt>On Areas
Main Menu>Solution>Define Loads>Delete>Electric>Boundary>Voltage>On Areas
Main Menu>Solution>Define Loads>Delete>Fluid/ANSYS>Pressure DOF>On Areas
Main Menu>Solution>Define Loads>Delete>Fluid/CFD>Displacement>On Areas
Main Menu>Solution>Define Loads>Delete>Fluid/CFD>Pressure DOF>On Areas
Main Menu>Solution>Define Loads>Delete>Fluid/CFD>Species>On Areas
Main Menu>Solution>Define Loads>Delete>Fluid/CFD>Turbulence>On Areas
Main Menu>Solution>Define Loads>Delete>Fluid/CFD>Velocity>On Areas
Main Menu>Solution>Define Loads>Delete>Magnetic>Boundary>EdgeMVP>On Areas
Main Menu>Solution>Define Loads>Delete>Magnetic>Boundary>ScalarPot>On Areas
Main Menu>Solution>Define Loads>Delete>Magnetic>Boundary>VectorPot>On Areas
Main Menu>Solution>Define Loads>Delete>Structural>Displacement>On Areas
Main Menu>Solution>Define Loads>Delete>Thermal>Temperature>On Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DA 		Up / Home Next
DALIST


DALIST

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DALIST, AREA

Lists the DOF constraints on an area.

SOLUTION: Solid Constraints

MP ME ST PR PRN <> <> <> EM <> <> PP <>

AREA

List constraints for this area. If ALL (default), list for all selected areas [ASEL]. If P1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for AREA.

Notes

Lists the degree of freedom constraints on an area previously specified with the DA command.

This command is valid in any processor.

Menu Paths

Utility Menu>List>Loads>DOF Constraints>On All Areas
Utility Menu>List>Loads>DOF Constraints>On Picked Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DADELE 		Up / Home Next
DAMORPH


DAMORPH

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DAMORPH, AREA, XLINE, RMSHKY

Move nodes in selected areas to conform to structural displacements.

PREP7: Morphing

MP <> <> <> <> <> <> <> <> <> <> PP <>

AREA

Non-structural area to which mesh movement (morph) applies. If ALL, apply morphing to all selected areas [ASEL]. If AREA = P, graphical picking is enabled. A component may be substituted for AREA.

XLINE

Lines to be excluded from morphing. If ALL, exclude all selected lines [LSEL] from morphing. If XLINE = P, graphical picking is enabled. A component may be substituted for XLINE. If XLINE is blank (default), allow morphing of nodes attached to lines of the selected areas (AREA) which are not shared by unselected areas. See Notes for clarification.

RMSHKY

Remesh flag option:

0
 —

Remesh the selected non-structural areas only if mesh morphing fails.

1
 —

Remesh the selected non-structural areas and bypass mesh morphing.

2
 —

Perform mesh morphing only and do not remesh.

Notes

The selected areas should include only non-structural regions adjacent to structural regions. DAMORPH will morph the non-structural areas to coincide with the deflections of the structural regions.

Nodes in the structural regions move in accordance with computed displacements. Displacements from a structural analysis must be in the database prior to issuing DAMORPH.

By default, nodes attached to lines can move along the lines, or off the lines (if a line is interior to the selected areas). You can use XLINE to restrain nodes on certain lines.

By default (RMSHKEY = 0), DAMORPH will remesh the selected non-structural areas entirely if a satisfactory morphed mesh cannot be provided.

If boundary conditions and loads are applied directly to nodes and elements, the DAMORPH command requires that these be removed before remeshing can take place.

Exercise care with initial conditions defined by the IC command. Before a structural analysis is performed for a sequentially coupled analysis, the DAMORPH command requires that initial conditions be removed from all null element type nodes in the non-structural regions. Use ICDELE to delete the initial conditions.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Meshing>Modify Mesh>Phys Morphing>Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DALIST 		Up / Home Next
DATA


DATA

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DATA, IR, LSTRT, LSTOP, LINC, Name, KCPLX

Reads data records from a file into a variable.

POST26: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

IR

Arbitrary reference number assigned to the resulting variable (2 to NV [NUMVAR]). If this number is the same as for a previously defined variable, the previously defined variable will be overwritten with this result.

LSTRT

Start at location LSTRT (defaults to 1).

LSTOP

Stop at location LSTOP (defaults to LSTRT). Maximum location available is determined from data previously stored.

LINC

Fill every LINC location between LSTRT and LSTOP (defaults to 1).

Name

Eight character name for identifying the variable on the printout and displays. Embedded blanks are compressed upon output.

KCPLX

Complex number key:

0
—

Data stored as the real part of the complex number.

1
—

Data stored as the imaginary part of the complex number.

Notes

This command must be followed by a format statement (on the next line) and the subsequent data records, and all must be on the same file (that may then be read with the /INPUT command). The format specifies the number of fields to be read per record, the field width, and the placement of the decimal point (if one is not included in the data value). The read operation follows the available FORTRAN FORMAT conventions of the system. See the system FORTRAN manual for details. Any standard FORTRAN real format (such as (4F6.0), (F2.0,2X,F12.0), etc.) may be used. Integer (I), character (A), and list-directed (*) descriptors may not be used. The parentheses must be included in the format. Up to 80 columns per record may be read. Locations may be filled within a range. Previous data in the range will be overwritten.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DAMORPH 		Up / Home Next
DATADEF


DATADEF

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DATADEF

Specifies "Directly defined data status" as the subsequent status topic.

POST1: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>General Postproc>Modify Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DATA 		Up / Home Next
DCGOMG


DCGOMG

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DCGOMG, DCGOX, DCGOY, DCGOZ

Specifies the rotational acceleration of the global origin.

SOLUTION: Inertia

MP ME ST PR PRN <> <> <> <> <> <> PP <>

DCGOX, DCGOY, DCGOZ

Rotational acceleration of the global origin about the acceleration system X, Y, and Z axes.

Notes

Specifies the rotational acceleration of the global origin about each of the acceleration coordinate system axes [CGLOC]. Rotational accelerations may be defined in analysis types ANTYPE,STATIC, HARMIC (full or mode superposition), TRANS (full or mode superposition), and SUBSTR. See the Theory Reference for ANSYS and ANSYS Workbench for details. Units are radians/time2. Related commands are ACEL, CGLOC, CGOMGA, DOMEGA, and OMEGA.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Inertia>Coriolis Effects
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Inertia>Coriolis Effects
Main Menu>Solution>Define Loads>Apply>Structural>Inertia>Coriolis Effects
Main Menu>Solution>Define Loads>Delete>Structural>Inertia>Coriolis Effects

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DATADEF 		Up / Home Next
DCUM


DCUM

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DCUM, Oper, RFACT, IFACT, TBASE

Specifies that DOF constraint values are to be accumulated.

SOLUTION: FE Constraints

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Oper

Accumulation key:

REPL
—

Subsequent values replace the previous values (default).

ADD
—

Subsequent values are added to the previous values.

IGNO
—

Subsequent values are ignored.

RFACT

Scale factor for the real component. Zero (or blank) defaults to 1.0. Use a small number for a zero scale factor.

IFACT

Scale factor for the imaginary component. Zero (or blank) defaults to 1.0. Use a small number for a zero scale factor.

TBASE

Base temperature for temperature difference. Used only with temperature degree of freedom. Scale factor is applied to the temperature difference (T-TBASE) and then added to TBASE. T is the current temperature.

Command Default

Replace previous values.

Notes

Allows repeated degree of freedom constraint values (displacement, temperature, etc.) to be replaced, added, or ignored. Operations apply to the selected nodes [NSEL] and the selected degree of freedom labels [DOFSEL]. This command also operates on velocity and acceleration loads applied in a structural analysis.

The operations occur when the next degree of freedom constraints are defined. For example, issuing the command D,1,UX,.025 after a previous D,1,UX,.020 causes the new value of the displacement on node 1 in the x-direction to be 0.045 with the add operation, 0.025 with the replace operation, or 0.020 with the ignore operation. Scale factors are also available to multiply the next value before the add or replace operation. A scale factor of 2.0 with the previous "add" example results in a displacement of 0.070. Scale factors are applied even if no previous values exist. Issue DCUM,STAT to show the current label, operation, and scale factors. Solid model boundary conditions are not affected by this command, but boundary conditions on the FE model are affected.

Note

FE boundary conditions may still be overwritten by existing solid model boundary conditions if a subsequent boundary condition transfer occurs.

DCUM does not work for tabular boundary conditions.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Settings>Replace vs Add>Constraints
Main Menu>Solution>Define Loads>Settings>Replace vs Add>Constraints

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DCGOMG 		Up / Home Next
DCVSWP


DCVSWP

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DCVSWP, Option, Elem, Cnum, Vmax, Vinc1, Vinc2, Gap

Performs a DC voltage sweep on a ROM element.

REDUCED ORDER MODELING: Use Pass

MP <> <> <> <> <> <> <> <> <> <> PP <>

Option

Sweep option:

GV
 —

Perform voltage sweep up to given voltage Vmax.

PI
 —

Perform a voltage sweep simulation up to the pull-in voltage.

Elem

Element number of the ROM element for the ROM use pass analysis.

Cnum

Number of sweep conductor.

Vmax

Maximum voltage. For the PI option, this voltage should be below the pull-in voltage value.

Vinc1

Voltage increment for Vmax (default = Vmax/20).

Vinc2

Voltage increment for pull-in voltage (default = 1).

Gap

Gap elements option:

0
 —

Create gap elements (COMBIN40) (default).

1
 —

Do not create gap elements

Notes

Vinc1 is used to ramp the sweep conductor voltage from 0 to Vmax. Vinc2 is used to increase the sweep conductor voltage from Vmax to the pull-in value if the PI sweep option is used.

Because ramping the voltage may lead to the unstable region of an electromechanical system, DCVSWP might not converge when the sweep conductor voltage approaches the pull-in value. To avoid non-converged solutions, you should use the gap option to create a set of spring-gap elements (COMBIN40). By default, DCVSWP creates two spring-gap elements with opposite orientations for each active modal displacement DOF of the ROM element. The gap size is set to the maximum absolute values of the deflection range for the corresponding mode, as calculated by RMMSELECT or modified using the RMMRANGE command. The spring constants are set to 1.E5 for all the COMBIN40 elements. Along with the spring-gap elements, DCVSWP creates a set of constraint equations relating the ROM element modal displacements DOF (EMF) and the displacement DOF (UX) of the gap elements. Constraining the modal displacements using the spring-gap elements allows DCVSWP to converge in the pull-in range. The DCVSWP macro has a limit of 900 equilibrium iterations. If this limit is not sufficient to reach convergence, try the advanced techniques given in Overcoming Convergence Problems in the Structural Analysis Guide. For more information on gap elements, see Using Gap Elements with ROM144 in the Coupled-Field Analysis Guide.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>ROM Tools>Voltage Sweep
Main Menu>Solution>ROM Tools>Voltage Sweep

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DCUM 		Up / Home Next
DDELE


DDELE

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DDELE, NODE, Lab, NEND, NINC, Rkey

Deletes degree of freedom constraints.

SOLUTION: FE Constraints

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NODE

Node for which constraint is to be deleted. If ALL, NEND and NINC are ignored and constraints for all selected nodes [NSEL] are deleted. If NODE = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NODE.

Lab

Valid degree of freedom label. If ALL, use all selected labels [DOFSEL]. Structural labels: UX, UY, or UZ (displacements); ROTX, ROTY, or ROTZ (rotations); WARP (warping). Thermal labels: TEMP, TBOT, TE2, TE3, . . ., TTOP (temperature). FLOTRAN fluid labels: PRES (pressure); VX, VY, or VZ (velocities); ENKE or ENDS (turbulent kinetic energy or turbulent energy dissipation); SP01 through SP06 (multiple species mass fractions) or their user-defined names. Electric label: VOLT (voltage). Magnetic labels: MAG (scalar magnetic potential); AX, AY, or AZ (vector magnetic potentials). High-frequency electromagnetic label: AX (Electric Wall or Magnetic Wall boundary condition).

In structural analyses, the following velocity and acceleration load labels are also valid: VELX, VELY, VELZ (translational velocities); OMGX, OMGY, OMGZ (rotational velocities); ACCX, ACCY, ACCZ (translational accelerations); DMGX, DMGY, DMGZ (rotational accelerations).

NEND, NINC

Delete constraints from NODE to NEND (defaults to NODE) in steps of NINC (defaults to 1).

Rkey

Ramping key:

OFF
—

Loads are step-removed (default).

ON or FORCE
—

Forces on the specified degrees of freedom (Lab) are ramped during the next load step. The forces are ramped from the reaction forces of the previous load step to zero or currently defined force values (if any).

Notes

Deleting a constraint is not the same as setting it to zero (which "fixes" the degree of freedom to a zero value). Deleting a constraint has the same effect as deactivating, releasing, or setting the constraint "free." The node and the degree of freedom label must be selected [NSEL, DOFSEL].

For elements HF119 and HF120, used in high-frequency electromagnetic analysis, the AX DOF is not an x-component of a vector potential, but rather a tangential component of E (the electric field) on the element edges and faces. To specify an Electric Wall condition, set AX to zero. For more information, see the High-Frequency Electromagnetic Analysis Guide.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Delete>All Load Data>All Constraint>On All Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Boundary>PerfEC>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Boundary>TimeInt>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Boundary>Voltage>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/ANSYS>Pressure DOF>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/CFD>Displacement>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/CFD>Pressure DOF>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/CFD>Species>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/CFD>Turbulence>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/CFD>Velocity>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Boundary>EdgeMVP>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Boundary>ScalarPot>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Boundary>VectorPot>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Displacement>On Node Components
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Displacement>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Temperature>On Nodes
Main Menu>Preprocessor>LS-DYNA Options>Constraints>Delete>On Nodes
Main Menu>Solution>Constraints>Delete>On Nodes
Main Menu>Solution>Define Loads>Delete>All Load Data>All Constraint>On All Nodes
Main Menu>Solution>Define Loads>Delete>Electric>Boundary>PerfEC>On Nodes
Main Menu>Solution>Define Loads>Delete>Electric>Boundary>TimeInt>On Nodes
Main Menu>Solution>Define Loads>Delete>Electric>Boundary>Voltage>On Nodes
Main Menu>Solution>Define Loads>Delete>Fluid/ANSYS>Pressure DOF>On Nodes
Main Menu>Solution>Define Loads>Delete>Fluid/CFD>Displacement>On Nodes
Main Menu>Solution>Define Loads>Delete>Fluid/CFD>Pressure DOF>On Nodes
Main Menu>Solution>Define Loads>Delete>Fluid/CFD>Species>On Nodes
Main Menu>Solution>Define Loads>Delete>Fluid/CFD>Turbulence>On Nodes
Main Menu>Solution>Define Loads>Delete>Fluid/CFD>Velocity>On Nodes
Main Menu>Solution>Define Loads>Delete>Magnetic>Boundary>EdgeMVP>On Nodes
Main Menu>Solution>Define Loads>Delete>Magnetic>Boundary>ScalarPot>On Nodes
Main Menu>Solution>Define Loads>Delete>Magnetic>Boundary>VectorPot>On Nodes
Main Menu>Solution>Define Loads>Delete>Structural>Displacement>On Node Components
Main Menu>Solution>Define Loads>Delete>Structural>Displacement>On Nodes
Main Menu>Solution>Define Loads>Delete>Thermal>Temperature>On Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DCVSWP 		Up / Home Next
DEACT


DEACT

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DEACT

Specifies "Element birth and death" as the subsequent status topic.

SOLUTION: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Solution>Elem Birth/Death

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DDELE 		Up / Home Next
DECOMP


DECOMP

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DECOMP, --, Ndomains

Decomposes the model into domains used by Distributed ANSYS

PREP7: Special Purpose

MP ME ST PR PRN <> <> FL EM <> <> PP <>

--

Unused field

Ndomains

Sets the number of preconditioner domains for model decomposition.

AUTO
 —

Automatically set the number of domains (default).

N
 —

Set the number of domains to be used by the preconditioner of the solver to N>1.

Command Default

DECOMP,,AUTO

Notes

This command breaks (decomposes) the model into domains for previewing purposes through the /PNUM and EPLOT commands. See the Distributed ANSYS Guide.

If you specify DECOMP (no arguments), the command defaults to DECOMP,,AUTO. The domains decomposed here are the domains that are used by a solver's preconditioners only. The larger domains built based on these “preconditioner” domains are called CPU domains.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Domain Decomp
Main Menu>Solution>Define Loads>Domain Decomp

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DEACT 		Up / Home Next
DEFINE


DEFINE

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DEFINE

Specifies "Data definition settings" as the subsequent status topic.

POST1: Status

POST26: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>General Postproc>Read Options
Utility Menu>List>Status>TimeHist Postproc>Variables

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DECOMP 		Up / Home Next
DELETE


DELETE

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DELETE, SET, Nstart, Nend

Specifies sets in the results file to be deleted before postprocessing.

AUX3: Results Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

SET

Specifies that sets in the results file are to be deleted.

Nstart

The first set in a results file to be deleted.

Nend

The final set in a results file to be deleted. This field is used only if deleting more than one sequential sets.

Notes

This command is valid only at the Begin Level.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DEFINE 		Up / Home Next
/DELETE


/DELETE

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

/DELETE, Fname, Ext, --

Deletes a file.

SESSION: Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to the current Jobname.

Ext

Filename extension (8 character maximum).

--

Unused field.

Notes

For Distributed ANSYS, if Fname is the current Jobname (or blank, which defaults to the current Jobname), the command will be executed on the master and all slave processors. However, if Fname is anything other than the current Jobname, this command is ignored on the slave processors and is executed only on the master processor.

Menu Paths

Utility Menu>File>File Operations>Delete
Utility Menu>PlotCtrls>Redirect Plots>To GRPH File
Utility Menu>PlotCtrls>Redirect Plots>To HPGL File
Utility Menu>PlotCtrls>Redirect Plots>To HPGL2 File
Utility Menu>PlotCtrls>Redirect Plots>To PSCR File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DELETE 		Up / Home Next
DELTIM


DELTIM

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DELTIM, DTIME, DTMIN, DTMAX, Carry

Specifies the time step sizes to be used for this load step.

SOLUTION: Load Step Options

MP ME ST PR PRN <> <> <> EM <> <> PP <>

DTIME

Time step size for this step. If automatic time stepping is being used [AUTOTS], DTIME is the starting time substep. If SOLCONTROL,ON and contact elements TARGE169, TARGE170, CONTA171, CONTA172, CONTA173, CONTA174, CONTA175, CONTA176, or CONTA177 are used, defaults to 1 or 1/20 the total time span of the load step, depending on the physics of the problem. If SOLCONTROL,ON and none of these contact elements are used, defaults to 1 time span of the load step. If SOLCONTROL,OFF, defaults to the previously specified value.

DTMIN

Minimum time step (if automatic time stepping is used). If SOLCONTROL,ON, default determined by ANSYS depending on the physics of the problem. If SOLCONTROL,OFF, defaults to the previously specified value (or DTIME, if there is no previously specified value).

DTMAX

Maximum time step (if automatic time stepping is used). If SOLCONTROL,ON, default determined by ANSYS depending on the physics of the problem. If SOLCONTROL,OFF, defaults to the previously specified value (or the time span of the load step, if there is no previously specified value).

Carry

Time step carry over key:

OFF
 —

Use DTIME as time step at start of each load step.

ON
 —

Use final time step from previous load step as the starting time step (if automatic time stepping is used).

If SOLCONTROL,ON, default determined by ANSYS depending on the physics of the problem. If SOLCONTROL,OFF, defaults to OFF.

Notes

See NSUBST for an alternative input.

Use consistent values for DTIME and TIME (TIME). For example, using 0.9 for DTIME and 1.0 for TIME results in one time step because 1.0 (TIME) is divisible by .9 (DTIME) at most once. If your intent is to load in 10 increments over a time span of 1.0, then use 0.1 for DTIME and 1.0 for TIME.

ANSYS calculates the initial incremental time so that (EndingTime - StartingTime) / DELTIM is an integer, which may affect the initial incremental time that you specify. For example, if the starting time is 0, the ending time is 1, and the initial incremental time is 0.4, ANSYS rounds to the nearest integer and adjusts the time to 0.33333.

For the sake of solution efficiency, ANSYS recommends specifying values for all fields of this command.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Sol'n Controls>Basic
Main Menu>Preprocessor>Loads>Load Step Opts>Time/Frequenc>Time - Time Step
Main Menu>Solution>Analysis Type>Sol'n Controls>Basic
Main Menu>Solution>Load Step Opts>Time/Frequenc>Time - Time Step

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/DELETE 		Up / Home Next
DEMORPH


DEMORPH

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DEMORPH, ELEM, DIMN, RMSHKY

Move nodes in selected elements to conform to structural displacements.

PREP7: Morphing

MP <> <> <> <> <> <> <> <> <> <> PP <>

ELEM

Non-structural elements to which mesh movement (morph) applies. If ALL, apply morphing to all selected elements [ESEL]. If ELEM = P, graphical picking is enabled. A component may be substituted for ELEM.

DIMN

Problem dimensionality. Use "2" for a 2-D problem and "3" for a 3-D problem (no default).

RMSHKY

Remesh flag option:

0
 —

Remesh the selected non-structural regions only if mesh morphing fails.

1
 —

Remesh the selected non-structural regions and bypass mesh morphing.

2
 —

Perform mesh morphing only and do not remesh.

Notes

The selected elements should include only non-structural regions adjacent to structural regions. The exterior nodes of the selected elements will usually be on the boundary of the region which will have node positions displaced. For DIMN = 2, elements must lie on a flat plane. The DEMORPH command requires a single domain grouping of elements be provided (multiple domains of elements are not permitted). Exterior nodes will be assumed fixed (no nodes will be morphed) unless they coincide with structural nodes having nonzero displacements.

Nodes in the structural regions move in accordance with computed displacements. Displacements from a structural analysis must be in the database prior to issuing DEMORPH.

By default (RMSHKY = 0), DEMORPH will remesh the selected non-structural regions entirely if a satisfactory morphed mesh cannot be provided.

If boundary conditions and loads are applied directly to nodes and elements, the DEMORPH command requires that these be removed before remeshing can take place.

Exercise care with initial conditions defined by the IC command. Before a structural analysis is performed for a sequentially coupled analysis, the DEMORPH command requires that initial conditions be removed from all null element type nodes in the non-structural regions. Use ICDELE to delete the initial conditions.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Meshing>Modify Mesh>Phys Morphing>Elements

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DELTIM 		Up / Home Next
DERIV


DERIV

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DERIV, IR, IY, IX, --, Name, --, --, FACTA

Differentiates a variable.

POST26: Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

IR

Arbitrary reference number assigned to the resulting variable (2 to NV [NUMVAR]). If this number is the same as for a previously defined variable, the previously defined variable will be overwritten with this result.

IY, IX

Reference numbers of variables to be operated on. IY is differentiated with respect to IX.

--

Unused field.

Name

Thirty-two character name for identifying the variable on printouts and displays. Embedded blanks are compressed for output.

--, --

Unused fields.

FACTA

Scaling factor (positive or negative) applied as shown below (defaults to 1.0).

Notes

Differentiates variables according to the operation:

IR = FACTA x d(IY)/d(IX)

Menu Paths

Main Menu>TimeHist Postpro>Math Operations>Derivative

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DEMORPH 		Up / Home Next
DESIZE


DESIZE

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DESIZE, MINL, MINH, MXEL, ANGL, ANGH, EDGMN, EDGMX, ADJF, ADJM

Controls default element sizes.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

MINL

Minimum number of elements that will be attached to a line when using lower-order elements (defaults to 3 elements per line). If MINL = DEFA, all arguments will be set back to default values. If MINL = STAT, list status of command (Including on/off status). If MINL = OFF, deactivate default element sizing. If MINL = ON, reactivate default element sizing.

MINH

Minimum number of elements that will be attached to a line when using higher-order elements. Defaults to 2 elements per line.

MXEL

Maximum number of elements that will be attached to a single line (lower or higher-order elements). Defaults to 15 elements per line for h-elements and 6 divisions per line for p-elements. To deactivate this limit, specify a large number (such as 9999).

ANGL

Maximum spanned angle per lower-order element for curved lines. Defaults to 15 degrees per element.

ANGH

Maximum spanned angle per higher-order element for curved lines. Defaults to 28 degrees per element.

EDGMN

Minimum element edge length. Defaults to no minimum edge length. The MINL or MINH argument can override this value.

EDGMX

Maximum element edge length. Defaults to no maximum edge length. The MXEL argument can override this value.

ADJF

Target aspect ratio for adjacent line. Used only when free meshing. Defaults to 1.0, which attempts to create equal sided h-elements; defaults to 4 for p-elements.

ADJM

Target aspect ratio for adjacent line. Used only when map meshing. Defaults to 4.0, which attempts to create rectangular h-elements; defaults to 6 for p-elements.

Command Default

Default settings as described for each argument are used.

Notes

DESIZE settings are usually used for mapped meshing. They are also used for free meshing if SmartSizing is turned off [SMRTSIZE,OFF], which is the default. Even when SmartSizing is on, some DESIZE settings (such as maximum and minimum element edge length) can affect free mesh density. The default settings of the DESIZE command are used only when no other element size specifications [KESIZE, LESIZE, ESIZE] exist for a certain line.

This command is also valid for rezoning.

Menu Paths

Main Menu>Preprocessor>Meshing>Size Cntrls>ManualSize>Global>Other
Main Menu>Solution>Manual Rezoning>Create Remesh Zone(s)>Mesh Controls>Default Element Sizing Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DERIV 		Up / Home Next
DESOL


DESOL

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DESOL, ELEM, NODE, Item, Comp, V1, V2, V3, V4, V5, V6

Defines or modifies solution results at a node of an element.

POST1: Set Up

MP ME ST PR PRN <> <> <> EM <> <> PP <>

ELEM

Element number for which results are defined or modified. If ALL, apply to all selected elements [ESEL].

NODE

Node of element (actual node number, not the position) to which results are specified. If ALL, specify results for all selected nodes [NSEL] of element. If NODE = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NODE.

Item

Label identifying results. Valid item labels are shown in DESOL - Valid Item and Component Labels below. Some items also require a component label (Comp).

Comp

Component of the item (if required); see DESOL - Valid Item and Component Labels.

V1

Value (in the element coordinate system) assigned to the database item (and component, if any). If zero, a zero value will be assigned. If blank, value remains unchanged.

V2, V3, V4, . . . , V6

Additional values (if any) assigned to the remaining components (in the order corresponding to the Comp list shown below) for the specified Item (starting from the specified Comp label and proceeding to the right).

Notes

The DESOL command defines or modifies solution results in the database at a node of an area or volume element. For example, DESOL,35,50,S,X,1000,2000,1000 assigns values 1000, 2000, and 1000 to SX, SY, and SZ (respectively) of node 50 of element 35.

The settings of the POST1 FORCE, SHELL, and LAYER commands, if applicable, further specify which database items are affected.

For layered composite shells, specify the current element layer (LAYER) before issuing the DESOL command.

All data is stored in the solution coordinate system but is displayed in the results coordinate system (RSYS). To list the current results, use the PRESOL command.

Modified solution results are not saved automatically. To save separate records of modified results, use either the RAPPND or LCWRITE command.

Result items are available depending on element type; check the individual element for availability. Valid item and component labels for element results are:

DESOL - Valid Item and Component Labels

Item | Comp | Description
ELEM |  | Element number.
S | X, Y, Z, XY, YZ, XZ | Component stress.
EPEL | X, Y, Z, XY, YZ, XZ | Component elastic strain.
EPTH | X, Y, Z, XY, YZ, XZ | Component thermal strain.
EPPL | X, Y, Z, XY, YZ, XZ | Component plastic strain.
EPCR | X, Y, Z, XY, YZ, XZ | Component creep strain.
EPSW |  | Swelling strain.
NL | SEPL | Equivalent stress (from stress-strain curve).
" | SRAT | Stress state ratio.
" | HPRES | Hydrostatic pressure.
" | EPEQ | Accumulated equivalent plastic strain.
" | PSV | Plastic state variable.
" | PLWK | Plastic work/volume.
SEND | ELASTIC | Elastic strain energy density.
" | PLASTIC | Plastic strain energy density.
" | CREEP | Creep strain energy density.
TG | X, Y, Z | Component thermal gradient.
TF | X, Y, Z | Component thermal flux.
PG | X, Y, Z | Component pressure gradient.
EF | X, Y, Z | Component electric field.
D | X, Y, Z | Component electric flux density.
H | X, Y, Z | Component magnetic field intensity.
B | X, Y, Z | Component magnetic flux density.
FMAG | X, Y, Z | Component magnetic force.
F | X, Y, Z | X, Y, or Z structural force.
M | X, Y, Z | X, Y, or Z structural moment.
HEAT |  | Heat flow.
FLOW |  | Fluid flow.
AMPS |  | Current flow.
FLUX |  | Magnetic flux.
VF | X, Y, Z | X, Y, or Z fluid force component.
CSG | X, Y, Z | X, Y, or Z magnetic current segment component.

Menu Paths

Main Menu>General Postproc>Define/Modify>Elem Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DESIZE 		Up / Home Next
DETAB


DETAB

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DETAB, ELEM, Lab, V1, V2, V3, V4, V5, V6

Modifies element table results in the database.

POST1: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ELEM

Element for which results are to be modified. If ALL, modify all selected elements [ESEL] results. If ELEM = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for ELEM.

Lab

Label identifying results. Valid labels are as defined with the ETABLE command. Issue ETABLE,STAT to display labels and values.

V1

Value assigned to this element table result in the database. If zero, a zero value will be assigned. If blank, value remains unchanged.

V2, V3, V4, . . . , V6

Additional values (if any) assigned to consecutive element table columns.

Notes

Modifies element table [ETABLE] results in the database. For example, DETAB,35,ABC,1000,2000,1000 assigns 1000, 2000, and 1000 to the first three table columns starting with label ABC for element 35. Use the PRETAB command to list the current results. After deleting a column of data using ETABLE,Lab,ERASE, the remaining columns of data are not shifted to compress the empty slot. Therefore, the user must allocate null (blank) values for V1, V2...V6 for any ETABLE entries which have been deleted by issuing ETABLE,Lab,ERASE. All data are stored in the solution coordinate system but will be displayed in the results coordinate system [RSYS].

Menu Paths

Main Menu>General Postproc>Define/Modify>ElemTabl Data

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DESOL 		Up / Home Next
/DEVDISP


/DEVDISP

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

/DEVDISP, Label, KEY

Controls graphics device options.

DISPLAY: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Label

Device function label:

BBOX
 —

Disables display information sorting for PowerGraphics displays. When activated (KEY = 1 or ON), model rotations and replots are performed without recalculating edge and surface data. This will speed up the rotation (especially for 2-D displays) of large models, although the display information will not be resolved as quickly (you will see a bounding box instead of the model during dynamic rotations). The default is OFF (KEY = 0).

DITHER
 —

Dithering. When turned on (default), dithering smooths transitions in color intensity. Applies only to Z-buffered displays.

FONT
 —

Font selection for the ANSYS graphics window. When Label = FONT, the command format is: /DEVDISP,FONT,KEY,Val1,Val2,Val3,VAL4,Val5,Val6, where KEY determines the type of font being controlled, and values 1 through 6 control various font parameters. Note that these values are device specific; using the same command input file [/INPUT] on different machines may yield different results.The following KEY values determine the font information that will be supplied to the appropriate driver (e.g., Postscript, X11, Win32, JPEG, ...):

KEY = 1
 —

The command controls the LEGEND (documentation column) font.

KEY = 2
 —

The command controls the ENTITY (node and keypoint number) font.

KEY = 3
 —

The command controls the ANNOTATION/GRAPH font.

UNIX: Values 1 through 4 are used to find a match in the X11 database of font strings. Values 1, 2, and 3 are character strings; value 4 is a nonzero integer:

Val1
 —

Family name (e.g., Courier*New). Substitute an asterisk (*) for any blank character that appears in a family name. If Val1 = MENU, all other values are ignored, and a font selection menu appears (GUI must be active).

Val2
 —

Weight (e.g., medium)

Val3
 —

Slant (e.g., r)

Val4
 —

Pixel size (e.g., 14). Note that this value does not affect the annotation fonts (KEY = 3). Use the /TSPEC command to control the pixel size of your annotation fonts.

Val5
 —

unused

Val6
 —

unused

PC: The values are encoded in a PC logical font structure. Value 1 is a character string, and the remaining values are integers:

Val1
 —

Family name (e.g., Courier*New) Substitute an asterisk (*) for any blank character that appears in a family name. If Val1 = MENU, all other values are ignored and a font selection menu appears (GUI must be active). A value containing all blank characters causes ANSYS to use the first available resource it finds.

Val2
 —

Weight (0 - 1000)

Val3
 —

Orientation (in tenths of a degree)

Val4
 —

Height (in logical units) Note that this value does not affect the annotation fonts (KEY =3). Use the /TSPEC command to control the height of your annotation fonts.

Val5
 —

Width (in logical units)

Val6
 —

Italics (0 = OFF, 1 = ON)

TEXT
 —

Text size specification for the ANSYS Graphics window. When Label = TEXT, the command format is: /DEVDISP,TEXT,KEY,PERCENT, where KEY determines the type of text being controlled (1 for LEGEND, and 2 for ENTITY), and PERCENT specifies the new text size as a percent of the default text size. If PERCENT = 100, the new text size is precisely the default size. If PERCENT = 200, the new text size is twice the default text size.

KEY

Control key:

OFF or 0
 —

Turns specified function off.

ON or 1
 —

Turns specified function on.

Command Default

Dithering on.

Menu Paths

It is part of the DISPLAY program.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DETAB 		Up / Home Next
/DEVICE


/DEVICE

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

/DEVICE, Label, KEY

Controls graphics device options.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Label

Device function label:

BBOX
 —

Bounding box mode. For PowerGraphics plots involving elements with /SHOW,x11 and /SHOW,win32, ANSYS generally displays dynamic rotations faster. If KEY = 1 (ON), then a bounding box (not the elements) encompassing the model is displayed and rotated, rather than the element outlines (ON is default in preprocessing). When KEY = 0 (OFF), then dynamic rotations may be slower (ANSYS redraws the element outlines) for plots involving elements with /SHOW,x11 and /SHOW,win32. OFF is default in postprocessing. This command is ignored if /EDGE,WN,1 is set for any WN. This is ignored in POST1 and SOLUTION plots.

For any PowerGraphics plots involving elements, regardless of /SHOW settings, plots will generally be displayed faster.

VECTOR
 —

Vector mode. In vector mode, areas, volumes, elements, and postprocessing display geometries are shown as outlines (wireframes). When vector mode is off (default), these entities are shown filled with color.

DITHER
 —

When dithering is turned on (default), color intensity transitions are smoothed. This selection a

applies only to smooth-shaded images, i.e., Z-buffered [/TYPE], or raster plots with Gouraud or Phong shading [/SHADE].

ANIM
 —

Select the animation type used on 2-D devices on the PC platform. A KEY value of BMP (or 0) sets animation mode to ANSYS Animation Controller (default). A KEY value of AVI (or 2) sets animation mode to AVI movie player file.

FONT
 —

Font selection for the ANSYS graphics window. When Label = FONT, the command format is: /DEVICE,FONT,KEY,Val1,Val2,Val3,Val4,Val5,Val6 where KEY determines the type of font being controlled, and values 1 through 6 control various font parameters. Note that these values are device specific; using the same command input file [/INPUT] on different machines may yield different results.. The following KEY values determine the font information that will be supplied to the appropriate driver (e.g., Postscript, X11, Win32, JPEG, ...):

KEY = 1
 —

The command controls the LEGEND (documentation column) font.

KEY = 2
 —

The command controls the ENTITY (node and keypoint number) font.

KEY = 3
 —

The command controls the ANNOTATION/GRAPH font.

UNIX: Values 1 through 4 are used to find a match in the X11 database of font strings. Values 1, 2, and 3 are character strings; value 4 is a nonzero integer:

Val1
 —

Family name (e.g., Courier). If Val1 = MENU, all other values are ignored and a font selection menu appears (GUI must be active).

Val2
 —

Weight (e.g., medium)

Val3
 —

Slant (e.g., r)

Val4
 —

Pixel size (e.g., 14). Note that this value does no affect the annotation fonts (KEY = 3). Use the /TSPEC command for annotation font size.

Val5
 —

unused

Val6
 —

unused

PC: The values are encoded in a PC logical font structure. Value 1 is a character string, and the remaining values are integers:

Val1
 —

Family name (e.g., Courier*New) Substitute an asterisk (*) for any blank character that appears in a family name. If Val1 = MENU, all other values are ignored and a font selection menu appears (GUI must be active). When this value is blank ANSYS uses the first available resource it finds.

Val2
 —

Weight (0 - 1000)

Val3
 —

Orientation (in tenths of a degree)

Val4
 —

Height (in logical units)

Val5
 —

Width (in logical units)

Val6
 —

Italics (0 = OFF, 1 = ON)

TEXT
 —

Text size specification for the ANSYS Graphics window. Using this label with the /DEVICE command requires the following form: /DEVICE,TEXT,KEY,PERCENT. KEY = 1 for LEGEND fonts; KEY = 2 for ENTITY fonts. PERCENT specifies the new text size as a percent of the default text size. If PERCENT = 100, the new text size is precisely the default size. If PERCENT = 200, the new text size is twice the default text size.

KEY

Control key:

OFF or 0
 —

Turns specified function off.

ON or 1
 —

Turns specified function on or designates the LEGEND font.

2
 —

Designates the ENTITY font.

3
 —

Designates the ANNOTATION/GRAPH font.

Command Default

Vector mode off (i.e., raster mode); dithering on.

Notes

This command is valid in any processor.

The /DEVICE,BBOX command is ignored in POST1 and SOLUTION plots. Also, the elements are displayed and rotated if you use /DEVICE,BBOX,ON and /EDGE,WN,1,ANGLE (effectively ignoring the BBOX option).

Menu Paths

Utility Menu>PlotCtrls>Device Options
Utility Menu>PlotCtrls>Font Controls>Entity Font
Utility Menu>PlotCtrls>Font Controls>Legend Font
Utility Menu>PlotCtrls>Redirect Plots>To PSCR File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/DEVDISP 		Up / Home Next
DIG


DIG

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DIG, NODE1, NODE2, NINC

Digitizes nodes to a surface.

PREP7: Digitizing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NODE1, NODE2, NINC

Digitize nodes NODE1 through NODE2 in steps of NINC. NODE2 defaults to NODE1 and NINC defaults to 1.

Command Default

No surface digitizing.

Notes

Digitizes nodes to the surface defined by the DSURF command. The nodes indicated must be digitized from the tablet after this command is given. The program must be in the interactive mode and the graphics terminal show option [/SHOW] must be active. The global Cartesian coordinates of the nodes are stored.

Menu Paths

Main Menu>Preprocessor>Create>Nodes>Digitize Nodes>Digitize Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/DEVICE 		Up / Home Next
DIGIT


DIGIT

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DIGIT

Specifies "Node digitizing" as the subsequent status topic.

PREP7: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utilty Menu>List>Status>Preprocessor>Digitize Module

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DIG 		Up / Home Next
DISPLAY


DISPLAY

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DISPLAY

Specifies "Display settings" as the subsequent status topic.

POST1: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>General Postproc>Plot Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DIGIT 		Up / Home Next
/DIST


/DIST

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

/DIST, WN, DVAL, KFACT

Specifies the viewing distance for magnifications and perspective.

GRAPHICS: Views

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number (or ALL) to which command applies (defaults to 1).

DVAL

Distance along the view line from the observer to the focus point (defaults to value producing full-window display). Distances "too close" to the object will produce excessive magnifications. If DVAL = AUTO, zero, or blank, the program will calculate the distance automatically. If DVAL = USER, the distance of last display will be used (useful when last display automatically calculated distance).

KFACT

DVAL interpretation key:

0
 —

Interpret numerical DVAL values as described above.

1
 —

Interpret DVAL as a multiplier on the current distance (DVAL of 2 gives twice the current distance; 0.5 gives half the current distance, etc.).

Command Default

Distance is automatically calculated to produce full window magnification.

Notes

The scale factor is relative to the window shape. For example, for objects centered in a square window and with parallel projection (no perspective), a distance of [image] /2 (+10%) produces a full window magnification, where [image] is the largest in-plane vertical or horizontal dimension. See also /AUTO and /USER commands.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Pan, Zoom, Rotate
Utility Menu>PlotCtrls>View Settings>Magnification

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DISPLAY 		Up / Home Next
DJ


DJ

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DJ, ELEM, LABEL, VALUE

Specifies boundary conditions on the components of relative motion of a joint element.

SOLUTION: FE Constraints

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ELEM

Element number or ALL to be specified.

LABEL

Valid labels are:

UX
 —

Displacement in local x direction.

UY
 —

Displacement in local y direction.

UZ
 —

Displacement in local z direction.

ROTX
 —

Rotation about local x axis.

ROTY
 —

Rotation about local y axis.

ROTZ
 —

Rotation about local y axis.

VELX
 —

Linear velocity in local x direction.

VELY
 —

Linear velocity in local y direction.

VELZ
 —

Linear velocity in local z direction.

OMGX
 —

Angular velocity in local x direction.

OMGY
 —

Angular velocity in local y direction.

OMGZ
 —

Angular velocity in local z direction.

ACCX
 —

Linear acceleration in local x direction.

ACCY
 —

Linear acceleration in local y direction.

ACCZ
 —

Linear acceleration in local z direction.

DMGX
 —

Angular acceleration in local x direction.

DMGY
 —

Angular acceleration in local y direction.

DMGZ
 —

Angular acceleration in local z direction.

VALUE

Value of the label.

Notes

This command is valid for MPC184 joint elements. See DJDELE for information on deleting boundary conditions applied with the DJ command..

You can apply only one displacement, velocity, or acceleration load at any relative degree of freedom. If multiple loads are specified, the last applied load overrides the previous ones. For example, the following commands apply loads to element 100:

D,100,UX,Value
D,100,VELX,Value

In this case, the velocity load (VELX) applied in the last command will override the displacement load (UX).

Tabular boundary conditions (VALUE = %tabname%) can be used.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Displacement>On Joint Elems
Main Menu>Solution>Define Loads>Apply>Structural>Displacement>On Joint Elems

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/DIST 		Up / Home Next
DJDELE


DJDELE

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DJDELE, ELEM, LAB

Deletes boundary conditions on the components of relative motion of a joint element.

SOLUTION: FE Constraints

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ELEM

Element number or ALL. ALL (or leaving this field blank) will delete all joint element boundary conditions specified by LAB.

LAB

Valid labels are:

UX
 —

Displacement in local x direction.

UY
 —

Displacement in local y direction.

UZ
 —

Displacement in local z direction.

ROTX
 —

Rotation about local x axis.

ROTY
 —

Rotation about local y axis.

ROTZ
 —

Rotation about local z axis.

VELX
 —

Linear velocity in local x direction.

VELY
 —

Linear velocity in local y direction.

VELZ
 —

Linear velocity in local z direction.

OMGX
 —

Angular velocity in local x direction.

OMGY
 —

Angular velocity in local y direction.

OMGZ
 —

Angular velocity in local z direction.

ACCX
 —

Linear acceleration in local x direction.

ACCY
 —

Linear acceleration in local y direction.

ACCZ
 —

Linear acceleration in local z direction.

DMGX
 —

Angular acceleration in local x direction.

DMGY
 —

Angular acceleration in local y direction.

DMGZ
 —

Angular acceleration in local z direction.

ALL, or (blank)
 —

Delete all applied boundary conditions.

Notes

This command is valid for MPC184 joint elements. See DJ for information on specifying boundary conditions on the components of relative motion of a joint element.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Delete>All Load Data>All Constraint>On Joint Elems
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Displacement>On Joint Elems
Main Menu>Solution>Define Loads>Delete>All Load Data>All Constraint>On Joint Elems
Main Menu>Solution>Define Loads>Delete>Structural>Displacement>On Joint Elems

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DJ 		Up / Home Next
DJLIST


DJLIST

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DJLIST, Elem

Lists boundary conditions applied to joint elements.

SOLUTION: FE Constraints

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Elem

Element number or ALL (or blank). Lists joint element boundary conditions on the specified element(s).

Notes

This command is valid for MPC184 joint elements. See DJ for information on specifying boundary conditions on joint elements.

Menu Paths

Utility Menu>List>Loads>Joint Element DOF Constraints>On Picked Element

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DJDELE 		Up / Home Next
DK


DK

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DK, KPOI, Lab, VALUE, VALUE2, KEXPND, Lab2, Lab3, Lab4, Lab5, Lab6

Defines DOF constraints at keypoints.

SOLUTION: Solid Constraints

MP ME ST PR PRN <> <> <> EM <> <> PP <>

KPOI

Keypoint at which constraint is to be specified. If ALL, apply to all selected keypoints [KSEL]. If KPOI = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for KPOI.

Lab

Valid degree of freedom label. If ALL, use all appropriate labels. Structural labels: UX, UY, or UZ (displacements); ROTX, ROTY, or ROTZ (rotations); WARP (warping). Thermal labels: TEMP, TBOT, TE2, TE3, . . ., TTOP (temperature). Electric labels: VOLT (voltage). Magnetic labels: MAG (scalar magnetic potential); AX, AY, or AZ (vector magnetic potentials).

VALUE

Degree of freedom value or table name reference for tabular boundary conditions. To specify a table, enclose the table name in percent signs (%) (e.g., DK,NODE,TEMP,%tabname%). Use the *DIM command to define a table.

VALUE2

Second degree of freedom value (if any). If the analysis type and the degree of freedom allow a complex input, VALUE (above) is the real component and VALUE2 is the imaginary component.

KEXPND

Expansion key:

0
 —

Constraint applies only to the node at this keypoint.

1
 —

Flags this keypoint for constraint expansion.

Lab2, Lab3, Lab4, . . . , Lab6

Additional degree of freedom labels. The same values are applied to the keypoints for these labels.

Notes

A keypoint may be flagged using KEXPND to allow its constraints to be expanded to nodes on the attached solid model entities having similarly flagged keypoint constraints. Constraints are transferred from keypoints to nodes with the DTRAN or SBCTRAN commands. The expansion uses interpolation to apply constraints to the nodes on the lines between flagged keypoints. If all keypoints of an area or volume region are flagged and the constraints (label and values) are equal, the constraints are applied to the interior nodes of the region. See the D command for a description of nodal constraints.

Tabular boundary conditions (VALUE = %tabname%) are available only for the following degree of freedom labels: Electric (VOLT), structural (UX, UY, UZ, ROTX, ROTY, ROTZ), and temperature (TEMP, TBOT, TE2, TE3, . . ., TTOP).

Constraints specified by the DK command can conflict with other specified constraints. See Resolution of Conflicting Constraint Specifications in the Basic Analysis Guide for details.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>TimeInt>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>Voltage>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Boundary>ScalarPot>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Boundary>VectorPot>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Displacement>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Spectrum>BasePSD>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Spectrum>MultiPtBas>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Temperature>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Spectrum>BasePSD>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Spectrum>MultiPtBas>On Keypoints
Main Menu>Preprocessor>LS-DYNA Options>Constraints>Apply>On Keypoints
Main Menu>Solution>Constraints>Apply>On Keypoints
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>TimeInt>On Keypoints
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>Voltage>On Keypoints
Main Menu>Solution>Define Loads>Apply>Magnetic>Boundary>ScalarPot>On Keypoints
Main Menu>Solution>Define Loads>Apply>Magnetic>Boundary>VectorPot>On Keypoints
Main Menu>Solution>Define Loads>Apply>Structural>Displacement>On Keypoints
Main Menu>Solution>Define Loads>Apply>Structural>Spectrum>BasePSD>On Keypoints
Main Menu>Solution>Define Loads>Apply>Structural>Spectrum>MultiPtBas>On Keypoints
Main Menu>Solution>Define Loads>Apply>Thermal>Temperature>On Keypoints
Main Menu>Solution>Define Loads>Delete>Structural>Spectrum>BasePSD>On Keypoints
Main Menu>Solution>Define Loads>Delete>Structural>Spectrum>MultiPtBas>On Keypoints

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DJLIST 		Up / Home Next
DKDELE


DKDELE

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DKDELE, KPOI, Lab

Deletes DOF constraints at a keypoint.

SOLUTION: Solid Constraints

MP ME ST PR PRN <> <> <> EM <> <> PP <>

KPOI

Keypoint for which constraint is to be deleted. If ALL, delete for all selected keypoints [KSEL]. If KPOI = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for KPOI.

Lab

Valid degree of freedom label. If ALL, use all appropriate labels. Structural labels: UX, UY, or UZ (displacements); ROTX, ROTY, or ROTZ (rotations); WARP (warping). Thermal labels: TEMP, TBOT, TE2, TE3, . . ., TTOP (temperature). FLOTRAN fluid labels: PRES (pressure); VX, VY, or VZ (velocities); ENKE or ENDS (turbulent kinetic energy or turbulent energy dissipation); SP01 through SP06 (multiple species mass fractions) or their user-defined names. Electric label: VOLT (voltage). Magnetic labels: MAG (scalar magnetic potential); AX, AY, or AZ (vector magnetic potentials). High-frequency electromagnetic label: AX (Electric Wall or Magnetic Wall boundary condition).

Notes

Deletes the degree of freedom constraints (and all corresponding finite element constraints) at a keypoint. See the DDELE command for details.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Delete>All Load Data>All Constraint>On All KPs
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Boundary>TimeInt>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Boundary>Voltage>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/ANSYS>Pressure DOF>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/CFD>Displacement>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/CFD>Pressure DOF>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/CFD>Velocity>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Boundary>ScalarPot>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Boundary>VectorPot>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Displacement>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Temperature>On Keypoints
Main Menu>Preprocessor>LS-DYNA Options>Constraints>Delete>On Keypoints
Main Menu>Solution>Constraints>Delete>On Keypoints
Main Menu>Solution>Define Loads>Delete>All Load Data>All Constraint>On All KPs
Main Menu>Solution>Define Loads>Delete>Electric>Boundary>TimeInt>On Keypoints
Main Menu>Solution>Define Loads>Delete>Electric>Boundary>Voltage>On Keypoints
Main Menu>Solution>Define Loads>Delete>Fluid/ANSYS>Pressure DOF>On Keypoints
Main Menu>Solution>Define Loads>Delete>Fluid/CFD>Displacement>On Keypoints
Main Menu>Solution>Define Loads>Delete>Fluid/CFD>Pressure DOF>On Keypoints
Main Menu>Solution>Define Loads>Delete>Fluid/CFD>Velocity>On Keypoints
Main Menu>Solution>Define Loads>Delete>Magnetic>Boundary>ScalarPot>On Keypoints
Main Menu>Solution>Define Loads>Delete>Magnetic>Boundary>VectorPot>On Keypoints
Main Menu>Solution>Define Loads>Delete>Structural>Displacement>On Keypoints
Main Menu>Solution>Define Loads>Delete>Thermal>Temperature>On Keypoints

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DK 		Up / Home Next
DKLIST


DKLIST

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DKLIST, KPOI

Lists the DOF constraints at keypoints.

SOLUTION: Solid Constraints

MP ME ST PR PRN <> <> <> EM <> <> PP <>

KPOI

List constraints for this keypoint. If ALL (default), list for all selected keypoints [KSEL]. If KPOI = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for KPOI.

Notes

Listing applies to the selected keypoints [KSEL] and the selected degree of freedom labels [DOFSEL].

This command is valid in any processor.

Menu Paths

Utility Menu>List>Loads>DOF Constraints>On All Keypoints
Utility Menu>List>Loads>DOF Constraints>On Picked KPs

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DKDELE 		Up / Home Next
DL


DL

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DL, LINE, AREA, Lab, Value1, Value2

Defines DOF constraints on lines.

SOLUTION: Solid Constraints

MP ME ST PR PRN <> <> <> EM <> <> PP <>

LINE

Line at which constraints are to be specified. If ALL, apply to all selected lines [LSEL]. If LINE = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for LINE

AREA

Area containing line. The normal to the symmetry or antisymmetry surface is assumed to lie on this area. Defaults to the lowest numbered selected area containing the line number.

Lab

Symmetry label (see 2):

SYMM
 —

Generate symmetry constraints for non-FLOTRAN models.

ASYM
 —

Generate antisymmetry constraints for non-FLOTRAN models.

ANSYS DOF labels (see 3, 4, and 5):

UX
 —

Displacement in X direction.

UY
 —

Displacement in Y direction.

UZ
 —

Displacement in Z direction.

ROTX
 —

Rotation about X axis.

ROTY
 —

Rotation about Y axis.

ROTZ
 —

Rotation about Z axis.

WARP
 —

Warping magnitude.

TEMP, TBOT, TE2, TE3, . . ., TTOP
 —

Temperature

VOLT
 —

Electric scalar potential.

AX
 —

Magnetic vector potential in X direction.

AY
 —

Magnetic vector potential in Y direction.

AZ
 —

Magnetic vector potential in Z direction.

ALL
 —

Applies all appropriate DOF labels.

FLOTRAN standard DOF labels (see 3): VX, VY, VZ, PRES, TEMP, ENKE, ENDS

FLOTRAN Species Labels (see 4): SP01, SP02, SP03, SP04, SP05, SP06

FLOTRAN Arbitrary Lagrangian-Eulerian formulation Mesh Displacement Labels (see 6): UX, UY, UZ

Value1

Value of DOF (real part) or table name reference on the line. Valid for all DOF labels. To specify a table, enclose the table name in % signs (e.g., DL,LINE,AREA,TEMP,%tabname%). Use the *DIM command to define a table.

If Lab = ENKE and Value1 = -1, a FLOTRAN flag is set to indicate a moving wall.

If Lab = ENDS and Value1 = -1, FLOTRAN generalized symmetry conditions are applied. Velocity components are set tangential to the symmetry surface if the ALE formulation is not activated. They are set equal to the mesh velocity if the ALE formulation is activated.

Value2

For FLOTRAN DOFs:

0
 —

Values are applied only to nodes within the line.

1
 —

Values are applied to the endpoints of the line as well as to the internal nodes (see 3).

For VOLT DOFs:

—

Actual value of the imaginary component of the degree of freedom.

Notes

  1. You can transfer constraints from lines to nodes with the DTRAN or SBCTRAN commands. See the DK command for information about generating other constraints at lines.

  2. Symmetry and antisymmetry constraints are generated as described on the DSYM command.

  3. For the velocity DOF (VX, VY, VZ), a zero value will override a nonzero value at the intersection of two lines.

  4. You can use the MSSPEC command to change FLOTRAN species labels to user-defined labels. You must define these labels with the MSSPEC command before using them on the DL command.

  5. Setting Lab = VOLT and Value1 = 0 applies the J-normal boundary condition (current density vector (J) flows normal to the line). No input is required for the J-parallel condition because it is the natural boundary condition.

  6. Tabular boundary conditions (VALUE = %tabname%) are available only for the following degree of freedom labels: Electric (VOLT), FLOTRAN (UX, UY, UZ, PRES, VX, VY, VZ, ENKE, ENDS, TEMP, SP01, SP02, SP03, SP04, SP05, and SP06); Structural (UX, UY, UZ, ROTX, ROTY, ROTZ), and temperature (TEMP, TBOT, TE2, TE3, . . ., TTOP).

  7. Constraints specified by the DL command can conflict with other specified constraints. See Resolution of Conflicting Constraint Specifications in the Basic Analysis Guide for details.

  8. This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>PerfEC>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>Voltage>J-Normal>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>Voltage>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Boundary>VectorPot>Flux Par'l>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Boundary>VectorPot>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Displacement>Antisymm B.C.>...with Area
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Displacement>Antisymm B.C.>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Displacement>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Displacement>Symmetry B.C.>...with Area
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Displacement>Symmetry B.C.>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Temperature>On Lines
Main Menu>Preprocessor>LS-DYNA Options>Constraints>Apply>...with Area
Main Menu>Preprocessor>LS-DYNA Options>Constraints>Apply>On Lines
Main Menu>Solution>Constraints>Apply>...with Area
Main Menu>Solution>Constraints>Apply>On Lines
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>PerfEC>On Lines
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>Voltage>J-Normal>On Lines
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>Voltage>On Lines
Main Menu>Solution>Define Loads>Apply>Magnetic>Boundary>VectorPot>Flux Par'l>On Lines
Main Menu>Solution>Define Loads>Apply>Magnetic>Boundary>VectorPot>On Lines
Main Menu>Solution>Define Loads>Apply>Structural>Displacement>Antisymm B.C.>...with Area
Main Menu>Solution>Define Loads>Apply>Structural>Displacement>Antisymm B.C.>On Lines
Main Menu>Solution>Define Loads>Apply>Structural>Displacement>On Lines
Main Menu>Solution>Define Loads>Apply>Structural>Displacement>Symmetry B.C.>...with Area
Main Menu>Solution>Define Loads>Apply>Structural>Displacement>Symmetry B.C.>On Lines
Main Menu>Solution>Define Loads>Apply>Thermal>Temperature>On Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DKLIST 		Up / Home Next
DLDELE


DLDELE

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DLDELE, LINE, Lab

Deletes DOF constraints on a line.

SOLUTION: Solid Constraints

MP ME ST PR PRN <> <> <> EM <> <> PP <>

LINE

Line for which constraints are to be deleted. If ALL, delete for all selected lines [LSEL]. If LINE = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for LINE

Lab

Constraint label:

ALL
 —

All constraints.

SYMM
 —

Symmetry constraints.

ASYM
 —

Antisymmetry constraints.

UX
 —

Displacement in X direction.

UY
 —

Displacement in Y direction.

UZ
 —

Displacement in Z direction.

ROTX
 —

Rotation about X axis.

ROTY
 —

Rotation about Y axis.

ROTZ
 —

Rotation about Z axis.

WARP
 —

Warping magnitude.

VX
 —

Velocity component in X direction.

VY
 —

Velocity component in Y direction.

VZ
 —

Velocity component in Z direction.

PRES
 —

Pressure.

TEMP, TBOT, TE2, TE3, . . ., TTOP
 —

Temperature.

ENKE
 —

Turbulent Kinetic Energy.

ENDS
 —

Energy Dissipation Rate.

VOLT
 —

Electric scalar potential.

SP01SP06
 —

Multiple Species Mass Fraction.

AX
 —

Magnetic vector potential in X direction.

AY
 —

Magnetic vector potential in Y direction.

AZ
 —

Magnetic vector potential in Z direction.

Notes

Deletes the degree of freedom constraints (and all corresponding finite element constraints) on a line previously specified with the DL command. See the DDELE command for delete details.

Warning

On previously meshed lines, all constraints on affected nodes will also be deleted, whether or not they were specified by the DL command.

If the multiple species labels have been changed to user-defined labels via the MSSPEC command, use the user-defined labels.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Delete>All Load Data>All Constraint>On All Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Boundary>PerfEC>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Boundary>Voltage>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/ANSYS>Pressure DOF>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/CFD>Displacement>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/CFD>Pressure DOF>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/CFD>Species>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/CFD>Turbulence>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/CFD>Velocity>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Boundary>VectorPot>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Displacement>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Temperature>On Lines
Main Menu>Preprocessor>LS-DYNA Options>Constraints>Delete>On Lines
Main Menu>Solution>Constraints>Delete>On Lines
Main Menu>Solution>Define Loads>Delete>All Load Data>All Constraint>On All Lines
Main Menu>Solution>Define Loads>Delete>Electric>Boundary>PerfEC>On Lines
Main Menu>Solution>Define Loads>Delete>Electric>Boundary>Voltage>On Lines
Main Menu>Solution>Define Loads>Delete>Fluid/ANSYS>Pressure DOF>On Lines
Main Menu>Solution>Define Loads>Delete>Fluid/CFD>Displacement>On Lines
Main Menu>Solution>Define Loads>Delete>Fluid/CFD>Pressure DOF>On Lines
Main Menu>Solution>Define Loads>Delete>Fluid/CFD>Species>On Lines
Main Menu>Solution>Define Loads>Delete>Fluid/CFD>Turbulence>On Lines
Main Menu>Solution>Define Loads>Delete>Fluid/CFD>Velocity>On Lines
Main Menu>Solution>Define Loads>Delete>Magnetic>Boundary>VectorPot>On Lines
Main Menu>Solution>Define Loads>Delete>Structural>Displacement>On Lines
Main Menu>Solution>Define Loads>Delete>Thermal>Temperature>On Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DL 		Up / Home Next
DLIST


DLIST

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DLIST, NODE1, NODE2, NINC

Lists DOF constraints.

SOLUTION: FE Constraints

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NODE1, NODE2, NINC

List constraints for nodes NODE1 to NODE2 (defaults to NODE1) in steps of NINC (defaults to 1). If ALL (default), NODE2 and NINC are ignored and constraints for all selected nodes [NSEL] are listed. If NODE1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NODE1(NODE2 and NINC are ignored).

Notes

Listing applies to the selected nodes [NSEL] and the selected degree of freedom labels [DOFSEL].

This command is valid in any processor.

Menu Paths

Utility Menu>List>Loads>DOF Constraints>On All Nodes
Utility Menu>List>Loads>DOF Constraints>On Picked Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DLDELE 		Up / Home Next
DLLIST


DLLIST

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DLLIST, LINE

Lists DOF constraints on a line.

SOLUTION: Solid Constraints

MP ME ST PR PRN <> <> <> EM <> <> PP <>

LINE

List constraints for this line. If ALL (default), list for all selected lines [LSEL]. If LINE = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for LINE.

Notes

Lists the degree of freedom constraints on a line previously specified with the DL command.

This command is valid in any processor.

Menu Paths

Utility Menu>List>Loads>DOF Constraints>On All Lines
Utility Menu>List>Loads>DOF Constraints>On Picked Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DLIST 		Up / Home Next
DMOVE


DMOVE

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DMOVE, NODE1, NODE2, NINC

Digitizes nodes on surfaces and along intersections.

PREP7: Digitizing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NODE1, NODE2, NINC

Digitize nodes NODE1through NODE2 in steps of NINC. NODE2 defaults to NODE1 and NINC defaults to 1.

Notes

Digitizes nodes on undefined surfaces, warped surfaces, and along intersection lines. Two orthogonal views showing the nodes on a plane in each view are required. No surfaces need be specified. Two coordinates are determined from the second view and the other coordinate is retained from the first view. Use the DIG command to first define nodes in one view (as determined from the DSET command). Then reset the view and use this command to move the nodes to the proper location.

Menu Paths

Main Menu>Preprocessor>Create>Nodes>Digitize Nodes>2-View Digitize

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DLLIST 		Up / Home Next
DMPEXT


DMPEXT

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DMPEXT, SMODE, TMODE, Dmpname, Freqb, Freqe, NSTEPS

Extracts modal damping coefficients in a specified frequency range.

SOLUTION: Analysis Options

MP ME <> <> <> <> <> <> <> <> <> PP <>

SMODE

Source mode number. There is no default for this field; you must enter an integer greater than zero.

TMODE

Target mode. Defaults to SMODE.

Dmpname

Array parameter name containing the damping results. Defaults to d_damp.

Freqb

Beginning frequency range (real number greater than zero) or 'EIG' at eigenfrequency of source mode. 'EIG' is valid only if SMODE = TMODE. Note that EIG must be enclosed in single quotes when this command is used on the command line or in an input file. There is no default for this field; you must enter a value.

Freqe

End of frequency range. Must be blank for Freqb = EIG. Default is Freqb.

NSTEPS

Number of substeps. Defaults to 1.

Notes

DMPEXT invokes an ANSYS macro that uses modal projection techniques to compute the damping force by the modal velocity of the source mode onto the target mode. From the damping force, damping parameters are extracted. DMPEXT creates an array parameter Dmpname, with the following entries in each row:

  • response frequency

  • modal damping coefficient

  • modal squeeze stiffness coefficient

  • damping ratio

  • squeeze-to-structural stiffness ratio

The macro requires the modal displacements from the file Jobname.EFL obtained from the RMFLVEC command. In addition, a node component FLUN must exist from all FLUID136 nodes. The computed damping ratio may be used to specify constant or modal damping by means of the DMPRAT or MDAMP commands. For Rayleigh damping, use the ABEXTRACT command to compute ALPHAD and BETAD damping parameters. See " Thin Film Analysis" for more information on thin film analyses.

The macro uses the LSSOLVE command to perform two load steps for each frequency. The first load case contains the solution of the source mode excitation and can be used for further postprocessing. Solid model boundary conditions are deleted from the model. In addition, prescribed nodal boundary conditions are applied to the model. You should carefully check the boundary conditions of your model prior to executing a subsequent analysis.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>ThinFilm>DampExtract>Eigenfrequency
Main Menu>Solution>ThinFilm>DampExtract>Frequency Range

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DMOVE 		Up / Home Next
DMPRAT


DMPRAT

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DMPRAT, RATIO

Sets a constant damping ratio.

SOLUTION: Dynamic Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

RATIO

Damping ratio (for example, 2% is input as 0.02).

Command Default

Use damping as defined in the Structural Analysis Guide.

Notes

Sets a constant damping ratio for use in the harmonic response (ANTYPE,HARMIC) analysis (full, reduced, and modal superposition), the mode superposition transient (ANTYPE,TRANS) analysis, and the spectrum (ANTYPE,SPECTR) analysis.

Note that for structures with multiple materials, MP,DMPR can be used to specify constant material damping coefficients for full and modal harmonic analyses. MP,DMPR is not applicable for transient or spectrum analyses.

In a full and reduced harmonic analysis, beta damping (BETAD) for this command is calculated via (Equation 15–23).

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Time/Frequenc>Damping
Main Menu>Solution>Load Step Opts>Time/Frequenc>Damping

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DMPEXT 		Up / Home Next
DNSOL


DNSOL

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DNSOL, NODE, Item, Comp, V1, V2, V3, V4, V5, V6

Defines or modifies solution results at a node.

POST1: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NODE

Node for which results are specified. If ALL, apply to all selected nodes [NSEL]. If NODE = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NODE.

Item

Label identifying results, see DNSOL - Valid Item and Component Labels. Items also require a component label.

Comp

Component of the item. Valid component labels are shown DNSOL - Valid Item and Component Labels below.

V1, V2, V3, . . . , V6

Value assigned to result. If zero, a zero value will be assigned. If blank, the value remains unchanged. Additional values (if any) assigned to the remaining components (in the order corresponding to the Comp list shown below for the specified Item (starting from the specified Comp label and proceeding to the right).

Notes

DNSOL can be used only with FULL graphics activated (/GRAPHICS,FULL); it will not work correctly with PowerGraphics activated.

DNSOL defines or modifies solution results in the database at a node. For example, DNSOL,35,U,X,.001,.002,.001 assigns values 0.001, 0.002, and 0.001 to UX, UY, and UZ (respectively) for node 35. All results that are changed in the database, including the nodal degree of freedom results, are available for all subsequent operations. All data is stored in the solution coordinate system, but will be displayed in the results coordinate system [RSYS]. Use the PRNSOL command to list the current results.

Data input by DNSOL is stored in temporary space and does not replace information in the database. Therefore, data input by this command may be overwritten if a change is made to the selected set of nodes.

Issuing the DNSOL command or its GUI equivalent requires you to place the data type (stress/strain) in the element nodal records. To get around this requirement, use the DESOL command or equivalent path to add a "dummy" element stress/strain record.

Result items are available depending on element type; check the individual element for availability. Valid item and component labels for element results are:

DNSOL - Valid Item and Component Labels

Valid Item and Component Labels for Nodal DOF Results
Item | Comp | Description
U | X, Y, Z | X, Y, or Z structural displacement.
ROT | X, Y, Z | X, Y, or Z structural rotation.
TEMP[1] |  | Temperature.
PRES |  | Pressure.
VOLT |  | Electric potential.
MAG |  | Magnetic scalar potential.
V | X, Y, Z | X, Y, or Z fluid velocity.
A | X, Y, Z | X, Y, or Z magnetic vector potential.
ENKE |  | Turbulent kinetic energy.
ENDS |  | Turbulent energy dissipation.
Valid Item and Component Labels for Area and Volume Element Results
Item | Comp | Description
S | X, Y, Z, XY, YZ, XZ | Component stress.
" | 1, 2, 3 | Principal stress.
" | INT | Stress intensity.
" | EQV | Equivalent stress.
EPEL | X, Y, Z, XY, YZ, XZ | Component elastic strain.
" | 1, 2, 3 | Principal elastic strain.
" | INT | Elastic strain intensity.
" | EQV | Elastic equivalent strain.
EPTH | X, Y, Z, XY, YZ, XZ | Component thermal strain.
" | 1, 2, 3 | Principal thermal strain.
" | INT | Thermal strain intensity.
" | EQV | Thermal equivalent strain.
EPPL | X, Y, Z, XY, YZ, XZ | Component plastic strain.
" | 1, 2, 3 | Principal plastic strain.
" | INT | Plastic strain intensity.
" | EQV | Plastic equivalent strain.
EPCR | X, Y, Z, XY, YZ, XZ | Component creep strain.
" | 1, 2, 3 | Principal creep strain.
" | INT | Creep strain intensity.
" | EQV | Creep equivalent strain.
EPSW |  | Swelling strain.
NL | SEPL | Equivalent stress (from stress-strain curve).
" | SRAT | Stress state ratio.
" | HPRES | Hydrostatic pressure.
" | EPEQ | Accumulated equivalent plastic strain.
" | PSV | Plastic state variable.
" | PLWK | Plastic work/volume.
SEND | ELASTIC | Elastic strain energy density.
" | PLASTIC | Plastic strain energy density.
" | CREEP | Creep strain energy density.
TG | X, Y, Z, SUM | Component thermal gradient or vector sum.
TF | X, Y, Z, SUM | Component thermal flux or vector sum.
PG | X, Y, Z, SUM | Component pressure gradient or vector sum.
EF | X, Y, Z, SUM | Component electric field or vector sum.
D | X, Y, Z, SUM | Component electric flux density or vector sum.
H | X, Y, Z, SUM | Component magnetic field intensity or vector sum.
B | X, Y, Z, SUM | Component magnetic flux density or vector sum.
FMAG | X, Y, Z, SUM | Component magnetic force or vector sum.
Valid Item Labels for FLOTRAN Nodal Results
Item | Description
TTOT | Total temperature.
HFLU | Heat flux.
HFLM | Heat transfer (film) coefficient.
COND | Fluid laminar conductivity.
PCOE | Pressure coefficient.
PTOT | Total (stagnation) pressure.
MACH | Mach number.
STRM | Stream function. (2-D applications only.)
DENS | Fluid density.
VISC | Fluid laminar viscosity.
EVIS | Fluid effective viscosity.
CMUV | Turbulent viscosity coefficient.
ECON | Fluid effective conductivity.
YPLU | Y+, a turbulent law of the wall parameter.
TAUW | Shear stress at the wall.

  1. For SHELL131 and SHELL132 elements with KEYOPT(3) = 0 or 1, use the labels TBOT, TE2, TE3, ..., TTOP instead of TEMP.

Menu Paths

Main Menu>General Postproc>Define/Modify>Nodal Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DMPRAT 		Up / Home Next
DOF


DOF

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DOF, Lab1, Lab2, Lab3, Lab4, Lab5, Lab6, Lab7, Lab8, Lab9, Lab10

Adds degrees of freedom to the current DOF set.

PREP7: Element Type

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab1, Lab2, Lab3, . . . , Lab10

Valid labels are: UX, UY, UZ (structural displacements); ROTX, ROTY, ROTZ (structural rotations); TEMP, TBOT, TE2, TE3, . . ., TTOP (temperatures); PRES (pressure); VOLT (voltage); MAG (magnetic scalar potential); AX, AY, AZ (magnetic vector potentials); CURR (current); EMF (electromotive force drop); DELETE.

Command Default

Use degree of freedom set determined from element types.

Notes

The degree of freedom (DOF) set for the model is determined from all element types defined. For example, if only LINK1 is defined, the set is UX,UY. If LINK1 and BEAM3 are defined, the set is UX,UY,ROTZ. This command may be used to add to the current set. The ALL label may be used on some commands to represent all labels of the current degree of freedom set for the model. Issue the DOF command with no arguments to list the current set. Use the DELETE label to delete any previously added DOFs and return to the default DOF set.

Menu Paths

Main Menu>Preprocessor>Element Type>Add DOF
Main Menu>Preprocessor>Element Type>Remove DOFs

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DNSOL 		Up / Home Next
DOFSEL


DOFSEL

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DOFSEL, Type, Dof1, Dof2, Dof3, Dof4, Dof5, Dof6

Selects a DOF label set for reference by other commands.

DATABASE: Selecting

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Label identifying the type of select:

S
 —

Select a new set of labels.

A
 —

Add labels to the current set.

U
 —

Unselect (remove) labels from the current set.

ALL
 —

Restore the full set of labels.

STAT
 —

Display the current select status.

Dof1, Dof2, Dof3, . . . , Dof6

Used only with Type = S, A, or U. Valid structural labels: UX, UY, or UZ (displacements); U (UX, UY, and UZ); ROTX, ROTY, or ROTZ (rotations); ROT (ROTX, ROTY, and ROTZ); DISP (U and ROT). Valid thermal labels: TEMP, TBOT, TE2, TE3, . . ., TTOP (temperature). Valid fluid flow labels: PRES (pressure); VX, VY, or VZ (fluid velocities); V (VX, VY, and VZ); ENKE, ENDS (turbulent kinetic energy, turbulent energy dissipation); EN (ENKE and ENDS turbulent energies) (FLOTRAN). Valid electric labels: VOLT (voltage); EMF (electromotive force drop); CURR (current). Valid magnetic labels: MAG (scalar magnetic potential); AX, AY or AZ (vector magnetic potentials); A (AX, AY and AZ); CURR (current). Valid structural force labels: FX, FY, or FZ (forces); F (FX, FY, and FZ); MX, MY, or MZ (moments); M (MX, MY, and MZ); FORC (F and M). Valid thermal force labels: HEAT, HBOT, HE2, HE3, . . ., HTOP (heat flow). Valid fluid flow force labels: FLOW (fluid flow). Valid electric force labels: AMPS (current flow), CHRG (electric charge). Valid magnetic force labels: FLUX (scalar magnetic flux); CSGX, CSGY, or CSGZ (magnetic current segments); CSG (CSGX, CSGY, and CSGZ).

Command Default

Degree of freedom (and the corresponding force) labels are determined from the model.

Notes

Selects a degree of freedom label set for reference by other commands. The label set is used on certain commands where ALL is either input in the degree of freedom label field or implied. The active label set has no effect on the solution degrees of freedom. Specified labels which are not active in the model (from the ET or DOF command) are ignored. As a convenience, a set of force labels corresponding to the degree of freedom labels is also selected. For example, selecting UX also causes FX to be selected (and vice versa). The force label set is used on certain commands where ALL is input in the force label field.

This command is valid in any processor.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Operate>Scale FE Loads>Constraints
Main Menu>Preprocessor>Loads>Define Loads>Operate>Scale FE Loads>Forces
Main Menu>Preprocessor>Loads>Define Loads>Settings>Replace vs Add>Constraints
Main Menu>Preprocessor>Loads>Define Loads>Settings>Replace vs Add>Forces
Main Menu>Solution>Define Loads>Operate>Scale FE Loads>Constraints
Main Menu>Solution>Define Loads>Operate>Scale FE Loads>Forces
Main Menu>Solution>Define Loads>Settings>Replace vs Add>Constraints
Main Menu>Solution>Define Loads>Settings>Replace vs Add>Forces

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DOF 		Up / Home Next
DOMEGA


DOMEGA

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DOMEGA, DOMGX, DOMGY, DOMGZ

Specifies the rotational acceleration of the structure.

SOLUTION: Inertia

MP ME ST PR PRN <> <> <> <> <> <> PP <>

DOMGX, DOMGY, DOMGZ

Rotational acceleration of the structure about the global Cartesian X , Y, and Z axes.

Notes

Specifies the rotational acceleration of the structure about each of the global Cartesian axes. Rotational accelerations may be defined in analysis types ANTYPE,STATIC, HARMIC (full or mode superposition), TRANS (full or mode superposition), and SUBSTR. See the Theory Reference for ANSYS and ANSYS Workbench for details. Units are radians/time2. Related commands are ACEL, CGLOC, CGOMGA, DCGOMG, and OMEGA.

In a modal harmonic or transient analysis, you must apply the load in the modal portion of the analysis. ANSYS calculates a load vector and writes it to the mode shape file, which you can apply via the LVSCALE command.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Inertia>Angular Accel>Global
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Inertia>Angular Accel>Global
Main Menu>Solution>Define Loads>Apply>Structural>Inertia>Angular Accel>Global
Main Menu>Solution>Define Loads>Delete>Structural>Inertia>Angular Accel>Global

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DOFSEL 		Up / Home Next
DSCALE


DSCALE

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DSCALE, RFACT, IFACT, TBASE

Scales DOF constraint values.

SOLUTION: FE Constraints

MP ME ST PR PRN <> <> FL EM <> <> PP <>

RFACT

Scale factor for the real component. Zero (or blank) defaults to 1.0. Use a small number for a zero scale factor.

IFACT

Scale factor for the imaginary component. Zero (or blank) defaults to 1.0. Use a small number for a zero scale factor.

TBASE

Base temperature for temperature difference. For temperatures, the scale factor is applied to the temperature difference (T-TBASE) and then added to TBASE. T is the current temperature.

Notes

Scales degree of freedom constraint values (displacement, temperature, etc.) in the database. If velocity and acceleration boundary conditions are applied in a structural analysis, they are also scaled by this command. Solid model boundary conditions are not scaled by this command, but boundary conditions on the FE model are scaled.

Note

Such scaled FE boundary conditions may still be overwritten by unscaled solid model boundary conditions if a subsequent boundary condition transfer occurs.

Scaling applies to the previously defined values for the selected nodes [NSEL] and the selected degree of freedom labels [DOFSEL]. Issue DLIST command to review results.

DSCALE does not work for tabular boundary conditions.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Operate>Scale FE Loads>Constraints
Main Menu>Solution>Define Loads>Operate>Scale FE Loads>Constraints

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DOMEGA 		Up / Home Next
/DSCALE


/DSCALE

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

/DSCALE, WN, DMULT

Sets the displacement multiplier for displacement displays.

GRAPHICS: Scaling

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number (or ALL) to which command applies (defaults to 1).

DMULT

AUTO or 0
 —

Scale displacements automatically so that maximum displacement (vector amplitude) displays as 5 percent of the maximum model length, as measured in the global Cartesian X, Y, or Z directions. This is the default setting when NLGEOM is OFF.

1
 —

Do not scale displacements (i.e., scale displacements by 1.0, true to geometry). Often used with large deflection results. This is the default setting when NLGEOM is ON.

FACTOR
 —

Scale displacements by numerical value input for FACTOR.

OFF
 —

Remove displacement scaling (i.e., scale displacements by 0.0, no distortion).

USER
 —

Set DMULT to that used for last display (useful when last DMULT value was automatically calculated).

Command Default

The default value is 1.0 when NLGEOM is ON, and AUTO when NLGEOM is OFF.

Notes

If Multi-Plots are not being displayed, and the current device is a 3-D device [/SHOW,3D], then the displacement scale in all active windows will be the same, even if separate /DSCALE commands are issued for each active window. For efficiency, ANSYS 3-D graphics logic maintains a single data structure (segment), which contains only one displacement scale. The program displays the same segment (displacement scale) in all windows. Only the view settings will be different in each of the active windows.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Style>Displacement Scaling

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DSCALE 		Up / Home Next
DSET


DSET

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DSET, NODE1, NODE2, NODE3, DDEV

Sets the scale and drawing plane orientation for a digitizing tablet.

PREP7: Digitizing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NODE1, NODE2, NODE3

Any three (noncolinear) nodes defining a plane parallel to the drawing. Nodes and actual locations (in any coordinate system) must have been previously defined.

DDEV

Digitizing device type number (device dependent).

Notes

Sets drawing scale size and defines the drawing plane orientation for use with a digitizing tablet. Drawings must be to scale. Views must represent standard orthogonal parallel projections. The three nodes indicated must be digitized [DIG] from the tablet after this command is issued.

Menu Paths

Main Menu>Preprocessor>Create>Nodes>Digitize Nodes>Set Plane/Device

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/DSCALE 		Up / Home Next
DSPOPTION


DSPOPTION

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DSPOPTION, Memory_Option

Sets memory option for the distributed sparse solver.

SOLUTION: Analysis Options

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Memory_Option
DEFAULT
 —

Use a default memory usage strategy for the distributed sparse solver. The default strategy attempts to obtain enough memory to run with optimal I/O performance. Optimal I/O for the distributed sparse solver is obtained when sufficient workspace is allocated to keep the largest front matrix in memory during factorization. The amount of memory required for the distributed sparse solver is unknown until the matrix structure is preprocessed, including equation reordering. The amount allocated for the distributed sparse solver is then dynamically adjusted using the ANSYS memory manager. The default strategy is designed to be optimal for most systems.

INCORE
 —

Use a memory allocation strategy in the distributed sparse solver that will attempt to obtain enough memory to run with the entire factorized matrix in memory. If the INCORE option is specified, the distributed sparse solver will attempt to allocate enough memory to run incore. If the allocation for incore memory fails, the distributed sparse solver will automatically revert to out-of-core mode.

Command Default

Automatic memory allocation is used.

Notes

This command provides the option to use either minimum memory (default) or maximum memory when the distributed sparse solver is selected. Using maximum memory, if available, reduces I/O and typically shortens total solver elapsed time.

Running incore is best for jobs that fit easily within the limits of the physical memory on a given system. If the distributed sparse solver workspace exceeds physical memory size, the system will be forced to use virtual memory (or the system page/swap file). In this case, optimal I/O (DSPOPTION,DEFAULT) memory would be more efficient.

When running the distributed sparse solver with many processors on the same machine or on a machine with very slow I/O performance (e.g., slow hard drive speed), you may want to try incore runs to achieve better performance. However, doing so will require much more memory compared to running in the default memory mode. If your system has little memory, you may need to run in the default memory mode.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DSET 		Up / Home Next
DSUM


DSUM

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DSUM, SIGNIF, Label, TD

Specifies the double sum mode combination method.

SOLUTION: Spectrum Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

SIGNIF

Combine only those modes whose significance level exceeds the SIGNIF threshold. For single point, multipoint, or DDAM response (SPOPT, SPRS, MPRS, or DDAM), the significance level of a mode is defined as the mode coefficient of the mode, divided by the maximum mode coefficient of all modes. Any mode whose significance level is less than SIGNIF is considered insignificant and is not contributed to the mode combinations. The higher the SIGNIF threshold, the fewer the number of modes combined. SIGNIF defaults to 0.001. If SIGNIF is specified as 0.0, it is taken as 0.0. (This mode combination method is not valid for SPOPT, PSD.)

Label

Label identifying the combined mode solution output.

DISP
 —

Displacement solution (default). Displacements, stresses, forces, etc., are available.

VELO
 —

Velocity solution. Velocities, "stress velocities," "force velocities," etc., are available.

ACEL
 —

Acceleration solution. Accelerations, "stress accelerations," "force accelerations," etc., are available.

TD

Time duration for earthquake or shock spectrum. TD defaults to 10.

Notes

This command is also valid for PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>Mode Combine
Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>MultiPt>Mode Combine
Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>SinglePt>Mode Combine
Main Menu>Solution>Load Step Opts>Spectrum>Mode Combine
Main Menu>Solution>Load Step Opts>Spectrum>MultiPt>Mode Combine
Main Menu>Solution>Load Step Opts>Spectrum>SinglePt>Mode Combine

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DSPOPTION 		Up / Home Next
DSURF


DSURF

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DSURF, KCN, XSURF, YSURF, ZSURF

Defines the surface upon which digitized nodes lie.

PREP7: Digitizing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KCN

Surface is located in coordinate system KCN. KCN may be 0,1,2 or any previously defined local coordinate system number.

XSURF, YSURF, ZSURF

Input one value to define the surface constant. Input 999 in the other two fields. Interpret fields as R, θ, Z for cylindrical or R, θ, Φ for spherical or toroidal coordinate systems. XSURF and YSURF default to 999 if KCN = 0.

Command Default

Surface associated with DIG command is the global Cartesian X-Y plane with Z = 0.

Notes

Defines the surface upon which the nodes to be digitized (with the DIG command) actually lie. Surfaces are defined by a coordinate system number and a coordinate constant [MOVE]. Two coordinates are determined from the drawing and converted to surface coordinates. The third coordinate is defined from the input surface constant. If nodes lie on warped or undefined surfaces, use the DMOVE command.

Menu Paths

Main Menu>Preprocessor>Create>Nodes>Digitize Nodes>Define Surface

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DSUM 		Up / Home Next
DSYM


DSYM

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DSYM, Lab, Normal, KCN

Specifies symmetry or antisymmetry DOF constraints on nodes.

SOLUTION: FE Constraints

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Lab

Symmetry label:

SYMM
 —

Generate symmetry constraints as described below (default).

ASYM
 —

Generate antisymmetry constraints as described below.

Normal

Surface orientation label to determine the constraint set (surface is assumed to be perpendicular to this coordinate direction in coordinate system KCN):

X
 —

Surface is normal to coordinate X direction (default). Interpreted as R direction for non-Cartesian coordinate systems.

Y
 —

Surface is normal to coordinate Y direction. θ direction for non-Cartesian coordinate systems.

Z
 —

Surface is normal to coordinate Z direction. Φ direction for spherical or toroidal coordinate systems.

KCN

Reference number of global or local coordinate system used to define surface orientation.

Notes

Specifies symmetry or antisymmetry degree of freedom constraints on the selected nodes. The nodes are first automatically rotated (any previously defined rotations on these nodes are redefined) into coordinate system KCN, then zero-valued constraints are generated, as described below, on the selected degree of freedom set (limited to displacement, velocity, and magnetic degrees of freedom) [DOFSEL]. Constraints are defined in the (rotated) nodal coordinate system, as usual. See the D and NROTAT commands for additional details about constraints and nodal rotations.

This command is also valid in PREP7.

Symmetry and Antisymmetry Constraints:

Symmetry or antisymmetry constraint generations are based upon the valid degrees of freedom in the model, i.e., the degrees of freedom associated with the elements attached to the nodes. The degree of freedom labels used in the generation depend on the Normal label.

For displacement degrees of freedom, the constraints generated are:

 | SYMM |  | ASYM
Normal | 2-D | 3-D | 2-D | 3-D
X | UX, ROTZ | UX, ROTZ, ROTY | UY | UY, UZ, ROTX
Y | UY, ROTZ | UY, ROTZ, ROTX | UX | UX, UZ, ROTY
Z | -- | UZ, ROTX, ROTY | -- | UX, UY, ROTZ

For velocity degrees of freedom, the constraints generated are:

 | SYMM |  | ASYM
Normal | 2-D | 3-D | 2-D | 3-D
X | VX | VX | VY | VY, VZ
Y | VY | VY | VX | VX, VZ
Z | -- | VZ | -- | VX, VY

For magnetic degrees of freedom, the SYMM label generates flux normal conditions (flux flows normal to the surface). Where no constraints are generated, the flux normal condition is "naturally" satisfied. The ASYM label generates flux parallel conditions (flux flows parallel to the surface).

 | SYMM |  | ASYM
Normal | 2-D | 3-D | 2-D | 3-D
X | -- | AX | AZ | AY, AZ
Y | -- | AY | AZ | AX, AZ
Z | -- | AZ | -- | AX, AY

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Boundary>VectorPot>Flux Normal>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Boundary>VectorPot>Flux Par'l>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Displacement>Antisymm B.C.>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Displacement>Symmetry B.C.>On Nodes
Main Menu>Solution>Define Loads>Apply>Magnetic>Boundary>VectorPot>Flux Normal>On Nodes
Main Menu>Solution>Define Loads>Apply>Magnetic>Boundary>VectorPot>Flux Par'l>On Nodes
Main Menu>Solution>Define Loads>Apply>Structural>Displacement>Antisymm B.C.>On Nodes
Main Menu>Solution>Define Loads>Apply>Structural>Displacement>Symmetry B.C.>On Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DSURF 		Up / Home Next
DSYS


DSYS

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DSYS, KCN

Activates a display coordinate system for geometry listings and plots.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KCN

Coordinate system reference number. KCN may be 0,1,2 or any previously defined local coordinate system number.

Note

If a cylinder is displayed in its cylindrical coordinate system (with a 1,0,0 view), it will be unrolled (developed) into a flat plane (with theta along the Y direction).

Command Default

Global Cartesian (KCN = 0) display coordinate system.

Notes

Boundary condition symbols, vector arrows, and element coordinate system triads are not transformed to the display coordinate system. The display system orientation (for the default view) is X horizontal to the right, Y vertical upward, and Z out of the screen (normal).

Line directions and area directions (/PSYMB,LDIR and /PSYMB,ADIR) are not plotted for DSYS >0.

When you create ANSYS 3-D annotation, the coordinates are stored to the database in the DSYS that was active at the time of creation. Changing the DSYS does not change the annotation coordinate data in the database.

This command is valid in any processor.

Menu Paths

Utility Menu>WorkPlane>Change Display CS to>Global Cartesian
Utility Menu>WorkPlane>Change Display CS to>Global Cylindrical
Utility Menu>WorkPlane>Change Display CS to>Global Spherical
Utility Menu>WorkPlane>Change Display CS to>Specified Coord Sys

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DSYM 		Up / Home Next
DTRAN


DTRAN

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DTRAN

Transfers solid model DOF constraints to the finite element model.

SOLUTION: Solid Constraints

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Notes

Constraints are transferred only from selected solid model entities to selected nodes. The DTRAN operation is also done if the SBCTRAN command is issued, and is automatically done upon initiation of the solution calculations [SOLVE].

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Operate>Transfer to FE>Constraints
Main Menu>Solution>Define Loads>Operate>Transfer to FE>Constraints

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DSYS 		Up / Home Next
DUMP


DUMP

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DUMP, NSTRT, NSTOP

Dumps the contents of a binary file.

AUX2: Binary Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NSTRT, NSTOP

Dump file from record NSTRT (defaults to 1) to NSTOP (defaults to NSTRT). If NSTRT = HEAD, dump only record 1 of the file (NSTOP and the format specification are ignored). If NSTRT = ALL, dump the entire file.

Notes

Dumps the file named on the AUX2 FILEAUX2 command according the format specified on the FORM command.

Menu Paths

Utility Menu>File>List>Binary Files
Utility Menu>List>Files>Binary Files

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DTRAN 		Up / Home Next
/DV3D


/DV3D

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

/DV3D, Lab, Key

Sets 3-D device option modes.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Mode label:

ACCU
 —

Allows ANSYS to use the accumulation buffer for OpenGL graphics. Activating this feature will provide faster model rotation when shaded backgrounds are in use. This feature is off by default.

ACTR
 —

Label term to designate the cursor position as the center for automatic dynamic rotational center capability . The subsequent Key value (see below) turns this capability on and off. This feature is on by default. (Available for OpenGL displays only)

ANIM
 —

Animation mode. The ANIM option allows you to create animation frames in pixmap mode instead of display list mode. This may improve large model performance, but it eliminates local manipulation while animation is in progress. This feature is on by default.

ANTI
 —

Label term to control Anti-aliasing, a smoothing technique for your graph plots. (see below) The subsequent Key value turns this capability on and off. The default for this feature is off. (Available for OpenGL displays only).

CNTR
 —

Switches banded contours on (1) or off (0) for your 3–D contour display. The default is 1 (ON). Other contour parameters such as number of contours or the increment and range are defined using the /CONTOUR command. When either 9 or 128 contours are specified via /CONTOUR, this command is ignored and a smooth contour is always displayed.

DGEN
 —

Local manipulation degenerate mode. You access the DGEN option to set wire-frame local manipulation mode for 3-D devices (device dependent). This feature is off by default.

DLIST
 —

With DLIST, you can specify whether screen updates and redraws will be performed using the ANSYS Display List (off), or the 3-D device's Display List (on). DLIST is on by default for Windows systems, but off for UNIX. .

DELS
 —

You use DELS to suppress contour display screen overwrites when /NOERASE is active. This prevents the bleed-through that occurs when you overlay contour plots.

TRIS
 —

Triangle strip mode. Tri-stripping provides faster 3-D display capabilities and is on by default. Some display enhancements, such as texturing, are adversely affected by tri-stripping. You can turn off tri-stripping in order to improve these display functions. Be sure to turn tri-stripping on after the desired output is obtained.

Key

The following key options apply to Lab = ACCU:

0
 —

(OFF) The accumulation buffer is not accessed. (default)

1
 —

(ON) Access to the buffer is enabled.

The following key options apply to Lab = ACTR:

0
 —

(OFF) The cursor position has no effect on the existing rotational center for dynamic operations.

1
 —

(ON) The rotational center for dynamic rotations in OpenGL is determined by the position of the mouse cursor on (or within 15 pixels of) the model. Any rotations that are initiated with the cursor more than 15 pixels from the model will occur about the midpoint of the Z-axis at that point in space. If the Z-buffer has not been refreshed the Z-axis will have an infinite value, and rotations will appear to occur about an extremely long Z-axis. This behavior stops when the graphics window is refreshed or replotted. (default)

Note that when using the GUI in 3-D mode, when ACTR = 1, the Rotational Center option is grayed out under Utility Menu> PlotCtrls> View Setting because the rotational center is determined strictly by the position of the mouse cursor.

The following key options apply to Lab = ANIM:

0
 —

Display list animation. The object can be dynamically manipulated while animating.

1
 —

On UNIX, device-dependent pixmap animation is used. On the PC, bitmap animation is provided (default).

2
 —

On the PC only, this option provides AVI animation which uses the AVI movie player .

Although you can create animations of multiple ANSYS window schemes, animations created with OpenGL display lists (/DV3D, ANIM, 0) do not retain the windowing scheme information. You CAN save multiple windows via the X11/WIN32 drivers, or via the OpenGL driver with /DV3D, ANIM, KEY in effect (where KEY is not zero).

The following key options apply to Lab = ANTI

0
 —

(OFF) Anti-aliasing is not active (default).

1
 —

(ON) The anti-aliasing technique will be applied to smooth the lines in your displays (valid for OpenGL only).

The following key options apply to Lab = DGEN:

0
 —

Normal manipulation.

1
 —

Wireframe Manipulation.

The following key options apply to Lab = DLIST:

0
 —

(OFF) The ANSYS Display List is used for plotting and dynamic graphics manipulation (UNIX default).

1
 —

(ON) The local (3-D Device) Display List is used for plotting and dynamic rotation (Windows default).

The following key options apply to Lab = TRIS:

0
 —

(OFF) Tri-stripping is off.

1
 —

(ON) Tri-stripping is on (default).

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Device Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DUMP 		Up / Home Next
DVMORPH


DVMORPH

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DVMORPH, VOLU, XAREA, RMSHKY

Move nodes in selected volumes to conform to structural displacements.

PREP7: Morphing

MP <> <> <> <> <> <> <> <> <> <> PP <>

VOLU

Non-structural volume to which mesh movement (morph) applies. If ALL, apply morphing to all selected volumes [VSEL]. If VOLU = P, graphical picking is enabled. A component may be substituted for VOLU.

XAREA

Areas to be excluded from morphing. If ALL, exclude all selected areas [ASEL]. If XAREA = P, graphical picking is enabled. A component may be substituted for XAREA. If XAREA is blank (default), allow morphing of nodes attached to areas of the selected volumes (VOLU) which are not shared by unselected volumes. (See Notes for clarification).

RMSHKY

Remesh flag option:

0
 —

Remesh the selected non-structural volumes only if mesh morphing fails.

1
 —

Remesh the selected non-structural volumes and bypass mesh morphing.

2
 —

Perform mesh morphing only and do not remesh.

Notes

The selected volumes should include only non-structural regions adjacent to structural regions. DVMORPH will morph the non-structural volumes to coincide with the deflections of the structural regions.

Nodes in the structural regions move in accordance with computed displacements. Displacements from a structural analysis must be in the database prior to issuing DVMORPH.

By default, nodes attached to areas can move along the areas. You can use XAREA to restrain nodes on certain areas.

By default (RMSHKY = 0), DVMORPH will remesh the selected non-structural volumes entirely if a satisfactory morphed mesh cannot be provided.

If boundary conditions and loads are applied directly to nodes and elements, the DVMORPH command requires that these be removed before remeshing can take place.

Exercise care with initial conditions defined by the IC command. Before a structural analysis is performed for a sequentially coupled analysis, the DVMORPH command requires that initial conditions be removed from all null element type nodes in the non-structural regions. Use ICDELE to delete the initial conditions.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Meshing>Modify Mesh>Phys Morphing>Volumes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/DV3D 		Up / Home Next
DYNOPT


DYNOPT

Release 11.0 Documentation for ANSYS

Commands Reference | D Commands |

DYNOPT

Specifies "Dynamic analysis options" as the subsequent status topic.

SOLUTION: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Solution>Dynamics Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DVMORPH 		Up / Home Next
E Commands


E Commands

Table of Contents

E - Defines an element by node connectivity.
EALIVE - Reactivates an element (for the birth and death capability).
EDADAPT - Activates adaptive meshing in an explicit dynamic analysis.
EDALE - Assigns mesh smoothing to explicit dynamic elements that use the ALE formulation.
EDASMP - Creates a part assembly to be used in an explicit dynamic analysis.
EDBOUND - Defines a boundary plane for sliding or cyclic symmetry.
EDBX - Creates a box shaped volume to be used in a contact definition for explicit dynamics.
EDBVIS - Specifies global bulk viscosity coefficients for an explicit dynamics analysis.
EDCADAPT - Specifies adaptive meshing controls for an explicit dynamic analysis.
EDCGEN - Specifies contact parameters for an explicit dynamics analysis.
EDCLIST - Lists contact entity specifications in an explicit dynamics analysis.
EDCMORE - Specifies additional contact parameters for a given contact definition in an explicit dynamic analysis.
EDCNSTR - Defines various types of constraints for an explicit dynamic analysis.
EDCONTACT - Specifies contact surface controls for an explicit dynamics analysis.
EDCPU - Specifies CPU time limit for an explicit dynamics analysis.
EDCRB - Constrains two rigid bodies to act as one in an explicit dynamics analysis.
EDCSC - Specifies whether to use subcycling in an explicit dynamics analysis.
EDCTS - Specifies mass scaling and scale factor of computed time step for an explicit dynamics analysis.
EDCURVE - Specifies data curves for an explicit dynamic analysis.
EDDAMP - Defines mass weighted (Alpha) or stiffness weighted (Beta) damping for an explicit dynamics model.
EDDBL - Selects a numerical precision type of the explicit dynamics analysis.
EDDC - Deletes or deactivates/reactivates contact surface specifications in an explicit dynamic analysis.
EDDRELAX - Activates initialization to a prescribed geometry or dynamic relaxation for the explicit analysis.
EDDUMP - Specifies output frequency for the explicit dynamic restart file (d3dump).
EDELE - Deletes selected elements from the model.
EDENERGY - Specifies energy dissipation controls for an explicit dynamics analysis.
EDFPLOT - Allows plotting of explicit dynamics forces and other load symbols.
EDGCALE - Defines global ALE controls for an explicit dynamic analysis.
/EDGE - Displays only the "edges" of an object.
EDHGLS - Specifies the hourglass coefficient for an explicit dynamics analysis.
EDHIST - Specifies time-history output for an explicit dynamic analysis.
EDHTIME - Specifies the time-history output interval for an explicit dynamics analysis.
EDINT - Specifies number of integration points for explicit shell and beam output.
EDIPART - Defines inertia for rigid parts in an explicit dynamics analysis.
EDIS - Specifies stress initialization in an explicit dynamic full restart analysis.
EDLCS - Defines a local coordinate system for use in explicit dynamics analysis.
EDLOAD - Specifies loads for an explicit dynamics analysis.
EDMP - Defines material properties for an explicit dynamics analysis.
EDNB - Defines a nonreflecting boundary in an explicit dynamic analysis.
EDNDTSD - Allows smoothing of noisy data for explicit dynamics analyses and provides a graphical representation of the data.
EDNROT - Applies a rotated coordinate nodal constraint in an explicit dynamics analysis.
EDOPT - Specifies the type of output for an explicit dynamics analysis.
EDOUT - Specifies time-history output (ASCII format) for an explicit dynamics analysis.
EDPART - Configures parts for an explicit dynamics analysis.
EDPC - Selects and plots explicit dynamic contact entities.
EDPL - Plots a time dependent load curve in an explicit dynamic analysis.
EDPVEL - Applies initial velocities to parts or part assemblies in an explicit dynamic analysis.
EDRC - Specifies rigid/deformable switch controls in an explicit dynamic analysis.
EDRD - Switches a part from deformable to rigid or from rigid to deformable in an explicit dynamic analysis.
EDREAD - Reads explicit dynamics output into variables for time-history postprocessing.
EDRI - Defines inertia properties for a new rigid body that is created when a deformable part is switched to rigid in an explicit dynamic analysis.
EDRST - Specifies the output interval for an explicit dynamic analysis.
EDRUN - Specify LS-DYNA serial or parallel processing.
EDSHELL - Specifies shell computation controls for an explicit dynamics analysis.
EDSOLV - Specifies "explicit dynamics solution" as the subsequent status topic.
EDSP - Specifies small penetration checking for contact entities in an explicit dynamic analysis.
EDSTART - Specifies status (new or restart) of an explicit dynamics analysis.
EDTERM - Specifies termination criteria for an explicit dynamic analysis.
EDTP - Plots explicit elements based on their time step size.
EDVEL - Applies initial velocities to nodes or node components in an explicit dynamic analysis.
EDWELD - Defines a massless spotweld or generalized weld for use in an explicit dynamic analysis.
EDWRITE - Writes explicit dynamics input to an LS-DYNA input file.
/EFACET - Specifies the number of facets per element edge for PowerGraphics displays.
EGEN - Generates elements from an existing pattern.
EINTF - Defines two-node elements between coincident or offset nodes.
EKILL - Deactivates an element (for the birth and death capability).
ELEM - Specifies "Elements" as the subsequent status topic.
ELIST - Lists the elements and their attributes.
EMAGERR - Calculates the relative error in an electrostatic or electromagnetic field analysis.
EMATWRITE - Forces the writing of all the element matrices to File.EMAT.
EMF - Calculates the electromotive force (emf), or voltage drop along a predefined path.
EMFT - Summarizes electromagnetic forces and torques.
EMID - Adds or removes midside nodes.
EMIS - Specifies emissivity as a material property for the Radiation Matrix method.
EMODIF - Modifies a previously defined element.
EMORE - Adds more nodes to the just-defined element.
EMSYM - Specifies circular symmetry for electromagnetic sources.
EMTGEN - Generates a set of TRANS126 elements.
EMUNIT - Specifies the system of units for magnetic field problems.
EN - Defines an element by its number and node connectivity.
ENDRELEASE - Specifies degrees of freedom to be decoupled for end release.
ENERSOL - Specifies the total energies to be stored.
ENGEN - Generates elements from an existing pattern.
ENORM - Reorients shell element normals or line element node connectivity.
ENSYM - Generates elements by symmetry reflection.
/EOF - Exits the file being read.
EORIENT - Reorients solid element normals.
EPLOT - Produces an element display.
EQSLV - Specifies the type of equation solver.
ERASE - Explicitly erases the current display.
/ERASE - Specifies that the screen is to be erased before each display.
EREAD - Reads elements from a file.
EREFINE - Refines the mesh around specified elements.
EREINF - Generates reinforcing elements from selected existing (base) elements.
ERESX - Specifies extrapolation of integration point results.
ERNORM - Controls error estimation calculations.
ERRANG - Specifies the element range to be read from a file.
ESCHECK - Perform element shape checking for a selected element set.
ESEL - Selects a subset of elements.
/ESHAPE - Displays elements with shapes determined from the real constants or section definition.
ESIZE - Specifies the default number of line divisions.
ESLA - Selects those elements associated with the selected areas.
ESLL - Selects those elements associated with the selected lines.
ESLN - Selects those elements attached to the selected nodes.
ESLV - Selects elements associated with the selected volumes.
ESOL - Specifies element data to be stored from the results file.
ESORT - Sorts the element table.
ESSOLV - Performs a coupled electrostatic-structural analysis.
ESTIF - Specifies the matrix multiplier for deactivated elements.
ESURF - Generates elements overlaid on the free faces of existing selected elements.
ESYM - Generates elements from a pattern by a symmetry reflection.
ESYS - Sets the element coordinate system attribute pointer.
ET - Defines a local element type from the element library.
ETABLE - Fills a table of element values for further processing.
ETCHG - Changes element types to their corresponding types.
ETCONTROL - Control the element technologies used in element formulation (for applicable elements).
ETDELE - Deletes element types.
ETLIST - Lists currently defined element types.
ETYPE - Specifies "Element types" as the subsequent status topic.
EUSORT - Restores original order of the element table.
EWRITE - Writes elements to a file.
/EXIT - Stops the run and returns control to the system.
EXP - Forms the exponential of a variable.
EXPAND - Displays the results of a modal cyclic symmetry analysis.
/EXPAND - Allows the creation of a larger graphic display than represented by the actual finite element analysis model.
EXPASS - Specifies an expansion pass of an analysis.
EXPROFILE - Exports ANSYS interface loads to a CFX Profile file.
EXPSOL - Specifies the solution to be expanded for reduced analyses.
EXTOPT - Controls options relating to the generation of volume elements from area elements.
EXTREM - Lists the extreme values for variables.
EXUNIT - Indicates units assumed for an interface load for ANSYS to CFX transfer.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
DYNOPT 		Up / Home Next
E


E

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

E, I, J, K, L, M, N, O, P

Defines an element by node connectivity.

PREP7: Elements

MP ME ST PR PRN <> <> FL EM <> <> PP <>

I

Number of node assigned to first nodal position (node I). If I = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

J, K, L, M, N, O, P

Number assigned to second (node J) through eighth (node P) nodal position, if any.

Notes

Defines an element by its nodes and attribute values. Up to 8 nodes may be specified with the E command. If more nodes are needed for the element, use the EMORE command. The number of nodes required and the order in which they should be specified are described in Chapter 4 of the Elements Reference for each element type. Elements are automatically assigned a number [NUMSTR] as generated. The current (or default) MAT, TYPE, REAL, SECNUM and ESYS attribute values are also assigned to the element.

When creating elements with more than 8 nodes using this command and the EMORE command, it may be necessary to turn off shape checking using the SHPP command before issuing this command. If a valid element type can be created without using the additional nodes on the EMORE command, this command will create that element. The EMORE command will then modify the element to include the additional nodes. If shape checking is active, it will be performed before the EMORE command is issued. Therefore, if the shape checking limits are exceeded, element creation may fail before the EMORE command modifies the element into an acceptable shape.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Elements>Auto Numbered>Thru Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
E Commands 		Up / Home Next
EALIVE


EALIVE

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EALIVE, ELEM

Reactivates an element (for the birth and death capability).

SOLUTION: Birth and Death

MP ME ST <> <> <> <> <> <> <> <> PP <>

ELEM

Element to be reactivated. If ALL, reactivate all selected elements [ESEL]. If ELEM = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for ELEM.

Notes

Reactivates the specified element when the birth and death capability is being used. An element can be reactivated only after it has been deactivated with the EKILL command. Reactivated elements have a zero strain (or thermal heat storage, etc.) state.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Birth & Death>Activate Elem
Main Menu>Solution>Load Step Opts>Other>Birth & Death>Activate Elem

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
E 		Up / Home Next
EDADAPT


EDADAPT

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDADAPT, PART, Key

Activates adaptive meshing in an explicit dynamic analysis.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

PART

Part ID (number) for which adaptive meshing is to be turned on (or off). Use PART = STAT to list the current adaptive meshing definitions.

Key

Adaptivity key:

OFF
 —

Do not use adaptive meshing for the specified part ID (default).

ON
 —

Use adaptive meshing for the specified part ID.

Command Default

Adaptive meshing is off for all parts in the model.

Notes

When adaptive meshing (adaptivity) is turned on, the mesh will automatically be regenerated to ensure adequate element aspect ratios. Adaptive meshing is most commonly used in the analysis of large deformation processes such as metal forming, in which the blank would need to be adaptively meshed.

Adaptive meshing is only valid for parts consisting of SHELL163 elements. By default, adaptive meshing is OFF for all parts in the model. To specify adaptive meshing for more than one part in the model, you must issue the EDADAPT command for each part ID. Use the EDPART command to create and list valid part IDs. Use the EDCADAPT command to define additional adaptive meshing parameters.

The EDADAPT command is not supported in an explicit dynamic full restart analysis (EDSTART,3). In addition, a full restart cannot be performed successfully if adaptive meshing was used in the previous analysis.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Analysis Options>Adaptive Meshing>Apply to Part
Main Menu>Solution>Analysis Options>Adaptive Meshing>Status

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EALIVE 		Up / Home Next
EDALE


EDALE

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDALE, Option, --, AFAC, BFAC, --, DFAC, EFAC, START, END

Assigns mesh smoothing to explicit dynamic elements that use the ALE formulation.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Label identifying the option to be performed:

ADD
 —

Add smoothing controls (default).

DELETE
 —

Delete smoothing controls.

LIST
 —

List smoothing controls.

--

Unused field.

AFAC

Simple average smoothing weight factor (default = 0).

BFAC

Volume weighted smoothing weight factor (default = 0).

--

Unused field.

DFAC

Equipotential smoothing weight factor (default = 0).

EFAC

Equilibrium smoothing weight factor (default = 0). EFAC is only applicable to PLANE162 elements.

START

Start time for ALE smoothing (default = 0).

END

End time for ALE smoothing (default = 1e20).

Command Default

The Lagrangian formulation is used for all elements by default.

Notes

Mesh smoothing specified by the EDALE command is only applicable to PLANE162 and SOLID164 elements that are flagged to use the ALE formulation (KEYPOPT(5) = 1). To activate the ALE formulation, you must specify at least one smoothing weight factor on this command and the number of cycles between advection (NADV) on the EDGCALE command. See Arbitrary Lagrangian-Eulerian Formulation in the ANSYS LS-DYNA User's Guide for more information.

The EDALE command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Analysis Options>ALE Options>Define
Main Menu>Solution>Analysis Options>ALE Options>Delete All
Main Menu>Solution>Analysis Options>ALE Options>List All

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDADAPT 		Up / Home Next
EDASMP


EDASMP

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDASMP, Option, ASMID, PART1, PART2, PART3, PART4, PART5, PART6, PART7, PART8, PART9, PART10, PART11, PART12, PART13, PART14, PART15, PART16

Creates a part assembly to be used in an explicit dynamic analysis.

PREP7: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Label identifying the part assembly option to be performed.

ADD
 —

Adds a part assembly (default).

DELETE
 —

Deletes a part assembly.

LIST
 —

Lists each part assembly number, and the part numbers that make up each part assembly.

ASMID

User defined part assembly ID number. The part assembly number cannot be the same as any currently defined part ID number.

PART1, PART2, PART3, . . . , PART16

Part numbers to be included in the assembly (up to 16 different parts).

Command Default

Default for Option is ADD. You must specify ASMID to avoid an error message.

Notes

Several ANSYS LS-DYNA commands (such as EDCGEN, EDPVEL, and EDIS) refer to assembly ID numbers. If you intend to use assembly ID numbers with these commands, you must first define the assembly ID numbers using EDASMP.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>LS-DYNA Options>Assembly Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDALE 		Up / Home Next
EDBOUND


EDBOUND

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDBOUND, Option, Lab, Cname, XC, YC, ZC, Cname2, COPT

Defines a boundary plane for sliding or cyclic symmetry.

PREP7: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Label identifying the symmetry plane option to be performed.

ADD
—

Define a sliding or cyclic symmetry plane.

DELE
—

Delete a specified sliding or cyclic symmetry plane.

LIST
—

List defined sliding or cyclic symmetry planes.

Lab

Valid boundary options for defining a symmetry plane. A valid label must always be specified for adding, deleting, or listing boundary planes.

SLIDE
—

Sliding symmetry plane.

CYCL
—

Cyclic symmetry plane.

Cname

Name of existing component [CM] to which boundary symmetry is to be applied or deleted. Component must consist of nodes. For Option = LIST, a component is not required because all defined symmetry planes are listed for the specified Lab. For Option = DELE, use Cname = ALL to delete all symmetry planes currently defined for the specified Lab.

XC, YC, ZC

X, Y, and Z coordinates of the head of the vector defining normal (Lab = SLIDE) or axis of rotation (Lab = CYCL). The tail of the vector is at the global origin.

Cname2

Name of existing nodal component [CM] for which second cyclic boundary plane is to be applied. Each node in Cname2 component is constrained to a corresponding node in the first component set. Therefore, component Cname2 must have the same number of nodes as the Cname component. Cname2 is valid only for Lab = CYCL.

COPT

Specified constraint option for sliding plane symmetry. COPT is valid only for Lab = SLIDE. Valid COPT options are:

0
—

Nodes move on normal plane (default).

1
—

Nodes move only in vector direction.

Notes

For cyclic symmetry, the node numbers in component Cname2 must differ from the node numbers in Cname by a constant offset value. In addition, the nodes in Cname2 must have locations which, if given in cylindrical coordinates, all differ by the same angle from the nodes in Cname. The following figure shows how you would define components for a cyclic symmetry plane.

This command is also valid in SOLUTION.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>LS-DYNA Options>Constraints>Apply>Symm Bndry Plane
Main Menu>Preprocessor>LS-DYNA Options>Constraints>Delete>Symm Bndry Plane>Delete All
Main Menu>Preprocessor>LS-DYNA Options>Constraints>Delete>Symm Bndry Plane>Delete Individ
Main Menu>Solution>Constraints>Apply>Symm Bndry Plane
Main Menu>Solution>Constraints>Delete>Symm Bndry Plane>Delete All
Main Menu>Solution>Constraints>Delete>Symm Bndry Plane>Delete Individ

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDASMP 		Up / Home Next
EDBX


EDBX

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDBX, Option, BOXID, XMIN, XMAX, YMIN, YMAX, ZMIN, ZMAX

Creates a box shaped volume to be used in a contact definition for explicit dynamics.

PREP7: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Label identifying the contact box definition option to be performed.

ADD
 —

Adds a contact box definition (default).

DELETE
 —

Deletes a contact box definition.

LIST
 —

Lists each box ID number, and the coordinates that make up each box shaped volume.

BOXID

User defined list ID number.

XMIN

Minimum x-coordinate.

XMAX

Maximum x-coordinate.

YMIN

Minimum y-coordinate.

YMAX

Maximum y-coordinate.

ZMIN

Minimum z-coordinate.

ZMAX

Maximum z-coordinate.

Command Default

Default for Option is ADD. You must specify BOXID to avoid an error message.

Notes

The ANSYS LS-DYNA command EDCGEN allows you to define contact and target volumes using box ID numbers BOXID1 and BOXID2, respectively. If you use these arguments to define contact volumes, you must first define their coordinates using the EDBX command.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>LS-DYNA Options>Contact>Define Box

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDBOUND 		Up / Home Next
EDBVIS


EDBVIS

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDBVIS, QVCO, LVCO

Specifies global bulk viscosity coefficients for an explicit dynamics analysis.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

QVCO

Quadratic viscosity coefficient (defaults to 1.5).

LVCO

Linear viscosity coefficient (defaults to 0.06).

Notes

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Bulk Viscosity
Main Menu>Preprocessor>Material Props>Bulk Viscosity
Main Menu>Solution>Analysis Options>Bulk Viscosity
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Bulk Viscosity

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDBX 		Up / Home Next
EDCADAPT


EDCADAPT

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDCADAPT, FREQ, TOL, OPT, MAXLVL, BTIME, DTIME, LCID, ADPSIZE, ADPASS, IREFLG, ADPENE, ADPTH, MAXEL

Specifies adaptive meshing controls for an explicit dynamic analysis.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

FREQ

Time interval between adaptive mesh refinements (default = 0.0). Use FREQ = STAT to list the current adaptive meshing control settings.

TOL

Adaptive angle tolerance (in degrees) for which adaptive meshing will occur (default = 1e31). If the relative angle change between elements exceeds the specified tolerance value, the elements will be refined.

OPT

Adaptivity option:

1
 —

Angle change (in degrees) of elements is based on original mesh configuration (default).

2
 —

Angle change (in degrees) of elements is incrementally based on previously refined mesh.

MAXLVL

Maximum number of mesh refinement levels (default = 3). This parameter controls the number of times an element can be remeshed. Values of 1, 2, 3, 4, etc. allow a maximum of 1, 4, 16, 64, etc. elements, respectively, to be created for each original element.

BTIME

Birth time to begin adaptive meshing (default = 0.0).

DTIME

Death time to end adaptive meshing (default = 1e31).

LCID

Data curve number (previously defined on the EDCURVE command) identifying the interval of remeshing (no default). The abscissa of the data curve is time, and the ordinate is the varied adaptive time interval. If LCID is nonzero, the adaptive frequency (FREQ) is replaced by this load curve. Note that a nonzero FREQ value is still required to initiate the first adaptive loop.

ADPSIZE

Minimum element size to be adapted based on element edge length (default = 0.0).

ADPASS

One or two pass adaptivity option.

0
 —

Two pass adaptivity (default).

1
 —

One pass adaptivity.

IREFLG

Uniform refinement level flag (no default). Values of 1, 2, 3, etc. allow 4, 16, 64, etc. elements, respectively, to be created uniformly for each original element.

ADPENE

Adaptive mesh flag for starting adaptivity when approaching (positive ADPENE value) or penetrating (negative ADPENE value) the tooling surface (default = 0.0).

ADPTH

Absolute shell thickness level below which adaptivity should begin. This option works only if the adaptive angle tolerance (TOL) is nonzero. If thickness based adaptive remeshing is desired without angle change, set TOL to a large angle. The default is ADPTH = 0.0, which means this option is not used.

MAXEL

Maximum number of elements at which adaptivity will be terminated (no default). Adaptivity is stopped if this number of elements is exceeded.

Command Default

No adaptive meshing.

Notes

The EDCADAPT command globally sets the control options for all part IDs that are to be adaptively meshed (see the EDADAPT command). Because FREQ defaults to zero, you must input a nonzero value in this field in order to activate adaptive meshing. You must also specify a reasonable value for TOL since the default adaptive angle tolerance (1e31) will not allow adaptive meshing to occur.

The EDCADAPT command is not supported in an explicit dynamic full restart analysis (EDSTART,3).

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Analysis Options>Adaptive Meshing>Global Settings
Main Menu>Solution>Analysis Options>Adaptive Meshing>Status

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDBVIS 		Up / Home Next
EDCGEN


EDCGEN

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDCGEN, Option, Cont, Targ, FS, FD, DC, VC, VDC, V1, V2, V3, V4, BTIME, DTIME, BOXID1, BOXID2

Specifies contact parameters for an explicit dynamics analysis.

PREP7: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Label identifying the contact behavior (dictates the meaning of V1 through V4).

AG
 —

Automatic general contact.

ANTS
 —

Automatic nodes-to-surface contact.

ASSC
 —

Automatic single surface contact.

ASS2D
 —

Automatic 2-D single surface contact.

ASTS
 —

Automatic surface-to-surface contact.

DRAWBEAD
 —

Drawbead contact

ENTS
 —

Eroding nodes-to-surface contact.

ESS
 —

Eroding single surface contact.

ESTS
 —

Eroding surface-to-surface contact.

FNTS
 —

Forming nodes-to-surface contact.

FOSS
 —

Forming one way surface-to-surface contact.

FSTS
 —

Forming surface-to-surface contact.

NTS
 —

Nodes-to-surface contact.

OSTS
 —

One way surface-to-surface contact.

RNTR
 —

Rigid nodes to rigid body contact.

ROTR
 —

Rigid body to rigid body (one way) contact.

SE
 —

Single edge contact.

SS
 —

Single surface contact.

STS
 —

Surface-to-surface contact.

TDNS
 —

Tied nodes-to-surface contact.

TSES
 —

Tied shell edge-to-surface contact.

TDSS
 —

Tied surface-to-surface contact.

TNTS
 —

Tiebreak nodes-to-surface contact

TSTS
 —

Tiebreak surface-to-surface contact.

Cont

Contact surface identified by a component name [CM] , a part ID number [EDPART], or an assembly ID number [EDASMP]. If a component name is input, the component must contain nodes that represent the contact surface (assemblies are not valid for a component name). Alternatively, a part number may be input that identifies a group of elements as the contact surface, or an assembly number may be input containing a maximum of 16 parts. The assembly ID number must be greater than the highest number used for the part ID. Cont is not required for automatic general contact, single edge contact, and single surface contact options (Option = AG, SE, ASSC, ESS, and SS). For automatic 2-D single surface contact (ASS2D), Cont must be defined as a part assembly. For eroding node-to-surface contact (ENTS), Cont must be defined as a nodal component. For eroding single surface contact (ESS) and eroding surface-to-surface contact (ESTS), Cont must be defined as a part ID or part assembly.

Targ

Target surface identified by a component name [CM] , a part ID number [EDPART], or an assembly ID number [EDASMP]. If a component name is input, the component must contain nodes that represent the target surface (assemblies are not valid for a component name). Alternatively, a part number may be input that identifies a group of elements as the target surface, or an assembly number may be input containing a maximum of 16 parts. The assembly ID number must be greater than the highest number used for the part ID. Targ is not defined for automatic general contact, single edge contact, automatic single surface contact, eroding single surface contact, single surface contact, and automatic 2-D single surface contact options (Option = AG, SE, ASSC, ESS, SS, and ASS2D). For eroding node-to-surface contact (ENTS) and eroding surface-to-surface contact (ESTS), Targ must be defined as a part ID or part assembly.

FS

Static friction coefficient (defaults to 0).

FD

Dynamic friction coefficient (defaults to 0).

DC

Exponential decay coefficient (defaults to 0).

VC

Coefficient for viscous friction (defaults to 0).

VDC

Viscous damping coefficient in percent of critical damping (defaults to 0).

V1, V2, V3, V4

Additional input for drawbead, eroding, rigid, and tiebreak contact. The meanings of V1-V4 will vary, depending on Option. See the table below for V1-V4 definitions.

Additional input for drawbead contact (Option = DRAWBEAD):

V1
 —

Load curve ID giving the bending component of the restraining force per unit draw bead length as a function of draw bead displacement. V1 must be specified.

V2
 —

Load curve ID giving the normal force per unit draw bead length as a function of draw bead displacement. V2 is optional.

V3
 —

Draw bead depth.

V4
 —

Number of equally spaced integration points along the draw bead (default = 0, in which case ANSYS LS-DYNA calculates this value based on the size of the elements that interact with the draw bead).

Additional input for eroding contact (Option = ENTS, ESS, or ESTS):

V1
 —

Symmetry plane option. The purpose of this option is to retain the correct boundary conditions in a model with symmetry.

0
 —

Off (default).

1
 —

Do not include faces with normal boundary constraints (e.g., segments of brick elements on a symmetry plane).

V2
 —

Erosion/interior node option.

0
 —

Erosion occurs only at exterior boundaries.

1
 —

Interior eroding contact can occur (default).

V3
 —

Adjacent material treatment for solid elements.

0
 —

Solid element faces are included only for free boundaries (default).

1
 —

Solid element faces are included if they are on the boundary of the material subset. This option also allows erosion within a body and the consequent treatment of contact.

Additional input for rigid contact (Option = RNTR or ROTR):

V1
 —

Data curve id for force versus deflection behavior [EDCURVE]. Also specify V2. (No default.)

V2
 —

Force calculation method for rigid contact. (No default.)

1
 —

Data curve gives total normal force on surface versus maximum penetration of any node (only applicable for Option = ROTR).

2
 —

Data curve gives normal force on each node versus penetration of node through the surface (Option = RNTR or ROTR).

3
 —

Data curve gives normal pressure versus penetration of node through the surface (only applicable for Option = RNTR).

V3
 —

Unloading stiffness for rigid contact. This should not be larger than the maximum value used in the data curve. The default is to unload along the data curve (specified on V1).

Additional input for tiebreak surface-to-surface contact (Option = TSTS). V1 and V2 are used to calculate the failure criterion:

V1
 —

Normal failure stress. (No default.)

V2
 —

Shear failure stress. (No default.)

Additional input for tiebreak nodes-to-surface contact (Option = TNTS). V1 through V4 are used to calculate the failure criterion:

V1
 —

Normal failure force. Only tensile failure (i.e., tensile normal forces) will be considered in the failure criterion. (No default.)

V2
 —

Shear failure force. (No default.)

V3
 —

Exponent for normal force. (Defaults to 2.)

V4
 —

Exponent for shear force. (Defaults to 2.)

BTIME

Birth time for which contact definition will become active (defaults to 0.0).

DTIME

Death time for which contact definition will become inactive (defaults to 1e21).

BOXID1

Contact volume as defined using the EDBX command (valid only when defining contact with parts or assemblies).

BOXID2

Target volume as defined using the EDBX command (valid only when defining contact with parts or assemblies).

Command Default

No contact defined.

Notes

The frictional coefficient used for contact is determined from FS, FD, and DC, and is assumed to be dependent on the relative velocity of the surfaces in contact:

µc = FD+(FS-FD) e-DC(vrel)

The coefficient for viscous friction, VC, is necessary to limit the friction force to a maximum. A limiting force is computed:

Flim = VC(Acont)

where Acont is the area of the segment contacted by the node in contact. The suggested value for VC is to use the yield stress in shear:

where σo is the yield stress of the contacted material.

If a part number is input for Cont or Targ, it must represent a valid explicit dynamics part definition. For example, an elastic material for explicit dynamics requires EX, NUXY, and DENS. If any part of the material definition is missing for the part, the EDCGEN command will be ignored.

In addition to the contact parameters on this command, you can specify penalty scale factors for the contact (slave) and target (master) surfaces by using the EDCMORE command.

Duplicate definitions of the same contact type on the same components or parts will cause only one contact to be defined (previous definitions will be ignored). Duplicate definitions of different contact types on the same components or parts will cause multiple contact types to be defined.

Use the EDCLIST and EDDC commands to list and delete contact surface specifications. Use the EDPC command to select and plot contact entities.

The EDCGEN command is not supported in an explicit dynamic full restart analysis (EDSTART,3). Thus, you cannot add new contact specifications in a full restart. You can use the EDCLIST command to list any contact specifications that were defined in the previous analysis.

EDCGEN is also valid in SOLUTION.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>LS-DYNA Options>Contact>Define Contact

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDCADAPT 		Up / Home Next
EDCLIST


EDCLIST

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDCLIST, NUM

Lists contact entity specifications in an explicit dynamics analysis.

PREP7: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

NUM

Number identifying contact entity to be listed. Use NUM = ALL to list all contact entities (ALL is the default).

Notes

Lists contact entity specifications previously defined with the EDCGEN command. The listing will include any contact parameters defined using the EDCMORE command.

This command is also valid in SOLUTION.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>LS-DYNA Options>Contact>List Entities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDCGEN 		Up / Home Next
EDCMORE


EDCMORE

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDCMORE, Option, NUM, --, VAL1,VAL2

Specifies additional contact parameters for a given contact definition in an explicit dynamic analysis.

PREP7: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Label identifying the option to be performed.

ADD
 —

Define contact parameters for the contact entity specified by NUM (default).

DELE
 —

Delete contact parameters (VAL1 and VAL2) for the contact entity specified by NUM. If NUM = ALL, all contact parameters previously defined by EDCMORE are deleted.

NUM

Contact entity number. This contact entity must have been previously defined with the EDCGEN command. Use EDCLIST to obtain a list of contact entity numbers.

--

Unused field.

VAL1

Penalty scale factor for slave (contact) surface (SFS); default = 1.

VAL2

Penalty scale factor for master (target) surface (SFM); default = 1.

Command Default

For all contract definitions, SFS = 1 and SFM = 1.

Notes

You can use the EDCMORE command to specify two additional contact parameters (SFS and SFM) for a specific contact definition. These parameters will apply only to the contact entity number entered on the NUM field. Use the EDCLIST command to obtain a list of contact definitions and their corresponding contact entity numbers. The listing produced by EDCLIST will include any contact parameters specified with the EDCMORE command.

When you use the EDDC command to delete a contact definition, any parameters you specified with EDCMORE for that contact definition will also be deleted. To delete only the parameters specified by EDCMORE for a given contact definition, use the command EDCMORE,DELE,NUM.

Note

When you delete a contact definition with the EDDC command, the contact entity numbers will be renumbered for the remaining contact definitions. Therefore, you should always issue EDCLIST to obtain a current list of contact entity numbers before adding or deleting contact parameters with the EDCMORE command.

The EDCMORE command is also valid in SOLUTION.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>LS-DYNA Options>Contact>Additional Parms

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDCLIST 		Up / Home Next
EDCNSTR


EDCNSTR

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDCNSTR, Option, Ctype, Comp1, Comp2, VAL1

Defines various types of constraints for an explicit dynamic analysis.

PREP7: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Label identifying the option to be performed.

ADD
 —

Define a constraint (default).

DELE
 —

Delete the constraint specified by Ctype, Comp1, and Comp2. If Ctype = ALL, all constraints are deleted.

LIST
 —

List all of the constraints previously defined by the EDCNSTR command.

Ctype

Constraint type. The command format will vary, depending on the Ctype value.

ENS
 —

Extra node set added to an existing rigid body.

NRB
 —

Nodal rigid body.

STS
 —

Tie between a shell edge and solid elements.

RIVET
 —

Massless rivet between two noncoincident nodes.

If Ctype = ENS, the command format is EDCNSTR,Option,ENS,Comp1,Comp2

Comp1

Part number of the existing rigid body to which nodes will be added. The rigid body must be previously defined with the EDMP command. EDMP defines a rigid body based on material reference number (MAT). You must determine the corresponding part number (EDPART) for input in this field.

Comp2

Component name identifying extra nodes to be added to the rigid body specified by Comp1. Comp2 must be a nodal component and must not be attached to any other rigid body.

If Ctype = NRB, the command format is EDCNSTR,Option,NRB,Comp1, --,VAL1

Comp1

Component name identifying a set of nodes that are to be defined as a rigid body. The component may consist of nodes from several different deformable parts.

--

This field is not used for Ctype = NRB.

VAL1

Coordinate system ID number (CID) to be used for output of data. The coordinate system must have been previously defined with the EDLCS command.

If Ctype = STS, the command format is EDCNSTR,Option,STS,Comp1,Comp2

Comp1

Node number of the shell element node that will be tied to solid element nodes that are specified by Comp2. The Comp1 node must lie along the edge of a shell element and be coincident to at least one node included in Comp2.

Comp2

Component name consisting of solid element nodes (up to nine nodes) to which the shell element node will be tied. Comp2 must consist of nodes that are on solid elements, and the nodes must define a line that will remain linear throughout the analysis. At least one of the nodes in Comp2 must be coincident with the shell node specified in Comp1.

If Ctype = RIVET, the command format is EDCNSTR,Option,RIVET,Comp1,Comp2

Comp1

Node number of the first node on the rivet.

Comp2

Node number of the second node on the rivet. This node cannot have the same coordinates as the first node specified by Comp1.

Notes

The EDCNSTR command allows you to define several types of constraints in an explicit dynamic analysis. A brief description of each constraint type is given below. See Constraints and Initial Conditions in the ANSYS LS-DYNA User's Guide for more information.

Extra Node Set Added to a Rigid Body (Ctype = ENS)

The ability to add extra nodes to an existing rigid body has many potential applications, including placing nodes where joints will be attached between rigid bodies, defining nodes where point loads will be applied, and defining a lumped mass at a specific location. The extra nodes specified by Comp2 may be located anywhere in the model and may have coordinates outside those of the original rigid body specified by Comp1.

Nodal Rigid Body (Ctype = NRB)

Unlike typical rigid bodies that are defined with the EDMP command, nodal rigid bodies defined with the EDCNSTR command are not associated with a part number. This can be advantageous for modeling rigid (welded) joints in a model. For a rigid joint, portions of different flexible components (having different MAT IDs) act together as a rigid body. It is difficult to define this type of rigid body with a unique MAT ID (and corresponding part number). However, the rigid joint can be easily defined using a nodal rigid body.

Shell Edge to Solid Tie (Ctype = STS)

The STS option ties regions of solid elements to regions of shell elements. A single shell node may be tied to up to nine brick element nodes that define a “fiber” vector. Solid element nodes constrained in this way remain linear throughout the analysis but can move relative to each other in the fiber direction.

Rivet between Two Nodes (Ctype = RIVET)

The RIVET option defines a massless rigid constraint between two nodes, similar to spotwelds defined with the EDWELD command. Unlike a spotweld, however, rivets contain nodes that are noncoincident, and failure cannot be specified. When a rivet is defined, the distance between the nodes is kept constant throughout any motion that occurs during a simulation. Nodes connected by a rivet cannot be part of any other constraints specified in the model.

The EDCNSTR command is also valid in SOLUTION.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>LS-DYNA Options>Constraints>Apply>Additional Nodal
Main Menu>Solution>Constraints>Apply>Additional Nodal

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDCMORE 		Up / Home Next
EDCONTACT


EDCONTACT

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDCONTACT, SFSI, RWPN, IPCK, SHTK, PENO, STCC, ORIE, CSPC, PENCHK

Specifies contact surface controls for an explicit dynamics analysis.

PREP7: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

SFSI

Scale factor for sliding interface penalties. Defaults to 0.1.

RWPN

Scale factor for rigid wall penalties (defaults to 0). If RWPN = 0, rigid bodies interacting with rigid walls are not considered. If RWPN>0, rigid bodies interact with fixed rigid walls. A value of 1.0 should be optimal; however, this may be problem dependent.

IPCK

Initial contact surface penetration checking option:

1
 —

No checking.

2
 —

Full check of initial penetration is performed (default).

SHTK

Shell thickness contact option for surface-to-surface and nodes-to-surface contact (see Notes below):

0
 —

Thickness is not considered (default).

1
 —

Thickness is considered, except in rigid bodies.

2
 —

Thickness is considered, including rigid bodies.

PENO

Penalty stiffness option (options 4 and 5 are useful for metal forming calculations):

1
 —

Minimum of master segment and slave node (default).

2
 —

Use master segment stiffness.

3
 —

Use slave node value.

4
 —

Use area or mass weighted slave node value.

5
 —

Use slave node value inversely proportional to shell thickness. (This may require special scaling and is not generally recommended.)

STCC

Shell thickness change option for single surface contact:

1
 —

Shell thickness changes are not considered (default).

2
 —

Shell thickness changes are included.

ORIE

Option for automatic reorientation of contact surface segments during initialization:

1
 —

Activate for automated (part ID) input only (default).

2
 —

Activate for manual (nodal component) and automated (part ID) input.

3
 —

Do not activate.

CSPC

Contact surface penetration check multiplier, used if small penetration checking is on (PENCHK = 1 or 2). Defaults to 4.

PENCHK

Small penetration check, used only for contact types STS, NTS, OSTS, TNTS, and TSTS. If the contact surface node penetrates more than the target thickness times CSPC, the penetration is ignored and the contacting node is set free. The target thickness is the element thickness for shell elements, or 1/20 of the shortest diagonal for solid elements.

0
 —

Penetration checking is off (default).

1
 —

Penetration checking is on.

2
 —

Penetration checking is on, but shortest diagonal is used.

Notes

The thickness offsets are always included in single surface, automatic surface-to-surface, and automatic nodes-to-surface contact. The shell thickness change option must be used [EDSHELL,,,1] and a nonzero value must be specified for SHTK before the shell thickness changes can be included in the surface-to-surface contact type. Additionally, STCC must be set to 2 if thickness changes are to be included in the single surface contact algorithms.

To reset the contact options to default values, issue the EDCONTACT command with no fields specified.

This command is also valid in SOLUTION.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>LS-DYNA Options>Contact>Advanced Controls

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDCNSTR 		Up / Home Next
EDCPU


EDCPU

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDCPU, CPUTIME

Specifies CPU time limit for an explicit dynamics analysis.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

CPUTIME

CPU time limit (in seconds) for the current phase of the analysis (defaults to 0). If CPUTIME = 0, no CPU time limit is set. CPUTIME values below 0 are not allowed.

Notes

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Analysis Options>CPU Limit

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDCONTACT 		Up / Home Next
EDCRB


EDCRB

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDCRB, Option, NEQN, PARTM, PARTS

Constrains two rigid bodies to act as one in an explicit dynamics analysis.

PREP7: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Label identifying the option to be performed:

ADD
 —

Define an equation to constrain two rigid bodies (default).

DELE
 —

Delete the equation (specified by NEQN) that constrains two rigid bodies. If NEQN is blank, all equations constraining rigid bodies are deleted.

LIST
 —

List constrained rigid bodies specified by NEQN. If NEQN is blank, all constrained rigid bodies are listed.

NEQN

Equation reference number. Defaults to PARTS. NEQN should be a unique number for each pair of PARTM and PARTS. If it is not unique, the equation reference number defined last will overwrite any previously defined NEQN with the same number.

PARTM

PART number [EDPART] identifying the master rigid body. This value is ignored if the DELE or LIST labels are specified. No default; you must enter a value.

PARTS

PART number [EDPART] identifying the slave rigid body. This value is ignored if the DELE or LIST labels are specified. No default; you must enter a value.

Notes

EDCRB is valid only for materials defined as rigid bodies with the EDMP,RIGID command. EDCRB automatically generates a constraint equation to force the specified rigid bodies to behave as a single rigid body. The slave rigid body takes on the material properties and loading of the master rigid body. Any loads [EDLOAD] existing on the slave rigid body are ignored.

To create a single large rigid body from several smaller bodies, use a series of EDCRB commands. With the first command, specify a master and slave to create the first combined rigid body. Then, using that body as the master, specify another slave to create a larger rigid body. Continue the process, using the expanding rigid body as the master and adding slave bodies until you have defined the desired large rigid body. All slave rigid bodies will take on the material properties and loading of the original master rigid body. Note that you will need to use different NEQN values for each pair of PARTM and PARTS. This command will be ignored if you specify the previously-defined master rigid body as a slave rigid body in the same analysis. To change the master and slave definitions, first use the DELE option to delete all master and slave definitions, and then use the ADD option to redefine them.

The equation number, NEQN, is a reference number by which the constrained bodies can be identified for listing and deleting purposes on the EDCRB command. For any other reference to the constrained bodies (loading, contact definitions, etc.), use the master body part number (PARTM).

This command is also valid in SOLUTION.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Coupling / Ceqn>Rigid Body CE

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDCPU 		Up / Home Next
EDCSC


EDCSC

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDCSC, Key

Specifies whether to use subcycling in an explicit dynamics analysis.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Key

Subcycling key:

OFF
—

Do not use subcycling (default).

ON
—

Use subcycling.

Command Default

No subcycling.

Notes

Subcycling can be used to speed up an analysis when element sizes within a model vary significantly. Relatively small elements will result in a small time step size. When subcycling is on, the minimum time step size is increased for the smallest elements.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Time Controls>Subcycling

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDCRB 		Up / Home Next
EDCTS


EDCTS

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDCTS, DTMS, TSSFAC

Specifies mass scaling and scale factor of computed time step for an explicit dynamics analysis.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

DTMS

Time step size for mass scaled solutions (defaults to 0).

TSSFAC

Scale factor for computed time step. Defaults to 0.9; if high explosives are used, the default is lowered to 0.67.

Command Default

No mass scaling; scale factor for computed time step = 0.9.

Notes

If DTMS is positive, the same time step size will be used for all elements and mass scaling will be done for all elements. Therefore, positive values should only be used if inertial effects are insignificant.

If DTMS is negative, mass scaling is applied only to elements whose calculated time step size is smaller than DTMS. Negative values should only be used in transient analyses if the mass increases are insignificant.

In order to use mass scaling in an explicit dynamic small restart analysis (EDSTART,2) or full restart analysis (EDSTART,3), mass scaling must have been active in the original analysis. The time step and scale factor used in the original analysis will be used by default in the restart. You can issue EDCTS in the restart analysis to change these settings.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Time Controls>Time Step Ctrls

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDCSC 		Up / Home Next
EDCURVE


EDCURVE

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDCURVE, Option, LCID, Par1, Par2

Specifies data curves for an explicit dynamic analysis.

PREP7: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Label identifying the option to be performed.

ADD
 —

Define a data curve (default). If Option = ADD, Par1 and Par2 must be previously defined array parameters.

DELE
 —

Delete the specified data curve (LCID). If LCID is blank, all data curves are deleted. Par1 and Par2 are ignored for this option.

LIST
 —

List defined data curve (LCID). If LCID is blank, all data curves are listed. Par1 and Par2 are ignored for this option.

PLOT
 —

Plot defined data curve (LCID). If Option = PLOT, LCID must be previously defined with an EDCURVE command. Otherwise a warning message will report that LCID has not been defined. Par1 and Par2 are ignored for this option.

LCID

Data curve ID number (no default). Must be a positive integer.

Par1

Name of user-defined array parameter that contains the abscissa values of the curve data (e.g., time, effective plastic strain, effective strain rate, displacement, etc.).

Par2

Name of user-defined array parameter that contains the ordinate values of the curve data (e.g., damping coefficients, initial yield stress, elastic modulus, force, etc.) corresponding to the abscissa values in Par1.

Note

If the length of Par1 and Par2 are different, the shortest length will be used.

Notes

EDCURVE can be used to define material data curves (e.g., stress-strain) and load data curves (force-deflection) associated with material models in an explicit dynamics analysis. Material data specified by this command is typically required to define a particular material behavior (e.g., TB,HONEY), and the LCID number is used as input on the TBDATA command.

EDCURVE can also be used to define load curves that represent time dependent loads (force, displacement, velocity, etc.). Par1 must contain the time values, and Par2 must contain the corresponding load values. The LCID number assigned to the load curve can be used as input on the EDLOAD command.

Note

You cannot update a previously defined data curve by changing the array parameters that were input as Par1 and Par2. The data curve definition is written to the database at the time EDCURVE is issued. Therefore, subsequent changes to the array parameters that were used as input on EDCURVE will not affect the load curve definition. If you need to change the load curve definition, you must delete the load curve (EDCURVE,DELE,LCID) and define it again.

LCID identifies the data curve. If the value input for LCID is the same as the ID number for a data curve previously defined by EDCURVE, the previous data will be overwritten. Use EDCURVE,LIST and EDCURVE,PLOT to check existing data curves.

A starting array element number must be specified for Par1 and Par2. The input for these fields must be a single column array parameter, or a specific column from a multi-column array parameter. When using the GUI with multi-column parameters, you must specify the parameter name and starting position for Par1 and Par2 by typing the EDCURVE command in the Input Window. This is because only the parameter name is available through the dialog box, which pulls in the first position of a single-column array parameter.

If you need to change a curve definition in an explicit dynamic small restart analysis, issue EDSTART,2 first (to specify the restart), then issue the EDCURVE command. The revised curve must contain the same number of points as the curve it replaces. This limitation does not apply to a full restart analysis (EDSTART,3).

This command is also valid in SOLUTION.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Curve Options>Add Curve
Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Curve Options>Delete Curve
Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Curve Options>List Curve
Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Curve Options>Plot Curve
Main Menu>Preprocessor>LS-DYNA Options>Loading Options>Curve Options>Add Curve
Main Menu>Preprocessor>LS-DYNA Options>Loading Options>Curve Options>Delete Curve
Main Menu>Preprocessor>LS-DYNA Options>Loading Options>Curve Options>List Curve
Main Menu>Preprocessor>LS-DYNA Options>Loading Options>Curve Options>Plot Curve
Main Menu>Preprocessor>Material Props>Curve Options>Add Curve
Main Menu>Preprocessor>Material Props>Curve Options>Delete Curve
Main Menu>Preprocessor>Material Props>Curve Options>List Curve
Main Menu>Preprocessor>Material Props>Curve Options>Plot Curve
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Curve Options>Add Curve
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Curve Options>Delete Curve
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Curve Options>List Curve
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Curve Options>Plot Curve
Main Menu>Solution>Loading Options>Curve Options>Add Curve
Main Menu>Solution>Loading Options>Curve Options>Delete Curve
Main Menu>Solution>Loading Options>Curve Options>List Curve
Main Menu>Solution>Loading Options>Curve Options>Plot Curve

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDCTS 		Up / Home Next
EDDAMP


EDDAMP

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDDAMP, PART, LCID, VALDMP

Defines mass weighted (Alpha) or stiffness weighted (Beta) damping for an explicit dynamics model.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

PART

PART number [EDPART] identifying the group of elements to which damping should be applied. If PART = ALL (default), damping is applied to the entire model.

LCID

Load curve ID (previously defined with the EDCURVE command) identifying the damping coefficient versus time curve. If time-dependent damping is defined, an LCID is required.

VALDMP

Constant system damping coefficient or a scale factor applied to the curve defining damping coefficient versus time.

Notes

Mass-weighted (Alpha) or stiffness-weighted (Beta) damping can be defined with the EDDAMP command. Generally, stiffness proportional or beta damping is effective for oscillatory motion at high frequencies. This type of damping is orthogonal to rigid body motion and so will not damp out rigid body motion. On the other hand, mass proportional or alpha damping is more effective for low frequencies and will damp out rigid body motion. The different possibilities are described below:

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Global Damping

Mass-weighted or Alpha damping

When PART = (blank) or ALL (default), mass-weighted global damping can be defined in the following two ways. In this case, the same damping is applied for the entire structure.

  • When the damping coefficient versus time curve (LCID) is specified using the EDCURVE command, VALDMP is ignored by LS-DYNA (although it is written in the LS-DYNA input file Jobname.K). The damping force applied to each node in the model is given by fd = d(t)mv, where d(t) is the damping coefficient as a function of time defined by the EDCURVE command, m is the mass, and v is the velocity.

  • When the LCID is 0 or blank (default), a constant mass-weighted system damping coefficient can be specified using VALDMP.

The constant and time-dependent damping, described above, cannot be defined simultaneously. The last defined global damping will overwrite any previously defined global damping.

Damping defined for a PART

Mass-weighted or Alpha damping

When both a valid PART number is specified and the damping coefficient versus time curve (LCID) is specified using the EDCURVE command, mass-weighted time-dependent damping will be defined for the particular PART. In this case, VALDMP will act as a scaling factor for the damping versus time curve (if VALDMP is not specified, it will default to 1). A valid PART number must be specified to define this type of damping. For example, use PART =1 (and not blank) when the entire model consists of only one PART. Issue the command repeatedly with different PART numbers in order to specify alpha damping for different PARTS.

Stiffness-weighted or Beta damping

When a valid PART number is specified with LCID = 0 or (blank) (default), a stiffness-weighted (Beta) constant damping coefficient for this particular PART can be defined by VALDMP. The stiffness-weighted value corresponds to the percentage of damping in the high frequency domain. For example, 0.1 roughly corresponds to 10% damping in the high frequency domain. Recommended values range from 0.01 to 0.25. Values lower than 0.01 may have little effect. If a value larger than 0.25 is used, it may be necessary to lower the time step size significantly (see the EDCTS command). Issue the command repeatedly with different PART numbers in order to specify beta damping for different PARTS. Time-dependent stiffness-weighted damping is not available in ANSYS LS-DYNA.

The mass-weighted and stiffness-weighted damping, described above, cannot be defined simultaneously for a particular PART number. The last defined damping for the particular PART number will overwrite any previously defined mass-weighted or stiffness-weighted damping for this PART.

In order to define the mass-weighted and stiffness-weighted damping simultaneously, you can use the MP,DAMP command (instead of the EDDAMP,PART, ,VALDMP command) to define stiffness-weighted (Beta) constant damping coefficient. However, do not use both of these commands together to define stiffness-weighted (Beta) constant damping coefficient for a particular PART. If you do, duplicate stiffness-weighted (Beta) constant damping coefficients for this PART will be written to the LS-DYNA input file Jobname.K. The last defined value will be used by LS-DYNA. Also, note that the MP,DAMP command is applied on the MAT number, and not on the PART number. Since a group of elements having the same MAT ID may belong to more than one PART (the opposite is not true), you need to issue the MP,DAMP command only once for this MAT ID and the stiffness-weighted (Beta) damping coefficients will be automatically defined for all the PARTs with that MAT ID.

Mass-weighted and stiffness-weighted damping can be defined simultaneously using the EDDAMP command only when mass-weighted damping (constant or time-dependent) is defined as global damping (EDDAMP, ALL, LCID, VALDMP) and stiffness-weighted damping is defined for all necessary PARTs (EDDAMP,PART, ,VALDMP).

To remove defined global damping, reissue the EDDAMP, ALL command with LCID and VALDMP set to 0. To remove damping defined for a particular PART, reissue EDDAMP, PART, where PART is the PART number, with LCID and VALDMP set to 0. There is no default for the EDDAMP command, i.e., issuing the EDDAMP command with PART = LCID = VALDMP = 0 will result in an error. Stiffness-weighted damping defined by the MP,DAMP command can be deleted using MPDELE, DAMP, MAT.

In an explicit dynamic small restart (EDSTART,2) or full restart analysis (EDSTART,3), you can only specify global alpha damping. This damping will overwrite any alpha damping input in the original analysis. If you do not input global alpha damping in the restart, the damping properties input in the original analysis will carry over to the restart.

Damping specified by the EDDAMP command can be listed, along with other explicit dynamics specifications, by typing the command string EDSOLV$STAT into the ANSYS input window. Beta damping specified by the MP,DAMP command can be listed by MPLIST, MAT command.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Damping
Main Menu>Preprocessor>Material Props>Damping
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Damping

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDCURVE 		Up / Home Next
EDDBL


EDDBL

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDDBL, KEY

Selects a numerical precision type of the explicit dynamics analysis.

PREP7: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

KEY

Number or name identifying numerical precision to be used.

0 or SINGLE
 —

Select single precision version of LS-DYNA (default).

1 or DOUBLE
 —

Select double precision version of LS-DYNA.

STAT
 —

Check the status of the numerical precision in effect.

Notes

Sets the single or double precision version of LS-DYNA into effect. Please check the availability of the double precision version of LS-DYNA on your system before using the command. If it is not available, use the command default.

The double precision version may be up to 20% slower than the single precision version. The results may also vary based on problem specifications.

In addition to EDDBL,STAT, you can use the GUI dialog box to verify which precision version is currently chosen. The GUI is based on the database and is updated to reflect changes.

See Double Precision LS-DYNA for more information.

This command is also valid in SOLUTION.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Analysis Options>Double Precision

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDDAMP 		Up / Home Next
EDDC


EDDC

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDDC, Option, Ctype, Cont, Targ

Deletes or deactivates/reactivates contact surface specifications in an explicit dynamic analysis.

PREP7: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Option to be performed for contact definition specified by Ctype, Cont, and Targ.

DELE
 —

Delete the specified contact definition (default); valid only in a new analysis.

DACT
 —

Deactivate the specified contact definition; valid only in a small restart.

RACT
 —

Reactivate the specified contact definition (which was previously deactivated); valid only in a small restart.

Ctype

Contact behavior label (see EDCGEN command for valid labels).

Cont

Component name or part number [EDPART] identifying the contact surface.

Targ

Component name or part number [EDPART] identifying the target surface.

Notes

This command allows you to delete or deactivate/reactivate a particular contact specification that was defined by EDCGEN. The contact definition is identified by Ctype, Cont, and Targ (Note that Cont and Targ may not be required for Ctype = AG, SE, ASSC, ESS, and SS). The delete option (Option = DELE) permanently deletes the contact from the database. Any additional contact parameters defined with the EDCMORE command for the contact definition identified on this command will also be deleted or deactivated/reactivated.

You cannot delete contact specifications in an explicit dynamic small restart (EDSTART,2). However, you can use Option = DACT to deactivate a contact definition that is not needed in the small restart. That contact definition may then be reactivated in a subsequent small restart by using Option = RACT.

To delete or deactivate/reactivate all contact specifications for the entire model, use EDDC,Option,ALL.

The EDDC command is not supported in an explicit dynamic full restart analysis (EDSTART,3). Thus, you cannot delete, deactivate, or reactivate contact specifications in a full restart that were defined in the previous analysis.

This command is also valid in SOLUTION.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>LS-DYNA Options>Contact>Activate Entity
Main Menu>Preprocessor>LS-DYNA Options>Contact>Deactvate Entity
Main Menu>Preprocessor>LS-DYNA Options>Contact>Delete Entity

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDDBL 		Up / Home Next
EDDRELAX


EDDRELAX

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDDRELAX, Option, NRCYCK, DRTOL, DFFCTR, DRTERM, TSSFDR, IRELAL, EDTTL

Activates initialization to a prescribed geometry or dynamic relaxation for the explicit analysis.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Specifies when dynamic relaxation is activated.

ANSYS
 —

Stresses are initialized in ANSYS LS-DYNA to a prescribed geometry for small strains, according to the solution of an ANSYS (implicit) run. The explicit solution is based on the implicit X,Y,Z displacements and rotations contained in the drelax file (created with the REXPORT command).

DYNA
 —

Dynamic relaxation is on. When you use this option, you can specify some or all of the parameters NRCYCK, DRTOL, DFFCTR, DRTERM, TSSFDR, IRELAL, and EDTTL. Any parameters that you do not specify are set to their default values.

OFF
 —

Turn off initialization to a prescribed geometry (Option = ANSYS) or dynamic relaxation (Option = DYNA).

NRCYCK

Number of iterations between convergence checks for dynamic relaxation option. Default = 250.

DRTOL

Convergence tolerance for dynamic relaxation option. Default = 0.001.

DFFCTR

Dynamic relaxation factor. Default = 0.995.

DRTERM

Optional termination time for dynamic relaxation. Termination occurs at this time, or when convergence is attained, whichever comes first. Default = infinity.

TSSFDR

Scale factor for computed time step during dynamic relaxation. If zero, the value is set to TSSFAC (defined on the EDCTS command). After converging, the scale factor is reset to TSSFAC.

IRELAL

Automatic control for dynamic relaxation option based on algorithm of Papadrakakis.

0
 —

Not active (default).

1
 —

Active.

EDTTL

Convergence tolerance on automatic control of dynamic relaxation (default = 0.04).

Notes

Use Option = ANSYS when running an implicit-to-explicit sequential solution to initialize the structure to a static solution performed earlier by the ANSYS implicit solver. Use Option = DYNA to perform dynamic relaxation within the LS-DYNA program. Use Option = OFF to turn off previously specified stress initialization or dynamic relaxation. You must specify the Option you want; there is no default.

In LS-DYNA, the dynamic relaxation is performed before the regular transient analysis. The convergence process of the dynamic relaxation is not written to the ANSYS history file. The ANSYS results files only include the converged result of the dynamic relaxation, which is the result at time zero in the Jobname.HIS and Jobname.RST files.

You can restart a dynamic relaxation analysis (EDSTART,2 or EDSTART,3) from a previous transient analysis or a previous dynamic relaxation analysis. In the restart, you can change or set the convergence criteria with the EDDRELAX command. Only the load curves that are flagged for dynamic relaxation (PHASE = 1 or 2 on EDLOAD) are applied after restarting. If you restart the explicit portion of an implicit-to-explicit sequential solution, you do not need to reissue the REXPORT command because displacement information contained in the drelax file is already included in the LS-DYNA restart file. If the dynamic relaxation is activated from a regular transient analysis, LS-DYNA continues the output of data to ANSYS results files. This is unlike the dynamic relaxation phase at the beginning of the calculation for which only the converged solution is written.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Analysis Options>Dynamic Relax

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDDC 		Up / Home Next
EDDUMP


EDDUMP

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDDUMP, NUM, DT

Specifies output frequency for the explicit dynamic restart file (d3dump).

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

NUM

Number of d3dump (restart) files written during the analysis (defaults to 1). When you specify NUM, the time interval between restart files is TIME / NUM, where TIME is the analysis end-time specified on the TIME command.

DT

Time interval at which the d3dump (restart) files are written. If NUM is input, DT is ignored.

Command Default

One restart file is written at the end of the analysis.

Notes

You can use NUM or DT to specify the time interval at which d3dump restart files will be written. You should not specify both quantities; if both are input, NUM will be used. The restart files are written sequentially as d3dump01, d3dump02, etc.

In LS-DYNA, the restart file output is specified in terms of number of time steps. Because the total number of time steps is not known until the LS-DYNA solution finishes, ANSYS calculates an approximate number of time steps for the solution, and then uses NUM or DT to calculate the required LS-DYNA input. This approximated number of time steps may be different from the total number reached in LS-DYNA after the solution finishes. Therefore, the number of restart dump files or the output interval may differ slightly from what you requested using NUM or DT.

In an explicit dynamic small restart (EDSTART,2) or full restart analysis (EDSTART,3), the EDDUMP setting will default to the NUM or DT value used in the original analysis. You can issue EDDUMP in the restart to change this setting.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Output Controls>File Output Freq>Number of Steps
Main Menu>Solution>Output Controls>File Output Freq>Time Step Size

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDDRELAX 		Up / Home Next
EDELE


EDELE

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDELE, IEL1, IEL2, INC

Deletes selected elements from the model.

PREP7: Elements

MP ME ST PR PRN <> <> FL EM <> <> PP <>

IEL1, IEL2, INC

Delete elements from IEL1 to IEL2 (defaults to IEL1) in steps of INC (defaults to 1). If IEL1 = ALL, IEL2 and INC are ignored and all selected elements [ESEL] are deleted. If IEL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for IEL1 (IEL2 and INC are ignored).

Notes

Deleted elements are replaced by null or "blank" elements. Null elements are used only for retaining the element numbers so that the element numbering sequence for the rest of the model is not changed by deleting elements. Null elements may be removed (although this is not necessary) with the NUMCMP command. If related element data (pressures, etc.) are also to be deleted, delete that data before deleting the elements. EDELE is for unattached elements only. You can use the xCLEAR family of commands to remove any attached elements from the database.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Circuit>Delete Elements
Main Menu>Preprocessor>Modeling>Delete>Elements
Main Menu>Preprocessor>Modeling>Delete>Pre-tens Elemnts

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDDUMP 		Up / Home Next
EDENERGY


EDENERGY

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDENERGY, HGEN, SWEN, SIEN, RLEN

Specifies energy dissipation controls for an explicit dynamics analysis.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

HGEN

Hourglass energy control key:

OFF or 0
—

Hourglass energy is not computed.

ON or 1
—

Hourglass energy is computed and included in the energy balance (default).

SWEN

Stonewall energy dissipation control key:

OFF or 0
—

Stonewall energy dissipation is not computed.

ON or 1
—

Stonewall energy dissipation is computed and included in the energy balance (default).

SIEN

Sliding interface energy dissipation control key:

OFF or 0
—

Sliding interface energy dissipation is not computed.

ON or 1
—

Sliding interface energy dissipation is computed and included in the energy balance (default).

RLEN

Rayleigh (damping) energy dissipation control key:

OFF or 0
—

Rayleigh energy dissipation is not computed.

ON or 1
—

Rayleigh energy dissipation is computed and included in the energy balance (default).

Notes

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Analysis Options>Energy Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDELE 		Up / Home Next
EDFPLOT


EDFPLOT

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDFPLOT, Key

Allows plotting of explicit dynamics forces and other load symbols.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Key

Load symbol plotting key.

ON or 1
 —

Turn display of load symbols on (default).

OFF or 0
 —

Turn display of load symbols off.

Command Default

Display of load symbols on.

Notes

You must issue EDFPLOT,ON to display explicit dynamics load symbols. The explicit load symbols are erased automatically upon a subsequent plot command.

An explicit load symbol always indicates a positive load direction (e.g., positive X direction for FX load), even if the load value is negative. The load symbol does not reflect the load magnitude. You can use standard ANSYS symbol controls to control the appearance of the load symbol. No load symbol is displayed for temperature loads.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>LS-DYNA Options>Loading Options>Show Forces
Main Menu>Solution>Loading Options>Show Forces
Utility Menu>PlotCtrls>Symbols

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDENERGY 		Up / Home Next
EDGCALE


EDGCALE

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDGCALE, NADV, METH

Defines global ALE controls for an explicit dynamic analysis.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

NADV

Number of cycles between advection (default = 0).

METH

Advection method.

0
 —

Donor cell + Half Index Shift (first order accurate) (default).

1
 —

Van Leer + Half Index Shift (second order accurate).

Command Default

The Lagrangian formulation is used for all elements by default.

Notes

This command sets global ALE controls in an explicit dynamic analysis. These ALE controls apply to all PLANE162 or SOLID164 elements in the model that are flagged to use the ALE formulation (KEYPOPT(5) = 1). To activate the ALE formulation, you must specify the number of cycles between advection on this command and at least one smoothing weight factor on the EDALE command. See Arbitrary Lagrangian-Eulerian Formulation in the ANSYS LS-DYNA User's Guide for more information.

To see the current EDGCALE settings, issue the command EDALE,LIST.

The EDGCALE command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Analysis Options>ALE Options>Define

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDFPLOT 		Up / Home Next
/EDGE


/EDGE

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

/EDGE, WN, KEY, ANGLE

Displays only the "edges" of an object.

GRAPHICS: Style

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number (or ALL) to which command applies (defaults to 1).

KEY

Edge key:

Elements Plots

0
 —

Display common lines between all adjacent element faces.

1
 —

Display only the common lines between non-coplanar faces (that is, show only the edges).

Contour Plots

0
 —

Display only the common lines between non-coplanar faces.

1
 —

Display common lines between all element faces.

ANGLE

Largest angle between two faces for which the faces are considered to be coplanar (0° to 180°). Defaults to 45°. A smaller angle produces more edges, a larger angle produces fewer edges.

Command Default

For element plots, display common lines between all adjacent element faces. For contour plots, display only the common lines between non-coplanar faces.

Notes

The ANGLE field is used in PowerGraphics to determine geometric discontinuities. It is a tolerance measure for the differences between the normals of the surfaces being considered. Values within the tolerance are accepted as coplanar (geometrically continuous).

A surface can be displayed as an edge outline without interior detail. This is useful for both geometry and postprocessing displays. Element outlines are normally shown as solid lines for geometry and displacement displays. Lines common to adjacent "coplanar" element faces are removed from the display. Midside nodes of elements are ignored. The /SHRINK option is ignored with the edge option. /EDGE is not supported for PLESOL and /ESHAPE displays when in PowerGraphics mode [/GRAPHICS,POWER].

The /EDGE command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Style>Edge Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDGCALE 		Up / Home Next
EDHGLS


EDHGLS

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDHGLS, HGCO

Specifies the hourglass coefficient for an explicit dynamics analysis.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

HGCO

Hourglass coefficient value (defaults to 0.1). Values greater than 0.15 may cause instabilities.

Notes

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Hourglass Ctrls>Global
Main Menu>Preprocessor>Material Props>Hourglass Ctrls>Global
Main Menu>Solution>Analysis Options>Hourglass Ctrls>Global
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Hourglass Ctrls>Global

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/EDGE 		Up / Home Next
EDHIST


EDHIST

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDHIST, Comp

Specifies time-history output for an explicit dynamic analysis.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Comp

Name of the component containing nodes or elements for which output is desired. Comp is required.

Command Default

No time-history output is written.

Notes

The time-history output is written to the file Jobname.HIS. Output is written only for the nodes or elements contained in Comp. The data is written at time intervals specified on the EDHTIME command. If no time interval is specified, output is written at 1000 steps over the analysis. (See also the EDOUT command which controls time-history output in ascii form for an explicit dynamics analysis.)

Use EDHIST,LIST to list the time-history output specification. (The listing will include output requested with the EDOUT command.) Use EDHIST,DELE to delete the time-history output specification.

Jobname.HIS is a binary file that is read by the ANSYS time-history postprocessor (POST26). If LS-DYNA output has been requested on the EDWRITE command [EDWRITE,LSDYNA or EDWRITE,BOTH], the file D3THDT will also be written. D3THDT is a binary file that is read by the LS-POST postprocessor.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Output Controls>Select Component

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDHGLS 		Up / Home Next
EDHTIME


EDHTIME

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDHTIME, NSTEP, DT

Specifies the time-history output interval for an explicit dynamics analysis.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

NSTEP

Number of steps at which output is written to the time-history file, Jobname.HIS, and the ASCII output files. Defaults to 1000. The time increment between output is TIME / NSTEP, where TIME is the analysis end-time specified on the TIME command.

DT

Time interval at which output is written to the time-history file, Jobname.HIS, and the ASCII output files. If NSTEP is input, DT is ignored.

Command Default

Time-history output is written at 1000 steps over the analysis.

Notes

EDHTIME controls the number of steps at which output will be written to the time-history file, Jobname.HIS (see the EDHIST command), and any ASCII files requested on the EDOUT command. You can use NSTEP or DT to specify the output interval. You should not specify both quantities; if both are input, NSTEP will be used.

In an explicit dynamic small restart (EDSTART,2) or full restart analysis (EDSTART,3), the EDHTIME setting will default to the NSTEP or DT value used in the original analysis. You can issue EDHTIME in the restart to change this setting.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Output Controls>File Output Freq>Number of Steps
Main Menu>Solution>Output Controls>File Output Freq>Time Step Size

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDHIST 		Up / Home Next
EDINT


EDINT

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDINT, SHELLIP, BEAMIP

Specifies number of integration points for explicit shell and beam output.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

SHELLIP

Number of shell integration points used for output (defaults to 3). For element SHELL163, each integration point is associated with a layer. SHELLIP must be [image] 3. If SHELLIP = 3, results are written for the shell top, middle, and bottom. If SHELLIP >3, then the results for the first SHELLIP layers are written.

BEAMIP

Number of beam integration points used for stress output for BEAM161 (defaults to 4).

Command Default

For SHELL163, output is available for the top, middle and bottom layers. For BEAM161, stress is available at 4 integration points (top-front, top-back, bottom-front, bottom-back). For the resultant beam formulation (KEYOPT(1) = 2), there is no stress output.

Notes

The number of integration points is defined by the element real constant NIP for both the beam elements (in the cross section) and the shell elements (through the thickness).

For shell elements that have only 1 or 2 integration points (NIP = 1 or 2), use the default of SHELLIP = 3. If NIP = 1, the same results are reported at the top, middle, and bottom layers. If the NIP = 2, the results at the bottom correspond to integration point 1, the results at the top correspond to integration point 2, and the results at the middle are an average of the top and bottom results.

For shell elements with 2 x 2 integration points in the plane, the data from the four points are averaged, and there is a single output value for each layer.

If you set BEAMIP = 0, no stress output is written for BEAM161 elements. In this case, the beams will not appear in any POST1 plots because the program assumes they are failed elements.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Output Controls>Integ Pt Storage

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDHTIME 		Up / Home Next
EDIPART


EDIPART

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDIPART, PART, Option, Cvect, TM, IRCS, Ivect, Vvect, CID

Defines inertia for rigid parts in an explicit dynamics analysis.

PREP7: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

PART

Part number for which the inertia is defined (the part number must have been previously generated using the EDPART command). The part should be composed of a rigid material (EDMP,RIGID). For Option = ADD, you must input a value; there is no default. For Option = DELE or LIST, PART defaults to all parts.

Option

ADD
—

Define inertia for the specified PART (default).

DELE
—

Delete the inertia properties for the specified PART. The remaining fields are ignored. If PART is blank, inertia properties previously specified using EDIPART are deleted for all rigid parts.

LIST
—

List the inertia properties for the specified PART. The remaining fields are ignored. If PART is blank, inertia properties are listed for all rigid parts.

Cvect

The vector containing the global Cartesian coordinates of the center of mass for the part. This vector must have been previously defined with a dimension of three (*DIM command) and filled in as shown below. If Cvect is blank, the global Cartesian origin (0,0,0) is used as the center of mass.

Cvect(1) -- X-coordinate of the center of mass
Cvect(2) -- Y-coordinate of the center of mass
Cvect(3) -- Z-coordinate of the center of mass
TM

Translation mass (no default, must be defined).

IRCS

Flag for inertia tensor reference coordinate system.

0 (or blank)
—

Global inertia tensor (default). You must supply all six inertia tensor components (see Ivect).

1
—

Principal moments of inertia with orientation vectors. You must supply IXX, IYY, IZZ (see Ivect) and CID.

Ivect

The name of a vector containing the components of the inertia tensor. This vector must have been previously defined (*DIM command) with a dimension of six and filled in as shown below. Vector entries 2, 3, and 5 are ignored if IRCS = 1. There is no default for this vector; it must be specified.

Ivect(1) -- IXX component of the inertia tensor
Ivect(2) -- IXY (set this entry to zero if IRCS = 1)
Ivect(3) -- IXZ (set this entry to zero if IRCS = 1)
Ivect(4) -- IYY component of the inertia tensor
Ivect(5) -- IYZ (set this entry to zero if IRCS = 1)
Ivect(6) -- IZZ component of the inertia tensor
Vvect

The name of a vector containing the initial velocity (relative to the global Cartesian coordinate system) of the rigid part. This vector must have been previously defined (*DIM command) with a dimension of six and filled in as shown below. If Vvect is blank, the initial velocity defaults to zero.

Vvect(1) -- Initial translational velocity of rigid body in X-direction
Vvect(2) -- Initial translational velocity of rigid body in Y-direction
Vvect(3) -- Initial translational velocity of rigid body in Z-direction
Vvect(4) -- Initial rotational velocity of rigid body about the X-axis
Vvect(5) -- Initial rotational velocity of rigid body about the Y-axis
Vvect(6) -- Initial rotational velocity of rigid body about the Z-axis
CID

Local coordinate system ID. This coordinate system must have been previously defined with the EDLCS command. You must input CID if IRCS = 1 (no default).

Command Default

Inertia properties are calculated by the program for all rigid parts.

Notes

The EDIPART command applies only to rigid parts (EDMP,RIGID). It allows you to input the inertia properties for the rigid part rather than having the program calculate the properties from the finite element mesh.

This command is also valid in Solution.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>LS-DYNA Options>Inertia Options>Define Inertia
Main Menu>Preprocessor>LS-DYNA Options>Inertia Options>Delete Inertia
Main Menu>Preprocessor>LS-DYNA Options>Inertia Options>List Inertia

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDINT 		Up / Home Next
EDIS


EDIS

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDIS, Option, PIDN, PIDO

Specifies stress initialization in an explicit dynamic full restart analysis.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Label identifying the option to be performed.

ADD
 —

Define stress initialization between parts (default).

DELE
 —

Delete stress initialization between parts.

LIST
 —

List stress initialization between parts.

PIDN

New part ID or part assembly ID in the full restart analysis (defaults to all parts in the model).

PIDO

Old part ID or part assembly ID in the previous analysis, (default to PIDN).

Command Default

No stress initialization is performed.

Notes

The EDIS command is only valid in an explicit dynamic full restart analysis (EDSTART,3). (EDIS is ignored if it is not preceded by the EDSTART,3 command.) Use EDIS to specify which parts and/or part assemblies should undergo stress initialization in the restart based on the stresses from the previous analysis. You can specify stress initialization for multiple parts (or part assemblies) by issuing EDIS multiple times. If you issue EDIS with no arguments, stress initialization is performed for all parts in the restart analysis that have a corresponding part (having the same part ID) in the previous analysis.

In a full restart analysis, the complete database is written as an LS-DYNA input file, Jobname_nn.K. When the LS-DYNA solution begins, LS-DYNA performs the stress initialization using file Jobname_nn.K and the restart dump file (d3dumpnn specified on the EDSTART command) from the previous analysis. At the end of initialization, all the parts that were specified by the EDIS commands are initialized from the data saved in the restart dump file. In order for the stress initialization to be performed successfully, the new parts in the full restart analysis and the old parts in the previous analysis must have the same number of elements, same element order, and same element topology. (The parts may have different identifying numbers.) If this is not the case, the stresses cannot be initialized. If part assemblies are used, the part assemblies must contain the same number of parts. (See A Full Restart in the ANSYS LS-DYNA User's Guide for more details).

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Analysis Options>Initial Stress

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDIPART 		Up / Home Next
EDLCS


EDLCS

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDLCS, Option, CID, X1, Y1, Z1, X2, Y2, Z2, X3, Y3, Z3

Defines a local coordinate system for use in explicit dynamics analysis.

PREP7: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Label identifying the option to be performed:

ADD
 —

Define a coordinate system (default).

DELE
 —

Delete a coordinate system. If CID is blank, all coordinate systems are deleted.

LIST
 —

List defined coordinate systems. If CID is blank, all coordinate systems are listed.

CID

Coordinate system ID.

X1, Y1, Z1

X, Y, and Z coordinates of a point on the local x-axis.

X2, Y2, Z2

X, Y, and Z coordinates of a point on the local x-y plane.

X3, Y3, Z3

X, Y, and Z coordinates of the origin. X3, Y3, and Z3 all default to zero.

Notes

Local coordinate systems defined by this command are used in an explicit dynamic analysis. For example, a local coordinate system may be used when defining orthotropic material properties (see EDMP).

The coordinate system is defined by 2 vectors, one from the origin (X3, Y3, Z3) to a point on the x-axis (X1, Y1, Z1), and one from the origin to a point on the x-y plane (X2, Y2, Z2). The cross product of these two vectors determines the z-axis, and the cross product of the z-axis vector and x-axis vector determines the y-axis. If X3, Y3, and Z3 are not specified, the global origin (0,0,0) is used by default (as shown in the figure below).

The x-axis vector and the xy vector should be separated by a reasonable angle to avoid numerical inaccuracies.

When you use the local coordinate system (defined by the EDLCS command) to define a load (EDLOAD command), the direction of the load will depend on the load type. For force and moment loads (Lab = FX, MX, etc. on EDLOAD), the load will be applied in the direction of the local coordinate system defined by EDLCS. For prescribed motion degrees of freedom (Lab = UX, ROTX, VX, AX, etc. on EDLOAD), the motion will act in the direction of a vector from point (X1, Y1, Z1) to point (X2, Y2, Z2) as input on EDLCS. See the EDLOAD command for more information.

This command is also valid in SOLUTION.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Local CS>Create Local CS
Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Local CS>Delete
Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Local CS>List
Main Menu>Preprocessor>LS-DYNA Options>Constraints>Apply>Local CS>Create Local CS
Main Menu>Preprocessor>LS-DYNA Options>Constraints>Apply>Local CS>Delete
Main Menu>Preprocessor>LS-DYNA Options>Constraints>Apply>Local CS>List
Main Menu>Preprocessor>Material Props>Local CS>Create Local CS
Main Menu>Preprocessor>Material Props>Local CS>Delete
Main Menu>Preprocessor>Material Props>Local CS>List
Main Menu>Solution>Constraints>Apply>Local CS>Create Local CS
Main Menu>Solution>Constraints>Apply>Local CS>Delete
Main Menu>Solution>Constraints>Apply>Local CS>List
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Local CS>Create Local CS
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Local CS>Delete
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Local CS>List

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDIS 		Up / Home Next
EDLOAD


EDLOAD

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDLOAD, Option, Lab, KEY, Cname, Par1, Par2, PHASE, LCID, SCALE, BTIME, DTIME

Specifies loads for an explicit dynamics analysis.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Label identifying the load option to be performed.

ADD
 —

Define a load (default). If Option = ADD, Cname must be a valid node or element component name (or PART number). You must also specify a load curve using Par1 and Par2 (previously defined array parameters) or LCID (a previously defined load curve).

DELE
 —

Delete specified load. If Lab and Cname are blank, all loads are deleted. Par1, Par2, PHASE, and LCID are ignored for this option.

LIST
 —

List specified load. If Lab and Cname are blank, all loads are listed. Par1, Par2, PHASE, and LCID are ignored for this option.

Lab

Valid load labels for loads applied to nodes:

FX, FY, FZ
 —

Forces.

MX, MY, MZ
 —

Moments.

UX, UY, UZ
 —

Displacements.

ROTX, ROTY, ROTZ
 —

Rotations.

VX, VY, VZ
 —

Velocities.

OMGX, OMGY, OMGZ
 —

Angular velocities.

AX, AY, AZ
 —

Accelerations (on nodes).

ACLX, ACLY, ACLZ
 —

Base accelerations.

TEMP
 —

Temperature.

Valid load labels for loads applied to elements:

PRESS
 —

Pressure (applied to an element).

Valid load labels for loads applied to rigid bodies:

RBFX, RBFY, RBFZ
 —

Forces on rigid bodies.

RBMX, RBMY, RBMZ
 —

Moments on rigid bodies.

RBUX, RBUY, RBUZ
 —

Displacements on rigid bodies.

RBRX, RBRY, RBRZ
 —

Rotations on rigid bodies.

RBVX, RBVY, RBVZ
 —

Velocities on rigid bodies.

RBOX, RBOY, RBOZ
 —

Angular velocities on rigid bodies.

KEY

When Lab = PRESS, KEY = Load key (face number) associated with a surface pressure load. Load keys (1,2,3, etc.) are listed under "Surface Loads" in the input data tables for each element type in the Elements Reference.

For most other values of Lab, KEY is a coordinate system identification number, CID from the EDLCS command. The CID will represent either a local coordinate system (used for loads labels FX, MX, etc.) or a direction vector (used for prescribed motion labels UX, ROTX, VX, AX, etc.). See the Notes section for more information on how the CID is used. If the load is in the global coordinate system, set KEY equal to zero, or leave it blank. Some load types do not support the CID key; see Birth Time, Death Time, and CID Support in the Notes section for more information.

For Lab = PRESS, KEY defaults to 1 when KEY is blank or when KEY = zero. For all other values of Lab, KEY defaults to zero.

Cname

Name of existing component [CM] or PART number [EDPART] to which this load is to be applied. For all load labels except the pressure load (Lab = PRESS) and the rigid body loads (Lab = RBxx), the component must consist of nodes. For pressure loads, the component must consist of elements. For rigid body loads, a part number must be input instead of a component name. The part number must correspond to a set of elements that has been identified as a rigid body [EDMP,RIGID,MAT].

Par1

Name of user-defined array parameter that contains the time values of the load.

Par2

Name of user-defined array parameter that contains the "data" values of the load corresponding to the time values in Par1.

Note

If the length of Par1 and Par2 are different, the shortest length will be used.

PHASE

Phase of the analysis in which the load curve is to be used.

0
 —

Curve is used in transient analysis only (default).

1
 —

Curve is used in stress initialization or dynamic relaxation only.

2
 —

Curve is used in both stress initialization (or dynamic relaxation) and transient analysis.

LCID

Data curve ID number representing the load curve to be applied. The load curve must have been previously defined using the EDCURVE command. If LCID is specified, Par1 and Par2 must be left blank (in the GUI, select “None” for Par1 and Par2).

SCALE

Load curve scale factor applied to the specified load curve. The scale value is applied to the data in Par2 or to the ordinate data in the load curve specified by LCID.

BTIME

Birth time, or time when imposed motion is activated. The default is 0.0. Some load types do not support birth and death time; see Birth Time, Death Time, and CID Support in the Notes section for more information.

DTIME

Death time, or time when imposed motion is removed. The default is 1 x 1038. Some load types do not support birth and death time; see Birth Time, Death Time, and CID Support in the Notes section for more information.

Notes

If a component name is input (Cname) and the specified component definition is changed before the SOLVE command, the last definition will be used.

You can specify the load data by inputting LCID (the ID number of a previously defined load curve) or by inputting the two array parameters Par1 and Par2 (which contain time and load values, respectively). The input for Par1 and Par2 may be a single column array parameter, or a specific column from a multi-column array parameter. A starting array element number can be specified for Par1 and Par2; if none is specified, array element 1 is used by default.

Note

You cannot update a previously defined load by changing the array parameters that were input as Par1 and Par2. The load definition is written to the database at the time EDLOAD is issued. Therefore, subsequent changes to the array parameters that were used as input on EDLOAD will not affect the load curve definition. If you need to change the load definition, you must delete the load (EDLOAD,DELE) and define it again.

EDLOAD automatically assigns a load number to each defined load. Use EDLOAD,LIST to obtain a list of loads and their corresponding load numbers. You can plot a load curve by inputting the load number on the EDPL command. The load numbers may change when loads are deleted (EDLOAD,DELE). Therefore, you should obtain a current list of load numbers (EDLOAD,LIST) before plotting a load curve.

For prescribed motion, we recommend that you specify velocity time histories instead of displacement time histories. Also, you should not specify nonzero initial displacements. A piecewise linear displacement time history may lead to discontinuous velocities and infinite accelerations.

By default, the load will be applied in the global Cartesian direction. You can define the load in a different direction by inputting a CID (coordinate system ID) value in the KEY field. The CID must be previously defined using the EDLCS command. For load labels (Lab = FX, FY, FZ, MX, MY, MZ, RBFX, RBFY, RBFZ, RBMX, RBMY, RBMZ), the load will be applied in the direction of the local coordinate system defined by EDLCS. For prescribed motion degrees of freedom labels (Lab = UX, UY, UZ, ROTX, ROTY, ROTZ, VX, VY, VZ, AX, AY, AZ, RBUX, RBUY, RBUZ, RBRX, RBRY, RBRZ, RBVX, RBVY, RBVZ, RBOX, RBOY, RBOZ), the motion will act in the direction of a vector defined by two points input on the EDLCS command. The origin and terminus ends of the vector are defined by the X1, Y1, Z1 and X2, Y2, Z2 fields, respectively, of EDLCS.

For Lab = OMGX, OMGY, and OMGZ, you may need to specify the origin location of the acceleration coordinate system [CGLOC].

When applying a temperature load (Lab = TEMP), you may also need to define a reference temperature via the TREF command. The thermal loading is defined as the difference between the applied temperature and the reference temperature. Note that EDLOAD,LIST will list only the temperature values specified on EDLOAD, not the temperature difference.

When applying loads to axisymmetric PLANE162 elements, the load may be interpreted differently depending on whether you use the area weighted or volume weighted option (KEYOPT(2)). See the PLANE162 element description in the Elements Reference for details.

Use PHASE = 0 when you are using the LS-DYNA solver to conduct a transient explicit analysis only or when you are conducting a sequential implicit/explicit analysis, in which the ANSYS (implicit) resulting displacements (stored in the `drelax' file from the REXPORT command) are used to preload the explicit model [EDDRELAX,ANSYS]

Use PHASE = 1 or 2 when you need to use LS-DYNA to preload the model (as opposed to ANSYS) before running the transient portion of the analysis. PHASE = 1 applies the load initially and then immediately removes the load. As a result, the load is removed, and the structure vibrates freely. PHASE = 2 applies the load and then continues to apply the load over the course of the transient analysis, so that the transient analysis includes the effect of the initial loading and continues to account for the initial loading.

Birth and Death times, as well as the CID key are supported only for the EDLOAD labels specified with a Yes in the following table.

Birth Time, Death Time, and CID Support

EDLOAD Label | Birth Time | Death Time | KEY = CID
FX, FY, FZ | No | No | Yes
MX, MY, MZ | No | No | Yes
UX, UY, UZ | Yes | Yes | Yes
ROTX, ROTY, ROTZ | Yes | Yes | Yes
VX, VY, VZ | Yes | Yes | Yes
OMGX, OMGY, OMGZ | No | No | No
AX, AY, AZ | Yes | Yes | Yes
ACLX, ACLY, ACLZ | No | No | No
TEMP | No | No | No
PRESS | Yes | No | No
RBFX, RBFY, RBFZ | No | No | Yes
RBMX, RBMY, RBMZ | No | No | Yes
RBUX, RBUY, RBUZ | Yes | Yes | Yes
RBRX, RBRY, RBRZ | Yes | Yes | Yes
RBVX, RBVY, RBVZ | Yes | Yes | Yes
RBOX, RBOY, RBOZ | Yes | Yes | Yes

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>LS-DYNA Options>Loading Options>Delete Loads>Delete All
Main Menu>Preprocessor>LS-DYNA Options>Loading Options>Delete Loads>Delete Individ
Main Menu>Preprocessor>LS-DYNA Options>Loading Options>Specify Loads
Main Menu>Solution>Loading Options>Delete Loads>Delete All
Main Menu>Solution>Loading Options>Delete Loads>Delete Individ
Main Menu>Solution>Loading Options>Specify Loads

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDLCS 		Up / Home Next
EDMP


EDMP

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDMP, Lab, MAT, VAL1, VAL2, VAL3, VAL4, VAL5, VAL6

Defines material properties for an explicit dynamics analysis.

PREP7: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Lab

Valid material property label. Applicable labels are listed under "Material Properties" in the input table for each explicit dynamics element type in the Elements Reference.

HGLS
 —

Hourglass and bulk viscosity properties (valid for PLANE162, SHELL163, SOLID164 using reduced integration, and SOLID168). VAL1 through VAL6 are also used. For those elements using full integration, HGLS is not applicable and the input has no effect.

RIGID
 —

Rigid body constraint (valid for LINK160, BEAM161, PLANE162, SHELL163, SOLID164, and SOLID168). VAL1 and VAL2 are also used.

CABLE
 —

Cable properties (valid for LINK167). VAL1 is optional input (see Notes).

ORTHO
 —

Defines a material coordinate system for the orthotropic material model (valid for PLANE162, SHELL163, SOLID164, and SOLID168) or the anisotropic material model (valid for SOLID164 and SOLID168). VAL1 is also used.

FLUID
 —

Fluid properties (valid for PLANE162, SOLID164, and SOLID168). VAL1 is optional input (see Notes).

MAT

Material reference number (defaults to the current MAT setting on MAT command).

VAL1, VAL2, VAL3, . . . , VAL6

Additional input for specified Lab material property. The meaning of VAL1 through VAL6 will vary, depending on Lab. See the table below for VAL1 through VAL6 definitions.

VAL1, VAL2, VAL3, . . . , VAL6 Definitions

Additional input for hourglass and bulk viscosity properties (Lab = HGLS).

VAL1
 —

Hourglass control type. For solid elements (PLANE162, SOLID164, and SOLID168), 5 options are available. For quadrilateral shell and membrane elements (SHELL163) with reduced integration, the hourglass control is based on the formulation of Belytschko and Tsay; i.e., options 1-3 are identical and options 4-5 are identical.

0, 1
 —

Standard LS-DYNA viscous form (default).

2
 —

Flanagan-Belytschko viscous form.

3
 —

Flanagan-Belytschko viscous form with exact volume integration for solid elements.

4
 —

Flanagan-Belytschko stiffness form.

5
 —

Flanagan-Belytschko stiffness form with exact volume integration for solid elements.

VAL2
 —

Hourglass coefficient. (Defaults to 0.1.) Values greater than 0.15 may cause instabilities. The recommended default applies to all options. The stiffness forms can stiffen the response (especially if deformations are large) and, therefore, should be used with care. For the shell and membrane elements, the value input for VAL1 is the membrane hourglass coefficient. VAL5 and VAL6 can also be input, but generally VAL2 = VAL5 = VAL6 is adequate.

VAL3
 —

Quadratic bulk viscosity coefficient. (Defaults to 1.5.)

VAL4
 —

Linear bulk viscosity coefficient. (Defaults to 0.06.)

VAL5
 —

Hourglass coefficient for shell bending. (Defaults to VAL2.)

VAL6
 —

Hourglass coefficient for shell warping. (Defaults to VAL2.)

Additional input for rigid body constraint (Lab = RIGID).

VAL1
 —

Translational constraint parameter (relative to global Cartesian coordinates).

0
 —

No constraints (default).

1
 —

Constrained X displacement.

2
 —

Constrained Y displacement.

3
 —

Constrained Z displacement.

4
 —

Constrained X and Y displacements.

5
 —

Constrained Y and Z displacements.

6
 —

Constrained Z and X displacements.

7
 —

Constrained X, Y, and Z displacements.

VAL2
 —

Rotational constraint parameter (relative to global Cartesian coordinates).

0
 —

No constraints (default).

1
 —

Constrained X rotation.

2
 —

Constrained Y rotation.

3
 —

Constrained Z rotation.

4
 —

Constrained X and Y rotations.

5
 —

Constrained Y and Z rotations.

6
 —

Constrained Z and X rotations.

7
 —

Constrained X, Y, and Z rotations.

Additional input for cable properties (Lab = CABLE).

VAL1
 —

Load curve ID defining engineering stress versus engineering strain (i.e., change in length over the initial length). If VAL1 and Young's modulus [MP,EX] are input, the load curve corresponding to VAL1 will be used and Young's modulus will be ignored.

Additional input for material coordinate system (Lab = ORTHO).

VAL1
 —

Coordinate system ID number from the EDLCS command. This coordinate system will be used to orient the orthotropic or anisotropic materials associated with the material number, MAT.

Additional input for fluid material properties (Lab = FLUID).

VAL1
 —

Bulk modulus of fluid. If VAL1 is not input, the bulk modulus will be calculated from the elastic modulus (EX) and Poisson's ratio (NUXY).

Notes

For Lab = RIGID, you must specify elastic modulus (EX), density (DENS), and Poisson's ratio (NUXY) [MP command]. For Lab = CABLE, you must specify density (DENS) and one of the following: Young's modulus (EX) or an engineering stress-strain curve (VAL1). For Lab = FLUID, you must specify either the bulk modulus (VAL1) or both Young's modulus (EX) and Poisson's ratio (NUXY) (if all three are specified, only VAL1 will be used).

After you define a rigid body using EDMP,RIGID, you may assign inertia properties to that rigid body using the EDIPART command.

EDMP,ORTHO is required for orthotropic or anisotropic material properties that are not aligned with the global Cartesian coordinate system.

Via the GUI, Lab = RIGID, CABLE, ORTHO, and FLUID are available through the material model interface. See Defining Explicit Dynamics Material Models in the ANSYS LS-DYNA User's Guide for more information.

Use the MPLIST and MPDELE commands to list and delete materials defined by the EDMP command.

This command is also valid in SOLUTION.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Hourglass Ctrls>Local
Main Menu>Preprocessor>Material Props>Hourglass Ctrls>Local
Main Menu>Solution>Analysis Options>Hourglass Ctrls>Local
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Hourglass Ctrls>Local

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDLOAD 		Up / Home Next
EDNB


EDNB

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDNB, Option, Cname, AD, AS

Defines a nonreflecting boundary in an explicit dynamic analysis.

PREP7: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Label identifying the nonreflecting boundary option to be performed.

ADD
 —

Define a nonreflecting boundary (default).

DELE
 —

Delete a nonreflecting boundary.

LIST
 —

List all defined nonreflecting boundaries (remaining fields are ignored).

Cname

Name of existing nodal component to which the nonreflecting boundary is to be added or deleted. For Option = DELE, use Cname = ALL to delete all defined nonreflecting boundaries.

AD

Activation flag for dilatational waves (dampers normal to waves).

0
 —

Dilatational activation flag is off (default).

1
 —

Dilatational activation flag is on.

AS

Activation flag for shear waves (dampers tangent to waves).

0
 —

Shear activation flag is off (default).

1
 —

Shear activation flag is on.

Notes

Nonreflecting boundaries can be defined on the external surfaces of SOLID164 and SOLID168 elements that are being used to model an infinite domain. They are typically used in geomechanical applications to limit the size of the model. For example, when a half space is being modeled with a finite geometry, the nonreflecting boundary option can be used to prevent artificial stress wave reflections generated at the boundary from reentering the model and contaminating the results.

When using nonreflecting boundaries, you should not constrain the nodes at the boundary; doing so would negate the presence of the dampers. Usually, the large mass of the finite domain is sufficient to resist motion.

This command is also valid in SOLUTION.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>LS-DYNA Options>Constraints>Apply>Non-Refl Bndry
Main Menu>Preprocessor>LS-DYNA Options>Constraints>Delete>Non-Refl Bndry>Delete All
Main Menu>Preprocessor>LS-DYNA Options>Constraints>Delete>Non-Refl Bndry>Delete Individ
Main Menu>Solution>Constraints>Apply>Non-Refl Bndry
Main Menu>Solution>Constraints>Delete>Non-Refl Bndry>Delete All
Main Menu>Solution>Constraints>Delete>Non-Refl Bndry>Delete Individ

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDMP 		Up / Home Next
EDNDTSD


EDNDTSD

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDNDTSD, Vect1, Vect2, DATAP, FITPT, Vect3, Vect4, DISP

Allows smoothing of noisy data for explicit dynamics analyses and provides a graphical representation of the data.

PREP7: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Vect1

Name of the first vector that contains the noisy data set (i.e., independent variable). You must create and fill this vector before issuing EDNDTSD.

Vect2

Name of the second vector that contains the dependent set of data. Must be the same length as the first vector. You must create and fill this vector before issuing EDNDTSD.

DATAP

Number of data points to be fitted, starting from the beginning of the vector. If left blank, the entire vector will be fitted. The maximum number of data points is 100,000 (or greater, depending on the memory of the computer).

FITPT

Curve fitting order to be used as a smooth representation of the data. This number should be less than or equal to the number of data points. However, because high order polynomial curve fitting can cause numerical difficulties, a polynomial order less than 7 is suggested. The default (blank) is one-half the number of data points or 7, which ever is less. The following values are available:

1
 —

Curve is the absolute average of all of the data points.

2
 —

Curve is the least square average of all of the data points.

3 or more
 —

Curve is a polynomial of the order (n-1), where n is the number of data fitting order points.

Vect3

Name of the vector that contains the smoothed data of the independent variable. This vector should have a length equal to or greater than the number of smoothed data points. In batch (command) mode, you must create this vector before issuing the EDNDTSD command. In interactive mode, the GUI automatically creates this vector (if it does not exist). If you do not specify a vector name, the GUI will name the vector smth_ind.

Vect4

Name of the vector that contains the smoothed data of the dependent variable. This vector must be the same length as Vect3. In batch (command) mode, you must create this vector before issuing the EDNDTSD command. In interactive mode, the GUI automatically creates this vector (if it does not exist). If you do not specify a vector name, the GUI will name the vector smth_dep.

DISP

Specifies how you want to display data. No default; you must specify an option.

1
 —

Unsmoothed data only

2
 —

Smoothed data only

3
 —

Both smoothed and unsmoothed data

Notes

You can control the attributes of the graph using standard ANSYS controls (/GRID, /GTHK, /COLOR, etc.). If working interactively, these controls appear in this dialog box for convenience, as well as in their standard dialog boxes. You must always create Vect1 and Vect2 (using *DIM) and fill these vectors before smoothing the data. If you're working interactively, ANSYS automatically creates Vect3 and Vect4, but if you're working in batch (command) mode, you must create Vect3 and Vect4 (using *DIM) before issuing EDNDTSD. Vect3 and Vect4 are then filled automatically by ANSYS. In addition, ANSYS creates an additional TABLE type array that contains the smoothed array and the unsmoothed data to allow for plotting later with *VPLOT. Column 1 in this table corresponds to Vect1, column 2 to Vect2, and column 3 to Vect4. This array is named Vect3_SMOOTH, up to a limit of 32 characters. For example, if the array name is X1, the table name is X1_SMOOTH.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Settings>Replace vs Add>Smooth Data
Main Menu>Preprocessor>LS-DYNA Options>Loading Options>Smooth Data
Main Menu>Solution>Define Loads>Settings>Replace vs Add>Smooth Data
Main Menu>Solution>Loading Options>Smooth Data
Main Menu>TimeHist Postpro>Smooth Data

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDNB 		Up / Home Next
EDNROT


EDNROT

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDNROT, Option, CID, Cname, DOF1, DOF2, DOF3, DOF4, DOF5, DOF6

Applies a rotated coordinate nodal constraint in an explicit dynamics analysis.

PREP7: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Label identifying the option to be performed:

ADD
 —

Add a rotated nodal coordinate constraint (default).

DELE
 —

Delete specified rotated nodal coordinate constraints.

LIST
 —

List all rotated nodal coordinate constraints.

CID

Coordinate system ID for which rotated nodal constraints will be added or deleted. The CID must have been previously defined with the EDLCS command. If Option = DELE, use CID = ALL to delete all previously specified nodal constraints.

Cname

Nodal component set to which the rotated coordinate constraint will be applied. Cname must be previously specified using the CM command.

DOF1, DOF2, DOF3, . . . , DOF6

Degrees of freedom for which the rotated nodal constraint will be applied. Valid degree of freedom labels include UX, UY, UZ, ROTX, ROTY, and ROTZ. If DOF1 = ALL, rotated nodal constraints will be applied to all degrees of freedom.

Notes

Constraints applied with EDNROT are zero displacement constraints.

This command is also valid in SOLUTION.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>LS-DYNA Options>Constraints>Apply>Rotated Nodal
Main Menu>Preprocessor>LS-DYNA Options>Constraints>Delete>Rotated Nodal>Delete All
Main Menu>Preprocessor>LS-DYNA Options>Constraints>Delete>Rotated Nodal>Delete Individ
Main Menu>Solution>Constraints>Apply>Rotated Nodal
Main Menu>Solution>Constraints>Delete>Rotated Nodal>Delete All
Main Menu>Solution>Constraints>Delete>Rotated Nodal>Delete Individ

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDNDTSD 		Up / Home Next
EDOPT


EDOPT

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDOPT, Option, --, Value

Specifies the type of output for an explicit dynamics analysis.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Label identifying the option to be performed:

ADD
 —

Define an output type specification (default).

DELE
 —

Delete an output type specification.

LIST
 —

List the current output type specification.

--

This field is reserved for future use.

Value

Label identifying the type of output that the LS-DYNA solver should produce:

ANSYS
 —

Write results files for the ANSYS postprocessors (default). The files that will be written are Jobname.RST and Jobname.HIS (see "Notes" below).

LSDYNA
 —

Write results files for the LS-DYNA postprocessor (LS-POST). The files that will be written are D3PLOT, and files specified by EDOUT and EDHIST (see "Notes" below).

BOTH
 —

Write results files for both ANSYS and LS-DYNA postprocessors.

Command Default

Output is written for the ANSYS postprocessors only.

Notes

By default, LS-DYNA will write the ANSYS results file Jobname.RST (see the EDRST command.) If Jobname.HIS is desired, you must also issue EDHIST.

Value = LSDYNA or BOTH will cause LS-DYNA to write results files for the LS-POST postprocessor. The D3PLOT file is always written for these two options. If other LS-POST files are desired, you must issue the appropriate EDHIST and EDOUT commands.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Output Controls>Output File Types

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDNROT 		Up / Home Next
EDOUT


EDOUT

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDOUT, Option

Specifies time-history output (ASCII format) for an explicit dynamics analysis.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Output data option. Each option corresponds to a separate file that is written by the LS-DYNA solver. If Option = ALL, all files except NODOUT and ELOUT are written. Valid options are:

GLSTAT
 —

Global data (default).

BNDOUT
 —

Boundary condition forces and energy.

RWFORC
 —

Wall force.

DEFORC
 —

Discrete element data.

MATSUM
 —

Material energies data.

NCFORC
 —

Nodal interface forces.

RCFORC
 —

Resultant interface force data.

DEFGEO
 —

Deformed geometry data.

SPCFORC
 —

SPC reaction force data.

SWFORC
 —

Nodal constraint reaction force data (spotwelds and rivets).

RBDOUT
 —

Rigid body data.

GCEOUT
 —

Geometry contact entities.

SLEOUT
 —

Sliding interface energy.

JNTFORC
 —

Joint force data.

NODOUT
 —

Nodal data.

ELOUT
 —

Element data.

Command Default

None of the above output is written.

Notes

This command specifies output to be written during an explicit dynamics solution. The data corresponding to each Option is written to a separate ASCII file having the same name as the Option label. The data is written for the entire model at time intervals specified by the EDHTIME command. If no time interval is specified, output is written at 1000 steps over the analysis. (See also the EDHIST command which specifies time-history output for a portion of the model.) The data written to the MATSUM file is actually for each PART number (EDPART) at time intervals specified by the EDHTIME command, but the data is listed following the Mat no. in the file.

For Option = NODOUT and ELOUT, you must specify a component; you must issue EDHIST before issuing EDOUT,NODOUT or EDOUT,ELOUT.

Use EDOUT,LIST to list the current time-history output specifications. (The listing will include output requested with the EDHIST command.) Use EDOUT,DELE to delete all output specifications that have been defined with the EDOUT command.

In order for the specified output files to be written, you must also request that explicit dynamics results be written to an LS-DYNA output file [EDWRITE,LSDYNA or EDWRITE,BOTH].

In an explicit dynamic small restart analysis (EDSTART,2) or full restart analysis (EDSTART,3), the same ASCII files that were requested for the original analysis are written by default for the restart. You can request different files by issuing the appropriate EDOUT commands in the restart analysis.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Output Controls>ASCII Output

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDOPT 		Up / Home Next
EDPART


EDPART

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDPART, Option, PARTID, Cname

Configures parts for an explicit dynamics analysis.

PREP7: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Option used to organize parts. (No default; Option must be specified.)

CREATE
 —

Creates new PART IDs assigned to groups of elements with unique combinations of MAT, TYPE, and REAL set numbers. If this option is issued repeatedly, the part list is overwritten, except for PART IDs created with the ADD option. Remaining fields are ignored for this option.

UPDATE
 —

Updates the PART IDs for the element groups without changing the order of the existing part list. If elements are redefined (or new elements are created) with different MAT, TYPE, or REAL set numbers, then use this option to create an updated list of PART IDs. Remaining fields are ignored for this option.

ADD
 —

Assigns a user-specified PART ID (PARTID) to the elements contained in the element component Cname, or to the currently selected set of elements if Cname = ALL. Use this option to assign a specific PART ID to an element group that has the same combination of MAT, TYPE, and REAL set numbers. An UPDATE operation is automatically performed on the currently selected set of elements immediately following the ADD operation.

DELE
 —

Deletes a PART ID assigned by the ADD option. PARTID is also required. An UPDATE operation is automatically performed on the currently selected set of elements immediately following the DELE operation.

LIST
 —

Lists the PART IDs for the element groups. The part list consists of five columns of numbers, one each for PART, MAT, TYPE, and REAL numbers, and one to indicate if the PART ID is used (including how many elements use it). The part list is based on the last CREATE or UPDATE operation. Remaining fields are ignored for this option.

PARTID

A positive integer to be used as PART ID for the elements specified by Cname (no default). The number input must not be currently used for an existing part (except when Option = DELE). Any previously defined PART IDs for the elements, whether assigned by the user or created by ANSYS LS-DYNA, will be overwritten. The user-specified PART ID will not be changed by subsequent EDPART,CREATE or EDPART,UPDATE commands.

Cname

Element component name for user-specified PART ID definition (Option = ADD). If Cname = ALL (default), all currently selected elements are considered for the part. The elements in the element component (or the currently selected set of elements if Cname = ALL or blank) must have the same combination of MAT, TYPE, and REAL set numbers, or the ADD option will be ignored.

Notes

Certain ANSYS LS-DYNA commands (such as EDCGEN, EDLOAD, EDREAD, etc.) refer to PART IDs. You must define PART IDs (EDPART,CREATE or EDPART,ADD) before using these commands.

If parts are repeatedly created using Option = CREATE, the part list is continuously overwritten. This may cause problems for previously defined commands that reference a part number that has changed. To avoid this problem, the part list should be updated (Option = UPDATE) rather than recreated to obtain the current part list.

EDPART,ADD allows you to assign a specific part number to a group of elements instead of a number generated by the ANSYS LS-DYNA program. The user-specified PART IDs will not be changed by subsequent EDPART,CREATE or EDPART,UPDATE commands. Thus, you can use EDPART,ADD to specify PART IDs for some element groups, and use EDPART,CREATE or EDPART,UPDATE to assign PART IDs for the remaining element groups. Use EDPART,DELE to delete a PART ID generated by the ADD option. In this case, ANSYS LS-DYNA will generate a new PART ID for those elements associated with the deleted PART ID.

After creating or updating the part list, use EDPART,LIST to list the PART IDs and choose the correct one for use with other ANSYS LS-DYNA commands. For a detailed discussion on PART IDs, see The Definition of Part in the ANSYS LS-DYNA User's Guide.

This command is also valid in SOLUTION.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>LS-DYNA Options>Parts Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDOUT 		Up / Home Next
EDPC


EDPC

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDPC, MIN, MAX, INC

Selects and plots explicit dynamic contact entities.

PREP7: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

MIN

Minimum contact entity number to be selected and plotted (default = 1).

MAX

Maximum contact entity number to be selected and plotted (default = MIN).

INC

Contact entity number increment (default = 1).

Notes

EDPC invokes an ANSYS macro which selects and plots explicit dynamic contact entities. The plot will consist of nodes or elements, depending on the method (node components or parts) that was used to define the contact surfaces (see the EDCGEN command). For single surface contact definitions, all external surfaces within the model are plotted.

Note

EDPC changes the selected set of nodes and elements. After plotting contact entities, you must reselect all nodes and elements (NSEL and ESEL) required for subsequent operations, such as SOLVE

Use the EDCLIST command to list the contact entity numbers for all defined contact.

This command is also valid in SOLUTION.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>LS-DYNA Options>Contact>Select and Plot

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDPART 		Up / Home Next
EDPL


EDPL

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDPL, LDNUM

Plots a time dependent load curve in an explicit dynamic analysis.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

LDNUM

Load number.

Notes

EDPL invokes an ANSYS macro which produces a load vs. time graph for a load defined with the EDLOAD command. Only one load curve can be plotted at a time. Use EDLOAD,LIST to obtain a list of loads and corresponding load numbers.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>LS-DYNA Options>Loading Options>Plot Load Curve
Main Menu>Solution>Loading Options>Plot Load Curve

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDPC 		Up / Home Next
EDPVEL


EDPVEL

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDPVEL, Option, PID, VX, VY, VZ, OMEGAX, OMEGAY, OMEGAZ, XC, YC, ZC, ANGX, ANGY, ANGZ

Applies initial velocities to parts or part assemblies in an explicit dynamic analysis.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Label identifying the option to be performed.

VGEN
 —

Define initial velocities for the part or part assembly based on translational velocities (relative to global Cartesian) and the rotational velocity about an arbitrary axis. For this option, use the fields VX, VY, VZ to specify the translational velocities, and use OMEGAX, XC, YC, ZC, ANGX, ANGY, ANGZ to specify the rotational velocity and the axis of rotation.

VELO
 —

Define initial velocity for the part or part assembly based on translational velocities and nodal rotational velocities input relative to the global Cartesian axes. For this option, use the following fields to define the initial velocity: VX, VY, VZ, OMEGAX, OMEGAY, OMEGAZ.

LIST
 —

List initial velocity for the part or part assembly specified by PID. If PID is blank, all initial velocities defined on parts and part assemblies are listed. Remaining fields are ignored for this option.

DELE
 —

Delete initial velocity defined for the part or part assembly specified by PID. If PID is blank, all initial velocities defined on parts and part assemblies are deleted. Remaining fields are ignored for this option.

PID

Part ID or part assembly ID to which the initial velocity is to be applied. The part or assembly ID must be defined (EDPART or EDASMP) before issuing this command.

VX

Initial velocity in X direction. Defaults to 0.

VY

Initial velocity in Y direction. Defaults to 0.

VZ

Initial velocity in Z direction. Defaults to 0.

OMEGAX

For Option = VGEN, OMEGAX is the initial rotational velocity of the part or part assembly about the specified rotational axis. For Option = VELO, OMEGAX is the initial nodal rotational velocity about the X-axis. OMEGAX defaults to 0.

OMEGAY

Initial nodal rotational velocity about the Y-axis (used only if Option = VELO). Defaults to 0.

OMEGAZ

Initial nodal rotational velocity about the Z-axis (used only if Option = VELO). Defaults to 0.

The remaining fields are used only if Option = VGEN.

XC

X coordinate on rotational axis. Defaults to 0.

YC

Y coordinate on rotational axis. Defaults to 0.

ZC

Z coordinate on rotational axis. Defaults to 0.

ANGX

Angle (in degrees) of the rotational axis relative to the global X-axis. Defaults to 0.

ANGY

Angle (in degrees) of the rotational axis relative to the global Y-axis. Defaults to 0.

ANGZ

Angle (in degrees) of the rotational axis relative to the global Z-axis. Defaults to 0.

Notes

You cannot mix the two methods of initial velocity input (Option = VELO and Option = VGEN) in the same analysis. You must use only one method for all initial velocity definitions.

The VGEN and VELO methods differ in how the rotational velocity is defined. Use Option = VGEN to input the initial velocities of a rotating part or part assembly. Use Option = VELO to apply the rotations directly to the nodes' rotation degrees of freedom. Since only shell and beam elements have rotation degrees of freedom, the rotations input with Option = VELO are only applicable to SHELL163 and BEAM161 elements. The rotational velocities input with Option = VELO are ignored for nodes not having rotational degrees of freedom (such as nodes attached to a SOLID164 or SOLID168 element).

It is normally acceptable to mix nodes belonging to deformable bodies and rigid bodies in the part assembly used in an initial velocity definition. However, when defining initial velocities in an implicit-to-explicit sequential solution, this is not an acceptable practice. In order for the initial velocities to be defined correctly in this type of analysis, you must define the initial velocities on the deformable body nodes separately from the initial velocities on the rigid body nodes.

Issuing the EDPVEL command again for the same part or part assembly (PID) will overwrite previous initial velocities defined for that part or part assembly.

To set the initial velocities to zero, issue the EDPVEL command with only the Option (use VELO or VGEN) and PID fields specified.

In a small restart analysis (EDSTART,2), you can only use the Option = VELO method to change initial velocities. When used in a small restart, the command EDPVEL,VELO changes the velocity of the specified part or part assembly. If you don't change the velocity of the parts and assemblies, their velocity at the beginning of the restart will be the same as the velocity at the end of the previous analysis.

Except for the LIST option, the EDPVEL command is not supported in a full restart analysis (EDSTART,3). You can list initial velocities defined in the previous analysis with the command EDPVEL,LIST. However, you cannot change initial velocities for parts that existed in the previous analysis; their velocity at the beginning of the analysis will be the same as the velocity at the end of the previous analysis. In addition, you cannot define initial velocities for any parts that are added in the full restart; the velocity of new parts will be zero.

To apply initial velocities to node components or nodes, use the EDVEL command.

You can use EDPVEL and EDVEL in the same analysis. If a node or node component input on the EDVEL command shares common nodes with a part or part assembly input on the EDPVEL command, the initial velocities defined on the common nodes will be determined by the last command input.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>LS-DYNA Options>Initial Velocity>On Parts>Delete
Main Menu>Preprocessor>LS-DYNA Options>Initial Velocity>On Parts>List
Main Menu>Preprocessor>LS-DYNA Options>Initial Velocity>On Parts>w/Axial Rotate
Main Menu>Preprocessor>LS-DYNA Options>Initial Velocity>On Parts>w/Nodal Rotate
Main Menu>Solution>Initial Velocity>On Parts>Delete
Main Menu>Solution>Initial Velocity>On Parts>List
Main Menu>Solution>Initial Velocity>On Parts>w/Axial Rotate
Main Menu>Solution>Initial Velocity>On Parts>w/Nodal Rotate

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDPL 		Up / Home Next
EDRC


EDRC

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDRC, Option, NRBF, NCSF, --, DTMAX

Specifies rigid/deformable switch controls in an explicit dynamic analysis.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Label identifying option to be performed.

ADD
—

Define rigid/deformable controls (default).

DELE
—

Delete rigid/deformable controls.

LIST
—

List rigid/deformable controls.

NRBF

Flag to delete/activate nodal rigid bodies. If nodal rigid bodies or generalized weld definitions are active in the deformable bodies that are switched to rigid, then the definitions should be deleted to avoid instabilities.

0
—

No change from previous status (default).

1
—

Delete.

2
—

Activate.

NCSF

Flag to delete/activate nodal constraint set. If nodal constraint/spotweld definitions are active in the deformable bodies that are switched to rigid, then the definitions should be deleted to avoid instabilities.

0
—

No change from previous status (default).

1
—

Delete.

2
—

Activate.

--

Unused field.

TDMAX

Maximum allowed time step after restart (no default).

Command Default

No rigid/deformable controls are defined.

Notes

This command is only valid in an explicit dynamic small restart analysis (EDSTART,2). Use this command when you do a rigid/deformable switch (EDRD command) and you want to control constraints defined by other means for the deformable body (such as nodal constraints or a weld). For example, if a deformable body has nodal constraints defined and it is switched to a rigid body, the nodal constraints should be deleted since they are invalid for the rigid body. Later on, if you want to switch the rigid body to deformable again and retain the nodal constraints, you can use EDRC to activate the constraints previously defined for the deformable body. Otherwise, the nodal constraints remain deactivated.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Rigid-Deformable>Controls

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDPVEL 		Up / Home Next
EDRD


EDRD

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDRD, Option, PART, MRB

Switches a part from deformable to rigid or from rigid to deformable in an explicit dynamic analysis.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Label identifying the option to be performed.

D2R
—

Change specified part from deformable to rigid (default).

R2D
—

Change specified part from rigid to deformable. Use this option to switch a part back to a deformable state after it has been changed to rigid using EDRD,D2R.

LIST
—

List parts that are flagged to change from deformable to rigid or rigid to deformable.

PART

Part number for part to be changed (no default).

MRB

Part number of the master rigid body to which the part is merged. MRB is used only if Option = D2R. If MRB = 0 (which is the default), the part becomes an independent rigid body.

Command Default

No parts are switched.

Notes

This command is valid in a new explicit dynamic analysis or in a restart. It is only possible to switch parts (D2R or R2D) in a restart if part switching is first activated in the original analysis. If part switching is not required in the original analysis but will be used in the restart, you must issue EDRD,D2R with no further arguments in the original analysis. You can use the EDRI command to define inertia properties for newly created rigid bodies (D2R).

Parts that are defined as rigid using EDMP,RIGID are permanently rigid and cannot be changed to deformable.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Rigid-Deformable>Switch

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDRC 		Up / Home Next
EDREAD


EDREAD

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDREAD, NSTART, Label, NUM, STEP1, STEP2

Reads explicit dynamics output into variables for time-history postprocessing.

POST26: Set Up

<> <> <> <> <> <> <> <> <> <> DY <> <>

NSTART

Starting reference number assigned to the first variable. Allowed range is 2 (the default) to NV [NUMVAR]. (NV defaults to 30 for an explicit dynamics analysis.)

Label

Label identifying the output file to be read. No default.

GLSTAT
 —

Read data from the GLSTAT file.

MATSUM
 —

Read data from the MATSUM file.

SPCFORC
 —

Read data from the SPCFORC file.

RCFORC
 —

Read data from the RCFORC file.

SLEOUT
 —

Read data from the SLEOUT file.

NODOUT
 —

Read data from the NODOUT file.

RBDOUT
 —

Read data from the RBDOUT file.

NUM

Number identifying the data set to be read in (defaults to 1). If Label = GLSTAT, NUM is ignored. If Label = MATSUM or RBDOUT, NUM is the PART number [EDPART] for which output is desired. If Label = SPCFORC or NODOUT, NUM is the node number for which output is desired. If Label = SLEOUT or RCFORC, NUM is the number of the contact entity for which output is desired.

STEP1, STEP2

Load step range of data to be read in. If STEP1 and STEP2 are blank, all load steps are read in.

Notes

EDREAD reads data from the specified ascii output file so that it may be used during postprocessing. After EDREAD, you must issue the STORE command to store the data in time history variables. Once stored, the variables can be viewed as plots of output item versus time.

The number of variables stored depends on the file specified. The following table shows the items in each file and the order in which they are stored. If data items were previously stored in variables NSTART to NSTART+15, they will be overwritten. If more variables are needed, change NV on the NUMVAR command. (Note that hourglass energy will not be available if it was not specified for the model [EDENERGY,1].)

The following items under MATSUM are listed in the MATSUM ASCII file (in the Mat no. field) for each part number at time intervals specified by the EDHTIME command. Use EDREAD,,MATSUM,NUM to specify the part number that corresponds to the mat number in the MATSUM file.

Resultant contact forces and sliding interface energies are available from the RCFORC and SLEOUT files, respectively. The RCFORC file is written for surface based contact types that include target and contact (master and slave) definitions. You should ensure that this file contains valid force results before issuing EDREAD,,RCFORC. Only the resultant contact forces on the master surface are available for time-history postprocessing.

Variable Number | GLSTAT | MATSUM | SPCFORC | RCFORC | SLEOUT
NSTART | Time step | Internal energy | X force | X force | Slave energy
NSTART+1 | Kinetic energy | Kinetic energy | Y force | Y force | Master energy
NSTART+2 | Internal energy | X-momentum | Z force | Z force | Total slave energy
NSTART+3 | Spring and damper energy | Y-momentum | X moment | -- | Total master energy
NSTART+4 | System damping energy | Z-momentum | Y moment | -- | Total energy
NSTART+5 | Sliding interface energy | X-rigid-body- velocity | Z moment | -- | --
NSTART+6 | External work | Y-rigid-body- velocity | -- | -- | --
NSTART+7 | Eroded kinetic energy | Z-rigid-body- velocity | -- | -- | --
NSTART+8 | Eroded internal energy | Hourglass energy | -- | -- | --
NSTART+9 | Total energy | -- | -- | -- | --
NSTART+10 | Total energy/initial energy | -- | -- | -- | --
NSTART+11 | Energy ratio w/o eroded energy | -- | -- | -- | --
NSTART+12 | Global X velocity | -- | -- | -- | --
NSTART+13 | Global Y velocity | -- | -- | -- | --
NSTART+14 | Global Z velocity | -- | -- | -- | --
NSTART+15 | Hourglass energy | -- | -- | -- | --

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>TimeHist Postpro>Read LSDYNA Data>GLSTAT file
Main Menu>TimeHist Postpro>Read LSDYNA Data>MATSUM file
Main Menu>TimeHist Postpro>Read LSDYNA Data>NODOUT file
Main Menu>TimeHist Postpro>Read LSDYNA Data>RBDOUT file
Main Menu>TimeHist Postpro>Read LSDYNA Data>RCFORC file
Main Menu>TimeHist Postpro>Read LSDYNA Data>SLEOUT file
Main Menu>TimeHist Postpro>Read LSDYNA Data>SPCFORC file

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDRD 		Up / Home Next
EDRI


EDRI

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDRI, Option, PART, XC, YC, ZC, TM, IXX, IYY, IZZ, IXY, IYZ, IXZ

Defines inertia properties for a new rigid body that is created when a deformable part is switched to rigid in an explicit dynamic analysis.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Label identifying the option to be performed.

ADD
—

Define inertia for specified part (default).

DELE
—

Delete inertia definition for specified part.

LIST
—

List inertia definitions.

PART

Part number for which inertia is defined (no default).

XC, YC, ZC

X, Y, and Z-coordinates of the center of mass (no defaults).

TM

Translational mass (no default).

IXX, IYY, IZZ, IXY, IYZ, IXZ

Components (xx, yy, etc.) of inertia tensor. IXX, IYY, and IZZ must be input (no defaults). IXY, IYZ, and IXZ default to zero.

Command Default

Inertia properties are calculated by the program for all parts switched from deformable to rigid.

Notes

Use this command to define inertia properties for a rigid body that is created when a deformable part is switched to rigid (using the EDRD,D2R command) in an explicit dynamic analysis. If these properties are not defined, LS-DYNA will compute the new rigid body properties from the finite element mesh (which requires an accurate mesh representation of the body). When rigid bodies are merged to a master rigid body, the inertia properties defined for the master rigid body apply to all members of the merged set.

EDRI can only be issued in a new analysis. Therefore, if you are going to use inertia properties in a subsequent restart analysis, you must issue EDRI in the original analysis for the part that will later be switched to rigid in the restart.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Rigid-Deformable>Inertia Property

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDREAD 		Up / Home Next
EDRST


EDRST

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDRST, NSTEP, DT

Specifies the output interval for an explicit dynamic analysis.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

NSTEP

Number of steps at which output is written to the results file (Jobname.RST). Defaults to 100. When you specify NSTEP, NSTEP+2 results are written to the Jobname.RST file. The time interval between output is TIME / NSTEP, where TIME is the analysis end-time specified on the TIME command. Do not specify a value of NSTEP = 0.

DT

Time interval at which output is written to the results file (Jobname.RST). If NSTEP is input, DT is ignored.

Command Default

Output will be written to Jobname.RST at 100 steps over the analysis.

Notes

You can use NSTEP or DT to specify the output interval to be used for Jobname.RST. You should not specify both quantities; if both are input, NSTEP will be used.

In an explicit dynamic small restart (EDSTART,2) or full restart analysis (EDSTART,3), the EDRST setting will default to the NSTEP or DT value used in the original analysis. You can issue EDRST in the restart to change this setting.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Output Controls>File Output Freq>Number of Steps
Main Menu>Solution>Output Controls>File Output Freq>Time Step Size

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDRI 		Up / Home Next
EDRUN


EDRUN

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDRUN, Option, Cons, Ncpu

Specify LS-DYNA serial or parallel processing.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

LS-DYNA processing option

SERIAL
 —

Use serial processing (default)

SMP
 —

Use Shared Memory Parallel processing

CONS

Consistency setting (only applicable when Option = SMP)

0
 —

Result consistency is not required (default)

1
 —

Result consistency is required

NCPU

Number of processors to use (applicable only with Option = SMP)

Command Default

The command default is serial processing.

Notes

The EDRUN command specifies either serial (one CPU) processing or shared (multiple CPU) memory parallel processing (SMP). When using SMP, the calculations may be executed in a different order, depending on CPU availability and the load on each CPU. You may therefore see slight differences in the results when running the same job multiple times, either with the same number or a different number of processors. Comparing nodal accelerations often shows wider discrepancies. To avoid such differences, you can specify that consistency be maintained by setting CONS = 1. Maintaining consistency can result in an increase of up to 15 percent in CPU time.

The parallel processing setting is only effective when you have multiple CPUs and licenses for the appropriate number of ANSYS LS-DYNA SMP tasks. If your site does not meet both requirements, the EDRUN command sets serial processing, regardless of command settings.

For more information on using SMP, see Solution Features in the ANSYS LS-DYNA User's Guide.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Analysis Options>Parallel Option

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDRST 		Up / Home Next
EDSHELL


EDSHELL

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDSHELL, WPAN, SHNU, SHTC, WPBT, SHPL, ITRST

Specifies shell computation controls for an explicit dynamics analysis.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

WPAN

Maximum shell element warpage angle in degrees. Defaults to 20.

SHNU

Hughes-Liu shell normal update option:

-2
 —

Unique nodal fibers. This option is required for SHELL163 (KEYOPT(1) = 1, 6, or 7) if the real constant NLOC = 1 or -1.

-1
 —

Compute normals each cycle (default). This option is recommended.

1
 —

Compute on restarts.

n
 —

Compute every nth substep.

SHTC

Shell thickness change option:

0
 —

No change.

1
 —

Membrane straining causes thickness change. Important in sheet metal forming (default).

WPBT

Warping stiffness option for Belytschko-Tsay shells:

1
 —

Belytschko-Wong-Chiang warping stiffness added. This option is recommended.

2
 —

Belytschko-Tsay warping stiffness (default).

SHPL

Shell plasticity option. This option is only valid for these material models: strain rate independent plastic kinematic, strain rate dependent plasticity, power law plasticity, and piecewise linear plasticity.

1
 —

Iterative plasticity with 3 secant iterations (default).

2
 —

Full iterative plasticity.

3
 —

Radial return noniterative plasticity. (Use this option with caution; it may lead to inaccurate results.)

ITRST

Triangular shell sorting option. If sorting is on, degenerate quadrilateral shell elements are treated as triangular shells.

1
 —

Full sorting (default).

2
 —

No sorting.

Notes

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Shell Elem Ctrls

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDRUN 		Up / Home Next
EDSOLV


EDSOLV

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDSOLV

Specifies "explicit dynamics solution" as the subsequent status topic.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Utility Menu>List>Status>LS-DYNA

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDSHELL 		Up / Home Next
EDSP


EDSP

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDSP, Option, MIN, MAX, INC

Specifies small penetration checking for contact entities in an explicit dynamic analysis.

PREP7: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Label identifying the option to be performed (no default).

ON
—

Turn small penetration checking on for specified contact entities.

OFF
—

Turn small penetration checking off for specified contact entities.

LIST
—

List current setting for penetration checking.

MIN

Minimum contact entity number for which to turn on/off small penetration check (default = 1).

MAX

Maximum contact entity number for which to turn on/off small penetration check (defaults to MIN).

INC

Contact entity number increment (default = 1).

Command Default

Penetration checking is determined by PENCHK on the EDCONTACT command.

Notes

This command controls small penetration checking in an explicit dynamic analysis. EDSP is applicable only to the following contact types: STS, NTS, OSTS, TNTS, and TSTS. The penetration checking specified by EDSP is similar to PENCHK on the EDCONTACT command. However, EDSP controls penetration checking for individual contact entities whereas PENCHK is a global control that applies to all defined contact (of the types mentioned above). EDSP can be used in a new analysis, or in a small restart (EDSTART,2).

Use the EDCLIST command to list the contact entity numbers for all defined contact.

This command is also valid in SOLUTION.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>LS-DYNA Options>Contact>Advanced Controls

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDSOLV 		Up / Home Next
EDSTART


EDSTART

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDSTART, RESTART, MEMORY, FSIZE, Dumpfile

Specifies status (new or restart) of an explicit dynamics analysis.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

RESTART

Status of the analysis (new or restart).

0
 —

New analysis (default).

1
 —

Simple restart.

2
 —

Small restart.

3
 —

Full restart.

MEMORY

Memory to be used (in words). If blank, LS-DYNA assigns a value (default). If more or less memory is needed, specify the number of words (a word is usually 32 bits on a workstation).

FSIZE

Scale factor for binary file sizes. Defaults to 7, which is (7x262144) = 1835008 words.

Dumpfile

Name of dump file to use during a restart (for example, d3dumpnn, where nn = 01, 02, 03,...,99 and defaults to 01). Leave this field blank when running a new analysis (RESTART = 0) so that the default dump file d3dump01 will be created.

Command Default

A new analysis is assumed.

Notes

EDSTART can be issued before the SOLVE command to specify a new analysis, a simple restart, a small restart, or a full restart as described below.

New analysis: For a new analysis, you do not need to issue EDSTART unless you want to change the MEMORY or FSIZE option. If you do not specify the dump file name, d3dump01 will be created by default.

Simple restart: This option assumes that the database has not been altered. Upon restarting, results will be appended to the existing results files. Issue EDSTART,1,,,d3dumpnn to indicate which restart file to use as a starting point. The dump file to be used must have been created in an earlier run and must be available at the time this command is issued. You would typically use a simple restart when you interrupt the LS-DYNA run via CTRL-C and terminate the run prematurely by issuing the "sense switch control" key SW1 (see Solution Control and Monitoring in the ANSYS LS-DYNA User's Guide). At this point you should be able to view the partial solution using ANSYS postprocessors. After you are done viewing the partial solution, you can reenter the solution processor and issue EDSTART,1,,,d3dumpnn, followed by SOLVE to continue with the analysis. The results will be appended to the results files Jobname.RST and Jobname.HIS. You can perform multiple simple restarts by issuing EDSTART,1,,,d3dumpnn multiple times, as needed. The solutions in the Jobname.RST file will all be in load step number 1.

Small restart: This option can be used when minor changes in the database are necessary. For example, you can reset the termination time, reset the output interval, add displacement constraints, change initial velocities, switch parts from a deformable to rigid state, etc. (See A Small Restart in theANSYS LS-DYNA User's Guide for a complete description of database items that can be changed.) Issue EDSTART,2,,,d3dumpnn followed by the commands required to change the database, then issue SOLVE. The results will be appended to the results files Jobname.RST and Jobname.HIS. You can perform multiple restarts by issuing EDSTART,2,,,d3dumpnn multiple times, as needed. The additional restart solutions will be stored in Jobname.RST as load step numbers 2, 3, etc.

Full restart: A full restart is appropriate when many modifications to the database are required. For example, you can change the model geometry, apply different loading conditions, etc. Issue EDSTART,3,,,d3dumpnn to denote a full restart analysis. The Jobname will automatically be changed to Jobname_nn, (nn = 01 initially, and will be incremented each time EDSTART,3 is issued for subsequent full restarts). After the EDSTART command, you can input any commands needed to change the database. (Most commands which are applicable to an ANSYS LS-DYNA new analysis are also applicable to full restart analysis. A few commands related to contact specifications, initial velocity definitions, and adaptive meshing are not supported.) Then issue the EDIS command to specify which portions of the model should be initialized in the full restart using results data from the d3dumpnn file. Finally, issue the SOLVE command. At this point, new results files, Jobname_nn.RST and Jobname_nn.HIS, will be created. Time and output intervals in the new results files are continuous from the previous results files; the time is not reset to zero. (See A Full Restart in the ANSYS LS-DYNA User's Guide for a complete description of a full restart analysis.)

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Analysis Options>Restart Option

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDSP 		Up / Home Next
EDTERM


EDTERM

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDTERM, Option, Lab, NUM, STOP, MAXC, MINC

Specifies termination criteria for an explicit dynamic analysis.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Label identifying the option to be performed.

ADD
 —

Define termination criteria (default).

DELE
 —

Delete termination criteria.

LIST
 —

List termination criteria.

Lab

Label identifying the type of termination (no default).

NODE
 —

Terminate solution based on nodal point coordinates. The analysis terminates when the current position of the specified node reaches either the maximum or minimum coordinate value (STOP = 1, 2, or 3), or when the node picks up force from any contact surface (STOP = 4).

PART
 —

Terminate solution based on rigid body (part) displacements. The analysis terminates when the displacement of the center of mass of the specified rigid body reaches either the maximum or minimum value (STOP = 1, 2, or 3), or when the displacement magnitude of the center of mass is exceeded (STOP = 4).

NUM

Node number (if Lab = NODE) or rigid body Part ID (if Lab = PART). (No default.)

STOP

Criterion for stopping the solution (no default).

1
 —

Global X-direction.

2
 —

Global Y-direction.

3
 —

Global Z-direction.

4
 —

For Lab = NODE, stop the solution if contact occurs. For Lab = PART, stop the solution if the displacement magnitude is exceeded for the specified rigid body (use MAXC to define the displacement magnitude).

MAXC

Maximum (most positive) coordinate value (Lab = NODE) or displacement (Lab = PART). MAXC defaults to 1.0e21

MINC

Minimum (most negative) coordinate value (Lab = NODE) or displacement (Lab = PART). MINC defaults to -1.0e21.

Command Default

No termination criteria are defined other than the termination time set on the TIME command.

Notes

You may specify multiple termination criteria using EDTERM; the solution will terminate when any one of the criteria is satisfied, or when the solution end time (specified on the TIME command) is reached.

In an explicit dynamic small restart analysis (EDSTART,2) or full restart analysis (EDSTART,3), the termination criteria set in the previous analysis (the original analysis or the previous restart) are carried over to the restart. If the previous analysis terminated due to one of these criteria, that specific criterion must be modified so that it will not cause the restart to terminate prematurely. In particular, if a termination condition based on nodal contact (Lab = NODE, STOP = 4) is satisfied, this condition must be deleted and replaced with a condition based on nodal coordinates for that same node. (If a condition based on nodal coordinates already exists for that node, the replacement is not necessary.) In the restart, the number of termination criteria specified using EDTERM cannot exceed a maximum of 10 or the number specified in the original analysis.

Note that the termination criteria set by EDTERM are not active during dynamic relaxation (EDDRELAX).

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Analysis Options>Criteria to Stop>List
Main Menu>Solution>Analysis Options>Criteria to Stop>On a Node
Main Menu>Solution>Analysis Options>Criteria to Stop>On a Part

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDSTART 		Up / Home Next
EDTP


EDTP

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDTP, OPTION, VALUE1, VALUE2

Plots explicit elements based on their time step size.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

OPTION

Plotting option (default = 1).

1
—

Plots the elements with the smallest time step sizes. The number of elements plotted and listed is equal to VALUE1 (which defaults to 100). Each element is shaded red or yellow based on its time step value (see "Notes" for details).

2
—

Produces the same plot as for OPTION = 1, and also produces a list of the plotted elements and their corresponding time step values.

3
—

Produces a plot similar to OPTION = 1, except that all selected elements are plotted. Elements beyond the first VALUE1 elements are blue and translucent. The amount of translucency is specified by VALUE2. This option also produces a list of the first VALUE1 elements with their corresponding time step values.

VALUE1

Number of elements to be plotted and listed (default = 100). For example, if VALUE1 = 10, only the elements with the 10 smallest time step sizes are plotted and listed.

VALUE2

Translucency level ranging from 0 to 1 (default = 0.9). VALUE2 is only used when OPTION = 3, and only for the elements plotted in blue. To plot these elements as non-translucent, set VALUE2 = 0.

Notes

EDTP invokes an ANSYS macro that plots and lists explicit elements based on their time step size. For OPTION = 1 or 2, the number of elements plotted is equal to VALUE1 (default = 100). For OPTION = 3, all selected elements are plotted.

The elements are shaded red, yellow, or blue based on their time step size. Red represents the smallest time step sizes, yellow represents the intermediate time step sizes, and blue represents the largest time step sizes. For example, if you specify VALUE1 = 30, and if T1 is the smallest critical time step of all elements and T30 is the time step of the 30th smallest element, then the elements are shaded as follows:

Red - time step range is T1 to T1 + [0.05*(T30--T1)]
Yellow - time step range is T1 + [0.05*(T30--T1)] to T30
Blue (translucent) - time step range is > T30

Translucent blue elements only appear when OPTION = 3.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Time Controls>Time Step Prediction

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDTERM 		Up / Home Next
EDVEL


EDVEL

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDVEL, Option, Cname, VX, VY, VZ, OMEGAX, OMEGAY, OMEGAZ, XC, YC, ZC, ANGX, ANGY, ANGZ

Applies initial velocities to nodes or node components in an explicit dynamic analysis.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Label identifying the option to be performed.

VGEN
 —

Define initial velocities based on translational velocities (relative to global Cartesian) and the rotational velocity about an arbitrary axis. For this option, use the fields VX, VY, VZ to specify the translational velocities, and use OMEGAX, XC, YC, ZC, ANGX, ANGY, ANGZ to specify the rotational velocity and the axis of rotation.

VELO
 —

Define initial velocity based on translational velocities and nodal rotational velocities input relative to the global Cartesian axes. For this option, use the following fields to define the initial velocity: VX, VY, VZ, OMEGAX, OMEGAY, OMEGAZ.

LIST
 —

List initial velocity for the component or node specified by Cname. If Cname is blank, all initial velocities defined on nodes and node components are listed. Remaining fields are ignored for this option.

DELE
 —

Delete initial velocity defined for the component or node specified by Cname. If Cname is blank, all initial velocities defined on nodes and node components are deleted. Remaining fields are ignored for this option.

Cname

Name of existing component [CM] or node number to which the initial velocity is to be applied. If a component is used, it must consist of nodes.

VX

Initial velocity in X direction. Defaults to 0.

VY

Initial velocity in Y direction. Defaults to 0.

VZ

Initial velocity in Z direction. Defaults to 0.

OMEGAX

For Option = VGEN, OMEGAX is the initial rotational velocity of the component (or node) about the specified rotational axis. For Option = VELO, OMEGAX is the initial nodal rotational velocity about the X-axis. OMEGAX defaults to 0.

OMEGAY

Initial nodal rotational velocity about the Y-axis (used only if Option = VELO). Defaults to 0.

OMEGAZ

Initial nodal rotational velocity about the Z-axis (used only if Option = VELO). Defaults to 0.

The remaining fields are used only if Option = VGEN.

XC

X coordinate on rotational axis. Defaults to 0.

YC

Y coordinate on rotational axis. Defaults to 0.

ZC

Z coordinate on rotational axis. Defaults to 0.

ANGX

Angle (in degrees) of the rotational axis relative to the global X-axis. Defaults to 0.

ANGY

Angle (in degrees) of the rotational axis relative to the global Y-axis. Defaults to 0.

ANGZ

Angle (in degrees) of the rotational axis relative to the global Z-axis. Defaults to 0.

Notes

You cannot mix the two methods of initial velocity input (Option = VELO and Option = VGEN) in the same analysis. You must use only one method for all initial velocity definitions.

The VGEN and VELO methods differ in how the rotational velocity is defined. Use Option = VGEN to input the initial velocities of a rotating component. Use Option = VELO to apply the rotations directly to the nodes' rotation degrees of freedom. Since only shell and beam elements have rotation degrees of freedom, the rotations input with Option = VELO are only applicable to SHELL163 and BEAM161 elements. The rotational velocities input with Option = VELO are ignored for nodes not having rotational degrees of freedom (such as nodes attached to a SOLID164 or SOLID168 element).

It is normally acceptable to mix nodes belonging to deformable bodies and rigid bodies in the nodal component used in an initial velocity definition. However, when defining initial velocities in an implicit-to-explicit sequential solution, this is not an acceptable practice. In order for the initial velocities to be defined correctly in this type of analysis, you must define the initial velocities on the deformable body nodes separately from the initial velocities on the rigid body nodes.

Issuing the EDVEL command again for the same component or node (Cname) will overwrite previous initial velocities defined for that component or node.

To set the initial velocities to zero, issue the EDVEL command with only the Option (use VELO or VGEN) and Cname fields specified.

In a small restart analysis (EDSTART,2), you can only use the Option = VELO method to change initial velocities. When used in a small restart, the command EDVEL,VELO changes the velocity of the specified nodes. If you don't change the velocity of the nodes, their velocity at the beginning of the restart will be the same as the velocity at the end of the previous analysis.

Except for the LIST option, the EDVEL command is not supported in a full restart analysis (EDSTART,3). You can list initial velocities defined in the previous analysis with the command EDVEL,LIST. However, you cannot change initial velocities for nodes or node components that existed in the previous analysis; their velocity at the beginning of the analysis will be the same as the velocity at the end of the previous analysis. In addition, you cannot define initial velocities for any nodes that are added in the full restart; the velocity of new nodes will be zero.

To apply initial velocities to parts or part assemblies, use the EDPVEL command.

You can use EDPVEL and EDVEL in the same analysis. If a node or node component input on the EDVEL command shares common nodes with a part or part assembly input on the EDPVEL command, the initial velocities defined on the common nodes will be determined by the last command input.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>LS-DYNA Options>Initial Velocity>On Nodes>Delete
Main Menu>Preprocessor>LS-DYNA Options>Initial Velocity>On Nodes>List
Main Menu>Preprocessor>LS-DYNA Options>Initial Velocity>On Nodes>w/Axial Rotate
Main Menu>Preprocessor>LS-DYNA Options>Initial Velocity>On Nodes>w/Nodal Rotate
Main Menu>Solution>Initial Velocity>On Nodes>Delete
Main Menu>Solution>Initial Velocity>On Nodes>List
Main Menu>Solution>Initial Velocity>On Nodes>w/Axial Rotate
Main Menu>Solution>Initial Velocity>On Nodes>w/Nodal Rotate

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDTP 		Up / Home Next
EDWELD


EDWELD

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDWELD, Option, NWELD, N1, N2, SN, SS, EXPN, EXPS, EPSF, TFAIL, NSW, CID

Defines a massless spotweld or generalized weld for use in an explicit dynamic analysis.

PREP7: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Label identifying the option to be performed:

ADD
 —

Define a weld (default). This weld may be a spotweld between two nodes or a generalized weld. A massless spotweld will be defined if valid node numbers are specified in fields N1 and N2. A generalized weld will be defined if a node component is specified in field N1.

DELE
 —

Delete specified weld. If NWELD is blank, all welds are deleted.

LIST
 —

List specified weld. If NWELD is blank, all welds are listed.

NWELD

Reference number identifying the spotweld or generalized weld.

N1, N2

For a spotweld, N1 and N2 are the nodes which are connected by the spotweld. For a generalized weld, input a nodal component name in N1 and leave N2 blank. The nodal component should contain all nodes that are to be included in the generalized weld.

SN

Normal force at spotweld failure.

SS

Shear force at spotweld failure.

EXPN

Exponent for normal spotweld force.

EXPS

Exponent for shear spotweld force.

EPSF

Effective plastic strain at ductile failure (used only for a generalized weld).

TFAIL

Failure time for constraint set (used only for a generalized weld); default = 1.0e20.

NSW

Number of spot welds for the generalized weld.

CID

Coordinate system ID number (CID) to be used for output data (used only for a generalized weld). The coordinate system must be previously defined with the EDLCS command.

Notes

This command can be used to define a massless spotweld between two nodes or a generalized weld for a group of nodes. For a spotweld, the nodes specified by N1 and N2 must not be coincident. For a generalized weld, coincident nodes are permitted, but CID must be specified when using coincident nodes. EDWELD is not updated after a node merge operation; therefore, node merging [NUMMRG,NODE] should be done before any EDWELD definitions. Nodes connected by a spotweld or generalized weld cannot be constrained in any other way.

Failure of the weld occurs when:

where fn and fs are normal and shear interface forces. Normal interface force fn is nonzero for tensile values only.

You can graphically display spotwelds by issuing the command /PBC,WELD,,1.

This command is also valid in SOLUTION.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>LS-DYNA Options>Spotweld>Delete
Main Menu>Preprocessor>LS-DYNA Options>Spotweld>Genrlizd Spotwld
Main Menu>Preprocessor>LS-DYNA Options>Spotweld>List
Main Menu>Preprocessor>LS-DYNA Options>Spotweld>Massless Spotwld

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDVEL 		Up / Home Next
EDWRITE


EDWRITE

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EDWRITE, Option, Fname, Ext, --

Writes explicit dynamics input to an LS-DYNA input file.

SOLUTION: Explicit Dynamics

<> <> <> <> <> <> <> <> <> <> DY <> <>

Option

Sets a flag in the LS-DYNA input file (Fname.Ext) to produce desired output.

ANSYS
 —

Set a flag to write results files for the ANSYS postprocessors (default). The files that will be written are Jobname.RST and Jobname.HIS (see Notes below).

LSDYNA
 —

Set a flag to write results files for the LS-DYNA postprocessor (LS-POST). The files that will be written are D3PLOT, and files specified by EDOUT and EDHIST (see Notes below).

BOTH
 —

Set a flag to write results files for both ANSYS and LS-DYNA postprocessors.

Fname

File name and directory path (80 characters maximum, including directory; this limit is due to an LS-DYNA program limitation). If you do not specify a directory path, it will default to your working directory. The file name defaults to Jobname. Previous data on this file, if any, are overwritten.

Ext

Filename extension (8 character maximum).

The extension defaults to K in a new analysis and in a full restart analysis, and to R in a small restart analysis.

--

Unused field.

Notes

This command writes an LS-DYNA input file for the LS-DYNA solver. EDWRITE is only valid if explicit dynamic elements have been specified. This command is not necessary if the LS-DYNA solver is invoked from within ANSYS, in which case Jobname.K (or Jobname.R) is written automatically when the solution is initiated. (If LS-DYNA is invoked from within ANSYS, use EDOPT to specify desired output.)

If the analysis is a small restart (EDSTART,2), the file that is written will have the name Jobname.R (by default) and will only contain changes from the original analysis.

If the analysis is a full restart (EDSTART,3), the file that is written will have the name Jobname_nn.K (by default) and will contain all the information from the database. In a full restart, the jobname is changed to Jobname_nn (nn = 01 initially, and is incremented for each subsequent full restart.)

A command is included in the LS-DYNA input file to instruct the LS-DYNA solver to write the results files indicated by Option. By default, LS-DYNA will write the ANSYS results file Jobname.RST (see the EDRST command). If Jobname.HIS is desired, you must also issue EDHIST.

Option = LSDYNA or BOTH will cause LS-DYNA to write results files for the LS-POST postprocessor. The D3PLOT file is always written for these two options. If other LS-POST files are desired, you must issue the appropriate EDHIST and EDOUT commands.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Write Jobname.k

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDWELD 		Up / Home Next
/EFACET


/EFACET

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

/EFACET, NUM

Specifies the number of facets per element edge for PowerGraphics displays.

POST1: Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NUM

Number of facets per element edge for element plots.

1
 —

Use 1 facet per edge (default for h-elements).

2
 —

Use 2 facets per edge (default for p-elements).

4
 —

Use 4 facets per edge.

Command Default

As stated above.

Notes

/EFACET is valid only when PowerGraphics is enabled [/GRAPHICS,POWER], except that it can be used in FULL graphics mode for element CONTA174. (See the /GRAPHICS command and element CONTA174 in the Elements Reference for more information.) The /EFACET command is only applicable to element type displays.

/EFACET controls the fineness of the subgrid that is used for element plots. The element is subdivided into smaller portions called facets. Facets are piecewise linear surface approximations of the actual element face. In their most general form, facets are warped planes in 3-D space. A greater number of facets will result in a smoother representation of the element surface for element plots. /EFACET may affect results averaging. See Contour Displays in the Basic Analysis Guide for more information.

For midside node elements, use NUM = 2; if NUM = 1, no midside node information is output. For non-midside node elements, NUM should be set to 1. See the PLNSOL and PRNSOL commands for more information.

With PowerGraphics active (/GRAPHICS,POWER), the averaging scheme for surface data with interior element data included (AVRES,,FULL) and multiple facets per edge (/EFACET,2 or /EFACET,4) will yield differing minimum and maximum contour values depending on the Z-Buffering options (/TYPE,,6 or /TYPE,,7). When the Section data is not included in the averaging schemes (/TYPE,,7), the resulting absolute value for the midside node is significantly smaller.

Caution

If you specify /EFACET,1, PowerGraphics does not plot midside nodes. You must use /EFACET,2 to make the nodes visible.

This command is valid in any processor.

Menu Paths

Main Menu>General Postproc>Options for Outp
Main Menu>General Postproc>Plot Results>Contour Plot>Nodal Solu
Utility Menu>List>Results>Options
Utility Menu>Plot>Results>Contour Plot>Nodal Solution
Utility Menu>PlotCtrls>Multi-Plot Contrls
Utility Menu>PlotCtrls>Style>Size and Shape

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EDWRITE 		Up / Home Next
EGEN


EGEN

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EGEN, ITIME, NINC, IEL1, IEL2, IEINC, MINC, TINC, RINC, CINC, SINC, DX, DY, DZ

Generates elements from an existing pattern.

PREP7: Elements

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ITIME, NINC

Do this generation operation a total of ITIMEs, incrementing all nodes in the given pattern by NINC each time after the first. ITIME must be >1 if generation is to occur. NINC may be positive, zero, or negative. If DX, DY, and/or DZ is specified, NINC should be set so any existing nodes (as on NGEN) are not overwritten.

IEL1, IEL2, IEINC

Generate elements from selected pattern beginning with IEL1 to IEL2 (defaults to IEL1) in steps of IEINC (defaults to 1). If IEL1 is negative, IEL2 and IEINC are ignored and the last |IEL1| elements (in sequence backward from the maximum element number) are used as the pattern to be repeated. If IEL1 = ALL, IEL2 and IEINC are ignored and use all selected elements [ESEL] as pattern to be repeated. If P1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for IEL1 (IEL2 and INC are ignored).

MINC

Increment material number of all elements in the given pattern by MINC each time after the first.

TINC

Increment type number by TINC.

RINC

Increment real constant table number by RINC.

CINC

Increment element coordinate system number by CINC.

SINC

Increment section ID number by SINC.

DX, DY, DZ

Define nodes that do not already exist but are needed by generated elements (as though the NGEN,ITIME,INC,NODE1,,,DX,DY,DZ were issued before EGEN). Zero is a valid value. If blank, DX, DY, and DZ are ignored.

Notes

A pattern may consist of any number of previously defined elements. The MAT, TYPE, REAL, ESYS, and SECNUM numbers of the new elements are based upon the elements in the pattern and not upon the current specification settings.

You can use the EGEN command to generate interface elements (INTER192, INTER193, INTER194, and INTER195) directly. However, because interface elements require that the element connectivity be started from the bottom surface, you must make sure that you use the correct element node connectivity. See the element descriptions for INTER192, INTER193, INTER194, and INTER195 for the correct element node definition.

Menu Paths

Main Menu>Preprocessor>Modeling>Copy>Elements>Auto Numbered

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/EFACET 		Up / Home Next
EINTF


EINTF

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EINTF, TOLER, K, TLAB, KCN, DX, DY, DZ, KNONROT

Defines two-node elements between coincident or offset nodes.

PREP7: Elements

MP ME ST PR PRN <> <> FL EM <> <> PP <>

TOLER

Tolerance for coincidence (based on maximum Cartesian coordinate difference for node locations and on angle differences for node orientations). Defaults to 0.0001. Only nodes within the tolerance are considered to be coincident.

K

Only used when the type of the elements to be generated is PRETS179. K is the pretension node that is common to the pretension section that is being created. If K is not specified, it will be created by ANSYS automatically and will have an ANSYS-assigned node number. If K is specified but does not already exist, it will be created automatically but will have the user-specified node number. K cannot be connected to any existing element.

TLAB

Nodal number ordering. Allowable values are:

LOW
 —

The 2-node elements are generated from the lowest numbered node to the highest numbered node.

HIGH
 —

The 2-node elements are generated from the highest numbered node to the lowest numbered node.

REVE
 —

Reverses the orientation of the selected 2-node element.

KCN

In coordinate system KCN, elements are created between node 1 and node 2 (= node 1 + dx dy dz)..

DX, DY, DZ

Node location increments that define the node offset in the active coordinate system (DR, Dθ, DZ for cylindrical and DR, Dθ, DΦ for spherical or toroidal).

KNONROT

When KNONROT = 0, the nodes coordinate system is not rotated. When KNONROT = 1, the nodes belonging to the elements created are rotated into coordinate system KCN (see NROTATE command description).

Notes

Defines 2-node elements (such as gap elements) between coincident or offset nodes (within a tolerance). May be used, for example, to "hook" together elements interfacing at a seam, where the seam consists of a series of node pairs. One element is generated for each set of two coincident nodes. For more than two coincident or offset nodes in a cluster, an element is generated from the lowest numbered node to each of the other nodes in the cluster. If fewer than all nodes are to be checked for coincidence, use the NSEL command to select the nodes. Element numbers are incremented by one from the highest previous element number. The element type must be set [ET] to a 2-node element before issuing this command. Use the CPINTF command to connect nodes by coupling instead of by elements. Use the CEINTF command to connect the nodes by constraint equations instead of by elements.

For contact element CONTA178, the tolerance is based on the maximum Cartesian coordinate difference for node locations only. The angle differences for node orientations are not checked.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Elements>Auto Numbered>At Coincid Nd
Main Menu>Preprocessor>Modeling>Create>Elements>Auto Numbered>Offset Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EGEN 		Up / Home Next
EKILL


EKILL

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EKILL, ELEM

Deactivates an element (for the birth and death capability).

SOLUTION: Birth and Death

MP ME ST <> <> <> <> <> <> <> <> PP <>

ELEM

Element to be deactivated. If ALL, deactivate all selected elements [ESEL]. If ELEM = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for ELEM.

Notes

Deactivates the specified element when the birth and death capability is being used. A deactivated element remains in the model but contributes a near-zero stiffness (or conductivity etc.) value (see the ESTIF command) to the overall matrix. Deactivated elements contribute nothing to the overall mass (or capacitance, etc.) matrix. The element may be reactivated with the EALIVE command.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Birth & Death>Kill Elements
Main Menu>Solution>Load Step Opts>Other>Birth & Death>Kill Elements

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EINTF 		Up / Home Next
ELEM


ELEM

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ELEM

Specifies "Elements" as the subsequent status topic.

PREP7: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Preprocessor>Elements

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EKILL 		Up / Home Next
ELIST


ELIST

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ELIST, IEL1, IEL2, INC, NNKEY, RKEY, PTKEY

Lists the elements and their attributes.

PREP7: Elements

MP ME ST PR PRN <> <> FL EM <> <> PP <>

IEL1, IEL2, INC

Lists elements from IEL1 to IEL2 (defaults to IEL1) in steps of INC (defaults to 1). If IEL1 = ALL (default), IEL2 and INC are ignored and all selected elements [ESEL] are listed. If IEL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for IEL1 (IEL2 and INC are ignored).

NNKEY

Node listing key:

0
 —

List attribute references and nodes.

1
 —

List attribute references but not nodes.

RKEY

Real constant listing key:

0
 —

Do not show real constants for each element.

1
 —

Show real constants for each element. This includes default values chosen for the element.

PTKEY

LS-DYNA part number listing key (applicable to ANSYS LS-DYNA only):

0
 —

Do not show part ID number for each element.

1
 —

Show part ID number for each element.

Notes

Lists the elements with their nodes and attributes (MAT, TYPE, REAL, ESYS, SECNUM, PART). See also the LAYLIST command for listing layered elements.

This command is valid in any processor.

Menu Paths

Utility Menu>List>Elements>Attributes + RealConst
Utility Menu>List>Elements>Attributes Only
Utility Menu>List>Elements>Nodes + Attributes
Utility Menu>List>Elements>Nodes + Attributes + RealConst

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ELEM 		Up / Home Next
EMAGERR


EMAGERR

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EMAGERR

Calculates the relative error in an electrostatic or electromagnetic field analysis.

POST1: Magnetics Calculations

MP <> <> <> <> <> <> <> EM <> <> PP <>

Notes

The relative error is an approximation of the mesh discretization error associated with a solution. It is based on the discrepancy between the unaveraged, element-nodal field values and the averaged, nodal field values. The calculation is valid within a material boundary and does not consider the error in continuity of fields across dissimilar materials.

For electrostatics, the field values evaluated are the electric field strength (EFSUM) and the electric flux density (DSUM). A relative error norm of each is calculated on a per-element basis and stored in the element table [ETABLE] with the labels EF_ERR and D_ERR. Normalized error values EFN_ERR and DN_ERR are also calculated and stored in the element table. Corresponding quantities for electromagnetics are H_ERR, B_ERR, HN_ERR, and BN_ERR, which are calculated from the magnetic field intensity (HSUM) and the magnetic flux density (BSUM). The normalized error value is the relative error norm value divided by the peak element-nodal field value for the currently selected elements.

Use the PLETAB and PRETAB commands to plot and list the error norms and normalized error values.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Elec&Mag Calc>Element Based>Error Eval

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ELIST 		Up / Home Next
EMATWRITE


EMATWRITE

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EMATWRITE, Key

Forces the writing of all the element matrices to File.EMAT.

SOLUTION: Analysis Options

MP ME ST <> <> <> <> <> <> <> <> PP <>

Key

Write key:

YES
 —

Forces the writing of the element matrices to File.EMAT even if not normally done.

NO
 —

Element matrices are written only if required. This value is the default.

Notes

The EMATWRITE command forces ANSYS to write the File.EMAT file. The file is necessary if you intend to perform a subsequent partial solution (PSOLVE) requiring File.EMAT data as a prerequisite, or if you intend to follow the initial load step with a subsequent inertia relief calculation (IRLF).

File.EMAT is also required in these cases:

  • For the static solution of a prestressed modal analysis when you use stress-stiffening energy to obtain better strain energy calculation accuracy.

  • When you perform a QR damp eigensolution with a constant material damping coefficient (MP,DMPR).

This command is also valid in PREP7.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EMAGERR 		Up / Home Next
EMF


EMF

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EMF

Calculates the electromotive force (emf), or voltage drop along a predefined path.

POST1: Magnetics Calculations

MP ME ST <> <> <> <> <> EM <> <> PP <>

Notes

EMF invokes an ANSYS macro which calculates the electromotive force (emf), or voltage drop along a predefined path (specified with the PATH command). It is valid for both 2-D and 3-D electric field analysis or high-frequency electromagnetic field analysis. The calculated emf value is stored in the parameter EMF.

You must define a line path (via the PATH command) before issuing the EMF command macro. The macro uses calculated values of the electric field (EF), and uses path operations for the calculations. All path items are cleared when the macro finishes executing.

The EMF macro sets the "ACCURATE" mapping method and "MAT" discontinuity option on the PMAP command. The ANSYS program retains these settings after executing the macro.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Elec&Mag Calc>Path Based>EMF

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EMATWRITE 		Up / Home Next
EMFT


EMFT

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EMFT

Summarizes electromagnetic forces and torques.

POST1: Magnetics Calculations

MP <> <> <> <> <> <> <> EM <> <> PP <>

Notes

Use this command to summarize electromagnetic force and torque in both static electric and magnetic problems. To use this command, select the nodes in the region of interest and make sure that all elements are selected. If RSYS = 0, the force is reported in the global Cartesian coordinate system. If RSYS ≠ 0, force is reported in the specified coordinate system. However, for torque, if RSYS ≠ 0, this command will account for the shift and rotation as specified by RSYS, but will report only the Cartesian components.

Forces are stored as items _FXSUM, _FYSUM, _FZSUM, and _FSSUM. Torque is stored as items _TXSUM, _TYSUM, _TZSUM, and _TSSUM.

This command is valid only with SOLID117, PLANE121, SOLID122, and SOLID123 elements. For any other elements or for harmonic analyses, you must use FMAGSUM.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu> General Postprocessor> Elec&Mag Calc> Summarize Force/Torque

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EMF 		Up / Home Next
EMID


EMID

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EMID, Key, Edges

Adds or removes midside nodes.

PREP7: Elements

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Key

Add or remove key:

ADD
 —

Add midside node to elements (default).

REMOVE
 —

Remove midside nodes from elements.

Edges

ALL
 —

Add (or remove) midside nodes to (from) all edges of all selected elements, independent of which nodes are selected (default).

EITHER
 —

Add (or remove) midside nodes only to (from) element edges which have either corner node selected.

BOTH
 —

Add (or remove) midside nodes only to (from) element edges which have both corner nodes selected.

Notes

This command adds midside nodes to (or removes midside nodes from) the selected elements. For this to occur, the selected elements must be midside node capable, the active element type [TYPE] must allow midside node capability, and the relationship between the finite element model and the solid model (if any) must first be disassociated [MODMSH].

By default, EMID generates a midside node wherever a zero (or missing) midside node occurs for that element. You can control this and add (or remove) midside nodes selectively by using the Edges argument. Nodes are located midway between the two appropriate corner nodes based on a linear Cartesian interpolation. Nodal coordinate system rotation angles are also linearly interpolated. Connected elements share the same midside node. Node numbers are generated sequentially from the maximum node number.

The EMID command is useful for transforming linear element types to quadratic element types having the same corner node connectivity (for example, by changing the element type from PLANE42 to PLANE82 [ET] and then issuing the EMID command). EMID is also useful for transforming elements created outside of the ANSYS program.

Menu Paths

Main Menu>Preprocessor>Modeling>Move / Modify>Elements>Add Mid Nodes
Main Menu>Preprocessor>Modeling>Move / Modify>Elements>Remove Mid Nd

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EMFT 		Up / Home Next
EMIS


EMIS

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EMIS, MAT, EVALU

Specifies emissivity as a material property for the Radiation Matrix method.

AUX12: Radiation Matrix Method

MP ME <> PR <> <> <> <> <> <> <> PP <>

MAT

Material number associated with this emissivity (500 maximum). Defaults to 1.

EVALU

Emissivity for this material (0.0 < EVALU [image] 1.0). Enter a very small number for zero.

Command Default

Emissivity value of 1.0 is associated with all materials.

Notes

Specifies emissivity as a material property for the Radiation Matrix method. This material property can then be associated with each element.

Menu Paths

Main Menu>Radiation Opt>Matrix Method>Emissivities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EMID 		Up / Home Next
EMODIF


EMODIF

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EMODIF, IEL, STLOC, I1, I2, I3, I4, I5, I6, I7, I8

Modifies a previously defined element.

PREP7: Elements

MP ME ST PR PRN <> <> FL EM <> <> PP <>

IEL

Modify nodes and/or attributes for element number IEL. If ALL, modify all selected elements [ESEL]. If IEL = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for IEL.

STLOC

Starting location (n) of first node to be modified or the attribute label. If n, modify element node positions n, n+1, etc. (n = 1 to 20). For example, if STLOC = 1, I1 refers to the first node, I2, the second, etc. If STLOC = 9, I1 refers to the ninth node, I2, the tenth, etc. Attributes are also modified to the currently specified values (use -n to modify only nodes and not attributes). If zero, modify only the attributes to the currently specified values. If MAT, TYPE, REAL, ESYS, or SECNUM, modify only that attribute to the I1 value.

I1, I2, I3, . . . , I8

Replace the previous node numbers assigned to this element with these corresponding values. A (blank) retains the previous value (except in the I1 field, which resets the STLOC node number to zero). For attributes, replace the existing value with the I1 value (or the default if I1 is zero or blank).

Notes

The nodes and/or attributes (MAT, TYPE, REAL, ESYS, and SECNUM values) of an existing element may be changed with this command.

Menu Paths

Main Menu>Preprocessor>Modeling>Move / Modify>Elements>Modify Attrib
Main Menu>Preprocessor>Modeling>Move / Modify>Elements>Modify Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EMIS 		Up / Home Next
EMORE


EMORE

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EMORE, Q, R, S, T, U, V, W, X

Adds more nodes to the just-defined element.

PREP7: Elements

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Q, R, S, T, U, V, W, X

Numbers of nodes typically assigned to ninth (node Q) through sixteenth (node X) nodal positions, if any. If Q = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

Notes

Repeat EMORE command for up to 4 additional nodes (20 maximum). Nodes are added after the last nonzero node of the element. Node numbers defined with this command may be zeroes.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EMODIF 		Up / Home Next
EMSYM


EMSYM

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EMSYM, NSECT

Specifies circular symmetry for electromagnetic sources.

PREP7: Special Purpose

MP ME ST <> <> <> <> <> EM <> <> PP <>

NSECT

The number of circular symmetry sections (defaults to 1).

Notes

Specifies the number of times to repeat electromagnetic sources for circular symmetry. Applies to SOURC36 elements and to coupled-field elements with electric current conduction results in the database. Sources are assumed to be equally spaced over 360° about the global Cartesian Z axis.

This command is also valid in SOLUTION.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Magnetics>Options Only>Copy Sources
Main Menu>Solution>Load Step Opts>Magnetics>Options Only>Copy Sources

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EMORE 		Up / Home Next
EMTGEN


EMTGEN

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EMTGEN, Ncomp, Ecomp, PNcomp, DOF, GAP, GAPMIN, FKN, PER0

Generates a set of TRANS126 elements.

PREP7: Elements

MP <> <> <> <> <> <> <> <> <> <> PP <>

Ncomp

Component name of the surface nodes of a structure which attach to the TRANS126 elements. You must enclose name-strings in single quotes in the EMTGEN command line.

Ecomp

Component name of the TRANS126 elements generated. You must enclose name-strings in single quotes in the EMTGEN command line. Defaults to EMTELM.

PNcomp

Component name of the plane nodes generated by the command at an offset (GAP) from the surface nodes. You must enclose name-strings in single quotes in the EMTGEN command line. Defaults to EMTPNO.

DOF

Active structural degree of freedom (DOF) for TRANS126 elements (UX, UY, or UZ) in the Cartesian coordinate system. You must enclose the DOF in single quotes.

GAP

Initial gap distance from the surface nodes to the plane. Be sure to use the correct sign with respect to Ncomp node location.

GAPMIN

Minimum gap distance allowed (GAPMIN real constant) for TRANS126 elements. Defaults to the absolute value of (GAP)*0.05.

FKN

Contact stiffness factor used as a multiplier for a contact stiffness appropriate for bulk deformation. Defaults to 0.1.

PER0

Free-space permittivity. Defaults to 8.854e-6 (μMKS units).

Notes

The EMTGEN command generates a set of TRANS126 elements between the surface nodes of a moveable structure and a plane of nodes, typically representing a ground plane. The plane of nodes are created by the command at a specified offset (GAP). Each element attaches to a surface node and to a corresponding node representing the plane. The created elements are set to the augmented stiffness method (KEYOPT(6) = 1), which can help convergence. The generated plane nodes should be constrained appropriately for the analysis.

You can use TRANS126 elements for simulating fully coupled electrostatic structural coupling between a MEMS device and a plane, if the gap distance between the device and the plane is small compared to the overall surface area dimensions of the device. This assumption allows for a point-wise closed-form solution of capacitance between the surface nodes and the plane; i.e. CAP = PER0*AREA/GAP, where PER0 if the free-space permittivity, AREA is the area associated with the node, and GAP is the gap between the node and the plane. The area for each node is computed using the ARNODE function in ANSYS. See the *GET command description for more information on the ARNODE function.

With a distributed set of TRANS126 elements attached directly to the structure and a plane (such as a ground plane), you can perform a full range of coupled electrostatic-structural simulations, including:

  • Static analysis (due to a DC voltage or a mechanical load)

  • Prestressed modal analysis (eigenfrequencies, including frequency-shift effects of a DC bias voltage)

  • Prestressed harmonic analysis (system response to a small-signal AC excitation with a DC bias voltage or mechanical load)

  • Large signal transient analysis (time-transient solution due to an arbitrary time-varying voltage or mechanical excitation)

The TRANS126 element also employs a node-to-node gap feature so you can perform contact-type simulations where the structure contacts a plane (such as a ground plane). The contact stiffness factor, FKN, is used to control contact penetration once contact is initiated. A smaller value provides for easier convergence, but with more penetration.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Transducers>Electromechanic>Node to Plane

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EMSYM 		Up / Home Next
EMUNIT


EMUNIT

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EMUNIT, Lab, VALUE

Specifies the system of units for magnetic field problems.

PREP7: Materials

MP <> <> <> <> <> <> <> EM <> <> PP <>

Lab

Label specifying the type of units:

MKS
 —

Rationalized MKS system of units (meters, amperes, henries, webers, etc.). Free-space permeability is set to 4 πe-7 henries/meter. Free-space permittivity is set to 8.85 e-12 F/m.

MUZRO
 —

User defined system of units. Free-space permeability is set to the value input for VALUE. Other units must correspond to the permeability units. Relative permeability may be altered to absolute values.

EPZRO
 —

User defined system of units. Free-space permittivity is set to the value input for VALUE. Other units must correspond to the permittivity units.

VALUE

User value of free-space permeability (defaults to 1) if Lab = MUZRO, or free-space permittivity (defaults to 1) if Lab = EPZRO.

Command Default

Rationalized MKS system of units (meters, amperes, henries, webers, etc.). Free-space permeability is set to 4 πe-7 Henries/meter, free-space permittivity is set to 8.85e-12 Farads/meter.

Notes

Specifies the system of units to be used for electric and magnetic field problems. The free-space permeability and permittivity values may be set as desired. These values are used with the relative property values [MP] to establish absolute property values.

Note

If the magnetic source field strength (Hs) has already been calculated [BIOT], switching EMUNIT will not change the values.

For micro-electromechanical systems (MEMS), where dimensions are on the order of microns, see the conversion factors in System of Units in the Coupled-Field Analysis Guide.

This command is also valid in SOLUTION.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Electromag Units
Main Menu>Preprocessor>Material Props>Electromag Units
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Electromag Units

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EMTGEN 		Up / Home Next
EN


EN

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EN, IEL, I, J, K, L, M, N, O, P

Defines an element by its number and node connectivity.

PREP7: Elements

MP ME ST PR PRN <> <> FL EM <> <> PP <>

IEL

Number assigned to element being defined. If IEL = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

I

Number of node assigned to first nodal position (node I).

J, K, L, M, N, O, P

Number assigned to second (node J) through eighth (node P) nodal position, if any.

Notes

Defines an element by its nodes and attribute values. Similar to the E command except it allows the element number (IEL) to be defined explicitly. Element numbers need not be consecutive. Any existing element already having this number will be redefined.

Up to 8 nodes may be specified with the EN command. If more nodes are needed for the element, use the EMORE command. The number of nodes required and the order in which they should be specified are described in the Elements Reference for each element type. The current (or default) MAT, TYPE, REAL, SECNUM, and ESYS attribute values are also assigned to the element.

When creating elements with more than 8 nodes using this command and the EMORE command, it may be necessary to turn off shape checking using the SHPP command before issuing this command. If a valid element type can be created without using the additional nodes on the EMORE command, this command will create that element. The EMORE command will then modify the element to include the additional nodes. If shape checking is active, it will be performed before the EMORE command is issued. Therefore, if the shape checking limits are exceeded, element creation may fail before the EMORE command modifies the element into an acceptable shape.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Elements>User Numbered>Thru Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EMUNIT 		Up / Home Next
ENDRELEASE


ENDRELEASE

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ENDRELEASE, --, TOLERANCE, Dof1, Dof2, Dof3, Dof4

Specifies degrees of freedom to be decoupled for end release.

PREP7: Elements

MP ME ST PR PRN <> <> FL EM <> <> PP <>

--

Unused field.

TOLERANCE

Angle tolerance (in degrees) between adjacent elements. Defaults to 20°. Set TOLERANCE to -1 to indicate all selected elements.

Dof1, Dof2, Dof3, Dof4

Degrees of freedom to release. If Dof1 is blank, WARP is assumed and Dof2, Dof3, and Dof4 are ignored.

WARP
 —

Release the warping degree of freedom (default).

ROTX
 —

Release rotations in the X direction.

ROTY
 —

Release rotations in the Y direction.

ROTZ
 —

Release rotations in the Z direction.

UX
 —

Release displacements in the X direction.

UY
 —

Release displacements in the Y direction.

UZ
 —

Release displacements in the Z direction.

BALL
 —

Create ball joints (equivalent to releasing WARP, ROTX, ROTY, and ROTZ).

Notes

This command specifies end releases for BEAM188 and BEAM189 elements. The command works on currently selected nodes and elements. It creates end releases on any two connected beam elements whose angle at connection exceeds the specified tolerance. From within the GUI, the Picked node option generates an end release at the selected node regardless of the angle of connection (angle tolerance is set to -1).

Use the CPLIST command to list the coupled sets generated by the ENDRELEASE command.

Note

You should exercise due engineering judgement when using this command, as improper use may result in mechanics that render a solution impossible.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>End Releases>On Selected set
Main Menu>Solution>Load Step Opts>Other>End Releases>On Selected set

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EN 		Up / Home Next
ENERSOL


ENERSOL

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ENERSOL, NVAR, Item, ---, Name

Specifies the total energies to be stored.

POST26: Set Up

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NVAR

Arbitrary reference number assigned to this variable (2 to NV).

Item

SENE
 —

Stiffness energy

KENE
 —

Kinetic energy

AENE
 —

Artificial energy due to hourglass control/drill stiffness

STEN
 —

Artificial energy due to nonlinear stabilization

---

Unused.

NAME

A 32-character name identifying the item on printouts and displays. Defaults to a 4-character label formed by the four characters of the Item value.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ENDRELEASE 		Up / Home Next
ENGEN


ENGEN

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ENGEN, IINC, ITIME, NINC, IEL1, IEL2, IEINC, MINC, TINC, RINC, CINC, SINC, DX, DY, DZ

Generates elements from an existing pattern.

PREP7: Elements

MP ME ST PR PRN <> <> FL EM <> <> PP <>

IINC

Increment to be added to element numbers in pattern.

ITIME, NINC

Do this generation operation a total of ITIMEs, incrementing all nodes in the given pattern by NINC each time after the first. ITIME must be > 1 if generation is to occur. NINC may be positive, zero, or negative.

IEL1, IEL2, IEINC

Generate elements from the pattern that begins with IEL1 to IEL2 (defaults to IEL1) in steps of IEINC (defaults to 1). If IEL1 is negative, IEL2 and IEINC are ignored and use the last |IEL1| elements (in sequence backward from the maximum element number) as the pattern to be repeated. If IEL1 = ALL, IEL2 and IEINC are ignored and all selected elements [ESEL] are used as the pattern to be repeated. If IEL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for IEL1 (IEL2 and IEINC are ignored).

MINC

Increment material number of all elements in the given pattern by MINC each time after the first.

TINC

Increment type number by TINC.

RINC

Increment real constant table number by RINC.

CINC

Increment element coordinate system number by CINC.

SINC

Increment section ID number by SINC.

DX, DY, DZ

Define nodes that do not already exist but are needed by generated elements (NGEN,ITIME,INC,NODE1,,,DX,DY,DZ). Zero is a valid value. If blank, DX, DY, and DZ are ignored.

Notes

Same as the EGEN command except it allows element numbers to be explicitly incremented (IINC) from the generated set. Any existing elements already having these numbers will be redefined.

Menu Paths

Main Menu>Preprocessor>Modeling>Copy>Elements>User Numbered

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ENERSOL 		Up / Home Next
ENORM


ENORM

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ENORM, ENUM

Reorients shell element normals or line element node connectivity.

PREP7: Elements

MP ME ST PR PRN <> <> <> <> <> <> PP <>

ENUM

Element number having the normal direction that the reoriented elements are to match. If ENUM = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

Notes

Reorients shell elements so that their outward normals are consistent with that of a specified element. ENORM can also be used to reorder nodal connectivity of line elements so that their nodal ordering is consistent with that of a specified element.

For shell elements, the operation reorients the element by reversing and shifting the node connectivity pattern. For example, for a 4-node shell element, the nodes in positions I, J, K and L of the original element are placed in positions J, I, L and K of the reoriented element. All 3-D shell elements in the selected set are considered for reorientation, and no element is reoriented more than once during the operation. Only shell elements adjacent to the lateral (side) faces are considered.

The command reorients the shell element normals on the same panel as the specified shell element. A panel is the geometry defined by a subset of shell elements bounded by free edges or T-junctions (anywhere three or more shell edges share common nodes).

Reorientation progresses within the selected set until either of the following conditions is true:

  • The edge of the model is reached.

  • More than two elements (whether selected or unselected) are adjacent to a lateral face.

In situations where unselected elements might undesirably cause case b to control, consider using ENSYM,0,,0,ALL instead of ENORM. It is recommended that reoriented elements be displayed and graphically reviewed.

You cannot use the ENORM command to change the normal direction of any element that has a body or surface load. We recommend that you apply all of your loads only after ensuring that the element normal directions are acceptable.

Real constant values are not reoriented and may be invalidated by an element reversal.

Menu Paths

Main Menu>Preprocessor>Modeling>Move / Modify>Elements>Shell Normals

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ENGEN 		Up / Home Next
ENSYM


ENSYM

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ENSYM, IINC, --, NINC, IEL1, IEL2, IEINC

Generates elements by symmetry reflection.

PREP7: Elements

MP ME ST PR PRN <> <> FL EM <> <> PP <>

IINC

Increment to be added to element numbers in existing set.

--

Unused field.

NINC

Increment nodes in the given pattern by NINC.

IEL1, IEL2, IEINC

Reflect elements from pattern beginning with IEL1 to IEL2 (defaults to IEL1) in steps of IEINC (defaults to 1). If IEL1 = ALL, IEL2 and IEINC are ignored and pattern is all selected elements [ESEL]. If IEL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for IEL1 (IEL2 and IEINC are ignored).

Notes

This command is the same as the ESYM command except it allows explicitly assigning element numbers to the generated set (in terms of an increment IINC). Any existing elements already having these numbers will be redefined.

The operation generates a new element by incrementing the nodes on the original element, and reversing and shifting the node connectivity pattern. For example, for a 4-node 2-D element, the nodes in positions I, J, K and L of the original element are placed in positions J, I, L and K of the reflected element.

Similar permutations occur for all other element types. For line elements, the nodes in positions I and J of the original element are placed in positions J and I of the reflected element. In releases prior to ANSYS 5.5, no node pattern reversing and shifting occurred for line elements generated by ENSYM. To achieve the same results as you did in releases prior to ANSYS 5.5, use the ENGEN command instead.

See the ESYM command for additional information about symmetry elements.

The ENSYM command also provides a convenient way to reverse shell element normals. If the IINC and NINC argument fields are left blank, the effect of the reflection is to reverse the direction of the outward normal of the specified elements. You cannot use the ENSYM command to change the normal direction of any element that has a body or surface load. We recommend that you apply all of your loads only after ensuring that the element normal directions are acceptable. Also note that real constants (such as nonuniform shell thickness and tapered beam constants) may be invalidated by an element reversal. See Revising Your Model in the Modeling and Meshing Guide for more information about controlling element normals.

Menu Paths

Main Menu>Preprocessor>Modeling>Move / Modify>Reverse Normals>of Shell Elems
Main Menu>Preprocessor>Modeling>Reflect>Elements>User Numbered

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ENORM 		Up / Home Next
/EOF


/EOF

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

/EOF

Exits the file being read.

SESSION: Run Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Causes an end-of-file exit when encountered on a switched file (see /INPUT, *USE, etc.). Commands are then read continuing from the file that contained the file switching command (or from the terminal if the switch was made from the terminal). Use the /EXIT command to terminate an ANSYS run. This command cannot be used in a do-loop or if-then-else construct.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ENSYM 		Up / Home Next
EORIENT


EORIENT

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EORIENT, Etype, Dir, TOLER

Reorients solid element normals.

PREP7: Meshing

PREP7: Elements

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Etype

Specifies which elements to orient.

LYSL
 —

Specifies that certain solid elements will be oriented (SOLID46, SOLID95 with KEYOPT(1) = 1, SOLID185 with KEYOPT(3) = 1, SOLID186 with KEYOPT(3) = 1, SOLSH190, SOLID186 Layered Solid, and SOLID191). This value is the default.

Dir

The axis and direction for orientation, or an element number. If Dir is set to a positive number (n), then all eligible elements are oriented as similarly as possible to element n.

NEGX
 —

The element face with the outward normal most nearly parallel to the element coordinate system’s negative x-axis is designated (reoriented) as face 1.

POSX
 —

The element face with the outward normal most nearly parallel to the element coordinate system’s positive x-axis is designated (reoriented) as face 1.

NEGY
 —

The element face with the outward normal most nearly parallel to the element coordinate system’s negative y-axis is designated (reoriented) as face 1. .

POSY
 —

The element face with the outward normal most nearly parallel to the element coordinate system’s positive y-axis is designated (reoriented) as face 1.

NEGZ
 —

(Default) The element face with the outward normal most nearly parallel to the element coordinate system’s negative z-axis is designated (reoriented) as face 1.

POSZ
 —

The element face with the outward normal most nearly parallel to the element coordinate system’s positive z-axis is designated (reoriented) as face 1.

TOLER

The maximum angle (in degrees) between the outward normal face and the target axis. Default is 90.0. Lower TOLER values will reduce the number of faces that are considered as the basis of element reorientation.

Notes

EORIENT renumbers the element faces, designating the face most parallel to the XY plane of the element coordinate system (set with ESYS) as face 1 (nodes I-J-K-L, parallel to the layers in layered elements). It calculates the outward normal of each face and changes the node designation of the elements so the face with a normal most nearly parallel with and in the same general direction as the target axis becomes face 1.

The target axis, defined by Dir, is either the negative or positive indicated axis or the outward normal of face 1 of that element.

All SOLID46 and SOLID191 3-D layered solid elements, SOLID95 elements with KEYOPT(1) = 1, SOLID185 Layered Solid, SOLID186 Layered Solid, and SOLSH190 solid shell elements in the selected set are considered for reorientation.

After reorienting elements, you should always display and graphically review results using the /ESHAPE command. When plotting models with many or symmetric layers, it may be useful to temporarily reduce the number of layers to two, with one layer being much thicker than the other.

You cannot use EORIENT to change the normal direction of any element that has a body or surface load. We recommend that you apply all of your loads only after ensuring that the element normal directions are acceptable.

Prisms and tetrahedrals are also supported, within the current limitations of the SOLID46, SOLID95, SOLID185, SOLID186, SOLSH190, and SOLID191 elements. (Layers parallel to the 4-node face of the prism are not supported.)

Menu Paths

Main Menu>Preprocessor>Modeling>Move / Modify>Elements>Orient Normal

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/EOF 		Up / Home Next
EPLOT


EPLOT

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EPLOT

Produces an element display.

PREP7: Elements

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Produces an element display of the selected elements. In full graphics, only those elements faces with all of their corresponding nodes selected are plotted. In PowerGraphics, all element faces of the selected element set are plotted irrespective of the nodes selected. However, for both full graphics and PowerGraphics, adjacent or otherwise duplicated faces of 3-D solid elements will not be displayed in an attempt to eliminate plotting of interior facets. See the DSYS command for display coordinate system issues.

This command will display curvature in midside node elements when PowerGraphics is activated [/GRAPHICS,POWER] and /EFACET,2 or /EFACET,4 are enabled. (To display curvature, two facets per edge is recommended [/EFACET,2]). When you specify /EFACET,1, PowerGraphics does not display midside nodes. /EFACET has no effect on EPLOT for non-midside node elements.

This command is valid in any processor.

Menu Paths

Main Menu>Preprocessor>Modeling>CMS>CMS Superelements>By Picking
Main Menu>Solution>Manual Rezoning>Create Remesh Zone(s)>Select Rezone Component
Main Menu>Solution>Time Controls>Time Step Prediction
Utility Menu>Plot>Elements

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EORIENT 		Up / Home Next
EQSLV


EQSLV

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EQSLV, Lab, TOLER, MULT

Specifies the type of equation solver.

SOLUTION: Analysis Options

MP ME ST PR PRN DS DSS <> EM <> <> PP <>

Lab

Equation solver type:

FRONT
 —

Frontal direct equation solver. In-memory only.

SPARSE
 —

Sparse direct equation solver. Applicable to real-value or complex-value symmetric and unsymmetric matrices. Available only for STATIC, HARMIC (full method only), TRANS (full method only), SUBSTR, and PSD spectrum analysis types [ANTYPE]. Can be used for nonlinear and linear analyses, especially nonlinear analysis where indefinite matrices are frequently encountered. Well suited for contact analysis where contact status alters the mesh topology. Other typical well-suited applications are: (a) models consisting of shell/beam or shell/beam and solid elements (b) models with a multi-branch structure, such as an automobile exhaust or a turbine fan. This is an alternative to iterative solvers since it combines both speed and robustness. Generally, it requires more memory than the frontal solver, but it is comparable in memory requirement to the PCG solver. When memory is limited, the solver works partly in and out-of-core memory without much increase in CPU time.

JCG
 —

Jacobi Conjugate Gradient iterative equation solver, in-memory option. Available only for STATIC, HARMIC (full method only), and TRANS (full method only) analysis types [ANTYPE]. Can be used for structural and multiphysics applications. Applicable for symmetric, unsymmetric, complex, definite, and indefinite matrices. Recommended for 3-D harmonic analyses in structural and multiphysics applications. Efficient for heat transfer, electromagnetics, piezoelectrics, and acoustic field problems.

This solver can also be run in shared memory or distributed memory (Distributed ANSYS) mode. In addition to the limitations listed above, this solver is available only for STATIC and TRANS (full method) analyses where the stiffness is symmetric, and does not support the fast thermal option (THOPT) when used in Distributed ANSYS.

Distributed ANSYS requires an HPC license. For more information, see the Distributed ANSYS Guide.

ICCG
 —

Incomplete Cholesky Conjugate Gradient iterative equation solver. Available for STATIC, HARMIC (full method only), and TRANS (full method only) analysis types [ANTYPE]. Can be used for structural and multiphysics applications, and for symmetric, unsymmetric, complex, definite, and indefinite matrices. The ICCG solver requires more memory than the JCG solver, but is more robust than the JCG solver for ill-conditioned matrices.

QMR
 —

Quasi-Minimal Residual iterative equation solver. Available for the HARMIC (full method only) analysis type [ANTYPE]. Can be used for high-frequency electromagnetic applications, and for symmetric, complex, definite, and indefinite matrices. The QMR solver is more stable than the ICCG solver.

PCG
 —

Pre-conditioned Conjugate Gradient iterative equation solver (licensed from Computational Applications and Systems Integration, Inc.). Requires less disk file space than SPARSE or FRONT and is faster for large models. Useful for plates, shells, 3-D models, large 2-D models, p-method analyses, and other problems having symmetric, sparse, definite or indefinite matrices for nonlinear analysis. Requires twice as much memory as JCG (/RUNST can be used to determine the space needed). Available only for analysis types [ANTYPE] STATIC, TRANS (full method only), or MODAL (with PCG Lanczos option only). The PCG solver can robustly solve equations with constraint equations (CE, CEINTF, CPINTF, and CERIG). This solver gives you the option of using either:

  • the MSAVE command (used to obtain a considerable memory savings when applicable (see "Notes" below)), and/or

  • the PRECISION command to specify single precision, thereby reducing the memory required by between 30% and 70%

The PCG solver can handle ill-conditioned problems by using a higher level of difficulty (see PCGOPT). Ill-conditioning arises from elements with high aspect ratios, contact, and plasticity.

This solver can also be run in shared memory or distributed memory (Distributed ANSYS) mode. When used in Distributed ANSYS, this solver preserves all of the merits of the classic PCG solver. The total sum of memory (summed total over the network or all processors) is about 30% more than the shared-memory PCG solver. In addition to the limitations listed above, this solver does not support the PRECISION command or p-elements when used in Distributed ANSYS.

Distributed ANSYS requires an HPC license. For more information, see the Distributed ANSYS Guide.

AMG
 —

Algebraic Multigrid iterative equation solver. Available for STATIC analyses and TRANS (full method only) analyses. The AMG solver is applicable to symmetric matrices. This solver is not available for substructure analyses, either generation or use pass, or for models containing p-elements (which switch to the frontal solver). It is very efficient for single-field structural analyses (where the solution DOFs are combinations of UX, UY, UZ, ROTX, ROTY, and ROTZ). For applications such as single-field thermal analyses (where the solution DOF is TEMP), the AMG solver is less efficient. Recommended for ill-conditioned problems in which the ICCG solver would have difficulty converging; applicable in both single- and multiprocessor environments. In terms of CPU time when used in a single-processor environment, the AMG solver performs better than the ICCG solver for ill-conditioned problems, and it delivers about the same level of performance for ordinary problems. In a multiprocessor environment, the AMG solver scales better than the ICCG solver on shared memory parallel machines. Also handles indefinite matrix problems for nonlinear analyses. The AMG solver is part of ANSYS' High Performance Computing, which is a separately-licensed product. For detailed information on multiprocessor solvers, see Improving ANSYS Performance and High Performance Computing in the ANSYS Advanced Analysis Techniques Guide. See Starting an ANSYS Session from Command Level in the Operations Guide for information on how to specify the HPCHPC add-on at ANSYS start-up.

ITER
 —

Automatically chooses an iterative solver that is appropriate for the physics of the problem. The tolerance for the iterative solver is automatically selected based on the accuracy level you choose (see TOLER, below). This solver option is available only for electrostatic analyses, steady-state/transient thermal analyses and linear static/full transient structural analyses without superelements. If you issue the automatic iterative solver selection command, but the appropriate conditions for the selection are not met, then the program defaults to the Frontal solver. See Using the Automatic Iterative (Fast) Solver Option in the Basic Analysis Guide, as well as Structural Static Analysis in the Structural Analysis Guide or Steady-State Thermal Analysis in the Thermal Analysis Guide, for correct usage of this option.

DSPARSE
 —

Distributed sparse direct equation solver. It is mathematically similar to the SPARSE solver, except it is parallelized for distributed memory architecture. As a result, it can achieve up to a 6X speedup on a 12-processor system. However, its total memory usage is higher than the non-distributed SPARSE solver because each core front is held in memory on each processor to achieve the distributed performance. Like the SPARSE solver, this solver is well-suited to ill-conditioned nonlinear problems, as well as to beam/shell structures. The DSPARSE solver is valid only for real-value or complex-value symmetric matrices. System configuration affects the performance of this solver. Its ideal configuration is to use a single processor on multiple machines, spreading the I/O across the hard drives of each machine, assuming that you are using a high-speed network such as Infiniband. See the DSPARSE solver description in the Basic Analysis Guide for more details.

This solver is available only with Distributed ANSYS and requires an HPC license. For more information, see the Distributed ANSYS Guide.

TOLER

Iterative solver tolerance value. Used only with the Jacobi Conjugate Gradient, Incomplete Cholesky Conjugate Gradient, Pre-conditioned Conjugate Gradient, Quasi-Minimal Residual, and Algebraic Multigrid equation solvers. For the PCG solver, the default is 1.0E-8. The value 1.0E-5 may be acceptable in many situations. When using the PCG Lanczos mode extraction method, the default solver tolerance value is 1.0E-4. For the JCG and ICCG solvers with symmetric matrices, and for the AMG solver, the default is 1.0E-8. For the JCG and ICCG solvers with unsymmetric matrices, and for the QMR solver, the default is 1.0E-6. Iterations continue until the SRSS norm of the residual is less than TOLER times the norm of the applied load vector. For the PCG solver in the linear static analysis case, 3 error norms are used. If one of the error norms is smaller than TOLER, and the SRSS norm of the residual is smaller than 1.0E-2, convergence is assumed to have been reached. See the Theory Reference for ANSYS and ANSYS Workbench for details.

Note

When used with the Pre-conditioned Conjugate Gradient equation solver, TOLER can be modified between load steps (this is typically useful for nonlinear analysis).

If used with the ITER label, you can specify an integer value from 1 to 5, which indicates the accuracy level for convergence for the automatically-selected iterative solver. A value of 1 is the fastest level, and 5 is the most accurate level. ANSYS chooses the tolerance value for the automatic iterative solver based on the input accuracy level.

If a Lev_Diff value of 5 is specified on the PCGOPT command (either program- or user-specified), TOLER has no effect on the accuracy of the obtained solution from the PCG solver; a direct solver is used when Lev_Diff = 5.

MULT

Multiplier (defaults to 2.0 when solution control is on; 1.0 when solution control is off) used to control the maximum number of iterations performed during convergence calculations. Used only with the Pre-conditioned Conjugate Gradient equation solver (PCG). The maximum number of iterations is equal to the multiplier (MULT) times the number of degrees of freedom (DOF). Iterations continue until either the maximum number of iterations or solution convergence has been reached. In general, the default value for MULT is adequate for reaching convergence. However, for ill-conditioned matrices (that is, models containing elements with high aspect ratios or material type discontinuities) the multiplier may be used to increase the maximum number of iterations used to achieve convergence. The recommended range for the multiplier is 1.0 [image] MULT [image] 3.0. Normally, a value greater than 3.0 adds no further benefit toward convergence, and merely increases time requirements. If the solution does not converge with 1.0 [image] MULT [image] 3.0, then convergence is highly unlikely, and further examination of the model is recommended. Rather than increasing the default value of MULT, consider increasing the level of difficulty (Lev_Diff) on the PCGOPT command.

Command Default

The sparse direct solver is the default solver for all analyses, with the following exceptions, which all use the frontal solver by default:

  • Electromagnetic analyses using CIRCU124 elements

  • Analyses that include both p-elements and constraint equations

  • Substructuring when the TOTAL command is used or if the matrices are unsymmetric.

Distributed ANSYS uses the following defaults:

  • DSPARSE for static and full transient analyses

  • SPARSE for harmonic analyses or analyses with unsymmetric matrices

  • No default for modal; must specify a solver using MODOPT

Notes

The selection of a solver can affect the speed and accuracy of a solution. For a more detailed discussion of the merits of each solver, see Solution in the ANSYS Basic Analysis Guide.

If you use MODOPT,LANB or BUCOPT,LANB, the internal solver used is EQSLV,SPARSE. If you use MODOPT,LANPCG, the internal solver used is EQSLV, PCG.

You may only specify the solver type in the first load step. You may, however, modify the solver tolerance in subsequent load steps for the iterative solvers.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Preprocessor>Loads>Analysis Type>Sol'n Controls>Sol'n Options
Main Menu>Preprocessor>Loads>Fast Sol'n Optn
Main Menu>Solution>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>Sol'n Controls>Sol'n Options
Main Menu>Solution>Fast Sol'n Optn

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EPLOT 		Up / Home Next
ERASE


ERASE

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ERASE

Explicitly erases the current display.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Similar to a hardware screen erase key. Useful during an "immediate" display to erase the screen without a replot so that the display continues on a clean screen. This action is automatically included in commands such as NPLOT and EPLOT.

If the /NOERASE command is active, issuing the erase command will simply clear the display area. Subsequent replots will provide the display previously generated by the /NOERASE command.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Erase Options>Erase Screen

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EQSLV 		Up / Home Next
/ERASE


/ERASE

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

/ERASE

Specifies that the screen is to be erased before each display.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Command Default

Previous /ERASE or /NOERASE setting will be used. Initially defaults to /ERASE setting.

Notes

Erase occurs with the next display request, but before the display is actually started. /NOERASE can be used to suppress the automatic screen erase.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Erase Options>Erase Between Plots

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ERASE 		Up / Home Next
EREAD


EREAD

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EREAD, Fname, Ext, --

Reads elements from a file.

PREP7: Elements

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to ELEM if Fname is blank.

--

Unused field.

Notes

This read operation is not necessary in a standard ANSYS run but is provided as a convenience to users wanting to read a coded element file, such as from another mesh generator or from a CAD/CAM program. Data should be formatted as produced with the EWRITE command. If issuing EREAD to acquire element information generated from ANSYS EWRITE, you must also issue NREAD before the EREAD command. The element types [ET] must be defined before the file is read so that the file may be read properly. Only elements that are specified with the ERRANG command are read from the file. Also, only elements that are fully attached to the nodes specified on the NRRANG command are read from the file. Elements are assigned numbers consecutively as read from the file, beginning with the current highest database element number plus one. The file is rewound before and after reading. Reading continues until the end of the file.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Elements>Read Elem File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/ERASE 		Up / Home Next
EREFINE


EREFINE

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EREFINE, NE1, NE2, NINC, LEVEL, DEPTH, POST, RETAIN

Refines the mesh around specified elements.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NE1, NE2, NINC

Elements (NE1 to NE2 in increments of NINC) around which the mesh is to be refined. NE2 defaults to NE1, and NINC defaults to 1. If NE1 = ALL, NE2 and NINC are ignored and all selected elements are used for refinement. If NE1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NE1 (NE2 and NINC are ignored).

LEVEL

Amount of refinement to be done. Specify the value of LEVEL as an integer from 1 to 5, where a value of 1 provides minimal refinement, and a value of 5 provides maximum refinement (defaults to 1).

DEPTH

Depth of mesh refinement in terms of number of elements outward from the indicated elements, NE1 to NE2 (defaults to 0).

POST

Type of postprocessing to be done after element splitting, in order to improve element quality:

OFF
 —

No postprocessing will be done.

SMOOTH
 —

Smoothing will be done. Node locations may change.

CLEAN
 —

Smoothing and cleanup will be done. Existing elements may be deleted, and node locations may change (default).

RETAIN

Flag indicating whether quadrilateral elements must be retained in the refinement of an all-quadrilateral mesh. (The ANSYS program ignores the RETAIN argument when you are refining anything other than a quadrilateral mesh.)

ON
 —

The final mesh will be composed entirely of quadrilateral elements, regardless of the element quality (default).

OFF
 —

The final mesh may include some triangular elements in order to maintain element quality and provide transitioning.

Notes

EREFINE performs local mesh refinement around the specified elements. By default, the surrounding elements are split to create new elements with 1/2 the edge length of the original elements (LEVEL = 1).

EREFINE refines all area elements and tetrahedral volume elements that are adjacent to the specified elements. Any volume elements that are adjacent to the specified elements, but are not tetrahedra (for example, hexahedra, wedges, and pyramids), are not refined.

You cannot use mesh refinement on a solid model that contains initial conditions at nodes [IC], coupled nodes [CP family of commands], constraint equations [CE family of commands], or boundary conditions or loads applied directly to any of its nodes or elements. This applies to nodes and elements anywhere in the model, not just in the region where you want to request mesh refinement. If you have detached the mesh from the solid model, you must disable postprocessing cleanup or smoothing (POST = OFF) after the refinement to preserve the element attributes.

For additional restrictions on mesh refinement, see Revising Your Model in the Modeling and Meshing Guide.

This command is also valid for rezoning.

Menu Paths

Main Menu>Preprocessor>Meshing>Modify Mesh>Refine At>All
Main Menu>Preprocessor>Meshing>Modify Mesh>Refine At>Elements

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EREAD 		Up / Home Next
EREINF


EREINF

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EREINF

Generates reinforcing elements from selected existing (base) elements.

PREP7: Elements

MP ME <> PR <> <> <> <> <> <> <> PP <>

Notes

The EREINF command generates reinforcing elements (REINF265) directly from selected base elements (that is, existing standard elements in your model). The command scans all selected base elements and generates (if necessary) a compatible reinforcing element type for each base element. (ANSYS allows a combination of different base element types.)

Although predefining the reinforcing element type (ET) is not required, you must define the reinforcing element section type (SECTYPE); otherwise, ANSYS cannot generate the reinforcing element.

The EREINF command does not create new nodes. The reinforcing elements and the base elements share the common nodes.

Elements generated by this command are not associated with the solid model.

After the EREINF command executes, you can issue ETLIST, ELIST, and EPLOT commands to verify the newly created reinforcing element types and elements.

Reinforcing elements do not account for any subsequent modifications made to the base elements. ANSYS recommends issuing the EREINF command only after the base elements are finalized. If you delete or modify base elements (via EDELE, EMODIF, ETCHG, EMID, EORIENT, NUMMRG, or NUMCMP commands, for example), remove all affected reinforcing elements and reissue the EREINF command to avoid inconsistencies.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EREFINE 		Up / Home Next
ERESX


ERESX

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ERESX, Key

Specifies extrapolation of integration point results.

SOLUTION: Analysis Options

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Key

Extrapolation key:

DEFA
 —

Extrapolate integration point results to the nodes for all elements except those with active plasticity, creep, or swelling nonlinearities (default).

YES
 —

Extrapolate integration point results to the nodes for all elements. Only linear solution data will be extrapolated for those elements with active plasticity, creep, or swelling nonlinearities.

NO
 —

Copy (do not extrapolate) integration point results to the nodes for all elements.

Command Default

Extrapolate integration point results to the nodes for all elements except those with active plasticity, creep, or swelling nonlinearities (default).

Notes

Specifies whether the solution results at the element integration points are extrapolated or copied to the nodes for element and nodal postprocessing. The structural stresses, elastic and thermal strains, field gradients, and fluxes are affected. Nonlinear data (plastic, creep, and swelling strains) are always copied to the nodes, never extrapolated. For shell elements, ERESX applies only to integration point results in the in-plane directions.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Output Ctrls>Integration Pt
Main Menu>Solution>Load Step Opts>Output Ctrls>Integration Pt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EREINF 		Up / Home Next
ERNORM


ERNORM

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ERNORM, Key

Controls error estimation calculations.

POST1: Controls

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Key

Control key:

ON
 —

Perform error estimation (default). This option is not valid for PowerGraphics.

OFF
 —

Do not perform error estimation.

Command Default

Error estimation calculations are performed by default unless PowerGraphics is enabled [/GRAPHICS,POWER].

Notes

Especially for thermal analyses, program speed increases if error estimation is suppressed. Therefore, it might be desirable to use error estimation only when needed. The value of the ERNORM key is not saved on file.db. Consequently, you need to reissue the ERNORM key after a RESUME if you wish to deactivate error estimation again.

Menu Paths

Main Menu>General Postproc>Options for Outp
Utility Menu>List>Results>Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ERESX 		Up / Home Next
ERRANG


ERRANG

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ERRANG, EMIN, EMAX, EINC

Specifies the element range to be read from a file.

PREP7: Elements

MP ME ST PR PRN <> <> FL EM <> <> PP <>

EMIN, EMAX, EINC

Elements with numbers from EMIN (defaults to 1) to EMAX (defaults to 99999999) in steps of EINC (defaults to 1) will be read.

Notes

Defines the element number range to be read [EREAD] from the element file. If a range is also implied from the NRRANG command, only those elements satisfying both ranges will be read.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Elements>Read Elem File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ERNORM 		Up / Home Next
ESCHECK


ESCHECK

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ESCHECK, Sele, Levl, Defkey

Perform element shape checking for a selected element set.

PREP7: Database

SOLUTION: Analysis Options

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Sele

Specifies whether to select elements for checking:

(blank)
 —

List all warnings/errors from element shape checking.

ESEL
 —

Select the elements based on the .Levl criteria specified below.

Levl

WARN
 —

Select elements producing warning and error messages.

ERR
 —

Select only elements producing error messages (default).

Defkey

Specifies whether check should be performed on deformed element shapes. .

0 - Do not update node coordinates before performing shape checks (default).
1 - Update node coordinates using the current set of deformations in the database.

Notes

Shape checking will occur according to the current SHPP settings. Although ESCHECK is valid in all processors, Defkey uses the current results in the database. If no results are available a warning will be issued.

This command is also valid in PREP7, SOLUTION and POST1.

Menu Paths

Main Menu>General Postproc>Check Elem Shape>Sel Warning/Error Elements

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ERRANG 		Up / Home Next
ESEL


ESEL

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ESEL, Type, Item, Comp, VMIN, VMAX, VINC, KABS

Selects a subset of elements.

DATABASE: Selecting

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Label identifying the type of select:

S
 —

Select a new set (default).

R
 —

Reselect a set from the current set.

A
 —

Additionally select a set and extend the current set.

U
 —

Unselect a set from the current set.

ALL
 —

Restore the full set.

NONE
 —

Unselect the full set.

INVE
 —

Invert the current set (selected becomes unselected and vice versa).

STAT
 —

Display the current select status.

The following fields are used only with Type = S, R, A, or U:

Item

Label identifying data, see ESEL - Valid Item and Component Labels. Some items also require a component label. If Item = PICK (or simply “P”), graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). Defaults to ELEM. If Item = STRA (straightened), elements are selected whose midside nodes do not conform to the curved line or non-flat area on which they should lie. (Such elements are sometimes formed during volume meshing [VMESH] in an attempt to avoid excessive element distortion.) You should graphically examine any such elements to evaluate their possible effect on solution accuracy.

Comp

Component of the item (if required). Valid component labels are shown in ESEL - Valid Item and Component Labels below.

VMIN

Minimum value of item range. Ranges are element numbers, attribute numbers, load values, or result values as appropriate for the item. A component name (as specified on the CM command) may also be substituted for VMIN (VMAX and VINC are ignored).

VMAX

Maximum value of item range. VMAX defaults to VMIN for input values.

For result values, VMAX defaults to infinity if VMIN is positive, or to zero if VMIN is negative.

VINC

Value increment within range. Used only with integer ranges (such as for element and attribute numbers). Defaults to 1. VINC cannot be negative.

KABS

Absolute value key:

0
 —

Check sign of value during selection.

1
 —

Use absolute value during selection (sign ignored).

Command Default

All elements are selected.

Notes

Selects elements based on values of a labeled item and component. For example, to select a new set of elements based on element numbers 1 through 7, use ESEL,S,ELEM,,1,7. The subset is used when the ALL label is entered (or implied) on other commands, such as ELIST,ALL. Only data identified by element number are selected. Selected data are internally flagged; no actual removal of data from the database occurs. Different element subsets cannot be used for different load steps [SOLVE] in a /SOLU sequence. The subset used in the first load step will be used for all subsequent load steps regardless of subsequent ESEL specifications.

This command is valid in any processor.

Elements crossing the named path (see PATH command) will be selected. This option is only available in PREP7 and POST1. If no geometry data has been mapped to the path (i.e., via PMAP and PDEF commands), the path will assume the default mapping option (PMAP,UNIFORM) to map the geometry prior to selecting the elements. If an invalid path name is given, the ESEL command is ignored (status of selected elements is unchanged). If there are no elements crossing the path, the ESEL command will return zero elements selected.

For Selects based on non-integer numbers (coordinates, results, etc.), items that are within the range VMIN-Toler and VMAX+Toler are selected. The default tolerance Toler is based on the relative values of VMIN and VMAX as follows:

  • If VMIN = VMAX, Toler = 0.005 x VMIN.

  • If VMIN = VMAX = 0.0, Toler = 1.0E-6.

  • If VMAX ≠ VMIN, Toler = 1.0E-8 x (VMAX-VMIN).

Use the SELTOL command to override this default and specify Toler explicitly.

ESEL - Valid Item and Component Labels

Valid Item and Component Labels ESEL, Type,Item,Comp,VMIN,VMAX,VINC,KABS
Item | Comp | Description
ELEM |  | Element number.
ADJ |  | Elements adjacent to element VMIN (VMAX and VINC fields are ignored). Only elements (of the same dimensionality) adjacent to lateral faces are considered. Progression continues until edge of model or until more than two elements are adjacent at a face.
TYPE |  | Element type number.
ENAME |  | Element name (or identifying number).
MAT |  | Material number.
REAL |  | Real constant number.
ESYS |  | Element coordinate system number.
PART |  | LS-DYNA part number (applicable only to ANSYS LS-DYNA)
LIVE |  | Active elements [EALIVE]. VMIN and VMAX fields are ignored, etc.
LAYER |  | Layer number (only composite elements with a nonzero thickness for the requested layer number are included). [LAYER]
SEC |  | Cross section ID number [SECNUM]
PINC |  | p-elements that are included in convergence checking.
PEXC |  | p-elements that are excluded from convergence checking.
STRA |  | Straightened. See description under Argument Descriptions' Item field above.
SFE | PRES | Element pressure.
 | CONV | Element convection bulk temperature.
 | HFLUX | Element heat flux.
 | FSI | Element (acoustic) fluid-structure interaction flag.
 | IMPD | Element (acoustic) impedance.
 | SHLD | Surface shielding properties on high-frequency elements. (Select logic works only on the value of conductivity, not relative permeability.)
 | MXWF | Element Maxwell force flag.
 | CHRGS | Electric surface charge density.
 | INF | Element infinite surface flag.
BFE | TEMP | Element temperature.
 | FLUE | Element fluence.
 | HGEN | Element heat generation rate.
 | JS | Element current density, magnitude only.
 | MVDI | Element magnetic virtual displacements flag.
 | CHRGD | Electric charge density.
PATH | Lab | Selects all elements being crossed by the path with name Lab (see PATH command). If Lab = ALL then all elements related to all defined paths will be selected.
Valid item and component labels for element result values are:
ETAB | Lab | Any user-defined element table label (see ETABLE command).

Menu Paths

Main Menu>Preprocessor>Modeling>CMS>CMS Superelements>By Picking
Main Menu>Preprocessor>Modeling>Create>Circuit>Delete Elements
Main Menu>Preprocessor>Modeling>Delete>Pre-tens Elemnts
Utility Menu>Select>Entities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ESCHECK 		Up / Home Next
/ESHAPE


/ESHAPE

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

/ESHAPE, SCALE, KEY

Displays elements with shapes determined from the real constants or section definition.

GRAPHICS: Style

MP ME ST PR PRN <> <> FL EM <> <> PP <>

SCALE

Scaling factor:

0
 —

Use simple display of line and area elements. This value is the default.

1
 —

Use real constants or section definition to form a solid shape display of elements.

FAC
 —

Multiply certain real constants, such as thickness, by FAC and use them to form a solid shape display of elements (FAC must be greater than 0.01).

KEY

Current shell thickness key:

0
 —

Use current thickness in the displaced solid shape display of shell elements (valid for SHELL181, SHELL208, SHELL209, and SHELL281). This value is the default.

1
 —

Use initial thickness in the displaced solid shape display of shell elements.

Command Default

Use simple display of line and area elements (0).

Notes

Allows beams, shells, current sources, and certain special purpose elements to be displayed as solids with the shape determined from the real constants or section types. Elements are displayed with the EPLOT command. No checks for valid or complete input are made for the display.

SOLID65 elements are displayed with internal lines that represent rebar sizes and orientations (requires vector mode (/DEVICE) with a basic type of display (/TYPE,,BASIC)). The rebar with the largest volume ratio in each element plots as a red line, the next largest as green, and the smallest as blue.

COMBIN14, COMBIN39, and MASS21 are displayed with a graphics icon with the offset determined by the real constants and KEYOPT settings.

BEAM188 and BEAM189 are displayed as solids with the shape determined from the section definition commands, SECTYPE and SECDATA. The elements are displayed with internal lines representing the cross-section mesh. Contour plots are available for these elements in postprocessing for PowerGraphics only (/GRAPHICS,POWER). To view 3-D deformed shapes for BEAM188 and BEAM189, issue OUTRES,MISC or OUTRES,ALL for static or transient analyses. To view 3-D mode shapes for a modal or eigenvalue buckling analysis, you must expand the modes with element results calculation ON (Elcalc = YES for MXPAND).

When plotting stresses (PLNSOL,s,x) of BEAM4 and BEAM44, the thermal warping stresses are not included in the stress display. An example of element temperatures causing warping thermal stresses is -1, 1, -1, 1, -1, 1, -1, 1.

ANSYS will graphically rotate the model to yield a more realistic displacement display. When /ESHAPE is active, displacement plots (via PLNSOL,U,X and PLDISP, for example) may disagree with your PRNSOL listings. This discrepancy will become acute when the SCALE value is not equal to one.

Also, when PowerGraphics is active, /ESHAPE may degrade the image if adjacent elements have overlapping material, such as shell elements, which are not coplanar.

/ESHAPE may also degrade the image if adjacent elements have different real constants when PowerGraphics is active. All polygons depicting the connectivity between the “thicker” and “thinner” elements along the shared element edges may not always be displayed.

In most cases, /ESHAPE renders a thickness representation of your shell, plane and layered elements more readily in PowerGraphics. This type of representation employs PowerGraphics to generate the enhanced representation, and will often provide no enhancement in Full Graphics. This is especially true for /POST1 results displays, where /ESHAPE is not supported for most element types.

If you are using /ESHAPE and want to view solution results (PLNSOL, etc.) on layered elements (such as SHELL91, SHELL99, SOLID46, SHELL181, SOLSH190, SOLID185 Layered Solid, SOLID186 Layered Solid, SOLID191, SHELL208, and SHELL209), set KEYOPT(8) = 1 for the layer elements so that the data for all layers is stored in the results file.

If PowerGraphics is active, you can plot the through-thickness temperatures of elements SHELL131 and SHELL132 regardless of the thermal DOFs in use by issuing the PLNSOL,TEMP command following the /ESHAPE command.

By default, /ESHAPE displays SOURC36, CIRCU124, and TRANS126 elements when PowerGraphics is activated (/GRAPHICS,POWER).

The /ESHAPE,1 and /ESHAPE,FAC commands are incompatible with the /CYCEXPAND command used in cyclic symmetry analyses.

The /ESHAPE,1 command should not be used with coincident beams because a graphical displacement plot may incorrectly average the displacements of the two beams.

The beam cross section subtypes listed in SECTYPE are generated by ANSYS from user-supplied data. The arbitrary section (Subtype = ASEC cannot be displayed using /ESHAPE, and will be shown as a straight line.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Style>Size and Shape

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ESEL 		Up / Home Next
ESIZE


ESIZE

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ESIZE, SIZE, NDIV

Specifies the default number of line divisions.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

SIZE

Default element edge length on surface boundaries (i.e., lines). Divisions are automatically calculated (rounded upward to next integer) from line lengths. If SIZE is zero (or blank), use NDIV.

NDIV

Default number of element divisions along region boundary lines. Not used if SIZE is input.

Notes

Specifies the default number of line divisions (elements) to be generated along the region boundary lines. The number of divisions may be defined directly or automatically calculated. Divisions defined directly for any line [LESIZE, KESIZE, etc.] are retained. For adjacent regions, the divisions assigned to the common line for one region are also used for the adjacent region. See the MOPT command for additional meshing options.

For free meshing operations, if smart element sizing is being used [SMRTSIZE] and ESIZE,SIZE has been specified, SIZE will be used as a starting element size, but will be overridden (i.e., a smaller size may be used) to accommodate curvature and small features.

This command is also valid for rezoning.

Menu Paths

Main Menu>Preprocessor>Meshing>Size Cntrls>ManualSize>Global>Size
Main Menu>Preprocessor>Meshing>Size Cntrls>SmartSize>Adv Opts

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/ESHAPE 		Up / Home Next
ESLA


ESLA

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ESLA, Type

Selects those elements associated with the selected areas.

DATABASE: Selecting

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Label identifying the type of element select:

S
—

Select a new set (default).

R
—

Reselect a set from the current set.

A
—

Additionally select a set and extend the current set.

U
—

Unselect a set from the current set.

Notes

Selects area elements belonging to meshed [AMESH], selected [ASEL] areas.

This command is valid in any processor.

Menu Paths

Utility Menu>Select>Entities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ESIZE 		Up / Home Next
ESLL


ESLL

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ESLL, Type

Selects those elements associated with the selected lines.

DATABASE: Selecting

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Label identifying the type of element select:

S
—

Select a new set (default).

R
—

Reselect a set from the current set.

A
—

Additionally select a set and extend the current set.

U
—

Unselect a set from the current set.

Notes

Selects line elements belonging to meshed [LMESH], selected [LSEL] lines.

This command is valid in any processor.

Menu Paths

Utility Menu>Select>Entities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ESLA 		Up / Home Next
ESLN


ESLN

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ESLN, Type, EKEY, NodeType

Selects those elements attached to the selected nodes.

DATABASE: Selecting

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Label identifying the type of element selected:

S
 —

Select a new set (default).

R
 —

Reselect a set from the current set.

A
 —

Additionally select a set and extend the current set.

U
 —

Unselect a set from the current set.

EKEY

Node set key:

0
 —

Select element if any of its nodes are in the selected nodal set (default).

1
 —

Select element only if all of its nodes are in the selected nodal set.

NodeType

Label identifying type of nodes to consider when selecting:

ALL
 —

Select elements considering all of their nodes (default).

ACTIVE
 —

Select elements considering only their active nodes. An active node is a node that contributes DOFs to the model.

INACTIVE
 —

Select elements considering only their inactive nodes (such as orientation or radiation nodes).

CORNER
 —

Select elements considering only their corner nodes.

MID
 —

Select elements considering only their midside nodes.

Notes

ESLN selects elements which have any (or all [EKEY]) NodeType nodes in the currently-selected set of nodes. Only elements having nodes in the currently-selected set can be selected.

This command is valid in any processor.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Circuit>Delete Elements
Main Menu>Preprocessor>Modeling>Delete>Pre-tens Elemnts
Utility Menu>Select>Entities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ESLL 		Up / Home Next
ESLV


ESLV

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ESLV, Type

Selects elements associated with the selected volumes.

DATABASE: Selecting

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Label identifying the type of element selected:

S
—

Select a new set (default).

R
—

Reselect a set from the current set.

A
—

Additionally select a set and extend the current set.

U
—

Unselect a set from the current set.

Notes

Selects volume elements belonging to meshed [VMESH], selected [VSEL] volumes.

This command is valid in any processor.

Menu Paths

Utility Menu>Select>Entities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ESLN 		Up / Home Next
ESOL


ESOL

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ESOL, NVAR, ELEM, NODE, Item, Comp, Name

Specifies element data to be stored from the results file.

POST26: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NVAR

Arbitrary reference number assigned to this variable (2 to NV [NUMVAR]). Overwrites any existing results for this variable.

ELEM

Element for which data are to be stored. If ELEM = P, graphical picking is enabled (valid only in the GUI).

NODE

Node number on this element for which data are to be stored. If blank, store the average element value (except for FMAG values, which are summed instead of averaged). If NODE = P, graphical picking is enabled (valid only in the GUI).

Item

Label identifying the item. General item labels are shown in ESOL - General Item and Component Labels below. Some items also require a component label.

Comp

Component of the item (if required). General component labels are shown in ESOL - General Item and Component Labels below. If Comp is a sequence number (n), the NODE field will be ignored.

Name

Thirty-two character name for identifying the item on the printout and displays. Defaults to a label formed by concatenating the first four characters of the Item and Comp labels.

Notes

Valid item and component labels for element (except line element) results are listed in ESOL - General Item and Component Labels

Defines element results data to be stored from a results file [FILE]. Not all items are valid for all elements. See the input and output summary tables of the Elements Reference of each element for the available items.

There are two methods of data access that may be used with the ESOL command. You can access some simply by using a generic label (Component Name method), while others require a label and number (Sequence Number method).

The Component Name method is used to access the General element data (that is, element data which is generally available to most element types or groups of element types). The General Item and Comp labels for the Component Name method are shown in ESOL - General Item and Component Labels below.

The Sequence Number method is required for data that is not averaged (such as pressures at nodes, temperatures at integration points, etc.), or data that is not easily described in a generic fashion (such as all derived data for structural line elements and contact elements, all derived data for thermal line elements, layer data for layered elements, etc.). A table illustrating the Items (such as LS, LEPEL, LEPTH, SMISC, NMISC, etc.) and corresponding sequence numbers for each element is shown in "Element Library" in the Elements Reference.

Element results are in the element coordinate system, except for layered elements where results are in the layer coordinate system. Element forces and moments are in the layer coordinate system. Results are obtainable for an element at a specified node. Further location specifications can be made for some elements with the SHELL, LAYERP26, and FORCE commands.

ESOL - General Item and Component Labels

General Item and Component Labels ESOL, NVAR,ELEM,NODE,Item,Comp,Name
Item | Comp | Description
S | X, Y, Z, XY, YZ, XZ | Component stress.
" 1, 2, 3 Principal stress.
" INT Stress intensity.
" EQV Equivalent stress.
EPEL | X, Y, Z, XY, YZ, XZ | Component elastic strain.
" 1, 2, 3 Principal elastic strain.
" INT Elastic strain intensity.
" EQV Elastic equivalent strain.
EPTH | X, Y, Z, XY, YZ, XZ | Component thermal strain.
" 1, 2, 3 Principal thermal strain.
" INT Thermal strain intensity.
" EQV Thermal equivalent strain.
EPPL | X, Y, Z, XY, YZ, XZ | Component plastic strain.
" 1, 2, 3 Principal plastic strain.
" INT Plastic strain intensity.
" EQV Plastic equivalent strain.
EPCR | X, Y, Z, XY, YZ, XZ | Component creep strain.
" 1,2,3 Principal creep strain.
" INT Creep strain intensity.
" EQV Creep equivalent strain.
NL | SEPL | Equivalent stress (from stress-strain curve).
" SRAT Stress state ratio.
" HPRES Hydrostatic pressure.
" EPEQ Accumulated equivalent plastic strain.
" CREQ Accumulated equivalent creep strain.
" PSV Plastic state variable.
" PLWK Plastic work/volume.
SEND | ELASTIC | Elastic strain energy density.
" PLASTIC Plastic strain energy density.
" CREEP Creep strain energy density.
GKS | X | Gasket component stress (also gasket pressure).
GKD | X | Gasket component total closure.
GKDI | X | Gasket component total inelastic closure.
GKTH | X | Gasket component thermal closure.
SS | X, XY, XZ | Interface traction (stress)
SD | X,XY,XZ | Interface Separation.
CONT STAT1 Contact status:
3-closed and sticking
2-closed and sliding
1-open but near contact
0-open and not near contact
" PENE Contact penetration.
" PRES Contact pressure.
" SFRIC Contact friction stress
" STOT Contact total stress (pressure plus friction)
" SLIDE Contact sliding distance
" GAP Contact gap distance
" FLUX Total heat flux at contact surface
“ CNOS Total number of contact status changes during substep.
TG | X, Y, Z, SUM | Component thermal gradient or vector sum.
TF | X, Y, Z, SUM | Component thermal flux or vector sum.
PG | X, Y, Z, SUM | Component pressure gradient or vector sum.
EF | X, Y, Z, SUM | Component electric field or vector sum.
D | X, Y, Z, SUM | Component electric flux density or vector sum.
H | X, Y, Z, SUM | Component magnetic field intensity or vector sum.
B | X, Y, Z, SUM | Component magnetic flux density or vector sum.
FMAG | X, Y, Z, SUM | Component magnetic forces or vector sum.
F | X, Y, Z | Component structural force.
M | X, Y, Z | Component structural moment.
HEAT[2] | Heat flow.
FLOW | Fluid flow.
AMPS | Current flow.
FLUX | Magnetic flux.
VF | X, Y, Z | Component fluid force.
CSG | X, Y, Z | Component magnetic current segment.
SENE | "Stiffness" energy.
STEN | Elemental energy dissipation due to stabilization.
KENE | Kinetic energy.
JHEAT | Element Joule heat generation.
JC | X, Y, Z, SUM | Conduction current density for elements that support conduction current calculation. Components (X, Y, Z) and vector sum (SUM).
JS | X, Y, Z | Source current density for low-frequency magnetic analyses. Total current density (sum of conduction and displacement current densities) in low frequency electric analyses. Components (X, Y, Z).
JT | X, Y, Z, SUM | Total measureable current density in low-frequency electromagnetic analyses. (Conduction current density in a low-frequency electric analysis.) Components (X, Y, Z) and vector sum (SUM).
MRE | Magnetics Reynolds number
VOLU | Volume of volume element.
BFE | TEMP | Body temperatures (calculated from applied temperatures) as used in solution (area and volume elements only).

  1. Status notation is for all contact elements except CONTAC12 and CONTAC52. If you are using these elements, check the output listing in the corresponding element documentation.

  2. For SHELL131 and SHELL132 elements with KEYOPT(3) = 0 or 1, use the labels HBOT, HE2, HE3, . . ., HTOP instead of HEAT.

Menu Paths

Main Menu>TimeHist Postpro>Define Variables
Main Menu>TimeHist Postpro>Elec&Mag>Circuit>Define Variables

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ESLV 		Up / Home Next
ESORT


ESORT

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ESORT, Item, Lab, ORDER, KABS, NUMB

Sorts the element table.

POST1: Element Table

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Item

Label identifying the item:

ETAB
 —

(currently the only Item available)

Lab

element table label:

Lab
 —

Any user-defined label from the ETABLE command (input in the Lab field of the ETABLE command).

ORDER

Order of sort operation:

0
 —

Sort into descending order.

1
 —

Sort into ascending order.

KABS

Absolute value key:

0
 —

Sort according to real value.

1
 —

Sort according to absolute value.

NUMB

Number of elements (element table rows) to be sorted in ascending or descending order (ORDER) before sort is stopped (remainder will be in unsorted sequence) (defaults to all elements).

Command Default

Use ascending element number order.

Notes

The element table rows are sorted based on the column containing the Lab values. Use EUSORT to restore the original order. If ESORT is specified with PowerGraphics on [/GRAPHICS,POWER], then the nodal solution results listing [PRNSOL] will be the same as with the full graphics mode [/GRAPHICS,FULL].

Menu Paths

Main Menu>General Postproc>List Results>Sorted Listing>Sort Elems

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ESOL 		Up / Home Next
ESSOLV


ESSOLV

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ESSOLV, Electit, Strutit, DIMN, MORPHOPT, Mcomp, Xcomp, ELECTOL, STRUTOL, MXLOOP, --, RUSEKY, RESTKY, EISCOMP

Performs a coupled electrostatic-structural analysis.

SOLUTION: Analysis Options

MP <> <> <> <> <> <> <> <> <> <> PP <>

Electit

Title of the electrostatics physics file as assigned by the PHYSICS command.

Strutit

Title of the structural physics file as assigned by the PHYSICS command.

DIMN

Model dimensionality (a default is not allowed):

2
 —

2-D model.

3
 —

3-D model.

MORPHOPT

Morphing option:

<0
 —

Do not perform any mesh morphing or remeshing.

0
 —

Remesh the non-structural regions for each recursive loop only if mesh morphing fails (default).

1
 —

Remesh the non-structural regions each recursive loop and bypass mesh morphing.

2
 —

Perform mesh morphing only, do not remesh any non-structural regions.

Mcomp

Component name of the region to be morphed. For 2-D models, the component may be elements or areas. For 3-D models, the component may be elements or volumes. A component must be specified. You must enclose name-strings in single quotes in the ESSOLV command line.

Xcomp

Component name of entities excluded from morphing. In the 2-D case, it is the component name for the lines excluded from morphing. In the 3-D case, it is component name for the areas excluded from morphing. Defaults to exterior non-shared entities (see the DAMORPH, DVMORPH, and DEMORPH commands). You must enclose name-strings in single quotes in the ESSOLV command line.

ELECTOL

Electrostatic energy convergence tolerance. Defaults to .005 (.5%) of the value computed from the previous iteration. If less than zero, the convergence criteria based on electrostatics results is turned off.

STRUTOL

Structural maximum displacement convergence tolerance. Defaults to .005 (.5%) of the value computed from the previous iteration. If less than zero, the convergence criteria base on structural results is turned off.

MXLOOP

Maximum number of allowable solution recursive loops. A single pass through both an electrostatics and structural analysis constitutes one loop. Defaults to 100.

--

Unused field.

RUSEKY

Reuse flag option:

1
 —

Assumes initial run of ESSOLV using base geometry for the first electrostatics solution.

>1
 —

Assumes ESSOLV run is a continuation of a previous ESSOLV run, whereby the morphed geometry is used for the initial electrostatic simulation.

RESTKY

Structural restart key.

0
 —

Use static solution option for structural solution.

1
 —

Use static restart solution option for structural solution.

EISCOMP

Element component name for elements containing initial stress data residing in file jobname.ist. The initial stress data must be defined prior to issuing ESSOLV (see INISTATE command).

Notes

ESSOLV invokes an ANSYS macro which automatically performs a coupled electrostatic-structural analysis.

The macro displays periodic updates of the convergence.

If non-structural regions are remeshed during the analysis, boundary conditions and loads applied to nodes and elements will be lost. Accordingly, it is better to assign boundary conditions and loads to the solid model.

Use RUSEKY > 1 for solving multiple ESSOLV simulations for different excitation levels (i.e., for running a voltage sweep). Do not issue the SAVE command to save the database between ESSOLV calls.

For nonlinear structural solutions, the structural restart option (RESTKY = 1) may improve solution time by starting from the previous converged structural solution.

For solid elements, ESSOLV automatically detects the air-structure interface and applies a Maxwell surface flag on the electrostatic elements. This flag is used to initiate the transfer for forces from the electrostatic region to the structure. When using the ESSOLV command with structural shell elements (e.g., SHELL63, SHELL93), you must manually apply the Maxwell surface flag on all air elements surrounding the shells before writing the final electrostatic physics file. Use the SFA command to apply the Maxwell surface flag to the areas representing the shell elements. This will ensure that the air elements next to both sides of the shells receive the Maxwell surface flag.

Note

If lower-order structural solids or shells are used, set KEYOPT(7) = 1 for the electrostatic element types to ensure the correct transfer of forces.

Information on creating the initial stress file is documented in the Initial Stress Loading section in the Basic Analysis Guide.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Physics>Coupled Solvers>Elec/struc
Main Menu>Solution>Physics>Coupled Solvers>Elec/struc

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ESORT 		Up / Home Next
ESTIF


ESTIF

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ESTIF, KMULT

Specifies the matrix multiplier for deactivated elements.

SOLUTION: Birth and Death

MP ME ST <> <> <> <> <> <> <> <> PP <>

KMULT

Stiffness matrix multiplier for deactivated elements (defaults to 1.0E-6).

Command Default

Use 1.0E-6 as the multiplier.

Notes

Specifies the stiffness matrix multiplier for elements deactivated with the EKILL command (birth and death).

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Birth & Death>StiffnessMult
Main Menu>Solution>Load Step Opts>Other>Birth & Death>StiffnessMult

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ESSOLV 		Up / Home Next
ESURF


ESURF

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ESURF, XNODE, Tlab, Shape

Generates elements overlaid on the free faces of existing selected elements.

PREP7: Elements

MP ME ST PR PRN <> <> FL EM <> <> PP <>

XNODE

Used only when generating SURF151 or SURF152 elements with KEYOPT(5) = 1. XNODE is the single extra node number (ID) used with these surface elements. There is no default. XNODE must be specified if KEYOPT(5) = 1. If XNODE = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A parameter or parametric expression can be substituted for XNODE.

Tlab

Used to generate target and contact elements with correct direction of normals. This label is used only with TARGE169, TARGE170, CONTA171, CONTA172, CONTA173, CONTA174, CONTA176, and CONTA177 elements.

TOP
 —

Generates target and contact elements over beam and shell elements with the normals the same as the underlying beam and shell elements (default).

BOTTOM
 —

Generates target and contact elements over beam and shell elements with the normals opposite to the underlying beam and shell elements.

REVERSE
 —

Reverses the direction of the normals on existing selected target and contact elements.

Shape

Used to specify the element shape for target element TARGE170.

(blank)
 —

The target element takes the same shape as the external surface of the underlying element (default).

TRI
 —

Generates several triangular facet target elements.

Notes

Generates elements of the currently active element type overlaid on the free faces of existing elements. For example, surface elements (SURF151, SURF152, SURF153, or SURF154) can be generated over solid elements (PLANE55, SOLID70, PLANE42, SOLID45, respectively). Element faces are determined from the selected node set [NSEL] and the load faces for that element type. The operation is similar to that used for generating element loads from selected nodes with the SF,ALL command, except that elements, instead of loads, are generated. All nodes on the face must be selected for the face to be used. For shell elements, only face one of the element is available. If nodes are shared by adjacent selected element faces, the faces are not free and no element will be generated. Elements created by ESURF will be oriented such that their surface load directions are consistent with those of the underlying elements. Generated elements, as well as their orientation, should be checked carefully. Generated elements use the existing nodes and the active MAT, TYPE, REAL, and ESYS attributes, except when Tlab = REVERSE. The reversed target and contact elements will have the same attributes as the original elements. If the underlying elements are solid elements, Tlab = TOP or BOTTOM has no effect.

By default, when the command generates a target element the shape will be the same as that of the underlying element. While not recommended, you can issue ESURF,,,TRI to generate several facet triangle elements.

ESURF is also used to generate 2-D or 3-D node-to-surface element CONTA175, based on the selected node components of the underlying solid elements. When used to generate CONTA175 elements, all ESURF arguments are ignored.

Regarding the GUI, if CONTA175 is the active element type, the path Main Menu> Preprocessor> Modeling> Create> Elements> Node-to-Surf will automatically use ESURF to generate elements.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Elements>Surf / Contact>Inf Acoustic
Main Menu>Preprocessor>Modeling>Create>Elements>Surf / Contact>Node to Surf
Main Menu>Preprocessor>Modeling>Create>Elements>Surf / Contact>Surf Effect>Generl Surface>Extra Node
Main Menu>Preprocessor>Modeling>Create>Elements>Surf / Contact>Surf Effect>Generl Surface>No extra Node
Main Menu>Preprocessor>Modeling>Create>Elements>Surf / Contact>Surf to Surf

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ESTIF 		Up / Home Next
ESYM


ESYM

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ESYM, --, NINC, IEL1, IEL2, IEINC

Generates elements from a pattern by a symmetry reflection.

PREP7: Elements

MP ME ST PR PRN <> <> FL EM <> <> PP <>

--

Unused field.

NINC

Increment nodes in the given pattern by NINC.

IEL1, IEL2, IEINC

Reflect elements from pattern beginning with IEL1 to IEL2 (defaults to IEL1) in steps of IEINC (defaults to 1). If IEL1 = ALL, IEL2 and IEINC are ignored and pattern is all selected elements [ESEL]. If IEL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for IEL1 (IEL2 and IEINC are ignored).

Notes

Generates additional elements from a given pattern (similar to EGEN) except with a "symmetry" reflection. The operation generates a new element by incrementing the nodes on the original element, and reversing and shifting the node connectivity pattern. For example, for a 4-node 2-D element, the nodes in positions I, J, K, and L of the original element are placed in positions J, I, L, and K of the reflected element.

Similar permutations occur for all other element types. For line elements, the nodes in positions I and J of the original element are placed in positions J and I of the reflected element. In releases prior to ANSYS 5.5, no node pattern reversing and shifting occurred for line elements generated by ESYM. To achieve the same results with ANSYS 5.5 as you did in prior releases, use the EGEN command instead.

It is recommended that symmetry elements be displayed and graphically reviewed.

If the nodes are also reflected (as with the NSYM command) this pattern is such that the orientation of the symmetry element remains similar to the original element (i.e., clockwise elements are generated from clockwise elements).

For a non-reflected node pattern, the reversed orientation has the effect of reversing the outward normal direction (clockwise elements are generated from counterclockwise elements).

Note

Since nodes may be defined anywhere in the model independently of this command, any orientation of the "symmetry" elements is possible. See also the ENSYM command for modifying existing elements.

Menu Paths

Main Menu>Preprocessor>Modeling>Reflect>Elements>Auto Numbered

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ESURF 		Up / Home Next
ESYS


ESYS

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ESYS, KCN

Sets the element coordinate system attribute pointer.

PREP7: Meshing

PREP7: Elements

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KCN

Coordinate system number:

0
—

Use element coordinate system orientation as defined (either by default or by KEYOPT setting) for the element (default).

N
—

Use element coordinate system orientation based on local coordinate system N (where N must be greater than 10). For global system 0, 1, or 2, define a local system N parallel to appropriate system with the LOCAL or CS command (for example: LOCAL,11,1).

Command Default

Use element coordinate system orientation as defined (either by default or by KEYOPT setting) for the element (default).

Notes

Identifies the local coordinate system to be used to define the element coordinate system of subsequently defined elements. Used only with area and volume elements. For non-layered volume elements, the local coordinate system N is simply assigned to be the element coordinate system. For shell and layered volume elements, the x and y axes of the local coordinate system N are projected onto the shell or layer plane to determine the element coordinate system. See Element Coordinate Systems for more details. N refers to the coordinate system reference number (KCN) defined using the LOCAL (or similar) command. Element coordinate system numbers may be displayed [/PNUM].

Menu Paths

Main Menu>Preprocessor>Meshing>Mesh Attributes>Default Attribs
Main Menu>Preprocessor>Modeling>Create>Elements>Elem Attributes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ESYM 		Up / Home Next
ET


ET

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ET, ITYPE, Ename, KOP1, KOP2, KOP3, KOP4, KOP5, KOP6, INOPR

Defines a local element type from the element library.

PREP7: Element Type

MP ME ST PR PRN <> <> FL EM EH <> PP <>

ITYPE

Arbitrary local element type number. Defaults to 1 + current maximum.

Ename

Element name (or number) as given in the element library in Chapter 4 of the Elements Reference. The name consists of a category prefix and a unique number, such as BEAM3. The category prefix of the name (BEAM for the example) may be omitted but is displayed upon output for clarity. If Ename = 0, the element is defined as a null element.

KOP1, KOP2, KOP3, . . . , KOP6

KEYOPT values (1 through 6) for this element, as described in the Elements Reference.

INOPR

If 1, suppress all element solution printout for this element type.

Notes

Elements types are selected from the element library (and are therefore established as local element types for the current model) by this command. Information derived from the element type is used for succeeding commands, so the ET command(s) should be entered early. The Elements Reference describes the various elements which are available in the ANSYS library. For example, if a 2-D plane quadrilateral structural element type is desired, Ename should be PLANE42 or 42. A special option, Ename = 0, permits this element type to be ignored during solution without actually removing the element from the model. Ename may be set to zero only after the element type has been previously defined with a nonzero Ename. The preferred method of ignoring elements is to use the select commands (such as ESEL).

KOPn are element option keys. These keys (referred to as KEYOPT(n)) are used to turn on certain element options for this element. These options are listed under "KEYOPT" in the input table for each element type in the Elements Reference. KEYOPT values include stiffness formulation options, printout controls, and various other element options. If KEYOPT(7) or greater is needed, input their values with the KEYOPT command.

The ET command only defines an element type local to your model (from the types in the element library). The TYPE or similar [KATT, LATT, AATT, or VATT] command must be used to point to the desired local element type before meshing.

To activate the ANSYS program's LS-DYNA explicit dynamic analysis capability, use the ET command or its GUI equivalent to choose an element that works only with LS-DYNA (such as SHELL163). Choosing LS-DYNA in the Preferences dialog box does not activate LS-DYNA; it simply makes items and options related to LS-DYNA accessible in the GUI.

Menu Paths

Main Menu>Preprocessor>Element Type>Add/Edit/Delete

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ESYS 		Up / Home Next
ETABLE


ETABLE

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ETABLE, Lab, Item, Comp

Fills a table of element values for further processing.

POST1: Element Table

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Any unique user defined label for use in subsequent commands and output headings (maximum of eight characters and not a General predefined Item label). Defaults to an eight character label formed by concatenating the first four characters of the Item and Comp labels. If the same as a previous user label, this result item will be included under the same label. Up to 200 different labels may be defined. The following labels are predefined by ANSYS and cannot be used as user-defined labels: REFL, STAT, and ERAS. Lab = REFL refills all tables previously defined with the ETABLE commands (not the CALC module commands) according to the latest ETABLE specifications and is convenient for refilling tables after the load step [SET] has been changed. Remaining fields will be ignored if Lab is REFL. Lab = STAT displays stored table values. Lab = ERAS erases the entire table.

Item

Label identifying the item. General item labels are shown in the table below. Some items also require a component label. Character parameters may be used. Item = ERAS erases a Lab column.

Comp

Component of the item (if required). General component labels are shown in the table below. Character parameters may be used.

Notes

Defines a table of values per element (the element table) for use in further processing (see POST1 Element Table commands). The element table is organized as a "worksheet," with the rows representing all selected elements, and the columns consisting of result items which have been moved into the table (Item,Comp) with ETABLE. Each column of data is identified by a user-defined label (Lab) for listings and displays.

After entering the data into the element table, you are not limited to merely listing or displaying your data [PLESOL, PRESOL, etc.]. You may also perform many types of operations on your data, such as adding or multiplying columns [SADD, SMULT], defining allowable stresses for safety calculations [SALLOW], or multiplying one column by another [SMULT]. See the Basic Analysis Guide for further details.

There are different types of results data that may be stored in the element table. For example, many items for an element are inherently single-valued (i.e., there is only one value per element). The single-valued items include: SERR, SDSG, TERR, TDSG, SENE, TENE, KENE, JHEAT, JS, VOLU, and CENT. All other items are multivalued (i.e., they vary over the element, such that there is a different value at each node). Since only one value is stored in the element table per element, an average value (based on the number of contributing nodes) is calculated for multivalued items. Exceptions to this averaging procedure are FMAG and all element force items, which represent the sum only of the contributing nodal values.

There are two methods of data access that may be used with the ETABLE command. The method you choose will depend upon the type of data that you wish to store. Some results can be accessed just with the use of a generic label (Component Name method), while others require a label and number (Sequence Number method).

The Component Name method is used to access the General element data (that is, element data which is generally available to most element types or groups of element types). All of the single-valued items and some of the more general multivalued items are accessible with the Component Name method. Various element results depend on the calculation method and the selected results location (AVPRIN, RSYS, LAYER, SHELL, and ESEL).

Although nodal data is readily available for listings and displays [PRNSOL, PLNSOL] without using the element table, you may also use the Component Name method to enter these results into the element table for further "worksheet" manipulation (see the ANSYS Basic Analysis Guide for more details). A listing of the General Item and Comp labels for the Component Name method is shown below.

The Sequence Number method allows you to view results for data that is not averaged (such as pressures at nodes, temperatures at integration points, etc.), or data that is not easily described in a generic fashion (such as all derived data for structural line elements and contact elements, all derived data for thermal line elements, layer data for layered elements, etc.). A table illustrating the Items (such as LS, LEPEL, LEPTH, SMISC, NMISC, SURF, etc.) and corresponding sequence numbers for each element is shown in the Output Data section of each element description found in the ANSYS Elements Reference.

Some element table data are reported in the results coordinate system. These include all component results (for example, UX, UY, etc.; SX, SY, etc.). The solution writes component results in the database and on the results file in the solution coordinate system. When you issue the ETABLE command, these results are then transformed into the results coordinate system [RSYS] before being stored in the element table. The default results coordinate system is global Cartesian [RSYS,0]. All other data are retrieved from the database and stored in the element table with no coordinate transformation.

Use the PRETAB, PLETAB, or ETABLE,STAT commands to display the stored table values. Issue ETABLE,ERAS to erase the entire table. Issue ETABLE,Lab,ERAS to erase a Lab column.

When the GUI is on, if a Delete operation in a Define Element Table Data dialog box writes this command to a log file (Jobname.LOG or Jobname.LGW), you will observe that Lab is blank, Item = ERASE, and Comp is an integer number. In this case, the GUI has assigned a value of Comp that corresponds to the location of a chosen variable name in the dialog box's list. It is not intended that you type in such a location value for Comp in an ANSYS session. However, a file that contains a GUI-generated ETABLE command of this form can be used for batch input or for use with the /INPUT command.

ETABLE - General Item and Component Labels

General Item and Component Labels ETABLE, Lab, Item, Comp
Item | Comp | Description
Valid Item Labels for Degree of Freedom Results
U | X, Y, Z | X, Y, or Z structural displacement.
ROT | X, Y, Z | X, Y, or Z structural rotation.
TEMP[1] | Temperature.
PRES | Pressure.
VOLT | Electric potential.
MAG | Magnetic scalar potential.
V | X, Y, Z | X, Y, or Z fluid velocity.
A | X, Y, Z | X, Y, or Z magnetic vector potential.
CURR | Current.
EMF | Electromotive force drop.
ENKE | Turbulent kinetic energy.
ENDS | Turbulent energy dissipation.
SP0n | Mass fraction of species n, where n = 1 to 6. If a species is given a user-defined name [MSSPEC], use that name instead of SP0n.
Valid Item Labels for FLOTRAN Nodal Results
TTOT | Total temperature.
HFLU | Heat flux.
HFLM | Heat transfer (film) coefficient.
COND | Fluid laminar conductivity.
PCOE | Pressure coefficient.
PTOT | Total (stagnation) pressure.
MACH | Mach number.
STRM | Stream function. (2-D applications only.)
DENS | Fluid density.
VISC | Fluid laminar viscosity.
EVIS | Fluid effective viscosity.
ECON | Fluid effective conductivity.
YPLU | Y+, a turbulent law of the wall parameter.
TAUW | Shear stress at the wall.
LMDn | Laminar mass diffusion coefficient for species n, where n = 1 to 6.
EMDn | Effective mass diffusion coefficient for species n, where n = 1 to 6.
Valid Item and Component Labels for Element Results
S | X, Y, Z, XY, YZ, XZ | Component stress.
" 1, 2, 3 Principal stress.
" INT Stress intensity.
" EQV Equivalent stress.
EPEL | X, Y, Z, XY, YZ, XZ | Component elastic strain.
" 1, 2, 3 Principal elastic strain.
" INT Elastic strain intensity.
" EQV Elastic equivalent strain.
EPTH | X, Y, Z, XY, YZ, XZ | Component thermal strain.
" 1, 2, 3 Principal thermal strain.
" INT Thermal strain intensity.
" EQV Thermal equivalent strain.
EPPL | X, Y, Z, XY, YZ, XZ | Component plastic strain.
" 1, 2, 3 Principal plastic strain.
" INT Plastic strain intensity.
" EQV Plastic equivalent strain.
EPCR | X, Y, Z, XY, YZ, XZ | Component creep strain.
" 1, 2, 3 Principal creep strain.
" INT Creep strain intensity.
" EQV Creep equivalent strain.
EPSW | Swelling strain.
EPTO | X, Y, Z, XY, YZ, XZ | Component total mechanical strain (excluding thermal) (EPEL + EPPL + EPCR).
" 1, 2, 3 Principal total mechanical strain.
" INT Total mechanical strain intensity.
" EQV Total equivalent mechanical strain.
EPTT | X, Y, Z, XY, YZ, XZ | Component total strain including thermal (EPEL + EPTH + EPPL + EPCR).
" 1, 2, 3 Principal total strain.
" INT Total strain intensity.
" EQV Total equivalent strain.
NL | SEPL | Equivalent stress (from stress-strain curve).
" SRAT Stress state ratio.
" HPRES Hydrostatic pressure.
" EPEQ Accumulated equivalent plastic strain.
" PSV Plastic state variable. VISCO106, VISCO107, and VISCO108 only.
" PLWK Plastic work/volume. VISCO106, VISCO107, and VISCO108 only.
SEND | ELASTIC | Elastic strain energy density.
" PLASTIC Plastic strain energy density.
" CREEP Creep strain energy density.
TG | X, Y, Z, SUM | Component thermal gradient or vector sum.
TF | X, Y, Z, SUM | Component thermal flux or vector sum.
PG | X, Y, Z, SUM | Component pressure gradient or vector sum.
EF | X, Y, Z, SUM | Component electric field or vector sum.
D | X, Y, Z, SUM | Component electric flux density or vector sum.
H | X, Y, Z, SUM | Component magnetic field intensity or vector sum.
B | X, Y, Z, SUM | Component magnetic flux density or vector sum.
FMAG4 | X, Y, Z, SUM | Component magnetic forces or vector sum.
SERR | Structural error energy. Anisotropic elastic materials (TB, ANEL) are not supported.
SDSG | Absolute value of maximum variation of any nodal stress component.
TERR | Thermal error energy.
TDSG | Absolute value of the maximum variation of any nodal thermal gradient component.
F | X, Y, Z | Component structural force. Sum of element nodal values.
M | X, Y, Z | Component structural moment. Sum of element nodal values.
HEAT | Heat flow. Sum of element nodal values.
FLOW | Fluid flow. Sum of element nodal values.
AMPS | Current flow. Sum of element nodal values.
FLUX | Magnetic flux. Sum of element nodal values.
VF | X, Y, Z | Component fluid force.
CSG | X, Y, Z | Component magnetic current segment.
SENE | "Stiffness" energy or thermal heat dissipation (applies to all elements where meaningful). Same as TENE.
AENE | Artificial energy of the element. This includes the sum of hourglass control energy and energy generated by in-plane drilling stiffness from shell elements (applies to all elements where meaningful). The energy is used for comparisons to SENE energy to predict the solution error due to artificial stiffness. See the Theory Reference for ANSYS and ANSYS Workbench.
TENE | Thermal heat dissipation or "stiffness" energy (applies to all elements where meaningful). Same as SENE.
KENE | Kinetic energy (applies to all elements where meaningful).
STEN | Elemental energy dissipation due to stabilization.
JHEAT | Element Joule heat generation.
JS | X, Y, Z, SUM | Source current density for low-frequency magnetic analyses. Total current density (sum of conduction and displacement current densities) in low frequency electric analyses. Components (X, Y, Z) and vector sum (SUM).
JT | X, Y, Z, SUM | Total measureable current density in low-frequency electromagnetic analyses. (Conduction current density in a low-frequency electric analysis.) Components (X, Y, Z) and vector sum (SUM).
JC | X, Y, Z, SUM | Conduction current density for elements that support conduction current calculation. Components (X, Y, Z) and vector sum (SUM).
MRE | Magnetics Reynolds number
VOLU | Element volume. Based on unit thickness for 2-D plane elements (unless the thickness option is used) and on the full 360 degrees for 2-D axisymmetric elements.
CENT | X, Y, Z | Undeformed X, Y, or Z location (based on shape function) of the element centroid in the active coordinate system.
BFE | TEMP | Body temperatures (calculated from applied temperatures) as used in solution (area and volume elements only).
SMISC | snum | Element summable miscellaneous data value at sequence number snum (shown in the Output Data section of each applicable element description in the Elements Reference).
NMISC | snum | Element non-summable miscellaneous data value at sequence number snum (shown in the Output Data section of each applicable element description found in the Elements Reference).
SURF | snum | Element surface data value at sequence number snum (shown in Surface Solution of the Elements Reference).
CONT[2] STAT[3]
3-closed and sticking
2-closed and sliding
1-open but near contact
0-open and not near contact
" PENE Contact penetration (zero or positive).
" PRES Contact pressure.
" SFRIC Contact friction stress.
" STOT Contact total stress (pressure plus friction).
" SLIDE Contact sliding distance.
" GAP Contact gap distance (0 or negative).
" FLUX Total heat flux at contact surface.
“ CNOS Total number of contact status changes during substep.
TOPO | Densities used for topological optimization. This applies to the following types of elements: PLANE82, SOLID92, SHELL93, SOLID95.

  1. For SHELL131 and SHELL132 elements with KEYOPT(3) = 0 or 1, use labels TBOT, TE2, TE3, . . ., TTOP instead of TEMP.

  2. For the CONT items for elements CONTA171 through CONTA177, the reported data is averaged across the element.

  3. Status notation is for all contact elements except CONTAC12 and CONTAC52. If you are using these elements, check the output listing in the corresponding element documentation.

  4. When using the EMFT procedure to calculate electromagnetic force (SOLID117, PLANE121, SOLID122, or SOLID123 elements only), the FMAG sum will be zero or near zero.

Menu Paths

Main Menu>General Postproc>Element Table>Define Table
Main Menu>General Postproc>Element Table>Erase Table

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ET 		Up / Home Next
ETCHG


ETCHG

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ETCHG, Cnv

Changes element types to their corresponding types.

PREP7: Element Type

MP ME ST PR PRN <> <> FL EM EH <> PP <>

Cnv

Converts the element types to the corresponding type. Valid labels are:

ETI
 —

Explicit to Implicit

ITE
 —

Implicit to Explicit

TTE
 —

Thermal to Explicit

TTS
 —

Thermal to Structural

STT
 —

Structural to Thermal

MTT
 —

Magnetic to Thermal

FTS
 —

Fluid to Structural

ETS
 —

Electrical to Structural

Notes

Changes the currently defined element types to their corresponding types. Elements without a companion element (listed above) are not switched and should be switched with the ET command to an appropriate element type or to a null element. The KEYOPT values for the switched element types are reset to zero or to their default values. You must check these values to see if they are still meaningful. Additionally, if Cnv = ETI, ITE, or TTE, all real constants are set to zero.

If Cnv = ITE, you will need to choose a material model that corresponds to your previously-defined material properties. If working interactively, you will be prompted to do so.

Element types LINK8 and LINK10 lack a third node; however, their corresponding companion explicit element types, LINK160 and LINK167, require a third (orientation) node. If you are using element types LINK8 or LINK10, you must first convert the element type using this command and then manually define the third node of LINK160 or LINK167 elements using EMODIF.

Also, if you are converting BEAM4 to BEAM161, you may need to manually define the third node of BEAM161 elements as well. However, BEAM4 allows you to define a third, optional node. If you have defined this third node on BEAM4, then the conversion to BEAM161 will be completed automatically when you issue this command. If you did not define the third node on BEAM4, then you must manually define it on BEAM161 using EMODIF.

Element Pairs

ETI -- Explicit to Implicit
160 > 8
161 > 4
163 > 181
164 > 185
165 > 14
166 > 21
167 > 10
ITE -- Implicit to Explicit
4 > 161
8 > 160
10 > 167
14 > 165
21 > 166
181 > 163
185 > 164
TTE --Thermal to Explicit
55 > 162
57 > 163
70 > 164
TTS -- Thermal to Structural
32 > 1
33 > 180
35 > 2
55 > 182
57 > 41
67 > 42
68 > 8
69 > 45
70 > 185
71 > 21
75 > 25
77 > 183
78 > 83
87 > 187
90 > 186
131 > 181
132 > 91/93
151 > 153
152 > 154
157 > 63
STT -- Structural to Thermal
1 > 32
2 > 35
8 > 33
21 > 71
25 > 75
41 > 57
42 > 55
45 > 70
56 > 55
58 > 70
62 > 70
63 > 131
64 > 70
65 > 70
73 > 70
74 > 77
82 > 77
83 > 78
84 > 55/77
86 > 70
88 > 77
89 > 90
91 > 132
92 > 87
93 > 132
95 > 90
106 > 55
107 > 70
108 > 77
153 >151
154 > 152
158 > 87
180 > 33
181 > 131
182 > 55
183 > 77
185 > 70
186 > 90
187 > 87
MTT -- Magnetic to Thermal
53 > 77
62 > 70
96 > 70
97 > 70
117 > 90
119 > 87
120 > 90
FTS -- Fluid to Structural
141 > 42
142 > 45
ETS -- Electrical to Structural
67 > 42
68 > 8
69 > 45
121 > 42/82
122 > 45/95
123 > 92
127 > 92
128 > 45/95
157 > 63

Menu Paths

Main Menu>Preprocessor>Element Type>Switch Elem Type

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ETABLE 		Up / Home Next
ETCONTROL


ETCONTROL

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ETCONTROL, Eltech, Eldegene

Control the element technologies used in element formulation (for applicable elements).

PREP7: Element Type

MP ME ST PR PRN <> <> FL EM EH <> PP <>

Eltech

Element technology control (SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SHELL208, SHELL209, SHELL281).

SUGGESTION
 —

ANSYS makes a suggestion for the best element technology before solving. If necessary, mixed u-P (KEYOPT(6)) will also be included and reset. This behavior is the default.

SET
 —

ANSYS informs you of the best settings and automatically resets any applicable KEYOPT settings; this will override any manual settings you provided previously.

OFF
 —

Turns automatic selection of element technology off. No suggestions will be issued, and no automatic resetting is done

Eldegene

Element degenerated shape control (PLANE182, PLANE183, SOLID185, SOLID186).

ON
 —

If element shapes are degenerated, the degenerated shape function is employed and enhanced strain, simplified enhanced strain, and B-bar formulations are turned off (default).

OFF
 —

If element shapes are degenerated, regular shape functions are still used, and the specified element technologies (e.g., enhanced strain, B-bar, uniform reduced integration) are still used.

Notes

The command default is: ETCONTROL,Suggestion,ON. This command is valid for: SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SHELL208, SHELL209, and SHELL281. See Automatic Selection of Element Technologies in the Elements Reference for more details.

Menu Paths

Main Menu>Preprocessor>Element Type>Elem Tech Control

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ETCHG 		Up / Home Next
ETDELE


ETDELE

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ETDELE, ITYP1, ITYP2, INC

Deletes element types.

PREP7: Element Type

MP ME ST PR PRN <> <> FL EM EH <> PP <>

ITYP1, ITYP2, INC

Deletes element types from ITYP1 to ITYP2 (defaults to ITYP1) in steps of INC (defaults to 1). If ITYP1 = ALL, ITYP2 and INC are ignored and all element types are deleted. Element types are defined with the ET command.

Menu Paths

Main Menu>Preprocessor>Element Type>Add/Edit/Delete

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ETCONTROL 		Up / Home Next
ETLIST


ETLIST

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ETLIST, ITYP1, ITYP2, INC

Lists currently defined element types.

PREP7: Element Type

MP ME ST PR PRN <> <> FL EM EH <> PP <>

ITYP1, ITYP2, INC

Lists element types from ITYP1 to ITYP2 (defaults to ITYP1) in steps of INC (defaults to 1). If ITYP1 = ALL (default), ITYP2 and INC are ignored and all element types are listed.

Notes

This command is valid in any processor.

Menu Paths

Utility Menu>List>Properties>Element Types

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ETDELE 		Up / Home Next
ETYPE


ETYPE

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

ETYPE

Specifies "Element types" as the subsequent status topic.

PREP7: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Preprocessor>Element Types

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ETLIST 		Up / Home Next
EUSORT


EUSORT

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EUSORT

Restores original order of the element table.

POST1: Element Table

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Changing the selected element set [ESEL] also restores the original element order.

Menu Paths

Main Menu>General Postproc>List Results>Sorted Listing>Unsort Elems

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ETYPE 		Up / Home Next
EWRITE


EWRITE

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EWRITE, Fname, Ext, --, KAPPND, Format

Writes elements to a file.

PREP7: Elements

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to ELEM if Fname is blank.

--

Unused field.

KAPPND

Append key:

0
 —

Rewind file before the write operation.

1
 —

Append data to the end of the existing file.

Format

Format key:

SHORT
 —

I6 format (the default).

LONG
 —

I8 format.

Notes

Writes the selected elements to a file. The write operation is not necessary in a standard ANSYS run but is provided as convenience to users wanting a coded element file. If issuing EWRITE from ANSYS to be used in ANSYS, you must also issue NWRITE to store nodal information for later use. Only elements having all of their nodes defined (and selected) are written. Data are written in a coded format. The data description of each record is: I, J, K, L, M, N, O, P, MAT, TYPE, REAL, SECNUM, ESYS, IEL, where MAT, TYPE, REAL, and ESYS are attribute numbers, SECNUM is the beam section number, and IEL is the element number.

The format is (14I6) if Format is set to SHORT and (14I8) if the Format is set to LONG, with one element description per record for elements having eight nodes of less. For elements having more than eight nodes, nodes nine and above are written on a second record with the same format.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Elements>Write Elem File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EUSORT 		Up / Home Next
/EXIT


/EXIT

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

/EXIT, Slab, Fname, Ext, --

Stops the run and returns control to the system.

SESSION: Run Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Slab

Mode for saving the database:

MODEL
 —

Save the model data (solid model, finite element model, loadings, etc.) only (default).

SOLU
 —

Save the model data and the solution data (nodal and element results).

ALL
 —

Save the model data, solution data and post data (element tables, path results, etc.)

NOSAVE
 —

Do not save any data on File.DB (an existing DB file will not be overwritten).

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name, defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to DB if Fname is blank.

--

Unused field.

Notes

The current database information may be written on File.DB or a named file. If File.DB already exists, a backup file (File.DBB) will also be written whenever a new File.DB is written.

This command is valid in any processor. Issuing this command at any point will exit the program.

Menu Paths

Utility Menu>File>Exit

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EWRITE 		Up / Home Next
EXP


EXP

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EXP, IR, IA, --, --, Name, --, --, FACTA, FACTB

Forms the exponential of a variable.

POST26: Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

IR

Arbitrary reference number assigned to the resulting variable (2 to NV [NUMVAR]). If this number is the same as for a previously defined variable, the previously defined variable will be overwritten with this result.

IA

Reference number of the variable to be operated on.

--, --

Unused fields.

Name

Thirty-two character name for identifying the variable on the printout and displays. Embedded blanks are compressed upon output.

--, --

Unused fields.

FACTA

Scaling factor applied to variable IA (defaults to 1.0).

FACTB

Scaling factor (positive or negative) applied to the operation (defaults to 1.0).

Notes

Forms the exponential of a variable according to the operation:

IR = FACTB*EXP(FACTA x IA)

Menu Paths

Main Menu>TimeHist Postpro>Math Operations>Exponentiate

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/EXIT 		Up / Home Next
EXPAND


EXPAND

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EXPAND, Nrepeat, MODAL, HIndex, Icsys, SctAng, --, Phase

Displays the results of a modal cyclic symmetry analysis.

POST1: Special Purpose

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Nrepeat

Number of sector repetitions for expansion. The default is 0 (no expansion).

MODAL

Specifies that the expansion is for a modal cyclic symmetry analysis.

HIndex

The harmonic index ID for the results to expand.

Icsys

The coordinate system number used in the modal cyclic symmetry solution. The default is the global cylindrical coordinate system (specified via the CSYS command where KCN = 1).

SctAng

The sector angle in degrees, equal to 360 divided by the number of cyclic sectors.

--

This field is reserved for future use.

Phase

The phase angle in degrees to use for the expansion. The default is 0. Typically, the value is the peak displacement (or stress/strain) phase angle obtained via the CYCPHASE command.

Notes

Issue this command to display the results of a modal cyclic symmetry analysis.

When you issue the EXPAND,Nrepeat command, subsequent SET commands read data from the results file and expand them to Nrepeat sectors. As long as no entities have been modified, this expansion can be negated (that is, reverted to single sector) by issuing EXPAND with no arguments. If you modify entities and wish to return to the partial model, use the Session Editor (see Restoring Database Contents in the Operations Guide).

EXPAND displays the results and allows you to print them, as if for a full model. The harmonic index (automatically retrieved from the results file) appears in the legend column.

When plotting kinetic energy (KENE) or strain energy (SENE), the EXPAND command works with brick or tet models only.

EXPAND is a specification command valid only in POST1. It is significantly different from the /EXPAND command in several respects, (although you can use either command to display the results of a modal cyclic symmetry analysis):

  • EXPAND has none of the limitations of the /EXPAND command.

  • EXPAND changes the database by modifying the geometry, the nodal displacements, and element stresses as they are read from the results file, whereas the /EXPAND command does not change the database.

  • You can print results displayed via EXPAND.

Caution

The EXPAND command creates new nodes and elements; therefore, saving (or issuing the /EXIT, ALL command) after issuing the EXPAND command can result in large databases.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Cyc Expansion

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EXP 		Up / Home Next
/EXPAND


/EXPAND

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

/EXPAND, Nrepeat1, Type1, Method1, DX1, DY1, DZ1, Nrepeat2, Type2, Method2, DX2, DY2, DZ2, Nrepeat3, Type3, Method3, DX3, DY3, DZ3

Allows the creation of a larger graphic display than represented by the actual finite element analysis model.

POST1: Special Purpose

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Nrepeat1, Nrepeat2, Nrepeat3

The number of repetitions required for the element pattern. The default is 0 (no expansion).

Type1, Type2, Type3

The type of expansion requested.

RECT
 —

Causes a Cartesian transformation of DX, DY, and DZ for each pattern (default).

POLAR
 —

Causes a polar transformation of DR, D-Theta and DZ for each pattern.

AXIS
 —

Causes 2-D axisymmetric expansion (that is, rotates a 2-D model created in the X-Y plane about the Y axis to create a 3-D model).

LRECT
 —

Causes a Cartesian transformation of DX, DY, and DZ for each pattern about the current local coordinate system (specified via the CSYS command).

LPOLAR
 —

Causes a polar transformation of DR, D-Theta, and DZ for each pattern about the local coordinate system (specified via the CSYS command).

Method1, Method2, Method3

The method by which the pattern is repeated.

FULL
 —

Causes a normal repeat of the pattern (default).

HALF
 —

Uses a symmetry transformation for alternate repeats (to produce an image of a complete circular gear from the image of half a tooth, for example).

DX1, DY1, DZ1, DX2, DY2, DZ2, DX3, DY3, DZ3

The Cartesian or polar increments between the repeated patterns. Also determines the reflection plane. Reflection is about the plane defined by the normal vector (DX, DY, DZ). If you want no translation, specify a small nonzero value. For a half-image expansion, the increment DX, DY, or DZ is doubled so that POLAR,HALF, ,45 produces full images on 90° centers, and RECT,HALF, ,1 produces full images on 2-meter centers.

Notes

You can use the /EXPAND command to perform up to three symmetry expansions at once (that is, X, Y, and Z which is equal to going from a 1/8 model to a full model). Polar expansions allow you to expand a wheel section into a half wheel, then into the half section, and then into the whole.

The command displays elements/results when you issue the EPLOT command or postprocessing commands.

The command works on all element and result displays, except as noted below. As the graphic display is created, the elements (and results) are repeated as many times as necessary, expanding the geometry and, if necessary, the displacements and stresses.

Derived results are not supported.

The /EXPAND command has the following limitations:

  • It does not support solid model entities.

  • POLAR, FULL or HALF operations are meaningful only in global cylindrical systems and are unaffected by the RSYS or DSYS commands. Cartesian symmetry or unsymmetric operations also occur about the global Cartesian system.

  • It does not average nodal results across sector boundaries, even for averaged plots (such as those obtained via the PLNSOL command).

  • Axisymmetric harmonic element results are not supported for Type = AXIS.

The /EXPAND command differs significantly from the EXPAND command in several respects:

  • The uses of /EXPAND are of a more general nature, whereas the EXPAND command is intended primarily to expand modal cyclic symmetry results.

  • /EXPAND does not change the database as does the EXPAND command.

  • You cannot print results displayed via /EXPAND.

Menu Paths

Utility Menu>PlotCtrls>Style>Symmetry Expansion>
Utility Menu>PlotCtrls>Style>Symmetry Expansion>Expansion by values
Utility Menu>PlotCtrls>Style>Symmetry Expansion>Modal Cyclic Symmetry
Utility Menu>PlotCtrls>Style>Symmetry Expansion>Periodic/Cyclic Symmetry Expansion

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EXPAND 		Up / Home Next
EXPASS


EXPASS

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EXPASS, Key

Specifies an expansion pass of an analysis.

SOLUTION: Analysis Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Key

Expansion pass key:

OFF
 —

No expansion pass will be performed (default).

ON
 —

An expansion pass will be performed.

Notes

Specifies that an expansion pass of a modal, substructure, buckling, transient, or harmonic analysis is to be performed.

Note

This separate solution pass requires an explicit FINISH to preceding analysis and reentry into SOLUTION.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>ExpansionPass
Main Menu>Solution>Analysis Type>ExpansionPass

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/EXPAND 		Up / Home Next
EXPROFILE


EXPROFILE

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EXPROFILE, Ldtype, Load, VALUE, Pname, Fname, Fext, Fdir

Exports ANSYS interface loads to a CFX Profile file.

POST1: Special Purpose

MP ME ST PR PRN <> <> FL EM EH <> PP <>

Ldtype

Load type:

SURF
—

Surface load

VOLU
—

Volumetric load

Load

Surface loads:

DISP
—

Displacement

TEMP
—

Temperature

HFLU
—

Heat flux

Volumetric loads:

DISP
—

Displacement

FORC
—

Force

HGEN
—

Heat generation

VALUE

Surface or volume interface number.

Pname

Field name in CFX Profile file (32 characters maximum). Defaults to bcploadnumber for a surface load and subdloadnumber for volumetric load.

Fname

The CFX Profile filename (248 character maximum). Defaults to jobname_bcploadnumber for a surface load and jobname_subdloadnumber for a volumetric load.

Fext

The Profile file extension (8 character maximum). Defaults to csv.

Fdir

The Profile file directory (8 characters maximum). Defaults to current directory.

Notes

To transfer multiple loads across an interface, specify a unique file name and extension for each load.

Force (FORC) and heat generation (HGEN) are per unit volume.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EXPASS 		Up / Home Next
EXPSOL


EXPSOL

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EXPSOL, LSTEP, SBSTEP, TIMFRQ, Elcalc

Specifies the solution to be expanded for reduced analyses.

SOLUTION: Load Step Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

LSTEP, SBSTEP

Expand the solution identified as load step LSTEP and substep SBSTEP.

TIMFRQ

As an alternative to LSTEP and SBSTEP, expand the solution at, or nearest to, the time value TIMFRQ (for ANTYPE,TRANS or ANTYPE,SUBSTR) or frequency value TIMFRQ (for ANTYPE,HARMIC). LSTEP and SBSTEP should be blank.

Elcalc

Element calculation key:

YES
—

Calculate element results, nodal loads, and reaction loads.

NO
—

Do not calculate these items.

Notes

Specifies the solution to be expanded from analyses that use reduced or mode superposition methods (ANTYPE,HARMIC, TRANS, or SUBSTR). Use the NUMEXP command to expand a group of solutions.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>ExpansionPass>Single Expand>By Load Step
Main Menu>Preprocessor>Loads>Load Step Opts>ExpansionPass>Single Expand>By Time/Freq
Main Menu>Solution>Load Step Opts>ExpansionPass>Single Expand>By Load Step
Main Menu>Solution>Load Step Opts>ExpansionPass>Single Expand>By Time/Freq

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EXPROFILE 		Up / Home Next
EXTOPT


EXTOPT

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EXTOPT, Lab, Val1, Val2, Val3

Controls options relating to the generation of volume elements from area elements.

PREP7: Volumes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Label identifying the control option. The meanings of Val1, Val2, and Val3 will vary depending on Lab.

ON
 —

Sets carryover of the material attributes, real constant attributes, and element coordinate system attributes of the pattern area elements to the generated volume elements. Sets the pattern area mesh to clear when volume generations are done. Val1, Val2, and Val3 are ignored.

OFF
 —

Removes all settings associated with this command. Val1, Val2, and Val3 are ignored.

STAT
 —

Shows all settings associated with this command. Val1, Val2, and Val3 are ignored.

ATTR
 —

Sets carryover of particular pattern area attributes (materials, real constants, and element coordinate systems) of the pattern area elements to the generated volume elements. (See 2.) Val1 can be:

0
 —

Sets volume elements to use current MAT command settings.

1
 —

Sets volume elements to use material attributes of the pattern area elements.

Val2 can be:
0
 —

Sets volume elements to use current REAL command settings.

1
 —

Sets volume elements to use real constant attributes of the pattern area elements.

Val3 can be:
0
 —

Sets volume elements to use current ESYS command settings.

1
 —

Sets volume elements to use element coordinate system attributes of the pattern area elements.

ESIZE
 —

Val1 sets the number of element divisions in the direction of volume generation or volume sweep. For VDRAG and VSWEEP, Val1 is overridden by the LESIZE command NDIV setting. Val2 sets the spacing ratio (bias) in the direction of volume generation or volume sweep. If positive, Val2 is the nominal ratio of last division size to first division size (if > 1.0, sizes increase, if < 1.0, sizes decrease). If negative, Val2 is the nominal ratio of center division(s) size to end divisions size. Ratio defaults to 1.0 (uniform spacing). Val3 is ignored.

ACLEAR
 —

Sets clearing of pattern area mesh. (See 3.) Val1 can be:

0
 —

Sets pattern area to remain meshed when volume generation is done.

1
 —

Sets pattern area mesh to clear when volume generation is done. Val2 and Val3 are ignored.

VSWE
 —

Indicates that volume sweeping options will be set using Val1 and Val2. Settings specified with EXTOPT,VSWE will be used the next time the VSWEEP command is invoked. If Lab = VSWE, Val1 becomes a label. Val1 can be:

AUTO
 —

Indicates whether you will be prompted for the source and target used by VSWEEP or if VSWE should automatically determine the source and target. If Val1 = AUTO, Val2 is ON by default. VSWE will automatically determine the source and target for VSWEEP. You will be allowed to pick more than one volume for sweeping. When Val2 = OFF, the user will be prompted for the source and target for VSWEEP. You will only be allowed to pick one volume for sweeping.

TETS
 —

Indicates whether VSWEEP will tet mesh non-sweepable volumes or leave them unmeshed. If Val1 = TETS, Val2 is OFF by default. Non-sweepable volumes will be left unmeshed. When Val2 = ON, the non-sweepable volumes will be tet meshed if the assigned element type supports tet shaped elements.

Val3 is ignored for Lab = VSWE.

Val1, Val2, Val3

Additional input values as described under each option for Lab.

Notes

  1. EXTOPT controls options relating to the generation of volume elements from pattern area elements using the VEXT, VROTAT, VOFFST, VDRAG, and VSWEEP commands. (When using VSWEEP, the pattern area is referred to as the source area.)

  2. Enables carryover of the attributes of the pattern area elements to the generated volume elements when you are using VEXT, VROTAT, VOFFST, or VDRAG. (When using VSWEEP, since the volume already exists, use the VATT command to assign attributes before sweeping.)

  3. When you are using VEXT, VROTAT, VOFFST, or VDRAG, enables clearing of the pattern area mesh when volume generations are done. (When you are using VSWEEP, if selected, the area meshes on the pattern (source), target, and/or side areas clear when volume sweeping is done.)

  4. Neither EXTOPT,VSWE,AUTO nor EXTOPT,VSWE,TETS will be affected by EXTOPT,ON or EXTOPT, OFF.

Menu Paths

Main Menu>Preprocessor>Meshing>Mesh>Volume Sweep>Sweep Opts
Main Menu>Preprocessor>Modeling>Operate>Extrude>Elem Ext Opts

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EXPSOL 		Up / Home Next
EXTREM


EXTREM

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EXTREM, NVAR1, NVAR2, NINC

Lists the extreme values for variables.

POST26: Listing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NVAR1, NVAR2, NINC

List extremes for variables NVAR1 through NVAR2 in steps of NINC. Variable range defaults to its maximum. NINC defaults to 1.

Notes

Lists the extreme values (and the corresponding times) for stored and calculated variables. Extremes for stored variables are automatically listed as they are stored. Only the real part of a complex number is used. Extreme values may also be assigned to parameters [*GET].

Menu Paths

Main Menu>TimeHist Postpro>List Extremes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EXTOPT 		Up / Home Next
EXUNIT


EXUNIT

Release 11.0 Documentation for ANSYS

Commands Reference | E Commands |

EXUNIT, Ldtype, Load, Untype, Name

Indicates units assumed for an interface load for ANSYS to CFX transfer.

POST1: Special Purpose

MP ME ST PR PRN <> <> FL EM EH <> PP <>

Ldtype

Load type:

SURF
—

Surface load

VOLU
—

Volumetric load

Load

Surface loads:

DISP
—

Displacement

TEMP
—

Temperature

HFLU
—

Heat flux

Volumetric loads:

DISP
—

Displacement

FORC
—

Force

HGEN
—

Heat generation

Untype

Unit type:

COMM
—

Pre-defined unit

USER
—

User-specified unit

Name

Commonly used pre-defined unit name or user-specified unit name.

SI
 —

International System of Units (meter-kilogram-second)

FT
 —

English System of Units (feet-pound-second)

In SI units, surface loads are: DISP m, TEMP K, and HFLU W/m2 and volumetric loads are: DISP m, FORC N/m3, and HGEN W/m3.

In English units, surface loads are: DISP ft, TEMP F, and HFLU BTU/sec-ft2 and volumetric loads are: DISP ft, FORC pdl/ft3, and HGEN BTU/sec-ft3.

Notes

This command only indicates the assumed units. It does not perform unit conversions.

A pdl is a poundal, and 1 lbf = 32.174.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EXTREM 		Up / Home Next
F Commands


F Commands

Table of Contents

F - Specifies force loads at nodes.
/FACET - Specifies the facet representation used to form solid model displays.
FATIGUE - Specifies "Fatigue data status" as the subsequent status topic.
FC - Provides failure criteria information and activates a data table to input temperature-dependent stress and strain limits.
FCCHECK - Checks both the strain and stress input criteria for all materials.
FCDELE - Deletes previously defined failure criterion data for the given material.
FCLIST - To list what the failure criteria is that you have input.
FCUM - Specifies that force loads are to be accumulated.
FDELE - Deletes force loads on nodes.
/FDELE - Deletes a binary file after it is used.
FE - Defines a set of fatigue event parameters.
FEBODY - Specifies "Body loads on elements" as the subsequent status topic.
FECONS - Specifies "Constraints on nodes" as the subsequent status topic.
FEFOR - Specifies "Forces on nodes" as the subsequent status topic.
FELIST - Lists the fatigue event parameters.
FESURF - Specifies "Surface loads on elements" as the subsequent status topic.
FILE - Specifies the data file where results are to be found.
FILEAUX2 - Specifies the binary file to be dumped.
FILEAUX3 - Specifies the results file to be edited.
FILEDISP - Specifies the file containing the graphics data.
FILL - Generates a line of nodes between two existing nodes.
FILLDATA - Fills a variable by a ramp function.
/FILNAME - Changes the Jobname for the analysis.
FINISH - Exits normally from a processor.
FITEM - Identifies items chosen by a picking operation (GUI).
FJ - Specify forces or moments on the components of the relative motion of a joint element.
FJDELE - Deletes forces (or moments) on the components of the relative motion of a joint element.
FJLIST - Lists forces and moments applied on joint elements.
FK - Defines force loads at keypoints.
FKDELE - Deletes force loads at a keypoint.
FKLIST - Lists the forces at keypoints.
FL - Defines a set of fatigue location parameters.
FLANGE - Defines a flange in a piping run.
FLDATA - Sets up a FLOTRAN analysis.
FLDATA1 - Controls which features of the solution algorithm are activated.
FLDATA2 - Sets iteration and output controls for steady state analyses.
FLDATA3 - Sets the convergence monitors for the degree of freedom set.
FLDATA4 - Sets controls for transient analyses based on transient time and convergence monitors or sets time integration method.
FLDATA4A - Sets controls for transient analyses based on the number of time steps.
FLDATA5 - Sets output and storage controls.
FLDATA6 - Controls the output of the convergence monitor.
FLDATA7 - Specifies the type of fluid property.
FLDATA8 - Specifies the NOMI coefficient of the fluid property equation.
FLDATA9 - Specifies the COF1 coefficient of the fluid property equation.
FLDATA10 - Specifies the COF2 coefficient of the fluid property equation.
FLDATA11 - Specifies the COF3 coefficient of the fluid property equation.
FLDATA12 - Sets the property update frequency flag.
FLDATA13 - Sets the property variation flag.
FLDATA14 - Specifies the reference temperature.
FLDATA15 - Specifies the reference pressure.
FLDATA16 - Specifies the bulk modulus parameter.
FLDATA17 - Specifies the specific heat ratio.
FLDATA18 - Selects the algebraic solver.
FLDATA19 - Specifies the number of TDMA sweeps.
FLDATA20 - Specifies the number of conjugate direction search vectors.
FLDATA20A - Specifies the amount of fill-in when preconditioning the coefficient matrix.
FLDATA20B - Specifies the number of fill-ins for the ILU preconditioner.
FLDATA21 - Specifies the convergence criterion for FLOTRAN algebraic solvers.
FLDATA22 - Specifies the maximum number of semi-direct iterations.
FLDATA23 - Specifies the solver minimum normalized rate of change.
FLDATA24 - Sets the turbulence model and the constants used in the Standard k-ε Model and the Zero Equation Turbulence Model.
FLDATA24A - Sets constants for the Re-Normalized Group Turbulence Model (RNG).
FLDATA24B - Sets constants for the k-ε Turbulence Model due to Shih (NKE).
FLDATA24C - Sets constants for the Nonlinear Turbulence Model of Girimaji (GIR).
FLDATA24D - Sets constants for the Shih, Zhu, Lumley Turbulence Model (SZL).
FLDATA24E - Sets constants for the k-ω turbulence model.
FLDATA24F - Sets the turbulent production clip factor for the Shear Stress Transport (SST) turbulence model.
FLDATA24G - Sets constants in the k-ω regime for the Shear Stress Transport (SST) turbulence model.
FLDATA24H - Sets constants in the k-ε regime for the Shear Stress Transport (SST) turbulence model.
FLDATA25 - Sets solution and property relaxation factors.
FLDATA26 - Sets stability controls.
FLDATA27 - Controls dependent variable printing.
FLDATA28 - Specifies that variable results are to be replaced.
FLDATA29 - Re-initializes a results variable.
FLDATA30 - Controls the quadrature orders.
FLDATA31 - Specifies dependent variable caps.
FLDATA32 - Controls restart options.
FLDATA33 - Specifies the approach to discretize the advection term.
FLDATA34 - Sets modified inertial relaxation factors.
FLDATA35 - Specifies tolerances for the lower and upper bound of the volume fraction.
FLDATA36 - Specifies ambient reference values outside of the fluid for the volume of fluid (VOF) method.
FLDATA37 - Specifies segregated solution or film coefficient algorithms.
FLDATA38 - Specifies the mass type for a fluid transient analysis.
FLDATA39 - Specifies remeshing parameters for transient fluid flow and fluid-solid interaction analyses.
FLDATA40 - Controls activation of thermal stabilization near walls.
FLIST - Lists force loads on the nodes.
FLLIST - Lists the fatigue location parameters.
FLOCHECK - Sets up and runs a zero-iteration FLOTRAN analysis.
FLOTRAN - Specifies "FLOTRAN data settings" as the subsequent status topic.
FLREAD - Reads the residual file written by the FLOTRAN CFD option.
FLST - Specifies data required for a picking operation (GUI).
FLUXV - Calculates the flux passing through a closed contour.
FMAGBC - Applies force and torque boundary conditions to an element component.
FMAGSUM - Summarizes electromagnetic force calculations on element components.
/FOCUS - Specifies the focus point (center of the window).
FOR2D - Calculates magnetic forces on a body.
FORCE - Selects the element nodal force type for output.
FORM - Specifies the format of the file dump.
/FORMAT - Specifies format controls for tables.
FP - Defines the fatigue S vs. N and Sm vs. T tables.
FPLIST - Lists the property table stored for fatigue evaluation.
FREQ - Defines the frequency points for the SV vs. FREQ tables.
FRQSCL - Turns on automatic scaling of the entire mass matrix and frequency range for modal analyses using the Block Lanczos or PCG Lanczos mode extraction method.
FS - Stores fatigue stress components at a node.
FSCALE - Scales force load values in the database.
FSDELE - Deletes a stress condition for a fatigue location, event, and loading.
FSLIST - Lists the stresses stored for fatigue evaluation.
FSNODE - Calculates and stores the stress components at a node for fatigue.
FSPLOT - Displays a fatigue stress item for a fatigue location and event.
FSSECT - Calculates and stores total linearized stress components.
FSSPARM - Calculates reflection and transmission properties of a frequency selective surface.
FSUM - Sums the nodal force and moment contributions of elements.
FTCALC - Performs fatigue calculations for a particular node location.
FTRAN - Transfers solid model forces to the finite element model.
FTSIZE - Defines the fatigue data storage array.
FTWRITE - Writes all currently stored fatigue data on a file.
FVMESH - Generates nodes and tetrahedral volume elements from detached exterior area elements (facets).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
EXUNIT 		Up / Home Next
F


F

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

F, NODE, Lab, VALUE, VALUE2, NEND, NINC

Specifies force loads at nodes.

SOLUTION: FE Forces

MP ME ST PR PRN <> <> <> EM <> <> PP <>

NODE

Node at which force is to be specified. If ALL, NEND and NINC are ignored and forces are applied to all selected nodes [NSEL]. If NODE = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NODE.

Lab

Valid force label. Structural labels: FX, FY, or FZ (forces); MX, MY, or MZ (moments). Thermal labels: HEAT, HBOT, HE2, HE3, . . ., HTOP (heat flow). Fluid labels: FLOW (fluid flow). Electric labels: AMPS (current flow), CHRG (electric charge). Magnetic labels: FLUX (magnetic flux); CSGX, CSGY, or CSGZ (magnetic current segments). FLOTRAN labels: FX, FY, or FZ (forces).

VALUE

Force value or table name reference for specifying tabular boundary conditions. To specify a table, enclose the table name in percent signs (%), e.g., F, NODE,HEAT,%tabname%). Use the *DIM command to define a table.

VALUE2

Second force value (if any). If the analysis type and the force allow a complex input, VALUE (above) is the real component and VALUE2 is the imaginary component.

NEND, NINC

Specifies the same values of force at the nodes ranging from NODE to NEND (defaults to NODE), in steps of NINC (defaults to 1).

Notes

The available force loads per node correspond to the degrees of freedom listed under "Degrees of Freedom" in the input table for each element type in the Elements Reference. If both a force and a constrained degree of freedom [D] are specified at the same node, the constraint takes precedence. Forces are defined in the nodal coordinate system. The positive directions of structural forces and moments are along and about the positive nodal axis directions. The node and the degree of freedom label corresponding to the force must be selected [NSEL, DOFSEL].

Tabular boundary conditions (VALUE = %tabname%) are available only for the following labels: Fluid (FLOW), Electric (AMPS), Structural force (FX, FY, FZ, MX, MY, MZ), FLOTRAN (FX, FY, FZ), and Thermal (HEAT, HBOT, HE2, HE3, . . ., HTOP). Tabular boundary conditions are valid only in static (ANTYPE,STATIC), full transient (ANTYPE,TRANS), and modal superposition transient analyses.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>AppCharge>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>AppCurrent>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>ImprCurr>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Other>AppCurrSeg>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Other>AppMagFlux>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Force/Moment>On Node Components
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Force/Moment>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Spectrum>MultiPtNod>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Spectrum>NodePSD>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Spectrum>SinglPtFor>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Heat Flow>On Nodes
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>AppCharge>On Nodes
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>AppCurrent>On Nodes
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>ImprCurr>On Nodes
Main Menu>Solution>Define Loads>Apply>Magnetic>Other>AppCurrSeg>On Nodes
Main Menu>Solution>Define Loads>Apply>Magnetic>Other>AppMagFlux>On Nodes
Main Menu>Solution>Define Loads>Apply>Structural>Force/Moment>On Node Components
Main Menu>Solution>Define Loads>Apply>Structural>Force/Moment>On Nodes
Main Menu>Solution>Define Loads>Apply>Structural>Spectrum>MultiPtNod>On Nodes
Main Menu>Solution>Define Loads>Apply>Structural>Spectrum>NodePSD>On Nodes
Main Menu>Solution>Define Loads>Apply>Structural>Spectrum>SinglPtFor>On Nodes
Main Menu>Solution>Define Loads>Apply>Thermal>Heat Flow>On Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
F Commands 		Up / Home Next
/FACET


/FACET

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

/FACET, Lab

Specifies the facet representation used to form solid model displays.

GRAPHICS: Style

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Valid labels:

FINE
—

Use finer tessellation to increase the number of facets for the display. Provides the best representation (but decreases speed of operation).

NORML
—

Use the basic number of facets for the display (default).

COAR
—

Use a limited number of facets for the display. This option will increase the speed of the operations, but may produce poor representations for some imported models.

WIRE
—

Display model with a wireframe representation (fast, but surfaces will not be shown).

Command Default

Basic number of facets.

Notes

Specifies the facet (or polygon) representation used to form solid model displays. Used only with the APLOT, ASUM, VPLOT, and VSUM commands.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Style>Solid Model Facets

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
F 		Up / Home Next
FATIGUE


FATIGUE

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FATIGUE

Specifies "Fatigue data status" as the subsequent status topic.

PREP7: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>General Postproc>Fatigue Calcs

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/FACET 		Up / Home Next
FC


FC

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FC, MAT, Lab1, Lab2, DATA1, DATA2, DATA3, DATA4, DATA5, DATA6

Provides failure criteria information and activates a data table to input temperature-dependent stress and strain limits.

PREP7: Materials

POST1: Failure Criteria

MP ME ST PR PRN <> <> <> <> <> <> PP <>

MAT

Material reference number. You can define failure criteria for up to ten different materials.

Lab1

Type of data.

TEMP
 —

Temperatures. Each of the materials you define can have a different set of temperatures to define the failure criteria.

EPEL
 —

Strains.

S
 —

Stresses.

Lab2

Specific criteria. Not used if Lab1 = TEMP.

XTEN
 —

Allowable tensile stress or strain in the x-direction. (Must be positive.)

XCMP
 —

Allowable compressive stress or strain in the x-direction. (Defaults to negative of XTEN.)

YTEN
 —

Allowable tensile stress or strain in the y-direction. (Must be positive.)

YCMP
 —

Allowable compressive stress or strain in the y-direction. (Defaults to negative of YTEN.)

ZTEN
 —

Allowable tensile stress or strain in the z-direction. (Must be positive.)

ZCMP
 —

Allowable compressive stress or strain in the z-direction. (Defaults to negative of ZTEN.)

XY
 —

Allowable XY stress or shear strain. (Must be positive.)

YZ
 —

Allowable YZ stress or shear strain. (Must be positive.)

XZ
 —

Allowable XZ stress or shear strain. (Must be positive.)

XYCP
 —

XY coupling coefficient (Used only if Lab1 = S). Defaults to -1.0.

YZCP
 —

YZ coupling coefficient (Used only if Lab1 = S). Defaults to -1.0.

XZCP
 —

XZ coupling coefficient (Used only if Lab1 = S). Defaults to -1.0.

DATA1, DATA2, DATA3, . . . , DATA6

Description of DATA1 through DATA6.

T1, T2, T3, T4, T5, T6
 —

Temperature at which limit data is input. Used only when Lab1 = TEMP.

V1, V2, V3, V4, V5, V6
 —

Value of limit stress or strain at temperature T1 through T6. Used only when Lab1 = S or EPEL.

Notes

The data table can be input in either PREP7 or POST1. This table is used only in POST1. When you postprocess failure criteria results defined via the FC command (PLESOL, PRESOL, PLNSOL, PRNSOL, PRRSOL, etc.), the active coordinate system must be the coordinate system of the material being analyzed. You do this using RSYS, SOLU. For layered applications, you also use the LAYER command. See the specific element documentation in the Elements Reference for information on defining your coordinate system for layers.

See also the TB,FAIL command, which supports several element types.

Some plotting and printing functions will not support Failure Criteria for your PowerGraphics displays. This could result in minor changes to other data when Failure Criteria are applied. See the appropriate plot or print command documentation for more information .

Menu Paths

Main Menu>General Postproc>Failure Criteria>Add/Edit
Main Menu>General Postproc>Failure Criteria>Temp Variation
Main Menu>Preprocessor>Material Props>Failure Criteria>Add/Edit
Main Menu>Preprocessor>Material Props>Failure Criteria>Temp Variation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FATIGUE 		Up / Home Next
FCCHECK


FCCHECK

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FCCHECK

Checks both the strain and stress input criteria for all materials.

PREP7: Materials

POST1: Failure Criteria

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Notes

Issue the FCCHECK command to check the completeness of the input during the input phase.

Menu Paths

Main Menu>General Postproc>Failure Criteria>Criteria Check
Main Menu>Preprocessor>Material Props>Failure Criteria>Criteria Check

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FC 		Up / Home Next
FCDELE


FCDELE

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FCDELE, MAT

Deletes previously defined failure criterion data for the given material.

PREP7: Materials

POST1: Failure Criteria

MP ME ST PR PRN <> <> <> <> <> <> PP <>

MAT

Material number. Deletes all FC command input for this material.

Notes

This command is also valid in POST1.

Menu Paths

Main Menu>General Postproc>Failure Criteria>Delete
Main Menu>Preprocessor>Material Props>Failure Criteria>Delete

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FCCHECK 		Up / Home Next
FCLIST


FCLIST

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FCLIST, MAT, --, TEMP

To list what the failure criteria is that you have input.

PREP7: Materials

POST1: Failure Criteria

MP ME ST PR PRN <> <> <> <> <> <> PP <>

MAT

Material number (defaults to ALL for all materials).

--

Unused field.

TEMP

Temperature to be evaluated at (defaults to TUNIF).

Notes

This command allows you to see what you have already input for failure criteria using the FC commands.

Menu Paths

Main Menu>General Postproc>Failure Criteria>List
Main Menu>Preprocessor>Material Props>Failure Criteria>List

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FCDELE 		Up / Home Next
FCUM


FCUM

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FCUM, Oper, RFACT, IFACT

Specifies that force loads are to be accumulated.

SOLUTION: FE Forces

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Oper

Accumulation key:

REPL
 —

Subsequent values replace the previous values (default).

ADD
 —

Subsequent values are added to the previous values.

IGNO
 —

Subsequent values are ignored.

RFACT

Scale factor for the real component. Zero (or blank) defaults to 1.0. Use a small number for a zero scale factor.

IFACT

Scale factor for the imaginary component. Zero (or blank) defaults to 1.0. Use a small number for a zero scale factor.

Command Default

Replace previous values.

Notes

Allows repeated force load (force, heat flow, etc.) values to be replaced, added, or ignored. Operations apply to the selected nodes [NSEL]. and the force labels corresponding to the selected force labels [DOFSEL]. The operations occur when the next force specifications are defined. For example, issuing the command F,1,FX,250 after a previous F,1,FX,200 causes the current value of the force on node 1 in the x-direction to be 450 with the add operation, 250 with the replace operation, or 200 with the ignore operation. Scale factors are also available to multiply the next value before the add or replace operation. A scale factor of 2.0 with the previous "add" example results in a force of 700. Scale factors are applied even if no previous values exist. Issue FCUM,STAT to show the current label, operation, and scale factors. Solid model boundary conditions are not affected by this command, but boundary conditions on the FE model are affected.

Note

FE boundary conditions may still be overwritten by existing solid model boundary conditions if a subsequent boundary condition transfer occurs.

FCUM does not work for tabular boundary conditions.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Settings>Replace vs Add>Forces
Main Menu>Solution>Define Loads>Settings>Replace vs Add>Forces

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FCLIST 		Up / Home Next
FDELE


FDELE

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FDELE, NODE, Lab, NEND, NINC

Deletes force loads on nodes.

SOLUTION: FE Forces

MP ME ST PR PRN <> <> <> EM <> <> PP <>

NODE

Node for which force is to be deleted. If ALL, NEND and NINC are ignored and forces are deleted on all selected nodes [NSEL]. If NODE = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NODE.

Lab

Valid force label. If ALL, use all appropriate labels. Structural labels: FX, FY, or FZ (forces); MX, MY, or MZ (moments). Thermal labels: HEAT, HBOT, HE2, HE3, . . ., HTOP (heat flow). Fluid labels: FLOW (fluid flow). Electric labels: AMPS (current flow), CHRG (electric charge). Magnetic labels: FLUX (magnetic flux); CSGX, CSGY, or CSGZ (magnetic current segments). FLOTRAN labels: FX, FY, or FZ (forces).

NEND, NINC

Delete forces from NODE to NEND (defaults to NODE) in steps of NINC (defaults to 1).

Notes

The node and the degree of freedom label corresponding to the force must be selected [NSEL, DOFSEL].

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Delete>All Load Data>All Forces>On All Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Excitation>AppCharge>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Excitation>AppCurrent>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Excitation>ImprCurr>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/ANSYS>Flow>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Other>AppCurrSeg>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Other>AppMagFlux>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Force/Moment>On Node Components
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Force/Moment>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Spectrum>MultiPtNod>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Spectrum>NodePSD>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Spectrum>SinglPtFor>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Heat Flow>On Nodes
Main Menu>Solution>Define Loads>Delete>All Load Data>All Forces>On All Nodes
Main Menu>Solution>Define Loads>Delete>Electric>Excitation>AppCharge>On Nodes
Main Menu>Solution>Define Loads>Delete>Electric>Excitation>AppCurrent>On Nodes
Main Menu>Solution>Define Loads>Delete>Electric>Excitation>ImprCurr>On Nodes
Main Menu>Solution>Define Loads>Delete>Fluid/ANSYS>Flow>On Nodes
Main Menu>Solution>Define Loads>Delete>Magnetic>Other>AppCurrSeg>On Nodes
Main Menu>Solution>Define Loads>Delete>Magnetic>Other>AppMagFlux>On Nodes
Main Menu>Solution>Define Loads>Delete>Structural>Force/Moment>On Node Components
Main Menu>Solution>Define Loads>Delete>Structural>Force/Moment>On Nodes
Main Menu>Solution>Define Loads>Delete>Structural>Spectrum>MultiPtNod>On Nodes
Main Menu>Solution>Define Loads>Delete>Structural>Spectrum>NodePSD>On Nodes
Main Menu>Solution>Define Loads>Delete>Structural>Spectrum>SinglPtFor>On Nodes
Main Menu>Solution>Define Loads>Delete>Thermal>Heat Flow>On Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FCUM 		Up / Home Next
/FDELE


/FDELE

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

/FDELE, Ident, Stat

Deletes a binary file after it is used.

SESSION: Files

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Ident

ANSYS file name identifier. Valid identifiers are: EMAT, ESAV, FULL, SUB, MODE, TRI, DSUB, USUB, OSAV, and SELD. See the Basic Analysis Guide for file descriptions.

Stat

Keep or delete key:

KEEP
 —

Keep this file.

DELE
 —

Delete (or do not write, if not necessary) this file.

Command Default

Keep all files.

Notes

Deletes as soon as possible (or prevents writing) a binary file created by the ANSYS program to save space.

Caution

Deleting files that are necessary for the next substep, load step, or analysis will prevent continuation of the run.

This command is valid only at the Begin Level.

Menu Paths

Utility Menu>File>ANSYS File Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FDELE 		Up / Home Next
FE


FE

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FE, NEV, CYCLE, FACT, Title

Defines a set of fatigue event parameters.

POST1: Fatigue

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NEV

Reference number for this event (within MXEV).

CYCLE

Number of required cycles (defaults to 1). If -1, erase all parameters and fatigue stresses for this event.

FACT

Scale factor to be applied to all loadings in this event (defaults to 1.0).

Title

User defined identification title for this event (up to 20 characters).

Command Default

Event assigned one cycle, unity scale factor, and no title.

Notes

Repeat FE command to define additional sets of event parameters (MXEV limit), to redefine event parameters, or to delete event stress conditions.

The set of fatigue event parameters is associated with all loadings and all locations. See the FTSIZE command for the maximum set of events (MXEV) allowed.

Menu Paths

Main Menu>General Postproc>Fatigue>Assign Events
Main Menu>General Postproc>Fatigue>Erase Event Data

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/FDELE 		Up / Home Next
FEBODY


FEBODY

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FEBODY

Specifies "Body loads on elements" as the subsequent status topic.

PREP7: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Solution>Body Loads

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FE 		Up / Home Next
FECONS


FECONS

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FECONS

Specifies "Constraints on nodes" as the subsequent status topic.

PREP7: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Solution>DOF Constraints

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FEBODY 		Up / Home Next
FEFOR


FEFOR

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FEFOR

Specifies "Forces on nodes" as the subsequent status topic.

PREP7: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Solution>Forces

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FECONS 		Up / Home Next
FELIST


FELIST

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FELIST, NEV1, NEV2, NINC

Lists the fatigue event parameters.

POST1: Fatigue

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NEV1, NEV2, NINC

List event parameters from NEV1 (defaults to 1) to NEV2 (defaults to NEV1) in steps of NINC (defaults to 1). If NEV1 = ALL, NEV2 and NINC are ignored and all events are listed. Fatigue event parameters are defined with the FE command.

Menu Paths

Main Menu>General Postproc>Fatigue>List Event Data

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FEFOR 		Up / Home Next
FESURF


FESURF

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FESURF

Specifies "Surface loads on elements" as the subsequent status topic.

PREP7: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Solution>Surface Loads

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FELIST 		Up / Home Next
FILE


FILE

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FILE, Fname, Ext, --

Specifies the data file where results are to be found.

POST1: Set Up

POST26: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

If Fname is blank, the extension defaults to RST (for structural, fluid, or coupled-field analyses), to RTH (for thermal or electrical analyses), to RMG (for magnetic analyses), or to RFL (for FLOTRAN analyses). For postprocessing reduced structural analyses in POST26, use the RDSP extension for displacements from transient dynamic analyses or the RFRQ extension from harmonic response analyses. For postprocessing contact results corresponding to the initial contact state in POST1, use the RCN extension.

--

Unused field.

Command Default

Use the result file with the Jobname as Fname and with the extension corresponding to the analysis type.

Notes

Specifies the ANSYS data file where the results are to be found for postprocessing.

Menu Paths

Main Menu>General Postproc>Data & File Opts
Main Menu>TimeHist Postpro>Settings>File
Utility Menu>File>List>Binary Files
Utility Menu>List>Files>Binary Files

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FESURF 		Up / Home Next
FILEAUX2


FILEAUX2

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FILEAUX2, Fname, Ident, --

Specifies the binary file to be dumped.

AUX2: Binary Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to the current Jobname if Ident is specified.

Ident

ANSYS filename identifier. See the Basic Analysis Guide for file descriptions and identifiers. If not an ANSYS identifier, Ident will be used as the filename extension.

--

Unused field.

Notes

Specifies the binary file to be dumped with the DUMP command.

Menu Paths

Utility Menu>File>List>Binary Files
Utility Menu>List>Files>Binary Files

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FILE 		Up / Home Next
FILEAUX3


FILEAUX3

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FILEAUX3, Fname, Ext, --

Specifies the results file to be edited.

AUX3: Results Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to the current Jobname if Ext is specified.

Ext

Filename extension (8 character maximum).

--

Unused field.

Notes

Specifies the results file to be edited.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FILEAUX2 		Up / Home Next
FILEDISP


FILEDISP

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FILEDISP, Fname, Ext, --

Specifies the file containing the graphics data.

DISPLAY: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

Ext

Filename extension (8 character maximum).

--

Unused field.

Notes

Specifies the input file containing the graphics data (defaults to File.GRPH).

Menu Paths

It is part of the DISPLAY program.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FILEAUX3 		Up / Home Next
FILL


FILL

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FILL, NODE1, NODE2, NFILL, NSTRT, NINC, ITIME, INC, SPACE

Generates a line of nodes between two existing nodes.

PREP7: Nodes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NODE1, NODE2

Beginning and ending nodes for fill-in. NODE1 defaults to next to last node specified, NODE2 defaults to last node specified. If NODE1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

NFILL

Fill NFILL nodes between NODE1 and NODE2 (defaults to |NODE2-NODE1|-1). NFILL must be positive.

NSTRT

Node number assigned to first filled-in node (defaults to NODE1 + NINC).

NINC

Add this increment to each of the remaining filled-in node numbers (may be positive or negative). Defaults to the integer result of (NODE2-NODE1)/(NFILL + 1), i.e., linear interpolation. If the default evaluates to zero, or if zero is input, NINC is set to 1.

ITIME, INC

Do fill-in operation a total of ITIMEs, incrementing NODE1, NODE2 and NSTRT by INC each time after the first. ITIME and INC both default to 1.

SPACE

Spacing ratio. Ratio of last division size to first division size. If > 1.0, divisions increase. If < 1.0, divisions decrease. Ratio defaults to 1.0 (uniform spacing).

Notes

Generates a line of nodes (in the active coordinate system) between two existing nodes. The two nodes may have been defined in any coordinate system. Nodal locations and rotation angles are determined by interpolation. Any number of nodes may be filled-in and any node number sequence may be assigned. See the CSCIR command when filling across the 180° singularity line in a non-Cartesian system.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Nodes>Fill between Nds

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FILEDISP 		Up / Home Next
FILLDATA


FILLDATA

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FILLDATA, IR, LSTRT, LSTOP, LINC, VALUE, DVAL

Fills a variable by a ramp function.

POST26: Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

IR

Define data table as variable IR (2 to NV [NUMVAR]).

LSTRT

Start at location LSTRT (defaults to 1).

LSTOP

Stop at location LSTOP (defaults to maximum location as determined from data previously stored.

LINC

Fill every LINC location between LSTRT and LSTOP (defaults to 1).

VALUE

Value assigned to location LSTRT.

DVAL

Increment value of previous filled location by DVAL and assign sum to next location to be filled (may be positive or negative.)

Notes

Locations may be filled continuously or at regular intervals (LINC). Previously defined data at a location will be overwritten.

Menu Paths

Main Menu>TimeHist Postpro>Table Operations>Fill Data

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FILL 		Up / Home Next
/FILNAME


/FILNAME

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

/FILNAME, Fname, Key

Changes the Jobname for the analysis.

SESSION: Run Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

Name (32 characters maximum) to be used as the Jobname. Defaults to the initial Jobname as specified on the ANSYS execution command, or to file if none specified.

Key

Specify whether to use the existing log, error, lock, and page files or start new files.

0, OFF
 —

Continue using current log, error, lock, and page files.

1, ON
 —

Start new log, error, lock, and page files (old log and error files are closed and saved, but old lock and page files are deleted). Existing log and error files are appended.

Notes

All subsequently created files will be named with this Jobname if Key = 0. Use Key = 1 to start new log, error, lock, and page files. The previous Jobname is typically defined on the ANSYS program execution line (see the Operations Guide). This command is useful when different groups of files created throughout the run are to have different names. For example, the command may be used before each substructure pass to avoid overwriting files or having to rename each file individually.

This command is valid only at the Begin level.

Menu Paths

Utility Menu>File>Change Jobname

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FILLDATA 		Up / Home Next
FINISH


FINISH

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FINISH

Exits normally from a processor.

SESSION: Processor Entry

DISPLAY: Action

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Exits any of the ANSYS processors or the DISPLAY program. For the ANSYS processors, data will remain intact in the database but the database is not automatically written to a file (use the SAVE command to write the database to a file). See also the /QUIT command for an alternate processor exit command. If exiting POST1, POST26, or OPT, see additional notes below.

POST1: Data in the database will remain intact, including the POST1 element table data, the path table data, the fatigue table data, and the load case pointers.

POST26: Data in the database will remain intact, except that POST26 variables are erased and specification commands (such as FILE, PRTIME, NPRINT, etc.) are reset. Use the /QUIT command to exit the processor and bypass these exceptions.

OPT: Current optimization data are written to File.OPT for possible resume later [OPRESU]. See also the OPSAVE command to write optimization data.

This command is valid in any processor. This command is not valid at the Begin level.

Menu Paths

Main Menu>DesignXplorer VT>Solution>Solve
Main Menu>Finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/FILNAME 		Up / Home Next
FITEM


FITEM

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FITEM, NFIELD, ITEM, ITEMY, ITEMZ

Identifies items chosen by a picking operation (GUI).

DATABASE: Picking

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NFIELD

Field number on the command which uses the picking data. (Count the command name as a field, so that a 2 indicates the first command argument, 3 the second command argument, etc.) The corresponding field on the command will have a P51X label.

ITEM

Entity number of the entity picked. Negative entity numbers are used to indicate a range of entities. If the item picked is a coordinate location, then this field represents the X-coordinate. See also the FLST command.

ITEMY, ITEMZ

Y and Z coordinates of a picked coordinate location. ITEM represents the X coordinate. See also the FLST command.

Notes

This is a command generated by the GUI and will appear in the log file (Jobname.LOG) if graphical picking is used. This command is not intended to be typed in directly in an ANSYS session (although it can be included in an input file for batch input or for use with the /INPUT command).

On the log file, a set of FITEM commands is preceded by one FLST command which defines the picking specifications for that pick operation. The data listed in the FITEM commands are used by the first subsequent command containing a P51X label in one of its fields.

Caution

For a given entity type, a list containing an ITEM that is larger than the maximum defined entity, could deplete the system memory and produce unpredictable results.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FINISH 		Up / Home Next
FJ


FJ

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FJ, ELEM, LABEL, VALUE

Specify forces or moments on the components of the relative motion of a joint element.

SOLUTION: FE Forces

MP ME ST PR PRN <> <> <> <> <> <> PP <>

ELEM

Element number or ALL to specify all joint elements.

LABEL

Valid labels:

FX
 —

Force in local x direction.

FY
 —

Force in local y direction.

FZ
 —

Force in local z direction.

MX
 —

Moment about local x axis.

MY
 —

Moment about local y axis.

MZ
 —

Moment about local z axis.

VALUE

Value of the label.

Notes

Valid for MPC184 (joint options in KEYOPT(1)).

See FJDELE for information on deleting forces and moments.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Force/Moment>On Joint Elems
Main Menu>Solution>Define Loads>Apply>Structural>Force/Moment>On Joint Elems

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FITEM 		Up / Home Next
FJDELE


FJDELE

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FJDELE, ELEM, LAB

Deletes forces (or moments) on the components of the relative motion of a joint element.

SOLUTION: FE Forces

MP ME ST PR PRN <> <> <> <> <> <> PP <>

ELEM

Element number, or ALL. (leaving this blank defaults to ALL)

LAB

Valid labels are:

FX
 —

Force in local x direction.

FY
 —

Force in local y direction.

FZ
 —

Force in local z direction.

MX
 —

Moment about local x axis.

MY
 —

Moment about local y axis.

MZ
 —

Moment about local z axis.

ALL, or (blank)
 —

Delete all valid forces or moments.

Notes

Valid for MPC184 (joint options in KEYOPT(1)).

See FJ for information on specifying forces (or moments).

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Delete>All Load Data>All Forces>On Joint Elems
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Force/Moment>On Joint Elems
Main Menu>Solution>Define Loads>Delete>All Load Data>All Forces>On Joint Elems
Main Menu>Solution>Define Loads>Delete>Structural>Force/Moment>On Joint Elems

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FJ 		Up / Home Next
FJLIST


FJLIST

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FJLIST, Elem

Lists forces and moments applied on joint elements.

SOLUTION: FE Forces

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Elem

Element number or ALL (or blank). Lists joint element forces and moments on the specified element(s).

Notes

Valid for MPC184 joint elements. See FJ for information on specifying forces and moments.

Menu Paths

Utility Menu>List>Loads>Joint Element Forces>On Picked Element

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FJDELE 		Up / Home Next
FK


FK

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FK, KPOI, Lab, VALUE, VALUE2

Defines force loads at keypoints.

SOLUTION: Solid Forces

MP ME ST PR PRN <> <> <> EM <> <> PP <>

KPOI

Keypoint at which force is to be specified. If ALL, apply to all selected keypoints [KSEL]. If KPOI = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for KPOI.

Lab

Valid force label. Structural labels: FX, FY, or FZ (forces); MX, MY, or MZ (moments). Thermal labels: HEAT, HBOT, HE2, HE3, . . ., HTOP (heat flow). Fluid labels: FLOW (fluid flow). Electric labels: AMPS (current flow), CHRG (electric charge). Magnetic labels: FLUX (magnetic flux); CSGX, CSGY, or CSGZ (magnetic current segments).

VALUE

Force value or table name reference for specifying tabular boundary conditions. To specify a table, enclose the table name in percent signs (%), e.g., FK, KPOI, HEAT,%tabname%). Use the *DIM command to define a table.

VALUE2

Second force value (if any). If the analysis type and the force allow a complex input, VALUE (above) is the real component and VALUE2 is the imaginary component.

Notes

Forces may be transferred from keypoints to nodes with the FTRAN or SBCTRAN commands. See the F command for a description of force loads.

Tabular boundary conditions (VALUE = %tabname%) are available only for the following labels: Fluid (FLOW), Electric (AMPS), Structural force (FX, FY, FZ, MX, MY, MZ), and Thermal (HEAT, HBOT, HE2, HE3, . . ., HTOP).

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>AppCharge>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>AppCurrent>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>ImprCurr>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Other>AppCurrSeg>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Other>AppMagFlux>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Force/Moment>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Spectrum>MultiPtNod>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Spectrum>NodePSD>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Spectrum>SinglPtFor>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Heat Flow>On Keypoints
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>AppCharge>On Keypoints
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>AppCurrent>On Keypoints
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>ImprCurr>On Keypoints
Main Menu>Solution>Define Loads>Apply>Magnetic>Other>AppCurrSeg>On Keypoints
Main Menu>Solution>Define Loads>Apply>Magnetic>Other>AppMagFlux>On Keypoints
Main Menu>Solution>Define Loads>Apply>Structural>Force/Moment>On Keypoints
Main Menu>Solution>Define Loads>Apply>Structural>Spectrum>MultiPtNod>On Keypoints
Main Menu>Solution>Define Loads>Apply>Structural>Spectrum>NodePSD>On Keypoints
Main Menu>Solution>Define Loads>Apply>Structural>Spectrum>SinglPtFor>On Keypoints
Main Menu>Solution>Define Loads>Apply>Thermal>Heat Flow>On Keypoints

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FJLIST 		Up / Home Next
FKDELE


FKDELE

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FKDELE, KPOI, Lab

Deletes force loads at a keypoint.

SOLUTION: Solid Forces

MP ME ST PR PRN <> <> <> EM <> <> PP <>

KPOI

Keypoint at which force is to be deleted. If ALL, delete forces at all selected keypoints [KSEL]. If KPOI = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for KPOI.

Lab

Valid force label. If ALL, use all appropriate labels. See the FDELE command for labels.

Notes

Deletes force loads (and all corresponding finite element loads) at a keypoint. See the FDELE command for details.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Delete>All Load Data>All Forces>On All KPs
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Excitation>AppCharge>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Excitation>AppCurrent>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Excitation>ImprCurr>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/ANSYS>Flow>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Other>AppCurrSeg>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Other>AppMagFlux>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Force/Moment>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Spectrum>MultiPtNod>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Spectrum>NodePSD>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Spectrum>SinglPtFor>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Heat Flow>On Keypoints
Main Menu>Solution>Define Loads>Delete>All Load Data>All Forces>On All KPs
Main Menu>Solution>Define Loads>Delete>Electric>Excitation>AppCharge>On Keypoints
Main Menu>Solution>Define Loads>Delete>Electric>Excitation>AppCurrent>On Keypoints
Main Menu>Solution>Define Loads>Delete>Electric>Excitation>ImprCurr>On Keypoints
Main Menu>Solution>Define Loads>Delete>Fluid/ANSYS>Flow>On Keypoints
Main Menu>Solution>Define Loads>Delete>Magnetic>Other>AppCurrSeg>On Keypoints
Main Menu>Solution>Define Loads>Delete>Magnetic>Other>AppMagFlux>On Keypoints
Main Menu>Solution>Define Loads>Delete>Structural>Force/Moment>On Keypoints
Main Menu>Solution>Define Loads>Delete>Structural>Spectrum>MultiPtNod>On Keypoints
Main Menu>Solution>Define Loads>Delete>Structural>Spectrum>NodePSD>On Keypoints
Main Menu>Solution>Define Loads>Delete>Structural>Spectrum>SinglPtFor>On Keypoints
Main Menu>Solution>Define Loads>Delete>Thermal>Heat Flow>On Keypoints

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FK 		Up / Home Next
FKLIST


FKLIST

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FKLIST, KPOI, Lab

Lists the forces at keypoints.

SOLUTION: Solid Forces

MP ME ST PR PRN <> <> <> EM <> <> PP <>

KPOI

List forces at this keypoint. If ALL (default), list for all selected keypoints [KSEL]. If KPOI = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for KPOI.

Lab

Force label to be listed (defaults to ALL). See the DOFSEL command for labels.

Notes

Listing applies to the selected keypoints [KSEL] and the selected force labels [DOFSEL].

This command is valid in any processor.

Menu Paths

Utility Menu>List>Loads>Forces>On All Keypoints
Utility Menu>List>Loads>Forces>On Picked KPs

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FKDELE 		Up / Home Next
FL


FL

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FL, NLOC, NODE, SCFX, SCFY, SCFZ, Title

Defines a set of fatigue location parameters.

POST1: Fatigue

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NLOC

Reference number for this location (within MXLOC). When defining a new location, defaults to lowest unused location. If the specified NODE is already associated with a location, NLOC defaults to that existing location.

NODE

Node number corresponding to this location (must be unique). Used only to associate a node with a new location or to find an existing location (if NLOC is not input). If NODE = -1 (or redefined), erase all parameters and fatigue stresses for this location.

SCFX, SCFY, SCFZ

Stress concentration factors applied to the total stresses. Factors are applied in the global X, Y, and Z directions unless the axisymmetric option of the FSSECT is used (i.e., RHO is nonzero), in which case the factors are applied in the section x, y, and z (radial, axial, and hoop) directions.

Title

User-defined title for this location (up to 20 characters).

Notes

Repeat FL command to define additional sets of location parameters (MXLOC limit), to redefine location parameters, or to delete location stress conditions.

One location must be defined for each node of interest and only one node can be associated with each location. See the FTSIZE command for the maximum locations (MXLOC) allowed. A location will be automatically defined for a node not having a location when the FSSECT, FSNODE, or FS command is issued. Automatically defined locations are assigned the lowest available location number, unity stress concentration factors, and no title.

Menu Paths

Main Menu>General Postproc>Fatigue>Stress Locations

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FKLIST 		Up / Home Next
FLANGE


FLANGE

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLANGE, NLOC, LENG, MASS, SIF, FLEX, ARINS, ELEM

Defines a flange in a piping run.

PREP7: Piping

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NLOC

Node where flange is to be placed (as described below). Defaults to current piping run starting point.

LENG

Length of flange (defaults to larger pipe OD).

MASS

Dry mass (weight/gravity) of flange without insulation (defaults to equivalent straight pipe mass). Note that acceleration [ACEL] must be nonzero for weight to be calculated.

SIF

Stress intensification factor (defaults to 1.0).

FLEX

Bending flexibility factor (defaults to 1.0).

ARINS

Insulation surface area (defaults to equivalent straight pipe insulation area). Units (length2) must be consistent with the smallest unit of the system used (not mixed) regardless of the PUNIT option.

ELEM

Element number to be assigned to flange (defaults to the previous maximum element number (MAXEL) + 1).

Notes

Defines a flange (straight pipe element (PIPE16) with adjusted specifications and loadings) at a given location in a piping run. See the PREP7 RUN command. This command is similar to the VALVE command except for a different flexibility factor default. The location may be 1) between two adjacent colinear straight pipes, 2) between an adjacent straight pipe and a different piping component, or 3) at the end of a straight pipe.

For Case 1, two new nodes are generated at the ends of the flange. The two straight pipes are automatically "shortened" to meet the ends of the flange. The flange specifications and loadings are taken from the corresponding two straight pipes.

For Case 2, one new node is generated at one end of the flange. The straight pipe is automatically "shortened" to meet this end of the flange. The other end of the flange meets the other piping component. The flange specifications and loadings are taken from the straight pipe.

For Case 3, one new node is generated at the free end of the flange. The other end of the flange meets the straight pipe. The flange specifications and loadings are taken from the straight pipe.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Piping Models>Define Pipes>Flange

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FL 		Up / Home Next
FLDATA


FLDATA

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA, Name, Label, Value

Sets up a FLOTRAN analysis.

PREP7: FLOTRAN Options

MP <> <> <> <> <> <> FL <> <> <> PP <>

Name

The name identifying the group of FLOTRAN parameters being defined or controlled on this command.

Label

The label of the specific FLOTRAN parameter being input or controlled. Label determines the meaning of the Value argument.

Value

The numeric value of an input item, the logical value of a switch (T or F, for example), or an alphanumeric label, depending on the Label argument.

Notes

The FLDATA command is used to define FLOTRAN-specific input data, solution controls, and output controls. It is valid only with the FLOTRAN CFD option.

The FLDATA command controls groups of FLOTRAN parameters, and the group name is input as the first argument, Name.

To give you the ability to link directly to the documentation on any of these groups, we have documented each group under its own name--from FLDATA1 through FLDATA36. For example, documentation on FLDATA with the first argument set to SOLU is documented as the FLDATA1 command. You may enter the command with either name--FLDATA or FLDATA1, and you must remember to input the appropriate first argument, as shown in the list below.

Option and Output Control Commands
FLDATA1,SOLU | Controls which features of the solution algorithm are activated.
FLDATA2,ITER | Sets iteration and output controls for steady state analyses.
FLDATA3,TERM | Sets the convergence monitors for the pressure and temperature equations.
FLDATA4,TIME | Sets controls for transient analyses based on transient time and convergence monitors or sets time integration method.
FLDATA4A,STEP | Sets output controls for transient analyses based on number of time steps.
FLDATA5,OUTP | Sets output and storage controls.
FLDATA6,CONV | Controls the output of the convergence monitor.
Property Definition Commands
FLDATA7,PROT | Specifies the type of fluid property.
FLDATA8,NOMI | Specifies the NOMI coefficient of the fluid property equation.
FLDATA9,COF1 | Specifies the COF1 coefficient of the fluid property equation.
FLDATA10,COF2 | Specifies the COF2 coefficient of the fluid property equation.
FLDATA11,COF3 | Specifies the COF3 coefficient of the fluid property equation.
FLDATA12,PROP | Sets the property update frequency flag.
FLDATA13,VARY | Sets the property variation flag.
Operating Condition Commands
FLDATA14,TEMP | Specifies the reference temperature.
FLDATA15,PRES | Specifies the reference pressure.
FLDATA16,BULK | Specifies the bulk modulus parameter.
FLDATA17, GAMM | Specifies the specific heat ratio.
Algebraic Solver Commands
FLDATA18, METH | Selects the algebraic solver.
FLDATA19, TDMA | Specifies the number of TDMA sweeps.
FLDATA20,SRCH | Specifies the number of conjugate direction search vectors.
FLDATA20A,PGMR | Specifies the amount of fill-in when preconditioning the coefficient matrix.
FLDATA20B,PBCGM | Specifies the number of fill-ins for the ILU preconditioner.
FLDATA21,CONV | Specifies the solver convergence criterion.
FLDATA22,MAXI | Maximum number of semi-direct iterations.
FLDATA23,DELT | Specifies the solver minimum normalized rate of change.
Turbulence Commands
FLDATA24,TURB | Sets the turbulence model and the constants used in the Standard k-ε Model and the Zero Equation Turbulence Model.
FLDATA24A,RNGT | Sets constants for the Re-Normalized Group Turbulence Model (RNG).
FLDATA24B,NKET | Sets constants for the k-ε Turbulence Model due to Shih (NKE).
FLDATA24C, GIRT | Sets constants for the Nonlinear Turbulence Model of Girimaji (GIR).
FLDATA24D, SZLT | Sets constants for the Shih, Zhu, Lumley Turbulence Model (SZL).
FLDATA24E, SKWT | Sets constants for the k-ω turbulence model.
FLDATA24F, SST1 | Sets the turbulent production clip factor for the Shear Stress Transport (SST) turbulence model.
FLDATA24G, SST1 | Sets constants in the k-ω regime for the Shear Stress Transport (SST) turbulence model.
FLDATA24H, SST2 | Sets constants in the k-ε regime for the Shear Stress Transport (SST) turbulence model.
Stability Control Commands
FLDATA25, RELX | Sets solution and property relaxation factors.
FLDATA26,STAB | Sets stability controls.
Miscellaneous Commands
FLDATA27,PRIN | Controls printing flags.
FLDATA28,MODR | Specifies that variable results are to be replaced.
FLDATA29,MODV | Re-initializes a results variable.
FLDATA30,QUAD | Controls the quadrature orders.
FLDATA31,CAPP | Specifies dependent variable caps.
FLDATA32,REST | Controls restart options.
FLDATA33,ADVM | Specifies the approach to discretize the advection term.
FLDATA34,MIR | Sets modified inertial relaxation factors.
FLDATA35,VFTOL | Specifies tolerances for the lower and upper bound of the volume fraction.
FLDATA36,AMBV | Specifies ambient reference values outside of the fluid for the volume of fluid (VOF) method.
FLDATA37,ALGR | Specifies segregated solution or film coefficient algorithms.
FLDATA38,MASS | Specifies the mass type for a fluid transient analysis.
FLDATA39,REMESH | Specifies remeshing parameters for transient fluid flow and fluid-solid interaction analyses.
FLDATA40,WADV | Controls activation of thermal stabilization near walls.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Advection
Main Menu>Preprocessor>FLOTRAN Set Up>Algorithm Ctrl
Main Menu>Preprocessor>FLOTRAN Set Up>Execution Ctrl
Main Menu>Solution>FLOTRAN Set Up>Advection
Main Menu>Solution>FLOTRAN Set Up>Algorithm Ctrl
Main Menu>Solution>FLOTRAN Set Up>Execution Ctrl

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLANGE 		Up / Home Next
FLDATA1


FLDATA1

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA1, SOLU, Label, Value

Controls which features of the solution algorithm are activated.

PREP7: FLOTRAN Options

MP <> <> <> <> <> <> FL <> <> <> PP <>

SOLU

Enter the word SOLU in this field.

FLDATA1,SOLU is the FLDATA command with its first argument set to SOLU. It can be entered into the program as either FLDATA1,SOLU,Label,Value or FLDATA,SOLU,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Solution algorithm choices:

FLOW
 —

Solves the momentum and pressure equations. Defaults to TRUE (on).

TURB
 —

Activates the turbulence model. Defaults to FALSE (off).

TEMP
 —

Solves the temperature equation. Defaults to FALSE (off).

COMP
 —

Uses the compressible algorithm. Defaults to FALSE (off).

SWRL
 —

Activates the swirl option. Defaults to FALSE (off).

TRAN
 —

Activates the transient solution algorithm. Defaults to FALSE (off).

SPEC
 —

Activates multiple species transport. Defaults to FALSE (off).

IVSH
 —

Activates viscous heating for incompressible flow. Defaults to FALSE (off).

VOF
 —

Activates volume of fluid method. Defaults to FALSE (off).

SFTS
 —

Activates surface tension. Defaults to FALSE (off).

ALE
 —

Activates Arbitrary Lagrangian-Eulerian formulation. Defaults to FALSE (off).

RDSF
 —

Activates the surface-to-surface radiation solution. Defaults to TRUE (on).

Value

Value controlling Label:

TRUE or T
 —

Turn this feature on.

FALSE or F
 —

Turn this feature off.

Notes

Repeat command to set each Label as required.

The analyst must choose the appropriate features, as FLOTRAN will not determine, for example, whether or not the case is turbulent or whether or not the compressible algorithm is appropriate.

SWRL should only be activated for axisymmetric cases when there is a velocity component normal to the axisymmetric plane.

Generally, the use of the compressible algorithm (COMP) is not warranted for Mach numbers less than 0.3. Density may be assumed to vary via the ideal gas law without activating the compressible option.

If fluid properties are not a function of temperature in non-adiabatic flow problems, it is not necessary to activate the flow (FLOW) and temperature (TEMP) solutions together. First solve the flow problem and then restart to solve the temperature equation.

For compressible flow, FLOTRAN automatically includes viscous heating.

When the Arbitrary Lagrangian-Eulerian (ALE) formulation is on , FLOTRAN allows the fluid nodes to move in a manner that satisfies the displacement boundary conditions.

See also the FLDATA2,ITER, FLDATA3,TERM, FLDATA4,TIME, FLDATA4A,STEP, FLDATA5,OUTP, and FLDATA6,CONV commands for other Solution and Output Controls.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Solution Options
Main Menu>Solution>FLOTRAN Set Up>Solution Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA 		Up / Home Next
FLDATA2


FLDATA2

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA2, ITER, Label, Value

Sets iteration and output controls for steady state analyses.

PREP7: FLOTRAN Options

MP <> <> <> <> <> <> FL <> <> <> PP <>

ITER

Enter the word ITER in this field.

FLDATA2,ITER is the FLDATA command with its first argument set to ITER. It can be entered into the program as either FLDATA2,ITER,Label,Value or FLDATA,ITER,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Type of iteration control (dictates the meaning of Value):

EXEC
 —

Value is the number of global iterations, defined as the sequential solution of the governing equations of all the features activated, to be performed during this execution of FLOTRAN if the case is steady state. Defaults to Value = 10.

APPE
 —

Value is the number of steady state global iterations between appends to the results file (Jobname.RFL). This feature is used to ensure that restarts can be made from earlier points if unforeseen difficulties occur before the end of the analysis. The default value implies that results will be saved only for the initial (0th) iteration and the final global iteration. Saving many intermediate results can produce a large results file. Defaults to Value = 0 (implies FLDATA2,ITER,EXEC).

If you are creating domain files (jobname.pv_0000n) for use by ICEM CFD's PV3 postprocessing visualization tool, this sets the frequency with which domain files are written. See FLDATA5 for more details.

OVER
 —

Value is the number of steady state global iterations between overwrites of a temporary set of results in the results file (Jobname.RFL). (This temporary set of results will itself be overwritten by the set stored for Label = APPE or at the end of the run.) OVER enables the user to retain the most up-to-date set of results without having the results file continue to grow in size. Defaults to Value = 0 (no overwrites will be made).

Value

Number of iterations for Label above.

Notes

Repeat command to set each Label as required.

Sets the number of global iterations to control the length of execution for steady state analyses, the frequency with which results are added to the results file (Jobname.RFL), and the frequency with which results are overwritten in the results file. Also sets the frequency with which the domain files, used by the ICEM PV3 postprocessing visualization tool, are written. For more information about domain files, see the FLDATA5,OUTP,DOMA command.

See also the FLDATA1,SOLU, FLDATA3,TERM, FLDATA4,TIME, FLDATA4A,STEP, FLDATA5,OUTP, and FLDATA6,CONV commands for other Solution and Output Controls.

This command is accessible in the menu if FLDATA1,SOLU,TRAN,FALSE has been issued (default).

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Execution Ctrl
Main Menu>Solution>FLOTRAN Set Up>Execution Ctrl

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA1 		Up / Home Next
FLDATA3


FLDATA3

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA3, TERM, Label, Value

Sets the convergence monitors for the degree of freedom set.

PREP7: FLOTRAN Options

MP <> <> <> <> <> <> FL <> <> <> PP <>

TERM

Enter the word TERM in this field.

FLDATA3,TERM is the FLDATA command with its first argument set to TERM. It can be entered into the program as either FLDATA3,TERM,Label,Value or FLDATA,TERM,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Type of convergence monitor:

PRES
 —

Steady-state run will not terminate until the convergence monitor for pressure falls below Value, unless the specified number of global iterations has been executed. Defaults to Value = 1.0 x 10-8.

TEMP
 —

Steady-state run (with the temperature equation solution activated) will not terminate until the convergence monitor for temperature falls below Value, unless the specified number of global iterations has been executed. Defaults to Value = 1.0 x 10-8.

VX
 —

Steady-state run will not terminate until the convergence monitor for X velocity component falls below Value, unless the specified number of global iterations has been executed. Defaults to Value = 1.0 x 10-2.

VY
 —

Steady-state run will not terminate until the convergence monitor for Y velocity component falls below Value, unless the specified number of global iterations has been executed. Defaults to Value = 1.0 x 10-2.

VZ
 —

Steady-state run will not terminate until the convergence monitor for Z velocity component falls below Value, unless the specified number of global iterations has been executed. Defaults to Value = 1.0 x 10-2.

ENKE
 —

Steady-state run will not terminate until the convergence monitor for turbulent kinetic energy falls below Value, unless the specified number of global iterations has been executed. Defaults to Value = 1.0 x 10-2.

ENDS
 —

Steady-state run will not terminate until the convergence monitor for turbulence dissipation falls below Value, unless the specified number of global iterations has been executed. Defaults to Value = 1.0 x 10-2.

Value

Value of convergence monitor criterion, above.

Notes

Repeat command to set each Label as required.

The convergence monitors appear as output for each degree of freedom for each global iteration. The value is calculated for each degree of freedom individually by summing the absolute value of the change in solution between global iterations for all the nodes and dividing it by the sum of the absolute values of the solution for all the nodes. It is an approximation of the normalized rate of change of the solution between global iterations.

All specified criteria must be met before the case is terminated.

If a termination criterion for a specific label is set negative, the termination check is ignored for that particular DOF.

See also the FLDATA1,SOLU, FLDATA2,ITER,FLDATA4,TIME, FLDATA4A,STEP, FLDATA5,OUTP, and FLDATA6,CONV commands for other Solution and Output Controls.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Execution Ctrl
Main Menu>Solution>FLOTRAN Set Up>Execution Ctrl

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA2 		Up / Home Next
FLDATA4


FLDATA4

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA4, TIME, Label, Value

Sets controls for transient analyses based on transient time and convergence monitors or sets time integration method.

PREP7: FLOTRAN Options

MP <> <> <> <> <> <> FL <> <> <> PP <>

TIME

Enter the word TIME in this field.

FLDATA4,TIME is the FLDATA command with its first argument set to TIME. It can be entered into the program as either FLDATA4,TIME,Label,Value or FLDATA,TIME,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Type of transient analysis control or time integration method (dictates the meaning of Value):

STEP
 —

Value controls the time step size. If Value is greater than zero, Value is the time step size. If Value is less than zero, the program chooses the time step, according to the following (Value defaults to -1):

1
 —

The resulting time step will be small enough to prevent the passage of an arbitrarily small fluid parcel through more than one element length in a single time step.

2
 —

This choice is only applicable for compressible analyses, and is equivalent to the Courant limit. The time step is small enough to prevent a pressure signal from propagating through more than one element during a single time step.

3
 —

This choice is only applicable for compressible analyses. The smaller of the two time steps computed for options -1 and -2 is used.

4
 —

This choice is applicable to "conduction only" cases (FLDATA1,SOLU,FLOW,F). The resulting time step prevents an arbitrarily small "parcel of heat" from diffusing or conducting through more than one element within a time step.

ISTEP
 —

Value is the time step size for the first time step in an analysis using a FLOTRAN-calculated time step size (STEP = -1 through -4).

BC
 —

Value is a flag indicating whether a transient boundary condition should be applied as a step change (when Value = 0) or as a linear ramp (Value = 1). This label is analogous to the ANSYS command KBC, except that the default for FLOTRAN is a step change. Tabular boundary conditions do not support ramping and instead apply their full value regardless of the KBC setting.

NUMB
 —

Value is the number of time steps which will be executed unless the transient end time has been encountered first.

GLOB
 —

Value is the number of global iterations per time step. The user may elect to set this to a high value (typically between 30 and 50), and expect the time step to converge to the convergence criterion set by the FLDATA3,TERM command before completing Value iterations. Default to Value = 10.

TEND
 —

Value is the transient end time. This time is used for the calculation of ramped transient boundary conditions. The case will execute until this end time if the number of time steps specified is large enough. Defaults to Value = 1.0 x 10+6.

APPE
 —

Value is the results output frequency based on transient time. Every Value seconds in the transient, results are written to the Jobname.RFL file. If you are creating domain files (jobname.pv_0000n) for use by ICEM CFD's PV3 postprocessing visualization tool, this sets the frequency with which domain files are written. See FLDATA5 for more details. Defaults to Value = 1.0 x 10+6.

SUMF
 —

Value is the output summary frequency based on transient time. Every Value seconds in the transient, a results summary is written to the Jobname.PFL file.

Note

A summary will always be written when a set of results is written to the Jobname.RFL file. Defaults to Value = 1.0 x 10+6.

OVER
 —

Value is the time interval between overwrites of the temporary set of results in the results file (Jobname.RFL). This feature enables the user to retain the most up-to-date set of results without having the results file continue to grow in size. Defaults to Value = 0 (no overwrites will be made).

PRES
 —

If the maximum number of global iterations per time step has not been reached, the time step will terminate if the convergence monitor for pressure falls below Value. Defaults to Value = 1.0 x 10-6.

TEMP
 —

If the maximum number of global iterations per time step has not been reached, the time step will terminate if the convergence monitor for temperature falls below Value. Defaults to Value = 1.0 x 10-6.

VX
 —

If the maximum number of global iterations per time step has not been reached, the time step will terminate if the convergence monitor for X velocity component falls below Value. Defaults to Value = 1.0 x 10-2.

VY
 —

If the maximum number of global iterations per time step has not been reached, the time step will terminate if the convergence monitor for Y velocity component falls below Value. Defaults to Value = 1.0 x 10-2.

VZ
 —

If the maximum number of global iterations per time step has not been reached, the time step will terminate if the convergence monitor for Z velocity component falls below Value. Defaults to Value = 1.0 x 10-2.

ENKE
 —

If the maximum number of global iterations per time step has not been reached, the time step will terminate if the convergence monitor for turbulent kinetic energy falls below Value. Defaults to Value = 1.0 x 10-2.

ENDS
 —

If the maximum number of global iterations per time step has not been reached, the time step will terminate if the convergence monitor for turbulence dissipation falls below Value. Defaults to Value = 1.0 x 10-2.

NTVF
 —

Value controls the time stepping strategy for Volume of Fluid (VOF) Advection. The value gives the number of time steps used in the VOF Advection for each time step in the FLOTRAN solution. Defaults to 1.

METH
 —

Value specifies the time integration method. Allowable choices for Value are:

BACK
 —

Backward method (default).

NEWM
 —

Newmark time integration method.

DELT
 —

Newmark parameter to control integration accuracy and stability. It must be [image] 0.5. Defaults to 0.5 (2nd order accuracy). If it is larger than 0.5, numerical damping is introduced and the calculation is more stable. The recommended maximum value is 0.6.

Value

Value as described for Label above.

Notes

Repeat command to set each Label as required.

All specified criteria must be met before the time step is terminated.

If a termination criterion for a specific label is set negative, the termination check is ignored for that particular DOF.

See the FLDATA4A,STEP command to specify output controls based on the number of time steps.

See also the FLDATA1,SOLU, FLDATA2,ITER, FLDATA3,TERM, FLDATA5,OUTP, and FLDATA6,CONV commands for other Solution and Output Controls.

This command is accessible in the menu if FLDATA1,SOLU,TRAN,TRUE has been issued.

For ramped loading (FLDATA4,TIME,BC,1), when a load is applied for the first time, it is interpolated from zero to the value of the current load step, and not from the initial condition or value of the DOF from the previous load step.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Execution Ctrl
Main Menu>Preprocessor>FLOTRAN Set Up>Transient Ctrl>Time Integration Meth
Main Menu>Preprocessor>FLOTRAN Set Up>VOF Environment>Time Stepping
Main Menu>Solution>FLOTRAN Set Up>Execution Ctrl
Main Menu>Solution>FLOTRAN Set Up>Transient Ctrl>Time Integration Meth
Main Menu>Solution>FLOTRAN Set Up>VOF Environment>Time Stepping

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA3 		Up / Home Next
FLDATA4A


FLDATA4A

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA4A, STEP, Label, Value

Sets controls for transient analyses based on the number of time steps.

PREP7: FLOTRAN Options

MP <> <> <> <> <> <> FL <> <> <> PP <>

STEP

Enter the word STEP in this field.

FLDATA4A,STEP is the FLDATA command with its first argument set to STEP. It can be entered into the program as either FLDATA4A,STEP,Label,Value or FLDATA,STEP,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Type of transient analysis control (dictates the meaning of Value):

APPE
 —

Value is the results output frequency based on the number of time steps. Every Value time steps (substeps), results are written to the Jobname.RFL file. If you are creating domain files (jobname.pv_0000n) for use by ICEM CFD's PV3 postprocessing visualization tool, this sets the frequency with which domain files are written. See FLDATA5 for more details. Defaults to Value = 10.

SUMF
 —

Value is the output summary frequency based on the number of time steps. Every Value time steps (substeps), a results summary is written to the Jobname.PFL file.

Note

A results summary will be produced automatically when the results of a time step are written to the Jobname.RFL file. Defaults to Value = 10.

OVER
 —

Value is the number of time steps between overwrites of the temporary set of results in the results file (Jobname.RFL). This feature enables the user to retain the most up-to-date set of results without having the results file continue to grow in size. Defaults to Value = 0 (no overwrites will be made).

Notes

Repeat command to set each Label as required.

See the FLDATA4,TIME command to specify output controls based on transient time.

See also the FLDATA1,SOLU, FLDATA2,ITER, FLDATA3,TERM, FLDATA5,OUTP, and FLDATA6,CONV commands for other solution and output controls.

This command is accessible in the menu if FLDATA1,SOLU,TRAN,TRUE has been issued.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Execution Ctrl
Main Menu>Solution>FLOTRAN Set Up>Execution Ctrl

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA4 		Up / Home Next
FLDATA5


FLDATA5

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA5, OUTP, Label, Value

Sets output and storage controls.

PREP7: FLOTRAN Options

MP <> <> <> <> <> <> FL <> <> <> PP <>

OUTP

Enter the word OUTP in this field.

FLDATA5,OUTP is the FLDATA command with its first argument set to OUTP. It can be entered into the program as either FLDATA5,OUTP,Label,Value or FLDATA,OUTP,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Output and storage controls (dictates the meaning of Value):

SUMF
 —

Value is the number of global iterations between output of results summaries. The results summary, output to the file Jobname.PFL, contains a tabulation of the maximum, minimum and average values of each degree of freedom. It also contains the flow rates, pressures, and temperatures at all the inlets and outlets. Defaults to Value = 10.

DEBG
 —

Value sets the debug file printout level. The debug file Jobname.DBG contains information on the behavior of the semi-direct solvers used in the solution of the equations. Allowable choices for Value are (defaults to 1):

0
 —

No information.

1
 —

Initial and final information for each global iteration.

2
 —

Complete information for each global iteration.

3
 —

Produces printout of global coefficient matrices (not recommended, since the files will become very large).

4
 —

Produces printout of matrices and additional values at every global iteration (not recommended, because files are usually very large).

RESI
 —

Value is a flag controlling whether or not the nodal residual file Jobname.RDF is written. The nodal residual file contains the nodal residuals corresponding to the current solution (n-1st global iteration), and the new coefficient matrices and forcing function (nth global iteration). It indicates whether or not the solution is oscillating between global iterations on a nodal basis. The file produced is a text file (Jobname.RDF) that is read with the FLREAD command and that contains the residuals for the degrees of freedom (VX, VY, VZ, PRES, ENKE, ENDS and TEMP) for each node. Allowable values for Value are T (writes the file) or F (does not write the file). Defaults to Value = F.

DENS
 —

Value controls the storage of the laminar density. This and the following labels are provided to control the size of the Jobname.RFL file (see notes below). The choices are Value = T (stores this component) or Value = F (does not store this component). Defaults to Value = T.

VISC
 —

Value controls the storage of the laminar viscosity. Defaults to Value = T.

COND
 —

Value controls the storage of the laminar conductivity. Defaults to Value = T.

EVIS
 —

Value controls the storage of the effective viscosity. Defaults to Value = T.

ECON
 —

Value controls the storage of the effective conductivity. Defaults to Value = T.

TTOT
 —

Value controls the storage of the total temperature. Defaults to Value = T.

HFLU
 —

Value controls the storage of the heat flux. Defaults to Value = T.

HFLM
 —

Value controls the storage of the heat transfer (film) coefficient. Defaults to Value = T.

SPHT
 —

Value controls the storage of the specific heat. Defaults to Value = F.

STRM
 —

Value controls the storage of the stream function (2-D). Defaults to Value = T.

MACH
 —

Value controls the storage of the Mach number. Defaults to Value = T.

PTOT
 —

Value controls the storage of the total (stagnation) pressure. Defaults to Value = T.

PCOE
 —

Value controls the storage of the pressure coefficient. Defaults to Value = T.

YPLU
 —

Value controls the storage of the Y+ turbulence quantity. Defaults to Value = F.

TAUW
 —

Value controls the storage of the shear stress at the wall. Defaults to Value = F.

SFTS
 —

Value controls the storage of the surface tension coefficient. Defaults to Value = F.

RDFL
 —

Value controls the storage of the radiation heat flux. Defaults to Value = F.

LMDn
 —

Laminar mass diffusion coefficient for species n, where n = 1 to 6.

EMDn
 —

Effective mass diffusion coefficient for species n, where n = 1 to 6.

DOMA
 —

Value controls whether domain files are written. For transient analysis, if Value= T, domain files are written at the time frequency specified by the FLDATA4 command or the step frequency set by the FLDATA4A command. For steady state analysis, the files are written as specified by the FLDATA2 command. Files are named jobname.pv_00001, jobname.pv_00002, etc., corresponding to the first time increment, second time increment, and so forth. Result set numbers (First, Last, Next, Max, etc.) are preserved to ensure that any domain files created during a previous analysis are either deleted or preserved appropriately.

Setting Value= F turns domain file writing off (the default state).

DRAD
 —

VALUE controls debug level of convergence monitor for surface-to-surface radiation method. Allowable choices for value are (defaults to 0):

0
 —

No information (default).

1
 —

Final convergence information.

2
 —

Complete information for each global iteration.

Value

Value as described above.

Notes

Repeat command to set each Label as required.

SUMF, DEBG, and RESI control output to files other than the nodal results file (Jobname.RFL). DOMA controls output to domain files (Jobname.pv0000n), which are for use with the ICEM CFD PV3 postprocessing visualization tool.

The remaining Label labels are provided in the event the user needs to control the size of the Jobname.RFL file. This may be the case when the results of many load steps or time steps are being stored for large models. The choices are T (stores this component) or F (does not store this component). Since the controls should only be set to F if the file size is a problem, most default values are T, and values of listed parameters are stored for every node.

FLOTRAN only allows non-storage of variables which it can calculate from some other means. If the value is not stored, it is replaced by calculations identical to those of the normal solution algorithm. The difference is that the new properties calculated in the absence of storage have not been relaxed as those in storage would have been. See FLDATA25,RELX for a description of relaxation.

Laminar properties such as density, viscosity, and thermal conductivity are either constant or a function of temperature. In the former case, the constant value can be obtained from the input. In the case of temperature dependent properties, the correct values are obtained from the temperature field (always stored if the temperature equation solution was activated [FLDATA1,SOLU,TEMP,TRUE]). The newly calculated value is stored as calculated at the initialization of the load step, whereas the value obtained from storage would have undergone relaxation.

If the effective viscosity and effective thermal conductivity are not stored, upon restart they will be calculated from the existing field of turbulent kinetic energy, turbulent kinetic energy dissipation rate, and the density. Again, this is similar to the usual calculation.

See also the FLDATA1,SOLU, FLDATA2,ITER, FLDATA3,TERM, FLDATA4,TIME, FLDATA4A,STEP, and FLDATA6,CONV commands for other Solution and Output Controls.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Additional Out>Print Controls
Main Menu>Preprocessor>FLOTRAN Set Up>Additional Out>Residual File
Main Menu>Preprocessor>FLOTRAN Set Up>Additional Out>RFL Out Derived
Main Menu>Preprocessor>FLOTRAN Set Up>Additional Out>RFL Prop Based
Main Menu>Preprocessor>FLOTRAN Set Up>Execution Ctrl
Main Menu>Solution>FLOTRAN Set Up>Additional Out>Print Controls
Main Menu>Solution>FLOTRAN Set Up>Additional Out>Residual File
Main Menu>Solution>FLOTRAN Set Up>Additional Out>RFL Out Derived
Main Menu>Solution>FLOTRAN Set Up>Additional Out>RFL Prop Based
Main Menu>Solution>FLOTRAN Set Up>Execution Ctrl

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA4A 		Up / Home Next
FLDATA6


FLDATA6

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA6, CONV, Label, Value

Controls the output of the convergence monitor.

PREP7: FLOTRAN Options

MP <> <> <> <> <> <> FL <> <> <> PP <>

CONV

Enter the word CONV in this field.

FLDATA6,CONV is the FLDATA command with its first argument set to CONV. It can be entered into the program as either FLDATA6,CONV,Label,Value or FLDATA,CONV,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Format and frequency controls (dictates the meaning of Value):

OUTP
 —

Value controls which display format is used. Value can be LAND, BLOC, or BNOW, as described below (defaults to BNOW).

ITER
 —

If OUTP Value is LAND or BLOC, Value is the number of iterations for which the convergence monitor information is stored in memory before being printed. Defaults to Value = 1.

Value

Value as described for Label above:

LAND
 —

All DOF are output in landscape mode (valid only if Label = OUTP).

BLOC
 —

All DOF are output in block mode (valid only if Label = OUTP).

BNOW
 —

All DOF are presented in block format immediately as iterations are completed (valid only if Label = OUTP).

n
 —

Number of iterations (valid only if Label = ITER).

Notes

The convergence monitor output will appear on the screen during an interactive FLOTRAN analysis as well as in the printed output. OUTP controls what display format is used, and ITER controls how many iterations are stored and displayed.

See also the FLDATA1,SOLU, FLDATA2,ITER, FLDATA3,TERM, FLDATA4,TIME, FLDATA4A,STEP, and FLDATA5,OUTP commands for other Solution and Output Controls.

The choices for OUTP are LANDscape mode, BLOCk mode, or the "block now" mode, BNOW. If OUTP is set to BNOW, convergence monitor information is not stored in the memory, but is presented immediately as it is calculated. If OUTP is set to either LAND or BLOC, information is first stored for n (ITER) iterations before being printed.

In the following illustrations, "x" denotes convergence monitor numbers greater than zero:

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Landscape Mode

Iter<  1      2      3      4      5      6
VX     x      x      x      x      x      x
VY     x      x      x      x      x      x
VZ     x      x      x      x      x      x
PRES   x      x      x      x      x      x
ENKE   x      x      x      x      x      x
ENDS   x      x      x      x      x      x
TEMP   x      x      x      x      x      x

Block Mode

Iter   VX     VY     VZ     PRES   ENKE   ENDS   TEMP
^
1      x      x      x      x      x      x      X
2      x      x      x      x      x      x      X
3      x      x      x      x      x      x      X
4      x      x      x      x      x      x      X
5      x      x      x      x      x      x      X
6      x      x      x      x      x      x      X

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Additional Out>Print Controls
Main Menu>Solution>FLOTRAN Set Up>Additional Out>Print Controls

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA5 		Up / Home Next
FLDATA7


FLDATA7

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA7, PROT, Label, Value

Specifies the type of fluid property.

PREP7: FLOTRAN Property

MP <> <> <> <> <> <> FL <> <> <> PP <>

PROT

Enter the word PROT in this field.

FLDATA7,PROT is the FLDATA command with its first argument set to PROT. It can be entered into the program as either FLDATA7,PROT,Label,Value or FLDATA,PROT,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Fluid property being typed:

DENS
 —

Density (Value defaults to CONSTANT).

VISC
 —

Viscosity (Value defaults to CONSTANT).

COND
 —

Thermal conductivity (Value defaults to CONSTANT).

SPHT
 —

Specific heat (Value defaults to CONSTANT).

SFTS
 —

Surface tension coefficient (Value defaults to CONSTANT).

WSCA
 —

Wall static contact angle. (Value defaults to CONSTANT).

Value

Fluid property type.

You can enter one of the values shown below, or if your fluid properties can be expressed as a table, you can enter a table name. To enter a table name, you must first define a TABLE type array parameter using the *DIM command. Note that you must enclose the table name in % symbols in the FLDATA7 command line (e.g., FLDATA7,PROT,DENS,%tabname%). For more information on defining tables, see TABLE Type Array Parameters in the ANSYS Parametric Design Language Guide.

CONSTANT
 —

Constant properties. The FLDATA8,NOMI command must be used to specify nominal properties.

GAS
 —

Gas properties. The FLDATA8,NOMI command must be used to specify nominal properties. FLDATA9,COF1, FLDATA10,COF2, and possibly FLDATA11,COF3, must also be used.

LIQUID
 —

Liquid properties. The FLDATA8,NOMI command must be used to specify nominal properties. FLDATA9,COF1, FLDATA10,COF2, and possibly FLDATA11,COF3 must be used.

TABLE
 —

Indicates that a table of property values and corresponding temperature values are input using the MPDATA and MPTEMP commands. You cannot use this option with the %table% method described above.

POWL
 —

This choice for viscosity type activates the Power Law viscosity model, which is non-Newtonian. (For a description of the model see the Theory Reference for ANSYS and ANSYS Workbench. The Fluids Analysis Guide explains how to use the model.) The Power Law model requires you to specify four coefficients via the FLDATA8,NOMI,VISC command, the FLDATA9,COF1,VISC command, the FLDATA10,COF2,VISC command, and the FLDATA11,COF3,VISC command.

CARR
 —

This choice for viscosity type activates the Carreau viscosity model, which in non-Newtonian. (For a description of this model, see the Theory Reference for ANSYS and ANSYS Workbench. The Fluids Analysis Guide explains how to use the non-Newtonian viscosity models.) The Carreau model requires you to specify four coefficients via the FLDATA8, NOMI,VISC command, the FLDATA9,COF1,VISC command, the FLDATA10,COF2,VISC command and the FLDATA11,COF3,VISC command.

BING
 —

This choice for viscosity type activates the Bingham viscosity model, which is non-Newtonian. (For a description of this model, see the Theory Reference for ANSYS and ANSYS Workbench. The Fluids Analysis Guide explains how to use the non-Newtonian viscosity models.) The Bingham model requires you to specify three coefficients, using the FLDATA8,NOMI,VISC command, the FLDATA9,COF1,VISC command, and the FLDATA10,COF2,VISC command.

USRV
 —

This choice for viscosity activates the user-programmable subroutine, USERVISLAW. In this routine, you can define your own constitutive relationship between viscosity and other variables such as position, time, temperature, pressure, velocity, velocity gradients, etc. For details, see the Theory Reference for ANSYS and ANSYS Workbench, the Fluids Analysis Guide, and the Guide to ANSYS User Programmable Features

 —

The USERVISLAW subroutine uses the four coefficients you specify via the FLDATA8,NOMI,VISC command, the FLDATA9,COF1,VISC command, the FLDATA10,COF2,VISC command, and the FLDATA11,COF3,VISC command.

AIR
 —

Air properties in units of meter-kg-sec.

AIR_B
 —

Air properties in units of meter-kg-sec, and the pressure is set to the reference pressure for the evaluation of density.

AIR-SI
 —

Air properties in units of meter-kg-sec.

AIR-SI_B
 —

Air properties in units of meter-kg-sec, and the pressure is set to the reference pressure for the evaluation of density.

AIR-CM
 —

Air properties in units of cm-g-sec.

AIR-CM_B
 —

Air properties in units of cm-g-sec, and the pressure is set to the reference pressure for the evaluation of density.

AIR-MM
 —

Air properties in units of mm-g-sec.

AIR-MM_B
 —

Air properties in units of mm-g-sec, and the pressure is set to the reference pressure for the evaluation of density.

AIR-FT
 —

Air properties in units of ft-slug-sec.

AIR-FT_B
 —

Air properties in units of ft-slug-sec, and the pressure is set to the reference pressure for the evaluation of density.

AIR-IN
 —

Air properties in units of in-(lbf-s**2/in)-sec (results in units of psi for pressure).

AIR-IN_B
 —

Air properties in units of in-(lbf-s**2/in)-sec (results in units of psi for pressure), and the pressure is set to the reference pressure for the evaluation of density.

CMIX
 —

The property is the mass fraction average of the individual species property. You can use this option only if the species are defined.

USER
 —

Use one of the following user-programmable subroutines to define the property: UserDens to define density, UserVisLaw to define viscosity, UserSpht to define specific heat, UserCond to define conductivity, or UserSfts to define surface tension.

CGAS
 —

Available only for density. The density is calculated using the ideal gas law, with the molecular weight calculated from the mass fraction average of the individual species molecular weights. You can only use this option if species are defined.

Notes

This command is used to specify the fluid property type (constant, gas, liquid, air) for the density, viscosity, and (if required) thermal conductivity and specific heat properties. Repeat the FLDATA7 command for each property as required.

The choice of fluid property type implies the use of one of the following equations. In all cases the program assumes that consistent units are being used. The value of unity for the gravitational constant gc implies a consistent set of units.

If the property type is CONSTANT, then the equations used are as follows:

DENS = NOMI
VISC = NOMI
COND = NOMI
SPHT = NOMI

If the property type is LIQUID, then Sutherland's liquid law is used for the viscosity and conductivity and a second order polynomial as a function of temperature is used for density:

DENS = NOMI + COF2*(T-COF1) + COF3*(T-COF1)2

VISC = NOMI*EXP[(COF2*(1/T-1/COF1) + COF3*(1/T-1/COF1)2]

COND = NOMI*EXP[(COF2*(1/T-1/COF1) + COF3*(1/T-1/COF1)2]

If the type is GAS, Sutherland's law for gases is used for conductivity and viscosity and the ideal gas law is used for the density:

DENS = NOMI * (P/COF2) / (T/COF1)

VISC = NOMI * (T/COF1)1.5 * (COF1 + COF2)/(T + COF2)

COND = NOMI * (T/COF1)1.5 * (COF1 + COF2)/(T + COF2)

For Label = SFTS, CONSTANT, LIQUID, and USER are the only valid property types. If the property type is CONSTANT, the equation is:

SFTS = NOMI

If the property type is LIQUID, the equation is:

SFTS = NOMI + COF2*(T-COF1) + COF3*(T-COF1)2

For Label = WSCA, CONSTANT is the only valid property type and the equation is:

WSCA = NOMI

In each case, the value of NOMI is input with the FLDATA8,NOMI command, COF1 with FLDATA9,COF1, COF2 with FLDATA10,COF2, and COF3 with FLDATA11,COF3. No defaults are assumed.

For types other than GAS, LIQUID, CONSTANT, AIR or AIR_B, the values of constants in the evaluation of properties will be obtained from the file FLOPRP.ANS, where the data for AIR resides. See the Fluids Analysis Guide for information on how to put data into the FLOPRP.ANS file.

See also the FLDATA8,NOMI, FLDATA9,COF1, FLDATA10,COF2, FLDATA11,COF3, FLDATA12,PROP, and FLDATA13,VARY commands for other Fluid Property Definition commands.

This command is accessed in the menu as FLDATA12,PROP.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Fluid Properties
Main Menu>Preprocessor>FLOTRAN Set Up>Table Props
Main Menu>Solution>FLOTRAN Set Up>Fluid Properties
Main Menu>Solution>FLOTRAN Set Up>Table Props

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA6 		Up / Home Next
FLDATA8


FLDATA8

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA8, NOMI, Label, Value

Specifies the NOMI coefficient of the fluid property equation.

PREP7: FLOTRAN Property

MP <> <> <> <> <> <> FL <> <> <> PP <>

NOMI

Enter the word NOMI in this field.

FLDATA8,NOMI is the FLDATA command with its first argument set to NOMI. It can be entered into the program as either FLDATA8,NOMI,Label,Value or FLDATA,NOMI,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Fluid property NOMI is being defined for:

DENS
 —

Density.

VISC
 —

Viscosity.

COND
 —

Thermal conductivity.

SPHT
 —

Specific heat.

SFTS
 —

Surface tension coefficient.

WSCA
 —

Wall static contact angle (Value defaults to 90).

Value

Enter the value for NOMI.

Notes

Specifies the value NOMI as described on the FLDATA7,PROT command. NOMI is the constant fluid property value, or is the value of the property at the specified temperature COF1 (or simply the value of a coefficient). NOMI is only valid for property types GAS, LIQUID, and CONSTANT [FLDATA7,PROT]. If the property is a gas or liquid, FLDATA9,COF1, FLDATA10,COF2, and possibly FLDATA11,COF3, must also be used.

If the label is VISC, the FLDATA7,PROT command you enter determines what NOMI is. For example, if you issue the FLDATA7,PROT,VISC,POWL command, NOMI is the nominal viscosity for the Power Law model. If you issue the FLDATA7,PROT,VISC,BING command, the NOMI is the plastic viscosity for the Bingham model. If you issue the FLDATA7,PROT,VISC,CARR command, the NOMI is the zero shear rate viscosity for the Carreau model. If you issue the FLDATA7,PROT,USRV command, the NOMI is a coefficient available in USERVISLAW, the user-programmable subroutine for viscosity models.

See also the FLDATA12,PROP and FLDATA13,VARY commands for other Fluid Property Definition commands.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Fluid Properties
Main Menu>Solution>FLOTRAN Set Up>Fluid Properties

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA7 		Up / Home Next
FLDATA9


FLDATA9

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA9, COF1, Label, Value

Specifies the COF1 coefficient of the fluid property equation.

PREP7: FLOTRAN Property

MP <> <> <> <> <> <> FL <> <> <> PP <>

COF1

Enter the word COF1 in this field.

FLDATA9,COF1 is the FLDATA command with its first argument set to COF1. It can be entered into the program as either FLDATA9,COF1,Label,Value or FLDATA,COF1,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Fluid property being described:

DENS
 —

Density.

VISC
 —

Viscosity.

COND
 —

Thermal conductivity.

SPHT
 —

Specific heat.

SFTS
 —

Surface tension coefficient.

Value

Absolute temperature at which the Label property has the value NOMI (defaults to 0.0) or simply a coefficient.

Notes

Specifies the value of absolute temperature associated with the property value set be FLDATA8,NOMI, as described on the FLDATA7,PROT command, or simply a coefficient. Setting the value of COF1 to zero results in a constant property for liquids or gas. If the property is a gas or liquid, FLDATA8,NOMI, FLDATA10,COF2, and possibly FLDATA11,COF3, must also be used.

If the label is VISC and you issue the FLDATA7,PROT,VISC,POWL command, the COF1 value is the cutoff shear rate for the Power Law Model. If you issue the FLDATA7,PROT,VISC,BING command, COF1 is the plastic stress value for the Bingham model. If you issue the FLDATA7,PROT,VISC,CARR command, the COF1 value is the infinite shear rate viscosity for the Carreau model. If you issue the FLDATA7,PROT,VISC,USRV command, COF1 is a coefficient available in the USERVISLAW subroutine.

If the label is SPHT, the COF1 value is available in the user-programmable subroutine UserSpht.

See also the FLDATA12,PROP, and FLDATA13,VARY commands for other Fluid Property Definition commands.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Fluid Properties
Main Menu>Solution>FLOTRAN Set Up>Fluid Properties

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA8 		Up / Home Next
FLDATA10


FLDATA10

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA10, COF2, Label, Value

Specifies the COF2 coefficient of the fluid property equation.

PREP7: FLOTRAN Property

MP <> <> <> <> <> <> FL <> <> <> PP <>

COF2

Enter the word COF2 in this field.

FLDATA10,COF2 is the FLDATA command with its first argument set to COF2. It can be entered into the program as either FLDATA10,COF2,Label,Value or FLDATA,COF2,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Fluid property being described:

DENS
 —

Density.

VISC
 —

Viscosity.

COND
 —

Thermal conductivity.

SPHT
 —

Specific heat.

SFTS
 —

Surface tension coefficient.

Value

Coefficient COF2 (defaults to 0.0).

Notes

Specifies the value COF2 as described on the FLDATA7,PROT command.

If the label is VISC and you issue the FLDATA7,PROT,VISC,POWL command, the COF2 value is the consistency coefficient for the Power Law Model. If you issue the FLDATA7,PROT,VISC,BING command, COF2 is the Newtonian viscosity for the Bingham model. If you issue the FLDATA7,PROT,VISC,CARR command, the COF2 value is the time constant for the Carreau model. If you issue the FLDATA7,PROT,VISC,USRV command, COF2 is a coefficient available in the USERVISLAW subroutine.

For viscosity, liquid, gas, or thermal conductivity, COF2 is a Sutherland's law constant. For liquid density, it is a polynomial coefficient. For gas density, it is the pressure in the nominal ideal gas law constant evaluation. If the property is a gas or liquid, FLDATA8,NOMI, FLDATA9,COF1, and possibly FLDATA11,COF3, must also be used.

See also the FLDATA12,PROP, and FLDATA13,VARY commands for other Fluid Property Definition commands.

If the label is SPHT, the COF2 value is available in the user-programmable subroutine UserSpht.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Fluid Properties
Main Menu>Solution>FLOTRAN Set Up>Fluid Properties

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA9 		Up / Home Next
FLDATA11


FLDATA11

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA11, COF3, Label, Value

Specifies the COF3 coefficient of the fluid property equation.

PREP7: FLOTRAN Property

MP <> <> <> <> <> <> FL <> <> <> PP <>

COF3

Enter the word COF3 in this field.

FLDATA11,COF3 is the FLDATA command with its first argument set to COF3. It can be entered into the program as either FLDATA11,COF3,Label,Value or FLDATA,COF3,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Fluid property being described:

DENS
 —

Density.

VISC
 —

Viscosity.

COND
 —

Thermal conductivity.

SPHT
 —

Specific heat.

SFTS
 —

Surface tension coefficient.

Value

Coefficient COF3 (defaults to 0.0).

Notes

Specifies the value COF3 as described on the FLDATA7,PROT command.

If the label is VISC and you issue the FLDATA7,PROT,VISC,POWL command, the COF3 value is the power for the Power Law Model. COF3 is not used in the Bingham model. If you issue the FLDATA7,PROT,VISC,CARR command, the COF3 value is the power for the Carreau model. If you issue the FLDATA7,PROT,VISC,USRV command, COF3 is a coefficient available in the USERVISLAW subroutine.

For the viscosity or thermal conductivity of a liquid, COF3 is a Sutherland's law constant. For the density of a liquid, it is a polynomial coefficient. It is not used for gases. FLDATA8,NOMI, FLDATA9,COF1, and FLDATA10,COF2, must also be used.

If the label is SPHT, the COF3 value is available in the user-programmable subroutine UserSpht.

See also the FLDATA12,PROP, and FLDATA13,VARY commands for other Fluid Property Definition commands.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Fluid Properties
Main Menu>Solution>FLOTRAN Set Up>Fluid Properties

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA10 		Up / Home Next
FLDATA12


FLDATA12

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA12, PROP, Label, Value

Sets the property update frequency flag.

PREP7: FLOTRAN Property

MP <> <> <> <> <> <> FL <> <> <> PP <>

PROP

Enter the word PROP in this field.

FLDATA12,PROP is the FLDATA command with its first argument set to PROP. It can be entered into the program as either FLDATA12,PROP,Label,Value or FLDATA,PROP,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Updating label (dictates the meaning of Value):

IVIS
 —

Value is the initial guess for viscosity. If you do not specify any value, the nominal viscosity issued via the FLDATA8,NOMI,VISC command is the initial viscosity. For information on using this label, see the Fluids Analysis Guide.

UFRQ
 —

Value is the number of global iterations (frequency of updating) between the update of the properties.

Value

Number of iterations as described above (defaults to 1).

Notes

Properties will not be updated if the all the property types are set to CONSTANT with the FLDATA7 command.

See also the FLDATA7,PROT, FLDATA8,NOMI, FLDATA9,COF1, FLDATA10,COF2, FLDATA11,COF3, and FLDATA13,VARY commands for other Fluid Property Definition commands.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Fluid Properties
Main Menu>Solution>FLOTRAN Set Up>Fluid Properties

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA11 		Up / Home Next
FLDATA13


FLDATA13

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA13, VARY, Label, Value

Sets the property variation flag.

PREP7: FLOTRAN Property

MP <> <> <> <> <> <> FL <> <> <> PP <>

VARY

Enter the word VARY in this field.

FLDATA13,VARY is the FLDATA command with its first argument set to VARY. It can be entered into the program as either FLDATA13,VARY,Label,Value or FLDATA,VARY,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Fluid property being described:

DENS
 —

Density.

VISC
 —

Viscosity.

COND
 —

Thermal conductivity.

SPHT
 —

Specific heat.

SFTS
 —

Surface tension coefficient.

Value

Flag value for property variation:

T
 —

To turn property variation on.

F
 —

To turn property variation off (default).

Notes

For nonconstant fluid properties [FLDATA7,PROT], the appropriate flags must be set to T to allow property variation between global iterations.

See also the FLDATA7,PROT, FLDATA8,NOMI, FLDATA9,COF1, FLDATA10,COF2, FLDATA11,COF3, and FLDATA12,PROP commands for other Fluid Property Definition commands.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Fluid Properties
Main Menu>Solution>FLOTRAN Set Up>Fluid Properties

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA12 		Up / Home Next
FLDATA14


FLDATA14

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA14, TEMP, Label, Value

Specifies the reference temperature.

PREP7: FLOTRAN Operating

MP <> <> <> <> <> <> FL <> <> <> PP <>

TEMP

Enter the word TEMP in this field.

FLDATA14,TEMP is the FLDATA command with its first argument set to TEMP. It can be entered into the program as either FLDATA14,TEMP,Label,Value or FLDATA,TEMP,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Type of temperature specification (dictates the meaning of Value):

NOMI
 —

Value is the initial temperature if a boundary condition or transient initial condition has not been set. Value defaults to 293.0.

BULK
 —

Value is the temperature used to evaluate heat transfer coefficients given a heat flux or temperature at a boundary. Value defaults to 293.0.

TTOT
 —

Value is the total (stagnation) temperature used in compressible adiabatic flow. The static temperature is calculated from the kinetic energy evaluated in terms of the velocity magnitude, specific heat, and gravitational constant:

Value

Temperature as described above.

Notes

See also the FLDATA15,PRES, FLDATA16,BULK, and FLDATA17,GAMM commands for other Operating Condition commands.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Flow Environment>Ref Conditions
Main Menu>Solution>FLOTRAN Set Up>Flow Environment>Ref Conditions

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA13 		Up / Home Next
FLDATA15


FLDATA15

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA15, PRES, Label, Value

Specifies the reference pressure.

PREP7: FLOTRAN Operating

MP <> <> <> <> <> <> FL <> <> <> PP <>

PRES

Enter the word PRES in this field.

FLDATA15,PRES is the FLDATA command with its first argument set to PRES. It can be entered into the program as either FLDATA15,PRES,Label,Value or FLDATA,PRES,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Reference label (dictates the meaning of Value):

REFE
 —

Value is the reference pressure. The absolute pressure results from adding the pressure components from rotating terms, the static pressure head, the FLOTRAN pressure, and the reference pressure. Value defaults to 1.0135 x 10+5.

Value

Reference pressure as described above.

Notes

See also the FLDATA14,TEMP, FLDATA16,BULK, and FLDATA17,GAMM commands for other Operating Condition commands.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Flow Environment>Ref Conditions
Main Menu>Solution>FLOTRAN Set Up>Flow Environment>Ref Conditions

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA14 		Up / Home Next
FLDATA16


FLDATA16

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA16, BULK, Label, Value

Specifies the bulk modulus parameter.

PREP7: FLOTRAN Operating

MP <> <> <> <> <> <> FL <> <> <> PP <>

BULK

Enter the word BULK in this field.

FLDATA16,BULK is the FLDATA command with its first argument set to BULK. It can be entered into the program as either FLDATA16,BULK,Label,Value or FLDATA,BULK,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Label (dictates the meaning of Value):

BETA
 —

Value is the bulk modulus parameter.

Value

Value of bulk modulus parameter (defaults to 1015).

Notes

The bulk modulus parameter, βp, is used in the transient algorithm for incompressible flows:

The default value corresponds to that of a constant density fluid.

See also the FLDATA14,TEMP, FLDATA15,PRES, and FLDATA17,GAMM commands for other Operating Condition commands.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Flow Environment>Ref Conditions
Main Menu>Solution>FLOTRAN Set Up>Flow Environment>Ref Conditions

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA15 		Up / Home Next
FLDATA17


FLDATA17

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA17, GAMM, Label, Value

Specifies the specific heat ratio.

PREP7: FLOTRAN Operating

MP <> <> <> <> <> <> FL <> <> <> PP <>

GAMM

Enter the word GAMM in this field.

FLDATA17,GAMM is the FLDATA command with its first argument set to GAMM. It can be entered into the program as either FLDATA17,GAMM,Label,Value or FLDATA,GAMM,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Label (dictates the meaning of Value):

COMP
 —

Value is the ratio of specific heats.

Value

Value of the ratio (defaults to 1.4).

Notes

Specifies the ratio of specific heat at constant pressure to the specific heat at constant volume, Cp/Cv. It is used in compressible analyses.

See also the FLDATA14,TEMP, FLDATA15,PRES, and FLDATA16,BULK commands for other Operating Condition commands.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Flow Environment>Ref Conditions
Main Menu>Solution>FLOTRAN Set Up>Flow Environment>Ref Conditions

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA16 		Up / Home Next
FLDATA18


FLDATA18

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA18, METH, Label, Value

Selects the algebraic solver.

PREP7: FLOTRAN Solver

MP <> <> <> <> <> <> FL <> <> <> PP <>

METH

Enter the word METH in this field.

FLDATA18,METH is the FLDATA command with its first argument set to METH. It can be entered into the program as either FLDATA18,METH,Label,Value or FLDATA,METH,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Degree of freedom set for which solver is being specified:

PRES
 —

Pressure equation.

TEMP
 —

Energy equation.

VX
 —

U velocity.

VY
 —

V velocity.

VZ
 —

W velocity.

ENKE
 —

Turbulent kinetic energy.

ENDS
 —

Turbulent kinetic energy dissipation rate.

Value

Solver to be used for the degree of freedom set:

0
 —

Do not solve the equation set.

1
 —

Use the Tri-Diagonal Matrix Algorithm (TDMA) (default for all DOF sets except PRES and TEMP). Also see the FLDATA19,TDMA command.

2
 —

Use the Conjugate Residual method. See also the FLDATA20,SRCH, FLDATA21,CONV, FLDATA22,MAXI, and FLDATA23,DELT commands.

3
 —

Use the Preconditioned Conjugate Residual method (default for PRES DOF set). See also the FLDATA20,SRCH, FLDATA21,CONV, FLDATA22,MAXI, and FLDATA23,DELT commands.

4
 —

Use the Preconditioned Generalized Minimum Residual (PGMR) solution method (default for TEMP DOF set). See FLOTRAN Thermal Analyses in the Fluids Analysis Guide for more information on conjugate heat transfer.

5
 —

Use the Sparse Direct method.

6
 —

Use the Preconditioned BiCGStab method (PBCGM).

Notes

A solver can be specified for each degree of freedom set. Repeat the FLDATA18 command as needed.

The Tri-Diagonal Matrix Algorithm (TDMA) is a special case of the standard Gauss-Seidel iterative method for the solution of sets of algebraic equations. It is the preferred method for providing approximate solutions for the momentum and turbulence equations since exact solutions are not required. A convergence criterion is not specified for the TDMA method, merely the number of iterations (sweeps) to be performed [FLDATA19,TDMA].

Three methods are semi-direct solution methods based on search directions. The Conjugate Residual method requires the least memory, but stalls when solving ill-conditioned problems. (In an ill-conditioned problem, the thermal properties of fluid and non-fluid materials are different by several orders of magnitude). The Preconditioned Conjugate Residual method requires much more memory but performs better for ill-conditioned matrix problems which can arise when you are solving conjugate heat transfer problems. The Preconditioned Generalized Minimum Residual (PGMR) method is memory-intensive; by necessity, it incorporates a tight convergence criterion. The PGMR method is recommended for solving the energy equation for ill-conditioned conjugate transfer problems. In general, the Preconditioned BiCGStab method (PBCGM) requires less memory than the PGMR method. It is also recommended for extremely ill-conditioned conjugate heat transfer problems.

The Sparse Direct method is based on Gaussian elimination to factorize the matrix. This method is memory intensive and creates temporary files on the hard disk. It is robust and can be used for symmetric as well as non-symmetric equation systems. The Sparse solver is not recommended for use with Label = PRES. If you do use the Sparse solver with Label = PRES, you will need to save and then resume your database prior to solving.

For incompressible flow problems that involve the solution for the pressure degree of freedom, if you set Value equal to 2 or 3, the Preconditioned Conjugate Gradient method solver is used instead of the Conjugate Residual or Preconditioned Conjugate Residual method solvers.

The Theory Reference for ANSYS and ANSYS Workbench contains more detail on these methods.

See also the FLDATA19,TDMA, FLDATA20,SRCH, FLDATA21,CONV, FLDATA22,MAXI, and FLDATA23,DELT commands for other Algebraic Solver controls.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>ENDS Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>ENKE Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>PRES Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>TEMP Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>VX Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>VY Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>VZ Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>ENDS Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>ENKE Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>PRES Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>TEMP Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>VX Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>VY Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>VZ Solver CFD

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA17 		Up / Home Next
FLDATA19


FLDATA19

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA19, TDMA, Label, Value

Specifies the number of TDMA sweeps.

PREP7: FLOTRAN Solver

MP <> <> <> <> <> <> FL <> <> <> PP <>

TDMA

Enter the word TDMA in this field.

FLDATA19,TDMA is the FLDATA command with its first argument set to TDMA. It can be entered into the program as either FLDATA19,TDMA,Label,Value or FLDATA,TDMA,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Degree of freedom set for which the TDMA solver is being used:

PRES
 —

Pressure equation (Value defaults to 100).

TEMP
 —

Energy equation (Value defaults to 100).

VX
 —

U velocity (Value defaults to 1).

VY
 —

V velocity (Value defaults to 1).

VZ
 —

W velocity (Value defaults to 1).

ENKE
 —

Turbulent kinetic energy (Value defaults to 10).

ENDS
 —

Turbulent kinetic energy dissipation rate (Value defaults to 10).

Value

Number of iterations (sweeps) for this degree of freedom set.

Notes

Specifies the number of iterations (sweeps) the Tri-Diagonal Matrix Algorithm [FLDATA18,METH] will perform during the solution. A different number of sweeps may be specified for each degree of freedom set the TDMA solver is used for. Increasing the number for the velocity DOF may cause instability.

See also the FLDATA18,METH command for other Algebraic Solver controls.

This command is accessible in the menu if FLDATA18,METH,Label,1 has been issued for the PRES, TEMP, ENKE, or ENDS labels.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>ENDS Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>ENKE Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>PRES Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>TEMP Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>ENDS Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>ENKE Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>PRES Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>TEMP Solver CFD

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA18 		Up / Home Next
FLDATA20


FLDATA20

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA20, SRCH, Label, Value

Specifies the number of conjugate direction search vectors.

PREP7: FLOTRAN Solver

MP <> <> <> <> <> <> FL <> <> <> PP <>

SRCH

Enter the word SRCH in this field.

FLDATA20,SRCH is the FLDATA command with its first argument set to SRCH. It can be entered into the program as either FLDATA20,SRCH,Label,Value or FLDATA,SRCH,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Degree of freedom set for which the solver is being used:

PRES
 —

Pressure equation.

TEMP
 —

Energy equation.

VX
 —

U velocity.

VY
 —

V velocity.

VZ
 —

W velocity.

ENKE
 —

Turbulent kinetic energy.

ENDS
 —

Turbulent kinetic energy dissipation rate.

Value

Number of search directions (defaults to 2). If you are using the PGMR solver, the default is to use 12 search vectors. You cannot use fewer than 12 for the PGMR solver. If you are using the PBCGM solver, the number of search directions is 1 to 8, with 2 as the default.

Notes

The conjugate direction iterative techniques (methods 2 and 3 on the FLDATA18,METH command) develop a solution as a linear combination of search directions. In the solution with methods 2 and 3, new search vectors are made orthogonal toValue previous vectors in the solution of the non-symmetric matrix systems. See the Fluids Analysis Guide for details on when to change these values.

Note

The parameter is not applicable to the incompressible pressure equation since the new search vector is automatically orthogonal to all the previous ones.

See also the FLDATA18,METH,TDMA, FLDATA21,CONV, FLDATA22,MAXI, and FLDATA23,DELT commands for other Algebraic Solver controls.

This command is accessible in the menu if FLDATA18,METH,Label,(2 or 3) has been issued for the relevant labels.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>ENDS Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>ENKE Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>PRES Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>TEMP Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>VX Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>VY Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>VZ Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>ENDS Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>ENKE Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>PRES Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>TEMP Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>VX Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>VY Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>VZ Solver CFD

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA19 		Up / Home Next
FLDATA20A


FLDATA20A

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA20A, PGMR, Label, Value

Specifies the amount of fill-in when preconditioning the coefficient matrix.

PREP7: FLOTRAN Solver

MP <> <> <> <> <> <> FL <> <> <> PP <>

PGMR

Enter the word PGMR in this field.

FLDATA20A,PGMR is the FLDATA command with its first argument set to PGMR. It can be entered into the program as either FLDATA20A,PGMR,Label,Value or FLDATA,PGMR,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Label (dictates the meaning of Value):

FILL
 —

Value represents the number of extra elements allowed in each row of the L and U decomposition matrices. An extra element is defined as being in addition to the number of nonzero elements in the row of the original matrix. The allowable range for the fill parameter is 1 to 10 (defaults to 6).

MODP
 —

Value represents the number of global iterations performed using the TDMA method between global iterations performed using the PGMR method for the temperature DOF. The first global iteration always uses the PGMR method. The global iteration count is based on the total number, not the number for a restart. Value defaults to 0 (PGMR always used).

Value

Value as described above.

Notes

The fill parameter specifies the amount of fill-in when constructing the L and U decomposition of the coefficient matrix.

Use of FILL requires selection of the PGMR solver for the PRES or TEMP degree of freedom. Use of MODP requires selection of the PGMR solver for the temperature DOF.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>ENDS Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>ENKE Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>PRES Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>TEMP Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>VX Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>VY Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>VZ Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>ENDS Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>ENKE Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>PRES Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>TEMP Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>VX Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>VY Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>VZ Solver CFD

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA20 		Up / Home Next
FLDATA20B


FLDATA20B

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA20B, PBCGM, Label, Value

Specifies the number of fill-ins for the ILU preconditioner.

PREP7: FLOTRAN Solver

MP <> <> <> <> <> <> FL <> <> <> PP <>

PBCGM

Enter the word PBCGM in this field.

FLDATA20B,PBCGM is the FLDATA command with its first argument set to PBCGM. It can be entered into the program as either FLDATA20B,PBCGM,Label,Value or FLDATA,PBCGM,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Label (dictates the meaning of Value):

FILL
 —

Value represents the number of extra elements allowed in each row of the L and U decomposition matrices. An extra element is defined as being in addition to the number of nonzero elements in the row of the original matrix. The allowable range for the fill parameter is 0 to 10 (defaults to 6).

Value

Value as described above.

Notes

The fill parameter specifies the amount of fill-in when constructing the L and U decomposition of the coefficient matrix.

A single constant for FILL is used for the PBCGM solver, and it will be applied to all degrees of freedom that use this solver.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>ENDS Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>ENKE Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>PRES Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>TEMP Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>VX Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>VY Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>VZ Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>ENDS Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>ENKE Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>PRES Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>TEMP Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>VX Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>VY Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>VZ Solver CFD

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA20A 		Up / Home Next
FLDATA21


FLDATA21

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA21, CONV, Label, Value

Specifies the convergence criterion for FLOTRAN algebraic solvers.

PREP7: FLOTRAN Solver

MP <> <> <> <> <> <> FL <> <> <> PP <>

CONV

Enter the word CONV in this field.

FLDATA21,CONV is the FLDATA command with its first argument set to CONV. It can be entered into the program as either FLDATA21,CONV,Label,Value or FLDATA,CONV,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Degree of freedom set for which the solver is being used:

PRES
 —

Pressure equation (Value defaults to 1.0 x 10-12).

TEMP
 —

Energy equation (Value defaults to 1.0 x 10-12).

VX
 —

U velocity (Value defaults to 1.0 x 10-5).

VY
 —

V velocity (Value defaults to 1.0 x 10-5).

VZ
 —

W velocity (Value defaults to 1.0 x 10-5).

ENKE
 —

Turbulent kinetic energy (Value defaults to 1.0 x 10-5).

ENDS
 —

Turbulent kinetic energy dissipation rate (Value defaults to 1.0 x 10-5).

Value

Convergence criterion factor.

Notes

The convergence monitor (for methods 2 or 3 on the FLDATA18,METH command) represents the factor by which the inner product of the residual vector is to be reduced during the solution of the equations at any global iteration.

If you are using the Preconditioned Generalized Minimum Residual (PGMR) solver, the least restrictive convergence criterion allowed is 1.E-10. If you try to use a less restrictive convergence criterion, FLOTRAN will change it to 1.E-10. A convergence criterion as low as 1.E-20 may be necessary for some problems.

Less restrictive values are specified for the velocities and turbulence parameters because the iterative nature of the segregated solution algorithm in FLOTRAN does not require exact solutions to these equations at any global iteration. The default solution method for these degrees of freedom is the Tri-Diagonal Matrix Algorithm (TDMA) method.

See also the FLDATA18,METH, FLDATA20,SRCH, FLDATA22,MAXI, and FLDATA23,DELT commands for other Algebraic Solver controls.

This command is accessible in the menu if FLDATA18,METH,Label,(2 or 3) has been issued for the relevant labels.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>ENDS Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>ENKE Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>PRES Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>TEMP Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>VX Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>VY Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>VZ Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>ENDS Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>ENKE Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>PRES Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>TEMP Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>VX Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>VY Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>VZ Solver CFD

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA20B 		Up / Home Next
FLDATA22


FLDATA22

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA22, MAXI, Label, Value

Specifies the maximum number of semi-direct iterations.

PREP7: FLOTRAN Solver

MP <> <> <> <> <> <> FL <> <> <> PP <>

MAXI

Enter the word MAXI in this field.

FLDATA22,MAXI is the FLDATA command with its first argument set to MAXI. It can be entered into the program as either FLDATA22,MAXI,Label,Value or FLDATA,MAXI,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Degree of freedom set for which the solver is being used:

PRES
 —

Pressure equation (Value defaults to 1000).

TEMP
 —

Energy equation (Value defaults to 1000).

VX
 —

U velocity (Value defaults to 100).

VY
 —

V velocity (Value defaults to 100).

VZ
 —

W velocity (Value defaults to 100).

ENKE
 —

Turbulent kinetic energy (Value defaults to 100).

ENDS
 —

Turbulent kinetic energy dissipation (Value defaults to 100).

Value

Limit on the number of iterations.

Notes

These limits apply to the semi-direct solution methods (method 2 or 3 on the FLDATA18,METH command). If this number of iterations is reached before the convergence criterion is met, the solution is accepted, a warning message is printed, and the program continues normally. However if the pressure equation is not solved to the precision desired three times during a load step, execution will terminate.

See also the FLDATA18,METH, FLDATA20,SRCH, FLDATA21,CONV, and FLDATA23,DELT commands for other Algebraic Solver controls.

This command is accessible in the menu if FLDATA18,METH,Label,(2 or 3) has been issued for the relevant labels.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>ENDS Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>ENKE Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>PRES Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>TEMP Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>VX Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>VY Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>VZ Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>ENDS Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>ENKE Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>PRES Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>TEMP Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>VX Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>VY Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>VZ Solver CFD

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA21 		Up / Home Next
FLDATA23


FLDATA23

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA23, DELT, Label, Value

Specifies the solver minimum normalized rate of change.

PREP7: FLOTRAN Solver

MP <> <> <> <> <> <> FL <> <> <> PP <>

DELT

Enter the word DELT in this field.

FLDATA23,DELT is the FLDATA command with its first argument set to DELT. It can be entered into the program as either FLDATA23,DELT,Label,Value or FLDATA,DELT,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Degree of freedom set for which the solver is being used:

PRES
 —

Pressure equation (Value defaults to 1.0 x 10-10).

TEMP
 —

Energy equation (Value defaults to 1.0 x 10-10).

VX
 —

U velocity (Value defaults to 1.0 x 10-10).

VY
 —

V velocity (Value defaults to 1.0 x 10-10).

VZ
 —

W velocity (Value defaults to 1.0 x 10-10).

ENKE
 —

Turbulent kinetic energy (Value defaults to 1.0 x 10-10).

ENDS
 —

Turbulent kinetic energy dissipation (Value defaults to 1.0 x 10-10).

Value

Minimum normalized rate of change (delta).

Notes

Delta is the minimum normalized rate of change which will permit the semi-direct solution methods (method 2 or 3 on the FLDATA18,METH command) to continue.

Delta is used to terminate the semi-direct solvers in the event that stall occurs. If the methods stall, the solver increments the solution only a very small amount despite the fact that the correct solution has not been achieved. The maximum nodal difference between the solutions, normalized to the value of the variable, is compared to delta.

Termination of the algebraic solver due to the small rate of change is considered a normal function and no warning message is printed. Execution of FLOTRAN continues normally.

See also the FLDATA18,METH, FLDATA20,SRCH, FLDATA21,CONV, and FLDATA22,MAXI commands for other Algebraic Solver controls.

This command is accessible in the menu if FLDATA18,METH,Label,(2 or 3) has been issued for the relevant labels.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>ENDS Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>ENKE Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>PRES Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>TEMP Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>VX Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>VY Solver CFD
Main Menu>Preprocessor>FLOTRAN Set Up>CFD Solver Controls>VZ Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>ENDS Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>ENKE Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>PRES Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>TEMP Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>VX Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>VY Solver CFD
Main Menu>Solution>FLOTRAN Set Up>CFD Solver Controls>VZ Solver CFD

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA22 		Up / Home Next
FLDATA24


FLDATA24

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA24, TURB, Label, Value

Sets the turbulence model and the constants used in the Standard k-ε Model and the Zero Equation Turbulence Model.

PREP7: FLOTRAN Turbulence

MP <> <> <> <> <> <> FL <> <> <> PP <>

TURB

Enter the word TURB in this field.

FLDATA24,TURB is the FLDATA command with its first argument set to TURB. It can be entered into the program as either FLDATA24,TURB,Label,Value or FLDATA,TURB,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Turbulence model parameter label (dictates the meaning of Value):

MODL
 —

Value sets the turbulence model used. Valid values are the integers 0 through 8 as follows:

0,1
 —

Standard k-ε Model (default).

2
 —

Zero Equation Turbulence Model.

3
 —

Re-Normalized Group Turbulence Model (RNG).

4
 —

New k-ε Model due to Shih (NKE).

5
 —

Nonlinear Model of Girimaji (GIR).

6
 —

Shih, Zhu, Lumley Model (SZL).

7
 —

k-ω Turbulence Model

8
 —

Shear-Stress Transport Turbulence Model (SST)

RATI
 —

Value is the turbulence ratio. The initial turbulent viscosity is equal to the laminar value times the turbulence ratio. Value defaults to 1000.

ININ
 —

Value is the inlet intensity. The fluctuating velocity component at the inlet is assumed to be the magnitude of the inlet velocity times the inlet intensity. Value defaults to 0.01.

INSF
 —

Value is the inlet scale factor. This factor is used to provide a length scale inlet region of the problem. The hydraulic diameter of the inlet is multiplied by the inlet scale factor. If a negative value is input, the absolute value is used as direct input of the hydraulic diameter. Value defaults to 0.01.

SCTK
 —

Value is the Schmidt number for the turbulent kinetic energy. The diffusion term in the turbulent kinetic energy equation is divided by this factor. Value defaults to 1.0.

SCTD
 —

Value is the Schmidt number for the kinetic energy dissipation rate. The diffusion term in the dissipation rate equation is divided by this factor. Value defaults to 1.3.

SCTM
 —

Value is the Schmidt number for the momentum equation. The turbulent contribution to the diffusion term of the momentum equation is divided by this factor. Value defaults to 1.

SCTT
 —

Value is the Schmidt number for the energy (temperature) equation. The turbulent contribution to the diffusion term of the energy equation is divided by this factor. The Prandtl number is equal to the Schmidt number. Value defaults to 0.85.

CMU
 —

Value is the k-ε turbulence model constant

which is used in the update of the turbulent viscosity. Value defaults to 0.09.

C1
 —

Value is the k-ε turbulence model C1 constant. It is the multiplier of the shear rate generation term of the turbulent kinetic energy dissipation rate equation. Value defaults to 1.44.

C2
 —

Value is the k-ε turbulence model C2 constant. It is the multiplier of the dissipation source term in the turbulent kinetic energy dissipation rate equation. Value defaults to 1.92.

BUC3
 —

Value is the k-ε buoyancy model constant. A value of zero means that there is no contribution to the turbulent kinetic energy dissipation rate equation. The default value of one is appropriate for stable thermally stratified flows. A value of zero is appropriate for unstable thermally stratified flows

BUC4
 —

Value is the k-ε multiplier applied to the buoyancy term of the turbulent kinetic energy equation. A value of 1.0 is appropriate for the calculation of stable thermally stratified flows. Value defaults to 0.0.

BETA
 —

Value is β, the coefficient of thermal expansion

This term is used in the buoyancy terms of the k-ε model.

KAPP
 —

Value is the slope parameter of the law of the wall constant. It is the slope of the plot of normalized shear velocity (u+) versus the nondimensionalized distance from the wall (y+). See Theory Reference for ANSYS and ANSYS Workbench for details. Value defaults to 0.4.

EWLL
 —

Value is the law of the wall constant. It is related to the y intercept value for a plot of normalized shear velocity (u+) versus the nondimensionalized distance from the wall (y+). See the Theory Reference for ANSYS and ANSYS Workbench for more details. Value defaults to 9.0.

WALL
 —

Value is the choice of wall conductivity model. The default model is the Van Driest model (Value = VAND), used most often for high Prandtl number fluids. The second choice is the Spalding model (Value = SPAL), applicable to low Prandtl number fluids. The third choice is the Equilibrium model (Value = EQLB). The equilibrium model is also automatically invoked for the wall viscosity by this command.

VAND
 —

Value is the constant in the Van Driest wall conductivity model. See the Theory Reference for ANSYS and ANSYS Workbench for details. Value defaults to 26.0.

TRAN
 —

Value is the magnitude of y+ marking the outer boundary of the laminar sublayer. Used only for the Equilibrium Wall model. Value defaults to 11.5.

ZELS
 —

Value is the Zero Equation Model length scale (defaults to -1). A negative value means that FLOTRAN will calculate the value internally.

KS
 —

Value is the local uniform wall roughness in length units. The default value of 0.0 implies a smooth wall.

CKS
 —

Value is an empirical dimensionless factor between 0.5 and 1.0 that specifies the degree of nonuniformity of the surface. The default value of 0.5 means that the roughness signified by KS is uniformly distributed. Higher values increase the roughness losses without changing the flow regime implied by the value of KS.

Value

Turbulence model parameters values as explained above.

Notes

Sets the turbulence model and constants used in the Standard k-ε Model and the Zero Equation Turbulence Model. The other turbulence models are an extension of the Standard k-ε Model and different values are applied to some of the Standard k-ε Model constants and some additional constants are added.

Applicable only if the turbulence model is activated [FLDATA1,SOLU,TURB, TRUE]. The default values are used most often. See the Theory Reference for ANSYS and ANSYS Workbench for more information on the turbulence models.

See also the FLDATA24A,RNGT, FLDATA24B,NKET, FLDATA24C,GIRT, and FLDATA24D,SZLT commands for other turbulence model constants.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Turbulence>Buoyancy Terms
Main Menu>Preprocessor>FLOTRAN Set Up>Turbulence>Turbulence Model
Main Menu>Preprocessor>FLOTRAN Set Up>Turbulence>Turbulence Parameters
Main Menu>Preprocessor>FLOTRAN Set Up>Turbulence>Wall Parameters
Main Menu>Solution>FLOTRAN Set Up>Turbulence>Buoyancy Terms
Main Menu>Solution>FLOTRAN Set Up>Turbulence>Turbulence Model
Main Menu>Solution>FLOTRAN Set Up>Turbulence>Turbulence Parameters
Main Menu>Solution>FLOTRAN Set Up>Turbulence>Wall Parameters

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA23 		Up / Home Next
FLDATA24A


FLDATA24A

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA24A, RNGT, Label, Value

Sets constants for the Re-Normalized Group Turbulence Model (RNG).

PREP7: FLOTRAN Turbulence

MP <> <> <> <> <> <> FL <> <> <> PP <>

RNGT

Enter the word RNGT in this field.

FLDATA24A,RNGT is the FLDATA command with its first argument set to RNGT. It can be entered into the program as either FLDATA24A, RNGT, Label,Value or FLDATA,RNGT,Label,Value where Label and Value are as described below.

Label

Turbulence model parameter label (dictates the meaning of Value):

SCTK
 —

Value is the Schmidt number for the turbulent kinetic energy. The diffusion term in the turbulent kinetic energy equation is divided by this factor. Value defaults to 0.72.

SCTD
 —

Value is the Schmidt number for the kinetic energy dissipation rate. The diffusion term in the dissipation rate equation is divided by this factor. Value defaults to 0.72.

CMU
 —

Value is the turbulence model constant

which is used in the update of the turbulent viscosity. Value defaults to 0.085.

C1
 —

Value is the multiplier of the shear rate generation term of the turbulent kinetic energy dissipation rate equation. Value defaults to 1.42.

C2
 —

Value is the multiplier of the dissipation source term in the turbulent kinetic energy dissipation rate equation. Value defaults to 1.68.

BETA
 —

Value is the RNG model constant,

Value defaults to 0.012, which corresponds to a value of 0.4 for the von Karman constant.

ETAI
 —

Value is the asymptotic value of the strain rate parameter eta. Value defaults to 4.38.

Value

Turbulence model parameters values as explained above.

Notes

The Re-Normalized Group Turbulence Model (RNG) is an extension of the Standard k-ε Model. Different values are applied to five of the Standard k-ε Model constants and two additional constants are added. The values for the RNG Model are applied with the FLDATA24A,RNGT command and are separate from the Standard k-ε Model constants.

Applicable only if the Re-Normalized Group Turbulence Model (RNG) is activated [FLDATA24,TURB,MODL,3]. The default values are used most often. See the ANSYS Theory Reference for more information on the turbulence models.

See also the FLDATA24,TURB command.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Turbulence>Turbulence Model
Main Menu>Solution>FLOTRAN Set Up>Turbulence>Turbulence Model

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA24 		Up / Home Next
FLDATA24B


FLDATA24B

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA24B, NKET, Label, Value

Sets constants for the k-ε Turbulence Model due to Shih (NKE).

PREP7: FLOTRAN Turbulence

MP <> <> <> <> <> <> FL <> <> <> PP <>

NKET

Enter the word NKET in this field.

FLDATA24B,NKET is the FLDATA command with its first argument set to NKET. It can be entered into the program as either FLDATA24B,NKET, Label,Value or FLDATA,NKET,Label,Value where Label and Value are as described below.

Label

Turbulence model parameter label (dictates the meaning of Value):

SCTK
 —

Value is the Schmidt number for the turbulent kinetic energy. The diffusion term in the turbulent kinetic energy equation is divided by this factor. It is the σk constant. Value defaults to 1.0.

SCTD
 —

Value is the Schmidt number for the kinetic energy dissipation rate. The diffusion term in the dissipation rate equation is divided by this factor. It is the σε constant. Value defaults to 1.2.

C2
 —

Value is the multiplier of the dissipation source term in the turbulent kinetic energy dissipation rate equation. Value defaults to 1.90.

C1MX
 —

Value is the maximum allowed value of the C1 constant in the turbulent kinetic energy dissipation rate equation. Value defaults to 0.43.

Value

Turbulence model parameters values as explained above.

Notes

The k-ε Turbulence Model due to Shih (NKE) is an extension of the Standard k-ε Model. Different values are applied to three of the Standard k-ε Model constants and an additional constant is added. The values for the NKE Model are applied with the FLDATA24B,NKET command and are separate from the Standard k-ε Model constants.

Applicable only if the k-ε Model due to Shih (NKE) is activated [FLDATA24,TURB,MODL,4]. The default values are used most often. See the Theory Reference for ANSYS and ANSYS Workbench for more information on the turbulence models.

See also the FLDATA24,TURB command.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Turbulence>Turbulence Model
Main Menu>Solution>FLOTRAN Set Up>Turbulence>Turbulence Model

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA24A 		Up / Home Next
FLDATA24C


FLDATA24C

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA24C, GIRT, Label, Value

Sets constants for the Nonlinear Turbulence Model of Girimaji (GIR).

PREP7: FLOTRAN Turbulence

MP <> <> <> <> <> <> FL <> <> <> PP <>

GIRT

Enter the word GIRT in this field.

FLDATA24C,GIRT is the FLDATA command with its first argument set to GIRT. It can be entered into the program as either FLDATA24C,GIRT,Label,Value or FLDATA,GIRT,Label,Value where Label and Value are as described below.

Label

Turbulence model parameter label (dictates the meaning of Value):

SCTK
 —

Value is the Schmidt number for the turbulent kinetic energy. The diffusion term in the turbulent kinetic energy equation is divided by this factor. Value defaults to 1.0.

SCTD
 —

Value is the Schmidt number for the kinetic energy dissipation rate. The diffusion term in the dissipation rate equation is divided by this factor. Value defaults to 1.3.

G0
 —

Value is the [image] constant. Value defaults to 3.6.

G1
 —

Value is the [image] constant. Value defaults to 0.0.

G2
 —

Value is the C2 constant. Value defaults to 0.8.

G3
 —

Value is the C3 constant. Value defaults to 1.94.

G4
 —

Value is the C4 constant. Value defaults to 1.16.

Value

Turbulence model parameters values as explained above.

Notes

Sets constants for the Nonlinear Turbulence Model of Girimaji (GIR), which is an extension of the Standard k-ε Model. Different values are applied to two of the Standard k-ε Model constants and five additional constants are added. The values for the GIR Model are applied with the FLDATA24C,GIRT command and are separate from the Standard k-ε Model constants.

Applicable only if the Nonlinear Model of Girimaji (GIR) is activated [FLDATA24,TURB,MODL,5]. The default values are used most often. See the Theory Reference for ANSYS and ANSYS Workbench for more information on the turbulence models.

See also the FLDATA24,TURB command.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Turbulence>Turbulence Model
Main Menu>Solution>FLOTRAN Set Up>Turbulence>Turbulence Model

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA24B 		Up / Home Next
FLDATA24D


FLDATA24D

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA24D, SZLT, Label, Value

Sets constants for the Shih, Zhu, Lumley Turbulence Model (SZL).

PREP7: FLOTRAN Turbulence

MP <> <> <> <> <> <> FL <> <> <> PP <>

SZLT

Enter the word SZLT in this field.

FLDATA24D,SZLT is the FLDATA command with its first argument set to SZLT. It can be entered into the program as either FLDATA24D,SZLT,Label,Value or FLDATA,SZLT,Label,Value where Label and Value are as described below.

Label

Turbulence model parameter label (dictates the meaning of Value):

SCTK
 —

Value is the Schmidt number for the turbulent kinetic energy. The diffusion term in the turbulent kinetic energy equation is divided by this factor. Value defaults to 1.0.

SCTD
 —

Value is the Schmidt number for the kinetic energy dissipation rate. The diffusion term in the dissipation rate equation is divided by this factor. Value defaults to 1.3.

SZL1
 —

Value is the numerator constant used in the calculation of Cμ. It is the Aszl1 constant. Value defaults to 0.666.

SZL2
 —

Value is the denominator constant used in the calculation of Cμ. It is the Aszl2 constant. Value defaults to 1.25.

SZL3
 —

Value is the strain rate multiplier. It is the Aszl3 constant. Value defaults to 0.90.

Value

Turbulence model parameters values as explained above.

Notes

Sets constants for the Shih, Zhu, Lumley Turbulence Model (SZL), which is an extension of the Standard k-ε Model. Different values are applied to two of the Standard k-ε Model constants and three additional constants are added. The values for the SZL Model are applied with the FLDATA24D,SZLT command and are separate from the Standard k-ε Model constants.

Applicable only if the Shih, Zhu, Lumley Model (SZL) is activated [FLDATA24,TURB,MODL,6]. The default values are used most often. See the Theory Reference for ANSYS and ANSYS Workbench for more information on the turbulence models.

See also the FLDATA24,TURB command.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Turbulence>Turbulence Model
Main Menu>Solution>FLOTRAN Set Up>Turbulence>Turbulence Model

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA24C 		Up / Home Next
FLDATA24E


FLDATA24E

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA24E, SKWT, Label, Value

Sets constants for the k-ω turbulence model.

PREP7: FLOTRAN Turbulence

MP <> <> <> <> <> <> FL <> <> <> PP <>

SKWT

Enter the word SKWT in this field.

FLDATA24E,SKWT is the FLDATA command with its first argument set to SKWT. It can be entered into the program as either FLDATA24E,SKWT,Label,Value or FLDATA,SKWT,Label,Value where Label and Value are as described below.

Label

Turbulence model parameter label (dictates the meaning of Value):

SCTK
 —

Value is the Schmidt number for the turbulent kinetic energy. The diffusion term in the turbulent kinetic energy equation is divided by this factor. Value defaults to 2.0.

SCTW
 —

Value is the Schmidt number for the specific dissipation rate. The diffusion term in the dissipation rate equation is divided by this factor. Value defaults to 2.0.

GAMA
 —

Value is the GAMMA factor. Value defaults to 0.5555.

BETA
 —

Value is the BETA factor. Value defaults to 0.075.

Value

Turbulence model parameters values as explained above.

Notes

Sets constants for the k-ω Turbulence Model. Values for the k-ω model are applied with the FLDATA24E,SKWT command.

Applicable only if the k-ω model is activated [FLDATA24,TURB,MODL,7]. The default values are used most often. See the Theory Reference for ANSYS and ANSYS Workbench for more information on the turbulence models.

See also the FLDATA24,TURB command.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Turbulence>Turbulence Model
Main Menu>Solution>FLOTRAN Set Up>Turbulence>Turbulence Model

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA24D 		Up / Home Next
FLDATA24F


FLDATA24F

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA24F, SST1, Label, Value

Sets the turbulent production clip factor for the Shear Stress Transport (SST) turbulence model.

PREP7: FLOTRAN Turbulence

MP <> <> <> <> <> <> FL <> <> <> PP <>

SST1

Enter the word SST1 in this field.

FLDATA24F,SST1 is the FLDATA command with its first argument set to SST1. It can be entered into the program as either FLDATA24F,SST1,Label,Value or FLDATA,SST1,Label,Value where Label and Value are as described below.

Label

Enter the word CLMT in this field.

Value

Turbulent production clip factor. Defaults to 1.0e15 (no clipping).

Notes

Sets the turbulent production clip factor for the Shear Stress Transport (SST) turbulence model. Values for the k-ω regime are applied with the FLDATA24F,SST1,CLMT command.

Applicable only if the Shear Stress Transport model is activated [FLDATA24,TURB,MODL,8]. The default values are used most often. See the Theory Reference for ANSYS and ANSYS Workbench for more information on the turbulence models.

See also the FLDATA24,TURB command.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Turbulence>Turbulence Model
Main Menu>Solution>FLOTRAN Set Up>Turbulence>Turbulence Model

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA24E 		Up / Home Next
FLDATA24G


FLDATA24G

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA24G, SST1, Label, Value

Sets constants in the k-ω regime for the Shear Stress Transport (SST) turbulence model.

PREP7: FLOTRAN Turbulence

MP <> <> <> <> <> <> FL <> <> <> PP <>

SST1

Enter the word SST1 in this field.

FLDATA24G,SST1 is the FLDATA command with its first argument set to SST1. It can be entered into the program as either FLDATA24G,SST1,Label,Value or FLDATA,SST1,Label,Value where Label and Value are as described below.

Label

Turbulence model parameter label (dictates the meaning of Value):

SCTK
 —

Value is the Schmidt number for the turbulent kinetic energy. The diffusion term in the turbulent kinetic energy equation is divided by this factor. Value defaults to 1.176.

SCTW
 —

Value is the Schmidt number for the specific dissipation rate. The diffusion term in the dissipation rate equation is divided by this factor. Value defaults to 2.0.

GAMA
 —

Value is the GAMMA factor.Value defaults to 0.5532.

BETA
 —

Value is the BETA factor. Value defaults to 0.075.

Value

Turbulence model parameter values as explained above.

Notes

Sets constants in the k-ω regime for the Shear Stress Transport (SST) turbulence model. Values for the k-ω regime are applied with the FLDATA24G,SST1 command.

Applicable only if the Shear Stress Transport model is activated [FLDATA24,TURB,MODL,8]. The default values are used most often. See the Theory Reference for ANSYS and ANSYS Workbench for more information on the turbulence models.

See also the FLDATA24,TURB command.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Turbulence>Turbulence Model
Main Menu>Solution>FLOTRAN Set Up>Turbulence>Turbulence Model

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA24F 		Up / Home Next
FLDATA24H


FLDATA24H

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA24H, SST2, Label, Value

Sets constants in the k-ε regime for the Shear Stress Transport (SST) turbulence model.

PREP7: FLOTRAN Turbulence

MP <> <> <> <> <> <> FL <> <> <> PP <>

SST2

Enter the word SST2 in this field.

FLDATA24H,SST2 is the FLDATA command with its first argument set to SST2. It can be entered into the program as either FLDATA24H,SST2,Label,Value or FLDATA,SST2,Label,Value where Label and Value are as described below.

Label

Turbulence model parameter label (dictates the meaning of Value):

SCTK
 —

Value is the Schmidt number for the turbulent kinetic energy. The diffusion term in the turbulent kinetic energy equation is divided by this factor. Value defaults to 1.0.

SCTW
 —

Value is the Schmidt number for the specific dissipation rate. The diffusion term in the dissipation rate equation is divided by this factor. Value defaults to 1.168.

GAMA
 —

Value is the GAMMA factor. Value defaults to 0.4403.

BETA
 —

Value is the BETA factor. Value defaults to 0.0828.

Value

Turbulence model parameter values as explained above.

Notes

Sets constants in the k-ε regime for the Shear Stress Transport (SST) turbulence model. Values for the k-ε regime are applied with the FLDATA24H,SST2 command.

Applicable only if the Shear Stress Transport model is activated [FLDATA24,TURB,MODL,8]. The default values are used most often. See the Theory Reference for ANSYS and ANSYS Workbench for more information on the turbulence models.

See also the FLDATA24,TURB command.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Turbulence>Turbulence Model
Main Menu>Solution>FLOTRAN Set Up>Turbulence>Turbulence Model

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA24G 		Up / Home Next
FLDATA25


FLDATA25

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA25, RELX, Label, Value

Sets solution and property relaxation factors.

PREP7: FLOTRAN Stability

MP <> <> <> <> <> <> FL <> <> <> PP <>

RELX

Enter the word RELX in this field.

FLDATA25,RELX is the FLDATA command with its first argument set to RELX. It can be entered into the program as either FLDATA25,RELX,Label,Value or FLDATA,RELX,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Solution and property relaxation factor labels:

VX
 —

Value is the U Velocity relaxation factor.

VY
 —

Value is the V Velocity relaxation factor.

VZ
 —

Value is the W Velocity relaxation factor.

PRES
 —

Value is the pressure relaxation factor.

TEMP
 —

Value is the temperature relaxation factor.

ENKE
 —

Value is the kinetic energy relaxation factor.

ENDS
 —

Value is the dissipation rate relaxation factor.

EVIS
 —

Value is the effective viscosity relaxation factor.

ECON
 —

Value is the effective conductivity relaxation factor.

DENS
 —

Value is the density update relaxation factor.

VISC
 —

Value is the viscosity update relaxation factor.

COND
 —

Value is the conductivity update relaxation factor.

SPHT
 —

Value is the specific heat relaxation factor.

Value

Value of relaxation parameter as explained above (defaults to 0.5). Defaults to 1.0 for SPHT.

Notes

For stability purposes the solution in FLOTRAN is under-relaxed between global iterations. When the solution of the equations for a given degree of freedom is completed, the actual set of values used is related to the calculated set and the previous values as follows (where RELX is the relaxation factor):

Φnew = (1 - RELX) Φprevious + RELX Φcalculated

See also the FLDATA18,METH, FLDATA19,TDMA, FLDATA20,SRCH, FLDATA21,CONV, FLDATA22,MAXI, and FLDATA23,DELT commands for other Solver Stability controls.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Relax/Stab/Cap>DOF Relaxation
Main Menu>Preprocessor>FLOTRAN Set Up>Relax/Stab/Cap>Prop Relaxation
Main Menu>Solution>FLOTRAN Set Up>Relax/Stab/Cap>DOF Relaxation
Main Menu>Solution>FLOTRAN Set Up>Relax/Stab/Cap>Prop Relaxation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA24H 		Up / Home Next
FLDATA26


FLDATA26

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA26, STAB, Label, Value

Sets stability controls.

PREP7: FLOTRAN Stability

MP <> <> <> <> <> <> FL <> <> <> PP <>

STAB

Enter the word STAB in this field.

FLDATA26,STAB is the FLDATA command with its first argument set to STAB. It can be entered into the program as either FLDATA26,STAB,Label,Value or FLDATA,STAB,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Control label (dictates the meaning of Value):

TURB
 —

Turbulence inertial relaxation (Value defaults to 1.0 x 1015).

MOME
 —

Momentum inertial relaxation (Value defaults to 1.0 x 1015).

PRES
 —

Pressure inertial relaxation (Value defaults to 1.0 x 1015).

TEMP
 —

Energy inertial relaxation (Value defaults to 1.0 x 1020).

VISC
 —

Artificial viscosity (Value defaults to 0.0).

Value

Inertial relaxation factor.

Notes

These controls are used to make the sets of equations diagonally dominant through inertial relaxation. Making the matrix equations more diagonally dominant makes them easier to solve. More global iterations are required for convergence if inertial relaxation is used. See the Theory Reference for ANSYS and ANSYS Workbench for details.

Artificial viscosity can be activated to enhance stability in difficult compressible problems as well as in some incompressible problems. The artificial viscosity is added to the main diagonal and the forcing function of the momentum equations. The equations become more diagonally dominant locally in regions with high velocity gradients.

In compressible analyses, the artificial viscosity should be gradually removed as convergence is achieved since a nonzero value will affect the final solution. This is not necessary for incompressible analyses as the divergence of velocity should be zero. In practice, values of artificial viscosity should not exceed 1000 times the effective viscosity.

See also the FLDATA18,METH, FLDATA19,TDMA, FLDATA20,SRCH, FLDATA21,CONV, FLDATA22,MAXI, FLDATA23,DELT, FLDATA24,TURB, and FLDATA25,RELX commands for other Solver Stability controls.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Relax/Stab/Cap>Stability Parms
Main Menu>Solution>FLOTRAN Set Up>Relax/Stab/Cap>Stability Parms

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA25 		Up / Home Next
FLDATA27


FLDATA27

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA27, PRIN, Label, Value

Controls dependent variable printing.

PREP7: FLOTRAN Miscellaneous

MP <> <> <> <> <> <> FL <> <> <> PP <>

PRIN

Enter the word PRIN in this field.

FLDATA27,PRIN is the FLDATA command with its first argument set to PRIN. It can be entered into the program as either FLDATA27,PRIN,Label,Value or FLDATA,PRIN,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Dependent variable tabulation is being specified for:

VX
 —

U velocity.

VY
 —

V velocity.

VZ
 —

W velocity.

PRES
 —

Pressure.

TEMP
 —

Temperature.

ENKE
 —

Kinetic energy.

ENDS
 —

Turbulent kinetic energy dissipation rate.

DENS
 —

Density.

VISC
 —

Viscosity.

COND
 —

Conductivity.

SPHT
 —

Specific heat.

EVIS
 —

Effective viscosity.

ECON
 —

Effective conductivity.

SFTS
 —

Surface tension coefficient.

Value

Tabulation key:

T
 —

Turn tabulation on.

F
 —

Turn tabulation off (default).

Notes

When set to T, this control produces a tabulation of the values of the particular dependent variable at every node. It is set at the beginning of a load step. The printout can be large and is contained in the file Jobname.PFL.

To observe the values of a dependent variable at selected nodes during postprocessing, see the PRNSOL command.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA26 		Up / Home Next
FLDATA28


FLDATA28

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA28, MODR, Label, Value

Specifies that variable results are to be replaced.

PREP7: FLOTRAN Miscellaneous

MP <> <> <> <> <> <> FL <> <> <> PP <>

MODR

Enter the word MODR in this field.

FLDATA28,MODR is the FLDATA command with its first argument set to MODR. It can be entered into the program as either FLDATA28,MODR,Label,Value or FLDATA,MODR,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Dependent variables to be replaced:

VX
 —

U velocity.

VY
 —

V velocity.

VZ
 —

W velocity.

PRES
 —

Pressure.

TEMP
 —

Temperature.

ENKE
 —

Kinetic energy.

ENDS
 —

Turbulent kinetic energy dissipation rate.

DENS
 —

Density.

VISC
 —

Viscosity.

COND
 —

Conductivity.

SPHT
 —

Specific heat.

EVIS
 —

Effective viscosity.

ECON
 —

Effective conductivity.

TTOT
 —

Total temperature.

SFTS
 —

Surface tension coefficient.

Value

Variable replace flag:

T
 —

Allow this variable to be re-initialized.

F
 —

Do not allow this variable to be re-initialized (default).

Notes

Results for any of the dependent variables available can be replaced with new values for the next load step. Only a single value may be specified for the entire solution domain. This is used for re-initialization of a variable such as temperature, which has diverged while other temperature independent calculations have been successful.

To re-initialize a variable, first use this command to set the replacement flag to T for the desired variable. Then use the FLDATA29,MODV command to put in the new variable value. Note that the flag(s) will be automatically reset to F after the new value has been inserted.

See also the FLDATA29,MODV command.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Mod Res/Quad Ord>Modify Results
Main Menu>Solution>FLOTRAN Set Up>Mod Res/Quad Ord>Modify Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA27 		Up / Home Next
FLDATA29


FLDATA29

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA29, MODV, Label, Value

Re-initializes a results variable.

PREP7: FLOTRAN Miscellaneous

MP <> <> <> <> <> <> FL <> <> <> PP <>

MODV

Enter the word MODV in this field.

FLDATA29,MODV is the FLDATA command with its first argument set to MODV. It can be entered into the program as either FLDATA29,MODV,Label,Value or FLDATA,MODV,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Dependent variables to be replaced:

VX
 —

U velocity.

VY
 —

V velocity.

VZ
 —

W velocity.

SP0n
 —

Mass fraction of species n, where n = 1 to 6 (FLOTRAN). If a species is given a user-defined name [MSSPEC], use that name instead of SP0n.

PRES
 —

Pressure.

TEMP
 —

Temperature.

ENKE
 —

Kinetic energy.

ENDS
 —

Turbulent kinetic energy dissipation rate.

DENS
 —

Density.

VISC
 —

Viscosity.

COND
 —

Conductivity.

SPHT
 —

Specific heat.

EVIS
 —

Effective viscosity.

ECON
 —

Effective conductivity.

TTOT
 —

Total temperature.

SFTS
 —

Surface tension coefficient.

LMDn
 —

Laminar mass diffusion coefficient for species n, where n = 1 to 6.

EMDm
 —

Effective mass diffusion coefficient for species n, where n = 1 to 6.

Value

New value of variable (defaults to 0.0). Specifying FLDATA29,MODV,Label,Value modifies the entire field variable to a constant value.

Notes

Results for any of the dependent variables available can be replaced with new values for the next load step. Only a single value may be specified for the entire solution domain. This is used for re-initialization of a variable such as temperature, which has diverged while other temperature independent calculations have been successful. Boundary conditions are reapplied upon restart.

Quantities which are not allowed to vary (e.g., CONSTANT properties) should not be modified. Also, modifying results should not be attempted on the initial run.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Mod Res/Quad Ord>Modify Results
Main Menu>Solution>FLOTRAN Set Up>Mod Res/Quad Ord>Modify Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA28 		Up / Home Next
FLDATA30


FLDATA30

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA30, QUAD, Label, Value

Controls the quadrature orders.

PREP7: FLOTRAN Miscellaneous

MP <> <> <> <> <> <> FL <> <> <> PP <>

QUAD

Enter the word QUAD in this field.

FLDATA30,QUAD is the FLDATA command with its first argument set to QUAD. It can be entered into the program as either FLDATA30,QUAD,Label,Value or FLDATA,QUAD,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Element integral to change quadrature for:

MOMD
 —

Momentum diffusion term (defaults to 0 integration points).

MOMS
 —

Momentum source term (defaults to 0 integration points).

PRSD
 —

Pressure diffusion term (defaults to 1 integration point).

PRSS
 —

Pressure source term (defaults to 1 integration point).

THRD
 —

Thermal diffusion term (defaults to 0 integration points).

THRS
 —

Thermal source term (defaults to 0 integration points).

TRBD
 —

Turbulent diffusion terms (defaults to 0 integration points).

TRBS
 —

Turbulent source terms (defaults to 2 integration points).

Value

Number of integration points.

Notes

Controls the number of integration points used in the evaluation of element integrals. They are set at the optimum values by default. Values of 0 and 1 correspond to 1 point quadrature, but 0 means an average value of the diffusion coefficient has been used in the integrals. Values are automatically set to 2 for axisymmetric and polar analyses. Using a value of 2 will improve the accuracy for analyses using distorted elements. Repeat the FLDATA30 command as required.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Mod Res/Quad Ord>CFD Quad Orders
Main Menu>Solution>FLOTRAN Set Up>Mod Res/Quad Ord>CFD Quad Orders

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA29 		Up / Home Next
FLDATA31


FLDATA31

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA31, CAPP, Label, Value

Specifies dependent variable caps.

PREP7: FLOTRAN Miscellaneous

MP <> <> <> <> <> <> FL <> <> <> PP <>

CAPP

Enter the word CAPP in this field.

FLDATA31,CAPP is the FLDATA command with its first argument set to CAPP. It can be entered into the program as either FLDATA31,CAPP,Label,Value or FLDATA,CAPP,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Capping parameters. The first three are used to set the flags, and the rest are used to specify the cap values after the flag is set to T:

VELO
 —

Value is the velocity capping flag (Value defaults to F).

TEMP
 —

Value is the temperature capping flag (Value defaults to F).

PRES
 —

Value is the pressure capping flag (Value defaults to F).

UMIN
 —

Value is the minimum value of U velocity allowed (Value defaults to -1.E20).

UMAX
 —

Value is the maximum value of U velocity allowed (Value defaults to +1.E20).

VMIN
 —

Value is the minimum value of V velocity allowed (Value defaults to -1.E20).

VMAX
 —

Value is the maximum value of V velocity allowed (Value defaults to +1.E20).

WMIN
 —

Value is the minimum value of W velocity allowed (Value defaults to -1.E20).

WMAX
 —

Value is the maximum value of W velocity allowed (Value defaults to +1.E20).

TMIN
 —

Value is the minimum value of temperature allowed (Value defaults to 0.0).

TMAX
 —

Value is the maximum value of temperature allowed (Value defaults to +1.E20).

PMIN
 —

Value is the minimum value of pressure allowed (Value defaults to -1.E20).

PMAX
 —

Value is the maximum value of pressure allowed (Value defaults to +1.E20).

Value

Capping flag (T or F) or capping parameter value.

Notes

These parameters are used to limit arbitrarily the values of the dependent variables. Capping helps prevent divergence in the early stages of analyses. Be careful when using caps to ensure that they have no impact on the final answers. You should remove capping as convergence is approached.

To use capping, you must first set the flag to T and then set the maximum and minimum caps.

The pressure value calculated by the solution of the pressure equation is capped, not the relaxed value. Therefore, if you introduce pressure capping upon restarting an analysis, pressure values may still be outside the caps.

Capping applies to relative values of pressure and absolute values of temperature.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Relax/Stab/Cap>Results Capping
Main Menu>Solution>FLOTRAN Set Up>Relax/Stab/Cap>Results Capping

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA30 		Up / Home Next
FLDATA32


FLDATA32

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA32, REST, Label, Value, Value2, Fname, Ext, --

Controls restart options.

PREP7: FLOTRAN Miscellaneous

MP <> <> <> <> <> <> FL <> <> <> PP <>

REST

Enter the word REST in this field.

FLDATA32,REST is the FLDATA command with its first argument set to REST. It can be entered into the program as either FLDATA32,REST,Label,Value,Value2 or FLDATA,REST,Label,Value,Value2 where Label, Value, and Value2 are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Restart option (dictates the meaning of Value and Value2):

NSET
 —

Identifies the restart point by results set number. Value is the results set number in the results file (Jobname.RFL) from which the analysis will be restarted. Value = 0 or blank indicates that the restart will be from the last results set. Value will be reset to zero if the label ITER, LSTP, or TIME is subsequently set. Value2 is not used.

ITER
 —

Identifies the restart point by cumulative iteration number. Value is the cumulative iteration number in the results file (Jobname.RFL) from which the analysis will be restarted. If there are no results stored for this cumulative iteration, the results set with the next lowest cumulative iteration number will be used. Value = 0 or blank indicates that the restart will be from the last results set. Value will be reset to zero if the label NSET, LSTP, or TIME is subsequently set. Value2 is not used.

LSTP
 —

Identifies the restart point by load step and substep numbers. Value and Value2 are the load step number and substep number in the results file (Jobname.RFL) from which the analysis will be restarted. Value = 0 or blank indicates that the restart will be from the last results set. Value and Value2 will be reset to zero if the label ITER, NSET, or TIME is subsequently set.

TIME
 —

Identifies the restart point by transient time. Value is the time point in the results file (Jobname.RFL) from which the analysis will be restarted. If there are no results stored for this time point, the results set with the next lowest time point will be used. Value = 0 or blank indicates that the restart will be from the last results set. Value will be reset to zero if the label NSET, LSTP, or ITER is subsequently set. Value2 is not used.

RFIL
 —

Specifies whether the CFD data structure restart file (Jobname.CFD) is to be read for the restart. Useful for large models where the creation of the data structures may take a long time. Value may be T (true) or F (false) and defaults to F. If the Jobname.CFD file does not exist, it will be created (if RFIL is set to true). Setting RFIL to true will toggle WFIL to false, and setting WFIL to true will toggle RFIL to false.

WFIL
 —

Specifies whether the CFD data structure restart file (Jobname.CFD) is to be written. Useful for overwriting an existing restart file when changes in the model or boundary conditions have occurred. Value may be T (true) or F (false) and defaults to F. Setting WFIL to true will toggle RFIL to false, and setting RFIL to true will toggle WFIL to false.

OVER
 —

Specifies whether to overwrite the set of results from which the restart occurs. Value may be -1, 0, or 1 (defaults to 0). If Value is -1, the previous set of results are overwritten. If Value is 1, the previous set of results is saved. If Value is 0 (default), the previous results are saved only if the results were written as a saved (converged) set of results. When this flag is used to change the status of the previous set of results, ANSYS sets it to 0 so that future sets of results are not affected.

CLEAR
 —

Specifies whether to eliminate from the results file (Jobname.RFL) all results sets stored before and after the set used for the restart. Value may be T (true) or F (false) and defaults to F. The restart set is the last set or the set specified with another FLDATA32,REST command. Use a positive value of NSET, ITER, LSTP, or TIME to create a backup of the results file and use a negative value of NSET, ITER, LSTP or TIME if you do not desire a backup of the results file (see Notes below).

Value, Value2

Restart point or restart file flag (T or F) as described above.

Fname

File name and directory path of a results file to be used for the restart (248 characters maximum, including directory). If you do not specify a directory path, it will default to your working directory and you can use all 248 characters for the file name.

The file name defaults to Jobname. This field is valid only with Label = NSET, ITER, LSTP, or TIME.

Ext

Filename extension (8 character maximum).

The extension defaults to RFL, and is valid only with Label = NSET, ITER, LSTP, or TIME.

--

Unused field.

Notes

If both RFIL and WFIL are set to true through the GUI, the state of WFIL will prevail and a new Jobname.CFD file will be written.

If the value of NSET, ITER, LSTP, or TIME is positive, the original results file (Jobname.RFL) is moved to Jobname.RFO, and a new Jobname.RFL is created containing all the results sets stored prior to the restart point as well as new results. If the value is negative, the Jobname.RFL file will contain the prior results and the new results but the old file will be destroyed. This latter option is used if the results sets currently stored beyond the desired restart point are not worth saving.

If restarting from an existing file other than Jobname.RFL, no backup file (Jobname.RFO) is created because the existing file is not affected.

If a results file name (Fname) is entered for a restart, FLOTRAN interpolates those results onto the current mesh in the database, regardless of whether or not the mesh has changed. This causes the convergence monitors to start again from zero. This restart is different than a restart without a file name specification. However, the results quickly converge to the original solution.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Restart Options>CFD Restart File
Main Menu>Preprocessor>FLOTRAN Set Up>Restart Options>Restart/Clear
Main Menu>Preprocessor>FLOTRAN Set Up>Restart Options>Restart/Iteration
Main Menu>Preprocessor>FLOTRAN Set Up>Restart Options>Restart/Load step
Main Menu>Preprocessor>FLOTRAN Set Up>Restart Options>Restart/Set
Main Menu>Preprocessor>FLOTRAN Set Up>Restart Options>Restart/Time
Main Menu>Preprocessor>FLOTRAN Set Up>Restart Options>Tag set status
Main Menu>Solution>FLOTRAN Set Up>Restart Options>CFD Restart File
Main Menu>Solution>FLOTRAN Set Up>Restart Options>Restart/Clear
Main Menu>Solution>FLOTRAN Set Up>Restart Options>Restart/Iteration
Main Menu>Solution>FLOTRAN Set Up>Restart Options>Restart/Load step
Main Menu>Solution>FLOTRAN Set Up>Restart Options>Restart/Set
Main Menu>Solution>FLOTRAN Set Up>Restart Options>Restart/Time
Main Menu>Solution>FLOTRAN Set Up>Restart Options>Tag set status

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA31 		Up / Home Next
FLDATA33


FLDATA33

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA33, ADVM, Label, Value

Specifies the approach to discretize the advection term.

PREP7: FLOTRAN Miscellaneous

MP <> <> <> <> <> <> FL <> <> <> PP <>

ADVM

Enter the word ADVM in this field.

FLDATA33,ADVM is the FLDATA command with its first argument set to ADVM. It can be entered into the program as either FLDATA33,ADVM,Label,Value or FLDATA,ADVM,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Specifies the transport equation.

MOME
 —

Momentum equations.

TURB
 —

Turbulence equations.

PRES
 —

Compressible pressure equation.

TEMP
 —

Energy equation.

Value

Choice of approach to discretize the advection term:

MSU
 —

Monotone Streamline Upwind approach (default for PRES).

SUPG
 —

Streamline Upwind / Petrov-Galerkin approach (default for MOME, TURB, and TEMP).

COLG
 —

Collocated Galerkin (COLG) approach.

Notes

See Using SUPG in the Fluids Analysis Guide for more information on the SUPG approach.

See the Theory Reference for ANSYS and ANSYS Workbench for more information on the advection term.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Advection
Main Menu>Solution>FLOTRAN Set Up>Advection

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA32 		Up / Home Next
FLDATA34


FLDATA34

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA34, MIR, Label, Value

Sets modified inertial relaxation factors.

PREP7: FLOTRAN Stability

MP <> <> <> <> <> <> FL <> <> <> PP <>

MIR

Enter the word MIR in this field.

FLDATA34,MIR is the FLDATA command with its first argument set to MIR. It can be entered into the program as either FLDATA34,MIR,Label,Value or FLDATA,MIR,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Modified relaxation factor labels:

MOME
 —

Momentum modified inertial relaxation.

TURB
 —

Turbulence modified inertial relaxation.

TEMP
 —

Energy modified inertial relaxation.

Value

Modified inertial relaxation factor. Value defaults to 0 (modified inertial relaxation off).

Notes

Value must be a positive real number. A Value between 0.1 and 1.0 is recommended. A larger Value provides a more robust scheme, but it may yield a slower convergence.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Relax/Stab/Cap>MIR Stabilization
Main Menu>Solution>FLOTRAN Set Up>Relax/Stab/Cap>MIR Stabilization

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA33 		Up / Home Next
FLDATA35


FLDATA35

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA35, VFTOL, Label, Value

Specifies tolerances for the lower and upper bound of the volume fraction.

PREP7: FLOTRAN Miscellaneous

MP <> <> <> <> <> <> FL <> <> <> PP <>

VFTOL

Enter the word VFTOL in this field.

FLDATA35,VFTOL is the FLDATA command with its first argument set to VFTOL. It can be entered into the program as either FLDATA35,VFTOL,Label,Value or FLDATA,VFTOL,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Tolerance choices:

VOFL
 —

Lower bound tolerance in the VOF advection algorithm (Value defaults to 1.0e-6).

VOFU
 —

Upper bound tolerance in the VOF advection algorithm (Value defaults to 1.0e-6).

LAML
 —

Lower bound tolerance in the solver for laminar flows (Value defaults to 1.0e-2).

LAMU
 —

Upper bound tolerance in the solver for laminar flows (Value defaults to 1.0e-2).

TRBL
 —

Lower bound tolerance in the solver for turbulent flows (Value defaults to 1.0e-1).

TRBU
 —

Upper bound tolerance in the solver for turbulent flows (Value defaults to 1.0e-1).

Value

Tolerance value for Label above.

Notes

Volume fractions less than the lower bound tolerance are treated as 0. Volume fractions greater than 1 minus the upper bound tolerance are treated as 1.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>VOF Environment>VFRC Tolerance
Main Menu>Solution>FLOTRAN Set Up>VOF Environment>VFRC Tolerance

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA34 		Up / Home Next
FLDATA36


FLDATA36

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA36, AMBV, Label, Value

Specifies ambient reference values outside of the fluid for the volume of fluid (VOF) method.

PREP7: FLOTRAN Miscellaneous

MP <> <> <> <> <> <> FL <> <> <> PP <>

AMBV

Enter the word AMBV in this field.

FLDATA36,AMBV is the FLDATA command with its first argument set to AMBV. It can be entered into the program as either FLDATA36,AMBV,Label,Value or FLDATA,AMBV,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Ambient Reference for which value is being specified:

VX
—

U velocity.

VY
—

V velocity.

VZ
—

W velocity.

TEMP
—

Temperature.

ENKE
—

Turbulent Kinetic Energy.

ENDS
—

Turbulent Dissipation Rate.

Value

Value for the ambient reference as described above.

Notes

PRES is used as a boundary condition at the free surface and for plotting purposes. VX, VY, VZ, TEMP, ENKE and ENDS are only used for plotting purposes.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>VOF Environment>Ambient Condit'n
Main Menu>Solution>FLOTRAN Set Up>VOF Environment>Ambient Condit'n

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA35 		Up / Home Next
FLDATA37


FLDATA37

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA37, ALGR, Label, Value

Specifies segregated solution or film coefficient algorithms.

PREP7: FLOTRAN Miscellaneous

MP <> <> <> <> <> <> FL <> <> <> PP <>

ALGR

Enter the word ALGR in this field.

FLDATA37,ALGR is the FLDATA command with its first argument set to ALGR. It can be entered into the program as either FLDATA37,ALGR,Label,Value or FLDATA,ALGR,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Algorithm label:

SEGR
 —

Segregated

HFLM
 —

Film Coefficient

Value

If Label = SEGR, Value specifies the segregated solution algorithm:

SIMPLEF
 —

Original segregated algorithm (default)

SIMPLEN
 —

Enhanced segregated algorithm

If Label = HFLM, Value specifies the film coefficient algorithm:

MATX
 —

Conductivity matrix algorithm (default)

TEMP
 —

Temperature field algorithm

Notes

Settings automatically changed when SIMPLEN is chosen are not automatically reset if SIMPLEF is reselected. See Coupling Algorithms in the Fluids Analysis Guide for the settings.

The conductivity matrix algorithm uses the thermal conductivity matrix to calculate heat fluxes and film coefficients. The temperature field algorithm calculates film coefficients directly from thermal gradients.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Algorithm Control
Main Menu>Solution>FLOTRAN Set Up>Algorithm Control

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA36 		Up / Home Next
FLDATA38


FLDATA38

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA38, MASS, Label, Value

Specifies the mass type for a fluid transient analysis.

PREP7: FLOTRAN Miscellaneous

MP <> <> <> <> <> <> FL <> <> <> PP <>

MASS

Enter the word MASS in this field.

FLDATA38,MASS is the FLDATA command with its first argument set to MASS. It can be entered into the program as either FLDATA38,MASS,Label,Value or FLDATA,MASS,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Degree of freedom set for which mass type is being specified:

MOME
 —

Momentum equation.

PRES
 —

Pressure equation.

TURB
 —

Turbulent equation.

TEMP
 —

Energy equation.

ALL
 —

Momentum, pressure, turbulent, and energy equations.

Value

Mass type for fluid transient analysis:

LUMP
 —

Lumped mass matrix (default).

CONS
 —

Consistent mass matrix.

Notes

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Transient Ctrl>Mass Type
Main Menu>Solution>FLOTRAN Set Up>Transient Ctrl>Mass Type

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA37 		Up / Home Next
FLDATA39


FLDATA39

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA39, REMESH, Label, Value

Specifies remeshing parameters for transient fluid flow and fluid-solid interaction analyses.

PREP7: FLOTRAN Miscellaneous

MP <> <> <> <> <> <> FL <> <> <> PP <>

REMESH

Enter the word REMESH in this field.

FLDATA39,REMESH is the FLDATA command with its first argument set to REMESH. It can be entered into the program as either FLDATA39,REMESH,Label,Value or FLDATA,REMESH,Label,Value where Label and Value are as described below. See the FLDATA command for other FLOTRAN CFD input choices.

Label

Remeshing fluid element label (dictates the meaning of Value):

ELEM
 —

Value specifies the fluid elements included in remeshing. The following are valid values:

NON
 —

Do not remesh (default).

ALL
 —

Remesh all defined fluid elements if the quality of the worst defined element falls below any quality requirement. Required element qualities are specified by Label = ARMAX, VOCH, or ARCH as explained below.

PAR
 —

Remesh defined fluid elements that have a quality below any quality requirement.

A component name may be specified for Value. All elements grouped into a component name are remeshed if the quality of the worst element falls below any quality requirement. The component name length is up to 8 characters.

XBNE
 —

Value specifies the elements connected to the boundary nodes excluded from remeshing. The following are valid values:

NON
 —

Do not exclude any elements connected to the boundary nodes (default).

ALL
 —

Exclude all elements connected to the boundary nodes.

FSI
 —

Exclude elements connected to fluid-solid interaction interfaces.

RESIZ
 —

Value is the element size used for remeshing. Value defaults to 0 (the element size at the nearest boundary is used for remeshing).

REXPN
 —

Value is the area expansion (or contraction) option for remeshing. (This option is the same as SMRTSIZE,,,EXPND.) This option is used to size internal elements in an area based on the size of the elements on the area's boundaries. Value is the expansion (or contraction) factor. For example, issuing FLDATA39,REMESH,EXPND,2 before meshing an area will allow a mesh with elements that are approximately twice as large in the interior of an area as they are on the boundary. If Value is less than 1, a mesh with smaller elements on the interior of the area will be allowed. Value for this option should be greater than 0.5 but less than 4. Value defaults to 1, which does not allow expansion or contraction of internal element sizes. If Value = 0, the default value of 1 will be used. The actual size of the internal elements will also depend on RESIZ sizing, if used.

ARMA
 —

Value is the maximum allowable element generalized aspect ratio. Value defaults to 10.

VOCH
 —

Value is the maximum allowable change of element size (area or volume). Value defaults to 3.

ARCH
 —

Value is the maximum allowable element aspect ratio change.Value defaults to 3.

STEP
 —

Value is the element quality checking frequency based on time steps. Every Value time steps, a quality check takes place. Value defaults to 1 (a quality check at every step).

TIME
 —

Value is the only element quality checking time. A quality check takes place at a time specified by Value. Value defaults to -1 (a quality check at every time point).

Value

Value as described for Label above.

Notes

See Table 7.2: "Element Qualities" in the Fluids Analysis Guide for definitions of element qualities.

Repeat command to set each Label as required.

This command is also valid in SOLUTION.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Remesh Ctrl>Element size ctrl
Main Menu>Preprocessor>FLOTRAN Set Up>Remesh Ctrl>Elements for remesh
Main Menu>Preprocessor>FLOTRAN Set Up>Remesh Ctrl>Mesh qualities
Main Menu>Preprocessor>FLOTRAN Set Up>Remesh Ctrl>Remesh frequency
Main Menu>Solution>FLOTRAN Set Up>Remesh Ctrl>Element size ctrl
Main Menu>Solution>FLOTRAN Set Up>Remesh Ctrl>Elements for remesh
Main Menu>Solution>FLOTRAN Set Up>Remesh Ctrl>Mesh qualities
Main Menu>Solution>FLOTRAN Set Up>Remesh Ctrl>Remesh frequency

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA38 		Up / Home Next
FLDATA40


FLDATA40

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLDATA40, WADV, Label, Value

Controls activation of thermal stabilization near walls.

PREP7: FLOTRAN Turbulence

MP <> <> <> <> <> <> FL <> <> <> PP <>

WADV

Enter the word WADV in this field.

FLDATA40,WADV is the FLDATA command with its first argument set to WADV. It can be entered into the program as either FLDATA40,WADV,Label,Value or FLDATA,WADV,Label,Value where Label and Value are as described below.

Label

Enter the word TEMP in this field.

Value

Value controlling Label:

TRUE or T
 —

Turn this feature on.

FALSE or F
 —

Turn this feature off.

Notes

Thermal oscillations may occur for turbulent heat transfers in near-wall regions when using the SUPG or the COLG advection scheme with a coarse mesh. Use this command to minimize such spatial oscillations.

For the nodes that lie at the intersection of the wall or solid surface and the inlet, the thermal boundary conditions for those nodes must be the same as the wall or solid surface, not the inlet.

See the FLDATA33,ADVM command to see various advection discretization schemes.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Relax/Stab/Cap>Thermal Stabilization
Main Menu>Solution>FLOTRAN Set Up>Relax/Stab/Cap>Thermal Stabilization

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA39 		Up / Home Next
FLIST


FLIST

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLIST, NODE1, NODE2, NINC

Lists force loads on the nodes.

SOLUTION: FE Forces

MP ME ST PR PRN <> <> <> EM <> <> PP <>

NODE1, NODE2, NINC

List forces for nodes NODE1 to NODE2 (defaults to NODE1) in steps of NINC (defaults to 1). If ALL, list for all selected nodes [NSEL] and NODE2 and NINC are ignored (default). If NODE1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NODE1.

Notes

Listing applies to the selected nodes [NSEL] and the selected force labels [DOFSEL].

Caution

A list containing a node number that is larger than the maximum defined node (NODE2), could deplete the system memory and produce unpredictable results.

This command is valid in any processor.

Menu Paths

Utility Menu>List>Loads>Forces>On All Nodes
Utility Menu>List>Loads>Forces>On Picked Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLDATA40 		Up / Home Next
FLLIST


FLLIST

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLLIST, NLOC1, NLOC2, NINC

Lists the fatigue location parameters.

POST1: Fatigue

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NLOC1, NLOC2, NINC

List location parameters from NLOC1 (defaults to 1) to NLOC2 (defaults to NLOC1) in steps of NINC (defaults to 1). If NLOC1 = ALL, NLOC2 and NINC are ignored and all locations are listed.

Menu Paths

Main Menu>General Postproc>Fatigue>List Stress Loc

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLIST 		Up / Home Next
FLOCHECK


FLOCHECK

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLOCHECK, Key

Sets up and runs a zero-iteration FLOTRAN analysis.

SOLUTION: FLOTRAN Checkout

MP <> <> <> <> <> <> <> <> <> <> PP <>

Key

Determines whether the FLOTRAN analysis is initialized and whether boundary condition status now becomes “old.”

0
 —

(Default) Initialization is not performed.

1
 —

Initialization is performed

2
 —

No initialization performed, boundary condition status now becomes “old.”

Notes

The FLOCHECK command will provide a results summary for the Zeroth iteration (KEY = 1) or the current iteration (KEY = 0). The results summary provides max/min/average values for each property and DOF. Also, mass flow boundaries are identified and all thermal energy transfer information is summarized. All input information is summarized in the Jobname.PFL file (i.e., print file). If you are running the ANSYS program from the GUI, the FLOTRAN print file is echoed to the output window. The FLOCHECK command aids verification of boundary condition and property specification.

Initialization [FLOCHECK,1] deletes any existing Jobname.PFL and Jobname.RFL files. Run FLOCHECK initialization only when you are sure you no longer need the existing results files.

The FLOCHECK,2 command changes boundary conditions to the “old” state. It has no effect on the Jobname.RFL file. For information on changing fluid boundary conditions, see Applying Transient Boundary Conditions in Fluids Analysis Guide.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Flocheck
Main Menu>Solution>FLOTRAN Set Up>Flocheck

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLLIST 		Up / Home Next
FLOTRAN


FLOTRAN

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLOTRAN

Specifies "FLOTRAN data settings" as the subsequent status topic.

PREP7: Status

MP ME ST PR PRN <> <> FL EM <> DY PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>General Postproc>FLOTRAN Module

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLOCHECK 		Up / Home Next
FLREAD


FLREAD

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLREAD, Fname, Ext, --

Reads the residual file written by the FLOTRAN CFD option.

POST1: FLOTRAN Processing

MP <> <> <> <> <> <> FL <> <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to RDF (residual file) if Fname is blank.

--

Unused field.

Notes

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Read Results>FLOTRAN 2.1A

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLOTRAN 		Up / Home Next
FLST


FLST

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLST, NFIELD, NARG, TYPE, Otype, LENG

Specifies data required for a picking operation (GUI).

DATABASE: Picking

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NFIELD

Field number on the command which uses the picking data. (Count the command name as a field, so that a 2 indicates the first command argument, 3 for the second command argument, etc.) The corresponding field on the command will have a P51X label.

NARG

Number of items in the picked list.

TYPE

Type of items picked:

1
 —

Node numbers

2
 —

Element numbers

3
 —

Keypoint numbers

4
 —

Line numbers

5
 —

Area numbers

6
 —

Volume numbers

7
 —

Trace points

8
 —

Coordinate locations (in Global Cartesian coordinates)

9
 —

Screen picks (in X, Y screen coordinates (-1 to 1))

Otype

Data order:

NOOR
 —

Data is not ordered (default).

ORDER
 —

Data is in an ordered list (such as for the E,P51X and A,P51X commands, in which the order of the data items is significant for the picking operation).

LENG

Length of number of items describing the list (should equal NARG if Otype = NOOR; default).

Notes

Specifies data required for the FITEM command during a picking operation. This is a command generated by the GUI and will appear in the log file (Jobname.LOG) if graphical picking is used. This command is not intended to be typed in directly in an ANSYS session (although it can be included in an input file for batch input or for use with the /INPUT command).

On the log file, FLST will always be followed by one or more FITEM commands which in turn are followed by the ANSYS command that contains a P51X label in one of its fields. This set of commands should not be edited.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLREAD 		Up / Home Next
FLUXV


FLUXV

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FLUXV

Calculates the flux passing through a closed contour.

POST1: Magnetics Calculations

MP <> <> <> <> <> <> <> EM <> <> PP <>

Notes

FLUXV invokes an ANSYS macro which calculates the flux passing through a closed contour (path) predefined by PATH. The calculated flux is stored in the parameter FLUX. In a 2-D analysis, at least two nodes must be defined on the path. In 3-D, a path of nodes describing a closed contour must be specified (i.e., the first and last node in the path specification must be the same). A counterclockwise ordering of nodes on the PPATH command will give the correct sign on flux. Path operations are used for the calculations, and all path items are cleared upon completion. This macro is only available for vector potential formulations.

Menu Paths

Main Menu>General Postproc>Elec&Mag Calc>Path Based>Path Flux

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLST 		Up / Home Next
FMAGBC


FMAGBC

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FMAGBC, Cnam1, Cnam2, Cnam3, Cnam4, Cnam5, Cnam6, Cnam7, Cnam8, Cnam9

Applies force and torque boundary conditions to an element component.

SOLUTION: Misc Loads

MP <> <> <> <> <> <> <> EM <> <> PP <>

Cnam1, Cnam2, Cnam3, . . . , Cnam9

Names of existing element components (CM command). Must be enclosed in single quotes (e.g., `Cnam1') when the command is manually typed in.

Notes

FMAGBC invokes a predefined ANSYS macro to apply Maxwell and virtual work force and torque boundary conditions to an element component. These boundary conditions are used for subsequent force and torque calculations during solution. Magnetic virtual displacements (MVDI = 1) are applied to nodes of elements in the components, and Maxwell surface flags (MXWF) are applied to air elements adjoining the element components. Incorrect force and torque calculations will occur for components sharing adjacent air elements. Companion macros FMAGSUM and TORQSUM can be used in POST1 to summarize the force and torque calculations, respectively. Torque calculations are valid for 2-D planar analysis only. For 2-D harmonic analysis, force and torque represent time-average values.

If using elements SOLID117, PLANE121, SOLID122, and SOLID123 (static analyses only), use EMFT to summarize electromagnetic force and torque. If you do use FMAGSUM, you do not need to first set either the Maxwell or the virtual work force flags via FMAGBC.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Flag>Comp. Force
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Flag>Comp. Force/Torque
Main Menu>Solution>Define Loads>Apply>Electric>Flag>Comp. Force
Main Menu>Solution>Define Loads>Apply>Magnetic>Flag>Comp. Force/Torque

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLUXV 		Up / Home Next
FMAGSUM


FMAGSUM

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FMAGSUM, Cnam1, Cnam2, Cnam3, Cnam4, Cnam5, Cnam6, Cnam7, Cnam8, Cnam9

Summarizes electromagnetic force calculations on element components.

POST1: Magnetics Calculations

MP <> <> <> <> <> <> <> EM <> <> PP <>

Cnam1, Cnam2, Cnam3, . . . , Cnam9

Names of existing element components for which Maxwell or virtual work boundary conditions were applied in the preprocessor. Must be enclosed in single quotes (e.g., `Cnam1') when the command is manually typed in.

Notes

FMAGSUM invokes an ANSYS macro that summarizes the Maxwell and virtual work forces. The element components must have had appropriate Maxwell or virtual work boundary conditions established in the preprocessor prior to solution in order to retrieve forces (see FMAGBC, SF, BF commands). The forces are also stored on a per-element basis for the adjacent air layer surrounding the components in the element table [ETABLE]. Maxwell forces are stored as items FMX_X, FMX_Y, and FMX_Z, and virtual work forces are stored as items FVW_X, FVW_Y, and FVW_Z. Use the PLETAB and PRETAB commands to plot and list the element table items.

If using elements SOLID117, PLANE121, SOLID122, and SOLID123 (static analyses only), use EMFT to summarize electromagnetic force and torque. If you do use FMAGSUM, you do not need to first set either the Maxwell or the virtual work force flags via FMAGBC. Electromagnetic or electrostatic forces are reported as FMAG_X, FMAG_Y, and FMAG_Z. Transient analyses using these elements will report Maxwell and virtual work forces as noted above.

FMAGSUM can also be used to summarize time-average forces from a 2-D harmonic analysis.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Elec&Mag Calc>Component Based>Force

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FMAGBC 		Up / Home Next
/FOCUS


/FOCUS

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

/FOCUS, WN, XF, YF, ZF, KTRANS

Specifies the focus point (center of the window).

GRAPHICS: Views

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number (or ALL) to which command applies (defaults to 1).

XF, YF, ZF

Location of the object to be at the focus point (center of the window) in the global Cartesian coordinate system. If XF = AUTO, allow automatic location calculation. If XF = USER, use focus location of last display (useful when last display had auto focus).

KTRANS

Translate key:

0
—

Interpret numerical XF, YF, ZF values as described above.

1
—

Interpret XF, YF, ZF values as multiples of half-screens to translate from the current position in the screen coordinate system. Example: XF of 2.4 translates the display approximately 2.4 half-screens to the left in the screen X (horizontal) direction.

2
—

Interpret XF, YF, ZF values as multiples of half-screens to translate from the current position in the global Cartesian coordinate system. Example: XF of 1.5 translates the display approximately 1.5 half-screens in the global Cartesian X direction of the model.

Command Default

Focus location is automatically calculated to be at the geometric center of the object (modified for centering within the window, depending upon the view).

Notes

Specifies the location on (or off) the model which is to be located at the focus point (center of the window). For section and capped displays, the cutting plane is also assumed to pass through this location (unless the working plane is used via /CPLANE). See also /AUTO and /USER commands.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Pan, Zoom, Rotate
Utility Menu>PlotCtrls>View Settings>Focus Point

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FMAGSUM 		Up / Home Next
FOR2D


FOR2D

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FOR2D

Calculates magnetic forces on a body.

POST1: Magnetics Calculations

MP <> <> <> <> <> <> <> EM <> <> PP <>

Notes

FOR2D invokes an ANSYS macro which calculates magnetic forces on a body that is completely surrounded by air (symmetry permitted). The calculated forces are stored in the parameters FX and FY. In interactive mode, a node plot is produced with the integration path highlighted. A predefined closed path [PATH], passing through the air elements surrounding the body, must be available for this calculation. A counterclockwise ordering of nodes on the PPATH command will give the correct sign on the forces. Forces are calculated using a Maxwell stress tensor approach. The macro is valid for 2-D planar or axisymmetric analysis. Path operations are used for the calculations, and all path items are cleared upon completion.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Elec&Mag Calc>Path Based>Mag Forces

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/FOCUS 		Up / Home Next
FORCE


FORCE

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FORCE, Lab

Selects the element nodal force type for output.

POST1: Controls

POST26: Controls

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Lab

Type of force to be associated with the force items:

TOTAL
 —

Total forces (static, damping, and inertia).

STATIC
 —

Static forces.

DAMP
 —

Damping forces.

INERT
 —

Inertia forces.

Command Default

Use the total forces.

Notes

FORCE selects the element nodal force type for output with the POST1 PRESOL, PLESOL, PRRFOR, NFORCE, FSUM, etc. commands, the POST26 ESOL command, and reaction force plotting [/PBC]. For example, FORCE,STATIC causes item F of the PRESOL command to be the static forces for the elements processed. Element member forces (such as those available for beams and shells, which are processed by Item and Sequence number) are not affected by this command. Damping and inertia forces are only available for full transient and harmonic analyses.

The PRRSOL command is not valid with FORCE. Use the PRRFOR command, which provides the same functionality as PRRSOL, instead.

In POST26, the ESOL data stored is based on the active FORCE specification at the time the data is stored. To store data at various specifications (for example, static and inertia forces), issue a STORE command before each new specification.

Menu Paths

Main Menu>General Postproc>Options for Outp
Main Menu>TimeHist Postpro>Define Variables
Main Menu>TimeHist Postpro>Elec&Mag>Circuit>Define Variables
Utility Menu>List>Results>Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FOR2D 		Up / Home Next
FORM


FORM

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FORM, Lab

Specifies the format of the file dump.

AUX2: Binary Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Format:

RECO
—

Basic record description only (minimum output) (default).

TEN
—

Same as RECO plus the first ten words of each record.

LONG
—

Same as RECO plus all words of each record.

Command Default

Basic record description (RECO).

Notes

Specifies the format of the file dump (from the DUMP command).

Menu Paths

Utility Menu>File>List>Binary Files
Utility Menu>List>Files>Binary Files

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FORCE 		Up / Home Next
/FORMAT


/FORMAT

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

/FORMAT, NDIGIT, Ftype, NWIDTH, DSIGNF, LINE, CHAR

Specifies format controls for tables.

POST1: Listing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NDIGIT

Number of digits (3 to 32) in first table column (usually the node or element number). Initially defaults to 7.

Ftype

FORTRAN format types (initially defaults to G):

G
 —

Gxx.yy. xx and yy are described below.

F
 —

Fxx.yy

E
 —

Exx.yy

NWIDTH

Total width (9 to 32) of the field (the xx in Ftype). Initially defaults to 12.

DSIGNF

Number of digits after the decimal point (yy in F or E format) or number of significant digits in G format. Range is 2 to xx-7 for Ftype = G or E; and 0 to xx-4 for Ftype = F. Initially defaults to 5.

LINE

Number of lines (11 minimum) per page. Defaults to ILINE or BLINE from the /PAGE command.

CHAR

Number of characters (41 to 240, system-dependent) per line before wraparound. Defaults to ICHAR or BCHAR from the /PAGE command.

Command Default

Program determines format for the data.

Notes

Specifies various format controls for tables printed with the POST1 PRNSOL, PRESOL, PRETAB, PRRSOL, and PRPATH commands. A blank (or out-of-range) field on the command retains the current setting. Issue /FORMAT,STAT to display the current settings. Issue /FORMAT,DEFA to reestablish the initial default specifications.

For the POST26 PRVAR command, the Ftype, NWIDTH, and DSIGNF fields control the time output format.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FORM 		Up / Home Next
FP


FP

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FP, STITM, C1, C2, C3, C4, C5, C6

Defines the fatigue S vs. N and Sm vs. T tables.

POST1: Fatigue

MP ME ST PR PRN <> <> <> <> <> <> PP <>

STITM

Starting item number for entering properties (defaults to 1). If 1, data input in field C1 of this command is entered as the first item in the list; if 7, data input in field C1 of this command is entered as the seventh item in the list; etc. If the item number is negative, C1-C6 are ignored and the item is deleted. If -ALL, the table is erased. Items are as follows (items 41-62 are required only if simplified elastic-plastic code calculations are to be performed):

1,2,...20:
 —

N1, N2, ... N20

21,22,...40:
 —

S1, S2, ... S20

41,42,...50:
 —

T1, T2, ... T10

51,52,...60:
 —

Sm1, Sm2, ... Sm10

61:
 —

M (first elastic-plastic material parameter)

62:
 —

N (second elastic-plastic material parameter)

C1, C2, C3, . . . , C6

Data inserted into six locations starting with STITM. If a value is already in one of these locations, it will be redefined. A blank retains the previous value.

Notes

Defines the fatigue alternating stress (S) vs. cycles (N) table and the design stress-intensity value (Sm) vs. temperature (T) table. May also be used to modify any previously stored property tables. Log-log interpolation is used in the S vs. N table and linear interpolation is used in the Sm vs. T table. Cycles and temperatures must be input in ascending order; S and Sm values in descending order. Table values must be supplied in pairs, i.e., every N entry must have a corresponding S entry, etc. Not all property pairs per curve need be used. If no S vs. N table is defined, the fatigue evaluation will not produce usage factor results. See the Structural Analysis Guide for details.

Menu Paths

Main Menu>General Postproc>Fatigue>Property Table>Elas-plas Par
Main Menu>General Postproc>Fatigue>Property Table>Erase Tables
Main Menu>General Postproc>Fatigue>Property Table>S-N Table
Main Menu>General Postproc>Fatigue>Property Table>Sm_T Table

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/FORMAT 		Up / Home Next
FPLIST


FPLIST

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FPLIST

Lists the property table stored for fatigue evaluation.

POST1: Fatigue

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Menu Paths

Main Menu>General Postproc>Fatigue>Property Table>List Tables

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FP 		Up / Home Next
FREQ


FREQ

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FREQ, FREQ1, FREQ2, FREQ3, FREQ4, FREQ5, FREQ6, FREQ7, FREQ8, FREQ9

Defines the frequency points for the SV vs. FREQ tables.

SOLUTION: Spectrum Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

FREQ1, FREQ2, FREQ3, . . . , FREQ9

Frequency points for SV vs. FREQ tables. Values must be in ascending order. Log-log interpolation will be used between frequency points. FREQ1 should be greater than zero. Units are cycles/time.

Command Default

No frequency table.

Notes

Repeat FREQ command for additional frequency points (20 maximum). Values are added after the last nonzero frequency. If all fields (FREQ1 -- FREQ9) are blank, erase SV vs. FREQ tables.

Frequencies must be in ascending order. Use STAT command to list current frequency points. Spectral values are input with the SV command and interpreted according to the SVTYP command. Applies only to the SPRS (single-point) option of the SPOPT command. See the PSDFRQ command for frequency input with the MPRS (multi-point) option.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>SinglePt>Erase Table
Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>SinglePt>Freq Table
Main Menu>Solution>Load Step Opts>Spectrum>SinglePt>Erase Table
Main Menu>Solution>Load Step Opts>Spectrum>SinglePt>Freq Table

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FPLIST 		Up / Home Next
FRQSCL


FRQSCL

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FRQSCL, Scaling

Turns on automatic scaling of the entire mass matrix and frequency range for modal analyses using the Block Lanczos or PCG Lanczos mode extraction method.

SOLUTION: Dynamic Options

MP ME ST PR PRN <> <> <> <> EH <> PP <>

Scaling

Off
—

Do not use automatic scaling of the mass matrix and frequency range.

On
—

Use automatic scaling of the mass matrix and frequency range.

Command Default

ANSYS will use automatic scaling if appropriate.

Notes

Use this command to deactivate or force activation of automatic scaling of the entire mass matrix and frequency range for modal analyses where the entire mass matrix is significantly different (i.e., orders of magnitude difference) than the entire stiffness matrix (for example, due to the particular unit system being used). Where the mass matrix is significantly smaller compared to the stiffness matrix, the eigenvalues will tend to approach very large numbers (>10e12), making the Block Lanczos or PCG Lanczos mode extraction method less efficient and more likely to miss modes.

ANSYS uses scaling (if appropriate) by default. However, you can issue FRQSCL,ON to force the entire mass matrix and frequency range to be scaled to bring the stiffness and mass matrices closer together in terms of orders of magnitude, improving efficiency and reducing the likelihood of missed modes. The resulting eigenvalues are then automatically scaled back to the original system. If you are using micro MKS units, where the density is typically very small compared to the stiffness, you may want to issue FRQSCL,ON to force scaling on.

If the stiffness and mass are on the same scale, FRQSCL,ON has no effect.

This command is available only for modal analyses using the Block Lanczos or PCG Lanczos mode extraction method (MODOPT,LANB or LANPCG).

This command is not valid and has no effect when used in conjunction with the MSAVE,ON command in a modal analysis with the PCG Lanczos mode extraction method.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FREQ 		Up / Home Next
FS


FS

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FS, NODE, NEV, NLOD, STITM, C1, C2, C3, C4, C5, C6

Stores fatigue stress components at a node.

POST1: Fatigue

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NODE

Node number corresponding to this location. Used only to associate a node with a new location or to find an existing location.

NEV

Event number to be associated with these stresses (defaults to 1).

NLOD

Loading number to be associated with these stresses (defaults to 1).

STITM

Starting item number for entering stresses (defaults to 1). If 1, data input in field C1 of this command is entered as the first item in the list; if 7, data input in field C1 of this command is entered as the seventh item in the list; etc. Items are as follows:

1-6:
 —

SX, SY, SZ, SXY, SYZ, SXZ total stress components

7:
 —

Temperature

8-13:
 —

SX, SY, SZ, SXY, SYZ, SXZ membrane-plus-bending stress components.

C1, C2, C3, . . . , C6

Stresses assigned to six locations starting with STITM. If a value is already in one of these locations, it will be redefined. A blank retains the previous value (except in the C1 field, which resets the STITM item to zero).

Notes

Stores fatigue stress components at a node as input on this command instead of from the current data in the database. Stresses are stored according to the event number and loading number specified. The location is associated with that previously defined for this node [FL] or else it is automatically defined. May also be used to modify any previously stored stress components. Stresses input with this command should be consistent with the global coordinate system for any FSNODE or FSSECT stresses used at the same location.

Menu Paths

Main Menu>General Postproc>Fatigue>Store Stresses>Specified Val

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FRQSCL 		Up / Home Next
FSCALE


FSCALE

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FSCALE, RFACT, IFACT

Scales force load values in the database.

SOLUTION: FE Forces

MP ME ST PR PRN <> <> <> EM <> <> PP <>

RFACT

Scale factor for the real component. Zero (or blank) defaults to 1.0. Use a small number for a zero scale factor.

IFACT

Scale factor for the imaginary component. Zero (or blank) defaults to 1.0. Use a small number for a zero scale factor.

Notes

Scales force load (force, heat flow, etc.) values in the database. Scaling applies to the previously defined values for the selected nodes [NSEL] and the selected force labels [DOFSEL]. Issue FLIST command to review results. Solid model boundary conditions are not scaled by this command, but boundary conditions on the FE model are scaled.

Note

Such scaled FE boundary conditions may still be overwritten by unscaled solid model boundary conditions if a subsequent boundary condition transfer occurs.

FSCALE does not work for tabular boundary conditions.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Operate>Scale FE Loads>Forces
Main Menu>Solution>Define Loads>Operate>Scale FE Loads>Forces

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FS 		Up / Home Next
FSDELE


FSDELE

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FSDELE, NLOC, NEV, NLOD

Deletes a stress condition for a fatigue location, event, and loading.

POST1: Fatigue

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NLOC

Delete stresses associated with location NLOC. Defaults to zero.

NEV

Delete stresses associated with event NEV. Defaults to zero.

NLOD

Delete stresses associated with loading NLOD. Defaults to zero.

Notes

Deletes a stress condition stored for a particular fatigue location, event, and loading. Use FE command to delete all stresses for a particular event or FL command to delete all stresses for a particular location.

Menu Paths

Main Menu>General Postproc>Fatigue>Store Stresses>Dele Stresses

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FSCALE 		Up / Home Next
FSLIST


FSLIST

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FSLIST, NLOC1, NLOC2, NINC, NEV, NLOD

Lists the stresses stored for fatigue evaluation.

POST1: Fatigue

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NLOC1, NLOC2, NINC

List stresses from NLOC1 (defaults to 1) to NLOC2 (defaults to NLOC1) in steps of NINC (defaults to 1). If NLOC1 = ALL, NLOC2 and NINC are ignored and stresses for all locations are listed.

NEV

Event number for stress listing (defaults to ALL).

NLOD

Loading number for stress listing (defaults to ALL).

Notes

Stresses may be listed per location, per event, per loading, or per stress condition. Use FELIST and FLLIST if only event and location parameters (no stresses) are to be listed.

Menu Paths

Main Menu>General Postproc>Fatigue>Store Stresses>List Stresses

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FSDELE 		Up / Home Next
FSNODE


FSNODE

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FSNODE, NODE, NEV, NLOD

Calculates and stores the stress components at a node for fatigue.

POST1: Fatigue

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NODE

Node number for which stress components are stored.

NEV

Event number to be associated with these stresses (defaults to 1).

NLOD

Loading number to be associated with these stresses (defaults to 1).

Notes

Calculates and stores the total stress components at a specified node for fatigue. Stresses are stored according to the event number and loading number specified. The location is associated with that previously defined for this node [FL] or else it is automatically defined. Stresses are stored as six total components (SX through SYZ). Temperature is also stored along with the total stress components. Calculations are made from the stresses currently in the database (last *SET or LCASE command). Stresses stored are in global Cartesian coordinates, regardless of the active results coordinate system [RSYS]. The FSLIST command may be used to list stresses. The FS command can be used to modify stored stresses.

Menu Paths

Main Menu>General Postproc>Fatigue>Store Stresses>From rst File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FSLIST 		Up / Home Next
FSPLOT


FSPLOT

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FSPLOT, NLOC, NEV, ITEM

Displays a fatigue stress item for a fatigue location and event.

POST1: Fatigue

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NLOC

Display stresses associated with location NLOC.

NEV

Display stresses associated with event NEV.

ITEM

Display stresses associated with item number ITEM. Items are as follows:

16
 —

SX, SY, SZ, SXY, SYZ, SXZ total stress components

7
 —

Temperature

813
 —

SX, SY, SZ, SXY, SYZ, SXZ membrane-plus-bending stress components.

Notes

Displays a fatigue stress item as a function of loading number for a particular fatigue location and event.

Menu Paths

Main Menu>General Postproc>Fatigue>Store Stresses>Plot Stresses

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FSNODE 		Up / Home Next
FSSECT


FSSECT

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FSSECT, RHO, NEV, NLOD, KBR

Calculates and stores total linearized stress components.

POST1: Fatigue

MP ME ST PR PRN <> <> <> <> <> <> PP <>

RHO

In-plane (X-Y) average radius of curvature of the inside and outside surfaces of an axisymmetric section. If zero (or blank), a plane or 3-D structure is assumed. If nonzero, an axisymmetric structure is assumed. Use a suitably large number (see the Theory Reference for ANSYS and ANSYS Workbench) or use -1 for an axisymmetric straight section.

NEV

Event number to be associated with these stresses (defaults to 1).

NLOD

Loading number to be associated with these stresses (defaults to 1).

KBR

For an axisymmetric analysis (RHO ≠ 0):

0
 —

Include the thickness-direction bending stresses

1
 —

Ignore the thickness-direction bending stresses

2
 —

Include the thickness-direction bending stress using the same formula as the Y (axial direction ) bending stress. Also use the same formula for the shear stress.

Notes

Calculates and stores the total linearized stress components at the ends of a section path [PATH] (as defined by the first two nodes with the PPATH command). The path must be entirely within the selected elements (that is, there must not be any element gaps along the path). Stresses are stored according to the fatigue event number and loading number specified. Locations (one for each node) are associated with those previously defined for these nodes [FL] or else they are automatically defined. Stresses are separated into six total components (SX through SXZ) and six membrane-plus-bending (SX through SXZ) components. The temperature at each end point is also stored along with the total stress components. Calculations are made from the stresses currently in the database (last *SET or LCASE command). Stresses are stored as section coordinate components if axisymmetric or as global Cartesian coordinate components otherwise, regardless of the active results coordinate system [RSYS]. The FSLIST command may be used to list stresses. The FS command can be used to modify stored stresses. See also the PRSECT and PLSECT commands for similar calculations.

Menu Paths

Main Menu>General Postproc>Fatigue>Store Stresses>At Cross Sect

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FSPLOT 		Up / Home Next
FSSPARM


FSSPARM

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FSSPARM, PORT1, PORT2

Calculates reflection and transmission properties of a frequency selective surface.

POST1: Special Purpose

MP <> <> <> <> <> <> <> <> EH <> PP <>

PORT1

Port number of input port. Defaults to 1.

PORT2

Port number of output port. Defaults to 1.

Notes

FSSPARM calculates reflection and transmission coefficients, power reflection and transmission coefficients, and return and insertion losses of a frequency selective surface.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Elec&Mag Calc>Port>FSS Parameters

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FSSECT 		Up / Home Next
FSUM


FSUM

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FSUM, LAB, ITEM

Sums the nodal force and moment contributions of elements.

POST1: Special Purpose

MP ME ST PR PRN <> <> <> EM <> <> PP <>

LAB

Coordinate system in which to perform summation.

(blank)
 —

Sum all nodal forces in global Cartesian coordinate system (default).

RSYS
 —

Sum all nodal forces in the currently active RSYS coordinate system.

ITEM

Selected set of nodes.

(blank)
 —

Sum all nodal forces for all selected nodes (default), excluding contact elements.

CONT
 —

Sum all nodal forces for contact nodes only.

BOTH
 —

Sum all nodal forces for all selected nodes, including contact elements.

Notes

Sums and prints, in each component direction for the total selected node set, the nodal force and moment contributions of the selected elements attached to the node set. Selecting a subset of nodes [NSEL] and then issuing this command will give the total force acting on that set of nodes (default), excluding surface-to-surface, node-to-surface, line-to-line, and line-to-surface contact elements (TARGE169, TARGE170, CONTA171, CONTA172, CONTA173, CONTA174, CONTA175, CONTA176, and CONTA177). Setting ITEM = CONT sums the nodal forces and moment contributions of the selected contact elements (CONTA171, CONTA172, CONTA173, CONTA174, CONTA175, CONTA176, and CONTA177). Setting ITEM = BOTH sums the nodal forces for all selected nodes, including contact elements. Nodal forces associated with surface loads are not included. The effects of nodal coupling and constraint equations are ignored. Moment summations are about the global origin unless another point is specified with the SPOINT command. This vector sum is printed in the global Cartesian system unless it is transformed [RSYS] and a point is specified with the SPOINT command. By default, the sum is done in global Cartesian, and the resulting vector is transformed to the requested system.

The LAB = RSYS option transforms each of the nodal forces into the active coordinate system before summing and printing. The FORCE command can be used to specify which component (static, damping, inertia, or total) of the nodal load is to be used. This command output is included in the NFORCE command.

The FSUM command should not be used with axisymmetric elements because it might calculate a moment where none exists. Consider, for example, the axial load on a pipe modeled with an axisymmetric shell element. The reaction force on the end of the pipe is the total force (for the full 360 degrees) at that location. The net moment about the centerline of the pipe would be zero, but the program would incorrectly calculate a moment at the end of the element as the force multiplied by the radius.

Using with the NLGEOM Command

If you have activated large deflection (via the NLGEOM,ON command), the FSUM command generates the following message:

Summations based on final geometry and
   will not agree with solution reactions.

The message warns that the moment reactions are incorrect. When computing moment reactions, the command assumes that the summation of rotations applies; however, it does not apply for large rotations, which require pseudovector representation to sum the rotations.

In contrast, the results for force reactions will be correct because they depend upon linear displacement vectors (which can be added).

Menu Paths

Main Menu>General Postproc>Nodal Calcs>Total Force Sum

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FSSPARM 		Up / Home Next
FTCALC


FTCALC

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FTCALC, NLOC, NODE

Performs fatigue calculations for a particular node location.

POST1: Fatigue

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NLOC

Location number of stress conditions to be used for fatigue calculation.

NODE

Node number (used only for convenience if NLOC is not input).

Menu Paths

Main Menu>General Postproc>Fatigue>Calculate Fatig

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FSUM 		Up / Home Next
FTRAN


FTRAN

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FTRAN

Transfers solid model forces to the finite element model.

SOLUTION: Solid Forces

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Notes

Forces are transferred only from selected keypoints to selected nodes. The FTRAN operation is also done if the SBCTRAN command is issued or automatically done upon initiation of the solution calculations [SOLVE].

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Operate>Transfer to FE>Forces
Main Menu>Solution>Define Loads>Operate>Transfer to FE>Forces

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FTCALC 		Up / Home Next
FTSIZE


FTSIZE

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FTSIZE, MXLOC, MXEV, MXLOD

Defines the fatigue data storage array.

POST1: Fatigue

MP ME ST PR PRN <> <> <> <> <> <> PP <>

MXLOC

Maximum number of fatigue locations (defaults to 5).

MXEV

Maximum number of fatigue events (defaults to 10).

MXLOD

Maximum number of loadings in each event (defaults to 3).

Command Default

5 locations, 10 events, 3 loadings.

Notes

Defines the size and erases the stress conditions for the fatigue data storage array. A stress condition is a loading (stresses) at a particular location (node) for a particular event. Size is defined in terms of the maximum number of locations, events, and loadings. The array size cannot be changed once data storage has begun (without erasing all previously stored data). If a size change is necessary, see the FTWRITE command.

Menu Paths

Main Menu>General Postproc>Fatigue>Size Settings

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FTRAN 		Up / Home Next
FTWRITE


FTWRITE

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FTWRITE, Fname, Ext, --

Writes all currently stored fatigue data on a file.

POST1: Fatigue

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to FATG if Fname is blank.

--

Unused field.

Notes

  • Data are written in terms of the equivalent POST1 fatigue commands [FTSIZE, FL, FS, etc.] which you can then edit and resubmit to POST1 (with a /INPUT command).

  • Once you have created a fatigue data file, each subsequent use of the FTWRITE command overwrites the contents of that file.

Menu Paths

Main Menu>General Postproc>Fatigue>Write Fatig Data

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FTSIZE 		Up / Home Next
FVMESH


FVMESH

Release 11.0 Documentation for ANSYS

Commands Reference | F Commands |

FVMESH, KEEP

Generates nodes and tetrahedral volume elements from detached exterior area elements (facets).

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM EH <> PP <>

KEEP

Specifies whether to keep the area elements after the tetrahedral meshing operation is complete.

0
 —

Delete area elements (default).

1
 —

Keep area elements.

Notes

The FVMESH command generates a tetrahedral volume mesh from a selected set of detached exterior area elements (facets). (Detached elements have no solid model associativity.) The area elements can be triangular-shaped, quadrilateral-shaped, or a mixture of the two.

The FVMESH command is in contrast to the VMESH command, which requires a volume to be input.

The main tetrahedra mesher [MOPT,VMESH,MAIN] is the only tetrahedra mesher that supports the FVMESH command. The alternate tetrahedra mesher [MOPT,VMESH,ALTERNATE] does not support FVMESH. MESH200 elements do not support FVMESH.

Tetrahedral mesh expansion [MOPT,TETEXPND,Value] is supported for both the FVMESH and VMESH commands. Tet-mesh expansion is the only mesh control supported by FVMESH.

Triangle- or quadrilateral-shaped elements may be used as input to the FVMESH command. Where quadrilaterals are used, the default behavior is for the pyramid-shaped elements to be formed at the boundary when the appropriate element type is specified. See the MOPT,PYRA command for details.

The FVMESH command does not support multiple "volumes." If you have multiple volumes in your model, select the surface elements for one "volume," while making sure that the surface elements for the other volumes are deselected. Then use FVMESH to generate a mesh for the first volume. Continue this procedure by selecting one volume at a time and meshing it, until all of the volumes in the model have been meshed.

If an error occurs during the meshing operation, the area elements are kept even if KEEP = 0.

Menu Paths

Main Menu>Preprocessor>Meshing>Mesh>Tet Mesh From>Area Elements

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FTWRITE 		Up / Home Next
G Commands


G Commands

Table of Contents

GAP - Specifies "Reduced transient gap conditions" as the subsequent status topic.
GAPF - Defines the gap force data to be stored in a variable.
GAPFINISH - Exits from the CAD import topology repair stage.
GAPLIST - Lists all joined or disjoined lines in a model (for models imported from CAD files).
GAPMERGE - Merges adjacent disjoined lines (for models imported from CAD files).
GAPOPT - Sets preferences for the CAD import repair commands.
GAPPLOT - Plots all joined or disjoined lines (for models imported from CAD files).
GAUGE - Gauges the problem domain for an edge-element formulation.
/GCMD - Controls the type of element or graph display used for the GPLOT command.
/GCOLUMN - Allows the user to apply a label to a specified curve.
GENOPT - Specifies "General options" as the subsequent status topic.
GEOM - Defines the geometry specifications for the radiation matrix calculation.
GEOMETRY - Specifies "Geometry" as the subsequent status topic.
/GFILE - Specifies the pixel resolution on Z-buffered graphics files.
/GFORMAT - Specifies the format for the graphical display of numbers.
/GLINE - Specifies the element outline style.
/GMARKER - Specifies the curve marking style.
GMATRIX - Performs electric field solutions and calculates the self and mutual conductance between multiple conductors.
GMFACE - Specifies the facet representation used to form solid models.
/GO - Reactivates suppressed printout.
/GOLIST - Reactivates the suppressed data input listing.
/GOPR - Reactivates suppressed printout.
GP - Defines a gap condition for transient analyses.
GPDELE - Deletes gap conditions.
GPLIST - Lists the gap conditions.
GPLOT - Controls general plotting.
/GRAPHICS - Defines the type of graphics display.
/GRESUME - Sets graphics settings to the settings on a file.
/GRID - Selects the type of grid on graph displays.
/GROPT - Sets various line graph display options.
GRP - Specifies the grouping mode combination method.
/GRTYP - Selects single or multiple Y-axes graph displays.
/GSAVE - Saves graphics settings to a file for later use.
GSBDATA - Specifies the constraints or applies the load at the ending point for generalized plane strain option.
GSGDATA - Specifies the reference point and defines the geometry in the fiber direction for the generalized plane strain element option.
GSLIST - When using generalized plane strain, lists the input data or solutions.
GSSOL - Specifies which results to store from the results file when using generalized plane strain.
/GST - Turns Graphical Solution Tracking (GST) on or off.
GSUM - Calculates and prints geometry items.
/GTHK - Sets line thicknesses for graph lines.
/GTYPE - Controls the entities that the GPLOT command displays.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FVMESH 		Up / Home Next
GAP


GAP

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

GAP

Specifies "Reduced transient gap conditions" as the subsequent status topic.

SOLUTION: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Solution>Gap Conditions

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
G Commands 		Up / Home Next
GAPF


GAPF

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

GAPF, NVAR, NUM, Name

Defines the gap force data to be stored in a variable.

POST26: Set Up

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NVAR

Arbitrary reference number assigned to this variable (2 to NV [NUMVAR]). Overwrites any existing results for this variable.

NUM

Number identifying gap number for which the gap force is to be stored. Issue the GPLIST command to display gap numbers.

Name

Thirty-two character name for identifying the item on the printout and displays (defaults to the name GAPF).

Notes

Defines the gap force data to be stored in a variable. Applicable only to the expansion pass of the reduced or mode superposition linear transient dynamic (ANTYPE,TRANS) analysis. The data usually on Fname.RDSP.

Menu Paths

Main Menu>TimeHist Postpro>Define Variables
Main Menu>TimeHist Postpro>Elec&Mag>Circuit>Define Variables

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
GAP 		Up / Home Next
GAPFINISH


GAPFINISH

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

GAPFINISH

Exits from the CAD import topology repair stage.

PREP7: CAD Repair

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Data will remain intact in the database, but the database is not automatically written to a file (use the SAVE command to write the database to a file).

This command is part of the suite of commands available to find gaps and repair the topology of a model imported from a CAD system through the Default IGES option. These commands are made available if, during a CAD import operation, ANSYS detects topological defects (small gaps, large holes, or overlapping entities). You cannot use the GAPMERGE command on a model after issuing the GAPFINISH command; however, you can continue to repair the model with the geometry repair commands.

Menu Paths

Main Menu>Preprocessor>Modeling>Topo Repair>Finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
GAPF 		Up / Home Next
GAPLIST


GAPLIST

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

GAPLIST, Lab

Lists all joined or disjoined lines in a model (for models imported from CAD files).

PREP7: CAD Repair

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Label defining the type of plot:

OPEN
 —

Lists all disjoined edges. This is the default option.

CLOSED
 —

Lists all seam lines that are currently "sewn" to adjacent areas.

Notes

Disjoined lines are those lines which have only one area attached to them. Typically, these occur around gaps in the model and should be merged with adjacent disjoined lines using the GAPMERGE command (topological repair) or ARFILL command (geometry repair).

This command is available for both topological and geometric repair for models imported from CAD files through the Default IGES option. If topological repair is active, you can specify what is listed through the GAPOPT,OESELE command.

Menu Paths

Main Menu>Preprocessor>Modeling>Geom Repair>Lst Model Gaps>Close Edges
Main Menu>Preprocessor>Modeling>Geom Repair>Lst Model Gaps>Open Edges
Main Menu>Preprocessor>Modeling>Topo Repair>Lst Model Gaps>Close Edges
Main Menu>Preprocessor>Modeling>Topo Repair>Lst Model Gaps>Open Edges

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
GAPFINISH 		Up / Home Next
GAPMERGE


GAPMERGE

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

GAPMERGE, Lab, VAL1, VAL2, VAL3

Merges adjacent disjoined lines (for models imported from CAD files).

PREP7: CAD Repair

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Label defining the type of merge operation.

TOLER
—

Disjoined lines are merged if they are within the tolerance factor specified by the GAPOPT command.

ITER
—

Disjoined lines are merged through an iterative merging process, where a series of merges occur starting with the tolerance factor specified in VAL1 until the value specified in VAL2 is reached. The merges occur at increments specified through VAL3. By default, VAL1 is set to its minimum value (1), VAL2 is set to its maximum value (10), and VAL3 is set to 1.

Notes

While the Lab = ITER options provides a robust, automatic method for "sewing" gaps, it also requires considerable processing.

This command is part of the suite of commands available to repair the topology of a model imported from CAD systems through the Default IGES option (see Importing Solid Models in the Modeling and Meshing Guide). These commands are made available if, during a CAD import operation, ANSYS detects topological defects (small gaps, large holes, or overlapping entities). You cannot use the topological repair commands on a model after issuing the GAPFINISH command; however, you can continue to repair the model with the geometry commands.

Menu Paths

Main Menu>Preprocessor>Modeling>Topo Repair>Mrg Model Gaps>By Tolerance
Main Menu>Preprocessor>Modeling>Topo Repair>Mrg Model Gaps>Iterative

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
GAPLIST 		Up / Home Next
GAPOPT


GAPOPT

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

GAPOPT, Lab, Value

Sets preferences for the CAD import repair commands.

PREP7: CAD Repair

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Label Identifying the preference set by the command. The meaning of Value varies depending on Lab.

TOLER
—

Set tolerance for the GAPMERGE (used only for manual, not iterative, merging), GAPLIST, and GAPPLOT commands as a factor, defined by Value, times the default tolerance. By default, Value is set to its minimum value.

OESELE
—

Determines what will be displayed by the GAPLIST and GAPPLOT commands. Value can be:

ALL
—

GAPLIST and GAPPLOT will display all currently existing disjoined edges with both small gaps and large holes. This is the default option.

MERGE
—

GAPLIST and GAPPLOT will display all open edges that can be merged with the current tolerance.

REMAIN
—

GAPLIST and GAPPLOT will display all open edges that will remain after merging is performed using the current tolerance.

Value

Additional input value described under Lab.

Notes

This command is used for the topological repair of models imported from CAD files through the Default IGES option. If no previous defeaturing has been done, setting the tolerance will automatically merge all gaps by the specified value.

Menu Paths

Main Menu>Preprocessor>Modeling>Topo Repair>Preferences

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
GAPMERGE 		Up / Home Next
GAPPLOT


GAPPLOT

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

GAPPLOT, Lab

Plots all joined or disjoined lines (for models imported from CAD files).

PREP7: CAD Repair

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Label defining the type of plot:

OPEN
 —

Plots disjoined edges. This is the default option.

CLOSED
 —

Plots all edge lines that are currently "sewn" to adjacent areas.

ALL
 —

Plots all line segments (both joined and disjoined). Disjoined lines plot in a different color.

Notes

Disjoined lines are those lines which have only one area attached to them. Typically, these occur around gaps in the model and should be merged with adjacent disjoined lines using the GAPMERGE (topological repair) or ARFILL (geometry repair) command.

This command is available for both topological and geometric repair for models imported from CAD files through the Default IGES option. If topological repair is active, you can specify what is plotted through the GAPOPT,OESELE command.

Menu Paths

Main Menu>Preprocessor>Modeling>Geom Repair>Plt Model Gaps>Closed Edges
Main Menu>Preprocessor>Modeling>Geom Repair>Plt Model Gaps>Open Edges
Main Menu>Preprocessor>Modeling>Geom Repair>Plt Model Gaps>Opn & Closed
Main Menu>Preprocessor>Modeling>Topo Repair>Plt Model Gaps>Closed Edges
Main Menu>Preprocessor>Modeling>Topo Repair>Plt Model Gaps>Open Edges
Main Menu>Preprocessor>Modeling>Topo Repair>Plt Model Gaps>Opn & Closed

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
GAPOPT 		Up / Home Next
GAUGE


GAUGE

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

GAUGE, Opt

Gauges the problem domain for an edge-element formulation.

SOLUTION: Analysis Options

MP ME <> <> <> <> <> <> EM <> <> PP <>

Opt

Type of gauging performed:

TREE
 —

Perform tree gauging of the edge values (default)

OFF
 —

Do not gauge the edge values

Notes

The GAUGE command, required for electromagnetic analyses using an edge potential formulation, gauges the problem domain. The ANSYS program performs gauging over all selected elements and nodes to produce a minimal unique degree of freedom set for solution. By default, gauging is performed at the solver level for each solution [SOLVE command or MAGSOLV command]. Gauging sets edge values to zero on the tree branches of a graph. The ANSYS program removes these additional constraints after obtaining the solution; therefore, gauging is transparent to users. The GAUGE,OFF option is intended for expert ANSYS users who want to create their own gauging instead of using default tree gauging. If you issue GAUGE,OFF, you must perform the gauging manually (not recommended).

For more information about gauging, see the Theory Reference for ANSYS and ANSYS Workbench.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Magnetics>Options Only>Gauging
Main Menu>Solution>Load Step Opts>Magnetics>Options Only>Gauging

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
GAPPLOT 		Up / Home Next
/GCMD


/GCMD

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

/GCMD, WN, Lab1, Lab2, Lab3, Lab4, Lab5, Lab6, Lab7, Lab8, Lab9, Lab10, Lab11, Lab12

Controls the type of element or graph display used for the GPLOT command.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number (or ALL) to which this command applies (defaults to 1)

Lab1, Lab2, Lab3, . . . , Lab12

Command labels (for example, PLNSOL,S,X)

Notes

This command controls the type of element or graph display that appears when you issue the GPLOT command when the /GTYPE,,(ELEM or GRPH) entity type is active. If you have multiple plotting windows enabled, you can also use /GCMD to select one window when you wish to edit its contents.

For related information, see the descriptions of the GPLOT and /GTYPE commands in this manual.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Multi-Plot Contrls

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
GAUGE 		Up / Home Next
/GCOLUMN


/GCOLUMN

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

/GCOLUMN, CURVE, STRING

Allows the user to apply a label to a specified curve.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

CURVE

Curve number on which label will be applied (integer value between 1 and 10).

STRING

Name or designation that will be applied to the curve (8 characters max).

Notes

This command is used for an array parameter plot (a plot created by the *VPLOT command). Normally the label for curve 1 is "COL 1", the label for curve 2 is "COL 2" and so on; the column number is the field containing the dependent variables for that particular curve. Issuing /GCOLUMN,CURVE, with no string value specified resets the label to the original value.

Menu Paths

Utility Menu>PlotCtrls>Style>Graphs>Modify Curve

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/GCMD 		Up / Home Next
GENOPT


GENOPT

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

GENOPT

Specifies "General options" as the subsequent status topic.

SOLUTION: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Solution>General Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/GCOLUMN 		Up / Home Next
GEOM


GEOM

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

GEOM, K2D, NDIV

Defines the geometry specifications for the radiation matrix calculation.

AUX12: Radiation Matrix Method

MP ME ST PR PRN <> <> <> <> <> <> PP <>

K2D

Dimensionality key:

0
—

3-D geometry

1
—

2-D geometry (plane or axisymmetric)

NDIV

Number of divisions in an axisymmetric model. Used only with K2D = 1. Defaults to 0 (2-D plane). The 2-D model is internally expanded to a 3-D model based on the number of divisions specified (6 [image] NDIV [image] 90). For example, NDIV of 6 is internally represented by six 60° sections.

Command Default

3-D geometry.

Menu Paths

Main Menu>Radiation Opt>Matrix Method>Other Settings

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
GENOPT 		Up / Home Next
GEOMETRY


GEOMETRY

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

GEOMETRY

Specifies "Geometry" as the subsequent status topic.

PREP7: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Preprocessor>Solid Model

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
GEOM 		Up / Home Next
/GFILE


/GFILE

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

/GFILE, SIZE

Specifies the pixel resolution on Z-buffered graphics files.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

SIZE

Pixel resolution. Defaults to a pixel resolution of 800. Valid values are from 256 to 2400.

Command Default

800 pixels

Notes

Defines the pixel resolution on subsequently written graphics files (Jobname.GRPH) for software Z-buffered displays [/TYPE]. Lowering the pixel resolution produces a "fuzzier" image; increasing the resolution produces a "sharper" image but takes a little longer.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Redirect Plots>To GRPH File
Utility Menu>PlotCtrls>Redirect Plots>To PSCR File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
GEOMETRY 		Up / Home Next
/GFORMAT


/GFORMAT

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

/GFORMAT, Ftype, NWIDTH, DSIGNF

Specifies the format for the graphical display of numbers.

GRAPHICS: Labeling

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Ftype

FORTRAN format types (G is the default if this field is left blank.)

G
 —

Gxx.yy. xx and yy are described below.

F
 —

Fxx.yy

E
 —

Exx.yy

NWIDTH

Total width (12 maximum) of the field (the xx in Ftype). Defaults to 12.

DSIGNF

Number of digits after the decimal point (yy in F or E format) or number of significant digits in G format. Range is 1 to xx-6 for Ftype = G or E; and 0 to xx-3 for Ftype = F. The default is a function of Ftype and NWIDTH.

Notes

Lets you control the format of the graphical display of floating point numbers. Issue /GFORMAT,STAT to display the current settings; issue /GFORMAT,DEFA to let ANSYS choose the format for the graphical display of floating numbers.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Style>Floating Point Format

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/GFILE 		Up / Home Next
/GLINE


/GLINE

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

/GLINE, WN, STYLE

Specifies the element outline style.

GRAPHICS: Style

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number (or ALL) to which command applies (defaults to 1).

STYLE

Outline key:

0
—

Solid element outlines (default)

1
—

Dashed element outlines

-1
 —

No element outlines

Command Default

Solid element outlines

Notes

Determines the element outline style. Often used when node numbers are displayed to prevent element lines from overwriting node numbers.

Unless you are using an OpenGL or Starbase driver, the dashed element outline option (GLINE,WN,1) is not available in the following situations:

  • Z-buffered displays (/TYPE,WN,6).

  • Capped Z-buffered displays (/TYPE,WN,7).

  • Qslice Z-buffered displays (/TYPE,WN,8).

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Style>Edge Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/GFORMAT 		Up / Home Next
/GMARKER


/GMARKER

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

/GMARKER, CURVE, KEY, INCR

Specifies the curve marking style.

GRAPHICS: Style

MP ME ST PR PRN <> <> FL EM <> <> PP <>

CURVE

Curve number markers will be applied on (integer value between 1 and 10).

KEY

Marker key:

0
 —

No markers will be applied (default).

1
 —

TRIANGLES will be applied.

2
 —

SQUARES will be applied.

3
 —

DIAMONDS will be applied.

4
 —

CROSSES will be applied.

INCR

Determines the curve marking frequency. (a whole number value between 1 and 255). If INCR = 1, markers are displayed at every data point on the curve. If INCR = 2 then markers are displayed at every second data point. If INCR = 3 then they are displayed at every third data point.

Command Default

No markers will be applied.

Notes

The user-specified markers will not be drawn when the area under the curve is color-filled (/GROPT, FILL).

Menu Paths

Utility Menu>PlotCtrls>Style>Graphs>Modify Curve

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/GLINE 		Up / Home Next
GMATRIX


GMATRIX

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

GMATRIX, SYMFAC, Condname, NUMCOND, --, Matrixname

Performs electric field solutions and calculates the self and mutual conductance between multiple conductors.

SOLUTION: Analysis Options

MP <> <> <> <> <> <> <> EM <> <> PP <>

SYMFAC

Geometric symmetry factor. Conductance values are scaled by this factor which represents the fraction of the total device modeled. Defaults to 1.

Condname

Alphanumeric prefix identifier used in defining named conductor components.

NUMCOND

Total number of components. If a ground is modeled, it is to be included as a component.

--

Unused field.

Matrixname

Array name for computed conductance matrix. Defaults to GMATRIX.

Notes

To invoke the GMATRIX macro, the exterior nodes of each conductor must be grouped into individual components using the CM command. Each set of independent components is assigned a component name with a common prefix followed by the conductor number. A conductor system with a ground must also include the ground nodes as a component. The ground component is numbered last in the component name sequence.

A ground conductance matrix is a matrix relating current to a voltage vector. A ground matrix cannot be applied to a circuit modeler such as SPICE. The lumped conductance matrix is a matrix formed by a combination of lumped "arrangements" of voltage differences between conductors. You can use the lumped conductance terms in a circuit modeler such as SPICE to represent conductances between conductors.

You must enclose all name-strings in single quotes in the GMATRIX command line.

GMATRIX works with the following elements:

  • SOLID5 (KEYOPT(1) = 9)

  • SOLID98 (KEYOPT(1) = 9)

  • LINK68

  • PLANE230

  • SOLID231

  • SOLID232

This command is available from the menu path shown below only if existing results are available.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Elec&Mag Calc>Component Based>Self/Mutual conductance

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/GMARKER 		Up / Home Next
GMFACE


GMFACE

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

GMFACE, Lab, N

Specifies the facet representation used to form solid models.

GRAPHICS: Style

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Valid Labels:

FINE
—

Value that determines how coarse the facets will be.

N

An integer value between one (small) and ten (large) that determines the tolerances that will be applied to the creation of arcs and surfaces. Ten will create many facets, which may in turn cause ANSYS to run very slowly. One will create fewer facets, which may in turn cause larger tolerance errors.

Menu Paths

Utility Menu>PlotCtrls>Style>Solid Model Facets

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
GMATRIX 		Up / Home Next
/GO


/GO

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

/GO

Reactivates suppressed printout.

SESSION: List Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Reactivates printout suppressed with the /NOPR command without producing any output. The /GOPR command has the same function except that it also produces a command response from the program.

This command is valid in any processor.

Menu Paths

Main Menu>Preprocessor>Coupling / Ceqn>Rigid Region
Main Menu>Preprocessor>Modeling>Delete>Pre-tens Elemnts

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
GMFACE 		Up / Home Next
/GOLIST


/GOLIST

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

/GOLIST

Reactivates the suppressed data input listing.

SESSION: List Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Reactivates printout of the data input listing suppressed with /NOLIST.

This command is valid in any processor, but only within a batch run [/BATCH].

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/GO 		Up / Home Next
/GOPR


/GOPR

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

/GOPR

Reactivates suppressed printout.

SESSION: List Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Reactivates printout suppressed with the /NOPR command. The /GO command has the same function except that it does not produce a command response from the program.

This command is valid in any processor.

Menu Paths

Main Menu>Solution>Time Controls>Time Step Prediction

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/GOLIST 		Up / Home Next
GP


GP

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

GP, NODE1, NODE2, Lab, STIF, GAP, DAMP

Defines a gap condition for transient analyses.

SOLUTION: Gap Conditions

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NODE1

Node I of gap. If NODE1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

NODE2

Node J of gap (must be different from NODE1). Non-grounded gap nodes must be defined as master degrees of freedom or be unconstrained, active DOF in a full analysis type. Grounded gap nodes (those not defined as MDOF) need not appear elsewhere in the model.

Lab

Direction of gap action in the nodal coordinate system (implied from the following force labels): FX, FY, FZ, MX, MY, MZ.

STIF

Stiffness (Force/Length) of closed gap (may be positive or negative).

Note

High stiffness requires a small integration time step for numerical stability.

GAP

Initial size of gap. A zero (or positive) value assumes an initially open gap. A negative value defines an interference condition. For a rotational gap, GAP should be in radians.

DAMP

Damping coefficient (Force*Time/Length) of closed gap using pseudo velocity (Newmark finite difference expansion scheme).

Notes

Defines a gap condition for the reduced or mode superposition transient (ANTYPE,TRANS) analysis. If used in SOLUTION, this command is valid only within the first load step.

Repeat GP command for additional gap conditions. Gaps are numbered sequentially as input.

Note

Gaps may be renumbered by the program during the solution (see output listing)

The reduced or mode superposition transient analysis (ANTYPE,TRANS and TRNOPT,REDUC or MSUP) does not allow gap action with the standard ANSYS gap elements. Gap conditions, however, producing the same effect, may be defined. The gap condition simulates the basic gap action of the COMBIN40 element. The gap condition is treated as an explicit force (equal to the interference times contact stiffness) and affects only the load vector calculation and not the reduced stiffness matrix. The interference is calculated from the displacement extrapolated from the previous time points. A gap condition may be defined between a master degree of freedom and ground or another master degree of freedom. When a non-reduced mode extraction method is used, a master degree of freedom implies an unconstrained, active degree of freedom. Gap nodes not defined as master degrees of freedom or attached to an element are assumed to be grounded. Grounded gap nodes need not be given a spatial location nor do they need to be located on an element. Gap conditions may be defined in parallel (across the same nodes), with varying gap and stiffness values, to simulate a nonlinear (piecewise) force-deflection curve.

The gap direction is determined from the force label input on the GP command, i.e., FX defines a translational gap acting in the UX nodal degree of freedom direction, and MZ defines a rotational gap acting in the nodal ROTZ degree of freedom direction. The actual degree of freedom directions available for a particular node depends upon the degrees of freedom associated with the element types [ET] at that node. For example, degrees of freedom available with BEAM3 elements are UX, UY, and ROTZ only (so that only gap labels FX, FY, and MZ are valid).

If the coordinate systems of the nodes connecting the gap are rotated relative to each other, the same degree of freedom may be in different directions. The gap, however, assumes only a one-dimensional action. Nodes I and J may be anywhere in space (preferably coincident). No moment effects are included due to noncoincident nodes. That is, if the nodes are offset from the line of action, moment equilibrium may not be satisfied.

The contact stiffness value represents the stiffness of the closed gap. Stiffness values are related to the integration time step size and should be physically reasonable. High stiffness will require a small integration time step, otherwise, due to the displacement extrapolation, the solution may go unstable. Negative stiffness values may be used with gaps in parallel to produce a decreasing force-deflection curve.

The gap conditions, if any, should be defined in the first load step. Appearances in succeeding load steps are ignored. The order of specifying the gap nodes is important, i.e., a gap condition connecting two nodes will act differently depending upon which node is specified first on the GP command. For example, for Node 1 at X = 0.0, Node 2 at X = 0.1, and the gap defined from Node 1 to 2, a displacement of Node 1 greater than Node 2 will cause the gap to close. For the gap defined from Node 2 to 1, a displacement of Node 2 greater than Node 1 will cause the gap to close (like a hook action). In general, the gap closes whenever the separation (defined as UJ - UI + GAP) is negative. UJ is the displacement of node J, UI is the displacement of node I, and GAP is the input gap value. The gap force output appears in the printout only for the time steps for which the gap is closed. A negative spring force is always associated with a closed gap (even with the hook option).

The nonlinear gap damping provided through the DAMP field runs faster than a full transient analysis using a gap element (COMBIN40). Only ANTYPE = TRANS and TRNOPT = MSUP allow the nonlinear gap damping action. Damping conditions are ignored for the reduced transient analysis method.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Dynamic Gap Cond>Define
Main Menu>Solution>Dynamic Gap Cond>Define

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/GOPR 		Up / Home Next
GPDELE


GPDELE

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

GPDELE, GAP1, GAP2, GINC

Deletes gap conditions.

SOLUTION: Gap Conditions

MP ME ST PR PRN <> <> <> <> <> <> PP <>

GAP1, GAP2, GINC

Delete gap conditions from GAP1 to GAP2 (defaults to GAP1) in steps of GINC (defaults to 1).

Notes

Deletes gap conditions defined with the GP command. Gap conditions following those deleted are automatically compressed and renumbered. If used in SOLUTION, this command is valid only within the first load step.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Dynamic Gap Cond>Delete
Main Menu>Solution>Dynamic Gap Cond>Delete

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
GP 		Up / Home Next
GPLIST


GPLIST

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

GPLIST, GAP1, GAP2, GINC

Lists the gap conditions.

SOLUTION: Gap Conditions

MP ME ST PR PRN <> <> <> <> <> <> PP <>

GAP1, GAP2, GINC

List gap conditions from GAP1 to GAP2 (GAP2 defaults to GAP1) in steps of GINC (defaults to 1). If GAP1 = ALL (default), GAP2 and GINC are ignored and all gap conditions are listed.

Notes

This command is valid in any processor.

Menu Paths

Main Menu>Preprocessor>Loads>Dynamic Gap Cond>List All
Main Menu>Preprocessor>Loads>Dynamic Gap Cond>List Specified
Main Menu>Solution>Dynamic Gap Cond>List All
Main Menu>Solution>Dynamic Gap Cond>List Specified
Utility Menu>List>Other>Gap Conditions

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
GPDELE 		Up / Home Next
GPLOT


GPLOT

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

GPLOT

Controls general plotting.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This command displays all entity types as specified via the /GTYPE command. Only selected entities (NSEL, ESEL, KSEL, LSEL, ASEL, VSEL) will be displayed. See the descriptions of the /GTYPE and /GCMD commands for methods of setting the entity types displayed.

This command is valid in any processor.

Menu Paths

Utility Menu>Plot>Multi-Plots

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
GPLIST 		Up / Home Next
/GRAPHICS


/GRAPHICS

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

/GRAPHICS, Key

Defines the type of graphics display.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Key

Graphics key:

FULL
 —

Display all model geometry and results.

POWER
 —

Activate PowerGraphics (default when GUI is on).

Command Default

PowerGraphics ON (Key = POWER).

Notes

The /GRAPHICS command specifies the type of graphics display. Key = POWER activates the PowerGraphics capability. PowerGraphics offers faster plotting than the Key = FULL option, and speeds up element, results, area, line, and volume displays. PowerGraphics mode (the default) is automatically invoked when the GUI is accessed. This action supersedes all prior macros or start up routines (start.ans, config.ans, etc.). Full graphics mode can be accessed only by issuing /GRAPHICS, FULL after the GUI is active.

Results values (both printed and plotted) may differ between the Key = FULL and Key = POWER options because each option specifies a different set of data for averaging and display. For Key = FULL, all element and results values (interior and surface) are included. For Key = POWER, only element and results values along the model exterior surface are processed.

Caution

If you have specified one facet per element edge for PowerGraphics displays (via the /EFACET command or via choices from the General Postproc or Utility Menus), PowerGraphics does not plot midside nodes.

The /EFACET command is only applicable to element type displays. (See the descriptions of these commands for more information.)

Maximum values shown in plots can differ from printed maximum values. This is due to different averaging schemes used for plotted and printed maximum values.

PowerGraphics displays do not average at geometric discontinuities. The printouts in PowerGraphics will, however, provide averaging information at geometric discontinuities if the models do not contain shell elements. Carefully inspect the data you obtain at geometric discontinuities.

Note

In Full Graphics mode, it is possible to deselect an individual node, select all elements (including the element that contains that node), and then perform postprocessing calculations on those elements and have that unselected node not be considered in those calculations. However, if PowerGraphics is active, postprocessing always displays based on selected elements.

Commands that are not supported by PowerGraphics are listed below. These commands are executed using the Key = FULL option, regardless of whether PowerGraphics is activated. Only certain options for /CTYPE, /EDGE, /ESHAPE, *GET, /PNUM, /PSYMB, RSYS, SHELL, and *VGET are not supported by PowerGraphics. (See the descriptions of these commands for more information.)

/CTYPE | ESYS | /PBF | PRETAB | SHELL
DNSOL | *GET | PLCRACK | PRSECT | /SSCALE
/EDGE | LAYER | PLETAB | PRVECT | /SHRINK
ERNORM | /NORMAL | PLLS | /PSYMB | TALLOW
ESORT | NSEL | PLSECT | RSYS | *VGET
 | NSORT | /PNUM | SALLOW | *VPUT

Menu Paths

Utility Menu>PlotCtrls>Style>Hidden-Line Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
GPLOT 		Up / Home Next
/GRESUME


/GRESUME

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

/GRESUME, Fname, Ext, --

Sets graphics settings to the settings on a file.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to GSAV if Fname is blank.

--

Unused field.

Notes

Causes a file to be read to reset the graphics slash (/) commands as they were at the last /GSAVE command.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Restore Plot Ctrls

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/GRAPHICS 		Up / Home Next
/GRID


/GRID

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

/GRID, KEY

Selects the type of grid on graph displays.

GRAPHICS: Graphs

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KEY

Grid key:

0 (OFF)
—

No grid.

1 (ON)
—

Full grid (X and Y grid lines).

2 (X)
—

Partial grid (X grid lines only).

3 (Y)
—

Partial grid (Y grid lines only)

Command Default

No grid.

Notes

Selects the type of grid on graph displays. Graphs with multiple Y-axes can have multiple grids [/GRTYP]. The grid of the first curve is also used as the background grid (above and behind the curve). Grids for other curves are limited to be under the curves. See also /GTHK and /GROPT for other grid options.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Style>Graphs>Modify Grid

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/GRESUME 		Up / Home Next
/GROPT


/GROPT

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

/GROPT, Lab, KEY

Sets various line graph display options.

GRAPHICS: Graphs

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Apply display style as selected from the following labels:

AXDV
 —

Axis division (tick) marks (defaults to KEY = ON).

AXNM
 —

Axis scale numbers (defaults to KEY = ON, which puts numbers at the back plane of the graph). If KEY = FRONT, numbers are on the front plane of the graph.

AXNSC
 —

Axis number size scale factor. Input the scale value for KEY (defaults to 1.0).

ASCAL
 —

Automatic scaling of additional Y-axes for multi-curve [/GRTYP, 2 or 3] graphs (defaults to KEY = ON). If KEY = OFF, use base Y-axis scaling (see the /YRANGE command).

LOGX
 —

Log X scale (defaults to KEY = OFF (linear)).

LOGY
 —

Log Y scale (applies only to the base Y axis) (defaults to KEY = OFF (linear)).

FILL
 —

Color fill areas under curves (defaults to KEY = OFF).

CGRID
 —

Superimpose background grid [/GRID] over areas under filled curves (defaults to KEY = OFF).

DIG1
 —

Number of significant digits before decimal point for axis values. Input the value for KEY (defaults to 4).

DIG2
 —

Number of significant digits after decimal point for axis values. Input the value for KEY (defaults to 3).

VIEW
 —

View key for graph displays (defaults to KEY = OFF, in which case the view is (0,0,1) for 2-D graph displays or (1,2,3) for 3-D graph displays). If KEY = ON, the view settings for graph displays are the same as the view settings for the model.

REVX
 —

Plots the values on the X-axis in reverse order.

REVY
 —

Plots the values on the Y-axis in reverse order.

DIVX
 —

Determines the number of divisions (grid markers) that will be plotted on the X axis.

DIVY
 —

Determines the number of divisions (grid markers) that will be plotted on the Y axis.

LTYP
 —

Determines whether ANSYS generated (KEY = 1) or system derived (KEY = 0) fonts will be used for the axis labels.

CURL
 —

Determines the position of the curve labels. If (KEY = 1), the curve label will be plotted in the legend column, and the label will be displayed in the same color as the curve. If (KEY = 0) the curve labels will be plotted near the curve. (default).

XAXO
 —

When you use this label, the subsequent KEY value will determine an offset amount from the default (along the bottom) location for the X axis. If KEY = 1.0, a full offset occurs (the X axis is moved to the top of the graph). If KEY = 0.5, the axis is offset to the midpoint of the graph, and if KEY = 0 the axis remains in the original position, along the bottom of the graph. For any offset, a grey copy of the original axis (containing the axis numbering) remains at the original location.

YAXO
 —

When you use this label, the subsequent KEY value will determine an offset amount from the default (along the left side of the graph) location for the Y axis. If KEY = 1.0, a full offset occurs (the Y axis is moved to the right side of the graph). If KEY = 0.5, the axis is offset to the midpoint of the graph, and if KEY = 0 the axis remains in the original position, along the left side of the graph. For any offset, a gray copy of the original axis (containing the axis numbering) remains at the original location.

KEY

Option values:

OFF (0)
 —

Do not apply selected style.

ON (1)
 —

Apply selected style.

nnnn
 —

If Lab is DIG1 or DIG2, input the number of digits.

nn
 —

If Lab is AXNSC, input the scale factor.

FRONT
 —

If Lab is AXNM, FRONT may also be input.

Ndiv
 —

If Lab is DIVX or DIVY, determines the number of divisions (1-99) that will be applied to the axis.

Kfont
 —

If Lab is LTYP, Kfont is ON (1) or OFF(0). ON will use ANSYS generated fonts for the axis labels, while OFF will use SYSTEM (Windows, X-system, etc.) fonts. The default value is ON (ANSYS fonts).

Notes

Sets various line graph display options. Issue /GROPT,STAT to display the current settings. Issue /GROPT,DEFA to reset the default specifications. ANSYS informs you that graph view manipulation is inactive unless you have issued the /GROPT,VIEW,ON command. See the /AXLAB, /GRTYP, /GRID, and /GTHK commands for other graph control options.

Automatic scaling using the /XRANGE and /YRANGE commands will often yield inappropriate range values for logarithmic scales (/GROPT, LOGX or /GROPT, LOGY).

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Style>Graphs>Modify Axes
Utility Menu>PlotCtrls>Style>Graphs>Modify Curve
Utility Menu>PlotCtrls>Style>Graphs>Modify Grid

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/GRID 		Up / Home Next
GRP


GRP

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

GRP, SIGNIF, Label

Specifies the grouping mode combination method.

SOLUTION: Spectrum Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

SIGNIF

Combine only those modes whose significance level exceeds the SIGNIF threshold. For single point, multipoint, or DDAM response (SPOPT,SPRS, MPRS or DDAM), the significance level of a mode is defined as the mode coefficient of the mode, divided by the maximum mode coefficient of all modes. Any mode whose significance level is less than SIGNIF is considered insignificant and is not contributed to the mode combinations. The higher the SIGNIF threshold, the fewer the number of modes combined. SIGNIF defaults to 0.001. If SIGNIF is specified as 0.0, it is taken as 0.0. (This mode combination method is not valid for SPOPT,PSD.)

Label

Label identifying the combined mode solution output.

DISP
—

Displacement solution (default). Displacements, stresses, forces, etc., are available.

VELO
—

Velocity solution. Velocities, "stress velocities," "force velocities," etc., are available.

ACEL
—

Acceleration solution. Accelerations, "stress accelerations," "force accelerations," etc., are available.

Notes

The SIGNIF value set with this command (including the default value of 0.001) overrides the SIGNIF value set with the MXPAND command.

This command is also valid for PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>Mode Combine
Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>MultiPt>Mode Combine
Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>SinglePt>Mode Combine
Main Menu>Solution>Load Step Opts>Spectrum>Mode Combine
Main Menu>Solution>Load Step Opts>Spectrum>MultiPt>Mode Combine
Main Menu>Solution>Load Step Opts>Spectrum>SinglePt>Mode Combine

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/GROPT 		Up / Home Next
/GRTYP


/GRTYP

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

/GRTYP, KAXIS

Selects single or multiple Y-axes graph displays.

GRAPHICS: Graphs

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KAXIS

Axis selection key:

0 or 1
 —

Single Y-axis. Up to 10 curves scaled to a single Y-axis.

2
 —

Additional Y-axes (one for each curve) (3 curves maximum). Allows better scaling of curves with widely differing numbering ranges.

3
 —

Same as 2 but with additional Y-axis and curves projected out of the plane (6 curves maximum). Allows clearer display with an isometric view. The default view when KAXIS = 3 is View,1,1,2,3.

Command Default

Single Y-axis graph (except as noted for selection key 3).

Notes

The basic line graph has one or more curves plotted against the same Y and X axes. Multiple curve graphs can also be plotted with individual Y axes and the same X axis. The Y axis of the first curve is referred to as the base Y-axis and the Y axes of the other curves as additional Y axes. Curves are numbered sequentially from 1 (the base curve) in the order in which they are displayed. See the /AXLAB, /GROPT, /GRID, and /GTHK commands for other display options.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Style>Graphs>Modify Axes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
GRP 		Up / Home Next
/GSAVE


/GSAVE

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

/GSAVE, Fname, Ext, --

Saves graphics settings to a file for later use.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to GSAV if Fname is blank.

--

Unused field.

Notes

This command does not save all graphics settings, but only those that may be reset by the /RESET command. The database remains untouched. Use the /GRESUME command to read the file. Repeated use of the /GSAVE command overwrites the previous data on the file. The following commands are saved by /GSAVE:

/ANGLE | /DSCALE | /GTHCK | /PSYMB | /VSCALE
/AXLAB | /EDGE | /GTYPE | /RATIO | /VUP
/CLABEL | /ESHAPE | /LIGHT | /SHRINK | /WINDOW
/COLOR | /FOCUS | /NORMAL | /SSCALE | /XRANGE
/CONTOUR | /GCMD | /NUMBER | /TRIAD | /YRANGE
/CPLANE | /GLINE | /PBC | /TRLCY |
/CTYPE | /GRID | /PLOPTS | /TYPE |
/CVAL | /GROPT | /PNUM | /VCONE |
/DIST | /GRTYP | /PSF | /VIEW |

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Save Plot Ctrls

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/GRTYP 		Up / Home Next
GSBDATA


GSBDATA

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

GSBDATA, LabZ, VALUEZ, LabX, VALUEX, LabY, VALUEY

Specifies the constraints or applies the load at the ending point for generalized plane strain option.

SOLUTION: FE Constraints

MP ME ST <> <> <> <> <> <> <> <> PP <>

LabZ

Constraint or load at the ending point in the fiber Z direction.

F
 —

Apply a force in the fiber direction (default).

LFIBER
 —

Define a length change in the fiber direction.

VALUEZ

Value for LabZ. The default is zero.

LabX

Constraint or load on rotation about X.

MX
 —

Supply a moment to cause the rotation of the ending plane about X (default).

ROTX
 —

Define a rotation angle (in radians) of the ending plane about X.

VALUEX

Value for LabX. The default is zero.

LabY

Constraint or load on rotation about Y

MY
 —

Supply a moment to cause the rotation of the ending plane about Y (default).

ROTY
 —

Define a rotation angle (in radians) of the ending plane about Y.

VALUEY

Value for LabY. The default is zero.

Notes

All inputs are in the global Cartesian coordinate system. For more information about the generalized plane strain feature, see Generalized Plane Strain Option of 18x Solid Elements in the Elements Reference.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Gen Plane Strain
Main Menu>Solution>Define Loads>Apply>Structural>Gen Plane Strain

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/GSAVE 		Up / Home Next
GSGDATA


GSGDATA

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

GSGDATA, LFIBER, XREF, YREF, ROTX0, ROTY0

Specifies the reference point and defines the geometry in the fiber direction for the generalized plane strain element option.

PREP7: Meshing

MP ME ST <> <> <> <> <> <> <> <> PP <>

LFIBER

Fiber length from the reference point. Defaults to 1.

XREF

X coordinate of the reference point. Defaults to zero.

YREF

Y coordinate of the reference point. Defaults to zero.

ROTX0

Rotation of the ending plane about X in radians Defaults to zero.

ROTY0

Rotation of the ending plane about Y in radians Defaults to zero.

Notes

The ending point is automatically determined from the starting (reference) point and the geometry inputs. All inputs are in the global Cartesian coordinate system. For more information about the generalized plane strain feature, see Generalized Plane Strain Option of 18x Solid Elements in the Elements Reference.

Menu Paths

Main Menu>Preprocessor>Modeling>Genl plane strn

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
GSBDATA 		Up / Home Next
GSLIST


GSLIST

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

GSLIST, Lab

When using generalized plane strain, lists the input data or solutions.

SOLUTION: FE Constraints

MP ME ST <> <> <> <> <> <> <> <> PP <>

Lab

Specify the content to be listed.

GEOMETRY
 —

List the data input using GSGDATA

BC
 —

List the data input using GSBDATA.

REACTIONS
 —

When the command is issued in POST1, list the reaction force at the ending point,

and the moment about X and Y if the corresponding constraints were applied.

RESULTS
 —

When the command is issued in POST1, list the change of fiber length at the ending point during deformation and the rotation of the ending plane about X and Y during deformation.

ALL
 —

List all of the above (default).

Notes

This command can be used to list the initial position of the ending plane, the applied load or displacements in the fiber direction, the resulting position of the ending plane after deformation, and the available reaction forces and moments at the ending point.

All inputs and outputs are in the global Cartesian coordinate system. For more information about the generalized plane strain feature, see Generalized Plane Strain Option of 18x Solid Elements in the Elements Reference.

This command is valid in any processor.

Menu Paths

Utility Menu>List>Other>Genl Plane Strn

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
GSGDATA 		Up / Home Next
GSSOL


GSSOL

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

GSSOL, NVAR, Item, Comp, Name

Specifies which results to store from the results file when using generalized plane strain.

POST26: Set Up

MP ME ST <> <> <> <> <> <> <> <> PP <>

NVAR

Arbitrary reference number or name assigned to this variable. Variable numbers can be 2 to NV (NUMVAR) while the name can be an eight byte character string. Overwrites any existing results for this variable.

Item

Label identifying item to be stored.

LENGTH
 —

Change of fiber length at the ending point.

ROT
 —

Rotation of the ending plane during deformation.

F
 —

Reaction force at the ending point in the fiber direction.

M
 —

Reaction moment applied on the ending plane.

Comp

Component of the item, if Item = ROT or M.

X
 —

The rotation angle or reaction moment of the ending plane about X.

Y
 —

The rotation angle or reaction moment of the ending plane about Y.

Name

Thirty-two character name identifying the item on the printout and display. Defaults to the label formed by concatenating the first four characters of the Item and Comp labels.

Notes

This command stores the results (new position of the ending plane after deformation) for generalized plane strain. All outputs are in the global Cartesian coordinate system. For more information about the generalized plane strain feature, see Generalized Plane Strain Option of 18x Solid Elements in the Elements Reference.

Menu Paths

Main Menu>TimeHist Postpro>Variable Viewer

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
GSLIST 		Up / Home Next
/GST


/GST

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

/GST, Lab, Lab2

Turns Graphical Solution Tracking (GST) on or off.

SOLUTION: Nonlinear Options

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Determines whether the Graphical Solution Tracking feature is active. Specify ON to activate GST, or OFF to deactivate the feature.

Lab2

Activates generation of interface and field convergence files (ANSYS MFX analyses only).

Notes

For interactive runs using the GUI [/MENU,ON] or graphics [/MENU,GRPH] mode, ANSYS directs GST graphics to the screen. For interactive sessions not using GUI or graphics mode, or for batch sessions, GST graphics are saved in the ANSYS graphics file Jobname.GST.

The GST feature is available only for nonlinear structural, thermal, electric, magnetic, fluid, or CFD simulations. For more information about this feature and illustrations of the GST graphics for each analysis type, see the ANSYS Analysis Guide for the appropriate discipline. See also the CNVTOL command description.

The GST feature is also available for a p-method electrostatic analysis. For interactive sessions with the p-method electrostatic preference set, ANSYS directs the GST graphics to the screen.

When running an ANSYS MFX analysis, specify /GST,ON,ON to generate both the interface (Jobname.NLH) and field convergence (Fieldname.GST) files for monitoring the analysis. This field is not available on the GUI.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Output Ctrls>Grph Solu Track
Main Menu>Solution>Load Step Opts>Output Ctrls>Grph Solu Track

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
GSSOL 		Up / Home Next
GSUM


GSUM

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

GSUM

Calculates and prints geometry items.

PREP7: Keypoints

PREP7: Lines

PREP7: Areas

PREP7: Volumes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Calculates and prints geometry items (centroid location, moments of inertia, length, area, volume etc.) associated with the selected keypoints, lines, areas, and volumes. Geometry items are reported in the global Cartesian coordinate system. For volumes, a unit density is assumed unless the volumes have a material association via the VATT command. For areas, a unit density (and thickness) is assumed unless the areas have a material (and real constant) association via the AATT command. For lines and keypoints, a unit density is assumed, irrespective of any material associations [LATT, KATT, MAT]. Items calculated by GSUM and later retrieved by a *GET or *VGET commands are valid only if the model is not modified after the GSUM command is issued. This command combines the functions of the KSUM, LSUM, ASUM, and VSUM commands.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Calc Geom Items>Of Geometry

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/GST 		Up / Home Next
/GTHK


/GTHK

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

/GTHK, Label, THICK

Sets line thicknesses for graph lines.

GRAPHICS: Graphs

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Label

Apply thicknesses as selected from the following labels:

AXIS
 —

Modify thickness of ordinate and abscissa axes on graph displays.

GRID
 —

Modify thickness of grid lines on graph displays.

CURVE
 —

Modify thickness of curve lines (when no area fill [/GROPT]).

THICK

Thickness ratio (whole numbers only, from -1 to 10):

1
 —

Do not draw the curve, but show only the markers specified by /GMARKER.

0 or 1
 —

Thin lines.

2
 —

The default thickness.

3
 —

1.5 times the default thickness.

etc.
 —

(up to 10)

Notes

Sets line thicknesses for graph lines (in raster mode only). Use /GTHK,STAT to show settings.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Style>Graphs>Modify Axes
Utility Menu>PlotCtrls>Style>Graphs>Modify Curve
Utility Menu>PlotCtrls>Style>Graphs>Modify Grid

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
GSUM 		Up / Home Next
/GTYPE


/GTYPE

Release 11.0 Documentation for ANSYS

Commands Reference | G Commands |

/GTYPE, WN, LABEL, KEY

Controls the entities that the GPLOT command displays.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number (or ALL) to which this command applies (defaults to 1)

LABEL

This represents the type of entity to display:

NODE
 —

Nodes

ELEM
 —

Elements

KEYP
 —

Keypoints

LINE
 —

Lines

AREA
 —

Areas

VOLU
 —

Volumes

GRPH
 —

Graph displays

KEY

Switch:

0
 —

Turns the entity type off.

1
 —

Turns the entity type on.

Notes

The /GTYPE command controls which entities the GPLOT command displays. NODE, ELEM, KEYP, LINE, AREA, and VOLU are on by default. When ELEM is activated, you can control the type of element displayed via the /GCMD command (which also controls the type of graph display). When the GRPH entity type is activated, all other entity types are deactivated. Conversely, when any of the NODE, ELEM, KEYP, LINE, AREA, and VOLU entity types are active, the GRPH entity type is deactivated.

The /GTYPE command gives you several options for multi-window layout:

  • One window

  • Two windows (left and right or top and bottom of the screen)

  • Three windows (two at the top and one at the bottom of the screen, or one top and two bottom windows

  • Four windows (two at the top and two at the bottom)

Once you choose a window layout, you can choose one of the following: multiple plots, replotting, or no redisplay.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Multi-Plot Contrls

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/GTHK 		Up / Home Next
H Commands


H Commands

Table of Contents

HARFRQ - Defines the frequency range in the harmonic response analysis.
/HBC - Determines how boundary condition symbols are displayed in a display window.
HBMAT - Writes an assembled global matrix in Harwell-Boeing format.
/HEADER - Sets page and table heading print controls.
HELP - Displays help information on ANSYS commands and element types.
HELPDISP - Displays help information on DISPLAY program commands.
HEMIOPT - Specifies options for Hemicube view factor calculation.
HFADP - Turns a high-frequency adaptive error calculation on or off.
HFANG - Defines or displays spatial angles of a spherical radiation surface for antenna parameter calculations.
HFARRAY - Defines phased array antenna characteristics.
HFDEEM - Calibrates S-parameter phase shift.
HFEIGOPT - Specifies high frequency electromagnetic modal analysis options.
HFEREFINE - Automatically refines high-frequency tetrahedral elements (HF119) or lists high-frequency brick elements (HF120) with the largest error.
HFMODPRT - Calculates electromagnetic field distribution for a modal port.
HFNEAR - Calculates the electromagnetic field at points in the near zone exterior to the equivalent source surface (flagged with the Maxwell surface flag in the preprocessor).
HFPA - Specifies a radiation scan angle for a phased array antenna analysis.
HFPCSWP - Calculates the propagating constants of a transmission line or waveguide over a frequency range.
HFPOWER - Calculates power terms of a multi-port network.
HFPORT - Specifies input data for waveguide, modal, lumped gap, or plane wave ports.
HFSCAT - Specifies a high-frequency scattering analysis.
HFSWEEP - Performs a harmonic response for a high-frequency electromagnetic wave guide analysis.
HFSYM - Indicates the presence of symmetry planes for the computation of high-frequency electromagnetic fields in the near and far field domains (beyond the finite element region).
HMAGSOLV - Specifies 2-D or axisymmetric harmonic magnetic solution options and initiates the solution.
HPGL - Specifies various HP options.
HPTCREATE - Defines a hard point.
HPTDELETE - Deletes selected hardpoints.
HRCPLX - Computes and stores in the database the time-harmonic solution at a prescribed phase angle.
HREXP - Specifies the phase angle for the harmonic analysis expansion pass.
HROPT - Specifies harmonic analysis options.
HROUT - Specifies the harmonic analysis output options.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/GTYPE 		Up / Home Next
HARFRQ


HARFRQ

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HARFRQ, FREQB, FREQE

Defines the frequency range in the harmonic response analysis.

SOLUTION: Dynamic Options

MP ME ST PR PRN <> <> <> EM <> <> PP <>

FREQB

Frequency (Hz) at the beginning of the FREQB to FREQE range (if FREQE > FREQB). If FREQE is blank, the solution is done only at frequency FREQB.

FREQE

Frequency at end of this range. Solutions are done at an interval of (FREQE-FREQB)/NSBSTP, ending at FREQE. No solution is done at the beginning of the frequency range. NSBSTP is input on the NSUBST command. See EXPSOL for expansion pass solutions.

Notes

Defines the frequency range for loads in the harmonic response analysis (ANTYPE,HARMIC).

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Time/Frequenc>Freq and Substps
Main Menu>Solution>Load Step Opts>Time/Frequenc>Freq and Substps

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
H Commands 		Up / Home Next
/HBC


/HBC

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

/HBC, WN, Key

Determines how boundary condition symbols are displayed in a display window.

GRAPHICS: Labeling

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window reference number. This number can be any window numbered 1 to 5, or ALL (for all active windows). Defaults to 1

Key

Key to enable/disable hidden surface boundary condition symbol display for 2-D graphics devices and to request improved pressure contour display for 2-D and 3-D devices: Key = ON, YES or 1 will show your BC symbols on the hidden surfaces and use an improved pressure contour display. Key = OFF, NO or 0 (default) will hide the symbols .

Command Default

/HBC,WN,Off

For 2-D graphics devices (X11, win32, PNG, et al.), boundary condition symbols are NOT drawn to the hidden surface display. For both 2-D and 3-D graphics devices, no enhanced rendering of pressure contours occurs.

Menu Paths

Utility Menu>PlotCtrls>Style>Hidden-Line Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HARFRQ 		Up / Home Next
HBMAT


HBMAT

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HBMAT, Fname, Ext, --, Form, Matrx, Rhs, Mapping

Writes an assembled global matrix in Harwell-Boeing format.

AUX2: Binary Files

MP <> <> <> <> <> <> <> <> EH <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

Defaults to the current Jobname if left blank.

Ext

Filename extension (8 character maximum).

Defaults to .MATRIX if left blank.

--

Unused field.

Form

Specifies format of output matrix file:

ASCII
 —

Write output matrix file in ASCII form.

BIN
 —

Write output matrix file in binary form.

Matrx

Specify which matrix to write to the output matrix file:

STIFF
 —

Write stiffness matrix to output matrix file. Valid for all types of analyses that write a .FULL file.

MASS
 —

Write mass matrix to output matrix file. Valid for buckling, substructure, and modal analyses. If .FULL file was generated in a buckling analysis, then this label will write stress stiffening matrix to output matrix file.

DAMP
 —

Write damping matrix to output matrix file. Only valid for damped modal analyses.

Rhs

Specifies whether to write the right-hand side vector to output matrix file:

YES
 —

Write right-hand side vector to output matrix file

NO
 —

Do not write right-hand side vector to output matrix file

Mapping

Specifies whether to write the mapping file. This file is always named Fname.MAPPING.

YES
 —

Write the mapping file

NO
 —

Do not write the mapping file (default)

Command Default

By default, assuming a proper filename and extension have been entered, writes the stiffness matrix and right-hand side vector to jobname.MATRIX in the current working directory in ASCII format.

Notes

This command is used to copy a matrix from the assembled global matrix file (.FULL file) or from the superelement matrix file (.SUB file) as specified on the FILE command and write it in Harwell-Boeing format to a new file, named jobname.MATRIX. The Harwell-Boeing format is widely used by other applications that deal with matrices.

The assembled global matrix file is created during solution depending on the analysis type, equation solver, and other solution options. By default, the assembled global matrix file is never deleted at the end of solution. For most analysis types, the Sparse direct solver, the ICCG solver, and the AMG solver (when available) will write a .FULL file. For buckling and modal analyses, most mode extraction methods will write a .FULL file. However, currently only the Block Lanczos, PCG Lanczos, and QR-damped mode extraction methods will write a properly formatted .FULL file to be used with the HBMAT command. The frontal solver, along with the subspace mode extraction method will not write a properly formatted .FULL file to be used with the HBMAT command.

When dumping the stiffness matrix for transient and harmonic analyses, be aware that the element mass matrix values (and possibly element damping matrix values) are incorporated into the globally assembled stiffness matrix. Thus, the globally assembled stiffness matrix represents more than the stiffness of the model for these analysis types. Please refer to the Theory Reference for ANSYS and ANSYS Workbench for more details.

When dumping a .FULL file, the rows and columns corresponding to specified constraints (e.g., D commands) are eliminated from the system of equations and therefore are not written to the .MATRIX file. Also, rows and columns corresponding to eliminated (slave) degrees of freedom from coupling and/or constraint equations (e.g., CE, CP commands) are also eliminated from the system of equations and are not written to the .MATRIX file. The DOFs that are eliminated from any coupling and/or constraint equations are determined internally by the solution code and may not match what you specified via the CE/CP (or similar) commands.

When dumping a .SUB file, the full nxn matrix will be written to the .MATRIX file for either symmetric or unsymmetric matrices, regardless of whether any of the matrix coefficients are zero-valued. When dumping a .FULL file, only the lower triangular part of the matrix will be written to the .MATRIX file if the matrix is symmetric; the full matrix is written if the matrix is unsymmetric. Only matrix coefficients that are greater than zero will be written.

The Harwell-Boeing format is column-oriented. That is, non-zero matrix values are stored with their corresponding row indices in a sequence of columns. However, since the ANSYS matrix files are stored by row and not column, when the HBMAT command is used with a non-symmetric matrix, the transpose of the matrix is, in fact, written.

The WRFULL command, in conjunction with the SOLVE command, can be used to generate the assembled global matrix file and eliminate the equation solution process and results output process.

The mapping file can be used to map the matrix equation numbers found in the .MATRIX file directly to the corresponding node numbers and degrees of freedom.

When dumping a CMS .SUB file, the last rows/columns of the matrix are non-physical degrees of freedom added internally by the CMS process and cannot be mapped directly to a node number or particular degree of freedom.

Menu Paths

Utility Menu>File>List>Binary Files
Utility Menu>List>Files>Binary Files

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/HBC 		Up / Home Next
/HEADER


/HEADER

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

/HEADER, Header, Stitle, Idstmp, Notes, Colhed, Minmax

Sets page and table heading print controls.

POST1: Listing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Header

ANSYS page header (system, date, time, version, copyright, title, etc.):

ON
 —

Turns this item on (default for batch mode; not available for interactive mode).

OFF
 —

Turns this item off.

(blank)
 —

Retains the previous setting.

Stitle

Subtitles (see /STITLE command): ON, OFF, or (blank) (see above).

Idstmp

Load step information (step number, substep number, time value): ON, OFF, or (blank) (see above).

Notes

Information relative to particular table listings: ON, OFF, or (blank) (see above).

Colhed

Column header labels of table listings (currently only for single column tables): ON, OFF, or (blank) (see above).

Minmax

Minimum/maximum information or totals after table listings: ON, OFF, or (blank) (see above).

Command Default

All specifications are on (batch mode); Header = OFF, all other specifications are on (interactive mode)

Notes

Sets specifications on or off for page and table heading print controls associated with the POST1 PRNSOL, PRESOL, PRETAB, PRRSOL, and PRPATH commands.

Note

If the printout caused a top-of-form (page eject to top of next page), the top-of-form is also suppressed with the printout. Issue /HEADER,STAT to display the current settings. Issue /HEADER,DEFA to reset the default specifications.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HBMAT 		Up / Home Next
HELP


HELP

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HELP, Name

Displays help information on ANSYS commands and element types.

SESSION: Run Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Name

Command name or element type. Examples are: HELP,MP or HELP,SOLID45 (or HELP,45). For a list of elements of a particular type, enter HELP,BEAM, HELP,SOLID, HELP,HYPER, etc.

Notes

If Name uniquely matches a command or element name, the description for that command or element will be displayed in the Help Window. For command help, you must type the complete command name (including the * or /). The help system cannot find partial matches. If * is used at the beginning of the string, it will be interpreted as an ANSYS * command.

For help on topics that are not ANSYS commands or element types (for example, help for the word "material"), use the index or full text search features of the ANSYS online help system.

The HELP command is valid only in GUI mode. To obtain help when not in GUI mode, you can either activate the GUI by typing /MENU,ON, or you can activate the help system directly by issuing /UI,HELP.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/HEADER 		Up / Home Next
HELPDISP


HELPDISP

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HELPDISP, Commandname

Displays help information on DISPLAY program commands.

DISPLAY: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Commandname

Any DISPLAY command. If blank, a list of DISPLAY commands is produced.

Menu Paths

It is part of the DISPLAY command.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HELP 		Up / Home Next
HEMIOPT


HEMIOPT

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HEMIOPT, HRES

Specifies options for Hemicube view factor calculation.

SOLUTION: Radiosity

AUX12: Radiosity Solver

MP ME <> PR PRN <> <> <> <> <> <> PP <>

HRES

Hemicube resolution. Increase value to increase the accuracy of the view factor calculation. Defaults to 10.

Menu Paths

Main Menu>Preprocessor>Radiation Opts>View Factor
Main Menu>Radiation Opt>Radiosity Meth>View Factor
Main Menu>Solution>Radiation Opts>View Factor

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HELPDISP 		Up / Home Next
HFADP


HFADP

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HFADP, Lab

Turns a high-frequency adaptive error calculation on or off.

SOLUTION: Analysis Options

MP <> <> <> <> <> <> <> <> EH <> PP <>

Lab

Adaptive error label:

ON
 —

Turns on adaptive error calculation.

OFF
 —

Turns off adaptive error calculation.

Notes

Adapative error calculation must be turned on to automatically refine the mesh with the HFEREFINE macro.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HEMIOPT 		Up / Home Next
HFANG


HFANG

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HFANG, Lab, PHI1, PHI2, THETA1, THETA2

Defines or displays spatial angles of a spherical radiation surface for antenna parameter calculations.

POST1: Special Purpose

MP <> <> <> <> <> <> <> <> EH <> PP <>

Lab

Spatial angle label.

ANGLE
 —

Define spatial angles (default).

STATE
 —

Display spatial angles. PHI1, PHI2, THETA1, and THETA2 are ignored.

PHI1, PHI2

Starting and ending φ angles (degrees) in the spherical coordinate system. Defaults to 0.

THETA1, THETA2

Starting and ending θ angles (degrees) in the spherical coordinate system. Defaults to 0.

Notes

Defines or displays spatial angles of a spherical radiation surface. See Spherical Coordinates in the High-Frequency Electromagnetic Analysis Guide. Use this command only with PLHFFAR,Opt = DGAIN or PRHFFAR,Opt = DGAIN, PRAD, PGAIN, or EFF.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>List Results>Field Extension>Direct Gain
Main Menu>General Postproc>List Results>Field Extension>Efficiency
Main Menu>General Postproc>List Results>Field Extension>Power Gain
Main Menu>General Postproc>List Results>Field Extension>Rad Power
Main Menu>General Postproc>Plot Results>Field Extension>Direct Gain

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HFADP 		Up / Home Next
HFARRAY


HFARRAY

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HFARRAY, NUMX, NUMY, PX, PY, SKEW, PHASEX, PHASEY

Defines phased array antenna characteristics.

POST1: Special Purpose

MP <> <> <> <> <> <> <> <> EH <> PP <>

NUMX

Number of array units in X-direction (defaults to 1).

NUMY

Number of array units in Y-direction (defaults to 1).

PX

Spatial periodicity in X-direction in meters.

PY

Spatial periodicity in Y-direction in meters.

SKEW

Skew angle for triangular periodicity from X-axis to Y-axis in degrees (defaults to 90).

PHASEX

Initial phase angle difference between array units in X-direction in degrees (defaults to 0).

PHASEY

Initial phase angle difference between array units in Y-direction in degrees (defaults to 0).

Notes

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>List Results>Field Extension>Direct Gain
Main Menu>General Postproc>List Results>Field Extension>Far Field
Main Menu>General Postproc>List Results>Field Extension>Pattern
Main Menu>General Postproc>Plot Results>Field Extension>Direct Gain
Main Menu>General Postproc>Plot Results>Field Extension>Far Field
Main Menu>General Postproc>Plot Results>Field Extension>Pattern

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HFANG 		Up / Home Next
HFDEEM


HFDEEM

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HFDEEM, Filename, Snp, PORTNUM1, L1, Filename1, Ext1, PORTNUM2, L2, Filename2, Ext2

Calibrates S-parameter phase shift.

POST1: Special Purpose

MP <> <> <> <> <> <> <> <> EH <> PP <>

Filename

A Touchstone file containing the S-parameters of a n-port system.

Snp

Extension of the n-port Touchstone file.

PORTNUM1

Port number of excitation port. Defaults to 1.

L1

Distance from the S-parameter extraction plane to the reference plane at PORTNUM1 in meters. Defaults to 0.

Filename1

A two-column Touchstone format file containing frequencies and propagating constants.

Ext1

Extension of the Filename1 file.

PORTNUM2

Port number of output port. Defaults to 1.

L2

Distance from the S-parameter extraction plane to the reference plane at PORTNUM2 in meters. Defaults to 0.

Filename2

A two-column Touchstone format file containing frequencies and propagating constants.

Ext2

Extension of the Filename2 file.

Notes

The first line of the Touchstone format files Filename1 and Filename2 is a general description of the output data and it starts with an exclamation point (!). The second line starts with a # and it is followed by a frequency unit of GHz, MHz, KHz, or Hz (for example, #GHz). The first column of the two-column format file is the frequency. The second column is the propagating constant corresponding to the working frequency.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HFARRAY 		Up / Home Next
HFEIGOPT


HFEIGOPT

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HFEIGOPT, Lab, Val1

Specifies high frequency electromagnetic modal analysis options.

SOLUTION: Analysis Options

MP <> <> <> <> <> <> <> <> EH <> PP <>

Lab

High frequency modal analysis type:

CAVITY
 —

Perform a 3-D eigenvalue analysis (default for HF119 and HF120).

CUTOFF
 —

Perform a 2-D cutoff frequency analysis (default for HF118).

GAMMA
 —

Perform a 2-D propagating constant analysis.

Val1

Valid for the GAMMA option only. If Lab = GAMMA, Val1 is the frequency in Hz.

Notes

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>Analysis Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HFDEEM 		Up / Home Next
HFEREFINE


HFEREFINE

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HFEREFINE, FACTOR, NUMLIST

Automatically refines high-frequency tetrahedral elements (HF119) or lists high-frequency brick elements (HF120) with the largest error.

PREP7: Special Purpose

MP <> <> <> <> <> <> <> <> EH <> PP <>

FACTOR

Factor applied in adaptive mesh refinement scheme. Elements are refined as follows:

  • If FACTOR = 0.5, all elements with local error > average error are refined.

  • If FACTOR > 0.5, more elements are refined. Some elements with local error < average error are included.

  • If FACTOR < 0.5, fewer elements are refined. Some elements with local error > average error are excluded.

Elements with local error > (FACTOR) (average error) will be refined. FACTOR should be in the range of 0.1 to 0.9 and it defaults to 0.5. Used only with HF119 elements.

NUMLIST

Number of brick elements to be listed. Defaults to 25. Used only with HF120 elements.

Notes

For HF119 elements, HFEREFINE automatically refines the mesh so that the measured discretization error will decrease. Execution deletes all boundary conditions and excitation sources on the finite element model.

For HF120 elements, HFEREFINE provides a list of elements with the largest error.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Meshing>Modify Mesh>HF Refine

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HFEIGOPT 		Up / Home Next
HFMODPRT


HFMODPRT

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HFMODPRT, FREQ

Calculates electromagnetic field distribution for a modal port.

SOLUTION: Analysis Options

MP <> <> <> <> <> <> <> <> EH <> PP <>

FREQ

Working frequency (Hz). No default.

Notes

This command automatically generates a port electromagnetic field by solving the 2-D eigenvalue problem and stores the solution as 3-D harmonic excitation and matching condition.

This command must be issued in SOLUTION when a modal port is defined and the SPSWP command is not used.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HFEREFINE 		Up / Home Next
HFNEAR


HFNEAR

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HFNEAR, Lab, VAL, X, Y, Z, CS

Calculates the electromagnetic field at points in the near zone exterior to the equivalent source surface (flagged with the Maxwell surface flag in the preprocessor).

POST1: Special Purpose

MP <> <> <> <> <> <> <> <> EH <> PP <>

Lab

Label describing the field:

EF
 —

Electric field (default).

H
 —

Magnetic field.

VAL

VAL is the coordinate system reference number or path.

  • VAL is the coordinate system reference number. VAL may be 0 (Cartesian), 1 (cylindrical), 2 (spherical), 4 or WP (working plane), or any previously defined local coordinate system number (>10). Defaults to 0. HFNEAR computes the electromagnetic field for the point X, Y, Z.

  • VAL = PATH. HFNEAR computes the electromagnetic field for the path data points for the path currently defined by the PATH and PPATH commands.

X, Y, Z

Location point in the VAL coordinate system. Defaults to 0, 0, 0.

CS

Coordinate system type for calculation of components and magnitude of electric or magnetic field.

0
 —

Cartesian (default).

1
 —

Cylindrical.

2
 —

Spherical.

Notes

HFNEAR uses the equivalent source principle to calculate the electromagnetic field in the near zone exterior to the equivalent source surface (flagged with the Maxwell surface flag in the preprocessor) for either of the following:

  • A point X, Y, Z in the VAL coordinate system

  • A path defined by the PATH and PPATH commands

To view the electromagnetic field results for a path, use the PLPAGM or PLPATH commands.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>List Results>Field Extension>Near Field
Main Menu>General Postproc>Path Operations>Map onto Path>HF Near Field

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HFMODPRT 		Up / Home Next
HFPA


HFPA

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HFPA, Lab, Local, VAL1, VAL2

Specifies a radiation scan angle for a phased array antenna analysis.

SOLUTION: Analysis Options

MP <> <> <> <> <> <> <> <> EH <> PP <>

Lab

Enter SCAN in this field.

Local

Local coordinate system number (defaults to 0).

VAL1

Angle from x-axis towards y-axis, φ, in degrees (defaults to 0).

VAL2

Angle from +z-axis towards -z-axis, θ, in degrees (defaults to 0).

Notes

See Figure 4.24: "Spherical Coordinates" in the High-Frequency Electromagnetic Analysis Guide for an illustration of the coordinate system.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>Analysis Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HFNEAR 		Up / Home Next
HFPCSWP


HFPCSWP

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HFPCSWP, FREQB, FREQE, FREQINC, Nummode

Calculates the propagating constants of a transmission line or waveguide over a frequency range.

SOLUTION: Analysis Options

MP <> <> <> <> <> <> <> <> EH <> PP <>

FREQB

Beginning frequency of the analysis (in Hertz).

FREQE

Ending frequency of the analysis (in Hertz). If blank, FREQE is set to FREQB and one solution is performed. (This is recommended for initially verifying the model setup.)

FREQINC

Frequency increment between solutions. If FREQINC is blank, solutions are performed at FREQB and FREQE only (default).

Nummode

Number of required modes. Defaults to 1.

Notes

HFPCSWP calculates the propagating constant for a transmission line or waveguide over a frequency range from FREQB to FREQE, in increments of FREQINC. The output data and graphical displays are written to the files HFPCSWP.OUT and HFPCSWP.GRPH respectively. Use the DISPLAY program to view the graphs.

HFPCSWP can only be used with HF118 elements.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Solve>Electromagnet>HF Emag>2D Freq Sweep

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HFPA 		Up / Home Next
HFPOWER


HFPOWER

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HFPOWER, ARG1, ARG2

Calculates power terms of a multi-port network.

POST1: Special Purpose

MP <> <> <> <> <> <> <> <> EH <> PP <>

ARG1

Excitation source port number.

ARG2

Matched output port number.

Notes

HFPOWER calculates the input power, reflected power, return loss, and power reflection coefficient for a driven port. If a matching output port is defined, it also calculates transmitted power, insertion loss and the power transmission coefficient. For lossy materials and conducting surfaces, HFPOWER also calculates the time-averaged dissipated power. The elements must be selected to calculate the dissipated power.

If ARG1 and ARG2 are both blank, no ports are specified and only the dissipated power is calculated.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Elec&Mag Calc>Element Based>Power

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HFPCSWP 		Up / Home Next
HFPORT


HFPORT

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HFPORT, Portnum, Porttype, Local, Opt1, Opt2, VAL1, VAL2, VAL3, VAL4, VAL5, VAL6, VAL7, VAL8

Specifies input data for waveguide, modal, lumped gap, or plane wave ports.

SOLUTION: Misc Loads

MP <> <> <> <> <> <> <> <> EH <> PP <>

Portnum

Port number. You specify the integer number for exterior and interior ports by the SF and BF family of commands, respectively. The number must be between 1 and 50. If status, provides status of port option settings.

Porttype

Port type:

COAX
 —

Cylindrical coaxial waveguide.

RECT
 —

Rectangular waveguide.

CIRC
 —

Circular waveguide.

PARA
 —

Parallel plate waveguide.

PLAN
 —

Incident plane wave.

LGAP
 —

Lumped gap port.

MODAL
 —

Modal port.

Local

A previously defined local Cartesian coordinate system number (>10) or 0 (global Cartesian) used to specify the geometric properties of the waveguide. Defaults to 0. The local Z-direction must be the direction of wave propagation.

Opt1

For Porttype = COAX, RECT, CIRC, PARA, and LGAP, Opt1 = Mode type:

TEM
 —

Transverse electromagnetic wave.

TEmn
 —

Transverse electric wave. See notes below.

TMmn
 —

Transverse magnetic wave. See notes below.

For Porttype = COAX, only the TEM mode is available.

For Porttype = LGAP, only the TEM mode or blank is available.

For Porttype = PLAN, Opt1 is not used.

For Porttype = MODAL, Opt1 is the required mode number. Defaults to 1.

Opt2
EXT
 —

Exterior port.

INT
 —

Interior port.

For Porttype = PLAN and LGAP, only Opt2 = INT is available.

VAL1, VAL2, VAL3, . . . , VAL8

If Porttype = COAX:

VAL1
 —

Inner radius of the coaxial waveguide.

VAL2
 —

Outer radius of the coaxial waveguide.

VAL3
 —

Zero-to-peak amplitude of the voltage between the inner and the outer conductors. If blank, the port will create a matching impedance.

VAL4
 —

Phase angle of the applied voltage (in degrees). Defaults to 0 degrees.

VAL5
 —

Input power (time-average). If power is input, it overrides the applied voltage input.

VAL6
 —

Distance from S-parameter extraction plane to reference plane. Defaults to 0.

VAL7
 —

Not used.

VAL8
 —

Not used.

If Porttype = RECT:

VAL1
 —

Width of the rectangular waveguide.

VAL2
 —

Height of the rectangular waveguide.

VAL3
 —

Zero-to-peak amplitude of the electric field component Ez for a TM wave or the magnetic field component Hz for a TE wave. If blank, the port will appear as a matching impedance.

VAL4
 —

Phase angle of the applied field (in degrees). Defaults to 0 degrees.

VAL5
 —

Input power (time-average). If power is input, it overrides the field component input.

VAL6
 —

Distance from S-parameter extraction plane to reference plane. Defaults to 0.

VAL7
 —

Not used.

VAL8
 —

Not used.

If Porttype = CIRC

VAL1
 —

Radius of the circular waveguide.

VAL2
 —

Not used.

VAL3
 —

Zero-to-peak amplitude of the electric field component Ez for a TM wave or the magnetic field component Hz for a TE wave. If blank, the port will appear as a matching impedance.

VAL4
 —

Phase angle of the applied field (in degrees). Defaults to 0 degrees.

VAL5
 —

Input power (time-average). If power is input, it overrides the field component input.

VAL6
 —

Distance from S-parameter extraction plane to reference plane. Defaults to 0.

VAL7
 —

Not used.

VAL8
 —

Not used.

If Porttype = PARA:

VAL1
 —

Width of the parallel plate waveguide (defaults to 1).

VAL2
 —

Separation between the two plates.

VAL3
 —

Zero-to-peak amplitude of the electric field component Ey for a TEM wave, electric field component Ez for a TM wave, or the magnetic field component Hz for a TE wave. If blank, the port will appear as a matching impedance.

VAL4
 —

Phase angle of the applied field (in degrees). Defaults to 0 degrees.

VAL5
 —

Input power (time-average). If power is input, it overrides the field component input.

VAL6
 —

Distance from S-parameter extraction plane to reference plane. Defaults to 0.

VAL7
 —

Not used.

VAL8
 —

Not used.

If Porttype = PLAN:

VAL1
 —

X Component of incident planar wave (V/m) in local coordinate system. Defaults to 0.

VAL2
 —

Y Component of incident planar wave (V/m) in local coordinate system. Defaults to 0.

VAL3
 —

Z Component of incident planar wave (V/m) in local coordinate system. Defaults to 0.

VAL4
 —

Angle between incident wave vector and X-axis (φ).

VAL5
 —

Angle between incident wave vector and Z-axis (θ).

VAL6
 —

Distance from S-parameter extraction plane to reference plane. Defaults to 0.

VAL7
 —

Not used.

VAL8
 —

Not used.

See Spherical Coordinates in the High-Frequency Electromagnetic Analysis Guide for an illustration of the coordinate system.

Note

VAL1, VAL2, and VAL3 = 0 for Porttype = PLAN and Opt2 = SEXT.

If Porttype = LGAP:

VAL1
 —

Width of the lumped gap port.

VAL2
 —

Separation between the central conductor and ground.

VAL3
 —

Zero-to-peak amplitude of the voltage between the central conductor and ground. Defaults to 0.

VAL4
 —

Phase angle of the applied voltage (in degrees). Defaults to 0 degrees.

VAL5
 —

Input power (time-average). If power is input, it overrides the field component input.

VAL6
 —

Distance from S-parameter extraction plane to reference plane. Defaults to 0.

VAL7
 —

Not used.

VAL8
 —

Characteristic impendance of lumped gap port. Defaults to 50 ohm.

If Porttype = MODAL:

VAL1
 —

Not used.

VAL2
 —

Not used.

VAL3
 —

Zero-to-peak amplitude of the electric field. Defaults to 0.

VAL4
 —

Phase angle of the applied electric field (in degrees). Defaults to 0 degrees.

VAL5
 —

Input power (time-average). If power is input, it overrides the field component input.

VAL6
 —

Distance from S-parameter extraction plane to reference plane. Defaults to 0.

VAL7
 —

Not used.

VAL8
 —

Not used.

Notes

The origin of the local coordinate system must be at the center of the waveguide structure. For a rectangular waveguide, the X and Y axes of the local coordinate system must be parallel to the width and height of the waveguide, respectively. For a parallel plate waveguide or a lumped gap port, the X and Y axes of the local coordinate system must be parallel to the width and separation, respectively.

The following apply to the TEmn and TMmn mode types:

  • For a rectangular waveguide, the suffix m and n mean the variation of the field along the wide side and narrow side of the waveguide, respectively.

  • For a circular waveguide, the suffix m and n mean the variation of the field along the angular and radial directions, respectively.

  • For a parallel plate waveguide, the suffix m is 0 and the suffix n means the variation of the field between the plates.

  • For a coaxial waveguide, only the TEM mode is available.

  • For a lumped gap port, only the TEM mode or blank is available.

For a lumped gap port, a uniformly distributed electromagnetic field is assumed (that is, Ey and Hx components exist in the local coordinate system).

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>EMPorts>Exterior Port>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>EMPorts>Exterior Port>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>EMPorts>Interior Port>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>EMPorts>Interior Port>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>EMPorts>Modify Port
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>EMPorts>Port Status
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>EMPorts>Exterior Port>On Areas
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>EMPorts>Exterior Port>On Nodes
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>EMPorts>Interior Port>On Areas
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>EMPorts>Interior Port>On Nodes
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>EMPorts>Modify Port
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>EMPorts>Port Status

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HFPOWER 		Up / Home Next
HFSCAT


HFSCAT

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HFSCAT, Lab

Specifies a high-frequency scattering analysis.

SOLUTION: Analysis Options

MP <> <> <> <> <> <> <> <> EH <> PP <>

Lab

Label identifying scattering analysis options:

OFF
 —

Do not perform a scattering analysis.

SCAT
 —

Perform a scattering analysis and store the scattering field (default).

TOTAL
 —

Perform a scattering analysis and store the total field.

Notes

Specifies a high frequency scattering analysis and the type of electromagnetic field output. HFSCAT,SCAT provides a scattering field output, Esc, which is required for the calculation of Radar Cross Section (RCS). HFSCAT,TOTAL provides a sum of the incident and scattering fields, Etotal = Einc+Esc.

Use the PLWAVE command to specify the incident field, Einc.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>Analysis Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HFPORT 		Up / Home Next
HFSWEEP


HFSWEEP

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HFSWEEP, FREQB, FREQE, FREQINC, Portin, Port2, Port3, Port4, Pvolt, Pang, Pdist, Vpath, Ipath, Vsymm, Isymm

Performs a harmonic response for a high-frequency electromagnetic wave guide analysis.

SOLUTION: Analysis Options

MP <> <> <> <> <> <> <> <> EH <> PP <>

FREQB

Beginning frequency of the analysis (in Hertz).

FREQE

Ending frequency of the analysis (in Hertz). If blank, FREQE is set to FREQB and one solution is performed. (This is recommended for initially verifying the model setup.)

FREQINC

Frequency increment between solutions. The analysis performs solutions at FREQB, FREQE, and equidistant solutions between these frequencies. If FREQINC is blank, the ANSYS program performs solutions at FREQB and FREQE only (default).

Portin

Port number of the input (excited) port with a TE10 mode or COAX mode excitation. (See the HFPORT and SPARM command descriptions.) If Portin is blank (default), ANSYS does no S-parameter or reflection coefficient calculations.

Port2

Output port number of a matched port. The S parameters for Portin and Port2 are calculated. If Port1 is blank (default), ANSYS does no S-parameter calculations and ignores input values for Port2 and Port3.

Port3

Second output port number of a matched port.

Port4

Third output port number of a matched port.

Pvolt

Port EMF (voltage drop magnitude) applied to the excited port. This is required for reflection coefficient calculations.

Pang

Phase angle (in degrees) of the port EMF (voltage drop). Defaults to zero.

Pdist

Propagation distance between the excited port and the evaluation point. If the Pdist value is zero, the reflection coefficient, VSWR, and return loss at the location will be calculated at the excited port. (See the REFLCOEF command description.)

Vpath

Path name for a predefined path for calculating the EMF (voltage drop) between two points. (For information about defining paths, see the PATH command description.) Use the PASAVE command to save paths after defining them. For calculating reflection coefficients in a COAX conductor, the path must be located at the propagation distance from the input port and must extend from the inner conductor to the outer conductor. (See the REFLCOEF command description for more information.) For an impedance calculation, the path may be located anywhere. If specified along with an MMF (current) path (see Ipath below), impedance will be calculated. (See the IMPD command description.)

Ipath

Path name for a predefined path, enclosing a conductor, for calculating MMF (current). The path should traverse a closed contour surrounding the conductor, and should be defined in a counterclockwise directions. If you specify Ipath with Vpath, ANSYS calculates the port impedance. Use the PASAVE command to save paths after defining them.

Vsymm

Symmetry factor applied to the calculated voltage drop. Vsymm specifies the voltage drop from the conductor to the reference point and is used in the port impedance calculation.

Isymm

Symmetry factor applied to the calculated current. The calculated current is multiplied by Isymm, and is used in the port impedance calculation.

Notes

HFSWEEP performs a harmonic response for a high-frequency electromagnetic waveguide analysis over a frequency range from FREQB to FREQE, in increments of FREQINC. HFSWEEP calculates S-parameters at each frequency step for each port. For a COAX mode waveguide (see the HFPORT command description), reflection coefficients may be calculated in a similar manner at a specified distance (Pdist) from the input port. You also can calculate impedance at a specified distance. The ANSYS program writes output data and graphical displays to files HFSWEEP.OUT and HFSWEEP.GRPH respectively. Use the DISPLAY program to view the graphs.

The diagram below shows an example waveguide and the paths used for MMF (current) and EMF (voltage drop) calculations:

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Solve>Electromagnet>HF Emag>Freq Sweep

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HFSCAT 		Up / Home Next
HFSYM


HFSYM

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HFSYM, KCN, Xkey, Ykey, Zkey

Indicates the presence of symmetry planes for the computation of high-frequency electromagnetic fields in the near and far field domains (beyond the finite element region).

POST1: Special Purpose

MP <> <> <> <> <> <> <> <> EH <> PP <>

KCN

Coordinate system reference number. KCN may be 0 (Cartesian), or any previously defined local Cartesian coordinate system number (>10). Defaults to 0.

Xkey

Key for electromagnetic field boundary condition, as prescribed for the solution, corresponding to the x = constant plane:

None
 —

No electric wall or magnetic wall boundary conditions (default).

PEC
 —

Perfect electric conductor (electric wall boundary conditions).

PMC
 —

Perfect magnetic conductor (magnetic wall boundary conditions).

Ykey

Key for electromagnetic field boundary condition, as prescribed for the solution, corresponding to the y = constant plane:

None
 —

No electric wall or magnetic wall boundary conditions (default).

PEC
 —

Perfect electric conductor (electric wall boundary conditions).

PMC
 —

Perfect magnetic conductor (magnetic wall boundary conditions).

Zkey

Key for electromagnetic field boundary condition, as prescribed for the solution, corresponding to the z = constant plane:

None
 —

No electric wall or magnetic wall boundary conditions (default).

PEC
 —

Perfect electric conductor (electric wall boundary conditions).

PMC
 —

Perfect magnetic conductor (magnetic wall boundary conditions).

Notes

HFSYM uses the image principle to indicate symmetry planes (x, y, or z = constant plane) for high-frequency electromagnetic field computations outside the modeled domain. A perfect magnetic conductor (PMC) boundary condition must be indicated even though it occurs as a natural boundary condition.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>List Results>Field Extension>Direct Gain
Main Menu>General Postproc>List Results>Field Extension>Efficiency
Main Menu>General Postproc>List Results>Field Extension>Far Field
Main Menu>General Postproc>List Results>Field Extension>Near Field
Main Menu>General Postproc>List Results>Field Extension>Pattern
Main Menu>General Postproc>List Results>Field Extension>Power Gain
Main Menu>General Postproc>List Results>Field Extension>Rad Power
Main Menu>General Postproc>List Results>Field Extension>RCS
Main Menu>General Postproc>List Results>Field Extension>RCS Normalized
Main Menu>General Postproc>Path Operations>Map onto Path>HF Near Field
Main Menu>General Postproc>Plot Results>Field Extension>Direct Gain
Main Menu>General Postproc>Plot Results>Field Extension>Far Field
Main Menu>General Postproc>Plot Results>Field Extension>Pattern
Main Menu>General Postproc>Plot Results>Field Extension>RCS
Main Menu>General Postproc>Plot Results>Field Extension>RCS Normalized

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HFSWEEP 		Up / Home Next
HMAGSOLV


HMAGSOLV

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HMAGSOLV, FREQ, NRAMP, CNVA, CNVV, CNVC, CNVE, NEQIT

Specifies 2-D or axisymmetric harmonic magnetic solution options and initiates the solution.

SOLUTION: Analysis Options

MP <> <> <> <> <> <> <> EM <> <> PP <>

FREQ

Analysis frequency (Hz).

NRAMP

Number of ramped substeps for the first load step of a nonlinear 2-D harmonic electromagnetic solution. Defaults to 3. If NRAMP = -1, ignore the ramped load step entirely.

CNVA

Convergence tolerance on the program calculated reference value for the magnetic vector potential degree of freedom. Defaults to 0.001.

CNVV

Convergence tolerance on the program calculated reference value for the time-integrated electric potential VOLT. Defaults to 0.001.

CNVC

Convergence tolerance on the program calculated reference value for the current degree of freedom CURR. Defaults to 0.001.

CNVE

Convergence tolerance on the program calculated reference value for the voltage drop degree of freedom EMF. Defaults to 0.001.

NEQIT

Maximum number of equilibrium iterations per load step. Defaults to 50.

Notes

HMAGSOLV invokes an ANSYS macro which specifies harmonic electromagnetic solution options and initiates the solution. The macro is applicable to any ANSYS 2-D or axisymmetric linear or nonlinear harmonic analysis. Results are only stored for the final converged solution. (In POST1, issue *SET,LIST to identify the load step of solution results.) The macro internally determines if a nonlinear analysis is required based on magnetic material properties defined in the database.

The macro performs a two-load-step solution sequence. The first load step ramps the applied loads over a prescribed number of substeps (NRAMP), and the second load step calculates the converged solution. For linear problems, only a single load step solution is performed. The ramped load step can be bypassed by setting NRAMP to -1.

A 3-D harmonic electromagnetic analysis is available for linear solutions only and does not require this solution macro.

The following analysis options and nonlinear options are controlled by this macro: KBC, NEQIT, NSUBST, CNVTOL, OUTRES.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Solve>Electromagnet>Harmonic Analys>Opt&Solv

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HFSYM 		Up / Home Next
HPGL


HPGL

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HPGL, Kywrd, Opt1, Opt2

Specifies various HP options.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

If Kywrd = MODEL, command format is HPGL,MODEL,Pmod.

Pmod

Valid plotter model: 7475A (default), 7550A, 7580B, 7585B, 7586B, COLORPRO, DRAFTPRO, or DRAFTMASTER.

If Kywrd = PAPER, command format is HPGL,PAPER,Size,Orien.

Size

Valid paper size: A (default), B, C, D, E, A4, A3, A2, A1, A0, CARCH, DARCH, or EARCH.

Orien

Orientation: HORIZONTAL (default) or VERTICAL.

If Kywrd = COLOR, command format is HPGL,COLOR,KEY.

KEY

Pen choice:

0
 —

Single pen

1
 —

Multiple pens

If Kywrd = DIRECT, command format is HPGL,DIRECT,Port.

Used to direct plotter commands to a port. Use HPGL,FILE to redirect output from a port back to a file. This option for Kywrd is valid in the DISPLAY program only.

Port

Port name for direct connection.

Notes

This command is available in both the ANSYS and DISPLAY programs. It is valid for Hewlett Packard Graphics Language (HPGL) format files selected in the ANSYS program with /SHOW,HPGL (or HPGL2), or with /SHOWDISP,HPGL (or HPGL2) in the DISPLAY program.

An output file is generated for each plot. The ANSYS file is named JobnameNN.HPGL. In the DISPLAY program, this file is named HPGLnn. This file remains open for a subsequent /NOERASE plot, and will be incomplete until the program is closed (/EXIT), or until the next file is opened by the next /ERASE plot request.

Menu Paths

Utility Menu>PlotCtrls>Redirect Plots>To HPGL File
Utility Menu>PlotCtrls>Redirect Plots>To HPGL2 File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HMAGSOLV 		Up / Home Next
HPTCREATE


HPTCREATE

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HPTCREATE, TYPE, ENTITY, NHP, LABEL, VAL1, VAL2, VAL3

Defines a hard point.

PREP7: Hard Points

MP ME ST PR PRN <> <> FL EM <> <> PP <>

TYPE

Type of entity on which the hard point will be created.

LINE
 —

Hard point will be created on a line.

AREA
 —

Hard point will be created within an area (not on the boundaries).

ENTITY

Number of the line or area on which the hard point will be created.

NHP

Number assigned to the hard point. Defaults to the lowest available hard point number.

LABEL

If LABEL = COORD, VAL1, VAL2, and VAL3 are the respective global X, Y, and Z coordinates. If LABEL = RATIO, VAL1 is the parameter value (this is available only for lines). Valid parameter values are between 0 and 1. VAL2 and VAL3 are ignored.

VAL1

If LABEL = RATIO, ratio value for line. If LABEL = COORD, global X coordinate value.

VAL2

If LABEL = COORD, global Y coordinate value.

VAL3

If LABEL = COORD, global Z coordinate value.

Notes

The ability to enter a parameter value provides a simple way of positioning hard points on lines. For example, to place a hard point halfway along a line, one can simply specify a VAL1 value of 0.5.

For models imported through the DEFAULT IGES filter, you can place hard points on models only by specifying coordinates (you can't place a hard point using interactive picking).

If you issue any commands that update the geometry of an entity, such as Boolean or simplification commands, any hard points associated with that entity are deleted. Therefore, you should add any hard points after completing the solid model. If you delete an entity that has associated hard points, those hard points are either

  • Deleted along with the entity (if the hard point is not associated with any other entities).

  • Detached from the deleted entity (if the hard point is associated with additional entities).

When archiving your model (CDWRITE), hardpoint information cannot be written to the IGES file. The Jobname.cdb file can be written with the CDWRITE,DB option.

Hard points are only applicable for area and volume meshing, not for beams.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Hard Points>Hard PT on area>Hard PT by coordinates
Main Menu>Preprocessor>Modeling>Create>Hard Points>Hard PT on line>Hard PT by coordinates
Main Menu>Preprocessor>Modeling>Create>Hard Points>Hard PT on line>Hard PT by ratio
Main Menu>Preprocessor>Modeling>Create>Keypoints>Hard PT on area>Hard PT by coordinates
Main Menu>Preprocessor>Modeling>Create>Keypoints>Hard PT on area>Hard PT by picking
Main Menu>Preprocessor>Modeling>Create>Keypoints>Hard PT on line>Hard PT by coordinates
Main Menu>Preprocessor>Modeling>Create>Keypoints>Hard PT on line>Hard PT by picking
Main Menu>Preprocessor>Modeling>Create>Keypoints>Hard PT on line>Hard PT by ratio

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HPGL 		Up / Home Next
HPTDELETE


HPTDELETE

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HPTDELETE, NP1, NP2, NINC

Deletes selected hardpoints.

PREP7: Hard Points

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NP1, NP2, NINC

Delete the pattern of hard points beginning with NP1 to NP2 in steps of NINC (defaults to 1). If NP1 = ALL, NP2 and NINC are ignored and the pattern is all selected hard points [KSEL]. If NP1 = P, graphical picking is enabled and all remaining command fields are ignored.

Notes

Deletes all attributes attached to the designated hard points as well as the hard points themselves. If any entity is attached to a designated hard point, the command detaches the hard point from that entity (the program will alert you that this will occur).

Menu Paths

Main Menu>Preprocessor>Modeling>Delete>Hard Points

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HPTCREATE 		Up / Home Next
HRCPLX


HRCPLX

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HRCPLX, LOADSTEP, SUBSTEP, OMEGAT, 1STLCASE, 2NDLCASE

Computes and stores in the database the time-harmonic solution at a prescribed phase angle.

POST1: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LOADSTEP

Load step number of the data set to be read (defaults to 1).

SUBSTEP

Substep number within LOADSTEP.

OMEGAT

Phase angle defined by the product of the angular frequency and time. If set to 0.0, real results are supplied. If set to 90.0, imaginary results are supplied. If set >= 360, amplitude is supplied. All others supply results at that phase angle.

1STLCASE

First load case number (defaults to 1).

2NDLCASE

Second load case number (defaults to 2).

Notes

HRCPLX combines the real and imaginary parts of results data to give the “total” solution at the specified phase angle. For postprocessing cylindrical geometry, it is suggested that you rotate the element coordinate systems into the appropriate cylindrical system (EMODIF,,ESYS) before running the solution and then view the results in this system (RSYS,SOLU) in POST1. 1STLCASE and 2NDLCASE are internally generated load cases. You may want to specify these to avoid overwriting an existing load case number 1 or 2. Not all results computed from this command are valid. See Summable, Non-summable, and Constant Data in the Basic Analysis Guide for more information.

Since HRCPLX performs load case combinations, it alters most of the data in the database. In particular, it alters applied loads such as forces and imposed displacements. To restore the original loads in the database for a subsequent analysis, reissue the SET command in POST1 to retrieve the real and imaginary set data.

See the Theory Reference for ANSYS and ANSYS Workbench for more information on harmonic analysis equations and their relationship to real and imaginary data sets.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HPTDELETE 		Up / Home Next
HREXP


HREXP

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HREXP, ANGLE

Specifies the phase angle for the harmonic analysis expansion pass.

SOLUTION: Dynamic Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

ANGLE

Phase angle (degrees) for expansion pass. If ALL (default), use both 0.0° (real) and 90.0° (imaginary) phase angles.

Notes

Specifies the phase angle where the expansion pass will be done for a harmonic reduced or harmonic mode superposition expansion pass.

This command is ignored if the HROPT command has been issued with Method = VT or Method = VTRU.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>ExpansionPass>Single Expand>By Load Step
Main Menu>Preprocessor>Loads>Load Step Opts>ExpansionPass>Single Expand>By Time/Freq
Main Menu>Preprocessor>Loads>Load Step Opts>ExpansionPass>Single Expand>Range of Solu's
Main Menu>Solution>Load Step Opts>ExpansionPass>Single Expand>By Load Step
Main Menu>Solution>Load Step Opts>ExpansionPass>Single Expand>By Time/Freq
Main Menu>Solution>Load Step Opts>ExpansionPass>Single Expand>Range of Solu's

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HRCPLX 		Up / Home Next
HROPT


HROPT

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HROPT, Method, MAXMODE, MINMODE, MCout, Damp

Specifies harmonic analysis options.

SOLUTION: Dynamic Options

MP ME ST PR PRN <> <> <> EM EH <> PP <>

Product Restrictions

Method

Solution method for the harmonic analysis:

FULL
 —

Full method (default).

REDUC
 —

Reduced method.

MSUP
 —

Mode superposition method.

VT
 —

Variational Technology method (based on FULL harmonic algorithm).

VTPA
 —

Variational Technology perfect absorber method (based on FULL harmonic algorithm)..

VTRU
 —

Variational Technology reuse method (based on FULL harmonic algorithm)..

Note

To use any Variational Technology method, you must have an HPC license.

The Variational Technology perfect absorber method (applicable to elements HF119 and HF120 only) (Method = VTPA) is about 20% faster but somewhat less accurate than the Variational Technology method (Method = VT).

The Variational Technology reuse method (Method = VTRU) simply does the stress pass of a previous run using the Variational Technology method (Method = VT) using the .RSX file. It can be used to refine the frequency range and sample density without needing to redo the entire analysis.

MAXMODE

Largest mode number to be used to calculate the response (for Method = MSUP). Defaults to the highest mode calculated in the preceding modal analysis. This option does not apply for Method = VT, VTPA, or VTRU.

MINMODE

Smallest mode number to be used (for Method = MSUP). This option does not apply for Method = VT, VTPA, or VTRU. Defaults to 1.

MCout

Modal coordinates output key (valid only for the mode superposition method MSUP):

NO
 —

No output of modal coordinates (default).

YES
 —

Output modal coordinates to the text file jobname.MCF.

Damp

Damping mode for frequency-dependent material properties (valid only for the Variational Technology Method VT).

Hysteretic
 —

Not proportional to the frequency.

Viscous
 —

Proportional to the frequency (default).

Notes

Specifies the method of solution for a harmonic analysis (ANTYPE,HARMIC). If used in SOLUTION, this command is valid only within the first load step. See the product restrictions indicated below.

To include residual vectors in your mode-superposition harmonic analysis, specify RESVEC,ON.

This command is also valid in PREP7.

If Method = FULL, this command is valid in Distributed ANSYS.

Product Restrictions

For a harmonic analysis in ANSYS Professional, the default is Method = MSUP; Method = FULL or REDUC is not allowed.

Menu Paths

Main Menu>DesignXplorer VT>Solution>Solve
Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>Analysis Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HREXP 		Up / Home Next
HROUT


HROUT

Release 11.0 Documentation for ANSYS

Commands Reference | H Commands |

HROUT, Reimky, Clust, Mcont

Specifies the harmonic analysis output options.

SOLUTION: Dynamic Options

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Reimky

Real/Imaginary print key:

ON
 —

Print complex displacements as real and imaginary components (default).

OFF
 —

Print complex displacements as amplitude and phase angle (degrees).

Clust

Cluster option (for HROPT,MSUP):

OFF
 —

Uniform spacing of frequency solutions (default).

ON
 —

Cluster frequency solutions about natural frequencies.

Mcont

Mode contributions key (for HROPT,MSUP):

OFF
 —

No print of mode contributions at each frequency (default).

ON
 —

Print mode contributions at each frequency.

Notes

Specifies the harmonic analysis (ANTYPE,HARMIC) output options. If used in SOLUTION, this command is valid only within the first load step. OUTPR,NSOL must be specified to print mode contributions at each frequency.

This command is ignored if the HROPT command has been issued with Method = SX or Method = SXRU, i.e., we do not have a printout at the expanded frequencies.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>Analysis Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HROPT 		Up / Home Next
I Commands


I Commands

Table of Contents

IC - Specifies initial conditions at nodes.
ICDELE - Deletes initial conditions at nodes.
ICE - Specifies initial conditions on elements.
ICEDELE - Deletes initial conditions on elements.
ICELIST - Lists initial conditions on elements.
ICLIST - Lists the initial conditions.
/ICLWID - Scales the line width of circuit builder icons.
/ICSCALE - Scales the icon size for elements supported in the circuit builder.
ICVFRC - Sets the initial volume fraction field for a geometry.
IGESIN - Transfers IGES data from a file into ANSYS.
IGESOUT - Writes solid model data to a file in IGES Version 5.1 format.
/IMAGE - Allows graphics data to be captured and saved.
IMAGIN - Forms an imaginary variable from a complex variable.
IMESH - Generates nodes and interface elements along lines or areas.
IMMED - Allows immediate display of a model as it is generated.
IMPD - Calculates the impedance of a conductor at a reference plane.
INISTATE - Defines initial state data and parameters.
/INPUT - Switches the input file for the commands that follow.
INRES - Identifies the data to be retrieved from the results file.
INRTIA - Specifies Inertial loads as the subsequent status topic.
INT1 - Integrates a variable.
INTSRF - Integrates nodal results on an exterior surface.
IOPTN - Controls options relating to importing a model.
IRLF - Specifies that inertia relief calculations are to be performed.
IRLIST - Prints inertia relief summary table.
ISFILE - Reads an initial stress state from a file into ANSYS.
ISTRESS -
ISWRITE - Writes an ASCII file containing the initial stress values.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HROUT 		Up / Home Next
IC


IC

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

IC, NODE, Lab, VALUE, VALUE2, NEND, NINC

Specifies initial conditions at nodes.

SOLUTION: Misc Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NODE

Node at which initial condition is to be specified. If ALL, apply to all selected nodes [NSEL]. If NODE = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may be substituted for NODE.

Lab

Degree of freedom label for which initial condition is to be specified. If ALL, use all appropriate labels. Structural labels: UX, UY, or UZ (displacements or linear velocities); ROTX, ROTY, or ROTZ (rotations or angular velocities). Thermal labels: TEMP, TBOT, TE2, TE3, . . ., TTOP (temperature). FLOTRAN fluid labels: PRES (pressure); VX, VY, or VZ (velocities); ENKE or ENDS (turbulent kinetic energy or turbulent energy dissipation); SP01 through SP06 (multiple species mass fractions) or their user-defined names [MSSPEC]. Electric label: VOLT (voltage). Magnetic labels: MAG (scalar magnetic potential); AX, AY, or AZ (vector magnetic potentials).

VALUE

Initial value of the degree of freedom (first-order value). Defaults to the program default for that DOF (0.0 for structural analysis, TUNIF for thermal analysis, etc.). Values are in the nodal coordinate system and in radians for rotational DOF.

VALUE2

Second-order degree of freedom value, mainly used to specify initial structural velocity. Defaults to the program default for that DOF (0.0 for structural analysis). Values are in the nodal coordinate system and in radians/time for rotational DOF.

NEND, NINC

Specifies the same initial condition values at the range of nodes from NODE to NEND (defaults to NODE), in steps of NINC (defaults to 1).

Notes

The IC command specifies initial conditions, which are the initial values of the specified degrees of freedom. It is valid only for a static analysis and full method transient analysis (TIMINT,ON and TRNOPT,FULL). For the transient, the initial value is specified at the beginning of the first load step, that is, at time = 0.0.

Initial conditions should always be step applied [KBC,1] and not ramped. (In a transient analysis when SOLCONTROL is ON, KBC,1 is the default as long as TIMINT is also on.)

If constraints [D, DSYM, etc.] and initial conditions are applied at the same node, the constraint specification will override.

For thermal analyses, any TUNIF specification should be specified before the IC command; otherwise, the TUNIF specification will be ignored. If the IC command is input before any TUNIF specification, use the ICDELE command and then reissue any TUNIF specification and then follow with the IC command.

Caution

Be careful not to define inconsistent initial conditions. For instance, if you define an initial velocity at a single DOF, the initial velocity at every other DOF will be 0.0, potentially leading to conflicting initial conditions. In most cases, you will want to define initial conditions at every unconstrained DOF in your model.

Once a solution has been performed, the specified initial conditions are overwritten by the actual solution and are no longer available. You must respecify them if you want to perform a re-analysis. You may want to keep a database file saved prior to the first solution for subsequent reuse.

Caution

If you use the CDWRITE command to archive your model, first order values (initial displacements, temperatures, etc.) specified by the IC command will not be written to the archive file. However, second order (structural velocity) terms will be written out.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Initial Condit'n>Define
Main Menu>Solution>Define Loads>Apply>Initial Condit'n>Define

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
I Commands 		Up / Home Next
ICDELE


ICDELE

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

ICDELE

Deletes initial conditions at nodes.

SOLUTION: Misc Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Deletes all initial conditions previously specified with the IC command at all nodes.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Delete>Initial Condit'n
Main Menu>Solution>Define Loads>Delete>Initial Condit'n

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
IC 		Up / Home Next
ICE


ICE

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

ICE, ELEM, Lab, VALUE

Specifies initial conditions on elements.

SOLUTION: Misc Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ELEM

Element to which initial condition applies. If All, apply initial condition to all selected elements [ ESEL]. If ELEM = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may be substituted for ELEM.

Lab

Valid initial conditions label. FLOTRAN fluid labels: VFRC (volume fraction).

VALUE

Initial value for the volume fraction.

Notes

The ICE command specifies initial conditions on selected elements.

Once a solution has been performed, the specified initial conditions will be overwritten by the actual solution, and are no longer available. You must respecify them if you want to perform a re-analysis.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/CFD>Volume Fract>Init Loads>On Elements
Main Menu>Solution>Define Loads>Apply>Fluid/CFD>Volume Fract>Init Loads>On Elements

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ICDELE 		Up / Home Next
ICEDELE


ICEDELE

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

ICEDELE, ELEM, Lab

Deletes initial conditions on elements.

SOLUTION: Misc Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ELEM

Element at which initial conditions are to be deleted. If ALL, initial conditions at all selected elements [ESEL] are deleted. If ELEM = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may be substituted for ELEM.

Lab

Valid initial conditions label. FLOTRAN fluid labels: VFRC (volume fraction).

Notes

Deletes all initial conditions previously specified with the ICE command at all elements.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/CFD>Volume Fract>Init Loads>On Elements
Main Menu>Solution>Define Loads>Delete>Fluid/CFD>Volume Fract>Init Loads>On Elements

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ICE 		Up / Home Next
ICELIST


ICELIST

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

ICELIST, ELEM, Lab

Lists initial conditions on elements.

SOLUTION: Misc Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ELEM

List initial condition for elements for ELEM (defaults to ALL). If ELEM = All, initial conditions for all selected elements [ESEL} are listed. If ELEM = P, graphical picking is enabled and all remaining command fields are ignored (valid only in GUI). A component name may be substituted for ELEM.

Lab

Valid initial conditions label. FLOTRAN fluid labels: VFRC (volume fraction).

Notes

Lists the initial on elements specified by the ICE command. Listing applies to all the selected elements [ESEL].

This command is valid in any processor.

Menu Paths

Utility Menu>List>Loads>Elem Init Condit'n>On Picked Elemts

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ICEDELE 		Up / Home Next
ICLIST


ICLIST

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

ICLIST, NODE1, NODE2, NINC, Lab

Lists the initial conditions.

SOLUTION: Misc Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NODE1, NODE2, NINC

List initial conditions for nodes NODE1 to NODE2 (defaults to NODE1) in steps of NINC (defaults to 1). If NODE1 = ALL (default), NODE2 and NINC are ignored and initial conditions for all selected nodes [NSEL] are listed. If NODE1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may be substituted for NODE1 (NODE2 and NINC are ignored).

Lab

Velocity key:

DISP
 —

Specification is for first order degree of freedom value (displacements, temperature, etc.) (default).

VELO
 —

Specification is for second order degree of freedom value (velocities).

Notes

Lists the initial conditions specified by the IC command. Listing applies to all the selected nodes [NSEL] and DOF labels. ICLIST is not the same as the DLIST command. All the initial conditions including the default conditions are listed for the selected nodes.

Initial conditions for a FLOTRAN analysis are primary (first order) degrees of freedom and are thus listed with the DISP key.

This command is valid in any processor.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Initial Condit'n>List Picked
Main Menu>Solution>Define Loads>Apply>Initial Condit'n>List Picked
Utility Menu>List>Loads>Initial Conditions>On Picked Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ICELIST 		Up / Home Next
/ICLWID


/ICLWID

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

/ICLWID, FACTOR

Scales the line width of circuit builder icons.

GRAPHICS: Scaling

MP <> <> <> <> <> <> <> EM <> <> PP <>

FACTOR

Multiplication factor applied to the default line width (defaults to 1). The minimum is 1 and the maximum is 6.

Notes

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Circuit>Scale Icon

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ICLIST 		Up / Home Next
/ICSCALE


/ICSCALE

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

/ICSCALE, WN, FACTOR

Scales the icon size for elements supported in the circuit builder.

GRAPHICS: Scaling

MP <> <> <> <> <> <> <> EM <> <> PP <>

WN

Window number (or ALL) to which command applies (defaults to 1).

FACTOR

Factor applied to the default icon size (defaults to 1).

Notes

Scaling the icon size can provide better visualization of the circuit components when using the Circuit Builder (an interactive builder available in the ANSYS GUI).

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Circuit>Scale Icon

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/ICLWID 		Up / Home Next
ICVFRC


ICVFRC

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

ICVFRC, Geom, VAL1, VAL2, VAL3, VAL4

Sets the initial volume fraction field for a geometry.

PREP7: FLOTRAN Miscellaneous

MP <> <> <> <> <> <> FL <> <> <> PP <>

Geom

Geometry:

CIRC
—

Circle.

ELPT
—

Ellipse.

VAL1, VAL2

Location of the center. VAL1 and VAL2 are the x and y coordinates, respectively.

VAL3, VAL4

If Geom = CIRC, VAL3 is the radius of the circle and VAL4 is not used. If Geom = ELPT, VAL3 and VAL4 are the x and y semiaxes of the ellipse, respectively.

Notes

The ICVFRC command sets the initial volume fraction field for a geometry. The initial VFRC is set to one for elements completely within the geometry. The initial VFRC is set equal to the fraction of element area within the geometry for elements intersected by the boundary of the geometry.

This command is also valid in SOLUTION.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/CFD>Volume Fract>Init Loads>By Geom>Circle
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/CFD>Volume Fract>Init Loads>By Geom>Elliptic
Main Menu>Solution>Define Loads>Apply>Fluid/CFD>Volume Fract>Init Loads>By Geom>Circle
Main Menu>Solution>Define Loads>Apply>Fluid/CFD>Volume Fract>Init Loads>By Geom>Elliptic

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/ICSCALE 		Up / Home Next
IGESIN


IGESIN

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

IGESIN, Fname, Ext, --

Transfers IGES data from a file into ANSYS.

AUX15: IGES

MP ME ST PR PRN <> <> FL EM EH <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to CAD if Fname is blank.

--

Unused field.

Notes

Reads a file containing IGES data and transfers it into the ANSYS database. The file transferred is the IGES Version 5.1, ASCII format file. IGES (Initial Graphics Exchange Specification) is a neutral format developed by the U.S. Dept. of Commerce, National Institute of Standards and Technology. There is no output transfer file written since the transferred data is read directly into the ANSYS database.

You can import multiple files into a single database, but you must use the same import option (set with the IOPTN command) for each file.

The IOPTN command sets the parameters for reading the file (refer to this command for the options and their support for IGES entities). The two main parameters are FACETED and SMOOTH. You cannot change the IOPTN settings once a file has been imported.

When a file is read using the FACETED option, the data is stored in an defeaturing database. Once the transferred data is stored, a special set of geometry repair and enhancement tools, designed specifically for use with files imported from CAD systems, are available. Files read through the SMOOTH option use the standard database.

Menu Paths

Utility Menu>File>Import

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ICVFRC 		Up / Home Next
IGESOUT


IGESOUT

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

IGESOUT, Fname, Ext, --, ATT

Writes solid model data to a file in IGES Version 5.1 format.

PREP7: Database

MP ME ST PR PRN <> <> FL EM EH <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to IGES if Fname is blank.

--

Unused field.

ATT

Attribute key:

0
 —

Do not write assigned numbers and attributes of the solid model entities to the IGES file (default).

1
 —

Write assigned numbers and attributes of solid model entities (keypoints, lines, areas, volumes) to the IGES file. Attributes include MAT, TYPE, REAL, and ESYS specifications as well as associated solid model loads and meshing (keypoint element size, number of line divisions and spacing ratio) specifications.

Notes

Causes the selected solid model data to be written to a coded file in the IGES Version 5.1 format. Previous data on this file, if any, are overwritten. Keypoints that are not attached to any line are written to the output file as IGES entity 116 (Point). Lines that are not attached to any area are written to the output file as either IGES Entity 100 (Circular Arc), 110 (Line), or 126 (Rational B-Spline Curve) depending upon whether the ANSYS entity was defined as an arc, straight line, or spline. Areas are written to the output file as IGES Entity 144 (Trimmed Parametric Surface). Volumes are written to the output file as IGES entity 186 (Manifold Solid B-Rep Object). Solid model entities to be written must have all corresponding lower level entities selected (use ALLSEL,BELOW,ALL) before issuing command. Concatenated lines and areas are not written to the IGES file; however, the entities that make up these concatenated entities are written.

Caution

Section properties assigned to areas, lines and other solid model entities will not be maintained when the model is exported from ANSYS using IGESOUT.

If you issue the IGESOUT command after generating a beam mesh with orientation nodes, the orientation keypoints that were specified for the line [LATT] are no longer associated with the line and are not written out to the IGES file. The line does not recognize that orientation keypoints were ever assigned to it, and the orientation keypoints do not "know" that they are orientation keypoints. Thus the IGESOUT command does not support (for beam meshing) any line operation that relies on solid model associativity. For example, meshing the areas adjacent to the meshed line, plotting the line that contains the orientation nodes, or clearing the mesh from the line that contains orientation nodes may not work as expected. See Meshing Your Solid Model in the Modeling and Meshing Guide for more information about beam meshing.

You cannot access this command for models that have been imported from IGES using the FACETED translator (see the IOPTN command).

Menu Paths

Utility Menu>File>Export

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
IGESIN 		Up / Home Next
/IMAGE


/IMAGE

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

/IMAGE, Label, Fname, Ext, --

Allows graphics data to be captured and saved.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Label

Label specifying the operation to be performed:

CAPTURE
 —

Capture the image from the graphics window to a new window.

RESTORE
 —

Restore the image from a file to a new window.

SAVE
 —

Save the contents of the graphic window to a file.

DELETE
 —

Delete the window that contains the file.

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

Ext

Filename extension (8 character maximum).

If no extension is specified, bmp will be used on Windows systems, and img will be used on UNIX systems.

--

Unused field.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
IGESOUT 		Up / Home Next
IMAGIN


IMAGIN

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

IMAGIN, IR, IA, --, --, Name, --, --, FACTA

Forms an imaginary variable from a complex variable.

POST26: Operations

MP ME ST PR PRN <> <> <> EM <> <> PP <>

IR

Arbitrary reference number assigned to the resulting variable (2 to NV [NUMVAR]). If this number is the same as for a previously defined variable, the previously defined variable will be overwritten with this result.

IA

Reference number of the variable to be operated on.

--, --

Unused fields.

Name

Thirty-two character name for identifying the variable on the printout and displays. Embedded blanks are compressed upon output.

--, --

Unused fields.

FACTA

Scaling factor (positive or negative) applied to variable IA (defaults to 1.0).

Notes

This command forms a new variable from a complex variable by storing the imaginary part as the real part. The imaginary part can then be used in other operations. Used only with harmonic analyses (ANTYPE,HARMIC).

Complex variables are stored in two-column arrays with the real component stored in the first column and the imaginary component stored in the second column. This command extracts the value stored in the second column (i.e., imaginary component). However, with harmonic analyses, all variables are stored in two-column arrays as complex variables. If the variable is not complex, then the same value is stored in both columns. This command will extract the variable in the second column of the array, even if this variable is not the imaginary component of a complex variable.

Menu Paths

Main Menu>TimeHist Postpro>Math Operations>Imaginary Part

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/IMAGE 		Up / Home Next
IMESH


IMESH

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

IMESH, LAKY, NSLA, NTLA, KCN, DX, DY, DZ, TOL

Generates nodes and interface elements along lines or areas.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LAKY

Copies mesh according to the following:

LINE or 1
 —

Copies line mesh (default).

AREA or 2
 —

Copies area mesh.

NSLA

Number that identifies the source line or area. This is the line or area whose mesh will provide the pattern for the interface elements. ANSYS copies the pattern of the line or area elements through the area or volume to create the mesh of area or volume interface elements.

NTLA

Number that identifies the target line or area. This is the line or area that is opposite the source line or area specified by NSLA. Add NTLA to obtain the copied mesh from the source line or area.

KCN

Number that identifies the particular ANSYS coordinate system.

DX, DY, DZ

Incremental translation of node coordinates in the active coordinate system (DR, Dθ, DZ for cylindrical, and DR, Dθ, DΦ for spherical or toroidal). The source line or area coordinates + DX, DY, DZ = the target line or area coordinates. If left blank, ANSYS automatically estimates the incremental translation.

TOL

Tolerance for verifying topology and geometry. By default, ANSYS automatically calculates the tolerance based on associated geometries.

Notes

Generates nodes and interface elements along lines or areas. The IMESH command requires that the target line or area exactly match the source line or area. Also, both target and source lines or areas must be in the same area or volume. The area or volume containing the source line or area must be meshed before executing IMESH, while the area or volume containing the target line or area must be meshed after executing IMESH.

For three dimensional problems where LAKY = AREA, ANSYS fills the interface layer according to the following table:

If source mesh consists of: | ANSYS fills the interface layer with:
Quadrilateral elements | Hexahedral elements
Triangle elements | Degenerated wedge elements
Combination quadrilateral and triangle elements | Combination hexahedral and degenerated wedge elements

Menu Paths

Main Menu>Preprocessor>Meshing>Mesh>Interface Mesh>2D Interface
Main Menu>Preprocessor>Meshing>Mesh>Interface Mesh>3D Interface

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
IMAGIN 		Up / Home Next
IMMED


IMMED

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

IMMED, KEY

Allows immediate display of a model as it is generated.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KEY

Immediate mode key:

0
 —

Display only upon request, i.e., no immediate display (default with the GUI off).

1
 —

Display immediately as model is generated (default with the GUI on).

Command Default

As described above.

Notes

Allows immediate display of a model (as it is generated) without a screen erase or a display request. Available only during an interactive session at a graphics display terminal. A valid graphics device name must first be specified on the /SHOW command.

The IMMED command allows you to control whether or not the model is displayed immediately as it is generated in an interactive session. By default in the GUI, your model will immediately be displayed in the Graphics Window as you create new entities (such as areas, keypoints, nodes, elements, local coordinate systems, boundary conditions, etc.). This is called immediate mode graphics. Also note that symbols (such as boundary conditions, local coordinate system triads, etc.) are shown immediately and will be present on subsequent displays unless you "turn off" the appropriate symbol using the GUI plot controls function or the appropriate graphics specification command.

An immediate image will also be automatically scaled to fit nicely within the Graphics Window -- a feature called automatic scaling. The new scaling is usually apparent on the automatic replot associated with immediate mode. To suppress automatic replot, issue /UIS,REPLOT,0. (With automatic replot suppressed, the immediate image may not always be automatically scaled correctly.)

Note

An immediate display in progress should not be aborted with the usual system "break" feature (or else the ANSYS session itself will be aborted). When you run the ANSYS program interactively without using the GUI, immediate mode is off by default.

This command is valid only in PREP7.

Menu Paths

Utility Menu>PlotCtrls>Erase Options>Immediate Display

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
IMESH 		Up / Home Next
IMPD


IMPD

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

IMPD, Vpath, Ipath, Vsymm, Isymm

Calculates the impedance of a conductor at a reference plane.

POST1: Magnetics Calculations

MP ME <> <> <> <> <> <> <> EH <> PP <>

Vpath

Path name for a predefined path [PATH command] for calculating the EMF (voltage drop) from the conductor to a reference point. The path should start at the outer conductor wall and end at a reference voltage point.

Ipath

Path name for a predefined path [PATH command] for calculating the MMF (current) in a conductor. The path should traverse a closed contour surrounding the conductor, and you should define the path in a counterclockwise direction.

Vsymm

Symmetry factor applied to the calculated EMF (voltage drop). The EMF (voltage drop) from the conductor to the reference point is multiplied by Vsymm.

Isymm

Symmetry factor applied to the calculated current. The calculated current is multiplied by Isymm.

Notes

Used in a harmonic high-frequency electromagnetic analysis, IMPD calculates the impedance of a conductor at a reference plane from the EMF (voltage) and MMF (current) at the reference plane. The EMF (voltage drop) is calculated by a line integral from the input path name (specified by the Vpath argument) that extends from the conductor to a reference point. The MMF (current) is calculated by a closed path around the conductor from the input path name (specified with Ipath). In cases having modeled symmetry, you can multiply the voltage drop or current by symmetry factors (Vsymm and Isymm respectively).

This command macro returns the scalar parameters Zre and Zim, representing the real and imaginary components of the impedance.

See magnetic macros for further details.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Elec&Mag Calc>Path Based>Impedance

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
IMMED 		Up / Home Next
INISTATE


INISTATE

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

INISTATE, Action, par1, par2, par3, par4, par5, par6, par7, par8, par9

Defines initial state data and parameters.

PREP7: Data Tables

SOLUTION: Analysis Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Action

Specifies action for defining or manipulating initial state data:

SET
 —

Use Action = SET to designate initial state coordinate system, data type and material type parameters. See "Command Specification for Action = SET".

DEFINE
 —

Use Action = DEFINE to specify the actual stress or strain values, and the corresponding element, integration point or layer information. See "Command Specifications for Action = DEFINE".

WRITE
 —

Use Action = WRITE to write the initial state values to a file when the SOLVE command is issued. See "Command Specifications for Action = WRITE".

READ
 —

Use Action = READ to read the initial state values from a file. See "Command Specifications for Action = READ".

LIST
 —

Use Action = LIST to read out the initial state data. See "Command Specifications for Action = LIST".

DELETE
 —

Use Action = DELE to delete initial state data from a selected set of elements. See "Command Specifications for Action = DELETE"

Command Specification for Action = SET

INISTATE, SET, par1, par2

par1 = | par2 =
CSYS

Coordinate System Type. par2 will be an integer corresponding to the coordinate system:

-2 = Element Coordinate System
-1 = Material Coordinate System
0 = Global Cartesian Coordinate System
0 - 10 = Any ANSYS defined coordinate system.
>/= 11 = Any user defined coordinate system ID.
DTYP

Data Type. par2 will be the type of data that will be set on the subsequent INISTATE,DEFIne command:

STRE = Stress data (default)
MAT | Material Type. par2 will be the material ID. Using par2 = -1 will disable material-based initial state and enable Integration Point based Initial state data.

Notes

Action = Set is used to specify and modify the environment into which you will define the initial state data by issuing a subsequent INISTATE,DEFINE command. If no Action = SET command is issued, subsequent INISTATE,DEFINE data will be input as initial stress data in the global Cartesian Coordinate System.

Command Specifications for Action = DEFINE

INISTATE, DEFINE, Elid, Eint, Klayer, Parmint, Sx, Sy, Sz, Sxy, Syz, Sxz

Elid --

Element ID number. If (blank), defaults to current element selection.

Eint --

Gauss integration point (defaults to “ALL”). Not valid for material-based initial state data.

Klayer --

Layer number (for layered solid/shell elements) or cell number for beam elements. Blank for non-layered, non-beam, elements, and not valid (ignored) for material-based initial state data.

ParmInt --

Section integration point within a layer, or cell integration point for beams (typically 4 integration points, defaults to “ALL”). Not valid for material-based initial state data.

Sx, Sy, Sz, Sxy, Syz, Sxz --

Stress values

Notes

You can repeat the INISTATE command to define multiple sets of initial state values. Initial state data can be specified according to elements, layers or integration points.

When the initial state parameters are being defined according to the material, (INISTATE, SET, MAT, MATID) ELID designates the element number and all subsequent values are ignored. See Initial State Loading in the Basic Analysis Guide for more information on implementing initial state values.

Command Specifications for Action = WRITE

INISTATE, WRITE, flag, , , , CSID

flag --

Set flag to 1 to generate initial stress file, and 0 to disable initial stress file generation.

CSID --

CSID determines the coordinate system to write initial stress:

0 (default)

Write in Global Cartesian Coordinate System for solid elements.

-1 (or MAT)

Write in Material Coordinate System

-2 (or ELEM)

Write in Element Coordinate System for link, beam, and layered elements.

Notes

Default is 0 for solid elements and -2 for link, beam, and shell elements.

Command Specifications for Action = READ

INISTATE, READ, fname, ext, path

Read initial state data from a file of a specified name, located in a specified path.

Notes

You can use the READ function to apply complex sets of initial state data to various elements, cells, layers, sections and integration points. See Initial State Loading in the Basic Analysis Guide for additional information.

Command Specifications for Action = LIST

INISTATE, LIST, ELID

Lists initial state data for elements with ID = ELID. If ELID is blank, all initial state data for all selected elements will be listed.

Command Specifications for Action = DELETE

INISTATE, DELE, ELID

Deletes initial state data for elements with ID = ELID. If ELID is blank, all initial state data for all selected elements will be deleted.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
IMPD 		Up / Home Next
/INPUT


/INPUT

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

/INPUT, Fname, Ext, --, LINE, LOG

Switches the input file for the commands that follow.

SESSION: Run Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to the current Jobname if Ext is specified.

Ext

Filename extension (8 character maximum).

--

Unused field.

LINE

A value indicating either a line number in the file or a user-defined label in the file from which to begin reading the input file.

(blank), 0, or 1
 —

Begins reading from the top of the file (default).

LINE_NUMBER
 —

Begins reading from the specified line number in the file.

:label
 —

Begins reading from the first line beginning with the matching user-defined label :label (beginning with a colon (:), 8 characters maximum).

LOG

Indicates whether secondary input from this command should be recorded in the command log (File.LOG) and the database log:

0
 —

Record only the /INPUT command on the log (default).

1
 —

Record commands in the specified secondary file as they are executed.

Notes

Switches the input file for the next commands. Commands are read from this file until an end-of-file or another file switching directive is read. An end-of-file occurs after the last record of the file or when a /EOF command is read. An automatic switch back one level (to the previous file) occurs when an end-of-file is encountered. Twenty levels of nested file switching are allowed. Note that files including *DO, *USE, *ULIB, and the "Unknown Command" Macro have less nesting available because each of these operations also uses a level of file switching. For an interactive run, a /INPUT,TERM switches to the terminal for the next input. A /EOF read from the terminal then switches back to the previous file. A /INPUT (with a blank second field) switches back to the primary input file.

Setting LOG = 1 on /INPUT causes all commands read from the specified file to be recorded in the command log (File.LOG) and the internal database command log [LGWRITE]. This option is recommended if the log file will be used later (e.g., as batch input or as an analysis file for design optimization). The LOG = 1 option is only valid when the /INPUT occurs in the primary input file. Using LOG = 1 on a nested /INPUT or on a /INPUT within a do-loop will have no effect (i.e., commands in the secondary input file are not written to the command log).

This command is valid in any processor.

Menu Paths

Utility Menu>File>Read Input from

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
INISTATE 		Up / Home Next
INRES


INRES

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

INRES, Item1, Item2, Item3, Item4, Item5, Item6, Item7, Item8

Identifies the data to be retrieved from the results file.

POST1: Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Item1, Item2, Item3, . . . , Item8

Data to be read into the database from the results file. May consist of any of the following labels:

ALL
 —

All solution items (default).

BASIC
 —

NSOL, RSOL, NLOAD, STRS, FGRAD, and FFLUX items.

NSOL
 —

Nodal DOF solution.

RSOL
 —

Nodal reaction loads.

ESOL
 —

Element solution items (includes all of the following):

NLOAD
 —

Element nodal loads.

STRS
 —

Element nodal stresses.

EPEL
 —

Element elastic strains.

EPTH
 —

Element thermal, initial, and swelling strains.

EPPL
 —

Element plastic strains.

EPCR
 —

Element creep strains.

FGRAD
 —

Element nodal gradients.

FFLUX
 —

Element nodal fluxes.

MISC
 —

Element miscellaneous data (SMISC and NMISC).

Notes

Identifies the type of data to be retrieved from the results file for placement into the database through commands such as SET, SUBSET, and APPEND. INRES is a companion command to the OUTRES command controlling data written to the database and the results file. Since the INRES command can only flag data that has already been written to the results file, care should be taken when using the OUTRES command to include all data you wish to retrieve for postprocessing later on.

Menu Paths

Main Menu>General Postproc>Data & File Opts

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/INPUT 		Up / Home Next
INRTIA


INRTIA

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

INRTIA

Specifies "Inertial loads" as the subsequent status topic.

SOLUTION: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Loads>Inertia Loads
Utility Menu>List>Status>Solution>Inertia Loads

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
INRES 		Up / Home Next
INT1


INT1

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

INT1, IR, IY, IX, --, Name, --, --, FACTA, FACTB, CONST

Integrates a variable.

POST26: Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

IR

Arbitrary reference number assigned to the resulting variable (2 to NV [NUMVAR]). If this number is the same as for a previously defined variable, the previously defined variable will be overwritten with this result. Table values represent integrated sum of IY to current table position of IX.

IY, IX

Integrate variable IY with respect to IX.

--

Unused field.

Name

Thirty-two character name for identifying the variable on the printout and displays. Embedded blanks are compressed upon output.

--, --

Unused fields.

FACTA, FACTB

Scaling factors (positive or negative) applied to the corresponding variables (default to 1.0).

CONST

Initial value.

Notes

Integrates variables according to the operation:

IR = ∫ (FACTA x IY) d(FACTB x IX) + CONST

Menu Paths

Main Menu>TimeHist Postpro>Math Operations>Integrate

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
INRTIA 		Up / Home Next
INTSRF


INTSRF

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

INTSRF, Lab

Integrates nodal results on an exterior surface.

POST1: Special Purpose

MP ME <> <> <> <> FL <> <> <> DY PP <>

Lab

Label indicating degree of freedom to be integrated:

PRES
 —

Pressure.

TAUW
 —

Wall shear stress.

FLOW
 —

Both pressure and wall shear stress.

Notes

Integrates nodal results on a surface. Use node selection (such as the EXT option of the NSEL command) to indicate the surface(s) of element faces to be used in the integration. A surface can be "created" by unselecting elements (such as unselecting non-fluid elements that are adjacent to fluid elements for the postprocessing of fluid flow result). Element faces attached to the selected nodes will be automatically determined. All nodes on a face must be selected for the face to be used. The integration results will cancel for nodes on common faces of adjacent selected elements.

Integration results are in the active coordinate system (see the RSYS command). The type of results coordinate system must match the type used in the analysis. However, you may translate and rotate forces and moments as needed. Use the *GET command (Utility Menu> Parameters> Get Scalar Data) to retrieve the results.

Menu Paths

Main Menu>General Postproc>Nodal Calcs>Surface Integral

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
INT1 		Up / Home Next
IOPTN


IOPTN

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

IOPTN, Lab, VAL1

Controls options relating to importing a model.

AUX15: IGES

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Label identifying the import option. The meaning of VAL1 will vary depending on Lab.

STAT
 —

List overall status of import facilities, including current option values. VAL1 is ignored.

DEFA
 —

Set default values for all import options. VAL1is ignored.

MERG
 —

Entity merge option. VAL1 can be:

YES
 —

Automatic merging is performed (default).

NO
 —

No merging of entities.

SOLID
 —

Solid option. VAL1 can be:

YES
 —

Solid is created automatically (default).

NO
 —

No solid created.

GTOLER
 —

Entity merging tolerance. Valid arguments for VAL1 depend on value of IGES. If IGES = FACETED, then GTOLER,VAL1 is a numeric value used as a multiplying factor to change the maximum model dimension. If IGES = SMOOTH, then GTOLER,VAL1 can be:

DEFA
 —

Use system defaults (default).

FILE
 —

Use tolerance from the imported file.

n
 —

A user-specified tolerance value.

IGES
 —

IGES import option. VAL1 can be:

STAT
 —

List status of IGES related options in the output window.

SMOOTH (or RV52)
 —

Use more robust IGES revision 5.2 import function (default).

FACETED (or RV53)
 —

Use defeaturing database.

SMALL
 —

Small areas option. VAL1 can be:

YES
 —

Small areas are deleted (default).

NO
 —

Small areas are retained.

VAL1

Additional input value as described under each option for Lab.

Command Default

Merging will be performed during the IGES transfer with no global solid model tolerance (GTOLER) used.

Notes

Controls various options during a model file transfer (e.g., IGESIN command). A global solid model tolerance (GTOLER) can be specified.

IOPTN,SMALL,YES (default value) will delete small areas and can cause geometrical inconsistencies that could cause the import process to abort. Retaining the small areas will increase processor time and memory usage.

The two IGES translation options, SMOOTH and FACETED, determine which graphics database will be used when IGES files are read into ANSYS. If the SMOOTH option is chosen (default), the data is stored in the standard ANSYS graphics database. If the FACETED option is used, the defeaturing database is used and a special set of geometry repair and enhancement tools, designed specifically for use with files imported from CAD systems, are made available.

The SMOOTH option is capable of reading in any rational B-spline curve entity (type 126), or rational B-spline surface entity (type 128) with a degree less than or equal to 20. Attempts to read in B-spline curve or surface entities of degree higher than 20 may result in error messages.

The FACETED option translates all IGES topological and geometric entities. The option ignores data such as dimensions, text, annotation entities, structure entities, and any IGES entities that the filter doesn't recognize. The FACETED option is not recommended for large, complex geometries.

If you issue the /CLEAR command, the IOPTN settings will return to their default.

If IOPTN, MERG, YES is used, merging of coincident geometry items is performed automatically when the IGESIN command is issued. (In other words, an internal NUMMRG,KP command is issued.) The model will be merged with the consideration tolerance (TOLER on NUMMRG) set equal to 0.75 * the shortest distance between the endpoints of any active line. See the NUMMRG command for more information on these tolerances. In most cases, this default merging is appropriate. The IOPTN command should be used when you want to turn off merging operations, override the default merging and specify a global solid model tolerance value (GTOLER), or turn off the automatic creation of solids (SOLID). If used, the IOPTN command should be issued before the IGESIN command. You cannot change these options once your model has been imported or created. If you must change these options, clear the database using the /CLEAR command (or exit and restart ANSYS), set the correct options, and reimport or recreate the model.

This command is valid in any processor.

Menu Paths

Utility Menu>File>Import

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
INTSRF 		Up / Home Next
IRLF


IRLF

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

IRLF, KEY

Specifies that inertia relief calculations are to be performed.

SOLUTION: Inertia

MP ME ST PR PRN <> <> <> <> <> <> PP <>

KEY

Calculation key:

0
—

No inertia relief calculations.

1
—

Counterbalance loads with inertia relief forces.

-1
 —

Precalculate masses for summary printout only (no inertia relief).

Command Default

No inertia relief calculations.

Notes

The IRLF command specifies that the program is to calculate accelerations to counterbalance the applied loads (inertia relief). Displacement constraints on the structure should be only those necessary to prevent rigid-body motions (3 are needed for a 2-D structure and 6 for a 3-D structure). The sum of the reaction forces at the constraint points will be zero. Accelerations are calculated from the element mass matrices and the applied forces. Data needed to calculate the mass (such as density) must be input. Both translational and rotational accelerations may be calculated.

This option applies only to the static (ANTYPE,STATIC) analysis. Nonlinearities, elements that operate in the nodal coordinate system, and axisymmetric or generalized plane strain elements are not allowed. Models with both 2-D and 3-D element types are not recommended. Loads may be input as usual. Displacements and stresses are calculated as usual. Use IRLIST to print inertia relief calculation results. The mass and moment of inertia summary printed before the solution is accurate (because of the additional pre-calculations required for inertia relief). See the Theory Reference for ANSYS and ANSYS Workbench for calculation details. See also the Structural Analysis Guide for procedural details.

If the inertia relief calculation is to be performed in the second or later load step, you must specify EMATWRITE,YES in the initial load step for the element matrices needed to perform the calculations to be available.

When a superelement (MATRIX50) is present in the model, any DOF constraints that you need to apply (D) on a degree of freedom (DOF) belonging to the superelement must be applied in the use pass of the MATRIX50 element (not in the generation pass). The command has no effect in the generation pass of a substructure. In the expansion pass, precalculation of masses for summary printout (IRLF,-1) occurs only on elements that are part of the substructure.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Inertia>Inertia Relief
Main Menu>Preprocessor>Loads>Load Step Opts>Output Ctrls>Incl Mass Summry
Main Menu>Solution>Define Loads>Apply>Structural>Inertia>Inertia Relief
Main Menu>Solution>Load Step Opts>Output Ctrls>Incl Mass Summry

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
IOPTN 		Up / Home Next
IRLIST


IRLIST

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

IRLIST

Prints inertia relief summary table.

POST1: Listing

MP ME ST PR PRN <> <> FL <> <> <> PP <>

Notes

Prints the inertia relief summary data, including the mass summary table, the total load summary table, and the inertia relief summary table resulting from the inertia relief calculations. These calculations are performed in the solution phase [SOLVE or PSOLVE] as specified by the IRLF command.

Inertia relief output is stored in the database rather than in the results file (Jobname.RST). When you issue IRLIST, ANSYS pulls the information from the database, which contains the inertia relief output from the most recent solution [SOLVE or PSOLVE].

This command is valid in any processor.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
IRLF 		Up / Home Next
ISFILE


ISFILE

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

ISFILE, Option, Fname, Ext, --, LOC, MAT1, MAT2, MAT3, MAT4, MAT5, MAT6, MAT7, MAT8, MAT9, MAT10

Reads an initial stress state from a file into ANSYS.

SOLUTION: Misc Loads

MP ME ST PR PRN <> <> FL <> <> <> PP <>

The ISFILE command is being replaced by INISTATE. This change also requires that Legacy elements be replaced with Current Technology elements. (see below)

Notes

Most of the ISFILE command functionality is currently replaced or superseded by INISTATE. This new capability requires the use of Current Technology elements. The ISFILE command will be disabled and discontinued in the near future. See the INISTATE command, and Initial State Loading in the Basic Analysis Guide for more information on the new INISTATE capability.

Menu Paths

The INISTATE command is available from the command line only.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
IRLIST 		Up / Home Next
ISTRESS


ISTRESS

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

The ISTRESS command is being replaced by INISTATE. This change also requires that Legacy elements be replaced with Current Technology elements. (see below)

Notes

Most of the ISTRESS command functionality is currently replaced or superseded by INISTATE. This new capability requires the use of Current Technology elements. The ISTRESS command will be disabled and discontinued in the near future. See the INISTATE command, and Initial State Loading in the Basic Analysis Guide for more information on the new INISTATE capability.

A static analysis with initial stress cannot be used in a subsequent prestressed modal or buckling analysis.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

The INISTATE command is available from the command line only.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ISFILE 		Up / Home Next
ISWRITE


ISWRITE

Release 11.0 Documentation for ANSYS

Commands Reference | I Commands |

ISWRITE, Switch

Writes an ASCII file containing the initial stress values.

SOLUTION: Misc Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

The ISWRITE command is being replaced by INISTATE. This change also requires that Legacy elements be replaced with Current Technology elements. (see below)

Notes

Most of the ISWRITE command functionality is currently replaced or superseded by INISTATE. This new capability requires the use of Current Technology elements. The ISWRITE command will be disabled and discontinued in the near future. See the INISTATE command, and Initial State Loading in the Basic Analysis Guide for more information on the new INISTATE capability.

This command is not supported by the CDWRITE command.

Menu Paths

The INISTATE command is available from the command line only.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ISTRESS 		Up / Home Next
J Commands


J Commands

Table of Contents

JPEG - Provides JPEG file export for ANSYS displays.
JSOL - Specifies result items to be stored for the joint element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ISWRITE 		Up / Home Next
JPEG


JPEG

Release 11.0 Documentation for ANSYS

Commands Reference | J Commands |

JPEG, Kywrd, OPT

Provides JPEG file export for ANSYS displays.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Kywrd

Specifies various JPEG file export options.

QUAL
 —

If Kywrd = QUAL, then OPT is an integer value defining the JPEG quality index on an arbitrary scale ranging from 1 to 100. The default value is 75.

ORIENT
 —

If Kywrd = ORIENT, then OPT will determine the orientation of the entire plot. OPT can be either Horizontal (default) or Vertical.

COLOR
 —

If Kywrd = COLOR, then OPT will determine the color depth of the saved file. OPT can be 0, 1, or 2, corresponding to Black and White, Grayscale, and Color (default), respectively.

TMOD
 —

If Kywrd = TMOD, then OPT will determine the text method. OPT can be either 1 or 0, corresponding to bitmap text (default) or line stroke text, respectively.

DEFAULT
 —

If Kywrd = DEFAULT, then all of the default values, for all of the Kywrd parameters listed above, are active.

OPT

OPT can have the following names or values, depending on the value for Kywrd (see above).

1 to 100
 —

If Kywrd = QUAL, a value between 1 and 100 will determine the quality index of the JPEG file.

Horizontal, Vertical
 —

If Kywrd = ORIENT, the terms Horizontal or Vertical determine the orientation of the plot.

0,1,2
 —

If Kywrd = COLOR, the numbers 0, 1, and 2 correspond to Black and White, Grayscale and Color, respectively.

1,0
 —

If Kywrd = TMOD, the values 1 and 0 determine whether bitmap (1) or stroke text (0) fonts will be used

Menu Paths

Utility Menu>PlotCtrls>HardCopy>ToFile

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
J Commands 		Up / Home Next
JSOL


JSOL

Release 11.0 Documentation for ANSYS

Commands Reference | J Commands |

JSOL, NVAR, ELEM, ITEM, COMP, Name

Specifies result items to be stored for the joint element.

POST26: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NVAR

Arbitrary reference number or name assigned to this variable. Variable numbers can be 2 to NV (NUMVAR) while the name can be an eight-byte character string. Overwrites any existing results for this variable.

ELEM

Element number for which to store results.

Item

Label identifying the item. Valid item labels are shown in JSOL - Valid Item and Component Labels below.

Comp

Component of the Item (if required). Valid component labels are shown in JSOL - Valid Item and Component Labels below.

Name

Thirty-two character name identifying the item on printouts and displays. Defaults to a label formed by concatenating the first four characters of the Item and Comp labels.

Notes

This command is valid for the MPC184 joint elements. The values stored are for the free or unconstrained degrees of freedom of a joint element. Relative reaction forces and moments are available only if stiffness, damping, or friction is associated with the joint element.

JSOL - Valid Item and Component Labels

Item | Comp | Description
U | X, Y, Z | x, y, or z relative displacement.
ROT | X, Y, Z | x, y, or z relative rotation.
VEL | X, Y, Z | x, y, or z relative linear velocity.
OMG | X, Y, Z | x, y, or z relative angular velocity.
ACC | X, Y, Z | x, y, or z relative linear acceleration.
DMG | X, Y, Z | x, y, or z relative angular acceleration.
RF | X, Y, Z | Relative reaction forces in the local x, y, or z direction.
RM | X, Y, Z | Relative reaction moments in the local x, y, or z direction.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
JPEG 		Up / Home Next
K Commands


K Commands

Table of Contents

K - Defines a keypoint.
KATT - Associates attributes with the selected, unmeshed keypoints.
KBC - Specifies stepped or ramped loading within a load step.
KBETW - Creates a keypoint between two existing keypoints.
KCALC - Calculates stress intensity factors in fracture mechanics analyses.
KCENTER - Creates a keypoint at the center of a circular arc defined by three locations.
KCLEAR - Deletes nodes and point elements associated with selected keypoints.
KDELE - Deletes unmeshed keypoints.
KDIST - Calculates and lists the distance between two keypoints.
KEEP - Stores POST26 definitions and data during active session.
KESIZE - Specifies the edge lengths of the elements nearest a keypoint.
KEYOPT - Sets element key options.
KEYPTS - Specifies "Keypoints" as the subsequent status topic.
KEYW - Sets a keyword used by the GUI for context filtering (GUI).
KFILL - Generates keypoints between two keypoints.
KGEN - Generates additional keypoints from a pattern of keypoints.
KL - Generates a keypoint at a specified location on an existing line.
KLIST - Lists the defined keypoints or hard points.
KMESH - Generates nodes and point elements at keypoints.
KMODIF - Modifies an existing keypoint.
KMOVE - Calculates and moves a keypoint to an intersection.
KNODE - Defines a keypoint at an existing node location.
KPLOT - Displays the selected keypoints.
KPSCALE - Generates a scaled set of (meshed) keypoints from a pattern of keypoints.
KREFINE - Refines the mesh around specified keypoints.
KSCALE - Generates a scaled pattern of keypoints from a given keypoint pattern.
KSCON - Specifies a keypoint about which an area mesh will be skewed.
KSEL - Selects a subset of keypoints or hard points.
KSLL - Selects those keypoints contained in the selected lines.
KSLN - Selects those keypoints associated with the selected nodes.
KSUM - Calculates and prints geometry statistics of the selected keypoints.
KSYMM - Generates a reflected set of keypoints.
KTRAN - Transfers a pattern of keypoints to another coordinate system.
KUSE - Specifies whether or not to reuse the triangularized matrix.
KWPAVE - Moves the working plane origin to the average location of keypoints.
KWPLAN - Defines the working plane using three keypoints.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
JSOL 		Up / Home Next
K


K

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

K, NPT, X, Y, Z

Defines a keypoint.

PREP7: Keypoints

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NPT

Reference number for keypoint. If zero, the lowest available number is assigned [NUMSTR].

X, Y, Z

Keypoint location in the active coordinate system (may be R, θ, Z or R, θ, Φ). If X = P, graphical picking is enabled and all other fields (including NPT) are ignored (valid only in the GUI).

Notes

Defines a keypoint in the active coordinate system [CSYS] for line, area, and volume descriptions. A previously defined keypoint of the same number will be redefined. Keypoints may be redefined only if it is not yet attached to a line or is not yet meshed. Solid modeling in a toroidal system is not recommended.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Keypoints>In Active CS
Main Menu>Preprocessor>Modeling>Create>Keypoints>On Working Plane

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
K Commands 		Up / Home Next
KATT


KATT

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KATT, MAT, REAL, TYPE, ESYS

Associates attributes with the selected, unmeshed keypoints.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

MAT, REAL, TYPE, ESYS

Material number, real constant set number, type number, and coordinate system number to be associated with selected, unmeshed keypoints.

Notes

Keypoints subsequently generated from the keypoints will also have these attributes. These element attributes will be used when the keypoints are meshed. If a keypoint does not have attributes associated with it (by this command) at the time it is meshed, the attributes are obtained from the then current MAT, REAL,TYPE, and ESYS command settings. Reissue the KATT command (before keypoints are meshed) to change the attributes. A zero (or blank) argument removes the corresponding association.

If any of the arguments MAT, REAL, TYPE, or ESYS are defined as -1, then that value will be left unchanged in the selected set.

In some cases, ANSYS can proceed with a keypoint meshing operation even when no logical element type has been assigned via KATT,,,TYPE or TYPE. For more information, see the discussion on setting element attributes in Meshing Your Solid Model in the Modeling and Meshing Guide.

Menu Paths

Main Menu>Preprocessor>Meshing>Mesh Attributes>All Keypoints
Main Menu>Preprocessor>Meshing>Mesh Attributes>Picked KPs

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
K 		Up / Home Next
KBC


KBC

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KBC, KEY

Specifies stepped or ramped loading within a load step.

SOLUTION: Load Step Options

MP ME ST PR PRN <> <> <> EM <> <> PP <>

KEY

Ramping key:

0
 —

Loads are linearly interpolated (ramped) for each substep from the values of the previous load step to the values of this load step.

1
 —

Loads are step changed (stepped) at the first substep of this load step to the values of this load step (i.e., the same values are used for all substeps). Useful for rate-dependent behavior (e.g., creep, viscoplasticity, etc.) or transient load steps only.

Command Default

When SOLCONTROL is ON, ANSYS performs ramped loading if ANTYPE,STATIC, or if ANTYPE,TRANS and TIMINT,OFF. It performs stepped loading if ANTYPE,TRANS and TIMINT,ON. (In a transient analysis, TIMINT,ON is the default.)

When SOLCONTROL is OFF, ramped loading for all types of transient or nonlinear analysis.

Notes

Specifies whether loads applied to intermediate substeps within the load step are to be stepped or ramped. Used only if DTIME on the DELTIM command is less than the time span or, conversely, if NSBSTP on the NSUBST command is greater than one. Flags (FSI, MXWF, MVDI, etc.) are always stepped.

For ramped loading (KBC,0), when a load is applied for the first time, it is interpolated from zero to the value of the current load step, and not from the initial condition or value of the DOF from the previous load step. Tabular boundary conditions do not support ramping and instead apply their full value regardless of the KBC setting.

Irrespective of the KBC setting, loads are usually step-removed. See Stepping or Ramping Loads in the Basic Analysis Guide for more information.

It sometimes is difficult to obtain successful convergence with stepped loading in a nonlinear transient problem. If divergence is encountered, check if stepped loading was used by default, then determine if it is appropriate for the analysis.

If you run an analysis with SOLCONTROL,ON, but do not issue the KBC command, ANSYS will choose whether or not to use stepped or ramped loads. The program-chosen option will be recorded on the load step files as KBC,-1.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Sol'n Controls>Transient
Main Menu>Preprocessor>Loads>Load Step Opts>Time/Frequenc>Freq and Substps
Main Menu>Preprocessor>Loads>Load Step Opts>Time/Frequenc>Time - Time Step
Main Menu>Preprocessor>Loads>Load Step Opts>Time/Frequenc>Time and Substps
Main Menu>Solution>Analysis Type>Sol'n Controls>Transient
Main Menu>Solution>Load Step Opts>Time/Frequenc>Freq and Substps
Main Menu>Solution>Load Step Opts>Time/Frequenc>Time - Time Step
Main Menu>Solution>Load Step Opts>Time/Frequenc>Time and Substps

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KATT 		Up / Home Next
KBETW


KBETW

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KBETW, KP1, KP2, KPNEW, Type, VALUE

Creates a keypoint between two existing keypoints.

PREP7: Keypoints

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KP1

First keypoint. If KP1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

KP2

Second keypoint.

KPNEW

Number assigned to the new keypoint. Defaults to the lowest available keypoint number.

Type

Type of input for VALUE.

RATIO
—

Value is the ratio of the distances between keypoints as follows: (KP1-KPNEW)/(KP1-KP2).

DIST
—

Value is the absolute distance between KP1 and KPNEW (valid only if current coordinate system is Cartesian).

VALUE

Location of new keypoint, as defined by Type (defaults to 0.5). If VALUE is a ratio (Type = RATIO) and is less than 0 or greater than 1, the keypoint is created on the extended line. Similarly, if VALUE is a distance (Type = DIST) and is less than 0 or greater than the distance between KP1 and KP2, the keypoint is created on the extended line.

Notes

Placement of the new keypoint depends on the currently active coordinate system [CSYS]. If the coordinate system is Cartesian, the keypoint will lie on a straight line between KP1 and KP2. If the system is not Cartesian (e.g., cylindrical, spherical, etc.), the keypoint will be located as if on a line (which may not be straight) created in the current coordinate system between KP1 and KP2. Note that solid modeling in a toroidal coordinate system is not recommended.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Keypoints>KP between KPs

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KBC 		Up / Home Next
KCALC


KCALC

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KCALC, KPLAN, MAT, KCSYM, KLOCPR

Calculates stress intensity factors in fracture mechanics analyses.

POST1: Special Purpose

MP ME ST PR PRN <> <> <> <> <> <> PP <>

KPLAN

Key to convert plane stress results into plane strain stress intensity factors:

0
 —

Results are not modified.

1
 —

Convert plane stress output into plane strain stress intensity factors.

MAT

Material number used in the extrapolation (defaults to 1).

KCSYM

Symmetry key:

0 or 1
 —

Half-crack model with symmetry boundary conditions [DSYM] in the crack-tip coordinate system. KII = KIII = 0. Three nodes are required on the path.

2
 —

Like 1 except with antisymmetric boundary conditions (KI = 0).

3
 —

Full-crack model (both faces). Five nodes are required on the path (one at the tip and two on each face).

KLOCPR

Local displacements print key:

0
 —

Do not print local crack-tip displacements.

1
 —

Print local displacements used in the extrapolation technique.

Notes

Calculates the stress intensity factors (KI, KII, and KIII) associated with homogeneous isotropic linear elastic fracture mechanics. A displacement extrapolation method is used in the calculation (see the Theory Reference for ANSYS and ANSYS Workbench). This method assumes that the displacement calculations are for the plane strain state. If the displacement calculations are performed using a plane stress formulation, the calculation of the stress intensity factors can be converted to the plane strain state by using KPLAN = 1. ANSYS Uses minor Poisson's ratio (MP,NUXY) for the stress intensity factor calculation, therefore the material's Poisson's ratio must be defined using MP,NUXY command. The PATH and PPATH commands must be used to define a path with the crack face nodes (NODE1 at the crack tip, NODE2 and NODE3 on one face, NODE4 and NODE5 on the other (optional) face). A crack-tip coordinate system, having x parallel to the crack face (and perpendicular to the crack front) and y perpendicular to the crack face, must be the active RSYS and CSYS before KCALC is issued.

Menu Paths

Main Menu>General Postproc>Nodal Calcs>Stress Int Factr

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KBETW 		Up / Home Next
KCENTER


KCENTER

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KCENTER, Type, VAL1, VAL2, VAL3, VAL4, KPNEW

Creates a keypoint at the center of a circular arc defined by three locations.

PREP7: Keypoints

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Type of entity used to define the circular arc. The meaning of VAL1 through VAL4 will vary depending on Type. If Type = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

KP
 —

Arc is defined by keypoints.

LINE
 —

Arc is defined by locations on a line.

VAL1, VAL2, VAL3, VAL4

Values used to specify three locations on the arc (see table below).

KPNEW

Number assigned to new keypoint. Defaults to the lowest available keypoint number.

Definitions:

If Type = KP, inputs VAL1 through VAL4 are defined as follows:

VAL1

First keypoint.

VAL2

Second keypoint.

VAL3

Third keypoint.

VAL4

Arc radius. If VAL4 = 0 or blank (default), the arc is defined by the three keypoints specified as VAL1, VAL2, and VAL3 and arc radius is not used. If VAL4 is nonzero, VAL1, VAL2, and VAL4 are used to calculate the center point, and VAL3 is used to locate the center point as follows:

VAL4 > 0

Center point and VAL3 are on the same side of the line between the first two keypoints.

VAL4 < 0

Center point and VAL3 are on opposite sides of the line between the first two keypoints.

If Type = LINE, inputs VAL1 through VAL4 are defined as follows:

VAL1

Line number.

VAL2

Line ratio (0 to 1) indicating the first location (defaults to 0).

VAL3

Line ratio (0 to 1) indicating the second location (defaults to 0.5).

VAL4

Line ratio (0 to 1) indicating the third location (defaults to 1).

Notes

KCENTER should be used in the Cartesian coordinate system (CSYS,0) only. This command provides three methods to define a keypoint at the center of three locations. As shown below, the center point can be calculated based on a) three keypoints, b) three keypoints and a radius, or c) three locations on a line. Note that for method c, if a circular line is specified by VAL1, VAL2 through VAL4 are not needed.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Keypoints>KP at center>3 keypoints
Main Menu>Preprocessor>Modeling>Create>Keypoints>KP at center>3 KPs and radius
Main Menu>Preprocessor>Modeling>Create>Keypoints>KP at center>Location on line

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KCALC 		Up / Home Next
KCLEAR


KCLEAR

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KCLEAR, NP1, NP2, NINC

Deletes nodes and point elements associated with selected keypoints.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NP1, NP2, NINC

Delete mesh for keypoints NP1 to NP2 (defaults to NP1) in steps of NINC (defaults to 1). If NP1 = ALL, NP2 and NINC are ignored and the mesh for all selected keypoints [KSEL] is deleted. If NP1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NP1.

Notes

Deletes all nodes and point elements associated with selected keypoints (regardless of whether the nodes or elements are selected). Nodes associated with non-point elements will not be deleted. Attributes assigned as a result of KATT are maintained. In the program's response to the command, if a keypoint is tallied as "cleared," it means either its node or element reference was deleted.

Menu Paths

Main Menu>Preprocessor>Meshing>Clear>Keypoints

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KCENTER 		Up / Home Next
KDELE


KDELE

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KDELE, NP1, NP2, NINC

Deletes unmeshed keypoints.

PREP7: Keypoints

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NP1, NP2, NINC

Delete keypoints from NP1 to NP2 (defaults to NP1) in steps of NINC (defaults to 1). If NP1 = ALL, NP2 and NINC are ignored and all selected keypoints [KSEL] are deleted. If NP1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NP1 (NP2 and NINC are ignored).

Notes

Deletes selected keypoints. A keypoint attached to a line cannot be deleted unless the line is first deleted.

Menu Paths

Main Menu>Preprocessor>Modeling>Delete>Keypoints
Main Menu>Preprocessor>Modeling>Topo Repair>Delete>Keypoints

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KCLEAR 		Up / Home Next
KDIST


KDIST

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KDIST, KP1, KP2

Calculates and lists the distance between two keypoints.

PREP7: Keypoints

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KP1

First keypoint in distance calculation. If KP1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

KP2

Second keypoint in distance calculation.

Notes

KDIST lists the distance between keypoints KP1 and KP2, as well as the current coordinate system offsets from KP1 to KP2, where the X, Y, and Z locations of KP1 are subtracted from the X, Y, and Z locations of KP2 (respectively) to determine the offsets. KDIST is valid in any coordinate system except toroidal [CSYS,3].

KDIST returns a variable, called "_RETURN," which contains the distance value. You can use this value for various purposes; for example, to set the default number of line divisions to be generated along region boundary lines [ESIZE,_RETURN]. In interactive mode, you can access this command by using the Model Query Picker (Utility Menu> List> Picked Entities), where you can also access automatic annotation functions, and display the value on your model.

This command is valid in any processor.

Menu Paths

Main Menu>Preprocessor>Modeling>Check Geom>KP distances

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KDELE 		Up / Home Next
KEEP


KEEP

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KEEP, Key

Stores POST26 definitions and data during active session.

POST26: Display

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Key

State or value

On or 1
 —

Allows you to exit and reenter /POST26 without losing your current time history variable information. Keeps a cache of the /POST26 variable information including the active file name (FILE), variable definitions (NSOL, ESOL, GAPF, RFORCE, SOLU, and EDREAD) and stored variable data in memory for the current ANSYS session.

Off or 0
 —

/POST26 variable information is deleted when you exit /POST26.

Command Default

ON - Hold time history information in memory. You can, for example, move back and forth between /POST1 and /POST26 without redefining and storing the time history variables each time you enter /POST26.

Notes

Your variable information is saved in memory only for the current active ANSYS session. It is deleted when you exit ANSYS. This information is also deleted when you issue /CLEAR, RESUME, SOLVE, or RESET.

When you reenter /POST26 all time history variable data is available for use. When you issue STORE,NEW, variable definitions created by math operations such as ADD or PROD will not be restored. However, variables defined with NSOL, ESOL, GAPF, RFORCE, SOLU, and EDREAD will be restored. Only the last active results file name is kept in memory (FILE).

Commands such as LAYERP26, SHELL, and FORCE that specify the location or a component of data to be stored will retain the setting at the time of exiting /POST26 .

Menu Paths

Main Menu>TimeHist Postpro>Settings>Data

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KDIST 		Up / Home Next
KESIZE


KESIZE

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KESIZE, NPT, SIZE, FACT1, FACT2

Specifies the edge lengths of the elements nearest a keypoint.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NPT

Number of the keypoint whose lines will be adjusted. If ALL, use all selected keypoints [KSEL]. If NPT = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

SIZE

Size of elements along lines nearest keypoint NPT (overrides any other specified size). If SIZE is zero (or blank), use FACT1 or FACT2.

FACT1

Scale factor applied to a previously defined SIZE. Not used if SIZE is input.

FACT2

Scale factor applied to the minimum element division at keypoint NPT for any attached line. This feature is useful with adaptive mesh refinement. Not used if SIZE or FACT1 is input.

Notes

Affects only the line divisions adjacent to the keypoint on lines not previously assigned divisions by other line commands [LESIZE, etc.]. The remaining line divisions are determined from the division nearest the keypoint at the other end of the line (specified by another KESIZE command or the ESIZE command). Divisions are transferred to the lines during the mesh operation. If smart element sizing is being used [SMRTSIZE], KESIZE specifications may be overridden (i.e., a smaller element size may be used) to accommodate curvature and small features.

This command is valid in any processor. The command is also valid for rezoning.

Menu Paths

Main Menu>Preprocessor>Meshing>Size Cntrls>ManualSize>Keypoints>All KPs
Main Menu>Preprocessor>Meshing>Size Cntrls>ManualSize>Keypoints>Clr Size
Main Menu>Preprocessor>Meshing>Size Cntrls>ManualSize>Keypoints>Picked KPs

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KEEP 		Up / Home Next
KEYOPT


KEYOPT

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KEYOPT, ITYPE, KNUM, VALUE

Sets element key options.

PREP7: Element Type

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ITYPE

Element type number as defined on the ET command.

KNUM

Number of the KEYOPT to be defined (KEYOPT(KNUM)).

VALUE

Value of this KEYOPT.

Notes

Alternative to inputting KEYOPT values on ET command. Must be used if KEYOPT(7) or greater values are to be input. ITYPE must first be defined with the ET command.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Flow Environment>FLOTRAN Coor Sys
Main Menu>Preprocessor>FLOTRAN Set Up>Multiple Species
Main Menu>Solution>FLOTRAN Set Up>Flow Environment>FLOTRAN Coor Sys
Main Menu>Solution>FLOTRAN Set Up>Multiple Species

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KESIZE 		Up / Home Next
KEYPTS


KEYPTS

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KEYPTS

Specifies "Keypoints" as the subsequent status topic.

PREP7: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KEYOPT 		Up / Home Next
KEYW


KEYW

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KEYW, Keyword, KEY

Sets a keyword used by the GUI for context filtering (GUI).

SESSION: Run Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Keyword

A keyword which, when set to either true or false, changes the behavior of the GUI.

KEY

Keyword switch:

0
 —

Sets the keyword to "false."

1
 —

Sets the keyword to "true."

Notes

Defines a keyword used by the GUI for context filtering. This is a command generated by the GUI and may appear in the log file (Jobname.LOG) if the GUI is used. This command is usually not typed in directly in an ANSYS session.

This command is valid in any processor.

Menu Paths

Main Menu>Preferences

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KEYPTS 		Up / Home Next
KFILL


KFILL

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KFILL, NP1, NP2, NFILL, NSTRT, NINC, SPACE

Generates keypoints between two keypoints.

PREP7: Keypoints

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NP1, NP2

Beginning and ending keypoints for fill-in. NP1 defaults to next to last keypoint specified, NP2 defaults to last keypoint specified. If NP1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

NFILL

Fill NFILL keypoints between NP1 and NP2 (defaults to |NP2-NP1|-1). NFILL must be positive.

NSTRT

Keypoint number assigned to first filled-in keypoint (defaults to NP1 + NINC).

NINC

Add this increment to each of the remaining filled-in keypoint numbers (may be positive or negative). Defaults to (NP2-NP1)/(NFILL + 1), i.e., linear interpolation.

SPACE

Spacing ratio. Ratio of last division size to first division size. If > 1.0, divisions increase. If < 1.0, divisions decrease. Ratio defaults to 1.0 (uniform spacing).

Notes

Generates keypoints (in the active coordinate system) between two existing keypoints. The two keypoints may have been defined in any coordinate system. However, solid modeling in a toroidal coordinate system is not recommended. Any number of keypoints may be filled in and any keypoint numbering sequence may be assigned.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Keypoints>Fill between KPs

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KEYW 		Up / Home Next
KGEN


KGEN

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KGEN, ITIME, NP1, NP2, NINC, DX, DY, DZ, KINC, NOELEM, IMOVE

Generates additional keypoints from a pattern of keypoints.

PREP7: Keypoints

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ITIME

Do this generation operation a total of ITIME times, incrementing all keypoints in the given pattern automatically (or by KINC) each time after the first. ITIME must be more than 1 for generation to occur.

NP1, NP2, NINC

Generate keypoints from the pattern of keypoints beginning with NP1 to NP2 (defaults to NP1) in steps of NINC (defaults to 1). If NP1 = ALL, NP2 and NINC are ignored and the pattern is all selected keypoints [KSEL]. If NP1 is negative, NP2 and NINC are ignored and the last |NP1| keypoints (in sequence from the highest keypoint number) are used as the pattern to be repeated. If NP1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NP1 (NP2 and NINC are ignored).

DX, DY, DZ

Keypoint location increments in the active coordinate system (DR, Dθ, DZ for cylindrical, DR, Dθ, DΦ for spherical).

KINC

Keypoint increment between generated sets. If zero, the lowest available keypoint numbers are assigned [NUMSTR].

NOELEM

Specifies if elements and nodes are also to be generated:

0
 —

Generate nodes and point elements associated with the original keypoints, if they exist.

1
 —

Do not generate nodes and elements.

IMOVE

Specifies whether keypoints will be moved or newly defined:

0
 —

Generate additional keypoints as requested with the ITIME argument.

1
 —

Move original keypoints to new position retaining the same keypoint numbers (ITIME, KINC, and NOELEM are ignored). Valid only if the old keypoints are no longer needed at their original positions. Corresponding meshed items are also moved if not needed at their original position.

Notes

Generates additional keypoints (and corresponding mesh) from a given keypoint pattern. The MAT, TYPE, REAL, and ESYS attributes are based upon the keypoints in the pattern and not upon the current settings. Generation is done in the active coordinate system. Keypoints in the pattern may have been defined in any coordinate system. However, solid modeling in a toroidal coordinate system is not recommended.

Menu Paths

Main Menu>Preprocessor>Modeling>Copy>Keypoints

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KFILL 		Up / Home Next
KL


KL

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KL, NL1, RATIO, NK1

Generates a keypoint at a specified location on an existing line.

PREP7: Keypoints

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1

Number of the line. If negative, the direction of line (as interpreted for RATIO) is reversed. If NL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

RATIO

Ratio of line length to locate keypoint. Must be between 0.0 and 1.0. Defaults to 0.5 (divide the line in half).

NK1

Number to be assigned to keypoint generated at division location (defaults to lowest available keypoint number [NUMSTR]).

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Keypoints>On Line
Main Menu>Preprocessor>Modeling>Create>Keypoints>On Line w/Ratio

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KGEN 		Up / Home Next
KLIST


KLIST

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KLIST, NP1, NP2, NINC, Lab

Lists the defined keypoints or hard points.

PREP7: Keypoints

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NP1, NP2, NINC

List keypoints from NP1 to NP2 (defaults to NP1) in steps of NINC (defaults to 1). If NP1 = ALL (default), NP2 and NINC are ignored and all selected keypoints [KSEL] are listed. If NP1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NP1 (NP2 and NINC are ignored).

Lab

Coordinate listing key:

(blank)
—

List all keypoint information.

COORD
—

Suppress all but the keypoint coordinates (shown to a higher degree of accuracy than when displayed with all information).

HPT
—

List only hard point information.

Notes

Lists keypoints in the active display coordinate system [DSYS]. An attribute (TYPE, MAT, REAL, or ESYS) listed as a zero is unassigned; one listed as a positive value indicates that the attribute was assigned with the KATT command (and will not be reset to zero if the mesh is cleared); one listed as a negative value indicates that the attribute was assigned using the attribute pointer [TYPE, MAT, REAL, or ESYS] that was active during meshing (and will be reset to zero if the mesh is cleared).

This command is valid in any processor.

Menu Paths

Utility Menu>List>Keypoints>Coordinates +Attributes
Utility Menu>List>Keypoints>Coordinates only
Utility Menu>List>Keypoints>Hard Points

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KL 		Up / Home Next
KMESH


KMESH

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KMESH, NP1, NP2, NINC

Generates nodes and point elements at keypoints.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NP1, NP2, NINC

Mesh keypoints from NP1 to NP2 (defaults to NP1) in steps of NINC (defaults to 1). If NP1 = ALL, NP2 and NINC are ignored and all selected keypoints [KSEL] are meshed. If NP1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NP1.

Notes

Missing nodes required for the generated elements are created and assigned the lowest available numbers.

Menu Paths

Main Menu>Preprocessor>Meshing>Mesh>Keypoints

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KLIST 		Up / Home Next
KMODIF


KMODIF

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KMODIF, NPT, X, Y, Z

Modifies an existing keypoint.

PREP7: Keypoints

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NPT

Modify coordinates of this keypoint. If NPT = ALL, modify coordinates of all selected keypoints [KSEL]. If NPT = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NPT.

X, Y, Z

Replace the previous coordinate values assigned to this keypoint with these corresponding coordinate values. Values are interpreted according to the active coordinate system (R, θ, Z for cylindrical, R, θ,Φ for spherical). If X = P, graphical picking is used to locate keypoint and Y and Z are ignored. A blank retains the previous value. You cannot specify Y = P.

Notes

Lines, areas, and volumes attached to the modified keypoint (if any) must all be selected and will be redefined using the active coordinate system. However, solid modeling in a toroidal coordinate system is not recommended.

Caution

Redefined entities may be removed from any defined components and assemblies. Nodes and elements will be automatically cleared from any redefined keypoints, lines, areas, or volumes.

The KMODIF command moves keypoints for geometry modification without validating underlying entities. To merge keypoints and update higher order entities, issue the NUMMRG command instead.

Menu Paths

Main Menu>Preprocessor>Modeling>Move / Modify>Keypoints>Set of KPs
Main Menu>Preprocessor>Modeling>Move / Modify>Keypoints>Single KP

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KMESH 		Up / Home Next
KMOVE


KMOVE

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KMOVE, NPT, KC1, X1, Y1, Z1, KC2, X2, Y2, Z2

Calculates and moves a keypoint to an intersection.

PREP7: Keypoints

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NPT

Move this keypoint. If NPT = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NPT.

KC1

First coordinate system number. Defaults to 0 (global Cartesian).

X1, Y1, Z1

Input one or two values defining the location of the keypoint in this coordinate system. Input "U" for unknown value(s) to be calculated and input "E" to use an existing coordinate value. Fields are R1, θ1, Z1 for cylindrical, or R1, θ1, φ1 for spherical.

KC2

Second coordinate system number.

X2, Y2, Z2

Input two or one value(s) defining the location of the keypoint in this coordinate system. Input "U" for unknown value(s) to be calculated and input "E" to use an existing coordinate value. Arguments are R2, θ2, Z2 for cylindrical, or R2, θ2, φ2 for spherical.

Notes

Calculates and moves a keypoint to an intersection location. The keypoint must have been previously defined (at an approximate location) or left undefined (in which case it is internally defined at the SOURCE location). The actual location is calculated from the intersection of three surfaces (implied from three coordinate constants in two different coordinate systems). Note that solid modeling in a toroidal coordinate system is not recommended. See the MOVE command for surface and intersection details. The three (of six) constants easiest to define should be used. The program will calculate the remaining three coordinate constants. All arguments, except KC1, must be input. Use the repeat command [*REPEAT] after the KMOVE command to move a series of keypoints, if desired.

Menu Paths

Main Menu>Preprocessor>Modeling>Move / Modify>Keypoints>To Intersect

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KMODIF 		Up / Home Next
KNODE


KNODE

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KNODE, NPT, NODE

Defines a keypoint at an existing node location.

PREP7: Keypoints

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NPT

Arbitrary reference number for keypoint. If zero, the lowest available number is assigned [NUMSTR].

NODE

Node number defining global X, Y, Z keypoint location. If NODE = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NODE.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Keypoints>On Node

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KMOVE 		Up / Home Next
KPLOT


KPLOT

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KPLOT, NP1, NP2, NINC, Lab

Displays the selected keypoints.

PREP7: Keypoints

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NP1, NP2, NINC

Display keypoints from NP1 to NP2 (defaults to NP1) in steps of NINC (defaults to 1). If NP1 = ALL (default), NP2 and NINC are ignored and all selected keypoints [KSEL] are displayed.

Lab

Determines what keypoints are plotted (one of the following):

(blank)
—

Plots all keypoints.

HPT
—

Plots only those keypoints that are hard points.

Notes

This command is valid in any processor.

Menu Paths

Utility Menu>Plot>Keypoints>Hardpoints
Utility Menu>Plot>Keypoints>Keypoints
Utility Menu>Plot>Specified Entities>Keypoints

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KNODE 		Up / Home Next
KPSCALE


KPSCALE

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KPSCALE, NP1, NP2, NINC, RX, RY, RZ, KINC, NOELEM, IMOVE

Generates a scaled set of (meshed) keypoints from a pattern of keypoints.

PREP7: Keypoints

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NP1, NP2, NINC

Set of keypoints (NP1 to NP2 in steps of NINC) that defines the pattern to be scaled. NP2 defaults to NP1, NINC defaults to 1. If NP1 = ALL, NP2 and NINC are ignored and the pattern is defined by all selected keypoints. If NP1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NP1 (NP2 and NINC are ignored).

RX, RY, RZ

Scale factors to be applied to the X, Y, Z keypoint coordinates in the active coordinate system (RR, Rθ, RZ for cylindrical; RR, Rθ, RΦ for spherical). The Rθ and RΦ scale factors are interpreted as angular offsets. For example, if CSYS = 1, an RX, RY, RZ input of (1.5,10,3) would scale the specified keypoints 1.5 times in the radial and 3 times in the Z direction, while adding an offset of 10 degrees to the keypoints.) Zero, blank, or negative scale factor values are assumed to be 1.0. Zero or blank angular offsets have no effect.

KINC

Increment to be applied to the keypoint numbers for generated set. If zero, the lowest available keypoint numbers will be assigned [NUMSTR].

NOELEM

Specifies whether nodes and elements are also to be generated:

0
 —

Nodes and point elements associated with the original keypoints will be generated (scaled) if they exist.

1
 —

Nodes and point elements will not be generated.

IMOVE

Specifies whether keypoints will be moved or newly defined:

0
 —

Additional keypoints will be generated.

1
 —

Original keypoints will be moved to new position (KINC and NOELEM are ignored). Use only if the old keypoints are no longer needed at their original positions. Corresponding meshed items are also moved if not needed at their original position.

Notes

Generates a scaled set of keypoints (and corresponding mesh) from a pattern of keypoints. The MAT, TYPE, REAL, and ESYS attributes are based on the keypoints in the pattern and not the current settings. Scaling is done in the active coordinate system. Keypoints in the pattern could have been generated in any coordinate system. However, solid modeling in a toroidal coordinate system is not recommended.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Scale>Keypoints

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KPLOT 		Up / Home Next
KREFINE


KREFINE

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KREFINE, NP1, NP2, NINC, LEVEL, DEPTH, POST, RETAIN

Refines the mesh around specified keypoints.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NP1, NP2, NINC

Keypoints (NP1 to NP2 in increments of NINC) around which the mesh is to be refined. NP2 defaults to NP1, and NINC defaults to 1. If NP1 = ALL, NP2 and NINC are ignored and all selected keypoints are used for refinement. If NP1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NP1 (NP2 and NINC are ignored).

LEVEL

Amount of refinement to be done. Specify the value of LEVEL as an integer from 1 to 5, where a value of 1 provides minimal refinement, and a value of 5 provides maximum refinement (defaults to 1).

DEPTH

Depth of mesh refinement in terms of the number of elements outward from the indicated keypoints (defaults to 1).

POST

Type of postprocessing to be done after element splitting, in order to improve element quality:

OFF
 —

No postprocessing will be done.

SMOOTH
 —

Smoothing will be done. Node locations may change.

CLEAN
 —

Smoothing and cleanup will be done. Existing elements may be deleted, and node locations may change (default).

RETAIN

Flag indicating whether quadrilateral elements must be retained in the refinement of an all-quadrilateral mesh. (The ANSYS program ignores the RETAIN argument when you are refining anything other than a quadrilateral mesh.)

ON
 —

The final mesh will be composed entirely of quadrilateral elements, regardless of the element quality (default).

OFF
 —

The final mesh may include some triangular elements in order to maintain element quality and provide transitioning.

Notes

KREFINE performs local mesh refinement around the specified keypoints. By default, the indicated elements are split to create new elements with 1/2 the edge length of the original elements (LEVEL = 1).

KREFINE refines all area elements and tetrahedral volume elements that are adjacent to the specified keypoints. Any volume elements that are adjacent to the specified keypoints, but are not tetrahedra (for example, hexahedra, wedges, and pyramids), are not refined.

You cannot use mesh refinement on a solid model that contains initial conditions at nodes [IC], coupled nodes [CP family of commands], constraint equations [CE family of commands], or boundary conditions or loads applied directly to any of its nodes or elements. This applies to nodes and elements anywhere in the model, not just in the region where you want to request mesh refinement. See Revising Your Model in the Modeling and Meshing Guide for additional restrictions on mesh refinement.

This command is also valid for rezoning.

Menu Paths

Main Menu>Preprocessor>Meshing>Modify Mesh>Refine At>Keypoints

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KPSCALE 		Up / Home Next
KSCALE


KSCALE

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KSCALE, KINC, NP1, NP2, NINC, RX, RY, RZ

Generates a scaled pattern of keypoints from a given keypoint pattern.

PREP7: Keypoints

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KINC

Do this scaling operation one time, incrementing all keypoints in the given pattern by KINC. If KINC = 0, keypoints will be redefined at the scaled locations.

NP1, NP2, NINC

Scale keypoints from pattern beginning with NP1 to NP2 (defaults to NP1) in steps of NINC (defaults to 1). If NP1 = ALL, NP2 and NINC are ignored and pattern is all selected keypoints [KSEL]. If NP1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NP1 (NP2 and NINC are ignored).

RX, RY, RZ

Scale factor ratios. Scaling is relative to the origin of the active coordinate system (RR, Rθ, RZ for cylindrical, RR, Rθ, RΦ for spherical). If > 1.0, pattern is enlarged. If < 1.0, pattern is reduced. Ratios each default to 1.0.

Notes

Generates a scaled pattern of keypoints from a given keypoint pattern. Scaling is done in the active coordinate system (see analogous node scaling [NSCALE]). Solid modeling in a toroidal coordinate system is not recommended.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KREFINE 		Up / Home Next
KSCON


KSCON

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KSCON, NPT, DELR, KCTIP, NTHET, RRAT

Specifies a keypoint about which an area mesh will be skewed.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NPT

Keypoint number at concentration. If NPT = ALL, use all selected keypoints. If remaining fields are blank, remove concentration from this keypoint (if unmeshed). If NPT = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NPT.

DELR

Radius of first row of elements about keypoint.

KCTIP

Crack tip singularity key:

0
 —

Do not skew midside nodes, if any, within the element.

1
 —

Skew midside nodes of the first row of elements to the 1/4 point for crack tip singularity.

NTHET

Number of elements in circumferential direction (defaults to approximately one per 45° (or one per 30°, if KCTIP = 1)).

RRAT

Ratio of 2nd row element size to DELR (defaults to 0.75, or 0.5 if KCTIP = 1).

Notes

Defines a concentration keypoint about which an area mesh will be skewed. Useful for modeling stress concentrations and crack tips. During meshing, elements are initially generated circumferentially about, and radially away, from the keypoint. Lines attached to the keypoint are given appropriate divisions and spacing ratios. Only one concentration keypoint per unmeshed area is allowed. Use KSCON,STAT to list current status of concentration keypoints. The KSCON command does not support 3-D modeling.

This command is also valid for rezoning.

Menu Paths

Main Menu>Preprocessor>Meshing>Size Cntrls>Concentrat KPs>Create
Main Menu>Preprocessor>Meshing>Size Cntrls>Concentrat KPs>List

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KSCALE 		Up / Home Next
KSEL


KSEL

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KSEL, Type, Item, Comp, VMIN, VMAX, VINC, KABS

Selects a subset of keypoints or hard points.

DATABASE: Selecting

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Label identifying the type of select:

S
 —

Select a new set (default).

R
 —

Reselect a set from the current set.

A
 —

Additionally select a set and extend the current set.

U
 —

Unselect a set from the current set.

ALL
 —

Restore the full set.

NONE
 —

Unselect the full set.

INVE
 —

Invert the current set (selected becomes unselected and vice versa).

STAT
 —

Display the current select status.

The following fields are used only with Type = S, R, A, or U:

Item

Label identifying data. Valid item labels are shown in the table below. Some items also require a component label. If Item = PICK (or simply “P”), graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). Defaults to KP.

Comp

Component of the item (if required). Valid component labels are shown in the table below.

VMIN

Minimum value of item range. Ranges are keypoint numbers, coordinate values, attribute numbers, etc., as appropriate for the item. A component name (as specified on the CM command) may also be substituted for VMIN (VMAX and VINC are ignored). If Item = MAT, TYPE, REAL, or ESYS and if VMIN is positive, the absolute value of Item is compared against the range for selection; if VMIN is negative, the signed value of Item is compared. See the KLIST command for a discussion of signed attributes.

VMAX

Maximum value of item range. VMAX defaults to VMIN.

VINC

Value increment within range. Used only with integer ranges (such as for keypoint numbers). Defaults to 1. VINC cannot be negative.

KABS

Absolute value key:

0
 —

Check sign of value during selection.

1
 —

Use absolute value during selection (sign ignored).

Command Default

All keypoints are selected.

Notes

Selects a subset of keypoints or hard points. For example, to select a new set of keypoints based on keypoint numbers 1 through 7, use KSEL,S,KP,,1,7. The selected subset is used when the ALL label is entered (or implied) on other commands, such as KLIST,ALL. Only data identified by keypoint number are selected. Data are flagged as selected and unselected; no data are actually deleted from the database.

This command is valid in any processor.

For Selects based on non-integer numbers (coordinates, results, etc.), items that are within the range VMIN-Toler and VMAX+Toler are selected. The default tolerance Toler is based on the relative values of VMIN and VMAX as follows:

  • If VMIN = VMAX, Toler = 0.005 x VMIN.

  • If VMIN = VMAX = 0.0, Toler = 1.0E-6.

  • If VMAX ≠ VMIN, Toler = 1.0E-8 x (VMAX-VMIN).

Use the SELTOL command to override this default and specify Toler explicitly.

KSEL - Valid Item and Component Labels

Valid Item and Component Labels KSEL, Type,Item,Comp,VMIN,VMAX,VINC,KABS
Item | Comp | Description
KP |  | Keypoint number.
EXT |  | Keypoint numbers on exterior of selected lines (ignore remaining fields).
HPT |  | Hard point number.
LOC | X,Y,Z | X, Y, or Z location in the active coordinate system.
MAT |  | Material number associated with the keypoint.
TYPE |  | Element type number associated with the keypoint.
REAL |  | Real constant set number associated with the keypoint.
ESYS |  | Element coordinate system associated with the keypoint.

Menu Paths

Utility Menu>Select>Entities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KSCON 		Up / Home Next
KSLL


KSLL

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KSLL, Type

Selects those keypoints contained in the selected lines.

DATABASE: Selecting

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Label identifying the type of keypoint select:

S
—

Select a new set (default).

R
—

Reselect a set from the current set.

A
—

Additionally select a set and extend the current set.

U
—

Unselect a set from the current set.

Notes

This command is valid in any processor.

Menu Paths

Utility Menu>Select>Entities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KSEL 		Up / Home Next
KSLN


KSLN

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KSLN, Type

Selects those keypoints associated with the selected nodes.

DATABASE: Selecting

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Label identifying the type of keypoint select:

S
—

Select a new set (default).

R
—

Reselect a set from the current set.

A
—

Additionally select a set and extend the current set.

U
—

Unselect a set from the current set.

Notes

Valid only if the nodes were generated by a meshing operation [KMESH, LMESH, AMESH, VMESH] on a solid model that contains the associated keypoints.

This command is valid in any processor.

Menu Paths

Utility Menu>Select>Entities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KSLL 		Up / Home Next
KSUM


KSUM

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KSUM

Calculates and prints geometry statistics of the selected keypoints.

PREP7: Keypoints

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Calculates and prints geometry statistics (centroid location, moments of inertia, etc.) associated with the selected keypoints. Geometry items are reported in the global Cartesian coordinate system. A unit density is assumed, irrespective of any material associations [KATT, MAT]. Items calculated by KSUM and later retrieved by a *GET or *VGET command are valid only if the model is not modified after the KSUM command is issued.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Calc Geom Items>Of Keypoints

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KSLN 		Up / Home Next
KSYMM


KSYMM

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KSYMM, Ncomp, NP1, NP2, NINC, KINC, NOELEM, IMOVE

Generates a reflected set of keypoints.

PREP7: Keypoints

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Ncomp

Symmetry key:

X
 —

X (or R) symmetry (default).

Y
 —

Y (or θ) symmetry.

Z
 —

Z (or Φ) symmetry.

NP1, NP2, NINC

Reflect keypoints from pattern beginning with NP1 to NP2 (defaults to NP1) in steps of NINC (defaults to 1). If NP1 = ALL, NP2 and NINC are ignored and pattern is all selected keypoints [KSEL]. If Ncomp = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NP1 (NP2 and NINC are ignored).

KINC

Keypoint increment between sets. If zero, the lowest available keypoint numbers are assigned [NUMSTR].

NOELEM

Specifies whether nodes and elements are also to be generated:

0
 —

Generate nodes and point elements associated with the original keypoints, if they exist.

1
 —

Do not generate nodes and elements.

IMOVE

Specifies whether keypoints will be moved or newly defined:

0
 —

Generate additional keypoints.

1
 —

Move original keypoints to new position retaining the same keypoint numbers (KINC and NOELEM are ignored). Valid only if the old keypoints are no longer needed at their original positions. Corresponding meshed items are also moved if not needed at their original position.

Notes

Generates a reflected set of keypoints (and corresponding mesh) from a given keypoint pattern by a symmetry reflection (see analogous node symmetry command, NSYM). The MAT, TYPE, REAL, and ESYS attributes are based upon the keypoints in the pattern and not upon the current settings. Reflection is done in the active coordinate system by changing a particular coordinate sign. Keypoints in the pattern may have been generated in any coordinate system. However, solid modeling in a toroidal coordinate system is not recommended.

Menu Paths

Main Menu>Preprocessor>Modeling>Reflect>Keypoints

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KSUM 		Up / Home Next
KTRAN


KTRAN

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KTRAN, KCNTO, NP1, NP2, NINC, KINC, NOELEM, IMOVE

Transfers a pattern of keypoints to another coordinate system.

PREP7: Keypoints

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KCNTO

Reference number of coordinate system where the pattern is to be transferred. Transfer occurs from the active coordinate system.

NP1, NP2, NINC

Transfer keypoints from pattern beginning with NP1 to NP2 (defaults to NP1) in steps of NINC (defaults to 1). If NP1 = ALL, NP2 and NINC are ignored and pattern is all selected keypoints [KSEL]. If NP1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NP1 (NP2 and NINC are ignored).

KINC

Keypoint increment between sets. If zero, the lowest available keypoint numbers are assigned [NUMSTR].

NOELEM

Specifies whether nodes and elements are also to be generated:

0
—

Generate nodes and point elements associated with the original keypoints, if they exist.

1
—

Do not generate nodes and elements.

IMOVE

Specifies whether keypoints will be moved or newly defined:

0
—

Generate additional keypoints.

1
—

Move original keypoints to new position retaining the same keypoint numbers (KINC and NOELEM are ignored). Valid only if the old keypoints are no longer needed at their original positions. Corresponding meshed items are also moved if not needed at their original position.

Notes

Transfers a pattern of keypoints (and corresponding mesh) from one coordinate system to another (see analogous node transfer command, TRANSFER). The MAT, TYPE, REAL, and ESYS attributes are based upon the keypoints in the pattern and not upon the current settings. Coordinate systems may be translated and rotated relative to each other. Initial pattern may be generated in any coordinate system. Coordinate values are interpreted in the active coordinate system and are transferred directly. Solid modeling in a toroidal coordinate system is not recommended.

Menu Paths

Main Menu>Preprocessor>Modeling>Move / Modify>Transfer Coord>Keypoints

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KSYMM 		Up / Home Next
KUSE


KUSE

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KUSE, KEY

Specifies whether or not to reuse the triangularized matrix.

SOLUTION: Load Step Options

MP ME ST PR PRN <> <> <> EM <> <> PP <>

KEY

Reuse key:

0
—

Program decides whether or not to reuse the previous triangularized stiffness matrix.

1
—

Force the previous triangularized stiffness matrix to be reused. Used mainly in a restart. Forcing reuse of the matrix is a nonstandard use of the program, and should be done with caution. For instance, using this option and changing the number of elements, or the number or type of degrees of freedom, may cause an abort.

-1
 —

All element matrices are reformed and are used to reform a new triangularized stiffness matrix.

Command Default

Program makes decision.

Notes

Overrides the program logic to determine whether or not to reuse the previous triangularized stiffness matrix for each substep of this load step. Applies only to static or full transient analyses and to full harmonic analyses if the frequency is not changed for continuing loadsteps. For full harmonic analyses, only KEY = 1 or KEY = 0 is valid.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Reuse Tri Matrix
Main Menu>Solution>Load Step Opts>Other>Reuse Tri Matrix

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KTRAN 		Up / Home Next
KWPAVE


KWPAVE

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KWPAVE, P1, P2, P3, P4, P5, P6, P7, P8, P9

Moves the working plane origin to the average location of keypoints.

DATABASE: Working Plane

MP ME ST PR PRN <> <> FL EM <> <> PP <>

P1, P2, P3, . . . , P9

Keypoints used in calculation of the average. At least one must be defined. If P1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

Notes

Moves the origin of the working plane to the average of the specified keypoints. Averaging is based on the active coordinate system.

This command is valid in any processor.

Menu Paths

Utility Menu>WorkPlane>Offset WP to>Keypoints

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KUSE 		Up / Home Next
KWPLAN


KWPLAN

Release 11.0 Documentation for ANSYS

Commands Reference | K Commands |

KWPLAN, WN, KORIG, KXAX, KPLAN

Defines the working plane using three keypoints.

DATABASE: Working Plane

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number whose viewing direction will be modified to be normal to the working plane (defaults to 1). If WN is a negative value, the viewing direction will not be modified. If fewer than three points are used, the viewing direction of window WN will be used instead to define the normal to the working plane.

KORIG

Keypoint number defining the origin of the working plane coordinate system. If KORIG = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

KXAX

Keypoint number defining the x-axis orientation (defaults to the x-axis being parallel to the global X-axis; or if the normal to the working plane is parallel to the global X-axis, then defaults to being parallel to the global Y-axis).

KPLAN

Keypoint number defining the working plane (the normal defaults to the present display view [/VIEW] of window WN).

Notes

Defines a working plane to assist in picking operations using three keypoints as an alternate to the WPLANE command. The three keypoints also define the working plane coordinate system. A minimum of one keypoint (at the working plane origin) is required. Immediate mode may also be active. See WPSTYL command to set the style of working plane display.

This command is valid in any processor.

Menu Paths

Utility Menu>WorkPlane>Align WP with>Keypoints

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KWPAVE 		Up / Home Next
L Commands


L Commands

Table of Contents

L - Defines a line between two keypoints.
L2ANG - Generates a line at an angle with two existing lines.
L2TAN - Generates a line tangent to two lines.
LANG - Generates a straight line at an angle with a line.
LARC - Defines a circular arc.
/LARC - Creates annotation arcs (GUI).
LAREA - Generates the shortest line between two keypoints on an area.
LARGE - Finds the largest (the envelope) of three variables.
LATT - Associates element attributes with the selected, unmeshed lines.
LAYER - Specifies the element layer for which data are to be processed.
LAYERP26 - Specifies the element layer for which data are to be stored.
LAYLIST - Lists real constants material properties for layered elements.
LAYPLOT - Displays the layer stacking sequence for layered elements.
LCABS - Specifies absolute values for load case operations.
LCASE - Reads a load case into the database.
LCCALC - Specifies "Load case settings" as the subsequent status topic.
LCCAT - Concatenates multiple lines into one line for mapped meshing.
LCDEF - Creates a load case from a set of results on a results file.
LCFACT - Defines scale factors for load case operations.
LCFILE - Creates a load case from an existing load case file.
LCLEAR - Deletes nodes and line elements associated with selected lines.
LCOMB - Combines adjacent lines into one line.
LCOPER - Performs load case operations.
LCSEL - Selects a subset of load cases.
LCSL - Divides intersecting lines at their point(s) of intersection.
LCSUM - Specifies whether to process non-summable items in load case operations.
LCWRITE - Creates a load case by writing results to a load case file.
LCZERO - Zeroes the results portion of the database.
LDELE - Deletes unmeshed lines.
LDIV - Divides a single line into two or more lines.
LDRAG - Generates lines by sweeping a keypoint pattern along path.
LDREAD - Reads results from the results file and applies them as loads.
LESIZE - Specifies the divisions and spacing ratio on unmeshed lines.
LEXTND - Extends a line at one end by using its slope.
LFILLT - Generates a fillet line between two intersecting lines.
LFSURF - Generates surface elements overlaid on the edge of existing solid elements and assigns the extra node as the closest fluid element node.
LGEN - Generates additional lines from a pattern of lines.
LGLUE - Generates new lines by "gluing" lines.
LGWRITE - Writes the database command log to a file.
/LIGHT - Specifies the light direction for the display window.
LINA - Finds the intersection of a line with an area.
LINE - Specifies "Lines" as the subsequent status topic.
/LINE - Creates annotation lines (GUI).
LINES - Specifies the length of a printed page.
LINL - Finds the common intersection of lines.
LINP - Finds the pairwise intersection of lines.
LINV - Finds the intersection of a line with a volume.
LIST - Lists out the sets in the results file.
*LIST - Displays the contents of an external, coded file.
LLIST - Lists the defined lines.
LMATRIX - Calculates an inductance matrix and the total flux linkage for an N-winding coil system.
LMESH - Generates nodes and line elements along lines.
LNCOLLAPSE - Collapse a line segment to a keypoint (for models imported from CAD files).
LNDETACH - Detaches lines from neighboring geometric entity (for models imported from CAD files).
LNFILL - Creates a straight line between two keypoints (for models imported from CAD files).
LNMERGE - Merges two or more connected line segments (for models imported from CAD files).
LNSPLIT - Splits a line segment into two line segments (for models imported from CAD files).
LNSRCH - Activates a line search to be used with Newton-Raphson.
LOCAL - Defines a local coordinate system by a location and orientation.
LOVLAP - Overlaps lines.
LPLOT - Displays the selected lines.
LPTN - Partitions lines.
LREFINE - Refines the mesh around specified lines.
LREVERSE - Reverses the normal of a line, regardless of its connectivity or mesh status.
LROTAT - Generates circular lines by rotating a keypoint pattern about an axis.
LSBA - Subtracts areas from lines.
LSBL - Subtracts lines from lines.
LSBV - Subtracts volumes from lines.
LSBW - Subtracts the intersection of the working plane from lines (divides lines).
LSCLEAR - Clears loads and load step options from the database.
LSDELE - Deletes load step files.
LSEL - Selects a subset of lines.
LSLA - Selects those lines contained in the selected areas.
LSLK - Selects those lines containing the selected keypoints.
LSOPER - Specifies "Load step operations" as the subsequent status topic.
/LSPEC - Specifies annotation line attributes (GUI).
LSREAD - Reads load and load step option data into the database.
LSSCALE - Generates a scaled set of lines from a pattern of lines.
LSSOLVE - Reads and solves multiple load steps.
LSTR - Defines a straight line irrespective of the active coordinate system.
LSUM - Calculates and prints geometry statistics of the selected lines.
LSWRITE - Writes load and load step option data to a file.
/LSYMBOL - Creates annotation symbols (GUI).
LSYMM - Generates lines from a line pattern by symmetry reflection.
LTAN - Generates a line at the end of, and tangent to, an existing line.
LTRAN - Transfers a pattern of lines to another coordinate system.
LUMPM - Specifies a lumped mass matrix formulation.
LVSCALE - Scales the load vector for mode superposition analyses.
LWPLAN - Defines the working plane normal to a location on a line.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
KWPLAN 		Up / Home Next
L


L

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

L, P1, P2, NDIV, SPACE, XV1, YV1, ZV1, XV2, YV2, ZV2

Defines a line between two keypoints.

PREP7: Lines

MP ME ST PR PRN <> <> FL EM <> <> PP <>

P1

Keypoint at the beginning of line. If P1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

P2

Keypoint at the end of line.

NDIV

Number of element divisions within this line. Normally this field is not used; specifying divisions with LESIZE, etc. is recommended.

SPACE

Spacing ratio. Normally this field is not used, as specifying spacing ratios with the LESIZE command is recommended. If positive, SPACE is the nominal ratio of the last division size (at P2) to the first division size (at P1). If the ratio is greater than 1, the division sizes increase from P1 to P2, and if less than 1, they decrease. If SPACE is negative, then |SPACE| is the nominal ratio of the center division size to those at the ends.

The following fields are used only if specified end slopes on the line are desired, otherwise zero curvature end slopes will be automatically calculated to produce a line which is "straight" in the active coordinate system. To specify end slopes, use the following fields to define a "slope vector" (one for each end of the line, if desired) that has its tail at the origin and its head at the point XV, YV, ZV in the active coordinate system [CSYS]. The corresponding end slope of the line will then be parallel to this "slope vector."

XV1, YV1, ZV1

Location (in the active coordinate system) of the head of the "slope vector" corresponding to the slope at the P1 end of the line. The tail of the vector is at the origin of the coordinate system.

XV2, YV2, ZV2

Location of the head of the "slope vector" corresponding to the slope at the P2 end of the line.

Notes

Defines a line between two keypoints from P1 to P2. The line shape may be generated as "straight" (in the active coordinate system) or curved. The line shape is invariant with coordinate system after it is generated. Note that solid modeling in a toroidal coordinate system is not recommended. A curved line is limited to 180°. Lines may be redefined only if not yet attached to an area.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Lines>Lines>In Active Coord

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
L Commands 		Up / Home Next
L2ANG


L2ANG

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

L2ANG, NL1, NL2, ANG1, ANG2, PHIT1, PHIT2

Generates a line at an angle with two existing lines.

PREP7: Lines

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1

Number of the first line to be hit (touched by the end of the new line). If negative, assume P1 (see below) is the second keypoint of the line instead of the first. If NL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

NL2

Number of the second line to be hit. If negative, assume P3 is the second keypoint of the line instead of the first.

ANG1

Angle of intersection (usually zero or 180) of generated line with tangent to first line.

ANG2

Angle of intersection (usually zero or 180) of generated line with tangent to second line.

PHIT1

Number to be assigned to keypoint generated at hit location on first line (defaults to lowest available keypoint number [NUMSTR]).

PHIT2

Number to be assigned to keypoint generated at hit location on second line (defaults to lowest available keypoint number [NUMSTR]).

Notes

Generates a straight line (PHIT1-PHIT2) at an angle (ANG1) with an existing line NL1 (P1-P2) and which is also at an angle (ANG2) with another existing line NL2 (P3-P4). If the angles are zero the generated line is tangent to the two lines. The PHIT1 and PHIT2 locations on the lines are automatically calculated. Line P1-P2 becomes P1-PHIT1, P3-P4 becomes P3-PHIT2, and new lines PHIT1-P2, PHIT2-P4, and PHIT1-PHIT2 are generated. Line divisions are set to zero (use LESIZE, etc. to modify).

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Lines>Lines>Angle to 2 Lines
Main Menu>Preprocessor>Modeling>Create>Lines>Lines>Norm to 2 Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
L 		Up / Home Next
L2TAN


L2TAN

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

L2TAN, NL1, NL2

Generates a line tangent to two lines.

PREP7: Lines

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1

Number of the first line generated line is tangent to. If negative, assume P1 (see below) is the second keypoint of the line instead of the first. If NL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

NL2

Number of the second line generated line is tangent to. If negative, assume P3 is the second keypoint of the line instead of the first.

Notes

Generates a line (P2-P3) tangent at point P2 to line NL1 (P1-P2) and tangent at point P3 to line NL2 (P3-P4).

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Lines>Lines>Tan to 2 Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
L2ANG 		Up / Home Next
LANG


LANG

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LANG, NL1, P3, ANG, PHIT, LOCAT

Generates a straight line at an angle with a line.

PREP7: Lines

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1

Number of the line to be hit (touched by the end of the new line). If negative, assume P1 (see below) is the second keypoint of the line instead of the first. If NL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

P3

Keypoint at which generated line must end.

ANG

Angle of intersection of generated line PHIT-P3 with tangent to line P1-P2 at PHIT. If 0 (default), the generated line is tangent to NL1 toward end P1; if 90, the generated line is perpendicular to NL1. If 180, the generated line is tangent to NL1 toward end P2. ANG can be any value, but is adjusted to the corresponding acute angle with respect to LOCAT. See "Notes" for a discussion of accuracy.

PHIT

Number to be assigned to keypoint generated at hit location (defaults to lowest available keypoint number [NUMSTR]).

LOCAT

Approximate location of PHIT in terms of the ratio of the distance along the line (NL1) to the length of the line. LOCAT can range from 0 to 1. If LOCAT is blank, the point will be located with less speed and accuracy, and an arbitrary location may result.

Notes

Generates a straight line (PHIT-P3) at an angle (ANG) with a line NL1 (P1-P2). The location of PHIT on the line is automatically calculated. Line P1-P2 becomes P1-PHIT and new lines PHIT-P2 and PHIT-P3 are generated. Line divisions are set to zero (use LESIZE, etc. to modify).

PHIT is positioned closest to LOCAT for the given angle, ANG. To ensure better performance, it is recommended that LOCAT be input, even if it is 0.

The program uses an iterative procedure to position PHIT. The procedure is not exact, with the result that the actual value of ANG will sometimes differ slightly from the specified value.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Lines>Lines>At angle to line
Main Menu>Preprocessor>Modeling>Create>Lines>Lines>Normal to Line

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
L2TAN 		Up / Home Next
LARC


LARC

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LARC, P1, P2, PC, RAD

Defines a circular arc.

PREP7: Lines

MP ME ST PR PRN <> <> FL EM <> <> PP <>

P1

Keypoint at one end of circular arc line. If P1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

P2

Keypoint at other end of circular arc line.

PC

Keypoint defining plane of arc and center of curvature side (with positive radius). Must not lie along the straight line from P1 to P2. PC need not be at the center of curvature.

RAD

Radius of curvature of the arc. If negative, assume center of curvature side is opposite to that defined by PC. If RAD is blank, RAD will be calculated from a curve fit through P1, PC, and P2.

Notes

Defines a circular arc line from P1 to P2. The line shape is generated as circular, regardless of the active coordinate system. The line shape is invariant with coordinate system after it is generated.

When dealing with a large radius arc (1e3), or if the location of the arc you create is far away from the origin of your coordinate system, anomalies may occur. You can prevent this by creating the arc at a smaller scale, and then scaling the model back to full size (LSSCALE).

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Lines>Arcs>By End KPs & Rad
Main Menu>Preprocessor>Modeling>Create>Lines>Arcs>Through 3 KPs

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LANG 		Up / Home Next
/LARC


/LARC

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

/LARC, XCENTR, YCENTR, XLRAD, ANGLE1, ANGLE2

Creates annotation arcs (GUI).

GRAPHICS: Annotation

MP ME ST PR PRN <> <> FL EM <> <> PP <>

XCENTR

Arc X center location (-1.0 < X < 1.0).

YCENTR

Arc Y center location (-1.0 < Y < 1.0).

XLRAD

Arc radius length.

ANGLE1

Starting angle of arc.

ANGLE2

Ending angle of arc. The arc is drawn counterclockwise from the starting angle, ANGLE1, to the ending angle, ANGLE2.

Notes

Defines annotation arcs to be written directly onto the display at a specified location. This is a command generated by the Graphical User Interface (GUI) and will appear in the log file (Jobname.LOG) if annotation is used. This command is not intended to be typed in directly in an ANSYS session (although it can be included in an input file for batch input or for use with the /INPUT command).

All arcs are shown on subsequent displays unless the annotation is turned off or deleted. Use the /LSPEC command to set the attributes of the arc.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Annotation>Create Annotation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LARC 		Up / Home Next
LAREA


LAREA

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LAREA, P1, P2, NAREA

Generates the shortest line between two keypoints on an area.

PREP7: Lines

MP ME ST PR PRN <> <> FL EM <> <> PP <>

P1

First keypoint of line to be generated. If P1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

P2

Second keypoint of line to be generated.

NAREA

Area containing P1 and P2, or area to which generated line is to be parallel.

Notes

Generates the shortest line between two keypoints, P1 and P2, both of which lie on an area. The generated line will also lie on the area. P1 and P2 may also be equidistant (in global Cartesian space) from the area (and on the same side of the area), in which case a line parallel to the area is generated.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Lines>Lines>Overlaid on Area

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/LARC 		Up / Home Next
LARGE


LARGE

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LARGE, IR, IA, IB, IC, Name, --, --, FACTA, FACTB, FACTC

Finds the largest (the envelope) of three variables.

POST26: Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

IR

Arbitrary reference number assigned to the resulting variable (2 to NV [NUMVAR]). If this number is the same as for a previously defined variable, the previously defined variable will be overwritten with this result.

IA, IB, IC

Reference numbers of the three variables to be operated on. If only two, leave IC blank. If only one, leave IB blank also.

Name

Thirty-two character name for identifying the variable on the printout and displays. Embedded blanks are compressed upon output.

--, --

Unused fields.

FACTA, FACTB, FACTC

Scaling factors (positive or negative) applied to the corresponding variables (default to 1.0).

Notes

Creates a new variable by finding the largest of up to three variables according to the operation:

IR = Largest of (FACTA x IA, FACTB x IB, FACTC x IC)

The comparison is done at each time location, so that the new variable is the "envelope" of the three existing variables.

Menu Paths

Main Menu>TimeHist Postpro>Math Operations>Find Maximum

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LAREA 		Up / Home Next
LATT


LATT

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LATT, MAT, REAL, TYPE, --, KB, KE, SECNUM

Associates element attributes with the selected, unmeshed lines.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

MAT, REAL, TYPE

Material number, real constant set number, and type number to be associated with selected, unmeshed lines.

--

Unused field.

KB, KE

Beginning and ending orientation keypoints to be associated with selected, unmeshed lines. ANSYS uses the location of these keypoints to determine how to orient beam cross sections during beam meshing. Beam elements may be created along a line with a constant orientation by specifying only one orientation keypoint (KB), or a pre-twisted beam may be created by selecting different orientation keypoints at each end of the line (KB and KE). (For a line bounded by two keypoints (KP1 and KP2), the orientation vector at the beginning of the line extends from KP1 to KB, and the orientation vector at the end of the line extends from KP2 to KE. The orientation vectors are used to compute the orientation nodes of the elements.)

SECNUM

Section identifier to be associated with selected, unmeshed lines. For details, see the description of the SECTYPE and SECNUM commands.

Notes

The element attributes specified by the LATT command will be used when the lines are meshed.

Lines subsequently generated from the lines will also have the attributes specified by MAT, REAL, TYPE, and SECNUM. If a line does not have these attributes associated with it (by this command) at the time it is meshed, the attributes are obtained from the then current MAT, REAL, TYPE, and SECNUM command settings.

In contrast, the values specified by KB and KE apply only to the selected lines; that is, lines subsequently generated from these lines will not share these attributes. Similarly, if a line does not have KB and KE attributes associated with it via the LATT command at the time it is meshed, ANSYS cannot obtain the attributes from elsewhere. See the discussion on beam meshing in Meshing Your Solid Model in the Modeling and Meshing Guide for more information.

Reissue the LATT command (before lines are meshed) to change the attributes. A zero (or blank) argument removes the corresponding association. If any of the arguments MAT, REAL, TYPE, ESYS or SECNUM are defined as -1, then that value will be left unchanged in the selected set.

In some cases, ANSYS can proceed with a line meshing operation even when no logical element type has been assigned via LATT,,,TYPE or TYPE. See Meshing Your Solid Model in the Modeling and Meshing Guide for more information about setting element attributes.

Menu Paths

Main Menu>Preprocessor>Meshing>Mesh Attributes>All Lines
Main Menu>Preprocessor>Meshing>Mesh Attributes>Picked Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LARGE 		Up / Home Next
LAYER


LAYER

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LAYER, NUM

Specifies the element layer for which data are to be processed.

POST1: Controls

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NUM

Layer-processing mode:

N
 —

The layer number to process. The default value is 0.

FCMAX
 —

Processes the layer with the largest failure criteria.

Command Default

The default is N = 0, meaning that the entire element is considered to be the default “layer.” Accordingly, the results data are from the bottom of the bottom layer and the top of the top layer.

Notes

Specifies the element layer for which results data are to be listed, plotted, or otherwise processed.

Applies to stress and strain data for layered elements SOLID46, SHELL91, SOLID95 (with KEYOPT(1) = 1), SHELL99, SHELL163, SHELL181, SHELL281, SOLID185, SOLID186, SOLSH190, SOLID191, SHELL208, SHELL209, and REINF265; heat flux and heat gradient for SHELL131 and SHELL132; body load temperatures for SHELL91 and SOLID191.

The SHELL command may then be used (with shell elements) to specify a location (TOP, MID, BOT) within the layer for output. (The SHELL command does not apply to thermal shell elements SHELL131 and SHELL132.) Transverse shear stresses for MID are linearly averaged from TOP and BOT, and do not reflect a parabolic distribution. Setting KEYOPT(8) = 2 for SHELL181, SHELL281, SHELL208, and SHELL209, writes the mid-surface values directly to the results file and yields more accurate values than linear averaging.

This command cannot be used for energy output, as energy is a per-element quantity.

When using the LAYER command with SOLID46, SHELL91, SHELL99, SHELL181, SOLID185, SOLID186, SOLSH190, SOLID191, SHELL208, SHELL209, and SHELL281, KEYOPT(8) must be set to 1 (or 2 for SHELL181, SHELL281, SHELL208, or SHELL209) in order to store results for all layers. Although SOLID95 with KEYOPT(1) = 1 consists of only one layer, the command LAYER,1 is still needed to report results in the layer coordinate system.

When NUM = FCMAX, you must provide the failure criterion input. If using FC input, ANSYS processes all structural elements. If using only TB,FAIL input, only the following elements are processed: SOLID46, SHELL91, SOLID95 (with KEYOPT(1) = 1), SHELL99, and SOLID191.

Use this command with RSYS,LSYS to display results in the layer coordinate system for a particular layer.

For the ANSYS LS-DYNA product, this command works differently than described above. For SHELL163, you must first use EDINT during the solution phase to define the integration points for which you want output data. Be aware that the output location for SHELL163 data is always at the integration point, so "top" and "bottom" refer to the top or bottom integration point, not necessarily the top or bottom surface. For more information, see the ANSYS LS-DYNA User's Guide.

Menu Paths

Main Menu>General Postproc>Options for Outp
Utility Menu>List>Results>Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LATT 		Up / Home Next
LAYERP26


LAYERP26

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LAYERP26, NUM

Specifies the element layer for which data are to be stored.

POST26: Controls

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NUM

Layer-processing mode:

N
 —

The layer number to process. The default value is 1.

Command Default

The default is N = 1, meaning that results data are from the “first” layer. If KEYOPT(8) = 0, “first” layer actually means the bottom of the bottom layer and the top of the top layer.

Notes

Defines the element layer for which results data are to be stored for postprocessing. Applies to stress and strain data for layered elements SOLID46, SHELL91, SHELL99, BEAM161, SHELL163, SHELL181, SOLID185, SOLID186, SOLSH190, SOLID191, SHELL208, SHELL209, SHELL281, and REINF265.

Also applies to body load temperatures for SHELL99. The SHELL command may then be used (for shell elements) to specify a location (TOP, MID, BOT) within the layer for selection on the ESOL command. Transverse shear stresses for MID are linearly averaged from TOP and BOT, and do not reflect a parabolic distribution. Setting KEYOPT(8) = 2 for SHELL181, SHELL208, SHELL209, and SHELL281 writes the mid-surface values directly to the results file and yields more accurate values than linear averaging.

That this command cannot be used for energy output, as energy is a per-element quantity.

When using the LAYERP26 command with SOLID46, SHELL91, SHELL99, SHELL181, SOLID185, SOLID186, SOLSH190, SOLID191, SHELL208, or SHELL209, KEYOPT(8) must be set to 1 (or 2 for SHELL181, SHELL208, SHELL209, or SHELL281) in order to store results for all layers. Even though SOLID95 with KEYOPT(1) = 1 consists of only one layer, the command LAYERP26,1 is still needed to report results in the layer coordinate system.

For the ANSYS LS-DYNA product, this command works differently than described above. For SHELL163 and BEAM161, you must first use EDINT during the solution phase to define the integration points for which you want output data. Be aware that the output location for SHELL163 data is always at the integration point, so "top" and "bottom" refer to the top or bottom integration point, not necessarily the top or bottom surface. For more information, see the ANSYS LS-DYNA User's Guide.

In POST26, the ESOL data stored is based on the active LAYERP26 specification at the time the data is stored. To store data at various specifications (for example, layers 2 and 5), issue a STORE command before each new specification.

Menu Paths

Main Menu>TimeHist Postpro>Define Variables
Main Menu>TimeHist Postpro>Elec&Mag>Circuit>Define Variables

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LAYER 		Up / Home Next
LAYLIST


LAYLIST

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LAYLIST, IEL, LAYR1, LAYR2, Mplab1, Mplab2

Lists real constants material properties for layered elements.

PREP7: Elements

MP ME ST PR PRN <> <> <> <> <> <> PP <>

IEL

Element number to be listed. If ALL, list all selected elements [ESEL] of the appropriate type. If blank and the current element type is a layered element type, list data from the current real constant table in the layered format.

LAYR1, LAYR2

Range of layer numbers to be listed. If LAYR1 is greater than LAYR2, a reverse order list is produced. LAYR1 defaults to 1. LAYR2 defaults to LAYR1 if LAYR1 is input or to the number of layers if LAYR1 is not input.

Mplab1, Mplab2

Material property labels (e.g., EX) to be listed along with the layer real constants.

Notes

Lists real constants and any two material properties for layered shell and solid elements. Only elements of type SOLID46, SHELL91, SHELL99, and SOLID191 are listed.

If matrix input is selected (KEYOPT(2) = 2 or 3), LAYR1, LAYR2, Mplab1, and Mplab2 are not used.

This command is valid in any processor.

Menu Paths

Utility Menu>List>Elements>Layered Elements
Utility Menu>List>Properties>Layer Data

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LAYERP26 		Up / Home Next
LAYPLOT


LAYPLOT

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LAYPLOT, IEL, LAYR1, LAYR2

Displays the layer stacking sequence for layered elements.

PREP7: Elements

MP ME ST PR PRN <> <> <> <> <> <> PP <>

IEL

Element number for the display. If blank and the current element type is a layered element type, display data from the current real constant table.

LAYR1, LAYR2

Range of layer numbers to be displayed. If LAYR1 is greater than LAYR2, a reversed order display is produced. Up to 20 layers may be displayed at a time. LAYR1 defaults to 1. LAYR2 defaults to LAYR1 if LAYR1 is input or to the number of layers (or to 19+LAYR1, if smaller) if LAYR1 is not input.

Notes

Displays the layer stacking sequence as defined in the real constant table for layered shell and solid elements in a form where the layers are visible (like a sheared deck of cards). The element x-axis is shown as 0.0 degrees. Layers are cross-hatched and color coded for clarity. The hatch lines indicate the layer angle (real constant THETA) and the color coding is for material identification (real constant MAT). Only valid for elements of type SOLID46, SHELL91, SHELL99, and SOLID191. The actual orientation of a specific layer in three dimensional space can be seen using /PSYMB, LAYR. Layer thickness can be displayed using the /ESHAPE and EPLOT commands.

This command is valid in any processor.

Menu Paths

Utility Menu>Plot>Layered Elements

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LAYLIST 		Up / Home Next
LCABS


LCABS

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LCABS, LCNO, KABS

Specifies absolute values for load case operations.

POST1: Load Case Calculations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LCNO

Load case pointer number. If ALL, apply to all selected load cases [LCSEL].

KABS

Absolute value key:

0
—

Use algebraic values of load case LCNO in operations.

1
—

Use absolute values of load case LCNO in operations.

Command Default

Use algebraic values.

Notes

Causes absolute values to be used in the load case operations [LCASE or LCOPER]. Absolute values are taken prior to assigning a load case factor [LCFACT] and are applied only to defined load cases [LCDEF].

Menu Paths

Main Menu>General Postproc>Load Case>Calc Options>Absolut Value

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LAYPLOT 		Up / Home Next
LCASE


LCASE

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LCASE, LCNO

Reads a load case into the database.

POST1: Load Case Calculations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LCNO

Load case pointer number [LCDEF,STAT]. Defaults to 1.

Command Default

Load case 1.

Notes

Reads a load case into the database. Load cases are created as described on the LCDEF or LCWRITE commands. The results portion of the database and the applied forces and displacements are cleared before reading the data in. Absolute values [LCABS] and scale factors [LCFACT] can be applied during the read operation.

Menu Paths

Main Menu>General Postproc>Load Case>Read Load Case

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LCABS 		Up / Home Next
LCCALC


LCCALC

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LCCALC

Specifies "Load case settings" as the subsequent status topic.

POST1: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

This command is also valid for rezoning.

Menu Paths

Utility Menu>List>Status>General Postproc>Load Case Calcs

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LCASE 		Up / Home Next
LCCAT


LCCAT

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LCCAT, NL1, NL2

Concatenates multiple lines into one line for mapped meshing.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1, NL2

Lines to be concatenated. If NL1 = ALL, NL2 is ignored and all selected lines [LSEL] are concatenated. If NL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NL1 (NL2 is ignored).

Notes

Concatenates multiple, adjacent lines (the input lines) into one line (the output line) in preparation for mapped meshing. An area that contains too many lines for mapped meshing can still be mapped meshed if some of the lines in that area are first concatenated (see Meshing Your Solid Model in the Modeling and Meshing Guide for details on mapped meshing restrictions).

LCCAT is meant to be used solely for meshing and cannot be used for any other purposes. Specifically, (a) the output line and any areas that have the output line on their line list [ALIST] cannot be used as input to any other solid modeling operation (not even another LCCAT command); and (b) the output line cannot accept solid model boundary conditions [DL, SFL].

The output line will take on the element divisions of the input lines and will not accept element divisions that are directly assigned [LESIZE]. The output line from the LCCAT operation will be coincident with the input lines and the input lines will be retained. Consider the LCOMB command instead of LCCAT if you wish to delete the input lines and if the lines to be combined have similar slopes at the common keypoint(s). When an LCCAT command is issued, area line lists [ALIST] that contain all of the input lines will be updated so that the area line lists refer to the output line instead of the input lines. Deletion of the output line [LDELE] effectively reverses the LCCAT operation and restores area line lists to their original condition.

You can use the LSEL command to select lines that were created by concatenation, and then follow it with an LDELE,ALL command to delete them. Also see Meshing Your Solid Model in the Modeling and Meshing Guide for a discussion on how to easily select and delete concatenated lines in one step.

Menu Paths

Main Menu>Preprocessor>Meshing>Mesh>Areas>Mapped>Concatenate>Lines
Main Menu>Preprocessor>Meshing>Mesh>Volumes>Mapped>Concatenate>Lines
Main Menu>Solution>Manual Rezoning>Create Remesh Zone(s)>Geometry Controls>Concatenate Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LCCALC 		Up / Home Next
LCDEF


LCDEF

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LCDEF, LCNO, LSTEP, SBSTEP, KIMG

Creates a load case from a set of results on a results file.

POST1: Load Case Calculations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LCNO

Arbitrary pointer number (1-99) to be assigned to the load case specified by LSTEP, SBSTEP and by the FILE command. Defaults to 1 + previous value.

LSTEP

Load step number to be defined as the load case. Defaults to one.

SBSTEP

Substep number. Defaults to the last substep of the load step.

KIMG

Used only with results from complex analyses:

0
 —

Use real part of complex solution

1
 —

Use imaginary part.

Notes

Creates a load case by establishing a pointer to a set of results on a results file (written during the ANSYS solution phase). This pointer (LCNO) can then be used on the LCASE or LCOPER commands to read the load case data into the database.

Issue LCDEF,ERASE to delete all load case pointers (and all load case files, if any). Issue LCDEF,LCNO,ERASE to delete only the specific load case pointer LCNO (and its file, if any). With the ERASE options, all pointers are deleted; however only files with the default extension [LCWRITE] are deleted. Issue LCDEF,STAT for status of all selected load cases [LCSEL], or LCDEF,STAT,ALL for status of all load cases. The STAT command may be used to list all load cases. See also LCFILE to establish a pointer to a set of results on a load case file (written by LCWRITE). Harmonic element data read from a result file load case is stored at the zero-degree position.

Menu Paths

Main Menu>General Postproc>Load Case>Create Load Case
Main Menu>General Postproc>Load Case>Erase Load Case
Main Menu>General Postproc>Load Case>List Load Cases

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LCCAT 		Up / Home Next
LCFACT


LCFACT

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LCFACT, LCNO, FACT

Defines scale factors for load case operations.

POST1: Load Case Calculations

MP ME ST PR PRN <> <> <> EM <> <> PP <>

LCNO

Load case pointer number. If ALL, apply to all selected load cases [LCSEL].

FACT

Scale factor applied to load case LCNO. Zero (or blank) defaults to 1.0. Use a small number for a "zero" scale factor.

Command Default

All factors are 1.0.

Notes

Defines scale factors to be used in the load case operations [LCASE or LCOPER]. Scale factors are applied after an absolute value operation [LCABS] and are applied only to defined load cases [LCDEF].

Menu Paths

Main Menu>General Postproc>Load Case>Calc Options>Scale Factor

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LCDEF 		Up / Home Next
LCFILE


LCFILE

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LCFILE, LCNO, Fname, Ext, --

Creates a load case from an existing load case file.

POST1: Load Case Calculations

MP ME ST PR PRN <> <> <> EM <> <> PP <>

LCNO

Arbitrary (1-99) pointer number assigned to this load case.

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to the LCNO value preceded by an" L" (for values 10–99) or by an" L0" (for values 1–9).

--

Unused field.

Notes

Creates a load case by establishing a pointer to an existing load case file [LCWRITE]. This pointer (LCNO) can then be used on the LCASE or LCOPER commands to read the load case data into the database. This command is typically used to reestablish load case pointers in a new ANSYS session (pointers are not saved on the database file), or when more than one pointer to a single load case is desired. See the LCDEF command for status and erase operations. See also LCDEF to establish a pointer to a set of results on a results file (written during the ANSYS solution phase).

Menu Paths

Main Menu>General Postproc>Load Case>Create Load Case

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LCFACT 		Up / Home Next
LCLEAR


LCLEAR

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LCLEAR, NL1, NL2, NINC

Deletes nodes and line elements associated with selected lines.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1, NL2, NINC

Delete mesh for lines NL1 to NL2 (defaults to NL1) in steps of NINC (defaults to 1). If NL1 = ALL, NL2 and NINC are ignored and the mesh for all selected lines [LSEL] is deleted. If NL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NL1 (NL2 and NINC are ignored).

Notes

Deletes all nodes and line elements associated with selected lines (regardless of whether the nodes or elements are selected). Nodes shared by adjacent meshed lines and nodes associated with non-line elements will not be deleted. Attributes assigned as a result of LATT are maintained. In the program's response to the command, if a line or keypoint is tallied as "cleared," it means either its node or element reference was deleted.

Menu Paths

Main Menu>Preprocessor>Meshing>Clear>Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LCFILE 		Up / Home Next
LCOMB


LCOMB

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LCOMB, NL1, NL2, KEEP

Combines adjacent lines into one line.

PREP7: Lines

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1

Number of the first line to be combined. If NL1 = ALL, NL2 is ignored and all selected lines [LSEL] are combined. If NL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NL1 (NL2 is ignored).

NL2

Number of the second line to be combined.

KEEP

Specifies whether to keep the input entities:

0
—

Delete lines NL1 and NL2 and their common keypoint. Keypoints will not be deleted if they are meshed or if they are attached to other lines. Lines will not be deleted if they are attached to different areas.

1
—

Keep NL1, NL2, and their common keypoint. (The common keypoint will not be attached to the output line.)

Notes

Combines adjacent lines into one line (the output line). This operation will effectively "undo" the LDIV operation. Line divisions are set to zero (use LESIZE, etc. to modify). Lines attached to the same area(s) can also be combined. See also the LCCAT command for line concatenation capability.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Add>Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LCLEAR 		Up / Home Next
LCOPER


LCOPER

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LCOPER, Oper, LCASE1, Oper2, LCASE2

Performs load case operations.

POST1: Load Case Calculations

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Oper

Valid operations are:

ZERO
 —

Zero results portion of database (LCASE1 ignored).

SQUA
 —

Square database values (LCASE1 ignored).

SQRT
 —

Square root of database (absolute) values (LCASE1 ignored).

LPRIN
 —

Recalculate line element principal stresses (LCASE1 ignored). Stresses are as shown for the NMISC items of the ETABLE command for the specific line element type.

ADD
 —

Add LCASE1 to database values.

SUB
 —

Subtract LCASE1 from database values.

SRSS
 —

Square root of the sum of the squares of database and LCASE1.

MIN
 —

Compare and save in database the algebraic minimum of database and LCASE1.

MAX
 —

Compare and save in database the algebraic maximum of database and LCASE1.

ABMN
 —

Compare and save in database the absolute minimum of database and LCASE1 (based on magnitudes, then apply the corresponding sign).

ABMX
 —

Compare and save in database the absolute maximum of database and LCASE1 (based on magnitudes, then apply the corresponding sign).

LCASE1

First load case in the operation (if any). See LCNO of the LCDEF command. If ALL, repeat operations using all selected load cases [LCSEL].

Oper2

Valid operations are:

MULT
 —

Multiplication: LCASE1*LCASE2

LCASE2

Second load case. Used only with Oper2 operations.

Notes

LCOPER operates on the database and one or two load cases according to:

Database = Database Oper (LCASE1 Oper2 LCASE2)

where operations Oper and Oper2 are as described above. Absolute values and scale factors may be applied to the load cases before the operations [LCABS, LCFACT]. If LCASE1 is not specified, only operation Oper is performed on the current database. If LCASE2 is specified, operation Oper2 will be performed before operation Oper. If LCASE2 is not specified, operation Oper2 is ignored. Solution items not contained [OUTRES] in either the database or the applicable load cases will result in a null item during a load case operation. Harmonic element data read from a result file load case are processed at zero degrees. All load case combinations are performed in the solution coordinate system, and the data resulting from load case combinations are stored in the solution coordinate system. The resultant data are then transformed to the active results coordinate system [RSYS] when listed or displayed.

Menu Paths

Main Menu>General Postproc>Load Case>Add
Main Menu>General Postproc>Load Case>Line Elem Stress
Main Menu>General Postproc>Load Case>Min & Max
Main Menu>General Postproc>Load Case>Square
Main Menu>General Postproc>Load Case>Square Root
Main Menu>General Postproc>Load Case>SRSS
Main Menu>General Postproc>Load Case>Subtract

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LCOMB 		Up / Home Next
LCSEL


LCSEL

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LCSEL, Type, LCMIN, LCMAX, LCINC

Selects a subset of load cases.

POST1: Load Case Calculations

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Type

Label identifying the type of select:

S
 —

Select a new set.

R
 —

Reselect a set from the current set.

A
 —

Additionally select a set and extend the current set.

U
 —

Unselect a set from the current set.

ALL
 —

Restore the full set.

NONE
 —

Unselect the full set.

INVE
 —

Invert the current set (selected becomes unselected and vice versa).

STAT
 —

Display the current select status.

LCMIN

Minimum value of load case pointer range.

LCMAX

Maximum value of load case pointer range. LCMAX defaults to LCMIN.

LCINC

Value increment within range. Defaults to 1. LCINC cannot be negative.

Command Default

All load cases are selected.

Notes

Selects a subset of load cases for other operations. For example, to select a new set of load cases based on load cases 1 through 7, use LCSEL,S,1,7. The subset is used when the ALL label is entered (or implied) on other commands, such as LCFACT, LCABS, LCOPER, etc. Load cases are flagged as selected and unselected; no load case pointers [LCDEF, LCWRITE, LCFILE] are actually deleted from the database.

Menu Paths

Main Menu>General Postproc>Load Case>Calc Options>Sele Ld Cases

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LCOPER 		Up / Home Next
LCSL


LCSL

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LCSL, NL1, NL2, NL3, NL4, NL5, NL6, NL7, NL8, NL9

Divides intersecting lines at their point(s) of intersection.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1, NL2, NL3, . . . , NL9

Numbers of lines to be intersected. If NL1 = ALL, NL2 to NL9 are ignored and the intersection of all selected lines is found. If NL1 = P, use graphical picking to specify lines (NL2 to NL9 are ignored).

Notes

Divides intersecting (classifies) lines at their point(s) of intersection. The original lines (and their corresponding keypoint(s)) will be deleted by default. See the BOPTN command for the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LCSEL 		Up / Home Next
LCSUM


LCSUM

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LCSUM, Lab

Specifies whether to process non-summable items in load case operations.

POST1: Results

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Lab

Combination option

(blank)
 —

Only combine summable items [default].

ALL
 —

Combine all items including non summable items.

Notes

Allows non-summable items (e.g. plastic strains) to be included in load combinations. Issue LCSUM,ALL before the first load case operation (LCXX command). May also be used to include nonsummable items in the appending of a results file (RAPPND command).

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LCSL 		Up / Home Next
LCWRITE


LCWRITE

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LCWRITE, LCNO, Fname, Ext, --

Creates a load case by writing results to a load case file.

POST1: Load Case Calculations

MP ME ST PR PRN <> <> <> EM <> <> PP <>

LCNO

Arbitrary pointer number (1-99) to be assigned to this load case.

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to the LCNO value preceded by an "L" (for values 10–99) or by an "L0" (for values 1–9).

--

Unused field.

Notes

Creates a load case by writing the results data in the database to a load case file. The database remains unchanged by this operation. A pointer is also established to the written set of results on the load case file. This pointer (LCNO) can then be used on the LCASE or LCOPER commands to read the load case data into the database. By default, only summable results data (such as displacements, stresses, elastic strains) and constant results data (such as volume) are written to the load case file unless requested (LCSUM command). Non-summable results data (such as plastic strains, strain energy), boundary conditions, and nodal loads are not written to the load case file. The load case file may be named by default or by a user name. Rewriting to the same file overwrites the previous data. See the LCDEF command for status and erase operations.

Menu Paths

Main Menu>General Postproc>Load Case>Write Load Case

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LCSUM 		Up / Home Next
LCZERO


LCZERO

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LCZERO

Zeroes the results portion of the database.

POST1: Load Case Calculations

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Notes

Often used before the LCOPER command. Same as LCOPER,ZERO.

Menu Paths

Main Menu>General Postproc>Load Case>Zero Load Case

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LCWRITE 		Up / Home Next
LDELE


LDELE

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LDELE, NL1, NL2, NINC, KSWP

Deletes unmeshed lines.

PREP7: Lines

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1, NL2, NINC

Delete lines from NL1 to NL2 (defaults to NL1) in steps of NINC (defaults to 1). If NL1 = ALL, NL2 and NINC are ignored and all selected lines [LSEL] are deleted. If NL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NL1 (NL2 and NINC are ignored).

KSWP

Specifies whether keypoints are also to be deleted:

0
—

Delete lines only.

1
—

Delete lines, as well as keypoints attached to lines but not attached to other lines.

Notes

A line attached to an area cannot be deleted unless the area is first deleted.

Menu Paths

Main Menu>Preprocessor>Meshing>Concatenate>Del Concats>Lines
Main Menu>Preprocessor>Meshing>Mesh>Areas>Mapped>Del Concats>Lines
Main Menu>Preprocessor>Meshing>Mesh>Volumes>Mapped>Del Concats>Lines
Main Menu>Preprocessor>Modeling>Delete>Del Concats>Lines
Main Menu>Preprocessor>Modeling>Delete>Line and Below
Main Menu>Preprocessor>Modeling>Delete>Lines Only
Main Menu>Preprocessor>Modeling>Topo Repair>Delete>Line and Below
Main Menu>Preprocessor>Modeling>Topo Repair>Delete>Lines Only

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LCZERO 		Up / Home Next
LDIV


LDIV

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LDIV, NL1, RATIO, PDIV, NDIV, KEEP

Divides a single line into two or more lines.

PREP7: Lines

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1

Number of the line to be divided. If negative, assume P1 (see below) is the second keypoint of the line instead of the first for RATIO. If ALL, divide all selected lines [LSEL]. If NL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NL1.

RATIO

Ratio of line length P1-PDIV to line length P1-P2. Must be between 0.0 and 1.0. Input ignored if NDIV > 2.

PDIV

Number to be assigned to keypoint generated at division location (defaults to lowest available keypoint number [NUMSTR]). Input ignored if NL1 = ALL or NDIV > 2. If PDIV already exists and lies on line NL1, divide line at PDIV (RATIO must also be 0.0). If PDIV already exists and does not lie on line NL1, PDIV is projected and moved to the nearest point on line NL1 (if possible). PDIV cannot be attached to another line, area, or volume.

NDIV

The number of new lines to be generated from old line (defaults to 2).

KEEP

Specifies whether to keep the input entities:

0
—

Modify old line to use new keypoints and slopes.

1
—

Do not modify old line. New lines will overlay old line and have unique keypoints.

Notes

Divides a single line NL1 (defined from keypoint P1 to keypoint P2) into two or more lines. Line NL1 becomes the new line beginning with keypoint P1 and new lines are generated ending at keypoint P2. If the line is attached to an area, the area will also be updated. Line divisions are set to zero (use LESIZE, etc. to modify).

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Divide>Line into 2 Ln's
Main Menu>Preprocessor>Modeling>Operate>Booleans>Divide>Line into N Ln's
Main Menu>Preprocessor>Modeling>Operate>Booleans>Divide>Lines w/ Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LDELE 		Up / Home Next
LDRAG


LDRAG

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LDRAG, NK1, NK2, NK3, NK4, NK5, NK6, NL1, NL2, NL3, NL4, NL5, NL6

Generates lines by sweeping a keypoint pattern along path.

PREP7: Lines

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NK1, NK2, NK3, . . . , NK6

List of keypoints in the pattern to be dragged (6 maximum if using keyboard entry). If NK1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). If NK1 = ALL, all selected keypoints (except those that define the drag path) will be swept along the path. A component name may also be substituted for NK1.

NL1, NL2, NL3, . . . , NL6

List of lines defining the path along which the pattern is to be dragged (6 maximum if using keyboard entry). Must be a continuous set of lines.

Notes

Generates lines (and their corresponding keypoints) by sweeping a given keypoint pattern along a characteristic drag path. If the drag path consists of multiple lines, the drag direction is determined by the sequence in which the path lines are input (NL1, NL2, etc.). If the drag path is a single line (NL1), the drag direction is from the keypoint on the drag line that is closest to the first keypoint of the given pattern to the other end of the drag line.

The magnitude of the vector between the keypoints of the given pattern and the first path keypoint remains constant for all generated keypoint patterns and the path keypoints. The direction of the vector relative to the path slope also remains constant so that patterns may be swept around curves. Keypoint and line numbers are automatically assigned (beginning with the lowest available values [NUMSTR]). For best results, the entities to be dragged should be orthogonal to the start of the drag path. Drag operations that produce an error message may create some of the desired entities prior to terminating.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Extrude>Keypoints>Along Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LDIV 		Up / Home Next
LDREAD


LDREAD

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LDREAD, Lab, LSTEP, SBSTEP, TIME, KIMG, Fname, Ext, --

Reads results from the results file and applies them as loads.

SOLUTION: FE Constraints

SOLUTION: FE Body Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Valid load label:

TEMP
 —

Temperatures from a thermal analysis are applied as body force nodal loads (BF) in a structural analysis, an explicit dynamic analysis, or other type of analysis.

If the thermal analysis uses SHELL131 or SHELL132, temperatures are applied as body force element loads (BFE). In most cases, only the top and bottom temperatures from SHELL131 and SHELL132 are used by the structural shell elements; any interior temperatures are ignored.

All temperatures are used for SHELL91, SHELL181 using section input, and SHELL281 using section input; for these elements, therefore, the number of temperature points at a node generated in the thermal model must match the number of temperature points at a node needed by the structural model.

When using SHELL131 or SHELL132 information for the LDREAD operation, all element types should specify the same set of thermal degrees of freedom.

Can also be temperatures applied as nodal loads or initial conditions (see KIMG description).

FORC
 —

Forces from an electromagnetic analysis are applied as force loads (F) in a structural analysis or a FLOTRAN analysis. LDREAD,FORC reads coupling forces. When transferring static magnetic forces from a SOLID117 model, ensure that all nodes and elements of the bodies intended to receive the forces are selected prior to transfer. See the discussion on force computation in the Low-Frequency Electromagnetic Analysis Guide.

For a full harmonic magnetic analysis, FORC represents the time-averaged force (use in conjunction with KIMG = 2). Values are in the nodal coordinate system for the force loads (F).

HGEN
 —

Heat generations from a magnetic analysis are applied as body force loads (BFE) in a thermal or a FLOTRAN analysis. For a full harmonic analysis, HGEN represents the time-averaged heat generation load (use in conjunction with KIMG = 2).

HFLU
 —

Heat fluxes from a FLOTRAN analysis are applied as surface loads in a thermal analysis.

EHFLU
 —

Surface losses from a high frequency electromagnetic analysis are applied as time-average surface heat flux in a thermal analysis.

JS
 —

Source current density from a current-conduction analysis are applied as body force loads (BFE). Values are in the global Cartesian coordinate system.

EF
 —

Electric field element centroid values from an electrostatic analysis are applied as body force loads (BFE) in a magnetic analysis. Values are in the global Cartesian coordinate system.

PRES
 —

Pressures from a FLOTRAN analysis are applied as surface loads (SFE) in a structural analysis. For shell elements, use the KIMG parameter to establish the face on which to apply the pressure.

REAC
 —

Reaction loads from any analysis are applied as force loads (F) in any analysis. Values are in the nodal coordinate system.

HFLM
 —

FLOTRAN predicted film coefficient (and associated bulk temperature) are applied as surface loads (film coefficient and bulk temperature) in a thermal analysis (SFE). FLOTRAN film coefficients may be either positive or negative, depending on the direction of heat transfer, but ANSYS thermal analyses require positive film coefficients. If the FLOTRAN film coefficient is negative, LDREAD adjusts the bulk temperature to be equal to twice the wall temperature minus the bulk temperature. The adjusted bulk temperature and the now positive film coefficient make the amount and direction of heat transfer consistent with the FLOTRAN analysis.

H
 —

Nodal magnetic field values from magneto static analysis are applied as nodal loads (BF) in a high-frequency electromagnetic analysis. Values are in the global Cartesian coordinate system.

FLRZ
—

Lorentz forces (F = J * B). Used only with SOLID117.

LSTEP

Load step number of the data set to be read. Defaults to 1. If LAST, ignore SBSTEP and TIME and read the last data set.

SBSTEP

Substep number (within LSTEP). If zero (or blank), LSTEP represents the last substep of the load step.

TIME

Time-point identifying the data set to be read. Used only if both LSTEP and SBSTEP are zero (or blank). If TIME is between two solution time points on the results file, a linear interpolation is done between the two data sets. If TIME is beyond the last time point on the file, use the last time point.

KIMG

When used with results from harmonic analyses (ANTYPE,HARMIC) KIMG establishes which set of data to read:

0
 —

Read the real part of the solution. Valid also for Lab = EHFLU to read in time-average heat flux.

1
 —

Read the imaginary part of the solution.

2
 —

Calculate and read the time-average part. Meaningful for Lab = HGEN or FORC.

When used with the PRES label, KIMG represents the shell element face on which to apply the pressure:

1
 —

Apply pressure to face 1

2
 —

Apply pressure to face 2

When used with the TEMP label, KIMG indicates how temperatures are to be applied. In an explicit dynamic analysis, KIMG = 0 is the only valid option for applying temperature loads.

0
 —

Apply temperatures as body loads

1
 —

Apply temperatures as nodal loads

2
 —

Apply temperatures as initial conditions.

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to RST if Fname is blank.

--

Unused field.

Notes

Reads results data from the results file and applies them as loads. You also can use LDREAD to apply results from an analysis defined with one physics environment as loads on a second analysis using a different physics environment. The values are applied as loads for field coupling effects (such as output temperatures from a thermal analysis as input to a structural analysis). Nodal loads are applied only to selected nodes. Element loads are applied only to selected elements. Element surface loads are applied only to selected elements where all face nodes for that surface are selected. Additionally, to assure proper distribution of the surface loads, select only the nodes on the element face where the surface load is to be applied. Scaling and accumulation specifications are applied as the loads are read (BFCUM for body force loads, SFCUM for surface loads, and FCUM for force loads). These commands do not work for tabular boundary conditions or temperature loads applied to an explicit dynamic analysis via LDREAD. Use the appropriate list command to list the results (BFLIST or BFELIST for body force loads, SFELIST for surface loads, and FLIST for force loads). Values may be redefined after being read by issuing LDREAD again with a different load step and substep, or time value.

When you use LDREAD in an explicit dynamic analysis to read in temperatures, you cannot use the EDLOAD,,TEMP command to apply temperature loading. Furthermore, any temperature loading defined by LDREAD cannot be listed or deleted by the EDLOAD command.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>Temperature>From Therm Analy
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/ANSYS>Heat Generat>From Mag Analy
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/CFD>Forces>Forces>From Mag Analy
Main Menu>Preprocessor>Loads>Define Loads>Apply>Initial Condit'n>Temp from ANSYS
Main Menu>Preprocessor>Loads>Define Loads>Apply>Initial Condit'n>Temp from Fluid
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Boundary>Temperature>From Therm Analy
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Excitation>AppCurrDens>From Elec An
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Other>Electric Field>From Elec An
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Force/Moment>From Mag Analy
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Force/Moment>From Reactions
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Pressure>From Fluid Analy
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Temperature>From Therm Analy
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Convection>From Fluid Analy
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Heat Flux>From EMAG Analy
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Heat Flux>From Fluid Analy
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Heat Generat>From Mag Analy
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Temperature>From ANSYS
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Temperature>From Flotran
Main Menu>Preprocessor>LS-DYNA Options>Loading Options>Temp From ANSYS
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>Temperature>From Therm Analy
Main Menu>Solution>Define Loads>Apply>Fluid/ANSYS>Heat Generat>From Mag Analy
Main Menu>Solution>Define Loads>Apply>Fluid/CFD>Forces>Forces>From Mag Analy
Main Menu>Solution>Define Loads>Apply>Initial Condit'n>Temp from ANSYS
Main Menu>Solution>Define Loads>Apply>Initial Condit'n>Temp from Fluid
Main Menu>Solution>Define Loads>Apply>Magnetic>Boundary>Temperature>From Therm Analy
Main Menu>Solution>Define Loads>Apply>Magnetic>Excitation>AppCurrDens>From Elec An
Main Menu>Solution>Define Loads>Apply>Magnetic>Other>Electric Field>From Elec An
Main Menu>Solution>Define Loads>Apply>Structural>Force/Moment>From Mag Analy
Main Menu>Solution>Define Loads>Apply>Structural>Force/Moment>From Reactions
Main Menu>Solution>Define Loads>Apply>Structural>Pressure>From Fluid Analy
Main Menu>Solution>Define Loads>Apply>Structural>Temperature>From Therm Analy
Main Menu>Solution>Define Loads>Apply>Thermal>Convection>From Fluid Analy
Main Menu>Solution>Define Loads>Apply>Thermal>Heat Flux>From EMAG Analy
Main Menu>Solution>Define Loads>Apply>Thermal>Heat Flux>From Fluid Analy
Main Menu>Solution>Define Loads>Apply>Thermal>Heat Generat>From Mag Analy
Main Menu>Solution>Define Loads>Apply>Thermal>Temperature>From ANSYS
Main Menu>Solution>Define Loads>Apply>Thermal>Temperature>From Flotran
Main Menu>Solution>Loading Options>Temp From ANSYS

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LDRAG 		Up / Home Next
LESIZE


LESIZE

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LESIZE, NL1, SIZE, ANGSIZ, NDIV, SPACE, KFORC, LAYER1, LAYER2, KYNDIV

Specifies the divisions and spacing ratio on unmeshed lines.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1

Number of the line to be modified. If ALL, modify all selected lines [LSEL]. If NL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NL1.

SIZE

If NDIV is blank, SIZE is the division (element edge) length. The number of divisions is automatically calculated from the line length (rounded upward to next integer). If SIZE is zero (or blank), use ANGSIZ or NDIV.

ANGSIZ

The division arc (in degrees) spanned by the element edge (except for straight lines, which always result in one division). The number of divisions is automatically calculated from the line length (rounded upward to next integer).

NDIV

If positive, NDIV is the number of element divisions per line. If -1 (and KFORC = 1), NDIV is assumed to be zero element divisions per line. TARGE169 with a rigid specification ignores NDIV and will always mesh with one element division.

SPACE

Spacing ratio. If positive, nominal ratio of last division size to first division size (if > 1.0, sizes increase, if < 1.0, sizes decrease). If negative, |SPACE| is nominal ratio of center division(s) size to end divisions size. Ratio defaults to 1.0 (uniform spacing). For layer-meshing, a value of 1.0 normally is used. If SPACE = FREE, ratio is determined by other considerations

KFORC

KFORC 0-3 are used only with NL1 = ALL. Specifies which selected lines are to be modified.

0
 —

Modify only selected lines having undefined (zero) divisions.

1
 —

Modify all selected lines.

2
 —

Modify only selected lines having fewer divisions (including zero) than specified with this command.

3
 —

Modify only selected lines having more divisions than specified with this command.

4
 —

Modify only nonzero settings for SIZE, ANGSIZ, NDIV, SPACE, LAYER1, and LAYER2. If KFORC = 4, blank or 0 settings remain unchanged.

LAYER1

Layer-meshing control parameter. Distance which defines the thickness of the inner mesh layer, LAYER1. Elements in this layer are uniformly-sized with edge lengths equal to the specified element size for the line (either through SIZE or line-length/NDIV). A positive value for LAYER1 is interpreted as an absolute length, while a negative value in interpreted as a multiplier on the specified element size for the line. As a general rule, the resulting thickness of the inner mesh layer should be greater than or equal to the specified element size for the line. If LAYER1 = OFF, layer-meshing control settings are cleared for the selected lines. The default value is 0.0

LAYER2

Layer-meshing control parameter. Distance which defines the thickness of the outer mesh layer, LAYER2. Elements in this layer transition in size from those in LAYER1 to the global element size. A positive value of LAYER2 is interpreted as an absolute length, while a negative value is interpreted as a mesh transition factor. A value of LAYER2 = -2 would indicate that elements should approximately double in size as the mesh progresses normal to LAYER1. The default value is 0.0.

KYNDIV

0, No, and Off means that SmartSizing cannot override specified divisions and spacing ratios. Mapped mesh fails if divisions do not match. This defines the specification as "hard".

1, Yes, and On means that SmartSizing can override specified divisions and spacing ratios for curvature or proximity. Mapped meshing can override divisions to obtain required matching divisions. This defines the specification as" soft".

Notes

Defines the number of divisions and the spacing ratio on selected lines. Lines with previously specified divisions may also be changed.

This command is also valid for rezoning.

Menu Paths

Main Menu>Preprocessor>Meshing>Size Cntrls>ManualSize>Layers>Clr Layers
Main Menu>Preprocessor>Meshing>Size Cntrls>ManualSize>Layers>Picked Lines
Main Menu>Preprocessor>Meshing>Size Cntrls>ManualSize>Lines>All Lines
Main Menu>Preprocessor>Meshing>Size Cntrls>ManualSize>Lines>Clr Size
Main Menu>Preprocessor>Meshing>Size Cntrls>ManualSize>Lines>Copy Divs
Main Menu>Preprocessor>Meshing>Size Cntrls>ManualSize>Lines>Flip Bias
Main Menu>Preprocessor>Meshing>Size Cntrls>ManualSize>Lines>Picked Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LDREAD 		Up / Home Next
LEXTND


LEXTND

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LEXTND, NL1, NK1, DIST, KEEP

Extends a line at one end by using its slope.

PREP7: Lines

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1

Number of the line to be extended. If NL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

NK1

Number of keypoint at the end of line NL1 to be extended.

DIST

Distance that the line will be extended.

KEEP

Specifies whether to keep the input entities:

0
—

Modify old line to use new keypoints and slopes.

1
—

Do not modify old line. New line will overlay old line and have unique keypoints.

Notes

Extends a line at one end by using its slope. Lines may be redefined only if not yet attached to an area. Line divisions are set to zero (use LESIZE, etc. to modify). Note that solid modeling in a toroidal coordinate system is not recommended.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Extend Line

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LESIZE 		Up / Home Next
LFILLT


LFILLT

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LFILLT, NL1, NL2, RAD, PCENT

Generates a fillet line between two intersecting lines.

PREP7: Lines

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1

Number of the first intersecting line. If NL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

NL2

Number of the second intersecting line.

RAD

Radius of fillet to be generated. Radius should be less than the lengths of the two lines specified with NL1 and NL2.

PCENT

Number to be assigned to generated keypoint at fillet arc center. If zero (or blank), no keypoint is generated.

Notes

Generates a fillet line between two intersecting lines NL1 (P1-PINT) and NL2 (P2-PINT). Three keypoints may be generated, two at the fillet tangent points (PTAN1 and PTAN2) and one (optional) at the fillet arc center (PCENT). Line P1-PINT becomes P1-PTAN1, P2-PINT becomes P2-PTAN2, and new arc line PTAN1-PTAN2 is generated. Generated keypoint and line numbers are automatically assigned (beginning with the lowest available values [NUMSTR]). Line divisions are set to zero (use LESIZE, etc. to modify).

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Lines>Line Fillet

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LEXTND 		Up / Home Next
LFSURF


LFSURF

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LFSURF, SLINE, TLINE

Generates surface elements overlaid on the edge of existing solid elements and assigns the extra node as the closest fluid element node.

PREP7: Elements

MP ME <> PR <> <> <> <> <> <> <> PP <>

SLINE

Component name for the surface lines of the meshed solid areas.

TLINE

Component name for the target lines meshed with fluid elements.

Notes

This command macro is used to generate surface effect elements overlaid on the surface of existing plane elements and, based on proximity, to determine and assign the extra node for each surface element. The underlying areas of the solid region and the fluid lines must be meshed prior to calling this command macro. The active element type must be SURF151 with appropriate settings for KEYOPT(4), KEYOPT(5), KEYOPT(6), and KEYOPT(8).

The surface lines of the solid and the target lines of the fluid are grouped into components and named using the CM command. The names must be enclosed in single quotes (e.g., 'SLINE') when the LFSURF command is manually typed in.

When using the GUI method, node and element components are created through the picking dialog boxes associated with this command.

The macro is applicable for the SURF151 and FLUID116 element types.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Elements>Surf / Contact>Surf Effect>Attch to Fluid>Area to Fluid
Main Menu>Preprocessor>Modeling>Create>Elements>Surf / Contact>Surf Effect>Attch to Fluid>Line to Fluid
Main Menu>Preprocessor>Modeling>Create>Elements>Surf / Contact>Surf Effect>Attch to Fluid>Node to Fluid

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LFILLT 		Up / Home Next
LGEN


LGEN

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LGEN, ITIME, NL1, NL2, NINC, DX, DY, DZ, KINC, NOELEM, IMOVE

Generates additional lines from a pattern of lines.

PREP7: Lines

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ITIME

Do this generation operation a total of ITIMEs, incrementing all keypoints in the given pattern automatically (or by KINC) each time after the first. ITIME must be > 1 for generation to occur.

NL1, NL2, NINC

Generate lines from pattern beginning with NL1 to NL2 (defaults to NL1) in steps of NINC (defaults to 1). If NL1 = ALL, NL2 and NINC are ignored and pattern is all selected lines [LSEL]. If NL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NL1 (NL2 and NINC are ignored).

DX, DY, DZ

Keypoint location increments in the active coordinate system (--, Dθ, DZ for cylindrical, --, Dθ, -- for spherical).

KINC

Keypoint increment between generated sets. If zero, the lowest available keypoint numbers are assigned [NUMSTR].

NOELEM

Specifies if elements and nodes are also to be generated:

0
 —

Generate nodes and elements associated with the original lines, if they exist.

1
 —

Do not generate nodes and elements.

IMOVE

Specifies whether to redefine the existing lines:

0
 —

Generate additional lines as requested with the ITIME argument.

1
 —

Move original lines to new position retaining the same keypoint numbers (ITIME, KINC, and NOELM are ignored). Valid only if the old lines are no longer needed at their original positions. Corresponding meshed items are also moved if not needed at their original position.

Notes

Generates additional lines (and their corresponding keypoints and mesh) from a given line pattern. The MAT, TYPE, REAL, and ESYS attributes are based upon the lines in the pattern and not upon the current settings. End slopes of the generated lines remain the same (in the active coordinate system) as those of the given pattern. For example, radial slopes remain radial, etc. Generations which produce lines of a size or shape different from the pattern (i.e., radial generations in cylindrical systems, radial and phi generations in spherical systems, and theta generations in elliptical systems) are not allowed. Note that solid modeling in a toroidal coordinate system is not recommended. New line numbers are automatically assigned (beginning with the lowest available values [NUMSTR]).

Menu Paths

Main Menu>Preprocessor>Modeling>Copy>Lines
Main Menu>Preprocessor>Modeling>Move / Modify>Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LFSURF 		Up / Home Next
LGLUE


LGLUE

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LGLUE, NL1, NL2, NL3, NL4, NL5, NL6, NL7, NL8, NL9

Generates new lines by "gluing" lines.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1, NL2, NL3, . . . , NL9

Numbers of the lines to be glued. If NL1 = ALL, all selected lines will be glued (NL2 to NL9 will be ignored). If NL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NL1.

Notes

Use of the LGLUE command generates new lines by "gluing" input lines. The glue operation redefines the input lines so that they share keypoints at their common ends. The new lines encompass the same geometry as the original lines. This operation is only valid if the intersections of the input lines are keypoints at the ends of those lines. See the Modeling and Meshing Guide for an illustration. See the BOPTN command for an explanation of the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated.

The LGLUE command results in the merging of keypoints at the common end of the lines. The keypoints of the lower numbered line will be kept. This means one must be aware of line numbering when multiple LGLUE commands are applied to avoid any “ungluing” of geometry.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Glue>Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LGEN 		Up / Home Next
LGWRITE


LGWRITE

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LGWRITE, Fname, Ext, --, Kedit

Writes the database command log to a file.

SESSION: Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to LGW if Fname and Ext are blank.

--

Unused field.

Kedit

Flag to suppress nonessential commands:

NONE
 —

Do not suppress any commands (default).

COMMENT
 —

Write nonessential commands as comments (starting with !).

REMOVE
 —

Do not write nonessential commands or comments.

Notes

Writes the database command log to a named file. The database command log contains all commands that were used to create the current database. These commands are recorded in the database as they are issued, and saved in the database file (File.DB) whenever the database is saved. The LGWRITE command extracts these commands from the database and writes them to a file. Nonessential commands (for listing, graphics displays, help, etc.) can be excluded from the file by using the Kedit field. The file resulting from LGWRITE can be used as command input to the program. This command is most useful if the session log file (File.LOG), which is normally saved during an interactive session, has been lost or corrupted. LGWRITE cannot be used after design optimization looping because the database is cleared [/CLEAR] automatically at each loop; use File.LOG instead.

This command is valid in any processor.

Menu Paths

Utility Menu>File>Write DB Log File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LGLUE 		Up / Home Next
/LIGHT


/LIGHT

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

/LIGHT, WN, NUM, INT, XV, YV, ZV, REFL

Specifies the light direction for the display window.

GRAPHICS: Style

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number (or ALL) to which command applies (defaults to 1).

NUM

Ambient or directional light key:

0
 —

Ambient light (default).

1
 —

Directional light.

INT

Light intensity factor (defaults to 0.3 for ambient, 1.0 for directional). This option is valid only for 3-D devices).

XV, YV, ZV

Light direction (valid only for NUM = 1). The directional light source is parallel to the line from point XV, YV, ZV to the origin, in the global Cartesian system origin. Defaults to the viewing direction [/VIEW].

REFL

Light reflectance factor (valid only for NUM = 1 and 3-D devices).

Command Default

Use ambient light.

Notes

Defines the light direction for the window. Use this command only with 3-D graphics devices or 2-D devices when Z-buffering is used [/TYPE,,(6 or 7)]. The ambient light has no direction, only an intensity. You can position the directional light source by defining a point (in the global Cartesian coordinate system) representing a point along the light directional line. This point, and the global Cartesian coordinate system origin, define the line along which the light is positioned looking toward the origin. You can use any point along the light line; for example, both (1.,1.,1.) and (2.,2.,2.) give the same light effect. For 3-D graphics devices only, the directional light source also has intensity and reflectance factors.

By choosing the highest intensity ambient light for 3-D graphics devices (via the command /LIGHT,WN,0,1), you can nullify color shading and other effects of directional lighting.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Style>Light Source

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LGWRITE 		Up / Home Next
LINA


LINA

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LINA, NL, NA

Finds the intersection of a line with an area.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL

Number of line to be intersected. If NL = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

NA

Number of area to be intersected.

Notes

Finds the intersection of a line with an area. New lines will be generated where the lines intersect the areas. If the regions of intersection are only points, new keypoints will be generated instead. See the Modeling and Meshing Guide for an illustration. See the BOPTN command for the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Intersect>Line with Area

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/LIGHT 		Up / Home Next
LINE


LINE

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LINE

Specifies "Lines" as the subsequent status topic.

PREP7: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LINA 		Up / Home Next
/LINE


/LINE

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

/LINE, X1, Y1, X2, Y2

Creates annotation lines (GUI).

GRAPHICS: Annotation

MP ME ST PR PRN <> <> FL EM <> <> PP <>

X1

Line X starting location (-1.0 < X < 2.0).

Y1

Line Y starting location (-1.0 < Y < 1.0).

X2

Line X ending location (-1.0 < X < 2.0).

Y2

Line Y ending location (-1.0 < Y < 1.0).

Notes

Defines annotation lines to be written directly onto the display at a specified location. This is a command generated by the Graphical User Interface (GUI) and will appear in the log file (Jobname.LOG) if annotation is used. This command is not intended to be typed in directly in an ANSYS session (although it can be included in an input file for batch input or for use with the /INPUT command).

All lines are shown on subsequent displays unless the annotation is turned off or deleted. Use the /LSPEC command to set the attributes of the line.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Annotation>Create Annotation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LINE 		Up / Home Next
LINES


LINES

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LINES, N

Specifies the length of a printed page.

POST26: Listing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

N

Number of lines per page (defaults to 20). (Minimum allowed = 11).

Command Default

20 lines per page.

Notes

Specifies the length of a printed page (for use in reports, etc.).

Menu Paths

Main Menu>TimeHist Postpro>Settings>List

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/LINE 		Up / Home Next
LINL


LINL

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LINL, NL1, NL2, NL3, NL4, NL5, NL6, NL7, NL8, NL9

Finds the common intersection of lines.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1, NL2, NL3, . . . , NL9

Numbers of lines to be intersected. If NL1 = ALL, find the intersection of all selected lines and NL2 to NL9 are ignored. If NL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NL1.

Notes

Finds the common (not pairwise) intersection of lines. The common intersection is defined as the regions shared (in common) by all lines listed on this command. New lines will be generated where the original lines intersect. If the regions of intersection are only points, new keypoints will be generated instead. See the Modeling and Meshing Guide for an illustration. See the BOPTN command for the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Intersect>Common>Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LINES 		Up / Home Next
LINP


LINP

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LINP, NL1, NL2, NL3, NL4, NL5, NL6, NL7, NL8, NL9

Finds the pairwise intersection of lines.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1, NL2, NL3, . . . , NL9

Numbers of lines to be intersected pairwise. If NL1 = ALL, find the pairwise intersection of all selected lines and NL2 to NL9 are ignored. If NL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may be substituted for NL1.

Notes

Finds the pairwise intersection of lines. The pairwise intersection is defined as any and all regions shared by at least two lines listed on this command. New lines will be generated where the original lines intersect pairwise. If the regions of pairwise intersection are only points, new keypoints will be generated. See the Modeling and Meshing Guide for an illustration. See the BOPTN command for the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Intersect>Pairwise>Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LINL 		Up / Home Next
LINV


LINV

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LINV, NL, NV

Finds the intersection of a line with a volume.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL

Number of line to be intersected. If NL = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

NV

Number of volume to be intersected.

Notes

Finds the intersection of a line with a volume. New lines will be generated where the lines intersect the volumes. If the regions of intersection are only points, new keypoints will be generated instead. See the Modeling and Meshing Guide for an illustration. See the BOPTN command for the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Intersect>Line with Volume

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LINP 		Up / Home Next
LIST


LIST

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LIST, LEVEL

Lists out the sets in the results file.

AUX3: Results Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This command lists the results set number, the load step, substep, and time step for each set. It also shows all sets marked for deletion.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LINV 		Up / Home Next
*LIST


*LIST

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

*LIST, Fname, Ext, --

Displays the contents of an external, coded file.

SESSION: Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

Ext

Filename extension (8 character maximum).

--

Unused field.

Notes

Displays the contents of an external, coded file. The file to be listed cannot be in use (open) at the time (except for the error file, File.ERR, which may be displayed with *LIST,ERR).

Use caution when you are listing active ANSYS files via the List> Files> Other and File> List> Other menu paths. File I/O buffer and system configurations can result in incomplete listings unless the files are closed.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LIST 		Up / Home Next
LLIST


LLIST

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LLIST, NL1, NL2, NINC, Lab

Lists the defined lines.

PREP7: Lines

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1, NL2, NINC

List lines from NL1 to NL2 (defaults to NL1) in steps of NINC (defaults to 1). If NL1 = ALL (default), NL2 and NINC are ignored and all selected lines [LSEL] are listed. If NL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NL1 (NL2 and NINC are ignored).

Lab

Determines what type of listing is used (one of the following):

(blank)
 —

Prints information about all lines in the specified range.

RADIUS
 —

Prints the radius of certain circular arcs, along with the keypoint numbers of each line. Straight lines, non-circular curves, and circular arcs not internally identified as arcs (which depends upon how each arc is created) will print a radius value of zero.

LAYER
 —

Prints layer-mesh control specifications.

HPT
 —

Prints information about only those lines that contain hard points. HPT is not supported in the GUI.

ORIENT
 —

Prints a list of lines, and identifies any orientation keypoints and any cross section IDs that are associated with the lines. Used for beam meshing with defined orientation nodes and cross sections.

Notes

There are 2 listings for the number of element divisions and the spacing ratio. The first listing shows assignments from LESIZE only, followed by the “hard” key (KYNDIV). See LESIZE for more information. The second listing shows NDIV and SPACE for the existing mesh, if one exists. Whether this existing mesh and the mesh generated by LESIZE match at any given point depends upon meshing options and the sequence of meshing operations.

A "-1" in the "nodes" column indicates that the line has been meshed but that there are no interior nodes.

An attribute (TYPE, MAT, REAL, or ESYS) listed as a zero is unassigned; one listed as a positive value indicates that the attribute was assigned with the LATT command (and will not be reset to zero if the mesh is cleared); one listed as a negative value indicates that the attribute was assigned using the attribute pointer [TYPE, MAT, REAL, or ESYS] that was active during meshing (and will be reset to zero if the mesh is cleared).

This command is valid in any processor.

Menu Paths

Utility Menu>List>Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*LIST 		Up / Home Next
LMATRIX


LMATRIX

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LMATRIX, SYMFAC, Coilname, Curname, Indname

Calculates an inductance matrix and the total flux linkage for an N-winding coil system.

SOLUTION: Analysis Options

MP <> <> <> <> <> <> <> EM <> <> PP <>

SYMFAC

Geometric symmetry factor. Inductance terms are scaled by this factor which represents the fraction of the total device modeled. Default is 1.

Coilname

Alphanumeric prefix identifier for coil label used in defining named element coil components. Default is 'coil.'

Curname

Name of a predefined parameter array containing the nominal coil currents of the system. The array must be defined (see *DIM command) prior to calling the LMATRIX macro. Default is 'cur.'

Indname

Name of the array parameter to be created by LMATRIX containing the calculated inductance matrix and the flux linkage in each coil. A text file of the same name with an extension .TXT is created containing the matrix data. Default is 'lmatrix.'

Notes

LMATRIX calculates the differential inductance matrix for an N-winding system where N is the number of coils in the system, and calculates the total flux linkage in each coil. LMATRIX may only be executed after the solution of a problem with nominal currents applied to the coils at a desired “operating point.” The array Indname has N rows and N+1 columns. The N x N block is the differential inductance matrix; the N+1th column contains the total flux linkage, with the ith row corresponding to the ith coil. See the Theory Reference for ANSYS and ANSYS Workbench for more details.

To invoke the LMATRIX macro, for the classical formulations, the elements for each coil must be grouped into a component using the CM command. Each set of independent coil elements is assigned a component name with the prefix Coilname followed by the coil number. For the solenoidal formulations, you must make the exciting node with a F,AMPS load a node component using the CM command. The classical and solenoidal formulations cannot be mixed.

To invoke the LMATRIX macro, the vector array parameter Curname with dimension N must be defined and named using the *DIM command. You must set each vector array entry equal to the nominal current per turn in the corresponding coil at the operating point. Zero current values must be approximated by a negligibly small applied current.

Do not apply (or remove) inhomogeneous loads before using the LMATRIX command. Inhomogeneous loads are those created by:

  • Degree of freedom commands (D, DA, etc.) specifying nonzero degrees of freedom values on nodes or solid model entities

  • Any CE command with a nonzero constant term

Do not put any loads (for example, current) on elements not contained in the element component.

Operating solutions must be obtained through static analysis before calling LMATRIX. All name-strings must be enclosed in single quotes in the LMATRIX command line. The geometric symmetry factor, Symfac, represents the fraction of the device modeled, disregarding any current source primitives.

LMATRIX works only with magnetic field elements: PLANE53, SOLID96, and SOLID97, and with SOLID117/SOURC36 solenoidal formulations. You can use interface element INTER115 to connect SOLID96 and SOLID97 regions.

For more information, see LMATRIX in the Low-Frequency Electromagnetic Analysis Guide.

See the Theory Reference for ANSYS and ANSYS Workbench and Electric and Magnetic Macros in the Low-Frequency Electromagnetic Analysis Guide for details.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Solve>Electromagnet>Static Analysis>Induct Matrix

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LLIST 		Up / Home Next
LMESH


LMESH

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LMESH, NL1, NL2, NINC

Generates nodes and line elements along lines.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1, NL2, NINC

Mesh lines from NL1 to NL2 (defaults to NL1) in steps of NINC (defaults to 1). If NL1 = ALL, NL2 and NINC are ignored and all selected lines [LSEL] are meshed. If NL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NL1 (NL2 and NINC are ignored).

Notes

Generates nodes and line elements along lines. Missing nodes required for the generated elements are created and assigned the lowest available numbers.

Menu Paths

Main Menu>Preprocessor>Meshing>Mesh>Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LMATRIX 		Up / Home Next
LNCOLLAPSE


LNCOLLAPSE

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LNCOLLAPSE, LINE, KEYPOINT

Collapse a line segment to a keypoint (for models imported from CAD files).

PREP7: CAD Repair

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LINE

The ID of the line segment to be collapsed.

KEYPOINT

The ID of the existing keypoint (one of the keypoints connected to the line segment) that will remain after the collapse operation.

Notes

This command is available only for repairing the geometry of models imported from CAD systems (Default IGES option).

This command does not check for any entity penetration resulting from the collapse.

Menu Paths

Main Menu>Preprocessor>Modeling>Simplify>Toolkit>Collapse Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LMESH 		Up / Home Next
LNDETACH


LNDETACH

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LNDETACH, LINE1, LINE2, LNINC

Detaches lines from neighboring geometric entity (for models imported from CAD files).

PREP7: CAD Repair

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LINE1, LINE2, LNINC

Detach lines from LINE1 to LINE2 (defaults to LINE1) in steps of LNINC (defaults to 1).

Notes

Use this command to detach non-manifold lines from their neighboring geometric entities. This command is available only for repairing the geometry of models imported from CAD systems.

Menu Paths

Main Menu>Preprocessor>Modeling>Geom Repair>Detach Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LNCOLLAPSE 		Up / Home Next
LNFILL


LNFILL

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LNFILL, KP1, KP2

Creates a straight line between two keypoints (for models imported from CAD files).

PREP7: CAD Repair

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KP1, KP2

Creates a straight line from keypoint defined by KP1 to keypoint defined by KP2. If KP1 = P; graphical picking is enabled and the remaining command field is ignored.

Notes

This command is available only for repairing the geometry of models imported from CAD systems (Default IGES option).

Menu Paths

Main Menu>Preprocessor>Modeling>Geom Repair>Fill Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LNDETACH 		Up / Home Next
LNMERGE


LNMERGE

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LNMERGE, LN1, LN2, LN3, LN4, LN4, LN6, LN7, LN8, LN9, LN10

Merges two or more connected line segments (for models imported from CAD files).

PREP7: CAD Repair

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LN1, LN2, LN3, . . . , LN10

List of lines that define the set of line segments to merge into one or more line segments. The command merges all the lines from the selected set that are connected to only one other line. If LN1 = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI). If LN1 = ALL, all selected lines will be merged and all remaining arguments are ignored. The connected lines are automatically grouped together to form a set of merged lines.

Notes

Use the LNMERGE command to merge disproportionately small line segments into a single line segment. This command is available only for repairing the geometry of models imported from CAD systems (Default IGES option). Only those line segments specified in the line list that are connected together will be joined by the merge operation. The command considers two lines to be connected if those two lines (and only those two lines) connect together at a single keypoint.

While the LNMERGE command allows you to join multiple lines in one merge operation, the preferred method is to merge pairs of line segments to successively build a single line segment. Using this technique can prevent problems during meshing.

The LNMERGE command does not check the angle of inclination between adjacent lines during the merge operation.

Menu Paths

Main Menu>Preprocessor>Modeling>Simplify>Toolkit>Merge Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LNFILL 		Up / Home Next
LNSPLIT


LNSPLIT

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LNSPLIT, LINE, PARAM

Splits a line segment into two line segments (for models imported from CAD files).

PREP7: CAD Repair

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LINE

ID identifying the line to be split.

PARAM

Arc length parameter specifying the location of the keypoint which will join the two new line segments (the "split point"). Valid arguments are values between 0 and 1, measured from the line's starting keypoint. Negative values between 0 and -1 are measured from the line's ending keypoint.

Notes

This command is available only for repairing the geometry of models imported from CAD systems (Default IGES option).

Menu Paths

Main Menu>Preprocessor>Modeling>Simplify>Toolkit>Split Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LNMERGE 		Up / Home Next
LNSRCH


LNSRCH

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LNSRCH, Key

Activates a line search to be used with Newton-Raphson.

SOLUTION: Nonlinear Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Key

Line search key:

OFF
 —

Do not use a line search.

ON
 —

Use a line search. Note, adaptive descent is suppressed when LNSRCH is on unless explicitly requested on the NROPT command. Having line search on and adaptive descent on at the same time is not recommended.

AUTO
 —

ANSYS automatically switches line searching ON and OFF between substeps of a load step as needed. This option is recommended.

Command Default

Line search off, unless contact elements are present.

Notes

The default values given for this command assume SOLCONTROL,ON (the default). See the description of SOLCONTROL for a complete listing of the defaults set by SOLCONTROL,ON and SOLCONTROL,OFF.

Activates a line search to be used with the Newton-Raphson method [NROPT]. Line search is an alternative to adaptive descent (see the Theory Reference for ANSYS and ANSYS Workbench).

LNSRCH,AUTO can be very efficient for problems in which LNSRCH is needed at only certain substeps.

You cannot use line search [LNSRCH], automatic time stepping [AUTOTS], or the DOF solution predictor [PRED] with the arc-length method [ARCLEN, ARCTRM]. If you activate the arc-length method after you set LNSRCH, AUTOTS, or PRED, a warning message appears. If you choose to proceed with the arc-length method activation, ANSYS disables your line search, automatic time stepping, and DOF predictor settings.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Sol'n Controls>Nonlinear
Main Menu>Preprocessor>Loads>Load Step Opts>Nonlinear>Line Search
Main Menu>Solution>Analysis Type>Sol'n Controls>Nonlinear
Main Menu>Solution>Load Step Opts>Nonlinear>Line Search

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LNSPLIT 		Up / Home Next
LOCAL


LOCAL

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LOCAL, KCN, KCS, XC, YC, ZC, THXY, THYZ, THZX, PAR1, PAR2

Defines a local coordinate system by a location and orientation.

DATABASE: Coordinate System

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KCN

Arbitrary reference number assigned to this coordinate system. Must be greater than 10. A coordinate system previously defined with this number will be redefined.

KCS

Coordinate system type:

0 or CART
—

Cartesian

1 or CYLIN
—

Cylindrical (circular or elliptical)

2 or SPHE
—

Spherical (or spheroidal)

3 or TORO
—

Toroidal

XC, YC, ZC

Location (in the global Cartesian coordinate system) of the origin of the new coordinate system.

THXY

First rotation about local Z (positive X toward Y).

THYZ

Second rotation about local X (positive Y toward Z).

THZX

Third rotation about local Y (positive Z toward X).

PAR1

Used for elliptical, spheroidal, or toroidal systems. If KCS = 1 or 2, PAR1 is the ratio of the ellipse Y-axis radius to X-axis radius (defaults to 1.0 (circle)). If KCS = 3, PAR1 is the major radius of the torus.

PAR2

Used for spheroidal systems. If KCS = 2, PAR2 = ratio of ellipse Z-axis radius to X-axis radius (defaults to 1.0 (circle)).

Notes

Defines a local coordinate system by origin location and orientation angles. The local coordinate system is parallel to the global Cartesian system unless rotated. Rotation angles are in degrees and redefine any previous rotation angles. See the CLOCAL, CS, CSWPLA, and CSKP commands for alternate definitions. This local system becomes the active coordinate system [CSYS]. Local coordinate systems may be displayed with the /PSYMB command.

This command is valid in any processor.

Menu Paths

Utility Menu>WorkPlane>Local Coordinate Systems>Create Local CS>At Specified Loc

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LNSRCH 		Up / Home Next
LOVLAP


LOVLAP

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LOVLAP, NL1, NL2, NL3, NL4, NL5, NL6, NL7, NL8, NL9

Overlaps lines.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1, NL2, NL3, . . . , NL9

Numbers of lines to be overlapped. If NL1 = ALL, NL2 to NL9 are ignored and all selected lines are overlapped. If NL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NL1.

Notes

Overlaps lines. Generates new lines which encompass the geometry of all the input lines. The new lines are defined by the regions of intersection of the input lines, and by the complementary (non-intersecting) regions. See the Modeling and Meshing Guide for an illustration. This operation is only valid when the region of intersection is a line. See the BOPTN command for an explanation of the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Overlap>Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LOCAL 		Up / Home Next
LPLOT


LPLOT

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LPLOT, NL1, NL2, NINC

Displays the selected lines.

PREP7: Lines

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1, NL2, NINC

Display lines from NL1 to NL2 (defaults to NL1) in steps of NINC (defaults to 1). If NL1 = ALL (default), NL2 and NINC are ignored and display all selected lines [LSEL].

Notes

Mesh divisions on plotted lines are controlled by the LDIV option of the /PSYMB command.

This command is valid in any processor.

Menu Paths

Utility Menu>Plot>Lines
Utility Menu>Plot>Specified Entities>Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LOVLAP 		Up / Home Next
LPTN


LPTN

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LPTN, NL1, NL2, NL3, NL4, NL5, NL6, NL7, NL8, NL9

Partitions lines.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1, NL2, NL3, . . . , NL9

Numbers of lines to be operated on. If NL1 = ALL, NL2 to NL9 are ignored all selected lines are used. If NL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may be substituted for NL1.

Notes

Partitions lines. Generates new lines which encompass the geometry of all the input lines. The new lines are defined by both the regions of intersection of the input lines and the complementary (non-intersecting) regions. See the Modeling and Meshing Guide for an illustration. See the BOPTN command for an explanation of the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Partition>Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LPLOT 		Up / Home Next
LREFINE


LREFINE

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LREFINE, NL1, NL2, NINC, LEVEL, DEPTH, POST, RETAIN

Refines the mesh around specified lines.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1, NL2, NINC

Lines (NL1 to NL2 in increments of NINC) around which the mesh is to be refined. NL2 defaults to NL1, and NINC defaults to 1. If NL1 = ALL, NL2 and NINC are ignored and all selected lines are used for refinement. If NL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NL1 (NL2 and NINC are ignored).

LEVEL

Amount of refinement to be done. Specify the value of LEVEL as an integer from 1 to 5, where a value of 1 provides minimal refinement, and a value of 5 provides maximum refinement (defaults to 1).

DEPTH

Depth of mesh refinement in terms of the number of elements outward from the indicated lines (defaults to 1).

POST

Type of postprocessing to be done after element splitting, in order to improve element quality:

OFF
 —

No postprocessing will be done.

SMOOTH
 —

Smoothing will be done. Node locations may change.

CLEAN
 —

Smoothing and cleanup will be done. Existing elements may be deleted, and node locations may change (default).

RETAIN

Flag indicating whether quadrilateral elements must be retained in the refinement of an all-quadrilateral mesh. (The ANSYS program ignores the RETAIN argument when you are refining anything other than a quadrilateral mesh.)

ON
 —

The final mesh will be composed entirely of quadrilateral elements, regardless of the element quality (default).

OFF
 —

The final mesh may include some triangular elements in order to maintain element quality and provide transitioning.

Notes

LREFINE performs local mesh refinement around the specified lines. By default, the indicated elements are split to create new elements with 1/2 the edge length of the original elements (LEVEL = 1).

LREFINE refines all area elements and tetrahedral volume elements that are adjacent to the specified lines. Any volume elements that are adjacent to the specified lines, but are not tetrahedra (for example, hexahedra, wedges, and pyramids), are not refined.

You cannot use mesh refinement on a solid model that contains initial conditions at nodes [IC], coupled nodes [CP family of commands], constraint equations [CE family of commands], or boundary conditions or loads applied directly to any of its nodes or elements. This applies to nodes and elements anywhere in the model, not just in the region where you want to request mesh refinement. For additional restrictions on mesh refinement, see Revising Your Model in the Modeling and Meshing Guide.

This command is also valid for rezoning.

Menu Paths

Main Menu>Preprocessor>Meshing>Modify Mesh>Refine At>Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LPTN 		Up / Home Next
LREVERSE


LREVERSE

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LREVERSE, LNUM, NOEFLIP

Reverses the normal of a line, regardless of its connectivity or mesh status.

PREP7: Lines

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LNUM

Line number of the line whose normal direction is to be reversed. If LNUM = ALL, the normals of all selected lines will be reversed. If LNUM = P, graphical picking is enabled. A component name may also be substituted for LNUM.

NOEFLIP

Indicates whether you want to change the normal direction of the existing elements on the reversed line(s) so that they are consistent with each line's new normal direction.

0
 —

Make the normal direction of existing elements on the reversed line(s) consistent with each line's new normal direction (default).

1
 —

Do not change the normal direction of existing elements on the reversed line(s).

Notes

You cannot use the LREVERSE command to change the normal direction of any element that has a body or surface load. We recommend that you apply all of your loads only after ensuring that the element normal directions are acceptable.

Real constants (such as nonuniform shell thickness and tapered beam constants) may be invalidated by an element reversal.

For more information, see Revising Your Model in the Modeling and Meshing Guide.

Menu Paths

Main Menu>Preprocessor>Modeling>Move / Modify>Reverse Normals>of Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LREFINE 		Up / Home Next
LROTAT


LROTAT

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LROTAT, NK1, NK2, NK3, NK4, NK5, NK6, PAX1, PAX2, ARC, NSEG

Generates circular lines by rotating a keypoint pattern about an axis.

PREP7: Lines

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NK1, NK2, NK3, . . . , NK6

List of keypoints in the pattern to be rotated (6 maximum if using keyboard entry). If NK1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). If NK1 = ALL, all selected keypoints (except PAX1 and PAX2) will define the pattern to be rotated. A component name may also be substituted for NK1.

PAX1, PAX2

Keypoints defining the axis about which the keypoint pattern is to be rotated.

ARC

Arc length (in degrees). Positive follows right-hand rule about PAX1-PAX2 vector. Defaults to 360.

NSEG

Number of lines (8 maximum) around circumference. Defaults to minimum required for 90° (maximum) arcs, i.e., 4 for 360°, 3 for 270°, etc.

Notes

Generates circular lines (and their corresponding keypoints) by rotating a keypoint pattern about an axis. Keypoint patterns are generated at regular angular locations (based on a maximum spacing of 90°). Line patterns are generated at the keypoint patterns. Keypoint and line numbers are automatically assigned (beginning with the lowest available values [NUMSTR]).

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Extrude>Keypoints>About Axis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LREVERSE 		Up / Home Next
LSBA


LSBA

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LSBA, NL, NA, SEPO, KEEPL, KEEPA

Subtracts areas from lines.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL

Line (or lines, if picking is used) to be subtracted from. If ALL, use all selected lines. If NL = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NL.

NA

Area (or areas, if picking is used) to be subtracted. If ALL, use all selected areas. A component name may also be substituted for NA.

SEPO

Behavior if the intersection of the lines and the areas is a keypoint or keypoints:

(blank)
 —

The resulting lines will share keypoint(s) where they touch.

SEPO
 —

The resulting lines will have separate, but coincident keypoint(s) where they touch.

KEEPL

Specifies whether NL lines are to be deleted:

(blank)
 —

Use the setting of KEEP on the BOPTN command.

DELETE
 —

Delete NL lines after LSBA operation (override BOPTN command settings).

KEEP
 —

Keep NL lines after LSBA operation (override BOPTN command settings).

KEEPA

Specifies whether NA areas are to be deleted:

(blank)
 —

Use the setting of KEEP on the BOPTN command.

DELETE
 —

Delete areas after LSBA operation (override BOPTN command settings).

KEEP
 —

Keep areas after LSBA operation (override BOPTN command settings).

Notes

Generates new lines by subtracting the regions common to both NL lines and NA areas (the intersection) from the NL lines. The intersection can be a line(s) or keypoint(s). If the intersection is a keypoint and SEPO is blank, the NL line is divided at the keypoint and the resulting lines will be connected, sharing a common keypoint where they touch. If SEPO is set to SEPO, NL is divided into two unconnected lines with separate keypoints where they touch. See the Modeling and Meshing Guide for an illustration. See the BOPTN command for an explanation of the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Divide>Line by Area
Main Menu>Preprocessor>Modeling>Operate>Booleans>Divide>With Options>Line by Area

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LROTAT 		Up / Home Next
LSBL


LSBL

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LSBL, NL1, NL2, SEPO, KEEP1, KEEP2

Subtracts lines from lines.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1

Line (or lines, if picking is used) to be subtracted from. If ALL, use all selected lines. Lines specified in this argument are not available for use in the NL2 argument. If P, graphical picking is enabled (valid only in the GUI) and all remaining fields are ignored. A component name may also be substituted for NL1.

NL2

Line (or lines, if picking is used) to subtract. If ALL, use all selected lines (except those included in the NL1 argument). A component name may also be substituted for NL2.

SEPO

Behavior if the intersection of the NL1 lines and the NL2 lines is a keypoint or keypoints:

(blank)
 —

The resulting lines will share keypoint(s) where they touch.

SEPO
 —

The resulting lines will have separate, but coincident keypoint(s) where they touch.

KEEP1

Specifies whether NL1 lines are to be deleted:

(blank)
 —

Use the setting of KEEP on the BOPTN command.

DELETE
 —

Delete NL1 lines after LSBL operation (override BOPTN command settings).

KEEP
 —

Keep NL1 lines after LSBL operation (override BOPTN command settings).

KEEP2

Specifies whether NL2 lines are to be deleted:

(blank)
 —

Use the setting of KEEP on the BOPTN command.

DELETE
 —

Delete NL2 lines after LSBL operation (override BOPTN command settings).

KEEP
 —

Keep NL2 lines after LSBL operation (override BOPTN command settings).

Notes

Generates new lines by subtracting the regions common to both NL1 and NL2 lines (the intersection) from the NL1 lines. The intersection can be a line(s) or point(s). If the intersection is a point and SEPO is blank, the NL1 line is divided at the point and the resulting lines will be connected, sharing a common keypoint where they touch. If SEPO is set to SEPO, NL1 is divided into two unconnected lines with separate keypoints where they touch. See the Modeling and Meshing Guide for an illustration. See the BOPTN command for an explanation of the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated. LSBL,ALL,ALL will have no effect since all the lines (in NL1) will be unavailable as NL2 lines.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Divide>Line by Line
Main Menu>Preprocessor>Modeling>Operate>Booleans>Divide>With Options>Line by Line
Main Menu>Preprocessor>Modeling>Operate>Booleans>Subtract>Lines
Main Menu>Preprocessor>Modeling>Operate>Booleans>Subtract>With Options>Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LSBA 		Up / Home Next
LSBV


LSBV

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LSBV, NL, NV, SEPO, KEEPL, KEEPV

Subtracts volumes from lines.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL

Line (or lines, if picking is used) to be subtracted from. If ALL, use all selected lines. If NL = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NL.

NV

Volume (or volumes, if picking is used) to be subtracted. If ALL, use all selected volumes. A component name may also be substituted for NV.

SEPO

Behavior if the intersection of the NL lines and the NV volumes is a keypoint or keypoints:

(blank)
 —

The resulting lines will share keypoint(s) where they touch.

SEPO
 —

The resulting lines will have separate, but coincident keypoint(s) where they touch.

KEEPL

Specifies whether NL lines are to be deleted:

(blank)
 —

Use the setting of KEEP on the BOPTN command.

DELETE
 —

Delete NL lines after LSBV operation (override BOPTN command settings).

KEEP
 —

Keep NL lines after LSBV operation (override BOPTN command settings).

KEEPV

Specifies whether NV volumes are to be deleted:

(blank)
 —

Use the setting of KEEP on the BOPTN command.

DELETE
 —

Delete NV volumes after LSBV operation (override BOPTN command settings).

KEEP
 —

Keep NV volumes after LSBV operation (override BOPTN command settings).

Notes

Generates new lines by subtracting the regions common to both NL lines and NV volumes (the intersection) from the NL lines. The intersection can be a line(s) or point(s). If the intersection is a point and SEPO is blank, the NL1 line is divided at the point and the resulting lines will be connected, sharing a common keypoint where they touch. If SEPO is set to SEPO, NL1 is divided into two unconnected lines with separate keypoints where they touch. See the Modeling and Meshing Guide for an illustration. See the BOPTN command for an explanation of the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated. LSBL,ALL,ALL will have no effect since all the lines (in NL1) will be unavailable as NL2 lines.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Divide>Line by Volume
Main Menu>Preprocessor>Modeling>Operate>Booleans>Divide>With Options>Line by Volume
Main Menu>Preprocessor>Modeling>Operate>Divide>Line by Volu

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LSBL 		Up / Home Next
LSBW


LSBW

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LSBW, NL, SEPO, KEEP

Subtracts the intersection of the working plane from lines (divides lines).

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL

Line (or lines, if picking is used) to be subtracted from. If NL = ALL, use all selected lines. If NL = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be input for NL.

SEPO

Behavior of the created boundary.

(blank)
 —

The resulting lines will share keypoint(s) where they touch.

SEPO
 —

The resulting lines will have separate, but coincident keypoint(s).

KEEP

Specifies whether NL lines are to be deleted:

(blank)
 —

Use the setting of KEEP on the BOPTN command.

DELETE
 —

Delete NL lines after LSBW operation (override BOPTN command settings).

KEEP
 —

Keep NL lines after LSBW operation (override BOPTN command settings).

Notes

Generates new lines by subtracting the intersection of the working plane from the NL lines. The intersection will be a keypoint(s). The working plane must not be in the same plane as the NL line(s). If SEPO is blank, the NL line is divided and the resulting lines will be connected, sharing a common keypoint where they touch. If SEPO is set to SEPO, NL is divided into two unconnected lines with separate keypoints. See the Modeling and Meshing Guide for an illustration. See the BOPTN command for an explanation of the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated. Areas that completely contain the input lines will be updated if the lines are divided by this operation.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Divide>Line by WrkPlane
Main Menu>Preprocessor>Modeling>Operate>Booleans>Divide>With Options>Line by WrkPlane
Main Menu>Preprocessor>Modeling>Operate>Divide>Line by WrkPlane

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LSBV 		Up / Home Next
LSCLEAR


LSCLEAR

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LSCLEAR, Lab

Clears loads and load step options from the database.

SOLUTION: Load Step Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Label identifying the data to be cleared:

SOLID
—

Delete only solid model loads.

FE
—

Delete only finite element loads.

INER
—

Delete only inertia loads (ACEL, etc.).

LFACT
—

Initialize only load factors (on DCUM, FCUM, SFCUM, etc.).

LSOPT
—

Initialize only load step options.

ALL
—

Delete all loads and initialize all load step options and load factors.

Notes

Loads are deleted, and load step options are initialized to their default values.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Delete>All Load Data>All F.E. Loads
Main Menu>Preprocessor>Loads>Define Loads>Delete>All Load Data>All Inertia Lds
Main Menu>Preprocessor>Loads>Define Loads>Delete>All Load Data>All Loads & Opts
Main Menu>Preprocessor>Loads>Define Loads>Delete>All Load Data>All SolidMod Lds
Main Menu>Preprocessor>Loads>Define Loads>Settings>Replace vs Add>Reset Factors
Main Menu>Preprocessor>Loads>Load Step Opts>Reset Options
Main Menu>Preprocessor>Meshing>Modify Mesh>Refine At>All
Main Menu>Preprocessor>Meshing>Modify Mesh>Refine At>Areas
Main Menu>Preprocessor>Meshing>Modify Mesh>Refine At>Elements
Main Menu>Preprocessor>Meshing>Modify Mesh>Refine At>Keypoints
Main Menu>Preprocessor>Meshing>Modify Mesh>Refine At>Lines
Main Menu>Preprocessor>Meshing>Modify Mesh>Refine At>Nodes
Main Menu>Solution>Define Loads>Delete>All Load Data>All F.E. Loads
Main Menu>Solution>Define Loads>Delete>All Load Data>All Inertia Lds
Main Menu>Solution>Define Loads>Delete>All Load Data>All Loads & Opts
Main Menu>Solution>Define Loads>Delete>All Load Data>All SolidMod Lds
Main Menu>Solution>Define Loads>Settings>Replace vs Add>Reset Factors
Main Menu>Solution>Load Step Opts>Reset Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LSBW 		Up / Home Next
LSDELE


LSDELE

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LSDELE, LSMIN, LSMAX, LSINC

Deletes load step files.

SOLUTION: Load Step Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LSMIN, LSMAX, LSINC

Range of load step files to be deleted, from LSMIN to LSMAX in steps of LSINC. LSMAX defaults to LSMIN, and LSINC defaults to 1. If LSMIN = ALL, all load step files are deleted (and LSMAX and LSINC are ignored). The load step files are assumed to be named Jobname.Sn, where n is a number assigned by the LSWRITE command (01--09,10,11, etc.). On systems with a 3-character limit on the extension, the "S" is dropped for numbers > 99.

Notes

Deletes load step files in the current directory (written by the LSWRITE command).

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Operate>Delete LS Files
Main Menu>Solution>Define Loads>Operate>Delete LS Files

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LSCLEAR 		Up / Home Next
LSEL


LSEL

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LSEL, Type, Item, Comp, VMIN, VMAX, VINC, KSWP

Selects a subset of lines.

DATABASE: Selecting

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Label identifying the type of select:

S
 —

Select a new set (default).

R
 —

Reselect a set from the current set.

A
 —

Additionally select a set and extend the current set.

U
 —

Unselect a set from the current set.

ALL
 —

Restore the full set.

NONE
 —

Unselect the full set.

INVE
 —

Invert the current set (selected becomes unselected and vice versa).

STAT
 —

Display the current select status.

The following fields are used only with Type = S, R, A, or U:

Item

Label identifying data. Valid item labels are shown in the table below. Some items also require a component label. If Item = PICK (or simply “P”), graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). Defaults to LINE.

Comp

Component of the item (if required). Valid component labels are shown in the table below.

VMIN

Minimum value of item range. Ranges are line numbers, coordinate values, attribute numbers, etc., as appropriate for the item. If VMIN = 0.0, a tolerance of ±1.0E-6 is used, or ±0.005 x VMIN if VMIN = VMAX. A component name (as specified on the CM command) may also be substituted for VMIN (VMAX and VINC are ignored). If Item = MAT, TYPE, REAL, ESYS, or NDIV and if VMIN is positive, the absolute value of Item is compared against the range for selection; if VMIN is negative, the signed value of Item is compared. See the LLIST command for a discussion of signed attributes.

VMAX

Maximum value of item range. VMAX defaults to VMIN.

VINC

Value increment within range. Used only with integer ranges (such as for line numbers). Defaults to 1. VINC cannot be negative.

KSWP

Specifies whether only lines are to be selected:

0
 —

Select lines only.

1
 —

Select lines, as well as keypoints, nodes, and elements associated with selected lines. Valid only with Type = S.

Command Default

All lines are selected.

Notes

Selects lines based on values of a labeled item and component. For example, to select a new set of lines based on line numbers 1 through 7, use LSEL,S,LINE,,1,7. The subset is used when the ALL label is entered (or implied) on other commands, such as LLIST,ALL. Only data identified by line number are selected. Data are flagged as selected and unselected; no data are actually deleted from the database.

If Item = LCCA, the command selects only those lines that were created by concatenation. The KSWP field is processed, but the Comp, VMIN, VMAX, and VINC fields are ignored.

If Item = HPT, the command selects only those lines that contain hard points.

Item = RADIUS is only valid for lines that are circular arcs.

LSEL is valid in any processor.

For Selects based on non-integer numbers (coordinates, results, etc.), items that are within the range VMIN-Toler and VMAX+Toler are selected. The default tolerance Toler is based on the relative values of VMIN and VMAX as follows:

  • If VMIN = VMAX, Toler = 0.005 x VMIN.

  • If VMIN = VMAX = 0.0, Toler = 1.0E-6.

  • If VMAX ≠ VMIN, Toler = 1.0E-8 x (VMAX-VMIN).

Use the SELTOL command to override this default and specify Toler explicitly.

LSEL - Valid Item and Component Labels

Valid Item and Component Labels LSEL, Type,Item,Comp,VMIN,VMAX,VINC,KSWP
Item | Comp | Description
LINE |  | Line number.
EXT |  | Line numbers on exterior of selected area (ignore remaining fields).
LOC | X,Y,Z | X, Y, or Z center location in the active coordinate system.
TAN1 | X,Y,Z | Unit vector component of outward tangent at beginning of line.
TAN2 | X,Y,Z | Unit vector component of outward tangent at end of line.
NDIV |  | Number of divisions within the line.
SPACE |  | Spacing ratio of line divisions.
MAT |  | Material number associated with the line.
TYPE |  | Element type number associated with the line.
REAL |  | Real constant set number associated with the line.
ESYS |  | Element coordinate system associated with the line.
SEC |  | Cross section ID number. [SECNUM]
LENGTH |  | Length of the line.
RADIUS |  | Radius of the line.
HPT |  | Line number (selects only lines with associated hard points).
LCCA |  | Concatenated lines (selects only lines that were created by concatenation [LCCAT]).

Menu Paths

Utility Menu>Select>Entities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LSDELE 		Up / Home Next
LSLA


LSLA

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LSLA, Type

Selects those lines contained in the selected areas.

DATABASE: Selecting

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Label identifying the type of line select:

S
—

Select a new set (default).

R
—

Reselect a set from the current set.

A
—

Additionally select a set and extend the current set.

U
—

Unselect a set from the current set.

Notes

This command is valid in any processor.

Menu Paths

Utility Menu>Select>Entities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LSEL 		Up / Home Next
LSLK


LSLK

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LSLK, Type, LSKEY

Selects those lines containing the selected keypoints.

DATABASE: Selecting

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Label identifying the type of line select:

S
—

Select a new set (default).

R
—

Reselect a set from the current set.

A
—

Additionally select a set and extend the current set.

U
—

Unselect a set from the current set.

LSKEY

Specifies whether all contained line keypoints must be selected [KSEL]:

0
—

Select line if any of its keypoints are in the selected keypoint set.

1
—

Select line only if all of its keypoints are in the selected keypoint set.

Notes

This command is valid in any processor.

Menu Paths

Utility Menu>Select>Entities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LSLA 		Up / Home Next
LSOPER


LSOPER

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LSOPER

Specifies "Load step operations" as the subsequent status topic.

SOLUTION: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Solution>Load Step Operations

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LSLK 		Up / Home Next
/LSPEC


/LSPEC

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

/LSPEC, LCOLOR, LINSTL, XLNWID

Specifies annotation line attributes (GUI).

GRAPHICS: Annotation

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LCOLOR

Line color:

0
—

Black

1
—

Red-Magenta

2
—

Magenta

3
—

Blue-Magenta

4
—

Blue

5
—

Cyan-Blue

6
—

Cyan

7
—

Green-Cyan

8
—

Green

9
—

Yellow-Green

10
—

Yellow

11
—

Orange

12
—

Red

13
—

Dark Gray

14
—

Light Gray

15
—

White

LINSTL

Line style:

0
—

Solid line.

1
—

Dashed line.

XLNWID

Line width multiplier (1.0 to 20.0). Defaults to 1.0.

Notes

Specifies annotation line attributes to control certain characteristics of the lines created via the /LINE, /LARC, /LSYMBOL, /POLYGON, /PMORE, /PCIRCLE, and /PWEDGE commands. This is a command generated by the Graphical User Interface (GUI) and will appear in the log file (Jobname.LOG) if annotation is used. This command is not intended to be typed in directly in an ANSYS session (although it can be included in an input file for batch input or for use with the /INPUT command).

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Annotation>Create Annotation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LSOPER 		Up / Home Next
LSREAD


LSREAD

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LSREAD, LSNUM

Reads load and load step option data into the database.

SOLUTION: Load Step Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LSNUM

Identification number of the load step file to be read. Defaults to 1 + highest number read in the current session. Issue LSREAD,STAT to list the current value of LSNUM. Issue LSREAD,INIT to reset LSNUM to 1. The load step files are assumed to be named Jobname.Sn, where n is a number assigned by the LSWRITE command (01--09,10,11, etc.). On systems with a 3-character limit on the extension, the "S" is dropped for LSNUM > 99.

Notes

Reads load and load step option data from the load step file into the database. LSREAD will not clear the database of all current loads. However, if a load is respecified with LSREAD, then it will overwrite the existing load. See the LSWRITE command to write load step files, and the LSDELE command to delete load step files. LSREAD removes any existing SFGRAD specification.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Read LS File
Main Menu>Solution>Load Step Opts>Read LS File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/LSPEC 		Up / Home Next
LSSCALE


LSSCALE

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LSSCALE, NL1, NL2, NINC, RX, RY, RZ, KINC, NOELEM, IMOVE

Generates a scaled set of lines from a pattern of lines.

PREP7: Lines

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1, NL2, NINC

Set of lines (NL1 to NL2 in steps of NINC) that defines the pattern to be scaled. NL2 defaults to NL1, NINC defaults to 1. If NL1 = ALL, NL2 and NINC are ignored and the pattern is defined by all selected lines. If NL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NL1 (NL2 and NINC are ignored).

RX, RY, RZ

Scale factors to be applied to the X, Y, Z keypoint coordinates in active coordinate system (RR, Rθ, RZ for cylindrical; RR, Rθ, RΦ for spherical). Note that the Rθ and RΦ scale factors are interpreted as angular offsets. For example, for CSYS,1, RR, Rθ, RZ input of (1.5,10,3) would scale the specified keypoints 1.5 times in the radial and 3 times in the Z direction, while adding an offset of 10 degrees to the keypoints. Zero, blank, or negative scale factor values are assumed to be 1.0. Zero or blank angular offsets have no effect.

KINC

Increment to be applied to keypoint numbers for generated set. If zero, the lowest available keypoint numbers will be assigned [NUMSTR].

NOELEM

Specifies whether nodes and elements are also to be generated:

0
 —

Nodes and line elements associated with the original lines will be generated (scaled) if they exist.

1
 —

Nodes and line elements will not be generated.

IMOVE

Specifies whether lines will be moved or newly defined:

0
 —

Additional lines will be generated.

1
 —

Original lines will be moved to new position (KINC and NOELEM are ignored). Use only if the old lines are no longer needed at their original positions. Corresponding meshed items are also moved if not needed at their original position.

Notes

Generates a scaled set of lines (and their corresponding keypoints and mesh) from a pattern of lines. The MAT, TYPE, REAL, and ESYS attributes are based on the lines in the pattern and not the current settings. Scaling is done in the active coordinate system. Lines in the pattern could have been generated in any coordinate system.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Scale>Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LSREAD 		Up / Home Next
LSSOLVE


LSSOLVE

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LSSOLVE, LSMIN, LSMAX, LSINC

Reads and solves multiple load steps.

SOLUTION: Load Step Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LSMIN, LSMAX, LSINC

Range of load step files to be read and solved, from LSMIN to LSMAX in steps of LSINC. LSMAX defaults to LSMIN, and LSINC defaults to 1. If LSMIN is blank, a brief command description is displayed. The load step files are assumed to be named Jobname.Sn, where n is a number assigned by the LSWRITE command (01--09,10,11, etc.). On systems with a 3-character limit on the extension, the "S" is dropped for numbers > 99.

Notes

LSSOLVE invokes an ANSYS macro to read and solve multiple load steps. The macro loops through a series of load step files written by the LSWRITE command. The macro file called by LSSOLVE is called LSSOLVE.MAC.

LSSOLVE cannot be used with the birth-death option.

LSSOLVE does not support restarts.

LSSOLVE does not apply to FLOTRAN.

Menu Paths

Main Menu>Solution>Solve>From LS Files

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LSSCALE 		Up / Home Next
LSTR


LSTR

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LSTR, P1, P2

Defines a straight line irrespective of the active coordinate system.

PREP7: Lines

MP ME ST PR PRN <> <> FL EM <> <> PP <>

P1

Keypoint at the beginning of line. If P1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI)

P2

Keypoint at the end of line.

Notes

Defines a straight line from P1 to P2 using the global Cartesian coordinate system. The active coordinate system will be ignored. The line shape is invariant with the coordinate system after it is generated. Lines may be redefined only if not yet attached to an area.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Lines>Lines>Straight Line

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LSSOLVE 		Up / Home Next
LSUM


LSUM

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LSUM

Calculates and prints geometry statistics of the selected lines.

PREP7: Lines

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Calculates and prints geometry statistics (length, centroid, moments of inertia, etc.) associated with the selected lines. Geometry items are reported in the global Cartesian coordinate system. A unit density is assumed, irrespective of any material associations [LATT, MAT]. Items calculated by LSUM and later retrieved by a *GET or *VGET command are valid only if the model is not modified after the LSUM command is issued.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Calc Geom Items>Of Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LSTR 		Up / Home Next
LSWRITE


LSWRITE

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LSWRITE, LSNUM

Writes load and load step option data to a file.

SOLUTION: Load Step Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LSNUM

Number to be assigned to the load step file name for identification purposes. Defaults to 1 + highest LSNUM used in the current session. Issue LSWRITE,STAT to list the current value of LSNUM. Issue LSWRITE,INIT to reset to 1. The load step file will be named Jobname.Sn, where n is the specified LSNUM value (preceded by "0" for values 1-9). On systems with a 3-character limit on the file name extension, the "S" is dropped for LSNUM > 99.

Command Default

The default behavior of LSWRITE is dependent on the SOLCONTROL command. When solution control is on (default behavior), the LSWRITE command does NOT write the default values for commands affected by solution control. When solution control is off (SOLCONTROL,OFF), LSWRITE does write the default values for commands affected by solution control. See SOLCONTROL for a list of those commands.

Notes

Writes all load and load step option data for the selected model to a load step file for later use. LSWRITE does not capture changes made to real constants (R), material properties (MP), couplings (CP), or constraint equations (CE). Solid model loads will not be saved if the model is not meshed. Solid model loads, if any, are transferred to the finite element model. Issue LSCLEAR,FE to delete finite element loads. One file is written for each load step. Use the LSREAD command to read a single load step file, and the LSDELE command to delete load step files. Use the LSSOLVE command to read and solve the load steps sequentially.

LSWRITE does not support the following commands: DJ, FJ, GSBDATA, and GSGDATA. These commands will not be written to the load step file.

LSWRITE cannot be used with the birth-death option.

LSWRITE does not apply to FLOTRAN.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Write LS File
Main Menu>Solution>Load Step Opts>Write LS File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LSUM 		Up / Home Next
/LSYMBOL


/LSYMBOL

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

/LSYMBOL, X, Y, SYMANG, SYMTYP, SYMSIZ, KEYBMP

Creates annotation symbols (GUI).

GRAPHICS: Annotation

MP ME ST PR PRN <> <> FL EM <> <> PP <>

X

X location for symbol (-1.0 < X < 2.0).

Y

Y location for symbol (-1.0 < Y < 1.0).

SYMANG

Symbol orientation angle.

SYMTYP

Symbol type:

1
—

Arrow.

2
—

Tee.

3
—

Circle.

4
—

Triangle.

5
—

Star.

SYMSIZ

Symbol size multiplier (0.1 to 20.0). Defaults to 1.0.

KEYBMP

If KEYBMP = 1, the annotation is a bitmap. SYMTYP will then be a number from 1-99, indicating the bitmap type (see notes), and X and Y will define the lower left corner of the bitmap. The SYMANG, SYMSIZarguments are ignored. If KEYBMP = 0, or blank, then the argument definitions above apply.

Notes

Defines annotation symbols to be written directly onto the display at a specified location. This is a command generated by the GUI and will appear in the log file (Jobname.LOG) if annotation is used. This command is not intended to be typed in directly in an ANSYS session (although it can be included in an input file for batch input or for use with the /INPUT command).

All symbols are shown on subsequent displays unless the annotation is turned off or deleted. Use the /LSPEC command to set the attributes of the symbol.

The KEYBMP argument reads the symtype argument to determine which bitmap to insert. This bitmap is defined by an integer between 1 and 99. Numbers 1 through 40 correspond to the standard texture values found in the /TXTRE command, while numbers 51 through 99 correspond to user supplied bitmaps, as defined using the Filename option of the /TXTRE command. Numbers 51 through 57 are predefined (the logos, clamps and arrows available from the GUI) but can be overridden. Numbers 41 through 50 are reserved.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Annotation>Create Annotation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LSWRITE 		Up / Home Next
LSYMM


LSYMM

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LSYMM, Ncomp, NL1, NL2, NINC, KINC, NOELEM, IMOVE

Generates lines from a line pattern by symmetry reflection.

PREP7: Lines

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Ncomp

Symmetry key:

X
—

X symmetry (default).

Y
—

Y symmetry.

Z
—

Z symmetry.

NL1, NL2, NINC

Reflect lines from pattern beginning with NL1 to NL2 (defaults to NL1) in steps of NINC (defaults to 1). If NL1 = ALL, NL2 and NINC are ignored and pattern is all selected lines [LSEL]. If NL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NL1 (NL2 and NINC are ignored).

KINC

Keypoint increment between sets. If zero, the lowest available keypoint numbers are assigned [NUMSTR].

NOELEM

Specifies whether nodes and elements are also to be generated:

0
—

Generate nodes and elements associated with the original lines, if they exist.

1
—

Do not generate nodes and elements.

IMOVE

Specifies whether areas will be moved or newly defined:

0
—

Generate additional lines.

1
—

Move original lines to new position retaining the same keypoint numbers (KINC and NOELEM are ignored). Valid only if the old lines are no longer needed at their original positions. Corresponding meshed items are also moved if not needed at their original position.

Notes

Generates a reflected set of lines (and their corresponding keypoints and mesh) from a given line pattern by a symmetry reflection (see analogous node symmetry command, NSYM). The MAT, TYPE, REAL, and ESYS attributes are based upon the lines in the pattern and not upon the current settings. Reflection is done in the active coordinate system by changing a particular coordinate sign. The active coordinate system must be Cartesian. Lines in the pattern may have been generated in any coordinate system. However, solid modeling in a toroidal coordinate system is not recommended. Lines are generated as described in the LGEN command.

See the ESYM command for additional information about symmetry elements.

Menu Paths

Main Menu>Preprocessor>Modeling>Reflect>Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/LSYMBOL 		Up / Home Next
LTAN


LTAN

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LTAN, NL1, P3, XV3, YV3, ZV3

Generates a line at the end of, and tangent to, an existing line.

PREP7: Lines

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NL1

Number of the line the generated line is tangent to. If negative, assume P1 (see below), instead of P2, is the second keypoint of line NL1. If NL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

P3

Keypoint at which generated line must end.

The following fields are used only if a specified slope on the end of the new line is desired, otherwise a zero curvature end slope will be automatically calculated. To specify the end slope, use the following fields to define a "slope vector" that has its tail at the origin and its head at the point XV, YV, ZV in the active coordinate system [CSYS]. The corresponding end slope of the line will then be parallel to this "slope vector."

XV3, YV3, ZV3

Location (in the active coordinate system) of the head of the "slope vector" corresponding to the slope at the P3 end of the line. The tail of the vector is at the coordinate system origin.

Notes

Generates a line (P2-P3) tangent at end point (P2) of line NL1 (P1-P2).

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Lines>Lines>Tangent to Line

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LSYMM 		Up / Home Next
LTRAN


LTRAN

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LTRAN, KCNTO, NL1, NL2, NINC, KINC, NOELEM, IMOVE

Transfers a pattern of lines to another coordinate system.

PREP7: Lines

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KCNTO

Reference number of coordinate system where the pattern is to be transferred. Transfer occurs from the active coordinate system. The coordinate system type and parameters of KCNTO must be the same as the active system.

NL1, NL2, NINC

Transfer lines from pattern beginning with NL1 to NL2 (defaults to NL1) in steps of NINC (defaults to 1). If NL1 = ALL, NL2 and NINC are ignored and pattern is all selected lines [LSEL]. If NL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NL1 (NL2 and NINC are ignored).

KINC

Keypoint increment between sets. If zero, the lowest available keypoint numbers are assigned [NUMSTR].

NOELEM

Specifies whether nodes and elements are also to be generated:

0
—

Generate nodes and elements associated with the original lines, if they exist.

1
—

Do not generate nodes and elements.

IMOVE

Specifies whether lines will be moved or newly defined:

0
—

Generate additional lines.

1
—

Move original lines to new position retaining the same keypoint numbers (KINC and NOELM are ignored). Valid only if the old lines are no longer needed at their original positions. Corresponding meshed items are also moved if not needed at their original position.

Notes

Transfers a pattern of lines (and their corresponding keypoints and mesh) from one coordinate system to another (see analogous node transfer command, TRANSFER). The MAT, TYPE, REAL, and ESYS attributes are based upon the lines in the pattern and not upon the current settings. Coordinate systems may be translated and rotated relative to each other. Initial pattern may be generated in any coordinate system. However, solid modeling in a toroidal coordinate system is not recommended. Coordinate and slope values are interpreted in the active coordinate system and are transferred directly. Lines are generated as described in the LGEN command.

Menu Paths

Main Menu>Preprocessor>Modeling>Move / Modify>Transfer Coord>Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LTAN 		Up / Home Next
LUMPM


LUMPM

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LUMPM, Key

Specifies a lumped mass matrix formulation.

SOLUTION: Analysis Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Key

Formulation key:

OFF
—

Use the element-dependent default mass matrix formulation (default).

ON
—

Use a lumped mass approximation.

Command Default

Use the default element mass matrix.

Notes

This command is also valid in PREP7. If used in SOLUTION, this command is valid only within the first load step.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Preprocessor>Loads>Analysis Type>New Analysis
Main Menu>Solution>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>New Analysis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LTRAN 		Up / Home Next
LVSCALE


LVSCALE

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LVSCALE, FACT

Scales the load vector for mode superposition analyses.

SOLUTION: Dynamic Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

FACT

Scale factor applied to both the real and imaginary (if they exist) components of the load vector. Defaults to 0.0.

Command Default

No load vector is applied.

Notes

Specifies the scale factor for the load vector that was created in a modal (ANTYPE,MODAL) analysis. Applies only to the mode superposition transient (ANTYPE,TRANS), mode superposition harmonic response (ANTYPE,HARMIC), and PSD spectrum (pressure PSD) analyses.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Load Vector>For Mode Super
Main Menu>Preprocessor>Loads>Define Loads>Apply>Load Vector>For PSD
Main Menu>Preprocessor>Loads>Define Loads>Delete>Load Vector>For Mode Super
Main Menu>Preprocessor>Loads>Define Loads>Delete>Load Vector>For PSD
Main Menu>Solution>Define Loads>Apply>Load Vector>For Mode Super
Main Menu>Solution>Define Loads>Apply>Load Vector>For PSD
Main Menu>Solution>Define Loads>Delete>Load Vector>For Mode Super
Main Menu>Solution>Define Loads>Delete>Load Vector>For PSD

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LUMPM 		Up / Home Next
LWPLAN


LWPLAN

Release 11.0 Documentation for ANSYS

Commands Reference | L Commands |

LWPLAN, WN, NL1, RATIO

Defines the working plane normal to a location on a line.

DATABASE: Working Plane

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number whose viewing direction will be modified to be normal to the working plane (defaults to 1). If WN is a negative value, the viewing direction will not be modified.

NL1

Number of line to be used. If NL1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

RATIO

Location on NL1, specified as a ratio of the line length. Must be between 0.0 and 1.0. If RATIO = P, use graphical picking to specify location on the line.

Command Default

Working plane is parallel to the Global X-Y plane at Z = 0.0.

Notes

Defines a working plane (to assist in picking operations) normal to a location on a line. See WPSTYL command to set the style of working plane display.

This command is valid in any processor.

Menu Paths

Utility Menu>WorkPlane>Align WP with>Plane Normal to Line

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LVSCALE 		Up / Home Next
M Commands


M Commands

Table of Contents

M - Defines master degrees of freedom for reduced and superelement generation analyses.
MADAPT - Adaptively meshes and solves an edge-based model.
MAGOPT - Specifies options for a 3-D magnetostatic field analysis.
MAGSOLV - Specifies magnetic solution options and initiates the solution.
MAPSOLVE - Maps solved node and element solutions from an original mesh to a new mesh.
MASTER - Specifies "Master DOF" as the subsequent status topic.
MAT - Sets the element material attribute pointer.
MATER - Specifies "Material properties" as the subsequent status topic.
MCHECK - Checks mesh connectivity.
MDAMP - Defines the damping ratios as a function of mode.
MDELE - Deletes master degrees of freedom.
MDPLOT - Plots frequency-dependent modal damping coefficients calculated by DMPEXT.
MEMM - Allows the current session to keep allocated memory
/MENU - Activates the Graphical User Interface (GUI).
MESHING - Specifies "Meshing" as the subsequent status topic.
MFANALYSIS - Turns an ANSYS Multi-field solver analysis on or off.
MFBUCKET - Turns a bucket search on or off.
MFCALC - Specifies a calculation frequency for a field in an ANSYS Multi-field solver analysis.
MFCI - Sets the control parameters used by the conservative (CPP) interpolation scheme.
MFCLEAR - Deletes ANSYS Multi-field solver analysis settings.
MFCMMAND - Captures field solution options in a command file.
MFCONV - Sets convergence values for an ANSYS Multi-field solver analysis.
MFDTIME - Sets time step sizes for an ANSYS Multi-field solver analysis.
MFELEM - Defines a field by grouping element types.
MFEM - Add more element types to a previously defined field number.
MFEXTER - Defines external fields for an ANSYS Multi-field solver analysis.
MFFNAME - Specifies a file name for a field in an ANSYS Multi-field solver analysis.
MFFR - Setup Multi-Field relaxation factors for field solutions.
MFIMPORT - Imports a new field into a current ANSYS Multi-field solver analysis.
MFINTER - Specifies the interface load transfer interpolation option for an ANSYS Multi-field solver analysis.
MFITER - Sets the number of stagger iterations for an ANSYS Multi-field solver analysis.
MFLCOMM - Defines a load transfer for code coupling analyses.
MFLIST - Lists the settings for an ANSYS Multi-field solver analysis.
MFMAP - Calculates, saves, resumes, or deletes mapping data in an ANSYS Multi-field solver analysis.
MFORDER - Specifies field solution order for an ANSYS Multi-field solver analysis.
MFOUTPUT - Specifies results file output frequency for an ANSYS Multi-field solver analysis.
MFPSIMUL - Sets up a field solver group to simultaneously process with code coupling analyses.
MFRELAX - Sets relaxation values for an ANSYS Multi-field solver analysis.
MFRSTART - Specifies restart status for an ANSYS Multi-field solver analysis.
MFSORDER - Sets up the solution sequence of simultaneous field solver groups for code coupling analyses.
MFSURFACE - Defines a surface load transfer for an ANSYS Multi-field solver analysis.
MFTIME - Sets end time for an ANSYS Multi-field solver analysis.
MFTOL - Turns normal distance checking on for surface mapping in an ANSYS Multi-field solver analysis.
MFVOLUME - Defines a volume load transfer for an ANSYS Multi-field solver analysis.
MFWRITE - Writes an ANSYS master input file for MFX multiple code coupling.
MGEN - Generates additional MDOF from a previously defined set.
MIDTOL - Sets midstep residual criterion values for structural transient analyses.
MITER - Defines a mitered bend in a piping run.
MLIST - Lists the MDOF of freedom.
MMF - Calculates the magnetomotive force along a path.
MODE - Specifies the harmonic loading term for this load step.
MODIFY - Changes the listed values of the data in a set.
MODMSH - Controls the relationship of the solid model and the FE model.
MODOPT - Specifies modal analysis options.
MONITOR - Controls contents of three variable fields in nonlinear solution monitor file.
MOPT - Specifies meshing options.
MORPH - Specifies morphing and remeshing controls.
MOVE - Calculates and moves a node to an intersection.
MP - Defines a linear material property as a constant or a function of temperature.
MPAMOD - Modifies temperature-dependent secant coefficients of thermal expansion.
MPCHG - Changes the material number attribute of an element.
MPCOPY - Copies linear material model data from one material reference number to another.
MPDATA - Defines property data to be associated with the temperature table.
MPDELE - Deletes linear material properties.
MPDRES - Reassembles existing material data with the temperature table.
/MPLIB - Sets the default material library read and write paths.
MPLIST - Lists linear material properties.
MPPLOT - Plots linear material properties as a function of temperature.
MPREAD - Reads a file containing material properties.
MPRINT - Specifies that radiation matrices are to be printed.
MPTEMP - Defines a temperature table for material properties.
MPTGEN - Adds temperatures to the temperature table by generation.
MPTRES - Restores a temperature table previously defined.
MPWRITE - Writes linear material properties in the database to a file (if the LIB option is not specified) or writes both linear and nonlinear material properties (if LIB is specified) from the database to a file.
/MREP - Enables you to reissue the graphics command macro "name" during a replot or zoom operation.
MSADV - Specifies the approach to discretize the advection term in a species transport equation.
MSAVE - Sets the solver memory saving option. This option only applies to the PCG solver.
MSCAP - Activates and controls mass fraction capping for a species.
MSDATA - Defines multiple species data applicable to all species.
MSHAPE - For elements that support multiple shapes, specifies the element shape to be used for meshing.
MSHCOPY - Simplifies the generation of meshes that have matching node element patterns on two different line groups (in 2-D) or area groups (3-D).
MSHKEY - Specifies whether free meshing or mapped meshing should be used to mesh a model.
MSHMID - Specifies placement of midside nodes.
MSHPATTERN - Specifies pattern to be used for mapped triangle meshing.
MSMASS - Specifies the mass type for a transient species analysis.
MSMETH - Specifies the method of solution of the species transport equations.
MSMIR - Sets modified inertial relaxation factors for multiple species.
MSNOMF - Specifies the initial value of nominal mass fraction for a species.
MSPROP - Defines the fluid properties of a species.
MSQUAD - Specifies the quadrature order for multiple species elements.
MSRELAX - Specifies relaxation factors for a multiple species transport analysis.
MSSOLU - Specifies solution options for multiple species transport.
MSSPEC - Specifies the name, molecular weight, and Schmidt number of a species.
/MSTART - Controls the initial GUI components.
MSTERM - Sets the convergence monitors for species.
MSVARY - Allows species properties to vary between global iterations.
MXPAND - Specifies the number of modes to expand and write for a modal or buckling analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LWPLAN 		Up / Home Next
M


M

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

M, NODE, Lab1, NEND, NINC, Lab2, Lab3, Lab4, Lab5, Lab6

Defines master degrees of freedom for reduced and superelement generation analyses.

SOLUTION: Master DOF

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NODE

Node number at which master degree of freedom is defined. If ALL, define master degrees of freedom at all selected nodes [NSEL]. If NODE = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NODE.

Lab1

Valid degree of freedom label. If ALL, use all appropriate labels. Structural labels: UX, UY, or UZ (displacements); ROTX, ROTY, or ROTZ (rotations). Thermal labels: TEMP, TBOT, TE2, TE3, . . ., TTOP (temperature). Electric labels: VOLT (voltage).

NEND, NINC

Define all nodes from NODE to NEND (defaults to NODE) in steps of NINC (defaults to 1) as master degrees of freedom in the specified direction.

Lab2, Lab3, Lab4, . . . , Lab6

Additional master degree of freedom labels. The nodes defined are associated with each label specified.

Notes

Defines master degrees of freedom (MDOF) for reduced (dynamic and superelement generation) analyses. If defined for other analyses, MDOF are ignored. If used in SOLUTION, this command is valid only within the first load step. Scalar MDOF (VOLT) are not permitted in structural analyses if mass or damping matrices are reduced. Reduced analyses normally apply only to the UX, UY, UZ, ROTX, ROTY, and ROTZ labels.

Repeat M command for additional master degrees of freedom. Limit is equal to the maximum in-memory wavefront size (see the Basic Analysis Guide).

The reduced modal (ANTYPE,MODAL), reduced transient (ANTYPE,TRANS), reduced harmonic response (ANTYPE,HARMIC), and the substructure (ANTYPE,SUBSTR) analyses utilize the matrix condensation technique to reduce the structure matrices to those characterized by a set of master degrees of freedom.

Master degrees of freedom are identified by a list of nodes and their nodal directions. The actual degree of freedom directions available for a particular node depends upon the degrees of freedom associated with element types [ET] at that node. For example, degrees of freedom available with BEAM3 elements are UX, UY, and ROTZ only. There must be some mass (or stress stiffening in the case of the buckling analysis) associated with each master degree of freedom (except for the VOLT label). The mass may be due either to the distributed mass of the element or due to discrete lumped masses at the node. If a master degree of freedom is specified at a constrained point, it is ignored. If a master degree of freedom is specified at a coupled node, it should be specified at the prime node of the coupled set. Master degrees of freedom can also be generated automatically (during solution) by issuing the TOTAL command in PREP7 or SOLUTION.

Transient displacements and forces, used to apply motion to a structure in the reduced transient or reduced harmonic response analysis, must be applied at a master degree of freedom. Substructure analysis connection points must be defined as master degrees of freedom.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Master DOFs>User Selected>Define
Main Menu>Preprocessor>Modeling>CMS>CMS Interface>Define
Main Menu>Solution>Master DOFs>User Selected>Define

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
M Commands 		Up / Home Next
MADAPT


MADAPT

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MADAPT, ERRTARGT, NADAPT, NMAX, KPLT, Ksmooth, KLST, KCD, DEVICE

Adaptively meshes and solves an edge-based model.

SOLUTION: Analysis Options

MP <> <> <> <> <> <> <> <> <> <> PP <>

ERRTARGT

Target percentage for Zienkiewitz Zhu magnetic flux error (defaults to 5).

NADAPT

Maximum number of adaptive steps (defaults to 5).

NMAX

Maximum number of elements at which the iterations may continue (defaults to 50,000). Limits the number of elements that can be chosen for refinement.

KPLT

Plotting options:

0
 —

No plot (default)

1
 —

Elements and H

2
 —

BERR error estimates

3
 —

BDSG, BEPC error estimates

4
 —

Adaptive details

If KPLT > 0, then MADAPT disables PowerGraphics for the adaptive solution.

Ksmooth

Smoothing options for refinement

0
 —

No postprocessing will be done (default).

1
 —

Smoothing will be done. Node locations may change.

2
 —

Smoothing and cleanup will be done. Existing elements may be deleted, and node locations may change.

KLST

Listing options

0
 —

No printing (default)

1
 —

Final report

2
 —

Report at each iteration step

3
 —

Report Zienkiewitz Zhu magnetic errors BERR and BSGD

4
 —

Regular details

5
 —

Full details

6
 —

Refine details

7
 —

Track

KCD

Allows you to issue a CDWRITE or CDREAD at every iteration.

0
 —

Do not issue CDWRITE or CDREAD (default).

1
 —

Issue CDWRITE at every iteration (to save every mesh variation). This option issues CDWRITE,geom, writing the information to jobnameN.cdb.

2
 —

Issue CDREAD at every iteration (to read every mesh variation). Reads from an existing jobnameN.cdb.

DEVICE

Defines the output device for plotting.

0
 —

Screen only (default)

1
 —

JPEG frames. Each frame is written to a file (jobnameN.jpg by default). See /SHOW.

Notes

MADAPT invokes a predefined ANSYS macro for adaptive meshing and solution of edge-based magnetic analyses. The macro causes repeated runs of the PREP7, SOLUTION, and POST1 phases of the ANSYS program with mesh density refinements based upon the percentage error in energy norm.

The MADAPT command macro requires a second, user-defined macro, which must be named madaptld.mac and must reside in the same directory where ANSYS is being run. This madaptld macro must contain loads and boundary conditions, based on permanent geometry or solid model features (such as sides or vertices). Loads specified in the madaptld macro cannot be based on node numbers because the node numbers will change throughout the refinement process. This secondary macro is required because the MADAPT macro process must delete all loads and boundary conditions at every refinement step.

MADAPT refines tetrahedral volume elements based on error. Hexahedra, wedges, and pyramids are not refined (see NREFINE).

This command is also valid at the Begin level.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
M 		Up / Home Next
MAGOPT


MAGOPT

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MAGOPT, Value, Method

Specifies options for a 3-D magnetostatic field analysis.

SOLUTION: Load Step Options

MP ME <> <> <> <> <> <> EM <> <> PP <>

Value

Option key:

0
 —

Calculate a complete H field solution in the entire domain using a single (reduced) potential.

Caution

When used in problems with both current sources and iron regions, errors may result due to numerical cancellation.

1
 —

Calculate and store a preliminary H field in "iron" regions (μr ≠ 1). Requires flux-parallel boundary conditions to be specified on exterior iron boundaries. Used in conjunction with subsequent solutions with VALUE = 2 followed by VALUE = 3. Applicable to multiply-connected iron domain problems.

2
 —

Calculate and store a preliminary H field in "air" regions (μr = 1). The air-iron interface is appropriately treated internally by the program. Used in conjunction with a subsequent solution with VALUE = 3. Applicable to singly-connected iron domain problems (with subsequent solution with VALUE = 3) or to multiply-connected iron domain problems (when preceded by a solution with VALUE = 1 and followed by a solution with VALUE = 3).

3
 —

Use the previously stored H field solution(s) and calculate the complete H field.

MMF
—

Specify how SOLID117 elements treat loads from SOURC36 elements.

Method

Specify the method. Used only when Value = MMF.

DISTRIBUTE
—

Apply constant current density (default).

FILAMENT
—

Apply concentrated source current.

Notes

Specifies the solution sequence options for a 3-D magnetostatic field analysis using a scalar potential (MAG). The solution sequence is determined by the nature of the problem.

You cannot use constraint equations with Value = 1.

When using magnetic edge element SOLID117 with SOURC36 loads, use the MMF option to specify how the SOURC36 load is treated. Use the distributed method (default) to apply a constant current density through the cross section of the current source. Use the filament method to concentrate the current in the center of the source.

The calculated field outside the current source region is essentially the same with either method. Inside the current source, however, the two methods provide different field distributions. This difference may lead to different inductance coefficients.

When the internal inductance (due to the energy of the field inside the conductor) is significant compared to the external inductance, the distributed method is recommended together with detailed mesh inside the source region. Typical applications are air coil inductors without iron.

When the internal inductance is negligible, the filament method is recommended with a course mesh inside the conductors. Typical applications are actuators and electric machines when the magnetic flux is conducted by iron and interaction takes place in the air gap. See the section Performing a Static Edge-Based Analysis in the Low-Frequency Electromagnetic Analysis Guide for more details on using the distributed and filament options.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Magnetics>Options Only>DSP Method
Main Menu>Preprocessor>Loads>Load Step Opts>Magnetics>Options Only>GSP Method
Main Menu>Preprocessor>Loads>Load Step Opts>Magnetics>Options Only>RSP Method
Main Menu>Solution>Load Step Opts>Magnetics>Options Only>DSP Method
Main Menu>Solution>Load Step Opts>Magnetics>Options Only>GSP Method
Main Menu>Solution>Load Step Opts>Magnetics>Options Only>RSP Method

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MADAPT 		Up / Home Next
MAGSOLV


MAGSOLV

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MAGSOLV, OPT, NRAMP, CNVCSG, CNVFLUX, NEQIT, BIOT,CNVTOL

Specifies magnetic solution options and initiates the solution.

SOLUTION: Load Step Options

MP ME <> <> <> <> <> <> EM <> <> PP <>

OPT

Static magnetic solution option:

0
 —

Vector potential (MVP) or edge formulation (default).

1
 —

Combined vector potential and reduced scalar potential (MVP-RSP).

2
 —

Reduced scalar potential (RSP).

3
 —

Difference scalar potential (DSP).

4
 —

General scalar potential (GSP).

NRAMP

Number of ramped substeps for the first load step of a nonlinear MVP or MVP-RSP solution. Defaults to 3. If NRAMP = -1, ignore the ramped load step entirely.NRAMP is ignored for linear magnetostatics.

CNVCSG

Tolerance value on the program-calculated reference value for the magnetic current-segment convergence. Used for the MVP, the MVP-RSP, and the edge formulation solution options (OPT = 0 and 1). Defaults to 0.001.

CNVFLUX

Tolerance value on the program-calculated reference value for the magnetic flux convergence. Used for all scalar potential solution options (OPT = 2, 3, 4). Defaults to 0.001.

NEQIT

Maximum number of equilibrium iterations per load step. Defaults to 25.

BIOT

Option to force execution of a Biot-Savart integral solution [BIOT,NEW] for the scalar potential options. Required if multiple load steps are being performed with different current source primitives (SOURC36 elements).

0
 —

Do not force execution of Biot-Savart calculation (default); Biot-Savart is automatically calculated only for the first solution.

1
 —

Force execution of Biot-Savart calculation.

CNVTOL

Sets the convergence tolerance for AMPS reaction. Defaults to 1e-3. Applicable only when KEYOPT(1) = 5 on SOLID117.

Notes

MAGSOLV invokes an ANSYS macro which specifies magnetic solution options and initiates the solution. The macro is applicable to any ANSYS magnetostatic analysis using the magnetic vector potential (MVP), reduced scalar potential (RSP), difference scalar potential (DSP), general scalar potential (GSP), or combined MVP-RSP formulation options. Results are only stored for the final converged solution. (In POST1, issue *SET,LIST to identify the load step of solution results.) The macro internally determines if a nonlinear analysis is required based on magnetic material properties.

If you use the BIOT option and issue SAVE after solution or postprocessing, the Biot-Savart calculations are saved to the database, but will be overwritten upon normal exit from the program. To save this data after issuing SAVE, use the /EXIT,NOSAVE command. You can also issue the /EXIT,SOLU command to exit ANSYS and save all solution data, including the Biot-Savart calculations, in the database. Otherwise, when you issue RESUME, the Biot-Savart calculation will be lost (resulting in a zero solution).

The MVP, MVP-RSP, and edge formulation options perform a two-load-step solution sequence. The first load step ramps the applied loads over a prescribed number of substeps (NRAMP), and the second load step calculates the converged solution. For linear problems, only a single load step solution is performed. The ramped load step can be bypassed by setting NRAMP to -1.

The RSP option solves in a single load step using the adaptive descent procedure. The DSP option uses two load steps, and the GSP solution uses three load steps.

The following analysis options and nonlinear options are controlled by this macro: KBC, NEQIT, NSUBST, CNVTOL, NROPT, MAGOPT, and OUTRES.

You cannot use constraint equations with OPT = 4.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Solve>Electromagnet>Static Analysis>Opt&Solv

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MAGOPT 		Up / Home Next
MAPSOLVE


MAPSOLVE

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MAPSOLVE, MAXSBSTEP

Maps solved node and element solutions from an original mesh to a new mesh.

SOLUTION: Rezoning

MP ME ST <> <> <> <> <> <> <> <> PP <>

MAXSBSTEP

The maximum number of substeps for rebalancing the residuals. The default value is 5.

Notes

Used during the rezoning process, the MAPSOLVE command maps solved node and element solutions from the original mesh to the new mesh and achieves equilibrium based on the new mesh.

Additional substeps are necessary to reduce the residuals to zero.

During the rebalancing stage, the external loads and time remain unchanged.

The MAPSOLVE command is valid for manual rezoning (REZONE,MANUAL) only.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Manual Rezoning>Map Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MAGSOLV 		Up / Home Next
MASTER


MASTER

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MASTER

Specifies "Master DOF" as the subsequent status topic.

SOLUTION: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Solution>Master DOF

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MAPSOLVE 		Up / Home Next
MAT


MAT

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MAT, MAT

Sets the element material attribute pointer.

PREP7: Meshing

PREP7: Elements

MP ME ST PR PRN <> <> FL EM <> <> PP <>

MAT

Assign this material number to subsequently defined elements (defaults to 1).

Notes

Identifies the material number to be assigned to subsequently defined elements. This number refers to the material number (MAT) defined with the material properties [MP]. Material numbers may be displayed [/PNUM].

Menu Paths

Main Menu>Preprocessor>Meshing>Mesh Attributes>Default Attribs
Main Menu>Preprocessor>Modeling>Create>Elements>Elem Attributes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MASTER 		Up / Home Next
MATER


MATER

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MATER

Specifies "Material properties" as the subsequent status topic.

PREP7: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Preprocessor>Materials

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MAT 		Up / Home Next
MCHECK


MCHECK

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MCHECK, Lab

Checks mesh connectivity.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Operation:

ESEL
 —

Unselects the valid elements.

Notes

Wherever two area or volume elements share a common face, MCHECK verifies that the way the elements are connected to the face is consistent with their relative normals or integrated volumes. (This may detect folds or otherwise overlapping elements.)

MCHECK verifies that the element exterior faces form simply-connected closed surfaces. (This may detect unintended cracks in a mesh.)

MCHECK warns if the number of element facets in a 2-D loop or 3-D shell is not greater than a computed limit. This limit is the smaller of either three times the number of faces on one element, or one-tenth the total number of element faces in the model. (This may detect holes in the middle of a mesh.)

The MCHECK command will perform a number of validity checks on the selected elements, including:

  1. Normal check: Wherever two area elements share a common edge, MCHECK verifies that the ordering of the nodes on each element is consistent with their relative normals.

  2. Volume check: Wherever two volume elements share a common face, MCHECK verifies that the sign of the integrated volume of each element is consistent.

  3. Closed surface check: MCHECK verifies that the element exterior faces form simply-connected closed surfaces (this may detect unintended cracks in a mesh).

  4. Check for holes in the mesh: MCHECK warns if the number of element faces surrounding an interior void in the mesh is small enough to suggest one or more accidentally omitted elements, rather than a deliberately formed hole. For this test, the number of faces around the void is compared to the smaller of a) three times the number of faces on one element, or b) one-tenth the total number of element faces in the model.

Menu Paths

Main Menu>Preprocessor>Meshing>Check Mesh>Connectivity>Ck Connectvty
Main Menu>Preprocessor>Meshing>Check Mesh>Connectivity>Sel Bad Connt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MATER 		Up / Home Next
MDAMP


MDAMP

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MDAMP, STLOC, V1, V2, V3, V4, V5, V6

Defines the damping ratios as a function of mode.

SOLUTION: Dynamic Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

STLOC

Starting location in table for entering data. For example, if STLOC = 1, data input in the V1 field applies to the first constant in the table. If STLOC = 7, data input in the V1 field applies to the seventh constant in the table, etc. Defaults to the last location filled + 1.

V1, V2, V3, . . . , V6

Data assigned to six locations starting with STLOC. If a value is already in this location, it will be redefined. Blank values for V2 to V6 leave the corresponding previous value unchanged.

Notes

Defines the damping ratios as a function of mode. Table position corresponds to mode number. These ratios are added to the DMPRAT value, if defined. Use STAT command to list current values. Applies to the mode superposition harmonic response (ANTYPE,HARMIC), the mode superposition linear transient dynamic (ANTYPE,TRANS), and the spectrum (ANTYPE,SPECTR) analyses. Repeat MDAMP command for additional constants (1000 maximum).

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Time/Frequenc>Damping
Main Menu>Solution>Load Step Opts>Time/Frequenc>Damping

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MCHECK 		Up / Home Next
MDELE


MDELE

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MDELE, NODE, Lab1, NEND, NINC, Lab2, Lab3, Lab4, Lab5, Lab6

Deletes master degrees of freedom.

SOLUTION: Master DOF

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NODE, Lab1, NEND, NINC

Delete master degrees of freedom in the Lab1 direction [M] from NODE to NEND (defaults to NODE) in steps of NINC (defaults to 1). If NODE = ALL, NEND and NINC are ignored and masters for all selected nodes [NSEL] are deleted. If Lab1 = ALL, all label directions will be deleted. If NODE = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NODE.

Lab2, Lab3, Lab4, . . . , Lab6

Delete masters in these additional directions.

Notes

Deletes master degrees of freedom. If used in SOLUTION, this command is valid only within the first load step.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Master DOFs>User Selected>Delete
Main Menu>Solution>Master DOFs>User Selected>Delete

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MDAMP 		Up / Home Next
MDPLOT


MDPLOT

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MDPLOT, Function, Dmpname, Scale

Plots frequency-dependent modal damping coefficients calculated by DMPEXT.

SOLUTION: Dynamic Options

MP ME <> <> <> <> <> <> <> <> <> PP <>

Function

Function to display.

d_coeff
 —

Damping coefficient

s_coeff
 —

Squeeze coefficient

d_ratio
 —

Damping ratio

s_ratio
 —

Squeeze stiffness ratio

Dmpname

Array parameter name where damping information is stored. Defaults to d_damp.

Scale

Indicates whether to perform a linear or a double logarithmic plot.

LIN
 —

Perform a linear plot. Default

LOG
 —

Perform a double logarithmic plot.

Notes

See " Thin Film Analysis" for more information on thin film analyses.

Menu Paths

Main Menu>General Postproc>Plot Results>ThinFilm>Plot Dmp Parm

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MDELE 		Up / Home Next
MEMM


MEMM

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MEMM, Lab, Kywrd

Allows the current session to keep allocated memory

SESSION: Run Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

When Lab = KEEP, the memory manager's ability to acquire and keep memory is controlled by Kywrd

Kywrd

Turns the memory “keep” mode on or off

ON
 —

Keep any memory allocated during the analysis.

OFF
 —

Use memory dynamically and free it up to other users after use (default).

Command Default

Kywrd = OFF.

Notes

You can use the MEMM command to ensure that memory intensive operations will always have the same memory available when the operations occur intermittently. Normally, if a large amount of memory is allocated for a specific operation, it will be returned to the system once the operation is finished. This option always maintains the highest level used during the analysis until the analysis is finished.

The MEMM command does not affect the value you specify with the -m switch. When you allocate memory with the -m switch, that amount will always be available. However, if dynamic memory allocation in excess of the-m value occurs, you can use the MEMM command to ensure that amount is retained until the end of your analysis.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MDPLOT 		Up / Home Next
/MENU


/MENU

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

/MENU, Key

Activates the Graphical User Interface (GUI).

SESSION: Run Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Key

Activation key:

ON
 —

Activates the menu system (device dependent).

GRPH
 —

Enters non-GUI graphics mode. This option is intended for use on graphics devices that do not support the full Motif-based GUI.

Command Default

GUI is on if entering the ANSYS program through the launcher. GUI is off if entering using the ANSYS execution command.

Notes

Activates the Graphical User Interface (GUI).

Caution

if you include the /MENU,ON command in your start110.ans, it should be the last command in the file. Any commands after /MENU,ON may be ignored. (It is not necessary to include the /SHOW and /MENU,ON commands in start110.ans if you will be using the launcher to enter the ANSYS program.)

This command is valid in any processor.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MEMM 		Up / Home Next
MESHING


MESHING

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MESHING

Specifies "Meshing" as the subsequent status topic.

PREP7: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Preprocessor>Meshing

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/MENU 		Up / Home Next
MFANALYSIS


MFANALYSIS

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFANALYSIS, Key

Turns an ANSYS Multi-field solver analysis on or off.

SOLUTION: Multi-field Global Controls

MP ME <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

Key

Multifield analysis key:

ON
 —

Activates an ANSYS Multi-field solver analysis.

OFF
 —

Deactivates an ANSYS Multi-field solver analysis (default).

Notes

This command is also valid in PREP7.

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Product Restrictions

ANSYS Mechanical allows MFX analyses but not MFS analyses. ANSYS Multiphysics allows both MFS and MFX analyses.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>Select method
Main Menu>Solution>Multi-field Set Up>Select method

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MESHING 		Up / Home Next
MFBUCKET


MFBUCKET

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFBUCKET, Key, Value

Turns a bucket search on or off.

SOLUTION: Multi-field Interface Mapping

MP ME <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

Key

Bucket search key:

ON
 —

Activates a bucket search (default).

OFF
 —

Deactivates a bucket search. A global search is then activated.

Value

Scaling factor (%) used to determine the number of buckets for a bucket search. Defaults to 50%.

Notes

A bucket search will more efficiently compute the mapping of surface and volumetric interpolation data across field interfaces (flagged by the FSIN label using SF, SFA, SFE, or SFL or the FVIN label using BFE).

The number of buckets used to partition a flagged interface is equal to the scaling factor (%) times the total number of interface elements. For example, for the default scaling factor of 50% and a 10,000 element interface, 5,000 buckets are used.

This command is also valid in PREP7.

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Product Restrictions

ANSYS Mechanical allows MFX analyses but not MFS analyses. ANSYS Multiphysics allows both MFS and MFX analyses.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFS-Single Code>Setup>Global
Main Menu>Preprocessor>Multi-field Set Up>MFX-ANSYS/CFX>Advanced Set Up>Mapping
Main Menu>Solution>Multi-field Set Up>MFS-Single Code>Setup>Global
Main Menu>Solution>Multi-field Set Up>MFX-ANSYS/CFX>Advanced Set Up>Mapping

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFANALYSIS 		Up / Home Next
MFCALC


MFCALC

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFCALC, FNUMB, FREQ

Specifies a calculation frequency for a field in an ANSYS Multi-field solver analysis.

SOLUTION: Multi-field Time Controls

MP <> <> <> <> <> <> <> <> <> <> PP <>

FNUMB

Field number set by the MFELEM command.

FREQ

Perform calculation every Nth ANSYS Multi-field solver time step. Defaults to 1 for every time step.

Notes

This command only applies to a harmonic analysis of the specified field. It is useful when a field contributes negligible field interaction within a single ANSYS Multi-field solver time step.

This command is also valid in PREP7.

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFS-Single Code>Frequency
Main Menu>Solution>Multi-field Set Up>MFS-Single Code>Frequency

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFBUCKET 		Up / Home Next
MFCI


MFCI

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFCI, VAL1, VAL2

Sets the control parameters used by the conservative (CPP) interpolation scheme.

SOLUTION: Multi-field Interface Mapping

MP ME <> <> <> <> <> <> <> <> <> PP <>

VAL1

Controls the pixel resolution. The higher the resolution, the more accurate and more expensive the conservative (CPP) interpolation will be. Valid values are 10 to 256; defaults to 100.

VAL2

The separation factor to handle any gap between the two surfaces. It is a relative measure of the gap, normalized by the averaged element face sizes from both sides of the interface. Defaults to 0.1.

Notes

In a conservative (CPP) interpolation scheme as specified on the MFLCOMM command, each element face is first divided into n number of faces, where n is the number of nodes on the face. The three-dimensional faces are then converted onto a two-dimensional polygon made up of rows and columns of dots called pixels. By default, these pixels have a resolution of 100 x 100; use VAL1 to increase the resolution and improve the accuracy of the algorithm. See Load Interpolation in the Coupled-Field Analysis Guide for more information on interpolation schemes and adjusting the pixel resolution for the conservative interpolation scheme.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFX-ANSYS/CFX>Advanced Set Up>Mapping
Main Menu>Solution>Multi-field Set Up>MFX-ANSYS/CFX>Advanced Set Up>Mapping

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFCALC 		Up / Home Next
MFCLEAR


MFCLEAR

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFCLEAR, Option, Value

Deletes ANSYS Multi-field solver analysis settings.

SOLUTION: Multi-field Global Controls

MP ME <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

Option
SOLU
 —

Resets all ANSYS solution commands except KBC to their default states. This option clears analysis options when setting up different fields for an ANSYS Multi-field solver analysis.

FIELD
 —

Deletes all ANSYS Multi-field solver specifications for the specified field number.

SINT
 —

Deletes all ANSYS Multi-field solver specifications for the specified surface interface number.

VINT
 —

Deletes all ANSYS Multi-field solver specifications for the volumetric interface number.

ORD
 —

Deletes the analysis order specified by the MFORDER command.

EXT
 —

Deletes external fields specified by the MFEXTER command

MFLC
 —

Deletes load transfers specified by the MFLCOMM command

Value

Use only for Option = FIELD, SINT, or VINT.

Option = FIELD deletes all ANSYS Multi-field solver specifications for the field number Value. Value defaults to 0 (no deletions). A Value of -1 deletes the ANSYS Multi-field solver settings for all fields.

Option = SINT deletes surface interface specifications for the surface interface number Value. Value defaults to 0 (no deletions). A Value of -1 deletes all surface interface specifications. This command deletes the ANSYS Multi-field solver commands, not the boundary conditions themselves.

Option = VINT deletes all volumetric interface specifications for the volume interface number Value. Value defaults to 0 (no deletions). A Value of -1 deletes all volumetric interface specifications. This command deletes the ANSYS Multi-field solver commands, not the boundary conditions themselves.

Notes

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Product Restrictions

ANSYS Mechanical allows MFX analyses but not MFS analyses. ANSYS Multiphysics allows both MFS and MFX analyses.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFS-Single Code>Clear
Main Menu>Preprocessor>Multi-field Set Up>MFX-ANSYS/CFX>Clear
Main Menu>Preprocessor>Multi-field Set Up>MFX-ANSYS/CFX>Solution Ctrl
Main Menu>Solution>Multi-field Set Up>MFS-Single Code>Clear
Main Menu>Solution>Multi-field Set Up>MFX-ANSYS/CFX>Clear
Main Menu>Solution>Multi-field Set Up>MFX-ANSYS/CFX>Solution Ctrl

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFCI 		Up / Home Next
MFCMMAND


MFCMMAND

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFCMMAND, FNUMB, Fname, Ext

Captures field solution options in a command file.

SOLUTION: Multi-field Definitions

MP <> <> <> <> <> <> <> <> <> <> PP <>

FNUMB

Field number specified by the MFELEM command.

Fname

Command file name specified for the field number. Defaults to field "FNUMB".

Ext

Extension for Fname. Defaults to .cmd.

Notes

All relevant solution option commands for the specified field are written to a file with the extension .cmd. Refer to the commands in the following tables in the Commands Reference: Analysis Options, Nonlinear Options, Dynamic Options, and Load Step Options.

This command is also valid in PREP7.

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFS-Single Code>Capture
Main Menu>Solution>Multi-field Set Up>MFS-Single Code>Capture

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFCLEAR 		Up / Home Next
MFCONV


MFCONV

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFCONV, Lab, VALUE

Sets convergence values for an ANSYS Multi-field solver analysis.

SOLUTION: Multi-field Convergence Controls

MP ME <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

Lab

Valid labels:

Force labels: FX, FY, FZ
Displacement labels: UX, UY, UZ
Temperature label: TEMP
Heat flux label: HFLU (for surface load transfer)
Heat generation label: HGEN (for volume load transfer)

If Lab = ALL, MFCONV applies the convergence value to all nine variables.

VALUE

Convergence value. Defaults to 0.001.

Notes

MFCONV sets convergence values for variables at the ANSYS Multi-field solver interface.

This command is also valid in PREP7.

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Product Restrictions

ANSYS Mechanical allows MFX analyses but not MFS analyses. ANSYS Multiphysics allows both MFS and MFX analyses.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFS-Single Code>Stagger>Convergence
Main Menu>Preprocessor>Multi-field Set Up>MFX-ANSYS/CFX>Advanced Set Up>Convergence
Main Menu>Solution>Multi-field Set Up>MFS-Single Code>Stagger>Convergence
Main Menu>Solution>Multi-field Set Up>MFX-ANSYS/CFX>Advanced Set Up>Convergence

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFCMMAND 		Up / Home Next
MFDTIME


MFDTIME

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFDTIME, DTIME, DTMIN, DTMAX, Carry

Sets time step sizes for an ANSYS Multi-field solver analysis.

SOLUTION: Multi-field Time Controls

MP ME <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

DTIME

Multi-field time step size. If automatic time stepping is being used [see Notes below], DTIME is the starting time step.

DTMIN

Minimum time step. Defaults to DTIME.

DTMAX

Maximum time step. Defaults to DTIME.

Carry

Time step carryover key.

OFF
—

Use DTIME as the starting time step for the next restart run (default).

ON
—

Use the final time step from the previous run as the starting time step for the next restart run.

Notes

This command specifies time step sizes for an ANSYS Multi-field solver analysis. If either DTMIN or DTMAX is not equal to DTIME, auto time-stepping is turned on for the multi-field loop. ANSYS will automatically adjust the time step size for the next multi-field step between DTMIN and DTMAX, based on the status of the current convergence, the number of target stagger iterations (specified by MFITER), and the actual number of iterations needed to reach convergence at the current time step.

If auto time-stepping is turned off, the time step size must be evenly divisible into the end time (specified by MFTIME) minus the start time (0 for a new analysis or a restart time specified by MFRSTART).

You can use a smaller time step within each ANSYS field analysis. This is called subcycling. Use the DELTIM and AUTOTS commands to subcycle a structural, thermal, or electromagnetic analysis. Use the FLDATA4 command to subcycle a fluid analysis.

This command is also valid in PREP7.

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Product Restrictions

ANSYS Mechanical allows MFX analyses but not MFS analyses. ANSYS Multiphysics allows both MFS and MFX analyses.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFS-Single Code>Time Ctrl
Main Menu>Preprocessor>Multi-field Set Up>MFX-ANSYS/CFX>Time Ctrl
Main Menu>Solution>Multi-field Set Up>MFS-Single Code>Time Ctrl
Main Menu>Solution>Multi-field Set Up>MFX-ANSYS/CFX>Time Ctrl

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFCONV 		Up / Home Next
MFELEM


MFELEM

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFELEM, FNUMB, ITYPE1, ITYPE2, ITYPE3, ITYPE4, ITYPE5, ITYPE6, ITYPE7, ITYPE8, ITYPE9, ITYPE10

Defines a field by grouping element types.

SOLUTION: Multi-field Definitions

MP <> <> <> <> <> <> <> <> <> <> PP <>

FNUMB

Field number for a group of element types.

ITYPE1, ITYPE2, ITYPE3, . . . , ITYPE10

Element types defined by the ET command.

Notes

You can define up to ten element types per field.

Define only element types that contain elements in the field. Do not include MESH200 because it is a “mesh-only” element that does not contribute to the solution.

This command is also valid in PREP7.

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFS-Single Code>Define>Define
Main Menu>Solution>Multi-field Set Up>MFS-Single Code>Define>Define

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFDTIME 		Up / Home Next
MFEM


MFEM

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFEM, FNUMB, ITYPE1, ITYPE2, ITYPE3, ITYPE4, ITYPE5, ITYPE6, ITYPE7, ITYPE8, ITYPE9, ITYPE10

Add more element types to a previously defined field number.

SOLUTION: Multi-field Definitions

MP <> <> <> <> <> <> <> <> <> <> PP <>

FNUMB

Existing field number defined by the MFELEM command.

ITYPE1, ITYPE2, ITYPE3, . . . , ITYPE10

Element types defined by the ET command.

Notes

You can add up to ten element types per MFEM command. This command should not be used after an initial solution.

This command is also valid in PREP7.

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFS-Single Code>Define>Add elems
Main Menu>Solution>Multi-field Set Up>MFS-Single Code>Define>Add elems

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFELEM 		Up / Home Next
MFEXTER


MFEXTER

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFEXTER, FNUMB1, FNUMB2, FNUMB3, FNUMB4, FNUMB5, FNUMB6, FNUMB7, FNUMB8, FNUMB9, FNUMB10, FNUMB11, FNUMB12, FNUMB13, FNUMB14, FNUMB15, FNUMB16, FNUMB17, FNUMB18, FNUMB19, FNUMB20

Defines external fields for an ANSYS Multi-field solver analysis.

SOLUTION: Multi-field Definitions

MP <> <> <> <> <> <> <> <> <> <> PP <>

FNUMB1, FNUMB2, FNUMB3, . . . , FNUMB20

External field numbers defined by the MFELEM command.

Notes

This command specifies external field numbers to be used for load transfer in an ANSYS Multi-field solver analysis. Use the MFIMPORT command to import the external fields.

Use the MFELEM command to specify external field numbers. Use the MFORDER command to specify the solution order for the external fields.

You can define a maximum of 20 fields.

This command is also valid in PREP7.

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFS-Single Code>Setup>External
Main Menu>Solution>Multi-field Set Up>MFS-Single Code>Setup>External

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFEM 		Up / Home Next
MFFNAME


MFFNAME

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFFNAME, FNUMB, Fname

Specifies a file name for a field in an ANSYS Multi-field solver analysis.

SOLUTION: Multi-field Definitions

MP <> <> <> <> <> <> <> <> <> <> PP <>

FNUMB

Field number specified by the MFELEM command.

Fname

File name. Defaults to field "FNUMB".

Notes

All files created for the field will have this file name with the appropriate extensions.

This command is also valid in PREP7.

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFS-Single Code>Define>Define
Main Menu>Solution>Multi-field Set Up>MFS-Single Code>Define>Define

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFEXTER 		Up / Home Next
MFFR


MFFR

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFFR, Fname, Lab, RFINI, RFMIN, RFMAX

Setup Multi-Field relaxation factors for field solutions.

SOLUTION: Multi-field Global Controls

MP ME <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

Fname

Field name (MFX) or number (MFS). Must be the ANSYS field (cannot be a FLOTRAN or CFX field).

Lab

Label name. Valid values are DISP and TEMP.

RFINI

Initial relaxation factor. Defaults to 0.75.

RFMIN

Minimum relaxation factor. Defaults to RFINI.

RFMAX

Maximum relaxation factor. Defaults to RFINI.

Notes

Use this command to relax the field solutions in fluid-solid interaction analyses and thermal-thermal analyses for a better convergence rate in coupled problems, especially cases that need dynamic relaxation. The ANSYS field that has the MFFR command applied will do only one nonlinear stagger iteration within each multi-field stagger; the convergence of the ANSYS field solver will be satisfied through multiple multi-field staggers. Note that the CFX field solver can have multiple iterations within the field solver; see the CFX documentation for more details. ANSYS will not terminate the nonlinear field solution until the ANSYS field solver converges or reaches the maximum number of multi-field staggers as specified on MFITER.

The interface load relaxation (MFRELAX) will be automatically turned off for the corresponding surface loads that have MFFR applied. The automatic change of the relaxation factor for accelerating the nonlinear convergence of the coupled field solution is based on Aitken's acceleration scheme.

This command is valid only with coupled problems involving surface load transfer only. No subcycling is allowed for the field solver if using this command.

Product Restrictions

ANSYS Mechanical allows MFX analyses but not MFS analyses. ANSYS Multiphysics allows both MFS and MFX analyses.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFFNAME 		Up / Home Next
MFIMPORT


MFIMPORT

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFIMPORT, FNUMB, Option, Fname, Ext

Imports a new field into a current ANSYS Multi-field solver analysis.

PREP7: Database

MP <> <> <> <> <> <> <> <> <> <> PP <>

FNUMB

Field number specified by the MFELEM command.

Option

Selects data to read.

DB
 —

Reads a CDB file. The CDB file name and extension are specified by Fname and Ext.

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to CDB if Fname is blank.

Notes

The field to be imported should be written to a CDB file (CDWRITE command). This file is read into the database, offsetting all existing element type numbers, node numbers, etc. in order to accommodate the imported field. (See the NUMOFF command for information on offset capabilities.) It then updates all of the previously issued MFxx commands to the new element type numbers. A new field is created using the specified field number, which must not currently exist. If there are no ANSYS Multi-field solver command files written for the existing fields in the database, one will be written for each field with the default name (see the MFCMMAND command). A MFCMMAND will be issued for the imported field as well.

Repeat the MFIMPORT command to import additional fields. If you are importing a FLOTRAN fluid field along with other fields, you must import the FLOTRAN fluid field last to ensure the FLOTRAN elements have material type 1. FLOTRAN requires its elements to have material type 1.

If the fluid field is imported last and MP commands were used to define the FLOTRAN material properties, the non-FLOTRAN elements will have material numbers greater than 1. However, if MP commands were not used to define the FLOTRAN material properties, some non-FLOTRAN elements may also have material number 1. This material numbering anomaly can occur, because if a MP command is not present in the fluid field’s CDB file, then MFIMPORT will not offset the material numbers when importing the fluid field. Thus, it is possible for FLOTRAN and non-FLOTRAN elements to share material number 1. The solution will not be affected, because the MFS internally manages the material numbers to ensure that the correct material properties are used with each field. However, the ability to select elements based on their material properties may be compromised. If unique material numbers are desired, NUMOFF,MAT,1 can be explicitly included in the fluid field's CDB file to force the material numbers for the non-FLOTRAN elements to be offset.

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFS-Single Code>Import

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFFR 		Up / Home Next
MFINTER


MFINTER

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFINTER, Option

Specifies the interface load transfer interpolation option for an ANSYS Multi-field solver analysis.

SOLUTION: Multi-field Global Controls

MP <> <> <> <> <> <> <> <> <> <> PP <>

Option

Interface load transfer option:

CONS
 —

Conservative formulation for load transfer.

NONC
 —

Nonconservative formulation for load transfer (default).

Notes

This command only applies to the interpolation method for forces, heat flux, and heat generation. Displacement and temperature transfers are always nonconservative.

For more information on conservative and nonconservative load transfer, see Load Transfer in the Coupled-Field Analysis Guide.

This command is also valid in PREP7.

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFS-Single Code>Setup>Global
Main Menu>Solution>Multi-field Set Up>MFS-Single Code>Setup>Global

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFIMPORT 		Up / Home Next
MFITER


MFITER

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFITER, MAXITER, MINITER, TARGET

Sets the number of stagger iterations for an ANSYS Multi-field solver analysis.

SOLUTION: Multi-field Convergence Controls

MP ME <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

MAXITER

Maximum number of iterations. Defaults to 10.

MINITER

Minimum number of iterations. Defaults to 1.

TARGET

Target number of iterations. Defaults to 5.

Notes

The number of stagger iterations applies to each time step in an ANSYS Multi-field solver analysis. MINITER and TARGET are valid only when multi-field auto time stepping is on (MFDTIME).

This command is also valid in PREP7.

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Product Restrictions

ANSYS Mechanical allows MFX analyses but not MFS analyses. ANSYS Multiphysics allows both MFS and MFX analyses.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFS-Single Code>Stagger>Iterations
Main Menu>Preprocessor>Multi-field Set Up>MFX-ANSYS/CFX>Advanced Set Up>Iterations
Main Menu>Solution>Multi-field Set Up>MFS-Single Code>Stagger>Iterations
Main Menu>Solution>Multi-field Set Up>MFX-ANSYS/CFX>Advanced Set Up>Iterations

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFINTER 		Up / Home Next
MFLCOMM


MFLCOMM

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFLCOMM, Type, Fname1, Intname1, Label1, Fname2, Intname2, Label2, Option

Defines a load transfer for code coupling analyses.

SOLUTION: Multi-field Load Transfer

MP ME <> <> <> <> <> <> <> <> <> PP <>

Type

Set to SURF for a surface load transfer. Only surface load transfers are available for MFX.

Fname1

Sets the field solver name for the server (sending) code with a case-sensitive character string of up to 80 characters.

Intname1

Sets the interface name or number for the field solver of the server code. ANSYS interfaces are numbered and are defined by the SF family of commands (SF, SFA, or SFE) with the FSIN surface load label. CFX interfaces use names, which are set in CFX-Pre.

Label1

Sets the surface load label for the field solver of the server code with a character string of up to 80 characters. ANSYS uses a combination of the label and option to determine what data is transferred (e.g., heat flows and not fluxes are sent with the label/option pair HFLU/CPP). ANSYS cannot serve total force or total force density to CFX for either formulation. CFX will send the data requested by the label regardless of the option. CFX labels that have more than one word must be enclosed in single quotes. Note that this field is case-sensitive; i.e., FORC will work, but forc will not.

CFX Label | ANSYS Label | Option | Definition
'Total Force' | FORC | CPP | Sets the surface load label to force.
'Total Force Density' | FORC | NONC | Sets the surface load label to the total force per unit area associated with a mesh node.
'Total Mesh Displacement' | DISP | NONC, CPP | Sets the surface load label to displacement.
Temperature | TEMP | NONC, CPP | Sets the surface load label to temperature.
'Wall Heat Flow' | HFLU | CPP | Sets the surface load label to total wall heat flow.
'Wall Heat Flux' | HFLU | NONC | Sets the surface load label to heat flux.
Fname2

Sets the field solver name for the client (receiving) code with a character string of up to 80 characters.

Intname2

Sets the interface name or number for the field solver of the client code with a character string of up to 80 characters. ANSYS interfaces are numbered and are defined by the SF family of commands (SF, SFA, or SFE) with the FSIN surface load label. CFX interfaces use names, which are set in CFX-Pre.

Label2

Sets the surface load label for the field solver of the client code with a character string of up to 80 characters. ANSYS uses a combination of the label and option to determine what data is transferred (e.g., heat flows and not fluxes are sent with the label-option pair HFLU/CPP). CFX will send the data requested by the label regardless of the option. CFX labels that have more than one word must be enclosed in single quotes. Note that this field is case-sensitive; i.e., FORC will work, but forc will not.

Option
NONC
 —

Profile preserving: Sets the interface load transfer to the nonconservative formulation (default for displacement and temperature). In the nonconservative formulation, the force density (or heat flux) is transferred across the interface, preserving the density profile between the two fields.

CPP
 —

Conservative: Uses a local conservative formulation while preserving the density profile (default for total force and wall heat flow). In the conservative formulation, total force (or heat flow) must be transferred across the interface from the CFX field solver to the ANSYS field solver.

Notes

ANSYS input should always be in consistent units for its model.

ANSYS uses a combination of the label and option to determine what data to transfer. CFX will send exactly the data requested by the label, regardless of the option. However, for the NONC option, the CFX label must be Total Force Density or Wall Heat Flux and for the CPP option, the CFX label must be Total Force or Wall Heat Flow.

For more information on profile preserving and conservative load transfer, see Load Interpolation in the Coupled-Field Analysis Guide. Mapping Diagnostics are also available; however, if the improperly-mapped nodes are based on the CFX mesh, you should ignore the ANSYS-generated components because the CFX nodes are not present in the ANSYS database.

If you are working interactively, you can choose two pre-defined combinations, Mechanical or Thermal, or you can choose a Custom option. If you choose the Mechanical load type, then the Total Force Density and Total Mesh Displacement data (corresponding to the ANSYS FORC and DISP labels, respectively) is transferred. If you choose the Thermal load type, then the Temperature and Wall Heat Flux data (corresponding to the ANSYS TEMP and HFLU labels, respectively) is transferred. If you choose Custom, you can select any valid combination of label and option as described above.

The ANSYS Multi-field solver solver does not allow you to switch the load transfer direction for the same load quantity across the same interfaces for a restart run. For example, if Field1 sends temperature to and receives heat flow from Field2 across Interface 1 in a previous solution, then you cannot make Field1 send heat flow to and receive temperatures from Field2 across the same interface in a restart run, even if you cleared the corresponding load transfer command.

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFX-ANSYS/CFX>Load Transfer
Main Menu>Solution>Multi-field Set Up>MFX-ANSYS/CFX>Load Transfer

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFITER 		Up / Home Next
MFLIST


MFLIST

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFLIST, Option, Value

Lists the settings for an ANSYS Multi-field solver analysis.

SOLUTION: Multi-field Global Controls

MP ME <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

Option
ALL
 —

Lists all ANSYS Multi-field solver analysis options.

SOLU
 —

Lists all solution-related ANSYS Multi-field solver options.

FIELD
 —

Lists all ANSYS Multi-field solver options related to the specified field number.

SINT
 —

Lists all surface interface information for the specified surface interface number.

VINT
 —

Lists all volumetric interface information for the specified volumetric interface number.

Value

Use only for Option = FIELD, SINT, or VINT.

Option = FIELD lists all ANSYS Multi-field solver options for the field number Value. Value defaults to 0, which lists information for all fields.

Option = SINT lists all surface interface information for the interface number Value. Value defaults to 0, which lists information for all surface interfaces.

Option = VINT lists all volumetric interface information for interface number Value. Value defaults to 0, which lists information for all volumetric interfaces.

Notes

This command is also valid in PREP7.

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Product Restrictions

ANSYS Mechanical allows MFX analyses but not MFS analyses. ANSYS Multiphysics allows both MFS and MFX analyses.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFS-Single Code>Status
Main Menu>Preprocessor>Multi-field Set Up>MFX-ANSYS/CFX>Status
Main Menu>Solution>Multi-field Set Up>MFS-Single Code>Status
Main Menu>Solution>Multi-field Set Up>MFX-ANSYS/CFX>Status

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFLCOMM 		Up / Home Next
MFMAP


MFMAP

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFMAP, Lab1, Lab2, Filename, Opt

Calculates, saves, resumes, or deletes mapping data in an ANSYS Multi-field solver analysis.

SOLUTION: Multi-field Interface Mapping

MP <> <> <> <> <> <> <> <> <> <> PP <>

Lab1

Operation label:

CALC
—

Calculate mapping data and keep it in memory (default).

SAVE
—

Calculate mapping data, keep it in memory, and save it to a file. (If MFMAP,CALC or MFMAP,RESU have been issued, just save it to a file.)

RESU
—

Resume the mapping from a file and keep it in memory.

DELE
—

Free the mapping memory.

Lab2

Applicable mapping label:

ALL
—

Surface and volumetric mapping.

SURF
—

Surface mapping only.

VOLU
—

Volumetric mapping only.

Filename

The file name for a mapping data file (filename.sur for surface mapping and filename.vol for volumetric mapping). Defaults to Jobname. Applies to the commands MFMAP,SAVE and MFMAP,RESU only.

Opt

File format:

BINA
—

Binary file (default).

ASCI
—

ASCII file.

Notes

This command calculates, saves, resumes, or deletes mapping data. It defaults to calculating the mapping data. If MFMAP has not been previously issued, the mapping data will be automatically calculated during the solution process. On the other hand, the ANSYS Multi-field solver solver will use previously created mapping data. Resumed mapping files must have load transfer specifications that are consistent with those of the current MFSURFACE and MFVOLUME commands and the ANSYS database.

This command is also valid in PREP7.

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFS-Single Code>Interface>Mapping
Main Menu>Solution>Multi-field Set Up>MFS-Single Code>Interface>Mapping

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFLIST 		Up / Home Next
MFORDER


MFORDER

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFORDER, FNUMB1, FNUMB2, FNUMB3, FNUMB4, FNUMB5, FNUMB6, FNUMB7, FNUMB8, FNUMB9, FNUMB10, FNUMB11, FNUMB12, FNUMB13, FNUMB14, FNUMB15, FNUMB16, FNUMB17, FNUMB18, FNUMB19, FNUMB20

Specifies field solution order for an ANSYS Multi-field solver analysis.

SOLUTION: Multi-field Global Controls

MP <> <> <> <> <> <> <> <> <> <> PP <>

FNUMB1, FNUMB2, FNUMB3, . . . , FNUMB20

Field numbers defined by the MFELEM command .

Notes

You can define up to twenty fields in an ANSYS Multi-field solver analysis.

This command is also valid in PREP7.

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFS-Single Code>Setup>Order
Main Menu>Solution>Multi-field Set Up>MFS-Single Code>Setup>Order

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFMAP 		Up / Home Next
MFOUTPUT


MFOUTPUT

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFOUTPUT, FREQ

Specifies results file output frequency for an ANSYS Multi-field solver analysis.

SOLUTION: Multi-field Time Controls

MP ME <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

FREQ

N
 —

Write solution every Nth (and the last) time step. Defaults to 1, for every time step.

Notes

A MFOUTPUT setting overrides any other output frequency setting (OUTRES). To select the solution items, use the OUTRES command.

FLOTRAN ignores a MFOUTPUT setting. You should write out every time step in a FLOTRAN analysis.

This command is also valid in PREP7.

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Product Restrictions

ANSYS Mechanical allows MFX analyses but not MFS analyses. ANSYS Multiphysics allows both MFS and MFX analyses.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFS-Single Code>Frequency
Main Menu>Solution>Multi-field Set Up>MFS-Single Code>Frequency

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFORDER 		Up / Home Next
MFPSIMUL


MFPSIMUL

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFPSIMUL, gname, Fname1, Fname2

Sets up a field solver group to simultaneously process with code coupling analyses.

SOLUTION: Multi-field Global Controls

MP ME <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

gname

Sets the group name with a character string of up to 80 characters.

Fname1, Fname2

Sets the field solver 1 and field solver 2 names, which are processed simultaneously, with a character string of up to 80 characters.

Notes

This command is used to define a group of simultaneously-processed field solvers in an MFX analysis. For example, to define group g1 with field solvers ansys-code and cfx-code, enter MFPS,g1,ansys-code,cfx-code.

To indicate groups of sequentially-processed field solvers for your MFX analysis, create two groups (g1 and g2).

A field solver refers to a specific instance of an ANSYS or CFX solver execution that is defined by the respective input file(s) referenced when starting the solver (through the launcher or from the command line). The field solver names that are referenced in several MFX commands must be consistent with the names that will be used when starting the coupled simulation.

Note

When running MFX from the launcher, you must use ANSYS and CFX (uppercase) as the field solver names (MFPSIMUL) in your input file.

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Product Restrictions

ANSYS Mechanical allows MFX analyses but not MFS analyses. ANSYS Multiphysics allows both MFS and MFX analyses.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFX-ANSYS/CFX>Solution Ctrl
Main Menu>Solution>Multi-field Set Up>MFX-ANSYS/CFX>Solution Ctrl

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFOUTPUT 		Up / Home Next
MFRELAX


MFRELAX

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFRELAX, Lab, VALUE, Option

Sets relaxation values for an ANSYS Multi-field solver analysis.

SOLUTION: Multi-field Convergence Controls

MP ME <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

Lab

Valid labels:

Force label: FORC
Displacement label: DISP
Temperature label: TEMP
Heat flux label: HFLU
Heat generation label: HGEN

If Lab = ALL, MFRELAX applies the relaxation value to all variables.

VALUE

Relaxation value. Defaults to 0.75 for all labels.

Option

Valid options are:

RELX
—

Uses relaxation method for load transfer (default).

LINT
—

Uses a linear interpolation for loaf transfer.

Notes

MFRELAX sets relaxation values for the load transfer variables at a surface or volume interface. Option = RELX will usually give you a more stable and smooth load transfer and is suitable for strongly coupled problems (such as FSI problems). Option = LINT is suitable for weakly coupled problems because it will transfer the full load in fewer stagger iterations.

See the MFFR and MFITER commands for more information on relaxation in the ANSYS Multi-field solver.

This command is also valid in PREP7.

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Product Restrictions

ANSYS Mechanical allows MFX analyses but not MFS analyses. ANSYS Multiphysics allows both MFS and MFX analyses.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFS-Single Code>Stagger>Relaxation
Main Menu>Preprocessor>Multi-field Set Up>MFX-ANSYS/CFX>Advanced Set Up>Relaxation
Main Menu>Preprocessor>Multi-field Set Up>MFX-ANSYS/CFX>Solution Ctrl
Main Menu>Solution>Multi-field Set Up>MFS-Single Code>Stagger>Relaxation
Main Menu>Solution>Multi-field Set Up>MFX-ANSYS/CFX>Advanced Set Up>Relaxation
Main Menu>Solution>Multi-field Set Up>MFX-ANSYS/CFX>Solution Ctrl

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFPSIMUL 		Up / Home Next
MFRSTART


MFRSTART

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFRSTART, TIME, Type

Specifies restart status for an ANSYS Multi-field solver analysis.

SOLUTION: Multi-field Time Controls

MP ME <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

TIME

Restart time

0
 —

New analysis (Default)

-1
 —

Restart from the last result set from a previous run. For a singleframe restart, the ANSYS field solver checks the ANSYS database (.DB) file to find the latest time; for a multiframe restart, ANSYS checks the last result file (.Rnnn) file to find the latest time.

n
—

Specify any positive number for the actual time point from which the ANSYS Multi-field solver will restart. ANSYS checks the availability of the result set and database file.

Type

Restart type

SING
—

Use singleframe restart for the ANSYS field solver (default).

MULT
 —

Use multiframe restart for the ANSYS field solver. Valid only for MFX.

Notes

For a singleframe restart, you must resume the current database using RESUME before issuing the MFRSTART. For a multiframe restart, the appropriate .Rnnn files must exist in the working directory. The MULT option is valid only for MFX analyses. You cannot use MFRSTART,-1,MULT to restart from a diverged or crashed run. A converged time point must be provided by MFRSTART,TIME,MULT.

For MFX analyses, ANSYS always passes an actual time value to CFX (zero for a new analysis or a positive value for a restart run) and CFX verifies the consistency with the initial results file. For more details about ANSYS restart capabilities, please see Restarting an Analysis in the Basic Analysis Guide.

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Product Restrictions

ANSYS Mechanical allows MFX analyses but not MFS analyses. ANSYS Multiphysics allows both MFS and MFX analyses.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFS-Single Code>Time Ctrl
Main Menu>Preprocessor>Multi-field Set Up>MFX-ANSYS/CFX>Time Ctrl
Main Menu>Solution>Multi-field Set Up>MFS-Single Code>Time Ctrl
Main Menu>Solution>Multi-field Set Up>MFX-ANSYS/CFX>Time Ctrl

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFRELAX 		Up / Home Next
MFSORDER


MFSORDER

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFSORDER, gname1, gname2

Sets up the solution sequence of simultaneous field solver groups for code coupling analyses.

SOLUTION: Multi-field Global Controls

MP ME <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

gname1, gname2

Specifies the group name for groups defined by the MFPS command with a character string of up to 80 characters.

Notes

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Product Restrictions

ANSYS Mechanical allows MFX analyses but not MFS analyses. ANSYS Multiphysics allows both MFS and MFX analyses.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFX-ANSYS/CFX>Solution Ctrl
Main Menu>Solution>Multi-field Set Up>MFX-ANSYS/CFX>Solution Ctrl

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFRSTART 		Up / Home Next
MFSURFACE


MFSURFACE

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFSURFACE, INUMB, FNUMB1, Label, FNUMB2

Defines a surface load transfer for an ANSYS Multi-field solver analysis.

SOLUTION: Multi-field Load Transfer

MP <> <> <> <> <> <> <> <> <> <> PP <>

INUMB

Interface number for load transfer. The interface number corresponds to the interface number specified by the surface flag FSIN (SFxxcommands).

FNUMB1

Field number of sending field.

Label

Valid surface load labels:

Force label: FORC
Displacement label: DISP
Temperature label: TEMP
Heat flux label: HFLU

FNUMB2

Field number for receiving field.

Notes

This command is also valid in PREP7.

The ANSYS Multi-field solver solver does not allow you to switch the load transfer direction for the same load quantity across the same interfaces for a restart run. For example, if Field1 sends temperature to and receives heat flow from Field2 across Interface 1 in a previous solution, then you cannot make Field1 send heat flow to and receive temperatures from Field2 across the same interface in a restart run, even if you cleared the corresponding load transfer command.

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFS-Single Code>Interface>Surface
Main Menu>Solution>Multi-field Set Up>MFS-Single Code>Interface>Surface

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFSORDER 		Up / Home Next
MFTIME


MFTIME

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFTIME, TIME

Sets end time for an ANSYS Multi-field solver analysis.

SOLUTION: Multi-field Time Controls

MP ME <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

TIME

End time of an ANSYS Multi-field solver analysis. Defaults to 1.

Notes

A MFTIME setting overrides any other end time setting (TIME or FLDATA4).

This command is also valid in PREP7.

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Product Restrictions

ANSYS Mechanical allows MFX analyses but not MFS analyses. ANSYS Multiphysics allows both MFS and MFX analyses.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFS-Single Code>Time Ctrl
Main Menu>Preprocessor>Multi-field Set Up>MFX-ANSYS/CFX>Time Ctrl
Main Menu>Solution>Multi-field Set Up>MFS-Single Code>Time Ctrl
Main Menu>Solution>Multi-field Set Up>MFX-ANSYS/CFX>Time Ctrl

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFSURFACE 		Up / Home Next
MFTOL


MFTOL

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFTOL, Key, Value, Toler

Turns normal distance checking on for surface mapping in an ANSYS Multi-field solver analysis.

SOLUTION: Multi-field Interface Mapping

MP ME <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

Key

Normal distance key

ON
 —

Activates normal distance checking.

OFF
 —

Deactivates normal distance checking (default).

Value

The normal distance tolerance for surface mapping. Defaults to 1.0e-6. If Toler = REL, Value is dimensionless. If Toler = ABS, Value has the dimensions of length.

Toler

Tolerance definition key

REL
 —

Activates relative gap tolerance, which is independent of units (default).

ABS
 —

Activates absolute gap tolerance.

Notes

For a dissimilar mesh interface, the nodes of one mesh are mapped to the local coordinates of an element in the other mesh. When normal distance checking is activated, the mapping tool checks the normal distance from the node to the nearest element. The node is considered improperly mapped if the normal distance exceeds the tolerance value. The mapping tool creates a component to graphically display the improperly mapped nodes. See Mapping Diagnostics in the Coupled-Field Analysis Guide for more information.

When using relative gap tolerance (Toler = REL), the normal distance tolerance is derived from the product of the relative tolerance Value and the largest dimension of the Cartesian bounding box for a specific interface. Therefore, each interface will have a different normal distance tolerance , even though MFTOL is a global command.

This command is also valid in PREP7.

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Product Restrictions

ANSYS Mechanical is available only for an MFX analysis. ANSYS Multiphysics is valid for both MFS and MFX analyses.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFS-Single Code>Setup>Global
Main Menu>Preprocessor>Multi-field Set Up>MFX-ANSYS/CFX>Advanced Set Up>Mapping
Main Menu>Solution>Multi-field Set Up>MFS-Single Code>Setup>Global
Main Menu>Solution>Multi-field Set Up>MFX-ANSYS/CFX>Advanced Set Up>Mapping

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFTIME 		Up / Home Next
MFVOLUME


MFVOLUME

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFVOLUME, INUMB, FNUMB1, Label, FNUMB2

Defines a volume load transfer for an ANSYS Multi-field solver analysis.

SOLUTION: Multi-field Load Transfer

MP <> <> <> <> <> <> <> <> <> <> PP <>

INUMB

Interface number for load transfer. The interface number corresponds to the interface number specified by the volume flag FVIN (BFE command).

FNUMB1

Field number of sending field.

Label

Valid volume load labels:

Force label: FORC
Displacement label: DISP
Temperature label: TEMP
Heat generation: HGEN

FNUMB2

Field number for receiving field.

Notes

This command is also valid in PREP7.

The ANSYS Multi-field solver solver does not allow you to switch the load transfer direction for the same load quantity across the same interfaces for a restart run. For example, if Field1 sends temperature to and receives heat flow from Field2 across Interface 1 in a previous solution, then you cannot make Field1 send heat flow to and receive temperatures from Field2 across the same interface in a restart run, even if you cleared the corresponding load transfer command.

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFS-Single Code>Interface>Volume
Main Menu>Solution>Multi-field Set Up>MFS-Single Code>Interface>Volume

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFTOL 		Up / Home Next
MFWRITE


MFWRITE

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MFWRITE, Fname, Ext

Writes an ANSYS master input file for MFX multiple code coupling.

SOLUTION: Multi-field Global Controls

MP ME <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

Fname defaults to Jobname.

Ext

Filename extension (8 character maximum).

Ext defaults to dat.

Notes

When working interactively, you need to issue this command as the last step in your setup process. This command will write out the input file that you will then use to submit the MFX analysis. This file will include the /SOLU, SOLVE, and FINISH commands.

See Multi-field Commands in the Coupled-Field Analysis Guide for a list of all ANSYS Multi-field solver commands and their availability for MFS and MFX analyses.

Product Restrictions

ANSYS Mechanical allows MFX analyses but not MFS analyses. ANSYS Multiphysics allows both MFS and MFX analyses.

Menu Paths

Main Menu>Preprocessor>Multi-field Set Up>MFX-ANSYS/CFX>Write input
Main Menu>Solution>Multi-field Set Up>MFX-ANSYS/CFX>Write input

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFVOLUME 		Up / Home Next
MGEN


MGEN

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MGEN, ITIME, INC, NODE1, NODE2, NINC

Generates additional MDOF from a previously defined set.

SOLUTION: Master DOF

MP ME ST PR PRN <> <> <> <> <> <> PP <>

ITIME, INC

Do this generation operation a total of ITIMEs, incrementing all nodes in the set by INC each time after the first. ITIME must be > 1 for generation to occur. All previously defined master degree of freedom directions are included in the set. A component name may also be substituted for ITIME.

NODE1, NODE2, NINC

Generate master degrees of freedom from set beginning with NODE1 to NODE2 (defaults to NODE1) in steps of NINC (defaults to 1). If NODE1 = ALL, NODE2 and NINC are ignored and set is all selected nodes [NSEL]. If NODE1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

Notes

Generates additional master degrees of freedom from a previously defined set. If used in SOLUTION, this command is valid only within the first load step.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Master DOFs>User Selected>Copy
Main Menu>Solution>Master DOFs>User Selected>Copy

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MFWRITE 		Up / Home Next
MIDTOL


MIDTOL

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MIDTOL, KEY, TOLERB, RESFQ

Sets midstep residual criterion values for structural transient analyses.

SOLUTION: Dynamic Options

MP ME ST PR PRN <> <> <> EM <> <> PP <>

KEY

Midstep residual criterion activation key.

ON or 1
 —

Activate midstep residual criterion in a structural transient analysis (default).

OFF or 0
 —

Deactivate midstep residual criterion in a structural transient analysis.

STAT
—

List the current midstep residual criterion setting.

TOLERB

Midstep residual tolerance or reference value for bisection. Defaults to 100 times the TOLER setting of the CNVTOL command.

If TOLERB > 0, it is used as a tolerance about the typical force and/or moment to compare midstep residual force and/or moment for convergence.

If TOLERB < 0, it is used as a reference force value against which the midstep residual force is compared for convergence. The reference force value is used to compute a reference moment value for midstep residual moment comparison.

If midstep residual force and/or moment has not converged and AUTOTS,ON is used, then TOLERB is also used to predict time step size for bisection.

RESFQ

Key to use response frequency computation along with midstep residual criterion for automatic time stepping (AUTOTS,ON).

OFF or 0
 —

Do not calculate response frequency and do not consider it in the automatic time stepping (default).

ON or 1
 —

Calculate response frequency and consider it in the automatic time stepping.

Command Default

For transient structural analysis, the out-of-balance residual is not checked at the midstep.

Notes

When TOLERB is input as a tolerance value (TOLERB > 0), the typical force and/or moment from the regular time step is used in the midstep residual force and/or moment comparison.

In a structural transient analysis, the suggested tolerance range of TOLERB (TOLERB > 0) is as follows:

TOLERB = 1 to 10 times the TOLER setting of the CNVTOL command for high accuracy solution.
TOLERB = 10 to 100 times the TOLER setting of the CNVTOL command for medium accuracy solution.
TOLERB = more than 100 times the TOLER setting of the CNVTOL command for low accuracy solution.
If the structural transient analysis is elastic and linear, and the load is constant or changes slowly, use a smaller value of TOLERB to achieve an accurate solution. If the analysis involves large amounts of energy dissipation, such as elastic-plastic material, TOLERB can be larger. If the analysis includes contact or rapidly varying loads, a smaller value of TOLERB should be used if high frequency response is important; otherwise, a larger value of TOLERB may be used to enable faster convergence with larger time step sizes.

For more information on how the midstep criterion is used by the program, see Midstep Residual for Structural Dynamic Analysis in the Theory Reference for ANSYS and ANSYS Workbench.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Sol'n Controls>Transient
Main Menu>Solution>Analysis Type>Sol'n Controls>Transient

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MGEN 		Up / Home Next
MITER


MITER

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MITER, NEL1, NEL2, RAD, NDIV, ESTRT, EINC

Defines a mitered bend in a piping run.

PREP7: Piping

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NEL1, NEL2

Element numbers of the two intersecting straight pipes. Defaults to the last two straight pipe elements nearest the intersection of the last two runs.

RAD

Bend radius. If LR, use long radius standard (1.5 x OD) (default). If SR, use short radius standard (1.0 x OD).

NDIV

Number of divisions (elements) along bend (defaults to 2). A node is generated at the end of each division.

ESTRT

Number to be assigned to first element of bend (defaults to MAXEL + 1).

EINC

Element number increment (defaults to 1).

Notes

Defines a mitered bend of piecewise straight pipe elements (PIPE16) in place of the intersection of two previously defined straight pipe elements [RUN]. This command is similar to the BEND command except that straight pipe elements are used to form the bend instead of curved (elbow) elements.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Piping Models>Define Pipes>Miter

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MIDTOL 		Up / Home Next
MLIST


MLIST

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MLIST, NODE1, NODE2, NINC

Lists the MDOF of freedom.

SOLUTION: Master DOF

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NODE1, NODE2, NINC

List master degrees of freedom from NODE1 to NODE2 (defaults toNODE1) in steps of NINC (defaults to 1). If NODE1 = ALL (default), NODE2 and NINC are ignored and masters for all selected nodes [NSEL] are listed. If NODE1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NODE1 (NODE2 and NINC are ignored).

Notes

Lists the master degrees of freedom. Master degrees of freedom generated from the TOTAL command cannot be listed until after the first load step.

Menu Paths

Main Menu>Preprocessor>Loads>Master DOFs>User Selected>List All
Main Menu>Preprocessor>Loads>Master DOFs>User Selected>List Picked
Main Menu>Solution>Master DOFs>User Selected>List All
Main Menu>Solution>Master DOFs>User Selected>List Picked
Utility Menu>List>Other>Master DOF>At All Nodes
Utility Menu>List>Other>Master DOF>At Picked Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MITER 		Up / Home Next
MMF


MMF

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MMF

Calculates the magnetomotive force along a path.

POST1: Magnetics Calculations

MP <> <> <> <> <> <> <> EM <> <> PP <>

Notes

MMF invokes an ANSYS macro which calculates the magnetomotive force (mmf) along a predefined path [PATH]. It is valid for both 2-D and 3-D magnetic field analyses. The calculated mmf value is stored in the parameter MMF.

A closed path [PATH], passing through the magnetic circuit for which mmf is to be calculated, must be defined before this command is issued. A counterclockwise ordering of points on the PPATH command will yield the correct sign on the mmf. The mmf is based on Ampere's Law. The macro makes use of calculated values of field intensity (H), and uses path operations for the calculations. All path items are cleared upon completion. The MMF macro sets the "ACCURATE" mapping method and "MAT" discontinuity option of the PMAP command.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Elec&Mag Calc>Path Based>MMF

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MLIST 		Up / Home Next
MODE


MODE

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MODE, MODE, ISYM

Specifies the harmonic loading term for this load step.

SOLUTION: Load Step Options

MP ME ST <> <> <> <> <> <> <> <> PP <>

MODE

Number of harmonic waves around circumference for this harmonic loading term (defaults to 0).

ISYM

Symmetry condition for this harmonic loading term (not used when MODE = 0):

1
 —

Symmetric (UX, UY, ROTZ, TEMP use cosine terms; UZ uses sine term) (default).

-1
 —

Antisymmetric (UX, UY, ROTZ, temp use sine terms; UZ uses cosine term).

Command Default

MODE = 0, ISYM = 1.

Notes

Used with axisymmetric elements having nonaxisymmetric loading capability (e.g., PLANE25, SHELL61, FLUID81, etc.). For analysis types ANTYPE,MODAL, HARMIC, TRANS, and SUBSTR, the term must be defined in the first load step and may not be changed in succeeding load steps.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>For Harmonic Ele
Main Menu>Solution>Load Step Opts>Other>For Harmonic Ele

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MMF 		Up / Home Next
MODIFY


MODIFY

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MODIFY, SET, LSTEP, ITER, CUMIT, TIME, Ktitle

Changes the listed values of the data in a set.

AUX3: Results Files

MP ME ST <> <> <> <> <> <> <> <> PP <>

SET

Set of data in results file to be modified.

LSTEP

The new load step number.

ITER

The new load substep number.

CUMIT

The new cumulative iteration.

TIME

The new time/frequency value.

Ktitle

Indicates if the set title should be modified.

0
 —

Keep the original title.

1
 —

Change the title to the title specified with the most current /TITLE command.

Notes

Use this command to change the listed values in a data set in a results file. Using this command does not change any actual model data; it affects only the values listed in the results file.

For example, if you start with the following results file:

SET   TIME/FREQ    LOAD STEP   SUBSTEP  CUMULATIVE
 1     1.0000          1          1         1
 first load set

 2     2.0000           2          1         2
 second load set

 3     3.0000           3          1         3
 third load set

 4     4.0000           4          1         4
 fourth load set

and you then issue the following commands:

/title, modified title for set number 3
modify,3,5,2,5,4.5,1

The modified results file would look like this:

SET   TIME/FREQ    LOAD STEP   SUBSTEP  CUMULATIVE
 1     1.0000          1          1         1
 first load set

 2     2.0000           2          1         2
 second load set

 3     4.5000           5          2         5
 modified title for set number 3

 4     4.0000           4          1         4
 fourth load set

Menu Paths

Main Menu>Preprocessor>Loads>Other>For Harmonic Ele
Main Menu>Solution>Other>For Harmonic Ele

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MODE 		Up / Home Next
MODMSH


MODMSH

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MODMSH, Lab

Controls the relationship of the solid model and the FE model.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Relationship key:

STAT
 —

Gives status of command (default). This applies only to the CHECK option (no status is provided for the DETACH option).

NOCHECK
 —

Deactivates the checking of the solid model and the finite element model. Allows elements and nodes generated with the mesh commands to be modified directly (EMODIF, NMODIF, EDELE, NDELE, etc.). Also deactivates solid model hierarchical checking so that areas attached to volumes may be deleted etc.

CHECK
 —

Reactivates future checking of the solid model.

DETACH
 —

Releases all associativity between the current solid model and finite element model. ANSYS deletes any element attributes that were assigned to the affected solid model entities through default attributes (that is, through the TYPE, REAL, MAT, SECNUM, and ESYS command settings and a subsequent meshing operation). However, attributes that were assigned directly to the solid model entities (via the KATT, LATT, AATT, and VATT commands) are not deleted.

Notes

Affects the relationship of the solid model (keypoints, lines, areas, volumes) and the finite element model (nodes, elements, and boundary conditions).

Specify Lab = NOCHECK carefully. By deactivating checking, the solid model database can be corrupted by subsequent operations.

After specifying Lab = DETACH, it is no longer possible to select or define finite element model items in terms of the detached solid model or to clear the mesh.

Menu Paths

Main Menu>Preprocessor>Checking Ctrls>Model Checking

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MODIFY 		Up / Home Next
MODOPT


MODOPT

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MODOPT, Method, NMODE, FREQB, FREQE, Cpxmod/PRMODE, Nrmkey

Specifies modal analysis options.

SOLUTION: Dynamic Options

MP ME ST PR PRN DS DSS <> <> EH <> PP <>

Product Restrictions

Method

Mode extraction method to be used for the modal analysis.

LANB
 —

Block Lanczos

LANPCG
 —

PCG Lanczos

SUBSP
 —

Subspace iteration

REDUC
 —

Householder (reduced)

UNSYM
 —

Unsymmetric matrix. This option cannot be followed by a subsequent spectrum analysis.

DAMP
 —

Damped system. This option cannot be followed by a subsequent spectrum analysis.

QRDAMP
 —

Damped system using QR algorithm. This option cannot be followed by a subsequent spectrum analysis.

VT
 —

Solve with the Variational Technology method of ANSYS DesignXplorer.

NMODE

The number of modes to extract. The value can depend on the value supplied for Method. Defaults to the number of master DOFs when Method = REDUC. For the other methods, NMODE has no default and must be specified. When Method = SUBSP, only half of the total number of DOFs can be extracted (that is, if the model contains 100 DOFs, only 50 modes are extracted even if NMODE is set to 100). However, if Method = LANB or LANPCG, the number of modes that can be extracted can equal the DOFs in the model after the application of all boundary conditions.

Recommendation: When Method = REDUC, NMODE should be less than half of the number of master DOFs. When Method = SUBSP, NMODE should be less than half of the total number of DOFs. When Method = LANPCG, NMODE should be less than 100 to be computationally efficient.

FREQB

The beginning, or lower end, of the frequency range of interest.

For Method = LANB, SUBSP, UNSYM, DAMP, and QRDAMP, FREQB also represents the first shift point for the eigenvalue iterations. If values for SUBSP, UNSYM, or DAMP are zero or blank, the default value is -1.0. Eigenvalue extraction is most accurate near the shift point; multiple shift points are used in the LANB, SUBSP, and QRDAMP methods. For SUBSP method, and for LANB, LANPCG, UNSYM, DAMP, and QRDAMP methods with a positive FREQB, eigenvalues are output beginning at the shift point and increase in magnitude. For UNSYM and DAMP methods with a negative FREQB value, eigenvalues are output beginning at zero magnitude and increase.

Choosing higher FREQB values with the LANPCG method may lead to inefficient solution times because the LANPCG method will find all eigenvalues between zero and FREQB before finding the requested number of modes between FREQB and FREQE.

FREQE

The ending, or upper end, of the frequency range of interest. The default is 1e8 for Method = LANB, LANPCG, SUBSP, and QRDAMP. The default for the other methods is to calculate all modes, regardless of their maximum frequency.

Cpxmod/PRMODE

CPXMOD

ON
 —

Calculate complex eigenmodes. Valid only when Method = QRDAMP.

OFF
 —

Do not calculate complex eigenmodes.

PRMODE

The number of reduced modes to print. Valid only when Method = REDUC.

Nrmkey

Mode shape normalization key:

OFF
 —

Normalize the mode shapes to the mass matrix (default).

ON
 —

Normalize the mode shapes to unity instead of to the mass matrix. If a subsequent spectrum or mode superposition analysis is planned, the mode shapes should be normalized to the mass matrix (Nrmkey = OFF).

Notes

Specifies modal analysis (ANTYPE,MODAL) options. Additional options used only for subspace iteration eigenvalue extraction are specified by SUBOPT. If Method = LANPCG, ANSYS automatically switches to the PCG solver internally for this modal analysis. You can further control the efficiency of the PCG solver with the PCGOPT and EQSLV commands. Method = LANPCG is available in both shared-memory ANSYS and Distributed ANSYS.

The Block Lanczos method is strongly recommended for high-frequency magnetic eigenvalue problems. The initial frequency guess is not critical. The ratio of FREQE to FREQB can be up to 1 x 106. The PCG Lanczos method is not supported for high-frequency magnetic eigenvalue problems.

If you specify complex eigenmode calculation (CPXMOD = ON), mode shape unit normalization to unity (Nrmkey = ON) becomes the default behavior .

This command is also valid in PREP7.

Product Restrictions

The damped, unsymmetric, and QR damped methods (DAMP, UNSYM, QRDAMP) are not available in the ANSYS Professional program. Also, for modal analyses using Variational Technology, Method = VT and Nrmkey = OFF are the only options.

Menu Paths

Main Menu>DesignXplorer VT>Solution>Solve
Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>Analysis Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MODMSH 		Up / Home Next
MONITOR


MONITOR

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MONITOR, VAR, Node, Lab

Controls contents of three variable fields in nonlinear solution monitor file.

SOLUTION: Analysis Options

MP ME ST PR PRN <> <> <> EM <> <> PP <>

VAR

One of three variable field numbers in the monitor file whose contents can be specified by the Lab field. Valid arguments are integers 1, 2, or 3. See Notes section for default values.

Node

The node number for which information is monitored in the specified VAR field. In the GUI, if Node = P, graphical picking is enabled. If blank, the monitor file lists the maximum value of the specified quantity (Lab field) for the entire structure.

Lab

The solution quantity to be monitored in the specified VAR field. Valid labels for solution quantities are UX, UY, and UZ (displacements); ROTX, ROTY, and ROTZ (rotations); and TEMP (temperature). Valid labels for reaction force are FX, FY, and FZ (structural force) and MX, MY, and MZ (structural moment). Valid label for heat flow rate is HEAT. For defaults see the Notes section.

Notes

This command is only active when SOLCONTROL,ON.

The monitor file is an ASCII file which is automatically created and saved when SOLCONTROL is active (ON). The monitor file always has an extension of .mntr, and takes its file name from the specified Jobname. If no Jobname is specified, the file name defaults to file.

You must issue this command once for each solution quantity you want to monitor at a specified node at each load step. You cannot monitor a reaction force during a linear analysis. The variable field contents can be redefined at each load step by reissuing the command. The monitored quantities are appended to the file for each load step.

The following example shows the format of a monitor file. Note that the file only records the solution substep history when a substep is convergent.

SOLUTION HISTORY INFORMATION FOR JOB: file.mntr

ANSYS Release 11.0                     10:12:43    05/15/2000

LOAD SUB- NO.   NO.  TOTL INCREMENT    TOTAL       VARIAB 1  VARIAB 2    VARIAB 3
STEP STEP ATTMP ITER ITER TIME/LFACT   TIME/LFACT  MONITOR   MONITOR     MONITOR
                                                      UZ        MZ         MxPl

 1    1    1     3     3   0.25000      0.25000    1.4145    0.19076E-06 0.78886E-30
 1    2    1     2     5   0.25000      0.50000    2.8283    0.92989E-06 0.78886E-30
 1    3    1     2     7   0.37500      0.87500    4.9467    0.33342E-05 0.78886E-30
 1    4    1     2     9   0.12500      1.0000     5.6519    0.16826E-05 0.78886E-30
 2    1    1     6    15   0.20000E-03  1.0002     4.2198  515.23        0.78886E-30
 2    2    2     6    26   0.10000E-03  1.0003     4.4849  593.03        0.78886E-30
 2    3    1     3    29   0.10000E-03  1.0004     4.7531  611.45        0.78886E-30
 2    4    1     3    32   0.15000E-03  1.0006     5.0696  621.83        0.78886E-30
 2    5    1     4    36   0.22500E-03  1.0008     5.4428  628.42        0.78886E-30
 2    6    1     4    40   0.33750E-03  1.0011     5.8928  632.78        0.78886E-30
 2    7    1     5    45   0.50625E-03  1.0016     6.4454  635.62        0.78886E-30
 2    8    1     7    52   0.75938E-03  1.0024     7.1375  637.22        0.78886E-30
 2    9    1     5    57   0.75938E-03  1.0031     7.7422  637.66        0.78886E-30
 2   10    1     6    63   0.11391E-02  1.0043     8.5588  637.42        0.78886E-30
 2   11    2     3    72   0.76887E-03  1.0050     9.0721  636.96        0.78886E-30
 2   12    1     3    75   0.76887E-03  1.0058     9.5648  636.35        0.78886E-30
 2   13    1     3    78   0.11533E-02  1.0070    10.277   635.25        0.78886E-30
 2   14    1     4    82   0.17300E-02  1.0087    11.306   633.37        0.78886E-30
 2   15    1     6    88   0.25949E-02  1.0113    12.802   630.21        0.78886E-30
 2   16    1     5    93   0.25949E-02  1.0139    14.273   626.81        0.78886E-30
 2   17    1     7   100   0.38924E-02  1.0178    16.477   621.42        0.78886E-30
 2   18    1     6   106   0.38924E-02  1.0217    18.704   615.77        0.78886E-30
 2   19    2     4   116   0.26274E-02  1.0243    20.229   611.83        0.78886E-30
 2   20    1     4   120   0.26274E-02  1.0269    21.777   607.80        0.78886E-30

The following details the contents of the various fields in the monitor file:

LOAD STEP

The current load step number.

SUBSTEP

The current substep (time step) number.

NO. ATTEMPT

The number of attempts made in solving the current substep. This number is equal to the number of failed attempts (bisections) plus one (the successful attempt).

NO. ITER

The number of iterations used by the last successful attempt.

TOTL. ITER

Total cumulative number of iterations (including each iteration used by a bisection).

INCREMENT

TIME/LFACT

Time or load factor increments for the current substep.

TOTAL TIME/LFACT

Total time (or load factor) for the last successful attempt in the current substep.

VARIAB 1

Variable field 1. In this example, the field is reporting the UZ value. By default, this field lists the CPU time used up to (but not including) the current substep.

VARIAB 2

Variable field 2. In this example, the field is reporting the MZ value. By default, this field lists the maximum displacement in the entire structure.

VARIAB 3

Variable field 3. By default (and in the example), this field reports the maximum equivalent plastic strain in the entire structure.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Nonlinear>Monitor
Main Menu>Solution>Load Step Opts>Nonlinear>Monitor

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MODOPT 		Up / Home Next
MOPT


MOPT

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MOPT, Lab, Value

Specifies meshing options.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Meshing option to be specified (dictates the meaning of Value):

AORDER
 —

Mesh by ascending area size order. Set Value to ON to mesh smaller areas first. Using this results in finer meshes in critical areas for volume meshes; this can be used for cases where SMRTSIZE does not mesh as needed. Default is OFF.

EXPND
 —

Area mesh expansion (or contraction) option. (This option is the same as SMRTSIZE,,,EXPND.) This option is used to size internal elements in an area based on the size of the elements on the area's boundaries. Value is the expansion (or contraction) factor. For example, issuing MOPT,EXPND,2 before meshing an area will allow a mesh with elements that are approximately twice as large in the interior of an area as they are on the boundary. If Value is less than 1, a mesh with smaller elements on the interior of the area will be allowed. Value for this option should be greater than 0.5 but less than 4. Value defaults to 1, which does not allow expansion or contraction of internal element sizes (except when using AESIZE sizing). If Value = 0, the default value of 1 will be used. The actual size of the internal elements will also depend on the TRANS option, or upon AESIZE or ESIZE sizing, if used.

TETEXPND
 —

Tet-mesh expansion (or contraction) option. This option is used to size internal elements in a volume based on the size of the elements on the volume's boundaries. Value is the expansion (or contraction) factor. For example, issuing MOPT,TETEXPND,2 before meshing a volume will allow a mesh with elements that are approximately twice as large in the interior of the volume as they are on the boundary. If Value is less than 1, a mesh with smaller elements on the interior of the volume will be allowed. Value for this option should be greater than 0.1 but less than 3. Value defaults to 1, which does not allow expansion or contraction of internal element sizes. If Value = 0, the default value of 1 will be used. If Value is greater than 2, mesher robustness may be affected. The TETEXPND option is supported for both the VMESH and FVMESH commands. Tet-mesh expansion is the only mesh control supported by FVMESH.

TRANS
 —

Mesh transition option. (This option is the same as SMRTSIZE,,,,TRANS.) This option is used to control how rapidly elements are permitted to change in size from the boundary to the interior of an area. Value is the transitioning factor. Value defaults to 2.0, which permits elements to approximately double in size as they approach the interior of the area. (If Value = 0, the default value of 2 will be used.) Value must be greater than 1 and, for best results, should be less than 4. The actual size of the internal elements will also depend on the EXPND option, or upon AESIZE or ESIZE sizing, if used.

AMESH
 —

Triangle surface meshing option. Valid inputs for Value are:

DEFAULT
 —

Let ANSYS choose which triangle mesher to use. In most cases, ANSYS will choose the main triangle mesher, which is the Riemann space mesher. If the chosen mesher fails for any reason, ANSYS invokes the alternate mesher and retries the meshing operation.

MAIN
 —

ANSYS uses the main triangle mesher (Riemann space mesher), and it does not invoke an alternate mesher if the main mesher fails. The Riemann space mesher is well suited for most surfaces.

ALTERNATE
 —

ANSYS uses the first alternate triangle mesher (3-D tri-mesher), and it does not invoke another mesher if this mesher fails. This option is not recommended due to speed considerations. However, for surfaces with degeneracies in parametric space, this mesher often provides the best results.

ALT2
 —

ANSYS uses the second alternate triangle mesher (2-D parametric space mesher), and it does not invoke another mesher if this mesher fails. This option is not recommended for use on surfaces with degeneracies (spheres, cones, etc.) or poorly parameterized surfaces because poor meshes may result.

QMESH
 —

Quadrilateral surface meshing option. (Quadrilateral surface meshes will differ based on which triangle surface mesher is selected. This is true because all free quadrilateral meshing algorithms use a triangle mesh as a starting point.) Valid inputs for Value are:

DEFAULT
 —

Let ANSYS choose which quadrilateral mesher to use. In most cases, ANSYS will choose the main quadrilateral mesher, which is the Q-Morph (quad-morphing) mesher. For very coarse meshes, ANSYS may choose the alternate quadrilateral mesher instead. In most cases, the Q-Morph mesher results in higher quality elements. If either mesher fails for any reason, ANSYS invokes the other mesher and retries the meshing operation. (Default.)

MAIN
 —

ANSYS uses the main quadrilateral mesher (Q-Morph mesher), and it does not invoke the alternate mesher if the main mesher fails.

ALTERNATE
 —

ANSYS uses the alternate quadrilateral mesher, and it does not invoke the Q-Morph mesher if the alternate mesher fails. To use the alternate quadrilateral mesher, you must also select MOPT,AMESH,ALTERNATE or MOPT,AMESH,ALT2.

VMESH
 —

Tetrahedral element meshing option. Valid inputs for Value are:

DEFAULT
 —

Let ANSYS choose which tetrahedra mesher to use. ANSYS always uses the alternate tetrahedra mesher when meshing with p-elements. Otherwise, it usually uses the main tetrahedra mesher.

MAIN
 —

Use the main tetrahedra mesher (Delaunay technique mesher). (GHS3D meshing technology by P. L. George, INRIA, France.) For most models, this mesher is significantly faster than the alternate mesher.

ALTERNATE
 —

Use the alternate tetrahedra mesher (advancing front mesher). This mesher is the ANSYS Revision 5.2 tetrahedra mesher. It does not support the generation of a tetrahedral volume mesh from facets [FVMESH]. If this mesher is selected and you issue the FVMESH command, ANSYS uses the main tetrahedra mesher to create the mesh from facets and issues a warning message to notify you.

SPLIT
 —

Quad splitting option for non-mapped meshing. If Value = 1, ON, or ERR, quadrilateral elements in violation of shape error limits are split into triangles (default). If Value = 2 or WARN, quadrilateral elements in violation of either shape error or warning limits are split into triangles. If Value = OFF, splitting does not occur, regardless of element quality.

LSMO
 —

Line smoothing option. Value can be ON or OFF. If Value = ON, smoothing of nodes on area boundaries is performed during smoothing step of meshing. During smoothing, node locations are adjusted to achieve a better mesh. If Value = OFF (default), no smoothing takes place at area boundaries.

CLEAR
 —

This option affects the element and node numbering after clearing a mesh. If Value = ON (default), the starting node and element numbers will be the lowest available number after the nodes and elements are cleared. If Value = OFF, the starting node and element numbers are not reset after the clear operation (which was the default behavior for ANSYS versions prior to Release 5.3).

PYRA
 —

Transitional pyramid elements option. Value can be ON or OFF. If Value = ON (default), ANSYS automatically creates transitional pyramid elements, when possible. Pyramids may be created at the interface of tetrahedral and hexahedral elements, or directly from quadrilateral elements. For pyramids to be created, you must also issue the command MSHAPE,1,3D (degenerate 3-D elements). If Value = OFF, ANSYS does not create transitional pyramid elements.

TIMP
 —

Identifies the level of tetrahedra improvement to be performed when the next free volume meshing operation is initiated [VMESH, FVMESH]. (For levels 2-5, improvement occurs primarily through the use of face swapping and node smoothing techniques.) Valid inputs for Value are:

0
 —

Turn off tetrahedra improvement. Although this value can lead to faster tetrahedral mesh creation, it is not recommended because it often leads to poorly shaped elements and mesh failures.

1
 —

Do the minimal amount of tetrahedra improvement. (Default.) This option is supported by the main tetrahedra mesher only [MOPT,VMESH,MAIN]. If the alternate tetrahedra mesher [MOPT,VMESH,ALTERNATE] is invoked with this setting, ANSYS automatically performs tetrahedra improvement at level 3 instead [MOPT,TIMP,3].

2
 —

Perform the least amount of swapping/smoothing. No improvement occurs if all tetrahedral elements are within acceptable limits.

3
 —

Perform an intermediate amount of swapping/smoothing. Some improvement is always done.

4
 —

Perform the greatest amount of swapping/smoothing. Meshing takes longer with this level of improvement, but usually results in a better mesh.

5
 —

Perform the greatest amount of swapping/smoothing, plus additional improvement techniques. This level of improvement usually produces results that are similar to those at level 4, except for very poor meshes.

6
 —

For linear tetrahedral meshes, this value provides the same level of improvement as MOPT,TIMP,5. For quadratic tetrahedral meshes, this value provides an additional pass of cleanup. This value is supported for both the main [MOPT,VMESH,MAIN] and alternate [MOPT,VMESH,ALTERNATE] tetrahedra meshers.

STAT
 —

Display status of MOPT settings. Value is ignored.

DEFA
 —

Set all MOPT options to default values. Value is ignored.

Value

Value, as described for each different Lab above.

Notes

See the Modeling and Meshing Guide for more information on the MOPT command and its options.

This command is also valid for rezoning.

Menu Paths

Main Menu>Preprocessor>Meshing>Mesher Opts
Main Menu>Preprocessor>Meshing>Size Cntrls>ManualSize>Global>Area Cntrls
Main Menu>Preprocessor>Meshing>Size Cntrls>ManualSize>Global>Volu Cntrls
Main Menu>Solution>Manual Rezoning>Create Remesh Zone(s)>Mesh Controls>Global Meshing Options
Utility Menu>List>Status>Preprocessor>Solid Model

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MONITOR 		Up / Home Next
MORPH


MORPH

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MORPH, Option, --, Remeshopt, ElemSet, ARMAX, VOCH, ARCH, STEP, TIME

Specifies morphing and remeshing controls.

PREP7: Morphing

MP <> <> <> <> <> <> <> <> <> <> PP <>

Option

OFF
 —

Turns off morphing for field elements (default).

ON
 —

Turns on morphing for field elements.

--

Unused field

Remeshopt

OFF
 —

Do not remesh (default).

ON
 —

Remesh when element qualities fall below values specified by ARMAX, VOCH, or ARCH as explained below. Valid only when Option is ON.

ElemSet

ALL
 —

Remesh all selected elements if the quality of the worst defined element falls below any quality requirement (default when Remeshopt = ON).

CompName
—

Specify a component name, up to 8 characters. All elements included in this component name are remeshed if the quality of the worst element falls below any quality requirement.

ARMAX

The maximum allowable element generalized aspect ratio. Defaults to 5. See Element Qualities in the Fluids Analysis Guide for the maximum generalized aspect ratio.

VOCH

The maximum allowable change of element size (area or volume). Defaults to 3. See Element Qualities in the Fluids Analysis Guide for maximum allowable change of element size.

ARCH

The maximum allowable element aspect ratio change. Defaults to 3. See Element Qualities in the Fluids Analysis Guide for maximum allowable element aspect ratio change.

STEP

The frequency of element quality checking, based on time steps. A quality check takes place at the intervals defined by STEP. Defaults to 1 (quality check at every step).

TIME

A quality check takes place at the time point specified. Defaults to -1 (a quality check at every time point).

Notes

MORPH is applicable to any non-structural field analysis (not including fluid elements). It activates displacement degrees of freedom for non-structural elements so that boundary conditions may be placed on the field mesh to constrain the movement of the non-structural mesh during morphing. It morphs the non-structural mesh using displacements transferred at the surface interface between the structural field and the non-structural field. The displacements of non-structural elements are mesh displacements to avoid mesh distortion, but have no physical meaning except at the interface. MORPH does not support surface, link, or shell elements, or any element shape other than triangles, quads, tets, and bricks. Morphed fields must be in the global Cartesian system (CSYS = 0).

After each remesh, new databases and results files are written with the extensions .rth0n and .db0n, where n is the remesh file number (FieldName.rth01, FieldName.rth02, ... and FieldName.db01, FieldName.db02, etc.). The original database file is FieldName.dbo. The FieldName.db01, FieldName.db02, etc. files have elements that are detached from the solid model.

Remeshing has the following restrictions:

  • Valid only for the electrostatic elements (PLANE121, SOLID122, and SOLID123)

  • Limited to triangle (2-D) and tetrahedral (3-D) options of these elements

  • Valid only for the MFS solver

  • No body loads allowed in the interior nodes of the remeshing domain

  • Nodes on the boundary cannot be remeshed; remeshing will not work if morphing failed on the surface nodes

  • Not suitable for extreme area or volume changes

This command is also valid in SOLUTION.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Element Morphing
Main Menu>Solution>Load Step Opts>Other>Element Morphing

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MOPT 		Up / Home Next
MOVE


MOVE

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MOVE, NODE, KC1, X1, Y1, Z1, KC2, X2, Y2, Z2

Calculates and moves a node to an intersection.

PREP7: Nodes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NODE

Move this node. If NODE = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NODE.

KC1

First coordinate system number. Defaults to 0 (global Cartesian).

X1, Y1, Z1

Input one or two values defining the location of the node in this coordinate system. Input "U" for unknown value(s) to be calculated and input "E" to use an existing coordinate value. Fields are R1, θ1, Z1 for cylindrical, or R1, θ1, Φ1 for spherical or toroidal.

KC2

Second coordinate system number.

X2, Y2, Z2

Input two or one value(s) defining the location of the node in this coordinate system. Input "U" for unknown value(s) to be calculated and input "E" to use an existing coordinate value. Fields are R2, θ2, Z2 for cylindrical, or R2, θ2, Φ2 for spherical or toroidal.

Notes

Calculates and moves a node to an intersection location. The node may have been previously defined (at an approximate location) or left undefined (in which case it is internally defined at the SOURCE location). The actual location is calculated from the intersection of three surfaces (implied from three coordinate constants in two different coordinate systems). The three (of six) constants easiest to define should be used. The program will calculate the remaining three coordinate constants. All arguments, except KC1, must be input. Use the repeat command [*REPEAT] after the MOVE command to define a line of intersection by repeating the move operation on all nodes of the line.

Surfaces of constant value are implied by some commands by specifying a single coordinate value. Implied surfaces are used with various commands [MOVE, KMOVE, NSEL, etc.]. Three surfaces are available with each of the four coordinate system types. Values or X, Y, or Z may be constant for the Cartesian coordinate system; values of R, θ, or Z for the cylindrical system; and values of R, θ, Φ for the spherical and toroidal systems. For example, an X value of 3 represents the Y-Z plane (or surface) at X=3. In addition, the parameters for the cylindrical and spherical coordinate systems may be adjusted [CS, LOCAL] to form elliptical surfaces. For surfaces in elliptical coordinate systems, a surface of "constant" radius is defined by the radius value at the X-axis. Surfaces of constant value may be located in local coordinate systems [LOCAL, CLOCAL, CS, or CSKP] to allow for any orientation.

The intersection calculation is based on an iterative procedure (250 iterations maximum) and a tolerance of 1.0E-4. The approximate location of a node should be sufficient to determine a unique intersection if more than one intersection point is possible. Tangent "intersections" should be avoided. If an intersection is not found, the node is placed at the last iteration location.

Menu Paths

Main Menu>Preprocessor>Modeling>Move / Modify>Nodes>To Intersect

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MORPH 		Up / Home Next
MP


MP

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MP, Lab, MAT, C0, C1, C2, C3, C4

Defines a linear material property as a constant or a function of temperature.

PREP7: Materials

MP ME ST PR PRN DS DSS FL EM EH <> PP <>

Product Restrictions

Lab

Valid material property label. Applicable labels are listed under "Material Properties" in the input table for each element type in the Elements Reference. See Linear Material Properties of the Elements Reference for more complete property label definitions:

EX
 —

Elastic moduli (also EY, EZ).

ALPX
 —

Secant coefficients of thermal expansion (also ALPY, ALPZ).

CTEX
 —

Instantaneous coefficients of thermal expansion (also CTEY, CTEZ).

THSX
 —

Thermal strain (also THSY, THSZ).

REFT
 —

Reference temperature. Must be defined as a constant; C1 through C4 are ignored.

PRXY
 —

Major Poisson's ratios (also PRYZ, PRXZ).

NUXY
 —

Minor Poisson's ratios (also NUYZ, NUXZ).

GXY
 —

Shear moduli (also GYZ, GXZ).

DAMP
 —

K matrix multiplier for damping.

Note: If used in an explicit dynamic analysis, the value corresponds to the percentage of damping in the high frequency domain. For example, 0.1 roughly corresponds to 10% damping in the high frequency domain.

DMPR
 —

Constant material damping coefficient.

MU
 —

Coefficient of friction.

DENS
 —

Mass density.

C
 —

Specific heat.

ENTH
 —

Enthalpy.

KXX
 —

Thermal conductivities (also KYY, KZZ).

HF
 —

Convection or film coefficient.

EMIS
 —

Emissivity.

QRATE
 —

Heat generation rate.

VISC
 —

Viscosity.

SONC
 —

Sonic velocity.

RSVX
 —

Electrical resistivities (also RSVY, RSVZ).

PERX
 —

Electric relative permittivities (also PERY, PERZ).

Note

If you enter permittivity values less than 1 for SOLID5, PLANE13, or SOLID98, the program interprets the values as absolute permittivity. Values input for PLANE223, SOLID226, or SOLID227 are always interpreted as relative permittivity.

MURX
 —

Magnetic relative permeabilities (also MURY, MURZ).

MGXX
 —

Magnetic coercive forces (also MGYY, MGZZ).

LSSM
 —

Magnetic loss tangent.

LSST
 —

Electric loss tangent.

SBKX
 —

Seebeck coefficients (also SBKY, SBKZ).

MAT

Material reference number to be associated with the elements (defaults to the current MAT setting [MAT]).

C0

Material property value, or if a property-versus-temperature polynomial is being defined, the constant term in the polynomial. C0 can also be a table name (%tabname%); if C0 is a table name, C1 through C4 are ignored.

C1, C2, C3, C4

Coefficients of the linear, quadratic, cubic, and quartic terms, respectively, in the property-versus-temperature polynomial. Leave blank (or set to zero) for a constant material property.

Notes

MP defines a linear material property as a constant or in terms of a fourth order polynomial as a function of temperature. See the TB command for nonlinear material property input. Linear material properties typically require a single substep for solution, whereas nonlinear material properties require multiple substeps; see Linear Material Properties of the Elements Reference for details.

If the constants C1 - C4 are input, the polynomial

Property = C0 + C1(T) + C2(T)2 + C3(T)3 + C4(T)4

is evaluated at discrete temperature points with linear interpolation between points (i.e., piecewise linear representation) and a constant-valued extrapolation beyond the extreme points. First-order properties use two discrete points (±9999°). The MPTEMP or MPTGEN commands must be used for second and higher order properties to define appropriate temperature steps. To ensure that the number of temperatures defined on the MPTEMP and MPTGEN commands is minimally sufficient for a reasonable representation of the curve, an error message is output if the number is less than N and a warning message is output if the number is less than 2N. N is the highest coefficient used; for example, if C3 is nonzero and C4 is zero, a cubic curve is being used which is defined using 4 coefficients so that N = 4.

A polynomial input is not valid in an explicit dynamic analysis or for Lab = DAMP. C1, C2, C3, and C4 are ignored.

The use of tabular material properties (C0=%tabname%) is available only for FLUID116. Fluid properties can be evaluated as a function of pressure, temperature, velocity, time, and location (independent variables). Use the *DIM command to create the table of property values as a function of the independent variables. Then refer to this table via the MP command for the property. If using temperature or pressure independent variables, you need to activate the appropriate pressure or temperature degrees of freedom on the element. Tabular material properties are calculated before the first iteration (i.e., using initial values [IC]). For more information on using table type array parameters, see the discussion on applying tabular boundary conditions in the Basic Analysis Guide.

This command is also valid in SOLUTION.

Product Restrictions

The following ANSYS product restrictions apply to the MP command:

  • In ANSYS Emag, only these properties are valid: RSV_, PER_, MUR_, MG__, and LSST.

  • In ANSYS Professional, all structural and thermal properties are valid except for DAMP and MU.

  • The SBK_ property is valid inANSYS Multiphysics, ANSYS PrepPost, and ANSYS ED only.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Material Models
Main Menu>Preprocessor>Material Props>Material Models
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Material Models

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MOVE 		Up / Home Next
MPAMOD


MPAMOD

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MPAMOD, MAT, DEFTEMP

Modifies temperature-dependent secant coefficients of thermal expansion.

PREP7: Materials

MP ME ST PR PRN <> <> FL EM <> <> PP <>

MAT

Material number for which the secant coefficients of thermal expansion (SCTE's) are to be modified. Defaults to 1.

DEFTEMP

Definition temperature at which the existing SCTE-versus-temperature tables were defined. Defaults to zero.

Notes

This command converts temperature-dependent SCTE data (properties ALPX, ALPY, ALPZ) from the definition temperature (DEFTEMP) to the reference temperature defined by MP,REFT or TREF. If both the MP,REFT and TREF commands have been issued, the reference temperature defined by the MP,REFT command will be used.

This command does not apply to the instantaneous coefficients of thermal expansion (properties CTEX, CTEY, CTEZ) or to the thermal strains (properties THSX, THSY, THSZ).

See Linear Material Properties of the Elements Reference and the Theory Reference for ANSYS and ANSYS Workbench for more details.

This command is also valid in SOLUTION.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Convert ALPx
Main Menu>Preprocessor>Material Props>Convert ALPx
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Convert ALPx

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MP 		Up / Home Next
MPCHG


MPCHG

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MPCHG, MAT, ELEM

Changes the material number attribute of an element.

PREP7: Materials

SOLUTION: Misc Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

MAT

Assign this material number to the element. Material numbers are defined with the material property commands [MP].

ELEM

Element for material change. If ALL, change materials for all selected elements [ESEL].

Notes

Changes the material number of the specified element. Between load steps in SOLUTION, material properties cannot be changed from linear to nonlinear, or from one nonlinear option to another.

If you change from one MKIN model to another MKIN model, the different MKIN models need to have the same number of data points. This requirement also applies if you change from one KINH model to another KINH model, or from one CHABOCHE model to another CHABOCHE model.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Change Mat Num
Main Menu>Preprocessor>Material Props>Change Mat Num
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Change Mat Num

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPAMOD 		Up / Home Next
MPCOPY


MPCOPY

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MPCOPY, --, MATF, MATT

Copies linear material model data from one material reference number to another.

PREP7: Materials

MP ME ST PR PRN <> <> <> EM <> <> PP <>

--

Unused field

MATF

Material reference number from where material property data will be copied.

MATT

Material reference number to where material property data will be copied.

Notes

The MPCOPY command copies linear material properties only, which are all properties defined through the MP command. If you copy a model that includes both linear and yield behavior constants (for example, a BKIN model), the MPCOPY and TBCOPY, ALL commands are used together to copy the entire model. All input data associated with the model is copied, that is, all data defined through the MP and TB commands.

Also, if you copy a material model using the Material Model Interface (Edit> Copy), both the commands MPCOPY and TBCOPY, ALL are issued, regardless of whether the model includes linear constants only, or if it includes a combination of linear and yield behavior constants.

This command is also valid in SOLUTION.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Material Models
Main Menu>Preprocessor>Material Props>Material Models
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Material Models

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPCHG 		Up / Home Next
MPDATA


MPDATA

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MPDATA, Lab, MAT, STLOC, C1, C2, C3, C4, C5, C6

Defines property data to be associated with the temperature table.

PREP7: Materials

MP ME ST PR PRN DS DSS FL EM EH <> PP <>

Product Restrictions

Lab

Valid property label. Applicable labels are listed under "Material Properties" in the input table for each element type in the Elements Reference. See Linear Material Properties of the Elements Reference for more complete property label definitions:

EX
 —

Elastic moduli (also EY, EZ).

ALPX
 —

Secant coefficients of thermal expansion (also ALPY, ALPZ). (See also MPAMOD command for adjustment to reference temperature).

CTEX
 —

Instantaneous coefficients of thermal expansion (also CTEY, CTEZ).

THSX
 —

Thermal strain (also THSY, THSZ).

REFT
 —

Reference temperature (may not be temperature dependent).

PRXY
 —

Major Poisson's ratios (also PRYZ, PRXZ).

NUXY
 —

Minor Poisson's ratios (also NUYZ, NUXZ).

GXY
 —

Shear moduli (also GYZ, GXZ).

DAMP
 —

K matrix multiplier for damping.

DMPR
 —

Constant material damping coefficient.

MU
 —

Coefficient of friction.

DENS
 —

Mass density.

C
 —

Specific heat.

ENTH
 —

Enthalpy.

KXX
 —

Thermal conductivities (also KYY, KZZ).

HF
 —

Convection or film coefficient.

EMIS
 —

Emissivity.

QRATE
 —

Heat generation rate.

VISC
 —

Viscosity.

SONC
 —

Sonic velocity.

RSVX
 —

Electrical resistivities (also RSVY, RSVZ).

PERX
 —

Electric relative permittivities (also PERY, PERZ).

MURX
 —

Magnetic relative permeabilities (also MURY, MURZ).

MGXX
 —

Magnetic coercive forces (also MGYY, MGZZ).

LSST
 —

Dielectric loss tangent.

SBKX
 —

Seebeck coefficients (also SBKY, SBKZ).

The MPDATA command may also be used to enter temperature dependent properties for fluids in a CFD analysis with FLOTRAN via FLUID141 and FLUID142. Valid MPDATA labels for a CFD analysis in a non-solid region are:

DENS
 —

Density of fluid. This is the same as the label used to specify mass density with the FLDATA command.

C
 —

Specific heat of fluid. This is equivalent to the SPHT label used to specify conductivity with the FLDATA command.

KXXX
 —

Thermal conductivity of fluid.

VISC
 —

Viscosity of fluid. This is the same as the label used to specify kinematic velocity with the FLDATA command.

MAT

Material reference number to be associated with the elements (defaults to 1 if you specify zero or no material number).

STLOC

Starting location in table for generating data. For example, if STLOC = 1, data input in the C1 field is the first constant in the table. If STLOC = 7, data input in the C1 field is the seventh constant in the table, etc. Defaults to the last location filled + 1.

C1, C2, C3, . . . , C6

Property data values assigned to six locations starting with STLOC. If a value is already in this location, it is redefined. A blank (or zero) value for C1 resets the previous value in STLOC to zero. A value of zero can only be assigned by C1. Blank (or zero) values for C2 to C6 leave the corresponding previous values unchanged.

Notes

Defines a table of property data to be associated with the temperature table. Repeat MPDATA command for additional values (100 maximum). Temperatures must be defined first [MPTEMP]. Also stores assembled property function table (temperature and data) in virtual space.

This command is also valid in SOLUTION.

Product Restrictions

In ANSYS without Emag enabled, the MUR_ and MG__ properties are not allowed. In ANSYS Professional, all structural and thermal properties are allowed except DAMP and MU. In ANSYS Emag, only the RSV_, PER_, MUR_, and MG__ properties are allowed. Only products that include ANSYS Emag can use the LSST property. The SBK_ property is only available in ANSYS Multiphysics, ANSYS PrepPost, and ANSYS ED.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Material Models
Main Menu>Preprocessor>Material Props>Material Models
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Material Models

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPCOPY 		Up / Home Next
MPDELE


MPDELE

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MPDELE, Lab, MAT1, MAT2, INC,--, LCHK

Deletes linear material properties.

PREP7: Materials

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Material property label (see MP command for valid labels). If ALL, delete properties for all applicable labels.

MAT1, MAT2, INC

Delete materials from MAT1 to MAT2 (defaults to MAT1) in steps of INC (defaults to 1). If MAT1 = ALL, MAT2 and INC are ignored and the properties for all materials are deleted.

--

Unused field.

LCHK

Specifies the level of element-associativity checking:

NOCHECK
 —

No element-associativity check occurs. This option is the default.

WARN
 —

When a section, material, or real constant is associated with an element, ANSYS issues a message warning that the necessary entity has been deleted.

CHECK
 —

The command terminates, and no section, material, or real constant is deleted if it is associated with an element.

Notes

This command is also valid in SOLUTION.

The LCHK argument is valid only when Lab = ALL.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Material Models
Main Menu>Preprocessor>Material Props>Material Models
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Material Models

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPDATA 		Up / Home Next
MPDRES


MPDRES

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MPDRES, LabF, MATF, LabT, MATT

Reassembles existing material data with the temperature table.

PREP7: Materials

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LabF

Material property label associated with MATF.

MATF

Material reference number of property to restore from virtual space.

LabT

Material property label associated with MATT (defaults to label associated with MATF).

MATT

Material reference number assigned to generated property (defaults to MATF).

Notes

Restores into the database (from virtual space) a data table previously defined [MP] for a particular property, assembles data with current database temperature table, and stores back in virtual space as a new property.

This command is also valid in SOLUTION.

Menu Paths

Main Menu>Preprocessor>Loads>Other>Change Mat Props>Modify Temps
Main Menu>Preprocessor>Material Props>Modify Temps
Main Menu>Solution>Other>Change Mat Props>Modify Temps

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPDELE 		Up / Home Next
/MPLIB


/MPLIB

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

/MPLIB, R-W_opt, PATH

Sets the default material library read and write paths.

PREP7: Materials

MP ME ST PR PRN <> <> FL EM <> <> PP <>

R-W_opt

Determines what path is being set. Possible values are:

READ
 —

Set the read path.

WRITE
 —

Set the write path.

STAT
 —

Report what read and write paths are currently in use.

PATH

The directory path to be used for material library files.

Notes

The /MPLIB command sets two path strings used in conjunction with the material library feature and the MPREAD and MPWRITE commands.

For MPREAD, when you use the LIB option and the directory portion of the specification for the material library file is blank, the command searches for the file in these locations: the current working directory, the user's home directory, the user-specified material library directory (as defined by the /MPLIB,READ,PATH command), and /ansys_dir/matlib.

For MPWRITE, when you use the LIB option and the directory portion of the specification for the material library file is blank, the command writes the material library file to the directory specified by the /MPLIB,WRITE,PATH command (if that path has been set). If the path has not been set, the default is to write the file to the current working directory.

The Material Library files supplied with the distribution disks are meant for demonstration purposes only. These files are not intended for use in customer applications.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Material Library>Lib Path Status
Main Menu>Preprocessor>Material Props>Material Library>Lib Path Status
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Material Library>Lib Path Status

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPDRES 		Up / Home Next
MPLIST


MPLIST

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MPLIST, MAT1, MAT2, INC, Lab, TEVL

Lists linear material properties.

PREP7: Materials

MP ME ST PR PRN <> <> FL EM <> <> PP <>

MAT1, MAT2, INC

List materials from MAT1 to MAT2 (defaults to MAT1) in steps of INC (defaults to 1). If MAT1= ALL (default), MAT2 and INC are ignored and properties for all material numbers are listed.

Lab

Material property label (see the MP command for labels). If ALL (or blank), list properties for all labels. If EVLT, list properties for all labels evaluated at TEVL.

TEVL

Evaluation temperature for Lab = EVLT listing (defaults to BFUNIF).

Notes

For Lab = EVLT, when the property is from tables, the MPPLOT command will not be valid because the property could be a function of more than temperature.

This command is valid in any processor.

Menu Paths

Utility Menu>List>Properties>All Materials
Utility Menu>List>Properties>All Matls, All Temps
Utility Menu>List>Properties>All Matls, Specified Temp
Utility Menu>List>Properties>Specified Matl, All Temps

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/MPLIB 		Up / Home Next
MPPLOT


MPPLOT

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MPPLOT, Lab, MAT, TMIN, TMAX, PMIN, PMAX

Plots linear material properties as a function of temperature.

PREP7: Materials

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Linear material property label (EX, EY, etc.) [MP].

MAT

Material reference number. Defaults to 1.

TMIN

Minimum abscissa value to be displayed.

TMAX

Maximum abscissa value.

PMIN

Minimum property (ordinate) value to be displayed.

PMAX

Maximum property value.

Notes

When the property is from tables, the MPPLOT command will not be valid because the property could be a function of more than temperature.

This command is valid in any processor.

Menu Paths

Utility Menu>Plot>Materials

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPLIST 		Up / Home Next
MPREAD


MPREAD

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MPREAD, Fname, Ext, --, LIB

Reads a file containing material properties.

PREP7: Materials

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including directory). If you do not specify the LIB option, the default directory is the current working directory. If you specify the LIB option, the default is the following search path: the current working directory, the user's home directory, MPLIB_DIR (as specified by the /MPLIB,READ,PATH command) and /ansys_dir/matlib (as defined by installation). If you use the default for your directory, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

If you omit the default extension is MP. extension is units_MPL, where units is the system of units currently in use. (See the description of the /UNITS command.) For example, if /UNITS is set to SI, the extension defaults to SI_MPL.

--

Unused field.

LIB

Reads material library files previously written with the MPWRITE command. (See the description of the LIB option for the MPWRITE command.) The only allowed value for LIB is LIB.

The LIB field indicates that the specified file was written by MPWRITE using the LIB option, and that the file is consistent with the material library file format. When the MPREAD command executes, the ANSYS program reads material properties defined in the specified file into the current ANSYS working database. The currently selected material, as defined by the MAT command (MAT,MAT), determines the material number used when reading the material properties. The LIB option for MPREAD and MPWRITE supports storing and retrieving both linear and nonlinear properties.

Notes

Material properties written to a file without the LIB option do not support nonlinear properties. Also, properties written to a file without the LIB option are restored in the same material number as originally defined. To avoid errors, use MPREAD with the LIB option only when reading files written using MPWRITE with the LIB option.

If you omit the LIB option for MPREAD, this command supports only linear properties.

Material numbers are hardcoded. If you write a material file without specifying the LIB option, then read that file in using the MPREAD command with the LIB option, the ANSYS program will not write the file to a new material number. Instead, it will write the file to the "old" material number (the number specified on the MPWRITE command that created the file.)

This command is also valid in SOLUTION.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Material Library>Export Library
Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Material Library>Import Library
Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Material Library>Select Units
Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Read from File
Main Menu>Preprocessor>Material Props>Material Library>Export Library
Main Menu>Preprocessor>Material Props>Material Library>Import Library
Main Menu>Preprocessor>Material Props>Material Library>Select Units
Main Menu>Preprocessor>Material Props>Read from File
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Material Library>Export Library
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Material Library>Import Library
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Material Library>Select Units
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Read from File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPPLOT 		Up / Home Next
MPRINT


MPRINT

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MPRINT, KEY

Specifies that radiation matrices are to be printed.

AUX12: Radiation Matrix Method

MP ME ST PR PRN <> <> <> <> <> <> PP <>

KEY

Print key:

0
—

Do not print matrices.

1
—

Print matrices.

Command Default

Matrices are not printed.

Notes

Specifies that the element and node radiation matrices are to be printed when the WRITE command is issued. If KEY = 1, form factor information for each element will also be printed.

Menu Paths

Main Menu>Radiation Opt>Matrix Method>Write Matrix

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPREAD 		Up / Home Next
MPTEMP


MPTEMP

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MPTEMP, STLOC, T1, T2, T3, T4, T5, T6

Defines a temperature table for material properties.

PREP7: Materials

MP ME ST PR PRN <> <> FL <> <> <> PP <>

STLOC

Starting location in table for entering temperatures. For example, if STLOC = 1, data input in the T1 field applies to the first constant in the table. If STLOC = 7, data input in the T1 field applies to the seventh constant in the table, etc. Defaults to the last location filled + 1.

T1, T2, T3, . . . , T6

Temperatures assigned to six locations starting with STLOC. If a value is already in this location, it will be redefined. A blank (or zero) value for T1 resets the previous value in STLOC to zero. A value of zero can only be assigned by T1. Blank (or zero) values for T2 to T6 leave the corresponding previous values unchanged.

Command Default

No temperature table defined (i.e., properties must be defined as a constant or linear function of temperature with the MP command).

Notes

Defines a temperature table to be associated with the property data table [MPDATA]. These temperatures are also used for polynomial property evaluation, if defined [MP]. Temperatures must be defined in non-descending order. Issue MATER $ STAT to list the current temperature table. Repeat MPTEMP command for additional temperatures (100 maximum). If all arguments are blank, the temperature table is erased.

For clear definition, the temperature range you define with the MPTEMP command should include the entire range you'll use in subsequently defined materials. To assist the user in this, the first (and only the first) excursion out of the temperature range defined by the MPTEMP commands is flagged with a warning message. Similarly, the reference temperature (TREF or MP,reft commands) should also fall in this same temperature range. If not and MP,alpx was used, a note will be output. If not, and MP,ctex or MP,thsx was used, an error message will be output.

This command is also valid in SOLUTION.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Material Models
Main Menu>Preprocessor>Material Props>Material Models
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Material Models

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPRINT 		Up / Home Next
MPTGEN


MPTGEN

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MPTGEN, STLOC, NUM, TSTRT, TINC

Adds temperatures to the temperature table by generation.

PREP7: Materials

MP ME ST PR PRN <> <> FL <> <> <> PP <>

STLOC

Starting location in table for generating temperatures. Defaults to last location filled + 1.

NUM

Number of temperatures to be generated (1-100).

TSTRT

Temperature assigned to STLOC location.

TINC

Increment previous temperature by TINC and assign to next location until all NUM locations are filled.

Notes

Adds temperatures to the temperature table by generation. May be used in combination (or in place of) the MPTEMP command.

This command is also valid in SOLUTION.

Menu Paths

Main Menu>Preprocessor>Loads>Other>Change Mat Props>Generate Temp
Main Menu>Preprocessor>Material Props>Generate Temp
Main Menu>Solution>Other>Change Mat Props>Generate Temp

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPTEMP 		Up / Home Next
MPTRES


MPTRES

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MPTRES, Lab, MAT

Restores a temperature table previously defined.

PREP7: Materials

MP ME ST PR PRN <> <> FL <> <> <> PP <>

Lab

Material property label [MP].

MAT

Material reference number.

Notes

Restores into the database (from virtual space) a temperature table previously defined [MP] for a particular property. The existing temperature table in the database is erased before this operation.

This command is also valid in SOLUTION.

Menu Paths

Main Menu>Preprocessor>Loads>Other>Change Mat Props>Restore Temps
Main Menu>Preprocessor>Material Props>Restore Temps
Main Menu>Solution>Other>Change Mat Props>Restore Temps

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPTGEN 		Up / Home Next
MPWRITE


MPWRITE

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MPWRITE, Fname, Ext, --, LIB, MAT

Writes linear material properties in the database to a file (if the LIB option is not specified) or writes both linear and nonlinear material properties (if LIB is specified) from the database to a file.

PREP7: Materials

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including directory). If you do not specify the LIB option, the default directory is the current working directory. If you specify LIB and you have specified a material library directory (via the /MPLIB command), that directory is the default. Otherwise, the default is the current working directory. If you use the default for your directory, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

If you omit the LIB option, the default extension is MP. If you specify the LIB option, the default extension is units_MPL, where units is the system of units currently in use. (See the description of the /UNITS command.) For example, if /UNITS is set to BIN, the extension defaults to BIN_MPL.

--

Unused field.

LIB

The only value allowed for this field is the string "LIB."

The LIB option indicates that you wish to have properties associated with the material (MAT) written to the specified material library file using the material library file format. The material library file format is ASCII-text-based ANSYS command input. Certain commands associated with this format have been modified to interpret the string "_MATL" to mean the currently selected material. This feature makes the material library file independent of the material number in effect when the file was written; this enables you to restore the properties into the ANSYS database using the material number of your choice. The LIB option also enables you to save both linear and nonlinear properties. If you omit the LIB option, you can save linear properties only.

MAT

Specifies the material to be written to the named material library file. There is no default; you must either specify a material or omit the MAT argument. Even if you specify a MAT value, the ANSYS program ignores it if the LIB argument is not specified.

Notes

Writes linear material properties currently in the database to a file. The file is rewound before and after writing.

This command is also valid in SOLUTION.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Material Library>Export Library
Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Material Library>Import Library
Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Material Library>Select Units
Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Write to File
Main Menu>Preprocessor>Material Props>Material Library>Export Library
Main Menu>Preprocessor>Material Props>Material Library>Import Library
Main Menu>Preprocessor>Material Props>Material Library>Select Units
Main Menu>Preprocessor>Material Props>Write to File
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Material Library>Export Library
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Material Library>Import Library
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Material Library>Select Units
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Write to File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPTRES 		Up / Home Next
/MREP


/MREP

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

/MREP, NAME, ARG1, ARG2, ARG3, . . . , ARG4, ARG5, ARG6, ARG7, ARG8, ARG9, ARG10, ARG11, ARG12, ARG13, ARG14, ARG15, ARG16, ARG17, ARG18

Enables you to reissue the graphics command macro "name" during a replot or zoom operation.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NAME

The name identifying the macro file or macro block on a macro library file. The name can contain up to eight characters maximum and must begin with a letter.

ARG1, ARG2, ARG3, . . . , ARG18

Values to be passed into the file or block.

Notes

This command reissues the graphics command macro "name" during a replot operation [/REPLOT] or a zoom [ZOOM] operation. The ANSYS program passes the command macro arguments to the replot and zoom feature for use by the graphics macro. You should place the /MREP command at the end of the graphics command macro, following the last graphics command within the macro, to enable the replot or zoom feature.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPWRITE 		Up / Home Next
MSADV


MSADV

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MSADV, SPNUM, MTHA

Specifies the approach to discretize the advection term in a species transport equation.

PREP7: FLOTRAN Multiple Species

MP <> <> <> <> <> <> FL <> <> <> PP <>

SPNUM

Species number, from 1 to 6. Must be specified.

MTHA

Choice of approach to discretize the advection term:

MSU
 —

Monotone Streamline Upwind (MSU) approach.

SUPG
 —

Streamline Upwind / Petrov-Galerkin (SUPG) approach (default).

COLG
 —

Collocated Galerkin (COLG) approach.

Notes

This command is valid for the multiple species transport option in a FLOTRAN analysis. See the Theory Reference for ANSYS and ANSYS Workbench for more information on the advection term.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Multiple Species
Main Menu>Solution>FLOTRAN Set Up>Multiple Species

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/MREP 		Up / Home Next
MSAVE


MSAVE

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MSAVE, Key

Sets the solver memory saving option. This option only applies to the PCG solver.

SOLUTION: Analysis Options

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Key

Activation key:

0 or OFF
 —

Use global assembly for the stiffness matrix (and mass matrix, when using MODOPT,LANPCG) of the entire model.

1 or ON
 —

Use an element-by-element approach when possible to save memory during the solution. In this case, the global stiffness (and mass) matrix is not assembled; element stiffness (mass) is regenerated during PCG or MODOPT,LANPCG iterations.

Notes

MSAVE,ON only applies to and is the default for parts of the model using the following element types with linear material properties that meet the conditions listed below.

  • SOLID92

  • SOLID95

  • SOLID186 (Structural Solid only)

  • SOLID187

The following conditions must also be true:

  • The PCG solver has been specified.

  • The analysis is a static analysis. Topological optimization is not supported.

  • Small strains are assumed (NLGEOM,OFF).

  • No prestress effects (PSTRES) are included.

  • No stress stiffening effects (SSTIF) are included when small strains are assumed (NLGEOM,OFF).

  • All nodes on the supported element types must be defined (i.e., the midside nodes cannot be removed using the EMID command).

  • For elements with thermally dependent material properties, MSAVE,ON applies only to elements with uniform temperatures prescribed.

  • The default element coordinate system must be used. For any SOLID95 elements, KEYOPT(1) must equal 0.

If you manually force MSAVE,ON by including it in the input file, the model can include the following additional conditions:

  • The analysis can be a modal analysis using the PCG Lanczos method (MODOPT,LANPCG).

  • Large deflection effects (NLGEOM,ON) are included for SOLID45, SOLID92, or SOLID95 elements only.

  • SOLID45 (brick shapes and KEYOPT(2) = 0 only) elements can be included.

  • SOLID185 (brick shapes and KEYOPT(2) = 3 only) elements can be included.

All other element types or other parts of the model that don't meet the above criteria will be solved using global assembly (MSAVE,OFF). This command can result in memory savings of up to 70% over the global assembly approach for the part of the model that meets the criteria. Depending on the processor speed and the computer manufacturer, the solution time may increase or decrease when this feature is used.

This memory saving feature runs in parallel when multiple processors are used with the /CONFIG command or with Distributed ANSYS. The gain in performance with using multiple processors with this feature turned on should be similar to the default case when this feature is turned off. Performance also improves when using the 2 x 2 x 2 reduced integration option for SOLID95 elements or the uniform reduced integration option for SOLID186 elements.

This command does not support the layered option of the SOLID185 and SOLID186 elements.

When using MSAVE,ON with the PCGOPT command, note the following restrictions: .

  • For static and modal analyses, MSAVE,ON is not valid when using a Lev_Diff value of 5 on the PCGOPT command; Lev_Diff will automatically be reset to 2.

  • For modal analyses, MSAVE,ON is not valid with the StrmCk option of the PCGOPT command; Strmck will be set to OFF.

When using MSAVE,ON for modal analyses, no .FULL file will be created. The .FULL file may be necessary for subsequent analyses (e.g., harmonic, transient mode superposition, or spectrum analyses). To generate the .FULL file, rerun the modal analysis using the WRFULL command.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>Analysis Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MSADV 		Up / Home Next
MSCAP


MSCAP

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MSCAP, SPNUM, Capkey, UPPER, LOWER

Activates and controls mass fraction capping for a species.

PREP7: FLOTRAN Multiple Species

MP <> <> <> <> <> <> FL <> <> <> PP <>

SPNUM

Species number, from 1 to 6. Must be specified.

Capkey

Key to activate mass fraction capping:

OFF
—

Capping not enforced (default).

ON
—

Capping will be enforced.

UPPER, LOWER

Upper and lower bounds on mass fraction if capping is activated. Default to 1.0 and 0.0 respectively.

Command Default

No mass fraction capping.

Notes

This command is valid for the multiple species transport option in a FLOTRAN analysis.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Multiple Species
Main Menu>Solution>FLOTRAN Set Up>Multiple Species

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MSAVE 		Up / Home Next
MSDATA


MSDATA

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MSDATA, ALGEB, UGAS

Defines multiple species data applicable to all species.

PREP7: FLOTRAN Multiple Species

MP <> <> <> <> <> <> FL <> <> <> PP <>

ALGEB

The algebraic species number whose mass fraction is calculated by subtracting the sum of the mass fractions of all other species from 1.0. This ensures that the sum of the mass fractions of all the species is 1.0. Defaults to 2.

UGAS

The universal gas constant. Defaults to 8314.3 (SI units).

Notes

This command is valid for the multiple species transport option in a FLOTRAN analysis.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Multiple Species
Main Menu>Solution>FLOTRAN Set Up>Multiple Species

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MSCAP 		Up / Home Next
MSHAPE


MSHAPE

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MSHAPE, KEY, Dimension

For elements that support multiple shapes, specifies the element shape to be used for meshing.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KEY

Key indicating the element shape to be used:

0
 —

Mesh with quadrilateral-shaped elements when Dimension = 2-D mesh with hexahedral-shaped elements when Dimension = 3-D.

1
 —

Mesh with triangle-shaped elements when Dimension = 2-D mesh with tetrahedral-shaped elements when Dimension = 3-D.

Dimension

Specifies the dimension of the model to be meshed:

2D
 —

2-D model (area mesh).

3D
 —

3-D model (volume mesh).

Command Default

Since specification of element shape [MSHAPE] and meshing type [MSHKEY] are so closely related, the element shape that ANSYS meshes with depends on the combination of the values that are set for the two commands. The table below explains what happens when you fail to specify values for these settings.

Your action... | How it affects the mesh...
You issue the MSHAPE command with no arguments. | ANSYS uses quadrilateral-shaped or hexahedral-shaped elements to mesh the model, depending on whether you are meshing an area or a volume.
You do not specify an element shape, but you do specify the type of meshing to be used [MSHKEY]. | ANSYS uses the default shape of the element to mesh the model. It uses the type of meshing that you specified.
You specify neither an element shape nor the type of meshing to be used. | ANSYS uses the default shape of the element to mesh the model. It uses whichever type of meshing is the default for that shape.

Notes

If no value is specified for Dimension the value of KEY determines the element shape that will be used for both 2-D and 3-D meshing. In other words, if you specify MSHAPE,0, quadrilateral-shaped and hexahedral-shaped elements will be used. If you specify MSHAPE,1, triangle-shaped and tetrahedral-shaped elements will be used.

The MSHAPE, MSHKEY, and MSHMID commands replace the functionality that was provided by the ESHAPE command in ANSYS 5.3 and earlier releases.

This command is also valid for rezoning.

Menu Paths

Main Menu>Preprocessor>Meshing>Mesh>Volumes>Mapped>4 to 6 sided
Main Menu>Preprocessor>Meshing>Mesher Opts
Main Menu>Solution>Manual Rezoning>Create Remesh Zone(s)>Mesh Controls>Global Meshing Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MSDATA 		Up / Home Next
MSHCOPY


MSHCOPY

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MSHCOPY, KEYLA, LAPTRN, LACOPY, KCN, DX, DY, DZ, TOL, LOW, HIGH

Simplifies the generation of meshes that have matching node element patterns on two different line groups (in 2-D) or area groups (3-D).

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KEYLA

Copy line mesh (default) if LINE, 0 or 1. Copy area mesh if AREA, or 2.

LAPTRN

Meshed line/area to be copied, or a component name containing a list. If LAPTRN = P, graphical picking is enabled (valid only in the GUI).

LACOPY

Unmeshed line/area to get copied mesh, or a component name containing a list. If LACOPY = P, graphical picking is enabled (valid only in the GUI).

KCN

In coordinate system KCN, LAPTRN + DX DY DZ = LACOPY.

DX, DY, DZ

Node location increments in the active coordinate system (DR, Dθ, DZ for cylindrical, DR, Dθ, DΦ for spherical or toroidal).

TOL

Tolerance. Defaults to 1.e--4.

LOW

Name of low node component to be defined (optional).

HIGH

Name of high node component to be defined (optional).

Notes

Matching meshes are used for rotational (cyclic) symmetry, or for contact analysis using coupling or node-to-node gap elements. See Using CPCYC and MSHCOPY Commands in the Modeling and Meshing Guide for more information.

Menu Paths

Main Menu>Preprocessor>Modeling>Copy>Area Mesh
Main Menu>Preprocessor>Modeling>Copy>Line Mesh

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MSHAPE 		Up / Home Next
MSHKEY


MSHKEY

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MSHKEY, KEY

Specifies whether free meshing or mapped meshing should be used to mesh a model.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KEY

Key indicating the type of meshing to be used:

0
 —

Use free meshing (the default).

1
 —

Use mapped meshing.

2
 —

Use mapped meshing if possible; otherwise, use free meshing. If you specify MSHKEY,2, SmartSizing will be inactive even while free meshing non-map-meshable areas.

Command Default

As stated above, free meshing is the default. However, since the MSHKEY and MSHAPE settings are closely related, you should refer to the table in the MSHAPE command description for more information about defaults.

Notes

The MSHKEY, MSHAPE, and MSHMID commands replace the functionality that was provided by the ESHAPE command in ANSYS 5.3 and earlier releases.

This command is also valid for rezoning.

Menu Paths

Main Menu>Preprocessor>Meshing>Mesh>Areas>Mapped>3 or 4 sided
Main Menu>Preprocessor>Meshing>Mesh>Areas>Target Surf
Main Menu>Preprocessor>Meshing>Mesh>Volumes>Mapped>4 to 6 sided
Main Menu>Preprocessor>Meshing>Mesher Opts
Main Menu>Solution>Manual Rezoning>Create Remesh Zone(s)>Mesh Controls>Global Meshing Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MSHCOPY 		Up / Home Next
MSHMID


MSHMID

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MSHMID, KEY

Specifies placement of midside nodes.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KEY

Key indicating placement of midside nodes:

0
 —

Midside nodes (if any) of elements on a region boundary follow the curvature of the boundary line or area (the default).

1
 —

Place midside nodes of all elements so that element edges are straight. Allows coarse mesh along curves.

2
 —

Do not create midside nodes (elements will have removed midside nodes).

Notes

The MSHMID, MSHAPE, and MSHKEY commands replace the functionality that was provided by the ESHAPE command in ANSYS 5.3 and earlier releases.

This command is also valid for rezoning.

Menu Paths

Main Menu>Preprocessor>Meshing>Mesher Opts
Main Menu>Solution>Manual Rezoning>Create Remesh Zone(s)>Mesh Controls>Global Meshing Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MSHKEY 		Up / Home Next
MSHPATTERN


MSHPATTERN

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MSHPATTERN, KEY

Specifies pattern to be used for mapped triangle meshing.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KEY

Key indicating triangle pattern to be used (the figures below illustrate the pattern that will be used for each value of KEY):

0
 —

Let ANSYS choose the pattern (the default). ANSYS maximizes the minimum angle of the triangular-shaped elements that are created.

1
 —

Unidirectional split at node I.

2
 —

Unidirectional split at node J.

Notes

"Mapped triangle meshing" refers to the ANSYS program's ability to take a map-meshable area and mesh it with triangular elements, based on the value of MSHPATTERN,KEY. This type of meshing is particularly useful for analyses that involve the meshing of rigid contact elements.

The MSHPATTERN command is valid only when you have specified that ANSYS use triangle-shaped elements [MSHAPE,1,2D] (or you are meshing with an element that supports only triangles), and you have also specified mapped meshing [MSHKEY,1] to mesh an area.

For details about mapped meshing with triangles, see the Modeling and Meshing Guide.

Menu Paths

Main Menu>Preprocessor>Meshing>Mesher Opts
Main Menu>Solution>Manual Rezoning>Create Remesh Zone(s)>Mesh Controls>Global Meshing Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MSHMID 		Up / Home Next
MSMASS


MSMASS

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MSMASS, SPNUM, Value

Specifies the mass type for a transient species analysis.

PREP7: FLOTRAN Multiple Species

MP <> <> <> <> <> <> FL <> <> <> PP <>

SPNUM

Species number, from 1 to 6. Must be specified. If ALL, all numbers are used.

Value

Mass type for transient species analysis:

LUMP
 —

Lumped mass matrix (default).

CONS
 —

Consistent mass matrix.

Notes

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Multiple Species
Main Menu>Solution>FLOTRAN Set Up>Multiple Species

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MSHPATTERN 		Up / Home Next
MSMETH


MSMETH

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MSMETH, SPNUM, KEY

Specifies the method of solution of the species transport equations.

PREP7: FLOTRAN Multiple Species

MP <> <> <> <> <> <> FL <> <> <> PP <>

SPNUM

Species number, from 1 to 6. Must be specified.

KEY

Key defining the method of solution for the specified species number:

0
 —

No solution of equations for species SPNUM

1
 —

Tri-Diagonal Matrix Algorithm (TDMA).

2
 —

Conjugate residual method.

3
 —

Preconditioned Conjugate Residual method.

4
 —

Preconditioned Generalized Minimum Residual (PGMR) solution method (default).

5
 —

Sparse Direct method.

6
 —

Preconditioned BiCGStab method (PBCGM).

Command Default

The Preconditioned Generalized Minimum Residual (PGMR) method is used for all species.

Notes

The Tri-Diagonal Matrix Algorithm (TDMA) method is a special version of the standard Gauss-Seidel iterative method for the solution of sets of algebraic equations. The number of iterations (sweeps) to be performed is specified with the MSSOLU command. No convergence criterion is required for the TDMA method.

Three methods are semi-direct solution methods based on search directions. They are conjugate direction iterative techniques which develop a solution as a linear combination of search directions. The Conjugate Residual method requires the least memory, but stalls when solving ill-conditioned problems. The Preconditioned Conjugate Residual method requires much more memory but performs better for ill-conditioned matrix problems. The PGMR method is memory-intensive; by necessity, it incorporates a tight convergence criterion. The Preconditioned BiCGStab method (PBCGM) requires less memory than the PGMR method and sometimes performs better than the PGMR method. The number of search vectors and the convergence criterion are specified with the MSSOLU command.

The Sparse Direct method is based on Gaussian elimination to factorize the matrix. This method is memory intensive and creates temporary files on the hard disk. It is robust and can be used for symmetric as well as non-symmetric equation systems.

See the Fluids Analysis Guide for additional information on the FLOTRAN Solvers.

This command is valid for the multiple species transport option in a FLOTRAN analysis.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Multiple Species
Main Menu>Solution>FLOTRAN Set Up>Multiple Species

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MSMASS 		Up / Home Next
MSMIR


MSMIR

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MSMIR, SPNUM, Value

Sets modified inertial relaxation factors for multiple species.

PREP7: FLOTRAN Multiple Species

MP <> <> <> <> <> <> FL <> <> <> PP <>

SPNUM

Species number, from 1 to 6. Must be specified.

Value

Modified inertial relaxation factor. Value defaults to 0 (modified inertial relaxation off).

Notes

Value must be a positive real number. A Value between 0.1 and 1.0 is recommended. A larger Value provides a more robust scheme, but it may yield a slower convergence.

This command is valid for the multiple species transport option in a FLOTRAN analysis.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Multiple Species
Main Menu>Solution>FLOTRAN Set Up>Multiple Species

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MSMETH 		Up / Home Next
MSNOMF


MSNOMF

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MSNOMF, SPNUM, FRACTION

Specifies the initial value of nominal mass fraction for a species.

PREP7: FLOTRAN Multiple Species

MP <> <> <> <> <> <> FL <> <> <> PP <>

SPNUM

Species number, from 1 to 6. Must be specified.

FRACTION

The initial mass fraction of the entire problem domain for this species. Defaults to 0.0. The sum of the mass fractions for all species should equal 1.0.

Notes

This command is valid for the multiple species transport option in a FLOTRAN analysis and is required if the CMIX option has been activated for a property [FLDATA7,PROT,Label,CMIX].

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Multiple Species
Main Menu>Solution>FLOTRAN Set Up>Multiple Species

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MSMIR 		Up / Home Next
MSPROP


MSPROP

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MSPROP, SPNUM, Label, Type, NOMINAL, COF1, COF2, COF3

Defines the fluid properties of a species.

PREP7: FLOTRAN Multiple Species

MP <> <> <> <> <> <> FL <> <> <> PP <>

SPNUM

Species number, from 1 to 6. Must be specified.

Label

Label identifying the property being defined:

DENS
 —

Density.

VISC
 —

Viscosity.

COND
 —

Thermal conductivity.

MDIF
 —

Mass diffusion coefficient.

SPHT
 —

Specific heat.

Type

Type of property:

CONSTANT
 —

Constant property (default). The property does not vary with temperature.

LIQUID
 —

Liquid property. Density varies according to a second order polynomial relationship, and all other properties follow Sutherland's law for liquids.

GAS
 —

Gas property. Density varies according to the ideal gas law, and all other properties follow Sutherland's law for gases.

NOMINAL

Nominal value of the property being defined. For CONSTANT fluid types, the property remains at this value and does not vary. For GAS and LIQUID property types, this is the value of the property corresponding to the temperature defined by COF1.

COF1

Temperature corresponding to the NOMINAL value of the property (for GAS and LIQUID property types only; see Notes section). Not required for Label = SPHT.

COF2, COF3

Second and third coefficients for temperature variation of the property. Not required for Label = SPHT.

Notes

If the property type is CONSTANT, the equation used is as follows:

Lab = NOMINAL

If the property type is LIQUID, a second order polynomial relationship is used for density, and Sutherland's law for liquids is used for the other properties:

DENS = NOMINAL + COF2*(T-COF1) + COF3*(T-COF1)2

Property = NOMINAL * EXP[COF2*(1/T-1/COF1) + COF3*(1/T-1COF1)2]

where T is the temperature of the node where the property is being calculated.

If the property type is GAS, the ideal gas law is used for density, and Sutherland's law for gases is used for other properties:

DENS = NOMINAL * (P/COF2 / (T/COF1)

Property = NOMINAL * (T/COF1)1.5 * (COF1 + COF2)/(T + COF2)]

where P and T are the pressure and temperature of the node where the property is being calculated.

Specific heat is always a CONSTANT. Also, property types (Type) such as TABLE, USER, POWL, BIN, etc. are not available for individual species. They are valid only for the bulk fluid.

If a property type is entered incorrectly (e.g. a misspelling), a CONSTANT property type is assumed and the property is assigned the NOMINAL value.

This command is valid for the multiple species transport option in a FLOTRAN analysis.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Multiple Species
Main Menu>Solution>FLOTRAN Set Up>Multiple Species

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MSNOMF 		Up / Home Next
MSQUAD


MSQUAD

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MSQUAD, QDIF, QSRC

Specifies the quadrature order for multiple species elements.

PREP7: FLOTRAN Multiple Species

MP <> <> <> <> <> <> FL <> <> <> PP <>

QDIF

Quadrature order for diffusion term integration:

0
—

One-point quadrature (default).

1
—

Same as 0, except a distributed value of temperature is used to evaluate temperature-dependent properties.

2
—

Two-point quadrature (default for axisymmetric models).

QSRC

Quadrature order for source term integration:

0
—

One-point quadrature (default).

1
—

Same as 0, except a distributed value of temperature is used to evaluate temperature-dependent properties.

2
—

Two-point quadrature (default for axisymmetric models).

Command Default

As described above.

Notes

This command is valid for the multiple species transport option in a FLOTRAN analysis.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Multiple Species
Main Menu>Solution>FLOTRAN Set Up>Multiple Species

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MSPROP 		Up / Home Next
MSRELAX


MSRELAX

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MSRELAX, SPNUM, CONC, MDIF, EMDI, STAB

Specifies relaxation factors for a multiple species transport analysis.

PREP7: FLOTRAN Multiple Species

MP <> <> <> <> <> <> FL <> <> <> PP <>

SPNUM

Species number, from 1 to 6. Must be specified.

CONC

Species concentration relaxation factor. Defaults to 0.5.

MDIF

Mass diffusion coefficient relaxation factor. Defaults to 0.5.

EMDI

Effective mass diffusion coefficient relaxation factor (used for turbulent flow). Defaults to 0.5.

STAB

Inertial relaxation factor for solution of the transport equation. Defaults to 1.0 x 10+20.

Command Default

As described above for each relaxation factor.

Notes

This command is valid for the multiple species transport option in a FLOTRAN analysis.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Multiple Species
Main Menu>Solution>FLOTRAN Set Up>Multiple Species

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MSQUAD 		Up / Home Next
MSSOLU


MSSOLU

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MSSOLU, SPNUM, NSWEEP, MAXI, NSRCH, CONV, DELMAX

Specifies solution options for multiple species transport.

PREP7: FLOTRAN Multiple Species

MP <> <> <> <> <> <> FL <> <> <> PP <>

SPNUM

Species number, from 1 to 6. Must be specified.

NSWEEP

Number of Tri-Diagonal Matrix Algorithm (TDMA) sweeps. Valid only for the TDMA method [MSMETH]. Defaults to 100.

MAXI

Maximum number of iterations allowed for the semi-direct methods (conjugate residual and preconditioned conjugate residual methods, chosen with the MSMETH command). Defaults to 1000.

NSRCH

Number of search vectors used for the semi-direct methods. Defaults to 2. If you are using the Preconditioned BiCGStab Method (PBCGM) solver, the number of search directions is 1 to 8, with 2 as the default. New search vectors are made orthogonal to NSRCH previous vectors in the solution of the unsymmetric matrix systems.

CONV

Convergence criterion for the semi-direct methods. It represents the factor by which the inner product of the residual vector is reduced during the solution of the equations at any global iteration. Defaults to 1.0 x 10-12. If the convergence criterion has not been achieved, the algebraic solver issues a warning message, and the execution of FLOTRAN continues normally.

DELMAX

Minimum normalized rate of change which will permit the semi-direct solution methods to continue. Used to terminate the semi-direct solvers in the event that stall occurs. Defaults to 1.0 x 10-9. If the methods stall, the solver increments the solution only a very small amount despite the fact that the correct solution has been not been achieved (or perhaps even approached). The maximum nodal difference between the solutions, normalized to the value of the variable, is compared to DELMAX, and the solution is terminated if the value is less than DELMAX. Termination of the algebraic solver due to the small rate of change is considered a normal function, and no warning message is printed. Execution of FLOTRAN continues normally.

Command Default

As described above.

Notes

This command is valid for the multiple species transport option in a FLOTRAN analysis.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Multiple Species
Main Menu>Solution>FLOTRAN Set Up>Multiple Species

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MSRELAX 		Up / Home Next
MSSPEC


MSSPEC

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MSSPEC, SPNUM, Name, MOLWT, SCHMIDT

Specifies the name, molecular weight, and Schmidt number of a species.

PREP7: FLOTRAN Multiple Species

MP <> <> <> <> <> <> FL <> <> <> PP <>

SPNUM

Species number, from 1 to 6. Must be specified.

Name

Name to be assigned to the species, up to 4 characters long. Defaults to SP01 for species 1, SP02 for species 2, ..., SP06 for species 6. This name can be used in place of the species number when specifying mass fraction boundary conditions and in postprocessing.

Note

The GUI always shows the default names, not the user-defined names.) Name should not be the same as an existing degree of freedom label.

MOLWT

Molecular weight for the species. Required only for gases (determined by the property type on MSPROP command). Defaults to 29.0.

SCHMIDT

Schmidt number (diffusion term divisor) for the species. Required only for gases (determined by the property type on MSPROP command). Defaults to 1.0.

Notes

This command is valid for the multiple species transport option in a FLOTRAN analysis.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Multiple Species
Main Menu>Solution>FLOTRAN Set Up>Multiple Species

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MSSOLU 		Up / Home Next
/MSTART


/MSTART

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

/MSTART, Label, KEY

Controls the initial GUI components.

SESSION: Run Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Label

Label identifying the GUI component:

ZOOM
 —

Pan, Zoom, Rotate dialog box, off by default.

WORK
 —

Offset Working Plane dialog box, off by default.

WPSET
 —

Working Plane Settings dialog box, off by default.

ABBR
 —

Edit Toolbar/Abbreviations dialog box, off by default.

PARM
 —

Scalar Parameters dialog box, off by default.

SELE
 —

Select Entities dialog box, off by default.

ANNO
 —

Annotation dialog box, off by default.

HARD
 —

Hard Copy dialog box, off by default.

UTIL
 —

Turns on the pre-ANSYS 6.1 (UIDL) GUI, off by default.

KEY

Switch value:

OFF or 0
 —

Component does not appear when GUI is initialized.

ON or 1
 —

Component appears when GUI is initialized.

Command Default

Same as Label defaults.

Notes

Controls which components appear when the Graphical User Interface (GUI) is initially brought up. This command is valid only before the GUI is brought up [/MENU,ON] and is intended to be used in the start110.ans file. It only affects how the GUI is initialized; you can always bring up or close any component once you are in the GUI.

This command is valid only at the Begin Level.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MSSPEC 		Up / Home Next
MSTERM


MSTERM

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MSTERM, SPNUM, STER, TTER

Sets the convergence monitors for species.

PREP7: FLOTRAN Multiple Species

MP <> <> <> <> <> <> FL <> <> <> PP <>

SPNUM

Species number, from 1 to 6. Must be specified.

STER

Termination criteria for steady-state analysis. Defaults to 1 x 10-8.

TTER

Termination criteria for transient analysis. Defaults to 1 x 10-6.

Notes

Repeat command to set each species number as required.

All specified criteria must be met before the case is terminated.

If a termination criterion for a specific species number is set negative, the termination check is ignored for that particular species.

This command is valid for the multiple species transport option in a FLOTRAN analysis.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Multiple Species
Main Menu>Solution>FLOTRAN Set Up>Multiple Species

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/MSTART 		Up / Home Next
MSVARY


MSVARY

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MSVARY, SPNUM, Lab, Key

Allows species properties to vary between global iterations.

PREP7: FLOTRAN Multiple Species

MP <> <> <> <> <> <> FL <> <> <> PP <>

SPNUM

Species number, from 1 to 6. Must be specified.

Lab

Label identifying the species property:

DENS
—

Density.

VISC
—

Viscosity.

COND
—

Thermal conductivity.

MDIF
—

Mass diffusion coefficient.

Key

Key to allow property variation between global iterations:

OFF
—

Variation not allowed (default).

ON
—

Variation allowed.

Command Default

No property is allowed to vary between global iterations within a load step.

Notes

This command is valid for the multiple species transport option in a FLOTRAN analysis.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>FLOTRAN Set Up>Multiple Species
Main Menu>Solution>FLOTRAN Set Up>Multiple Species

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MSTERM 		Up / Home Next
MXPAND


MXPAND

Release 11.0 Documentation for ANSYS

Commands Reference | M Commands |

MXPAND, NMODE, FREQB, FREQE, Elcalc, SIGNIF

Specifies the number of modes to expand and write for a modal or buckling analysis.

SOLUTION: Dynamic Options

SOLUTION: Nonlinear Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NMODE

Number of modes to expand and write. If blank, expand and write all modes within the frequency range specified. If -1, do not expand and do not write modes to the results file during the analysis.

FREQB

Beginning, or lower end, of frequency range of interest. If FREQB and FREQE are both blank, expand and write the number of modes specified without regard to the frequency range. Defaults to the entire range.

FREQE

Ending, or upper end, of frequency range of interest.

Elcalc

Element calculation key:

NO
 —

Do not calculate element results and reaction forces (default).

YES
 —

Calculate element results and reaction forces, as well as the nodal degree of freedom solution.

SIGNIF

Expand only those modes whose significance level exceeds the SIGNIF threshold. The significance level of a mode is defined as the mode coefficient of the mode, divided by the maximum mode coefficient of all modes. Any mode whose significance level is less than SIGNIF is considered insignificant and is not expanded. The higher the SIGNIF threshold, the fewer the number of modes expanded. SIGNIF defaults to 0.001. If SIGNIF is specified as 0.0, it is taken as 0.0. SIGNIF value is only used for single-point or DDAM response (SPOPT,SPRS or DDAM) analyses.

Command Default

Mode shapes (displacements) are expanded and output to the results file (so that if you need to inspect the mode shapes, it is not necessary to run the analysis again). Element stresses are not expanded.

Notes

Specifies the number of modes to expand and write over a frequency range for a modal (ANTYPE,MODAL) or buckling (ANTYPE,BUCKLE) analysis. For reduced analyses, an expansion is required. If used in SOLUTION, this command is valid only within the first load step.

There is no limit on the number of expanded modes (NMODE). However, there is a limit on the maximum number of modes used via the *GET,,MODE command, mode combinations, and the MDAMP command.

In a Distributed ANSYS analysis, you must issue MXPAND to specify the number of modes to expand when computing the modes and mode shapes. In a Distributed ANSYS run, MXPAND cannot be issued in an expansion pass (EXPASS).

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Preprocessor>Loads>Load Step Opts>ExpansionPass>Single Expand>Expand Modes
Main Menu>Solution>Analysis Type>Analysis Options
Main Menu>Solution>Load Step Opts>ExpansionPass>Single Expand>Expand Modes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MSVARY 		Up / Home Next
N Commands


N Commands

Table of Contents

N - Defines a node.
NANG - Rotates a nodal coordinate system by direction cosines.
NCNV - Sets the key to terminate an analysis.
NDELE - Deletes nodes.
NDIST - Calculates and lists the distance between two nodes.
NDSURF - Generates surface elements overlaid on the edge of existing elements and assigns the extra node as the closest fluid element node.
NEQIT - Specifies the maximum number of equilibrium iterations for nonlinear analyses.
/NERR - Limits the number of warning and error messages displayed.
NFORCE - Sums the nodal forces and moments of elements attached to nodes.
NGEN - Generates additional nodes from a pattern of nodes.
NKPT - Defines a node at an existing keypoint location.
NLDIAG - Sets nonlinear diagnostics functionality.
NLDPOST - Gets element component information from nonlinear diagnostic files.
NLGEOM - Includes large-deflection effects in a static or full transient analysis.
NLHIST - Specify result items to track during solution.
NLIST - Lists nodes.
NLOG - Forms the natural log of a variable.
NLOPT - Specifies "Nonlinear analysis options" as the subsequent status topic.
NMODIF - Modifies an existing node.
NOCOLOR - Removes color from graphics displays.
NODES - Specifies "Nodes" as the subsequent status topic.
/NOERASE - Prevents the screen erase between displays.
/NOLIST - Suppresses the data input listing.
NOOFFSET - Prevents the CDREAD command from offsetting specified data items
NOORDER - Re-establishes the original element ordering.
/NOPR - Suppresses the expanded interpreted input data listing.
NORA - Rotates nodal coordinate systems to surface normal
NORL - Rotates nodal coordinate systems perpendicular to line normal
/NORMAL - Allows displaying area elements by top or bottom faces.
NPLOT - Displays nodes.
NPRINT - Defines which time points stored are to be listed.
NREAD - Reads nodes from a file.
NREFINE - Refines the mesh around specified nodes.
NRLSUM - Specifies the Naval Research Laboratory (NRL) sum mode combination method.
NROPT - Specifies the Newton-Raphson options in a static or full transient analysis.
NROTAT - Rotates nodal coordinate systems into the active system.
NRRANG - Specifies the range of nodes to be read from the node file.
NSCALE - Generates a scaled set of nodes from a pattern of nodes.
NSEL - Selects a subset of nodes.
NSLA - Selects those nodes associated with the selected areas.
NSLE - Selects those nodes attached to the selected elements.
NSLK - Selects those nodes associated with the selected keypoints.
NSLL - Selects those nodes associated with the selected lines.
NSLV - Selects those nodes associated with the selected volumes.
NSMOOTH - Smooths selected nodes among selected elements.
NSOL - Specifies nodal data to be stored from the results file.
NSORT - Sorts nodal data.
NSTORE - Defines which time points are to be stored.
NSUBST - Specifies the number of substeps to be taken this load step.
NSVR - Defines the number of variables for user-programmable element options.
NSYM - Generates a reflected set of nodes.
/NUMBER - Specifies whether numbers, colors, or both are used for displays.
NUMCMP - Compresses the numbering of defined items.
NUMEXP - Specifies solutions to be expanded from reduced analyses.
NUMMRG - Merges coincident or equivalently defined items.
NUMOFF - Adds a number offset to defined items.
NUMSTR - Establishes starting numbers for automatically numbered items.
NUMVAR - Specifies the number of variables allowed in POST26.
NUSORT - Restores original order for nodal data.
NWPAVE - Moves the working plane origin to the average location of nodes.
NWPLAN - Defines the working plane using three nodes.
NWRITE - Writes nodes to a file.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MXPAND 		Up / Home Next
N


N

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

N, NODE, X, Y, Z, THXY, THYZ, THZX

Defines a node.

PREP7: Nodes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NODE

Node number to be assigned. A previously defined node of the same number will be redefined. Defaults to the maximum node number used +1.

X, Y, Z

Node location in the active coordinate system (R, θ, Z for cylindrical, R, θ, Φ for spherical or toroidal). If X = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

THXY

First rotation about nodal Z (positive X toward Y).

THYZ

Second rotation about nodal X (positive Y toward Z).

THZX

Third rotation about nodal Y (positive Z toward X).

Notes

Defines a node in the active coordinate system [CSYS]. The nodal coordinate system is parallel to the global Cartesian system unless rotated. Rotation angles are in degrees and redefine any previous rotation angles. See the NMODIF, NANG, NROTAT, and NORA commands for other rotation options.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Nodes>In Active CS
Main Menu>Preprocessor>Modeling>Create>Nodes>On Working Plane

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
N Commands 		Up / Home Next
NANG


NANG

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NANG, NODE, X1, X2, X3, Y1, Y2, Y3, Z1, Z2, Z3

Rotates a nodal coordinate system by direction cosines.

PREP7: Nodes

MP ME ST PR PRN <> <> <> EM <> <> PP <>

NODE

Rotate coordinate system of this node.

X1, X2, X3

Global X, Y, Z components of a unit vector in new nodal X direction.

Y1, Y2, Y3

Global X, Y, Z components of a unit vector in new nodal Y direction.

Z1, Z2, Z3

Global X, Y, Z components of a unit vector in new nodal Z direction.

Notes

Rotates a nodal coordinate system to the orientation specified by the X, Y and Z direction cosines. Existing rotation specifications on the node are redefined. If only two of the three unit vectors are specified, the third is defined according to the right hand rule. It is the responsibility of the user to ensure that input direction cosines are orthogonal in a right-handed system.

See the NMODIF, NROTAT, and NORA commands for other rotation options.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Nodes>RotateNode>By Vectors
Main Menu>Preprocessor>Modeling>Move / Modify>RotateNode>By Vectors

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
N 		Up / Home Next
NCNV


NCNV

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NCNV, KSTOP, DLIM, ITLIM, ETLIM, CPLIM

Sets the key to terminate an analysis.

SOLUTION: Nonlinear Options

MP ME ST PR PRN <> <> <> EM <> <> PP <>

KSTOP

Program behavior upon nonconvergence:

0
 —

Do not terminate the analysis if the solution fails to converge.

1
 —

Terminate the analysis and the program execution if the solution fails to converge (default).

2
 —

Terminate the analysis, but not the program execution, if the solution fails to converge.

DLIM

Terminates program execution if the largest nodal DOF solution value (displacement, temperature, etc.) exceeds this limit. Defaults to 1.0E6 for all DOF except MAG and A and FLOTRAN DOF. Defaults to 1.0E10 for MAG and A. Defaults to 1.0E20 for the FLOTRAN VX, VY, VZ, PRES, and TEMP DOF. Does not apply to the FLOTRAN ENKE and ENDS DOF.

ITLIM

Terminates program execution if the cumulative iteration number exceeds this limit (defaults to infinity).

ETLIM

Terminates program execution if the elapsed time (seconds) exceeds this limit (defaults to infinity).

CPLIM

Terminates program execution if the CPU time (seconds) exceeds this limit (defaults to infinity).

Command Default

As described for each argument above.

Notes

Sets the key to terminate an analysis if not converged, or if any of the following limits are exceeded for nonlinear and full transient analyses: DOF (displacement), cumulative iteration, elapsed time, or CPU time limit. Applies only to static and transient analyses (ANTYPE,STATIC and ANTYPE,TRANS), and FLOTRAN analyses. Time limit checks are made at the end of each equilibrium iteration. This command is ignored during an optimization run.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Sol'n Controls>Advanced NL
Main Menu>Preprocessor>Loads>Load Step Opts>Nonlinear>Criteria to Stop
Main Menu>Solution>Analysis Type>Sol'n Controls>Advanced NL
Main Menu>Solution>Load Step Opts>Nonlinear>Criteria to Stop

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NANG 		Up / Home Next
NDELE


NDELE

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NDELE, NODE1, NODE2, NINC

Deletes nodes.

PREP7: Nodes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NODE1, NODE2, NINC

Delete nodes from NODE1 to NODE2 (defaults to NODE1) in steps of NINC (defaults to 1). If NODE1 = ALL, NODE2 and NINC are ignored and all selected nodes [NSEL] are deleted. If NODE1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NODE1.

Notes

Deletes selected nodes that are not connected to elements. Nodes may also be redefined instead of deleted, if desired. Boundary conditions (displacements, forces, etc.) as well as any coupling or constraint equations containing the deleted nodes are also deleted.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Circuit>Delete Elements
Main Menu>Preprocessor>Modeling>Delete>Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NCNV 		Up / Home Next
NDIST


NDIST

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NDIST, ND1, ND2

Calculates and lists the distance between two nodes.

PREP7: Nodes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ND1

First node in distance calculation. If ND1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

ND2

Second node in distance calculation.

Notes

NDIST lists the distance between nodes ND1 and ND2, as well as the current coordinate system offsets from ND1 to ND2, where the X, Y, and Z locations of ND1 are subtracted from the X, Y, and Z locations of ND2 (respectively) to determine the offsets. NDIST is valid in any coordinate system except toroidal [CSYS,3].

NDIST returns a variable, called "_RETURN," which contains the distance value. You can use this value for various purposes, such as the calculation of distributed loads. In interactive mode, you can access this command by using the Model Query Picker (Utility Menu> List> Picked Entities), where you can also access automatic annotation functions and display the value on your model.

This command is valid in any processor.

Menu Paths

Main Menu>Preprocessor>Modeling>Check Geom>ND distances

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NDELE 		Up / Home Next
NDSURF


NDSURF

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NDSURF, Snode, Telem, DIMN

Generates surface elements overlaid on the edge of existing elements and assigns the extra node as the closest fluid element node.

PREP7: Elements

MP ME <> PR <> <> <> <> <> <> <> PP <>

Snode

Component name for the surface nodes of the solid elements.

Telem

Component name for the target fluid elements.

DIMN

Model dimensionality:

2
—

2-D model.

3
—

3-D model.

Notes

This command macro is used to generate surface effect elements (SURF151 or SURF152) overlaid on the surface of existing plane or solid elements and, based on proximity, to determine and assign the extra node (FLUID116) for each surface element. The active element type must be SURF151 or SURF152 with appropriate settings for KEYOPT(4), KEYOPT(5), KEYOPT(6), and KEYOPT(8).

The surface nodes of the plane or solid elements must be grouped into a node component and the fluid elements must be grouped into an element component and named using the CM command. The names must be enclosed in single quotes (e.g., 'NOD') when the NDSURF command is manually typed in.

When using the GUI method, node and element components are created through the picking dialog boxes associated with this command.

The macro is applicable for the SURF151, SURF152, and FLUID116 element types.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Elements>Surf / Contact>Surf Effect>Attch to Fluid>Area to Fluid
Main Menu>Preprocessor>Modeling>Create>Elements>Surf / Contact>Surf Effect>Attch to Fluid>Line to Fluid
Main Menu>Preprocessor>Modeling>Create>Elements>Surf / Contact>Surf Effect>Attch to Fluid>Node to Fluid

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NDIST 		Up / Home Next
NEQIT


NEQIT

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NEQIT, NEQIT

Specifies the maximum number of equilibrium iterations for nonlinear analyses.

SOLUTION: Nonlinear Options

MP ME ST PR PRN <> <> <> EM <> <> PP <>

NEQIT

Maximum number of equilibrium iterations allowed each substep.

Command Default

When SOLCONTROL,ON, NEQIT is set between 15 and 26 depending on the physics of the problem. When SOLCONTROL,OFF, NEQIT defaults to 25 for all cases.

Notes

See the description of SOLCONTROL for a complete listing of the defaults set by SOLCONTROL,ON and SOLCONTROL,OFF.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Sol'n Controls>Nonlinear
Main Menu>Preprocessor>Loads>Load Step Opts>Nonlinear>Equilibrium Iter
Main Menu>Solution>Analysis Type>Sol'n Controls>Nonlinear
Main Menu>Solution>Load Step Opts>Nonlinear>Equilibrium Iter

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NDSURF 		Up / Home Next
/NERR


/NERR

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

/NERR, NMERR, NMABT, --, IFKEY, NUM

Limits the number of warning and error messages displayed.

SESSION: Run Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NMERR

Maximum number of warning and error messages displayed per command. Defaults to 5 for interactive runs with the GUI turned on, 20 for interactive runs with the GUI turned off, 200 for batch runs. If NMERR is negative, the absolute value of NMERR is used as the maximum number of warning and error messages written to the error file (file.ERR) per command, as well as the maximum number of messages displayed per command.

NMABT

Maximum number of warning and error messages allowed per command before run aborts (must be greater than zero). Maximum value is 99,999,999. Defaults to 10,000.

--

Unused field.

IFKEY

Specifies whether or not to abort if an error occurs during a /INPUT operation:

0 or OFF
 —

Do not abort. This option is the default.

1 or ON
 —

Abort.

NUM

The number of invalid command warnings before a stop warning will be issued:

0
 —

Disables the stop warning/error function.

n
 —

An integer value representing the number of warnings that will be encountered before prompting the user to stop (default = 5). The first error encountered will ALWAYS result in a prompt.

Note

Invalid command warnings and error tracking are mutually exclusive.

Command Default

As described above.

Notes

Limits the number of warning and error messages displayed for any one command in an interactive run.

Warning and error messages continue to be written to Jobname.ERR regardless of these limits (unless NMERR is negative).

Issue this command with NUM = n to specify the number of "invalid command" warnings to be encountered before the user is prompted to stop. You can then continue or abort the run. If you choose to abort the run, the log file can be saved so that any of the processing up to that point can be appended to an input that rectifies the condition. A batch run always aborts on the first error. Issue /NERR,STAT to list current settings.

Issue /NERR,DEFA to reset values to initial defaults.

An IFKEY value of 1 or ON causes the ANSYS program to abort immediately upon encountering an error during a file /INPUT operation. However, use of this option may cause the following conditions to occur:

  • The /INPUT command may abort if issued for a log file (jobname.log).

  • Some macros may abort.

  • A CAD connection may fail after reading only a small portion of a CAD model.

The command is valid in any processor.

Menu Paths

Utility Menu>MenuCtrls>Message Controls

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NEQIT 		Up / Home Next
NFORCE


NFORCE

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NFORCE, ITEM

Sums the nodal forces and moments of elements attached to nodes.

POST1: Special Purpose

MP ME ST PR PRN <> <> <> EM <> <> PP <>

ITEM

Specifies the selected set of nodes for summing forces and moments for contact elements.

blank
 —

Sums the nodal forces of elements for all selected nodes and excludes contact elements (elements 169-177).

CONT
 —

Sums the nodal forces of elements for contact nodes only.

BOTH
 —

Sums the nodal forces of elements for all selected nodes, including contact elements.

Notes

Sums and prints, in each component direction for each selected node, the nodal force and moment contributions of the selected elements attached to the node. If all elements are selected, the sums are usually zero except where constraints or loads are applied. The nodal forces and moments may be displayed [/PBC,FORC and /PBC,MOME]. Use PRESOL to print nodal forces and moments on an element-by-element basis. You can use the FORCE command to specify which component (static, damping, inertia, or total) of the nodal load is to be used. Nodal forces associated with surface loads are not included.

This vector sum is printed in the global Cartesian system. Moment summations are about the global origin unless another point is specified with the SPOINT command. The summations for each node are printed in the global Cartesian system unless transformed [RSYS]. This command is generally not applicable to axisymmetric models because moment information from the NFORCE command is not correct for axisymmetric elements.

Selecting a subset of elements [ESEL] and then issuing this command will give the forces and moments required to maintain equilibrium of that set of elements. The effects of nodal coupling and constraint equations are ignored. The option ITEM = CONT provides the forces and moments for the contact elements (CONTA171, CONTA172, CONTA173, CONTA174, CONTA175, CONTA176, and CONTA177). Setting ITEM = BOTH provides the forces and moments for all selected nodes, including contact elements.

This command also includes the FSUM command function which vectorially sums and prints, in each component direction for the total selected node set, the nodal force and moment contributions of the selected elements attached to the selected node set.

Menu Paths

Main Menu>General Postproc>Nodal Calcs>Sum @ Each Node

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/NERR 		Up / Home Next
NGEN


NGEN

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NGEN, ITIME, INC, NODE1, NODE2, NINC, DX, DY, DZ, SPACE

Generates additional nodes from a pattern of nodes.

PREP7: Nodes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ITIME, INC

Do this generation operation a total of ITIME times, incrementing all nodes in the given pattern by INC each time after the first. ITIME must be > 1 for generation to occur.

NODE1, NODE2, NINC

Generate nodes from the pattern of nodes beginning with NODE1 to NODE2 (defaults to NODE1) in steps of NINC (defaults to 1). If NODE1 = ALL, NODE2 and NINC are ignored and the pattern is all selected nodes [NSEL]. If NODE1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NODE1 (NODE2 and NINC are ignored).

DX, DY, DZ

Node location increments in the active coordinate system (DR, Dθ, DZ for cylindrical, DR, Dθ, DΦ for spherical or toroidal).

SPACE

Spacing ratio. Ratio of last division size to first division size. If > 1.0, divisions increase. If < 1.0, divisions decrease. Ratio defaults to 1.0 (uniform spacing).

Note

The average spacing ratio remains 1.0, such that the location of the last generated set will be the same regardless of SPACE. SPACE only serves to skew the position of the nodes between the pattern set and the last set.

Notes

Generates additional nodes from a given node pattern. Generation is done in the active coordinate system. Nodes in the pattern may have been generated in any coordinate system.

Menu Paths

Main Menu>Preprocessor>Modeling>Copy>Nodes>Copy

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NFORCE 		Up / Home Next
NKPT


NKPT

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NKPT, NODE, NPT

Defines a node at an existing keypoint location.

PREP7: Nodes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NODE

Arbitrary reference number for node. If zero or blank, defaults to the highest node number +1 [NUMSTR].

NPT

Keypoint number defining global X, Y, Z location. If NPT = All, then a node will be placed at each selected keypoint. If NPT = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NPT.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Nodes>On Keypoint

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NGEN 		Up / Home Next
NLDIAG


NLDIAG

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NLDIAG, Label, Key

Sets nonlinear diagnostics functionality.

SOLUTION: Nonlinear Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Label

Specifies a diagnostic function:

NRRE
 —

Store the Newton-Raphson residuals information.

EFLG
 —

Identify or display elements or nodes that violate the criteria.

MAXF
 —

Set a maximum number of files (MaxFile) to create. Information is written to Jobname.ndxxx or Jobname.nrxxx, where xxx iterates from 001 through MaxFile. When the maximum number of files is reached, the counter resets to 001 and earlier files are overwritten.

CONT
 —

Write contact information to a single Jobname.cnd text file during solution.

Key

Sets the characteristics of the diagnostic function:

OFF, or 0
 —

Suppresses writing of diagnostic information. This value is the default.

ON, or 1
 —

Writes diagnostic information to the Jobname.ndxxx, Jobname.nrxxx, or Jobname.cnd file. (If Label = CONT, this option is the same as the SUBS option described below.)

ITER
—

Writes contact diagnostic information at each iteration. Valid only when Label = CONT.

SUBS
—

Writes contact diagnostic information at each substep. Valid only when Label = CONT.

LSTP
—

Writes contact diagnostic information at each load step. Valid only when Label = CONT.

STAT
 —

Lists information about the diagnostic files in the current working directory.

DEL
 —

Deletes all diagnostic files in the current working directory.

MaxFile
 —

Sets the maximum number of files to create (Jobname.ndxxx or Jobname.nrxxx). Valid values are 1 through 999. The default is 10. (If you change the default MaxFile value, that value is retained until you change it again.) Valid only when Label = MAXF.

Command Default

No nonlinear diagnostic files are written.

Notes

The NLDIAG command is a nonlinear diagnostics tool valid for nonlinear structural analyses. It is a debugging tool for use when you must restart after an unconverged solution. The command creates Jobname.ndxxx, Jobname.nrxxx, or Jobname.cnd files in the working directory to store the information you specify.

Newton-Raphson residual. Issue the NLDIAG,NRRE,ON command to create Jobname.nrxxx files which store the relevant Newton-Raphson residual information for the last MaxFile equilibrium iterations. Issue a NLDPOST,NRRE,STAT command to list the load step, substep, time, and equilibrium iteration corresponding to each of the Jobname.nrxxx files in the working directory, then issue a PLNSOL,NRRES,,,,FileID command to point to the file from which you want to create a contour plot of your Newton-Raphson residuals.

For NLDIAG,NRRE,ON, any Jobname.nrxxx files in the current (working) directory are overwritten when you issue a new SOLVE command (or restart).

Element components that violate criteria. Issue a NLDIAG,EFLG,ON command to create Jobname.ndxxx files which store IDs for elements violating the following criteria:˙

  • Too large a distortion

  • Elements contain nodes that have near zero pivots for nonlinear analyses

  • Too large a plastic/creep strain increment (CUTCONTROL)

  • Elements for which mixed u-P constraints are not satisfied (mixed U-P option of 18x solid elements only)

For NLDIAG,EFLG,ON, all Jobname.ndxxx diagnostic files in the current (working) directory are deleted when you issue a new SOLVE command (or restart).

In the solution processor (/SOLU), use the STAT option to list the active status of this command. In the postprocessor (/POST1), issue a NLDPOST,EFLG,STAT command to list the load step, substep, time, and equilibrium iteration corresponding to each of the Jobname.ndxxx files in the working directory, then issue a NLDPOST,EFLG,CM,FileID command to create element components that violate the criteria.

Contact diagnostic. Issue the NLDIAG,CONT,ON command to create a Jobname.cnd file which stores contact information for all defined contact pairs at all substeps. Alternatively, you may issue one of the following commands to store contact information at a specific frequency:

  • NLDIAG,CONT,ITER to write at each iteration

  • NLDIAG,CONT,SUBS to write at each substep (default)

  • NLDIAG,CONT,LSTP to write at each load step

File Jobname.cnd is written during solution and lists, on a pair-base, the following contact information:

  • Number of contact elements in contact[1]

  • Number of contact elements in "sticking" contact status

  • Maximum chattering level

  • Maximum contact penetration/Minimum gap[2]

  • Maximum closed gap

  • Maximum normal contact stiffness

  • Minimum normal contact stiffness

  • Maximum resulting pinball

  • Maximum elastic slip distance

  • Maximum tangential contact stiffness

  • Minimum tangential contact stiffness

  • Maximum sliding distance

  • Maximum contact pressure

  • Maximum friction stress

  • Average contact depth

  • Maximum closed penetration

  • Number of contact points having too much penetration

  1. If >0, this quantity indicates the number of contact elements in contact. Other values are interpreted as follows:

    0 indicates that the contact pair is in near-field contact status.
    -1 indicates that the contact pair is in far-field contact status.
    -2 indicates that the contact pair is inactive (symmetric to asymmetric contact)

  2. A positive value indicates penetration and a negative value indicates a gap. If the contact pair has a far-field contact status, penetration and gap are not available and the value stored is the current pinball radius.

In the solution processor (/SOLU), use the STAT option to list the active status of the NLDIAG,CONT command. No counterpart exists for the CONT option in the NLDPOST command at this time. If you subsequently issue a new SOLVE command (or restart), the Jobname.cnd file in the current (working) directory is not deleted; information is appended to it. You should delete the existing file (NLDIAG,CONT,DEL command) if you do not want to retain diagnostic information from previous solutions.

For more information, see Performing Nonlinear Diagnostics.

Distributed ANSYS supports only the contact diagnostic option (NLDIAG,CONT).

Menu Paths

Main Menu>Solution>Diagnostics>Nonlinear Diagnostics

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NKPT 		Up / Home Next
NLDPOST


NLDPOST

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NLDPOST, Label, Key, FileID, Prefix

Gets element component information from nonlinear diagnostic files.

POST1: Special Purpose

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Label

Specifies the type of command operation:

EFLG
 —

Element flag for nonlinear diagnostics.

NRRE
 —

Newton-Raphson residuals.

Key

Specifies the command action:

STAT
 —

List information about the diagnostic files (Jobname.ndxxx or Jobname.nrxxx) in the current directory.

For Label = EFLG, the listing gives a summary that associates the loadstep, substep, time, equilibrium iteration number, cumulative iteration number, and the number of elements that fail each criteria with a specific file ID (Jobname.ndxxx). Use the list to create element components (via the the CM option) based on the cumulative iteration number.

For Label = NRRE, the listing provides a summary that associates the loadstep, substep, time, equilibrium iteration number, and cumulative iteration number with a specific file ID (Jobname.nrxxx). Use the list to identify the respective file ID for creating Newton-Raphson residual contour plots (PLNSOL,NRRE,…,FileID).

DEL
 —

Delete Jobname.ndxxx or Jobname.nrxxx files in the working directory, if any exist.

CM
 —

Create components for elements that violate criteria. This value is valid only when Label = EFLG.

FileID

Valid only when Label = EFLG and Key = CM, this value specifies file IDs:

IDnum
 —

The file ID number. Creates the element components from the diagnostic files corresponding to the specified file ID number in the working directory.

ALL
 —

Creates element components from all available diagnostic files residing in the working directory. This value is the default if you do not specify an IDnum value.

Prefix

Sets the prefix name for components. Specify up to 21 alphanumeric characters.

Command Default

The NLDPOST command has no defaults.

Notes

Based on the nonlinear diagnostic results (created via the NLDIAG,EFLG command), the NLDPOST command creates element components with predefined names.

The following table lists the diagnostic criteria and component names (with specified prefix and without). Here xxx corresponds to the file ID (FileID) of Jobname.ndxxx or Jobname.nrxxx.

Elements with: | If prefix is specified: | Without prefix specified:
Too large a plastic strain increment | prefix_xxx_eppl | ndxxx_eppl
Too large a creep strain increment | prefix_xxx_epcr | ndxxx_epcr
Unsatisfied mixed u-P constraints | prefix_xxx_mxup | ndxxx_mxup
Too much distortion | prefix_xxx_hdst | ndxxx_hdst
Negative/small pivots | prefix_xxx_pivt | ndxxx_pivt

For more information, see Performing Nonlinear Diagnostics.

Menu Paths

Main Menu>General Postproc>Nonlinear Diagnostics

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NLDIAG 		Up / Home Next
NLGEOM


NLGEOM

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NLGEOM, Key

Includes large-deflection effects in a static or full transient analysis.

SOLUTION: Nonlinear Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

Key

Large-deflection key:

OFF
 —

Ignores large-deflection effects (that is, a small-deflection analysis is specified). This option is the default.

ON
 —

Includes large-deflection (large rotation) effects or large strain effects, according to the element type.

Command Default

Large-deflection effects are ignored.

Notes

Large-deflection effects are categorized as either large deflection (or large rotation) or large strain, depending on the element type. These are listed (if available) under Special Features in the input data table for each element in the Elements Reference. If used during the solution (/SOLU), this command is valid only within the first load step.

In a large-deflection analysis, pressure loads behave differently than other load types. For more information, see Load Direction in a Large-Deflection Analysis.

The gyroscopic matrix (that occurs due to rotational angular velocity) does not support large-deflection effects. The theoretical formulations for the gyroscopic matrix support small deflection (linear formulation) only.

This command is also valid in PREP7.

Product Restrictions

In ANSYS Professional, large deflection effects should not be turned on if 2-D solid (PLANEn) or 3-D solid (SOLIDn) elements are defined.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Preprocessor>Loads>Analysis Type>Sol'n Controls>Basic
Main Menu>Solution>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>Sol'n Controls>Basic

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NLDPOST 		Up / Home Next
NLHIST


NLHIST

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NLHIST, Key, Name, Item, Comp, NODE, ELEM, SHELL, LAYER

Specify result items to track during solution.

SOLUTION: Nonlinear Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Key

Specifies the command operation:

NSOL
 —

Nodal solution data.

ESOL
 —

Element nodal data.

PAIR
—

Contact data (pair-based).

STAT
 —

Displays a list of items to track.

OFF, or 0
 —

Deactivates tracking of all variables. This value is the default.

ON, or 1
 —

Activates tracking of all variables. Tracking also activates whenever any specification changes.

DEL
 —

Removes the specified variable from the set of result items to track. If Name = ALL (default), all specifications are removed.

Name

The 32-character user-specified name.

Item, Comp

Predetermined output item and component label for valid elements. See the Elements Reference for more information.

NODE

Valid node number (if Key = NSOL or ESOL), or valid real constant set number (if Key = PAIR) identifying a contact pair. Required input for NSOL, ESOL, and PAIR items.

ELEM

Valid element number for element results. Used for ESOL items. If ELEM is specified, then a node number that belongs to the element must also be specified in the NODE field.

SHELL

Valid labels are TOP, MID or BOT. This field can specify the location on shell elements for which to retrieve data. Used only for element nodal data (ESOL).

LAYER

Layer number (for layered elements only). Used only for element nodal data (ESOL).

Notes

The NLHIST command is a nonlinear diagnostics tool allowing you to monitor diagnostics results of interest in real time during solution.

You can track a maximum of 50 variables during solution. The specified result quantities are written to the file Jobname.nlh. Nodal results and contact results are written for every converged substep (irrespective of the OUTRES command setting) while element results are written only at time points specified via the OUTRES command. For time points where element results data is not available, a very small number is written instead. If the conditions for contact to be established are not satisfied, 0.0 will be written for contact results.

Results tracking is available only for a nonlinear structural analysis (static or transient), a nonlinear steady-state thermal analysis, or a transient thermal analysis (linear or nonlinear). All results are tracked in the Solution Coordinate System (that is, nodal results are in the nodal coordinate system and element results are in the element coordinate system). Results tracking is not available for FLOTRAN analyses.

The Jobname.nlh file is an ASCII file that lists each time point at which a converged solution occurs along with the values of the relevant result quantities.

The GUI option Solution> Results tracking provides an interface to define the result items to be tracked. The GUI also allows you to graph one or more variables against time or against other variables during solution. You can use the interface to graph or list variables from any .nlh file generated by the ANSYS program.

You can also track results during batch runs. Either access the ANSYS Launcher and select File Tracking from the Tools menu, or type nlhist110 at the command line. Use the supplied file browser to navigate to your Jobname.nlh file, and click on it to invoke the tracking utilty. You can use this utilty to read the file at any time, even after the solution is complete (the data in the file must be formatted correctly).

Specifications that you set via the NLHIST command are not saved in the database (.db file).

NLHIST - Valid NSOL Item and Component Labels

Item | Comp | Description
U | X, Y, Z | X, Y, or Z structural displacement.
ROT | X, Y, Z | X, Y, or Z structural rotation.
F | X, Y, Z | X, Y, or Z structural reaction force.
M | X, Y, Z | X, Y, or Z structural reaction moment.
TEMP [1] | - | Temperature.
TEMP | MAX, MIN | Maximum or minimum temperature in the model.
HEAT [2] | - | Reaction heat flow.

  1. For SHELL131 and SHELL132 elements with KEYOPT(3) = 0 or 1, use the labels TBOT, TE2, TE3, . . ., TTOP instead of TEMP.

  2. For SHELL131 and SHELL132 elements with KEYOPT(3) = 0 or 1, use the labels HBOT, HE2, HE3, . . ., HTOP instead of HEAT.

NLHIST - Valid ESOL Item and Component Labels

Item | Comp | Description
S | X, Y, Z, XY, YZ, XZ | Component stress.
" | 1, 2, 3 | Principal stress.
" | INT | Stress intensity.
" | EQV | Equivalent stress.
EPEL | X, Y, Z, XY, YZ, XZ | Component elastic strain.
" | 1, 2, 3 | Principal elastic strain.
" | INT | Elastic strain intensity.
" | EQV | Elastic equivalent strain.
EPPL | X, Y, Z, XY, YZ, XZ | Component plastic strain.
" | 1, 2, 3 | Principal plastic strain.
" | INT | Plastic strain intensity.
" | EQV | Plastic equivalent strain.
EPCR | X, Y, Z, XY, YZ, XZ | Component creep strain.
" | 1, 2, 3 | Principal creep strain.
" | INT | Creep strain intensity.
" | EQV | Creep equivalent strain.
EPTH | X, Y, Z, XY, YZ, XZ | Component thermal strain.
" | 1, 2, 3 | Principal thermal strain.
" | INT | Thermal strain intensity.
" | EQV | Thermal equivalent strain.
NL | SEPL | Equivalent stress (from stress-strain curve).
" | SRAT | Stress state ratio.
" | HPRES | Hydrostatic pressure.
" | EPEQ | Accumulated equivalent plastic strain.
" | CREQ | Accumulated equivalent creep strain.
" | PSV | Plastic state variable.
" | PLWK | Plastic work/volume.
TG | X, Y, Z, SUM | Component thermal gradient or vector sum.
TF | X, Y, Z, SUM | Component thermal flux or vector sum.

ETABLE items are not supported for ESOL items.

PAIR solution quantities are output on a "per contact pair" basis. As a consequence, the corresponding values listed in the Jobname.nlh file represent a minimum or a maximum over the associated contact pair, as detailed in the table below.

NLHIST - Valid PAIR Item and Component Labels

Item Comp Description
CONT ELCN If >0, number of contact elements in contact. Other values are interpreted as follows:
0 indicates the contact pair is in near-field contact status.
-1 indicates the contact pair is in far-field contact status.
-2 indicates that the contact pair is inactive (symmetric to asymmetric contact).
" ELST Number of contact elements in sticking contact status.
" CNOS Maximum chattering level.
" PENE Maximum penetration (or minimum gap). [1]
" CLGP Maximum closed (geometrical) gap.
" SLID Maximum total sliding distance.
" ESLI Maximum elastic slip distance.
" KNMX Maximum normal contact stiffness.
" KTMX Maximum tangential contact stiffness.
" KNMN Minimum normal contact stiffness.
" KTMN Minimum tangential contact stiffness.
" PINB Maximum pinball radius.
" PRES Maximum contact pressure.
" SFRI Maximum frictional stress.
" CNDP Average contact depth.
" CLPE Maximum closed (geometrical) penetration.
" LGPE Number of contact points having too much penetration.

  1. For PENE, a positive value indicates a penetration, and a negative value indicates a gap. If the contact pair has a far-field contact status, penetration and gap are not available, and the value stored for PENE is the current pinball radius.

Distributed ANSYS supports only the tracking of pair-based contact data (NLHIST,PAIR) and the applicable supporting options (STAT / ON / OFF / DEL).

Menu Paths

Main Menu>Solution>Results Tracking

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NLGEOM 		Up / Home Next
NLIST


NLIST

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NLIST, NODE1, NODE2, NINC, Lcoord, SORT1, SORT2, SORT3

Lists nodes.

PREP7: Nodes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NODE1, NODE2, NINC

List nodes from NODE1 to NODE2 (defaults to NODE1) in steps of NINC (defaults to 1). If NODE1 = ALL (default), NODE2 and NINC are ignored and all selected nodes [NSEL] are listed. If NODE1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NODE1 (NODE2 and NINC are ignored).

Lcoord

Coordinate listing key:

(blank)
—

List all nodal information

COORD
—

Suppress all but the XYZ coordinates (shown to a higher degree of accuracy than when displayed with all information).

SORT1

First item on which to sort. Valid item names are NODE, X, Y, Z, THXY, THYZ, THXZ

SORT2, SORT3

Second and third items on which to sort. Valid item names are the same as for SORT1.

Notes

Lists nodes in the active display coordinate system [DSYS]. Nodal coordinate rotation angles are also listed (relative to the global Cartesian coordinate system).

Node listing can be in a sorted order (ascending). SORT2, for example, will be carried out on nodes having equal values of SORT1.

This command is valid in any processor.

Menu Paths

Main Menu>General Postproc>List Results>Sorted Listing>Sort Nodes
Utility Menu>List>Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NLHIST 		Up / Home Next
NLOG


NLOG

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NLOG, IR, IA, --, --, Name, --, --, FACTA, FACTB

Forms the natural log of a variable.

POST26: Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

IR

Arbitrary reference number assigned to the resulting variable (2 to NV [NUMVAR]). If this number is the same as for a previously defined variable, the previously defined variable will be overwritten with this result.

IA

Reference number of the variable to be operated on.

--, --

Unused fields.

Name

Thirty-two character name identifying the variable on printouts and displays. Embedded blanks are compressed for output.

--, --

Unused fields.

FACTA

Scaling factor applied to variable IA (defaults to 1.0).

FACTB

Scaling factor (positive or negative) applied to the operation (defaults to 1.0).

Notes

Forms the natural log of a variable according to the operation:

IR = FACTB*LN(FACTA x IA)

Menu Paths

Main Menu>TimeHist Postpro>Math Operations>Natural Log

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NLIST 		Up / Home Next
NLOPT


NLOPT

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NLOPT

Specifies "Nonlinear analysis options" as the subsequent status topic.

SOLUTION: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Solution>Nonlinear Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NLOG 		Up / Home Next
NMODIF


NMODIF

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NMODIF, NODE, X, Y, Z, THXY, THYZ, THZX

Modifies an existing node.

PREP7: Nodes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NODE

Modify coordinates of this node. If ALL, modify coordinates of all selected nodes [NSEL]. If NODE = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NODE.

X, Y, Z

Replace the previous coordinate values assigned to this node with these corresponding coordinate values. Values are interpreted in the active coordinate system (R, θ, Z for cylindrical; R, θ, Φ for spherical or toroidal). Leaving any of these fields blank retains the previous value(s).

THXY

First rotation of nodal coordinate system about nodal Z (positive X toward Y). Leaving this field blank retains the previous value.

THYZ

Second rotation of nodal coordinate system about nodal X (positive Y toward Z). Leaving this field blank retains the previous value.

THZX

Third rotation of nodal coordinate system about nodal Y (positive Z toward X). Leaving this field blank retains the previous value.

Notes

Modifies an existing node. Nodal coordinate system rotation angles are in degrees and redefine any existing rotation angles. Nodes can also be redefined with the N command.

See the NROTAT, NANG, and NORA commands for other rotation options.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Nodes>RotateNode>By Angles
Main Menu>Preprocessor>Modeling>Move / Modify>Nodes>Set of Nodes
Main Menu>Preprocessor>Modeling>Move / Modify>Nodes>Single Node
Main Menu>Preprocessor>Modeling>Move / Modify>RotateNode>By Angles

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NLOPT 		Up / Home Next
NOCOLOR


NOCOLOR

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NOCOLOR, KEY

Removes color from graphics displays.

DISPLAY: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KEY

Color key:

0
—

Color the displays.

1
—

Do not color the displays.

2
—

Do not shade the displays.

Command Default

Color graphics displays (device dependent).

Menu Paths

It is part of the DISPLAY program.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NMODIF 		Up / Home Next
NODES


NODES

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NODES

Specifies "Nodes" as the subsequent status topic.

PREP7: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Preprocessor>Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NOCOLOR 		Up / Home Next
/NOERASE


/NOERASE

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

/NOERASE

Prevents the screen erase between displays.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Command Default

Issue the command with no arguments to prevent automatic screen erase before creating the next display.

Notes

Preventing the normal screen erase between requested displays allows you to overlay multiple views.

Clearing the screen with the ERASE command (Utility Menu> PlotCtrls> Erase Options> Erase screen) active simply clears the display area. Subsequent replots will provide the cumulative plots previously generated by the /NOERASE command.

For 3-D devices, you can issue /DV3D,DELS to suppress repeated screen overlays and generate clear contour plots.

Use the /ERASE command to reactivate automatic screen erase.

For 3-D devices (/SHOW,3D), the model in all active windows will be the same, even if you issue a different display command (NPLOT, EPLOT, etc.) for each active window. Use the Multi-Plot command (GPLOT) to display different entities, in different windows, on 3-D devices.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Erase Options>Erase between Plots

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NODES 		Up / Home Next
/NOLIST


/NOLIST

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

/NOLIST

Suppresses the data input listing.

SESSION: List Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Command Default

Issue the command with no arguments to suppress the data input listing.

Notes

Printout is suppressed until a /GOLIST command is read or the end of the listing is encountered.

This command is valid in any processor, but only within a batch run [/BATCH].

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/NOERASE 		Up / Home Next
NOOFFSET


NOOFFSET

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NOOFFSET, Label

Prevents the CDREAD command from offsetting specified data items

PREP7: Database

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Label

Specifies items not to be offset.

NODE
—

Node numbers

ELEM
—

Node numbers

KP
—

Element numbers

LINE
—

Keypoint numbers

AREA
—

Area numbers

VOLU
—

Volume numbers

MAT
—

Material numbers

TYPE
—

Element type numbers

REAL
—

Real constant numbers

CSYS
—

Coordinate system numbers

SECN
—

Section numbers

CP
—

Coupled set numbers

CE
—

Constraint equation numbers

CLEAR
—

All items will be offset

STATUS
—

Shows which items are specified notto be offset.

Notes

The NOOFFSET command specifies data items not to be offset by a set of data read from a CDREAD command.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/NOLIST 		Up / Home Next
NOORDER


NOORDER

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NOORDER, Lab

Re-establishes the original element ordering.

PREP7: Element Reordering

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Lab

Turns element reordering on or off.

ON (or blank)
 —

Re-establishes original element ordering (default).

OFF
 —

Original ordering is not used and program establishes its own ordering at the beginning of the solution phase.

Notes

If Lab = ON, the original element ordering is re-established and no automatic reordering occurs at the beginning of the solution phase. Use Lab = OFF only to remove the effect of a previous NOORDER command. This command affects only those elements that were defined up to the point that this command is issued. See the WSORT and WAVES commands for reordering.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Numbering Ctrls>Element Reorder>Reset Elem Order

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NOOFFSET 		Up / Home Next
/NOPR


/NOPR

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

/NOPR

Suppresses the expanded interpreted input data listing.

SESSION: List Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Command Default

Issuing this command with no arguments suppresses the interpreted data input print out.

Notes

Suppresses printout of interpreted input data, including information labeled as "Notes." When this printout is not suppressed, the data input to the analysis is echoed to the output file in an expanded format. Printout is suppressed until a /GOPR or /GO command is read.

Use of /NOPR is not recommended when the graphical user interface (GUI) is active. The GUI sometimes issues "hidden" /NOPR and /GOPR command sequences, which will countermand user-issued /NOPR commands, thus making the use of /NOPR in the GUI environment unpredictable.

This command is valid in any processor.

Menu Paths

Main Menu>Preprocessor>Coupling / Ceqn>Rigid Region
Main Menu>Preprocessor>Loads>Define Loads>Settings>Replace vs Add>Smooth Data
Main Menu>Preprocessor>LS-DYNA Options>Loading Options>Smooth Data
Main Menu>Preprocessor>Modeling>Delete>Pre-tens Elemnts
Main Menu>Solution>Define Loads>Settings>Replace vs Add>Smooth Data
Main Menu>Solution>Loading Options>Smooth Data
Main Menu>Solution>Time Controls>Time Step Prediction
Main Menu>TimeHist Postpro>Smooth Data

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NOORDER 		Up / Home Next
NORA


NORA

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NORA, AREA, NDIR

Rotates nodal coordinate systems to surface normal

PREP7: Nodes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

AREA

The area number containing the nodes to be rotated to their normals. If ALL, applies to all selected areas (see the ASEL command). If AREA = P, graphical picking is enabled.

NDIR

Direction of the normal. If NDIR = -1, the nodal coordinate system is rotated in the opposite direction of the surface normal. The default is the same direction as the surface normal.

Notes

The NORA command rotates the X-axis of the nodal coordinate system to the surface normal. The rotated nodal coordinate systems may be displayed through the /PSYMB command. In case multiple areas are selected, there could be conflicts at the boundaries. If a node belongs to two areas that have a different normal, its nodal coordinate system will be rotated to the area normal with the lowest number. You can use the AREVERSE and ANORM commands to rotate the surface normals in the appropriate direction. Keep the following in mind when using the NORA command:

  • If the nodal coordinate system is parallel to the global Cartesian system, it is not displayed through the /PSYMB command.

  • Previously specified rotation on the selected nodes are overridden.

Menu Paths

Main Menu>Preprocessor>Modeling>Move / Modify>RotateNode>To Surf Norm>On Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/NOPR 		Up / Home Next
NORL


NORL

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NORL, LINE, AREA, NDIR

Rotates nodal coordinate systems perpendicular to line normal

PREP7: Nodes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LINE

Line number containing the nodes to be rotated. If ALL, applies to all selected lines (see the LSEL command). If LINE = P, graphical picking is enabled.

AREA

The area number containing the selected lines. The normal of the line(s) selected is supposed to lie on this area. Defaults to the lowest numbered selected area containing the line number.

NDIR

Direction of the normal. If NDIR = -1, the nodal coordinate system is rotated in the opposite direction of the line normal. The default is the same direction as the surface normal.

Notes

The NORL command rotates the X-axis of the nodal coordinate perpendicular to the line normal. The rotated nodal coordinate systems may be displayed through the /PSYMB command. In case multiple lines are selected, there could be conflicts at the boundaries. If a node belongs to two lines that have a different normal, its nodal coordinate system will be rotated to the line normal with the lowest number. Keep the following in mind when using the NORL command:

  • If the nodal coordinate system is parallel to the global Cartesian system, it is not displayed through the /PSYMB command.

  • Previously specified rotation on the selected nodes are overridden.

Menu Paths

Main Menu>Preprocessor>Modeling>Move / Modify>RotateNode>To Surf Norm>On Lines
Main Menu>Preprocessor>Modeling>Move / Modify>RotateNode>To Surf Norm>with Area

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NORA 		Up / Home Next
/NORMAL


/NORMAL

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

/NORMAL, WN, KEY

Allows displaying area elements by top or bottom faces.

GRAPHICS: Style

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number (or ALL) to which command applies (defaults to 1).

KEY

Display key:

0
 —

No face distinction.

1
 —

Show only area elements having their positive normals directed toward the viewing point.

-1
 —

Show only area elements having their positive normals directed away from the viewing point.

Command Default

Do not distinguish between top face and bottom face elements.

Notes

/NORMAL allows you to select area elements and area plots by the top or bottom faces. It is useful for checking the normal directions on shell elements. The positive normal (element Z direction) is defined by the right-hand rule following the node I, J, K, L input direction. This command is available only with raster or hidden-line displays, for WIN32 or X11 2-D displays only.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Style>Shell Normals

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NORL 		Up / Home Next
NPLOT


NPLOT

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NPLOT, KNUM

Displays nodes.

PREP7: Nodes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KNUM

Node number key:

0
—

No node numbers on display.

1
—

Include node numbers on display. See also /PNUM command.

Notes

Produces a node display. Only selected nodes [NSEL] are displayed. Elements need not be defined. See the DSYS command for display coordinate system.

This command is valid in any processor.

Menu Paths

Main Menu>Preprocessor>Modeling>Move / Modify>RotateNode>To Surf Norm>On Areas
Main Menu>Preprocessor>Modeling>Move / Modify>RotateNode>To Surf Norm>On Lines
Main Menu>Preprocessor>Modeling>Move / Modify>RotateNode>To Surf Norm>with Area
Utility Menu>Plot>Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/NORMAL 		Up / Home Next
NPRINT


NPRINT

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NPRINT, N

Defines which time points stored are to be listed.

POST26: Listing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

N

List data associated with every N time (or frequency) point(s), beginning with the first point stored (defaults to 1).

Command Default

List all stored points.

Notes

Defines which time (or frequency) points within the range stored are to be listed.

Menu Paths

Main Menu>TimeHist Postpro>Settings>List

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NPLOT 		Up / Home Next
NREAD


NREAD

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NREAD, Fname, Ext, --

Reads nodes from a file.

PREP7: Nodes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to NODE if Fname is blank.

--

Unused field.

Notes

The read operation is not necessary in a standard ANSYS run but is provided as a convenience to users wanting to read a coded node file, such as from another mesh generator or from a CAD/CAM program. Data should be formatted as produced with the NWRITE command. Only nodes that are within the node range specified with the NRRANG command are read from the file. Duplicate nodes already in the database will be overwritten. The file is rewound before and after reading. Reading continues until the end of the file.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Nodes>Read Node File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NPRINT 		Up / Home Next
NREFINE


NREFINE

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NREFINE, NN1, NN2, NINC, LEVEL, DEPTH, POST, RETAIN

Refines the mesh around specified nodes.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NN1, NN2, NINC

Nodes (NN1 to NN2 in increments of NINC) around which the mesh is to be refined. NN2 defaults to NN1, and NINC defaults to 1. If NN1 = ALL, NN2 and NINC are ignored and all selected nodes are used for refinement. If NN1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NN1 (NN2 and NINC are ignored).

LEVEL

Amount of refinement to be done. Specify the value of LEVEL as an integer from 1 to 5, where a value of 1 provides minimal refinement, and a value of 5 provides maximum refinement (defaults to 1).

DEPTH

Depth of mesh refinement in terms of number of elements outward from the indicated nodes (defaults to 1).

POST

Type of postprocessing to be done after element splitting, in order to improve element quality:

OFF
 —

No postprocessing will be done.

SMOOTH
 —

Smoothing will be done. Node locations may change.

CLEAN
 —

Smoothing and cleanup will be done. Existing elements may be deleted, and node locations may change (default).

RETAIN

Flag indicating whether quadrilateral elements must be retained in the refinement of an all-quadrilateral mesh. (The ANSYS program ignores the RETAIN argument when you are refining anything other than a quadrilateral mesh.)

ON
 —

The final mesh will be composed entirely of quadrilateral elements, regardless of the element quality (default).

OFF
 —

The final mesh may include some triangular elements in order to maintain element quality and provide transitioning.

Notes

NREFINE performs local mesh refinement around the specified nodes. By default, the indicated elements are split to create new elements with 1/2 the edge length of the original elements (LEVEL = 1).

NREFINE refines all area elements and tetrahedral volume elements that are adjacent to the specified nodes. Any volume elements that are adjacent to the specified nodes, but are not tetrahedra (for example, hexahedra, wedges, and pyramids), are not refined.

You cannot use mesh refinement on a solid model that contains initial conditions at nodes [IC], coupled nodes [CP family of commands], constraint equations [CE family of commands], or boundary conditions or loads applied directly to any of its nodes or elements. This applies to nodes and elements anywhere in the model, not just in the region where you want to request mesh refinement. For additional restrictions on mesh refinement, see Revising Your Model in the Modeling and Meshing Guide.

This command is also valid for rezoning.

Menu Paths

Main Menu>Preprocessor>Meshing>Modify Mesh>Refine At>Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NREAD 		Up / Home Next
NRLSUM


NRLSUM

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NRLSUM, SIGNIF, Label

Specifies the Naval Research Laboratory (NRL) sum mode combination method.

SOLUTION: Spectrum Options

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

SIGNIF

Combine only those modes whose significance level exceeds the SIGNIF threshold. For single point, multipoint, or DDAM response (SPOPT,SPRS, MPRS or DDAM), the significance level of a mode is defined as the mode coefficient of the mode, divided by the maximum mode coefficient of all modes. Any mode whose significance level is less than SIGNIF is considered insignificant and is not contributed to the mode combinations. The higher the SIGNIF threshold, the fewer the number of modes combined. SIGNIF defaults to 0.001. If SIGNIF is specified as 0.0, it is taken as 0.0. (This mode combination method is not valid for SPOPT,PSD.)

Label

Label identifying the combined mode solution output.

DISP
 —

Displacement solution (default). Displacements, stresses, forces, etc., are available.

VELO
 —

Velocity solution. Velocities, "stress velocities," "force velocities," etc., are available.

ACEL
 —

Acceleration solution. Accelerations, "stress accelerations," "force accelerations," etc., are available.

Notes

This command is also valid in PREP7. This mode combination method is usually used for SPOPT,DDAM.

Product Restrictions

NRLSUM is not allowed in ANSYS Professional.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>Mode Combine
Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>MultiPt>Mode Combine
Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>SinglePt>Mode Combine
Main Menu>Solution>Load Step Opts>Spectrum>Mode Combine
Main Menu>Solution>Load Step Opts>Spectrum>MultiPt>Mode Combine
Main Menu>Solution>Load Step Opts>Spectrum>SinglePt>Mode Combine

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NREFINE 		Up / Home Next
NROPT


NROPT

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NROPT, Option, --, Adptky

Specifies the Newton-Raphson options in a static or full transient analysis.

SOLUTION: Nonlinear Options

MP ME ST <> <> <> <> <> EM <> <> PP <>

Option

Option key:

AUTO
—

Let the program choose the option (default).

FULL
—

Use full Newton-Raphson.

MODI
—

Use modified Newton-Raphson.

INIT
—

Use the previously computed matrix (initial-stiffness).

UNSYM
—

Use full Newton-Raphson with unsymmetric matrices of elements where the unsymmetric option exists (see Newton-Raphson Option in the Structural Analysis Guide for more information).

--

Unused field.

Adptky

Adaptive descent key:

ON
—

Use adaptive descent (default if frictional contact exists; if one of the elements CONTAC12 or CONTAC52 is present; or if plasticity exists and one of the elements PIPE20, BEAM23, BEAM24, or PIPE60 is present). Explicit ON is valid only if Option = FULL.

OFF
—

Do not use adaptive descent (default in all other cases).

Notes

The default values given for this command assume SOLCONTROL,ON (the default). See the description of SOLCONTROL for a complete listing of the defaults set by SOLCONTROL,ON and SOLCONTROL,OFF.

Indicates the Newton-Raphson option used to solve the nonlinear equations in a static or full transient analysis. If used in SOLUTION, this command is valid only within the first load step.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>Analysis Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NRLSUM 		Up / Home Next
NROTAT


NROTAT

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NROTAT, NODE1, NODE2, NINC

Rotates nodal coordinate systems into the active system.

PREP7: Nodes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NODE1, NODE2, NINC

Rotate nodes from NODE1 to NODE2 (defaults to NODE1) in steps of NINC (defaults to 1). If NODE1 = ALL, NODE2 and NINC are ignored and all selected nodes [NSEL] are rotated. If NODE1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NODE1 (NODE2 and NINC are ignored).

Command Default

No automatic nodal rotation.

Notes

Rotates nodal coordinate systems into the active coordinate system. Nodal coordinate systems may be automatically rotated into the active (global or local) coordinate system as follows: Rotations in Cartesian systems will have nodal x directions rotated parallel to the Cartesian X direction. Rotations in cylindrical, spherical or toroidal systems will have the nodal x directions rotated parallel to the R direction. Nodes at (or near) a zero radius location should not be rotated. Nodal coordinate directions may be displayed [/PSYMB]. Nodal forces and constraints will also appear rotated when displayed if the nodal coordinate system is rotated. For FLOTRAN analyses, nodal coordinate systems should only be rotated parallel to the global Cartesian system.

ANSYS LS-DYNA (explicit dynamics) does not support the NROTAT command. If you have rotated nodes in the implicit phase of an implicit-to-explicit sequential solution, you must rotate the nodes back to the global Cartesian direction before switching from implicit to explicit elements (ETCHG,ITE). Use the EDNROT command in the explicit run to maintain the same displacement constraints as were used on rotated nodes in the implicit run.

Note

When the nodal coordinate systems are defined, they remain parallel to the global Cartesian system unless subsequently rotated.

Previously specified rotations on the specified nodes are overridden.

See the NMODIF, NANG, and NORA commands for other rotation options.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Nodes>RotateNode>To Active CS
Main Menu>Preprocessor>Modeling>Move / Modify>RotateNode>To Active CS

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NROPT 		Up / Home Next
NRRANG


NRRANG

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NRRANG, NMIN, NMAX, NINC

Specifies the range of nodes to be read from the node file.

PREP7: Nodes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NMIN, NMAX, NINC

Node range is defined from NMIN (defaults to 1) to NMAX (defaults to 99999999) in steps of NINC (defaults to 1).

Notes

Defines the range of nodes to be read [NREAD] from the node file. Also implies an element range since only elements fully attached to these nodes will be read from the element file.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Nodes>Read Node File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NROTAT 		Up / Home Next
NSCALE


NSCALE

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NSCALE, INC, NODE1, NODE2, NINC, RX, RY, RZ

Generates a scaled set of nodes from a pattern of nodes.

PREP7: Nodes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

INC

Do this scaling operation one time, incrementing all nodes in the given pattern by INC. If INC = 0, nodes will be redefined at the scaled locations.

NODE1, NODE2, NINC

Scale nodes from pattern of nodes beginning with NODE1 to NODE2 (defaults to NODE1) in steps of NINC (defaults to 1). If NODE1 = ALL, NODE2 and NINC are ignored and pattern is all selected nodes [NSEL]. If NODE1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NODE1 (NODE2 and NINC are ignored).

RX, RY, RZ

Scale factor ratios. Scaling is relative to the origin of the active coordinate system (RR, Rθ, RZ for cylindrical, RR, Rθ, RΦ for spherical or toroidal). If absolute value of ratio > 1.0, pattern is enlarged. If < 1.0, pattern is reduced. Ratios default to 1.0 (each).

Notes

Generates a scaled pattern of nodes from a given node pattern. Scaling is done in the active coordinate system. Nodes in the pattern may have been generated in any coordinate system.

Menu Paths

Main Menu>Preprocessor>Modeling>Copy>Nodes>Scale & Copy
Main Menu>Preprocessor>Modeling>Move / Modify>Nodes>Scale & Move
Main Menu>Preprocessor>Modeling>Operate>Scale>Nodes>Scale & Copy
Main Menu>Preprocessor>Modeling>Operate>Scale>Nodes>Scale & Move

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NRRANG 		Up / Home Next
NSEL


NSEL

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NSEL, Type, Item, Comp, VMIN, VMAX, VINC, KABS

Selects a subset of nodes.

DATABASE: Selecting

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Label identifying the type of select:

S
 —

Select a new set (default).

R
 —

Reselect a set from the current set.

A
 —

Additionally select a set and extend the current set.

U
 —

Unselect a set from the current set.

ALL
 —

Restore the full set.

NONE
 —

Unselect the full set.

INVE
 —

Invert the current set (selected becomes unselected and vice versa).

STAT
 —

Display the current select status.

The following fields are used only with Type = S, R, A, or U:

Item

Label identifying data. Valid item labels are shown in the table below. Some items also require a component label. If Item = PICK (or simply “P”), graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). Defaults to NODE.

Comp

Component of the item (if required). Valid component labels are shown in the table below.

VMIN

Minimum value of item range. Ranges are node numbers, set numbers, coordinate values, load values, or result values as appropriate for the item. A component name (as specified on the CM command) may also be substituted for VMIN (VMAX and VINC are ignored).

VMAX

Maximum value of item range. VMAX defaults to VMIN for input values. For result values, VMAX defaults to infinity if VMIN is positive, or to zero if VMIN is negative.

VINC

Value increment within range. Used only with integer ranges (such as for node and set numbers). Defaults to 1. VINC cannot be negative.

KABS

Absolute value key:

0
 —

Check sign of value during selection.

1
 —

Use absolute value during selection (sign ignored).

Command Default

All nodes are selected.

Notes

Selects a subset of nodes. For example, to select a new set of nodes based on node numbers 1 through 7, use NSEL,S,NODE,,1,7. The subset is used when the ALL label is entered (or implied) on other commands, such as NLIST,ALL. Only data identified by node number are selected. Data are flagged as selected and unselected; no data are actually deleted from the database.

When selecting nodes by results, the full graphics value is used, regardless of whether PowerGraphics is on.

Solution result data consists of two types, 1) nodal degree of freedom--results initially calculated at the nodes (such as displacement, temperature, pressure, etc.), and 2) element--results initially calculated elsewhere (such as at an element integration point or thickness location) and then recalculated at the nodes (such as stresses, strains, etc.). Various element results also depend upon the recalculation method and the selected results location [AVPRIN, RSYS, FORCE, LAYER and SHELL].

You must have all the nodes (corner and midside nodes) on the external face of the element selected to use Item = EXT.

This command is valid in any processor.

For Selects based on non-integer numbers (coordinates, results, etc.), items that are within the range VMIN-Toler and VMAX+Toler are selected. The default tolerance Toler is based on the relative values of VMIN and VMAX as follows:

  • If VMIN = VMAX, Toler = 0.005 x VMIN.

  • If VMIN = VMAX = 0.0, Toler = 1.0E-6.

  • If VMAX ≠ VMIN, Toler = 1.0E-8 x (VMAX-VMIN).

Use the SELTOL command to override this default and specify Toler explicitly.

NSEL - Valid Item and Component Labels

Valid Item and Component Labels NSEL, Type,Item,Comp,VMIN,VMAX,VINC,KABS
Valid item and component labels for input values are:
Item | Comp | Description
NODE |  | Node number.
EXT |  | Nodes on exterior of selected elements (ignore remaining fields).
LOC | X, Y, Z | X, Y, or Z location in the active coordinate system.
ANG | XY, YZ, ZX | THXY, THYZ, or THZX rotation angle.
M |  | Master node number.
CP |  | Coupled set number.
CE |  | Constraint equation set number.
D | U | Any of X, Y, or Z structural displacements. Amplitude only, if complex.
" | UX, UY, UZ | X, Y, or Z structural displacement. Amplitude only, if complex.
" | ROT | Any of X, Y, or Z structural rotations. Amplitude only, if complex.
" | ROTX, ROTY, ROTZ | X, Y, or Z structural rotation. Amplitude only, if complex.
" | TEMP, TBOT, TE2, TE3, . . ., TTOP | Temperature.
" | PRES | Pressure.
" | VOLT | Electric potential.
" | MAG | Magnetic scalar potential.
" | V | Any of X, Y, or Z fluid velocities.
" | VX, VY, VZ | X, Y, or Z fluid velocity.
" | A | Any of X, Y, or Z magnetic vector potentials. Amplitude only, if complex.
" | AX, AY, AZ | X, Y, or Z magnetic vector potential. Amplitude only, if complex.
" | CURR | Current.
" | EMF | Electromotive force drop.
" | ENKE, ENDS | Turbulent kinetic energy or energy dissipation (FLOTRAN).
F | F | Any of X, Y, or Z structural forces. Amplitude only, if complex.
" | FX, FY, FZ | X, Y, or Z structural force. Amplitude only, if complex.
" | M | Any of X, Y, or Z structural moments. Amplitude only, if complex
" | MX, MY, MZ | X, Y, or Z structural moment. Amplitude only, if complex.
" | HEAT, HBOT, HE2, HE3, . . ., HTOP | Heat flow.
" | FLOW | Fluid flow.
" | AMPS | Current flow.
" | FLUX | Magnetic flux.
" | CSG | Any of X, Y, or Z magnetic current segment components. Amplitude only, if complex.
" | CSGX, CSGY, | X, Y, or Z magnetic current segment component. Amplitude only, if complex.
 | CSGZY, | if complex.
" | CHRG | Electric charge.
" | CHRGD | Electric charge density.
BF | TEMP | Nodal temperature.
" | FLUE | Nodal fluence.
" | HGEN | Nodal heat generation rate.
" | JS | Any of X, Y, or Z current densities. Amplitude only, if complex.
" | JSX, JSY, JSZ | X, Y, or Z current density. Amplitude only, if complex.
" | MVDI | Magnetic virtual displacements flag.

NSEL - Valid Item and Component Labels for Nodal DOF Result Values

Item | Comp | Description
U | X, Y, Z, SUM | X, Y, or Z structural displacement or vector sum.
ROT | X, Y, Z, SUM | X, Y, or Z structural rotation or vector sum.
TEMP |  | Temperature.
PRES |  | Pressure.
VOLT |  | Electric potential.
MAG |  | Magnetic scalar potential.
V | X, Y, Z, SUM | X, Y, or Z fluid velocity or vector sum.
A | X, Y, Z, SUM | X, Y, or Z magnetic vector potential or vector sum.
CURR |  | Current.
EMF |  | Electromotive force drop.
ENKE |  | Turbulent kinetic energy (FLOTRAN).
ENDS |  | Turbulent energy dissipation (FLOTRAN).

NSEL - Valid Item and Component Labels for Element Result Values

Item | Comp | Description
S | X, Y, Z, XY, YZ, XZ | Component stress.
" 1, 2, 3 Principal stress.
" INT, EQV Stress intensity or equivalent stress.
EPTO | X, Y, Z, XY, YZ, XZ | Component total strain (EPEL + EPPL + EPCR).
" 1,2,3 Principal total strain.
" INT, EQV Total strain intensity or total equivalent strain.
EPEL | X, Y, Z, XY, YZ, XZ | Component elastic strain.
" 1, 2, 3 Principal elastic strain.
" INT, EQV Elastic strain intensity or elastic equivalent strain.
EPPL | X, Y, Z, XY, YZ, XZ | Component plastic strain.
" 1,2,3 Principal plastic strain.
" INT, EQV Plastic strain intensity or plastic equivalent strain.
EPCR | X, Y, Z, XY, YZ, XZ | Component creep strain.
" 1,2,3 Principal creep strain.
" INT, EQV Creep strain intensity or creep equivalent strain.
EPTH | X, Y, Z, XY, YZ, XZ | Component thermal strain.
" 1, 2, 3 Principal thermal strain.
" INT, EQV Thermal strain intensity or thermal equivalent strain.
EPSW | Swelling strain.
NL | SEPL | Equivalent stress (from stress-strain curve).
" SRAT Stress state ratio.
" HPRES Hydrostatic pressure.
" EPEQ Accumulated equivalent plastic strain.
" PSV Plastic state variable.
" PLWK Plastic work/volume.
CONT STAT1 Contact status:
3-closed and sticking
2-closed and sliding
1-open but near contact
0-open and not near contact
" PENE Contact penetration.
" PRES Contact pressure.
" SFRIC Contact friction stress.
" STOT Contact total stress (pressure plus friction).
" SLIDE Contact sliding distance.
TG | X, Y, Z, SUM | Component thermal gradient or vector sum.
TF | X, Y, Z, SUM | Component thermal flux or vector sum.
PG | X, Y, Z, SUM | Component pressure gradient or vector sum.
EF | X, Y, Z, SUM | Component electric field or vector sum.
D | X, Y, Z, SUM | Component electric flux density or vector sum.
H | X, Y, Z, SUM | Component magnetic field intensity or vector sum.
B | X, Y, Z, SUM | Component magnetic flux density or vector sum.
FMAG | X, Y, Z, SUM | Component magnetic forces or vector sum.
TOPO | Densities used for topological optimization. This applies to nodes attached to the following types of elements: PLANE82, SOLID92, SHELL93, SOLID95.

  1. Status notation is for all contact elements except CONTAC12 and CONTAC52. If you are using these elements, check the output listing in the corresponding element documentation.

NSEL - Valid Item and Component Labels for FLOTRAN Nodal Result Values

Item | Comp | Description
TTOT |  | Total temperature.
HFLU |  | Heat flux.
HFLM |  | Heat transfer (film) coefficient.
COND |  | Fluid laminar conductivity.
PCOE |  | Pressure coefficient.
PTOT |  | Total (stagnation) pressure.
MACH |  | Mach number.
STRM |  | Stream function. (2-D applications only.)
DENS |  | Fluid density.
VISC |  | Fluid laminar viscosity.
EVIS |  | Fluid effective viscosity.
CMUV |  | Turbulent viscosity coefficient.
ECON |  | Fluid effective conductivity.
YPLU |  | Y+, a turbulent law of the wall parameter.
TAUW |  | Shear stress at the wall.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Circuit>Delete Elements
Main Menu>Preprocessor>Modeling>Delete>Pre-tens Elemnts
Main Menu>Solution>Manual Rezoning>Create Remesh Zone(s)>Select Nodes to Maintain
Utility Menu>Select>Entities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NSCALE 		Up / Home Next
NSLA


NSLA

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NSLA, Type, NKEY

Selects those nodes associated with the selected areas.

DATABASE: Selecting

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Label identifying the type of node select:

S
—

Select a new set (default).

R
—

Reselect a set from the current set.

A
—

Additionally select a set and extend the current set.

U
—

Unselect a set from the current set.

NKEY

Specifies whether only interior area nodes are to be selected:

0
—

Select only nodes interior to selected areas.

1
—

Select all nodes (interior to area, interior to lines, and at keypoints) associated with the selected areas.

Notes

Valid only if the nodes were generated by an area meshing operation [AMESH, VMESH] on a solid model that contains the selected areas.

This command is valid in any processor.

Menu Paths

Utility Menu>Select>Entities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NSEL 		Up / Home Next
NSLE


NSLE

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NSLE, Type, NodeType, Num

Selects those nodes attached to the selected elements.

DATABASE: Selecting

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Label identifying the type of node select:

S
 —

Select a new set (default).

R
 —

Reselect a set from the current set.

A
 —

Additionally select a set and extend the current set.

U
 —

Unselect a set from the current set.

NodeType

Label identifying type of nodes to consider when selecting:

ALL
 —

Select all nodes of the selected elements (default).

ACTIVE
 —

Select only the active nodes. An active node is a node that contributes DOFs to the model.

INACTIVE
 —

Select only inactive nodes (such as orientation or radiation).

CORNER
 —

Select only corner nodes.

MID
 —

Select only midside nodes.

POS
 —

Select nodes in position Num.

FACE
 —

Select nodes on face Num.

Num

Position or face number for Nodes = POS or FACE.

Notes

NSLE selects NodeType nodes attached to the currently-selected set of elements. Only nodes on elements in the currently-selected element set can be selected.

Note

When using degenerate hexahedral elements, NSLE, U,CORNER and NSLE,S,MID will not select the same set of nodes because some nodes appear as both corner and midside nodes.

This command is valid in any processor.

Menu Paths

Main Menu>Preprocessor>Modeling>CMS>CMS Superelements>By Picking
Main Menu>Preprocessor>Modeling>Delete>Pre-tens Elemnts
Utility Menu>Select>Entities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NSLA 		Up / Home Next
NSLK


NSLK

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NSLK, Type

Selects those nodes associated with the selected keypoints.

DATABASE: Selecting

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Label identifying the type of node select:

S
—

Select a new set (default).

R
—

Reselect a set from the current set.

A
—

Additionally select a set and extend the current set.

U
—

Unselect a set from the current set.

Notes

Valid only if the nodes were generated by a keypoint meshing operation [KMESH, LMESH, AMESH, VMESH] on a solid model that contains the selected keypoints.

This command is valid in any processor.

Menu Paths

Utility Menu>Select>Entities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NSLE 		Up / Home Next
NSLL


NSLL

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NSLL, Type, NKEY

Selects those nodes associated with the selected lines.

DATABASE: Selecting

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Label identifying the type of node select:

S
 —

Select a new set (default).

R
 —

Reselect a set from the current set.

A
 —

Additionally select a set and extend the current set.

U
 —

Unselect a set from the current set.

NKEY

Specifies whether only interior line nodes are to be selected:

0
 —

Select only nodes interior to selected lines.

1
 —

Select all nodes (interior to line and at keypoints) associated with the selected lines.

Notes

Valid only if the nodes were generated by a line meshing operation [LMESH, AMESH, VMESH] on a solid model that contains the associated lines.

This command is valid in any processor.

Menu Paths

Utility Menu>Select>Entities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NSLK 		Up / Home Next
NSLV


NSLV

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NSLV, Type, NKEY

Selects those nodes associated with the selected volumes.

DATABASE: Selecting

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Label identifying the type of node select:

S
—

Select a new set (default).

R
—

Reselect a set from the current set.

A
—

Additionally select a set and extend the current set.

U
—

Unselect a set from the current set.

NKEY

Specifies whether only interior volume nodes are to be selected:

0
—

Select only nodes interior to selected volumes.

1
—

Select all nodes (interior to volume, interior to areas, interior to lines, and at keypoints) associated with the selected volumes.

Notes

Valid only if the nodes were generated by a volume meshing operation [VMESH] on a solid model that contains the selected volumes.

This command is valid in any processor.

Menu Paths

Utility Menu>Select>Entities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NSLL 		Up / Home Next
NSMOOTH


NSMOOTH

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NSMOOTH, NPASS

Smooths selected nodes among selected elements.

PREP7: Nodes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NPASS

Number of smoothing passes. Defaults to 3.

Notes

Repositions each selected node at the average position of its immediate neighbors on the selected elements. The node positions converge after some number of smoothing passes. For some initial conditions, NPASS may need to be much larger than 3. If the boundary of a mesh is to be undisturbed (usually desirable), the boundary nodes should be unselected before issuing NSMOOTH.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NSLV 		Up / Home Next
NSOL


NSOL

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NSOL, NVAR, NODE, Item, Comp, Name

Specifies nodal data to be stored from the results file.

POST26: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NVAR

Arbitrary reference number or name assigned to this variable. Variable numbers can be 2 to NV (NUMVAR) while the name can be an eight byte character string. Overwrites any existing results for this variable.

NODE

Node for which data are to be stored.

Item

Label identifying the item. Valid item labels are shown in the table below. Some items also require a component label.

Comp

Component of the item (if required). Valid component labels are shown in the table below.

Name

Thirty-two character name identifying the item on printouts and displays. Defaults to a label formed by concatenating the first four characters of the Item and Comp labels.

Notes

Stores nodal degree of freedom and solution results in a variable. For more information, see Data Interpreted in the Nodal Coordinate System in the Modeling and Meshing Guide.

NSOL - Valid Item and Component Labels

Valid Item and Component Labels NSOL, NVAR,NODE,Item,Comp,Name
Valid item and component labels for nodal degree of freedom results are:
Item | Comp | Description
U | X, Y, Z | X, Y, or Z structural displacement.
ROT | X, Y, Z | X, Y, or Z structural rotation.
TEMP[1] |  | Temperature.
PRES |  | Pressure.
VOLT |  | Electric potential.
MAG |  | Magnetic scalar potential.
V | X, Y, Z | X, Y, or Z fluid velocity in a fluid analysis.
A | X, Y, Z | X, Y, or Z magnetic vector potential in an electromagnetic analysis.
VEL | X, Y, Z | X, Y, or Z velocity in a structural transient dynamic analysis (ANTYPE,TRANS).
ACC | X, Y, Z | X, Y, or Z acceleration in a structural transient dynamic analysis (ANTYPE,TRANS).
OMG | X, Y, Z | X, Y, or Z rotational velocity in a structural transient dynamic analysis (ANTYPE,TRANS).
DMG | X, Y, Z | X, Y, or Z rotational acceleration in a structural transient dynamic analysis (ANTYPE,TRANS).
CURR |  | Current.
EMF |  | Electromotive force drop.
ENKE |  | Turbulent kinetic energy.
ENDS |  | Turbulent energy dissipation.

NSOL - Valid Item and Component Labels for FLOTRAN Nodal Results

Item | Comp | Description
TTOT |  | Total temperature.
HFLU |  | Heat flux.
HFLM |  | Heat transfer (film) coefficient.
COND |  | Fluid laminar conductivity.
PCOE |  | Pressure coefficient.
PTOT |  | Total (stagnation) pressure.
MACH |  | Mach number.
STRM |  | Stream function. (2-D applications only.)
DENS |  | Fluid density.
VISC |  | Fluid laminar viscosity.
EVIS |  | Fluid effective viscosity.
CMUV |  | Turbulent viscosity coefficient.
ECON |  | Fluid effective conductivity.
YPLU |  | Y+, a turbulent law of the wall parameter.
RDFL |  | Radiation heat flux.

NSOL - Valid Item and Component Labels for ANSYS LS-DYNA Nodal Results

Item | Comp | Description
U | X, Y, Z | X, Y, or Z nodal displacements.
ROT | X, Y, Z | X, Y, or Z nodal rotations.
V | X, Y, Z | X, Y, or Z nodal velocities.
A | X, Y, Z | X, Y, or Z nodal accelerations.

  1. For SHELL131 and SHELL132 elements with KEYOPT(3) = 0 or 1, use the labels TBOT, TE2, TE3, . . ., TTOP instead of TEMP.

Menu Paths

Main Menu>Drop Test>Time History>Graph Variables
Main Menu>Drop Test>Time History>List Variables
Main Menu>TimeHist Postpro>Define Variables
Main Menu>TimeHist Postpro>Elec&Mag>Circuit>Define Variables

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NSMOOTH 		Up / Home Next
NSORT


NSORT

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NSORT, Item, Comp, ORDER, KABS, NUMB, SEL

Sorts nodal data.

POST1: Results

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Item

Label identifying the item to be sorted on. Valid item labels are shown in the table below. Some items also require a component label.

Comp

Component of the item (if required). Valid component labels are shown in the table below.

ORDER

Order of sort operation:

0
 —

Sort into descending order.

1
 —

Sort into ascending order.

KABS

Absolute value key:

0
 —

Sort according to real value.

1
 —

Sort according to absolute value.

NUMB

Number of nodal data records to be sorted in ascending or descending order (ORDER) before sort is stopped (remainder will be in unsorted sequence) (defaults to all nodes).

SEL

Allows selection of nodes in the sorted field.

(blank)
 —

No selection (default).

SELECT
 —

Select the nodes in the sorted list.

Command Default

Use ascending node number order.

Notes

Values are in the active coordinate system [CSYS for input data or RSYS for results data]. Various element results also depend upon the recalculation method and the selected results location [AVPRIN, RSYS, SHELL, ESEL, and NSEL]. If simultaneous load cases are stored, the last sorted sequence formed from any load case applies to all load cases. Use NUSORT to restore the original order. This command is not valid with PowerGraphics.

NSORT - Valid Item and Component Labels

Valid Item and Component Labels NSORT, Item,Comp,ORDER,KABS,NUMB,SEL
Valid item and component labels for input values are:
Item | Comp | Description
LOC | X, Y, Z | X, Y, or Z location.
ANG | XY, YZ, ZX | THXY, THYZ, or THZX rotation angle.

NSORT - Valid Item and Component Labels for Nodal DOF Result Values

Item | Comp | Description
U | X, Y, Z, SUM | X, Y, or Z structural displacement or vector sum.
ROT | X, Y, Z, SUM | X, Y, or Z structural rotation or vector sum.
TEMP |  | Temperature (includes TEMP, TBOT, TE2, TE3, . . ., TTOP values).
PRES |  | Pressure.
VOLT |  | Electric potential.
MAG |  | Magnetic scalar potential.
V | X, Y, Z, SUM | X, Y, or Z fluid velocity or vector sum.
A | X, Y, Z, SUM | X, Y, or Z magnetic vector potential or vector sum.
CURR |  | Current.
EMF |  | Electromotive force drop.
ENKE |  | Turbulent kinetic energy (FLOTRAN).
ENDS |  | Turbulent energy dissipation (FLOTRAN).

NSORT - Valid Item and Component Labels for Element Result Values

Item | Comp | Description
S | X, Y, Z, XY, YZ, XZ | Component stress.
" 1, 2,3 Principal stress.
" INT, EQV Stress intensity or equivalent stress.
EPTO | X, Y, Z, XY, YZ, XZ | Component total strain (EPEL + EPPL + EPCR).
" 1, 2, 3 Principal total strain.
" INT, EQV Total strain intensity or total equivalent strain.
EPEL | X, Y, Z, XY, YZ, XZ | Component elastic strain.
" 1, 2, 3 Principal elastic strain.
" INT, EQV Elastic strain intensity or elastic equivalent strain.
EPPL | X, Y, Z, XY, YZ, XZ | Component plastic strain.
" 1, 2, 3 Principal plastic strain.
" INT, EQV Plastic strain intensity or plastic equivalent strain.
EPCR | X, Y, Z, XY, YZ, XZ | Component creep strain.
" 1, 2, 3 Principal creep strain.
" INT, EQV Creep strain intensity or creep equivalent strain.
EPTH | X, Y, Z, XY, YZ, XZ | Component thermal strain.
" 1, 2, 3 Principal thermal strain.
" INT, EQV Thermal strain intensity or thermal equivalent strain.
EPLS | X, Y, Z, XY, YZ, XZ | Component large strain.
" 1, 2, 3 Principal large strain.
EPSW | Swelling strain.
NL | SEPL | Equivalent stress (from stress-strain curve).
" SRAT Stress state ratio.
" HPRES Hydrostatic pressure.
" EPEQ Accumulated equivalent plastic strain.
" PSV Plastic state variable.
" PLWK Plastic work/volume.
CONT STAT1 Contact status:
3-closed and sticking
2-closed and sliding
1-open but near contact
0-open and not near contact
" PENE Contact penetration.
" PRES Contact pressure.
" SFRIC Contact friction stress.
" STOT Contact total stress (pressure plus friction).
" SLIDE Contact sliding distance.
TG | X, Y, Z, SUM | Component thermal gradient or vector sum.
TF | X, Y, Z, SUM | Component thermal flux or vector sum.
PG | X, Y, Z, SUM | Component pressure gradient or vector sum.
EF | X, Y, Z, SUM | Component electric field or vector sum.
D | X, Y, Z, SUM | Component electric flux density or vector sum.
H | X, Y, Z, SUM | Component magnetic field intensity or vector sum.
B | X, Y, Z, SUM | Component magnetic flux density or vector sum.
FMAG | X, Y, Z, SUM | Component magnetic forces or vector sum.
TOPO | Densities used for topological optimization. This applies to nodes attached to the following types of elements: PLANE82, SOLID92, SHELL93, SOLID95, and PLANE183.

  1. Status notation is for all contact elements except CONTAC12 and CONTAC52. If you are using these elements, check the output listing in the corresponding element documentation.

NSORT - Valid Item and Component Labels for FLOTRAN Nodal Result Values

Item | Comp | Description
TTOT |  | Total temperature.
HFLU |  | Heat flux.
HFLM |  | Heat transfer (film) coefficient.
COND |  | Fluid laminar conductivity.
PCOE |  | Pressure coefficient.
PTOT |  | Total (stagnation) pressure.
MACH |  | Mach number.
STRM |  | Stream function. (2-D applications only.)
DENS |  | Fluid density.
VISC |  | Fluid laminar viscosity.
EVIS |  | Fluid effective viscosity.
ECON |  | Fluid effective conductivity.
YPLU |  | Y+, a turbulent law of the wall parameter.
TAUW |  | Shear stress at the wall.

Menu Paths

Main Menu>General Postproc>List Results>Sorted Listing>Sort Nodes
Utility Menu>Parameters>Get Scalar Data

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NSOL 		Up / Home Next
NSTORE


NSTORE

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NSTORE, TINC

Defines which time points are to be stored.

POST26: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

TINC

Store data associated with every TINC time (or frequency) point(s), within the previously defined range of TMIN to TMAX [TIMERANGE]. (Defaults to 1)

Command Default

Store every point.

Notes

Defines which time (or frequency) points within the range are to be stored.

Menu Paths

Main Menu>TimeHist Postpro>Settings>Data

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NSORT 		Up / Home Next
NSUBST


NSUBST

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NSUBST, NSBSTP, NSBMX, NSBMN, Carry

Specifies the number of substeps to be taken this load step.

SOLUTION: Load Step Options

MP ME ST PR PRN <> <> <> EM <> <> PP <>

NSBSTP

Number of substeps to be used for this load step (i.e., the time step size or frequency increment). If automatic time stepping is used [AUTOTS], NSBSTP defines the size of the first substep. If SOLCONTROL,ON and contact elements TARGE169, TARGE170, CONTA171, CONTA172, CONTA173, CONTA174, CONTA175, CONTA176, or CONTA177 are used, defaults to 1 or 20 substeps, depending on the physics of the problem. If SOLCONTROL,ON and none of these contact elements are used, defaults to 1 substep. If SOLCONTROL,OFF, defaults to the previously specified value (or 1, if there is no previously specified value).

NSBMX

Maximum number of substeps to be taken (i.e., the minimum time step size) if automatic time stepping is used. If SOLCONTROL,ON, ANSYS determines the default depending on the physics of the problem. If SOLCONTROL,OFF, defaults to the previously specified value (or NSBSTP, if there is no previously specified value).

NSBMN

Minimum number of substeps to be taken (i.e., the maximum time step size) if automatic time stepping is used. If SOLCONTROL,ON, ANSYS determines the default depending on the physics of the problem. If SOLCONTROL,OFF, defaults to the previously specified value (or 1, if there is no previously specified value).

Carry

Time step carryover key (ANSYS determines the default depending on the physics of the problem):

OFF
 —

Use NSBSTP to define time step at start of each load step.

ON
 —

Use final time step from previous load step as the starting time step (if automatic time stepping is used).

If SOLCONTROL,ON, ANSYS determines the default depending on the physics of the problem. If SOLCONTROL,OFF, defaults to OFF.

Notes

See DELTIM for an alternative input. It is recommended that all fields of this command be specified for solution efficiency and robustness.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Sol'n Controls>Basic
Main Menu>Preprocessor>Loads>Load Step Opts>Time/Frequenc>Freq and Substps
Main Menu>Preprocessor>Loads>Load Step Opts>Time/Frequenc>Time and Substps
Main Menu>Solution>Analysis Type>Sol'n Controls>Basic
Main Menu>Solution>Load Step Opts>Time/Frequenc>Freq and Substps
Main Menu>Solution>Load Step Opts>Time/Frequenc>Time and Substps

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NSTORE 		Up / Home Next
NSVR


NSVR

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NSVR, ITYPE, NSTV

Defines the number of variables for user-programmable element options.

PREP7: Element Type

MP ME ST <> <> <> <> <> <> <> <> PP <>

ITYPE

Element type number as defined on the ET command.

NSTV

Number of extra state variables to save (must be no more than 840).

Command Default

No extra variables are saved.

Notes

Defines the number of extra variables that need to be saved for user-programmable (system-dependent) element options, e.g., material laws through user subroutine USERPL. ITYPE must first be defined with the ET command.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NSUBST 		Up / Home Next
NSYM


NSYM

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NSYM, Ncomp, INC, NODE1, NODE2, NINC

Generates a reflected set of nodes.

PREP7: Nodes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Ncomp

Symmetry key:

X
 —

X (or R) symmetry (default).

Y
 —

Y (or θ) symmetry.

Z
 —

Z (or Φ) symmetry.

INC

Increment all nodes in the given pattern by INC to form the reflected node pattern.

NODE1, NODE2, NINC

Reflect nodes from pattern beginning with NODE1 to NODE2 (defaults to NODE1) in steps of NINC (defaults to 1). If NODE1 = ALL, NODE2 and NINC are ignored and pattern is all selected nodes [NSEL]. If NODE1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NODE1 (NODE2 and NINC are ignored).

Notes

Generates nodes from a given node pattern by a symmetry reflection. Reflection is done in the active coordinate system by changing a particular coordinate sign. Nodes in the pattern may have been generated in any coordinate system. Nodal rotation angles are not reflected.

Symmetry reflection may be used with any node pattern, in any coordinate system, as many times as desired. Reflection is accomplished by a coordinate sign change (in the active coordinate system). For example, an X-reflection in a Cartesian coordinate system generates additional nodes from a given pattern, with a node increment added to each node number, and an X coordinate sign change. An R-reflection in a cylindrical coordinate system gives a reflected "radial" location by changing the "equivalent" Cartesian (i.e., the Cartesian system with the same origin as the active cylindrical system) X and Y coordinate signs. An R-reflection in a spherical coordinate system gives a reflected "radial" location by changing the equivalent Cartesian X, Y, and Z coordinate location signs. Nodal coordinate system rotation angles are not reflected.

Menu Paths

Main Menu>Preprocessor>Modeling>Reflect>Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NSVR 		Up / Home Next
/NUMBER


/NUMBER

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

/NUMBER, NKEY

Specifies whether numbers, colors, or both are used for displays.

GRAPHICS: Labeling

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NKEY

Numbering style:

0
—

Color (terminal dependent) the numbered items and show numbers.

1
—

Color the numbered items. Do not show the numbers.

2
—

Show the numbers. Do not color the items.

-1
 —

Do not color the items or show the numbers. For contour plots, the resulting display will vary (see below).

Notes

Specifies whether numbers, colors, or both are used for numbering displays [/PNUM] of nodes, elements, keypoints, lines, areas, and volumes.

Shading is also available for terminals configured with more than 4 color planes [/SHOW]. Color automatically appears for certain items and may be manually controlled (off or on) for other items.

When you suppress color (NKEY = -1) your contour plots will produce different results, depending on your graphics equipment. For non-3-D devices (X11, Win32, etc.) your contour plot will be white (no color). For 3-D devices, such as OpenGL, the resulting display will be in color.

The following items are automatically given discrete colors: Boundary condition symbols [/PBC], curves on graph displays, and distorted geometry on postprocessing displays. Contour lines in postprocessing displays are automatically colored based upon a continuous, rather than a discrete, spectrum so that red is associated with the highest contour value. On terminals with raster capability [/SHOW], the area between contour lines is filled with the color of the higher contour.

Explicit entity colors or the discrete color mapping may be changed with the /COLOR command.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Numbering

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NSYM 		Up / Home Next
NUMCMP


NUMCMP

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NUMCMP, Label

Compresses the numbering of defined items.

PREP7: Database

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Label

Items to be compressed:

NODE
 —

Node numbers

ELEM
 —

Element numbers

KP
 —

Keypoint numbers

LINE
 —

Line numbers

AREA
 —

Area numbers

VOLU
 —

Volume numbers

MAT
 —

Material numbers

TYPE
 —

Element type numbers

REAL
 —

Real constant numbers

CP
 —

Coupled set numbers

CE
 —

Constraint equation numbers

ALL
 —

All item numbers

Notes

The NUMCMP command effectively compresses out unused item numbers by renumbering all the items, beginning with one and continuing throughout the model. The renumbering order follows the initial item numbering order (that is, compression lowers the maximum number by "sliding" numbers down to take advantage of unused or skipped numbers). All defined items are renumbered, regardless of whether or not they are actually used or selected. Applicable related items are also checked for renumbering as described for the merge operation [NUMMRG].

Compressing material numbers [NUMCMP,ALL or NUMCMP,MAT] does not update the material number referenced by either of the following:

  • A temperature-dependent convection or surface-to-surface radiation load [SF, SFE, SFL, SFA]

  • Real constants for multi-material elements (PIPE17, SOLID46, SOLID65, SHELL91, SHELL99)

Compression is usually not required unless memory space is limited and there are large gaps in the numbering sequence.

You cannot access this command for models that have been imported from IGES files using the FACETED translator (see the IOPTN command).

Menu Paths

Main Menu>Preprocessor>Numbering Ctrls>Compress Numbers

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/NUMBER 		Up / Home Next
NUMEXP


NUMEXP

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NUMEXP, NUM, BEGRNG, ENDRNG, Elcalc

Specifies solutions to be expanded from reduced analyses.

SOLUTION: Load Step Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NUM

The number of solutions to expand. This value is required.

Num
 —

Number of solutions to expand.

ALL
 —

Expand all substeps between BEGRNG and ENDRNG (provided that ENDRNG > 0). If BEGRNG and ENDRNG have no specified values, this option expands all substeps of all load steps.

BEGRNG, ENDRNG

Beginning and ending time (or frequency) range for expanded solutions. The default is 0 for both values.

Elcalc

The element-calculation key:

YES
 —

Calculate element results, nodal loads, and reaction loads. This value is the default.

NO
 —

Do not calculate these items.

Command Defaults

Issuing this command with no arguments is invalid. You must specify the number of solutions, or all solutions, to expand (NUM). The default value for both the beginning (BEGRNG) and ending (ENDRNG) time or frequency is 0. The default behavior of the command is to calculate element results, nodal loads, and reaction loads (Elcalc = YES).

Notes

Specifies a range of solutions to be expanded from analyses that use reduced or mode superposition methods (ANTYPE,HARMIC, TRANS, or SUBSTR).

For ANTYPE,TRANS, NUM, evenly spaced solutions are expanded between time BEGRNG and time ENDRNG.

For ANTYPE,HARMIC, NUM, evenly spaced solutions are expanded between frequency BEGRNG and frequency ENDRNG.

The first expansion in all cases is done at the first point beyond BEGRNG (that is, at BEGRNG + (ENDRNG - BEGRNG) / NUM)).

For a single expansion of a solution, or for multiple expansions when the solutions are not evenly spaced (such as in a mode superposition harmonic analysis with the cluster option), ANSYS recommends issuing one or more EXPSOL commands.

The NUMEXP command is invalid in these cases:

  • In a substructing analysis (ANTYPE,SUBST) when a triangularized matrix file (the .TRI file generated by the frontal solver or the .LN22 file generated by the sparse solver) does not exist, causing ANSYS to employ the full-resolve method.

  • If the full-resolve option is selected using the SEOPT command.

In both situations, use the EXPSOL command to perform a single expansion for each solution desired.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>ExpansionPass>Single Expand>Range of Solu's
Main Menu>Solution>Load Step Opts>ExpansionPass>Single Expand>Range of Solu's

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NUMCMP 		Up / Home Next
NUMMRG


NUMMRG

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NUMMRG, Label, TOLER, GTOLER, Action, Switch

Merges coincident or equivalently defined items.

PREP7: Database

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Label

Items to be merged:

NODE
 —

Nodes

ELEM
 —

Elements

KP
 —

Keypoints (will also merge lines, areas, and volumes)

MAT
 —

Materials

TYPE
 —

Element types

REAL
 —

Real constants

CP
 —

Coupled sets

CE
 —

Constraint equations

ALL
 —

All items

TOLER

Range of coincidence. For Label = NODE and KP, defaults to 1.0E-4 (based on maximum Cartesian coordinate difference between nodes or keypoints). For Label = MAT, REAL, and CE, defaults to 1.0E-7 (based on difference of the values normalized by the values). Only items within range are merged. (For keypoints attached to lines, further restrictions apply. See the GTOLER field and Merging Solid Model Entities below.)

GTOLER

Global solid model tolerance -- used only when merging keypoints attached to lines. If specified, GTOLER will override the internal relative solid model tolerance. See Merging Solid Model Entities below.

Action

Specifies whether to merge or select coincident items.

SELE
 —

Select coincident items but do not merge. Action = SELE is only valid for Label = NODE.

(Blank)
 —

Merge the coincident items (default).

Switch

Specifies whether the lowest or highest numbered coincident item is retained after the merging operation. This option does not apply to keypoints; i.e., for Label = KP, the lowest numbered keypoint is retained regardless of the Switch setting.

LOW
 —

Retain the lowest numbered coincident item after the merging operation (default).

HIGH
 —

Retain the highest numbered coincident item after the merging operation.

Notes

After issuing the command, the area and volume sizes (ASUM and VSUM) may give slightly different results. In order to obtain the same results as before, use /FACET, /NORMAL, and ASUM / VSUM.

The merge operation is useful for tying separate, but coincident, parts of a model together. If not all items are to be checked for merging, use the select commands (NSEL, ESEL, etc.) to select items. Only selected items are included in the merge operation for nodes, keypoints, and elements.

By default, the merge operation retains the lowest numbered coincident item. Higher numbered coincident items are deleted. Set Switch to HIGH to retain the highest numbered coincident item after the merging operation. Applicable related items are also checked for deleted item numbers and if found, are replaced with the retained item number. For example, if nodes are merged, element connectivities (except superelements), mesh item range associativity, coupled degrees of freedom, constraint equations, master degrees of freedom, gap conditions, degree of freedom constraints, nodal force loads, nodal surface loads, and nodal body force loads are checked. Merging material numbers [NUMMRG,ALL or NUMMRG,MAT] does not update the material number referenced:

  • By temperature-dependent film coefficients as part of convection load or a temperature-dependent emissivity as part of a surface-to-surface radiation load [SF, SFE, SFL, SFA]

  • By real constants for multi-material elements (PIPE17, SOLID46, SOLID65, SHELL91, SHELL99, SOLID191)

If a unique load is defined among merged nodes, the value is kept and applied to the retained node. If loads are not unique (not recommended), only the value on the lowest node (or highest if Switch = HIGH) will be kept, except for "force" loads for which the values will be summed if they are not defined using tabular boundary conditions.

Note

The unused nodes (not recommended) in elements, couplings, constraint equations, etc. may become active after the merge operation.

The Action field provides the option of visualizing the coincident items before the merging operation.

Caution

When merging entities in a model that has already been meshed, the order in which you issue multiple NUMMRG commands is significant. If you want to merge two adjacent meshed regions that have coincident nodes and keypoints, always merge nodes [NUMMRG,NODE] before merging keypoints [NUMMRG,KP]. Merging keypoints before nodes can result in some of the nodes becoming "orphaned"; that is, the nodes lose their association with the solid model. Orphaned nodes can cause certain operations (such as boundary condition transfers, surface load transfers, and so on) to fail.

After a NUMMRG,NODE, is issued, some nodes may be attached to more than one solid entity. As a result, subsequent attempts to transfer solid model loads to the elements may not be successful. Issue NUMMRG,KP to correct this problem. Do NOT issue VCLEAR before issuing NUMMRG,KP.

For NUMMRG,ELEM, elements must be identical in all aspects, including the direction of the element coordinate system.

For certain solid and shell elements (181, 185, 190, etc) ANSYS will interpret coincident faces as internal and eliminate them. To prevent this from occurring, shrink the entities by a very small factor to delineate coincident items (/SHRINK, 0.0001) and no internal nodes, lines, areas or elements will be eliminated.

When working with solid models, you may have better success with the gluing operations (AGLUE, LGLUE, VGLUE). Please read the following information when attempting to merge solid model entities.

Gluing Operations vs. Merging Operations

Adjacent, touching regions can be joined by gluing them (AGLUE, LGLUE, VGLUE) or by merging coincident keypoints (NUMMRG,KP, which also causes merging of identical lines, areas, and volumes). In many situations, either approach will work just fine. Some factors, however, may lead to a preference for one method over the other.

Geometric Configuration

Gluing is possible regardless of the initial alignment or offset of the input entities. Keypoint merging is possible only if each keypoint on one side of the face to be joined is matched by a coincident keypoint on the other side. This is commonly the case after a symmetry reflection (ARSYM or VSYMM) or a copy (AGEN or VGEN), especially for a model built entirely in ANSYS rather than imported from a CAD system. When the geometry is extremely precise, and the configuration is correct for keypoint merging, NUMMRG is more efficient and robust than AGLUE or VGLUE.

Model Accuracy

Gluing, like all ANSYS boolean operations, requires that the input entities meet the current boolean tolerance (BTOL). Otherwise, AGLUE or VGLUE may fail. In such cases, relaxing the tolerance may allow the glue to complete. An advantage of gluing is that it is unlikely to degrade the accuracy of a geometric model. Keypoint merging can operate on almost any combination of entities (although you may have to override the default tolerances on NUMMRG). However, it can also introduce or increase accuracy flaws, making later boolean operations less likely to succeed. If the input tolerances are too large, NUMMRG can collapse out small lines, areas, or volumes you intended to keep, possibly rendering the model unusable.

Mesh Status

Gluing, like all ANSYS boolean operations, requires that the input entities be unmeshed. Keypoint merging is effective for meshed models under the right conditions. More information on keypoint merging follows.

Merging Solid Model Entities:

When merging solid model entities (Label = KP or ALL), keypoint locations are used as the basis for merging. Once keypoints are merged, any higher order solid model entities (lines, areas, and volumes), regardless of their select status or attachment to the merged keypoints, are considered for merging.

Keypoints that are attached to lines will be merged only if:

  • ΔX, ΔY, and ΔZ are each less than TOLER

    where,

    ΔX is the X component of the distance between keypoints,
    ΔY is the Y component of the distance between keypoints, and
    ΔZ is the Z component of the distance between keypoints;

    and

  • is less than 1E-5 times the length of the longest line attached to those keypoints (internal relative solid model tolerance), or [image] is less than GTOLER (global solid model tolerance) if specified.

The TOLER field is a consideration tolerance. If a keypoint is within TOLER of another keypoint, then those two keypoints are candidates to be merged. If, when "moving" the higher numbered keypoint, the distance exceeds the internal relative solid model tolerance, or the global solid model tolerance (GTOLER) if specified, the keypoints will not be merged. Lines, areas, and volumes are considered for merging in a similar manner.

The internal relative solid model tolerance should be overridden by the global solid model tolerance (GTOLER) only when absolutely necessary. GTOLER is an absolute tolerance; if specified, relative lengths of lines in the model will no longer be considered in the merge operation. If GTOLER is too large, you can "merge-out" portions of your model accidently, effectively defeaturing the model. If GTOLER is used, it is recommended that NUMMRG be preceded by saving the database (since undesired merges of solid model entities could occur).

Note

Use of the NUMMRG command does not cause changes to a model's geometry; only the topology is affected.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Circuit>Merge Nodes
Main Menu>Preprocessor>Modeling>Delete>Pre-tens Elemnts
Main Menu>Preprocessor>Numbering Ctrls>Merge Items

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NUMEXP 		Up / Home Next
NUMOFF


NUMOFF

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NUMOFF, Label, VALUE

Adds a number offset to defined items.

PREP7: Database

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Label

Apply offset number to one of the following sets of items:

NODE
 —

Nodes

ELEM
 —

Elements

KP
 —

Keypoints

LINE
 —

Lines

AREA
 —

Areas

VOLU
 —

Volumes

MAT
 —

Materials

TYPE
 —

Element types

REAL
 —

Real constants

CP
 —

Coupled sets

SECN
 —

Section numbers

CE
 —

Constraint equations

CSYS
 —

Coordinate systems

VALUE

Offset number value (cannot be negative).

Notes

Useful for offsetting current model data to prevent overlap if another model is read in. CDWRITE automatically writes the appropriate NUMOFF commands followed by the model data to File.CDB. Therefore, when the file is read, any model already existing in the database is offset before the model data on the file is read.

Offsetting material numbers with this command [NUMOFF,MAT] does not update the material number referenced by either of the following:

  • A temperature-dependent convection or surface-to-surface radiation load [SF, SFE, SFL, SFA]

  • Real constants for multi-material elements (PIPE17, SOLID46, SOLID65, SHELL91, SHELL99, SOLID191)

Therefore, a mismatch may exist between the material definitions and the material numbers referenced.

Menu Paths

Main Menu>Preprocessor>Numbering Ctrls>Add Num Offset

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NUMMRG 		Up / Home Next
NUMSTR


NUMSTR

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NUMSTR, Label, VALUE

Establishes starting numbers for automatically numbered items.

PREP7: Database

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Label

Apply starting number to one of the following sets of items:

NODE
 —

Node numbers. Value defaults (and is continually reset) to 1 + maximum node number in model. Cannot be reset lower.

ELEM
 —

Element numbers. Value defaults (and is continually reset) to 1 + maximum element number in model. Cannot be reset lower.

KP
 —

Keypoint numbers. Value defaults to 1. Only undefined numbers are used. Existing keypoints are not overwritten.

LINE
 —

Line numbers. Value defaults to 1. Only undefined numbers are used. Existing lines are not overwritten.

AREA
 —

Area numbers. Value defaults to 1. Only undefined numbers are used. Existing areas are not overwritten.

VOLU
 —

Volume numbers. Value defaults to 1. Only undefined numbers are used. Existing volumes are not overwritten.

DEFA
 —

Default. Returns all starting numbers to their default values.

VALUE

Starting number value.

Notes

Establishes starting numbers for various items that may have numbers automatically assigned (such as element numbers with the EGEN command, and node and solid model entity numbers with the mesh [AMESH, VMESH, etc.] commands). Use NUMSTR,STAT to display settings. Use NUMSTR,DEFA to reset all specifications back to defaults. Defaults may be lowered by deleting and compressing items (i.e., NDELE and NUMCMP,NODE for nodes, etc.).

Note

A mesh clear operation (VCLEAR, ACLEAR, LCLEAR, and KCLEAR) automatically sets starting node and element numbers to the highest unused numbers. If a specific starting node or element number is desired, issue NUMSTR after the clear operation.

Menu Paths

Main Menu>Preprocessor>Numbering Ctrls>Reset Start Num
Main Menu>Preprocessor>Numbering Ctrls>Set Start Number
Main Menu>Preprocessor>Numbering Ctrls>Start Num Status

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NUMOFF 		Up / Home Next
NUMVAR


NUMVAR

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NUMVAR, NV

Specifies the number of variables allowed in POST26.

POST26: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NV

Allow storage for NV variables. 200 maximum are allowed. Defaults to 10 (except for an explicit dynamics analysis, which defaults to 30). TIME (variable 1) should also be included in this number.

Command Default

Allow storage for 10 variables (30 variables for an explicit dynamics analysis).

Notes

Specifies the number of variables allowed for data read from the results file and for data resulting from an operation (if any). For efficiency, NV should not be larger than necessary. NV cannot be changed after data storage begins.

Menu Paths

Main Menu>TimeHist Postpro>Settings>File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NUMSTR 		Up / Home Next
NUSORT


NUSORT

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NUSORT

Restores original order for nodal data.

POST1: Results

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This command restores the nodal data to its original order (sorted in ascending node number sequence) after an NSORT command. Changing the selected nodal set [NSEL] also restores the original nodal order.

Menu Paths

Main Menu>General Postproc>List Results>Sorted Listing>Unsort Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NUMVAR 		Up / Home Next
NWPAVE


NWPAVE

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NWPAVE, N1, N2, N3, N4, N5, N6, N7, N8, N9

Moves the working plane origin to the average location of nodes.

DATABASE: Working Plane

MP ME ST PR PRN <> <> FL EM <> <> PP <>

N1, N2, N3, . . . , N9

Nodes used in calculation of the average. At least one must be defined. If N1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

Notes

Averaging is based on the active coordinate system.

This command is valid in any processor.

Menu Paths

Utility Menu>WorkPlane>Offset WP to>Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NUSORT 		Up / Home Next
NWPLAN


NWPLAN

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NWPLAN, WN, NORIG, NXAX, NPLAN

Defines the working plane using three nodes.

DATABASE: Working Plane

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number whose viewing direction will be modified to be normal to the working plane (defaults to 1). If WN is a negative value, the viewing direction will not be modified. If fewer than three points are used, the viewing direction of window WN will be used instead to define the normal to the working plane.

NORIG

Node number defining the origin of the working plane coordinate system. If NORIG = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

NXAX

Node number defining the x-axis orientation (defaults to the x-axis being parallel to the global X-axis; or if the normal to the working plane is parallel to the global X-axis, then defaults to being parallel to the global Y-axis).

NPLAN

Node number defining the working plane (the normal defaults to the present display view [/VIEW] of window WN).

Notes

Defines a working plane to assist in picking operations using three nodes as an alternate to the WPLANE command. The three nodes also define the working plane coordinate system. A minimum of one node (at the working plane origin) is required. Immediate mode may also be active. See the WPSTYL command to set the style of the working plane display.

This command is valid in any processor.

Menu Paths

Main Menu>General Postproc>Surface Operations>Create Surface>Sphere>At Node
Utility Menu>WorkPlane>Align WP with>Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NWPAVE 		Up / Home Next
NWRITE


NWRITE

Release 11.0 Documentation for ANSYS

Commands Reference | N Commands |

NWRITE, Fname, Ext, --, KAPPND

Writes nodes to a file.

PREP7: Nodes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to NODE if Fname is blank.

--

Unused field.

KAPPND

Append key:

0
 —

Rewind file before the write operation.

1
 —

Append data to the end of the existing file.

Notes

Writes selected nodes [NSEL] to a file. The write operation is not necessary in a standard ANSYS run but is provided as a convenience to users wanting a coded node file. Data are written in a coded format. The format used is (I8, 6G20.13) to write out NODE,X,Y,Z,THXY,THYZ,THZX. If the last number is zero (i.e., THZX = 0), or the last set of numbers are zero, they are not written but are left blank. Therefore, you must use a formatted read to process this file. Coordinate values are in the global Cartesian system.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Nodes>Write Node File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NWPLAN 		Up / Home Next
O Commands


O Commands

Table of Contents

OMEGA - Specifies the rotational velocity of the structure.
OPADD - Forms a set of optimization parameters by adding two sets.
OPANL - Defines the analysis file to be used for optimization looping.
OPCLR - Clears the optimization database.
OPDATA - Identifies the file where optimization data is to be saved.
OPDEL - Deletes optimization design sets.
OPEQN - Controls curve fitting for the subproblem approximation method.
OPERATE - Specifies "Operation data" as the subsequent status topic.
OPEXE - Initiates optimization looping.
OPFACT - Defines the type of factorial evaluation to be performed.
OPFRST - Defines specifications for the first order optimization method.
OPGRAD - Specifies which design set will be used for gradient evaluation.
OPKEEP - Specifies whether to save the best-set results and database file.
OPLFA - Displays the results of a factorial evaluation.
OPLGR - Graphs the results of a gradient evaluation.
OPLIST - Displays the parameters for design sets.
OPLOOP - Specifies controls for optimization looping.
OPLSW - Graphs the results of a global sweep generation.
OPMAKE - Creates a design set using active scalar parameter values.
OPNCONTROL - Sets decision parameter for automatically increasing the time step interval.
OPPRNT - Activates detailed optimization summary printout.
OPRAND - Defines the number of iterations for a random optimization.
OPRESU - Reads optimization data into the optimization database.
OPRFA - Prints the results of a factorial evaluation.
OPRGR - Prints the results of a gradient evaluation.
OPRSW - Prints the results of a global sweep generation.
OPSAVE - Writes all optimization data to a file.
OPSEL - Selects design sets for subsequent optimization looping.
OPSUBP - Defines number of iterations for subproblem approximation method.
OPSWEEP - Specifies the reference point and number of evaluation points for a sweep generation.
/OPT - Enters the design optimizer.
OPTYPE - Specifies the optimization method to be used.
OPUSER - Defines specifications for user-supplied external optimization.
OPVAR - Specifies the parameters to be treated as optimization variables.
OUTOPT - Specifies "Output options" as the subsequent status topic.
OUTPR - Controls the solution printout.
/OUTPUT - Redirects text output to a file or to the screen.
OUTRES - Controls the solution data written to the database.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
NWRITE 		Up / Home Next
OMEGA


OMEGA

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OMEGA, OMEGX, OMEGY, OMEGZ, KSPIN

Specifies the rotational velocity of the structure.

SOLUTION: Inertia

MP ME ST PR PRN <> <> FL <> <> <> PP <>

OMEGX, OMEGY, OMEGZ

Rotational velocity of the structure about the global Cartesian X, Y, and Z axes.

KSPIN

The spin-softening key:

0 or OFF – No modification of the stiffness matrix of the element component due to rotation. This value is the default except in a dynamic analysis when the Coriolis effect is taken into account in the rotating reference frame (CORIOLIS,ON); in this case, ANSYS applies spin-softening by default.
1 or ON – Decrease radial stiffness of the element component due to rotation (that is, include spin-softening effects).

Notes

This command specifies the rotational velocity of the structure about each of the global Cartesian axes (right-hand rule). Rotational velocities may be defined in these analysis types:

  • Static (ANTYPE,STATIC)

  • Harmonic (ANTYPE,HARMIC) -- Full or mode superposition

  • Transient (ANTYPE,TRANS) -- Full or mode superposition

  • Substructuring (ANTYPE,SUBSTR)

Rotational velocities are combined with the element mass matrices to form a body force load vector term. Units are radians/time. Related commands are ACEL, CGLOC, CGOMGA, DCGOMG, and DOMEGA.

The KSPIN option allows you to adjust the stiffness of a rotating body to account for dynamic mass effects. The adjustment is called spin-softening and applies to a modal (ANTYPE,MODAL), harmonic (ANTYPE,HARM), or transient (ANTYPE,TRANS) analysis only. By default, ANSYS does not include the spin-softening adjustment in the analysis except for dynamic analyses where you have applied the Coriolis effect (CORIOLIS,ON) in the rotating reference frame. To account for this exception, if the default is requested, the KSPIN value appears as -1 in all saved files containing loads (such as .CDB, .Snn, and .LDHI). The adjustment approximates the effects of geometry changes caused by large-deflection circumferential motion in a small-deflection analysis. The KSPIN option is not intended for a large-deflection static analysis; in such a case, use the NLGEOM,ON command to account for this effect. The command is usually used in conjunction with prestressing (PSTRES).

If you have applied the Coriolis effect (CORIOLIS) using a stationary reference frame, the OMEGA command takes the gyroscopic damping matrix into account for these elements: BEAM4, PIPE16, MASS21, SOLID45, SOLID95, SOLID185, SOLID186, SOLID187, BEAM188, and BEAM189. The element axis must pass through the global Cartesian origin. ANSYS verifies that the rotation vector axis is parallel to the axis of the element; if not, the gyroscopic effect is not applied. After issuing the OMEGA command when the Coriolis or gyroscopic effect is present, a subsequently issued CMOMEGA command has no effect.

In a modal harmonic or transient analysis, you must apply the load in the modal portion of the analysis. ANSYS calculates a load vector and writes it to the mode shape file, which you can apply via the LVSCALE command.

The overall stiffness matrix should not be reused (KUSE) if OMEGA command parameters change between substeps. See the Theory Reference for ANSYS and ANSYS Workbench for matrix details.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Inertia>Angular Veloc>Global
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Inertia>Angular Veloc>Global
Main Menu>Solution>Define Loads>Apply>Structural>Inertia>Angular Veloc>Global
Main Menu>Solution>Define Loads>Delete>Structural>Inertia>Angular Veloc>Global

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
O Commands 		Up / Home Next
OPADD


OPADD

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPADD, NRES, NUM1, NUM2, C1, C2

Forms a set of optimization parameters by adding two sets.

OPTIMIZATION: Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NRES

Number assigned to results set. If same as existing set, the existing values will be overwritten by these results (defaults to next available set number).

NUM1

Number of first design set to be used in operation.

NUM2

Number of second design set to be used in operation (may be blank).

C1

Scale factor applied to NUM1 (defaults to 1.0).

C2

Scale factor applied to NUM2 (defaults to 1.0).

Notes

Forms a result set of parameters by adding two existing design sets according to the operation:

NRES = (C1 x NUM1) + (C2 x NUM2)

OPADD can also be used to scale results for a single set. If no set number is specified for the results set (NRES), it defaults to the next available set number. Because no compression of set numbers is done, the next available set number will be either 1 + the highest existing set number, or 1 + the highest set number used (if sets with higher numbers previously existed but have been removed).

Menu Paths

Main Menu>Design Opt>Design Sets>Combine

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OMEGA 		Up / Home Next
OPANL


OPANL

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPANL, Fname, Ext, --

Defines the analysis file to be used for optimization looping.

OPTIMIZATION: Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

Ext

Filename extension (8 character maximum).

--

Unused field.

Command Default

If interactive, no default; if batch, use the batch input stream (File.BAT).

Notes

The optimization looping file must be specified for an optimization which is performed interactively. The file must exist at the time OPANL is issued. In this file, where the /PREP7 and /OPTcommands occur, they must be the first nonblank characters on the line (i.e., do not use the $ delimiter on any /PREP7 or /OPT command lines).

Menu Paths

Main Menu>Design Opt>Analysis File>Assign

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPADD 		Up / Home Next
OPCLR


OPCLR

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPCLR

Clears the optimization database.

OPTIMIZATION: Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Clears the optimization database. All settings are reset to their default values, and all design sets are deleted. This command is useful between multiple (independent) optimization analyses in the same batch run or interactive session.

Menu Paths

Main Menu>Design Opt>Opt Database>Clear & Reset

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPANL 		Up / Home Next
OPDATA


OPDATA

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPDATA, Fname, Ext, --

Identifies the file where optimization data is to be saved.

OPTIMIZATION: Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to OPT if Fname is blank.

--

Unused field.

Command Default

Optimization data is saved on File.OPT.

Notes

Identifies the file where optimization data is to be automatically saved during looping. Automatic saves occur at the end of each loop or iteration, and upon finishing out of the optimizer [FINISH]. (To save the data elsewhere in the optimizer, use OPSAVE.) Optimization data written to the file include DVs, SVs, saved design sets, analysis file name, etc. The data can be restored via the OPRESU command.

Menu Paths

Main Menu>Design Opt>Controls

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPCLR 		Up / Home Next
OPDEL


OPDEL

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPDEL, NSET1, NSET2

Deletes optimization design sets.

OPTIMIZATION: Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NSET1

First design set in range to be deleted. Defaults to 0. If NSET1 is blank and NSET2 is [image] 1, all sets from the lowest existing set number to NSET2 will be deleted. If NSET1 = ALL, all design sets are removed.

NSET2

Last design set in range to be deleted. Defaults to NSET1.

Notes

Deletes the design sets in a specified range. All sets occurring within that range (i.e., NSET1 [image] N [image] NSET2, where N is an existing set number) are permanently removed from the optimization database. The original set numbers are retained for remaining design sets. Note that no compression of set numbers is done. Thus, if the highest set is deleted, the next available set number will be the previously existing highest set number + 1. (A maximum of 130 design sets can be stored in the optimization database.)

Menu Paths

Main Menu>Design Opt>Design Sets>Select/Delete

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPDATA 		Up / Home Next
OPEQN


OPEQN

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPEQN, KFOBJ, KFSV, KWGHT, KOPPR, INOPT

Controls curve fitting for the subproblem approximation method.

OPTIMIZATION: Specifications

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KFOBJ

Objective function curve fit:

0
 —

Quadratic plus cross-term curve fit for objective function (default).

1
 —

Linear curve fit.

2
 —

Quadratic curve fit.

3
 —

Quadratic plus cross-term fit (same as 0).

KFSV

State variables curve fit:

0
 —

Quadratic curve fit for state variables (default).

1
 —

Linear curve fit.

2
 —

Quadratic curve fit (same as 0).

3
 —

Quadratic plus cross-term curve fit.

KWGHT

Weighting factors:

0
 —

Weights applied to design sets based on triple products of distance in design space, objective function values, and feasibility/infeasibility (KWGHT = 2, 3, and 4, below) (default).

1
 —

All weights set to unity.

2
 —

Weights based on distance in design space.

3
 —

Weights based on objective function values.

4
 —

Weights based on feasibility/infeasibility.

KOPPR

Optimization printout:

0
 —

No printout of approximation data (default).

N
 —

Printout every nth optimization loop.

INOPT

Approximation reformulation:

0
 —

Approximations are updated every loop (default).

N
 —

Approximations are completely reformulated every nth loop.

Notes

Controls the curve fitting for the optimization approximations used with the subproblem approximation method [OPTYPE,SUBP]. See the Theory Reference for ANSYS and ANSYS Workbench for details.

Menu Paths

Main Menu>Design Opt>Method/Tool

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPDEL 		Up / Home Next
OPERATE


OPERATE

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPERATE

Specifies "Operation data" as the subsequent status topic.

POST26: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPEQN 		Up / Home Next
OPEXE


OPEXE

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPEXE

Initiates optimization looping.

OPTIMIZATION: Run

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Initiates optimization looping using commands condensed from the analysis file [OPANL]. The type of optimization to be performed is specified by the OPTYPE command. Upon issuing this command, optimization looping begins and the design variables are updated as necessary based on the type of optimization chosen. Control remains with the ANSYS program until convergence or termination occurs, at which time the commands occurring after OPEXE are executed. This command is not allowed within a do-loop [*DO].

Menu Paths

Main Menu>Design Opt>Run

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPERATE 		Up / Home Next
OPFACT


OPFACT

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPFACT, Type

Defines the type of factorial evaluation to be performed.

OPTIMIZATION: Specifications

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Type of factorial evaluation. Number of iterations is determined by the number of design variables (n).

FULL
—

Perform a full factorial analysis (default); 2**n iterations are required. n must be [image] 7.

1/2
—

Perform a 1/2 fractional factorial analysis. (1/2)*2**n iterations are required. n must be [image] 8.

1/4
—

Perform a 1/4 fractional factorial analysis. (1/4)*2**n iterations are required. n must be [image] 9.

1/8
—

Perform a 1/8 fractional factorial analysis. (1/8)*2**n iterations are required. n must be [image] 10.

1/16
—

Perform a 1/16 fractional factorial analysis. (1/16)*2**n iterations are required. n must be [image] 10.

1/32
—

Perform a 1/32 fractional factorial analysis. (1/32)*2**n iterations are required. n must be [image] 10.

1/64
—

Perform a 1/64 fractional factorial analysis. (1/64)*2**n iterations are required. n must be [image] 10.

Command Default

Perform a full factorial analysis.

Notes

This command is valid for the factorial evaluation method of optimization [OPTYPE,FACT]. The factorial evaluation is defined as either full or fractional. The number of iterations performed is dependent on the number of design variables that have been defined (n).

Menu Paths

Main Menu>Design Opt>Method/Tool

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPEXE 		Up / Home Next
OPFRST


OPFRST

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPFRST, NITR, SIZE, DELTA

Defines specifications for the first order optimization method.

OPTIMIZATION: Specifications

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NITR

Maximum number of optimization iterations for the next execution [OPEXE]. Defaults to previously specified value, if any, otherwise defaults to 10.

SIZE

Limit (in percent) that is applied to the size of each line search step. For example, setting SIZE = 10 will limit design variable changes to 10 percent of the maximum range of design space (defined by feasible design variable limits specified on OPVAR commands) at each iteration. Defaults to previously specified value, if any; otherwise, defaults to 100 (percent).

DELTA

The forward difference (in percent) applied to the design variable range that is used to compute the gradient. For example, the shift in a DV is DELTA*(MAX - MIN)/100, where MIN and MAX are specified on the OPVAR command. Defaults to previously specified value, if any; otherwise, defaults to 0.2 (percent).

Command Default

NITR = 10, SIZE = 100, DELTA = 0.2.

Notes

This command is valid for the first order method of optimization [OPTYPE,FIRST].

Menu Paths

Main Menu>Design Opt>Method/Tool

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPFACT 		Up / Home Next
OPGRAD


OPGRAD

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPGRAD, Dset, DELTA

Specifies which design set will be used for gradient evaluation.

OPTIMIZATION: Specifications

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Dset

BEST
 —

Use the best design set as the evaluation point (default).

LAST
 —

Use the last design set as the evaluation point.

n
 —

Use design set number n as the evaluation point.

DELTA

The forward difference applied to the design variable range that is used to compute the gradient. For example, the shift in a design variable (DV) is defined as DELTA*(MAX-MIN)/100, with MIN and MAX as specified on the OPVAR command. Defaults to 0.5.

Command Default

As described for each argument above.

Notes

This command is valid for the gradient evaluation method of optimization [OPTYPE,GRAD]. OPGRAD specifies which point (design set) in design space will be used to evaluate the gradient and what the forward difference will be.

Menu Paths

Main Menu>Design Opt>Method/Tool

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPFRST 		Up / Home Next
OPKEEP


OPKEEP

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPKEEP, Key

Specifies whether to save the best-set results and database file.

OPTIMIZATION: Specifications

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Key

Save key:

OFF
—

Do not save the results and database files for the best design set (default).

ON
—

Save results and database files (File.BRST and File.BDB) for the best design set during optimization looping.

Command Default

Do not save the database and results for the best design set.

Notes

Specifies whether or not the results file and database file corresponding to the best design set (based on all existing sets) should be saved during optimization. The saved files will be named File.BRST (or File.BRTH for thermal analysis, File.BRMG for magnetic analysis, File.BRFL for a FLOTRAN CFD analysis) and File.BDB. If Key = ON, both files will be saved at the end of each optimization loop which results in a new best design set. File.RST (results) and File.DB (database) will be saved as usual for the last design set, regardless of the Key setting. If multiple analyses are done within an optimization loop, then only the last analysis is considered for the Key = ON option. For example, if a thermal analysis is followed by a stress analysis, the files saved for the best set will be File.BRST and File.BDB, which will both correspond to the structural analysis.

Menu Paths

Main Menu>Design Opt>Controls

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPGRAD 		Up / Home Next
OPLFA


OPLFA

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPLFA, Name, Effect, EMIN, EMAX

Displays the results of a factorial evaluation.

OPTIMIZATION: Display

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Name

Parameter name. The parameter must have been previously defined as the objective function or a state variable [OPVAR].

Effect

Display effects for parameter Name.

MAIN
—

Display main effects (default).

2FAC
—

Display two-factor interactions.

3FAC
—

Display three-factor interactions.

EMIN

Minimum value of effect to be displayed. Default - computed minimum.

EMAX

Maximum value of effect to be displayed. Default - computed maximum.

Notes

Displays the results of a factorial analysis in bar chart form. Only the 10 largest interaction values will be displayed in the specified range (EMIN to EMAX). This command is only valid after a factorial evaluation [OPTYPE,FACT].

Menu Paths

Main Menu>Design Opt>Design Sets>Tool Results>Graph>Factorial

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPKEEP 		Up / Home Next
OPLGR


OPLGR

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPLGR, Pname, Dvnam1, Dvnam2, Dvnam3, Dvnam4, Dvnam5, Dvnam6

Graphs the results of a gradient evaluation.

OPTIMIZATION: Display

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Pname

Response parameter name. The parameter must have been previously defined as the objective function or a state variable [OPVAR].

Dvnam1, Dvnam2, Dvnam3, . . . , Dvnam6

Design variable names.

Notes

This command is only valid after a gradient evaluation [OPTYPE,GRAD]. Pname is graphed with respect to a plus or minus 1% change in design variable (Dvnam1, ... Dvnam6).

Menu Paths

Main Menu>Design Opt>Design Sets>Tool Results>Graph>Gradient

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPLFA 		Up / Home Next
OPLIST


OPLIST

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPLIST, SET1, SET2, LKEY

Displays the parameters for design sets.

OPTIMIZATION: Display

MP ME ST PR PRN <> <> FL EM <> <> PP <>

SET1, SET2

Display values of all analysis parameters from SET1 (defaults to the highest existing set) to SET2 (defaults to SET1). If SET1 = ALL, display for all sets.

LKEY

Listing key:

0
—

List only scalar parameters related to optimization.

1
—

List all analysis scalar parameters.

Notes

Displays the values of the parameters for specified design sets. Note that a *STATUS command may also be issued to display various optimization data.

Menu Paths

Main Menu>Design Opt>Design Sets>List

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPLGR 		Up / Home Next
OPLOOP


OPLOOP

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPLOOP, Read, Dvar, Parms

Specifies controls for optimization looping.

OPTIMIZATION: Specifications

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Read

Indicates where to begin reading the analysis file during optimization looping. Note that the /PREP7 command (and the /OPT command) must occur as the first nonblank characters on a line in the analysis file (i.e., do not use the $ delimiter). Defaults to previously specified label, if any; otherwise, defaults to TOP:

TOP
—

Read from the first line.

PREP
—

Read from the first occurrence of /PREP7.

Dvar

Indicates how to treat parameters which have been designated as design variables (DVs) during optimization looping. Defaults to previously specified label, if any; otherwise, defaults to IGNORE:

IGNORE
—

Do not process DV parameter assignments in the analysis file during looping.

PROCESS
—

Process DV parameter assignments in the analysis file during looping.

Parms

Indicates which types of parameters to save during optimization looping. Defaults to previously specified label, if any; otherwise, defaults to SCALAR:

SCALAR
—

Save scalar parameters only.

ALL
—

Save all parameters, both scalar and array.

Command Default

Read = TOP, Dvar = IGNORE, and Parms = SCALAR.

Menu Paths

Main Menu>Design Opt>Controls

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPLIST 		Up / Home Next
OPLSW


OPLSW

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPLSW, Pname, Dvnam1, Dvnam2, Dvnam3, Dvnam4, Dvnam5, Dvnam6

Graphs the results of a global sweep generation.

OPTIMIZATION: Display

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Pname

Response parameter name. The parameter must have been previously defined as the objective function or a state variable (OPVAR).

Dvnam1, Dvnam2, Dvnam3, . . . , Dvnam6

Design variable names.

Notes

This command is only valid after a global sweep generation [OPTYPE,SWEEP]. Pname is graphed with respect to the specified design variables (Dvnam1, ... Dvnam6). The design variables are normalized (0 to 1) along the X-axis.

Menu Paths

Main Menu>Design Opt>Design Sets>Tool Results>Graph>Sweeps

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPLOOP 		Up / Home Next
OPMAKE


OPMAKE

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPMAKE

Creates a design set using active scalar parameter values.

OPTIMIZATION: Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

The next available design set number is assigned to the new design set. Because no compression of set numbers is done, the next available set number will be either 1 + the highest existing set number, or 1 + the highest set number used (if sets with higher numbers previously existed but have been removed). Multiple design sets can be created by repeated use of PARRES (to read parameters from a file) and OPMAKE.

Menu Paths

Main Menu>Design Opt>Design Sets>Create

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPLSW 		Up / Home Next
OPNCONTROL


OPNCONTROL

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPNCONTROL, Lab, VALUE, NUMSTEP

Sets decision parameter for automatically increasing the time step interval.

SOLUTION: Analysis Options

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Lab
DOF
—

DOF label used to base a decision for increasing the time step (substep) interval in a nonlinear or transient analysis. The only DOF label currently supported is TEMP.

OPENUPFACTOR
—

Factor for increasing the time step interval. Use Lab = OPENUPFACTOR (when AUTOTS,ON is invoked) and specify a VALUE greater than 1.0. Default for OPENUPFACTOR is 1.5. The upper limit for OPENUPFACTOR is 10.0. However, we recommend using a value not greater than 3.0.

VALUE, NUMSTEP

Two values used in algorithm for deciding if the time step interval can be increased. The time step interval is increased if the maximum absolute value of the incremental solution at the specified DOF label is less than VALUE for the number of contiguous time steps specified by NUMSTEP. The default for VALUE is 0.1 and the default for NUMSTEP is 3. NUMSTEP is used only when Lab = DOF.

Notes

This command is available only for nonlinear or transient analysis, and only when SOLCONTROL,ON.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Nonlinear>Open Control
Main Menu>Solution>Load Step Opts>Nonlinear>Open Control

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPMAKE 		Up / Home Next
OPPRNT


OPPRNT

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPPRNT, Key

Activates detailed optimization summary printout.

OPTIMIZATION: Specifications

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Key

Summary key:

OFF
—

Do not print details (default).

ON
—

Print the detailed summary.

FULL
—

Same as Key = ON, but includes a full list of all design sets.

Notes

Activates detailed optimization summary printout to the primary output during optimization analysis.

Menu Paths

Main Menu>Design Opt>Controls

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPNCONTROL 		Up / Home Next
OPRAND


OPRAND

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPRAND, NITR, NFEAS

Defines the number of iterations for a random optimization.

OPTIMIZATION: Specifications

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NITR

Maximum number of optimization iterations for the next execution [OPEXE]. Defaults to previously specified value, if any; otherwise, defaults to 1.

NFEAS

Desired total number of feasible design sets (including existing feasible sets). Once NFEAS feasible sets are achieved, random iterations are terminated. If 0 is input, NITR random iterations will be performed independent of the number of feasible designs that are obtained. Defaults to previously specified value, if any; otherwise, defaults to 0.

Command Default

Perform 1 iteration.

Notes

This command is valid for the random design generation method of optimization [OPTYPE,RAND].

Menu Paths

Main Menu>Design Opt>Method/Tool

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPPRNT 		Up / Home Next
OPRESU


OPRESU

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPRESU, Fname, Ext, --

Reads optimization data into the optimization database.

OPTIMIZATION: Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to OPT if Fname is blank.

--

Unused field.

Notes

Reads optimization data from the specified file into the optimization database. Optimization data must have been previously saved to this file [OPSAVE], or automatically written to this file in an earlier optimization analysis. All existing parameters will be deleted and replaced by those stored on the resumed file. (To save existing parameters, use PARSAV before OPRESU.)

Menu Paths

Main Menu>Design Opt>Opt Database>Resume

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPRAND 		Up / Home Next
OPRFA


OPRFA

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPRFA, Name

Prints the results of a factorial evaluation.

OPTIMIZATION: Display

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Name

Parameter name. The parameter must have been previously defined as the objective function or a state variable [OPVAR]. If Name = ALL, print results for all optimization response variables (default).

Notes

This command is only valid after a factorial evaluation [OPTYPE,FACT].

Menu Paths

Main Menu>Design Opt>Design Sets>Tool Results>Print

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPRESU 		Up / Home Next
OPRGR


OPRGR

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPRGR, Name

Prints the results of a gradient evaluation.

OPTIMIZATION: Display

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Name

Parameter name. The parameter must have been previously defined as the objective function or a state variable [OPVAR]. If Name = ALL, print results for all optimization response variables (default).

Notes

This command is only valid after a gradient evaluation [OPTYPE,GRAD].

Menu Paths

Main Menu>Design Opt>Design Sets>Tool Results>Print

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPRFA 		Up / Home Next
OPRSW


OPRSW

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPRSW, Name

Prints the results of a global sweep generation.

OPTIMIZATION: Display

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Name

Parameter name. The parameter must have been previously defined as the objective function or a state variable (OPVAR). If Name = ALL, print results for all optimization response variables (default).

Notes

This command is only valid after a global sweep generation [OPTYPE,SWEEP].

Menu Paths

Main Menu>Design Opt>Design Sets>Tool Results>Print

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPRGR 		Up / Home Next
OPSAVE


OPSAVE

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPSAVE, Fname, Ext, --

Writes all optimization data to a file.

OPTIMIZATION: Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to OPT if Fname is blank.

--

Unused field.

Notes

Writes all optimization data to File.OPT or a named file. Saved data includes optimization data only (DVs, SVs, saved design sets, analysis file name, etc.). The data can be restored [OPRESU] for an optimization restart.

Menu Paths

Main Menu>Design Opt>Opt Database>Save

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPRSW 		Up / Home Next
OPSEL


OPSEL

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPSEL, NSEL

Selects design sets for subsequent optimization looping.

OPTIMIZATION: Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NSEL

Number of best design sets to be selected. If NSEL = -1, select all feasible designs. If NSEL is positive and no objective function is defined, the following occurs: all infeasible design sets are removed; next the lowest number (oldest) feasible design sets are removed until NSEL sets are left (i.e., the latest feasible design sets are kept).

Notes

A number of best design sets or all feasible design sets may be specified. ("Best" design sets are determined by the objective function value for each feasible design.) All design sets not selected are permanently removed from the optimization database. The original set numbers are retained for remaining design sets. Note that no compression of set numbers is done. Thus, if the highest set is removed, the next available set will still be the previously used highest set number + 1. (A maximum of 130 design sets can be stored in the optimization database.)

Menu Paths

Main Menu>Design Opt>Design Sets>Select/Delete

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPSAVE 		Up / Home Next
OPSUBP


OPSUBP

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPSUBP, NITR, NINFS

Defines number of iterations for subproblem approximation method.

OPTIMIZATION: Specifications

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NITR

Maximum number of optimization iterations for the next execution [OPEXE]. Defaults to previously specified value, if any; otherwise, defaults to 30.

NINFS

Maximum number of consecutive infeasible design sets that are allowed. Once NINFS consecutive infeasible sets are encountered, iterations are terminated. Defaults to previously specified value, if any; otherwise, defaults to 7.

Notes

This command is valid for the subproblem approximation method of optimization [OPTYPE,SUBP].

Menu Paths

Main Menu>Design Opt>Method/Tool

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPSEL 		Up / Home Next
OPSWEEP


OPSWEEP

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPSWEEP, Dset, NSPS

Specifies the reference point and number of evaluation points for a sweep generation.

OPTIMIZATION: Specifications

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Dset

BEST
—

Use the best design set as the reference point (default).

LAST
—

Use the last design set as the reference point.

N
—

Use design set number N as the reference point.

NSPS

Number of evaluation points used for each design variable sweep. Two to ten evaluation points are allowed. Defaults to 2 (i.e., the minimum and maximum design variable values).

Command Default

As described by the arguments above.

Notes

This command is valid for the sweep evaluation method of optimization [OPTYPE,SWEEP].

Menu Paths

Main Menu>Design Opt>Method/Tool

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPSUBP 		Up / Home Next
/OPT


/OPT

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

/OPT

Enters the design optimizer.

SESSION: Processor Entry

OPTIMIZATION: Specifications

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Enters the ANSYS optimizer for design optimization by iterative analyses. Upon issuing this command, if there are no existing design sets, all currently defined numerical scalar parameters are established as design set number 1.

This command is valid only at the Begin Level.

Menu Paths

Main Menu>Design Opt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPSWEEP 		Up / Home Next
OPTYPE


OPTYPE

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPTYPE, Mname

Specifies the optimization method to be used.

OPTIMIZATION: Specifications

MP ME ST PR PRN <> <> FL EM EH <> PP <>

Product Restrictions

Mname

Name of the optimization method to be used:

SUBP
 —

Subproblem approximation method. Specifications for this method are defined on the OPSUBP command.

FIRST
 —

First order optimization method. Specifications for this method are defined on the OPFRST command.

RAND
 —

Perform random iterations. Specifications for this method are defined on the OPRAND command.

RUN
 —

Perform a single optimization run with current parameter values for the defined design variables.

FACT
 —

Perform factored design iterations. Specifications for this method are defined on the OPFACT command.

GRAD
 —

Compute a gradient (design sensitivity) at a point in design space. Specifications for this method are defined on the OPGRAD command.

SWEEP
 —

Perform global sweeps through global design space starting from a single design set. Specifications for this method are defined on the OPSWEEP command.

USER
 —

User-supplied external optimization. See the Advanced Analysis Techniques Guide for user optimization information (USEROP routine). Parameters used for this method are defined on the OPUSER command.

Command Default

Perform a single optimization run (Mname = RUN) with current parameter values for the defined design variables.

Notes

Specifies the optimization method to be used upon execution [OPEXE].

Product Restrictions

Mname = USER is only allowed in ANSYS Multiphysics, ANSYS Mechanical, ANSYS Structural, and ANSYS PrepPost.

Menu Paths

Main Menu>Design Opt>Method/Tool

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/OPT 		Up / Home Next
OPUSER


OPUSER

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPUSER, NITR, VAL1, VAL2, VAL3, VAL4, VAL5, VAL6, VAL7, VAL8

Defines specifications for user-supplied external optimization.

OPTIMIZATION: Specifications

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NITR

Maximum number of optimization iterations for the next execution [OPEXE]. Defaults to previously specified value, if any; otherwise, defaults to 1.

VAL1, VAL2, VAL3, . . . , VAL8

Numerical values (double precision) for user-supplied optimizer. Values may be the results of parameter evaluations. Values are written to File.OPT after the parameter set data. VAL1--VAL8 default to previously specified values, if any; otherwise, default to 0.

Notes

Defines the number of iterations and the parameter values for user-supplied external optimization [OPTYPE,USER]. Values are passed to the user routine (USEROP) through the optimization common block.

Menu Paths

Main Menu>Design Opt>Method/Tool

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPTYPE 		Up / Home Next
OPVAR


OPVAR

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OPVAR, Name, Type, MIN, MAX, TOLER

Specifies the parameters to be treated as optimization variables.

OPTIMIZATION: Specifications

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Name

Parameter name (must be a scalar parameter).

Type

Optimization variable type:

DV
 —

Design variable. MAX must also be specified.

SV
 —

State variable, also referred to as a constrained variable. (Usually defined via a *GET command.) MIN, or MAX, or both must be specified.

OBJ
 —

Objective function (variable to be minimized). Only one objective function is allowed. MIN and MAX are not used.

DEL
 —

Deletes this optimization variable (does not delete the parameter). This option only has meaning if the parameter Name was previously defined as an optimization variable (DV, SV, or OBJ). The parameter retains the value assigned during the last loop. MIN and MAX are not used.

MIN

Minimum value for this parameter. For Type = DV, MIN must be greater than 0.0 and defaults to 0.001*(MAX). For Type = SV, there will be no lower limit if MIN is left blank, but if MIN = 0.0, the lower limit is zero. MIN is ignored for Type = OBJ. MIN is also ignored for Type = DEL (except for the special case when Name = (blank) and Type = DEL, as described next).

When the GUI is on, if a Delete operation (in a Design Variables or State Variables dialog box) writes this command to a log file (Jobname.LOG or Jobname.LGW), you will observe that Name is blank, Type = DEL, and MIN is an integer number. In this case, the GUI has assigned a value of MIN that corresponds to the location of a chosen variable name in the dialog box's list. It is not intended that you type in such a location value for MIN in an ANSYS session. However, a file that contains a GUI-generated OPVAR command of this form can be used for batch input or for use with the /INPUT command.

MAX

Maximum value for this parameter. Required for Type = DV and ignored for Type = OBJ or DEL. For Type = SV, there will be no upper limit if MAX is left blank, but if MAX = 0.0, the upper limit is zero.

TOLER

For Type = DV and OBJ, acceptable change between loops for convergence; defaults to 0.01*(current value) for OBJ and 0.01*(MAX-MIN) for DV. For Type = SV, defines feasibility tolerance. For double-sided SV limits (MAX and MIN specified), the default is 0.01*(MAX-MIN). For a single-sided SV limit (MAX or MIN specified), the default is 0.01*(specified limit) or, if the absolute value of the limit is < 1, the default is 0.01*(current SV value). TOLER is ignored for Type = DEL.

Command Default

No optimization parameters defined.

Notes

Specifies the parameters to be treated as optimization variables. Variable constraints (MIN and MAX) and tolerances (TOLER) are also specified on this command. If the specified parameter (Name) does not exist at the time OPVAR is issued, the OPVAR command defines that parameter and assigns a value of zero to it. Up to 60 DV and 100 SV parameters are allowed.

Menu Paths

Main Menu>Design Opt>Design Variables
Main Menu>Design Opt>Objective
Main Menu>Design Opt>State Variables

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPUSER 		Up / Home Next
OUTOPT


OUTOPT

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OUTOPT

Specifies "Output options" as the subsequent status topic.

SOLUTION: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Solution>Output Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OPVAR 		Up / Home Next
OUTPR


OUTPR

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OUTPR, Item, FREQ, Cname

Controls the solution printout.

SOLUTION: Misc Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Item

Item for print control:

BASIC
 —

Basic quantities (nodal DOF solution, nodal reaction loads, and element solution) (default).

NSOL
 —

Nodal DOF solution.

RSOL
 —

Nodal reaction loads.

ESOL
 —

Element solution.

NLOAD
 —

Element nodal loads. When nonlinear stabilization is active, the stabilization force/moments are also printed.

SFOR
 —

Stabilization force/moment at the applicable nodes (valid only when nonlinear stabilization is active).

VENG
 —

Element energies. When nonlinear stabilization is active, the energy dissipation due to stabilization is also printed.

V
 —

Nodal velocity (applicable to structural transient analysis only (ANTYPE,TRANS)).

A
 —

Nodal acceleration (applicable to structural transient analysis only (ANTYPE,TRANS)).

ALL
 —

All of the above solution items.

FREQ

Print solution for this item every FREQ th (and the last) substep of each load step. If -n, print up to n equally spaced solutions (for automatic time stepping). If NONE, suppress all printout for this item for this load step. If ALL, print solution for this item for every substep. If LAST, print solution for this item only for the last substep of each load step. For a modal analysis, use NONE or ALL.

Cname

Name of the component, created with the CM command, defining the selected set of nodes or elements for which this specification is active. If blank, the set is all entities.

Note

The component named must be of the same type as the item, i.e. nodal or element. A component name is not allowed with the BASIC or ALL labels.

Command Default

No printout.

Notes

Controls the solution items to be printed, the frequency with which they are printed (in static, transient, or full harmonic analyses), and the set of nodes or elements to which this specification applies (in static, transient, or full harmonic analyses). An item is associated with either a node (NSOL, RFORCE, V, and A items) or an element (all of the remaining items). The specifications are processed in the order that they are input. Up to 50 specifications (OUTPR and OUTRES commands combined) may be defined. Use OUTPR,STAT to list the current specifications and use OUTPR,ERASE to erase all the current specifications.

As described above, OUTPR writes some or all items (depending on analysis type) for all elements. To restrict the solution printout, use OUTPR to selectively suppress (FREQ = NONE) the writing of solution data, or first suppress the writing of all solution data (OUTPR,ALL,NONE) and then selectively turn on the writing of solution data with subsequent OUTPR commands.

If the generalized plane strain feature is active and OUTPR is issued, the change of fiber length at the ending point during deformation and the rotation of the ending plane about X and Y during deformation will be printed if any displacement at the nodes is printed. The reaction forces at the ending point will be printed if any reaction force at the nodes is printed.

Nodal reaction loads (Item = RSOL) are processed according to the specifications listed for the PRRSOL command.

Result printouts for interactive sessions are suppressed for models with more than 10 elements.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Output Ctrls>Solu Printout
Main Menu>Solution>Load Step Opts>Output Ctrls>Solu Printout

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OUTOPT 		Up / Home Next
/OUTPUT


/OUTPUT

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

/OUTPUT, Fname, Ext, --, Loc

Redirects text output to a file or to the screen.

SESSION: Run Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

Filename and directory path (248 character maximum, including directory) to which text output will be redirected (defaults to Jobname if Ext is specified). For interactive runs, Fname = TERM (or blank) redirects output to the screen. For batch runs, Fname = blank (with all remaining command arguments blank) redirects output to the default system output file.

Ext

Filename extension (8 character maximum).

--

Unused field.

Loc

Location within a file to which output will be written:

(blank)
 —

Output is written starting at the top of the file (default).

APPEND
 —

Output is appended to the existing file.

Command Default

Text output is written to the screen for interactive runs and to the system output file for batch runs (see the Basic Analysis Guide).

Notes

Text output includes responses to every command and GUI function, notes, warnings, errors, and other informational messages. Upon execution of /OUTPUT,Fname, Ext, ..., all subsequent text output is redirected to the file Fname.Ext. To redirect output back to the default location, issue /OUTPUT (no arguments).

Note

When using the GUI, output from list operations [NLIST, DLIST, etc.] is always sent to a list window regardless of the /OUTPUT setting. The output can then be saved on a file or copied to the /OUTPUT location using the File menu in the list window.

This command is valid in any processor.

Menu Paths

Utility Menu>File>Switch Output to>File
Utility Menu>File>Switch Output to>Output Window

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OUTPR 		Up / Home Next
OUTRES


OUTRES

Release 11.0 Documentation for ANSYS

Commands Reference | O Commands |

OUTRES, Item, Freq, Cname

Controls the solution data written to the database.

SOLUTION: Misc Loads

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Item

Results item for database and file write control:

ALL
 —

All solution items except SVAR and LOCI. This value is the default.

CINT
 —

J-integral results.

ERASE
 —

Resets OUTRES specifications to their default values.

STAT
 —

Lists the current OUTRES specifications.

BASIC
 —

Write only NSOL, RSOL, NLOAD, STRS, FGRAD, and FFLUX records to the results file and database.

NSOL
 —

Nodal DOF solution.

RSOL
 —

Nodal reaction loads.

V
 —

Nodal velocity (applicable to structural full transient analysis only (ANTYPE,TRANS)).

A
 —

Nodal acceleration (applicable to structural full transient analysis only (ANTYPE,TRANS)).

ESOL
 —

Element solution (includes all items following):

NLOAD
 —

Element nodal, input constraint, and force loads (also used with the /POST1 commands PRRFOR, NFORCE, and FSUM to calculate reaction loads).

STRS
 —

Element nodal stresses.

EPEL
 —

Element elastic strains.

EPTH
 —

Element thermal, initial, and swelling strains.

EPPL
 —

Element plastic strains.

EPCR
 —

Element creep strains.

FGRAD
 —

Element nodal gradients.

FFLUX
 —

Element nodal fluxes.

LOCI
 —

Integration point locations.

SVAR
 —

State variables (used only by USERMAT).

MISC
 —

Element miscellaneous data (SMISC and NMISC items of the ETABLE command).

Freq

Specifies how often (that is, at which substeps) to write the specified solution results item. The following values are valid:

Value | Description
n | Writes the specified results item every nth (and the last) substep of each load step.
-n | Writes up to n equally spaced solutions (for automatic loading).
NONE | Suppresses writing of the specified results item for all substeps.
ALL | Writes the solution of the specified solution results item for every substep. This value is the default for a harmonic analysis (ANTYPE,HARMIC) and for any expansion pass (EXPASS,ON).
LAST | Writes the specified solution results item only for the last substep of each load step. This value is the default for a static (ANTYPE,STATIC) or transient (ANTYPE,TRANS) analysis.
%array% Where array is the name of an n x 1 x 1 dimensional array parameter defining n key times, the data for the specified solution results item is written at those key times.

Key times in the array parameter must appear in ascending order. Values must be greater than or equal to the beginning values of the load step, and less than or equal to the ending time values of the load step.

For multiple-load-step problems, either change the parameter values to fall between the beginning and ending time values of the load step or erase the current settings and reissue the command with a new array parameter.

For more information about defining array parameters, see the *DIM command documentation.

Cname

The name of the component, created with the CM command, defining the selected set of elements or nodes for which this specification is active. If blank, the set is all entities. A component name is not allowed with the ALL, BASIC, or RSOL items.

Command Default

The OUTRES command writes the specified solution results item for every substep. The exceptions to the default behavior are as follows:

  • For static (ANTYPE,STATIC) or transient (ANTYPE,TRANS) analyses, the default is to write the specified solution results item for the last substep of each load step.

  • For a harmonic analysis (ANTYPE,HARMIC) and any expansion pass, the default is to write the specified solution results item for every substep.

  • For reduced or mode superposition transients, the default is to write the reduced displacements file for every 4th substep (as well as the last substep); however, if gap conditions exist, the default is to write the specified solution results item of every substep.

Notes

The OUTRES command allows you to specify the following:

  • The solution item (Item) to write to the database (and to the reduced displacement and results files)

  • The frequency (Freq) at which the solution item is written (applicable to static, transient, or full harmonic analyses)

  • The set of elements or nodes (Cname) to which your specification applies.

The command generates a specification for controlling data storage for each substep, activating storage of the specified results item for the specified substeps of the solution and suppressing storage of that item for all other substeps.

You can issue multiple OUTRES commands in an analysis. After the initial command creating the storage specification, subsequent OUTRES commands modify the specification set for each substep. The command processes your specifications at each substep in the order in which you input them. If you specify a given solution item twice, output is based upon the last specification. Therefore, issue multiple OUTRES commands carefully and in the proper sequence.

Besides OUTRES, another output-control command named OUTPR exists which controls solution printout. You can issue up to 50 output-control commands (either OUTRES or OUTPR, or some combination of both) in an analysis.

Note

Issuing OUTRES,ERASE erases the existing output specifications and resets the counted number of OUTRES commands to zero. Issuing OUTPR,ERASE affects the OUTPR command in the same way.

A given OUTRES command has no effect on results items not specified. For example, an OUTRES,ESOL,LAST command does not affect NSOL data; that is, it neither activates nor suppresses NSOL data storage in any substep.

Caution

In the results-item hierarchy, certain items are subsets of other items. For example, element solution (ESOL) data is a subset of all (ALL) solution data. Therefore, an OUTRES,ALL command can affect ESOL data. Likewise, an OUTRES command that controls ESOL data can affect a portion of ALL data. The example OUTRES commands illustrate the interrelationships between results items and the necessity for employing the OUTRES command thoughtfully.

To suppress ALL data at every substep, issue an OUTRES,ALL,NONE command. (An OUTRES,ERASE command does not suppress ALL data at every substep.)

The NSOL, RSOL, V, and A solution items are associated with nodes. All remaining solution items are associated with elements.

The boundary conditions (constraints and force loads) are written to the results file only if either nodal or reaction loads (NLOAD or RSOL items) are also written.

When specifying a Freq value, observe the following:

  • For a modal analysis, the only valid values are NONE or ALL.

  • If you issue multiple OUTRES commands during an analysis, you cannot specify a key time array parameter (%array%) in a given OUTRES command and then specify a different Freq option in a subsequent OUTRES command.

The OUTRES command is also valid in /PREP7.

Example

When issuing an OUTRES command, think of a matrix in which you set switches on and off. When a switch is on, a results item is stored for the specified substep. When a switch is off, a results item is suppressed for a specified substep.

Assuming a static (ANTYPE,STATIC) analysis, this example shows how the matrix looks after issuing each OUTRES command in this six-substep solution.

NSUBST,6
OUTRES,ERASE
OUTRES,NSOL,2
OUTRES,ALL,3
OUTRES,ESOL,4
SOLVE

To simplify the example, only a subset of the available solution items appears in the matrix.

OUTRES,ERASE -- After issuing this command, the default output specifications are in effect, as shown:

Substep | Results Item Specification
 | ALL
 | BASIC |  |  |  |  |
 | NSOL | RSOL | ESOL
 |  |  | NLOAD | STRS | FGRAD | EPEL | EPTH
1 | off | off | off | off | off | off | off
2 | off | off | off | off | off | off | off
3 | off | off | off | off | off | off | off
4 | off | off | off | off | off | off | off
5 | off | off | off | off | off | off | off
6 | ON | ON | ON | ON | ON | ON | ON

OUTRES,NSOL,2 -- This command modifies the initial specifications so that NSOL is turned on for substeps 2, 4 and 6, and turned off for substeps 1, 3 and 5, as shown:

Substep | Results Item Specification
 | ALL
 | BASIC |  |  |  |  |
 | NSOL | RSOL | ESOL
 |  |  | NLOAD | STRS | FGRAD | EPEL | EPTH
1 | off | off | off | off | off | off | off
2 | ON | off | off | off | off | off | off
3 | off | off | off | off | off | off | off
4 | ON | off | off | off | off | off | off
5 | off | off | off | off | off | off | off
6 | ON | ON | ON | ON | ON | ON | ON

OUTRES,ALL,3 -- This command further modifies the specifications so that ALL is turned on for substeps 3 and 6, and turned off for substeps 1, 2, 4 and 5, as shown:

Substep | Results Item Specification
 | ALL
 | BASIC |  |  |  |  |
 | NSOL | RSOL | ESOL
 |  |  | NLOAD | STRS | FGRAD | EPEL | EPTH
1 | off | off | off | off | off | off | off
2 | off | off | off | off | off | off | off
3 | ON | ON | ON | ON | ON | ON | ON
4 | off | off | off | off | off | off | off
5 | off | off | off | off | off | off | off
6 | ON | ON | ON | ON | ON | ON | ON

OUTRES,ESOL,4 -- This command once again modifies the specifications so that ESOL is turned on for the fourth and last substeps, and turned off for substeps 1, 2, 3 and 5, as shown:

Substep | Results Item Specification
 | ALL
 | BASIC |  |  |  |  |
 | NSOL | RSOL | ESOL
 |  |  | NLOAD | STRS | FGRAD | EPEL | EPTH
1 | off | off | off | off | off | off | off
2 | off | off | off | off | off | off | off
3 | ON | ON | off | off | off | off | off
4 | off | off | ON | ON | ON | ON | ON
5 | off | off | off | off | off | off | off
6 | ON | ON | ON | ON | ON | ON | ON

SOLVE

When obtaining the solution, results data are stored as follows:

Substep | Results Items Stored
1 | No data
2 | No data
3 | NSOL and RSOL data
4 | ESOL data
5 | No data
6 | ALL data

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Sol'n Controls>Basic
Main Menu>Preprocessor>Loads>Load Step Opts>Output Ctrls>DB/Results File
Main Menu>Solution>Analysis Type>Sol'n Controls>Basic
Main Menu>Solution>Load Step Opts>Output Ctrls>DB/Results File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/OUTPUT 		Up / Home Next
P Commands


P Commands

Table of Contents

PADELE - Deletes a defined path.
/PAGE - Defines the printout and screen page size.
PAGET - Writes current path information into an array variable.
PAPUT - Retrieves path information from an array variable.
PARESU - Restores previously saved paths from a file.
PARTSEL - Selects a subset of parts in an explicit dynamic analysis.
PASAVE - Saves selected paths to an external file.
PATH - Defines a path name and establishes parameters for the path.
/PBC - Shows boundary condition (BC) symbols and values on displays.
/PBF - Shows magnitude of body force loads on displays.
PCALC - Forms additional labeled path items by operating on existing path items.
PCGOPT - Controls PCG solver options.
PCIRC - Creates a circular area centered about the working plane origin.
/PCIRCLE - Creates an annotation circle (GUI).
PCONV - Sets convergence values for p-method solutions.
/PCOPY - Automatically generates hard copies for HP UNIX work stations.
PCORRO - Specifies the allowable exterior corrosion thickness for a piping run.
PCROSS - Calculates the cross product of two path vectors along the current path.
PDANL - Defines the analysis file to be used for probabilistic looping.
PDCDF - Plots the cumulative distribution function.
PDCFLD - Calculates a correlation field and stores it into an ANSYS array.
PDCLR - Clears the probabilistic design database.
PDCMAT - Prints the correlation coefficient matrix.
PDCORR - Specifies the correlation between two random input variables.
PDDMCS - Specifies options for Monte Carlo Simulations using direct sampling.
PDDOEL - Defines design of experiment levels for an individual random input variable.
PDEF - Interpolates an item onto a path.
PDEXE - Executes the probabilistic analysis.
PDHIST - Plots the frequency histogram.
PDINQR - Evaluates statistical characteristics of a random input variable.
PDLHS - Specifies options for Monte Carlo Simulations using Latin-Hypercube sampling.
PDMETH - Specifies the probabilistic analysis method.
PDOT - Calculates the dot product of two path vectors along the current path.
PDPINV - Prints the result of the inversion of a probability.
PDPLOT - Plots the distribution curves of a defined random input variable.
PDPROB - Prints a probability result.
PDRAG - Defines the external fluid drag loading for a piping run.
PDRESU - Reads the probabilistic model data and loads it into the database.
PDROPT - Specifies the options for an HTML report.
/PDS - Enters the probabilistic design system.
PDSAVE - Writes the probabilistic model data to a file.
PDSCAT - Plots a scatter graph.
PDSENS - Plots the probabilistic sensitivities.
PDSHIS - Plots the sample history values.
PDUSER - Specifies options for user-specified sampling methods.
PDVAR - Specifies the parameters to be treated as probabilistic design variables.
PDWRITE - Generates an HTML report for the probabilistic analyses.
PEMOPTS - Defines percentage tolerance and error estimation method for electrostatic p-Method solution.
PERBC2D - Generates periodic constraints for 2-D planar magnetic field analyses.
PERI - Specifies periodic boundary conditions in an incompressible flow analysis.
PEXCLUDE - Specifies elements to be excluded from p-level escalations.
PFACT - Calculates participation factors for the PSD or multi-point response spectrum table.
PFLUID - Defines the contained fluid density for a piping run.
PGAP - Defines a spring-gap constraint in a piping run.
PGRAPH - Specifies the location from which graphics data will be retrieved for viewing.
PGRSET - Defines the data set to be read from the PGR file.
PGSAVE - Creates a PowerGraphics (PGR) file from results data.
PGSELE - Select a subset of elements for display with the PGR viewer.
PGWRITE - Writes selected solution data to the PGR file for faster post processing access.
PHYSICS - Writes, reads, or lists all element information
/PICE - Shows initial conditions on elements as contours on displays.
PINCLUDE - Specifies elements to be included in p-level escalations.
PINSUL - Defines the external insulation constants in a piping run.
PIPE - Specifies "Pipe modeling" as the subsequent status topic.
PIVCHECK - Prevents a batch mode, linear static analysis from stopping when a negative or zero equation solver pivot value is encountered.
PLCAMP - Plots Campbell diagram data for applications involving rotating structure dynamics.
PLCINT - Plots the J-integral result data.
PLCONV - Plots the convergence curve for specified items from a p-method solution.
PLCPLX - Specifies the part of a complex variable to display.
PLCRACK - Displays cracking and crushing locations in SOLID65 elements.
PLDISP - Displays the displaced structure.
PLESOL - Displays the solution results as discontinuous element contours.
PLETAB - Displays element table items.
PLF2D - Generates a contour line plot of equipotentials.
PLHFFAR - Displays electric far fields and far field parameters.
PLLS - Displays element table items as contoured areas along elements.
PLNSOL - Displays results as continuous contours.
/PLOPTS - Controls graphics options on subsequent displays.
PLORB - Displays the orbital motion of a rotating structure
PLOT - Forms a display.
PLOTTING - Specifies "Plotting settings" as the subsequent status topic.
PLPAGM - Displays path items along the path geometry.
PLPATH - Displays path items on a graph.
PLSCH - Converts and plots scattering, admittance, or impedance parameters on a Smith chart.
PLSECT - Displays membrane and membrane-plus-bending linearized stresses.
PLSYZ - Converts and plots network parameters versus frequency or plots losses versus frequency.
PLTD - Displays TDR/TDT waveforms, an impedance profile, or a total waveform.
PLTIME - Defines the time range for which data are to be displayed.
PLTRAC - Displays a particle flow or charged particle trace on an element display.
PLVAR - Displays up to ten variables in the form of a graph.
PLVAROPT - Displays up to ten parameters in the form of a graph.
PLVECT - Displays results as vectors.
PLVFRC - Displays volume fractions in a volume of fluid (VOF) analysis.
PLWAVE - Specifies a free-space time-harmonic incident plane electromagnetic wave.
PMAP - Creates mapping of the path geometry by defining path interpolation division points.
PMETH - Specifies "p-Method" as the subsequent status topic.
/PMETH - Activates the p-method solution options in the Graphical User Interface (GUI).
PMGTRAN - Summarizes electromagnetic results from a transient analysis.
PMLOPT - Defines perfectly matched layers (PMLs) for a high-frequency analysis.
PMLSIZE - Determines number of PML layers.
PMOPTS - Defines percentage tolerance for a p-Method solution.
/PMORE - Creates an annotation polygon (GUI).
PNGR - Provides PNG file export for ANSYS displays.
/PNUM - Controls entity numbering/coloring on plots.
POINT - Specifies "Point flow tracing settings" as the subsequent status topic.
POLY - Creates a polygonal area based on working plane coordinate pairs.
/POLYGON - Creates annotation polygons (GUI).
POPT - Selects the piping analysis standard for a piping run.
/POST1 - Enters the database results postprocessor.
/POST26 - Enters the time-history results postprocessor.
POUTRES - Controls the nodal DOF and computed element results graphics data that is written to the PGR file.
POWERH - Calculates the rms power loss in a conductor or lossy dielectric.
PPATH - Defines a path by picking or defining nodes, or locations on the currently active working plane, or by entering specific coordinate locations.
PPLOT - Displays an element plot indicating each element's final p-level.
PPRANGE - Specifies a range of p-level values for use in a p-method solution.
PPRES - Defines the internal pressure for a piping run.
PRANGE - Determines the path range.
PRCAMP - Prints Campbell diagram data for applications involving rotating structure dynamics.
PRCINT - Lists the J-integral result data.
PRCONV - Lists convergence values versus characteristic p-level.
PRCPLX - Defines the output form for complex variables.
PRECISION - Specifies machine precision for solvers (currently valid only for PCG solvers).
PRED - Activates a predictor in a nonlinear analysis.
PRENERGY - Prints the total energies of a model.
/PREP7 - Enters the model creation preprocessor.
PRERR - Prints SEPC and TEPC.
PRESOL - Prints the solution results for elements.
PRETAB - Prints the element table items.
PRHFFAR - Prints electric far fields and far field parameters.
PRI2 - Creates a polygonal area or a prism volume by vertices (GUI).
PRIM - Specifies "Solid model primitives" as the subsequent status topic.
PRINT - Specifies "Print settings" as the subsequent status topic.
PRISM - Creates a prism volume based on working plane coordinate pairs.
PRITER - Prints solution summary data.
PRJSOL - Prints joint element output.
PRNLD - Prints the summed element nodal loads.
PRNSOL - Prints the nodal solution results.
PROD - Multiplies variables.
PRORB - Prints the orbital motion characteristics of a rotating structure
PRPATH - Prints path items along a geometry path.
PRRFOR - Used with the FORCE command. Prints the constrained node reaction solution.
PRRSOL - Prints the constrained node reaction solution.
PRSECT - Calculates and prints linearized stresses along a section path.
PRSSOL - Prints BEAM188 and BEAM189 section results.
PRSYZ - Converts and lists scattering, admittance, or impedance parameters.
PRTIME - Defines the time range for which data are to be listed.
PRVAR - Lists variables vs. time (or frequency).
PRVAROPT - Lists up to ten optimization parameters.
PRVECT - Prints results as vector magnitude and direction cosines.
PSCONTROL - Turn shared-memory parallel operations on or off during solution.
PSCR - Specifies various PostScript options.
PSDCOM - Specifies the power spectral density mode combination method.
PSDFRQ - Defines the frequency points for the input spectrum vs. FREQ tables of PSD and multi-point spectrum analyses.
PSDGRAPH - Displays input PSD curves
PSDRES - Controls solution output written to the results file from a PSD analysis.
PSDSPL - Defines a partially correlated excitation in a PSD analysis.
PSDUNIT - Defines the type of PSD or multi-point response spectrum.
PSDVAL - Defines PSD or multi-point response spectrum values.
PSDWAV - Defines a wave propagation excitation in a PSD analysis.
PSEL - Selects a path or paths.
/PSF - Shows surface load symbols on model displays.
PSMESH - Create and mesh a pretension section
PSOLVE - Directs the program to perform a partial solution.
PSPEC - Defines pipe material and dimensions.
/PSPEC - Creates annotation polygon attributes (GUI).
PSPRNG - Defines a spring constraint in a piping run.
/PSTATUS - Displays the global or window display specifications.
PSTRES - Specifies whether prestress effects are calculated or included.
/PSYMB - Shows various symbols on displays.
PTEMP - Defines the pipe wall temperatures in a piping run.
PTXY - Defines coordinate pairs for use in polygons and prisms.
PUNIT - Selects the system of length units to be used in a piping run.
PVECT - Interpolates a set of items onto a path.
/PWEDGE - Creates an annotation wedge (GUI).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
OUTRES 		Up / Home Next
PADELE


PADELE

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PADELE, DELOPT

Deletes a defined path.

POST1: Path Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

DELOPT

Path delete option (one of the following):

ALL
—

Delete all defined paths.

NAME
—

Delete a specific path from the list of path definitions. (Substitute the actual path name for NAME.)

Command Default

Deletes the currently active path.

Notes

Paths are identified by individual path names. To review the current list of path names, issue the command PATH,STATUS.

This command is valid in the general postprocessor.

Menu Paths

Main Menu>General Postproc>Path Operations>Archive Path>Retrieve>Path from array
Main Menu>General Postproc>Path Operations>Delete Path>All Paths
Main Menu>General Postproc>Path Operations>Delete Path>By Name
Main Menu>Preprocessor>Path Operations>Delete Path>All Paths
Main Menu>Preprocessor>Path Operations>Delete Path>By Name

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
P Commands 		Up / Home Next
/PAGE


/PAGE

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

/PAGE, ILINE, ICHAR, BLINE, BCHAR

Defines the printout and screen page size.

POST1: Listing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ILINE

Number of lines (11 minimum) per "page" or screen. Defaults to 24. Applies to interactive non-GUI to the screen output only.

ICHAR

Number of characters (41 to 132) per line before wraparound. Defaults to 80. Applies to interactive non-GUI to the screen output only.

BLINE

Number of lines (11 minimum) per page. Defaults to 56. Applies to batch mode [/BATCH], diverted [/OUTPUT], or interactive GUI [/MENU] output.

BCHAR

Number of characters (41 to 240 (system dependent)) per line before wraparound. Defaults to 132. Applies to batch mode [/BATCH], diverted [/OUTPUT], or interactive GUI [/MENU] output.

Command Default

As defined by the items above.

Notes

Defines the printout page size for batch runs and the screen page size for interactive runs. Applies to the POST1 PRNSOL, PRESOL, PRETAB, PRRSOL, and PRPATH commands. See the /HEADER command for additional controls (page ejects, headers, etc.) that affect the amount of printout. A blank (or out-of-range) value retains the previous setting. Issue /PAGE,STAT to display the current settings. Issue /PAGE,DEFA to reset the default specifications.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PADELE 		Up / Home Next
PAGET


PAGET

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PAGET, PARRAY, POPT

Writes current path information into an array variable.

POST1: Path Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

PARRAY

The name of the array parameter that the ANSYS program creates to store the path information. If the array parameter already exists, it will be replaced with the current path information.

POPT

Determines how data will be stored in the parameter specified with PARRAY:

POINTS
 —

Store the path points, the nodes (if any), and coordinate system. (For information on defining paths and path points, see the descriptions of the PATH and PPATH commands.)

TABLE
 —

Store the path data items. (See the PDEF command description for path data items.)

LABEL
 —

Stores path data labels.

Notes

Use the PAGET command together with the PAPUT command to store and retrieve path data in array variables for archiving purposes. When retrieving path information, restore the path points (POINTS option) first, then the path data (TABLE option), and then the path labels (LABEL option).

Menu Paths

Main Menu>General Postproc>Path Operations>Archive Path>Store>Path in array

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/PAGE 		Up / Home Next
PAPUT


PAPUT

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PAPUT, PARRAY, POPT

Retrieves path information from an array variable.

POST1: Path Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

PARRAY

Name of the array variable containing the path information.

POPT

Specifies which path data to retrieve:

POINTS
 —

Retrieve path point information (specified with the PPATH command and stored with the PAGET,POINTS command). The path data name will be assigned to the path points.

TABLE
 —

Retrieve path data items (defined via the PDEF command and stored with the PAGET,,TABLE command).

LABEL
 —

Retrieve path labels stored with the PAGET,,LABEL command.

Notes

When retrieving path information, restore path points (POINTS option) first, then the path data (TABLE option), and then the path labels (LABEL option).

Menu Paths

Main Menu>General Postproc>Path Operations>Archive Path>Retrieve>Path from array

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PAGET 		Up / Home Next
PARESU


PARESU

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PARESU, Lab, Fname, Ext, --

Restores previously saved paths from a file.

POST1: Path Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Read operation:

ALL
 —

Read all paths from the selected file (default).

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to PATH if Fname is blank.

--

Unused field.

Notes

This command removes all paths from virtual memory and then reads path data from a file written with the PASAVE command. All paths on the file will be restored. All paths currently in memory will be deleted.

Menu Paths

Main Menu>General Postproc>Path Operations>Archive Path>Retrieve>Paths from file
Main Menu>Preprocessor>Path Operations>Retrieve>Paths from file

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PAPUT 		Up / Home Next
PARTSEL


PARTSEL

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PARTSEL, Type, PMIN, PMAX, PINC

Selects a subset of parts in an explicit dynamic analysis.

DATABASE: Selecting

<> <> <> <> <> <> <> <> <> <> DY PP <>

Type

Label identifying type of select. Because PARTSEL is a command macro, the label must be enclosed in single quotes.

'S'
 —

Select a new set (default).

'R'
 —

Reselect a set from the current set.

'A'
 —

Additionally select a set and extend the current set.

'U'
 —

Unselect a set from the current set.

'ALL'
 —

Select all parts.

'NONE'
 —

Unselect all parts.

'INVE'
 —

Invert the current selected set.

The following fields are used only with Type = 'S', 'R', 'A', or 'U':

PMIN

Minimum part number in the range to be selected.

PMAX

Maximum part number in the range to be selected (defaults to PMIN).

PINC

Part number increment in the range to be selected (default =1).

Notes

PARTSEL invokes an ANSYS macro that selects parts in an explicit dynamic analysis. When PARTSEL is executed, an element component is automatically created for each existing part. For example, the elements that make up PART 1 are grouped into the element component _PART1. Each time the PARTSEL command is executed, components for unselected parts will be unselected. To plot selected parts, choose Utility Menu> Plot> Parts in the GUI or issue the command PARTSEL,'PLOT'.

After selecting parts, if you change the selected set of nodes or elements and then plot parts, the nodes and elements associated with the previously selected parts (from the last PARTSEL command) will become the currently selected set.

Note

A more efficient way to select and plot parts is to use the ESEL (with ITEM = PART) and EPLOT commands. We recommend using ESEL instead of PARTSEL since PARTSEL will be phased out in a future release. Note that the menu path mentioned above for plotting parts does not work with the ESEL command; use Utility Menu> Plot> Elements instead.

In an explicit dynamic small restart analysis (EDSTART,2), PARTSEL can be used to unselect a part during the solution even if it is referenced in some way (such as in a contact definition). (Note that ESEL cannot be used for this purpose.) However, in a new analysis or a full restart analysis (EDSTART,3), all parts that are used in some type of definition must be selected at the time of solution.

This command is valid in any processor.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Utility Menu>Select>Select Parts

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PARESU 		Up / Home Next
PASAVE


PASAVE

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PASAVE, Lab, Fname, Ext, --

Saves selected paths to an external file.

POST1: Path Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Write operation:

S
 —

Saves only selected paths.

ALL
 —

Saves all paths (default).

Pname
 —

Saves the named path (from the PSEL command).

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to PATH if Fname is blank.

--

Unused field.

Notes

Saves the paths selected with the PSEL command to an external file (Jobname.path by default). Previous paths on this file, if any, will be overwritten. The path file may be read with the PARESU command.

This command is valid in /Post1.

Menu Paths

Main Menu>General Postproc>Path Operations>Archive Path>Store>Paths in file
Main Menu>Preprocessor>Path Operations>Store>Paths in file

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PARTSEL 		Up / Home Next
PATH


PATH

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PATH, NAME, nPts, nSets, nDiv

Defines a path name and establishes parameters for the path.

POST1: Path Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NAME

Name for this path (eight characters maximum. If nPts is blank, set the current path to the path with this name. If nPts is greater than zero, create a path of this name. If a path with this name already exists, replace it with a new path. If the NAME value is STATUS, display the status for path settings.

nPts

The number of points used to define this path. The minimum number is two, and the maximum is 1000. Default is 2.

nSets

The number of sets of data which you can map to this path. You must specify at least four: X, Y, Z, and S. Default is 30.

nDiv

The number of divisions between adjacent points. Default is 20. There is no maximum number of divisions.

Notes

The PATH command is used to define parameters for establishing a path. The path geometry is created by the PPATH command. Multiple paths may be defined and named; however, only one path may be active for data interpolation [PDEF] and data operations [PCALC, etc.]. Path geometry points and data are stored in memory while in POST1. If you leave POST1, the path information is erased. Path geometry and data may be saved in a file by archiving the data using the PASAVE command. Path information may be restored by retrieving the data using the PARESU command.

For overlapping nodes, the lowest numbered node is assigned to the path.

The number of divisions defined using nDiv does NOT affect the number of divisions used by PLSECT and PRSECT.

For information on displaying paths you have defined, see the Basic Analysis Guide.

Menu Paths

Main Menu>General Postproc>List Results>Path Items
Main Menu>General Postproc>Path Operations>Archive Path>Retrieve>Path from array
Main Menu>General Postproc>Path Operations>Archive Path>Retrieve>Paths from file
Main Menu>General Postproc>Path Operations>Define Path>By Location
Main Menu>General Postproc>Path Operations>Define Path>By Nodes
Main Menu>General Postproc>Path Operations>Define Path>On Working Plane
Main Menu>General Postproc>Path Operations>Define Path>Path Status>Defined Paths
Main Menu>General Postproc>Path Operations>Delete Path>All Paths
Main Menu>General Postproc>Path Operations>Delete Path>By Name
Main Menu>General Postproc>Path Operations>Recall Path
Main Menu>Preprocessor>Path Operations>Define Path>By Location
Main Menu>Preprocessor>Path Operations>Define Path>By Nodes
Main Menu>Preprocessor>Path Operations>Define Path>On Working Plane
Main Menu>Preprocessor>Path Operations>Define Path>Path Status>Defined Paths
Main Menu>Preprocessor>Path Operations>Delete Path>All Paths
Main Menu>Preprocessor>Path Operations>Delete Path>By Name
Main Menu>Preprocessor>Path Operations>Recall Path
Main Menu>Preprocessor>Path Operations>Retrieve>Paths from file
Utility Menu>List>Status>General Postproc>Path Operations

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PASAVE 		Up / Home Next
/PBC


/PBC

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

/PBC, Item, --, KEY, MIN, MAX, ABS

Shows boundary condition (BC) symbols and values on displays.

GRAPHICS: Labeling

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Item

Label identifying the item:

U
 —

Applied translational constraints (UX, UY, UZ).

ROT
 —

Applied rotational constraints (ROTX, ROTY, ROTZ).

TEMP
 —

Applied temperatures (TEMP, TBOT, TE2, TE3, . . ., TTOP).

PRES
 —

Applied fluid pressures.

V
 —

Applied flow velocities (VX, VY, VZ).

SP0n
 —

Mass fraction of species n, where n = 1 to 6 (FLOTRAN). If a species is given a user-defined name [MSSPEC], use that name instead of SP0n.

ENKE
 —

Turbulent kinetic energy (FLOTRAN).

ENDS
 —

Turbulent energy dissipation (FLOTRAN).

VOLT
 —

Applied voltages.

MAG
 —

Applied scalar magnetic potentials.

A
 —

Applied vector magnetic potentials.

CHRG
 —

Applied electric charge.

F or FORC
 —

Applied structural forces (FX, FY, FZ).

M or MOME
 —

Applied structural moments (MX, MY, MZ).

HEAT
 —

Applied heat flows (HEAT, HBOT, HE2, HE3, . . ., HTOP).

FLOW
 —

Applied fluid flow.

AMPS
 —

Applied current flow.

FLUX
 —

Applied magnetic flux.

CSG
 —

Applied magnetic current segments.

MAST
 —

Master degrees of freedom.

CP
 —

Coupled nodes.

CE
 —

Nodes in constraint equations.

NFOR
 —

POST1 nodal forces.

NMOM
 —

POST1 nodal moments

RFOR
 —

POST1 reaction forces.

RMOM
 —

POST1 reaction moments (MX, MY, MZ).

PATH
 —

Path geometry (undistorted) associated with the PATH command after a PDEF or PVECT command has been issued.

ACEL
 —

Global acceleration (ACELX, ACELY, ACELZ vector).

OMEG
 —

Global angular velocity (OMEGX, OMEGY, OMEGZ vector) and acceleration (DOMEGX, DOMEGY, DOMEGZ vector).

WELD
 —

Applied spotwelds (ANSYS LS-DYNA).

ALL
 —

Represents all appropriate labels.

--

Unused field.

KEY

Symbol key:

0
 —

Do not show symbol.

1
 —

Show symbol.

2
 —

Plot value next to symbol.

MIN

Minimum value in a range of values plotted on screen.

MAX

Maximum value in a range of values plotted on screen.

ABS

Absolute number. If KEY = 2 and ABS = 0, a number falling between the MIN and MAX is displayed. If ABS is not specified, it defaults to 0. If KEY = 2 and ABS = 1, an absolute value falling between the MIN and MAX is displayed. ABS = 1 lets you eliminate the display of numbers whose absolute values are less than a desired tolerance. For example, if ABS = 1, MIN = 10 and MAX = 1e8, values such as .83646 and -5.59737 are not displayed.

Command Default

No symbols displayed.

Notes

The /PBC command adds degree of freedom constraint, force load, and other symbols to displays.

Symbols are applied to the selected nodes only. All arrow and arrowhead symbols are oriented in the nodal coordinate system and lie in two perpendicular planes. Force arrows are scaled proportional to their magnitude. (If KEY = 1, use /VSCALE to change arrow length.) For scalar quantities, the specific component direction (i.e., x, y, or z) of the symbol has no meaning, but the positive or negative sense (e.g., positive or negative x) represents a positive or negative scalar value, respectively.

The effects of the /PBC command are not cumulative (that is, the command does not modify an existing setting from a previously issued /PBC command). If you issue multiple /PBC commands during an analysis, only the setting specified by the most recent /PBC command applies.

Use /PSTATUS or /PBC,STAT to display settings. Use /PBC,DEFA to reset all specifications back to default. See the /PSF and /PBF commands for other display symbols.

In a cyclic symmetry analysis, the /PBC command is deactivated when cyclic expansion is active (/CYCEXPAND,,ON). To view boundary conditions on the basic sector, deactivate cyclic expansion (/CYCEXPAND,,OFF) and issue this command: /PBC,ALL,,1

Issuing the command /PBC,PATH, ,1 displays all defined paths.

The /PBC command is valid in any processor.

Menu Paths

Main Menu>General Postproc>Path Operations>Define Path>On Working Plane
Main Menu>General Postproc>Path Operations>Plot Paths
Main Menu>Preprocessor>Path Operations>Define Path>On Working Plane
Main Menu>Preprocessor>Path Operations>Plot Paths
Utility Menu>PlotCtrls>Symbols

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PATH 		Up / Home Next
/PBF


/PBF

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

/PBF, Item, --, KEY

Shows magnitude of body force loads on displays.

GRAPHICS: Labeling

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Item

Label identifying the item:

TEMP
 —

Applied temperatures.

FLUE
 —

Applied fluences.

HGEN
 —

Applied heat generation rates.

JS
 —

Applied current density magnitude.

JSX
 —

X-component of current density.

JSY
 —

Y-component of current density.

JSZ
 —

Z-component of current density.

PHASE
 —

Phase angle of applied load.

MVDI
 —

Applied magnetic virtual displacements flag.

CHRGD
 —

Applied electric charge density.

VLTG
 —

Applied voltage drop.

FORC
 —

Applied force density (FLOTRAN only).

--

Unused field.

KEY

Symbol key:

0
 —

Do not show body force load contours.

1
 —

Show body force load contours.

2
 —

Show current density as a vector (not a contour).

Command Default

No body force load contours displayed.

Notes

Shows body force loads as contours on displays for the selected elements.

The effects of the /PBF command are not cumulative (that is, the command does not modify an existing setting from a previously issued /PBF command). If you issue multiple /PBF commands during an analysis, only the setting specified by the most recent /PBF command applies.

Use /PSTATUS or /PBF,STAT to display settings. Use /PBF,DEFA to reset all specifications back to default. See also the /PSF and /PBC command for other display contours.

Portions of this command are not supported by PowerGraphics [/GRAPHICS,POWER].

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Symbols

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/PBC 		Up / Home Next
PCALC


PCALC

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PCALC, Oper, LabR, Lab1, Lab2, FACT1, FACT2, CONST

Forms additional labeled path items by operating on existing path items.

POST1: Path Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Oper

Type of operation to be performed. See "Notes" below for specific descriptions of each operation:

ADD
 —

Adds two existing path items.

MULT
 —

Multiplies two existing path items.

DIV
 —

Divides two existing path items (a divide by zero results in a value of zero).

EXP
 —

Exponentiates and adds existing path items.

DERI
 —

Finds a derivative.

INTG
 —

Finds an integral.

SIN
 —

Sine.

COS
 —

Cosine.

ASIN
 —

Arcsine.

ACOS
 —

Arccosine.

LOG
 —

Natural log.

LabR

Label assigned to the resulting path item.

Lab1

First labeled path item in operation.

Lab2

Second labeled path item in operation. Lab2 must not be blank for the MULT, DIV, DERI, and INTG operations.

FACT1

Factor applied to Lab1. A (blank) or '0' entry defaults to 1.0.

FACT2

Factor applied to Lab2. A (blank) or '0' entry defaults to 1.0.

CONST

Constant value (defaults to 0.0).

Notes

If Oper = ADD, the command format is:

PCALC,ADD,LabR,Lab1,Lab2,FACT1,FACT2,CONST

This operation adds two existing path items according to the operation:

LabR = (FACT1 x Lab1) + (FACT2 x Lab2) + CONST

It may be used to scale the results for a single path item.

If Oper = MULT, the command format is:

PCALC,MULT,LabR,Lab1,Lab2,FACT1

Lab2 must not be blank. This operation multiplies two existing path items according to the operation:

LabR = Lab1 x Lab2 x FACT1

If Oper = DIV, the command format is:

PCALC,DIV,LabR,Lab1,Lab2,FACT1

Lab2 must not be blank. This operation divides two existing path items according to the operation:

LabR = (Lab1/Lab2) x FACT1

If Oper = EXP, the command format is:

PCALC,EXP,LabR,Lab1,Lab2,FACT1,FACT2

This operation exponentiates and adds existing path items according to the operation:

LabR = (|Lab1|FACT1) + (|Lab2|FACT2|)

If Oper = DERI, the command format is:

PCALC,DERI,LabR,Lab1,Lab2,FACT1

Lab2 must not be blank. This operation finds a derivative according to the operation:

LabR = FACT1 x d(Lab1)/d(Lab2)

If Oper = INTG, the command format is:

PCALC,INTG,LabR,Lab1,Lab2,FACT1

Lab2 must not be blank. This operation finds an integral according to the operation:

Use S for Lab2 to integrate Lab1 with respect to the path length. S, the distance along the path, is automatically calculated by the program when a path item is created with the PDEF command.

If Oper = SIN, COS, ASIN, ACOS, or LOG, the command format is:

PCALC,Oper,LabR,Lab1,,FACT1,CONST

where the function (SIN, COS, ASIN, ACOS or LOG) is substituted for Oper and Lab2 is blank.

The operation finds the resulting path item according to one of the following formulas:

LabR = FACT2 x sin(FACT1 x Lab1) + CONST

LabR = FACT2 x cos(FACT1 x Lab1) + CONST

LabR = FACT2 x sin-1(FACT1 x Lab1) + CONST

LabR = FACT2 x cos-1(FACT1 x Lab1) + CONST

LabR = FACT2 x log(FACT1 x Lab1) + CONST

Menu Paths

Main Menu>General Postproc>Path Operations>Add
Main Menu>General Postproc>Path Operations>ArcCosine
Main Menu>General Postproc>Path Operations>ArcSine
Main Menu>General Postproc>Path Operations>Cosine
Main Menu>General Postproc>Path Operations>Differentiate
Main Menu>General Postproc>Path Operations>Divide
Main Menu>General Postproc>Path Operations>Exponentiate
Main Menu>General Postproc>Path Operations>Integrate
Main Menu>General Postproc>Path Operations>Multiply
Main Menu>General Postproc>Path Operations>Natural Log
Main Menu>General Postproc>Path Operations>Sine

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/PBF 		Up / Home Next
PCGOPT


PCGOPT

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PCGOPT, Lev_Diff , --, ReduceIO, StrmCk, Wrtfull, Memory

Controls PCG solver options.

SOLUTION: Analysis Options

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Lev_Diff

Indicates the level of difficulty of the analysis. Valid settings are AUTO or 0 (default), 1, 2, 3, 4, or 5. This option applies to both the PCG solver when used in static and full transient analyses and to the PCG Lanczos method in modal analyses. Use AUTO to let ANSYS automatically choose the proper level of difficulty for the model. Lower values (1 or 2) generally provide the best performance for well-conditioned problems. Values of 3 or 4 generally provide the best performance for ill-conditioned problems; however, higher values may increase the solution time for well-conditioned problems. Higher level-of-difficulty values typically require more memory. Using the highest value of 5 essentially performs a factorization of the global matrix (similar to the sparse solver) and may require a very large amount of memory. If necessary, use Memory to reduce the memory usage when using Lev_Diff = 5. Lev_Diff = 5 is generally recommended for small- to medium-sized problems when using the PCG Lanczos mode extraction method.

For example, models containing elongated elements (i.e., elements with high aspect ratios) and models containing contact elements can lead to ill-conditioned problems. To determine if your problem is ill-conditioned, view the Jobname.PCS file to see the number of PCG iterations needed to reach a converged solution. Generally, static or full transient solutions that require more than 1500 iterations are considered to be ill-conditioned for the PCG solver.

--

Unused field.

ReduceIO

Controls whether the PCG solver will attempt to reduce I/O performed during equation solution:

AUTO
—

Automatically chooses whether to reduce I/O or not (default).

YES
—

Reduces I/O performed during equation solution in order to reduce total solver time.

NO
—

Does NOT reduce I/O performed during equation solution.

This option applies to both the PCG solver when used in static and full transient analyses and to the PCG Lanczos method in modal analyses.

StrmCk

Controls whether or not a Sturm sequence check is performed:

OFF
—

Does NOT perform Sturm sequence check (default).

ON
—

Performs Sturm sequence check

This option applies only when using the PCG Lanczos method in modal analyses. When using this option, a factorization must be performed and will require a very large amount of memory for extra computations. This option is generally recommended for small- to medium-sized problems. If the Sturm sequence check takes a large amount of computing time, use the Jobname.ABT file to abort the Sturm check, or press the STOP button if in interactive mode.

Wrtfull

Controls whether or not the .FULL file is written.

ON
—

Write .FULL file (default)

OFF
—

Do not write .FULL file.

This option applies only when using the PCG Lanczos method in modal analyses because the .FULL file is never written when using the PCG solver in static or full transient analyses. If using MSAVE,ON and conditions for the MSAVE command are met, a complete .FULL file is never written, regardless of this option.

This option is useful in Distributed ANSYS because assembling the global stiffness and mass matrices on the master machine before writing the .FULL file can take a considerable amount of memory. By setting Wrtfull = OFF, this assembly process is skipped on the master machine, decreasing the amount of memory required to compute the modes and mode shapes. Wrtfull = OFF does not affect the results for the modes and mode shapes. However, without a .FULL file, the participation factor table computations do not occur.

To generate the .FULL file, such as for a harmonic, transient mode superposition, or spectrum analysis, rerun the modal analysis with Wrtfull = ON, or use the WRFULL command.

Memory

Controls whether to run using in-core or out-of-core mode when using Lev_Diff = 5.

AUTO
—

Automatically chooses which mode to use. (default).

INCORE
—

Run using in-core mode.

OOC
—

Run using out-of-core mode.

This option applies to both the PCG solver when used in static and full transient analyses and to the PCG Lanczos method in modal analyses. However, this option only applies when using Lev_Diff = 5 and does not apply to Distributed ANSYS. Forcing the INCORE option will require a large amount of memory and is only recommended for small-to-medium sized problems. Using the OOC option will make the PCG solver use the least amount of memory (relative only to Lev_Diff = 5) at the cost of additional I/O, which will likely decrease performance as compared to an in-core run.

Notes

ReduceIO works independently of the MSAVE command in the PCG solver. Setting ReduceIO to YES can significantly increase the memory usage in the PCG solver.

To minimize the memory used by the PCG solver with respect to the Lev_Diff option only, set Lev_Diff = 1 if you do not have sufficient memory to run the PCG solver with Lev_Diff = AUTO.

The MSAVE,ON command is not valid when using Lev_Diff = 5. In this case, the Lev_Diff value will automatically be reset to 2. The MSAVE,ON command is also not valid with the StrmCk option. In this case, StrmCk will be set to OFF.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>Analysis Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PCALC 		Up / Home Next
PCIRC


PCIRC

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PCIRC, RAD1, RAD2, THETA1, THETA2

Creates a circular area centered about the working plane origin.

PREP7: Primitives

MP ME ST PR PRN <> <> FL EM <> <> PP <>

RAD1, RAD2

Inner and outer radii (either order) of the circle. A value of either zero or blank for either RAD1 or RAD2, or the same value for both RAD1 and RAD2, defines a solid circle.

THETA1, THETA2

Starting and ending angles (either order) of the circular area. Used for creating a circular sector. The sector begins at the algebraically smaller angle, extends in a positive angular direction, and ends at the larger angle. The starting angle defaults to 0.0° and the ending angle defaults to 360.0°. See the Modeling and Meshing Guide for an illustration.

Notes

Defines a solid circular area or circular sector centered about the working plane origin. For a solid circle of 360°, the area will be defined with four keypoints and four lines. See the CYL4 and CYL5 commands for alternate ways to create circles.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Areas>Circle>By Dimensions

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PCGOPT 		Up / Home Next
/PCIRCLE


/PCIRCLE

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

/PCIRCLE, XCENTR, YCENTR, XLRAD

Creates an annotation circle (GUI).

GRAPHICS: Annotation

MP ME ST PR PRN <> <> FL EM <> <> PP <>

XCENTR

Circle X center location (-1.0 < X < 2.0).

YCENTR

Circle Y center location (-1.0 < Y < 1.0).

XLRAD

Circle radius length.

Notes

Creates an annotation circle to be written directly onto the display at a specified location. This is a command generated by the Graphical User Interface (GUI) and will appear in the log file (Jobname.LOG) if annotation is used. This command is not intended to be typed in directly in an ANSYS session (although it can be included in an input file for batch input or for use with the /INPUT command).

All circles are shown on subsequent displays unless the annotation is turned off or deleted. Use the /LSPEC and the /PSPEC command to set the attributes of the circle.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Annotation>Create Annotation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PCIRC 		Up / Home Next
PCONV


PCONV

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PCONV, TOLER, Item, Comp, NODE, Surf

Sets convergence values for p-method solutions.

SOLUTION: p-Method

MP ME ST PR PRN <> <> FL EM <> <> PP <>

TOLER

Tolerance (as a percentage) used for convergence checking. The analysis is considered to be converged if the values of all specified items change by less than TOLER at the end of a p-loop. Defaults to 5. If TOLER = STAT, list the currently specified p-convergence criteria. If TOLER = ERASE, erase all p-convergence specifications. If TOLER = DELE, delete only the tolerance for the specification denoted by the Item, Comp, NODE.

Item

Convergence based on (Valid component labels are described in PCONV - Valid Item and Component Labels below):

SE
 —

Strain energy or stored electrostatic energy (default). Does not require a component label.

S
 —

Stress.

EPEL
 —

Strain.

U
 —

Translational displacement.

ROT
 —

Structural rotation. (Valid only for SHELL150.)

VOLT
 —

Electric potential.

EF
 —

Electric field strength.

D
 —

Electric flux density.

EFORC
 —

Global electrostatic (Maxwell Stress Tensor) force.

Comp

Component of the Item. (Not required for Item = SE, VOLT, or EFORC). If Item = S or EPEL, Comp defaults to EQV; if Item = U, ROT, EF, or D, Comp defaults to SUM. Valid component labels for each Item are described in PCONV - Valid Item and Component Labels below.

NODE

Node number where convergence checking is to be performed. Valid only for Item = S, EPEL, U, ROT, VOLT, EF, or D. For valid Item labels, a node number must be entered in this field. If NODE = P, graphical picking is enabled (valid only in the GUI). A component name may be substituted for NODE.

Surf

Surface of a p-element shell structure where the convergence checking for NODE will be performed. Valid only for Item = S or EPEL.

TOP
 —

Top surface (default).

MID
 —

Middle surface.

BOT
 —

Bottom surface.

Command Default

Convergence is checked between successive p-loops by comparing the change in strain energy (SE) to TOLER.

Notes

When you use the menu paths to delete p-method convergence criteria, the ANSYS program writes the command PCONV,DELE,n to its log file.

The p-level (polynomial level, i.e., the order or level n of a polynomial, where 2 [image] n [image] 8) is increased for each loop until the values of the specified items (Item,Comp) change less than the specified tolerance (TOLER) between loops, or until the maximum p-level has been reached [PPRANGE]. Convergence checking is performed only on included elements [PINCLUDE]. Up to 10 separate specifications may be activated at one time. Valid Item and Comp labels are shown next.

PCONV - Valid Item and Component Labels

Item | Comp | Description
SE |  | Strain energy or stored electrostatic energy
S | X, Y, Z, XY, YZ, XZ | Component stress
" | 1, 2, 3 | Principal stress
" | INT | Stress intensity
" | EQV | Equivalent stress
EPEL | X, Y, Z, XY, YZ, XZ | Component elastic strain
" | 1, 2, 3 | Principal elastic strain
" | INT | Elastic strain intensity
" | EQV | Elastic equivalent strain
U | X, Y, Z, SUM | X, Y, or Z structural displacement or vector sum
ROT | X, Y, Z, SUM | X, Y, or Z structural rotation or vector sum (valid only for SHELL150)
VOLT |  | Electric potential
EF | X, Y, Z, SUM | Electric field strength
D | X, Y, Z, SUM | Electric flux density
EFORC | X, Y, Z, SUM | Global electrostatic (Maxwell Stress Tensor) force

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>p-Method>Convergence Crit
Main Menu>Solution>Load Step Opts>p-Method>Convergence Crit

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/PCIRCLE 		Up / Home Next
/PCOPY


/PCOPY

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

/PCOPY, KEY

Automatically generates hard copies for HP UNIX work stations.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KEY

Copy key:

0
 —

No specification setting for automatic hard copy of display.

1
 —

Set specification for automatic hard copy after each display.

NOW
 —

(Action) Produce hard copy of current display (KEY is not reset to 1).

Command Default

No automatic hard copy of display.

Notes

Sets automatic hard copy specification. This command is available only on HP work stations, and only during interactive runs with the /SHOW specification active (for terminals with hard copy capability).

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PCONV 		Up / Home Next
PCORRO


PCORRO

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PCORRO, CTK

Specifies the allowable exterior corrosion thickness for a piping run.

PREP7: Piping

MP ME ST PR PRN <> <> <> <> <> <> PP <>

CTK

Allowable corrosion thickness.

Notes

Specifies the allowable exterior corrosion thickness for a piping run. See the PREP7 RUN command.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Piping Models>Specifications

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/PCOPY 		Up / Home Next
PCROSS


PCROSS

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PCROSS, LabXR, LabYR, LabZR, LabX1, LabY1, LabZ1, LabX2, LabY2, LabZ2

Calculates the cross product of two path vectors along the current path.

POST1: Path Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LabXR

Label assigned to X-component of resultant vector.

LabYR

Label assigned to Y-component of resultant vector.

LabZR

Label assigned to Z-component of resultant vector.

LabX1

X-component of first vector label (labeled path item).

LabY1

Y-component of first vector label.

LabZ1

Z-component of first vector label.

LabX2

X-component of second vector label (labeled path item).

LabY2

Y-component of second vector label.

LabZ2

Z-component of second vector label.

Menu Paths

Main Menu>General Postproc>Path Operations>Cross Product

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PCORRO 		Up / Home Next
PDANL


PDANL

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDANL, Fname, Ext, --

Defines the analysis file to be used for probabilistic looping.

PROBABILISTIC: Deterministic Model

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

Ext

Filename extension (8 character maximum).

--

Unused field.

Command Default

If interactive, no default; if batch, use the batch input stream (File.BAT).

Notes

The analysis file containing the deterministic, parameterized model must be specified if the probabilistic analysis is performed interactively. The file must exist at the time the PDANL command is issued. In this file, where /PREP7 and /PDS occur, they must be the first nonblank characters on the line (do not use the $ delimiter on any /PREP7 and /PDS command lines).

By default the analysis files specified with PDANL are executed from the top. All definitions of random input variables (for example, APDL parameters defined as random input variables with the PDVAR command, using *SET or Pname = ... ) are ignored in the analysis file. The PDS takes control of setting the values of random input variable values for each loop.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Prob Design>Analysis File>Assign

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PCROSS 		Up / Home Next
PDCDF


PDCDF

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDCDF, Rlab, Name, Type, CONF, NMAX

Plots the cumulative distribution function.

PROBABILISTIC: Postprocessing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Rlab

Result set label. Identifies the result set to be used for postprocessing. A result set label can be the solution set label you defined in a PDEXE command (if you are directly postprocessing Monte Carlo Simulation results), or the response surface set label defined in an RSFIT command (for Response Surface Analyses).

Name

Parameter name. The parameter must have been previously defined as a random input variable or a random output parameter with the PDVAR command.

Type

Type of cumulative distribution curve to be displayed.

EMP
 —

Show an empirical cumulative distribution curve.

GAUS
 —

Show a cumulative distribution curve in a normal distribution plot. A random variable based on a normal or Gaussian distribution appears as a straight line in this type of plot.

LOGN
 —

Show a cumulative distribution curve in a log-normal plot. A random variable based on a log-normal distribution appears as a straight line in this type of plot.

WEIB
 —

Show a cumulative distribution curve in a Weibull distribution plot. A random variable based on a Weibull distribution appears as a straight line in this type of plot.

CONF

Confidence level. The confidence level is used to plot confidence bounds around the cumulative distribution function. The value for the confidence level must be between 0.0 and 1.0 and it defaults to 0.95 (95%). Plotting of the confidence bound is suppressed for CONF [image] 0.5. This parameter is ignored for the postprocessing of response surface methods results.

NMAX

Maximum number of points to be plotted for the distribution curve. This must be a positive number and it defaults to 100. If the sample size is less than NMAX, all sample data is represented in the plot. If the sample size is larger than NMAX, the probabilistic design system classifies the sample into NMAX classes of appropriate size.

Command Default

Rlab as described above, Type = EMP, CONF = 0.95, NMAX = 100.

Notes

Plots the cumulative distribution function.

The PDCDF command cannot be used to postprocess the results in a solution set that is based on Response Surface Methods, only Monte Carlo Simulations.

If Rlab is left blank, then the result set label is inherited from the last PDEXE command (Slab), RSFIT command (RSlab), or the most recently used PDS postprocessing command where a result set label was explicitly specified.

Menu Paths

Main Menu>Prob Design>Prob Results>Statistics>CumulativeDF

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDANL 		Up / Home Next
PDCFLD


PDCFLD

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDCFLD, ParR, Entity, Ctype, CLENGTH

Calculates a correlation field and stores it into an ANSYS array.

PROBABILISTIC: Preprocessing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ParR

Parameter name. ParR is a one-dimensional array with the dimension N * (N - 1)/2, where N is either the number of the selected nodes or the number of the selected elements (depending on the Entity field). The PDCFLD command automatically sets ParR as a one-dimensional array, (so you do not have to use the *DIM command). If you use the PDCFLD command twice with the ANSYS parameter ParR, then the values stored in the array are automatically overwritten. If the number of selected FE entities is different from the previous PDCFLD command, then the array ParR is re-dimensioned automatically.

Entity

Specifies which FE entity the calculation of the correlation field is based on. This field must not be blank.

NODE
 —

Calculate the correlation coefficients based on the distance between the selected nodes.

ELEM
 —

Calculate the correlation coefficients based on the distance between the centroids of the selected elements.

Ctype

Specifies the equation used to calculate the correlation coefficients as a function of the nodal or element centroid distances. This field must not be blank.

NONE
 —

The random field is not correlated. This means the correlation coefficients are determined according to

ρij = 1 for i = j

ρij = 0 for i ≠ j

Here, ρij is the correlation coefficient between the i-th and j-th selected FE entity (node or element centroid).

LEXP
 —

Calculate the correlation coefficient according to a linear-exponential decay function.

Here, D({xi} , {xj}) is the “domain distance” between {xi}, {xj}, and {xi} and {xj} are the coordinate vectors of the i-th and j-th selected FE entity (node or element centroid), and CL is the correlation length of the random field as specified in the CLENGTH field.

QEXP
 —

The correlation coefficient is calculated according to a quadratic- exponential decay function.

Here, D({xi} , {xj}) is the “domain distance” between {xi}, {xj}, and {xi} and {xj} are the coordinate vectors of the i-th and j-th selected FE entity (node or element centroid), and CL is the correlation length of the random field as specified in the CLENGTH field.

DIST
 —

Calculate only D({xi} , {xj}). D({xi} , {xj}) is the “domain distance” between {xi}, {xj} , and {xi} and {xj} are the coordinate vectors of the i-th and j-th selected FE entity (node or element centroid). The CLENGTH argument is ignored for this option.

CLENGTH

Correlation length of the correlation field. The correlation length is a characteristic length that influences how strongly two elements of a random field are correlated with each other. The larger the value of CLENGTH, the stronger the correlation between the random field elements. CLENGTH is required for Ctype = LEXP and Ctype = QEXP; it must be a nonzero, positive number.

Notes

Calculates a correlation field for a probabilistic analysis involving a random field. Random fields are random effects with a spatial distribution; the value of a random field not only varies from simulation to simulation at any given location, but also from location to location. The correlation field describes the correlation coefficient between two different spatial locations. Random fields can be either based on element properties (typically material) or nodal properties (typically surface shape defined by nodal coordinates). Hence, random fields are either associated with the selected nodes or the selected elements. If a random field is associated with elements, then the correlation coefficients of the random field are calculated based on the distance of the element centroids.

For more information, see Probabilistic Design in the Advanced Analysis Techniques Guide.

Note that for correlation fields, the “domain distance” D({xi} , {xj}) is not the spatial distance |{xi} - {xj}|, but the length of a path between {xi} and {xj} that always remains inside the finite element domain. However, exceptions are possible in extreme meshing cases. For elements that share at least one node, the PDCFLD evaluates the distance by directly connecting the element centroids with a straight line. If these neighboring elements form a sharp inward corner then it is possible that the “domain distance” path lies partly outside the finite element domain, as illustrated below.

After the correlation coefficients have been calculated and stored in the ANSYS parameter ParR, then use the PDCORR command to define the correlations between the elements of the random field.

Menu Paths

Main Menu>Prob Design>Prob Definitns>Correl Field

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDCDF 		Up / Home Next
PDCLR


PDCLR

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDCLR, Type

Clears the probabilistic design database.

PROBABILISTIC: Database

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Specifies the part of the probabilistic database to be cleared.

ALL
 —

Clear the entire probabilistic database. Both the preprocessing and postprocessing parts are cleared.

POST
 —

Clear only the postprocessing part of the probabilistic database. This is necessary if you want to modify the deterministic model (the analysis file) or probabilistic model (random variables, correlations between random variables, or the random output parameter) after a probabilistic analysis has already been performed.

Notes

Clears the probabilistic design system (PDS) database. The settings are reset to their default values and the memory is cleared. Remember that the result files containing the results of the probabilistic loops are never deleted unless you intentionally delete them. We recommend that you use this command before switching to a new probabilistic analysis using a different probabilistic model (a different analysis loop file or deterministic model), or changing random input variables, their correlations, or random output parameters. Clearing the probabilistic database is not necessary if the probabilistic model remains the same and will be analyzed with a different probabilistic method or different method options. See the PDEXE command for restrictions. Before issuing the PDCLR command, you should save the probabilistic database using the PDSAVE command.

Menu Paths

Main Menu>Prob Design>Prob Database>Clear & Reset

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDCFLD 		Up / Home Next
PDCMAT


PDCMAT

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDCMAT, Rlab, Matrix, Name1, Name2, Corr, SLEVEL, Popt

Prints the correlation coefficient matrix.

PROBABILISTIC: Postprocessing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Rlab

Result set label. Identifies the result set to be used for postprocessing. A result set label can be the solution set label you defined in a PDEXE command (if you are directly postprocessing Monte Carlo Simulation results), or the response surface set label defined in an RSFIT command (for Response Surface Analyses).

Matrix

Keyword for the type of correlation coefficient matrix.

IO
 —

Matrix of correlation coefficients between random input variables and output parameters.

II
 —

Matrix of correlation coefficients between random input variables and other random input variables

OO
 —

Matrix of correlation coefficients between random output parameters and other random output parameters.

S
 —

Correlation coefficient between a single random parameter (input or output) and another random parameter (input or output). The probabilistic design parameters must be specified in Name1 and Name2 for this option.

Name1, Name2

Parameter names. The parameters must have been previously defined as a random input variable or a random output parameter with the PDVAR command. These parameters are used for Matrix = S only and are ignored for the other Matrix keywords.

Corr

Keyword for the type of correlation coefficients to be used for the output.

RANK
 —

Spearman rank-order correlation coefficient (default).

LIN
 —

Pearson linear correlation coefficient.

SLEVEL

Significance level. The value for the significance level must be between 0.0 and 1.0. The default value is 0.025 (2.5%).

Popt

Specifies whether the probabilities should be printed with the correlation coefficients.

0
 —

Print only the correlation coefficients.

1
 —

Print both the correlation coefficients and the probabilities (default).

Command Default

Rlab as described above, Matrix = IO, Corr = RANK, SLEVEL = 0.025, Popt = 1

Notes

Prints the correlation coefficient matrix.

If Rlab is left blank, then the result set label is inherited from the last PDEXE command (Slab), RSFIT command (RSlab), or the most recently used PDS postprocessing command where a result set label was explicitly specified.

For all correlation coefficients the probabilistic design tool evaluates the probability that the correlation coefficient can be neglected. The evaluation of this probability is based on statistical test theory. The larger this probability is the likelier it is that the correlation coefficient does not really reflect an observable statistical interdependence between the parameters involved. If this probability exceeds the significance level as specified by the SLEVEL parameter, the correlation coefficient should be regarded as negligible or insignificant. The higher the significance level SLEVEL, the more correlation coefficients are considered significant. Using the Popt parameter you can also get a list of the probabilities and review them as to how far they exceed the significance level or how far they stay below it.

The PDCMAT command cannot be used to postprocess the results in a solution set that is based on Response Surface Methods, only Monte Carlo Simulations.

Menu Paths

Main Menu>Prob Design>Prob Results>Trends>Correl Matrix

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDCLR 		Up / Home Next
PDCORR


PDCORR

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDCORR, Name1, Name2, CORR

Specifies the correlation between two random input variables.

PROBABILISTIC: Preprocessing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Name1

Parameter name. The parameter must have been previously defined as a random input variable with the PDVAR command.

Name2

Parameter name. The parameter must have been previously defined as a random input variable with the PDVAR command. Must be different from Name1.

CORR

Specification of the correlation:

Value
—

Sets the correlation coefficient between Name1 and Name2 to the specified value. If this correlation coefficient was already defined it will be changed to this new value. The correlation coefficient must be between -1.0 and +1.0.

DEL
—

Delete the previously defined correlation between Name1 and Name2.

Command Default

No correlations defined between random input variables.

Notes

Specifies the correlations between two random input variables. The PDS tool generates correlated samples if correlations exist. This applies to both probabilistic methods (Monte Carlo Simulation and Response Surface Methods).

If there are correlated random input variables, the sampled locations of the random input variables reflect the correlation as illustrated below for the case of two standard normal distributed variables X1 and X2. The illustrations show no correlation (correlation coefficient 0.0), a relatively moderate negative correlation (correlation coefficient -0.6), and a relative strong positive correlation (correlation coefficient 0.9).

Menu Paths

Main Menu>Prob Design>Prob Definitns>Correlation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDCMAT 		Up / Home Next
PDDMCS


PDDMCS

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDDMCS, NSIM, --, Astop, ACCMEAN, ACCSTDEV, CHECK, Seed

Specifies options for Monte Carlo Simulations using direct sampling.

PROBABILISTIC: Methods

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NSIM

Number of simulation loops of the analysis.

--

Unused field.

Astop

Autostop option label.

AUTO
 —

Enable Autostop. When Autostop is used, the PDS feature continues the simulation loops until the convergence criteria for the mean value and the standard deviation have been met or until the number of simulations NSIM are complete, whichever comes first. The convergence criteria (mean value and standard deviations of all random output parameters) are specified by the ACCMEAN and ACCSTDEV parameters. The criteria are met if the mean value and the standard deviations converge within the accuracy specified in the ACCMEAN and ACCSTDEV options. The convergence check is done every i-th loop, where i is specified in the CHECK parameter.

ALL
 —

Disable Autostop option. All Monte Carlo Simulations as specified by NSIM are performed (default).

ACCMEAN

Accuracy of the mean values of all random output parameters that must be met for the Autostop option. Default is 0.01 (1%). ACCMEAN is ignored for Astop = ALL. The convergence of the mean values is met if for all random output parameters y the equation holds:

where the value of CHECK is specified in the CHECK option.

ACCSTDEV

Accuracy of the standard deviations of all random output parameters that must be met for the Autostop option. The default is 0.02 (2%). ACCSTDEV is ignored for Astop = ALL. The convergence for the standard deviations is met if for all random output parameters y the equation holds:

where the value of CHECK is specified in the CHECK option.

CHECK

Sets how often conditions for convergence are checked for Autostop. The PDS checks if the convergence criteria are met every i-th loop, where i is given by the CHECK parameter. The default value is 10. It is not recommended to use CHECK = 1, because it could cause Autostop to terminate the simulations prematurely. The mean values and standard deviation might not show large differences between consecutive simulation loops but might still have a visible "global" trend if viewed over several simulations. This behavior indicates that convergence has not really been achieved. If you set CHECK = 1 (or another small number), then Autostop is not able to detect such a global trend. CHECK is ignored for Astop = ALL.

Seed

Seed value label. Random number generators require a seed value that is used to calculate the next random number. After each random number generation finishes, the seed value is updated and is used again to calculate the next random number. ANSYS initializes the seed value with the system time when the ANSYS session started.

CONT
 —

Continues updating using the derived seed value (default).

TIME
 —

Initializes the seed value with the system time. You can use this if you want the seed value set to a specific value for one analysis and then you want to continue with a "random" seed in the next analysis. It is not recommended to "randomize" the seed value with the Seed = TIME option for multiple analyses. If the Monte Carlo simulations requested with this command will be appended to previously existing simulations, then the Seed option is ignored and Seed = CONT is used.

INIT
 —

Initializes the seed value using 123457 (a typical recommendation). This option leads to identical random numbers for all random input variables when the exact analysis will be repeated, making it useful for benchmarking and validation purposes (where identical random numbers are desired). If the Monte Carlo simulations requested with this command will be appended to previously existing simulations, then the Seed option is ignored and Seed = CONT is used.

Value
 —

Uses the specified (positive) value for the initialization of the seed value. This option has the same effect as Seed = INIT, except you can chose an arbitrary (positive) number for the initialization. If the Monte Carlo simulations requested with this command will be appended to previously existing simulations, then the Seed option is ignored and Seed = CONT is used.

Command Default

NSIM = 30, Astop = AUTO, ACCMEAN = 0.01, ACCSTDEV = 0.02, CHECK = 10, Seed = CONT.

Notes

Defines the number of simulations, the specification of the Autostop option, how frequently the Autostop option is checked and the seed value for random number generation. If the Autostop option is enabled, then the number of simulations given for NSIM can be regarded as the maximum number of simulations to be performed. The Autostop option may terminate the simulations before NSIM simulations are done if the convergence criteria are met.

Menu Paths

Main Menu>Prob Design>Prob Method>Monte Carlo Sims

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDCORR 		Up / Home Next
PDDOEL


PDDOEL

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDDOEL, Name, Method, Vtype, Lopt, VAL1, VAL2, VAL3, VAL4, VAL5

Defines design of experiment levels for an individual random input variable.

PROBABILISTIC: Preprocessing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Name

Parameter name. The parameter name must have been previously defined as a random input variable using the PDVAR command.

Method

Specifies the response surface method for which the levels of the design of experiment are to be defined. This field must not be left blank.

CCD
 —

Use the Central Composite Design method. The design experiment levels of a central composite design are defined in the fields VAL1 to VAL5.

BBM
 —

Use the Box-Behnken Matrix method. The design experiment levels of a Box-Behnken Matrix design are defined in the fields VAL1 to VAL3. The fields VAL4 and VAL5 are ignored

Vtype

Specifies the type of the values of the design of experiment levels.

PROB
 —

The design of experiment levels are specified in terms of probabilities. This is the default.

PHYS
 —

The design of experiment levels are specified in terms of physical values.

Lopt

Specifies the type of the design of experiment levels, indicating if they are defined by lower and upper bound only (default) or all specified by the user.

BND
 —

You specify the lower and upper bounds for the design of experiment levels. The values for intermediate levels are calculated automatically at run time (default). The lower and upper levels of the design of experiment itself can be specified either in terms of probabilities or in terms of physical values, depending on the Vtype field.

For Lopt = BND and Method = CCD only the entries VAL1 and VAL5 are processed and they represent the lower and upper bound values of a central composite design. The intermediate levels VAL2 to VAL4 are evaluated automatically. For Lopt = BND and Method = BBM only the entries VAL1 and VAL3 are processed and they represent the lower and upper bound values of a Box-Behnken Matrix design respectively. The intermediate level VAL2 is evaluated automatically.

NOTE: The intermediate levels between the lower and upper bounds are calculated so they are at equal intervals along the curve (interpolated linearly in the physical space whether the curve is symmetrical or not) regardless of whether the lower and upper bounds are specified as probabilities (Vtype = PROB) or as physical values (Vtype = PHYS).

ALL
 —

You explicitly specify all necessary design of experiment levels. The design of experiment levels can be in terms of probabilities or in terms of physical values, depending on the Vtype field.

VAL1, VAL2, VAL3, . . . , VAL5

Values for the levels of the design of experiment for the random input variable Name. Must be specified in ascending order. All probabilities must be between 0.0 and 1.0.

For response surface methods based on a Central Composite Design (Method = CCD) VAL1 through VAL5 correspond to the five design of experiment levels of this method.

For response surface methods based on a Box-Behnken Matrix design (Method = BBM) VAL1 through VAL3 correspond to the three design of experiment levels of this method. The entries for VAL4 and VAL5 are ignored for Method = BBM.

Command Default

For Meth = CCD, VAL1 = 0.005, VAL2 = 0.05, VAL3 = 0.5, VAL4 = 0.95, VAL5 = 0.995.

For Meth = BBM, VAL1 = 0.01, VAL2 = 0.5, VAL3 = 0.99.

Notes

If Vtype = PHYS, you must enter values for VAL1 through VAL3 or VAL5 (depending on the Method and Lopt option you choose). If Vtype = PROB and you do not enter values, they default to the values shown below.

For Method = CCD:

 | Lopt = BND | Lopt = ALL
Vtype = PHYS | VAL1 and VAL5 must not be blank. | VAL1 through VAL5 must not be blank.
Vtype = PROB | VAL1 = 0.005, VAL5 = 0.995 | VAL1 = 0.005, VAL2 = 0.05, VAL3 = 0.50, VAL4 = 0.95, VAL5 = 0.995

For Method = BBM:

 | Lopt = BND | Lopt = ALL
Vtype = Phys | VAL1 and VAL3 must not be blank. | VAL1 through VAL3 must not be blank.
Vtype = Prob | VAL1 = 0.01, VAL3 = 0.99 | VAL1 = 0.01, VAL2 = 0.50, VAL3 = 0.99

See Probabilistic Design in the Advanced Analysis Techniques Guide for more information on the PDS methods.

Menu Paths

Main Menu>Prob Design>Prob Method>Response Surface

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDDMCS 		Up / Home Next
PDEF


PDEF

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDEF, Lab, Item, Comp, Avglab

Interpolates an item onto a path.

POST1: Path Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Label assigned to the resulting path item (8 characters maximum). This item may be used as input for other path operations.

Item

Label identifying the item for interpolation. Valid item labels are shown in PDEF - Valid Item and Component Labels below. Some items also require a component label.

Comp

Component of the item (if required). Valid component labels are shown in PDEF - Valid Item and Component Labels below.

Avglab

Option to average across element boundaries:

AVG
 —

Average element results across elements (default).

NOAV
 —

Do not average element results across elements. If the parameter DISCON = MAT on the PMAP command, this option is automatically invoked.

Notes

Defines and interpolates a labeled path item along a predefined path (PATH). Path item results are in the global Cartesian coordinate directions unless transformed (RSYS). A path item must be defined before it can be used with other path operations. Additional path items may be defined from the PVECT, PCALC, PDOT, and PCROSS commands. Path items may be listed (PRPATH) or displayed (PLPATH, PLPAGM). A maximum number of path items permitted is established by the nSets argument specified with the PATH command.

When you create the first path item (PDEF or PVECT), the program automatically interpolates four path items which are used to describe the geometry of the path. These predefined items are the position of the interpolated path points (labels XG, YG, and ZG) in global Cartesian coordinates, and the path length (label S). For alternate methods of mapping the path geometry (to include, for example, material discontinuity) see the PMAP command. These items may also be listed or displayed with the PRPATH, PLPATH, and PLPAGM commands.

If specifying that load case operations act on principal/equivalent stresses (SUMTYPE,PRIN), derived quantities (principal and equivalent stresses/strains) will be zero for path plots. A typical use for such a case involves mode combinations in a response spectrum analysis.

The number of interpolation points on the path is defined by the nDiv argument on the PATH command. See the Theory Reference for ANSYS and ANSYS Workbench for details. Use PDEF,STAT to list the path item labels. Use PDEF,CLEAR to erase all labeled path items, except the path geometry items (XG, YG, ZG, S).

PDEF - Valid Item and Component Labels

Item | Comp | Description
Valid item and component labels for nodal degree of freedom results are:
U | X, Y, Z, SUM | X, Y, or Z structural displacement or vector sum.
ROT | X, Y, Z, SUM | X, Y, or Z structural rotation or vector sum.
TEMP[1] | Temperature.
PRES | Pressure.
VOLT | Electric potential.
MAG | Magnetic scalar potential.
V | X, Y, Z, SUM | X, Y, or Z fluid velocity or vector sum.
A | X, Y, Z, SUM | X, Y, or Z magnetic vector potential or vector sum.
CURR | Current.
EMF | Electromotive force drop.
ENKE | Turbulent kinetic energy (FLOTRAN).
ENDS | Turbulent energy dissipation (FLOTRAN).
Valid item and component labels for element results are:
S | X, Y, Z, XY, YZ, XZ | Component stress.
" 1, 2, 3 Principal stress.
" INT, EQV Stress intensity or Equivalent stress.
EPTO | X, Y, Z, XY, YZ, XZ | Component total strain (EPEL + EPPL + EPCR).
" 1, 2, 3 Principal total strain.
" INT, EQV Total strain intensity or total equivalent strain.
EPEL | X, Y, Z, XY, YZ, XZ | Component elastic strain.
" 1, 2, 3 Principal elastic strain.
" INT, EQV Elastic strain intensity or elastic equivalent strain.
EPPL | X, Y, Z, XY, YZ, XZ | Component plastic strain.
" 1, 2, 3 Principal plastic strain.
" INT, EQV Plastic strain intensity or plastic equivalent strain.
EPCR | X, Y, Z, XY, YZ, XZ | Component creep strain.
" 1, 2, 3 Principal creep strain.
" INT, EQV Creep strain intensity or creep equivalent strain.
EPTH | X, Y, Z, XY, YZ, XZ | Component thermal strain.
" 1, 2, 3 Principal thermal strain.
" INT, EQV Thermal strain intensity or thermal equivalent strain.
EPSW | Swelling strain.
NL | SEPL | Equivalent stress (from stress-strain curve).
" SRAT Stress state ratio.
" HPRES Hydrostatic pressure.
" EPEQ Accumulated equivalent plastic strain.
" PSV Plastic state variable.
" PLWK Plastic work/volume.
For contact results PowerGraphics is applicable for 3-D models only.
CONT STAT2 Contact status:
3-closed and sticking
2-closed and sliding
1-open but near contact
0-open and not near contact
" PENE Contact penetration.
" PRES Contact pressure.
" SFRIC Contact friction stress.
" STOT Contact total stress (pressure plus friction).
" SLIDE Contact sliding distance.
" GAP Contact gap distance.
" FLUX Total heat flux at contact surface.
TG | X, Y, Z, SUM | Component thermal gradient or vector sum.
TF | X, Y, Z, SUM | Component thermal flux or vector sum.
PG | X, Y, Z, SUM | Component pressure gradient or vector sum.
EF | X, Y, Z, SUM | Component electric field or vector sum.
D | X, Y, Z, SUM | Component electric flux density or vector sum.
H | X, Y, Z, SUM | Component magnetic field intensity or vector sum.
B | X, Y, Z, SUM | Component magnetic flux density or vector sum.
FMAG | X, Y, Z, SUM | Component magnetic force or vector sum.
ETAB | Lab | Any user-defined element table label (see ETABLE command).
BFE | TEMP | Applied and calculated temperatures along a defined path.
Valid item labels for FLOTRAN nodal results are:
TTOT | Total temperature.
HFLU | Heat flux.
HFLM | Heat transfer (film) coefficient.
COND | Fluid laminar conductivity.
PCOE | Pressure coefficient.
PTOT | Total (stagnation) pressure.
MACH | Mach number.
STRM | Stream function. (2-D applications only.)
DENS | Fluid density.
VISC | Fluid laminar viscosity.
EVIS | Fluid effective viscosity.
CMUV | Turbulent viscosity coefficient.
ECON | Fluid effective conductivity.
YPLU | Y+, a turbulent law of the wall parameter.
TAUW | Shear stress at the wall.
SPHT | Specific heat.
RDFL | Radiation heat flux.

  1. For SHELL131 and SHELL132 elements with KEYOPT(3) = 0 or 1, use the labels TBOT, TE2, TE3, ..., TTOP instead of TEMP.

  2. Status notation is for all contact elements except CONTAC12 and CONTAC52. If you are using these elements, check the output listing in the corresponding element documentation.

Menu Paths

Main Menu>General Postproc>Path Operations>Clear Path Items
Main Menu>General Postproc>Path Operations>Define Path>Path Status>Current Path
Main Menu>General Postproc>Path Operations>Map onto Path
Main Menu>General Postproc>Path Operations>Map onto Path>FE Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDDOEL 		Up / Home Next
PDEXE


PDEXE

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDEXE, Slab, MRUN, NFAIL, FOPT, Fname

Executes the probabilistic analysis.

PROBABILISTIC: Run Probabilistic Analysis

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Slab

Solution label. This is the name given to the files containing the results of different probabilistic analyses performed with a particular probabilistic model. Different solutions using different probabilistic methods or method options are stored in separate solution sets identified with this solution label. If the solution label is blank, ANSYS automatically assigns Slab = "SOLUnn", where nn is the current two-digit number of the probabilistic analysis (PDS allows a maximum of 10 solution sets identified by 10 solution labels); for example, the first analysis is SOLU01, the second is SOLU02, and so on up to SOLU10). This field cannot contain blanks. Maximum length of this field is 32 characters; if the field contains more than 32 characters, it will be truncated to 32 characters.

MRUN

Keyword for the processing of the simulation loops

SER
 —

Executes the simulation loops of the probabilistic analysis using a single machine; serial processing (default).

PAR
 —

Executes the simulation loops of the probabilistic analysis in parallel using the ANSYS parallel-processing tool. See Probabilistic Design in the Advanced Analysis Techniques Guide.

NFAIL

This parameter sets the number of loops that are allowed to fail before the execution of the probabilistic analysis is terminated. For example, if geometric parameters are used as random variables then for some simulations (loops) the loop will fail because meshing was not successful. This might happen infrequently which might be acceptable. However, if the probabilistic problem is incorrectly defined then loops could fail frequently or even in every loop. You can define an upper limit for the number of failed loops that will be tolerated before the probabilistic analysis will be terminated. If you use NFAIL = 0 (default) then failed loops are not tolerated and the probabilistic analysis will terminate the first time a loop fails. NFAIL is used only if MRUN = PAR.

FOPT

Keyword for the file option. This determines if a copy of the sample file should be saved or not.

DEL
 —

The sample file will be deleted (default).

COPY
 —

A copy of the sample file will be saved as the file name specified with the Fname option.

Fname

Name of the copy of the sample file. The directory for storing the sample file is always the current working directory. The file extension is always .csmp. This option is ignored for FOPT = DEL.

Command Default

Slab = SOLUnn (see above) , MRUN = SER, NFAIL = 0, FOPT = DEL.

Notes

Runs the probabilistic analysis. The results of the probabilistic analysis are identified with the solution label specified here. This solution label is used for the postprocessing of the results. The maximum number of probabilistic analyses that can be executed, stored, and post-processed based on the same deterministic and probabilistic model in one session with the PDS is 10. However, it is not counted as a separate probabilistic analysis if the same solution label is used multiple times in order to append to or overwrite previous results.

The probabilistic results are stored in result files in ASCII format.

If you specify a solution label that has already been used, the results will be appended at the end of the results file.

After the PDEXE command has been issued, you can no longer change the probabilistic model using probabilistic preprocessing commands; doing so would invalidate the probabilistic analysis results and potentially corrupt the probabilistic database. Also, you are not allowed to change the probabilistic analysis file using a PDANL command after the first PDEXE has been executed.

If you need to change the probabilistic model (analysis file, random input variables, etc.) after the PDEXE command has been issued, you should use the PDCLR, POST command to clear the probabilistic results. We recommend that you first save the results using the PDSAVE command.

By default, ANSYS creates a sample file (called Jobname.samp) containing all values of all random input parameters; unless you specify otherwise, this file is deleted after the analysis is finished. With the FOPT and Fname options you can determine if and where a copy of that file should be stored for later use in another analysis.

Menu Paths

Main Menu>Prob Design>Run>Exec Serial >Run Serial

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDEF 		Up / Home Next
PDHIST


PDHIST

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDHIST, Rlab, Name, NCL, Type

Plots the frequency histogram.

PROBABILISTIC: Postprocessing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Rlab

Result set label. Identifies the result set to be used for postprocessing. A result set label can be the solution set label you defined in a PDEXE command (if you are directly postprocessing Monte Carlo Simulation results), or the response surface set label defined in an RSFIT command (for Response Surface Analyses).

Name

Parameter name. The parameter must have been previously defined as a random input variable or a random output parameter with the PDVAR command.

NCL

Number of classes for the histogram plot. This is the number of bars shown in the histogram. NCL must be a positive number. If this field is left blank, ANSYS calculates an appropriate number of classes based on the sample size. ANSYS divides the range between the smallest and largest sample value into NCL classes of equal width and determines the histogram frequencies by counting the number of hits that fall in the classes.

Type

Type of histogram.

ABS
 —

Absolute frequency histogram. This is the actual number of hits in each class.

REL
 —

Relative frequency histogram (default). This is the number of hits in the individual classes divided by the total number of samples.

NORM
 —

Normalized frequency histogram. This is the number of hits in the individual classes divided by the total number of samples and divided by the width of the class. This normalization makes the histogram comparable to the probability density function.

Command Default

Rlab as described above, NCL as described above, Type = REL.

Notes

Plots the frequency histogram.

If Rlab is left blank, then the result set label is inherited from the last PDEXE command (Slab), RSFIT command (RSlab), or the most recently used PDS postprocessing command where a result set label was explicitly specified.

The PDHIST command cannot be used to postprocess the results in a solution set that is based on Response Surface Methods, only Monte Carlo Simulations.

Menu Paths

Main Menu>Prob Design>Prob Results>Statistics>Histogram

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDEXE 		Up / Home Next
PDINQR


PDINQR

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDINQR, Rpar, Name, Type, VAL

Evaluates statistical characteristics of a random input variable.

PROBABILISTIC: Preprocessing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Rpar

Name of scalar ANSYS parameter into which the characteristic value is stored.

Name

Parameter name. The parameter must have been previously defined as a random input variable using the PDVAR command.

Type

Keyword for the type of information you need to retrieve.

MEAN
 —

Mean value of the random input variable specified in Name.

STDV
 —

Standard deviation of the random input variable

PDF
 —

Probability density function of the random input variable specified in Name at a given value specified by VAL.

CDF
 —

Cumulative distribution function of the random input variable specified in Name at a given value specified by VAL.

INV
 —

Inverse cumulative distribution function of the random input variable specified in Name at a given probability specified by VAL.

VAL

Value needed for Type = PDF, CDF, or INV. For Type = PDF and Type = CDF, this is the value of the random input variable at which the probabilistic density or cumulative distribution function should be evaluated. For Type = INV, VAL indicates the probability at which you want the inverse cumulative distribution function evaluated.

Notes

Evaluates statistical characteristics of a random input variable. The result is stored in the ANSYS parameter Rpar.

Menu Paths

Main Menu>Prob Design>Prob Definitns>Inquire

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDHIST 		Up / Home Next
PDLHS


PDLHS

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDLHS, NSIM, NREP, ISopt, --, Astop, ACCMEAN, ACCSTDV, CHECK, Seed

Specifies options for Monte Carlo Simulations using Latin-Hypercube sampling.

PROBABILISTIC: Methods

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NSIM

Number of simulation loops per repetition cycle.

NREP

Number of repetition cycles of the analysis.

ISopt

Latin-Hypercube sampling divides the domain of each random input variable into intervals of equal probability. The interval sampling option ISopt determines where the samples are located within each interval.

RAND
 —

Picks a random location within the interval (default).

MEAN
 —

Picks the mean value location within the interval.

MEDI
 —

Picks the median value location within the interval.

--

Unused field.

Astop

Autostop option label.

AUTO
 —

Enable Autostop. When Autostop is used, the PDS feature continues the simulation loops until the convergence criteria for the mean value and the standard deviation have been met or until the number of simulations NSIM are complete, whichever comes first. The convergence criteria (mean value and standard deviations of all random output parameters) are specified by the ACCMEAN and ACCSTDEV parameters. The criteria are met if the mean value and the standard deviations converge within the accuracy specified in the ACCMEAN and ACCSTDEV options. The convergence check is done every i-th loop, where i is specified in the CHECK parameter.

ALL
 —

Disable Autostop option. All Monte Carlo Simulations as specified by NSIM and NREP are performed (default).

ACCMEAN

Accuracy of the mean values of all random output parameters that must be met to activate Autostop. Default is 0.01 (1%). ACCMEAN is ignored for Astop = ALL. The convergence for the mean values is met if for all random output parameters y the following equation is true:

where the value of CHECK is given by the CHECK option.

ACCSTDEV

Accuracy of the standard deviations of all random output parameters that must be met to activate Autostop. The default is 0.02 (2%). ACCSTDEV is ignored for Astop = ALL. The convergence for the standard deviations is met if for all random output parameters y the following equation is true:

where the value of CHECK is given by the CHECK option.

CHECK

Sets how often conditions for convergence are checked for Autostop. The PDS feature checks if the convergence criteria are met every i-th loop, where i is given by the CHECK parameter. The default value is 10. It not recommended to use CHECK = 1, because it could cause Autostop to terminate the simulations prematurely. The mean values and standard deviation might not show large differences between all simulation loops but might still have a visible "global" trend if viewed over several simulations. This behavior indicates that convergence has not really been achieved. If you set CHECK = 1, then Autostop is not able to detect such a global trend. CHECK is ignored for Astop = ALL.

Seed

Seed value label. Random number generators require a seed value that is used to calculate the next random number. After each random number generation finishes, the seed value is updated and is used again to calculate the next random number. ANSYS initializes the seed value with the system time when the ANSYS session started.

CONT
 —

Continues updating using the derived seed value (default).

TIME
 —

Initializes the seed value with the system time. You can use this if you want the seed value set to a specific value for one analysis and then you want to continue with a "random" seed in the next analysis. It is not recommended to "randomize" the seed value with the Seed = TIME option for multiple analyses. If the Monte Carlo simulations requested with this command will be appended to previously existing simulations, then the Seed option is ignored and Seed = CONT is used.

INIT
 —

Initializes the seed value using 123457 (a typical recommendation). This option leads to identical random numbers for all random input variables when the exact analysis will be repeated, making it useful for benchmarking and validation purposes (where identical random numbers are desired). If the Monte Carlo simulations requested with this command will be appended to previously existing simulations, then the Seed option is ignored and Seed = CONT is used.

Value
 —

Uses the specified (positive) value for the initialization of the seed value. This option has the same effect as Seed = INIT, except you can chose an arbitrary (positive) number for the initialization. If the Monte Carlo simulations requested with this command will be appended to previously existing simulations, then the Seed option is ignored and Seed = CONT is used.

Command Default

NSIM = 30, NREP = 1, ISopt = RAND, Astop = ALL, ACCMEAN = 0.01, ACCSTDEV = 0.02, CHECK = 10, Seed = CONT.

Notes

Defines the number of simulations per repetition cycle, number of repetition cycles, specification of the Autostop option, checking frequency for the Autostop option, and the seed value for random number generation.

For Latin-Hypercube sampling, it is advantageous to divide the total number of requested simulations into a few repetitions. This adds more randomness to the sampling process. If NTOT is the total number of simulations, then as a rough rule of thumb NTOT should be NREP = [image] repetitions. The number obtained with this rule of thumb must be adjusted such that NTOT = NREP*NSIM. For example if NTOT = 1000 then NREP = [image] = 10, so the 1000 simulations can be done in 100 simulations with 10 repetitions. If for example NTOT = 100 then NREP = [image] = 3.16, which means that the 100 simulations could be broken up into either 2*50 or 4*25 simulations.

If Autostop is enabled then the maximum number of simulations to be performed is given by NSIM*NREP. The Autostop option will terminate the simulations before the NSIM*NREP simulations are done if the convergence criteria are met.

Menu Paths

Main Menu>Prob Design>Prob Method>Monte Carlo Sims

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDINQR 		Up / Home Next
PDMETH


PDMETH

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDMETH, Method, Samp

Specifies the probabilistic analysis method.

PROBABILISTIC: Methods

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Method

Label for the probabilistic analysis method.

MCS
 —

Monte Carlo Simulation

RSM
 —

Response Surface Method

Samp

Label for the sampling techniques. The sampling technique determines the values of the random input variables during the simulation loops.

DIR
 —

Direct or Crude Monte Carlo Sampling. This technique randomly samples the random input variables according to their distribution functions without "memory" of previous simulations.

The parameters for a Monte Carlo Simulation using direct sampling are specified with the PDDMCS command.

LHS
 —

Latin Hypercube Sampling (default). Valid only for Method = MCS. For this sampling technique the random input variables are sampled randomly according to their distribution functions, efficiently stratifying the samples into layers and avoiding the re-use of those layers. The sampling process has a "memory" of previous simulations, which prevents accumulation of clusters of samples. In addition, this sampling strategy forces the extreme ends of a distribution function to participate in the sampling. This generally leads to smoother distribution functions of the sampled set.

The parameters for a Monte Carlo Simulation using Latin-Hypercube sampling are specified with the PDLHS command.

USER
 —

User specified sampling. Valid only for Method = MCS. In this case you provide a file containing the sampling "points" (values) of all random input variables for all simulation loops. These samples are simply executed and it is your responsibility to specify the samples correctly. The probabilistic design system can perform only limited checks on the samples you provide. ANSYS allows Monte Carlo specific postprocessing operations on the results generated with user-specified samples. The parameters for the user-supplied sampling technique are specified with the PDUSER command.

CCD
 —

Central Composite Design. Valid only for Method = RSM. A central composite design is composed of a center point, axis points, and corner points, called factorial points. Using large numbers of random input variables produces prohibitively large numbers of factorial points; therefore, ANSYS automatically reduces the number of factorial points by switching to a fractional plan for the factorial part of the design. See the PDDOEL command for more information.

Note

This option is only valid for 2 to 20 random input variables. You will receive an error if you have specified fewer than 2 or more than 20 random input variables.

BBM
 —

Box-Behnken Matrix Design. Valid only for Method = RSM. A Box-Behnken Matrix design is composed of a center point plus the points at the middle of the edges of the hypercube in the space of random input variables. A Box-Behnken design might be advantageous if the corner points of the hypercube represent very extreme conditions that are undesirable and therefore should not be used for the sampling. See the PDDOEL command for more information.

Note

This option is only valid for 3 to 12 random input variables. You will receive an error if you have specified fewer than 3 or more than 12 random input variables.

USER
 —

User specified sampling. In this case you provide a file containing the sampling "points" (values) of all random input variables for all simulation loops. These samples are simply executed and it is your responsibility to specify the samples correctly. The PDS can perform only limited checks on the samples you provide, if user-supplied sampling technique are specified with the PDUSER command.

Command Default

Method = MCS, Samp = LHS.

Notes

Specifies the probabilistic analysis method and the sampling technique used for the individual probabilistic analysis method.

Menu Paths

Main Menu>Prob Design>Prob Method>Monte Carlo Sims
Main Menu>Prob Design>Prob Method>Response Surface

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDLHS 		Up / Home Next
PDOT


PDOT

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDOT, LabR, LabX1, LabY1, LabZ1, LabX2, LabY2, LabZ2

Calculates the dot product of two path vectors along the current path.

POST1: Path Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LabR

Label assigned to dot product result.

LabX1

X-component of first vector label (labeled path item).

LabY1

Y-component of first vector label (labeled path item).

LabZ1

Z-component of first vector label (labeled path item).

LabX2

X-component of second vector label (labeled path item).

LabY2

Y-component of second vector label (labeled path item).

LabZ2

Z-component of second vector label (labeled path item).

Menu Paths

Main Menu>General Postproc>Path Operations>Dot Product

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDMETH 		Up / Home Next
PDPINV


PDPINV

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDPINV, Rlab, Name, PROB, --, CONF

Prints the result of the inversion of a probability.

PROBABILISTIC: Postprocessing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Rlab

Result set label. Identifies the result set to be used for postprocessing. A result set label can be the solution set label you defined in a PDEXE command (if you are directly postprocessing Monte Carlo Simulation results), or the response surface set label defined in an RSFIT command (for Response Surface Analyses).

Name

Parameter name. The parameter must have been previously defined as a random input variable or a random output parameter with the PDVAR command.

PROB

Target probability for which the random parameter value should be determined.

--

Unused field.

CONF

Confidence level. The confidence level is used to print the confidence bounds on the random parameter value. The value for the confidence level must be between 0.0 and 1.0 and it defaults to 0.95 (95%). Printing of confidence bound is suppressed for CONF [image] 0.5. This parameter is ignored for response surface methods results postprocessing.

Command Default

Rlab as described above, CONF = 0.95.

Notes

Prints the value for the random parameter Name at which the probability that there are simulation values lower than that value is equal to PROB. This corresponds to an inversion of the cumulative distribution function (see PDCDF command) at a given probability. In this sense the PDPINV is doing the opposite of the PDPROB command. The PDPROB command evaluates a probability for a given random parameter value and the PDPINV command evaluates the random parameter value that corresponds to a given probability.

If Rlab is left blank, then the result set label is inherited from the last PDEXE command (Slab), RSFIT command (RSlab), or the most recently used PDS postprocessing command where a result set label was explicitly specified.

The confidence level is a probability expressing the confidence that the value for the requested result is in fact between the confidence bounds. The larger the confidence level, the wider the confidence bounds. Printing the confidence bounds only makes sense for postprocessing Monte Carlo simulation results, where the confidence bounds represent the accuracy of the results. With increasing sample sizes, the width of the confidence bounds gets smaller for the same confidence level. For response surface analysis methods, the number of simulations done on the response surface is usually very large; therefore, the accuracy of the results is determined by the response surface fit and not by the confidence level.

The PDPINV command cannot be used to postprocess the results in a solution set that is based on Response Surface Methods, only Monte Carlo Simulations.

Menu Paths

Main Menu>Prob Design>Prob Results>Statistics>Inverse Prob

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDOT 		Up / Home Next
PDPLOT


PDPLOT

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDPLOT, Name, PLOW, PUP

Plots the distribution curves of a defined random input variable.

PROBABILISTIC: Preprocessing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Name

Parameter name. The parameter name must have been previously defined as a random input variable using the PDVAR command.

PLOW

Lower probability level used to determine the lower boundary of the curve. This probability must be between 0.0 and 1.0 and it defaults to 0.0025. This parameter is used to determine the lower plotting range (boundary) in case the random input variable does not have a minimum value (such as Gauss).

PUP

Upper probability level used to determine the upper boundary of the curve. This probability must be between 0.0 and 1.0 and it defaults to 0.9975.

Command Default

PLOW = 0.0025 (applied if distribution type has no minimum), PUP = 0.9975 (applied if distribution type has no maximum).

Notes

Plots the distribution of a defined random input variable. The PDPLOT command generates a probability density function plot as well as a cumulative distribution function plot of the random variable. The probabilities PLOW and PUP are used to determine the plot range of the random input variable values. To do this, the probabilities are converted into random input variable values using the inverse cumulative distribution function of the random input variable as shown in the following illustration.

Using the probabilities ensures that the boundaries are always feasible and meaningful for the random input variable regardless of its distribution type.

If PLOW is left blank, then a minimum value of the distribution is used for plotting, provided it exists (for example, uniform distribution). If the distribution type has no minimum value (for example, a Gaussian distribution) then the default value is used to determine the lower plotting range value. The same applies for the maximum value, if PUP is left blank.

Menu Paths

Main Menu>Prob Design>Prob Definitns>Plot

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDPINV 		Up / Home Next
PDPROB


PDPROB

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDPROB, Rlab, Name, Relation, LIMIT, --, CONF

Prints a probability result.

PROBABILISTIC: Postprocessing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Rlab

Result set label. Identifies the result set to be used for postprocessing. A result set label can be the solution set label you defined in a PDEXE command (if you are directly postprocessing Monte Carlo Simulation results), or the response surface set label defined in an RSFIT command (for Response Surface Analyses).

Name

Parameter name. The parameter must have been previously defined as a random input variable or a random output parameter using the PDVAR command.

Relation

Relation label for the relation between probabilistic design parameter Name and the limit value LIMIT:

LT
 —

Less than (default).

GT
 —

Greater than.

LIMIT

Limit value.

--

Unused field.

CONF

Confidence level. The confidence level is used to print the confidence bounds on the probability. The value for the confidence level must be between 0.0 and 1.0 and it defaults to 0.95 (95%). Printing of confidence bound is suppressed for CONF [image] 0.5. This parameter is ignored for response surface methods results postprocessing.

Command Default

Rlab as described above, Relation = LT, CONF = 0.95.

Notes

Prints the probability that the probabilistic design input or output variable denoted with Name is smaller or larger than a certain limit value.

If Rlab is left blank, then the result set label is inherited from the last PDEXE command (Slab), RSFIT command (RSlab), or the most recently used PDS postprocessing command where a result set label was explicitly specified.

Use the relation label Relation to specify if you want to print a traditional probability value (LT) or the exceedence probability (GT). The LIMIT directly specifies at which value of Name (the design parameter) the probability should be evaluated. If LIMIT is between two sample values of Name the resulting probability is linearly interpolated between the sample values. If LIMIT is smaller than all sample values of Name the probability is 0.0 for Relation = LT and 1.0 for Relation = GT. If LIMIT is greater than all sample values for Name the probability is 1.0 for Relation = LT and 0.0 for Relation = GT.

The confidence level is a probability expressing the confidence that the value for the requested probability is in fact between the confidence bounds. The larger the confidence level, the wider the confidence bounds. Printing the confidence bounds only makes sense for postprocessing Monte Carlo simulation results, where the confidence bounds represent the accuracy of the results. With increasing sample sizes, the width of the confidence bounds gets smaller for the same confidence level. For response surface analysis methods, the number of simulations done on the response surface is usually very large; therefore, the accuracy of the results is determined by the response surface fit and not by the confidence level.

The PDPROB command cannot be used to postprocess the results in a solution set that is based on Response Surface Methods, only Monte Carlo Simulations.

Menu Paths

Main Menu>Prob Design>Prob Results>Statistics>Probabilities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDPLOT 		Up / Home Next
PDRAG


PDRAG

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDRAG, PX1, PY1, PZ1, H1, PX2, PY2, PZ2, H2, Kcord

Defines the external fluid drag loading for a piping run.

PREP7: Piping

MP ME ST PR PRN <> <> <> <> <> <> PP <>

PX1, PY1, PZ1

External fluid drag pressure (global Cartesian components) at height H1.

H1

Height (along Kcord coordinate) for first drag pressure.

PX2, PY2, PZ2

External fluid drag pressure (global Cartesian components) at height H2.

H2

Height (along Kcord coordinate) for second drag pressure.

Kcord

Coordinate direction for height value (in the global Cartesian coordinate system):

X
—

X coordinate.

Y
—

Y coordinate (default).

Z
—

Z coordinate.

Notes

Defines the external fluid drag loading (pressure) as a function of height for a piping run. See the PREP7 RUN command. The element drag pressure is determined from the centroid height and linear interpolation. Pressures are assigned to the elements as they are generated.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Piping Models>Loads

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDPROB 		Up / Home Next
PDRESU


PDRESU

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDRESU, Fname, Ext, --

Reads the probabilistic model data and loads it into the database.

PROBABILISTIC: Database

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to pds if Fname is blank; otherwise, no default.

--

Unused field.

Command Default

Fname = jobname, Ext = pds, the default directory is the current working directory.

Notes

Reads the probabilistic model data from the specified file and loads it into the database. Probabilistic analyses results are not stored in the database with the PDRESU command, rather they reside in separate results files. Analyses results are loaded automatically (one-by-one and on demand) when a probabilistic postprocessing command is issued.

Menu Paths

Main Menu>Prob Design>Prob Database>Resume

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDRAG 		Up / Home Next
PDROPT


PDROPT

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDROPT, RVAR, CORR, STAT, SHIS, HIST, CDF, SENS, CMAT, CONF

Specifies the options for an HTML report.

PROBABILISTIC: Postprocessing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

RVAR

Specifies in which form to show the definitions of random variables in the report.

0
—

Using tables (including name and distribution parameter) and figures (including a probability density function plot and a cumulative distribution plot) (default).

1
—

Using tables only.

2
—

Using figures only.

3
—

None.

CORR

Specifies if a table describing the correlation between random variables should be included in the report.

0
—

Yes, include this table (default).

1
—

No, do not include this table.

STAT

Specifies which statistics to include in the report. In general, statistics are provided in a tabular form.

0
—

Statistics of the random output parameters only (default).

1
—

Statistics of the random input variables only.

2
—

Statistics of both the random input variables and the random output parameters.

3
—

None.

SHIS

Specifies which sample history plots to include in the report. This option applies to the random output parameters only.

0
—

None (default).

1
—

Mean value and standard deviation as a sample plot.

2
—

Mean value, standard deviation and sample values as a sample plot.

3
—

All types of sample plots - mean value, standard deviation, minimum value, maximum values, and the sample values.

HIST

Specifies which histogram plots to include in the report.

0
—

Histogram of the random output parameters only (default).

1
—

Histogram of the random input variables only.

2
—

Histogram of both the random input variables and the random output parameters.

3
—

None.

CDF

Specifies which cumulative distribution function (CDF) plots to include in the report.

0
—

CDF of the random output parameters only (default).

1
—

CDF of the random input variables only.

2
—

CDF of both the random input variables and the random output parameters.

3
—

None.

SENS

Specifies which sensitivity plots to include in the report.

0
—

Plots the sensitivities for all random output parameters based on Spearman-rank-order correlation coefficient (default).

1
—

Plots the sensitivities for all random output parameters based on linear (Pearson) correlation coefficient.

2
—

Plots the sensitivities according to option SENS=1 and SENS=2.

3
—

None.

CMAT

Specifies which correlation matrices to include in the report.

0
—

Correlation matrix between random output parameters and random output parameters only (default).

1
—

Correlation matrix between random input variables and random output parameters only.

2
—

Correlation matrix between random input variables and random input variables only.

3
—

Correlation matrices according to option CMAT=0 and CMAT=1.

4
—

Correlation matrices according to option CMAT=0 and CMAT=2.

5
—

Correlation matrices according to option CMAT=1 and CMAT=2.

6
—

Correlation matrices according to option CMAT=0, CMAT=1, and CMAT=2.

7
—

None.

CONF

Confidence level. The confidence level is used to plot confidence bounds for the history value. The value for the confidence level must be between 0.0 and 1.0 and it defaults to 0.95 (95%). Confidence bound(s) plotting is suppressed for CONF [image] 0.5. This option is ignored if the report does not include plots for which confidence bounds are applicable.

Command Default

RVAR = 0, CORR = 0, STAT = 0, SHIS = 0, HIST = 0, CDF = 0, SENS = 0, CMAT = 0, CONF = 0.95.

Notes

Specifies the options for an HTML report. An HTML report includes a description of the deterministic model, the probabilistic model, the probabilistic methods used for the analyses, and the results obtained from the analyses. The deterministic model is documented in the report by including a link to the analysis file (see PDANL command). In addition, an element plot of the component is shown, if available, based on the current view settings. The command ALLSEL is issued automatically prior to the respective plot command.

Menu Paths

Main Menu>Prob Design>Prob Results>Report>Report Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDRESU 		Up / Home Next
/PDS


/PDS

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

/PDS

Enters the probabilistic design system.

PROBABILISTIC: Auxiliary

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Enters the Probabilistic Design System (PDS). This command is valid only at the Begin Level.

Menu Paths

Main Menu>Prob Design

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDROPT 		Up / Home Next
PDSAVE


PDSAVE

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDSAVE, Fname, Ext, --

Writes the probabilistic model data to a file.

PROBABILISTIC: Database

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to pds if Fname is blank; otherwise, no default.

--

Unused field.

Command Default

Fname = Jobname, Ext = pds, the default directory is the current working directory.

Notes

Writes the probabilistic model data to a file. Saved data include probabilistic data only; the results of the probabilistic analyses are not stored in the file (rather, these are stored in separate result files).

Menu Paths

Main Menu>Prob Design>Prob Database>Save

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/PDS 		Up / Home Next
PDSCAT


PDSCAT

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDSCAT, Rlab, Name1, Name2, Type, ORDER, NMAX

Plots a scatter graph.

PROBABILISTIC: Postprocessing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Rlab

Result set label. Identifies the result set to be used for postprocessing. A result set label can be the solution set label you defined in a PDEXE command, or the response surface set label defined in an RSFIT command.

Name1, Name2

Parameter names. The parameters must have been previously defined as a random input variable or a random output parameter using the PDVAR command. The parameter data for Name1 is shown on the X-axis and the parameter data for Name2 is shown on the Y-axis in the plot.

Type

Keyword for the type of trendline curve.

POLY
 —

Polynomial trendline (default).

NONE
 —

A trendline is not plotted.

ORDER

Order of the polynomial trendline. This parameter is used only for Type = POLY. ORDER must be a positive number. There is no maximum for ORDER provided there are enough data points to evaluate a polynomial of the requested order. Default is 1.

NMAX

Maximum number of points plotted in the scatter plot. If there are more sample data, then only the first NMAX points are plotted. The default value is 10,000.

Command Default

Rlab as described above, Type = POLY, ORDER = 1, NMAX = 10,000

Notes

Plots a scatter graph with or without a trendline. The scatter plot shows the simulated points for two random parameters. Random input variables and random output parameters are valid for both X- and Y-axis. The mean value of both parameters are marked with separate green lines. The point where the green lines cross marks the statistical center of gravity of the cloud of all simulated data points of the two parameters.

If Rlab is left blank, then the result set label is inherited from the last PDEXE command (Slab), RSFIT command (RSlab), or the most recently used PDS postprocessing command where a result set label was explicitly specified.

If the parameter data for Name1 includes negative values, fitting a logarithmic trendline is not possible and the logarithmic trendline plot is suppressed if requested. The same applies for an exponential trendline if the data for the Name2 includes negative values.

Because of the amount of data involved, the scatter plot is limited to NMAX points. If shown, the trendline is evaluated only on the NMAX points shown. However, the statistical information shown in the plot, such as the mean value lines for both parameters and the correlation coefficients listed in the legend are based on the full set of samples. If required, you can increase NMAX to plot more points, but this will affect the time needed to process the PDSCAT command. If NMAX is less than the total amount of simulated points, which is typically possible for Response Surface Methods, you will see an appropriate warning in the plot legend.

Menu Paths

Main Menu>Prob Design>Prob Results>Trends>Scatter Plot

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDSAVE 		Up / Home Next
PDSENS


PDSENS

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDSENS, Rlab, Name, Chart, Type, SLEVEL

Plots the probabilistic sensitivities.

PROBABILISTIC: Postprocessing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Rlab

Result set label. Identifies the result set to be used for postprocessing. A result set label can be the solution set label you defined in a PDEXE command (if you are directly postprocessing Monte Carlo Simulation results), or the response surface set label defined in an RSFIT command (for Response Surface Analyses). The PDSENS command cannot be used to postprocess the results in a solution set that is based on Response Surface Methods, only Monte Carlo Simulations.

Name

Parameter name. The parameter must have been previously defined as a random output parameter using the PDVAR command.

Chart

Keyword for the type of chart to be plotted.

BAR
 —

Bar chart of the absolute sensitivities.

PIE
 —

Pie chart of relative and normalized sensitivities.

BOTH
 —

Both pie and bar charts plotted side by side (default).

Type

Keyword for the type of correlation coefficients used to evaluate the sensitivities.

RANK
 —

Spearman rank-order correlation coefficient (default).

LIN
 —

Pearson linear correlation coefficient.

SLEVEL

Significance level. The value for the significance level must be between 0.0 and 1.0 and it defaults to 0.025 (2.5%).

Command Default

Rlab as described above, Chart = BOTH, Corr = RANK, SLEVEL = 0.025

Notes

Plots the probabilistic sensitivities.

If Rlab is left blank, then the result set label is inherited from the last PDEXE command (Slab), RSFIT command (RSlab), or the most recently used PDS postprocessing command where a result set label was explicitly specified.

Evaluation of the probabilistic sensitivities is based on the correlation coefficients between all random input variables and the random output parameter specified by Name. You can chose which correlation coefficient should be used for that evaluation using the Corr option. For all sensitivity values, the probabilistic design tool evaluates the probability that the sensitivity can be neglected, based on statistical test theory. If this probability exceeds the significance level as specified by the SLEVEL parameter, the sensitivity value should be regarded as negligible or insignificant. The higher the significance level (SLEVEL) the more sensitivities are considered as significant. The sensitivity plot includes the significant sensitivities only and lists the insignificant ones separately.

Menu Paths

Main Menu>Prob Design>Prob Results>Trends>Sensitivities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDSCAT 		Up / Home Next
PDSHIS


PDSHIS

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDSHIS, Rlab, Name, Type, CONF

Plots the sample history values.

PROBABILISTIC: Postprocessing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Rlab

Result set label. Identifies the result set to be used for postprocessing. A result set label can be the solution set label you defined in a PDEXE command, or the response surface set label defined in an RSFIT command.

Name

Parameter name. The parameter must have been previously defined as a random input variable or a random output parameter using the PDVAR command.

Type

Keyword to identify which type of data is to be plotted:

SAMP
 —

Sampled values (default).

MEAN
 —

Mean values for results based on Monte Carlo simulation methods only.

STDV
 —

Standard deviations for results based on Monte Carlo simulation methods only.

MIN
 —

Minimum values for results based on Monte Carlo simulation methods only.

MAX
 —

Maximum values for results based on Monte Carlo simulation methods only.

MEAN, STDV, MIN, and MAX are only valid for Monte Carlo methods.

CONF

Confidence level. The confidence level is used to plot confidence bounds for the history value. The value for the confidence level must be between 0.0 and 1.0 and it defaults to 0.95 (95%). Confidence bound(s) plotting is suppressed for CONF [image] 0.5. This option is ignored for Type = SAMP (no confidence bounds are plotted).

Command Default

Rlab as described above, Type = SAMP, CONF = 0.95

Notes

Plots the sample history values as a function of the number of simulation loops.

If Rlab is left blank, then the result set label is inherited from the last PDEXE command (Slab), RSFIT command (RSlab), or the most recently used PDS postprocessing command where a result set label was explicitly specified.

The confidence level is a probability expressing the confidence that the value for the requested probability is in fact between the confidence bounds. The larger the confidence level, the wider the confidence bounds. For Type = MEAN and Type = STDV, lower and upper confidence curves are plotted. For Type = MEAN, the mean value curve starts at the first simulation and the confidence bounds start with simulation number 2. For Type = MIN only the upper confidence bound is shown (the interpretation is that by a certain probability the true minimum value is below this curve). This probability (or confidence) is set using CONF. Likewise, for Type = MAX, only the lower confidence bound is shown. For all Type options, confidence curves are plotted starting with the simulation at which enough data is available to calculate the bounds. However, for scaling reasons, no confidence bounds are plotted for simulation numbers 1 to 5 even if they might be available.

Menu Paths

Main Menu>Prob Design>Prob Results>Statistics>Sampl History

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDSENS 		Up / Home Next
PDUSER


PDUSER

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDUSER, Fname, Ext, --

Specifies options for user-specified sampling methods.

PROBABILISTIC: Methods

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

Ext

Filename extension (8 character maximum).

--

Unused field.

Notes

If user-specified sampling methods are requested with the PDMETH, MCS, USER command or the PDMETH, RSM, USER command, then you need to specify which file contains the sample data. For more information on the format of this file, see Probabilistic Design in the Advanced Analysis Techniques Guide.

Menu Paths

Main Menu>Prob Design>Prob Method>Monte Carlo Sims
Main Menu>Prob Design>Prob Method>Response Surface

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDSHIS 		Up / Home Next
PDVAR


PDVAR

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDVAR, Name, Type, PAR1, PAR2, PAR3, PAR4

Specifies the parameters to be treated as probabilistic design variables.

PROBABILISTIC: Preprocessing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Name

Parameter name (must be a scalar ANSYS parameter). The parameter must have been previously defined as a random input variable or a random output parameter with the PDVAR command. See the *SET command for restrictions about ANSYS parameters.

Type

Probabilistic design variable type. This is the statistical distribution type. For more information on each of these types, see Probabilistic Design in the Advanced Analysis Techniques Guide.

BETA
 —

Beta distributed random variable.

PAR1 = Shape parameter. Defaults to 2.0.

PAR2 = Shape parameter. Defaults to 2.0.

PAR3 = Lower minimum value. Defaults to 0.0.

PAR4 = Upper maximum value. Defaults to 1.0.

EXPO
 —

Exponential distributed random variable.

PAR1 = Decay parameter λ. Must be larger then 0.0 and defaults to 1.0.

PAR2 = Shift or minimum value. Defaults to 0.0.

PAR3, PAR4 are ignored.

GAMA
 —

Gamma distributed random variable.

PAR1 = Decay parameter λ. Must be larger then 0.0 and defaults to 1.0.

PAR2 = Exponential parameter k. Must be larger then 0.0 and defaults to 1.0.

PAR3, PAR4 are ignored. Exponential distributed random variable.

GAUS
 —

Gaussian (Normal) distributed random variable.

PAR1 = Mean value. Defaults to 0.0.

PAR2 = Standard deviation. Must be larger then 0.0 and defaults to 1.0.

PAR3, PAR4 are ignored.

LOG1
 —

Lognormal distributed random variable specified directly with the statistical parameters mean value and standard deviation.

PAR1 = Mean value. Must be larger then 0.0 and defaults to 1.0.

PAR2 = Standard deviation. Must be larger then 0.0 and defaults to 1.0.

PAR3, PAR4 are ignored.

LOG2
 —

Lognormal distributed random variable specified with the statistical parameters mean value and standard deviation of the logarithm of the random values.

PAR1 and PAR2 must also be defined. PAR1 = Mean value of the logarithm of the data. Defaults to 0.0.

PAR2 = Standard deviation of the logarithm of the data. Must be larger then 0.0 and defaults to 1.0.

PAR3, PAR4 are ignored.

UNIF
 —

Uniform distributed random variable. Note that PAR1 must be less than PAR2.

PAR1 = Minimum value. Defaults to 0.0.

PAR2 = Maximum value. Defaults to 1.0.

PAR3, PAR4 are ignored.

TGAU
 —

Truncated Gaussian distributed random variable. Note that PAR3 must be less than PAR4.

PAR1 = Mean value of the untruncated Gaussian distribution. Defaults to 0.0.

PAR2 = Standard deviation of the untruncated Gaussian distribution. Must be larger then 0.0 and defaults to 1.0.

PAR3 = Minimum value and lower truncation boundary. Defaults to -3.0.

PAR4 = Maximum value and upper truncation boundary. Defaults to +3.0.

TRIA
 —

Triangular distributed random variable. Note that PAR1 must be less than PAR2 which must be less than PAR3.

PAR1 = Minimum value. Defaults to 0.0.

PAR2 = Most Likely Value (MLV). Defaults to 0.5.

PAR3 = Maximum value. Defaults to 1.0.

PAR4 is ignored.

WEIB
 —

Weibull (Type III smallest) distributed random variable. Note that PAR2 must be greater than PAR3. If PAR3 = 0.0, the random distribution is equivalent to a two-parameter Weibull distribution.

PAR1 = Weibull exponent. Must be larger then 0.0 and defaults to 1.0.

PAR2 = Characteristic value. Must be larger then 0.0 and defaults to 1.0.

PAR3 = Shift or minimum value. Defaults to 0.0.

PAR4 is ignored.

RESP
 —

Random output or response parameter.PAR1 to PAR4 are not used.

DEL
 —

Deletes this probabilistic design variable (does not delete the ANSYS parameter). This option is only valid if the parameter Name was previously defined as a probabilistic design variable (using Type = BETA, ..., WEIB or Type = RESP). The parameter retains the value assigned during the last probabilistic design loop.PAR1 to PAR4 are not used.

PAR1, PAR2, PAR3, PAR4

Parameters of the distribution function. The parameters must be specified according to the requirements of the individual distribution types described above.

Notes

Specifies the parameters to be treated as probabilistic design variables. A random input variable is specified by the name of the ANSYS parameter, the type of the distribution function (Type) and its distribution parameters (PAR1, ..., PAR4). A random output parameter is specified by the name of the ANSYS parameter and the type identifying it as a random output parameter (Type = RESP).

Menu Paths

Main Menu>Prob Design>Random Input

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDUSER 		Up / Home Next
PDWRITE


PDWRITE

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PDWRITE, File, Fnam, Lnam

Generates an HTML report for the probabilistic analyses.

PROBABILISTIC: Postprocessing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

File

File name and directory path (248 characters maximum, including directory) from which to read the report. If you do not specify a directory path, it will default to your working directory and you can use all 248 characters for the file name.

Fnam

First name of the author of the report (32 characters maximum). This first name must not include blanks.

Lnam

Last name of the author of the report (32 characters maximum). This last name must not include blanks.

Notes

Generates an HTML report for the probabilistic analysis. An HTML report includes a description of the deterministic model, the probabilistic model, the probabilistic methods used for the analyses and the results obtained from the analyses.

Menu Paths

Main Menu>Prob Design>Prob Results>Report>Generate Report

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDVAR 		Up / Home Next
PEMOPTS


PEMOPTS

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PEMOPTS, TOLER, Method

Defines percentage tolerance and error estimation method for electrostatic p-Method solution.

SOLUTION: Controls

MP ME ST <> <> <> <> <> EM <> <> PP <>

TOLER

Percentage tolerance used to determine which elements to fix at the current p-level. If an element's error energy is less that this tolerance, it's p-level will be fixed at the current level. Defaults to 5%.

Method

Specifies the error estimation method.

ZZ
—

Zienkiewicz-Zhu error estimator. Applicable to problems with a single dielectric material (default).

DUAL
—

Dual field method. Applicable to problems with single or multiple dielectric materials.

Notes

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>p-Method>Solution Options
Main Menu>Solution>Load Step Opts>p-Method>Solution Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PDWRITE 		Up / Home Next
PERBC2D


PERBC2D

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PERBC2D, LOC1, LOC2, LOCTOL, R1, R2, TOLR, OPT, PLNOPT

Generates periodic constraints for 2-D planar magnetic field analyses.

PREP7: Special Purpose

MP ME ST <> <> <> <> <> EM <> <> PP <>

LOC1

Constant coordinate location of the first plane of nodes. For PLNOPT = 1 or 2, the constant coordinate location is the global Cartesian coordinate system [CSYS,0] location in the X or Y direction respectively. For PLNOPT = 0, the location is the angle in the global cylindrical coordinate system [CSYS,1].

LOC2

Constant coordinate location of the second plane of nodes. For PLNOPT = 1 or 2, the constant coordinate location is the global Cartesian coordinate system [CSYS,0] location in the X or Y direction respectively. For PLNOPT = 0, the location is the angle (in degrees) in the global cylindrical coordinate system [CSYS,1].

LOCTOL

Tolerance on the constant coordinate location for node selection. Defaults to .00001 for PLNOPT = 1 or 2 and .001 degrees for PLNOPT = 0.

R1

Minimum coordinate location along the second plane of nodes. For PLNOPT = 1 or 2, the coordinate location is the global Cartesian coordinate system location in the Y or X direction respectively. For PLNOPT = 0, the coordinate location is the radial coordinate value in the global cylindrical coordinate system. Periodic conditions are not applied to nodes at this location.

R2

Maximum coordinate location along the second plane of nodes. For PLNOPT = 1 or 2, the coordinate location is the global Cartesian coordinate system location in the Y or X direction respectively. For PLNOPT = 0, the coordinate location is the radial coordinate value in the global cylindrical coordinate system. Periodic conditions are not applied to nodes at this location.

TOLR

Tolerance dimension on node selection along the plane of nodes. Defaults to .00001.

OPT

Periodic option:

0
 —

Odd symmetry (default). Apply constraint equations such that AZ(i) = -AZ(j).

1
 —

Even symmetry. Apply node coupling such that AZ(i) = AZ(j).

PLNOPT

Symmetry plane option:

0
 —

Planes of constant angle in the global cylindrical coordinate system [CSYS,1].

1
 —

Planes parallel to the global Cartesian X axis [CSYS,0].

2
 —

Planes parallel to the global Cartesian Y axis [CSYS,0].

Notes

PERBC2D invokes an ANSYS macro which generates periodic boundary condition constraints for 2-D planar magnetic field analysis. The macro is restricted to node pairs sharing common coordinate values along symmetry planes separated by a constant coordinate value. Planes (or lines) must lie at either constant angles (PLNOPT = 0), constant X values (PLNOPT = 1), or constant Y values (PLNOPT = 2). PERBC2D applies constraint equations (OPT = 0, odd symmetry) or node coupling (OPT = 1, even symmetry) to each node pair sharing a common coordinate value along the symmetry planes. By default, periodic conditions are not applied at the first and last node pairs on the symmetry planes unless the input location values, R1 and R2, are adjusted to be less than or greater than the actual node coordinate values. Nodes are selected for application of the constraints using the NSEL command with tolerances on the constant coordinate location (LOCTOL) and the coordinate location along the plane (RTOL).

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Boundary>VectorPot>Periodic BCs
Main Menu>Solution>Define Loads>Apply>Magnetic>Boundary>VectorPot>Periodic BCs

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PEMOPTS 		Up / Home Next
PERI


PERI

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PERI, DX, DY, DZ

Specifies periodic boundary conditions in an incompressible flow analysis.

PREP7: FLOTRAN Miscellaneous

MP <> <> <> <> <> <> FL <> <> <> PP <>

DX

Offset in the X direction of the second boundary from the first.

DY

Offset in the Y direction of the second boundary from the first.

DZ

Offset in the Z direction of the second boundary from the first.

Notes

Specified offsets must be consistent with the flow field coordinate system, as dictated by the FLUID141 and FLUID142 KEYOPT(3) setting.

The meshes at the two boundaries must be identical.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PERBC2D 		Up / Home Next
PEXCLUDE


PEXCLUDE

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PEXCLUDE, ELEM

Specifies elements to be excluded from p-level escalations.

SOLUTION: p-Method

MP ME ST PR PRN <> <> <> <> <> <> PP <>

ELEM

Element number of element to be excluded. If ELEM = ALL, exclude all elements. If ELEM = STAT, give status of excluded elements. If ELEM = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may be substituted for ELEM.

Command Default

No elements are excluded.

Notes

The elements chosen by this command will be excluded from convergence calculations. As a result, these elements will not have their p-levels increased throughout the solution iterations.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>p-Method>Stored Energy>Exclude Elems
Main Menu>Preprocessor>Loads>Load Step Opts>p-Method>Strain Energy>Exclude Elems
Main Menu>Solution>Load Step Opts>p-Method>Stored Energy>Exclude Elems
Main Menu>Solution>Load Step Opts>p-Method>Strain Energy>Exclude Elems

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PERI 		Up / Home Next
PFACT


PFACT

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PFACT, TBLNO, Excit, Parcor

Calculates participation factors for the PSD or multi-point response spectrum table.

SOLUTION: Spectrum Options

MP ME ST <> <> <> <> <> <> <> <> <> <>

TBLNO

Input PSD (Power Spectral Density) table number for which participation factors are to be calculated.

Excit

Label defining the location of excitation:

BASE
 —

Base excitation (default).

NODE
 —

Nodal excitation.

Parcor

Label defining excitation type (applies only to SPOPT,PSD analysis). Used only when partially correlated excitation is due to wave propagation or spatial correlation. Defaults to partially correlated excitation as defined by COVAL and QDVAL commands.

WAVE
 —

Excitation defined by PSDWAV command.

SPAT
 —

Excitation defined by PSDSPL command.

Notes

Calculates the participation factors for a particular PSD or multi-point response spectrum table defined with the PSDVAL command. The Jobname.DB file must contain modal solution data in order for this command to calculate the participation factor. There must be a PFACT command for each excitation spectrum.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>MultiPt>Calculate PF
Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>PSD>Calculate PF
Main Menu>Solution>Load Step Opts>Spectrum>MultiPt>Calculate PF
Main Menu>Solution>Load Step Opts>Spectrum>PSD>Calculate PF

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PEXCLUDE 		Up / Home Next
PFLUID


PFLUID

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PFLUID, DENS

Defines the contained fluid density for a piping run.

PREP7: Piping

MP ME ST PR PRN <> <> <> <> <> <> PP <>

DENS

Density of the contained fluid.

Notes

See the PREP7 RUN command.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Piping Models>Specifications

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PFACT 		Up / Home Next
PGAP


PGAP

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PGAP, NLOC, K, DX, DY, DZ, GAP, ELEM

Defines a spring-gap constraint in a piping run.

PREP7: Piping

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NLOC

Node where gap is to be placed. Defaults to current run starting point.

K

Spring constant value (must be positive).

DX, DY, DZ

Increment (in terms of the active coordinate system components) to determine gap ground point. Element length must not be zero. Constraints are automatically generated at the ground point.

GAP

Gap size (defaults to the element length).

ELEM

Element number to be assigned to gap (defaults to MAXEL + 1).

Notes

Defines a spring-gap constraint (gap element, CONTAC52) at a given location in a piping run. Gives spring constraint resistance after a specified gap is closed. See the RUN command.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Piping Models>Spring-Gap Supp

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PFLUID 		Up / Home Next
PGRAPH


PGRAPH

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PGRAPH, Option, Fname, Fext, --

Specifies the location from which graphics data will be retrieved for viewing.

SOLUTION: Misc Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Option

Switch that controls the PGR file write operations :

Off
 —

Use the data currently in the data base for display (default).

On
 —

Use the PowerGraphics data in the PGR file for display.

Fname

File name and directory path (248 characters maximum, including directory) from which to read the PGR file. If you do not specify a directory path, it will default to your working directory and you can use all 248 characters for the file name.

The file name defaults to Jobname, or File if no jobname is specified.

Fext

Filename extension (8 character maximum).

--

Unused field.

Notes

Menu Paths

Main Menu>Solution>Output Controls>PGR File
Main Menu>General Postproc>Write PGR File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PGAP 		Up / Home Next
PGRSET


PGRSET

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PGRSET, Lstep, SBSTEP, --, KIMG, TIME, --, NSET

Defines the data set to be read from the PGR file.

POST1: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lstep

Load step number of the data set to be read (defaults to 1):

N
 —

Read load step N.

FIRST
 —

Store the first data set on the PGR file (SBSTEP and TIME are ignored).

LAST
 —

Store the last data set on the PGR file. (SBSTEP and TIME are ignored).

NEXT
 —

Store the next data set on the PGR file (SBSTEP and TIME are ignored). If at the last data set, the first data set will be read as the next.

LIST
 —

Scan the PGR file and list a summary of each load step. (FACT, KIMG, TIME and ANGLE are ignored.)

SBSTEP

Substep number (within Lstep). If Lstep = LIST, SBSTEP = 0 or 1 lists the basic step information, whereas SBSTEP = 2 also lists the load step title, and labels imaginary data sets if they exist. Default maximum is 1000. When the number of substeps exceeds this limit, you need to issue SET,Lstep,LAST to bring in the 1000th load step. Use /CONFIG to increase the limit.

--

Unused field.

KIMG

Used only with results from complex analyses.

0
 —

Store real part of complex solution.

1
 —

Store imaginary part.

TIME

Time-point identifying the data set to be read. For the harmonic response analyses, time corresponds to the frequency. If both Lstep and SBSTEP are zero (or blank), read data set at time = TIME. If TIME is beyond the last time point on the file, the last time point will be used. If TIME doe not match a time value on the PGR file, the nearest time point in the data set will be used.

--

Unused field.

NSET

Data set number of the data set to be read. If a positive value for NSET is entered, Lstep, SBSTEP, KIMG, and TIME are ignored. Available set numbers can be determined by PGRSET,LIST.

Notes

Defines the data set to be read from the PGR file into the database. Various operations may also be performed during the read operation.

Menu Paths

Main Menu>Solution>Output Ctrls>PGR File
Main Menu>General Postproc>Write PGR File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PGRAPH 		Up / Home Next
PGSAVE


PGSAVE

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PGSAVE, Fname, Fext, --, DataType, InteriorKey, Append

Creates a PowerGraphics (PGR) file from results data.

SOLUTION: Misc Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname, or File if no jobname is specified.

Fext

Filename extension (8 character maximum).

--

Unused field.

DataType

Data type to create. This specification applies to discontinuous results data such as stress, strain, and field data. .

0
 —

Save as nodal-averaged data (default). Used by the PLNSOL command.

1
 —

Reserved.

2
 —

Save both nodal averaged and unaveraged data. Used by the PLESOL and PLNSOL commands.

InteriorKey

Key that controls whether or not internal model data is saved to the PGR file. Internal data is required in order to use graphical slicing, capping, vector displays, or Isosurface displays for data display. Interior data is also required for the AVRES,,FULL option, where surface results take into consideration the interior element contributions.

0
 —

Save exterior surface data only. (default)

1
 —

Save exterior and interior data.

Append

Append or overwrite data to the specified.

0
 —

Append the data to the existing file (default). Note that the geometry must not have been changed between the write operations.

1
 —

Overwrite the data file.

Notes

The user may elect to write results to the PGR file in a specified order. The specifications (including /ESHAPE parameters) must be defined before saving the file. The GUI will allow the user to write the current set, or all sets from the results file.

For contact analysis, only flex-flex analysis is supported.

Menu Paths

Main Menu>Solution>Output Ctrls>PGR File
Main Menu>General Postproc>Write PGR File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PGRSET 		Up / Home Next
PGSELE


PGSELE

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PGSELE, Type, Item, --, VMIN, VMAX, VINC

Select a subset of elements for display with the PGR viewer.

GRAPHICS: Labeling

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Label identifying type of select

S
 —

Select a new set (default)

R
 —

Reselect a set from the current set

A
 —

Additionally select a set, extending the current set.

U
 —

Unselect a set from the current set.

ALL
 —

Restore the full set. Subsequent command arguments are ignored.

INVE
 —

Invert the current set (change selected to unselected; change unselected to selected). Subsequent command arguments are ignored.

STAT
 —

Display the current select status. Subsequent command arguments are ignored.

Item

Label identifying the data. Valid labels are:

If Type = STAT and Item = (blank) or ELEM, the element selection information is provided.
Type - Element type number
Mat - Material number
Real - Real constant number
Sec - Section identification number
Comp or CM - Component name(s). (see notes, below)
Pick - Pick entities via a picking window. (see notes, below)
(Defaults to Type).

--

Unused field.

VMIN

Minimum value of Item range. Ranges are attribute numbers.

VMAX

Maximum value for Item range. VMAX defaults to VMIN for input values.

VINC

Value increment within Item range. Used only with integer ranges (such as for attribute numbers). Defaults to 1. VINC cannot be negative.

Command Default

All elements are selected.

Notes

When Item = Pick, interactive picking is enabled. The displayed facets of the elements you pick will be flagged according to how they are resolved in PowerGraphics. Exterior elements will be flagged on each facet surface, while elements with no external (surface) component will be flagged at the centroid of that element.

When Item = Comp, the subsequent values for VMIN, VMAX, and VINC, are replaced by valid component names (32 character max). You can name up to 16 components in this fashion. All named components must contain elements.

This command is valid in POST1

Menu Paths

Main Menu>General Postproc>Results Viewer

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PGSAVE 		Up / Home Next
PGWRITE


PGWRITE

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PGWRITE, Label, Fname, Fext, --, DataType, InteriorKey, Append

Writes selected solution data to the PGR file for faster post processing access.

SOLUTION: Misc Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Label

Switch that controls the PGR file write operations :

Off
 —

Do not write the PGR file during the solution.

On
 —

Write the PGR file during solution (default).

STAT
 —

Display the current status of the PGR file settings.

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname, or File if no jobname is specified.

Fext

Filename extension (8 character maximum).

--

Unused field.

DataType

Data type to create. This specification applies to discontinuous results data such as stress, strain, and field data. .

0
 —

Save as nodal-averaged data (default). Used by the PLNSOL command.

1
 —

Reserved.

2
 —

Save both nodal averaged and unaveraged data. Used by the PLESOL and PLNSOL commands.

InteriorKey

Key that controls whether or not internal model data is saved to the PGR file. Internal data is required in order to use graphical slicing, capping, vector displays, or Isosurface displays for data display. Interior data is also required for the AVRES,,FULL option, where surface results take into consideration the interior element contributions.

0
 —

Save exterior surface data only. (default)

1
 —

Save exterior and interior data.

Append

Append or overwrite data to the specified file. .

0
 —

Append the data to the existing file (default). Note that the geometry must not have been changed between the write operations.

1
 —

Overwrite the data file.

Notes

In interactive mode, you cannot read the PGR file while PGWRITE is active. If you solve your model and want to plot the model while still in SOLUTION, you must first close the PGR file by issuing PGWRITE,Off. This occurs automatically when you exit SOLUTION and enter POST1.

When you wish to view your stress results in another coordinate system, you must generate your PGR file from the results file, in POST1, in that coordinate system.

Menu Paths

Main Menu>Solution>Output Ctrls>PGR File
Main Menu>General Postproc>Write PGR File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PGSELE 		Up / Home Next
PHYSICS


PHYSICS

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PHYSICS, Option, Title, Fname, Ext, --

Writes, reads, or lists all element information

PREP7: Special Purpose

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Option

Specifies what to do with element information:

WRITE
 —

Write all appropriate element types, key options, real constants, material properties, solution analysis options, load step options, constraint equations, coupled nodes, defined components, and GUI preference settings to the file specified with the Fname and Ext arguments.

READ
 —

Deletes all solution information (material properties, solution options, load step options, constraint equations, coupled nodes, results, and GUI preference settings) then reads all the information listed above into the ANSYS database from the location specified by the Fname and Ext arguments.

LIST
 —

Lists currently defined physics files and their titles.

DELETE
 —

Deletes a specified physics file and its title from the database.

CLEAR
 —

Deletes all material properties, solution options, load step options, constraint equations, coupled nodes, results, and GUI preference settings from the database. Does NOT clear the active physics file title from the database.

STATUS
 —

Displays information about all active elements and settings.

Title

A user-defined title that quickly identifies a set of physics settings. For example, you might use "Fluid," "Structural," or "Magnetic" as titles. A title can contain up to 64 characters. It can be entered in lower or upper case. Lower case is internally converted to upper case within the program.

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname. Previous data on this file, if any, are overwritten.

Ext

Filename extension (8 character maximum).

The extension defaults to PHn if Fname is blank, where n is a number between one and nine, depending on how many times you have issued the PHYSICS command. (You can have up to nine separate physics files.) If you issue the command more than nine times, the ANSYS program will require you to delete an existing file.

--

Unused field.

Notes

Use the PHYSICS command when you are performing a multiphysics analysis that involves two different disciplines (for example, CFD and structural analysis) and you cannot solve both analyses simultaneously. Once you have set up physics environments for both analyses, you can use the PHYSICS,READ command to change between the defined physics environments. For more information about doing multiphysics analyses, see Sequential Coupled-Field Analysis in the Coupled-Field Analysis Guide.

The PHYSICS command outputs all solution information, including analysis options, to the Jobname.PHn file described above. Although it also outputs components, the ANSYS program does not list entities (nodes, elements, lines, etc.).

PHYSICS,WRITE will overwrite existing physics files with the same title (even if the name is different). In other words, if the directory has a physics file with the same title as the active physics file title, but a different name, the PHYSICS,WRITE command will overwrite the existing physics file and use the existing filename, not the filename specified on the PHYSICS,WRITE command.

Menu Paths

Main Menu>Preprocessor>Physics>Environment>Clear
Main Menu>Preprocessor>Physics>Environment>Delete
Main Menu>Preprocessor>Physics>Environment>List
Main Menu>Preprocessor>Physics>Environment>Read
Main Menu>Preprocessor>Physics>Environment>Status
Main Menu>Preprocessor>Physics>Environment>Write
Main Menu>Solution>Physics>Environment>Clear
Main Menu>Solution>Physics>Environment>Delete
Main Menu>Solution>Physics>Environment>List
Main Menu>Solution>Physics>Environment>Read
Main Menu>Solution>Physics>Environment>Status
Main Menu>Solution>Physics>Environment>Write

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PGWRITE 		Up / Home Next
/PICE


/PICE

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

/PICE, Item, --, KEY

Shows initial conditions on elements as contours on displays.

GRAPHICS: Labeling

MP <> <> <> <> <> <> FL <> <> <> PP <>

Item

Label identifying the item:

VFRC
 —

Volume fraction.

--

Unused field.

KEY

Symbol key:

0
 —

Do not show initial condition contours.

1
 —

Show initial condition contours.

Command Default

No initial condition contours displayed.

Notes

Shows initial conditions as contours on displays for the selected elements. Use /PSTATUS or /PICE,STAT to display settings. Use /PICE,DEFA to reset all specifications back to default.

/PICE is overridden if /PBF, /PSF, and /PBC are all on.

This command is valid in any processor.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Utility Menu>PlotCtrls>Symbols

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PHYSICS 		Up / Home Next
PINCLUDE


PINCLUDE

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PINCLUDE, ELEM

Specifies elements to be included in p-level escalations.

SOLUTION: p-Method

MP ME ST PR PRN <> <> <> <> <> <> PP <>

ELEM

Element number of element to be included. If ELEM = ALL, include all elements. If ELEM = STAT, give status of included elements. If ELEM = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may be substituted for ELEM.

Command Default

All elements are included.

Notes

The elements chosen by this command may have their p-levels increased throughout the solution iterations.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>p-Method>Stored Energy>Include Elems
Main Menu>Preprocessor>Loads>Load Step Opts>p-Method>Strain Energy>Include Elems
Main Menu>Solution>Load Step Opts>p-Method>Stored Energy>Include Elems
Main Menu>Solution>Load Step Opts>p-Method>Strain Energy>Include Elems

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/PICE 		Up / Home Next
PINSUL


PINSUL

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PINSUL, DENS, ITK

Defines the external insulation constants in a piping run.

PREP7: Piping

MP ME ST PR PRN <> <> <> <> <> <> PP <>

DENS

Insulation density.

ITK

Insulation thickness.

Command Default

No insulation.

Notes

Defines the external insulation constants in a piping run. See the RUN command.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Piping Models>Specifications

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PINCLUDE 		Up / Home Next
PIPE


PIPE

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PIPE

Specifies "Pipe modeling" as the subsequent status topic.

PREP7: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Preprocessor>Piping Module

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PINSUL 		Up / Home Next
PIVCHECK


PIVCHECK

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PIVCHECK, KEY, PRNTCNTRL

Prevents a batch mode, linear static analysis from stopping when a negative or zero equation solver pivot value is encountered.

SOLUTION: Analysis Options

MP ME ST PR PRN <> <> <> EM <> <> PP <>

KEY

Determines whether to stop or continue an analysis when a negative or zero equation solver pivot value is encountered:

ON
 —

Default value. ANSYS checks for negative or zero pivot values on linear static analyses performed with the frontal, sparse and PCG solvers. When one is encountered, an error is issued, stopping the job. A negative pivot value may be valid for some multiphysics analyses (e.g. Electromagnetic or Thermal); this key has no effect in these cases.

OFF
 —

Pivots will not be checked. This key continues the analysis in spite of a zero or negative pivot value. The program will proceed until other error checking routines are encountered.

PRNTCNTRL

Provides print options. Print output with these options will be sent to the default output file, not to the files created by the nonlinear diagnostic tools (NLDIAG).

ONCE or blank
 —

Default value. Print maximum and minimum pivot information once per loadstep if the SPARSE solver (the default solver) is used.

EVERY
 —

Print maximum and minimum pivot information every Newton-Raphson iteration or at every iteration within a substep of every loadstep. This option is provided for nonlinear diagnostics.

Command Default

ON, stop the analysis and report an error status to the user.

Notes

This command is valid only for linear static analyses. In a nonlinear analysis, a negative pivot may be valid. Normally, rigid body motions in a nonlinear analysis will be trapped by error routines checking infinitely large displacements (DOF limit exceeded) or nonconvergence status. An under-constrained model may avoid the pivot check, but fail with a DOF limit exceeded error.

This command is applicable only to batch mode (not in the GUI). While in an ANSYS interactive session, it is generally desirable to remain in the session, even though a pivot error has occurred. Warning messages will be displayed on the screen, allowing the user to take corrective action.

Finally, machine precision will determine if a warning or an error is issued for the small pivot case. In all cases there will be some notification that the model needs to be checked closely for an accurate solution.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>Analysis Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PIPE 		Up / Home Next
PLCAMP


PLCAMP

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLCAMP, Option, SLOPE, UNIT, FREQB, Cname, STABVAL

Plots Campbell diagram data for applications involving rotating structure dynamics.

POST1: Special Purpose

MP ME ST PR PRN <> <> <> <> <> <> PP <>
Option

Flag to activate or deactivate sorting of forward or backward whirl frequencies:

0 (OFF or NO) -- No sorting.
1 (ON or YES) -- Sort. This value is the default.
SLOPE

The slope of the line to be plotted. This value must be greater than 0. The line represents the number of excitations per revolution of the rotor. For example, SLOPE = 1 represents one excitation per revolution, usually resulting from unbalance. The default is no line.

UNIT

Specifies the unit of measurement for rotational angular velocities:

RDS -- Rotational angular velocities in radians per second (rad/s). This value is the default.
RPM -- Rotational angular velocities in revolutions per minute (RPMs).
FREQB

The beginning, or lower end, of the frequency range of interest. The default is zero.

Cname

The rotating component name.

STABVAL

Flag to plot the stability values:

0 (OFF or NO) -- Plot the frequencies (the imaginary parts of the eigenvalues in Hz). This value is the default.
1 (ON or YES) -- Plot the stability values (the real parts of the eigenvalues in Hz).
2 -- Plot the logarithmic decrements.

For more information about complex eigenvalues and corresponding logarithmic decrements, see Damped Method in the Theory Reference for ANSYS and ANSYS Workbench.

Notes

To take the gyroscopic effect into account when plotting a Campbell diagram, first issue the CORIOLIS command in the SOLUTION module.

The PLCAMP command is valid only for modal analyses (QR damped [MODOPT,QRDAMP] or damped [MODOPT,DAMP] methods only). The command works over two or more load step results generated with an ascending order of rotational velocity (OMEGA or CMOMEGA).

Complex eigenvalues are necessary (MODOPT,QRDAMP,,,,Cpxmod = ON), and you must specify the number of modes to expand (MXPAND) at each load step.

In some cases where modes are not in the same order from one load step to the other, sorting (Option = 1) the frequencies can help to obtain a correct plot. Sorting is based on the comparison between complex mode shapes calculated at two successive load steps.

At each load step, ANSYS compares the mode shape to the loads at other loads steps to determine whirl direction at the load step. If applicable, a label appears (in the plot legend) representing each whirl mode (BW for backward whirl and FW for forward whirl).

ANSYS considers the SLOPE value only if the frequencies are plotted (STABVAL = OFF).

At each load step, ANSYS checks for instability (based on the sign of the real part of the eigenvalue). The labels “stable” or “unstable” appear in the plot legend for each frequency curve.

The rotational velocities of a named component (Cname) are displayed on the X-axis.

To plot the Campbell diagram for a prestressed structure, first issue a CAMPBELL,ON command in the static portion of the analysis.

In general, ANSYS, recommends plotting a Campbell diagram only when your analysis is performed in a stationary reference frame (CORIOLIS,,,,RefFrame = ON).

For a usage example of the PLCAMP command, see Sample Campbell Diagram Analysis.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PIVCHECK 		Up / Home Next
PLCINT


PLCINT

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLCINT, ACTION, ID, node, Cont

Plots the J-integral result data.

POST1: Results

MP ME ST PR PRN <> <> <> <> <> <> PP <>

ACTION

Crack ID number.

PATH
 —

Plots J-integrals according to path number (Default).

FRONT
 —

Plots J-integral distribution along crack front.

ID

Crack ID number.

node

Crack tip node number (Default = ALL).

Use only for ACTION = PATH. Plots J-integral coutour plot for an individual crack tip node.

Cont

Contour number (Default = ALL).

Use only for ACTION = FRONT. Plots J-integral distribution plot along the crack for a given path.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLCAMP 		Up / Home Next
PLCONV


PLCONV

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLCONV, Item, Comp, NODE, Surf

Plots the convergence curve for specified items from a p-method solution.

POST1: Results

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Item

Label identifying the convergence criterion to be plotted. (Valid component labels are described in PLCONV - Valid Item and Component Labels.)

ALL
 —

Simultaneously plot the convergence curve for all specified Item criteria versus p-level (default). Does not require a component label.

SE
 —

Plot strain energy curve or stored electrostatic energy curve, versus p-level. Does not require a component label.

S
 —

Plot stress curve versus p-level. Valid component labels are described in PLCONV - Valid Item and Component Labels below.

EPEL
 —

Plot strain curve versus p-level. Valid component labels are described in PLCONV - Valid Item and Component Labels below.

U
 —

Plot translational displacement curve versus p-level. Valid component labels are described in PLCONV - Valid Item and Component Labels below.

ROT
 —

Plot structural rotation versus p-level (valid only for SHELL150).

VOLT
 —

Plot electric potential curve versus p-level. Does not require a component label.

EF
 —

Plot electric field strength curve versus p-level. Valid component labels are described in PLCONV - Valid Item and Component Labels below.

D
 —

Plot electric flux density curve versus p-level. Valid component labels are described in PLCONV - Valid Item and Component Labels below.

EFORC
 —

Plot global electrostatic (Maxwell Stress Tensor) force curve versus p-level. Valid component labels are described in PLCONV - Valid Item and Component Labels below.

Comp

Component of the Item. Not required for Item = ALL, SE, VOLT, or EFORC. Valid Comp values (and associated Item values) are in PLCONV - Valid Item and Component Labels below. (Defaults to ALL: plot the convergence curve for all Item and Comp criteria simultaneously.)

NODE

Node number where convergence checking was performed. Valid only for Item = S, EPEL, U, ROT, VOLT, EF, or D. Defaults to all nodes having Item and Comp previously specified as convergence criteria [PCONV].

Surf

Surface of a p-element shell structure where the convergence curve for NODE will be plotted. Valid only for Item = S or EPEL. Defaults to all surfaces.

TOP
 —

Top surface (default).

MID
 —

Middle surface

BOT
 —

Bottom surface.

Command Default

Display all specified criteria simultaneously.

Notes

The previously specified convergence criterion [PCONV] is graphed versus the characteristic p-level. The characteristic p-level is the polynomial level range from the minimum defined [PPRANGE] to the maximum p-level reached by any element in the model. The Item value corresponds to the convergence criterion indicated by PCONV. All Item values previously designated by the PCONV command will be plotted.

PLCONV - Valid Item and Component Labels

Item | Comp | Description
ALL | ALL | All convergence criteria (default)
SE |  | Strain energy or stored electrostatic energy
S | X, Y, Z, XY, YZ, XZ | Component stress
" | 1, 2, 3 | Principal stress
" | INT | Stress intensity
" | EQV | Equivalent stress
EPEL | X, Y, Z, XY, YZ, XZ | Component elastic strain
" | 1, 2, 3 | Principal elastic strain
" | INT | Elastic strain intensity
" | EQV | Elastic equivalent strain
U | X, Y, Z, SUM | X, Y, or Z structural displacement or vector sum
" | ALL | All applicable displacement items
ROT | X, Y, Z, SUM | X, Y, or Z structural rotation or vector sum (valid only for SHELL150)
VOLT |  | Electric potential
EF | X, Y, Z, SUM | Electric field strength
D | X, Y, Z, SUM | Electric flux density
EFORC | X, Y, Z, SUM | Global electrostatic (Maxwell Stress Tensor) force

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Plot Results>p-Method>p-Convergence

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLCINT 		Up / Home Next
PLCPLX


PLCPLX

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLCPLX, KEY

Specifies the part of a complex variable to display.

POST26: Display

MP ME ST PR PRN <> <> <> EM <> <> PP <>

KEY

Complex variable part:

0
 —

Amplitude.

1
 —

Phase angle.

2
 —

Real part.

3
 —

Imaginary part.

Notes

Used only with harmonic analyses (ANTYPE,HARMIC).

All results data are stored in the form of real and imaginary components and converted to amplitude and/or phase angle as specified via the PLCPLX command. The conversion is not valid for derived results (such as principal stress/strain, equivalent stress/strain and USUM).

Menu Paths

Main Menu>TimeHist Postpro>Settings>Graph

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLCONV 		Up / Home Next
PLCRACK


PLCRACK

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLCRACK, LOC, NUM

Displays cracking and crushing locations in SOLID65 elements.

POST1: Special Purpose

MP ME ST <> <> <> <> <> <> <> <> PP <>

LOC

Location at which symbols are to be displayed:

0
 —

Plot symbols at integration points (default).

1
 —

Plot symbol at element centroids (averaged).

NUM

Crack to be displayed:

0
 —

Plot all cracks (default).

1
 —

Plot only the first crack.

2
 —

Plot only the second crack.

3
 —

Plot only the third crack.

Notes

PLCRACK displays circles at locations of cracking or crushing in concrete elements. Cracking is shown with a circle outline in the plane of the crack, and crushing is shown with an octahedron outline. If the crack has opened and then closed, the circle outline will have an X through it. Each integration point can crack in up to three different planes. The first crack at an integration point is shown with a red circle outline, the second crack with a green outline, and the third crack with a blue outline.

Symbols shown at the element centroid (LOC = 1) are based on the status of all of the element's integration points. If any integration point in the element has crushed, the crushed (octahedron) symbol is shown at the centroid. If any integration point has cracked or cracked and closed, the cracked symbol is shown at the element centroid. If at least five integration points have cracked and closed, the cracked and closed symbol is shown at the element centroid. Finally, if more than one integration point has cracked, the circle outline at the element centroid shows the average orientation of all cracked planes for that element.

Portions of this command are not supported by PowerGraphics [/GRAPHICS,POWER].

Menu Paths

Main Menu>General Postproc>Plot Results>ConcPlot>Crack/Crush

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLCPLX 		Up / Home Next
PLDISP


PLDISP

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLDISP, KUND

Displays the displaced structure.

POST1: Results

MP ME ST PR PRN <> <> <> <> <> <> PP <>

KUND

Undisplaced shape key:

0
 —

Display only displaced structure.

1
 —

Overlay displaced display with similar undisplaced display (appearance is system-dependent).

2
 —

Same as 1 except overlay with undisplaced edge display (appearance is system-dependent).

Notes

Displays the displaced structure for the selected elements.

For information on true scale plots, refer to the description of the /DSCALE command [/DSCALE,,1.0].

Menu Paths

Main Menu>General Postproc>Plot Results>Deformed Shape
Utility Menu>Plot>Results>Deformed Shape
Utility Menu>PlotCtrls>Animate>Deformed Shape

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLCRACK 		Up / Home Next
PLESOL


PLESOL

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLESOL, Item, Comp, KUND, Fact

Displays the solution results as discontinuous element contours.

POST1: Results

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Item

Label identifying the item. Valid item labels are shown in PLESOL - Valid Item and Component Labels below. Some items also require a component label.

Comp

Component of the item (if required). Valid component labels are shown in PLESOL - Valid Item and Component Labels below.

KUND

Undisplaced shape key:

0
 —

Do not overlay undeformed structure display

1
 —

Overlay displaced contour plot with undeformed display (appearance is system-dependent)

2
 —

Overlay displaced contour plot with undeformed edge display (appearance is system-dependent)

Fact

Scale factor for 2-D display of contact items (defaults to 1). A negative scaling factor may be used to invert the display.

Notes

Displays the solution results as element contours discontinuous across element boundaries for the selected elements. For example, PLESOL,S,X displays the X component of stress S (that is, the SX stress component). Various element results depend on the calculation method and the selected results location (AVPRIN, RSYS, and ESEL). Contours are determined by linear interpolation within each element, unaffected by the surrounding elements (i.e., no nodal averaging is performed). The discontinuity between contours of adjacent elements is an indication of the gradient across elements. Component results are displayed in the active results coordinate system [RSYS] (default is the global Cartesian). See the ETABLE and PLETAB commands for displaying items not available through this command (such as line element results).

For PowerGraphics displays [/GRAPHICS,POWER], results are plotted only for the model exterior surface. The items marked with [1] in PLESOL - Valid Item and Component Labels are not supported by PowerGraphics.

PLESOL - Valid Item and Component Labels

Item | Comp | Description
Valid item and component labels for element results are:
S | X, Y, Z, XY, YZ, XZ | Component stress.
" 1, 2, 3 Principal stress.
" INT Stress intensity.
" EQV Equivalent stress.
" MAXF Maximum Stress Failure Criteria. [1][3]
" TWSI Tsai-Wu Strength Index Failure Criterion. [1][3]
" TWSR Inverse of Tsai-Wu Strength Ratio Index Failure Criterion. [1][3]
EPEL | X, Y, Z, XY, YZ, XZ | Component elastic strain.
" 1, 2, 3 Principal elastic strain.
" INT Elastic strain intensity.
" EQV Elastic equivalent strain.
" MAXF Maximum Strain Failure Criteria. [1][3]
EPPL | X, Y, Z, XY, YZ, XZ | Component plastic strain.
" 1, 2, 3 Principal plastic strain.
" INT Plastic strain intensity.
" EQV Plastic equivalent strain.
EPCR | X, Y, Z, XY, YZ, XZ | Component creep strain.
" 1, 2, 3 Principal creep strain.
" INT Creep strain intensity.
" EQV Creep equivalent strain.
EPTH | X, Y, Z, XY, YZ, XZ | Component thermal strain.
" 1, 2, 3 Principal thermal strain.
" INT Thermal strain intensity.
" EQV Thermal equivalent strain.
EPSW | Swelling strain.
EPTO | X, Y, Z, XY, YZ, XZ | Component total mechanical strain (EPEL + EPPL + EPCR).
" 1, 2, 3 Principal total mechanical strain.
" INT Total mechanical strain intensity.
" EQV Total mechanical equivalent strain.
EPTT | X, Y, Z, XY, YZ, XZ | Total mechanical and thermal strain (EPEL + EPPL + EPCR + EPTH).
" 1, 2, 3 Principal total mechanical and thermal strain.
" INT Total mechanical and thermal strain intensity.
" EQV Total mechanical and thermal equivalent strain.
NL | SEPL | Equivalent stress (from stress-strain curve).
" SRAT Stress state ratio.
" HPRES Hydrostatic pressure.
" EPEQ Accumulated equivalent plastic strain.
" CREQ Accumulated equivalent creep strain.
" PSV Plastic state variable.
" PLWK Plastic work/volume.
SEND | ELASTIC | Elastic strain energy density.
" PLASTIC Plastic strain energy density.
" CREEP Creep strain energy density.
FAIL | MAX | Maximum of all failure criteria defined at the current location. [1][3]
" EMAX Maximum Strain Failure Criterion. [1][3]
" SMAX Maximum Stress Failure Criterion. [1][3]
" TWSI Tsai-Wu Strength Index Failure Criterion. [1][3]
" TWSR Inverse of Tsai-Wu Strength Ratio Index Failure Criterion. [1][3]
" USR1, USR2, ..., USR6 User-defined failure criteria. [1][3]
FCMX | LAY | Layer number where the maximum of all failure criteria over the entire element occurs. [1][3]
" FC Number of the maximum-failure criterion over the entire element: 2 - EMAX 3 - SMAX 4 - TWSI 5 - TWSR 6~11 - USR1~USR6

[1][3]

" VAL Value of the maximum failure criterion over the entire element. [1][3]
SVAR | 1, 2, 3, ... N | State variable.
GKS | X, XY, XZ | Gasket component stress.
GKD | X, XY, XZ | Gasket component total closure.
GKDI | X, XY, XZ | Gasket component total inelastic closure.
GKTH | X, XY, XZ | Gasket component thermal closure.
SS | X, XY, XZ | Interface traction (stress)
SD | X, XY, XZ | Interface separation
CONT STAT2 Contact status:
3-closed and sticking
2-closed and sliding
1-open but near contact
0-open and not near contact
" PENE Contact penetration
" PRES Contact pressure
" SFRIC Contact friction stress
" STOT Contact total stress (pressure plus friction)
" SLIDE Contact sliding distance
" GAP Contact gap distance
" FLUX Total heat flux at contact surface
“ CNOS Total number of contact status changes during substep.
TG | X, Y, Z, SUM | Component thermal gradient or vector sum.
TF | X, Y, Z, SUM | Component thermal flux or vector sum.
PG | X, Y, Z, SUM | Component pressure gradient or vector sum.
EF | X, Y, Z, SUM | Component electric field or vector sum.
D | X, Y, Z, SUM | Component electric flux density or vector sum.
H | X, Y, Z, SUM | Component magnetic field intensity or vector sum.
B | X, Y, Z, SUM | Component magnetic flux density or vector sum.
FMAG | X, Y, Z, SUM | Component magnetic force or vector sum [1].
P | X, Y, Z, SUM | Pointing vector component or sum [1].
SERR | Structural error energy. Anisotropic elastic materials (TB, ANEL) are not supported. 1].
SDSG | Absolute value of the maximum variation of any nodal stress component [1].
TERR | Thermal error energy [1].
TDSG | Absolute value of the maximum variation of any nodal thermal gradient component [1].
F | X, Y, Z | X, Y, or Z structural force [1].
M | X, Y, Z | X, Y, or Z structural moment [1].
HEAT | Heat flow [1].
FLOW | Fluid flow [1].
AMPS | Current flow [1]. Use FORCE for type.
CHRG | Charge [1]. Use FORCE for type.
FLUX | Magnetic flux [1].
VF | X, Y, Z | X, Y, or Z fluid "force" component [1].
CSG | X, Y, Z | X, Y, or Z magnetic current segment component [1].
SENE | "Stiffness" energy or thermal heat dissipation. Same as TENE[1].
STEN | Elemental energy dissipation due to stabilization.
TENE | Thermal heat dissipation or "stiffness" energy. Same as SENE [1].
KENE | Kinetic energy [1].
JHEAT | Element Joule heat generation [1].
JS | X, Y, Z, SUM | Source current density for low-frequency magnetic analyses. Total current density (sum of conduction and displacement current densities) in low frequency electric analyses. Components (X, Y, Z) and vector sum (SUM). [1].
JT | X, Y, Z, SUM | Total measureable current density in low-frequency electromagnetic analyses. (Conduction current density in a low-frequency electric analysis.) Components (X, Y, Z) and vector sum (SUM). [1].
JC | X, Y, Z, SUM | Conduction current density for elements that support conduction current calculation. Components (X, Y, Z) and vector sum (SUM). [1].
MRE | Magnetic Reynolds number [1].
VOLU | Volume of volume element [1].
CENT | X, Y, Z | Centroid X, Y, or Z location (based on shape function) in the active coordinate system [1].
BFE | TEMP | Body temperatures (calculated from applied temperatures) as used in solution (area and volume elements only).
SMISC | snum | Element summable miscellaneous data value at sequence number snum (shown in the Output Data section of each element description found in the Elements Reference).
NMISC | snum | Element non-summable miscellaneous data value at sequence number snum (shown in the Output Data section of each element description found in the Elements Reference).
TOPO | Densities used for topological optimization. This applies to the following types of elements: PLANE82, SOLID92, SHELL93, SOLID95.

  1. Not supported by PowerGraphics

  2. Status notation is for all contact elements except CONTAC12 and CONTAC52. If you are using these elements, check the output listing in the corresponding element documentation.

  3. Works only if FC command information is provided.

Menu Paths

Main Menu>General Postproc>Plot Results>Contour Plot>Element Solu
Utility Menu>Plot>Results>Contour Plot>Elem Solution

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLDISP 		Up / Home Next
PLETAB


PLETAB

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLETAB, Itlab, Avglab

Displays element table items.

POST1: Element Table

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Itlab

User-defined label, as specified with the ETABLE command, of item to be displayed.

Avglab

Averaging operation:

NOAV
—

Do not average element items at common nodes (default).

AVG
—

Average the element items at common nodes.

Notes

Displays items stored in the table defined with the ETABLE command for the selected elements. For display purposes, items are assumed to be constant over the element and assigned to each of its nodes. Contour display lines (lines of constant value) are determined by linear interpolation within each element from the nodal values. These nodal values have the option of being averaged (values are averaged at a node whenever two or more elements connect to the same node) or not averaged (discontinuous). The discontinuity between contour lines of adjacent elements is an indication of the gradient across elements.

Portions of this command are not supported by PowerGraphics [/GRAPHICS,POWER].

Menu Paths

Main Menu>General Postproc>Element Table>Plot Elem Table
Main Menu>General Postproc>Plot Results>Contour Plot>Elem Table
Utility Menu>Plot>Results>Contour Plot>Elem Table Data

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLESOL 		Up / Home Next
PLF2D


PLF2D

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLF2D, NCONT, OLAY, ANUM, WIN

Generates a contour line plot of equipotentials.

POST1: Magnetics Calculations

MP <> <> <> <> <> <> <> EM <> <> PP <>

NCONT

Number of contour lines to display. Issue in multiples of 9 (i.e., 9, 18, 27, etc.). Default is 27 contour lines.

OLAY

Overlay:

0
 —

Overlay edge outlines by material number.

1
 —

Overlay edge outlines by real constant number.

ANUM

Highest material or real constant attribute number. Command will cycle through ANUM element display overlays. Defaults to 10.

WIN

Window number to which command applies. Defaults to 1.

Notes

PLF2D invokes an ANSYS macro which plots equipotentials of the degree of freedom AZ. These equipotential lines are parallel to flux lines and thus give a good representation of flux patterns. In the axisymmetric case, the display is actually r*AZ where "r" is the node radius. The macro overlays (OLAY) edge outlines by material number or real constant number (ANUM) and allows user control over the number of contour lines to display (NCONT).

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Plot Results>Contour Plot>2D Flux Lines
Utility Menu>Plot>Results>Flux Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLETAB 		Up / Home Next
PLHFFAR


PLHFFAR

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLHFFAR, Opt, Lab, PHI1, PHI2, NPHI, THETA1, THETA2, NTHETA, RADZ

Displays electric far fields and far field parameters.

POST1: Special Purpose

MP <> <> <> <> <> <> <> <> EH <> PP <>

Opt

Display option:

EF
 —

Electric far field.

RCS
 —

Radar cross section.

RCSN
 —

Normalized radar cross section.

PATT
 —

Antenna radiation pattern.

DGAIN
 —

Antenna directive gain.

Lab

As shown below, data entered in the Lab field will vary, depending on the display option (Opt).

Valid Lab Data Labels

Opt Lab
EF

SUM -- Magnitude of electric field (default)

PHI -- Φ component of electric field in spherical coordinate system

THET -- θ component of electric field in spherical coordinate system

X -- x component of electric field in Cartesian coordinate system

Y -- y component of electric field in Cartesian coordinate system

Z -- z component of electric field in Cartesian coordinate system

RCS and RCSN

NONE -- Radar echo area (default)

PP -- Phi-Phi polarization

PT -- Phi-Theta polarization

TP -- Theta-Phi polarization

TT -- Theta-Theta polarization

TE2D -- 2-D TE incident plane wave

TM2D -- 2-D TM incident plane wave

PATT

RECT -- Cartesian coordinate system plot (default)

POLAR -- Polar coordinate system plot

DGAIN

RECT -- Cartesian coordinate system plot (default)

POLAR -- Polar coordinate system plot

PHI1, PHI2

Starting and ending φ angles (degrees) in the spherical coordinate system. Defaults to 0.

NPHI

Number of divisions between the starting and ending φ angles for data computations. Defaults to 0.

THETA1, THETA2

Starting and ending θ angles (degrees) in the spherical coordinate system. Defaults to 0.

NTHETA

Number of divisions between the starting and ending θ angles for data computations. Defaults to 0.

RADZ

Used only with Opt = EF or Opt = RCS or RCSN and Lab = TE2D or TM2D. For Opt = FE, RADZ = radius of the far field. For Opt = RCS or RCSN and Lab = TE2D or TM2D, RADZ = thickness of the 3-D model in the z direction. Defaults to 1.

Notes

PLHFFAR displays electric far field and far field parameters as determined by the equivalent source principle. Use this command to display electric far field, radar cross section, antenna radiation pattern, or antenna directive gain.

See Spherical Coordinates in the High-Frequency Electromagnetic Analysis Guide.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Plot Results>Field Extension>Direct Gain
Main Menu>General Postproc>Plot Results>Field Extension>Far Field
Main Menu>General Postproc>Plot Results>Field Extension>Pattern
Main Menu>General Postproc>Plot Results>Field Extension>RCS
Main Menu>General Postproc>Plot Results>Field Extension>RCS Normalized

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLF2D 		Up / Home Next
PLLS


PLLS

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLLS, LabI, LabJ, Fact, KUND

Displays element table items as contoured areas along elements.

POST1: Element Table

MP ME ST PR PRN <> <> <> <> <> <> PP <>

LabI

Label of element table item [ETABLE] for node I magnitude.

LabJ

Label of element table item for node J magnitude.

Fact

Scale factor for display (defaults to 1). A negative scaling factor may be used to invert the display.

KUND

Undisplaced shape key:

0
—

Display selected items on undeformed shape.

1
—

Display selected items on deformed shape.

Notes

Displays selected items (e.g., shears and moments) as a contoured area (trapezoid) display along line elements and 2-D axisymmetric shell elements (e.g., shear and moment diagrams). Three sides of the trapezoid are formed by the element (one side) and lines at nodes I and J of length proportional to the item magnitude and displayed normal to the element and the viewing direction (the two parallel sides).

Portions of this command are not supported by PowerGraphics [/GRAPHICS,POWER].

Menu Paths

Main Menu>General Postproc>Plot Results>Contour Plot>Line Elem Res

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLHFFAR 		Up / Home Next
PLNSOL


PLNSOL

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLNSOL, Item, Comp, KUND, Fact, FileID

Displays results as continuous contours.

POST1: Results

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Item

Label identifying the item. Valid item labels are shown in PLNSOL - Valid Item and Component Labels below. Some items also require a component label.

Comp

Component of the item (if required). Valid component labels are shown in PLNSOL - Valid Item and Component Labels below.

KUND

Undisplaced shape key:

0
 —

Do not overlay undeformed structure display

1
 —

Overlay displaced contour plot with undeformed display (appearance is system-dependent)

2
 —

Overlay displaced contour plot with undeformed edge display (appearance is system-dependent)

Fact

Scale factor for 2-D display for contact items. Default value is 1. A negative scaling factor may be used to invert the display.

FileID

The file index number (obtained via the NLDIAG,NRRE,ON command). Valid only for Item = NRRE.

Notes

Displays the solution results as continuous contours across element boundaries for the selected nodes and elements. For example, PLNSOL,S,X displays the X component of stress S (that is, the SX stress component). Various element results depend upon the recalculation method and the selected results location [AVPRIN, RSYS, LAYER, SHELL, and NSEL]. Contours are determined by linear interpolation within each element from the nodal values, which are averaged at a node whenever two or more elements connect to the same node (except for FMAG, which is summed at the node).

For PowerGraphics displays [/GRAPHICS,POWER], results are plotted only for the model exterior surface. The items marked with [2] are not supported by PowerGraphics. To plot midside nodes, you must first issue /EFACET,2.

PLNSOL - Valid Item and Component Labels

Item | Comp | Description
Valid item and component labels for nodal degree of freedom results are:
U | X, Y, Z, SUM | X, Y, or Z structural displacement or vector sum
ROT | X, Y, Z, SUM | X, Y, or Z structural rotation or vector sum
TEMP[1] | Temperature
PRES | Pressure
VOLT | Electric potential
MAG | Magnetic scalar potential
V X, Y, Z, SUM
X, Y, or Z fluid velocity or vector sum in a fluid analysis, or
X, Y, or Z velocity or vector sum in an ANSYS LS-DYNA analysis.
A X, Y, Z, SUM
X, Y, or Z magnetic vector potential or vector sum in an electromagnetic analysis, or
X, Y, or Z acceleration or vector sum in an ANSYS LS-DYNA analysis.
VEL | X, Y, Z, SUM | X, Y, or Z velocity or vector sum in a structural transient dynamic analysis (ANTYPE,TRANS).
ACC | X, Y, Z, SUM | X, Y, or Z acceleration or vector sum in a structural transient dynamic analysis (ANTYPE,TRANS).
OMG | X, Y, Z, SUM | X, Y, or Z rotational velocity or vector sum in a structural transient dynamic analysis (ANTYPE,TRANS).
DMG | X, Y, Z, SUM | X, Y, or Z rotational acceleration or vector sum in a structural transient dynamic analysis (ANTYPE,TRANS).
ENKE | Turbulent kinetic energy (FLOTRAN)
ENDS | Turbulent energy dissipation (FLOTRAN)
SP0n | Mass fraction of species n, where n = 1 to 6 (FLOTRAN). If a species is given a user-defined name [MSSPEC], use that name instead of n.
WARP | Warping
NRRE | FX, FY, FZ, FNRM, MX, MY, MZ, MNRM | Plot the Newton-Raphson residuals from the file you obtained via the NLDIAG,NRRE,ON command. The FNRM and MNRM labels are computed as the square root of the sum of the squares of the residual component forces or moments (FX,FY,FZ, MX, MY, MZ). [6]
When KUND = 0, use the absolute value of the residual from the files (default).
Valid item and component labels for element results are:
S | X, Y, Z, XY, YZ, XZ | Component stress
" 1, 2, 3 Principal stress
" INT Stress intensity
" EQV Equivalent stress
" MAXF Maximum Stress Failure Criteria [2][7]
" TWSI Tsai-Wu Strength Index Failure Criterion [2][7]
" TWSR Inverse of Tsai-Wu Strength Ratio Index Failure Criterion [2][7]
EPEL | X, Y, Z, XY, YZ, XZ | Component elastic strain
" 1, 2, 3 Principal elastic strain
" INT Elastic strain intensity
" EQV Elastic equivalent strain
" MAXF Maximum Strain Failure Criteria [2][7]
EPTH | X, Y, Z, XY, YZ, XZ | Component thermal strain
" 1, 2, 3 Principal thermal strain
" INT Thermal strain intensity
" EQV Thermal equivalent strain
EPPL | X, Y, Z, XY, YZ, XZ | Component plastic strain [3]
" 1, 2, 3 Principal plastic strain [3]
" INT Plastic strain intensity [3]
" EQV Plastic equivalent strain [3]
EPCR | X, Y, Z, XY, YZ, XZ | Component creep strain
" 1, 2, 3 Principal creep strain
" INT Creep strain intensity
" EQV Creep equivalent strain
EPSW | Swelling strain
EPTO | X, Y, Z, XY, YZ, XZ | Component total mechanical strain (EPEL + EPPL + EPCR)
" 1, 2, 3 Principal total mechanical strain
" INT Total mechanical strain intensity
" EQV Total mechanical equivalent strain
EPTT | X, Y, Z, XY, YZ, XZ | Component total mechanical and thermal strain (EPEL + EPPL + EPCR + EPTH)
" 1, 2, 3 Principal total mechanical and thermal strain
" INT Total mechanical and thermal strain intensity
" EQV Total mechanical and thermal equivalent strain
NL | SEPL | Equivalent stress (from stress-strain curve)
" SRAT Stress state ratio
" HPRES Hydrostatic pressure
" EPEQ Accumulated equivalent plastic strain [3]
" CREQ Accumulated equivalent creep strain
" PSV Plastic state variable
" PLWK Plastic work/volume
SEND | ELASTIC | Elastic strain energy density
" PLASTIC Plastic strain energy density [3]
" CREEP Creep strain energy density
FAIL | MAX | Maximum of all failure criterion defined for this node [2][7]
" EMAX Maximum Strain Failure Criterion [2][7]
" SMAX Maximum Stress Failure Criterion [2][7]
" TWSI Tsai-Wu Strength Index Failure Criterion [2][7]
" TWSR Inverse of Tsai-Wu Strength Ratio Index Failure Criterion [2][7]
" USR1, USR2, ..., USR6 User-defined failure criteria [2][7]
SVAR | 1, 2, 3, ... N | State variable [2]
GKS | X, XY, XZ | Gasket component stress
GKD | X, XY, XZ | Gasket component total closure
GKDI | X, XY, XZ | Gasket component total inelastic closure
GKTH | X, XY, XZ | Gasket component thermal closure
SS | X, XY, XZ | Interface traction (stress)
SD | X, XY, XZ | Interface separation
For contact results PowerGraphics is applicable for 3-D models only.
CONT[4] STAT[5] Contact status:
3-closed and sticking
2-closed and sliding
1-open but near contact
0-open and not near contact
" PENE Contact penetration
" PRES Contact pressure
" SFRIC Contact friction stress
" STOT Contact total stress (pressure plus friction)
" SLIDE Contact sliding distance
" GAP Contact gap distance
" FLUX Total heat flux at contact surface
“ CNOS Total number of contact status changes during substep.
TG | X, Y, Z, SUM | Component thermal gradient or vector sum
TF | X, Y, Z, SUM | Component thermal flux or vector sum
PG | X, Y, Z, SUM | Component pressure gradient or vector sum
EF | X, Y, Z, SUM | Component electric field or vector sum
D | X, Y, Z, SUM | Component electric flux density or vector sum
H | X, Y, Z, SUM | Component magnetic field intensity or vector sum
B | X, Y, Z, SUM | Component magnetic flux density or vector sum
FMAG | X, Y, Z, SUM | Component magnetic force or vector sum [2].
JC | X, Y, Z, SUM | Conduction current density for elements that support conduction current calculation. Components (X, Y, Z) and vector sum (SUM). [2].
BFE | TEMP | Body temperatures (calculated from applied temperatures) as used in solution (area and volume elements only).
TOPO | Densities used for topological optimization. This applies to nodes attached to the following types of elements: PLANE82, SOLID92, SHELL93, SOLID95.
Valid item labels for FLOTRAN nodal results are:
TTOT | Total temperature
HFLU | Heat flux
HFLM | Heat transfer (film) coefficient
COND | Fluid laminar conductivity
PCOE | Pressure coefficient
PTOT | Total (stagnation) pressure
MACH | Mach number
STRM | Stream function (2-D applications only)
DENS | Fluid density
VISC | Fluid laminar viscosity
SPHT | Specific heat [2]
EVIS | Fluid effective viscosity
CMUV | Turbulent viscosity coefficient
ECON | Fluid effective conductivity
YPLU | Y+, a turbulent law of the wall parameter
TAUW | Shear stress at the wall
SFTS | Surface tension coefficient
LMDn | Laminar mass diffusion coefficient for species n, where n = 1 to 6
EMDn | Effective mass diffusion coefficient for species n, where n = 1 to 6
RDFL | Radiation heat flux [2]

  1. For SHELL131 and SHELL132 elements with KEYOPT(3) = 0 or 1, use the labels TBOT, TE2, TE3, . . ., TTOP instead of TEMP to view the individual temperature degree of freedom. When other thermal elements are included in the model, they should be unselected to avoid plotting undefined information. To view all temperatures in the same plot, set /ESHAPE,1 and /GRAPHICS,POWER and issue PLNSOL,TEMP.

  2. Not supported by PowerGraphics

  3. For BEAM188 and BEAM189 elements, nodal plastic strain results are not available.

  4. For the CONT items for elements CONTA171 through CONTA177, the reported data is averaged across the element.

  5. Status notation is for all contact elements except CONTAC12 and CONTAC52. If you are using these elements, check the output listing in the corresponding element documentation.

  6. When plotting Newton-Raphson residual items (Item = NRRE) from a file on the deformed geometry, the displacements are based on the current set of results in the database. These displacements may not correspond to the loadstep and substep in the .nrxxxxx file. For more information about .nrxxxxx files and nonlinear diagnostics postprocessing, see the description of the NLDPOST command and Performing Nonlinear Diagnostics.

  7. Works only if FC command information is provided.

Menu Paths

Main Menu>Drop Test>Animate Results
Main Menu>General Postproc>Plot Results>Contour Plot>Nodal Solu
Utility Menu>Plot>Results>Contour Plot>Nodal Solution
Utility Menu>PlotCtrls>Animate>Animate Over Results
Utility Menu>PlotCtrls>Animate>Animate Over Time
Utility Menu>PlotCtrls>Animate>Deformed Results
Utility Menu>PlotCtrls>Animate>Dynamic Results
Utility Menu>PlotCtrls>Animate>Isosurfaces
Utility Menu>PlotCtrls>Animate>Mode Shape
Utility Menu>PlotCtrls>Animate>Q-Slice Contours
Utility Menu>PlotCtrls>Animate>Time-harmonic

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLLS 		Up / Home Next
/PLOPTS


/PLOPTS

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

/PLOPTS, Label, KEY

Controls graphics options on subsequent displays.

GRAPHICS: Labeling

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Label

Apply display items as selected from the following labels:

INFO
 —

Controls the display of the legend (ON or OFF) and allows the choice of preset or Multi-legend placement. Control is provided by the KEY values. (Defaults to KEY=3 when the GUI is on. Defaults to KEY= 2 otherwise.)

LEG1
 —

Header portion of legend column (defaults to ON).

LEG2
 —

View portion of legend column (defaults to ON (except off with contour displays)).

LEG3
 —

View the contour section of the legend column (defaults to ON).

FRAME
 —

Frame border lines around windows (defaults to ON).

TITLE
 —

Title (bottom left text) (defaults to ON).

MINM
 —

Min-Max symbols on contour displays (defaults to ON).

LOGO
 —

ANSYS logo (defaults to OFF (displayed as text at top of legend column)). If KEY = ON, the text is removed from legend column but the logo symbol is displayed in whichever active window is either in the uppermost right corner and on top, or if there is no window in that location, then in the window to the furthest right of the screen. Version information remains in the legend column.

WINS
 —

Controls whether graphics windows automatically stretch or shrink to adjust to screen size as the legend column is turned off or on [/PLOPTS,INFO] (defaults to ON). If WINS is on and the legend column is changed from off to on, all windows are shrunk regardless of what their correct size is.

WP
 —

Working plane (defaults to OFF). The working plane is drawn as part of the display (not just an overlaid image as in WPSTYL). This option is best used in combination with a hidden-line technique [/TYPE].

DATE
 —

Controls the display of the date and time in your legend. Subsequent KEY values control the display as follows:

Off or 0 - No date or time displays are included in your legend.
1 - Only the date is shown.
2 (default) - both the date and time are shown.

FILE
 —

Controls the display of the ANSYS jobname in your legend. Subsequent KEY values control the display as follows:

Off or 0 (default) - The ANSYS jobname is NOT included in your legend.
On or 1 - The ANSYS jobname is included in your legend.

KEY

Switch:

OFF or 0
 —

Do not apply this display item. For Label = DATE, no time or date are displayed.

ON or 1
 —

Apply this display item. For Label = DATE, show only the date.

AUTO or 2
 —

For Label = INFO, initiate Auto-legend mode. If the display has contours, the legend is ON; if the display has no contours, the legend is OFF. For Label = DATE, display both the date and time.

3
 —

For Label = INFO , switch to Multi-legend mode. See the /UDOC command for the available legend configurations.

Command Default

See individual label defaults.

The Multi-legend mode (/PLOPTS,INFO,3) is the default for contour legend displays.

Notes

Use /PLOPTS,STAT to display settings. Use /PLOPTS,DEFA to reset all specifications back to their defaults.

When you perform multiple results displays, contours on the legend column may be truncated. To avoid this, specify /PLOPTS,LEG1,0.

The Multi-legend mode provides a number of legend data item priority and placement options. These options are accessed via the GUI at Utility Menu> PlotCtrls> Window Controls> Window Options. The /UDOC command provides command line options for this capability.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Window Controls>Reset Window Options
Utility Menu>PlotCtrls>Window Controls>Window Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLNSOL 		Up / Home Next
PLORB


PLORB

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLORB

Displays the orbital motion of a rotating structure

POST1: Results

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Notes

When a structure is rotating and the Coriolis or gyroscopic effect is taken into account (CORIOLIS), nodes lying on the rotation axis generally exhibit an elliptical orbital motion. The PLORB command displays the orbit of each rotating node as well as the deformed shape at time t = 0 (the real part of the solution).

To print the characteristics of the orbital path traversed by each node, issue the PRORB command.

The PLORB command is valid for the following line elements: BEAM4, PIPE16, BEAM188, and BEAM189. Your model must also involve a rotational velocity (OMEGA or CMOMEGA) with Coriolis enabled in a stationary reference frame (CORIOLIS,,,,RefFrame = ON).

The coordinate system for displaying nodal results must be global Cartesian (RSYS,KCN = 0).

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/PLOPTS 		Up / Home Next
PLOT


PLOT

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLOT, NSTRT, NEND, NINC

Forms a display.

DISPLAY: Action

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NSTRT, NEND, NINC

Display plots sequentially from number NSTRT to NEND in steps of NINC. NSTRT defaults to the next plot. NEND defaults to NSTRT. NINC defaults to 1. If NSTRT = ALL, display all plots from the beginning of the file. If NEND = ALL, display to the end of the file.

Notes

Output will be to the terminal or to a file, depending on the driver [/SHOWDISP]. The INTERLEAF and DUMP drivers produce an output file for each plot named INTLnn and DUMPnn, with nn sequentially ranging from 00 to 99. A blank line after the PLOT command causes the next plot to be formed.

Menu Paths

It is part of the DISPLAY command.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLORB 		Up / Home Next
PLOTTING


PLOTTING

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLOTTING

Specifies "Plotting settings" as the subsequent status topic.

POST26: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>TimeHist Postproc>Plot

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLOT 		Up / Home Next
PLPAGM


PLPAGM

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLPAGM, Item, Gscale, Nopt

Displays path items along the path geometry.

POST1: Path Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Item

The path data item to be displayed on the currently active path (defined by the PATH command). Valid path items are those defined with the PDEF or HFNEAR commands.

Gscale

Scale factor for the offset from the path for the path data item displays. Defaults to 1.0.

Nopt

Determines how data is displayed:

(blank)
—

Do not display nodes, and scale the display based on the currently selected node set (default).

NODE
—

Display path item data along with the currently selected set of nodes. The display geometry is scaled to the selected node set.

Notes

You can use the Gscale argument to scale the contour display offset from the path for clarity. You need to type all six characters to issue this command.

Menu Paths

Main Menu>General Postproc>Path Operations>Plot Path Item>On Geometry
Main Menu>General Postproc>Plot Results>Plot Path Item>On Geometry

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLOTTING 		Up / Home Next
PLPATH


PLPATH

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLPATH, Lab1, Lab2, Lab3, Lab4, Lab5, Lab6

Displays path items on a graph.

POST1: Path Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab1, Lab2, Lab3, . . . , Lab6

Labels identifying the path items to be displayed. Up to six items may be drawn per frame. Predefined path geometry items XG, YG, ZG, and S [PDEF] may also be displayed.

Notes

The path must have been defined by the PATH and PPATH commands. Path items and their labels must have been defined with the PDEF, HFNEAR, PVECT, PCALC, PDOT, and PCROSS commands. Path items may also be printed with the PRPATH command. Graph scaling may be controlled with the /XRANGE, /YRANGE, and PRANGE commands. You need to type all six characters to issue this command.

Menu Paths

Main Menu>General Postproc>Path Operations>Plot Path Item>On Graph
Main Menu>General Postproc>Plot Results>Plot Path Item>On Graph
Utility Menu>Plot>Results>Path Plot

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLPAGM 		Up / Home Next
PLSCH


PLSCH

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLSCH, Fname, Ext, Lab, Port

Converts and plots scattering, admittance, or impedance parameters on a Smith chart.

POST1: Special Purpose

MP <> <> <> <> <> <> <> <> EH <> PP <>

Fname

File name and directory path of a Touchstone file (248 characters maximum, including the characters needed for the directory path). A Touchstone file may be created in ANSYS by performing a frequency sweep using the SPSWP command macro, or may it be supplied from another source. An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

Ext

Filename extension (8 character maximum).

Lab

Output parameter:

S
—

Scattering parameter (default)

Y
—

Admittance parameter

Z
—

Impedance parameter

Port

Port number. Defaults to 1.

Notes

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Plot Results>Smith Chart

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLPATH 		Up / Home Next
PLSECT


PLSECT

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLSECT, Item, Comp, RHO, KBR

Displays membrane and membrane-plus-bending linearized stresses.

POST1: Path Operations

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Item

Label identifying the item to be processed. Valid item labels are shown in PLSECT - Valid Item and Component Labels below. Items also require a component label.

Comp

Component of the item. Valid component labels are shown in PLSECT - Valid Item and Component Labels below.

RHO

In-plane (X-Y) average radius of curvature of the inside and outside surfaces of an axisymmetric section. If zero (or blank), a plane or 3-D structure is assumed. If nonzero, an axisymmetric structure is assumed. Use a very large number (or -1) for an axisymmetric straight section.

KBR

Through-thickness bending stresses key for an axisymmetric analysis (RHO ≠ 0):

0
 —

Include the thickness-direction bending stresses.

1
 —

Ignore the thickness-direction bending stresses.

2
 —

Include the thickness-direction bending stress using the same formula as the Y (axial direction ) bending stress. Also use the same formula for the shear stress.

Notes

Calculates and displays the membrane and membrane-plus-bending linearized stresses (as described for the PRSECT command) along a path section [PATH] as a graph. The path section is defined by two points specified with the PPATH command. For linearized stress calculations, the path must be defined with nodes. The path must be entirely within the selected elements (that is, there must not be any element gaps along the path). The total stress (equivalent to the PLPATH display) is also displayed. This command always uses 48 divisions along the path, regardless of the number of divisions defined by PATH.

Portions of this command are not supported by PowerGraphics [/GRAPHICS,POWER].

PLSECT - Valid Item and Component Labels

Item | Comp | Description
Valid item and component labels for element results are:
S | X, Y, Z, XY, YZ, XZ | Component stress.
" | 1, 2, 3 | Principal stress.
" | INT, EQV | Stress intensity or equivalent stress.

Menu Paths

Main Menu>General Postproc>Path Operations>Linearized Strs
Main Menu>General Postproc>Plot Results>Plot Path Item>Lineariz Strs

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLSCH 		Up / Home Next
PLSYZ


PLSYZ

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLSYZ, Fname, Ext, Lab, Opt, VAL_I1, VAL_J1, VAL_I2, VAL_J2, VAL_I3, VAL_J3, VAL_I4, VAL_J4

Converts and plots network parameters versus frequency or plots losses versus frequency.

POST1: Special Purpose

MP <> <> <> <> <> <> <> <> EH <> PP <>

Fname

File name and directory path of a Touchstone file (248 characters maximum, including the characters needed for the directory path). A Touchstone file may be created in ANSYS by performing a frequency sweep using the SPSWP command macro, or may it be supplied from another source. An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name. Fname is only used for network parameters (Lab = S, Y, or Z).

Ext

Extension of Touchstone file (.snp where n is the number of ports). Ext is only used for network parameters (Lab = S, Y, or Z).

Lab

S
—

Scattering parameter (default)

Y
—

Admittance parameter

Z
—

Impedance parameter

REFL
 —

Reflection loss

INSL
—

Insertion loss

ISOL
—

Isolation loss

VSWR
—

Voltage standing wave ratio

Opt

For Lab = S, Y, or Z, format of Touchstone file:

MAG
—

Magnitude (default)

ANG
—

Angle

DB
—

Magnitude in dB units. Only available for scattering parameters (Lab = S).

REAL
—

Real part of the parameter

IMAG
—

Imaginary part of the parameter

For Lab = REFL, INSL, or ISOL, DB (magnitude in dB units) is the only available option. For Lab = VSWR, MAG (mangitude) is the only available option.

VAL_I1

For Lab = S, Y, or Z, index I of first parameter plotted. For example, SIJ. Defaults to 1.

For Lab = REFL, INSL, ISOL, or VSWR, output port number.

VAL_J1

For Lab = S, Y, or Z, index J of first parameter plotted. For example, SIJ. Defaults to 1.

For Lab = REFL, INSL, ISOL, or VSWR, input port number.

VAL_I2, VAL_J2, VAL_I3, VAL_J3, VAL_I4, VAL_J4

For Lab = S, Y, or Z, index I and J of second, third, and fourth parameters plotted. For example, SIJ. No default.

For Lab = REFL, INSL, ISOL, or VSWR, VAL_I2 through VAL_J4 are not used.

Notes

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Plot Results>S,Y,Z Parameters

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLSECT 		Up / Home Next
PLTD


PLTD

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLTD, Fname, Ext, Lab, Opt, Vkey, NFFT, TSTART, TRISE, PORTI1, PORTJ1, PORTI2, PORTJ2, PORTI3, PORTJ3, PORTI4, PORTJ4

Displays TDR/TDT waveforms, an impedance profile, or a total waveform.

POST1: Special Purpose

MP <> <> <> <> <> <> <> <> EH <> PP <>

Fname

A Touchstone file containing the S-parameters of a n-port system.

Ext

Extension of the n-port Touchstone file.

Lab

Display type:

SPAR
—

Display TDR and TDT waveforms.

IMPD
—

Display impedance profile.

TDWF
—

Display total waveform.

Opt

Excitation source:

STEP
—

Step-like source (default).

IMPU
—

Gaussian impulse.

Vkey

Control key:

Off
 —

No display of the source waveform (default).

On
 —

Display the source waveform.

NFFT

Number of interpolation points for Fast Fourier Transformation. It must be an integer power of 2. NFTT must be greater than or equal to 256 and less than or equal to 4096. Defaults to 512.

TSTART

Source beginning time in seconds. Defaults to 0.

TRISE

Source rise time. For a step-like source, it is the time from 10% of the rise to 90% of the rise. For a Gaussian impulse, it is the time from 50% of the rise to 50% of the rise. The rise time must be greater than or equal to 5 time steps. If the TRISE input is less than 5 time steps, it is changed to 5 time steps. Defaults to 5 time steps.

PORTI1

Driven port number. Defaults to 1.

PORTJ1

Output port number. Defaults to 1.

PORTI2

Driven port number. No default.

PORTJ2

Output port number. No default.

PORTI3

Driven port number. No default.

PORTJ3

Output port number. No default.

PORTI4

Driven port number. No default.

PORTJ4

Output port number. No default.

Notes

The time step is given by dt = 1/(2fmax) where fmax is the maximum frequency.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLSYZ 		Up / Home Next
PLTIME


PLTIME

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLTIME, TMIN, TMAX

Defines the time range for which data are to be displayed.

POST26: Display

MP ME ST PR PRN <> <> FL EM <> <> PP <>

TMIN

Minimum time (defaults to the first point stored).

TMAX

Maximum time (defaults to the last point stored).

Command Default

Use the previously defined range [TIMERANGE].

Notes

Defines the time (or frequency) range (within the range stored) for which data are to be displayed. Time is always displayed in the Z-axis direction for 3-D graph displays. If XVAR = 1, time is also displayed in the X-axis direction and this control also sets the abscissa scale range.

Menu Paths

Main Menu>TimeHist Postpro>Settings>Graph

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLTD 		Up / Home Next
PLTRAC


PLTRAC

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLTRAC, Analopt, Item, Comp, TRPNum, Name, MXLOOP, TOLER, OPTION, ESCL, MSCL

Displays a particle flow or charged particle trace on an element display.

POST1: Trace Points

MP <> <> <> <> <> <> FL EM <> <> PP <>

Analopt

Analysis option

FLUID
 —

Particle trace in fluid flow (default)

ELEC
 —

Particle trace in electric field

MAGN
 —

Particle trace in magnetic field

EMAG
 —

Particle trace in presence of both electric and magnetic fields

Item

Label identifying the item to be contoured. Valid item labels are shown in PLTRAC - Valid Item and Component Labels below. Some items also require a component label. If Item is blank, display only the path trajectory.

Comp

Component of the item (if required). Valid component labels are shown in PLTRAC - Valid Item and Component Labels below.

TRPNum

Trace point number for storing trajectory data for use with PATH logic. Defaults to 0 (no trajectory path data is stored for further processing with PATH logic).

Name

Name of prefix of array variable. Defaults to TRAC. NamePOIN stores trajectory path points for trace point number TRPNum. If Analopt = ELEC, MAGN, or EMAG, two additional array parameters, NameDATA and NameLABL, store trajectory path data and labels for the same TRPNum.

MXLOOP

Maximum number of loops traced by a particle. Defaults to 25 for Opt = FLUID; otherwise, defaults to 1000.

TOLER

Length tolerance used for particle trajectory geometry calculation. Valid only for Analopt = ELEC, MAGN, or EMAG. If particle trace appears to terminate inside an element, adjusting the length tolerance may be necessary. Defaults to 1.0 x 10-8.

OPTION

Flow trace option:

0
 —

Use the undeformed mesh for computing the flow trace.

1
 —

Use the deformed mesh for computing the flow trace.

ESCL

Electric field scale factor. Setting this scale factor affects only the tracing, not the field solution results. A negative factor corresponds to the opposite vector direction. Valid only for Analopt = ELEC or EMAG. Defaults to 1.

MSCL

Magnetic field scale factor. Setting this scale factor affects only the tracing, not the field solution results. A negative factor corresponds to the opposite vector direction. Valid only for Analopt = MAGN or EMAG. Defaults to 1.

Notes

For a specified item, the variation of the item is displayed along the particle trace as a color-contoured ribbon. The TRPOIN command must be used to define a point on the trajectory path. Multiple traces may be displayed simultaneously by defining multiple trace points. Issue the TRPLIS command to list the current tracing points. Issue the TRPDEL command to delete tracing points defined earlier. Use the PAPUT command with the POIN option to retrieve the particle trajectory points as path points.

The model must be 3-D for the ELEC, MAGN, and EMAG analysis options.

Three array parameters are created at the time of the particle trace: TRACPOIN, TRACDATA and TRACLABL. These array parameters can be used to put the particle velocity and the elapsed time into path form. The procedure to put the arrays into a path named PATHNAME is as follows:

*get,npts,PARM,TRACPOIN,DIM,x
PATH,PATHNAME,npts,9,1
PAPUT,TRACPOIN,POINTS
PAPUT,TRACDATA,TABLES
PAPUT,TRACLABL,LABELS
PRPATH,S,T_TRACE,VX_TRACE,VY_TRACE,VZ_TRACE,VS_TRACE

Not used if Analopt = FLUID. If working in the GUI, use the "All information" option to retrieve information from all three arrays at once.

If OPTION is set to 1, the deformed mesh is based on the displacement degrees of freedom UX, UY, and UZ, which must be available in the load step.

PLTRAC - Valid Item and Component Labels

Item | Comp | Description
Valid item and component labels for nodal degree of freedom results are:
TEMP |  | Temperature.
PRES |  | Pressure.
V | X, Y, Z, SUM | X, Y, or Z fluid velocity or vector sum.
ENKE |  | Turbulent kinetic energy.
ENDS |  | Turbulent energy dissipation.
Valid item and component labels for FLOTRAN nodal results are:
TTOT |  | Total temperature.
COND |  | Fluid laminar conductivity.
PCOE |  | Pressure coefficient.
PTOT |  | Total (stagnation) pressure.
MACH |  | Mach number.
STRM |  | Stream function. (2-D applications only.)
DENS |  | Fluid density.
VISC |  | Fluid laminar viscosity.
SPHT |  | Specific heat.
EVIS |  | Fluid effective viscosity.
CMUV |  | Turbulent viscosity coefficient.
ECON |  | Fluid effective conductivity.
Valid item labels for Analopt = ELEC nodal results are:
VOLT |  | Electric potential.
Valid item labels for Analopt = MAGN or EMAG nodal results are:
None |  | Color contour displayed.

See the Basic Analysis Guide for more information on particle flow and charged particle traces. See Animation in the Basic Analysis Guide for information on particle trace animation.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Plot Results>Particle Trace
Main Menu>General Postproc>Plot Results>Plot Flow Tra
Utility Menu>Plot>Results>Flow Trace
Utility Menu>PlotCtrls>Animate>Particle Flow

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLTIME 		Up / Home Next
PLVAR


PLVAR

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLVAR, NVAR1, NVAR2, NVAR3, NVAR4, NVAR5, NVAR6, NVAR7, NVAR8, NVAR9, NVAR10

Displays up to ten variables in the form of a graph.

POST26: Display

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NVAR1, NVAR2, NVAR3, . . . , NVAR10

Variables to be displayed, defined either by the reference number or a unique thirty-two character name. If duplicate names are used the command will plot the data for the lowest-numbered variable with that name.

Notes

Variables are displayed vs. variable N on the XVAR command. The string value will be a predefined, unique name. For complex variables, the amplitude is displayed by default [PLCPLX]. Each PLVAR command produces a new frame. See the /GRTYP command for displaying multiple variables in a single frame with separate Y-axes.

Menu Paths

Main Menu>TimeHist Postpro>Graph Variables

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLTRAC 		Up / Home Next
PLVAROPT


PLVAROPT

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLVAROPT, Lab1, Lab2, Lab3, Lab4, Lab5, Lab6, Lab7, Lab8, Lab9, Lab10

Displays up to ten parameters in the form of a graph.

OPTIMIZATION: Display

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab1, Lab2, Lab3, . . . , Lab10

Names of the parameters to be displayed on this frame.

Command Default

No display.

Notes

Displays up to ten parameters in the form of a graph. Parameters are displayed vs. Lab on the XVAROPT command (defaults to set number) in the order corresponding to an ascending order of the XVAROPT parameter. See the /GRTYP command for displaying multiple parameters in a single frame with separate Y-axes. Each PLVAROPT command produces a new frame.

Menu Paths

Main Menu>Design Opt>Design Sets>Graphs/Tables

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLVAR 		Up / Home Next
PLVECT


PLVECT

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLVECT, Item, Lab2, Lab3, LabP, Mode, Loc, Edge, KUND

Displays results as vectors.

POST1: Results

POST1: Element Table

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Item

Predefined vector item (from PLVECT - Valid Item Labels below) or a label identifying the i-component of a user-defined vector.

Lab2

Label identifying the j-component of a user-defined vector. In most cases, this value must be blank if Item is selected from PLVECT - Valid Item Labels. Individual principal stresses (Item = S) or principal strains (Item = EPxx) may be plotted by specifying the value as 1, 2, or 3.

Lab3

Label identifying the k-component of a user-defined vector. Must be blank if Item is selected from list below or for 2-D user defined vector.

LabP

Label assigned to resultant vector for display labeling (defaults to Item).

Mode

Vector or raster mode override key:

(blank)
 —

Use the setting of KEY on the /DEVICE command.

RAST
 —

Use raster mode for PLVECT displays.

VECT
 —

Use vector mode for PLVECT displays.

Loc

Vector location for display of field element results:

ELEM
 —

Display at element centroid (default).

NODE
 —

Display at element nodes.

Nodal results quantities will only be displayed at nodes, not at element centroids.

Edge

Edge display override key:

(blank)
 —

Use the setting of Key on the /EDGE command.

OFF
 —

Deactivate the edge display.

ON
 —

Activate the edge display.

KUND

Undisplaced shape key:

0
 —

Display vectors on undeformed mesh or geometry.

1
 —

Display vectors on deformed mesh or geometry.

Notes

Displays various solution results as vectors (arrows) for the selected nodes and/or elements (elements must contain at least three nodes that are not colinear). For example, PLVECT,U displays the displacement vector for all selected nodes. For section displays [/TYPE], the vectors are shown only on the section face (i.e., cutting plane). The PLVECT display of principal strains and stresses (Item = S, EPTO, EPEL, EPPL, EPCR, or EPTH) on a "cut" of the model (/TYPE,,1 ,5,7,8, or 9) is not supported. The resulting plot displays the vectors on all selected elements, not on just the sliced surface. See the /VSCALE command to scale vector lengths. Vector magnitudes may be shown as a contour display with the PLNSOL command. Various results also depend upon the recalculation method and the selected results location [LAYER, SHELL, and NSEL].

Items may be selected from a set of recognized vector labels (Item) or a vector may be defined from up to three scalar labels (Item,Lab2,Lab3). Scalar labels may be user-defined with the ETABLE command. The vectors appear on an element display as arrows showing the relative magnitude of the vector and its direction. The predefined items will be shown either at the node or at the element centroid, depending on what item is being displayed and depending on the Loc setting. User defined ETABLE items will be shown at the element centroid, regardless of the Loc setting. Stress vectors appear as arrows at the element centroid, with the arrowheads pointing away from each other for tension and toward each other for compression.

For PowerGraphics, vector arrow displays are generated in Global Cartesian (RSYS = 0). All subsequent displays will revert to your original coordinate system.

When vector mode is active (Mode = VECT), use the Z-buffered display type [/TYPE,,6] to maximize speed of PLVECT plots (other hidden display types may make plotting slow). For PowerGraphics [/GRAPHICS,POWER], the items marked with [1] are not supported by PowerGraphics.

It is possible to plot principal stresses (Item = S) or principal strains (Item = EPxx) individually. To do so, specify a Lab2 value of 1, 2, or 3. For example, the following are valid commands:

PLVECT,S,1,,,VECT,ELEM,ON,0
PLVECT,EPEL,3,,,VECT,NODE,ON,0

PLVECT - Valid Item Labels

Item | Description
Valid item labels for nodal degree of freedom vector results are:
U | Structural displacement vector.
ROT | Structural rotation vector.
V | Velocity vector.
A | Magnetic vector potential vector.
Valid item labels for structural element results are:
S | Principal stresses[1].
EPTO | Principal total strain (EPEL + EPPL + EPCR)[1].
EPEL | Principal elastic strains[1].
EPPL | Principal plastic strains[1].
EPCR | Principal creep strains[1].
EPTH | Principal thermal strains[1].
Valid item labels for field element results are:
TG | Thermal gradient vector.
TF | Thermal flux vector.
PG | Pressure gradient vector.
EF | Electric field vector.
D | Electric flux density vector.
H | Magnetic field intensity vector. If Lab2 is blank, then Item is interpreted as one of the predefined labels. Otherwise, Item is interpreted as a user-defined ET label and ANSYS will request a nonblank Lab2/Lab3 according to the dimension of the problem.
B | Magnetic flux density vector.
FMAG | Magnetic force vector.
P | Poynting vector.
JS | Source current density vector for low-frequency magnetic analyses. Total current density vector (sum of conduction and displacement current densities) in low frequency electric analyses.
JT | Total measureable current density vector in low-frequency electromagnetic analyses. (Conduction current density vector in a low-frequency electric analysis.)
JC | Conduction current density vector for elements that support conduction current calculation.

  1. Not supported by PowerGraphics

Menu Paths

Main Menu>General Postproc>Plot Results>Vector Plot>Predefined
Main Menu>General Postproc>Plot Results>Vector Plot>User-defined
Utility Menu>Plot>Results>Vector Plot
Utility Menu>PlotCtrls>Animate>Q-Slice Vectors

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLVAROPT 		Up / Home Next
PLVFRC


PLVFRC

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLVFRC, CONT

Displays volume fractions in a volume of fluid (VOF) analysis.

PREP7: FLOTRAN Miscellaneous

MP <> <> <> <> <> <> FL <> <> <> PP <>

CONT

Contour setting:

0
 —

Smooth plot with contour levels at 0.5 and 1.0 (default).

1
 —

Smooth plot with current settings of contour levels.

Notes

The PLVFRC command macro places the volume fraction results into an element table and then plots the element table data (i.e., ETABLE,VFRC,NMISC,1 and then PLETAB,VFRC,1). If CONT = 0 (default), the command macro issues the /CVAL,ALL,0.5,1.0 command before the ETABLE command. This means PLETAB uses contour levels of 0.5 and 1.0 to indicate the free surface and fluid regions. If CONT = 1, PLETAB uses the current contour settings.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Drop Test>Animate Results
Main Menu>General Postproc>Plot Results>Contour Plot>Volume Fraction
Utility Menu>PlotCtrls>Animate>Animate Over Results
Utility Menu>PlotCtrls>Animate>Animate Over Time
Utility Menu>PlotCtrls>Animate>Time-harmonic
Utility Menu>PlotCtrls>Multi-Plot Contrls

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLVECT 		Up / Home Next
PLWAVE


PLWAVE

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PLWAVE, Ex, Ey, Ez, AngX, AngZ

Specifies a free-space time-harmonic incident plane electromagnetic wave.

SOLUTION: Misc Loads

MP <> <> <> <> <> <> <> <> EH <> PP <>

Ex

Electric field amplitude in x direction.

Ey

Electric field amplitude in y direction.

Ez

Electric field amplitude in z direction.

AngX

Angle between incident wave vector and X-axis (Phi).

AngZ

Angle between incident wave vector and Z-axis (Theta).

Notes

Defines an incident plane wave for the entire solution domain. See Spherical Coordinates in the High-Frequency Electromagnetic Analysis Guide.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>Planewav0>Define Wave
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>Planewav0>Wave Status
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>Planewav0>Define Wave
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>Planewav0>Wave Status

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLVFRC 		Up / Home Next
PMAP


PMAP

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PMAP, FORM, DISCON

Creates mapping of the path geometry by defining path interpolation division points.

POST1: Path Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

FORM

Defines the mapping method:

UNIFORM
 —

Maps uniform divisions (specified on the nDiv argument of the PATH command) between specified points. This is the default.

ACCURATE
 —

Map geometry using a small division at the beginning and end of each segment. This gives you accurate derivatives, integrals, tangents, and normals for curves which do not have continuous slopes at the specified points. To create nonuniform divisions, the nDiv argument of the PATH command must be greater than 2.

DISCON

Sets mapping for discontinuities in the field. The divisions are modified to put a point just before and just after the discontinuity. The valid label is MAT, for a material discontinuity. No discontinuity is the default. Discontinuity mapping involves the NOAV option on the PDEF command.

Menu Paths

Main Menu>General Postproc>Path Operations>Define Path>Path Options
Main Menu>Preprocessor>Path Operations>Define Path>Path Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLWAVE 		Up / Home Next
PMETH


PMETH

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PMETH

Specifies "p-Method" as the subsequent status topic.

PREP7: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

This command is also valid in SOLUTION.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Utility Menu>List>Status>p-Method

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PMAP 		Up / Home Next
/PMETH


/PMETH

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

/PMETH, Key, OPTION

Activates the p-method solution options in the Graphical User Interface (GUI).

SOLUTION: p-Method

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Key

ON
—

Activates the p-method solution options.

OFF
—

Deactivates the p-method solution options (default).

STAT
—

Lists the current setting of Key.

OPTION

Activates discipline option if Key = ON.

0
—

Activates the structural p-method solution options (default).

1
—

Activates the electrostatic p-method solution options.

Command Default

The p-method solution options are hidden (not shown) in the GUI.

Notes

When this option is activated, only the options applicable to a p-method solution will be displayed in the GUI. This command is not required outside of the GUI.

Menu Paths

Main Menu>Preferences

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PMETH 		Up / Home Next
PMGTRAN


PMGTRAN

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PMGTRAN, Fname, FREQ, Fcnam1, Fcnam2, Pcnam1, Pcnam2, Ecnam1, Ccnam1

Summarizes electromagnetic results from a transient analysis.

POST26: Special Purpose

MP <> <> <> <> <> <> <> EM <> <> PP <>

Fname

File name (8 characters maximum) to which tabular data and plot files will be written. Must be enclosed in single quotes when the command is manually typed in. Defaults to MG_TRNS. The data file extension is .OUT and the plot file extension is .PLT.

FREQ

Frequency of solution output. Defaults to 1. Every FREQth solution on the results file is output.

Fcnam1, Fcnam2

Names of element components for force calculation. Must be enclosed in single quotes when the command is manually typed in.

Pcnam1, Pcnam2

Names of element components for power loss calculation. Must be enclosed in single quotes when the command is manually typed in.

Ecnam1, Ccnam1

Names of element components for energy and total current calculations, respectively. Must be enclosed in single quotes when the command is manually typed in.

Notes

PMGTRAN invokes an ANSYS macro which calculates and summarizes electromagnetic results from a transient analysis. The results are summarized by element components and listed on the screen as well as written to a file (Fname.OUT). Also, graph plots of results as a function of time are created and written to a file (Fname.PLT) for use in the DISPLAY program.

Two components may be selected for the summary of electromagnetic forces (see FMAGSUM), two for power loss, and one each for stored energy (see SENERGY) and total current (see CURR2D). See the referenced commands for other restrictions.

PMGTRAN is restricted to MKSA units.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>TimeHist Postpro>Elec&Mag>Magnetics

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/PMETH 		Up / Home Next
PMLOPT


PMLOPT

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PMLOPT, ESYS, Lab, Xminus, Xplus, Yminus, Yplus, Zminus, Zplus

Defines perfectly matched layers (PMLs) for a high-frequency analysis.

PREP7: Perfectly Matched Layers

MP <> <> <> <> <> <> <> <> EH <> PP <>

ESYS

Element coordinate system number. ESYS may be 0 (global Cartesian) or any previously defined local Cartesian coordinate system number (>10). Defaults to 0.

Lab

Label defining the number of dimensions:

ONE
 —

A one-dimensional PML region.

THREE
 —

A 3-D PML region (default).

Xminus

For harmonic analysis, normal reflection coefficient in negative X direction of ESYS. Defaults to 1.E−2.5 (equivalent to -50 dB).

Xplus

For harmonic analysis, normal reflection coefficient in positive X direction of ESYS. Defaults to 1.E−2.5 (equivalent to -50 dB).

Yminus

For harmonic analysis, normal reflection coefficient in negative Y direction of ESYS. Defaults to 1.E−2.5 (equivalent to -50 dB).

Yplus

For harmonic analysis, normal reflection coefficient in positive Y direction of ESYS. Defaults to 1.E−2.5 (equivalent to -50 dB).

Zminus

For harmonic analysis, normal reflection coefficient in negative Z direction of ESYS. Defaults to 1.E−2.5 (equivalent to -50 dB).

Zplus

For harmonic analysis, normal reflection coefficient in positive Z direction of ESYS. Defaults to 1.E−2.5 (equivalent to -50 dB).

Notes

PMLOPT defines perfectly matched layers (PML) for a high-frequency analysis. Each PML region must have a uniquely defined element coordinate system. Normal reflection coefficient values for a harmonic analysis must be less than 1.

Issue PMLOPT,STAT to list the current normal reflection coefficient or attenuation factor settings for a PML region. Issue PMLOPT,CLEAR to clear all normal reflection coefficient settings and restore them to the defaults. Issue PMLOPT,ESYS,CLEAR to clear all normal reflection coefficient settings for this element coordinate system and restore them to the defaults.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>PMLOpt>Clear
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>PMLOpt>Define
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>PMLOpt>Status
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Boundary>PMLOpt>All
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Boundary>PMLOpt>On ESYS
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>PMLOpt>Clear
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>PMLOpt>Define
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>PMLOpt>Status
Main Menu>Solution>Define Loads>Delete>Electric>Boundary>PMLOpt>All
Main Menu>Solution>Define Loads>Delete>Electric>Boundary>PMLOpt>On ESYS

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PMGTRAN 		Up / Home Next
PMLSIZE


PMLSIZE

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PMLSIZE, FREQB, FREQE, DMIN, DMAX, THICK, ANGLE

Determines number of PML layers.

PREP7: Perfectly Matched Layers

MP <> <> <> <> <> <> <> <> EH <> PP <>

FREQB

Minimum operating frequency

FREQE

Maximum operating frequency

DMIN

Minimum distance from radiation source to PML interface.

DMAX

Maximum distance from radiation source to PML interface.

THICK

Thickness of PML region. Defaults to 0.

ANGLE

Incident angle of wave to the PML interface. Defaults to 0.

Notes

PMLSIZE determines the number of PML layers for acceptable numerical accuracy.

PMLSIZE must be issued before any meshing commands. If the thickness of the PML region is known, it determines an element edge length (h) and issues ESIZE,h. If the thickness of the PML region is unknown, it determines the number of layers (n) and issues ESIZE,,n.

Menu Paths

Main Menu>Preprocessor>Meshing>Size Cntrls>PML

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PMLOPT 		Up / Home Next
PMOPTS


PMOPTS

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PMOPTS, TOLER

Defines percentage tolerance for a p-Method solution.

SOLUTION: p-Method

MP ME ST PR PRN <> <> FL EM <> <> PP <>

TOLER

Percentage tolerance used to determine which elements to fix at the current p-level. If an element's strain energy error is less than this tolerance its p-level will be fixed at the current level. Defaults to 5.

Command Default

Tolerance of 5% will be used.

Notes

Defines the p-level tolerance for p-method solutions (TOLER). The default value is satisfactory for most solutions.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>p-Method>Solution Options
Main Menu>Solution>Load Step Opts>p-Method>Solution Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PMLSIZE 		Up / Home Next
/PMORE


/PMORE

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

/PMORE, --, X5, Y5, X6, Y6, X7, Y7, X8, Y8

Creates an annotation polygon (GUI).

GRAPHICS: Annotation

MP ME ST PR PRN <> <> FL EM <> <> PP <>

--

Unused field.

X5

X location for vertex 5 of polygon (-1.0 < X < 2.0).

Y5

Y location for vertex 5 of polygon (-1.0 < Y < 1.0).

X6

X location for vertex 6 of polygon (-1.0 < X < 2.0).

Y6

Y location for vertex 6 of polygon (-1.0 < Y < 1.0).

X7

X location for vertex 7 of polygon (-1.0 < X < 2.0).

Y7

Y location for vertex 7 of polygon (-1.0 < Y < 1.0).

X8

X location for vertex 8 of polygon (-1.0 < X < 2.0).

Y8

Y location for vertex 8 of polygon (-1.0 < Y < 1.0).

Notes

Defines the 5th through 8th vertices of an annotation polygon [/POLYGON]. This is a command generated by the Graphical User Interface (GUI) and will appear in the log file (Jobname.LOG) if annotation is used. This command is not intended to be typed in directly in an ANSYS session (although it can be included in an input file for batch input or for use with the /INPUT command).

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Annotation>Create Annotation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PMOPTS 		Up / Home Next
PNGR


PNGR

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PNGR, Kywrd, OPT, VAL

Provides PNG file export for ANSYS displays.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Kywrd

Specifies various PNG file export options.

COMP
 —

If Kywrd = COMP, then OPT is either ON or OFF (blank is interpreted as OFF). This option allows you to turn PNG file compression ON or OFF. If OPT = ON, then The VAL field is read to determine the degree of compression. See the VALUE argument for acceptable compression values.

ORIENT
 —

If Kywrd = ORIENT, then OPT will determine the orientation of the entire plot. OPT can be either Horizontal (default) or Vertical.

COLOR
 —

If Kywrd = COLOR, then OPT will determine the color depth of the saved file. OPT can be 0, 1, or 2, corresponding to Black and White, Grayscale, and Color (default), respectively.

TMOD
 —

If Kywrd = TMOD, then OPT will determine the text method. OPT can be either 1 or 0, corresponding to bitmap text (default) or line stroke text, respectively.

DEFAULT
 —

If Kywrd = DEFAULT, then all of the default values, for all of the Kywrd parameters listed above, are active.

STAT
 —

Shows the current status of PNG file export.

OPT

OPT can have the following names or values, depending on the value for Kywrd (see above).

ON, OFF
 —

If Kywrd = COMP, the values On and Off control the use of compression. The degree of compression is determined by VAL

Horizontal, Vertical
 —

If Kywrd = ORIENT, the terms Horizontal or Vertical determine the orientation of the plot.

0,1,2
 —

If Kywrd = COLOR, the numbers 0, 1, and 2 correspond to Black and White, Grayscale and Color, respectively.

1,0
 —

If Kywrd = TMOD, the values 1 and 0 determine whether bitmap (1) or stroke text (0) fonts will be used

VAL

VAL is active only when Kywrd = COMP, and determines the degree of compression applied to the exported file (see above).

1
 —

Apply the default, optimum value for compression. This value represents the best combination of speed and compression. It varies according to the release level of the ZLIB compression package.

1-9
 —

Use this value to specify a specific compression level. 1 is the lowest compression level (fastest) and 9 is the highest compression level (slowest).

Menu Paths

Utility Menu>PlotCtrls>Redirect Plots
Utility Menu>PlotCtrls>Hard Copy

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/PMORE 		Up / Home Next
/PNUM


/PNUM

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

/PNUM, Label, KEY

Controls entity numbering/coloring on plots.

GRAPHICS: Labeling

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Label

Type of numbering/coloring:

NODE
 —

Node numbers on node and element plots.

ELEM
 —

Element numbers and colors on element plots.

DOMAIN
 —

Domains set via DECOMP.

SEC
 —

Section numbers and colors on element and solid model plots (see "Notes").

MAT
 —

Material set numbers and colors on element and solid model plots (see "Notes").

TYPE
 —

Element type reference numbers and colors on element and solid model plots (see "Notes").

REAL
 —

Real constant set numbers and colors on element and solid model plots (see "Notes").

ESYS
 —

Element coordinate system numbers on element and solid model plots (see "Notes").

PART
 —

Element part numbers and colors on element plots (applicable to ANSYS LS-DYNA only).

LOC
 —

Location numbers/colors of the element in the solution sequence (the "wavefront order," see WAVES command) on element plots.

Note

LOC and ELEM numbers will be the same unless the model has been reordered.

KP
 —

Keypoint numbers on solid model plots.

LINE
 —

Line numbers on solid model plots (both numbers and colors on line plots).

AREA
 —

Area numbers on solid model plots (both numbers and colors on area plots).

VOLU
 —

Volume numbers on solid model plots (both numbers and colors on volume plots).

SVAL
 —

Stress (or any contour) values on postprocessing plots, and surface load values and colors on model plots (when surface load symbols are on [/PSF]). For tabular boundary conditions, the table-evaluated values will be displayed on node, element, or contour displays in POST1 when load symbols (/PBF, /PSF, /PBC) are on and TABNAM is OFF.

TABNAM
 —

Table names for tabular boundary conditions. If this label is turned on, the table name appears next to the appropriate symbol, arrow, face outline, or contour as dictated by the /PSF, /PBC, and /PBF commands.

STAT
 —

Shows current settings for /PNUM.

DEFA
 —

Resets all /PNUM specifications back to default.

KEY

Switch:

0
 —

Turns OFF numbers/colors for specified label.

1
 —

Turns ON numbers/colors for specified label.

Notes

This command specifies entity numbering and coloring for subsequent plots.

The MAT, TYPE, REAL, and ESYS labels activate both the numbering and coloring of the corresponding attributes for EPLOT, KPLOT, LPLOT, APLOT, and VPLOT. The ELEM, MAT, TYPE, REAL, ESYS, PART (ANSYS LS-DYNA only), and LOC labels are mutually exclusive, i.e., only one can be specified at a time. Also, turning on a LINE, AREA, or VOLU label will turn off the MAT, TYPE, REAL, and PART labels.

PowerGraphics [/GRAPHICS,POWER] displays for/PNUM can be problematic. /PNUM,ELEM will display erratically depending on other display command specifications, while /PNUM,LOC and /PNUM,ESYS are not supported.

Element and volume numbers are not visible for 3-D elements and volumes when Z-buffering is turned on (/TYPE,,[6,7, or 8]).

/PNUM,DOMAIN,ON or OFF plots the subdomains used to create the CPU domains for Distributed ANSYS following a solution or substructures following auto substructure generation.

Use /PSTATUS or /PNUM,STAT to show settings. Use /PNUM,DEFA to reset all specifications back to default. Use the /NUMBER command to control whether numbers and colors are displayed together.

This command is valid in any processor

Menu Paths

Utility Menu>PlotCtrls>Numbering

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PNGR 		Up / Home Next
POINT


POINT

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

POINT

Specifies "Point flow tracing settings" as the subsequent status topic.

POST1: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>General Postproc>Trace Points

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/PNUM 		Up / Home Next
POLY


POLY

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

POLY

Creates a polygonal area based on working plane coordinate pairs.

PREP7: Primitives

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Defines a polygonal area on the working plane. The area will be defined with NPT keypoints and NPT lines, where NPT (must be at least 3) is the number of coordinate pairs defined with the PTXY command. See the RPOLY and RPR4 commands for other ways to create polygons.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
POINT 		Up / Home Next
/POLYGON


/POLYGON

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

/POLYGON, NVERT, X1, Y1, X2, Y2, X3, Y3, X4, Y4

Creates annotation polygons (GUI).

GRAPHICS: Annotation

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NVERT

Number of vertices of polygon (3 [image] NVERT [image] 8). Use /PMORE for polygons with more than 4 vertices.

X1

X location for vertex 1 of polygon (-1.0 < X < 2.0).

Y1

Y location for vertex 1 of polygon (-1.0 < Y < 1.0).

X2

X location for vertex 2 of polygon (-1.0 < X < 2.0).

Y2

Y location for vertex 2 of polygon (-1.0 < Y < 1.0).

X3

X location for vertex 3 of polygon (-1.0 < X < 2.0).

Y3

Y location for vertex 3 of polygon (-1.0 < Y < 1.0).

X4

X location for vertex 4 of polygon (-1.0 < X < 2.0).

Y4

Y location for vertex 4 of polygon (-1.0 < Y < 1.0).

Notes

Creates annotation polygons to be written directly onto the display at a specified location. This is a command generated by the Graphical User Interface (GUI) and will appear in the log file (Jobname.LOG) if annotation is used. This command is not intended to be typed in directly in an ANSYS session (although it can be included in an input file for batch input or for use with the /INPUT command).

All polygons are shown on subsequent displays unless the annotation is turned off or deleted. Use the /LSPEC and the /PSPEC command to set the attributes of the polygon. Use the /PMORE command to define the 5th through 8th vertices of the polygon.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Annotation>Create Annotation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
POLY 		Up / Home Next
POPT


POPT

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

POPT, Lop1

Selects the piping analysis standard for a piping run.

PREP7: Piping

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Lop1

Option label:

B31.1
—

for ANSI B31.1.

NC
—

for ASME Section III NC, Class 2.

Command Default

ANSI B31.1.

Notes

Selects the piping analysis standard for a piping run [RUN]. Affects only the flexibility and stress intensification factors applied to the curved pipe elements.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Piping Models>Specifications

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/POLYGON 		Up / Home Next
/POST1


/POST1

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

/POST1

Enters the database results postprocessor.

SESSION: Processor Entry

POST1: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Enters the general database results postprocessor (POST1). All load symbols (/PBC, /PSF, or /PBF) are automatically turned off with this command.

This command is valid only at the Begin Level.

Menu Paths

Main Menu>General Postproc

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
POPT 		Up / Home Next
/POST26


/POST26

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

/POST26

Enters the time-history results postprocessor.

SESSION: Processor Entry

POST26: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Enters the time-history results postprocessor (POST26).

This command is valid only at the Begin Level.

Menu Paths

Main Menu>TimeHist Postpro

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/POST1 		Up / Home Next
POUTRES


POUTRES

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

POUTRES, Item1, Item2, Item3, Item4, Item5, Item6, Item7, Item8, Item9, Item10, Item11, Item12, Item13, Item14, Item15, Item16, Item17, Item18, Item19

Controls the nodal DOF and computed element results graphics data that is written to the PGR file.

SOLUTION: Misc Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Item1, Item2, Item3, . . . , Item19

Data written to the PGR file. Acceptable values are as follows:

ALL
 —

All solution items are written to the PGR file.

NONE
 —

No solution results are written to the PGR file (default)

NSOL
 —

Nodal DOF solution (always written)

S
 —

Stress

NL
 —

Structural nonlinear data

CONT
 —

Contact data

EPTO
 —

Total strain

EPEL
 —

Elastic Strain

EPTH
 —

Thermal strain

EPPL
 —

Plastic Strain

EPCR
 —

Creep strain

TG
 —

Thermal gradient

TF
 —

Thermal flux

EF
 —

Electric field

D
 —

Electric flux density

HF
 —

Magnetic field intensity

B
 —

Magnetic flux density

FMAG
 —

Magnetic forces

PG
 —

Pressure gradient

BFE
 —

Body temperatures

TOPO
 —

Densities for topological optimization

Command Default

No solution results are written to the PGR file.

Notes

PowerGraphics data using the CONT option is not available for 2-D models.

This command is also valid in POST1.

Menu Paths

Main Menu>General Postproc>Write PGR File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/POST26 		Up / Home Next
POWERH


POWERH

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

POWERH

Calculates the rms power loss in a conductor or lossy dielectric.

POST1: Magnetics Calculations

MP <> <> <> <> <> <> <> EM <> <> PP <>

Notes

POWERH invokes an ANSYS macro which calculates the time-averaged (rms) power loss in a conductor or lossy dielectric material from a harmonic analysis. The power loss is stored in the parameter PAVG. Conductor losses include solid conductors and surface conductors approximated by impedance or shielding boundary conditions. The power loss density for solid conductors or dielectrics is stored in the element table with the label PLOSSD and may be listed [PRETAB] or displayed [PLETAB]. PLOSSD does not include surface losses. The elements of the conducting region must be selected before this command is issued. POWERH is valid for 2-D and 3-D analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Elec&Mag Calc>Element Based>Power Loss

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
POUTRES 		Up / Home Next
PPATH


PPATH

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PPATH, POINT, NODE, X, Y, Z, CS

Defines a path by picking or defining nodes, or locations on the currently active working plane, or by entering specific coordinate locations.

POST1: Path Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

POINT

The point number. It must be greater than zero and less than or equal to the nPts value specified on the PATH command if graphical picking is not being used.

NODE

The node number defining this point. If blank, use the X, Y, Z coordinates to define the point. A valid node number will override X, Y, Z coordinate arguments.

X, Y, Z

The location of the point in the global Cartesian coordinate system. Use these arguments only if you omit the NODE argument.

CS

The coordinate system for interpolation of the path between the previous point and this point. Omit this argument if you wish to use the currently active (CSYS) coordinate system. If the coordinate system of two adjacent points is different, the CS value of the latter point will be used.

Notes

For linearized stress calculations, the path must be defined with nodes.

This command is designed and works best in interactive (GUI) mode, using the menu paths listed below. For command line operations, issue PPATH,P to define your path by picking nodes.

For information on displaying paths you have defined, see Defining Data to be Retrieved in the Basic Analysis Guide.

Menu Paths

Main Menu>General Postproc>Path Operations>Define Path>By Location
Main Menu>General Postproc>Path Operations>Define Path>By Nodes
Main Menu>General Postproc>Path Operations>Define Path>Modify Path
Main Menu>General Postproc>Path Operations>Define Path>On Working Plane
Main Menu>Preprocessor>Path Operations>Define Path>By Location
Main Menu>Preprocessor>Path Operations>Define Path>By Nodes
Main Menu>Preprocessor>Path Operations>Define Path>Modify Path
Main Menu>Preprocessor>Path Operations>Define Path>On Working Plane

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
POWERH 		Up / Home Next
PPLOT


PPLOT

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PPLOT

Displays an element plot indicating each element's final p-level.

POST1: Results

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Notes

The final polynomial level (an integer value ranging from 2 to 8) is displayed at the center of the element's facets [/EFACET] in a p-method analysis.

Menu Paths

Main Menu>General Postproc>Plot Results>p-Method>p-Levels

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PPATH 		Up / Home Next
PPRANGE


PPRANGE

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PPRANGE, START, MAX

Specifies a range of p-level values for use in a p-method solution.

SOLUTION: p-Method

MP ME ST PR PRN <> <> <> EM <> <> PP <>

START

Starting p-level. Defaults to 2.

MAX

Maximum p-level. Defaults to 8.

Command Default

As described for each argument above.

Notes

The minimum possible p-level is 2, and the maximum possible p-level is 8. This command sets a global p-range for the entire model, where KEYOPT settings [ET] control individual element p-levels. Element KEYOPT settings override PPRANGE settings.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>p-Method>Set p range
Main Menu>Solution>Load Step Opts>p-Method>Set p range

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PPLOT 		Up / Home Next
PPRES


PPRES

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PPRES, PRESS

Defines the internal pressure for a piping run.

PREP7: Piping

MP ME ST PR PRN <> <> <> <> <> <> PP <>

PRESS

Pipe internal pressure.

Notes

Defines the pipe internal pressure for a piping run [RUN]. These pressures are assigned to the elements as they are generated.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Piping Models>Loads

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PPRANGE 		Up / Home Next
PRANGE


PRANGE

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRANGE, LINC, VMIN, VMAX, XVAR

Determines the path range.

POST1: Path Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LINC, VMIN, VMAX

Set the range for listing or displaying the table locations between a minimum value (VMIN) and a maximum value (VMAX) of the path distance with a location increment of LINC (defaults to 1). The first location begins at VMIN.

XVAR

Path variable item to be used as the x-axis plot variable. Any valid path variable may be used (PDEF command). Default variable is the path distance, S.

Command Default

Include every interpolation point and entire path distance.

Notes

Determines the path distance range for use with the PRPATH and PLPATH commands.

Menu Paths

Main Menu>General Postproc>Path Operations>Plot Path Item>Path Range

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PPRES 		Up / Home Next
PRCAMP


PRCAMP

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRCAMP, Option, SLOPE, UNIT, FREQB, Cname, STABVAL

Prints Campbell diagram data for applications involving rotating structure dynamics.

POST1: Special Purpose

MP ME ST PR PRN <> <> <> <> <> <> PP <>
Option

Flag to activate or deactivate sorting of forward or backward whirl frequencies:

0 (OFF or NO) -- No sorting.
1 (ON or YES) -- Sort. This value is the default.
SLOPE

The slope of the line to be printed. This value must be greater than 0. The line represents the number of excitations per revolution of the rotor. For example, SLOPE = 1 represents one excitation per revolution, usually resulting from unbalance. The default is no line.

UNIT

Specifies the unit of measurement for rotational angular velocities:

RDS -- Rotational angular velocities in radians per second (rad/s). This value is the default.
RPM -- Rotational angular velocities in revolutions per minute (RPMs).
FREQB

The beginning, or lower end, of the frequency range of interest. The default is zero.

Cname

The rotating component name.

STABVAL

Flag to plot the stability values:

0 (OFF or NO) -- Plot the frequencies (the imaginary parts of the eigenvalues in Hz). This value is the default.
1 (ON or YES) -- Plot the stability values (the real parts of the eigenvalues in Hz).
2 -- Plot the logarithmic decrements.

For more information about complex eigenvalues and corresponding logarithmic decrements, see Damped Method in the Theory Reference for ANSYS and ANSYS Workbench.

Notes

To take the gyroscopic effect into account when printing a Campbell diagram, first issue the CORIOLIS command in the SOLUTION module.

The PRCAMP command is valid only for modal analyses (QR damped [MODOPT,QRDAMP] or damped [MODOPT,DAMP] methods only). The command works over two or more load step results generated with an ascending order of rotational velocity (OMEGA or CMOMEGA).

Complex eigenvalues are necessary (MODOPT,QRDAMP,,,,Cpxmod = ON), and you must specify the number of modes to expand (MXPAND) at each load step.

In some cases where modes are not in the same order from one load step to the other, sorting (Option = 1) the frequencies can help to obtain a correct print. Sorting is based on the comparison between complex mode shapes calculated at two successive load steps.

At each load step, ANSYS compares the mode shape to the loads at other loads steps to determine whirl direction at the load step. If applicable, a label appears (on the rows of output data) representing each whirl mode (BW for backward whirl and FW for forward whirl).

If you specify a non-zero slope (SLOPE > 0), the command prints the critical speeds corresponding to the intersection points of the frequency curves and the added line. In the case of a named component (Cname), critical speeds relate to the rotational velocity of the component.

ANSYS considers the SLOPE value only if the frequencies are plotted (STABVAL = OFF).

At each load step, ANSYS checks for instability (based on the sign of the real part of the eigenvalue). The label “U” appears on the printout for each unstable frequency.

The rotational velocities of a named component (Cname) are printed out along with the natural frequencies.

In general, ANSYS, recommends printing a Campbell diagram only when your analysis is performed in a stationary reference frame (CORIOLIS,,,,RefFrame = ON).

To print the Campbell diagram for a prestressed structure, first issue a CAMPBELL,ON command in the static portion of the analysis. For a usage example of the companion command PLCAMP (used for plotting a Campbell diagram), see Sample Campbell Diagram Analysis.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRANGE 		Up / Home Next
PRCINT


PRCINT

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRCINT, ID, node

Lists the J-integral result data.

POST1: Results

MP ME ST PR PRN <> <> <> <> <> <> PP <>

ID

Crack ID number.

node

Crack tip node number (Default = ALL). Used only for 3-D.

Notes

When a crack tip node is defined, ANSYS lists only the J-integral contours associated with the specified node.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRCAMP 		Up / Home Next
PRCONV


PRCONV

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRCONV

Lists convergence values versus characteristic p-level.

POST1: Results

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Notes

After a p-method solution, this command lists in tabular form all convergence values versus characteristic p-level.

This command is also valid in SOLUTION.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>List Results>p-Convergence

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRCINT 		Up / Home Next
PRCPLX


PRCPLX

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRCPLX, KEY

Defines the output form for complex variables.

POST26: Listing

MP ME ST PR PRN <> <> <> EM <> <> PP <>

KEY

Output form key:

0
 —

Real and imaginary parts.

1
 —

Amplitude and phase angle. Stored real and imaginary data are converted to amplitude and phase angle upon output. Data remain stored as real and imaginary parts.

Notes

Defines the output form for complex variables. Used only with harmonic analyses (ANTYPE,HARMIC).

All results data are stored in the form of real and imaginary components and converted to amplitude and/or phase angle as specified via the PRCPLX command. The conversion is not valid for derived results (such as principal stress/strain, equivalent stress/strain and USUM).

Menu Paths

Main Menu>TimeHist Postpro>Settings>List

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRCONV 		Up / Home Next
PRECISION


PRECISION

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRECISION, LABEL

Specifies machine precision for solvers (currently valid only for PCG solvers).

SOLUTION: Analysis Options

MP ME ST PR PRN <> <> <> EM <> <> PP <>

LABEL

Machine precision to use for solvers:

0 or double
—

Specifies double precision (default).

1 or single
—

Specifies single precision.

Notes

When the PCG solver is specified by the EQSLV command, this command can be used to specify single precision for the solver. By using single precision, about 30% less in-core memory is used by the PCG solver. However, using single precision can lead to unconvergence for the PCG solver when the problem is ill-conditioned. Double precision is the default and the recommended option for the PCG solvers. Single precision (LABEL = 1) is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>Analysis Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRCPLX 		Up / Home Next
PRED


PRED

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRED, Sskey, --, Lskey

Activates a predictor in a nonlinear analysis.

SOLUTION: Nonlinear Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Sskey

Substep predictor key:

OFF
 —

No prediction occurs.

ON
 —

Use a predictor on all substeps after the first. This behavior is the default, with certain exceptions; see "Command Default" for details.

--

Unused field.

Lskey

Load step predictor:

OFF
 —

No prediction across load steps occurs. This is the default behavior.

ON
 —

Use a predictor also on the first substep of the load step. (Sskey = ON is required.)

Command Default

The default command behavior is to use prediction (Sskey = ON). However, prediction does not occur (Sskey = OFF) if one or more of these conditions exist:

  • Rotation DOFs are present.

  • You are using the SOLID65 element.

  • You are mapping (MAPSOLVE) variables to a new mesh during rezoning. (Prediction does not occur for any MAPSOLVE substeps, nor for the first substep afterwards.)

Notes

Activates a predictor in a nonlinear analysis on the degree-of-freedom solution for the first equilibrium iteration of each substep.

The default values given for this command assume SOLCONTROL,ON (the default). See the description of the SOLCONTROL command for a complete listing of the defaults set via SOLCONTROL,ON and SOLCONTROL,OFF.

When using the arc-length method (ARCLEN, ARCTRM), you cannot issue the DOF solution predictor command (PRED), the automatic time stepping command (AUTOTS), or the line search command (LNSRCH). If you activate the arc-length method after you set PRED, AUTOTS, or LNSRCH, a warning message appears. If you elect to proceed with the arc-length method activation, ANSYS disables your DOF predictor, automatic time stepping, and line search settings.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Sol'n Controls>Nonlinear
Main Menu>Preprocessor>Loads>Load Step Opts>Nonlinear>Predictor
Main Menu>Solution>Analysis Type>Sol'n Controls>Nonlinear
Main Menu>Solution>Load Step Opts>Nonlinear>Predictor

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRECISION 		Up / Home Next
PRENERGY


PRENERGY

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRENERGY

Prints the total energies of a model.

POST1: Results

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Notes

The PRENERGY command prints out all of the total energies of the entire model, including "stiffness", kinetic, artificial hourglass/drill stiffness, and artificial stabilization energy.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRED 		Up / Home Next
/PREP7


/PREP7

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

/PREP7

Enters the model creation preprocessor.

SESSION: Processor Entry

PREP7: Database

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Enters the general input data preprocessor (PREP7).

This command is valid only at the Begin Level.

Menu Paths

Main Menu>Preprocessor

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRENERGY 		Up / Home Next
PRERR


PRERR

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRERR

Prints SEPC and TEPC.

POST1: Listing

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Notes

Prints the percent error in structural energy norm (SEPC) and the thermal energy norm percent error (TEPC). Approximations of mesh discretization error associated with a solution are calculated for analyses having structural or thermal degrees of freedom.

The structural approximation is based on the energy error (which is similar in concept to the strain energy) and represents the error associated with the discrepancy between the calculated stress field and the globally continuous stress field (see POST1 - Error Approximation Technique in the Theory Reference for ANSYS and ANSYS Workbench). This discrepancy is due to the assumption in the elements that only the displacements are continuous at the nodes. The stress field is calculated from the displacements and should also be continuous, but generally is not. Structural analyses should be linear elastic and may use solid elements having only structural degrees of freedom (excluding SOLID46, SOLID65, VISCO88, VISCO106, VISCO107, and VISCO108) and 3-D shell elements (excluding SHELL28, SHELL41, SHELL91, and SHELL99).

Thermal analyses may use any solid and shell thermal element having only temperature degrees of freedom. The thermal approximation is based on the total heat flow dissipation and represents the error associated with the discrepancy between the calculated nodal thermal flux within an element and a continuous global thermal flux. This continuous thermal flux is calculated with the normal nodal averaging procedure.

The volume (result label VOLU) is used to calculate the energy error per element (result label SERR for the structural energy error and TERR for the thermal energy error). These energy errors, along with the appropriate energy, are then used to calculate the percent error in energy norm (SEPC for structural and TEPC for thermal). These percentages can be listed by the PRERR command, retrieved by the *GET command (with labels SEPC and TEPC) for further calculations, and shown on the displacement display [PLDISP], as applicable.

For structural analyses, the maximum absolute value of nodal stress variation of any stress component for any node of an element (result item SDSG) is also calculated. Similarly, for thermal gradient components, TDSG is calculated. Minimum and maximum result bounds considering the possible effect of discretization error will be shown on contour displays [PLNSOL]. For shell elements, the top surface location is used to produce a meaningful percentage value. SERR, TERR, SEPC, TEPC, SDSG, and TDSG will be updated whenever the nodal stresses or fluxes are recalculated.

If the energy error is a significant portion of the total energy, then the analysis should be repeated using a finer mesh to obtain a more accurate solution. The energy error is relative from problem to problem but will converge to a zero energy error as the mesh is refined. An automated adaptive meshing procedure using this energy error is described with the ADAPT macro.

Menu Paths

Main Menu>General Postproc>List Results>Percent Error
Utility Menu>List>Results>Percent Error

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/PREP7 		Up / Home Next
PRESOL


PRESOL

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRESOL, Item, Comp

Prints the solution results for elements.

POST1: Results

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Item

Label identifying the item. Valid item labels are shown in PRESOL - Valid Item and Component Labels below. Some items also require a component label.

Comp

Component of the item (if required). Valid component labels are shown in PRESOL - Valid Item and Component Labels below.

Notes

Prints the solution results for the selected elements in the sorted sequence. For example, PRESOL,S prints the stress items SX, SY, SZ, SXY, SYZ, and SXZ for the node locations of the element. Component results are in the global Cartesian coordinate directions unless transformed [RSYS]. Shell elements print values at the top, then bottom of the element (or layer). If KEYOPT(8) = 2 (for SHELL93, SHELL181, SHELL208, SHELL209, or SHELL281), or KEYOPT(11) = 2 (for SHELL63), then the results are printed in the order TOP, BOT and then MID of each element, (or layer). The MID value will be the actual value as written to the results file. Items are listed as columns of a table versus element number. An exception occurs for item ELEM which uses an element format (all applicable line element results are listed per element) instead of a tabular format. The FORCE command can be used to define which component of the nodal load is to be used (static, damping, inertia, or total). See the ETABLE and PRETAB commands for printing items not available through this command (such as line element results).

For PowerGraphics [/GRAPHICS,POWER], results are listed only for the element surface. The items marked with [1] are not supported by PowerGraphics.

PRESOL - Valid Item and Component Labels

Item | Comp | Description
Valid item and component labels for element results are:
S |  | Component (X, Y, Z, XY, YZ, XZ) stresses.
EPEL |  | Component (X, Y, Z, XY, YZ, XZ) elastic strains.
EPTH |  | Component (X, Y, Z, XY, YZ, XZ) thermal strains.
EPPL |  | Component (X, Y, Z, XY, YZ, XZ) plastic strains.
EPCR |  | Component (X, Y, Z, XY, YZ, XZ) creep strains.
EPSW |  | Swelling strain.
EPTO |  | Component (X, Y, Z, XY, YZ, XZ) total mechanical strains (EPEL + EPPL + EPCR).
EPTT |  | Component (X, Y, Z, XY, YZ, XZ) total mechanical and thermal strains (EPEL + EPPL + EPCR + EPTH).
NL |  | Nonlinear items (SEPL, SRAT, HPRES, EPEQ, CREQ, PSV, PLWK).
SEND | ELASTIC | Elastic strain energy density.
" | PLASTIC | Plastic strain energy density.
" | CREEP | Creep strain energy density.
FAIL |  | Failure criteria [1][2]. Components: Maximum of all failure criteria defined at current location (MAX), maximum strain (EMAX), maximum stress (SMAX), Tsai-Wu Strength Index (TWSI), inverse of Tsai-Wu Strength Ratio Index (TWSR), and any user-defined failure criteria (USR1 through USR6).
FCMX |  | Maximum failure criterion over the entire element [1][2]. Components: Layer number where the maximum occurs (LAY), name of the maximum failure criterion (FC), and value of the maximum failure criterion (VAL).
SVAR | 1,2,3, ... N | State variable.
GKS |  | Gasket component (X, XY, XZ) stress.
GKD |  | Gasket component (X, XY, XZ) total closure.
GKDI |  | Gasket component (X, XY, XZ) total inelastic closure.
GKTH |  | Gasket component (X, XY, XZ) thermal closure.
CONT |  | Contact items (STAT, PENE, PRES, SFRIC, STOT, SLIDE, GAP, FLUX). See component descriptions in PLNSOL.
TG |  | Component (X, Y, Z) thermal gradients and vector sum (SUM).
TF |  | Component (X, Y, Z) thermal fluxes and vector sum (SUM).
PG |  | Component (X, Y, Z) pressure gradients and vector sum (SUM).
EF |  | Component (X, Y, Z) electric fields and vector sum (SUM).
D |  | Component (X, Y, Z) electric flux densities and vector sum (SUM).
H |  | Component (X, Y, Z) magnetic field intensities and vector sum (SUM).
B |  | Component (X, Y, Z) magnetic flux densities and vector sum (SUM).
FMAG |  | Component (X, Y, Z) magnetic forces and vector sum (SUM) [1].
P |  | Poynting vector components (X, Y, Z) and sum (SUM) [1].
F |  | Component (X, Y, Z) structural forces. Use FORCE for type [1].
M |  | Component (X, Y, Z) structural moments. Use FORCE for type [1].
HEAT |  | Heat flow. Use FORCE for type [1].
FLOW |  | Fluid flow. Use FORCE for type.
AMPS |  | Current flow [1]. Use FORCE for type.
CHRG |  | Charge [1]. Use FORCE for type.
FLUX |  | Magnetic flux [1].
VF |  | Component (X, Y, Z) fluid "forces". Use FORCE for type [1].
CSG |  | Component (X, Y, Z) magnetic current segments. Use FORCE for type [1].
FORC |  | All available force items (F to CSG above). (10 maximum) [1].
BFE |  | Body temperatures (calculated from applied temperatures) as used in solution (area and volume elements only).
ELEM |  | All applicable element results (available only for structural line elements) [1].
SERR |  | Structural error energy. Anisotropic elastic materials (TB, ANEL) are not supported. [1].
SDSG |  | Absolute value of the maximum variation of any nodal stress component [1].
TERR |  | Thermal error energy [1].
TDSG |  | Absolute value of the maximum variation of any nodal thermal gradient component [1].
SENE |  | "Stiffness" energy or thermal heat dissipation. Same as TENE [1].
STEN |  | Elemental energy dissipation due to stabilization.
TENE |  | Thermal heat dissipation or "stiffness" energy. Same as SENE [1].
KENE |  | Kinetic energy [1].
JHEAT |  | Element Joule heat generation (coupled-field calculation) [1].
JS |  | Source current density for low-frequency magnetic analyses. Total current density (sum of conduction and displacement current densities) in low frequency electric analyses. Components (X, Y, Z) and vector sum (SUM). [1].
JT |  | Total measureable current density in low-frequency electromagnetic analyses. (Conduction current density in a low-frequency electric analysis.) Components (X, Y, Z) and vector sum (SUM). [1].
JC |  | Conduction current density for elements that support conduction current calculation. Components (X, Y, Z) and vector sum (SUM). [1].
MRE |  | Magnetic Reynolds number [1].
VOLU |  | Volume of volume element [1].
CENT |  | Centroid X, Y, or Z location (based on shape function) in the active coordinate system [1].
LOCI |  | Integration point location
SMISC | snum | Element summable miscellaneous data value at sequence number snum (Shown in the Output Data section of each element description. See Chapter 4 of the Elements Reference) [1].
NMISC | snum | Element nonsummable miscellaneous data value at sequence number snum (Shown in the Output Data section of each element description. See Chapter 4 of the Elements Reference) [1].
TOPO |  | Densities used for topological optimization. This applies to the following types of elements: PLANE82, SOLID92, SHELL93, SOLID95.

  1. Not supported by PowerGraphics

  2. Works only if FC command information is provided.

Menu Paths

Main Menu>General Postproc>List Results>Element Solution
Utility Menu>List>Results>Element Solution

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRERR 		Up / Home Next
PRETAB


PRETAB

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRETAB, Lab1, Lab2, Lab3, Lab4, Lab5, Lab6, Lab7, Lab8, Lab9

Prints the element table items.

POST1: Element Table

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab1, Lab2, Lab3, . . . , Lab9

Print selected items. Valid labels are (blank) or any label as specified with the ETABLE command. Convenience labels may be used for Lab1 to select groups of labels (10 labels maximum): GRP1 for first 10 stored items; GRP2 for items 11 to 20; GRP3 for items 21 to 30; GRP4 for items 31 to 40; GRP5 for items 41 to 50. Enter ETABLE,STAT command to list stored item order. If all labels are blank, print first 10 stored items (GRP1).

Notes

Prints the items stored in the table defined with the ETABLE command. Item values will be listed for the selected elements in the sorted sequence [ESORT]. The FORCE command can be used to define which component of the nodal load is to be used (static, damping, inertia, or total).

Portions of this command are not supported by PowerGraphics [/GRAPHICS,POWER].

Menu Paths

Main Menu>General Postproc>Element Table>List Elem Table
Main Menu>General Postproc>List Results>Elem Table Data
Utility Menu>List>Results>Element Table Data

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRESOL 		Up / Home Next
PRHFFAR


PRHFFAR

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRHFFAR, Opt, Lab, PHI1, PHI2, NPHI, THETA1, THETA2, NTHETA, RADZ

Prints electric far fields and far field parameters.

POST1: Special Purpose

MP <> <> <> <> <> <> <> <> EH <> PP <>

Opt

Print option:

EF
 —

Electric far field.

RCS
 —

Radar cross section.

RCSN
 —

Normalized radar cross section.

PATT
 —

Antenna pattern.

DGAIN
 —

Antenna directive gain.

PRAD
 —

Antenna radiation power.

PGAIN
 —

Antenna power gain.

EFF
 —

Antenna radiation efficiency.

Lab

As shown below, data entered in the Lab field will vary, depending on the print option (Opt).

Valid Lab Data Labels

Opt | Lab
EF

SPHR -- Spherical components of electric field (default)

CART -- Cartesian components of electric field

RCS and RCSN

NONE -- Radar echo area (default)

PP -- Phi-Phi polarization

PT -- Phi-Theta polarization

TP -- Theta-Phi polarization

TT -- Theta-Theta polarization

TE2D -- 2-D TE incident plane wave

TM2D -- 2-D TM incident plane wave

PATT

RECT -- Radiation pattern (default)

DGAIN

MAX -- Directivity (default)

RECT -- Directive gain

PRAD | Ignore Lab.
PGAIN | VALUE -- Input power (watts)
EFF | VALUE -- Input power (watts)

The following PHI1, PHI2, NPHI, THETA1, THETA2, and NTHETA arguments are used only with Opt = EF, RCS, RCSN, PATT, or Opt = DGAIN, Lab = RECT.

PHI1, PHI2

Starting and ending φ angles (degrees) in the spherical coordinate system. Defaults to 0.

NPHI

Number of divisions between the starting and ending φ angles for data computations. Defaults to 0.

THETA1, THETA2

Starting and ending θ angles (degrees) in the spherical coordinate system. Defaults to 0.

NTHETA

Number of divisions between the starting and ending θ angles for data computations. Defaults to 0.

RADZ

Used only with Opt = FIELD or Opt = RCS or RCSN and Lab = TE2D or TM2D. For Opt = FIELD, RADZ = radius of the far field. For Opt = RCS or RCSN and Lab = TE2D or TM2D, RADZ = thickness of the 3-D model in the z direction. Defaults to 1.

Notes

PLHFFAR prints electric far fields and far field parameters as determined by the equivalent source principle. Use this command to print electric far field, radar cross section, antenna radiation pattern, antenna directive gain, antenna directivity, antenna radiation power, antenna power gain, or antenna radiation efficiency.

See Spherical Coordinates in the High-Frequency Electromagnetic Analysis Guide.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>List Results>Field Extension>Direct Gain
Main Menu>General Postproc>List Results>Field Extension>Efficiency
Main Menu>General Postproc>List Results>Field Extension>Far Field
Main Menu>General Postproc>List Results>Field Extension>Pattern
Main Menu>General Postproc>List Results>Field Extension>Power Gain
Main Menu>General Postproc>List Results>Field Extension>Rad Power
Main Menu>General Postproc>List Results>Field Extension>RCS
Main Menu>General Postproc>List Results>Field Extension>RCS Normalized

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRETAB 		Up / Home Next
PRI2


PRI2

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRI2, P51X, Z1, Z2

Creates a polygonal area or a prism volume by vertices (GUI).

PREP7: Primitives

MP ME ST PR PRN <> <> FL EM EH <> PP <>

Notes

Creates a polygonal area or a prism volume using the vertices as input. This is a command generated by the Graphical User Interface (GUI) and will appear in the log file (Jobname.LOG) if graphical picking is used. This command is not intended to be typed in directly in an ANSYS session (although it can be included in an input file for batch input or for use with the /INPUT command).

For polygons, the PRI2 command will appear in the log file as PRI2,P51X,0.0,0.0 preceded by FITEM commands that define the vertices (in global Cartesian coordinates). For prisms, the PRI2 command will appear in the log file as PRI2,P51X preceded by FITEM commands that define the vertices and the Z-end of the prism.

See the RPOLY, POLY, RPRISM, PRISM, and RPR4 commands for other ways to create polygons and prisms.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Areas>Polygon>By Vertices
Main Menu>Preprocessor>Modeling>Create>Volumes>Prism>By Vertices

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRHFFAR 		Up / Home Next
PRIM


PRIM

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRIM

Specifies "Solid model primitives" as the subsequent status topic.

PREP7: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Preprocessor>Solid Model

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRI2 		Up / Home Next
PRINT


PRINT

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRINT

Specifies "Print settings" as the subsequent status topic.

POST1: Status

POST26: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>General Postproc>List Results
Utility Menu>List>Status>TimeHist Postproc>List

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRIM 		Up / Home Next
PRISM


PRISM

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRISM, Z1, Z2

Creates a prism volume based on working plane coordinate pairs.

PREP7: Primitives

MP ME ST PR PRN <> <> FL EM EH <> PP <>

Z1, Z2

Working plane Z coordinates of the top and bottom of the prism.

Notes

Defines a prism volume based on the working plane. The top and bottom areas will each be defined with NPT keypoints and NPT lines, where NPT (must be at least 3) is the number of coordinate pairs defined with PTXY command. Also, a line will be defined between each point pair on the top and bottom face. See the RPRISM and RPR4 commands for other ways to create prisms.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRINT 		Up / Home Next
PRITER


PRITER

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRITER

Prints solution summary data.

POST1: Listing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Prints solution summary data (such as time step size, number of equilibrium iterations, convergence values, etc.) from a static or full transient analysis. All other analyses print zeros for the data.

Menu Paths

Main Menu>General Postproc>List Results>Iteration Summry
Utility Menu>List>Results>Iteration Summry

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRISM 		Up / Home Next
PRJSOL


PRJSOL

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRJSOL, Item, Comp

Prints joint element output.

POST1: Results

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Item

Label identifying the item. Some items also require a component label.

DISP
 —

Relative displacements.

ROT
 —

Relative rotations.

VEL
 —

Relative linear velocities.

OMG
 —

Relative angular velocities.

ACC
 —

Relative linear accelerations.

DMG
 —

Relative angular accelerations.

SMISC
 —

Summable miscellaneous quantities.

Comp

Component of the item (if required). For Item = DISP, ROT, VEL, OMG, ACC, and DMG, enter the direction label, X, Y, or Z. For Item = SMISC, enter a valid number.

Notes

Prints element output for the MPC184 joint element. The joint element quantities printed are the values for the free or unconstrained relative degrees of freedom.

This command is valid in POST1 only.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRITER 		Up / Home Next
PRNLD


PRNLD

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRNLD, Lab, TOL, Item

Prints the summed element nodal loads.

POST1: Results

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Lab

Nodal reaction load type. If blank, use the first ten of all available labels. Valid labels are: Structural force labels: FX, FY or FZ (forces); F (includes FX, FY and FZ); MX, MY or MZ (moments); M (includes MX, MY and MZ). Thermal force labels: HEAT, HBOT, HE2, HE3, . . ., HTOP (heat flow). Fluid force labels: FLOW (fluid flow); VFX, VFY and VFZ (fluid "forces"); VF (includes VFX, VFY and VFZ). Electric force labels: AMPS (current flow); CHRG (charge); CURT (current); VLTG (voltage drop). Magnetic force labels: FLUX (magnetic flux); CSGX, CSGY, CSGZ (magnetic current segments); CSG (includes CSGX, CSGY and CSGZ).

TOL

Tolerance value about zero within which loads are not printed. Defaults to 1.0E-9 times the absolute value of the maximum load on the selected nodes. If zero, print all nodal loads.

ITEM

Selected set of nodes.

(blank)
 —

Prints the summed element nodal loads for all selected nodes (default), excluding contact elements.

CONT
 —

Prints the summed element nodal loads for contact nodes only.

BOTH
 —

Prints the summed element nodal loads for all selected nodes, including contact nodes.

Notes

Prints the summed element nodal loads (forces, moments, heat flows, flux, etc.) for the selected nodes in the sorted sequence. Results are in the global Cartesian coordinate directions unless transformed [RSYS]. Zero values (within a tolerance range) are not printed. Loads applied to a constrained degree of freedom are not included. The FORCE command can be used to define which component of the nodal load is to be used (static, damping, inertia, or total).

By default, PRNLD excludes elements TARGE169 - CONTA177. PRNLD,,,CONT will only account for nodal forces on selected contact elements (CONTA171 - CONTA177). PRNLD,,,BOTH will account for nodal forces on all selected nodes, including contact nodes.

Menu Paths

Main Menu>General Postproc>List Results>Nodal Loads
Utility Menu>List>Results>Nodal Loads

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRJSOL 		Up / Home Next
PRNSOL


PRNSOL

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRNSOL, Item, Comp

Prints the nodal solution results.

POST1: Results

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Item

Label identifying the item. Valid item labels are shown in PRNSOL - Valid Item and Component Labels below. Some items also require a component label.

Comp

Component of the item (if required). Valid component labels are shown in PRNSOL - Valid Item and Component Labels below. Defaults to COMP.

Notes

Prints the nodal solution results for the selected nodes in the sorted sequence. For example, PRNSOL,U,X prints the X component of displacement vector U (that is, the UX degree of freedom). Component results are in the global Cartesian coordinate directions unless transformed (RSYS). Various element results also depend upon the recalculation method and the selected results location (AVPRIN, RSYS, LAYER, SHELL, and NSEL). If the LAYER command is issued, then the resulting output is listed in full graphics mode (/GRAPHICS,FULL). You can use the FORCE command to define which component of the nodal load (static, damping, inertia, or total) should be used.

PowerGraphics can affect your nodal solution listings. For PowerGraphics (/GRAPHICS,POWER), results are listed only for the model exterior surfaces and results are output on a surface-by-surface basis. For shell elements, such as SHELL181 or SHELL281, printed output is for both the top and bottom surfaces. For solid elements, such as SOLID185, the printed output is repeated for each surface, as follows:

  • For a node at a vertex, three lines are output (one printed line for each surface).

  • For a node on an edge, two lines are output.

  • For nodes on a face, one value is output.

  • For nodes interior to the volume, no printed values are output.

If a node is common to more than one element, or if a geometric discontinuity exists, several conflicting listings may result. For example, a corner node incorporating results from a brick element and three shell elements could yield as many as nine different results; the printed output would be top and bottom for the three shells and three surfaces for the solid, for a total of nine lines of output. In all cases, the three lines of output for the solid elements should be the same. ANSYS does not average result listings when shell elements are present. It is important to analyze the listings at discontinuities to ascertain the significance of each set of data.

The printed output for full graphics (/GRAPHICS,FULL) follows the standard ANSYS convention of averaging results at the node. For shell elements, the default for display is TOP so that the results for the top of the shell are averaged with the other elements attached to that node.

If an NSORT, ESORT or /ESHAPE command is issued with PowerGraphics activated, then the PRNSOL listings will be the same as in full graphics mode (/GRAPHICS,FULL). The items marked with [2] are not supported by PowerGraphics. To print midside nodes, you must first issue an /EFACET,2 command.

PRNSOL - Valid Item and Component Labels

Item | Comp | Description
Valid item and component labels for nodal degree of freedom results are:
U | X, Y, Z | X, Y, or Z structural displacement.
" COMP X, Y, and Z structural displacements and vector sum.
ROT | X, Y, Z | X, Y, or Z structural rotation.
" COMP X, Y, and Z structural rotations and vector sum.
TEMP [1] | Temperature.
PRES | Pressure.
VOLT | Electric potential.
MAG | Magnetic scalar potential.
V X, Y, Z
X, Y, or Z fluid velocity in a fluid analysis, or
X, Y, or Z velocity in an ANSYS LS-DYNA analysis.
" COMP
X, Y, and Z fluid velocity and vector sum in a fluid analysis, or
X, Y, and Z velocity and vector sum in an ANSYS LS-DYNA analysis.
A X, Y, Z
X, Y, or Z magnetic vector potential in an electromagnetic analysis, or
X, Y, or Z acceleration in an ANSYS LS-DYNA analysis.
" COMP
X, Y, and Z magnetic vector potential and vector sum in an electromagnetic analysis, or
X, Y, and Z acceleration and vector sum in an ANSYS LS-DYNA analysis.
VEL | X, Y, Z | X, Y, or Z velocity in a structural transient dynamic analysis (ANTYPE,TRANS).
" COMP X, Y, and Z velocity and vector sum in a structural transient dynamic analysis (ANTYPE,TRANS).
ACC | X, Y, Z | X, Y, or Z acceleration in a structural transient dynamic analysis (ANTYPE,TRANS).
" COMP X, Y, and Z acceleration and vector sum in a structural transient dynamic analysis (ANTYPE,TRANS).
OMG | X, Y, Z | X, Y, or Z rotational velocity in a structural transient dynamic analysis (ANTYPE,TRANS).
" COMP X, Y, and Z rotational velocity and vector sum in a structural transient dynamic analysis (ANTYPE,TRANS).
DMG | X, Y, Z | X, Y, or Z rotational acceleration in a structural transient dynamic analysis (ANTYPE,TRANS).
" COMP X, Y, and Z rotational acceleration and vector sum in a structural transient dynamic analysis (ANTYPE,TRANS).
CURR | Current.
EMF | Electromotive force drop.
ENKE | Turbulent kinetic energy.
ENDS | Turbulent energy dissipation.
SP0n | Mass fraction of species n, where n = 1 to 6 (FLOTRAN). If a species is given a user-defined name [MSSPEC], use that name instead of SP0n [2].
DOF | All available degree of freedom labels (10 maximum).
Valid item and component labels for element results are:
S | COMP | X, Y, Z, XY, YZ, and XZ component stresses.
" PRIN S1, S2, S3 principal stresses, SINT stress intensity, and SEQV equivalent stress.
" FAIL Maximum Stress, Tsai-Wu Strength Index, and inverse of Tsai-Wu Strength Ratio Index Failure Criteria. [2][4]
EPEL | COMP | Component elastic strains.
" PRIN Principal elastic strains, strain intensity, and equivalent strain.
" FAIL Maximum Strain Failure Criteria. [2][4]
EPTH | COMP | Component thermal strains.
" PRIN Principal thermal strains, strain intensity, and equivalent strain.
EPPL | COMP | Component plastic strains.
" PRIN Principal plastic strains, strain intensity, and equivalent strain.
EPCR | COMP | Component creep strains.
" PRIN Principal creep strains, strain intensity, and equivalent strain.
EPSW | Swelling strain.
EPTO | COMP | Component total mechanical strains (EPEL + EPPL + EPCR).
" PRIN Principal total mechanical strains, strain intensity, and equivalent strain.
EPTT | COMP | Component total mechanical and thermal strains (EPEL + EPPL + EPCR + EPTH).
" PRIN Principal total mechanical and thermal strains, strain intensity, and equivalent strain.
NL | Nonlinear items (SEPL, SRAT, HPRES, EPEQ, CREQ, PSV, PLWK).
SEND | Elastic, plastic, and creep strain energy density.
FAIL | Failure criteria [2][4]. Components listed: Maximum of all failure criteria defined at current node (MAX), maximum strain (EMAX), maximum stress (SMAX), Tsai-Wu Strength Index (TWSI), inverse of Tsai-Wu Strength Ratio Index (TWSR), and any user-defined failure friteria (USR1 through USR6).
SVAR | 1, 2, 3, ... N | State variable.
GKS | COMP | X, XY, XZ component gasket stress.
GKD | COMP | X, XY, XZ component gasket total closure.
GKDI | COMP | X, XY, XZ component gasket total inelastic closure.
GKTH | COMP | X, XY, XZ component thermal closure.
SS | X, XY, XZ | Interface traction (stress).
SD | X, XY, XZ | Interface separation
CONT | Contact items (STAT[3], PENE, PRES, SFRIC, STOT, SLIDE, GAP, FLUX, CNOS). See component descriptions in PLNSOL.
TG | COMP | Component thermal gradients and vector sum.
TF | COMP | Component thermal fluxes and vector sum.
PG | COMP | Component pressure gradients and vector sum.
EF | COMP | Component electric fields and vector sum.
D | COMP | Component electric flux densities and vector sum.
H | COMP | Component magnetic field intensities and vector sum.
B | COMP | Component magnetic flux densities and vector sum.
FMAG | COMP | Component magnetic forces and vector sum [2].
JC | COMP | Conduction current density for elements that support conduction current calculation. Components (X, Y, Z) and vector sum (SUM). [2].
BFE | Body temperatures (calculated from applied temperatures) as used in solution (area and volume elements only).
TOPO | Densities used for topological optimization. This applies to nodes attached to the following types of elements: PLANE82, SOLID92, SHELL93, SOLID95.
Valid item and component labels for FLOTRAN nodal results are:
TTOT | Total temperature.
HFLU | Heat flux.
HFLM | Heat transfer (film) coefficient.
COND | Fluid laminar conductivity.
PCOE | Pressure coefficient.
PTOT | Total (stagnation) pressure.
MACH | Mach number.
STRM | Stream function. (2-D applications only.)
DENS | Fluid density.
VISC | Fluid laminar viscosity.
SPHT | Specific heat.
EVIS | Fluid effective viscosity.
CMUV | Turbulent viscosity coefficient.
ECON | Fluid effective conductivity.
YPLU | Y+, a turbulent law of the wall parameter.
TAUW | Shear stress at the wall.
SFTS | Surface tension coefficient.
LMDn | Laminar mass diffusion coefficient for species n, where n = 1 to 6.
EMDn | Effective mass diffusion coefficient for species n, where n = 1 to 6.
RDFL | Radiation heat flux.

  1. For SHELL131 and SHELL132 elements with KEYOPT(3) = 0 or 1, use the labels TBOT, TE2, TE3, . . ., TTOP instead of TEMP.

  2. Not supported by PowerGraphics

  3. For the CONT items for elements CONTA171 through CONTA177, the reported data is averaged across the element.

  4. Works only if FC command information is provided.

Menu Paths

Main Menu>General Postproc>List Results>Nodal Solution
Main Menu>General Postproc>List Results>Sorted Listing>Sort Nodes
Utility Menu>List>Results>Nodal Solution

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRNLD 		Up / Home Next
PROD


PROD

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PROD, IR, IA, IB, IC, Name, --, --, FACTA, FACTB, FACTC

Multiplies variables.

POST26: Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

IR

Arbitrary reference number assigned to the resulting variable (2 to NV [NUMVAR]). If this number is the same as for a previously defined variable, the previously defined variable will be overwritten with this result.

IA, IB, IC

Reference numbers of the three variables to be operated on. If only two leave IC blank. If only one, leave IB blank also.

Name

Thirty-two character name identifying the variable on printouts and displays. Embedded blanks are compressed for output.

--, --

Unused fields

FACTA, FACTB, FACTC

Scaling factors (positive or negative) applied to the corresponding variables (default to 1.0).

Notes

Multiplies variables (up to three at once) according to the operation:

IR = (FACTA x IA) x (FACTB x IB) x (FACTC x IC)

Menu Paths

Main Menu>TimeHist Postpro>Math Operations>Multiply

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRNSOL 		Up / Home Next
PRORB


PRORB

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRORB

Prints the orbital motion characteristics of a rotating structure

POST1: Results

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Notes

When a structure is rotating and the Coriolis or gyroscopic effect is taken into account (CORIOLIS), nodes lying on the rotation axis generally exhibit an elliptical orbital motion. The PRORB command prints out the orbit characteristics A, B, PSI, PHI, YMAX and ZMAX of each rotating node, where

A is the semi-major axis.
B is the semi-minor axis.
PSI is the angle between local y axis and major axis.
PHI is the angle between initial position (t = 0) and major axis.
YMAX is the maximum displacement along local y axis.
ZMAX is the maximum displacement along local z axis.

Angles PSI and PHI are in degrees and within the range of -180 through +180. For more information about orbit definition, see Orbits in the Advanced Analysis Techniques Guide.

To display the characteristics of the orbital path traversed by each node, issue the PLORB command.

The PRORB command is valid for the following line elements: BEAM4, PIPE16, BEAM188, and BEAM189. Your model must also involve a rotational velocity (OMEGA or CMOMEGA) with Coriolis enabled in a stationary reference frame (CORIOLIS,,,,RefFrame = ON).

The coordinate system for displaying nodal results must be global Cartesian (RSYS,KCN = 0).

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PROD 		Up / Home Next
PRPATH


PRPATH

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRPATH, Lab1, Lab2, Lab3, Lab4, Lab5, Lab6

Prints path items along a geometry path.

POST1: Path Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab1, Lab2, Lab3, . . . , Lab6

Labels identifying the path items to be printed. Up to six items may be printed at a time. Predefined path geometry items XG, YZ, ZG, and S [PDEF] may also be printed.

Notes

Prints path items with respect to a geometry path (as defined by the PATH and PPATH commands). Path items and their labels must have been defined with the PDEF, PVECT, PCALC, PDOT, or PCROSS commands. Path items may also be displayed with the PLPATH and PLPAGM commands. See the PRANGE command for range control of the path.

Menu Paths

Main Menu>General Postproc>List Results>Path Items
Main Menu>General Postproc>Path Operations>Plot Path Item>List Path Items
Utility Menu>List>Results>Path Data

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRORB 		Up / Home Next
PRRFOR


PRRFOR

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRRFOR, Lab

Used with the FORCE command. Prints the constrained node reaction solution.

POST1: Results

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Lab

Nodal reaction load type. If blank, use the first ten of all available labels. Valid labels are: Structural force labels: FX, FY or FZ (forces); F (FX, FY and FZ); MX, MY or MZ (moments); M (MX, MY and MZ). Thermal force labels: HEAT, HBOT, HE2, HE3, . . ., HTOP (heat flow). Fluid force labels: FLOW (fluid flow); VFX, VFY and VFZ (fluid "forces"); VF (VFX, VFY and VFZ). Electric force labels: AMPS (current flow); CHRG (charge); CURT (current); VLTG (voltage drop). Magnetic force labels: FLUX (magnetic flux); CSGX, CSGY, CSGZ (magnetic current segments); CSG (CSGX, CSGY and CSGZ); CURT (current), VLTG (voltage drop).

Notes

PRRFOR has the same functionality as the PRRSOL command; use PRRFOR instead of PRRSOL when a FORCE command has been issued.

PRRFOR cannot be used when a squaring operation has been carried out on a load case [such as in PSD and spectrum analyses]. PRRSOL values are correct in this case, because they are squared after summing the nodal forces.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRPATH 		Up / Home Next
PRRSOL


PRRSOL

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRRSOL, Lab

Prints the constrained node reaction solution.

POST1: Results

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Lab

Nodal reaction load type. If blank, use the first ten of all available labels. Valid labels are: Structural force labels: FX, FY or FZ (forces); F (FX, FY and FZ); MX, MY or MZ (moments); M (MX, MY and MZ); BMOM (bimoments). Thermal force labels: HEAT, HBOT, HE2, HE3, . . ., HTOP (heat flow). Fluid force labels: FLOW (fluid flow); VFX, VFY and VFZ (fluid "forces"); VF (VFX, VFY and VFZ). Electric force labels: AMPS (current flow); CHRG (charge); CURT (current); VLTG (voltage drop). Magnetic force labels: FLUX (magnetic flux); CSGX, CSGY, CSGZ (magnetic current segments); CSG (CSGX, CSGY and CSGZ); CURT (current), VLTG (voltage drop).

Notes

Prints the constrained node reaction solution for the selected nodes in the sorted sequence. For coupled nodes and nodes in constraint equations, the sum of all reactions in the coupled or constraint equation set appears at the primary node of the set. Results are in the global Cartesian coordinate directions unless transformed [RSYS]. PRRSOL is not valid if any load is applied to a constrained node in the direction of the constraint and any of the following is true: a) LCOPER has been used, or b) LCASE has been used to read from a load case file or c) the applied loads and constraints in the database are not the ones used to create the results data being processed.

Use PRRFOR instead of PRRSOL with the FORCE command.

Menu Paths

Main Menu>General Postproc>List Results>Reaction Solu
Utility Menu>List>Results>Reaction Solution

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRRFOR 		Up / Home Next
PRSECT


PRSECT

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRSECT, RHO, KBR

Calculates and prints linearized stresses along a section path.

POST1: Path Operations

MP ME ST PR PRN <> <> <> <> <> <> PP <>

RHO

In-plane (X-Y) average radius of curvature of the inside and outside surfaces of an axisymmetric section. If zero (or blank), a plane or 3-D structure is assumed. If nonzero, an axisymmetric structure is assumed. Use any large number (or -1) for an axisymmetric straight section.

KBR

Through-thickness bending stresses key for an axisymmetric analysis (RHO ≠ 0):

0
 —

Include the thickness-direction bending stresses.

1
 —

Ignore the thickness-direction bending stresses.

2
 —

Include the thickness-direction bending stress using the same formula as the Y (axial direction ) bending stress. Also use the same formula for the shear stress.

Notes

Calculates and prints linearized stresses along a section path [PATH] as defined by the two points specified with the PPATH command. Use only the NODE option on PPATH to define the path, which must be two nodes only. The path must be entirely within the selected elements (that is, there must not be any element gaps along the path). No data is retained on the path; the path is used only to retrieve the two path node numbers. Gives component and principal stresses at the beginning, mid-length, and end of the section. Stresses are also separated into membrane, bending, membrane plus bending, peak, and total stress categories. The total stress can also be printed for intermediate points with the PRPATH command. Stresses are output in section coordinates (SX along the path, SY normal, and SZ hoop) for axisymmetric sections, and in the active coordinate system [RSYS] for plane and 3-D structures. Principle stresses are recalculated from the component stresses and are invariant with the coordinate system as long as SX is in the same direction at all points along the defined path. It is generally recommended that section calculations be performed in a rectangular coordinate system (e.g. global Cartesian). Use PLSECTcommand to display stresses.

Stresses through a section may be linearized and separated into categories for various code calculations. Linearized stresses may be printed [PRSECT] and displayed [PLSECT]. The section is defined by a path consisting of two end points (nodes) and 47 intermediate points (automatically determined by linear interpolation in the active display coordinate system [DSYS]), regardless of the number of divisions set by PATH,,,,nDiv. The values of the component stresses to be linearized are interpolated at the path points within each path element from the element's average corner nodal values. These values will be dependent on the active coordinate system. If RSYS, SOLU or RSYS, -1 are active, the linearized stresses will be calculated and printed in the global Cartesian coordinate system. The section path may be through any solid (2-D plane, 2-D axisymmetric, or 3-D) elements. Section paths, which may be anywhere, are usually defined to be through the thickness of the structure and normal to the inner and outer structure surfaces. Section paths (in-plane only) may also be defined for shell element structures. See the Theory Reference for ANSYS and ANSYS Workbench for details.

Stress components through the section are linearized by a line integral method and separated into constant membrane stresses, bending stresses varying linearly between end points, and peak stresses (defined as the difference between the actual (total) stress and the membrane plus bending combination).

For nonaxisymmetric structures, the bending stresses are calculated such that the neutral axis is at the midpoint of the path. Axisymmetric results include the effects of both the radius of revolution (automatically determined from the node locations) and the in-plane average radius of curvature of the section surfaces (user input).

For axisymmetric cases, ANSYS calculates the linearized bending stress in the through-thickness direction as the difference between the total outer fiber stress and the membrane stress if KBR = 1. The calculation method may be conservative for locations with a highly nonlinear variation of stress in the through-thickness direction. Alternatively, you can specify KBR = 2 to calculate the bending stress using the same method and formula as the Y (axial direction) bending stress. For more information, see the discussion of axisymmetric cases (specifically (Equation 19–40)) in the Theory Reference for ANSYS and ANSYS Workbench.

Portions of this command are not supported by PowerGraphics [/GRAPHICS,POWER].

Menu Paths

Main Menu>General Postproc>List Results>Linearized Strs
Main Menu>General Postproc>Path Operations>List Linearized
Utility Menu>List>Results>Linearized Stresses

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRRSOL 		Up / Home Next
PRSSOL


PRSSOL

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRSSOL, Item, Comp

Prints BEAM188 and BEAM189 section results.

POST1: Results

MP ME ST <> <> <> <> <> <> <> <> PP <>

Item

Label identifying the item. Valid item labels are listed below. Some items also require a component label.

Comp

Component of the item (if required). Valid component labels are listed below.

Notes

PRSSOL prints the BEAM188 and BEAM189 section nodal and section integration point results. Stresses and strains are printed at section nodes. Plastic strains, plastic work, and creep strains are printed at section integration points. For example, PRSSOL,S,COMP prints the X, XZ, and XY components of stresses at section nodes.

To display a listing of the section nodal and integration point coordinates, use the SLIST command.

PRSSOL - Valid Item and Component Labels

Item | Comp | Description
Valid item and component labels for section results are:
S | COMP | X, XZ, XY stress components.
" | PRIN | S1, S2, S3 principal stresses, SINT stress intensity, and SEQV equivalent stress.
EPTO | COMP | Total strains (EPEL+EPPL+EPTH).
" | PRIN | Total principal strains, strain intensity, and equivalent strain.
EPPL | COMP | Plastic strain components.
" | PRIN | Principal plastic strains, plastic strain intensity, and equivalent plastic strain.
EPCR | COMP | Creep strain components.
“ | PRIN | Principal creep strains, creep strain intensity, and equivalent creep strain.
EPTH |  | Thermal strains.
NL |  | Nonlinear item plastic work.
BMOM |  | Bimoments.

Menu Paths

Main Menu>General Postproc>List Results>Section Solution
Utility Menu>List>Results>Section Solution

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRSECT 		Up / Home Next
PRSYZ


PRSYZ

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRSYZ, Fname, Ext, Lab, Opt, VAL1, VAL2, VAL3, VAL4, VAL5, VAL6, VAL7, VAL8, VAL9, VAL10, VAL11, VAL12, VAL13, VAL14, VAL15, VAL16

Converts and lists scattering, admittance, or impedance parameters.

POST1: Special Purpose

MP <> <> <> <> <> <> <> <> EH <> PP <>

Fname

File name and directory path of a Touchstone file (248 characters maximum, including the characters needed for the directory path). A Touchstone file may be created in ANSYS by performing a frequency sweep using the SPSWP command macro, or may it be supplied from another source. An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

Ext

Extension of Touchstone file (.snp where n is the number of ports).

Lab

Output parameters:

S
—

Scattering parameters (default)

Y
—

Admittance parameters

Z
—

Impedance parameters

SNRM
—

Renormalized S-parameters

Opt

Format of Touchstone file:

MA
—

Magnitude and angle

DB
—

Magnitude and angle with magnitude in dB units. Only available for scattering parameters (Lab = S).

RI
—

Real and imaginary parts (default).

VAL1, VAL2, VAL3, . . . , VAL16

Port characteristic impedance (ohms). Defaults to 50 ohms. Only used for Lab = SNRM.

Notes

For Lab = SNRM, the renormalized S-parameters are output to a new Touchstone file with the name Fname_Sparm.snp. Up to 16 ports can be renormalized.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>List Results>Field Extension>S,Y,Z Parameters

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRSSOL 		Up / Home Next
PRTIME


PRTIME

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRTIME, TMIN, TMAX

Defines the time range for which data are to be listed.

POST26: Listing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

TMIN

Minimum time (defaults to the first point stored).

TMAX

Maximum time (defaults to the last point stored).

Command Default

Use the previously defined range [TIMERANGE].

Notes

Defines the time (or frequency) range (within the range stored) for which data are to be listed.

Menu Paths

Main Menu>TimeHist Postpro>Settings>List

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRSYZ 		Up / Home Next
PRVAR


PRVAR

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRVAR, NVAR1, NVAR2, NVAR3, NVAR4, NVAR5, NVAR6

Lists variables vs. time (or frequency).

POST26: Listing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NVAR1, NVAR2, NVAR3, . . . , NVAR6

Variables to be displayed, defined either by the reference number or a unique thirty-two character name. If duplicate names are used the command will print the data for the lowest-numbered variable with that name.

Notes

Lists variables vs. time (or frequency). Up to six variables may be listed across the line. Time column output format can be changed using the /FORMAT command arguments Ftype, NWIDTH, and DSIGNF.

Menu Paths

Main Menu>TimeHist Postpro>List Variables

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRTIME 		Up / Home Next
PRVAROPT


PRVAROPT

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRVAROPT, Lab1, Lab2, Lab3, Lab4, Lab5, Lab6, Lab7, Lab8, Lab9, Lab10

Lists up to ten optimization parameters.

OPTIMIZATION: Display

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab1, Lab2, Lab3, . . . , Lab10

Names of the parameters to be listed.

Notes

Lists up to ten optimization parameters at a time. Parameters are listed vs. the XVAROPT parameter (defaults to set number) in the order corresponding to an ascending order of the XVAROPT parameter.

Menu Paths

Main Menu>Design Opt>Design Sets>Graphs/Tables

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRVAR 		Up / Home Next
PRVECT


PRVECT

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PRVECT, Item, Lab2, Lab3, LabP

Prints results as vector magnitude and direction cosines.

POST1: Results

POST1: Element Table

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Item

Predefined vector item (from PRVECT - Valid Item and Component Labels below) or a label identifying the i-component of a user-defined vector.

Lab2

Label identifying the j-component of a user-defined vector. In most cases, this value must be blank if Item is selected from PRVECT - Valid Item and Component Labels. Individual principal stresses (Item = S) or principal strains (Item = EPxx) may be printed by specifying the value as 1, 2, or 3.

Lab3

Label identifying the k-component of a user-defined vector. Must be blank if Item is selected from list below or for 2-D user defined vector.

LabP

Label assigned to resultant vector for printout labeling (defaults to Item).

Notes

Prints various solution results as vector magnitude and direction cosines for the selected nodes and/or elements. For example, PRVECT,U prints the displacement magnitude and its direction cosines for all selected nodes. For nodal degree of freedom vector results, direction cosines are with respect to the results coordinate system RSYS. For element results, direction cosines are with respect to the global Cartesian system. Item components may be printed with the PRNSOL command. Various results also depend upon the recalculation method and the selected results location [LAYER, SHELL, NSEL, and ESEL]. Items may be selected from a set of recognized vector labels (Item) or a vector may be defined from up to three scalar labels (Item,Lab2,Lab3). Scalar labels may be user-defined with the ETABLE command.

Portions of this command are not supported by PowerGraphics [/GRAPHICS,POWER].

It is possible to print principal stresses (Item = S) or principal strains (Item = EPxx) individually. To do so, specify a Lab2 value of 1, 2, or 3. For example, the following are valid commands:

PRVECT,S,1,,,VECT,ELEM,ON,0
PRVECT,EPEL,3,,,VECT,NODE,ON,0

PRVECT - Valid Item and Component Labels

Item | Comp | Description
Valid item labels for nodal degree of freedom vector results are:
U |  | Structural displacement vector magnitude and direction cosines.
ROT |  | Structural rotation vector magnitude and direction cosines.
V |  | Velocity vector magnitude and direction cosines.
A |  | Magnetic vector potential vector magnitude and direction cosines.
Valid item labels for element results are:
S |  | Principal stresses and direction cosines.
EPTO |  | Principal total strains (EPEL + EPPL + EPCR) and direction cosines.
EPEL |  | Principal elastic strains and direction cosines.
EPPL |  | Principal plastic strains and direction cosines.
EPCR |  | Principal creep strains and direction cosines.
EPTH |  | Principal thermal strains and direction cosines.
TG |  | Thermal gradient vector sum and direction cosines.
TF |  | Thermal flux vector sum and direction cosines.
PG |  | Pressure gradient vector sum and direction cosines.
EF |  | Electric field vector sum and direction cosines.
D |  | Electric flux density vector sum and direction cosines.
H |  | Magnetic field intensity vector sum and direction cosines. If Lab2 is blank, then Item is interpreted as one of the predefined labels. Otherwise, Item is interpreted as a user-defined ET label and ANSYS will request a non-blank Lab2/Lab3 according to the dimension of the problem.
B |  | Magnetic flux density vector sum and direction cosines.
FMAG |  | Magnetic force vector sum and direction cosines.
P |  | Poynting vector sum and direction cosines.
JS |  | Source current density vector sum and direction cosines for low-frequency magnetic analyses. Total current density vector sum and direction cosines (sum of conduction and displacement current densities) in low frequency electric analyses.
JT |  | Total measureable current density vector sum and direction cosines in low-frequency electromagnetic analyses. (Conduction current density vector sum and direction cosines in a low-frequency electric analysis.)
JC |  | Conduction current density vector sum and direction cosines for elements that support conduction current calculation.

Menu Paths

Main Menu>General Postproc>List Results>Vector Data
Utility Menu>List>Results>Vector Data

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRVAROPT 		Up / Home Next
PSCONTROL


PSCONTROL

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PSCONTROL, Option, Key

Turn shared-memory parallel operations on or off during solution.

SOLUTION: Analysis Options

MP ME ST PR PRN <> <> FL EM EH <> PP <>

Option

Specify the operations for which you will enable/disable parallel behavior:

FORM
—

Turn parallel on/off during element matrix generation.

SOLV
—

Turn parallel on/off during equation solver.

RESU
 —

Turn parallel on/off during element results calculation.

RESET
 —

Reset control options to default values.

STAT
 —

List parallel operations that are enabled/disabled.

Key

Option control key. Used only for Option = FORM, SOLV, or RESU.

ON
—

Turn parallel operation on.

OFF
—

Turn parallel operation off.

Command Default

Leave all parallel operations enabled (ON) if multiple processors under Shared-memory ANSYS are used.

Notes

Use this control on shared memory parallel operations when you encounter minor discrepancies in a nonlinear solution when using different numbers of processors. A parallel operation applied to the element matrix generation can produce a different nonlinear solution with a different number of processors. Although the nonlinear solution converges to the same nonlinear tolerance, the minor discrepancy created may not be desirable for consistency.

The SOLV option supports only the sparse direct, PCG, frontal, and AMG solvers [EQSLV,SPARSE (or PCG, FRONT, or AMG)]. No other solvers are supported by this option. The PCG and frontal solvers for the subspace modal eigenvalue extraction method are also not supported by this option.

The RESU option does not apply to p-elements.

This command applies only to shared-memory architecture. It does not apply to the Distributed ANSYS product.

This command does not apply to FLOTRAN analyses.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRVECT 		Up / Home Next
PSCR


PSCR

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PSCR, Kywrd, KEY

Specifies various PostScript options.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

If Kywrd = CMAP, command format is PSCR,CMAP,INDEX,IRED,IGRN,IBLU.

INDEX

Color map index (0 to 15, 128 to 255).

IRED

Red intensity (0 to 100).

IGRN

Green intensity (0 to 100).

IBLU

Blue intensity (0 to 100).

If Kywrd = LWID, command format is PSCR,LWID,KYLWID.

KYLWID

Line width factor (1 to 99, initially 3).

If Kywrd = COLOR, command format is PSCR,COLOR,KEY.

KEY

Color key:

0

Monochrome.

1

16 colors.

2

256+ colors.

3

Shaded monochrome.

If Kywrd = TRANX, command format is PSCR,TRANX,OFFSET.

OFFSET

X translational offset (initially 592).

If Kywrd = TRANY, command format is PSCR,TRANY,OFFSET.

OFFSET

Y translational offset (initially 25).

If Kywrd = ROTATE, command format is PSCR,ROTATE,ANGLE.

ANGLE

Rotation angle in degrees (initially 90.0).

If Kywrd = SCALE, command format is PSCR,SCALE,SCALE.

SCALE

Scale factor (initially 0.238).

If Kywrd = TIFF, command format is PSCR,TIFF,KEY. Used to add a Tagged Image File Format (TIFF) bitmap preview image to the encapsulated PostScript file.

KEY

Preview image key:

0

Do not include TIFF bitmap preview image.

1

Include wireframe TIFF bitmap preview image.

2

Include shaded TIFF bitmap preview image.

If Kywrd = EPSI, command format is PSCR,EPSI,KEY. Used to add an Encapsulated PostScript Interchange (EPSI) format bitmap preview image to the encapsulated PostScript file.

KEY

Preview image key:

0

Do not include EPSI bitmap preview image.

1

Include wireframe EPSI bitmap preview image.

2

Include shaded EPSI bitmap preview image.

If Kywrd = PAPER, command format is PSCR,PAPER,SIZE,ORIENT.

SIZE

Standard paper sizes, A, B, C, D, E, A4, A3, A1, A0.

ORIENT

Paper orientation, either Landscape or Portrait.

If Kywrd = HIRES, command format is PSCR,HIRES,KEY. Used to select the output resolution.

KEY

Output resolution key:

0

High resolution graphics off. The image is exported as a bitmap.

1

High resolution graphics on. The image will be exported in polygon mode (/TYPE, , 4 precise hidden) for maximum printer resolution.

Notes

This command is available in both the ANSYS and DISPLAY programs. It is valid for postscript format files chosen in ANSYS with the /SHOW,PSCR command, or in DISPLAY with /SHOWDISP,POSTSCRIPT.

An output file is generated for each plot. The ANSYS file is named JobnameNN.pscr. In the DISPLAY program, this file is named PSCRnn. This file remains open for a subsequent /NOERASE plot, and will be incomplete until the program is closed (/EXIT), or until the next file is opened by the next /ERASE plot request.

Issuing PSCR,STAT will list paper size, orientation and resolution modes.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Utility Menu>PlotCtrls>Redirect Plots>To PSCR File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PSCONTROL 		Up / Home Next
PSDCOM


PSDCOM

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PSDCOM, SIGNIF, COMODE

Specifies the power spectral density mode combination method.

SOLUTION: Spectrum Options

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

SIGNIF

Combine only those modes whose significance level exceeds theSIGNIF threshold. For PSD response (SPOPT,PSD), the significance level is defined as the modal covariance matrix term, divided by the maximum modal covariance matrix term. Any term whose significance level is less than SIGNIF is considered insignificant and is not contributed to the mode combinations. The higher the SIGNIF threshold, the fewer the number of terms used. SIGNIF defaults to 0.0001. If SIGNIF is specified as 0.0, it is taken as 0.0.

COMODE

First COMODE number of modes to be actually combined. COMODE must always be less than or equal to NMODE (input quantity NMODE on the SPOPT command). COMODE defaults to NMODE. COMODE performs a second level of control for the first sequential COMODE number of modes to be combined. It uses the significance level threshold indicated by SIGNIF and operates only on the significant modes.

Notes

This command is also valid for PREP7. This command is valid only for SPOPT,PSD.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Product Restrictions

PSDCOM is not allowed in ANSYS Professional.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>PSD>Mode Combine
Main Menu>Solution>Load Step Opts>Spectrum>PSD>Mode Combine

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PSCR 		Up / Home Next
PSDFRQ


PSDFRQ

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PSDFRQ, TBLNO1, TBLNO2, FREQ1, FREQ2, FREQ3, FREQ4, FREQ5, FREQ6, FREQ7

Defines the frequency points for the input spectrum vs. FREQ tables of PSD and multi-point spectrum analyses.

SOLUTION: Spectrum Options

MP ME ST <> <> <> <> <> <> <> <> PP <>

TBLNO1

Input table number. When used with the COVAL or the QDVAL command, TBLNO1 represents the row number of this table. Up to 10 tables may be defined.

TBLNO2

Input table number. TBLNO2 is used only for the COVAL or the QDVAL commands and represents the column number of this table.

FREQ1, FREQ2, FREQ3, . . . , FREQ7

Frequency points (cycles/time) for spectrum vs. frequency tables. FREQ1 should be greater than zero, and values must be in ascending order. Log-log interpolation will be used between frequency points.

Notes

The spectrum values may be input with the PSDVAL (for SPOPT,PSD and SPOPT,MPRS), COVAL (for SPOPT,PSD only), or QDVAL (for SPOPT,PSD only) commands. A separate PSDFRQ command must be used for each table and cross table defined. Frequencies must be in ascending order.

Repeat PSDFRQ command for additional frequency points (50 maximum). Values are added after the last nonzero frequency. If all fields after PSDFRQ are blank, all input vs. frequency tables are erased. If TBLNO1 is nonblank, all corresponding PSDVAL tables are erased. If both TBLNO1 and TBLNO2 are nonblank, all corresponding COVAL and QDVAL tables are erased.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>MultiPt>Erase Tables
Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>MultiPt>Spect vs Freq
Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>PSD>Correlation>Cospectral
Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>PSD>Correlation>Erase Co & Quad
Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>PSD>Correlation>Quadspectral
Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>PSD>Erase Tables
Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>PSD>PSD vs Freq
Main Menu>Solution>Load Step Opts>Spectrum>MultiPt>Erase Tables
Main Menu>Solution>Load Step Opts>Spectrum>MultiPt>Spect vs Freq
Main Menu>Solution>Load Step Opts>Spectrum>PSD>Correlation>Cospectral
Main Menu>Solution>Load Step Opts>Spectrum>PSD>Correlation>Erase Co & Quad
Main Menu>Solution>Load Step Opts>Spectrum>PSD>Correlation>Quadspectral
Main Menu>Solution>Load Step Opts>Spectrum>PSD>Erase Tables
Main Menu>Solution>Load Step Opts>Spectrum>PSD>PSD vs Freq

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PSDCOM 		Up / Home Next
PSDGRAPH


PSDGRAPH

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PSDGRAPH, TBLNO1, TBLNO2

Displays input PSD curves

SOLUTION: Spectrum Options

MP ME ST <> <> <> <> <> <> <> <> PP <>

TBLNO1

PSD table number to display.

TBLNO2

Second PSD table number to display. TBLNO2 is used only in conjunction with the COVAL or the QDVAL commands.

Notes

The input PSD tables are displayed in log-log format as dotted lines. The best-fit curves, used to perform the closed-form integration, are displayed as solid lines. If there is a significant discrepancy between the two, then you should add one or more intermediate points to the table to obtain a better fit.

If TBLNO2 is zero, blank, or equal to TBLNO1, then the autospectra (PSDVAL) are displayed for TBLNO1. If TBLNO2 is also specified, then the autospectra for TBLNO1 and TBLNO2 are displayed, along with the corresponding cospectra (COVAL) and quadspectra (QDVAL), if they are defined.

This command is valid in any processor.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Spectrum>Graph PSD Tab
Main Menu>Solution>Spectrum>Graph PSD Tab

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PSDFRQ 		Up / Home Next
PSDRES


PSDRES

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PSDRES, Lab, RelKey

Controls solution output written to the results file from a PSD analysis.

SOLUTION: Spectrum Options

MP ME ST <> <> <> <> <> <> <> <> PP <>

Lab

Label identifying the solution output:

DISP
 —

Displacement solution (default). One-sigma displacements, stresses, forces, etc. Written as load step 3 on File.RST.

VELO
 —

Velocity solution. One-sigma velocities, "stress velocities," "force velocities," etc. Written as load step 4 of File.RST.

ACEL
 —

Acceleration solution. One-sigma accelerations, "stress accelerations," "force accelerations,” etc. Written as load step 5 on File.RST.

RelKey

Key defining relative or absolute calculations:

REL
 —

Calculations are relative to the base excitation (default).

ABS
 —

Calculations are absolute.

OFF
 —

No calculation of solution output identified by Lab.

Command Default

Relative displacement solution, no velocity or acceleration solution for 1 σ results.

Notes

Controls the amount and form of solution output written to the results file from a PSD analysis. One-sigma values of the relative or absolute displacement solution, relative or absolute velocity solution, relative or absolute acceleration solution, or any combination may be included on the results file.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>PSD>Calc Controls
Main Menu>Solution>Load Step Opts>Spectrum>PSD>Calc Controls

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PSDGRAPH 		Up / Home Next
PSDSPL


PSDSPL

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PSDSPL, TBLNO, RMIN, RMAX

Defines a partially correlated excitation in a PSD analysis.

SOLUTION: Spectrum Options

MP ME ST <> <> <> <> <> <> <> <> PP <>

TBLNO

Input PSD table number defined with PSDVAL command.

RMIN

Minimum distance between excitation points which are partially correlated. Excited nodes closer than RMIN will be fully correlated.

RMAX

Maximum distance between excitation points which are partially correlated. Excited nodes farther apart than RMAX will be uncorrelated.

Notes

Defines a partially correlated excitation in terms of a sphere of influence relating excitation point geometry (in a PSD analysis). If the distance between any two excitation points is less than RMIN, then the excitation is fully correlated. If the distance is greater than RMAX, then the excitation is uncorrelated. If the distance lies between RMIN and RMAX, then the excitation is partially correlated with the degree of correlation dependent on the separation distance between the points. This command is not available for a pressure PSD analysis.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>PSD>Correlation>Spatial Correlat
Main Menu>Solution>Load Step Opts>Spectrum>PSD>Correlation>Spatial Correlat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PSDRES 		Up / Home Next
PSDUNIT


PSDUNIT

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PSDUNIT, TBLNO, Type, GVALUE

Defines the type of PSD or multi-point response spectrum.

SOLUTION: Spectrum Options

MP ME ST <> <> <> <> <> <> <> <> PP <>

TBLNO

Input table number.

Type

Label identifying the type of spectrum:

DISP
—

Displacement spectrum (in terms of displacement2/Hz for PSD).

VELO
—

Velocity spectrum (in terms of velocity2/Hz for PSD).

ACEL
—

Acceleration spectrum (in terms of acceleration2/Hz for PSD).

ACCG
—

Acceleration spectrum (in terms of g2/Hz for PSD).

FORC
—

Force spectrum (in terms of force2/Hz for PSD).

PRES
—

Pressure spectrum (in terms of pressure2/Hz for PSD).

GVALUE

Value of acceleration due to gravity in any arbitrary units for ACCG PSD table. Default is 386.4 in/sec2.

Command Default

Acceleration (ACEL) spectrum (acceleration2/Hz).

Notes

Defines the type of PSD or multi-point response spectrum defined by the PSDVAL, COVAL, and QDVAL commands.

Force (FORC) and pressure (PRES) type spectra can be used only as a nodal excitation.

GVALUE is valid only when type ACCG is specified. A zero or negative value cannot be used. A parameter substitution can also be performed.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>MultiPt>Settings
Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>PSD>Settings
Main Menu>Solution>Load Step Opts>Spectrum>MultiPt>Settings
Main Menu>Solution>Load Step Opts>Spectrum>PSD>Settings

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PSDSPL 		Up / Home Next
PSDVAL


PSDVAL

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PSDVAL, TBLNO, SV1, SV2, SV3, SV4, SV5, SV6, SV7

Defines PSD or multi-point response spectrum values.

SOLUTION: Spectrum Options

MP ME ST <> <> <> <> <> <> <> <> PP <>

TBLNO

Input table number being defined.

SV1, SV2, SV3, . . . , SV7

Spectral values corresponding to the frequency points [PSDFRQ]. Values are interpreted as defined with the PSDUNIT command.

Notes

Defines PSD or multi-point response spectrum values to be associated with the previously defined frequency points. Repeat PSDVAL command for additional values, up to the number of frequency points [PSDFRQ]. Values are added after the last nonzero frequency.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>MultiPt>Spect vs Freq
Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>PSD>PSD vs Freq
Main Menu>Solution>Load Step Opts>Spectrum>MultiPt>Spect vs Freq
Main Menu>Solution>Load Step Opts>Spectrum>PSD>PSD vs Freq

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PSDUNIT 		Up / Home Next
PSDWAV


PSDWAV

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PSDWAV, TBLNO, VX, VY, VZ

Defines a wave propagation excitation in a PSD analysis.

SOLUTION: Spectrum Options

MP ME ST <> <> <> <> <> <> <> <> PP <>

TBLNO

Input PSD table number defined with PSDVAL command.

VX

Global Cartesian X-velocity of traveling wave.

VY

Global Cartesian Y-velocity of traveling wave.

VZ

Global Cartesian Z-velocity of traveling wave.

Notes

Defines a traveling wave in a PSD analysis. This command is not available for a pressure PSD analysis.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>PSD>Correlation>Traveling Wave
Main Menu>Solution>Load Step Opts>Spectrum>PSD>Correlation>Traveling Wave

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PSDVAL 		Up / Home Next
PSEL


PSEL

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PSEL, Type, Pname1, Pname2, Pname3, Pname4, Pname5, Pname6, Pname7, Pname8, Pname9, Pname10

Selects a path or paths.

POST1: Path Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Label identifying the type of select:

S
—

Select a new path.

R
—

Reselect a path from the current set of paths.

A
—

Additionally select a path and extend the current set of paths.

U
—

Unselect a path from the current set of paths.

ALL
—

Restore the full set of paths.

NONE
—

Unselect the full set of paths.

INV
—

Invert the current set of paths (selected becomes unselected and vice versa).

Pname1, Pname2, Pname3, . . . , Pname10

Name of existing path(s).

Notes

Selects a path or multiple paths, up to ten. Data are flagged as selected and unselected; no data are actually deleted from the database. There is no default for this command; you must specify a type and pathname.

Menu Paths

Main Menu>General Postproc>Path Operations>Archive Path>Store>Paths in file
Main Menu>Preprocessor>Path Operations>Store>Paths in file

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PSDWAV 		Up / Home Next
/PSF


/PSF

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

/PSF, Item, Comp, KEY, KSHELL, Color

Shows surface load symbols on model displays.

GRAPHICS: Labeling

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Item, Comp

Labels identifying the surface load to be shown; see /PSF - Valid Item and Component Labels.

KEY

Key to turn surface load symbols on or off:

0
 —

Off (default).

1
 —

On, shown as face outlines. Line surface loads [SFL] on solid model plots are shown as arrows.

2
 —

On, shown as arrows.

3
 —

On, shown as color filled surfaces. Line and area surface loads [SFL and SFA] on solid model plots are shown as arrows.

KSHELL

Visibility key for shell elements.

0
 —

Off (default), surface load symbols are displayed only on visible load faces.

1
 —

On, surface load symbols are displayed even if load face is not visible.

Color

Visibility key for contour legend.

ON
 —

The symbols (arrows or face outlines) will show up in color with the legend showing the corresponding color labels (default).

OFF
 —

The contour legend will not be displayed. The symbols (arrows or face outlines) will show up in grey. The size of the arrows will be proportional to the applied load.

Command Default

No surface load symbols are displayed.

Notes

This command determines whether and how to show surface loads on subsequent model displays. If surface loads are applied to solid model entities, only solid model plots will show the load symbols; node and element plots will not show them unless the loads are transferred [SFTRAN or SBCTRAN]. Similarly, if surface loads are applied to nodes and elements, solid model plots will not show the load symbols. For node and element plots of shell element models, the surface load symbols will be shown only if the load face is visible from the current viewing direction.

The effects of the /PSF command are not cumulative (that is, the command does not modify an existing setting from a previously issued /PSF command). If you issue multiple /PSF commands during an analysis, only the setting specified by the most recent /PSF command applies.

When you use the Radiosity method (Item = RDSF and Comp = ENCL) and you set Key = 2, the radiation arrows point outward from any element face. When using SURF154 with KEYOPT(2) = 1, set the Item to PRES and leave the Component Label blank.

Issue /PSF,STAT to display current /PSF settings, and /PSF,DEFA to reset them back to default. Other useful commands are /PNUM,SVAL,1 to show the values of the surface loads, /VSCALE to change arrow lengths, and /PBC and /PBF to turn on other load symbols.

For BEAM elements, only the colors representing shear (GREEN) and normal (RED) pressures are displayed for the arrows. The color of these arrows does not correspond to the magnitudes in the contour legend. The length of these arrows does, however, correlate to the relative magnitude of the pressures.

This command is valid in any processor.

/PSF - Valid Item and Component Labels

Item | Comp | Description
Valid item and component labels are:
PRES | NORM | Applied structural pressure normal to the face (real component).
" | TANX | Applied structural pressure in the tangential-x direction (real component).
" | TANY | Applied structural pressure in the tangential-y direction (real component).
“ | INRM | Applied structural pressure normal to the face (imaginary component).
“ | ITNX | Applied structural pressure in the tangential-x direction (imaginary component).
“ | ITNY | Applied structural pressure in the tangential-y direction (imaginary component).
CONV | HCOEF | Applied convection (film coefficient).
" | TBULK | Applied convection (bulk temperature).
RAD | EMIS | Applied radiation (emissivity).
" | TAMB | Applied radiation (ambient temperature).
RDSF | EMSS | Radiation emissivity.
“ | ENCL | Enclosure number.
FSIN |  | Fluid-solid interface number.
VFRC |  | Volume fraction (VOF method).
HFLUX |  | Applied heat flux.
FSI |  | Acoustic fluid-structure interface flag.
IMPD |  | Applied acoustic impedance.
SHLD | COND | Applied conductivity.
" | MUR | Applied relative permeability.
MXWF |  | Maxwell force flag.
INF |  | Exterior surface flag.
CHRGS |  | Applied electric surface charge density.
MCI |  | Magnetic circuit interface.

Menu Paths

Utility Menu>PlotCtrls>Symbols

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PSEL 		Up / Home Next
PSMESH


PSMESH

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PSMESH, SECID, Name, P0, Egroup, NUM, KCN, KDIR, VALUE, NDPLANE, PSTOL, PSTYPE, ECOMP, NCOMP

Create and mesh a pretension section

PREP7: Meshing

MP ME ST PR PRN <> <> <> <> <> <> PP <>

SECID

Unique section number. This number must not already be assigned to a section.

Name

Unique eight character descriptive name, if desired.

P0

Pretension node number. The node will be defined if it doesn't exist and the number defaults to the highest node number plus one.

Egroup, NUM

Element group on which PSMESH will operate. If Egroup = P, graphical picking is enabled and NUM is ignored (valid only in the GUI).

L (or LINE)
 —

PSMESH operates on all elements in the line specified by NUM. New pretension nodes are associated with NUM or entities below it. Any subsequent LCLEAR operation of NUM deletes the pretension elements and nodes created by PSMESH.

A (or AREA)
 —

PSMESH operates on all elements in the area specified by NUM. New pretension nodes are associated with NUM or entities below it. Any subsequent ACLEAR of NUM deletes the pretension elements and nodes created by PSMESH.

V (or VOLU)
 —

PSMESH operates on all elements in the volume specified by NUM. New pretension nodes are associated with NUM or entities below it. Any subsequent VCLEAR of NUM deletes the pretension elements and nodes created by PSMESH.

P
 —

PSMESH operates on elements selected through the subsequent picking operations, and NUM is ignored

ALL
 —

The command operates on all selected elements, and NUM is ignored.

KCN

Coordinate system number for the separation surface and normal direction.

KDIR

Direction (x, y, or z) normal to separation surface in the KCN coordinate system.

If KCN is cartesian, the pretension section normal will be parallel to the KDIR axis regardless of the position of the pretension node.

If KCN is non-cartesian, the pretension section normal will be aligned with the KDR direction of system KCN at the position of the pretension node.

VALUE

Point along the KDIR axis at which to locate the separation surface. Ignored if NDPLANE is supplied.

NDPLANE

Existing node that PSMESH will use to locate the separation surface. If NDPLANE is supplied, the location of the separation surface is defined by the KDIR coordinate of NDPLANE.

PSTOL

Optional absolute tolerance about VALUE. Allows nodes occurring slightly above or below the separation to be grouped properly. The following expression represents the default value:

where ΔX, ΔY, and ΔZ are the dimensions of the model based on nodal locations (that is, ΔX = Xmax - Xmin).

PSTYPE

If specified, this value is the type number for pretension elements. (If not specified, ANSYS defines this value.) If already defined, it must be of type PRETS179.

ECOMP

If specified, the name of a component to be composed of new pretension elements and existing elements modified by the PSMESH command.

NCOMP

Name of a component to be composed of nodes on new pretension elements.

Notes

The PSMESH command creates a pretension section normal to the pretension load direction by cutting the mesh along existing element boundaries at the point defined by VALUE or NDPLANE and inserting PRETS179 elements. The PSMESH command verifies that PSTYPE is PRETS179; if it is not, the command finds the lowest available ITYPE that is PRETS179, or if necessary will create a new one.

When it is necessary to define the pretension node, ANSYS uses node NDPLANE. If the NDPLANE value is not specified, ANSYS defines the pretension node at:

  • The centroid of geometric entity NUM, if Egroup = LINE, AREA or VOLU

  • The centroid location of all selected elements, if Egroup = ALL or if graphical picking is used.

If the elements to which the pretension load is to be applied have already been meshed in two groups, PSMESH cannot be used to insert the pretension elements. The EINTF command must be used to insert the PRETS179 elements between the two meshed groups.

The PSMESH operation copies any nodal temperatures you have defined on the split surface of the original mesh from the original nodes to the newly created coincident duplicate nodes. However, displacements, forces, and other boundary conditions are not copied.

By mathematical definition, the pretension surface must always be a flat plane. In a non-Cartesian coordinate system, the PSMESH command creates that plane at the indicated position, oriented with respect to the specified direction of the active system (in the same manner that the NROTAT command orients a nodal system with respect to a curved system). For example, assuming a X = 1 and Y = 45 in a cylindrical coordinate system with Z as the axis of rotation (KCN = 1), a pretension surface normal to X tilts 45 degrees away from the global X axis.

The PSMESH command is valid for structural analyses only.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Elements>Pretension>Pretensn Mesh>Elements in Area
Main Menu>Preprocessor>Modeling>Create>Elements>Pretension>Pretensn Mesh>Elements in Line
Main Menu>Preprocessor>Modeling>Create>Elements>Pretension>Pretensn Mesh>Elements in Volu
Main Menu>Preprocessor>Modeling>Create>Elements>Pretension>Pretensn Mesh>Picked Elements
Main Menu>Preprocessor>Modeling>Create>Elements>Pretension>Pretensn Mesh>Selected Element
Main Menu>Preprocessor>Modeling>Create>Elements>Pretension>Pretensn Mesh>With Options>Divide at Node>Elements in Area
Main Menu>Preprocessor>Modeling>Create>Elements>Pretension>Pretensn Mesh>With Options>Divide at Node>Elements in Line
Main Menu>Preprocessor>Modeling>Create>Elements>Pretension>Pretensn Mesh>With Options>Divide at Node>Elements in Volu
Main Menu>Preprocessor>Modeling>Create>Elements>Pretension>Pretensn Mesh>With Options>Divide at Node>Picked Elements
Main Menu>Preprocessor>Modeling>Create>Elements>Pretension>Pretensn Mesh>With Options>Divide at Node>Selected Element
Main Menu>Preprocessor>Modeling>Create>Elements>Pretension>Pretensn Mesh>With Options>Divide at Valu>Elements in Area
Main Menu>Preprocessor>Modeling>Create>Elements>Pretension>Pretensn Mesh>With Options>Divide at Valu>Elements in Line
Main Menu>Preprocessor>Modeling>Create>Elements>Pretension>Pretensn Mesh>With Options>Divide at Valu>Elements in Volu
Main Menu>Preprocessor>Modeling>Create>Elements>Pretension>Pretensn Mesh>With Options>Divide at Valu>Picked Elements
Main Menu>Preprocessor>Modeling>Create>Elements>Pretension>Pretensn Mesh>With Options>Divide at Valu>Selected Element
Main Menu>Preprocessor>Sections>Pretension>Pretensn Mesh>Elements in Area
Main Menu>Preprocessor>Sections>Pretension>Pretensn Mesh>Elements in Line
Main Menu>Preprocessor>Sections>Pretension>Pretensn Mesh>Elements in Volu
Main Menu>Preprocessor>Sections>Pretension>Pretensn Mesh>Picked Elements
Main Menu>Preprocessor>Sections>Pretension>Pretensn Mesh>Selected Element
Main Menu>Preprocessor>Sections>Pretension>Pretensn Mesh>With Options>Divide at Node>Elements in Area
Main Menu>Preprocessor>Sections>Pretension>Pretensn Mesh>With Options>Divide at Node>Elements in Line
Main Menu>Preprocessor>Sections>Pretension>Pretensn Mesh>With Options>Divide at Node>Elements in Volu
Main Menu>Preprocessor>Sections>Pretension>Pretensn Mesh>With Options>Divide at Node>Picked Elements
Main Menu>Preprocessor>Sections>Pretension>Pretensn Mesh>With Options>Divide at Node>Selected Element
Main Menu>Preprocessor>Sections>Pretension>Pretensn Mesh>With Options>Divide at Valu>Elements in Area
Main Menu>Preprocessor>Sections>Pretension>Pretensn Mesh>With Options>Divide at Valu>Elements in Line
Main Menu>Preprocessor>Sections>Pretension>Pretensn Mesh>With Options>Divide at Valu>Elements in Volu
Main Menu>Preprocessor>Sections>Pretension>Pretensn Mesh>With Options>Divide at Valu>Picked Elements
Main Menu>Preprocessor>Sections>Pretension>Pretensn Mesh>With Options>Divide at Valu>Selected Element

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/PSF 		Up / Home Next
PSOLVE


PSOLVE

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PSOLVE, Lab

Directs the program to perform a partial solution.

SOLUTION: Analysis Options

MP ME ST <> <> <> <> <> <> <> <> PP <>

Lab

Valid labels defining the solution step. All characters are required:

CGSOL
 —

Calculates the DOF solution using the Jacobi conjugate gradient solver. Requires Jobname.FULL. Displacements are updated.

EIGDAMP
 —

Calculates the eigenvalues and eigenvectors using the damped eigensolver. Requires Jobname.FULL from MODOPT,UNSYM or MODOPT,DAMP options. Produces Jobname.MODE.

EIGQRDA
 —

Calculates eigenvalues and eigenvectors using the QR damped eigensolver. Requires Jobname.EMAT from MODOPT,QRDAMP option. Produces Jobname.MODE.

EIGEXP
 —

Expands the eigenvector solution. Requires Jobname.MODE. Produces Jobname.RST.

EIGFULL
 —

Calculates the eigenvalues and eigenvectors using full subspace. Requires Jobname.EMAT from MODOPT,SUBSP option. Produces Jobname.MODE.

EIGLANB
 —

Calculates the eigenvalues and eigenvectors using Block Lanczos. Requires Jobname.EMAT from MODOPT,LANB option. Produces Jobname.MODE.

EIGLANPCG
 —

Calculates the eigenvalues and eigenvectors using PCG Lanczos. Requires Jobname.EMAT from MODOPT,LANPCG option. Produces Jobname.MODE.

EIGREDUC
 —

Calculates the eigenvalues and eigenvectors using Householder. Requires Jobname.REDM. Produces Jobname.MODE.

EIGUNSYM
 —

Calculates the eigenvalues and eigenvectors using the unsymmetric eigensolver. Requires Jobname.EMAT from MODOPT,UNSYM or MODOPT,DAMP options. Produces Jobname.MODE.

ELFORM
 —

Creates the element matrices. Produces Jobname.EMAT and Jobname.ESAV.

Note

If you want to include prestress effects (PSTRES,ON) from a previous prestress analysis, the ELFORM option requires the Jobname.EMAT and Jobname.ESAV files generated by that analysis.

ELPREP
 —

Modifies element matrices for solution and calculates inertia relief terms (IRLF). Requires Jobname.EMAT. Produces Jobname.EROT.

REDWRITE
 —

Writes the reduced matrix to a file. Requires Jobname.REDM. Produces Jobname.SUB.

TRIANG
 —

Triangularizes the matrices completely (or to the master degrees of freedom, if appropriate) or assembles the global matrices depending on the analysis type and options. Requires Jobname.EMAT. Produces Jobname.TRI (and Jobname.REDM) or Jobname.FULL.

Notes

Directs the program to perform a partial solution (that is, one step of an analysis sequence). Predefined analysis types (ANTYPE) perform a defined subset of these solution steps in a predefined sequence. You can use the partial solution procedure to repeat a certain step of an analysis or to restart an analysis.

Not all steps are valid for all analysis types. The order of the steps may vary depending on the result you desire. See the Basic Analysis Guide for a description of how to perform partial and predefined solutions.

! Prestressed modal analysis
!
/SOLU
ANTYPE,MODAL       ! Modal analysis
UPCOORD,1.0,ON     ! Display mode shapes relative to deformed geometry
                   !   in the postprocessor.
PSTRES,ON          ! Prestress effects ON
MODOPT,LANB        ! Select eigensolver
MXPAND,...         ! Specify the number of modes to expand, if desired.
PSOLVE,EIGLANB     ! Calculate the eigenvalues and eigenvectors.
                   ! EIGxxx label must be consistent with mode extraction method on MODOPT command.
FINISH
/SOLU              !Additional solution step for expansion.
EXPASS,ON
PSOLVE,EIGEXP      ! Expand the eigenvector solution. (Required if you
                   !   want to review mode shapes in the postprocessor.)
FINISH

In a cyclic symmetry analysis, PSOLVE,EIGLANB or PSOLVE,EIGLANPCG performs the modal analysis at multiple load steps, one for each nodal-diameter specified via the CYCOPT command. In addition, the eigenvector solution is expanded at each nodal-diameter solution, eliminating the need for a separate expansion pass (PSOLVE,EIGEXP).

If issuing PSOLVE,ELFORM and PSOLVE,ELPREP using the Jacobi Conjugate Gradient solver, do so only after issuing PSOLVE,CGSOL; otherwise, unpredictable results may occur.

Although documented to work, using the PSOLVE commands with an iterative solver is not likely to decrease solution-processing time.

If Jobname.EMAT is required, run the prior analysis with EMATWRITE,YES to ensure that a Jobname.EMAT is generated.

In a prestressed modal analysis, issue a PSOLVE,TRIANG command immediately before a PSOLVE,EIGDAMP or PSOLVE,EIGREDUC command to ensure that ANSYS creates a proper .FULL file. The PSOLVE ,EIGUNSYM; PSOLVE,EIGFULL; PSOLVE,EIGLANB; PSOLVE,EIGQRDA; and PSOLVE,EIGLANPCG commands do not require a preceding PSOLVE,TRIANG command and should not be preceded by a PSOLVE,TRIANG command.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Solve>Partial Solu

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PSMESH 		Up / Home Next
PSPEC


PSPEC

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PSPEC, MAT, DNOM, SCHED, OD, TK

Defines pipe material and dimensions.

PREP7: Piping

MP ME ST PR PRN <> <> <> <> <> <> PP <>

MAT

Material number referring to a material property [MP]. Material number must be between 1 and 40.

DNOM, SCHED

Nominal diameter of pipe and schedule rating. Only valid ratings accepted. If these are specified, the OD and TK values are found from an internal table.

Valid values for DNOM are: 1, 1.5, 2, 2.5, 3, 3.5, 4, 5, 6, 8, 10, 12, 14, 16, 18, 20, 22, 24, 26, 28, 30, 32, 34, and 36.

Valid ratings for SCHED are: 5, 5S, 10, 10S, 20, 30, 40, 40S, 60, 80 80S, 100, 120, 140, 160, XS, XXS, and STD.

OD

Outer diameter of pipe (if DNOM not specified). If both DNOM and OD are not specified, OD and TK retain their previous values.

TK

Wall thickness of pipe (if OD specified).

Notes

Defines pipe material and dimensions. See the PREP7 RUN command.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Piping Models>Specifications

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PSOLVE 		Up / Home Next
/PSPEC


/PSPEC

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

/PSPEC, PCOLOR, KFILL, KBORDR

Creates annotation polygon attributes (GUI).

GRAPHICS: Annotation

MP ME ST PR PRN <> <> FL EM <> <> PP <>

PCOLOR

Polygon color (0 [image] PCOLOR [image] 15):

0
 —

Black.

1
 —

Red-Magenta.

2
 —

Magenta.

3
 —

Blue-Magenta.

4
 —

Blue.

5
 —

Cyan-Blue.

6
 —

Cyan.

7
 —

Green-Cyan.

8
 —

Green.

9
 —

Yellow-Green.

10
 —

Yellow.

11
 —

Orange.

12
 —

Red.

13
 —

Dark Gray.

14
 —

Light Gray.

15
 —

White.

KFILL

Polygon fill key:

0
 —

Hollow polygon.

1
 —

Filled polygon.

KBORDR

Polygon border key:

0
 —

No border.

1
 —

Border.

Notes

Creates annotation polygon attributes to control certain characteristics of the polygons created via the /POLYGON, /PMORE, /PCIRCLE and /PWEDGE commands. This is a command generated by the Graphical User Interface (GUI) and will appear in the log file (Jobname.LOG) if annotation is used. This command is not intended to be typed in directly in an ANSYS session (although it can be included in an input file for batch input or for use with the /INPUT command).

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Annotation>Create Annotation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PSPEC 		Up / Home Next
PSPRNG


PSPRNG

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PSPRNG, NLOC, TYPE, K, DX, DY, DZ, ELEM

Defines a spring constraint in a piping run.

PREP7: Piping

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NLOC

Node where spring is to be placed. Defaults to current run starting point.

TYPE

Type of spring:

TRAN
—

Translational (default).

ROT
—

Rotational.

K

Spring constant value (must be positive).

DX, DY, DZ

Increment (in terms of the active coordinate system components) to determine spring ground point. Spring length must not be zero. Constraints are automatically generated at the ground point.

ELEM

Element number to be assigned to spring (defaults to the previous maximum element number (MAXEL + 1)).

Notes

Defines a spring constraint (spring element COMBIN14) at a given location in a piping run. See the PREP7 RUN command.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Piping Models>Spring Support

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/PSPEC 		Up / Home Next
/PSTATUS


/PSTATUS

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

/PSTATUS, WN

Displays the global or window display specifications.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number for status (defaults to global specifications).

Notes

Displays the current global or window display specifications. Global display specifications are common to all windows (e.g. /SHOW, etc.). Window display specifications are specific to one window (e.g. /VIEW, /TYPE, etc.).

This command is valid in any processor.

Menu Paths

Utility Menu>List>Status>Graphics>General
Utility Menu>List>Status>Graphics>Window 1
Utility Menu>List>Status>Graphics>Window 2
Utility Menu>List>Status>Graphics>Window 3
Utility Menu>List>Status>Graphics>Window 4
Utility Menu>List>Status>Graphics>Window 5

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PSPRNG 		Up / Home Next
PSTRES


PSTRES

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PSTRES, Key

Specifies whether prestress effects are calculated or included.

SOLUTION: Nonlinear Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Key

Prestress key:

OFF
 —

Do not calculate (or include) prestress effects (default).

ON
 —

Calculate (or include) prestress effects.

Notes

Specifies whether or not prestress effects are to be calculated or included. Prestress effects are calculated in a static or transient analysis for inclusion in a buckling, modal, harmonic (Method = FULL or REDUC), transient (Method = REDUC), or substructure generation analysis. If used in SOLUTION, this command is valid only within the first load step.

If the prestress effects are to be calculated in a nonlinear static or transient analysis (for a prestressed modal analysis of a large-deflection solution), you can issue a SSTIF,ON command (rather than a PSTRES,ON command) in the static analysis.

If thermal body forces are used during a static analysis for the calculation of prestress effects, these thermal body forces should not be deleted during any subsequent full harmonic response analyses. If these body forces are deleted, the thermal prestress effects will not be included in the harmonic response analysis. Temperature loads used to define the thermal prestress will also be used in the full harmonic response analysis as sinusoidally time-varying temperature loads.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Preprocessor>Loads>Analysis Type>Sol'n Controls>Basic
Main Menu>Solution>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>Sol'n Controls>Basic

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/PSTATUS 		Up / Home Next
/PSYMB


/PSYMB

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

/PSYMB, Label, KEY

Shows various symbols on displays.

GRAPHICS: Labeling

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Label

Show symbols as selected from the following labels:

CS
 —

Local coordinate systems.

NDIR
 —

Nodal coordinate systems (on rotated nodes only).

ESYS
 —

Element coordinate systems (element displays only).

LDIR
 —

Line directions (line displays only).

LDIV
 —

Controls the display of element divisions on lines.

ADIR
 —

Area direction symbol (for keypoint, line, area and volume plots).

LAYR
 —

Layer orientations (relative to the projected element x-axis) or fiber orientations in smeared reinforcing elements. Used only within an element display. Use KEY to specify the layer number.

PCON
 —

Convergence criterion symbols on nodes (for a p-method analysis).

ECON
 —

Element mesh symbols on keypoints and lines.

DOT
 —

Larger symbols displayed for node and keypoint locations. When Label = DOT, KEY = 1 by default.

XNOD
 —

Extra node of surface or circuit elements.

FBCS
 —

Force boundary condition scaling. Subsequent KEY value determines whether or not to scale the applied and derived forces/moments to the same maximum value.

DEFA
 —

Resets the symbol keys so that ANSYS displays none of the symbols controlled by the /PSYMB command. The value of the KEY field is ignored.

STAT
 —

Prints the status of the settings of the symbol keys controlled by the /PSYMB command. The KEY field is ignored.

KEY

Symbol key:

-1
 —

Effective only if Label = LAYR and solid shape element display (/ESHAPE) is active. Orientation of all layers appears with the solid shape element display.

0
 —

No symbol (default). If Label = LDIV, then KEY= 0 indicates that the displayed element divisions will correspond to the existing mesh (the word MESHED or EXISTING can also be substituted). Also, for Label = LDIV, if you execute any meshing command (such as AMESH or VMESH), KEY is set to 0 (MESHED) automatically. If Label = FBCS, then KEY= 0 indicates that boundary condition scaling will not be common. The applied and derived forces/moments will be scaled to their respective maximum values.

1
 —

Include symbol. If Label = LDIV, then KEY = 1 indicates that the displayed line divisions will correspond to the value assigned by LESIZE (the word LESIZE can also be substituted). Also, for Label = LDIV, if you execute the LESIZE command, KEY is set to 1 (LESIZE) automatically. If Label = FBCS, then KEY= 1 indicates that boundary condition scaling will be common. The applied and derived forces/moments will be scaled to the same maximum value.

N
 —

If Label = LAYR, then N is equal to the layer number. If Label = DOT, then N can be equal to 0,1,.....15, indicating the dot size. If Label = LDIV, then KEY = -1, indicates that no element divisions will be displayed (the word OFF can also be substituted).

Notes

Includes various symbols on the display. Triads are right-handed with x displayed as the longest leg. Where color is displayed, x is white, y is green, and z is blue. For beams, x is always along the length of the element. For lines, an arrow represents the direction of a line, from the beginning keypoint to the end keypoint. See /PLOPTS command for additional display options. Use /PSTATUS or /PSYMB,STAT to display settings. Use /PSYMB,DEFA to reset all specifications back to their defaults. The command /PSYMB,ECON,1 causes the symbol "M" to be displayed on keypoints and lines associated with meshed entities. When you issue the command /PSYMB,DOT,1, a larger symbol is displayed for each node and keypoint location.

PowerGraphics (/GRAPHICS,POWER) does not support /PSYMB,ESYS and /PSYMB,LAYR.

If KEY = N and PowerGraphics is off, the centroid of the surface elements is connected to the extra node using a gray line. However, if PowerGraphics is on, the color of the line connecting the centroid to the extra node is the same as that for the elements themselves (as determined by /PNUM).

When Label = LAYR, the layer systems can be visualized with all current-technology layered elements and the smeared reinforcing element REINF265.

This command is valid in any processor.

Menu Paths

Main Menu>Preprocessor>Modeling>Move / Modify>RotateNode>To Surf Norm>On Areas
Main Menu>Preprocessor>Modeling>Move / Modify>RotateNode>To Surf Norm>On Lines
Main Menu>Preprocessor>Modeling>Move / Modify>RotateNode>To Surf Norm>with Area
Main Menu>Preprocessor>Trefftz Domain>TZ Symmetry
Utility Menu>PlotCtrls>Symbols

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PSTRES 		Up / Home Next
PTEMP


PTEMP

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PTEMP, TOUT, TIN

Defines the pipe wall temperatures in a piping run.

PREP7: Piping

MP ME ST PR PRN <> <> <> <> <> <> PP <>

TOUT

Outer pipe wall temperature. If NONE, reset temperature specification to none (BFUNIF will be assigned).

TIN

Inner pipe wall temperature (defaults to TOUT).

Command Default

Assign uniform temperature BFUNIF to elements.

Notes

Defines the pipe wall temperatures in a piping run. These temperatures are assigned to the elements as they are generated. See the PREP7 RUN command.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Piping Models>Loads

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/PSYMB 		Up / Home Next
PTXY


PTXY

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PTXY, X1, Y1, X2, Y2, X3, Y3, X4, Y4

Defines coordinate pairs for use in polygons and prisms.

PREP7: Primitives

MP ME ST PR PRN <> <> FL EM <> <> PP <>

X1, Y1, X2, Y2, X3, Y3, X4, Y4

X and Y coordinate pairs on the working plane.

Notes

Defines coordinate pairs for use in polygons and prisms [POLY, RPRISM]. The coordinates must be in the Cartesian coordinate system. The coordinate pairs must be input in a continuous order. PTXY may be repeated (up to 100 pairs) until the required pairs have been defined. The pairs will be saved until either the POLY or PRISM command is entered. Use PTXY,STAT to list the saved coordinate pairs. Use PTXY,DELE to delete all the saved coordinate pairs. See the RPOLY, RPRISM, and RPR4 commands for other ways to create polygons and prisms.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PTEMP 		Up / Home Next
PUNIT


PUNIT

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PUNIT, KOPT

Selects the system of length units to be used in a piping run.

PREP7: Piping

MP ME ST PR PRN <> <> <> <> <> <> PP <>

KOPT

Units key:

0
 —

Input units are consistent (no conversions are done) (default).

FTIN or 1
 —

English units (feet A, inch B, fraction of inch C/D). Use A+B+C/D format for PDRAG, BRANCH, RUN, BEND, MITER, REDUCE, VALVE, BELLOW, FLANGE, PSPRNG, and PGAP commands. Precede by "-'' sign for negative coordinates. (Example: 5+6+7/16 for 5 ft. 6-7/16 in., +3 for 3 in., -0+3 for -3 in., +0+9/16 for 9/16 in.).

The two signs should not be consecutive. A, B, C, and D must be integers. Use B+C/D format for PSPEC, PINSUL, and PCORRO commands. (Example: 2 for 2 in., 3+1/2 for 3-1/2 in., +3/8 for 3/8 in.)

METRIC or 2
 —

Metric units (meter A, centimeter B, fraction of cm C/D). Use as explained for English units. (Example: 5+6+7/10 for 5 m 6-7/10 cm with PDRAG command.)

Command Default

Input units are consistent (no conversions are done).

Notes

Selects the system of length units to be used for the piping commands. Mixed length units require a + sign to delimit (or position) the units in the system and are converted to the smallest unit of the system (inches or centimeters) upon input.

Note

This conversion is local only to pure length units of the piping commands listed. Other units and units for other commands must be input to be consistent with the smallest length unit of the system used.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Piping Models>Specifications

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PTXY 		Up / Home Next
PVECT


PVECT

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

PVECT, Oper, LabXR, LabYR, LabZR

Interpolates a set of items onto a path.

POST1: Path Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Oper

Valid operations for geometry operations along a path are:

NORM
 —

Defines a unit normal vector at each interpolation point in the direction of the cross product of the tangent to the path and the active Z axis. Resulting vector components are in the active coordinate system (which must be Cartesian).

TANG
 —

Defines a unit vector tangent to the path at each interpolation point. Vector components are in the active coordinate system (which must be Cartesian).

RADI
 —

Defines the position vector of each interpolation point of the path from the center of the active coordinate system (which must be Cartesian).

LabXR

Label (8 characters maximum) assigned to X-component of the resulting vector.

LabYR

Label (8 characters maximum) assigned to Y-component of the resulting vector.

LabZR

Label (8 characters maximum) assigned to Z-component of the resulting vector.

Notes

Defines and interpolates a set of labeled path items along predefined path [PATH] and performs various geometric operations on these path items. A path item must be defined before it can be used with other path operations. Additional path items may be defined with the PDEF, PCALC, PDOT, and PCROSS commands. Path items may be listed or displayed with the PLPATH, PLPAGM and PRPATH commands. Path geometry items (XG, YG, ZG, S) are automatically interpolated (in the active CSYS) if not done so previously with the PDEF command.

Menu Paths

Main Menu>General Postproc>Path Operations>Unit Vector

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PUNIT 		Up / Home Next
/PWEDGE


/PWEDGE

Release 11.0 Documentation for ANSYS

Commands Reference | P Commands |

/PWEDGE, XCENTR, YCENTR, XLRAD, ANGLE1, ANGLE2

Creates an annotation wedge (GUI).

GRAPHICS: Annotation

MP ME ST PR PRN <> <> FL EM <> <> PP <>

XCENTR

Wedge X center location (-1.0 < X < 2.0).

YCENTR

Wedge Y center location (-1.0 < Y < 1.0).

XLRAD

Wedge radius length.

ANGLE1

Starting angle of wedge.

ANGLE2

Ending angle of wedge. The wedge is drawn counterclockwise from the starting angle, ANGLE1, to the ending angle, ANGLE2.

Notes

Creates an annotation wedge to be written directly onto the display at a specified location. This is a command generated by the Graphical User Interface (GUI) and will appear in the log file (Jobname.LOG) if annotation is used. This command is not intended to be typed in directly in an ANSYS session (although it can be included in an input file for batch input or for use with the /INPUT command).

All wedges are shown on subsequent displays unless the annotation is turned off or deleted. Use the /LSPEC and the /PSPEC command to set the attributes of the wedge.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Annotation>Create Annotation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PVECT 		Up / Home Next
Q Commands


Q Commands

Table of Contents

QDVAL - Defines PSD quadspectral values.
QFACT - Calculates the quality factor for high-frequency electromagnetic resonators.
QSOPT - Specifies quasi static radiation options.
QUAD - Generates a quadratic line of nodes from three nodes.
/QUIT - Exits a processor.
QUOT - Divides two variables.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/PWEDGE 		Up / Home Next
QDVAL


QDVAL

Release 11.0 Documentation for ANSYS

Commands Reference | Q Commands |

QDVAL, TBLNO1, TBLNO2, SV1, SV2, SV3, SV4, SV5, SV6, SV7

Defines PSD quadspectral values.

SOLUTION: Spectrum Options

MP ME ST <> <> <> <> <> <> <> <> PP <>

TBLNO1

First input PSD table number associated with this spectrum.

TBLNO2

Second input PSD table number associated with this spectrum.

SV1, SV2, SV3, . . . , SV7

PSD quadspectral values corresponding to the frequency points [PSDFRQ].

Notes

Defines PSD quadspectral values to be associated with the previously defined frequency points. Repeat QDVAL command with the same table number for additional points (50 maximum per curve). Unlike autospectra [PSDVAL], the quadspectra can be positive or negative. The quadspectral curve segment where there is a sign change is interpolated linearly (the rest of the curve segments use log-log interpolation). For better accuracy, choose as small a curve segment as possible wherever a sign change occurs.

Two table numbers are required since values are off-diagonal terms. This command is valid for SPOPT,PSD only.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>PSD>Correlation>Quadspectral
Main Menu>Solution>Load Step Opts>Spectrum>PSD>Correlation>Quadspectral

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Q Commands 		Up / Home Next
QFACT


QFACT

Release 11.0 Documentation for ANSYS

Commands Reference | Q Commands |

QFACT

Calculates the quality factor for high-frequency electromagnetic resonators.

POST1: Magnetics Calculations

MP <> <> <> <> <> <> <> <> EH <> PP <>

Notes

The QFACT command macro calculates the quality factor for high-frequency electromagnetic resonators. It returns the quality factor as a scalar parameter, QFACT. To compute the quality factor, the macro uses the stored energy, surface losses, and dielectric losses.

See magnetic macros for further details.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Elec&Mag Calc>Cavity>Q-factor

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
QDVAL 		Up / Home Next
QSOPT


QSOPT

Release 11.0 Documentation for ANSYS

Commands Reference | Q Commands |

QSOPT, Opt

Specifies quasi static radiation options.

SOLUTION: Radiosity

MP ME <> PR <> <> <> <> <> <> <> PP <>

Opt

Quasi static option:

OFF
—

Do not run transient radiation problem to steady-state (default).

ON
—

Run transient radiation problem to steady-state.

Notes

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Time/Frequenc>Quasi-Static
Main Menu>Solution>Load Step Opts>Time/Frequenc>Quasi-Static

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
QFACT 		Up / Home Next
QUAD


QUAD

Release 11.0 Documentation for ANSYS

Commands Reference | Q Commands |

QUAD, NODE1, NINTR, NODE2, NFILL, NSTRT, NINC, PKFAC

Generates a quadratic line of nodes from three nodes.

PREP7: Nodes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NODE1

Begin fill-in from this node location. If NODE1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

NINTR

Intermediate or guiding node. Quadratic curve will pass through this location. NINTR may have any node number and any location. If the quadratic line also generates a node with number NINTR, the generated location overrides the previous NINTR location.

NODE2

End quadratic fill-in at this node location.

NFILL

Fill-in NFILL nodes between NODE1 and NODE2 (defaults to |NODE2-NODE1|-1). NFILL must be positive.

NSTRT

Node number assigned to first filled-in node (defaults to NODE1 + NINC).

NINC

Add this increment to each of the remaining filled-in node numbers (may be positive or negative). Defaults to (NODE2-NODE1)/(NFILL + 1), i.e., linear interpolation.

PKFAC

Peak location factor. If PKFAC=0.5, the peak of the quadratic shape occurs at the NINTR location. If 0.0 < PKFAC < 0.5, the peak occurs to the NODE2 side of the NINTR location. If 0.5 < PKFAC < 1.0, the peak occurs to the NODE1 side of the NINTR location. Defaults to 0.5.

Notes

Generates a quadratic line of nodes (in the active coordinate system) from three nodes. The three nodes determine the plane of the curve and may have been defined in any coordinate system. Any number of nodes may be filled-in and any node number sequence may be assigned.

The quadratic line feature uses three nodes (NODE1,NINTR,NODE2) to determine the plane of the curve. The curve passes through the three points, beginning from NODE1, through the intermediate (or guiding) point NINTR, and toward NODE2.

Generated nodes are also quadratically spaced. If the guiding node number is within the set being generated, it will be relocated according to the quadratic spacing.

The peak location factor is used to determine how the quadratic fits through the three points. Various nodal progressions can be obtained by different combinations of PKFAC and the guiding node location. If the guiding node is at mid-length between NODE1 and NODE2, 0.293 [image] PKFAC< 0.707 will ensure that all generated nodes fall within the NODE1,NODE2 bounds. In the limit, as PKFAC approaches 0.0, the peak approaches the line through NODE1 and NINTR at an infinite distance from NODE1. The QUAD command generates quadratic lines of nodes, which in turn may be used as a base line for generating irregular surfaces of nodes (by repeating [*REPEAT], generating [NGEN, NSCALE], etc.). Irregular surfaces may also be generated with the meshing commands.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Nodes>Quadratic Fill

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
QSOPT 		Up / Home Next
/QUIT


/QUIT

Release 11.0 Documentation for ANSYS

Commands Reference | Q Commands |

/QUIT

Exits a processor.

SESSION: Processor Entry

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is an alternative to the FINISH command. If any cleanup or file writing is normally done by the FINISH command, it is bypassed if the /QUIT command is used instead. A new processor may be entered after this command. See the /EXIT command to terminate the run.

This command is valid in any processor. This command is not valid at the Begin level.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
QUAD 		Up / Home Next
QUOT


QUOT

Release 11.0 Documentation for ANSYS

Commands Reference | Q Commands |

QUOT, IR, IA, IB, --, Name, --, --, FACTA, FACTB

Divides two variables.

POST26: Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

IR

Arbitrary reference number assigned to the resulting variable (2 to NV [NUMVAR]). If this number is the same as for a previously defined variable, the previously defined variable will be overwritten with this result.

IA, IB

Reference numbers of the two variables to be operated on.

--

Unused field.

Name

Thirty-two character name identifying the variable on printouts and displays. Embedded blanks are compressed for output.

--, --

Unused fields.

FACTA, FACTB

Scaling factors (positive or negative) applied to the corresponding variables (default to 1.0).

Notes

Divides two variables according to the operation:

IR = (FACTA x IA)/(FACTB x IB)

Menu Paths

Main Menu>TimeHist Postpro>Math Operations>Divide

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/QUIT 		Up / Home Next
R Commands


R Commands

Table of Contents

R - Defines the element real constants.
RACE - Defines a "racetrack" current source.
RADOPT - Specifies Gauss-Seidel Radiosity Solver options.
RALL - Calculates solver statistics and run time estimates.
RAPPND - Appends results data from the database to the results file.
RATE - Specifies whether the effect of creep strain rate will be used in the solution of a load step.
/RATIO - Distorts the object geometry.
RBE3 - Distributes the force/moment applied at the master node to a set of slave nodes, taking into account the geometry of the slave nodes as well as weighting factors.
RCON - Specifies "Real constants" as the subsequent status topic.
RDEC - Defines the decimation parameters.
RDELE - Deletes real constant sets.
REAL - Sets the element real constant set attribute pointer.
REALVAR - Forms a variable using only the real part of a complex variable.
RECTNG - Creates a rectangular area anywhere on the working plane.
REDUCE - Defines a reducer in a piping run.
REFLCOEF - Calculates the voltage reflection coefficient (REFLC), standing wave ratio (VSWR), and return loss (RL) in a COAX fed device; at postprocessing of an HF electromagnetic analysis.
REMESH - Specifies the starting and ending remeshing points for rezoning.
/RENAME - Renames a file.
REORDER - Specifies "Model reordering" as the subsequent status topic.
/REPLOT - Automatically reissues the last display command for convenience.
RESCONTROL - Controls file writing for multiframe restarts.
RESET - Resets all POST1 or POST26 specifications to initial defaults.
/RESET - Resets display specifications to their initial defaults.
RESP - Generates a response spectrum.
RESUME - Resumes the database from the database file.
RESVEC - Calculates or includes residual vectors.
RESWRITE - Appends results data from the database to a results file.
REXPORT - Exports displacements from an implicit run to ANSYS LS-DYNA.
REZONE - Initiates the rezoning process, sets rezoning options, and rebuilds the database.
RFILSZ - Estimates file sizes.
RFORCE - Specifies the total reaction force data to be stored.
/RGB - Specifies the RGB color values for indices and contours.
RIGID - Specifies known rigid body modes (if any) of the model.
RIMPORT - Imports initial stresses from an explicit dynamics run into ANSYS.
RITER - Supplies an estimate of the number of iterations for time estimates.
RLIST - Lists the real constant sets.
RMALIST - Lists all defined master nodes for a ROM method.
RMANL - Assigns model database, dimensionality, and operating direction for the ROM method.
RMASTER - Defines master nodes for the ROM method.
RMCAP - Defines lumped capacitance pairs between conductors C1 and C2 for a ROM method.
RMCLIST - Lists all lumped capacitance pairs defined.
RMEMRY - Prints memory statistics for the current model.
RMFLVEC - Writes eigenvectors of fluid nodes to a file for use in damping parameter extraction.
RMLVSCALE - Defines element load vector scaling for a ROM use pass.
RMMLIST - Lists all mode specifications for the ROM method.
RMMRANGE - Defines and edits various modal parameters for the ROM method.
RMMSELECT - Selects modes for the ROM method.
RMNDISP - Extracts neutral plane displacements from a test load or element load solution for the ROM method.
RMNEVEC - Extracts neutral plane eigenvectors from a modal analysis for the ROM method.
RMODIF - Modifies real constant sets.
RMORE - Adds real constants to a set.
RMPORDER - Defines polynomial orders for ROM functions.
RMRESUME - Resumes ROM data from a file.
RMRGENERATE - Performs fitting procedure for all ROM functions to generate response surfaces.
RMROPTIONS - Defines options for ROM response surface fitting.
RMRPLOT - Plots response surface of ROM function or its derivatives with respect to the dominant mode(s).
RMRSTATUS - Prints status of response surface for ROM function.
RMSAVE - Saves ROM data to file.
RMSMPLE - Runs finite element solutions and obtains sample points for the ROM method.
RMUSE - Activates ROM use pass for ROM elements.
RMXPORT - Exports ROM model to external VHDL-AMS simulator.
ROCK - Specifies a rocking response spectrum.
RPOLY - Creates a regular polygonal area centered about the working plane origin.
RPR4 - Creates a regular polygonal area or prism volume anywhere on the working plane.
RPRISM - Creates a regular prism volume centered about the working plane origin.
RPSD - Computes response power spectral density (PSD).
RSFIT - Fit a response surface for an output parameter in a solution set.
RSOPT - Creates or loads the radiosity mapping data file for SURF251 or SURF252 element types.
RSPEED - Supplies system performance information for use in time estimates.
RSPLIT - Creates one or more results file(s) from the current results file based on subsets of elements.
RSPLOT - Plot a response surface.
RSPRNT - Print a response surface.
RSSIMS - Performs Monte Carlo simulations on response surface(s).
RSTAT - Prints the FE model statistics of the model.
RSTOFF - Offsets node or element IDs in the FE geometry record.
RSURF - Generates the radiosity surface elements (SURF251/SURF252) and stores them in the database.
RSYMM - Defines the plane of symmetry or center of rotation for the radiosity method.
RSYS - Activates a coordinate system for printout or display of element and nodal results.
RTHICK - Defines variable thickness at nodes for shell elements.
RTIMST - Prints runtime estimates.
RUN - Defines a pipe run.
/RUNST - Enters the run statistics processor.
RWFRNT - Generates wavefront statistics and memory requirements.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
QUOT 		Up / Home Next
R


R

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

R, NSET, R1, R2, R3, R4, R5, R6

Defines the element real constants.

PREP7: Real Constants

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NSET

Set identification number (arbitrary). If same as a previous set number, set is redefined. Set number relates to that defined with the element [REAL]. Note that the GUI automatically sets this value.

R1, R2, R3, . . . , R6

Real constant values (interpreted as area, moment of inertia, thickness, etc., as required for the particular element type using this set), or table names for tabular input of boundary conditions. Use RMORE command if more than six real constants per set are to be input.

Notes

Defines the element real constants. The real constants required for an element are shown in Table 4.n.1 of each element description in the Elements Reference. Constants must be input in the same order as shown in that table. If more than the required number of element real constants are specified in a set, only those required are used. If fewer than the required number are specified, zero values are assumed for the unspecified constants.

If using table inputs (SURF151, SURF152, FLUID116, CONTA171, CONTA172, CONTA173, CONTA174, and CONTA175 only), enclose the table name in % signs (e.g., %tabname%).

When copying real constants to new sets, ANSYS recommends that you use the command input. If you do use the GUI, restrict the real constant copy to only the first six real constants (real constants seven and greater will be incorrect for both the master and copy set).

This command is also valid in SOLUTION.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Real Constants>Add/Edit/Delete
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Mechanical>Mass
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Mechanical>Spring>Nonlin Rotary
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Mechanical>Spring>Nonlin Trans
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Transducer>ElecMech
Main Menu>Preprocessor>Modeling>Create>Circuit>Edit Real Cnst
Main Menu>Preprocessor>Real Constants>Add/Edit/Delete
Main Menu>Solution>Load Step Opts>Other>Real Constants>Add/Edit/Delete

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
R Commands 		Up / Home Next
RACE


RACE

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RACE, XC, YC, RAD, TCUR, DY, DZ, --, --, Cname

Defines a "racetrack" current source.

PREP7: Special Purpose

MP ME ST <> <> <> <> <> EM <> <> PP <>

XC

Location of the mid-thickness of the vertical leg along the working plane X-axis.

YC

Location of the mid-thickness of the horizontal leg along the working plane Y-axis.

RAD

Radius of curvature of the mid-thickness of the curves in the racetrack source. Defaults to .501 * DY

TCUR

Total current, amp-turns (MKS), flowing in the source.

DY

In-plane thickness of the racetrack source.

DZ

Out-of-plane thickness (depth) of the racetrack source.

--, --

Unused fields

Cname

An alphanumeric name assigned as a component name to the group of SOURC36 elements created by the command macro. Cname must be enclosed in single quotes in the RACE command line. Cname may be up to 8 characters, beginning with a letter and containing only letters, numbers, and underscores. Component names beginning with an underscore (e.g., _LOOP) are reserved for use by ANSYS and should be avoided. If blank, no component name is assigned.

Notes

RACE invokes an ANSYS macro which defines a "racetrack" current source in the working plane coordinate system. The current source is generated from bar and arc source primitives using the SOURC36 element (which is assigned the next available element type number). The macro is valid for use in 3-D magnetic field analysis using a scalar potential formulation. Current flows in a counterclockwise direction with respect to the working plane.

The diagram below shows you a racetrack current source.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Excitation>Racetrack Coil
Main Menu>Preprocessor>Modeling>Create>Racetrack Coil
Main Menu>Solution>Define Loads>Apply>Magnetic>Excitation>Racetrack Coil

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
R 		Up / Home Next
RADOPT


RADOPT

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RADOPT, FLUXRELX, FLUXTOL, SOLVER, MAXITER, TOLER, OVERRLEX

Specifies Gauss-Seidel Radiosity Solver options.

SOLUTION: Radiosity

AUX12: Radiosity Solver

MP ME <> PR <> <> <> <> <> <> <> PP <>

FLUXRELX

Relaxation factor applied to the heat flux. Defaults to 0.1.

FLUXTOL

Convergence tolerance for radiation flux. Defaults to 0.0001 for ANSYS Thermal radiation analysis and FLOTRAN surface radiation analysis.

SOLVER

Choice of solver for radiosity calculation:

0
 —

Iterative solver (default).

1
 —

Direct solver.

MAXITER

Maximum number of iterations for iterative solver (SOLVER = 0). Defaults to 1000.

TOLER

Convergence tolerance for the iterative solver (SOLVER = 0). Defaults to 0.1.

OVERRLEX

Over relaxation factor applied to the iterative solver (SOLVER = 0). Defaults to 0.1.

Menu Paths

Main Menu>Preprocessor>Radiation Opts>Solution Opt
Main Menu>Radiation Opt>Radiosity Meth>Solution Opt
Main Menu>Solution>Radiation Opts>Solution Opt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RACE 		Up / Home Next
RALL


RALL

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RALL

Calculates solver statistics and run time estimates.

RUNSTATS: Run Statistics Estimator

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Calculates solver statistics and estimates. The RALL command is a convenience command for obtaining all of the following: run time estimates [RTIMST], the wavefront statistics and memory requirements [RWFRNT], the file sizes estimates [RFILSZ], the memory statistics [RMEMRY], and the finite element model statistics [RSTAT].

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Run-Time Stats>All Statistics

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RADOPT 		Up / Home Next
RAPPND


RAPPND

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RAPPND, LSTEP, TIME

Appends results data from the database to the results file.

POST1: Load Case Calculations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LSTEP

Load step number to be assigned to the results data set. If it is the same as an existing load step number on the results file, the appended load step will be inaccessible. Defaults to 1.

TIME

Time value to be assigned to the results data set. Defaults to 0.0. A time value greater than the last load step should be used.

Notes

This command is typically used to append the results from a load case combination to the results file. See the LCWRITE command to create a separate load case file. Only summable and constant data are written to the results file by default; non-summable data are not written unless requested (LCSUM command). RAPPND should not be used to append results from a harmonic analysis.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Write Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RALL 		Up / Home Next
RATE


RATE

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RATE, Option

Specifies whether the effect of creep strain rate will be used in the solution of a load step.

SOLUTION: Analysis Options

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

Option

Turns implicit creep analysis on or off.

0
 —

(or OFF) Bypass creep analysis (default).

1
 —

(or ON) Perform creep analysis.

Command Default

ANSYS automatically turns implicit creep OFF.

Notes

You must set Option = ON to perform an implicit creep analysis (TB,CREEP with TBOPT [image] 1). For viscoplasticity/creep analysis, specifies whether or not to include the creep calculation in the solution of a load step. If Option = ON, ANSYS performs the creep calculation. Set an appropriate time for solving the load step using TIME,TIME.

Product Restrictions

This command works only when modeling implicit creep with either von Mises or Hill potentials.

When modeling implicit creep with von Mises potential, you can use the following elements: LINK180, SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, BEAM188, BEAM189, SHELL208, SHELL209, and SHELL281.

When modeling anisotropic creep (TB,CREEP with TB,HILL), you can also use the following elements: PLANE42, SOLID45, PLANE82, SOLID92, SOLID95, LINK180, SHELL181, SOLSH190, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SHELL208, SHELL209, and SHELL281.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Sol'n Controls>Nonlinear
Main Menu>Preprocessor>Loads>Load Step Opts>Nonlinear>Strn Rate Effect
Main Menu>Solution>Analysis Type>Sol'n Controls>Nonlinear
Main Menu>Solution>Load Step Opts>Nonlinear>Strn Rate Effect

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RAPPND 		Up / Home Next
/RATIO


/RATIO

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

/RATIO, WN, RATOX, RATOY

Distorts the object geometry.

GRAPHICS: Scaling

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number (or ALL) to which command applies (defaults to 1).

RATOX

Distort object in the window X direction by this factor (defaults to 1.0).

RATOY

Distort object in the window Y direction by this factor (defaults to 1.0).

Command Default

No distortion.

Notes

Distorts the object geometry in a particular direction. An example of this command's use would be to allow long narrow sections to be distorted to a more square area for better display visualization.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Style>Size and Shape

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RATE 		Up / Home Next
RBE3


RBE3

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RBE3, Master, DOF, Slaves, Wtfact

Distributes the force/moment applied at the master node to a set of slave nodes, taking into account the geometry of the slave nodes as well as weighting factors.

PREP7: Constraint Equations

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Master

Node at which the force/moment to be distributed will be applied. This node must be associated with an element for the master node to be included in the DOF solution.

DOF

Refers to the master node degrees of freedom to be used in constraint equations. Valid labels are: UX, UY, UZ, ROTX, ROTY, ROTZ, UXYZ, RXYZ, ALL

Slaves

The name of an array parameter that contains a list of slave nodes. Must specify the starting index number. ALL can be used for currently selected set of nodes. The slave nodes may not be colinear, that is, not be all located on the same straight line (see Notes below).

Wtfact

The name of an array parameter that contains a list of weighting factors corresponding to each slave node above. Must have the starting index number. If not specified, the weighting factor for each slave node defaults to 1.

Notes

The force is distributed to the slave nodes proportional to the weighting factors. The moment is distributed as forces to the slaves; these forces are proportional to the distance from the center of gravity of the slave nodes times the weighting factors. Only the translational degrees of freedom of the slave nodes are used for constructing the constraint equations. Constraint equations are converted to distributed forces/moments on the slave nodes during solution.

RBE3 creates constraint equations such that the motion of the master is the average of the slaves. For the rotations, a least-squares approach is used to define the "average rotation" at the master from the translations of the slaves. If the slave nodes are colinear, then one of the master rotations that is parallel to the colinear direction can not be determined in terms of the translations of the slave nodes. Therefore, the associated moment component on the master node in that direction can not be transmitted. When this case occurs, a warning message is issued and the constraint equations created by RBE3 are ignored.

Applying this command to a large number of slave nodes may result in constraint equations with a large number of coefficients. This may significantly increase the peak memory required during the process of element assembly. If real memory or virtual memory is not available, consider reducing the number of slave nodes.

As an alternative to the RBE3 command, you can apply a similar type of constraint using contact elements and the internal multipoint constraint (MPC) algorithm. See Surface-based Constraints for more information.

This command is also valid in SOLUTION.

Menu Paths

Main Menu>Preprocessor>Coupling / Ceqn>Dist F/M at Mstr

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/RATIO 		Up / Home Next
RCON


RCON

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RCON

Specifies "Real constants" as the subsequent status topic.

PREP7: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Preprocessor>Real Constants

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RBE3 		Up / Home Next
RDEC


RDEC

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RDEC, Option REDUC , --, Nplace

Defines the decimation parameters.

SOLUTION: Radiosity

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Option

Command options:

DEFINE
—

Defines the decimation parameters (default).

STAT
 —

Shows the status/listing. Other command options are ignored.

REDUC

Approximate reduction in the number of surface elements. Valid range is from 0.0 (no decimation, the default) to 1.0. This number is a factor applied to the initial number of element radiosity surfaces.

--

Unused field.

Nplace

Node placement algorithm

OPTI
—

Optimal placement. An edge is collapsed by moving both nodes (I and J in the figure below) to a new location.

SUBS
—

Subset placement. An edge is collapsed by moving one node to another one. In the figure below, node I is moved to node J.

Notes

Decimation is the process of simplifying a fine surface mesh into a coarse one. This process is accomplished by a sequence of edge collapses.

The maximum degree of decimation (1.0) is unreachable. The real degree of decimation is always less than 1.0 because the decimated mesh must always consist of at least one element.

Menu Paths

Main Menu>Preprocessor>Radiation Opts>Advanced Solution Option>Decimation Options>Define Specifications
Main Menu>Solution>Radiation Opts>Advanced Solution Option>Decimation Options>Define Specifications

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RCON 		Up / Home Next
RDELE


RDELE

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RDELE, NSET1, NSET2, NINC,--, LCHK

Deletes real constant sets.

PREP7: Real Constants

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NSET1, NSET2, NINC

Delete real constant sets from NSET1 to NSET2 (defaults to NSET1) in steps of NINC (defaults to 1). If NSET1 = ALL, ignore NSET2 and NINC and all real constant sets are deleted.

--

Unused field.

LCHK

Specifies the level of element-associativity checking:

NOCHECK
 —

No element-associativity check occurs. This option is the default.

WARN
 —

When a section, material, or real constant is associated with an element, ANSYS issues a message warning that the necessary entity has been deleted.

CHECK
 —

The command terminates, and no section, material, or real constant is deleted if it is associated with an element.

Notes

Deletes real constant sets defined with the R command.

This command is also valid in SOLUTION.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Real Constants>Add/Edit/Delete
Main Menu>Preprocessor>Real Constants
Main Menu>Preprocessor>Real Constants>Add/Edit/Delete
Main Menu>Solution>Load Step Opts>Other>Real Constants>Add/Edit/Delete

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RDEC 		Up / Home Next
REAL


REAL

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

REAL, NSET

Sets the element real constant set attribute pointer.

PREP7: Meshing

PREP7: Elements

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NSET

Assign this real constant set number to subsequently defined elements (defaults to 1).

Command Default

NSET = 1.

Notes

Identifies the real constant set number to be assigned to subsequently defined elements. This number refers to the real constant set number (NSET) defined with the real constant sets [R]. Real constant set numbers may be displayed [/PNUM]. If the element type requires no real constants, this entry is ignored. Elements of different type should not refer to the same real constant set.

Menu Paths

Main Menu>Preprocessor>Meshing>Mesh Attributes>Default Attribs
Main Menu>Preprocessor>Modeling>Create>Elements>Elem Attributes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RDELE 		Up / Home Next
REALVAR


REALVAR

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

REALVAR, IR, IA, --, --, Name, --, --, FACTA

Forms a variable using only the real part of a complex variable.

POST26: Operations

MP ME ST PR PRN <> <> <> EM <> <> PP <>

IR

Arbitrary reference number assigned to the resulting variable (2 to NV [NUMVAR]). If this number is the same as for a previously defined variable, the previously defined variable will be overwritten with this result.

IA

Reference number of the variable to be operated on.

--, --

Unused fields.

Name

Thirty-two character name identifying the variable on printouts and displays. Embedded blanks are compressed for output.

--, --

Unused fields.

FACTA

Scaling factor (positive or negative) applied to variable IA (defaults to 1.0).

Notes

Forms a variable using only the real part of a variable. Used only with harmonic analyses (ANTYPE,HARMIC).

Complex variables are stored in two-column arrays with the real component stored in the first column and the imaginary component stored in the second column. This command extracts the value stored in the first column (i.e., real component). However with harmonic analyses, all variables are stored in two-column arrays as complex variables. If the variable is not complex, then the same value is stored in both columns. This command will extract the variable in the first column of the array, even if this variable is not the real component of a complex variable.

Menu Paths

Main Menu>TimeHist Postpro>Math Operations>Real Part

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
REAL 		Up / Home Next
RECTNG


RECTNG

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RECTNG, X1, X2, Y1, Y2

Creates a rectangular area anywhere on the working plane.

PREP7: Primitives

MP ME ST PR PRN <> <> FL EM <> <> PP <>

X1, X2

Working plane X coordinates of the rectangle.

Y1, Y2

Working plane Y coordinates of the rectangle.

Notes

The area will be defined with four keypoints and four lines. See the BLC4 and BLC5 commands for alternate ways to create rectangles.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Areas>Rectangle>By Dimensions

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
REALVAR 		Up / Home Next
REDUCE


REDUCE

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

REDUCE, NLOC, LENG, ELEM

Defines a reducer in a piping run.

PREP7: Piping

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NLOC

Node where two straight pipes intersect at center of reducer. Defaults to previous run starting point.

LENG

Length of reducer (defaults to average pipe OD).

ELEM

Element number to be assigned to reducer (defaults to MAXEL + 1).

Notes

Defines a reducer (straight pipe element (PIPE16) with averaged specifications) in place of the intersection of two previously defined straight pipe elements in a piping run. See the PREP7 RUN command. Two new nodes are generated at the ends of the reducer. The two straight pipes are automatically "shortened" to meet the ends of the reducer. The reducer specifications and loadings are taken from the corresponding two straight pipes.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Piping Models>Define Pipes>Reducer

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RECTNG 		Up / Home Next
REFLCOEF


REFLCOEF

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

REFLCOEF, Portin, Pvolt, Pang, Pdist, Vpathy

Calculates the voltage reflection coefficient (REFLC), standing wave ratio (VSWR), and return loss (RL) in a COAX fed device; at postprocessing of an HF electromagnetic analysis.

POST1: Magnetics Calculations

MP <> <> <> <> <> <> <> <> EH <> PP <>

Portin

Port number of the excited port with a COAX mode excitation. (See the HFPORT command description for details.)

Pvolt

Port EMF (voltage) (magnitude) applied to the excited port.

Pang

Phase angle of the port EMF (voltage) (in degrees). Defaults to zero degrees.

Pdist

Propagation distance between the excited port and the evaluation point. Defaults to zero (evaluation at the excited port).

Vpathy

Path name defining a path between conducting walls of the coax waveguide at the specified propagation distance (Pdist) from the excited port. (See also the PATH command description.)

Notes

You must specify a path [PATH command] at the propagation distance location between conducting walls of the COAX waveguide for calculating the EMF (voltage). REFLCOEF returns the parameters REFLC, VSWR, RL, and REFANG (phase angle of the reflection coefficient).

To calculate the reflection coefficient, REFLCOEF uses total and incident EMF (voltage). It prints the resulting parameters to an output device and to your screen.

See magnetic macros for further details.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Elec&Mag Calc>Port>Refl Coeff

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
REDUCE 		Up / Home Next
REMESH


REMESH

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

REMESH, Action

Specifies the starting and ending remeshing points for rezoning.

SOLUTION: Rezoning

MP ME ST <> <> <> <> <> <> <> <> PP <>

Action
START
 —

Starts the remeshing operation.

FINISH
 —

Ends the remeshing operation.

Notes

The REMESH command is valid only during the manual rezoning (REZONE,MANUAL) process.

In manual rezoning, a REMESH,START command temporarily exits the /SOLU solution processor and enters a special mode of the /PREP7 preprocessor, after which a limited number of preprocessing commands are available for mesh control, but no solution commands are valid.

A REMESH,FINISH command exits the remeshing process and reenters the solution processor, at which point no preprocessing commands are available. If the new mesh exists, the command creates contact elements if needed, and transfers all boundary conditions (BCs) and loads from the original mesh to the new mesh. You can issue any list or plot command to verify the created contact elements, transferred BCs, and loads.

A REMESH,FINISH command is valid only after a previously issued REMESH,START command, and is the only way to safely end the remeshing operation (and exit the special mode of the /PREP7 preprocessor).

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Manual Rezoning>Cancel
Main Menu>Solution>Manual Rezoning>Finish
Main Menu>Solution>Manual Rezoning>Start

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
REFLCOEF 		Up / Home Next
/RENAME


/RENAME

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

/RENAME, Fname1, Ext1, --, Fname2, Ext2, --

Renames a file.

SESSION: Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname1

Name of file to be renamed and its directory path (248 characters maximum, including directory). If you do not specify a directory path, it will default to your working directory and you can use all 248 characters for the file name.

File name defaults to the current Jobname.

Ext1

Filename extension (8 character maximum).

--

Unused field.

Fname2

Name of file to be renamed and its directory path (248 characters maximum, including directory). If you do not specify a directory path, it will default to your working directory and you can use all 248 characters for the file name.

Fname2 defaults to Fname1.

Ext2

Filename extension (8 character maximum).

Ext2 defaults to Ext1.

--

Unused field.

Notes

Renames a file. Ex: /RENAME,A,,,B renames file A to B in the same directory. /RENAME,A,DAT,,,INP renames file A.DAT to A.INP. On all systems, this command will overwrite any existing file named B. See the Operations Guide for details. Only ANSYS binary files should be renamed. Use /SYS and system renaming commands for other files.

Renaming across system partitions may be internally done by a copy and delete operation on some systems.

This command is valid only at the Begin Level.

Menu Paths

Utility Menu>File>File Operations>Rename

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
REMESH 		Up / Home Next
REORDER


REORDER

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

REORDER

Specifies "Model reordering" as the subsequent status topic.

PREP7: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Main Menu>Preprocessor>Numbering Ctrls>Element Reorder>List Wave Lists
Utility Menu>List>Status>Preprocessor>Reorder Module

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/RENAME 		Up / Home Next
/REPLOT


/REPLOT

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

/REPLOT, Label

Automatically reissues the last display command for convenience.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Label

Controls the type of replot.

RESIZE
 —

Issued internally when a graphics window resize occurs (Default).

FAST
 —

Only applicable for 3-D devices that allow a fast redisplay for changes in the view characteristics only.

Notes

Reissues the last display command (NPLOT, EPLOT, KPLOT, PLNSOL, PLVAR, etc.), along with its parameters, for convenience. The current display specifications are used.

When the last display command is invalid in a particular processor, the use of the /REPLOT command is also invalid in that processor. However, if you attempt a /REPLOT and the last display command is invalid in the current processor, ANSYS produces an element display [EPLOT] instead, as long as the last display command was PLNSOL, PLESOL, or PLDISP. ANSYS performs this substitution of /REPLOT with EPLOT for your convenience.

For example, the PLNSOL command, which is used to display solution results as continuous contours, is a valid command in the general postprocessor [/POST1]. If you issue PLNSOL followed by /REPLOT while in the general postprocessor, the /REPLOT command effectively reissues your earlier PLNSOL command, along with its parameters. But if you then exit the general postprocessor, enter the preprocessor [/PREP7], and issue the /REPLOT command again, ANSYS internally issues EPLOT instead. This occurs because PLNSOL is not a valid command in the preprocessor.

When you click on one of the buttons on the Pan, Zoom, Rotate dialog box to manipulate the view of a model, the /REPLOT command is issued internally. Thus, the substitution of /REPLOT with EPLOT as described above may occur not only for the PLNSOL, PLESOL, and PLDISP results display commands, but also for operations that you perform with the Pan, Zoom, Rotate dialog box.

/REPLOT will not show boundary conditions if they are only applied to a solid model and the last display command (for example, EPLOT) displays the finite element model. To show boundary conditions, the following options are available:

  • Issue /REPLOT after you issue the SBCTRAN command to transfer solid model boundary conditions to the finite element model.

  • Issue /REPLOT after you issue a solid model display command (for example, VPLOT).

This command is valid in any processor (except as noted above).

Menu Paths

Main Menu>General Postproc>Path Operations>Define Path>On Working Plane
Main Menu>General Postproc>Path Operations>Delete Path>All Paths
Main Menu>General Postproc>Path Operations>Delete Path>By Name
Main Menu>General Postproc>Path Operations>Plot Paths
Main Menu>Preprocessor>Modeling>Create>Circuit>Scale Icon
Main Menu>Preprocessor>Path Operations>Define Path>On Working Plane
Main Menu>Preprocessor>Path Operations>Delete Path>All Paths
Main Menu>Preprocessor>Path Operations>Delete Path>By Name
Main Menu>Preprocessor>Path Operations>Plot Paths
Main Menu>Preprocessor>Sections>Reinforcement>Display Options>Normal
Main Menu>Preprocessor>Sections>Reinforcement>Display Options>Reinf + Model
Main Menu>Preprocessor>Sections>Reinforcement>Display Options>Reinf Only
Utility Menu>Plot>Replot
Utility Menu>PlotCtrls>Style>Symmetry Expansion>Expansion by values

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
REORDER 		Up / Home Next
RESCONTROL


RESCONTROL

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RESCONTROL, Action, Ldstep, Frequency, MAXFILES

Controls file writing for multiframe restarts.

SOLUTION: Misc Loads

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Action

Specify the command action.

DEFINE
 —

Issuing the command will specify how frequently the .Xnnn restart files are written for a load step (default).

FILE_SUMMARY
 —

Issuing the command will print the substep and load step information for all .Xnnn files for the current job name in the current directory. If this option is specified, all other arguments are ignored.

STATUS
 —

Issuing the command will list the current status in the tables of restart control specified earlier by RESCONTROL.

NORESTART
 —

Issuing the command will not allow restart files to be created for Distributed ANSYS runs only. Therefore, the remote processors will not have files such as .ESAV, .OSAV, .RST, .x000, etc. in the directory at the end of the run. The host processor will not have files such as .ESAV, .OSAV, .x000 .RDB, .LDHI, etc. at the end of the run. Distributed ANSYS will remove all the above scratch files at the end of the solution phase (FINISH or /EXIT ). This option is applicable to both singleframe and multiframe restart control and is useful for file clean-up on remote or host processors. If this field is specified, the remaining fields (Ldstep, Frequency, and MAXFILES) are not used.

If this option is used in shared-memory parallel ANSYS, most of the restart files in the working directory are removed. It has the same effect as issuing RESCONTROL,,NONE.

Ldstep

Specify how the .Xnnn files are written.

ALL
 —

The .Xnnn files are written at the same frequency for all load steps.

LAST
 —

Write the .Xnnn files for the last load step only (default for nonlinear static and full transient analyses).

N
 —

Write the .Xnnn files at the frequency indicated only for load step N. Other load steps will be written at the default frequency or at a frequency defined by a previous RESCONTROL,DEFINE,ALL,Frequency command.

NONE
 —

No multiframe restart files (.RDB [restart database file], .LDHI [load history file], .Xnnn) will be created. If you specify this option, all other arguments will be ignored.

For nonlinear static and static and full transient analyses, this option allows a restart to be done at the last or abort point using the same procedure as in ANSYS 5.5 or earlier (using the .EMAT, .ESAV or .OSAV, and .DB files).

For mode-superposition transient analyses, this option allows a restart from the last point using the .RDSP file and the .DB file (default for mode-superposition analysis).

Frequency

Frequency at which the .Xnnn files are written.

NONE
 —

Do not write any .Xnnn files for this load step (default for mode superposition analysis).

LAST
 —

Write the .Xnnn files for the last substep of the load step only (default for nonlinear static and full transient analyses).

N
 —

If N is positive, write the .Xnnn file every Nth substep of a load step. If N is negative, write N equally spaced .Xnnn files within a load step.

In nonlinear static and full transient analyses, negative N is valid only when AUTOTS,ON.

In mode-superposition analyses, negative N is always valid .

MAXFILES

Maximum number of .Xnnn files to save for Ldstep.

0
 —

Do not overwrite any existing .Xnnn files (default). The total maximum number of .Xnnn files for one run is 999. If this number is reached before the analysis is complete, the analysis will continue but will no longer write any .Xnnn files.

N
 —

The maximum number of .Xnnn files to keep for each load step. When N .Rnnn files have been written for a load step, ANSYS will overwrite the first .Xnnn file of that load step for subsequent substeps.

Command Default

If the RESCONTROL command is not issued during a structural analysis, the .RDB and .LDHI files will be written as described in Restarting an Analysis in the Basic Analysis Guide.

In nonlinear static and full transient analyses, the default behavior is multiframe restart (command default RESCONTROL,DEFINE,LAST,LAST). The .Rnnn file will be written at the last substep of the last load step by default. A .Rnnn file will also be written at the iteration prior to the abort point of the run if a Jobname.ABT file was used in batch mode or by pressing the Stop button in the GUI, or if the job terminates because of a failure to reach convergence or some other solution error. No information at the aborted substep will be saved to the .Rnnn file.

In a mode-superposition transient analysis, the default is singleframe restart (command default RESCONTROL,DEFINE,NONE,NONE). No .Mnnn, .LDHI, and .RDB files are written.

Notes

Multiframe restart files are indicated here as .Xnnn files. They correspond to .Rnnn files for nonlinear static and full transient analyses, and .Mnnn files for mode-superposition analyses.

This command sets up the restart parameters for a multiframe restart, which allows you to restart an analysis from any load step and substep for which there is a .Xnnn file. You can perform a multiframe restart only for nonlinear static and full transient structural, thermal, thermal-structural, and mode-superposition analyses. (For linear static analyses, you can use a singleframe restart.) For information on how to do a singleframe or multiframe restart, and descriptions of the contents of the files used for each type of restart, see Restarting an Analysis in the Basic Analysis Guide. For information on thermal analysis restarts, please see the Thermal Analysis Guide.

If you have many substeps for each load step, and are writing .Xnnn files frequently, you may want to use MAXFILES to limit the number of .Xnnn saved, since these files can fill up your disk quickly. You may specify MAXFILES and Frequency for individual load steps. These arguments will take on the default value or the value defined by RESCONTROL,,ALL,Frequency,MAXFILES if they are not explicitly defined for a specific load step.

You can specify a maximum of ten load steps; that is, you can issue the RESCONTROL,,N command a maximum of ten times.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Nonlinear>Restart Control
Main Menu>Solution>Load Step Opts>Nonlinear>Restart Control

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/REPLOT 		Up / Home Next
RESET


RESET

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RESET

Resets all POST1 or POST26 specifications to initial defaults.

POST1: Set Up

POST26: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Has the same effect as entering the processor the first time within the run. In POST1, resets all specifications to initial defaults, erases all element table items, path table data, fatigue table data, and load case pointers. In POST26, resets all specifications to initial defaults, erases all variables defined, and zeroes the data storage space.

Menu Paths

Main Menu>General Postproc>Reset
Main Menu>TimeHist Postpro>Reset Postproc

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RESCONTROL 		Up / Home Next
/RESET


/RESET

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

/RESET

Resets display specifications to their initial defaults.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Resets slash display specifications (/WINDOW, /TYPE, /VIEW, etc.) back to their initial default settings (for convenience). Also resets the focus location to the geometric center of the object.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Reset Plot Ctrls

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RESET 		Up / Home Next
RESP


RESP

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RESP, IR, LFTAB, LDTAB, ITYPE, RATIO, DTIME, TMIN, TMAX

Generates a response spectrum.

POST26: Special Purpose

MP ME ST PR PRN <> <> <> <> <> <> PP <>

IR

Arbitrary reference number assigned to the response spectrum results (2 to NV [NUMVAR]). If this number is the same as for a previously defined variable, the previously defined variable will be overwritten with these results.

LFTAB

Reference number of variable containing frequency table (created with FILLDATA or DATA command). The frequency table defines the number and frequency of oscillating systems used to determine the response spectrum. The frequency interval need not be constant over the entire range. Frequencies must be input in ascending order.

LDTAB

Reference number of variable containing the displacement time-history.

ITYPE

Defines the type of response spectrum to be calculated:

0 or 1
 —

Displacement.

2
 —

Velocity.

3
 —

Acceleration response spectrum.

RATIO

Ratio of viscous damping to critical damping (input as a decimal number).

DTIME

Integration time step (ITS) size used in the numerical integration scheme. This value should be equal to or greater than that actually used in the initial transient analysis. With ANTYPE,TRANS data, DTIME defaults to a value of 1/((20)(FMAX)), where FMAX is the highest frequency in LFTAB. For reduced linear transient dynamic (ANTYPE,TRANS) displacement pass data, the ITS read from the file (previously input for DTIME in the first load step of the reduced linear transient dynamic (ANTYPE,TRANS) analysis) is used for the default.

TMIN, TMAX

Specifies a subset of the displacement-time history to be used in the response spectrum calculation. Defaults to the full time range.

Notes

Generates a response spectrum from displacement time-history and frequency data.

The ANSYS modal analysis (ANTYPE,MODAL) may be followed by a spectrum analysis (ANTYPE,SPECTR). This analysis requires a response spectrum input of up to 20 points. This input may be determined from the response spectrum printout or display of this command and input to the modal analysis (by hand). The response spectrum generator uses the displacements from either a full or reduced transient dynamic (ANTYPE,TRANS) analysis. If a response spectrum is to be calculated from a given displacement time-history, the displacement time-history may be input to a single one-element reduced linear transient dynamic (ANTYPE,TRANS) analysis, so that the calculated output (which should be the same as the input) will be properly located on the file.

The response spectrum is defined as the maximum response of single degree of freedom systems of varying frequency (or period) to a given input support excitation. The equation describing the response of the system in terms of the relative displacement (X) is:

where:

Ωn = natural frequency of the system,
ξn = ratio of viscous damping to critical damping, c/ccr
Xo = ground displacement

The solution of this equation for the maximum response, [image] max, at various frequencies results in the spectral response curve. See the Theory Reference for ANSYS and ANSYS Workbench for calculation details.

Calculations are based on a numerical integration scheme with the displacement time-history data from the file as the input ground-forcing function. The integration time step (argument DTIME on the RESP command) and the damping coefficient (argument RATIO) are constant over the frequency range. The number of calculations done per displacement spectral response curve is the product of the number of input solution points (TMAX-TMIN)DTIME and the number of oscillating systems (frequencies located in variable LFTAB). Input solution points requested (by DTIME and the frequency range) at a time not corresponding to an actual displacement solution time on the file are read from the next available time. The user has the option of calculating either a displacement, velocity, or acceleration spectral response.

Menu Paths

Main Menu>TimeHist Postpro>Generate Spectrm

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/RESET 		Up / Home Next
RESUME


RESUME

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RESUME, Fname, Ext, --, NOPAR, KNOPLOT

Resumes the database from the database file.

DATABASE: Set Up

MP ME ST PR PRN <> <> FL EM EH <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to DB if Fname is blank.

--

Unused field.

NOPAR

Parameter resume key:

0
 —

All data in the database, including the scalar parameters, are replaced with the data saved on File.DB (default).

1
 —

All data in the database, except the scalar parameters, are replaced with the data saved on File.DB.

Note

This option should not be used if array parameters are defined, since existing array parameters might be redefined with arbitrary values. See PARSAV and PARRES for a more general method of preventing the replacement of both scalar and array parameters.)

KNOPLOT

If equal to 1, will suppress automatic plot. Otherwise, if the GUI is on and this RESUME command was not read from a file, the selected elements from Fname are plotted. (If there are no selected elements, selected nodes are plotted. If no nodes, volumes; if no volumes, areas; if no areas, lines; if no lines, keypoints. If there are no selected keypoints, the screen is erased.)

Notes

Using RESUME, you can resume a database file into the same version of ANSYS that the file was created in. As long as you are resuming the file into the ANSYS version that the file was created in, you do not need to manipulate or modify the file in any way. Also, although not guaranteed, you can usually resume a database file created in the previous version of ANSYS into the current version. For example, you can probably resume an ANSYS 5.2 database file into ANSYS 5.3 without encountering problems. However, ANSYS is not expected to resume an ANSYS 5.2 database file into ANSYS 5.4 or later.

RESUME causes the database file (File.DB) to be read, thereby resetting the database (including any geometry settings) either a) as it was at the last SAVE command or b) as saved with the last /EXIT command, whichever was last. For multiple load step analyses, since only the data for one load step at a time may reside in the database, the load step data restored to the database will correspond to the load step data written when the save was done.

If the database file was saved [SAVE] in another ANSYS product, it may contain element type and KEYOPT specifications which are invalid in the "resuming" product. Immediately after the database resume is completed, you should redefine these invalid element types and KEYOPT settings to valid ones [ET, KEYOPT].

RESUME checks your database for mixed mode (both SMOOTH and FACETED) geometry. ANSYS will notify you if both types of geometry are found in the database. You can continue if you get this message. However, you may encounter problems during Boolean operations. If you do not want to continue the analysis with this database, you must either recreate or reimport the geometry.

This command is valid in any processor. If used in SOLUTION, this command is valid only within the first load step.

Menu Paths

Utility Menu>File>Resume from
Utility Menu>File>Resume Jobname.db

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RESP 		Up / Home Next
RESVEC


RESVEC

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RESVEC, Key

Calculates or includes residual vectors.

SOLUTION: Analysis Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Key

Residual vector key:

OFF
 —

Do not calculate or include residual vectors. This option is the default.

ON
—

Calculate or include residual vectors.

Command Default

No residual vectors are calculated or included in the analysis.

Notes

In a modal analysis, the RESVEC command calculates residual vectors. In a mode-superposition transient dynamic or mode-superposition harmonic analysis, the command includes residual vectors.

If rigid-body modes exist, pseudo-constraints are required for the calculation. Issue the D,,,SUPPORT command to specify only the minimum number of pseudo-constraints necessary to prevent rigid-body motion.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RESUME 		Up / Home Next
RESWRITE


RESWRITE

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RESWRITE, Fname

Appends results data from the database to a results file.

POST1: Special Purpose

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name extension varies as follows:

.RST for structural, fluid, or coupled-field analyses
.RTH for thermal or electrical analyses
.RMG for magnetic analyses
.RFL for FLOTRAN analyses

Notes

The RESWRITE command appends to the specified file a data set by writing the results data currently in the database. If the file does not exist, it will be created including the geometry records. The current load step, substep, and time value are maintained. All data (summable and nonsummable) are written.

The command is primarily intended for use in a top-down substructuring analysis, where the full model is resumed and the results data read from the use pass results file (SET), and subsequently from all substructure expansion pass results files (APPEND). The full set of data in memory can then be written out via the RESWRITE command to create a complete results file (as though you had run a nonsubstructured analysis).

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RESVEC 		Up / Home Next
REXPORT


REXPORT

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

REXPORT, Target, --, --, LSTEP, SBSTEP, Fname, Ext, --

Exports displacements from an implicit run to ANSYS LS-DYNA.

SOLUTION: Explicit Dynamics

MP ME ST PR PRN <> <> <> <> <> DY PP <>

Target

The type of analysis run to which displacements are exported.

OFF
 —

Ignore initial displacements.

DYNA
 —

Get initial displacements from an earlier implicit (ANSYS) run and export to an explicit ANSYS LS-DYNA run (Default).

--, --

Unused fields.

LSTEP

Load step number of data to be exported. Defaults to the last load step.

SBSTEP

Substep number of data to be exported. Defaults to the last substep.

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name does not have a default; you must specify a name. It CANNOT be the current Jobname.

Ext

Filename extension (8 character maximum).

The extension must be an RST extension (default). Currently, only structural results are allowed.

--

Unused field.

Notes

This command exports the displacements, rotations, and temperatures calculated in an ANSYS implicit analysis into the `drelax' file, which is subsequently read in by ANSYS LS-DYNA when a dynamic relaxation or stress initialization is conducted [EDDRELAX].

This command is not written to the Jobname.CDB file when the CDWRITE command is issued.

Menu Paths

Main Menu>Preprocessor>LS-DYNA Options>Constraints>Read Disp
Main Menu>Solution>Constraints>Read Disp

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RESWRITE 		Up / Home Next
REZONE


REZONE

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

REZONE, Option, LDSTEP, SBSTEP

Initiates the rezoning process, sets rezoning options, and rebuilds the database.

SOLUTION: Rezoning

MP ME ST <> <> <> <> <> <> <> <> PP <>

Option

The rezoning method to employ:

MANUAL
 —

Manual rezoning. This method is the default.

LDSTEP

The load step number at which rezoning should occur. The default value is the highest load step number found in the Jobname.Rnnn files (for the current jobname and in the current directory).

SBSTEP

The substep number of the specified load step (LDSTEP) at which rezoning should occur. The default value is the highest substep number found in the specified load step in the Jobname.Rnnn files (for the current jobname and in the current directory).

Notes

The REZONE command rebuilds the database (.db file) based on the specified load step and substep information, and updates nodes to their deformed position for remeshing.

Before issuing this command, clear the databse via the /CLEAR command.

Currently, ANSYS supports only manual rezoning (Option = MANUAL).

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Manual Rezoning>Start

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
REXPORT 		Up / Home Next
RFILSZ


RFILSZ

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RFILSZ

Estimates file sizes.

RUNSTATS: Run Statistics Estimator

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Notes

Gives file size estimates for File.ESAV, File.EMAT, File.EROT, File.TRI, File.FULL, File.RST, File.RTH, and File.RMG. File sizes are given in megabytes (MB). These file estimates are for the solution of the model that currently resides in the database. This command will cause reordering [WAVES] if reordering was not already done on the model. See File Management and Files in the Basic Analysis Guide for file descriptions.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Run-Time Stats>Individual Stats

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
REZONE 		Up / Home Next
RFORCE


RFORCE

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RFORCE, NVAR, NODE, Item, Comp, Name

Specifies the total reaction force data to be stored.

POST26: Set Up

MP ME ST PR PRN <> <> <> EM <> <> PP <>

NVAR

Arbitrary reference number assigned to this variable (2 to NV [NUMVAR]). Overwrites any existing results for this variable.

NODE

Node for which data are to be stored. If NODE = P, graphical picking is enabled (valid only in the GUI).

Item

Label identifying the item. Valid item labels are shown in the table below. Some items also require a component label.

Comp

Component of the item (if required). Valid component labels are shown in the table below.

Name

Thirty-two character name identifying the item on printouts and displays. Defaults to an eight character label formed by concatenating the first four characters of the Item and Comp labels.

Notes

Defines the total reaction force data (static, damping, and inertial components) to be stored from single pass (ANTYPE,STATIC or TRANS) solutions or from an expansion pass of reduced two-pass (ANTYPE,HARMIC or TRANS) solutions.

RFORCE - Valid Item and Component Labels

Valid item and component labels for node results are:
Item | Comp | Description
F | X,Y,Z | X, Y, or Z structural force.
M | X,Y,Z | X, Y, or Z structural moment.
HEAT[1] |  | Heat flow.
FLOW |  | Fluid flow.
AMPS |  | Current flow.
FLUX |  | Magnetic flux.
VF | X,Y,Z | X, Y, or Z fluid force component.
CSG | X,Y,Z | X, Y, or Z magnetic current segment component.
VLTG |  | Voltage drop
CURT |  | Current
CHRG |  | Charge

  1. For SHELL131 and SHELL132 elements with KEYOPT(3) = 0 or 1, use the labels HBOT, HE2, HE3, . . ., HTOP instead of HEAT.

Menu Paths

Main Menu>TimeHist Postpro>Define Variables
Main Menu>TimeHist Postpro>Elec&Mag>Circuit>Define Variables

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RFILSZ 		Up / Home Next
/RGB


/RGB

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

/RGB, Kywrd, PRED, PGRN, PBLU, N1, N2, NINC, NCNTR

Specifies the RGB color values for indices and contours.

POST26: Set Up

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Kywrd

Determines how RGB modifications will be applied.

INDEX
—

Specifies that subsequent color values apply to ANSYS color indices (0-15).

CNTR
—

Specifies that subsequent color values apply to contours (1-128). Applies to C-option devices only (i.e. X11C or Win32C).

PRED

Intensity of the color red, expressed as a percentage.

PGRN

Intensity of the color green, expressed as a percentage.

PBLU

Intensity of the color blue, expressed as a percentage.

N1

First index (0-15), or contour (1-128) to which the designated RGB values apply.

N2

Final index (0-15), or contour (1-128) to which the designated RGB values apply.

NINC

The step increment between the values N1 and N2 determining which contours or indices will be controlled by the specified RGB values.

NCNTR

The new maximum number of contours (1-128).

Notes

Issuing the /CMAP command (with no filename) will restore the default color settings.

Menu Paths

Utility Menu>PlotCtrls>Redirect Plots>To GRPH File
Utility Menu>PlotCtrls>Redirect Plots>To HPGL File
Utility Menu>PlotCtrls>Redirect Plots>To HPGL2 File
Utility Menu>PlotCtrls>Redirect Plots>To PSCR File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RFORCE 		Up / Home Next
RIGID


RIGID

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RIGID, Dof1, Dof2, Dof3, Dof4, Dof5, Dof6

Specifies known rigid body modes (if any) of the model.

SOLUTION: Dynamic Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Dof1, Dof2, Dof3, . . . , Dof6

Up to six global Cartesian directions of the rigid modes. For a completely free 2-D model, use ALL or UX, UY, ROTZ. For a completely free 3-D model, use ALL or UX, UY, UZ, ROTX, ROTY, ROTZ. For a constrained model, use UX, UY, UZ, ROTX, ROTY, or ROTZ, as appropriate, to specify each and every unconstrained direction which exists in the model (not specifying every direction may cause difficulties in extracting the modes). Use NONE to force the subspace iteration calculation of all rigid body modes. If the structure has no constraints, the label ALL is assumed (unless substructures are present).

Command Default

Any rigid body modes are calculated via subspace iteration.

Notes

Specifies known rigid body modes (if any) of the model. Applies only to modal analyses with subspace iteration [MODOPT,SUBSP]. Rigid body modes specified to the program with this command are not calculated via subspace iteration, resulting in a faster solution. Any rigid body modes specified must be permitted by the applied displacement constraints (i.e., do not specify a rigid body mode in a constrained direction). Reissue the command to redefine the specification. If used in SOLUTION, this command is valid only within the first load step.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>Analysis Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/RGB 		Up / Home Next
RIMPORT


RIMPORT

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RIMPORT, Source, Type, Loc, LSTEP, SBSTEP, Fname, Ext, --, SPSCALE, MSCALE

Imports initial stresses from an explicit dynamics run into ANSYS.

SOLUTION: FE Body Loads

MP ME ST PR PRN <> <> <> <> <> DY PP <>

Source

The type of analysis run from which stresses are imported.

OFF
 —

Ignore initial stresses.

DYNA
 —

Get initial stresses from an earlier explicit (ANSYS LS-DYNA) run (default).

Type

Type of data imported. Note that this is an ANSYS-defined field; the only valid value is STRESS.

Loc

Location where the data is imported. Note that this is an ANSYS-defined field; the only valid value is ELEM (data imported at the element integration points).

LSTEP

Load step number of data to be imported. Defaults to the last load step.

SBSTEP

Substep number of data to be imported. Defaults to the last substep.

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name does not have a default; you must specify a name. It CANNOT be the current Jobname.

Ext

Filename extension (8 character maximum).

The extension must be an RST extension (default).

--

Unused field.

SPSCALE

Stabilization factor. This factor is used in a springback analysis to scale (up or down) the initial stiffness of the applied spring. No default; input a value only if you want to activate stabilization. If SPSCALE is blank, stabilization is not activated.

MSCALE

Acceptable stabilization stiffness (defaults to 1.0 X 10--4). In a springback analysis, iterations will stop when the applied spring stiffness comes down to this value. MSCALE is not used if SPSCALE is blank.

Notes

This command imports initial stress information into ANSYS from an earlier explicit (ANSYS LS-DYNA) run. The stress state from SHELL163 and SOLID164 elements in the explicit analysis is imported to the corresponding SHELL181 and SOLID185 implicit elements. For the shell elements, the current shell element thickness is also imported. This command is valid only before the first SOLVE command of the implicit analysis (which comes after the explicit analysis) and is ignored if issued after subsequent SOLVE commands (that is, stresses will not be re-imported).

RIMPORT is typically used to perform springback analysis of sheet metal forming. We recommend that you use SHELL163 elements in the explicit analysis with 3 to 5 integration points through the thickness. This ensures that the through-thickness stress distribution is transferred accurately to the SHELL181 elements. If more than 5 integration points are used, ANSYS imports resultants (forces and moments) to the SHELL181 elements. This implies that linearization of the through-thickness stress distribution is assumed in SHELL181 elements. If SHELL163 uses full integration in the shell plane, stress and thickness data are averaged and then transferred. For the solid elements, the stress at the SOLID164 element centroid is transferred to the SOLID185 element centroid. If SOLID164 has full integration, the stress is averaged and then transferred.

When the SPSCALE argument is specified, artificial springs with exponentially decaying stiffness (as a function of iterations) are applied. This technique is recommended only for those cases in which there are severe convergence difficulties. In general, you should first attempt a springback analysis without using the stabilization factors SPSCALE and MSCALE. (For more information on springback stabilization, see the ANSYS LS-DYNA User's Guide.)

This command is not written to the Jobname.CDB file when the CDWRITE command is issued. Further, the RIMPORT information is not saved to the database; therefore, the RIMPORT command must be reissued if the database is resumed.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Other>Import Stress
Main Menu>Solution>Define Loads>Apply>Structural>Other>Import Stress

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RIGID 		Up / Home Next
RITER


RITER

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RITER, NITER

Supplies an estimate of the number of iterations for time estimates.

RUNSTATS: Run Statistics Estimator

MP ME ST PR PRN <> <> <> EM <> <> PP <>

NITER

Estimated number of iterations (or load steps in a linear, static analysis) for the analysis (defaults to 1).

Command Default

One iteration.

Notes

This estimate will be used by the program to calculate estimated run times [RTIMST].

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Run-Time Stats>Iter Setting

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RIMPORT 		Up / Home Next
RLIST


RLIST

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RLIST, NSET1, NSET2, NINC

Lists the real constant sets.

PREP7: Real Constants

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NSET1, NSET2, NINC

List real constant sets from NSET1 to NSET2 (defaults to NSET1) in steps of NINC (defaults to 1). If NSET1 = ALL (default), ignore NSET2 and NINC and list all real constant sets [R].

Notes

The real constant sets listed contain only those values specifically set by the user. Default values for real constants set automatically within the various elements are not listed.

This command is valid in any processor.

Menu Paths

Utility Menu>List>Properties>All Real Constants
Utility Menu>List>Properties>Specified Real Constants

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RITER 		Up / Home Next
RMALIST


RMALIST

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RMALIST

Lists all defined master nodes for a ROM method.

REDUCED ORDER MODELING: Generation Pass

MP <> <> <> <> <> <> <> <> <> <> PP <>

Notes

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>ROM Tool>Setup>Master Nodes>List

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RLIST 		Up / Home Next
RMANL


RMANL

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RMANL, Fname, Ext, --, Dimn, Oper

Assigns model database, dimensionality, and operating direction for the ROM method.

REDUCED ORDER MODELING: Generation Pass

MP <> <> <> <> <> <> <> <> <> <> PP <>

Fname

Database file name and directory path (248 characters maximum, including directory). The file name defaults to Jobname.

Ext

File extension (8 character maximum). The extension defaults to db.

--

Unused field.

Dimn

Model dimensionality:

2
 —

2-D models

3
 —

3-D Models

Oper

Primary operating direction:

X
 —

direction

Y
 —

direction

Z
 —

direction

Notes

Required Inputs:

Model database containing a structural physics file, title "STRU".
Model database containing an electrostatic physics file, title "ELEC".
Model database containing an area or volume component of the electrostatic domain to be morphed, title "AIR".
Model database containing a node component of the neutral plane nodes, named "NEUN".
Model database containing node components of conductors, named "CONDi", where "i" is the conductor number.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>ROM Tool>Setup>Model Features

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RMALIST 		Up / Home Next
RMASTER


RMASTER

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RMASTER, Node, Lab

Defines master nodes for the ROM method.

REDUCED ORDER MODELING: Generation Pass

MP <> <> <> <> <> <> <> <> <> <> PP <>

Node

Node number at which master degree of freedom is defined If Node = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

Lab

Valid labels are "ADD" (default) and "DEL".

Notes

Defines master nodes for the ROM. Master nodes are used to track the total displacement of a structure in the operating direction [RMANL]. They may be used as attachment points for 1-D structural elements during a ROM use pass via the UX degree of freedom.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>ROM Tool>Setup>Master Nodes>Define
Main Menu>ROM Tool>Setup>Master Nodes>Delete

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RMANL 		Up / Home Next
RMCAP


RMCAP

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RMCAP, RefName, C1, C2

Defines lumped capacitance pairs between conductors C1 and C2 for a ROM method.

REDUCED ORDER MODELING: Generation Pass

MP <> <> <> <> <> <> <> <> <> <> PP <>

RefName

Reference name for capacitance pair definition.

C1

First conductor (between 1 and 5).

C2

Second conductor (between 1 and 5).

Notes

For a capacitance definition between conductor C1 and C2, node components COND%C1% and COND%C2% (see CM command) must be present containing the conductor nodes. If C1 and C2 are blank, the capacitance definition with RefName will be deleted. (For example, if C1 = 1, and C2 = 2, then node components COND1 and COND2 must be defined).

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>ROM Tool>Setup>Capacitances>Define>All Capacitances
Main Menu>ROM Tool>Setup>Capacitances>Define>Single Capacitance
Main Menu>ROM Tool>Setup>Capacitances>Delete

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RMASTER 		Up / Home Next
RMCLIST


RMCLIST

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RMCLIST

Lists all lumped capacitance pairs defined.

REDUCED ORDER MODELING: Generation Pass

MP <> <> <> <> <> <> <> <> <> <> PP <>

Notes

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>ROM Tool>Setup>Capacitances>Define>List
Main Menu>ROM Tool>Setup>Capacitances>List

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RMCAP 		Up / Home Next
RMEMRY


RMEMRY

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RMEMRY

Prints memory statistics for the current model.

RUNSTATS: Run Statistics Estimator

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Notes

Memory statistics include work space usage, database size, binary input/output buffers, and available ANSYS scratch space. Also the maximum available static wavefront that will fit in the available ANSYS scratch space is displayed. The memory statistics are displayed in units of kilobytes (KB) or megabytes (MB).

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Run-Time Stats>Individual Stats

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RMCLIST 		Up / Home Next
RMFLVEC


RMFLVEC

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RMFLVEC

Writes eigenvectors of fluid nodes to a file for use in damping parameter extraction.

POST1: Special Purpose

MP ME <> <> <> <> <> <> <> <> <> PP <>

Notes

RMFLVEC extracts the modal information from the modal results file for all nodes specified in a node component called 'FLUN'. This component should include all nodes which are located at the fluid-structural interface. Mode shapes, element normal orientation, and a scaling factor are computed and stored in a file Jobname.EFL. For damping parameter extraction, use the DMPEXT command macro. See " Thin Film Analysis" for more information on thin film analyses.

FLUID136 and FLUID138 are used to model the fluid interface. Both the structural and fluid element types must be active. The fluid interface nodes must be grouped into a component 'FLUN'. A results file of the last modal analysis must be available.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>ThinFilm>Extract Eigv
Main Menu>Solution>ThinFilm>DampExtract>Eigenfrequency
Main Menu>Solution>ThinFilm>DampExtract>Frequency Range
Main Menu>Solution>ThinFilm>RayleighDamp

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RMEMRY 		Up / Home Next
RMLVSCALE


RMLVSCALE

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RMLVSCALE, Nload, Fact1, Fact2, Fact3, Fact4, Fact5

Defines element load vector scaling for a ROM use pass.

REDUCED ORDER MODELING: Use Pass

MP <> <> <> <> <> <> <> <> <> <> PP <>

Nload

Total number of load cases to be considered within a ROM use pass. If Nload = "DELETE", all defined load vectors are deleted.

Fact1, Fact2, Fact3, . . . , Fact5

Scale factors applied to load vectors (maximum 5). Defaults to 0.

Notes

Specifies the element load scale factor applied to a ROM analysis use pass. Element load vectors are extracted from a Static Analysis using the RMNDISP command. Up to 5 element load vectors may be scaled and applied to a ROM use pass.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Load Vector>For ROM
Main Menu>Preprocessor>Loads>Define Loads>Delete>Load Vector>For ROM
Main Menu>Solution>Define Loads>Apply>Load Vector>For ROM
Main Menu>Solution>Define Loads>Delete>Load Vector>For ROM

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RMFLVEC 		Up / Home Next
RMMLIST


RMMLIST

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RMMLIST

Lists all mode specifications for the ROM method.

REDUCED ORDER MODELING: Generation Pass

MP <> <> <> <> <> <> <> <> <> <> PP <>

Notes

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>ROM Tool>Mode Selection>List

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RMLVSCALE 		Up / Home Next
RMMRANGE


RMMRANGE

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RMMRANGE, Mode, Key, Min, Max, Nstep, Damp, Scale

Defines and edits various modal parameters for the ROM method.

REDUCED ORDER MODELING: Generation Pass

MP <> <> <> <> <> <> <> <> <> <> PP <>

Mode

Mode number. Must be lower or equal to the number of modes extracted via the RMNEVEC command.

Key

Mode classification key. Valid keys are:

DOMINANT
 —

Dominant mode

RELEVANT
 —

Relevant mode

UNUSED
 —

Unused mode. Do not consider mode in ROM.

Min

Lower bound for fit range of mode.

Max

Upper bound for fit range of mode.

Nstep

Number of equidistant steps in fit range of mode.

Damp

Modal damping factor. Defaults to 0.0.

Scale

Modal scaling factor.

Notes

When selected manually (RMMSELECT), modes must be classified as dominant, relevant, or unused. Dominant modes (Key = "DOMINANT") are basis functions with large amplitudes. Relevant modes (Key = "RELEVANT") are influenced by the dominant modes but do not cause interactions among themselves due to the small amplitude. This assumption leads to essential speed up of the sample point generator (see RMSMPLE).

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>ROM Tool>Mode Selection>Edit

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RMMLIST 		Up / Home Next
RMMSELECT


RMMSELECT

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RMMSELECT, Nmode, Method, Dmin, Dmax

Selects modes for the ROM method.

REDUCED ORDER MODELING: Generation Pass

MP <> <> <> <> <> <> <> <> <> <> PP <>

Nmode

Total number of modes to be selected

Method

Method for mode selection. Valid methods are:

TMOD
 —

Automated selection using a test load. TMOD must be enclosed in single quotes.

NMOD
 —

First Nmode eigenmodes. NMOD must be enclosed in single quotes.

Dmin

Lower bound for total deflection range.

Dmax

Upper bound for total deflection range.

Notes

Select pertinent modes for use in a ROM. Pertinent mode selection may be enhanced by using the deflection state of the structure representative of the operating nature of the device (Method = TMOD). A static analysis with an applied Test Load may be used. The test load displacements must be extracted at the neutral plane of the device (if the device is stress-stiffened), or at any plane of the device (non-stress-stiffened). A node component "NEUN" must be defined for the plane of nodes, and the displacements extracted using the RMNDISP command prior to issuing this command. If Method = NMOD, use the first Nmode eigenmodes to select the pertinent modes for the ROM tool. Only those modes are selected that act in the operating direction of the structure [RMANL].

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Required Input Files

jobname.evx, jobname.evy, jobname.evz, jobname.evn, jobname.evl

Optional Input File

Test load and element load neutral plane displacement files: jobname.tld, jobname.eld

Menu Paths

Main Menu>ROM Tool>Mode Selection>Select

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RMMRANGE 		Up / Home Next
RMNDISP


RMNDISP

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RMNDISP, LoadT, Loc

Extracts neutral plane displacements from a test load or element load solution for the ROM method.

REDUCED ORDER MODELING: Preparation

MP <> <> <> <> <> <> <> <> <> <> PP <>

LoadT

Load type. Load type must be an alphanumeric string enclosed in single quotes. Valid load types are 'TLOAD' for the test load and 'ELOAD' for the element load.

Loc

Determines whether file will be overwritten or appended. Valid labels are 'WRITE' or 'APPEND'. Defaults to 'WRITE' for test load.

Notes

This command extracts the displacements at a neutral plane of a model. If LoadT = 'TLOAD', extract displacements for a test load on a structure that represents the expected deflection state. A test load is used to assist in the automatic mode selection for the ROM mode characterization. If LoadT = 'ELOAD', extract the neutral plane displacements for an element load that will be used in the use pass of a ROM analysis. Typical element loads are gravity, and pressure loading. The element loads may be scaled [RMLVSCALE] during the use pass.

The command requires a node component named "NEUN" to be defined. These nodes represent the nodes at the neutral plane of a structure (in the case of a stress-stiffened structure), or at any plane in the structure (non stress-stiffened case).

For LoadT = 'TLOAD', node displacements are written to the file jobname.tld. For LoadT = 'ELOAD', node displacements are written to the file jobname.eld. Up to 5 element load cases may be written to the file jobname.eld.

This command is only valid in POST1.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Output Files

For a test load jobname.tld
For an element load jobname.eld

Menu Paths

Main Menu>General Postproc>ROM Operations>Extract NP DISP

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RMMSELECT 		Up / Home Next
RMNEVEC


RMNEVEC

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RMNEVEC

Extracts neutral plane eigenvectors from a modal analysis for the ROM method.

REDUCED ORDER MODELING: Preparation

MP <> <> <> <> <> <> <> <> <> <> PP <>

Notes

This command extracts the eigenvectors at a neutral plane of a model from a modal analysis. The modal analysis must have expanded modes [MXPAND] in order to process the data. Only the first 9 modes are considered. The command requires a node component named "NEUN" to be defined. These nodes represent the nodes at the neutral plane of a structure (in the case of a stress-stiffened structure), or at any plane in the structure (non stress-stiffened case).

This command is only valid in POST1.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Output Files

jobname.evx, jobname.evy, jobname.evz, jobname.evn, jobname.evl

Menu Paths

Main Menu>General Postproc>ROM Operations>Extract NP Eigv

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RMNDISP 		Up / Home Next
RMODIF


RMODIF

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RMODIF, NSET, STLOC, V1, V2, V3, V4, V5, V6

Modifies real constant sets.

PREP7: Real Constants

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NSET

Existing set to be modified.

STLOC

Starting location in table for modifying data. For example, if STLOC = 1, data input in the V1 field is the first constant in the set. If STLOC = 7, data input in the V1 field is the seventh constant in the set, etc. Must be greater than zero.

V1

New value assigned to constant in location STLOC. If zero (or blank), a zero value will be assigned.

V2, V3, V4, . . . , V6

New values assigned to constants in the next five locations. If blank, the value remains unchanged.

Notes

Allows modifying (or adding) real constants to an existing set [R] at any location, excluding table inputs.

This command is also valid in SOLUTION.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RMNEVEC 		Up / Home Next
RMORE


RMORE

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RMORE, R7, R8, R9, R10, R11, R12

Adds real constants to a set.

PREP7: Real Constants

MP ME ST PR PRN <> <> FL EM <> <> PP <>

R7, R8, R9, . . . , R12

Add real constants 7 to 12 (numerical values or table names) to the most recently defined set.

Notes

Adds six more real constants to the most recently defined set. Repeat the RMORE command for constants 13 to 18, again for 19-24, etc.

If using table inputs (SURF151, SURF152, FLUID116, CONTA171, CONTA172, CONTA173, CONTA174, and CONTA175 only), enclose the table name in % signs (e.g., %tabname%).

When copying real constants to new sets, ANSYS recommends that you use the command input. If you do use the GUI, restrict the real constant copy to only the first six real constants (real constants seven and greater will be incorrect for both the master and copy set).

This command is also valid in SOLUTION.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Mechanical>Spring>Nonlin Rotary
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Mechanical>Spring>Nonlin Trans
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>Transducer>ElecMech
Main Menu>Preprocessor>Modeling>Create>Circuit>Edit Real Cnst

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RMODIF 		Up / Home Next
RMPORDER


RMPORDER

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RMPORDER, Ord1, Ord2, Ord3, Ord4, Ord5, Ord6, Ord7, Ord8, Ord9

Defines polynomial orders for ROM functions.

REDUCED ORDER MODELING: Generation Pass

MP <> <> <> <> <> <> <> <> <> <> PP <>

Ord1, Ord2, Ord3, . . . , Ord9

Polynomial orders for modes. Ordi specifies the polynomial order for modei. Modes are ordered as extracted from a modal analysis using the RMNEVEC command. Defaults to 0 if mode i is unused; default to nstep(i) -1 for dominant or relevant modes, where nstep(i) is the number of equidistant steps in fit range of mode i. nstep(i) is automatically set by RMMSELECT or modified by the RMMRANGE command.

Notes

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>ROM Tool>Resp Surface>Poly Order

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RMORE 		Up / Home Next
RMRESUME


RMRESUME

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RMRESUME, Fname, Ext, --

Resumes ROM data from a file.

REDUCED ORDER MODELING: Set Up

MP <> <> <> <> <> <> <> <> <> <> PP <>

Fname

Name and directory path of the ROM database file (248 character maximum). Default to Jobname.

Ext

Extension of the ROM database file. Default to .rom.

--

Unused field.

Notes

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Preprocessor>Loads>Analysis Type>ExpansionPass
Main Menu>Preprocessor>Loads>Analysis Type>New Analysis
Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>ROM>Database
Main Menu>ROM Tool>Rom Database>Resume
Main Menu>Solution>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>ExpansionPass
Main Menu>Solution>Analysis Type>New Analysis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RMPORDER 		Up / Home Next
RMRGENERATE


RMRGENERATE

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RMRGENERATE

Performs fitting procedure for all ROM functions to generate response surfaces.

REDUCED ORDER MODELING: Generation Pass

MP <> <> <> <> <> <> <> <> <> <> PP <>

Notes

The fitting procedure uses modal analysis data and function data generated using the RMSMPLE command and specifications set forth in the RMROPTIONS command. The files jobname_ijk.pcs (modes i, j, k) will be generated containing the coefficients of the response surfaces. These files are needed for the ROM Use Pass along with a ROM data base file [RMSAVE].

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Input Files

Strain energy and capacitance data file jobname_ijk.dec

Output Files

Response surface coefficients jobname_ijk.pcs (modes i, j, k)

Menu Paths

Main Menu>ROM Tool>Resp Surface>Fit Functions

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RMRESUME 		Up / Home Next
RMROPTIONS


RMROPTIONS

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RMROPTIONS, RefName, Type, Invert

Defines options for ROM response surface fitting.

REDUCED ORDER MODELING: Generation Pass

MP <> <> <> <> <> <> <> <> <> <> PP <>

RefName

Reference name of ROM function to be fitted. Valid reference names are "SENE" for the strain energy of the structural domain and any capacitance reference name previously defined by means of RMCAP command for the electrostatic domain.

Type

Type of fitting function to be applied for regression analysis. Valid types are:

LAGRANGE
 —

Lagrange type (default)

REDLAGRANGE
 —

Reduced Lagrange type

PASCAL
 —

Pascal type

REDPASCAL
 —

Reduced Pascal type

Invert

Flag to specify whether data should be inverted prior to fitting.

0
 —

Do not invert data (default for SENE)

1
 —

Invert data input onRefname field (recommended for capacitance functions).

Notes

The objective of response surface fit is to compute an analytical expression for the strain energy and the capacitance as functions of modal amplitudes.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>ROM Tool>Resp Surface>Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RMRGENERATE 		Up / Home Next
RMRPLOT


RMRPLOT

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RMRPLOT, RefName, Type, Mode1, Mode2

Plots response surface of ROM function or its derivatives with respect to the dominant mode(s).

REDUCED ORDER MODELING: Generation Pass

MP <> <> <> <> <> <> <> <> <> <> PP <>

RefName

Reference name of ROM function. Valid reference names are "SENE" for the strain energy of the mechanical domain and any capacitance definition, previously defined by means of the RMCAP command, for the electrostatic domain.

Type

Type of data to be plotted. Valid types are:

FUNC
 —

Response surface (default)

FIRST
 —

First derivative of response surface with respect to Mode1.

SECOND
 —

Second derivative of response surface with respect to Mode1 and Mode2.

Mode1

First mode number (used for Type = "FIRST" and Type = "SECOND" only).

Mode2

Second mode number (used for Type = "SECOND" only).

Notes

The objective of response surface fit is to compute an analytical expression for the strain energy and the capacitance as functions of modal amplitudes. This command assumes that the coefficient files jobnam_ijk.pcs are available [RMRGENERATE]. Visualization of the response surface will help to evaluate the validity of the function fit.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>ROM Tool>Resp Surface>Plot

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RMROPTIONS 		Up / Home Next
RMRSTATUS


RMRSTATUS

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RMRSTATUS, RefName

Prints status of response surface for ROM function.

REDUCED ORDER MODELING: Generation Pass

MP <> <> <> <> <> <> <> <> <> <> PP <>

RefName

Reference name of ROM function. Valid reference names are "SENE" for the strain energy of the mechanical domain and any capacitance reference names [RMCAP], for the electrostatic domain.

Notes

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>ROM Tool>Resp Surface>Status

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RMRPLOT 		Up / Home Next
RMSAVE


RMSAVE

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RMSAVE, Fname, Ext, --

Saves ROM data to file.

REDUCED ORDER MODELING: Set Up

MP <> <> <> <> <> <> <> <> <> <> PP <>

Fname

Name and directory path of the ROM database file. Default to Jobname.

Ext

Extension of the ROM database file. Default to .rom.

--

Unused field.

Notes

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>ROM Tool>Rom Database>Save

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RMRSTATUS 		Up / Home Next
RMSMPLE


RMSMPLE

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RMSMPLE, Nlgeom, Cap, Seqslv, Eeqslv

Runs finite element solutions and obtains sample points for the ROM method.

REDUCED ORDER MODELING: Generation Pass

MP <> <> <> <> <> <> <> <> <> <> PP <>

Nlgeom

Specify whether a large or small deflection analysis is to be performed for the mechanical domain:

OFF (or 0)
 —

Perform small deflection analysis (default).

ON (or 1)
 —

Perform large deflection analysis.

Cap

Capacitance calculation method.

CHARGE
 —

Compute capacitance based on the charge voltage relationship (default).

CMATRIX
 —

Employ CMATRIX macro to calculate capacitance.

Seqslv

Solver for structural analysis:

SPARSE
 —

Sparse direct equation solver (default).

PCG
 —

Pre-conditioned Conjugate Gradient iterative equation solver.

Eeqslv

Solver for electrostatic analysis:

SPARSE
 —

Sparse direct equation solver (default).

JCG
 —

Jacobi Conjugate Gradient iterative equation solver.

ICCG
 —

Incomplete Cholesky Conjugate Gradient iterative equation solver.

Notes

This command prepares and runs multiple finite element solutions on the Structural domain and the Electrostatic domain of a model to collect sample points of data for ROM response curve fitting. The command requires a model database [RMANL] and two Physics Files (Structural domain, titled "STRU" and an Electrostatic domain, titled "ELEC"; see PHYSICS command). Also required is a complete ROM database generated from the ROM Tools. The Cap = CHARGE method is preferred when capacitance to "infinity" is not required. Capacitance conductor pairs are defined by the RMCAP command.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Required Input

Model Database filename.db
ROM Database jobname.rom, jobname.evx, jobname.evy, jobname.evz

Output Files

Strain energy and capacitance data files jobname_ijk.dec (mode i, j, k).

Menu Paths

Main Menu>ROM Tool>Sample Pt Gen>Compute Points

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RMSAVE 		Up / Home Next
RMUSE


RMUSE

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RMUSE, Option, Usefil

Activates ROM use pass for ROM elements.

REDUCED ORDER MODELING: Use Pass

MP <> <> <> <> <> <> <> <> <> <> PP <>

Option

Type of data to be plotted. Valid types are:

1 or "ON"
 —

Activates ROM use pass.

0 or "OFF"
 —

Deactivates ROM use pass.

Usefil

Name of the reduced displacement file (.rdsp) created by the ROM Use Pass (required field only for the Expansion Pass).

Notes

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Preprocessor>Loads>Analysis Type>ExpansionPass
Main Menu>Preprocessor>Loads>Analysis Type>New Analysis
Main Menu>Solution>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>ExpansionPass
Main Menu>Solution>Analysis Type>New Analysis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RMSMPLE 		Up / Home Next
RMXPORT


RMXPORT

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RMXPORT

Exports ROM model to external VHDL-AMS simulator.

REDUCED ORDER MODELING: Generation Pass

MP <> <> <> <> <> <> <> <> <> <> PP <>

Notes

Use this command to generate all files necessary to run the ROM analysis in an external VHDL-AMS Simulator.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Output Files

VHDL files: Initial.vhd, S_ams_ijk.vhd, Cxxx_ams_ijk.vhd, transducer.vhd.

Menu Paths

Main Menu>ROM Tool>Export>VHDL-AMS

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RMUSE 		Up / Home Next
ROCK


ROCK

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

ROCK, CGX, CGY, CGZ, OMX, OMY, OMZ

Specifies a rocking response spectrum.

SOLUTION: Spectrum Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

CGX, CGY, CGZ

Global Cartesian X, Y, and Z location of center of rotation about which rocking occurs.

OMX, OMY, OMZ

Global Cartesian angular velocity components associated with the rocking.

Notes

Specifies a rocking response spectrum effect in the spectrum (ANTYPE,SPECTR) analysis.

The excitation direction with rocking included is not normalized to one; rather, it scales the spectrum. For more information, see Participation Factors and Mode Coefficients.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>SinglePt>Settings
Main Menu>Solution>Load Step Opts>Spectrum>SinglePt>Settings

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RMXPORT 		Up / Home Next
RPOLY


RPOLY

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RPOLY, NSIDES, LSIDE, MAJRAD, MINRAD

Creates a regular polygonal area centered about the working plane origin.

PREP7: Primitives

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NSIDES

Number of sides in the regular polygon. Must be greater than 2.

LSIDE

Length of each side of the regular polygon.

MAJRAD

Radius of the major (or circumscribed) circle of the polygon. Not used if LSIDE is input.

MINRAD

Radius of the minor (or inscribed) circle of the polygon. Not used if LSIDE or MAJRAD is input.

Notes

Defines a regular polygonal area on the working plane. The polygon will be centered about the working plane origin, with the first keypoint defined at θ = 0°. The area will be defined with NSIDES keypoints and NSIDES lines. See the RPR4 and POLY commands for other ways to create polygons.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Areas>Polygon>By Circumscr Rad
Main Menu>Preprocessor>Modeling>Create>Areas>Polygon>By Inscribed Rad
Main Menu>Preprocessor>Modeling>Create>Areas>Polygon>By Side Length

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ROCK 		Up / Home Next
RPR4


RPR4

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RPR4, NSIDES, XCENTER, YCENTER, RADIUS, THETA, DEPTH

Creates a regular polygonal area or prism volume anywhere on the working plane.

PREP7: Primitives

MP ME ST PR PRN <> <> FL EM EH <> PP <>

NSIDES

The number of sides in the polygon or prism face. Must be greater than 2.

XCENTER, YCENTER

Working plane X and Y coordinates of the center of the polygon or prism face.

RADIUS

Distance (major radius) from the center to a vertex of the polygon or prism face (where the first keypoint is defined).

THETA

Angle (in degrees) from the working plane X-axis to the vertex of the polygon or prism face where the first keypoint is defined. Used to orient the polygon or prism face. Defaults to zero.

DEPTH

The perpendicular distance (either positive or negative based on the working plane Z direction) from the working plane representing the depth of the prism. If DEPTH = 0 (default), a polygonal area is created on the working plane.

Notes

Defines a regular polygonal area anywhere on the working plane or prism volume with one face anywhere on the working plane. The top and bottom faces of the prism are polygonal areas. See the RPOLY, POLY, RPRISM, and PRISM commands for other ways to create polygons and prisms.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Areas>Polygon>Hexagon
Main Menu>Preprocessor>Modeling>Create>Areas>Polygon>Octagon
Main Menu>Preprocessor>Modeling>Create>Areas>Polygon>Pentagon
Main Menu>Preprocessor>Modeling>Create>Areas>Polygon>Septagon
Main Menu>Preprocessor>Modeling>Create>Areas>Polygon>Square
Main Menu>Preprocessor>Modeling>Create>Areas>Polygon>Triangle
Main Menu>Preprocessor>Modeling>Create>Volumes>Prism>Hexagonal
Main Menu>Preprocessor>Modeling>Create>Volumes>Prism>Octagonal
Main Menu>Preprocessor>Modeling>Create>Volumes>Prism>Pentagonal
Main Menu>Preprocessor>Modeling>Create>Volumes>Prism>Septagonal
Main Menu>Preprocessor>Modeling>Create>Volumes>Prism>Square
Main Menu>Preprocessor>Modeling>Create>Volumes>Prism>Triangular

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RPOLY 		Up / Home Next
RPRISM


RPRISM

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RPRISM, Z1, Z2, NSIDES, LSIDE, MAJRAD, MINRAD

Creates a regular prism volume centered about the working plane origin.

PREP7: Primitives

MP ME ST PR PRN <> <> FL EM EH <> PP <>

Z1, Z2

Working plane Z coordinates of the prism.

NSIDES

Number of sides in the polygon defining the top and bottom faces of the prism. Must be greater than 2.

LSIDE

Length of each side of the polygon defining the top and bottom faces of the prism.

MAJRAD

Radius of the major (or circumscribed) circle of the polygon defining the top and bottom faces of the prism. Not used if LSIDE is input.

MINRAD

Radius of the minor (or inscribed circle) of the polygon defining the top and bottom faces of the prism. Not used if LSIDE or MAJRAD is input.

Notes

Defines a regular prism volume centered about the working plane origin. The prism must have a spatial volume greater than zero. (i.e., this volume primitive command cannot be used to create a degenerate volume as a means of creating an area.) The top and bottom faces are polygonal areas that are parallel to the working plane but neither face need be coplanar with (i.e., "on") the working plane. The first keypoint defined for each face is at θ = 0°. See the RPR4 and PRISM commands for other ways to create prisms.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Volumes>Prism>By Circumscr Rad
Main Menu>Preprocessor>Modeling>Create>Volumes>Prism>By Inscribed Rad
Main Menu>Preprocessor>Modeling>Create>Volumes>Prism>By Side Length

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RPR4 		Up / Home Next
RPSD


RPSD

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RPSD, IR, IA, IB, ITYPE, DATUM, Name

Computes response power spectral density (PSD).

POST26: Special Purpose

MP ME ST <> <> <> <> <> <> <> <> PP <>

IR

Arbitrary reference number assigned to the resulting variable (2 to NV [NUMVAR]). If this number is the same as for a previous variable, the previous variable will be overwritten with this result.

IA, IB

Reference numbers of the two variables to be operated on. If only one, leave IB blank.

ITYPE

Defines the type of response PSD to be calculated:

0,1
 —

Displacement (default).

2
 —

Velocity.

3
 —

Acceleration.

DATUM

Defines the reference with respect to which response PSD is to be calculated:

1
 —

Absolute value.

2
 —

Relative to base (default).

Name

Thirty-two character name identifying variable on listings and displays. Embedded blanks are compressed for output.

Notes

This command computes response power spectral density (PSD) for the variables referenced by the reference numbers IA and IB. The variable referred by IR will contain the response PSD. File.PSD must be available for the calculations to occur. Requires the STORE,PSD command to be issued first.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>TimeHist Postpro>Calc Resp PSD

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RPRISM 		Up / Home Next
RSFIT


RSFIT

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RSFIT, RSlab, Slab, Name, Rmod, Ytrans, Yval, Xfilt, CONF

Fit a response surface for an output parameter in a solution set.

PROBABILISTIC: Response Surfaces

MP ME ST PR PRN <> <> FL EM <> <> PP <>

RSlab

Response surface set label. Identifies the response surface results for later postprocessing. This label can be used as Rlab for postprocessing response surface results, and for evaluating the fit results with RSPLOT and RSPRNT. You must have separate identification labels for the solution sets and for the response surface sets, because you can perform a response surface fit based on Monte Carlo results. For this case, the original Monte Carlo results are identified by the solution set label provided in the PDEXE command and the results generated with the fitted response surfaces are identified by the response surface set label (RSlab) provided here. RSlab must not contain blanks. Maximum length of this field is 16 characters; if this field contains more than 16 characters, it will be truncated to 16 characters.

Slab

Solution set label that identifies the probabilistic analysis containing the results to be fitted. This solution set label is defined with the PDEXE command.

Name

Parameter name. The parameter must have been previously defined as a random output parameter with the PDVAR command. The result values of this parameter (stored in the solution set identified by Slab) are fitted as a function of all random input variables.

Rmod

Regression model to use for the evaluation of the response surface.

LIN
 —

Regression model with linear terms only.

QUAD
 —

Regression model with linear and pure quadratic terms (no cross-terms).

QUAX
 —

Regression model with linear and all quadratic terms (including cross-terms). (Default.)

Ytrans

Option for the transformation type applied to the output parameter identified with Name.

NONE
 —

The values of the output parameter Name are not transformed (default).

EXP
 —

The values of the output parameter Name are transformed according to Y* = exp(Y). The transformed values Y* are used for the fitting process.

LOGA
 —

The values of the output parameter Name are transformed according to Y* = loga(Y), where the basis a is specified by Yval. The transformed values Y* are used for the fitting process.

LOGN
 —

The values of the output parameter Name are transformed according to Y* = In(Y). The transformed values Y* are used for the fitting process.

LOG10
 —

The values of the output parameter Name are transformed according to Y* = log10(Y). The transformed values Y* are used for the fitting process.

SQRT
 —

The values of the output parameter Name are transformed according to Y* = [image]. The transformed values Y* are used for the fitting process.

POW
 —

The values of the output parameter Name are transformed according to Y* = Ya, where the exponent a is specified by Yval. The transformed values Y* are used for the fitting process.

BOX
 —

The values of the output parameter Name are transformed according to the Box-Cox transformation.

Y* = [image] for λi ≠ 0

Y* = ln(Y) for λi = 0

The parameter λi is automatically determined within the interval [-2, 2]. The step length for this interval search is given in Yval. The transformed values Y* are used for the fitting process.

Yval

Value needed for Ytrans = LOGA, Ytrans = POW, and Ytrans = BOX. Ignored for all other options of Ytrans. For Ytrans = LOGA and Ytrans = POW, the default value is Yval = 1.0. For Ytrans = BOX, the default value is Yval = 0.01.

Xfilt

Option that specifies if irrelevant terms of the regression model should be filtered out.

NONE
 —

Regression term filtering is not done. A full regression model as specified with the Rmod option is evaluated.

FSR
 —

Use the "forward-stepwise-regression" to automatically filter out individual and irrelevant terms of the regression model. If irrelevant terms are sorted out this leads to a smaller number of coefficients to be determined in the regression analysis, which then leads to increased accuracy of the coefficients of the remaining terms in the regression model (default).

CONF

Confidence level that is used to filter the terms of the regression model if the Xfilt = FSR option has been selected. The value of CONF must be between 0.0 and 1.0 (default is 0.95). The higher this value, the more terms will be filtered out. Consequently, higher CONF values lead to a fewer terms in the regression model. Likewise, lower CONF values lead to more terms being included in the regression model.

Command Default

Rmod = QUAX, Ytrans = NONE, Xfilt = FSR, CONF = 0.95, Yval as explained above.

Notes

Evaluates a response surface for a random output parameter Name. The result values for the parameter Name as stored in the solution set Slab are fitted as a function of all random input parameters. There can be only one response surface set for each solution set. A response surface set can include the fitted response surfaces of one or more output parameters.

Note

If the RSFIT command is used for an existing response surface set for which Monte Carlo simulations have already been generated using the RSSIMS command then these Monte Carlo samples are deleted by the RSFIT command. In this case they need to be generated again using the RSSIMS command. It is necessary to delete the Monte Carlo simulations in order to make sure that the samples, their statistics and correlations are consistent with the response surfaces.

Menu Paths

Main Menu>Prob Design>Response Surf>Fit Resp Surf

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RPSD 		Up / Home Next
RSOPT


RSOPT

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RSOPT, Opt, Filename, Ext, Dir

Creates or loads the radiosity mapping data file for SURF251 or SURF252 element types.

SOLUTION: Radiosity

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Opt

File option:

SAVE
 —

Write the radiosity mapping data to a file. (Default)

LOAD
 —

Read in the specified mapping data file.

Fname

File name for radiosity mapping data file. Defaults to Jobname.

Ext

Filename extension for radiosity mapping data file (default = .rsm).

Dir

Directory path for radiosity mapping data file. If you do not specify a directory path, it will default to your working directory.

Notes

Use this command to manually create or load a radiosity mapping data file. This command is useful if you want to create the mapping data file without issuing SAVE or CDWRITE, or if you want to specify that the file be located in a directory other than your working directory. Also use this command to manually load an existing mapping data file during a restart.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RSFIT 		Up / Home Next
RSPEED


RSPEED

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RSPEED, MIPS, SMFLOP, VMFLOP

Supplies system performance information for use in time estimates.

RUNSTATS: Run Statistics Estimator

MP ME ST PR PRN <> <> <> EM <> <> PP <>

MIPS

MIPS rating of computer (defaults to 4). This value is ignored if SMFLOP is specified.

SMFLOP

Scalar MFLOPS rating of computer (defaults to MIPS/4).

VMFLOP

Vector MFLOPS rating of computer (Defaults to MIPS/2).

Notes

Supplies system performance information to the program for its use in estimating run times [RTIMST]. Normally this command is invoked through the SETSPEED macro as executed by the ANSYS installation process.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Run-Time Stats>System Settings

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RSOPT 		Up / Home Next
RSPLIT


RSPLIT

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RSPLIT, Option, Label, Name1, Name2, Name3, Name4, Name5, Name6, Name7, Name8, Name9, Name10, Name11, Name12, Name13, Name14, Name15, Name16

Creates one or more results file(s) from the current results file based on subsets of elements.

POST1: Special Purpose

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Option

Specify which results to include for the subset of elements.

ALL
—

Write all nodal and element results based on the subset of elements (default).

EXT
—

Write only the nodal and element results that are on the exterior surface of the element subset. The results data will be averaged as in PowerGraphics (see AVRES) when this results file is brought into POST1. Only valid for solid elements.

Label

Define where the element subset is coming from.

ALL
—

Use all selected element components (CMSEL) (default).

ESEL
—

Use the currently selected (ESEL) set of elements. Name1 defines the results file name.

LIST
 —

Use Name1 to Name16 to list the element component and/or assembly names (that contain element components).

Name1, Name2, Name3, . . . , Name16

Up to 16 element component and/or assembly names (that contain element components).

Command Default

Write all data available for the element subset.

Notes

Results files will be named based on the element component or assembly name, e.g., Cname.rst, except for the ESEL option, for which you must specify the results file name (no extension) using the Name1 field. Note that the .rst filename will be written in all uppercase letters (CNAME.rst) (unless using the ESEL option); when you read the file, you must specify the filename using all uppercase letters (i.e., file,CNAME). You may repeat the RSPLIT command as often as needed. All results sets on the results file are processed. Use /AUX3 to produce a results file with just a subset of the results sets.

Use INRES to limit the results data written to the results files.

The subset geometry is also written so that no database file is required to postprocess the subset results files. You must not resume any database when postprocessing one of these results files. The input results file must have geometry written to it (i.e., do not use /CONFIG,NORSTGM,1).

Applied forces and reaction forces are not apportioned if their nodes are shared by multiple element subsets. Their full values are written to each results file.

Each results file renumbers its nodes and elements starting with 1.

This feature is useful when working with large models. For more information on the advantages and uses of the RSPLIT command, see Splitting Large Results Files in the Basic Analysis Guide.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RSPEED 		Up / Home Next
RSPLOT


RSPLOT

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RSPLOT, RSlab, YName, X1Name, X2Name, Type, NPTS, PLOW, PUP

Plot a response surface.

PROBABILISTIC: Response Surfaces

MP ME ST PR PRN <> <> FL EM <> <> PP <>

RSlab

Response Surface set label. Identifies the response surfaces generated by the RSFIT command.

YName

Parameter name. The parameter must have been previously defined as a random output parameter with the PDVAR command.

X1Name

Parameter name. The parameter must have been previously defined as a random input variable with the PDVAR command.

X2Name

Parameter name. The parameter must have been previously defined as a random input variable with the PDVAR command. X2Name must be different than X1Name.

Type

Type of the response surface visualization.

2D
 —

2-D contour plot.

3D
 —

3-D surface plot.

NPTS

Number of grid points for both the X1-axis and the X2-axis. The grid points are used for the evaluation of the response surface. The number must be between 1 and 500. Defaults to 20. If NPTS = 0 or greater than 500, then a value of 20 is used.

PLOW

Lower probability level used to determine the lower boundary (plotting range) of the curve in case the random input variable does not have a minimum value (such as Gauss). This probability must be between 0.0 and 1.0. Defaults to 0.0025.

PUP

Upper probability level used to determine the upper boundary of the curve. This probability must be between 0.0 and 1.0. Defaults to 0.9975.

Command Default

NPTS = 20, PLOW = 0.0025 (applied if distribution type has no minimum), PUP = 0.9975 (applied if distribution type has no maximum)

Notes

Plots the response surface of an output parameter YName as a function of two input parameters X1Name and X2Name.

If PLOW is left blank, then a minimum value of the distribution is used for plotting, provided it exists (for example, uniform distribution). If the distribution type has no minimum value (for example, Gaussian distribution), then the default value is used to determine the lower plotting range value. The same is true for the maximum value if PUP is left blank.

In addition to the response surface, the sampling points that are fitted by the response surface are also plotted by this command. However, sampling points falling outside of the plotting range defined by the PLOW and PUP fields will not be shown in the plot.

Menu Paths

Main Menu>Prob Design>Response Surf>Plt Resp Surf

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RSPLIT 		Up / Home Next
RSPRNT


RSPRNT

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RSPRNT, RSlab, YName, Xout

Print a response surface.

PROBABILISTIC: Response Surfaces

MP ME ST PR PRN <> <> FL EM <> <> PP <>

RSlab

Response Surface set label. Identifies the response surfaces generated by the RSFIT command.

YName

Parameter name. The parameter must have been previously defined as a random output parameter with the PDVAR command. Identifies the parameter for which a response surface has been generated by the RSFIT command.

Xout

An option if an extended print-out of more feedback about goodness-of-fit and the details of the regression analysis of the response surface is requested.

No –
 —

Use the standard print-out (default).

Yes –
 —

Use the extended print-out.

Notes

Prints the results and details of a response surface analysis generated by the RSFIT command. For the specified output parameter Yname, the fitting details such as the individual terms of the response surface model and their corresponding coefficients are listed. The command also produces a comparison of the original values of Yname used for the fitting process and the approximate values derived from the fitting, and some goodness of fit measures.

If Xout = Yes, then more information about the regression analysis of the response surface will be printed. For example, the confidence intervals on the regression coefficients and the correlation between the regression coefficients among others.

Menu Paths

Main Menu>Prob Design>Response Surf>Prn Resp Surf

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RSPLOT 		Up / Home Next
RSSIMS


RSSIMS

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RSSIMS, RSlab, NSIM, Seed

Performs Monte Carlo simulations on response surface(s).

PROBABILISTIC: Response Surfaces

MP ME ST PR PRN <> <> FL EM <> <> PP <>

RSlab

Response Surface set label. Identifies the response surfaces generated by the RSFIT command.

NSIM

Number of simulation loops on the response surfaces that will be generated for all random output parameters. If the RSSIMS command is issued multiple times using the same response surface set label the NSIM Monte Carlo simulations is appended to previous ones. The default value for NSIM is 10,000.

Seed

Seed value label. Random number generators require a seed value that is used to calculate the next random number. After each random number generation finishes, the seed value is updated and is used again to calculate the next random number. By default ANSYS initializes the seed value with the system time (one time only) when the ANSYS session started.

CONT
—

Continues updating using the derived seed value (default).

TIME
—

Initializes the seed value with the system time. You can use this if you want the seed value set to a specific value for one analysis and then you want to continue with a "random" seed in the next analysis. It is not recommended to "randomize" the seed value with the Seed = TIME option for multiple analyses. If the Monte Carlo simulations requested with this command will be appended to previously existing simulations, then the Seed option is ignored and Seed = CONT is used.

INIT
—

Initializes the seed value using 123457. This value is a typical recommendation used very often in literature. This option leads to identical random numbers for all random input variables when the exact analysis will be repeated, making it useful for benchmarking and validation purposes (where identical random numbers are desired). If the Monte Carlo simulations requested with this command will be appended to previously existing simulations, then the Seed option is ignored and Seed = CONT is used.

Value
—

Uses the specified (positive) value for the initialization of the seed value. This option has the same effect as Seed = INIT, except you can chose an arbitrary (positive) number for the initialization. If the Monte Carlo simulations requested with this command will be appended to previously existing simulations, then the Seed option is ignored and Seed = CONT is used.

Command Default

NSIM = 10,000, Seed = CONT

Notes

Generate the Monte Carlo simulations on the response surfaces that are included in a response surface set. Simulations are evaluated only for the output parameters that have been fitted in a response surface set using the RSFIT command.

If the RSSIMS command is issued multiple times using the same response surface label the probabilistic design system appends the samples generated here to the previous ones. This way you can start with a moderate NSIM number and add more samples if the probabilistic results are not accurate enough.

Menu Paths

Main Menu>Prob Design>Response Surf>RS Simulation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RSPRNT 		Up / Home Next
RSTAT


RSTAT

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RSTAT

Prints the FE model statistics of the model.

RUNSTATS: Run Statistics Estimator

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Prints the finite element model statistics of the model currently in the database. The maximum node and element number used are displayed, as well as the number of nodes and elements selected.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Run-Time Stats>Individual Stats

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RSSIMS 		Up / Home Next
RSTOFF


RSTOFF

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RSTOFF, Lab, OFFSET

Offsets node or element IDs in the FE geometry record.

SOLUTION: Analysis Options

MP ME ST <> <> <> <> <> <> <> <> PP <>

Lab

The offset type:

NODE
—

Offset the node IDs.

ELEM
—

Offset the element IDs.

OFFSET

A positive integer value specifying the offset value to apply. The value must be greater than the number of nodes or elements in the existing superelement results file.

Command Default

Issuing the RSTOFF command with no specified argument values applies no offsets.

Notes

The RSTOFF command offsets node or element IDs in the FE geometry record saved in the .rst results file. Use the command when expanding superelements in a bottom-up substructuring analysis (where each superelement is generated individually in a generation pass, and all superelements are assembled together in the use pass).

With appropriate offsets, you can write results files with unique node or element IDs and thus display the entire model even if the original superelements have overlapping element or node ID sets. (Such results files are incompatible with the .db database file saved at the generation pass.)

The offset that you specify is based on the original superelement node or element numbering, rather than on any offset specified via a SESYMM or SETRAN command. When issuing an RSTOFF command, avoid specifying an offset that creates conflicting node or element numbers for a superelement generated via a SESYMM or SETRAN command.

If you issue the command to set non-zero offsets for node or element IDs, you must bring the geometry into the database via the SET command so that ANSYS can display the results. You must specify appropriate offsets to avoid overlapping node or element IDs with other superelement results files.

The command is valid only in the first load step of a superelement expansion pass.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RSTAT 		Up / Home Next
RSURF


RSURF

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RSURF, Options, Delopts, ETNUM

Generates the radiosity surface elements (SURF251/SURF252) and stores them in the database.

SOLUTION: Radiosity

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Options

Command options:

CLEAR
—

Deletes radiosity surface elements and nodes. The set of elements and nodes to be deleted is defined by Delopts. ETNUM is ignored.

DEFINE
—

Creates the radiosity surface elements and nodes (default).

STAT
 —

Shows the status/listing. Other command options are ignored.

Delopts

Deletion options

ALL
—

Deletes all radiosity surface elements and nodes.

LAST
—

Deletes radiosity surface elements and nodes created by the last RSURF command.

ETNUM

Element type number. Leave blank to indicate the next available number.

Notes

This command generates the radiosity surface elements based on the RSYMM and RDEC parameters and stores them in the database. It works only on selected underlying elements that have RDSF flags on them. You can issue multiple RSURF commands to build the radiosity model. However, all RSURF commands must be issued after the model is complete (i.e., after all meshing operations are complete).

If you do issue multiple RSURF commands for different regions, you must first mesh the different regions, and then generate the radiosity surface elements on each meshed region individually. Use RSURF,,,ETNUM to assign a separate element type number to each region. This procedure allow you to identify the individual regions later in the multi-field analysis.

If the underlying solid elements are higher order, the radiosity surface elements are always lower order (4- or 3-node in 3-D or 2-node in 2-D). Decimation will always occur before any symmetry operations.

For 2-D axisymmetric YR models, the newly-generated nodes can have only positive Y coordinates.

If you have already issued RSURF for a surface and you issue RSURF again, ANSYS creates a new set of radiosity surface elements and nodes over the existing set, resulting in an erroneous solution.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Radiation Opts>Advanced Solution Option>Radiation Surface Mesh>Clear Radiation Surface Mesh
Main Menu>Preprocessor>Radiation Opts>Advanced Solution Option>Radiation Surface Mesh>Generate Radiation Surface Mesh
Main Menu>Solution>Radiation Opts>Advanced Solution Option>Radiation Surface Mesh>Clear Radiation Surface Mesh
Main Menu>Solution>Radiation Opts>Advanced Solution Option>Radiation Surface Mesh>Generate Radiation Surface Mesh

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RSTOFF 		Up / Home Next
RSYMM


RSYMM

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RSYMM, Option, CS, Axis, NSECT, CONDVALUE

Defines the plane of symmetry or center of rotation for the radiosity method.

SOLUTION: Radiosity

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Option

Command options:

CLEAR
—

Deletes all symmetry definitions. Other command options are ignored.

DEFINE
—

Defines the symmetry (default).

STAT
 —

Shows the status/listing. Other command options are ignored.

COND
 —

Turns condensation on or off in the radiosity solver for all defined radiation symmetries. CS, AXIS, and NSECT are ignored. Condensation is the process where equations for symmetrical elements are excluded from the linear equation system. Default is off.

CS

Local coordinate system ( [image] 11) as defined using the LOCAL or CS commands or a global coordinate system (0). For planar reflection, the coordinate system origin must be on the plane of symmetry (POS) and one of its axes must be normal to the POS. For cyclic reflection, the coordinate system origin must be coincident with the center of rotation (COR). Only Cartesian systems are valid.

Axis

Axis label of the coordinate system (CS) that is normal to the POS for planar reflection. For 2-D model planar reflections, valid labels are X or Y. For 3-D model planar reflections, valid labels are X, Y, or Z. Must be blank for cyclic reflection. For cyclic reflection, it is assumed that the Z axis is aligned with the axis of rotation.

NSECT

Number of cyclic reflections to be done ( [image] 1). This field must be blank or 0 for planar reflection. Default is blank.

CONDVALUE

Condensation key. Used only with Option = COND.

ON
 —

Turns condensation on in the radiosity solver for all defined radiation symmetries.

OFF
 —

Turns condensation off in the radiosity solver for all defined radiation symmetries (default).

Notes

This command is used to define the POS for planar reflection or the COR for cyclic reflection. RSYMM may be issued multiple times to have more than one planar/cyclic reflection; however, the RSURF command processes them in the order they are issued.

For planar reflection, you must define a local coordinate system ( [image] 11) with its origin on the POS. One of its axes must be aligned so that it is normal to the plane. If possible, use the existing global coordinate system (0).

For cyclic reflection, you must define a local coordinate system ( [image] 11) with its origin coincident with the COR. Reflections occur about the local Z-axis in the counterclockwise direction. You must align the Z-axis properly. If possible, use the existing global coordinate system (0).

New surface elements generated inherit the properties of the original elements.

For 2-D axisymmetric models, RSYMM can be used only for symmetrization in the YR plane. It cannot be used for the theta direction. Use V2DOPT in that case.

For 2-D axisymmetric YR models, the newly-generated nodes can have only positive X coordinates.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Radiation Opts>Advanced Solution Option>Radiation Symmetry Options>Clear Symmetry
Main Menu>Preprocessor>Radiation Opts>Advanced Solution Option>Radiation Symmetry Options>Condensation
Main Menu>Preprocessor>Radiation Opts>Advanced Solution Option>Radiation Symmetry Options>Cyclic Symmetry
Main Menu>Preprocessor>Radiation Opts>Advanced Solution Option>Radiation Symmetry Options>Planar Symmetry
Main Menu>Solution>Radiation Opts>Advanced Solution Option>Radiation Symmetry Options>Clear Symmetry
Main Menu>Solution>Radiation Opts>Advanced Solution Option>Radiation Symmetry Options>Condensation
Main Menu>Solution>Radiation Opts>Advanced Solution Option>Radiation Symmetry Options>Cyclic Symmetry
Main Menu>Solution>Radiation Opts>Advanced Solution Option>Radiation Symmetry Options>Planar Symmetry

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RSURF 		Up / Home Next
RSYS


RSYS

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RSYS, KCN

Activates a coordinate system for printout or display of element and nodal results.

POST1: Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KCN

The coordinate system to use for results output:

0
 —

Global Cartesian coordinate system (default).

1
 —

Global cylindrical coordinate system.

2
 —

Global spherical coordinate system.

> 10
 —

Any existing local coordinate system.

SOLU
 —

Solution coordinate systems. For element quantities, these are the element coordinate system for each element. For nodal quantities, these are the nodal coordinate systems. If an element or nodal coordinate system is not defined, ANSYS uses the global Cartesian coordinate system. If you issue a LAYER,N command (where N refers to a layer number), the results appear in the layer coordinate system.

LSYS
 —

Layer coordinate system. For layered shell and solid elements, the results appear in their respective layer coordinate systems. For a specific layer of interest, issue a LAYER,N command (where N refers to a layer number). If a model has both nonlayered and layered elements, you can use RSYS,SOLU and RSYS,LSYS simultaneously (with RSYS,SOLU applicable to nonlayered elements and RSYS,LSYS applicable to layered elements). To reverse effects of the LSYS option, issue an RSYS,0 command.

Command Default

Activate global Cartesian (KCN = 0) coordinate system.

Notes

The RSYS command activates a coordinate system for printing or displaying element results data such as stresses and heat fluxes, and nodal results data such as degrees of freedom and reactions. ANSYS rotates the results data to the specified coordinate system during printout, display, or element table operations (such as PRNSOL, PRESOL, PLNSOL, and ETABLE). You can define coordinate systems with various ANSYS commands such as LOCAL, CS, CLOCAL, and CSKP.

If you issue RSYS with KCN > 10 (indicating a local coordinate system), and the specified system is subsequently redefined, you must reissue RSYS for results to be rotated into the redefined system.

Note

The default coordinate system for certain elements, notably shells, is not global Cartesian and is frequently not aligned at adjacent elements.

The use of RSYS,SOLU with these elements can make nodal averaging of component element results, such as SX, SY, SZ, SXY, SYZ, and SXZ, invalid and is not recommended.

The RSYS command has no effect on beam stresses (from BEAM3, BEAM4, PIPE16, PIPE17, PIPE18, PIPE20, BEAM23, BEAM24, BEAM44, BEAM54, PIPE59, PIPE60, BEAM188, and BEAM189), which ANSYS always displays (using /ESHAPE,1 and PowerGraphics) in the element coordinate system.

Element results such as stresses and heat fluxes are in the element coordinate systems when KCN = SOLU. Nodal requests for element results (for example, PRNSOL,S,COMP) average the element values at the common node; that is, the orientation of the node is not a factor in the output of element quantities. For nearly all solid elements, the default element coordinate systems are parallel to the global Cartesian coordinate system. For shell elements and the remaining solid elements, the default element coordinate system can differ from element to element. For layered shell and layered solid elements, ANSYS initially selects the element coordinate system when KCN = SOLU; you can then select the layer coordinate system via the LAYER command.

Nodal results such as degrees of freedom and reactions can be properly rotated only if the resulting component set is consistent with the degree-of-freedom set at the node. (The degree-of-freedom set at a node is determined by the elements attached to the node.) For example, if a node does not have a UZ degree of freedom during solution, then any Z component resulting from a rotation does not print or display in POST1. Therefore, results at nodes with a single degree-of-freedom (UY only, for example) should not be rotated; that is, they should be viewed only in the nodal coordinate system or a system parallel to the nodal system. (The global Cartesian system--the RSYS command default--may not be parallel to the nodal system.) Results at nodes with a 2-D degree-of-freedom set (UX and UY, for example) should not be rotated out of the 2-D plane.

PowerGraphics

PowerGraphics does not support RSYS,SOLU. For PowerGraphics, ANSYS plots PLVECT vector arrow displays (such temperature, velocity, and force) in the global Cartesian coordinate system (RSYS = 0). Subsequent operations revert to your original coordinate system.

PGR File

When you generate a .PGR file in SOLUTION, you can use the Results Viewer to display your stresses only in the coordinate system in which you write your .PGR file. To view stresses in other coordinate systems, load your results file into the Results Viewer and regenerate the data.

Large Deflections

If large deflection is active (NLGEOM,ON), ANSYS rotates the element component result directions by the amount of rigid body rotation.

For SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, SHELL208, and SHELL209, ANSYS displays the element component results in the initial global coordinate system. All other element result transformations are, therefore, also relative to the initial global system. Nodal degree-of-freedom results are based on the initial (and not the updated) geometry. For all other element types, component results displayed in the co-rotated coordinate system include the element rigid body rotation from the initial global coordinate system, and all other element result transformations are relative to the rotated global system.

LS-DYNA

You can use the RSYS command to rotate stress data for all explicit (ANSYS LS-DYNA) elements except BEAM161, COMBI165, and composite SHELL163 (KEYOPT(3) = 1). In models that contain these element types combined with other explicit elements, you must unselect the unsupported elements before issuing the RSYS command. The command does not support strain data for any explicit element types. If you request strain results for explicit elements when RSYS is not set to the global Cartesian coordinate system (KCN = 0), ANSYS ignores the printing or plotting command. (ANSYS always rotates displacements into the results coordinate system, independent of the explicit element type.)

Menu Paths

Main Menu>General Postproc>Options for Outp
Utility Menu>List>Results>Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RSYMM 		Up / Home Next
RTHICK


RTHICK

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RTHICK, Par, ILOC, JLOC, KLOC, LLOC

Defines variable thickness at nodes for shell elements.

PREP7: Meshing

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Par

Array parameter (indexed by node number) that expresses the function to be mapped. For example, func (17) should be the desired shell thickness at node 17.

ILOC

Position in real constant set for thickness at node I of the element (default 1).

JLOC

Position in real constant set for thickness at node J of the element (default 2).

KLOC

Position in real constant set for thickness at node K of the element (default 3).

LLOC

Position in real constant set for thickness at node L of the element (default 4).

Notes

After RTHICK, each selected element will have its REAL number matching its ELEM number, for example, R (ILOC) = func (I NODE), R (JLOC) = func (J NODE), etc. Any other real constants on a previously defined real constant set will remain unchanged. This command cannot be used for beam elements.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Real Constants>Thickness Func
Main Menu>Preprocessor>Real Constants>Thickness Func
Main Menu>Solution>Load Step Opts>Other>Real Constants>Thickness Func

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RSYS 		Up / Home Next
RTIMST


RTIMST

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RTIMST

Prints runtime estimates.

RUNSTATS: Run Statistics Estimator

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Notes

Prints runtime estimates for the current model. A runtime estimate is given for the first iteration, for subsequent iterations, and for total runtime. The runtime estimates are itemized for such ANSYS solution components as element formulation, wavefront solution, back substitution, etc. The estimates will be for a computer system using performance attributes as described by the RSPEED command and an estimated number of iterations as specified on the RITER command. The RSPEED and RITER commands should be input before this command.

Note

This command will cause reordering [WAVES] if reordering was not already done on the model.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Run-Time Stats>Individual Stats

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RTHICK 		Up / Home Next
RUN


RUN

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RUN, DX, DY, DZ, NDIV, NEND, ESTRT, EINC

Defines a pipe run.

PREP7: Piping

MP ME ST PR PRN <> <> <> <> <> <> PP <>

DX, DY, DZ

Increment (in terms of the active coordinate system components) to determine run end point. Increment is applied to branch starting point [BRANCH] or end point of previous run (whichever was later).

NDIV

Number of divisions (elements) along branch (defaults to 1). A node is generated at the end of each division.

NEND

Number to be assigned to end node of branch (defaults to MAXNP + NDIV).

ESTRT

Number to be assigned to first element of branch (defaults to the previous maximum element number (MAXEL) + 1).

EINC

Element number increment (defaults to 1).

Notes

Defines a pipe run from a previous point to an incremental point. Nodes (and elements) are generated straight (in the active coordinate system). Elements are of type PIPE16 straight pipes. Material properties, real constants, and loads are derived from the previously defined piping specifications. Piping loads and specifications are defined with the PCORRO, PDRAG, PFLUID, PINSUL, POPT, PPRES, PSPEC, PTEMP, and PUNIT commands. Generated items may be listed (or displayed) with the standard commands (NLIST, ELIST, NPLOT, EPLOT, ETLIST, RLIST, etc.). Items may also be modified (NMODIF, EMODIF, RMODIF, etc.) or redefined as desired. See the Modeling and Meshing Guide for details.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Piping Models>Define Pipes>Pipe Run

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RTIMST 		Up / Home Next
/RUNST


/RUNST

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

/RUNST

Enters the run statistics processor.

SESSION: Processor Entry

RUNSTATS: Run Statistics Estimator

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Enters the run statistics processor for estimating various solution size and speed statistics. Statistics include run time estimates, wavefront estimates, file size estimates, memory requirements and finite element model size information.

This command is valid only at the Begin Level.

Menu Paths

Main Menu>Run-Time Stats

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RUN 		Up / Home Next
RWFRNT


RWFRNT

Release 11.0 Documentation for ANSYS

Commands Reference | R Commands |

RWFRNT

Generates wavefront statistics and memory requirements.

RUNSTATS: Run Statistics Estimator

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Generates current solver statistics, such as maximum and RMS wavefront, and memory requirements based on the chosen solver (EQSLV command). The RWFRNT command causes reordering if reordering was not already done on the model.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Run-Time Stats>Individual Stats

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/RUNST 		Up / Home Next
S Commands


S Commands

Table of Contents

SABS - Specifies absolute values for element table operations.
SADD - Forms an element table item by adding two existing items.
SALLOW - Defines the allowable stress table for safety factor calculations.
SARPLOT - Displays areas smaller than a specified size (for models imported from CAD files).
SAVE - Saves all current database information.
SBCLIST - Lists solid model boundary conditions.
SBCTRAN - Transfers solid model loads and boundary conditions to the FE model.
SDELETE - Deletes cross sections from the ANSYS database.
SE - Defines a superelement.
SECCONTROLS - Overrides program calculated properties.
SECDATA - Describes the geometry of a section.
SECFUNCTION - Specifies shell section thickness as a tabular function.
SECJOINT - Defines local coordinate systems at joint element nodes or relative DOFs to be fixed for a general joint element.
/SECLIB - Sets the default section library path for the SECREAD command.
SECLOCK - Specifies locks on the components of relative motion in a joint element.
SECMODIF - Modifies a pretension section
SECNUM - Sets the element section attribute pointer.
SECOFFSET - Defines the section offset for cross sections.
SECPLOT - Plots the geometry of a beam or shell section to scale.
SECREAD - Reads a customized beam section library or a user-defined beam section mesh into ANSYS.
SECSTOP - Specifies stops on the components of relative motion in a joint element.
SECTYPE - Associates section type information with a section ID number.
SECWRITE - Creates an ASCII file containing user mesh section information.
SED - Defines the excitation direction for a single-point response spectrum.
SEDLIST - Lists the DOF solution of a superelement after the use pass.
SEEXP - Specifies options for the substructure expansion pass.
/SEG - Allows graphics data to be stored in the local terminal memory.
SEGEN - Automatically generate superelements.
SELIST - Lists the contents of a superelement matrix file.
SELM - Specifies "Superelements" as the subsequent status topic.
SELTOL - Sets the tolerance for subsequent select operations.
SENERGY - Determines the stored magnetic energy or co-energy.
SEOPT - Specifies substructure analysis options.
SESYMM - Performs a symmetry operation on a superelement within the use pass.
SET - Defines the data set to be read from the results file.
SETFGAP - Updates or defines the real constant table for squeeze film elements.
SETRAN - Creates a superelement from an existing superelement.
SEXP - Forms an element table item by exponentiating and multiplying.
SF - Specifies surface loads on nodes.
SFA - Specifies surface loads on the selected areas.
SFACT - Allows safety factor or margin of safety calculations to be made.
SFADELE - Deletes surface loads from areas.
SFALIST - Lists the surface loads for the specified area.
SFBEAM - Specifies surface loads on beam elements.
SFCALC - Calculates the safety factor or margin of safety.
SFCUM - Specifies that surface loads are to be accumulated.
SFDELE - Deletes surface loads.
SFE - Specifies surface loads on elements.
SFEDELE - Deletes surface loads from elements.
SFELIST - Lists the surface loads for elements.
SFFUN - Specifies a varying surface load.
SFGRAD - Specifies a gradient (slope) for surface loads.
SFL - Specifies surface loads on lines of an area.
SFLDELE - Deletes surface loads from lines.
SFLIST - Lists surface loads.
SFLLIST - Lists the surface loads for lines.
SFSCALE - Scales surface loads on elements.
SFTRAN - Transfer the solid model surface loads to the finite element model.
/SHADE - Defines the type of surface shading used with Z-buffering.
SHELL - Selects a shell element or shell layer location for results output.
/SHOW - Specifies the device and other parameters for graphics displays.
/SHOWDISP - Defines the display driver name.
SHPP - Controls element shape checking.
/SHRINK - Shrinks elements, lines, areas, and volumes for display clarity.
SHSD - Creates or deletes shell-solid interface to be used in shell-to-solid assemblies.
SLIST - Summarizes the section properties for all defined sections in the current session of ANSYS.
SLOAD - Load a pretension section.
SLPPLOT - Displays line loops smaller than a specified size (for models imported from CAD files).
SLSPLOT - Displays line segments smaller than a specified size (for models imported from CAD files).
SMALL - Finds the smallest of three variables.
SMAX - Forms an element table item from the maximum of two other items.
/SMBC - Controls the display of solid model boundary condition symbols and labels.
SMBODY - Specifies "Body loads on the solid model" as the subsequent status topic.
SMCONS - Specifies "Constraints on the solid model" as the subsequent status topic.
SMFOR - Specifies "Forces on the solid model" as the subsequent status topic.
SMIN - Forms an element table item from the minimum of two other items.
SMOOTH - Allows smoothing of noisy data and provides a graphical representation of the data.
SMRTSIZE - Specifies meshing parameters for automatic (smart) element sizing.
SMSURF - Specifies "Surface loads on the solid model" as the subsequent status topic.
SMULT - Forms an element table item by multiplying two other items.
SOLCONTROL - Specifies whether to use optimized nonlinear solution defaults and some enhanced internal solution algorithms.
SOLU - Specifies solution summary data per substep to be stored.
/SOLU - Enters the solution processor.
SOLUOPT - Specifies "Solution options" as the subsequent status topic.
SOLVE - Starts a solution.
SORT - Specifies "Sort settings" as the subsequent status topic.
SOURCE - Defines a default location for undefined nodes or keypoints.
SPACE - Defines a space node for radiation using the Radiation Matrix method.
SPADP - Automatically refines a tetrahedral element mesh based on S-parameter convergence.
SPARM - Calculates scattering (S) parameters between ports of a network system.
SPCNOD - Defines a space node for radiation using the Radiosity method.
SPCTEMP - Defines a free-space ambient temperature for radiation using the Radiosity method.
SPEC - Specifies "Miscellaneous specifications" as the subsequent status topic.
SPH4 - Creates a spherical volume anywhere on the working plane.
SPH5 - Creates a spherical volume by diameter end points.
SPHERE - Creates a spherical volume centered about the working plane origin.
SPICE - Generates a SPICE subcircuit model using S-parameters from a Touchstone file.
SPLINE - Generates a segmented spline through a series of keypoints.
SPLOT - Displays the selected areas and a faceted view of their underlying surfaces
SPOINT - Defines a point for moment summations.
SPOPT - Selects the spectrum type and other spectrum options.
SPREAD - Turns on a dashed tolerance curve for the subsequent curve plots.
SPSCAN - Performs a harmonic analysis of a unit cell over a range of angles and extracts the S-parameter.
SPSWP - Computes S-parameters over a frequency range and writes them to a file.
SPTOPT - Specifies "Spectrum analysis options" as the subsequent status topic.
SQRT - Forms the square root of a variable.
SRSS - Specifies the square root of sum of squares mode combination method.
SSBT - Specifies preintegrated bending thermal effects for shell sections.
/SSCALE - Sets the contour multiplier for topographic displays.
SSLN - Selects and displays small lines in the model.
SSMT - Specifies preintegrated membrane thermal effects for shell sections.
SSPA - Specifies a preintegrated membrane stiffness for shell sections.
SSPB - Specifies a preintegrated coupling stiffness for shell sections.
SSPD - Specifies a preintegrated bending stiffness for shell sections.
SSPE - Specifies a preintegrated transverse shear stiffness for shell sections.
SSPM - Specifies mass density for a preintegrated shell section.
SSTIF - Activates stress stiffness effects in a nonlinear analysis.
SSUM - Calculates and prints the sum of element table items.
STABILIZE - Activates stabilization for all elements that support nonlinear stabilization.
STAOPT - Specifies static analysis options.
STAT - Displays the status of database settings.
/STATUS - Lists the status of items for the run.
STEF - Specifies Stefan-Boltzmann radiation constant.
/STITLE - Defines subtitles.
STORE - Stores data in the database for the defined variables.
SUBOPT - Specifies options for subspace iteration eigenvalue extraction.
SUBSET - Reads results for the selected portions of the model.
SUCALC - Create new result data by operating on two existing result data sets on a given surface.
SUCR - Create a surface.
SUDEL - Delete geometry information as well as any mapped results for specified surface.
SUEVAL - Perform operations on a mapped item and store result in a scalar parameter.
SUGET - Moves surface geometry and mapped results to an array parameter.
SUMAP - Map results onto selected surface(s).
SUMTYPE - Sets the type of summation to be used in the following load case operations.
SUPL - Plot result data on all selected surfaces or on a specified surface.
SUPR - Print global status, geometry information and/or result information.
SURESU - Read a set of surface definitions and result items from a file and make them the current set.
SUSAVE - Saves surface definitions to a file.
SUSEL - Selects a subset of surfaces
SUVECT - Create new result data by operating on two existing result vectors on a given surface.
SV - Defines spectrum values to be associated with frequency points.
SVTYP - Defines the type of single-point response spectrum.
SWADD - Adds more surfaces to an existing spot weld set.
SWDEL - Deletes spot weld sets.
SWGEN - Creates a new spot weld set.
SWLIST - Lists spot weld sets.
SYNCHRO - Specifies whether the excitation frequency is synchronous or asynchronous with the rotational velocity of a structure.
/SYP - Passes a command string and arguments to the operating system.
/SYS - Passes a command string to the operating system.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
RWFRNT 		Up / Home Next
SABS


SABS

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SABS, KEY

Specifies absolute values for element table operations.

POST1: Element Table

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KEY

Absolute value key:

0
 —

Use algebraic values in operations.

1
 —

Use absolute values in operations.

Command Default

Use algebraic values.

Notes

Causes absolute values to be used in the SADD, SMULT, SMAX, SMIN, and SSUM operations.

Menu Paths

Main Menu>General Postproc>Element Table>Abs Value Option

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
S Commands 		Up / Home Next
SADD


SADD

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SADD, LabR, Lab1, Lab2, FACT1, FACT2, CONST

Forms an element table item by adding two existing items.

POST1: Element Table

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LabR

Label assigned to results. If same as existing label, the existing values will be overwritten by these results.

Lab1

First labeled result item in operation.

Lab2

Second labeled result item in operation (may be blank).

FACT1

Scale factor applied to Lab1. A (blank) or '0' entry defaults to 1.0.

FACT2

Scale factor applied to Lab2. A (blank) or '0' entry defaults to 1.0.

CONST

Constant value.

Notes

Forms a labeled result (see ETABLE command) for the selected elements by adding two existing labeled result items according to the operation:

LabR = (FACT1 x Lab1) + (FACT2 x Lab2) + CONST

May also be used to scale results for a single labeled result item. If absolute values are requested [SABS,1], absolute values of Lab1 and Lab2 are used.

Menu Paths

Main Menu>General Postproc>Element Table>Add Items

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SABS 		Up / Home Next
SALLOW


SALLOW

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SALLOW, STRS1, STRS2, STRS3, STRS4, STRS5, STRS6

Defines the allowable stress table for safety factor calculations.

POST1: Element Table

MP ME ST PR PRN <> <> <> <> <> <> PP <>

STRS1, STRS2, STRS3, . . . , STRS6

Input up to six allowable stresses corresponding to the temperature points [TALLOW].

Notes

Defines the allowable stress table for safety factor calculations [SFACT,SFCALC]. Use the STAT command to list current allowable stress table. Repeat SALLOW to zero table and redefine points (6 maximum).

Safety factor calculations are not supported by PowerGraphics. Both the SALLOW and TALLOW commands must be used with the Full Model Graphics display method active.

Menu Paths

Main Menu>General Postproc>Safety Factor>Allowable Strs>Constant
Main Menu>General Postproc>Safety Factor>Allowable Strs>Reset Stress
Main Menu>General Postproc>Safety Factor>Allowable Strs>Temp-depend

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SADD 		Up / Home Next
SARPLOT


SARPLOT

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SARPLOT, Prefer, VALUE

Displays areas smaller than a specified size (for models imported from CAD files).

PREP7: CAD Repair

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Prefer

Preference for area display. If Prefer = FACTOR, the command displays all areas whose size is smaller than the size of the average area within the model times VALUE. This is the default preference. If Prefer = AREA, the command displays all areas that are smaller than that specified by VALUE. If Prefer = NARROW, the command displays all areas that have an aspect ratio greater than VALUE (useful for finding "sliver" areas).

VALUE

Numeric value used as argument for Prefer.

Notes

Use this command to locate and display disproportionately small areas when repairing the geometry of models imported from CAD files. Areas matching the criteria specified in Prefer and VALUE both display in a different color and include their IDs. This command is available only for models imported through the Default IGES option.

Menu Paths

Main Menu>Preprocessor>Modeling>Simplify>Detect/Display>Small Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SALLOW 		Up / Home Next
SAVE


SAVE

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SAVE, Fname, Ext, --, Slab

Saves all current database information.

DATABASE: Set Up

MP ME ST PR PRN <> <> FL EM EH <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to DB if Fname is blank.

--

Unused field.

Slab

Mode for saving the database:

ALL
 —

Save the model data, solution data and post data (element tables, etc.). This value is the default.

MODEL
 —

Save the model data (solid model, finite element model, loadings, etc.) only.

SOLU
 —

Save the model data and the solution data (nodal and element results).

Notes

Saves all current database information to a file (File.DB). In interactive mode, an existing File.DB is first written to a backup file (File.DBB). In batch mode, an existing File.DB is replaced by the current database information with no backup. The command should be issued periodically to ensure a current file backup in case of a system "crash" or a "line drop." It may also be issued before a "doubtful" command so that if the result is not what was intended the database may be easily restored to the previous state. A save may be time consuming for large models. Repeated use of this command overwrites the previous data on the file (but a backup file is first written during an interactive run). When issued from within POST1, the nodal boundary conditions in the database (which were read from the results file) will overwrite the nodal boundary conditions existing on the database file.

This command is valid in any processor.

Menu Paths

Utility Menu>File>Save as
Utility Menu>File>Save as Jobname.db

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SARPLOT 		Up / Home Next
SBCLIST


SBCLIST

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SBCLIST

Lists solid model boundary conditions.

SOLUTION: Misc Loads

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Notes

Lists all solid model boundary conditions for the selected solid model entities. See also DKLIST, DLLIST, DALIST, FKLIST, SFLLIST, SFALIST, BFLLIST, BFALIST, BFVLIST, and BFKLIST to list items separately.

This command is valid in any processor.

Menu Paths

Utility Menu>List>Loads>Solid Model Loads

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SAVE 		Up / Home Next
SBCTRAN


SBCTRAN

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SBCTRAN

Transfers solid model loads and boundary conditions to the FE model.

SOLUTION: Misc Loads

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Notes

Causes a manual transfer of solid model loads and boundary conditions to the finite element model. Loads and boundary conditions on unselected keypoints, lines, areas, and volumes are not transferred. Boundary conditions and loads will not be transferred to unselected nodes or elements. The SBCTRAN operation is also automatically done upon initiation of the solution calculations [SOLVE].

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Operate>Transfer to FE>All Solid Lds
Main Menu>Solution>Define Loads>Operate>Transfer to FE>All Solid Lds

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SBCLIST 		Up / Home Next
SDELETE


SDELETE

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SDELETE, SFIRST, SLAST, SINC, KNOCLEAN,--, LCHK

Deletes cross sections from the ANSYS database.

PREP7: Cross Sections

MP ME ST <> <> <> <> <> <> <> <> PP <>

SFIRST

First section ID to be deleted; defaults to first available section in the database.

SLAST

Last section ID to be deleted; defaults to last available section in the database.

SINC

Increment of the section ID; defaults to 1.

KNOCLEAN

Pretension element cleanup key (pretension sections only).

0
 —

Perform cleanup of pretension elements (delete pretension elements and reconnect elements split during PSMESH).

1
 —

Do not perform cleanup.

--

Unused field.

LCHK

Specifies the level of element-associativity checking:

NOCHECK
 —

No element-associativity check occurs. This option is the default.

WARN
 —

When a section, material, or real constant is associated with an element, ANSYS issues a message warning that the necessary entity has been deleted.

CHECK
 —

The command terminates, and no section, material, or real constant is deleted if it is associated with an element.

Notes

Deletes one or more specified sections and their associated data from the ANSYS database.

Menu Paths

Main Menu>Preprocessor>Sections>Delete Section

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SBCTRAN 		Up / Home Next
SE


SE

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SE, File, --, --, TOLER

Defines a superelement.

PREP7: Superelements

MP ME ST PR PRN <> <> <> EM EH <> PP <>

File

Jobname (case-sensitive, eight-character maximum) of file containing superelement. Defaults to the current Jobname.

--, --

Unused fields.

TOLER

Tolerance used to determine if use pass nodes are noncoincident with master nodes having the same node numbers. Defaults to 0.0001. Use pass nodes will always be replaced by master nodes of the same node number. However, if a use pass node is more than TOLER away from the corresponding master node, a warning is generated.

Notes

Defines a superelement by reading in the superelement matrices and master nodes from the superelement matrix file. The matrix file (File.SUB) must be available from the substructure generation pass. The proper element type (MATRIX50) must be active [TYPE] for this command. A scratch file called File.SORD showing the superelement names and their corresponding element numbers is also written.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Elements>Superelem>From .SUB File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SDELETE 		Up / Home Next
SECCONTROLS


SECCONTROLS

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SECCONTROLS, VAL1, VAL2, VAL3, VAL4, VAL5, VAL6, VAL7, VAL8, VAL9, VAL10, VAL11, VAL12

Overrides program calculated properties.

PREP7: Cross Sections

MP ME ST PR PRN <> <> <> <> <> <> PP <>

VAL1, VAL2, VAL3, . . . , VAL12

Values, such as the length of a side or the numbers of cells along the width, that describe the geometry of a section. See the "Notes" section of this command description for details about these values for the various section types.

Notes

The SECCONTROLS command is divided into two operation types: BEAMS and SHELLS. The beam type is listed first, followed by the shell type. Values are associated with the most recently issued SECTYPE command. The data required is determined by the section type, and is different for each type.

SECCONTROLS overrides the program calculated transverse shear stiffness.

The SECCONTROLS command does not apply to the thermal shell elements, SHELL131 and SHELL132.

BEAMS

Type: BEAM

Data to be provided in the value fields:
TXZ,  - , TXY, ADDMAS
TXZ = User transverse shear stiffness.
- = Unused field.
TXY = User transverse shear stiffness.
ADDMAS = Added mass per unit length.

SHELLS

Type: SHELL

Data to be provided in the value fields:
E11, E22, E12, ADDMAS, MEMSCF, BENSCF, DRLSTIF
E11 = User transverse shear stiffness.
E22 = User transverse shear stiffness.
E12 = User transverse shear stiffness.
ADDMAS = Added mass per unit area.
MEMSCF = Hourglass control membrane scale factor.
BENSCF = Hourglass control bending scale factor.
DRLSTIF = Drill stiffness scale factor.

Subtype: FIBERSIM

For FiberSIM analyses, provide data for these additional value fields (VAL8-VAL12):
ELFSTIF = Elastic foundation stiffness.
THKTOL = Thickness tolerance. Defaults to the sum of the defined layers (which does not represent the laminate thickness.)
EDGTOL = Tolerance to the edge of the element. Defaults to 0.0. A non-zero value may increase running time slightly. ANSYS recommends specifying only a very small tolerance value (as small as possible).
ANGTOL = Angle tolerance in degrees between the normals of the ANSYS element and the FiberSIM triangle. The default value is 10.
NEL = Activates debugging output for NEL elements after a new section is called. The default value is 0.
TKFLG = Layer thickness flag: 0 = Determine the layer thickness based on the FiberSIM file data. 1 = Use the layer thickness specified via the SECDATA command. (This value field is valid only with FiberSIM version 5.1 or later versions.)

In an analysis that uses FiberSIM data to define sections, issue the SECCONTROLS command after defining the geometry for your section (that is, after issuing all necessary SECDATA commands).

Menu Paths

Main Menu>Preprocessor>Sections>Beam>Sect Control
Main Menu>Preprocessor>Sections>Shell>Lay-up>Add / Edit

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SE 		Up / Home Next
SECDATA


SECDATA

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SECDATA, VAL1, VAL2, VAL3, VAL4, VAL5, VAL6, VAL7, VAL8, VAL9, VAL10

Describes the geometry of a section.

PREP7: Cross Sections

MP ME ST PR PRN <> <> <> <> <> <> PP <>

VAL1, VAL2, VAL3, . . . , VAL10

Values, such as thickness or the length of a side or the numbers of cells along the width, that describe the geometry of a section. The terms VAL1, VAL2, etc. are specialized for each type of cross-section. See the Notes section of this command description for details about these values for the various section types.

Notes

The SECDATA command is divided into these section types: BEAMS, TAPER, SHELLS, PRETENSION, JOINTS, and REINFORCING. The beam types are collectively listed first, followed by the remaining section types.

SECDATA defines the data describing the geometry of a section. The data input on the SECDATA command is interpreted based on the most recently issued SECTYPE command. The data required is determined by the section type and subtype, and is different for each one.

In an analysis using FiberSIM data (SECTYPE,,SHELL, FIBERSIM), the SECDATA command does not define the order of the layers.

BEAMS

Type: BEAM

Beam sections are referenced by the BEAM44, BEAM188, or BEAM189 elements. A section made of multiple materials cannot be modeled using BEAM44. Not all SECOFFSET location values are valid for each subtype.

Type: BEAM, Subtype: RECT

Data to provide in the value fields:
B, H, Nb, Nh
B = Width
H = Height
Nb = Number of cells along width; default = 2
Nh = Number of cells along height; default = 2
Nb*Nh

Type: BEAM, Subtype: QUAD

Data to provide in the value fields:
yI, zI, yJ, zJ, yK, zK, yL, zL, Ng, Nh
yI, zI, yJ, zJ, yK, zK, yL, zL = Coordinate location of various points
Ng = Number of cells along g; default = 2
Nh = Number of cells along h; default = 2
Ng*Nh

Degeneration to triangle is permitted by specifying the same coordinates for cells along an edge.

Type: BEAM, Subtype: CSOLID

Data to provide in the value fields:
R, N, T
R = Radius
N = Number of divisions around the circumference; N [image] 8, default = 8
T = Number of divisions through the radius; default = 2

Type: BEAM, Subtype: CTUBE

Data to provide in the value fields:
Ri, Ro, N
Ri = Inner radius of the tube
Ro = Outer radius of the tube
N = Number of cells along the circumference; N [image] 8, default = 8

Type: BEAM, Subtype: CHAN

Data to provide in the value fields:
W1, W2, W3, t1, t2, t3
W1, W2 = Lengths of the flanges
W3 = Overall depth
t1, t2 = Flange thicknesses
t3 = Web thicknesses

Type: BEAM, Subtype: I

Data to provide in the value fields:
W1, W2, W3, t1, t2, t3
W1, W2 = Width of the top and bottom flanges
W3 = Overall depth
t1, t2 = Flange thicknesses
t3 = Web thicknesses

Type: BEAM, Subtype: Z

Data to provide in the value fields:
W1, W2, W3, t1, t2, t3
W1, W2 = Flange lengths
W3 = Overall depth
t1, t2 = Flange thicknesses
t3 = Stem thicknesses

Type: BEAM, Subtype: L

Data to provide in the value fields:
W1, W2, t1, t2
W1, W2 = Leg lengths
t1, t2 = Leg thicknesses

Type: BEAM, Subtype: T

Data to provide in the value fields:
W1, W2, t1, t2
W1 = Flange width
W2 = Overall depth
t1 = Flange thicknesses
t2 = Stem thicknesses

Type: BEAM, Subtype: HATS

Data to provide in the value fields:
W1, W2, W3, W4, t1, t2, t3, t4, t5
W1, W2 = Width of the brim
W3 = Width of the top of the hat
W4 = Overall depth
t1, t2 = Thickness of the brim
t3 = Thickness of the top of the hat
t4, t5 = Web thicknesses

Type: BEAM, Subtype: HREC

Data to provide in the value fields:
W1, W2, t1, t2, t3, t4
W1 = Outer width of the box
W2 = Outer height of the box
t1, t2, t3, t4 = Wall thickness

Type: BEAM, Subtype: ASEC

Arbitrary: User-supplied integrated section properties instead of basic geometry data.
Data to provide in the value fields:
A, Iyy, Iyz, Izz, Iw, J, CGy, CGz, SHy, SHz
A = Area of section
Iyy = Moment of inertia about the y axis
Iyz = Product of inertia
Izz = Moment of inertia about the z axis
Iw = Warping constant
J = Torsional constant
CGy = Y coordinate of centroid
CGz = Z coordinate of centroid
SHy = Y coordinate of shear center
SHz = Z coordinate of shear center

SECPLOT cannot display an ASEC plot.

Type: BEAM, Subtype: MESH

User-defined mesh.
Data required is created by the SECWRITE command and is read into ANSYS by the SECREAD command.
When a user mesh is input via SECREAD, ANSYS calculates the area, second moments of inertia, centroid, torsion constant, warping rigidity, and shear center.
If you redefine a material for a composite cross-section after creating the section, you must reissue the SECREAD command.

TAPER

Type: TAPER

Taper sections are referenced by BEAM188, and BEAM189 elements. After specifying the tapered section type ( SECTYPE,,TAPER), issue separate SECDATA commands to define each end of the tapered beam.

Data to provide in the value fields:
Sec_IDn, XLOC, YLOC, ZLOC
Sec_IDn = Previously defined beam section at ends 1 (I) and 2 (J).
XLOC, YLOC, ZLOC = The location of Sec_IDn in the global Cartesian coordinate system.

SHELLS

Type: SHELL

Shell sections are referenced by the SHELL99 (for subtype FiberSIM only), SHELL131, SHELL132, SHELL181, SOLID185 Layered Solid, SOLID186 Layered Solid, SOLSH190, SHELL208, SHELL209, and SHELL281 elements.

Data to provide in the value fields:
TK, MAT, THETA, NUMPT, LayerName
TK = Thickness of shell layer. Thickness may be tapered using the SECFUNCTION command. Use zero for a ply drop-off for SHELL181, SHELL208, and SHELL209. Zero thickness is not allowed for SHELL131 and SHELL132. The sum of all layer thicknesses must be greater than zero.
MAT = Material ID for layer (any 18x material model is available for SHELL181, SOLID185 Layered Solid, SOLID186 Layered Solid, SOLSH190, SHELL208, and SHELL209, including UserMat). MAT is required for a composite (multi-layered) laminate, (i.e., not the default). For a homogeneous (single-layered) shell, the default is the MAT command setting. Use the TREF and/or the MP, REFT commands to address multiple reference temperatures.
THETA = Angle (in degrees) of layer element coordinate system with respect to element coordinate system (ESYS).
NUMPT = Number of integration points in layer. The GUI permits 1, 3, 5, 7, or 9 points (default = 3). However a higher odd number may be specified in the command. The integration rule used is Simpson's Rule. (NUMPT is not used by SHELL131 and SHELL132.)
LayerName = The layer name (up to 72 characters) in an analysis using FiberSIM data (SECTYPE,,SHELL, FIBERSIM). The layer name is case-sensitive and must match the ply name in the FiberSIM .xml file. (In a non-FiberSIM analysis, this value serves only as a comment in the input.)

In an analysis using FiberSIM data:

  • The THETA value is ignored,

  • The SHELL99 element ignores the NUMPT value,

  • The order of the SECDATA commands does not matter as the layer under comes from the .xml file. Therefore, repeated values of LayerName should not be used.

  • Every LayerName used on the .xml file should be on a separate SECDATA command.

Issue separate SECDATA commands to define each of the layers in the section.

PRETENSION

Type: PRETENSION

Pretension sections are referenced by the PRETS179 element.

Data to provide in the value fields:
node, nx, ny, nz
node = Pretension node number.
nx = Orientation in global Cartesian x direction.
ny = Orientation in global Cartesian y direction.
nz = Orientation in global Cartesian z direction.

The following usage is typical:

SECTYPE, 1, PRETENSION
SECDATA, 13184, 0.000, 0.000, 1.000
SECMODIF, 1, NAME, example
SLOAD, 1, PL01, TINY, FORC, 100.00 , 1, 2

The PRETENSION section options of SECTYPE and SECDATA are documented mainly to aid in the understanding of data written by CDWRITE. ANSYS recommends that you generate pretension sections using PSMESH.

JOINTS

Type: JOINT

Joint sections are referenced by MPC184 joint elements.

Data to provide in the value fields:
length1, length2, length3, angle1, angle2, angle3
length1-3 = Reference lengths used in the constitutive calculations.
angle1-3 = Reference angles used in the constitutive calculations.

The following table shows the lengths and angles to be specified for different kinds of joints.

Joint | Subtype | Reference lengths and angles
Revolute | REVO | angle1 for x-axis revolute joint angle3 for z-axis revolute joint
Universal | UNIV | angle1 and angle3
Slot | SLOT | length1
Point-in-plane | PINP | length2 and length3,
Translational | PRIS | length1
Cylindrical | CYLI | length1 and angle1 for x-axis cylindrical joint length3 and angle3 for z-axis cylindrical joint
Planar | PLAN | length2, length3, and angle1 for x-axis planar joint length1, length2, and angle3 for z-axis planar joint
Weld | WELD | (not used)
Orient | ORIE | (not used)
Spherical | SPHE | (not used)
General | GENE | length1, length2, length3, angle1, angle2, angle3 -- Depends upon which “unconstrained” relative degrees of freedom are available.

The reference length and angle specifications correspond to the free relative degrees of freedom in a joint element for which constitutive calculations are performed. These values are used when stiffness, damping, or hysteretic friction are specified for the joint elements.

If the reference lengths and angles are not specified, they are calculated from the default or starting configuration for the element.

See MPC184 or the individual joint element descriptions for more information on joint element constitutive calculations.

REINFORCING

Type: REINF

Reinforcing sections are referenced by the REINF265 element.

- - - - - - - - - - - - - - - - - - - - -

Type: REINF, Subtype: SMEAR

This subtype defines reinforcing fibers in homogenous layered forms. Issue separate SECDATA commands to define each of the layers of reinforcing fibers with uniform cross-section area and spacing.

Data to provide in the value fields:
MAT, A, S, ESYS, THETA, PATT, V1, V2
MAT = Material ID for layer. (Refer to the REINF265 documentation for available material models.) The material ID is required for all layers, and no default for this value is available.
A = Cross-section area of a single reinforcing fiber.
S = Distance between two adjacent reinforcing fibers.
KCN = Local coordinate system reference number for this layer. (See the LOCAL command documentation for more information about local coordinate systems.) If this value is not provided, the layer adopts a default layer reference system. (See the REINF265 documentation for information about default layer systems.)
THETA = Angle (in degrees) of the final layer coordinate system with respect to the default layer system or the layer system specified in the KCN field.
PATT = Input pattern code indicating how the location of this layer is defined with respect to the base element. Available input patterns are LAYn and ELEf.
V1, V2 = Values to define the location of the reinforcing layer, as shown:

PATT : LAYn

Description: The smeared reinforcing layer is placed in the middle of a layer in a layered base element.

Required input: V1 (or n) -- The number of the layer in the base element on which to apply the . The default value is 1.

When applied to layered solid elements:

When applied to layered shells:

PATT : ELEf

Description: The smeared reinforcing layer is oriented parallel to one of three adjacent element faces.

Required input: V1 (or f) -- The number to indicate the base element face (defaults to 1). V2 (or d) -- The normalized distance from the layer to the specified base element face. Valid values for d are 0.0 through 1.0 (defaults to 0.5).

When applied to 8-Node or 20-Node solid elements:

When applied to tetrahedral elements:

When applied to 3-D shell elements:

Menu Paths

Main Menu>Preprocessor>Sections>Beam>Common Sections
Main Menu>Preprocessor>Sections>Beam>Taper Sections>By Picked Nodes
Main Menu>Preprocessor>Sections>Beam>Taper Sections>By XYZ Location
Main Menu>Preprocessor>Sections>Joints>Add / Edit
Main Menu>Preprocessor>Sections>Reinforcement>Add / Edit
Main Menu>Preprocessor>Sections>Shell>Lay-up>Add / Edit

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SECCONTROLS 		Up / Home Next
SECFUNCTION


SECFUNCTION

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SECFUNCTION, TABLE

Specifies shell section thickness as a tabular function.

PREP7: Cross Sections

MP ME ST PR PRN <> <> <> <> <> <> PP <>

TABLE

Table name reference for specifying tabular thickness as a function of global XYZ coordinates. To specify a table, enclose the table name in percent signs (%), e.g. SECFUNCTION,%tabname%). Use the *DIM command to define a table.

Notes

The table defined by the SECFUNCTION command is associated with the section most recently defined using the SECTYPE command.

The table defines your total shell thickness at any point in space. In multi-layered sections, the total thickness and each layer thickness are scaled accordingly.

The Function Builder is a convenient way to define your thickness tables. (Utility Menu> Parameters> Functions> Define/Edit)

To learn more about the Function Builder see Using the Function Editor of the Basic Analysis Guide.

Menu Paths

Main Menu>Preprocessor>Sections>Shell>Lay-up>Add / Edit

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SECDATA 		Up / Home Next
SECJOINT


SECJOINT

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SECJOINT, Kywrd, Val1, Val2, Val3, Val4, Val5, Val6

Defines local coordinate systems at joint element nodes or relative DOFs to be fixed for a general joint element.

PREP7: Cross Sections

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Kywrd

Keyword that indicates the type of joint element data being defined.

LSYS or blank
 —

Define local coordinate systems at the nodes that form the MPC184 joint element.

RDOF
 —

Define the relative degrees of freedom to be fixed for an MPC184-General joint element.

Val1, Val2, Val3, Val4, Val5, Val6

The meaning of Val1 through Val6 changes, depending on the value of Kywrd.

If Kywrd = LSYS (or blank), Val1 and Val2 are Identifiers of the local coordinate systems at nodes I and J, respectively, of the joint element. Val3 through Val6 are not used.

If Kywrd = RDOF, Val1 through Val6 are the relative degrees of freedom to be fixed for a general joint element. Input 1 for UX, 2 for UY, 3 for UZ, 4 for ROTX, 5 for ROTY, and 6 for ROTZ. You may input the DOFs in any order.

Notes

Use this command to define additional section data for MPC184 joint elements. To overwrite the current values, issue another SECJOINT command with the same Kywrd value. The data input on this command is interpreted based on the most recently issued SECTYPE command.

Menu Paths

Main Menu>Preprocessor>Sections>Joints>Add / Edit

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SECFUNCTION 		Up / Home Next
/SECLIB


/SECLIB

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

/SECLIB, Option, Path

Sets the default section library path for the SECREAD command.

PREP7: Cross Sections

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Option

READ
 —

Sets the read path (default).

STATUS
 —

Reports the current section library path setting to the Jobname.LOG file.

Path

Defines the directory path from which to read section library files.

Notes

When the SECREAD command is issued without a directory path, the command searches for a section library in the following order:

  • The user's home directory

  • The current working directory

  • The path specified by the /SECLIB command

Menu Paths

Main Menu>Preprocessor>Sections>Section Library>Library Path

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SECJOINT 		Up / Home Next
SECLOCK


SECLOCK

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SECLOCK, dof, MINVALUE, MAXVALUE, dof, MINVALUE, MAXVALUE, dof, MINVALUE, MAXVALUE

Specifies locks on the components of relative motion in a joint element.

PREP7: Cross Sections

MP ME ST PR PRN <> <> <> <> <> <> PP <>

dof

Local degree of freedom to be locked.

MINVALUE

Low end of the range of allowed movement for the specified DOF.

MAXVALUE

High end of the range of allowed movement for the specified DOF.

Notes

Specify up to three DOFs to be locked. Locks are activated when the limit values are reached, and further motion in that DOF is frozen. If necessary, you may repeat the command.

Menu Paths

Main Menu>Preprocessor>Sections>Joints>Add / Edit

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/SECLIB 		Up / Home Next
SECMODIF


SECMODIF

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SECMODIF, SECID, Kywrd

Modifies a pretension section

PREP7: Cross Sections

MP ME ST PR PRN <> <> <> <> <> <> PP <>

If Kywrd = NORM, command format is SECMODIF,SECID, NORM, NX, NY, NZ, KCN

SECID

Unique section number. This number must already be assigned to a section.

NORM

Keyword specifying that the command will modify the pretension section normal direction.

NX, NY, NZ

Specifies the individual normal components to modify.

KCN

Coordinate system number. This can be either 0 (Global Cartesian), 1 (Global Cylindrical) 2 (Global Spherical), 4 (Working Plane), 5 (Global Y Axis Cylindrical) or an arbitrary reference number assigned to a coordinate system.

If Kywrd = NAME, the command format is SECMODIF,SECID, NAME, Name

SECID

Unique section number. This number must already be assigned to a section.

NAME

Action key that instructs the command to change the name of the specified pretension section.

Name

The new name to be assigned to the pretension section.

Notes

The SECMODIF command either modifies the normal for a specified pretension section, or changes the name of the specified pretension surface.

Menu Paths

Main Menu>Preprocessor>Sections>Pretension>Modify Name
Main Menu>Preprocessor>Sections>Pretension>Modify Normal

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SECLOCK 		Up / Home Next
SECNUM


SECNUM

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SECNUM, SECID

Sets the element section attribute pointer.

PREP7: Cross Sections

MP ME ST PR PRN <> <> <> <> <> <> PP <>

SECID

Defines the section ID number to be assigned to the subsequently-defined elements by the LMESH, E, or EN commands. Defaults to 1. See SECTYPE for more information about the section ID number.

Menu Paths

Main Menu>Preprocessor>Meshing>Mesh Attributes>Default Attribs
Main Menu>Preprocessor>Modeling>Create>Elements>Elem Attributes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SECMODIF 		Up / Home Next
SECOFFSET


SECOFFSET

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SECOFFSET, Location, OFFSET1, OFFSET2, CG-Y, CG-Z, SH-Y, SH-Z

Defines the section offset for cross sections.

PREP7: Cross Sections

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Location, OFFSET1, OFFSET2, CG-Y, CG-Z, SH-Y, SH-Z

The location of the nodes in the section. All are dependent on the type. See the "Notes" section of this command description for details about these values for the various section types.

Notes

The SECOFFSET command is divided into two types: BEAMS and SHELLS. The beam types are collectively listed first, followed by the shell types.

The offsets defined by the SECOFFSET command are associated with the section most recently defined using the SECTYPE command. Not all SECOFFSET location values are valid for each subtype.

For the thermal shell elements, SHELL131 and SHELL132, the node offset specified by SECOFFSET is used in thermal contact analyses. Otherwise, the SECOFFSET command has no effect on the solution for these elements and is used only for visualization purposes.

BEAMS

Type: BEAM

Argument data to provide:

Location, OFFSETY, OFFSETZ, CG-Y, CG-Z, SH-Y, SH-Z

Location

CENT --

Beam node will be offset to centroid (default).

SHRC --

Beam node will be offset to shear center.

ORIGIN --

Beam node will be offset to origin of the cross section.

USER --

Beam node will be offset to the location specified by the OFFSETY and OFFSETZ arguments.

OFFSETY, OFFSETZ

Values that locate the node with respect to the default origin of the cross section when the Location argument is set to USER. Valid only when USER is set.

The following figure illustrates the offsets for a channel cross section, and shows the relative locations of SHRC and CENT.

Offsets for a CHAN Section Subtype

CG-Y, CG-Z, SH-Y, SH-Z

Override the program-calculated centroid and shear centroid locations.

Note

This option should only be used by advanced users modeling composite cross sections.

SHELLS

Type: SHELL

Argument data to provide:

Location, OFFSET

Location

TOP --

Shell node will be offset to top of the section.

MID --

Shell node will be offset to midplane of the section (default).

BOT --

Shell node will be offset to bottom of the section.

USER --

Shell node will be offset to the location specified by the OFFSET argument. This option is not available for the SHELL99 element when section definitions incorporate FiberSIM data.

OFFSET

Value that locates the node with respect to the default origin (midplane) of the section when the Location argument is set to USER. Valid only when USER is set.

Menu Paths

Main Menu>Preprocessor>Sections>Beam>Common Sections
Main Menu>Preprocessor>Sections>Beam>Custom Sections>Read Sect Mesh
Main Menu>Preprocessor>Sections>Shell>Lay-up>Add / Edit

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SECNUM 		Up / Home Next
SECPLOT


SECPLOT

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SECPLOT, SECID, VAL1, VAL2

Plots the geometry of a beam or shell section to scale.

PREP7: Cross Sections

MP ME ST <> <> <> <> <> <> <> <> PP <>

SECID

The section ID number as defined by the SECTYPE command.

VAL1, VAL2

Values that control the information to be plotted. See the "Notes" section of this command description for details about these values for the various section types. The names VAL1 and VAL2 are renamed for each type of section.

Notes

The SECPLOT command is valid only for "BEAMS" and "SHELLS". Custom sections created using FiberSIM data do not support SECPLOT.

SECPLOT cannot display the plot of an ASEC (arbitrary section) subtype.

BEAMS

Plots the geometry of the beam section to scale depicting the centroid, shear center, and origin. SECPLOT also lists various section properties such as Iyy, Iyz, and Izz.

Data to be supplied in the value fields:

MESHKEY

Displays or suppresses display of beam section mesh.

0 --

Does not display beam section mesh.

1 --

Displays beam section mesh.

A sample section plot for the CHAN section subtype is shown below.

SECPLOT Beams Sample

SHELLS

Plots the layer arrangement of the shell section showing the layer material and orientation.

Data to be supplied in the value fields:

LAYR1, LAYR2

Range of layer numbers to be displayed. If LAYR1 is greater than LAYR2, a reversed order display is produced. Up to 20 layers may be displayed at a time. LAYR1 defaults to 1. LAYR2 defaults to LAYR1 if LAYR1 is input or to the number of layers (or to 19+LAYR1, if smaller) if LAYR1 is not input.

A sample section plot for the SHELL section type is shown below.

SECPLOT Shells Sample

Menu Paths

Main Menu>Preprocessor>Sections>Beam>Plot Section
Main Menu>Preprocessor>Sections>Reinforcement>Plot Section
Main Menu>Preprocessor>Sections>Shell>Lay-up>Plot Section

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SECOFFSET 		Up / Home Next
SECREAD


SECREAD

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SECREAD, Fname, Ext, --, Option

Reads a customized beam section library or a user-defined beam section mesh into ANSYS.

PREP7: Cross Sections

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Fname

Section library file name and directory path containing the section library file (248 characters maximum, including directory). If you do not specify a directory path, it will default to your working directory and you can use all 248 characters for the file name.

When the SECREAD command is given without a directory path, the command searches for a section library in the following order:

  • The user's home directory

  • The current working directory

  • The path specified by the /SECLIB command

The file name defaults to Jobname if Fname is left blank.

Ext

Filename extension (8 character maximum).

The extension defaults to SECT if Ext is left blank.

--

Unused field.

Option

LIBRARY
 —

Reads in a library of sections and their associated section data values; the default. A section library may be created by editing the section-defining portions of the Jobname.LOG file and saving it with a .SECT suffix.

MESH
 —

Reads in a user mesh section file containing the cell connectivity, cell flags, and nodal coordinates for the current beam section of subtype MESH as defined by SECTYPE. See the "Notes" section of this command description for details about user mesh section files. SECWRITE builds mesh files based on 2-D models you create.

Notes

The SECREAD command operates on the section specified via the most recently issued SECTYPE command. Issue a separate SECREAD command for each section ID that you want to read into ANSYS.

For custom beam sections incorporating FiberSIM data, the .xml file containing the FiberSIM data must exist in its original format. ANSYS cannot use the data if you have altered the file in any way (for example, by opening the file in an XML editor, making changes, and then saving it again).

Sample User Section Cell Mesh File

Here are excerpts from a sample user section mesh file for a section with 75 nodes, 13 cells, and 9 nodes per cell for a two-hole box section. Illustrations of the two-hole box section and the cell mesh for it appear later in this command description.

First Line:
75   13
Cells Section:
      1   3   25   23   2   14   24   12   13   1
      3   5   27   25   4   16   26   14   15   1
      5   7   29   27   6   18   28   16   17   1
      7   9   31   29   8   20   30   18   19   1
      9   11  33   31   10  22   32   20   21   1
      23  25  45   43   24  36   44   34   35   1
...
      49  51  73   71   50  62   72   60   61   1
      51  53  75   73   52  64   74   62   63   1
0     0.0          0.0
0     0.025        0.0
0     0.05         0.0
0     5.0175       0.0
Nodes Section:
...
0    19.98        10.00
0    20.00        10.00

The mesh file is divided into three sections: the First Line, the Cells Section, and the Nodes Section. Here are brief descriptions of the contents of each.

First Line: The First Line defines the number of nodes and the number of cells for the mesh.

Cells Section: The Cells Section contains as many lines as there are cells. In this example, there are thirteen cells, so there are thirteen lines in this section. In each line, the number “1” that follows the cell connectivity information is the material number.

Cell nodal connectivity must be given in a counterclockwise direction, with the center node being the ninth node. For details, see Cell Mesh for the Two-hole Box Section.

Nodes Section: The Nodes Section contains as many lines as there are nodes. In this example, there are 75 nodes, so there are a total of 75 lines in this section. Each node line contains the node's boundary flag, the Y coordinate of the node, and the Z coordinate of the node. Currently, all node boundary flags appear as 0s in a cell mesh file (as illustrated in Two-hole Box Section). Since all node boundary flags are 0, SECREAD ignores them when it reads a cell mesh file into ANSYS.

There cannot be any gaps in the node numbering of a cell mesh. The nodes in a cell mesh must be numbered consecutively, with the first node having a node number of 1, and the last node having a node number that is equal to the maximum number of nodes in the cell mesh.

Two-hole Box Section

Cell Mesh for the Two-hole Box Section

Menu Paths

Main Menu>Preprocessor>Sections>Beam>Custom Sections>Read Sect Mesh
Main Menu>Preprocessor>Sections>Section Library>Import Library

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SECPLOT 		Up / Home Next
SECSTOP


SECSTOP

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SECSTOP, dof, MINVALUE, MAXVALUE, dof, MINVALUE, MAXVALUE, dof, MINVALUE, MAXVALUE

Specifies stops on the components of relative motion in a joint element.

PREP7: Cross Sections

MP ME ST PR PRN <> <> <> <> <> <> PP <>

dof

Local degree of freedom to be stopped.

MINVALUE

Low end of the range of allowed movement for the specified DOF.

MAXVALUE

High end of the range of allowed movement for the specified DOF.

Notes

Stops restrict motion in a DOF; motion beyond the MINVALUE or MAXVALUE is prevented (motion away from a limit is allowed). You can specify up to three stops. If necessary, you can repeat the command.

Menu Paths

Main Menu>Preprocessor>Sections>Joints>Add / Edit

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SECREAD 		Up / Home Next
SECTYPE


SECTYPE

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SECTYPE, SECID, Type, Subtype, Name, REFINEKEY

Associates section type information with a section ID number.

PREP7: Cross Sections

MP ME ST PR PRN <> <> <> <> <> <> PP <>

SECID

Section identification number.

Type

BEAM
 —

Defines a beam section. See Beam Cross Section Subtypes.

TAPER
 —

Defines a tapered beam section. The sections at the end points must be topologically identical.

GENB
 —

Defines a nonlinear general (temperature-dependent) beam section.

SHELL
 —

Defines a shell section.

GENS
 —

Defines a preintegrated (temperature-dependent) shell section.

PRETENSION
 —

Defines a pretension section.

JOINT
 —

Defines a joint section.

REINF
 —

Defines a reinforcement section.

Subtype

When Type = BEAM, the possible beam sections that can be defined for Subtype are:

RECT | Rectangle
QUAD | Quadrilateral
CSOLID | Circular solid
CTUBE | Circular tube
CHAN | Channel
I | I-shaped section
Z | Z-shaped section
L | L-shaped section
T | T-shaped section
HATS | Hat-shaped section
HREC | Hollow rectangle or box
ASEC | Arbitrary section -- integrated cross-section inertia properties supplied by user
MESH | User-defined mesh -- see the SECREAD command for more information about this data

The following figure shows the shape of each cross section subtype:

Beam Cross Section Subtypes

ANSYS generates the beam cross section subtypes from data that you provide. The arbitrary section (Subtype = ASEC) cannot be displayed via the /ESHAPE command; instead, ANSYS displays a straight line.

See the SECDATA command for detailed illustrations of the BEAM section subtypes and their associated geometric data.

When Type = GENB, the possible nonlinear general beam sections that can be defined for Subtype are:

ELASTIC | The generalized-stress/generalized-strain relationship is elastic (linear or nonlinear).
PLASTIC | The generalized-stress/generalized-strain relationship is elasto-plastic (and allows for permanent deformation).

When Type = SHELL, an optional, special-purpose Subtype is available:

FIBERSIM Specifies that layer data from the FiberSIM product will be used to generate the section.

When Type = JOINT, the possible joint sections that can be defined for Subtype are:

UNIV | Universal joint
REVO | Revolute joint
SLOT | 3-D Slot joint
PINP | Point-in-plane joint
PRIS | Translational joint
CYLI | Cylindrical joint
PLAN | Planar joint
WELD | Weld joint
ORIE | Orient joint
SPHE | Spherical joint
GENE | General joint

When Type = REINF, the possible reinforcement sections that can be defined for Subtype are:

SMEAR Smeared reinforcement. The reinforcing fibers are homogenous and defined as a membrane.

Name

An 8-character name for the section. Name can be a string such as "W36X210" or "HP13X73" for beam sections. Name must adhere to ANSYS naming conventions. Section names may contain letters and numbers, but cannot contain punctuation, special characters, or spaces.

REFINEKEY

Sets mesh refinement level for thin-walled beam sections. Valid values are 0 (the default - no mesh refinement) through 5 (high level of mesh refinement). This value has meaning only when Type = BEAM.

Notes

SECTYPE sets the section ID number, section type, and subtype for a section. If the section ID number is not specified, ANSYS increments the highest section ID number currently defined in the database by one. A previously-defined section with the same identification number will be redefined. The geometry data describing this section type is defined by a subsequent SECDATA command. Define the offsets by a subsequent SECOFFSET command. For a beam section, ANSYS builds a numeric model using a nine node cell for determining the properties (Ixx, Iyy, etc.) of the section and for the solution to the Poisson's equation for torsional behavior. The SLIST command lists the section properties, and the SECPLOT command displays the section to scale. The SECNUM command assigns the section ID number to a subsequently-defined beam element. See Beam Analysis and Cross Sections in the Structural Analysis Guide for examples using the section commands.

For a tapered beam section (Type = TAPER), two subsequent SECDATA commands are required (one for each end section). Section ends must be topologically identical (same Subtype, number of cells and material IDs).

For a nonlinear general beam section (Type = GENB), the Subtype and REFINEKEY options do not apply. Subsequent commands are necessary to define the section: BSAX, BSM1, BSM2, BSTQ, BSS1, BSS2, BSMD, and BSTE are available. ANSYS ignores all other section commands for this section type.

For a preintegrated general shell section (Type = GENS), the Subtype and REFINEKEY options do not apply. Subsequent commands are necessary to define the section: SSPA, SSPB, SSPD, SSPE, SSMT, SSBT, and SSPM are available. ANSYS ignores all other section commands for this section type.

The PRETENSION section options of SECTYPE and SECDATA are documented primarily to aid your understanding of the data written by the CDWRITE command. ANSYS recommends that you generate pretension sections via PSMESH.

Menu Paths

Main Menu>Preprocessor>Sections>Beam>Common Sections
Main Menu>Preprocessor>Sections>Beam>Custom Sections>Read Sect Mesh
Main Menu>Preprocessor>Sections>Beam>NL Generalized
Main Menu>Preprocessor>Sections>Beam>Taper Sections>By Picked Nodes
Main Menu>Preprocessor>Sections>Beam>Taper Sections>By XYZ Location
Main Menu>Preprocessor>Sections>Joints>Add / Edit
Main Menu>Preprocessor>Sections>Reinforcement>Add / Edit
Main Menu>Preprocessor>Sections>Shell>Lay-up>Add / Edit
Main Menu>Preprocessor>Sections>Shell>Pre-integrated

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SECSTOP 		Up / Home Next
SECWRITE


SECWRITE

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SECWRITE, Fname, Ext, --, ELEM_TYPE

Creates an ASCII file containing user mesh section information.

PREP7: Cross Sections

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname if Fname is left blank.

Ext

Filename extension (8 character maximum).

The extension defaults to SECT if Ext is left blank.

--

Unused field.

ELEM_TYPE

Element type attribute pointer (ET) for the elements that are part of the section. See SECREAD for a detailed description.

Notes

Before creating a user mesh file, you must create a model using ANSYS 2-D meshing capabilities. Use PLANE82 or MESH200 with KEYOPT(1) = 7 (quadrilateral with 8 nodes option) to model the cells. SECWRITE creates an ASCII file that contains information about the nodes and cells that describe a beam section. For detailed information on how to create a user mesh file, see Managing Cross Section and User Mesh Libraries in the Structural Analysis Guide.

Menu Paths

Main Menu>Preprocessor>Sections>Custom Sectns>Write From Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SECTYPE 		Up / Home Next
SED


SED

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SED, SEDX, SEDY, SEDZ

Defines the excitation direction for a single-point response spectrum.

SOLUTION: Spectrum Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

SEDX, SEDY, SEDZ

Global Cartesian coordinates of a point that defines a line (through the origin) corresponding to the excitation direction. For example: 0.0, 1.0, 0.0 defines global Y as the spectrum direction. Spectrum values are not scaled with this input.

Notes

The excitation direction without rocking (ROCK) is normalized to one so that the SEDX, SEDY and SEDZ values do not scale the spectrum.

The excitation direction with rocking is not normalized. The SEDX, SEDY and SEDZ values must be consistent with the OMX, OMY and OMZ values on the ROCK command. The calculated direction then scales the spectrum. For more information, see Participation Factors and Mode Coefficients.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>DDAM Options
Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>SinglePt>Settings
Main Menu>Solution>Load Step Opts>Spectrum>DDAM Options
Main Menu>Solution>Load Step Opts>Spectrum>SinglePt>Settings

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SECWRITE 		Up / Home Next
SEDLIST


SEDLIST

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SEDLIST, Sename, KOPT

Lists the DOF solution of a superelement after the use pass.

PREP7: Superelements

MP ME ST <> <> <> <> <> <> <> <> PP <>

Sename

Name of the superelement on File.DSUB to be listed. If a number, it is the element number of the superelement as used in the use pass. If ALL, list results for all superelements.

KOPT

List key:

0
 —

List summary data only.

1
 —

List full contents. Be aware that the listing may be extensive.

Notes

Lists the degree of freedom solution of a superelement after the substructure use pass. Results may be listed for any superelement on File.DSUB.

This command is valid in any processor.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>List Results>Superelem DOF
Utility Menu>List>Results>Superelem DOF Solu

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SED 		Up / Home Next
SEEXP


SEEXP

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SEEXP, Sename, Usefil, Imagky, Expopt

Specifies options for the substructure expansion pass.

SOLUTION: Analysis Options

MP ME ST <> <> <> <> <> <> <> <> PP <>

Sename

The name (case-sensitive) of the superelement matrix file created by the substructure generation pass (Sename.SUB). Defaults to the initial jobname File. If a number, it is the element number of the superelement as used in the use pass.

Usefil

The name of the file containing the superelement degree-of-freedom (DOF) solution created by the substructure use pass (Usefil.DSUB).

Imagky

Key to specify use of the imaginary component of the DOF solution. Applicable only if the use pass is a harmonic (ANTYPE,HARMIC) analysis:

OFF
 —

Use real component of DOF solution (default).

ON
 —

Use imaginary component of DOF solution.

Expopt

Key to specify whether the superelement (ANTYPE,SUBSTR) expansion pass (EXPASS,ON) should transform the geometry:

OFF
 —

Do not transform node or element locations (default).

ON
 —

Transform node or element locations in the FE geometry record of the .rst results file.

Notes

Specifies options for the expansion pass of the substructure analysis (ANTYPE,SUBSTR). If used in SOLUTION, this command is valid only within the first load step.

If you specify geometry transformation (Expopt = ON), you must retrieve the transformation matrix (if it exists) from the specified .SUB file. The command updates the nodal X, Y, and Z coordinates to represent the transformed node locations. The Expopt option is useful when you want to expand superelements created from other superelements (via SETRAN or SESYMM commands). For more information, see Superelement Expansion in Transformed Locations and Plotting or Printing Mode Shapes.

This command is also valid in /PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>ExpansionPass>Single Expand>Expand Superelem
Main Menu>Solution>Load Step Opts>ExpansionPass>Single Expand>Expand Superelem

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SEDLIST 		Up / Home Next
/SEG


/SEG

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

/SEG, Label, Aviname, DELAY

Allows graphics data to be stored in the local terminal memory.

GRAPHICS: Set Up

DISPLAY: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Label

Storage key:

SINGL
 —

Store subsequent display in a single segment (overwrites last storage).

MULTI
 —

Store subsequent displays in unique segments [ANIM].

DELET
 —

Delete all currently stored segments.

OFF
 —

Stop storing display data in segments.

STAT
 —

Display segment status.

PC
 —

This option only applies to PC versions of ANSYS and only when animating via the AVI movie player (i.e., /DEVICE,ANIM,2). This command appends frames to the File.AVI, so that the animation goes in both directions (i.e., forward--backward--forward). You must have a current animation file to use this option.

Aviname

Name of the animation file that will be created when each frame is saved. The .AVI extension is applied automatically. Defaults to Jobname.AVI if no filename is specified.

DELAY

Delay factor between each frame, in seconds. Defaults to 0.015 seconds if no value is specified.

Command Default

No segment storage.

Notes

Allows graphics data to be stored in the terminal local memory (device-dependent). Storage occurs concurrently with the display.

Although the information from your graphics window is stored as an individual segment, you cannot plot directly (GPLOT) from the segment memory.

For the DISPLAY program, the Aviname and DELAY fields are ignored.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Redirect Plots>Delete Segments
Utility Menu>PlotCtrls>Redirect Plots>Segment Status
Utility Menu>PlotCtrls>Redirect Plots>To Segment Memory

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SEEXP 		Up / Home Next
SEGEN


SEGEN

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SEGEN, Mode, nSuper, mDof, stopStage

Automatically generate superelements.

SOLUTION: Analysis Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Mode

Specify action to take (must be specified as one of the following):

AUTO
 —

Turn on feature.

OFF
 —

Turn off feature.

nSuper

Number of superelements to create. The minimum number of superelements is 2, and the maximum number of superelements is 999. Note that the number of requested superelements may not be the same as the number of defined superelements (see "Notes" for more details).

mDof

Specifies whether to use the master DOF defined by the user.

YES
 —

Use master DOF defined by the user with the M command.

NO
 —

Use the master DOF defined by the automatic generation process. Be aware that this option can generate a large number of master DOFs (see "Notes" for more details).

stopStage

Specifies when to stop the automatic superelement generation process.

PREVIEW
 —

Preview the superelements only; stop after creating the domains which will become the superelements, and after creating master DOF on the interfaces between each domain.

GEN
 —

Create (generate) the superelements.

Command Default

No command default. If the command is issued, a Mode must be specified. By default, if the AUTO mode is chosen, the SEGEN command automatically creates 10 superelements and defines master DOFs at all DOFs on the interfaces between superelements.

Notes

This command can be used to quickly generate a set of superelements. Each superelement is created in a separate file (jobnameXXX.sub, where XXX is a positive number from 1 to 999).

Due to the heuristics in the automatic domain decomposer, which is used to define the domains that will become superelements, the number of defined superelements may exceed the number of requested superelements. Use the mDof and stopStage options to determine exactly how many superelements will be created, the interfaces between each superelement, and where master DOF will be defined. With the /PNUM,DOMAIN command, you can graphically (visually) preview the elements in each superelement. Then, if required, you can add additional master DOF to (or remove from) the boundaries of the superelements. Use the SEGEN command again with stopStage = GEN to actually create the superelements.

ANSYS automatically defines master DOF at each of the following: all interface DOF between superelements, all DOF attached to contact elements (TARGE169 to CONTA177), and all DOF associated with nodes having a point load defined. Note that for regular superelements, all interface DOFs must be defined as master DOFs for the correct solution to be obtained. However, for CMS superelements, some of the interface DOFs can be removed without a significant loss of accuracy.

For the case when mDof = YES, you should select the preview option first (stopStage = PREVIEW) to verify exactly how many superelements will be created and where the superelement boundaries are located. If more superelements will be created than were requested, you should define master DOF on the interface(s) between all superelements.

This command is valid only for substructuring analyses (ANTYPE,SUBSTR). Either the frontal or sparse solver can be selected. Use SEOPT to specify any options for all of the superelements (e.g., which matrices to reduce), and possibly CMSOPT for any CMS substructuring analysis. Note that the created superelements will follow the current /FILNAME instead of SENAME from SEOPT. Also, only one load vector will be written to each .SUB file. Multiple load steps are not supported with the automatic superelement generation process.

During the actual creation of the superelements, the output is redirected to jobname.autoTemp.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>Analysis Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/SEG 		Up / Home Next
SELIST


SELIST

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SELIST, Sename, KOPT

Lists the contents of a superelement matrix file.

PREP7: Superelements

MP ME ST <> <> <> <> <> <> <> <> PP <>

Sename

The name (case-sensitive) of the superelement matrix file created by the substructure generation pass (Sename.SUB). Defaults to the current Jobname. If a number, it is the element number of the superelement as used in the use pass.

KOPT

List key:

0
 —

List summary data only.

1
 —

List contents, except load vectors and matrices.

2
 —

List contents, except matrices.

3
 —

List full contents. Be aware that the listing may be extensive.

Notes

This command is valid in any processor.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Utility Menu>List>Other>Superelem Data

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SEGEN 		Up / Home Next
SELM


SELM

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SELM

Specifies "Superelements" as the subsequent status topic.

PREP7: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Utility Menu>List>Status>Preprocessor>Superelements

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SELIST 		Up / Home Next
SELTOL


SELTOL

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SELTOL, Toler

Sets the tolerance for subsequent select operations.

DATABASE: Selecting

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Toler

Tolerance value. If blank, restores the default tolerance logic.

Notes

For selects based on non-integer numbers (e.g. coordinates, results, etc.), items within the range VMIN - Toler and VMAX + Toler are selected, where VMIN and VMAX are the range values input on the xSEL command (ASEL, ESEL, KSEL, LSEL, NSEL, and VSEL).

The default tolerance logic is based on the relative values of VMIN and VMAX as follows:

  • If VMIN = VMAX, Toler = 0.005 x VMIN.

  • If VMIN = VMAX = 0.0, Toler = 1.0E-6.

  • If VMAX ≠ VMIN, Toler = 1.0E-8 x (VMAX-VMIN).

This command is typically used when VMAX-VMIN is very large so that the computed default tolerance is therefore large and the xSEL command selects more than what is desired.

Toler remains active until respecified by a subsequent SELTOL command. A SELTOL < blank > resets back to the default Toler logic.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SELM 		Up / Home Next
SENERGY


SENERGY

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SENERGY, OPT, ANTYPE

Determines the stored magnetic energy or co-energy.

POST1: Magnetics Calculations

MP <> <> <> <> <> <> <> EM <> <> PP <>

OPT

Item to be calculated:

0
 —

Stored magnetic energy.

1
 —

Stored magnetic co-energy.

ANTYPE

Analysis type:

0
 —

Static or transient.

1
 —

Harmonic.

Notes

SENERGY invokes an ANSYS macro which calculates the stored magnetic energy or co-energy for all selected elements. (For a harmonic analysis, the macro calculates a time-averaged (rms) stored energy.) A summary table listing the energy by material number is produced. The energy density is also calculated and stored on a per-element basis in the element table [ETABLE] with the label MG_ENG (energy density) or MG_COENG (co-energy density). The macro erases all other items in the element table [ETABLE] and only retains the energy density or co-energy density. Use the PLETAB and PRETAB commands to plot and list the energy density. The macro is valid for static and low-frequency magnetic field formulations. The macro will not calculate stored energy and co-energy for the following cases:

  • Orthotropic nonlinear permanent magnets.

  • Orthotropic nonlinear permeable materials.

  • Temperature dependent materials.

SENERGY is restricted to MKSA units.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Elec&Mag Calc>Element Based>Co-Energy
Main Menu>General Postproc>Elec&Mag Calc>Element Based>Energy

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SELTOL 		Up / Home Next
SEOPT


SEOPT

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SEOPT, Sename, SEMATR, SEPR, SESST, EXPMTH

Specifies substructure analysis options.

SOLUTION: Analysis Options

MP ME ST <> <> <> <> <> <> <> <> PP <>

Sename

The name (case-sensitive) assigned to the superelement matrix file. The matrix file will be named Sename.SUB. This field defaults to Fname on the /FILNAME command.

SEMATR

Matrix generation key:

1
 —

Generate stiffness (or conductivity) matrix (default).

2
 —

Generate stiffness and mass (or conductivity and specific heat) matrices.

3
 —

Generate stiffness, mass and damping matrices.

SEPR

Print key:

0
 —

Do not print superelement matrices or load vectors.

1
 —

Print both load vectors and superelement matrices.

2
 —

Print load vectors but not matrices.

SESST

Stress stiffening key:

0
 —

Do not save space for stress stiffening in a later run.

1
 —

Save space for the stress stiffening matrix (calculated in a subsequent generation run after the expansion pass).

EXPMTH

Expansion method for expansion pass:

BACKSUB
 —

Save necessary triangularized matrix files for backsubstitution during subsequent expansion passes (default). This normally results in a large usage of disk space

RESOLVE
 —

Do not save triangularized matrix files. Global stiffness matrix will be reformed during expansion pass. This option provides an effective way to save disk space usage. This option cannot be used if the use pass uses large deflections (NLGEOM,ON).

Notes

Specifies substructure analysis options (ANTYPE,SUBSTR). If used in SOLUTION, this command is valid only within the first load step.

The sparse solver cannot be used to generate unsymmetric superelement matrices. If this case is encountered, the program will automatically switch to the frontal solver.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>Analysis Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SENERGY 		Up / Home Next
SESYMM


SESYMM

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SESYMM, Sename, Ncomp, INC, File, Ext, --

Performs a symmetry operation on a superelement within the use pass.

PREP7: Superelements

MP ME ST <> <> <> <> <> <> <> <> PP <>

Sename

The name (case-sensitive) of the superelement matrix file created by the substructure generation pass (Sename.SUB). Defaults to the current Jobname. If a number, it is the element number of a previously defined superelement in the current use pass.

Ncomp

Symmetry key:

X
 —

X symmetry (default).

Y
 —

Y symmetry.

Z
 —

Z symmetry.

INC

Increment all nodes in the superelement by INC.

File

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

This field must be input.

Ext

Filename extension (8 character maximum).

The extension defaults to SUB.

--

Unused field.

Notes

Performs a symmetry operation on a superelement within the substructure use pass by reversing the sign of component Ncomp in the global Cartesian coordinate system. The node numbers are incremented by INC. The new superelement is written to File.SUB in the current directory (by default). All master node nodal coordinate systems must be global Cartesian (no rotated nodes allowed).

The maximum number of transformations for a given superelement is five (including SETRAN, SESYMM, and the large rotation transformation if NLGEOM is ON in the use pass).

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Elements>Superelem>By Reflection

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SEOPT 		Up / Home Next
SET


SET

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SET, Lstep, Sbstep, Fact, KIMG, TIME, ANGLE, NSET, ORDER

Defines the data set to be read from the results file.

POST1: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lstep

Load step number of the data set to be read (defaults to 1):

N
 —

Read load step N.

FIRST
 —

Read the first data set (Sbstep and TIME are ignored).

LAST
 —

Read the last data set (Sbstep and TIME are ignored).

NEXT
 —

Read the next data set (Sbstep and TIME are ignored). If at the last data set, the first data set will be read as the next.

PREVIOUS
 —

Read the previous data set (Sbstep and TIME are ignored). If at the first data set, the last data set will be read as the previous.

NEAR
 —

Read the data set nearest to TIME (Sbstep is ignored). If TIME is blank, read the first data set.

LIST
 —

Scan the results file and list a summary of each load step. (KIMG, TIME, ANGLE, and NSET are ignored.)

Sbstep

Substep number (within Lstep). Defaults to the last substep of the load step (except in a buckling or modal analysis). For a buckling (ANTYPE,BUCKLE) or modal (ANTYPE,MODAL) analysis, Sbstep corresponds to the mode number. Specify Sbstep = LAST to store the last substep for the specified load step (that is, issue a SET,Lstep,LAST command).

If Lstep = LIST, Sbstep = 0 or 1 lists the basic step information. Sbstep = 2 also lists the basic step information, but includes the load step title, and labels imaginary data sets if they exist.

Fact

Scale factor applied to data read from the file. If zero (or blank), a value of 1.0 is used. A nonzero factor excludes non-summable items. Harmonic velocities or accelerations may be calculated from the displacement results from a Modal (ANTYPE,MODAL) or Harmonic Response (ANTYPE,HARMIC) analyses. If Fact = VELO, the harmonic velocities (v) are calculated from the displacements (d) at a particular frequency (f) according to the relationship v = 2 πfd. Similarly, if Fact = ACEL, the harmonic accelerations (a) are calculated as a = (2 πf)2d.

If Lstep = LIST in an analysis employing rezoning, Fact can restrict the output to a file type such as .rst or .rsnn. For example, to see only the portion of the data set associated with the .rs01 file, issue a SET,LIST,,RS01 command.

KIMG

Used only with results from complex analyses.

0
 —

Store real part of complex solution.

1
 —

Store imaginary part.

Note

For damped modal solutions, the imaginary part of the eigenvalue represents the frequency of the system.

TIME

Time-point identifying the data set to be read. For the harmonic response analyses, time corresponds to the frequency. For the buckling analysis, time corresponds to the load factor. Used only in the following cases: If Lstep = NEAR, read the data set nearest to TIME. If both Lstep and Sbstep are zero (or blank), read data set at time = TIME. Do not use TIME to identify the data set to be read if you used the arc-length method (ARCLEN) in your solution. If TIME is between two solution time points on the results file, a linear interpolation is done between the two data sets (except in rezoning). Solution items not written to the results file (OUTRES) for either data set will result in a null item after data set interpolation. If TIME is beyond the last time point on the file, the last time point will be used.

ANGLE

Circumferential location (0.0 to 360°). Defines the circumferential location for the harmonic calculations used when reading from the results file. The harmonic factor (based on the circumferential angle) is applied to the harmonic elements (PLANE25, PLANE75, PLANE78, FLUID81, PLANE83, and SHELL61) of the load case. See the Theory Reference for ANSYS and ANSYS Workbench for details.

Note

The factored values of applied constraints and loads will overwrite any values existing in the database. If ANGLE = NONE, all harmonic factors are set to 1 and postprocessing will yield the solution output. When using ANGLE = NONE with MODE > 0, the combined stresses and strains are not valid. The default value of ANGLE is 0.0, but if the SET command is not used, the effective default is NONE.

NSET

Data set number of the data set to be read. If a positive value for NSET is entered, Lstep, Sbstep, KIMG, and TIME are ignored. Available set numbers can be determined by SET,LIST.

ORDER

Sorts the harmonic index results in ascending order of eigenfrequencies or buckling load multipliers. This value applies to cyclic symmetry buckling and modal analyses only, and is valid only when Lstep = FIRST, LAST, NEXT, PREVIOUS, NEAR or LIST.

Notes

Defines the data set to be read from the results file into the database. Various operations may also be performed during the read operation. The database must have the model geometry available (or use the RESUME command before the SET command to restore the geometry from File.DB). Values for applied constraints [D] and loads [F] in the database will be replaced by their corresponding values on the results file, if available. (See the description of the OUTRES command.) In a single load step analysis, these values are usually the same, except for results from harmonic elements. (See the description of the ANGLE value above.)

In an interactive run, the sorted list (ORDER option) is also available for results-set reading via a GUI pick option.

During rezoning, Lstep values NEXT, PREVIOUS, and NEAR are not available.

Menu Paths

Main Menu>General Postproc>List Results>Detailed Summary
Main Menu>General Postproc>List Results>Detailed Summary (Freq ordered)
Main Menu>General Postproc>Read Results>By Load Step
Main Menu>General Postproc>Read Results>By Pick
Main Menu>General Postproc>Read Results>By Pick (Freq ordered)
Main Menu>General Postproc>Read Results>First Set
Main Menu>General Postproc>Read Results>Last Set
Main Menu>General Postproc>Read Results>Next Set
Main Menu>General Postproc>Read Results>Previous Set
Main Menu>General Postproc>Results Summary
Main Menu>General Postproc>Results Summary (Freq ordered)
Utility Menu>List>Results>Load Step Summary

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SESYMM 		Up / Home Next
SETFGAP


SETFGAP

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SETFGAP, GAP, ROPT, --, PAMB, ACF1, ACF2, PREF, MFP

Updates or defines the real constant table for squeeze film elements.

PREP7: Real Constants

MP ME <> <> <> <> <> <> <> <> <> PP <>

GAP

Gap separation.

ROPT

Real constant set option.

0
 —

Creates separate real constant sets for each selected element with the specified real constant values (default).

1
 —

Updates existing real constant sets. The gap separation is updated from displacement results in the database. Other real constants are updated as specified in the command input parameters.

--

Unused field

PAMB

Ambient pressure.

ACF1, ACF2

Accommodation factor 1 and 2.

PREF

Reference pressure for mean free path.

MFP

Mean free path.

Notes

This command is used for large signal cases to update the gap separation real constant on a per-element basis. Issue this command prior to solution using the default ROPT value to initialize real constant sets for every fluid element. After a solution, you can re-issue the command to update the real constant set for a subsequent analysis. See " Thin Film Analysis" for more information on thin film analyses.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Real Constants>ThinFilm
Main Menu>Preprocessor>Real Constants>ThinFilm
Main Menu>Solution>Load Step Opts>Other>Real Constants>ThinFilm

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SET 		Up / Home Next
SETRAN


SETRAN

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SETRAN, Sename, KCNTO, INC, File, Ext, --, DX, DY, DZ, NOROT

Creates a superelement from an existing superelement.

PREP7: Superelements

MP ME ST <> <> <> <> <> <> <> <> PP <>

Sename

The name (case-sensitive) of the file containing the original superelement matrix created by the generation pass (Sename.SUB). The default is the current Jobname. If Sename is a number, it is the element number of a previously defined superelement in the current use pass.

KCNTO

The reference number of the coordinate system to where the superelement is to be transferred. The default is the global Cartesian system. Transfer occurs from the active coordinate system.

INC

The node offset. The default is zero. All new element node numbers are offset from those on the original by INC.

File

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

This field requires input.

Ext

Filename extension (8 character maximum).

The extension defaults to SUB.

--

Unused field.

DX, DY, DZ

Node location increments in the global Cartesian coordinate system. Defaults to zero.

NOROT

Node rotation key:

0
 —

The nodal coordinate systems of the transferred superelement rotate into the KCNTO system. (That is, the nodal coordinate systems rotate with the superelement.) The superelement matrices remain unchanged. This value is the default.

1
 —

The nodal coordinate systems do not rotate. (That is, they remain fixed in their original global orientation.) The superelement matrices and load vectors are modified if any rotations occur.

Notes

The SETRAN command creates a superelement from an existing superelement and writes the new element to a file. You can then issue an SE command to read the new element (during the use pass).

You can create a superelement from an original by:

  • Transferring the original's geometry from the active coordinate system into another coordinate system (KCNTO)

  • Offsetting its geometry in the global Cartesian coordinate system (DX, DY, and DZ )

  • Offsetting its node numbers (INC).

A combination of methods is valid. If you specify both the geometry transfer and the geometry offset, the transfer occurs first.

If you specify rotation of the transferred superelement's nodal coordinate systems into the KCNTO system (NOROT = 0), the rotated nodes cannot be coupled via the CP command; in this case, issue the CE command instead. If you specify no rotation of the nodal coordinate systems (NOROT = 1) for models with displacement degrees of freedom, and KCNTO is not the active system, the superelement Sename must have six MDOF at each node that has MDOF; therefore, only elements with all six structural DOFs are valid in such cases.

There is no limit to the number of copies that can be made of a superelement, provided the copies are all generated from the same original superelement. However, nested copies are limited to five. In other words, the total number of different Sename usages on the SETRAN and SESYMM commands is limited to five.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Elements>Superelem>By CS Transfer
Main Menu>Preprocessor>Modeling>Create>Elements>Superelem>By Geom Offset

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SETFGAP 		Up / Home Next
SEXP


SEXP

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SEXP, LabR, Lab1, Lab2, EXP1, EXP2

Forms an element table item by exponentiating and multiplying.

POST1: Element Table

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LabR

Label assigned to results. If same as existing label, the existing values will be overwritten by these results.

Lab1

First labeled result item in operation.

Lab2

Second labeled result item in operation (may be blank).

EXP1

Exponent applied to Lab1.

EXP2

Exponent applied to EXP2.

Notes

Forms a labeled result item (see ETABLE command) for the selected elements by exponentiating and multiplying two existing labeled result items according to the operation:

LabR = (|Lab1|EXP1) x (|Lab2|EXP2)

Roots, reciprocals, and divides may also be done with this command.

Menu Paths

Main Menu>General Postproc>Element Table>Exponentiate

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SETRAN 		Up / Home Next
SF


SF

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SF, Nlist, Lab, VALUE, VALUE2

Specifies surface loads on nodes.

SOLUTION: FE Surface Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Nlist

Nodes defining the surface upon which the load is to be applied. Use the label ALL or P, or a component name. If ALL, all selected nodes [NSEL] are used (default). If P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

Lab

Valid surface load label. Load labels are listed under "Surface Loads" in the input table for each element type in the Elements Reference. Structural labels: PRES (pressure). Thermal labels: CONV (convection); HFLUX (heat flux); RAD (radiation); RDSF (surface-to-surface radiation). Acoustic Fluid labels: FSI (fluid-structure interaction flag); IMPD (impedance boundary flag); PTOT (constant total pressure. Magnetic labels: MXWF (Maxwell force flag); MCI (magnetic circuit interface). Electric labels: CHRGS (surface charge density); MXWF (Maxwell force flag). Infinite element labels: INF (Exterior surface flag for INFIN110 and INFIN111). High-frequency electromagnetic labels: PORT (number 1 through 50 for a waveguide exterior port); SHLD (surface shielding properties); MXWF (Maxwell surface flag of equivalent source surface). Field-Surface Interface label: FSIN (field-surface interface number).

Note

Thermal labels CONV and HFLUX are mutually exclusive. For a fluid-solid interaction analysis, apply the field-surface interface flag (Label = FSIN) twice: once for the fluid side (FLUID141 or FLUID142 elements) and once for the solid side. For an acoustic analysis, apply the fluid-structure interaction flag (Label = FSI) to only the FLUID129 or FLUID130 elements. For more information about these analyses and labels, see the Coupled-Field Analysis Guide and the Elements Reference.

VALUE

Surface load value or table name reference for specifying tabular boundary conditions.

If Lab = PRES, VALUE is the real component of the pressure.

If Lab = CONV, VALUE is typically the film coefficient and VALUE2 (below) is typically the bulk temperature. If VALUE = -N, the film coefficient may be a function of temperature and is determined from the HF property table for material N [MP]. The temperature used to evaluate the film coefficient is usually the average between the bulk and wall temperatures, but may be user-defined for some elements.

If Lab = MCI, VALUE indicates current direction (-1; current flow into the element face (IN), +1; current flow out of the element face (OUT). If Lab = RAD, VALUE is surface emissivity.

If Lab = PORT, VALUE is a port number representing a waveguide exterior port. The port number must be an integer between 1 and 50.

If Lab = SHLD, VALUE is surface conductivity.

If Lab = RDSF, VALUE is the emissivity value; the following conditions apply: If VALUE is between 0 and 1, apply a single value to the surface. If VALUE= -N, the emissivity may be a function of the temperature, and is determined from the EMISS property table for material N (MP). The material N does not need to correlate with the underlying solid thermal elements.

If Lab = FSIN in a Multi-field solver (single or multiple code coupling) analysis, VALUE is the surface interface number. If Lab = FSIN in a unidirectional ANSYS to CFX analysis, VALUE is not used unless the ANSYS analysis is performed using the Multi-field solver.

VALUE2

Second surface load value (if any).

If Lab = PRES, VALUE2 is the imaginary component of the pressure. Imaginary pressures can only be used by SURF153 and SURF154 and can only be used for a full harmonic response analysis (HROPT,FULL), or by a mode superposition harmonic response analysis (HROPT,MSUP) if the mode extraction method is Block Lanczos (MODOPT,LANB) or PCG Lanczos (MODOPT,LANPCG).

If Lab = CONV, VALUE2 is typically the bulk temperature.

If Lab = RAD, VALUE2 is the ambient temperature.

If Lab = SHLD, VALUE2 is relative permeability and defaults to 1.0.

If Lab = RDSF, VALUE2 is the enclosure number. Radiation will occur between surfaces flagged with the same enclosure numbers. If the enclosure is open, radiation will also occur to ambient. If VALUE2 is negative radiation direction is reversed and will occur inside the element for the flagged radiation surfaces. Negative value of enclosure number is applicable for FLUID141 and FLUID142 elements, to model radiation occurring between surfaces inside the fluid domain.

If Lab = FSIN in a unidirectional ANSYS to CFX analysis, VALUE2 is the surface interface number (not available from within the GUI).

If Lab = PORT, VALUE2 is not used.

Notes

Individual nodes may not be entered for this command. The node list is to identify a surface and the Nlist field must contain a sufficient number of nodes to define an element surface. The loads are internally stored on element faces defined by the specified nodes. All nodes on an element face must be specified for the face to be used, and the element must be selected. If all nodes defining a face are shared by an adjacent face of another selected element, the face is not free and will not have a load applied. If more than one element can share the same nodes (for example, a surface element attached to a solid element), select the desired element type before issuing the SF command. The SF command applies only to area and volume elements. For shell elements, if the specified nodes include face one (which is usually the bottom face) along with other faces (such as edges), only face one is used. Where faces cannot be uniquely determined from the nodes, or where the face does not fully describe the load application, use the SFE command. A load key of 1 (which is typically the first loading condition on the first face) is used if the face determination is not unique. A uniform load value is applied over the element face.

See the SFBEAM command for applying surface loads to beam elements. See the SFGRAD command for an alternate tapered load capability. See the SFFUN command for applying loads from a node vs. value function. Also see the SFE command for applying tapered loads on individual element faces. Use the SFDELE command to delete loads applied with this command. Use the SFCUM command to accumulate (add) surface loads applied with SF.

Tabular boundary conditions (VALUE = %tabname% and/or VALUE2 = %tabname%) are available for the following surface load labels (Lab) only: PRES (real and/or imaginary components), CONV (film coefficient and/or bulk temperature) or HFLUX, and RAD (surface emissivity and ambient temperature). Use the *DIM command to define a table.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>AppImped_E>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>AppShield>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>AppSurfChar>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>EMPorts>Exterior Port>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Flag>AppInfinite>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Flag>AppMaxwell>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Field Surface Intr>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/ANSYS>Field Surface>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/ANSYS>Impedance>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Flag>AppInfinite>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Flag>AppMCI>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Other>AppMaxwell>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Pressure>On Node Components
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Pressure>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Convection>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Heat Flux>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Radiation>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Surface Rad>On Nodes
Main Menu>Preprocessor>Trefftz Domain>AppInfinite>On Nodes
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>AppImped_E>On Nodes
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>AppShield>On Nodes
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>AppSurfChar>On Nodes
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>EMPorts>Exterior Port>On Nodes
Main Menu>Solution>Define Loads>Apply>Electric>Flag>AppInfinite>On Nodes
Main Menu>Solution>Define Loads>Apply>Electric>Flag>AppMaxwell>On Nodes
Main Menu>Solution>Define Loads>Apply>Field Surface Intr>On Nodes
Main Menu>Solution>Define Loads>Apply>Fluid/ANSYS>Field Surface>On Nodes
Main Menu>Solution>Define Loads>Apply>Fluid/ANSYS>Impedance>On Nodes
Main Menu>Solution>Define Loads>Apply>Magnetic>Flag>AppInfinite>On Nodes
Main Menu>Solution>Define Loads>Apply>Magnetic>Flag>AppMCI>On Nodes
Main Menu>Solution>Define Loads>Apply>Magnetic>Other>AppMaxwell>On Nodes
Main Menu>Solution>Define Loads>Apply>Structural>Pressure>On Node Components
Main Menu>Solution>Define Loads>Apply>Structural>Pressure>On Nodes
Main Menu>Solution>Define Loads>Apply>Thermal>Convection>On Nodes
Main Menu>Solution>Define Loads>Apply>Thermal>Heat Flux>On Nodes
Main Menu>Solution>Define Loads>Apply>Thermal>Radiation>On Nodes
Main Menu>Solution>Define Loads>Apply>Thermal>Surface Rad>On Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SEXP 		Up / Home Next
SFA


SFA

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SFA, AREA, LKEY, Lab, VALUE, VALUE2

Specifies surface loads on the selected areas.

SOLUTION: Solid Surface Loads

MP ME ST PR PRN <> <> <> EM <> <> PP <>

AREA

Area to which surface load applies. If ALL, apply load to all selected areas [ASEL]. If AREA = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component may be substituted for AREA.

LKEY

Load key associated with surface load (defaults to 1). Load keys (1,2,3, etc.) are listed under "Surface Loads" in the input data table for each element type in the Elements Reference. LKEY is ignored if the area is the face of a volume region meshed with volume elements.

Lab

Valid surface load label. Load labels are listed under "Surface Loads" in the input table for each area type in the Elements Reference. Structural label: PRES (pressure). Thermal labels: CONV (convection); HFLUX (heat flux); RAD (radiation); RDSF (surface-to-surface radiation). Fluid labels: FSI (fluid-structure interaction flag); IMPD (impedance boundary flag). Magnetic label: MXWF (Maxwell force flag); MCI (magnetic circuit interface). Electric labels: MXWF (Maxwell force flag), CHRGS (surface charge density). Infinite element label: INF (Exterior surface flag for INFIN110 and INFIN111). High-frequency electromagnetic labels: PORT (number 1 through 50 for a waveguide exterior port); SHLD (surface shielding properties). Field-Surface interface label: FSIN (field-surface interface number).

Note

Thermal labels CONV and HFLUX are mutually exclusive. For a fluid-solid interaction analysis, apply the field-surface interface flag (Label = FSIN) twice: once for the fluid side (FLUID141 or FLUID142 elements) and once for the solid side. For an acoustic analysis, apply the fluid-structure interaction flag (Label = FSI) to only the FLUID129 or FLUID130 elements. For more information about these analyses and labels, see the Coupled-Field Analysis Guide and the Elements Reference.

VALUE

Surface load value or table name reference for specifying tabular boundary conditions. If Lab = CONV, VALUE is typically the film coefficient and VALUE2 (below) is typically the bulk temperature. If Lab = CONV and VALUE = -N, the film coefficient may be a function of temperature and is determined from the HF property table for material N [MP]. The temperature used to evaluate the film coefficient is usually the average between the bulk and wall temperatures, but may be user-defined for some elements. To specify a table, enclose the table name in percent signs (%) (e.g., %tabname%). Use the *DIM command to define a table. If Lab = MCI, VALUE indicates current direction (-1; current flow into the element face (IN), +1; current flow out of the element face (OUT). If Lab = RAD, VALUE is the surface emissivity. If Lab = PORT, VALUE is a port number representing a waveguide exterior port. The port number must be an integer between 1 and 50. If Lab = SHLD, VALUE is surface conductivity. If Lab = RDSF, VALUE is the emissivity value; the following conditions apply: If VALUE is between 0 and 1, apply a single value to the surface. If VALUE= -N, the emissivity may be a function of the temperature, and is determined from the EMISS property table for material N (MP). The material N does not need to correlate with the underlying solid thermal elements. If Lab = FSIN in a Multi-field solver (single or multiple code coupling) analysis, VALUE is the surface interface number and LKEY is ignored. If Lab = FSIN in a unidirectional ANSYS to CFX analysis, VALUE is not used unless the ANSYS analysis is performed using the Multi-field solver.

VALUE2

Second surface load value (if any). If Lab = CONV, VALUE2 is typically the bulk temperature. If Lab = RADVALUE2 is ambient temperature.VALUE2 is not used for other surface load labels. VALUE2 is not used for PORT. If Lab = SHLD, VALUE2 is relative permeability (defaults to 1.0). If Lab = RDSF, VALUE2 is the enclosure number. Radiation will occur between surfaces flagged with the same enclosure numbers. If the enclosure is open, radiation will also occur to ambient. If VALUE2 is negative radiation direction is reversed and will occur inside the element for the flagged radiation surfaces. Negative value of enclosure number is applicable for FLUID141 and FLUID142 elements, to model radiation occurring between surfaces inside the fluid domain. If Lab = FSIN in a unidirectional ANSYS to CFX analysis, VALUE2 is the surface interface number (not available from within the GUI). To specify a table (Lab = CONV), enclose the table name in percent signs (%) (e.g., SFA,NLIST,Lab,VALUE,%tabname%). Use the *DIM command to define a table.

Notes

Surface loads may be transferred from areas to elements with the SFTRAN or SBCTRAN commands. See the SFGRAD command for an alternate tapered load capability.

Tabular boundary conditions (VALUE = %tabname% and/or VALUE2 = %tabname%) are available for the following surface load labels (Lab) only: PRES (real and/or imaginary components), CONV (film coefficient and/or bulk temperature) or HFLUX, and RAD (surface emissivity and ambient temperature). Use the *DIM command to define a table.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>AppImped_E>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>AppShield>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>AppSurfChar>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>EMPorts>Exterior Port>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Flag>AppInfinite>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Flag>AppMaxwell>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Field Surface Intr>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/ANSYS>Field Surface>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/ANSYS>Impedance>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Flag>AppInfinite>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Flag>AppMCI>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Other>AppMaxwell>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Pressure>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Convection>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Heat Flux>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Radiation>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Surface Rad>On Areas
Main Menu>Preprocessor>Trefftz Domain>AppInfinite>On Areas
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>AppImped_E>On Areas
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>AppShield>On Areas
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>AppSurfChar>On Areas
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>EMPorts>Exterior Port>On Areas
Main Menu>Solution>Define Loads>Apply>Electric>Flag>AppInfinite>On Areas
Main Menu>Solution>Define Loads>Apply>Electric>Flag>AppMaxwell>On Areas
Main Menu>Solution>Define Loads>Apply>Field Surface Intr>On Areas
Main Menu>Solution>Define Loads>Apply>Fluid/ANSYS>Field Surface>On Areas
Main Menu>Solution>Define Loads>Apply>Fluid/ANSYS>Impedance>On Areas
Main Menu>Solution>Define Loads>Apply>Magnetic>Flag>AppInfinite>On Areas
Main Menu>Solution>Define Loads>Apply>Magnetic>Flag>AppMCI>On Areas
Main Menu>Solution>Define Loads>Apply>Magnetic>Other>AppMaxwell>On Areas
Main Menu>Solution>Define Loads>Apply>Structural>Pressure>On Areas
Main Menu>Solution>Define Loads>Apply>Thermal>Convection>On Areas
Main Menu>Solution>Define Loads>Apply>Thermal>Heat Flux>On Areas
Main Menu>Solution>Define Loads>Apply>Thermal>Radiation>On Areas
Main Menu>Solution>Define Loads>Apply>Thermal>Surface Rad>On Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SF 		Up / Home Next
SFACT


SFACT

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SFACT, TYPE

Allows safety factor or margin of safety calculations to be made.

POST1: Element Table

MP ME ST PR PRN <> <> <> <> <> <> PP <>

TYPE

Type of calculation:

0
 —

No nodal safety factor or margin of safety calculations.

1
 —

Calculate and store safety factors in place of nodal stresses.

2
 —

Calculate and store margins of safety in place of nodal stresses.

Command Default

No nodal safety factor or margin of safety calculations.

Notes

Allows safety factor (SF) or margin of safety (MS) calculations to be made for the average nodal stresses according to:

SF = SALLOW/|Stress|

MS = (SALLOW/|Stress|) -- 1.0

Calculations are done during the display, select, or sort operation (in the active coordinate system [RSYS]) with results stored in place of the nodal stresses. Use the PRNSOL or PLNSOL command to display the results.

Note

The results are meaningful only for the stress (SIG1, SIGE, etc.) upon which SALLOW is based. Nodal temperatures used are those automatically stored for the node. Related commands are SFCALC, SALLOW, TALLOW.

Menu Paths

Main Menu>General Postproc>Safety Factor>Restore NodeStrs
Main Menu>General Postproc>Safety Factor>SF for Node Strs

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SFA 		Up / Home Next
SFADELE


SFADELE

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SFADELE, AREA, LKEY, Lab

Deletes surface loads from areas.

SOLUTION: Solid Surface Loads

MP ME ST PR PRN <> <> <> EM <> <> PP <>

AREA

Area to which surface load deletion applies. If ALL, delete load from all selected areas [ASEL]. If AREA = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may be substituted for AREA.

LKEY

Load key associated with surface load (defaults to 1). See the SFA command for details.

Lab

Valid surface load label. If ALL, use all appropriate labels. See the SFA command for labels.

Notes

Deletes surface loads (and all corresponding finite element loads) from selected areas.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Delete>All Load Data>All Surface Ld>On All Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Boundary>AppImped_E>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Boundary>AppShield>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Excitation>AppSurfChar>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Excitation>DelExtPort>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Flag>AppInfinite>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Flag>AppMaxwell>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Field Surface Intr>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/ANSYS>Field Surface>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/ANSYS>Impedance>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Flag>AppInfinite>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Flag>AppMCI>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Other>AppMaxwell>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Pressure>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Ambient Rad>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Convection>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Heat Flux>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Radiation>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Surface Rad>On Areas
Main Menu>Solution>Define Loads>Delete>All Load Data>All Surface Ld>On All Areas
Main Menu>Solution>Define Loads>Delete>Electric>Boundary>AppImped_E>On Areas
Main Menu>Solution>Define Loads>Delete>Electric>Boundary>AppShield>On Areas
Main Menu>Solution>Define Loads>Delete>Electric>Excitation>AppSurfChar>On Areas
Main Menu>Solution>Define Loads>Delete>Electric>Excitation>DelExtPort>On Areas
Main Menu>Solution>Define Loads>Delete>Electric>Flag>AppInfinite>On Areas
Main Menu>Solution>Define Loads>Delete>Electric>Flag>AppMaxwell>On Areas
Main Menu>Solution>Define Loads>Delete>Field Surface Intr>On Areas
Main Menu>Solution>Define Loads>Delete>Fluid/ANSYS>Field Surface>On Areas
Main Menu>Solution>Define Loads>Delete>Fluid/ANSYS>Impedance>On Areas
Main Menu>Solution>Define Loads>Delete>Magnetic>Flag>AppInfinite>On Areas
Main Menu>Solution>Define Loads>Delete>Magnetic>Flag>AppMCI>On Areas
Main Menu>Solution>Define Loads>Delete>Magnetic>Other>AppMaxwell>On Areas
Main Menu>Solution>Define Loads>Delete>Structural>Pressure>On Areas
Main Menu>Solution>Define Loads>Delete>Thermal>Ambient Rad>On Areas
Main Menu>Solution>Define Loads>Delete>Thermal>Convection>On Areas
Main Menu>Solution>Define Loads>Delete>Thermal>Heat Flux>On Areas
Main Menu>Solution>Define Loads>Delete>Thermal>Radiation>On Areas
Main Menu>Solution>Define Loads>Delete>Thermal>Surface Rad>On Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SFACT 		Up / Home Next
SFALIST


SFALIST

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SFALIST, AREA, Lab

Lists the surface loads for the specified area.

SOLUTION: Solid Surface Loads

MP ME ST PR PRN <> <> <> EM <> <> PP <>

AREA

Area at which surface load is to be listed. If ALL (or blank), list for all selected areas [ASEL]. If AREA = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may be substituted for AREA.

Lab

Valid surface load label. If ALL (or blank), use all appropriate labels. See the SFA command for labels.

Notes

This command is valid in any processor.

Menu Paths

Utility Menu>List>Loads>Surface Loads>On All Areas
Utility Menu>List>Loads>Surface Loads>On Picked Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SFADELE 		Up / Home Next
SFBEAM


SFBEAM

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SFBEAM, ELEM, LKEY, Lab, VALI, VALJ, VAL2I, VAL2J, IOFFST, JOFFST

Specifies surface loads on beam elements.

SOLUTION: FE Surface Loads

MP ME ST PR PRN <> <> <> <> <> <> PP <>

ELEM

Element to which surface load is applied. If ALL, apply load to all selected beam elements [ESEL]. If ELEM = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may be substituted in ELEM.

LKEY

Load key associated with surface load (defaults to 1). Load keys (1, 2, 3, etc.) are listed under "Surface Loads" in the input table for each element type in the Elements Reference. For beam elements, the load key defines the load orientation.

Lab

Valid surface load label. Load labels are listed under "Surface Loads" in the input table for each element type in the Elements Reference. Structural labels: PRES (pressure).

VALI, VALJ

Surface load values at nodes I and J. If VALJ is blank, it defaults to VALI. If VALJ is zero, a zero is used.

VAL2I, VAL2J

Second surface load values at nodes I and J. Currently not used.

IOFFST

Offset distance from node I (toward node J) where VALI is applied.

JOFFST

Offset distance from node J (toward node I) where VALJ is applied. Available only for lateral surfaces of line elements having a KEYOPT(10) which is set. If no offsets are specified, the load is applied over the full element length. Values may also be input as length fractions, depending on the KEYOPT(10) setting. For example, for a line length of 5.0, an IOFFST distance of 2.0 or an IOFFST fraction of 0.4 represent the same point. If JOFFST = -1, VALI is assumed to be a point load at the location specified with IOFFST and VALJ is ignored.

Notes

Specifies surface loads on the selected beam elements. Use the SFELIST and SFEDELE commands to list and delete surface loads applied with this command.

Use the SFCUM command to accumulate (add) surface loads applied with SFBEAM. When SFBEAM follows SFCUM,ADD, the same IOFFST and JOFFST values must be used as on the previous SFBEAM command (for a given element face); otherwise, the loads are not be accumulated. Leaving IOFFST and JOFFST blank causes the previous offset values to be used (only when SFBEAM follows SFCUM).

Offsets (IOFFSET and JOFFSET) are not available for beam elements BEAM188 and BEAM189.

For elements PIPE16, PIPE17, PIPE18, PIPE20, and PIPE60, tapered pressures are not recognized. Only constant pressures are supported for these elements.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Pressure>On Beams
Main Menu>Solution>Define Loads>Apply>Structural>Pressure>On Beams

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SFALIST 		Up / Home Next
SFCALC


SFCALC

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SFCALC, LabR, LabS, LabT, TYPE

Calculates the safety factor or margin of safety.

POST1: Element Table

MP ME ST PR PRN <> <> <> <> <> <> PP <>

LabR

Label assigned to results. If same as existing label, the existing values will be overwritten by these results.

LabS

Labeled result item corresponding to the element stress.

LabT

Labeled result item corresponding to the element temperature.

TYPE

Type of calculation:

0 or 1
 —

Use safety factor (SF) calculation.

2
 —

Use margin of safety (MS) calculation.

3
 —

Use 1/SF calculation.

Notes

Calculates safety factor (SF) or margin of safety (MS) as described for the SFACT command for any labeled result item (see ETABLE command) for the selected elements. Use the PRETAB or PLETAB command to display results. Allowable element stress is determined from the SALLOW-TALLOW table [SALLOW, TALLOW].

Menu Paths

Main Menu>General Postproc>Safety Factor>SF for ElemTable

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SFBEAM 		Up / Home Next
SFCUM


SFCUM

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SFCUM, Lab, Oper, FACT, FACT2

Specifies that surface loads are to be accumulated.

SOLUTION: FE Surface Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Valid surface load label. If ALL, use all appropriate labels. Structural label: PRES (pressure). Thermal labels: CONV (convection); HFLUX (heat flux). Substructure label: SELV (Load vector number). Electric labels: CHRGS (surface charge density), MXWF (Maxwell force flag). Magnetic label: MXWF (Maxwell force flag). Infinite element: INF (Exterior surface flag for INFIN110 and INFIN111). Thermal labels CONV and HFLUX are mutually exclusive.

Oper

Accumulation key:

REPL
 —

Subsequent values replace the previous values (default).

ADD
 —

Subsequent values are added to the previous values.

IGNO
 —

Subsequent values are ignored.

FACT

Scale factor for the first surface load value. A (blank) or '0' entry defaults to 1.0.

FACT2

Scale factor for the second surface load value. A (blank) or '0' entry defaults to 1.0.

Command Default

Replace previous values.

Notes

Allows repeated surface loads (pressure, convection, etc.) to be replaced, added, or ignored. Surface loads are applied with the SF, SFE, and SFBEAM commands. Issue the SFELIST command to list the surface loads. The operations occur when the next surface load specifications are defined. For example, issuing the SF command with a pressure value of 25 after a previous SF command with a pressure value of 20 causes the current value of that pressure to be 45 with the add operation, 25 with the replace operation, or 20 with the ignore operation. All new pressures applied with SF after the ignore operation will be ignored, even if no current pressure exists on that surface.

Scale factors are also available to multiply the next value before the add or replace operation. A scale factor of 2.0 with the previous "add" example results in a pressure of 70. Scale factors are applied even if no previous values exist. Issue SFCUM,STAT to show the current label, operation, and scale factors. Solid model boundary conditions are not affected by this command, but boundary conditions on the FE model are affected.

Note

The FE boundary conditions may still be overwritten by existing solid model boundary conditions if a subsequent boundary condition transfer occurs.

SFCUM does not work for tabular boundary conditions.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Settings>Replace vs Add>Surface Loads
Main Menu>Solution>Define Loads>Settings>Replace vs Add>Surface Loads

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SFCALC 		Up / Home Next
SFDELE


SFDELE

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SFDELE, Nlist, Lab

Deletes surface loads.

SOLUTION: FE Surface Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Nlist

Label defining where to find the list of nodes:

ALL
 —

Use all selected nodes [NSEL]. If P, use graphical picking in GUI. A component label may be substituted for Nlist.

Lab

Valid surface load label. If ALL, use all appropriate labels. See the SF command for labels.

Notes

Deletes surface loads as applied with the SF command. Loads are deleted only for the specified nodes on external faces of selected area and volume elements. For shell elements, if the specified nodes include face one (which is usually the bottom face) along with other faces (such as edges), only the loads on face one will be deleted. The element faces are determined from the list of selected nodes as described for the SF command. See the SFEDELE command for deleting loads explicitly by element faces.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Boundary>AppImped_E>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Boundary>AppShield>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Excitation>AppSurfChar>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Excitation>DelExtPort>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Flag>AppInfinite>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Flag>AppMaxwell>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Field Surface Intr>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/ANSYS>Field Surface>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/ANSYS>Impedance>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Flag>AppInfinite>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Flag>AppMCI>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Other>AppMaxwell>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Pressure>On Node Components
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Pressure>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Ambient Rad>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Convection>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Heat Flux>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Radiation>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Surface Rad>On Nodes
Main Menu>Solution>Define Loads>Delete>Electric>Boundary>AppImped_E>On Nodes
Main Menu>Solution>Define Loads>Delete>Electric>Boundary>AppShield>On Nodes
Main Menu>Solution>Define Loads>Delete>Electric>Excitation>AppSurfChar>On Nodes
Main Menu>Solution>Define Loads>Delete>Electric>Excitation>DelExtPort>On Nodes
Main Menu>Solution>Define Loads>Delete>Electric>Flag>AppInfinite>On Nodes
Main Menu>Solution>Define Loads>Delete>Electric>Flag>AppMaxwell>On Nodes
Main Menu>Solution>Define Loads>Delete>Field Surface Intr>On Nodes
Main Menu>Solution>Define Loads>Delete>Fluid/ANSYS>Field Surface>On Nodes
Main Menu>Solution>Define Loads>Delete>Fluid/ANSYS>Impedance>On Nodes
Main Menu>Solution>Define Loads>Delete>Magnetic>Flag>AppInfinite>On Nodes
Main Menu>Solution>Define Loads>Delete>Magnetic>Flag>AppMCI>On Nodes
Main Menu>Solution>Define Loads>Delete>Magnetic>Other>AppMaxwell>On Nodes
Main Menu>Solution>Define Loads>Delete>Structural>Pressure>On Node Components
Main Menu>Solution>Define Loads>Delete>Structural>Pressure>On Nodes
Main Menu>Solution>Define Loads>Delete>Thermal>Ambient Rad>On Nodes
Main Menu>Solution>Define Loads>Delete>Thermal>Convection>On Nodes
Main Menu>Solution>Define Loads>Delete>Thermal>Heat Flux>On Nodes
Main Menu>Solution>Define Loads>Delete>Thermal>Radiation>On Nodes
Main Menu>Solution>Define Loads>Delete>Thermal>Surface Rad>On Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SFCUM 		Up / Home Next
SFE


SFE

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SFE, ELEM, LKEY, Lab, KVAL, VAL1, VAL2, VAL3, VAL4

Specifies surface loads on elements.

SOLUTION: FE Surface Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ELEM

Element to which surface load applies. If ALL, apply load to all selected elements [ESEL]. If ELEM = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may be substituted for ELEM.

LKEY

Load key associated with surface load (defaults to 1). Load keys (1,2,3, etc.) are listed under "Surface Loads" in the input data table for each element type in the Elements Reference.

Lab

Valid surface load label. Load labels are listed under "Surface Loads" in the input table for each element type in the Elements Reference. Structural labels: PRES (pressure). Thermal labels: CONV (convection); HFLUX (heat flux); RAD (radiation); RDSF (surface-to-surface radiation). Fluid labels: FSI (fluid-structure interaction flag); VFRC (volume fraction for VOF method); IMPD (impedance boundary flag). Magnetic labels: MXWF (Maxwell force flag). Infinite element labels: INF (Exterior surface flag for INFIN110 and INFIN111). Substructure label: SELV (load vector number). Electric labels: CHRGS (Surface Charge density); MXWF (Maxwell force flag). High-frequency electromagnetic labels: PORT (waveguide port number); SHLD (surface shielding properties). Field-Surface interface label: FSIN (field-surface interface number).

Note

Thermal labels CONV and HFLUX are mutually exclusive. For a fluid-solid interaction analysis, apply the field-surface interface flag (Label = FSIN) twice: once for the fluid side (FLUID141 or FLUID142 elements) and once for the solid side. For an acoustic analysis, apply the fluid-structure interaction flag (Label = FSI) to only the FLUID129 or FLUID130 elements. For more information about these analyses and labels, see the Coupled-Field Analysis Guide and the Elements Reference.

KVAL

Value key. If Lab = PRES:

0 or 1
 —

VAL1 through VAL4 are used as real components of pressures.

2
 —

VAL1 through VAL4 are used as imaginary components of pressures.

Value key. If Lab = CONV:

0 or 1
 —

VAL1 through VAL4 are used as the film coefficients.

2
 —

VAL1 through VAL4 are the bulk temperatures.

Value key. If Lab = SHLD:

0 or 1
 —

VAL1 through VAL4 are used as the electrical conductivities.

2
 —

VAL1 through VAL4 are used as the relative permeabilities.

Value key. If Lab = RAD:

0 or 1
 —

VAL1 through VAL4 are used as the emissivities.

2
 —

VAL1 through VAL4 are ambient temperatures.

Value key. If Lab = RDSF:

0 or 1
 —

VAL1 is the emissivity value between 0 and 1.

2
 —

VAL1 is the enclosure number.

Value key. If Lab = SELV:

0 or 1
 —

VAL1 is the multiplier on real load vector LKEY.

2
 —

VAL1 is the multiplier on imaginary load vector LKEY.

Value key. If Lab = VFRC:

0 or 1
 —

VAL1 is the boundary load value. VAL1 defaults to 1.

2
 —

VAL1 is the wetting status. VAL1 defaults to 0 or non-wetting.

If only one set of data is supplied (either emissivities or temperatures when Lab = RAD; or either film coefficients or temperatures when Lab = CONV; or either conductivity or relative permeability when Lab = SHLD), the other set of data defaults to previously specified values (or zero if not previously specified).

VAL1

First surface load value (typically at the first node of the face) or the name of a table for specifying tabular boundary conditions. Face nodes are listed in the order given for "Surface Loads" in the input data table for each element type in the Elements Reference. For example, for SOLID45, the item 1-JILK associates LKEY = 1 (face 1) with nodes J, I, L, and K. Surface load value VAL1 then applies to node J of face 1. To specify a table, enclose the table name in percent signs (%), e.g., %tabname%. Use the *DIM command to define a table. Only one table can be specified, and it must be specified in the VAL1 position; tables specified in the VAL2, VAL3, or VAL4 positions will be ignored. VAL2 applies to node I, etc.

If Lab = PRES and KVAL = 2, VAL1 is the imaginary pressure, which is used only by SURF153 or SURF154 in full harmonic response analyses (HROPT,FULL), or by a mode superposition harmonic response analysis (HROPT,MSUP) if the mode extraction method is Block Lanczos (MODOPT,LANB) or PCG Lanczos (MODOPT,LANPCG).

If Lab = CONV, KVAL = 0 or 1, and VAL1 = -N, the film coefficient is assumed to be a function of temperature and is determined from the HF property table for material N [MP]. The temperature used to evaluate the film coefficient is usually the average between the bulk and wall temperatures, but may be user defined for some elements.

If Lab = PORT, VAL1 is a port number representing a waveguide port. The port number must be an integer between 1 and 6.

If Lab = RDSF, KVAL = 0 or 1, and VAL1 = -N, the emissivity is assumed to be a function of the temperature, and is determined from the EMISS property table for material N (MP). The material N does not need to correlate with the underlying solid thermal elements. If Lab = RDSF, KVAL = 2, and VAL1 is negative, radiation direction is reversed and will occur inside the element for the flagged radiation surfaces. Negative value of enclosure number is applicable for FLUID141 and FLUID142 elements, to model radiation occurring between surfaces inside the fluid domain.

If Lab = VFRC, VAL1 is the boundary value or the wetting status, as defined by KVAL above. If Lab = VFRC and KVAL = 2, a VAL1 setting of 1 indicates a wetted boundary. At a wetted boundary, the fluid upstream keeps the associated elements full.

If Lab = FSIN in a Multi-field solver (single or multiple code coupling) analysis, VAL1 is the surface interface number. KVAL is not used. If Lab = FSIN in a unidirectional ANSYS to CFX analysis, VAL1 is not used unless the ANSYS analysis is performed using the Multi-field solver.

VAL2, VAL3, VAL4

Surface load values at the 2nd, 3rd, and 4th nodes (if any) of the face. If all three values are blank, all three default to VAL1, giving a constant load. Zero or other blank values are used as zero. If a table is specified in VAL1, then any tables specified in VAL2, VAL3, or VAL4 will be ignored.

If Lab = FSIN in a unidirectional ANSYS to CFX analysis, VAL2 is the surface interface number (not available from within the GUI). VAL3 and VAL4 are not used.

Notes

Specifies surface loads on selected elements.

Caution

You cannot use the SFE command with the INFIN110 or INFIN111 elements without prior knowledge of element face orientation, i.e., you must know which face is the exterior in order to flag it. Also, the surface effect elements, SURF153 and SURF154, use LKEY to allow the import of tangential and other loads (see SURF153 and SURF154 of the Elements Reference for more details).

Tapered loads may be applied over the faces of most elements. Exceptions include elements PIPE16, PIPE17, PIPE18, PIPE20, PIPE59, and PIPE60, where tapered pressures are not recognized. Only constant pressures are supported for these elements.

For beam elements allowing lateral surface loads that may be offset from the nodes, use the SFBEAM command to specify the loads and offsets. See the SF command for an alternate surface load definition capability based upon node numbers. See the SFGRAD command for an alternate tapered load capability. Use the SFCUM command to accumulate (add) surface loads applied with SFE.

You can specify a table name only when using structural (PRES) and thermal (CONV (film coefficient and/or bulk temperature), HFLUX), boundary value and wetting status (VFRC), and surface emissivity and ambient temperature (RAD) surface load labels. The Volume of Fluid method (Lab = VFRC) is applicable only for FLUID141.

This command is also valid in PREP7.

When a tabular function load is applied to an element, the load will not vary according to the positioning of the element in space.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>AppSurfChar>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Apply>Field Surface Intr>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/ANSYS>Impedance>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Apply>Load Vector>For Superelement
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Pressure>On Element Components
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Pressure>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Convection>On Elements>Tapered
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Convection>On Elements>Uniform
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Heat Flux>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Radiation>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Surface Rad>On Elements
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>AppSurfChar>On Elements
Main Menu>Solution>Define Loads>Apply>Field Surface Intr>On Elements
Main Menu>Solution>Define Loads>Apply>Fluid/ANSYS>Impedance>On Elements
Main Menu>Solution>Define Loads>Apply>Load Vector>For Superelement
Main Menu>Solution>Define Loads>Apply>Structural>Pressure>On Element Components
Main Menu>Solution>Define Loads>Apply>Structural>Pressure>On Elements
Main Menu>Solution>Define Loads>Apply>Thermal>Convection>On Elements>Tapered
Main Menu>Solution>Define Loads>Apply>Thermal>Convection>On Elements>Uniform
Main Menu>Solution>Define Loads>Apply>Thermal>Heat Flux>On Elements
Main Menu>Solution>Define Loads>Apply>Thermal>Radiation>On Elements
Main Menu>Solution>Define Loads>Apply>Thermal>Surface Rad>On Elements

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SFDELE 		Up / Home Next
SFEDELE


SFEDELE

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SFEDELE, ELEM, LKEY, Lab

Deletes surface loads from elements.

SOLUTION: FE Surface Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ELEM

Element to which surface load deletion applies. If ALL, delete load from all selected elements [ESEL]. If ELEM = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may be substituted for ELEM.

LKEY

Load key associated with surface load (defaults to 1). If ALL, delete surface loads for all load keys.

Lab

Valid surface load label. If ALL, use all appropriate labels. See the SFE command for labels.

Notes

Deletes surface loads from selected elements. See the SFDELE command for an alternate surface load deletion capability based upon selected nodes.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Delete>All Load Data>All Surface Ld>On All Elems
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Boundary>AppImped_E>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Excitation>AppSurfChar>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Flag>AppInfinite>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Flag>AppMaxwell>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Delete>Field Surface Intr>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/ANSYS>Impedance>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/CFD>Volume Fract>Bound Loads>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Delete>Load Vector>For Superelement
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Flag>AppInfinite>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Flag>AppMCI>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Other>AppMaxwell>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Pressure>On Element Components
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Pressure>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Ambient Rad>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Convection>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Heat Flux>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Radiation>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Surface Rad>On Elements
Main Menu>Solution>Define Loads>Delete>All Load Data>All Surface Ld>On All Elems
Main Menu>Solution>Define Loads>Delete>Electric>Boundary>AppImped_E>On Elements
Main Menu>Solution>Define Loads>Delete>Electric>Excitation>AppSurfChar>On Elements
Main Menu>Solution>Define Loads>Delete>Electric>Flag>AppInfinite>On Elements
Main Menu>Solution>Define Loads>Delete>Electric>Flag>AppMaxwell>On Elements
Main Menu>Solution>Define Loads>Delete>Field Surface Intr>On Elements
Main Menu>Solution>Define Loads>Delete>Fluid/ANSYS>Impedance>On Elements
Main Menu>Solution>Define Loads>Delete>Fluid/CFD>Volume Fract>Bound Loads>On Elements
Main Menu>Solution>Define Loads>Delete>Load Vector>For Superelement
Main Menu>Solution>Define Loads>Delete>Magnetic>Flag>AppInfinite>On Elements
Main Menu>Solution>Define Loads>Delete>Magnetic>Flag>AppMCI>On Elements
Main Menu>Solution>Define Loads>Delete>Magnetic>Other>AppMaxwell>On Elements
Main Menu>Solution>Define Loads>Delete>Structural>Pressure>On Element Components
Main Menu>Solution>Define Loads>Delete>Structural>Pressure>On Elements
Main Menu>Solution>Define Loads>Delete>Thermal>Ambient Rad>On Elements
Main Menu>Solution>Define Loads>Delete>Thermal>Convection>On Elements
Main Menu>Solution>Define Loads>Delete>Thermal>Heat Flux>On Elements
Main Menu>Solution>Define Loads>Delete>Thermal>Radiation>On Elements
Main Menu>Solution>Define Loads>Delete>Thermal>Surface Rad>On Elements

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SFE 		Up / Home Next
SFELIST


SFELIST

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SFELIST, ELEM, Lab

Lists the surface loads for elements.

SOLUTION: FE Surface Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ELEM

Element at which surface load is to be listed. If ALL (or blank), list loads for all selected elements [ESEL]. If ELEM = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may be substituted for ELEM.

Lab

Valid surface load label. If ALL (or blank), use all appropriate labels. Structural label: PRES (pressure). Thermal labels: CONV (convection); HFLUX (heat flux); RAD (radiation); RDSF (surface-to-surface radiation). Fluid labels: FSI (fluid-structure interaction flag); VFRC (volume fraction for VOF method); IMPD (impedance). Magnetic label: MXWF (Maxwell force flag). Substructure label: SELV (Load vector number). Electric labels: CHRGS (surface charge density); MXWF (Maxwell force flag). Infinite element label: INF (Exterior surface flag for INFIN110 and INFIN111). High-frequency electromagnetic labels: PORT (waveguide port number); SHLD (surface shielding properties). Thermal labels CONV and HFLUX are mutually exclusive. If Lab = SFI, only the fluid elements must be selected for the flag to be applied.

Notes

The surface loads listed correspond to the current database values. The database is not updated for surface loads in POST1. Surface loads specified in tabular form, however, do list their values corresponding to the current results set in POST1.

For SURF151 or SURF152 elements with an extra node for radiation and/or convection calculations (KEYOPT(5) = 1), the bulk temperature listed is the temperature of the extra node. If the thermal solution does not converge, the extra node temperature is not available for listing.

This command is valid in any processor.

Menu Paths

Utility Menu>List>Loads>Surface Loads>On All Elements
Utility Menu>List>Loads>Surface Loads>On Picked Elems

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SFEDELE 		Up / Home Next
SFFUN


SFFUN

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SFFUN, Lab, Par, Par2

Specifies a varying surface load.

SOLUTION: FE Surface Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Valid surface load label. Load labels are listed under "Surface Loads" in the input table for each element type in the Elements Reference. Structural label: PRES (pressure). Thermal labels: CONV (convection); HFLUX (heat flux). Electric labels: CHRGS (Surface Charge density). Issue SFFUN,STATUS to list current command settings. Thermal labels CONV and HFLUX are mutually exclusive.

Par

Parameter containing list of surface load values. If Lab = CONV, values are typically the film coefficients and Par2 values (below) are typically the bulk temperatures.

Par2

Parameter containing list of second surface load values (if any). If Lab = CONV, the Par2 values are typically the bulk temperatures. Par2 is not used for other surface load labels.

Notes

Specifies a surface load "function" to be used when the SF or SFE command is issued. The function is supplied through an array parameter vector which contains nodal surface load values. Node numbers are implied from the sequential location in the array parameter. For example, a value in location 11 applies to node 11. The element faces are determined from the implied list of nodes when the SF or SFE command is issued. Zero values should be supplied for nodes that have no load. A tapered load value may be applied over the element face. These loads are in addition to any loads that are also specified with the SF or SFE commands. Issue SFFUN (with blank remaining fields) to remove this specification. Issue SFFUN,STATUS to list current settings.

Starting array element numbers must be defined for each array parameter vector. For example, SFFUN,CONV,A(1,1),A(1,2) reads the first and second columns of array A (starting with the first array element of each column) and associates the values with the nodes. Operations continue on successive column array elements until the end of the column. Another example to show the order of the commands:

*dim,nodepres,array,2
nodepres(1)=11,12
/prep7
et,1,42
n,1
n,2,1
n,3,1,1
n,4,,1
e,1,2,3,4
sfe,1,1,pres,1,3
sfelist ! expected answer: 3 at both nodes 1 and 2
sfedel,all,pres,all
sffun,pres, nodepres(1)
sfe,1,1,pres,1,5
sfelist ! expected answer: 5+11=16 at node 1, 5+12=17 at node 2
fini

SFFUN does not work for tabular boundary conditions.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Settings>For Surface Ld>Node Function
Main Menu>Solution>Define Loads>Settings>For Surface Ld>Node Function

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SFELIST 		Up / Home Next
SFGRAD


SFGRAD

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SFGRAD, Lab, SLKCN, Sldir, SLZER, SLOPE

Specifies a gradient (slope) for surface loads.

SOLUTION: FE Surface Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Valid surface load label. Load labels are listed under "Surface Loads" in the input table for each element type in the Elements Reference. Structural labels: PRES (pressure (real pressure only)). Thermal labels: CONV (convection (bulk temperatures only)); HFLUX (heat flux). Electric labels: CHRGS (surface charge density). Thermal labels CONV and HFLUX are mutually exclusive.

SLKCN

Reference number of slope coordinate system (used with Sldir and SLZER to determine COORD). Defaults to 0 (the global Cartesian coordinate system).

Sldir

Slope direction in coordinate system SLKCN:

X
 —

Slope is along X direction (default). Interpreted as R direction for non-Cartesian coordinate systems.

Y
 —

Slope is along Y direction. Interpreted as θ direction for non-Cartesian coordinate systems.

Z
 —

Slope is along Z direction. Interpreted as Φ direction for spherical or toroidal coordinate systems.

SLZER

Coordinate location (degrees for angular input) where slope contribution is zero (CVALUE = VALUE). Allows the slope contribution to be shifted along the slope direction. For angular input, SLZER should be between ±180° if the singularity [CSCIR] is at 180° and should be between 0° and 360° if the singularity is at 0°.

SLOPE

Slope value (load per unit length or per degree).

Notes

Specifies a gradient (slope) for surface loads. All surface loads issued with the SF, SFE, SFL, or SFA commands while this specification is active will have this gradient applied (for complex pressures, only the real component will be affected; for convections, only the bulk temperature will be affected). The load value, CVALUE, calculated at each node is:

CVALUE = VALUE + (SLOPE X (COORD-SLZER))

where VALUE is the load value specified on the subsequent SF, SFE, SFL, or SFA commands and COORD is the coordinate value (in the Sldir direction of coordinate system SLKCN) of the node. Only one SFGRAD specification may be active at a time (repeated use of this command replaces the previous specification with the new specification). Issue SFGRAD (with blank fields) to remove the specification. Issue SFGRAD,STAT to show the current command status. The SFGRAD specification (if active) is removed when the LSREAD (if any) command is issued.

For elements PIPE16, PIPE17, PIPE18, PIPE20, and PIPE60, tapered pressures are not recognized. Only constant pressures are supported for these elements.

SFGRAD does not work for tabular boundary conditions.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Settings>For Surface Ld>Gradient
Main Menu>Solution>Define Loads>Settings>For Surface Ld>Gradient

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SFFUN 		Up / Home Next
SFL


SFL

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SFL, LINE, Lab, VALI, VALJ, VAL2I, VAL2J

Specifies surface loads on lines of an area.

SOLUTION: Solid Surface Loads

MP ME ST PR PRN <> <> <> EM <> <> PP <>

LINE

Line to which surface load applies. If ALL, apply load to all selected lines [LSEL]. If LINE = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may be substituted for LINE.

Lab

Valid surface load label. Load labels are listed under "Surface Loads" in the input table for each element type in the Elements Reference. Structural label: PRES (pressure). Thermal labels: CONV (convection); HFLUX (heat flux); RAD (radiation); RDSF (surface-to-surface radiation). Fluid labels: FSI (fluid-structure interaction flag); VFRC (volume fraction for VOF method); IMPD (impedance boundary flag). Magnetic label: MXWF (Maxwell force flag). Electric labels: MXWF (electrostatic force flag), CHRGS (surface charge density). Infinite element label: INF (Exterior surface flag for INFIN110 and INFIN111). Field-Surface Interface label: FSIN (field-surface interface number).

Note

Thermal labels CONV and HFLUX are mutually exclusive. For a fluid-solid interaction analysis, apply the field-surface interface flag (Label = FSIN) twice: once for the fluid side (FLUID141 or FLUID142 elements) and once for the solid side. For an acoustic analysis, apply the fluid-structure interaction flag (Label = FSI) to only the FLUID129 or FLUID130 elements. For more information about these analyses and labels, see the Coupled-Field Analysis Guide and the Elements Reference.

VALI, VALJ

Surface load values at the first keypoint (VALI) and at the second keypoint (VALJ) of the line, or table name for specifying tabular boundary conditions. If VALJ is blank, it defaults to VALI. If VALJ is zero, a zero is used. If Lab = CONV, VALI and VALJ are the film coefficients and VAL2I and VAL2J are the bulk temperatures. To specify a table, enclose the table name in percent signs (%), e.g., %tabname%. Use the *DIM command to define a table. If Lab = CONV and VALI = -N, the film coefficient may be a function of temperature and is determined from the HF property table for material N [MP]. If Lab = RAD, VALI and VALJ values are surface emissivities and VAL2I and VAL2J are ambient temperatures. The temperature used to evaluate the film coefficient is usually the average between the bulk and wall temperatures, but may be user defined for some elements. If Lab = RDSF, VALI is the emissivity value; the following condition apply: If VALI = -N, the emissivity may be a function of the temperature and is determined from the EMISS property table for material N [MP]. If Lab = VFRC, VALI is the boundary value (defaults to 1). If Lab = FSIN in a Multi-field solver (single or multiple code coupling) analysis, VALI is the surface interface number. If Lab = FSIN in a unidirectional ANSYS to CFX analysis, VALJ is the surface interface number (not available from within the GUI) and VALI is not used unless the ANSYS analysis is performed using the Multi-field solver.

VAL2I, VAL2J

Second surface load values (if any). If Lab = CONV, VAL2I and VAL2J are the bulk temperatures. If Lab = RAD, VAL2I and VAL2J are the ambient temperatures. If Lab = RDSF, VAL2I is the enclosure number. Radiation will occur between surfaces flagged with the same enclosure numbers. If the enclosure is open, radiation will occur to the ambient. Negative value of enclosure number is applicable for FLUID141 and FLUID142 elements, to model radiation occurring between surfaces inside the fluid domain. VAL2I and VAL2J are not used for other surface load labels. If VAL2J is blank, it defaults to VAL2I. If VAL2J is zero, a zero is used. To specify a table (Lab = CONV), enclose the table name in percent signs (%), e.g., %tabname%. Use the *DIM command to define a table. If Lab = VFRC, VAL2I is the wetting status value (defaults to 0 or non-wetting). If Lab = VFRC, a VAL2I setting of 1 indicates a wetted boundary. At a wetted boundary, the fluid upstream keeps the associated elements full.

Notes

Specifies surface loads on the selected lines of area regions. The lines represent either the edges of area elements or axisymmetric shell elements themselves. Surface loads may be transferred from lines to elements with the SFTRAN or SBCTRAN commands. See the SFE command for a description of surface loads. Loads input on this command may be tapered. See the SFGRAD command for an alternate tapered load capability.

You can specify a table name only when using structural (PRES) and thermal (CONV (film coefficient and/or bulk temperature), HFLUX), boundary value and wetting status (VFRC), and surface emissivity and ambient temperature (RAD) surface load labels. VALJ and VAL2J are ignored for tabular boundary conditions.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Excitation>AppSurfChar>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Flag>AppInfinite>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Flag>AppMaxwell>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Field Surface Intr>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/ANSYS>Field Surface>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/ANSYS>Impedance>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Flag>AppInfinite>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Other>AppMaxwell>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Pressure>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Convection>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Heat Flux>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Radiation>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Surface Rad>On Lines
Main Menu>Solution>Define Loads>Apply>Electric>Excitation>AppSurfChar>On Lines
Main Menu>Solution>Define Loads>Apply>Electric>Flag>AppInfinite>On Lines
Main Menu>Solution>Define Loads>Apply>Electric>Flag>AppMaxwell>On Lines
Main Menu>Solution>Define Loads>Apply>Field Surface Intr>On Lines
Main Menu>Solution>Define Loads>Apply>Fluid/ANSYS>Field Surface>On Lines
Main Menu>Solution>Define Loads>Apply>Fluid/ANSYS>Impedance>On Lines
Main Menu>Solution>Define Loads>Apply>Magnetic>Flag>AppInfinite>On Lines
Main Menu>Solution>Define Loads>Apply>Magnetic>Other>AppMaxwell>On Lines
Main Menu>Solution>Define Loads>Apply>Structural>Pressure>On Lines
Main Menu>Solution>Define Loads>Apply>Thermal>Convection>On Lines
Main Menu>Solution>Define Loads>Apply>Thermal>Heat Flux>On Lines
Main Menu>Solution>Define Loads>Apply>Thermal>Radiation>On Lines
Main Menu>Solution>Define Loads>Apply>Thermal>Surface Rad>On Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SFGRAD 		Up / Home Next
SFLDELE


SFLDELE

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SFLDELE, LINE, Lab

Deletes surface loads from lines.

SOLUTION: Solid Surface Loads

MP ME ST PR PRN <> <> <> EM <> <> PP <>

LINE

Line to which surface load deletion applies. If ALL, delete load from all selected lines [LSEL]. If LINE = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may be substituted for LINE.

Lab

Valid surface load label. If ALL, use all appropriate labels. See the SFL command for labels.

Notes

Deletes surface loads (and all corresponding finite element loads) from selected lines.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Delete>All Load Data>All Surface Ld>On All Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Excitation>AppSurfChar>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Flag>AppInfinite>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Electric>Flag>AppMaxwell>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Field Surface Intr>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/ANSYS>Field Surface>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/ANSYS>Impedance>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Fluid/CFD>Volume Fract>Bound Loads>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Flag>AppInfinite>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Magnetic>Other>AppMaxwell>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Pressure>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Ambient Rad>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Convection>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Heat Flux>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Radiation>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Delete>Thermal>Surface Rad>On Lines
Main Menu>Solution>Define Loads>Delete>All Load Data>All Surface Ld>On All Lines
Main Menu>Solution>Define Loads>Delete>Electric>Excitation>AppSurfChar>On Lines
Main Menu>Solution>Define Loads>Delete>Electric>Flag>AppInfinite>On Lines
Main Menu>Solution>Define Loads>Delete>Electric>Flag>AppMaxwell>On Lines
Main Menu>Solution>Define Loads>Delete>Field Surface Intr>On Lines
Main Menu>Solution>Define Loads>Delete>Fluid/ANSYS>Field Surface>On Lines
Main Menu>Solution>Define Loads>Delete>Fluid/ANSYS>Impedance>On Lines
Main Menu>Solution>Define Loads>Delete>Fluid/CFD>Volume Fract>Bound Loads>On Lines
Main Menu>Solution>Define Loads>Delete>Magnetic>Flag>AppInfinite>On Lines
Main Menu>Solution>Define Loads>Delete>Magnetic>Other>AppMaxwell>On Lines
Main Menu>Solution>Define Loads>Delete>Structural>Pressure>On Lines
Main Menu>Solution>Define Loads>Delete>Thermal>Ambient Rad>On Lines
Main Menu>Solution>Define Loads>Delete>Thermal>Convection>On Lines
Main Menu>Solution>Define Loads>Delete>Thermal>Heat Flux>On Lines
Main Menu>Solution>Define Loads>Delete>Thermal>Radiation>On Lines
Main Menu>Solution>Define Loads>Delete>Thermal>Surface Rad>On Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SFL 		Up / Home Next
SFLIST


SFLIST

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SFLIST, NODE, Lab

Lists surface loads.

SOLUTION: FE Surface Loads

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NODE

Node at which surface load is to be listed. If ALL (or blank), list for all selected nodes [NSEL]. If NODE = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may be substituted for NODE.

Lab

Valid surface load label. If ALL (or blank), use all appropriate labels. Structural labels: PRES (pressure). Thermal labels: CONV (convection); HFLUX (heat flux); RAD (radiation); RDSF (surface-to-surface radiation). Fluid labels: FSI (fluid-structure interaction flag); IMPD (impedance). Magnetic labels: MXWF (Maxwell force flag); MCI (magnetic circuit interface). Electric label: CHRGS (surface charge density); MXWF (Maxwell force flag). High-frequency electromagnetic labels: PORT (waveguide port number); SHLD (surface shielding properties). Infinite element label: INF (exterior surface flag for INFIN110 and INFIN111). If Lab = FSI, only the fluid elements must be selected for the flag to be applied.

Notes

Lists the surface loads as applied with the SF command. Loads are listed only for the specified nodes on external faces of selected area and volume elements. Use SFELIST for line elements. The surface loads listed correspond to the current database values. The database is not updated for surface loads in POST1. Surface loads specified in tabular form, however, do list their values corresponding to the current results set in POST1.

For SURF151 or SURF152 elements with an extra node for radiation and/or convection calculations (KEYOPT(5) = 1), the bulk temperature listed is the temperature of the extra node. If the thermal solution does not converge, the extra node temperature is not available for listing.

This command is valid in any processor.

Menu Paths

Utility Menu>List>Loads>Surface Loads>On All Nodes
Utility Menu>List>Loads>Surface Loads>On Picked Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SFLDELE 		Up / Home Next
SFLLIST


SFLLIST

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SFLLIST, LINE, Lab

Lists the surface loads for lines.

SOLUTION: Solid Surface Loads

MP ME ST PR PRN <> <> <> EM <> <> PP <>

LINE

Line at which surface load is to be listed. If ALL (or blank), list for all selected lines [LSEL]. If LINE = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may be substituted for LINE.

Lab

Valid surface load label. If ALL (or blank), use all appropriate labels. See the SFL command for labels.

Notes

Lists the surface loads for the specified line.

This command is valid in any processor.

Menu Paths

Utility Menu>List>Loads>Surface Loads>On All Lines
Utility Menu>List>Loads>Surface Loads>On Picked Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SFLIST 		Up / Home Next
SFSCALE


SFSCALE

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SFSCALE, Lab, FACT, FACT2

Scales surface loads on elements.

SOLUTION: FE Surface Loads

MP ME ST PR PRN <> <> FL <> <> <> PP <>

Lab

Valid surface load label. If ALL, use all appropriate labels. Structural label: PRES (pressure). Thermal labels: CONV (convection); HFLUX (heat flux). Substructure label: SELV (Load vector number). Electric labels: CHRGS (surface charge density). Thermal labels CONV and HFLUX are mutually exclusive.

FACT

Scale factor for the first surface load value. Zero (or blank) defaults to 1.0. Use a small number for a zero scale factor.

FACT2

Scale factor for the second surface load value. Zero (or blank) defaults to 1.0. Use a small number for a zero scale factor.

Notes

Scales surface loads (pressure, convection, etc.) in the database on the selected elements. Surface loads are applied with the SF, SFE, or SFBEAM commands. Issue the SFELIST command to list the surface loads. Solid model boundary conditions are not scaled by this command, but boundary conditions on the FE model are scaled.

Note

Such scaled FE boundary conditions may still be overwritten by unscaled solid model boundary conditions if a subsequent boundary condition transfer occurs.

SFSCALE does not work for tabular boundary conditions.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Operate>Scale FE Loads>Surface Loads
Main Menu>Solution>Define Loads>Operate>Scale FE Loads>Surface Loads

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SFLLIST 		Up / Home Next
SFTRAN


SFTRAN

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SFTRAN

Transfer the solid model surface loads to the finite element model.

SOLUTION: Solid Surface Loads

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Notes

Surface loads are transferred only from selected lines and areas to all selected elements. The SFTRAN operation is also done if the SBCTRAN command is issued or automatically done upon initiation of the solution calculations [SOLVE].

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Operate>Transfer to FE>Surface Loads
Main Menu>Solution>Define Loads>Operate>Transfer to FE>Surface Loads

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SFSCALE 		Up / Home Next
/SHADE


/SHADE

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

/SHADE, WN, Type

Defines the type of surface shading used with Z-buffering.

GRAPHICS: Style

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number (or ALL) to which command applies (defaults to 1).

Type

Shading type:

FACET or 0
 —

Facet shading (one color per area face) (default).

GOURAUD or 1
 —

Gouraud smooth shading (smooth variation of color based on interpolated vertex colors).

PHONG or 2
 —

Phong smooth shading (smooth variation of color based on interpolated vertex normals).

Command Default

Facet shading.

Notes

Defines the type of surface shading used on area, volume, and PowerGraphics [/GRAPHICS,POWER] displays when software Z-buffering is enabled [/TYPE]. This command is only functional for 2-D display devices.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Style>Hidden-Line Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SFTRAN 		Up / Home Next
SHELL


SHELL

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SHELL, Loc

Selects a shell element or shell layer location for results output.

POST1: Controls

POST26: Controls

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Loc

Location within shell element (or layer) to obtain stress results:

TOP
 —

Top of shell element (or layer) (default).

MID
 —

Middle of shell element (or layer). The default method averages the TOP and BOT values to obtain a mid value. Setting KEYOPT(8) = 2 for SHELL93, SHELL181, SHELL208, and SHELL209, or KEYOPT(11) = 2 for SHELL63 uses MID results obtained directly from the results file.

BOT
 —

Bottom of shell element (or layer).

Command Default

Shell element (or layer) top location.

Notes

Selects the location within a shell element (or a shell layer) for results output (nodal stresses, strains, etc.). Applies to POST1 selects, sorts, and output [NSEL, NSORT, PRNSOL, PLNSOL, PRPATH, PLPATH, etc.], and is used for storage with the POST26 ESOL command. For example, SHELL,TOP causes item S of the POST1 PRNSOL command or the POST26 ESOL command to be the stresses at the top of the shell elements. For layered shell elements, use the LAYER (POST1) or LAYERP26 (POST26) command to select the layer. The SHELL command does not apply to the layered thermal shell elements, SHELL131 and SHELL132. For PowerGraphics [/GRAPHICS,POWER], the SHELL,MID command affects both the printed output and the displayed results, while the SHELL (TOP or BOT) command prints and displays both the top and bottom layers simultaneously.

In POST26, the ESOL data stored is based on the active SHELL specification at the time the data is stored. To store data at various specifications (for example, stresses at the top and bottom locations), issue a STORE command before each new specification.

Menu Paths

Main Menu>General Postproc>Options for Outp
Main Menu>TimeHist Postpro>Define Variables
Main Menu>TimeHist Postpro>Elec&Mag>Circuit>Define Variables
Utility Menu>List>Results>Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/SHADE 		Up / Home Next
/SHOW


/SHOW

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

/SHOW, Fname, Ext, VECT, NCPL

Specifies the device and other parameters for graphics displays.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

Device name, filename, or keyword, as listed below:

<device name>
 —

Any valid graphics display device name (e.g., X11, 3-D etc.). Defaults to X11 for most systems. See Getting Started with Graphics in the Basic Analysis Guide for details. A device name must be defined before activating the Graphical User Interface (GUI). Once the GUI is activated, the device name cannot be changed for that ANSYS session, except for switching between X11 and X11C.

<filename>
 —

Name of graphics file to which graphics displays are to be diverted (248 characters maximum). Should not be the same as a valid device name or any other Fname option. Plots are written to the file Filename.Ext (or just Filename.Ext if Ext is left blank) in the working directory. This file can be appended only during the same session; reissuing the same filename in a new session will overwrite existing filenames from previous sessions. Although multiple filenames can be used within one session, only the last file created or accessed will be appended. Issuing /SHOW, CLOSE, or starting a new session will prevent access to any previously created files.

TERM
 —

Graphics displays are switched back to the last-specified device name.

CLOSE
 —

This option purges the graphics file buffer. The CLOSE option should be issued any time you are changing graphics devices or file output types during an ANSYS session. Graphics displays are switched back to the last-specified device name, and any open graphics files are closed. The CLOSE option is similar to the TERM option, however, with the CLOSE option, another process, such as the DISPLAY program, can access the data in the graphics file. The CLOSE option causes graphics file buffers to be flushed to the graphics file.

FILE
 —

Graphics displays are switched back to the last-specified file name.

OFF
 —

Graphics display requests are ignored.

(blank)
 —

If blank in interactive mode, graphics will be displayed on screen as requested by display commands (no file written); If blank in batch mode, graphics data will be written to Jobname.GRPH.

PSCR
 —

Creates PostScript graphic files that are named Jobnamennn.eps, where nnn is a numeric value that is incremented by one as each additional file is created; that is, Jobname000.eps, Jobname001.eps, Jobname002.eps, and so on . (See the PSCR command for options.) Ignores the Ext and NCPL fields.

HPGL
 —

Creates Hewlett-Packard Graphics Language files that are named Jobnamennn.hpgl, where nnn is a numeric value that is incremented by one as each additional file is created; that is, Jobname000.hpgl, Jobname001.hpgl, Jobname002.hpgl, and so on. (See the HPGL command for options.) Ignores the Ext and NCPL fields.

HPGL2
 —

Creates Hewlett-Packard Graphics Language files that are named Jobnamennn.hpgl, where nn is a numeric value that is incremented by one as each additional file is created; that is, Jobname000.hpgl, Jobname001.hpgl, Jobname02.hpgl, and so on. The HPGL2 files have enhanced color. (See the HPGL command for options.) Ignores the Ext field.

JPEG
 —

Creates JPEG files that are named Jobnamennn.jpg, where nnn is a numeric value that is incremented by one as each additional file is created; that is, Jobname000.jpg, Jobname001.jpg, Jobname002.jpg, and so on. Ignores the Ext field.

TIFF
 —

Creates tagged image format files that are named Jobnamennn.tif, where nnn is a numeric value that is incremented by one as each additional file is created; that is, Jobname000.tif, Jobname001.tif, Jobname002.tif, and so on. This value for the Fname argument ignores the Ext field. (See the TIFF command for options.)

PNG
 —

Creates PNG (Portable Network Graphics) files that are named Jobnamennn.png, where nnn is a numeric value that is incremented by one as each additional file is created; that is, Jobname000.png, Jobname001.png, Jobname002.png, and so on. This value for the Fname argument ignores the Ext field. (See the PNGR command for options.)

VRML
 —

Creates Virtual Reality Meta Language files named Jobname000.wrl that can be displayed on 3-D Internet web browsers. Ignores the Ext and NCPL fields.

Ext

Filename extension (8 character maximum).

VECT

Specifies raster or vector display mode. This affects area, volume, and element displays, as well as geometric results displays such as contour plots. See the /DEVICE command for an alternate way to toggle between raster and vector mode. Changing VECT also resets the /TYPE command to its default.

0
 —

Raster display (color filled entities; default)

1
 —

Vector display (outlined entities; i.e., "wireframe")

NCPL

Sets the number of color planes (4 to 8). Default is device-dependent. NCPL is not supported by all graphics devices.

Command Default

For interactive runs, display is shown on the screen; for batch runs, display commands are ignored (graphics file not written).

Notes

Specifies the device to be used for graphics displays, and specifies other graphics display parameters. Display may be shown at the time of generation (for interactive runs at a graphics display terminal) or diverted to a file for later processing with the DISPLAY program. Issue /PSTATUS for display status.

Batch runs do not have access to the fonts available on your system. The Courier and Helvetica font files used for JPEG, PNG and TIFF batch output are copyrighted by Adobe Systems Inc. and Digital Equipment Corp. Permission to use these trademarks is hereby granted only in association with the images described above. Batch run JPEG output is produced at the default quality index value of 75, unless specified otherwise.

Interactive displays will default to eight color planes (NCPL = 8) for most monitors, while graph file output will default to eight color planes for VRML output, and four color planes for PSCR, HPGL, HPGL2, JPEG, PNG, TIFF and FILE33.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Device Options
Utility Menu>PlotCtrls>Redirect Plots>To GRPH File
Utility Menu>PlotCtrls>Redirect Plots>To HPGL File
Utility Menu>PlotCtrls>Redirect Plots>To HPGL2 File
Utility Menu>PlotCtrls>Redirect Plots>To PSCR File
Utility Menu>PlotCtrls>Redirect Plots>To Screen

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SHELL 		Up / Home Next
/SHOWDISP


/SHOWDISP

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

/SHOWDISP, Dname, --, --, NCPL

Defines the display driver name.

DISPLAY: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Dname

Valid driver name (see Getting Started with Graphics in the Basic Analysis Guide for details):

<device name>
 —

Any linked terminal driver (such as X11, TEKTRONIX, etc.)

HPGL
 —

Hewlett-Packard Graphics Language

HPGL2
 —

Hewlett-Packard Graphics Language with enhanced color. (See the HPGL command for options.) Ignores the NCPL field.

INTERLEAF
 —

Interleaf ASCII Format, OPS Version 5.0

POSTSCRIPT
 —

PostScript, Version 1.0 Minimally Conforming

DUMP
 —

ASCII Text Dump

--, --

Unused fields.

NCPL

Number of color planes (4 to 8). Default is device-dependent.

Menu Paths

It is part of the DISPLAY command.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/SHOW 		Up / Home Next
SHPP


SHPP

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SHPP, Lab, VALUE1, VALUE2

Controls element shape checking.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Shape checking option. (When Lab = WARN, STATUS, SUMMARY, or DEFAULT, the remaining arguments are ignored.)

ON
 —

Activates element shape checking. New elements, regardless of how they are created, are tested against existing warning and error limits. (The existing limits may be the default limits, or previously modified limits.) Elements that violate error limits produce error messages and either (a) cause a meshing failure, or (b) for element creation or storage other than AMESH or VMESH, are not stored. Elements that violate warning limits produce warning messages. If shape checking was previously turned off [SHPP,OFF] and you turn it on, existing elements are marked as untested; use the CHECK command to retest them. With this option, you may also specify a value for VALUE1 to turn individual shape tests on. If you do not specify a value for VALUE1, all shape tests are turned on.

WARN
 —

Activates element shape checking; however, in contrast to SHPP,ON, elements that violate error limits do not cause either a meshing or element storage failure. Instead, they produce warning messages to notify you that error limits have been violated. This option does not alter current shape parameter limits. Since the default shape parameter error limits are set to allow almost any usable element, the elements this option allows, which would otherwise be forbidden, are likely to be very poorly shaped.

OFF
 —

Deactivates element shape checking. This setting does not alter current shape parameter limits. Use of this option is risky, since poorly shaped elements can lead to analysis results that are less accurate than would otherwise be expected for a given mesh density. With this option, you may also specify a value for VALUE1 to turn individual shape tests off. If you do not specify a value for VALUE1, all element shape tests are turned off.

SILENT
 —

Determines whether element shape checking runs in silent mode. In silent mode, ANSYS checks elements without issuing warnings, with the exception of the generic warnings that it issues at solution. With this option, you must also specify a value for VALUE1 (During the execution of certain commands, ANSYS automatically runs element shape checking in silent mode, then internally summarizes the shape test results for all of the new or modified elements. ANSYS does this when it executes any of the following commands: AGEN, AMESH, AREFINE, ARSYM, ATRAN, CDREAD, EGEN, ENGEN, ENSYM, EREAD, EREFINE, ESYM, ET, FVMESH, KREFINE, LREFINE, NREFINE, TIMP, VEXT, VGEN, VIMP, VMESH, VOFFST, VROTAT, VSWEEP, VSYMM, and VTRAN.)

STATUS
 —

Lists the shape parameter limits currently in effect, along with status information about element shape checking (for example, whether any individual shape tests are off, whether any of the shape parameter limits have been modified, and so on).

SUMMARY
 —

Lists a summary of element shape test results for all selected elements.

DEFAULT
 —

Resets element shape parameter limits to their default values. Also, if any individual tests were turned off, turns them back on. (The SHPP,DEFAULT command may be useful if any parameter limits were previously altered by using the MODIFY option.)

OBJECT
 —

Determines whether element shape test results data is stored in memory. When this option is turned on, an "object" is created for storing test results in memory. When this option is turned off, no object is created and no data is stored; thus, any operation that requires shape parameters for an existing element (such as use of the CHECK command) causes the shape parameters to be recomputed. (Note the distinction between storing the data in memory and storing it in the database; regardless of whether this option is turned on or off, no element shape test results data will be stored in the database. The element shape parameter object is deleted automatically before any solution.) This setting is independent of shape checking status, with one exception--if shape checking is turned off [SHPP,OFF], the object is not created. Keep in mind that recomputing shape parameters is more computationally expensive than retrieving them from the object. With this option, you must also specify a value for the VALUE1 argument; the VALUE2 argument is ignored.

LSTET
 —

Determines, for Jacobian ratio tests, whether sampling is done at integration points (DesignSpace product method), or at corner nodes. When this option is turned on, sampling is done at integration points, and the default limits for h-element Jacobian ratios are a warning tolerance of 10 and an error tolerance of 40. When this option is turned off, sampling is done at corner nodes, and the corresponding default limits are a warning tolerance of 30 and an error tolerance of 1000. Sampling at the integration points (option on) results in a lower Jacobian ratio, but that ratio is also subjected to a more restrictive error limit. Some elements that have passed the integration point sampling criterion, have failed the corner mode sampling criterion. Because of this, use integration point sampling only for simple linear analyses. For other types of analyses (e.g., nonlinear, electromagnetic), use sampling at corner nodes, which is the more conservative approach. With this option, you must also specify a value for the VALUE1 argument; the VALUE2 argument is ignored.

MODIFY
 —

Indicates that you want to respecify a shape parameter limit. With this option, you must also specify values for the VALUE1 and VALUE2 arguments.

FLAT
 —

Determines the warning and error limits used to test elements that may exhibit nonzero/nonconstant Z coordinates. With this option, you must also specify values for the VALUE1 and/or VALUE2 arguments.

VALUE1

Valid for the ON, OFF, SILENT, OBJECT, LSTET, MODIFY, and FLAT options only. When Lab = ON or OFF, use VALUE1 to individually control (that is, turn off or turn on) specific element shape tests. Thus, VALUE1 can be ANGD (SHELL28 corner angle deviation tests), ASPECT (aspect ratio tests), PARAL (deviation from parallelism of opposite edges tests), MAXANG (maximum corner angle tests), JACRAT (Jacobian ratio tests), WARP (warping factor tests), or ALL (all tests). When Lab = SILENT, VALUE1 can be ON (to turn silent mode on) or OFF (to turn silent mode off). When Lab = OBJECT, VALUE1 can be either 1, YES, or ON to turn on storage of element shape test data (the default); or it can be 0, NO, or OFF to turn off storage of element shape test data (delete the data and recompute as necessary). When Lab = LSTET, VALUE1 can be either 1, YES, or ON to choose Jacobian sampling at integration points; or it can be 0, NO, or OFF to choose Jacobian sampling at nodes (the default). When Lab = MODIFY, VALUE1 is the numeric location (within the shape parameter limit array) of the shape parameter limit to be modified. Locations are identified in the element shape checking status listing [SHPP,STATUS]. For more information, see the examples in the Notes section. When Lab = FLAT, VALUE1 is the warning limit for XY element constant Z sets performed at CHECK or SOLVE. The default is 1.0e-8.

VALUE2

Valid for the MODIFY and FLAT options only. When Lab = MODIFY, specifies the new limit for the shape parameter that is in the location indicated by the VALUE1 argument. See the examples in the Notes section. When Lab = FLAT, VALUE2 is the error limit. The default is 1.0e-2.

Command Default

All shape checking tests are on [SHPP,ON,ALL] with default shape parameter limits. Silent mode is off. Memory object storage of element shape parameters is on.

Notes

The following examples illustrate how to use the SHPP,MODIFY,VALUE1,VALUE2 command to respecify shape parameter limits. Assume that you issued the SHPP,STATUS command, and you received the output below:

 ASPECT RATIO (EXCEPT FLOTRAN OR EMAG)

    QUAD OR TRIANGLE ELEMENT OR FACE
         WARNING TOLERANCE ( 1) =   20.00000
         ERROR TOLERANCE   ( 2) =  1000000.
                    .
                    .
                    .
 MAXIMUM CORNER ANGLE IN DEGREES (EXCEPT FLOTRAN OR EMAG)
    TRIANGLE ELEMENT OR FACE
         WARNING TOLERANCE (15) =   165.0000
         ERROR TOLERANCE   (16) =   179.9000

Notice that in the sample output, the warning tolerance for aspect ratios is set to 20. Now assume that you want to "loosen" this shape parameter limit so that it is less restrictive. To allow elements with aspect ratios of up to 500 without causing warning messages, you would issue this command:

SHPP,MODIFY,1,500

Also notice that each shape parameter's numeric location within the shape parameter limit array appears in the sample output within parentheses. For example, the numeric location of the aspect ratio shape parameter (for warning tolerance) is 1, which is why "1" is specified for the VALUE1 argument in the example command above.

Now notice that the sample output indicates that any triangle element with an internal angle that is greater than 179.9 degrees will produce an error message. Suppose that you want to "tighten" this shape parameter limit, so that it is more restrictive. To cause any triangle or tetrahedron with an internal angle greater than 170 degrees to produce an error message, you would issue this command:

SHPP,MODIFY,16,170

The existence of badly shaped elements in a model may lead to certain computational errors that can cause your system to abort during ANSYS solution. Therefore, you run the risk of a system abort during solution any time that you turn element shape checking off entirely, run shape checking in warning-only mode, turn off individual shape checks, or loosen shape parameter limits.

Changing any shape parameter limit marks all existing elements as untested; use the CHECK command to retest them.

Since the shape parameter limit array was completely reorganized at ANSYS 5.4, you should revise any input files created prior to 5.4 that contain limit changes so that they reflect the reorganized data structure.

For more information about element shape checking, see Meshing Your Solid Model in the Modeling and Meshing Guide.

This command is also valid for rezoning.

Menu Paths

Main Menu>Preprocessor>Checking Ctrls>Shape Checking
Main Menu>Preprocessor>Checking Ctrls>Toggle Checks
Main Menu>Solution>Manual Rezoning>Create Remesh Zone(s)>Mesh Controls>Element Shape Checking>Shape Checking
Main Menu>Solution>Manual Rezoning>Create Remesh Zone(s)>Mesh Controls>Element Shape Checking>Toggle Checks

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/SHOWDISP 		Up / Home Next
/SHRINK


/SHRINK

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

/SHRINK, RATIO

Shrinks elements, lines, areas, and volumes for display clarity.

GRAPHICS: Scaling

MP ME ST PR PRN <> <> FL EM <> <> PP <>

RATIO

Shrinkage ratio (input as a decimal (0.0 to 0.5)). Defaults to 0.0 (no shrinkage). Values greater than 0.5 default to 0.1 (10% shrinkage).

Command Default

Full size entities.

Notes

Shrinks the elements, lines, areas, and volumes so that adjacent entities are separated for clarity. This command is not valid with p-elements. Portions of this command are not supported by PowerGraphics [/GRAPHICS,POWER].

If only the common lines of non-coplanar faces are drawn (as per the /EDGE command), then this command is ignored.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Style>Size and Shape

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SHPP 		Up / Home Next
SHSD


SHSD

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SHSD, RID, Action

Creates or deletes shell-solid interface to be used in shell-to-solid assemblies.

PREP7: Elements

MP ME ST PR PRN <> <> <> <> <> <> PP <>

RID

The real constant set ID that identifies the contact pair on which a shell-to-solid assembly is defined. If ALL, all selected contact pairs will be considered for assembly.

Action
CREATE
 —

(default) Builds new shell and contact elements to be used in shell-solid assemblies. New elements are stored as internally-created components.

DELETE
 —

Deletes the nodes and elements created during a previous execution of SHSD,RID,CREATE for the real constant set identified by RID.

Notes

The SHSD command creates a shell-solid interface to be used in shell-to-solid assemblies, or deletes a previously-created shell-solid interface. “Virtual” shell elements and additional CONTA175 elements are created at the contact pair identified by RID when Action = CREATE. Set Action = DELETE to remove the generated nodes and elements at the contact pair identified by RID.

The SHSD command is active only when the following element KEYOPTs of associated CONTA175 and TARGE170 element types are predefined:

Element | KEYOPT | Detail
CONTA175 | KEYOPT(2) = 2 | MPC algorithm
 | KEYOPT(12) = 5, 6 | bonded contact
 | KEYOPT(4) = 0 | contact normal perpendicular to target surface
TARGE170 | KEYOPT(5) = 1, 2 | types of constraints: (1 = solid-solid, 2 = shell-shell)

The method used to build shell and contact elements depends on the KEYOPT(5) setting of the target element type associated with the real constant set identified with the RID argument. If KEYOPT(5) = 1 (solid-solid constraint), the “virtual” shell elements are built perpendicularly to the pre-existing shell elements attached to the contact elements. They geometrically follow the contact interface edge and are built on both sides of this interface in such a way that each new shell element (SHELL181) has two nodes that belong to the associated pre-existing shell element in the shell edge (see “Virtual” Shell Elements Following the Contact Interface Edge). The width of the new shell elements is half the thickness of the pre-existing shell element. The CONTA175 elements are then created at each node of the “virtual” shell elements where no CONTA175 element exists. The new contact elements are identified by the same contact pair ID as the pre-existing contact elements.

“Virtual” Shell Elements Following the Contact Interface Edge

If KEYOPT(5) = 2 (shell-shell constraint), the “virtual” shell elements (SHELL181: low order; SHELL281: high order) overlap the existing high or low order target elements identified with the RID argument, and share their nodes. Only those target elements close enough to the contact interface (identified using the PINB real constant) are overlapped. ANSYS uses the FTOLN real constant (defaults to half the shell element thickness) to define an influence distance. The associated virtual shell elements are created only for those target elements which lie partially inside the influence distance region (see “Virtual” Shell Elements Overlapping Target Elements).

“Virtual” Shell Elements Overlapping Target Elements

For the bonded always option (KEYOPT(12) = 5), any contact node inside the pinball region (gap < PINB) is included in the KEYOPT(5) = 2 process. A relatively small PINB value may be used to prevent false contact. PINB defaults to 25% of the contact depth for small deformation analyses.

For the bonded initial option (KEYOPT(12) = 6), only those contact nodes which initially lie inside the adjustment zone (gap < ICONT) are always included in the KEYOPT(5) = 2 process. ICONT defaults to 5% of the contact depth.

For both processes, the new nodes and elements are stored in internally-named components. The internal naming convention is based on the real constant set ID specified by RID, as illustrated in the following table.

Nodes | SHSD_ND_RID
Contact Elements | SHSD_CN_RID
Shell Elements | SHSD_SH_RID

Issuing SHSD,RID,DELETE deletes components based on their generated names. Only components whose names match the internal naming convention will be deleted.

Caution

Do not rename or manually delete generated components. Use the SHSD command to delete generated components.

Renaming or manually deleting generated components will cause these components to be ignored when SHSD,RID,DELETE is executed and when ANSYS searches for these components to verify if SHSD,RID,CREATE can be safely executed. Manually renaming or deleting generated components and reissuing SHSD,RID,CREATE may result in erroneous generation of virtual shell or contact elements.

See Modeling a Shell-Solid Assembly in the Contact Technology Guide for more information.

Menu Paths

Main Menu>Preprocessor>Coupling / Ceqn>Shell/Solid Interface

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/SHRINK 		Up / Home Next
SLIST


SLIST

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SLIST, SFIRST, SLAST, SINC, Details, Type

Summarizes the section properties for all defined sections in the current session of ANSYS.

PREP7: Cross Sections

MP ME ST <> <> <> <> <> <> <> <> PP <>

SFIRST

First section ID to be summarized. Defaults to first available section in the database.

SLAST

Last section ID to be summarized. Defaults to last available section in the database.

SINC

Increment of the section ID; defaults to 1.

Details

Determines the content of the summarized information for beams and shells.

BRIEF
 —

For beams, lists only the section integrated properties (such as Area, Iyy, and Iyz). This option is the default.

FULL
 —

For beams, lists the section integrated properties, as well as the section nodal coordinates, section cell connectivity information, and section cell integration point coordinates. For shells, the section stiffness (membrane, bending, membrane-bending coupling and transverse shear) are printed.

The shell section stiffness listed considers elastic behavior of materials at reference temperature only. The elements that use the section data may alter the transverse shear stiffness based on slenderness considerations (in addition to the shear correction factors shown).

44
 —

You can use section commands with BEAM44 elements instead of defining real constants to describe the elements. Issuing SLIST,,,,44 lists the section integrated properties, as well as the real constant commands that are equivalent to your section command specifications. A section made of multiple materials cannot be modeled using BEAM44.

This option applies only to beam sections.

Type

The section type. Valid arguments are ALL (the default) and the types available on the SECTYPE command.

Notes

For BEAM188 and BEAM189 elements, the PRSSOL command prints section nodal and section integration point results. Stresses and strains are printed at section nodes, and plastic strains and plastic work are printed at section integration points. PRSSOL does not support BEAM44 elements.

For sections integrating FiberSIM data (SECTYPE,,SHELL,FIBERSIM), the command output displays the relevant layer information.

Because the actual section can vary from element to element, the information provided by the Details = FULL option is not available when using the FiberSIM-ANSYS interface.

By default, the command lists information concerning all sections; however, you can limit the output to only beam or pretension sections via the Type key.

Sample Output

Following is sample output from the SLIST,,,,BRIEF command for a rectangular beam section subtype (SECTYPE,,BEAM,RECT):

LIST SECTION ID SETS     1 TO     1 BY     1

  SECTION ID NUMBER:         1
  BEAM SECTION TYPE:     Rectangle
  BEAM SECTION NAME IS:
  BEAM SECTION DATA SUMMARY:
   Area                 =  6.0000
   Iyy                  =  4.5000
   Iyz                  = 0.11281E-15
   Izz                  =  2.0000
   Warping Constant     = 0.23299
   Torsion Constant     =  4.7330
   Center of Gravity Y  =-0.30973E-16
   Center of Gravity Z  = 0.15376E-15
   Shear Center Y       =-0.22957E-13
   Shear Center Z       = 0.31281E-13

   Beam Section is offset to CENTROID of cross section

Following is sample output from the SLIST command for a FiberSIM subtype (SECTYPE,,SHELL,FIBERSIM):

 LIST SECTION ID SETS       1 TO      4 BY      1

   INPUT SECTION ID NUMBER           4
   INPUT SECTION IS SHELL SECTION TYPE USING FIBERSIM DATA
   INPUT SHELL SECTION NAME      lamin1

      Thickness   MatID   Num Intg. Pts   Layer ID
       0.2000       1          0           STEEL
       1.0000       2          0           ALUM1
       0.2000       3          0           ALUM2
This table is a summary of the SECDATA command input and describes the individual
plies/layers and does not normally represent the actual layup used. Layup data is
available in FiberSIM.

    Shell Section is offset to BOTTOM surface of Shell

  Section Solution Controls
  Tolerance in Thickness Direction    = 0.15500
  Angle Tolerance                     =  15.000
  Added Mass Per Unit Area            = 5.00000E-02
  Elastic Foundation Stiffness        =  100.00
  Parsing Debug                       =   1
  Computed Real Constants             =   1

Menu Paths

Main Menu>Preprocessor>Sections>List Sections

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SHSD 		Up / Home Next
SLOAD


SLOAD

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SLOAD, SECID, PLNLAB, KINIT, KFD, FDVALUE, LSLOAD, LSLOCK

Load a pretension section.

PREP7: Cross Sections

MP ME ST <> <> <> <> <> <> <> <> PP <>

SECID

Unique section number. The number must already be assigned to a pretension section.

PLNLAB

Label representing the pretension load sequence number in the format "PLnn" where nn is an integer from 1 through 99 (for example, PL01 through PL99).

Specify a value of DELETE to delete all loads on the specified pretension section (SECID). In this case, the command ignores any other argument values.

KINIT

Initial action key for pretension load PL01. (This field is omitted for PL02 and up.) Three scenarios are possible:

LOCK
 —

Constrains (connects) the cutting plane on the pretension section. This value is the default.

SLID
 —

Unconstrains (disconnects) the cutting plane on the pretension section.

TINY
 —

Applies a very small pretension load (0.1% of FDVALUE) before the desired load is established. The small load prevents convergence problems which can occur when the desired load is not established in the first load step. This value is valid only if KFD = FORC.

KFD

Force/Displacement key. Specifies whether FDVALUE is a force or a displacement:

FORC
 —

Apply a force on the specified pretension section. This value is the default.

DISP
 —

Apply a displacement (adjustment) on the specified pretension section.

FDVALUE

Pretension load value. If KFD = FORC, this value is a pretension force. If KFD = DISP, this value is a pretension displacement (adjustment).

LSLOAD

Load step in which to apply the FDVALUE.

LSLOCK

The load step in which the displacement value resulting from the pretension force is locked. This value is valid only if KFD = FORC.

Command Default

The default pretension load value FDVALUE is zero (no load). A positive value puts the pretension elements in tension.

No default exists for the LSLOAD applied load step value. You must specify the load step in which to apply the FDVALUE.

No default exists for the LSLOCK locked load step value. You must specify the load step in which to lock the FDVALUE.

Notes

The SLOAD command applies pretension loads to specified pretension sections (created via the PSMESH command). A pretension load is ramp-applied (KBC = 0) if it is a force (KFD = FORC), and step-applied (KBC = 1) if it is a displacement (KFD = DISP).

You can “lock” the load value at a specified load step. When locked, the load changes from a force to a displacement, and ANSYS applies the load as a constant displacement in all future load steps. Locking is useful when applying additional loadings. The additional loadings alter the effect of the initial load value, but because locking transforms the load into a displacement, it preserves the initial load's effect.

Example: Applying a Load

The following command shows how to establish loads on a pretension section:

SLOAD,1,PL01,TINY,FORC,5000,2,3

In this example, the load is applied to pretension section 1, and the sequence begins with the initial action key, KINIT, set to TINY. A small stabilization load (5 = 0.10% of 5000) is applied in the first load step, as the actual pretension force is not applied until the second load step. The next four fields set the actual load: the KFD value FORC specifies the type of load, FDVALUE defines the pretension load value (5000), LSLOAD specifies the load step in which the force is applied (2), and the LSLOCK field specifies the load step in which the force is locked (3). Additional sets of four fields can be used to define additional loads.

Example: Editing an Existing Load

You can use the SLOAD command to edit (overwrite) existing loads on a pretension section. This example changes the load on pretension section 1 (set above) to 6000:

SLOAD,1,PL01,,,6000,2,3

Unspecified values (blank fields), as shown in this example, remain unchanged from prior settings. If no prior specifications exist, then default values (KINIT = LOCK and KFD = FORC) apply.

Example: Deleting All Loads

The command can also delete all loads on a specified pretension section, as shown here:

SLOAD,1,DELETE

Example: Locking a Pretension Element

For a prestressed modal analysis, this command locks the pretension element:

SLOAD,1,PL01,LOCK,DISP,0,1,2

Multiple Loadings

The SLOAD command allows you to apply multiple loadings. You can add up to 15 loadings (PL01 through PL15), or delete loadings, for any given pretension section(s).

Example: Applying Multiple Loadings

The following SLOAD commands, issued in the order shown, establish a pretension load sequence in pretension section 2 with a force of 25 in load step (LS) 2, locked in LS 3-6, a force of 50 in LS 7, locked in LS 8-11, a force of 75 in LS 12, locked in LS 13 and beyond:

SLOAD,2,PL01,LOCK,FORC,25,2,3

SLOAD,2,PL02,,FORC,50,7,8

SLOAD,2,PL03,,FORC,75,12,13

At the same time, you can issue SLOAD commands to apply loads on other pretension sections. For example, in addition to the commands listed above, you could issue the following command to apply a load on pretension section 3:

SLOAD,3,PL01,LOCK,FORC,25,3,4

Using the Pretension Section Loads GUI

Any addition or deletion of a loading applies to the selected sections only. ANSYS does not apply or delete a load until you click on the Apply or OK button.

After you have successfully solved for a specified LSLOAD (GUI field Apply at LS) and eventually LSLOCK (GUI field Lock at LS) value, you cannot modify that loading's settings during subsequent steps of the analysis. Similarly, you cannot delete loadings that you have already partially or completely solved.

You can select more than one pretension section at a time in order to specify identical loadings on them. Before you completely solve a given loading, any combination of pretension sections is valid. The following limitations apply:

  • After you have completely solved one or more loadings, ANSYS allows multiple selection of only those pretension sections having

    -- the same number of defined loadings, and
    -- the identical loading number from the most recent completely solved loading.

  • A multiple selection meeting the necessary criteria retains the settings that are identical for all selected pretension sections and leaves all other fields blank.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Pretnsn Sectn
Main Menu>Preprocessor>Loads>Define Loads>Delete>All Load Data>All Section Lds
Main Menu>Solution>Define Loads>Apply>Structural>Pretnsn Sectn
Main Menu>Solution>Define Loads>Delete>All Load Data>All Section Lds

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SLIST 		Up / Home Next
SLPPLOT


SLPPLOT

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SLPPLOT, Prefer, VALUE

Displays line loops smaller than a specified size (for models imported from CAD files).

PREP7: CAD Repair

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Prefer

Preference for line loop display. If Prefer = FACTOR, the command displays all line loops whose radius is smaller than the radius of the model (taken between the two most distant keypoints) times VALUE. This is the default preference. If Prefer = RADIUS, the command displays all line loops whose radius is smaller than that specified by VALUE.

VALUE

Numeric argument for Prefer.

Notes

Use this command to locate and display disproportionately small line loops when repairing the geometry of models imported from CAD files. Line loops matching the criteria specified in Prefer and VALUE both display in a different color and include their IDs. This command is available only for models imported through the Default IGES option.

Menu Paths

Main Menu>Preprocessor>Modeling>Simplify>Detect/Display>Small Loops

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SLOAD 		Up / Home Next
SLSPLOT


SLSPLOT

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SLSPLOT, Prefer, VALUE

Displays line segments smaller than a specified size (for models imported from CAD files).

PREP7: CAD Repair

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Prefer

Preference for line segment display. If Prefer = FACTOR, the command displays all line segments whose length is smaller than the average length of lines within the model times VALUE. This is the default preference. If Prefer = LENGTH, the command displays all line lengths smaller than that specified by VALUE.

VALUE

Numeric argument for Prefer.

Notes

Use this command to locate and display disproportionately small line segments when repairing the geometry of models imported from CAD files. Line lengths matching the criteria specified in Prefer and VALUE both display in a different color and include their IDs. This command is available only for models imported through the Default IGES option.

Menu Paths

Main Menu>Preprocessor>Modeling>Simplify>Detect/Display>Small Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SLPPLOT 		Up / Home Next
SMALL


SMALL

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SMALL, IR, IA, IB, IC, Name, --, --, FACTA, FACTB, FACTC

Finds the smallest of three variables.

POST26: Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

IR

Arbitrary reference number assigned to the resulting variable (2 to NV [NUMVAR]). If this number is the same as for a previously defined variable, the previously defined variable will be overwritten with this result.

IA, IB, IC

Reference numbers of the three variables to be operated on. If only two, leave IC blank. If only one, leave IB blank also.

Name

Thirty-two character name identifying the variable on printouts and displays. Embedded blanks are compressed for output.

--, --

Unused fields.

FACTA, FACTB, FACTC

Scaling factors (positive or negative) applied to the corresponding variables (defaults to 1.0).

Notes

Finds the smallest of three variables according to the operation:

IR = smallest of (FACTA x IA, FACTB x IB, FACTC x IC)

Menu Paths

Main Menu>TimeHist Postpro>Math Operations>Find Minimum

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SLSPLOT 		Up / Home Next
SMAX


SMAX

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SMAX, LabR, Lab1, Lab2, FACT1, FACT2

Forms an element table item from the maximum of two other items.

POST1: Element Table

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LabR

Label assigned to results. If same as existing label, the existing values will be overwritten by these results.

Lab1

First labeled result item in operation.

Lab2

Second labeled result item in operation (may be blank).

FACT1

Scale factor applied to Lab1. A (blank) or '0' entry defaults to 1.0.

FACT2

Scale factor applied to Lab2. A (blank) or '0' entry defaults to 1.0.

Notes

Forms a labeled result item (see ETABLE command) for the selected elements by comparing two existing labeled result items according to the operation:

LabR = (FACT1 x Lab1) cmx (FACT2 x Lab2)

where "cmx" means "compare and save maximum." If absolute values are requested [SABS,1], the absolute values of Lab1 and Lab2 are used.

Menu Paths

Main Menu>General Postproc>Element Table>Find Maximum

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SMALL 		Up / Home Next
/SMBC


/SMBC

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

/SMBC, Mode

Controls the display of solid model boundary condition symbols and labels.

DATABASE: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Mode

CENT
 —

Solid model boundary condition symbols and labels appear at the centroid of the solid model entity (default).

TESS
 —

Solid model boundary condition symbols and labels appear inside each constituent element of the tesselation.

Notes

Mode = CENT is designed to reduce the clutter of boundary condition symbols in solid model plots. For example, if you have assigned normal pressure loads to an area, you may choose to display the pressures as arrows with the /PSF command using /PSF,PRES,NORM,2. When Mode = CENT, the pressure arrow is displayed at the centroid of the area. When Mode = TESS, a pressure arrow is displayed at the centroid of each polygon of the area's tesselation.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SMAX 		Up / Home Next
SMBODY


SMBODY

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SMBODY

Specifies "Body loads on the solid model" as the subsequent status topic.

SOLUTION: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Solution>Body Loads

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/SMBC 		Up / Home Next
SMCONS


SMCONS

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SMCONS

Specifies "Constraints on the solid model" as the subsequent status topic.

SOLUTION: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Solution>DOF Constraints

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SMBODY 		Up / Home Next
SMFOR


SMFOR

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SMFOR

Specifies "Forces on the solid model" as the subsequent status topic.

SOLUTION: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Solution>Forces

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SMCONS 		Up / Home Next
SMIN


SMIN

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SMIN, LabR, Lab1, Lab2, FACT1, FACT2

Forms an element table item from the minimum of two other items.

POST1: Element Table

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LabR

Label assigned to results. If same as existing label, the existing values will be overwritten by these results.

Lab1

First labeled result item in operation.

Lab2

Second labeled result item in operation (may be blank).

FACT1

Scale factor applied to Lab1. A (blank) or '0' entry defaults to 1.0.

FACT2

Scale factor applied to Lab2. A (blank) or '0' entry defaults to 1.0.

Notes

Forms a labeled result item (see ETABLE command) for the selected elements by comparing two existing labeled result items according to the operation:

LabR = (FACT1 x Lab1) cmn (FACT2 x Lab2)

where "cmn" means "compare and save minimum." If absolute values are requested [SABS,1], the absolute values of Lab1 and Lab2 are used.

Menu Paths

Main Menu>General Postproc>Element Table>Find Minimum

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SMFOR 		Up / Home Next
SMOOTH


SMOOTH

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SMOOTH, Vect1, Vect2, DATAP, FITPT, Vect3, Vect4, DISP

Allows smoothing of noisy data and provides a graphical representation of the data.

POST26: Special Purpose

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Vect1

Name of the first vector that contains the noisy data set (i.e., independent variable). You must create and fill this vector before issuing SMOOTH.

Vect2

Name of the second vector that contains the dependent set of data. Must be the same length as the first vector. You must create and fill this vector before issuing SMOOTH.

DATAP

Number of data points to be fitted, starting from the beginning of the vector. If left blank, the entire vector will be fitted. The maximum number of data points is 100,000 (or greater, depending on the memory of the computer).

FITPT

Order of the fitting curve that will be used as a smooth representation of the data. This number should be less than or equal to the number of the data points. Default (blank) is one-half the number of data points. Maximum number of smoothed data fitting order is the number of data points up to 50. Depending on this number, the smoothed curve will be one of the following:

1
 —

Curve is the absolute average of all of the data points.

2
 —

Curve is the least square average of all of the data points.

3 or more
 —

Curve is a polynomial of the order (n-1), where n is the number of data fitting order points.

Vect3

Name of the vector that contains the smoothed data of the independent variable. This vector should have a length equal to or greater than the number of smoothed data points. In batch (command) mode, you must create this vector before issuing the SMOOTH command. In interactive mode, the GUI automatically creates this vector (if it does not exist). If you do not specify a vector name, the GUI will name the vector smth_ind.

Vect4

Name of the vector that contains the smoothed data of the dependent variable. This vector must be the same length as Vect3. In batch (command) mode, you must create this vector before issuing the SMOOTH command. In interactive mode, the GUI automatically creates this vector (if it does not exist). If you do not specify a vector name, the GUI will name the vector smth_dep.

DISP

Specifies how you want to display data. No default; you must specify an option.

1
 —

Unsmoothed data only

2
 —

Smoothed data only

3
 —

Both smoothed and unsmoothed data

Notes

You can control the attributes of the graph using standard ANSYS controls (/GRID, /GTHK, /COLOR, etc.). If working interactively, these controls appear in this dialog box for convenience, as well as in their standard dialog boxes. You must always create Vect1 and Vect2 (using *DIM) and fill these vectors before smoothing the data. If you're working interactively, ANSYS automatically creates Vect3 and Vect4, but if you're working in batch (command) mode, you must create Vect3 and Vect4 (using *DIM) before issuing SMOOTH. Vect3 and Vect4 are then filled automatically by ANSYS. In addition, ANSYS creates an additional TABLE type array that contains the smoothed array and the unsmoothed data to allow for plotting later with *VPLOT. Column 1 in this table corresponds to Vect1, column 2 to Vect2, and column 3 to Vect4. This array is named Vect3_SMOOTH, up to a limit of 32 characters. For example, if the array name is X1, the table name is X1_SMOOTH.

This command is also valid in PREP7 and SOLUTION.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Settings>Replace vs Add>Smooth Data
Main Menu>Preprocessor>LS-DYNA Options>Loading Options>Smooth Data
Main Menu>Solution>Define Loads>Settings>Replace vs Add>Smooth Data
Main Menu>Solution>Loading Options>Smooth Data
Main Menu>TimeHist Postpro>Smooth Data

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SMIN 		Up / Home Next
SMRTSIZE


SMRTSIZE

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SMRTSIZE, SIZLVL, FAC, EXPND, TRANS, ANGL, ANGH, GRATIO, SMHLC, SMANC, MXITR, SPRX

Specifies meshing parameters for automatic (smart) element sizing.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

SIZLVL

Overall element size level for meshing. The level value controls the fineness of the mesh. (Any input in this field causes remaining arguments to be ignored.) Valid inputs are:

n
 —

Activate SmartSizing and set the size level to n. Must be an integer value from 1 (fine mesh) to 10 (coarse mesh). Remaining arguments are ignored, and argument values are set as shown in SMRTSIZE - Argument Values for h-elements and p-elements.

STAT
 —

List current SMRTSIZE settings.

DEFA
 —

Set all SMRTSIZE settings to default values (as shown in SMRTSIZE - Argument Values for h-elements and p-elements for size level 6).

OFF
 —

Deactivate SmartSizing. Current settings of DESIZE will be used. To reactivate SmartSizing, issue SMRTSIZE,n.

FAC

Scaling factor applied to the computed default mesh sizing. Defaults to 1 for h-elements (size level 6), which is medium. Values from 0.2 to 5.0 are allowed.

EXPND

Mesh expansion (or contraction) factor. (This factor is the same as MOPT,EXPND,Value.) EXPND is used to size internal elements in an area based on the size of the elements on the area's boundaries. For example, issuing SMRTSIZE,,,2 before meshing an area will allow a mesh with elements that are approximately twice as large in the interior of an area as they are on the boundary. If EXPND is less than 1, a mesh with smaller elements on the interior of the area will be allowed. EXPND should be greater than 0.5 but less than 4. EXPND defaults to 1 for h-elements (size level 6), which does not allow expansion or contraction of internal element sizes (except when using AESIZE element sizing). (If EXPND is set to zero, the default value of 1 will be used.) The actual size of the internal elements will also depend on the TRANS option or upon AESIZE or ESIZE sizing, if used.

TRANS

Mesh transition factor. (This factor is the same as MOPT,TRANS,Value.) TRANS is used to control how rapidly elements are permitted to change in size from the boundary to the interior of an area. TRANS defaults to 2.0 for h-elements (size level 6), which permits elements to approximately double in size from one element to the next as they approach the interior of the area. (If TRANS is set to zero, the default value will be used.) TRANS must be greater than 1 and, for best results, should be less than 4. The actual size of the internal elements will also depend on the EXPND option or upon AESIZE or ESIZE sizing, if used.

ANGL

Maximum spanned angle per lower-order element for curved lines. Defaults to 22.5 degrees per element (size level 6). This angle limit may be exceeded if the mesher encounters a small feature (hole, fillet, etc.). (This value is NOT the same as that set by DESIZE,,,,ANGL.) This option does not apply to p-element meshes.

ANGH

Maximum spanned angle per higher-order element for curved lines. Defaults to 30 degrees per element (size level 6). This angle limit may be exceeded if the mesher encounters a small feature (hole, fillet, etc.). (This value is NOT the same as that set by DESIZE,,,,,ANGH.)

GRATIO

Allowable growth ratio used for proximity checking. Defaults to 1.5 for h-elements (size level 6). Values from 1.2 to 5.0 are allowed; however, values from 1.5 to 2.0 are recommended.

SMHLC

Small hole coarsening key, can be ON (default for size level 6) or OFF. If ON, this feature suppresses curvature refinement that would result in very small element edges (i.e., refinement around small features).

SMANC

Small angle coarsening key, can be ON (default for all levels) or OFF. If ON, this feature restricts proximity refinement in areas where it is ill-advised (that is, in tight corners on areas, especially those that approach 0 degrees).

MXITR

Maximum number of sizing iterations (defaults to 4 for all levels).

SPRX

Surface proximity refinement key, can be off (SPRX = 0, which is the default for all levels) or on via two different values (SPRX = 1 or SPRX = 2). If SPRX = 1, surface proximity refinement is performed and any shell elements that need to be modified are modified. If SPRX=2, surface proximity refinement is performed but no shell elements are altered.

Command Default

SmartSizing is off and DESIZE is used for automatic element sizing.

Notes

If a valid level number (1 (fine) to 10 (coarse)) is input on SIZLVL, inputs for remaining arguments are ignored, and the argument values are set as shown in SMRTSIZE - Argument Values for h-elements and p-elements.

Note

The settings are different for h-elements and p-elements (indicated by the "h" and "p" headings in the table). The first column contains SIZLV data, ranging from 10 (coarse) to 1 (fine); 6 is the default.

SMRTSIZE - Argument Values for h-elements and p-elements

 | FAC |  | EXPND |  | TRANS |  | ANGL |  | ANGH |  | GRATIO |  | SMHLC |  | SMANC |  | MXITR |  | SPRX
 | h | p | h | p | h | p | h | p | h | p | h | p | h | p | h | p | h | p | h | p
10 | 5.0 | 5.0 | 2.0 | 2.5 | 2.0* | 2.0 | 45.0 | - | 45.0* | 30.0 | 2.0 | 2.0 | on | on | on | on | 4* | 4 | off | off
9 | 3.0 | 4.0 | 1.75 | 2.35 | 2.0* | 2.0 | 36.0 | - | 45.0* | 30.0 | 1.9 | 1.9 | on | on | on | on | 4* | 4 | off | off
8 | 1.875 | 3.0 | 1.5 | 2.25 | 2.0* | 2.0 | 30.0 | - | 45.0* | 30.0 | 1.8 | 1.8 | on | on | on | on | 4* | 4 | off | off
7 | 1.5 | 2.5 | 1.0 | 1.7 | 2.0* | 2.0 | 26.0 | - | 36.0* | 30.0 | 1.7 | 1.7 | on | on | on | on | 4* | 4 | off | off
6* | 1.0* | 1.875 | 1.0* | 1.5 | 2.0* | 2.0 | 22.5 | - | 30.0* | 30.0 | 1.5* | 1.7 | on | on | on | on | 4* | 4 | off | off
5 | 0.65 | 1.5 | 1.0* | 1.25 | 2.0* | 2.0 | 18.0 | - | 27.0 | 30.0 | 1.5 | 1.6 | on | on | on | on | 4* | 4 | off | off
4 | 0.4 | 1.0 | 1.0* | 1.0 | 2.0* | 2.0 | 15.0 | - | 22.0 | 30.0 | 1.5 | 1.5 | off | on | on | on | 4* | 4 | off | off
3 | 0.3 | 0.8 | 1.0* | 1.0 | 2.0* | 2.0 | 12.0 | - | 18.0 | 22.0 | 1.5 | 1.5 | off | off | on | on | 4* | 4 | off | off
2 | 0.25 | 0.6 | 1.0* | 1.0 | 2.0* | 2.0 | 10.0 | - | 15.0 | 18.0 | 1.5 | 1.5 | off | off | on | on | 4* | 4 | off | off
1 | 0.2 | 0.4 | 1.0* | 1.0 | 2.0* | 2.0 | 7.5 | - | 15.0 | 15.0 | 1.4 | 1.4 | off | off | on | on | 4* | 4 | off | off

*Default

Where appropriate, SmartSizing will start with AESIZE settings. Elsewhere, it will start with any defined ESIZE,SIZE setting. It will locally override AESIZE or ESIZE for proximity and curvature. SmartSizing ignores any ESIZE,,NDIV setting.

LESIZE line division and spacing specifications will be honored by SmartSizing, unless you give permission for SmartSizing to override them (for proximity or curvature) by setting KYNDIV to 1. Lines not having an LESIZE specification are meshed as well as they can be.

This command is also valid for rezoning.

Menu Paths

Main Menu>Preprocessor>Meshing>Size Cntrls>SmartSize>Adv Opts
Main Menu>Preprocessor>Meshing>Size Cntrls>SmartSize>Basic
Main Menu>Preprocessor>Meshing>Size Cntrls>SmartSize>Status

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SMOOTH 		Up / Home Next
SMSURF


SMSURF

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SMSURF

Specifies "Surface loads on the solid model" as the subsequent status topic.

SOLUTION: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Solution>Surface Loads

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SMRTSIZE 		Up / Home Next
SMULT


SMULT

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SMULT, LabR, Lab1, Lab2, FACT1, FACT2

Forms an element table item by multiplying two other items.

POST1: Element Table

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LabR

Label assigned to results. If same as existing label, the existing values will be overwritten by these results.

Lab1

First labeled result item in operation.

Lab2

Second labeled result item in operation (may be blank).

FACT1

Scale factor applied to Lab1. A (blank) or '0' entry defaults to 1.0.

FACT2

Scale factor applied to Lab2. A (blank) or '0' entry defaults to 1.0.

Notes

Forms a labeled result item (see ETABLE command) for the selected elements by multiplying two existing labeled result items according to the operation:

LabR = (FACT1 x Lab1) x (FACT2 x Lab2)

May also be used to scale results for a single labeled result item. If absolute values are requested [SABS,1], the absolute values of Lab1 and Lab2 are used.

Menu Paths

Main Menu>General Postproc>Element Table>Multiply

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SMSURF 		Up / Home Next
SOLCONTROL


SOLCONTROL

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SOLCONTROL, Key1, Key2, Key3, Vtol

Specifies whether to use optimized nonlinear solution defaults and some enhanced internal solution algorithms.

SOLUTION: Analysis Options

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Key1

Optimized defaults activation key:

ON or 1
 —

Activates optimized defaults for a set of commands applicable to nonlinear solutions. This is the default. The majority of solution command defaults are listed in the "Notes" section below. See also the description of individual solution commands for default values.

OFF or 0
 —

Restores defaults to pre-ANSYS 5.4 values (see the Default States table below). Internal solution algorithms work as for pre-ANSYS 5.4.

Key2

Check contact state key. This key is operable only when the optimized defaults are active (Key1 = ON) and a contact or nonlinear status element is present in the model. When check contact state is active, ANSYS will base the time step size on the specifications of KEYOPT(7) for all contact elements. KEYOPT(7) for contact elements can be used to ensure that the time step interval accounts for changes in the contact status. Also, when Key2 = ON, ANSYS ensures the time step is small enough to account for changes in nonlinear element status (applies to LINK10, COMBIN7, COMBIN14, COMBIN39, and COMBIN40 elements). Valid arguments for the key are:

ON or 1
 —

Activate time step predictions based on specifications of element KEYOPT(7) or the nonlinear status of the element (applies to LINK10, COMBIN7, COMBIN14, COMBIN39, and COMBIN40 elements).

OFF or 0
 —

Time step predictions not based on contact status or nonlinear element status (default).

Key3

Pressure load stiffness key. In general, use the default setting. Use a non-default setting only if you encounter convergence difficulties. Pressure load stiffness is automatically included when using eigenvalue buckling analyses (ANTYPE,BUCKLE), equivalent to Key3 = INCP. For all other types of analyses, valid arguments for Key3 are:

NOPL
 —

Do not include pressure load stiffness for any elements.

no entry (default)
 —

Include pressure load stiffness for elements SURF153, SURF154, SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187 SOLSH190, BEAM188, BEAM189, SHELL208, SHELL209, and SHELL281.

Do not include pressure load stiffness for elements PLANE42, SOLID45, SOLID46, SOLID65, PLANE82, VISCO88, VISCO89, SOLID92, SOLID95, PLANE183, and SOLID191.

INCP
 —

Include pressure load stiffness for elements PLANE42, SOLID45, SOLID46, SOLID65, PLANE82, VISCO88, VISCO89, SOLID92, SOLID95, SURF153, SURF154, SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, BEAM188, BEAM189, SOLID191, SHELL208, SHELL209, and SHELL281.

Vtol

Tolerance for volumetric compatibility check in the 18x plane and solid elements (PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, and SOLSH190) when mixed u-P formulation is employed. The default value is 1.0 x 10-5. Vtol can range from 0.0 to 1.0, but values between 1.0 x 10-5 and 1.0 x 10-2 are recommended. For more details, see Volumetric Constraint Equations in u-P Formulations in the Theory Reference for ANSYS and ANSYS Workbench.

Notes

The SOLCONTROL command is designed to provide reliable and efficient default solution settings for single-field full structural nonlinear or full transient analysis, or single-field thermal analysis. (It is not applicable for reduced transient analysis.) The optimized default settings and advanced internal solution algorithms can be used to solve the majority of structural/thermal, nonlinear/transient problems with the least amount of user intervention. The SOLCONTROL command is ON by default. In most cases, to successfully solve a problem the user only needs to:

  • Choose NLGEOM,ON for large displacement/strain analysis.

  • Choose NROPT,UNSYM to access unsymmetric pressure load stiffness, material stiffness, friction behavior, etc.

  • Provide the initial step size through the NSUBST or DELTIM command.

To achieve this, the SOLCONTROL command chooses better default settings for a number of commands within ANSYS and uses optimized internal solution algorithms.

THOPT settings take precedence over SOLCONTROL settings.

Commands that ANSYS issues are written to files (such as log and load step files) as COMMAND,-1 (for example, KBC,-1).

Note

The state of the SOLCONTROL command is not written by the CDWRITE or LSWRITE commands (so that the CDWRITE file does not rigidly define an individual solution command). Also note that switching SOLCONTROL ON and OFF between load steps is not recommended.

The SOLCONTROL command also serves as a "reset" command; when you issue SOLCONTROL, all the control commands set earlier in the interactive or input session are reset to their original default values.

Text database files (.CDB files created by CDWRITE) and load step files (.S01, .S02, .Snn, etc. files created by LSWRITE) should be handled with care when SOLCONTROL,ON (default). Files of these types sometimes contain control commands that you did not issue intentionally. These extra commands can overwrite the default settings specified by SOLCONTROL. To avoid overwriting the SOLCONTROL settings when you are using .CDB files, use the following procedure:

  1. Read the .CDB files into ANSYS.

  2. Enter the solution processor [/SOLU].

  3. Issue SOLCONTROL,ON.

  4. Issue the desired control commands to overwrite the SOLCONTROL defaults as needed.

To use .Snn files properly, you should preview and edit them. Delete the unwanted solution commands before you execute the LSSOLVE command.

The following table lists the nonlinear solution parameters and algorithm differences when the command is active and inactive.

SOLCONTROL - Default States Table

Command | Argument | SOLCONTROL ON | SOLCONTROL OFF
General Options
NSUBST | NSBSTP | 1 load step if contact elements TARGE169, TARGE170, CONTA171, CONTA172, CONTA173, CONTA174, CONTA175, CONTA176, CONTA177 are not present; if these elements are present, 1 or 20 substeps, depending on the physics of the program | Previously specified value. If no specified value, defaults to 1.
 | NSBMX | Determined by ANSYS | Previously specified value. If no specified value, defaults to NSBSTP.
 | NSBMN | Determined by ANSYS | Previously specified value. If no specified value, defaults to 1.
 | Carry | Determined by ANSYS | OFF
DELTIM | DTIME | 1 time span of the load step if contact elements TARGE169, TARGE170, CONTA171, CONTA172, CONTA173, CONTA174, CONTA175, CONTA176, CONTA177 are not present; if these elements are present, 1 or 1/20 of the time span of the load step, depending on the physics of the program | Previously specified value, if any.
 | DTMIN | Determined by ANSYS | Previously specified value. If no specified value, defaults to DTIME
 | DTMAX | Determined by ANSYS | Previously specified value. If no specified value, defaults to time span of load step.
 | Carry | Determined by ANSYS | OFF
KBC | KEY | 0 (ramped) for static nonlinear, structural and thermal (steady state) analyses, as well as for transient analyses when TIMINT,OFF. 1 (stepped) for transient structural and thermal analyses when TIMINT,ON. (TIMINT,ON is the default for transient analyses.) | 0 for all types of transient or nonlinear analysis
AUTOTS | Key | Chosen by program | OFF
EQSLV |  | Uses sparse solver. If PCG solver is chosen, sets multiplier to 2.0 for Newton-Raphson iteration. | Uses sparse solver. If PCG solver is chosen, sets multiplier to 1.0 for Newton-Raphson iteration.
CDWRITE and LSWRITE |  | Does not write default values for most of the relevant solution control commands or options listed in this table. | Write all the default values for solution control commands.
MONITOR |  | Active | Not available
Nonlinear Options
CNVTOL | TOLER | Force or moment convergence tolerance = 0.5% Displacement tolerance = 5% | Force or moment convergence tolerance = 0.1% Displacement tolerance not checked.
 | MINREF | 0.01 for force or moment; for heat flow and others the same as SOLCONTROL ,OFF | For force or moment, 1.0 for heat flow, 1.0E-6 otherwise, 0
NEQIT | NEQIT | Between 15 and 26, depending on the physics of the problem. | 25
ARCLEN |  | A more aggressive scheme to open-up time step is used. A more stable ARCLEN algorithm is used. | Use ARCLEN as in Release 5.3.
PRED | Sskey | On, unless ROTX, ROTY, and ROTZ are present, or SOLID65 is present. | OFF
LNSRCH | Key | Automatically turned ON when contact elements present. | OFF
CUTCONTROL | PLSLIMIT | 15% | 5%
 | NPOINT | 13 | 20
OPNCONTROL | TEMP | .01 | Not Available
 | NUMSTEP | 3 | Not Available
SSTIF | Key | ON for geometrically nonlinear analysis (NLGEOM, ON). | OFF
NROPT | ADPTKY | OFF, except: when frictional contact exists; when elements CONTAC12 or CONTAC52 are present; or when plasticity exists and one of the elements PIPE20, BEAM23, BEAM24, or PIPE60 is present. | Automatically toggled on and off depending on whether plasticity or frictional contact exists or not.
TINTP | THETA | 1.0 | .5
 | TOL | 0.0 | .2
Element Options
CONTAC12, CONTAC52 |  | Time prediction independent of KEYOPT(7) (default) except when requested. | Time prediction depending on KEYOPT(7).
CONTAC12, CONTAC52 |  | Adaptive descent ON when friction is present. | Same
PIPE20, BEAM23, BEAM24, PIPE60 |  | Adaptive descent ON when plasticity is present. | Same
BEAM4, SHELL63 |  | Consistent tangent KEYOPT(2) = 1 when NLGEOM,ON. | KEYOPT(2) = 0
Algorithm Behavior
Deformed element shape (Jacobi) check used as criteria for early bisection |  | Active | Not available
Euler backward theta (for first order equations) |  | 1.0 for thermal analysis. | 0.0
Log file |  | Does not write default values for any of the relevant commands or options listed in this table. | Write all the default values for solution controls commands.
Moment reference values |  | Automatically corrected when values become too small by using a reaction force times an element characteristic length. | When zero CONVTOL, MINREF value is used.
Automatic time step scheme |  | Check on nonconvergent patterns. Time step is opened up less aggressively; the increase factor (used in calculating the degree in which the time step is opened) = 1.5 (in most cases). The calculation also takes into account the physics of the problem. | Check on nonconvergent patterns not implemented. Time step is opened up more aggressively; the increase factor = 2.0 (in most cases). No physics dependency involved.
Reset of all solution control defaults in one command. |  | SOLCONTROL,ON or OFF | Not available
Nonlinear convergence criterion |  | When force norm is smaller than 1, the calculated force value is still used as the REF value. If the calculated force value is approaching machine zero, the MINREF value is used as REF. | When force norm is smaller than 1, the MINREF value is used as the REF value.
Warning message printed when negative diagonal in matrix is discovered. |  | Simplified message, not printed in some cases. | Detailed message printed for each iteration.
Stop button |  | Available in GUI. Jobname.ABT file can also be used. | Use Jobname.ABT file to control normal abort.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Nonlinear>Mixed U-P Toler
Main Menu>Preprocessor>Loads>Load Step Opts>Solution Ctrl
Main Menu>Solution>Load Step Opts>Nonlinear>Mixed U-P Toler
Main Menu>Solution>Load Step Opts>Solution Ctrl

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SMULT 		Up / Home Next
SOLU


SOLU

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SOLU, NVAR, Item, Comp, Name

Specifies solution summary data per substep to be stored.

POST26: Set Up

MP ME ST PR PRN <> <> <> EM <> <> PP <>

NVAR

Arbitrary reference number assigned to this variable (2 to NV [NUMVAR]).

Item

Label identifying the item. Valid item labels are shown in the table below. Some items may also require a component label.

Comp

Component of the item (if required). Valid component labels are shown in the table below. None are currently required.

Name

Thirty-two character name identifying the item on printouts and displays. Defaults to an eight character label formed by concatenating the first four characters of the Item and Comp labels.

Notes

See also the PRITER command of POST1 to display some of these items directly. Valid for a static or full transient analysis. All other analyses have zeros for the data. Valid item and component labels for solution summary values are:

Valid Item Labels
Item | Description
ALLF | Total arc-length load factor (ratio of the load at equilibrium to the total applied load)
ALDLF | Arc-length load factor increment (change in ALLF)
ARCL | Normalized arc-length radius
CNVG | Convergence indicator.
CRPRAT | Maximum creep ratio.
CSCV | Current segment convergence value.
CUCV | Current convergence value.
DICV | Displacement convergence value.
DSPRM | Descent parameter.
DTIME | Time step size.
EQIT | Number of equilibrium iterations.
FFCV | Fluid flow convergence value.
FOCV | Force convergence value.
HFCV | Heat flow convergence value.
NCMIT | Cumulative number of iterations.
NCMLS | Cumulative number of load steps
NCMSS | Cumulative number of substeps
MFCV | Magnetic flux convergence value.
MOCV | Moment convergence value.
MXDVL | Maximum degree of freedom value.
PRCV | Pressure convergence value.
PSINC | Maximum plastic strain increment.
RESFRQ | Response frequency for 2nd order systems.
RESEIG | Response eigenvalue for 1st order systems.
ROCV | Rotation convergence value.
SMCV | Scalar magnetic potential convergence value.
TECV | Temperature convergence value.
VECV | Velocity convergence value.
VOCV | Voltage convergence value.
VMCV | Vector magnetic potential convergence value.

Menu Paths

Main Menu>TimeHist Postpro>Define Variables
Main Menu>TimeHist Postpro>Elec&Mag>Circuit>Define Variables

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLCONTROL 		Up / Home Next
/SOLU


/SOLU

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

/SOLU

Enters the solution processor.

SESSION: Processor Entry

SOLUTION: Analysis Options

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This command is valid only at the Begin Level.

Menu Paths

Main Menu>Solution

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLU 		Up / Home Next
SOLUOPT


SOLUOPT

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SOLUOPT

Specifies "Solution options" as the subsequent status topic.

SOLUTION: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Solution>General

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/SOLU 		Up / Home Next
SOLVE


SOLVE

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SOLVE

Starts a solution.

SOLUTION: Analysis Options

MP ME ST PR PRN <> <> FL EM EH <> PP <>

Notes

Starts the solution of one load step of a solution sequence based on the current analysis type and option settings.

Menu Paths

Main Menu>DesignXplorer VT>Solution>Solve
Main Menu>Drop Test>Solve
Main Menu>Solution>Run FLOTRAN
Main Menu>Solution>Solve
Main Menu>Solution>Solve>Current LS

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLUOPT 		Up / Home Next
SORT


SORT

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SORT

Specifies "Sort settings" as the subsequent status topic.

POST1: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>General Postproc>Sort Module

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLVE 		Up / Home Next
SOURCE


SOURCE

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SOURCE, X, Y, Z

Defines a default location for undefined nodes or keypoints.

PREP7: Keypoints

PREP7: Nodes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

X, Y, Z

Global Cartesian coordinates for source nodes or keypoints (defaults to the origin).

Command Default

Global Cartesian origin.

Notes

Defines a global Cartesian location for undefined nodes or keypoints moved during intersection calculations [MOVE or KMOVE].

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SORT 		Up / Home Next
SPACE


SPACE

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SPACE, NODE

Defines a space node for radiation using the Radiation Matrix method.

AUX12: Radiation Matrix Method

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NODE

Node defined to be the space node.

Command Default

No space node (no radiation to space).

Notes

A space node is required in an open system to account for radiation losses.

If using SPACE with the ANSYS Multi-field solver (MFS), you must capture this command in the command file using MFCMMAND. This step is necessary because at the end of each field computation, this command is unset.

Menu Paths

Main Menu>Radiation Opt>Matrix Method>Other Settings

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOURCE 		Up / Home Next
SPADP


SPADP

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SPADP, FREQ, NUMADP, RMSSP, FACTB, FACTE, SLVOPT, SLVACC

Automatically refines a HF119 tetrahedral element mesh based on S-parameter convergence.

SOLUTION: Analysis Options

MP <> <> <> <> <> <> <> <> EH <> <> <>

Freq

Working frequency (Hz).

NUMADP

Maximum number of refinement iterations (0 to 8). Defaults to 0.

RMSSP

Root mean square error criteria for |S|. Defaults to 0.01.

FACTB

Beginning refinement factor (0.1 to 0.9). Defaults to 0.5.

FACTE

Ending refinement factor (0.1 to 0.9). Defaults to 0.5.

SLVOPT

Solver option:

0
 —

SPARSE

1
 —

QMR (symmetric matrices)

2
 —

ICCG (unsymmetric matrices)

SLVACC

Convergence criteria for an iterative solver. Defaults to 1.0E-6.

Notes

The refinement factor varies linearly with the number of refinement iterations.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SPACE 		Up / Home Next
SPARM


SPARM

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SPARM, Porti, Portj

Calculates scattering (S) parameters between ports of a network system.

POST1: Magnetics Calculations

MP <> <> <> <> <> <> <> <> EH <> PP <>

Porti

Port number of the excited port with a excitation mode. (See the description of the HFPORT command.)

Portj

Port number of the output port. This could be used for a multiport system. All ports but Porti must be matched.

Notes

SPARM calculates scattering (S) parameters for multiport or single port (Porti = Portj) systems.

The SPARM command macro returns the following complex S parameters: SII, dBSII, SIIPHR, SJI, dBSJI, and SJIPHR, where "I" is the port number for the excited port, "J" is the output port number and PHR is the phase angle.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Elec&Mag Calc>Port>S-Parameters

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SPADP 		Up / Home Next
SPCNOD


SPCNOD

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SPCNOD, ENCL, NODE

Defines a space node for radiation using the Radiosity method.

SOLUTION: Radiosity

AUX12: Radiosity Solver

MP ME <> PR <> <> <> <> <> <> <> PP <>

ENCL

Radiating surface enclosure number. Defaults to 1. If ENCL = STAT, the command lists all enclosure space nodes. If ENCL = DELE, the command deletes all enclosure space nodes.

NODE

Node defined to be the space node.

Notes

For open systems, an enclosure may radiate to a space node (NODE).

Open systems may be characterized by one or more enclosures (ENCL). Each enclosure may radiate to a different space node (NODE).

For a space node that is not part of the finite element model, specify the temperature using the D command. For the first load step, the space node temperature ramps from the uniform temperature specified by the TUNIF command to the temperature specified by the D command. For subsequent load steps, it ramps from the previous value of the space node temperature. For intermediate load steps, use the SPCNOD,DELETE command and specify the space node temperature again to ramp from the uniform temperature.

For a space node that is part of the finite element model, the temperature is that calculated during the finite element solution.

Menu Paths

Main Menu>Preprocessor>Radiation Opts>Solution Opt
Main Menu>Radiation Opt>Radiosity Meth>Solution Opt
Main Menu>Solution>Radiation Opts>Solution Opt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SPARM 		Up / Home Next
SPCTEMP


SPCTEMP

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SPCTEMP, ENCL, TEMP

Defines a free-space ambient temperature for radiation using the Radiosity method.

SOLUTION: Radiosity

AUX12: Radiosity Solver

MP ME <> PR <> <> <> <> <> <> <> PP <>

ENCL

Radiating surface enclosure number. Defaults to 1. If ENCL = STAT, the command lists all enclosure space temperatures. If ENCL = DELE, the command deletes all enclosure space temperatures.

TEMP

Temperature of free-space in the reference temperature system. The temperature will be offset by the value specified in the TOFFST command for internal calculations.

Notes

For open systems, an enclosure may radiate to the free-space ambient temperature (TEMP).

Open systems may be characterized by one or more enclosures (ENCL). Each enclosure may radiate to a different free-space ambient temperature (TEMP).

For the first load step, the space temperature ramps from the uniform temperature specified by the TUNIF command to the temperature specified by the SPCTEMP command. For subsequent load steps, it ramps from the previous value of the space temperature. For intermediate load steps, use the SPCTEMP,DELETE command and specify the space temperature again to ramp from the uniform temperature.

If using SPCTEMP with the ANSYS Multi-field solver (MFS), you must capture this command in the command file using MFCMMAND. This step is necessary because at the end of each field computation, this command is unset.

Menu Paths

Main Menu>Preprocessor>Radiation Opts>Solution Opt
Main Menu>Radiation Opt>Radiosity Meth>Solution Opt
Main Menu>Solution>Radiation Opts>Solution Opt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SPCNOD 		Up / Home Next
SPEC


SPEC

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SPEC

Specifies "Miscellaneous specifications" as the subsequent status topic.

POST1: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>General Postproc>Output Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SPCTEMP 		Up / Home Next
SPH4


SPH4

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SPH4, XCENTER, YCENTER, RAD1, RAD2

Creates a spherical volume anywhere on the working plane.

PREP7: Primitives

MP ME ST PR PRN <> <> FL EM EH <> PP <>

XCENTER, YCENTER

Working plane X and Y coordinates of the center of the sphere.

RAD1, RAD2

Inner and outer radii (either order) of the sphere. A value of zero or blank for either RAD1 or RAD2 defines a solid sphere.

Notes

Defines either a solid or hollow spherical volume anywhere on the working plane. The sphere must have a spatial volume greater than zero. (i.e., this volume primitive command cannot be used to create a degenerate volume as a means of creating an area.) A sphere of 360° will be defined with two areas, each consisting of a hemisphere. See the SPHERE and SPH5 commands for other ways to create spheres.

When working with a model imported from an IGES file (DEFAULT import option), you can create only solid spheres. If you enter a value for both RAD1 and RAD2 the command is ignored.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Primitives>Solid Sphere
Main Menu>Preprocessor>Modeling>Create>Volumes>Sphere>Hollow Sphere
Main Menu>Preprocessor>Modeling>Create>Volumes>Sphere>Solid Sphere
Main Menu>Preprocessor>Trefftz Domain>TZ Geometry>Create>Volume>Sphere>Solid Sphere

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SPEC 		Up / Home Next
SPH5


SPH5

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SPH5, XEDGE1, YEDGE1, XEDGE2, YEDGE2

Creates a spherical volume by diameter end points.

PREP7: Primitives

MP ME ST PR PRN <> <> FL EM EH <> PP <>

XEDGE1, YEDGE1

Working plane X and Y coordinates of one edge of the sphere.

XEDGE2, YEDGE2

Working plane X and Y coordinates of the other edge of the sphere.

Notes

Defines a solid spherical volume anywhere on the working plane by specifying diameter end points. The sphere must have a spatial volume greater than zero. (i.e., this volume primitive command cannot be used to create a degenerate volume as a means of creating an area.) A sphere of 360° will be defined with two areas, each consisting of a hemisphere. See the SPHERE and SPH4 commands for other ways to create spheres.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Volumes>Sphere>By End Points
Main Menu>Preprocessor>Trefftz Domain>TZ Geometry>Create>Volume>Sphere>By End Points

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SPH4 		Up / Home Next
SPHERE


SPHERE

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SPHERE, RAD1, RAD2, THETA1, THETA2

Creates a spherical volume centered about the working plane origin.

PREP7: Primitives

MP ME ST PR PRN <> <> FL EM EH <> PP <>

RAD1, RAD2

Inner and outer radii (either order) of the sphere. A value of zero or blank for either RAD1 or RAD2 defines a solid sphere.

THETA1, THETA2

Starting and ending angles (either order) of the sphere. Used for creating a spherical sector. The sector begins at the algebraically smaller angle, extends in a positive angular direction, and ends at the larger angle. The starting angle defaults to 0.0° and the ending angle defaults to 360.0°. See the Modeling and Meshing Guide for an illustration.

Notes

Defines either a solid or hollow sphere or spherical sector centered about the working plane origin. The sphere must have a spatial volume greater than zero. (i.e., this volume primitive command cannot be used to create a degenerate volume as a means of creating an area.) Inaccuracies can develop when the size of the object you create is much smaller than the relative coordinate system values (ratios near to or greater than 1000). If you require an exceptionally small sphere, create a larger object, and scale it down to the appropriate size.

For a solid sphere of 360°, you define it with two areas, each consisting of a hemisphere. See the SPH4 and SPH5 commands for the other ways to create spheres.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Volumes>Sphere>By Dimensions
Main Menu>Preprocessor>Trefftz Domain>TZ Geometry>Create>Volume>Sphere>By Dimensions

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SPH5 		Up / Home Next
SPICE


SPICE

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SPICE, Fname, Ext, RMSERR, Z1, Z2, Z3, Z4, Z5, Z6, Z7, Z8, Z9, Z10, Z11, Z12, Z13, Z14, Z15, Z16

Generates a SPICE subcircuit model using S-parameters from a Touchstone file.

POST1: Special Purpose

MP <> <> <> <> <> <> <> <> EH <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path) of the Touchstone input file with s-parameters. An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

Ext

Extension of Touchstone file (.snp where n is the number of ports).

RMSERR

The convergence criteria (root-mean-square error) for the SPICE subcircuit model. Default determined by ANSYS.

Z1, Z2, Z3, . . . , Z16

Reference impedance for ports 1, 2, 3, … 16. Default to 50 ohms.

Notes

SPICE allows a maximum of 16 reference impedances.

The frequency range is determined by the frequency range of the Touchstone file.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SPHERE 		Up / Home Next
SPLINE


SPLINE

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SPLINE, P1, P2, P3, P4, P5, P6, XV1, YV1, ZV1, XV6, YV6, ZV6

Generates a segmented spline through a series of keypoints.

PREP7: Lines

MP ME ST PR PRN <> <> FL EM <> <> PP <>

P1, P2, P3, . . . , P6

Keypoints through which the spline is fit. At least two must be defined. If P1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

The following fields are used only if specified end slopes on the line are desired, otherwise zero curvature end slopes will be automatically calculated to produce a line which is "straight" in the active coordinate system. To specify end slopes, use the following fields to define a "slope vector" (one for each end of the line, if desired) that has its tail at the origin and its head at the point XVn,YVn, ZVn in the active coordinate system [CSYS]. The corresponding end slope of the line will then be parallel to this "slope vector."

XV1, YV1, ZV1

Location (in the active coordinate system) of the head of the "slope vector" corresponding to the slope at the P1 end of the spline. The tail of the vector is at the origin of the coordinate system.

XV6, YV6, ZV6

Location of the head of the "slope vector" corresponding to the slope at the P6 (or the last keypoint if fewer than six specified) end of the spline.

Notes

The output from this command is a series of connected lines (one line between each pair of keypoints) that together form a spline. Note that solid modeling in a toroidal coordinate system is not recommended.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Lines>Splines>Segmented Spline
Main Menu>Preprocessor>Modeling>Create>Lines>Splines>With Options>Segmented Spline

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SPICE 		Up / Home Next
SPLOT


SPLOT

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SPLOT, NA1, NA2, NINC, MESH

Displays the selected areas and a faceted view of their underlying surfaces

PREP7: Areas

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NA1

Starting area for display of areas and underlying surfaces. If NA1 = ALL (default), NA2 and NINC are ignored and all selected areas are displayed (ASEL command).

NA2

Last area to be displayed.

NINC

Numeric value setting steps between NA1 and NA2 for display. Default value is (1).

MESH

Specifies a rectangular mesh density used to display the underlying surface (default 4, i.e. 4 x 4).

Notes

This command is valid in any processor. The plot output displays the external and internal trim curves and underlying surface. You cannot obtain a faceted view of your surface areas when you are using the /EXPAND command to create larger graphics displays.

Use APLOT for trimmed surface display.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SPLINE 		Up / Home Next
SPOINT


SPOINT

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SPOINT, NODE, X, Y, Z

Defines a point for moment summations.

POST1: Special Purpose

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NODE

Node number of the desired point. If zero, use X,Y,Z to describe point.

X, Y, Z

Global Cartesian coordinates of the desired summation point. Used if NODE is 0. Defaults to (0,0,0).

Command Default

No point is defined by default; you must either specify a node or coordinates.

Notes

Defines a point (any point other than the origin) about which the tabular moment summations are computed [NFORCE, FSUM]. If force summations are desired in other than the global Cartesian directions, a node number must be specified on the NODE field, and the desired coordinate system must be activated with RSYS.

Menu Paths

Main Menu>General Postproc>Nodal Calcs>Summation Pt>At Node
Main Menu>General Postproc>Nodal Calcs>Summation Pt>At XYZ Loc

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SPLOT 		Up / Home Next
SPOPT


SPOPT

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SPOPT, Sptype, NMODE, Elcalc

Selects the spectrum type and other spectrum options.

SOLUTION: Spectrum Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

Sptype

Spectrum type:

SPRS
 —

Single point excitation response spectrum (default). See also the SVTYP command.

MPRS
 —

Multiple point excitation response spectrum.

DDAM
 —

Dynamic design analysis method.

PSD
 —

Power spectral density.

NMODE

Use the first NMODE modes from the modal analysis. Defaults to all extracted modes, as specified by the MODOPT and BUCOPT commands. NMODE cannot be larger than 1000.

Elcalc

Element calculation key (for Sptype = PSD only):

NO
 —

Do not include stress responses in the calculations (default).

YES
 —

Include stress responses in the calculations.

Notes

Valid only for a spectrum analysis (ANTYPE,SPECTR). This operation must be preceded by a modal solution (ANTYPE,MODAL) with the appropriate files available. If used in SOLUTION, this command is valid only within the first load step.

This command is also valid in PREP7.

Product Restrictions

Only Sptype = SPRS is allowed in ANSYS Professional.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>Analysis Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SPOINT 		Up / Home Next
SPREAD


SPREAD

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SPREAD, VALUE

Turns on a dashed tolerance curve for the subsequent curve plots.

POST26: Display

MP ME ST PR PRN <> <> FL EM <> <> PP <>

VALUE

Amount of tolerance. For example, 0.1 is ± 10%.

Command Default

No tolerance curve.

Menu Paths

Main Menu>TimeHist Postpro>Settings>Graph

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SPOPT 		Up / Home Next
SPSCAN


SPSCAN

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SPSCAN, FREQ, LOCAL, PHIB, PHIE, PHIINC, THETAB, THETAE, THETAINC, FILEOPT

Performs a harmonic analysis of a unit cell over a range of angles and extracts the S-parameter.

SOLUTION: Analysis Options

MP <> <> <> <> <> <> <> <> EH <> PP <>

FREQ

Working frequency in Hz.

LOCAL

Local coordinate system number (defaults to 0).

PHIB

Beginning angle from x-axis towards y-axis, φ, in degrees (defaults to 0).

PHIE

Ending angle from x-axis towards y-axis, φ, in degrees (defaults to 0).

PHIINC

Increment of φ in degrees (defaults to 0).

THETAB

Beginning angle from +z-axis towards -z-axis, θ, in degrees (defaults to 0).

THETAE

Ending angle from +z-axis towards -z-axis, θ, in degrees (defaults to 0).

THETAINC

Increment of θ in degrees (defaults to 0).

FILEOPT

0
—

Output S-parameter magnitude and phase angle to Jobname.scan.

1
—

Output S-parameter magnitude in dB and phase angle to Jobname.scan.

Notes

See the figure Figure 4.17: "Spherical Coordinates" in the High-Frequency Electromagnetic Analysis Guide for an illustration of the coordinate system.

Menu Paths

Main Menu>Solution>Solve>S-Par Angle Sweep

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SPREAD 		Up / Home Next
SPSWP


SPSWP

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SPSWP, FREQB, FREQE, FREQINC, SWPOPT, EFACC, OUTPUT, FILEOPT, SLVOPT, SLVACC

Computes S-parameters over a frequency range and writes them to a file.

SOLUTION: Analysis Options

MP <> <> <> <> <> <> <> <> EH <> PP <>

FREQB

Frequency (Hz) at the beginning of the FREQB to FREQE range. If FREQE is blank, the solution is done only at frequency FREQB.

FREQE

Frequency at end of this range.

FREQINC

Frequency increment. The number of solutions performed is [(FREQE - FREQB)/FREQINC] + 1. Solutions are always performed at FREQB and FREQE.

SWPOPT

Solution Method (See HROPT command):

0
 —

Variational Technology (default).

1
 —

Full method.

2
 —

Variational Technology using a perfect absorber.

Note

To use any Variational Technology method, you must have the separately licensed VT Accelerator. The Variational Technology Perfect Absorber method (Method = VTPA) is about 20% faster but somewhat less accurate than the Variational Technology method (Method = VT).

EFACC

Electric field accuracy for fast exploration method. Defaults to 0.01.

OUTPUT
0
 —

Create minimal size results file required to compute S-parameters for the last port excitation case (see "Notes"), for all frequencies. (default).

1
 —

Create complete results file for the last port excitation case (see "Notes"), for all frequencies.

2
 —

Create complete results file for the last port excitation case (see "Notes"), for the last frequency only, valid only for full method.

FILEOPT
0
 —

Output S-parameter magnitude and phase angle in Touchstone file.

1
 —

Output S-parameter magnitude in dB and phase angle in Touchstone file.

2
 —

Output S-parameter real and imaginary parts in Touchstone file.

SLVOPT
0
 —

SPARSE

1
 —

QMR (symmetric matrices).

2
 —

ICCG (unsymmetric matrices).

SLVACC

Convergence criteria for an iterative solver. Defaults to 1.0E-6.

Notes

This command computes S-parameters by sequencing through a series of harmonic solutions with different port excitations over the desired frequency range. To use this function, port flag boundary conditions must be previously set (see SF, SFA for exterior waveguide ports, or BFA, BFL or BF for interior waveguide or transmission line ports). Ports should be numbered sequentially from "1" with no gaps in the numbering. Resulting S-parameters are written to a file jobname.snp, where n is the number of ports. The file is written in Touchstone format.

S-parameters require a sequence of solutions whereby for each solution, one port is "excited" and the other ports are "matched". Each solution represents one column of a S-parameter matrix (i.e., if Port 1 is excited for a three-port system, the resulting column represents the S11, S21 and S31 S-parameters). A full S-parameter matrix for a n-port system at one frequency requires n solutions alternating "excited" and "matched" port boundary conditions at each port. The SPSWP command will solve a column of the S-parameter matrix for each port that has a defined excitation. If all ports have a defined excitation, then the full S-parameter matrix will be computed.

To prepare the ports for SPSWP, each port must be defined (flagged) as a port and it must have a port excitation defined. For waveguide ports, excitation is defined using the HFPORT command. For transmission line ports, excitation is defined using the BFA, BFL, or BF commands using the JS, H, or EF load options. Transmission line excitation must be defined on the port surface itself (nodes, lines, or areas).

Menu Paths

Main Menu>Solution>Solve>S-Par Sweep

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SPSCAN 		Up / Home Next
SPTOPT


SPTOPT

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SPTOPT

Specifies "Spectrum analysis options" as the subsequent status topic.

SOLUTION: Status

MP ME ST PR PRN <> <> FL <> <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>SinglePt>Show Status
Main Menu>Solution>Load Step Opts>Spectrum>SinglePt>Show Status
Utility Menu>List>Status>Solution>Spectrum Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SPSWP 		Up / Home Next
SQRT


SQRT

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SQRT, IR, IA, --, --, Name, --, --, FACTA

Forms the square root of a variable.

POST26: Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

IR

Arbitrary reference number assigned to the resulting variable (2 to NV [NUMVAR]). If this number is the same as for a previously defined variable, the previously defined variable will be overwritten with this result.

IA

Reference number of the variable to be operated on.

--, --

Unused fields.

Name

Thirty-two character name identifying the variable on printouts and displays. Embedded blanks are compressed for output.

--, --

Unused fields.

FACTA

Scaling factor (positive or negative) applied to variable IA (defaults to 1.0).

Notes

Forms the square root of a variable according to the operation:

Menu Paths

Main Menu>TimeHist Postpro>Math Operations>Square Root

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SPTOPT 		Up / Home Next
SRSS


SRSS

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SRSS, SIGNIF, Label

Specifies the square root of sum of squares mode combination method.

SOLUTION: Spectrum Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

SIGNIF

Combine only those modes whose significance level exceeds the SIGNIF threshold. For single point, multipoint, or DDAM response (SPOPT,SPRS, MPRS or DDAM), the significance level of a mode is defined as the mode coefficient of the mode, divided by the maximum mode coefficient of all modes. Any mode whose significance level is less than SIGNIF is considered insignificant and is not contributed to the mode combinations. The higher the SIGNIF threshold, the fewer the number of modes combined. SIGNIF defaults to 0.001. If SIGNIF is specified as 0.0, it is taken as 0.0. (This mode combination method is not valid for SPOPT,PSD.)

Label

Label identifying the combined mode solution output.

DISP
 —

Displacement solution (default). Displacements, stresses, forces, etc., are available.

VELO
 —

Velocity solution. Velocities, "stress velocities," "force velocities," etc., are available.

ACEL
 —

Acceleration solution. Accelerations, "stress accelerations," "force accelerations," etc., are available.

Notes

This command is also valid for PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>Mode Combine
Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>MultiPt>Mode Combine
Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>SinglePt>Mode Combine
Main Menu>Solution>Load Step Opts>Spectrum>Mode Combine
Main Menu>Solution>Load Step Opts>Spectrum>MultiPt>Mode Combine
Main Menu>Solution>Load Step Opts>Spectrum>SinglePt>Mode Combine

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SQRT 		Up / Home Next
SSBT


SSBT

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SSBT, BT11, BT22, BT12, T

Specifies preintegrated bending thermal effects for shell sections.

PREP7: Cross Sections

MP ME ST PR PRN <> <> <> <> <> <> PP <>

BT11, BT22, BT12

Bending thermal effects component [BT].

T

Temperature.

Notes

The behavior of shell elements is governed by the generalized-stress/generalized-strain relationship of the form:

The SSBT command, one of several preintegrated shell section commands, specifies the bending thermal effects quantity (submatrix [BT] data) for a preintegrated shell section. The section data defined is associated with the section most recently defined (via the SECTYPE command).

The [BT] quantity represents bending stress resultants caused by a unit raise in temperature on a fully constrained model. For a layered composite shell, it is usually necessary to specify both the [BT] and [MT] quantities (by issuing the SSBT and SSMT commands, respectively).

Unspecified values default to zero.

Related commands are SSPA, SSPB, SSPD, SSPE, SSMT, and SSPM.

If you are using the SHELL181 or SHELL281 element's Membrane option (KEYOPT(1) = 1), it is not necessary to issue this command.

For complete information, see Using Preintegrated General Shell Sections.

Menu Paths

Main Menu>Preprocessor>Sections>Shell>Pre-integrated

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SRSS 		Up / Home Next
/SSCALE


/SSCALE

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

/SSCALE, WN, SMULT

Sets the contour multiplier for topographic displays.

GRAPHICS: Scaling

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number (or ALL) to which command applies (defaults to 1).

SMULT

Contour multiplier that factors in results based on the product of the multiplier and the result being plotted. Defaults to 0.0 (no topographic effects).

Command Default

No topographic contour effects.

Notes

Use this command to scale values to the geometry when the contours are shown elevated. For section displays [/TYPE], the elevation is performed perpendicular to the section face.

Nonzero contour multipliers factoring in large results (stresses or displacements) can produce very large distortion, causing images to disappear. To bring a distorted image back into view, reduce the contour multiplier value.

Portions of this command are not supported by PowerGraphics [/GRAPHICS,POWER].

Menu Paths

Utility Menu>PlotCtrls>Style>Contours>Contour Style

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SSBT 		Up / Home Next
SSLN


SSLN

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SSLN, FACT, SIZE

Selects and displays small lines in the model.

PREP7: Lines

MP ME ST PR PRN <> <> FL EM <> <> PP <>

FACT

Factor used to determine small lines. FACT times the average line length in the model is used as the line length limit below which lines will be selected.

SIZE

Line length limit for line selection. Lines that have a length less than or equal to SIZE will be selected. Used only if FACT is blank.

Notes

SSLN invokes a predefined ANSYS macro for selecting small lines in a model. Lines that are smaller than or equal to the specified limit (FACT or SIZE) are selected and line numbers are displayed. This command macro is useful for detecting very small lines in a model that may cause problems (i.e., poorly shaped elements or a meshing failure) during meshing. All lines that are not "small" will be unselected and can be reselected with the LSEL command.

Menu Paths

Main Menu>Preprocessor>Modeling>Check Geom>Sel Small Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/SSCALE 		Up / Home Next
SSMT


SSMT

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SSMT, MT11, MT22, MT12, T

Specifies preintegrated membrane thermal effects for shell sections.

PREP7: Cross Sections

MP ME ST PR PRN <> <> <> <> <> <> PP <>

MT11, MT22, MT12

Membrane thermal effects component [MT].

T

Temperature.

Notes

The behavior of shell elements is governed by the generalized-stress/generalized-strain relationship of the form:

The SSMT command, one of several preintegrated shell section commands, specifies the membrane thermal effects quantity (submatrix [MT] data) for a preintegrated shell section. The section data defined is associated with the section most recently defined (via the SECTYPE command).

The [MT] quantity represents membrane stress resultants caused by a unit raise in temperature on a fully constrained model. For a layered composite shell, it is usually necessary to specify both the [MT] and [BT] quantities (by issuing the SSMT and SSBT commands, respectively).

Unspecified values default to zero.

Related commands are SSPA, SSPB, SSPD, SSPE, SSBT, and SSPM.

For complete information, see Using Preintegrated General Shell Sections.

Menu Paths

Main Menu>Preprocessor>Sections>Shell>Pre-integrated

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SSLN 		Up / Home Next
SSPA


SSPA

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SSPA, A11, A21, A31, A22, A32, A33, T

Specifies a preintegrated membrane stiffness for shell sections.

PREP7: Cross Sections

MP ME ST PR PRN <> <> <> <> <> <> PP <>

A11, A21, A31, A22, A32, A33

Membrane stiffness component (symmetric lower part of submatrix [A]).

T

Temperature.

Notes

The behavior of shell elements is governed by the generalized-stress/generalized-strain relationship of the form:

The SSPA command, one of several preintegrated shell section commands, specifies the membrane stiffness quantity (submatrix [A]) for a preintegrated shell section. The section data defined is associated with the section most recently defined (via the SECTYPE command).

Unspecified values default to zero.

Related commands are SSPB, SSPD, SSPE, SSMT, SSBT, and SSPM.

For complete information, see Using Preintegrated General Shell Sections.

Menu Paths

Main Menu>Preprocessor>Sections>Shell>Pre-integrated

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SSMT 		Up / Home Next
SSPB


SSPB

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SSPB, B11, B21, B31, B22, B32, B33, T

Specifies a preintegrated coupling stiffness for shell sections.

PREP7: Cross Sections

MP ME ST PR PRN <> <> <> <> <> <> PP <>

B11, B21, B31, B22, B32, B33

Coupling stiffness component (symmetric lower part of submatrix [B]).

T

Temperature.

Notes

The behavior of shell elements is governed by the generalized-stress/generalized-strain relationship of the form:

The SSPB command, one of several preintegrated shell section commands, specifies the coupling stiffness quantity (submatrix [B] data) for a preintegrated shell section. The section data defined is associated with the section most recently defined (via the SECTYPE command).

Unspecified values default to zero.

Related commands are SSPA, SSPD, SSPE, SSMT, SSBT, and SSPM.

If you are using the SHELL181 or SHELL281 element's Membrane option (KEYOPT(1) = 1), it is not necessary to issue this command.

For complete information, see Using Preintegrated General Shell Sections.

Menu Paths

Main Menu>Preprocessor>Sections>Shell>Pre-integrated

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SSPA 		Up / Home Next
SSPD


SSPD

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SSPD, D11, D21, D31, D22, D32, D33, T

Specifies a preintegrated bending stiffness for shell sections.

PREP7: Cross Sections

MP ME ST PR PRN <> <> <> <> <> <> PP <>

D11, D21, D31, D22, D32, D33

Bending stiffness component (symmetric lower part of submatrix [D]).

T

Temperature.

Notes

The behavior of shell elements is governed by the generalized-stress/generalized-strain relationship of the form:

The SSPD command, one of several preintegrated shell section commands, specifies the bending stiffness quantity (submatrix [D] data) for a preintegrated shell section. The section data defined is associated with the section most recently defined (via the SECTYPE command).

Unspecified commands default to zero.

Related commands are SSPA, SSPB, SSPE, SSMT, SSBT, and SSPM.

If you are using the SHELL181 or SHELL281 element's Membrane option (KEYOPT(1) = 1), it is not necessary to issue this command.

For complete information, see Using Preintegrated General Shell Sections.

Menu Paths

Main Menu>Preprocessor>Sections>Shell>Pre-integrated

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SSPB 		Up / Home Next
SSPE


SSPE

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SSPE, E11, E21, E22, T

Specifies a preintegrated transverse shear stiffness for shell sections.

PREP7: Cross Sections

MP ME ST PR PRN <> <> <> <> <> <> PP <>

E11, E21, E22

Transverse shear stiffness component (symmetric lower part of submatrix [E]).

T

Temperature.

Notes

The behavior of shell elements is governed by the generalized-stress/generalized-strain relationship of the form:

The SSPE command, one of several preintegrated shell section commands, specifies the transverse shear stiffness quantity (submatrix [E] data) for a preintegrated shell section. The section data defined is associated with the section most recently defined (via the SECTYPE command).

Unspecified values default to zero.

Related commands are SSPA, SSPB, SSPD, SSMT, SSBT, and SSPM.

If you are using the SHELL181 or SHELL281 element's Membrane option (KEYOPT(1) = 1), it is not necessary to issue this command.

For complete information, see Using Preintegrated General Shell Sections.

Menu Paths

Main Menu>Preprocessor>Sections>Shell>Pre-integrated

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SSPD 		Up / Home Next
SSPM


SSPM

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SSPM, DENS, T

Specifies mass density for a preintegrated shell section.

PREP7: Cross Sections

MP ME ST PR PRN <> <> <> <> <> <> PP <>

DENS

Mass density.

T

Temperature.

Notes

The SSPM command, one of several preintegrated shell section commands, specifies the mass density (assuming a unit thickness) for a preintegrated shell section. The value specified is associated with the section most recently defined (via the SECTYPE command).

Related commands are SSPA, SSPB, SSPD, SSPE, SSMT, and SSBT.

For complete information, see Using Preintegrated General Shell Sections.

Menu Paths

Main Menu>Preprocessor>Sections>Shell>Pre-integrated

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SSPE 		Up / Home Next
SSTIF


SSTIF

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SSTIF, Key

Activates stress stiffness effects in a nonlinear analysis.

SOLUTION: Nonlinear Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Key

Stress stiffening key:

OFF
 —

No stress stiffening is included (default unless NLGEOM,ON).

ON
 —

Stress stiffening is included (default if NLGEOM,ON).

Command Default

SSTIF will be turned on if NLGEOM,ON; otherwise it will be turned off.

Notes

Activates stress stiffness effects in a nonlinear analysis (ANTYPE,STATIC or TRANS). (The PSTRES command also controls the generation of the stress stiffness matrix and therefore should not be used in conjunction with SSTIF.) If used in SOLUTION, this command is valid only within the first load step.

When SOLCONTROL and NLGEOM are ON, SSTIF defaults to ON. This normally forms all of the consistent tangent matrix. However, for some special nonlinear cases, this can lead to divergence caused by some elements which do not provide a complete consistent tangent (notably, elements outside the 18x family). In such a case, ANSYS recommends issuing an SSTIF,OFF command to achieve convergence. For the 18x family of elements, setting SSTIF,OFF when NLGEOM is ON has no effect (because stress stiffness effects are always included).

The default values given for this command assume SOLCONTROL,ON (the default). See the description of SOLCONTROL for a complete listing of the defaults set by SOLCONTROL,ON and SOLCONTROL,OFF.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>Analysis Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SSPM 		Up / Home Next
SSUM


SSUM

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SSUM

Calculates and prints the sum of element table items.

POST1: Element Table

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Calculates and prints the tabular sum of each existing labeled result item [ETABLE] for the selected elements. If absolute values are requested [SABS,1], absolute values are used.

Menu Paths

Main Menu>General Postproc>Element Table>Sum of Each Item

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SSTIF 		Up / Home Next
STABILIZE


STABILIZE

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

STABILIZE, Key, Method, VALUE, SubStpOpt

Activates stabilization for all elements that support nonlinear stabilization.

SOLUTION: Analysis Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Key

Key for controlling nonlinear stabilization:

OFF
—

Deactivate stabilization. This value is the default.

CONSTANT
—

Activate stabilization. The energy-dissipation ratio or damping factor remains constant during the load step.

REDUCE
—

Activate stabilization. The energy-dissipation ratio or damping factor is reduced linearly to zero at the end of the load step from the specified or calculated value.

Method

The stabilization-control method:

ENERGY
—

Use the energy-dissipation ratio as the control. This value is the default when Key ≠ OFF.

DAMPING
—

Use the damping factor as the control.

VALUE

The energy-dissipation ratio (Method = ENERGY) or damping factor (Method = DAMPING). This value must be greater than 0 when Method = ENERGY or Method = DAMPING. When Method = ENERGY, this value is usually a number between 0 and 1.

SubStpOpt

Option for the first substep of the load step:

NO
—

Stabilization is not activated for the first substep even when it does not converge after the minimal allowed time increment is reached. This value is the default when Key ≠ OFF.

MINTIME
—

Stabilization is activated for the first substep if it still does not converge after the minimal allowed time increment is reached.

ANYTIME
—

Stabilization is activated for the first substep. Use this option if stabilization was active for the previous load step via Key = CONSTANT.

Command Default

Once issued, the stabilization effects of the command remain until you issue either a STABILIZE command (with no arguments) or a STABILIZE,OFF command. If you issue the command with no arguments, the effect is to deactivate stabilization.

Notes

Once issued, a STABILIZE command remains in effect until you reissue the command.

For the energy dissipation ratio, specify VALUE = 1.0e-4 if you have no prior experience with the current model; if convergence problems are still an issue, increase the value gradually. The damping factor is mesh-, material-, and time-step-dependent; an initial reference value from the previous run (such as a run with the energy-dissipation ratio as input) should suggest itself.

Exercise caution when specifying SubStpOpt = MINTIME or ANYTIME for the first load step; ANSYS recommends this option only for experienced users. If stabilization was active for the previous load step via Key = CONSTANT and convergence is an issue for the first substep, specify SubStpOpt = ANYTIME.

This command stabilizes the degrees of freedom (DOFs) for current-technology elements only (such as LINK180, SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SOLSH190, SHELL208, SHELL209, and SHELL281). Other elements can be included in the FE model, but their DOFs are not stabilized.

For more information about nonlinear stabilization, see Unstable Structures in the Structural Analysis Guide. For additional tips that can help you to achieve a stable final model, see Keep It Simple in the Structural Analysis Guide.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Sol'n Controls>Advanced NL
Main Menu>Solution>Analysis Type>Sol'n Controls>Advanced NL

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SSUM 		Up / Home Next
STAOPT


STAOPT

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

STAOPT, Method

Specifies static analysis options.

SOLUTION: Analysis Options

MP ME ST PR PRN <> <> <> <> <> <> PP VT

Method

Solution method for the static analysis:

DEFA
 —

Regular ANSYS solve (default).

VT
 —

Solve with Variational Technology.

Notes

Specifies the method of solution for a static analysis (ANTYPE,STATIC). If used in SOLUTION, this command is valid only within the first load step.

The VT option using an ANSYS Mechanical HPC license is valid for either thermal or structural nonlinear analyses, where it attempts to reduce the total number of iterations. You can also use the VT option with a DX license for ANSYS DesignXplorer design parameter studies.

After a DesignXplorer solution (SOLVE command), the Variational Technology model is "frozen", i.e., you cannot add or delete input variables.

This command is also valid in PREP7.

Menu Paths

Main Menu>DesignXplorer VT>Solution>Solve
Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>Analysis Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
STABILIZE 		Up / Home Next
STAT


STAT

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

STAT

Displays the status of database settings.

DATABASE: Set Up

DISPLAY: Action

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

In the DISPLAY program, STAT will show the current status of the program settings.

In the ANSYS program, STAT is a command generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. Generally, STAT will be preceded by one of the commands listed below, which specifies the particular topic that status was requested for.

If entered directly into the program, the STAT command should be immediately preceded by the desired topic command listed below. In processors other than those listed below (e.g., AUX12), no topic command should proceed STAT.

This command is valid in any processor.

PREP7 topic commands (and their corresponding topics) are:

Topic Command | Topic
ETYPE | Element types
RCON | Real constants
MATER | Material properties
TBLE | Data table properties
PRIM | Solid model primitives
KEYPTS | Keypoints
LINE | Lines
AREAS | Areas
VOLUMES | Volumes
GEOMETRY | Solid model information
MESHING | Meshing
BOOL | Booleans
NODES | Nodes
ELEM | Elements
SELM | Superelements
PIPE | Pipe modeling
DIGIT | Node digitizing
COUPLE | Node coupling
CEQN | Constraint equations
REORDER | Model reordering

SOLUTION topic commands (and their corresponding topics) are:

Topic Command | Topic
ATYPE | Analysis types
MASTER | Master DOF
GAP | Reduced transient gap conditions
DEACT | Element birth and death (deactivation)
LSOPER | Load step operations
FECONS | Constraints on nodes
FEFOR | Forces on nodes
FESURF | Surface loads on elements
FEBODY | Body loads on elements
SMCONS | Constraints on the solid model
SMFOR | Forces on the solid model
SMSURF | Surface loads on the solid model
SMBODY | Body loads on the solid model
INRTIA | Inertial loads
GENOPT | General options
DYNOPT | Dynamic analysis options
NLOPT | Nonlinear analysis options
OUTOPT | Output options
BIOOPT | Biot-Savart options
SPTOPT | Spectrum analysis options
SOLUOPT | Solution options
FLOTRAN | FLOTRAN data settings

POST1 topic commands (and their corresponding topics) are:

Topic Command | Topic
DEFINE | Data definition settings
SORT | Sort settings
PRINT | Print settings
DISPLAY | Display settings
CALC | Calculation settings
PATH | Path data settings
LCCALC | Load case settings
DATADEF | Directly defined data status
FATIGUE | Fatigue data status
POINT | Point flow tracing settings
SPEC | Miscellaneous specifications

POST26 topic commands (and their corresponding topics) are:

Topic Command | Topic
DEFINE | Data definition settings
OPERATE | Operation data
PRINT | Print settings
PLOTTING | Plotting settings

Menu Paths

Main Menu>Prob Design>Prob Database>Status
Main Menu>Solution>Solve>Current LS

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
STAOPT 		Up / Home Next
/STATUS


/STATUS

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

/STATUS, Lab

Lists the status of items for the run.

SESSION: Run Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Items to list status for:

ALL
 —

List all below (default).

TITLE
 —

List only titles, Jobname, and revision number.

UNITS
 —

List only units.

MEM
 —

List only memory data statistics.

DB
 —

List only database statistics

CONFIG
 —

List only configuration parameters.

GLOBAL
 —

Provides a global status summary.

SOLU
 —

Provides a solution status summary.

PROD
 —

Provides a product summary.

Notes

Displays various items active for the run (such as the ANSYS revision number, Jobname, titles, units, configuration parameters, database statistics, etc.).

This command is valid in any processor.

Menu Paths

Utility Menu>List>Status>Global Status

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
STAT 		Up / Home Next
STEF


STEF

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

STEF, VALUE

Specifies Stefan-Boltzmann radiation constant.

AUX12: General Radiation

SOLUTION: Radiosity

MP ME ST PR PRN <> <> <> <> <> <> PP <>

VALUE

Stefan-Boltzmann constant (defaults to 0.119E-10 Btu/hr/in2/ °R4).

Command Default

0.119E-10 Btu/hr/in2/ °R4.

Notes

You can use this command in the general preprocessor (PREP7) and in the Solution processor to specify the Stefan-Boltzmann constant for a FLOTRAN analysis using radiation surface boundary conditions.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/CFD>Displacement>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/CFD>Displacement>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/CFD>Displacement>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/CFD>Displacement>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/CFD>Forces>Body Forces>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/CFD>Turbulence>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/CFD>Turbulence>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/CFD>Turbulence>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/CFD>Velocity>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/CFD>Velocity>On Keypoints
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/CFD>Velocity>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/CFD>Velocity>On Nodes
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/CFD>Volume Fract>Bound Loads>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Apply>Fluid/CFD>Volume Fract>Bound Loads>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Ambient Rad>On Areas
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Ambient Rad>On Elements
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Ambient Rad>On Lines
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Ambient Rad>On Nodes
Main Menu>Preprocessor>Radiation Opts>Solution Opt
Main Menu>Radiation Opt>Matrix Method>Other Settings
Main Menu>Radiation Opt>Radiosity Meth>Solution Opt
Main Menu>Solution>Define Loads>Apply>Fluid/CFD>Displacement>On Areas
Main Menu>Solution>Define Loads>Apply>Fluid/CFD>Displacement>On Keypoints
Main Menu>Solution>Define Loads>Apply>Fluid/CFD>Displacement>On Lines
Main Menu>Solution>Define Loads>Apply>Fluid/CFD>Displacement>On Nodes
Main Menu>Solution>Define Loads>Apply>Fluid/CFD>Forces>Body Forces>On Nodes
Main Menu>Solution>Define Loads>Apply>Fluid/CFD>Turbulence>On Areas
Main Menu>Solution>Define Loads>Apply>Fluid/CFD>Turbulence>On Lines
Main Menu>Solution>Define Loads>Apply>Fluid/CFD>Turbulence>On Nodes
Main Menu>Solution>Define Loads>Apply>Fluid/CFD>Velocity>On Areas
Main Menu>Solution>Define Loads>Apply>Fluid/CFD>Velocity>On Keypoints
Main Menu>Solution>Define Loads>Apply>Fluid/CFD>Velocity>On Lines
Main Menu>Solution>Define Loads>Apply>Fluid/CFD>Velocity>On Nodes
Main Menu>Solution>Define Loads>Apply>Fluid/CFD>Volume Fract>Bound Loads>On Elements
Main Menu>Solution>Define Loads>Apply>Fluid/CFD>Volume Fract>Bound Loads>On Lines
Main Menu>Solution>Define Loads>Apply>Thermal>Ambient Rad>On Areas
Main Menu>Solution>Define Loads>Apply>Thermal>Ambient Rad>On Elements
Main Menu>Solution>Define Loads>Apply>Thermal>Ambient Rad>On Lines
Main Menu>Solution>Define Loads>Apply>Thermal>Ambient Rad>On Nodes
Main Menu>Solution>Radiation Opts>Solution Opt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/STATUS 		Up / Home Next
/STITLE


/STITLE

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

/STITLE, NLINE, Title

Defines subtitles.

DATABASE: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NLINE

Subtitle line number (1 to 4). Defaults to 1.

Title

Input up to 70 alphanumeric characters. Parameter substitution may be forced within the title by enclosing the parameter name or parametric expression within percent (%) signs. If Title is blank, this subtitle is deleted.

Notes

Subtitles (4 maximum) are displayed in the output along with the main title [/TITLE]. Subtitles do not appear in GUI windows or in ANSYS plot displays. The first subtitle is also written to various ANSYS files along with the main title. Previous subtitles may be overwritten or deleted. Issue /STATUS to display titles.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
STEF 		Up / Home Next
STORE


STORE

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

STORE, Lab, NPTS

Stores data in the database for the defined variables.

POST26: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Valid labels:

MERGE
 —

Merge data from results file for the time points in memory with the existing data using current specifications (default).

NEW
 —

Store a new set of data, replacing any previously stored data with current result file specifications and deleting any previously-calculated (OPER) variables. Variables defined using the ANSOL command are also deleted.

APPEN
 —

Append data from results file to the existing data.

ALLOC
 —

Allocate (and zero) space for NPTS data points.

PSD
 —

Create a new set of frequency points for PSD calculations (replacing any previously stored data and erasing any previously calculated data).

NPTS

The number of time points (or frequency points) for storage (used only with Lab = ALLOC or PSD). The value may be input when using POST26 with data supplied from other than a results file. This value is automatically determined from the results file data with the NEW, APPEN, and MERGE options. For the PSD option, NPTS determines the resolution of the frequency vector (valid numbers are between 1 and 10, defaults to 5).

Command Default

Merge newly-defined variables with previously stored variables for the time points stored in memory using the current specifications. If STORE is preceded by TIMERANGE or NSTORE, the default is STORE,NEW.

Notes

This command stores data from the results file in the database for the defined variables [NSOL, ESOL, SOLU, JSOL] per specification [FORCE, LAYERP26, SHELL]. See the Basic Analysis Guide for more information.

The STORE,PSD command will create a new frequency vector (variable 1) for response PSD calculations [RPSD]. This command should first be issued before defining variables [NSOL, ESOL, RFORCE] for which response PSD's are to be calculated.

Menu Paths

Main Menu>TimeHist Postpro>Store Data

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/STITLE 		Up / Home Next
SUBOPT


SUBOPT

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SUBOPT, SUBSIZ, NPAD, NPERBK, NUMSSI, NSHIFT, Strmck, JCGITR

Specifies options for subspace iteration eigenvalue extraction.

SOLUTION: Nonlinear Options

SOLUTION: Dynamic Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

SUBSIZ

Subspace working size. Defaults to NMODE + 4 (where NMODE is input on the MODOPT or BUCOPT command). Minimum is 8. Maximum is NMODE +NPAD. The larger the value, the smaller the number of iterations (but more time per iteration).

NPAD

Number of extra vectors used in the iterations. Defaults to 4. The total number of vectors used is NMODE +NPAD.

NPERBK

Number of modes per memory block. If 0 (or blank), perform data management in-memory for all modes (no disk I/O). If greater than zero, use some disk I/O (slower for decreasing NPERBK values, but may be needed for large problems). The minimum nonzero value is the number of degrees of freedom per node for the model.

NUMSSI

Maximum number of subspace iterations (defaults to 100). Fewer iterations will be done if convergence occurs before the 100th iteration. Convergence occurs whenever the normalized change in the eigenvalue calculations between successive iterations for the first NMODE eigenvalues is less than 1.0E-5.

NSHIFT

Minimum number of subspace iterations completed before a shift is performed. The default is 5 and the minimum is 2. Use FREQB on the MODOPT command or SHIFT on the BUCOPT command to define the initial shift point.

Strmck

Sturm sequence check key:

ALL
 —

Perform check at all shift points as well as at the end point (default).

PART
 —

Perform check only at all shift points.

NONE
 —

Do not perform Sturm sequence check.

JCGITR

Number of Jacobi iterations used per subspace iteration (used only with the JCG and PCG options on the EQSLV command). Defaults to the number of degrees of freedom divided by the maximum wave front for the model. The minimum is 5.

Command Default

As described for the option defaults above.

Notes

Defines options for subspace iteration eigenvalue extraction (MODOPT,SUBSP or BUCOPT,SUBSP). Default values should be satisfactory for most solutions. See the Theory Reference for ANSYS and ANSYS Workbench for option details. If used in SOLUTION, this command is valid only within the first load step.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>Analysis Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
STORE 		Up / Home Next
SUBSET


SUBSET

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SUBSET, Lstep, SBSTEP, FACT, KIMG, TIME, ANGLE, NSET

Reads results for the selected portions of the model.

POST1: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lstep

Load step number of the data set to be read (defaults to 1):

N
 —

Read load step N.

FIRST
 —

Read the first data set (SBSTEP and TIME are ignored).

LAST
 —

Read the last data set (SBSTEP and TIME are ignored).

NEXT
 —

Read the next data set (SBSTEP and TIME are ignored). If at the last data set, the first data set will be read as the next.

NEAR
 —

Read the data set nearest to TIME (SBSTEP is ignored). If TIME is blank, read the first data set.

LIST
 —

Scan the results file and list a summary of each load step. (FACT, KIMG, TIME and ANGLE are ignored.)

SBSTEP

Substep number (within Lstep). For the buckling (ANTYPE,BUCKLE) analysis or the modal (ANTYPE,MODAL) analysis, the substep corresponds to the mode number. Defaults to last substep of load step (except for ANTYPE,BUCKLE or MODAL). If Lstep = LIST, SBSTEP = 0 or 1 lists the basic step information, whereas SBSTEP = 2 also lists the load step title, and labels imaginary data sets if they exist.

FACT

Scale factor applied to data read from the file. If zero (or blank), a value of 1.0 is used. Harmonic velocities or accelerations may be calculated from the displacement results from a modal (ANTYPE,MODAL) or harmonic response (ANTYPE,HARMIC) analyses. If FACT = VELO, the harmonic velocities (v) are calculated from the displacements (d) at a particular frequency (f) according to the relationship v = 2 πfd. Similarly, if FACT = ACEL, the harmonic accelerations (a) are calculated as a = (2 πf)2d.

KIMG

Used only with results from complex analyses:

0
 —

Store real part of complex solution

1
 —

Store imaginary part.

TIME

Time-point identifying the data set to be read. For the harmonic responses analyses, time corresponds to the frequency. For the buckling analysis, time corresponds to the load factor. Used only in the following cases: If Lstep is NEAR, read the data set nearest to TIME. If both Lstep and SBSTEP are zero (or blank), read data set at time = TIME. If TIME is between two solution time points on the results file, a linear interpolation is done between the two data sets. Solution items not written to the results file [OUTRES] for either data set will result in a null item after data set interpolation. If TIME is beyond the last time point on the file, use the last time point.

ANGLE

Circumferential location (0.0 to 360°). Defines the circumferential location for the harmonic calculations used when reading from the results file. The harmonic factor (based on the circumferential angle) is applied to the harmonic elements (PLANE25, PLANE75, PLANE78, FLUID81, PLANE83, and SHELL61) of the load case. See the Theory Reference for ANSYS and ANSYS Workbench for details. Note that factored values of applied constraints and loads will overwrite any values existing in the database.

NSET

Data set number of the data set to be read. If a positive value for NSET is entered, Lstep, SBSTEP, KIMG, and TIME are ignored. Available set numbers can be determined by *SET,LIST.

Notes

Reads a data set from the results file into the database for the selected portions of the model only. Data that has not been specified for retrieval from the results file by the INRES command will be listed as having a zero value. Each time that the SUBSET command is issued, the data currently in the database will be overwritten with a new set of data. Various operations may also be performed during the read operation. The database must have the model geometry available (or used the RESUME command before the SUBSET command to restore the geometry from File.DB).

Menu Paths

Main Menu>General Postproc>Read Results>By Load Step
Main Menu>General Postproc>Read Results>By Set Number
Main Menu>General Postproc>Read Results>By Time/Freq

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SUBOPT 		Up / Home Next
SUCALC


SUCALC

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SUCALC, RSetName, lab1, Oper, lab2, fact1, fact2, const

Create new result data by operating on two existing result data sets on a given surface.

POST1: Surface Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

RSetName

Eight character name for new result data.

lab1

First result data upon which to operate.

Oper

Mathematical operation to perform.

ADD
 —

(lab1 + lab2 + const)

SUB
 —

(lab1 - lab2 + const)

MULT
 —

(lab1 * lab2 + const)

DIV
 —

(lab1 / lab2 + const)

EXP
 —

(lab1 ^ fact1 + lab2 ^ fact2 + const)

COS
 —

(cos (lab1) + const)

SIN
 —

(sin (lab1) + const)

ACOS
 —

(acos (lab1) + const)

ASIN
 —

(asin (lab1) + const)

ATAN
 —

(atan (lab1) + const)

ATA2
 —

(atan2 (lab1 / lab2) + const)

LOG
 —

(log (lab1) + const)

ABS
 —

(abs (lab1) + const)

ZERO
 —

(0 + const)

lab2

Second result data upon which to operate.

fact1

First scaling factor (for EXP option only).

fact2

Second scaling factor (for EXP option only).

const

Constant added to the values in the resulting data.

Menu Paths

Main Menu>General Postproc>Surface Operations>Math Operations>Absolute
Main Menu>General Postproc>Surface Operations>Math Operations>Add
Main Menu>General Postproc>Surface Operations>Math Operations>ArcCosine
Main Menu>General Postproc>Surface Operations>Math Operations>ArcSine
Main Menu>General Postproc>Surface Operations>Math Operations>ArcTangent
Main Menu>General Postproc>Surface Operations>Math Operations>ArcTangent2
Main Menu>General Postproc>Surface Operations>Math Operations>Cosine
Main Menu>General Postproc>Surface Operations>Math Operations>Divide
Main Menu>General Postproc>Surface Operations>Math Operations>Exponentiate
Main Menu>General Postproc>Surface Operations>Math Operations>Initialize
Main Menu>General Postproc>Surface Operations>Math Operations>Multiply
Main Menu>General Postproc>Surface Operations>Math Operations>Natural Log
Main Menu>General Postproc>Surface Operations>Math Operations>Sine
Main Menu>General Postproc>Surface Operations>Math Operations>Subtract

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SUBSET 		Up / Home Next
SUCR


SUCR

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SUCR, SurfName, SurfType, nRefine, Radius, blank, blank, TolOut

Create a surface.

POST1: Surface Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

SurfName

Eight character surface name.

SurfType

Surface type.

CPLANE
 —

Surface is defined by the cutting plane in window one (controlled by the working plane (/CPLANE,1), NOT the view settings (/CPLANE,0)).

SPHERE
 —

Surface is defined by a spherical surface centered about the working plane origin.

INFC
 —

Surface is defined by a cylindrical surface centered about the working plane origin and extending indefinitely in the positive and negative Z directions.

nRefine

Refinement level.

For SurfType = CPLANE
 —

The refinement level of the surface "mesh". This will be an integer between 0 and 3 (default = 0). See Notes below.

For SurfType = SPHERE
 —

The number of divisions along a 90° arc (minimum = 9). The default is 9.

For SurfType = INFC
 —

The number of divisions along a 90° arc (minimum = 9). The default is 9.

Radius

Appropriate radius value (for INFC or SPHERE).

TolOut

Tolerance value for inclusion of element facets within a prescribed volume. (for INFC)

Notes

This command creates a new surface and stores the following data for that surface:

GCX, GCY, GCZ - global Cartesian coordinates at each point on the surface.
NORMX, NORMY, NORMZ - components of the unit normal at each point on the surface.
DA - the contributory area of each point.

For SurfType = CPLANE, nRefine refers to the number of points that define the surface. An nRefine value of zero is used for points where the element face intersects the cutting plane.

If SurfType = CPLANE and nRefine = 0, the points reside at the section cuts where the element intersects the cutting plane. Increasing nRefine from 0 to 1 will subdivide each surface facet into 4 subfacets, and increase the number of points at which results can be interpolated.

For SurfType = CPLANE , the setting from the /EFACET command will affect the creation of surface facets and the quality of the fit of the surface in the model. SUCR employs geometry data from PowerGraphics to aid in determining where the surface intersects the model. If /EFACET,1 is in effect when the SUCR command is issued, then the curvature of high order elements (that is, elements with midside nodes) will be ignored. If your model contains high order elements, you can see a better fit for your surface if /EFACET,2 is in effect when the SUCR command is issued. Currently, the SUCR command interprets /EFACET,4 to mean /EFACET,2.

For SurfType = INFC, a default tolerance of 0.01 will be applied to include the vertices of any facets that fall out of the cylinder definition. this tolerance increases the facet size by 1% to check for inclusion. Excluding facets under such a small tolerance may yield unacceptable (aesthetically) results. Increasing the tolerance by a larger amount (0.1 or 10%) will sometimes yield smother edges along the surface you create.

Menu Paths

Main Menu>General Postproc>Surface Operations>Create Surface>Inf. Cylinder
Main Menu>General Postproc>Surface Operations>Create Surface>On Cuttng Plane
Main Menu>General Postproc>Surface Operations>Create Surface>Sphere>At Node
Main Menu>General Postproc>Surface Operations>Create Surface>Sphere>By Dimensions

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SUCALC 		Up / Home Next
SUDEL


SUDEL

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SUDEL, SurfName

Delete geometry information as well as any mapped results for specified surface.

POST1: Surface Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

SurfName

Eight character surface name.

SurfName = ALL will delete all surface geometry and result infromation.

Menu Paths

Main Menu>General Postproc>Surface Operations>Delete Surfaces

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SUCR 		Up / Home Next
SUEVAL


SUEVAL

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SUEVAL, Parm, lab1, Oper

Perform operations on a mapped item and store result in a scalar parameter.

POST1: Surface Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Parm

APDL parameter name.

lab1

Eight character set name for the first set used in calculation.

Oper

Operation to perform:

SUM
 —

Sum of lab1 result values.

INTG
 —

Integral of lab1 over surface.

AVG
 —

Area-weighted average of a result item [Σ(lab1*DA) / Σ(DA)]

Notes

The result of this operation is a scalar APDL parameter value. If multiple surfaces are selected when this command is issued, then the operation is carried out on each surface individually and the parameter reperesents the culmulative value of the operation on all selected surfaces.

Menu Paths

Main Menu>General Postproc>Surface Operations>Math Operations>Average Result
Main Menu>General Postproc>Surface Operations>Math Operations>Integrate Results
Main Menu>General Postproc>Surface Operations>Math Operations>Sum of Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SUDEL 		Up / Home Next
SUGET


SUGET

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SUGET, SurfName, RSetName, Parm, Geom

Moves surface geometry and mapped results to an array parameter.

POST1: Surface Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

SurfName

Eight character surface name.

RSetName

Eight character result name.

Parm

APDL array parameter name (up to 32 characters).

Geom

Switch controlling how data is written.

ON/1/YES
 —

Writes geometry data and interpolated results information to the parameter.

OFF/0/NO
 —

Writes only interpolated results information to the parameter. (Default)

Notes

For Geom = OFF/0/NO, only results information is written to this parameter.

For Geom = ON/1/YES, both geometry data and results information are written to this parameter. Geometry data includes 7 data items: (GCX, GCY, GCZ, NORMX, NORMY, NORMZ and DA). Results information is then written to the 8th column of the parameter. SetNames of GCX, GCY, GCZ, NORMX, NORMY, NORMZ and DA are predefined and computed when SUCR is issued.

Menu Paths

Main Menu>General Postproc>Surface Operations>Results to Array

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SUEVAL 		Up / Home Next
SUMAP


SUMAP

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SUMAP, RSetName, Item, Comp

Map results onto selected surface(s).

POST1: Surface Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

RSetName

Eight character name for the result being mapped.

Item

Label identifying the item.

Valid item labels are defined in PLNSOL. Some items also require a component label.

If Item = CLEAR, the specified result set will be deleted from all selected surfaces

Comp

Component label of item (if required).

Notes

Results are mapped in current RSYS. This command interpolates and stores results data on to each of the selected surfaces. SUMAP, ALL, CLEAR will delete all results sets from all selected surfaces.

Menu Paths

Main Menu>General Postproc>Surface Operations>Clear Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SUGET 		Up / Home Next
SUMTYPE


SUMTYPE

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SUMTYPE, Label

Sets the type of summation to be used in the following load case operations.

POST1: Results

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Label

Summation type

COMP
 —

Combine element component stresses only. Stresses such as average nodal stresses, principal stresses, equivalent stresses, and stress intensities are derived from the combined element component stresses. Default.

PRIN
 —

Combine principal stress, equivalent stress, and stress intensity directly as stored on the results file. Component stresses are not available with this option.

Notes

Issue SUMTYPE,PRIN when you want to have a load case operation (LCOPER) act on the principal / equivalent stresses instead of the component stresses.

BEAM188 and BEAM189 elements compute principal stress, equivalent stress, and stress intensity values on request instead of storing them on the results file; SUMTYPE,PRIN does not apply for these elements.

Menu Paths

Main Menu>General Postproc>Load Case>Calc Options>Stress Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SUMAP 		Up / Home Next
SUPL


SUPL

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SUPL, SurfName, RSetName, KWIRE

Plot result data on all selected surfaces or on a specified surface.

POST1: Surface Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

SurfName

Eight character surface name. ALL will plot all selected surfaces.

RSetName

Eight character result name.

KWIRE

Plot in context of model.

0
 —

Plot results without the outline of selected elements.

1
 —

Plot results with the outline of selected elements.

Notes

If RSetName is left blank, then the surface geometry will be plotted. If the Setname portion of the argument is a vector prefix (i.e. if result sets of name SetNameX, SetNameY and SetNameZ exist), ANSYS will plot these vectors on the surface as arrows. For example, SUPL, ALL, NORM will plot the surface normals as vectors on all selected surfaces, since NORMX NORMY and NORMZ are pre-defined geometry items.

Menu Paths

Main Menu>General Postproc>Surface Operations>Plot Results
Main Menu>General Postproc>Surface Operations>Plot Vectors

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SUMTYPE 		Up / Home Next
SUPR


SUPR

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SUPR, SurfName, RSetName

Print global status, geometry information and/or result information.

POST1: Surface Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

SurfName

Eight character surface name. If SurfName = ALL, repeat printout for all selected surfaces.

RSetName

Eight character result set name.

Notes

When no arguments are specified, SUPR generates a global status summary of all defined surfaces. If only SurfName is specified, the geometry information for that surface is printed. If both SurfName and RSetName are specified, the value of the results set at each point, in addition to the geometry information, is printed.

Menu Paths

Main Menu>General Postproc>Surface Operations>Print Results
Main Menu>General Postproc>Surface Operations>Status>Global

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SUPL 		Up / Home Next
SURESU


SURESU

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SURESU, --, Fname, Fext, Fdir

Read a set of surface definitions and result items from a file and make them the current set.

POST1: Surface Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

--

Unused field.

Fname

Eight character name.

Fext

Extension name.

Fdir

Optional path specification.

Notes

Reading (and therefore resuming) surface and result definitions from a file overwritea any existing surface definitions.

Reading surfaces back into the postprocessor (/POST1) does not insure that the surfaces (and their results) are appropriate for the model currently residing in /POST1.

Menu Paths

Main Menu>General Postproc>Surface Operations>Resume Surfaces

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SUPR 		Up / Home Next
SUSAVE


SUSAVE

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SUSAVE, Lab, Fname, Fext, Fdir

Saves surface definitions to a file.

POST1: Surface Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Eight-character surface name.

If Lab = ALL (default), then all surfaces are saved to the file.

If Lab = S, only currently selected surfaces are saved to the file.

Fname

File name and directory path (248 character maximum, including directory). If you do not specify a directory path, the default is your working directory and you can use all 248 characters for the file name. The file name defaults to the jobname.

Fext

File name extension (eight-character maximum). The extension defaults to “surf”.

Fdir

Optional path specification.

Notes

The SUSAVE command saves surface definitions (geometry information)--and any result items mapped onto the surfaces--to a file.

Issuing the SUSAVE command has no effect on the database. The database remains unchanged.

Subsequent executions of the SUSAVE command overwrite previous data in the file.

To read the contents of the file created via the SUSAVE command, issue the SURESU command.

Menu Paths

Main Menu>General Postproc>Surface Operations>Save Surfaces

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SURESU 		Up / Home Next
SUSEL


SUSEL

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SUSEL, Type, Name1, Name2, Name3, Name4, Name5, Name6, Name7, Name8

Selects a subset of surfaces

POST1: Surface Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Label identifying the type of select:

S
 —

Selects a new set (default).

R
 —

Reselects a set from the current set.

A
 —

Additionally selects a set and extends the current set.

U
 —

Unselects a set from the current set.

ALL
 —

Also selects all surfaces.

NONE
 —

Unselects all surfaces.

Name1, Name2, Name3, . . . , Name8

Eight character surface names

Notes

The selected set of surfaces is used in the following operations: SUMAP, SUDEL, SUCALC, SUEVAL, and SUVECT.

Menu Paths

Main Menu>General Postproc>Surface Operations>Select Surfaces

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SUSAVE 		Up / Home Next
SUVECT


SUVECT

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SUVECT, RSetName, lab1, Oper, lab2, Offset

Create new result data by operating on two existing result vectors on a given surface.

POST1: Surface Operations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

RSetName

Eight character name of the result data output. There will be one or three RSetName values depending on the operation specified in Oper.

lab1

Eight character name of the mapped data that forms vector 1. Specified sets must exist on all selected surfaces for this operation to take place. The names NORM and GC will be reserved for normals and for global (x, y, z).

Oper
DOT
 —

Computes dot product between lab1 and lab2 vectors. The result is a scalar parameter (RSetName) and each value within the set can be modified (incremented) via Offset.

CROSS
 —

Computes cross product between lab1 and lab2 vectors. Each X, Y, Z value in the result can be modified (incremented) via Offset.

SMULT
 —

Scales (lab1x, lab1y, lab1z) vector by scalar lab2. Each X,Y,Z value in the result can be modified (incremented) via Offset.

lab2

Eight character name of the mapped data that forms vector 2. Sets with names Lab2X, Lab2Y, and Lab2Z must exist on all selected surfaces for operation to take place. For Oper = SMULT a scalar value or another predefined scalar item (e.g., DA) can be supplied.

Offset

An offset value to be applied to the resultant RSetName. One value is specified for Oper = DOT, and three values are specified for Oper = SMULT.

Menu Paths

Main Menu>General Postproc>Surface Operations>Math Operations>Cross Product
Main Menu>General Postproc>Surface Operations>Math Operations>Dot Product
Main Menu>General Postproc>Surface Operations>Math Operations>Scale Result

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SUSEL 		Up / Home Next
SV


SV

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SV, DAMP, SV1, SV2, SV3, SV4, SV5, SV6, SV7, SV8, SV9

Defines spectrum values to be associated with frequency points.

SOLUTION: Spectrum Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

DAMP

Damping ratio for this response spectrum curve. If the same as a previously defined curve, the SV values are added to the previous curve. Up to four different curves may be defined, each with a different damping ratio. Damping values must be input in ascending order.

SV1, SV2, SV3, . . . , SV9

Spectrum values corresponding to the frequency points [FREQ]. Values are interpreted as defined with the SVTYP command. Log-log interpolation is used between curves. SV values should not be zero. Values required outside the frequency range use the extreme input values.

Notes

Defines the spectrum values to be associated with the previously defined frequency points [FREQ]. Applies only to the single-point response spectrum. Damping has no effect on the frequency solution. Damping values are used only to identify SV curves for the mode combinations calculation. Only the curve with the lowest damping value is used in the initial mode coefficient calculation. Use STAT command to list current spectrum curve values.

Repeat SV command for additional SV points (20 maximum per DAMP curve). SV values are added to the DAMP curve after the last nonzero SV value.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>SinglePt>Spectr Values
Main Menu>Solution>Load Step Opts>Spectrum>SinglePt>Spectr Values

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SUVECT 		Up / Home Next
SVTYP


SVTYP

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SVTYP, KSV, FACT

Defines the type of single-point response spectrum.

SOLUTION: Spectrum Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

KSV

Response spectrum type:

0
 —

Seismic velocity response spectrum loading (SV values interpreted as velocities with units of length/time).

1
 —

Force response spectrum loading (SV values interpreted as force amplitude multipliers).

2
 —

Seismic acceleration response spectrum loading (SV values interpreted as accelerations with units of length/time2).

3
 —

Seismic displacement response spectrum loading (SV values interpreted as displacements with units of length).

4
 —

PSD loading (SV values interpreted as acceleration2/(cycles/time), such as (in/sec2)2/Hz (not g2/Hz)). (Not recommended)

FACT

Scale factor applied to spectrum values (defaults to 1.0). Values are scaled when the solution is initiated [SOLVE]. Database values remain the same.

Command Default

Seismic velocity response spectrum.

Notes

Defines the type of single-point response spectrum [SPOPT]. The seismic excitation direction is defined with the SED command.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>SinglePt>Settings
Main Menu>Solution>Load Step Opts>Spectrum>SinglePt>Settings

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SV 		Up / Home Next
SWADD


SWADD

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SWADD, Ecomp, SHRD, NCM1, NCM2, NCM3, NCM4, NCM5, NCM6, NCM7, NCM8, NCM9

Adds more surfaces to an existing spot weld set.

PREP7: Elements

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Ecomp

Name of an existing spot weld set that was previously defined using SWGEN.

SHRD

Search radius. Defaults to 4 times the spot weld radius defined for the spot weld set (SWRD on SWGEN).

NCM1, NCM2, NCM3, . . . , NCM9

Surfaces to be added to the spot weld set. Each surface can be input as a predefined node component or a meshed area number.

Notes

This command adds surfaces to an existing spot weld set defined by the SWGEN command. You can add additional surfaces by repeating the SWADD command. However, the maximum number of allowable surfaces (including the 2 surfaces used for the original set defined by SWGEN) for each spot weld set is 11. See Adding Surfaces to a Basic Set for more information.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Elements>SpotWeld>Add More Surfaces>By Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SVTYP 		Up / Home Next
SWDEL


SWDEL

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SWDEL, Ecomp

Deletes spot weld sets.

PREP7: Elements

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Ecomp

Name of an existing spot weld set that was previously defined using SWGEN. If Ecomp = ALL (default) all spot welds are deleted.

Notes

This command deletes spot weld sets previously defined by the SWGEN command.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Elements>SpotWeld>Delete

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SWADD 		Up / Home Next
SWGEN


SWGEN

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SWGEN, Ecomp, SWRD, NCM1, NCM2, SND1, SND2, SHRD, DIRX, DIRY, DIRZ, ITTY, ICTY

Creates a new spot weld set.

PREP7: Elements

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Ecomp

Name to identify the new spot weld. This name will be used for the element component containing the new contact, target, and beam elements generated for the spot weld set.

SWRD

Spot weld radius.

NCM1

Name of a component containing nodes on the first spot weld surface, or a meshed area number for the surface.

NCM2

Name of a component containing nodes on the second spot weld surface, or a meshed area number for the surface.

SND1

Node number of the first spot weld node corresponding to the first surface (NCM1). This node can be on or close to the first surface.

SND2

Node number of the second spot weld node corresponding to the second surface (NCM2). This node can be on or close to the second surface. ANSYS will create the node if it is not specified.

SHRD

Search radius. Defaults to 4 times the spot weld radius SWRD.

DIRX, DIRY, DIRZ

Spot weld projection direction in terms of normal X, Y, and Z components.

ITTY

Target element type ID.

ICTY

Contact element type ID.

Notes

This command creates a new spot weld set. You can add more surfaces to the set using SWADD after the initial SWGEN command. However, the maximum number of allowable surfaces (including the 2 surfaces used for the original set) for each spot weld set is 11.

Ecomp, SWRD, NCM1, NCM2, and SND1 must be specified. SND2, SHRD, DIRX, DIRY, DIRZ, ITTY, ICTY are optional inputs. If the second spot weld node (SND2) is specified, that node is used to determine the spot weld projection direction, andDIRX, DIRY and DIRZ are ignored.

If ITTY is specified, the following corresponding target element key option must be set: KEYOPT(5) = 4. If ICTY is specified, the following corresponding contact element key options must be set: KEYOPT(2) = 2, KEYOPT(12) = 5.

Use the SWLIST and SWDEL commands to list or delete spot welds. See Creating a Basic Spot Weld Set with SWGEN for detailed information on defining spot welds.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Elements>SpotWeld>Add More Surfaces>By Node Component
Main Menu>Preprocessor>Modeling>Create>Elements>SpotWeld>Create New Set>By Area
Main Menu>Preprocessor>Modeling>Create>Elements>SpotWeld>Create New Set>By Node Component

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SWDEL 		Up / Home Next
SWLIST


SWLIST

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SWLIST, Ecomp

Lists spot weld sets.

PREP7: Elements

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Ecomp

Name of an existing spot weld set that was previously defined using SWGEN. If Ecomp = ALL (default), all spot weld sets are listed.

Notes

This command lists spot weld node, beam, and contact pair information for all defined spot weld sets, or for the specified set.

When SWLIST is issued in POST1, the beam forces and moments are output. For the case of a deformable spot weld, the stresses are also output in the beam local coordinate system.

Menu Paths

Main Menu>General Postproc>List Results>SpotWeld Solution
Main Menu>Preprocessor>Modeling>Create>Elements>SpotWeld>List
Utility Menu>List>Results>SpotWeld Solution

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SWGEN 		Up / Home Next
SYNCHRO


SYNCHRO

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

SYNCHRO, RATIO, Cname

Specifies whether the excitation frequency is synchronous or asynchronous with the rotational velocity of a structure.

SOLUTION: Inertia

MP ME ST PR PRN <> <> <> EM <> <> PP <>

RATIO

The ratio between the frequency of excitation and the frequency of the rotational velocity of the structure. This value must be greater than 0. The default is a synchronous excitation (RATIO = 1.0).

Cname

The name of the rotating component on which to apply the harmonic excitation.

Notes

The SYNCHRO command specifies whether the excitation frequency is synchronous or asynchronous with the rotational velocity of a structure in a harmonic analysis. Use the command to take into account rotating harmonic forces on rotating structures.

ANSYS calculates the rotational velocity Ω of the structure from the excitation frequency f, defined (via the HARFRQ command) as Ω = 2πf / RATIO. The rotational velocity is applied along the direction cosines of the rotation axis (specified via an OMEGA or CMOMEGA command).

The RATIO value defaults to 1.0, and an unbalance excitation force (F = Ω2 * Unb) is applied on the nodes. (The nodal unbalance Unb is specified via the F command.) Specifying any value for RATIO causes a general rotational force excitation and not an unbalance force.

The SYNCHRO command is valid only for a full-solution harmonic analysis (HROPT,Method = FULL) involving a rotating structure (OMEGA or CMOMEGA) with Coriolis enabled in a stationary reference frame (CORIOLIS,,,,RefFrame = ON).

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SWLIST 		Up / Home Next
/SYP


/SYP

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

/SYP, String, ARG1, ARG2, ARG3, ARG4, ARG5, ARG6, ARG7, ARG8

Passes a command string and arguments to the operating system.

SESSION: Run Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

String

Command string (cannot include commas). See also the /SYS command.

ARG1, ARG2, ARG3, . . . , ARG8

Arguments to be appended to the command string, separated by blanks, commas, or other delimiter characters (see the Operations Guide). The arguments may be numbers, parameters, or parametric expressions.

Notes

Passes a command string to the operating system for execution, along with arguments to be appended to the command string. See the Operations Guide for details. ANSYS may not be aware of your specific user environment. In particular, this command may not recognize UNIX aliases, depending on the hardware platform and user environment.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SYNCHRO 		Up / Home Next
/SYS


/SYS

Release 11.0 Documentation for ANSYS

Commands Reference | S Commands |

/SYS, String

Passes a command string to the operating system.

SESSION: Run Controls

MP ME ST PR PRN <> <> FL EM EH <> PP <>

String

Command string, up to 75 characters (including blanks, commas, etc.). The specified string is passed verbatim to the operating system, i.e., no parameter substitution is performed.

Notes

Passes a command string to the operating system for execution (see the Operations Guide). Typical strings are system commands such as list, copy, rename, etc. Control returns to the ANSYS program after the system procedure is completed. ANSYS may not be aware of your specific user environment. In particular, this command may not recognize UNIX aliases, depending on the hardware platform and user environment.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/SYP 		Up / Home Next
T Commands


T Commands

Table of Contents

TALLOW - Defines the temperature table for safety factor calculations.
TB - Activates a data table for nonlinear material properties or special element input.
TBCOPY - Copies a data table from one material to another (see ).
TBDATA - Defines data for the data table.
TBDELE - Deletes previously defined data tables.
TBFIELD - Defines values of field variables for the material data tables.
TBFT - Performs material curve fitting operations.
TBLE - Specifies "Data table properties" as the subsequent status topic.
TBLIST - Lists the data tables.
TBMODIF - Modifies data for the data table (GUI).
TBPLOT - Displays the data table.
TBPT - Defines a point on a nonlinear data curve.
TBTEMP - Defines a temperature for the data table.
TCHG - Converts 20-node degenerate tetrahedral elements to their 10-node non-degenerate counterparts.
TEE - Defines a tee in a piping run.
TERM - Specifies various terminal driver options.
THOPT - Nonlinear transient thermal solution option.
TIFF - Provides TIFF file Export for ANSYS Displays.
TIME - Sets the time for a load step.
TIMERANGE - Specifies the time range for which data are to be stored.
TIMINT - Turns on transient effects.
TIMP - Improves the quality of tetrahedral elements that are not associated with a volume.
TINTP - Defines transient integration parameters.
/TITLE - Defines a main title.
/TLABEL - Creates annotation text (GUI).
TOCOMP - Defines single or multiple compliance as the topological optimization function.
TODEF - Defines parameters for and initializes topological optimization.
TOEXE - Executes one topological optimization iteration.
TOFFST - Specifies the temperature offset from absolute zero to zero.
TOFREQ - Defines single or mean frequency formulation as the topological optimization function.
TOGRAPH - Plots iteration solution of topological optimization.
TOLIST - Lists all topological optimization functions currently defined.
TOLOOP - Execute several topological optimization iterations.
TOPLOT - Plot current topological density distribution.
TOPRINT - Print iteration solution history of topological optimization.
TORQ2D - Calculates torque on a body in a magnetic field.
TORQC2D - Calculates torque on a body in a magnetic field based on a circular path.
TORQSUM - Summarizes electromagnetic torque calculations on element components.
TORUS - Creates a toroidal volume.
TOSTAT - Displays topological optimization status and results information.
TOTAL - Specifies automatic MDOF generation.
TOTYPE - Specifies solution method for topological optimization.
TOVAR - Specifies the objective and constraints for the topological optimization problem.
TRANS - Reformats File.GRPH for improved performance with plotters.
TRANSFER - Transfers a pattern of nodes to another coordinate system.
TREF - Defines the reference temperature for the thermal strain calculations.
/TRIAD - Shows the global XYZ coordinate triad on displays.
/TRLCY - Specifies the level of translucency.
TRNOPT - Specifies transient analysis options.
TRPDEL - Deletes particle flow or charged particle trace points.
TRPLIS - Lists the particle flow or charged particle trace points.
TRPOIN - Defines a point through which a particle flow or charged particle trace will travel.
TRTIME - Defines the options used for the PLTRAC (particle flow or charged particle trace) command.
TSHAP - Defines simple 2-D and 3-D geometric surfaces for target segment elements.
/TSPEC - Creates annotation text attributes (GUI).
TSRES - Defines an array of keytimes at which the time-stepping strategy changes.
TUNIF - Assigns a uniform temperature to all nodes.
TVAR - Changes time to the cumulative iteration number.
/TXTRE - Controls application of texture to selected items.
/TYPE - Defines the type of display.
TYPE - Sets the element type attribute pointer.
TZAMESH - Meshes the areas of a volume to create Trefftz nodes.
TZDELE - Deletes the Trefftz superelement, associated constraint equations and all supporting Trefftz files.
TZEGEN - Generates a Trefftz domain substructure and defines a Trefftz superelement for use in electrostatic analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/SYS 		Up / Home Next
TALLOW


TALLOW

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TALLOW, TEMP1, TEMP2, TEMP3, TEMP4, TEMP5, TEMP6

Defines the temperature table for safety factor calculations.

POST1: Element Table

MP ME ST PR PRN <> <> <> <> <> <> PP <>

TEMP1, TEMP2, TEMP3, . . . , TEMP6

Input up to six temperatures covering the range of nodal temperatures. Temperatures must be input in ascending order.

Notes

Defines the temperature table for safety factor calculations [SFACT, SALLOW]. Use STAT command to list current temperature table. Repeat TALLOW command to zero table and redefine points (6 maximum).

Safety factor calculations are not supported by PowerGraphics. Both the SALLOW and TALLOW commands must be used with the Full Model Graphics display method active.

Menu Paths

Main Menu>General Postproc>Safety Factor>Allowable Strs>Reset Temps
Main Menu>General Postproc>Safety Factor>Allowable Strs>Temp-depend

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
T Commands 		Up / Home Next
TB


TB

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TB, Lab, MAT, NTEMP, NPTS, TBOPT, EOSOPT

Activates a data table for nonlinear material properties or special element input.

PREP7: Data Tables

MP ME ST PR PRN <> <> <> EM EH DY PP <>

Product Restrictions

Lab

Type of data table:

AHYPER
 —

Anisotropic Hyperelasticity model (SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SHELL208, SHELL209 See "AHYPER Specifications" for more information.

ANAND
 —

Anand plasticity (VISCO106, VISCO107, VISCO108). See "ANAND Specifications" for more information.

ANEL
 —

Anisotropic elastic matrix (SOLID5, PLANE13, SOLID98, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, SHELL208, SHELL209, and explicit dynamic elements SOLID164 and SOLID168). Also PLANE223, SOLID226, SOLID227. See "ANEL Specifications" for more information.

ANISO
 —

Anisotropic plasticity (LINK1, LINK8, PIPE20, BEAM23, BEAM24, PLANE42, SHELL43, SOLID45, PIPE60, SOLID62, SOLID65, PLANE82, SHELL91, SOLID92, SHELL93, SOLID95, and PLANE183). See "ANISO Specifications" for more information.

BH
 —

Magnetic field data (SOLID5, PLANE13, PLANE53, SOLID62, SOLID96, SOLID97, SOLID98, SOLID117). See "BH Specifications" for more information.

BISO
 —

Bilinear isotropic hardening using von Mises or Hill plasticity (for von Mises plasticity: LINK1, LINK8, PIPE20, BEAM23, BEAM24, PLANE42, SHELL43, SOLID45, PIPE60, SOLID62, SOLID65, PLANE82, SHELL91, SOLID92, SHELL93, SOLID95, LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SOLSH190, SHELL208, SHELL209, and explicit dynamic elements PLANE162, SHELL163, SOLID164, and SOLID168. For Hill plasticity: PLANE42, SOLID45, PLANE82, SOLID92, SOLID95, LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SOLSH190, SHELL208, and SHELL209). See "BISO Specifications" for more information.

BKIN
 —

Bilinear kinematic hardening using von Mises or Hill plasticity (For von Mises plasticity: LINK1, LINK8, PIPE20, BEAM23, BEAM24, PLANE42, SHELL43, SOLID45, PIPE60, SOLID62, SOLID65, PLANE82, SHELL91, SOLID92, SHELL93, SOLID95, LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SOLSH190, SHELL208, SHELL209, and explicit dynamic elements LINK160, BEAM161, PLANE162, SHELL163, SOLID164, and SOLID168. For Hill plasticity: PLANE42, SOLID45, PLANE82, SOLID92, SOLID95, LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SOLSH190, SHELL208, and SHELL209). See "BKIN Specifications" for more information.

CAST
 —

Cast iron material model (PLANE182 (not applicable for plane stress), PLANE183 (not applicable for plane stress), SOLID185, SOLID186, SOLID187, and SOLSH190). See "CAST Specifications" for more information.

CHABOCHE
 —

Chaboche nonlinear kinematic hardening using von Mises or Hill plasticity (PLANE42, SOLID45, PLANE82, SOLID92, SOLID95, LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SOLSH190, SHELL208, and SHELL209). See "CHABOCHE Specifications" for more information.

CNDE
 —

Anisotropic electric current conductivity ( HF119, HF120). See "CNDE Specifications" for more information.

CNDM
 —

Anisotropic magnetic current conductivity ( HF119, HF120). See "CNDM Specifications" for more information.

COMP
 —

Composite material models (explicit dynamic elements PLANE162, SHELL163, SOLID164, and SOLID168). See "COMP Specifications" for more information.

CONCR
 —

Concrete element data (SOLID65) or concrete damage model (explicit dynamic elements SOLID164 and SOLID168). See "CONCR Specifications" for more information.

CREEP
 —

Viscoplasticity/creep. ANSYS can model pure creep, creep with isotropic hardening plasticity, or creep with kinematic hardening plasticity using both von Mises or Hill potentials. See Material Model Combinations in the Elements Reference for further information on combining models (For explicit creep with von Mises potential: LINK1, LINK8, PIPE20, BEAM23, BEAM24, PLANE42, SHELL43, SOLID45, PIPE60, SOLID62, SOLID65, PLANE82, SOLID92, and SOLID95. For implicit creep with von Mises or Hill potential: PLANE42, SOLID45, PLANE82, SOLID92, SOLID95, LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SOLSH190, SHELL208, and SHELL209). See "CREEP Specifications" for more information.

CZM
 —

Cohesive zone material model (contact elements CONTA171, CONTA172, CONTA173, CONTA174, CONTA175, CONTA176, CONTA177, and interface elements INTER202, INTER203, INTER204, INTER205 ) . See "CZM Specifications" for more information.

DISCRETE
 —

Explicit spring-damper (discrete) material models (COMBI165). See "DISCRETE Specifications" for more information.

DP
 —

Drucker-Prager plasticity (LINK1, LINK8, PIPE20, BEAM23, BEAM24, PLANE42, SHELL43, SOLID45, PIPE60, SOLID62, SOLID65, PLANE82, SHELL91, SOLID92, SHELL93, SOLID95, and PLANE183). See "DP Specifications" for more information.

DPER
 —

Anisotropic electric permittivity ( HF118, HF119, HF120, PLANE223, SOLID226, SOLID227). See "DPER Specifications" for more information.

EDP
 —

Extended Drucker-Prager model for granular materials such as rock, concrete, soil, ceramics and other pressure dependent materials. (PLANE182(not applicable for plane stress), PLANE183 (not applicable for plane stress), SOLID185, SOLID186, SOLID187). See "EDP Specifications" for more information.

ELASTIC
 —

Elastic material property (PLANE182, PLANE183, SOLID185, SOLID186, SOLID187). Elastic properties can be defined as frequency and/or temperature dependen properties for use in a full harmonic analyses (use TBFIELD). See "ELASTIC Specifications" for more information.

EOS
 —

Equation of state (explicit dynamic elements only). See "EOS Specifications" for more information.

EVISC
 —

Viscoelastic element data (VISCO88, VISCO89, and explicit dynamic elements BEAM161, PLANE162, SOLID164, and SOLID168). See "EVISC Specifications" for more information.

FAIL
 —

Composite material failure data (SOLID46, SHELL91, SOLID95, SHELL99, SOLID191). See "FAIL Specifications" for more information. See also the FC command, which applies to all structural shell and solid elements. The failure criteria based on TB input is computed during solution and then saved in the element miscellaneous records. (See the Elements Reference for available failure criteria items and corresponding sequence numbers.) These failure criteria items can be accessed during postprocessing via the ETABLE and ESOL commands, or the LAYER command if no FC input is provided for the same element.

FCON
 —

Fluid conductance data (FLUID116). See "FCON Specifications" for more information.

FOAM
 —

Foam material models (explicit dynamic elements PLANE162, SOLID164, and SOLID168). See "FOAM Specifications" for more information.

FRIC
 —

Coefficient of friction based on Coulomb's Law (CONTAC12, CONTAC52, CONTA171, CONTA172, CONTA173, CONTA174, CONTA175, CONTA176, and CONTA178). See "FRIC Specifications" for more information.

GASKET
 —

Gasket material model (INTER192, INTER193, INTER194, and INTER195). See "GASKET Specifications" for more information.

GCAP
 —

Geological Cap material model (explicit dynamic elements SOLID164 and SOLID168). See "GCAP Specifications" for more information.

GURSON
 —

Gurson pressure dependent plasticity model for porous metals (PLANE182 (not applicable for plane stress), PLANE183 (not applicable for plane stress), SOLID185, SOLID186 and SOLID187). See "GURSON Specifications" for more information.

HFLM
 —

Film coefficient data (FLUID116). See "HFLM Specifications" for more information.

HILL
 —

Hill anisotropy when combined with other material options simulates plasticity, viscoplasticity, and creep -- all with the Hill potential. See Material Model Combinations in the Elements Reference for further information on combining models (PLANE42, SOLID45, PLANE82, SOLID92, SOLID95, LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM 188, BEAM189, SOLSH190, SHELL208, and SHELL209). See "HILL Specifications" for more information.

HONEY
 —

Honeycomb material models (explicit dynamic elements PLANE162, SOLID164, and SOLID168). See "HONEY Specifications" for more information.

HYPER
 —

Hyperelasticity models [Mooney-Rivlin, Ogden, Neo-Hookean, Polynomial form, Arruda-Boyce, Gent, Yeoh, Blatz-Ko, Ogden foam, and user-defined] (SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, SHELL208, and SHELL209). See "HYPER Specifications" for more information.

JOIN
 —

Linear and nonlinear elastic stiffness, linear and nonlinear damping, and hysteretic frictional behavior (MPC184). See "JOIN Specifications" for more information.

KINH
 —

Multilinear kinematic hardening using von Mises or Hill plasticity (for von Mises plasticity: LINK1, LINK8, PIPE20, BEAM23, PLANE42, SHELL43, SOLID45, PIPE60, SOLID62, PLANE82, SOLID92, SHELL93, SOLID95, LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SOLSH190, SHELL208, and SHELL209. For Hill plasticity: PLANE42, SOLID45, PLANE82, SOLID92, SOLID95, LINK180, SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SOLSH190, SHELL208, and SHELL209). KINH is the same as MKIN with TBOPT = 2, but with less restrictions on the number of points per curve and the number of temperatures. See "KINH Specifications" for more information.

MELAS
 —

Multilinear elasticity (LINK1, LINK8, PIPE20, BEAM23, BEAM24, PLANE42, SHELL43, SOLID45, PIPE60, SOLID62, SOLID65, PLANE82, SHELL91, SOLID92, SHELL93, SOLID95, and PLANE183). See "MELAS Specifications" for more information.

MISO
 —

Multilinear isotropic hardening using von Mises or Hill plasticity (for von Mises plasticity: LINK1, LINK8, PIPE20, BEAM23, BEAM24, PLANE42, SHELL43, SOLID45, PIPE60, SOLID62, SOLID65, PLANE82, SHELL91, SOLID92, SHELL93, SOLID95, LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SOLSH190, SHELL208, and SHELL209. For Hill plasticity: PLANE42, SOLID45, PLANE82, SOLID92, SOLID95, LINK180, SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SOLSH190, SHELL208, and SHELL209). See "MISO Specifications" for more information.

MKIN
 —

Multilinear kinematic hardening using von Mises or Hill plasticity (for von Mises plasticity: LINK1, LINK8, PIPE20, BEAM23, BEAM24, PLANE42, SHELL43, SOLID45, PIPE60, SOLID62, SOLID65, PLANE82, SHELL91, SOLID92, SHELL93, SOLID95, LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SOLSH190, SHELL208, and SHELL209. For Hill plasticity: PLANE42, SOLID45, PLANE82, SOLID92, SOLID95, LINK180, SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SOLSH190, SHELL208, and SHELL209). See "MKIN Specifications" for more information.

MOONEY
 —

Mooney-Rivlin hyperelastic element data (explicit dynamic elements PLANE162, SHELL163, SOLID164, and SOLID168). See "MOONEY Specifications" for more information.

MUR
 —

Anisotropic relative permeability ( HF118, HF119, HF120). See "MUR Specifications" for more information.

NLISO
 —

Voce isotropic hardening law or power law for modeling nonlinear isotropic hardening using von Mises or Hill plasticity. (LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM 188, BEAM189, SOLSH190, SHELL208, and SHELL209). See "NLISO Specifications" for more information.

PIEZ
 —

Piezoelectric matrix (SOLID5, PLANE13, SOLID98). Also PLANE223, SOLID226, SOLID227. See "PIEZ Specifications" for more information.

PLASTIC
 —

Nonlinear plasticity with stress -vs- plastic strain data (LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SOLSH190, SHELL208, SHELL209). See "PLASTIC Specifications" for more information.

PLAW
 —

Plasticity laws (explicit dynamic elements LINK160, BEAM161, PLANE162, SHELL163, SOLID164, and SOLID168). See "PLAW Specifications" for more information.

PRONY
 —

Prony series constants for viscoelastic materials (LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SOLSH190, SHELL208, and SHELL209). See "PRONY Specifications" for more information.

PZRS
 —

Piezoresistive materials (PLANE223, SOLID226, SOLID227). See "PZRS Specifications" for more information.

RATE
 —

Rate-dependent plasticity (viscoplasticity) when combined with the BISO, MISO, or NLISO material options, or rate-dependent anisotropic plasticity (anisotropic viscoplasticity) when combined with the HILL and BISO, MISO, or NLISO material options. See Material Model Combinations in the Elements Reference for further information on combining models (PLANE42, SOLID45, PLANE82, SOLID92, SOLID95, LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SOLSH190, SHELL208, and SHELL209). See "RATE Specifications" for more information.

SDAMP
 —

Material structural damping coefficient (PLANE182, PLANE183, SOLID185, SOLID186, SOLID187). Damping coefficient can be defined as frequency or temperature dependent properties for use in full harmonic analyses (use TBFIELD). SDAMP specifies damping in terms of the loss factor, which is equal to 2 times the damping ratio. See "SDAMP Specifications" for more information.

SHIFT
 —

Shift function for viscoelastic materials (LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SOLSH190, SHELL208, and SHELL209). See "SHIFT Specifications" for more information.

SMA
 —

Shape memory alloy for simulation of hysteresis superelastic behavior with no performance deformation. Plane stress is not supported. See Shape Memory Alloys in the Elements Reference, and Shape Memory Alloy Material Model in the Theory Reference for ANSYS and ANSYS Workbench for further information. The TB,SMA option is valid for PLANE182 and PLANE183 (with plane strain or axisymmetric stress states), and for SOLID185, SOLID186, SOLID187, and SOLSH190. See "SMA Specifications" for more information.

STATE
 —

User-defined state variables, used with TB,USER or TB,CREEP [when the USER CREEP option is chosen (TBOPT = 100)]. When used with TB,USER, TB,STATE is only used with the USERMAT subroutine (not USERPL). When used with TB,CREEP, TB,STATE is only used with the USERCREEP subroutine. See "STATE Specifications" for more information.

SWELL
 —

Swelling constants (LINK1, LINK8, PIPE20, BEAM23, BEAM24, PLANE42, SHELL43, SOLID45, PIPE60, SOLID62, SOLID65, PLANE82, SOLID92, SOLID95, and PLANE183). See "SWELL Specifications" for more information.

UNIAXIAL
 —

Uniaxial stress-strain relation associated with the Cast Iron material model (PLANE182 (not applicable for plane stress), PLANE183 (not applicable for plane stress), SOLID185, SOLID186, SOLID187, and SOLSH190). See "UNIAXIAL Specifications" for more information.

USER
 —

User-defined material model; general purpose except for incompressible material models (LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SOLSH190, SHELL208, and SHELL209). Also, user-defined plasticity or viscoplasticity (LINK1, LINK8, PIPE20, BEAM23, BEAM24, PLANE42, SHELL43, SOLID45, PIPE60, SOLID62, SOLID65, PLANE82, SHELL91, SOLID92, SHELL93, SOLID95, and PLANE183). See "USER Specifications" for more information.

WATER
 —

Water motion table data (PIPE59). See "WATER Specifications" for more information.

MAT

Material reference number (defaults to 1; maximum equals 100,000).

NTEMP

The number of temperatures for which data will be provided (if applicable). Temperatures are specified on the TBTEMP command.

NPTS

For most labels where NPTS is defined, it is the number of data points to be specified for a given temperature. Data points are defined with the TBDATA or TBPT commands.

EOSOPT

Indicates which equation of state model will be used. Used only for explicit dynamics, and only when Lab = EOS.

1
 —

Linear polynomial equation of state

2
 —

Gruneisen equation of state

3
 —

Tabulated equation of state

Data Table Specifications

Presented below is a listing of all the labels for the TB command that include specific requirements for the NTEMP, NPTS, and TBOPT options, along with links to references where more information can be found, such as required constants, for the particular label.

BKIN Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 6, Maximum = 6

NPTS:

Not used.

TBOPT:

Stress-strain options (not used in an explicit dynamics analysis).

0 --

No stress relaxation with temperature increase (this is not recommended for nonisothermal problems).

1 --

Rice's hardening rule, which takes into account stress relaxation with increasing temperature (default).

References:

Bilinear Kinematic Hardening in the Elements Reference.

Plastic Material Options in the Structural Analysis Guide.

Nonlinear Inelastic Models in the ANSYS LS-DYNA User's Guide.

MKIN Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 5, Maximum = 5

NPTS:

Not used.

TBOPT:

Stress-strain options.

0 --

No stress relaxation with temperature increase (this is not recommended for nonisothermal problems); also produces thermal ratcheting (default).

1 --

Recalculate total plastic strain using new weight factors of the subvolume.

2 --

Scale layer plastic strains to keep total plastic strain constant; agrees with Rice's model (TB, BKIN with TBOPT = 1). Produces stable stress-strain cycles.

References:

Multilinear Kinematic Hardening in the Elements Reference.

Plastic Material Options in the Structural Analysis Guide.

KINH Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 1, Maximum = 40

NPTS:

Number of data points to be specified for a given temperature. Default = 20, Maximum = 20

TBOPT:

Use 0 or leave blank to define stress -vs- total strain curve.

Use 4 or enter “PLASTIC” to define stress -vs- plastic strain curve. This option supports only elements LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, BEAM188, BEAM189, SHELL208, and SHELL209.

References:

Multilinear Kinematic Hardening in the Elements Reference.

Plastic Material Options in the Structural Analysis Guide.

CHABOCHE Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 1, Maximum value of NTEMP is such that NTEMP x (1 + 2NPTS) = 1000

NPTS:

Number of kinematic models to be superposed. Default = 1, Maximum value of NPTS is such that NTEMP x (1 + 2NPTS) = 1000

TBOPT:

Not used.

References:

Nonlinear Kinematic Hardening in the Elements Reference.

Plastic Material Options in the Structural Analysis Guide.

MISO Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 1, Maximum = 20

NPTS:

Number of data points to be specified for a given temperature. Default = 20, Maximum = 100

TBOPT:

Not used.

References:

Multilinear Isotropic Hardening in the Elements Reference.

Plastic Material Options in the Structural Analysis Guide.

BISO Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 6, Maximum = 6

NPTS:

Not used.

TBOPT:

Not used.

References:

Bilinear Isotropic Hardening in the Elements Reference.

Plastic Material Options in the Structural Analysis Guide.

Nonlinear Inelastic Models in the ANSYS LS-DYNA User's Guide.

NLISO Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 1, Maximum = 20

NPTS:

Number of data points to be specified for a given temperature. Default = 4, Maximum = 4

TBOPT:

Isotropic hardening options.

VOCE --

Voce hardening law. (default).

POWER --

Power hardening law..

References:

Nonlinear Isotropic Hardening in the Elements Reference.

Plastic Material Options in the Structural Analysis Guide.

HILL Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 1, Maximum = 40

NPTS:

Not used.

TBOPT:

Not used.

References:

Hill's Anisotropy in the Elements Reference.

Plastic Material Options in the Structural Analysis Guide.

ANISO Specifications

NTEMP:

Not used.

NPTS:

Not used.

TBOPT:

Not used.

References:

Anisotropic in the Elements Reference.

Plastic Material Options in the Structural Analysis Guide.

DP Specifications

NTEMP:

Not used.

NPTS:

Not used.

TBOPT:

Not used.

References:

Drucker-Prager in the Elements Reference.

Plastic Material Options in the Structural Analysis Guide.

MELAS Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 1, Maximum = 20

NPTS:

Number of data points to be specified for a given temperature. Default = 20, Maximum = 100

TBOPT:

Not used.

References:

Multilinear Elastic in the Elements Reference.

Multilinear Elasticity in the Structural Analysis Guide.

USER Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 1, Maximum value of NTEMP is such that NTEMP x NPTS = 1000

NPTS:

Number of data points to be specified for a given temperature. Default = 48, Maximum value of NPTS is such that NTEMP x NPTS = 1000

TBOPT:

Not used.

References:

User in the Elements Reference.

User Defined Material in the Structural Analysis Guide.

ANAND Specifications

NTEMP:

Not used.

NPTS:

Not used.

TBOPT:

Not used.

References:

Anand's Model in the Elements Reference.

Viscoplasticity in the Structural Analysis Guide.

RATE Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 1, Maximum value of NTEMP is such that NTEMP x NPTS = 1000

NPTS:

Number of data points to be specified for a given temperature. Default = 2, Maximum value of NPTS is such that NTEMP x NPTS = 1000

TBOPT:

Rate-dependent viscoplasticity options.

PERZYNA --

Perzyna model (default).

PEIRCE --

Peirce model.

References:

Rate-Dependent Plastic (Viscoplastic) Materials in the Elements Reference.

Viscoplasticity in the Structural Analysis Guide.

CREEP Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 1, Maximum value of NTEMP is such that NTEMP x NPTS = 1000 for implicit creep and 250 for explicit creep.

NPTS:

Number of data points to be specified for a given temperature. Default = 12 for implicit creep and 72 for explicit creep, Maximum value of NPTS is such that NTEMP x NPTS = 1000 for implicit creep and 250 for explicit creep.

TBOPT:

Creep model options.

0 --

(or Blank) Explicit creep option. Creep model is defined by constants C6, C12, and C66, through TBDATA. See Primary Explicit Creep Equation for C6 = 0 through Irradiation Induced Explicit Creep Equation for C66 = 5 in the Elements Reference for the associated equations. (Applicable to LINK1, LINK8, PIPE20, BEAM23, BEAM24, PLANE42, SHELL43, SOLID45, PIPE60, SOLID62, SOLID65, PLANE82, SOLID92, SOLID95, and PLANE183). C6 = 100 defines the USER CREEP option for explicit creep. You must define the creep law using the subroutine USERCR.F. See the Guide to ANSYS User Programmable Features for more information.

1 through 13 --

Implicit creep option. See Table 2.4: "Implicit Creep Equations" in the Elements Reference for a list of available equations. Use TBTEMP and TBDATA to define temperature-dependent constants. (Applicable to PLANE42, SOLID45, PLANE82, SOLID92, SOLID95, LINK180 , SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186 , SOLID187 , SOLSH190, BEAM188, BEAM189, SHELL208, and SHELL209).

100 --

USER CREEP option (Applicable ONLY to, LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, BEAM188, BEAM189, SHELL208, and SHELL209). for implicit creep. Use in conjunction with TB,STATE for defining the number of state variables. You must define the creep law using the subroutine USERCREEP.F. See the Guide to ANSYS User Programmable Features for more information. Use TBTEMP and TBDATA to define temperature-dependent constants.

References:

Creep Equations in the Elements Reference.

Creep in the Structural Analysis Guide.

SMA Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 1, maximum = 40.

NPTS:

Not used.

TBOPT:

Not used

References:

Shape Memory Alloys in the Elements Reference.

Shape Memory Alloys in the Structural Analysis Guide, and Shape Memory Alloy Material Model in the Theory Reference for ANSYS and ANSYS Workbench.

STATE Specifications

NTEMP:

Not used.

NPTS:

Number of state variables. Maximum = 1000

TBOPT:

Not used.

References:

User and Implicit Creep Equations in the Elements Reference.

User Defined Material and Implicit Creep Procedure in the Structural Analysis Guide.

SWELL Specifications

NTEMP:

Not used.

NPTS:

Not used.

TBOPT:

Not used.

References:

Swelling Equations in the Elements Reference.

Swelling in the Structural Analysis Guide.

BH Specifications

NTEMP:

Not used.

NPTS:

Number of data points to be specified. Default = 20, Maximum = 500

TBOPT:

Not used.

References:

Magnetic Materials in the Elements Reference.

Additional Guidelines for Defining Regional Material Properties and Real Constants in the Low-Frequency Electromagnetic Analysis Guide.

PIEZ Specifications

NTEMP:

Not used.

NPTS:

Not used.

TBOPT:

Piezoelectric matrix options.

0 --

Piezoelectric stress matrix [e] (used as supplied)

1 --

Piezoelectric strain matrix [d] (converted to [e] form before use)

References:

Piezoelectric Materials in the Elements Reference.

Piezoelectric Analysis in the Coupled-Field Analysis Guide.

FAIL Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 6, Maximum = 6

NPTS:

Not used.

TBOPT:

Not used.

References:

Failure Criteria in the Elements Reference.

Specifying Failure Criteria in the Structural Analysis Guide.

HYPER Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 1, Maximum value of NTEMP is such that NTEMP x NPTS = 1000

NPTS:

Number of data points to be specified for a given temperature, except for TBOPT = MOONEY, where NPTS is the number of parameters in the Mooney-Rivlin model (2 [default], 3, 5, or 9).

TBOPT:

Hyperelastic material options.

MOONEY --

Mooney-Rivlin model (default). You can choose a 2 parameter Mooney-Rivlin model with NPTS = 2 (default), or a 3, 5, or 9 parameter model by setting NPTS equal to one of these values.

References:

Mooney-Rivlin Hyperelastic Material Constants (TB,HYPER) in the Elements Reference.

Mooney-Rivlin Hyperelastic Option in the Structural Analysis Guide.

OGDEN --

Ogden model. For NPTS, the default = 1 and the maximum is such that NTEMP x NPTS x 3 = 1000.

References:

Ogden Hyperelastic Material Constants in the Elements Reference.

Ogden Hyperelastic Option in the Structural Analysis Guide.

NEO --

Neo-Hookean model. For NPTS, the default = 2 and the maximum = 2.

References:

Neo-Hookean Hyperelastic Material Constants in the Elements Reference.

Neo-Hookean Hyperelastic Option in the Structural Analysis Guide.

POLY --

Polynomial form model. For NPTS, the default = 1 and the maximum is such that NTEMP x NPTS = 1000.

References:

Polynomial Form Hyperelastic Material Constants in the Elements Reference.

Polynomial Form Hyperelastic Option in the Structural Analysis Guide.

BOYCE--

Arruda-Boyce model. For NPTS, the default = 3 and the maximum = 3.

References:

Arruda-Boyce Hyperelastic Material Constants in the Elements Reference.

Arruda-Boyce Hyperelastic Option in the Structural Analysis Guide.

GENT --

Gent model. For NPTS, the default = 3 and the maximum = 3.

References:

Gent Hyperelastic Material Constants in the Elements Reference.

Gent Hyperelastic Option in the Structural Analysis Guide.

YEOH --

Yeoh model. For NPTS, the default = 1 and the maximum is such that NTEMP x NPTS x 2 = 1000.

References:

Yeoh Hyperelastic Material Constants in the Elements Reference.

Yeoh Hyperelastic Option in the Structural Analysis Guide.

BLATZ --

Blatz-Ko model. For NPTS, the default = 1 and the maximum = 1.

References:

Blatz-Ko Foam Hyperelastic Material Constants in the Elements Reference.

Blatz-Ko Hyperelastic Option in the Structural Analysis Guide.

FOAM --

Hyperfoam (Ogden) model. For NPTS, the default = 1 and the maximum is such that NTEMP x NPTS x 3 = 1000.

References:

Ogden Compressible Foam Hyperelastic Material Constants in the Elements Reference.

Ogden Compressible Foam Hyperelastic Option in the Structural Analysis Guide.

USER --

User-defined hyperelastic model. See the ANSYS Guide to User Programmable Features for details.

References:

User-Defined Hyperelastic Material in the Elements Reference.

User-Defined Hyperelastic Option in the Structural Analysis Guide.

MOONEY Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 6, Maximum = 6 (NTEMP is not used for explicit dynamic elements)

NPTS:

Not used.

TBOPT:

Mooney-Rivlin material option, applicable to explicit dynamic elements PLANE162, SHELL163, SOLID164, and SOLID168.

0 --

Direct input of hyperelastic material constants (default).

1 --

Reserved for future use.

2 --

Material constants to be calculated by the LS-DYNA program from experimental data. This option is only valid for explicit dynamic elements.

References:

Nonlinear Elastic Models in the ANSYS LS-DYNA User's Guide.

WATER Specifications

NTEMP:

Not used.

NPTS:

Not used.

TBOPT:

Not used.

References:

PIPE59 in the Elements Reference.

GASKET Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 1.

NPTS:

Number of data points to be specified for a given temperature. Default = 5 for TBOPT = PARA. Default = 1 for all other values of TBOPT.

TBOPT:

Gasket material options.

PARA --

Gasket material general parameters.

COMP --

Gasket material compression data.

LUNL --

Gasket linear unloading data.

NUNL --

Gasket nonlinear unloading data.

TSS --

Transverse shear data.

References:

Gasket Materials in the Elements Reference.

Gasket Joints Simulation in the Structural Analysis Guide.

ANEL Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 6, Maximum = 6. NTEMP is not used for explicit dynamic elements.

NPTS:

Not used.

TBOPT:

Anisotropic elastic matrix options.

0 --

Elasticity matrix used as supplied (input in stiffness form).

1 --

Elasticity matrix inverted before use (input in flexibility form). This option is not valid for explicit dynamic elements.

References:

Anisotropic Elastic Materials in the Elements Reference.

Linear Elastic Models in the ANSYS LS-DYNA User's Guide.

CONCR Specifications

NTEMP:

Number of temperatures for which data will be provided (used only if TBOPT = 0 or 1). Default = 6, Maximum = 6

NPTS:

Not used.

TBOPT:

Concrete material options.

0 or 1 --

General ANSYS concrete option for element SOLID65.

2 --

Concrete damage model for explicit dynamic elements SOLID164 and SOLID168.

References:

SOLID65 in the Elements Reference.

Concrete Damage Model in the ANSYS LS-DYNA User's Guide.

GCAP Specifications

NTEMP:

Not used.

NPTS:

Not used.

TBOPT:

Not used.

References:

Pressure Dependent Plasticity Models in the ANSYS LS-DYNA User's Guide.

HFLM Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 1, Maximum = 20

NPTS:

Number of data points to be specified for a given temperature. Default = 1, Maximum = 100

TBOPT:

Not used.

References:

FLUID116 in the Elements Reference.

FCON Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 1, Maximum = 20

NPTS:

Number of data points to be specified for a given temperature. Default = 1, Maximum = 100

TBOPT:

Not used.

References:

FLUID116 in the Elements Reference.

EVISC Specifications

NTEMP:

Not used.

NPTS:

Not used.

TBOPT:

Not used.

References:

Viscoelastic Material Constants in the Elements Reference.

Nonlinear Elastic Models in the ANSYS LS-DYNA User's Guide.

PLAW Specifications

NTEMP:

Not used.

NPTS:

Not used.

TBOPT:

Plasticity options for explicit dynamics elements (no default - must specify).

1 --

Isotropic/kinematic hardening model.

2 --

Strain rate dependent plasticity model used for metal and plastic forming analyses.

3 --

Anisotropic plasticity model (Barlat and Lian).

4 --

Strain rate dependent plasticity model used for superplastic forming analyses.

5 --

Strain rate dependent isotropic plasticity model used for metal and plastic forming analyses.

6 --

Anisotropic plasticity model (Barlat, Lege, and Brem) used for forming processes.

7 --

Fully iterative anisotropic plasticity model for explicit shell elements only.

8 --

Piecewise linear plasticity model for explicit elements only.

9 --

Elastic-plastic hydrodynamic model for explicit elements only.

10 --

Transversely anisotropic FLD (flow limit diagram) model for explicit elements only.

11 --

Modified piecewise linear plasticity model for explicit shell elements only.

12 --

Elastic viscoplastic thermal model for explicit solid and shell elements only.

References:

Nonlinear Inelastic Models in the ANSYS LS-DYNA User's Guide.

Pressure Dependent Plasticity Models in the ANSYS LS-DYNA User's Guide.

FOAM Specifications

NTEMP:

Not used.

NPTS:

Not used.

TBOPT:

Foam material options for explicit dynamics elements (no default - must specify).

1 --

Rigid, closed cell, low density polyurethane foam material model.

2 --

Highly compressible urethane foam material model.

3 --

Energy absorbing foam material model.

4 --

Crushable foam material model.

References:

Foam Models in the ANSYS LS-DYNA User's Guide.

HONEY Specifications

NTEMP:

Not used.

NPTS:

Not used.

TBOPT:

Not used.

References:

Foam Models in the ANSYS LS-DYNA User's Guide.

COMP Specifications

NTEMP:

Not used.

NPTS:

Not used.

TBOPT:

Not used.

References:

Composite Damage Model in the ANSYS LS-DYNA User's Guide.

EOS Specifications

NTEMP:

Not used.

NPTS:

Not used.

TBOPT:

Equation of state (explicit dynamics elements only - no default, must specify).

1 --

Johnson-Cook material model - for strain, strain rate, and temperature dependent impact/forming analyses.

2 --

Null material model - for allowing equation of state to be considered without computing deviatoric stresses.

3 --

Zerilli-Armstrong material model - for metal forming processes in which the stress depends on strain, strain rate, and temperature.

4 --

Bamman material model - for metal forming processes with strain rate and temperature dependent plasticity. Does not require an additional equation of state (EOSOPT is not used).

5 --

Steinberg material model - for modeling high strain rate effects in solid elements with failure.

References:

Equation of State Models in the ANSYS LS-DYNA User's Guide.

DISCRETE Specifications

NTEMP:

Not used.

NPTS:

Not used.

TBOPT:

Explicit spring-damper (discrete) material options.

0 --

Linear elastic spring (translational or rotational elastic spring) (default)

1 --

Linear viscous damper (linear translational or rotational damper)

2 --

Elastoplastic spring (elastoplastic translational or rotational spring with isotropic hardening)

3 --

Nonlinear elastic spring (nonlinear elastic translational or rotational spring with arbitrary force/displacement response moment/rotation dependency)

4 --

Nonlinear viscous damper (nonlinear damping with arbitrary force/velocity response moment/rotational velocity dependency)

5 --

General nonlinear spring (general nonlinear translational or rotational spring with arbitrary loading and unloading definitions)

6 --

Maxwell viscoelastic spring (Maxwell viscoelastic translational or rotational spring)

7 --

Inelastic tension or compression-only spring (inelastic tension or compression only, translational or rotational spring)

References:

Spring-Damper (Discrete) Models in the ANSYS LS-DYNA User's Guide.

CAST Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 1; Max = 10.

NPTS:

Not used.

TBOPT:

Defines hardening type.

ISOTROPIC --

Specifies cast iron plasticity with isotropic hardening.

References:

Cast Iron Plasticity in the Elements Reference.

UNIAXIAL Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 1; Max = 10.

NPTS:

Number of data points to be specified for a given temperature. Default = 20; Max = 20.

TBOPT:

Defines stress-strain relationship for cast iron plasticity.

TENSION --

Defines stress-strain relation in tension

COMPRESSION --

Defines stress-strain relation in compression.

References:

Cast Iron Plasticity in the Elements Reference.

PRONY Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 1; Max = 100.

NPTS:

Number of pairs of Prony series. Default = 1 pair; Max = 100 pairs.

The total number of data points allowed is 1000.

TBOPT:

Defines the relaxation behavior for viscoelasticity.

1 --

(or SHEAR) relaxation behavior of the shear response.

2 --

(or BULK) relaxation behavior of the volumetric response.

References:

Viscoelastic Material Constants in the Elements Reference.

SHIFT Specifications

NTEMP:

Allows one temperature for which data will be provided.

NPTS:

Number of material constants to be entered as determined by the shift function specified by TBOPT.

3 --

for TBOPT = WLF

2 --

TBOPT = TN

TBOPT:

Defines the shift function

1 --

( or WLF) William-Landel-Ferry shift function.

2 --

(or TN) Tool-Narayanaswamy shift function.

100 --

(or USER) User-defined shift function.

References:

Viscoelastic Material Constants in the Elements Reference.

PZRS Specifications

NTEMP:

Not used.

NPTS:

Not used.

TBOPT:

Piezoresistive matrix options

0 --

Piezoresistive stress matrix (used as supplied).

1 --

Piezoresistive strain matrix (used as supplied).

References:

Piezoresistive Materials in the Elements Reference.

Piezoresistive Analysis in the Coupled-Field Analysis Guide.

CNDE Specifications

NTEMP:

Not used.

NPTS:

Not used.

TBOPT:

Not used.

References:

High-Frequency Electromagnetic Materials in the Elements Reference.

CNDM Specifications

NTEMP:

Not used.

NPTS:

Not used.

TBOPT:

Not used.

References:

High-Frequency Electromagnetic Materials in the Elements Reference.

DPER Specifications

NTEMP:

Not used.

NPTS:

Not used.

TBOPT:

Not used for HF118, HF119, and HF120.

Permittivity matrix options for PLANE223, SOLID226, and SOLID227:

0 --

Permittivity matrix at constant strain [εS] (used as supplied).

1 --

Permittivity matrix at constant stress [εT] (converted to [εS] form before use).

References:

Anisotropic Electric Permittivity Materials in the Elements Reference.

MUR Specifications

NTEMP:

Not used.

NPTS:

Not used.

TBOPT:

Anisotropic relative permeability options:

0 --

Input permeability matrix.

1 --

Generate permeability matrix for B-H nonlinear material with uniform dc internal magnetic field.

2 --

Generate permeability matrix for B-H nonlinear material with non-uniform dc internal magnetic field.

References:

High-Frequency Electromagnetic Materials in the Elements Reference.

JOIN Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 1.

NPTS:

Number of data points to be specified for a given temperature. NPTS is ignored if TBOPT = STIF, DAMP, or FRIC.

TBOPT:

Joint element material options.

Linear stiffness behavior:

STIF --

Linear stiffness.

Nonlinear stiffness behavior:

JNSA --

Nonlinear stiffness behavior in all available components of relative motion for the joint element.

JNS1 --

Nonlinear stiffness behavior in local UX direction only.

JNS2 --

Nonlinear stiffness behavior in local UY direction only.

JNS3 --

Nonlinear stiffness behavior in local UZ direction only.

JNS4 --

Nonlinear stiffness behavior in local ROTX direction only.

JNS5 --

Nonlinear stiffness behavior in local ROTY direction only.

JNS6 --

Nonlinear stiffness behavior in local ROTZ direction only.

Linear damping behavior:

DAMP --

Linear damping.

Nonlinear damping behavior:

JNDA --

Nonlinear damping behavior in all available components of relative motion for the joint element.

JND1 --

Nonlinear damping behavior in local UX direction only.

JND2 --

Nonlinear damping behavior in local UY direction only.

JND3 --

Nonlinear damping behavior in local UZ direction only.

JND4 --

Nonlinear damping behavior in local ROTX direction only.

JND5 --

Nonlinear damping behavior in local ROTY direction only.

JND6 --

Nonlinear damping behavior in local ROTZ direction only.

Hysteretic friction:

FRIC --

Stick stiffness for hysteretic frictional behavior.

Nonlinear hysteretic friction:

JNFA --

Nonlinear friction behavior in all available components of relative motion for the joint element.

JNF1 --

Nonlinear friction behavior in local UX direction only.

JNF2 --

Nonlinear friction behavior in local UY direction only.

JNF3 --

Nonlinear friction behavior in local UZ direction only.

JNF4 --

Nonlinear friction behavior in local ROTX direction only.

JNF5 --

Nonlinear friction behavior in local ROTY direction only.

JNF6 --

Nonlinear friction behavior in local ROTZ direction only.

References:

MPC184 Joint Materials in the Elements Reference.

PLASTIC Specifications

NTEMP:

The number of temperature points (default = 1). You can specify up to 20.

NPTS:

The number of stress versus plastic strain data points (default = 20). You can specify up to 100.

TBOPT:

Type of plastic hardening:

MISO --

Multilinear isotropic hardening plasticity.

KINH --

Multilinear kinematic hardening plasticity.

References:

Plasticity in the Structural Analysis Guide.

Multilinear Kinematic Hardening in the Elements Reference.

Multilinear Isotropic Hardening in the Elements Reference.

ELASTIC Specifications

NTEMP:

Not used.

NPTS:

Number of properties to be defined for the material option.

2 --

Isotropic property (EX, NUXY). This is the default.

9 --

Orthotropic properties with minor Poisson's ratio (EX, EY, EZ, GXY, GYZ, GXZ, NUXY, NUYZ, NUXZ).

NOTE: All 9 constants must be defined for orthotropic material, even for the 2-D case.

21 --

Anisotropic property with stiffness form of input (D11, D21, D31, D41, D51, D61, D22, D32, D42, D52, D62, D33, D43, ..... D66).

TBOPT:

Not Used.

References:

See the TBFIELD command for more information on defining temperature and/or frequency dependent properties.

Full Harmonic Response Analysis in the Structural Analysis Guide.

SDAMP Specifications

NTEMP:

Not used.

NPTS:

Number of properties to be defined for the material option.

1 --

Structural damping coefficient. This is the default.

TBOPT:

Not Used.

References:

See the TBFIELD command for more information on defining temperature and/or frequency dependent properties.

Full Harmonic Response Analysis in the Structural Analysis Guide.

FRIC Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 1; Max = 40.

NPTS:

Not used.

TBOPT:

Friction options:

ISO --

Isotropic friction (one coefficient of friction, MU). This option is valid for all 2-D and 3-D contact elements. (Default.)

ORTHO --

Orthotropic friction (two coefficients of friction, MU1 and MU2). This option is valid for CONTA173, CONTA174, CONTA175, and CONTA176.

References:

Contact Friction in the Elements Reference.

CZM Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 1.

NPTS:

Number of data points to be specified for a given temperature.

TBOPT:

Cohesive zone material options.

EXPO --

Exponential material behavior (valid for interface elements only).

CBDD --

Bilinear material behavior with linear softening characterized by maximum traction and maximum separation (valid for contact elements only).

CBDE --

Bilinear material behavior with linear softening characterized by maximum traction and critical energy release rate (valid for contact elements only).

References:

Interface Delamination and Failure Simulation in the Structural Analysis Guide.

Cohesive Zone Materials in the Elements Reference.

AHYPER Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 1.

NPTS:

Number of data points to be specified for a given temperature.

TBOPT:

Anisotropic hyperelastic material options.

POLY --

Anisotropic potential.

AVEC --

Define the A vector.

BVEC --

Define the B vector.

PVOL --

Volumetric potential.

References:

Anisotropic Hyperelasticity in the Elements Reference.

Anisotropic Hyperelasticity in the Theory Reference for ANSYS and ANSYS Workbench

EDP Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 1.

NPTS:

Number of data points to be specified for a given temperature.

TBOPT:

EDP material options.

LYFUN --

LInear yield function.

PYFUN --

Power law yield function.

HYFUN --

Hyperbolic yield function.

LFPOT --

Linear flow potential function.

PFPOT --

Power law flow potential function.

HFPOT --

Hyperbolic flow potential function.

CYFUN --

CAP yield function.

CFPOT --

CAP flow potential function.

References:

See Extended Drucker Prager in the Elements Reference.

Also see Plastic Material Options in the Structural Analysis Guide.

GURSON Specifications

NTEMP:

Number of temperatures for which data will be provided. Default = 1.

NPTS:

Number of data points to be specified for a given temperature.

TBOPT:

GURSON material options.

BASE --

Basic model without nucleation or coalescence. (default)

SNNU --

Strain controlled nucleation.

SSNU --

Stress controlled nucleation.

COAL --

Coalescence

References:

See Gurson's Model in the Elements Reference.

Also see Plastic Material Options in the Structural Analysis Guide.

Notes

TB activates a data table to be used with subsequent TBDATA or TBPT commands. The table space is initialized to zero values. Data from this table are used for certain nonlinear material descriptions as well as for special input for some elements. See Data Tables - Implicit Analysis in the Elements Reference for a description of table types (Lab) or the elements that require the table for special data. See Material Models in the ANSYS LS-DYNA User's Guide for a description of data table input required for explicit dynamic materials. See the MP command for linear material property input.

The type of data table specified remains active until the TB command is reissued. More than one type of data table may be defined for each material (e.g., MISO and CREEP), except that only one type of plasticity/elasticity may be used for each material.

This command is also valid in SOLUTION.

Product Restrictions

Lab = BH is allowed in ANSYS only with the Emag. Only Lab = FAIL is allowed in ANSYS Professional. Only Lab = BH is allowed in ANSYS Emag. Lab = COMP is not allowed in ANSYS ED.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Material Models
Main Menu>Preprocessor>Material Props>Material Models
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Material Models

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TALLOW 		Up / Home Next
TBCOPY


TBCOPY

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TBCOPY, Lab, MATF, MATT

Copies a data table from one material to another (see "Notes").

PREP7: Data Tables

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Lab

Data table label (see the TB command for valid labels, and see "Notes" for Lab = ALL).

MATF

Material reference number where data table is to be copied from.

MATT

Material reference number where data table is to be copied to.

Notes

The TBCOPY command, with Lab = ALL, copies all of the nonlinear data defined by the TB command. If you copy a model that includes both yield behavior constants and linear constants (for example, a BKIN model), TBCOPY,ALL and MPCOPY are used together to copy the entire model. All input data associated with the model is copied, that is, all data defined through the TB and MP commands.

Also, if you copy a material model using the Material Model Interface (Edit> Copy), both the commands TBCOPY,ALL and MPCOPY are issued, regardless of whether the model includes linear constants only, or if it includes a combination of linear and yield behavior constants.

This command is also valid in SOLUTION.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Material Models
Main Menu>Preprocessor>Material Props>Material Models
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Material Models

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TB 		Up / Home Next
TBDATA


TBDATA

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TBDATA, STLOC, C1, C2, C3, C4, C5, C6

Defines data for the data table.

PREP7: Data Tables

MP ME ST PR PRN <> <> <> EM <> <> PP <>

STLOC

Starting location in table for entering data. For example, if STLOC = 1, data input in the C1 field applies to the first table constant, C2 applies to the second table constant, etc. If STLOC=5, data input in the C1 field applies to the fifth table constant, etc. Defaults to the last location filled + 1. The last location is reset to 1 with each TB or TBTEMP command.

C1, C2, C3, . . . , C6

Data values assigned to six locations starting with STLOC. If a value is already in this location, it is redefined. A blank value leaves the existing value unchanged.

Notes

Defines data for the table specified on the last TB command at the temperature specified on the last TBTEMP command (if applicable). The type of data table specified in the last TB command determines the number of data values needed in TBDATA. Data values are linearly interpolated for temperatures that fall between user defined TBTEMP values. See Data Tables - Implicit Analysis of the Elements Reference for the number of data values required for different material behavior options.

This command is also valid in SOLUTION.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Material Models
Main Menu>Preprocessor>Material Props>Material Models
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Material Models

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TBCOPY 		Up / Home Next
TBDELE


TBDELE

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TBDELE, Lab, MAT1, MAT2, INC

Deletes previously defined data tables.

PREP7: Data Tables

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Lab

Data table label (see the TB command for valid labels). If ALL, delete all data tables.

MAT1, MAT2, INC

Delete tables for materials MAT1 to (MAT2 defaults to MAT1) in steps of INC (defaults to 1). If MAT1= ALL, ignore MAT2 and INC and delete data tables for all materials.

Notes

This command is also valid in SOLUTION.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Material Models
Main Menu>Preprocessor>Material Props>Material Models
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Material Models

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TBDATA 		Up / Home Next
TBFIELD


TBFIELD

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TBFIELD, Type, Value

Defines values of field variables for the material data tables.

PREP7: Data Tables

MP ME ST <> <> <> <> <> <> <> <> PP <>

Type

Type of field variable:

Freq
 —

A frequency will be specified in Value

Temp
 —

A temperature will be specified in Value

Value

The frequency or temperature to be referenced (use this command multiple times to enter values of different field variables).

Notes

You use this command only with TB, ELASTIC, or TB, SDAMP to define multiple field values for frequency and/or temperature dependent material data tables. Enter the appropriate TB,ELASTIC or TB,SDAMP option first to define your data tables as temperature and/or frequency-dependent. Then issue the TBFIELD command to define your temperature and/or frequency values. Data values must be defined in ascending order for both temperature and frequency. If a temperature or frequency value is to be held constant, it should be defined only once; subsequent definitions will be ignored. There is no limit on the number of values you can specify. The specified temperature or frequency remains active until the next TBFIELD command is input. Once you define temperature and/or frequency value(s), use TBDATA to define your data for the data tables.

See Full Harmonic Response Analysis in the Structural Analysis Guide for more information.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TBDELE 		Up / Home Next
TBFT


TBFT

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TBFT, Oper, ID, Option1, Option2, Option3, Option4, Option5, Option6, Option7

Performs material curve fitting operations.

PREP7: Materials

MP ME ST <> PRN <> <> <> <> <> <> PP <>

Use material curve fitting to evaluate your experimental data and correlate it to the nonlinear material models built into ANSYS. You apply coefficients to your curve data, determine a fit with existing model, and write the data according to the table configurations outlined in the TB command. Curve fitting is available for nonlinear models associated with the material behaviors listed below:

For hyperelastic material behavior, see "TBFT Specifications for Hyperelastic Models", below.

For creep material behavior, see "TBFT Specifications for Creep Models", below.

For viscoelastic material behavior, see "TBFT Specifications for Viscoelastic Models", below.

TBFT Specifications for Hyperelastic Models

TBFT, Oper, ID, Option1, Option2, Option3, Option4, Option5, Option6, Option7

Oper

The specific curve fitting operation:

FADD

Define a constitutive model.

FDEL

Delete a constitutive model.

FSET

Write data related to a constitutive model to the database (same as TB command).

SET

Initialize coefficients of a constitutive model for nonlinear curve-fitting procedure.

CDEL

Deletes coefficients at current reference temperature. Applicable only for temperature dependent coefficients.

SOLVE

Solve for coefficients.

FIX

Fix (hold constant) the coefficient you specify in Option4.

EADD

Add experimental data.

EDEL

Delete experimental data.

LIST

List all data associated with the material model represented by the material ID number.

PLOT

Plot curves.

ID

The material reference number (same as MAT argument used in the TB command). Valid entry is any number greater than zero (default = 1) but less than 100,000.

Option1

For curve fit function operations (Oper = FADD, FDEL, FSET, SET, CDEL, SOLVE or FIX) this field specifies the category (HYPER).

For adding, deleting, or plotting your experiment (Oper = EADD, EDEL, or PLOT), this field specifies the experimental data type. Valid entries are: UNIA, BIAX, SHEA, SSHE,and VOLU (default = UNIA).

Option2

For curve fit function operations (Oper = FADD, FDEL, FSET, SET, CDEL, SOLVE, or FIX), this field specifies constitutive model type. The valid entries are listed in Hyperelastic Options below.

When you need to specify a filename from which to get experimental data (Oper = EADD), place that string here. Valid entry is any filename string. You can enter the entire path\filename.extension string and leave the next two fields (Option3 and Option4) blank, or you can specify the name here, the extension in the next field, and the path following.

For plotting (Oper = PLOT), enter HYPER.

Option3

For Oper = FADD, FDEL, FSET, CDEL, SET, SOLVE or FIX, some of the cases specified inOption2 will require that the polynomial order be specified. The applicable values for the order specification are listed in Hyperelastic Options.

If a filename for experimental data is being specified in Option2 (Oper = EADD), this field will contain the file extension.

For plotting operations (Oper = PLOT), use this field to specify the constitutive model name (see Hyperelastic Options ).

Option4

When you are working on a specific coefficient (Oper = FIX), this field specifies the index of that coefficient. Valid entries vary from 1 to n, where n is the total number of coefficients (default = 1).

For Oper = SET, see Set Operations, below.

If a filename for experimental data is being specified in Option2 (Oper = EADD), this field will contain the directory/path specification.

For Oper = PLOT, this field specifies the order of the polynomial if applicable, as listed in Hyperelastic Options .

If Oper = SOLVE, this value specifies the curve-fitting procedure. Valid entries are 0 for unnormalized least squares curve-fitting procedure, and 1 for normalized least squares curve-fitting procedure.

Option5

When you are working on a specific coefficient (Oper = FIX), this field specifies the index of that coefficient. Valid entries vary from 1 to N, where N is the total number of coefficients (default = 1)

For Oper = SET, see Set Operations, below.

Set Operations

Purpose | Option4 | Option5
Set the value of the coefficient. | Index of coefficient | Value of that coefficient
Turn temperature dependency ON/OFF | tdep | 1 for ON and 0 for OFF
Set reference temperature | tref | Temperature value

If Oper = SOLVE, use this field to specify the number of iterations to be used in the calculation of the coefficients. Valid entry is any positive integer (default = 1000)

Option6

If Oper = SOLVE, specifies the allowed tolerance in residual change to stop an iteration. Valid entry is 0.0 to 1.0 (default = 0.0).

Option7

If Oper = SOLVE, specifies the allowed tolerance in coefficient change to stop an iteration. Valid entry is 0 to 1 (default = 0).

Hyperelastic Options

Option1 | Option2 | Option3
HYPER | MOON | 2, 3, 5, 9
HYPER | POLY | 1 to N
HYPER | OGDEN | 1 to N
HYPER | YEOH | 1 to N
HYPER | BOYC | NA
HYPER | GENT | NA
HYPER | NEO | NA
HYPER | BLAT | NA
HYPER | FOAM | 1 to N

Following table summarizes the format for hyperelastic operations via the TBFT command:

Hyperelastic Model Command Summary

Oper | ID | Option1 | Option2 | Option3 | Option4 | Option5 | Option6 | Option7
FADD | ID | HYPER | Option | Order |  |  |  |
FDEL | ID | HYPER | Option | Order |  |  |  |
FSET | ID | HYPER | Option | Order |  |  |  |
SET | ID | HYPER | Option | Order | Index | Value |  |
SOLVE | ID | HYPER | Option | Order | Norm Flag | Num Iter | RTOL | CTOL
FIX | ID | HYPER | Option | Order | Index | Fix / Unfix Flag |  |
EADD | ID | Exp Type | File | Extension | Directory |  |  |
EDEL | ID | Exp Type / Index |  |  |  |  |  |
PLOT | ID | Exp Type / Index | HYPER | Option | Order |  |  |

TBFT Specifications for Creep Models

TBFT, Oper, ID, Option1, Option2, Option3, . . . , Option7

Oper

The specific curve fitting operation:

FADD

Define a constitutive model.

FDEL

Delete a constitutive model.

FSET

Write data related to a constitutive model to the database (same as TB command).

SET

Initialize coefficients of a constitutive model for nonlinear curve-fitting procedure.

CDEL

Deletes coefficients at current reference temperature. Applicable only for temperature dependent coefficients.

SOLVE

Solve for coefficients.

FIX

Fix (hold constant) the coefficient you specify in Option4.

EADD

Add experimental data.

EDEL

Delete experimental data.

LIST

List all data associated with the material model represented by the material ID number.

PLOT

Plot curves.

ID

The material reference number (same as MAT argument used in the TB command). Valid entry is any number greater than zero (default = 1) but less than 100,000.

Option1

For curve fit function operations (Oper = FADD, FDEL, FSET, SET, CDEL, SOLVE or FIX) this field specifies the category (CREEP).

For adding, deleting, or plotting your experiment (Oper = EADD, EDEL, or PLOT), this field specifies the experimental data type (CREEP).

Option2

For curve fit function operations (Oper = FADD, FDEL, FSET, SET, CDEL, SOLVE, or FIX), this field specifies constitutive model type. The valid entries are listed in Creep Options below.

When you need to specify a filename from which to get experimental data (Oper = EADD), place that string here. Valid entry is any filename string. You can enter the entire path\filename.extension string and leave the next two fields (Option3 and Option4) blank, or you can specify the name here, the extension in the next field, and the path following.

For plotting (Oper = PLOT), enter HYPER.

Option3

If a filename for experimental data is being specified in Option2 (Oper = EADD), this field will contain the file extension.

For plotting operations (Oper = PLOT), use this field to specify the constitutive model name (see Creep Options ).

Option4

When you are working on a specific coefficient (Oper = FIX), this field , specifies the index of that coefficient. Valid entries vary from 1 to n, where n is the total number of coefficients (default = 1).

For Oper = SET, see Set Operations, below.

If a filename for experimental data is being specified in Option2 (Oper = EADD), this field will contain the directory/path specification.

If Oper = SOLVE, this value specifies the curve-fitting procedure. Valid entries are 0 for unnormalized least squares curve-fitting procedure, and 1 for normalized least squares curve-fitting procedure.

Option5

If Oper = SOLVE, use this field to specify the number of iterations to be used in the calculation of the coefficients. Valid entry is any positive integer (default = 1000)

If you specify a coefficient to be held constant (Oper = FIX), enter a 1 to FIX the coefficient, and a 0 to allow it to vary (turn fixing OFF).

For Oper = SET, see Set Operations, below.

Set Operations

Purpose | Option4 | Option5
Set the value of the coefficient | Index of coefficient | Value of coefficient
Turn temperature dependency ON/OFF | tdep | 1 for ON and 0 for OFF
Set reference temperature | tref | Temperature value
Option6

If Oper = SOLVE, specifies the allowed tolerance in residual change to stop an iteration. Valid entry is 0.0 to 1.0 (default = 0.0).

Option7

If Oper = SOLVE, specifies the allowed tolerance in coefficient change to stop an iteration. Valid entry is 0 to 1 (default = 0).

Creep Options

Category | Name | Option
CREEP | SHAR | NA
CREEP | THAR | NA
CREEP | GEXP | NA
CREEP | GGRA | NA
CREEP | GBLA | NA
CREEP | MTHA | NA
CREEP | MSHA | NA
CREEP | GGAR | NA
CREEP | EXPO | NA
CREEP | NORT | NA
CREEP | PSTH | NA
CREEP | PSRP | NA
CREEP | GTHA | NA

Following table summarizes the format for creep operations via the TBFT command:

Creep Model Command Summary

Oper | ID | Option1 | Option2 | Option3 | Option4 | Option5 | Option6 | Option7
FADD | ID | CREEP | Option | NA |  |  |  |
FDEL | ID | CREEP | Option | NA |  |  |  |
FSET | ID | CREEP | Option | NA |  |  |  |
SET | ID | CREEP | Option | NA | Index | Value |  |
SOLVE | ID | CREEP | Option | NA | Norm Flag | Num Iter | RTOL | CTOL
FIX | ID | CREEP | Option | NA | Index | Fix / Unfix Flag |  |
EADD | ID | Exp Type | File | Extension | Directory |  |  |
EDEL | ID | Exp Type / Index |  |  |  |  |  |
PLOT | ID | Exp Type / Index | CREEP | Option |  |  |  |

TBFT Specifications for Viscoelastic Models

TBFT, Oper, ID, Option1, Option2, Option3, . . . , Option7

Oper

The specific curve fitting operation:

FCASE

Define a case/constitutive model for viscoelasticity (prony).

FADD

Define a constitutive model.

FDEL

Delete a constitutive model.

FSET

Write data related to a constitutive model to the database (same as TB command).

SET

Initialize coefficients of a constitutive model for nonlinear curve-fitting procedure.

CDEL

Deletes coefficients at current reference temperature. Applicable only for temperature dependent coefficients.

SOLVE

Solve for coefficients.

FIX

Fix (hold constant) the coefficient you specify in Option4.

EADD

Add experimental data.

EDEL

Delete experimental data.

LIST

List all data associated with the material model represented by the material ID number.

PLOT

Plot curves.

ID

The material reference number (same as MAT argument used in the TB command). Valid entry is any number greater than zero (default = 1) but less than 100,000.

Option1

This option is set to VISCO for adding coefficients (Oper = FADD). The FADD operation is used to specify the shear order, the bulk order or the shift option.

This option (Oper = CASE) is set to NEW or FINI. The FADD commands are always enclosed by TBFT,FCASE, ID, NEW and TBFT,FCASE, ID, FINI. See "Material Curve Fitting" in the Structural Analysis Guide for more information.

For other curve fit function operations (Oper = FDEL, FSET, SET, CDEL, SOLVE or FIX) this field is set to CASE.

For adding, deleting or plotting your experiment (Oper = EADD, EDEL, or PLOT), this field specifies the experiment type. Valid entries are: SDEC (Shear Modulus vs. Time) or BDEC (Bulk Modulus vs. Time).

Option2

For defining your viscoelastic case (Oper = FCASE), you specify PVHE.

For curve fit function operations (Oper = FDEL, FSET, SET, CDEL, SOLVE, or FIX), this field specifies the case name.

To create a new case (Oper = FADD), the valid options are listed in Viscoelastic Options below.

When you need to specify a filename from which to get experimental data (Oper = EADD), place that string here. Valid entry is any filename string. You can enter the entire path\filename.extension string and leave the next two fields (Option3 and Option4) blank, or you can specify the name here, the extension in the next field, and the path following.

For plotting (Oper = PLOT), enter the CASE name.

Option3

For Oper = FCASE, this field specifies the CASE name.

For Oper = FADD, this field specifies the order

If a filename for experimental data is being specified in Option2 (Oper = EADD), this field will contain the file extension.

For plotting operations (Oper = PLOT), use this field to specify the CASE name.

Option4

When you are working on a specific coefficient (Oper = FIX), this field specifies the index of that coefficient. Valid entries vary from 1 to n, where n is the total number of coefficients (default = 1).

For Oper = SET, see Set Operations, below.

You can also specify TREF to indicate the reference temperature, or COMP for a partial/complete solution (only for bulk, only for shear, or all coefficients).

If a filename for experimental data is being specified in Option2 (Oper = EADD), this field will contain the directory/path specification.

If Oper = SOLVE, this value specifies the curve-fitting procedure. Valid entries are 0 for unnormalized least squares curve-fitting procedure, and 1 for normalized least squares curve-fitting procedure.

Option5

For Oper = SET, see Set Operations, below.

Set Operations

Purpose | Option4 | Option5
Set the value of the coefficient | Index of coefficient | Value of coefficient
Turn temperature dependency ON/OFF | tdep | 1 for ON and 0 for OFF
Set reference temperature | tref | Temperature value
Set current component to solve for | comp | pshea, pbulk, or pvhe

If Oper = SOLVE, use this field to specify the number of iterations to be used in the calculation of the coefficients. Valid entry is any positive integer (default = 1000).

If you are specifying a coefficient to be held constant (Oper = FIX), a 1 FIXES the specified coefficient, and a 0 allows it to vary (turns fixing OFF).

Option6

If Oper = SOLVE, specifies the allowed tolerance in residual change to stop an iteration. Valid entry is 0.0 to 1.0 (default = 0.0).

Option7

If Oper = SOLVE, specifies the allowed tolerance in coefficient change to stop an iteration. Valid entry is 0 to 1 (default = 0).

Viscoelastic Options

Category | Name | Option
VISCO | PSHEAR | 1 to N
VISCO | PBULK | 1 to N
VISCO | SHIFT | TN, WLF, NONE

Following table summarizes the format for viscoelastic operations via the TBFT command:

Viscoelastic Models

Oper | ID | Option1 | Option2 | Option3 | Option4 | Option5 | Option6 | Option7
FCASE | ID | NEW | PVHE | Case Name |  |  |  |
FCASE | ID | FINI |  |  |  |  |  |
FADD | ID | VISCO | Option | Order |  |  |  |
FDEL | ID | CASE | Case Name | NA |  |  |  |
FSET | ID | CASE | Case Name | NA |  |  |  |
SET | ID | CASE | Case Name | NA | Index | Value |  |
SOLVE | ID | CASE | Case Name | NA | Norm Flag | Num Iter | RTOL | CTOL
FIX | ID | CASE | Case Name | NA | Index | Fix / Unfix Flag |  |
EADD | ID | Exp Type | File | Extension | Directory |  |  |
EDEL | ID | Exp Type / Index |  |  |  |  |  |
PLOT | ID | Exp Type / Index | CASE | Case Name | NA |  |  |

Notes

This command provides tools for comparing experimental material data to the calculated data ANSYS supplies for various non linear material options. Based on curve fitting plot comparisons and error norms, you choose the model to use in solution according to the best fit. All of the capabilities of the TBFT-series of commands are accessible interactively via the standard material GUI. See "Material Curve Fitting" in the Structural Analysis Guide for more information.

You can display material model data associated with both the TB command and the TBFT,FSET command by issuing TBLIST,ALL,ALL.

Material model data associated with the latest TB or TBFT,FSET command overwrites previous data.

You can display material model data associated with both the TB command and the TBFT,FSET command by issuing TBLIST,ALL,ALL.

The uniaxial, biaxial, and shear experimental data use engineering stress. The volumetric data uses true stress. See the Elements Reference for details on experimental data for creep and viscoelasticity.

Menu Paths

Main Menu> Preprocessor> Material Props> Material Models

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TBFIELD 		Up / Home Next
TBLE


TBLE

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TBLE

Specifies "Data table properties" as the subsequent status topic.

PREP7: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and will appear in the log file (Jobname.LOG) if status is requested for some items under Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

Utility Menu>List>Status>Preprocessor>Data Tables

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TBFT 		Up / Home Next
TBLIST


TBLIST

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TBLIST, Lab, MAT

Lists the data tables.

PREP7: Data Tables

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Lab

Data table label (see the TB command for labels). Defaults to the active table. If ALL, list data for all labels.

MAT

Material number to be listed (defaults to the active material). If ALL, list data tables for all materials.

Notes

This command is a utility command, valid anywhere.

Menu Paths

Utility Menu>List>Properties>Data Tables

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TBLE 		Up / Home Next
TBMODIF


TBMODIF

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TBMODIF, ROW, COL, VALUE

Modifies data for the data table (GUI).

PREP7: Data Tables

MP ME ST PR PRN <> <> <> EM <> <> PP <>

ROW, COL

The row and column numbers of the table entry to be modified.

VALUE

The new value to be used in the ROW, COL location.

Notes

Modifies data for the table specified on the last TB command. For temperature-dependent data, the temperature specified on the last TBTEMP command is used. This is a command generated by the Graphical User Interface (GUI). It will appear in the log file (Jobname.LOG) if a TB data table is graphically edited in spreadsheet fashion. This command is not intended to be typed in directly in an ANSYS session (although it can be included in an input file for batch input or for use with the /INPUT command).

This command is also valid in SOLUTION.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Material Models
Main Menu>Preprocessor>Material Props>Material Models
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Material Models

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TBLIST 		Up / Home Next
TBPLOT


TBPLOT

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TBPLOT, Lab, MAT, TBOPT, TEMP, SEGN

Displays the data table.

PREP7: Data Tables

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Lab

Data table label. Valid labels are: MKIN, KINH, MELAS, MISO, BKIN, BISO, BH, GASKET, and JOIN. Defaults to the active table label. For B-H data, also valid are: NB to display NU-B2, MH to display MU vs. H, and SBH, SNB, SMH to display the slopes of the corresponding data.

MAT

Material number to be displayed (defaults to the active material).

TBOPT

Gasket material or joint element material option to be plotted.

The following gasket material options are valid only when Lab = GASKET:

ALL
 —

Plots all gasket data.

COMP
 —

Plots gasket compression data only.

LUNL
 —

Plots gasket linear unloading data with compression curve.

NUNL
 —

Plots gasket nonlinear unloading data only.

The following joint element material options are valid only when Lab = JOIN:

JNSA
 —

Plots nonlinear stiffness data that is applicable to all relevant directions.

JNSn
 —

Plots only the specified nonlinear stiffness data. The "n" can be 1, 4, or 6. For example, JNS4 plots only the nonlinear stiffness data specified in the local direction 4 (ROTX).

JNDA
 —

Plots nonlinear damping data that is applicable to all relevant directions.

JNDn
 —

Plots only the specified nonlinear damping data. The "n" can be 1, 4, or 6. For example, JND4 plots only the nonlinear damping data specified in the local direction 4 (ROTX).

JNFA
 —

Plots nonlinear hysteretic friction data that is applicable to all relevant directions.

JNFn
 —

Plots only the specified nonlinear hysteretic friction data. The "n" can be 1, 4, or 6. For example, JNF4 plots only the nonlinear hysteretic friction data specified in local direction 4 (ROTX).

TEMP

Specific temperature at which gasket data or joint element material data will be plotted (used only when Lab = GASKET or JOIN). Use TEMP = ALL to plot gasket data or joint element material data at all temperatures.

SEGN

Segment number of plotted curve (valid only when Lab = GASKET):

NO
 —

Segment number is not added to plotted curve (default).

YES
 —

Segment number is added to plotted curve. This option is ignored if the number of data points in a curve exceeds 20.

Notes

Only data for stress-strain, B-H, gasket curves, or joint element nonlinear material model curves may be displayed. TBOPT and TEMP are used only when Lab = GASKET or JOIN. SEGN is used only when Lab = GASKET.

This command is valid in any processor.

Menu Paths

Utility Menu>Plot>Data Tables

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TBMODIF 		Up / Home Next
TBPT


TBPT

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TBPT, Oper, X, Y

Defines a point on a nonlinear data curve.

PREP7: Data Tables

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Oper

Operation to perform:

DEFI
 —

Defines a new data point (default). The point is inserted into the table in ascending order of X. If a point already exists with the same X value, it is replaced.

DELE
 —

Deletes an existing point. The X value must match the X value of the point to be deleted (Y is ignored).

X

The X value of the point (for example, strain, H, etc.).

Y

The corresponding Y value of the point (for example, stress, B, etc.).

Notes

TBPT defines a point on a nonlinear data curve (such as a stress-strain curve, B-H curve, etc.) at the temperature specified on the last TBTEMP command. The meaning of the X and Y values will depend on the type of data table specified on the last TB command (MISO, BH, etc.).

This command is also valid in SOLUTION.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Material Models
Main Menu>Preprocessor>Material Props>Material Models
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Material Models

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TBPLOT 		Up / Home Next
TBTEMP


TBTEMP

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TBTEMP, TEMP, KMOD

Defines a temperature for the data table.

PREP7: Data Tables

MP ME ST PR PRN <> <> <> <> <> <> PP <>

TEMP

Temperature value (defaults to 0.0 if KMOD is blank).

KMOD

If blank, TEMP defines a new temperature. If an integer, 1 to NTEMP (from the TB command), modify that previously defined temperature to the TEMP value, unless TEMP is blank, then that previously defined temperature is reactivated. Use TBLIST to list temperatures and data. The next TBDATA or TBPT commands also add or change the data at this temperature. If KMOD = CRIT (and TEMP is blank), the next TBDATA values are failure criteria keys as described for SOLID46, SHELL91, SHELL99, and SOLID191. If KMOD = STRAIN (and TEMP is blank), the next TBDATA values are strains as described for the MKIN property option (see Data Tables - Implicit Analysis of the Elements Reference).

Notes

Defines a temperature to be associated with the data on the subsequent TBPT or TBDATA commands. The temperature remains active until the next TBTEMP command is input. Data values must be defined with the temperatures in ascending order. Temperatures previously associated with a data table may also be modified.

This command is also valid in SOLUTION.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Material Models
Main Menu>Preprocessor>Material Props>Material Models
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Material Models

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TBPT 		Up / Home Next
TCHG


TCHG

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TCHG, ELEM1, ELEM2, ETYPE2

Converts 20-node degenerate tetrahedral elements to their 10-node non-degenerate counterparts.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ELEM1

Name (or the number) of the 20-node tetrahedron element that you want to convert. This argument is required.

ELEM2

Name (or the number) of the 10-node tetrahedron element to which you want to convert the ELEM elements. This argument is required.

ETYPE2

Element TYPE reference number for ELEM2. If ETYPE2 is 0 or is not specified, ANSYS chooses the element TYPE reference number for ELEM2. See the "Notes" section for details. This argument is optional.

Notes

The TCHG command allows you to specify conversion of any 20-node brick to any 10-node tetrahedron. (However, not all combinations make sense.)

The TCHG command is useful when used in with the MOPT,PYRA command. Twenty-node pyramid shaped elements may be used in the same volume with 10-node tetrahedra.

Performing a conversion is likely to create circumstances in which more than one element type is defined for a single volume.

If specified, ETYPE2 will usually be the same as the local element TYPE number (ET,ITYPE) that was assigned to ELEM2 with the ET command. You can specify a unique number for ETYPE2 if you prefer. Although ETYPE2 is optional, it may be useful when two or more ITYPEs have been assigned to the same element (for example, if two SOLID92 elements have been established in the element attribute tables for the current model, use the ETYPE2 argument to distinguish between them). If ETYPE2 is nonzero and it has not already been assigned to an element via ET, ANSYS assigns the ETYPE2 value to ELEM2 as its element TYPE reference number.

If ETYPE2 is 0 or is not specified, ANSYS determines the element TYPE reference number for ELEM2 in one of these ways:

  • If ETYPE2 is 0 or is not specified, and ELEM2 does not appear in the element attribute tables, ANSYS uses the next available (unused) location in the element attribute tables to determine the element TYPE reference number for ELEM2.

  • If ETYPE2 is 0 or is not specified, and ELEM2 appears in the element attribute tables, ANSYS uses ELEM2 's existing element TYPE reference number for ETYPE2 . (If there is more than one occurrence of ELEM2 in the element attribute tables (each with its own TYPE reference number), ANSYS uses the first ELEM2 reference number for ETYPE2 .)

See Meshing Your Solid Model of the Modeling and Meshing Guide for detailed information about converting degenerate tetrahedral elements.

Menu Paths

Main Menu>Preprocessor>Meshing>Modify Mesh>Change Tets

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TBTEMP 		Up / Home Next
TEE


TEE

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TEE, NCENT, TYPE, ELEM, EINC, L1, L2, L3

Defines a tee in a piping run.

PREP7: Piping

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NCENT

Node where three straight pipes intersect forming a tee (or "Y"). Defaults to last starting branch node [BRANCH].

TYPE

Type of tee:

WT
 —

Welding tee (default).

r = (D0 - tw) / 2

h = 4.4 tw/ r

SIF = 0.9 / (h2/3)

If (SIF < 1) SIF = 1

UFT
 —

Unreinforced fabricated tee.

r = (D0 - tw) / 2

h = tw/ r

SIF = 0.9 / (h2/3)

If (SIF < 1) SIF = 1

ELEM

Element number to be assigned to first tee leg (defaults to the previous maximum element number (MAXEL) + 1).

EINC

Element number increment (defaults to 1).

L1, L2, L3

Tee leg lengths (corresponding in order of increasing straight pipe element numbers). Must be less than the straight pipe length. Defaults to 2 x OD of straight pipe (for each leg).

Notes

Defines a tee in place of the tee intersection of three previously defined straight pipe elements. See the PREP7 RUN command. The new tee is also composed of three PIPE16 straight pipe elements, but of the leg lengths specified and with the appropriate tee factors calculated. Three new nodes are generated at the ends of the tee. The original three straight pipes are automatically "shortened" to meet the ends of the tee. The tee specifications and loadings are taken from the corresponding three straight pipes.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Piping Models>Define Pipes>Pipe Tee

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TCHG 		Up / Home Next
TERM


TERM

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TERM, Kywrd, Opt1, Opt2, Opt3

Specifies various terminal driver options.

DISPLAY: Driver Options

MP ME ST PR PRN <> <> FL EM <> <> PP <>

If Kywrd = COPY, command format is TERM,COPY,NCOPY .

NCOPY

Activate hard copy device for NCOPY (0,1,2, etc.) copies.

If Kywrd = LOOP, command format is TERM,LOOP,NLOOP,PAUSE. Used only with PLOT,ALL.

NLOOP

Loop NLOOP times back to beginning of file when end of file is reached.

PAUSE

Pause PAUSE seconds between plots.

If Kywrd = NOPROM, command format is TERM,NOPROM,KEY.

KEY

Prompt key:

0

Display prompt line for prompt.

1

Use terminal bell for prompt.

Notes

Used only with terminal driver names on /SHOWDISP command.

This command is also valid in PREP7.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TEE 		Up / Home Next
THOPT


THOPT

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

THOPT, Refopt, REFORMTOL, NTABPOINTS, TEMPMIN, TEMPMAX

Nonlinear transient thermal solution option.

SOLUTION: Analysis Options

MP ME <> PR <> <> <> <> <> <> <> PP <>

Refopt

Matrix reform option.

FULL
 —

Use the full Newton-Raphson solution option (default).

QUASI
 —

Use a selective reform solution option based on REFORMTOL.

LINEAR
 —

Use a linear solution option with no matrix reform.

REFORMTOL

Property change tolerance for Matrix Reformation (.05 default). The thermal matrices are reformed if the maximum material property change in an element (from the previous reform time) is greater than the reform tolerance.

NTABPOINTS

Number of points in Fast Material Table (64 default).

TEMPMIN

Minimum temperature for Fast Material Table. Defaults to the minimum temperature defined by the MPTEMP command for any material property defined.

TEMPMAX

Maximum temperature for Fast Material Table. Defaults to the maximum temperature defined by the MPTEMP command for any material property defined.

Notes

This solution logic is only supported by the ICCG and the JCG solvers (EQSLV command). You must issue the THOPT command before the EQSLV command to use the QUASI option.

For Refopt = QUASI, results from a restart may be different than results from a single run because the stiffness matrices are always recreated in a restart run, but may or may not be in a single run (depending on the behavior resulting from the REFORMTOL setting). Additionally, results may differ between two single runs as well, if the matrices are reformed as a result of the REFORMTOL setting.

THOPT settings take precedence over SOLCONTROL settings.

ANTYPE,,RESTART (including multiframe restart) is not supported by THOPT, LINEAR option.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>Analysis Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TERM 		Up / Home Next
TIFF


TIFF

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TIFF, Kywrd, OPT

Provides TIFF file Export for ANSYS Displays.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Kywrd

Specifies various TIFF file export options.

COMP
 —

If Kywrd = COMP, then OPT controls data compression for the output file. If COMP = 0, then compression is off. If COMP = 1 (default), then compression is on.

ORIENT
 —

If Kywrd = ORIENT, then OPT will determine the orientation of the entire plot. OPT can be either Horizontal (default) or Vertical.

COLOR
 —

If Kywrd = COLOR, then OPT will determine the color attribute of the saved file. OPT can be 0, 1, or 2, corresponding to Black and White, Grayscale, and Color (default), respectively.

TMOD
 —

If Kywrd = TMOD, then OPT will determine the text method. OPT can be either 1 or 0, corresponding to bitmap text (default) or line stroke text, respectively.

DEFAULT
 —

If Kywrd = DEFAULT, then all of the default values, for all of the Kywrd parameters listed above, are active.

OPT

OPT can have the following names or values, depending on the value for Kywrd (see above).

1 or 0
 —

If Kywrd = COMP, a value or 1 (on) or 0 (off) will control compression for the TIFF file.

Horizontal, Vertical
 —

If Kywrd = ORIENT, the terms Horizontal or Vertical determine the orientation of the plot.

0, 1, 2
 —

If Kywrd = COLOR, the numbers 0, 1, and 2 correspond to Black and White , Grayscale and Color, respectively.

1, 0
 —

If Kywrd = TMOD, the values 1 and 0 determine whether bitmap (1) or stroke text (0) fonts will be used

Menu Paths

Utility Menu>PlotCtrls>HardCopy>ToFile

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
THOPT 		Up / Home Next
TIME


TIME

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TIME, TIME

Sets the time for a load step.

SOLUTION: Load Step Options

MP ME ST PR PRN <> <> <> EM <> <> PP <>

TIME

Time at the end of the load step.

Command Default

Previous TIME + 1.0 (at each load step), corresponding to the load step number.

Notes

Associates the boundary conditions at the end of the load step with a particular TIME value.

TIME must be a positive, nonzero, monotonically increasing quantity that "tracks" the input history. Units of time should be consistent with those used elsewhere (for properties, creep equations, etc.).

Typically, for the first load step TIME defaults to 1. However, for the first load step of a reduced transient analysis (ANTYPE,TRANS and TRNOPT,REDUC) or mode superposition transient analysis (ANTYPE,TRANS and TRNOPT,MSUP), the TIME command is ignored and a static solution is performed at TIME = 0.

For a full transient analyses, the command's default behavior does not apply. You must specify a time for each load step and it must be greater than the time at the end of the prior load step.

TIME does not apply to modal (ANTYPE,MODAL), harmonic response (ANTYPE,HARMIC), or substructure (ANTYPE,SUBSTR) analyses.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Sol'n Controls>Basic
Main Menu>Preprocessor>Loads>Load Step Opts>Time/Frequenc>Time - Time Step
Main Menu>Preprocessor>Loads>Load Step Opts>Time/Frequenc>Time and Substps
Main Menu>Solution>Analysis Type>Sol'n Controls>Basic
Main Menu>Solution>Load Step Opts>Time/Frequenc>Time - Time Step
Main Menu>Solution>Load Step Opts>Time/Frequenc>Time and Substps
Main Menu>Solution>Time Controls>Solution Time

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TIFF 		Up / Home Next
TIMERANGE


TIMERANGE

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TIMERANGE, TMIN, TMAX

Specifies the time range for which data are to be stored.

POST26: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

TMIN

Minimum time (defaults to first time (or frequency) point on the file).

TMAX

Maximum time (defaults to last time (or frequency) point on the file).

Command Default

Include all time (or frequency) points in the range.

Notes

Defines the time (or frequency) range for which data are to be read from the file and stored in memory. Use the NSTORE command to define the time increment.

Menu Paths

Main Menu>TimeHist Postpro>Settings>Data

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TIME 		Up / Home Next
TIMINT


TIMINT

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TIMINT, Key, Lab

Turns on transient effects.

SOLUTION: Dynamic Options

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Key

Transient effects key:

OFF
 —

No transient effects (static or steady-state).

ON
 —

Include transient (mass or inertia) effects.

Lab

Degree of freedom label:

ALL
 —

Apply this key to all appropriate labels (default).

STRUC
 —

Apply this key to structural DOFs.

THERM
 —

Apply this key to thermal DOFs.

ELECT
 —

Apply this key to electric DOFs.

MAG
 —

Apply this key to magnetic DOFs.

FLUID
 —

Apply this key to fluid DOFs.

Command Default

Include transient effects (ON) if ANTYPE,TRANS, exclude transient effects (OFF) if ANTYPE,STATIC.

Notes

Indicates whether this load step in a full transient analysis should use time integration, that is, whether it includes transient effects (e.g. structural inertia, thermal capacitance) or whether it is a static (steady-state) load step for the indicated DOFs. Transient initial conditions are introduced at the load step having Key = ON. Initial conditions are then determined from the previous two substeps. Zero initial velocity and acceleration are assumed if no previous substeps exist. See the Structural Analysis Guide, the Thermal Analysis Guide, and the Low-Frequency Electromagnetic Analysis Guide for details.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Sol'n Controls>Transient
Main Menu>Preprocessor>Loads>Load Step Opts>Time/Frequenc>Time Integration>Amplitude Decay
Main Menu>Preprocessor>Loads>Load Step Opts>Time/Frequenc>Time Integration>Newmark Parameters
Main Menu>Solution>Analysis Type>Sol'n Controls>Transient
Main Menu>Solution>Load Step Opts>Time/Frequenc>Time Integration>Amplitude Decay
Main Menu>Solution>Load Step Opts>Time/Frequenc>Time Integration>Newmark Parameters

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TIMERANGE 		Up / Home Next
TIMP


TIMP

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TIMP, ELEM, CHGBND, IMPLEVEL

Improves the quality of tetrahedral elements that are not associated with a volume.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ELEM

Identifies the tetrahedral elements to be improved. Valid values are ALL and P. If ELEM = ALL (default), improve all selected tetrahedral elements. If ELEM = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

CHGBND

Specifies whether to allow boundary modification. Boundary modification includes such things as changes in the connectivity of the element faces on the boundary and the addition of boundary nodes. (Also see the Notes section below for important usage information for CHGBND.)

0
 —

Do not allow boundary modification.

1
 —

Allow boundary modification (default).

IMPLEVEL

Identifies the level of improvement to be performed on the elements. (Improvement occurs primarily through the use of face swapping and node smoothing techniques.)

0
 —

Perform the least amount of swapping/smoothing.

1
 —

Perform an intermediate amount of swapping/smoothing.

2
 —

Perform the greatest amount of swapping/smoothing.

3
 —

Perform the greatest amount of swapping/smoothing, plus additional improvement techniques (default).

Notes

The TIMP command enables you to improve a given tetrahedral mesh by reducing the number of poorly-shaped tetrahedral elements (in particular, the number of sliver tetrahedral elements)--as well as the overall number of elements--in the mesh. It also improves the overall quality of the mesh.

TIMP is particularly useful for an imported tetrahedral mesh for which no geometry information is attached.

Regardless of the value of the CHGBND argument, boundary mid-nodes can be moved as long as you are not using p-method analysis. When CHGBND = 0 and you are using p-method analysis, boundary mid-nodes cannot be moved. (ANSYS issues an error message if it would be necessary to move boundary mid-nodes in order to generate valid quadratic elements.)

When loads or constraints have been placed on boundary nodes or mid-nodes, and boundary mid-nodes are later moved, ANSYS issues a warning message to let you know that it will not update the loads or constraints.

No boundary modification is performed if shell or beam elements are present in the mesh, even when CHGBND = 1.

Menu Paths

Main Menu>Preprocessor>Meshing>Modify Mesh>Improve Tets>Detached Elems

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TIMINT 		Up / Home Next
TINTP


TINTP

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TINTP, GAMMA, ALPHA, DELTA, THETA, OSLM, TOL, --, --, AVSMOOTH, ALPHAF, ALPHAM

Defines transient integration parameters.

SOLUTION: Dynamic Options

MP ME ST PR PRN <> <> <> EM <> <> PP <>

GAMMA

Amplitude decay factor for 2nd order transient integration, e.g., structural dynamics (used only if ALPHA, DELTA, ALPHAF, and ALPHAM are blank). Defaults to 0.005.

ALPHA

2nd order transient integration parameter (used only if GAMMA is blank). Defaults to 0.2525.

DELTA

2nd order transient integration parameter (used only if GAMMA is blank). Defaults to 0.5050.

THETA

1st order transient (e.g., thermal transient) integration parameter. Defaults to 1.0.

OSLM

Specifies the oscillation limit criterion for automatic time stepping of 1st order transients (e.g., thermal transients). Defaults to 0.5 with a tolerance of TOL.

TOL

Tolerance applied to OSLM. Defaults to 0.0.

--, --

Unused fields.

AVSMOOTH

Smooth flag option:

0
 —

Include smoothing of initial velocity (1st order system) or initial acceleration (2nd order system) (default).

1
 —

Do not include smoothing.

ALPHAF

Interpolation factor in HHT algorithm for force and damping terms (used only if GAMMA is blank). Defaults to 0.005.

ALPHAM

Interpolation factor in HHT algorithm for inertial term (used only if GAMMA is blank). Defaults to 0.0.

Notes

Used to define the transient integration parameters. For more information on transient integration parameters, refer to the Theory Reference for ANSYS and ANSYS Workbench.

For structural transient analyses, you may choose between the Newmark and HHT time integration methods (see the TRNOPT command). In this case, if GAMMA is input and the integration parameters ALPHA, DELTA, ALPHAF, and ALPHAM are left blank, the program will calculate the integration parameters. Alternatively, you can input these integration parameters directly on this command. However, for the unconditional stability and second order accuracy of the time integration, these parameters should satisfy a specific relationship, as described in Description of Structural and Other Second Order Systems of the Theory Reference for ANSYS and ANSYS Workbench.

In a transient piezoelectric analysis, required input for this command is ALPHA = 0.25, DELTA = 0.5, and THETA = 0.5. For a coupled electromagnetic-circuit transient analysis, use THETA = 1.0, the default value, to specify the backward Euler method.

The default values given for this command assume SOLCONTROL,ON (the default). See the description of SOLCONTROL for a complete listing of the defaults set by SOLCONTROL,ON and SOLCONTROL,OFF.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Sol'n Controls>Transient
Main Menu>Preprocessor>Loads>Load Step Opts>Time/Frequenc>Time Integration>Amplitude Decay
Main Menu>Preprocessor>Loads>Load Step Opts>Time/Frequenc>Time Integration>Newmark Parameters
Main Menu>Solution>Analysis Type>Sol'n Controls>Transient
Main Menu>Solution>Load Step Opts>Time/Frequenc>Time Integration>Amplitude Decay
Main Menu>Solution>Load Step Opts>Time/Frequenc>Time Integration>Newmark Parameters

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TIMP 		Up / Home Next
/TITLE


/TITLE

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

/TITLE, Title

Defines a main title.

DATABASE: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Title

Input up to 72 alphanumeric characters. Parameter substitution may be forced within the title by enclosing the parameter name or parametric expression within percent (%) signs.

Notes

The title is carried through the printout and written on various files. The title written to a file is the title defined at that time. Special characters may be used within the title text. Subtitles may also be defined [/STITLE].

This command is valid in any processor.

Menu Paths

Utility Menu>File>Change Title

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TINTP 		Up / Home Next
/TLABEL


/TLABEL

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

/TLABEL, XLOC, YLOC, Text

Creates annotation text (GUI).

GRAPHICS: Annotation

MP ME ST PR PRN <> <> FL EM <> <> PP <>

XLOC

Text X starting location (-1.0 < X < 1.6).

YLOC

Text Y starting location (-1.0 < Y < 1.0).

Text

Text string (60 characters maximum). Parameter substitution may be forced within the text by enclosing the parameter name or parametric expression within percent (%) signs.

Notes

Defines annotation text to be written directly onto the display at a specified location. This is a command generated by the Graphical User Interface (GUI) and will appear in the log file (Jobname.LOG) if annotation is used. This command is not intended to be typed in directly in an ANSYS session (although it can be included in an input file for batch input or for use with the /INPUT command).

All text is shown on subsequent displays unless the annotation is turned off or deleted. Use the /TSPEC command to set the attributes of the text.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Annotation>Create Annotation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/TITLE 		Up / Home Next
TOCOMP


TOCOMP

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TOCOMP, Refname, Type, NUMLC, LCARR

Defines single or multiple compliance as the topological optimization function.

OPTIMIZATION: Specifications

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Refname

Reference name (8 character string). TOCOMP,Refname with the other fields blank deletes the defined compliance function.

Type

Sets the type of compliance function. Valid types are:

SINGLE
 —

Sets the topological optimization function for Refname to single compliance. NumLC is the load case number.

MULTIPLE
 —

Sets the topological optimization function to weighted summation of individual compliances. NumLC is the number of load cases considered

NUMLC

For Type = Single, NumLC is the load case identifier. For Type = Multiple, NumLC is the total number of load cases considered.

LCARR

Used when Type = Multiple. The array (of dimension NumLC) defining the load case weights. Array name must be enclosed in % signs: %WEIGHT%.

Notes

The function defined using TOCOMP is used as an objective or constraint for the topological optimization, as defined further in TOVAR. When used as the objective, the optimization distributes the material so that the compliance measure is minimized (stiffness is maximized).

Menu Paths

Main Menu>Topological Opt>Set Up>Advanced Opt>Topo Function
Main Menu>Topological Opt>Set Up>Basic Opt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/TLABEL 		Up / Home Next
TODEF


TODEF

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TODEF, ACCUR

Defines parameters for and initializes topological optimization.

OPTIMIZATION: Specifications

MP ME ST PR PRN <> <> <> <> <> <> PP <>

ACCUR

Accuracy used for termination and convergence checking. Default = 0.0005.

Notes

Initializes the topological optimization problem and defines the accuracy for the solution. Issue this command before TOLOOP.

Menu Paths

Main Menu>Topological Opt>Run

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TOCOMP 		Up / Home Next
TOEXE


TOEXE

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TOEXE

Executes one topological optimization iteration.

OPTIMIZATION: Run

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Notes

Runs one topological optimization iteration, leading to the prediction of a new shape, defined by means of element densities. Before issuing TOEXE, you must perform a static or modal analysis solution depending on the type of objective and constraints you defined. TOEXE performs a convergence test based on relative objective and element density change with an accuracy as specified by TODEF.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TODEF 		Up / Home Next
TOFFST


TOFFST

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TOFFST, VALUE

Specifies the temperature offset from absolute zero to zero.

SOLUTION: Analysis Options

AUX12: General Radiation

MP ME ST PR PRN <> <> FL <> <> <> PP <>

VALUE

Degrees between absolute zero and zero of temperature system used (should be positive).

Notes

Specifies the difference (in degrees) between absolute zero and the zero of the temperature system used. Absolute temperature values are required in evaluating certain expressions, such as for creep, swelling, radiation heat transfer, MASS71, etc. (The offset temperature is not used in evaluating emissivity.) Examples are 460° for the Fahrenheit system and 273° for the Celsius system. The offset temperature is internally included in the element calculations and does not affect the temperature input or output. If used in SOLUTION, this command is valid only within the first load step.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Temperature Units
Main Menu>Preprocessor>Material Props>Temperature Units
Main Menu>Preprocessor>Radiation Opts>Solution Opt
Main Menu>Radiation Opt>Radiosity Meth>Solution Opt
Main Menu>Solution>Analysis Type>Analysis Options
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Temperature Units
Main Menu>Solution>Radiation Opts>Solution Opt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TOEXE 		Up / Home Next
TOFREQ


TOFREQ

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TOFREQ, Refname, Type, Nfreq, Frqarr, Targval

Defines single or mean frequency formulation as the topological optimization function.

OPTIMIZATION: Specifications

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Refname

Reference name (8 character string). TOFREQ,Refname with other fields blank deletes the defined compliance function.

Type

Defines type of frequency topological optimization function. Valid types are:

SINGLE
 —

Defines single frequency as the topological optimization function.

WEIGHTED
 —

Defines a weighted summation of individual frequencies as the topological optimization function.

RECIPROCAL
 —

Uses a reciprocal formulation as the topological optimization function.

EUCLIDEAN
 —

Uses a Euclidean Norm formulation as the topological optimization function.

Nfreq

For Type = Single, Nfreq is the frequency identifier. For Type = WEIGHTED, RECIPROCAL, or EUCLIDEAN, Nfreq is the total number of frequencies considered.

Frqarr

For Type = WEIGHTED or RECIPROCAL, Frqarr is the array of dimension Nfreq that defines the weights for mean frequency formulation. For Type = EUCLIDEAN, Frqarr is the array (of dimension Nfreq) defining the target values for mean frequency formulation. The array name must be enclosed in % signs: %ARRAY%.

Targval

For Type = RECIPROCAL, Targval specifies the target value for mean frequency formulation.

Type | Nfreq | Frqarr | Targval
SINGLE | Frequency identifier | N/A | N/A
WEIGHTED | Total number of frequencies | Defines weights | N/A
RECIPROCAL | Total number of frequencies | Defines weights | Target value
EUCLIDEAN | Total number of frequencies | Defines target values | N/A

Notes

Single, when the frequency function is set as the objective (TOVAR), distributes material so that the single frequency specified is maximized.

Weighted (available only as an objective function) distributes material so that the specified mean frequency formulation is maximized.

Reciprocal (available only as an objective function) is a mean frequency formulation that defines a smoother function than Single. It is best used when two modes whose eigenfrequencies occur in the given mean formulation exchange their orders during optimization. The eigenfrequency that is closest to the target frequency (set with Targval) experiences the largest increase and is maximized.

Euclidean Norm Formulation (available only as an objective function) is used to shift single or multiple eigenfrequencies up. The mean eigenfrequency is utilized to smooth the optimization process. This must be used as the objective where the optimization procedure distributes material so that the mean frequency is minimized.

If the optimization problem does not converge, try specifying a different type of frequency formulation. Each formulation uses different methods to calculate the frequency optimization, so depending on your specific problem, one might work better than another. See the Theory Reference for ANSYS and ANSYS Workbench for more information on these formulations.

Menu Paths

Main Menu>Topological Opt>Set Up>Advanced Opt>Topo Function

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TOFFST 		Up / Home Next
TOGRAPH


TOGRAPH

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TOGRAPH, Type, Refname

Plots iteration solution of topological optimization.

OPTIMIZATION: Display

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Type

OBJ
 —

Plot objective history versus iteration number.

CON
 —

Plot constraint history versus iteration number.

Refname

Used if multiple constraints were defined. Defaults to the first constraint name.

Notes

Plots all iterations of the topological optimization solution, using either objective or constraint history.

Menu Paths

Main Menu>Topological Opt>Graph History

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TOFREQ 		Up / Home Next
TOLIST


TOLIST

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TOLIST

Lists all topological optimization functions currently defined.

OPTIMIZATION: Display

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Notes

Provides a list of all defined topological functions, in the order they were defined.

Menu Paths

Main Menu>Topological Opt>Set Up>Advanced Opt>List Functions

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TOGRAPH 		Up / Home Next
TOLOOP


TOLOOP

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TOLOOP, NITER, PLOT

Execute several topological optimization iterations.

OPTIMIZATION: Run

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NITER

Number of iterations to be performed (maximum of 100). Default is 1.

PLOT

Sets display of topological densities for each iteration:

0
 —

Do not display the results of each iteration.

1
 —

Display the results of each iteration.

Command Default

TOLOOP,1,0.

Notes

Invokes a macro to solve, postprocess, and plot each iteration. For compliance cases, you must write at least one load step (using LSWRITE) before issuing this command. LSSOLVE is used for static analyses if there are multiple load steps. The Block Lanczos eigensolver is used for modal analyses. PLNSOL,TOPO and TOEXE are used for each iteration. The macro terminates when either the number of iterations or the convergence criteria is met, as specified in TODEF,ACCUR.

Menu Paths

Main Menu>Topological Opt>Run

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TOLIST 		Up / Home Next
TOPLOT


TOPLOT

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TOPLOT, AVRG

Plot current topological density distribution.

OPTIMIZATION: Display

MP ME ST PR PRN <> <> <> <> <> <> PP <>

AVRG

Sets TOPLOT to show smoothed nodal solution or non-smoothed element solution.

0
 —

Plot smoothed nodal solution. Default.

1
 —

Plot non-smoothed element solution.

Notes

Invokes a macro to postprocess the current element pseudo densities for topological optimization. TOPLOT,0 uses PLNSOL,TOPO, and TOPLOT,1 uses PLESOL,TOPO to plot the current density distribution predicted by the topological optimization.

Menu Paths

Main Menu>Topological Opt>Plot Dens Unavg
Main Menu>Topological Opt>Plot Densities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TOLOOP 		Up / Home Next
TOPRINT


TOPRINT

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TOPRINT, Type, Refname

Print iteration solution history of topological optimization.

OPTIMIZATION: Display

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Type

OBJ
 —

Print objective history versus iteration number.

CON
 —

Print constraint history versus iteration number.

Refname

Used if multiple constraints were defined. Defaults to the first constraint name.

Notes

Prints one iteration of the topological optimization solution, using either objective or constraint history.

Menu Paths

Main Menu>Topological Opt>Print History

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TOPLOT 		Up / Home Next
TORQ2D


TORQ2D

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TORQ2D

Calculates torque on a body in a magnetic field.

POST1: Magnetics Calculations

MP <> <> <> <> <> <> <> EM <> <> PP <>

Notes

TORQ2D invokes an ANSYS macro which calculates mechanical torque on a body in a magnetic field. The body must be completely surrounded by air (symmetry permitted), and a closed path [PATH] passing through the air elements surrounding the body must be available. A counterclockwise ordering of nodes on the PPATH command will give the correct sign on the torque result. The macro is valid for 2-D planar analysis.

The calculated torque is stored in the parameter TORQUE. A node plot showing the path is produced in interactive mode. The torque is calculated using a Maxwell stress tensor approach. Path operations are used for the calculation, and all path items are cleared upon completion. See the TORQC2D command for torque calculation based on a circular path.

Menu Paths

Main Menu>General Postproc>Elec&Mag Calc>Path Based>Torque

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TOPRINT 		Up / Home Next
TORQC2D


TORQC2D

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TORQC2D, RAD, NUMN, LCSYS

Calculates torque on a body in a magnetic field based on a circular path.

POST1: Magnetics Calculations

MP <> <> <> <> <> <> <> EM <> <> PP <>

RAD

Radius of the circular path. The nodes for the path are created at this radius.

NUMN

Number of nodes to be created for the circular path. The greater the number of nodes, the higher the accuracy of the torque evaluation. Defaults to 18.

LCSYS

(Optional) Local coordinate system number to be used for defining the circular arc of nodes and the path. Defaults to 99. (If a local system numbered 99 already exists, it will be overwritten by this default.)

Notes

TORQC2D invokes an ANSYS macro which calculates the mechanical torque on a body using a circular path. It is used for a circular or cylindrical body such as a rotor in an electric machine. The body must be centered about the global origin and must be surrounded by air elements. The air elements surrounding the path at radius RAD must be selected, and elements with a high-permeability material should be unselected prior to using the macro. The macro is valid for 2-D planar analyses only. For a harmonic analysis, the macro calculates the time-average torque. Radial symmetry models are allowed, i.e., the model need not be a full 360° model.

The calculated torque is stored in the parameter TORQUE. If the model is not a full 360° model, TORQUE should be multiplied by the appropriate factor (such as 4.0 for a 90° sector) to obtain the total torque. A node plot showing the path is produced in interactive mode.

The torque is calculated via a circular path integral of the Maxwell stress tensor. The circular path and the nodes for the path are created by the macro at the specified radius RAD. Path operations are used for the calculation, and all path items are cleared upon completion. See the TORQ2D command for torque calculation based on an arbitrary, non-circular path.

Menu Paths

Main Menu>General Postproc>Elec&Mag Calc>Path Based>Circular Torq

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TORQ2D 		Up / Home Next
TORQSUM


TORQSUM

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TORQSUM, Cnam1, Cnam2, Cnam3, Cnam4, Cnam5, Cnam6, Cnam7, Cnam8, Cnam9

Summarizes electromagnetic torque calculations on element components.

POST1: Magnetics Calculations

MP <> <> <> <> <> <> <> EM <> <> PP <>

Cnam1, Cnam2, Cnam3, . . . , Cnam9

Names of existing element components for which Maxwell or virtual work boundary conditions were applied in the preprocessor. Must be enclosed in single quotes (e.g., 'CNAM1') when the command typed in the command input box.

Notes

TORQSUM invokes an ANSYS macro that summarizes the Maxwell and virtual work torque values. The element components must have had appropriate Maxwell or virtual work boundary conditions established in the preprocessor prior to solution in order to retrieve torques (see the FMAGBC command). The torque values are stored on a per-element basis for the adjacent air layer elements surrounding the components and are retrieved and summed by the macro. For a harmonic analysis, the calculated torque represents a time-average value.

TORQSUM is valid only for 2-D planar analysis.

Menu Paths

Main Menu>General Postproc>Elec&Mag Calc>Component Based>Torque

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TORQC2D 		Up / Home Next
TORUS


TORUS

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TORUS, RAD1, RAD2, RAD3, THETA1, THETA2

Creates a toroidal volume.

PREP7: Primitives

MP ME ST PR PRN <> <> FL EM EH <> PP <>

RAD1, RAD2, RAD3

Three values that define the radii of the torus. You can specify the radii in any order. The smallest of the values is the inner minor radius, the intermediate value is the outer minor radius, and the largest value is the major radius. (There is one exception regarding the order of the radii values--if you want to create a solid torus, specify zero or blank for the inner minor radius, in which case the zero or blank must occupy either the RAD1 or RAD2 position.) At least two of the values that you specify must be positive values; they will be used to define the outer minor radius and the major radius. See the diagram in the Notes section for a view of a toroidal sector showing all radii.

THETA1, THETA2

Starting and ending angles (either order) of the torus. Used for creating a toroidal sector. The sector begins at the algebraically smaller angle, extends in a positive angular direction, and ends at the larger angle. The starting angle defaults to 0° and the ending angle defaults to 360°.

Notes

Defines a toroidal volume centered about the working plane origin. A solid torus of 360° will be defined with four areas, each area spanning 180° around the major and minor circumference.

To create the toroidal sector shown below, the command TORUS,5,1,2,0,180 was issued. Since "1" was the smallest radii value specified, it defined the inner minor radius; since "2" was the intermediate radii value specified, it defined the outer minor radius; and since "5" was the largest radii value specified, it defined the major radius. The values "0" and "180" defined the starting and ending angles of the torus.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Volumes>Torus

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TORQSUM 		Up / Home Next
TOSTAT


TOSTAT

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TOSTAT

Displays topological optimization status and results information.

OPTIMIZATION: Display

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Notes

Displays information for defined functions from TOVAR, TODEF, and TOTYPE, and results information such as final volume, number of iterations, and convergence status.

Menu Paths

Main Menu>Topological Opt>Set Up>Advanced Opt>Status
Main Menu>Topological Opt>Status

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TORUS 		Up / Home Next
TOTAL


TOTAL

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TOTAL, NTOT, NRMDF

Specifies automatic MDOF generation.

SOLUTION: Master DOF

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NTOT

Total number of master degrees of freedom to be used in the analysis, including specified (NS, see below) master degrees of freedom. NTOT must be greater than NS if any automatic generation is to be done.

NRMDF

Rotational masters key:

0
 —

Include all degrees of freedom in automatic master selection.

1
 —

Exclude rotational degrees of freedom (and VOLT degrees of freedom in a piezoelectric analysis) from automatic selection.

Command Default

Do not use any automatically generated MDOF.

Notes

Specifies automatic master degree of freedom (MDOF) generation. The limit on the number of MDOF is equal to the maximum in-memory wavefront size (see the Basic Analysis Guide). If NS is defined as the number of master degrees of freedom specified with the M or MGEN command, NTOT-NS additional master degrees of freedom will be automatically generated during the solution phase if TOTAL is used. NS may be zero, i.e., all master degrees or freedom can be automatically generated. After the solution phase, generated masters become specified masters (NS = NTOT) so that they may be listed, displayed, modified, etc. The TOTAL command is ignored in subsequent solutions unless masters are deleted, such that NS<NTOT. If used in SOLUTION, this command is valid only within the first load step.

During the matrix triangulation (wavefront) operation, the first NTOT degrees of freedom are temporarily identified as masters and then are replaced as degrees of freedom with lower K/M ratios are found. Degrees of freedom matching the user specified set (if any) are permanently identified. The wavefront builds to NTOT and will have a minimum (and final) value of NTOT. The final set of automatic masters identified will be those corresponding to the lowest modes of the structure.

Constrained degrees of freedom are excluded from the automatic master selection. Constraints may be defined to prevent undesirable modes from being present (thus preventing the corresponding MDOF from being selected). For example, if symmetry constraints are imposed, degrees of freedom producing only symmetric modes will be selected. In-plane rotational degrees of freedom for shell elements lying in a global plane are automatically excluded. All rotational degrees of freedom can be excluded during the automatic selection if desired.

If automatic master selection is used in the reduced linear transient dynamic (ANTYPE,TRANS) analysis or the reduced harmonic response (ANTYPE,HARMIC) analysis, be sure to force the selection [M] of any degrees of freedom having nonzero displacement or force inputs. If automatic master selection is used in the superelement generation pass (ANTYPE,SUBSTR), be sure to force the selection of connection points to nonsuperelements.

Automatically selected masters are shown in the solution listing (and not in preprocessing listings) as follows:

  • in the reduced eigenvector solution for modal (ANTYPE,MODAL).

  • in the reduced displacement solution for harmonic response (ANTYPE,HARMIC).

  • in the reduced displacement solution for linear transient dynamic (ANTYPE,TRANS).

  • in the matrix or load vector printout for substructures (ANTYPE,SUBSTR).

In the substructure generation pass (ANTYPE,SUBSTR), a mass matrix must be available if the TOTAL option is to be used.

If you select the sparse solver as the equation solver, any TOTAL commands are ignored. The TOTAL command is only valid for the frontal solver.

We recommend that you define as many MDOF as you can based on your knowledge of the dynamic characteristics of the structure and let the program choose a few additional masters with the TOTAL command.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Master DOFs>Program Selected
Main Menu>Solution>Master DOFs>Program Selected

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TOSTAT 		Up / Home Next
TOTYPE


TOTYPE

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TOTYPE, Type

Specifies solution method for topological optimization.

OPTIMIZATION: Specifications

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Type

Choose the solution method to use:

OC
 —

Use Optimality Criteria (OC) approach. (Default)

SCP
 —

Use Sequential Convex Programming (SCP) approach.

Notes

The OC approach is applicable to problems with only volume as the constraint (or “volume as the only constraint”). The SCP approach is applicable to all valid combinations of objectives and constraints. See TOVAR for a description of valid combinations.

Menu Paths

Main Menu>Topological Opt>Run

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TOTAL 		Up / Home Next
TOVAR


TOVAR

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TOVAR, Refname, Type, LOWER, UPPER, Boundtype

Specifies the objective and constraints for the topological optimization problem.

OPTIMIZATION: Specifications

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Refname

Reference name (8 character string), previously defined with TOCOMP and TOFREQ, or VOLUME (reserved name; default).

Type

Valid types for this command are:

OBJ
 —

Specifies the objective for the topological optimization problem. The Refname(s) specified must already be defined (TOCOMP,Refname, or TOFREQ) before defining your constraint(s). LOWER, UPPER, and Boundtype are not used if the specified Refname is the objective. To specify total volume as the objective function, use VOLUME as the Refname. For single or multiple compliance, see TOCOMP. For frequency formulations (single, weighted mean, reciprocal mean, or Euclidean normal), see TOFREQ.

CON
 —

Specifies the constraint for the topological optimization problem. Requires a previously defined objective function (TOVAR,Refname,OBJ). LOWER, UPPER, and Boundtype must be specified as listed below.

DEL
 —

Deletes the previously defined topological optimization objective or constraint named in Refname. LOWER, UPPER, and Boundtype are not used.

LOWER

Lower bound for the constraint (Type = CON).

UPPER

Upper bound for the constraint (Type = CON). Default is no defined upper bound.

Boundtype

For Type = CON, specifies whether the specified bounds are actual values, or indicate percentages.

PERCENT
 —

Indicates that the values specified in LOWER and UPPER should be treated as percentages of the original value. The original value is 100%; only values less than 100 are valid. Depending on the type of constraint, this value indicates a decrease or increase of the initial values. For example, specify 50 to reduce the volume by 50%, or specify 30 to increase the compliance by 30%.

ACTUAL
 —

Indicates that the values specified in LOWER and UPPER should be treated as actual values.

Command Default

TOVAR,VOLUME,OBJ

Notes

You must set the objective first, then set the constraint(s).

If a single or multiple compliance function (see TOCOMP) is specified as objective function, only the VOLUME function is allowed as a constraint.

If a single, weighted mean, reciprocal mean, or euclidean norm frequency (see TOFREQ) objective is selected, only the VOLUME function is allowed as a constraint.

If the VOLUME function is selected as the objective function, then only a single or multiple compliance constraint (see TOCOMP) is allowed as constraint function. In this case, a multiple single compliance constraint definition is also possible. LOWER is not applicable if Type = OBJ or DEL, and is not used if Boundtype = PERCENT.

UPPER is not applicable if Type = OBJ or DEL. If Boundtype = PERCENT, and RefName = VOLUME, UPPER specifies the percentage of volume reduction. If Boundtype = PERCENT, and RefName is a single or multiple compliance function, UPPER specifies the percentage of compliance increase.

If Boundtype = PERCENT, the valid range for UPPER is [5%, 95%].

Menu Paths

Main Menu>Topological Opt>Set Up>Advanced Opt>Topo Objective
Main Menu>Topological Opt>Set Up>Advanced Opt>TopoConstraint>By Percentage
Main Menu>Topological Opt>Set Up>Advanced Opt>TopoConstraint>By Value
Main Menu>Topological Opt>Set Up>Advanced Opt>TopoConstraint>Delete
Main Menu>Topological Opt>Set Up>Basic Opt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TOTYPE 		Up / Home Next
TRANS


TRANS

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TRANS, Fname, Ext, --

Reformats File.GRPH for improved performance with plotters.

DISPLAY: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to TRAN33.

Ext

Filename extension (8 character maximum).

--

Unused field.

Notes

Reformats current Fname.GRPH data (based on color) for improved performance with pen plotters.

Menu Paths

It is part of the DISPLAY command.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TOVAR 		Up / Home Next
TRANSFER


TRANSFER

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TRANSFER, KCNTO, INC, NODE1, NODE2, NINC

Transfers a pattern of nodes to another coordinate system.

PREP7: Nodes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KCNTO

Reference number of coordinate system where the pattern is to be transferred. Transfer occurs from the active coordinate system.

INC

Increment all nodes in the given pattern by INC to form the transferred node pattern.

NODE1, NODE2, NINC

Transfer nodes from pattern beginning with NODE1 to NODE2 (defaults to NODE1) in steps of NINC (defaults to 1). If NODE1 = ALL, NODE2 and NINC are ignored and the pattern is all selected nodes [NSEL]. If NODE1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component may be substituted for NODE1 (NODE2 and NINC are ignored).

Notes

Transfers a pattern of nodes from one coordinate system to another. Coordinate systems may be translated and rotated relative to each other. Initial pattern may be generated in any coordinate system. Coordinate values are interpreted in the active coordinate system and are transferred directly.

A model generated in one coordinate system may be transferred to another coordinate system. The user may define several coordinate systems (translated and rotated from each other), generate a model in one coordinate system, and then repeatedly transfer the model to other coordinate systems. The model may be generated in any type of coordinate system (Cartesian, cylindrical, etc.) and transferred to any other type of coordinate system. Coordinate values (X, Y, Z, or R, θ, Z, or etc.) of the model being transferred are interpreted in the active coordinate system type, regardless of how they were generated. Values are transferred directly and are interpreted according to the type of coordinate system being transferred to. For example, transferring from a Cartesian coordinate system to a cylindrical coordinate system (not recommended) would cause X = 2.0 and Y = 3.0 values to be directly interpreted as R = 2.0 and θ = 3.0 values, respectively.

Menu Paths

Main Menu>Preprocessor>Modeling>Move / Modify>Transfer Coord>Nodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TRANS 		Up / Home Next
TREF


TREF

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TREF, TREF

Defines the reference temperature for the thermal strain calculations.

SOLUTION: Load Step Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

TREF

Reference temperature for thermal expansion.

Note

If the uniform temperature [TUNIF] is undefined, it is also set to this value.

Command Default

Reference temperature is 0.0 degrees.

Notes

Defines the reference temperature for the thermal strain calculations in structural analyses and explicit dynamic analyses. Thermal strains are given by α *(T-TREF), where α is the coefficient of thermal expansion (for more on this see the Theory Reference for ANSYS and ANSYS Workbench). You input the strain using ALPX, ALPY, ALPZ (the secant or mean coefficient value), or CTEX, CTEY, CTEZ (the instantaneous coefficient value), or the thermal strain value (THSX, THSY, THSZ). T is the element temperature. If α is temperature-dependent, TREF should be in the range of temperatures you define using the MPTEMP command.

Reference temperatures may also be input per material by using the label REFT on the material property [MP] command, such as MP,REFT,MAT,C0. Only a constant (non-temperature-dependent) value is allowed. The value input on the TREF command applies to all materials not having a specified material property definition.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Settings>Reference Temp
Main Menu>Preprocessor>Loads>Load Step Opts>Other>Reference Temp
Main Menu>Preprocessor>LS-DYNA Options>Loading Options>Reference Temp
Main Menu>Solution>Define Loads>Settings>Reference Temp
Main Menu>Solution>Load Step Opts>Other>Reference Temp
Main Menu>Solution>Loading Options>Reference Temp

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TRANSFER 		Up / Home Next
/TRIAD


/TRIAD

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

/TRIAD, Lab

Shows the global XYZ coordinate triad on displays.

GRAPHICS: Labeling

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Display triad as follows:

ORIG
 —

Display triad at global origin (default).

OFF
 —

Turn off triad display.

LBOT
 —

Display triad in lower left screen corner.

RBOT
 —

Display triad in lower right screen corner.

LTOP
 —

Display triad in upper left screen corner.

RTOP
 —

Display triad in upper right screen corner.

Notes

For efficiency, ANSYS 3-D graphics logic maintains a single data structure (segment), which includes the triad as a 3-D data object. If a 3-D device is involved (/SHOW,3D), and the ANSYS graphics are not being displayed as multi-plots, then the triad location is determined by the view settings for Window #1. A request for triad display anywhere except for the origin could yield an improper display in windows 2 through 5. The program displays the same segment in all windows. The view settings of each window constitute the only difference in the display in the active windows.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Window Controls>Reset Window Options
Utility Menu>PlotCtrls>Window Controls>Window Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TREF 		Up / Home Next
/TRLCY


/TRLCY

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

/TRLCY, Lab, TLEVEL, N1, N2, NINC

Specifies the level of translucency.

GRAPHICS: Style

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Apply translucency level to the items specified by the following labels:

ELEM
 —

Elements. Use N1, N2, NINC fields for element numbers.

AREA
 —

Solid model areas. Use N1, N2, NINC fields for area numbers.

VOLU
 —

Solid model volumes. Use N1, N2, NINC fields for volume numbers.

ISURF
 —

Isosurfaces (surfaces of constant stress, etc., value). Translucency varies with result value, to a maximum of the specified translucency level.

CM
 —

Component group. Use N1 for component name, ignore N2 and NINC.

CURVE
 —

Filled areas under curves of line graphs. Use N1, N2, NINC fields for curve numbers.

ZCAP
 —

If /TYPE,WN,ZCAP is the current display type, then /TRLCY,ZCAP,TLEVEL will display the model in window WN with the portion of the model in front of the section plane displayed at the translucency level TLEVEL.

ON, OFF
 —

Sets the specified translucency display on or off. All other fields are ignored.

TLEVEL

Translucency level: 0.0 (opaque) to 1.0 (transparent).

N1, N2, NINC

Used only with labels as noted above. Apply translucency level to Lab items numbered N1 to N2 (defaults to N1) in steps of NINC (defaults to 1). If N1 is blank or ALL, apply specified translucency level to entire selected range. If Lab is CM, use component name for N1 and ignore N2 and NINC. A value of N1 = P allows you to graphically pick elements, areas, and volumes. You can then assign translucency levels to the entities via the picker. The Lab and TLEVEL fields are ignored when translucency is applied by picking.

Command Default

Zero translucency (opaque) level.

Notes

Specifies the level of translucency for various items. Issue /TRLCY,DEFA to reset the default (0) translucency levels. This command is valid only on selected 2-D and 3-D graphics devices; see in the Basic Analysis Guide for more information on applying translucency.

For 2-D devices, ANSYS displays only the visible faces of the items being displayed. The information behind the facing planes is not displayed. Issuing the /SHRINK command will force the hardware to display information behind the translucent items.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Style>Translucency

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/TRIAD 		Up / Home Next
TRNOPT


TRNOPT

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TRNOPT, Method, MAXMODE, Dmpkey, MINMODE, MCout, TINTOPT

Specifies transient analysis options.

SOLUTION: Dynamic Options

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Product Restrictions

Method

Solution method for the transient analysis:

FULL
 —

Full method (default).

REDUC
 —

Reduced method.

MSUP
 —

Mode superposition method.

VT
 —

Variational Technology method.

MAXMODE

Largest mode number to be used to calculate the response (for Method = MSUP). Defaults to the highest mode calculated in the preceding modal analysis.

Dmpkey

Damping option (for Method = REDUC):

DAMP
 —

Include the effects of damping if present (default).

NODAMP
 —

Ignore the effects of damping, even if present.

MINMODE

Smallest mode number to be used (for Method = MSUP). Defaults to 1.

MCout

Modal coordinates output key (valid only for the mode superposition method MSUP):

NO
 —

No output of modal coordinates (default).

YES
 —

Output modal coordinates to the text file jobname.MCF.

TINTOPT

Time integration method for the transient analysis:

NMK or 0
 —

Newmark algorithm (default).

HHT or 1
 —

HHT algorithm (valid only for the full transient method).

Notes

Specifies transient analysis (ANTYPE,TRANS) options. If used in SOLUTION, this command is valid only within the first load step. Use the TINTP command to set transient integration parameters.

The VT option using an ANSYS Mechanical HPC license is valid for either thermal or structural analyses, where it attempts to reduce the total number of iterations. It is a FULL transient solution.

To include residual vectors in your mode-superposition transient analysis (Method=MSUP), specify RESVEC,ON.

This command is also valid in PREP7.

Product Restrictions

TRNOPT is not a valid command in ANSYS Professional. In ANSYS Professional, Method is automatically set to FULL for pure thermal transients and is set to MSUP for all other transient analyses.

Menu Paths

Main Menu>Preprocessor>Loads>Analysis Type>Analysis Options
Main Menu>Preprocessor>Loads>Analysis Type>New Analysis
Main Menu>Preprocessor>Loads>Analysis Type>Sol'n Controls>Transient
Main Menu>Solution>Analysis Type>Analysis Options
Main Menu>Solution>Analysis Type>New Analysis
Main Menu>Solution>Analysis Type>Sol'n Controls>Transient

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/TRLCY 		Up / Home Next
TRPDEL


TRPDEL

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TRPDEL, NTRP1, NTRP2, TRPINC

Deletes particle flow or charged particle trace points.

POST1: Trace Points

MP <> <> <> <> <> <> FL EM <> <> PP <>

NTRP1, NTRP2, TRPINC

Delete points from NTRP1 to NTRP2 (defaults to NTRP1) in steps of TRPINC (defaults to 1). If NTRP1 = ALL, NTRP2 and TRPINC are ignored and all trace points are deleted. If NTRP1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

Notes

Deletes particle flow or charged particle trace points defined with the TRPOIN command.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Plot Results>Dele Trace Pt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TRNOPT 		Up / Home Next
TRPLIS


TRPLIS

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TRPLIS, NTRP1, NTRP2, TRPINC, Opt

Lists the particle flow or charged particle trace points.

POST1: Trace Points

MP <> <> <> <> <> <> FL EM <> <> PP <>

NTRP1, NTRP2, TRPINC

List points from NTRP1 to NTRP2 (defaults to NTRP1) in steps of TRPINC (defaults to 1). If NTRP1 = ALL, NTRP2 and TRPINC are ignored and all trace points are listed. If NTRP1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

Opt

Opt = LOC lists the trace point number location (X, Y, Z). Default.

Opt = PART lists the trace point number particle settings (velocity, charge, mass).

Notes

Lists the particle flow or charged particle trace points in the active display coordinate system [DSYS]. Trace points are defined with the TRPOIN command.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Plot Results>List Trace Pt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TRPDEL 		Up / Home Next
TRPOIN


TRPOIN

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TRPOIN, X, Y, Z, VX, VY, VZ, CHRG, MASS

Defines a point through which a particle flow or charged particle trace will travel.

POST1: Trace Points

MP <> <> <> <> <> <> FL EM <> <> PP <>

X, Y, Z

Coordinate location of the trace point (in the active coordinate system). If X = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

VX, VY, VZ

Particle velocities in the X, Y and Z directions (in the active coordinate system).

CHRG

Particle charge.

MASS

Particle mass.

Notes

Defines a point through which a particle flow or charged particle trace [PLTRAC] will travel. Multiple points (50 maximum) may be defined which will result in multiple flow traces. Use TRPLIS to list the currently defined trace points and TRPDEL to delete trace points.

The VX, VY, VZ, CHRG, and MASS arguments only apply to charged particles.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Plot Results>Defi Trace Pt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TRPLIS 		Up / Home Next
TRTIME


TRTIME

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TRTIME, TIME, SPACING, OFFSET, SIZE, LENGTH

Defines the options used for the PLTRAC (particle flow or charged particle trace) command.

POST1: Animation

MP ME ST PR PRN <> <> FL EM <> <> PP <>

TIME

Total Trace Time (seconds) (defaults to 0, which is the full flow trace).

SPACING

Particle spacing in seconds (defaults to 0).

OFFSET

Particle offset in seconds (defaults to 0). It is used internally in the ANFLOW macro to produce an animation of particle flow in a flowing fluid or charged particle motion in an electric or magnetic field.

SIZE

Particle size (defaults to 0, which is a line).

LENGTH

Particle length fraction (defaults to .1).

Command Default

Full particle flow or charged particle trace.

Notes

The TRTIME command varies the type of PLTRAC display produced. Particle flow or charged particle traces follow a particle's path in the forward and backward direction of travel. The DOF selected determines the color of the particle trace. SPACING defines the particle spacing in seconds from adjacent particles in the stream line. OFFSET defines the offset in seconds from the spacing set by the SPACING argument.

LENGTH defines the particle length fraction. The default value (.1), means the particle occupies 10% of the flow region, and the other 90% is a color-coded line.

SIZE sets the radius of the particle. Use SPACING, OFFSET and LENGTH only when SIZE is nonzero (i.e., the particle is bigger than the line).

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>General Postproc>Plot Results>Time Interval

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TRPOIN 		Up / Home Next
TSHAP


TSHAP

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TSHAP, Shape

Defines simple 2-D and 3-D geometric surfaces for target segment elements.

PREP7: Elements

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Shape

Specifies the geometric shapes for target segment elements TARGE169 and TARGE170.

LINE
 —

Straight line (2-D, 3-D) (Default for 2-D)

PARA
 —

Parabola (2-D, 3-D)

ARC
 —

Clockwise arc (2-D)

CARC
 —

Counterclockwise arc (2-D)

CIRC
 —

Complete circle (2-D)

TRIA
 —

Three-node triangle (3-D) (Default for 3-D)

TRI6
 —

Six-node triangle (3-D)

QUAD
 —

Four-node quadrilateral (3-D)

QUA8
 —

Eight-node quadrilateral (3-D)

CYLI
 —

Cylinder (3-D)

CONE
 —

Cone (3-D)

SPHE
 —

Sphere (3-D)

PILO
 —

Pilot node (2-D, 3-D)

Notes

Use this command to specify the target segment shapes for the rigid target surface associated with surface-to-surface contact (TARGE169, CONTA171, CONTA172 (2-D) and TARGE170, CONTA173, CONTA174 (3-D)), 3-D beam-to-beam contact (TARGE170 and CONTA176), and 3-D line-to-surface contact (TARGE170 and CONTA177). Once you issue TSHAP, all subsequent target elements generated via the direct element generation technique will have the same shape, until you issue TSHAP again with a different Shape value.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Elements>Elem Attributes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TRTIME 		Up / Home Next
/TSPEC


/TSPEC

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

/TSPEC, TCOLOR, TSIZE, TXTHIC, PANGLE, IANGLE

Creates annotation text attributes (GUI).

GRAPHICS: Annotation

MP ME ST PR PRN <> <> FL EM <> <> PP <>

TCOLOR

Text color (0 [image] TCOLOR [image] 15):

0
 —

Black.

1
 —

Red-Magenta.

2
 —

Magenta.

3
 —

Blue-Magenta.

4
 —

Blue.

5
 —

Cyan-Blue.

6
 —

Cyan.

7
 —

Green-Cyan.

8
 —

Green.

9
 —

Yellow-Green.

10
 —

Yellow.

11
 —

Orange.

12
 —

Red.

13
 —

Dark Gray.

14
 —

Light Gray.

15
 —

White.

TSIZE

Text size factor.

TXTHIC

Text thickness key:

1
 —

normal.

2
 —

twice as thick.

3
 —

three times as thick.

4
 —

four times as thick.

PANGLE

Text path angle (0.0 < angle < 360.0).

IANGLE

Text italic angle (0.0 < angle < 45.0).

Notes

Defines annotation text attributes to control certain characteristics of the text created via the /TLABEL command. This is a command generated by the Graphical User Interface (GUI) and will appear in the log file (Jobname.LOG) if annotation is used. This command is not intended to be typed in directly in an ANSYS session (although it can be included in an input file for batch input or for use with the /INPUT command).

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Annotation>Create Annotation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TSHAP 		Up / Home Next
TSRES


TSRES

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TSRES, Array

Defines an array of keytimes at which the time-stepping strategy changes.

SOLUTION: Load Step Options

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Array

Identifies an Nx1x1 array parameter containing the keytimes at which the heat transfer time-stepping strategy changes (the time step is reset to the initial time step based on DELTIM or NSUBST settings). The array name must be enclosed by % signs (e.g., %array%). See *DIM for more information on array parameters.

Notes

Time values in the array parameter must be in ascending order and must not exceed the time at the end of the load step as defined on the TIME command. The time increment between time points in the array list must be larger than the initial time step defined on the DELTIM or NSUBST command. Time values must also fall between the beginning and ending time values of the load step. For multiple load step problems, you must either change the parameter values to fall between the beginning and ending time values of the load step or reissue the command with a new array parameter. To clear the array parameter specification, issue TSRES,ERASE. Results can be output at the requested time points if the array or time values in the array are also specified in the OUTRES command using FREQ=%array%. Use this command to reset the time-stepping strategy within a load step. You may need to reset the time-stepping strategy when using tabular time-varying boundary conditions.

See Steady-State Thermal Analysis of the Thermal Analysis Guide for more information on applying boundary conditions via tabular input. See Transient Thermal Analysis of the Thermal Analysis Guide for more information on defining keytimes.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Time/Frequenc>Time - Time Step
Main Menu>Preprocessor>Loads>Load Step Opts>Time/Frequenc>Time and Substps
Main Menu>Solution>Load Step Opts>Time/Frequenc>Time - Time Step
Main Menu>Solution>Load Step Opts>Time/Frequenc>Time and Substps

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/TSPEC 		Up / Home Next
TUNIF


TUNIF

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TUNIF, TEMP

Assigns a uniform temperature to all nodes.

SOLUTION: FE Body Loads

MP ME ST PR PRN <> <> <> <> <> <> PP <>

TEMP

Uniform temperature assigned to the nodes. If TEMP is blank, the uniform temperature is set to zero.

Command Default

Set uniform temperature to the reference temperature ([TREF] but not MP,REFT).

Notes

In a transient or nonlinear thermal analysis, the uniform temperature is used during the first iteration of a solution as follows:

  • as the starting nodal temperature (except where temperatures are explicitly specified [D, DK]),

  • to evaluate temperature-dependent material properties.

In a structural analysis or anexplicit dynamic analysis, the uniform temperature is used as the default temperature for thermal strain calculations and material property evaluation (except where body load temperatures are specified [BF, BFE, BFK, LDREAD]). In other scalar field analyses, the uniform temperature is used for material property evaluation.

Since TUNIF (or BFUNIF,TEMP) is step-applied in the first iteration, you should use BF, ALL, TEMP, Value to ramp on a uniform temperature load.

When the TUNIF command is used in an explicit dynamic analysis, you cannot use the EDLOAD,,TEMP command to apply temperature loading. Furthermore, temperature loading defined by TUNIF cannot be listed or deleted by the EDLOAD command.

TUNIF is a convenient form of the more general BFUNIF command.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Apply>Electric>Boundary>Temperature>Uniform Temp
Main Menu>Preprocessor>Loads>Define Loads>Apply>Magnetic>Boundary>Temperature>Uniform Temp
Main Menu>Preprocessor>Loads>Define Loads>Apply>Structural>Temperature>Uniform Temp
Main Menu>Preprocessor>Loads>Define Loads>Apply>Thermal>Temperature>Uniform Temp
Main Menu>Preprocessor>Loads>Define Loads>Settings>Uniform Temp
Main Menu>Preprocessor>LS-DYNA Options>Loading Options>Uniform Temp
Main Menu>Solution>Define Loads>Apply>Electric>Boundary>Temperature>Uniform Temp
Main Menu>Solution>Define Loads>Apply>Magnetic>Boundary>Temperature>Uniform Temp
Main Menu>Solution>Define Loads>Apply>Structural>Temperature>Uniform Temp
Main Menu>Solution>Define Loads>Apply>Thermal>Temperature>Uniform Temp
Main Menu>Solution>Define Loads>Settings>Uniform Temp
Main Menu>Solution>Loading Options>Uniform Temp

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TSRES 		Up / Home Next
TVAR


TVAR

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TVAR, KEY

Changes time to the cumulative iteration number.

POST26: Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

KEY

Time key:

0
 —

Time is used for the variable TIME.

1
 —

NCUMIT is used for the variable TIME.

Command Default

TIME is the variable TIME.

Notes

Changes the meaning of the time variable to the cumulative iteration number (NCUMIT) variable. Data can be read from the file, printed, and displayed as a function of NCUMIT rather than time. All POST26 descriptions applying to TIME then apply to NCUMIT.

Menu Paths

Main Menu>TimeHist Postpro>Settings>Data

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TUNIF 		Up / Home Next
/TXTRE


/TXTRE

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

/TXTRE, Lab, NUM, N1, N2, NINC

Controls application of texture to selected items.

GRAPHICS: Style

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

You can apply texture according to the following labels:

ELEM
 —

Apply texture to elements N1 through N2 in steps of NINC.

AREA
 —

Apply texture to areas N1 through N2 in steps of NINC.

VOLU
 —

Apply texture to volumes N1 through N2 in steps of NINC.

CM
 —

Apply texture to the component named in N1. N2 and NINC are ignored.

ON, OFF
 —

Sets the specified texture display on or off. All other fields are ignored.

File
 —

If Lab = File, the command format is /TXTRE, File, Key_Index, Fname, Fext, --, Format (This variant of the command is applicable to 2-D drivers).

Key_Index
 —

The texture index associated with the file. If the number fifty-one (51) is used, the imported bitmap will be used as the window's logo.

Fname
 —

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

Fext
 —

Filename extension (8 character maximum).

--
 —

Unused field.

Format
 —

The file format. If Format = 0, the file is a pixmap (UNIX) or Bitmap (PC). The file cannot contain a compressed image, and the PC file must be 8 or 24 bit BI_RGB format. If Format = 1 or JPEG, then the file is in JPEG (Joint Photographic Experts Group) format. If Format = 2 or PNG, then the file is in PNG (Portable Network Graphics) format.

NUM

Select the texture index number from the following list:

0
 —

No Texturing

1
 —

Aluminum

2
 —

Aluminum, Brushed

3
 —

Steel With Bumps

4
 —

Steel, Embossed

5
 —

Iron

6
 —

Steel, Pattern

7
 —

Steel, Riveted

8
 —

Steel, Scratched

9
 —

Tin

10
 —

Metal

11
 —

Steel, Etched

12
 —

Metal, Hot

13
 —

Iron, Grainy

14
 —

Metal, Rusty

15
 —

Brick

16
 —

Block

17
 —

Wood

18
 —

Wood, Light

19
 —

Wood, Walnut

20
 —

Plastic, Hard Blue

21
 —

Plastic, Light Blue

22
 —

Plastic, Hard Red

31
 —

Gold

32
 —

Brass

33
 —

Silver

34
 —

Plastic, Black

35
 —

Plastic, Ivory

36
 —

Plastic, Blue

37
 —

Plastic, Red

38
 —

Plastic, Yellow

39
 —

Plastic, Green

40
 —

Plastic, Brown

N1, N2, NINC

Apply texture to Lab items numbered N1 through N2 in steps of NINC (defaults to 1). If Lab = CM, then N1 is used to for the component name and N2 and NINC are ignored. If Lab = ELEM, AREA, or VOLU and N1 = blank or ALL, then the specified texture will be applied to all entities of type Lab. If N1 = P, then graphical picking is enabled.

Command Default

No texture (/TXTRE,DEFA)

Notes

This command is available for 3-D Open GL devices. 2-D devices are supported only for the Lab = File variation of the command, allowing imported bitmaps to be used for texturing and annotation. Textures can affect the speed of many of your display operations. You can increase the speed by temporarily turning the textures off (Utility Menu> PlotCtrls> Style> Texturing(3D)> Display Texturing). This menu selection toggles your textures on and off. When textures are toggled off, all of the texture information is retained and reapplied when texturing is toggled back on.

For some displays, the texture will appear distorted because of a technique used to enhance 3-D displays (/DV3D,TRIS,1). Disabling this function (/DV3D,TRIS,0) will improve the quality of some texture displays. Disabling the TRIS option of the /DV3D command will slow down 3-D displays significantly. Be sure to reapply the TRIS option after you obtain a satisfactory output.

Specifying /TXTRE,DEFA removes all texturing.

Menu Paths

Utility Menu>PlotCtrls>Style>Texturing(3D)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TVAR 		Up / Home Next
/TYPE


/TYPE

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

/TYPE, WN, Type

Defines the type of display.

GRAPHICS: Style

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number (or ALL) to which command applies (defaults to 1).

Type

Display type. Defaults to ZBUF for raster mode displays or BASIC for vector mode displays:

BASIC or 0
 —

Basic display (no hidden or section operations).

SECT or 1
 —

Section display (plane view). Use the /CPLANE command to define the cutting plane.

HIDC or 2
 —

Centroid hidden display (based on item centroid sort).

HIDD or 3
 —

Face hidden display (based on face centroid sort).

HIDP or 4
 —

Precise hidden display (like HIDD but with more precise checking). Because all facets are sorted, this mode can be extremely slow, especially for large models.

CAP or 5
 —

Capped hidden display (same as combined SECT and HIDD with model in front of section plane removed).

ZBUF or 6
 —

Z-buffered display (like HIDD but using software Z-buffering).

ZCAP or 7
 —

Capped Z-buffered display (same as combined SECT and ZBUF with model in front of section plane removed).

ZQSL or 8
 —

QSLICE Z-buffered display (same as SECT but the edge lines of the remaining 3-D model are shown).

HQSL or 9
 —

QSLICE precise hidden display (like ZQSL but using precise hidden).

Command Default

ZBUF for raster mode displays; BASIC for vector mode displays.

Notes

Defines the type of display, such as section display or hidden-line display. Use the /DEVICE command to specify either raster or vector mode.

The SECT, CAP, ZCAP, ZQSL, and HQSL options produce section displays. The section or "cutting" plane is specified on the /CPLANE command as either normal to the viewing vector at the focus point (default), or as the working plane.

When you use PowerGraphics, the section display options (Section, Slice, and Capped) use different averaging techniques for the interior and exterior results. Because of the different averaging schemes, anomalies may appear at the transition areas. In many cases, the automatically computed MIN and MAX values will differ from the full range of interior values. You can lessen the effect of these anomalies by issuing AVRES,,FULL (Main Menu> General Post Proc> Options for Outp). This command sets your legend's automatic contour interval range according to the minimum and maximum results found throughout the entire model.

With PowerGraphics active (/GRAPHICS,POWER), the averaging scheme for surface data with interior element data included (AVRES,,FULL) and multiple facets per edge (/EFACET,2 or /EFACET,4) will yield differing minimum and maximum contour values depending on the Z-Buffering options (/TYPE,,6 or /TYPE,,7). When the Section data is not included in the averaging schemes (/TYPE,,7), the resulting absolute value for the midside node is significantly smaller.

The HIDC, HIDD, HIDP, ZBUF, ZQSL, and HQSL options produce displays with "hidden" lines removed. Hidden lines are lines obscured from view by another element, area, etc. The choice of non-Z-buffered hidden-line procedure types is available only for raster mode [/DEVICE] displays. For vector mode displays, all non-Z-buffered "hidden-line" options use the same procedure (which is slightly different from the raster procedures). Both geometry and postprocessing displays may be of the hidden-line type. Interior stress contour lines within solid elements can also be removed as hidden lines, leaving only the stress contour lines and element outlines on the visible surfaces. Midside nodes of elements are ignored on postprocessing displays. Overlapping elements will not be displayed.

The ZBUF, ZCAP, and ZQSL options use a specific hidden-line technique called software Z-buffering. This technique allows a more accurate display of overlapping surfaces (common when using Boolean operations or /ESHAPE on element displays), and allows smooth shaded displays on all interactive graphics displays. Z-buffered displays can be performed faster than HIDP and CAP type displays for large models. See also the /LIGHT, /SHADE, and /GFILE commands for additional options when Z-buffering is used.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Style>Hidden-Line Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/TXTRE 		Up / Home Next
TYPE


TYPE

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TYPE, ITYPE

Sets the element type attribute pointer.

PREP7: Meshing

PREP7: Elements

MP ME ST PR PRN <> <> FL EM <> <> PP <>

ITYPE

Assign this type number to the elements (defaults to 1).

Command Default

ITYPE = 1.

Notes

Activates an element type number to be assigned to subsequently defined elements. This number refers to the element type number (ITYPE) defined with the ET command. Type numbers may be displayed [/PNUM].

In some cases, ANSYS can proceed with a meshing operation even when no logical element type has been assigned via TYPE or XATT,,,TYPE. For more information, see the discussion on setting element attributes in Meshing Your Solid Model in the Modeling and Meshing Guide.

Menu Paths

Main Menu>Preprocessor>Meshing>Mesh Attributes>Default Attribs
Main Menu>Preprocessor>Modeling>Create>Elements>Elem Attributes
Main Menu>Preprocessor>Modeling>Operate>Extrude>Elem Ext Opts

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/TYPE 		Up / Home Next
TZAMESH


TZAMESH

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TZAMESH, Tvolu, SIZE, NDIV

Meshes the areas of a volume to create Trefftz nodes.

PREP7: Trefftz Domain

MP <> <> <> <> <> <> <> EM <> <> PP <>

Tvolu

Component name for the Trefftz volume. The component name must be enclosed in single quotes in the TZAMESH command line.

SIZE

Edge length between Trefftz nodes on surface boundaries (i.e. lines). The areas of the component volume will be meshed with this specification to create the Trefftz nodes. If SIZE is zero (or blank), use NDIV.

NDIV

Number of element divisions along the surface boundary lines. Defaults to 2.

Notes

The command macro is used to create Trefftz nodes by meshing the surface areas of the selected volumes. The nodes of the meshed surface areas are grouped into the node component TZ_NOD. There is no solid model associativity with the Trefftz volume and the Trefftz nodes. The Trefftz nodes (component TZ_NOD) are used to create the Trefftz substructure (TZEGEN command).

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Trefftz Domain>Mesh TZ Geometry

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TYPE 		Up / Home Next
TZDELE


TZDELE

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TZDELE

Deletes the Trefftz superelement, associated constraint equations and all supporting Trefftz files.

PREP7: Trefftz Domain

MP <> <> <> <> <> <> <> EM <> <> PP <>

Notes

Deletes the Trefftz superelement, associated constraint equations and all supporting Trefftz files previously generated with the TZEGEN command.

You should delete the Trefftz superelement if you are going to create new Trefftz nodes and generate a new Trefftz superelement.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Trefftz Domain>Superelement>Delete TZ

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TZAMESH 		Up / Home Next
TZEGEN


TZEGEN

Release 11.0 Documentation for ANSYS

Commands Reference | T Commands |

TZEGEN

Generates a Trefftz domain substructure and defines a Trefftz superelement for use in electrostatic analysis.

PREP7: Trefftz Domain

MP <> <> <> <> <> <> <> EM <> <> PP <>

Notes

The command generates a Trefftz domain substructure from the Trefftz node component (TZ_NOD) and the flagged infinite surfaces of the exterior finite element domain [SF command with the INF surface load label].

The Trefftz nodes should be uniformly scattered between the modeled components and the exterior of the finite element mesh. The nodes must not be attached to any underlying electrostatic finite elements. The nodes may be created automatically from a solid model volume using the TZEGEN command macro.

The substructure named Jobname.sub is created and automatically brought into the problem as a superelement (MATRIX50) using the next available element number. Also created is a set of constraint equations relating the Trefftz nodes to the surface nodes of the flagged exterior finite element domain. The TZEGEN command creates temporary files during the substructure generation. These include the following:

  • Jobname.TZN - Trefftz nodes

  • Jobname.TZE - Trefftz surface facets on the FE boundary

  • Jobname.TZX - Surface nodes of the FE boundary

  • Jobname.TZM - Trefftz material

The TZEGEN macro is only valid for 3-D electrostatics analysis. In addition, the bounding surface of the finite element domain must contain no symmetry planes.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Trefftz Domain>Superelement>Generate TZ

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TZDELE 		Up / Home Next
U Commands


U Commands

Table of Contents

/UDOC - Determines position and content for the multi-legend options.
/UI - Activates specified GUI dialog boxes.
UIMP - Defines constant material properties (GUI).
/UIS - Controls the GUI behavior.
UNDELETE - Removes results sets from the group of sets selected for editing.
UNDO - Allows the user to modify or save commands issued since the last RESUME or SAVE command.
/UNITS - Annotates the database with the system of units used.
UPCOORD - Modifies the coordinates of the active set of nodes, based on the current displacements.
UPGEOM - Adds displacements from a previous analysis and updates the geometry of the finite element model to the deformed configuration.
/USER - Conveniently resets /FOCUS and /DIST to USER.
USRCAL - Allows user-solution subroutines to be activated or deactivated.
USRDOF - Specifies the degrees of freedom for the user-defined element USER300.
USRELEM - Specifies the characteristics of the user-defined element USER300.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TZEGEN 		Up / Home Next
/UDOC


/UDOC

Release 11.0 Documentation for ANSYS

Commands Reference | U Commands |

/UDOC, WIND, Class, Key,

Determines position and content for the multi-legend options.

GRAPHICS: Labeling

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WIND

The window number to which the command applies. (defaults to 1)

Class

The type (and relative importance) of legend item being displayed:

CNTR
 —

Contour legend. This legend item is controlled separately from the other legend items (see note below).

DATE
 —

The items in the DATE class include the date and time, or the ANSYS graphical logo (/PLOPTS,LOGO,1). This item is shown by default in all plots.

GWIN
 —

The items in the GWIN class include the entity acronyms that appear in the legend of a multiplot of entities (Nodes, Elements, Keypoints, Lines, Areas, Volumes). GWIN items are shown by default for all GPLOT displays.

TYPE
 —

Items in the TYPE class include the plot type (e.g. ELEMENTS, MATERIALS, NODAL SOLUTIONS, etc.). TYPE items are shown by default in all plots.

TYP2
 —

Items in the TYP2 class include supplementary type information, such as DMAX and SMAX for nodal solutions. TYP2 items are shown by default in all plots.

INUM
 —

Items in the INUM class include the number labels generated by the /PNUM command. This class is displayed by default in all plots that contain /PNUM information.

BCDC
 —

The items in the BCDC class include labels created by the /PBC command. This class is shown by default in all plots which contain /PBC information.

VECT
 —

Items in the VECT class include labels created by the PLVECT command. This class is shown by default for all PLVECT plots.

SURF
 —

The items in the SURF class include labels from the /PSF legend. This class is shown by default on all plots of surface boundary conditions.

BODY
 —

Items from the BODY class include labels from the /PBF legend. This class is shown by default in all plots of body forces.

PSTA
 —

Items from the PSTA class include stress scaling statistics, such as the /SSCALE setting. This class is not shown as the default for any type of plot, and must be specifically referenced to display the included data.

VIEW
 —

The items in the VIEW class include view statistics. This class is not shown as the default for any type of plot, and must be specifically referenced to display the included data.

MISC
 —

The items in the MISC class include supplementary labels like /EXPANDED and Stress Section Cross Section. This class is not shown as the default for any type of plot, and must be specifically referenced to display the included data.

KEY

Switch:

OFF or 0 -- | Do not display the legend.
LEFT, RIGHT, TOP or BOTTOM -- | If the value for Class is CNTR, these are the four acceptable values for the contour legend position.
LEFT or RIGHT -- | If any value other than CNTR is used for Class, these are the two acceptable values for the text data.

Notes

The legend classes conform to the controls specified in the window options panel (PlotCtrls> Window Controls> Window Options). In many instances, the legend controls specified with the /PLOPTS command will take precedence and override /UDOC specifications. For instance:

/PLOPTS,LEG1,OFF will disable the TYPE, TYP2, INUM, and MISC classes, regardless of the /UDOC settings.

/PLOPTS,LEG2,OFF will disable the VIEW class, regardless of the /UDOC settings.

/PLOPTS,LEG3,OFF will disable the PSTA class, regardless of the /UDOC settings.

All items in a class are listed with the same X coordinate (except for contours). The contents of the text classes are dumped onto the display window from top to bottom, in order of class importance.

The font specification for text items that are included in the user-specified legends are controlled with the /DEVICE command (PlotCtrls> Font Controls> Anno/Graph Font).

The floating point values for the data presented in the legend(s) are controlled by the /GFORMAT command.

Menu Paths

Utility Menu>PlotCtrls>Style>MultiLegend Options>Contour Legend
Utility Menu>PlotCtrls>Style>MultiLegend Options>Text Legend

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
U Commands 		Up / Home Next
/UI


/UI

Release 11.0 Documentation for ANSYS

Commands Reference | U Commands |

/UI, Func, Type, Format, Screen, Color, Krev, Orient, Compress, Quality

Activates specified GUI dialog boxes.

SESSION: Run Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Func

Label identifying the dialog box to be activated:

HELP
 —

Activates the online help system. Valid only in non-UI graphics mode (/MENU,GRPH).

VIEW
 —

Activates the Pan, Zoom, Rotate dialog box

WPSE
 —

Activates the Working Plane Settings dialog box.

WPVI
 —

Activates the Offset Working Plane dialog box.

RESULT
 —

Activates the Query Picking Menu for reviewing results.

QUERY
 —

Activates the Query Picked Entities (preprocess) dialog box.

COPY
 —

Activates the Hard Copy dialog box.

ANNO
 —

Activates the 2D Annotation dialog box.

AN3D
 —

Activates the 3D Annotation dialog box.

SELECT
 —

Activates the Select Entities dialog box.

NSEL
 —

Activates a picking menu to select nodes.

ESEL
 —

Activates a picking menu to select elements.

KSEL
 —

Activates a picking menu to select keypoints.

LSEL
 —

Activates a picking menu to select lines.

ASEL
 —

Activates a picking menu to select areas.

VSEL
 —

Activates a picking menu to select volumes.

REFRESH
 —

Refreshes the graphics window (non-UI mode only).

COLL
 —

Controls the collapse of the ANSYS Main Menu when a FINISH command is issued. See Type below for a discussion of the arguments.

Type

Label identifying the type of select operation. Valid only for the following Func labels; NSEL, ESEL, KSEL, LSEL, ASEL, and VSEL:

S
 —

Select a new set.

R
 —

Reselect a set from the current set.

A
 —

Additionally select a set and extend the current set.

U
 —

Unselect a set from the current set.

Label identifying the type of results data to be queried. Valid only for Func = RESULT:

NODE
 —

Nodal solution data (h-elements only).

ELEMENT
 —

Element solution data.

GRID
 —

Subgrid solution data (p-elements only).

Label specifying the behavior of the ANSYS Main Menu after a FINISH command is issued. Note that this does not affect user interaction with the Main Menu. Valid only for Func = COLL:

YES, 1 or blank
 —

Allows the Main Menu to collapse after FINISH command.

NO or 0
 —

Prevents Main Menu collapse after FINISH command.

If Func = COPY, and Type = SAVE, command format is /UI,Func,Type,Format,Screen,Color,Krev,Orient,Compress,Quality. The remaining fields (after Type) identify the portion of the screen, the type of file, and the method of display that the portion of the screen is to be saved as.

Format

PSCR
 —

Encapsulated Postscript File Format.

TIFF
 —

Tagged Image File Format.

EPSI
 —

Encapsulated Postscript with TIFF preview.

BMP
 —

(PC only) Bitmap (Windows) file format.

WMF
 —

(PC only) Windows Metafile format.

EMF
 —

(PC only) Enhanced Metafile format.

JPEG
 —

JPEG (Joint Photographic Experts Group) file format.

Screen

FULL
 —

Saves the entire screen in the specified format.

GRAPH
 —

Saves only the ANSYS Graphic window.

Color

MONO
 —

A two color (black and white) file is saved.

GRAY
 —

The specified file format is saved in gray scale.

COLOR
 —

The file is saved at the specified color depth.

Krev

NORM
 —

Saves file as shown on the screen.

REVERSE
 —

Saves file with the background color reversed.

Orient

LANDSCAPE
 —

Saves file in landscape mode.

PORTRAIT
 —

Saves file in portrait mode.

Compress

YES
 —

Compresses TIFF files and EPS files with TIFF preview (default).

NO
 —

Saves files with no compression.

Quality

1 100
 —

JPEG quality index, with 100 being the maximum quality level.

Notes

Allows you to activate specified GUI dialog boxes directly in either GUI or non-GUI mode.

The /UI command itself is valid in any processor, however certain dialog boxes are accessible only in a particular processor (e.g., /UI,RESULT,... is valid only in the General Postprocessor).

ANSYS JPEG software is based in part on the work of the Independent JPEG Group, Copyright 1998, Thomas G. Lane.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>Manual Rezoning>Create Remesh Zone(s)>Create Rezone Area

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/UDOC 		Up / Home Next
UIMP


UIMP

Release 11.0 Documentation for ANSYS

Commands Reference | U Commands |

UIMP, MAT, Lab1, Lab2, Lab3, VAL1, VAL2, VAL3

Defines constant material properties (GUI).

PREP7: Materials

MP ME ST PR PRN <> <> FL EM <> <> PP <>

MAT

Material number.

Lab1, Lab2, Lab3

Material property labels (see the MP command for valid labels).

VAL1, VAL2, VAL3

Values corresponding to three labels.

Notes

Defines constant material properties. This is a command generated by the Graphical User Interface (GUI) and will appear in the log file (Jobname.LOG) if material properties are specified using the Material Properties dialog box. This command is not intended to be typed in directly in an ANSYS session (although it can be included in an input file for batch input or for use with the /INPUT command).

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Change Mat Props>Material Models
Main Menu>Preprocessor>Material Props>Material Models
Main Menu>Solution>Load Step Opts>Other>Change Mat Props>Material Models

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/UI 		Up / Home Next
/UIS


/UIS

Release 11.0 Documentation for ANSYS

Commands Reference | U Commands |

/UIS, Label, VALUE

Controls the GUI behavior.

SESSION: Run Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Label

Behavior control key:

BORD
 —

Controls the functionality of the mouse buttons for dynamic viewing mode only. When Label = BORD, the three values that follow control the functionality of the LEFT, MIDDLE and RIGHT buttons, respectively (see below).

MSGPOP
 —

Controls which messages from the ANSYS error message subroutine are displayed in a message dialog box.

REPLOT
 —

Controls whether or not an automatic replot occurs after functions affecting the model are executed.

ABORT
 —

Controls whether or not ANSYS displays dialog boxes to show the status of an operation in progress and to cancel that operation.

DYNA
 —

Controls whether the dynamic mode preview is a bounding box or the edge outline of the model. This label only applies to 2-D display devices (i.e., /SHOW,XII or /SHOW,WIN32). This "model edge outline" mode is only supported in PowerGraphics [/GRAPHICS,POWER] and is intended for element, line, results, area, or volume displays.

PICK
 —

Controls how graphical entities are highlighted from within the ANSYS Select menu.

POWER
 —

Controls whether or not PowerGraphics is active when the GUI is initiated. The ANSYS program default status is PowerGraphics “ON”; this command is used (placed in the start.ans file) when full graphics is desired on start up.

DPRO
 —

Controls whether or not the ANSYS input window displays a dynamic prompt. The dynamic prompt shows the correct command syntax for the command, as you are entering it.

UNDO
 —

Controls whether or not the session editor includes nonessential commands or comments in the file it creates. You can use this option to include comments and other materials in the session editor file.

LEGE
 —

Controls whether or not the multi-legend is activated when you start the GUI. The multi-legend allows you specify the location of your legend items in each of the five graphics windows. You can place this option in your start.ans file and have the GUI start with the legend items in a pre-specified location.

PBAK
 —

Controls whether or not the background shading is activated when you start the GUI. Background shading. You can place this option in your start.ans file and control whether or not background shading is activated.

ZPIC
 —

Controls the sorting order for entities that are coincident (directly in front of or behind each other) to a picked spot on your model. When you pick a spot on your model that could indicate two or more entities, a message warns you of this condition, and a list of the coincident entities can be generated. The VALUE term (below) will determine the sort order.

HPOP
 —

Controls the prioritization of your GUI windows when the contents are ported to a plot or print file (/UI,COPY,SAVE). OpenGL (3D) graphics devices require that the ANSYS Graphics Screen contents be set in front of all overlying windows in order to port them to a printer or a file. This operation can sometimes conflict with /NOERASE settings. See the VALUE term (below) to determine the available control options.

VALUE

Values controlling behavior if Label = BORD:

(These values control the operation according to syntax : /UIS,BORD,LEFT,MIDDLE,RIGHT)

1
 —

PAN, controls dynamic translations.

2
 —

ZOOM, controls zoom, and dynamic rotation about the view vector.

3
 —

ROTATE, controls dynamic rotation about the screen X and Y axes.

Note

You can designate any value for any button, or designate the same value for all three buttons. If no value is specified, default is LEFT = PAN, MIDDLE = ZOOM and RIGHT = ROTATE.

Values controlling behavior if Label = MSGPOP:

0
 —

All messages displayed.

1
 —

Only notes, warnings, and errors displayed.

2
 —

Only warnings and errors displayed (default).

3
 —

Only errors displayed.

Values controlling behavior if Label = REPLOT:

0
 —

No automatic replot.

1
 —

Automatic replot (default).

Values controlling behavior if Label = ABORT:

ON
 —

Display status and cancellation dialog boxes (default).

OFF
 —

Do not display status and cancellation dialog boxes.

1
 —

Same as ON.

0
 —

Same as OFF.

Values controlling behavior if Label = DYNA:

0
 —

Use model edge outline when possible (default).

1
 —

Use bounding box preview.

Values controlling behavior if Label = PICK:

0
 —

Picked keypoints and nodes are enclosed by a square. Picked lines are overlaid by a thicker line. Picked areas, volumes, and elements (non-point/non-line) are redrawn with highlighting colors. However, if the pick is a box, circle, or polygon pick, the highlighting for all entitles consists only of a square placed around the entity's centroid.

1
 —

Picked entities are not highlighted.

2
 —

5.1 highlighting (that is, no XOR).

3
 —

Picked entities are highlighted as in VALUE = 0, except that, for a box, circle, or polygon pick, the picked areas, volumes, and elements (non-point/non-line) are redrawn with highlighting colors. This technique is slower than the VALUE = 0 technique.

Values controlling behavior if Label = POWER:

0
 —

Start GUI in Full Graphics mode.

1
 —

Start GUI in PowerGraphics mode (default).

Values controlling behavior if Label = DPRO:

0 or OFF
 —

Do not display the dynamic prompt.

1 or ON
 —

Display the dynamic prompt (default).

Values controlling behavior if Label = UNDO:

0 or None
 —

Do not suppress any commands (default).

1 or Comment
 —

Write the nonessential commands to the session editor file as comments (with a ! at the beginning).

2 or Remove
 —

Do not write nonessential commands or comments.

Values controlling behavior if Label = LEGE:

0 or OFF
 —

Start GUI with the enhanced legend off (default).

1 or ON
 —

Start GUI with the enhanced legend capability activated.

Values controlling behavior if Label = PBAK:

0 or OFF
 —

Start the GUI with the no background shading (default).

1 or ON
 —

Start the GUI with background shading activated.

Values controlling behavior if Label = HPOP:

0 or OFF
 —

No rewrite operations are performed to compensate for items that obscure or overlay the graphics window (default).

1 or ON
 —

The Graphics screen contents are replotted to ensure that they are situated in front of all other windows. If /NOERASE is detected, this operation is suppressed.

Notes

Controls certain features of the Graphical User Interface (GUI), including whether the ANSYS program displays dialog boxes to show you the status of an operation (such as meshing or solution) in progress and to enable you to cancel that operation. Issue /UIS,STAT for current status. Issue /UIS,DEFA to reset default values for all labels. Issue /UIS,Label,STAT and /UIS,Label,DEFA for status and to reset a specific Label item.

A /UIS,HPOP,1 command employs a fast redraw method which does not allow entering the legend logic for a /PLOPTS,INFO,1 or /PLOPTS,INFO,2 command. However, the legend is redrawn for /PLOPTS,INFO,3 because that command also allows a fast redraw.

This command is valid in any processor.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Utility Menu>MenuCtrls>Message Controls
Utility Menu>PlotCtrls>Device Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
UIMP 		Up / Home Next
UNDELETE


UNDELETE

Release 11.0 Documentation for ANSYS

Commands Reference | U Commands |

UNDELETE, Option, Nstart, Nend

Removes results sets from the group of sets selected for editing.

AUX3: Results Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Option

Specifies which sets are to be removed from the selected sets.

SET
 —

Specifies one or more particular sets in the results file that are to be removed from the group of sets selected for deletion.

ALL
 —

Removes all selected sets that are currently selected for deletion.

Nstart

The first set to be removed from the set selected for deletion.

Nend

The final set to be removed from the set selected for deletion. This field is used only if operating on more than one sequential set.

Notes

Use this command if you have previously marked a set for deletion (with the DELETE command) and now wish to keep that set instead of deleting it.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/UIS 		Up / Home Next
UNDO


UNDO

Release 11.0 Documentation for ANSYS

Commands Reference | U Commands |

UNDO, Kywrd

Allows the user to modify or save commands issued since the last RESUME or SAVE command.

DATABASE: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Kywrd

NEW
 —

Create an editable GUI window that allows the user to alter the commands issued since the most recent SAVE or RESUME operations (GUI only).

Notes

The UNDO command brings up the session editor, a text window that displays all of the program operations since the last SAVE or RESUME command. You can modify command parameters, delete whole sections of text and even save a portion of the command string to a separate file. The file is named jobname000.cmds, with each subsequent save operation incrementing the filename by one digit.

Note

The session editor file can be changed only by the session editor. If you rename your database file outside of ANSYS and then resume that database, the session editor will display the old filename.

For more information on the session editor, see Using the Session Editor in the Operations Guide.

Menu Paths

Main Menu>Preprocessor>Session Editor

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
UNDELETE 		Up / Home Next
/UNITS


/UNITS

Release 11.0 Documentation for ANSYS

Commands Reference | U Commands |

/UNITS, Label, LENFACT, MASSFACT, TIMEFACT, TEMPFACT, TOFFSET, CHARGEFACT, FORCEFACT, HEATFACT

Annotates the database with the system of units used.

DATABASE: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Label

Label to denote the system of units used in this job:

USER
 —

User-defined system (default).

SI
 —

International system (m, kg, s, K).

MKS
 —

MKS system (m, kg, s, °C).

uMKS
 —

μMKS system (μm, kg, s, °C).

CGS
 —

CGS system (cm, g, s, °C).

MPA
 —

MPA system (mm, Mg, s, °C).

BFT
 —

U. S. Customary system using feet (ft, slug, s, °F).

BIN
 —

U. S. Customary system using inches (in, lbf*s2/in, s, °F).

If Label = USER, the remaining fields on this command may be used to enter conversion factors that are appropriate for the user-defined system of units.

LENFACT

Conversion factor to meter (m). Default = 1.

MASSFACT

Conversion factor to kilogram (kg). Default = 1.

TIMEFACT

Conversion factor to second (s). Default = 1.

TEMPFACT

Conversion factor to Kelvin (K). Default = 1.

TOFFSET

Temperature offset from absolute zero in degrees Kelvin. Default = 0.

CHARGEFACT

Conversion factor to Coulomb. Default = 1.

FORCEFACT

Conversion factor to Newton (N). Default = 1.

HEATFACT

Conversion factor to Joule (J). Default = 1.

Command Default

User-defined units.

Notes

Allows the user to set a marker in the database indicating the system of units used. The setting may be reviewed with the /STATUS command at the Begin level. The units label and conversion factors on this command are for user convenience only and have no effect on the analysis or data. That is, /UNITS will not convert database items from one system to another (e.g., from U. S. Customary to SI, etc.). The units setting will be written to the file of IGES data [IGESOUT or CDWRITE], which can then be read by many programs that read IGES files. The user must still use consistent units for the results to be valid.

If you choose the MKS system of units, the EPZRO option for the EMUNIT command is set to 8.85 e-12 F/m. (EPZRO specifies alternate free-space permittivity.)

For micro-electromechanical systems (MEMS), where dimensions are on the order of microns, see the conversion factors in System of Units in the Coupled-Field Analysis Guide.

If you use the ANSYS ADAMS Interface to export model information to the ADAMS program, the /UNITS command is required to ensure the correct transfer of data between ANSYS and ADAMS. You may choose a predefined unit system label (Label = SI, CGS, etc.) or you can select the user-defined system option (Label = USER) and input the appropriate conversion factors (LENFACT, MASSFACT, TIMEFACT, and FORCEFACT). The conversion factors will be written to the ADAMS input file Jobname.MNF in order to correctly generate the load. For more information, see Export to ADAMS in the Advanced Analysis Techniques Guide.

All differences between the base solution units used by the ANSYS and CFX solvers will be noted in the ANSYS output file. Unit conversions are automatically applied to all loads transferred unless Label = USER. Unit conversions are not applied to any of the loads transferred between the ANSYS and CFX solvers if they use a user-defined unit system.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
UNDO 		Up / Home Next
UPCOORD


UPCOORD

Release 11.0 Documentation for ANSYS

Commands Reference | U Commands |

UPCOORD, FACTOR, Key

Modifies the coordinates of the active set of nodes, based on the current displacements.

SOLUTION: Load Step Options

MP ME ST PR PRN <> <> <> <> <> <> PP <>

FACTOR

Scale factor for displacements being added to nodal coordinates. If FACTOR = 1.0, the full displacement value will be added to each node, 0.5, half the displacement value will be added, etc. If FACTOR = -1, the full displacement value will be subtracted from each node, etc.

Key

Key for zeroing displacements in the database:

OFF
 —

Do not zero the displacements (default).

ON
 —

Zero the displacements.

Notes

The UPCOORD command uses displacements stored in the ANSYS database, and not those contained within the results file, Jobname.RST. Nodal coordinates are updated each time the command is issued. After updating, both the nodal displacements and rotations are set to zero if Key = ON.

For structural solutions with an updated mesh, unless the coefficient matrix is otherwise reformed (e.g., a new analysis or NLGEOM,ON) it should first be reformed by issuing a KUSE,-1 command.

For a multiphysics simulation where a CFD or electromagnetic field is being coupled to a structure undergoing large displacements, all (or a portion) of the surrounding field mesh may take part in the structural solution to "move" with the displacing structure. You can use the UPCOORD command with a suitable FACTOR to update the coordinates of the nodes using the newly computed displacements. The mesh will now conform with the displaced structure for subsequent field solutions. However, the mesh should always be restored to its original location by using an UPCOORD,FACTOR command before performing any subsequent structural solutions. This is true for both repeated linear solutions, and for nonlinear restarts. (All saved displacements are relative to the original mesh location.)

This command is not intended to replace either the large displacement or birth and death logic.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>Updt Node Coord
Main Menu>Solution>Load Step Opts>Other>Updt Node Coord

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/UNITS 		Up / Home Next
UPGEOM


UPGEOM

Release 11.0 Documentation for ANSYS

Commands Reference | U Commands |

UPGEOM, FACTOR, LSTEP, SBSTEP, Fname, Ext, --

Adds displacements from a previous analysis and updates the geometry of the finite element model to the deformed configuration.

PREP7: Elements

MP ME ST PR PRN <> <> FL EM <> DY PP <>

FACTOR

Multiplier for displacements being added to coordinates. The value 1.0 will add the full value of the displacements to the geometry of the finite element model. Defaults to 1.0.

LSTEP

Load step number of data to be imported. Defaults to the last load step.

SBSTEP

Substep number of data to be imported. Defaults to the last substep.

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The field must be input (no default).

Ext

Filename extension (8 character maximum).

The extension must be an RST extension.

--

Unused field.

Notes

This command updates the geometry of the finite element model according to the displacement results of the previous analysis and creates a revised geometry at the deformed configuration. This command works on all nodes (default) or on a selected set of nodes. If this command is issued repeatedly, it creates a revised geometry of the finite element model in a cumulative fashion, i.e., it adds displacement results on the previously generated deformed geometry. The solid model geometry is not updated by this command.

Menu Paths

Main Menu>Preprocessor>Modeling>Update Geom

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
UPCOORD 		Up / Home Next
/USER


/USER

Release 11.0 Documentation for ANSYS

Commands Reference | U Commands |

/USER, WN

Conveniently resets /FOCUS and /DIST to USER.

GRAPHICS: Views

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number (or ALL) to which command applies (defaults to 1).

Notes

Conveniently resets scale parameters to USER on the /FOCUS and /DIST commands. Scale parameters will be internally respecified to those used for the last display. Convenient when the last scale parameters were automatically calculated. User specified parameters hold until changed or removed [/AUTO]. Parameters may be reset on the individual commands after this command has been issued.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>View Settings>Automatic Fit Mode

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
UPGEOM 		Up / Home Next
USRCAL


USRCAL

Release 11.0 Documentation for ANSYS

Commands Reference | U Commands |

USRCAL, Rnam1, Rnam2, Rnam3, Rnam4, Rnam5, Rnam6, Rnam7, Rnam8, Rnam9

Allows user-solution subroutines to be activated or deactivated.

SOLUTION: Load Step Options

MP ME ST <> <> <> <> <> <> <> <> PP <>

Rnam1, Rnam2, Rnam3, . . . , Rnam9

User-defined solution subroutine names to be activated. Up to nine may be defined on one command or multiple commands may be used. If Rnam1 = ALL, activate all valid user subroutines. If Rnam1 = NONE, deactivate all valid user subroutines. All characters are required:

USREFL
 —

Allows user defined scalar field (body force) loads.

USERCV
 —

Allows user defined convection (surface) loads.

USERPR
 —

Allows user defined pressure (surface) loads.

USERFX
 —

Allows user-defined heat flux (surface) loads.

USERCH
 —

Allows user-defined charge density (surface) loads.

USERFD
 —

Computes the complex load vector for the frequency domain logic (PIPE59).

USEROU
 —

Allows user supplied element output.

USERMC
 —

Allows user control of the hygrothermal growth (SHELL91).

USOLBEG
 —

Allows user access before each solution.

ULDBEG
 —

Allows user access before each load step.

USSBEG
 —

Allows user access before each substep.

UITBEG
 —

Allows user access before each equilibrium iteration.

UITFIN
 —

Allows user access after each equilibrium iteration.

USSFIN
 —

Allows user access after each substep.

ULDFIN
 —

Allows user access after each load step.

USOLFIN
 —

Allows user access after each solution.

UANBEG
 —

Allows user access at start of ANSYS run.

UANFIN
 —

Allows user access at end of ANSYS run.

UELMATX
 —

Allows user access to element matrices and load vectors.

Command Default

No user-solution subroutines are active (even if linked into the program).

Notes

Allows certain user-solution subroutines to be activated or deactivated (system-dependent). This command only affects the subroutines named. Other user subroutines (such as user elements, user creep, etc.) have their own activation controls described with the feature.

The routines are commented and should be listed after performing a custom installation from the distribution media for more details. See also the Advanced Analysis Techniques Guide for a general description of user-programmable features.

Users must have system permission, system access, and knowledge to write, compile, and link the appropriate subroutines into the ANSYS program at the site where it is to be run. All routines should be written in FORTRAN 90. Issue USRCAL,STAT to list the status of these user subroutines. Since a user-programmed subroutine is a nonstandard use of the program, the verification of any ANSYS run incorporating these commands is entirely up to the user. In any contact with ANSYS customer support regarding the performance of a custom version of the ANSYS program, you should explicitly state that a user programmable feature has been used.

This command is also valid in PREP7.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Other>User Routines
Main Menu>Solution>Load Step Opts>Other>User Routines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/USER 		Up / Home Next
USRDOF


USRDOF

Release 11.0 Documentation for ANSYS

Commands Reference | U Commands |

USRDOF, Action, DOF1, DOF2, DOF3, DOF4, DOF5, DOF6, DOF7, DOF8, DOF9, DOF10

Specifies the degrees of freedom for the user-defined element USER300.

PREP7: Elements

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Action

One of the following command operations:

DEFINE
 —

Specify the degrees of freedom (DOFs). This value is the default.

LIST
 —

List all previously specified DOFs.

DELETE
 —

Delete all previously specified DOFs.

DOF1, DOF2, DOF3, . . . , DOF10

The list of DOFs.

Notes

The USRDOF command specifies the degrees of freedom for the user-defined element USER300.

Although you can intersperse other commands as necessary for your analysis, issue the USRDOF command as part of the following general sequence of commands:

  1. Issue the ET command for element USER300, followed by the related TYPE command.

  2. Issue both the USRELEM and USRDOF commands (in either order).

  3. Define your element using USER300.

The DOF list (DOF1 through DOF10) can consist of up to 10 DOFs. Use any valid and appropriate DOF (such as UX, UY, UZ, ROTX, ROTY, ROTZ, AX, AY, AZ, VX, VY, VZ, PRES, WARP, TEMP, VOLT, MAG, ENKE, ENDS, EMF, and CURR).

You can specify a maximum of 10 DOFs per USRDOF command. To define additional DOFs, issue the command again.

The maximum number of DOFs for a user-defined element--the number of nodes times the number of DOFs per node--cannot exceed 480.

To learn more about user-defined elements, see User-Defined Elements in the Advanced Analysis Techniques Guide.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
USRCAL 		Up / Home Next
USRELEM


USRELEM

Release 11.0 Documentation for ANSYS

Commands Reference | U Commands |

USRELEM, NNODES, NDIM, KeyShape, NREAL, NSAVEVARS, NRSLTVAR, KEYANSMAT, NINTPNTS, KESTRESS, KEYSYM

Specifies the characteristics of the user-defined element USER300.

PREP7: Elements

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NNODES

The number of nodes.

NDIM

The number of dimensions (of nodal coordinates). Valid values are 2 or 3.

KeyShape

One of the following element shape options:

ANYSHAPE
 —

Any shape (that is, no specified shape). This value is the default. (The ANSYS MeshTool is unavailable.)

POINT
 —

Point.

LINE
 —

Straight line.

TRIAN
 —

Triangle.

QUAD
 —

Quadrilateral. This shape can be degenerated to a triangle.

TET
 —

Tetrahedron.

BRICK
 —

Brick. This shape can be degenerated to a wedge, pyramid, or tetrahedron.

NREAL

The number of real constants.

NSAVEVARS

The number of saved variables.

NRSLTVAR

The number of variables saved in results files.

KEYANSMAT

Key for element formulation control:

0
 —

Create your own material codes within the element formulation. In this case, the real constants are available to input material properties. You can also input linear material properties via MP and MPDATA commands .

1
 —

Use ANSYS standard material routines or the USERMAT subroutine to form structural material data. ANSYS material properties must be input in the standard way (as you would for non-user-defined elements). This value is invalid when KeyShape = ANYSHAPE.

NINTPNTS

The maximum number of integration points (used when KEYANSMAT = 1).

KESTRESS

Key for the element stress state (used when KEYANSMAT = 1):

0
 —

Plane stress elements.

1
 —

Axisymmetric elements.

2
 —

Plane strain elements.

3
 —

3-D solid elements.

4
 —

3-D solid-shell elements.

5
 —

Generalized plane strain elements.

6
 —

Beam elements.

7
 —

Link/truss elements.

8
 —

3-D shell elements.

9
 —

Axisymmetric shell elements.

KEYSYM

Key for specifying whether element stiffness matrices are symmetric or unsymmetric:

0
 —

Symmetric.

1
 —

Unsymmetric.

Notes

The USRELEM command specifies the characteristics of the user-defined element USER300.

Although you can intersperse other commands as necessary for your analysis, issue the USRELEM command as part of the following general sequence of commands:

  1. Issue the ET command for element USER300, followed by the related TYPE command.

  2. Issue both the USRELEM and USRDOF commands (in either order).

  3. Define your element using USER300.

The number of real constants (NREAL) can refer to geometry quantities, material quantities, or any parameters for element formulation.

ANSYS saves variables in the .esav file to preserve element data when you specify a positive NSAVEVARS value. When KEYANSMAT = 0, all variables of both material and kinematic formulation are saved. When KEYANSMAT = 1, only the variables for kinematic formulation (such as deformation gradient tensor) are saved; in this case, the material routine saves all necessary material data automatically.

Element data saved in results files (NRSLTVAR) are accessible only as nonsummable miscellaneous data. ANSYS saves stress and total strain data for structural elements in the .rst file automatically (as it does for equivalent variables such as thermal gradient and thermal flux in thermal elements); therefore, NRSLTVAR does not need to include stress and total strain data.

To learn more about creating user-defined elements, see User-Defined Elements in the Advanced Analysis Techniques Guide.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
USRDOF 		Up / Home Next
V Commands


V Commands

Table of Contents

V - Defines a volume through keypoints.
V2DOPT - Specifies 2-D/axisymmetric view factor calculation options.
VA - Generates a volume bounded by existing areas.
VADD - Adds separate volumes to create a single volume.
VALVE - Defines a valve in a piping run.
VARDEL - Deletes a variable (GUI).
VARNAM - Names (or renames) a variable.
VATT - Associates element attributes with the selected, unmeshed volumes.
VCLEAR - Deletes nodes and volume elements associated with selected volumes.
/VCONE - Defines the view cone angle for perspective displays.
VCROSS - Forms element table items from the cross product of two vectors.
VCVFILL - Fills cavities and bosses in volumes (for models imported from CAD files).
VDDAM - Specifies the velocity spectrum computation constants for the analysis of shock resistance of shipboard structures.
VDELE - Deletes unmeshed volumes.
VDGL - Lists keypoints of a volume that lie on a parametric degeneracy.
VDOT - Forms an element table item from the dot product of two vectors.
VDRAG - Generates volumes by dragging an area pattern along a path.
VEORIENT - Specifies brick element orientation for volume mapped (hexahedron) meshing.
VEXT - Generates additional volumes by extruding areas.
VFCALC - Computes and stores Hemicube view factors.
VFOPT - Specifies options for view factor file.
VFQUERY - Queries and prints element Hemicube view factors and average view factor.
VGEN - Generates additional volumes from a pattern of volumes.
VGET - Moves a variable into an array parameter vector.
VGLUE - Generates new volumes by "gluing" volumes.
/VIEW - Defines the viewing direction for the display.
VIMP - Improves the quality of the tetrahedral elements in the selected volume(s).
VINP - Finds the pairwise intersection of volumes.
VINV - Finds the intersection of volumes.
VLIST - Lists the defined volumes.
VLSCALE - Generates a scaled set of volumes from a pattern of volumes.
VMESH - Generates nodes and volume elements within volumes.
VOFFST - Generates a volume, offset from a given area.
VOLUMES - Specifies "Volumes" as the subsequent status topic.
VOVLAP - Overlaps volumes.
VPLOT - Displays the selected volumes.
VPTN - Partitions volumes.
VPUT - Moves an array parameter vector into a variable.
VROTAT - Generates cylindrical volumes by rotating an area pattern about an axis.
VSBA - Subtracts areas from volumes.
VSBV - Subtracts volumes from volumes.
VSBW - Subtracts intersection of the working plane from volumes (divides volumes).
/VSCALE - Scales the length of displayed vectors.
VSEL - Selects a subset of volumes.
VSLA - Selects those volumes containing the selected areas.
VSUM - Calculates and prints geometry statistics of the selected volumes.
VSWEEP - Fills an existing unmeshed volume with elements by sweeping the mesh from an adjacent area through the volume.
VSYMM - Generates volumes from a volume pattern by symmetry reflection.
/VT - Enters the Variational Technology preprocessor.
VTCLR - Clears the Variational Technology database.
VTDISC - Defines an element component as a discrete input variable for the DesignXplorer.
VTEVAL - Triggers evaluation of generated results based on input variables specified via the VTVMOD command.
VTFREQ - Defines the frequency as input variable for the harmonic sweep functionality of VT Accelerator.
VTGEOM - Defines a geometry parameter created with ANSYS Mesh Morpher as a DesignXplorer input variable.
VTIN - Defines an inertial load as an input variable for DesignXplorer.
VTMETH - Defines the solution options for the DesignXplorer.
VTMP - Defines a material property as an input variable for DesignXplorer.
VTOP - Defines options value for the DesignXplorer.
VTPOST - Launches the DesignXplorer postprocessing application.
VTRAN - Transfers a pattern of volumes to another coordinate system.
VTREAL - Defines a real constant property as an input variable for the DesignXplorer.
VTRFIL - Specifies the file to which DesignXplorer results are written.
VTRSLT - Defines a result quantity for the DesignXplorer.
VTSEC - Defines a section property as an input variable for DesignXplorer.
VTSFE - Defines a surface load as an input variable for the DesignXplorer.
VTSL - Selects a subset of elements associated with an VT input variable.
VTSTAT - Print the status of the DesignXplorer definitions and settings into a separate window.
VTTEMP - Defines the temperature as input variable for the DesignXplorer.
VTVMOD - Modifies the status or current value of an input variable for the DesignXplorer.
VTYPE - Specifies the viewing procedure used to determine the form factors for the Radiation Matrix method.
/VUP - Specifies the global Cartesian coordinate system reference orientation.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
USRELEM 		Up / Home Next
V


V

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

V, P1, P2, P3, P4, P5, P6, P7, P8

Defines a volume through keypoints.

PREP7: Volumes

MP ME ST PR PRN <> <> FL EM EH <> PP <>

P1

Keypoint defining starting corner of volume. If P1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

P2

Keypoint defining second corner of volume.

P3

Keypoint defining third corner of volume.

P4

Keypoint defining fourth corner of volume.

P5

Keypoint defining fifth corner of volume.

P6

Keypoint defining sixth corner of volume.

P7

Keypoint defining seventh corner of volume.

P8

Keypoint defining eighth corner of volume.

Notes

Defines a volume (and its corresponding lines and areas) through eight (or fewer) existing keypoints. Keypoints must be input in a continuous order. The order of the keypoints should be around the bottom and then the top. Missing lines are generated "straight" in the active coordinate system and assigned the lowest available numbers [NUMSTR]. Missing areas are generated and assigned the lowest available numbers.

Note

Solid modeling in a toroidal coordinate system is not recommended.

Certain faces may be condensed to a line or point by repeating keypoints. For example, use V,P1,P2,P3,P3,P5,P6,P7,P7 for a triangular prism or V,P1,P2,P3,P3,P5,P5,P5,P5 for a tetrahedron. See Figure 45.1: "SOLID45 Geometry" in the Elements Reference for analogous element sketches of the valid condensed face patterns.)

Using keypoints to produce partial sections in CSYS = 2 can generate anomalies; check the resulting volumes carefully.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Volumes>Arbitrary>Through KPs

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
V Commands 		Up / Home Next
V2DOPT


V2DOPT

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

V2DOPT, GEOM, NDIV, HIDOPT, NZONE

Specifies 2-D/axisymmetric view factor calculation options.

SOLUTION: Radiosity

AUX12: Radiosity Solver

MP ME <> PR <> <> <> <> <> <> <> PP <>

GEOM

Choice of geometry:

0
 —

Planar (default).

1
 —

Axisymmetric

NDIV

Number of divisions for axisymmetric geometry. Defaults to 20.

HIDOPT

Viewing option:

0
 —

Hidden (default).

1
 —

Non-hidden

NZONE

Number of zones for view factor calculation. Defaults to 200.

Command Default

V2DOPT allows you to select options for 2-D view factor calculation. The geometry type can be set to either 2-D plane or axisymmetric (defaults to plane). You can also define the number of divisions (defaults to 20) for an axisymmetric geometry. This command also allows you to select either hidden or non-hidden viewing option (defaults to hidden) and the number of zones for view factor calculation (defaults to 200).

Menu Paths

Main Menu>Preprocessor>Radiation Opts>View Factor
Main Menu>Radiation Opt>Radiosity Meth>View Factor
Main Menu>Solution>Radiation Opts>View Factor

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
V 		Up / Home Next
VA


VA

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VA, A1, A2, A3, A4, A5, A6, A7, A8, A9, A10

Generates a volume bounded by existing areas.

PREP7: Volumes

MP ME ST PR PRN <> <> FL EM EH <> PP <>

A1, A2, A3, . . . , A10

List of areas defining volume. The minimum number of areas is 4. If A1 = ALL, use all selected [ASEL] areas and ignore A2 to A10. If A1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for A1.

Notes

This command conveniently allows generating volumes from regions having more than eight keypoints (which is not allowed with the V command). Areas may be input in any order. The exterior surface of a VA volume must be continuous, but holes may pass completely through it.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Volume by Areas
Main Menu>Preprocessor>Modeling>Create>Volumes>Arbitrary>By Areas
Main Menu>Preprocessor>Modeling>Geom Repair>Create Volume

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
V2DOPT 		Up / Home Next
VADD


VADD

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VADD, NV1, NV2, NV3, NV4, NV5, NV6, NV7, NV8, NV9

Adds separate volumes to create a single volume.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM EH <> PP <>

NV1, NV2, NV3, . . . , NV9

Numbers of volumes to be added. If NV1 = ALL, add all selected volumes and ignore NV2 to NV9. If NV1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NV1.

Notes

Adds separate volumes to create a single volume. The original volumes (and their corresponding areas, lines and keypoints) will be deleted by default [BOPTN]. See the BOPTN command for the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated. Concatenated entities are not valid with this command.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Add>Volumes
Main Menu>Preprocessor>Modeling>Operate>Booleans>Add>Volumes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VA 		Up / Home Next
VALVE


VALVE

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VALVE, NLOC, LENG, MASS, SIF, FLEX, ARINS, ELEM

Defines a valve in a piping run.

PREP7: Piping

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NLOC

Node where valve is to be placed (as described below). Defaults to current run starting point.

LENG

Length of valve (defaults to larger pipe OD).

MASS

Dry mass (weight/gravity) of valve without insulation (defaults to equivalent straight pipe mass). Note, acceleration [ACEL] must be nonzero for weight to be calculated.

SIF

Stress intensification factor (defaults to 1.0).

FLEX

Bending flexibility factor (defaults to 0.5).

ARINS

Insulation surface area (defaults to equivalent straight pipe insulation area). Units (length2) must be consistent with the smallest unit of the system used (not mixed) regardless of the PUNIT option.

ELEM

Element number to be assigned to valve (defaults to the previous maximum element number (MAXEL) + 1).

Notes

Defines a valve (straight pipe element (PIPE16) with adjusted specifications and loadings) at a given location in a piping run. See the PREP7 RUN command. The location may be 1) between two adjacent colinear straight pipes, 2) between an adjacent straight pipe and a different piping component, or 3) at the end of a straight pipe.

For Case 1, two new nodes are generated at the ends of the valve. The two straight pipes are automatically "shortened" to meet the ends of the valve. The valve specifications and loadings are taken from the corresponding two straight pipes.

For Case 2, one new node is generated at one end of the valve. The straight pipe is automatically "shortened" to meet this end of the valve. The other end of the valve meets the other piping component. The valve specifications and loadings are taken from the straight pipe.

For Case 3, one new node is generated at the free end of the valve. The other end of the valve meets the straight pipe. The valve specifications and loadings are taken from the straight pipe.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Piping Models>Define Pipes>Valve

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VADD 		Up / Home Next
VARDEL


VARDEL

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VARDEL, NVAR

Deletes a variable (GUI).

POST26: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NVAR

The reference number of the variable to be deleted. NVAR is as defined by NSOL, ESOL, etc.

Notes

Deletes a POST26 solution results variable. This is a command generated by the Graphical User Interface (GUI). It will appear in the log file (Jobname.LOG) if a POST26 variable is deleted from the "Defined Time-History Variables" dialog box. This command is not intended to be typed in directly in an ANSYS session (although it can be included in an input file for batch input or for use with the /INPUT command).

Menu Paths

Main Menu>TimeHist Postpro>Define Variables
Main Menu>TimeHist Postpro>Elec&Mag>Circuit>Define Variables

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VALVE 		Up / Home Next
VARNAM


VARNAM

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VARNAM, IR, Name

Names (or renames) a variable.

POST26: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

IR

Reference number of the variable (2 to NV [NUMVAR]).

Name

Thirty-two character name for identifying variable on printouts and displays. Embedded blanks are compressed for output.

Menu Paths

Main Menu>TimeHist Postpro>Settings>Graph
Main Menu>TimeHist Postpro>Settings>List

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VARDEL 		Up / Home Next
VATT


VATT

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VATT, MAT, REAL, TYPE, ESYS

Associates element attributes with the selected, unmeshed volumes.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

MAT, REAL, TYPE, ESYS

Material number, real constant set number, type number, and coordinate system number to be associated with selected, unmeshed volumes.

Notes

These element attributes will be used when the volumes are meshed. If a volume does not have attributes associated with it (by this command) at the time it is meshed, the attributes are obtained from the then current MAT, REAL, TYPE, and ESYS command settings. Reissue the VATT command (before volumes are meshed) to change the attributes. A zero (or blank) argument removes the corresponding association.

If any of the arguments MAT, REAL, TYPE, or ESYS are defined as -1, then that value will be left unchanged in the selected set.

In some cases, ANSYS can proceed with a volume meshing operation even when no logical element type has been assigned via VATT,,,TYPE or TYPE. For more information, see the discussion on setting element attributes in Meshing Your Solid Model of the Modeling and Meshing Guide.

Menu Paths

Main Menu>Preprocessor>Meshing>Mesh Attributes>All Volumes
Main Menu>Preprocessor>Meshing>Mesh Attributes>Picked Volumes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VARNAM 		Up / Home Next
VCLEAR


VCLEAR

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VCLEAR, NV1, NV2, NINC

Deletes nodes and volume elements associated with selected volumes.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NV1, NV2, NINC

Delete mesh for volumes NV1 to NV2 (defaults to NV1) in steps of NINC (defaults to 1). If NV1 = ALL, NV2 and NINC are ignored and mesh for all selected volumes [VSEL] is deleted. If NV1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NV1 (NV2 and NINC are ignored).

Notes

Deletes all nodes and volume elements associated with selected volumes (regardless of whether the nodes or elements are selected). Nodes shared by adjacent meshed volumes and nodes associated with non-volume elements will not be deleted. Attributes assigned as a result of VATT are maintained. In the program's response to the command, if a volume, area, line, or keypoint is tallied as "cleared," it means either its node or element reference was deleted.

Menu Paths

Main Menu>Preprocessor>Meshing>Clear>Volumes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VATT 		Up / Home Next
/VCONE


/VCONE

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

/VCONE, WN, PHI

Defines the view cone angle for perspective displays.

GRAPHICS: Views

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number (or ALL) to which command applies (defaults to 1).

PHI

View cone angle (0.0 to 85.°) to define perspective. Use PHI = 45.0° for typical perspective. Increase angle for more perspective, decrease angle for less. If the distance [/DIST] is not specified, it will be automatically calculated to give full window magnification. If the distance is also specified, PHI controls both the perspective and the magnification. The larger the angle, the more the perspective and the less the magnification. Defaults to 0.0 (no perspective).

Command Default

0.0 degrees (no perspective (parallel projection)).

Notes

Perspective shows the true depth of the object in the display. A variable magnification results since the back plane of the object is further from the observer than the front plane. The largest magnification occurs at the front plane. With perspective, the magnification factor (MAGF) is not only a function of the distance from the object, but also the window shape and the perspective (or view cone) angle Φ as follows:

where [image], for square windows, is the largest in-plane vertical or horizontal dimension, d is the distance from the observer to the plane of [image] (usually the front plane of the object), and Φ is the view cone angle (defined with the /VCONE command). The bigger the cone angle, the more the perspective. The magnification factor proportionally decreases with increasing Φ. The distance can be defined with the /DIST or the /FOCUS command. Note, the distance input on the /DIST command is equal to d only if the focus point is located on the plane of [image]. It is recommended that if a general perspective is desired (i.e., not any specific cone angle), use Φ = 45.0 (since TAN(45.0) = 1.0) and let the d value be automatically calculated for full window magnification.

Note that any number of /DIST, /FOCUS, and /VCONE combinations can be used to produce the same magnification. Distances less than the object depth will produce views from within the object.

A magnification factor of 1.0 just fills the window. If the automatic scaling option is used [/AUTO], the magnification factor is fixed at 0.91 (to allow a 10% margin around the object) and d is automatically calculated for the given /VCONE and /FOCUS values. Any value of Φ between 0.0 and 85.0 (usually 45.0) may be used to activate the perspective. Views from inside the object are not possible when d is automatically calculated (use manual scaling [/USER] along with /DIST specification).

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>View Settings>Perspective View

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VCLEAR 		Up / Home Next
VCROSS


VCROSS

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VCROSS, LabXR, LabYR, LabZR, LabX1, LabY1, LabZ1, LabX2, LabY2, LabZ2

Forms element table items from the cross product of two vectors.

POST1: Element Table

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LabXR, LabYR, LabZR

Label assigned to X, Y, and Z-component of resultant vector.

LabX1, LabY1, LabZ1

X, Y, and Z-component of first vector label.

LabX2, LabY2, LabZ2

X, Y, and Z-component of second vector label.

Notes

Forms labeled result items for the selected element from the cross product of two vectors:

{LabXR, LabYR, LabZR}
= {LabX1, LabY1, LabZ1}
X {LabX2, LabY2, LabZ2}

Data must be in a consistent coordinate system. Labels are those associated with the ETABLE command.

Menu Paths

Main Menu>General Postproc>Element Table>Cross Product

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/VCONE 		Up / Home Next
VCVFILL


VCVFILL

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VCVFILL, A1, A2, A3, A4, A5, A6, A7, A9, A9, A10

Fills cavities and bosses in volumes (for models imported from CAD files).

PREP7: CAD Repair

MP ME ST PR PRN <> <> FL EM EH <> PP <>

A1, A2, A3, . . . , A10

List of areas that define the volume. If A1 = P, graphical picking is enabled and all remaining arguments are ignored (valid only in the GUI). If A1 = ALL, all selected areas will be used and all remaining arguments are ignored.

Notes

Use this command to fill in holes and cavities or eliminate protrusions (bosses) in models imported from CAD files. In essence, this command removes features projecting above or below a plane, such as bosses and cavities. This command is available only for models imported through the Default IGES option.

You must select all areas related to the feature before it can be eliminated, and the order in which those areas are selected can be important. If the boss or cavity is an isolated entity, the area selection order does not matter. However, if the boss or cavity is attached to an area, that area must be the last area selected in the list. If the attached area is not the last area in the selection list the command may distort the geometry of the model.

Menu Paths

Main Menu>Preprocessor>Modeling>Simplify>Toolkit>Fill Cavity
Main Menu>Preprocessor>Modeling>Simplify>Toolkit>Remove Boss

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VCROSS 		Up / Home Next
VDDAM


VDDAM

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VDDAM, VF, VA, VB, VC

Specifies the velocity spectrum computation constants for the analysis of shock resistance of shipboard structures.

SOLUTION: Spectrum Options

MP ME ST <> <> <> <> <> <> <> <> PP <>

VF

Direction-dependent velocity coefficient for elastic or elastic-plastic analysis option (Default = 0).

VA, VB, VC

Coefficients for the DDAM velocity spectrum equations. See the Theory Reference for ANSYS and ANSYS Workbench. Default for these coefficients is zero.

Notes

This command specifies velocity coefficients to analyze shock resistance of shipboard equipment. These coefficients are used to compute mode coefficients according to the equations given in the Theory Reference for ANSYS and ANSYS Workbench. The form of these equations is based on the Naval NRL Dynamic Design Analysis Method. This command, along with the ADDAM and SED commands, is used with the spectrum (ANTYPE,SPECTR) analysis as a special purpose alternative to the SV, FREQ, and SVTYP commands. The mass and length units of the model must be in pounds and inches, respectively.

This command is also valid in PREP7.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Spectrum>DDAM Options
Main Menu>Solution>Load Step Opts>Spectrum>DDAM Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VCVFILL 		Up / Home Next
VDELE


VDELE

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VDELE, NV1, NV2, NINC, KSWP

Deletes unmeshed volumes.

PREP7: Volumes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NV1, NV2, NINC

Delete volumes from NV1 to NV2 (defaults to NV1) in steps of NINC (defaults to 1). If NV1 = ALL, NV2 and NINC are ignored and all selected volumes [VSEL] are deleted. If NV1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NV1 (NV2 and NINC are ignored).

KSWP

Specifies whether keypoints, lines, and areas are also deleted:

0
—

Delete volumes only (default).

1
—

Delete volumes, as well as keypoints, lines, and areas attached to the specified volumes but not shared by other volumes.

Menu Paths

Main Menu>Preprocessor>Modeling>Delete>Volume and Below
Main Menu>Preprocessor>Modeling>Delete>Volumes Only
Main Menu>Preprocessor>Trefftz Domain>TZ Geometry>Delete>Volume and Below
Main Menu>Preprocessor>Trefftz Domain>TZ Geometry>Delete>Volumes Only

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VDDAM 		Up / Home Next
VDGL


VDGL

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VDGL, NV1, NV2, NINC

Lists keypoints of a volume that lie on a parametric degeneracy.

PREP7: Volumes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NV1, NV2, NINC

List keypoints that lie on a parametric degeneracy on volumes from NV1 to NV2 (defaults to NV1) in steps of NINC (defaults to 1). If NV1 = ALL (default), NV2 and NINC will be ignored and keypoints on all selected volumes [VSEL] will be listed. If NV1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). You may also substitute a component name for NV1 (ignore NV2 and NINC).

Notes

See the Modeling and Meshing Guide for details about parametric degeneracies.

This command is valid in any processor.

Menu Paths

Main Menu>Preprocessor>Modeling>Check Geom>Show Degeneracy>List Degen Volus
Main Menu>Preprocessor>Modeling>Operate>Booleans>Show Degeneracy>List Degen Volus

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VDELE 		Up / Home Next
VDOT


VDOT

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VDOT, LabR, LabX1, LabY1, LabZ1, LabX2, LabY2, LabZ2

Forms an element table item from the dot product of two vectors.

POST1: Element Table

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LabR

Label assigned to dot product result.

LabX1, LabY1, LabZ1

X, Y, and Z-component of first vector label.

LabX2, LabY2, LabZ2

X, Y, and Z-component of second vector label.

Notes

Forms labeled result items for the selected element from the dot product of two vectors:

LabR = {LabX1, LabY1, LabZ1} [image] {LabX2, LabY2, LabZ2}

Data must be in a consistent coordinate system. Labels are those associated with the ETABLE command.

Menu Paths

Main Menu>General Postproc>Element Table>Dot Product

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VDGL 		Up / Home Next
VDRAG


VDRAG

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VDRAG, NA1, NA2, NA3, NA4, NA5, NA6, NLP1, NLP2, NLP3, NLP4, NLP5, NLP6

Generates volumes by dragging an area pattern along a path.

PREP7: Volumes

MP ME ST PR PRN <> <> FL EM EH <> PP <>

NA1, NA2, NA3, . . . , NA6

List of areas in the pattern to be dragged (6 maximum if using keyboard entry). If NA1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). If NA1 = ALL, all selected areas will be swept along the path. A component name may also be substituted for NA1.

NLP1, NLP2, NLP3, . . . , NLP6

List of lines defining the path along which the pattern is to be dragged (6 maximum if using keyboard entry). Must be a continuous set of lines. To be continuous, adjacent lines must share the connecting keypoint (the end keypoint of one line must also be first keypoint of the next line).

Notes

Generates volumes (and their corresponding keypoints, lines, and areas) by sweeping a given area pattern along a characteristic drag path. If the drag path consists of multiple lines, the drag direction is determined by the sequence in which the path lines are input (NLP1, NLP2, etc.). If the drag path is a single line (NLP1), the drag direction is from the keypoint on the drag line that is closest to the first keypoint of the given area pattern to the other end of the drag line.

The magnitude of the vector between the keypoints of the given pattern and the first path keypoint remains constant for all generated keypoint patterns and the path keypoints. The direction of the vector relative to the path slope also remains constant so that patterns may be swept around curves. Lines are generated with the same shapes as the given pattern and the path lines.

Keypoint, line, area, and volume numbers are automatically assigned (beginning with the lowest available values [NUMSTR]). Adjacent lines use a common keypoint, adjacent areas use a common line, and adjacent volumes use a common area. For best results, the entities to be dragged should be orthogonal to the start of the drag path. Drag operations that produce an error message may create some of the desired entities prior to terminating.

If element attributes have been associated with the input area via the AATT command, the opposite area generated by the VDRAG operation will also have those attributes (i.e., the element attributes from the input area are copied to the opposite area). Note that only the area opposite the input area will have the same attributes as the input area; the areas adjacent to the input area will not.

If the input areas are meshed or belong to a meshed volume, the area(s) can be extruded to a 3-D mesh. Note that the NDIV argument of the ESIZE command should be set before extruding the meshed areas. Alternatively, mesh divisions can be specified directly on the drag line(s) (LESIZE). See the Modeling and Meshing Guide for more information.

You can use the VDRAG command to generate 3-D interface element meshes for elements INTER194 and INTER195. When generating interface element meshes using VDRAG, you must specify the line divisions to generate one interface element directly on the drag line using the LESIZE command. The source area to be extruded becomes the bottom surface of the interface element. Interface elements must be extruded in what will become the element's local x direction, that is, bottom to top.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Extrude>Areas>Along Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VDOT 		Up / Home Next
VEORIENT


VEORIENT

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VEORIENT, VNUM, Option, VALUE1, VALUE2

Specifies brick element orientation for volume mapped (hexahedron) meshing.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

VNUM

Number identifying volume for which elements are to be oriented (no default).

Option

Option for defining element orientation:

KP
 —

Orientation is determined by two keypoints on the volume. Input the keypoint numbers (KZ1 and KZ2) in fields VALUE1 and VALUE2, respectively. The element z-axis points from KZ1 toward KZ2. Element x and y directions point away from KZ1 along edges of the volume to make a right-hand triad. (The element x- and y-axes are uniquely determined by this specification.)

LINE
 —

Orientation is determined by one of the lines defining the volume. Input the line number in field VALUE1. The element z direction follows the direction of the line. Input a negative value if the desired z direction is opposite to the direction of the specified line. (The element x- and y-axes are uniquely determined by this specification.) (VALUE2 is not used.)

AREA
 —

Orientation is determined by one of the areas defining the volume. The area represents the desired element top surface. Input the area number as VALUE1. The shortest line in the volume connected to the area will be used to specify the element z direction. (If more than one shortest line exists, the lowest numbered of those is used.) Element x and y directions are not uniquely specified by this option. (VALUE2 is not used.)

THIN
 —

Align the element z normal to the thinnest dimension of the volume. The shortest line in the volume is used to specify the element z direction. (If more than one shortest line exists, the lowest numbered of those is used.) Element x and y directions are not uniquely specified by this option. (VALUE1 and VALUE2 are not used.)

DELE
 —

Delete the previously defined volume orientation for the specified volume (VNUM). (VALUE1 and VALUE2 are not used.)

VALUE1, VALUE2

Parameters required for the element z-axis direction specification. The meaning of VALUE1 and VALUE2 will depend on the chosen Option. See the description of Option above for details.

Command Default

Elements are not oriented in any specific manner.

Notes

Use VEORIENT before the VMESH command to specify the desired orientation of brick elements in a mapped mesh. VEORIENT has no effect on tetrahedron meshes, extruded meshes (VROTAT, VDRAG, VEXTR, etc.), or swept meshes (VSWEEP).

Proper brick orientation is essential for certain element types such as SOLID46, SOLID185 Layered Solid, SOLID186 Layered Solid, and SOLSH190. In such cases, use VEORIENT or EORIENT to achieve the desired orientation. For other brick element types, you may need to specify element orientation to control orthotropic material property directions without concern for the element connectivity. For those cases, the ESYS command is the preferred method of specifying the material property directions.

For Option = LINE, AREA, and THIN, the orientation will be internally converted to an equivalent Option = KP specification (KP,KZ1,KZ2). Use the VLIST command to view the element orientations (in terms of KZ1 and KZ2) associated with each volume.

Menu Paths

Main Menu>Preprocessor>Meshing>Mesh Attributes>Volume Brick Orient>Delete Specification
Main Menu>Preprocessor>Meshing>Mesh Attributes>Volume Brick Orient>Z Along Line
Main Menu>Preprocessor>Meshing>Mesh Attributes>Volume Brick Orient>Z by 2 Keypoints
Main Menu>Preprocessor>Meshing>Mesh Attributes>Volume Brick Orient>Z in Thin Direction
Main Menu>Preprocessor>Meshing>Mesh Attributes>Volume Brick Orient>Z Normal to Area

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VDRAG 		Up / Home Next
VEXT


VEXT

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VEXT, NA1, NA2, NINC, DX, DY, DZ, RX, RY, RZ

Generates additional volumes by extruding areas.

PREP7: Volumes

MP ME ST PR PRN <> <> FL EM EH <> PP <>

NA1, NA2, NINC

Set of areas (NA1 to NA2 in steps of NINC) that defines the pattern to be extruded. NA2 defaults to NA1, NINC defaults to 1. If NA1 = ALL, NA2 and NINC are ignored and the pattern is defined by all selected areas. If NA1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NA1 (NA2 and NINC are ignored).

DX, DY, DZ

Increments to be applied to the X, Y, and Z keypoint coordinates in the active coordinate system (DR, Dθ, DZ for cylindrical; DR, Dθ, DΦ for spherical).

RX, RY, RZ

Scale factors to be applied to the X, Y, and Z keypoint coordinates in the active coordinate system (RR, Rθ, RZ for cylindrical; RR, Rθ, RΦ for spherical). Note that the Rθ and RΦ scale factors are interpreted as angular offsets. For example, if CSYS = 1, RX, RY, RZ input of (1.5,10,3) would scale the specified keypoints 1.5 times in the radial and 3 times in the Z direction, while adding an offset of 10 degrees to the keypoints. Zero, blank, or negative scale factor values are assumed to be 1.0. Zero or blank angular offsets have no effect.

Notes

Generates additional volumes (and their corresponding keypoints, lines, and areas) by extruding and scaling a pattern of areas in the active coordinate system.

If element attributes have been associated with the input area via the AATT command, the opposite area generated by the VEXT operation will also have those attributes (i.e., the element attributes from the input area are copied to the opposite area). Note that only the area opposite the input area will have the same attributes as the input area; the areas adjacent to the input area will not.

If the areas are meshed or belong to meshed volumes, a 3-D mesh can be extruded with this command. Note that the NDIV argument on the ESIZE command should be set before extruding the meshed areas.

Scaling of the input areas, if specified, is performed first, followed by the extrusion.

In a non-Cartesian coordinate system, the VEXT command locates the end face of the volume based on the active coordinate system. However, the extrusion is made along a straight line between the end faces. Note that solid modeling in a toroidal coordinate system is not recommended.

Caution

Use of the VEXT command can produce unexpected results when operating in a non-Cartesian coordinate system. For a detailed description of the possible problems that may occur, see Solid Modeling in the Modeling and Meshing Guide.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Extrude>Areas>By XYZ Offset

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VEORIENT 		Up / Home Next
VFCALC


VFCALC

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VFCALC, Fname, Ext, --

Computes and stores Hemicube view factors.

AUX12: Radiosity Solver

MP ME <> PR <> <> <> <> <> <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to VF.

--

Unused field.

Notes

When you leave ANSYS, the Hemicube view factors are removed from memory.

Menu Paths

Main Menu>Radiation Opt>Radiosity Meth>Compute

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VEXT 		Up / Home Next
VFOPT


VFOPT

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VFOPT, Opt, Filename, Ext, Dir, Format

Specifies options for view factor file.

SOLUTION: Radiosity

AUX12: Radiosity Solver

MP ME <> PR <> <> <> <> <> <> <> PP <>

Opt

View factor option:

NEW
 —

Compute view factors and write them to a file.

OFF
 —

Do not recompute view factors it they already exist in the database, otherwise compute them (default).

READ
 —

Read view factors from a binary file. For subsequent SOLVE commands, switch to the default option (OFF).

NONE
 —

Do not write view factors to a file.

Fname

File name for view factor matrix. Defaults to Jobname.

Ext

Filename extension for view factor matrix (default = vf).

Dir

Directory path for view factor matrix. If you do not specify a directory path, it will default to your working directory.

Format

File format for view factor file. Defaults to a Binary format.

BINA
 —

Binary file (default).

ASCI
 —

ASCII file.

Notes

This command allows you to deactivate the view factor computation (Opt = OFF) if the view factors already exist in the database. OFF is the default upon encountering the second and subsequent SOLVE commands in the solution processor. When using the READ option, only a previously-calculated view factor binary file is supported.

Menu Paths

Main Menu>Preprocessor>Radiation Opts>View Factor
Main Menu>Radiation Opt>Radiosity Meth>View Factor
Main Menu>Solution>Radiation Opts>View Factor

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VFCALC 		Up / Home Next
VFQUERY


VFQUERY

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VFQUERY, SRCELEM, TARELEM

Queries and prints element Hemicube view factors and average view factor.

AUX12: Radiosity Solver

MP ME <> PR <> <> <> <> <> <> <> PP <>

SRCELEM

Elements representing the source radiating surfaces used to query the view factor at the target element(s). If SRCELEM = P, graphical picking is enabled (valid only in the GUI). If SRCELEM = ALL, all selected elements will have their view factors queried. A component name may also be substituted for SRCELEM. Selected elements must be flagged for surface to surface radiation in order to query view factors (SF, SFA, or SFE with Lab = RDSF). The view factors must have been previously computed.

TARELEM

Element for view factor query. If TARELEM = P, graphical picking is enabled (valid only in the GUI). If TARELEM = ALL, all selected elements will have their view factors queried. A component name may also be substituted for TARELEM. Selected elements must be flagged for surface to surface radiation in order to query view factors (SF, SFA, or SFE with Lab = RDSF). The view factors must have been previously computed.

Notes

View factors for each target element will be printed.

An average view factor for all target elements will be computed. (Use *GET to retrieve the average value).

When resuming a database, issue the command VFOPT,READ before issuing the VFQUERY command.

Menu Paths

Main Menu>Radiation Opt>Radiosity Meth>Query

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VFOPT 		Up / Home Next
VGEN


VGEN

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VGEN, ITIME, NV1, NV2, NINC, DX, DY, DZ, KINC, NOELEM, IMOVE

Generates additional volumes from a pattern of volumes.

PREP7: Volumes

MP ME ST PR PRN <> <> FL EM EH <> PP <>

ITIME

Do this generation operation a total of ITIMEs, incrementing all keypoints in the given pattern automatically (or by KINC) each time after the first. ITIME must be > 1 for generation to occur.

NV1, NV2, NINC

Generate volumes from pattern beginning with NV1 to NV2 (defaults to NV1) in steps of NINC (defaults to 1). If NV1 = ALL, NV2 and NINC are ignored and the pattern is all selected volumes [VSEL]. If NV1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NV1 (NV2 and NINC are ignored).

DX, DY, DZ

Keypoint location increments in the active coordinate system (--, Dθ, DZ for cylindrical, --, Dθ, -- for spherical).

KINC

Keypoint increment between generated sets. If zero, the lowest available keypoint numbers are assigned [NUMSTR].

NOELEM

Specifies if elements and nodes are also to be generated:

0
 —

Generate nodes and elements associated with the original volumes, if they exist.

1
 —

Do not generate nodes and elements.

IMOVE

Specifies whether to redefine the existing volumes:

0
 —

Generate additional volumes as requested with the ITIME argument.

1
 —

Move original volumes to new position retaining the same keypoint line, and area numbers (ITIME, KINC, and NOELEM are ignored). Corresponding meshed items are also moved if not needed at their original position.

Notes

Generates additional volumes (and their corresponding keypoints, lines, areas and mesh) from a given volume pattern. The MAT, TYPE, REAL, and ESYS attributes are based upon the volumes in the pattern and not upon the current settings of the pointers. End slopes of the generated lines remain the same (in the active coordinate system) as those of the given pattern. For example, radial slopes remain radial, etc. Generations which produce volumes of a size or shape different from the pattern (i.e., radial generations in cylindrical systems, radial and phi generations in spherical systems, and theta generations in elliptical systems) are not allowed. Note that solid modeling in a toroidal coordinate system is not recommended. Volume, area, and line numbers are automatically assigned (beginning with the lowest available values [NUMSTR]).

Menu Paths

Main Menu>Preprocessor>Modeling>Copy>Volumes
Main Menu>Preprocessor>Modeling>Move / Modify>Volumes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VFQUERY 		Up / Home Next
VGET


VGET

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VGET, Par, IR, TSTRT, KCPLX

Moves a variable into an array parameter vector.

POST26: Special Purpose

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Par

Array parameter vector in the operation.

IR

Reference number of the variable (1 to NV [NUMVAR]).

TSTRT

Time (or frequency) corresponding to start of IR data. If between values, the nearer value is used.

KCPLX

Complex number key:

0
 —

Use the real part of the IR data.

1
 —

Use the imaginary part of the IR data.

Notes

Moves a variable into an array parameter vector. The starting array element number must be defined. For example, VGET,A(1),2 moves variable 2 (starting at time 0.0) to array parameter A. Looping continues from array element A(1) with the index number incremented by one until the variable is filled. The number of loops may be controlled with the *VLEN command (except that loop skipping (NINC) is not allowed). For multi-dimensioned array parameters, only the first (row) subscript is incremented.

Menu Paths

Main Menu>TimeHist Postpro>Table Operations>Variable to Par

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VGEN 		Up / Home Next
VGLUE


VGLUE

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VGLUE, NV1, NV2, NV3, NV4, NV5, NV6, NV7, NV8, NV9

Generates new volumes by "gluing" volumes.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM EH <> PP <>

NV1, NV2, NV3, . . . , NV9

Numbers of the volumes to be glued. If NV1 = ALL, all selected volumes will be glued (NV2 to NV9 will be ignored). If NV1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NV1.

Notes

Use of the VGLUE command generates new volumes by "gluing" input volumes. The glue operation redefines the input volumes so that they share areas along their common boundaries. The new volumes encompass the same geometry as the original volumes. This operation is only valid if the intersections of the input volumes are areas along the boundaries of those volumes. See the Modeling and Meshing Guide for an illustration. See the BOPTN command for an explanation of the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated.

The VGLUE command results in the merging of areas, lines, and keypoints at the common volume boundaries. The areas, lines, and keypoints of the lower numbered volume will be kept. This means one must be aware of volume numbering when multiple VGLUE commands are applied to avoid any "ungluing" of geometry.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Glue>Volumes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VGET 		Up / Home Next
/VIEW


/VIEW

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

/VIEW, WN, XV, YV, ZV

Defines the viewing direction for the display.

GRAPHICS: Views

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number (or ALL) to which command applies (defaults to 1).

XV, YV, ZV

The object is viewed along the line from point XV,YV,ZV (in the global coordinate system) to the global coordinate system origin. For section displays, the cutting plane is assumed to be perpendicular to this line. If XV = WP, modify view to be normal to the currently defined working plane. Defaults to (0,0,1).

Command Default

0,0,1 view. The default reference orientation is X-axis horizontal to the right, Y-axis vertical upward, and Z-axis out from the screen (normal). See /VUP command to change reference orientation.

Notes

The view line is always normal to the screen. The view is selected by defining a point (in the global Cartesian coordinate system) representing a point along the viewing line. This point, and the global Cartesian coordinate system origin, define the line along which the object is viewed while looking toward the origin. Any point along the view line may be used, i.e., (1,1,1) and (2,2,2) give the same view. The display orientation may be changed as desired [/ANGLE]. The display coordinate system type may be changed (from Cartesian to cylindrical, spherical, toroidal, etc.) with the DSYS command.

This command is valid in any processor.

Menu Paths

Main Menu>General Postproc>Path Operations>Define Path>On Working Plane
Main Menu>Preprocessor>Path Operations>Define Path>On Working Plane
Utility Menu>PlotCtrls>Pan, Zoom, Rotate
Utility Menu>PlotCtrls>View Settings>Viewing Direction

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VGLUE 		Up / Home Next
VIMP


VIMP

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VIMP, VOL, CHGBND, IMPLEVEL

Improves the quality of the tetrahedral elements in the selected volume(s).

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

VOL

Number of the volume containing the tetrahedral elements to be improved. If VOL = ALL (default), improve the tetrahedral elements in all selected volumes. If VOL = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for VOL.

CHGBND

Specifies whether to allow boundary modification. Boundary modification includes such things as changes in the connectivity of the element faces on the boundary and the addition of boundary nodes. (Also see "Notes" below for important usage information for CHGBND.)

0
 —

Do not allow boundary modification.

1
 —

Allow boundary modification (default).

IMPLEVEL

Identifies the level of improvement to be performed on the elements. (Improvement occurs primarily through the use of face swapping and node smoothing techniques.)

0
 —

Perform the least amount of swapping/smoothing.

1
 —

Perform an intermediate amount of swapping/smoothing.

2
 —

Perform the greatest amount of swapping/smoothing.

3
 —

Perform the greatest amount of swapping/smoothing, plus additional improvement techniques (default).

Notes

VIMP is useful for further improving a volume mesh created in ANSYS [VMESH], especially quadratic tetrahedral element meshes.

The VIMP command enables you to improve a given tetrahedral mesh by reducing the number of poorly-shaped tetrahedral elements (in particular, the number of sliver tetrahedral elements)--as well as the overall number of elements--in the mesh. It also improves the overall quality of the mesh.

Regardless of the value of the CHGBND argument, boundary mid-nodes can be moved as long as you are not using p-method analysis. When CHGBND = 0 and you are using p-method analysis, boundary mid-nodes cannot be moved. (ANSYS issues an error message if it would be necessary to move boundary mid-nodes in order to generate valid quadratic elements.)

When loads or constraints have been placed on boundary nodes or mid-nodes, and boundary mid-nodes are later moved, ANSYS issues a warning message to let you know that it will not update the loads or constraints.

Even when CHGBND = 1, no boundary modification is performed on areas and lines that are not modifiable (for example, areas that are adjacent to other volumes or that contain shell elements, or lines that are not incident on modifiable areas, contain beam elements, or have line divisions specified for them [LESIZE]).

Menu Paths

Main Menu>Preprocessor>Meshing>Modify Mesh>Improve Tets>Volumes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/VIEW 		Up / Home Next
VINP


VINP

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VINP, NV1, NV2, NV3, NV4, NV5, NV6, NV7, NV8, NV9

Finds the pairwise intersection of volumes.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM EH <> PP <>

NV1, NV2, NV3, . . . , NV9

Numbers of volumes to be intersected pairwise. If NV1 = ALL, NV2 to NV9 are ignored and the pairwise intersection of all selected volumes is found. If NV1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NV1.

Notes

Finds the pairwise intersection of volumes. The pairwise intersection is defined as all regions shared by any two or more volumes listed on this command. New volumes will be generated where the original volumes intersect pairwise. If the regions of pairwise intersection are only areas, new areas will be generated. See the Modeling and Meshing Guide for an illustration. See the BOPTN command for an explanation of the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Intersect>Pairwise>Volumes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VIMP 		Up / Home Next
VINV


VINV

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VINV, NV1, NV2, NV3, NV4, NV5, NV6, NV7, NV8, NV9

Finds the intersection of volumes.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM EH <> PP <>

NV1, NV2, NV3, . . . , NV9

Numbers of volumes to be intersected. If NV1 = ALL, NV2 to NV9 are ignored, and the intersection of all selected volumes is found. If NV1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NV1.

Notes

Finds the common (not pairwise) intersection of volumes. The common intersection is defined as the regions shared (in common) by all volumes listed on this command. New volumes will be generated where the original volumes intersect. If the regions of intersection are only areas, new areas will be generated instead. See the Modeling and Meshing Guide for an illustration. See the BOPTN command for an explanation of the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Intersect>Common>Volumes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VINP 		Up / Home Next
VLIST


VLIST

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VLIST, NV1, NV2, NINC

Lists the defined volumes.

PREP7: Volumes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NV1, NV2, NINC

List volumes from NV1 to NV2 (defaults to NV1) in steps of NINC (defaults to 1). If NV1 = ALL (default), NV2 and NINC are ignored and all selected volumes [VSEL] are listed. If NV1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NV1 (NV2 and NINC are ignored).

Notes

An attribute (TYPE, MAT, REAL, or ESYS) listed as a zero is unassigned; one listed as a positive value indicates that the attribute was assigned with the VATT command (and will not be reset to zero if the mesh is cleared); one listed as a negative value indicates that the attribute was assigned using the attribute pointer [TYPE, MAT, REAL, or ESYS] that was active during meshing (and will be reset to zero if the mesh is cleared). A "-1" in the "nodes" column indicates that the volume has been meshed but there are no interior nodes. The volume size is listed only if a VSUM command has been performed on the volume. Volume orientation attributes (KZ1 and KZ2) are listed only if a VEORIENT command was previously used to define an orientation for the volume.

This command is valid in any processor.

Menu Paths

Utility Menu>List>Volumes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VINV 		Up / Home Next
VLSCALE


VLSCALE

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VLSCALE, NV1, NV2, NINC, RX, RY, RZ, KINC, NOELEM, IMOVE

Generates a scaled set of volumes from a pattern of volumes.

PREP7: Volumes

MP ME ST PR PRN <> <> FL EM EH <> PP <>

NV1, NV2, NINC

Set of volumes (NV1 to NV2 in steps of NINC) that defines the pattern to be scaled. NV2 defaults to NV1, NINC defaults to 1. If NV1 = ALL, NV2 and NINC are ignored and the pattern is defined by all selected volumes. If NV1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NV1 (NV2 and NINC are ignored).

RX, RY, RZ

Scale factors to be applied to the X, Y, and Z keypoint coordinates in active coordinate system (RR, Rθ, RZ for cylindrical; RR, Rθ, RΦ for spherical). Note that the Rθ and RΦ scale factors are interpreted as angular offsets. For example, if CSYS = 1, RX, RY, RZ input of (1.5,10,3) would scale the specified keypoints 1.5 times in the radial and 3 times in the Z direction, while adding an offset of 10 degrees to the keypoints. Zero, blank, or negative scale factor values are assumed to be 1.0. Zero or blank angular offsets have no effect.

KINC

Increment to be applied to keypoint numbers for generated set. If zero, the lowest available keypoint numbers will be assigned [NUMSTR].

NOELEM

Specifies whether nodes and elements are also to be generated:

0
 —

Nodes and elements associated with the original volumes will be generated (scaled) if they exist.

1
 —

Nodes and elements will not be generated.

IMOVE

Specifies whether volumes will be moved or newly defined:

0
 —

Additional volumes will be generated.

1
 —

Original volumes will be moved to new position (KINC and NOELEM are ignored). Use only if the old volumes are no longer needed at their original positions. Corresponding meshed items are also moved if not needed at their original position.

Notes

Generates a scaled set of volumes (and their corresponding keypoints, lines, areas, and mesh) from a pattern of volumes. The MAT, TYPE, REAL, and ESYS attributes are based on the volumes in the pattern and not the current settings. Scaling is done in the active coordinate system. Volumes in the pattern could have been generated in any coordinate system. However, solid modeling in a toroidal coordinate system is not recommended.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Scale>Volumes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VLIST 		Up / Home Next
VMESH


VMESH

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VMESH, NV1, NV2, NINC

Generates nodes and volume elements within volumes.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM EH <> PP <>

NV1, NV2, NINC

Mesh volumes from NV1 to NV2 (defaults to NV1) in steps of NINC (defaults to 1). If NV1 = ALL, NV2 and NINC are ignored and all selected volumes [VSEL] are meshed. If NV1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NV1 (NV2 and NINC are ignored).

Notes

Missing nodes required for the generated elements are created and assigned the lowest available numbers [NUMSTR]. During a batch run and if elements already exist, a mesh abort will write an alternative database file (File.DBE) for possible recovery.

Tetrahedral mesh expansion [MOPT,TETEXPND,Value] is supported for both the VMESH and FVMESH commands.

Menu Paths

Main Menu>Preprocessor>Meshing>Mesh>Volumes>Free
Main Menu>Preprocessor>Meshing>Mesh>Volumes>Mapped>4 to 6 sided

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VLSCALE 		Up / Home Next
VOFFST


VOFFST

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VOFFST, NAREA, DIST, KINC

Generates a volume, offset from a given area.

PREP7: Volumes

MP ME ST PR PRN <> <> FL EM EH <> PP <>

NAREA

Area from which generated volume is to be offset. If NAREA = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

DIST

Distance normal to given area at which keypoints for generated volume are to be located. Positive normal is determined from the right-hand rule keypoint order.

KINC

Increment to be applied to the keypoint numbers between sets. If zero, keypoint numbers will be automatically assigned beginning with the lowest available value [NUMSTR].

Notes

Generates a volume (and its corresponding keypoints, lines, and areas) by offsetting from an area. The direction of the offset varies with the given area normal. End slopes of the generated lines remain the same as those of the given pattern.

If element attributes have been associated with the input area via the AATT command, the opposite area generated by the VOFFST operation will also have those attributes (i.e., the element attributes from the input area are copied to the opposite area). Note that only the area opposite the input area will have the same attributes as the input area; the areas adjacent to the input area will not.

If the areas are meshed or belong to meshed volumes, a 3-D mesh can be extruded with this command. Note that the NDIV argument on the ESIZE command should be set before extruding the meshed areas.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Extrude>Areas>Along Normal

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMESH 		Up / Home Next
VOLUMES


VOLUMES

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VOLUMES

Specifies "Volumes" as the subsequent status topic.

PREP7: Status

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This is a status [STAT] topic command. Status topic commands are generated by the GUI and appear in the log file (Jobname.LOG) if status is requested for some items by choosing Utility Menu> List> Status. This command will be immediately followed by a STAT command, which will report the status for the specified topic.

If entered directly into the program, the STAT command should immediately follow this command.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VOFFST 		Up / Home Next
VOVLAP


VOVLAP

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VOVLAP, NV1, NV2, NV3, NV4, NV5, NV6, NV7, NV8, NV9

Overlaps volumes.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NV1, NV2, NV3, . . . , NV9

Numbers of volumes to be operated on. If NV1 = ALL, NV2 to NV9 are ignored and all selected volumes are used. If NV1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NV1.

Notes

Overlaps volumes. Generates new volumes which encompass the geometry of all the input volumes. The new volumes are defined by the regions of intersection of the input volumes, and by the complementary (non-intersecting) regions. See the Modeling and Meshing Guide for an illustration. This operation is only valid when the region of intersection is a volume. See the BOPTN command for an explanation of the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Overlap>Volumes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VOLUMES 		Up / Home Next
VPLOT


VPLOT

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VPLOT, NV1, NV2, NINC, DEGEN, SCALE

Displays the selected volumes.

PREP7: Volumes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

NV1, NV2, NINC

Display volumes from NV1 to NV2 (defaults to NV1) in steps of NINC (defaults to 1). If NV1 = ALL (default), NV2 and NINC are ignored and all selected volumes [VSEL] are displayed.

DEGEN

Degeneracy marker:

(blank)
 —

No degeneracy marker is used (default).

DEGE
 —

A red star is placed on keypoints at degeneracies (see the Modeling and Meshing Guide). Not available if /FACET,WIRE is set.

SCALE

Scale factor for the size of the degeneracy-marker star. The scale is the size in window space (-1 to 1 in both directions) (defaults to .075).

Notes

Displays selected volumes. (Only volumes having areas within the selected area set [ASEL] will be plotted.) With PowerGraphics on [/GRAPHICS,POWER], VPLOT will display only the currently selected areas. This command is also a utility command, valid anywhere. The degree of tessellation used to plot the volumes is set through the /FACET command.

Menu Paths

Main Menu>Preprocessor>Modeling>Check Geom>Show Degeneracy>Plot Degen Volus
Main Menu>Preprocessor>Modeling>Operate>Booleans>Show Degeneracy>Plot Degen Volus
Utility Menu>Plot>Specified Entities>Volumes
Utility Menu>Plot>Volumes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VOVLAP 		Up / Home Next
VPTN


VPTN

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VPTN, NV1, NV2, NV3, NV4, NV5, NV6, NV7, NV8, NV9

Partitions volumes.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM EH <> PP <>

NV1, NV2, NV3, . . . , NV9

Numbers of volumes to be operated on. If NV1 = ALL, NV2 to NV9 are ignored and all selected volumes are used. If NV1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NV1.

Notes

Partitions volumes. Generates new volumes which encompass the geometry of all the input volumes. The new volumes are defined by the regions of intersection of the input volumes, and by the complementary (non-intersecting) regions. See the Modeling and Meshing Guide for an illustration. See the BOPTN command for an explanation of the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Partition>Volumes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VPLOT 		Up / Home Next
VPUT


VPUT

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VPUT, Par, IR, TSTRT, KCPLX, Name

Moves an array parameter vector into a variable.

POST26: Special Purpose

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Par

Array parameter vector in the operation.

IR

Arbitrary reference number assigned to this variable (1 to NV [NUMVAR]). Overwrites any existing results for this variable.

TSTRT

Time (or frequency) corresponding to start of IR data. If between values, the nearer value is used.

KCPLX

Complex number key:

0
 —

Use the real part of the IR data.

1
 —

Use the imaginary part of the IR data.

Name

Thirty-two character name identifying the item on printouts and displays. Defaults to the label formed by concatenating VPUT with the reference number IR.

Notes

At least one variable should be defined (NSOL, ESOL, RFORCE, etc.) before using this command. The starting array element number must be defined. For example, VPUT,A(1),2 moves array parameter A to variable 2 starting at time 0.0. Looping continues from array element A(1) with the index number incremented by one until the variable is filled. Unfilled variable locations are assigned a zero value. The number of loops may be controlled with the *VLEN command (except that loop skipping (NINC) is not allowed). For multi-dimensioned array parameters, only the first (row) subscript is incremented.

Menu Paths

Main Menu>TimeHist Postpro>Table Operations>Parameter to Var

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VPTN 		Up / Home Next
VROTAT


VROTAT

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VROTAT, NA1, NA2, NA3, NA4, NA5, NA6, PAX1, PAX2, ARC, NSEG

Generates cylindrical volumes by rotating an area pattern about an axis.

PREP7: Volumes

MP ME ST PR PRN <> <> FL EM EH <> PP <>

NA1, NA2, NA3, . . . , NA6

List of areas in the pattern to be rotated (6 maximum if using keyboard entry). Areas must lie to one side of, and in the plane of, the axis of rotation. If NA1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). If NA1 = ALL, all selected areas will define the pattern to be rotated. A component name may also be substituted for NA1.

PAX1, PAX2

Keypoints defining the axis about which the area pattern is to be rotated.

ARC

Arc length (in degrees). Positive follows right-hand rule about PAX1-PAX2 vector. Defaults to 360.

NSEG

Number of volumes (8 maximum) around circumference. Defaults to minimum required for 90° (maximum) arcs, i.e., 4 for 360°, 3 for 270°, etc.

Notes

Generates cylindrical volumes (and their corresponding keypoints, lines, and areas) by rotating an area pattern (and its associated line and keypoint patterns) about an axis. Keypoint patterns are generated at regular angular locations (based on a maximum spacing of 90°). Line patterns are generated at the keypoint patterns. Arc lines are also generated to connect the keypoints circumferentially. Keypoint, line, area, and volume numbers are automatically assigned (beginning with the lowest available values). Adjacent lines use a common keypoint, adjacent areas use a common line, and adjacent volumes use a common area.

To generate a single volume with an arc greater than 180°, NSEG must be greater than or equal to 2.

If element attributes have been associated with the input area via the AATT command, the opposite area generated by the VROTAT operation will also have those attributes (i.e., the element attributes from the input area are copied to the opposite area). Note that only the area opposite the input area will have the same attributes as the input area; the areas adjacent to the input area will not.

If the given areas are meshed or belong to meshed volumes, the 2-D mesh can be rotated (extruded) to a 3-D mesh. See the Modeling and Meshing Guide for more information. Note that the NDIV argument on the ESIZE command should be set before extruding the meshed areas.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Extrude>Areas>About Axis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VPUT 		Up / Home Next
VSBA


VSBA

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VSBA, NV, NA, SEPO, KEEPV, KEEPA

Subtracts areas from volumes.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM EH <> PP <>

NV

Volume (or volumes, if picking is used) to be subtracted from. If ALL, use all selected volumes. If P, graphical picking is enabled (valid only in the GUI) and remaining fields are ignored. A component name may also be substituted for NV.

NA

Area (or areas, if picking is used) to subtract. If ALL, use all selected areas. A component name may also be substituted for NA.

SEPO

Behavior of the touching boundary:

(blank)
 —

The resulting volumes will share area(s) where they touch.

SEPO
 —

The resulting volumes will have separate, but coincident area(s) where they touch.

KEEPV

Specifies whether NV volumes are to be deleted:

(blank)
 —

Use the setting of KEEP on the BOPTN command.

DELETE
 —

Delete NV volumes after VSBA operation (override BOPTN command settings).

KEEP
 —

Keep NV volumes after VSBA operation (override BOPTN command settings).

KEEPA

Specifies whether NA areas are to be deleted:

(blank)
 —

Use the setting of KEEP on the BOPTN command.

DELETE
 —

Delete NA areas after VSBA operation (override BOPTN command settings).

KEEP
 —

Keep NA areas after VSBA operation (override BOPTN command settings).

Notes

Generates new volumes by subtracting the regions common to both the volumes and areas (the intersection) from the NV volumes. The intersection will be an area(s). If SEPO is blank, the volume is divided at the area and the resulting volumes will be connected, sharing a common area where they touch. If SEPO is set to SEPO, the volume is divided into two unconnected volumes with separate areas where they touch. See the Modeling and Meshing Guide for an illustration. See the BOPTN command for an explanation of the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Divide>Volume by Area
Main Menu>Preprocessor>Modeling>Operate>Booleans>Divide>With Options>Volume by Area

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VROTAT 		Up / Home Next
VSBV


VSBV

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VSBV, NV1, NV2, SEPO, KEEP1, KEEP2

Subtracts volumes from volumes.

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM EH <> PP <>

NV1

Volume (or volumes, if picking is used) to be subtracted from. If ALL, use all selected volumes. Volumes specified in set NV2 are removed from set NV1. If P, graphical picking is enabled (valid only in the GUI) and remaining fields are ignored. A component name may also be substituted for NV1.

NV2

Volume (or volumes, if picking is used) to subtract. If ALL, use all selected volumes (except those included in the NV1 argument). A component name may also be substituted for NV2.

SEPO

Behavior if the intersection of the NV1 volumes and the NV2 volumes is an area or areas:

(blank)
 —

The resulting volumes will share area(s) where they touch.

SEPO
 —

The resulting volumes will have separate, but coincident area(s) where they touch.

KEEP1

Specifies whether NV1 volumes are to be deleted:

(blank)
 —

Use the setting of KEEP on the BOPTN command.

DELETE
 —

Delete NV1 volumes after VSBV operation (override BOPTN command settings).

KEEP
 —

Keep NV1 volumes after VSBV operation (override BOPTN command settings).

KEEP2

Specifies whether NV2 volumes are to be deleted:

(blank)
 —

Use the setting of KEEP on the BOPTN command.

DELETE
 —

Delete NV2 volumes after VSBV operation (override BOPTN command settings).

KEEP
 —

Keep NV2 volumes after VSBV operation (override BOPTN command settings).

Notes

Generates new volumes by subtracting the regions common to both NV1 and NV2 volumes (the intersection) from the NV1 volumes. The intersection can be an volume(s) or area(s). If the intersection is an area and SEPO is blank, the NV1 volume is divided at the area and the resulting volumes will be connected, sharing a common area where they touch. If SEPO is set to SEPO, NV1 is divided into two unconnected volumes with separate areas where they touch. See the Modeling and Meshing Guide for an illustration. See the BOPTN command for an explanation of the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated. VSBV,ALL,ALL will have no effect because all the volumes in set NV1will have been moved to set NV2.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Subtract>Volumes
Main Menu>Preprocessor>Modeling>Operate>Booleans>Subtract>With Options>Volumes
Main Menu>Preprocessor>Modeling>Operate>Subract>Volumes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VSBA 		Up / Home Next
VSBW


VSBW

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VSBW, NV, SEPO, KEEP

Subtracts intersection of the working plane from volumes (divides volumes).

PREP7: Booleans

MP ME ST PR PRN <> <> FL EM EH <> PP <>

NV

Volume (or volumes, if picking is used) to be subtracted from. If NV = ALL, use all selected volumes. If NV = P, graphical picking is enabled (valid only in the GUI). A component name may also be input for NV.

SEPO

Behavior of the created boundary.

(blank)
 —

The resulting volumes will share area(s) where they touch.

SEPO
 —

The resulting volumes will have separate, but coincident area(s).

KEEP

Specifies whether NV volumes are to be deleted.

(blank)
 —

Use the setting of KEEP on the BOPTN command.

DELETE
 —

Delete NV volumes after VSBW operation (override BOPTN command settings).

KEEP
 —

Keep NV volumes after VSBW operation (override BOPTN command settings).

Notes

Generates new volumes by subtracting the intersection of the working plane from the NV volumes. The intersection will be an area(s). If SEPO is blank, the volume is divided at the area and the resulting volumes will be connected, sharing a common area where they touch. If SEPO is set to SEPO, the volume is divided into two unconnected volumes with separate areas. The SEPO option may cause unintended consequences if any keypoints exist along the cut plane. See the Modeling and Meshing Guide for an illustration. See the BOPTN command for an explanation of the options available to Boolean operations. Element attributes and solid model boundary conditions assigned to the original entities will not be transferred to the new entities generated.

Issuing the VSBW command under certain conditions may generate a topological degeneracy error. Do not issue the command if:

  • A sphere or cylinder has been scaled. (A cylinder must be scaled unevenly in the XY plane.)

  • A sphere or cylinder has not been scaled but the work plane has been rotated.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Booleans>Divide>Volu by WrkPlane
Main Menu>Preprocessor>Modeling>Operate>Booleans>Divide>With Options>Volu by WrkPlane
Main Menu>Preprocessor>Modeling>Operate>Divide>Volu by WrkPlane

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VSBV 		Up / Home Next
/VSCALE


/VSCALE

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

/VSCALE, WN, VRATIO, KEY

Scales the length of displayed vectors.

GRAPHICS: Scaling

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number (or ALL) to which command applies (defaults to 1).

VRATIO

Ratio value applied to the automatically calculated scale factor (defaults to 1.0, i.e., use scale factor as automatically calculated).

KEY

Relative scaling key:

0
 —

Use relative length scaling among vectors based on magnitudes.

1
 —

Use uniform length scaling for all vector lengths.

Command Default

Automatic vector scaling.

Notes

Allows scaling of the vector length displayed with the PLVECT command of POST1 and the /PBC and /PSF commands. Also allows the scaling of the element (i.e., /PSYMB,ESYS) and the nodal (i.e., /PSYMB,NDIR) coordinate system symbols.

This command is valid in any processor.

Menu Paths

Main Menu>General Postproc>Plot Results>Vector Plot>Predefined
Utility Menu>Plot>Results>Vector Plot
Utility Menu>PlotCtrls>Multi-Plot Contrls
Utility Menu>PlotCtrls>Style>Vector Arrow Scaling

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VSBW 		Up / Home Next
VSEL


VSEL

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VSEL, Type, Item, Comp, VMIN, VMAX, VINC, KSWP

Selects a subset of volumes.

DATABASE: Selecting

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Label identifying the type of volume select:

S
 —

Select a new set (default).

R
 —

Reselect a set from the current set.

A
 —

Additionally select a set and extend the current set.

U
 —

Unselect a set from the current set.

ALL
 —

Restore the full set.

NONE
 —

Unselect the full set.

INVE
 —

Invert the current set (selected becomes unselected and vice versa).

STAT
 —

Display the current select status.

The following fields are used only with Type = S, R, A, or U:

Item

Label identifying data. Valid item labels are shown in the table below. Some items also require a component label. If Item = PICK (or simply “P”), graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). Defaults to VOLU.

Comp

Component of the item (if required). Valid component labels are shown in the table below.

VMIN

Minimum value of item range. Ranges are volume numbers, coordinate values, attribute numbers, etc., as appropriate for the item. A component name (as specified on the CM command) may also be substituted for VMIN (VMAX and VINC are ignored). If Item = MAT, TYPE, REAL, or ESYS and if VMIN is positive, the absolute value of Item is compared against the range for selection; if VMIN is negative, the signed value of Item is compared. See the VLIST command for a discussion of signed attributes.

VMAX

Maximum value of item range. VMAX defaults to VMIN.

VINC

Value increment within range. Used only with integer ranges (such as for volume numbers). Defaults to 1. VINC cannot be negative.

KSWP

Specifies whether only volumes are to be selected:

0
 —

Select volumes only.

1
 —

Select volumes, as well as keypoints, lines, areas, nodes, and elements associated with selected volumes. Valid only with Type = S.

Command Default

All volumes are selected.

Notes

Selects volumes based on values of a labeled item and component. For example, to select a new set of volumes based on volume numbers 1 through 7, use VSEL,S,VOLU,,1,7. The subset is used when the ALL label is entered (or implied) on other commands, such as VLIST,ALL. Only data identified by volume number are selected. Data are flagged as selected and unselected; no data are actually deleted from the database.

This command is valid in any processor.

For Selects based on non-integer numbers (coordinates, results, etc.), items that are within the range VMIN-Toler and VMAX+Toler are selected. The default tolerance Toler is based on the relative values of VMIN and VMAX as follows:

  • If VMIN = VMAX, Toler = 0.005 x VMIN.

  • If VMIN = VMAX = 0.0, Toler = 1.0E-6.

  • If VMAX ≠ VMIN, Toler = 1.0E-8 x (VMAX-VMIN).

Use the SELTOL command to override this default and specify Toler explicitly.

VSEL - Valid Item and Component Labels

VSEL Type, Item, Comp, VMIN, VMAX, VINC, KABS
Item | Comp | Description
VOLU |  | Volume number.
LOC | X, Y, Z | X, Y, or Z center (picking "hot spot" location in the active coordinate system).
MAT |  | Material number associated with the volume.
TYPE |  | Element type number associated with the volume.
REAL |  | Real constant set number associated with the volume.
ESYS |  | Element coordinate system associated with the volume.

Menu Paths

Utility Menu>Select>Entities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/VSCALE 		Up / Home Next
VSLA


VSLA

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VSLA, Type, VLKEY

Selects those volumes containing the selected areas.

DATABASE: Selecting

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Type

Label identifying the type of volume select:

S
—

Select a new set (default).

R
—

Reselect a set from the current set.

A
—

Additionally select a set and extend the current set.

U
—

Unselect a set from the current set.

VLKEY

Specifies whether all contained volume areas must be selected [ASEL]:

0
—

Select volume if any of its areas are in the selected area set.

1
—

Select volume only if all of its areas are in the selected area set.

Notes

This command is valid in any processor.

Menu Paths

Utility Menu>Select>Entities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VSEL 		Up / Home Next
VSUM


VSUM

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VSUM, LAB

Calculates and prints geometry statistics of the selected volumes.

PREP7: Volumes

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LAB

Controls the degree of tessellation used in the calculation of area properties. If LAB = DEFAULT, area calculations will use the degree of tessellation set through the /FACET command. If LAB = FINE, area calculations are based on a finer tessellation.

Notes

Calculates and prints geometry statistics (volume, centroid location, moments of inertia, etc.) associated with the selected volumes. Geometry items are reported in the global Cartesian coordinate system. A unit density is assumed unless the volumes have a material association via the VATT command. Items calculated by VSUM and later retrieved by a *GET or *VGET command are valid only if the model is not modified after the VSUM command is issued.

Setting a finer degree of tessellation will provide area calculations with greater accuracy, especially for thin, hollow models. However, using a finer degree of tessellation requires longer processing.

For very thin volumes, such that the ratio of the minimum to the maximum dimension is less than 0.01, the VSUM command can provide erroneous volume information. To ensure that such calculations are accurate, make certain that you subdivide such volumes so that the ratio of the minimum to the maximum is at least 0.05.

Menu Paths

Main Menu>Preprocessor>Modeling>Operate>Calc Geom Items>Of Volumes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VSLA 		Up / Home Next
VSWEEP


VSWEEP

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VSWEEP, VNUM, SRCA, TRGA, LSMO

Fills an existing unmeshed volume with elements by sweeping the mesh from an adjacent area through the volume.

PREP7: Meshing

MP ME ST PR PRN <> <> FL EM <> <> PP <>

VNUM

Number identifying the volume that is to be meshed by VSWEEP. If VNUM = P, graphical picking is enabled, you will be prompted to choose the volume or volumes based on the setting of EXTOPT,VSWE,AUTO. This argument is required.

“ALL” is a valid input value that when selected sends all the selected volumes to the sweeper. If VNUM = ALL, each volume that can be swept will be and those not able to be swept will be unmeshed or meshed with tets depending upon the setting of EXTOPT,VSWE,TETS.

A component name is a valid input value. All volumes that are part of the specified component will be sent to the sweeper.

SRCA

Number identifying the source area. This is the area whose mesh will provide the pattern for the volume elements. (If you do not mesh the source area prior to volume sweeping, ANSYS meshes it internally when you initiate volume sweeping.) ANSYS sweeps the pattern of the area elements through the volume to create the mesh of volume elements. You cannot substitute a component name for SRCA.

This argument is optional. If VNUM = ALL or is a component containing more than one volume, SRCA is ignored. If SRCA is not provided or if it is ignored, VSWEEP attempts to automatically determine which area should be the target area.

TRGA

Number identifying the target area. This is the area that is opposite the source area specified by SRCA. You cannot substitute a component name for TRGA.

This argument is optional. If VNUM = ALL or component containing more than one volume, TRGA is ignored. If TRGA is not provided or if it is ignored, VSWEEP attempts to automatically determine which area should be the target area.

LSMO

Value specifying whether ANSYS should perform line smoothing during volume sweeping. (The value of this argument controls line smoothing for the VSWEEP command only; it has no effect on the setting of the MOPT command's LSMO option.) This argument is optional.

0
 —

Do not perform line smoothing. This is the default.

1
 —

Always perform line smoothing. This setting is not recommended for large models due to speed considerations.

Notes

If the source mesh consists of quadrilateral elements, ANSYS fills the volume with hexahedral elements. If the source mesh consists of triangles, ANSYS fills the volume with wedges. If the source mesh consists of a combination of quadrilaterals and triangles, ANSYS fills the volume with a combination of hexahedral and wedge elements.

In the past, you may have used the VROTAT, VEXT, VOFFST, and/or VDRAG commands to extrude a meshed area into a meshed volume. However, those commands create the volume and the volume mesh simultaneously. In contrast, the VSWEEP command is intended for use in an existing unmeshed volume. This makes VSWEEP particularly useful when you have imported a solid model that was created in another program, and you want to mesh it in ANSYS.

For related information, see the description of the EXTOPT command (although EXTOPT sets volume sweeping options, it does not affect element spacing). Also see the detailed discussion of volume sweeping in Meshing Your Solid Model of the Modeling and Meshing Guide.

Menu Paths

Main Menu>Preprocessor>Meshing>Mesh>Volume Sweep>Sweep

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VSUM 		Up / Home Next
VSYMM


VSYMM

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VSYMM, Ncomp, NV1, NV2, NINC, KINC, NOELEM, IMOVE

Generates volumes from a volume pattern by symmetry reflection.

PREP7: Volumes

MP ME ST PR PRN <> <> FL EM EH <> PP <>

Ncomp

Symmetry key:

X
—

X symmetry (default).

Y
—

Y symmetry.

Z
—

Z symmetry.

NV1, NV2, NINC

Reflect volumes from pattern beginning with NV1 to NV2 (defaults to NV1) in steps of NINC (defaults to 1). If NV1 = ALL, NV2 and NINC are ignored and the pattern is all selected volumes [VSEL]. If NV1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NV1 (NV2 and NINC are ignored).

KINC

Keypoint increment between sets. If zero, the lowest available keypoint numbers are assigned [NUMSTR].

NOELEM

Specifies whether nodes and elements are also to be generated:

0
—

Generate nodes and elements associated with the original volumes, if they exist.

1
—

Do not generate nodes and elements.

IMOVE

Specifies whether volumes will be moved or newly defined:

0
—

Generate additional volumes.

1
—

Move original volumes to new position retaining the same keypoint numbers (KINC and NOELEM are ignored). Corresponding meshed items are also moved if not needed at their original position.

Notes

Generates a reflected set of volumes (and their corresponding keypoints, lines, areas and mesh) from a given volume pattern by a symmetry reflection (see analogous node symmetry command, NSYM). The MAT, TYPE, REAL, and ESYS attributes are based upon the volumes in the pattern and not upon the current settings. Reflection is done in the active coordinate system by changing a particular coordinate sign. The active coordinate system must be a Cartesian system. Volumes in the pattern may have been generated in any coordinate system. However, solid modeling in a toroidal coordinate system is not recommended. Volumes are generated as described in the VGEN command.

See the ESYM command for additional information about symmetry elements.

Menu Paths

Main Menu>Preprocessor>Modeling>Reflect>Volumes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VSWEEP 		Up / Home Next
/VT


/VT

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

/VT

Enters the Variational Technology preprocessor.

SESSION: Processor Entry

VARIATIONAL TECHNOLOGY: DesignXplorer

<> <> <> <> <> <> <> <> <> <> <> <> VT

Notes

Enters the Variational Technology processor.

Menu Paths

Main Menu>DesignXplorer VT>Solution>Solve

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VSYMM 		Up / Home Next
VTCLR


VTCLR

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VTCLR, Type

Clears the Variational Technology database.

VARIATIONAL TECHNOLOGY: DesignXplorer

<> <> <> <> <> <> <> <> <> <> <> <> VT

Type

Specifies the part of the Variational Technology database to be cleared. Valid labels are:

ALL
—

Clears the entire Variational Technology database. Both the preprocessing part (settings for input variables, result parameters, etc.) and results part (results for the derivatives) are cleared.

RSLT
—

Clear only the results part of the Variational Technology database. This is necessary if you want to modify the Variational Technology model (for example, adding a new input variable and so on) after a solution has already been performed.

Notes

Clear the database of the Variational Technology module. The settings are reset to their default values and the memory is cleared. Remember that the result files containing the results of Variational Technology (see VTRFIL command) are never deleted unless you intentionally delete them. We recommend that you use this command before switching to a new solution, which, for example, includes different input variables or different element or node components for input variables. See the various Variational Technology commands for changes that are possible after the solution has been performed.

If the entire database is cleared with VTCLR,ALL then also all definitions for input variables, result parameters, solution method, result file storage and so on are either deleted and/or reset to their default values.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>DesignXplorer VT>Other>Clear Database

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/VT 		Up / Home Next
VTDISC


VTDISC

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VTDISC, Name, ElComp

Defines an element component as a discrete input variable for the DesignXplorer.

VARIATIONAL TECHNOLOGY: DesignXplorer

<> <> <> <> <> <> <> <> <> <> <> <> VT

Name

Name for the input variable. This is a string of up to 250 characters used for postprocessing purposes. Blanks are allowed in the string.

ElComp

The name of either of an element component or the number of a single element.

Command Default

None

Notes

Defines a component containing a group of elements as a discrete input variable of the DesignXplorer. In a discrete optimization the DesignXplorer will evaluate the dependency of the result parameter(s) (see the VTRSLT command) as a function of the discrete case of either including the group of elements in the finite-element model or excluding the group of elements from the model.

The ElComp field defines a group of elements that are considered as either being included or excluded from the finite-element model during a discrete optimization.

If a solution has already been performed with Variational Technology using STAOPT,VT and the SOLVE command, then the Variational Technology database is locked. In this case no input variables can be added to the model. You cannot change the specific definitions of an existing input variable. If you want to modify the Variational Technology model by adding a discrete variable, you first have to unlock the model with the VTCLR command.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>DesignXplorer VT>Setup>Discrete Variable

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VTCLR 		Up / Home Next
VTEVAL


VTEVAL

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VTEVAL, --, Mode

Triggers evaluation of generated results based on input variables specified via the VTVMOD command.

VARIATIONAL TECHNOLOGY: DesignXplorer

<> <> <> <> <> <> <> <> <> <> <> <> VT

--

Unused field.

Mode

The mode number for normal modes. By default, driven by the application.

Command Default

Defaults as outlined above.

Notes

Used in conjunction with the VTVMOD command, VTEVAL evaluates the designated variables and loads the results into the ANSYS database. You can employ the ANSYS postprocessing tools to view the results, or perform an optimization or PDS loop.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu> DesignXplorer VT> Postprocessing> Evaluate Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VTDISC 		Up / Home Next
VTFREQ


VTFREQ

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VTFREQ, Name, MIN, MAX, INC, RedOpt

Defines the frequency as input variable for the harmonic sweep functionality of VT Accelerator.

VARIATIONAL TECHNOLOGY: DesignXplorer

VARIATIONAL TECHNOLOGY: VT Harmonic Sweep

<> <> <> <> <> <> <> <> <> <> <> <> VT

Name

Name of the variable. This is a string of up to 250 characters used for postprocessing purposes. Blanks can be included in the string.

MIN

Minimum value of the input variable.

MAX

Maximum value of the input variable.

INC

Number of increments within the range of the input variable as defined by the MIN and MAX fields.

RedOpt

Reduction option that specifies what to do if the DesignXplorer needs to reduce the variation range from MIN to MAX. Valid labels are:

CONT
 —

Continue with the calculation of the derivatives. This is the default.

STOP
 —

Stop the calculation of the derivatives. This option is necessary if a reduction of the variation range is not acceptable.

Command Default

There are no default values for the command fields.

Notes

Defines the frequency as an input variable. Variational Technology will evaluate a frequency sweep from the specified minimum to the maximum frequency values given in the MIN and MAX fields. The frequency sweep will include as many frequency increments as specified in the INC field.

If a solution has already been performed with Variational Technology using STAOPT,VT and the SOLVE command, then the Variational Technology database is locked. In this case no input variables can be added to the model. You cannot change the specific definitions of an existing input variable. If you want to modify the Variational Technology model by adding a discrete variable, you first have to unlock the model with the VTCLR command.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>DesignXplorer VT>Setup>Frequency

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VTEVAL 		Up / Home Next
VTGEOM


VTGEOM

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VTGEOM, Name, MIN, MAX, RedOpt, Order

Defines a geometry parameter created with ANSYS Mesh Morpher as a DesignXplorer input variable.

VARIATIONAL TECHNOLOGY: DesignXplorer

<> <> <> <> <> <> <> <> <> <> <> <> VT

Name

Name of an input variable. This is a string of up to 256 characters used for post-processing purposes. It can have blanks included in the string.

MIN

Minimum value of the input variable. By default, driven by the application.

MAX

Maximum value of the input variable. By default, driven by the application.

RedOpt

Reduction option that specifies what to do if the DesignXplorer needs to reduce the variation range from MIN to MAX. Valid labels are;

CONT
 —

Continue with the calculation of the derivatives. This is the default.

STOP
 —

Stop the calculation of the derivatives. This option is necessary if a reduction of the variation range is not acceptable.

Order

Deviation Order. By default, driven by the application.

Command Default

Defaults as outlined above.

Notes

If you do not use ANSYS Mesh Morpher, you can ignore the VTGEOM command.

The VTGEOM command allows you to define a geometry parameter created with ANSYS Mesh Morpher as an input variable of the DesignXplorer.

The filename of the ANSYS Mesh Morpher database has to be defined using the VTRFIL command. DesignXplorer uses the same RSX file to store its results. If the RSX file does not exist or does not contain the expected geometry parameters and associated morphed mesh, then the VTGEOM command is ignored.

In the general case, the fields MIN and MAX should not be used because a range of variation is already defined in ANSYS Mesh Morpher. Nethertheless, the MIN and MAX fields allow to define a smaller range of variation to compute the VT results. Althought is it not recommended, it is also possible to define a larger range of variation. In this case, a warning message is always generated.

The MIN and MAX field must always be specified or left blank together. If only one field is specified, then the VTGEOM command is ignored.

If the Order is not specified, it will be increased until the accuracy requirements of the VTRSLT command are satisfied. When you set a value for Order, no further adjustments for accuracy will be performed. Order should only be used when an input parameter has an influence with a limited order.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VTFREQ 		Up / Home Next
VTIN


VTIN

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VTIN, Name, MIN, MAX, RedOpt, Lab, Comp, --, VarType, Order

Defines an inertial load as an input variable for DesignXplorer.

VARIATIONAL TECHNOLOGY: DesignXplorer

<> <> <> <> <> <> <> <> <> <> <> <> VT

Name

Name for the input variable. This is a string of up to 250 characters used for postprocessing purposes. Blanks can be included in the string.

MIN

Minimum value of the input variable.

MAX

Maximum value of the input variable.

RedOpt

Reduction option that specifies what to do if DesignXplorer needs to reduce the variation range from MIN to MAX. Valid labels are:

CONT
 —

Continue with the calculation of the derivatives. This is the default.

STOP
 —

Stop the calculation of the derivatives. This option is necessary if a reduction of the variation range is not acceptable.

Lab

Valid inertial load label. This label must be defined for the inertial load using the ANSYS command of the same name prior to issuing this command. Applicable labels are:

ACEL
 —

Linear acceleration.

CGOMGA
 —

Rotational velocity of the global origin.

DCGOMG
 —

Rotational acceleration of the global origin.

DOMEGA
 —

Rotational acceleration of the structure.

OMEGA
 —

Rotational velocity.

--

Unused field.

Comp

X, Y,Z or ALL

If Comp =ALL, the VarType must be FACT.

VarType

Label indicating how the variability of vectors should be handled, when COMP = ALL is used. Valid labels are:

FACT
 —

The variability of vector is described by a scaling factor that is applied to all 3 vectors components. This means that the MIN field is the value of the minimum factor to be applied and the MAX field is the maximum factor to be applied.

ADD
 —

The variability of vector components is described by an add-on that is applied to vector components. This means that the MIN field is the minimum value that is added to the vector components and the MAX field contains the maximum value that is added to the vector components. As such the values specified for MIN and MAX have the same unit as the vector itself.

VAL
 —

The variability of the vectors is described by the variability of the vector components itself. This is only applicable if ALL has not been used. This means that the MIN field is the minimum value that the vector component itself can take and the MAX field contains the maximum value, which the vector component can take. This is the default.

Order

Derivation order. By default, driven by the application.

Notes

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VTGEOM 		Up / Home Next
VTMETH


VTMETH

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VTMETH, SoluType, ApprType, ModeTrack

Defines the solution options for the DesignXplorer.

VARIATIONAL TECHNOLOGY: DesignXplorer

<> <> <> <> <> <> <> <> <> <> <> <> VT

SoluType

Specifies the type of solution that needs to be evaluated during the solution run of the DesignXplorer. Valid labels are:

INDP
 —

Builds the solution approximation assuming that the input variables are independent. Therefore, mixed input variables interactions will be neglected.

FULL
 —

Builds the full solution approximation, addressing the interactions between the input variables (if necessary). This option is the default.

ApprType

Specifies the type of approximation function that is used to build the DesignXplorer. Valid labels are:

ROMS
 —

Uses a Reduced Order Model Sweep approximation. This method is the more accurate, it supports multiple input variables per element, continuous as well as discrete input variables. However it is limited to linear static analysis (structural and thermal), and cannot accept more than 10 continuous input variables or 20 discrete input variables. Continuous and Discrete input variables cannot be mixed.

PADE
 —

Uses a series expansion based on Pade approximations using rational functions. This method is more accurate than TAYLOR, however it is limited to a single input variable per element and does not support geometry input variables.

TAYL
 —

Uses a Taylor series expansion as the approximation function. This method supports multiple input variables per element, i.e. Young's Modulus and thickness, geometry input variables, linear static and normal modes analysis. However, Discrete input variables is not supported.

AUTO
 —

This option is the default and allows DesignXplorer VT to determine automatically the most appropriate method to use. This is the recommended option.

ModeTrack

Specifies whether or not mode tracking should be in a modal solution of the DesignXplorer. Valid labels are:

YES
 —

Mode Tracking will be used in a modal solution. This option is the default.

NO
 —

Mode Tracking will not be used in a modal solution.

Command Default

Defaults as outlined above.

Notes

Determines which approximation function of the result parameters with respect to the input variables shall be calculated during the DesignXplorer solution run.

The default ApprType=AUTO is recommended. It selects the ROMS method each time it is possible, or the most appropriate method in case ROMS does not apply to the model.

If Variational Technology is not used in connection with a modal analysis, then the ModeTrack option is ignored.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>DesignXplorer VT>Solution>Solution Method

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VTIN 		Up / Home Next
VTMP


VTMP

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VTMP, Name, MIN, MAX, RedOpt, Lab, MAT, ElComp, VarType, Order

Defines a material property as an input variable for DesignXplorer.

VARIATIONAL TECHNOLOGY: DesignXplorer

<> <> <> <> <> <> <> <> <> <> <> <> VT

Name

Name for the input variable. This is a string of up to 250 characters used for postprocessing purposes. Blanks can be included in the string.

MIN

Minimum value of the input variable.

MAX

Maximum value of the input variable.

RedOpt

Reduction option that specifies what to do if DesignXplorer needs to reduce the variation range from MIN to MAX. Valid labels are:

CONT
 —

Continue with the calculation of the derivatives. This is the default.

STOP
 —

Stop the calculation of the derivatives. This option is necessary if a reduction of the variation range is not acceptable.

Lab

Valid material property label. This label must be defined for the material number MAT using the MP or MPDATA command prior to issuing this command. Applicable labels are:

EX
 —

Elastic moduli (also EY, EZ).

NUXY
 —

Minor Poisson's ratios (also NUYZ, NUXZ).

GXY
 —

Shear moduli (also GYZ, GXZ).

DENS
 —

Material density

KXX
 —

Conductivity (only in thermal analysis), also KYY, KZZ

MAT

Material identification number

ElComp

Name of an element component or number of a single individual element. If ElComp = ALL, then all elements are considered for the VTMP command.

VarType

Label indicating how the variability of temperature dependent material properties should be handled. This is particularly useful to describe how temperature dependent material properties are handled. At this release, only one label (the default) is valid:

FACT
 —

The variability of the material property is described by a scale factor that is applied to the material property values. In the case of temperature dependent material properties, a scale factor will be applied to all defined material property values. This means that the MIN field is the value of the minimum factor to be applied and the MAX field is the maximum factor to be applied. As such the values specified for MIN and MAX are unitless quantities. VarType = FACT is the default for temperature dependent material properties.

ADD
 —

The variability of the material property is described by an add-on that is applied to the material property values. In the case of a temperature dependent material property, the defined property values are shifted all at the same time. This means that the MIN field is the minimum value that is added to the material property values and the MAX field contains the maximum value that is added to the material property values. Hence, the values specified for MIN and MAX have the same unit as the material property itself.

VAL
 —

The variability of the material property is described by the variability of the material property value itself. This is only applicable if the material property is not temperature dependent. This means that the MIN field is the minimum value that the material property itself can take and the MAX field contains the maximum value which the material property values can take. This is the default if the material properties are not temperature dependent.

Order

Derivation order. By default, driven by the application.

Command Default

As described above.

Notes

Defines a material property of a single element or a set of elements as an input variable of the DesignXplorer. The DesignXplorer will evaluate the derivatives of the result parameter(s) (see VTRSLT command) with respect to the material property defined here. The derivatives are used to determine an approximation function for the result parameter(s) as a function of the material property in the range specified by the MIN and MAX fields.

The type of the material property is defined by the Lab field, which must not be left blank. The material property must exist or be specified using the MP or MPDATA command prior to issuing the VTMP command.

Using either the MAT field or the ElComp field a set of element is selected for which the material property is varied. The user must define one of them and leave the respective other one blank. All selected elements must be associated with the same material number. This is of course always given in the MAT field. If selected by the ElComp field, an error will be issued if an element is found that is associated with a material number that is different from the one associated with any other element in the element component.

If the material properties are temperature dependent, then the temperature dependency is defined by either several data points at different temperatures (MP) or by coefficients defining the temperature dependent polynomial (MPDATA). To describe a variation of the material property with one single parameter is only possible by using a scalar addition to the temperature dependency curve (VarType = ADD) or by using a scalar multiplication factor for the entire temperature dependency curve (VarType = FACT). Varying the material property value itself using VarType = VAL is not possible, if the material property is temperature dependent.

An error message is generated and the VTMP command is ignored when the current value is outside the variation range.

If the Order is not specified, it will be increased until the accuracy requirements of the VTRSLT command are satisfied. When you set a value for Order, no further adjustments for accuracy will be performed. Order should only be used when an input parameter has an influence with a limited order.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>DesignXplorer VT>Setup>Material Property

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VTMETH 		Up / Home Next
VTOP


VTOP

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VTOP, Oper, Name, Value

Defines options value for the DesignXplorer.

VARIATIONAL TECHNOLOGY: DesignXplorer

<> <> <> <> <> <> <> <> <> <> <> <> VT

Oper

Label for the type of operation that is performed. Valid labels are:

SET
 —

Add an option (or if it already exists, modify its value).

DELETE
 —

Delete an option.

RESET
 —

Reset an option to its default value. If the option name is not specified, this applies to all options.

Name

Name of the option to define or modify. If this field is left blank, the command applies to all options. Valid labels are listed in the table below.

Value

If Oper=SET, this is the value assigned to the option. Valid labels and values for each option are listed in the table below.

Notes

Table of valid Name and Value labels.

Name | Option Description | Value | Value Description
VERBOSITY | Controls the level of details of the output messages. | PUBLIC | Normal (default)
 |  | DETAILED | Detailed messages
 |  | VERBOSE | Maximum verbosity
OPT_FAST_PerformInterpol | Activates an additional interpolation phase at the end of the ROMS Variational solve in order to provide fast post-processing evaluations. | 0 | Interpolation deactivated (default)
 |  | 1 | Interpolation activated
OUTOFCORE | Activates/deactivates the out-of-core post-processing mode to evaluate large results databases using less memory. Valid for TAYLOR and ROMS approximation types. | 0 | Out-of-core is deactivated (default).
 |  | 1 | Out-of-core is activated.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VTMP 		Up / Home Next
VTPOST


VTPOST

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VTPOST

Launches the DesignXplorer postprocessing application.

VARIATIONAL TECHNOLOGY: DesignXplorer

<> <> <> <> <> <> <> <> <> <> <> <> VT

Notes

The postprocessing application provides a viewer for Variational Technology results files. You can only launch this application if the ANSYS GUI is active; that is, it cannot be launched from batch mode.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>DesignXplorer VT>Postprocessing>SolutionViewer

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VTOP 		Up / Home Next
VTRAN


VTRAN

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VTRAN, KCNTO, NV1, NV2, NINC, KINC, NOELEM, IMOVE

Transfers a pattern of volumes to another coordinate system.

PREP7: Volumes

MP ME ST PR PRN <> <> FL EM EH <> PP <>

KCNTO

Reference number of coordinate system where the pattern is to be transferred. Transfer occurs from the active coordinate system. The coordinate system type and parameters of KCNTO must be the same as the active system.

NV1, NV2, NINC

Transfer volumes from pattern beginning with NV1 to NV2 (defaults to NV1) in steps of NINC (defaults to 1). If NV1 = ALL, NV2 and NINC are ignored and the pattern is all selected volumes [VSEL]. If NV1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI). A component name may also be substituted for NV1 (NV2 and NINC are ignored).

KINC

Keypoint increment between sets. If zero, the lowest available keypoint numbers are assigned [NUMSTR].

NOELEM

Specifies whether elements and nodes are also to be generated:

0
 —

Generate nodes and elements associated with the original volumes, if they exist.

1
 —

Do not generate nodes and elements.

IMOVE

Specifies whether to redefine the existing volumes:

0
 —

Generate additional volumes.

1
 —

Move original volumes to new position retaining the same keypoint numbers (KINC and NOELEM are ignored). Corresponding meshed items are also moved if not needed at their original position.

Notes

Transfers a pattern of volumes (and their corresponding keypoints, lines, areas and mesh) from one coordinate system to another (see analogous node transfer command, TRANSFER). The MAT, TYPE, REAL, and ESYS attributes are based upon the volumes in the pattern and not upon the current settings. Coordinate systems may be translated and rotated relative to each other. Initial pattern may be generated in any coordinate system. However, solid modeling in a toroidal coordinate system is not recommended. Coordinate and slope values are interpreted in the active coordinate system and are transferred directly. Volumes are generated as described in the VGEN command.

Menu Paths

Main Menu>Preprocessor>Modeling>Move / Modify>Transfer Coord>Volumes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VTPOST 		Up / Home Next
VTREAL


VTREAL

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VTREAL, Name, MIN, MAX, RedOpt, Lab, NSET, ElComp, VarType, Order

Defines a real constant property as an input variable for the DesignXplorer.

VARIATIONAL TECHNOLOGY: DesignXplorer

<> <> <> <> <> <> <> <> <> <> <> <> VT

Name

Name of the input variable. This is a string of up to 250 characters used for postprocessing purposes. Blanks are allowed in the string.

MIN

Minimum value of the input variable.

MAX

Maximum value of the input variable.

RedOpt

Reduction option that specifies what to do if the DesignXplorer needs to reduce the variation range from MIN to MAX. Valid labels are:

CONT
 —

Continue with the calculation of the derivatives. This is the default.

STOP
 —

Stop the calculation of the derivatives. This option is necessary if a reduction of the variation range is not acceptable.

Lab

Valid real constant label. This label must refer to a valid property of the real constant set as defined in the R command. Applicable labels are:

TK
 —

Shell thickness. This applies only to shell elements of type SHELL181, where the element thickness has been defined with the R command.

STIF
 —

Spring stiffness. This applies only to combination elements of type COMBIN14, where the spring stiffness has been defined with the R command.

MASS
 —

Lumped mass. This applies only to structural mass elements of type MASS21 with KEYOPT(3) = 2, where the lumped mass has been defined with the R command.

NSET

Real constant set identification number as defined by the R command.

ElComp

Name of an element component or number of a single individual element. If ElComp = ALL, then all elements are considered for the VTREAL command.

VarType

Label indicating how the variability of a spatially dependent element thickness should be handled. This label is ignored if the shell element thickness is constant for all elements selected by either the NSET or the ElComp field. Valid labels are:

FACT
 —

The variability of the section property is described by a scale factor that is applied to the section property values. In case the section properties are different from element to element, a scale factor will be applied to all section property values. This means that the MIN field is the value of the minimum factor to be applied and the MAX field is the maximum factor to be applied. As such the values specified for MIN and MAX are unitless quantities. VarType = FACT is the default if the section property is different from element to element.

ADD
 —

The variability of the section property is described by an add-on that is applied to the section property values. In case the section properties are different from element to element, then the section property values are shifted at the same time by this add-on. This means that the MIN field is the minimum value that is added to the section property values and the MAX field contains the maximum value that is added to the property values. Hence, the values specified for MIN and MAX have the physical unit of a length.

VAL
 —

The variability of the section property is described by the modification of the section property value itself. This is only applicable if the section property value is identical and constant for all selected elements. This means that the MIN field is the minimum value that the section property value itself can take and the MAX field contains the maximum value, which the section property value can take. This is the default if the section property is identical and constant from element to element.

Order

Derivation order. By default, driven by the application.

Notes

Defines the real constant property of a single element or a set of elements as an input variable of the DesignXplorer. The real constant property must be specified with the R command prior to the VTREAL command. The DesignXplorer will evaluate the derivatives of the result parameter(s) (see VTRSLT command) with respect to the section property defined here. The derivatives are used to determine an approximation function for the result parameter(s) as a function of the section property in the range specified by the MIN and MAX fields.

Using either the NSET field or the ElComp field a set of elements is selected for which the real constant property is varied. The user must define one of these two fields and leave the respective other one blank.

If the real constant property is different from element to element, then each element has different values for the real constant properties at the individual nodes. To describe a variation of the real constant property with one single parameter is only possible by using a scalar addition to all real constant property values (VarType = ADD) or by using a scalar multiplication factor for all real constant property values (VarType = FACT). Varying the real constant property by its value itself using VarType = VAL is only possible if the element thickness is constant and identical for all elements.

An error message is generated and the VTREAL command is ignored when the current value is outside the variation range.

If the Order is not specified, it will be increased until the accuracy requirements of the VTRSLT command are satisfied. When you set a value for Order, no further adjustments for accuracy will be performed. Order should only be used when an input parameter has an influence with a limited order.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>DesignXplorer VT>Setup>Real Constant

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VTRAN 		Up / Home Next
VTRFIL


VTRFIL

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VTRFIL, Fname, Ext, Dir

Specifies the file to which DesignXplorer results are written.

VARIATIONAL TECHNOLOGY: DesignXplorer

<> <> <> <> <> <> <> <> <> <> <> <> VT

Fname

File name (32 characters maximum). Defaults to Jobname.

Ext

File name extension (8 characters maximum). Defaults to rsx if Fname is blank; otherwise, no default.

Dir

Directory name (64 characters maximum). Defaults to the current working directory.

Command Default

Fname = Jobname, Ext = rsx, the default directory is the current working directory.

Notes

Specifies which file is used to store the results of DesignXplorer. The file contains the description of the higher order derivatives of the result parameters (selected by the VTRSLT command) with respect to the input variables (selected by commands VTFREQ, VTMP, VTSEC,… ).

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>DesignXplorer VT>Solution>Results File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VTREAL 		Up / Home Next
VTRSLT


VTRSLT

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VTRSLT, Name, Entity, Type, Comp, ACC, CompName

Defines a result quantity for the DesignXplorer.

VARIATIONAL TECHNOLOGY: DesignXplorer

<> <> <> <> <> <> <> <> <> <> <> <> VT

Name

Name of the result parameter. This is a string of up to 250 characters used for postprocessing purposes. Blanks can be included.

Entity

Entity keyword. Valid keywords are listed in the tables below.

Type

Type of result parameter. Valid labels are listed in the table below depending on the Entity field.

Comp

Component of the result parameter type. Valid labels are listed in the table below depending on the Type field.

ACC

Required accuracy for the requested result parameter. Default values depend on the individual result parameter. The default value is 0.02 (2%).

CompName

Name of an element or node component, depending on the Entity field. If CompName = ALL then all entities as specified in the Entity field are considered for the VTRSLT command. CompName = ALL is the default.

Command Default

ACC = 2%, CompName = ALL.

Notes

Defines the result quantity, for which an approximation function with respect to the input variables will be calculated.

In static analysis, displacement and temperature do not need to be specified, as they are automatically computed for all nodes of the model and for all components.

The accuracy provided with the ACC field should not be confused with the error due to meshing of the finite-element model. The accuracy is the maximum difference you can expect between an evaluation of the results of DesignXplorer at any point of the input space of the defined input variables and a rerun of a full ANSYS model at the same location of the input space.

The accuracy for all result parameters will be used to derive a global accuracy measure using the minimum value. This means that if there are several result parameters defined with the VTRSLT command and some have a requested accuracy of ACC = 0.05 and one has a requested accuracy of ACC = 0.01, then an accuracy of 0.01 (1%) will be adopted for all result parameters.

If the derivation order has been specified for one parameter, then the accuracy is not guaranteed for any variation involving this parameter.

For a normal modes analysis the result type MASS cannot be selected.

Table of Valid Labels for the Type and Comp Fields for Entity = ELEM

Type | Comp | Description
MASS |  | Structural mass based on the elements.
S | ALL | Component nodal stress of the element(s) (not averaged at nodes).
TG | ALL | Component nodal temperature gradient of the element(s) (not averaged at nodes).
TF | ALL | Component nodal heat flux of the element(s) (not averaged at nodes).

Note

For Entity = ELEM an existing component name including a set of elements must be specified in the CompName field.

Table of valid labels for the Type and Comp fields for Entity = Node

Type | Comp | Description
U | ALL | Displacement
TEMP | ALL | Temperature
RF | FX, FY, FZ, MX, MY, MZ, ALL | Nodal reaction forces in the nodal coordinate system

Note

For Entity = NODE an existing component name including a set of nodes must be specified in the CompName field.

Table of valid labels for the Type and Comp fields for Entity = Mode

Type | Comp | Description
MODE |  | All mode shapes and the corresponding eigenfrequencies that are evaluated as part of the solution.
FREQ |  | All eigenfrequencies that are evaluated as part of the solution. Compared to the Type = MODE option, the Type = FREQ option does not provide the solutions for the mode shapes. The option will save memory compared to the Type = MODE option.

Note

For Entity = MODE, all modes are always taken into consideration, that is, the only valid user input is CompName = ALL.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>DesignXplorer VT>Setup>Result Quantity

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VTRFIL 		Up / Home Next
VTSEC


VTSEC

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VTSEC, Name, MIN, MAX, RedOpt, Lab, SECID, LAYERID, ElComp, VarType, Order

Defines a section property as an input variable for DesignXplorer.

VARIATIONAL TECHNOLOGY: DesignXplorer

<> <> <> <> <> <> <> <> <> <> <> <> VT

Name

Name for the input variable. This is a string of up to 250 characters used for postprocessing purposes. Blanks can be included.

MIN

Minimum value of the input variable.

MAX

Maximum value of the input variable.

RedOpt

Reduction option that specifies what to do if DesignXplorer must reduce the variation range from MIN to MAX. Valid labels are:

CONT
 —

Continue with the calculation of the derivatives. This is the default.

STOP
 —

Stop the calculation of the derivatives. This option is necessary if a reduction of the variation range is not acceptable.

Lab

Valid section property label. This label must refer to a valid property of the section as defined by the SECTYPE and SECDATA commands. The applicable label is:

TK
 —

Shell thickness. This applies only if the section property has been defined with Type = SHELL of the SECTYPE command.

A
 —

Area of section.

Iyy
 —

Moment of inertia about the y axis.

Iyz
 —

Product of inertia.

Izz
 —

Moment of interia about the z axis.

Iw
 —

Wrapping constant.

J
 —

Torsional constant.

SECID

Section identification number as defined by the SECTYPE command and further specified by the SECDATA command.

LAYERID

Layer identification number as defined by the SECDATA command.

ElComp

Name of an element component or number of a single individual element. If ElComp = ALL, then all elements are considered for the VTSEC command.

VarType

Label indicating how the variability of a spatially dependent element thickness should be handled. This label is ignored if the shell element thickness is constant for all elements selected by either the SECID or the ElComp field. Valid labels are:

FACT
 —

The variability of the section property is described by a scale factor that is applied to the section property values. In case the section properties are different from element to element, a scale factor will be applied to all section property values. This means that the MIN field is the value of the minimum factor to be applied and the MAX field is the maximum factor to be applied. As such the values specified for MIN and MAX are unitless quantities. VarType = FACT is the default if the section property is different from element to element.

ADD
 —

The variability of the section property is described by an add-on that is applied to the section property values. In case the section properties are different from element to element, then the section property values are shifted at the same time by this add-on. This means that the MIN field is the minimum value that is added to the section property values and the MAX field contains the maximum value that is added to the section property values. Hence, the values specified for MIN and MAX have the physical unit of a length.

VAL
 —

The variability of the section property is described by the modification of the section property value itself. This is only applicable if the section property value is identical and constant for all selected elements. This means that the MIN field is the minimum value that the section property value itself can take and the MAX field contains the maximum value, which the section property value can take. This is the default if the section property is identical and constant from element to element.

Order

Derivation order. By default, driven by the application.

Notes

Defines the section property of a single element or a set of elements as an input variable of DesignXplorer. The section property must be specified with the SECTYPE and SECDATA commands prior to the VTSEC command. The DesignXplorer will evaluate the derivatives of the result parameter(s) (see VTRSLT command) with respect to the section property defined here. The derivatives are used to determine an approximation function for the result parameter(s) as a function of the section property in the range specified by the MIN and MAX fields.

Using either the SECID field or the ElComp field a set of elements is selected for which the section property is varied. The user must define one of these two fields and leave the respective other one blank.

If the section property is different from element to element, then each element has different values for the section property at the individual nodes. To describe a variation of the section property with one single parameter is only possible by using a scalar addition to all section property values (VarType = ADD) or by using a scalar multiplication factor for all section property values (VarType = FACT). Varying the section property by its value itself using VarType = VAL is only possible, if the section property is constant and identical for all elements.

An error message is generated and the VTSEC command is ignored when the current value is outside the variation range.

If the Order is not specified, it will be increased until the accuracy requirements of the VTRSLT command are satisfied. When you set a value for Order, no further adjustments for accuracy will be performed.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>DesignXplorer VT>Setup>Section Property

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VTRSLT 		Up / Home Next
VTSFE


VTSFE

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VTSFE, Name, MIN, MAX, RedOpt, Lab, LKEY, ElComp, VarType, Order

Defines a surface load as an input variable for the DesignXplorer.

VARIATIONAL TECHNOLOGY: DesignXplorer

<> <> <> <> <> <> <> <> <> <> <> <> VT

Name

Name of the input variable. This is a string of up to 256 characters used for postprocessing purposes. Blanks are allowed in the string.

MIN

Minimum value of the input variable.

MAX

Maximum value of the input variable.

RedOpt

Reduction option that specifies what to do if the DesignXplorer needs to reduce the variation range from MIN to MAX. Valid labels are:

CONT
 —

Continue with the calculation of the derivatives. This is the default.

STOP
 —

Stop the calculation of the derivatives. This option is necessary if a reduction of the variation range is not acceptable.

Lab

Valid surface load label. This label must be defined using the SFE or SF command prior to issuing this command. Applicable labels are:

PRES
 —

Pressure, Force

HFILM
 —

Convection surface loads (film coefficient)

TBULK
 —

Convection surface loads (bulk temperature)

HFLUX
 —

Heat flux

LKEY

Load key associated with surface load (not applicable when Lab is different from PRES). Valid load keys are: 1,2, 3, 4, or 5 for element SURF154 and 1,2, 3, or 4 for element SURF153.

ElComp

Name of an element component or number of a single individual element. If ElComp = ALL, then all elements are considered for the VTSFE command.

VarType

Label indicating how the variability of surface load should be handled. Valid labels are:

FACT
 —

The variability of the surface load is described by a scale factor that is applied to the load values. This means that the MIN field is the value of the minimum factor to be applied and the MAX field is the maximum factor to be applied. As such the values specified for MIN and MAX are unitless quantities. VarType = FACT is the default for surface load parameters.

ADD
 —

The variability of the surface load is described by an add-on that is applied to the load values. This means that the MIN field is the minimum value that is added to the load values and the MAX field contains the maximum value that is added to the surface load values. Hence, the values specified for MIN and MAX have the same unit as the surface load itself.

Order

Derivation order. By default, driven by the application.

Notes

Defines the surface load of a single element or a set of elements as an input variable of the DesignXplorer. The DesignXplorer will evaluate the derivatives of the result parameter(s) (see VTRSLT command) with respect to the surface load defined here. The derivatives are used to determine an approximation function for the result parameter(s) as a function of the surface load in the range specified by the MIN and MAX fields.

The type of the surface load is defined by the Lab field, which must not be left blank. The surface load must exist or be specified using the SFE command prior to issuing the VTSFE command.

Using the ElComp field a set of elements is selected for which the surface load is varied.

If the Order is not specified, it will be increased until the accuracy requirements of the VTRSLT command are satisfied. When you set a value for Order, no further adjustments for accuracy will be performed. Order should only be used when an input parameter has an influence with a limited order.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VTSEC 		Up / Home Next
VTSL


VTSL

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VTSL, Type, Varname

Selects a subset of elements associated with an VT input variable.

VARIATIONAL TECHNOLOGY: DesignXplorer

<> <> <> <> <> <> <> <> <> <> <> <> VT

Type

Label identifying the type of select:

S
 —

Select a new set. This is the default.

R
 —

Reselect a set from the current set.

A
 —

Additionally select a set and extend the current set.

U
 —

Unselect a set from the current set.

Varname

Name of an VT input variable, defined with the VTMP, VTREAL, VTSEC or VTDISC commands.

Command Default

There are no default values for the command fields.

Notes

This command does not apply to output variables or VTGEOM input variables.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu> DesignXplorer VT> Setup> Frequency

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VTSFE 		Up / Home Next
VTSTAT


VTSTAT

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VTSTAT, EntyLis

Print the status of the DesignXplorer definitions and settings into a separate window.

VARIATIONAL TECHNOLOGY: DesignXplorer

<> <> <> <> <> <> <> <> <> <> <> <> VT

EntyLis

Option that specifies whether the nodes or element lists should be printed for those Variational Technology commands where nodes or element lists have been specified. Valid labels are:

NO
 —

Do not print out the list of nodes or elements (default).

YES
 —

Print out the list of nodes or elements.

Notes

Prints the status the user definitions and settings of the DesignXplorer to a separate window.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>DesignXplorer VT>Other>Status

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VTSL 		Up / Home Next
VTTEMP


VTTEMP

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VTTEMP,Name, MIN, MAX, RedOpt, --, VarType, Order

Defines the temperature as input variable for the DesignXplorer.

VARIATIONAL TECHNOLOGY: DesignXplorer

<> <> <> <> <> <> <> <> <> <> <> <> VT

Name

Name for the input variable. This is a string of up to 250 characters used for postprocessing purposes. Blanks are allowed in the string.

MIN

Minimum value of the input variable.

MAX

Maximum value of the input variable.

RedOpt

Reduction option that specifies what to do if the DesignXplorer needs to reduce the variation range from MIN to MAX. Valid labels are:

CONT
 —

Continue with the calculation of the derivatives. This is the default.

STOP
 —

Stop the calculation of the derivatives. This option is necessary if a reduction of the variation range is not acceptable.

---

Unused field.

VarType

Label indicating how the variability of temperature should be handled. Valid labels are:

FACT
 —

The variability of the temperature is described by an scaling factor that is applied to the temperature. This means that the MIN field is the value of the minimum factor to be applied and the MAX field is the maximum factor to be applied. Hence, the values specified for MIN and MAX are unitless quantities. VarType = FACT is the default for temperature parameters.

ADD
 —

The variability of the temperature is described by an add-on that is applied to the temperature values. This means that the MIN field is the minimum value that is added to the temperature values and the MAX field contains the maximum value that is added to the temperature values. Hence, the values specified for MIN and MAX have the same unit as the temperature itself.

Order

Derivation Order. By default, driven by the application.

Command Default

Defaults as outlined above.

Notes

Defines the temperature as an input variable.

If the Order is not specified, it will be increased until the accuracy requirements of the VTRSLT command are satisfied. When you set a value for Order, no further adjustments for accuracy will be performed.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>DesignXplorer VT>Setup>Temperature Load

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VTSTAT 		Up / Home Next
VTVMOD


VTVMOD

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VTVMOD, Name, Oper, Value

Modifies the status or current value of an input variable for the DesignXplorer.

VARIATIONAL TECHNOLOGY: DesignXplorer

<> <> <> <> <> <> <> <> <> <> <> <> VT

Name

Name for an input or results variable of the DesignXplorer. This is a string of up to 250 characters used for postprocessing purposes. Blanks can be used. An input variable with this name must be previously defined using one of the following commands: VTFREQ, VTMP, VTRSLT, …

Oper

Label for the type of operation that is performed on the input variable Name. Valid labels are:

ACT
 —

Activates an input variable in the DesignXplorer. This operation is ignored, if the variable specified is already activated.

DEACT
 —

Deactivates an input variable of the DesignXplorer. This operation is ignored, if the variable specified is not activated.

DEL
 —

Deletes an input or results variable of the DesignXplorer.

SET
 —

Sets the value of an input variable of the DesignXplorer.

Value

Is the value of the input variable for the VTEVAL command.

Notes

Modifies the status of an input variable for the DesignXplorer that have been previously defined, by activating, deactivating or deleting it.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>DesignXplorer VT>Setup>Modify

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VTTEMP 		Up / Home Next
VTYPE


VTYPE

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

VTYPE, NOHID, NZONE

Specifies the viewing procedure used to determine the form factors for the Radiation Matrix method.

AUX12: Radiation Matrix Method

MP ME ST PR PRN <> <> <> <> <> <> PP <>

NOHID

Type of viewing procedure:

0
—

Hidden procedure.

1
—

Non-hidden (faster, but less general) procedure.

NZONE

Number of sampling zones for the hidden procedure (100 maximum for 3-D, 1000 maximum for 2-D). Defaults to 20 for 3-D, 200 for 2-D. Number of points is 2*NZONE for 2-D and 2*NZONE*(NZONE+1) for 3-D.

Command Default

Hidden procedure using 20 zones for 3-D, 200 zones for 2-D.

Menu Paths

Main Menu>Radiation Opt>Matrix Method>Write Matrix

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VTVMOD 		Up / Home Next
/VUP


/VUP

Release 11.0 Documentation for ANSYS

Commands Reference | V Commands |

/VUP, WN, Label

Specifies the global Cartesian coordinate system reference orientation.

GRAPHICS: Views

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number (or ALL) to which command applies (defaults to 1).

Label

Orientation:

Y
—

Y vertical upward, X horizontal to the right, Z out from the screen (default).

-Y
—

Y vertical downward, X horizontal to the left, Z out from the screen.

X
—

X vertical upward, Y horizontal to the left, Z out from the screen.

-X
—

X vertical downward, Y horizontal to the right, Z out from the screen.

Z
—

Z vertical upward, Y horizontal to the right, X out from the screen. With this choice, you should use a view other than the /VIEW default of (0,0,1).

-Z
—

Z vertical downward, Y horizontal to the left, X out from the screen. With this choice, you should use a view other than the /VIEW default of (0,0,1).

Command Default

Y vertical upward, X horizontal to the right, Z out from the screen.

Notes

Specifies the global Cartesian coordinate system reference orientation. The /VIEW and /ANGLE commands may be used to reorient the view and are relative to this reference orientation. All coordinate systems are right-handed.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>View Settings>Viewing Direction

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VTYPE 		Up / Home Next
W Commands


W Commands

Table of Contents

WAVES - Initiates reordering.
WERASE - Erases all reordering wave lists.
WFRONT - Estimates wavefront statistics.
/WINDOW - Defines the window size on the screen.
WMID - Specifies reordering options for the WAVES command.
WMORE - Adds more nodes to the starting wave list.
WPAVE - Moves the working plane origin to the average of specified points.
WPCSYS - Defines the working plane location based on a coordinate system.
WPLANE - Defines a working plane to assist in picking operations.
WPOFFS - Offsets the working plane.
WPROTA - Rotates the working plane.
WPSTYL - Controls the display and style of the working plane.
WRFULL - Stops solution after assembling global matrices.
WRITE - Writes the radiation matrix file.
WSORT - Initiates element reordering based upon a geometric sort.
WSPRINGS - Creates weak springs on corner nodes of a bounding box of the currently selected elements.
WSTART - Defines a starting wave list.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/VUP 		Up / Home Next
WAVES


WAVES

Release 11.0 Documentation for ANSYS

Commands Reference | W Commands |

WAVES, Wopt, OLDMAX, OLDRMS

Initiates reordering.

PREP7: Element Reordering

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Wopt

Option for comparison:

MAX
 —

Use maximum wavefront value for comparison (default).

RMS
 —

Use RMS wavefront value for comparison.

OLDMAX, OLDRMS

Maximum and RMS wavefront values of model to be used in place of the old values. OLDRMS defaults to OLDMAX (and vice versa). If neither is specified, each defaults to its calculated old value.

Notes

Initiates the element reordering based upon the previously defined starting wave lists (if any). Reordering affects only the element order for the solution phase and not the element numbers (input referring to element numbers, such as element pressures, is unaffected by reordering).

Note

The new order is retained only if new the new maximum or RMS wavefront values are lower than the old values, as described below. See the WSORT command for another reordering procedure. The resulting element ordering can be shown by listing the wavefront history [WFRONT,1] or by displaying elements with their element location numbers [/PNUM].

The WAVES reordering procedure is based upon a list of nodes defining where the element reordering is to start (either input on the WSTART command, or automatically determined if not input). If a list is input, additional starting wave lists may be defined to allow the user to block or guide the wave. An input starting list usually consists of one node for a line element model, a line of nodes for an area element model, or a plane of nodes for a volume element model. Elements are ordered from the first starting wave list in a direction that attempts to minimize the wavefront. Nodes are deleted and added to the total wave list set as reordering progresses through the model. Elements attached to nodes on succeeding starting lists, if any, are ignored at this time, thereby temporarily blocking that path. Whenever no more elements can be reordered, the procedure is repeated starting from the nodes defined on the second starting list (if any). The same node number should not appear on more than one list. If no starting list is input, a starting node is automatically selected from an element weighting procedure (see the Theory Reference for ANSYS and ANSYS Workbench).

Reordering may be made from the previously reordered model or from the initial model (by issuing the SAVE command before reordering and then restoring that model back to PREP7 with the RESUME command after reordering). The WFRONT command is useful for calculating and printing the current wavefront statistics at any time without causing any reordering of the elements. If a model is to be used for both a thermal and a structural analysis, the reordered statistics should be based upon the structural model (because of the higher number of degrees of freedom per node).

The reordering procedure treats separate portions of the model (i.e., not connected by elements) as discontinuous. Reordering automatically continues across a discontinuity as best as possible.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Numbering Ctrls>Element Reorder>Reorder by List

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
W Commands 		Up / Home Next
WERASE


WERASE

Release 11.0 Documentation for ANSYS

Commands Reference | W Commands |

WERASE

Erases all reordering wave lists.

PREP7: Element Reordering

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Notes

The REORDER then STAT commands will display the current wave lists.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Numbering Ctrls>Element Reorder>Erase Wave List

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
WAVES 		Up / Home Next
WFRONT


WFRONT

Release 11.0 Documentation for ANSYS

Commands Reference | W Commands |

WFRONT, KPRNT, KCALC

Estimates wavefront statistics.

PREP7: Element Reordering

MP ME ST PR PRN <> <> <> EM <> <> PP <>

KPRNT

Wavefront history print key:

0
 —

Print current wavefront statistics.

1
 —

Print current wavefront statistics but also print wavefront history (wavefront at each element). Elements are listed in the reordered sequence.

KCALC

Calculation options:

0
 —

Wavefront estimate assumes maximum model DOF set at each node and does not include the effects of master degrees of freedom and specified displacement constraints.

1
 —

Wavefront estimate uses the actual DOF set at each node and does not include the effects of master degrees of freedom and specified displacement constraints. More time consuming than estimated wavefront. KPRNT = 1 is not available with this option.

Notes

Estimates wavefront statistics of the model as currently ordered.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Numbering Ctrls>Element Reorder>Est. Wavefront

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
WERASE 		Up / Home Next
/WINDOW


/WINDOW

Release 11.0 Documentation for ANSYS

Commands Reference | W Commands |

/WINDOW, WN, XMIN, XMAX, YMIN, YMAX, NCOPY

Defines the window size on the screen.

GRAPHICS: Set Up

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window reference number (1 to 5). Defaults to 1. This number, or ALL (for all active windows), may be used on other commands.

XMIN, XMAX, YMIN, YMAX

Screen coordinates defining window size. Screen coordinates are measured as -1.0 to 1.67 with the origin at the screen center. For example, (-1,1.67,-1,1) is full screen, (-1,0,-1,0) is the left bottom quadrant. If XMIN = OFF, deactivate this previously defined window; if ON, reactivate this previously defined window. If FULL, LEFT, RIGH, TOP, BOT, LTOP, LBOT, RTOP, RBOT, form full, half, or quarter window. If SQUA, form largest square window within the current graphics area. If DELE, delete this window (cannot be reactivated with ON).

NCOPY

Copies the current specifications from window NCOPY (1 to 5) to this window. If NCOPY = 0 (or blank), no specifications are copied.

Command Default

One window at full screen.

Notes

Defines the window size on the screen. Windows may occupy a separate section of the screen or they may overlap. Requested displays are formed in all windows according to the selected window specifications.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Window Controls>Copy Window Specs
Utility Menu>PlotCtrls>Window Controls>Delete Window
Utility Menu>PlotCtrls>Window Controls>Window Layout
Utility Menu>PlotCtrls>Window Controls>Window On or Off

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
WFRONT 		Up / Home Next
WMID


WMID

Release 11.0 Documentation for ANSYS

Commands Reference | W Commands |

WMID, Key

Specifies reordering options for the WAVES command.

PREP7: Element Reordering

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Key

Determines whether midside nodes are considered when reordering.

NO
 —

Do not consider midside nodes when reordering (default).

YES
 —

Consider midside nodes when reordering. This option is useful for models where line elements are only attached to midside nodes of solid elements.

Notes

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/WINDOW 		Up / Home Next
WMORE


WMORE

Release 11.0 Documentation for ANSYS

Commands Reference | W Commands |

WMORE, NODE1, NODE2, NINC, ITIME, INC

Adds more nodes to the starting wave list.

PREP7: Element Reordering

MP ME ST PR PRN <> <> <> EM <> <> PP <>

NODE1, NODE2, NINC

Add another node set to the previous starting wave list. Set is NODE1 to NODE2 (defaults to NODE1) in steps of NINC (defaults to 1). If NODE1 is negative, delete (instead of add) this node set from previous starting wave list.

ITIME, INC

Add other node sets to the same starting wave list by repeating the previous node set with NODE1 and NODE2 incremented by INC (defaults to 1) each time after the first. ITIME is the total number of sets (defaults to 1) defined with this command.

Notes

Adds more nodes to (or modifies) the previous starting wave list (if any) [WSTART]. Repeat WMORE command to add more nodes to the previous starting wave list. Up to 10,000 nodes may be defined (total, for all starting waves).

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Numbering Ctrls>Element Reorder>Extend Wave List

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
WMID 		Up / Home Next
WPAVE


WPAVE

Release 11.0 Documentation for ANSYS

Commands Reference | W Commands |

WPAVE, X1, Y1, Z1, X2, Y2, Z2, X3, Y3, Z3

Moves the working plane origin to the average of specified points.

DATABASE: Working Plane

MP ME ST PR PRN <> <> FL EM <> <> PP <>

X1, Y1, Z1

Coordinates (in the active coordinate system) of the first point. If X1 = P, graphical picking is enabled and all remaining command fields are ignored (valid only in the GUI).

X2, Y2, Z2

Coordinates (in the active coordinate system) of the second point.

X3, Y3, Z3

Coordinates (in the active coordinate system) of the third point.

Notes

Moves the origin of the working plane to the average of the specified points. A point is considered specified only if at least one of its coordinates is non-blank, and at least one point (1, 2, or 3) must be specified. Blank coordinates of a specified point are assumed to be zero. Averaging is based on the active coordinate system.

This command is valid in any processor.

Menu Paths

Utility Menu>WorkPlane>Offset WP to>Global Origin
Utility Menu>WorkPlane>Offset WP to>Origin of Active CS
Utility Menu>WorkPlane>Offset WP to>XYZ Locations

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
WMORE 		Up / Home Next
WPCSYS


WPCSYS

Release 11.0 Documentation for ANSYS

Commands Reference | W Commands |

WPCSYS, WN, KCN

Defines the working plane location based on a coordinate system.

DATABASE: Working Plane

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number whose viewing direction will be modified to be normal to the working plane (defaults to 1). If WN is a negative value, the viewing direction will not be modified.

KCN

Coordinate system number. KCN may be 0,1,2 or any previously defined local coordinate system number (defaults to the active system).

Notes

Defines a working plane location and orientation based on an existing coordinate system. If a Cartesian system is used as the basis (KCN) for the working plane, the working plane will also be Cartesian, in the X-Y plane of the base system. If a cylindrical, spherical, or toroidal base system is used, the working plane will be a polar system in the R-θ plane of the base system.

If working plane tracking has been activated (CSYS,WP or CSYS,4), the updated active coordinate system will be of a similar type, except that a toroidal system will be updated to a cylindrical system. See the Modeling and Meshing Guide for more information on working plane tracking.

This command is valid in any processor.

Menu Paths

Main Menu>General Postproc>Surface Operations>Create Surface>Sphere>At Node
Utility Menu>WorkPlane>Align WP with>Active Coord Sys
Utility Menu>WorkPlane>Align WP with>Global Cartesian
Utility Menu>WorkPlane>Align WP with>Specified Coord Sys

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
WPAVE 		Up / Home Next
WPLANE


WPLANE

Release 11.0 Documentation for ANSYS

Commands Reference | W Commands |

WPLANE, WN, XORIG, YORIG, ZORIG, XXAX, YXAX, ZXAX, XPLAN, YPLAN, ZPLAN

Defines a working plane to assist in picking operations.

DATABASE: Working Plane

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number whose viewing direction will be modified to be normal to the working plane (defaults to 1). If WN is a negative value, the viewing direction will not be modified. If fewer than three points are used, the viewing direction of window WN will be used instead to define the normal to the working plane.

XORIG, YORIG, ZORIG

Global Cartesian coordinates of the origin of the working plane coordinate system.

XXAX, YXAX, ZXAX

Global Cartesian coordinates of a point defining the x-axis orientation. The x-axis aligns with the projection of the line from this orientation point to the origin.

XPLAN, YPLAN, ZPLAN

Global Cartesian coordinates of the third point defining the working plane. This point will also define the location of the positive XY-sector of the working plane coordinate system.

Command Default

Working plane parallel to the global X-Y plane at Z = 0.0.

Notes

Defines a working plane to assist in picking operations using the coordinates of three noncolinear points. The three points also define the working plane coordinate system. A minimum of one point (the working plane origin) is required. Immediate mode may also be active. See WPSTYL command to set the style of working plane display.

This command is valid in any processor.

Menu Paths

Utility Menu>WorkPlane>Align WP with>XYZ Locations

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
WPCSYS 		Up / Home Next
WPOFFS


WPOFFS

Release 11.0 Documentation for ANSYS

Commands Reference | W Commands |

WPOFFS, XOFF, YOFF, ZOFF

Offsets the working plane.

DATABASE: Working Plane

MP ME ST PR PRN <> <> FL EM <> <> PP <>

XOFF, YOFF, ZOFF

Offset increments defined in the working plane coordinate system. If only ZOFF is used, the working plane will be redefined parallel to the present plane and offset by ZOFF.

Notes

Changes the origin of the working plane by translating the working plane along its coordinate system axes.

This command is valid in any processor.

Menu Paths

Utility Menu>WorkPlane>Offset WP by Increments

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
WPLANE 		Up / Home Next
WPROTA


WPROTA

Release 11.0 Documentation for ANSYS

Commands Reference | W Commands |

WPROTA, THXY, THYZ, THZX

Rotates the working plane.

DATABASE: Working Plane

MP ME ST PR PRN <> <> FL EM <> <> PP <>

THXY

First rotation about the working plane Z axis (positive X toward Y).

THYZ

Second rotation about working plane X axis (positive Y toward Z).

THZX

Third rotation about working plane Y axis (positive Z toward X).

Notes

The specified angles (in degrees) are relative to the orientation of the working plane.

This command is valid in any processor.

Menu Paths

Utility Menu>WorkPlane>Offset WP by Increments

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
WPOFFS 		Up / Home Next
WPSTYL


WPSTYL

Release 11.0 Documentation for ANSYS

Commands Reference | W Commands |

WPSTYL, SNAP, GRSPAC, GRMIN, GRMAX, WPTOL, WPCTYP, GRTYPE, WPVIS, SNAPANG

Controls the display and style of the working plane.

DATABASE: Working Plane

MP ME ST PR PRN <> <> FL EM <> <> PP <>

SNAP

Snap increment for a locational pick (1E-6 minimum). If -1, turn off snap capability. For example, a picked location of 1.2456 with a snap of 0.1 gives 1.2, with 0.01 gives 1.25, with 0.001 gives 1.246, and with 0.025 gives 1.250 (defaults to 0.05).

GRSPAC

Graphical spacing between grid points. For graphical representation only and not related to snap points (defaults to 0.1).

GRMIN, GRMAX

Defines the size of a square grid (if WPCTYP = 0) to be displayed over a portion of the working plane. The opposite corners of the grid will be located at grid points nearest the working plane coordinates of (GRMIN,GRMIN) and (GRMAX,GRMAX). If a polar system (WPCTYP = 1), GRMAX is the outside radius of grid and GRMIN is ignored. If GRMIN = GRMAX, no grid will be displayed (defaults to -1.0 and 1.0 for GRMIN and GRMAX respectively).

WPTOL

The tolerance that an entity's location can deviate from the specified working plane, while still being considered on the plane. Used only for locational picking of vertices for polygons and prisms (defaults to 0.003).

WPCTYP

Working plane coordinate system type:

0
 —

Cartesian (default). If working plane tracking is on [CSYS,4], the updated active coordinate system will also be Cartesian.

1
 —

Polar. If working plane tracking is on, the updated active coordinate system will be cylindrical.

2
 —

Polar. If working plane tracking is on, the updated active coordinate system will be spherical.

GRTYPE

Grid type:

0
 —

Grid and WP triad.

1
 —

Grid only.

2
 —

WP triad only (default).

WPVIS

Grid visibility:

0
 —

Do not show GRTYPE entities (grid and/or triad) (default).

1
 —

Show GRTYPE entities. Cartesian working planes will be displayed with a Cartesian grid, polar with a polar grid.

SNAPANG

Snap angle (0--180) in degrees. Used only if WPCTYP = 1 or 2. Defaults to 5 degrees.

Command Default

Snap capability on with an increment of .05, spacing between grid points of 0.1, Cartesian coordinate system, WP triad displayed, and a tolerance of .003.

Notes

Use WPSTYL,DEFA to reset the working plane to its default location and style. Use WPSTYL,STAT to list the status of the working plane. Blank fields will keep present settings.

It is possible to specify SNAP and WPTOL values that will cause conflicts during picking operations. Check your values carefully, and if problems are noted, revert to the default values.

WPSTYL with no arguments will toggle the grid on and off. The working plane can be displayed in the non-GUI interactive mode only after issuing a /PLOPTS,WP,1 command. See the Modeling and Meshing Guide for more information on working plane tracking. See /PLOPTS command for control of hidden line working plane.

This command is valid in any processor.

Menu Paths

Main Menu>Preprocessor>Modeling>Create>Circuit>Builder>ROM>ElecStruc
Main Menu>Preprocessor>Modeling>Create>Circuit>Set Grid
Utility Menu>List>Status>Working Plane
Utility Menu>WorkPlane>Display Working Plane
Utility Menu>WorkPlane>Offset WP by Increments
Utility Menu>WorkPlane>Show WP Status
Utility Menu>WorkPlane>WP settings

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
WPROTA 		Up / Home Next
WRFULL


WRFULL

Release 11.0 Documentation for ANSYS

Commands Reference | W Commands |

WRFULL, Ldstep

Stops solution after assembling global matrices.

SOLUTION: Load Step Options

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Ldstep

Specify action to take:

OFF or 0
 —

Turn off feature (default)

N
 —

Turn on feature and set it to stop after assembling the global matrices and writing the .FULL file for load step N.

Command Default

By default the WRFULL command is turned OFF.

Notes

This command is used in conjunction with the SOLVE command to generate the assembled matrix file (.FULL file) only. The element matrices are assembled into the relevant global matrices for the particular analysis being performed and the .FULL file is written. Equation solution and the output of data to the results file are skipped. To dump the matrices written on the .FULL file into Harwell-Boeing format, use the HBMAT command in /AUX2.

To use the LSSOLVE macro with this command, you may need to modify the LSSOLVE macro to properly stop at the load step of interest.

This command only valid for linear static, full harmonic, and full transient analyses when the sparse direct solver is selected. This command is also valid for buckling or modal analyses with any mode extraction method. This command is not valid for nonlinear analyses or analyses containing p-elements.

In general, the assembled matrix file .FULL contains stiffness, mass, and damping matrices. However, the availability of the matrices depends on the analysis type chosen when the file is written.

Menu Paths

Main Menu>Preprocessor>Loads>Load Step Opts>Stop Solution
Main Menu>Solution>Load Step Opts>Stop Solution

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
WPSTYL 		Up / Home Next
WRITE


WRITE

Release 11.0 Documentation for ANSYS

Commands Reference | W Commands |

WRITE, Fname

Writes the radiation matrix file.

AUX12: Radiation Matrix Method

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name Defaults to Jobname.

Notes

Writes radiation matrix file (File.SUB) for input to the substructure thermal "use" pass. Subsequent WRITE operations to the same file overwrite the file.

Menu Paths

Main Menu>Radiation Opt>Matrix Method>Write Matrix

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
WRFULL 		Up / Home Next
WSORT


WSORT

Release 11.0 Documentation for ANSYS

Commands Reference | W Commands |

WSORT, Lab, KORD, --, Wopt, OLDMAX, OLDRMS

Initiates element reordering based upon a geometric sort.

PREP7: Element Reordering

MP ME ST PR PRN <> <> <> EM <> <> PP <>

Lab

Coordinate (in the active system) along which element centroid locations are sorted. Valid labels are: X, Y, Z, ALL. If ALL (default), all three directions will be used, and the order corresponding to the lowest MAX or RMS wavefront value will be retained.

KORD

Sort order:

0
 —

Sort according to ascending coordinate values.

1
 —

Sort according to descending coordinate values.

--

Unused field.

Wopt

Option for comparison:

MAX
 —

Use maximum wavefront value for comparison (default).

RMS
 —

Use RMS wavefront value.

OLDMAX, OLDRMS

MAX and RMS wavefront values of model to be used in place of the old values. OLDRMS defaults to OLDMAX (and vice versa). If neither is specified, each defaults to its calculated old value.

Notes

Initiates element reordering based upon a geometric sort of the element centroid locations. Wave lists, if any [WSTART], are ignored. Reordering affects only the element order for the solution phase and not the element numbers (input referring to element numbers, such as element pressures, is unaffected by reordering).

Note

The new order is retained only if new the new maximum or RMS wavefront values are lower than the old values, as described below. See the WAVES command for another reordering procedure and for more details on reordering. The resulting element ordering can be shown by listing the wavefront history [WFRONT,1] or by displaying elements with their element location numbers [/PNUM].

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Numbering Ctrls>Element Reorder>Reorder by XYZ

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
WRITE 		Up / Home Next
WSPRINGS


WSPRINGS

Release 11.0 Documentation for ANSYS

Commands Reference | W Commands |

WSPRINGS

Creates weak springs on corner nodes of a bounding box of the currently selected elements.

SOLUTION: Misc Loads

MP ME ST <> <> <> <> <> <> <> <> PP <>

Notes

WSPRINGS invokes a predefined ANSYS macro that is used during the import of loads from the ADAMS program into the ANSYS program. WSPRINGS creates weak springs on the corner nodes of the bounding box of the currently selected elements. The six nodes of the bounding box are attached to ground using COMBIN14 elements. The stiffness is chosen as a small number and can be changed by changing the real constants of the COMBIN14 elements. This command works only for models that have a geometric extension in two or three dimensions. One dimensional problems (pure beam in one axis) are not supported.

For more information on how WSPRINGS is used during the transfer of loads from the ADAMS program to ANSYS, see Import Loads into ANSYS in the Advanced Analysis Techniques Guide.

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Solution>ADAMS Connection>Import fr ADAMS

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
WSORT 		Up / Home Next
WSTART


WSTART

Release 11.0 Documentation for ANSYS

Commands Reference | W Commands |

WSTART, NODE1, NODE2, NINC, ITIME, INC

Defines a starting wave list.

PREP7: Element Reordering

MP ME ST PR PRN <> <> <> EM <> <> PP <>

NODE1, NODE2, NINC

Define a set of nodes in the starting wave list from NODE1 to NODE2 (defaults to NODE1) in steps of NINC (defaults to 1). If NODE1 = ALL, ignore remaining fields and use all selected nodes [NSEL].

ITIME, INC

Add more node sets to the same starting wave list by repeating the previous node set with NODE1 and NODE2 incremented by INC (defaults to 1) each time after the first. ITIME is the total number of sets (defaults to 1) defined with this command.

Command Default

If no starting waves, a starting node will be automatically defined when the WAVES command is issued.

Notes

Defines a starting wave list (optional) for reordering with the WAVES command. Repeat WSTART command to define other starting wave lists (20 maximum).

Distributed ANSYS Restriction. This command is not supported in Distributed ANSYS.

Menu Paths

Main Menu>Preprocessor>Numbering Ctrls>Element Reorder>Define Wave List

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
WSPRINGS 		Up / Home Next
X Commands


X Commands

Table of Contents

/XFRM - Controls the centroid or the axis of dynamic rotation.
/XRANGE - Specifies a linear abscissa (X) scale range.
XVAR - Specifies the X variable to be displayed.
XVAROPT - Specifies the parameter to be used as the X-axis variable.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
WSTART 		Up / Home Next
/XFRM


/XFRM

Release 11.0 Documentation for ANSYS

Commands Reference | X Commands |

/XFRM, LAB, X1, Y1, Z1, X2, Y2, Z2

Controls the centroid or the axis of dynamic rotation.

GRAPHICS: Views

MP ME ST PR PRN <> <> FL EM <> <> PP <>

LAB

The location or entity (centroid) used to define the center or axis of rotation.

NODE
 —

If NODE is chosen for the center of rotation, the node number will be X1. If the rotation is to be about an axis, then X1 and Y1 define the two nodes between which a line is drawn to determine the axis. The remaining arguments are ignored.

ELEMENT
 —

If ELEMENT is chosen for the center of rotation, the element number will be X1. If the rotation is to be about an axis, then X1 and Y1 define the two elements between which a line is drawn to determine the axis. The remaining arguments are ignored.

KP
 —

If KP is chosen for the center of rotation, the keypoint number will be X1. If the rotation is to be about an axis, then X1 and Y1 define the two keypoints between which a line is drawn to determine the axis. The remaining arguments are ignored.

LINE
 —

If LINE is chosen for the center of rotation, the line number will be X1. If the rotation is to be about an axis, then X1 and Y1 define the two lines between which a line is drawn to determine the axis. The remaining arguments are ignored.

AREA
 —

If AREA is chosen for the center of rotation, the area number will be X1. If the rotation is to be about an axis, then X1 and Y1 define the two areas between which a line is drawn to determine the axis. The remaining arguments are ignored.

VOLUME
 —

If VOLUME is chosen for the center of rotation, the volume number will be X1. If the rotation is to be about an axis, then X1 and Y1 define the two volumes between which a line is drawn to determine the axis. The remaining arguments are ignored.

XYZ
 —

If XYZ is chosen for the center of rotation, the location of that center is determined by the coordinates X1, Y1, Z1. If values are specified for X2, Y2, Z2, then the axis of rotation will be about the line between those two points.

OFF
 —

If LAB = OFF, DEFAULT, FOCUS or if no value is specified, then the center of rotation is set at the FOCUS point, as defined by the /FOCUS command.

X1

The entity number or X coordinate for the center of rotation.

Y1

The entity number or Y coordinate for the center of rotation.

Z1

The Z coordinate for the center of rotation.

X2

The X coordinate for the axis of rotation.

Y2

The Y coordinate for the axis of rotation.

Z2

The Z coordinate for the axis of rotation.

Command Default

Issuing /XFRM, with no LAB defined sets the center of rotation at the focal point specified by the /FOCUS command.

Notes

The /XFRM command is active only when the cumulative rotation key is specified ON for the /ANGLE command (KINCR = 1). This command affects dynamic manipulations only.

For center rotation, the middle mouse button will rotate the model about the screen Z axis and the right mouse button will rotate the model about the screen X and Y axis.

For rotation about an axis, the middle mouse button will rotate the model about the defined axis of rotation and the right mouse button will be deactivated.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>ViewSettings>Rotational Center>ByPick

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
X Commands 		Up / Home Next
/XRANGE


/XRANGE

Release 11.0 Documentation for ANSYS

Commands Reference | X Commands |

/XRANGE, XMIN, XMAX

Specifies a linear abscissa (X) scale range.

GRAPHICS: Graphs

MP ME ST PR PRN <> <> FL EM <> <> PP <>

XMIN

Minimum abscissa scale value.

XMAX

Maximum abscissa scale value.

Command Default

Automatically select X-range scale to include all data being displayed.

Notes

Specifies a linear abscissa (X) scale range for the line graph display. Use /XRANGE,DEFAULT to return to automatic scaling.

Automatic scaling will often yield inappropriate range values for logarithmic scales (/GROPT, LOGX).

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Style>Graphs>Modify Axes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/XFRM 		Up / Home Next
XVAR


XVAR

Release 11.0 Documentation for ANSYS

Commands Reference | X Commands |

XVAR, N

Specifies the X variable to be displayed.

POST26: Display

MP ME ST PR PRN <> <> FL EM <> <> PP <>

N

X variable number:

0 or 1
 —

Display PLVAR values vs. time (or frequency).

n
 —

Display PLVAR values vs. variable n (2 to NV [NUMVAR]).

1
 —

Interchange time and PLVAR variable numbers with time as the curve parameter. PLVAR variable numbers are displayed uniformly spaced along X-axis from position 1 to 10.

Command Default

Use time or frequency.

Notes

Defines the X variable (displayed along the abscissa) against which the Y variable(s) [PLVAR] are to be displayed.

Menu Paths

Main Menu>TimeHist Postpro>Settings>Graph

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/XRANGE 		Up / Home Next
XVAROPT


XVAROPT

Release 11.0 Documentation for ANSYS

Commands Reference | X Commands |

XVAROPT, Lab

Specifies the parameter to be used as the X-axis variable.

OPTIMIZATION: Display

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Lab

Parameter to be used as the X variable. Defaults to set numbers.

Command Default

Use design set numbers as the X variable.

Notes

Specifies the parameter to be used as the X-axis variable for graphical displays produced by the PLVAROPT command, and for the first column of the tabular listings produced by the PRVAROPT command. Design sets are automatically sorted in a sequence corresponding to an ascending order of the specified parameter.

Menu Paths

Main Menu>Design Opt>Design Sets>Graphs/Tables

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
XVAR 		Up / Home Next
Y Commands


Y Commands

Table of Contents

/YRANGE - Specifies a linear ordinate (Y) scale range.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
XVAROPT 		Up / Home Next
/YRANGE


/YRANGE

Release 11.0 Documentation for ANSYS

Commands Reference | Y Commands |

/YRANGE, YMIN, YMAX, NUM

Specifies a linear ordinate (Y) scale range.

GRAPHICS: Graphs

MP ME ST PR PRN <> <> FL EM <> <> PP <>

YMIN

Minimum ordinate scale value.

YMAX

Maximum ordinate scale value.

NUM

Y-axis number to which range applies (defaults to 1). Valid numbers are 1 to 3 for /GRTYP,2 and 1 to 6 for /GRTYP,3. If ALL, apply to all Y-axes.

Command Default

Automatically select Y-range scale to include all data being displayed.

Notes

Specifies a linear ordinate (Y) scale range for the line graph display. Use /YRANGE,DEFAULT to return to automatic scaling. For multiple Y-axes graphs [/GRTYP], see /GROPT, ASCAL to automatically scale the additional Y-axes.

Automatic scaling will often yield inappropriate range values for logarithmic scales (/GROPT, LOGY).

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Style>Graphs>Modify Axes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Y Commands 		Up / Home Next
Z Commands


Z Commands

Table of Contents

/ZOOM - Zooms a region of a display window.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/YRANGE 		Up / Home Next
/ZOOM


/ZOOM

Release 11.0 Documentation for ANSYS

Commands Reference | Z Commands |

/ZOOM, WN, Lab, X1, Y1, X2, Y2

Zooms a region of a display window.

GRAPHICS: Views

MP ME ST PR PRN <> <> FL EM <> <> PP <>

WN

Window number to which command applies (defaults to 1).

Lab

Label to define the desired type of zoom:

OFF
 —

Turns zoom off (refits image of entire model to the window).

BACK
 —

Goes back to previous zoom setting (five successive back ups, maximum).

SCRN
 —

Interprets X1,Y1 as the screen coordinates of the center of a square zoom region; X2,Y2 as the screen coordinates of a point on one side of that square.

RECT
 —

Interprets X1,Y1 and X2,Y2 as the screen coordinates of two opposite corners of a rectangular zoom region.

Notes

Zooms (centers and magnifies) the specified region of a display window. /ZOOM will operate on a display that has been formed by an explicit graphics action command (APLOT, EPLOT, etc.). /ZOOM has no effect on an "immediate" graphics display. When /ZOOM is executed, the display is automatically replotted such that the specified zoom region is centered and sized to fill the window.

Auto resizing is disabled when you issue the /ZOOM command. To restore auto resizing, issue the /AUTO command, or select FIT from the Pan, Zoom, Rotate box.

This command is valid in any processor.

Menu Paths

Utility Menu>PlotCtrls>Pan, Zoom, Rotate

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Z Commands 		Up / Home Next
Elements Reference


Elements Reference

Release 11.0 Documentation for ANSYS

Table of Contents

1. About This Manual
1.1. Conventions Used in this Manual
1.1.1. Product Codes
1.1.2. Applicable ANSYS Products
1.2. ANSYS Product Capabilities
2. General Element Features
2.1. Element Input
2.1.1. Element Name
2.1.2. Nodes
2.1.3. Degrees of Freedom
2.1.4. Real Constants
2.1.5. Material Properties
2.1.6. Surface Loads
2.1.7. Body Loads
2.1.8. Special Features
2.1.9. KEYOPTS
2.2. Solution Output
2.2.1. Nodal Solution
2.2.2. Element Solution
2.3. Coordinate Systems
2.3.1. Element Coordinate Systems
2.3.2. Elements that Operate in the Nodal Coordinate System
2.4. Linear Material Properties
2.5. Data Tables - Implicit Analysis
2.5.1. GUI-Inaccessible Material Properties
2.5.2. Nonlinear Stress-Strain Materials
2.5.3. Hyperelastic Material Constants
2.5.4. Viscoelastic Material Constants
2.5.5. Magnetic Materials
2.5.6. High-Frequency Electromagnetic Materials
2.5.7. Anisotropic Elastic Materials
2.5.8. Piezoelectric Materials
2.5.9. Piezoresistive Materials
2.5.10. Anisotropic Electric Permittivity Materials
2.5.11. Rate-Dependent Plastic (Viscoplastic) Materials
2.5.12. Gasket Materials
2.5.13. Creep Equations
2.5.14. Shape Memory Alloys
2.5.15. Swelling Equations
2.5.16. MPC184 Joint Materials
2.5.17. Contact Friction
2.5.18. Cohesive Zone Materials
2.6. Material Model Combinations
2.7. Explicit Dynamics Materials
2.8. Node and Element Loads
2.9. Triangle, Prism and Tetrahedral Elements
2.10. Shell Elements
2.11. Generalized Plane Strain Option of 18x Solid Elements
2.12. Axisymmetric Elements
2.13. Axisymmetric Elements with Nonaxisymmetric Loads
2.14. Shear Deflection
2.15. Geometric Nonlinearities
2.16. Mixed u-P Formulation Elements
2.16.1. Element Technologies
2.16.2. 18x Mixed u-P Elements
2.16.3. Applications of Mixed u-P Formulations
2.16.4. Overconstrained Models and No Unique Solution
2.17. Legacy vs. Current Element Technologies
2.18. Automatic Selection of Element Technologies
3. Element Characteristics
3.1. Element Classifications
3.2. Pictorial Summary
3.3. GUI-Inaccessible Elements
I. Element Library
4. Element Library
LINK1 - 2-D Spar (or Truss)
BEAM3 - 2-D Elastic Beam
BEAM4 - 3-D Elastic Beam
SOLID5 - 3-D Coupled-Field Solid
COMBIN7 - Revolute Joint
LINK8 - 3-D Spar (or Truss)
INFIN9 - 2-D Infinite Boundary
LINK10 - Tension-only or Compression-only Spar
LINK11 - Linear Actuator
CONTAC12 - 2-D Point-to-Point Contact
PLANE13 - 2-D Coupled-Field Solid
COMBIN14 - Spring-Damper
PIPE16 - Elastic Straight Pipe
PIPE17 - Elastic Pipe Tee
PIPE18 - Elastic Curved Pipe
PIPE20 - Plastic Straight Thin-Walled Pipe
MASS21 - Structural Mass
BEAM23 - 2-D Plastic Beam
BEAM24 - 3-D Thin-walled Beam
PLANE25 - Axisymmetric-Harmonic 4-Node Structural Solid
MATRIX27 - Stiffness, Damping, or Mass Matrix
SHELL28 - Shear/Twist Panel
FLUID29 - 2-D Axisymmetric Harmonic Acoustic Fluid
FLUID30 - 3-D Acoustic Fluid
LINK31 - Radiation Link
LINK32 - 2-D Conduction Bar
LINK33 - 3-D Conduction Bar
LINK34 - Convection Link
PLANE35 - 2-D 6-Node Triangular Thermal Solid
SOURC36 - Current Source
COMBIN37 - Control
FLUID38 - Dynamic Fluid Coupling
COMBIN39 - Nonlinear Spring
COMBIN40 - Combination
SHELL41 - Membrane Shell
PLANE42 - 2-D Structural Solid
SHELL43 - 4-Node Plastic Large Strain Shell
BEAM44 - 3-D Elastic Tapered Unsymmetric Beam
SOLID45 - 3-D Structural Solid
SOLID46 - 3-D 8-Node Layered Structural Solid
INFIN47 - 3-D Infinite Boundary
MATRIX50 - Superelement (or Substructure)
CONTAC52 - 3-D Point-to-Point Contact
PLANE53 - 2-D 8-Node Magnetic Solid
BEAM54 - 2-D Elastic Tapered Unsymmetric Beam
PLANE55 - 2-D Thermal Solid
SHELL57 - Thermal Shell
PIPE59 - Immersed Pipe or Cable
PIPE60 - Plastic Curved Thin-Walled Pipe
SHELL61 - Axisymmetric-Harmonic Structural Shell
SOLID62 - 3-D Magneto-Structural Solid
SHELL63 - Elastic Shell
SOLID65 - 3-D Reinforced Concrete Solid
PLANE67 - 2-D Coupled Thermal-Electric Solid
LINK68 - Coupled Thermal-Electric Line
SOLID69 - 3-D Coupled Thermal-Electric Solid
SOLID70 - 3-D Thermal Solid
MASS71 - Thermal Mass
PLANE75 - Axisymmetric-Harmonic 4-Node Thermal Solid
PLANE77 - 2-D 8-Node Thermal Solid
PLANE78 - Axisymmetric-Harmonic 8-Node Thermal Solid
FLUID79 - 2-D Contained Fluid
FLUID80 - 3-D Contained Fluid
FLUID81 - Axisymmetric-Harmonic Contained Fluid
PLANE82 - 2-D 8-Node Structural Solid
PLANE83 - Axisymmetric-Harmonic 8-Node Structural Solid
SOLID87 - 3-D 10-Node Tetrahedral Thermal Solid
VISCO88 - 2-D 8-Node Viscoelastic Solid
VISCO89 - 3-D 20-Node Viscoelastic Solid
SOLID90 - 3-D 20-Node Thermal Solid
SHELL91 - Nonlinear Layered Structural Shell
SOLID92 - 3-D 10-Node Tetrahedral Structural Solid
SHELL93 - 8-Node Structural Shell
CIRCU94 - Piezoelectric Circuit
SOLID95 - 3-D 20-Node Structural Solid
SOLID96 - 3-D Magnetic Scalar Solid
SOLID97 - 3-D Magnetic Solid
SOLID98 - Tetrahedral Coupled-Field Solid
SHELL99 - Linear Layered Structural Shell
VISCO106 - 2-D 4-Node Viscoplastic Solid
VISCO107 - 3-D 8-Node Viscoplastic Solid
VISCO108 - 2-D 8-Node Viscoplastic Solid
TRANS109 - 2-D Electromechanical Transducer
INFIN110 - 2-D Infinite Solid
INFIN111 - 3-D Infinite Solid
INTER115 - 3-D Magnetic Interface
FLUID116 - Coupled Thermal-Fluid Pipe
SOLID117 - 3-D 20-Node Magnetic Solid
HF118 - 2-D High-Frequency Quadrilateral Solid
HF119 - 3-D High-Frequency Tetrahedral Solid
HF120 - 3-D High-Frequency Brick Solid
PLANE121 - 2-D 8-Node Electrostatic Solid
SOLID122 - 3-D 20-Node Electrostatic Solid
SOLID123 - 3-D 10-Node Tetrahedral Electrostatic Solid
CIRCU124 - Electric Circuit
CIRCU125 - Diode
TRANS126 - Electromechanical Transducer
SOLID127 - 3-D Tetrahedral Electrostatic Solid p-Element
SOLID128 - 3-D Brick Electrostatic Solid p-Element
FLUID129 - 2-D Infinite Acoustic
FLUID130 - 3-D Infinite Acoustic
SHELL131 - 4-Node Layered Thermal Shell
SHELL132 - 8-Node Layered Thermal Shell
FLUID136 - 3-D Squeeze Film Fluid Element
FLUID138 - 3-D Viscous Fluid Link Element
FLUID139 - 3-D Slide Film Fluid Element
FLUID141 - 2-D Fluid-Thermal
FLUID142 - 3-D Fluid-Thermal
ROM144 - Reduced Order Electrostatic-Structural
PLANE145 - 2-D Quadrilateral Structural Solid p-Element
PLANE146 - 2-D Triangular Structural Solid p-Element
SOLID147 - 3-D Brick Structural Solid p-Element
SOLID148 - 3-D Tetrahedral Structural Solid p-Element
SHELL150 - 8-Node Structural Shell p-Element
SURF151 - 2-D Thermal Surface Effect
SURF152 - 3-D Thermal Surface Effect
SURF153 - 2-D Structural Surface Effect
SURF154 - 3-D Structural Surface Effect
SURF156 - 3-D Structural Surface Line Load Effect
SHELL157 - Thermal-Electric Shell
LINK160 - Explicit 3-D Spar (or Truss)
BEAM161 - Explicit 3-D Beam
PLANE162 - Explicit 2-D Structural Solid
SHELL163 - Explicit Thin Structural Shell
SOLID164 - Explicit 3-D Structural Solid
COMBI165 - Explicit Spring-Damper
MASS166 - Explicit 3-D Structural Mass
LINK167 - Explicit Tension-Only Spar
SOLID168 - Explicit 3-D 10-Node Tetrahedral Structural Solid
TARGE169 - 2-D Target Segment
TARGE170 - 3-D Target Segment
CONTA171 - 2-D 2-Node Surface-to-Surface Contact
CONTA172 - 2-D 3-Node Surface-to-Surface Contact
CONTA173 - 3-D 4-Node Surface-to-Surface Contact
CONTA174 - 3-D 8-Node Surface-to-Surface Contact
CONTA175 - 2-D/3-D Node-to-Surface Contact
CONTA176 - 3-D Line-to-Line Contact
CONTA177 - 3-D Line-to-Surface Contact
CONTA178 - 3-D Node-to-Node Contact
PRETS179 - Pretension
LINK180 - 3-D Finite Strain Spar (or Truss)
SHELL181 - 4-Node Finite Strain Shell
PLANE182 - 2-D 4-Node Structural Solid
PLANE183 - 2-D 8-Node or 6-Node Structural Solid
MPC184 - Multipoint Constraint Element
MPC184-Link/Beam - Multipoint Constraint Element: Rigid Link or Rigid Beam
MPC184-Slider - Multipoint Constraint Element: Slider
MPC184-Revolute - Multipoint Constraint Element: Revolute Joint
MPC184-Universal - Multipoint Constraint Element: Universal Joint
MPC184-Slot - Multipoint Constraint Element: Slot Joint
MPC184-Point - Multipoint Constraint Element: Point-in-plane Joint
MPC184-Translational - Multipoint Constraint Element: Translational Joint
MPC184-Cylindrical - Multipoint Constraint Element: Cylindrical Joint
MPC184-Planar - Multipoint Constraint Element: Planar Joint
MPC184-Weld - Multipoint Constraint Element: Weld Joint
MPC184-Orient - Multipoint Constraint Element: Orient Joint
MPC184-Spherical - Multipoint Constraint Element: Spherical Joint
MPC184-General - Multipoint Constraint Element: General Joint
SOLID185 - 3-D 8-Node Structural Solid or Layered Solid
SOLID186 - 3-D 20-Node Structural Solid or Layered Solid
SOLID187 - 3-D 10-Node Tetrahedral Structural Solid
BEAM188 - 3-D Linear Finite Strain Beam
BEAM189 - 3-D Quadratic Finite Strain Beam
SOLSH190 - 3-D 8-Node Layered Solid Shell
SOLID191 - 3-D 20-Node Layered Structural Solid
INTER192 - 2-D 4-Node Gasket
INTER193 - 2-D 6-Node Gasket
INTER194 - 3-D 16-Node Gasket
INTER195 - 3-D 8-Node Gasket
MESH200 - Meshing Facet
FOLLW201 - Follower Load
INTER202 - 2-D 4-Node Cohesive Zone
INTER203 - 2-D 6-Node Cohesive Zone
INTER204 - 3-D 16-Node Cohesive Zone
INTER205 - 3-D 8-Node Cohesive Zone
SHELL208 - 2-Node Finite Strain Axisymmetric Shell
SHELL209 - 3-Node Finite Strain Axisymmetric Shell
COMBI214 - 2-D Spring-Damper Bearing
PLANE223 - 2-D 8-Node Coupled-Field Solid
SOLID226 - 3-D 20-Node Coupled-Field Solid
SOLID227 - 3-D 10-Node Coupled-Field Solid
PLANE230 - 2-D 8-Node Electric Solid
SOLID231 - 3-D 20-Node Electric Solid
SOLID232 - 3-D 10-Node Tetrahedral Electric Solid
SURF251 - 2-D Radiosity Surface
SURF252 - 3-D Thermal Radiosity Surface
REINF265 - 3-D Smeared Reinforcing
SHELL281 - 8-Node Finite Strain Shell
Bibliography

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/ZOOM 		Up / Home Next
Chapter 1. About This Manual


Chapter 1. About This Manual

Welcome to the Elements Reference. This manual contains a complete library of detailed ANSYS element descriptions, arranged in order by element number. It is the definitive reference for element documentation.

The Elements Reference is intended to give you information on individual ANSYS elements. See "General Element Features" for detailed information on the features included in element documentation. See "Element Characteristics" for lists of element characteristics.

This manual is not intended to be your primary source of procedural information - look in the appropriate analysis guides for introductory and procedural guidelines.

The following Elements Reference topics are available:

  • Conventions Used in this Manual
  • ANSYS Product Capabilities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Elements Reference 		Up / Home Next
1.1. Conventions Used in this Manual


1.1. Conventions Used in this Manual

ANSYS manuals use the following conventions to help you identify various types of information:

Type style or text | Indicates
BOLD | Uppercase, bold text indicates command names (such as K, DDELE) or elements (LINK1).
Bold>Bold | Bold text in mixed case indicates a GUI menu path, which is a series of menu picks used to access a command from the GUI. One or more angle brackets (>) separate menu items in a menu path. Frequently in text, an ANSYS command is followed by its GUI equivalent in parentheses: the *GET command (Utility Menu> Parameters> Get Scalar Data)
ITALICS | Uppercase italic letters indicate command arguments for numeric values (such as VALUE, INC, TIME). On some commands, non-numeric convenience labels (for example, ALL and P) can also be entered for these arguments.
Italics | Mixed case italic letters indicate command arguments for alphanumeric values (for example, Lab or Fname). The manual also uses italic text for emphasis.
TYPEWRITER | Typewriter font indicates command input listings and ANSYS output listings.
Note-- | This text introduces note paragraphs. A note contains information that supplements the main topic being discussed.

Any mention of a command or element name in this volume implies a reference to the appropriate command or element description (in the Commands Reference or Elements Reference manuals, respectively) for more detailed information.

1.1.1. Product Codes

Near the top of the first page of each element description, you will see a list of product codes. These codes represent the products in the ANSYS Family of Products. The element is valid only for those products whose symbols are listed. An element that is valid in the entire set of products would have the following list of products:

MP ME ST PR PRN DS DSS FL EM EH DY PP VT

The codes represent each of the products in the ANSYS suite of products:

Code | Product | Code | Product
MP | ANSYS Multiphysics | EM | ANSYS Emag - Low Frequency
ME | ANSYS Mechanical | EH | ANSYS Emag - High Frequency
ST | ANSYS Structural | FL | ANSYS FLOTRAN
PR | ANSYS Professional - Nonlinear Thermal | DS | ANSYS DesignSpace
PRN | ANSYS Professional - Nonlinear Structural | DSS | ANSYS DesignSpace - Structural
DY | ANSYS LS-DYNA | PP | ANSYS PrepPost
VT | ANSYS DesignXplorer |  |

For a brief description of each product, see Applicable ANSYS Products.

If the symbol for a product does not appear, then that element is either not valid or not applicable in the corresponding product, and should not be used. For example, if the PR and FL symbols are not listed, the pertinent element is not valid in the ANSYS Professional or ANSYS FLOTRAN products, but is valid in each of the remaining ANSYS products.

In most cases, commands and elements that are valid in ANSYS Multiphysics are also valid in the ANSYS ED and ANSYS Multiphysics 1, 2, and 3 products. Exceptions are noted under Product Restrictions for the applicable command or element. ANSYS ED and ANSYS Multiphysics 1, 2, and 3 are not listed as separate product codes.

1.1.2. Applicable ANSYS Products

This manual applies to the following ANSYS products:

ANSYS Multiphysics (includes all structural, thermal, electromagnetics, and computational fluid dynamics (CFD) capabilities, excludes explicit dynamics)
ANSYS Mechanical (includes all structural and thermal capabilities; excludes electromagnetics, CFD, and explicit dynamics capabilities)
ANSYS Structural (includes all structural linear and nonlinear capabilities)
ANSYS Professional (Nonlinear Thermal and Nonlinear Structural)
ANSYS Emag (Low Frequency and High Frequency)
ANSYS FLOTRAN
ANSYS LS-DYNA
ANSYS PrepPost
ANSYS ED

Some command arguments and element KEYOPT settings have defaults in the derived products that are different from those in ANSYS Multiphysics. These cases are clearly documented under the Product Restrictions section of the affected commands and elements. If you plan to use your derived product input file in ANSYS Multiphysics, you should explicitly input these settings in the derived product, rather than letting them default; otherwise, behavior in ANSYS Multiphysics will be different.

Note

While ANSYS connection capabilities, High Performance Computing, and ANSYS LSF/Batch are included as part of the ANSYS release distribution, they are separately-licensed products. Consult your ASD if you want to install and run any of the separately-licensed products at your site.

Even though an element may be available in a particular product, some of its options may not be. Most element descriptions contain a Product Restrictions section which details the specific restrictions the element has in each of the products.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 1. About This Manual 		Up / Home Next
1.2. ANSYS Product Capabilities


1.2. ANSYS Product Capabilities

A complete list of engineering capabilities available in the various ANSYS products can be found on our website at http://www.ansys.com/assets/brochures/capabilities-brochure.pdf.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.1. Conventions Used in this Manual 		Up / Home Next
Chapter 2. General Element Features


Chapter 2. General Element Features

The ANSYS element library consists of more than 100 different element formulations or types. (Not all element types or features are available in all ANSYS products. These restrictions are detailed in Section 4.n.4, "Product Restrictions," for each element.)

Many features are common to all ANSYS elements in the element library. These features are discussed in this chapter. The individual elements are described in "Element Library".

The following element feature topics are available:

  • Element Input
  • Solution Output
  • Coordinate Systems
  • Linear Material Properties
  • Data Tables - Implicit Analysis
  • Material Model Combinations
  • Explicit Dynamics Materials
  • Node and Element Loads
  • Triangle, Prism and Tetrahedral Elements
  • Shell Elements
  • Generalized Plane Strain Option of 18x Solid Elements
  • Axisymmetric Elements
  • Axisymmetric Elements with Nonaxisymmetric Loads
  • Shear Deflection
  • Geometric Nonlinearities
  • Mixed u-P Formulation Elements
  • Legacy vs. Current Element Technologies
  • Automatic Selection of Element Technologies

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.2. ANSYS Product Capabilities 		Up / Home Next
2.1. Element Input


2.1. Element Input

"Element Library" includes a summary table of element input. See "BEAM3 Input Summary" for a sample input data table. This table usually contains the following items:

Element Name
Nodes
Degrees of Freedom
Real Constants
Material Properties
Surface Loads
Body Loads
Special Features
KEYOPTS

Details on these items follow:

2.1.1. Element Name

An element type is identified by a name (8 characters maximum), such as BEAM3, consisting of a group label (BEAM) and a unique, identifying number (3). The element descriptions in "Element Library" are arranged in order of these identification numbers. The element is selected from the library for use in the analysis by inputting its name on the element type command [ET]. See "Element Characteristics" for a list of all available elements.

2.1.2. Nodes

The nodes associated with the element are listed as I, J, K, etc. Elements are connected to the nodes in the sequence and orientation shown on the input figure for each element type. This connectivity can be defined by automatic meshing, or may be input directly by the user with the E command. The node numbers must correspond to the order indicated in the "Nodes" list. The I node is the first node of the element. The node order determines the element coordinate system orientation for some element types. See Coordinate Systems for a description of the element coordinate system.

2.1.3. Degrees of Freedom

Each element type has a degree of freedom set, which constitute the primary nodal unknowns to be determined by the analysis. They may be displacements, rotations, temperatures, pressures, voltages, etc. Derived results, such as stresses, heat flows, etc., are computed from these degree of freedom results. Degrees of freedom are not defined on the nodes explicitly by the user, but rather are implied by the element types attached to them. The choice of element types is therefore, an important one in any ANSYS analysis.

2.1.4. Real Constants

Data which are required for the calculation of the element matrix, but which cannot be determined from the node locations or material properties, are input as "real constants." Typical real constants include area, thickness, inner diameter, outer diameter, etc. A basic description of the real constants is given with each element type. The Theory Reference for ANSYS and ANSYS Workbench section describing each element type shows how the real constants are used within the element. The real constants are input with the R command. The real constant values input on the command must correspond to the order indicated in the "Real Constants" list.

2.1.5. Material Properties

Various material properties are used for each element type. Typical material properties include Young's modulus (of elasticity), density, coefficient of thermal expansion, thermal conductivity, etc. Each property is referenced by an ANSYS label - EX, EY, and EZ for the directional components of Young's modulus, DENS for density, and so on. All material properties can be input as functions of temperature.

Some properties for non-thermal analyses are called linear properties because typical solutions with these properties require only a single iteration. Properties such as stress-strain data are called nonlinear because an analysis with these properties requires an iterative solution. A basic description of the linear material properties is given in Linear Material Properties and of the nonlinear properties in Data Tables - Implicit Analysis. Linear material properties are input with the MP family of commands while nonlinear properties are input with the TB family of commands. Some elements require other special data which need to be input in tabular form. These tabular data are also input with the TB commands and are described with the element in "Element Library", or in Data Tables - Implicit Analysis if they apply to a family of elements. The Theory Reference for ANSYS and ANSYS Workbench shows how the properties and special data are actually used within the element.

Material models used in explicit dynamic analyses are discussed in Material Models in the ANSYS LS-DYNA User's Guide.

2.1.6. Surface Loads

Various element types allow surface loads. Surface loads are typically pressures for structural element types, convections or heat fluxes for thermal element types, etc. See Node and Element Loads for additional details.

2.1.7. Body Loads

Various element types allow body loads. Body loads are typically temperatures for structural element types, heat generation rates for thermal element types, etc. See Node and Element Loads for details. Body loads are designated in the "Input Summary" table of each element by a label and a list of load values at various locations within the element. For example, for element type PLANE42, the body load list of "Temperatures: T(I), T(J), T(K), T(L)" indicates that temperature body loads are allowed at the I, J, K, and L node locations of the element. Body loads are input with the BF or BFE commands. The load values input on the BFE command must correspond to the order indicated in the "Body Load" list.

2.1.8. Special Features

The keywords in the "Special Features" list indicate that certain additional capabilities are available for the element. Most often these features make the element nonlinear and require that an iterative solution be done. For a description of the special feature "Plasticity," see Nonlinear Stress-Strain Materials; for "Creep," see Creep Equations; and for "Swelling," see Swelling Equations. See Nonlinear Structural Analysis in the Structural Analysis Guide and the Theory Reference for ANSYS and ANSYS Workbench for information about "Large Deflection," "Large Strain," "Stress Stiffening," "Adaptive Descent," "Error Estimation," "Birth and Death," "Hyperelasticity," and "Viscoelasticity."

2.1.9. KEYOPTS

KEYOPTS (or key options) are switches, used to turn various element options on or off. KEYOPT options include stiffness formulation choices, printout controls, element coordinate system choices, etc. A basic description of the KEYOPTS is given with each element type. The Theory Reference for ANSYS and ANSYS Workbench section for the element type shows how some of the KEYOPTS are used within the element. KEYOPTS are identified by number, such as KEYOPT(1), KEYOPT(2), etc., with each numbered KEYOPT able to be set to a specific value. Values for the first six KEYOPTS (KEYOPT(1) through KEYOPT(6)) may be input with the ET or KEYOPT commands. Values for KEYOPT(7) or greater on any element are input with the KEYOPT command.

Note

The defaults for element key options are chosen to be most convenient for the ANSYS product you are using, which means that some of the defaults may be different in some of the ANSYS products. These cases are clearly documented under the "Product Restrictions" section of the affected elements. If you plan to use your input file in more than one ANSYS product, you should explicitly input these settings, rather than letting them default; otherwise, behavior in the other ANSYS product may be different.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 2. General Element Features 		Up / Home Next
2.2. Solution Output


2.2. Solution Output

The output from the solution consists of the nodal solution (or the primary degree of freedom solution) and the element solution (or the derived solution). Each of these solutions is described below. Solution output is written to the output file (Jobname.OUT, also known as the "printout"), the database, and the results file (Jobname.RST, Jobname.RTH, Jobname.RMG, or Jobname.RFL). The output file can be viewed through the GUI, while the database and results file data (sometimes called the "post data") can be postprocessed.

The output file contains the nodal DOF solution, nodal and reaction loads, and the element solutions, depending on the OUTPR settings. The element solutions are primarily the centroidal solution values for each element. Most elements have KEYOPTS to output more information (e.g. integration points).

The results file contains data for all requested [OUTRES] solutions, or load steps. In POST1, you issue the SET command to identify the load step you wish to postprocess. Results items for the area and volume elements are generally retrieved from the database by commands such as PRNSOL, PLNSOL, PRESOL, PLESOL, etc. The labels on these commands correspond to the labels shown in the input and output description tables for each element (such as "PLANE42 Input Summary" and Table 42.1: "PLANE42 Element Output Definitions" for PLANE42). For example, postprocessing the X-stress (typically labeled SX) is identified as item S and component X on the postprocessing commands. Coordinate locations XC, YC, ZC are identified as item CENT and component X, Y, or Z. Only items shown both on the individual command and in the element input/output tables are available for use with that command. An exception is EPTO, the total strain, which is available for all structural solid and shell elements even though it is not shown in the output description tables for those elements.

Generic labels do not exist for some results data, such as integration point data, all derived data for structural line elements (such as spars, beams, and pipes) and contact elements, all derived data for thermal line elements, and layer data for layered elements. Instead, a sequence number is used to identify these items (described below).

2.2.1. Nodal Solution

The nodal solution from an analysis consists of:

  • the degree of freedom (DOF) solution, such as nodal displacements, temperatures, and pressures

  • the reaction solution calculated at constrained nodes - forces at displacement constraints, heat flows at temperature DOF constraints, fluid flows at pressure DOF constraints, and so on.

The DOF solution is calculated for all active degrees of freedom in the model, which are determined by the union of all DOF labels associated with all the active element types. It is output at all degrees of freedom that have a nonzero stiffness or conductivity and can be controlled by OUTPR,NSOL (for printed output) and OUTRES,NSOL (for results file output).

The reaction solution is calculated at all nodes that are constrained (D, DSYM, etc.). Its output can be controlled by OUTPR,RSOL and OUTRES,RSOL.

For vector degrees of freedom and corresponding reactions, the output during solution is in the nodal coordinate system. If a node was input with a rotated nodal coordinate system, the output nodal solution will also be in the rotated coordinate system. For a node with the rotation θxy = 90°, the printed UX solution will be in the nodal X direction, which in this case corresponds to the global Y direction. Rotational displacements (ROTX, ROTY, ROTZ) are output in radians, and phase angles from a harmonic analysis are output in degrees.

2.2.2. Element Solution

The element output items (and their definitions) are shown along with the element type description. Not all of the items shown in the output table will appear at all times for the element. Normally, items not appearing are either not applicable to the solution or have all zero results and are suppressed to save space. However, except for the coupled-field elements PLANE223, SOLID226, and SOLID227, coupled-field forces appear if they are computed to be zero. The output is, in some cases, dependent on the input. For example, for thermal elements accepting either surface convection (CONV) or nodal heat flux (HFLUX), the output will be either in terms of convection or heat flux. Most of the output items shown appear in the element solution listing. Some items do not appear in the solution listing but are written to the results file.

Most elements have 2 tables which describe the output data and ways to access that data for the element. These tables are the "Element Output Definitions" table and the "Item and Sequence Numbers" tables used for accessing data through the ETABLE and ESOL commands.

2.2.2.1. The Element Output Definitions Table

The first table, "Element Output Definitions," describes possible output for the element. In addition, this table outlines which data are available for solution printout (Jobname.OUT and/or display to the terminal), and which data are available on the results file (Jobname.RST, Jobname.RTH, Jobname.RMG, etc.). It's important to remember that only the data which you request with the solution commands OUTPR and OUTRES are included in printout and on the results file, respectively. See Table 3.1: "BEAM3 Element Output Definitions" for a sample element output definitions table. As an added convenience, items in this table which are available through the Component Name method of the ETABLE command are identified by special notation (:) included in the output label. See The General Postprocessor (POST1) in the Basic Analysis Guide for more information. The label portion before the colon corresponds to the Item field on the ETABLE command, and the portion after the colon corresponds to the Comp field. For example, S:EQV is defined as equivalent stress, and the ETABLE command for accessing this data would be:

ETABLE,ABC,S,EQV

where ABC is a user-defined label for future identification on listings and displays. Other data having labels without colons can be accessed through the Sequence Number method, discussed with the "Item and Sequence Number" tables below.

In some cases there is more than one label which can be used after the colon, in which case they are listed and separated by commas. The Definition column defines each label and, in some instances, also lists the label used on the printout, if different. The O column indicates those items which are written to the output window and/or the output file. The R column indicates items which are written to the results file and which can be obtained in postprocessing.

Note

If an item is not marked in the R column, it cannot be stored in the "element table."

2.2.2.2. The Item and Sequence Number Table

Many elements also have a table, or set of tables, that list the Item and sequence number required for data access using the Sequence Number method of the ETABLE command. See The General Postprocessor (POST1) in the Basic Analysis Guide for an example. The number of columns in each table and the number of tables per element vary depending on the type of data available and the number of locations on the element where data was calculated. For structural line elements, for example, the KEYOPT(9) setting will determine the number of locations (intermediate points) along the element where data is to be calculated.

For example, assume we want to determine the sequence number required to access the member moment in the Z direction (MMOMZ) for a BEAM3 element. Assume also that the data we want to obtain is at end J, and that KEYOPT(9) = 1, that is, data has also been calculated at one intermediate location. See Table 3.4: "BEAM3 Item and Sequence Numbers (KEYOPT(9) = 3)" for a sample item and sequence numbers table. Locate MMOMZ under the "Name" column. Notice that the Item is listed as SMISC. SMISC refers to summable miscellaneous items, while NMISC refers to nonsummable miscellaneous items (see the Basic Analysis Guide for more details). Follow across the row until you find the sequence number, 18, in the J column. The correct command to move MMOMZ at end J for BEAM3 (KEYOPT(9) = 1) to the element table is:

ETABLE,ABC,SMISC,18

ABC is a user-defined label for later identification on listings and displays.

2.2.2.3. Surface Loads

Pressure output for structural elements shows the input pressures expanded to the element's full tapered-load capability. See the SF, SFE, and SFBEAM commands for pressure input. For example, for element type PLANE42, which has an input load list of "Pressures: Face 1 (J-I), Face 2 (K-J), Face 3 (L-K), Face 4 (I-L)," the output PRESSURE line expands the pressures to P1(J), P1(I); P2(K), P2(J); P3(L), P3(K); and P4(I), P4(L). P1(J) should be interpreted as the pressure for load key 1 (the pressure normal to face 1) at node J; P1(I) is load key 1 at node I; etc. If the pressure is input as a constant instead of tapered, both nodal values of the pressure will be the same. Beam elements which allow an offset from the node have addition output labeled OFFST. To save space, pressure output is often omitted when values are zero. Similarly, other surface load items (such as convection (CONV) and heat flux (HFLUX)), and body load input items (such as temperature (TEMP), fluence (FLUE), and heat generation (HGEN)), are often omitted when the values are zero (or, for temperatures, when the T-TREF values are zero).

2.2.2.4. Centroidal Solution [output listing only]

Output such as stress, strain, temperature, etc. in the output listing is given at the centroid (or near center) of the element. The location of the centroid is updated if large deflections are used. The output quantities are calculated as the average of the integration point values (see the Theory Reference for ANSYS and ANSYS Workbench). The component output directions for vector quantities correspond to the input material directions which, in turn, are a function of the element coordinate system. For example, the SX stress is in the same direction as EX. In postprocessing, ETABLE may be used to compute the centroidal solution of each element from its nodal values.

2.2.2.5. Surface Solution

Surface output is available in the output listing on certain free surfaces of solid elements. A free surface is a surface not connected to any other element and not having any DOF constraint or nodal force load on the surface. Surface output is not valid on surfaces which are not free or for elements having nonlinear material properties. Surface output is also not valid for elements deactivated [EKILL] and then reactivated [EALIVE]. Surface output does not include large strain effects.

The surface output is automatically suppressed if the element has nonlinear material properties. Surface calculations are of the same accuracy as the displacement calculations. Values are not extrapolated to the surface from the integration points but are calculated from the nodal displacements, face load, and the material property relationships. Transverse surface shear stresses are assumed to be zero. The surface normal stress is set equal to the surface pressure. Surface output should not be requested on condensed faces or on the zero-radius face (center line) of an axisymmetric model.

For 3-D solid elements, the face coordinate system has the x-axis in the same general direction as the first two nodes of the face, as defined with pressure loading. The exact direction of the x-axis is on the line connecting the midside nodes or midpoints of the two opposite edges. The y-axis is normal to the x-axis, in the plane of the face.

Table 2.1: "Output Available through ETABLE" lists output available through the ETABLE command using the Sequence Number method (Item = SURF). See the appropriate table (4.xx.2) in the individual element descriptions for definitions of the output quantities.

Table 2.1 Output Available through ETABLE

 | Element Dimensionality
snum | 3-D | 2-D | Axisymm
1 | FACE | FACE | FACE
2 | AREA | AREA | AREA
3 | TEMP | TEMP | TEMP
4 | PRES | PRES | PRES
5 | EPX | EPPAR | EPPAR
6 | EPY | EPPER | EPPER
7 | EPZ | EPZ | EPZ
8 | EPXY | 0 | EPSH [1]
9 | SX | SPAR | SPAR
10 | SY | SPER | SPER
11 | SZ | SZ | SZ
12 | SXY | 0 | 0
13 | 0 | 0 | 0
14 | 0 | 0 | SSH [1]
15 | S1 | S1 | S1
16 | S2 | S2 | S2
17 | S3 | S3 | S3
18 | SINT | SINT | SINT
19 | SEQV | SEQV | SEQV

  1. Axiharmonic only

If an additional face has surface output requested, then snum 1-19 are repeated as snum 20-38.

Convection heat flow output may be given on convection surfaces of solid thermal elements. Output is valid on interior as well as exterior surfaces. Convection conditions should not be defined on condensed faces or on the zero-radius face (center line) of an axisymmetric model.

2.2.2.6. Integration Point Solution [output listing only]

Integration point output is available in the output listing with certain elements. The location of the integration point is updated if large deflections are used. See the element descriptions in the Theory Reference for ANSYS and ANSYS Workbench for details about integration point locations and output. Also the ERESX command may be used to request integration point data to be written as nodal data on the results file.

2.2.2.7. Element Nodal Solution

The term element nodal means element data reported for each element at its nodes. This type of output is available for 2-D and 3-D solid elements, shell elements, and various other elements. Element nodal data consist of the element derived data (e.g. strains, stresses, fluxes, gradients, etc.) evaluated at each of the element's nodes. These data are usually calculated at the interior integration points and then extrapolated to the nodes. Exceptions occur if an element has active (nonzero) plasticity, creep, or swelling at an integration point or if ERESX,NO is input. In such cases the nodal solution is the value at the integration point nearest the node. See the Theory Reference for ANSYS and ANSYS Workbench for details. Output is usually in the element coordinate system. Averaging of the nodal data from adjacent elements is done within POST1.

2.2.2.8. Element Nodal Loads

These are an element's loads (forces) acting on each of its nodes. They are printed out at the end of each element output in the nodal coordinate system and are labeled as static loads. If the problem is dynamic, the damping loads and inertia loads are also printed. The output of element nodal loads can be controlled by OUTPR,NLOAD (for printed output) and OUTRES,NLOAD (for results file output).

Element nodal loads relate to the reaction solution in the following way: the sum of the static, damping, and inertia loads at a particular degree of freedom, summed over all elements connected to that degree of freedom, plus the applied nodal load (F or FK command), is equal to the negative of the reaction solution at that same degree of freedom.

2.2.2.9. Nonlinear Solution

For information about nonlinear solution due to material nonlinearities, see the Theory Reference for ANSYS and ANSYS Workbench. Nonlinear strain data (EPPL, EPCR, EPSW, etc.) is always the value from the nearest integration point. If creep is present, stresses are computed after the plasticity correction but before the creep correction. The elastic strains are printed after the creep corrections.

2.2.2.10. Plane and Axisymmetric Solutions

A 2-D solid analysis is based upon a "per unit of depth" calculation and all appropriate output data are on a "per unit of depth" basis. Many 2-D solids, however, allow an option to specify the depth (thickness). A 2-D axisymmetric analysis is based on a full 360°. Calculation and all appropriate output data are on a full 360° basis. In particular, the total forces for the 360° model are output for an axisymmetric structural analysis and the total convection heat flow for the 360° model is output for an axisymmetric thermal analysis. For axisymmetric analyses, the X, Y, Z, and XY stresses and strains correspond to the radial, axial, hoop, and in-plane shear stresses and strains, respectively. The global Y axis must be the axis of symmetry, and the structure should be modeled in the +X quadrants.

2.2.2.11. Member Force Solution

Member force output is available with most structural line elements. The listing of this output is activated with a KEYOPT described with the element and is in addition to the nodal load output. Member forces are in the element coordinate system and the components correspond to the degrees of freedom available with the element. For example, member forces printed for BEAM3 would be MFORX, MFORY, MMOMZ.

For BEAM3, BEAM4, BEAM44, BEAM54, SHELL61, PIPE16, PIPE17, PIPE18, PIPE20, PIPE59, and PIPE60, the signs of their member forces at all locations along the length of the elements are based on force equilibrium of the member segment from end I to that location. For example, for the simple one-element cantilever beam loaded as shown, the tensile force and the bending moments are positive at all points along the element, including both ends.

2.2.2.12. Failure Criteria

Failure criteria are commonly used for orthotropic materials. They can be input using either the FC commands or the TB commands. The FC command input is used in POST1. The TB command input is used directly in the composite elements and is described below.

The failure criteria table is started by using the TB command (with Lab = FAIL). The data table is input in two parts:

  • the failure criterion keys

  • the failure stress/strain data.

Data not input are assumed to be zero. See the Theory Reference for ANSYS and ANSYS Workbench for an explanation of the predefined failure criteria. The six failure criterion keys are defined with the TBDATA command following a special form of the TBTEMP command [TBTEMP,,CRIT] to indicate that the failure criterion keys are defined next. The constants (C1-C6) entered on the TBDATA command are:

Table 2.2 Orthotropic Material Failure Criteria Data

Constant Meaning
1 Maximum Strain Failure Criterion - Output as FC1 (uses strain constants 1-9)
0 - Do not include this predefined criterion.
1 - Include this predefined criterion.
-1 - Include user-defined criterion with subroutine USRFC1.
2 Maximum Stress Failure Criterion - Output as FC2 (uses stress constants 10-18)

Options are the same as for constant 1, except subroutine is USRFC2.

3 Tsai-Wu Failure Criterion - Output as FC3 (uses constants 10-21)
0 - Do not include this predefined criterion
1 - Include the Tsai-Wu strength index
2 - Include the inverse of the Tsai-Wu strength ratio
-1 - Include user-defined criterion with subroutine USRFC3
4-6 User-defined Failure Criteria - Output as FC4 TO FC6
0 - Do not include this criterion.
-1 - Include user-defined criteria with subroutines USRFC4, USRFC5, USRFC6, respectively.

The failure data, which may be temperature-dependent, must be defined with the TBDATA command following a temperature definition on the TBTEMP command. Strains must have absolute values less than 1.0. Up to six temperatures (NTEMP = 6 maximum on the TB command) may be defined with the TBTEMP commands. The constants (C1-C21) entered on the TBDATA command (6 per command), after each TBTEMP command, are:

TBDATA Constants for the TBTEMP Command

Constant - (Symbol) - Meaning

1 - ( [image]) - Failure strain in material x-direction in tension (must be positive).

2 - ( [image]) - Failure strain in material x-direction in compression (default = - [image]) (may not be positive).

3 - ( [image]) - Failure strain in material y-direction in tension (must be positive).

4 - ( [image]) - Failure strain in material y-direction in compression (default = - [image]) (may not be positive).

5 - ( [image]) - Failure strain in material z-direction in tension (must be positive).

6 - ( [image]) - Failure strain in material z-direction in compression (default = - [image]) (may not be positive).

7 - ( [image]) - Failure strain in material x-y plane (shear) (must be positive).

8 - ( [image]) - Failure strain in material y-z plane (shear) (must be positive).

9 - ( [image]) - Failure strain in material x-z plane (shear) (must be positive).

10 - ( [image]) - Failure stress in material x-direction in tension (must be positive).

11 - ( [image]) - Failure stress in material x-direction in compression (default = - [image]) (may not be positive).

12 - ( [image]) - Failure stress in material y-direction in tension (must be positive).

13 - ( [image]) - Failure stress in material y-direction in compression (default = - [image]) (may not be positive).

14 - ( [image]) - Failure stress in material z-direction in tension (must be positive).

15 - ( [image]) - Failure stress in material z-direction in compression (default = - [image]) (may not be positive).

16 - ( [image]) - Failure stress in material x-y plane (shear) (must be positive).

17 - ( [image]) - Failure stress in material y-z plane (shear) (must be positive).

18 - ( [image]) - Failure stress in material x-z plane (shear) (must be positive).

19 - ( [image]) - x-y coupling coefficient for Tsai-Wu Theory (default = -1.0).

20 - ( [image]) - y-z coupling coefficient for Tsai-Wu Theory (default = -1.0).

21 - ( [image]) - x-z coupling coefficient for Tsai-Wu Theory (default = -1.0).

Note

Tsai-Wu coupling coefficients must be between -2.0 and 2.0. Values between -1.0 and 0.0 are recommended. For 2-D analysis, set [image], [image], [image], and [image] to a value several orders of magnitude larger than [image], [image], or [image]; and set Cxz and Cyz to zero.

See the TB command for a listing of the elements that can be used with the FAIL material option.

See Specifying Failure Criteria in the Structural Analysis Guide for more information on this material option.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.1. Element Input 		Up / Home Next
2.3. Coordinate Systems


2.3. Coordinate Systems

2.3.1. Element Coordinate Systems

The element coordinate system is used for orthotropic material input directions, applied pressure directions, and, under some circumstances, stress output directions. (See Rotating Results to a Different Coordinate System in the Basic Analysis Guide for a discussion of the circumstances in which the program uses the element coordinate system for stress output directions.) A default element coordinate system orientation is associated with each element type. In general, these systems are described below. Elements departing from this description have their default element coordinate system orientation described in "Element Library".

Element coordinate systems are right-handed, orthogonal systems. For line elements (such as LINK1), the default orientation is generally with the x-axis along the element I-J line. For solid elements (such as PLANE42 or SOLID45), the default orientation is generally parallel to the global Cartesian coordinate system. For area shell elements (such as SHELL63), the default orientation generally has the x-axis aligned with element I-J side, the z-axis normal to the shell surface (with the outward direction determined by the right-hand rule around the element from node I to J to K), and the y-axis perpendicular to the x and z-axes.

Unless otherwise changed, the element coordinate system orientation is the default orientation for that element type as described above. The orientation may be changed for area and volume elements by making it parallel to a previously defined local system (see the ESYS command) or, for some elements, by a KEYOPT selection (see KEYOPT(1) for PLANE42). If both are specified, the ESYS definition overrides. A further rotation, relative to the previous orientation, is allowed for some elements by a real constant angle specification (see, for example, the real constant THETA for SHELL63). Note that if no ESYS or KEYOPT orientation is specified, the real constant angle rotation (if any) is relative to the default orientation. The coordinate systems of axisymmetric elements may only be rotated about the global Z-axis.

For shell elements, the ESYS orientation uses the projection of the local system on the shell surface. The element x-axis is determined from the projection of the local x-axis on the shell surface. If the projection is a point (or the angle between the local x-axis and the normal to the shell is 0° (plus a tolerance of 45°)), the local y-axis projection is used for the element x-axis direction. The z and y-axes are determined as described for the default orientation. For non-midside-node elements, the projection is evaluated at the element centroid and is assumed constant in direction throughout the element. For midside-node elements, the projection is evaluated at each integration point and may vary in direction throughout the element. For axisymmetric elements, only rotations in the X-Y plane are valid. Some elements also allow element coordinate system orientations to be defined by user written subroutines (see the Guide to ANSYS User Programmable Features).

Layered elements use the x-axis of the element coordinate system as a base from which to rotate each layer to the layer coordinate system. The layers are rotated by the angles input on the SECDATA or RMORE commands. Material properties, stresses, and strains for layered elements are based on the layer coordinate system, not the element coordinate system.

All element coordinate systems shown in the element figures assume that no ESYS orientation is specified. Element coordinate systems may be displayed as a triad with the /PSYMB command or as an ESYS number (if specified) with the /PNUM command. Triad displays do not include the effects of any real constant angle, except for BEAM4 elements. For large deflection analyses, the element coordinate system rotates from the initial orientation described above by the amount of rigid body rotation of the element.

2.3.2. Elements that Operate in the Nodal Coordinate System

A few special elements operate totally in the nodal coordinate system:

COMBIN14 Spring-Damper with KEYOPT(2) = 1, 2, 3, 4, 5, or 6
MATRIX27 Stiffness, Damping, or Mass Matrix
COMBIN37 Control Element
FLUID38 Dynamic Fluid Coupling
COMBIN39 Nonlinear Spring with KEYOPT(4) = 0
COMBIN40 Combination Element
TRANS126 Electromechanical Transducer

These elements are defined in the nodal coordinate systems. This allows for easy directional control, especially for the case of 2-node elements with coincident nodes. If UX, UY, or UZ degrees of freedom are being used, the nodes are not coincident, and the load is not acting parallel to the line connecting the 2 nodes, there is no mechanism for the element to transfer the resulting moment load, resulting in loss of moment equilibrium. The one exception is MATRIX27, which can include moment coupling when appropriate additional terms are added to the matrix.

There are some things to consider if any of the nodes have been rotated, for example with the NROTAT command:

  • If the nodes of elements containing more than one node are not rotated in the exact same way, force equilibrium may not be maintained.

  • Accelerations operate normally in the global Cartesian system. But since there is no transformation done between the nodal and global systems, the accelerations will effectively act on any element mass in the nodal system, giving unexpected results. Therefore, it is recommended not to apply accelerations when these elements use rotated nodes.

  • Mass and inertia relief calculations will not be correct.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.2. Solution Output 		Up / Home Next
2.4. Linear Material Properties


2.4. Linear Material Properties

The linear material properties used by the element type are listed under "Material Properties" in the input table for each element type and are input using the MP command. A brief description (including the label used in the MP command) of all linear material properties is given in Table 2.3: "Linear Material Properties " at the end of this section. These properties (which may be functions of temperature) are called linear properties because typical non-thermal analyses with these properties require only a single iteration. Conversely, if properties needed for a thermal analysis (e.g., KXX) are temperature-dependent, the problem is nonlinear. Properties such as stress-strain data (described in Nonlinear Stress-Strain Materials) are called nonlinear properties because an analysis with these properties requires an iterative solution.

Linear material properties that are required for an element, but which are not defined, use the default values as described below (except that EX and KXX must be input with a nonzero value where applicable). Any additional material properties are ignored.

The X, Y, and Z refer to the element coordinate system. In general, if a material is isotropic, only the “X” and possibly the “XY” term is input. See the Theory Reference for ANSYS and ANSYS Workbench for material property details.

Structural material properties must be input as an isotropic, orthotropic, or anisotropic material.

If the material is isotropic: Young's modulus (EX) must be input. Poisson's ratio (PRXY or NUXY) defaults to 0.3. If a zero value is desired, input PRXY or NUXY with a zero or blank value. The shear modulus (GXY) defaults to EX/(2(1+NUXY)). If GXY is input, it must match EX/(2 (1+NUXY)). Hence, the only reason for inputting GXY is to ensure consistency with the other two properties. Also, Poisson's ratio should not be equal to or greater than 0.5.

If the material is orthotropic: EX, EY, EZ, (PRXY, PRYZ, PRXZ, or NUXY, NUYZ, NUXZ), GXY, GYZ, and GXZ must all be input if the element type uses the material property. There are no defaults. Note that, for example, if only EX and EY are input (with different values) to a plane stress element, an error will result indicating that the material is orthotropic and that GXY and NUXY are also needed.

Poisson's ratio may be input in either major (PRXY, PRYZ, PRXZ) or minor (NUXY, NUYZ, NUXZ) form, but not both for a particular material. The major form is converted to the minor form during the solve operation [SOLVE]. Solution output is in terms of the minor form, regardless of how the data was input. If zero values are desired, input the labels with a zero (or blank) value.

For axisymmetric analyses, the X, Y, and Z labels refer to the radial (R), axial (Z), and hoop (θ) directions, respectively. Orthotropic properties given in the R, Z, θ system should be input as follows: EX = ER, EY = EZ, and EZ = E θ. An additional transformation is required for Poisson's ratios. If the given R, Z, θ properties are column-normalized (see the Theory Reference for ANSYS and ANSYS Workbench), NUXY = NURZ, NUYZ = NUZ θ = (ET/EZ) *NU θZ, and NUXZ = NUR θ. If the given R, Z, θ properties are row-normalized, NUXY = (EZ/ER)*NURZ, NUYZ = (E θ/EZ)*NUZ θ = NU θZ, and NUXZ = (E θ/ER)*NUR θ.

If the material is anisotropic: The input for this is described in Anisotropic Elastic Materials.

For all other orthotropic materials (including ALPX, ALPY, and ALPZ), the X, Y, and Z part of the label (e.g. KXX, KYY, and KZZ) refers to the direction (in the element coordinate system) in which that particular property acts. The Y and Z directions of the properties default to the X direction (e.g., KYY and KZZ default to KXX) to reduce the amount of input required.

Material dependent damping (DAMP) is an additional method of including structural damping for dynamic analyses and is useful when different parts of the model have different damping values. If DAMP is included, the DAMP value is added to the value defined with BETAD as appropriate (see the Theory Reference for ANSYS and ANSYS Workbench). DAMP is not assumed to be temperature dependent and is always evaluated at T = 0.0. Special purpose elements, such as COMBIN7, LINK11, CONTAC12, MATRIX27, FLUID29, and VISCO88, generally do not require damping. However, if material property DAMP is specified for these elements, the value will be used to create the damping matrix at solution time.

Constant material damping coefficient (DMPR) is a material-dependent damping coefficient that is constant with respect to the excitation frequency in harmonic analysis and is useful when different parts of the model have different damping values (see Damping Matrices in the Theory Reference for ANSYS and ANSYS Workbench). DMPR is not temperature dependent and is always evaluated at T = 0.0. See Damping in the Structural Analysis Guide for more information about DMPR.

EMIS defaults to 1.0 if not defined; however, if defined with a 0.0 (or blank) value, EMIS is taken to be 0.0.

The uniform temperature does not default to REFT (but does default to TREF on the TREF command).

The effects of thermal expansion can be accounted for in three different (and mutually exclusive) ways:

  • secant coefficient of thermal expansion (ALPX, ALPY, ALPZ)

  • instantaneous coefficient of thermal expansion (CTEX, CTEY, CTEZ)

  • thermal strain (THSX, THSY, THSZ)

When you use ALPX to enter values for the secant coefficient of thermal expansion (αse), the program interprets those values as secant or mean values, taken with respect to some common datum or definition temperature. For instance, suppose you measured thermal strains in a test laboratory, starting at 23°C, and took readings at 200°, 400°, 600°, 800°, and 1000°. When you plot this strain-temperature data, you could input this directly using THSX. The slopes of the secants to the strain-temperature curve would be the mean (or secant) values of the coefficient of thermal expansion, defined with respect to the common temperature of 23° (To). You can also input the instantaneous coefficient of thermal expansion (αin, using CTEX). The slopes of the tangents to this curve represent the instantaneous values. Hence, the figure below shows how the alternate ways of inputting coefficients of thermal expansion relate to each other.

The program calculates structural thermal strain as follows:

εth = αse(T) * (T - TREF)

where:

T = element evaluation temperature
TREF = temperature at which zero thermal strains exist (TREF command or REFT )
αse(T) = secant coefficient of thermal expansion, with respect to a definition temperature (in this case, same as TREF) (ALPX )

If the material property data is in terms of instantaneous values of α, then the program will convert those instantaneous values into secant values as follows:

where:

Tn = temperature at which an αse value is being evaluated
To = definition temperature at which the αse values are defined (in this case, same as TREF)
αin(T) = instantaneous coefficient of thermal expansion at temperature T (CTEX )

If the material property data is in terms of thermal strain, the program will convert those strains into secant values of coefficients of thermal expansion as follows:

where:

εith(T) = thermal strain at temperature T (THSX)

If necessary, the data is shifted so that the thermal strain is zero when Tn = Tref. If a data point at Tref exists, a discontinuity in αse may be generated at Tn = Tref. This can be avoided by ensuring that the slopes of εith on both sides of Tref match.

If the αse values are based upon a definition temperature other than TREF, then you need to convert those values to TREF. This can be done using the MPAMOD command. Also see the Theory Reference for ANSYS and ANSYS Workbench.

Specific heat effects may be input with either the C (specific heat) property or the ENTH (enthalpy) property. Enthalpy has units of heat/volume and is the integral of C x DENS over temperature. If both C and ENTH are specified, ENTH will be used. ENTH should be used only in a transient thermal analysis. For phase change problems, the user must input ENTH as a function of temperature using the MP family of commands [MP, MPTEMP, MPTGEN, and MPDATA].

Temperature-dependent properties may be input in tabular form (value vs. temperature) or as a fourth order polynomial (value = f(temperature)). If input as a polynomial, however, evaluation is done by PREP7 at discrete temperature points and converted to tabular form. The tabular properties are then available to the elements.

Material properties are evaluated at or near the centroid of the element or at each of the integration points, as follows:

  • For heat transfer elements, all properties are evaluated at the centroid (except for the specific heat or enthalpy, which is evaluated at the integration points).

  • For structural elements PLANE42, SOLID45, PLANE82, SOLID92, SOLID95, VISCO106, VISCO107, VISCO108, BEAM161, PLANE162, SHELL163, SOLID164, SOLID168, SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, BEAM188, BEAM189, SHELL208, SHELL209, and SHELL281, all properties are evaluated at the integration points.

  • For layered elements SOLID46, SHELL91, SHELL99, and SOLID191, all properties are evaluated at the centroid of each element.

  • For all other elements, all properties are evaluated at the centroid.

If the temperature of the centroid or integration point falls below or rises above the defined temperature range of tabular data, ANSYS assumes the defined extreme minimum or maximum value, respectively, for the material property outside the defined range.

Film coefficients are evaluated as described with the SF command. See the Theory Reference for ANSYS and ANSYS Workbench for additional details. Property evaluation at element temperatures beyond the supplied tabular range assumes a constant property at the extreme range value. An exception occurs for the ENTH property, which continues along the last supplied slope.

Table 2.3 Linear Material Properties

Lab on MP Command | Units | Description
EX | Force/Area | Elastic modulus, element x direction
EY |  | Elastic modulus, element y direction
EZ |  | Elastic modulus, element z direction
PRXY | None | Major Poisson's ratio, x-y plane
PRYZ |  | Major Poisson's ratio, y-z plane
PRXZ |  | Major Poisson's ratio, x-z plane
NUXY |  | Minor Poisson's ratio, x-y plane
NUYZ |  | Minor Poisson's ratio, y-z plane
NUXZ |  | Minor Poisson's ratio, x-z plane
GXY | Force/Area | Shear modulus, x-y plane
GYZ |  | Shear modulus, y-z plane
GXZ |  | Shear modulus, x-z plane
ALPX | Strain/Temp | Secant coefficient of thermal expansion, element x direction
ALPY |  | Secant coefficient of thermal expansion, element y direction
ALPZ |  | Secant coefficient of thermal expansion, element z direction
CTEX | Strain/Temp | Instantaneous coefficient of thermal expansion, element x direction
CTEY |  | Instantaneous coefficient of thermal expansion, element y direction
CTEZ |  | Instantaneous coefficient of thermal expansion, element z direction
THSX | Strain | Thermal strain, element x direction
THSY |  | Thermal strain, element y direction
THSZ |  | Thermal strain, element z direction
REFT | Temp | Reference temperature (as a property) [see also TREF]
MU | None | Coefficient of friction (or, for FLUID29 and FLUID30 elements, boundary admittance)
DAMP | None | K matrix multiplier for damping [see also BETAD]
DMPR | None | Constant material damping coefficient
DENS | Mass/Vol | Mass density
KXX | Heat*Length/ (Time*Area*Temp) | Thermal conductivity, element x direction
KYY |  | Thermal conductivity, element y direction
KZZ |  | Thermal conductivity, element z direction
C | Heat/Mass*Temp | Specific heat
ENTH | Heat/Vol | Enthalpy ( [image] DENS*C d(Temp))
HF | Heat / (Time*Area*Temp) | Convection (or film) coefficient
EMIS | None | Emissivity
QRATE | Heat/Time | Heat generation rate (MASS71 element only)
VISC | Force*Time/ Length2 | Viscosity
SONC | Length/Time | Sonic velocity (FLUID29, FLUID30, FLUID129, and FLUID130 elements only)
MURX | None | Magnetic relative permeability, element x direction
MURY |  | Magnetic relative permeability, element y direction
MURZ |  | Magnetic relative permeability, element z direction
MGXX | Current/Length | Magnetic coercive force, element x direction
MGYY |  | Magnetic coercive force, element y direction
MGZZ |  | Magnetic coercive force, element z direction
RSVX | Resistance*Area/Length | Electrical resistivity, element x direction
RSVY |  | Electrical resistivity, element y direction
RSVZ |  | Electrical resistivity, element z direction
PERX | None | Electric relative permittivity, element x direction
PERY |  | Electric relative permittivity, element y direction
PERZ |  | Electric relative permittivity, element z direction
LSST | None | Dielectric loss tangent
SBKX | Voltage/Temp | Seebeck coefficient, element x direction
SBKY |  | Seebeck coefficient, element y direction
SBKZ |  | Seebeck coefficient, element z direction

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.3. Coordinate Systems 		Up / Home Next
2.5. Data Tables - Implicit Analysis


2.5. Data Tables - Implicit Analysis

A data table is a series of constants that are interpreted when they are used. Data tables are always associated with a material number and are most often used to define nonlinear material data (stress-strain curves, creep constants, swelling constants, and magnetization curves). Other material properties are described in Linear Material Properties. For some element types, the data table is used for special element input data other than material properties. The form of the data table (referred to as the TB table) depends upon the data being defined. Where the form is peculiar to only one element type, the table is described with the element in "Element Library". If the form applies to more than one element, it is described below and referenced in the element description. The following topics are described in this section:

  • GUI-Inaccessible Material Properties

  • Nonlinear Stress-Strain Materials

  • Hyperelastic Material Constants

  • Viscoelastic Material Constants

  • Magnetic Materials

  • High-Frequency Electromagnetic Materials

  • Anisotropic Elastic Materials

  • Piezoelectric Materials

  • Piezoresistive Materials

  • Anisotropic Electric Permittivity Materials

  • Rate-Dependent Plastic (Viscoplastic) Materials

  • Gasket Materials

  • Creep Equations

  • Shape Memory Alloys

  • Swelling Equations

  • MPC184 Joint Materials

  • Contact Friction

  • Cohesive Zone Materials

Explicit dynamics materials are discussed in Material Models in the ANSYS LS-DYNA User's Guide.

See Nonlinear Structural Analysis in the Structural Analysis Guide for additional details.

2.5.1. GUI-Inaccessible Material Properties

The following material properties are not available via the material property menus of the interactive GUI. You may specify them from the command line, and subsequent graphic display and postprocessing will still be displayed.

Material Property | TB Command Item
Anisotropic Hyperelasticity | AHYPER
Cohesive Zone Separation | CZM
Extended Drucker Prager | EDP
Contact Friction | FRIC

2.5.2. Nonlinear Stress-Strain Materials

If Table 4.n-1 lists "plasticity" as a "Special Feature," then several options are available to describe the material behavior of that element. Ten rate-independent plasticity options, two rate-dependent plasticity options, an elasticity option, and a user option are shown below. Select the material behavior option via menu path Main Menu> Preprocessor> Material Props> Material Models [TB,Lab].

Lab | Material Behavior Option
BKIN | Bilinear Kinematic Hardening (Rate-independent plasticity)
MKIN | Multilinear Kinematic Hardening (Rate-independent plasticity)
KINH | Multilinear Kinematic Hardening (Rate-independent plasticity)
CHABOCHE | Chaboche Nonlinear Kinematic Hardening (Rate-independent plasticity)
MISO | Multilinear Isotropic Hardening (Rate-independent plasticity)
BISO | Bilinear Isotropic Hardening (Rate-independent plasticity)
NLISO | Nonlinear Isotropic Hardening (Rate-independent plasticity)
ANISO | Anisotropic (Rate-independent plasticity)
HILL | Hill Anisotropic Potential
DP | Drucker-Prager (Rate-independent plasticity)
EDP | Extended Drucker-Prager
GURSON | Gurson Plasticicity and Damage
ANAND | Anand's Model (Rate-dependent plasticity)
MELAS | Multilinear Elastic
USER | User-defined Nonlinear Stress-Strain Material Option

All options except CHABOCHE, NLISO, HILL, DP, ANAND, and USER require a uniaxial stress-strain curve to be input. All options except HILL, ANISO, and USER must have elastically isotropic (EX = EY = EZ) materials. Required values that aren't included in the data table are assumed to be zero. If the data table is not defined (or contains all zero values), the material is assumed to be linear. The material behavior options are briefly described below. See the Theory Reference for ANSYS and ANSYS Workbench for more detail.

2.5.2.1. Bilinear Kinematic Hardening

This option (BKIN) assumes the total stress range is equal to twice the yield stress, so that the Bauschinger effect is included. BKIN may be used for materials that obey von Mises yield criteria (which includes most metals). The material behavior is described by a bilinear total stress-total strain curve starting at the origin and with positive stress and strain values. The initial slope of the curve is taken as the elastic modulus of the material. At the specified yield stress (C1), the curve continues along the second slope defined by the tangent modulus, C2 (having the same units as the elastic modulus). The tangent modulus cannot be less than zero nor greater than the elastic modulus.

Initialize the stress-strain table with TB,BKIN. For each stress-strain curve, define the temperature [TBTEMP], then define C1 and C2 [TBDATA]. You can define up to six temperature-dependent stress-strain curves (NTEMP = 6 maximum on the TB command) in this manner. The constants C1 and C2 are:

Constant | Meaning
C1 | Yield stress (Force/Area)
C2 | Tangent modulus (Force/Area)

BKIN can be used with the TBOPT option. In this case, TBOPT takes two arguments. For TB,BKIN,,,,0, there is no stress relaxation with an increase in temperature. This option is not recommended for nonisothermal problems. For TB,BKIN,,,,1, Rice's hardening rule is applied (which does take stress relaxation with temperature increase into account). This is the default.

See the TB command for a listing of the elements that can be used with this material option.

See Plastic Material Options in the Structural Analysis Guide for more information on this material option.

You can combine this option with other material options to simulate more complex material behaviors. See Material Model Combinations for further information.

2.5.2.2. Multilinear Kinematic Hardening

You can use either TB,KINH (alternately TB,PLASTIC,,,,KINH), or TB,MKIN to model metal plasticity behavior under cyclic loading. These two options use the Besseling model (see the Theory Reference for ANSYS and ANSYS Workbench), also called the sublayer or overlay model. The material response is represented by multiple layers of perfectly plastic material; the total response is obtained by weighted average behavior of all the layers. Individual weights are derived from the uniaxial stress-strain curve. The uniaxial behavior is described by a piece-wise linear "total stress-total strain curve", starting at the origin, with positive stress and strain values. The slope of the first segment of the curve must correspond to the elastic modulus of the material and no segment slope should be larger. The slope of the stress-strain curve is assumed to be zero beyond the last user-defined stress-strain data point. In the following, the option TB,KINH is described first, followed by that of TB,MKIN.

The KINH option is recommended because layers are scaled (Rice's model), providing better representations. The KINH option allows you to define up to 40 temperature-dependent stress-strain curves. If you define more than one stress-strain curve for temperature-dependent properties, then each curve should contain the same number of points (up to a maximum of 20 points in each curve). The assumption is that the corresponding points on the different stress-strain curves represent the temperature dependent yield behavior of a particular sublayer.

For stress vs. total strain input, initialize the stress-strain table with TB,KINH. For stress vs. plastic strain input, initialize the stress-strain table with either TB,KINH,,,,PLASTIC or TB,PLASTIC,,,,KINH. Input the temperature of the first curve with the TBTEMP, then input stress and strain values using the TBPT. Input the remaining temperatures and stress-strain values using the same sequence (TBTEMP followed by TBPT).

See the TB command for a listing of the elements that can be used with this material option.

See Plastic Material Options in the Structural Analysis Guide for more information on this material option.

You can combine this option with other material options to simulate more complex material behaviors. See Material Model Combinations for further information.

The curve defined with the MKIN option is continuous from the origin with a maximum of five total stress-total strain points. The slope of the first segment of the curve must correspond to the elastic modulus of the material and no segment slope should be larger.

The MKIN option has the following restrictions:

  • You may define up to five temperature dependent stress-strain curves.

  • You may use only five points for each stress-strain curve.

  • Each stress-strain curve must have the same set of strain values.

This option is used as follows:

Initialize the stress-strain table with TB,MKIN, followed by a special form of the TBTEMP command (TBTEMP,,STRAIN) to indicate that strains are defined next. The constants (C1-C5), entered on the next TBDATA command, are the five corresponding strain values (the origin strain is not input). The temperature of the first curve is then input with TBTEMP, followed by the TBDATA command with the constants C1-C5 representing the five stresses corresponding to the strains at that temperature. You can define up to five temperature-dependent stress-strain curves (NTEMP = 5 max on the TB command) with the TBTEMP command.

MKIN can also be used in conjunction with the TBOPT option (TB,MKIN,,,,TBOPT). TBOPT has the following three valid arguments:

0 - No stress relaxation with temperature increase (this is not recommended for nonisothermal problems); also produces thermal ratcheting.
1 - Recalculate total plastic strain using new weight factors of the subvolume.
2 - Scale layer plastic strains to keep total plastic strain constant; agrees with Rice's model (TB, BKIN with TBOPT = 1). Produces stable stress-strain cycles.

See the TB command for a listing of the elements that can be used with this material option.

Note

The mechanical behavior of the TB,KINH option is the same as TB,MKIN with TBOPT = 2.

See Plastic Material Options in the Structural Analysis Guide for more information on this material option.

You can combine this option with other material options to simulate more complex material behaviors. See Material Model Combinations for further information.

2.5.2.3. Nonlinear Kinematic Hardening

This option (CHABOCHE) uses the Chaboche model (see the Theory Reference for ANSYS and ANSYS Workbench) for simulating the cyclic behavior of materials. Like the BKIN and MKIN options, you can use this model to simulate monotonic hardening and the Bauschinger effect. In addition, you can superpose up to five kinematic hardening models and an isotropic hardening model to simulate the complicated cyclic plastic behavior of materials, such as cyclic hardening or softening, and ratcheting or shakedown.

The Chaboche model implemented in ANSYS is:

where:

X = back stress tensor
εpl = plastic strain tensor
p = accumulated equivalent plastic strain
θ = temperature
[A dot located above any of these quantities indicates the first derivative of the quantity with respect to time.]
Ci and γi = material constants that you enter as inputs
n = number of nonlinear kinematic models that you specify as NPTS in the TB command

The yield function is:

where:

k = yield stress of materials that you enter as an input. You can also define k using BISO, MISO, or NLISO, through the TB command.

Initialize the data table with TB,CHABOCHE. For each set of data, define the temperature [TBTEMP], then define C1 through Cm [TBDATA], where m = 1 + 2NPTS. The maximum number of constants, m is 11, which corresponds to 5 kinematic models [NPTS = 5 on the TB command]. The default value for m is 3, which corresponds to one kinematic model [NPTS = 1]. You can define up to 1000 temperature-dependent constants ([NTEMP x m [image] 1000] maximum on the TB command) in this manner. The constants C1 through C(1 + 2NPTS) are:

Constant | Meaning
C1 | k = Yield stress
C2 | C1 = Material constant for first kinematic model
C3 | γ1 = Material constant for first kinematic model
C4 | C2 = Material constant for second kinematic model
C5 | γ2 = Material constant for second kinematic model
... | ...
C(2NPTS) | CNPTS = Material constant for last kinematic model
C(1 + 2NPTS) | γNPTS = Material constant for last kinematic model

k, and all C and γ values in the right column are material constants in the Chaboche model (see the Theory Reference for ANSYS and ANSYS Workbench for details).

See the TB command for a listing of the elements that can be used with this material option.

See Plastic Material Options in the Structural Analysis Guide for more information on this material option.

As mentioned above, you can combine this option with other material options to simulate more complex material behaviors. See Material Model Combinations for further information.

2.5.2.4. Bilinear Isotropic Hardening

This option (BISO) uses the von Mises yield criteria coupled with an isotropic work hardening assumption. The material behavior is described by a bilinear stress-strain curve starting at the origin with positive stress and strain values. The initial slope of the curve is taken as the elastic modulus of the material. At the specified yield stress (C1), the curve continues along the second slope defined by the tangent modulus C2 (having the same units as the elastic modulus). The tangent modulus cannot be less than zero nor greater than the elastic modulus.

Initialize the stress-strain table with TB,BISO. For each stress-strain curve, define the temperature [TBTEMP], then define C1 and C2 [TBDATA]. Define up to six temperature-dependent stress-strain curves (NTEMP = 6 max on the TB command) in this manner. The constants C1 and C2 are:

Constant | Meaning
C1 | Yield stress (Force/Area)
C2 | Tangent modulus (Force/Area)

See the TB command for a listing of the elements that can be used with this material option.

See Plastic Material Options in the Structural Analysis Guide for more information on this material option.

You can combine this option with other material options to simulate more complex material behaviors. See Material Model Combinations for further information.

2.5.2.5. Multilinear Isotropic Hardening

This option (MISO) is similar to BISO except that a multilinear curve is used instead of a bilinear curve. It can be used for non-cyclic load histories or for those elements that do not support the multilinear kinematic hardening option (MKIN). This option may be preferred for large strain cycling where kinematic hardening could exaggerate the Bauchinger effect. The uniaxial behavior is described by a piece-wise linear total stress-total strain curve, starting at the origin, with positive stress and strain values. The curve is continuous from the origin through 100 (max) stress-strain points. The slope of the first segment of the curve must correspond to the elastic modulus of the material and no segment slope should be larger. No segment can have a slope less than zero. The slope of the stress-strain curve is assumed to be zero beyond the last user-defined stress-strain data point.

You can specify up to 20 temperature-dependent stress-strain curves. For stress vs. total strain input, initialize the curves with TB,MISO. For stress vs. plastic strain input, initialize the curves with TB,PLASTIC,,,,MISO. Input the temperature for the first curve [TBTEMP], followed by up to 100 stress-strain points (the origin stress-strain point is not input) [TBPT]. Define up to 20 temperature-dependent stress-strain curves (NTEMP = 20, maximum on the TB command) in this manner. The constants (X, Y) entered on the TBPT command (two per command) are:

Constant | Meaning
X | Strain value (Dimensionless)
Y | Corresponding stress value (Force/Area)

See the TB command for a listing of the elements that can be used with this material option.

See Plastic Material Options in the Structural Analysis Guide for more information on this material option.

You can combine this option with other material options to simulate more complex material behaviors. See Material Model Combinations for further information.

2.5.2.6. Nonlinear Isotropic Hardening

This option (NLISO) uses either the Voce hardening law or the power law to describe the isotropic hardening behavior of materials. You select either method by specifying the appropriate TBOPT value in TB,NLISO. It is especially suitable for large deformation analyses. When the power law option is combined with GURSON plasticity, ductile plasticity and damage can be modeled. See Material Model Combinations for further information. Also, combining the NLISO Voce hardening option with the CHABOCHE nonlinear kinematic hardening option simulates cyclic hardening or softening behavior of materials (see the Theory Reference for ANSYS and ANSYS Workbench for details).

Once you initialize the data table with TB,NLISO, you define the temperature via the TBTEMP command, and then define either C1 through C4 (TBOPT = Voce) or C1 and C2 (TBOPT = Power) via the TBDATA command. You can define up to twenty temperature-dependent stress-strain curves (NTEMP = 20 maximum on the TB command) in this manner.

Voce Constants | Meaning
C1 | k = Yield stress
C2 | Ro = Material constant in Voce hardening law
C3 | = Material constant in Voce hardening law
C4 | b = Material constant in Voce hardening law
Power Constants | Meaning
C1 | k = Yield stress
C2 | N = Power value in the power hardening law

See the TB command for a listing of the applicable elements for this material option.

See Plastic Material Options in the Structural Analysis Guide for more information on this material option.

2.5.2.7. Anisotropic

This option (ANISO) allows for different stress-strain behavior in the material x, y, and z directions as well as different behavior in tension and compression (see Anisotropic Elastic Materials). A modified von Mises yield criterion is used to determine yielding. The theory is an extension of Hill's formulation as noted in the Theory Reference for ANSYS and ANSYS Workbench. This option is not recommended for cyclic or highly nonproportional load histories since work hardening is assumed. The principal axes of anisotropy coincide with the material (or element) coordinate system and are assumed not to change over the load history.

The material behavior is described by the uniaxial tensile and compressive stress-strain curves in three orthogonal directions and the shear stress-engineering shear strain curves in the corresponding directions. A bilinear response in each direction is assumed. The initial slope of the curve is taken as the elastic moduli of the material. At the specified yield stress, the curve continues along the second slope defined by the tangent modulus (having the same units as the elastic modulus). The tangent modulus cannot be less than zero or greater than the elastic modulus. Temperature dependent curves cannot be input. All values must be input as no defaults are defined. Input the magnitude of the yield stresses (without signs). No yield stress can have a zero value. The tensile x-direction is used as the reference curve for output quantities SEPL and EPEQ.

Initialize the stress-strain table with TB,ANISO. You can define up to 18 constants with TBDATA commands. The constants (C1-C18) entered on TBDATA commands (6 per command) are:

Constant | Meaning (all units are Force/Area)
C1-C3 | Tensile yield stresses in the material x, y, and z directions
C4-C6 | Corresponding tangent moduli
C7-C9 | Compressive yield stresses in the material x, y, and z directions
C10-C12 | Corresponding tangent moduli
C13-C15 | Shear yield stresses in the material xy, yz, and xz directions
C16-C18 | Corresponding tangent moduli

See the TB command for a listing of the elements that can be used with this material option.

See Plastic Material Options in the Structural Analysis Guide for more information on this material option.

2.5.2.8. Hill's Anisotropy

This option (HILL), is used to define stress ratios for anisotropic yield and creep. Specifically, the following simulations are available by combining the HILL option with other material options, as noted:

  • Rate-independent anisotropic plasticity with isotropic hardening - TB,HILL combined with TB,BISO or TB,MISO or TB,NLISO.

  • Rate-independent anisotropic plasticity with kinematic hardening - TB,HILL combined with TB,BKIN or TB,MKIN or TB,KINH or TB,CHAB.

  • Rate-independent anisotropic plasticity with combined hardening - TB,HILL combined with TB,CHAB and TB,BISO or TB,MISO or TB,NLISO.

  • Rate-dependent anisotropic plasticity (anisotropic viscoplasticity) with isotropic hardening - TB,HILL combined with TB,BISO or TB,MISO or TB,NLISO and TB,RATE.

  • Anisotropic creep - TB,HILL combined with TB,CREEP (implicit).

  • Anisotropic creep and anisotropic plasticity with isotropic hardening - TB,HILL combined with TB,CREEP and TB,BISO or TB,MISO or TB,NLISO (implicit).

  • Anisotropic creep and anisotropic plasticity with kinematic hardening - TB,HILL combined with TB,CREEP and TB,BKIN (implicit)

See Material Model Combinations for more information on combining the HILL option with the plasticity and creep options.

The HILL option's material behavior is described by six constants that define the stress ratios in different directions (see the Theory Reference for ANSYS and ANSYS Workbench for details). All cases can be used with the following elements: PLANE42, SOLID45, PLANE82, SOLID92, SOLID95, LINK180, SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, BEAM188, BEAM189, SHELL208, and SHELL209.

Initialize the data table with TB,HILL. For each set of data, you then define the temperatures using the TBTEMP command, then define C1 through C6 using the TBDATA command. The input must then be followed by the TB command again, but with one of the plasticity and / or creep options.

For each set of data, you then define the temperature using the TBTEMP command, and then define the constants using the TBDATA command.

The constants C1 through C6 for the HILL option are:

Constant | Meaning |
C1 | rxx | Tension / Compression ii
C2 | ryy
C3 | rzz
C4 | rxy | Shear ij
C5 | ryz
C6 | rxz

For plasticity, rij is the ratio of the yield stress in the ij direction, to the yield stress specified for the plasticity input as part of the TB command.

For creep, rij is the ratio of the creep strain in the ij direction to the reference value calculated by the implicit creep equation.

2.5.2.9. Drucker-Prager

This option (DP) is applicable to granular (frictional) material such as soils, rock, and concrete and uses the outer cone approximation to the Mohr-Coulomb law (see the Theory Reference for ANSYS and ANSYS Workbench). The input consists of only three constants:

  • the cohesion value (must be > 0)

  • the angle of internal friction

  • the dilatancy angle.

The amount of dilatancy (the increase in material volume due to yielding) can be controlled with the dilatancy angle. If the dilatancy angle is equal to the friction angle, the flow rule is associative. If the dilatancy angle is zero (or less than the friction angle), there is no (or less of an) increase in material volume when yielding and the flow rule is nonassociated. Temperature-dependent curves are not allowed.

Initialize the constant table with TB,DP. You can define up to three constants with TBDATA commands. The constants (C1-C3) entered on TBDATA are:

Constant | Meaning
C1 | Cohesion value (Force/Area)
C2 | Angle (in degrees) of internal friction
C3 | dilatancy angle (in degrees)

See the TB command for a listing of the elements that can be used with this material option.

See Plastic Material Options in the Structural Analysis Guide for more information on this material option.

2.5.2.10. Extended Drucker-Prager

The Extended Drucker Prager (EDP) model is also used for granular material. This model supports various combinations of yield and potential functions as noted below:

Linear Yield Function

where:

α = material parameter referred to pressure sensitive parameter (input as C1 on TBDATA command using TB,EDP)

Power Law Yield Function

where:

α = material parameter referred to pressure sensitive parameter (input as C1 on TBDATA command using TB,EDP)
b = material parameter characterizing the shape of yield surface (input as C2 on TBDATA command using TB,EDP):

Hyperbolic Yield Function

:

where:

α = material parameter referred to pressure sensitive parameter (input as C1 on TBDATA command using TB,EDP)
a = the parameter input as C2 on the TBDATA command.

Linear Plastic Flow Potential Function

Refer to the Linear Yield Function for parameter definitions.

Power Law Plastic Flow Potential Function

Refer to the Power Law Yield Function for parameter definitions.

Hyperbolic Plastic Flow Potential Function

Refer to the Hyperbolic Yield Function for parameter definitions.

You can use any combination of the yield and potential functions listed (above), but one of each must be specified. The CAP model, however, is a special EDP case that requires exclusive use of combined CAP potential and yield functions. More information on the EDP CAP model is provided in the following section.

When plasticity is defined by TB,MISO, TB,BISO, TB,NLISO, or TB,PLAS, that definition overrides the yield stress definition you define using TB,EDP and TBDATA.

See the EDP argument and associated specifications in the TB command, and also The Extended Drucker-Prager Model in the Theory Reference for ANSYS and ANSYS Workbench for more information.

2.5.2.11. EDP CAP Model

The cap model is a subset of the TB,EDP data table operations. It is used for modeling the geomaterial plasticity that results from compaction at low mean stresses, followed by significant pre-failure dilation, but before shear failure occurs. The following table lists the coefficients that are addressed for the CAP model. If CAP flow potential is not defined, ANSYS assumes an associative CAP model.

CAP Model Constants* | TBOPT = CYFU | TBOPT = CFPOT
 | Yielding Function (NPTS = 11) | Flow Potential (NPTS = 4)
C1 |  |
C2 |  |
C3 | Xi | βF
C4 | σi | αF
C5 | βY |
C6 | A |
C7 | αY |
C8 | ψ |
C9 |  |
C10 |  |
C11 |  |

See CAP Model in the Theory Reference for ANSYS and ANSYS Workbench for more information on the constant conventions.

You can input the cohesion-related shear hardening constant σi by using TB,MISO, TB,BISO, TB,NLISO, or TB,PLAS. This input regulates the relationship between the cohesion and the effective deviatoric plastic strain.

Note

Calibrating the CAP constants σi, βY, A, αY, βF, αF and the hardening input for σi differs significantly from the other EDP options. The CAP parameters are all defined in relation to I1 and J2, while the other EDP coefficients are defined according to p and q.

2.5.2.12. Gurson's Model

Gurson's Model represents plasticity and damage in ductile and porous metals. A TB data table is used to handle the data for both stress and strain controlled nucleation, both with and without coalescence. Specify a TBOPT value in the TB, GURSON command to correspond to the Gurson basic model (TBOPT = BASE), strain controlled nucleation (TBOPT = SNNU), stress controlled nucleation (TBOPT = SSNU), or coalescence (TBOPT = COAL). The following table lists the coefficient values that are addressed for the available TBOPT values.

Gurson Model Constants | TBOPT = BASE | TBOPT = SNNU | TBOPT = SSNU | TBOPT = COAL
 | Basic Model (NPTS = 5) | Strain-Controlled Nucleation (NPTS = 3) | Stress-Controlled Nucleation (NPTS = 3) | Coalescence (NPTS = 2)
C1 | σY - initial yielding strength | fN - nucleation porosity | fN - nucleation porosity | fc - critical porosity
C2 | fo - initial porosity | εN - mean strain | σN - mean stress | fF - failure porosity
C3 | q1 - first Tvergaard-Needleman | SN - standard strain deviation |  |
C4 | q2 - second Tvergaard-Needleman constant |  |  |
C5 | q3 - third Tvergaard-Needleman constant |  |  |

You can combine certain TBOPT values to address specific model behaviors. The following combinations are valid:

BASE and SNNU
BASE and SSNU
BASE and SNNU and COAL
BASE and SSNU and COAL
BASE and COAL

Although all three constants (q1, q2, q3) are independent input parameters, setting [image] is recommended, unless specific data is available.

Isotropic hardening can be modeled using TB, BISO, TB, MISO, TB, NLISO or TB, PLASTIC.

2.5.2.13. Anand's Model

This option (ANAND) has input consisting of 9 constants. The Anand model is applicable to viscoplastic elements VISCO106, VISCO107, and VISCO108. See the Theory Reference for ANSYS and ANSYS Workbench for details. Initialize the constant table with TB,ANAND. You can define up to nine constants (C1-C9) with TBDATA commands (6 per command):

Constant | Meaning | Material Property | Units
C1 | so | initial value of deformation resistance | stress
C2 | Q/R | Q = activation energy R = universal gas constant | energy /volume energy /(volume temp)
C3 | A | pre-exponential factor | 1 / time
C4 | xi | multiplier of stress | dimensionless
C5 | m | strain rate sensitivity of stress | dimensionless
C6 | ho | hardening / softening constant | stress
C7 |  | coefficient for deformation resistance saturation value | stress
C8 | n | strain rate sensitivity of saturation (deformation resistance) value | dimensionless
C9 | a | strain rate sensitivity of hardening or softening | dimensionless

See Viscoplasticity in the Structural Analysis Guide for more information on this material option.

2.5.2.14. Multilinear Elastic

This option (MELAS) is such that unloading occurs along the same path as loading. This behavior, unlike the other options, is conservative (path-independent). The plastic strain (εpl) for this option should be interpreted as a "pseudo plastic strain" since it returns to zero when the material is unloaded (no hysteresis). See the Theory Reference for ANSYS and ANSYS Workbench for details. The material behavior is described by a piece-wise linear stress-strain curve, starting at the origin, with positive stress and strain values. The curve is continuous from the origin through 100 (max) stress-strain points. Successive slopes can be greater than the preceding slope; however, no slope can be greater than the elastic modulus of the material. The slope of the first curve segment usually corresponds to the elastic modulus of the material, although the elastic modulus can be input as greater than the first slope to ensure that all slopes are less than or equal to the elastic modulus.

Specify up to 20 temperature-dependent stress-strain curves. Initialize the curves with TB,MELAS. The temperature for the first curve is input with TBTEMP, followed by TBPT commands for up to 100 stress-strain points (the origin stress-strain point is not input). You can define up to 20 temperature- dependent stress-strain curves (NTEMP = 20 max on the TB command) in this manner. The constants (X, Y) entered on TBPT (two per command) are:

Constant | Meaning
X | Strain value (Dimensionless)
Y | Corresponding stress value (Force/Area)

See the TB command for a listing of the elements that can be used with this material option.

See Multilinear Elasticity in the Structural Analysis Guide for more information on this material option.

2.5.2.15. Cast Iron Plasticity

The cast iron plasticity option uses a composite yield surface to describe the different behavior in tension and compression. In tension the yielding is pressure-dependent and the Rankine maximum stress criterion is used. In compression, the behavior is pressure independent and the Mises yield criterion is used. A modified Mises potential is used as the flow potential. The elastic behavior is isotropic and is the same in tension and compression. Cast Iron Plasticity with isotropic hardening is intended for monotonic loading only and cannot be combined with any other material model.

Initiate the cast iron material model with TB,CAST. Activate the stress-strain table in tension using TB, UNIAXIAL with the TENSION option, then enter the stress-strain relation using the TBPT command. Activate the stress-strain table in compression using theTB, UNIAXIAL with the COMPRESSION option, then enter the stress-strain relation using the TBPT command. The slope of the stress-strain curve is assumed to be zero beyond the last user-defined stress-strain data point.

The NROPT,UNSYM command should be used at the solution level as the flow rule is not associated and the material Jacobian matrix is unsymmetric.

Initialize the database with TB,CAST. For each set of data, define the temperature using TBTEMP, then define the constant C1.

Constant | Meaning
C1 | Plastic Poisson's ratio in tension

See the TB command description for a listing of the elements that can be used with this material option.

See Plastic Material Options in the Structural Analysis Guide for more information on this material option.

2.5.2.16. User

The User Defined (USER) material option describes input parameters for defining a material model based on either of two subroutines, which are ANSYS user-programmable features (see the Guide to ANSYS User Programmable Features). The choice of which subroutine to use is based on which element you are using.

The USER option works with the USERMAT subroutine in defining any material model (except incompressible materials), when you use any of the following elements: LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, BEAM188, BEAM189, SHELL208, and SHELL209.

The USER option works with the USERPL subroutine in defining plasticity or viscoplasticity material models, when you use any of the following elements: LINK1, LINK8, PIPE20, BEAM23, BEAM24, PLANE42, SHELL43, SOLID45, PIPE60, SOLID62, SOLID65, PLANE82, SHELL91, SOLID92, SHELL93, SOLID95.

The USER option's input is determined by user-defined constants. The number of constants can be any combination of the number of temperatures (NTEMP) and the number of data points per temperature (NPTS), to a maximum limit of NTEMP x NPTS = 1000. Initialize the constant table with TB,USER. The constants are defined with TBDATA commands (6 per command).

State variables can also be used in the USERMAT subroutine (not in USERPL). To use state variables, initialize the constant table with TB,STATE then define the constants with the TBDATA command. You can define a maximum of 1000 state variables (NPTS = 1000). See User Defined Material in the Structural Analysis Guide for more information on this material option.

2.5.3. Hyperelastic Material Constants

Hyperelasticity is listed in the Special Features section of the Input Summary for elements SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, SHELL208, and SHELL209. The options described in the following sections are available to describe the material behavior for these elements. As described in these sections, you choose the option using TBOPT with TB,HYPER. Several forms of strain energy potentials are used to describe the hyperelasticity of materials. These are based on either strain invariants or principal stretches. The behavior of materials is assumed to be incompressible or nearly incompressible.

2.5.3.1. Neo-Hookean Hyperelastic Material Constants

The option, TB,HYPER,,,,NEO uses the Neo-Hookean form of strain energy potential, which is given by:

where:

W = strain energy per unit reference volume
μ = initial shear modulus of the material
d = material incompressibility parameter.
J = determinant of the elastic deformation gradient F

The initial bulk modulus is defined by:

The constants μ and d are defined using the TBDATA command.

See the TB command for a listing of the elements that can be used with this material option.

See Neo-Hookean Hyperelastic Option in the Structural Analysis Guide for more information on this material option.

2.5.3.2. Anisotropic Hyperelastic Material Constants

Anisotropic hyperelasticity is available with SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SHELL208, and SHELL209. Anisotropic hyperelasticity is a potential-based-function with parameters to define the volumetric part, the isochoric part and the material directions.

You can use anisotropic hyperelasticity to model elastomers with reinforcements, and for biomedical materials such as muscles or arteries.

The strain energy potential for anisotropic hyperelasticity is given by

Where:

and

Use TB,AHYPER, , TBOPT to define the isochoric part, material directions and the volumetric part. Only one TB table can be defined for each option.

TBOPT Constants Purpose Input Format
POLY C1 to C31 Anisotropic strain energy potential
TB,AHYPER,,,POLY
TBDATA,,A1,A2,A3,B1....
AVEC C1 to C3 Material direction constants
TB,AHYPER,,,AVEC
TBDATA,,A1,A2,A3
BVEC C1 to C3 Material direction constants
TB,AHYPER,,,BVEC
TBDATA,,B1,B2, B3
PVOL C1 Volumetric potential
TB,AHYPER,,,POLY
TBDATA,,D

You can enter temperature dependent data for anisotropic hyperelastic material with the TBTEMP command. For the first temperature curve, you issue TB, AHYPER,,,TBOPT, then input the first temperature using the TBTEMP command. The subsequent TBDATA command inputs the data.

ANSYS interpolates the temperature data to the material points automatically using linear interpolation. When the temperature is out of the specified range, the closest temperature point is used.

See the TB command, and Anisotropic Hyperelasticity in the Theory Reference for ANSYS and ANSYS Workbench for more information.

2.5.3.3. Mooney-Rivlin Hyperelastic Material Constants (TB,HYPER)

Note that this section applies to the Mooney-Rivlin model with elements SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, SHELL208, and SHELL209.

This option, TB,HYPER,,,,MOONEY allows you to define 2, 3, 5, or 9 parameter Mooney-Rivlin models using NPTS = 2, 3, 5, or 9, respectively.

For NPTS = 2 (2 parameter Mooney-Rivlin option, which is also the default), the form of the strain energy potential is:

where:

W = strain energy potential
c10, c01 = material constants characterizing the deviatoric deformation of the material
d = material incompressibility parameter

The initial shear modulus is defined as:

and the initial bulk modulus is defined as:

where:

d = (1 - 2*ν) / (C10 + C01)

The constants c10, c01, and d are defined by C1, C2, and C3 using the TBDATA command.

For NPTS = 3 (3 parameter Mooney-Rivlin option, which is also the default), the form of the strain energy potential is:

The constants c10, c01, c11; and d are defined by C1, C2, C3, and C4 using the TBDATA command.

For NPTS = 5 (5 parameter Mooney-Rivlin option), the form of the strain energy potential is:

The constants c10, c01, c20, c11, c02, and d are material constants defined by C1, C2, C3, C4, C5, and C6 using the TBDATA command.

For NPTS = 9 (9 parameter Mooney-Rivlin option), the form of the strain energy potential is:

The constants c10, c01, c20, c11, c02, c30, c21, c12, c03, and d are material constants defined by C1, C2, C3, C4, C5, C6, C7, C8, C9, and C10 using the TBDATA command.

See Mooney-Rivlin Hyperelastic Option (TB,HYPER) in the Structural Analysis Guide for more information on this material option.

2.5.3.4. Polynomial Form Hyperelastic Material Constants

The option, TB,HYPER,,,,POLY allows you to define a polynomial form of strain energy potential. The form of the strain energy potential for the Polynomial option is given by:

where:

W = strain energy potential
J = determinant of the elastic deformation gradient F
N, cij, and d = material constants

In general there is no limitation on the value of N in ANSYS (see the TB command). A higher value of N can provide a better fit to the exact solution. It may however cause a numerical difficulty in fitting the material constants, and it also requests enough data to cover the whole range of deformation for which you may be interested. For these reasons, a very high value of N is not recommended.

The initial shear modulus μ is defined by:

and the initial bulk modulus is defined as:

For N = 1 and c01 = 0, the polynomial form option is equivalent to the Neo-Hookean option. For N = 1, it is equivalent to the 2 parameter Mooney-Rivlin option. For N = 2, it is equivalent to the 5 parameter Mooney-Rivlin option, and for N = 3, it is equivalent to the 9 parameter Mooney-Rivlin option.

The constants cij and d are defined using the TBDATA command in the following order:

For N (NPTS) = 1:

c10, c01, d1

For N (NPTS) = 2:

c10, c01, c20, c11, c02, d1, d2

For N (NPTS) = 3:

c10, c01, c20, c11, c02, c30, c21, c12, c03, d1, d2, d3

For N (NPTS) = k:

c10, c01, c20, c11, c02, c30, c21, c12, c03, ..., ck0, c(k-1)1, ..., c0k, d1, d2, ..., dk

See the TB command for a listing of the elements that can be used with this material option.

See Polynomial Form Hyperelastic Option in the Structural Analysis Guide for more information on this material option.

2.5.3.5. Ogden Hyperelastic Material Constants

This option, TB,HYPER,,,,OGDEN uses the Ogden form of strain energy potential. The Ogden form is based on the principal stretches of the left Cauchy-Green tensor. The strain energy potential is:

where:

W = strain energy potential
λp = principal stretches of the left Cauchy-Green tensor
J = determinant of the elastic deformation gradient
N, μp, αp and dp = material constants

In general there is no limitation on the value of N in ANSYS (see the TB command). A higher value of N can provide a better fit to the exact solution. It may however cause numerical difficulties in fitting the material constants. For this reason, very high values of N are not recommended.

The initial shear modulus μ is defined by:

The initial bulk modulus K is defined by:

For N = 1 and α1 = 2, the Ogden option is equivalent to the Neo-Hookean option. For N = 2, α1 = 2, and α2 = -2, the Ogden option is equivalent to the 2 parameter Mooney-Rivlin option.

The constants μp, αp and dp are defined using the TBDATA command in the following order:

For N (NPTS) = 1:

μ1, α1, d1

For N (NPTS) = 2:

μ1, α1, μ2, α2, d1, d2

For N (NPTS) = 3:

μ1, α1, μ2, α2, μ3, α3, d1, d2, d3

For N (NPTS) = k:

μ1, α1, μ2, α2, ..., μk, αk, d1, d2, ..., dk

See the TB command for a listing of the elements that can be used with this material option.

See Ogden Hyperelastic Option in the Structural Analysis Guide for more information on this material option.

2.5.3.6. Arruda-Boyce Hyperelastic Material Constants

This option, TB,HYPER,,,,BOYCE uses the Arruda-Boyce form of strain energy potential, given by:

where:

W = strain energy per unit reference volume
J = determinant of the elastic deformation gradient F
μ = initial shear modulus of materials
λL = limiting network stretch
d = material incompressibility parameter

The initial bulk modulus is defined as:

As λL approaches infinity, the option becomes equivalent to the Neo-Hookean option.

The constants μ, λL and d are defined by C1, C2, and C3 using the TBDATA command.

See the TB command for a listing of the elements that can be used with this material option.

See Arruda-Boyce Hyperelastic Option in the Structural Analysis Guide for more information on this material option.

2.5.3.7. Gent Hyperelastic Material Constants

This option, TB,HYPER,,,,GENT uses the Gent form of strain energy potential, given by:

where:

W = strain energy per unit reference volume
μ = initial shear modulus of material
J = determinant of the elastic deformation gradient F
d = material incompressibility parameter

The initial bulk modulus K is defined as:

As Jm approaches infinity, the option becomes equivalent to the Neo-Hookean option.

The constants μ, Jm, and d are defined by C1, C2, and C3 using the TBDATA command.

See the TB command for a listing of the elements that can be used with this material option.

See Gent Hyperelastic Option in the Structural Analysis Guide for more information on this material option.

2.5.3.8. Yeoh Hyperelastic Material Constants

The option, TB,HYPER,,,,YEOH follows a reduced polynomial form of strain energy potential by Yeoh. The form of the strain energy potential for the Yeoh option is given by:

where:

W = strain energy potential
J = determinant of the elastic deformation gradient F
N, ci0, and dk = material constants

In general there is no limitation on the value of N in ANSYS (see the TB command). A higher value of N can provide a better fit to the exact solution. It may however cause a numerical difficulty in fitting the material constants, and it also requests enough data to cover the whole range of deformation for which you may be interested. For these reasons, a very high value of N is not recommended.

The initial shear modulus μ is defined by:

and the initial bulk modulus K is defined as:

For N = 1 the Yeoh form option is equivalent to the Neo-Hookean option.

The constants ci0 and dk are defined using the TBDATA command in the following order:

For N (NPTS) = 1:

c10, d1

For N (NPTS) = 2:

c10, c20, d1, d2

For N (NPTS) = 3:

c10, c20, c30, d1, d2, d3

For N (NPTS) = k:

c10, c20, c30, ..., ck0, d1, d2, ..., dk

See the TB command for a listing of the elements that can be used with this material option.

See Yeoh Hyperelastic Option in the Structural Analysis Guide for more information on this material option.

2.5.3.9. Blatz-Ko Foam Hyperelastic Material Constants

This option, TB,HYPER,,,,BLATZ uses the Blatz-Ko form of strain energy potential, given by:

where:

W = strain energy per unit reference volume
μ = initial strain shear modulus
I2 and I3= second and third strain invariants

The initial bulk modulus k is defined as:

The model has only one constant μ and is defined by C1 using the TBDATA command.

See the TB command for a listing of the elements that can be used with this material option.

See Blatz-Ko Foam Hyperelastic Option in the Structural Analysis Guide for more information on this material option.

2.5.3.10. Ogden Compressible Foam Hyperelastic Material Constants

This option, TB,HYPER,,,,FOAM uses the Ogden form of strain energy potential for highly compressible elastomeric foam material. The strain energy potential is based on the principal stretches of the left Cauchy-Green tensor and is given by:

where:

W = strain energy potential
J = determinant of the elastic deformation gradient
N, μi, αi and βk = material constants

For this material option, the volumetric and deviatoric terms are tightly coupled. Hence, this model is meant to simulate highly compressible elastomers.

In general there is no limitation on the value of N in ANSYS (see the TB command). A higher value of N can provide a better fit to the exact solution. It may however cause numerical difficulties in fitting the material constants. For this reason, very high values of N are not recommended.

The initial shear modulus μ is defined by:

and the initial bulk modulus K is defined by:

For N = 1, α1 = –2, μ1 = -μ, and β1 = 0.5, the Ogden foam option is equivalent to the Blatz-Ko option.

The constants μi, αi and βi are defined using the TBDATA command in the following order:

For N (NPTS) = 1:

μ1, α1, β1

For N (NPTS) = 2:

μ1, α1, μ2, α2, β1, β2

For N (NPTS) = 3:

μ1, α1, μ2, α2, μ3, α3, β1, β2, β3

For N (NPTS) = k:

μ1, α1, μ2, α2, ..., μk, αk, β1, β2, ..., βk

See the TB command for a listing of the elements that can be used with this material option.

See Ogden Compressible Foam Hyperelastic Option in the Structural Analysis Guide for more information on this material option.

2.5.3.11. User-Defined Hyperelastic Material

You can define a strain energy potential by using the option TB,HYPER,,,,USER. This allows you to provide a subroutine USERHYPER to define the derivatives of the strain energy potential with respect to the strain invariants. Refer to the Guide to ANSYS User Programmable Features for a detailed description on writing a user hyperelasticity subroutine.

See the TB command for a listing of the elements that can be used with this material option.

See User-Defined Hyperelastic Option in the Structural Analysis Guide for more information on this material option.

2.5.4. Viscoelastic Material Constants

The viscoelastic material model is available with the viscoelastic elements VISCO88 and VISCO89 for small deformation viscoelasticity and LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, BEAM188, BEAM189, SHELL208, and SHELL209 for small and large deformation viscoelasticity.

Elements VISCO88 and VISCO89 use a viscoelastic material model that is defined by entering the following data in the data table with TB commands. Data not input are assumed to be zero. You must enter the data table to perform the viscoelastic computation. A generalized Maxwell model is used to represent the material characteristics. See the Theory Reference for ANSYS and ANSYS Workbench for an explanation of terms. Initialize the constant table with TB,EVISC. You can define up to 95 constants (C1-C95) with TBDATA commands (6 per command):

Constant | Meaning
1 Shift Function Constant 1 Value of C5.
C5 = 0 H/R (activation energy divided by ideal constant R).
C5 = 1 WLF constant C1.
2 Shift Function Constant 2 depending on C5.
C5 = 0 Value of Constant x (0 [image] x [image] 1).
C5 = 1 WLF constant C2.
3 | No. of Maxwell elements (10 max) in volume decay function MV.
4 Shift Function Constant 3 depending on C5.
C5 = 1 WLF reference temperature.
5 Shift Function Key.
C5 = 0, Tool-Narayanaswamy Shift Function (applicable to glass).
C5 = 1, Williams-Landau-Ferry Shift Function (applicable to polymers).
C5 = 11, User Subroutine for Fictive Temperature/Shift Function (UsrFictive.F).
C5 = 20, User Subroutine for Viscoelasticity (UsrViscEl.F).
6-15 | Up to ten values of Cfi (coefficients of the Maxwell element representing the volume decay function MV). Used to define the fictive temperature. Σ Cfi = 1.0)
16-25 | Up to ten values of τfi (constants associated with a discrete relaxation spectrum). Used to define the fictive temperature. Each τfi is also known as a relaxation time.
26-30 | Up to five values of Cli (coefficients of thermal expansion for the liquid state). (αl = Cl1 + Cl2 Tf + Cl3 Tf2 + Cl4 Tf3 + Cl5 Tf4, where Tf = fictive temperature)
31-35 | Up to five values of Cgi (coefficients of thermal expansion for the glass state). (αg = Cg1 + Cg2T + Cg3T2 + Cg4T3+ Cg5T4, where T = actual temperature)
36-45 | Up to ten values of Tfi (fictive temperature). Tf = Σ CfiTfi
46 | GXY(0) (shear modulus at time = zero (the full shear modulus)).
47 | GXY( [image]) (shear modulus at time = infinity (the residual shear modulus after the full decay)). If no relaxation of the shear modulus, use GXY( [image]) = GXY(0).
48 | K(0) (bulk modulus at time = zero).
49 | K( [image]) (bulk modulus at time = infinity). If no relaxation of the bulk modulus, use K( [image]) = K(0).
50 | No. of Maxwell elements (10 max) used to approximate the shear modulus (GXY(0) - GXY( [image])) relaxation.
51-60 | Up to ten values of Csmi (coefficients for shear modulus relaxation using Maxwell elements, Σ Csmi = 1.0 if shear modulus relaxes).
61-70 | Up to ten values of λsmi (relaxation times for shear modulus relaxation using Maxwell elements).
71 | No. of Maxwell elements (10 max) used to approximate the bulk modulus (K(0) - K( [image])) relaxation.
76-85 | Up to ten values of Cbmi (coefficients for bulk modulus relaxation using Maxwell elements, Σ Cbmi = 1.0 if bulk modulus relaxes).
86-95 | Up to ten values of λbmi (relaxation times for bulk modulus relaxation using Maxwell elements).

The viscoelasticity input for SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, SHELL208, and SHELL209 consists of elasticity properties and relaxation properties. The underlying elasticity is specified by either the MP command (for hypoelasticity) or by the TB,HYPER command (for hyperelasticity). For LINK180, BEAM188, and BEAM189, the underlying elasticity is specified by the MP command (hypoelasticity) only. Use the TB,PRONY or TB,SHIFT commands to input the relaxation properties. Enter the required data using the TBDATA command using the following constants.

For TB,PRONY:

Constant | Meaning
C1 | Relative modulus
C2 | Relative time

For TB,SHIFT (Tbopt = WLF):

The William-Landel-Ferry shift function, A, takes the form:

Constant | Meaning
C1 | Relative temperature (Tr)
C2-C3 | WLF constants

For TB,SHIFT (Tbopt = TN):

The Tool-Narayanaswamy shift function, A, takes the form:

Constant | Meaning
C1 | Relative temperature (Tr)
C2 | TN constant

See Viscoelasticity in the Structural Analysis Guide for more information.

2.5.5. Magnetic Materials

Elements with magnetic capability use the TB table to input points characterizing B-H curves. See the Theory Reference for ANSYS and ANSYS Workbench for details. These curves are available in elements SOLID5, PLANE13, PLANE53, SOLID62, SOLID96, and SOLID98. Temperature-dependent curves cannot be input. Initialize the curves with TB,BH. Use TBPT commands to define up to 500 points (H, B). The constants (X, Y) entered on TBPT (two per command) are:

Constant | Meaning
X | Magnetic field intensity (H) (Magnetomotive force/length)
Y | Corresponding magnetic flux density (B) (Flux/Area)

Specify the system of units (MKS or user defined) with EMUNIT, which also determines the value of the permeability of free space. Free-space permeability is available in elements SOLID5, INFIN9, PLANE13, INFIN47, PLANE53, SOLID62, SOLID96, SOLID97, SOLID98, INFIN110, and INFIN111. This value is used with the relative permeability property values [MP] to establish absolute permeability values. The defaults (also obtained for Lab = MKS) are MKS units and free-space permeability of 4 πE-7 Henries/meter. You can specify Lab = MUZRO to define any system of units, then input free-space permeability.

See Additional Guidelines for Defining Regional Material Properties and Real Constants in the Low-Frequency Electromagnetic Analysis Guide for more information on this material option.

2.5.6. High-Frequency Electromagnetic Materials

High-frequency elements HF119 and HF120 use the TB table to specify the following material properties:

  • TB, CNDE - anisotropic electric current conductivity (mhos/m)(1/Ωm)

  • TB, CNDM - anisotropic magnetic current conductivity (ohms/m)

  • TB, DPER - anisotropic relative permittivity

  • TB, MUR - anisotropic relative permeability

For electric current conductivity (CNDE), magnetic current conductivity (CNDM), relative permittivity (DPER), and relative permeability (TB,MUR,MAT,,,TBOPT with TBOPT = 0 – input a permeability matrix), a 3 x 3 matrix relates terms ordered by x, y, and z.

The constants (C1-C9) entered on the TBDATA command are:

Constant | Meaning
C1-C9 | X11, X22, X33, X12, X23, X13, X21, X32, X31

If Xij is 0 where i and j are indexes, then Xji must also be zero.

For TB, DPER and TB,MUR the diagonal elements cannot be zero.

TB,MUR,MAT,,,TBOPT with TBOPT = 1 or 2 generates a B-H nonlinear material permeability matrix with a uniform or non-uniform dc magnetic field, respectively. A non-uniform dc magnetic field can be the solution of an ANSYS magneto static analysis.

The matrix is give by the following equations for a static magnetic field (Ho) in the x, y, and z directions, respectively.

where:

and

  • γ is the gyromagnetic ratio

  • γ0 is the electron gyromagnetic ratio

  • g is the Lande factor

  • Ho is the static magnetic field in the z, y, or x direction

  • Ms is the saturation magnetization introduced by Ho

  • ΔH is the resonance line width

  • ω is the working angular frequency

The constants (C1-C7) entered on TBDATA are:

Constant | Meaning
C1 | Saturation magnetization 4πMs (Gauss) (no default).
C2 | Lande g-factor (1.8 to 2.5, defaults to 2.0).
C3 | Resonance line width ΔH (Oe) (defaults to 0).
C4 | Internal dc magnetic field Ho (Oe) (no default).
C5 Direction of Ho.
0 - z direction (default)
1 - y direction (default)
2 - x direction (default)
C6

Sign of off-diagonal element of permeability matrix.

C7 Symmetry key for permeability matrix.
0 – antisymmetric matrix (default)
1 – symmetric matrix

The high-frequency 2-D modal analysis element HF118 uses the TB table to specify the following material properties:

  • TB, DPER – anisotropic relative permittivity

  • TB,MUR,MAT,,,TBOPT with TBOPT = 0 – anisotropic relative permeability

The element must lie in an X-Y plane and a 3 x 3 matrix relates terms ordered by x, y, and z.

The constants (C1-C9) entered on the TBDATA command are:

Constant | Meaning
C1-C9 | Xxx, Xyy, Xzz, Xxy, 0, 0, Xyx, 0, 0

Note

HF118 can not use the TB table to specify the following:

  • Anisotropic electric current conductivity (TB,CNDE)

  • Anisotropic magnetic current conductivity (TB,CNDM)

  • B-H nonlinear material permeability matrix with a uniform or non-uniform dc magnetic field (TB,MUR,MAT,,,TBOPT with TBOPT = 1 or 2).

2.5.7. Anisotropic Elastic Materials

Anisotropic elastic capability is available with the PLANE182, SOLID185, PLANE183, SOLID186, SOLID187, and SOLSH190 structural elements (see Anisotropic) and the SOLID5, PLANE13, SOLID98, PLANE223, SOLID226, and SOLID227 coupled-field elements. Input the elastic coefficient matrix [D] either by specifying the stiffness constants (EX, EY, etc.) with MP commands, or by specifying the terms of the matrix with data table commands as described below. The matrix should be symmetric and positive definite (requiring all determinants to be positive).

The full 6 x 6 elastic coefficient matrix [D] relates terms ordered x, y, z, xy, yz, xz via 21 constants as shown below.

For 2-D problems, a 4 x 4 matrix relates terms ordered x, y, z, xy via 10 constants (D11, D21, D22, D31, D32, D33, D41, D42, D43, D44). Note, the order of the vector is expected as {x, y, z, xy, yz, xz}, whereas for some published materials the order is given as {x, y, z, yz, xz, xy}. This difference requires the "D" matrix terms to be converted to the expected format. The "D" matrix can be defined in either "stiffness" form (with units of Force/Area operating on the strain vector) or in "compliance" form (with units of the inverse of Force/Area operating on the stress vector), whichever is more convenient. Select a form using TBOPT on the TB command. Both forms use the same data table input as described below.

Enter the constants of the elastic coefficient matrix in the data table with the TB commands. Initialize the constant table with TB,ANEL. Define the temperature with TBTEMP, followed by up to 21 constants input with TBDATA commands. The matrix may be input in either stiffness or flexibility form, based on the TBOPT value. For the coupled-field elements, temperature- dependent matrix terms are not allowed. You can define up to six temperature-dependent sets of constants (NTEMP = 6 max on the TB command) in this manner. Matrix terms are linearly interpolated between temperature points. The constants (C1-C21) entered on TBDATA (6 per command) are:

Constant | Meaning
C1-C6 | Terms D11, D21, D31, D41, D51, D61
C7-C12 | Terms D22, D32, D42, D52, D62, D33
C13-C18 | Terms D43, D53, D63, D44, D54, D64
C19-C21 | Terms D55, D65, D66

See the TB command for a listing of the elements that can be used with this material option.

2.5.8. Piezoelectric Materials

Piezoelectric capability is available with the SOLID5, PLANE13, SOLID98, PLANE223, SOLID226, and SOLID227 coupled-field elements. SOLID5, PLANE13, and SOLID98 have this capability in the ANSYS Multiphysics and ANSYS Mechanical products; PLANE223, SOLID226, and SOLID227 have this capability in the ANSYS Multiphysics product. Material properties required for the piezoelectric effects include the dielectric (relative permittivity) constants, the elastic coefficient matrix, and the piezoelectric matrix.

Input the dielectric constants either by specifying orthotropic dielectric permittivity (PERX, PERY, PERZ) on the MP command or by specifying the terms of the anisotropic permittivity matrix [ε] on the TB,DPER command. The values input on the MP command will be interpreted as permittivity at constant strain [εS]. Using TB,DPER, you can specify either permittivity at constant strain [εS] (TBOPT = 0), or permittivity at constant stress [εT] (TBOPT = 1).

Input the elastic coefficient matrix [c] either by specifying the stiffness constants (EX, EY, etc.) with MP commands, or by specifying the terms of the anisotropic elasticity matrix with TB commands as described in Anisotropic.

You can define the piezoelectric matrix in [e] form (piezoelectric stress matrix) or in [d] form (piezoelectric strain matrix). The [e] matrix is typically associated with the input of the anisotropic elasticity in the form of the stiffness matrix [c], and the permittivity at constant strain [εS]. The [d] matrix is associated with the input of compliance matrix [s] and permittivity at constant stress [εT]. Select the appropriate matrix form for your analysis using the TB,PIEZ command.

The full 6 x 3 piezoelectric matrix relates terms x, y, z, xy, yz, xz to x, y, z via 18 constants as shown:

For 2-D problems, a 4 x 2 matrix relates terms ordered x, y, z, xy via 8 constants (e11, e12, e21, e22, e31, e32, e41, e42). The order of the vector is expected as {x, y, z, xy, yz, xz}, whereas for some published materials the order is given as {x, y, z, yz, xz, xy}. This difference requires the piezoelectric matrix terms to be converted to the expected format.

Use the TB commands to enter the constants of the piezoelectric matrix in the data table. Initialize the constant table with TB,PIEZ. You can define up to 18 constants (C1-C18) with TBDATA commands (6 per command):

Constant | Meaning
C1-C6 | Terms e11, e12, e13, e21, e22, e23
C7-C12 | Terms e31, e32, e33, e41, e42, e43
C13-C18 | Terms e51, e52, e53, e61, e62, e63

See Piezoelectric Analysis in the Coupled-Field Analysis Guide for more information on this material model.

2.5.9. Piezoresistive Materials

Elements with piezoresistive capabilities (PLANE223, SOLID226, SOLID227) use TB,PZRS to calculate the change in electric resistivity produced by elastic stress or strain. Material properties required to model piezoresistive materials are electrical resistivity, the elastic coefficient matrix, and the piezoresistive matrix.

You can define the piezoresistive matrix either in the form of piezoresistive stress matrix [π] (TBOPT = 0) or piezoresistive strain matrix [m] (TBOPT = 1).

The piezoresistive stress matrix [π] uses stress to calculate the change in electric resistivity due to piezoresistive effect, while the piezoresistive strain matrix [m] (TBOPT = 1) uses strain to calculate the change in electric resistivity. See Piezoresistivity in the Theory Reference for ANSYS and ANSYS Workbench for more information.

The full 6x6 piezoresistive matrix relates the x, y, z, xy, yz, xz terms of stress to the x, y, z, xy, yz, xz terms of electric resistivity via 36 constants:

Constant | Meaning
C1-C6 | Terms π11, π12, π13, π14, π15, π16
C7-C12 | Terms π21, π22, π23, π24, π25, π26
C13-C18 | Terms π31, π32, π33, π34, π35, π36
C19-C24 | Terms π41, π42, π43, π44, π45, π46
C25-C30 | Terms π51, π52, π53, π54, π55, π56
C31-C36 | Terms π61, π62, π63, π64, π65, π66

For 2-D problems, a 4x4 matrix relates terms ordered x, y, z, xy via 16 constants.

Constant | Meaning
C1-C4 | Terms π11, π12, π13, π14
C7-C10 | Terms π21, π22, π23, π24
C13-C16 | Terms π31, π32, π33, π34
C19-C22 | Terms π41, π42, π43, π44

The order of the vector is expected as {x, y, z, xy, yz, xz}, whereas for some published materials the order is given as {x, y, z, yz, xz, xy}. This difference requires the piezoresistive matrix terms to be converted to the expected format.

See Piezoresistive Analysis in the Coupled-Field Analysis Guide for more information on this material model.

2.5.10. Anisotropic Electric Permittivity Materials

Elements with piezoelectric capabilities (PLANE223, SOLID226, SOLID227) use TB,DPER to specify anisotropic relative electric permittivity. You can define electric permittivity at constant strain [εS] (TBOPT = 0) or constant stress [εT] (TBOPT = 1)

Note

ANSYS will convert matrix [εT] to [εS] using piezoelectric strain and stress matrices.

The full 3x3 electric permittivity matrix relates x, y, z components of electric field to the x, y, z components of electric flux density via 6 constants:

Constant | Meaning
C1-C6 | ε11, ε22, ε33, ε12, ε23, ε13

For 2-D problems, a 2x2 matrix relates terms ordered x, y via 3 constants (ε11 ε22 ε12):

Constant | Meaning
C1, C2, C4 | ε11, ε22, ε12

2.5.11. Rate-Dependent Plastic (Viscoplastic) Materials

The RATE option, when combined with other material options, defines the strain rate dependency of isotropic plasticity. To simulate viscoplasticity, you combine the RATE option with the BISO, MISO, or NLISO options. To simulate anisotropic viscoplasticity, you combine the RATE option and the HILL option with the BISO, MISO, or NLISO options. See Material Model Combinations for further information. The RATE option is applicable to elements: PLANE42, SOLID45, PLANE82, SOLID92, SOLID95, LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, BEAM188, BEAM189, SHELL208, and SHELL209.

There are two models available for use with the RATE option, the Perzyna model or the Peirce model. You specify the model using TBOPT in the form TB,RATE,,,,PERZYNA or TB,RATE,,,,PEIRCE. Each of these models is described below.

The Perzyna model has the following form:

and the Peirce model has the following form:

In both cases σ is the material yield stress, [image] is the equivalent plastic strain rate, m is the strain rate hardening parameter, γ is the material viscosity parameter, and σo is the static yield stress of material. σo is a function of some hardening parameter and can be defined by isotropic plasticity (for example, TB,BISO). As γ approaches [image], or m approaches zero, or [image] approaches zero, the solution approaches the static (rate-independent) solution.

When m is very small, the Peirce model has less difficulty converging, compared to the Perzyna model. See the Theory Reference for ANSYS and ANSYS Workbench for details.

The two constants for either model that are defined by TBDATA are:

Constant | Meaning
C1 | m - material strain rate hardening parameter
C2 | γ - material viscosity parameter

Initialize the data table with TB,RATE, and specify the model option using TBOPT. For each set of data, define the temperature [TBTEMP], then define material constants C1 and C2 [TBDATA]. The data table command for the combination option must also be defined for the same material number to specify the static hardening behavior of the materials (rate-independent and isotropic).

See Viscoplasticity in the Structural Analysis Guide for more information on this material option.

2.5.12. Gasket Materials

The GASKET option allows you to simulate gasket joints with the ANSYS interface elements INTER192, INTER193, INTER194, and INTER195. The gasket material is usually under compression and is highly nonlinear. The material also exhibits quite complicated unloading behavior when compression is released. The GASKET option allows you to define some general parameters including the initial gap, stable stiffness for numerical stabilization, and stress cap for a gasket in tension. The GASKET option also allows you to directly input data for the experimentally measured complex pressure closure curves for the gaskets. The GASKET option also offers two sub-options to define gasket unloading behavior including linear and nonlinear unloading. The linear unloading option simplifies the input by defining the starting closure at the compression curves and the slope. The nonlinear unloading option allows you to directly input unloading curves to more accurately model the gasket unloading behavior. When no unloading curves are defined, the material behavior follows the compression curve while it is unloaded.

You enter the general parameters and the pressure closure behavior data using the TBOPT field when issuing TB,GASKET. You then input the material data using either the TBDATA command or the TBPT command as shown in the table below that describes the various gasket data types and presents the command input format.

You can enter temperature dependent data using the TBTEMP command for any of the gasket data types. For the first temperature curve, you issue TB,GASKET,,,,TBOPT, then input the first temperature using TBTEMP, followed by the data using either TBDATA or TBPT depending on the value of TBOPT as shown in the table. ANSYS automatically interpolates the temperature data to the material points using linear interpolation. When the temperature is out of the specified range, the closest temperature point is used.

Gasket Data Type | TBOPT | Constants | Meaning | Input Format
General parameters PARA C1 Initial gap (default = 0, meaning there is no initial gap).
TB,GASKET,,,,PARA
TBDATA,1,C1,C2,C3
C2 | Stable stiffness (default = 0, meaning there is no stable stiffness. [1]
C3 | Maximum tension stress allowed when the gasket material is in tension (default = 0, meaning there is no tension stress in the gasket material).
Compression load closure curve COMP Xi Closure value.
TB,GASKET,,,2,COMP
TBPT,,X1,Y1
TBPT,,X2,Y2
Yi | Pressure value.
Linear unloading data LUNL Xi Closure value on compression curve where unloading started.
TB,GASKET,,,2,LUNL
TBPT,,X1,Y1
TBPT,,X2,Y2
Yi | Unloading slope value.
Nonlinear unloading data [2] NUNL Xi Closure value.
TB,GASKET,,,2,NUNL
TBPT,,X1,Y1
TBPT,,X2,Y2
Yi | Pressure value.
Transverse shear TSS XY, XZ Transverse shear values
TB,GASKET,,,2,TSS
TBDATA,1,TSSXY,TSSXZ

  1. Stable stiffness is used for numerical stabilization such as the case when the gasket is opened up and thus no stiffness is contributed to the element nodes, which in turn may cause numerical difficulty.

  2. Multiple curves may be required to define the complex nonlinear unloading behavior of a gasket material.

    When there are several nonlinear unloading curves defined, ANSYS requires that the starting point of each unloading curve be on the compression curve to ensure the gasket unloading behavior is correctly simulated. Though it is not a requirement that the temperature dependency of unloading data be the same as the compression data, when there is a missing temperature, ANSYS uses linear interpolation to obtain the material data of the missing temperature. This may result in a mismatch between the compression data and the unloading data. Therefore, it is generally recommended that the number of temperatures and temperature points be the same for each unloading curve and compression curve.

    When using the material GUI to enter data for the nonlinear unloading curves, an indicator at the top of the dialog box states the number of the unloading curve whose data is currently displayed along with the total number of unloading curves defined for the particular material (example: Curve number 2/5). To enter data for the multiple unloading curves, type the data for the first unloading curve, then click on the Add Curve button and type the data for the second curve. Repeat this procedure for entering data for the remaining curves. Click the Del Curve button if you want to remove the curve whose data is currently displayed. Click the > button to view the data for the next curve in the sequence, or click the < button to view the data for the previous curve in the sequence. To insert a curve at a particular location in the sequence, click on the > or < buttons to move to the curve before the insertion location point and click on the Add Curve button. For example, if the data for Curve number 2/5 is currently displayed and you click on the Add Curve button, the dialog box changes to allow you to enter data for Curve number 3/6. You can define a total of 100 nonlinear unloading curves per material.

For a more detailed description of the gasket joint simulation capability in ANSYS, see the Gasket Joints Simulation chapter in the Structural Analysis Guide.

2.5.13. Creep Equations

If Table 4.n-1 lists "creep" as a "Special Feature," then the element can model creep behavior.

The creep strain rate, [image], can be a function of stress, strain, temperature, and neutron flux level. Libraries of creep strain rate equations are included under the Implicit Creep Equations and Explicit Creep Equations sections. Enter the constants shown in these equations using TB,CREEP and TBDATA as described below. These equations (expressed in incremental form) are characteristic of materials being used in creep design applications (see the Theory Reference for ANSYS and ANSYS Workbench for details).

Three different types of creep equations are available:

  • Primary creep

  • Secondary creep

  • Irradiation induced creep

You can define the combined effects of more than one type of creep using the implicit equations specified by TBOPT = 11 or 12, the explicit equations, or a user-defined creep equation.

ANSYS analyzes creep using the implicit and the explicit time integration method. The implicit method is robust, fast, accurate, and recommended for general use, especially with problems involving large creep strain and large deformation. It has provisions for including temperature-dependent constants. ANSYS can model pure creep, creep with isotropic hardening plasticity, and creep with kinematic hardening plasticity, using both von Mises and Hill potentials. See Material Model Combinations for further information. Since the creep and plasticity are modeled simultaneously (no superposition), the implicit method is more accurate and efficient than the explicit method. Temperature dependency can also be incorporated by the Arrhenius function (see the Theory Reference for ANSYS and ANSYS Workbench for details).

The explicit method is useful for cases involving very small time steps, such as in transient analyses. There are no provisions for temperature-dependent constants, nor simultaneous modeling of creep with any other material models such as plasticity. However, there is temperature dependency using the Arrhenius function, and you can combine explicit creep with other plasticity options using non-simultaneous modeling (superposition). In these cases, ANSYS first performs the plastic analysis, then the creep calculation.

Note

The terms “implicit” and “explicit” as applied to creep, have no relationship to “explicit dynamics,” or any elements referred to as “explicit elements.”

2.5.13.1. Implicit Creep Equations

Enter an implicit creep equation using TBOPT within the TB command. Enter the value of TBOPT corresponding to the equation, as shown in Table 2.4: "Implicit Creep Equations".

Table 2.4 Implicit Creep Equations

Creep Model (TBOPT) | Name | Equation |  | Type
1 | Strain Hardening |  | C1>0 | Primary
2 | Time Hardening |  | C1>0 | Primary
3 | Generalized Exponential | , | C1>0, C5>0 | Primary
4 | Generalized Graham |  | C1>0 | Primary
5 | Generalized Blackburn |  | C1>0, C3>0, C6>0 | Primary
6 | Modified Time Hardening |  | C1>0 | Primary
7 | Modified Strain Hardening |  | C1>0 | Primary
8 | Generalized Garofalo |  | C1>0 | Secondary
9 | Exponential form |  | C1>0 | Secondary
10 | Norton |  | C1>0 | Secondary
11 | Time Hardening |  | C1>0, C5>0 | Primary + Secondary
12 | Rational polynomial |  | C2>0 | Primary + Secondary
13 | Generalized Time Hardening |  |  | Primary
100 |  | User Creep |  |

where:

εcr = equivalent creep strain
= change in equivalent creep strain with respect to time
σ = equivalent stress
T = temperature (absolute). The offset temperature (from TOFFST), is internally added to all temperatures for convenience.
C1 through C12 = constants defined by the TBDATA command
t = time at end of substep
e = natural logarithm base

You can define the user creep option by setting TBOPT = 100, and using TB,STATE to specify the number of state variables for the user creep routine. See the Guide to ANSYS User Programmable Features for more information. The RATE command is necessary to activate implicit creep for specific elements (see the RATE command description for details). The RATE command has no effect for explicit creep.

For temperature dependent constants, define the temperature using TBTEMP for each set of data. Then, define constants C1 through Cm using TBDATA (where m is the number of constants, and depends on the creep model you choose).

The following example shows how you would define the implicit creep model represented by TBOPT = 1 at two temperature points.

TB,CREEP,1,,,1           !Activate creep data table, specify creep model 1
TBTEMP,100               !Define first temperature
TBDATA,1,c11,c12,c13,c14 !Creep constants c11, c12, c13, c14 at first temp.
TBTEMP,200               !Define second temperature
TBDATA,1,c21,c22,c23,c24 !Creep constants c21, c22, c23, c24 at second temp.

Coefficients are linearly interpolated for temperatures that fall between user defined TBTEMP values. For some creep models, where the change in coefficients spans several orders of magnitude, this linear interpolation might introduce inaccuracies in solution results. Be sure to use enough curves to accurately capture the temperature dependency. Also, consider using the curve fitting routine to calculate a temperature dependent coefficient that includes the Arrhenius term.

See the TB command for a listing of the elements that can be used with this material option.

See Creep in the Structural Analysis Guide for more information on this material option.

2.5.13.2. Explicit Creep Equations

Enter an explicit creep equation by setting TBOPT = 0 (or leaving it blank) within the TB command, then specifying the constants associated with the creep equations using the TBDATA command.

Specify primary creep with constant C6. Primary Explicit Creep Equation for C6 = 0, through Primary Explicit Creep Equation for C6 = 100, show the available equations. You select an equation with the appropriate value of C6 (0 to 15). If C1 [image] 0, or if T + Toffset [image] 0, no primary creep is computed.

Specify secondary creep with constant C12. Secondary Explicit Creep Equation for C12 = 0 and Secondary Explicit Creep Equation for C12 = 1 show the available equations. You select an equation with the appropriate value of C12 (0 or 1). If C7 [image] 0, or if T + Toffset [image] 0, no secondary creep is computed. Also, primary creep equations C6 = 9, 10, 11, 13, 14, and 15 bypass any secondary creep equations since secondary effects are included in the primary part.

Specify irradiation induced creep with constant C66. Irradiation Induced Explicit Creep Equation for C66 = 5 shows the single equation currently available; select it with C66 = 5. This equation can be used in conjunction with equations C6 = 0 to 11. The constants should be entered into the data table as indicated by their subscripts. If C55 [image] 0 and C61 [image] 0, or if T + Toffset [image] 0, no irradiation induced creep is computed.

A linear stepping function is used to calculate the change in the creep strain within a time step (Δ εcr = ( [image])(Δt)). The creep strain rate is evaluated at the condition corresponding to the beginning of the time interval and is assumed to remain constant over the time interval. If the time step is less than 1.0e-6, then no creep strain increment is computed. Primary equivalent stresses and strains are used to evaluate the creep strain rate. For highly nonlinear creep strain vs. time curves, use a small time step if you are using the explicit creep algorithm. A creep time step optimization procedure is available for automatically increasing the time step whenever possible. A nonlinear stepping function (based on an exponential decay) is also available (C11 = 1) but should be used with caution since it can underestimate the total creep strain where primary stresses dominate. This function is available only for creep equations C6 = 0, 1 and 2. Temperatures used in the creep equations should be based on an absolute scale [TOFFST].

Use the BF or BFE commands to enter temperature and fluence values. The input fluence (Φt) includes the integrated effect of time and time explicitly input is not used in the fluence calculation. Also, for the usual case of a constant flux (Φ), the fluence should be linearly ramp changed.

Temperature dependent creep constants are not permitted for explicit creep. You can incorporate other creep options by setting C6 = 100. See the Guide to ANSYS User Programmable Features for more information.

The following example shows how you would use the explicit creep equation defined by C6 = 1.

TB,CREEP,1               !Activate creep data table
TBDATA,1,c1,c2,c3,c4,,1  !Creep constants c1, c2, c3, c4 for equation C6=1

The explicit creep constants that you enter with the TBDATA are:

Constant | Meaning
C1-CN | Constants C1, C2, C3, etc. (as defined in Primary Explicit Creep Equation for C6 = 0 to Irradiation Induced Explicit Creep Equation for C66 = 5) These are obtained by curve fitting test results for your material to the equation you choose. Exceptions are defined below.
2.5.13.2.1. Primary Explicit Creep Equation for C6 = 0

where:

= change in equivalent strain with respect to time
σ = equivalent stress
T = temperature (absolute). The offset temperature (from TOFFST) is internally added to all temperatures for convenience.
t = time at end of substep
e = natural logarithm base

2.5.13.2.2. Primary Explicit Creep Equation for C6 = 1

2.5.13.2.3. Primary Explicit Creep Equation for C6 = 2

where:

2.5.13.2.4. Primary Explicit Creep Equation for C6 = 9

Annealed 304 Stainless Steel:

2.5.13.2.4.1. Double Exponential Creep Equation (C4 = 0)

To use the following Double Exponential creep equation to calculate

where:

εx = 0 for σ [image] C2
εx = G + H σ for C2 < σ [image] C3
C2 = 6000 psi (default), C3 = 25000 psi (default)
s, r, [image], G, and H = functions of temperature and stress as described in the reference.

This double exponential equation is valid for Annealed 304 Stainless Steel over a temperature range from 800 to 1100°F. The equation, known as the Blackburn creep equation when C1 = 1, is described completely in the [1.]. The first two terms describe the primary creep strain and the last term describes the secondary creep strain.

To use this equation, input a nonzero value for C1, C6 = 9.0, and C7 = 0.0. Temperatures should be in °R (or °F with Toffset = 460.0). Conversion to °K for the built-in property tables is done internally. If the temperature is below the valid range, no creep is computed. Time should be in hours and stress in psi. The valid stress range is 6,000 - 25,000 psi.

2.5.13.2.4.2. Rational Polynomial Creep Equation with Metric Units (C4 = 1)

To use the following standard Rational Polynomial creep equation (with metric units) to calculate εc, enter C4 = 1.0:

where:

c = limiting value of primary creep strain
p = primary creep time factor
= secondary (minimum) creep strain rate

This standard rational polynomial creep equation is valid for Annealed 304 SS over a temperature range from 427°C to 704°C. The equation is described completely in the [1.]. The first term describes the primary creep strain. The last term describes the secondary creep strain. The average "lot constant" is used to calculate [image].

To use this equation, input C1 = 1.0, C4 = 1.0, C6 = 9.0, and C7 = 0.0. Temperature must be in °C and Toffset must be 273 (because of the built-in property tables). If the temperature is below the valid range, no creep is computed. Also, time must be in hours and stress in Megapascals (MPa).

Various hardening rules governing the rate of change of creep strain during load reversal may be selected with the C5 value: 0.0 - time hardening, 1.0 - total creep strain hardening, 2.0 - primary creep strain hardening. These options are available only with the standard rational polynomial creep equation.

2.5.13.2.4.3. Rational Polynomial Creep Equation with English Units (C4 = 2)

To use the above standard Rational Polynomial creep equation (with English units), enter C4 = 2.0.

This standard rational polynomial equation is the same as described above except that temperature must be in °F, Toffset must be 460, and stress must be in psi. The equivalent valid temperature range is 800 - 1300°F.

2.5.13.2.5. Primary Explicit Creep Equation for C6 = 10

Annealed 316 Stainless Steel:

2.5.13.2.5.1. Double Exponential Creep Equation (C4 = 0)

To use the same form of the Double Exponential creep equation as described for Annealed 304 SS (C6 = 9.0, C4 = 0.0) in Primary Explicit Creep Equation for C6 = 9 to calculate εc, enter C4 = 0.0.

This equation, also described in [1.], differs from the Annealed 304 SS equation in that the built-in property tables are for Annealed 316 SS, the valid stress range is 4000 - 30,000 psi, C2 defaults to 4000 psi, C3 defaults to 30,000 psi, and the equation is called with C6 = 10.0 instead of C6 = 9.0.

2.5.13.2.5.2. Rational Polynomial Creep Equation with Metric Units (C4 = 1)

To use the same form of the standard Rational Polynomial creep equation with metric units as described for Annealed 304 SS (C6 = 9.0, C4 = 1.0) in Primary Explicit Creep Equation for C6 = 9, enter C4 = 1.0.

This standard rational polynomial equation, also described in [1.], differs from the Annealed 304 SS equation in that the built-in property tables are for Annealed 316 SS, the valid temperature range is 482 - 704°C, and the equation is called with C6 = 10.0 instead of C6 = 9.0. The hardening rules for load reversal described for the C6 = 9.0 standard Rational Polynomial creep equation are also available. The average "lot constant" from [1.] is used in the calculation of [image].

2.5.13.2.5.3. Rational Polynomial Creep Equation with English Units (C4 = 2)

To use the previous standard Rational Polynomial creep equation with English units, enter C4 = 2.0.

This standard rational polynomial equation is the same as described above except that the temperatures must be in °F, Toffset must be 460, and the stress must be in psi (with a valid range from 0.0 to 24220 psi). The equivalent valid temperature range is 900 - 1300°F.

2.5.13.2.6. Primary Explicit Creep Equation for C6 = 11

Annealed 2 1/4 Cr - 1 Mo Low Alloy Steel:

2.5.13.2.6.1. Modified Rational Polynomial Creep Equation (C4 = 0)

To use the following Modified Rational Polynomial creep equation to calculate εc, enter C4 = 0.0:

A, B, and [image] are functions of temperature and stress as described in the reference.

This modified rational polynomial equation is valid for Annealed 2 1/4 Cr -1 Mo Low Alloy steel over a temperature range of 700 - 1100°F. The equation is described completely in the [2.]. The first term describes the primary creep strain and the last term describes the secondary creep strain. No modification is made for plastic strains.

To use this equation, input C1 = 1.0, C6 = 11.0, and C7 = 0.0. Temperatures must be in °R (or °F with Toffset = 460.0). Conversion to °K for the built-in property tables is done internally. If the temperature is below the valid range, no creep is computed. Time should be in hours and stress in psi. Valid stress range is 1000 - 65,000 psi.

2.5.13.2.6.2. Rational Polynomial Creep Equation with Metric Units (C4 = 1)

To use the following standard Rational Polynomial creep equation (with metric units) to calculate εc, enter C4 = 1.0:

where:

c = limiting value of primary creep strain
p = primary creep time factor
= secondary (minimum) creep strain rate

This standard rational polynomial creep equation is valid for Annealed 2 1/4 Cr - 1 Mo Low Alloy Steel over a temperature range from 371°C to 593°C. The equation is described completely in the [2.]. The first term describes the primary creep strain and the last term describes the secondary creep strain. No tertiary creep strain is calculated. Only Type I (and not Type II) creep is supported. No modification is made for plastic strains.

To use this equation, input C1 = 1.0, C4 = 1.0, C6 = 11.0, and C7 = 0.0. Temperatures must be in °C and Toffset must be 273 (because of the built-in property tables). If the temperature is below the valid range, no creep is computed. Also, time must be in hours and stress in Megapascals (MPa). The hardening rules for load reversal described for the C6 = 9.0 standard Rational Polynomial creep equation are also available.

2.5.13.2.6.3. Rational Polynomial Creep Equation with English Units (C4 = 2)

To use the above standard Rational Polynomial creep equation with English units, enter C4 = 2.0.

This standard rational polynomial equation is the same as described above except that temperatures must be in °F, Toffset must be 460, and stress must be in psi. The equivalent valid temperature range is 700 - 1100°F.

2.5.13.2.7. Primary Explicit Creep Equation for C6 = 12

where:

C1 = Scaling constant
M, N, K = Function of temperature (determined by linear interpolation within table) as follows:
C5 | Number of temperature values to describe M, N, or K function (2 minimum, 6 maximum)
C49 | First absolute temperature value
C50 | Second absolute temperature value
...
C48 + C5 | C5th absolute temperature value
C48 + C5 + 1 | First M value
...
C48 + 2C5 | C5th M value
C48 + 2C5 | C5th M value
...
C48 + 2C5 | C5th M value
C48 + 2C5 + 1 | First N value
...
C48 + 3C5 | C5th N value
C48 + 3C5 + 1 | First K value
...

This power function creep law having temperature dependent coefficients is similar to Equation C6 = 1.0 except with C1 = f1(T), C2 = f2(T), C3 = f3(T), and C4 = 0. Temperatures must not be input in decreasing order.

2.5.13.2.8. Primary Explicit Creep Equation for C6 Equals 13

Sterling Power Function:

where:

εacc = creep strain accumulated to this time (calculated by the program). Internally set to 1 x 10-5 at the first substep with nonzero time to prevent division by zero.
A = C1/T
B = C2/T + C3
C = C4/T + C5

This equation is often referred to as the Sterling Power Function creep equation. Constant C7 should be 0.0. Constant C1 should not be 0.0, unless no creep is to be calculated.

2.5.13.2.9. Primary Explicit Creep Equation for C6 = 14

where:

εc = cpt/(1+pt) +
ln c = -1.350 - 5620/T - 50.6 x 10-6 σ + 1.918 ln (σ/1000)
ln p = 31.0 - 67310/T + 330.6 x 10-6 σ - 1885.0 x 10-12 σ2
ln [image] = 43.69 - 106400/T + 294.0 x 10-6 σ + 2.596 ln (σ/1000)

This creep law is valid for Annealed 316 SS over a temperature range from 800°F to 1300°F. The equation is similar to that given for C6 = 10.0 and is also described in [1.].

To use equation, input C1 = 1.0 and C6 = 14.0. Temperatures should be in °R (or °F with Toffset = 460). Time should be in hours. Constants are only valid for English units (pounds and inches). Valid temperature range: 800° - 1300°F. Maximum stress allowed for ec calculation: 45,000 psi; minimum stress: 0.0 psi. If T + Toffset < 1160, no creep is computed.

2.5.13.2.10. Primary Explicit Creep Equation for C6 = 15

General Material Rational Polynomial:

where:

This rational polynomial creep equation is a generalized form of the standard rational polynomial equations given as C6 = 9.0, 10.0, and 11.0 (C4 = 1.0 and 2.0). This equation reduces to the standard equations for isothermal cases. The hardening rules for load reversal described for the C6 = 9.0 standard Rational Polynomial creep equation are also available.

2.5.13.2.11. Primary Explicit Creep Equation for C6 = 100

A user-defined creep equation is used. See the Guide to ANSYS User Programmable Features for more information.

2.5.13.2.12. Secondary Explicit Creep Equation for C12 = 0

where:

σ = equivalent stress
T = temperature (absolute). The offset temperature (from TOFFST), is internally added to all temperatures for convenience.
t = time
e = natural logarithm base

2.5.13.2.13. Secondary Explicit Creep Equation for C12 = 1

2.5.13.2.14. Irradiation Induced Explicit Creep Equation for C66 = 5

where:

B = FG + C63
σ = equivalent stress
T = temperature (absolute). The offset temperature (from TOFFST) is internally added to all temperatures for convenience.
Φt0.5 = neutron fluence (input on BF or BFE command)
e = natural logarithm base
t = time

This irradiation induced creep equation is valid for 20% Cold Worked 316 SS over a temperature range from 700° to 1300°F. Constants 56, 57, 58 and 62 must be positive if the B term is included.

See the TB command for a listing of the elements that can be used with this material option.

See Creep in the Structural Analysis Guide for more information on this material option.

2.5.14. Shape Memory Alloys

This option (SMA) is used to model the superelastic behavior of shape memory alloys. Use this with the MP command to define the elastic behavior in the austenite state. The SMA model can be used with these elements: PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, and SOLSH190.

The SMA option is described by six constants that define the stress-strain behavior in loading and unloading for the uniaxial stress-state.

Initialize the data table with TB,SMA. For each data set, define the temperature using TBTEMP, then define constants C1 through C6 using TBDATA. You may define up to six sets of temperature-dependent constants in this manner. See Shape Memory Alloy or more information and an example.

Table 2.5 Shape Memory Alloy Constants

Constant |  | Meaning
SIG-SAS (C1) |  | Starting stress value for the forward phase transformation
SIG-FAS (C2) |  | Final stress value for the forward phase transformation
SIG-SSA (C3) |  | Starting stress value for the reverse phase transformation
SIG-FSA (C4) |  | Final stress value for the reverse phase transformation
EPSILON (C5) |  | Maximum residual strain
ALPHA (C6) | α | Parameter measuring the difference between material responses in tension and compression

Figure 2.1 Shape Memory Alloy Phases

2.5.15. Swelling Equations

If Table 4.n-1 lists "swelling" as a "Special Feature," then the element can model swelling behavior. Swelling is a material enlargement due to neutron bombardment and other effects (see the Theory Reference for ANSYS and ANSYS Workbench). The swelling strain rate may be a function of temperature, time, neutron flux level, and stress.

The fluence (which is the flux x time) is input on the BF or BFE command. A linear stepping function is used to calculate the change in the swelling strain within a load step:

where Φt is the fluence and the swelling strain rate equation is as defined in subroutine USERSW.

Because of the many empirical swelling equations available, the programming of the actual swelling equation is left to the user. In fact, the equation and the "fluence" input may be totally unrelated to nuclear swelling. See the Guide to ANSYS User Programmable Features for user programmable features.

For highly nonlinear swelling strain vs. fluence curves a small fluence step should be used. Note that since fluence (Φt), and not flux (Φ), is input, a constant flux requires that a linearly changing fluence be input if time is changing. Temperatures used in the swelling equations should be based on an absolute scale [TOFFST]. Temperature and fluence values are entered with the BF or BFE command. Swelling calculations for the current substep are based upon the previous substep results.

Initialize the swelling table with TB,SWELL. The constants entered on the TBDATA commands (6 per command) are:

Constant | Meaning
C1-CN | Constants C1, C2, C3, etc. (as required by the user swelling equations). C72 must equal 10.

See the TB command for a listing of the elements that can be used with this material option.

See Swelling in the Structural Analysis Guide for more information on this material option.

2.5.16. MPC184 Joint Materials

The JOIN material option on the TB command allows you to impose linear and nonlinear elastic stiffness and damping behavior or hysteretic friction behavior on the available components of relative motion of an MPC184 joint element. The material behaviors described here apply to all joint elements except the weld, orient, and spherical joints.

Note that the TB command may be repeated with the same material ID number to specify both the stiffness and damping behavior.

2.5.16.1. Linear Elastic Stiffness and Damping Behavior

Input the linear stiffness or damping behavior for the relevant components of relative motion of a joint element by specifying the terms as part of a 6 x 6 matrix with data table commands as described below.

The 6 x 6 matrix for linear stiffness or damping behavior is as follows:

Enter the stiffness or damping coefficient of the matrix in the data table with TB set of commands. Initialize the constant table with TB,JOIN,,,STIF (for stiffness behavior) or TB,JOIN,,,DAMP (for damping behavior). Define the temperature with TBTEMP, followed by the relevant constants input with TBDATA commands. Matrix terms are linearly interpolated between temperature points. Based on the joint type, the relevant constant specification is as follows:

Joint Element | Constant | Meaning
x-axis Revolute joint | C16 | Term D44
z-axis Revolute joint | C21 | Term D66
Universal joint | C16, C18, C21 | Terms D44, D64, D66
Slot joint | C1 | Term D11
Point-in-plane joint | C7, C8, C12 | Terms D22, D32, D33
Translational joint | C1 | Term D11
x-axis Cylindrical joint | C1, C4, C16 | Terms D11, D41, D44
z-axis Cylindrical joint | C12, C15, C21 | Terms D33, D63, D66
x-axis Planar joint | C7, C8, C9, C12, C13, C16 | Terms D22, D32, D42, D33, D43, D44
z-axis Planar joint | C1, C2, C6, C7, C11, C21 | Terms D11, D21, D61, D22, D62, D66
General joint | Use appropriate entries based on unconstrained DOFs. |

The following example shows how you would define the uncoupled linear elastic stiffness behavior for a universal joint at the two available components of relative motion, with two temperature points:

TB,JOIN,1,2,,STIF	! Activate JOIN material model with linear elastic stiffness
TBTEMP,100.0		! Define first temperature
TBDATA,16,D44		! Define constant D44 in the local ROTX direction
TBDATA,21,D66		! Define constant D66 in the local ROTZ direction
TBTEMP,200.0		! Define second temperature
TBDATA,16,D44		! Define constant D44 in the local ROTX direction.
TBDATA,21,D66		! Define constant D66 in the local ROTZ direction.

2.5.16.2. Nonlinear Elastic Stiffness and Damping Behavior

You can specify nonlinear elastic stiffness as a displacement (rotation) versus force (moment) curve using the TB,JOIN command with a suitable TBOPT setting. Use the TBPT command to specify the data points. The values may be temperature dependent. You can specify nonlinear damping behavior in a similar manner by supplying velocity versus damping force (or moment). The appropriate TBOPT labels for each joint element type are shown in the tables below. See "JOIN Specifications" in the TB command for a description of each TBOPT label.

Nonlinear Stiffness Behavior
Joint Element | TBOPT on TB command
x-axis Revolute joint | JNSA, JNS4
z-axis Revolute joint | JNSA, JNS6
Universal joint | JNSA, JNS4, and JNS6
Slot joint | JNSA and JNS1
Point-in-plane joint | JNSA, JNS2, and JNS3
Translational joint | JNSA and JNS1
x-axis Cylindrical joint | JNSA, JNS1, and JNS4
z-axis Cylindrical joint | JNSA, JNS3, and JNS6
x-axis Planar joint | JNSA, JNS2, JNS3, and JNS4
z-axis Planar joint | JNSA, JNS1, JNS2, and JNS6
General joint | Use appropriate entries based on unconstrained degrees of freedom
Nonlinear Damping Behavior
Joint Element | TBOPT on TB command
x-axis Revolute joint | JNDA, JND4
z-axis Revolute joint | JNDA, JND6
Universal joint | JNDA, JND4, and JND6
Slot joint | JNDA and JND1
Point-in-plane joint | JNDA, JND2, and JND3
Translational joint | JNDA and JND1
x-axis Cylindrical joint | JNDA, JND1, and JND4
z-axis Cylindrical joint | JNDA, JND3, and JND6
x-axis Planar joint | JNDA, JND2, JND3, and JND4
z-axis Planar joint | JNDA, JND1, JND2, and JND6
General joint | Use appropriate entries based on unconstrained degrees of freedom

The following example illustrates the specification of nonlinear stiffness behavior for a revolute joint that has only one available component of relative motion (the rotation around the axis of revolution). Two temperature points are specified.

TB,JOIN,1,2,2,JNS4
TBTEMP,100.
TBPT,,rotation_value_1,moment_value_1
TBPT,,rotation_value_2,moment_value_2
TBTEMP,200.0
TBPT,,rotation_value_1,moment_value_1
TBPT,,rotation_value_2,moment_value_2

2.5.16.3. Hysteretic Frictional Behavior

You can specify hysteretic frictional behavior as a relative displacement (rotation) versus frictional force (moment) curve using the TB,JOIN command with a suitable TBOPT setting. Use the TBPT command to specify the data points. The values may be temperature dependent. Only the upper half of the X-Y plane values is necessary. The curve is then reflected onto the lower half of the X-Y plane. The appropriate TBOPT labels for each joint element type are shown in the tables below. See "JOIN Specifications" in the TB command for a description of each TBOPT label.

Hysteretic Frictional Behavior
Joint Element | TBOPT on TB command
x-axis Revolute joint | JNFA, JNF4
z-axis Revolute joint | JNFA, JNF6
Universal joint | JNFA, JNF4, and JNF6
Slot joint | JNFA and JNF1
Point-in-plane joint | JNFA, JNF2, and JNF3
Translational joint | JNFA and JNF1
x-axis Cylindrical joint | JNFA, JNF1, and JNF4
z-axis Cylindrical joint | JNFA, JNF3, and JNF6
x-axis Planar joint | JNFA, JNF2, JNF3, and JNF4
z-axis Planar joint | JNFA, JNF1, JNF2, and JNF6
General joint | Use appropriate entries based on unconstrained degrees of freedom

You may specify a stick stiffness value using TBOPT = FRIC on the TB,JOIN command. The stick stiffness value is used to model the elastic behavior inside the two bounding curves specified. Input the stick stiffness for the relevant components of relative motion of a joint element by specifying the terms as part of a 6 x 6 matrix with data table commands as described below.

The 6 x 6 matrix for stick stiffness is as follows:

The relevant stick stiffness values are based on the joint type as follows:

Joint Element | Constant | Meaning
x-axis Revolute joint | C16 | Terms D44
z-axis Revolute joint | C21 | Term D66
Universal joint | C16, C18, C21 | Terms D44, D64, D66
Slot joint | C1 | Terms D11
Point-in-plane joint | C7, C8, C12 | Terms D22, D32, D33
Translational joint | C1 | Terms D11
x-axis Cylindrical joint | C1, C4, C16 | Terms D11, D41, D44
z-axis Cylindrical joint | C12, C15, C21 | Terms D33, D63, D66
x-axis Planar joint | C7, C8, C9, C12, C13, C16 | Terms D22, D32, D42, D33, D43, D44
z-axis Planar joint | C1, C2, C6, C7, C11, C21 | Terms D11, D21, D61, D22, D62, D66
General joint | Depends on the unconstrained relative DOFs. |

The following example illustrates the specification of the hysteretic frictional behavior for an x-axis revolute joint.

Specify the stick stiffness value as follows:

TB,JOIN,1,,,FRIC
TBDATA,16,D44

Specify the displacement (rotation) versus force (moment) curve as follows:

TB,JOIN,1,,2,JNF4
TBPT,,rotation_value_1,moment_value_1
TBPT,,rotation_value_2,moment_value_2

Note that the moment values must be positive in the above specification. If the stick stiffness value is not specified, it is computed by default as 100 times the first force value specified on the hysteretic curve.

2.5.17. Contact Friction

Contact friction is a material property that is used with contact elements CONTAC12, CONTAC52, CONTA171, CONTA172, CONTA173, CONTA174, CONTA175, CONTA176, CONTA177, and CONTA178. It is specified through the coefficient of friction, MU. Contact friction may be isotropic or orthotropic.

2.5.17.1. Isotropic Friction

Isotropic friction is applicable to 2-D and 3-D contact and is available for all contact elements. Use the TB,FRIC command with TBOPT = ISO to define isotropic friction, and specify the coefficient of friction MU on the TBDATA command. This is the recommended method for defining isotropic friction. To define a temperature dependent coefficient of friction, use the TBTEMP command as shown below:

TB,FRIC,1,2,,ISO     ! Activate isotropic friction model
TBTEMP,100.0         ! Define first temperature
TBDATA,1,MU          ! Define coefficient of friction at temp 100.0
TBTEMP,200.0         ! Define second temperature
TBDATA,1,MU          ! Define coefficient of friction at temp 200.0

Alternatively, you can use MU on the MP command to specify the isotropic friction. Use the MPTEMP command to define MU as a function of temperature. See Linear Material Properties for details.

2.5.17.2. Orthotropic Friction

The orthotropic friction model uses two different coefficients of friction in two principal directions (see Frictional Model in the Theory Reference for ANSYS and ANSYS Workbench for details). It is applicable only to 3-D contact and is available for elements CONTA173, CONTA174, CONTA175, CONTA176, and CONTA177. Use the TB,FRIC command with TBOPT = ORTHO to define orthotropic friction, and specify the coefficients of friction, MU1 and MU2, on the TBDATA command. To define a temperature dependent coefficient of friction, use the TBTEMP command as shown below:

TB,FRIC,1,2,,ORTHO	  ! Activate orthotropic friction model
TBTEMP,100.0         ! Define first temperature
TBDATA,1,MU1,MU2     ! Define coefficients of friction at temp 100.0
TBTEMP,200.0         ! Define second temperature
TBDATA,1,MU1,MU2     ! Define coefficients of friction at temp 200.0

2.5.18. Cohesive Zone Materials

Cohesive zone materials can be used with interface elements INTER202, INTER203, INTER204 and INTER205, as well as contact elements CONTA171, CONTA172, CONTA173, CONTA174, CONTA175, CONTA176, and CONTA177. For theoretical background on cohesive zone materials, see Cohesive Zone Material Model in the Theory Reference for ANSYS and ANSYS Workbench.

2.5.18.1. Cohesive Zone Materials for Interface Elements

The interface elements allow cohesive zone materials to be used for simulating interface delamination and other fracture phenomenon. Use the TB,CZM command with TBOPT = EXPO to define exponential material behavior, and specify the following material constants using the TBDATA command.

Constant | Symbol | Meaning
C1 | σmax | maximum normal traction at the interface
C2 | δn | normal separation across the interface where the maximum normal traction is attained
C3 | δt | shear separation where the maximum shear traction is attained

To define a temperature dependent material, use the TBTEMP command as shown below:

TB,CZM,1,2,,EXPO     ! Activate exponential material model
TBTEMP,100.0	     ! Define first temperature
TBDATA,1,σmax,δn,δt  ! Define material constants at temp 100.0
TBTEMP,200.0	     ! Define second temperature
TBDATA,1,σmax,δn,δt  ! Define material constants at temp 200.0

2.5.18.2. Cohesive Zone Materials for Contact Elements

To model interface delamination, also known as debonding, the contact elements support a cohesive zone material model with bilinear behavior. This model allows two ways to specify material data.

Bilinear Material Behavior with Tractions and Separation Distances

Use the TB,CZM command with TBOPT = CBDD to define bilinear material behavior with tractions and separation distances, and specify the following material constants using the TBDATA command.

Constant | Symbol | Meaning
C1 | σmax | maximum normal contact stress
C2 |  | contact gap at the completion of debonding
C3 | τmax | maximum equivalent tangential contact stress
C4 |  | tangential slip at the completion of debonding
C5 | η | artificial damping coefficient
C6 | β | flag for tangential slip under compressive normal contact stress

To define a temperature dependent material, use the TBTEMP command as shown below:

TB,CZM,1,2,,CBDD     ! Activate bilinear material model with tractions
                     ! and separation distances
TBTEMP,100.0         ! Define first temperature
TBDATA,1,σmax,   ,τmax,   ,η,β  ! Define material constants at temp 100.0
TBTEMP,200.0         ! Define second temperature
TBDATA,1,σmax,   ,τmax,   ,η,β  ! Define material constants at temp 200.0

Bilinear Material Behavior with Tractions and Critical Fracture Energies

Use the TB,CZM command with TBOPT = CBDE to define bilinear material behavior with tractions and critical fracture energies, and specify the following material constants using the TBDATA command.

Constant | Symbol | Meaning
C1 | σmax | maximum normal contact stress
C2 | Gcn | critical fracture energy for normal separation
C3 | τmax | maximum equivalent tangential contact stress
C4 | Gct | critical fracture energy for tangential slip
C5 | η | artificial damping coefficient
C6 | β | flag for tangential slip under compressive normal contact stress

To define a temperature dependent material, use the TBTEMP command as shown below:

TB,CZM,1,2,,CBDE                ! Activate bilinear material model with
                                ! tractions and facture energies
TBTEMP,100.0                    ! Define first temperature
TBDATA,1,σmax,Gcn,τmax,Gct,η,β  ! Define material constants at temp 100.0
TBTEMP,200.0                    ! Define second temperature
TBDATA,1,σmax,Gcn,τmax,Gct,η,β  ! Define material constants at temp 200.0

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.4. Linear Material Properties 		Up / Home Next
2.6. Material Model Combinations


2.6. Material Model Combinations

You can combine several of the material model options discussed in this chapter to simulate various material behaviors. Table 2.6: "Material Model Combination Possibilities" presents the model options you can combine along with the associated TB command labels, and links to sample input listings located under Material Model Combinations in the Structural Analysis Guide.

Table 2.6 Material Model Combination Possibilities

Model | With ... | Combination Type | Command, Label | Link to Example
Plasticity | Combined Hardening | Bilinear | TB,BISO + TB,CHAB | BISO and CHAB Example
Plasticity | Combined Hardening | Multilinear | TB,MISO + TB,CHAB | MISO and CHAB Example
Plasticity | Combined Hardening | Multilinear | TB, PLAS,,,,MISO + TB,CHAB | PLAS (Multilinear Isotropic Hardening) and CHAB Example
Plasticity | Combined Hardening | Nonlinear | TB,NLISO + TB,CHAB | NLISO and CHAB Example
Plasticity | Combined Hardening | Multilinear | TB,PLAS,,,,MISO + TB,EDP | PLAS (MISO) and EDP Example
Plasticity | Combined Hardening | Multilinear | TB,MISO+ TB,EDP | MISO and EDP Example
Viscoplasticity | Isotropic Hardening | Bilinear | TB,PLAS,,,,BISO + TB,EDP | BISO and RATE Example
Viscoplasticity | Isotropic Hardening | Multilinear | TB,MISO + TB,RATE | MISO and RATE Example
Viscoplasticity | Isotropic Hardening | Multilinear | TB,PLAS,,,,MISO + TB,RATE | PLAS (MISO) and RATE Example
Viscoplasticity | Isotropic Hardening | Nonlinear | TB,NLISO + TB,RATE | NLISO and RATE Example
Gurson Plasticity | Isotropic Hardening | Bilinear | TB,GURS + TB,BISO | GURSON and BISO Example
Gurson Plasticity | Isotropic Hardening | Multilinear | TB,GURS + TB,MISO | GURSON and MISO Example
Gurson Plasticity | Isotropic Hardening | Multilinear | TB,GURS + TB,PLAS,,, MISO | GURSON and PLAS (MISO) Example
Gurson Plasticity | Isotropic Hardening | Nonlinear | TB,GURS + TB,NLISO | GURSON and NLISO Example
Plasticity and Creep (Implicit) | Isotropic Hardening | Bilinear | TB,BISO + TB,CREEP | BISO and CREEP Example
Plasticity and Creep (Implicit) | Isotropic Hardening | Multilinear | TB,MISO + TB,CREEP | MISO and CREEP Example
Plasticity and Creep (Implicit) | Isotropic Hardening | Multilinear | TBPLAS,,,,MISO + TB,CREEP | PLAS (MISO) and CREEP Example
Plasticity and Creep (Implicit) | Isotropic Hardening | Nonlinear | TB,NLISO + TB,CREEP | NLISO and CREEP Example
Plasticity and Creep (Implicit) | Kinematic Hardening | Bilinear | TB,BKIN + TB,CREEP | BKIN and CREEP Example
Anisotropic Plasticity | Isotropic Hardening | Bilinear | TB,HILL + TB,BISO | HILL and BISO Example
Anisotropic Plasticity | Isotropic Hardening | Multilinear | TB,HILL + TB,MISO | HILL and MISO Example
Anisotropic Plasticity | Isotropic Hardening | Multilinear | TB,HILL + TBPLAS,,,,MISO | HILL and PLAS (MISO) Example
Anisotropic Plasticity | Isotropic Hardening | Nonlinear | TB,HILL + TB,NLSIO | HILL and NLISO Example
Anisotropic Plasticity | Kinematic Hardening | Bilinear | TB,HILL + TB,BKIN | HILL and BKIN Example
Anisotropic Plasticity | Kinematic Hardening | Multilinear | TB,HILL + TB,MKIN | HILL and MKIN Example,
Anisotropic Plasticity | Kinematic Hardening | Multilinear | TB,HILL + TB,/ KINH | HILL and KINH Example
Anisotropic Plasticity | Kinematic Hardening | Multilinear | TB,HILL + TBPLAS,,,, KINH | HILL and PLAS (KINH) Example
Anisotropic Plasticity | Kinematic Hardening | Chaboche | TB,HILL + TB,CHAB | HILL and CHAB Example
Anisotropic Plasticity | Combined Hardening | Bilinear Isotropic and Chaboche | TB,HILL + TB,BISO + TB,CHAB | HILL and BISO and CHAB Example
Anisotropic Plasticity | Combined Hardening | Multilinear Isotropic and Chaboche | TB,HILL + TB,MISO + TB,CHAB | HILL and MISO and CHAB Example
Anisotropic Plasticity | Combined Hardening | Multilinear Isotropic and Chaboche | TB,HILL + TB,PLAS,,,,MISO + TB,CHAB | HILL and PLAS (MISO) and CHAB Example
Anisotropic Plasticity | Combined Hardening | Nonlinear Isotropic and Chaboche | TB,HILL + TB,NLISO + TB,CHAB | HILL and NLISO and CHAB Example
Anisotropic Viscoplasticity | Isotropic Hardening | Bilinear | TB,HILL + TB,RATE + TB,BISO | HILL and RATE and BISO Example
Anisotropic Viscoplasticity | Isotropic Hardening | Multilinear | TB,HILL + TB,RATE + TB,MISO | HILL and RATE and MISO Example
Anisotropic Viscoplasticity | Isotropic Hardening | Nonlinear | TB,HILL + TB,RATE + TB,NLISO | HILL and RATE and NLISO Example
Anisotropic Creep (Implicit) |  |  | TB,HILL + TB,CREEP | HILL and CREEP Example
Anisotropic Creep and Plasticity (Implicit) | Isotropic Hardening | Bilinear | TB,HILL + TB,CREEP + TB,BISO | HILL and CREEP and BISO Example
Anisotropic Creep and Plasticity (Implicit) | Isotropic Hardening | Multilinear | TB,HILL + TB,CREEP + TB,MISO | HILL and CREEP and MISO Example
Anisotropic Creep and Plasticity (Implicit) | Isotropic Hardening | Multilinear | TB,HILL + TB,CREEP + TB,MISO | HILL and CREEP and PLAS (MISO) Example
Anisotropic Creep and Plasticity (Implicit) | Isotropic Hardening | Nonlinear | TB,HILL + TB,CREEP + TB,NLISO | HILL and CREEP and NLISO Example
Anisotropic Creep and Plasticity (Implicit) | Kinematic Hardening | Bilinear | TB,HILL + | HILL and CREEP and BKIN Example
Hyperelasticity and Viscoelasticity (Implicit) | Finite Strain Viscoelasticity | Nonlinear | TB,HYPER + TB,VISCO | HYPERELASTICITY and VISCOELASTICITY Example

Presented below are cross-reference links to other sections in this chapter, and to other locations in the documentation that provide descriptions of the individual material model options represented in the table above.

  • Bilinear Isotropic Hardening [TB,BISO] - Bilinear Isotropic Hardening [1].

  • Bilinear Kinematic Hardening [TB,BKIN] - Bilinear Kinematic Hardening [1].

  • Chaboche Nonlinear Kinematic Hardening [TB,CHAB] - Nonlinear Kinematic Hardening [1].

  • Creep (Implicit) [TB,CREEP] - Creep Equations; Creep in the Structural Analysis Guide.

  • Hill Anisotropy [TB,HILL] - Hill's Anisotropy [1].

  • Multilinear Isotropic Hardening [TB,MISO] - Multilinear Isotropic Hardening [1].

  • Multilinear Kinematic Hardening [TB,MKIN or KINH] - Multilinear Kinematic Hardening [1].

  • Nonlinear Isotropic Hardening [TB,NLISO] - Nonlinear Isotropic Hardening [1].

  • Rate-Dependent Plasticity [TB,RATE] - Rate-Dependent Plastic (Viscoplastic) Materials; Viscoplasticity in the Structural Analysis Guide.

  1. Further information on this option is available under Plastic Material Options in the Structural Analysis Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.5. Data Tables - Implicit Analysis 		Up / Home Next
2.7. Explicit Dynamics Materials


2.7. Explicit Dynamics Materials

Material properties used in explicit dynamic analyses (ANSYS LS-DYNA User's Guide program) differ somewhat from those used in ANSYS implicit analyses. (Those used in ANSYS implicit analyses are discussed in Linear Material Properties and Data Tables - Implicit Analysis.) Most explicit dynamics material models require data table input. A data table is a series of constants that are interpreted when they are used. Data tables are always associated with a material number and are most often used to define nonlinear material data (e.g., stress-strain curves). The form of the data table (referred to as the TB table) depends on the material model being defined.

For a complete description of all explicit dynamics material models, including detailed data table input, see Material Models in the ANSYS LS-DYNA User's Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.6. Material Model Combinations 		Up / Home Next
2.8. Node and Element Loads


2.8. Node and Element Loads

Loadings are defined to be of two types: nodal and element. Nodal loads are defined at the nodes and are not directly related to the elements. These nodal loads are associated with the degrees of freedom at the node and are typically entered with the D and F commands (such as nodal displacement constraints and nodal force loads). Element loads are surface loads, body loads, and inertia loads. Element loads are always associated with a particular element (even if the input is at the nodes). Certain elements may also have "flags."

Flags are not actually loads, but are used to indicate that a certain type of calculation is to be performed. For example, when the FSI (fluid-structure interaction) flag is turned on, a specified face of an acoustic element is treated as an interface between a fluid portion and a structural portion of the model. Similarly, MXWF and MVDI are flags used to trigger magnetic force (Maxwell surface) and Jacobian force (virtual displacement) calculations, respectively, in certain magnetics elements. Details of these flags are discussed under the applicable elements in "Element Library".

Flags are associated either with a surface (FSI and MXWF) and are applied as surface loads (below), or with an element (MVDI) and are applied as body loads (below). For the FSI and MXWF flags, values have no meaning - these flags are simply turned on by specifying their label on the appropriate command. For the MVDI flag, its value (which can range from zero to one) is specified, along with the label, on the appropriate command. Flags are always step-applied (i.e., the KBC command does not affect them).

Surface loads (pressures for structural elements, convections for thermal element, etc.) may be input in a nodal format or an element format. For example, surface loading may be applied to an element face or, for convenience, to the face nodes of an element (which are then processed like face input). Nodal input of surface loads also allows a more general entry of tapered values. Surface loads are typically input with the SF and SFE commands. Some elements allow multiple types of surface loads (as shown with the load labels listed under "Surface Loads" in the input table for each element type). Also, some elements allow multiple loads on a single element face (as indicated with the load numbers after the load labels). Load numbers are shown on the element figures (within circles) and point in the direction of positive load to the face upon which the load acts. A surface load applied on the edge of a shell element is on a per unit length basis, not per unit area.

Surface loads are designated by a label and a key. The label indicates the type of surface load and the key indicates where on the element the load acts. For example, for element type PLANE42, the surface load list of "Pressure: face 1 (J-I), face 2 (K-J), face 3 (L-K), face 4 (I-L)" indicates that pressure loads are available on 4 faces: the line from node J to node I defines the element's face 1 (identified on surface load commands with key = 1), and K-J (key = 2), L-K (key = 3), and IL (key = 4). Likewise, for thermal element type PLANE55, the surface load list shows that convections and heat fluxes can be applied to the 4 faces of the element by using surface load commands.

The surface load can be defined on element faces with the SFE command by using key (i.e., LKEY), the load label (Lab), and the load value. The SF command can be used to define surface loads by using nodes to identify element faces. The CONV load label requires two values, the first value being the film coefficient and the second being the bulk temperature.

A tapered surface load, which allows different values to be defined at the nodes of an element, may be entered with the SFE command. Tapered loads are input in the same order that the face nodes are listed. For example, for element type PLANE42 with load label PRES and key = 1, the pressures are input in the node J to I order. For element type SOLID45, which has a surface load list of "Pressures: face 1 (J-I-L-K), etc.," the corresponding pressures are input in the node J, I, L, K order.

Table 2.7: "Surface Loads Available in Each Discipline" shows surface loads available in each discipline and their corresponding ANSYS labels.

Table 2.7 Surface Loads Available in Each Discipline

Discipline | Surface Load | ANSYS Label
Structural | Pressure | PRES[1]
Thermal | Convection, Heat Flux, Infinite Surface | CONV, HFLUX, INF
Magnetic | Maxwell Surface, Infinite Surface | MXWF, INF
Electric | Maxwell Surface, Surface Charge Density, Infinite Surface, Temperature | MXWF, CHRGS, INF, TEMP
Fluid | Fluid-Structure Interface, Impedance | FSI, IMPD
All | Superelement Load Vector | SELV

  1. Not to be confused with the PRES degree of freedom

Body loads (temperatures for structural elements, heat generation rates for thermal elements, etc.) may be input in a nodal format or an element format. For some structural elements, the temperature does not contribute to the element load vector but is only used for material property evaluation. For thermal elements using the diagonalized specified heat matrix option in a transient analyses, a spatially varying heat generation rate is averaged over the element. Heat generation rates are input per unit volume unless otherwise noted with the element. The element format is usually in terms of the element nodes but may be in terms of fictitious corner points as described for each element. Corner point numbers are shown on the element figures where applicable. Either the nodal or the element loading format may be used for an element, with the element format taking precedence. Nodal body loads are internally converted to element body loads. Body loads are typically entered with the BF, BFE, and BFUNIF commands. See also Body Loads for additional details.

Table 2.8: "Body Loads Available in Each Discipline" shows all body loads available in each discipline and their corresponding ANSYS labels.

Table 2.8 Body Loads Available in Each Discipline

Discipline | Body Load | ANSYS Label
Structural | Temperature, Fluence | TEMP[1], FLUE
Thermal | Heat Generation Rate | HGEN
Magnetic | Temperature, Current Density, Virtual Displacement, Voltage Drop | TEMP[1], JS, MVDI, VLTG
Electric | Temperature, Charge Density | TEMP[1], CHRGD
Fluid[1] | Heat Generation Rate, Force Density | HGEN, FORC

  1. Not to be confused with the TEMP degree of freedom

Inertial loads (gravity, spinning, etc.), are applicable to all elements with structural DOFs and having mass (i.e., elements having mass as an input real constant or having a density (DENS) material property). Inertia loads are typically entered with the ACEL and OMEGA commands.

Initial stresses can be set as constant or read in from a file for the following element types: LINK180, SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, BEAM188, BEAM189, SHELL208, SHELL209, and SHELL281. The INISTATE command allows you to set constant initial stress for selected elements and, optionally, only for specified materials. This command also allows you to read in a file specifying the initial stresses. The stresses specified in the input file can be applied to the element centroids or element integration points, and can be applied to the same points for all selected elements or can be applied differently for each element. The stresses can also be a written to an external file. See the INISTATE command, and Initial State Loading in the Basic Analysis Guide for more information on the new INISTATE capability.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.7. Explicit Dynamics Materials 		Up / Home Next
2.9. Triangle, Prism and Tetrahedral Elements


2.9. Triangle, Prism and Tetrahedral Elements

Degenerated elements are elements whose characteristic face shape is quadrilateral, but is modeled with at least one triangular face. For example, PLANE42 triangles, SOLID45 wedges, and SOLID45 tetrahedra are all degenerated shapes.

Degenerated elements are often used for modeling transition regions between fine and coarse meshes, for modeling irregular and warped surfaces, etc. Degenerated elements formed from quadrilateral and brick elements without midside nodes are much less accurate than those formed from elements with midside nodes and should not be used in high stress gradient regions. If used elsewhere, they should be used with caution.

An exception where triangular shell elements are preferred is for severely skewed or warped elements. Quadrilateral shaped elements should not be skewed such that the included angle between two adjacent faces is outside the range of 90° ± 45° for non-midside-node elements or 90° ± 60° for midside-node elements. Warping occurs when the 4 nodes of a quadrilateral shell element (or solid element face) are not in the same plane, either at input or during large deflection. Warping is measured by the relative angle between the normals to the face at the nodes. A flat face (no warping) has all normals parallel (zero relative angle). A warning message is output if warping is beyond a small, but tolerable value. If warping is excessive, the problem will abort. See the Theory Reference for ANSYS and ANSYS Workbench for element warping details and other element checking details. Triangular (or prism) elements should be used in place of a quadrilateral (or brick) element with large warping.

When using triangular elements in a rectangular array of nodes, best results are obtained from an element pattern having alternating diagonal directions. Also, for shell elements, since the element coordinate system is relative to the I-J line, the stress results are most easily interpreted if the I-J lines of the elements are all parallel.

Degenerated triangular 2-D solid and shell elements may be formed from 4-node quadrilateral elements by defining duplicate node numbers for the third and fourth (K and L) node locations. The node pattern then becomes I, J, K, K. If the L node is not input, it defaults to node K. If extra shape functions are included in the element, they are automatically suppressed (degenerating the element to a lower order). Element loads specified on a nodal basis should have the same loads specified at the duplicate node locations. When forming a degenerated triangular element by repeating node numbers, the face numbering remains the same. Face 3, however, condenses to a point. The centroid location printed for a degenerated triangular element is usually at the geometric centroid of the element. Elements should be oriented with alternating diagonals, if possible.

Degenerated triangular prism elements may be formed from 8-node 3-D solid elements by defining duplicate node numbers for the third and fourth (K and L) and the seventh and eighth (O and P) node locations. The node pattern then becomes I, J, K, K, M, N, O, O. When forming a degenerated prism element by repeating node numbers, the face numbering remains the same. Face 4, however, condenses to a line. The centroid location printed for a degenerated element is not at the geometric centroid but is at an average nodal location. The integration points are proportionately rearranged within the element. Elements should be oriented with alternating diagonals, if possible. If extra shape functions are included in the element, they are partially suppressed. Element loads should have the same loads specified at the duplicate node locations.

A degenerated tetrahedral element may be formed from a triangular prism element by a further condensation of face 6 to a point. The input node pattern should be I, J, K, K, M, M, M, M. If extra shape functions are included in the element, they are automatically suppressed. Element nodal loads should have the same loads specified at the duplicate node locations.

Warning: Surface stress (or convection heat flow) printout (see Surface Solution) should not be requested on a condensed face. Also, pressures (or convection conditions) should not be defined on a condensed face.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.8. Node and Element Loads 		Up / Home Next
2.10. Shell Elements


2.10. Shell Elements

Shell elements are a special class of elements that are designed to efficiently model thin structures. They take advantage of the fact that the only shear on the free surfaces is in-plane. Normals to the shell middle surface stay straight, but not necessarily normal. As a result, the in-plane strain variation through the thickness cannot be more complex than linear.

The assumption of linear in-plane strain variation through the thickness is definitely not valid at the edges of layered composite shell elements that have different material properties at each layer. For accurate stresses in this area, you should use submodeling.

There are no hard rules as to when is it valid to use shell elements. But if the structure acts like a shell, then you may use shell elements. The program does not check to see if the element thickness exceeds its width (or many times its width) since such an element may be part of a fine mesh of a larger model that acts as a shell. If the initial shape of the model is curved, then the radius/thickness ratio is important since the strain distribution through the thickness will depart from linear as the ratio decreases. With the exception of SHELL61 and SHELL63, all shell elements allow shear deformation. This is important for relatively thick shells.

The element coordinate system for all shell elements has the z-axis normal to the plane. The element x-axis is in the plane, with its orientation determined by one of the following: the ESYS command, side I-J of the element, or real constants.

Various shell element types tolerate a different degree of warping before their results become questionable (see Warping Factor in the Theory Reference for ANSYS and ANSYS Workbench). Four-node shell elements that do not have all their nodes in the same plane are considered to be warped. Eight-node shell elements can accept a much greater degree of warping, but unlike other midside-node elements, their midside nodes cannot be dropped.

The in-plane rotational (drill) stiffness is added at the nodes for solution stability, as shell elements do not have a true in-plane stiffness. Consequently, you should never expect the in-plane rotational stiffness to carry a load.

Nodes are normally located on the center plane of the element. You can offset nodes from the center plane using one of the following: the SECOFFSET command, an element KEYOPT, or a rigid link (MPC184) that connects a middle surface node to an out-of-plane node. You must use node offsets with care when modeling initially curved structures with either flat or curved elements. For curved elements, an increased mesh density in the circumferential direction may improve the results.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.9. Triangle, Prism and Tetrahedral Elements 		Up / Home Next
2.11. Generalized Plane Strain Option of 18x Solid Elements


2.11. Generalized Plane Strain Option of 18x Solid Elements

The generalized plane strain option is a feature developed for PLANE182 and PLANE183. The generalized plane strain feature assumes a finite deformation domain length in the Z direction, as opposed to the infinite value assumed for standard plane strain. Generalized plane strain, therefore, will give more practical results for deformation problems where the Z-direction dimension is not long enough. It will also give users a more efficient way to simulate certain 3-D deformations using 2-D element options.

The deformation domain or structure is formed by extruding a plane area along a curve with a constant curvature, as shown in Figure 2.2: "Generalized Plane Strain Deformation". The extruding begins at the starting (or reference) plane and stops at the ending plane. The curve direction along the extrusion path is called the fiber direction. The starting and ending planes must be perpendicular to this fiber direction at the beginning and ending intersections. If the boundary conditions and loads in the fiber direction do not change over the course of the curve, and if the starting plane and ending plane remain perpendicular to the fiber direction during deformation, then the amount of deformation of all cross sections will be identical throughout the curve, and will not vary at any curve position in the fiber direction. Therefore, any deformation can be represented by the deformation on the starting plane, and the 3-D deformation can be simulated by solving the deformation problem on the starting plane. The existing plane strain and axisymmetric options will be particular cases of the generalized plane strain option.

Figure 2.2 Generalized Plane Strain Deformation

All inputs and outputs are in the global Cartesian coordinate system. The starting plane must be the X-Y plane, and must be meshed. The applied nodal force on the starting plane is the total force along the fiber length. The geometry in the fiber direction is specified by the rotation about X and Y of the ending plane and the fiber length passing through a user-specified point on the starting plane called the starting or reference point. The starting point creates an ending point on the ending plane through the extrusion process. The boundary conditions and loads in the fiber direction are specified by applying displacements or forces at the ending point. This ending point can be different from regular nodes, in that it is designated by the same X - Y coordinates that are fixed in plane during deformation.

The generalized plane strain option introduces three new degrees of freedom for each element. Two internal nodes will be created automatically at the solution stage for the generalized plane strain option to carry the extra three DOF's. Users can apply boundary conditions and loads and check the results of the fiber length and rotation angle changes, and reaction forces, using the commands GSBDATA, GSGDATA, GSSOL, and GSLIST. The results of the fiber length change, rotation angle change, and reaction forces can also be viewed through OUTPR.

The fiber length change is positive when the fiber length increases. The sign of the rotation angle or angle change is determined by how the fiber length changes when the coordinates of the ending point change. If the fiber length decreases when the X coordinate of the ending point increases, the rotation angle about Y is positive. If the fiber length increases when the Y coordinate of the ending point increases, the rotation angle about X is positive.

In Eigenvalue analyses, such as Eigen buckling and modal analysis, the generalized plane strain option usually reports fewer Eigenvalues and Eigenvectors than you would obtain in a 3-D analysis. Because it reports only homogenous deformation in the fiber direction, generalized plane strain employs only three DOFs to account for these deformations. The same 3-D analysis would incorporate many more DOFs in the fiber direction.

Because the mass matrix terms relating to DOFs in the fiber direction are approximated for modal and transient analyses, you cannot use the lumped mass matrix for these types of analyses, and the solution may be slightly different from regular 3-D simulations when any of the three designated DOFs is not restrained.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.10. Shell Elements 		Up / Home Next
2.12. Axisymmetric Elements


2.12. Axisymmetric Elements

An axisymmetric structure may be represented by a plane (X, Y) finite-element model. The use of an axisymmetric model greatly reduces the modeling and analysis time compared to that of an equivalent 3-D model. A special class of ANSYS axisymmetric elements (called harmonic elements: PLANE25, SHELL61, PLANE75, PLANE78, FLUID81, and PLANE83) allow a nonaxisymmetric load and are discussed in Axisymmetric Elements with Nonaxisymmetric Loads.

All axisymmetric elements are modeled on a 360° basis. Hence, all input and output nodal heat flows, forces, moments, fluid flows, current flows, electric charges, magnetic fluxes, and magnetic current segments must be input in this manner. Similarly, input real constants representing volumes, convection areas, thermal capacitances, heat generations, spring constants, and damping coefficients must also be input in on a 360° basis.

Unless otherwise stated, the model must be defined in the Z = 0.0 plane. The global Cartesian Y-axis is assumed to be the axis of symmetry. Further, the model is developed only in the +X quadrants. Hence, the radial direction is in the +X direction.

The boundary conditions are described in terms of the structural elements. The forces (FX, FY, etc.) and displacements (UX, UY, etc.) for the structural elements are input and output in the nodal coordinate system. All nodes along the y-axis centerline (at x = 0.0) should have the radial displacements (UX if not rotated) specified as zero, unless a pinhole effect is desired. At least one value of UY should be specified or constrained to prevent rigid body motions. Torsion, while axisymmetric, is available only for a few element types. If an element type allows torsion, all UZ degrees of freedom should be set to 0.0 on the centerline, and one node with a positive X coordinate must also have a specified or constrained value of UZ. Pressures and temperatures may be applied directly. Acceleration, if any, is usually input only in the axial (Y) direction. Similarly, angular velocity, if any, is usually input only about the Y axis. See Axisymmetric Elements with Nonaxisymmetric Loads, Case A for an expanded discussion.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.11. Generalized Plane Strain Option of 18x Solid Elements 		Up / Home Next
2.13. Axisymmetric Elements with Nonaxisymmetric Loads


2.13. Axisymmetric Elements with Nonaxisymmetric Loads

An axisymmetric structure (defined with the axial direction along the global Y axis and the radial direction parallel to the global X axis) may be represented by a plane (X, Y) finite-element model. The use of an axisymmetric model greatly reduces the modeling and analysis time compared to that of an equivalent 3-D model. A special class of ANSYS axisymmetric elements (called harmonic elements) allows a nonaxisymmetric load. For these elements (PLANE25, SHELL61, PLANE75, PLANE78, FLUID81, and PLANE83) , the load is defined as a series of harmonic functions (Fourier series). For example, a load F is given by:

F(θ) = A0 + A1 cos θ + B1 sin θ + A2 cos 2 θ + B2 sin 2 θ + A3 cos 3 θ + B3 sin 3 θ + ...

Each term of the above series must be defined as a separate load step. A term is defined by the load coefficient (A [image] or B [image]), the number of harmonic waves ( [image]), and the symmetry condition (cos [image] θ or sin [image] θ). The number of harmonic waves, or the mode number, is input with the MODE command. Note that [image] = 0 represents the axisymmetric term (A0). θ is the circumferential coordinate implied in the model. The load coefficient is determined from the standard ANSYS boundary condition input (i.e., displacements, forces, pressures, etc.). Input values for temperature, displacement, and pressure should be the peak value. The input value for force and heat flow should be a number equal to the peak value per unit length times the circumference. The symmetry condition is determined from the ISYM value also input on the MODE command. The description of the element given in "Element Library" and in the appropriate sections of the Theory Reference for ANSYS and ANSYS Workbench should be reviewed to see which deformation shape corresponds to the symmetry conditions.

Results of the analysis are written to the results file. The deflections and stresses are output at the peak value of the sinusoidal function. The results may be scaled and summed at various circumferential (θ) locations with POST1. This may be done by storing results data at the desired θ location using the ANGLE argument of the SET command. A load case may be defined with LCWRITE. Repeat for each set of results, then combine or scale the load cases as desired with LCOPER. Stress (and temperature) contour displays and distorted shape displays of the combined results can also be made.

Caution should be used if the harmonic elements are mixed with other, nonharmonic elements. The harmonic elements should not be used in nonlinear analyses, such as large deflection and/or contact analyses.

The element matrices for harmonic elements are dependent upon the number of harmonic waves (MODE) and the symmetry condition (ISYM). For this reason, neither the element matrices nor the triangularized matrix is reused in succeeding substeps if the MODE and ISYM parameters are changed. In addition, a superelement generated with particular MODE and ISYM values must have the same values in the "use" pass.

For stress stiffened (prestressed) structures, the ANSYS program uses only the stress state of the most recent previous MODE = 0 load case, regardless of the current value of MODE.

Loading Cases - The following cases are provided to aid the user in obtaining a physical understanding of the MODE parameter and the symmetric (ISYM=1) and antisymmetric (ISYM=-1) loading conditions. The loading cases are described in terms of the structural elements. The forces (FX, FY, etc.) and displacements (UX, UY, etc.) for the structural elements are input and output in the nodal coordinate system. In all cases illustrated, it is assumed that the nodal coordinate system is parallel to the global Cartesian coordinate system. The loading description may be extended to any number of modes. The harmonic thermal elements (PLANE75 and PLANE78) are treated the same as PLANE25 and PLANE83, respectively, with the following substitutions: UY to TEMP, and FY to HEAT. The effects of UX, UZ, ROTZ, FX, FZ and MZ are all ignored for thermal elements.

Case A: (MODE = 0, ISYM not used) - This is the case of axisymmetric loading (similar to the axisymmetric option of PLANE42, etc.) except that torsional effects are included. Figure 2.3: "Axisymmetric Radial, Axial, Torsion and Moment Loadings" shows the various axisymmetric loadings. Pressures and temperatures may be applied directly. Acceleration, if any, is usually input only in the axial (Y) direction. Similarly, angular velocity, if any, is usually input only about the Y axis.

Figure 2.3 Axisymmetric Radial, Axial, Torsion and Moment Loadings

The total force (F) acting in the axial direction due to an axial input force (FY) is:

where FY is on a full 360° basis.

The total applied moment (M) due to a tangential input force (FZ) acting about the global axis is:

where FZ is on a full 360° basis. Calculated reaction forces are also on a full 360° basis and the above expressions may be used to find the total force. Nodes at the centerline (X = 0.0) should have UX and UZ (and ROTZ, for SHELL61) specified as zero, unless a pinhole effect is desired. At least one value of UY should be specified or constrained to prevent rigid body motions. Also, one node with a nonzero, positive X coordinate must have a specified or constrained value of UZ if applicable. When Case A defines the stress state used in stress stiffened analyses, torsional stress is not allowed.

Case B: (MODE = 1, ISYM=1) - An example of this case is the bending of a pipe. Figure 2.4: "Bending and Shear Loading (ISYM = 1)" shows the corresponding forces or displacements on a nodal circle. All functions are based on sin θ or cos θ. The input and output values of UX, FX, etc., represent the peak values of the displacements or forces. The peak values of UX, UY, FX and FY (and ROTZ and MZ for SHELL61) occur at θ = 0°, whereas the peak values of UZ and FZ occur at θ = 90°. Pressures and temperatures are applied directly as their peak values at θ = 0°. The thermal load vector is computed from Tpeak, where Tpeak is the input element or nodal temperature. The reference temperature for thermal strain calculations [TREF] is internally set to zero in the thermal strain calculation for the harmonic elements if MODE > 0. Gravity (g) acting in the global X direction should be input [ACEL] as ACELX = g, ACELY = 0.0, and ACELZ = -g. The peak values of σx, σ y, σz and σ xy occur at θ = 0° , whereas the peak values of σ yz and σ xz occur at 90 °.

Figure 2.4 Bending and Shear Loading (ISYM = 1)

The total applied force in the global X direction (F) due to both an input radial force (FX) and a tangential force (FZ) is:

where FX and FZ are the peak forces on a full 360° basis. Calculated reaction forces are also the peak values on a full 360° basis and the above expression may be used to find the total force. These net forces are independent of radius so that they may be applied at any radius (including X = 0.0) for the same net effect.

An applied moment (M) due to an axial input force (FY) for this case can be computed as follows:

An additional applied moment (M) is generated based on the input moment (MZ):

If it is desired to impose a uniform lateral displacement (or force) on the cross section of a cylindrical structure in the global X direction, equal magnitudes of UX and UZ (or FX and FZ) may be combined as shown in Figure 2.5: "Uniform Lateral Loadings".

Figure 2.5 Uniform Lateral Loadings

When UX and UZ are input in this manner, the nodal circle moves in an uniform manner. When FX and FZ are input in this manner, a uniform load is applied about the circumference, but the resulting UX and UZ will not, in general, be the same magnitude. If it is desired to have the nodal circle moving in a rigid manner, it can be done by using constraint equations [CE] so that UX = -UZ.

Node points on the centerline (X = 0.0) should have UY specified as zero. Further, UX must equal -UZ at all points along the centerline, which may be enforced with constraint equations. In practice, however, it seems necessary to do this only for the harmonic fluid element, FLUID81, since this element has no static shear stiffness. To prevent rigid body motions, at least one value of UX or UZ, as well as one value of UY (not at the centerline), or ROTZ, should be specified or constrained in some manner. For SHELL61, if plane sections (Y = constant) are to remain plane, ROTZ should be related to UY by means of constraint equations at the loaded nodes.

Case C: (MODE = 1, ISYM = -1) - This case (shown in Figure 2.6: "Bending and Shear Loading (ISYM = -1)") represents a pipe bending in a direction 90° to that described in Case B.

Figure 2.6 Bending and Shear Loading (ISYM = -1)

The same description applying to Case B applies also to Case C, except that the negative signs on UZ, FZ, and the direction cosine are changed to positive signs. Also, the location of the peak values of various quantities are switched between the 0° and 90° locations.

Case D: (MODE = 2, ISYM = 1) - The displacement and force loadings associated with this case are shown in Figure 2.7: "Displacement and Force Loading Associated with MODE = 2 and ISYM = 1". All functions are based on sin 2 θ and cos 2 θ.

Figure 2.7 Displacement and Force Loading Associated with MODE = 2 and ISYM = 1

Additional Cases: There is no programmed limit to the value of MODE. Additional cases may be defined by the user.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.12. Axisymmetric Elements 		Up / Home Next
2.14. Shear Deflection


2.14. Shear Deflection

Shear deflection effects are often significant in the lateral deflection of short beams. The significance decreases as the ratio of the radius of gyration of the beam cross-section to the beam length becomes small compared to unity. Shear deflection effects are activated in the stiffness matrices of ANSYS beam elements by including a nonzero shear deflection constant (SHEAR_) in the real constant list for that element type.

The shear deflection constant is defined as the ratio of the actual beam cross-sectional area to the effective area resisting shear deformation. The shear constant should be equal to or greater than zero. The element shear stiffness decreases with increasing values of the shear deflection constant. A zero shear deflection constant may be used to neglect shear deflection. Shear deflection constants for several common sections are as follows: rectangle (6/5), solid circle (10/9), hollow (thin-walled) circle (2), hollow (thin-walled) square (12/5). Shear deflection constants for other cross-sections can be found in structural handbooks.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.13. Axisymmetric Elements with Nonaxisymmetric Loads 		Up / Home Next
2.15. Geometric Nonlinearities


2.15. Geometric Nonlinearities

Geometric nonlinearities refer to the nonlinearities in the structure or component due to the changing geometry as it deflects. That is, the stiffness [K] is a function of the displacements {u}. The stiffness changes because the shape changes and/or the material rotates. The program can account for five types of geometric nonlinearities:

  1. Large strain assumes that the strains are no longer infinitesimal (they are finite). Shape changes (e.g., area, thickness, etc.) are also taken into account. Deflections and rotations may be arbitrarily large.

  2. Large rotation assumes that the rotations are large but the mechanical strains (those that cause stresses) are evaluated using linearized expressions. The structure is assumed not to change shape except for rigid body motions. The elements of this class refer to the original configuration.

  3. Stress stiffening assumes that both strains and rotations are small. A first order approximation to the rotations is used to capture some nonlinear rotation effects.

  4. Spin softening also assumes that both strains and rotations are small. This option accounts for the radial motion of a body's structural mass as it is subjected to an angular velocity. Hence it is a type of large deflection but small rotation approximation.

  5. Pressure load stiffness accounts for the change of stiffness caused by the follower load effect of a rotating pressure load. In a large deflection run, this can affect the convergence rate.

All elements support the spin softening capability, while only some of the elements support the other options. Table 2.9: " Elements Having Nonlinear Geometric Capability" lists the elements that have large strain, large deflection, stress stiffening capability, and/or pressure load stiffness. Explicit Dynamics elements (160 to 167) are not included in this table.

Table 2.9 Elements Having Nonlinear Geometric Capability

Element Name - Description | NLGEOM=ON | Stress Stiffening | Pressure Load Stiffness
LINK1 - 2-D Spar | LR | AN | -
BEAM3 - 2-D Elastic Beam | LR | AN | -
BEAM4 - 3-D Elastic Beam | LR | AN | -
SOLID5 - 3-D Coupled-Field Solid | LR[1] | AN[2] | -
COMBIN7 - Revolute Joint | LR | x | -
LINK8 - 3-D Spar | LR | AN | -
LINK10 - Tension-only or Compression-only Spar | LR | x | -
LINK11 - Linear Actuator | LR | x | -
PLANE13 - 2-D Coupled-Field Solid | LS | AN[2] | -
COMBIN14 - Spring-Damper | LR | x | -
PIPE16 - Elastic Straight Pipe | LR | x | -
PIPE17 - Elastic Pipe Tee | LR | x | -
PIPE18 - Elastic Curved Pipe (Elbow) | LR | - | -
PIPE20 - Plastic Straight Pipe | LR | x | -
MASS21 - Structural Mass | LR | - | -
BEAM23 - 2-D Plastic Beam | LR | AN | -
BEAM24 - 3-D Thin-walled Beam | LR | AN | -
PLANE25 - 4-Node Axisymmetric-Harmonic Structural Solid | - | x | -
SHELL28 - Shear/Twist Panel | - | AN | -
COMBIN39 - Nonlinear Spring | LR | x | -
SHELL41 - Membrane Shell | LR | AN | -
PLANE42 - 2-D Structural Solid | LS | AN | x
SHELL43 - Plastic Large Strain Shell | LS | AN | -
BEAM44 - 3-D Tapered Unsymmetric Beam | LR | AN | -
SOLID45 - 3-D Structural Solid | LS | AN | x
SOLID46 - 3-D Layered Structural Solid | LR | AN | x
MATRIX50 - Superelement | LR | - | -
BEAM54 - 2-D Elastic Tapered Unsymmetric Beam | LR | AN | -
PIPE59 - Immersed Pipe or Cable | LR | x | -
PIPE60 - Plastic Curved Pipe (Elbow) | LR | - | -
SHELL61 - Axisymmetric-Harmonic Structural Shell | - | x | -
SOLID62 - 3-D Magneto-Structural Solid | LS | x | -
SHELL63 - Elastic Shell | LR | AN | -
SOLID65 - 3-D Reinforced Concrete Solid | LS | AN | x
PLANE82 - 2-D 8-Node Structural Solid | LS | AN | x
PLANE83 - 8-Node Axisymmetric-Harmonic Structural Solid | - | x | -
VISCO88 - 2-D 8-Node Viscoelastic Solid | LS | AN | x
VISCO89 - 3-D 20-Node Viscoelastic Solid | LS | AN | x
SHELL91 - Nonlinear Layered Structural Shell | LS | AN | -
SOLID92 - 3-D 10-Node Tetrahedral Structural Solid | LS | AN | x
SHELL93 - 8-Node Structural Shell | LS | AN | -
SOLID95 - 3-D 20-Node Structural Solid | LS | AN | x
SOLID98 - Tetrahedral Coupled-Field Solid | LR[1] | AN[2] | -
SHELL99 - Linear Layered Structural Shell | LR | AN | -
VISCO106 - 2-D Large Strain Solid | LS | AN | -
VISCO107 - 3-D Large Strain Solid | LS | AN | -
VISCO108 - 2-D 8-Node Large Strain Solid | LS | AN | -
SURF153 - 2-D Structural Surface Effect | SC | x | x
SURF154 - 3-D Structural Surface Effect | SC | x | x
TARGE169 - 2-D Target Segment | SC | - | -
TARGE170 - 3-D Target Segment | SC | - | -
CONTA171 - 2-D Surface-to-Surface Contact | SC | - | -
CONTA172 - 2-D 3-Node Surface-to-Surface Contact | SC | - | -
CONTA173 - 3-D Surface-to-Surface Contact | SC | - | -
CONTA174 - 3-D 8-Node Surface-to-Surface Contact | SC | - | -
CONTA175 - 2-D/3-D Point-to-Surface and Edge-to-Surface Contact | SC | - | -
CONTA176 - 3-D Line-to-Line Contact | SC | - | -
CONTA177 - 3-D Line-to-Surface Contact | SC | - | -
LINK180 - 3-D Finite Strain Spar | LS | AB | -
SHELL181 - Finite Strain Shell | LS | AB | x[3]
PLANE182 - 2-D Structural Solid | LS | AB | x
PLANE183 - 2-D 8-Node Structural Solid | LS | AB | x
SOLID185 - 3-D 8-Node Structural Solid | LS | AB | x
SOLID186 - 3-D 20-Node Structural Solid | LS | AB | x
SOLID187 - 3-D 10-Node Tetrahedral Structural Solid | LS | AB | x
BEAM188 - 3-D Finite Strain Beam | LS | AB | x
BEAM189 - 3-D Finite Strain Beam | LS | AB | x
SOLSH190 - 3-D 8–Node Structural Solid-Shell | LS | AB | x
SOLID191 - 3-D 20-Node Layered Structural Solid | - | x | x
SHELL208 - 2-Node Finite Strain Axi. Shell | LS | AB | x
SHELL209 - 3-Node Finite Strain Axi. Shell | LS | AB | x
SHELL281 - 8-Node Finite Strain Shell | LS | AB | x[3]
Codes associated with NLGEOM = ON:

LS = large strain element

LR = Element that can do a rigid body rotation. The NLGEOM = ON option provides only a rigid body rotation. Strains, if any, are linear.

LR[1] = Same as LR, and applies to both structural and piezoelectric analysis.

SC = Surface or contact element. The element follows the underlying element.

Codes associated with stress stiffening:

x = Has option of computing stress stiffness matrix

AN = If NLGEOM = ON, stress stiffening is automatically included. However, the element is not capable of linear buckling using ANTYPE,BUCKLE.

AN[2] = Same as AN, applies to structural analyses only.

AB = If NLGEOM = ON, stress stiffening is automatically included, and the element is also capable of linear buckling using ANTYPE,BUCKLE.

Code associated with pressure load stiffness:

x = Has option of computing symmetric or unsymmetric pressure load stiffness matrix using SOLCONTROL,,,INCP. Symmetry or unsymmetry is handled on the NROPT command.

x[3] = Same as x, but does not apply to edge loading.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.14. Shear Deflection 		Up / Home Next
2.16. Mixed u-P Formulation Elements


2.16. Mixed u-P Formulation Elements

Mixed u-P elements use both displacement and hydrostatic pressure as primary unknown variables. These elements include the 18x elements PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, and SOLSH190 with KEYOPT(6) > 0.

2.16.1. Element Technologies

Incompressible material behavior may lead to some difficulties in numerical simulation, such as volumetric locking, inaccuracy of solution, checkerboard pattern of stress distributions, or, occasionally, divergence. Mixed u-P elements are intended to overcome these problems.

Lagrange multiplier based mixed u-P elements (18x solid elements with KEYOPT(6) > 0) can also be used to overcome incompressible material problems. They are designed to model material behavior with high incompressibility such as fully or nearly incompressible hyperelastic materials and nearly incompressible elastoplastic materials (high Poisson ratio or undergoing large plastic strain). Lagrange multipliers extend the internal virtual work so that the volume constraint equation is included explicitly. This introduces hydrostatic pressure as a new independent variable. Unlike the hyperelastic elements, the hydrostatic pressure variables are not condensed on the element level, but are solved at the global level. See the Theory Reference for ANSYS and ANSYS Workbench for further details.

The mixed u-P formulation of the 18x solid elements offers you more choices in handling incompressible material behavior. You can combine the mixed u-P formulation with other element technologies such as the [image] method (also known as the selective reduced integration method), the uniform reduced integration method, and the enhanced strain formulation method. Furthermore, the mixed u-P formulation is associated with hyperelastic models, such as Mooney-Rivlin, Neo-Hookean, Ogden, Arruda-Boyce, polynomial form, and user-defined.

2.16.2. 18x Mixed u-P Elements

The number of independent hydrostatic pressure DOFs depends on the element type, element technology, and the value of KEYOPT(6), as shown in Table 2.10: "Number of Independent Pressure DOFs in One Element".

Table 2.10 Number of Independent Pressure DOFs in One Element

Element | Basic Element Technology | KEYOPT(6) | Number of Pressure DOFs | Interpolation Function
PLANE182 | method (selective reduced integration) or uniform reduced integration | 1 | 1 | Constant
PLANE182 | Enhanced strain formulation | 1 | 3 | Linear
PLANE183 | Uniform reduced integration (KEYOPT(1) = 0) | 1 | 3 | Linear
PLANE183 | 3-point integration (KEYOPT(1) = 1) | 1 | 3 | Linear
SOLID185 | method (selective reduced integration) or uniform reduced integration | 1 | 1 | Constant
SOLID185 | Enhanced strain formulation | 1 | 4 | Linear
SOLID186 | Uniform reduced integration | 1 | 4 | Linear
SOLID186 | Full integration | 1 | 4 | Linear
SOLID187 | 4-point integration | 1 | 1 | Constant
SOLID187 | 4-point integration | 2 | 4 | Linear
SOLSH190 | Enhanced strain formulation | 1 | 4 | Linear

The hydrostatic pressure has an interpolation function one order lower than the one for volumetric strain in elements PLANE182, SOLID185, and SOLSH190 with enhanced strain formulation method, PLANE183, SOLID186, and SOLID187 with constant pressure. Therefore, elastic strain only agrees with stress in an element on the average instead of point-wise.

The volume constraint equation is checked for each element of a nonlinear analysis. The number of elements in which the constraint equation is not satisfied is reported in the output file. The default tolerance for the volumetric compatibility or volume constraint check is 1.0 x 10-5. You can change this value using the SOLCONTROL command. For more details, see the Theory Reference for ANSYS and ANSYS Workbench.

The mixed u-P formulation is not needed in plane stress; the incompressibility condition is assumed, and the thickness is adjusted based on this incompressible assumption. For 2-D elements PLANE182 and PLANE183, using the mixed u-P formulation with either of the plane stress options [KEYOPT(3) = 0 or 3], ANSYS will automatically reset any KEYOPT(6) setting to 0 for pure displacement formulation.

2.16.3. Applications of Mixed u-P Formulations

Incompressible material behavior can be divided into two categories: fully incompressible materials and nearly incompressible materials. Typical fully incompressible materials are hyperelastic materials. You must choose the 18x elements with mixed u-P formulation to model this material behavior. For element SOLID187, you should set KEYOPT(6) = 1.

Nearly incompressible materials include hyperelastic materials and elastoplastic materials. The following 18x elements with mixed u-P formulation are available for nearly incompressible hyperelastic materials: PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, and SOLSH190. These have several material models available, including Mooney-Rivlin, Neo-Hookean, Polynomial, Gent, Arruda-Boyce, Ogden, and user-defined potential. See TB,HYPER for more details.

The best choice of these options varies from problem to problem. The general guidelines are:

  • For material behavior with very small compressibility, use a 18x element with mixed u-P formulation.

  • For mid compressibility, you can use the PLANE182/SOLID185 with [image] (most efficient), or the hyperelastic element (keep in mind that you are limited to only the Mooney-Rivlin material model), or use the 18x element with mixed u-P formulation.

  • When deformation is highly confined, using a 18x element with mixed u-P formulation is recommended.

Nearly incompressible elastoplastic materials are materials with Poisson's ratio close to 0.5, or elastoplastic materials undergoing very large plastic deformation. For such cases, especially when the deformation is close to being fully incompressible, the mixed u-P formulation of the 18x elements is more robust, yielding better performance. However, you should try pure displacement formulation [KEYOPT(6) = 0] first since the extra pressure DOFs are involved in mixed formulation. If you are using mixed formulation with element SOLID187, it is recommended that you use KEYOPT(6) = 2.

2.16.4. Overconstrained Models and No Unique Solution

You should avoid overconstrained models when you are using elements with the mixed u-P formulation. An overconstrained model means that globally or locally, the number of displacement DOFs without any prescribed values, Nd, is less than the number of hydrostatic pressure DOFs, Np. Np can be calculated by the number of elements times the number of pressure DOFs within each element (see Table 2.10: "Number of Independent Pressure DOFs in One Element" for the specific numbers used with the 18x elements). If different type elements are included, Np is the summation of the products over each type of mixed formulation element. The overconstrained problem can be overcome by increasing the number of nodes without any displacement boundary conditions, or by refining the mesh. The optimal values for Np and Nd are Nd/Np = 2 for 2-D problems and Nd/Np = 3 for 3-D problems. See the Theory Reference for ANSYS and ANSYS Workbench for more details.

In addition to overconstrained models, when the mixed u-P formulation of the 18x plane and solid elements is applied to fully incompressible hyperelastic materials, you must also avoid the “no unique solution” situation.

No unique solution occurs if all boundary nodes have prescribed displacements in each direction and the material is fully incompressible. Since hydrostatic pressure is independent from deformation, it should be determined by the force/pressure boundary condition. If no force/pressure boundary condition is applied, the hydrostatic pressure cannot be determined, or the solution is not unique. In this case, any stress field in equilibrium would be still in equilibrium and not cause any further deformation by adding an arbitrary value of hydrostatic pressure. This problem can be solved simply by having at least one node on the boundary in at least one direction without a prescribed displacement boundary condition. This direction cannot be the tangential direction of the boundary at this node. That means the solution is the particular one with zero force at the node in that direction where no displacement is prescribed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.15. Geometric Nonlinearities 		Up / Home Next
2.17. Legacy vs. Current Element Technologies


2.17. Legacy vs. Current Element Technologies

If you are a long-time ANSYS user, your models may still employ some legacy element types. As technology advances, however, ANSYS continues to develop robust new element types and enhance certain existing elements with greater capabilities.

ANSYS recommends using a current element type in place of one or more legacy elements in your analysis wherever possible. Current element types are more feature-rich and use more advanced technologies than legacy elements. For example, support for the following capabilities is available only in current-technology elements:

  • A vast array of material constitutive options (such as anisotropic hyperelasticity, cast iron plasticity, enhanced Drucker-Prager plasticity, hill plasticity, hyperelasticity, shape memory alloy, plasticity, rate-dependent plasticity, viscoelasticity, and others)

  • Association of a single element with several material constitutive options (such as a combination of hyperelasticity and viscoelasticity with Prony series expansion)

  • A curve-fitting tool (TBFT) for calibrating material parameters through experimental data, which currently supports creep, hyperelasticity, and viscoelasticity.

  • Fracture mechanics parameter calculation (CINT), which uses the domain-integration approach to calculate the J-Integrals for both linear and elastoplastic material behavior at a designated tip location (2-D) or at specific location along the crack front (3-D) through a structure component (available in such elements as PLANE182, PLANE183, SOLID185, SOLID186, and SOLID187)

  • ANSYS Variational Technology for optimization analysis, which quickly evaluates response surfaces for various type of applications (such as structural and frequency sweep analysis)

  • Initial state conditions (INISTATE) incorporating the effects of initial stress that may exist in the structure due to previous loading (available in such elements as LINK180, SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SOLSH190, SHELL208, SHELL209, REINF265, and SHELL281)

  • Custom user-defined material models created via the UserMat routine

  • 3-D smeared reinforcing, provided by elements such as REINF265 when used with 3-D solid and shell elements (referred to as the base elements) to achieve the effect of extra reinforcement to those elements

  • Nonlinear stabilization, a viscous-based algorithm for improving convergence behavior when instabilities are expected (available in such elements as LINK180, SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SOLSH190, SHELL208, SHELL209, and SHELL281)

  • Manual rezoning for solid elements (such as PLANE182 and PLANE183)

  • Control of the element technologies (ETCONTROL) used in element formulation (for applicable elements such as SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SHELL208, SHELL209, and SHELL281)

  • A layered section option (via SECDATA and other section commands) for shell and solid elements (such as SHELL181, SHELL281, SOLID185, SOLID186, SOLSH190, SHELL208, and SHELL209)

The following table lists legacy element types along with suggested current element types. In come cases, an element KEYOPT setting, degree-of-freedom (DOF) constraint, or ANSYS command may be necessary to closely reproduce the behavior of a given legacy element.

Legacy Element Type [1] | Suggested Current Element Type [2] | Suggested Setting(s) to Approximate Legacy Element Behavior [3]
Element KEYOPT | Comments
BEAM3 BEAM188 KEYOPT(3) = 2

Constrain UZ, ROTX, and ROTY to simulate 2-D behavior.

Issue SECTYPE,,BEAM.

BEAM4 KEYOPT(3) = 2

May require a finer mesh.

Issue SECTYPE,,BEAM.

BEAM23 KEYOPT(3) = 2

Constrain UZ, ROTX, and ROTY to simulate 2-D behavior.

Issue SECTYPE,,BEAM.

BEAM24 | KEYOPT(3) = 2 | Issue SECTYPE,,BEAM.
BEAM44 | KEYOPT(3) = 2 | Issue SECTYPE,,TAPER.
BEAM54 KEYOPT(3) = 2

Constrain UZ, ROTX, and ROTY to simulate 2-D behavior.

Issue SECTYPE,,TAPER.

COMBIN7 | MPC184 | KEYOPT(1) = 6 | MPC184 uses the Lagrange multiplier method.
CONTAC12 CONTA178 --- Constrain UZ to simulate 2-D behavior.
CONTAC52 --- Constrain UZ to simulate 2-D behavior.
FLUID141 ANSYS CFX-Flo --- ---
FLUID142 --- ---
INFIN9 INFIN110 --- ---
INFIN47 INFIN111 --- ---
LINK1 LINK180 --- ---
LINK8 --- ---
PLANE2 PLANE183 KEYOPT(1) = 1 ---
PLANE13 PLANE223 --- ---
PLANE67 KEYOPT(1) = 110 ---
PLANE42 PLANE182 KEYOPT(1) = 3 ---
PLANE82 PLANE183 --- ---
SHELL41 SHELL181 KEYOPT(1) = 1, KEYOPT(3) = 2 ---
SHELL43 KEYOPT(3) = 2 ---
SHELL63 | KEYOPT(3) = 2 | May require a finer mesh.
SHELL57 | SHELL131 | KEYOPT(3) = 2 | Issue SECTYPE,,SHELL.
SHELL91 SHELL281 --- Issue SECTYPE,,SHELL.
SHELL93 --- ---
SHELL99 --- Issue SECTYPE,,SHELL.
SOLID5 SOLID226 --- ---
SOLID69 KEYOPT(1) = 110 ---
SOLID45 SOLID185 KEYOPT(2) = 3 ---
SOLID46 | KEYOPT(3) = 1 | Issue SECTYPE,,SHELL.
SOLID92 SOLID187 --- ---
SOLID95 SOLID186
KEYOPT(2) = 1
KEYOPT(2) = 0 for nonlinear analysis
---
SOLID191 | KEYOPT(3) = 1 | Issue SECTYPE,,SHELL.
SOLID98 SOLID227 --- ---
VISCO88 PLANE183 --- Issue TB,PRONY and TB,SHIFT.
VISCO89 SOLID186
KEYOPT(2) = 1
KEYOPT(2) = 0 for nonlinear analysis
Issue TB,PRONY and TB,SHIFT.

  1. ANSYS may undocument certain legacy elements in future releases after considering element redundancy and consistency issues; however, the table does not imply that all legacy elements listed are targets for such action.

  2. The table is not a definitive listing of legacy-to-current element equivalents in terms of either formulation or use of shape functions. For example, a suggested current element may require a more refined mesh in some cases, or may require adaptation via appropriate constraints for specific 2-D analyses.

  3. While a given KEYOPT setting can allow you to approximate the behavior of a legacy element, it may not be the most desirable KEYOPT for the current element. For structural-only analyses, try the ETCONTROL command for element and KEYOPT recommendations. For more information, see Automatic Selection of Element Technologies.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.16. Mixed u-P Formulation Elements 		Up / Home Next
2.18. Automatic Selection of Element Technologies


2.18. Automatic Selection of Element Technologies

With the variety of technologies available in many elements, choosing the best settings to solve your problem efficiently can be challenging. Particularly in the newer structural and solid elements for stress analysis, an element might offer two to four technologies.

ANSYS can offer suggestions (or reset the technology settings) to help you achieve the best solution via the ETCONTROL command. The command helps you to select the appropriate element technologies by considering the stress state, the options set on the element type, and the associated constitutive models of the element type. It works for all current-technology elements such as SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SHELL208, and SHELL209.

The materials associated with each element type are detected at the solution stage and are classified as:

  • Elastoplastic materials, including:

    • Linear elastic materials with Poisson's ratio <= 0.49

    • Linear elastic materials with Poisson's ratio > 0.49

    • Anisotropic materials

    • Elastoplastic materials (other nonlinear materials except hyperelastic materials)

  • Hyperelastic materials, including:

    • Nearly incompressible hyperelastic materials

    • Fully incompressible hyperelastic materials

In practical application, one element type could be associated with more than one constitutive model, for example, linear elastic and elastoplastic materials. For this case, the suggestions/resettings are based on elastoplastic materials, which need more complicated element technology. The list of constitutive models above is organized in order of complexity, with the bottom ones more difficult to solve numerically. When an element type is associated with multiple constitutive models, the more complex one is used in the automatic selection of the element technology.

When using ETCONTROL the suggestions given or settings changed are described in the tables below.

Table 2.11 Recommendation Criteria for Element Technology (Linear Material)

Linear Materials Only
Element | Stress State / Option | Poisson's ratio (ν) <= 0.49 | Poisson's ratio (ν) > 0.49 (or anisotropic materials)
SHELL181 | Default | KEYOPT(3) = 2 for higher accuracy of membrane stress, otherwise, KEYOPT(3) = 0; KEYOPT(8) = 2 for all cases
 | Membrane-only option (KEYOPT(1) = 1) | KEYOPT(3) = 2 for higher accuracy of stress, otherwise, KEYOPT(3) = 0; KEYOPT(8) = 0 for all cases
PLANE182 | Plane stress | KEYOPT(1) = 2
 | Not plane stress | KEYOPT(1) = 3 | KEYOPT(1) = 2
PLANE183 | Plane stress | No change. (Default element settings are best.)
 | Not plane stress | No change. (Default element settings are best.)
SOLID185 |  | KEYOPT(2) = 3 | KEYOPT(2) = 2
SOLID186 |  | KEYOPT(2) = 0
SOLID187 |  | No change. (Default element settings are best.)
BEAM188 |  | KEYOPT(3) = 2, KEYOPT(1) = 1[1]
BEAM189 |  | KEYOPT(1) = 1[1]
SHELL208 |  | KEYOPT(8) = 2
SHELL209 |  | KEYOPT(8) = 2
SHELL281 |  | No change. (Default element settings are best.)

  1. Only when the beam section is not circular, otherwise KEYOPT(1) = 0

Table 2.12 Recommendation Criteria for Element Technology (Nonlinear Materials)

Nonlinear Materials
Element | Stress State / Option | Elastoplastic materials (may also have hyperelastic materials) | Hyperelastic materials only
SHELL181 | Default | KEYOPT(3) = 2 for higher accuracy of membrane stress, otherwise, KEYOPT(3) = 0; KEYOPT(8) = 2 for all cases | KEYOPT(3) = 0, KEYOPT(8) = 0
 | Membrane-only option (KEYOPT(1) = 1) | KEYOPT(3) = 2 for higher accuracy of stress, otherwise, KEYOPT(3) = 0; KEYOPT(8) = 0 for all cases | KEYOPT(3) = 0, KEYOPT(8) = 0
PLANE182 | Plane stress | KEYOPT(1) = 2 | KEYOPT(1) = 0
 | Not plane stress | KEYOPT(1) = 2[1] | KEYOPT(1) = 0[1]
PLANE183 | Plane stress | No change. (Default element settings are best.)
 | Not plane stress | no change (default element settings are best)[1]
SOLID185 |  | KEYOPT(2) = 2[1] | KEYOPT(2) = 0[1]
SOLID186 |  | KEYOPT(2) = 0[1]
SOLID187 |  | No change. (Default element settings are best.)[1]
BEAM188 |  | KEYOPT(3) = 2, KEYOPT(1) = 1[2]
BEAM189 |  | KEYOPT(1) = 1[2]
SHELL208 |  | KEYOPT(8) = 2 | KEYOPT(8) = 0
SHELL209 |  | KEYOPT(8) = 2 | KEYOPT(8) = 0
SHELL281 |  | No change. (Default element settings are best.)

  1. If even only one of your hyperelastic materials is fully incompressible, then KEYOPT(6) = 1 must also be used.

  2. Only when the beam section is not circular, otherwise KEYOPT(1) = 0.

For the solid elements listed above, ETCONTROL provides suggestions or resets the KEYOPTs for the element technology settings (i.e., KEYOPT(1) for PLANE182, KEYOPT(2) for SOLID185 and SOLID186). The Mixed u-P formulation KEYOPT(6) is reset when necessary; that is, when fully incompressible hyperelastic materials are associated with non-plane stress states.

For BEAM188 and BEAM189, KEYOPT(1) is always suggested for non-circular cross section beams and should be reset when ETCONTROL,SET,.. is issued. However, the KEYOPT setting changes the number of DOFs at each node, so it must be set before you issue any D, DK, DA, and similar commands. Because the ETCONTROL reset is done at the beginning of the solution stage, ANSYS displays a message stating that you should change KEYOPT(1) to 1, but it does not make the change automatically.

For SHELL181, the setting for KEYOPT(3) depends on your problem and your purpose if the element type is associated with any non-hyperelastic materials. In this case, ANSYS cannot reset it automatically, but it displays a message with the recommended setting (even if you used ETCONTROL,SET,..). You should reset this manually if the defined criteria matches your problem.

If an element type is defined but not associated with any material, no suggestions or resets are done for that element type. The stress states and options are mentioned only when they affect the suggestions or settings. The suggestions are available in output.

All nonlinear stress/strain data should be input as true-stress/true-(logarithmic-) strain. Accordingly, all output data is also indicated as true-stress/true-strain. For small strains, the true-stress/true-strain data and engineering-stress/engineering-strain data are essentially identical.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.17. Legacy vs. Current Element Technologies 		Up / Home Next
Chapter 3. Element Characteristics


Chapter 3. Element Characteristics

The ANSYS program has a large library of element types. Some of the characteristics of the element types, and their groupings, are described in this chapter to make element type selection easier. The detailed element type descriptions are given in "Element Library".

The following element characteristic topics are available:

  • Element Classifications
  • Pictorial Summary
  • GUI-Inaccessible Elements

The ANSYS element library consists of almost 200 different element formulations or types. An element type is identified by a name (8 characters maximum), such as BEAM3, consisting of a group label (BEAM) and a unique identifying number (3). The element descriptions in "Element Library" are arranged in order of these identification numbers. The element is selected from the library for use in the analysis by inputting its name on the element type command [ET ].

2-D versus 3-D Models

ANSYS models may be either 2-D or 3-D depending upon the element types used. A 2-D model must be defined in an X-Y plane. They are easier to set up, and run faster than equivalent 3-D models. Axisymmetric models are also considered to be 2-D.

If any 3-D element type (such as BEAM4) is included in the element type [ET ] set, the model becomes 3-D. Some element types (such as COMBIN14) may be 2-D or 3-D, depending upon the KEYOPT value selected. Other element types (such as COMBIN40) have no influence in determining the model dimensions. A 2-D element type may be used (with caution) in 3-D models.

Element Characteristic Shape

In general, four shapes are possible: point, line, area, or volume. A point element is typically defined by one node, e.g., a mass element. A line element is typically represented by a line or arc connecting two or three nodes. Examples are beams, spars, pipes, and axisymmetric shells. An area element has a triangular or quadrilateral shape and may be a 2-D solid element or a shell element. A volume element has a tetrahedral or brick shape and is usually a 3-D solid element.

Degrees of Freedom and Discipline

The degrees of freedom of the element determine the discipline for which the element is applicable: structural, thermal, fluid, electric, magnetic, or coupled-field. The element type should be chosen such that the degrees of freedom are sufficient to characterize the model's response. Including unnecessary degrees of freedom increases the solution memory requirements and running time. Similarly, selecting element types with unnecessary features, such as using an element type with plastic capability in an elastic solution, also unnecessarily increases the analysis run time.

User Elements

You may also create your own element type and use it in an analysis as a user element. User elements and other user programmable features (UPFs) are described in the Guide to ANSYS User Programmable Features.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.18. Automatic Selection of Element Technologies 		Up / Home Next
3.1. Element Classifications


3.1. Element Classifications

Table 3.1 List of Elements by Classification

Classification |  | Elements
Structural Point |  | MASS21
Structural Line | 2-D | LINK1
 | 3-D | LINK8 , LINK10, LINK11, LINK180
Structural Beam | 2-D | BEAM3, BEAM23, BEAM54
 | 3-D | BEAM4, BEAM24, BEAM44, BEAM188, BEAM189
Structural Solid | 2-D | PLANE25, PLANE42, PLANE82, PLANE83, PLANE145, PLANE146, PLANE182, PLANE183
 | 3-D | SOLID45, SOLID65, SOLID92, SOLID95, SOLID147, SOLID148, SOLID185, SOLID186, SOLID187
Structural Shell | 2-D | SHELL61, SHELL208, SHELL209
 | 3-D | SHELL28, SHELL41, SHELL43, SHELL63, SHELL93, SHELL150, SHELL181, SHELL281
Structural Solid Shell | 3-D | SOLSH190
Structural Pipe |  | PIPE16, PIPE17, PIPE18, PIPE20, PIPE59, PIPE60
Structural Interface |  | INTER192, INTER193, INTER194, INTER195, INTER202, INTER203, INTER204, INTER205
Structural Multipoint Constraint Elements |  | MPC184, MPC184-Link/Beam, MPC184-Slider, MPC184-Revolute, MPC184-Universal, MPC184-Slot, MPC184-Point, MPC184-Trans, MPC184-Cylin, MPC184-Planar, MPC184-Weld, MPC184-Orient, MPC184-Spherical, MPC184-General
Structural Layered Composite |  | SOLID46, SHELL91, SHELL99, SOLID185 Layered Solid, SOLID186 Layered Solid, SOLSH190, SOLID191
Explicit Dynamics |  | LINK160, BEAM161, PLANE162, SHELL163, SOLID164, COMBI165, MASS166, LINK167, SOLID168
Visco Solid |  | VISCO88, VISCO89, VISCO106, VISCO107, VISCO108
Thermal Point |  | MASS71
Thermal Line |  | LINK31, LINK32, LINK33, LINK34
Thermal Solid | 2-D | PLANE35, PLANE55, PLANE75, PLANE77, PLANE78
 | 3-D | SOLID70, SOLID87, SOLID90
Thermal Shell |  | SHELL57, SHELL131, SHELL132
Thermal Electric |  | PLANE67, LINK68, SOLID69, SHELL157
Fluid |  | FLUID29, FLUID30, FLUID38, FLUID79, FLUID80, FLUID81, FLUID116, FLUID129, FLUID130, FLUID136, FLUID138, FLUID139, FLUID141, FLUID142
Magnetic Electric |  | PLANE53, SOLID96, SOLID97, INTER115, SOLID117, HF118, HF119, HF120, PLANE121, SOLID122, SOLID123, SOLID127, SOLID128, PLANE230, SOLID231, SOLID232
Electric Circuit |  | SOURC36, CIRCU94, CIRCU124, CIRCU125
Electromechanical |  | TRANS109, TRANS126
Coupled-Field |  | SOLID5, PLANE13, SOLID62, SOLID98, ROM144, PLANE223, SOLID226, SOLID227
Contact |  | CONTAC12, CONTAC52, TARGE169, TARGE170, CONTA171, CONTA172, CONTA173, CONTA174, CONTA175, CONTA176, CONTA177, CONTA178
Combination |  | COMBIN7, COMBIN14, COMBIN37, COMBIN39, COMBIN40, COMBI214, PRETS179
Matrix |  | MATRIX27, MATRIX50
Infinite |  | INFIN9, INFIN47, INFIN110, INFIN111
Surface |  | SURF151, SURF152, SURF153, SURF154, SURF156, SURF251, SURF252
Follower Load |  | FOLLW201
Meshing |  | MESH200
Reinforcing |  | REINF265

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 3. Element Characteristics 		Up / Home Next
3.2. Pictorial Summary


3.2. Pictorial Summary

The following tables contain numerically listed elements by group name with graphic pictorial, element description, and product availability.

BEAM Elements | CIRCU Elements | COMBIN Elements | CONTAC Elements
FLUID Elements | FOLLW Elements | HF Elements | INFIN Elements
INTER Elements | LINK Elements | MASS Elements | MATRIX Elements
MESH Elements | MPC Elements | PIPE Elements | PLANE Elements
PRETS Elements | REINF Elements | ROM Elements | SHELL Elements
SOLID Elements | SOLSH Elements | SOURC Elements | SURF Elements
TARGE Elements | TRANS Elements | VISCO Elements |

The codes represent each of the products in the ANSYS suite of products:

Code | Product | Code | Product
MP | ANSYS Multiphysics | EM | ANSYS Emag - Low Frequency
ME | ANSYS Mechanical | EH | ANSYS Emag - High Frequency
ST | ANSYS Structural | FL | ANSYS FLOTRAN
PR | ANSYS Professional - Nonlinear Thermal | DS | ANSYS DesignSpace
PRN | ANSYS Professional - Nonlinear Structural | DSS | ANSYS DesignSpace - Structural
DY | ANSYS LS-DYNA | PP | ANSYS PrepPost
VT | ANSYS DesignXplorer |  |
BEAM Elements Product Codes
BEAM3
Structural 2-D Elastic Beam
2 nodes 2-D space
DOF: UX, UY, ROTZ

MP ME ST PR PRN <> <> <> <> <> <> PP <>
BEAM4
Structural 3-D Elastic Beam
2 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ

MP ME ST PR PRN DS DSS <> <> <> <> PP <>
BEAM23
Structural 2-D Plastic Beam
2 nodes 2-D space
DOF: UX, UY, ROTZ

MP ME ST <> <> <> <> <> <> <> <> PP <>
BEAM24
Structural 3-D Thin-Walled Beam
2 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ

MP ME ST <> <> <> <> <> <> <> <> PP <>
BEAM44
Structural 3-D Elastic Tapered Unsymmetric Beam
2 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ

MP ME ST PR PRN <> <> <> <> <> <> PP <>
BEAM54
Structural 2-D Elastic Tapered Unsymmetric Beam
2 nodes 2-D space
DOF: UX, UY, ROTZ

MP ME ST PR PRN <> <> <> <> <> <> PP <>
BEAM161
Explicit Dynamics 3-D Beam
3 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ, VX, VY, AX, AY, AZ

<> <> <> <> <> <> <> <> <> <> DY <> <>
BEAM188
Structural 3-D Linear Finite Strain Beam
2 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ

MP ME ST PR PRN DS DSS <> <> <> <> PP VT
BEAM189
Structural 3-D Quadratic Finite Strain Beam
3 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ

MP ME ST PR PRN DS DSS <> <> <> <> PP VT
CIRCU Elements Product Codes
CIRCU94
Coupled-Field Piezoelectric Circuit
2 or 3 nodes 2-D space
DOF: VOLT, CURR

MP <> <> <> <> <> <> <> <> <> <> PP <>
CIRCU124
Magnetic Electric Circuit
2-6 nodes 3-D space
DOF: VOLT, CURR, EMF

MP <> <> <> <> <> <> <> EM <> <> PP <>
CIRCU125
Magnetic Electric Diode
2 nodes 3-D space
DOF: VOLT

MP <> <> <> <> <> <> <> EM <> <> PP <>
COMBIN Elements Product Codes
COMBIN7
Combination Revolute Joint
5 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ

MP ME ST <> <> <> <> <> <> <> <> PP <>
COMBIN14
Combination Spring-Damper
2 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ

MP ME ST PR PRN DS <> <> <> <> <> PP VT
COMBIN37
Combination Control
4 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ, PRES, TEMP

MP ME ST <> <> <> <> <> <> <> <> PP <>
COMBIN39
Combination Nonlinear Spring
2 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ, PRES, TEMP

MP ME ST <> <> <> <> <> <> <> <> PP <>
COMBIN40
Combination
2 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ, PRES, TEMP

MP ME ST PR PRN <> <> <> <> <> <> PP <>
COMBI165
Explicit Dynamics Spring-Damper
2 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ, VX, VY, VZ, AX, AV, AZ

<> <> <> <> <> <> <> <> <> <> DY <> <>
COMBI214
Combination Spring-Damper Bearing
2 nodes 2-D space
DOF: UX, UY, UZ,

MP ME ST PR PRN DS DSS <> <> <> <> PP <>
CONTAC Elements Product Codes
CONTAC12
2-D Point-to-Point Contact
2 nodes 2-D space
DOF: UX, UY

MP ME ST PR PRN <> <> <> <> <> <> PP <>
CONTAC52
3-D Point-to-Point Contact
2 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST PR PRN <> <> <> <> <> <> PP <>
CONTA171
2-D 2-Node Surface-to-Surface Contact
2 nodes 2-D space
DOF: UX, UY, TEMP, VOLT, AZ

MP ME ST PR PRN DS DSS <> EM <> <> PP <>
CONTA172
2-D 3-Node Surface-to-Surface Contact
3 nodes 2-D space
DOF: UX, UY, TEMP, VOLT, AZ

MP ME ST PR PRN DS DSS <> EM <> <> PP <>
CONTA173
3-D 4-Node Surface-to-Surface Contact
4 nodes 3-D space
DOF: UX, UY, UZ, TEMP, VOLT, MAG

MP ME ST PR PRN DS <> <> <> <> <> PP <>
CONTA174
3-D 8-Node Surface-to-Surface Contact
8 nodes 3-D space
DOF: UX, UY, UZ, TEMP, VOLT, MAG

MP ME ST PR PRN DS DSS <> EM <> <> PP <>
CONTA175
2-D/3-D Node-to-Surface Contact
1 node 2-D/3-D space
DOF: UX, UY, UZ, TEMP, VOLT, AX, MAG

MP ME ST PR PRN DS DSS <> EM <> <> PP <>
CONTA176
3-D Line-to-Line Contact
3 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST PR PRN DS DSS <> EM <> <> PP <>
CONTA177
3-D Line-to-Surface Contact
3 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST PR PRN <> <> <> <> <> <> PP <>
CONTA178
3-D Node-to-Node Contact
2 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST PR PRN <> <> <> <> <> <> PP <>
FLUID Elements Product Codes
FLUID29
2-D Acoustic Fluid
4 nodes 2-D space
DOF: UX, UY, PRES

MP ME <> <> <> <> <> <> <> <> <> PP <>
FLUID30
3-D Acoustic Fluid
8 nodes 3-D space
DOF: UX, UY, UZ, PRES

MP ME <> <> <> <> <> <> <> <> <> PP <>
FLUID38
Dynamic Fluid Coupling
2 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST <> <> <> <> <> <> <> <> PP <>
FLUID79
2-D Contained Fluid
4 nodes 2-D space
DOF: UX, UY

MP ME ST <> <> <> <> <> <> <> <> PP <>
FLUID80
3-D Contained Fluid
8 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST <> <> <> <> <> <> <> <> PP <>
FLUID81
Axisymmetric-Harmonic Contained Fluid
4 nodes 2-D space
DOF: UX, UY, UZ

MP ME ST <> <> <> <> <> <> <> <> PP <>
FLUID116
Coupled Thermal-Fluid Pipe
2 nodes 3-D space
DOF: PRES, TEMP

MP ME <> PR PRN <> <> <> <> <> <> PP <>
FLUID129
2-D Infinite Acoustic
2 nodes 2-D space
DOF: PRES

MP ME <> <> <> <> <> <> <> <> <> PP <>
FLUID130
3-D Infinite Acoustic
4 nodes 3-D space
DOF: PRES

MP ME <> <> <> <> <> <> <> <> <> PP <>
FLUID136
3-D Squeeze Film Fluid
4, 8 nodes 3-D space
DOF: PRES

MP ME <> <> <> <> <> <> <> <> <> PP <>
FLUID138
3-D Viscous Fluid Link
2 nodes 3-D space
DOF: PRES

MP ME <> <> <> <> <> <> <> <> <> PP <>
FLUID139
3-D Slide Film Fluid
2, 32 nodes 3-D space
DOF: UX, UY, UZ

MP ME <> <> <> <> <> <> <> <> <> PP <>
FLUID141
2-D Fluid-Thermal
4 nodes 2-D space
DOF: VX, VY, VZ, PRES, TEMP, ENKE, ENDS

MP <> <> <> <> <> <> FL <> <> <> PP <>
FLUID142
3-D Fluid-Thermal
8 nodes 3-D space
DOF: VX, VY, VZ, PRES, TEMP, ENKE, ENDS

MP <> <> <> <> <> <> FL <> <> <> PP <>
FOLLW Elements Product Codes
FOLLW201
3-D Follower Load
1 node 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ

MP ME ST PR PRN DS DSS <> <> <> <> PP <>
HF Elements Product Codes
HF118
2-D High-Frequency Magnetic Electric Quadrilateral Solid
8 nodes 2-D space
DOF: AX

MP <> <> <> <> <> <> <> <> EH <> PP <>
HF119
3-D High-Frequency Magnetic Electric Tetrahedral Solid
10 nodes 3-D space
DOF: AX

MP <> <> <> <> <> <> <> <> EH <> PP <>
HF120
3-D High-Frequency Magnetic Electric Brick Solid
20 nodes 3-D space
DOF: AX

MP <> <> <> <> <> <> <> <> EH <> PP <>
INFIN Elements Product Codes
INFIN9
2-D Infinite Boundary
2 nodes 2-D space
DOF: AZ, TEMP

MP ME <> <> <> <> <> <> EM <> <> PP <>
INFIN47
3-D Infinite Boundary
4 nodes 3-D space
DOF: MAG, TEMP

MP ME <> <> <> <> <> <> EM <> <> PP <>
INFIN110
2-D Infinite Solid
4 or 8 nodes 2-D space
DOF: AZ, VOLT, TEMP

MP ME <> <> <> <> <> <> EM <> <> PP <>
INFIN111
3-D Infinite Solid
8 or 20 nodes 3-D space
DOF: MAG, AX, AY, AZ, VOLT, TEMP

MP ME <> <> <> <> <> <> EM <> <> PP <>
INTER Elements Product Codes
INTER115
3-D Magnetic Electric Interface
4 nodes 3-D space
DOF: AX, AY, AZ, MAG

MP <> <> <> <> <> <> <> EM <> <> PP <>
INTER192
Structural 2-D Interface 4-Node Gasket
4 nodes 2-D space
DOF: UX, UY

MP ME ST <> <> <> <> <> <> <> <> PP <>
INTER193
Structural 2-D Interface 6-Node Gasket
6 nodes 2-D space
DOF: UX, UY

MP ME ST <> <> <> <> <> <> <> <> PP <>
INTER194
Structural 3-D Interface 16-Node Gasket
16 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST <> <> <> <> <> <> <> <> PP <>
INTER195
Structural 3-D Interface 8-Node Gasket
8 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST <> <> <> <> <> <> <> <> PP <>
INTER202
Structural 2-D Interface 4-Node Cohesive Zone
4 nodes 2-D space
DOF: UX, UY

MP ME ST <> <> <> <> <> <> <> <> PP <>
INTER203
Structural 2-D Interface 6-Node Cohesive Zone
6 nodes 2-D space
DOF: UX, UY

MP ME ST <> <> <> <> <> <> <> <> PP <>
INTER204
Structural 3-D Interface 16-Node Cohesive Zone
16 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST <> <> <> <> <> <> <> <> PP <>
INTER205
Structural 3-D Interface 8-Node Cohesive Zone
8 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST <> <> <> <> <> <> <> <> PP <>
LINK Elements Product Codes
LINK1
Structural 2-D Spar (or Truss)
2 nodes 2-D space
DOF: UX, UY

MP ME ST PR PRN DS DSS <> <> <> <> PP <>
LINK8
Structural 3-D Spar (or Truss)
2 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST PR PRN <> <> <> <> <> <> PP <>
LINK10
Structural 3-D Tension-only or Compression-only Spar
2 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST PR PRN <> <> <> <> <> <> PP <>
LINK11
Structural 3-D Linear Actuator
2 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST <> <> <> <> <> <> <> <> PP <>
LINK31
Radiation Link
2 nodes 3-D space
DOF: TEMP

MP ME <> PR PRN <> <> <> <> <> <> PP <>
LINK32
Thermal 2-D Conduction Bar
2 nodes 2-D space
DOF: TEMP

MP ME <> PR PRN <> <> <> <> <> <> PP <>
LINK33
Thermal 3-D Conduction Bar
2 nodes 3-D space
DOF: TEMP

MP ME <> PR PRN DS <> <> <> <> <> PP <>
LINK34
Convection Link
2 nodes 3-D space
DOF: TEMP

MP ME <> PR PRN <> <> <> <> <> <> PP <>
LINK68
Coupled Thermal-Electric Line
2 nodes 3-D space
DOF: TEMP, VOLT

MP ME <> PR PRN <> <> <> EM <> <> PP <>
LINK160
Explicit 3-D Spar (or Truss)
3 nodes 3-D space
DOF: UX, UY, UZ, VX, VY, VZ, AX, AY, AZ

<> <> <> <> <> <> <> <> <> <> DY <> <>
LINK167
Explicit Tension-Only Spar
3 nodes 3-D space
DOF: UX, UY, UZ, VX, VY, VZ, AX, AY, AZ

<> <> <> <> <> <> <> <> <> <> DY <> <>
LINK180
Structural 3-D Finite Strain Spar (or Truss)
2 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST PR PRN <> <> <> <> <> <> PP VT
MASS Elements Product Codes
MASS21
Structural Mass
1 node 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ

MP ME ST PR PRN DS DSS <> <> <> <> PP VT
MASS71
Thermal Mass
1 node 3-D space
DOF: TEMP

MP ME <> PR PRN DS <> <> <> <> <> PP <>
MASS166
Explicit 3-D Structural Mass
1 node 3-D space
DOF: UX, UY, UZ, VX, VY, VZ, AX, AY, AZ

<> <> <> <> <> <> <> <> <> <> DY <> <>
MATRIX Elements Product Codes
MATRIX27
Stiffness, Damping, or Mass Matrix
2 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ

MP ME ST PR PRN <> <> <> <> <> <> PP <>
MATRIX50
Superelement (or Substructure)
2-D or 3-D space
DOF: Determined from included element types

MP ME ST PR PRN <> <> <> <> <> <> PP <>
MESH Elements Product Codes
MESH200
Meshing Facet
2-20 nodes 2-D/3-D space
DOF: None
KEYOPT Dependent

MP ME ST PR PRN <> <> <> EM EH DY PP <>
MPC Elements Product Codes
MPC184
Structural Multipoint Constraint
2 or 3 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ
KEYOPT Dependent

MP ME ST PR PRN <> <> <> <> <> <> PP <>
PIPE Elements Product Codes
PIPE16
Structural Elastic Straight Pipe
3 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ

MP ME ST PR PRN <> <> <> <> <> <> PP <>
PIPE17
Structural Elastic Pipe Tee
4 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ

MP ME ST PR PRN <> <> <> <> <> <> PP <>
PIPE18
Structural Elastic Curved Pipe (Elbow)
3 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ

MP ME ST PR PRN <> <> <> <> <> <> PP <>
PIPE20
Structural Plastic Straight Pipe
2 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ

MP ME ST <> <> <> <> <> <> <> <> PP <>
PIPE59
Structural Immersed Pipe or Cable
2 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ

MP ME ST <> <> <> <> <> <> <> <> PP <>
PIPE60
Structural Plastic Curved Pipe (Elbow)
3 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ

MP ME ST <> <> <> <> <> <> <> <> PP <>
PLANE Elements Product Codes
PLANE13
2-D Coupled-Field Solid
4 nodes 2-D space
DOF: TEMP, AZ, UX, UY, VOLT

MP ME <> <> <> <> <> <> EM <> <> PP <>
PLANE25
Axisymmetric-Harmonic 4-Node Structural Solid
4 nodes 2-D space
DOF: UX, UY, UZ

MP ME ST <> <> <> <> <> <> <> <> PP <>
PLANE35
2-D 6-Node Triangular Thermal Solid
6 nodes 2-D space
DOF: TEMP

MP ME <> PR PRN <> <> <> <> <> <> PP <>
PLANE42
2-D Structural Solid
4 nodes 2-D space
DOF: UX, UY

MP ME ST PR PRN DS DSS <> <> <> <> PP <>
PLANE53
2-D 8-Node Magnetic Solid
8 nodes 2-D space
DOF: VOLT, AZ, CURR, EMF

MP <> <> <> <> <> <> <> EM <> <> PP <>
PLANE55
2-D Thermal Solid
4 nodes 2-D space
DOF: TEMP

MP ME <> PR PRN DS <> <> <> <> <> PP <>
PLANE67
2-D Coupled Thermal-Electric Solid
4 nodes 2-D space
DOF: TEMP, VOLT

MP ME <> PR PRN <> <> <> EM <> <> PP <>
PLANE75
2-D Axisymmetric-Harmonic 4-Node Thermal Solid
4 nodes 2-D space
DOF: TEMP

MP ME <> <> <> <> <> <> <> <> <> PP <>
PLANE77
2-D 8-Node Thermal Solid
8 nodes 2-D space
DOF: TEMP

MP ME <> PR PRN DS <> <> <> <> <> PP <>
PLANE78
2-D Axisymmetric - Harmonic 8-Node Thermal Solid
8 nodes 2-D space
DOF: TEMP

MP ME <> <> <> <> <> <> <> <> <> PP <>
PLANE82
2-D 8-Node Structural Solid
8 nodes 2-D space
DOF: UX, UY

MP ME ST PR PRN DS <> <> <> <> <> PP <>
PLANE83
2-D Axisymmetric - Harmonic 8-Node Structural Solid
8 nodes 2-D space
DOF: UX, UY, UZ

MP ME ST <> <> <> <> <> <> <> <> PP <>
PLANE121
2-D 8-Node Electrostatic Solid
8 nodes 2-D space
DOF: VOLT

MP <> <> <> <> <> <> <> EM <> <> PP <>
PLANE145
2-D Quadrilateral Structural Solid p-Element
8 nodes 2-D space
DOF: UX, UY

MP ME ST PR PRN <> <> <> <> <> <> PP <>
PLANE146
2-D Triangular Structural Solid p-Element
6 nodes 2-D space
DOF: UX, UY

MP ME ST PR PRN <> <> <> <> <> <> PP <>
PLANE162
Explicit 2-D Structural Solid
4 nodes 2-D space
DOF: UX, UY, VX, VY, AX, AY

<> <> <> <> <> <> <> <> <> <> DY <> <>
PLANE182
2-D 4-Node Structural Solid
4 nodes 2-D space
DOF: UX, UY

MP ME ST PR PRN DS DSS <> <> <> <> PP VT
PLANE183
2-D 8-Node Structural Solid
8 nodes 2-D space
DOF: UX, UY

MP ME ST PR PRN DS DSS <> <> <> <> PP VT
PLANE223
2-D 8-Node Coupled-Field Solid
8 nodes 2-D space
DOF: UX, UY, TEMP, VOLT

MP <> <> <> <> <> <> <> <> <> <> PP <>
PLANE230
2-D 8-Node Electric Solid
8 nodes 2-D space
DOF: VOLT

MP <> <> <> <> <> <> <> EM <> <> PP <>
PRETS Elements Product Codes
PRETS179
2-D/3-D Pretension Combination
3 nodes 2-D/3-D space
DOF: UX

MP ME ST PR PRN DS DSS <> <> <> <> PP <>
REINF Elements Product Code
REINF265
3-D Smeared Reinforcing
Up to 20 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ

MP ME ST PR PRN <> <> <> <> <> <> PP <>
ROM Elements Product Code
ROM144
Reduced Order Electrostatic-Structural Coupled-Field
20 or 30 nodes 3-D space
DOF: EMF, VOLT, UX

MP <> <> <> <> <> <> <> <> <> <> PP <>
SHELL Elements Product Codes
SHELL28
Structural 3-D Shear/Twist Panel
4 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ

MP ME ST PR PRN <> <> <> <> <> <> PP <>
SHELL41
Structural 3-D Membrane Shell
4 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST PR PRN <> <> <> <> <> <> PP <>
SHELL43
3-D Structural 4-Node Plastic Large Strain Shell
4 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ

MP ME ST <> <> <> <> <> <> <> <> PP <>
SHELL57
Thermal Shell
4 nodes 3-D space
DOF: TEMP

MP ME <> PR PRN DS <> <> <> <> <> PP <>
SHELL61
2-D Axisymmetric - Harmonic Structural Shell
2 nodes 2-D space
DOF: UX, UY, UZ, ROTZ

MP ME ST <> <> <> <> <> <> <> <> PP <>
SHELL63
Structural 3-D Elastic Shell
4 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ

MP ME ST PR PRN DS <> <> <> <> <> PP <>
SHELL91
3-D Nonlinear Layered Structural Shell
8 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ

MP ME ST <> <> <> <> <> <> <> <> PP <>
SHELL93
3-D 8-Node Structural Shell
8 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ

MP ME ST PR PRN DS <> <> <> <> <> PP <>
SHELL99
3-D Linear Layered Structural Shell
8 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ

MP ME ST PR PRN <> <> <> <> <> <> PP <>
SHELL131
4 Node Layered Thermal Shell
4 nodes 3-D space
DOF: TBOT, TE2, TE3, TE4, . . . TTOP

MP ME <> PR PRN <> <> <> <> <> <> PP <>
SHELL132
8 Node Layered Thermal Shell
8 nodes 3-D space
DOF: TBOT, TE2, TE3, TE4, . . . TTOP

MP ME <> PR PRN <> <> <> <> <> <> PP <>
SHELL150
3-D 8-Node Structural Shell p-Element
8 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ

MP ME ST PR PRN <> <> <> <> <> <> PP <>
SHELL157
Thermal-Electric Shell
4 nodes 3-D space
DOF: TEMP, VOLT

MP ME <> PR PRN <> <> <> EM <> <> PP <>
SHELL163
Explicit Thin Structural Shell
4 nodes 3-D space
DOF: UX, UY, UZ, VX, VY, VZ, AX, AY, AZ, ROTX, ROTY, ROTZ,

<> <> <> <> <> <> <> <> <> <> DY <> <>
SHELL181
3-D Structural 4-Node Finite Strain Layered Shell
4 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ

MP ME ST PR PRN DS DSS <> <> <> <> PP VT
SHELL208
2-D Axisymmetric Structural Shell
2 nodes 2-D space
DOF: UX, UY, ROTZ

MP ME ST PR PRN <> <> <> <> <> <> PP <>
SHELL209
2-D Axisymmetric Structural Shell
3 nodes 2-D space
DOF: UX, UY, ROTZ

MP ME ST PR PRN <> <> <> <> <> <> PP <>
SHELL281
3-D Structural 8-Node Finite Strain Layered Shell
8 nodes 3-D space
DOF: UX, UY, UZ, ROTX, ROTY, ROTZ

MP ME ST PR PRN DS DSS <> <> <> <> PP <>
SOLID Elements Product Codes
SOLID5
3-D Coupled-Field Solid
8 nodes 3-D space
DOF: UX, UY, UZ, TEMP, VOLT, MAG

MP ME <> <> <> <> <> <> EM <> <> PP <>
SOLID45
3-D Structural Solid
8 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST PR PRN DS DSS <> <> <> <> PP <>
SOLID46
3-D 8-Node Layered Structural Solid
8 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST PR PRN <> <> <> <> <> <> PP <>
SOLID62
3-D Magneto-Structural Coupled-Field Solid
8 nodes 3-D space
DOF: UX, UY, UZ, AX, AY, AZ, VOLT

MP <> <> <> <> <> <> <> <> <> <> PP <>
SOLID65
3-D Reinforced Concrete Structural Solid
8 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST <> <> <> <> <> <> <> <> PP <>
SOLID69
3-D Coupled Thermal-Electric Solid
8 nodes 3-D space
DOF: TEMP, VOLT

MP ME <> PR PRN <> <> <> <> <> <> PP <>
SOLID70
3-D Thermal Solid
8 nodes 3-D space
DOF: TEMP

MP ME <> PR PRN DS <> <> <> <> <> PP VT
SOLID87
3-D 10-Node Tetrahedral Thermal Solid
10 nodes 3-D space
DOF: TEMP

MP ME <> PR PRN DS <> <> <> <> <> PP VT
SOLID90
3-D 20-Node Thermal Solid
20 nodes 3-D space
DOF: TEMP

MP ME <> PR PRN DS <> <> <> <> <> PP VT
SOLID92
3-D 10-Node Tetrahedral Structural Solid
10 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST PR PRN DS DSS <> <> <> <> PP <>
SOLID95
3-D 20-Node Structural Solid
20 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST PR PRN DS DSS <> <> <> <> PP <>
SOLID96
3-D Magnetic Scalar Solid
8 nodes 3-D space
DOF: MAG

MP <> <> <> <> <> <> <> EM <> <> PP <>
SOLID97
3-D Magnetic Solid
8 nodes 3-D space
DOF: AX, AY, AZ, VOLT, CURR, EMF

MP <> <> <> <> <> <> <> EM <> <> PP <>
SOLID98
Tetrahedral Coupled-Field Solid
10 nodes 3-D space
DOF: UX, UY, UZ, TEMP, VOLT, MAG

MP ME <> <> <> <> <> <> EM <> <> PP <>
SOLID117
3-D 20-Node Magnetic Edge
20 nodes 3-D space
DOF: AZ

MP <> <> <> <> <> <> <> EM <> <> PP <>
SOLID122
3-D 20-Node Electrostatic Solid
20 nodes 3-D space
DOF: VOLT

MP <> <> <> <> <> <> <> EM <> <> PP <>
SOLID123
3-D 10-Node Tetrahedral Electrostatic Solid
10 nodes 3-D space
DOF: VOLT

MP <> <> <> <> <> <> <> EM <> <> PP <>
SOLID127
3-D Tetrahedral Electrostatic Solid p-Element
10 nodes 3-D space
DOF: VOLT

MP <> <> <> <> <> <> <> EM <> <> PP <>
SOLID128
3-D Brick Electrostatic Solid p-Element
20 nodes 3-D space
DOF: VOLT

MP <> <> <> <> <> <> <> EM <> <> PP <>
SOLID147
3-D Brick Structural Solid p-Element
20 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST PR PRN <> <> <> <> <> <> PP <>
SOLID148
3-D Tetrahedral Structural Solid p-Element
10 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST PR PRN <> <> <> <> <> <> PP <>
SOLID164
Explicit 3-D Structural Solid
8 nodes 3-D space
DOF: UX, UY, UZ, VX, VY, VZ, AX, AY, AZ

<> <> <> <> <> <> <> <> <> <> DY <> <>
SOLID168
Explicit 3-D 10-Node Tetrahedral Structural Solid
10 nodes 3-D space
DOF: UX, UY, UZ, VX, VY, VZ, AX, AY, AZ

<> <> <> <> <> <> <> <> <> <> DY <> <>
SOLID185
3-D 8-Node Structural Solid or Layered Solid
8 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST PR PRN DS DSS <> <> <> <> PP VT
SOLID186
3-D 20-Node Structural Solid or Layered Solid
20 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST PR PRN DS DSS <> <> <> <> PP VT
SOLID187
3-D 10-Node Tetrahedral Structural Solid
10 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST PR PRN DS DSS <> <> <> <> PP VT
SOLID191
3-D 20-Node Layered Structural Solid
20 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST <> <> <> <> <> <> <> <> PP <>
SOLID226
3-D 20-Node Coupled-Field Solid
20 nodes 3-D space
DOF: UX, UY, UZ, TEMP, VOLT

MP <> <> <> <> <> <> <> <> <> <> PP <>
SOLID227
3-D 10-Node Coupled-Field Solid
10 nodes 3-D space
DOF: UX, UY, UZ, TEMP, VOLT

MP <> <> <> <> <> <> <> <> <> <> PP <>
SOLID231
3-D 20-Node Electric Solid
20 nodes 3-D space
DOF: VOLT

MP <> <> <> <> <> <> <> EM <> <> PP <>
SOLID232
3-D 10-Node Tetrahedral Electric Solid
10 nodes 3-D space
DOF: VOLT

MP <> <> <> <> <> <> <> EM <> <> PP <>
SOLSH Elements Product Codes
SOLSH190
Structural Layered Solid Shell
8 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST PR PRN DS DSS <> <> <> <> PP <>
SOURC Elements Product Codes
SOURC36
Magnetic Electric Current Source
3 nodes 3-D space
DOF: None

MP <> <> <> <> <> <> <> EM <> <> PP <>
SURF Elements Product Codes
SURF151
2-D Thermal Surface Effect
2 or 4 nodes 2-D space
DOF: TEMP

MP ME ST PR PRN DS <> <> <> <> <> PP <>
SURF152
3-D Thermal Surface Effect
4 to 9 nodes 3-D space
DOF: TEMP

MP ME ST PR PRN DS <> <> <> <> <> PP VT
SURF153
2-D Structural Surface Effect
2 or 3 nodes 2-D space
DOF: UX, UY

MP ME ST PR PRN DS DSS <> <> <> <> PP VT
SURF154
3-D Structural Surface Effect
4 to 8 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST PR PRN DS DSS <> <> <> <> PP VT
SURF156
3-D Structural Surface Line Load
3 to 4 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST PR PRN DS DSS <> <> <> <> PP <>
SURF251
2-D Radiosity Surface
2 nodes 2-D space

MP ME <> PR PRN <> <> <> <> <> <> PP <>
SURF252
3-D Thermal Radiosity Surface
3 or 4 nodes, 3-D space

MP ME <> PR PRN <> <> <> <> <> <> PP <>
TARGE Elements Product Codes
TARGE169
Contact 2-D Target Segment
3 nodes 2-D space
DOF: UX, UY, ROTZ, TEMP

MP ME ST PR PRN DS DSS <> EM <> <> PP <>
TARGE170
Contact 3-D Target Segment
8 nodes 3-D space
DOF: UX, UY, UZ, TEMP

MP ME ST PR PRN DS DSS <> EM <> <> PP <>
TRANS Elements Product Codes
TRANS109
2-D Electromechanical Solid
3 nodes 2-D space
DOF: UX, UY, VOLT

MP <> <> <> <> <> <> <> <> <> <> PP <>
TRANS126
Electromechanical Transducer
2 nodes 3-D space
DOF: UX-VOLT, UY-VOLT, UZ-VOLT

MP <> <> <> <> <> <> <> <> <> <> PP <>
VISCO Elements Product Codes
VISCO88
2-D 8-Node Viscoelastic Solid
8 nodes 2-D space
DOF: UX, UY

MP ME ST <> <> <> <> <> <> <> <> PP <>
VISCO89
3-D 20-Node Viscoelastic Solid
20 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST <> <> <> <> <> <> <> <> PP <>
VISCO106
2-D 4-Node Viscoplastic Solid
4 nodes 2-D space
DOF: UX, UY, UZ

MP ME ST <> <> <> <> <> <> <> <> PP <>
VISCO107
3-D 8-Node Viscoplastic Solid
8 nodes 3-D space
DOF: UX, UY, UZ

MP ME ST <> <> <> <> <> <> <> <> PP <>
VISCO108
2-D 8-Node Viscoplastic Solid
8 nodes 2-D space
DOF: UX, UY, UZ

MP ME ST <> <> <> <> <> <> <> <> PP <>

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.1. Element Classifications 		Up / Home Next
3.3. GUI-Inaccessible Elements


3.3. GUI-Inaccessible Elements

These elements are available via the ET family of commands only and are inaccessible from within the ANSYS GUI:

SURF156 | 3-D Structural Surface Line Load Effect
MPC184-Point | Multipoint Constraint Element: Point-in-plane Joint
MPC184-Trans | Multipoint Constraint Element: Translational Joint
MPC184-Cylin | Multipoint Constraint Element: Cylindrical Joint
MPC184-Planar | Multipoint Constraint Element: Planar Joint
MPC184-Weld | Multipoint Constraint Element: Weld Joint
MPC184-Orient | Multipoint Constraint Element: Orient Joint
MPC184-Spherical | Multipoint Constraint Element: Spherical Joint
MPC184-General | Multipoint Constraint Element: General Joint
INTER202 | 2-D 4-Node Linear Interface
INTER203 | 2-D 6-Node Quadratic Interface
INTER204 | 3-D 16-Node Quadratic Interface
INTER205 | 3-D 8-Node Linear Interface
SURF251 | 2-D Radiosity Surface
SURF252 | 3-D Thermal Radiosity Surface

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.2. Pictorial Summary 		Up / Home Next
Part I, Element Library


Part I, Element Library

Release 11.0 Documentation for ANSYS

Elements Reference |

Element Library

Table of Contents

4. Element Library
LINK1 - 2-D Spar (or Truss)
BEAM3 - 2-D Elastic Beam
BEAM4 - 3-D Elastic Beam
SOLID5 - 3-D Coupled-Field Solid
COMBIN7 - Revolute Joint
LINK8 - 3-D Spar (or Truss)
INFIN9 - 2-D Infinite Boundary
LINK10 - Tension-only or Compression-only Spar
LINK11 - Linear Actuator
CONTAC12 - 2-D Point-to-Point Contact
PLANE13 - 2-D Coupled-Field Solid
COMBIN14 - Spring-Damper
PIPE16 - Elastic Straight Pipe
PIPE17 - Elastic Pipe Tee
PIPE18 - Elastic Curved Pipe
PIPE20 - Plastic Straight Thin-Walled Pipe
MASS21 - Structural Mass
BEAM23 - 2-D Plastic Beam
BEAM24 - 3-D Thin-walled Beam
PLANE25 - Axisymmetric-Harmonic 4-Node Structural Solid
MATRIX27 - Stiffness, Damping, or Mass Matrix
SHELL28 - Shear/Twist Panel
FLUID29 - 2-D Axisymmetric Harmonic Acoustic Fluid
FLUID30 - 3-D Acoustic Fluid
LINK31 - Radiation Link
LINK32 - 2-D Conduction Bar
LINK33 - 3-D Conduction Bar
LINK34 - Convection Link
PLANE35 - 2-D 6-Node Triangular Thermal Solid
SOURC36 - Current Source
COMBIN37 - Control
FLUID38 - Dynamic Fluid Coupling
COMBIN39 - Nonlinear Spring
COMBIN40 - Combination
SHELL41 - Membrane Shell
PLANE42 - 2-D Structural Solid
SHELL43 - 4-Node Plastic Large Strain Shell
BEAM44 - 3-D Elastic Tapered Unsymmetric Beam
SOLID45 - 3-D Structural Solid
SOLID46 - 3-D 8-Node Layered Structural Solid
INFIN47 - 3-D Infinite Boundary
MATRIX50 - Superelement (or Substructure)
CONTAC52 - 3-D Point-to-Point Contact
PLANE53 - 2-D 8-Node Magnetic Solid
BEAM54 - 2-D Elastic Tapered Unsymmetric Beam
PLANE55 - 2-D Thermal Solid
SHELL57 - Thermal Shell
PIPE59 - Immersed Pipe or Cable
PIPE60 - Plastic Curved Thin-Walled Pipe
SHELL61 - Axisymmetric-Harmonic Structural Shell
SOLID62 - 3-D Magneto-Structural Solid
SHELL63 - Elastic Shell
SOLID65 - 3-D Reinforced Concrete Solid
PLANE67 - 2-D Coupled Thermal-Electric Solid
LINK68 - Coupled Thermal-Electric Line
SOLID69 - 3-D Coupled Thermal-Electric Solid
SOLID70 - 3-D Thermal Solid
MASS71 - Thermal Mass
PLANE75 - Axisymmetric-Harmonic 4-Node Thermal Solid
PLANE77 - 2-D 8-Node Thermal Solid
PLANE78 - Axisymmetric-Harmonic 8-Node Thermal Solid
FLUID79 - 2-D Contained Fluid
FLUID80 - 3-D Contained Fluid
FLUID81 - Axisymmetric-Harmonic Contained Fluid
PLANE82 - 2-D 8-Node Structural Solid
PLANE83 - Axisymmetric-Harmonic 8-Node Structural Solid
SOLID87 - 3-D 10-Node Tetrahedral Thermal Solid
VISCO88 - 2-D 8-Node Viscoelastic Solid
VISCO89 - 3-D 20-Node Viscoelastic Solid
SOLID90 - 3-D 20-Node Thermal Solid
SHELL91 - Nonlinear Layered Structural Shell
SOLID92 - 3-D 10-Node Tetrahedral Structural Solid
SHELL93 - 8-Node Structural Shell
CIRCU94 - Piezoelectric Circuit
SOLID95 - 3-D 20-Node Structural Solid
SOLID96 - 3-D Magnetic Scalar Solid
SOLID97 - 3-D Magnetic Solid
SOLID98 - Tetrahedral Coupled-Field Solid
SHELL99 - Linear Layered Structural Shell
VISCO106 - 2-D 4-Node Viscoplastic Solid
VISCO107 - 3-D 8-Node Viscoplastic Solid
VISCO108 - 2-D 8-Node Viscoplastic Solid
TRANS109 - 2-D Electromechanical Transducer
INFIN110 - 2-D Infinite Solid
INFIN111 - 3-D Infinite Solid
INTER115 - 3-D Magnetic Interface
FLUID116 - Coupled Thermal-Fluid Pipe
SOLID117 - 3-D 20-Node Magnetic Solid
HF118 - 2-D High-Frequency Quadrilateral Solid
HF119 - 3-D High-Frequency Tetrahedral Solid
HF120 - 3-D High-Frequency Brick Solid
PLANE121 - 2-D 8-Node Electrostatic Solid
SOLID122 - 3-D 20-Node Electrostatic Solid
SOLID123 - 3-D 10-Node Tetrahedral Electrostatic Solid
CIRCU124 - Electric Circuit
CIRCU125 - Diode
TRANS126 - Electromechanical Transducer
SOLID127 - 3-D Tetrahedral Electrostatic Solid p-Element
SOLID128 - 3-D Brick Electrostatic Solid p-Element
FLUID129 - 2-D Infinite Acoustic
FLUID130 - 3-D Infinite Acoustic
SHELL131 - 4-Node Layered Thermal Shell
SHELL132 - 8-Node Layered Thermal Shell
FLUID136 - 3-D Squeeze Film Fluid Element
FLUID138 - 3-D Viscous Fluid Link Element
FLUID139 - 3-D Slide Film Fluid Element
FLUID141 - 2-D Fluid-Thermal
FLUID142 - 3-D Fluid-Thermal
ROM144 - Reduced Order Electrostatic-Structural
PLANE145 - 2-D Quadrilateral Structural Solid p-Element
PLANE146 - 2-D Triangular Structural Solid p-Element
SOLID147 - 3-D Brick Structural Solid p-Element
SOLID148 - 3-D Tetrahedral Structural Solid p-Element
SHELL150 - 8-Node Structural Shell p-Element
SURF151 - 2-D Thermal Surface Effect
SURF152 - 3-D Thermal Surface Effect
SURF153 - 2-D Structural Surface Effect
SURF154 - 3-D Structural Surface Effect
SURF156 - 3-D Structural Surface Line Load Effect
SHELL157 - Thermal-Electric Shell
LINK160 - Explicit 3-D Spar (or Truss)
BEAM161 - Explicit 3-D Beam
PLANE162 - Explicit 2-D Structural Solid
SHELL163 - Explicit Thin Structural Shell
SOLID164 - Explicit 3-D Structural Solid
COMBI165 - Explicit Spring-Damper
MASS166 - Explicit 3-D Structural Mass
LINK167 - Explicit Tension-Only Spar
SOLID168 - Explicit 3-D 10-Node Tetrahedral Structural Solid
TARGE169 - 2-D Target Segment
TARGE170 - 3-D Target Segment
CONTA171 - 2-D 2-Node Surface-to-Surface Contact
CONTA172 - 2-D 3-Node Surface-to-Surface Contact
CONTA173 - 3-D 4-Node Surface-to-Surface Contact
CONTA174 - 3-D 8-Node Surface-to-Surface Contact
CONTA175 - 2-D/3-D Node-to-Surface Contact
CONTA176 - 3-D Line-to-Line Contact
CONTA177 - 3-D Line-to-Surface Contact
CONTA178 - 3-D Node-to-Node Contact
PRETS179 - Pretension
LINK180 - 3-D Finite Strain Spar (or Truss)
SHELL181 - 4-Node Finite Strain Shell
PLANE182 - 2-D 4-Node Structural Solid
PLANE183 - 2-D 8-Node or 6-Node Structural Solid
MPC184 - Multipoint Constraint Element
MPC184-Link/Beam - Multipoint Constraint Element: Rigid Link or Rigid Beam
MPC184-Slider - Multipoint Constraint Element: Slider
MPC184-Revolute - Multipoint Constraint Element: Revolute Joint
MPC184-Universal - Multipoint Constraint Element: Universal Joint
MPC184-Slot - Multipoint Constraint Element: Slot Joint
MPC184-Point - Multipoint Constraint Element: Point-in-plane Joint
MPC184-Translational - Multipoint Constraint Element: Translational Joint
MPC184-Cylindrical - Multipoint Constraint Element: Cylindrical Joint
MPC184-Planar - Multipoint Constraint Element: Planar Joint
MPC184-Weld - Multipoint Constraint Element: Weld Joint
MPC184-Orient - Multipoint Constraint Element: Orient Joint
MPC184-Spherical - Multipoint Constraint Element: Spherical Joint
MPC184-General - Multipoint Constraint Element: General Joint
SOLID185 - 3-D 8-Node Structural Solid or Layered Solid
SOLID186 - 3-D 20-Node Structural Solid or Layered Solid
SOLID187 - 3-D 10-Node Tetrahedral Structural Solid
BEAM188 - 3-D Linear Finite Strain Beam
BEAM189 - 3-D Quadratic Finite Strain Beam
SOLSH190 - 3-D 8-Node Layered Solid Shell
SOLID191 - 3-D 20-Node Layered Structural Solid
INTER192 - 2-D 4-Node Gasket
INTER193 - 2-D 6-Node Gasket
INTER194 - 3-D 16-Node Gasket
INTER195 - 3-D 8-Node Gasket
MESH200 - Meshing Facet
FOLLW201 - Follower Load
INTER202 - 2-D 4-Node Cohesive Zone
INTER203 - 2-D 6-Node Cohesive Zone
INTER204 - 3-D 16-Node Cohesive Zone
INTER205 - 3-D 8-Node Cohesive Zone
SHELL208 - 2-Node Finite Strain Axisymmetric Shell
SHELL209 - 3-Node Finite Strain Axisymmetric Shell
COMBI214 - 2-D Spring-Damper Bearing
PLANE223 - 2-D 8-Node Coupled-Field Solid
SOLID226 - 3-D 20-Node Coupled-Field Solid
SOLID227 - 3-D 10-Node Coupled-Field Solid
PLANE230 - 2-D 8-Node Electric Solid
SOLID231 - 3-D 20-Node Electric Solid
SOLID232 - 3-D 10-Node Tetrahedral Electric Solid
SURF251 - 2-D Radiosity Surface
SURF252 - 3-D Thermal Radiosity Surface
REINF265 - 3-D Smeared Reinforcing
SHELL281 - 8-Node Finite Strain Shell

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.3. GUI-Inaccessible Elements 		Up / Home Next
Chapter 4. Element Library


Chapter 4. Element Library

This chapter describes each element, in numerical order. Descriptions common to several elements appear in separate sections of "General Element Features" and are referenced where applicable. Read "About This Manual" and "General Element Features" before reading the element descriptions in Part I, Element Library.

The details of the element should also be reviewed in the Theory Reference for ANSYS and ANSYS Workbench, which explains how the element input items (such as the real constants, material properties, KEYOPT switches, etc.) are used to produce the element output.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Part I, Element Library 		Up / Home Next
LINK1


LINK1

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

LINK1

2-D Spar (or Truss)

MP ME ST PR PRN DS DSS <> <> <> <> PP <>

Product Restrictions

LINK1 Element Description

LINK1 can be used in a variety of engineering applications. Depending upon the application, you can think of the element as a truss, a link, a spring, etc. The 2-D spar element is a uniaxial tension-compression element with two degrees of freedom at each node: translations in the nodal x and y directions. As in a pin-jointed structure, no bending of the element is considered. See LINK1 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. See LINK8 for a description of a 3-D spar element.

Figure 1.1 LINK1 Geometry

LINK1 Input Data

Figure 1.1: "LINK1 Geometry" shows the geometry, node locations, and the coordinate system for this element. The element is defined by two nodes, the cross-sectional area, an initial strain, and the material properties. The element x-axis is oriented along the length of the element from node I toward node J. The initial strain in the element (ISTRN) is given by Δ/L, where Δ is the difference between the element length, L, (as defined by the I and J node locations) and the zero-strain length.

Node and Element Loads describes element loads. You can input temperatures and fluences as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. The node J temperature defaults to T(I). Similar defaults occur for fluence except that zero is used instead of TUNIF. You can request a lumped mass matrix formulation, which may be useful for certain analyses such as wave propagation, with the LUMPM command.

"LINK1 Input Summary" summarizes the element input. Element Input gives a general description of element input.

LINK1 Input Summary

Nodes

I, J

Degrees of Freedom

UX, UY

Real Constants
AREA - Cross-sectional area
ISTRN - Initial strain
Material Properties

EX, ALPX (or CTEX or THSX), DENS, DAMP

Surface Loads

None

Body Loads
Temperatures --

T(I), T(J)

Fluences --

FL(I), FL(J)

Special Features
Plasticity (BISO, MISO, BKIN, MKIN, KINH, DP, ANISO)
Creep (CREEP)
Swelling (SWELL)
Elasticity (MELAS)
Other material (USER)
Stress stiffening
Large deflection
Birth and death

Note

Items in parentheses refer to data tables associated with the TB command.

KEYOPTS

None

LINK1 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 1.1: "LINK1 Element Output Definitions".

Figure 1.2: "LINK1 Stress Output" illustrates several items. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 1.2 LINK1 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 1.1 LINK1 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Element node numbers (I and J) | Y | Y
MAT | Material number for the element | Y | Y
VOLU: | Element volume | - | Y
XC, YC | Location where results are reported | Y | 2
TEMP | Temperature at nodes I and J | Y | Y
FLUEN | Fluence at nodes I and J | Y | Y
MFORX | Member force in the element coordinate system X direction | Y | Y
SAXL | Axial stress in the element | Y | Y
EPELAXL | Axial elastic strain in the element | Y | Y
EPTHAXL | Axial thermal strain in the element | Y | Y
EPINAXL | Axial initial strain in the element | Y | Y
SEPL | Equivalent stress from the stress-strain curve | 1 | 1
SRAT | Ratio of trial stress to the stress on yield surface | 1 | 1
EPEQ | Equivalent plastic strain | 1 | 1
HPRES | Hydrostatic pressure | 1 | 1
EPPLAXL | Axial plastic strain | 1 | 1
EPCRAXL | Axial creep strain | 1 | 1
EPSWAXL | Axial swelling strain | 1 | 1

  1. Only if the element has a nonlinear material

  2. Available only at centroid as a *GET item.

The Item and Sequence Number... table lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table for further information. The table uses the following notation:

Output Quantity Name

output quantity as defined in the Element Output Definitions table.

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J

sequence number for data at nodes I and J

Table 1.2 LINK1 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J
SAXL | LS | 1 | - | -
EPELAXL | LEPEL | 1 | - | -
EPTHAXL | LEPTH | 1 | - | -
EPSWAXL | LEPTH | 2 | - | -
EPINAXL | LEPTH | 3 | - | -
EPPLAXL | LEPPL | 1 | - | -
EPCRAXL | LEPCR | 1 | - | -
SEPL | NLIN | 1 | - | -
SRAT | NLIN | 2 | - | -
HPRES | NLIN | 3 | - | -
EPEQ | NLIN | 4 | - | -
MFORX | SMISC | 1 | - | -
FLUEN | NMISC | - | 1 | 2
TEMP | LBFE | - | 1 | 2

LINK1 Assumptions and Restrictions

  • The spar element assumes a straight bar, axially loaded at its ends, of uniform properties from end to end.

  • The length of the spar must be greater than zero, so nodes I and J must not be coincident.

  • The spar must lie in an X-Y plane and must have an area greater than zero.

  • The temperature is assumed to vary linearly along the length of the spar.

  • The displacement shape function implies a uniform stress in the spar.

  • The initial strain is also used in calculating the stress stiffness matrix, if any, for the first cumulative iteration.

LINK1 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The DAMP material property is not allowed.

  • Fluence body loads cannot be applied.

  • The only special features allowed are stress stiffening and large deflections.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 4. Element Library 		Up / Home Next
BEAM3


BEAM3

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

BEAM3

2-D Elastic Beam

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

BEAM3 Element Description

BEAM3 is a uniaxial element with tension, compression, and bending capabilities. The element has three degrees of freedom at each node: translations in the nodal x and y directions and rotation about the nodal z-axis. See BEAM3 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. Other 2-D beam elements are the plastic beam (BEAM23) and the tapered unsymmetric beam (BEAM54).

Figure 3.1 BEAM3 Geometry

BEAM3 Input Data

Figure 3.1: "BEAM3 Geometry" shows the geometry, node locations, and the coordinate system for this element. The element is defined by two nodes, the cross-sectional area, the area moment of inertia, the height, and the material properties. The initial strain in the element (ISTRN) is given by Δ/L, where Δ is the difference between the element length, L (as defined by the I and J node locations), and the zero strain length. The initial strain is also used in calculating the stress stiffness matrix, if any, for the first cumulative iteration.

You can use the element in an axisymmetric analysis if hoop effects are negligible, such as for bolts, slotted cylinders, etc. The area and moment of inertia must be input on a full 360° basis for an axisymmetric analysis. The shear deflection constant (SHEARZ) is optional. You can use a zero value of SHEARZ to neglect shear deflection. See Shear Deflection for details. The shear modulus (GXY) is used only with shear deflection. You can specify an added mass per unit length with the ADDMAS real constant.

Node and Element Loads describes element loads. You can specify pressures as surface loads on the element faces, shown by the circled numbers in Figure 3.1: "BEAM3 Geometry". Positive normal pressures act into the element. You specify lateral pressures as a force per unit length. End "pressures" are input as a force. KEYOPT(10) allows tapered lateral pressures to be offset from the nodes. You can specify temperatures as element body loads at the four "corner" locations shown in Figure 3.1: "BEAM3 Geometry". The first corner temperature T1 defaults to TUNIF. If all other temperatures are unspecified, they default to T1. If only T1 and T2 are input, T3 defaults to T2 and T4 defaults to T1. For any other input pattern, unspecified temperatures default to TUNIF.

KEYOPT(9) is used to request output at intermediate locations. It is based on equilibrium (free body of a portion of the element) considerations and is not valid if:

  • stress stiffening is turned on [SSTIF,ON]

  • more than one component of angular velocity is applied [OMEGA]

  • any angular velocities or accelerations are applied with the CGOMGA, DOMEGA, or DCGOMG commands.

"BEAM3 Input Summary" summarizes the element input. Element Input contains a general description of element input.

BEAM3 Input Summary

Nodes

I, J

Degrees of Freedom

UX, UY, ROTZ

Real Constants
AREA - Cross-sectional area
IZZ - Area moment of inertia
HEIGHT - Total beam height
SHEARZ - Shear deflection constant
ISTRN - Initial strain
ADDMAS - Added mass per unit length

Note

SHEARZ goes with the IZZ. If SHEARZ = 0, there is no shear deflection in the element Y direction.

Material Properties

EX, ALPX (or CTEX or THSX), DENS, GXY, DAMP

Surface Loads
Pressure --
face 1 (I-J) (-Y normal direction)
face 2 (I-J) (+X tangential direction)
face 3 (I) (+X axial direction)
face 4 (J) (-X axial direction) (use a negative value for loading in the opposite direction)
Body Loads
Temperatures --

T1, T2, T3, T4

Special Features
Stress stiffening
Large deflection
Birth and death
KEYOPT(6)

Member force and moment output:

0 --

No printout of member forces and moments

1 --

Print out member forces and moments in the element coordinate system

KEYOPT(9)

Output at intermediate points between ends I and J:

N --

Output at N intermediate locations (N = 0, 1, 3, 5, 7, 9)

KEYOPT(10)

Load location, used in conjunction with the offset values input on the SFBEAM command):

0 --

Offset is in terms of length units

1 --

Offset is in terms of a length ratio (0.0 to 1.0)

BEAM3 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 3.1: "BEAM3 Element Output Definitions".

Figure 3.2: "BEAM3 Stress Output" illustrates several items. Solution Output gives a general description of solution output. See the Basic Analysis Guide for ways to view results.

Figure 3.2 BEAM3 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 3.1 BEAM3 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Element nodes - I, J | Y | Y
MAT | Element material number | Y | Y
VOLU: | Element volume | N | Y
XC, YC | Location where results are reported | Y | 3
TEMP | Temperatures T1, T2, T3, T4 | Y | Y
PRES | Pressure P1 at nodes I,J; OFFST1 at I,J; P2 at I,J; OFFST2 at I, J; P3 at I; P4 at J | Y | Y
SDIR | Axial direct stress | 1 | 1
SBYT | Bending stress on the element +Y side of the beam | 1 | 1
SBYB | Bending stress on the element -Y side of the beam | 1 | 1
SMAX | Maximum stress (direct stress + bending stress) | 1 | 1
SMIN | Minimum stress (direct stress - bending stress) | 1 | 1
EPELDIR | Axial elastic strain at the end | 1 | 1
EPELBYT | Bending elastic strain on the element +Y side of the beam | 1 | 1
EPELBYB | Bending elastic strain on the element -Y side of the beam | 1 | 1
EPTHDIR | Axial thermal strain at the end | 1 | 1
EPTHBYT | Bending thermal strain on the element +Y side of the beam | 1 | 1
EPTHBYB | Bending thermal strain on the element -Y side of the beam | 1 | 1
EPINAXL | Initial axial strain in the element | 1 | 1
MFOR(X, Y) | Member forces in the element coordinate system X and Y direction | 2 | Y
MMOMZ | Member moment in the element coordinate system Z direction | 2 | Y

  1. The item repeats for end I, intermediate locations (see KEYOPT(9)), and end J.

  2. If KEYOPT(6) = 1.

  3. Available only at centroid as a *GET item.

The following tables list output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) of the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. Table 3.2: "BEAM3 Item and Sequence Numbers (KEYOPT(9) = 0)" through Table 3.7: "BEAM3 Item and Sequence Numbers (KEYOPT(9) = 9)" all use the following notation:

Name

output quantity as defined in the Table 3.1: "BEAM3 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J

sequence number for data at nodes I and J

ILN

sequence number for data at Intermediate Location N

Table 3.2 BEAM3 Item and Sequence Numbers (KEYOPT(9) = 0)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J
SDIR | LS | - | 1 | 4
SBYT | LS | - | 2 | 5
SBYB | LS | - | 3 | 6
EPELDIR | LEPEL | - | 1 | 4
EPELBYT | LEPEL | - | 2 | 5
EPELBYB | LEPEL | - | 3 | 6
EPTHDIR | LEPTH | - | 1 | 4
EPTHBYT | LEPTH | - | 2 | 5
EPTHBYB | LEPTH | - | 3 | 6
EPINAXL | LEPTH | 7 | - | -
SMAX | NMISC | - | 1 | 3
SMIN | NMISC | - | 2 | 4
MFORX | SMISC | - | 1 | 7
MFORY | SMISC | - | 2 | 8
MMOMZ | SMISC | - | 6 | 12
P1 | SMISC | - | 13 | 14
OFFST1 | SMISC | - | 15 | 16
P2 | SMISC | - | 17 | 18
OFFST2 | SMISC | - | 19 | 20
P3 | SMISC | - | 21 | -
P4 | SMISC | - | - | 22
 |  | Pseudo Node
 |  | 1 | 2 | 3 | 4
TEMP | LBFE | 1 | 2 | 3 | 4

Table 3.3 BEAM3 Item and Sequence Numbers (KEYOPT(9) = 1)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | ILI | J
SDIR | LS | - | 1 | 4 | 7
SBYT | LS | - | 2 | 5 | 8
SBYB | LS | - | 3 | 6 | 9
EPELDIR | LEPEL | - | 1 | 4 | 7
EPELBYT | LEPEL | - | 2 | 5 | 8
EPELBYB | LEPEL | - | 3 | 6 | 9
EPTHDIR | LEPTH | - | 1 | 4 | 7
EPTHBYT | LEPTH | - | 2 | 5 | 8
EPTHBYB | LEPTH | - | 3 | 6 | 9
EPINAXL | LEPTH | 10 | - | - | -
SMAX | NMISC | - | 1 | 3 | 5
SMIN | NMISC | - | 2 | 4 | 6
MFORX | SMISC | - | 1 | 7 | 13
MFORY | SMISC | - | 2 | 8 | 14
MMOMZ | SMISC | - | 6 | 12 | 18
P1 | SMISC | - | 19 | - | 20
OFFST1 | SMISC | - | 21 | - | 22
P2 | SMISC | - | 23 | - | 24
OFFST2 | SMISC | - | 25 | - | 26
P3 | SMISC | - | 27 | - | -
P4 | SMISC | - | - | - | 28
 |  | Pseudo Node
 |  | 1 | 2 | 3 | 4
TEMP | LBFE | 1 | 2 | 3 | 4

Table 3.4 BEAM3 Item and Sequence Numbers (KEYOPT(9) = 3)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | IL1 | IL2 | IL3 | J
SDIR | LS | - | 1 | 4 | 7 | 10 | 13
SBYT | LS | - | 2 | 5 | 8 | 11 | 14
SBYB | LS | - | 3 | 6 | 9 | 12 | 15
EPELDIR | LEPEL | - | 1 | 4 | 7 | 10 | 13
EPELBYT | LEPEL | - | 2 | 5 | 8 | 11 | 14
EPELBYB | LEPEL | - | 3 | 6 | 9 | 12 | 15
EPTHDIR | LEPTH | - | 1 | 4 | 7 | 10 | 13
EPTHBYT | LEPTH | - | 2 | 5 | 8 | 11 | 14
EPTHBYB | LEPTH | - | 3 | 6 | 9 | 12 | 15
EPINAXL | LEPTH | 16 | - | - | - | - | -
SMAX | NMISC | - | 1 | 3 | 5 | 7 | 9
SMIN | NMISC | - | 2 | 4 | 6 | 8 | 10
MFORX | SMISC | - | 1 | 7 | 13 | 19 | 25
MFORY | SMISC | - | 2 | 8 | 14 | 20 | 26
MMOMZ | SMISC | - | 6 | 12 | 18 | 24 | 30
P1 | SMISC | - | 31 | - | - | - | 32
OFFST1 | SMISC | - | 33 | - | - | - | 34
P2 | SMISC | - | 35 | - | - | - | 36
OFFST2 | SMISC | - | 37 | - | - | - | 38
P3 | SMISC | - | 39 | - | - | - | -
P4 | SMISC | - | - | - | - | - | 40
 |  | Pseudo Node
 |  | 1 | 2 | 3 | 4
TEMP | LBFE | 1 | 2 | 3 | 4

Table 3.5 BEAM3 Item and Sequence Numbers (KEYOPT(9) = 5)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | IL1 | IL2 | IL3 | IL4 | IL5 | J
SDIR | LS | - | 1 | 4 | 7 | 10 | 13 | 16 | 19
SBYT | LS | - | 2 | 5 | 8 | 11 | 14 | 17 | 20
SBYB | LS | - | 3 | 6 | 9 | 12 | 15 | 18 | 21
EPELDIR | LEPEL | - | 1 | 4 | 7 | 10 | 13 | 16 | 19
EPELBYT | LEPEL | - | 2 | 5 | 8 | 11 | 14 | 17 | 20
EPELBYB | LEPEL | - | 3 | 6 | 9 | 12 | 15 | 18 | 21
EPTHDIR | LEPTH | - | 1 | 4 | 7 | 10 | 13 | 16 | 19
EPTHBYT | LEPTH | - | 2 | 5 | 8 | 11 | 14 | 17 | 20
EPTHBYB | LEPTH | - | 3 | 6 | 9 | 12 | 15 | 18 | 21
EPINAXL | LEPTH | 22 | - | - | - | - | - | - | -
SMAX | NMISC | - | 1 | 3 | 5 | 7 | 9 | 11 | 13
SMIN | NMISC | - | 2 | 4 | 6 | 8 | 10 | 12 | 14
MFORX | SMISC | - | 1 | 7 | 13 | 19 | 25 | 31 | 37
MFORY | SMISC | - | 2 | 8 | 14 | 20 | 26 | 32 | 38
MMOMZ | SMISC | - | 6 | 12 | 18 | 24 | 30 | 36 | 42
P1 | SMISC | - | 43 | - | - | - | - | - | 44
OFFST1 | SMISC | - | 45 | - | - | - | - | - | 46
P2 | SMISC | - | 47 | - | - | - | - | - | 48
OFFST2 | SMISC | - | 49 | - | - | - | - | - | 50
P3 | SMISC | - | 51 | - | - | - | - | - | -
P4 | SMISC | - | - | - | - | - | - | - | 52
 |  | Pseudo Node
 |  | 1 | 2 | 3 | 4
TEMP | LBFE | 1 | 2 | 3 | 4

Table 3.6 BEAM3 Item and Sequence Numbers (KEYOPT(9) = 7)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | IL1 | IL2 | IL3 | IL4 | IL5 | IL6 | IL7 | J
SDIR | LS | - | 1 | 4 | 7 | 10 | 13 | 16 | 19 | 22 | 25
SBYT | LS | - | 2 | 5 | 8 | 11 | 14 | 17 | 20 | 23 | 26
SBYB | LS | - | 3 | 6 | 9 | 12 | 15 | 18 | 21 | 24 | 27
EPELDIR | LEPEL | - | 1 | 4 | 7 | 10 | 13 | 16 | 19 | 22 | 25
EPELBYT | LEPEL | - | 2 | 5 | 8 | 11 | 14 | 17 | 20 | 23 | 26
EPELBYB | LEPEL | - | 3 | 6 | 9 | 12 | 15 | 18 | 21 | 24 | 27
EPTHDIR | LEPTH | - | 1 | 4 | 7 | 10 | 13 | 16 | 19 | 22 | 25
EPTHBYT | LEPTH | - | 2 | 5 | 8 | 11 | 14 | 17 | 20 | 23 | 26
EPTHBYB | LEPTH | - | 3 | 6 | 9 | 12 | 15 | 18 | 21 | 24 | 27
EPINAXL | LEPTH | 28 | - | - | - | - | - | - | - | - | -
SMAX | NMISC | - | 1 | 3 | 5 | 7 | 9 | 11 | 13 | 15 | 17
SMIN | NMISC | - | 2 | 4 | 6 | 8 | 10 | 12 | 14 | 16 | 18
MFORX | SMISC | - | 1 | 7 | 13 | 19 | 25 | 31 | 37 | 43 | 49
MFORY | SMISC | - | 2 | 8 | 14 | 20 | 26 | 32 | 38 | 44 | 50
MMOMZ | SMISC | - | 6 | 12 | 18 | 24 | 30 | 36 | 42 | 48 | 54
P1 | SMISC | - | 55 | - | - | - | - | - | - | - | 56
OFFST1 | SMISC | - | 57 | - | - | - | - | - | - | - | 58
P2 | SMISC | - | 59 | - | - | - | - | - | - | - | 60
OFFST2 | SMISC | - | 61 | - | - | - | - | - | - | - | 62
P3 | SMISC | - | 63 | - | - | - | - | - | - | - | -
P4 | SMISC | - |  | - | - | - | - | - | - | - | 64
 |  | Pseudo Node
 |  | 1 | 2 | 3 | 4
TEMP | LBFE | 1 | 2 | 3 | 4

Table 3.7 BEAM3 Item and Sequence Numbers (KEYOPT(9) = 9)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | IL1 | IL2 | IL3 | IL4 | IL5 | IL6 | IL7 | IL8 | IL9 | J
SDIR | LS | - | 1 | 4 | 7 | 10 | 13 | 16 | 19 | 22 | 25 | 28 | 31
SBYT | LS | - | 2 | 5 | 8 | 11 | 14 | 17 | 20 | 23 | 26 | 29 | 32
SBYB | LS | - | 3 | 6 | 9 | 12 | 15 | 18 | 21 | 24 | 27 | 30 | 33
EPELDIR | LEPEL | - | 1 | 4 | 7 | 10 | 13 | 16 | 19 | 22 | 25 | 28 | 31
EPELBYT | LEPEL | - | 2 | 5 | 8 | 11 | 14 | 17 | 20 | 23 | 26 | 29 | 32
EPELBYB | LEPEL | - | 3 | 6 | 9 | 12 | 15 | 18 | 21 | 24 | 27 | 30 | 33
EPTHDIR | LEPTH | - | 1 | 4 | 7 | 10 | 13 | 16 | 19 | 22 | 25 | 28 | 31
EPTHBYT | LEPTH | - | 2 | 5 | 8 | 11 | 14 | 17 | 20 | 23 | 26 | 29 | 32
EPTHBYB | LEPTH | - | 3 | 6 | 9 | 12 | 15 | 18 | 21 | 24 | 27 | 30 | 33
EPINAXL | LEPTH | 34 | - | - | - | - | - | - | - | - | - | - | -
SMAX | NMISC | - | 1 | 3 | 5 | 7 | 9 | 11 | 13 | 15 | 17 | 19 | 21
SMIN | NMISC | - | 2 | 4 | 6 | 8 | 10 | 12 | 14 | 16 | 18 | 20 | 22
MFORX | SMISC | - | 1 | 7 | 13 | 19 | 25 | 31 | 37 | 43 | 49 | 55 | 61
MFORY | SMISC | - | 2 | 8 | 14 | 20 | 26 | 32 | 38 | 44 | 50 | 56 | 62
MMOMZ | SMISC | - | 6 | 12 | 18 | 24 | 30 | 36 | 42 | 48 | 54 | 60 | 66
P1 | SMISC | - | 67 | - | - | - | - | - | - | - | - | - | 68
OFFST1 | SMISC | - | 69 | - | - | - | - | - | - | - | - | - | 70
P2 | SMISC | - | 71 | - | - | - | - | - | - | - | - | - | 72
OFFST2 | SMISC | - | 73 | - | - | - | - | - | - | - | - | - | 74
P3 | SMISC | - | 75 | - | - | - | - | - | - | - | - | - | -
P4 | SMISC | - | - | - | - | - | - | - | - | - | - | - | 76
 |  | Pseudo Node
 |  | 1 | 2 | 3 | 4
TEMP | LBFE | 1 | 2 | 3 | 4

BEAM3 Assumptions and Restrictions

  • The beam element must lie in an X-Y plane and must not have a zero length or area.

  • The beam element can have any cross-sectional shape for which the moment of inertia can be computed. However, the stresses are determined as if the distance from the neutral axis to the extreme fiber is one-half of the height.

  • The element height is used only in the bending and thermal stress calculations.

  • The applied thermal gradient is assumed linear across the height and along the length.

  • The moment of inertia may be zero if large deflections are not used.

BEAM3 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The DAMP material property is not allowed.

  • The only special features allowed are stress stiffening and large deflections.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LINK1 		Up / Home Next
BEAM4


BEAM4

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

BEAM4

3-D Elastic Beam

MP ME ST PR PRN DS DSS <> <> <> <> PP <>

Product Restrictions

BEAM4 Element Description

BEAM4 is a uniaxial element with tension, compression, torsion, and bending capabilities. The element has six degrees of freedom at each node: translations in the nodal x, y, and z directions and rotations about the nodal x, y, and z axes. Stress stiffening and large deflection capabilities are included. A consistent tangent stiffness matrix option is available for use in large deflection (finite rotation) analyses. See BEAM4 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. A tapered unsymmetrical elastic beam is described in BEAM44 and a 3-D plastic beam in BEAM24.

Figure 4.1 BEAM4 Geometry

BEAM4 Input Data

The geometry, node locations, and coordinate systems for this element are shown in Figure 4.1: "BEAM4 Geometry". The element is defined by two or three nodes, the cross-sectional area, two area moments of inertia (IZZ and IYY), two thicknesses (TKY and TKZ), an angle of orientation (θ) about the element x-axis, the torsional moment of inertia (IXX), and the material properties. If IXX is not specified or is equal to 0.0, it is assumed equal to the polar moment of inertia (IYY + IZZ). IXX should be positive and is usually less than the polar moment of inertia. The element torsional stiffness decreases with decreasing values of IXX. An added mass per unit length may be input with the ADDMAS value.

The element x-axis is oriented from node I toward node J. For the two-node option, the default (θ = 0°) orientation of the element y-axis is automatically calculated to be parallel to the global X-Y plane. Several orientations are shown in Figure 4.1: "BEAM4 Geometry". For the case where the element is parallel to the global Z axis (or within a 0.01 percent slope of it), the element y axis is oriented parallel to the global Y axis (as shown). For user control of the element orientation about the element x-axis, use the θ angle (THETA) or the third node option. If both are defined, the third node option takes precedence. The third node (K), if used, defines a plane (with I and J) containing the element x and z axes (as shown). If this element is used in a large deflection analysis, it should be noted that the location of the third node (K), or the angle (THETA), is used only to initially orient the element. (For information about orientation nodes and beam meshing, see Meshing Your Solid Model in the Modeling and Meshing Guide.)

The initial strain in the element (ISTRN) is given by Δ/L, where Δ is the difference between the element length, L, (as defined by the I and J node locations) and the zero strain length. The shear deflection constants (SHEARZ and SHEARY) are used only if shear deflection is to be included. A zero value of SHEAR_ may be used to neglect shear deflection in a particular direction. See Shear Deflection for details.

KEYOPT(2) is used to activate the consistent tangent stiffness matrix (i.e., a matrix composed of the main tangent stiffness matrix plus the consistent stress stiffness matrix) in large deflection analyses [NLGEOM,ON]. You can often obtain more rapid convergence in a geometrically nonlinear analysis, such as a nonlinear buckling or postbuckling analysis, by activating this option. However, you should not use this option if you are using the element to simulate a rigid link or a group of coupled nodes. The resulting abrupt changes in stiffness within the structure make the consistent tangent stiffness matrix unsuitable for such applications.

KEYOPT(7) is used to compute an unsymmetric gyroscopic damping matrix (often used for rotordynamic analyses). The rotational frequency is input with the SPIN real constant (radians/time, positive in the positive element x direction). The element must be symmetric with this option (e.g., IYY = IZZ and SHEARY = SHEARZ).

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 4.1: "BEAM4 Geometry". Positive normal pressures act into the element. Lateral pressures are input as a force per unit length. End "pressures" are input as a force. KEYOPT(10) allows tapered lateral pressures to be offset from the nodes. Temperatures may be input as element body loads at the eight "corner" locations shown in Figure 4.1: "BEAM4 Geometry". The first corner temperature T1 defaults to TUNIF. If all other temperatures are unspecified, they default to T1. If only T1 and T2 are input, T3 defaults to T2 and T4 defaults to T1. If only T1 and T4 are input, T2 defaults to T1 and T3 defaults to T4. In both cases, T5 through T8 default to T1 through T4. For any other input pattern, unspecified temperatures default to TUNIF.

KEYOPT(9) is used to request output at intermediate locations. It is based on equilibrium (free body of a portion of the element) considerations and is not valid if:

  • stress stiffening is turned on [SSTIF,ON]

  • more than one component of angular velocity is applied [OMEGA]

  • any angular velocities or accelerations are applied with the CGOMGA, DOMEGA, or DCGOMG commands.

A summary of the element input is given in "BEAM4 Input Summary". A general description of element input is given in Element Input.

BEAM4 Input Summary

Nodes

I, J, K (K orientation node is optional)

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ

Real Constants
AREA, IZZ, IYY, TKZ, TKY, THETA
ISTRN, IXX, SHEARZ, SHEARY, SPIN, ADDMAS
See Table 4.1: "BEAM4 Real Constants" for a description of the real constants.
Material Properties

EX, ALPX (or CTEX or THSX), DENS, GXY, DAMP

Surface Loads
Pressures --
face 1 (I-J) (-Z normal direction)
face 2 (I-J) (-Y normal direction)
face 3 (I-J) (+X tangential direction)
face 4 (I) (+X axial direction)
face 5 (J) (-X axial direction)
(use negative value for opposite loading)
Body Loads
Temperatures --

T1, T2, T3, T4, T5, T6, T7, T8

Special Features
Stress stiffening
Large deflection
Birth and death
KEYOPT(2)

Stress stiffening option:

0 --

Use only the main tangent stiffness matrix when NLGEOM is ON. (Stress stiffening effects used in linear buckling or other linear prestressed analyses must be activated separately with PSTRES,ON.)

1 --

Use the consistent tangent stiffness matrix (i.e., a matrix composed of the main tangent stiffness matrix plus the consistent stress stiffness matrix) when NLGEOM is ON. (SSTIF,ON will be ignored for this element when KEYOPT(2) = 1 is activated.) Note that if SOLCONTROL is ON and NLGEOM is ON, KEYOPT(2) is automatically set to 1; i.e., the consistent tangent will be used.

2 --

Turn off consistent tangent stiffness matrix (i.e., a matrix composed of the main tangent stiffness matrix plus the consistent stress stiffness matrix) when SOLCONTROL is ON. Sometimes it is necessary to turn off the consistent tangent stiffness matrix if the element is used to simulate rigid bodies by using a very large real constant number . KEYOPT(2) = 2 is the same as KEYOPT(2) = 0, however, KEYOPT(2) = 0 is controlled by SOLCONTROL, ON or OFF, while KEYOPT(2) = 2 is independent of SOLCONTROL.

KEYOPT(6)

Member force and moment output:

0 --

No printout of member forces or moments

1 --

Print out member forces and moments in the element coordinate system

KEYOPT(7)

Gyroscopic damping matrix:

0 --

No gyroscopic damping matrix

1 --

Compute gyroscopic damping matrix. Real constant SPIN must be greater than zero. IYY must equal IZZ.

KEYOPT(9)

Output at intermediate points between ends I and J:

N --

Output at N intermediate locations (N = 0, 1, 3, 5, 7, 9)

KEYOPT(10)

Load location, used in conjunction with the offset values input on the SFBEAM command):

0 --

Offset is in terms of length units

1 --

Offset is in terms of a length ratio (0.0 to 1.0)

Table 4.1 BEAM4 Real Constants

No. | Name | Description
1 | AREA | Cross-sectional area
2 | IZZ | Area moment of inertia
3 | IYY | Area moment of inertia
4 | TKZ | Thickness along Z axis
5 | TKY | Thickness along Y axis
6 | THETA | Orientation about X axis
7 | ISTRN | Initial strain
8 | IXX | Torsional moment of inertia
9 | SHEARZ | Shear deflection constant Z [1]
10 | SHEARY | Shear deflection constant Y [2]
11 | SPIN | Rotational frequency (required if KEYOPT(7) = 1)
12 | ADDMAS | Added mass/unit length

  1. SHEARZ goes with IZZ; if SHEARZ = 0, there is no shear deflection in the element Y direction.

  2. SHEARY goes with IYY; if SHEARY = 0, there is no shear deflection in the element Z direction.

BEAM4 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 4.2: "BEAM4 Element Output Definitions".

Several items are illustrated in Figure 4.2: "BEAM4 Stress Output".

The maximum stress is computed as the direct stress plus the absolute values of both bending stresses. The minimum stress is the direct stress minus the absolute value of both bending stresses. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 4.2 BEAM4 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 4.2 BEAM4 Element Output Definitions

Name | Definition | O | R
EL | Element number | Y | Y
NODES | Element node number (I and J) | Y | Y
MAT | Material number for the element | Y | Y
VOLU: | Element volume | - | Y
XC, YC, ZC | Location where results are reported | Y | 3
TEMP | Temperatures at integration points T1, T2, T3, T4, T5, T6, T7, T8 | Y | Y
PRES | Pressure P1 at nodes I, J; OFFST1 at I, J; P2 at I, J; OFFST2 at I, J; P3 at I, J; OFFST3 at I, J; P4 at I; P5 at J | Y | Y
SDIR | Axial direct stress | 1 | 1
SBYT | Bending stress on the element +Y side of the beam | 1 | 1
SBYB | Bending stress on the element -Y side of the beam | 1 | 1
SBZT | Bending stress on the element +Z side of the beam | 1 | 1
SBZB | Bending stress on the element -Z side of the beam | 1 | 1
SMAX | Maximum stress (direct stress + bending stress) | 1 | 1
SMIN | Minimum stress (direct stress - bending stress) | 1 | 1
EPELDIR | Axial elastic strain at the end | 1 | 1
EPELBYT | Bending elastic strain on the element +Y side of the beam | 1 | 1
EPELBYB | Bending elastic strain on the element -Y side of the beam | 1 | 1
EPELBZT | Bending elastic strain on the element +Z side of the beam | 1 | 1
EPELBZB | Bending elastic strain on the element -Z side of the beam | 1 | 1
EPTHDIR | Axial thermal strain at the end | 1 | 1
EPTHBYT | Bending thermal strain on the element +Y side of the beam | 1 | 1
EPTHBYB | Bending thermal strain on the element -Y side of the beam | 1 | 1
EPTHBZT | Bending thermal strain on the element +Z side of the beam | 1 | 1
EPTHBZB | Bending thermal strain on the element -Z side of the beam | 1 | 1
EPINAXL | Initial axial strain in the element | 1 | 1
MFOR(X, Y, Z) | Member forces in the element coordinate system X, Y, Z directions | 2 | Y
MMOM(X, Y, Z) | Member moments in the element coordinate system X, Y, Z directions | 2 | Y

  1. The item repeats for end I, intermediate locations (see KEYOPT(9)), and end J.

  2. If KEYOPT(6) = 1.

  3. Available only at centroid as a *GET item.

The following tables list output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) of the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 4.3: "BEAM4 Item and Sequence Numbers (KEYOPT(9) = 0)" through Table 4.8: "BEAM4 Item and Sequence Numbers (KEYOPT(9) = 9)":

Name

output quantity as defined in the Table 4.2: "BEAM4 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J

sequence number for data at nodes I and J

ILN

sequence number for data at Intermediate Location N

Table 4.3 BEAM4 Item and Sequence Numbers (KEYOPT(9) = 0)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J
SDIR | LS | - | 1 | 6
SBYT | LS | - | 2 | 7
SBYB | LS | - | 3 | 8
SBZT | LS | - | 4 | 9
SBZB | LS | - | 5 | 10
EPELDIR | LEPEL | - | 1 | 6
EPELBYT | LEPEL | - | 2 | 7
EPELBYB | LEPEL | - | 3 | 8
EPELBZT | LEPEL | - | 4 | 9
EPELBZB | LEPEL | - | 5 | 10
SMAX | NMISC | - | 1 | 3
SMIN | NMISC | - | 2 | 4
EPTHDIR | LEPTH | - | 1 | 6
EPTHBYT | LEPTH | - | 2 | 7
EPTHBYB | LEPTH | - | 3 | 8
EPTHBZT | LEPTH | - | 4 | 9
EPTHBZB | LEPTH | - | 5 | 10
EPINAXL | LEPTH | 11 | - | -
MFORX | SMISC | - | 1 | 7
MFORY | SMISC | - | 2 | 8
MFORZ | SMISC | - | 3 | 9
MMOMX | SMISC | - | 4 | 10
MMOMY | SMISC | - | 5 | 11
MMOMZ | SMISC | - | 6 | 12
P1 | SMISC | - | 13 | 14
OFFST1 | SMISC | - | 15 | 16
P2 | SMISC | - | 17 | 18
OFFST2 | SMISC | - | 19 | 20
P3 | SMISC | - | 21 | 22
OFFST3 | SMISC | - | 23 | 24
P4 | SMISC | - | 25 | -
P5 | SMISC | - | - | 26
 |  | Pseudo Node
 |  | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8
TEMP | LBFE | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8

Table 4.4 BEAM4 Item and Sequence Numbers (KEYOPT(9) = 1)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | IL1 | J
SDIR | LS | - | 1 | 6 | 11
SBYT | LS | - | 2 | 7 | 12
SBYB | LS | - | 3 | 8 | 13
SBZT | LS | - | 4 | 9 | 14
SBZB | LS | - | 5 | 10 | 15
EPELDIR | LEPEL | - | 1 | 6 | 11
EPELBYT | LEPEL | - | 2 | 7 | 12
EPELBYB | LEPEL | - | 3 | 8 | 13
EPELBZT | LEPEL | - | 4 | 9 | 14
EPELBZB | LEPEL | - | 5 | 10 | 15
SMAX | NMISC | - | 1 | 3 | 5
SMIN | NMISC | - | 2 | 4 | 6
EPTHDIR | LEPTH | - | 1 | 6 | 11
EPTHBYT | LEPTH | - | 2 | 7 | 12
EPTHBYB | LEPTH | - | 3 | 8 | 13
EPTHBZT | LEPTH | - | 4 | 9 | 14
EPTHBZB | LEPTH | - | 5 | 10 | 15
EPINAXL | LEPTH | 16 | - | - | -
MFORX | SMISC | - | 1 | 7 | 13
MFORY | SMISC | - | 2 | 8 | 14
MFORZ | SMISC | - | 3 | 9 | 15
MMOMX | SMISC | - | 4 | 10 | 16
MMOMY | SMISC | - | 5 | 11 | 17
MMOMZ | SMISC | - | 6 | 12 | 18
P1 | SMISC | - | 19 | - | 20
OFFST1 | SMISC | - | 21 | - | 22
P2 | SMISC | - | 23 | - | 24
OFFST2 | SMISC | - | 25 | - | 26
P3 | SMISC | - | 27 | - | 28
OFFST3 | SMISC | - | 29 | - | 30
P4 | SMISC | - | 31 | - | -
P5 | SMISC | - | - | - | 32
 |  | Pseudo Node
 |  | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8
TEMP | LBFE | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8

Table 4.5 BEAM4 Item and Sequence Numbers (KEYOPT(9) = 3)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | IL1 | IL2 | IL3 | J
SDIR | LS | - | 1 | 6 | 11 | 16 | 21
SBYT | LS | - | 2 | 7 | 12 | 17 | 22
SBYB | LS | - | 3 | 8 | 13 | 18 | 23
SBZT | LS | - | 4 | 9 | 14 | 19 | 24
SBZB | LS | - | 5 | 10 | 15 | 20 | 25
EPELDIR | LEPEL | - | 1 | 6 | 11 | 16 | 21
EPELBYT | LEPEL | - | 2 | 7 | 12 | 17 | 22
EPELBYB | LEPEL | - | 3 | 8 | 13 | 18 | 23
EPELBZT | LEPEL | - | 4 | 9 | 14 | 19 | 24
EPELBZB | LEPEL | - | 5 | 10 | 15 | 20 | 25
SMAX | NMISC | - | 1 | 3 | 5 | 7 | 9
SMIN | NMISC | - | 2 | 4 | 6 | 8 | 10
EPTHDIR | LEPTH | - | 1 | 6 | 11 | 16 | 21
EPTHBYT | LEPTH | - | 2 | 7 | 12 | 17 | 22
EPTHBYB | LEPTH | - | 3 | 8 | 13 | 18 | 23
EPTHBZT | LEPTH | - | 4 | 9 | 14 | 19 | 24
EPTHBZB | LEPTH | - | 5 | 10 | 15 | 20 | 25
EPINAXL | LEPTH | 26 | - | - | - | - | -
MFORX | SMISC | - | 1 | 7 | 13 | 19 | 25
MFORY | SMISC | - | 2 | 8 | 14 | 20 | 26
MFORZ | SMISC | - | 3 | 9 | 15 | 21 | 27
MMOMX | SMISC | - | 4 | 10 | 16 | 22 | 28
MMOMY | SMISC | - | 5 | 11 | 17 | 23 | 29
MMOMZ | SMISC | - | 6 | 12 | 18 | 24 | 30
P1 | SMISC | - | 31 | - | - | - | 32
OFFST1 | SMISC | - | 33 | - | - | - | 34
P2 | SMISC | - | 35 | - | - | - | 36
OFFST2 | SMISC | - | 37 | - | - | - | 38
P3 | SMISC | - | 39 | - | - | - | 40
OFFST3 | SMISC | - | 41 | - | - | - | 42
P4 | SMISC | - | 43 | - | - | - |
P5 | SMISC | - | - | - | - | - | 44
 |  | Pseudo Node
 |  | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8
TEMP | LBFE | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8

Table 4.6 BEAM4 Item and Sequence Numbers (KEYOPT(9) = 5)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | IL1 | IL2 | IL3 | IL4 | IL5 | J
SDIR | LS | - | 1 | 6 | 11 | 16 | 21 | 26 | 31
SBYT | LS | - | 2 | 7 | 12 | 17 | 22 | 27 | 32
SBYB | LS | - | 3 | 8 | 13 | 18 | 23 | 28 | 33
SBZT | LS | - | 4 | 9 | 14 | 19 | 24 | 29 | 34
SBZB | LS | - | 5 | 10 | 15 | 20 | 25 | 30 | 35
EPELDIR | LEPEL | - | 1 | 6 | 11 | 16 | 21 | 26 | 31
EPELBYT | LEPEL | - | 2 | 7 | 12 | 17 | 22 | 27 | 32
EPELBYB | LEPEL | - | 3 | 8 | 13 | 18 | 23 | 28 | 33
EPELBZT | LEPEL | - | 4 | 9 | 14 | 19 | 24 | 29 | 34
EPELBZB | LEPEL | - | 5 | 10 | 15 | 20 | 25 | 30 | 35
SMAX | NMISC | - | 1 | 3 | 5 | 7 | 9 | 11 | 13
SMIN | NMISC | - | 2 | 4 | 6 | 8 | 10 | 12 | 14
EPTHDIR | LEPTH | - | 1 | 6 | 11 | 16 | 21 | 26 | 31
EPTHBYT | LEPTH | - | 2 | 7 | 12 | 17 | 22 | 27 | 32
EPTHBYB | LEPTH | - | 3 | 8 | 13 | 18 | 23 | 28 | 33
EPTHBZT | LEPTH | - | 4 | 9 | 14 | 19 | 24 | 29 | 34
EPTHBZB | LEPTH | - | 5 | 10 | 15 | 20 | 25 | 30 | 35
EPINAXL | LEPTH | 36 | - | - | - | - | - | - | -
MFORX | SMISC | - | 1 | 7 | 13 | 19 | 25 | 31 | 37
MFORY | SMISC | - | 2 | 8 | 14 | 20 | 26 | 32 | 38
MFORZ | SMISC | - | 3 | 9 | 15 | 21 | 27 | 33 | 39
MMOMX | SMISC | - | 4 | 10 | 16 | 22 | 28 | 34 | 40
MMOMY | SMISC | - | 5 | 11 | 17 | 23 | 29 | 35 | 41
MMOMZ | SMISC | - | 6 | 12 | 18 | 24 | 30 | 36 | 42
P1 | SMISC | - | 43 | - | - | - | - | - | 44
OFFST1 | SMISC | - | 45 | - | - | - | - | - | 46
P2 | SMISC | - | 47 | - | - | - | - | - | 48
OFFST2 | SMISC | - | 49 | - | - | - | - | - | 50
P3 | SMISC | - | 51 | - | - | - | - | - | 52
OFFST3 | SMISC | - | 53 | - | - | - | - | - | 54
P4 | SMISC | - | 55 | - | - | - | - | - | -
P5 | SMISC | - | - | - | - | - | - | - | 56
 |  | Pseudo Node
 |  | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8
TEMP | LBFE | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8

Table 4.7 BEAM4 Item and Sequence Numbers (KEYOPT(9) = 7)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | IL1 | IL2 | IL3 | IL4 | IL5 | IL6 | IL7 | J
SDIR | LS | - | 1 | 6 | 11 | 16 | 21 | 26 | 31 | 36 | 41
SBYT | LS | - | 2 | 7 | 12 | 17 | 22 | 27 | 32 | 37 | 42
SBYB | LS | - | 3 | 8 | 13 | 18 | 23 | 28 | 33 | 38 | 43
SBZT | LS | - | 4 | 9 | 14 | 19 | 24 | 29 | 34 | 39 | 44
SBZB | LS | - | 5 | 10 | 15 | 20 | 25 | 30 | 35 | 40 | 45
EPELDIR | LEPEL | - | 1 | 6 | 11 | 16 | 21 | 26 | 31 | 36 | 41
EPELBYT | LEPEL | - | 2 | 7 | 12 | 17 | 22 | 27 | 32 | 37 | 42
EPELBYB | LEPEL | - | 3 | 8 | 13 | 18 | 23 | 28 | 33 | 38 | 43
EPELBZT | LEPEL | - | 4 | 9 | 14 | 19 | 24 | 29 | 34 | 39 | 44
EPELBZB | LEPEL | - | 5 | 10 | 15 | 20 | 25 | 30 | 35 | 40 | 45
SMAX | NMISC | - | 1 | 3 | 5 | 7 | 9 | 11 | 13 | 15 | 17
SMIN | NMISC | - | 2 | 4 | 6 | 8 | 10 | 12 | 14 | 16 | 18
EPTHDIR | LEPTH | - | 1 | 6 | 11 | 16 | 21 | 26 | 31 | 36 | 41
EPTHBYT | LEPTH | - | 2 | 7 | 12 | 17 | 22 | 27 | 32 | 37 | 42
EPTHBYB | LEPTH | - | 3 | 8 | 13 | 18 | 23 | 28 | 33 | 38 | 43
EPTHBZT | LEPTH | - | 4 | 9 | 14 | 19 | 24 | 29 | 34 | 39 | 44
EPTHBZB | LEPTH | - | 5 | 10 | 15 | 20 | 25 | 30 | 35 | 40 | 45
EPINAXL | LEPTH | 46 | - | - | - | - | - | - | - | - | -
MFORX | SMISC | - | 1 | 7 | 13 | 19 | 25 | 31 | 37 | 43 | 49
MFORY | SMISC | - | 2 | 8 | 14 | 20 | 26 | 32 | 38 | 44 | 50
MFORZ | SMISC | - | 3 | 9 | 15 | 21 | 27 | 33 | 39 | 45 | 51
MMOMX | SMISC | - | 4 | 10 | 16 | 22 | 28 | 34 | 40 | 46 | 52
MMOMY | SMISC | - | 5 | 11 | 17 | 23 | 29 | 35 | 41 | 47 | 53
MMOMZ | SMISC | - | 6 | 12 | 18 | 24 | 30 | 36 | 42 | 48 | 54
P1 | SMISC | - | 55 | - | - | - | - | - | - | - | 56
OFFST1 | SMISC | - | 57 | - | - | - | - | - | - | - | 58
P2 | SMISC | - | 59 | - | - | - | - | - | - | - | 60
OFFST2 | SMISC | - | 61 | - | - | - | - | - | - | - | 62
P3 | SMISC | - | 63 | - | - | - | - | - | - | - | 64
OFFST3 | SMISC | - | 65 | - | - | - | - | - | - | - | 66
P4 | SMISC | - | 67 | - | - | - | - | - | - | - | -
P5 | SMISC | - | - | - | - | - | - | - | - | - | 68
 |  | Pseudo Node
 |  | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8
TEMP | LBFE | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8

Table 4.8 BEAM4 Item and Sequence Numbers (KEYOPT(9) = 9)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | IL1 | IL2 | IL3 | IL4 | IL5 | IL6 | IL7 | IL8 | IL9 | J
SDIR | LS | - | 1 | 6 | 11 | 16 | 21 | 26 | 31 | 36 | 41 | 46 | 51
SBYT | LS | - | 2 | 7 | 12 | 17 | 22 | 27 | 32 | 37 | 42 | 47 | 52
SBYB | LS | - | 3 | 8 | 13 | 18 | 23 | 28 | 33 | 38 | 43 | 48 | 53
SBZT | LS | - | 4 | 9 | 14 | 19 | 24 | 29 | 34 | 39 | 44 | 49 | 54
SBZB | LS | - | 5 | 10 | 15 | 20 | 25 | 30 | 35 | 40 | 45 | 50 | 55
EPELDIR | LEPEL | - | 1 | 6 | 11 | 16 | 21 | 26 | 31 | 36 | 41 | 46 | 51
EPELBYT | LEPEL | - | 2 | 7 | 12 | 17 | 22 | 27 | 32 | 37 | 42 | 47 | 52
EPELBYB | LEPEL | - | 3 | 8 | 13 | 18 | 23 | 28 | 33 | 38 | 43 | 48 | 53
EPELBZT | LEPEL | - | 4 | 9 | 14 | 19 | 24 | 29 | 34 | 39 | 44 | 49 | 54
EPELBZB | LEPEL | - | 5 | 10 | 15 | 20 | 25 | 30 | 35 | 40 | 45 | 50 | 55
SMAX | NMISC | - | 1 | 3 | 5 | 7 | 9 | 11 | 13 | 15 | 17 | 19 | 21
SMIN | NMISC | - | 2 | 4 | 6 | 8 | 10 | 12 | 14 | 16 | 18 | 20 | 22
EPTHDIR | LEPTH | - | 1 | 6 | 11 | 16 | 21 | 26 | 31 | 36 | 41 | 46 | 51
EPTHBYT | LEPTH | - | 2 | 7 | 12 | 17 | 22 | 27 | 32 | 37 | 42 | 47 | 52
EPTHBYB | LEPTH | - | 3 | 8 | 13 | 18 | 23 | 28 | 33 | 38 | 43 | 48 | 53
EPTHBZT | LEPTH | - | 4 | 9 | 14 | 19 | 24 | 29 | 34 | 39 | 44 | 49 | 54
EPTHBZB | LEPTH | - | 5 | 10 | 15 | 20 | 25 | 30 | 35 | 40 | 45 | 50 | 55
EPINAXL | LEPTH | 56 | - | - | - | - | - | - | - | - | - | - | -
MFORX | SMISC | - | 1 | 7 | 13 | 19 | 25 | 31 | 37 | 43 | 49 | 55 | 61
MFORY | SMISC | - | 2 | 8 | 14 | 20 | 26 | 32 | 38 | 44 | 50 | 56 | 62
MFORZ | SMISC | - | 3 | 9 | 15 | 21 | 27 | 33 | 39 | 45 | 51 | 57 | 63
MMOMX | SMISC | - | 4 | 10 | 16 | 22 | 28 | 34 | 40 | 46 | 52 | 58 | 64
MMOMY | SMISC | - | 5 | 11 | 17 | 23 | 29 | 35 | 41 | 47 | 53 | 59 | 65
MMOMZ | SMISC | - | 6 | 12 | 18 | 24 | 30 | 36 | 42 | 48 | 54 | 60 | 66
P1 | SMISC | - | 67 | - | - | - | - | - | - | - | - | - | 68
OFFST1 | SMISC | - | 69 | - | - | - | - | - | - | - | - | - | 70
P2 | SMISC | - | 71 | - | - | - | - | - | - | - | - | - | 72
OFFST2 | SMISC | - | 73 | - | - | - | - | - | - | - | - | - | 74
P3 | SMISC | - | 75 | - | - | - | - | - | - | - | - | - | 76
OFFST3 | SMISC | - | 77 | - | - | - | - | - | - | - | - | - | 78
P4 | SMISC | - | 79 | - | - | - | - | - | - | - | - | - | -
P5 | SMISC | - | - | - | - | - | - | - | - | - | - | - | 80
 |  | Pseudo Node
 |  | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8
TEMP | LBFE | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8

BEAM4 Assumptions and Restrictions

  • The beam must not have a zero length or area. The moments of inertia, however, may be zero if large deflections are not used.

  • The beam can have any cross-sectional shape for which the moments of inertia can be computed. The stresses, however, will be determined as if the distance between the neutral axis and the extreme fiber is one-half of the corresponding thickness.

  • The element thicknesses are used only in the bending and thermal stress calculations.

  • The applied thermal gradients are assumed to be linear across the thickness in both directions and along the length of the element.

  • If you use the consistent tangent stiffness matrix (KEYOPT(2) = 1), take care to use realistic (that is, "to scale") element real constants. This precaution is necessary because the consistent stress-stiffening matrix is based on the calculated stresses in the element. If you use artificially large or small cross-sectional properties, the calculated stresses will become inaccurate, and the stress-stiffening matrix will suffer corresponding inaccuracies. (Certain components of the stress-stiffening matrix could even overshoot to infinity.) Similar difficulties could arise if unrealistic real constants are used in a linear prestressed or linear buckling analysis [PSTRES,ON].

  • Eigenvalues calculated in a gyroscopic modal analysis can be very sensitive to changes in the initial shift value, leading to potential error in either the real or imaginary (or both) parts of the eigenvalues.

BEAM4 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The SPIN real constant (R11) is not available. Input R11 as a blank.

  • The DAMP material property is not allowed.

  • KEYOPT(2) can only be set to 0 (default).

  • KEYOPT(7) can only be set to 0 (default).

  • The only special features allowed are stress stiffening and large deflections.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BEAM3 		Up / Home Next
SOLID5


SOLID5

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID5

3-D Coupled-Field Solid

MP ME <> <> <> <> <> <> EM <> <> PP <>

Product Restrictions

SOLID5 Element Description

SOLID5 has a 3-D magnetic, thermal, electric, piezoelectric, and structural field capability with limited coupling between the fields. The element has eight nodes with up to six degrees of freedom at each node. Scalar potential formulations (reduced RSP, difference DSP, or general GSP) are available for modeling magnetostatic fields in a static analysis. When used in structural and piezoelectric analyses, SOLID5 has large deflection and stress stiffening capabilities. See SOLID5 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. Coupled field elements with similar field capabilities are PLANE13, SOLID62, and SOLID98.

Figure 5.1 SOLID5 Geometry

SOLID5 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 5.1: "SOLID5 Geometry". The element is defined by eight nodes and the material properties. The type of units (MKS or user defined) is specified through the EMUNIT command. EMUNIT also determines the value of MUZERO. The EMUNIT defaults are MKS units and MUZERO = 4 π x 10-7 Henries/meter. In addition to MUZERO, orthotropic relative permeability is specified through the MURX, MURY, and MURZ material property labels.

MGXX, MGYY, and MGZZ represent vector components of the coercive force for permanent magnet materials. The magnitude of the coercive force is the square root of the sum of the squares of the components. The direction of polarization is determined by the components MGXX, MGYY, and MGZZ. Permanent magnet polarization directions correspond to the element coordinate directions. Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. Nonlinear magnetic, piezoelectric, and anisotropic elastic properties are entered with the TB command as described in Data Tables - Implicit Analysis. Nonlinear orthotropic magnetic properties may be specified with a combination of a B-H curve and linear relative permeability. The B-H curve will be used in each element coordinate direction where a zero value of relative permeability is specified. Only one B-H curve may be specified per material.

Various combinations of nodal loading are available for this element (depending upon the KEYOPT(1) value). Nodal loads are defined with the D and the F commands. With the D command, the Lab variable corresponds to the degree of freedom (UX, UY, UZ, TEMP, VOLT, MAG) and VALUE corresponds to the value (displacements, temperature, voltage, scalar magnetic potential). With the F command, the Lab variable corresponds to the force (FX, FY, FZ, HEAT, AMPS, FLUX) and VALUE corresponds to the value (force, heat flow, current or charge, magnetic flux).

Element loads are described in Node and Element Loads. Pressure, convection or heat flux (but not both), radiation, and Maxwell force flags may be input on the element faces indicated by the circled numbers in Figure 5.1: "SOLID5 Geometry" using the SF and SFE commands. Positive pressures act into the element. Surfaces at which magnetic forces are to be calculated may be identified by using the MXWF label on the surface load commands (no value is required.) A maxwell stress tensor calculation is performed at these surfaces to obtain the magnetic forces. These forces are applied in solution as structural loads. The surface flag should be applied to "air" elements adjacent to the body for which forces are required. Deleting the MXWF specification removes the flag.

The body loads, temperature, heat generation rate and magnetic virtual displacement may be input based on their value at the element's nodes or as a single element value [BF and BFE]. When the temperature degree of freedom is active (KEYOPT(1) = 0,1 or 8), applied body force temperatures [BF, BFE] are ignored. In general, unspecified nodal values of temperature and heat generation rate default to the uniform value specified with the BFUNIF or TUNIF commands. Calculated Joule heating (JHEAT) is applied in subsequent iterations as heat generation rate.

If the temperature degree of freedom is present, the calculated temperatures override any input nodal temperatures.

Air elements in which Local Jacobian forces are to be calculated may be identified by using nodal values of 1 and 0 for the MVDI label [BF]. See the Low-Frequency Electromagnetic Analysis Guide for details. These forces are not applied in solution as structural loads.

Current for the scalar magnetic potential options is defined with the SOURC36 element the command macro RACE, or through electromagnetic coupling. The various types of scalar magnetic potential solution options are defined with the MAGOPT command.

A summary of the element input is given in "SOLID5 Input Summary". A general description of element input is given in Element Input.

SOLID5 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom
UX, UY, UZ, TEMP, VOLT, MAG if KEYOPT (1) = 0
TEMP, VOLT, MAG if KEYOPT (1) = 1
UX, UY, UZ if KEYOPT (1) = 2
UX, UY, UZ, VOLT if KEYOPT(1) = 3
TEMP if KEYOPT (1) = 8
VOLT if KEYOPT (1) = 9
MAG if KEYOPT (1) = 10
Real Constants

None

Material Properties
EX, EY, EZ, (PRXY, PRYZ, PRXZ or NUXY, NUYZ, NUXZ),
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ),
DENS, GXY, GYZ, GXZ, DAMP, KXX, KYY, KZZ, C,
ENTH, MUZERO, MURX, MURY, MURZ, RSVX, RSVY, RSVZ,
MGXX, MGYY, MGZZ, PERX, PERY, PERZ, plus BH, ANEL, and PIEZ data tables (see Data Tables - Implicit Analysis)
Surface Loads
Pressure, Convection or Heat Flux (but not both), Radiation (using Lab = RDSF), and Maxwell Force Flags --
face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N),
face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)
Body Loads
Temperatures --

T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P)

Heat Generations --

HG(I), HG(J), HG(K), HG(L), HG(M), HG(N), HG(O), HG(P)

Magnetic Virtual Displacements --

VD(I), VD(J), VD(K), VD(L), VD(M), VD(N), VD(O), VD(P)

Electric Field --

EFX, EFY, EFZ. See "SOLID5 Assumptions and Restrictions".

Special Features
Requires an iterative solution for field coupling (displacement, temperature, electric, magnetic, but not piezoelectric)
Large deflection
Stress stiffening
Birth and death
Adaptive descent
KEYOPT(1)

Element degrees of freedom:

0 --

UX, UY, UZ, TEMP, VOLT, MAG

1 --

TEMP, VOLT, MAG

2 --

UX, UY, UZ

3 --

UX, UY, UZ, VOLT

8 --

TEMP

9 --

VOLT

10 --

MAG

KEYOPT(3)

Extra shapes:

0 --

Include extra shapes

1 --

Do not include extra shapes

KEYOPT(5)

Extra element output:

0 --

Basic element printout

2 --

Nodal stress or magnetic field printout

SOLID5 Output Data

The solution output associated with the element is in two forms

  • Nodal degree of freedom results included in the overall nodal solution

  • Additional element output as shown in Table 5.1: "SOLID5 Element Output Definitions".

Several items are illustrated in Figure 5.2: "SOLID5 Element Output". The element stress directions are parallel to the element coordinate system. The reaction forces, heat flow, current, and magnetic flux at the nodes can be printed with the OUTPR command. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 5.2 SOLID5 Element Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 5.1 SOLID5 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Element nodes - I, J, K, L, M, N, O, P | Y | Y
MAT | Element material number | Y | Y
VOLU: | Element volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 3
PRES | P1 at nodes J, I, L, K; P2 at I, J, N, M; P3 at J, K, O, N; P4 at K, L, P, O; P5 at L, I, M, P; P6 at M, N, O, P | Y | Y
TEMP | Input Temperatures: T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | Y | Y
HGEN | Input Heat Generations: HG(I), HG(J), HG(K), HG(L), HG(M), HG(N), HG(O), HG(P) | Y | Y
S:X, Y, Z, XY, YZ, XZ | Component stresses | 1 | 1
S:1, 2, 3 | Principal stresses | 1 | 1
S:INT | Stress intensity | 1 | 1
S:EQV | Equivalent stress | 1 | 1
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | 1 | 1
EPEL:1, 2, 3 | Principal elastic strains | 1 | -
EPEL:EQV | Equivalent elastic strains [4] | 1 | 1
EPTH:X, Y, Z, XY, YZ, XZ | Thermal strains | 1 | 1
EPTH:EQV | Equivalent thermal strains [4] | 1 | 1
LOC | Output location (X, Y, Z) | 1 | 1
MUX, MUY, MUZ | Magnetic permeability | 1 | 1
H: X, Y, Z | Magnetic field intensity components | 1 | 1
H:SUM | Vector magnitude of H | 1 | 1
B:X, Y, Z | Magnetic flux density components | 1 | 1
B:SUM | Vector magnitude of B | 1 | 1
FJB | Lorentz magnetic force components (X, Y, Z) | 1 | -
FMX | Maxwell magnetic force components (X, Y, Z) | 1 | -
FVW | Virtual work force components (X, Y, Z) | 1 | 1
FMAG:X, Y, Z | Combined (FJB or FMX) force components | - | 1
EF:X, Y, Z | Electric field components (X, Y, Z) | 1 | 1
EF:SUM | Vector magnitude of EF | 1 | 1
JS:X, Y, Z | Source current density components | 1 | 1
JSSUM | Vector magnitude of JS | 1 | 1
JHEAT: | Joule heat generation per unit volume | 1 | 1
D:X, Y, Z | Electric flux density components | 1 | 1
D:SUM | Vector magnitude of D | 1 | 1
UE, UD, UM | Elastic (UE), dielectric (UD), and electromechanical coupled (UM) energies | 1 | 1
TG:X, Y, Z | Thermal gradient components | 1 | 1
TG:SUM | Vector magnitude of TG | 1 | 1
TF:X, Y, Z | Thermal flux components | 1 | 1
TF:SUM | Vector magnitude of TF (heat flow rate/unit cross-section area) | 1 | 1
FACE | Face label | 2 | 2
AREA | Face area | 2 | 2
NODES | Face nodes | 2 | -
HFILM | Film coefficient at each node of face | 2 | -
TBULK | Bulk temperature at each node of face | 2 | -
TAVG | Average face temperature | 2 | 2
HEAT RATE | Heat flow rate across face by convection | 2 | 2
HEAT RATE/AREA | Heat flow rate per unit area across face by convection | 2 | -
HFLUX | Heat flux at each node of face | 2 | -
HFAVG | Average film coefficient of the face | 2 | 2
TBAVG | Average face bulk temperature | - | 2
HFLXAVG | Heat flow rate per unit area across face caused by input heat flux | - | 2

  1. Element solution at the centroid printed out only if calculated (based on input data).

  2. Nodal stress or magnetic field solution (only if KEYOPT(5) = 2). The solution results are repeated at each node and only if a surface load is input.

  3. Available only at centroid as a *GET item.

  4. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY).

Table 5.2: "SOLID5 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. The following notation is used in Table 5.2: "SOLID5 Item and Sequence Numbers":

Name

output quantity as defined in the Table 5.1: "SOLID5 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J,...,P

sequence number for data at nodes I,J,...,P

FCn

sequence number for solution items for element Face n

Table 5.2 SOLID5 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J | K | L | M | N | O | P
P1 | SMISC | - | 2 | 1 | 4 | 3 | - | - | - | -
P2 | SMISC | - | 5 | 6 | - | - | 8 | 7 | - | -
P3 | SMISC | - | - | 9 | 10 | - | - | 12 | 11 | -
P4 | SMISC | - | - | - | 13 | 14 | - | - | 16 | 15
P5 | SMISC | - | 18 | - | - | 17 | 19 | - | - | 20
P6 | SMISC | - | - | - | - | - | 21 | 22 | 23 | 24
MUX | NMISC | 1 | - | - | - | - | - | - | - | -
MUY | NMISC | 2 | - | - | - | - | - | - | - | -
MUZ | NMISC | 3 | - | - | - | - | - | - | - | -
FVWX | NMISC | 4 | - | - | - | - | - | - | - | -
FVWY | NMISC | 5 | - | - | - | - | - | - | - | -
FVWZ | NMISC | 6 | - | - | - | - | - | - | - | -
FVWSUM | NMISC | 7 | - | - | - | - | - | - | - | -
UE | NMISC | 16 | - | - | - | - | - | - | - | -
UD | NMISC | 17 | - | - | - | - | - | - | - | -
UM | NMISC | 18 | - | - | - | - | - | - | - | -
Output Quantity Name | ETABLE and ESOL Command Input
 | Item | FC1 | FC2 | FC3 | FC4 | FC5 | FC6
AREA | NMISC | 19 | 25 | 31 | 37 | 43 | 49
HFAVG | NMISC | 20 | 26 | 32 | 38 | 44 | 50
TAVG | NMISC | 21 | 27 | 33 | 39 | 45 | 51
TBAVG | NMISC | 22 | 28 | 34 | 40 | 46 | 52
HEAT RATE | NMISC | 23 | 29 | 35 | 41 | 47 | 53
HFLXAVG | NMISC | 24 | 30 | 36 | 42 | 48 | 54

SOLID5 Assumptions and Restrictions

  • When using SOLID5 with SOURC36 elements, the source elements must be placed so that the resulting Hs field fulfils boundary conditions for the total field.

  • The element must not have a zero volume or a zero length side. This occurs most frequently when the element is not numbered properly.

  • Elements may be numbered either as shown in Figure 5.1: "SOLID5 Geometry" or may have the planes IJKL and MNOP interchanged.

  • A prism shaped element may be formed by defining duplicate node numbers as described in Triangle, Prism and Tetrahedral Elements.

  • The difference scalar magnetic potential option is restricted to singly-connected permeable regions, so that as μ→ [image] in these regions, the resulting field H→0. The reduced scalar and general scalar potential options do not have this restriction.

  • At a free surface of the element (i.e., not adjacent to another element and not subjected to a boundary constraint), the normal component of magnetic flux density (B) is assumed to be zero.

  • Temperatures and heat generation rates, if internally calculated, include any user defined heat generation rates.

  • The thermal, electrical, magnetic, and structural terms are coupled through an iterative procedure.

  • Large deflection capabilities available for KEYOPT(1) = 2 and 3 are not available for KEYOPT(1) = 0.

  • Stress stiffening is available for KEYOPT(1) = 0, 2, and 3.

  • Do not constrain all VOLT DOFs to the same value in a piezoelectric analysis (KEYOPT(1) = 0 or 3). Perform a pure structural analysis instead (KEYOPT(1) = 2).

  • This element may not be compatible with other elements with the VOLT degree of freedom. To be compatible, the elements must have the same reaction solution for the VOLT DOF. Elements that have an electric charge reaction solution must all have the same electric charge reaction sign. For more information, see Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide.

  • The electric field body load is not used during solution and is applicable only to POST1 charged particle tracing.

  • In an MSP analysis, avoid using a closed domain and use an open domain, closed with natural flux parallel boundary conditions on the MAG degree of freedom, or infinite elements. If you use a closed domain, you may see incorrect results when the formulation is applied using SOLID5, SOLID96, or SOLID98 elements and the boundary conditions are not satisfied by the Hs field load calculated by the Biot-Savart procedure based on SOURC36 current source primitive input.

  • If you used the MAG degree of freedom, you cannot restart a job in ANSYS Mechanical using Jobname.DB and Jobname.ESAV files that were created by ANSYS Multiphysics.

SOLID5 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Mechanical.

Unless the Emag option is enabled, the following restrictions apply:

  • This element does not have magnetic capability.

  • The MAG degree of freedom is not active.

  • KEYOPT(1) cannot be set to 10. If KEYOPT(1) = 0 (default) or 1, the MAG degree of freedom is inactive.

  • The magnetic material properties (MUZERO, MUR_, MG__, and the BH data table) are not allowed.

  • The Maxwell force flags and magnetic virtual displacements body loads are not applicable.

ANSYS Emag.

  • This element has only magnetic and electric field capability, and does not have structural, thermal, or piezoelectric capability.

  • The only active degrees of freedom are MAG and VOLT.

  • KEYOPT(1) settings of 0, 1, 2, 3 and 8 are invalid.

  • The only allowable material properties are the magnetic and electric properties (MUZERO through PERZ, plus the BH data table).

  • The only applicable surface loads are Maxwell force flags. The only applicable body loads are temperatures (for material property evaluation only) and magnetic virtual displacements.

  • The element does not have stress stiffening or birth and death features.

  • KEYOPT(3) is not applicable.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BEAM4 		Up / Home Next
COMBIN7


COMBIN7

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

COMBIN7

Revolute Joint

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

COMBIN7 Element Description

COMBIN7 is a 3-D pin (or revolute) joint which may be used to connect two or more parts of a model at a common point. Capabilities of this element include joint flexibility (or stiffness), friction, damping, and certain control features. An important feature of this element is a large deflection capability in which a local coordinate system is fixed to and moves with the joint. This element is intended for use in kinetostatic and kinetodynamic analyses. See COMBIN7 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. A unidirectional control element having less capability is described in COMBIN37. Similar elements (without remote control capability) are COMBIN14, MASS21, COMBIN39, and COMBIN40.

Figure 7.1 COMBIN7 Geometry

COMBIN7 Input Data

The geometry, node locations, and coordinate systems for this element are shown in Figure 7.1: "COMBIN7 Geometry". This element is defined in 3-D space by five nodes, these being active nodes (I, J), a node to define the initial revolute axis (K), and control nodes (L, M). The active nodes should be coincident and represent the actual pin joint which connects links A and B. A link can be an individual element or an assemblage of elements. If node K is not defined, then the initial revolute axis is taken to be the Z-direction of the global Cartesian system. The local element coordinate system, when used with large deflection [NLGEOM], follows the average translation and rotation of nodes I and J. The element coordinate system x-y-z translates and rotates with the joint, and the orientation of node K is inconsequential after the first iteration. The control nodes' primary aim is to introduce feedback behavior to the element (discussed below).

The active nodes (I, J) are defined to have six degrees of freedom; however, five of these (UX, UY, UZ, ROTX, ROTY) in the local joint system are intended to be constrained with a certain level of flexibility. This level of flexibility is defined by three input stiffnesses: K1 for translational stiffness in the x-y plane, K2 for stiffness in the z direction, and K3 for rotational stiffness about the x and y axes. Joint mass (MASS) and mass moment of inertia (IMASS) input values are evenly distributed between nodes I and J.

The dynamics of the revolute rotation or primary degree of freedom (Figure 7.2: "COMBIN7 Real Constants and Dynamic Behavior of Rotation about the Z (Revolute) Axis") include friction torque (TF), rotational viscous friction (CT), torsional stiffness (K4), preload torque (TLOAD), interference rotation (ROT), and two differential rotation limits (STOPL and STOPU). A null value for TF corresponds to zero friction (or free rotation), while a negative value will remove friction capability from the element. Once removed (TF < 0), the joint is locked with stiffness K4. The joint will also become locked with stiffness K4 when a stop is engaged. The upper stop (STOPU) represents the allowed amount of forward rotation (node J rotates away from node I), and the lower stop (STOPL) represents the allowed amount of reverse rotation (node J rotates towards node I). Null values for both stops will remove locking action from the element; i.e., rotation damped only by viscous (CT) and friction (TF) damping torques.

Figure 7.2 COMBIN7 Real Constants and Dynamic Behavior of Rotation about the Z (Revolute) Axis

The rotational interference (ROT) is intended to correspond to a locally imposed joint rotation if the revolute axis is locked (TF < 0) and stiffness is specified (K4 > 0). A starting status real constant (START) will set the initial behavior of the revolute rotation: START = 0 implies no rotation (locked), START = 1 or -1 implies forward or reverse rotation, respectively. Initial rotation status (START = 1,-1) will be overruled if either START = 1, STOPU = 0, and STOPL ≠ 0, or START = -1, STOPL = 0, and STOPU ≠ 0.

Consistent units should be used. Units are force/length for K1 and K2 and length*force/radian for K3 and K4. CT uses length*force*time/radian, while TF and TLOAD uses length*force. Force*time2/length is used with MASS and length*force*time2/radian is for IMASS. ROT, STOPL, and STOPU use radians.

Feedback control behavior is associated with the control nodes (L, M). The KEYOPT values are used to define the control value (CVAL). KEYOPT(3) selects the degree of freedom for the control nodes, KEYOPT(4) assigns the coordinate system for the selected degree of freedom, and KEYOPT(7) specifies which real constant is to be modified for the subsequent nonlinear analysis. The KEYOPT(1) option assigns to the control value either the value of the degree of freedom, the first or second derivative of the value, the integral of the value, or time.

KEYOPT(2) defines the behavior of the revolute degree of freedom after a stop has been engaged. If KEYOPT(2) = 0, the pin may disengage (or bounce off) the stop. If KEYOPT(2) = 1, the pin axis is locked.

The element can exhibit nonlinear behavior according to the function: RVMOD = RVAL + C1|CVAL|C2 + C3|CVAL|C4, where RVMOD is the modified value of the input real constant value RVAL (identified by KEYOPT(7)), C1 through C4 are other real constants and give the form of the real constant modification, and CVAL is the control value (see KEYOPT(1)). RVMOD may also be defined by user subroutine USERRC and is accessed by KEYOPT(9) = 1. Examples of CVAL are:

Control values calculated in the current substep are not used until the next substep. Control nodes need not be connected to any other element. If node M is not defined, the control value is based only upon node L.

A summary of the element input is given in "COMBIN7 Input Summary". A general description of element input is given in Element Input.

COMBIN7 Input Summary

Nodes

I, J, K, L, M (K, L, M are optional)

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ

Real Constants
K1, K2, K3, K4, CT, TF
MASS, IMASS, TLOAD, START, STOPL, STOPU
ROT, C1, C2, C3, C4
See Table 7.1: "COMBIN7 Real Constants" for a description of the real constants
Material Properties

DAMP

Surface Loads

None

Body Loads

None

Special Features
Large deflection
Nonlinear (if either stops or friction are specified)
Adaptive descent
KEYOPT(1)

Control Value:

0, 1 --

Control on value (UL-UM) (or UL if M not defined)

2 --

Control on first derivative of value with respect to time

3 --

Control on second derivative of value with respect to time

4 --

Control on integral of value with respect to time

5 --

Control on time value (KEYOPT(3) ignored)

KEYOPT(2)

Behavior when stop is engaged:

0 --

Reverse pin-axis rotation is not prevented when a rotational stop is engaged.

1 --

Pin-axis is locked when a rotational stop is engaged (only after the first substep)

KEYOPT(3)

Degree of freedom for control nodes (L and M):

0, 1 --

UX (Displacement along X axes)

2 --

UY (Displacement along Y axes)

3 --

UZ (Displacement along Z axes)

4 --

ROTX (rotation about X axes)

5 --

ROTY (rotation about Y axes)

6 --

ROTZ (rotation about Z axes

KEYOPT(4)

Control node coordinates:

0 --

Control node degree of freedom is in nodal coordinates

1 --

Control node degree of freedom is in element (moving) coordinates

KEYOPT(7)

Real constant used for RVMOD function (used if C1 or C3 is not equal to zero; see "COMBIN7 Input Data"):

0, 1 --

Use K1 for nonlinear function

2 --

Use K2

3 --

Use K3

4 --

Use K4

5 --

Use CT

6 --

Use TF

7 --

Use MASS

8 --

Use IMASS

9 --

Use TLOAD

10 --

Use START

11 --

Use STOPL

12 --

Use STOPU

13 --

Use ROT

KEYOPT(9)

Method to define nonlinear behavior:

0 --

Use RVMOD expression for real constant modifications

1 --

Real constants modified by user subroutine USERRC (see the Guide to ANSYS User Programmable Features for information about user written subroutines)

Table 7.1 COMBIN7 Real Constants

No. | Name | Description
1 | K1 | X-Y translational stiffness
2 | K2 | Z direction stiffness
3 | K3 | Rotational-X and Rotational-Y stiffness
4 | K4 | Torsional stiffness
5 | CT | Rotational viscous friction
6 | TF | Friction torque
7 | MASS | Joint mass
8 | IMASS | Mass moment of inertia
9 | TLOAD | Preload torque
10 | START | Starting status
11 | STOPL | Lower stop (reverse rotation)
12 | STOPU | Upper stop (forward rotation)
13 | ROT | Rotational interference
14 | C1 | First scalar in RVMOD equation
15 | C2 | First exponential in RVMOD equation
16 | C3 | Second scalar in RVMOD equation
17 | C4 | Second exponential in RVMOD equation

COMBIN7 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 7.2: "COMBIN7 Element Output Definitions".

It is important to note that element forces and displacements are in the element (moving) coordinate system. The amount of rotational sliding (ROTATE) differs from the total differential rotation (DRZ) about the local revolute axis due to the flexible nature of the joint. STAT and OLDST refer to present and previous statuses, respectively, of the revolute axis. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 7.2 COMBIN7 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Active nodes - I, J | Y | Y
XC, YC, ZC | Location where results are reported | Y | 2
ROTATE | Amount of pin rotational sliding | Y | Y
CVAL | Value (see KEYOPT(1)) of the control nodes | Y | Y
STAT | Element status | 1 | 1
OLDST | Stat values of the previous time step | 1 | 1
DUX, DUY, DUZ, DRX, DRY, DRZ | Differential pin displacements and rotations in element coordinates. For example, DUX = UXJ-UXI. | Y | Y
RVMOD | Modified real constant (see "COMBIN7 Input Data") | Y | Y
FORCE(X, Y, Z) | Spring forces (in element coordinates) | Y | Y
MOMENT(X, Y, Z} | Spring moments (in element coordinates) | Y | Y
RVOLD | Modified real constant of previous time step | Y | Y

  1. Element status values:

    0 - No rotation (but no stop engaged)

    1 - Forward rotation

    -1 - Reverse rotation

    2 - Forward stop engaged

    -2 - Reverse stop engaged

  2. Available only at centroid as a *GET item.

Table 7.3: "COMBIN7 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) of the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 7.3: "COMBIN7 Item and Sequence Numbers":

Name

output quantity as defined in the Table 7.2: "COMBIN7 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 7.3 COMBIN7 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
FORCEX | SMISC | 1
FORCEY | SMISC | 2
FORCEZ | SMISC | 3
MOMENTX | SMISC | 4
MOMENTY | SMISC | 5
MOMENTZ | SMISC | 6
STAT | NMISC | 1
OLDST | NMISC | 2
DUX | NMISC | 3
DUY | NMISC | 4
DUZ | NMISC | 5
DRX | NMISC | 6
DRY | NMISC | 7
DRZ | NMISC | 8
ROTATE | NMISC | 9
RVMOD | NMISC | 10
CVAL | NMISC | 11

COMBIN7 Assumptions and Restrictions

  • The joint element is valid only in a structural analysis.

  • The active joint nodes (I, J) must be coincident. Node K, if defined, must not be coincident with the active nodes. The control nodes (L, M) may be any active node in the model, including nodes I, J, and K.

  • The nonlinear capabilities of the element operate only in static and nonlinear transient dynamic analyses. If used in other analysis types, the element maintains its initial status throughout the analysis. An iterative solution is required when using the nonlinear option.

  • The precise nature of the element behavior, whether nonlinearities are present or not, depends on several input items. These include the presence of stops or friction; the selection of a large deflection analysis; and the use of joint control features.

  • Stop input values (STOPL, STOPU) must be greater than or equal to zero. For stops to be engaged, a positive torsional stiffness (K4) should be specified. Negative values are ignored. Stop values represent forward and reverse clearances about the revolute axis.

  • Revolute friction (TF), when specified, must be positive. A negative friction value removes friction from the element and locks the revolute axis with torsional stiffness K4. A null friction value implies frictionless rotation (unless CT is specified or a stop is engaged).

  • The element can not be deactivated with the EKILL command.

  • The real constants for this element can not be changed from their initial values.

  • Only the lumped mass matrix is available.

COMBIN7 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID5 		Up / Home Next
LINK8


LINK8

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

LINK8

3-D Spar (or Truss)

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

LINK8 Element Description

LINK8 is a spar which may be used in a variety of engineering applications. This element can be used to model trusses, sagging cables, links, springs, etc. The 3-D spar element is a uniaxial tension-compression element with three degrees of freedom at each node: translations in the nodal x, y, and z directions. As in a pin-jointed structure, no bending of the element is considered. Plasticity, creep, swelling, stress stiffening, and large deflection capabilities are included. See LINK8 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. See LINK10 for a tension-only/compression-only element.

Figure 8.1 LINK8 Geometry

LINK8 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 8.1: "LINK8 Geometry". The element is defined by two nodes, the cross-sectional area, an initial strain, and the material properties. The element x-axis is oriented along the length of the element from node I toward node J. The initial strain in the element (ISTRN) is given by Δ/L, where Δ is the difference between the element length, L, (as defined by the I and J node locations) and the zero strain length.

Element loads are described in Node and Element Loads. Temperatures and fluences may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. The node J temperature T(J) defaults to T(I). Similar defaults occurs for fluence except that zero is used instead of TUNIF.

A summary of the element input is given in "LINK8 Input Summary". A general description of element input is given in Element Input.

LINK8 Input Summary

Nodes

I, J

Degrees of Freedom

UX, UY, UZ

Real Constants
AREA - Cross-sectional area
ISTRN - Initial strain
Material Properties

EX, ALPX (or CTEX or THSX), DENS, DAMP

Surface Loads

None

Body Loads
Temperatures --

T(I), T(J)

Fluences --

FL(I), FL(J)

Special Features
Plasticity (BISO, MISO, BKIN, MKIN, KINH, DP, ANISO)
Creep (CREEP)
Swelling (SWELL)
Elasticity (MELAS)
Other material (USER)
Stress stiffening
Large deflection
Birth and death

Note

Items in parentheses refer to data tables associated with the TB command.

KEYOPTs

None

LINK8 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 8.1: "LINK8 Element Output Definitions".

Several items are illustrated in Figure 8.2: "LINK8 3-D Spar Output". A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 8.2 LINK8 3-D Spar Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 8.1 LINK8 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | - | Y
XC, YC, ZC | Location where results are reported | Y | 2
TEMP | Temperatures T(I), T(J) | Y | Y
FLUEN | Fluences FL(I), FL(J) | Y | Y
MFORX | Member force in the element coordinate system | Y | Y
SAXL | Axial stress | Y | Y
EPELAXL | Axial elastic strain | Y | Y
EPTHAXL | Axial thermal strain | Y | Y
EPINAXL | Axial initial strain | Y | Y
SEPL | Equivalent stress from stress-strain curve | 1 | 1
SRAT | Ratio of trial stress to stress on yield surface | 1 | 1
EPEQ | Equivalent plastic strain | 1 | 1
HPRES | Hydrostatic pressure | 1 | 1
EPPLAXL | Axial plastic strain | 1 | 1
EPCRAXL | Axial creep strain | 1 | 1
EPSWAXL | Axial swelling strain | 1 | 1

  1. Nonlinear solution, only if element has a nonlinear material.

  2. Available only at centroid as a *GET item.

Table 8.2: "LINK8 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 8.2: "LINK8 Item and Sequence Numbers":

Name

output quantity as defined in the Table 8.1: "LINK8 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J

sequence number for data at nodes I and J

Table 8.2 LINK8 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J
SAXL | LS | 1 | - | -
EPELAXL | LEPEL | 1 | - | -
EPTHAXL | LEPTH | 1 | - | -
EPSWAXL | LEPTH | 2 | - | -
EPINAXL | LEPTH | 3 | - | -
EPPLAXL | LEPPL | 1 | - | -
EPCRAXL | LEPCR | 1 | - | -
SEPL | NLIN | 1 | - | -
SRAT | NLIN | 2 | - | -
HPRES | NLIN | 3 | - | -
EPEQ | NLIN | 4 | - | -
MFORX | SMISC | 1 | - | -
FLUEN | NMISC | - | 1 | 2
TEMP | LBFE | - | 1 | 2

LINK8 Assumptions and Restrictions

  • The spar element assumes a straight bar, axially loaded at its ends, and of uniform properties from end to end.

  • The length of the spar must be greater than zero, so nodes I and J must not be coincident.

  • The area must be greater than zero.

  • The temperature is assumed to vary linearly along the length of the spar.

  • The displacement shape function implies a uniform stress in the spar.

  • The initial strain is also used in calculating the stress stiffness matrix, if any, for the first cumulative iteration.

LINK8 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The DAMP material property is not allowed.

  • Fluence body loads are not applicable.

  • The only special features allowed are stress stiffening and large deflections.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
COMBIN7 		Up / Home Next
INFIN9


INFIN9

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

INFIN9

2-D Infinite Boundary

MP ME <> <> <> <> <> <> EM <> <> PP <>

Product Restrictions

INFIN9 Element Description

INFIN9 is used to model an open boundary of a 2-D planar unbounded field problem. The element has two nodes with a magnetic vector potential or temperature degree of freedom at each node. The enclosed element type can be the PLANE13 or PLANE53 magnetic elements, or the PLANE55, PLANE77, and PLANE35 thermal elements. With the magnetic degree of freedom (AZ) the analysis may be linear or nonlinear, static or dynamic. With the thermal degree of freedom steady-state or transient analysis (linear or nonlinear) may be done. See INFIN9 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 9.1 INFIN9 Geometry

INFIN9 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 9.1: "INFIN9 Geometry", and a typical application is shown in Figure 9.2: "INFIN9 Element Usage". The element is defined by two nodes and the material properties. Nonzero material properties must be defined. The element x-axis is oriented along the length of the element from node I toward node J.

The coefficient matrix of this boundary element is, in general, unsymmetric. The matrix is made symmetric by averaging the off-diagonal terms to take advantage of a symmetric solution with a slight decrease in accuracy. KEYOPT(2) can be used to prevent an unsymmetric matrix from being made symmetric.

A summary of the element input is given in "INFIN9 Input Summary". A general description of element input is given in Element Input .

INFIN9 Input Summary

Nodes

I, J

Degrees of Freedom
AZ if KEYOPT (1) = 0
TEMP if KEYOPT (1) = 1
Real Constants

None

Material Properties
MUZERO if KEYOPT (1) = 0 (has default value for MKS units or can be set with the EMUNIT command)
KXX if KEYOPT (1) = 1
Surface Loads

None

Body Loads

None

Special Features

None

KEYOPT(1)

Element degree of freedom:

0 --

Magnetic option (AZ degree of freedom)

1 --

Thermal option (TEMP degree of freedom)

KEYOPT(2)

Coefficient matrix formation:

0 --

Make the coefficient matrix symmetric

1 --

Coefficient matrix is used as generated (symmetric or unsymmetric, depending on the problem)

INFIN9 Output Data

The boundary element has no output of its own since it is used only to provide a semi-infinite boundary condition to a model consisting of other elements.

Figure 9.2 INFIN9 Element Usage

INFIN9 Assumptions and Restrictions

  • The boundary element assumes a straight line segment, the length of which must be nonzero.

  • The semi-infinite sector is assumed to be bound on three sides by the boundary element, by a semi-infinite radial line from the global coordinate system origin through node I, and by a semi-infinite radial line from the global coordinate system origin through node J. The boundary element should be as normal as possible to the radial lines.

  • Acute or wide intersection angles should be avoided by "filling-in" the model with the other elements so that the line of boundary elements around the model is smooth and concave when viewed from the global coordinate system origin.

  • The boundary element must lie "against" an enclosed element (that is, share the same nodes).

  • The origin of the global coordinate system must be inside the model and as centrally located as possible.

  • The line of boundary elements should be located away from the region of interest of the enclosed elements for better accuracy.

  • The line of boundary elements need not totally surround the model.

  • The exterior semi-infinite domain is assumed to be homogeneous, isotropic, and linear without containing any sources or sinks.

  • An axisymmetric option is not available.

  • The element cannot be deactivated with the EKILL command.

  • The element assumes that the degree of freedom (DOF) value at infinity is always zero (0.0). That is, the DOF value at infinity is not affected by TUNIF, D, or other load commands.

  • When used in a model with the higher-order elements PLANE53, PLANE77, or PLANE35, the midside nodes of these elements must be removed at the interface with INFIN9 [EMID].

  • If KEYOPT(2) = 1, the matrices are presumed to be unsymmetric.

INFIN9 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Mechanical.

Unless the Emag option is enabled, the following restrictions apply:

  • This element does not have magnetic field capability.

  • The AZ degree of freedom is not active.

  • KEYOPT(1) defaults to 1 (TEMP) instead of 0 and cannot be changed.

  • The material property MUZERO is not allowed.

ANSYS Emag.

  • This element has only magnetic field capability, and does not have thermal capability.

  • The only active degree of freedom is AZ.

  • The only allowable material property is MUZERO.

  • KEYOPT(1) can only be set to 0 (default).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LINK8 		Up / Home Next
LINK10


LINK10

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

LINK10

Tension-only or Compression-only Spar

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

LINK10 Element Description

LINK10 is a 3-D spar element having the unique feature of a bilinear stiffness matrix resulting in a uniaxial tension-only (or compression-only) element. With the tension-only option, the stiffness is removed if the element goes into compression (simulating a slack cable or slack chain condition). This feature is useful for static guy-wire applications where the entire guy wire is modeled with one element. It may also be used in dynamic analyses (with inertia or damping effects) where slack element capability is desired but the motion of the slack elements is not of primary interest. This element is a line version of SHELL41 with KEYOPT(1) = 2, the “cloth” option.

If the purpose of the analysis is to study the motion of the elements (with no slack elements), a similar element which cannot go slack, such as LINK8 or PIPE59, should be used instead. LINK10 should also not be used for static convergence applications where the final solution is known to be a taut structure but a slack condition is possible while iterating to a final converged solution. For this case either a different element should be used or the "slow dynamic" technique should be used if LINK10 is desired.

LINK10 has three degrees of freedom at each node: translations in the nodal x, y, and z directions. No bending stiffness is included in either the tension-only (cable) option or the compression-only (gap) option but may be added by superimposing a beam element with very small area on each LINK10 element. Stress stiffening and large deflection capabilities are available. See LINK10 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 10.1 LINK10 Geometry

LINK10 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 10.1: "LINK10 Geometry". The element is defined by two nodes, the cross-sectional area, an initial strain or gap, and the isotropic material properties. The element x-axis is oriented along the length of the element from node I toward node J.

The initial strain in the element (ISTRN) is given by Δ/L, where Δ is the difference between the element length, L, (as defined by the I and J node locations) and the zero strain length, Lo. For the cable option, a negative strain indicates a slack condition. For the gap option, a positive strain indicates a gap condition (as shown in Figure 10.1: "LINK10 Geometry"). The gap must be input as a "per unit length" value.

Element loads are described in Node and Element Loads. Temperatures may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. The node J temperature T(J) defaults to T(I).

KEYOPT(2) is used to apply a small stiffness (AE x 10-6/L) across an open gap or to a slack cable to prevent unconstrained portions of the structure from "floating free" if the gap opens or the cable goes slack.

A summary of the element input is given in "LINK10 Input Summary". A general description of element input is given in Element Input.

LINK10 Input Summary

Nodes

I, J

Degrees of Freedom

UX, UY, UZ

Real Constants
AREA - Cross-sectional area
ISTRN - Initial strain
If KEYOPT(3) = 0 and ISTRN is less than zero, the cable is initially slack.
If KEYOPT(3) = 1 and ISTRN is greater than zero, the gap is initially open.
Material Properties

EX, ALPX (or CTEX or THSX), DENS, DAMP

Surface Loads

None

Body Loads
Temperatures --

T(I), T(J)

Special Features
Nonlinear
Stress stiffening
Large deflection
Birth and death
KEYOPT(2)

Stiffness for slack cable:

0 --

No stiffness associated with slack cable

1 --

Small stiffness assigned to slack cable for longitudinal motion

2 --

Small stiffness assigned to slack cable for both longitudinal and perpendicular motions (applicable only with stress stiffening)

KEYOPT(3)

Tension / compression option:

0 --

Tension-only (cable) option

1 --

Compression-only (gap) option

LINK10 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 10.1: "LINK10 Element Output Definitions".

The axial force, stress, and strain in the element are printed. Only positive values are obtained with the cable option and negative values with the gap option. The element condition (tension or slack, compression or gap) at the end of this substep is indicated by the value of STAT. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 10.1 LINK10 Element Output Definitions

Name | Definition | O | R
EL | Element number | Y | Y
NODES | Nodes - I, J | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | - | Y
XC, YC, ZC | Location where results are reported | Y | 2
STAT | Element status | 1 | 1
TEMP | Temperatures T(I), T(J) | Y | Y
MFORX | Member force in the element coordinate system | Y | Y
SAXL | Axial stress | Y | Y
EPELAXL | Axial elastic strain | Y | Y
EPTHAXL | Axial thermal strain | Y | Y
EPINAXL | Axial initial strain | Y | Y

  1. Element status values:

    1 - cable in tension or gap in compression

    2 - cable slack or gap open

  2. Available only at centroid as a *GET item.

Table 10.2: "LINK10 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 10.2: "LINK10 Item and Sequence Numbers":

Name

output quantity as defined in the Table 10.1: "LINK10 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J

sequence number for data at nodes I and J

Table 10.2 LINK10 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J
SAXL | LS | 1 | - | -
EPELAXL | LEPEL | 1 | - | -
EPTHAXL | LEPTH | 1 | - | -
EPINAXL | LEPTH | 3 | - | -
MFORX | SMISC | 1 | - | -
STAT | NMISC | 1 | - | -
OLDST | NMISC | 2 | - | -
TEMP | LBFE | - | 1 | 2

LINK10 Assumptions and Restrictions

  • The element length must be greater than zero, therefore nodes I and J must not be coincident.

  • The cross-sectional area must be greater than zero.

  • The temperature is assumed to vary linearly along the length of the element.

  • The element is nonlinear and requires an iterative solution.

  • If ISTRN is 0.0, the element stiffness is included in the first substep.

  • With the gap (compression-only) option, a positive axial displacement (in the element coordinate system) of node J relative to node I tends to open the gap.

  • The solution procedure is as follows: The element condition at the beginning of the first substep is determined from the initial strain or gap input. If this value is less than zero for the cable option or greater than zero for the gap option, the element stiffness is taken as zero for this substep. If at the end of the substep STAT = 2, an element stiffness of zero is used for the next substep. If STAT = 1, the element stiffness is included in the next substep. No significant stiffness is associated with the cable option having a negative relative displacement or with the gap option having a positive relative displacement.

  • If the element status changes within a substep, the effect of the changed status is included in the next substep.

  • Nonconverged substeps are not in equilibrium.

  • The initial strain is also used in calculating the stress stiffness matrix, if any, for the first cumulative iteration.

  • Stress stiffening should always be used for sagging cable problems to provide numerical stability. Stress stiffening and large deflection effects may be used together for some cable problems (see the Theory Reference for ANSYS and ANSYS Workbench).

LINK10 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The DAMP material property is not allowed.

  • The birth and death special feature is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
INFIN9 		Up / Home Next
LINK11


LINK11

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

LINK11

Linear Actuator

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

LINK11 Element Description

LINK11 may be used to model hydraulic cylinders and other applications undergoing large rotations. The element is a uniaxial tension-compression element with three degrees of freedom at each node: translations in the nodal x, y, and z directions. No bending or twist loads are considered. See LINK11 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 11.1 LINK11 Geometry

LINK11 Input Data

The geometry and node locations for the element are shown in Figure 11.1: "LINK11 Geometry". The element is defined by two nodes, a stiffness, viscous damping, and mass. The element initial length Lo and orientation are determined from the node locations.

Element loads are described in Node and Element Loads. The stroke (length) is defined through the surface load input using the PRES label. The stroke is relative to the zero force position of the element. A force may be defined in the same manner as an alternate to the stroke.

A summary of the element input is given below. A general description of element input is given in Element Input.

LINK11 Input Summary

Nodes

I, J

Degrees of Freedom

UX, UY, UZ

Real Constants
K - Stiffness (force/length)
C - Viscous damping coefficient (force*time/length)
M - Mass (force*time2/length)
Material Properties

DAMP

Surface Loads
Pressures --
face 1 - Stroke
face 2 - Axial Force
Body Loads

None

Special Features
Stress stiffening
Large deflection
Birth and death
KEYOPTs

None

LINK11 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal displacement solution

  • Additional element output as shown in Table 11.1: "LINK11 Element Output Definitions".

A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 11.1 LINK11 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
ILEN | Initial element length | Y | Y
CLEN | Current element length (this time step) | Y | Y
FORCE | Axial force (spring force) | Y | Y
DFORCE | Damping force | Y | Y
STROKE | Applied stroke (element load) | Y | Y
MSTROKE | Measured stroke | Y | Y

Table 11.2: "LINK11 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. The following notation is used in Table 11.2: "LINK11 Item and Sequence Numbers":

Name

output quantity as defined in Table 11.1: "LINK11 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 11.2 LINK11 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
FORCE | SMISC | 1
ILEN | NMISC | 1
CLEN | NMISC | 2
STROKE | NMISC | 3
MSTROKE | NMISC | 4
DFORCE | NMISC | 5

LINK11 Assumptions and Restrictions

  • The element must not have a zero length.

  • The element assumes a straight line, axially loaded at the ends.

  • A twist (torsion) about the element x-axis (defined from node I to node J) has no effect.

  • No bending of the element is considered, as in a pin-jointed structure.

  • The mass is equally divided between the nodes.

  • Only the lumped mass matrix is available.

  • Surface load pressure indicators are not displayed for element or node plots.

LINK11 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LINK10 		Up / Home Next
CONTAC12


CONTAC12

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

CONTAC12

2-D Point-to-Point Contact

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

CONTAC12 Element Description

CONTAC12 represents two surfaces which may maintain or break physical contact and may slide relative to each other. The element is capable of supporting only compression in the direction normal to the surfaces and shear (Coulomb friction) in the tangential direction. The element has two degrees of freedom at each node: translations in the nodal x and y directions.

The element may be initially preloaded in the normal direction or it may be given a gap specification. A specified stiffness acts in the normal and tangential directions when the gap is closed and not sliding. See CONTAC12 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. Other contact elements, such as COMBIN40 and CONTAC52, are also available.

Figure 12.1 CONTAC12 Geometry

CONTAC12 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 12.1: "CONTAC12 Geometry". The element is defined by two nodes, an angle to define the interface, two stiffnesses (KN and KS), an initial displacement interference or gap (INTF), and an initial element status (START). An element coordinate system (s-n) is defined on the interface. The angle θ (THETA) is input (or calculated) in degrees and is measured from the global X axis to the element s-axis. The orientation of the interface may be defined (KEYOPT(2)) by THETA or by the node locations.

The normal stiffness, KN, should be based upon the stiffness of the surfaces in contact. See Performing a Node-to-Node Contact Analysis in the Contact Technology Guide for guidelines on choosing a value for KN. In some cases (such as initial interference analyses, nonconvergence, or over penetration), it may be useful to change the KN value between load steps or in a restart in order to obtain an accurate, converged solution. The sticking stiffness, KS, represents the stiffness in the tangential direction when elastic Coulomb friction is selected (µ > 0.0 and KEYOPT(1) = 0). The coefficient of friction µ is input as material property MU and is evaluated at the average of the two node temperatures. Stiffnesses may also be computed from the maximum expected force divided by the maximum allowable surface displacement. KS defaults to KN. Stiffnesses should be on a full 360° basis for an axisymmetric analysis.

The initial displacement interference, Δ, defines the displacement interference (if positive) or the gap size (if negative). The value may be input as a real constant (INTF) or automatically calculated from the input node locations if KEYOPT(4) = 1. Stiffness is associated with a zero or positive interference. The initial element status (START) is used to define the "previous" condition of the interface to be used at the start of the first substep. This input is used to override the condition implied by the interference specification and is useful in anticipating the final interface configuration and in reducing the number of iterations required for convergence.

The force deflection relationships for the interface element can be separated into the normal and tangential (sliding) directions as shown in Figure 12.2: "CONTAC12 Force-Deflection Relationship". The element condition at the beginning of the first substep is determined from the START parameter. If the interface is open, no stiffness is associated with this element for this substep. If the interface is closed and sticking, KN is used in the gap resistance and KS is used in the sliding resistance. If the interface is closed but sliding, KN is used in the gap resistance and the limit friction force µFN is used for the sliding resistance.

In the normal direction, when the normal force (FN) is negative, the interface remains in contact and responds as a linear spring. As the normal force becomes positive, contact is broken and no force is transmitted.

KEYOPT(3) can be used to specify a "weak spring" across an open interface, which is useful for preventing rigid body motion that could occur in a static analysis. The weak spring stiffness is computed by multiplying the normal stiffness KN by a reduction factor. The default reduction factor of 1E-6 can be overridden with real constant REDFACT.

In the tangential direction, for FN < 0 and the absolute value of the tangential force (FS) less than (µ|FN|), the interface sticks and responds as a linear spring in the tangential direction. For FN < 0 and FS = µ|FN|, sliding occurs.

If KEYOPT(1) = 1, rigid Coulomb friction is selected, KS is not used, and the elastic sticking capability is removed. This option is useful for displacement controlled problems or for certain dynamic problems where sliding dominates. With this option, no tangential resistance is assumed for the first substep.

The only material property used is the interface coefficient of friction MU. A zero value should be used for frictionless surfaces. Temperatures may be input at the element nodes (for material property evaluation only). The node I temperature T(I) defaults to TUNIF. The node J temperature defaults to T(I). The circular gap option (KEYOPT(2)) is useful where the final contact point (and thus the orientation angle) is not known, such as with concentric cylinders. With this option the angular orientation THETA is initially set to 0.0 and then internally calculated from the relative displacements of the nodes at the end of the substep for use in the next substep. The user specified THETA (if any) is ignored. A negative interference (gap) and a zero coefficient of friction is used with this option.

For analyses involving friction, using NROPT,UNSYM is useful (and, in fact, sometimes required) for problems where the normal and tangential (sliding) motions are strongly coupled, such as in a wedge insertion problem.

A summary of the element input is given in "CONTAC12 Input Summary". A general description of element input is given in Element Input.

CONTAC12 Input Summary

Nodes

I, J

Degrees of Freedom

UX, UY

Real Constants

See Table 12.1: "CONTAC12 Real Constants" for details on these real constants

Material Properties

DAMP, MU

Surface Loads

None

Body Loads
Temperatures --

T(I), T(J)

Special Features
Nonlinear
Adaptive descent
KEYOPT(1)

Type of friction (only with MU > 0.0):

0 --

Elastic coulomb friction (KS used for sticking stiffness)

1 --

Rigid coulomb friction (resisting force only)

KEYOPT(2)

Orientation angle:

0 --

Orientation angle based on Theta real constant

1 --

Circular gap option (THETA orientation determined from direction of motion) (ignore THETA real constant)

KEYOPT(3)

Weak spring across open gap:

0 --

No weak spring across an open gap

1 --

Use a weak spring across an open gap

KEYOPT(4)

Interference or gap:

0 --

Interference (or gap) based on INTF real constant

1 --

Interference (or gap) based on initial node locations (ignore INTF real constant)

KEYOPT(7)

Element level time incrementation control. Note that this option should be activated first at the procedure level if SOLCONTROL is ON. SOLCONTROL,ON,ON is the most frequent usage with this element. If SOLCONTROL,ON,OFF, this keyoption is not activated.

0 --

Predictions are made to achieve the minimum time (or load) increment whenever a change in contact status occurs

1 --

Predictions are made to maintain a reasonable time (or load) increment (recommended)

Table 12.1 CONTAC12 Real Constants

No. | Name | Description
1 | THETA | Interference angle
2 | KN | Normal stiffness
3 | INTF | Initial displacement interference or gap. A negative INTF (interference) assumes an intially open gap.
4 START Initial element status
If = 0.0 or blank, initial condition of gap status is determined from real constant INTF
If = 1.0, gap is initially closed and not sliding (if MU ≠ 0.0), or sliding node J is positive (if MU = 0.0)
If = 2.0, gap is initially closed and node J is sliding to the right of node I
If = -2.0, gap is initially closed and node J is sliding to the left of node I
If = 3.0, gap is initially open
5 | KS | Sticking stiffness
6 | REDFACT | KN reduction factor

CONTAC12 Output Data

The solution output associated with the element is in two forms:

  • nodal displacements included in the overall nodal solution

  • additional element output as shown in Table 12.2: "CONTAC12 Element Output Definitions".

Several items are illustrated in Figure 12.2: "CONTAC12 Force-Deflection Relationship".

The value of USEP is determined from the normal displacement (un) (in the element x-direction) between the interface nodes at the end of this substep. That is: USEP = (un) J - (un) I - Δ. This value is used in determining the normal force, FN. For an axisymmetric analysis, the element forces are expressed on a full 360° basis. The value represented by UT is the total translational displacement. The maximum value printed for the sliding force, FS, is µ|FN|. STAT describes the status of the element at the end of this substep. If STAT = 1, the gap is closed and no sliding occurs. If STAT = 3, the gap is open. A value of STAT = +2 indicates the node J slides positive relative to node I as shown in Figure 4.12-1. STAT = -2 indicates a negative slide. For a frictionless surface (µ = 0.0), the element status is either STAT = ±2 or 3. The value of THETA is either the input orientation angle (if KEYOPT(2) = 0), or the calculated angle (if KEYOPT(2) = 1). A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 12.2 CONTAC12 Force-Deflection Relationship

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 12.2 CONTAC12 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
XC, YC | Location where results are reported | Y | 3
TEMP | Temperatures T(I), T(J) | Y | Y
USEP | Gap size or interference | Y | Y
FN | Normal force | Y | Y
STAT | Element status | 1 | 1
OLDST | Stat value of the previous time step | 1 | 1
THETA | Orientation angle | Y | Y
MU | Coefficient of friction | 2 | 2
UT | Relative displacement in tangential direction (positive for node J moving to right of node I) | 2 | 2
FS | Tangential force | 2 | 2

  1. Element status values:

    1 - Contact, no sliding

    2 - Sliding contact with node J moving to right of node I

    -2 - Sliding contact with node J moving to left of node I

    3 - Gap open

  2. Only if MU > 0.0 and KEYOPT(2) = 0.

  3. Available only at centroid as a *GET item.

Table 12.3: "CONTAC12 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) of the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 12.3: "CONTAC12 Item and Sequence Numbers":

Name

output quantity as defined in the Table 12.2: "CONTAC12 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 12.3 CONTAC12 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
FN | SMISC | 1
FS | SMISC | 2
STAT | NMISC | 1
OLDST | NMISC | 2
USEP | NMISC | 3
UT | NMISC | 4
MU | NMISC | 5
THETA | NMISC | 6

CONTAC12 Assumptions and Restrictions

  • The 2-D interface element must be defined in an X-Y plane and the Y-axis must be the axis of symmetry for axisymmetric analyses. An axisymmetric structure should be modeled in the +X quadrants.

  • The element operates bilinearly only in a static or a nonlinear transient dynamic analysis.

  • If used in other analysis types, the element maintains its initial status throughout the analysis.

  • The element is nonlinear and requires an iterative solution.

  • Convergence is also based on forces when friction or the circular gap option is present.

  • Nodes I and J may be coincident since the orientation of the interface is defined only by the angle THETA.

  • The orientation of the interface does not change (with KEYOPT(2) = 0) during a large deflection analysis. Use CONTA175 if this effect is desired.

  • No moment effects due to noncoincident nodes are included. That is, if the nodes are offset from a line perpendicular to the interface, moment equilibrium may not be satisfied.

  • The element is defined such that a positive normal displacement (in the element coordinate system) of node J relative to node I tends to open the gap, as shown in Figure 12.1: "CONTAC12 Geometry". If, for a given set of conditions, node I and J are interchanged, or if the interface is rotated by 180°, the gap element acts as a hook element, i.e., the gap closes as the nodes separate. The element may have rotated nodal coordinates since a displacement transformation into the element coordinate system is included.

  • The element stiffness KN cannot be exactly zero.

  • Unreasonably high stiffness values also should be avoided.

  • The rate of convergence decreases as the stiffness increases. Note that, although it is permissible to change KN, it is not permissible to change any other real constants between load steps. Therefore, if you plan to change KN, you cannot allow the value of KS to be defined by default, because the program would then attempt to redefine KS as KN changed.

  • You must explicitly define KS whenever KN changes, to maintain a consistent value throughout all load steps.

  • The element may not be deactivated with the EKILL command.

  • If µ is nonzero, the element is nonconservative as well as nonlinear. Nonconservative elements require that the load be applied very gradually, along the actual load history path, and in the proper sequence (if multiple loadings exist).

CONTAC12 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • This element is frictionless. Specifically, MU is not allowed as a material property and KS is not allowed as a real constant.

  • Temperature body loads are not applicable.

  • KEYOPT(1) is not applicable.

  • The DAMP material property is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LINK11 		Up / Home Next
PLANE13


PLANE13

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

PLANE13

2-D Coupled-Field Solid

MP ME <> <> <> <> <> <> EM <> <> PP <>

Product Restrictions

PLANE13 Element Description

PLANE13 has a 2-D magnetic, thermal, electrical, piezoelectric, and structural field capability with limited coupling between the fields. PLANE13 is defined by four nodes with up to four degrees of freedom per node. The element has nonlinear magnetic capability for modeling B-H curves or permanent magnet demagnetization curves. PLANE13 has large deflection and stress stiffening capabilities. When used in purely structural analyses, PLANE13 also has large strain capabilities. See PLANE13 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. Other coupled-field elements are SOLID5, SOLID98, and SOLID62.

Figure 13.1 PLANE13 Geometry

PLANE13 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 13.1: "PLANE13 Geometry". The element input data includes four nodes and magnetic, thermal, electrical, and structural material properties. The type of units (MKS or user defined) is specified through the EMUNIT command. EMUNIT also determines the value of MUZERO. The EMUNIT defaults are MKS units and MUZERO = 4 π x 10-7 henries/meter. In addition to MUZERO, orthotropic relative permeability is specified through the MURX and MURY material property labels.

MGXX and MGYY represent vector components of the coercive force for permanent magnet materials. The magnitude of the coercive force is the square root of the sum of the squares of the components. The direction of polarization is determined by the components MGXX and MGYY. Permanent magnet polarization and orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. Nonlinear magnetic B-H, piezoelectric, and anisotropic elastic properties are entered with the TB command as described in Data Tables - Implicit Analysis. Nonlinear orthotropic magnetic properties may be specified with a combination of a B-H curve and linear relative permeability. The B-H curve will be used in each element coordinate direction where a zero value of relative permeability is specified. Only one B-H curve may be specified per material.

Various combinations of nodal loading are available for this element (depending upon the KEYOPT(1) value). Nodal loads are defined with the D and the F commands. Nodal forces, if any, should be input per unit of depth for a plane analysis and on a full 360° basis for an axisymmetric analysis.

Element loads are described in Node and Element Loads. Pressure, convection or heat flux (but not both), radiation, and Maxwell force flags may be input on the element faces indicated by the circled numbers in Figure 13.1: "PLANE13 Geometry" using the SF and SFE commands. Positive pressures act into the element. Surfaces at which magnetic forces are to be calculated are identified by using the MXWF label on the surface load commands (no value is required). A maxwell stress tensor calculation is performed at these surfaces to obtain the magnetic forces. These forces are applied in solution as structural loads. The surface flag should be applied to "air" elements adjacent to the body for which forces are required. Deleting the MXWF specification removes the flag.

Body loads - temperature, heat generation rate, and magnetic virtual displacement - may be input at the element's nodes or as a single element value [BF, BFE]. Source current density loads may be applied to an area [BFA] or input as an element value [BFE]. When the temperature degree of freedom is active (KEYOPT(1) = 2 or 4), applied body force temperatures [BF, BFE] are ignored. In general, unspecified nodal temperatures and heat generation rates default to the uniform value specified with the BFUNIF or TUNIF command. Heat generation from Joule heating is applied in Solution as thermal loading for static and transient analyses.

If the temperature degree of freedom is present, the calculated temperatures override any input nodal temperatures.

Air elements in which local Jacobian forces are to be calculated may be identified by using nodal values of 1 and 0 for the MVDI label [BF]. See the Low-Frequency Electromagnetic Analysis Guide for details. These forces are not applied in solution as structural loads.

A summary of the element input is given in "PLANE13 Input Summary". A general description of element input is given in Element Input. For axisymmetric applications see Axisymmetric Elements.

PLANE13 Input Summary

Nodes

I, J, K, L

Degrees of Freedom
AZ if KEYOPT (1) = 0
TEMP if KEYOPT (1 ) = 2
UX, UY if KEYOPT (1) = 3
UX, UY, TEMP, AZ if KEYOPT (1) = 4
VOLT, AZ if KEYOPT (1) = 6
UX, UY, VOLT if KEYOPT (1) = 7
Real Constants

None

Material Properties
EX, EY, EZ, (PRXY, PRYZ, PRXZ or NUXY, NUYZ, NUXZ),
ALPX, ALPY, ALPZ, (or CTEX, CTEY,CTEZ or THSX, THSY,THSZ),
DENS, GXY, DAMP,
KXX, KYY, C, ENTH, MUZERO, MURX,
MURY, RSVZ, MGXX, MGYY, PERX, PERY,
plus BH, ANEL, and Piezoelectric data tables (see Data Tables - Implicit Analysis)
Surface Loads
Pressure, Convection or Heat Flux (but not both), Radiation (using Lab = RDSF), and Maxwell Force Flags--

face 1 (J-I), face 2 (K-J), face 3 (L-K), face 4 (I-L)

Body Loads
Temperatures --

T(I), T(J), T(K), T(L)

Heat Generations --

HG(I), HG(J), HG(K), HG(L)

Magnetic Virtual Displacements --

VD(I), VD(J), VD(K), VD(L)

Source Current Density --
spare, spare, JSZ(I), PHASE(I), spare, spare,
JSZ(J), PHASE(J), spare, spare, JSZ(K), PHASE(K),
spare, spare, JSZ(L), PHASE(L)
Special Features
Plasticity (BISO, MISO, BKIN, MKIN, KINH, DP)
Creep (CREEP)
Swelling (SWELL)
Elasticity (ANEL)
Other material (USER)
Requires an iterative solution for field coupling (displacement, temperature, electric, magnetic, but not piezoelectric)
Large deflection
Large strain
Stress stiffening
Birth and death
Adaptive descent

Note

Items in parentheses refer to data tables associated with the TB command.

KEYOPT(1)

Element degrees of freedom:

0 --

AZ degree of freedom

2 --

TEMP degree of freedom

3 --

UX, UY degrees of freedom

4 --

UX, UY, TEMP, AZ degrees of freedom

6 --

VOLT, AZ degrees of freedom

7 --

UX, UY, VOLT degrees of freedom

KEYOPT(2)

Extra shapes:

0 --

Include extra shapes

1 --

Do not include extra shapes

KEYOPT(3)

Element behavior:

0 --

Plane strain (with structural degrees of freedom)

1 --

Axisymmetric

2 --

Plane stress (with structural degrees of freedom)

KEYOPT(4)

Element coordinate system defined:

0 --

Element coordinate system is parallel to the global coordinate system

1 --

Element coordinate system is based on the element I-J side

KEYOPT(5)

Extra element output:

0 --

Basic element printout

1 --

Repeat basic solution for all integration points

2 --

Nodal stress printout

PLANE13 Output Data

The solution output associated with the element is in two forms:

  • Nodal degrees of freedom included in the overall nodal solution

  • Additional element output as shown in Table 13.1: "PLANE13 Element Output Definitions".

Several items are illustrated in Figure 13.2: "PLANE13 Element Output". The element output directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 13.2 PLANE13 Element Output

Because of different sign conventions for Cartesian and polar coordinate systems, magnetic flux density vectors point in opposite directions for planar (KEYOPT(3) = 0) and axisymmetric (KEYOPT(3) =1) analyses.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 13.1 PLANE13 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC | Location where results are reported | Y | 3
PRES | P1 at nodes J, I; P2 at K, J; P3 at L, K; P4 at I, L | Y | Y
TEMP | Input temperatures T(I), T(J), T(K), T(L) | Y | Y
HGEN | Input heat generations HG(I), HG(J), HG(K), HG(L) | Y | -
S:X, Y, Z, XY | Stresses (SZ = 0.0 for plane stress elements) | 1 | 1
S:1, 2, 3 | Principal stresses | 1 | 1
S:INT | Stress intensity | 1 | 1
S:EQV | Equivalent stress | 1 | 1
EPEL:X, Y, Z, XY | Elastic strains | 1 | 1
EPEL:1, 2, 3 | Principal elastic strains | 1 | -
EPEL:EQV | Equivalent elastic strain [4] | - | 1
EPTH:X, Y, Z, XY | Average thermal strains | 1 | 1
EPTH:EQV | Equivalent thermal strain [4] | - | 1
TG:X, Y, SUM | Thermal gradient components and vector sum | 1 | 1
TF:X, Y, SUM | Thermal flux (heat flow rate/cross-sectional area) components and vector sum | 1 | 1
EF:X, Y | Electric field components (X, Y) | 1 | 1
EF:SUM | Vector magnitude of EF | 1 | 1
D:X, Y | Electric flux density components (X, Y) | 1 | 1
D:SUM | Vector magnitude of D | 1 | 1
UE, UD, UM | Elastic (UE), dielectric (UD), and electromechanical coupled (UM) energies | 1 | 1
LOC | Output location (X, Y) | 1 | -
MUX, MUY | Magnetic permeability | 1 | 1
H:X, Y | Magnetic field intensity components | 1 | 1
H:SUM | Vector magnitude of H | 1 | 1
B:X, Y | Magnetic flux density components | 1 | 1
B:SUM | Vector magnitude of B | 1 | 1
JSZ | Source current density, available for static analysis only | 1 | 1
JTZ | Total current density | 1 | 1
JHEAT: | Joule heat generation per unit volume | 1 | 1
FJB(X, Y) | Lorentz force components | 1 | 1
FMX(X, Y) | Maxwell force components | 1 | 1
FVW(X, Y) | Virtual work force components | 1 | 1
FMAG:X, Y | Combined (FJB and FMX) force components | - | 1
FACE | Face label | 2 | 2
AREA | Face area | 2 | 2
NODES | Face nodes | 2 | -
HFILM | Film coefficient at each node of face | 2 | -
TBULK | Bulk temperature at each node of face | 2 | -
TAVG | Average face temperature | 2 | 2
HEAT RATE | Heat flow rate across face by convection | 2 | 2
HEAT RATE/AREA | Heat flow rate per unit area across face by convection | 2 | -
HFLUX | Heat flux at each node of face | 2 | -
HFAVG | Average film coefficient of the face | 2 | 2
TBAVG | Average face bulk temperature | - | 2
HFLXAVG | Heat flow rate per unit area across face caused by input heat flux | - | 2
TJB(Z) | Lorentz torque about global Cartesian +Z axis | 1 | 1
TMX(Z) | Maxwell torque about global Cartesian +Z axis | 1 | 1
TVW(Z) | Virtual work torque about global Cartesian +Z axis | 1 | 1

  1. Solution values are output only if calculated (based on input data).

    Note

    For harmonic analysis, joule losses (JHEAT), forces (FJB(X, Y), FMX(X, Y), FVW(X, Y)), and torque (TJB(Z), TMX(Z), TVW(Z)) represent time-average values. These values are stored in the "Real" data set. The macros POWERH, FMAGSUM, and TORQSUM can be used to retrieve this data.

  2. Available only if a surface load is input.

  3. Available only at centroid as a *GET item.

  4. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY).

Table 13.2 PLANE13 Miscellaneous Element Output

Description | Names of Items Output | O | R
Integration Pt. Solution | SINT, SEQV, EPEL, S, MUX, MUY, H, HSUM, B, BSUM | 1 | -
Nodal Solution | SINT, SEQV, S, H, HSUM, B, BSUM | 2 | -

  1. Output at each integration point, if KEYOPT(5) = 1.

  2. Output at each node, if KEYOPT(5) = 2.

Note

JT represents the total measurable current density in a conductor, including eddy current effects, and velocity effects if calculated.

For axisymmetric solutions with KEYOPT(4) = 0, the X and Y directions correspond to the radial and axial directions, respectively. The X, Y, Z, and XY stress output correspond to the radial, axial, hoop, and in-plane shear stresses, respectively.

For harmonic analysis, joule losses (JHEAT), forces (FJB(X, Y), FMX(X, Y), FVW(X, Y)), and torque (TJB(Z), TMX(Z), TVW(Z)) represent time-average values. These values are stored in the "Real" data set. The macros POWERH, FMAGSUM, and TORQSUM can be used to retrieve this data.

Table 13.3: "PLANE13 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) of the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 13.3: "PLANE13 Item and Sequence Numbers":

Name

output quantity as defined in the Table 13.1: "PLANE13 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J,K,L

sequence number for data at nodes I, J, K, L

FCN

sequence number for solution items for element Face N

Table 13.3 PLANE13 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J | K | L
JSZ | SMISC | 1 | - | - | - | -
P1 | SMISC | - | 4 | 3 | - | -
P2 | SMISC | - | - | 6 | 5 | -
P3 | SMISC | - | - | - | 8 | 7
P4 | SMISC | - | 9 | - | - | 10
MUX | NMISC | 1 | - | - | - | -
MUY | NMISC | 2 | - | - | - | -
FVWX | NMISC | 3 | - | - | - | -
FVWY | NMISC | 4 | - | - | - | -
FVWSUM | NMISC | 5 | - | - | - | -
JTZ | NMISC | 7 | - | - | - | -
UE | NMISC | 8 | - | - | - | -
UD | NMISC | 9 | - | - | - | -
UM | NMISC | 10 | - | - | - | -
TJB(Z) | NMISC | 35 | - | - | - | -
TMX(Z) | NMISC | 36 | - | - | - | -
TVW(Z) | NMISC | 37 | - | - | - | -
Output Quantity Name | ETABLE and ESOL Command Input
 | Item | FC1 | FC2 | FC3 | FC4
AREA | NMISC | 11 | 17 | 23 | 29
HFAVG | NMISC | 12 | 18 | 24 | 30
TAVG | NMISC | 13 | 19 | 25 | 31
TBAVG | NMISC | 14 | 20 | 26 | 32
HEAT RATE | NMISC | 15 | 21 | 27 | 33
HFLXAVG | NMISC | 16 | 22 | 28 | 34

PLANE13 Assumptions and Restrictions

  • The area of the element must be positive.

  • The element must lie in a global X-Y plane as shown in Figure 13.1: "PLANE13 Geometry" and the Y-axis must be the axis of symmetry for axisymmetric analyses.

  • An axisymmetric structure should be modeled in the +X quadrants.

  • For structural and piezoelectric problems, the extra displacement and VOLT shapes are automatically deleted for triangular elements so that a constant strain element results.

  • Transient magnetic analyses should be performed in a nonlinear transient dynamic analysis.

  • A skin-effect analysis (where eddy current formation is permitted in conducting regions with impressed current loading) is performed by using KEYOPT(1) = 6, specifying a resistivity, and coupling all VOLT degrees of freedom for elements in each of such regions. This is valid for both planar and axisymmetric models.

  • Current density loading (BFE,,JS) is only valid for the AZ option (KEYOPT(1) = 0). For the VOLT, AZ option (KEYOPT(1) = 6) use F,,AMPS.

  • When this element does not have the VOLT degree of freedom (KEYOPT(1) = 4), for a harmonic or transient analysis, its behavior depends on the applied load. For a BFE,,JS load, the element acts as a stranded conductor. Without BFE,,JS loads, it acts as a solid conductor modeling eddy current effects.

    Note

    In this respect, PLANE13 (and PLANE53) are not like the 3-D elements SOLID97 and SOLID117. When SOLID97 and SOLID117 do not have the VOLT degree of freedom, they act as stranded conductors.

  • Do not constrain all VOLT DOFs to the same value in a piezoelectric analysis (KEYOPT(1) = 7). Perform a pure structural analysis instead (KEYOPT(1) = 3).

  • Permanent magnets are not permitted in a harmonic analysis.

  • If a model has at least one element with piezoelectric degrees of freedom (displacements and VOLT) activated, then all elements where a VOLT degree of freedom is needed must be one of the piezoelectric types, and they must all have the piezoelectric degrees of freedom activated. If the piezoelectric effect is not desired in these elements, simply define very small piezoelectric material properties for them.

  • This element may not be compatible with other elements with the VOLT degree of freedom. To be compatible, the elements must have the same reaction solution for the VOLT DOF. Elements that have an electric charge reaction solution must all have the same electric charge reaction sign. For more information, see Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide.

PLANE13 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Mechanical.

Unless the Emag option is enabled, the following restrictions apply:

  • This element has only structural, thermal, or piezoelectric capability, and does not have magnetic capability.

  • The AZ degree of freedom is not active.

  • KEYOPT(1) defaults to 4 (UX, UY, TEMP) instead of 0, and cannot be set to 0. If set to 4 or 6, the AZ degree of freedom is not active.

  • The magnetic and electric material properties (MUZERO, MUR_, MG__, and the BH data table) are not allowed.

  • The Maxwell force flags surface loads are not applicable.

ANSYS Emag.

  • This element has only magnetic and electric field capability, and does not have structural, thermal, or piezoelectric capability.

  • The only active degrees of freedom are AZ and VOLT.

  • The only allowable material properties are the magnetic and electric properties (MUZERO through PERY, plus the BH data table).

  • The only applicable surface loads are Maxwell force flags. The heat generation body loads are not applicable. The temperature body load is only used for material property evaluation.

  • The element does not allow any special features.

  • KEYOPT(1) can only be set to 0 (default) or 6. KEYOPT(3) = 2 is not applicable.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CONTAC12 		Up / Home Next
COMBIN14


COMBIN14

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

COMBIN14

Spring-Damper

MP ME ST PR PRN DS <> <> <> <> <> PP VT

Product Restrictions

COMBIN14 Element Description

COMBIN14 has longitudinal or torsional capability in 1-D, 2-D, or 3-D applications. The longitudinal spring-damper option is a uniaxial tension-compression element with up to three degrees of freedom at each node: translations in the nodal x, y, and z directions. No bending or torsion is considered. The torsional spring-damper option is a purely rotational element with three degrees of freedom at each node: rotations about the nodal x, y, and z axes. No bending or axial loads are considered.

The spring-damper element has no mass. Masses can be added by using the appropriate mass element (see MASS21). The spring or the damping capability may be removed from the element. See COMBIN14 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. A general spring or damper is also available in the stiffness matrix element (MATRIX27). Another spring-damper element (having its direction of action determined by the nodal coordinate directions) is COMBIN40.

Figure 14.1 COMBIN14 Geometry

2-D elements must lie in a z = constant plane

COMBIN14 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 14.1: "COMBIN14 Geometry". The element is defined by two nodes, a spring constant (k) and damping coefficients (cv)1 and (cv)2. The damping capability is not used for static or undamped modal analyses. The longitudinal spring constant should have units of Force/Length, the damping coefficient units are Force*Time/Length. The torsional spring constant and damping coefficient have units of Force*Length/Radian and Force*Length*Time/Radian, respectively. For a 2-D axisymmetric analysis, these values should be on a full 360° basis.

The damping portion of the element contributes only damping coefficients to the structural damping matrix. The damping force (F) or torque (T) is computed as:

Fx = - cvdux/dt or Tθ = - cvd θ/dt

where cv is the damping coefficient given by cv = (cv)1 + (cv)2v.

v is the velocity calculated in the previous substep. The second damping coefficient (cv)2 is available to produce a nonlinear damping effect characteristic of some fluid environments. If (cv)2 is input (as real constant CV2), KEYOPT(1) must be set to 1.

KEYOPT(2) = 1 through 6 is used for defining the element as a one-dimensional element. With these options, the element operates in the nodal coordinate system (see Elements that Operate in the Nodal Coordinate System). The KEYOPT(2) = 7 and 8 options allow the element to be used in a thermal or pressure analysis.

A summary of the element input is given in "COMBIN14 Input Summary". A general description of element input is given in Element Input.

COMBIN14 Input Summary

Nodes

I, J

Degrees of Freedom
UX, UY, UZ if KEYOPT (3) = 0
ROTX, ROTY, ROTZ if KEYOPT (3) = 1
UX, UY if KEYOPT (3) = 2
see list below if KEYOPT(2) > 0
Real Constants
K - Spring constant
CV1 - Damping coefficient
CV2 - Damping coefficient (KEYOPT(1) must be set to 1)
Material Properties

DAMP

Surface Loads

None

Body Loads

None

Special Features
Nonlinear (if CV2 is not zero)
Stress stiffening
Large deflection
Birth and death
KEYOPT(1)

Solution type:

0 --

Linear Solution (default)

1 --

Nonlinear solution (required if CV2 is nonzero)

KEYOPT(2)

Degree of freedom selection for 1-D behavior:

0 --

Use KEYOPT(3) options

1 --

1-D longitudinal spring-damper (UX degree of freedom)

2 --

1-D longitudinal spring-damper (UY degree of freedom)

3 --

1-D longitudinal spring-damper (UZ degree of freedom)

4 --

1-D Torsional spring-damper (ROTX degree of freedom)

5 --

1-D Torsional spring-damper (ROTY degree of freedom)

6 --

1-D Torsional spring-damper (ROTZ degree of freedom)

7 --

Pressure degree of freedom element

8 --

Temperature degree of freedom element

Note

KEYOPT(2) overrides KEYOPT(3)

KEYOPT(3)

Degree of freedom selection for 2-D and 3-D behavior:

0 --

3-D longitudinal spring-damper

1 --

3-D torsional spring-damper

2 --

2-D longitudinal spring-damper (2-D elements must lie in an X-Y plane)

COMBIN14 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 14.1: "COMBIN14 Element Output Definitions".

Several items are illustrated in Figure 14.2: "COMBIN14 Stress Output". A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 14.2 COMBIN14 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 14.1 COMBIN14 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
XC, YC, ZC | Location where results are reported | Y | 1
FORC or TORQ | Spring force or moment | Y | Y
STRETCH or TWIST | Stretch of spring or twist of spring (radians) | Y | Y
RATE | Spring constant | Y | Y
VELOCITY | Velocity | - | Y
DAMPING FORCE or TORQUE | Damping force or moment (zero unless ANTYPE,TRANS and damping present) | Y | Y

  1. Available only at centroid as a *GET item.

Table 14.2: "COMBIN14 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) of the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 14.2: "COMBIN14 Item and Sequence Numbers":

Name

output quantity as defined in the Table 14.1: "COMBIN14 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 14.2 COMBIN14 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
FORC | SMISC | 1
STRETCH | NMISC | 1
VELOCITY | NMISC | 2
DAMPING FORCE | NMISC | 3

COMBIN14 Assumptions and Restrictions

  • If KEYOPT(2) is zero, the length of the spring-damper element must not be zero, i.e., nodes I and J should not be coincident, since the node locations determine the spring orientation.

  • The longitudinal spring element stiffness acts only along its length. The torsion spring element stiffness acts only about its length, as in a torsion bar.

  • The element allows only a uniform stress in the spring.

  • In a thermal analysis, the temperature or pressure degree of freedom acts in a manner analogous to the displacement.

  • Only the KEYOPT(2) = 0 option supports stress stiffening or large deflection. Also, if KEYOPT(3) = 1 (torsion) is used with large deflection, the coordinates will not be updated.

  • The spring or the damping capability may be deleted from the element by setting K or CV equal to zero, respectively.

  • If CV2 is not zero, the element is nonlinear and requires an iterative solution (KEYOPT(1) = 1).

The restrictions described below only apply if KEYOPT(2) is greater than zero.

  • If KEYOPT(2) is greater than zero, the element has only one degree of freedom. This degree of freedom is specified in the nodal coordinate system and is the same for both nodes (see Elements that Operate in the Nodal Coordinate System). If the nodal coordinate systems are rotated relative to each other, the same degree of freedom may be in different directions (thereby giving possibly unexpected results). The element, however, assumes only a 1-D action. Nodes I and J, then, may be anywhere in space (preferably coincident).

  • For noncoincident nodes and KEYOPT(2) = 1, 2, or 3, no moment effects are included. That is, if the nodes are offset from the line of action, moment equilibrium may not be satisfied.

  • The element is defined such that a positive displacement of node J relative to node I tends to stretch the spring. If, for a given set of conditions, nodes I and J are interchanged, a positive displacement of node J relative to node I tends to compress the spring.

COMBIN14 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

Structural Analysis:

  • No damping capability; CV1 and CV2 are not allowed.

  • Only stress stiffening and large deflections are allowed.

  • KEYOPT(2) = 7 or 8 is not allowed.

  • The DAMP material property is not allowed.

ANSYS Professional.

Thermal Analysis:

  • KEYOPT(2) defaults to 8.

  • KEYOPT(3) is not applicable.

DesignSpace.

  • KEYOPT(2) = 7 is not applicable.

  • In Simulation, KEYOPT(2) = 7 and KEYOPT(2) = 8 are not applicable .

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLANE13 		Up / Home Next
PIPE16


PIPE16

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

PIPE16

Elastic Straight Pipe

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

PIPE16 Element Description

PIPE16 is a uniaxial element with tension-compression, torsion, and bending capabilities. The element has six degrees of freedom at two nodes: translations in the nodal x, y, and z directions and rotations about the nodal x, y, and z axes. This element is based on the 3-D beam element (BEAM4), and includes simplifications due to its symmetry and standard pipe geometry. See PIPE16 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. See PIPE18 for a curved pipe element. See PIPE17 for a pipe tee element. See PIPE20 for a plastic straight pipe element.

Figure 16.1 PIPE16 Geometry

PIPE16 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 16.1: "PIPE16 Geometry". The element input data include two or three nodes, the pipe outer diameter and wall thickness, stress intensification and flexibility factors, internal fluid density, exterior insulation density and thickness, corrosion thickness allowance, insulation surface area, pipe wall mass, axial pipe stiffness, rotordynamic spin, and the isotropic material properties.

The element X-axis is oriented from node I toward node J. For the two-node option, the element Y-axis is automatically calculated to be parallel to the global X-Y plane. Several orientations are shown in Figure 16.1: "PIPE16 Geometry". For the case where the element is parallel to the global Z-axis (or within a 0.01 percent slope of it), the element Y-axis is oriented parallel to the global Y-axis (as shown). For user control of the element orientation about the element X-axis, use the third node option. The third node (K), if used, defines a plane (with I and J) containing the element X and Z axes (as shown). Input and output locations around the pipe circumference identified as being at 0° are located along the element Y-axis, and similarly 90° is along the element Z-axis.

The stress intensification factor (SIF) modifies the bending stress. Stress intensification factors may be input at end I (SIFI) and end J (SIFJ), if KEYOPT(2) = 0, or determined by the program using a tee-joint calculation if KEYOPT(2) = 1, 2, or 3. SIF values less than 1.0 are set equal to 1.0. The flexibility factor (FLEX) is divided into the cross-sectional moment of inertia to produce a modified moment of inertia for the bending stiffness calculation. FLEX defaults to 1.0 but may be input as any positive value.

The element mass is calculated from the pipe wall material, the external insulation, and the internal fluid. The insulation and the fluid contribute only to the element mass matrix. The corrosion thickness allowance contributes only to the stress calculations. A positive wall mass real constant overrides the pipe wall mass calculation. A nonzero insulation area real constant overrides the insulation surface area calculation (from the pipe outer diameter and length). A nonzero stiffness real constant overrides the calculated axial pipe stiffness.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 16.1: "PIPE16 Geometry". Internal pressure (PINT) and external pressure (POUT) are input as positive values. The internal and external pressure loads are designed for closed-loop static pressure environments and therefore include pressure loads on fictitious "end caps" so that the pressure loads induce an axial stress and/or reaction in the pipe system. If a dynamic situation needs to be represented, such as a pipe venting to a lower pressure area or the internal flow is past a constriction in the pipe, these end cap loads may need to be modified by applying a nodal force normal to the cross-section of the pipe with the magnitude representing the change in pressure. Alternatively, the precomputed end cap loads can be removed using KEYOPT(8) = 1 and the appropriate end cap loads added by the user. The transverse pressures (PX, PY, and PZ) may represent wind or drag loads (per unit length of the pipe) and are defined in the global Cartesian directions. Positive transverse pressures act in the positive coordinate directions. The normal component or the projected full pressure may be used (KEYOPT(5)). Tapered pressures are not recognized. Only constant pressures are supported for this element. See PIPE16 in the Theory Reference for ANSYS and ANSYS Workbench for more information.

Temperatures may be input as element body loads at the nodes. Temperatures may have wall gradients or diametral gradients (KEYOPT(1)). The average wall temperature at θ = 0° is computed as 2 * TAVG - T(180) and the average wall temperature at θ = -90° is computed as 2 * TAVG - T(90). The element temperatures are assumed to be linear along the length. The first temperature at node I (TOUT(I) or TAVG(I)) defaults to TUNIF. If all temperatures after the first are unspecified, they default to the first. If all temperatures at node I are input, and all temperatures at node J are unspecified, the node J temperatures default to the corresponding node I temperatures. For any other pattern of input temperatures, unspecified temperatures default to TUNIF.

For piping analyses, the PIPE module of PREP7 may be used to generate the input for this element. KEYOPT(4) is used to identify the element type for output labeling and for postprocessing operations.

KEYOPT(7) is used to compute an unsymmetric gyroscopic damping matrix (often used for rotordynamic analyses). The rotational frequency is input with the SPIN real constant (radians/time, positive in the positive element x direction).

A summary of the element input is given in "PIPE16 Input Summary". A general description of element input is given in Element Input.

PIPE16 Input Summary

Nodes

I, J, K (K, the orientation node, is optional)

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ

Real Constants
OD, TKWALL, SIFI, SIFJ, FLEX, DENSFL,
DENSIN, TKIN, TKCORR, AREAIN, MWALL, STIFF,
SPIN
See Table 16.1: "PIPE16 Real Constants" for a description of the real constants
Material Properties

EX, ALPX (or CTEX or THSX),

PRXY (or NUXY), DENS, GXY, DAMP

Surface Loads
Pressures --

1-PINT, 2-PX, 3-PY, 4-PZ, 5-POUT

Body Loads
Temperatures --
TOUT(I), TIN(I), TOUT(J), TIN(J) if KEYOPT (1) = 0, or
TAVG(I), T90(I), T180(I), TAVG(J), T90(J), T180(J) if KEYOPT (1) = 1
Special Features
Stress stiffening
Large deflection
Birth and death
KEYOPT(1)

Temperatures represent:

0 --

The through-wall gradient

1 --

The diametral gradient

KEYOPT(2)

Stress intensification factors:

0 --

Stress intensity factors from SIFI and SIFJ

1 --

Stress intensity factors at node I from tee joint calculation

2 --

Stress intensity factors at node J from tee joint calculation

3 --

Stress intensity factors at both nodes from tee joint calculation

KEYOPT(4)

Element identification (for output and postprocessing):

0 --

Straight pipe

1 --

Valve

2 --

Reducer

3 --

Flange

4 --

Expansion joint

5 --

Mitered bend

6 --

Tee branch

KEYOPT(5)

PX, PY, and PZ transverse pressures:

0 --

Use only the normal component of pressure

1 --

Use the full pressure (normal and shear components)

KEYOPT(6)

Member force and moment output:

0 --

Do not print member forces or moments

2 --

Print member forces and moments in the element coordinate system

KEYOPT(7)

Gyroscopic damping matrix:

0 --

No gyroscopic damping matrix

1 --

Compute gyroscopic damping matrix. Real constant SPIN must be greater than zero. DENSFL and DENSIN must be zero.

Note

The real constant MWALL is not used to compute the gyroscopic damping matrix.

KEYOPT(8)

End cap loads:

0 --

Internal and external pressures cause loads on end caps

1 --

Internal and external pressures do not cause loads on end caps

Table 16.1 PIPE16 Real Constants

No. | Name | Description
1 | OD | Pipe outer diameter
2 | TKWALL | Wall thickness
3 | SIFI | Stress intensification factor (node I)
4 | SIFJ | Stress intensification factor (node J)
5 | FLEX | Flexibility factor
6 | DENSFL | Internal fluid density
7 | DENSIN | Exterior insulation density
8 | TKIN | Insulation thickness
9 | TKCORR | Corrosion thickness allowance
10 | AREAIN | Insulation surface area (replaces program-calculated value)
11 | MWALL | Pipe wall mass (replaces program-calculated value)
12 | STIFF | Axial pipe stiffness (replaces program-calculated value)
13 | SPIN | Rotordynamic spin (required if KEYOPT(7) = 1)

PIPE16 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 16.2: "PIPE16 Element Output Definitions"

Several items are illustrated in Figure 16.2: "PIPE16 Stress Output".

The direct stress (SAXL) includes the internal pressure (closed end) effect. The direct stress does not include the axial component of the transverse thermal stress (STH). The principal stresses and the stress intensity include the shear force stress component, and are based on the stresses at the two extreme points on opposite sides of the neutral axis. These quantities are computed at the outer surface and might not occur at the same location around the pipe circumference. Angles listed in the output are measured as shown (θ) in Figure 16.2: "PIPE16 Stress Output". A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 16.2 PIPE16 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 16.2 PIPE16 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | - | Y
XC, YC, ZC | Location where results are reported | Y | 6
CORAL | Corrosion thickness allowance | 1 | 1
TEMP | TOUT(I), TIN(I), TOUT(J), TIN(J) | 2 | 2
TEMP | TAVG(I), T90(I), T180(I), TAVG(J), T90(J), T180(J) | 3 | 3
PRES | PINT, PX, PY, PZ, POUT | Y | Y
SFACTI, SFACTJ | Stress intensification factors at nodes I and J | Y | Y
STH | Stress due to maximum thermal gradient through the wall thickness | Y | Y
SPR2 | Hoop pressure stress for code calculations | - | Y
SMI, SMJ | Moment stress at nodes I and J for code calculations | - | Y
SDIR | Direct (axial) stress | - | Y
SBEND | Maximum bending stress at outer surface | - | Y
ST | Shear stress at outer surface due to torsion | - | Y
SSF | Shear stress due to shear force | - | Y
S:(1MX, 3MN, INTMX, EQVMX) | Maximum principal stress, minimum principal stress, maximum stress intensity, maximum equivalent stress (all at the outer surface) | Y | Y
S:(AXL, RAD, H, XH) | Axial, radial, hoop, and shear stresses | 4 | 4
S:(1, 3, INT, EQV) | Maximum principal stress, minimum principal stress, stress intensity, equivalent stress | 4 | 4
EPEL:(AXL, RAD, H, XH) | Axial, radial, hoop, and shear strains | 4 | 4
EPTH:(AXL, RAD, H) | Axial, radial, and hoop thermal strain | 4 | 4
MFOR:(X, Y, Z) | Member forces for nodes I and J (in the element coordinate system) | 5 | Y
MMOM:(X, Y, Z) | Member moments for nodes I and J (in the element coordinate system) | 5 | Y

  1. If the value is greater than 0.

  2. If KEYOPT(1) = 0

  3. If KEYOPT(1) = 1

  4. The item repeats at 0°, 45°, 90°, 135°, 180°, 225°, 270°, 315° at node I, then at node J, all at the outer surface.

  5. If KEYOPT(6) = 2

  6. Available only at centroid as a *GET item.

The following tables list output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 16.3: "PIPE16 Item and Sequence Numbers (Node I)" through Table 16.5: "PIPE16 Item and Sequence Numbers":

Name

output quantity as defined in the Table 16.2: "PIPE16 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I, J

sequence number for data at nodes I and J

Table 16.3 PIPE16 Item and Sequence Numbers (Node I)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | Circumferential Location
 |  |  | 0° | 45° | 90° | 135° | 180° | 225° | 270° | 315°
SAXL | LS | - | 1 | 5 | 9 | 13 | 17 | 21 | 25 | 29
SRAD | LS | - | 2 | 6 | 10 | 14 | 18 | 22 | 26 | 30
SH | LS | - | 3 | 7 | 11 | 15 | 19 | 23 | 27 | 31
SXH | LS | - | 4 | 8 | 12 | 16 | 20 | 24 | 28 | 32
EPELAXL | LEPEL | - | 1 | 5 | 9 | 13 | 17 | 21 | 25 | 29
EPELRAD | LEPEL | - | 2 | 6 | 10 | 14 | 18 | 22 | 26 | 30
EPELH | LEPEL | - | 3 | 7 | 11 | 15 | 19 | 23 | 27 | 31
EPELXH | LEPEL | - | 4 | 8 | 12 | 16 | 20 | 24 | 28 | 32
EPTHAXL | LEPTH | - | 1 | 5 | 9 | 13 | 17 | 21 | 25 | 29
EPTHRAD | LEPTH | - | 2 | 6 | 10 | 14 | 18 | 22 | 26 | 30
EPTHH | LEPTH | - | 3 | 7 | 11 | 15 | 19 | 23 | 27 | 31
MFORX | SMISC | 1 | - | - | - | - | - | - | - | -
MFORY | SMISC | 2 | - | - | - | - | - | - | - | -
MFORZ | SMISC | 3 | - | - | - | - | - | - | - | -
MMOMX | SMISC | 4 | - | - | - | - | - | - | - | -
MMOMY | SMISC | 5 | - | - | - | - | - | - | - | -
MMOMZ | SMISC | 6 | - | - | - | - | - | - | - | -
SDIR | SMISC | 13 | - | - | - | - | - | - | - | -
ST | SMISC | 14 | - | - | - | - | - | - | - | -
S1 | NMISC | - | 1 | 6 | 11 | 16 | 21 | 26 | 31 | 36
S3 | NMISC | - | 3 | 8 | 13 | 18 | 23 | 28 | 33 | 38
SINT | NMISC | - | 4 | 9 | 14 | 19 | 24 | 29 | 34 | 39
SEQV | NMISC | - | 5 | 10 | 15 | 20 | 25 | 30 | 35 | 40
SBEND | NMISC | 90 | - | - | - | - | - | - | - | -
SSF | NMISC | 91 | - | - | - | - | - | - | - | -
TOUT | LBFE | - | 4 | - | 1 | - | 2 | - | 3 | -
TIN | LBFE | - | 8 | - | 5 | - | 6 | - | 7 | -

Table 16.4 PIPE16 Item and Sequence Numbers (Node J)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | Circumferential Location
 |  |  | 0° | 45° | 90° | 135° | 180° | 225° | 270° | 315°
SAXL | LS | - | 33 | 37 | 41 | 45 | 49 | 53 | 57 | 61
SRAD | LS | - | 34 | 38 | 42 | 46 | 50 | 54 | 58 | 62
SH | LS | - | 35 | 39 | 43 | 47 | 51 | 55 | 59 | 63
SXH | LS | - | 36 | 40 | 44 | 48 | 52 | 56 | 60 | 64
EPELAXL | LEPEL | - | 33 | 37 | 41 | 45 | 49 | 53 | 57 | 61
EPELRAD | LEPEL | - | 34 | 38 | 42 | 46 | 50 | 54 | 58 | 62
EPELH | LEPEL | - | 35 | 39 | 43 | 47 | 51 | 55 | 59 | 63
EPELXH | LEPEL | - | 36 | 40 | 44 | 48 | 52 | 56 | 60 | 64
EPTHAXL | LEPTH | - | 33 | 37 | 41 | 45 | 49 | 53 | 57 | 61
EPTHRAD | LEPTH | - | 34 | 38 | 42 | 46 | 50 | 54 | 58 | 62
EPTHH | LEPTH | - | 35 | 39 | 43 | 47 | 51 | 55 | 59 | 63
MFORX | SMISC | 7 | - | - | - | - | - | - | - | -
MFORY | SMISC | 8 | - | - | - | - | - | - | - | -
MFORZ | SMISC | 9 | - | - | - | - | - | - | - | -
MMOMX | SMISC | 10 | - | - | - | - | - | - | - | -
MMOMY | SMISC | 11 | - | - | - | - | - | - | - | -
MMOMZ | SMISC | 12 | - | - | - | - | - | - | - | -
SDIR | SMISC | 15 | - | - | - | - | - | - | - | -
ST | SMISC | 16 | - | - | - | - | - | - | - | -
S1 | NMISC | - | 41 | 46 | 51 | 56 | 61 | 66 | 71 | 76
S3 | NMISC | - | 43 | 48 | 53 | 58 | 63 | 68 | 73 | 78
SINT | NMISC | - | 44 | 49 | 54 | 59 | 64 | 69 | 74 | 79
SEQV | NMISC | - | 45 | 50 | 55 | 60 | 65 | 70 | 75 | 80
SBEND | NMISC | 92 | - | - | - | - | - | - | - | -
SSF | NMISC | 93 | - | - | - | - | - | - | - | -
TOUT | LBFE | - | 12 | - | 9 | - | 10 | - | 11 | -
TIN | LBFE | - | 16 | - | 13 | - | 14 | - | 15 | -

Table 16.5 PIPE16 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
STH | SMISC | 17
PINT | SMISC | 18
PX | SMISC | 19
PY | SMISC | 20
PZ | SMISC | 21
POUT | SMISC | 22
SFACTI | NMISC | 81
SFACTJ | NMISC | 82
SPR2 | NMISC | 83
SMI | NMISC | 84
SMJ | NMISC | 85
S1MX | NMISC | 86
S3MN | NMISC | 87
SINTMX | NMISC | 88
SEQVMX | NMISC | 89

PIPE16 Assumptions and Restrictions

  • The pipe must not have a zero length or wall thickness. In addition, the OD must not be less than or equal to zero, the ID must not be less than zero, and the corrosion thickness allowance must be less than the wall thickness.

  • The element temperatures are assumed to vary linearly along the length.

  • The element may be used for both thin and thick-walled situations; however, some of the stress calculations are based on thin-wall theory.

  • The pipe element is assumed to have "closed ends" so that the axial pressure effect is included.

  • Shear deflection capability is also included in the element formulation.

  • Eigenvalues calculated in a gyroscopic modal analysis can be very sensitive to changes in the initial shift value, leading to potential error in either the real or imaginary (or both) parts of the eigenvalues.

PIPE16 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The SPIN real constant (R13) is not available.

  • The DAMP material property is not allowed.

  • The only special features allowed are stress stiffening and large deflections.

  • KEYOPT(7) (gyroscopic damping) is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
COMBIN14 		Up / Home Next
PIPE17


PIPE17

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

PIPE17

Elastic Pipe Tee

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

PIPE17 Element Description

PIPE17 is a combination of three uniaxial elastic straight pipe elements (PIPE16) arranged in a "tee" configuration, with tension-compression, torsion, and bending capabilities. The element has six degrees of freedom at each node: translations in the nodal x, y, and z directions and rotations about the nodal x, y, and z axes.

Options are available to include tee-joint flexibility and stress intensification factors and to print member forces. The element can account for insulation, contained fluid, and a corrosion allowance. See PIPE17 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

The I and J nomenclature used in the description of this element refers to the first and second end of each branch of the element, i.e., I-J for branch 1, J-K for branch 2, and J-L for branch 3.

Figure 17.1 PIPE17 Geometry

PIPE17 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 17.1: "PIPE17 Geometry". The element input data include four nodes, the branch outer diameters, wall thicknesses, material numbers, flexibility factors, stress intensification factors, internal fluid densities, exterior insulation densities and thicknesses, corrosion thickness allowance, and the isotropic material properties. The real constant material number, if supplied, overrides the element material property number applied with the MAT command, and defaults to the element material property number. The element degenerates to two branches if three nodes are input, and to one pipe element if only two nodes are input. The real constants (except DFL, DIN, and TKIN) for the other branches default to those of the first branch if not input.

The bending stiffness of this element is similar to that of BEAM4 except that it is modified by the flexibility factor. Each branch has its own element coordinate system, with its origin at the first node of the branch and the element X-axis along the branch axis. The orientation of the branch Y-axis is automatically calculated to be parallel to the global X-Y plane (see Figure 17.1: "PIPE17 Geometry"). For the case where the branch is parallel to the global Z axis (or within a 0.01 percent slope of it), the branch Y-axis is oriented parallel to the global Y axis. Input and output locations around the pipe circumference identified as being at 0° are located along the branch Y-axis, and similarly 90° is along the branch Z-axis. The flexibility factor (FLEX) is divided into the cross-sectional moment of inertia to produce a modified moment of inertia for the stiffness calculation. FLEX defaults to 1.0 but may be input as any positive value. The internal fluid and external insulation constants are used only to determine the added mass effects for these components.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 17.1: "PIPE17 Geometry". Internal pressure (PINT) and external pressure (POUT) are input as positive values. The internal and external pressure loads are designed for closed-loop static pressure environments and therefore include pressure loads on fictitious "end caps" so that the pressure loads induce an axial stress and/or reaction in the pipe system. If a dynamic situation needs to be represented, such as a pipe venting to a lower pressure area or the internal flow is past a constriction in the pipe, these end cap loads may need to be modified by applying a nodal force normal to the cross-section of the pipe with the magnitude representing the change in pressure. Alternatively, the precomputed end cap loads can be removed using KEYOPT(8) = 1 and the appropriate end cap loads added by the user. The transverse pressures (PX, PY, and PZ) may represent wind or drag loads (per unit length of the pipe) and are defined in the global Cartesian directions. Positive transverse pressures act in the positive coordinate directions. Tapered pressures are not recognized. Only constant pressures are supported for this element. See PIPE17 in the Theory Reference for ANSYS and ANSYS Workbench for details.

Temperatures may be input as element body loads at the nodes. Outer and inner wall temperatures may be specified for each branch. Temperatures are assumed to be uniform along each branch. The first temperature for branch 1 (TOUT1) defaults to TUNIF. If all temperatures after the first are unspecified, they default to the first. If both temperatures at branch 1 are input, and all temperatures at branches 2 and 3 are unspecified, they default to the corresponding branch 1 temperatures. For any other input pattern, unspecified temperatures default to TUNIF.

Use the BETAD command to supply the global value of damping. If MP,DAMP is defined for the material number of the element (assigned with the MAT command), it is used for the element instead of the value from the BETAD command. Similarly, use the TREF command to supply the global value of reference temperature. If MP,REFT is defined for the material number of the element, it is used for the element instead of the value from the TREF command. But if MP,REFT is defined for the material number of the branch, it is used instead of either the global or element value.

The KEYOPT(2) options for stress intensification factors are discussed in "PIPE16 Input Data".

A summary of the element input is given in "PIPE17 Input Summary". A general description of element input is given in Element Input.

PIPE17 Input Summary

Nodes
I, J, K, L for three branches (I-J, J-K, J-L), or
I, J, K for two branches (I-J, J-K), or
I, J for one branch (I-J)
Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ

Real Constants
OD1, TK1, MAT1, FLEX1, SIF1I, SIF1J,
OD2, TK2, MAT2, FLEX2, SIF2J, SIF2K,
OD3, TK3, MAT3, FLEX3, SIF3J, SIF3L,
DFL1, DIN1, TKIN1, DFL2, DIN2, TKIN2,
DFL3, DIN3, TKIN3, TKCORR
See Table 17.1: "PIPE17 Real Constants" for a description of the real constants.
Material Properties
EX, ALPX (or CTEX or THSX), PRXY (or NUXY), DENS, GXY, DAMP
REFT

Supply DAMP only once for the element (use MAT command to assign material property set). REFT may be supplied once for the element, or may be assigned on a per branch basis. See the discussion in "PIPE17 Input Data" for more details.

Surface Loads
Pressures --

1-PINT, 2-PX, 3-PY, 4-PZ, 5-POUT

Body Loads
Temperatures --

TOUT1, TIN1, TOUT2, TIN2, TOUT3, TIN3 (outer and inner for each branch)

Special Features
Stress stiffening
Large deflection
Birth and death
KEYOPT(2)

Stress intensification factors:

0 --

Stress intensity factors from SIF real constants

1 --

Tee stress intensity factors at first node of each branch from tee joint calculation

2 --

Tee stress intensity factors at second node of each branch from tee joint calculation

3 --

Tee stress intensity factors at both nodes of each branch from tee joint calculation

KEYOPT(6)

Member force and moment output:

0 --

No printout of member forces or moments

2 --

Print member forces and moments in the element coordinate system

KEYOPT(8)

End cap loads:

0 --

Internal and external pressures cause loads on end caps

1 --

Internal and external pressures do not cause loads on end caps

Table 17.1 PIPE17 Real Constants

No. | Name | Description
1 | OD1 | Pipe outer diameter for branch 1
2 | TK1 | Thickness for branch 1
3 | MAT1 | Material number for branch 1
4 | FLEX1 | Flexibility factor for branch 1
5 | SIF1I | Stress intensification factor for branch 1, node I
6 | SIF1J | Stress intensification factor for branch 1, node J
7 | OD2 | Pipe outer diameter for branch 2
8 | TK2 | Thickness for branch 2
9 | MAT2 | Material number for branch 2
10 | FLEX2 | Flexibility factor for branch 2
11 | SIF2J | Stress intensification factor for branch 2, node J
12 | SIF2K | Stress intensification factor for branch 2, node K
13 | OD3 | Pipe outer diameter for branch 3
14 | TK3 | Thickness for branch 3
15 | MAT3 | Material number for branch 3
16 | FLEX3 | Flexibility factor for branch 3
17 | SIF3J | Stress intensification factor for branch 3, node J
18 | SIF3L | Stress intensification factor for branch 3, node L
19 | DFL1 | Internal fluid densities
20 | DIN1 | Exterior insulation densities
21 | TKIN1 | Insulation thickness for branch 1
22 | DFL2 | Internal fluid densities
23 | DIN2 | Exterior insulation densities
24 | TKIN2 | Insulation thickness for branch 2
25 | DFL3 | Internal fluid densities
26 | DIN3 | Exterior insulation densities
27 | TKIN3 | Insulation thickness for branch 3
28 | TKCORR | Corrosion thickness allowance

PIPE17 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 17.2: "PIPE17 Element Output Definitions"

Several items are illustrated in Figure 17.2: "PIPE17 Stress Output".

The direct stress includes the internal pressure (closed end) effect. The direct stress does not include the axial component of the transverse thermal stress. Also printed for each end of each branch are the maximum and minimum principal stresses and the stress intensity. These quantities are computed at the outer surface and may not occur at the same location around the pipe circumference. The effect of the corrosion allowance thickness is also included as described in "PIPE16 Input Data". The principal stresses and the stress intensity include the shear force stress component. The output stresses and the stress intensification factors are calculated as shown in "PIPE16 Input Data". Angles listed in the output are measured as shown (θ) in Figure 17.2: "PIPE17 Stress Output". A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 17.2 PIPE17 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 17.2 PIPE17 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L | Y | Y
VOLU: | Volume | - | Y
XC, YC, ZC | Location where results are reported | Y | 4
TEMP | TOUT1, TIN1, TOUT2, TIN2, TOUT3, TIN3 (outer and inner for each branch) | Y | Y
PRES | PINT, PX, PY, PZ, POUT | Y | Y
MFOR(X, Y, Z) | Member forces at the ends of each branch (in the branch coordinate system) | 1 | Y
MMOM(X, Y, Z) | Member moments at the ends of each branch (in the branch coordinate system) | 1 | Y
SFACTI, SFACTJ | Stress intensification factors | 2 | 2
STH | Stress due to maximum thermal gradient through the wall thickness | 2 | 2
SPR2 | Hoop pressure stress for code calculations | - | 2
SMI, SMJ | Moment stress at nodes I and J for code calculations | - | 2
SDIR | Direct (axial) stress | - | 2
SBEND | Maximum bending stress at outer surface | - | 2
ST | Shear stress at outer surface due to torsion | - | 2
SSF | Shear stress due to shear force | - | 2
S(1MX, 3MN, INTMX, EQVMX) | Maximum principal stress, minimum principal stress, maximum stress intensity, maximum equivalent stress (all at the outer surface) | 2 | 2
S(1, 3, INT, EQV) | Maximum principal stress, minimum principal stress, stress intensity, equivalent stress | 3 | 3
S(AXL, RAD, H, XH) | Axial, radial, hoop, and shear stresses | 3 | 3
EPEL(AXL, RAD, H, XH) | Axial, radial, hoop, and shear strains | 3 | 3
EPTH(AXL, RAD, H) | Axial, radial, and hoop thermal strain | 3 | 3

  1. Only if KEYOPT(6) = 2

  2. The item repeats for each branch

  3. The item repeats at 0°, 45°, 90°, 135°, 180°, 225°, 270°, 315° at the ends of each branch (all at the outer surface)

  4. Available only at centroid as a *GET item.

The following tables list output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) of the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 17.3: "PIPE17 Item and Sequence Numbers (Branch 1, Node I)" through Table 17.12: "PIPE17 Item and Sequence Numbers":

Name

output quantity as defined in the Table 17.2: "PIPE17 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J,K

sequence number for data at nodes I,J, and K

Table 17.3 PIPE17 Item and Sequence Numbers (Branch 1, Node I)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | Circumferential Location
 |  |  | 0° | 45° | 90° | 135° | 180° | 225° | 270° | 315°
SAXL | LS | - | 1 | 5 | 9 | 13 | 17 | 21 | 25 | 29
SRAD | LS | - | 2 | 6 | 10 | 14 | 18 | 22 | 26 | 30
SH | LS | - | 3 | 7 | 11 | 15 | 19 | 23 | 27 | 31
SXH | LS | - | 4 | 8 | 12 | 16 | 20 | 24 | 28 | 32
EPELAXL | LEPEL | - | 1 | 5 | 9 | 13 | 17 | 21 | 25 | 29
EPELRAD | LEPEL | - | 2 | 6 | 10 | 14 | 18 | 22 | 26 | 30
EPELH | LEPEL | - | 3 | 7 | 11 | 15 | 19 | 23 | 27 | 31
EPELXH | LEPEL | - | 4 | 8 | 12 | 16 | 20 | 24 | 28 | 32
EPTHAXL | LEPTH | - | 1 | 5 | 9 | 13 | 17 | 21 | 25 | 29
EPTHRAD | LEPTH | - | 2 | 6 | 10 | 14 | 18 | 22 | 26 | 30
EPTHH | LEPTH | - | 3 | 7 | 11 | 15 | 19 | 23 | 27 | 31
S1 | NMISC | - | 1 | 6 | 11 | 16 | 21 | 26 | 31 | 36
S3 | NMISC | - | 3 | 8 | 13 | 18 | 23 | 28 | 33 | 38
SINT | NMISC | - | 4 | 9 | 14 | 19 | 24 | 29 | 34 | 39
SEQV | NMISC | - | 5 | 10 | 15 | 20 | 25 | 30 | 35 | 40
SBEND | NMISC | 268 | - | - | - | - | - | - | - | -
SSF | NMISC | 269 | - | - | - | - | - | - | - | -
MFORX | SMISC | 1 | - | - | - | - | - | - | - | -
MFORY | SMISC | 2 | - | - | - | - | - | - | - | -
MFORZ | SMISC | 3 | - | - | - | - | - | - | - | -
MMOMX | SMISC | 4 | - | - | - | - | - | - | - | -
MMOMY | SMISC | 5 | - | - | - | - | - | - | - | -
MMOMZ | SMISC | 6 | - | - | - | - | - | - | - | -
SDIR | SMISC | 37 | - | - | - | - | - | - | - | -
ST | SMISC | 38 | - | - | - | - | - | - | - | -

Table 17.4 PIPE17 Item and Sequence Numbers (Branch 1, Node J)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | Circumferential Location
 |  |  | 0° | 45° | 90° | 135° | 180° | 225° | 270° | 315°
SAXL | LS | - | 33 | 37 | 41 | 45 | 49 | 53 | 57 | 61
SRAD | LS | - | 34 | 38 | 42 | 46 | 50 | 54 | 58 | 62
SH | LS | - | 35 | 39 | 43 | 47 | 51 | 55 | 59 | 63
SXH | LS | - | 36 | 40 | 44 | 48 | 52 | 56 | 60 | 64
EPELAXL | LEPEL | - | 33 | 37 | 41 | 45 | 49 | 53 | 57 | 61
EPELRAD | LEPEL | - | 34 | 38 | 42 | 46 | 50 | 54 | 58 | 62
EPELH | LEPEL | - | 35 | 39 | 43 | 47 | 51 | 55 | 59 | 63
EPELXH | LEPEL | - | 36 | 40 | 44 | 48 | 52 | 56 | 60 | 64
EPTHAXL | LEPTH | - | 33 | 37 | 41 | 45 | 49 | 53 | 57 | 61
EPTHRAD | LEPTH | - | 34 | 38 | 42 | 46 | 50 | 54 | 58 | 62
EPTHH | LEPTH | - | 35 | 39 | 43 | 47 | 51 | 55 | 59 | 63
S1 | NMISC | - | 41 | 46 | 51 | 56 | 61 | 66 | 71 | 76
S3 | NMISC | - | 43 | 48 | 53 | 58 | 63 | 68 | 73 | 78
SINT | NMISC | - | 44 | 49 | 54 | 59 | 64 | 69 | 74 | 79
SEQV | NMISC | - | 45 | 50 | 55 | 60 | 65 | 70 | 75 | 80
SBEND | NMISC | 270 | - | - | - | - | - | - | - | -
SSF | NMISC | 271 | - | - | - | - | - | - | - | -
MFORX | SMISC | 7 | - | - | - | - | - | - | - | -
MFORY | SMISC | 8 | - | - | - | - | - | - | - | -
MFORZ | SMISC | 9 | - | - | - | - | - | - | - | -
MMOMX | SMISC | 10 | - | - | - | - | - | - | - | -
MMOMY | SMISC | 11 | - | - | - | - | - | - | - | -
MMOMZ | SMISC | 12 | - | - | - | - | - | - | - | -
SDIR | SMISC | 39 | - | - | - | - | - | - | - | -
ST | SMISC | 40 | - | - | - | - | - | - | - | -

Table 17.5 PIPE17 Item and Sequence Numbers (Branch 1)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | Circumferential Location
 |  |  | 0° | 90° | 180° | 270°
SFACTI | NMISC | 241 | - | - | - | -
SFACTJ | NMISC | 242 | - | - | - | -
SPR2 | NMISC | 243 | - | - | - | -
SMI | NMISC | 244 | - | - | - | -
SMJ | NMISC | 245 | - | - | - | -
S1MX | NMISC | 256 | - | - | - | -
S3MN | NMISC | 257 | - | - | - | -
SINTMX | NMISC | 258 | - | - | - | -
SEQVMX | NMISC | 259 | - | - | - | -
STH | SMISC | 41 | - | - | - | -
TOUT | LBFE | - | 4 | 1 | 2 | 3
TIN | LBFE | - | 8 | 5 | 6 | 7

Table 17.6 PIPE17 Item and Sequence Numbers (Branch 2, Node J)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | Circumferential Location
 |  |  | 0° | 45° | 90° | 135° | 180° | 225° | 270° | 315°
SAXL | LS | - | 65 | 69 | 73 | 77 | 81 | 85 | 89 | 93
SRAD | LS | - | 66 | 70 | 74 | 78 | 82 | 86 | 90 | 94
SH | LS | - | 67 | 71 | 75 | 79 | 83 | 87 | 91 | 95
SXH | LS | - | 68 | 72 | 76 | 80 | 84 | 88 | 92 | 96
EPELAXL | LEPEL | - | 65 | 69 | 73 | 77 | 81 | 85 | 89 | 93
EPELRAD | LEPEL | - | 66 | 70 | 74 | 78 | 82 | 86 | 90 | 94
EPELH | LEPEL | - | 67 | 71 | 75 | 79 | 83 | 87 | 91 | 95
EPELXH | LEPEL | - | 68 | 72 | 76 | 80 | 84 | 88 | 92 | 96
EPTHAXL | LEPTH | - | 65 | 69 | 73 | 77 | 81 | 85 | 89 | 93
EPTHRAD | LEPTH | - | 66 | 70 | 74 | 78 | 82 | 86 | 90 | 94
EPTHH | LEPTH | - | 67 | 71 | 75 | 79 | 83 | 87 | 91 | 95
S1 | NMISC | - | 81 | 86 | 91 | 96 | 101 | 106 | 111 | 116
S3 | NMISC | - | 83 | 88 | 93 | 98 | 103 | 108 | 113 | 118
SINT | NMISC | - | 84 | 89 | 94 | 99 | 104 | 109 | 114 | 119
SEQV | NMISC | - | 85 | 90 | 95 | 100 | 105 | 110 | 115 | 120
SBEND | NMISC | 272 | - | - | - | - | - | - | - | -
SSF | NMISC | 273 | - | - | - | - | - | - | - | -
MFORX | SMISC | 13 | - | - | - | - | - | - | - | -
MFORY | SMISC | 14 | - | - | - | - | - | - | - | -
MFORZ | SMISC | 15 | - | - | - | - | - | - | - | -
MMOMX | SMISC | 16 | - | - | - | - | - | - | - | -
MMOMY | SMISC | 17 | - | - | - | - | - | - | - | -
MMOMZ | SMISC | 18 | - | - | - | - | - | - | - | -
SDIR | SMISC | 42 | - | - | - | - | - | - | - | -
ST | SMISC | 43 | - | - | - | - | - | - | - | -

Table 17.7 PIPE17 Item and Sequence Numbers (Branch 2, Node K)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | Circumferential Location
 |  |  | 0° | 45° | 90° | 135° | 180° | 225° | 270° | 315°
SAXL | LS | - | 97 | 101 | 105 | 109 | 113 | 117 | 121 | 125
SRAD | LS | - | 98 | 102 | 106 | 110 | 114 | 118 | 122 | 126
SH | LS | - | 99 | 103 | 107 | 111 | 115 | 119 | 123 | 127
SXH | LS | - | 100 | 104 | 108 | 112 | 116 | 120 | 124 | 128
EPELAXL | LEPEL | - | 97 | 101 | 105 | 109 | 113 | 117 | 121 | 125
EPELRAD | LEPEL | - | 98 | 102 | 106 | 110 | 114 | 118 | 122 | 126
EPELH | LEPEL | - | 99 | 103 | 107 | 111 | 115 | 119 | 123 | 127
EPELXH | LEPEL | - | 100 | 104 | 108 | 112 | 116 | 120 | 124 | 128
EPTHAXL | LEPTH | - | 97 | 101 | 105 | 109 | 113 | 117 | 121 | 125
EPTHRAD | LEPTH | - | 98 | 102 | 106 | 110 | 114 | 118 | 122 | 126
EPTHH | LEPTH | - | 99 | 103 | 107 | 111 | 115 | 119 | 123 | 127
S1 | NMISC | - | 121 | 126 | 131 | 136 | 141 | 146 | 151 | 156
S3 | NMISC | - | 123 | 128 | 133 | 138 | 143 | 148 | 153 | 158
SINT | NMISC | - | 124 | 129 | 134 | 139 | 144 | 149 | 154 | 159
SEQV | NMISC | - | 125 | 130 | 135 | 140 | 145 | 150 | 155 | 160
SBEND | NMISC | 274 | - | - | - | - | - | - | - | -
SSF | NMISC | 275 | - | - | - | - | - | - | - | -
MFORX | SMISC | 19 | - | - | - | - | - | - | - | -
MFORY | SMISC | 20 | - | - | - | - | - | - | - | -
MFORZ | SMISC | 21 | - | - | - | - | - | - | - | -
MMOMX | SMISC | 22 | - | - | - | - | - | - | - | -
MMOMY | SMISC | 23 | - | - | - | - | - | - | - | -
MMOMZ | SMISC | 24 | - | - | - | - | - | - | - | -
SDIR | SMISC | 44 | - | - | - | - | - | - | - | -
ST | SMISC | 45 | - | - | - | - | - | - | - | -

Table 17.8 PIPE17 Item and Sequence Numbers (Branch 2)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | Circumferential Location
 |  |  | 0° | 90° | 180° | 270°
SFACTI | NMISC | 246 | - | - | - | -
SFACTJ | NMISC | 247 | - | - | - | -
SPR2 | NMISC | 248 | - | - | - | -
SMI | NMISC | 249 | - | - | - | -
SMJ | NMISC | 250 | - | - | - | -
S1MX | NMISC | 260 | - | - | - | -
S3MN | NMISC | 261 | - | - | - | -
SINTMX | NMISC | 262 | - | - | - | -
SEQVMX | NMISC | 263 | - | - | - | -
STH | SMISC | 46 | - | - | - | -
TOUT | LBFE | - | 12 | 9 | 10 | 11
TIN | LBFE | - | 16 | 13 | 14 | 15

Table 17.9 PIPE17 Item and Sequence Numbers (Branch 3, Node J)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | Circumferential Location
 |  |  | 0° | 45° | 90° | 135° | 180° | 225° | 270° | 315°
SAXL | LS | - | 129 | 133 | 137 | 141 | 145 | 149 | 153 | 157
SRAD | LS | - | 130 | 134 | 138 | 142 | 146 | 150 | 154 | 158
SH | LS | - | 131 | 135 | 139 | 143 | 147 | 151 | 155 | 159
SXH | LS | - | 132 | 136 | 140 | 144 | 148 | 152 | 156 | 160
EPELAXL | LEPEL | - | 129 | 133 | 137 | 141 | 145 | 149 | 153 | 157
EPELRAD | LEPEL | - | 130 | 134 | 138 | 142 | 146 | 150 | 154 | 158
EPELH | LEPEL | - | 131 | 135 | 139 | 143 | 147 | 151 | 155 | 159
EPELXH | LEPEL | - | 132 | 136 | 140 | 144 | 148 | 152 | 156 | 160
EPTHAXL | LEPTH | - | 129 | 133 | 137 | 141 | 145 | 149 | 153 | 157
EPTHRAD | LEPTH | - | 130 | 134 | 138 | 142 | 146 | 150 | 154 | 158
EPTHH | LEPTH | - | 131 | 135 | 139 | 143 | 147 | 151 | 155 | 159
S1 | NMISC | - | 161 | 166 | 171 | 176 | 181 | 186 | 191 | 196
S3 | NMISC | - | 163 | 168 | 173 | 178 | 183 | 188 | 193 | 198
SINT | NMISC | - | 164 | 169 | 174 | 179 | 184 | 189 | 194 | 199
SEQV | NMISC | - | 165 | 170 | 175 | 180 | 185 | 190 | 195 | 200
SBEND | NMISC | 276 | - | - | - | - | - | - | - | -
SSF | NMISC | 277 | - | - | - | - | - | - | - | -
MFORX | SMISC | 25 | - | - | - | - | - | - | - | -
MFORY | SMISC | 26 | - | - | - | - | - | - | - | -
MFORZ | SMISC | 27 | - | - | - | - | - | - | - | -
MMOMX | SMISC | 28 | - | - | - | - | - | - | - | -
MMOMY | SMISC | 29 | - | - | - | - | - | - | - | -
MMOMZ | SMISC | 30 | - | - | - | - | - | - | - | -
SDIR | SMISC | 47 | - | - | - | - | - | - | - | -
ST | SMISC | 48 | - | - | - | - | - | - | - | -

Table 17.10 PIPE17 Item and Sequence Numbers (Branch 3, Node L)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | Circumferential Location
 |  |  | 0° | 45° | 90° | 135° | 180° | 225° | 270° | 315°
SAXL | LS | - | 161 | 165 | 169 | 173 | 177 | 181 | 185 | 189
SRAD | LS | - | 162 | 166 | 170 | 174 | 178 | 182 | 186 | 190
SH | LS | - | 163 | 167 | 171 | 175 | 179 | 183 | 187 | 191
SXH | LS | - | 164 | 168 | 172 | 176 | 180 | 184 | 188 | 192
EPELAXL | LEPEL | - | 161 | 165 | 169 | 173 | 177 | 181 | 185 | 189
EPELRAD | LEPEL | - | 162 | 166 | 170 | 174 | 178 | 182 | 186 | 190
EPELH | LEPEL | - | 163 | 167 | 171 | 175 | 179 | 183 | 187 | 191
EPELXH | LEPEL | - | 164 | 168 | 172 | 176 | 180 | 184 | 188 | 192
EPTHAXL | LEPTH | - | 161 | 165 | 169 | 173 | 177 | 181 | 185 | 189
EPTHRAD | LEPTH | - | 162 | 166 | 170 | 174 | 178 | 182 | 186 | 190
EPTHH | LEPTH | - | 163 | 167 | 171 | 175 | 179 | 183 | 187 | 191
S1 | NMISC | - | 201 | 206 | 211 | 216 | 221 | 226 | 231 | 236
S3 | NMISC | - | 203 | 208 | 213 | 218 | 223 | 228 | 233 | 238
SINT | NMISC | - | 204 | 209 | 214 | 219 | 224 | 229 | 234 | 239
SEQV | NMISC | - | 205 | 210 | 215 | 220 | 225 | 230 | 235 | 240
SBEND | NMISC | 278 | - | - | - | - | - | - | - | -
SSF | NMISC | 279 | - | - | - | - | - | - | - | -
MFORX | SMISC | 31 | - | - | - | - | - | - | - | -
MFORY | SMISC | 32 | - | - | - | - | - | - | - | -
MFORZ | SMISC | 33 | - | - | - | - | - | - | - | -
MMOMX | SMISC | 34 | - | - | - | - | - | - | - | -
MMOMY | SMISC | 35 | - | - | - | - | - | - | - | -
MMOMZ | SMISC | 36 | - | - | - | - | - | - | - | -
SDIR | SMISC | 49 | - | - | - | - | - | - | - | -
ST | SMISC | 50 | - | - | - | - | - | - | - | -

Table 17.11 PIPE17 Item and Sequence Numbers (Branch 3)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | Circumferential Location
 |  |  | 0° | 90° | 180° | 270°
SFACTI | NMISC | 251 | - | - | - | -
SFACTJ | NMISC | 252 | - | - | - | -
SPR2 | NMISC | 253 | - | - | - | -
SMI | NMISC | 254 | - | - | - | -
SMJ | NMISC | 255 | - | - | - | -
S1MX | NMISC | 264 | - | - | - | -
S3MN | NMISC | 265 | - | - | - | -
SINTMX | NMISC | 266 | - | - | - | -
SEQVMX | NMISC | 267 | - | - | - | -
STH | SMISC | 51 | - | - | - | -
TOUT | LBFE | - | 20 | 17 | 18 | 19
TIN | LBFE | - | 24 | 21 | 22 | 23

Table 17.12 PIPE17 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
PINT | SMISC | 52
PX | SMISC | 53
PY | SMISC | 54
PZ | SMISC | 55
POUT | SMISC | 56

PIPE17 Assumptions and Restrictions

  • No branch can have a zero length or wall thickness (although branches may be deleted).

  • The OD must not be less than or equal to zero, the ID must not be less than zero, and the corrosion thickness allowance must be less than the wall thickness.

  • The element may be used for both thin and thick-walled situations; however, some of the stress calculations are based on thin-wall theory.

  • The branches are assumed to have "closed ends" so that the axial pressure effect is included.

  • There is no restriction on the angles of intersection of the branches.

  • Shear deflection capability is also included in the element formulation.

PIPE17 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The DAMP material property is not allowed.

  • The only special features allowed are stress stiffening and large deflections.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PIPE16 		Up / Home Next
PIPE18


PIPE18

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

PIPE18

Elastic Curved Pipe

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

PIPE18 Element Description

PIPE18, also known as an elbow element, is a circularly uniaxial element with tension, compression, torsion, and bending capabilities. The element has six degrees of freedom at each node: translations in the nodal x, y, and z directions and rotations about the nodal x, y, and z axes.

Options are available to include various flexibility and stress intensification factors in the formulation. The element can account for insulation, contained fluid, and a corrosion allowance. See PIPE18 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. See PIPE16 for a straight pipe element. See PIPE17 for a pipe tee element. See PIPE60 for a plastic curved pipe.

Figure 18.1 PIPE18 Geometry

PIPE18 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 18.1: "PIPE18 Geometry". The element input data include three nodes, the pipe outer diameter, wall thickness, radius of curvature, optional stress intensification and flexibility factors, internal fluid density, exterior insulation density and thickness, corrosion thickness allowance, and the isotropic material properties. The internal fluid and external insulation constants are used only to determine the added mass effects for these components.

Although the curved pipe element has only two endpoints (nodes I and J), the third node (K) is required to define the plane in which the element lies. This node must lie in the plane of the curved pipe and on the center-of-curvature side of line I-J. A node point belonging to another element (such as the other node of a connecting straight pipe element) may be used. Input and output locations around the pipe circumference identified as being at 0° are located along the element y-axis, and similarly 90° is along the element z-axis.

Only the lumped mass matrix is available.

The flexibility and stress intensification factors included in the element are calculated as follows:

ANSYS Flexibility Factor = 1.65/(h(1 + PrXk/tE)) or 1.0 (whichever is greater) (used if KEYOPT(3) = 0 or 1 and FLXI not input)

Karman Flexibility Factor = (10 + 12h2)/(1 + 12h2) (used if KEYOPT(3) = 2 and FLXI not input)

User Defined Flexibility Factors = FLXI (in-plane) and FLXO (out-of-plane) (may be input as any positive value)

FLXO defaults to FLXI for all cases.

Stress Intensification Factor = 0.9/h2/3 or 1.0 (whichever is greater) (used for SIFI or SIFJ if factor not input or if input less than 1.0 (must be positive))

where:

h = tR/r2
t = thickness
R = radius of curvature
r = average radius
E = modulus of elasticity
Xk = 6 (r/t)4/3 (R/r)1/3 if KEYOPT(3) = 1 and R/r [image] 1.7, otherwise Xk = 0
P = Pi - Po if Pi - Po > 0, otherwise P = 0, Pi = internal pressure, Po = external pressure

KEYOPT(3) = 1 should not be used if the included angle of the complete elbow is less than 360/(π(R/r))°.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 18.1: "PIPE18 Geometry". Internal pressure (PINT) and external pressure (POUT) are input as positive values. The internal and external pressure loads are designed for closed-loop static pressure environments and therefore include pressure loads on fictitious "end caps" so that the pressure loads induce an axial stress and/or reaction in the pipe system. If a dynamic situation needs to be represented, such as a pipe venting to a lower pressure area or the internal flow is past a constriction in the pipe, these end cap loads may need to be modified by applying a nodal force normal to the cross-section of the pipe with the magnitude representing the change in pressure. Alternatively, the precomputed end cap loads can be removed using KEYOPT(8) = 1 and the appropriate end cap loads added by the user. Note that when using KEYOPT(8) = 1, the pressure load will be acting on only the wall of the elbow element so that the total pressure load will not be self-equilibrating. The transverse pressures (PX, PY, and PZ) may represent wind or drag loads (per unit length of the pipe) and are defined in the global Cartesian directions. Positive transverse pressures act in the positive coordinate directions. Tapered pressures are not recognized. Only constant pressures are supported for this element. See the Theory Reference for ANSYS and ANSYS Workbench for details.

Temperatures may be input as element body loads at the nodes. Temperatures may have wall gradients or diametral gradients (KEYOPT(1)). The average wall temperature at θ = 0° is computed as 2 * TAVG - T(180) and the average wall temperature at θ = -90° is computed as 2 * TAVG - T(90). The element temperatures are assumed to be linear along the length. The first temperature at node I (TOUT(I) or TAVG(I)) defaults to TUNIF. If all temperatures after the first are unspecified, they default to the first. If all temperatures at node I are input, and all temperatures at node J are unspecified, the node J temperatures default to the corresponding node I temperatures. For any other pattern of input temperatures, unspecified temperatures default to TUNIF.

For piping analyses, the PIPE module of PREP7 may be used to generate the input for this element.

A summary of the element input is given below. A general description of element input is given in Element Input.

PIPE18 Input Summary

Nodes

I, J, K - where node K is in the plane of the elbow, on the center of curvature side of line I-J

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ

Real Constants
OD, TKWALL, RADCUR, SIFI, SIFJ, FLXI,
DENSFL, DENSIN, TKIN, TKCORR, (Blank), FLXO
See Table 18.1: "PIPE18 Real Constants" for a description of the real constants
Material Properties

EX, ALPX (or CTEX or THSX), PRXY (or NUXY), DENS, GXY, DAMP

Surface Loads
Pressures --

1-PINT, 2-PX, 3-PY, 4-PZ, 5-POUT

Body Loads
Temperatures --
TOUT(I), TIN(I), TOUT(J), TIN(J) if KEYOPT (1) = 0, or
TAVG(I), T90(I), T180(I), TAVG(J), T90(J), T180(J) if KEYOPT (1) = 1
Special Features
Large deflection
Birth and death
KEYOPT(1)

Temperatures represent:

0 --

The through-wall gradient

1 --

The diametral gradient

KEYOPT(3)

Flex factor (if FLEX is not specified):

0 --

Use ANSYS flexibility factor (without pressure term)

1 --

Use ANSYS flexibility factor (with pressure term)

2 --

Use KARMAN flexibility factor

KEYOPT(6)

Member force and moment output:

0 --

Do not print member forces or moments

2 --

Print member forces and moments in the element coordinate system

KEYOPT(8)

End cap loads:

0 --

Internal and external pressures cause loads on end caps

1 --

Internal and external pressures do not cause loads on end caps

Table 18.1 PIPE18 Real Constants

No. | Name | Description
1 | OD | Pipe outer diameter
2 | TKWALL | Wall thickness
3 | RADCUR | Radius of curvature
4 | SIFI | Stress intensification factor (node I)
5 | SIFJ | Stress intensification factor (node J)
6 | FLXI | Flexibility factor (in-plane)
7 | DENSFL | Internal fluid density
8 | DENSIN | Exterior insulation density
9 | TKIN | Insulation thickness
10 | TKCORR | Corrosion thickness allowance
11 | (Blank) | --
12 | FLXO | Flexibility factor (out-of-plane). FLXO defaults to FLXI in all cases.

PIPE18 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 18.2: "PIPE18 Element Output Definitions"

Several items are illustrated in Figure 18.2: "PIPE18 Stress Output".

The stresses are computed with the outer diameter of the pipe reduced by twice the corrosion thickness allowance. The direct stress includes the internal pressure (closed end) effect. Also printed for each end are the maximum and minimum principal stresses and the stress intensity. These quantities are computed at the outer surface and may not occur at the same location around the pipe circumference. Some of these stresses are shown in Figure 18.2: "PIPE18 Stress Output". The direct stress does not include the axial component of the transverse thermal stress. The principal stresses and the stress intensity include the shear force stress component. Angles listed in the output are measured (θ) as shown in Figure 18.2: "PIPE18 Stress Output". A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 18.2 PIPE18 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 18.2 PIPE18 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | - | Y
XC, YC, ZC | Location where results are reported | Y | 6
CORAL | Corrosion thickness allowance | 1 | 1
TEMP | TOUT(I), TIN(I), TOUT(J), TIN(J) | 2 | 2
TEMP | TAVG(I), T90(I), T180(I), TAVG(J), T90(J), T180(J) | 3 | 3
PRES | PINT, PX, PY, PZ, POUT | Y | Y
FFACT | Element flexibility factor | - | Y
MFOR(X, Y, Z) | Member forces for nodes I and J (in the element coordinate system) | 4 | Y
MMOM(X, Y, Z) | Member moments for nodes I and J (in the element coordinate system) | 4 | Y
SFACTI, SFACTJ | Stress intensification factors at nodes I and J | Y | Y
STH | Stress due to maximum thermal gradient through the wall thickness | Y | Y
SPR2 | Hoop pressure stress for code calculations | - | Y
SMI, SMJ | Moment stress at nodes I and J for code calculations | - | Y
SDIR | Direct (axial) stress | - | Y
SBEND | Maximum bending stress at outer surface | - | Y
ST | Shear stress at outer surface due to torsion | - | Y
SSF | Shear stress due to shear force | - | Y
S(1MX, 3MN,INTMX, EQVMX) | Maximum principal stress, minimum principal stress, maximum stress intensity, maximum equivalent stress (all at the outer surface) | Y | Y
S(1, 3, INT, EQV) | Maximum principal stress, minimum principal stress, stress intensity, equivalent stress | 5 | 5
S(AXL, RAD, H, XH) | Axial, radial, hoop, and shear stresses | 5 | 5
EPEL(AXL, RAD, H, XH) | Axial, radial, hoop, and shear strains | 5 | 5
EPTH(AXL, RAD, H) | Axial, radial, and hoop thermal strain | 5 | 5

  1. If the value is greater than 0.

  2. If KEYOPT(1) = 0

  3. If KEYOPT(1) = 1

  4. If KEYOPT(6) = 2

  5. The item repeats at 0°, 45°, 90°, 135°, 180°, 225°, 270°, 315° at node I, then at node J (all at the outer surface)

  6. Available only at centroid as a *GET item.

The following tables list output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 18.3: "PIPE18 Item and Sequence Numbers (Node I)" through Table 18.5: "PIPE18 Item and Sequence Numbers":

Name

output quantity as defined in the Table 18.2: "PIPE18 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J

sequence number for data at nodes I and J

Table 18.3 PIPE18 Item and Sequence Numbers (Node I)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | Circumferential Location
 |  |  | 0° | 45° | 90° | 135° | 180° | 225° | 270° | 315°
SAXL | LS | - | 1 | 5 | 9 | 13 | 17 | 21 | 25 | 29
SRAD | LS | - | 2 | 6 | 10 | 14 | 18 | 22 | 26 | 30
SH | LS | - | 3 | 7 | 11 | 15 | 19 | 23 | 27 | 31
SXH | LS | - | 4 | 8 | 12 | 16 | 20 | 24 | 28 | 32
EPELAXL | LEPEL | - | 1 | 5 | 9 | 13 | 17 | 21 | 25 | 29
EPELRAD | LEPEL | - | 2 | 6 | 10 | 14 | 18 | 22 | 26 | 30
EPELH | LEPEL | - | 3 | 7 | 11 | 15 | 19 | 23 | 27 | 31
EPELXH | LEPEL | - | 4 | 8 | 12 | 16 | 20 | 24 | 28 | 32
EPTHAXL | LEPTH | - | 1 | 5 | 9 | 13 | 17 | 21 | 25 | 29
EPTHRAD | LEPTH | - | 2 | 6 | 10 | 14 | 18 | 22 | 26 | 30
EPTHH | LEPTH | - | 3 | 7 | 11 | 15 | 19 | 23 | 27 | 31
S1 | NMISC | - | 1 | 6 | 11 | 16 | 21 | 26 | 31 | 36
S3 | NMISC | - | 3 | 8 | 13 | 18 | 23 | 28 | 33 | 38
SINT | NMISC | - | 4 | 9 | 14 | 19 | 24 | 29 | 34 | 39
SEQV | NMISC | - | 5 | 10 | 15 | 20 | 25 | 30 | 35 | 40
SBEND | NMISC | 91 | - | - | - | - | - | - | - | -
SSF | NMISC | 92 | - | - | - | - | - | - | - | -
MFORX | SMISC | 1 | - | - | - | - | - | - | - | -
MFORY | SMISC | 2 | - | - | - | - | - | - | - | -
MFORZ | SMISC | 3 | - | - | - | - | - | - | - | -
MMOMX | SMISC | 4 | - | - | - | - | - | - | - | -
MMOMY | SMISC | 5 | - | - | - | - | - | - | - | -
MMOMZ | SMISC | 6 | - | - | - | - | - | - | - | -
SDIR | SMISC | 13 | - | - | - | - | - | - | - | -
ST | SMISC | 14 | - | - | - | - | - | - | - | -
TOUT | LBFE | - | 4 | - | 1 | - | 2 | - | 3 | -
TIN | LBFE | - | 8 | - | 5 | - | 6 | - | 7 | -

Table 18.4 PIPE18 Item and Sequence Numbers (Node J)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | Circumferential Location
 |  |  | 0° | 45° | 90° | 135° | 180° | 225° | 270° | 315°
SAXL | LS | - | 33 | 37 | 41 | 45 | 49 | 53 | 57 | 61
SRAD | LS | - | 34 | 38 | 42 | 46 | 50 | 54 | 58 | 62
SH | LS | - | 35 | 39 | 43 | 47 | 51 | 55 | 59 | 63
SXH | LS | - | 36 | 40 | 44 | 48 | 52 | 56 | 60 | 64
EPELAXL | LEPEL | - | 33 | 37 | 41 | 45 | 49 | 53 | 57 | 61
EPELRAD | LEPEL | - | 34 | 38 | 42 | 46 | 50 | 54 | 58 | 62
EPELH | LEPEL | - | 35 | 39 | 43 | 47 | 51 | 55 | 59 | 63
EPELXH | LEPEL | - | 36 | 40 | 44 | 48 | 52 | 56 | 60 | 64
EPTHAXL | LEPTH | - | 33 | 37 | 41 | 45 | 49 | 53 | 57 | 61
EPTHRAD | LEPTH | - | 34 | 38 | 42 | 46 | 50 | 54 | 58 | 62
EPTHH | LEPTH | - | 35 | 39 | 43 | 47 | 51 | 55 | 59 | 63
S1 | NMISC | - | 41 | 46 | 51 | 56 | 61 | 66 | 71 | 76
S3 | NMISC | - | 43 | 48 | 53 | 58 | 63 | 68 | 73 | 78
SINT | NMISC | - | 44 | 49 | 54 | 59 | 64 | 69 | 74 | 79
SEQV | NMISC | - | 45 | 50 | 55 | 60 | 65 | 70 | 75 | 80
SBEND | NMISC | 93 | - | - | - | - | - | - | - | -
SSF | NMISC | 94 | - | - | - | - | - | - | - | -
MFORX | SMISC | 7 | - | - | - | - | - | - | - | -
MFORY | SMISC | 8 | - | - | - | - | - | - | - | -
MFORZ | SMISC | 9 | - | - | - | - | - | - | - | -
MMOMX | SMISC | 10 | - | - | - | - | - | - | - | -
MMOMY | SMISC | 11 | - | - | - | - | - | - | - | -
MMOMZ | SMISC | 12 | - | - | - | - | - | - | - | -
SDIR | SMISC | 15 | - | - | - | - | - | - | - | -
ST | SMISC | 16 | - | - | - | - | - | - | - | -
TOUT | LBFE | - | 12 | - | 9 | - | 10 | - | 11 | -
TIN | LBFE | - | 16 | - | 13 | - | 14 | - | 15 | -

Table 18.5 PIPE18 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
SFACTI | NMISC | 81
SFACTJ | NMISC | 82
SPR2 | NMISC | 83
SMI | NMISC | 84
SMJ | NMISC | 85
S1MX | NMISC | 86
S3MN | NMISC | 87
SINTMX | NMISC | 88
SEQVMX | NMISC | 89
FFACT | NMISC | 90
STH | SMISC | 17
PINT | SMISC | 18
PX | SMISC | 19
PY | SMISC | 20
PZ | SMISC | 21
POUT | SMISC | 22

PIPE18 Assumptions and Restrictions

  • The curved pipe must not have a zero length or wall thickness. In addition, the OD must not be less than or equal to zero and the ID must not be less than zero.

  • The corrosion allowance must be less than the wall thickness.

  • The element is limited to having an axis with a single curvature and a subtended angle of 0° < θ [image] 90°.

  • Shear deflection capability is also included in the element formulation.

  • The elbow is assumed to have "closed ends" so that the axial pressure effect is included.

  • When used in a large deflection analysis, the location of the third node (K) is used only to initially orient the element.

  • The element temperatures are assumed to be linear along the length. The average wall temperature at θ = 0° is computed as 2 * TAVG - T(180) and the average wall temperature at θ = -90° is computed as 2 * TAVG - T(90).

  • Stress intensification factors input with values less than 1.0 are set to 1.0.

  • The element formulation is based upon thin-walled theory. The elbow should have a large radius-to-thickness ratio since the integration points are assumed to be located at the midthickness of the wall.

  • Only the lumped mass matrix is available.

PIPE18 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The DAMP material property is not allowed.

  • The only special feature allowed is large deflection.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PIPE17 		Up / Home Next
PIPE20


PIPE20

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

PIPE20

Plastic Straight Thin-Walled Pipe

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

PIPE20 Element Description

PIPE20 is a uniaxial element with tension-compression, bending, and torsion capabilities. The element has six degrees of freedom at each node: translations in the nodal, x, y, and z directions, and rotations about the nodal x, y, and z axes.

The element has plastic, creep and swelling capabilities. If these effects are not needed, the elastic pipe element, PIPE16, may be used. An option is available for printing the forces and moments acting on the element in the element coordinate system. See PIPE20 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. See PIPE60 for a plastic curved pipe element.

Figure 20.1 PIPE20 Geometry

PIPE20 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 20.1: "PIPE20 Geometry". The element input data include two nodes, the pipe outer diameter and wall thickness, optional stress factors, and the isotropic material properties.

The element X-axis is oriented from node I toward node J. The element y-axis is automatically calculated to be parallel to the global X-Y plane. Several orientations are shown in Figure 20.1: "PIPE20 Geometry". For the case where the element is parallel to the global Z-axis (or within a 0.01 percent slope of it), the element Y-axis is oriented parallel to the global Y-axis (as shown). Input and output locations around the pipe circumference identified as being at 0° are located along the element Y-axis, and similarly 90° is along the element Z-axis.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 20.1: "PIPE20 Geometry". Internal pressure (PINT) and external pressure (POUT) are input as positive values. The internal and external pressure loads are designed for closed-loop static pressure environments and therefore include pressure loads on fictitious "end caps" so that the pressure loads induce an axial stress and/or reaction in the pipe system. If a dynamic situation needs to be represented, such as a pipe venting to a lower pressure area or the internal flow is past a constriction in the pipe, these end cap loads may need to be modified by applying a nodal force normal to the cross-section of the pipe with the magnitude representing the change in pressure. Alternatively, the precomputed end cap loads can be removed using KEYOPT(8) = 1 and the appropriate end cap loads added by the user. The transverse pressures (PX, PY, and PZ) may represent wind or drag loads (per unit length of the pipe) and are defined in the global Cartesian directions. Positive transverse pressures act in the positive coordinate directions. Tapered pressures are not recognized. Only constant pressures are supported for this element. See the Theory Reference for ANSYS and ANSYS Workbench for details.

Temperatures and fluences may be input as element body loads at the nodes. The first temperature (TAVG at node I) defaults to TUNIF. If all temperatures after the first are unspecified, they default to the first. If all temperatures at node I are input, and all temperatures at node J are unspecified, the node J temperatures default to the corresponding node I temperatures. For any other pattern of input temperatures, unspecified temperatures default to TUNIF. Similar defaults occurs for fluence except that zero is used instead of TUNIF.

A summary of the element input is given in "PIPE20 Input Summary". Element Input gives a general description of element input.

PIPE20 Input Summary

Nodes

I, J (node I defines end 1)

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ

Real Constants
OD - Pipe outer diameter
TKWALL - Wall thickness
SIFI - Stress intensification factor (used only if KEYOPT (2) = 4)
SIFJ - Stress intensification factor (used only if KEYOPT (2) = 4)
Material Properties

EX, ALPX (or CTEX or THSX), PRXY (or NUXY), DENS, GXY, DAMP

Surface Loads
Pressures --

1-PINT, 2-PX, 3-PY, 4-PZ, 5-POUT

Body Loads
Temperatures --

TAVG(I), T90(I), T180(I), TAVG(J), T90(J), T180(J)

Fluences --

FLAVG(I), FL90(I), FL180(I), FLAVG(J), FL90(J), FL180(J)

Special Features
Plasticity (BISO, MISO, BKIN, MKIN, KINH, DP, ANISO)
Creep (CREEP)
Swelling (SWELL)
Elasticity (MELAS)
Other material (USER)
Stress stiffening
Large deflection
Birth and death

Note

Items in parentheses refer to data tables associated with the TB command.

KEYOPT(2)

Stress intensity factor:

0 --

No stress intensification factors

4 --

Include stress intensification factors at nodes I and J as input with real constants

KEYOPT(6)

Member force and moment output:

0 --

Do not print member forces or moments

1 --

Print member forces and moments in the element coordinate system

KEYOPT(8)

End cap loads:

0 --

Internal and external pressures cause loads on end caps

1 --

Internal and external pressures do not cause loads on end caps

PIPE20 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 20.1: "PIPE20 Element Output Definitions"

The meaning of THETA is illustrated in Figure 20.2: "PIPE20 Stress Output". The nonlinear solution is given at eight circumferential locations at both ends of the pipe. The linear solution, similar to that for PIPE16, is also printed as long as the element remains elastic. The initial elastic bending stresses (SBEND) are multiplied by the input stress intensification factors (SIFI and SIFJ) for KEYOPT(2) = 4, provided they are greater than 1.0. No multiplication is done for any other stresses, or for plasticity. Solution Output gives a general description of solution output. See the Basic Analysis Guide for ways to view results.

Figure 20.2 PIPE20 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 20.1 PIPE20 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | - | Y
XC, YC, ZC | Location where results are reported | Y | 4
TEMP | Temperatures TAVG(I), T90(I), T180(I), TAVG(J), T90(J), T180(J) | Y | Y
FLUEN | Fluences FLAVG(I), FL90(I), FL180(I), FLAVG(J), FL90(J), FL180(J) | Y | Y
PRES | Pressures PINT, PX, PY, PZ, POUT | Y | Y
MFOR(X, Y, Z) | Member forces for nodes I and J (in the element coordinate system) | 1 | 1
MMOM(X, Y, Z) | Member moments for nodes I and J (in the element coordinate system) | 1 | 1
SDIR | Direct (axial) stress | - | 2
SBEND | Maximum bending stress at outer surface | - | 2
ST | Shear stress at outer surface due to torsion | - | 2
SSF | Shear stress due to shear force | - | 2
S1MX, S3MN | Maximum principal stress, minimum principal stress | 2 | 2
SINTMX, SEQVMX | Maximum stress intensity, maximum equivalent stress all at the outer surface (based on SDIR, SBEND, ST, SSF but also accounting for the values of S1, S3, SINT, SEQV given below) | 2 | 2
S(AXL, RAD, H, XH) | Axial, radial, hoop, and shear stresses | 3 | 3
S(1, 3, INT, EQV) | Maximum principal stress, minimum principal stress, stress intensity, equivalent stress | 3 | 3
EPEL(AXL, RAD, H, XH) | Axial, radial, hoop, and shear strains | 3 | 3
EPTH(AXL, RAD, H) | Axial, radial, and hoop thermal strain | 3 | 3
EPSWAXL | Axial swelling strain | 3 | 3
EPPL(AXL, RAD, H, XH) | Axial, radial, hoop, and shear plastic strains | 3 | 3
EPCR(AXL, RAD, H, XH) | Axial, radial, hoop, and shear creep strains | 3 | 3
SEPL | Equivalent stress from stress-strain curve | 3 | 3
SRAT | Ratio of trial stress to stress on yield surface | 3 | 3
HPRES | Hydrostatic pressure | - | 3
EPEQ | Equivalent plastic strain | 3 | 3

  1. If KEYOPT(6) = 1

  2. Initial elastic solution only before yield

  3. The item repeats for THETA = 0°, 45°, 90°, 135°, 180°, 225°, 270°, 315° at node I, then at node J, all at the mid-thickness of the wall

  4. Available only at centroid as a *GET item.

The following tables list output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) of the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 20.2: "PIPE20 Item and Sequence Numbers (Node I)" through Table 20.4: "PIPE20 Item and Sequence Numbers":

Name

output quantity as defined in the Table 20.1: "PIPE20 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J

sequence number for data at nodes I and J

Table 20.2 PIPE20 Item and Sequence Numbers (Node I)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | Circumferential Location
 |  |  | 0° | 45° | 90° | 135° | 180° | 225° | 270° | 315°
SAXL | LS | - | 1 | 5 | 9 | 13 | 17 | 21 | 25 | 29
SRAD | LS | - | 2 | 6 | 10 | 14 | 18 | 22 | 26 | 30
SH | LS | - | 3 | 7 | 11 | 15 | 19 | 23 | 27 | 31
SXH | LS | - | 4 | 8 | 12 | 16 | 20 | 24 | 28 | 32
EPELAXL | LEPEL | - | 1 | 5 | 9 | 13 | 17 | 21 | 25 | 29
EPELRAD | LEPEL | - | 2 | 6 | 10 | 14 | 18 | 22 | 26 | 30
EPELH | LEPEL | - | 3 | 7 | 11 | 15 | 19 | 23 | 27 | 31
EPELXH | LEPEL | - | 4 | 8 | 12 | 16 | 20 | 24 | 28 | 32
EPTHAXL | LEPTH | - | 1 | 6 | 11 | 16 | 21 | 26 | 31 | 36
EPTHRAD | LEPTH | - | 2 | 7 | 12 | 17 | 22 | 27 | 32 | 37
EPTHH | LEPTH | - | 3 | 8 | 13 | 18 | 23 | 28 | 33 | 38
EPSWAXL | LEPTH | - | 5 | 10 | 15 | 20 | 25 | 30 | 35 | 40
EPPLAXL | LEPPL | - | 1 | 5 | 9 | 13 | 17 | 21 | 25 | 29
EPPLRAD | LEPPL | - | 2 | 6 | 10 | 14 | 18 | 22 | 26 | 30
EPPLH | LEPPL | - | 3 | 7 | 11 | 15 | 19 | 23 | 27 | 31
EPPLXH | LEPPL | - | 4 | 8 | 12 | 16 | 20 | 24 | 28 | 32
EPCRAXL | LEPCR | - | 1 | 5 | 9 | 13 | 17 | 21 | 25 | 29
EPCRRAD | LEPCR | - | 2 | 6 | 10 | 14 | 18 | 22 | 26 | 30
EPCRH | LEPCR | - | 3 | 7 | 11 | 15 | 19 | 23 | 27 | 31
EPCRXH | LEPCR | - | 4 | 8 | 12 | 16 | 20 | 24 | 28 | 32
SEPL | NLIN | - | 1 | 5 | 9 | 13 | 17 | 21 | 25 | 29
SRAT | NLIN | - | 2 | 6 | 10 | 14 | 18 | 22 | 26 | 30
HPRES | NLIN | - | 3 | 7 | 11 | 15 | 19 | 23 | 27 | 31
EPEQ | NLIN | - | 4 | 8 | 12 | 16 | 20 | 24 | 28 | 32
S1 | NMISC | - | 1 | 6 | 11 | 16 | 21 | 26 | 31 | 36
S3 | NMISC | - | 3 | 8 | 13 | 18 | 23 | 28 | 33 | 38
SINT | NMISC | - | 4 | 9 | 14 | 19 | 24 | 29 | 34 | 39
SEQV | NMISC | - | 5 | 10 | 15 | 20 | 25 | 30 | 35 | 40
SBEND | NMISC | 81 | - | - | - | - | - | - | - | -
SSF | NMISC | 82 | - | - | - | - | - | - | - | -
S1MX | NMISC | 101 | - | - | - | - | - | - | - | -
S3MN | NMISC | 102 | - | - | - | - | - | - | - | -
SINTMX | NMISC | 103 | - | - | - | - | - | - | - | -
SEQVMX | NMISC | 104 | - | - | - | - | - | - | - | -
FOUT | NMISC | - | 88 | - | 85 | - | 86 | - | 87 | -
FIN | NMISC | - | 92 | - | 89 | - | 90 | - | 91 | -
TOUT | LBFE | - | 4 | - | 1 | - | 2 | - | 3 | -
TIN | LBFE | - | 8 | - | 5 | - | 6 | - | 7 | -
MFORX | SMISC | 1 | - | - | - | - | - | - | - | -
MFORY | SMISC | 2 | - | - | - | - | - | - | - | -
MFORZ | SMISC | 3 | - | - | - | - | - | - | - | -
MMOMX | SMISC | 4 | - | - | - | - | - | - | - | -
MMOMY | SMISC | 5 | - | - | - | - | - | - | - | -
MMOMZ | SMISC | 6 | - | - | - | - | - | - | - | -
SDIR | SMISC | 13 | - | - | - | - | - | - | - | -
ST | SMISC | 14 | - | - | - | - | - | - | - | -

Table 20.3 PIPE20 Item and Sequence Numbers (Node J)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | Circumferential Location
 |  |  | 0° | 45° | 90° | 135° | 180° | 225° | 270° | 315°
SAXL | LS | - | 33 | 37 | 41 | 45 | 49 | 53 | 57 | 61
SRAD | LS | - | 34 | 38 | 42 | 46 | 50 | 54 | 58 | 62
SH | LS | - | 35 | 39 | 43 | 47 | 51 | 55 | 59 | 63
SXH | LS | - | 36 | 40 | 44 | 48 | 52 | 56 | 60 | 64
EPELAXL | LEPEL | - | 33 | 37 | 41 | 45 | 49 | 53 | 57 | 61
EPELRAD | LEPEL | - | 34 | 38 | 42 | 46 | 50 | 54 | 58 | 62
EPELH | LEPEL | - | 35 | 39 | 43 | 47 | 51 | 55 | 59 | 63
EPELXH | LEPEL | - | 36 | 40 | 44 | 48 | 52 | 56 | 60 | 64
EPTHAXL | LEPTH | - | 41 | 46 | 51 | 56 | 61 | 66 | 71 | 76
EPTHRAD | LEPTH | - | 42 | 47 | 52 | 57 | 62 | 67 | 72 | 77
EPTHH | LEPTH | - | 43 | 48 | 53 | 58 | 63 | 68 | 73 | 78
EPSWAXL | LEPTH | - | 45 | 50 | 55 | 60 | 65 | 70 | 75 | 80
EPPLAXL | LEPPL | - | 33 | 37 | 41 | 45 | 49 | 53 | 57 | 61
EPPLRAD | LEPPL | - | 34 | 38 | 42 | 46 | 50 | 54 | 58 | 62
EPPLH | LEPPL | - | 35 | 39 | 43 | 47 | 51 | 55 | 59 | 63
EPPLXH | LEPPL | - | 36 | 40 | 44 | 48 | 52 | 56 | 60 | 64
EPCRAXL | LEPCR | - | 33 | 37 | 41 | 45 | 49 | 53 | 57 | 61
EPCRRAD | LEPCR | - | 34 | 38 | 42 | 46 | 50 | 54 | 58 | 62
EPCRH | LEPCR | - | 35 | 39 | 43 | 47 | 51 | 55 | 59 | 63
EPCRXH | LEPCR | - | 36 | 40 | 44 | 48 | 52 | 56 | 60 | 64
SEPL | NLIN | - | 33 | 37 | 41 | 45 | 49 | 53 | 57 | 61
SRAT | NLIN | - | 34 | 38 | 42 | 46 | 50 | 54 | 58 | 62
HPRES | NLIN | - | 35 | 39 | 43 | 47 | 51 | 55 | 59 | 63
EPEQ | NLIN | - | 36 | 40 | 44 | 48 | 52 | 56 | 60 | 64
S1 | NMISC | - | 41 | 46 | 51 | 56 | 61 | 66 | 71 | 76
S3 | NMISC | - | 43 | 48 | 53 | 58 | 63 | 68 | 73 | 78
SINT | NMISC | - | 44 | 49 | 54 | 59 | 64 | 69 | 74 | 79
SEQV | NMISC | - | 45 | 50 | 55 | 60 | 65 | 70 | 75 | 80
SBEND | NMISC | 83 | - | - | - | - | - | - | - | -
SSF | NMISC | 84 | - | - | - | - | - | - | - | -
S1MX | NMISC | 105 | - | - | - | - | - | - | - | -
S3MN | NMISC | 106 | - | - | - | - | - | - | - | -
SINTMX | NMISC | 107 | - | - | - | - | - | - | - | -
SEQVMX | NMISC | 108 | - | - | - | - | - | - | - | -
FOUT | NMISC | - | 96 | - | 93 | - | 94 | - | 95 | -
FIN | NMISC | - | 100 | - | 97 | - | 98 | - | 99 | -
TOUT | LBFE | - | 12 | - | 9 | - | 10 | - | 11 | -
TIN | LBFE | - | 16 | - | 13 | - | 14 | - | 15 | -
MFORX | SMISC | 7 | - | - | - | - | - | - | - | -
MFORY | SMISC | 8 | - | - | - | - | - | - | - | -
MFORZ | SMISC | 9 | - | - | - | - | - | - | - | -
MMOMX | SMISC | 10 | - | - | - | - | - | - | - | -
MMOMY | SMISC | 11 | - | - | - | - | - | - | - | -
MMOMZ | SMISC | 12 | - | - | - | - | - | - | - | -
SDIR | SMISC | 15 | - | - | - | - | - | - | - | -
ST | SMISC | 16 | - | - | - | - | - | - | - | -

Table 20.4 PIPE20 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
PINT | SMISC | 17
PX | SMISC | 18
PY | SMISC | 19
PZ | SMISC | 20
POUT | SMISC | 21

PIPE20 Assumptions and Restrictions

  • The pipe element is assumed to have "closed ends" so that the axial pressure effect is included.

  • The equations used in the development of this element are the standard equations for small deflection of beams, including shear deflections.

  • The element formulation is based upon thin-walled theory. The elbow should have a large radius-to-thickness ratio since the integration points are assumed to be located at the midthickness of the wall. If the ratio is less than 5.0 (OD/TKWALL = 10.0), an error message will be generated. If the ratio is less than 10.0 (OD/TKWALL = 20.0), a warning message will be generated.

  • The average wall temperature at θ = 0° is computed as 2 * TAVG - T(180) and the average wall temperature at θ = -90° is computed as 2 * TAVG - T(90).

  • The element temperatures are assumed to vary linearly along the length.

  • Stress intensification factors input with values less than 1.0 are set to 1.0.

PIPE20 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PIPE18 		Up / Home Next
MASS21


MASS21

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

MASS21

Structural Mass

MP ME ST PR PRN DS DSS <> <> <> <> PP VT

Product Restrictions

MASS21 Element Description

MASS21 is a point element having up to six degrees of freedom: translations in the nodal x, y, and z directions and rotations about the nodal x, y, and z axes. A different mass and rotary inertia may be assigned to each coordinate direction. See MASS21 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Another element with a full mass matrix capability (off-diagonal terms) is MATRIX27.

Figure 21.1 MASS21 Geometry

MASS21 Input Data

The mass element is defined by a single node, concentrated mass components (Force*Time2/Length) in the element coordinate directions, and rotary inertias (Force*Length*Time2) about the element coordinate axes. The element coordinate system may be initially parallel to the global Cartesian coordinate system or to the nodal coordinate system (KEYOPT(2)). The element coordinate system rotates with the nodal coordinate rotations during a large deflection analysis. Options are available to exclude the rotary inertia effects and to reduce the element to a 2-D capability (KEYOPT(3)). If the element requires only one mass input, it is assumed to act in all appropriate coordinate directions. The coordinate system for this element is shown in Figure 21.1: "MASS21 Geometry".

KEYOPT(1) = 1 defines the mass in volume*density form, which allows plotting of the mass using /ESHAPE, as well as the use of a temperature-dependent density.

A summary of the element input is given in "MASS21 Input Summary". Element Input gives a general description of element input.

MASS21 Input Summary

Nodes

I

Degrees of Freedom
UX, UY, UZ, ROTX, ROTY, ROTZ if KEYOPT (3) = 0
UX, UY, UZ if KEYOPT (3) = 2
UX, UY, ROTZ if KEYOPT (3) = 3
UX, UY if KEYOPT (3) = 4
(degrees of freedom are in the nodal coordinate system)
Real Constants
MASSX, MASSY, MASSZ, IXX, IYY, IZZ, if KEYOPT (3) = 0
MASS, if KEYOPT (3) = 2
MASS, IZZ, if KEYOPT (3) = 3
MASS, if KEYOPT (3) = 4
(MASSX, MASSY, and MASSZ are concentrated mass components in the element coordinate directions. IXX, IYY, and IZZ are rotary inertias about the element coordinate axes. See also KEYOPT(2)).
Material Properties

DENS (if KEYOPT(1) = 1)

Surface Loads

None

Body Loads

None

Special Features
Large deflection
Birth and death
KEYOPT(1)

Real constant interpretation (mass/volume or rotary inertia/density):

0 --

Interpret real constants as masses and rotary inertias

1 --

Interpret real constants as volumes and rotary inertias/density (Density must be input as a material property)

KEYOPT(2)

Initial element coordinate system:

0 --

Element coordinate system is initially parallel to the global Cartesian coordinate system

1 --

Element coordinate system is initially parallel to the nodal coordinate system

KEYOPT(3)

Rotary inertia options:

0 --

3-D mass with rotary inertia

2 --

3-D mass without rotary inertia

3 --

2-D mass with rotary inertia

4 --

2-D mass without rotary inertia

MASS21 Output Data

Nodal displacements are included in the overall displacement solution. There is no element solution output associated with the element unless element reaction forces and/or energies are requested.

MASS21 Assumptions and Restrictions

  • 2-D elements are assumed to be in a global Cartesian Z = constant plane.

  • The mass element has no effect on the static analysis solution unless acceleration or rotation is present, or inertial relief is selected [IRLF].

  • The standard mass summary printout is based on the average of MASSX, MASSY, and MASSZ if (KEYOPT(3) = 0).

  • In an inertial relief analysis, the full matrix is used. All terms are used during the analysis.

MASS21 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The only special feature allowed is large deflection.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PIPE20 		Up / Home Next
BEAM23


BEAM23

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

BEAM23

2-D Plastic Beam

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

BEAM23 Element Description

BEAM23 is a uniaxial element with tension-compression and bending capabilities. The element has three degrees of freedom at each node: translations in the nodal x and y direction and rotation about the nodal z-axis. See BEAM23 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

The element has plastic, creep, and swelling capabilities. If these effects are not needed, BEAM3, the 2-D elastic beam, may be used. See BEAM54 for a 2-D tapered elastic beam.

Figure 23.1 BEAM23 Geometry

BEAM23 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 23.1: "BEAM23 Geometry". Any one of four cross-sections may be selected with the appropriate value of KEYOPT(6). The element is defined by two nodes, the cross-sectional area, moment of inertia, the height for rectangular beams, the outer diameter (OD), and the wall thickness (TKWALL), for thin walled pipes, the outer diameter for solid circular bars, and the isotropic material properties.

The general cross-section option (KEYOPT(6) = 4) allows inputting a section height and a five-location area distribution. If the section is symmetric, only the first three of the five areas need be input since the fourth area defaults to the second and the fifth area defaults to the first. The areas input should be a weighted distribution at the -50% integration point A(-50), the -30% integration point A(-30), the 0% integration point A(0), the 30% integration point A(30), and the 50% integration point A(50). Each area A(i) is as shown in Figure 23.2: "BEAM23 Weighting Functions for General Section (KEYOPT(6) = 4)". The height is defined as the distance between the ± 50% integration points, and is not necessarily the distance between the outermost fibers of the section. Determination of the input areas is accomplished as follows. Estimate one of the input areas by the formula A(i) = L(i) x HEIGHT, where L(i) is the width of the section at integration point i (see Figure 23.2: "BEAM23 Weighting Functions for General Section (KEYOPT(6) = 4)". Substitute this area along with the section moment of inertia, Izz, and total area, A, into the above equations and solve them simultaneously for the remaining two input areas. A(0) is usually the easiest to estimate; for instance, as a first guess A(0) for an I-beam would be the web thickness times the height. A trial and error procedure (by modifying the estimated input area) may be needed if the calculated input areas are inconsistent, such as a negative area. The input areas, A(i), are related to the true areas, At(i), corresponding to each integration point, by:

At (-50) = 0.0625 A(-50), A t (50) = 0.0625 A(50),

At(-30) = 0.28935 A(-30), At (30) = 0.28935 A(30),

A t (0) = 0.29630 A(0)

Figure 23.2 BEAM23 Weighting Functions for General Section (KEYOPT(6) = 4)

Shear deflection may be controlled with the KEYOPT(2) value. The shear deflection constant (SHEARZ) is input only for the general cross-section. See Shear Deflection for details. The shear modulus (GXY) is used only with shear deflection.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 23.1: "BEAM23 Geometry". Positive normal pressures act into the element. Lateral pressures are input as a force per unit length. End "pressures" are input as a force. KEYOPT(10) allows tapered lateral pressures to be offset from the nodes. Temperatures and fluences may be input as element body loads at the four "corner" locations shown in Figure 23.1: "BEAM23 Geometry". The first corner temperature T1 defaults to TUNIF. If all other temperatures are unspecified, they default to T1. If only T1 and T2 are input, T3 defaults to T2 and T4 defaults to T1. For any other input pattern, unspecified temperatures default to TUNIF. Similar defaults occurs for fluence except that zero is used instead of TUNIF.

A summary of the element input is given in "BEAM23 Input Summary". Element Input gives a general description of element input.

BEAM23 Input Summary

Nodes

I, J

Degrees of Freedom

UX, UY, ROTZ

Real Constants

See Table 23.1: "BEAM23 Real Constants" for descriptions of the real constants.

Material Properties

EX, ALPX (or CTEX or THSX), DENS, GXY, DAMP

Surface Loads
Pressures --
face 1 (I-J) -Y normal direction
face 2 (I-J) +X tangential direction
face 3 (I) +X axial direction
face 4 (J) X axial direction (use negative value for loading in opposite direction)
Body Loads
Temperatures --

T1, T2, T3, T4

Fluences --

FL1, FL2, FL3, FL4

Special Features
Plasticity (BISO, MISO, BKIN, MKIN, KINH, DP, ANISO)
Creep (CREEP)
Swelling (SWELL)
Elasticity (MELAS)
Other material (USER)
Stress stiffening
Large deflection
Large strain
Birth and death

Note

Items in parentheses refer to data tables associated with the TB command.

KEYOPT(2)

Shear deflection:

0 --

No shear deflection

1 --

Include shear deflection (also input SHEARZ if KEYOPT(6) = 4)

KEYOPT(4)

Member force and moment output:

0 --

No printout of member forces and moments

1 --

Print out member forces and moments in the element coordinate system

KEYOPT(6)

Cross-section:

0 --

Rectangular section

1 --

Thin walled pipe

2 --

Round solid bar

4 --

General section

KEYOPT(10)

Load location, used in conjunction with the offset values input on the SFBEAM command):

0 --

Offset is in terms of length units

1 --

Offset is in terms of a length ratio (0.0 to 1.0)

Table 23.1 BEAM23 Real Constants

No. | Name | Description
Rectangular Section (KEYOPT(6) = 0)
1 | AREA | Cross-sectional area
2 | IZZ | Area moment of inertia
3 | HEIGHT | Section height
Thin Walled Pipe (KEYOPT(6) = 1)
1 | OD | Outer diameter
2 | WTHK | Wall thickness
Round Solid Bar (KEYOPT(6) = 2)
1 | OD | Outer diameter
General Section (KEYOPT(6) = 4)
1 | HEIGHT | Section height
2 | A(-50) | Area at given location (see Figure 23.2: "BEAM23 Weighting Functions for General Section (KEYOPT(6) = 4)")
3 | A(-30) | Area at given location
4 | A(0) | Area at given location
5 | A(30) | Area at given location
6 | A(50) | Area at given location
7 | SHEARZ | Shear deflection constant

BEAM23 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 23.2: "BEAM23 Element Output Explanations".

Several items are illustrated in Figure 23.2: "BEAM23 Weighting Functions for General Section (KEYOPT(6) = 4)".

The printout contains the stresses and strains at nine locations in the beam. The locations are at three points through the height of the element (bottom, middle, and top) at each of three axial stations (end I, midlength, and end J) (see Figure 23.3: "BEAM23 Printout Locations"). The post data items [ETABLE] contain the stresses and strains at the five weighted-area locations (regardless of the KEYOPT(6) setting) at each of the three axial stations. Solution Output gives a general description of solution output. See the Basic Analysis Guide for ways to view results.

Figure 23.3 BEAM23 Printout Locations

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 23.2 BEAM23 Element Output Explanations

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | - | Y
XC, YC | Location where results are reported | Y | 3
TEMP | Temperatures T1, T2, T3, T4 | Y | Y
FLUEN | Fluences FL1, FL2, FL3, FL4 | Y | Y
PRES | Pressures P1 at nodes I, J; OFFST1 at I, J; P2 at I, J; OFFST2 at I, J; P3 at I; P4 at J | Y | Y
S(MAX, MIN) | Maximum axial stress, minimum axial stress | - | Y
SAXL | Axial stress | 1 | 1
EPELAXL | Axial elastic strain | 1 | 1
EPTHAXL | Axial thermal strain | 1 | 1
EPSWAXL | Axial swelling strain | 1 | 1
EPCRAXL | Axial creep strain | 1 | 1
EPPLAXL | Axial plastic strain | 1 | 1
SEPL | Equivalent stress from stress-strain curve | 1 | 1
SRAT | Ratio of trial stress to stress on yield surface | 1 | 1
EPEQ | Equivalent plastic strain | 1 | 1
HPRES | Hydrostatic pressure | - | 1
MFOR(X, Y) | Member forces for each node in the element coordinate system | 2 | Y
MMOMZ | Member moments for each node in the element coordinate system | 2 | Y

  1. The item repeats at the top, middle, and bottom for end I, midlength, and end J

  2. If KEYOPT(4) = 1

  3. Available only at centroid as a *GET item.

The following tables list output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) of the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 23.3: "BEAM23 Item and Sequence Numbers (Node I)" through Table 23.5: "BEAM23 Item and Sequence Numbers (Node J)":

Name

output quantity as defined in the Table 23.2: "BEAM23 Element Output Explanations"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

-50, -30, 0, 30, 50

sequence number for data at weighted-area locations

Table 23.3 BEAM23 Item and Sequence Numbers (Node I)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | % Integration Point
 |  |  | -50 | -30 | 0 | 30 | 50
SAXL | LS | - | 1 | 2 | 3 | 4 | 5
EPELAXL | LEPEL | - | 1 | 2 | 3 | 4 | 5
EPTHAXL | LEPTH | - | 1 | 3 | 5 | 7 | 9
EPSWAXL | LEPTH | - | 2 | 4 | 6 | 8 | 10
EPPLAXL | LEPPL | - | 1 | 2 | 3 | 4 | 5
EPCRAXL | LEPCR | - | 1 | 2 | 3 | 4 | 5
SEPL | NLIN | - | 1 | 5 | 9 | 13 | 17
SRAT | NLIN | - | 2 | 6 | 10 | 14 | 18
HPRES | NLIN | - | 3 | 7 | 11 | 15 | 19
EPEQ | NLIN | - | 4 | 8 | 12 | 16 | 20
MFORX | SMISC | 1 | - | - | - | - | -
MFORY | SMISC | 2 | - | - | - | - | -
MMOMZ | SMISC | 6 | - | - | - | - | -
P1 | SMISC | 13 | - | - | - | - | -
P2 | SMISC | 17 | - | - | - | - | -
P3 | SMISC | 21 | - | - | - | - | -
SMAX | NMISC | 1 | - | - | - | - | -
SMIN | NMISC | 2 | - | - | - | - | -
Output Quantity Name | ETABLE and ESOL Command Input
 | Item | Corner Location
 |  |  | 1 | 2
FLUEN | NMISC | - | 7 | 8
TEMP | LBFE | - | 1 | 2

Table 23.4 BEAM23 Item and Sequence Numbers (Midlength)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | % Integration Point
 |  |  | -50 | -30 | 0 | 30 | 50
SAXL | LS | - | 6 | 7 | 8 | 9 | 10
EPELAXL | LEPEL | - | 6 | 7 | 8 | 9 | 10
EPTHAXL | LEPTH | - | 11 | 13 | 15 | 17 | 19
EPSWAXL | LEPTH | - | 12 | 14 | 16 | 18 | 20
EPPLAXL | LEPPL | - | 6 | 7 | 8 | 9 | 10
EPCRAXL | LEPCR | - | 6 | 7 | 8 | 9 | 10
SEPL | NLIN | - | 21 | 25 | 29 | 33 | 37
SRAT | NLIN | - | 22 | 26 | 30 | 34 | 38
HPRES | NLIN | - | 23 | 27 | 31 | 35 | 39
EPEQ | NLIN | - | 24 | 28 | 32 | 36 | 40
SMAX | NMISC | 3 | - | - | - | - | -
SMIN | NMISC | 4 | - | - | - | - | -

Table 23.5 BEAM23 Item and Sequence Numbers (Node J)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | % Integration Point
 |  |  | -50 | -30 | 0 | 30 | 50
SAXL | LS | - | 11 | 12 | 13 | 14 | 15
EPELAXL | LEPEL | - | 11 | 12 | 13 | 14 | 15
EPTHAXL | LEPTH | - | 21 | 23 | 25 | 27 | 29
EPSWAXL | LEPTH | - | 22 | 24 | 26 | 28 | 30
EPPLAXL | LEPPL | - | 11 | 12 | 13 | 14 | 15
EPCRAXL | LEPCR | - | 11 | 12 | 13 | 14 | 15
SEPL | NLIN | - | 41 | 45 | 49 | 53 | 57
SRAT | NLIN | - | 42 | 46 | 50 | 54 | 58
HPRES | NLIN | - | 43 | 47 | 51 | 55 | 59
EPEQ | NLIN | - | 44 | 48 | 52 | 56 | 60
MFORX | SMISC | 7 | - | - | - | - | -
MFORY | SMISC | 8 | - | - | - | - | -
MMOMZ | SMISC | 12 | - | - | - | - | -
P1 | SMISC | 14 | - | - | - | - | -
P2 | SMISC | 18 | - | - | - | - | -
P4 | SMISC | 22 | - | - | - | - | -
SMAX | NMISC | 5 | - | - | - | - | -
SMIN | NMISC | 6 | - | - | - | - | -
Output Quantity Name | ETABLE and ESOL Command Input
 | Item | Corner Location
 |  |  | 3 | 4
FLUEN | NMISC | - | 9 | 10
TEMP | LBFE | - | 3 | 4

BEAM23 Assumptions and Restrictions

  • The applied thermal gradient is assumed linear across the height of the element and along its length.

  • The beam element must lie in an X-Y plane and must not have a zero length or area.

  • The height is used in calculating the bending and thermal stresses and for locating the integration points.

  • For the rectangular section (KEYOPT(6) = 0), the input area, moment of inertia, and height should be consistent with each other.

  • The effect of implied offsets on the mass matrix (possible with KEYOPT(6) = 4) is ignored if the lumped mass matrix formulation is specified [LUMPM,ON].

BEAM23 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MASS21 		Up / Home Next
BEAM24


BEAM24

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

BEAM24

3-D Thin-walled Beam

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

BEAM24 Element Description

BEAM24 is a uniaxial element of arbitrary cross-section (open or closed) with tension-compression, bending and St. Venant torsional capabilities. Any open cross-section or single-celled closed section can be used. The element has six degrees of freedom at each node: translations in the nodal x, y, and z directions and rotations about the x, y, and z axes.

The element has plastic, creep, and swelling capabilities in the axial direction as well as a user-defined cross-section. If these capabilities are not needed, the elastic beams BEAM4 or BEAM44 may be used. Other beam elements also having plastic, creep, and swelling capabilities are PIPE20 and BEAM23. The element also has stress stiffening, large deflection and shear deflection capabilities. The cross-section is defined by a series of rectangular segments. The orientation of the beam about its longitudinal axis is specified by a third node. See BEAM24 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 24.1 BEAM24 Geometry

BEAM24 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 24.1: "BEAM24 Geometry". The element is defined by nodes I and J in the global coordinate system. Node K defines a plane (with I and J) containing the element z axis. The element x axis runs parallel to the centroidal line of the element and through nodes I and J. Node K is always required to define the element axis system and it must not be colinear with nodes I and J. If this element is used in large deflection analysis, the location of node K is used only to initially orient the element. (For information about orientation nodes and beam meshing, see Meshing Your Solid Model of the Modeling and Meshing Guide)

The cross-section is input as a continuous series of straight segments in the element y-z plane. The centroid and shear center locations of the beam, with respect to the origin, define the implied nodal offsets (unless KEYOPT(3) is used).

The element real constants are used to describe the cross-section of the beam. The input consists of the coordinates (y, z) of 20 segment points in the element y-z plane and the thickness of the corresponding segment (THK) in a (y, z, THK) format. Not all 20 points need to be used in defining the cross-section. The segments are input such that they make a continuous outline of the cross-section - the end point of one segment is the beginning point of the next segment. Segments may be given a zero thickness in order to backtrack over previously defined segments to continue the outline. The thickness in (y, z, THK) is the thickness of the segment that is defined by this point and the previous point. The thickness of the first point is therefore not used and should be zero.

BEAM24 Input Restrictions

  1. Zero thickness (backtrack) segments must follow the original geometry, i.e., they cannot enclose an area (see Figure 24.2: "Valid and invalid uses of BEAM24", sections a and b, where the dashed lines represent zero thickness segments).

  2. A zero thickness segment cannot be used anywhere in the outline of a closed loop (Figure 24.2: "Valid and invalid uses of BEAM24", section c).

  3. A straight zero thickness line need not have the same number of segments as the original straight line (Figure 24.2: "Valid and invalid uses of BEAM24", sections d, e).

  4. A single straight line cross-section is not permitted.

  5. Multiple-celled closed sections (such as a double box beam) are not allowed.

  6. Consecutive segment points must be a distance of at least 1.0E-8 units apart in either the y or z direction. Otherwise, the points are considered coincident.

    Figure 24.2 Valid and invalid uses of BEAM24

The user is urged to verify the cross-section input by the calculated cross-section parameters in the element output and the geometry shape display ([/ESHAPE,1] and [EPLOT]).

Real constants DXI and DXJ define the rigid nodal offsets, measured positive from the node in the element x direction, at end I and end J respectively. The remaining real constants, SHEARZ and SHEARY, are the shear deflection constants and are computed in the principal coordinate system. They are only used if shear deflection is to be included. A zero value of SHEAR_ may be used to neglect shear deflection in a particular direction. See Shear Deflection for details.

Forces are applied at the nodes (which also define the element x-axis). If the centroidal axis is not colinear with the element x-axis, applied axial forces will cause a bending of the element. If the axis through the shear center is not colinear with the element x-axis, applied shear forces will cause torsional rotation of the element. The nodes should therefore be located at the desired point of application of the forces.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 24.1: "BEAM24 Geometry". Positive normal pressures act into the element. Lateral pressures are input as a force per unit length. End "pressures" are input as a force. Temperatures and fluences may be input as element body loads at three locations at each end of the beam. At end I, the element temperatures are input (see Figure 24.1: "BEAM24 Geometry") at the element x-axis (T(0,0)), at one unit from the x-axis in the element y direction (T(1,0)), and at one unit from the x-axis in the element z direction (T(0,1)). A similar temperature occurs at end J. The fluences are input in the same manner at both ends of the beam. The first coordinate temperature T(0,0) defaults to TUNIF. If all temperatures after the first are unspecified, they default to the first. If all temperatures at node I are input, and all temperatures at node J are unspecified, the node J temperatures default to the corresponding node I temperatures. For any other input pattern, unspecified temperatures default to TUNIF. Similar defaults occurs for fluence except that zero is used instead of TUNIF.

KEYOPT(2) allows a reduced mass matrix formulation (lumping procedure deleting off-diagonal terms having rotational degrees of freedom terms). This option is normally used only for very long, thin members. KEYOPT(3) allows the nodes to be located at the centroid or shear center, regardless of the location of the y-z origin (the default node location).

A summary of the element input is given in "BEAM24 Input Summary". Element Input gives a general description of element input.

BEAM24 Input Summary

Nodes

I, J, K (node K defines orientation)

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ

Real Constants

See Table 24.1: "BEAM24 Real Constants" for details on these real constants.

Material Properties

EX, ALPX (or CTEX or THSX), DENS, GXY, DAMP

Surface Loads
Pressures --
face 1 (I-J) (-Z normal direction), face 2 (I-J) (-Y normal direction),
face 3 (I-J) (+X tangential direction), face 4 (I) (+X axial direction),
face 5 (J) (-X axial direction) (use negative value for opposite loading)
Body Loads
Temperatures --

T(0,0), T(1,0), T(0,1) at node I, same at node J

Fluences --

FL(0,0), FL(1,0), FL(0,1) at node I, same at node J

Special Features
Plasticity (BISO, MISO, BKIN, MKIN, KINH, DP, ANISO)
Creep (CREEP)
Swelling (SWELL)
Elasticity (MELAS)
Other material (USER)
Stress stiffening
Large deflection
Birth and death

Note

Items in parentheses refer to data tables associated with the TB command.

KEYOPT(1)

Additional cross-section output:

0 --

No printout of additional cross-section check data

1 --

Print additional cross-section check data

KEYOPT(2)

Mass matrix type:

0 --

Consistent

1 --

Reduced

KEYOPT(3)

Location of nodes:

0 --

Origin of element Y-Z axes at nodes

1 --

Centroid of element at nodes

2 --

Shear center of element at nodes

KEYOPT(6)

Member force and moment output:

0 --

No member force printout

1 --

Print member forces and moments in the principal coordinate system

KEYOPT(10)

Load location, used in conjunction with the offset values input on the SFBEAM command):

0 --

Offset is in terms of length units

1 --

Offset is in terms of a length ratio (0.0 to 1.0)

Note

SHEARZ and SHEARY correspond to the principal coordinate system. SHEARZ goes with IZP and SHEARY goes with IYP. If SHEARZ = 0.0, there is no shear deflection in the principal Y direction.

Table 24.1 BEAM24 Real Constants

No. | Name | Description
1 | Y1 | Y coordinate at defined segment point 1
2 | Z1 | Z coordinate at defined segment point 1
3 | THK1 | Thickness at defined segment point 1
4 | Y2 | Y coordinate at defined segment point 2
5 | Z2 | Z coordinate at defined segment point 2
6 | THK2 | Thickness at defined segment point 2
7, ... 60 | Y3, Z3, THK3, ... Y20, Z20, THK20 | Define input of Yn, Zn, and THKn for each segment point 3 through 20, as needed; these comprise the first RMORE command through the ninth RMORE command
61 | DXI | Rigid nodal offset (I-node); this starts the tenth RMORE command
62 | DXJ | Rigid nodal offset (J-node)
63 | SHEARZ | Shear deflection constant for Z
64 | SHEARY | Shear deflection constant for Y

BEAM24 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 24.2: "BEAM24 Element Output Definitions".

In addition, printout of the segment point locations and other cross-section data can be obtained with KEYOPT(1) = 1. The solution header (printed only once per element per run) consists of the calculated cross-sectional parameters: centroid and shear center location, area, torsional constant, warping moment of inertia, and the principal moments of inertia along with the angle (θp) between the element y-axis and one of the principal axes. The computed output consists of the axial stresses and strains at each segment point. A coincident segment point is not printed but is output for postprocessing. If KEYOPT(6) = 1, the 12-member forces and moments (6 at each end) are also printed in the principal coordinate system. Solution Output gives a general description of solution output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 24.2 BEAM24 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | - | Y
XC, YC, ZC | Location where results are reported | Y | 3
PRES | Pressures P1 at nodes I, J; P2 at I,J; P3 at I,J; P4 at I; P5 at J | Y | Y
TEMP | Temperatures T(0,0), T(1,0), T(0,1) at node I, same at node J | Y | Y
FLUEN | Fluences FL(0,0), FL(1,0), FL(0,1) at node I, same at node J | Y | Y
S(MAX, MIN) | Maximum axial stress, minimum axial stress | Y | Y
CENTROID | Centroid location (Y, Z) | Y | -
SHEAR CENTER | Shear center location (Y, Z) | Y | -
AREA | Cross-sectional area | Y | -
J | Torsional constant | Y | -
IW | Warping moment of inertia | Y | -
IYP | Moment of inertia about principal Y axis | Y | -
IZP | Moment of inertia about principal Z axis | Y | -
THETAP | Rotation angle (radians) from element Y-axis to principal Y-axis | Y | -
END | End I or end J | 1 | -
PT | Segment point number (1-20) | 1 | -
TEMP | Temperature | 1 | 1
SAXL | Axial stress | 1 | 1
EPELAXL | Axial elastic strain | 1 | 1
EPTHAXL | Axial thermal strain | 1 | 1
EPSWAXL | Axial swelling strain | 1 | 1
EPCRAXL | Axial creep strain | 1 | 1
EPPLAXL | Axial plastic strain | 1 | 1
SEPL | Equivalent stress from stress-strain curve | 1 | 1
SRAT | Ratio of trial stress to stress on yield surface | 1 | 1
EPEQ | Equivalent plastic strain | 1 | 1
HPRES | Hydrostatic pressure | - | 1
MFOR(X, Y, Z) | Member forces for each node in the principal coordinate system | 2 | Y
MMOM(X, Y, Z) | Member moments for each node in the principal coordinate system | 2 | Y

  1. The segment point solution value for the specified END and PT

  2. If KEYOPT(6) = 1

  3. Available only at centroid as a *GET item.

Table 24.3: "BEAM24 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) of the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 24.3: "BEAM24 Item and Sequence Numbers":

Name

output quantity as defined in the Table 24.2: "BEAM24 Element Output Definitions"

Item

predetermined Item label for ETABLE command

I,J

sequence number for data at nodes I and J

Table 24.3 BEAM24 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | J
SAXL | LS | i | 20+i
EPELAXL | LEPEL | i | 20+i
EPTHAXL | LEPTH | 2*i-1 | 40+(2*i-1)
EPSWAXL | LEPTH | 2*i | 40+(2*i)
EPPLAXL | LEPPL | i | 20+i
EPCRAXL | LEPCR | i | 20+i
SEPL | NLIN | 4*i-3 | 80+(4*i-3)
SRAT | NLIN | 4*i-2 | 80+(4*i-2)
HPRES | NLIN | 4*i-1 | 80+(4*i-1)
EPEQ | NLIN | 4*i | 80+(4*i)
MFORX | SMISC | 1 | 7
MFORY | SMISC | 2 | 8
MFORZ | SMISC | 3 | 9
MMOMX | SMISC | 4 | 10
MMOMY | SMISC | 5 | 11
MMOMZ | SMISC | 6 | 12
P1 | SMISC | 13 | 14
P2 | SMISC | 17 | 18
P3 | SMISC | 21 | 22
P4 | SMISC | 25 | -
P5 | SMISC | - | 26
SMAX | NMISC | 1 | 3
SMIN | NMISC | 2 | 4
FL(0,0) | NMISC | 5 | 8
FL(1,0) | NMISC | 6 | 9
FL(0,1) | NMISC | 7 | 10
T(0,0) | LBFE | 1 | 4
T(1,0) | LBFE | 2 | 5
T(0,1) | LBFE | 3 | 6

Note

The i in Table 24.3: "BEAM24 Item and Sequence Numbers" refers to a segment point of the beam where 1 [image] i [image] 20.

BEAM24 Assumptions and Restrictions

  • The beam must not have a zero length.

  • The beam can have any open or single-cell closed cross-sectional shape for which the area and moments of inertia are nonzero.

  • Warping torsion is assumed negligible and the warping moment of inertia is not used in the stiffness computation.

  • Nonlinear material effects are only included in the axial direction (shear and torsional nonlinear material effects are neglected).

  • The beam is assumed to be thin-walled (small strain) with a non-deforming cross-section. Warping of the cross-section is unconstrained and is the same for all cross-sections; therefore, the torsional rotation of the cross-section is assumed to vary linearly along the length. The effect of implied offsets on the mass matrix is ignored if the lumped mass matrix formulation is specified [LUMPM,ON].

BEAM24 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BEAM23 		Up / Home Next
PLANE25


PLANE25

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

PLANE25

Axisymmetric-Harmonic 4-Node Structural Solid

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

PLANE25 Element Description

PLANE25 is used for 2-D modeling of axisymmetric structures with nonaxisymmetric loading. Examples of such loading are bending, shear, or torsion. The element is defined by four nodes having three degrees of freedom per node: translations in the nodal x, y, and z direction. For unrotated nodal coordinates, these directions correspond to the radial, axial, and tangential directions, respectively.

The element is a generalization of the axisymmetric version of PLANE42, the 2-D structural solid element, in that the loading need not be axisymmetric. See Axisymmetric Elements with Nonaxisymmetric Loads for a description of various loading cases. See PLANE25 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. See PLANE83 for a multi-node version of this element.

Figure 25.1 PLANE25 Geometry

PLANE25 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 25.1: "PLANE25 Geometry". The element input data includes four nodes, the number of harmonic waves (MODE on the MODE command), the symmetry condition (ISYM on the MODE command) and the orthotropic material properties. If MODE = 0, the element behaves similar to the axisymmetric case of PLANE42. The MODE and ISYM parameters are discussed in detail in Axisymmetric Elements with Nonaxisymmetric Loads.

The material may be orthotropic, with directions corresponding to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. Harmonically varying nodal forces, if any, should be input on a full 360° basis.

Element loads are described in Node and Element Loads. Harmonically varying pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 25.1: "PLANE25 Geometry". Positive pressures act into the element.

Harmonically varying temperatures may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). For any other input pattern, unspecified temperatures default to TUNIF.

KEYOPT(2) is used to include or suppress the extra displacement shapes. KEYOPT(3) is used for temperature loading with MODE greater than zero and temperature dependent material properties. Material properties may only be evaluated at a constant (nonharmonically varying) temperature. If MODE equals zero, material properties are always evaluated at the average element temperature.

KEYOPT(4), (5), and (6) provide various element printout options (see Element Solution).

A summary of the element input is given in "PLANE25 Input Summary". Element Input gives a general description of element input.

PLANE25 Input Summary

Nodes

I, J, K, L

Degrees of Freedom

UX, UY, UZ

Real Constants

None

Material Properties
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ),
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ), DENS, GXY, GYZ, GXZ, DAMP
Surface Loads
Pressures --

face 1 (J-I), face 2 (K-J), face 3 (L-K), face 4 (I-L)

Body Loads
Temperatures --

T(I), T(J), T(K), T(L)

Mode Number --

Input mode number on MODE command

Loading Condition --

Input this value for ISYM on MODE command

1 --

Symmetric loading

-1 --

Antisymmetric loading

Special Features
Stress stiffening
Birth and death
KEYOPT(1)

Element coordinate system:

0 --

Element coordinate system is parallel to the global coordinate system

1 --

Element coordinate system is based on the element I-J side.

KEYOPT(2)

Extra displacement shapes:

0 --

Include extra displacement shapes

1 --

Suppress extra displacement shapes

KEYOPT(3)

If MODE is greater than zero, use temperatures for:

0 --

Use temperatures only for thermal bending (evaluate material properties at TREF)

1 --

Use temperatures only for material property evaluation (thermal strains are not computed)

KEYOPT(4)

Extra stress output:

0 --

Basic element solution

1 --

Repeat basic solution for all integration points

2 --

Nodal Stress Solution

KEYOPT(5)

Combined stress output:

0 --

No combined stress solution

1 --

Combined stress solution at centroid and nodes

KEYOPT(6)

Include extra surface output (surface solution valid only for isotropic materials):

0 --

Basic element solution

1 --

Surface solution for face I-J also

2 --

Surface solution for both faces I-J and K-L also

PLANE25 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 25.1: "PLANE25 Element Output Definitions".

Several items are illustrated in Figure 25.2: "PLANE25 Stress Output".

In the displacement printout, the UZ component is out-of-phase with the UX and UY components. For example, in the MODE = 1, ISYM = 1 loading case, UX and UY are the peak values at θ = 0° and UZ is the peak value at θ = 90°. The same occurs for the reaction forces (FX, FY, etc.). The element stress directions are parallel to the element coordinate system. We recommend that you always use the angle field on the SET command when postprocessing the results. For more information about harmonic elements, see Axisymmetric Elements with Nonaxisymmetric Loads

The sign convention on the surface shears is such that for a rectangular element that is lined up parallel to the axes with node J in the positive Y direction from node I, the shear stresses on surfaces I-J and K-L are analogous to the centroidal SYZ in both definition and sign. Stress components which are inherently zero for a load case are printed for clarity. Solution Output gives a general description of solution output. See the Basic Analysis Guide for ways to view results.

Figure 25.2 PLANE25 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 25.1 PLANE25 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L | Y | Y
MAT | Material number | Y | Y
ISYM | Loading key: 1 = symmetric, -1 = antisymmetric | Y | -
MODE | Number of waves in loading | Y | -
VOLU: | Volume | Y | Y
PRES | Pressure P1 at nodes J,I; P2 at K,J; P3 at L,K; P4 at I,L | Y | Y
TEMP | Temperatures T(I), T(J), T(K), T(L) | Y | Y
PK ANG | Angle where component stresses have peak values: 0 and 90/MODE degrees. Blank if MODE = 0. | Y | Y
XC, YC | Location where results are reported | Y | 3
S:X, Y, Z | Direct stresses (radial, axial, hoop) at PK ANG locations | Y | Y
S:XY, YZ, XZ | Shear stresses (radial-axial, axial-hoop, radial-hoop) at PK ANG locations | Y | Y
S:1, 2, 3 | Principal stresses at both PK ANG locations as well as where extreme occurs (EXTR); if MODE = 0, only one location is given. | 1 | 1
S:INT | Stress intensity at both PK ANG locations as well as where extreme occurs (EXTR); if MODE = 0, only one location is given. | 1 | 1
S:EQV | Equivalent stress at both PK ANG locations as well as where extreme occurs (EXTR); if MODE = 0, only one location is given. | 1 | 1
EPEL:X, Y, Z, XY | Elastic strain | Y | Y
EPEL:EQV | Equivalent elastic strain [4] | - | Y
EPTH:X, Y, Z, XY | Average thermal strains | 1 | 1
EPTH:EQV | Equivalent thermal strain [4] | - | 1
FACE | Face label | 2 | 2
TEMP | Surface average temperature | 2 | 2
EPEL(PAR, PER, Z, SH) | Surface strains (parallel, perpendicular, hoop, shear) at PK ANG locations and where extreme occurs (EXTR) | 2 | 2
S(PAR, PER, Z, SH) | Surface stresses (parallel, perpendicular, hoop, shear) at PK ANG locations and where extreme occurs (EXTR) | 2 | 2

  1. These items are output only if KEYOPT(5) = 1.

  2. These items are printed only if KEYOPT(6) is greater than zero.

  3. Available only at centroid as a *GET item.

  4. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY).

Table 25.2: "PLANE25 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) of the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 25.2: "PLANE25 Item and Sequence Numbers":

Name

output quantity as defined in the Table 25.1: "PLANE25 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J,K,L

sequence number for data at nodes I,J,K,L

Table 25.2 PLANE25 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | J | K | L
P1 | SMISC | 2 | 1 | - | -
P2 | SMISC | - | 4 | 3 | -
P3 | SMISC | - | - | 6 | 5
P4 | SMISC | 7 | - | - | 8
THETA = 0
S1 | NMISC | 1 | 16 | 31 | 46
S2 | NMISC | 2 | 17 | 32 | 47
S3 | NMISC | 3 | 18 | 33 | 48
SINT | NMISC | 4 | 19 | 34 | 49
SEQV | NMISC | 5 | 20 | 35 | 50
THETA = 90/MODE
S1 | NMISC | 6 | 21 | 36 | 51
S2 | NMISC | 7 | 22 | 37 | 52
S3 | NMISC | 8 | 23 | 38 | 53
SINT | NMISC | 9 | 24 | 39 | 54
SEQV | NMISC | 10 | 25 | 40 | 55
EXTR Values
S1 | NMISC | 11 | 26 | 41 | 56
S2 | NMISC | 12 | 27 | 42 | 57
S3 | NMISC | 13 | 28 | 43 | 58
SINT | NMISC | 14 | 29 | 44 | 59
SEQV | NMISC | 15 | 30 | 45 | 60

Note

The NMISC items (1 thru 60) in the above table represent the combined stress solution, KEYOPT(5) = 1. If MODE = 0, their values are zero at THETA = 90/MODE and at EXTR.

See Surface Solution of this manual for the item and sequence numbers for surface output for the ETABLE command.

PLANE25 Assumptions and Restrictions

  • The area of the element must be positive.

  • The element must be defined in the global X-Y plane as shown in Figure 25.1: "PLANE25 Geometry" and the global X-axis must be the radial direction. Negative X coordinates should not be used.

  • The element assumes a linear elastic material. Post-analysis superposition of results is valid only with other linear elastic solutions. The element should not be used with the large deflection option.

  • A triangular element may be formed by defining duplicate K and L node numbers (see Triangle, Prism and Tetrahedral Elements). The extra shapes are automatically deleted for triangular elements so that a constant strain element results.

  • Surface stress printout is valid only if the conditions described in Element Solution are met.

  • You can use only axisymmetric (MODE,0) loads without significant torsional stresses to generate the stress state used for stress stiffened modal analyses using this element.

  • Modeling hints: If shear effects are important in a shell-like structure, you should use at least two elements through the thickness.

PLANE25 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BEAM24 		Up / Home Next
MATRIX27


MATRIX27

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

MATRIX27

Stiffness, Damping, or Mass Matrix

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

MATRIX27 Element Description

MATRIX27 represents an arbitrary element whose geometry is undefined but whose elastic kinematic response can be specified by stiffness, damping, or mass coefficients in matrix form. The matrix is assumed to relate two nodes, each with six degrees of freedom per node: translations in the nodal x, y, and z directions and rotations about the nodal x, y, and z axes. See MATRIX27 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. Other similar, but less general, elements are the spring-damper element (COMBIN14), and the mass element (MASS21).

Figure 27.1 MATRIX27 Schematic

MATRIX27 Input Data

The node locations and the coordinate system for this element are shown in Figure 27.1: "MATRIX27 Schematic". The element is defined by two nodes and the matrix coefficients. The stiffness, damping, or mass matrix constants are input as real constants. The units of the stiffness constants are Force/Length or Force*Length/Radian and the damping constants, Force*Time/Length and Force*Length*Time/Radian. The mass constants should have units of Force*Time2/Length or Force*Time2*Length/Radian.

All matrices generated by this element are 12 by 12. The degrees of freedom are ordered as UX, UY, UZ, ROTX, ROTY, ROTZ for node I followed by the same for node J. If one node is not used, simply let all rows and columns relating to that node default to zero.

A structural matrix that combines the effects of many elements is normally positive or zero definite, as are the element matrices that contribute to it. There may be unusual circumstances where an element matrix is negative definite, and this is okay if there are other matrices connected to the same nodes that are positive definite, resulting in a final system of equations is still positive or zero definite. A simple example of such a circumstance is a beam element loaded with half of the buckling load. The stress stiffness matrix is negative definite, but the combined regular and stress stiffness matrix is positive definite.

When using MATRIX27 with symmetric element matrices (KEYOPT(2) = 0), positive or zero definite matrices should be input using KEYOPT(1) = 0, the default. If it is desired to input a negative definite element matrix, the user should set KEYOPT(1) = 1 so that the negative definite checking will be bypassed. However, when using an unsymmetric or skew-symmetric element matrix, (KEYOPT(2) = 2 or 3), there are no limits on the form of the matrix, as the unsymmetric solvers are designed to solve any system of equations, as long as it is not singular.

The matrix constants should be input according to the matrix diagrams shown in "MATRIX27 Output Data". For example, if a simple spring of stiffness K in the nodal x direction is desired, the input constants would be C1 = C58 = K and C7 = -K for KEYOPT(2) = 0 and KEYOPT(3) = 4.

A summary of the element input is given in "MATRIX27 Input Summary". Element Input gives a general description of element input.

MATRIX27 Input Summary

Nodes

I, J

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ

Real Constants
C1, C2, ... C78 - Define the upper triangular portion of the symmetric matrix (if KEYOPT(2) = 0)
C1, C2, ... C144 - Define all terms of the unsymmetric matrix (if KEYOPT(2) = 2)
C1, C2, ... C66 - Define upper triangular portion (less diagonal terms) if skew symmetric (KEYOPT(2) = 3)
Material Properties

DAMP

Surface Loads

None

Body Loads

None

Special Features

Birth and death

KEYOPT(1)

Matrix form (only works with KEYOPT(2) = 0):

0 --

Input positive or zero definite matrices only

1 --

Input positive, zero, or negative definite matrices

KEYOPT(2)

Matrix formulation:

0 --

Symmetric matrices (78 constants required)

2 --

Unsymmetric matrices(144 constants required)

3 --

Skew symmetric matrices (66 constants required)

KEYOPT(3)

Real constant input data:

2 --

Defines a 12 x 12 mass matrix

4 --

Defines a 12 x 12 stiffness matrix

5 --

Defines a 12 x 12 damping matrix

KEYOPT(4)

Element matrix output:

0 --

Do not print element matrix

1 --

Print element matrix at beginning of solution phase

MATRIX27 Output Data

The solution output associated with the element consists of node displacements included in the overall nodal solution. There is no element solution output associated with the element unless element reaction forces and/or energies are requested. KEYOPT(4) = 1 causes the element matrix to be printed (for the first substep of the first load step only). Solution Output gives a general description of solution output.

For KEYOPT(2) = 0, the symmetric matrix has the form:

For KEYOPT(2) = 2, the unsymmetric matrix has the form:

For KEYOPT(2) = 3, the skew symmetric matrix has the form:

MATRIX27 Assumptions and Restrictions

  • Nodes may be coincident or noncoincident.

  • Since element matrices should normally not be negative definite, a note is printed for those cases where this can be easily detected.

  • With a lumped mass matrix [LUMPM,ON] all off-diagonal terms must be zero.

  • The matrix terms are associated with the nodal degrees of freedom and are assumed to act in the nodal coordinate directions (see Elements that Operate in the Nodal Coordinate System).

MATRIX27 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • Damping and unsymmetric matrices are not allowed.

  • Real constants C79 through C144, for unsymmetric matrices, are not applicable.

  • The birth and death special feature is not allowed.

  • KEYOPT(2) can only be set to 0 (default). KEYOPT(3) = 5 is not allowed.

  • The DAMP material property is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLANE25 		Up / Home Next
SHELL28


SHELL28

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SHELL28

Shear/Twist Panel

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

SHELL28 Element Description

SHELL28 is used to carry shear load in a frame structure. The element has three degrees of freedom at each node: translations in the nodal x, y, and z directions, or rotations about the nodal x, y, and z axes. See SHELL28 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 28.1 SHELL28 Geometry

SHELL28 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 28.1: "SHELL28 Geometry". The element is defined by four nodes, a thickness, and material properties. The only material properties actually used are GXY and DENS. GXY may be entered directly or calculated from EX and either NUXY or PRXY. Also, EX must be input, whether or not GXY is entered. The element coordinate system orientation is as described in Coordinate Systems. Real constant SULT is the ultimate shear stress used for the margin of safety calculation. ADMSUA is the added mass per unit area. KEYOPT(1) is used to select whether the element should be used as a shear panel or as a twist panel. Only the lumped mass matrix is available.

Element loads are described in Node and Element Loads. Temperatures may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). For any other input pattern, unspecified temperatures default to TUNIF. Temperatures are used only for material property evaluation.

A summary of the element input is given in "SHELL28 Input Summary". Element Input gives a general description of element input.

SHELL28 Input Summary

Nodes

I, J, K, L

Degrees of Freedom
UX, UY, UZ if KEYOPT(1) = 0
ROTX, ROTY, ROTZ if KEYOPT(1) = 1
Real Constants
THCK - Panel thickness
SULT - Ultimate shear stress
ADMSUA - Added mass/unit area
Material Properties

EX, PRXY (or NUXY), GXY, DENS, DAMP

Surface Loads

None

Body Loads
Temperatures --

T(I), T(J), T(K), T(L)

Special Features

Stress stiffening

KEYOPT(1)

Element behavior:

0 --

Shear panel

1 --

Twist panel

SHELL28 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 28.1: "SHELL28 Element Output Definitions"

Several items are illustrated in Figure 28.2: "SHELL28 Stress Output". Solution Output gives a general description of solution output. See the Basic Analysis Guide for ways to view results.

Figure 28.2 SHELL28 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 28.1 SHELL28 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
SXY | Average of four corner shear stresses | Y | Y
XC, YC, ZC | Location where results are reported | Y | 3
TEMP | Temperatures T(I), T(J), T(K), T(L) | Y | Y
SXY(I,J,K,L) | Shear stresses at corner nodes | Y | Y
SXY(MAX) | Maximum of four corner shear stresses | Y | Y
SMARGN | Margin of safety on shear | Y | Y
FDIK, FDJL | Forces along diagonals I-K and J-L | 1 | 1
FLI, FJI | Forces at node I from node L and node J | 1 | 1
FIJ, FKJ | Forces at node J from node I and node K | 1 | 1
FJK, FLK | Forces at node K from node J and node L | 1 | 1
FKL, FIL | Forces at node L from node K and node I | 1 | 1
SFLIJ | Shear flow on edge I - J | 1 | 1
SFLJK | Shear flow on edge J - K | 1 | 1
SFLKL | Shear flow on edge K - L | 1 | 1
SFLLI | Shear flow on edge L - I | 1 | 1
FZI | Z - Force at node I | 1 | 1
FZJ | Z - Force at node J | 1 | 1
FZK | Z - Force at node K | 1 | 1
FZL | Z - Force at node L | 1 | 1
MDIK, MDJL | Moments about diagonals I-K and J-L | 2 | 2

  1. The values are output only if KEYOPT(1) = 0

  2. The values are output in place of FDIK and FDJL only if KEYOPT(1) = 1

  3. Available only at centroid as a *GET item.

Table 28.2: "SHELL28 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 28.2: "SHELL28 Item and Sequence Numbers":

Name

output quantity as defined in the Table 28.1: "SHELL28 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 28.2 SHELL28 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
FDIK (MDIK) | SMISC | 1
FDJL (MDJL) | SMISC | 2
FLI | SMISC | 3
FJI | SMISC | 4
FIJ | SMISC | 5
FKJ | SMISC | 6
FJK | SMISC | 7
FLK | SMISC | 8
FKL | SMISC | 9
FIL | SMISC | 10
FZI | SMISC | 11
FZJ | SMISC | 12
FZK | SMISC | 13
FZL | SMISC | 14
SXY | SMISC | 15
SXYI | SMISC | 16
SXYJ | SMISC | 17
SXYK | SMISC | 18
SXYL | SMISC | 19
SXYMAX | SMISC | 20
SMARGN | SMISC | 21
SFLIJ | SMISC | 22
SFLJK | SMISC | 23
SFLKL | SMISC | 24
SFLLI | SMISC | 25

SHELL28 Assumptions and Restrictions

  • Zero area elements are not allowed. This condition occurs most often when the elements are numbered improperly.

  • This element is most often used with a latticework of beam or spar elements. If this element is used alone it is almost always unstable, because it carries only shear (and not tension or compression) loading.

  • This element is not recommended for general use. Its use should be restricted to applications which have historically used such an element. For all other applications, you should use other shell elements such as SHELL41, SHELL43, SHELL63, SHELL181, and SHELL281, which automatically combine tension, compression, bending, shear, and twisting effects.

  • This element is based on the premise of having only shear, but no normal stress along the edges. Since this is possible only for rectangles, you can expect the accuracy of the element to degrade if nonrectangular shapes are used.

SHELL28 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The DAMP material property is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MATRIX27 		Up / Home Next
FLUID29


FLUID29

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

FLUID29

2-D Axisymmetric Harmonic Acoustic Fluid

MP ME <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

FLUID29 Element Description

FLUID29 is used for modeling the fluid medium and the interface in fluid/structure interaction problems. Typical applications include sound wave propagation and submerged structure dynamics. The governing equation for acoustics, namely the 2-D wave equation, has been discretized taking into account the coupling of acoustic pressure and structural motion at the interface. The element has four corner nodes with three degrees of freedom per node: translations in the nodal x and y directions and pressure. The translations, however, are applicable only at nodes that are on the interface. Acceleration effects, such as in sloshing problems, may be included.

The element has the capability to include damping of sound absorbing material at the interface. The element can be used with other 2-D structural elements to perform unsymmetric or damped modal, full harmonic response and full transient method analyses (see the description of the TRNOPT command). When there is no structural motion, the element is also applicable to static, modal and reduced harmonic response analyses. See FLUID29 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 29.1 FLUID29 Geometry

FLUID29 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 29.1: "FLUID29 Geometry". The element is defined by four nodes, the number of harmonic waves (MODE on the MODE command), the symmetry condition (ISYM on the MODE command), a reference pressure, and the isotropic material properties. The MODE and ISYM parameters are discussed in detail in Axisymmetric Elements with Nonaxisymmetric Loads. The reference pressure (PREF) is used to calculate the element sound pressure level (defaults to 20x10-6 N/m2). The speed of sound ( [image]) in the fluid is input by SONC where k is the bulk modulus of the fluid (Force/Area) and ρo is the mean fluid density (Mass/Volume) (input as DENS). The dissipative effect due to fluid viscosity is neglected, but absorption of sound at the interface is accounted for by generating a damping matrix using the surface area and boundary admittance at the interface. Experimentally measured values of the boundary admittance for the sound absorbing material may be input as material property MU. We recommend MU values from 0.0 to 1.0; however, values greater than 1.0 are allowed. MU = 0.0 represents no sound absorption and MU = 1.0 represents full sound absorption. DENS, SONC and MU are evaluated at the average of the nodal temperatures.

Nodal flow rates, if any, may be specified using the F command where both the real and imaginary components may be applied. Nodal flow rates should be input per unit of depth for a plane analysis and on a 360° basis for an axisymmetric analysis.

Element loads are described in Node and Element Loads. Fluid-structure interfaces (FSI) may be flagged by surface loads at the element faces as shown by the circled numbers on Figure 29.1: "FLUID29 Geometry". Specifying the FSI label (without a value) [SF, SFA, SFE] will couple the structural motion and fluid pressure at the interface. Deleting the FSI specification [SFDELE, SFADELE, SFEDELE] removes the flag. The flag specification should be on the fluid elements at the interface. See Acoustics in the Coupled-Field Analysis Guide for more information on the use of the fluid-structure interaction flag. The surface load label IMPD with a value of unity should be used to include damping that may be present at a structural boundary with a sound absorption lining. A zero value of IMPD removes the damping calculation. The displacement degrees of freedom (UX and UY) at the element nodes not on the interface should be set to zero to avoid zero-pivot warning messages.

Temperatures may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). For any other input pattern, unspecified temperatures default to TUNIF.

KEYOPT(2) is used to specify the absence of a structure at the interface and, therefore, the absence of coupling between the fluid and structure. Since the absence of coupling produces symmetric element matrices, a symmetric eigensolver [MODOPT] may be used within the modal analysis. However, for the coupled (unsymmetric) problem, a corresponding unsymmetric eigensolver [MODOPT] must be used.

Vertical acceleration (ACELY on the ACEL command) is needed for the gravity regardless of the value of MODE, even for a modal analysis.

A summary of the element input is given in "FLUID29 Input Summary". A general description of element input is given in Element Input. For axisymmetric applications see Axisymmetric Elements.

FLUID29 Input Summary

Nodes

I, J, K, L

Degrees of Freedom
UX, UY, PRES if KEYOPT (2) = 0
PRES if KEYOPT (2) = 1
Real Constants

PREF - Reference pressure

Material Properties

DENS, SONC, MU

Surface Loads
Fluid-structure Interface Flag --

face 1 (J-I), face 2 (K-J), face 3 (L-K), face 4 (I-L)

Impedance --

face 1 (J-I), face 2 (K-J), face 3 (L-K), face 4 (I-L)

Body Loads
Temperatures --

T(I), T (J), T(K), T(L)

Mode Number

Input mode number on MODE command

Loading Condition

Input for ISYM on MODE command

1 --

Symmetric loading

-1 --

Antisymmetric loading

Special Features

None

KEYOPT(2)

Structure at element interface:

0 --

Structure present at interface (unsymmetric element matrix)

1 --

No structure at interface (symmetric element matrix)

KEYOPT(3)

Element behavior:

0 --

Planar

1 --

Axisymmetric

2 --

Axiharmonic

KEYOPT(7)

Free surface effect:

0 --

Do not include sloshing effect

1 --

Include sloshing effect on face of elements located on Y = 0.0 plane (elements must not have positive Y coordinates)

FLUID29 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements and pressures included in the overall nodal solution

  • Additional element output as shown in Table 29.1: "FLUID29 Element Output Definitions".

Solution Output gives a general description of solution output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 29.1 FLUID29 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC | Location where results are reported | Y | 2
TEMP | Temperatures T(I), T(J), T(K), T(L) | Y | Y
PRESSURE | Average pressure | Y | Y
PG( X, Y, SUM) | Pressure gradient components and vector sum | Y | Y
VL( X, Y, SUM) | Fluid velocity components and vector sum | 1 | 1
SOUND PR.LEVEL | Sound pressure level (in decibels) | 1 | 1

  1. Output only if ANTYPE,HARMIC

  2. Available only at centroid as a *GET item.

Table 29.2: "FLUID29 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 29.2: "FLUID29 Item and Sequence Numbers":

Name

output quantity as defined in the Table 29.1: "FLUID29 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 29.2 FLUID29 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
PGX | SMISC | 1
PGY | SMISC | 2
VLX | SMISC | 3
VLY | SMISC | 4
PRESSURE | NMISC | 1
PGSUM | NMISC | 2
VLSUM | NMISC | 3
SOUND PR. LEVEL | NMISC | 4

FLUID29 Assumptions and Restrictions

  • The area of the element must be positive.

  • The element must lie in a global X-Y plane as shown in Figure 29.1: "FLUID29 Geometry".

  • All elements must have 4 nodes. A triangular element may be formed by defining duplicate K and L nodes (see Triangle, Prism and Tetrahedral Elements).

  • The acoustic pressure in the fluid medium is determined by the wave equation with the following assumptions:

    • The fluid is compressible (density changes due to pressure variations).

    • Inviscid fluid (no dissipative effect due to viscosity).

    • There is no mean flow of the fluid.

    • The mean density and pressure are uniform throughout the fluid. Note that the acoustic pressure is the excess pressure from the mean pressure.

    • Analyses are limited to relatively small acoustic pressures so that the changes in density are small compared with the mean density.

The lumped mass matrix formulation [LUMPM,ON] is not allowed for this element.

FLUID29 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Multiphysics.

  • KEYOPT(3) = 2 is valid only in ANSYS Multiphysics

  • KEYOPT(7) is valid only in ANSYS Multiphysics

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SHELL28 		Up / Home Next
FLUID30


FLUID30

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

FLUID30

3-D Acoustic Fluid

MP ME <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

FLUID30 Element Description

FLUID30 is used for modeling the fluid medium and the interface in fluid/structure interaction problems. Typical applications include sound wave propagation and submerged structure dynamics. The governing equation for acoustics, namely the 3-D wave equation, has been discretized taking into account the coupling of acoustic pressure and structural motion at the interface. The element has eight corner nodes with four degrees of freedom per node: translations in the nodal x, y and z directions and pressure. The translations, however, are applicable only at nodes that are on the interface. Acceleration effects, such as in sloshing problems, may be included.

The element has the capability to include damping of sound absorbing material at the interface. The element can be used with other 3-D structural elements to perform unsymmetric or damped modal, full harmonic response and full transient method analyses (see the description of the TRNOPT command). When there is no structural motion, the element is also applicable to static, modal and reduced harmonic response analyses. See FLUID30 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 30.1 FLUID30 Geometry

FLUID30 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 30.1: "FLUID30 Geometry". The element is defined by eight nodes, a reference pressure, and the isotropic material properties. The reference pressure (PREF) is used to calculate the element sound pressure level (defaults to 20x10-6 N/m2). The speed of sound ( [image]) in the fluid is input by SONC where k is the bulk modulus of the fluid (Force/Area) and ρo is the mean fluid density (Mass/Volume) (input as DENS). The dissipative effect due to fluid viscosity is neglected, but absorption of sound at the interface is accounted for by generating a damping matrix using the surface area and boundary admittance at the interface. Experimentally measured values of the boundary admittance for the sound absorbing material may be input as material property MU. We recommend MU values from 0.0 to 1.0; however, values greater than 1.0 are allowed. MU = 0.0 represents no sound absorption and MU = 1.0 represents full sound absorption. DENS, SONC and MU are evaluated at the average of the nodal temperatures.

Nodal flow rates may be specified using the F command where both the real and imaginary components may be applied.

Element loads are described in Node and Element Loads. Fluid-structure interfaces (FSI) may be flagged by surface loads at the element faces as shown by the circled numbers on Figure 30.1: "FLUID30 Geometry". Specifying the FSI label (without a value) [SF, SFA, SFE] will couple the structural motion and fluid pressure at the interface. Deleting the FSI specification [SFDELE, SFADELE, SFEDELE] removes the flag. The flag specification should be on the fluid elements at the interface. See Acoustics in the Coupled-Field Analysis Guide for more information on the use of the fluid-structure interaction flag. The surface load label IMPD with a value of unity should be used to include damping that may be present at a structural boundary with a sound absorption lining. A zero value of IMPD removes the damping calculation. The displacement degrees of freedom (UX, UY and UZ) at the element nodes not on the interface should be set to zero to avoid zero-pivot warning messages.

Temperatures may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). For any other input pattern, unspecified temperatures default to TUNIF.

KEYOPT(2) is used to specify the absence of a structure at the interface and, therefore, the absence of coupling between the fluid and structure. Since the absence of coupling produces symmetric element matrices, a symmetric eigensolver [MODOPT] may be used within the modal analysis. However, for the coupled (unsymmetric) problem, a corresponding unsymmetric eigensolver [MODOPT] must be used.

Vertical acceleration (ACELZ on the ACEL command) is needed for the gravity, even for a modal analysis.

A summary of the element input is given in "FLUID30 Input Summary". A general description of element input is given in Element Input.

FLUID30 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom
UX, UY, UZ, PRES if KEYOPT (2) = 0
PRES if KEYOPT (2) = 1
Real Constants

PREF - Reference pressure

Material Properties

DENS, SONC, MU

Surface Loads

Fluid-structure interface flag:

face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N),
face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)

Impedance:

face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N),
face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)
Body Loads
Temperatures --

T (I), T (J), T (K), T (L), T (M), T (N), T(O), T(P)

Special Features

None

KEYOPT(2)

Structure at element interface:

0 --

Structure present at interface (unsymmetric element matrix)

1 --

No structure at the interface (symmetric element matrix)

KEYOPT(7)

Free surface effect:

0 --

Do not include sloshing effect

1 --

Include sloshing effect on face of elements located on Z = 0.0 plane (elements must not have positive Z coordinates)

FLUID30 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements and pressures included in the overall nodal solution

  • Additional element output as shown in Table 30.1: "FLUID30 Element Output Definitions".

A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 30.1 FLUID30 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 2
TEMP | T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | Y | Y
PRESSURE | Average pressure | Y | Y
PG(X,Y,Z,SUM) | Pressure gradient components and vector sum | Y | Y
VL(X,Y,Z,SUM) | Fluid velocity components and vector sum | 1 | 1
SOUND PR. LEVEL | Sound pressure level (in decibels) | 1 | 1

  1. Output only if ANTYPE,HARMIC

  2. Available only at centroid as a *GET item.

Table 30.2: "FLUID30 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 30.2: "FLUID30 Item and Sequence Numbers":

Name

output quantity as defined in the Table 30.1: "FLUID30 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 30.2 FLUID30 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
PGX | SMISC | 1
PGY | SMISC | 2
PGZ | SMISC | 3
VLX | SMISC | 4
VLY | SMISC | 5
VLZ | SMISC | 6
PRESSURE | NMISC | 1
PGSUM | NMISC | 2
VLSUM | NMISC | 3
SOUND PR. LEVEL | NMISC | 4

FLUID30 Assumptions and Restrictions

  • The element must not have a zero volume.

  • Element nodes may be numbered either as shown in Figure 30.1: "FLUID30 Geometry" or may have planes IJKL and MNOP interchanged.

  • The element may not be twisted such that it has two separate volumes. This occurs usually when the element nodes are not in the correct sequence.

  • All elements must have 8 nodes. A prism-shaped element may be formed by defining duplicate K and L and duplicate O and P nodes (see Triangle, Prism and Tetrahedral Elements). A tetrahedron shape is also available.

  • We do not recommend using degenerate shapes with KEYOPT(7) = 1.

  • The acoustic pressure in the fluid medium is determined by the wave equation with the following assumptions:

    • The fluid is compressible (density changes due to pressure variations).

    • Inviscid fluid (no dissipative effect due to viscosity).

    • There is no mean flow of the fluid.

    • The mean density and pressure are uniform throughout the fluid. Note that the acoustic pressure is the excess pressure from the mean pressure.

    • Analyses are limited to relatively small acoustic pressures so that the changes in density are small compared with the mean density.

  • The lumped mass matrix formulation [LUMPM,ON] is not allowed for this element.

FLUID30 Product Restrictions

ANSYS Multiphysics.

  • KEYOPT(7) is valid only in ANSYS Multiphysics

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLUID29 		Up / Home Next
LINK31


LINK31

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

LINK31

Radiation Link

MP ME <> PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

LINK31 Element Description

LINK31 is a uniaxial element which models the radiation heat flow rate between two points in space. The link has a single degree of freedom, temperature, at each node. The radiation element is applicable to a 2-D (plane or axisymmetric) or 3-D, steady-state or transient thermal analysis.

An empirical relationship allowing the form factor and area to multiply the temperatures independently is also available. The emissivity may be temperature dependent. If the model containing the radiation element is also to be analyzed structurally, the radiation element should be replaced by an equivalent (or null) structural element. See LINK31 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 31.1 LINK31 Geometry

LINK31 Input Data

The geometry, node locations, and the coordinate system for this radiation element are shown in Figure 31.1: "LINK31 Geometry". The element is defined by two nodes, a radiating surface area, a geometric form factor, the emissivity, and the Stefan-Boltzmann constant (SBC). For axisymmetric problems, the radiation area should be input on a full 360° basis.

The emissivity may be constant or temperature (absolute) dependent. If it is constant, the value is input as a real constant. If it is temperature dependent, the values are input for the material property EMIS and the real constant value is used only to identify the material property number. In this case the MAT value associated with element is not used. EMIS defaults to 1.0.

The standard radiation function is defined as follows:

q = σ εFA(T(I)4 - T(J)4)

where:

σ = Stefan-Boltzmann Constant (SBC)
(defaults to 0.119 x 10-10 (BTU/Hr*in2* °R4)
ε = emissivity
F = geometric form factor
A = area (Length)2
q = heat flow rate (Heat/Time)

The nonlinear temperature equation is solved by a Newton-Raphson iterative solution based on the form:

[(T(I)2 + T(J)2)(T(I) + T(J))]p(T(I) - T(J))

where the [ ]p term is evaluated at the temperature of the previous substep. The initial temperature should be near the anticipated solution and should not be zero (i.e., both TUNIF and TOFFST should not be zero).

An empirical radiation function of the following form may also be selected with KEYOPT(3):

q = σ ε(FT(I)4 - AT(J)4)

where F and A are arbitrary input constants.

A summary of the element input is given in "LINK31 Input Summary". A general description of element input is given in Element Input.

LINK31 Input Summary

Nodes

I, J

Degrees of Freedom

TEMP

Real Constants
AREA - Radiating surface area
FORM FACTOR - Geometric form factor
EMISSIVITY - Emissivity (If EMISSIVITY = -n, use material n for emissivity vs. temperature definition)
SBC - Stefan-Boltzmann constant
Material Properties

EMIS (required only if EMISSIVITY = -N)

Surface Loads

None

Body Loads

None

Special Features
Nonlinear
Birth and death
KEYOPT(3)

Radiation equation:

0 --

Use standard radiation equation

1 --

Use empirical radiation equation

Note

The Stefan-Boltzmann constant (SBC) defaults to 0.1190E-10 with units of Btu, hr, in, °R (or °F if TOFFST is used)

LINK31 Output Data

The solution output associated with the element is in two forms:

  • Nodal temperatures included in the overall nodal solution

  • Additional element output as shown in Table 31.1: "LINK31 Element Output Definitions"

The heat flow rate is positive from node I to node J. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 31.1 LINK31 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
MAT | Material number | Y | Y
AREA | AREA | Y | Y
XC, YC, ZC | Location where results are reported | Y | 1
EMIS(I, J) | Emissivity - I, J | Y | Y
TEMP(I, J) | Temperatures - I, J | Y | Y
HEAT RATE | Heat flow rate from node I to node J | Y | Y

  1. Available only at centroid as a *GET item.

Table 31.2: "LINK31 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 31.2: "LINK31 Item and Sequence Numbers":

Name

output quantity as defined in the Table 31.1: "LINK31 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 31.2 LINK31 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
HEAT RATE | SMISC | 1
TEMPI | SMISC | 2
TEMPJ | SMISC | 3
EMISI | NMISC | 1
EMISJ | NMISC | 2
AREA | NMISC | 3
FORM FACTOR | NMISC | 4

LINK31 Assumptions and Restrictions

  • If the default Stefan-Boltzmann constant is used, the units associated with this element are Btu, inches, hours and °R (or °F + TOFFST). Other data input for this analysis must be consistent with this set of units or an appropriate conversion factor should be included in the radiation element's real constants.

  • Nodes may or may not be coincident.

  • An iterative solution is required with this element.

LINK31 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLUID30 		Up / Home Next
LINK32


LINK32

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

LINK32

2-D Conduction Bar

MP ME <> PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

LINK32 Element Description

LINK32 is a uniaxial element with the ability to conduct heat between its nodes. The element has a single degree of freedom, temperature, at each node point. The conducting bar is applicable to a 2-D (plane or axisymmetric), steady-state or transient thermal analysis.

If the model containing the conducting bar element is also to be analyzed structurally, the bar element should be replaced by an equivalent structural element. See LINK32 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 32.1 LINK32 Geometry

LINK32 Input Data

The geometry, node locations, and the coordinate system for this conducting bar element are shown in Figure 32.1: "LINK32 Geometry". The element is defined by two nodes, a cross-sectional area, and the material properties. For an axisymmetric analysis the area must be defined on a full 360° basis. Specific heat and density are ignored for steady-state solutions. The thermal conductivity is in the element longitudinal direction. The element x-axis extends from node I to node J.

Element loads are described in Node and Element Loads. Heat generation rates may be input as element body loads at the nodes. The node J heat generation rate HG(J) defaults to the node I heat generation rate HG(I).

A summary of the element input is given in "LINK32 Input Summary". A general description of element input is given in Element Input.

LINK32 Input Summary

Nodes

I, J

Degrees of Freedom

TEMP

Real Constants

AREA - Cross-sectional area

Material Properties

KXX, DENS, C, ENTH

Surface Loads

None

Body Loads
Heat Generation --

HG(I), HG(J)

Special Features

Birth and death

KEYOPTS

None

LINK32 Output Data

The solution output associated with the element is in two forms:

  • Nodal temperatures included in the overall nodal solution

  • Additional element output as shown in Table 32.1: "LINK32 Element Output Definitions"

The heat flow rate is in units of Heat/Time and is positive from node I to node J. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 32.1 LINK32 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
MAT | Material | Y | Y
VOLU: | Volume | Y | Y
XC, YC | Location where results are reported | Y | 1
LENGTH | Length | Y | Y
AREA | Input area | Y | Y
TEMP(I, J) | Temperatures - I, J | Y | Y
HEAT RATE | Heat flow rate from node I to node J | Y | Y
THERMAL FLUX | Thermal flux (heat flow rate/cross-sectional area) | Y | Y

  1. Available only at centroid as a *GET item.

Table 32.2: "LINK32 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 32.2: "LINK32 Item and Sequence Numbers":

Name

output quantity as defined in the Table 32.1: "LINK32 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 32.2 LINK32 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
HEAT RATE | SMISC | 1
TEMPI | SMISC | 2
TEMPJ | SMISC | 3
THERMAL FLUX | SMISC | 4
LENGTH | NMISC | 1
AREA | NMISC | 2

LINK32 Assumptions and Restrictions

  • Heat is assumed to flow only in the longitudinal element direction.

  • The element must be in an X-Y plane and the Y-axis must be the axis of symmetry for axisymmetric analyses.

  • An axisymmetric structure should be modeled in the +X quadrants.

  • The element must not have a zero length, so nodes I and J must not be coincident.

  • A free end of the element (i.e., not adjacent to another element and not subjected to a boundary constraint) is assumed to be adiabatic.

LINK32 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The birth and death special feature is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LINK31 		Up / Home Next
LINK33


LINK33

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

LINK33

3-D Conduction Bar

MP ME <> PR PRN DS <> <> <> <> <> PP <>

Product Restrictions

LINK33 Element Description

LINK33 is a uniaxial element with the ability to conduct heat between its nodes. The element has a single degree of freedom, temperature, at each node point. The conducting bar is applicable to a steady-state or transient thermal analysis.

If the model containing the conducting bar element is also to be analyzed structurally, the bar element should be replaced by an equivalent structural element. See LINK33 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 33.1 LINK33 Geometry

LINK33 Input Data

The geometry, node locations, and the coordinate system for this conducting bar are shown in Figure 33.1: "LINK33 Geometry". The element is defined by two nodes, a cross-sectional area, and the material properties. Specific heat and density are ignored for steady-state solutions. The thermal conductivity is in the element longitudinal direction.

Element loads are described in Node and Element Loads. Heat generation rates may be input as element body loads at the nodes. The node J heat generation rate HG(J) defaults to the node I heat generation rate HG(I).

A summary of the element input is given in "LINK33 Input Summary". A general description of element input is given in Element Input.

LINK33 Input Summary

Nodes

I, J

Degrees of Freedom

TEMP

Real Constants

AREA - Cross-sectional area

Material Properties

KXX, DENS, C, ENTH

Surface Loads

None

Body Loads
Heat Generation --

HG(I), HG(J)

Special Features

Birth and death

KEYOPTS

None

LINK33 Output Data

The solution output associated with the element is in two forms:

  • Nodal temperatures included in the overall nodal solution

  • Additional element output as shown in Table 33.1: "LINK33 Element Output Definitions"

The heat flow rate is in units of Heat/Time and is positive from node I to node J. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 33.1 LINK33 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 1
LENGTH | Length | Y | Y
AREA | Input area | Y | Y
TEMP(I, J) | Temperatures - I, J | Y | Y
HEAT RATE | Heat flow rate from node I to node J | Y | Y
THERMAL FLUX | Thermal flux (heat flow rate/cross-sectional area) | Y | Y

  1. Available only at centroid as a *GET item.

Table 33.2: "LINK33 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 33.2: "LINK33 Item and Sequence Numbers":

Name

output quantity as defined in the Table 33.1: "LINK33 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 33.2 LINK33 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
HEAT RATE | SMISC | 1
TEMPI | SMISC | 2
TEMPJ | SMISC | 3
THERMAL FLUX | SMISC | 4
LENGTH | NMISC | 1
AREA | NMISC | 2

LINK33 Assumptions and Restrictions

  • Heat is assumed to flow only in the longitudinal element direction.

  • The element must not have a zero length, so nodes I and J must not be coincident.

  • A free end of the element (i.e., not adjacent to another element and not subjected to a boundary constraint) is assumed to be adiabatic.

LINK33 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The birth and death special feature is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LINK32 		Up / Home Next
LINK34


LINK34

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

LINK34

Convection Link

MP ME <> PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

LINK34 Element Description

LINK34 is a uniaxial element with the ability to convect heat between its nodes. The element has a single degree of freedom, temperature, at each node point. The convection element is applicable to a 2-D (plane or axisymmetric) or 3-D, steady-state or transient thermal analysis.

If the model containing the convection element is also to be analyzed structurally, the convection element should be replaced by an equivalent (or null) structural element. The element may have a nonlinear film coefficient which may also be a function of temperature or time. See LINK34 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 34.1 LINK34 Geometry

LINK34 Input Data

The geometry and node locations for this convection element are shown in Figure 34.1: "LINK34 Geometry". The element is defined by two nodes, a convection surface area, two empirical terms, and a film coefficient. In an axisymmetric analysis the convection area must be expressed on a full 360° basis. The empirical terms n (input as EN) and CC determine the form of the convection equation in conjunction with KEYOPT(3).

The convection function is defined as follows:

q = hf*A*E*(T(I) - T(J))

where:

q = heat flow rate (Heat/Time)
hf = film coefficient (Heat/Length2*Time*Deg)
A = area (Length2)
T = temperature (this substep) (Deg)
E = empirical convection term = F*ITp(I) - Tp(J)In + CC/hf
Tp = temperature (previous substep) (Deg)
n = empirical coefficient (EN)
CC = input constant

Note

E = F if n and CC = 0.0. F = 1.0 unless KEYOPT(3) = 2. If KEYOPT(3) = 3, E equals the larger of ITp(I) - Tp(J)In or CC/hf.

A special option obtained with KEYOPT(3) = 2 allows an alternate input for hf and an input scale factor (F). This option uses the VAL1 field of the SFE command with KVAL = 0 for the hf value and KVAL = 2 for the F value. If the hf value is zero (or blank), the HF material property is used for hf. If the F value is zero (or blank) or negative, a value of 1.0 is assumed for F. Note, the F value input in this field will ramp within a load step if KBC = 0. An SFE command must be included (even if the values are left blank) for all LINK34 elements having KEYOPT(3) = 2.

Heat generation rates may be input as element body loads at the nodes. The node J heat generation rate HG(J) defaults to the node I heat generation rate HG(I).

A summary of the element input is given in "LINK34 Input Summary". A general description of element input is given in Element Input.

LINK34 Input Summary

Nodes

I, J

Degrees of Freedom

TEMP

Real Constants
AREA - Convection surface area
EN - Empirical coefficient
CC - Input constant
Material Properties

HF

Surface Loads
Convections --

1 - Alternate input of HF and F if KEYOPT(3) = 2 (see text above)

Body Loads
Heat Generation --

HG(I), HG(J)

Special Features
Nonlinear if real constant EN is not equal to zero or if KEYOPT(3) = 3
Birth and death
KEYOPT(2)

Evaluation of film coefficient:

0 --

Use average of T(I) and T(J) to evaluate HF

1 --

Use greater of T(I) or T(J) to evaluate HF

2 --

Use lesser of T(I) or T(J) to evaluate HF

3 --

Use differential |T(I) - T(J)| to evaluate HF

KEYOPT(3)

Film coefficient and scale factor:

0 --

Standard element input and empirical term

2 --

Use alternate input for HF and F (input with SFE command)

3 --

Use discontinuous empirical term

LINK34 Output Data

The solution output associated with the element is in two forms:

  • Nodal temperatures included in the overall nodal solution

  • Additional element output as shown in Table 34.1: "LINK34 Element Output Definitions"

The heat flow rate is in units of Heat/Time and is positive from node I to node J. In an axisymmetric analysis, the heat flow is on a full 360° basis. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 34.1 LINK34 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
XC, YC | Location where results are reported | Y | 1
H | Film coefficient (includes empirical term) | Y | Y
AREA | Input area | Y | Y
TEMP | Temperature at node I and node J | Y | Y
HEAT RATE | Heat flow rate from node I to node J | Y | Y

  1. Available only at centroid as a *GET item.

Table 34.2: "LINK34 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 34.2: "LINK34 Item and Sequence Numbers":

Name

output quantity as defined in the Table 34.1: "LINK34 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J

sequence number for data at nodes I and J

Table 34.2 LINK34 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J
HEAT RATE | SMISC | 1 | - | -
TEMP | SMISC | - | 2 | 3
H | NMISC | 1 | - | -
AREA | NMISC | 2 | - | -

LINK34 Assumptions and Restrictions

  • If Tp(I) = Tp(J) and n are nonzero, the first term of E is defined to be zero.

  • Since all unspecified nodal temperatures are initially set to the uniform temperature, a nonzero value of n may result in no heat flowing through the element in the first substep of a thermal solution.

  • Nodes may or may not be coincident.

  • The element is nonlinear if n is nonzero or KEYOPT(3) = 3. However, the solver always assumes the element is nonlinear and, therefore, always performs an iterative solution. (Only 2 iterations are performed if the element is linear.)

LINK34 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The birth and death special feature is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LINK33 		Up / Home Next
PLANE35


PLANE35

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

PLANE35

2-D 6-Node Triangular Thermal Solid

MP ME <> PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

PLANE35 Element Description

PLANE35 is a 6-node triangular element compatible with the 8-node PLANE77 element. The triangular shape makes it well suited to model irregular meshes (such as produced from various CAD/CAM systems). The element has one degree of freedom, temperature, at each node.

The 6-node thermal element is applicable to a 2-D, steady-state or transient thermal analysis. If the model containing this element is also to be analyzed structurally, the element should be replaced by an equivalent structural element (such as PLANE183). The element may be used as a plane element or as an axisymmetric ring element. See PLANE35 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 35.1 PLANE35 Geometry

PLANE35 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 35.1: "PLANE35 Geometry".

Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. Specific heat and density are ignored for steady-state solutions. Properties not input default as described in Linear Material Properties.

Element loads are described in Node and Element Loads. Convection or heat flux (but not both) and radiation may be input as surface loads at the element faces as shown by the circled numbers on Figure 35.1: "PLANE35 Geometry". Heat generation rates may be input as element body loads at the nodes. If the node I heat generation rate HG(I) is input, and all others are unspecified, they default to HG(I). If all corner node heat generation rates are specified, each midside node heat generation rate defaults to the average heat generation rate of its adjacent corner nodes. An edge with a removed midside node implies that the temperature varies linearly, rather than parabolically, along that edge. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes.

A summary of the element input is given in "PLANE35 Input Summary". A general description of element input is given in Element Input. For axisymmetric applications see Axisymmetric Elements.

PLANE35 Input Summary

Nodes

I, J, K, L, M, N

Degrees of Freedom

TEMP

Real Constants

None

Material Properties

KXX, KYY, DENS, C, ENTH

Surface Loads
Convection or Heat Flux (but not both) and Radiation (using Lab = RDSF) --

face 1 (J-I), face 2 (K-J), face 3 (I-K)

Body Loads
Heat Generations --

HG(I), HG(J), HG(K), HG(L), HG(M), HG(N)

Special Features

Birth and death

KEYOPT(1)

Specific heat matrix:

0 --

Consistent specific heat matrix

1 --

Diagonalized specific heat matrix

KEYOPT(3)

Element behavior:

0 --

Plane

1 --

Axisymmetric

PLANE35 Output Data

The solution output associated with the element is in two forms:

  • Nodal temperatures included in the overall nodal solution

  • Additional element output as shown in Table 35.1: "PLANE35 Element Output Definitions"

For an axisymmetric analysis the face area and the heat flow rate are on a full 360° basis. Convection heat flux is positive out of the element; applied heat flux is positive into the element. The element output directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 35.1 PLANE35 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC | Location where results are reported | Y | 2
HGEN | Heat generations HG(I), HG(J), HG(K), HG(L), HG(M), HG(N) | Y | -
TG:X, Y, SUM | Thermal gradient components and vector sum at centroid | Y | Y
TF:X, Y, SUM | Thermal flux (heat flow rate/cross-sectional area) components and vector sum at centroid | Y | Y
FACE | Face label | 1 | 1
AREA | Face area | 1 | 1
NODES | Face nodes | 1 | 1
HFILM | Film coefficient | 1 | 1
TAVG | Average face temperature | 1 | 1
TBULK | Fluid bulk temperature | 1 | -
HEAT RATE | Heat flow rate across face by convection | 1 | 1
HEAT RATE/AREA | Heat flow rate per unit area across face by convection | 1 | -
HFLUX | Heat flux at each node of face | 1 | -
HFAVG | Average film coefficient of the face | - | 1
TBAVG | Average face bulk temperature | - | 1
HFLXAVG | Heat flow rate per unit area across face caused by input heat flux | - | 1

  1. If a surface load has been input

  2. Available only at centroid as a *GET item.

Table 35.2: "PLANE35 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 35.2: "PLANE35 Item and Sequence Numbers":

Name

output quantity as defined in the Table 35.1: "PLANE35 Element Output Definitions"

Item

predetermined Item label for ETABLE command

FCN

sequence number for solution items for element Face N

Table 35.2 PLANE35 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | FC1 | FC2 | FC3
AREA | NMISC | 1 | 7 | 13
HFAVG | NMISC | 2 | 8 | 14
TAVG | NMISC | 3 | 9 | 15
TBAVG | NMISC | 4 | 10 | 16
HEAT RATE | NMISC | 5 | 11 | 17
HFLXAVG | NMISC | 6 | 12 | 18

PLANE35 Assumptions and Restrictions

  • The area of the element must be positive.

  • The element must lie in an X-Y plane as shown in Figure 35.1: "PLANE35 Geometry" and the Y-axis must be the axis of symmetry for axisymmetric analyses.

  • An axisymmetric structure should be modeled in the +X quadrants.

  • A face with a removed midside node implies that the temperature varies linearly, rather than parabolically, along that face.

  • The specific heat and enthalpy are evaluated at each integration point to allow for abrupt changes (such as melting) within a coarse grid of elements.

  • A free surface of the element (i.e., not adjacent to another element and not subjected to a boundary constraint) is assumed to be adiabatic.

  • Thermal transients having a fine integration time step and a severe thermal gradient at the surface will require a fine mesh at the surface.

PLANE35 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The birth and death special feature is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LINK34 		Up / Home Next
SOURC36


SOURC36

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOURC36

Current Source

MP <> <> <> <> <> <> <> EM <> <> PP <>

Product Restrictions

SOURC36 Element Description

SOURC36 is a primitive (consisting of predefined geometries) used to supply current source data to magnetic field problems. The element represents a distribution of current in a model employing a scalar potential formulation (degree of freedom MAG) or an edge-based formulation. The currents are used to calculate a source magnetic field intensity (Hs) using a numerical integration technique involving the Biot-Savart law. The Hs term is used in the formulation as a magnetic load on the model. See SOURC36 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 36.1 SOURC36 Geometry

SOURC36 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 36.1: "SOURC36 Geometry". The element input data includes three nodes and the following real constants (see "SOURC36 Input Summary"):

TYPE

Source type - use 1 for Coil, 2 for Bar, 3 for Arc.

CUR

Total current flowing through source (i.e., number of turns times current per turn).

DY

Characteristic y dimension for source type.

DZ

Characteristic z dimension for source type.

EPS

Convergence criterion for source field (Hs) calculations for arc and coils. Defaults to 0.001. EPS represents the relative maximum difference in the field Hs calculated at any node during the iterative calculation of the source field. EPS does not apply for bar sources.

Characteristic dimensions described above are in the element coordinate system. In the case of circular sources (coils, arcs) the radius is determined from the first and third nodes (I, K). For bar sources, the length is determined from the first two nodes (I, J).

As a modeling aid, a magnetic command macro, RACE, is available within the ANSYS command set. This macro enables the user to build a racetrack conductor from SOURC36 primitives. The macro is discussed in further detail in the Commands Reference and in the Low-Frequency Electromagnetic Analysis Guide.

A summary of the element input is given in "SOURC36 Input Summary". A general description of element input is given in Element Input.

SOURC36 Input Summary

Nodes

I, J, K (nodes I, J and K define the characteristic length, current flow direction, and orient the source)

Degrees of Freedom

None

Real Constants
TYPE, CUR, DY, DZ, (Blank), (Blank),
(Blank), (Blank), EPS
See Table 36.1: "SOURC36 Real Constants" for a description of the real constants.
Material Properties

None

Surface Loads

None

Body Loads

None

Special Features

None

KEYOPTS

None

Table 36.1 SOURC36 Real Constants

No. | Name | Description
1 | TYPE | Source type
2 | CUR | Total current through source
3 | DY | Characteristic Y dimension
4 | DZ | Characteristic Z dimension
5 ... 8 | (Blank) |
9 | EPS | Convergence criteria for Hs calculations

As a modeling aid, a magnetic command macro, RACE, is available within the ANSYS command set. This macro enables the user to build a racetrack conductor from SOURCE36 primitives. The macro is discussed in further detail in the Commands Reference and in the Low-Frequency Electromagnetic Analysis Guide.

SOURC36 Output Data

The source element has no output of its own since it is used only to supply current source data to magnetic field problems.

SOURC36 Assumptions and Restrictions

  • The source element must have characteristic DY or DZ values that are greater than zero.

  • The third node must not be colinear with the first two nodes.

  • The nodes for this element need not be attached to any other elements.

  • For the coil and the arc (types 1 and 3), the K-I line determines the radius (and the x axis) and the J node orients the x-y plane.

  • For the arc (type 3) the subtended angle must be less than 180°. When you specify an arc using three points, ANSYS will always use the angle that is less than 180°.

  • All source element nodes should be located a least 1E-6 units apart.

  • Source element cannot have a zero inside radius (Radius ≠ DY/2 for types 1 and 3).

  • The EPS convergence criterion is a measure of the relative difference in the calculated Hs field used during an iterative numerical integration procedure for coil and arc source primitives. The default value (.001) provides for good accuracy in regions outside of the source primitive location. For highly accurate calculations within the source primitive domain, the criteria may have to be tightened (i.e., a factor of 20 increase would be represented by EPS = .00005).

  • Tightening the convergence criteria will significantly increase the solution run time.

  • Users concerned with accurate calculations within the coil and arc source primitive domain should experiment with the criteria until satisfied with the degree of accuracy obtained.

  • All currents for a magnetostatic model employing the scalar potential formulation must be specified. Whereas symmetry conditions on the finite element model may be employed, no symmetry may be employed on the current source elements.

  • When used with SOLID117, the SOURC36 elements must be inside the SOLID117 finite element domain.

SOURC36 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLANE35 		Up / Home Next
COMBIN37


COMBIN37

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

COMBIN37

Control

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

COMBIN37 Element Description

COMBIN37 is a unidirectional element with the capability of turning on and off during an analysis. The element has one degree of freedom at each node, either a translation in a nodal coordinate direction, rotation about a nodal coordinate axis, pressure, or temperature. A control element with more capabilities (six degrees of freedom and large deflection) is described in COMBIN7. Similar unidirectional elements (without remote control capability) are COMBIN14, COMBIN39, and COMBIN40. The element has many applications, such as controlling heat flow as a function of temperature (thermostat), controlling damping as a function of velocity (mechanical snubber), controlling flow resistance as a function of pressure (relief valve), controlling friction as a function of displacement (friction clutch), etc. See COMBIN37 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 37.1 COMBIN37 Geometry

COMBIN37 Input Data

The functioning of this element is shown in Figure 37.1: "COMBIN37 Geometry". The element is defined by two pairs of nodes, these being active nodes (I, J) and optional control nodes (K, L). Generally in the cases using UX, UY, or UZ as the active degrees of freedom, it is recommended to have the active nodes be coincident as this eliminates the possibility of moment disequilibrium. However, for visualization purposes, it may be useful to give node J a slightly greater coordinate value than node I. The element is defined such that a positive displacement of node J relative to node I will stretch the spring. Thus, if nodes I and J are interchanged, the same nodal motions will compress the spring.

Certain parameters associated with the control nodes are used to determine whether the control element is part of the structure (on) or not (off) and, thus, can be used to disconnect regions of the model during time dependent or iterative analyses. Other input values are stiffness (STIF), damping coefficient (DAMP), concentrated nodal masses (MASI, MASJ), on/off control values (ONVAL, OFFVAL), element load (AFORCE: positive pulls node I in the positive nodal coordinate direction, and pulls node J in the negative nodal coordinate direction), initial on/off element status (START: -1 if explicitly off, 0 if determined from starting value of control parameter, 1 if explicitly on), several nonlinear constants (C1, C2, C3, C4), and a limiting sliding force (FSLIDE).

The FSLIDE value represents the absolute value of the spring force that must be exceeded before sliding occurs. If FSLIDE is 0.0, the sliding capability of the element is removed, that is, a rigid connection is assumed. For structural analyses, units are force/length or moment/rotation for stiffness, force*time/length or moment*time/rotation for damping, force*time2/length or moment*time2/rotation for mass, and force or moment for element load. For thermal analyses with temperature degrees of freedom, stiffness represents conductance and has units of heat/time*degrees, mass represents thermal capacitance with units of heat/degrees, and element load represents heat flow with units of heat/time. Also, in analyses with pressure degrees of freedom, stiffness represents flow conductance with units of length2/time. Stiffness, damping, mass, and element load should be defined on a full 360° basis for axisymmetric analyses.

The active nodes (I, J) have only one degree of freedom each, selected with the KEYOPT(3) option. The control nodes (K, L) can have the same, or a different, degree of freedom as specified with KEYOPT(2). The KEYOPT(1) option assigns to the parameters of the control nodes either the value of the degree of freedom, the first or second derivative of the value, the integral of the value, or time, for example:

Control nodes need not be connected to any other element. If node L is not defined, the control parameter is based only upon node K. If time is the control parameter (KEYOPT(1)), control nodes K and L need not be defined.

When the element is active and used in structural analyses, the element acts like any other spring/damper/mass element (such as COMBIN14, MASS21, and COMBIN40). In addition, the element can exhibit nonlinear behavior according to the function: RVMOD = RVAL + C1|CPAR|C2 + C3|CPAR|C4, where RVMOD is the modified value of an input real constant value RVAL (identified by KEYOPT(6)), C1 through C4 are other real constants, and CPAR is the control parameter (see KEYOPT(1)). RVMOD may also be defined by user subroutine USERRC and is accessed by KEYOPT(9) = 1. Note, FSLIDE modified to a negative value is set to zero. In a field analysis, the temperature or pressure degree of freedom acts in a manner analogous to the displacement.

As illustrated in Figure 37.2: "COMBIN37 Behavior as a Function of Control Parameter", the KEYOPT(4) and KEYOPT(5) options, when used in combination with ONVAL and OFFVAL, set the control behavior of the element. The element is either on or off depending on the position of the control parameter with respect to the values of ONVAL and OFFVAL. Also, note that when KEYOPT(4) = 0 and the control parameter (CPAR) is within the ONVAL/OFFVAL interval, the element's status depends on the direction of the CPAR (i.e., on going from on to off, and vice-versa). If ONVAL = OFFVAL = 0.0 (or blank), the on/off capability is ignored and the element is always active.

A summary of the element input is given in "COMBIN37 Input Summary". A general description of element input is given in Element Input.

COMBIN37 Input Summary

Nodes

I, J, K, L (or I, J, K or I, J)

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ, PRESS, or TEMP (depending on KEYOPT(2) and KEYOPT (3) below)

Real Constants
STIF, DAMP, MASJ, ONVAL, OFFVAL, AFORCE,
MASI, START, C1, C2, C3, C4,
FSLIDE
See Table 37.1: "COMBIN37 Real Constants" for a description of the real constants

Note

The DAMP real constant represents the damping coefficient for the damper component of the element, and should not be confused with the DAMP material property listed below.

Material Properties

DAMP

Surface Loads

None

Body Loads

None

Special Features
Nonlinear
Adaptive descent
KEYOPT(1)

Control parameter:

0, 1 --

Control on value (UK-UL) (or UK if L not defined)

2 --

Control on first derivative of value with respect to time

3 --

Control on second derivative of value with respect to time

4 --

Control on integral of value with respect to time (zero initial condition assumed)

5 --

Control on time value (KEYOPT(2) and nodes K and L ignored)

KEYOPT(2)

Degree of freedom for control nodes (K and L):

N --

Use degree of freedom N as listed for KEYOPT(3) (defaults to KEYOPT(3))

KEYOPT(3)

Degree of freedom for active nodes (I and J):

0, 1 --

UX (Displacement along nodal X axes)

2 --

UY (along nodal Y)

3 --

UZ (along nodal Z)

4 --

ROTX (rotation about nodal X axes)

5 --

ROTY (about nodal Y)

6 --

ROTZ (about nodal Z)

7 --

PRESS

8 --

TEMP

KEYOPT(4)

ON-OFF range behavior (see Figure 37.2: "COMBIN37 Behavior as a Function of Control Parameter"):

0 --

Overlapping ranges

1 --

Unique ranges

KEYOPT(5)

ON-OFF position behavior (see Figure 37.2: "COMBIN37 Behavior as a Function of Control Parameter"):

0 --

OFF-either-ON (or OFF-ON-OFF if unique)

1 --

ON-either-OFF (or ON-OFF-ON if unique)

KEYOPT(6)

Real constants used for RVMOD function (used if C1 or C3 is not equal to zero; see "COMBIN37 Input Data"):

0, 1 --

Use STIF for nonlinear function. (Both STIF and FSLIDE cannot be zero).

2 --

Use DAMP

3 --

Use MASJ

4 --

Use ONVAL

5 --

Use OFFVAL

6 --

Use AFORCE

7 --

Use MASI

8 --

Use FSLIDE

KEYOPT(9)

Method to define nonlinear behavior:

0 --

Use RVMOD expression for real constant modifications

1 --

Real constants modified by user subroutine USERRC

Note

See the Guide to ANSYS User Programmable Features information about user written subroutines

Table 37.1 COMBIN37 Real Constants

No. | Name | Description
1 | STIF | Spring stiffness
2 | DAMP | Damping coefficient
3 | MASJ | Nodal mass at node J
4 | ONVAL | "ON" control value
5 | OFFVAL | "OFF" control value
6 | AFORCE | Element load
7 | MASI | Nodal mass at node I
8 | START | Initial on/off element status
9 | C1 | First scalar in RVMOD equation
10 | C2 | First exponent in RVMOD equation
11 | C3 | Second scalar in RVMOD equation
12 | C4 | Second exponent in RVMOD equation
13 | FSLIDE | Limiting sliding force

COMBIN37 Output Data

The solution output associated with the element is in two forms:

  • Nodal degree of freedom results included in the overall nodal solution

  • Additional element output as shown in Table 37.2: "COMBIN37 Element Output Definitions".

The active nodal displacements and forces correspond to the degree of freedom selected with the KEYOPT(3) option. For axisymmetric analysis, the element forces are expressed on a full 360° basis.

The element value STRETCH is the relative deflection at the end of the substep less the amount of sliding (e.g., UJ-UI-SLIDE). STATUS and OLDST indicate if the element is on or off at the end of the current and previous substeps, respectively. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 37.2 COMBIN37 Behavior as a Function of Control Parameter

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 37.2 COMBIN37 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
ACTIVE NODES | Nodes - I, J | Y | Y
CONTROL NODES | Nodes - K, L | Y | Y
XC, YC, ZC | Location where results are reported | Y | 5
CONTROL PARAM | CPAR value (see KEYOPT(1)) of the control nodes | Y | Y
STAT | Element status | 1 | 1
OLDST | STAT value of the previous time step | 1 | 1
UI | Displacement of node I | 2 | 2
UJ | Displacement of node J | 2 | 2
UK | Displacement of node K | 2 | 2
UL | Displacement of node L | 2 | 2
STRETCH | Relative displacement | 2 | 2
SFORCE | Spring force in element | 2 | 2
AFORCE | Applied force in the element | 2 | 2
SLSTAT | Sliding status | 3 | 3
OLDSLS | Sliding status value of the previous time step | 3 | 3
SLIDE | Amount of sliding | 4 | 4

  1. If the value of the element status is:

    0 - OFF

    1 - ON

  2. For the thermal and fluid options, analogous items are output. Thermal option output items TEMPI, TEMPJ, TEMPK, TEMPL, DELTEMP, SHEAT, and AHEAT and fluid option output items PRESI, PRESJ, PRESK, PRESL, DELPRES, SFLOW, and AFLOW are respectively analogous to output items UI, UJ, UK, UL, STRETCH, SFORCE, and AFORCE.

  3. Output only if FSLIDE is greater than zero. If the value of the sliding status is:

    0 - No sliding

    1 - Sliding right (node J moving to right of node I)

    -1- Sliding left (node J moving to left of node I)

  4. If FSLIDE is greater than zero

  5. Available only at centroid as a *GET item.

Table 37.3: "COMBIN37 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 37.3: "COMBIN37 Item and Sequence Numbers":

Name

output quantity as defined in the Table 37.2: "COMBIN37 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 37.3 COMBIN37 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
SFORCE | SMISC | 1
AFORCE | SMISC | 2
STAT | NMISC | 1
OLDST | NMISC | 2
SLSTAT | NMISC | 3
OLDSLS | NMISC | 4
STRETCH | NMISC | 5
UI | NMISC | 6
UJ | NMISC | 7
UK | NMISC | 8
UL | NMISC | 9
CPAR | NMISC | 10
SLIDE | NMISC | 11

Analogous thermal and fluid option output items use the same item and sequence numbers. See footnote 2 of Table 37.2: "COMBIN37 Element Output Definitions".

COMBIN37 Assumptions and Restrictions

  • The element may have only one degree of freedom per node which is specified in the nodal coordinate system (see Elements that Operate in the Nodal Coordinate System).

  • The element assumes only a one-dimensional action.

  • Nodes I and J may be anywhere in space (preferably coincident).

  • No moment effects are included due to noncoincident nodes. That is, if the nodes are offset from the line of action, moment equilibrium may not be satisfied.

  • The nonlinear capabilities of the element operate only in static and nonlinear transient dynamic analyses.

  • If used in other analysis types, the element maintains its initial status (on or off), throughout the analysis.

  • The real constants for this element are not allowed to be changed from their initial values.

  • The element can not be deactivated with the EKILL command.

  • Only the lumped mass matrix is available.

COMBIN37 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Structural.

  • KEYOPT(2) = 8 is not allowed.

  • KEYOPT(3) = 8 is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOURC36 		Up / Home Next
FLUID38


FLUID38

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

FLUID38

Dynamic Fluid Coupling

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

FLUID38 Element Description

FLUID38 is used to represent a dynamic coupling between two points of a structure. The coupling is based on the dynamic response of two points connected by a constrained mass of fluid. The points represent the centerlines of concentric cylinders. The fluid is contained in the annular space between the cylinders. The cylinders may be circular or have an arbitrary cross-section. The element has two degrees of freedom per node: for example, translations in the nodal x and z directions. The axes of the cylinders are then assumed to be in the nodal y directions. The element may be used in any structural dynamic analysis. For certain cases the axisymmetric harmonic fluid element, FLUID81 (with MODE = 1), can also be used. See FLUID38 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 38.1 FLUID38 Geometry

FLUID38 Input Data

The node locations and the coordinate system for this element are shown in Figure 38.1: "FLUID38 Geometry". The element is defined by two nodes and several real constants. The real constants are defined in Table 38.1: "FLUID38 Real Constants".

KEYOPT(3) is used to select the form of the fluid coupling element. The form of the element determines the real constants required, the material properties (if any), and the matrices calculated. The density is input as material property DENS and is evaluated at the average of the two node temperatures. The damping matrix is calculated only if F is nonzero. KEYOPT(6) is used to select the direction of operation for the element. If KEYOPT(6) = 1, the X and Y labels used in this description should be interchanged. Similarly, if KEYOPT(6) = 3, interchange the Z and Y labels.

A summary of the element input is given in "FLUID38 Input Summary". A general description of element input is given in Element Input.

FLUID38 Input Summary

Nodes

I, J

Degrees of Freedom
UX, UZ if KEYOPT(6) = 0 or 2, or
UY, UZ if KEYOPT(6) = 1, or
UX, UY if KEYOPT(6) = 3
Real Constants

If KEYOPT(3) = 0:

R2, R1, L, F, DX, DZ,
WX, WZ

If KEYOPT(3) = 2:

M2, M1, MHX, MHZ, DX, DZ,
WX, WZ, CX, CZ
See Table 38.1: "FLUID38 Real Constants" for a description of the real constants

Material Properties
DENS if KEYOPT (3) = 0
None if KEYOPT (3) = 2
Surface Loads

None

Body Loads
Temperature --

T(I), T(J)

Special Features

None

KEYOPT(3)

Cross-section of cylinders:

0 --

Concentric circular cylinders

2 --

Concentric arbitrary cylinders

KEYOPT(6)

Flow axis parallel to:

0, 2 --

Nodal Y axis (UX, UZ degrees of freedom)

1 --

Nodal X axis (UX, UZ degrees of freedom)

3 --

Flow axis parallel to nodal Z axis (UX, UY degrees of freedom)

Table 38.1 FLUID38 Real Constants

No. | Name | Description
Concentric Circular Cylinders: KEYOPT(3) = 0
1 | R2 | Radius of outer cylinder (length); node J refers to outer boundary
2 | R1 | Radius of inner cylinder (length); node I refers to outer boundary
3 | L | Length of cylinders
4 | F | Darcy friction factor for turbulent flow
5 | DX | Estimate of maximum relative amplitude DX
6 | DZ | Estimate of maximum relative amplitude DZ
7 | WX | Estimate of resonant X frequency (Rad/Time)
8 | WZ | Estimate of resonant Z frequency (Rad/Time)
Concentric Arbitrary Cylinders: KEYOPT(3) = 2
1 | M2 | Mass of fluid that could be contained within the outer boundary (Boundary 2) in absence of inner boundary.
2 | M1 | Mass of fluid displaced by the inner boundary (Boundary 1)
3 | MHX | Hydrodynamic mass in X direction
4 | MHZ | Hydrodynamic mass in Z direction
5 | DX | Estimate of maximum relative amplitude DX
6 | DZ | Estimate of maximum relative amplitude DZ
7 | WX | Estimate of resonant X frequency (Rad/Time)
8 | WZ | Estimate of resonant Z frequency (Rad/Time)
9 | CX | Flow and geometry constant for X motion (mass/lenght)
10 | CZ | Flow and geometry constant for Z motion (mass/length)

FLUID38 Output Data

There is no element solution output associated with the element.

FLUID38 Assumptions and Restrictions

  • The element operates in the nodal coordinate system (see Elements that Operate in the Nodal Coordinate System).

  • No fluid coupling exists in the flow axis direction.

  • The element has no nodal coordinate system transformation to account for nonparallel nodal coordinate systems.

  • Nodes I and J may be located anywhere in space (preferably coincident).

  • The lumped mass option [LUMPM] is not available with this element.

FLUID38 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
COMBIN37 		Up / Home Next
COMBIN39


COMBIN39

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

COMBIN39

Nonlinear Spring

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

COMBIN39 Element Description

COMBIN39 is a unidirectional element with nonlinear generalized force-deflection capability that can be used in any analysis. The element has longitudinal or torsional capability in 1-D, 2-D, or 3-D applications. The longitudinal option is a uniaxial tension-compression element with up to three degrees of freedom at each node: translations in the nodal x, y, and z directions. No bending or torsion is considered. The torsional option is a purely rotational element with three degrees of freedom at each node: rotations about the nodal x, y, and z axes. No bending or axial loads are considered.

The element has large displacement capability for which there can be two or three degrees of freedom at each node.

See COMBIN39 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. The element has no mass or thermal capacitance. These may be added by using the appropriate elements (see MASS21 and MASS71). A bilinear force-deflection element with damping and gaps is also available (COMBIN40).

Figure 39.1 COMBIN39 Geometry

COMBIN39 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 39.1: "COMBIN39 Geometry". The element is defined by two (preferably coincident) node points and a generalized force-deflection curve. The points on this curve (D1, F1, etc.) represent force (or moment) versus relative translation (or rotation) for structural analyses, and heat (or flow) rate versus temperature (or pressure) difference for a thermal analyses. The loads should be defined on a full 360° basis for an axisymmetric analysis.

The force-deflection curve should be input such that deflections are increasing from the third (compression) to the first (tension) quadrants. Adjacent deflections should not be nearer than 1E-7 times total input deflection range. The last input deflection must be positive. Segments tending towards vertical should be avoided. If the force-deflection curve is exceeded, the last defined slope is maintained, and the status remains equal to the last segment number. If the compressive region of the force-deflection curve is explicitly defined (and not reflected), then at least one point should also be at the origin (0,0) and one point in the first (tension) quadrant. If KEYOPT(2) = 1 (no compressive resistance), the force-deflection curve should not extend into the third quadrant. Note that this tension-only behavior can cause convergence difficulties similar to those that can be experienced by contact elements. See the Contact Technology Guide, as well as various contact element descriptions, for guidelines on overcoming convergence difficulties. Note that the number of points defining the loading curve (20 points) can be effectively doubled by using the reflective option.

Slopes of segments may be either positive or negative, except that the slopes at the origin must be positive and, if KEYOPT(1) = 1, slopes at the ends may not be negative. Also, if KEYOPT(1) = 1, force-deflection points may not be defined in the second or fourth quadrants and the slope of any segment may not be greater than the slope of the segment at the origin in that quadrant.

The KEYOPT(1) option allows either unloading along the same loading curve or unloading along the line parallel to the slope at the origin of the curve. This second option allows modeling of hysteretic effects. As illustrated in Figure 39.2: "COMBIN39 Force-Deflection Curves", the KEYOPT(2) option provides several loading curve capabilities.

The KEYOPT(3) option selects one degree of freedom. This may be a translation, a rotation, a pressure or a temperature.

Alternately, the element may have more than one type of degree of freedom (KEYOPT(4) > 0). The two nodes defining the element should not be coincident, since the load direction is colinear with the line joining the nodes. The longitudinal option (KEYOPT(4) = 1 or 3) creates a uniaxial tension-compression element with two or three translational degrees of freedom at each node. No bending or torsion is considered. The torsional option (KEYOPT(4) = 2) creates a purely rotational element with three rotational degrees of freedom at each node. No bending or axial loads are considered. The stress stiffening capability is applicable when forces are applied, but not when torsional loads are applied.

The element has large displacement capability with two or three degrees of freedom for each node when you use KEYOPT(4) = 1 or 3 in combination with NLGEOM,ON.

Convergence difficulties caused by moving through rapid changes of the slope (tangent) of the force-deflection diagram are sometimes helped by use of line search (LNSRCH,ON).

A summary of the element input is given in "COMBIN39 Input Summary". A general description of element input is given in Element Input.

COMBIN39 Input Summary

Nodes

I, J

Degrees of Freedom
UX, UY, UZ, ROTX, ROTY, ROTZ, PRES, or TEMP.
Make 1-D choices with KEYOPT(3).
Make limited 2- or 3-D choices with KEYOPT(4).
Real Constants
D1, F1, D2, F2, D3, F3,
D4, F4, ..., D20, F20
See Table 39.1: "COMBIN39 Real Constants" for a description of the real constants
Material Properties

DAMP

Surface Loads

None

Body Loads

None

Special Features
Nonlinear
Stress stiffening
Large displacement
KEYOPT(1)

Unloading path:

0 --

Unload along same loading curve

1 --

Unload along line parallel to slope at origin of loading curve

KEYOPT(2)

Element behavior under compressive load:

0 --

Compressive loading follows defined compressive curve (or reflected tensile curve if not defined)

1 --

Element offers no resistance to compressive loading

2 --

Loading initially follows tensile curve then follows compressive curve after buckling (zero or negative stiffness)

KEYOPT(3)

Element degrees of freedom (1-D) (KEYOPT(4) overrides KEYOPT(3)):

0, 1 --

UX (Displacement along nodal X axes)

2 --

UY (Displacement along nodal Y axes)

3 --

UZ (Displacement along nodal Z axes)

4 --

ROTX (Rotation about nodal X axes)

5 --

ROTY (Rotation about nodal Y axes)

6 --

ROTZ (Rotation about nodal Z axes)

7 --

PRES

8 --

TEMP

KEYOPT(4)

Element degrees of freedom (2-D or 3-D):

0 --

Use any KEYOPT(3) option

1 --

3-D longitudinal element (UX, UY and UZ)

2 --

3-D torsional element (ROTX, ROTY and ROTZ)

3 --

2-D longitudinal element. (UX and UY) Element must lie in an X-Y plane

KEYOPT(6)

Element output:

0 --

Basic element printout

1 --

Also print force-deflection table for each element (only at first iteration of problem)

Table 39.1 COMBIN39 Real Constants

No. | Name | Description
1 | D1 | D value for the first point on force-deflection curve
2 | F1 | F value for the first point on force-deflection curve
3 | D2 | D value for the second point on force-deflection curve
4 | F2 | F value for the second point on force-deflection curve
5, ... 40 | D3, F3, etc. | Continue input of D and F values up to a maximum of 20 points on the force-deflection curve

COMBIN39 Output Data

The solution output associated with the element is in two forms:

  • Nodal degree of freedom results included in the overall nodal solution

  • Additional element output as shown in Table 39.2: "COMBIN39 Element Output Definitions"

The nodal displacements and forces correspond to the degrees of freedom selected with KEYOPT(3). For an axisymmetric analysis, the element forces are expressed on a full 360° basis. The element value STRETCH is the relative deflection at the end of the substep (e.g., UX(J) - UX(I) - UORIG, etc.). STAT and OLDST describe the curve segment number at the end of the current and previous substeps, respectively. STAT or OLDST = 0 indicates nonconservative unloading (KEYOPT(1) = 1). A status of 99 or -99 (as shown in Figure 39.1: "COMBIN39 Geometry") indicates that the active load point on the curve is outside of the supplied data. The slope of the last segment that is provided is simply continued beyond the last data point.

A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 39.2 COMBIN39 Force-Deflection Curves

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 39.2 COMBIN39 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
XC, YC, ZC | Location where results are reported | Y | 4
UORIG | Origin shift upon reversed loading | 1 | 1
FORCE | Force in element | Y | Y
STRETCH | Relative displacement (includes origin shift) | Y | Y
STAT | Status at end of this time step | 2 | 2
OLDST | Same as STAT except status assumed at beginning of this time step | 2 | 2
UI | Displacement of node I | Y | Y
UJ | Displacement of node J | Y | Y
CRUSH | Status of the force deflection curve after buckling | 3 | -
SLOPE | Current slope | Y | -

  1. If KEYOPT(1) = 1

  2. If the value of STAT is:

    0 - Indicates nonconservative unloading

    1-20 - Curve segment number at end of time step

    99 - Beyond last segment (last segment is extrapolated) (negative STAT values indicate compressive segments)

  3. If KEYOPT(2) = 2 and if the value of CRUSH is:

    0 - Use defined tensile curve

    1 - Use reflected compressive curve in tension (element has been compressed)

  4. Available only at centroid as a *GET item.

Table 39.3: "COMBIN39 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 39.3: "COMBIN39 Item and Sequence Numbers":

Name

output quantity as defined in the Table 39.2: "COMBIN39 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 39.3 COMBIN39 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
FORCE | SMISC | 1
STRETCH | NMISC | 1
UI | NMISC | 2
UJ | NMISC | 3
UORIG | NMISC | 4
STAT | NMISC | 5
OLDST | NMISC | 6

COMBIN39 Assumptions and Restrictions

  • If you specify KEYOPT(4) = 0, the element has only one degree of freedom per node. This degree of freedom defined by KEYOPT(3), is specified in the nodal coordinate system and is the same for both nodes (see Elements that Operate in the Nodal Coordinate System). KEYOPT(3) also defines the direction of the force.

  • The element assumes only a 1-D action. Nodes I and J may be anywhere in space (preferably coincident).

  • The element is defined such that a positive displacement of node J relative to node I tends to put the element in tension.

  • If you specify KEYOPT(4) ≠ 0, the element has two or three displacement degrees of freedom per node. Nodes I and J should not be coincident, since the line joining the nodes defines the direction of the force.

  • The element is nonlinear and requires an iterative solution.

  • The nonlinear behavior of the element operates only in static and nonlinear transient dynamic analyses.

  • As with most nonlinear elements, loading and unloading should occur gradually.

  • When the element is also nonconservative, loads should be applied along the actual load history path and in the proper sequence.

  • The element can not be deactivated with the EKILL command.

  • The real constants for this element can not be changed from their initial values.

  • Whenever the force that the element carries changes sign, UORIG is reset, and the origin of the force-deflection curve effectively shifts over to the point where the force changed sign. If KEYOPT(2) = 1 and the force tends to become negative, the element "breaks" and no force is transmitted until the force tends to become positive again.

  • When KEYOPT(1) = 1, the element is both nonlinear and nonconservative.

  • In a thermal analysis, the temperature or pressure degree of freedom acts in a manner analogous to the displacement.

COMBIN39 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Structural.

  • KEYOPT(3) = 8 (temperature DOF) is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLUID38 		Up / Home Next
COMBIN40


COMBIN40

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

COMBIN40

Combination

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

COMBIN40 Element Description

COMBIN40 is a combination of a spring-slider and damper in parallel, coupled to a gap in series. A mass can be associated with one or both nodal points. The element has one degree of freedom at each node, either a nodal translation, rotation, pressure, or temperature. The mass, springs, slider, damper, and/or the gap may be removed from the element. The element may be used in any analysis. See COMBIN40 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. Other elements having damper, slider, or gap capabilities are COMBIN7, LINK10, CONTAC12, COMBIN14, MATRIX27, COMBIN37, COMBIN39, and CONTAC52.

Figure 40.1 COMBIN40 Geometry

COMBIN40 Input Data

The combination element is shown in Figure 40.1: "COMBIN40 Geometry". The element is defined by two nodes, two spring constants K1 and K2 (Force/Length), a damping coefficient C (Force*Time/Length), a mass M (Force*Time2/Length), a gap size GAP (Length), and a limiting sliding force FSLIDE (Force). (Units listed here apply only to KEYOPT(3) = 0, 1, 2, or 3.)

If the element is used in an axisymmetric analysis, these values (except GAP) should be on a full 360° basis. A spring constant of 0.0 (for either K1 or K2, but not both) or a damping coefficient of 0.0 will remove these capabilities from the element. The mass, if any, may be applied at node I or node J or it may be equally distributed between the nodes.

The gap size is defined by the fourth element real constant. If positive, a gap of this size exists. If negative, an initial interference of this amount exists. If GAP = 0.0, the gap capability is removed from the element. The FSLIDE value represents the absolute value of the spring force that must be exceeded before sliding occurs. If FSLIDE is 0.0, the sliding capability of the element is removed, that is, a rigid connection is assumed.

A "breakaway" feature is available to allow the element stiffness (K1) to drop to zero once a limiting force |FSLIDE| has been reached. The limit is input as -|FSLIDE| and is applicable to both tensile breaking and compressive crushing. A "lockup" feature may be selected with KEYOPT(1). This feature removes the gap opening capability once the gap has closed.

The force-deflection relationship for the combination element is as shown in Figure 40.2: "COMBIN40 Behavior" (for no damping). If the initial gap is identically zero, the element responds as a spring-damper-slider element having both tension and compression capability. If the gap is not initially zero, the element responds as follows: when the spring force (F1+F2) is negative (compression), the gap remains closed and the element responds as a spring-damper parallel combination. As the spring force (F1) increases beyond the FSLIDE value, the element slides and the F1 component of the spring force remains constant. If FSLIDE is input with a negative sign, the stiffness drops to zero and the element moves with no resisting F1 spring force. If the spring force becomes positive (tension), the gap opens and no force is transmitted. In a thermal analysis, the temperature or pressure degree of freedom acts in a manner analogous to the displacement.

The element has only the degrees of freedom selected with KEYOPT(3). The KEYOPT(3) = 7 and 8 options allow the element to be used in the thermal analysis (with thermal equivalent real constants).

A summary of the element input is given in "COMBIN40 Input Summary". A general description of element input is given in Element Input.

COMBIN40 Input Summary

Nodes

I, J

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ, PRES, or TEMP (depending on KEYOPT(3) below)

Real Constants

Units for real constants will depend on the KEYOPT(3) setting.

K1 - Spring constant
C - Damping coefficient
M - Mass
GAP - Gap size
FSLIDE - Limiting sliding force
K2 - Spring constant (par to slide)

Note

If GAP is exactly zero, the interface cannot open. If GAP is negative, there is an initial interference. If FSLIDE is exactly zero, the sliding capability is removed. If FSLIDE is negative, the "breakaway" feature is used.

Material Properties

DAMP

Surface Loads

None

Body Loads

None

Special Features
Nonlinear (unless both GAP and FSLIDE equal zero)
Adaptive descent
KEYOPT(1)

Gap behavior:

0 --

Standard gap capability

1 --

Gap remains closed after initial contact ("lockup")

KEYOPT(3)

Element degrees of freedom:

0, 1 --

UX (Displacement along nodal X axes)

2 --

UY (Displacement along nodal Y axes)

3 --

UZ (Displacement along nodal Z axes)

4 --

ROTX (Rotation about nodal X axes)

5 --

ROTY (Rotation about nodal Y axes)

6 --

ROTZ (Rotation about nodal Z axes)

7 --

PRES

8 --

TEMP

KEYOPT(4)

Element output:

0 --

Produce element printout for all status conditions

1 --

Suppress element printout if gap is open (STAT = 3)

KEYOPT(6)

Mass location:

0 --

Mass at node I

1 --

Mass equally distributed between nodes I and J

2 --

Mass at node J

COMBIN40 Output Data

The solution output associated with the element is in two forms:

  • Nodal degree of freedom results included in the overall nodal solution

  • Additional element output as shown in Figure 40.2: "COMBIN40 Behavior"

Several items are illustrated in Figure 40.2: "COMBIN40 Behavior". The displacement direction corresponds to the nodal coordinate direction selected with KEYOPT(3). The value STR is the spring displacement at the end of this substep, STR = U(J)-U(I)+GAP-SLIDE. This value is used in determining the spring force. For an axisymmetric analysis, the element forces are expressed on a full 360° basis. The value SLIDE is the accumulated amount of sliding at the end of this substep relative to the starting location.

STAT describes the status of the element at the end of this substep for use in the next substep. If STAT = 1, the gap is closed and no sliding occurs. If STAT = 3, the gap is open. If STAT = 3 at the end of a substep, an element stiffness of zero is being used. A value of STAT = +2 indicates that node J moves to the right of node I. STAT = -2 indicates a negative slide. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 40.2 COMBIN40 Behavior

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 40.1 COMBIN40 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
XC, YC, ZC | Location where results are reported | Y | 2
SLIDE | Amount of sliding | Y | Y
F1 | Force in spring 1 | Y | Y
STR1 | Relative displacement of spring 1 | Y | Y
STAT | Element status | 1 | 1
OLDST | STAT value of the previous time step | 1 | 1
UI | Displacement of node I | Y | Y
UJ | Displacement of node J | Y | Y
F2 | Force in spring 2 | Y | Y
STR2 | Relative displacement of spring 2 | Y | Y

  1. If the value of STAT is:

    1 - Gap closed (no sliding)

    2 - Sliding right (node J moving to right of node I)

    -2 - Sliding left (node J moving to left of node I)

    3 - Gap open

  2. Available only at centroid as a *GET item.

Table 40.2: "COMBIN40 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 40.2: "COMBIN40 Item and Sequence Numbers":

Name

output quantity as defined in the Table 40.1: "COMBIN40 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 40.2 COMBIN40 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
F1 | SMISC | 1
F2 | SMISC | 2
STAT | NMISC | 1
OLDST | NMISC | 2
STR1 | NMISC | 3
STR2 | NMISC | 4
UI | NMISC | 5
UJ | NMISC | 6
SLIDE | NMISC | 7

COMBIN40 Assumptions and Restrictions

  • The element has only one degree of freedom per node which is specified in the nodal coordinate system (see Elements that Operate in the Nodal Coordinate System).

  • The element assumes only a 1-D action.

  • Nodes I and J may be anywhere in space (preferably coincident).

  • The element is defined such that a positive displacement of node J relative to node I tends to open the gap. If, for a given set of conditions, nodes I and J are interchanged, the gap element acts as a hook element, i.e., the gap closes as the nodes separate.

  • The real constants for this element can not be changed from their initial values.

  • The element can not be deactivated with the EKILL command.

  • The nonlinear options of the element operate only in static and nonlinear transient dynamic (TRNOPT,FULL) analyses.

  • If used in other analysis types, the element maintains its initial status throughout the analysis.

  • A 0.0 value for GAP or FSLIDE removes the gap or sliding capability, respectively, from the element.

  • The mass, if any, is 1-D.

  • The element requires an iterative solution if GAP and/or FSLIDE are nonzero.

  • A stiffness (K1 or K2) must be defined if the gap capability is used. Unreasonably high stiffness values should be avoided.

  • The rate of convergence may decrease as the stiffness increases. If FSLIDE is not equal to zero, the element is nonconservative as well as nonlinear. Nonconservative elements require that the load be applied very gradually, along the actual load history path, and in the proper sequence (if multiple loadings exist).

  • Only the lumped mass matrix is available.

COMBIN40 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional .

Structural Analysis:

  • No damping capability; CV1 and CV2 are not allowed.

  • Only stress stiffening and large deflections are allowed.

  • KEYOPT(3) = 7 or 8 is not allowed.

  • The DAMP material property is not allowed.

  • FSLIDE and K2 not allowed.

ANSYS Structural.

  • KEYOPT(3) = 8 (temperature DOF) is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
COMBIN39 		Up / Home Next
SHELL41


SHELL41

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SHELL41

Membrane Shell

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

SHELL41 Element Description

SHELL41 is a 3-D element having membrane (in-plane) stiffness but no bending (out-of-plane) stiffness. It is intended for shell structures where bending of the elements is of secondary importance. The element has three degrees of freedom at each node: translations in the nodal x, y, and z directions.

The element has variable thickness, stress stiffening, large deflection, and a cloth option. See SHELL41 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. Another element having "membrane only" capability as an option is SHELL63.

Figure 41.1 SHELL41 Geometry

xIJ = Element x-axis if ESYS is not supplied.

x = Element x-axis if ESYS is supplied.

SHELL41 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 41.1: "SHELL41 Geometry". The element is defined by four nodes, four thicknesses, a material direction angle and the orthotropic material properties. Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. The element x-axis may be rotated by an angle THETA (in degrees).

The element may have variable thickness. The thickness is assumed to vary smoothly over the area of the element, with the thickness input at the four nodes. If the element has a constant thickness, only TK(I) need be input. If the thickness is not constant, all four thicknesses must be input. The elastic foundation stiffness (EFS) is defined as the pressure required to produce a unit normal deflection of the foundation. The elastic foundation capability is bypassed if EFS is less than, or equal to, zero. ADMSUA is the added mass per unit area.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 41.1: "SHELL41 Geometry". Positive pressures act into the element. Edge pressures are input as force per unit length. The pressure loading is converted to equivalent element loads applied at the nodes. Temperatures may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). For any other input pattern, unspecified temperatures default to TUNIF.

Use KEYOPT(1) for a tension-only option. This nonlinear option acts like a cloth in that tension loads will be supported but compression loads will cause the element to wrinkle. This capability is a shell version of LINK10, the tension-only spar.

You should not use this “cloth” option to model cloth materials, since real cloth materials do contain some bending stiffness. You can use the cloth option to efficiently model regions where wrinkling is to be approximated, such as for shear panels in aircraft structures. Wrinkling for this type of application may be in one (or both) orthogonal directions. If you do need to model a real cloth material, you can use the cloth option to simulate the tension part of the loading, but you will need to superimpose a very thin regular shell element to include a bending stiffness for the material. Superimposing a thin shell may also aid solution stability.

Any out-of-planeness within the element or round off-error in nodal location may cause an instability in the displacement solution. To counteract this, a slight normal stiffness may be added to the element with the EFS real constant. KEYOPT(2) is used to include or suppress the extra displacement shapes. KEYOPT(4) provides various element printout options (see Element Solution).

A summary of the element input is given in "SHELL41 Input Summary". A general description of element input is given in Element Input.

SHELL41 Input Summary

Nodes

I, J, K, L

Degrees of Freedom

UX, UY, UZ

Real Constants
TK(I), TK(J), TK(K), TK(L), THETA, EFS,
ADMSUA
See Table 41.1: "SHELL41 Real Constants" for a description of the real constants
Material Properties

EX, EY, PRXY or NUXY, ALPX, ALPY (or CTEX, CTEY or THSX,THSY), DENS, GXY, DAMP (X-direction defined by THETA real constant)

Surface Loads
Pressures --
face 1 (I-J-K-L) (bottom, in +Z direction), face 2 (I-J-K-L) (top, in -Z direction),
face 3 (J-I), face 4 (K-J), face 5 (L-K), face 6 (I-L)
Body Loads
Temperatures --

T(I), T(J), T(K), T(L)

Special Features
Stress Stiffening
Large Deflection
Nonlinear (if KEYOPT(1) = 2)
Birth and death
Adaptive descent
KEYOPT(1)

Element stiffness behavior:

0 --

Stiffness acts in both tension and compression

2 --

Stiffness acts in tension, collapses in compression ("cloth" option)

KEYOPT(2)

Extra displacement shapes:

0 --

Include extra displacement shapes

1 --

Suppress extra displacement shape

KEYOPT(4)

Extra stress output:

0 --

Basic element printout

1 --

Repeat basic printout at integration points

2 --

Nodal stress printout

KEYOPT(5)

Member force output:

0 --

No member force printout

1 --

Print member forces in the element coordinate system

KEYOPT(6)

Edge output (isotropic material):

0 --

No edge printout

1 --

Edge printout for midpoint of side I-J

2 --

Edge printout for midpoints of both sides I-J and K-L

Note

Edge printout valid only for isotropic materials

Table 41.1 SHELL41 Real Constants

No. | Name | Description
1 | TK(I) | Shell thickness at node I
2 | TK(J) | Shell thickness at node J (defaults to TK(I))
3 | TK(K) | Shell thickness at node K (defaults to TK(I))
4 | TK(L) | Shell thickness at node L (defaults to TK(I))
5 | THETA | Element x-axis rotation
6 | EFS | Elastic foundation stiffness
7 | ADMSUA | Added mass/unit area

SHELL41 Output Data

The solution output associated with the element is in two forms:

  • Nodal degree of freedom results included in the overall nodal solution

  • Additional element output as shown in Table 41.2: "SHELL41 Element Output Definitions"

Several items are illustrated in Figure 41.2: "SHELL41 Stress Output". The element stress directions correspond to the element coordinate directions. Edge stresses are defined parallel and perpendicular to the IJ edge (and the KL edge). A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 41.2 SHELL41 Stress Output

xIJ = Element x-axis if ESYS is not supplied.

x = Element x-axis if ESYS is supplied.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 41.2 SHELL41 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L | Y | Y
MAT | Material number | Y | Y
AREA | Surface area | Y | Y
XC, YC, ZC | Location where results are reported | Y | 4
PRES | Pressures P1 at nodes I, J, K, L; P2 at I, J, K, L; P3 at J, I; P4 at K, J; P5 at L, K; P6 at I, L | Y | Y
TEMP | Temperatures T(I), T(J), T(K), T(L) | Y | Y
S:X, Y, Z, XY | Stresses | Y | Y
S:1, 2, 3 | Principal stress | Y | Y
S:INT | Stress intensity | Y | Y
S:EQV | Equivalent stress | Y | Y
EPEL:X, Y, Z, XY | Average elastic strain | Y | Y
EPEL:EQV | Equivalent elastic strain | Y | Y
EPTH:X, Y, Z, XY | Average thermal strain | Y | Y
EPTH:EQV | Equivalent thermal strain | Y | Y
ANGLES | Diagonal tension angles (degrees) between element x-axis and tensile stress directions | 1 | 1
CURRENT STATS. | Element statuses at end of this time step | 2 | 2
OLD STATUSES | Element statuses at end of previous time step | 2 | 2
TEMP | Edge average temperature | 3 | 3
EPEL(PAR, PER, Z) | Edge elastic strains (parallel, perpendicular, Z) | 3 | 3
S(PAR, PER, Z) | Edge stresses (parallel, perpendicular, Z) | 3 | 3
SINT | Edge stress intensity | 3 | 3
SEQV | Edge equivalent stress | 3 | 3
FX, FY, FZ | Nodal forces | - | Y

  1. Output at the integration points only if KEYOPT(1) = 2 (meaningful only if STAT = 1)

  2. Output at the integration points only if KEYOPT(1) = 2. The element status is given by the following values:

    0 - Tension in both (orthogonal) directions

    1 - Tension in one direction, collapse in other direction

    2 - Collapse in both directions

  3. Edge I-J output, if KEYOPT(6) is greater than zero.

  4. Available only at centroid as a *GET item.

Table 41.3 SHELL41 Miscellaneous Element Output

Description | Names of Items Output | O | R
Integration Point Stress Solution | TEMP, S(X, Y, Z, XY), SINT, SEQV | 1 | -
Nodal Stress Solution | TEMP, S(X, Y, Z, XY), SINT, SEQV | 2 | -
Edge K-L | TEMP, EPEL(PAR, PER, Z), S(PAR, PER, Z), SINT, SEQV | 3 | -
Member Forces | FX, FY, FZ | 4 | -

  1. Output at each integration point, if KEYOPT(4) = 1

  2. Output at each node, if KEYOPT(4) = 2

  3. Output if KEYOPT(6) = 2

  4. Output at each node (in the element coordinate system) if KEYOPT(5) = 1

Table 41.4: "SHELL41 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 41.4: "SHELL41 Item and Sequence Numbers":

Name

output quantity as defined in the Table 41.2: "SHELL41 Element Output Definitions"

Item

predetermined Item label for ETABLE command

I,J,K,L

sequence number for data at nodes I,J,K,L

Table 41.4 SHELL41 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | J | K | L
FX | SMISC | 1 | 4 | 7 | 10
FY | SMISC | 2 | 5 | 8 | 11
FZ | SMISC | 3 | 6 | 9 | 12
P1 | SMISC | 13 | 14 | 15 | 16
P2 | SMISC | 17 | 18 | 19 | 20
P3 | SMISC | 22 | 21 | - | -
P4 | SMISC | - | 24 | 23 | -
P5 | SMISC | - | - | 26 | 25
P6 | SMISC | 27 | - | - | 28
S:1 | NMISC | 1 | 6 | 11 | 16
S:2 | NMISC | 2 | 7 | 12 | 17
S:3 | NMISC | 3 | 8 | 13 | 18
S:INT | NMISC | 4 | 9 | 14 | 19
S:EQV | NMISC | 5 | 10 | 15 | 20
Output Quantity Name | ETABLE and ESOL Command Input
 | Item | Corner Location
 |  | 1 | 2 | 3 | 4
ANGLE | NMISC | 21 | 23 | 25 | 27
STAT | NMISC | 22 | 24 | 26 | 28

SHELL41 Assumptions and Restrictions

  • The four nodes defining the element should lie in an exact flat plane; however, a small out-of-plane tolerance is permitted so that the element may have a slightly warped shape.

  • A slightly warped element will produce a warning message. If the warping is too severe, a fatal message results and a triangular element should be used (see Triangle, Prism and Tetrahedral Elements).

  • Zero area elements are not allowed.

  • TK(I) must not be zero.

  • The element must not taper down to a zero thickness at any corner.

  • A triangular element may be formed by defining duplicate K and L node numbers (see Triangle, Prism and Tetrahedral Elements).

  • The extra shapes are automatically deleted for triangular elements so that a constant strain element results.

  • The triangular shape is required for large deflection analyses since a four-node element may warp during deflection.

  • Edge stress printout is valid only if the conditions described in Element Solution are met.

Modeling hints:

  • An assembly of SHELL41 elements describing a flat plane should be exactly flat; otherwise singularities may develop in the direction perpendicular to the plane.

  • Very weak spar elements (LINK8) tied to the nodes in the plane and to a common ground point may be added to provide a small normal stiffness, or the EFS real constant may be used to counteract the singularity problem.

  • Stress stiffening will help stabilize the solution after the first substep if the membrane element is in a tension field.

  • An assemblage of flat elements can produce an approximation to a curved surface, but each flat element should not extend over more than a 15° arc.

SHELL41 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
COMBIN40 		Up / Home Next
PLANE42


PLANE42

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

PLANE42

2-D Structural Solid

MP ME ST PR PRN DS DSS <> <> <> <> PP <>

Product Restrictions

PLANE42 Element Description

PLANE42 is used for 2-D modeling of solid structures. The element can be used either as a plane element (plane stress or plane strain) or as an axisymmetric element. The element is defined by four nodes having two degrees of freedom at each node: translations in the nodal x and y directions. The element has plasticity, creep, swelling, stress stiffening, large deflection, and large strain capabilities.

An option is available to suppress the extra displacement shapes. See PLANE42 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. See PLANE82 for a multi-node version of this element. See PLANE25 for an axisymmetric version that accepts nonaxisymmetric loading.

Figure 42.1 PLANE42 Geometry

PLANE42 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 42.1: "PLANE42 Geometry". The element input data includes four nodes, a thickness (for the plane stress option only) and the orthotropic material properties. Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 42.1: "PLANE42 Geometry". Positive pressures act into the element. Temperatures and fluences may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). For any other input pattern, unspecified temperatures default to TUNIF. Similar defaults occurs for fluence except that zero is used instead of TUNIF.

The nodal forces, if any, should be input per unit of depth for a plane analysis (except for KEYOPT(3) = 3) and on a full 360° basis for an axisymmetric analysis. KEYOPT(2) is used to include or suppress the extra displacement shapes.

KEYOPT(5) and KEYOPT(6) provide various element printout options (see Element Solution).

Initial state conditions previously handled via the ISTRESS command will be discontinued for this element. The INISTATE command will provide increased functionality, but only via the Current Technology elements (180,181, etc. ). To continue using Initial State conditions in future versions of ANSYS, consider switching to the appropriate Current Technology element. For more information on setting Initial State values see the INISTATE command and Initial State Loading in the Basic Analysis Guide. For more information on current -vs- legacy element technologies see Legacy vs. Current Element Technologies in the Elements Reference

You can include the effects of pressure load stiffness in a geometric nonlinear analysis using SOLCONTROL,,,INCP. Pressure load stiffness effects are included in linear eigenvalue buckling automatically. If an unsymmetric matrix is needed for pressure load stiffness effects, use NROPT,UNSYM.

A summary of the element input is given in "PLANE42 Input Summary". A general description of element input is given in Element Input. For axisymmetric applications see Axisymmetric Elements.

PLANE42 Input Summary

Nodes

I, J, K, L

Degrees of Freedom

UX, UY

Real Constants
None, if KEYOPT(3) = 0, 1, or 2
THK - Thickness if KEYOPT(3) = 3
Material Properties
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ),
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ), DENS, GXY, DAMP
Surface Loads
Pressures --

face 1 (J-I), face 2 (K-J), face 3 (L-K), face 4 (I-L)

Body Loads
Temperatures --

T(I), T(J), T(K), T(L)

Fluences --

FL(I), FL(J), FL(K), FL(L)

Special Features
Plasticity (BISO, MISO, BKIN, MKIN, KINH, DP, ANISO, CHABOCHE, HILL)
Creep (CREEP, RATE)
Swelling (SWELL)
Elasticity (MELAS)
Other material (USER)
Stress stiffening
Large deflection
Large strain
Birth and death
Adaptive descent
Initial stress import

Note

Items in parentheses refer to data tables associated with the TB command.

KEYOPT(1)

Element coordinate system defined:

0 --

Element coordinate system is parallel to the global coordinate system

1 --

Element coordinate system is based on the element I-J side

KEYOPT(2)

Extra displacement shapes:

0 --

Include extra displacement shapes

1 --

Suppress extra displacement shapes

KEYOPT(3)

Element behavior:

0 --

Plane stress

1 --

Axisymmetric

2 --

Plane strain (Z strain = 0.0)

3 --

Plane stress with thickness input

KEYOPT(5)

Extra stress output:

0 --

Basic element solution

1 --

Repeat basic solution for all integration points

2 --

Nodal stress solution

KEYOPT(6)

Extra surface output:

0 --

Basic element solution

1 --

Surface solution for face I-J also.

2 --

Surface solution for both faces I-J and K-L also. (Surface solution available for linear materials only)

3 --

Nonlinear solution at each integration point also.

4 --

Surface solution for faces with nonzero pressure

KEYOPT(9)

Initial stress subroutine option (available only through direct input of the KEYOPT command):

0 --

No user subroutine to provide initial stress (default)

1 --

Read initial stress data from user subroutine USTRESS (see the Guide to ANSYS User Programmable Features for user written subroutines)

PLANE42 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 42.1: "PLANE42 Element Output Definitions"

Several items are illustrated in Figure 42.2: "PLANE42 Stress Output".

The element stress directions are parallel to the element coordinate system. Surface stresses are available on any face. Surface stresses on face IJ, for example, are defined parallel and perpendicular to the IJ line and along the Z axis for a plane analysis or in the hoop direction for an axisymmetric analysis. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 42.2 PLANE42 Stress Output

Stress directions shown are for KEYOPT(1) = 0

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 42.1 PLANE42 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L | Y | Y
MAT | Material number | Y | Y
THICK | Average thickness | Y | Y
VOLU: | Volume | Y | Y
XC, YC | Location where results are reported | Y | 3
PRES | Pressures P1 at nodes J,I; P2 at K,J; P3 at L,K; P4 at I,L | Y | Y
TEMP | Temperatures T(I), T(J), T(K), T(L) | Y | Y
FLUEN | Fluences FL(I), FL(J), FL(K), FL(L) | Y | Y
S:X, Y, Z, XY | Stresses (SZ = 0.0 for plane stress elements) | Y | Y
S:1, 2, 3 | Principal stresses | Y | -
S:INT | Stress intensity | Y | -
S:EQV | Equivalent stress | Y | Y
EPEL:X, Y, Z, XY | Elastic strains | Y | Y
EPEL:1, 2, 3 | Principal elastic strain | Y | -
EPEL:EQV | Equivalent elastic strain [4] | - | Y
EPTH:X, Y, Z, XY | Average thermal strain | Y | Y
EPTH:EQV | Equivalent thermal strain [4] | - | Y
EPPL:X, Y, Z, XY | Plastic strain | 1 | 1
EPPL:EQV | Equivalent plastic strain [4] | - | 1
EPCR:X, Y, Z, XY | Creep strains | 1 | 1
EPCR:EQV | Equivalent creep strains [4] | - | 1
EPSW: | Swelling strain | 1 | 1
NL:EPEQ | Equivalent plastic strain | 1 | 1
NL:SRAT | Ratio of trial stress to stress on yield surface | 1 | 1
NL:SEPL | Equivalent stress on stress-strain curve | 1 | 1
NL:HPRES | Hydrostatic pressure | - | 1
FACE | Face label | 2 | 2
EPEL(PAR, PER, Z) | Surface elastic strains (parallel, perpendicular, Z or hoop) | 2 | 2
TEMP | Surface average temperature | 2 | 2
S(PAR, PER, Z) | Surface stresses (parallel, perpendicular, Z or hoop) | 2 | 2
SINT | Surface stress intensity | 2 | 2
SEQV | Surface equivalent stress | 2 | 2
LOCI:X, Y, Z | Integration point locations | - | Y

  1. Nonlinear solution, output only if the element has a nonlinear material.

  2. Surface output (if KEYOPT(6) is 1,2, or 4)

  3. Available only at centroid as a *GET item.

  4. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY); for plastic and creep this value is set at 0.5.

Table 42.2 PLANE42 Miscellaneous Element Output

Description | Names of Items Output | O | R
Integration Point Solution (KEYOPT(5) = 1) | TEMP, SINT, SEQV, EPEL(1, 2, 3), S(X, Y, Z, XY), S(1, 2, 3) | Y | -
Nodal Stress Solution (KEYOPT(5) = 2) | TEMP, S(X, Y, Z, XY), S(1, 2, 3), SINT, SEQV | Y | -
Nonlinear Integration Point Solution (KEYOPT(6) = 3) | EPPL, EPEQ, SRAT, SEPL, HPRES, EPCR, EPSW | 1 | -

  1. Valid if the element has a nonlinear material and KEYOPT(6) = 3

Note

For axisymmetric solutions with KEYOPT(1) = 0, the X, Y, Z, and XY stress and strain outputs correspond to the radial, axial, hoop, and in-plane shear stresses and strains, respectively.

Table 42.3: "PLANE42 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 42.3: "PLANE42 Item and Sequence Numbers":

Name

output quantity as defined in the Table 42.1: "PLANE42 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J,K,L

sequence number for data at nodes I,J,K,L

Table 42.3 PLANE42 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J | K | L
P1 | SMISC | - | 2 | 1 | - | -
P2 | SMISC | - | - | 4 | 3 | -
P3 | SMISC | - | - | - | 6 | 5
P4 | SMISC | - | 7 | - | - | 8
S:1 | NMISC | - | 1 | 6 | 11 | 16
S:2 | NMISC | - | 2 | 7 | 12 | 17
S:3 | NMISC | - | 3 | 8 | 13 | 18
S:INT | NMISC | - | 4 | 9 | 14 | 19
S:EQV | NMISC | - | 5 | 10 | 15 | 20
FLUEN | NMISC | - | 21 | 22 | 23 | 24
THICK | NMISC | 25 | - | - | - | -

See Surface Solution of this manual for the item and sequence numbers for surface output for the ETABLE command.

PLANE42 Assumptions and Restrictions

  • The area of the element must be nonzero.

  • The element must lie in a global X-Y plane as shown in Figure 42.1: "PLANE42 Geometry" and the Y-axis must be the axis of symmetry for axisymmetric analyses. An axisymmetric structure should be modeled in the +X quadrants.

  • A triangular element may be formed by defining duplicate K and L node numbers (see Triangle, Prism and Tetrahedral Elements).

  • The extra shapes are automatically deleted for triangular elements so that a constant strain element results.

  • Surface stress printout is valid only if the conditions described in Element Solution are met.

PLANE42 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The DAMP material property is not allowed.

  • Fluence body loads are not applicable.

  • The only special feature allowed is stress stiffening.

  • KEYOPT(6) = 3 is not applicable.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SHELL41 		Up / Home Next
SHELL43


SHELL43

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SHELL43

4-Node Plastic Large Strain Shell

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

SHELL43 Element Description

SHELL43 is well suited to model linear, warped, moderately-thick shell structures. The element has six degrees of freedom at each node: translations in the nodal x, y, and z directions and rotations about the nodal x, y, and z axes. The deformation shapes are linear in both in-plane directions. For the out-of-plane motion, it uses a mixed interpolation of tensorial components.

The element has plasticity, creep, stress stiffening, large deflection, and large strain capabilities. See SHELL43 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. For a thin shell capability or if plasticity or creep is not needed, the elastic quadrilateral shell (SHELL63) may be used. If convergence difficulties are encountered and large strain capability is needed, use SHELL181. Also, we recommend using SHELL181 for nonlinear structures.

Figure 43.1 SHELL43 Geometry

xIJ = Element x-axis if ESYS is not supplied.

x = Element x-axis if ESYS is supplied.

SHELL43 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 43.1: "SHELL43 Geometry". The element is defined by four nodes, four thicknesses, and the orthotropic material properties. A triangular-shaped element may be formed by defining the same node number for nodes K and L as described in Triangle, Prism and Tetrahedral Elements.

Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. The element x axis may be rotated an angle THETA (in degrees) from the element x axis toward the element y axis.

The element may have variable thickness. The thickness is assumed to vary smoothly over the area of the element, with the thickness input at the corner nodes. If the element has a constant thickness, only TK(I) need be input. If the thickness is not constant, all four thicknesses must be input.

A nominal in-plane rotational stiffness about the element z axis is used for KEYOPT(3) = 0 or 1. A more realistic rotational stiffness (Allman rotation) may alternately be defined (KEYOPT(3) = 2). In this case, real constants ZSTIF1 and ZSTIF2 are used to control the two spurious zero energy modes usually introduced by the Allman rotation. Default values of 1.0E-6 and 1.0E-3 are provided for ZSTIF1 and ZSTIF2, respectively. ADMSUA is the added mass per unit area.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 43.1: "SHELL43 Geometry". Positive pressures act into the element. Edge pressures are input as force per unit length. Temperatures may be input as element body loads at the "corner" locations (1-8) shown in Figure 43.1: "SHELL43 Geometry". The first corner temperature T1 defaults to TUNIF. If all other temperatures are unspecified, they default to T1. If only T1 and T2 are input, T1 is used for T1, T2, T3, and T4, while T2 (as input) is used for T5, T6, T7, and T8. For any other input pattern, unspecified temperatures default to TUNIF.

A summary of the element input is given in "SHELL43 Input Summary". A general description of element input is given in Element Input.

SHELL43 Input Summary

Nodes

I, J, K, L

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ

Real Constants
TK(I), TK(J), TK(K), TK(L), THETA, ZSTIF1
ZSTIF2, ADMSUA
See Table 43.1: "SHELL43 Real Constants" for a description of the real constants
Material Properties
EX, EY, EZ, (or PRXY, PRYZ, PRXZ or NUXY, NUYZ, NUXZ),
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ), DENS, GXY, GYZ, GXZ, DAMP
Surface Loads
Pressures --

face 1 (I-J-K-L) (bottom, in +Z direction), face 2 (I-J-K-L) (top, in -Z direction),

face 3 (J-I), face 4 (K-J), face 5 (L-K), face 6 (I-L)

Body Loads
Temperatures --

T1, T2, T3, T4, T5, T6, T7, T8

Fluences --

FL1, FL2, FL3, FL4, FL5, FL6, FL7, FL8

Special Features
Plasticity (BISO, MISO, BKIN, MKIN, KINH, DP, ANISO)
Creep (CREEP)
Swelling (SWELL)
Elasticity (MELAS)
Other material (USER)
Stress stiffening
Large deflection
Large strain
Birth and death
Adaptive descent

Note

Items in parentheses refer to data tables associated with the TB command.

KEYOPT(3)

Extra displacement shapes:

0 --

Include in-plane extra displacement shapes

1 --

Suppress extra displacement shapes

2 --

Include Allman rotational stiffness (use real constants ZSTIF1 and ZSTIF2)

KEYOPT(4)

Element coordinate system defined:

0 --

No user subroutine to define element coordinate system

4 --

Element x-axis located by user subroutine USERAN

Note

See the Guide to ANSYS User Programmable Features for user written subroutines

KEYOPT(5)

Extra element output:

0 --

Basic element solution

1 --

Repeat basic solution for all integration points and top, middle and bottom surfaces

2 --

Nodal Stress Solution

KEYOPT(6)

Nonlinear integration point output:

0 --

Basic element solution

1 --

Nonlinear integration point solution

Table 43.1 SHELL43 Real Constants

No. | Name | Description
1 | TK(I) | Shell thickness at node I
2 | TK(J) | Shell thickness at node J
3 | TK(K) | Shell thickness at node K
4 | TK(L) | Shell thickness at node L
5 | THETA | Element x-axis rotation
6 | ZSTIF1 | Allman rotation control constant (only available if KEYOPT(3) = 2)
7 | ZSTIF2 | Allman rotation control constant (only available if KEYOPT(3) = 2)
8 | ADMSUA | Added mass/unit area

SHELL43 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 43.2: "SHELL43 Element Output Definitions"

Several items are illustrated in Figure 43.2: "SHELL43 Stress Output".

The element stress directions and force resultants (NX, MX, TX, etc.) are parallel to the element coordinate system. The basic element printout is given at the center of the top of surface I-J-K-L, the element centroid, and at the center of the bottom of surface I-J-K-L. For triangular element configurations, the face centers and the element centroid are averaged values. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 43.2 SHELL43 Stress Output

xIJ = Element x-axis if ESYS is not supplied.

x = Element x-axis if ESYS is supplied.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 43.2 SHELL43 Element Output Definitions

Name | Definition | O | R
EL | Element number and name | Y | Y
NODES | Nodes - I, J, K, L | Y | Y
MAT | Material number | Y | Y
THICK | Average thickness | Y | Y
VOLU: | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 3
PRES | Pressures P1 at nodes I, J, K, L; P2 at I, J, K, L; P3 at J, I; P4 at K, J; P5 at L, K; P6 at I, L | Y | Y
TEMP | Temperatures T1, T2, T3, T4, T5, T6, T7, T8 | Y | Y
LOC | TOP, MID, BOT, or integration point location | 1 | 1
S:X, Y, Z, XY, YZ, XZ | Stresses | 1 | 1
S:1, 2, 3 | Principal stress | 1 | 1
S:INT | Stress intensity | 1 | 1
S:EQV | Equivalent stress | 1 | 1
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | 1 | 1
EPEL:1, 2, 3 | Principal elastic strain | 1 | 1
EPEL:EQV | Equivalent elastic strain [4] | 1 | 1
EPTH:X, Y, Z, XY, YZ, XZ | Average thermal strain | Y | Y
EPTH:EQV | Equivalent thermal strain [4] | - | Y
EPPL:X, Y, Z, XY, YZ, XZ | Average plastic strains | 2 | 2
EPPL:EQV | Equivalent plastic strain [4] | - | 2
EPCR:X, Y, Z, XY, YZ, XZ | Average creep strains (X, Y, Z, XY, YZ, XZ) | 2 | 2
EPCR:EQV | Equivalent creep strain [4] | - | 2
NL:EPEQ | Average equivalent plastic strain | 2 | 2
NL:SRAT | Ratio of trial stress to stress on yield surface | 2 | 2
NL:SEPL | Average equivalent stress from stress-strain curve | 2 | 2
T(X, Y, XY) | In-plane element X, Y, and XY forces | Y | Y
M(X, Y, XY) | Element X, Y, and XY moments | Y | Y
N(X, Y) | Out-of-plane element X and Y shear forces | Y | Y

  1. The following stress solution repeats for top, middle, and bottom surfaces (and also for all integration points if KEYOPT(5) = 1)

  2. Nonlinear solution output for top, middle, and bottom surfaces, if the element has a nonlinear material

  3. Available only at centroid as a *GET item.

  4. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY); for plastic and creep this value is set at 0.5.

Table 43.3 SHELL43 Miscellaneous Element Output

Description | Names of Items Output | O | R
Nonlinear Integration Point Solution | EPPL, EPEQ, SRAT, SEPL, EPCR | 1 | -
Nodal Stress Solution | TEMP, S(X, Y, Z, XY, YZ, XZ), SINT, SEQV | 2 | -

  1. Output at each integration point, if the element has a nonlinear material and KEYOPT(6) = 1

  2. Output at each node, if KEYOPT(5) = 2, repeats each location

Table 43.4: "SHELL43 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 43.4: "SHELL43 Item and Sequence Numbers":

Name

output quantity as defined in the Table 43.2: "SHELL43 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J,K,L

sequence number for data at nodes I,J,K,L

Table 43.4 SHELL43 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J | K | L
TX | SMISC | 1 | - | - | - | -
TY | SMISC | 2 | - | - | - | -
TXY | SMISC | 3 | - | - | - | -
MX | SMISC | 4 | - | - | - | -
MY | SMISC | 5 | - | - | - | -
MXY | SMISC | 6 | - | - | - | -
NX | SMISC | 7 | - | - | - | -
NY | SMISC | 8 | - | - | - | -
P1 | SMISC | - | 9 | 10 | 11 | 12
P2 | SMISC | - | 13 | 14 | 15 | 16
P3 | SMISC | - | 18 | 17 | - | -
P4 | SMISC | - | - | 20 | 19 | -
P5 | SMISC | - | - | - | 22 | 21
P6 | SMISC | - | 23 | - | - | 24
THICK | NMISC | 49 | - | - | - | -
Top
S:1 | NMISC | - | 1 | 6 | 11 | 16
S:2 | NMISC | - | 2 | 7 | 12 | 17
S:3 | NMISC | - | 3 | 8 | 13 | 18
S:INT | NMISC | - | 4 | 9 | 14 | 19
S:EQV | NMISC | - | 5 | 10 | 15 | 20
Bottom
S:1 | NMISC | - | 21 | 26 | 31 | 36
S:2 | NMISC | - | 22 | 27 | 32 | 37
S:3 | NMISC | - | 23 | 28 | 33 | 38
S:INT | NMISC | - | 24 | 29 | 34 | 39
S:EQV | NMISC | - | 25 | 30 | 35 | 40
 |  | Corner Location
 |  | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8
FLUEN | NMISC | 41 | 42 | 43 | 44 | 45 | 46 | 47 | 48

SHELL43 Assumptions and Restrictions

  • Zero area elements are not allowed. This occurs most often whenever the elements are not numbered properly.

  • Zero thickness elements or elements tapering down to a zero thickness at any corner are not allowed.

  • Under bending loads, tapered elements produce inferior stress results and refined meshes may be required.

  • Use of this element in triangular form produces results of inferior quality compared to the quadrilateral form. However, under thermal loads, when the element is doubly curved (warped), triangular SHELL43 elements produce more accurate stress results than do quadrilateral shaped elements.

  • Quadrilateral SHELL43 elements may produce inaccurate stresses under thermal loads for doubly curved or warped domains.

  • The applied transverse thermal gradient is assumed to vary linearly through the thickness.

  • The out-of-plane (normal) stress for this element varies linearly through the thickness.

  • The transverse shear stresses (SYZ and SXZ) are assumed to be constant through the thickness.

  • Shear deflections are included.

  • Elastic rectangular elements without membrane loads give constant curvature results, i.e., nodal stresses are the same as the centroidal stresses.

  • For linearly varying results use SHELL63 (no shear deflection) or SHELL93 (with midside nodes).

  • Triangular elements are not geometrically invariant and the element produces a constant curvature solution.

  • Only the lumped mass matrix is available.

SHELL43 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLANE42 		Up / Home Next
BEAM44


BEAM44

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

BEAM44

3-D Elastic Tapered Unsymmetric Beam

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

BEAM44 Element Description

BEAM44 is a uniaxial element with tension, compression, torsion, and bending capabilities. The element has six degrees of freedom at each node: translations in the nodal x, y, and z directions and rotations about the nodal x, y, and z-axes. This element allows a different unsymmetrical geometry at each end and permits the end nodes to be offset from the centroidal axis of the beam. If these features are not desired, the uniform symmetrical beam BEAM4 may be used. A 2-D version of this element (BEAM54) is also available. For nonlinear materials, use BEAM188 or BEAM189 instead of BEAM44.

The effect of shear deformation is available as an option. Another option is available for printing the forces acting on the element in the element coordinate directions. Stress stiffening and large deflection capabilities are also included. See BEAM44 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

BEAM44 can be used with any cross section that was defined using SECTYPE, SECDATA, SECOFFSET, SECWRITE, and SECREAD. However, a section defined with these commands will be used only if there is no real constant set defined.

Figure 44.1 BEAM44 Geometry

BEAM44 Input Data

The geometry, node locations, and coordinate system for this element are shown in Figure 44.1: "BEAM44 Geometry". The element is located by a reference coordinate system (x', y', z') and offsets. The reference system is defined by nodes I, J, and K, or an orientation angle, as shown in Figure 44.1: "BEAM44 Geometry". The principal axes of the beam are in the element coordinate system (x, y, z) with x along the cross-section centroid (C.G.).

The element x-axis is oriented from node I (end 1) toward node J (end 2). For the two-node option, the default (θ = 0°) orientation of the element y-axis is automatically calculated to be parallel to the global X-Y plane. Several orientations are shown in Figure 44.1: "BEAM44 Geometry". For the case where the element is parallel to the global Z-axis (or within a 0.01 percent slope of it), the element y-axis is oriented parallel to the global Y-axis (as shown). For user control of the element orientation about the element x-axis, use the θ angle (THETA) or the third node option. If both are defined, the third node option takes precedence. The third node (K), if used, defines a plane (with I and J) containing the element x and z-axes (as shown). If this element is used in a large deflection analysis, it should be noted that the location of the third node (K), or the angle (THETA), is used only to initially orient the element. For information about orientation nodes and beam meshing, see Meshing Your Solid Model in the Modeling and Meshing Guide. See the LMESH and LATT command descriptions for details on generating the K node automatically.

The element real constants describe the beam in terms of the cross-sectional area, the area moments of inertia, the extreme fiber distances from the centroid, the centroid offset, and the shear constants. The moments of inertia (IZ and IY) are about the lateral principal axes of the beam. The torsional moment of inertia at end 1 (IX1), if not specified, is assumed equal to the polar moment of inertia at end 1 (IZ1 + IY1). The moment of inertia values at end 2 (IX2, IY2, and IZ2), if blank, default to the corresponding end 1 values. The element torsional stiffness decreases with decreasing values of IX.

The offset constants (DX, DY, DZ) define the centroid location of the section relative to the node location. Offset distances are measured positive from the node in the positive element coordinate directions. All real constants (except the centroidal offset constants DX, DY, and DZ) for end 2 of the beam, default to the corresponding end 1 values, if zero. The "top" thicknesses at end 1, TKZT1 and TKYT1, default to the "bottom" thicknesses at end 1, TKZB1 and TKYB1, respectively. Also the "top" thicknesses at end 2, TKZT2 and TKYT2, default to the "top" thicknesses at end 1, TKZT1 and TKYT1, respectively. The thicknesses are measured from the centroid of the section.

The shear deflection constants (SHEARZ and SHEARY) are used only if shear deflection is to be included. A zero value of SHEAR_ may be used to neglect shear deflection in a particular direction. See Shear Deflection for details.

If no real constants are defined, the cross-section details are provided separately using the SECTYPE and SECDATA commands (see Beam Analysis and Cross Sections in the Structural Analysis Guide for details). Note that a beam section defined using SECTYPE and SECDATA may be referenced by any combination of BEAM44, BEAM188, and BEAM189 elements in the same model. A section is associated with the beam elements by specifying the section ID number (SECNUM). A section number is an independent element attribute.

KEYOPT(2) allows a reduced mass matrix formulation (rotational degrees of freedom terms deleted). This option is useful for improved bending stresses in long, slender members under mass loading.

KEYOPT(7) and KEYOPT(8) allow element stiffness releases at the nodes in the element coordinate system. Stiffnesses should not be released such that free-body motion could occur, usually indicated by pivot warning or error messages. Also, translational degrees of freedom of stress stiffness matrices should not be released. Loads applied in the direction of released stiffness will be ignored. For large deflection, note that the element stiffness release follows the element orientation, whereas release by nodal coupling does not. Solution stability may be enhanced by superimposing weak (low value of EX) beam elements with no stiffness releases on the model.

The shear areas (ARES_ _) and the torsional stress factors (TSF_) are also used if they are nonzero. The shear areas are used for shear stress computation only and are generally less than the actual cross-sectional area. The torsional moment is multiplied by the torsional stress factor to calculate the torsional shear stress. Torsional stress factors may be found in structural handbooks. For circular sections, TSF = diameter/(2*IX).

For some beam cross sections, the shear center may be offset from the centroid location. Nonzero shear center offsets (DSC_ _) may be input as shown in Figure 44.1: "BEAM44 Geometry". Offset distances are measured positive from the centroid in the positive element axes directions. End 2 offsets default to end 1 values, if zero. If constants Y1 through Z4 are provided, additional stress printout is given at up to four user specified output points at each end of the beam as shown in Figure 44.2: "BEAM44 Stress Output".

The elastic foundation stiffnesses (EFS_) are defined as the pressure required to produce unit normal deflections of the foundation. This capability is bypassed if the EFS_ values are zero. The initial strain in the element (ISTRN) is given by Δ/L, where Δ is the difference between the element length, L, (as defined by the I and J node locations) and the zero strain length. An added mass per unit length may be input with the ADDMAS value.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 44.1: "BEAM44 Geometry". The circled number represents the load key for the indicated face. Positive pressures act into the element. Lateral pressures are input as a force per unit length. End "pressures" are input as a force. KEYOPT(10) allows tapered lateral pressures to be offset from the nodes. Temperatures may be input as element body loads at the eight "corner" locations shown in Figure 44.1: "BEAM44 Geometry". Temperatures 1-4 are at node I and 5-8 are at node J. Note that the temperature input points are different from the stress output points shown in Figure 44.2: "BEAM44 Stress Output". The first corner temperature T1 defaults to TUNIF. If all other temperatures are unspecified, they default to T1. If only T1 and T2 are input, T3 defaults to T2 and T4 defaults to T1. If only T1 and T4 are input, T2 defaults to T1 and T3 defaults to T4. In both cases, T5 through T8 default to T1 through T4. For any other input pattern, unspecified temperatures default to TUNIF.

KEYOPT(9) is used to request output at intermediate locations. It is based on equilibrium (free body of a portion of the element) considerations and is not valid if:

  • stress stiffening is turned on [SSTIF,ON], or

  • more than one component of angular velocity is applied [OMEGA], or

  • any angular velocities or accelerations are applied with the CGOMGA, DOMEGA, or DCGOMG commands.

A summary of the element input is given in "BEAM44 Input Summary". A general description of element input is given in Element Input.

BEAM44 Input Summary

Nodes

I, J, K (K orientation node is optional)

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ

Real Constants
AREA1, IZ1, IY1, TKZB1, TKYB1, IX1,
AREA2, IZ2, IY2, TKZB2, TKYB2, IX2,
DX1, DY1, DZ1, DX2, DY2, DZ2,
SHEARZ, SHEARY, TKZT1, TKYT1, TKZT2, TKYT2,
ARESZ1, ARESY1, ARESZ2, ARESY2, TSF1, TSF2,
DSCZ1, DSCY1, DSCZ2, DSCY2, EFSZ, EFSY,
Y1, Z1, Y2, Z2, Y3, Z3,
Y4, Z4, Y1, Z1, Y2, Z2,
Y3, Z3, Y4, Z4, THETA, ISTRN,
ADDMAS
See Table 44.1: "BEAM44 Real Constants" for descriptions of the real constants.
Material Properties

EX, ALPX (or CTEX or THSX), DENS, GXY, DAMP

Surface Loads
Pressures --
face 1 (I-J) (-Z normal direction)
face 2 (I-J) (-Y normal direction)
face 3 (I-J) (+X tangential direction)
face 4 (I) (+X axial direction)
face 5 (J) (-X axial direction)
(use negative value for opposite loading)
Body Loads
Temperatures --

T1, T2, T3, T4, T5, T6, T7, T8

Special Features
Stress stiffening
Large deflection
Birth and death
KEYOPT(2)

Mass matrix:

0 --

Consistent

1 --

Reduced

KEYOPT(6)

Member force and moment output:

0 --

No member force printout

1 --

Print out member forces and moments in the element coordinate system

KEYOPT(7)

Stiffness release at node I:

1 --

Release element rotational Z-stiffness

10 --

Release element rotational Y-stiffness

100 --

Release element rotational X-stiffness

1000 --

Release element translational Z-stiffness

10000 --

Release element translational Y stiffness

100000 --

Release element translational X-stiffness

To combine releases, input the sum of the number keys (such as 11 for rotational Z and Y).

KEYOPT(8)

Same as KEYOPT(7) but used for node J:

KEYOPT(9)

Output at intermediate points between ends I and J:

N --

Output at N intermediate locations (N = 0, 1, 3, 5, 7, 9)

KEYOPT(10)

Load offset (used only for tapered surface loads with the SFBEAM command):

0 --

Offset is in terms of length units

1 --

Offset is in terms of a length ratio (0.0 to 1.0)

Note

SHEARZ goes with IZ. If SHEARZ = 0.0, there is no shear deflection in the element Y direction.

SHEARY goes with IY. If SHEARY = 0.0, there is no shear deflection in the element Z-direction

Table 44.1 BEAM44 Real Constants

No. | Name | Description
1 | AREA1 | Cross-sectional area at end 1 (node I)
2, 3 | IZ1, IY1 | Moments of inertia at end 1 about the Z and Y axes
4, 5 | TKZB1, TKYB1 | Bottom thickness at end 1 in the Z and Y directions
6 | IX1 | Torsional moment of inertia at end 1
7 | AREA2 | Cross-sectional area at end 2 (node J)
8, 9 | IZ2, IY2 | Moments of inertia at end 2 about the Z and Y axes
10, 11 | TKZB2, TKYB2 | Bottom thickness at end 2 in the Z and Y directions
12 | IX2 | Torsional moment of inertia at end 2
13, 14, 15 | DX1, DY1, DZ1 | X, Y, and Z offsets at end 1 (node I)
16, 17, 18 | DX2, DY2, DZ2 | X, Y, and Z offsets at end 2 (node J)
19, 20 | SHEARZ, SHEARY | Shear deflection constant in the Z and Y directions
21,22 | TKZT1, TKYT1 | Top thickness at end 1 (node I) in the Z and Y directions
23, 24 | TKZT2, TKYT2 | Top thickness at end 2 (node J) in the Z and Y directions
25, 26 | ARESZ1, ARESY1 | Shear areas at end 1 (node I) in the Z and Y directions
27, 28 | ARESZ2, ARESY2 | Shear areas at end 2 (node J) in the Z and Y directions
29. 30 | TSF1, TSF2 | Torsional stress factor at each end about the Z and Y axes
31, 32 | DSCZ1, DSCY1 | Shear center offset at end 1 (node I) in the Z and Y directions
33, 34 | DSCZ2, DSCY2 | Shear center offset at end 2 (node J) in the Z and Y directions
35, 36 | EFSZ, EFSY | Foundation stiffnesses in the Z and Y directions
37, 38 | Y1, Z1 | Y, Z coordinate set 1 for additional stress output at end 1 (node I)
39, 40 | Y2, Z2 | Y, Z coordinate set 2 for additional stress output at end 1 (node I)
41, 42 | Y3, Z3 | Y, Z coordinate set 3 for additional stress output at end 1 (node I)
43, 44 | Y4, Z4 | Y, Z coordinate set 4 for additional stress output at end 1 (node I)
45, 46 | Y1, Z1 | Y, Z coordinate set 1 for additional stress output at end 2 (node J)
47, 48 | Y2, Z2 | Y, Z coordinate set 2 for additional stress output at end 2 (node J)
49, 50 | Y3, Z3 | Y, Z coordinate set 3 for additional stress output at end 2 (node J)
51, 52 | Y4, Z4 (at end J) | Y, Z coordinate set 4 for additional stress output at end 2 (node J)
53 | THETA | Element X-axis rotation
54 | ISTRN | Initial strain in element
55 | ADDMAS | Added mass/unit length

BEAM44 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 44.2: "BEAM44 Element Output Definitions"

Several items are illustrated in Figure 44.2: "BEAM44 Stress Output". At each cross-section, the computed output consists of the direct (axial) stress and four bending components. Then these five values are combined to evaluate maximum and minimum stresses, assuming a rectangular cross section. If constants Y1 through Z4 are provided, the combined stresses at the specified locations shown in Figure 44.2: "BEAM44 Stress Output" will also be computed. If KEYOPT(6) = 1 for this element, the 12 member forces and moments (6 at each end) are also printed (in the element coordinate directions). The element x-axis is defined through the center of gravity of the cross section. If real constants 25 through 30 (ARES_ _, TSF_) are provided, the average shear stresses and the torsional stresses are printed. If they are all zero, the shear printout is suppressed. Additional results at intermediate locations between the ends may be output with KEYOPT(9). A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Note

If /ESHAPE,1 has been specified, 3-D plotting of BEAM44 elements is supported in the ANSYS preprocessor only. 3-D plotting of BEAM44 elements is not supported in the ANSYS postprocessor.

Figure 44.2 BEAM44 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 44.2 BEAM44 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | - | Y
XC, YC, ZC | Location where results are reported | Y | 5
TEMP | Temperatures T1, T2, T3, T4, T5, T6, T7, T8 | Y | Y
PRES | Pressures P1 at nodes I, J; OFFST1 at I, J; P2 at I, J; OFFST2 at I, J; P3 at I, J; OFFST3 at I, J; P4 at I; P5 at J | Y | Y
SDIR | Axial direct stress | 1 | 1
SBYT | Bending stress on the element +Y side of the beam | 1 | 1
SBYB | Bending stress on the element -Y side of the beam | 1 | 1
SBZT | Bending stress on the element +Z side of the beam | 1 | 1
SBZB | Bending stress on the element -Z side of the beam | 1 | 1
SMAX | Maximum stress (direct stress + bending stress) | 1 | 1
SMIN | Minimum stress (direct stress - bending stress) | 1 | 1
EPELDIR | Axial elastic strain at the end | 1 | 1
EPELBYT | Bending elastic strain on the element +Y side of the beam | 1 | 1
EPELBYB | Bending elastic strain on the element -Y side of the beam | 1 | 1
EPELBZT | Bending elastic strain on the element +Z side of the beam | 1 | 1
EPELBZB | Bending elastic strain on the element -Z side of the beam | 1 | 1
EPTHDIR | Axial thermal strain at the end | 1 | 1
EPTHBYT | Bending thermal strain on the element +Y side of the beam | 1 | 1
EPTHBYB | Bending thermal strain on the element -Y side of the beam | 1 | 1
EPTHBZT | Bending thermal strain on the element +Z side of the beam | 1 | 1
EPTHBZB | Bending thermal strain on the element -Z side of the beam | 1 | 1
EPINAXL | Initial axial strain in the element | 1 | 1
S(XY, XZ, YZ) | Average shear (Y-direction), average shear (Z-direction), torsion stresses | 2 | 2
S(AXL1, AXL2, AXL3, AXL4) | Combined stresses at user points 1, 2, 3 and 4 | 3 | 3
MFOR(X, Y, Z) | Member forces in the element coordinate system X, Y, Z directions | 4 | Y
MMOM(X, Y, Z) | Member moments in the element coordinate system X, Y, Z directions | 4 | Y

  1. The item repeats for end I, intermediate locations (see KEYOPT(9)), and end J

  2. Output only if real constants 25-30 are provided

  3. Output only if real constants 37-52 are provided

  4. If KEYOPT(6) = 1

  5. Available only at centroid as a *GET item.

Table 44.3: "BEAM44 Item and Sequence Numbers (KEYOPT(9) = 0)" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 44.3: "BEAM44 Item and Sequence Numbers (KEYOPT(9) = 0)":

Name

output quantity as defined in the Table 44.2: "BEAM44 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J

sequence number for data at nodes I and J

ILn

sequence number for data at Intermediate Location n

SPn

solution items for Stress Point n

Table 44.3 BEAM44 Item and Sequence Numbers (KEYOPT(9) = 0)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J
SDIR | LS | - | 1 | 6
SBYT | LS | - | 2 | 7
SBYB | LS | - | 3 | 8
SBZT | LS | - | 4 | 9
SBZB | LS | - | 5 | 10
EPELDIR | LEPEL | - | 1 | 6
EPELBYT | LEPEL | - | 2 | 7
EPELBYB | LEPEL | - | 3 | 8
EPELBZT | LEPEL | - | 4 | 9
EPELBZB | LEPEL | - | 5 | 10
EPTHDIR | LEPTH | - | 1 | 6
EPTHBYT | LEPTH | - | 2 | 7
EPTHBYB | LEPTH | - | 3 | 8
EPTHBZT | LEPTH | - | 4 | 9
EPTHBZB | LEPTH | - | 5 | 10
EPINAXL | LEPTH | 11 | - | -
SMAX | NMISC | - | 1 | 3
SMIN | NMISC | - | 2 | 4
MFORX | SMISC | - | 1 | 7
MFORY | SMISC | - | 2 | 8
MFORZ | SMISC | - | 3 | 9
MMOMX | SMISC | - | 4 | 10
MMOMY | SMISC | - | 5 | 11
MMOMZ | SMISC | - | 6 | 12
SXY | SMISC | - | 13 | 16
SXZ | SMISC | - | 14 | 17
SYZ | SMISC | - | 15 | 18
P1 | SMISC | - | 27 | 28
OFFST1 | SMISC | - | 29 | 30
P2 | SMISC | - | 31 | 32
OFFST2 | SMISC | - | 33 | 34
P3 | SMISC | - | 35 | 36
OFFST3 | SMISC | - | 37 | 38
P4 | SMISC | - | 39 |
P5 | SMISC | - |  | 40
SAXL (SP1) | SMISC | - | 19 | 23
SAXL (SP2) | SMISC | - | 20 | 24
SAXL (SP3) | SMISC | - | 21 | 25
SAXL (SP4) | SMISC | - | 22 | 26
 |  | Corner Location
 |  | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8
TEMP | LBFE | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8

Table 44.4 BEAM44 Item and Sequence Numbers (KEYOPT(9) = 1)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | IL1 | J
SDIR | LS | - | 1 | 6 | 11
SBYT | LS | - | 2 | 7 | 12
SBYB | LS | - | 3 | 8 | 13
SBZT | LS | - | 4 | 9 | 14
SBZB | LS | - | 5 | 10 | 15
EPELDIR | LEPEL | - | 1 | 6 | 11
EPELBYT | LEPEL | - | 2 | 7 | 12
EPELBYB | LEPEL | - | 3 | 8 | 13
EPELBZT | LEPEL | - | 4 | 9 | 14
EPELBZB | LEPEL | - | 5 | 10 | 15
EPTHDIR | LEPTH | - | 1 | 6 | 11
EPTHBYT | LEPTH | - | 2 | 7 | 12
EPTHBYB | LEPTH | - | 3 | 8 | 13
EPTHBZT | LEPTH | - | 4 | 9 | 14
EPTHBZB | LEPTH | - | 5 | 10 | 15
EPINAXL | LEPTH | 16 | - | - | -
SMAX | NMISC | - | 1 | 3 | 5
SMIN | NMISC | - | 2 | 4 | 6
MFORX | SMISC | - | 1 | 7 | 13
MFORY | SMISC | - | 2 | 8 | 14
MFORZ | SMISC | - | 3 | 9 | 15
MMOMX | SMISC | - | 4 | 10 | 16
MMOMY | SMISC | - | 5 | 11 | 17
MMOMZ | SMISC | - | 6 | 12 | 18
SXY | SMISC | - | 19 | 22 | 25
SXZ | SMISC | - | 20 | 23 | 26
SYZ | SMISC | - | 21 | 24 | 27
P1 | SMISC | - | 40 | - | 41
OFFST1 | SMISC | - | 42 | - | 43
P2 | SMISC | - | 44 | - | 45
OFFST2 | SMISC | - | 46 | - | 47
P3 | SMISC | - | 48 | - | 49
OFFST3 | SMISC | - | 50 | - | 51
P4 | SMISC | - | 52 | - | -
P5 | SMISC | - | - | - | 53
SAXL (SP1) | SMISC | - | 28 | 32 | 36
SAXL (SP2) | SMISC | - | 29 | 33 | 37
SAXL (SP3) | SMISC | - | 30 | 34 | 38
SAXL (SP4) | SMISC | - | 31 | 35 | 39
 |  | Corner Location
 |  | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8
TEMP | LBFE | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8

Table 44.5 BEAM44 Item and Sequence Numbers (KEYOPT(9) = 3)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | IL1 | IL2 | IL3 | J
SDIR | LS | - | 1 | 6 | 11 | 16 | 21
SBYT | LS | - | 2 | 7 | 12 | 17 | 22
SBYB | LS | - | 3 | 8 | 13 | 18 | 23
SBZT | LS | - | 4 | 9 | 14 | 19 | 24
SBZB | LS | - | 5 | 10 | 15 | 20 | 25
EPELDIR | LEPEL | - | 1 | 6 | 11 | 16 | 21
EPELBYT | LEPEL | - | 2 | 7 | 12 | 17 | 22
EPELBYB | LEPEL | - | 3 | 8 | 13 | 18 | 23
EPELBZT | LEPEL | - | 4 | 9 | 14 | 19 | 24
EPELBZB | LEPEL | - | 5 | 10 | 15 | 20 | 25
EPTHDIR | LEPTH | - | 1 | 6 | 11 | 16 | 21
EPTHBYT | LEPTH | - | 2 | 7 | 12 | 17 | 22
EPTHBYB | LEPTH | - | 3 | 8 | 13 | 18 | 23
EPTHBZT | LEPTH | - | 4 | 9 | 14 | 19 | 24
EPTHBZB | LEPTH | - | 5 | 10 | 15 | 20 | 25
EPINAXL | LEPTH | 26 | - | - | - | - | -
SMAX | NMISC | - | 1 | 3 | 5 | 7 | 9
SMIN | NMISC | - | 2 | 4 | 6 | 8 | 10
MFORX | SMISC | - | 1 | 7 | 13 | 19 | 25
MFORY | SMISC | - | 2 | 8 | 14 | 20 | 26
MFORZ | SMISC | - | 3 | 9 | 15 | 21 | 27
MMOMX | SMISC | - | 4 | 10 | 16 | 22 | 28
MMOMY | SMISC | - | 5 | 11 | 17 | 23 | 29
MMOMZ | SMISC | - | 6 | 12 | 18 | 24 | 30
SXY | SMISC | - | 31 | 34 | 37 | 40 | 43
SXZ | SMISC | - | 32 | 35 | 38 | 41 | 44
SYZ | SMISC | - | 33 | 36 | 39 | 42 | 45
P1 | SMISC | - | 66 | - | - | - | 67
OFFST1 | SMISC | - | 68 | - | - | - | 69
P2 | SMISC | - | 70 | - | - | - | 71
OFFST2 | SMISC | - | 72 | - | - | - | 73
P3 | SMISC | - | 74 | - | - | - | 75
OFFST3 | SMISC | - | 76 | - | - | - | 77
P4 | SMISC | - | 78 | - | - | - | -
P5 | SMISC | - | - | - | - | - | 79
SAXL (SP1) | SMISC | - | 46 | 50 | 54 | 58 | 62
SAXL (SP2) | SMISC | - | 47 | 51 | 55 | 59 | 63
SAXL (SP3) | SMISC | - | 48 | 52 | 56 | 60 | 64
SAXL (SP4) | SMISC | - | 49 | 53 | 57 | 61 | 65
 |  | Corner Location
 |  | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8
TEMP | LBFE | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8

Table 44.6 BEAM44 Item and Sequence Numbers (KEYOPT(9) = 5)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | IL1 | IL2 | IL3 | IL4 | IL5 | J
SDIR | LS | - | 1 | 6 | 11 | 16 | 21 | 26 | 31
SBYT | LS | - | 2 | 7 | 12 | 17 | 22 | 27 | 32
SBYB | LS | - | 3 | 8 | 13 | 18 | 23 | 28 | 33
SBZT | LS | - | 4 | 9 | 14 | 19 | 24 | 29 | 34
SBZB | LS | - | 5 | 10 | 15 | 20 | 25 | 30 | 35
EPELDIR | LEPEL | - | 1 | 6 | 11 | 16 | 21 | 26 | 31
EPELBYT | LEPEL | - | 2 | 7 | 12 | 17 | 22 | 27 | 32
EPELBYB | LEPEL | - | 3 | 8 | 13 | 18 | 23 | 28 | 33
EPELBZT | LEPEL | - | 4 | 9 | 14 | 19 | 24 | 29 | 34
EPELBZB | LEPEL | - | 5 | 10 | 15 | 20 | 25 | 30 | 35
EPTHDIR | LEPTH | - | 1 | 6 | 11 | 16 | 21 | 26 | 31
EPTHBYT | LEPTH | - | 2 | 7 | 12 | 17 | 22 | 27 | 32
EPTHBYB | LEPTH | - | 3 | 8 | 13 | 18 | 23 | 28 | 33
EPTHBZT | LEPTH | - | 4 | 9 | 14 | 19 | 24 | 29 | 34
EPTHBZB | LEPTH | - | 5 | 10 | 15 | 20 | 25 | 30 | 35
EPINAXL | LEPTH | 36 | - | - | - | - | - | - | -
SMAX | NMISC | - | 1 | 3 | 5 | 7 | 9 | 11 | 13
SMIN | NMISC | - | 2 | 4 | 6 | 8 | 10 | 12 | 14
MFORX | SMISC | - | 1 | 7 | 13 | 19 | 25 | 31 | 37
MFORY | SMISC | - | 2 | 8 | 14 | 20 | 26 | 32 | 38
MFORZ | SMISC | - | 3 | 9 | 15 | 21 | 27 | 33 | 39
MMOMX | SMISC | - | 4 | 10 | 16 | 22 | 28 | 34 | 40
MMOMY | SMISC | - | 5 | 11 | 17 | 23 | 29 | 35 | 41
MMOMZ | SMISC | - | 6 | 12 | 18 | 24 | 30 | 36 | 42
SXY | SMISC | - | 43 | 46 | 49 | 52 | 55 | 58 | 61
SXZ | SMISC | - | 44 | 47 | 50 | 53 | 56 | 59 | 62
SYZ | SMISC | - | 45 | 48 | 51 | 54 | 57 | 60 | 63
P1 | SMISC | - | 92 | - | - | - | - | - | 93
OFFST1 | SMISC | - | 94 | - | - | - | - | - | 95
P2 | SMISC | - | 96 | - | - | - | - | - | 97
OFFST2 | SMISC | - | 98 | - | - | - | - | - | 99
P3 | SMISC | - | 100 | - | - | - | - | - | 101
OFFST3 | SMISC | - | 102 | - | - | - | - | - | 103
P4 | SMISC | - | 104 | - | - | - | - | - | -
P5 | SMISC | - | - | - | - | - | - | - | 105
SAXL (SP1) | SMISC | - | 64 | 68 | 72 | 76 | 80 | 84 | 88
SAXL (SP2) | SMISC | - | 65 | 69 | 73 | 77 | 81 | 85 | 89
SAXL (SP3) | SMISC | - | 66 | 70 | 74 | 78 | 82 | 86 | 90
SAXL (SP4) | SMISC | - | 67 | 71 | 75 | 79 | 83 | 87 | 91
 |  | Corner Location
 |  | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8
TEMP | LBFE | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8

Table 44.7 BEAM44 Item and Sequence Numbers (KEYOPT(9) = 7)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | IL1 | IL2 | IL3 | IL4 | IL5 | IL6 | IL7 | J
SDIR | LS | - | 1 | 6 | 11 | 16 | 21 | 26 | 31 | 36 | 41
SBYT | LS | - | 2 | 7 | 12 | 17 | 22 | 27 | 32 | 37 | 42
SBYB | LS | - | 3 | 8 | 13 | 18 | 23 | 28 | 33 | 38 | 43
SBZT | LS | - | 4 | 9 | 14 | 19 | 24 | 29 | 34 | 39 | 44
SBZB | LS | - | 5 | 10 | 15 | 20 | 25 | 30 | 35 | 40 | 45
EPELDIR | LEPEL | - | 1 | 6 | 11 | 16 | 21 | 26 | 31 | 36 | 41
EPELBYT | LEPEL | - | 2 | 7 | 12 | 17 | 22 | 27 | 32 | 37 | 42
EPELBYB | LEPEL | - | 3 | 8 | 13 | 18 | 23 | 28 | 33 | 38 | 43
EPELBZT | LEPEL | - | 4 | 9 | 14 | 19 | 24 | 29 | 34 | 39 | 44
EPELBZB | LEPEL | - | 5 | 10 | 15 | 20 | 25 | 30 | 35 | 40 | 45
EPTHDIR | LEPTH | - | 1 | 6 | 11 | 16 | 21 | 26 | 31 | 36 | 41
EPTHBYT | LEPTH | - | 2 | 7 | 12 | 17 | 22 | 27 | 32 | 37 | 42
EPTHBYB | LEPTH | - | 3 | 8 | 13 | 18 | 23 | 28 | 33 | 38 | 43
EPTHBZT | LEPTH | - | 4 | 9 | 14 | 19 | 24 | 29 | 34 | 39 | 44
EPTHBZB | LEPTH | - | 5 | 10 | 15 | 20 | 25 | 30 | 35 | 40 | 45
EPINAXL | LEPTH | 46 | - | - | - | - | - | - | - | - | -
SMAX | NMISC | - | 1 | 3 | 5 | 7 | 9 | 11 | 13 | 15 | 17
SMIN | NMISC | - | 2 | 4 | 6 | 8 | 10 | 12 | 14 | 16 | 18
MFORX | SMISC | - | 1 | 7 | 13 | 19 | 25 | 31 | 37 | 43 | 49
MFORY | SMISC | - | 2 | 8 | 14 | 20 | 26 | 32 | 38 | 44 | 50
MFORZ | SMISC | - | 3 | 9 | 15 | 21 | 27 | 33 | 39 | 45 | 51
MMOMX | SMISC | - | 4 | 10 | 16 | 22 | 28 | 34 | 40 | 46 | 52
MMOMY | SMISC | - | 5 | 11 | 17 | 23 | 29 | 35 | 41 | 47 | 53
MMOMZ | SMISC | - | 6 | 12 | 18 | 24 | 30 | 36 | 42 | 48 | 54
SXY | SMISC | - | 55 | 58 | 61 | 64 | 67 | 70 | 73 | 76 | 79
SXZ | SMISC | - | 56 | 59 | 62 | 65 | 68 | 71 | 74 | 77 | 80
SYZ | SMISC | - | 57 | 60 | 63 | 66 | 69 | 72 | 75 | 78 | 81
P1 | SMISC | - | 118 | - | - | - | - | - | - | - | 119
OFFST1 | SMISC | - | 120 | - | - | - | - | - | - | - | 121
P2 | SMISC | - | 122 | - | - | - | - | - | - | - | 123
OFFST2 | SMISC | - | 124 | - | - | - | - | - | - | - | 125
P3 | SMISC | - | 126 | - | - | - | - | - | - | - | 127
OFFST3 | SMISC | - | 128 | - | - | - | - | - | - | - | 129
P4 | SMISC | - | 130 | - | - | - | - | - | - | - | -
P5 | SMISC | - | - | - | - | - | - | - | - | - | 131
SAXL (SP1) | SMISC | - | 82 | 86 | 90 | 94 | 98 | 102 | 106 | 110 | 114
SAXL (SP2) | SMISC | - | 83 | 87 | 91 | 95 | 99 | 103 | 107 | 111 | 115
SAXL (SP3) | SMISC | - | 84 | 88 | 92 | 96 | 100 | 104 | 108 | 112 | 116
SAXL (SP4) | SMISC | - | 85 | 89 | 93 | 97 | 101 | 105 | 109 | 113 | 117
 |  | Corner Location
 |  | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8
TEMP | LBFE | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8

Table 44.8 BEAM44 Item and Sequence Numbers (KEYOPT(9) = 9)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | IL1 | IL2 | IL3 | IL4 | IL5 | IL6 | IL7 | IL8 | IL9 | J
SDIR | LS | - | 1 | 6 | 11 | 16 | 21 | 26 | 31 | 36 | 41 | 46 | 51
SBYT | LS | - | 2 | 7 | 12 | 17 | 22 | 27 | 32 | 37 | 42 | 47 | 52
SBYB | LS | - | 3 | 8 | 13 | 18 | 23 | 28 | 33 | 38 | 43 | 48 | 53
SBZT | LS | - | 4 | 9 | 14 | 19 | 24 | 29 | 34 | 39 | 44 | 49 | 54
SBZB | LS | - | 5 | 10 | 15 | 20 | 25 | 30 | 35 | 40 | 45 | 50 | 55
EPELDIR | LEPEL | - | 1 | 6 | 11 | 16 | 21 | 26 | 31 | 36 | 41 | 46 | 51
EPELBYT | LEPEL | - | 2 | 7 | 12 | 17 | 22 | 27 | 32 | 37 | 42 | 47 | 52
EPELBYB | LEPEL | - | 3 | 8 | 13 | 18 | 23 | 28 | 33 | 38 | 43 | 48 | 53
EPELBZT | LEPEL | - | 4 | 9 | 14 | 19 | 24 | 29 | 34 | 39 | 44 | 49 | 54
EPELBZB | LEPEL | - | 5 | 10 | 15 | 20 | 25 | 30 | 35 | 40 | 45 | 50 | 55
EPTHDIR | LEPTH | - | 1 | 6 | 11 | 16 | 21 | 26 | 31 | 36 | 41 | 46 | 51
EPTHBYT | LEPTH | - | 2 | 7 | 12 | 17 | 22 | 27 | 32 | 37 | 42 | 47 | 52
EPTHBYB | LEPTH | - | 3 | 8 | 13 | 18 | 23 | 28 | 33 | 38 | 43 | 48 | 53
EPTHBZT | LEPTH | - | 4 | 9 | 14 | 19 | 24 | 29 | 34 | 39 | 44 | 49 | 54
EPTHBZB | LEPTH | - | 5 | 10 | 15 | 20 | 25 | 30 | 35 | 40 | 45 | 50 | 55
EPINAXL | LEPTH | 56 | - | - | - | - | - | - | - | - | - | - | -
SMAX | NMISC | - | 1 | 3 | 5 | 7 | 9 | 11 | 13 | 15 | 17 | 19 | 21
SMIN | NMISC | - | 2 | 4 | 6 | 8 | 10 | 12 | 14 | 16 | 18 | 20 | 22
MFORX | SMISC | - | 1 | 7 | 13 | 19 | 25 | 31 | 37 | 43 | 49 | 55 | 61
MFORY | SMISC | - | 2 | 8 | 14 | 20 | 26 | 32 | 38 | 44 | 50 | 56 | 62
MFORZ | SMISC | - | 3 | 9 | 15 | 21 | 27 | 33 | 39 | 45 | 51 | 57 | 63
MMOMX | SMISC | - | 4 | 10 | 16 | 22 | 28 | 34 | 40 | 46 | 52 | 58 | 64
MMOMY | SMISC | - | 5 | 11 | 17 | 23 | 29 | 35 | 41 | 47 | 53 | 59 | 65
MMOMZ | SMISC | - | 6 | 12 | 18 | 24 | 30 | 36 | 42 | 48 | 54 | 60 | 66
SXY | SMISC | - | 67 | 70 | 73 | 76 | 79 | 82 | 85 | 88 | 91 | 94 | 97
SXZ | SMISC | - | 68 | 71 | 74 | 77 | 80 | 83 | 86 | 89 | 92 | 95 | 98
SYZ | SMISC | - | 69 | 72 | 75 | 78 | 81 | 84 | 87 | 90 | 93 | 96 | 99
P1 | SMISC | - | 144 | - | - | - | - | - | - | - | - | - | 145
OFFST1 | SMISC | - | 146 | - | - | - | - | - | - | - | - | - | 147
P2 | SMISC | - | 148 | - | - | - | - | - | - | - | - | - | 149
OFFST2 | SMISC | - | 150 | - | - | - | - | - | - | - | - | - | 151
P3 | SMISC | - | 152 | - | - | - | - | - | - | - | - | - | 153
OFFST3 | SMISC | - | 154 | - | - | - | - | - | - | - | - | - | 155
P4 | SMISC | - | 156 | - | - | - | - | - | - | - | - | - | -
P5 | SMISC | - | - | - | - | - | - | - | - | - | - | - | 157
SAXL (SP1) | SMISC | - | 100 | 104 | 108 | 112 | 116 | 120 | 124 | 128 | 132 | 136 | 140
SAXL (SP2) | SMISC | - | 101 | 105 | 109 | 113 | 117 | 121 | 125 | 129 | 133 | 137 | 141
SAXL (SP3) | SMISC | - | 102 | 106 | 110 | 114 | 118 | 122 | 126 | 130 | 134 | 138 | 142
SAXL (SP4) | SMISC | - | 103 | 107 | 111 | 115 | 119 | 123 | 127 | 131 | 135 | 139 | 143
 |  | Corner Location
 |  | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8
TEMP | LBFE | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8

BEAM44 Assumptions and Restrictions

  • The beam must not have a zero length, area, or moment of inertia.

  • Because shear area is not calculated when using section properties to create BEAM44, no shear stresses will be output. Use of BEAM188 or BEAM189 to output and visualize shear stresses.

  • The element thicknesses are used for locating the extreme fibers for the stress calculations and for computing the thermal gradient.

  • Tapers within an element, if any, should be gradual. If AREA2/AREA1 or I2/I1 is not between 0.5 and 2.0, a warning message is output. If the ratio is outside of the range of 0.1 to 10.0, an error message is output. The element should not taper to a point (zero thickness).

  • The applied thermal gradients are assumed to be linear across the thickness in both directions and along the length of the element.

  • The flexible length of the beam is adjusted to account for the effect of the offsets. The offset lengths may be regarded as rigid portions of the beam. Unequal lateral offsets, which rotate the beam, also cause a corresponding shortening of the flexible length. The difference between the lateral offsets should not exceed the length of the element. Rotational body forces resulting from an angular velocity are based upon the node locations (as if zero offsets).

  • The shear stresses are calculated based on the shear force rather than the shear deflection

  • BEAM44 can be used with any cross section that was defined using SECTYPE, SECDATA, SECOFFSET, SECWRITE, and SECREAD. However, a section defined with these commands will be used only if there is no real constant set defined.

  • An unsymmetric section, defined using SECTYPE, SECDATA, SECOFFSET, SECWRITE, and SECREAD, must be transformed into a principal coordinate system. This system is defined by the real constant THETA. Real Constants and Output Data are calculated in the principal coordinate system. Note, a small peturbation of a regular polygon may result in a large rotation of the principal axes.

  • Unlike BEAM188 and BEAM189, numerical integration is not performed through the cross section when BEAM44 elements are used.

  • If you have issued an /ESHAPE,1 command: With the exception of displaced shape and expanded element plots, 3-D plots of BEAM44 elements with section definition (instead of real constants) do not support contour data in the ANSYS postprocessor.

  • A lumped mass matrix formulation [LUMPM,ON] is not allowed for this element when using member releases in the element translational Y or Z directions. In addition, the effect of offsets on the mass matrix is ignored if the lumped mass formulation is on.

BEAM44 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The DAMP material property is not allowed.

  • The only special features allowed are stress stiffening and large deflection.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SHELL43 		Up / Home Next
SOLID45


SOLID45

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID45

3-D Structural Solid

MP ME ST PR PRN DS DSS <> <> <> <> PP <>

Product Restrictions

SOLID45 Element Description

SOLID45 is used for the 3-D modeling of solid structures. The element is defined by eight nodes having three degrees of freedom at each node: translations in the nodal x, y, and z directions.

The element has plasticity, creep, swelling, stress stiffening, large deflection, and large strain capabilities. A reduced integration option with hourglass control is available. See SOLID45 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. A higher-order version of the SOLID45 element is SOLID95.

Figure 45.1 SOLID45 Geometry

SOLID45 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 45.1: "SOLID45 Geometry". The element is defined by eight nodes and the orthotropic material properties. Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 45.1: "SOLID45 Geometry". Positive pressures act into the element. Temperatures and fluences may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). For any other input temperature pattern, unspecified temperatures default to TUNIF. Similar defaults occurs for fluence except that zero is used instead of TUNIF.

KEYOPT(1) is used to include or suppress the extra displacement shapes. KEYOPT(5) and KEYOPT(6) provide various element printout options (see Element Solution).

This element also supports uniform reduced (1 point) integration with hourglass control when KEYOPT(2) = 1. Using uniform reduced integration provides the following advantages when running a nonlinear analysis:

  • Less cpu time is required for element stiffness formation and stress/strain calculations to achieve a comparable accuracy to the FULL integration option.

  • The length of the element history saved record (.ESAV and .OSAV) is about 1/7th as much as when the full integration (2 X 2 X 2) is used for the same number of elements.

  • Nonlinear convergence characteristic of the option is generally far superior to the default full integration with extra displacement shape; that is, KEYOPT(1) = 0, KEYOPT(2) = 0.

  • The analysis will not suffer from volumetric locking which can be caused by plasticity or other incompressible material properties.

An analysis using uniform reduced integration can have the following disadvantages:

  • The analysis is not as accurate as the full integration method, which is apparent in the linear analysis for the same mesh.

  • The analysis cannot capture the bending behavior with a single layer of elements; for example, in the case of a fixed-end cantilever with a lateral point load, modeled by one layer of elements laterally. Instead, four elements are usually recommended.

When the uniform reduced integration option is used (KEYOPT(2) = 1 - this option is the same as SOLID185 with KEYOPT(2) = 1), you can check the accuracy of the solution by comparing the total energy (SENE label in ETABLE) and the artificial energy (AENE label in ETABLE) introduced by hourglass control. If the ratio of artificial energy to total energy is less than 5%, the solution is generally acceptable. If the ratio exceeds 5%, refine the mesh. The total energy and artificial energy can also be monitored by using the OUTPR,VENG command in the solution phase. For more details, see the Theory Reference for ANSYS and ANSYS Workbench.

Initial state conditions previously handled via the ISTRESS command will be discontinued for this element. The INISTATE command will provide increased functionality, but only via the Current Technology elements (180,181, etc. ). To continue using Initial State conditions in future versions of ANSYS, consider switching to the appropriate Current Technology element. For more information on setting Initial State values see the INISTATE command and Initial State Loading in the Basic Analysis Guide. For more information on current -vs- legacy element technologies see Legacy vs. Current Element Technologies in the Elements Reference

You can include the effects of pressure load stiffness in a geometric nonlinear analysis using SOLCONTROL,,,INCP. Pressure load stiffness effects are included in linear eigenvalue buckling automatically. If an unsymmetric matrix is needed for pressure load stiffness effects, use NROPT,UNSYM.

A summary of the element input is given in "SOLID45 Input Summary". A general description of element input is given in Element Input.

SOLID45 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

UX, UY, UZ

Real Constants

HGSTF - Hourglass control factor needed only when KEYOPT(2) = 1.

Note

The valid value for this real constant is any positive number; default = 1.0. We recommend that you use a value between 1 and 10.

Material Properties
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ), ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ), DENS, GXY, GYZ, GXZ, DAMP
Surface Loads
Pressures --

face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N), face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)

Body Loads
Temperatures --

T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P)

Fluences --

FL(I), FL(J), FL(K), FL(L), FL(M), FL(N), FL(O), FL(P)

Special Features
Plasticity (BISO, MISO, BKIN, MKIN, KINH, DP, ANISO, CHABOCHE, HILL)
Creep (CREEP, RATE)
Swelling (SWELL)
Elasticity (MELAS)
Other material (USER)
Stress stiffening
Large deflection
Large strain
Birth and death
Adaptive descent
Initial stress import

Note

Items in parentheses refer to data tables associated with the TB command.

KEYOPT(1)

Include or suppress extra displacement shapes:

0 --

Include extra displacement shapes

1 --

Suppress extra displacement shapes

KEYOPT(2)

Integration option:

0 --

Full integration with or without extra displacement shapes, depending on the setting of KEYOPT(1)

1 --

Uniform reduced integration with hourglass control; suppress extra displacement shapes (KEYOPT(1) is automatically set to 1).

KEYOPT(4)

Element coordinate system:

0 --

Element coordinate system is parallel to the global coordinate system

1 --

Element coordinate system is based on the element I-J side

KEYOPT(5)

Extra element output:

0 --

Basic element solution

1 --

Repeat basic solution for all integration points

2 --

Nodal Stress Solution

KEYOPT(6)

Extra surface output:

0 --

Basic element solution

1 --

Surface solution for face I-J-N-M also

2 --

Surface solution for face I-J-N-M and face K-L-P-O (Surface solution available for linear materials only)

3 --

Include nonlinear solution at each integration point

4 --

Surface solution for faces with nonzero pressure

KEYOPT(9)

Initial stress subroutine option (available only through direct input of the KEYOPT command):

0 --

No user subroutine to provide initial stress (default)

1 --

Read initial stress data from user subroutine USTRESS (see the Guide to ANSYS User Programmable Features for user written subroutines)

SOLID45 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 45.1: "SOLID45 Element Output Definitions"

Several items are illustrated in Figure 45.2: "SOLID45 Stress Output". The element stress directions are parallel to the element coordinate system. The surface stress outputs are in the surface coordinate systems and are available for any face (KEYOPT(6)). The coordinate systems for faces IJNM and KLPO are shown in Figure 45.1: "SOLID45 Geometry". The other surface coordinate systems follow similar orientations as indicated by the pressure face node description. Surface stress printout is valid only if the conditions described in Element Solution are met. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 45.2 SOLID45 Stress Output

Stress directions shown are for KEYOPT(4) = 0

When KEYOPT(2) = 1 (the element is using uniform reduced integration), all the outputs for the element integration points are output in the same style as the full integration outputs. The number of points for full integration is used for consistency of output within the same element type.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 45.1 SOLID45 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 3
PRES | Pressures P1 at nodes J, I, L, K; P2 at I, J, N, M; P3 at J, K, O, N; P4 at K, L, P, O; P5 at L, I, M, P; P6 at M, N, O, P | Y | Y
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | Y | Y
FLUEN | Fluences FL(I), FL(J), FL(K), FL(L), FL(M), FL(N), FL(O), FL(P) | Y | Y
S:X, Y, Z, XY, YZ, XZ | Stresses | Y | Y
S:1, 2, 3 | Principal stresses | Y | Y
S:INT | Stress intensity | Y | Y
S:EQV | Equivalent stress | Y | Y
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | Y | Y
EPEL:1, 2, 3 | Principal elastic strains | Y | -
EPEL:EQV | Equivalent elastic strain [4] | Y | Y
EPTH:X, Y, Z, XY, YZ, XZ | Average thermal strains | - | 5
EPTH:EQV | Equivalent thermal strain [4] | - | 5
EPPL:X, Y, Z, XY, YZ, XZ | Average plastic strains | 1 | 1
EPPL:EQV | Equivalent plastic strain [4] | 1 | 1
EPCR:X, Y, Z, XY, YZ, XZ | Average creep strains | 1 | 1
EPCR:EQV | Equivalent creep strain [4] | 1 | 1
EPSW: | Average swelling strain | 1 | 1
NL:EPEQ | Average equivalent plastic strain | 1 | 1
NL:SRAT | Ratio of trial stress to stress on yield surface | 1 | 1
NL:SEPL | Average equivalent stress from stress-strain curve | 1 | 1
NL:HPRES | Hydrostatic pressure |  | 1
FACE | Face label | 2 | 2
AREA | Face area | 2 | 2
TEMP | Surface average temperature | 2 | 2
EPEL | Surface elastic strains (X ,Y, XY) | 2 | 2
PRESS | Surface pressure | 2 | 2
S(X, Y, XY) | Surface stresses (X-axis parallel to line defined by first two nodes which define the face) | 2 | 2
S(1, 2, 3) | Surface principal stresses | 2 | 2
SINT | Surface stress intensity | 2 | 2
SEQV | Surface equivalent stress | 2 | 2
LOCI:X, Y, Z | Integration point locations | - | Y

  1. Nonlinear solution, output only if the element has a nonlinear material

  2. Surface output (if KEYOPT(6) is 1, 2, or 4)

  3. Available only at centroid as a *GET item

  4. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY); for plastic and creep this value is set at 0.5.

  5. Output only if element has a thermal load.

Table 45.2 SOLID45 Miscellaneous Element Output

Description | Names of Items Output | O | R
Nonlinear Integration Pt. Solution | EPPL, EPEQ, SRAT, SEPL, HPRES, EPCR, EPSW | 1 | -
Integration Point Stress Solution | TEMP, S(X, Y, Z, XY, YZ, XZ), SINT, SEQV, EPEL | 2 | -
Nodal Stress Solution | TEMP, S(X, Y, Z, XY, YZ, XZ), SINT, SEQV, EPEL | 3 | -

  1. Output at each of eight integration points, if the element has a nonlinear material and KEYOPT(6) = 3

  2. Output at each integration point, if KEYOPT(5) = 1

  3. Output at each node, if KEYOPT(5) = 2

Table 45.3: "SOLID45 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. SeeThe General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 45.3: "SOLID45 Item and Sequence Numbers":

Name

output quantity as defined in the Table 45.1: "SOLID45 Element Output Definitions"

Item

predetermined Item label for ETABLE command

I,J,...,P

sequence number for data at nodes I,J,...,P

Table 45.3 SOLID45 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | J | K | L | M | N | O | P
P1 | SMISC | 2 | 1 | 4 | 3 | - | - | - | -
P2 | SMISC | 5 | 6 | - | - | 8 | 7 | - | -
P3 | SMISC | - | 9 | 10 | - | - | 12 | 11 | -
P4 | SMISC | - | - | 13 | 14 | - | - | 16 | 15
P5 | SMISC | 18 | - | - | 17 | 19 | - | - | 20
P6 | SMISC | - | - | - | - | 21 | 22 | 23 | 24
S:1 | NMISC | 1 | 6 | 11 | 16 | 21 | 26 | 31 | 36
S:2 | NMISC | 2 | 7 | 12 | 17 | 22 | 27 | 32 | 37
S:3 | NMISC | 3 | 8 | 13 | 18 | 23 | 28 | 33 | 38
S:INT | NMISC | 4 | 9 | 14 | 19 | 24 | 29 | 34 | 39
S:EQV | NMISC | 5 | 10 | 15 | 20 | 25 | 30 | 35 | 40
FLUEN | NMISC | 41 | 42 | 43 | 44 | 45 | 46 | 47 | 48

See Surface Solution in this manual for the item and sequence numbers for surface output for the ETABLE command.

SOLID45 Assumptions and Restrictions

  • Zero volume elements are not allowed.

  • Elements may be numbered either as shown in Figure 45.1: "SOLID45 Geometry" or may have the planes IJKL and MNOP interchanged.

  • The element may not be twisted such that the element has two separate volumes. This occurs most frequently when the elements are not numbered properly.

  • All elements must have eight nodes.

    • A prism-shaped element may be formed by defining duplicate K and L and duplicate O and P node numbers (see Triangle, Prism and Tetrahedral Elements).

    • A tetrahedron shape is also available. The extra shapes are automatically deleted for tetrahedron elements.

SOLID45 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The DAMP material property is not allowed.

  • Fluence body loads are not applicable.

  • The only special feature allowed is stress stiffening.

  • KEYOPT(6) = 3 is not applicable.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BEAM44 		Up / Home Next
SOLID46


SOLID46

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID46

3-D 8-Node Layered Structural Solid

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

SOLID46 Element Description

SOLID46 is a layered version of the 8-node structural solid (SOLID45) designed to model layered thick shells or solids. The element allows up to 250 different material layers. If more than 250 layers are required, a user-input constitutive matrix option is available. The element may also be stacked as an alternative approach. The element has three degrees of freedom at each node: translations in the nodal x, y, and z directions. See SOLID46 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. A similar element for shells is SHELL99 .

Figure 46.1 SOLID46 Geometry

xo = Element x-axis if ESYS is not supplied.

x = Element x-axis if ESYS is supplied.

SOLID46 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 46.1: "SOLID46 Geometry". The element is defined by eight nodes, layer thicknesses, layer material direction angles, and orthotropic material properties. Shear moduli GXZ and GYZ must be within a factor of 10,000 of each other.

The element z-axis is defined to be normal to a flat reference plane, using real constant KREF as shown in Figure 46.2: "SOLID46 Stress Output". KREF may have values of 0 (midplane), 1 (bottom), or 2 (top). If the nodes imply a warped surface, an averaged flat plane is used. The default element x-axis is the projection of side I-J, side M-N, or their average (depending on KREF) onto the reference plane. The orientation within the plane of the layers may be changed using ESYS in the same way it is used for shell elements as described in Coordinate Systems. To reorient the elements (after automatic meshing) you should use EORIENT. With EORIENT, you can make SOLID46 elements match an element whose orientation is as desired, or set the orientation to be as parallel as possible to a defined axis.

The input may be either in matrix form or layer form, depending upon KEYOPT(2). For matrix form, the matrices must be computed outside of ANSYS. The force-strain and moment-curvature relationships defining the matrices for a quadratic variation of strain through the thickness (KEYOPT(2) = 3) may be defined as described in "SHELL99 Input Data" for the 8-node linear layered shell (SHELL99). Also, references to midside nodes should be ignored for this element. Thermal strains, most stresses, and failure criteria are not available with matrix input.

For layer (non-matrix) input, the total number of layers must be specified (NL). If KEYOPT(2) = 0, the maximum number of layers is 250; if KEYOPT(2) = 1, the maximum is 125. The properties of all layers should be entered (LSYM = 0). If the properties of the layers are symmetrical about the midthickness of the element (LSYM = 1), only half of properties of the layers, up to and including the middle layer (if any), need to be entered. While all layers may be printed, two layers may be specifically selected to be output (LP1 and LP2, with LP1 usually less than LP2).

Each layer of the layered solid element may have a variable thickness (TK). The thickness is assumed to vary bilinearly over the area of the layer, with the thickness input at the corner node locations. If a layer has a constant thickness, only TK(I) need be input. If the thickness is not constant, all four corner thicknesses must be input using positive values. Zero thickness layers may be used to model dropped plies. The layer thicknesses used are computed by scaling the input real constant thicknesses to be consistent with the thicknesses between the nodes.

The node locations may imply that the layers are tilted or warped. However, the local coordinate system for each layer is effectively reoriented parallel to the reference plane, as shown in Figure 46.2: "SOLID46 Stress Output". In this local right-handed system, the x'-axis is rotated an angle THETA(LN) (in degrees) from the element x-axis toward the element y-axis.

The material properties of each layer may be orthotropic in the plane of the element. The real constant MAT is used to define the layer material number instead of the element material number applied with MAT. MAT defaults to 1 if not input. The material X direction corresponds to the local layer x' direction.

Use TREF and BETAD to supply global values for reference temperature and damping, respectively. Alternatively, use MAT to specify element-dependent values for reference temperature (MP,REFT) or damping (MP,DAMP); layer material numbers are ignored for this purpose.

The total number of layers must be specified with the NL real constant as described in "SHELL99 Input Data" for SHELL99. The real constants, material properties, layer thicknesses, and failure criteria are also described in "SHELL99 Input Data" for SHELL99.

The failure criteria selection is input in the data table [TB], as described in Table 2.2: "Orthotropic Material Failure Criteria Data". Three predefined criteria are available and up to six user-defined criteria may be entered with user subroutines. See Failure Criteria in the Theory Reference for ANSYS and ANSYS Workbench for an explanation of the three predefined failure criteria. See Guide to ANSYS User Programmable Features for an explanation of user subroutines. Failure criteria may also be computed in POST1 (using the FC commands). All references to failure criteria as part of element output data are based only on the TB commands.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 46.1: "SOLID46 Geometry". Positive pressures act into the element. Temperatures may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). If only T(I) and T(J) are input, T(I) is used for T(I), T(J), T(K), and T(L), while T(J) (as input) is used for T(M), T(N), T(O), and T(P). For any other input pattern, unspecified temperatures default to TUNIF.

You can include the effects of pressure load stiffness in a geometric nonlinear analysis using SOLCONTROL,,,INCP. Pressure load stiffness effects are included in linear eigenvalue buckling automatically. If an unsymmetric matrix is needed for pressure load stiffness effects, use NROPT,UNSYM.

A summary of the element input is given in "SOLID46 Input Summary". A general description of element input is given in Element Input. For more information on Failure Criteria, see Composites in the Structural Analysis Guide.

SOLID46 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

UX, UY, UZ

Real Constants

The real constants vary, depending on the KEYOPT(2) setting. For descriptions of the real constants, see:

Table 46.1: "SOLID46 Real Constants (KEYOPT(2) = 0 or 1)"
Table 46.2: "SOLID46 Real Constants (KEYOPT(2) = 3)"
Material Properties

If KEYOPT(2) = 0 or 1, supply the following 13*NM properties where NM is the number of materials (maximum is NL):

EX, EY, EZ, ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ),
(PRXY, PRYZ, PRXZ, or NUXY, NUYZ, NUXZ),
DENS, GXY, GYZ, GXZ, for each of the NM materials

If KEYOPT(2) = 3, supply none of the above.

Supply DAMP and REFT only once for the element (use MAT to assign material property set). See the discussion in "SOLID46 Input Data" for more details.

Surface Loads
Pressure --

face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N), face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)

Body Loads
Temperature --

T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) if KEYOPT(2) = 0 or 1, or none if KEYOPT(2) = 3

Special Features
Stress stiffening
Large deflection
KEYOPT(1)

Extra displacement shapes:

0 --

Include extra displacement shapes

1 --

Suppress extra displacement shapes

KEYOPT(2)

Form of input:

0 --

Constant thickness layer input (250 layers maximum)

1 --

Tapered layer input (125 layers maximum)

3 --

Matrix input using quadratic logic (see "SHELL99 Input Data")

KEYOPT(3)

Extra element output:

0 --

Basic element printout

1 --

Integration point strain printout at bottom and top surfaces of element

2 --

Nodal force printout in element coordinates

4 --

Combination of both options

KEYOPT(4)

Element coordinate system:

0 --

No user subroutines to define element coordinate system

4 --

Element x-axis located by user subroutine USERAN

5 --

Element x-axis located by user subroutine USERAN and layer x-axes located by user subroutine USANLY

Note

See the Guide to ANSYS User Programmable Features for user written subroutines

KEYOPT(5)

Determines whether strains or stresses will be used with KEYOPT(6):

0 --

Use strain results

1 --

Use stress results

2 --

Use both strain and stress results

KEYOPT(6)

Printout control:

0 --

Basic element printout, as well as the summary of the maximum of all the failure criteria

1 --

Same as 0, and also print the summary of all the failure criteria, average transverse shear stresses, and the summary of the maximum interlaminar shear stress

2 --

Same as 1, and also print the layer solution at the integration points in the bottom layer (or LP1) and the top layer (or LP2)

3 --

Same as 1, and also print the layer solution at the element centroid for all layers

4 --

Same as 1, and also print the layer solution at the corners for all layers

5 --

Same as 1, and also print the layer solution with the failure criterion values at the integration points for all layers

Note

Thermal strains, most stresses, and failure criteria are not available with matrix input.

KEYOPT(8)

Storage of layer data:

0 --

Store data for bottom of bottom layer (or LP1), for top of top layer (or LP2), and data for maximum failure criteria layer.

1 --

Store data for all layers.

Caution

Volume of data stored may be excessive.

KEYOPT(9)

Determines where strains, stresses, and failure criteria are evaluated (available only if KEYOPT(2) = 0 or 1 with NL > 1):

0 --

Evaluate strains and stresses at top and bottom of each layer

1 --

Evaluate at midthickness of each layer

KEYOPT(10)

Determines whether material property matrices are printed:

0 --

No material property matrices printed

1 --

Print material property matrices integrated through thickness for first element, if it is a SOLID46 element

For more information on real constants and other input data, see SHELL91 . For more information on failure criteria, please refer to Failure Criteria.

Table 46.1 SOLID46 Real Constants (KEYOPT(2) = 0 or 1)

No. | Name | Description
Basic constants for KEYOPT(2) = 0 or 1
1 | NL | Number of layers (250 maximum)
2 | LSYM | Layer symmetry key
3 | LP1 | First layer for output
4 | LP2 | Second layer for output
5, 6 | (blank) |
7 | KREF | Location of reference plane
8, ..., 12 | (blank) |
KEYOPT(2) = 0, add these:
13 | MAT | Material number for layer 1
14 | THETA | x-axis rotation for layer 1
15 | TK | Layer thickness for layer 1
16, ... (12+3*NL) | MAT, THETA, TK, etc. | Repeat MAT, THETA, and TK for each layer specified (up to NL layers)
For KEYOPT(2) = 1, add these:
13 | MAT | Material number for layer 1
14 | THETA | X-axis rotation for layer 1
15 | TK(I) | Layer thickness at node I for layer 1
16 | TK(J) | Layer thickness at node J for layer 1
17 | TK(K) | Layer thickness at node K for layer 1
18 | TK(L) | Layer thickness at node L for layer 1
19, ... (12+6*NL) | MAT, THETA, TK(I), etc. | Repeat MAT, THETA, TK(I), TK(J), TK(K), and TK(L) for each layer specified (up to NL layers)

Table 46.2 SOLID46 Real Constants (KEYOPT(2) = 3)

For KEYOPT(2) = 3, use these:
1, ..., 21 | A(1), ..., A(21) | Submatrix A
22, ..., 42 | B(1), ..., B(21) | Submatrix B
43, ..., 63 | D(1), ..., D(21) | Submatrix D
64, ..., 84 | E(1), ..., E(21) | Submatrix E
85, ..., 105 | F(1), ..., F(21) | Submatrix F
106, ..., 111 | MT(1), ..., MT(6) | MT array
112, ..., 117 | BT(1), ..., BT(6) | BT array
118, ..., 123 | QT(1), ..., QT(6) | QT array
124 | AVDENS | Element average density
125, 126, 127 | (blank) |
128 | KREF | Reference plane factor

SOLID46 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 46.3: "SOLID46 Element Output Definitions"

Several items are illustrated in Figure 46.2: "SOLID46 Stress Output".

The element stress directions correspond to the layer local coordinate directions. Various layer printout options are available. For integration point output, integration point 1 is nearest Node I, 2 nearest J, 3 nearest K, and 4 nearest L. Failure criterion output is evaluated only at the in-plane integration points. (See the Theory Reference for ANSYS and ANSYS Workbench.) If KEYOPT(3) = 2 or 4 for this element, the three member forces and moments are also printed for each node (in the element coordinate system). KEYOPT(8) controls the amount of data output on the postdata file for processing with LAYER or LAYERP26. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 46.2 SOLID46 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 46.3 SOLID46 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P | Y | Y
VOLU: | Volume | Y | Y
TTOP, TBOT | Average temperatures at top and bottom faces | 1 | -
XC, YC, ZC | Element centroid | Y | 11
PRES | Pressures P1 at nodes J, I, L, K; P2 at I, J, N, M; P3 at J, K, O, N; P4 at K, L, P, O; P5 at L, I, M, P; P6 at M, N, O, P | Y | Y
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | Y | Y
INT | In-plane integration point number | 2 | -
POS | Top (TOP), bottom (BOT), midthickness (MID) of element | 2 | -
XI, YI, ZI | Global X, Y, Z location of integration point | 2 | -
NUMBER | Layer number | 1, 3 | -
MAT | Material number of this layer | 3 | -
THETA | Material direction angle for layer (THETA) | 1, 3 | -
AVE THICK | Average thickness of layer | 3 | -
ACC AVE THICK | Accumulative average thickness (Thickness of element from layer 1 to this layer) | 1, 3 | -
AVE TEMP | Average temperature of layer | 3 | -
POS | Top (TOP), bottom (BOT), midthickness (MID) of layer (See KEYOPT(9) for control options) | 3 | -
LOC | Center location (AVG) | 1, 4 | -
NODE | Corner node number | 1, 5 | -
INT | Integration point number | 1, 6 | -
S:X, Y, Z, XY, YZ, XZ | Stresses (in layer local coordinates) | 1, 7 | 1
S:1, 2, 3 | Principal stresses | 1, 7 | 1
S:INT | Stress intensity | 1, 7 | 1
S:EQV | Equivalent stresses (in layer local coordinates) | 1, 7 | 1
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains (in layer local coordinates). Total elastic strain if KEYOPT(2) = 2 or 3 | 7 | Y
EPEL:EQV | Equivalent elastic strains (in layer local coordinates) [12] | 7 | Y
EPTH:X, Y, Z, XY, YZ, XZ | Thermal strains (in layer local coordinates). Total thermal strain if KEYOPT(2) = 2 or 3 | 7 | Y
EPTH:EQV | Equivalent thermal strains (in layer local coordinates) [12] | 7 | Y
FC1, ..., FC6, FCMAX | Failure criterion values and maximum at each integration point | 1, 8 | -
FC | Failure criterion number (FC1 to FC6, FCMAX) | 1, 9 | 1
VALUE | Maximum value for this criterion (if value exceeds 9999.999, 9999.999 will be printed) | 1, 9 | 1
LN | Layer number where maximum occurs | 9 | 1
EPELF(X, Y, Z, XY, YZ, XZ) | Elastic strains (in layer local coordinates) causing the maximum value for this criterion in the element. | 1, 9 | 1
SF(X, Y, Z, XY, YZ, XZ) | Stresses (in layer local coordinates) causing the maximum value for this criterion in the element | 1, 9 | 1
ILSXZ | SXZ interlaminar shear stress | - | 1
ILSYZ | SXZ interlaminar shear stress | - | 1
ILANG | Angle of interlaminar shear stress vector (measured from the element x-axis toward the element y-axis in degrees) | - | 1
ILSUM | Interlaminar shear stress vector sum | - | 1
LN1, LN2 | Layer numbers which define location of maximum interlaminar shear stress (ILMAX) | 1, 10 | 1
ILMAX | Maximum interlaminar shear stress (occurs between LN1 and LN2) | 1, 10 | 1

  1. If KEYOPT(2) = 0 or 1

  2. Integration point strain solution (printed only if KEYOPT(3) = 1 or 4)

  3. Layer solution (printed only if KEYOPT(2) = 0 or 1 and KEYOPT(6) > 1)

  4. If KEYOPT(6) = 3

  5. If KEYOPT(6) = 4

  6. If KEYOPT(6) = 2 or 5

  7. The strain and stress output is controlled with KEYOPT(5)

  8. Output only if KEYOPT(6) = 5

  9. Summary of failure criteria calculation (only if KEYOPT(2) = 0 or 1). If KEYOPT(6) = 0, only the maximum of all failure criteria (FCMAX) in the element is output. Output of the elastic strains and/or stresses (depending on KEYOPT(5)) for each failure criterion and the maximum of all criteria (FCMAX).

  10. Printed only if KEYOPT(2) = 0 or 1; KEYOPT(6) ≠ 0; and significant shear stress. If there is no clear maximum location, LN1 and LN2 are set to NL and zero, respectively.

  11. Available only at centroid as a *GET item.

  12. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY).

  13. If KEYOPT(2) = 2 or 3

Table 46.4 SOLID46 Miscellaneous Element Output

Description | Names of Items Output | O | R
Member Forces | FX, FY, FZ | 1 | -
Average Transverse Shear Stress | Components and sum | 2 | -
Normal stress along edges | - | 3 | -

  1. Output at each node in the element coordinate system if KEYOPT(3) = 2 or 4

  2. Output if KEYOPT(6) ≠ 0 (calculated from nodal forces)

  3. Output at edges I-M, J-N, etc. (calculated from nodal forces). Output only if KEYOPT(2) = 3 and KEYOPT(6) ≠ 0

Table 46.5: "SOLID46 Item and Sequence Numbers" lists the output available through ETABLE using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 46.5: "SOLID46 Item and Sequence Numbers":

Name

output quantity as defined in the Table 46.3: "SOLID46 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J,...,P

sequence number for data at nodes I,J,...,P

Table 46.5 SOLID46 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | Bottom of Layer i | Top of Layer NL
ILSXZ | SMISC | (2*i)-1 | (2*NL)+1
ILSYZ | SMISC | (2*i) | (2*NL)+2
ILSUM | NMISC | (2*i)+5 | (2*NL)+7
ILANG | NMISC | (2*i)+6 | (2*NL)+8
Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | J | K | L
P1 | SMISC | (2*NL)+4 | (2*NL)+3 | (2*NL)+6 | (2*NL)+5
P2 | SMISC | (2*NL)+7 | (2*NL)+8 | - | -
P3 | SMISC | - | (2*NL)+11 | (2*NL)+12 | -
P4 | SMISC | - | - | (2*NL)+15 | (2*NL)+16
P5 | SMISC | (2*NL)+20 | - | - | (2*NL)+19
P6 | SMISC | - | - | - | -
Output Quantity Name | ETABLE and ESOL Command Input
 | Item | M | N | O | P
P1 | SMISC | - | - | - | -
P2 | SMISC | (2*NL)+10 | (2*NL)+9 | - | -
P3 | SMISC | - | (2*NL)+14 | (2*NL)+13 | -
P4 | SMISC | - | - | (2*NL)+18 | (2*NL)+17
P5 | SMISC | (2*NL)+21 | - | - | (2*NL)+22
P6 | SMISC | (2*NL)+23 | (2*NL)+24 | (2*NL)+25 | (2*NL)+26
Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
FCMAX (over all layers) | NMISC | 1
VALUE | NMISC | 2
LN | NMISC | 3
ILMAX | NMISC | 4
LN1 | NMISC | 5
LN2 | NMISC | 6
ILSUM (between layers i-1 and i) | NMISC | 2i+7
ILANG | NMISC | 2i+8
FCMAX (at layer i) | NMISC | (2*(NL+i))+7
VALUE (at layer i) | NMISC | (2*(NL+i))+8
FC | NMISC | (4*NL)+8+15(N-1)+1
VALUE | NMISC | (4*NL)+8+15(N-1)+2
LN | NMISC | (4*NL)+8+15(N-1)+3
EPELFX | NMISC | (4*NL)+8+15(N-1)+4
EPELFY | NMISC | (4*NL)+8+15(N-1)+5
EPELFZ | NMISC | (4*NL)+8+15(N-1)+6
EPELFXY | NMISC | (4*NL)+8+15(N-1)+7
EPELFYZ | NMISC | (4*NL)+8+15(N-1)+8
EPELFXZ | NMISC | (4*NL)+8+15(N-1)+9
SFX | NMISC | (4*NL)+8+15(N-1)+10
SFY | NMISC | (4*NL)+8+15(N-1)+11
SFZ | NMISC | (4*NL)+8+15(N-1)+12
SFXY | NMISC | (4*NL)+8+15(N-1)+13
SFYZ | NMISC | (4*NL)+8+15(N-1)+14
SFXZ | NMISC | (4*NL)+8+15(N-1)+15

Note

The i in Table 46.5: "SOLID46 Item and Sequence Numbers" (where i = 1, 2, 3 ..., NL) refers to the layer number of the element. NL is the maximum layer number as input for real constant NL (1 [image] NL [image] 250). N is the failure number as stored on the results file in compressed form, e.g., only those failure criteria requested will be written to the results file. For example, if only the maximum strain and the Tsai-Wu failure criteria are requested, the maximum strain criteria will be stored first (N = 1) and the Tsai-Wu failure criteria will be stored second (N = 2). In addition, if more than one criteria is requested, the maximum value over all criteria is stored last (N = 3 for this example).

SOLID46 Assumptions and Restrictions

  • Zero volume elements are not allowed. Usually, this occurs if the elements are not numbered properly.

  • All elements must have eight nodes.

  • A prism-shaped element may be formed by defining duplicate K and L and duplicate O and P node numbers (see Triangle, Prism and Tetrahedral Elements). A tetrahedron shape is also available. The extra shapes are automatically deleted for tetrahedron elements.

  • Zero thickness layers are allowed only if a zero thickness is defined at all corners. Tapering down to zero is not allowed. No slippage is assumed between the element layers.

  • All material orientations are parallel to the reference plane. Further, any warped layers act as if they are flat and parallel to the reference plane.

  • The matrix input option (KEYOPT(2) = 3) assumes a uniform thickness of the element. This thickness is computed based on the nodal locations and on KREF.

  • It has been observed that large differences (factors greater than 1000) between different moduli of the same material can cause large differences between the equation solver maximum and minimum pivots, and can even cause "NEGATIVE PIVOT..." messages to appear. If this occurs, you should consider whether the material properties are realistic. Enhanced solution stability for such cases also occurs by suppressing the extra displacement shapes (KEYOPT(1) = 1).

  • The element matrices are reformed every iteration unless option 1 of KUSE is active.

  • Interlaminar shear stresses for SHELL91 and SHELL99 shell elements are based on the premise that there are no interlaminar (transverse) shear stresses at the outer surface of the shell. This assumption cannot be used for a solid element. Thus, SOLID46 has two forms of shear stress calculations:

    • Those based on nodal forces (labeled "average transverse shear stress components").

    • Those based on the strain-displacement relationships, averaged across layers when applicable (labeled "maximum interlaminar shear stress").

    Neither one of these is exact, but ideally they will agree with each other. In both situations, the given values are averages, which will be less than the peak value. The differences between the average and the peak will be small in most cases; however, differences up to a factor of two have been seen.

  • Additional elements in the thickness direction will improve the interlaminar shear stress calculation.

  • When brick (rectangular prism) elements are used, both calculations result in constant stresses over the volume of the element. In all cases, the values are constant in the plane of the layer and may, therefore, be thought of as centroidal values. Hence, one should consider using solid-to-solid submodeling to get accurate shear stress values at a free edge.

  • These shear stresses are discussed further in the Theory Reference for ANSYS and ANSYS Workbench. The Structural Analysis Guide contains additional information on composite elements.

SOLID46 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • This element is limited to 20 constant thickness layers, or 10 tapered layers, and does not allow the user-input constitutive matrix option (that is, KEYOPT(2) = 3 is not valid).

  • The DAMP material property is not allowed.

  • KEYOPT(4) can only be set to 0 (default).

  • The six user-defined failure criteria (subroutines USRFC1 through USRFC6) are not allowed.

  • The only special feature allowed is stress stiffening.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID45 		Up / Home Next
INFIN47


INFIN47

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

INFIN47

3-D Infinite Boundary

MP ME <> <> <> <> <> <> EM <> <> PP <>

Product Restrictions

INFIN47 Element Description

INFIN47 is used to model an open boundary of a 3-D unbounded field problem. The element may be a 4-node quadrilateral or a 3-node triangle with a magnetic potential or temperature degree of freedom at each node. The enveloped (or enclosed) element types may be the SOLID5, SOLID96, or SOLID98 magnetic elements or the SOLID70, SOLID90 or SOLID87 thermal solid elements. With the magnetic degree of freedom the analysis may be linear or nonlinear static. With the thermal degree of freedom steady-state or transient analyses (linear or nonlinear) may be done. See INFIN47 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 47.1 INFIN47 Geometry

INFIN47 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 47.1: "INFIN47 Geometry". The element is defined by 4 nodes, and the material properties. Nonzero material properties must be defined. A triangular element may be formed by defining duplicate K and L node numbers as described in Triangle, Prism and Tetrahedral Elements. The element x-axis is parallel to the I-J side of the element.

The coefficient matrix of this boundary element is, in general, unsymmetric. The matrix is made symmetric by averaging the off-diagonal terms to take advantage of a symmetric solution with a slight decrease in accuracy. KEYOPT(2) can be used to keep an unsymmetric matrix from being made symmetric.

A summary of the element input is given in "INFIN47 Input Summary". A general description of element input is given in Element Input.

INFIN47 Input Summary

Nodes

I, J, K, L

Degrees of Freedom
MAG if KEYOPT(1) = 0
TEMP if KEYOPT(1) = 1
Real Constants

None

Material Properties
MUZERO if KEYOPT(1) = 0, (has default value for MKS units or can be set with the EMUNIT command).
KXX if KEYOPT(1) = 1
Surface Loads

None

Body Loads

None

Element Printout

None

Special Features

None

KEYOPT(1)

Element degree(s) of freedom:

0 --

Magnetic option

1 --

Thermal option

KEYOPT(2)

Coefficient matrix:

0 --

Make the coefficient matrix symmetric

1 --

Coefficient matrix is used as generated (symmetric or unsymmetric, depending on the problem)

INFIN47 Output Data

The boundary element has no output of its own since it is used only to provide a semi-infinite boundary condition to a model consisting of other elements.

INFIN47 Assumptions and Restrictions

  • The 4 nodes defining the element should lie as close as possible to a flat plane; however, a moderate out-of-plane tolerance is permitted so that the element may have a somewhat warped shape.

  • An excessively warped element will produce a warning message. In the case of warping errors, triangular elements should be used (see Triangle, Prism and Tetrahedral Elements).

  • Shell element warping tests are described in detail in the tables of Applicability of Warping Tests and Warping Factor Limits in the Theory Reference for ANSYS and ANSYS Workbench.

  • Zero area elements are not allowed.

  • The semi-infinite volume is assumed to be bound on five sides (four, if triangular) by the boundary element and by four semi-infinite radial surfaces (three, if triangular) defined from the global coordinate system origin through nodes I and J, J and K, K and L, and L and I (nodes I and J, J and K, and K and I if triangular).

  • The boundary element should be as normal as possible to the radial surfaces.

  • Acute or wide intersection angles should be avoided by "filling-in" the model with the other elements so that the line of boundary elements around the model is smooth and concave when viewed from the global coordinate system origin.

  • The element assumes that the degree of freedom (DOF) value at infinity is always zero (0.0). That is, the DOF value at infinity is not affected by TUNIF, D, or other load commands.

  • The boundary element must lie "against" an enclosed element (that is, share the same nodes).

  • The exterior semi-infinite domain is assumed to be homogeneous, isotropic, and linear without containing any sources or sinks.

  • The origin of the global coordinate system must be inside the model and as centrally located as possible.

  • The surface of boundary elements should be located away from the region of interest of the enclosed elements for better accuracy. The surface of boundary elements need not totally surround the model.

  • The element may not be deactivated with the EKILL command.

  • When used in a model with higher order elements SOLID90, SOLID87, and SOLID98, the midside nodes of these elements must be removed at the interface with INFIN47 [EMID].

  • If KEYOPT(2) = 1, the matrices are presumed to be unsymmetric.

INFIN47 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Mechanical.

Unless the Emag option is enabled, the following restrictions apply:

  • This element does not have magnetic field capability.

  • The MAG degree of freedom is not active.

  • KEYOPT(1) defaults to 1 (TEMP) instead of 0 and cannot be changed.

  • The material property MUZERO is not allowed.

ANSYS Emag.

  • This element has only magnetic field capability, and does not have thermal capability.

  • The only active degree of freedom is MAG.

  • The only allowable material property is MUZERO.

  • KEYOPT(1) can only be set to 0 (default).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID46 		Up / Home Next
MATRIX50


MATRIX50

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

MATRIX50

Superelement (or Substructure)

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

MATRIX50 Element Description

MATRIX50 is a group of previously assembled ANSYS elements that is treated as a single element. The superelement, once generated, may be included in any ANSYS model and used in any analysis type for which it is applicable. The superelement can greatly decrease the cost of many analyses. Once the superelement matrices have been formed, they are stored in a file and can be used in other analyses the same way any other ANSYS elements are used. Multiple load vectors may also be stored with the superelement matrices, thereby allowing various loading options. See MATRIX50 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 50.1 MATRIX50 Schematic

MATRIX50 Input Data

The superelement, which is a mathematical matrix representation of an arbitrary structure, has no fixed geometrical identity and is conceptually shown in Figure 50.1: "MATRIX50 Schematic". Any analysis using a superelement as one of its element types is called a superelement use pass (or run). The degrees of freedom are the master degrees of freedom specified during the generation pass.

The element name is MATRIX50 (the number 50 or the name MATRIX50 should be input for the variable ENAME on the ET command). The SE command is used to define a superelement. SE reads the superelement from Jobname.SUB (defaults to File.SUB) in the working directory. The material number [MAT] is only used when material dependent damping [MP,DAMP] or electrical permittivity [MP,PERX] is an input. The real constant table number [REAL] is not used. However, the appropriate element type number [TYPE] must be entered.

An element load vector is generated along with the element at each load step of the superelement generation pass. Up to 31 load vectors may be generated. Load vectors may be proportionately scaled in the use pass. The scale factor is input on the element surface load command [SFE]. The load label is input as SELV, the load key is the load vector number, KVAL determines whether the load vector is real or imaginary, and the load value is the scale factor. The load vector number is determined from the load step number associated with the superelement generation. If a superelement load vector has a zero scale factor (or is not scaled at all), this load vector is not included in the analysis. Any number of load vector-scale factor combinations may be used in the use pass.

In a large rotation analysis (NLGEOM,ON), you can use KEYOPT(3) to specify whether the load vectors associated with this element type rotates with the element (as you would for a pressure load) or remains in the original (unrotated) direction (as you would for a non-follower force load); all load vectors (if multiple load vectors) are rotated or left unrotated. You can use KEYOPT(4) to indicate that the superelement was generated with constraints (D) so that it cannot translate or rotate freely in the use pass as expected (although you can apply constraints in the use pass to the master degrees of freedom to prevent such motion.)

The KEYOPT(1) option is for the special case where the superelement is to be used with a T4 nonlinearity, such as for radiation. The File.SUB for this case may be constructed directly by the user or may be generated by AUX12, the radiation matrix generator.

A summary of the element input is given in "MATRIX50 Input Summary". A general description of element input is given in Element Input.

MATRIX50 Input Summary

Nodes

None input (supplied by element)

Degrees of Freedom

As determined from the included element types (a mixture of multi-field degrees of freedom is not allowed)

Real Constants

None

Material Properties

DAMP, PERX

Surface Loads

Surface load effects may be applied through a generated load vector and scale factors. Use the SFE command to supply scale factors with LAB = SELV, LKEY = load vector number (31 maximum), KVAL = real or imaginary, and VAL1 = scale factor.

Body Loads

Body loads may be applied through a generated load vector and scale factors as described for surface loads.

Special Features

Radiation (if KEYOPT(1) = 1), Large rotation

KEYOPT(1)

Element behavior:

0 --

Normal substructure

1 --

Special radiation substructure

KEYOPT(3)

Load vector update with large rotations (NLGEOM,ON):

0 --

Load vector(s) rotate with the substructure as it rotates

1 --

Load vector(s) do not rotate and remain in their original direction

KEYOPT(4)

Constrained substructure with large rotations (NLGEOM,ON):

0 --

Substructure was unconstrained in the generation pass

1 --

Substructure was constrained in the generation pass

KEYOPT(6)

Nodal force output:

0 --

Do not print nodal forces

1 --

Print nodal forces

MATRIX50 Output Data

Displacements and forces may be printed for each (master) degree of freedom in a structural superelement in the "use" pass. The nodal forces may be output if KEYOPT(6) = 1. The stress distribution within the superelement and the expanded nodal displacements can be obtained from a subsequent stress pass. In addition to the database and substructure files from the generation run, File.DSUB must be saved from the superelement "use" pass and input to the expansion pass (if an expansion pass is desired). A general description of solution output is given in Solution Output.

MATRIX50 Assumptions and Restrictions

  • A superelement may contain elements of any type except Lagrange multiplier-based elements (such as MPC184, PLANE182 with KEYOPT(6) = 1, and CONTA171 with KEYOPT(2) = 3).

  • See the D command for degree of freedom field groups.

  • Superelements of different field types may be mixed within the use run.

  • The nonlinear portion of any element included in a superelement will be ignored and any bilinear element will maintain its initial status throughout the analysis.

  • Superelements may contain other superelements.

  • The PCG solver does not support MATRIX50 elements.

  • The relative locations of the superelement attachment points in the nonsuperelement portion of the model (if any) should match the initial superelement geometry.

  • If the superelement contains a mass matrix, acceleration [ACEL] defined in the use run will be applied to the superelement.

  • If a load vector containing acceleration effects is also applied in the use run, both accelerations (the ACEL command and the load vector) will be applied to the superelement.

  • Similarly, if the superelement contains a damping matrix (as specified in the generation run) and α and β damping multipliers [ALPHA and BETA] are defined in the use run, additional damping effects will be applied to the superelement.

  • You should be careful to avoid duplicating acceleration and damping effects.

  • Pressure and thermal effects may be included in a superelement only through its load vectors.

  • The dimensionality of the superelement corresponds to the maximum dimensionality of any element used in its generation. A 2-D superelement should only be used in 2-D analyses, and 3-D superelements in 3-D analyses.

  • See the Theory Reference for ANSYS and ANSYS Workbench for a discussion of the substructure matrix assembly procedure.

MATRIX50 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Structural.

  • KEYOPT(1) = 0

  • The PERX material property is not applicable.

ANSYS Professional.

  • This element may be used as a radiation substructure only. KEYOPT(1) defaults to 1 instead of 0 and cannot be changed.

  • The DAMP material property, PERX material property, surface loads, and body loads are not applicable.

  • The large rotation special feature is not applicable.

ANSYS Emag.

  • This element may be used as a Trefftz substructure only.

  • The DAMP material property is not applicable.

  • The large rotation special feature is not applicable.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
INFIN47 		Up / Home Next
CONTAC52


CONTAC52

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

CONTAC52

3-D Point-to-Point Contact

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

CONTAC52 Element Description

CONTAC52 represents two surfaces which may maintain or break physical contact and may slide relative to each other. The element is capable of supporting only compression in the direction normal to the surfaces and shear (Coulomb friction) in the tangential direction. The element has three degrees of freedom at each node: translations in the nodal x, y, and z directions.

The element may be initially preloaded in the normal direction or it may be given a gap specification. A specified stiffness acts in the normal and tangential directions when the gap is closed and not sliding. See CONTAC52 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. Other contact elements, such as CONTAC12 and COMBIN40, are also available.

Figure 52.1 CONTAC52 Geometry

CONTAC52 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 52.1: "CONTAC52 Geometry". The element is defined by two nodes, two stiffnesses (KN and KS), an initial gap or interference (GAP), and an initial element status (START). The orientation of the interface is defined by the node locations, or by a user-specified gap direction. The interface is assumed to be perpendicular to the I-J line or to the specified gap direction. The element coordinate system has its origin at node I and the x-axis is directed toward node J or in the user-specified gap direction. The interface is parallel to the element y-z plane.

The normal stiffness, KN, should be based upon the stiffness of the surfaces in contact. See Nonlinear Structural Analysis in the Structural Analysis Guide for guidelines on choosing a value for KN. In some cases (such as initial interference analyses, nonconvergence, or over penetration), it may be useful to change the KN value between load steps or in a restart in order to obtain an accurate, converged solution. The sticking stiffness, KS, represents the stiffness in the tangential direction when elastic Coulomb friction is selected (μ > 0.0 and KEYOPT(1) = 0). The coefficient of friction μ is input as material property MU and is evaluated at the average of the two node temperatures. Stiffnesses may also be computed from the maximum expected force divided by the maximum allowable surface displacement. KS defaults to KN.

The initial gap defines the gap size (if positive) or the displacement interference (if negative). This input is the opposite of that used for CONTAC12. If you do not specify the gap direction (by means of real constants NX, NY, and NZ), an interference causes the nodes to separate. The gap size may be input as a real constant (GAP) or automatically calculated from the input node locations (as the distance between node I and node J) if KEYOPT(4) = 1. Interference must be input as a real constant. Stiffness is associated with a zero or negative gap. The initial element status (START) is used to define the "previous" condition of the interface to be used at the start of the first substep. This input is used to override the condition implied by the interference specification and is useful in anticipating the final interface configuration and in reducing the number of iterations required for convergence.

You can specify the gap direction by means of real constants NX, NY, and NZ (the global Cartesian X, Y, and Z components of the gap direction vector). If you do not specify the gap direction, the program will calculate the direction based on the initial positions of the I and J nodes, such that a positive normal displacement (in the element coordinate system) of node J relative to node I tends to open the gap. You should always specify the gap direction if nodes I and J have the same initial coordinates, if the model has an initial interference condition in which the underlying elements' geometry overlaps, or if the initial open gap distance is very small. If the gap is initially geometrically open, the correct normal (NX, NY, NZ) usually points from node I toward node J.

The only material property used is the interface coefficient of friction μ. A zero value should be used for frictionless surfaces. Temperatures may be specified at the element nodes (for material property evaluation only). The node I temperature T(I) defaults to TUNIF. The node J temperature defaults to T(I).

The force deflection relationships for the interface element can be separated into the normal and tangential (sliding) directions as shown in Figure 52.2: "CONTAC52 Force-Deflection Relationship". The element condition at the beginning of the first substep is determined from the START parameter. If the interface is closed and sticking, KN is used in the gap resistance and KS is used for sticking resistance. If the interface is closed but sliding, KN is used in the gap resistance and the constant friction force μFN is used for the sliding resistance.

In the normal direction, when the normal force (FN) is negative, the interface remains in contact and responds as a linear spring. As the normal force becomes positive, contact is broken and no force is transmitted.

KEYOPT(3) can be used to specify a "weak spring" across an open interface, which is useful for preventing rigid body motion that could occur in a static analysis. The weak spring stiffness is computed by multiplying the normal stiffness KN by a reduction factor. The default reduction factor of 1E-6 can be overridden with real constant REDFACT.

This "weak spring" capability is not analogous to overlaying an actual spring element (such as COMBIN14) with a low stiffness value. The REDFACT capability will not limit gap separation when a tensile force is applied.

In the tangential direction, for FN < 0 and the absolute value of the tangential force (FS) less than μ|FN|, the interface sticks and responds as a linear spring. For FN < 0 and FS = μ|FN|, sliding occurs. If contact is broken, FS = 0.

If KEYOPT(1) = 1, rigid Coulomb friction is selected, KS is not used, and the elastic sticking capability is removed. This option is useful for displacement controlled problems or for certain dynamic problems where sliding dominates.

For analyses involving friction, using NROPT,UNSYM is useful (and, in fact, sometimes required) for problems where the normal and tangential (sliding) motions are strongly coupled, such as in a wedge insertion problem.

A summary of the element input is given in "CONTAC52 Input Summary". A general description of element input is given in Element Input.

CONTAC52 Input Summary

Nodes

I, J

Degrees of Freedom

UX, UY, UZ

Real Constants
KN, GAP, START, KS, REDFACT, NX,
NY, NZ

See Table 52.1: "CONTAC52 Real Constants" for details on these real constants.

Material Properties

DAMP, MU

Surface Loads

None

Body Loads
Temperatures --

T(I), T(J)

Special Features
Nonlinear
Adaptive descent
KEYOPT(1)

Sticking stiffness if MU > 0.0:

0 --

Elastic Coulomb friction (KS used for sticking stiffness)

1 --

Rigid Coulomb friction (resisting force only)

KEYOPT(3)

Weak spring across open gap:

0 --

No weak spring across an open gap

1 --

Use a weak spring across an open gap

KEYOPT(4)

Basis for gap size:

0 --

Gap size based on gap real constant

1 --

Gap size determined from initial node locations (ignore gap real constant)

KEYOPT(7)

Element-level time incrementation control. Note that this option should be activated first at the procedure level if SOLCONTROL is ON. SOLCONTROL,ON,ON is the most frequent usage with this element. If SOLCONTROL,ON,OFF, this keyoption is not activated.

0 --

Change in contact predictions made to achieve the minimum time/load increment whenever a change in contact status occurs

1 --

Change in contact predictions made to maintain a reasonable time/load increment (recommended)

Table 52.1 CONTAC52 Real Constants

No. | Name | Description
1 | KN | Normal stiffness
2 | GAP | Initial gap size; a negative value assumes an initial interference condition.
3 START Initial condition:
If = 0.0 or blank, initial status of element is determined from gap input
If = 1.0, gap is initially closed and not sliding (if MU ≠ 0.0), or sliding (if MU = 0.0)
If = 2.0, gap is initially closed and sliding
If = 3.0, gap initially open
4 | KS | Sticking stiffness
5 | REDFACT | Default reduction factor 1E-6
6 | NX | Defined gap normal - X component
7 | NY | Defined gap normal - Y component
8 | NZ | Defined gap normal - Z component

CONTAC52 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 52.2: "CONTAC52 Element Output Definitions".

Force-deflection curves are illustrated in Figure 52.2: "CONTAC52 Force-Deflection Relationship".

The value of USEP is determined from the normal displacement (un) (in the element x-direction) between the interface nodes at the end of a substep, that is: USEP = (un)J - (un)I + GAP. This value is used in determining the normal force, FN. The values represented by UT(Y, Z) are the total translational displacements in the element y and z directions. The maximum value printed for the sliding force, FS, is μ|FN|. Sliding may occur in both the element y and z directions. STAT describes the status of the element at the end of a substep. If STAT = 1, the gap is closed and no sliding occurs. If STAT = 3, the gap is open. A value of STAT = 2 indicates the node J slides relative to node I. For a frictionless surface (μ = 0.0), the converged element status is either STAT = 2 or 3.

The element coordinate system orientation angles α and β (shown in Figure 52.1: "CONTAC52 Geometry") are computed by the program from the node locations. These values are printed as ALPHA and BETA respectively. α ranges from 0° to 360° and β from -90° to +90°. Elements lying along the Z-axis are assigned values of α = 0°, β = ± 90°, respectively. Elements lying off the Z-axis have their coordinate system oriented as shown for the general α, β position. Note, for α = 90°, β → 90°, the element coordinate system flips 90° about the Z-axis. The value of ANGLE represents the principal angle of the friction force in the element y-z plane. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 52.2 CONTAC52 Force-Deflection Relationship

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 52.2 CONTAC52 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
XC, YC, ZC | Location where results are reported | Y | 3
TEMP | T(I), T(J) | Y | Y
USEP | Gap size | Y | Y
FN | Normal force (along I-J line) | Y | Y
STAT | Element status | 1 | 1
ALPHA, BETA | Element orientation angles | Y | Y
MU | Coefficient of friction | 2 | 2
UT(Y, Z) | Displacement (node J - node I) in element y and z directions | 2 | 2
FS | Tangential (friction) force (vector sum) | 2 | 2
ANGLE | Principal angle of friction force in element y-z plane | 2 | 2

  1. If the value of STAT is:

    1 - Contact, no sliding

    2 - Sliding contact

    3 - Gap open

  2. If MU > 0.0

  3. Available only at centroid as a *GET item.

Table 52.3: "CONTAC52 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 52.3: "CONTAC52 Item and Sequence Numbers":

Name

output quantity as defined in the Table 52.2: "CONTAC52 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 52.3 CONTAC52 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
FN | SMISC | 1
FS | SMISC | 2
STAT | NMISC | 1
OLDST | NMISC | 2
USEP | NMISC | 3
ALPHA | NMISC | 4
BETA | NMISC | 5
UTY | NMISC | 6
UTZ | NMISC | 7
MU | NMISC | 8
ANGLE | NMISC | 9

CONTAC52 Assumptions and Restrictions

  • The element operates bilinearly only in the static and the nonlinear transient dynamic analyses. If used in other analysis types, the element maintains its initial status throughout the analysis.

  • The element is nonlinear and requires an iterative solution. Nonconverged substeps are not in equilibrium.

  • Unless the gap direction is specified (NX, NY, NZ), nodes I and J may not be coincident since the nodal locations define the interface orientation. The element maintains is original orientation in either a small or a large deflection analysis.

  • The element coordinate system is defined by the initial I and J node locations or by the specified gap direction.

  • The gap value may be specified independent of the node locations.

  • The element may have rotated nodal coordinates since a displacement transformation into the element coordinate system is included.

  • The element stiffness KN should not be exactly zero, and unreasonably high stiffness values also should be avoided. The rate of convergence decreases as the stiffness increases.

  • Although it is permissible to change KN, it is not permissible to change any other real constants between load steps. Therefore, if you plan to change KN, you cannot allow the value of KS to be defined by default, because the program would then attempt to redefine KS as KN changed. You must explicitly define KS whenever KN changes, to maintain a consistent value throughout all load steps.

  • The element may not be deactivated with the EKILL command.

  • If μ is not equal to zero, the element is nonconservative as well as nonlinear. Nonconservative elements require that the load be applied very gradually, along the actual load history path, and in the proper sequence (if multiple loadings exist).

CONTAC52 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • This element is frictionless. MU is not allowed as a material property and KS is not allowed as a real constant.

  • Temperature body loads are not applicable in a structural analysis.

  • KEYOPT(1) is not applicable.

  • The DAMP material property is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MATRIX50 		Up / Home Next
PLANE53


PLANE53

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

PLANE53

2-D 8-Node Magnetic Solid

MP <> <> <> <> <> <> <> EM <> <> PP <>

Product Restrictions

PLANE53 Element Description

PLANE53 models 2-D (planar and axisymmetric) magnetic fields. The element is defined by 8 nodes and has up to 4 degrees of freedom per node: z component of the magnetic vector potential (AZ), time-integrated electric scalar potential (VOLT), electric current (CURR), and electromotive force (EMF). PLANE53 is based on the magnetic vector potential formulation and is applicable to the following low-frequency magnetic field analyses: magnetostatics, eddy currents (AC time harmonic and transient analyses), voltage forced magnetic fields (static, AC time harmonic and transient analyses), and electromagnetic-circuit coupled fields (static, AC time harmonic and transient analyses). The element has nonlinear magnetic capability for modeling B-H curves or permanent magnet demagnetization curves. See PLANE53 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. A similar 4 node element (without voltage forced and magnetic-circuit coupled capability) is PLANE13.

Figure 53.1 PLANE53 Geometry

PLANE53 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 53.1: "PLANE53 Geometry". The element input data includes 8 nodes and the magnetic material properties. The type of units (MKS or user defined) is specified through the EMUNIT command. EMUNIT also determines the value of MUZERO. The EMUNIT defaults are MKS units and MUZERO = 4 π x 10-7 henries/meter. In addition to MUZERO, orthotropic relative permeability is specified through the MURX and MURY material property labels.

MGXX and MGYY represent vector components of the coercive force for permanent magnet materials. The magnitude of the coercive force is the square root of the sum of the squares of the components. The direction of polarization is determined by the components MGXX and MGYY. Permanent magnet polarization and orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. Properties not input default as described in Linear Material Properties. Nonlinear magnetic B-H properties are entered with the TB command as described in Data Tables - Implicit Analysis. Nonlinear orthotropic magnetic properties may be specified with a combination of a B-H curve and linear relative permeability. The B-H curve will be used in each element coordinate direction where a zero value of relative permeability is specified. Only one B-H curve may be specified per material.

Various combinations of nodal loading are available for this element, depending upon the KEYOPT(1) value. Nodal loads are defined with the D and the F commands. With the D command, the Lab variable corresponds to the degree of freedom (VOLT or AZ) and VALUE corresponds to the value (time-integrated electric scalar potential or vector magnetic potential). With the F command, the Lab variable corresponds to the force (AMPS or CSGZ) and VALUE corresponds to the value (current or magnetic current segment). The nodal forces, if any, should be input per unit of depth for a plane analysis and on a full 360° basis for an axisymmetric analysis.

Element loads are described in Node and Element Loads. Maxwell force flags may be input on the element faces indicated by the circled numbers in Figure 53.1: "PLANE53 Geometry" using the SF and SFE commands. Surfaces at which magnetic forces are to be calculated may be identified by using the MXWF label on the surface load commands (no value is required.) A Maxwell stress tensor calculation is performed at these surfaces to obtain the magnetic forces. The surface flag should be applied to "air" elements adjacent to the body for which forces are required. Deleting the MXWF specification removes the flag. Lorentz and Maxwell forces may be made available for a subsequent structural analysis with companion elements [LDREAD].

The temperature (for material property evaluation only) and magnetic virtual displacement body loads may be input based on their value at the element's nodes or as a single element value [BF, BFE]. Source current density and voltage body loads may be applied to an area [BFA] or input as an element value [BFE]. In general, unspecified nodal values of temperatures default to the uniform value specified with the BFUNIF or TUNIF commands. Calculated Joule heating (JHEAT) may be made available for a subsequent thermal analysis with companion elements [LDREAD].

Air elements in which local Jacobian forces are to be calculated may be identified by using nodal values of 1 and 0 for the MVDI label [BF]. See the Low-Frequency Electromagnetic Analysis Guide for details.

A summary of the element input is given in "PLANE53 Input Summary". A general description of element input is given in Element Input. For axisymmetric applications see Axisymmetric Elements.

PLANE53 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom
AZ if KEYOPT(1) = 0
VOLT, AZ if KEYOPT(1) = 1 AZ
CURR if KEYOPT(1) = 2
AZ, CURR, EMF if KEYOPT(1) = 3 or 4
Real Constants
CARE, TURN, LENG, DIRZ, FILL, VELOX,
VELOY, OMEGAZ, XLOC, YLOC

See Table 53.1: "PLANE53 Real Constants" for descriptions of the real constants.

Material Properties

MUZERO, MURX, MURY, RSVX, MGXX, MGYY, plus BH data table (see Data Tables - Implicit Analysis)

Surface Loads
Maxwell Force flag --

face 1 (J-I), face 2 (K-J), face 3 (L-K), face 4 (I-L)

Body Loads
Temperature --

T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P)

Magnetic Virtual Displacement --
VD(I), VD(J), VD(K), VD(L), VD(M), VD(N),
VD(O), VD(P) Source Current Density, if KEYOPT(1) = 0 or 1:
spare, spare, JSZ(I), PHASE(I), spare, spare,
JSZ(J), PHASE(J), spare, spare, JSZ(K), PHASE(K),
spare, spare, JSZ(L), PHASE(L) spare, spare,
JSZ(M), PHASE(M), spare, spare, JSZ(N), PHASE(N),
spare, spare, JSZ(O), PHASE(O), spare, spare,
JSZ(P), PHASE(P)
Voltage Loading, if KEYOPT(1) = 2:
VLTG(I), PHASE(I), VLTG(J), PHASE(J), VLTG(K), PHASE(K),
VLTG(L), PHASE(L), VLTG(M), PHASE(M), VLTG(N), PHASE(N),
VLTG(O), PHASE(O), VLTG(P), PHASE(P)
Special Features
Birth and death
Adaptive descent
KEYOPT(1)

Element degrees of freedom:

0 --

AZ degree of freedom: static domain, induced eddy current domain

1 --

VOLT, AZ degrees of freedom: current-fed massive conductor

2 --

AZ, CURR degrees of freedom: voltage-fed stranded coil

3 --

AZ, CURR, EMF degrees of freedom: circuit-coupled stranded coil

4 --

AZ, CURR, EMF degrees of freedom: circuit-coupled massive conductor

KEYOPT(2)

Element conventional velocity:

0 --

Velocity effects ignored

1 --

Conventional velocity formulation (not available if KEYOPT(1) = 2, 3, or 4)

KEYOPT(3)

Element behavior:

0 --

Plane

1 --

Axisymmetric

KEYOPT(4)

Element coordinate system:

0 --

Element coordinate system is parallel to the global coordinate system

1 --

Element coordinate system is based on the element I-J side

KEYOPT(5)

Extra element output:

0 --

Basic element printout

1 --

Integration point printout

2 --

Nodal magnetic field printout

KEYOPT(7)

Store magnetic forces for coupling with elements:

0 --

Midside node (higher-order) structural elements

1 --

Non-midside node structural elements

Table 53.1 PLANE53 Real Constants

No. | Name | Description
KEYOPT(1) [image] 2 - voltage forced or electromagnetic-circuit coupled analyses (coils or massive conductors)
1 | CARE | Coil cross-sectional area; required when KEYOPT(1) = 2, 3, 4
2 | TURN | Total number of coil turns (stranded coil only), default is 1; KEYOPT(1) = 2, 3
3 | LENG | Coil length in Z-direction, (required for planar models only), default is 1 meter; KEYOPT(1) = 2, 3, 4
4 | DIRZ | 1 for current in positive z-axis, -1 for current in negative z-axis; KEYOPT(1) = 2, 3, 4
5 | FILL | Coil fill factor; KEYOPT(1) = 2, 3
KEYOPT(2) = 1 (and KEYOPT(1) = 0 or 1) - Velocity effects of a conducting body
6 | VELOX | Velocity component in X-direction (global Cartesian)
7 | VELOY | Velocity component in Y-direction (global Cartesian)
8 | OMEGAZ | Angular (rotational) velocity (Hz, cycles/sec) about the Z-axis (global Cartesian), at the pivot point
9 | XLOC | Pivot point X-location (global Cartesian coordinate)
10 | YLOC | Pivot point Y-location (global Cartesian coordinate)

PLANE53 Output Data

The solution output associated with the element is in two forms:

  • Nodal degrees of freedom included in the overall nodal solution

  • Additional element output as shown in Table 53.2: "PLANE53 Element Output Definitions"

Several items are illustrated in Figure 53.2: "PLANE53 Magnetic Element Output". The element output directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 53.2 PLANE53 Magnetic Element Output

Because of different sign conventions for Cartesian and polar coordinate systems, magnetic flux density vectors point in opposite directions for planar (KEYOPT(3) = 0) and axisymmetric (KEYOPT(3) = 1) analyses.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 53.2 PLANE53 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC | Location where results are reported | Y | 2
CENT:X, Y | Global location XC, YC | Y | Y
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | Y | Y
LOC | Output location (X, Y) | 1 | -
MUX, MUY | Magnetic secant permeability | 1 | 1
H:X, Y | Magnetic field intensity components | 1 | 1
H:SUM | Vector magnitude of H | 1 | 1
B:X, Y | Magnetic flux density components (X, Y) | 1 | 1
B:SUM | Vector magnitude of B | 1 | 1
JSZ | Source current density, valid for static analysis only | 1 | 1
JTZ | Total current density | 1 | 1
JHEAT: | Joule heat generation per unit volume | 1 | 1
FJB(X, Y) | Lorentz force components | 1 | 1
FMX(X, Y) | Maxwell force components | 1 | 1
FVW(X, Y, SUM) | Virtual work force components | 1 | 1
FMAG:X, Y | Combined (FJB or FMX) force components | - | 1
ERES | Element resistance value (for stranded coils only) | - | 1
EIND | Element inductance value (for stranded coils only) | - | 1
DMUXX, DMUYY | Differential permeability | 1 | 1
V:X, Y, SUM | Velocity components | 1 | 1
MRE | Magnetic Reynolds number | 1 | 1
TJB(Z) | Lorentz torque about global Cartesian +Z-axis | 1 | 1
TMX(Z) | Maxwell torque about global Cartesian +Z-axis | 1 | 1
TVW(Z) | Virtual work torque about global Cartesian +Z-axis | 1 | 1

  1. The solution value is output only if calculated (based upon input data). The element solution is at the centroid.

    Note

    JT represents the total measurable current density in a conductor, including eddy current effects, and velocity effects if calculated.

    For axisymmetric solutions with KEYOPT(4) = 0, the X and Y directions correspond to the radial and axial directions, respectively.

    For harmonic analysis, joule losses (JHEAT), forces (FJB(X, Y), FMX(X, Y), FVW(X, Y)), and torque (TJB(Z), TMX(Z), TVW(Z)) represent time-average values. These values are stored in both the "Real" and “Imaginary” data sets. The macros POWERH, FMAGSUM, and TORQSUM can be used to retrieve this data.

    Inductance values (EIND) obtained for KEYOPT(1) = 2, 3, or 4 are only valid under the following conditions: the problem is linear (constant permeability), there are no permanent magnets in the model, and only a single coil exists in the model.

  2. Available only at centroid as a *GET item.

Table 53.3 PLANE53 Miscellaneous Element Output

Description | Names of Items Output | O | R
Nodal Solution | H, HSUM, B, BSUM, FJB, FMX, V, VSUM | 1 | -

  1. Output at each node, if KEYOPT(5) = 2

Table 53.4: "PLANE53 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 53.4: "PLANE53 Item and Sequence Numbers":

Name

output quantity as defined in the Table 53.2: "PLANE53 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 53.4 PLANE53 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
JSZ | SMISC | 1
MUX | NMISC | 1
MUY | NMISC | 2
FVWX | NMISC | 3
FVWY | NMISC | 4
FVWSUM | NMISC | 5
JTZ | NMISC | 7
ERES | NMISC | 8
EIND | NMISC | 9
DMUXX | NMISC | 10
DMUYY | NMISC | 11
VX | NMISC | 12
VY | NMISC | 13
MRE | NMISC | 15
TJB(X Y) | NMISC | 16
TMX(X, Y) | NMISC | 17
TVW(X, Y) | NMISC | 18

PLANE53 Assumptions and Restrictions

  • The area of the element must be positive.

  • The element must lie in a global X-Y plane as shown in Figure 53.1: "PLANE53 Geometry", and the Y-axis must be the axis of symmetry for axisymmetric analyses. An axisymmetric structure should be modeled in the +X quadrants.

  • A face with a removed midside node implies that the potential varies linearly, rather than parabolically, along that face. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes.

  • Current density loading (BFE,,JS) is only valid for the AZ option (KEYOPT(1) = 0). For the VOLT, AZ option (KEYOPT(1) = 1) use F,,AMPS.

  • When this element does not have the VOLT degree of freedom (KEYOPT(1) = 0), for a harmonic or transient analysis, its behavior depends on the applied load. For a BFE,,JS load, the element acts as a stranded conductor. Without BFE,,JS loads, it acts as a solid conductor modeling eddy current effects.

    • In this respect, PLANE53 (and PLANE13) are not like the 3-D elements SOLID97 and SOLID117. When SOLID97 and SOLID117 do not have the VOLT degree of freedom, they act as stranded conductors.

  • Permanent magnets are not permitted in a harmonic analysis.

  • For magnetostatic analyses, the VOLT, AZ option is not allowed.

  • For harmonic and transient (time-varying) analyses, the ANSYS product does not support the analysis of coupled velocity and circuit effects.

  • Reduced transient methods cannot be used. A 2-D planar or axisymmetric skin-effect analysis (where eddy current formation is permitted in conducting regions with impressed current loading) is performed by setting KEYOPT(1) = 1, specifying a resistivity, and coupling all VOLT degrees of freedom for elements in each of such regions.

  • For voltage forced magnetic field (KEYOPT(1) = 2) and circuit coupled problems (KEYOPT(1) = 3,4), note the following additional restrictions:

    • Only MKS units are allowed.

    • The permeability and conductivity are isotropic and constant.

    • All CURR degrees of freedom in a coil region must be coupled (CP command).

    • All EMF degrees of freedom in a coil region must be coupled (CP command).

  • For circuit coupled transient analyses, use THETA = 1.0, the default value, on the TINTP command to specify the backward Euler method. For more information, refer to the Theory Reference for ANSYS and ANSYS Workbench, as well as the description of the TINTP command in the Commands Reference.

For velocity effects (KEYOPT(2) = 1), note the following restrictions:

  • Velocity effects are valid only for AZ or AZ-VOLT DOF options.

  • Isotropic resistivity.

  • Solution accuracy may degrade if the element magnetic Reynolds number is much greater than 1.0. (See the discussion of magnetic field analysis in the Low-Frequency Electromagnetic Analysis Guide.)

  • If KEYOPT(1) [image] 2 or KEYOPT(2) [image] 1, unsymmetric matrices are produced.

  • This element may not be compatible with other elements with the VOLT degree of freedom. To be compatible, the elements must have the same reaction force (see Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide).

PLANE53 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Emag.

  • The birth and death special feature is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CONTAC52 		Up / Home Next
BEAM54


BEAM54

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

BEAM54

2-D Elastic Tapered Unsymmetric Beam

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

BEAM54 Element Description

BEAM54 is a uniaxial element with tension, compression, and bending capabilities. The element has three degrees of freedom at each node: translations in the nodal x and y directions and rotation about the nodal z-axis. This element allows a different unsymmetrical geometry at each end and permits the end nodes to be offset from the centroidal axis of the beam. If these features are not desired, use the uniform symmetrical beam element, BEAM3. This element does not have plastic, creep, or swelling capabilities. These effects are included in BEAM23, the 2-D, untapered, plastic beam element. Stress stiffening capability is also included. See BEAM44 for a 3-D tapered unsymmetrical beam.

Shear deformation and elastic foundation effects are available as options. Another option is available for printing the forces acting on the element in the element coordinate directions. See BEAM54 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 54.1 BEAM54 Geometry

BEAM54 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 54.1: "BEAM54 Geometry". The element x-axis is oriented in the global X-Y plane (or a parallel plane) from node I (end 1) toward node J (end 2). The element real constants describe the beam in terms of the cross-sectional areas, the area moments of inertia, the extreme fiber distances from the centroid, the offset distances, and the shear deflection constant. The moments of inertia (IZ_) are about the principal axis of the beam. The element may be used in axisymmetric analyses if hoop effects are negligible, such as for bolts, slotted cylinders, etc. The areas and moments of inertia must be input on a full 360° basis for an axisymmetric analysis.

The shear deflection constant (SHEARZ) is optional. A zero value of SHEARZ may be used to neglect shear deflection. The shear modulus (GXY) is used only with shear deflection. See Shear Deflection for details. The offset constants (DX_, DY_) define the centroid location of the section relative to the node location. Offset distances are measured positive from the node in the positive element coordinate directions. The shear areas (AREAS_) are used only for the shear stress computation. The shear areas are generally less than the actual cross-sectional area.

The AREA_, IZ_, HY__, and AREAS_ real constants for end 2 of the beam default to the corresponding end 1 values if zero. Furthermore, the "top" height at end 1, HYT1, defaults to the "bottom" height at end 1, HYB1, and the "top" height at end 2, HYT2, defaults to the "top" height at end 1, HYT1. The heights are measured from the centroid of the section. The elastic foundation stiffness (EFS) is defined as the pressure required to produce a unit normal deflection of the foundation. This capability is bypassed if EFS equals zero. The initial strain in the element (ISTRN) is given by Δ/L, where Δ is the difference between the element length, L, (as defined by the I and J node locations) and the zero strain length. The initial strain is also used in calculating the stress stiffness matrix, if any, for the first cumulative iteration. An added mass per unit length may be input with the ADDMAS value.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 54.1: "BEAM54 Geometry". The circled number represents the load key for the indicated face. Positive pressures act into the element. Lateral pressures are input as a force per unit length. End "pressures" are input as a force. KEYOPT(10) allows tapered lateral pressures to be offset from the nodes. Temperatures may be input as element body loads at the four "corner" locations shown in Figure 54.1: "BEAM54 Geometry". The first corner temperature T1 defaults to TUNIF. If all other temperatures are unspecified, they default to T1. If only T1 and T2 are input, T3 defaults to T2 and T4 defaults to T1. For any other input pattern, unspecified temperatures default to TUNIF.

KEYOPT(9) is used to request output at intermediate locations. It is based on equilibrium (free body of a portion of the element) considerations and is not valid if:

  • Stress stiffening is turned on [SSTIF,ON], or

  • More than one component of angular velocity is applied [OMEGA], or

  • Any angular velocities or accelerations are applied with the CGOMGA, DOMEGA, or DCGOMG commands.

A summary of the element input is given in "BEAM54 Input Summary". A general description of element input is given in Element Input.

BEAM54 Input Summary

Nodes

I, J

Degrees of Freedom

UX, UY, ROTZ

Real Constants
AREA1, IZ1, HYT1, HYB1, AREA2, IZ2,
HYT2, HYB2, DX1, DY1, DX2, DY2,
SHEARZ, AREAS1, AREAS2, EFS, ISTRN, ADDMAS
See Table 54.1: "BEAM54 Real Constants" for descriptions of the real constants.
Material Properties

EX, ALPX (or CTEX or THSX), DENS, GXY, DAMP

Surface Loads
Pressures --
face 1 (I-J) (-Y normal direction),
face 2 (I-J) (+X tangential direction),
face 3 (I) (+X axial direction),
face 4 (J) (-X axial direction) (use negative value for loading in opposite direction)
Body Loads
Temperatures --

T1, T2, T3, T4

Special Features
Stress stiffening
Large deflection
Birth and death
KEYOPT(6)

Member force and member moment output:

0 --

No member force printout

1 --

Print member forces and moments in the element coordinate system

KEYOPT(9)

Additional output at points between ends I and J:

N --

Output at N intermediate locations (N = 0, 1, 3, 5, 7, or 9)

KEYOPT(10)

Load location, used in conjunction with the offset values input on the SFBEAM command):

0 --

Offset is in terms of length units

1 --

Offset is in terms of a length ratio (0.0 to 1.0)

Note

If SHEARZ = 0.0, there is no shear deflection in the element y direction. AREAS1 and AREAS2 are used only for the shear stress calculation.

In the following table, the I-end of the beam corresponds to end 1, and the J-end of the beam corresponds to end 2.

Table 54.1 BEAM54 Real Constants

No. | Name | Description
1 | AREA1 | Cross-sectional area at I end of beam
2 | IZ1 | Moment of inertia about Z at I end of beam
3 | HYT1 | Distance from CG to top of Y surface at I end of beam
4 | HYB1 | Distance from CG to bottom of Y surface at I end of beam
5 | AREA2 | Cross-sectional area at J end of beam
6 | IZ2 | Moment of inertia about Z at J end of beam
7 | HYT2 | Distance from CG to top of Y surface at J end of beam
8 | HYB2 | Distance from CG to bottom of Y surface at J end of beam
9 | DX1 | X offset at CG at I end of beam
10 | DY1 | Y offset at CG at I end of beam
11 | DX2 | X offset at CG at J end of beam
12 | DY2 | Y offset at CG at J end of beam
13 | SHEARZ | Shear deflection constant
14 | AREAS1 | Shear area at I end of beam
15 | AREAS2 | Shear area at J end of beam
16 | EFS | Elastic foundation stiffness
17 | ISTRN | Initial strain in element
18 | ADDMAS | Added mass/unit length

BEAM54 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 54.2: "BEAM54 Element Output Definitions"

Several items are illustrated in Figure 54.2: "BEAM54 Stress Output". At each cross-section, the computed output consists of the direct (axial) stress and two bending components. Then these three values are combined to evaluate the maximum and minimum stresses. If KEYOPT(6) = 1 for this element, the 6 member forces and moments (3 at each end) are also printed (in the element coordinate system). The element x-axis is defined through the center of gravity of the cross-section. Additional results at intermediate locations between the ends may be output with KEYOPT(9). A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 54.2 BEAM54 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 54.2 BEAM54 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | - | Y
XC, YC, ZC | Location where results are reported | Y | 4
TEMP | Temperatures T1, T2, T3, T4 | Y | Y
PRES | Pressures P1 at nodes I,J; OFFST1 at I,J; P2 at I,J; OFFST2 at I,J; P3 at I; P4 at J | Y | Y
SDIR | Axial direct stress | 1 | 1
SBYT | Bending stress on the element +Y side of the beam | 1 | 1
SBYB | Bending stress on the element -Y side of the beam | 1 | 1
SMAX | Maximum stress (direct stress + bending stress) | 1 | 1
SMIN | Minimum stress (direct stress - bending stress) | 1 | 1
EPELDIR | Axial elastic strain at the end | 1 | 1
EPELBYT | Bending elastic strain on the element +Y side of the beam | 1 | 1
EPELBYB | Bending elastic strain on the element -Y side of the beam | 1 | 1
EPTHDIR | Axial thermal strain at the end | 1 | 1
EPTHBYT | Bending thermal strain on the element +Y side of the beam | 1 | 1
EPTHBYB | Bending thermal strain on the element -Y side of the beam | 1 | 1
EPINAXL | Initial axial strain in the element | 1 | 1
SXY | Average shear (Y-direction) | 2 | 2
MFOR(X, Y) | Member forces in the element coordinate system | 3 | Y
MMOMZ | Member moment in the element coordinate system | 3 | Y

  1. The item repeats for end I, intermediate locations (see KEYOPT(9)), and end J

  2. Output only if real constants AREAS1 and AREAS2 are input

  3. If KEYOPT(6) = 1

  4. Available only at centroid as a *GET item.

Table 54.3: "BEAM54 Item and Sequence Numbers (KEYOPT(9) = 0)" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 54.3: "BEAM54 Item and Sequence Numbers (KEYOPT(9) = 0)":

Name

output quantity as defined in the Table 54.2: "BEAM54 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J

sequence number for data at nodes I and J

ILn

sequence number for data at Intermediate Location n

Table 54.3 BEAM54 Item and Sequence Numbers (KEYOPT(9) = 0)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J
SDIR | LS | - | 1 | 4
SBYT | LS | - | 2 | 5
SBYB | LS | - | 3 | 6
EPELDIR | LEPEL | - | 1 | 4
EPELBYT | LEPEL | - | 2 | 5
EPELBYB | LEPEL | - | 3 | 6
EPTHDIR | LEPTH | - | 1 | 4
EPTHBYT | LEPTH | - | 2 | 5
EPTHBYB | LEPTH | - | 3 | 6
EPINAXL | LEPTH | 7 | - | -
MFORX | SMISC | - | 1 | 7
MFORY | SMISC | - | 2 | 8
MMOMZ | SMISC | - | 6 | 12
SXY | SMISC | - | 13 | 14
P1 | SMISC | - | 15 | 16
OFFST1 | SMISC | - | 17 | 18
P2 | SMISC | - | 19 | 20
OFFST2 | SMISC | - | 21 | 22
P3 | SMISC | - | 23 | -
P4 | SMISC | - | - | 24
SMAX | NMISC | - | 1 | 3
SMIN | NMISC | - | 2 | 4
 |  | Corner Location
 |  | 1 | 2 | 3 | 4
TEMP | LBFE | 1 | 2 | 3 | 4

Table 54.4 BEAM54 Item and Sequence Numbers (KEYOPT(9) = 1)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | IL1 | J
SDIR | LS | - | 1 | 4 | 7
SBYT | LS | - | 2 | 5 | 8
SBYB | LS | - | 3 | 6 | 9
EPELDIR | LEPEL | - | 1 | 4 | 7
EPELBYT | LEPEL | - | 2 | 5 | 8
EPELBYB | LEPEL | - | 3 | 6 | 9
EPTHDIR | LEPTH | - | 1 | 4 | 7
EPTHBYT | LEPTH | - | 2 | 5 | 8
EPTHBYB | LEPTH | - | 3 | 6 | 9
EPINAXL | LEPTH | 10 | - | - | -
MFORX | SMISC | - | 1 | 7 | 13
MFORY | SMISC | - | 2 | 8 | 14
MMOMZ | SMISC | - | 6 | 12 | 18
SXY | SMISC | - | 19 | 20 | 21
P1 | SMISC | - | 22 | - | 23
OFFST1 | SMISC | - | 24 | - | 25
P2 | SMISC | - | 26 | - | 27
OFFST2 | SMISC | - | 28 | - | 29
P3 | SMISC | - | 30 | - | -
P4 | SMISC | - | - | - | 31
SMAX | NMISC | - | 1 | 3 | 5
SMIN | NMISC | - | 2 | 4 | 6
 |  | Corner Location
 |  | 1 | 2 | 3 | 4
TEMP | LBFE | 1 | 2 | 3 | 4

Table 54.5 BEAM54 Item and Sequence Numbers (KEYOPT(9) = 3)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | IL1 | IL2 | IL3 | J
SDIR | LS | - | 1 | 4 | 7 | 10 | 13
SBYT | LS | - | 2 | 5 | 8 | 11 | 14
SBYB | LS | - | 3 | 6 | 9 | 12 | 15
EPELDIR | LEPEL | - | 1 | 4 | 7 | 10 | 13
EPELBYT | LEPEL | - | 2 | 5 | 8 | 11 | 14
EPELBYB | LEPEL | - | 3 | 6 | 9 | 12 | 15
EPTHDIR | LEPTH | - | 1 | 4 | 7 | 10 | 13
EPTHBYT | LEPTH | - | 2 | 5 | 8 | 11 | 14
EPTHBYB | LEPTH | - | 3 | 6 | 9 | 12 | 15
EPINAXL | LEPTH | 16 | - | - | - | - | -
MFORX | SMISC | - | 1 | 7 | 13 | 19 | 25
MFORY | SMISC | - | 2 | 8 | 14 | 20 | 26
MMOMZ | SMISC | - | 6 | 12 | 18 | 24 | 30
SXY | SMISC | - | 31 | 32 | 33 | 34 | 35
P1 | SMISC | - | 36 | - | - | - | 37
OFFST1 | SMISC | - | 38 | - | - | - | 39
P2 | SMISC | - | 40 | - | - | - | 41
OFFST2 | SMISC | - | 42 | - | - | - | 43
P3 | SMISC | - | 44 | - | - | - | -
P4 | SMISC | - | - | - | - | - | 45
SMAX | NMISC | - | 1 | 3 | 5 | 7 | 9
SMIN | NMISC | - | 2 | 4 | 6 | 8 | 10
 |  | Corner Location
 |  | 1 | 2 | 3 | 4
TEMP | LBFE | 1 | 2 | 3 | 4

Table 54.6 BEAM54 Item and Sequence Numbers (KEYOPT(9) = 5)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | IL1 | IL2 | IL3 | IL4 | IL5 | J
SDIR | LS | - | 1 | 4 | 7 | 10 | 13 | 16 | 19
SBYT | LS | - | 2 | 5 | 8 | 11 | 14 | 17 | 20
SBYB | LS | - | 3 | 6 | 9 | 12 | 15 | 18 | 21
EPELDIR | LEPEL | - | 1 | 4 | 7 | 10 | 13 | 16 | 19
EPELBYT | LEPEL | - | 2 | 5 | 8 | 11 | 14 | 17 | 20
EPELBYB | LEPEL | - | 3 | 6 | 9 | 12 | 15 | 18 | 21
EPTHDIR | LEPTH | - | 1 | 4 | 7 | 10 | 13 | 16 | 19
EPTHBYT | LEPTH | - | 2 | 5 | 8 | 11 | 14 | 17 | 20
EPTHBYB | LEPTH | - | 3 | 6 | 9 | 12 | 15 | 18 | 21
EPINAXL | LEPTH | 22 | - | - | - | - | - | - | -
MFORX | SMISC | - | 1 | 7 | 13 | 19 | 25 | 31 | 37
MFORY | SMISC | - | 2 | 8 | 14 | 20 | 26 | 32 | 38
MMOMZ | SMISC | - | 6 | 12 | 18 | 24 | 30 | 36 | 42
SXY | SMISC | - | 43 | 44 | 45 | 46 | 47 | 48 | 49
P1 | SMISC | - | 50 | - | - | - | - | - | 51
OFFST1 | SMISC | - | 52 | - | - | - | - | - | 53
P2 | SMISC | - | 54 | - | - | - | - | - | 55
OFFST2 | SMISC | - | 56 | - | - | - | - | - | 57
P3 | SMISC | - | 58 | - | - | - | - | - | -
P4 | SMISC | - | - | - | - | - | - | - | 59
SMAX | NMISC | - | 1 | 3 | 5 | 7 | 9 | 11 | 13
SMIN | NMISC | - | 2 | 4 | 6 | 8 | 10 | 12 | 14
 |  | Corner Location
 |  | 1 | 2 | 3 | 4
TEMP | LBFE | 1 | 2 | 3 | 4

Table 54.7 BEAM54 Item and Sequence Numbers (KEYOPT(9) = 7)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | IL1 | IL2 | IL3 | IL4 | IL5 | IL6 | IL7 | J
SDIR | LS | - | 1 | 4 | 7 | 10 | 13 | 16 | 19 | 22 | 25
SBYT | LS | - | 2 | 5 | 8 | 11 | 14 | 17 | 20 | 23 | 26
SBYB | LS | - | 3 | 6 | 9 | 12 | 15 | 18 | 21 | 24 | 27
EPELDIR | LEPEL | - | 1 | 4 | 7 | 10 | 13 | 16 | 19 | 22 | 25
EPELBYT | LEPEL | - | 2 | 5 | 8 | 11 | 14 | 17 | 20 | 23 | 26
EPELBYB | LEPEL | - | 3 | 6 | 9 | 12 | 15 | 18 | 21 | 24 | 27
EPTHDIR | LEPTH | - | 1 | 4 | 7 | 10 | 13 | 16 | 19 | 22 | 25
EPTHBYT | LEPTH | - | 2 | 5 | 8 | 11 | 14 | 17 | 20 | 23 | 26
EPTHBYB | LEPTH | - | 3 | 6 | 9 | 12 | 15 | 18 | 21 | 24 | 27
EPINAXL | LEPTH | 28 | - | - | - | - | - | - | - | - | -
MFORX | SMISC | - | 1 | 7 | 13 | 19 | 25 | 31 | 37 | 43 | 49
MFORY | SMISC | - | 2 | 8 | 14 | 20 | 26 | 32 | 38 | 44 | 50
MMOMZ | SMISC | - | 6 | 12 | 18 | 24 | 30 | 36 | 42 | 48 | 54
SXY | SMISC | - | 55 | 56 | 57 | 58 | 59 | 60 | 61 | 62 | 63
P1 | SMISC | - | 64 | - | - | - | - | - | - | - | 65
OFFST1 | SMISC | - | 66 | - | - | - | - | - | - | - | 67
P2 | SMISC | - | 68 | - | - | - | - | - | - | - | 69
OFFST2 | SMISC | - | 70 | - | - | - | - | - | - | - | 71
P3 | SMISC | - | 72 | - | - | - | - | - | - | - | -
P4 | SMISC | - | - | - | - | - | - | - | - | - | 73
SMAX | NMISC | - | 1 | 3 | 5 | 7 | 9 | 11 | 13 | 15 | 17
SMIN | NMISC | - | 2 | 4 | 6 | 8 | 10 | 12 | 14 | 16 | 18
 |  | Corner Location
 |  | 1 | 2 | 3 | 4
TEMP | LBFE | 1 | 2 | 3 | 4

Table 54.8 BEAM54 Item and Sequence Numbers (KEYOPT(9) = 9)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | IL1 | IL2 | IL3 | IL4 | IL5 | IL6 | IL7 | IL8 | IL9 | J
SDIR | LS | - | 1 | 4 | 7 | 10 | 13 | 16 | 19 | 22 | 25 | 28 | 31
SBYT | LS | - | 2 | 5 | 8 | 11 | 14 | 17 | 20 | 23 | 26 | 29 | 32
SBYB | LS | - | 3 | 6 | 9 | 12 | 15 | 18 | 21 | 24 | 27 | 30 | 33
EPELDIR | LEPEL | - | 1 | 4 | 7 | 10 | 13 | 16 | 19 | 22 | 25 | 28 | 31
EPELBYT | LEPEL | - | 2 | 5 | 8 | 11 | 14 | 17 | 20 | 23 | 26 | 29 | 32
EPELBYB | LEPEL | - | 3 | 6 | 9 | 12 | 15 | 18 | 21 | 24 | 27 | 30 | 33
EPTHDIR | LEPTH | - | 1 | 4 | 7 | 10 | 13 | 16 | 19 | 22 | 25 | 28 | 31
EPTHBYT | LEPTH | - | 2 | 5 | 8 | 11 | 14 | 17 | 20 | 23 | 26 | 29 | 32
EPTHBYB | LEPTH | - | 3 | 6 | 9 | 12 | 15 | 18 | 21 | 24 | 27 | 30 | 33
EPINAXL | LEPTH | 34 | - | - | - | - | - | - | - | - | - | - | -
MFORX | SMISC | - | 1 | 7 | 13 | 19 | 25 | 31 | 37 | 43 | 49 | 55 | 61
MFORY | SMISC | - | 2 | 8 | 14 | 20 | 26 | 32 | 38 | 44 | 50 | 56 | 62
MMOMZ | SMISC | - | 6 | 12 | 18 | 24 | 30 | 36 | 42 | 48 | 54 | 60 | 66
SXY | SMISC | - | 67 | 68 | 69 | 70 | 71 | 72 | 73 | 74 | 75 | 76 | 77
P1 | SMISC | - | 78 | - | - | - | - | - | - | - | - | - | 79
OFFST1 | SMISC | - | 80 | - | - | - | - | - | - | - | - | - | 81
P2 | SMISC | - | 82 | - | - | - | - | - | - | - | - | - | 83
OFFST2 | SMISC | - | 84 | - | - | - | - | - | - | - | - | - | 85
P3 | SMISC | - | 86 | - | - | - | - | - | - | - | - | - | -
P4 | SMISC | - | - | - | - | - | - | - | - | - | - | - | 87
SMAX | NMISC | - | 1 | 3 | 5 | 7 | 9 | 11 | 13 | 15 | 17 | 19 | 21
SMIN | NMISC | - | 2 | 4 | 6 | 8 | 10 | 12 | 14 | 16 | 18 | 20 | 22
 |  | Corner Location
 |  | 1 | 2 | 3 | 4
TEMP | LBFE | 1 | 2 | 3 | 4

BEAM54 Assumptions and Restrictions

  • The beam must not have a zero length, area, or moment of inertia. The beam must lie in an X-Y plane.

  • The element heights are used in locating the extreme fibers for the stress calculations and in computing the thermal gradient. Incorrect bending or thermal stresses may result if zero heights are input.

  • Tapers within an element, if any, should be gradual. If AREA2/AREA1 or I2/I1 is not between 0.5 and 2.0, a warning message is output. If the ratio is outside of the range of 0.1 to 10.0, an error message is output. The element should not taper to a point at either end (zero thickness).

  • The applied thermal gradient is assumed to be linear across the thickness and along the length of the element.

  • The flexible length of the beam is adjusted to account for the effect of the offsets. The offset lengths may be regarded as rigid portions of the beam. Unequal lateral offsets, which rotate the beam, also cause a corresponding shortening of the beam's flexible length. The difference between the lateral offsets should not exceed the length of the element.

  • The effect of offsets on the mass matrix is ignored if the lumped mass matrix formulation is specified [LUMPM,ON].

  • Rotational body forces resulting from an angular velocity are based upon the node locations (as if zero offsets).

  • The shear stress is calculated based on the shear force rather than the shear deflection.

BEAM54 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The DAMP material property is not allowed.

  • The only special features allowed are stress stiffening and large deflection.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLANE53 		Up / Home Next
PLANE55


PLANE55

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

PLANE55

2-D Thermal Solid

MP ME <> PR PRN DS <> <> <> <> <> PP <>

Product Restrictions

PLANE55 Element Description

PLANE55 can be used as a plane element or as an axisymmetric ring element with a 2-D thermal conduction capability. The element has four nodes with a single degree of freedom, temperature, at each node.

The element is applicable to a 2-D, steady-state or transient thermal analysis. The element can also compensate for mass transport heat flow from a constant velocity field. If the model containing the temperature element is also to be analyzed structurally, the element should be replaced by an equivalent structural element (such as PLANE42). A similar element with midside node capability is PLANE77. A similar axisymmetric element which accepts nonaxisymmetric loading is PLANE75.

An option exists that allows the element to model nonlinear steady-state fluid flow through a porous medium. With this option the thermal parameters are interpreted as analogous fluid flow parameters. See PLANE55 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 55.1 PLANE55 Geometry

PLANE55 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 55.1: "PLANE55 Geometry". The element is defined by four nodes and the orthotropic material properties. Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. Specific heat and density are ignored for steady-state solutions. Properties not input default as described in Linear Material Properties.

Element loads are described in Node and Element Loads. Convection or heat flux (but not both) and radiation may be input as surface loads at the element faces as shown by the circled numbers on Figure 55.1: "PLANE55 Geometry".

Heat generation rates may be input as element body loads at the nodes. If the node I heat generation rate HG(I) is input, and all others are unspecified, they default to HG(I).

A mass transport option is available with KEYOPT(8). With this option the velocities VX and VY must be input as real constants (in the element coordinate system). Also, temperatures should be specified along the entire inlet boundary to assure a stable solution. With mass transport, you should use specific heat (C) and density (DENS) material properties instead of enthalpy (ENTH).

The nonlinear porous flow option is selected with KEYOPT(9) = 1. For this option, temperature is interpreted as pressure and the absolute permeabilities of the medium are input as material properties KXX and KYY. Properties DENS and VISC are used for the mass density and viscosity of the fluid. See the Theory Reference for ANSYS and ANSYS Workbench for a description of the properties C and MU, which are used in calculating the coefficients of permeability, with reference to the Z terms ignored. Temperature boundary conditions input with the D command are interpreted as pressure boundary conditions, and heat flow boundary conditions input with the F command are interpreted as mass flow rate (mass/time).

This element can also have a Z-depth specified by KEYOPT(3) and real constant THK. Be careful when using this option with other physics, especially radiation. Radiation view factors will be based on a unit Z-depth (only).

A summary of the element input is given in "PLANE55 Input Summary". A general description of element input is given in Element Input. For axisymmetric applications see Axisymmetric Elements.

PLANE55 Input Summary

Nodes

I, J, K, L

Degrees of Freedom

TEMP

Real Constants

THK, VX, VY

THK = Thickness (used only if KEYOPT(3) = 3)

VX = Mass transport velocity in X (used only if KEYOPT(8) > 0)

VY = Mass transport velocity in Y (used only if KEYOPT(8) > 0)

Material Properties

KXX, KYY, DENS, C, ENTH, VISC, MU (VISC and MU used only if KEYOPT (9) = 1. Do not use ENTH with KEYOPT(8) = 1 or 2).

Surface Loads
Convection or Heat Flux (but not both) and Radiation (using Lab = RDSF) --

face 1 (J-I), face 2 (K-J), face 3 (L-K), face 4 (I-L)

Body Loads
Heat Generations --

HG(I), HG(J), HG(K), HG(L)

Special Features

Birth and death

KEYOPT(1)

How to evaluate film coefficient:

0 --

Evaluate film coefficient (if any) at average film temperature, (TS + TB)/2

1 --

Evaluate at element surface temperature, TS

2 --

Evaluate at fluid bulk temperature, TB

3 --

Evaluate at differential temperature, |TS - TB|

KEYOPT(3)

Element behavior:

0 --

Plane

1 --

Axisymmetric

3 --

Plane with Z-depth, specified via real constant THK.

KEYOPT(4)

Element coordinate system:

0 --

Element coordinate system is parallel to the global coordinate system

1 --

Element coordinate system is based on the element I-J side.

KEYOPT(8)

Mass transport effects:

0 --

No mass transport effects

1 --

Mass transport with VX and VY

2 --

Same as 1 but also print mass transport heat flow

KEYOPT(9)

Nonlinear fluid flow option:

0 --

Standard heat transfer element

1 --

Nonlinear steady-state fluid flow analogy element (temperature degree of freedom interpreted as pressure)

PLANE55 Output Data

The solution output associated with the element is in two forms:

  • Nodal temperatures included in the overall nodal solution

  • Additional element output as shown in Table 55.1: "PLANE55 Element Output Definitions"

For an axisymmetric analysis the face area and the heat flow rate are on a full 360° basis. Convection heat flux is positive out of the element; applied heat flux is positive into the element. If KEYOPT(9) = 1, the standard thermal output should be interpreted as the analogous fluid flow output. The element output directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output and of postprocessing data in Triangle, Prism and Tetrahedral Elements. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 55.1 PLANE55 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC | Location where results are reported | Y | 4
HGEN | Heat generations HG(I), HG(J), HG(K), HG(L) | Y | -
TG:X, Y, SUM | Thermal gradient components and vector sum at centroid | Y | Y
TF:X, Y, SUM | Thermal flux (heat flow rate/cross-sectional area) components and vector sum at centroid | Y | Y
FACE | Face label | 1 | -
AREA | Face area | 1 | 1
NODES | Face nodes | 1 | 1
HFILM | Film coefficient at each node of face | 1 | -
TBULK | Bulk temperature at each node of face | 1 | -
TAVG | Average face temperature | 1 | 1
HEAT RATE | Heat flow rate across face by convection | 1 | 1
HFAVG | Average film coefficient of the face | - | 1
TBAVG | Average face bulk temperature | - | 1
HFLXAVG | Heat flow rate per unit area across face caused by input heat flux | - | 1
HEAT RATE/AREA | Heat flow rate per unit area across face by convection | 1 | -
HFLUX | Heat flux at each node of face | 1 | -
HEAT FLOW BY MASS TRANSPORT | Heat flow rate across face by mass transport | 2 | -
PRESSURE GRAD | Total pressure gradient and its X and Y components | 3 | -
MASS FLUX | Mass flow rate per unit cross-sectional area | 3 | -
FLUID VELOCITY | Total fluid velocity and its X and Y components | 3 | -

  1. If a surface load is input

  2. If KEYOPT(8) = 2

  3. If KEYOPT(9) = 1

  4. Available only at centroid as a *GET item.

Table 55.2: "PLANE55 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 55.2: "PLANE55 Item and Sequence Numbers":

Name

output quantity as defined in the Table 55.1: "PLANE55 Element Output Definitions"

Item

predetermined Item label for ETABLE command

FCn

sequence number for solution items for element Face n

Table 55.2 PLANE55 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | FC1 | FC2 | FC3 | FC4
AREA | NMISC | 1 | 7 | 13 | 19
HFAVG | NMISC | 2 | 8 | 14 | 20
TAVG | NMISC | 3 | 9 | 15 | 21
TBAVG | NMISC | 4 | 10 | 16 | 22
HEAT RATE | NMISC | 5 | 11 | 17 | 23
HFLXAVG | NMISC | 6 | 12 | 18 | 24

PLANE55 Assumptions and Restrictions

  • The element must not have a negative or a zero area.

  • The element must lie in an X-Y plane as shown in Figure 55.1: "PLANE55 Geometry" and the Y-axis must be the axis of symmetry for axisymmetric analyses. An axisymmetric structure should be modeled in the +X quadrants.

  • A triangular element may be formed by defining duplicate K and L node numbers as described in Triangle, Prism and Tetrahedral Elements.

  • The specific heat and enthalpy are evaluated at each integration point to allow for abrupt changes (such as melting) within a coarse grid of elements.

  • If the thermal element is to be replaced by a PLANE42 structural element with surface stresses requested, the thermal element should be oriented with face IJ or face KL as a free surface. A free surface of the element (that is, not adjacent to another element and not subjected to a boundary constraint) is assumed to be adiabatic.

  • Thermal transients having a fine integration time step and a severe thermal gradient at the surface will also require a fine mesh at the surface.

  • If KEYOPT(8) > 0, unsymmetric matrices are produced.

  • When mass flow is activated (KEYOPT(8)=1 or 2), the element Peclet number should be less than 1:

    Pe = ρ*v*L*Cp/(2*k) <1.0

    Where L is an element length scale based on the flow direction and element geometry. See PLANE55 in the Theory Reference for ANSYS and ANSYS Workbench for more details.

PLANE55 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • This element does not have the mass transport or fluid flow options. KEYOPT(8) and KEYOPT(9) can only be set to 0 (default).

  • The VX and VY real constants are not applicable.

  • The VISC and MU material properties are not applicable.

  • The element does not have the birth and death feature.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BEAM54 		Up / Home Next
SHELL57


SHELL57

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SHELL57

Thermal Shell

MP ME <> PR PRN DS <> <> <> <> <> PP <>

Product Restrictions

SHELL57 Element Description

SHELL57 is a 3-D element having in-plane thermal conduction capability. The element has four nodes with a single degree of freedom, temperature, at each node. The conducting shell element is applicable to a 3-D, steady-state or transient thermal analysis. See SHELL57 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

If the model containing the conducting shell element is to be analyzed structurally, the element should be replaced by an equivalent structural element (such as SHELL63). If both in-plane and transverse conduction are needed, SHELL131 with KEYOPT(3) = 0 or 1 should be used.

SHELL57 is essentially the same as SHELL131 with KEYOPT(3) = 2.

Figure 57.1 SHELL57 Geometry

xIJ = Element x-axis if ESYS is not supplied.

x = Element x-axis if ESYS is supplied.

SHELL57 Input Data

The geometry, node locations, and coordinate systems for this element are shown in Figure 57.1: "SHELL57 Geometry". The element is defined by four nodes, four thicknesses, a material direction angle, and the material properties.

The element may have variable thickness. The thickness is assumed to vary smoothly over the area of the element, with the thickness input at the four nodes. If the element has a constant thickness, only TK(I) need be input. If the thickness is not constant, all four thicknesses must be input.

Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. Properties not input default as described in Linear Material Properties. The element x-axis may be rotated by an angle THETA (in degrees).

Element loads are described in Node and Element Loads. Convection or heat flux (but not both) and radiation may be specified as surface loads at the element faces as shown by the circled numbers on Figure 57.1: "SHELL57 Geometry". Edge convection and flux loads are input on a per unit length basis.

Heat generation rates may be input as element body loads at the nodes. If the node I heat generation rate HG(I) is input, and all others are unspecified, they default to HG(I).

A summary of the element input is given in "SHELL57 Input Summary". A general description of element input is given in Element Input.

SHELL57 Input Summary

Nodes

I, J, K, L

Degrees of Freedom

TEMP

Real Constants
TK(I) - Shell thickness at node I
TK(J) - Shell thickness at node J; defaults to TK(I)
TK(K) - Shell thickness at node K; defaults to TK(I)
TK(L) - Shell thickness at node L; defaults to TK(I)
THETA - Element X-axis rotation
Material Properties

KXX, KYY, DENS, C, ENTH

Surface Loads
Convection or Heat Flux (but not both) and Radiation (using Lab = RDSF) --
face 1 (I-J-K-L) (bottom, -Z side), face 2 (I-J-K-L) (top, +Z side),
face 3 (J-I), face 4 (K-J), face 5 (L-K), face 6 (I-L)
Body Loads
Heat Generations --

HG(I), HG(J), HG(K), HG(L)

Special Features

Birth and death

KEYOPT(2)

Where to evaluate film coefficient:

0 --

Evaluate film coefficient (if any) at average film temperature, (TS + TB)/2

1 --

Evaluate at element surface temperature, TS

2 --

Evaluate at fluid bulk temperature, TB

3 --

Evaluate at differential temperature, |TS - TB|

SHELL57 Output Data

The solution output associated with the element is in two forms:

  • Nodal temperatures included in the overall nodal solution

  • Additional element output as shown in Table 57.1: "SHELL57 Element Output Definitions"

Heat flowing out of the element is considered to be positive. The element output directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 57.1 SHELL57 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L | Y | Y
MAT | Material number | Y | Y
AREA | Convection face area | Y | Y
XC, YC, ZC | Location where results are reported | Y | 2
HGEN | Heat generations HG(I), HG(J), HG(K), HG(L) | Y | -
TG:X, Y, SUM | Thermal gradient components and vector sum at centroid | Y | Y
TF:X, Y, SUM | Thermal flux (heat flow rate/cross-sectional area) components and vector sum at centroid | Y | Y
FACE | Face label | 1 | 1
AREA | Face area | 1 | 1
NODES | Face nodes | 1 | 1
HFILM | Film coefficient | 1 | 1
TAVG | Average face temperature | 1 | 1
TBULK | Fluid bulk temperature | 1 | -
HEAT RATE | Heat flow rate across face by convection | 1 | 1
HFAVG | Average film coefficient of the face | - | 1
TBAVG | Average face bulk temperature | - | 1
HFLXAVG | Heat flow rate per unit area across face caused by input heat flux | - | 1
HEAT RATE/AREA | Heat flow rate per unit area across face by convection | 1 | -
HEAT FLUX | Heat flux at each node of face | 1 | -

  1. If a surface load is input

  2. Available only at centroid as a *GET item.

Table 57.2: "SHELL57 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 57.2: "SHELL57 Item and Sequence Numbers":

Name

output quantity as defined in the Table 57.1: "SHELL57 Element Output Definitions"

Item

predetermined Item label for ETABLE command

Table 57.2 SHELL57 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | FACE 1 (BOT) | FACE 2 (TOP) | FACE 3 (J-I) | FACE 4 (K-J) | FACE 5 (L-K) | FACE 6 (I-L)
AREA | NMISC | 1 | 7 | 13 | 19 | 25 | 31
HFAVG | NMISC | 2 | 8 | 14 | 20 | 26 | 32
TAVG | NMISC | 3 | 9 | 15 | 21 | 27 | 33
TBAVG | NMISC | 4 | 10 | 16 | 22 | 28 | 34
HEAT RATE | NMISC | 5 | 11 | 17 | 23 | 29 | 35
HFLXAVG | NMISC | 6 | 12 | 18 | 24 | 30 | 36

SHELL57 Assumptions and Restrictions

  • Zero area elements are not allowed. This occurs most frequently when the elements are not numbered properly.

  • The element must not taper down to a zero thickness at any corner.

  • A triangular element may be formed by defining duplicate K and L node numbers as described in Triangle, Prism and Tetrahedral Elements.

SHELL57 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The birth and death special feature is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLANE55 		Up / Home Next
PIPE59


PIPE59

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

PIPE59

Immersed Pipe or Cable

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

PIPE59 Element Description

PIPE59 is a uniaxial element with tension-compression, torsion, and bending capabilities, and with member forces simulating ocean waves and current. The element has six degrees of freedom at each node: translations in the nodal x, y, and z directions and rotations about the nodal x, y, and z-axes. The element is similar to PIPE16 except that the element loads include the hydrodynamic and buoyant effects of the water and the element mass includes the added mass of the water and the pipe internals. A cable representation option (similar to LINK8) is also available with the element. The element has stress stiffening and large deflection capabilities. See PIPE59 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 59.1 PIPE59 Geometry

PIPE59 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 59.1: "PIPE59 Geometry". The element input data (see "PIPE59 Input Summary") includes two nodes, the pipe outer diameter and wall thickness, certain loading and inertial information (described in Table 59.1: "PIPE59 Real Constants" and Figure 59.2: "PIPE59 Geometry"), and the isotropic material properties. An external "insulation" may be defined to represent ice loads or biofouling. The material VISC is used only to determine Reynolds number of the fluid outside the pipe.

The element x-axis is oriented from node I toward node J. The element y-axis is automatically calculated to be parallel to the global X-Y plane. Several orientations are shown in Figure 59.1: "PIPE59 Geometry". For the case where the element is parallel to the global Z-axis (or within a 0.01 percent slope of it), the element y-axis is oriented parallel to the global Y-axis (as shown). Input and output locations around the pipe circumference identified as being at 0° are located along the element y-axis, and similarly 90° is along the element z-axis.

Figure 59.2 PIPE59 Geometry

KEYOPT(1) may be used to convert the element to the cable option by deleting the bending stiffnesses. If the element is not "torque balanced", the twist-tension option may be used (KEYOPT(1) = 2). This option accounts for the twisting induced when a helically wound or armored structure is stretched. The KEYOPT(2) key allows a reduced mass matrix and load vector formulation (with rotational degrees of freedom terms deleted as described in the Theory Reference for ANSYS and ANSYS Workbench). This formulation is useful for suppressing large deflections and improving bending stresses in long, slender members. It is also often used with the twist-tension pipe option for cable structures.

The description of the waves, the current, and the water density are input through the water motion table. The water motion table is associated with a material number and is explained in detail in Table 59.2: "PIPE59 Water Motion Table". If the water motion table is not input, no water is assumed to surround the pipe. Note that even though the word "water" is used to describe various input quantities, the quantities may actually be characteristic of any fluid. Alternate drag coefficient and temperature data may also be input through this table.

A summary of the element input is given in "PIPE59 Input Summary". A general description of element input is given in Element Input.

PIPE59 Input Summary

Nodes

I, J

Degrees of Freedom
UX, UY, UZ, ROTX, ROTY, ROTZ if KEYOPT(1) ≠ 1, or
UX, UY, UZ if KEYOPT(1) = 1
Real Constants
DO, TWALL, CD, CM, DENSO, FSO,
CENMPL, CI, CB, CT, ISTR, DENSIN,
TKIN, TWISTTEN
See Table 59.1: "PIPE59 Real Constants" for details.
Material Properties

EX, ALPX (or CTEX or THSX), PRXY (or NUXY), DENS, GXY, DAMP, VISC

Surface Loads
Pressures --

1-PINT, 2-PX, 3-PY, 4-PZ, 5-POUT

Body Loads
Temperatures --
TOUT(I), TIN(I), TOUT(J), TIN(J) if KEYOPT(3) = 0
TAVG(I), T90(I), T180(I), TAVG(J), T90(J), T180(J) if KEYOPT(3) = 1
Special Features
Stress stiffening
Large deflection
Birth and death
KEYOPT(1)

Element behavior:

0 --

Pipe option

1 --

Cable option

2 --

Pipe with twist-tension option

KEYOPT(2)

Load vector and mass matrix:

0 --

Consistent mass matrix and load vector

1 --

Reduced mass matrix and load vector

KEYOPT(3)

Temperatures represent:

0 --

The through-wall gradient

1 --

The diametral gradient

KEYOPT(5)

Wave force modifications:

0 --

Waves act on elements at their actual location

1 --

Elements are assumed to be at wave peak

2 --

Upward vertical wave velocity acts on element

3 --

Downward vertical wave velocity acts on element

4 --

Elements are assumed to be at wave trough

KEYOPT(6)

Member force and moment output:

0 --

No printout of member forces or moments

2 --

Print member forces and moments in the element coordinate system

KEYOPT(7)

Extra element output:

0 --

Basic element printout

1 --

Additional hydrodynamic integration point printout

KEYOPT(8)

End cap loads:

0 --

Internal and external pressures cause loads on end caps

1 --

Internal and external pressures do not cause loads on end caps

KEYOPT(9)

PX, PY, and PZ transverse pressures:

0 --

Use only the normal component of pressure

1 --

Use the full pressure (normal and shear components)

Table 59.1 PIPE59 Real Constants

No. | Name | Description
1 | DO | Outside diameter (Do)
2 | TWALL | Wall thickness of the pipe (defaults to Do/2.0)
3 | CD | Normal drag coefficient (CD). May be overridden by Constants 43 through 54 of water motion table (see Table 59.2: "PIPE59 Water Motion Table")
4 | CM | Coefficient of inertia (CM)
5 | DENSO | Internal fluid density (used for pressure effect only) (Mass/Length3)
6 | FSO | Z coordinate location of the free surface of the fluid on the inside of the pipe (used for pressure effect only)
7 | CENMPL | Mass per unit length of the internal fluid and additional hardware (used for mass matrix computation)
8 | CI | Added-mass-used/added-mass for circular cross section (if blank or 0, defaults to 1; if CI should be 0.0, enter negative number)
9 | CB | Buoyancy force ratio (Buoyancy-force based on outside diameter and water density) (if blank or 0, defaults to 1; if CB should be 0.0, enter negative number)
10 | CT | Coefficient of tangential drag (CT). May be overridden by Constants 55 through 66 of water motion table (See Table 59.2: "PIPE59 Water Motion Table").
11 | ISTR | Initial strain in axial direction.
12 | DENSIN | Density of external insulation[1].
13 | TKIN | Thickness of external insulation (ti).
14 | TWISTTEN | Twist tension constant (used if KEYOPT(1) = 2) (See Theory Reference for ANSYS and ANSYS Workbench for more details).

  1. Density of external insulation (ρi).

PIPE59 Water Motion Information

The data listed in Table 59.2: "PIPE59 Water Motion Table" is entered in the data table with the TB commands. If the table is not input, no water is assumed to surround the pipe. Constants not input are assumed to be zero. If the table is input, ACELZ must also have a positive value and remain constant for all load steps. The constant table is started by using the TB command (with Lab = WATER). Up to 196 constants may be defined with the TBDATA commands. The constants (C1-C196) entered on the TBDATA commands (6 per command) are:

where:

KWAVE = Wave selection key (see next section)
KCRC = Wave/current interaction key (see next section)
DEPTH = Depth of water to mud line (DEPTH > 0.0) (Length)
DENSW = Water density, ρw, (DENSW > 0.0) (Mass/Length3)
θw = Wave direction (see Figure 59.2: "PIPE59 Geometry")
Z(j) = Z coordinate of location j of drift current measurement (see Figure 59.2: "PIPE59 Geometry") (location must be input starting at the ocean floor (Z(1) = -DEPTH) and ending at the water surface (Z(MAX) = 0.0). If the current does not change with height, only W(1) needs to be defined.)
W(j) = Velocity of drift current at location j (Length/Time)
θd(j) = Direction of drift current at location j (Degrees) (see Figure 59.2: "PIPE59 Geometry")
Re(k) = Twelve Reynolds number values (if used, all 12 must be input in ascending order)
CD(k) = Twelve corresponding normal drag coefficients (if used, all 12 must be input)
CT(k) = Twelve corresponding tangential drag coefficients (if used, all 12 must be input)
T(j) = Temperature at Z(j) water depth (Degrees)
A(i) = Wave peak-to-trough height (0.0 [image] A(i) < DEPTH) (Length) (if KWAVE = 2, A(1) is entire wave height and A(2) through A(5) are not used)
τ(i) = Wave period (τ(i) > 0.0) (Time/Cycle)
φ(i) = Adjustment for phase shift (Degrees)
WL(i) = Wave length (0.0 [image] WL(i) < 1000.0*DEPTH) (Length)
(default [image])
Use 0.0 with Stokes theory (KWAVE = 2).

Table 59.2 PIPE59 Water Motion Table

Constant | Meaning
1-5 | KWAVE | KCRC | DEPTH | DENSW | θw
7-12 | Z(1) | W(1) | θd(1) | Z(2) | W(2) | θd(2)
13-18 | Z(3) | W(3) | θd(3) | Z(4) | W(4) | θd(4)
19-24 | Z(5) | W(5) | θd(5) | Z(6) | W(6) | θd(6)
25-30 | Z(7) | W(7) | θd(7) | Z(8) | W(8) | θd(8)
31-36 | Re(1) | Re(2) | Re(3) | Re(4) | Re(5) | Re(6)
37-42 | Re(7) | Re(8) | Re(9) | Re(10) | Re(11) | Re(12)
43-48 | CD(1) | CD(2) | CD(3) | CD(4) | CD(5) | CD(6)
49-54 | CD(7) | CD(8) | CD(9) | CD(10) | CD(11) | CD(12)
55-60 | CT(1) | CT(2) | CT(3) | CT(4) | CT(5) | CT(6)
61-66 | CT(7) | CT(8) | CT(9) | CT(10) | CT(11) | CT(12)
67-72 | T(1) | T(2) | T(3) | T(4) | T(5) | T(6)
73-74 | T(7) | T(8)
79-82 | A(1) | τ(1) | φ(1) | WL(1) | For KWAVE = 0, 1, or 2 For KWAVE = 2, use only A(1), τ(1), φ(1)
85-88 | A(2) | τ(2) | φ(2) | WL(2)
etc. | etc. |  |  |
193-196 | A(20) | τ(20) | φ(20) | WL(20)
79-81 | X(1)/(H*T*G) | Not Used | φ(1) | For KWAVE = 3 (See [7.] for definitions other than φ(1))
85-86 | X(2)/(H*T*G) | DPT/LO |
91-92 | X(3)/(H*T*G) | L/LO |
97-98 | X(4)/(H*T*G) | H/DPT |
103-104 | X(5)/(H*T*G) | Ψ/(G*H*T) |
109 | X(6)/(H*T*G) |  |
etc. | etc. |  |
193 | X(20)/(H*T*G) |  |

The distributed load applied to the pipe by the hydrodynamic effects is computed from a generalized Morison's equation. This equation includes the coefficient of normal drag (CD) (perpendicular to the element axis) and the coefficient of tangential drag (CT), both of which are a functions of Reynolds numbers (Re). These values are input as shown in Table 59.1: "PIPE59 Real Constants" and Table 59.2: "PIPE59 Water Motion Table".

The Reynolds numbers are determined from the normal and tangential relative particle velocities, the pipe geometry, the water density, and the viscosity µ (input as VISC). The relative particle velocities include the effects of water motion due to waves and current, as well as motion of the pipe itself. If both Re(1) and CD(1) are positive, the value of CD from the real constant table (Table 59.1: "PIPE59 Real Constants") is ignored and a log-log table based on Constants 31 through 54 of the water motion table (Table 59.2: "PIPE59 Water Motion Table") is used to determine CD. If this capability is to be used, the viscosity, Re, and CD constants must be input and none may be less than or equal to zero.

Similarly, if both Re(1) and CT(1) are positive, the value of CT from the real constant table (Table 59.1: "PIPE59 Real Constants") is ignored, and a log-log table based on Constants 31 through 42 and 55 through 66 of the water motion table (Table 59.2: "PIPE59 Water Motion Table") is used to determine CT. If this capability is to be used, the viscosity, Re, and CT constants must be input and none may be less than or equal to zero.

Various wave theories may be selected with the KWAVE constant of the water motion table (Table 59.2: "PIPE59 Water Motion Table"). These are:

  • Small Amplitude Wave Theory with empirical modification of depth decay function (KWAVE = 0)

  • Small Amplitude Airy Wave Theory without modifications (KWAVE = 1)

  • Stokes Fifth Order Wave Theory (KWAVE = 2)

  • Stream Function Wave Theory (KWAVE = 3).

The wave loadings can be altered (KEYOPT(5)) so that horizontal position has no effect on the wave-induced forces.

Wave loading depends on the acceleration due to gravity (ACELZ), and it may not change between substeps or load steps. Therefore, when performing an analysis using load steps with multiple substeps, the gravity may only be "stepped on" [KBC,1] and not ramped.

With the stream function wave theory (KWAVE = 3), the wave is described by alternate Constants 79 through 193 as shown in Table 59.2: "PIPE59 Water Motion Table". The definitions of the constants correspond exactly to those given in the tables in [7.] for the forty cases of ratio of wave height and water depth to the deep water wave length. The other wave-related constants that the user inputs directly are the water density (DENSW), water depth (DEPTH), wave direction (Φ), and acceleration due to gravity (ACELZ). The wave height, length, and period are inferred from the tables. The user should verify the input by comparing the interpreted results (the columns headed DIMENSIONLESS under the STREAM FUNCTION INPUT VALUES printout) with the data presented in the [7.] tables. Note that this wave theory uses the current value defined for time [TIME] (which defaults to 1.0 for the first load step).

Several adjustments to the current profile are available with the KCRC constant of the water motion table as shown in Figure 59.3: "PIPE59 Velocity Profiles for Wave-current Interactions". The adjustments are usually used only when the wave amplitude is large relative to the water depth, such that there is significant wave/current interaction. Options include

  1. use the current profile (as input) for wave locations below the mean water level and the top current profile value for wave locations above the mean water level (KCRC = 0)

  2. "stretch" (or compress) the current profile to the top of the wave (KCRC = 1)

  3. same as (2) but also adjust the current profile horizontally such that total flow continuity is maintained with the input profile (KCRC = 2) (all current directions (θ(j)) must be the same for this option).

Figure 59.3 PIPE59 Velocity Profiles for Wave-current Interactions

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 59.1: "PIPE59 Geometry". Internal pressure (PINT) and external pressure (POUT) are input as positive values. These pressures are in addition to the linearly varying pressure of the fluids on the inside and outside of the pipe. In handling the pressures, each element is assumed to be capped (that is, have closed ends). The internal and external pressure loads are designed for closed-loop static pressure environments and therefore include pressure loads on fictitious "end caps" so that the pressure loads induce an axial stress and/or reaction in the pipe system. If a dynamic situation needs to be represented, such as a pipe venting to a lower pressure area or the internal flow is past a constriction in the pipe, these end cap loads may need to be modified by applying a nodal force normal to the cross-section of the pipe with the magnitude representing the change in pressure. Alternatively, the precomputed end cap loads can be removed using KEYOPT(8) = 1 and the appropriate end cap loads added by the user. The transverse pressures (PX, PY, and PZ) may represent wind or drag loads (per unit length of the pipe) and are defined in the global Cartesian directions. Positive transverse pressures act in the positive coordinate directions. The normal component or the projected full pressure may be used (KEYOPT(9)). See the Theory Reference for ANSYS and ANSYS Workbench for more details.

Temperatures may be input as element body loads at the nodes. Temperatures may have wall gradients or diametral gradients (KEYOPT(3)). Diametral gradients are not valid for the cable option. The average wall temperature at θ = 0° is computed as 2 * TAVG - T(180) and the average wall temperature at θ = -90° is computed as 2 * TAVG - T(90). The element temperatures are assumed to be linear along the length. The first temperature at node I (TOUT(I) or TAVG(I)) defaults to TUNIF. If all temperatures after the first are unspecified, they default to the first. If all temperatures at node I are input, and all temperatures at node J are unspecified, the node J temperatures default to the corresponding node I temperatures. For any other pattern of input temperatures, unspecified temperatures default to TUNIF.

Eight temperatures (T(j)) are read as Constants 67-74 corresponding to the eight water depths (Z(j)) input as Constants 7-30. These temperatures override any other temperature input (except TREF) unless the element is entirely out of the water or if all eight temperatures are input as zero. The thermal load vector from these temperatures may not be scaled in a superelement use pass if an expansion pass is to follow. Constants 31 through 66 may have zero values if desired. The temperatures input as Constants 67-74 are used to compute a temperature-dependent viscosity based on linear interpolation (if previous constants are not all zero). In the case of a solid cross section (inside diameter = 0.0), they are also used to compute the material properties of the element.

For the mass matrix, the mass per unit length used for axial motion is the mass of the pipe wall (DENS), the external insulation (DENSIN), and the internal fluid together with the added mass of any additional hardware (CENMPL). The mass per unit length used for motion normal to the pipe is all of the above plus the added mass of the external fluid (DENSW).

CI should be 1.0 for a circular cross section. Values for other cross sections may be found in [8.]. The user should remember, however, that other properties of PIPE59 are based on a circular cross section.

PIPE59 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 59.3: "PIPE59 Element Output Definitions"

Several items are illustrated in Figure 59.4: "PIPE59 Stress Output". Note that the output is simplified and reduced if the cable option, KEYOPT(1) = 1, is used.

The principal stresses are computed at the two points around the circumference where the bending stresses are at a maximum. The principal stresses and the stress intensity include the shear force stress component. The principal stresses and the stress intensity are based on the stresses at two extreme points on opposite sides of the neutral axis. If KEYOPT(6) = 2, the 12-member forces and moments (6 at each end) are also printed (in the element coordinate system).

The axial force (FX) excludes the hydrostatic force component, as does the MFORX member force (printed if KEYOPT(6) = 2). If KWAVE = 2 or 3 (Stokes or Stream Function theory), additional wave information is also printed. If KEYOPT(7) = 1, detailed hydrodynamic information is printed at the immersed integration points. Angles listed in the output are measured (θ) as shown in Figure 59.4: "PIPE59 Stress Output". A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 59.4 PIPE59 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 59.3 PIPE59 Element Output Definitions

Name | Definition | O | R
EL | Element number | Y | Y
NODES | Nodes - I, J | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | - | Y
XC, YC, ZC | Location where results are reported | - | 9
LEN | Length | Y | -
PRES | Pressures PINTE (average effective internal pressure), PX, PY, PZ, POUTE (average effective external pressure) | Y | Y
STH | Stress due to maximum thermal gradient through the wall thickness | Y | Y
SPR2 | Hoop pressure stress for code calculations | - | 1
SMI, SMJ | Moment stress at nodes I and J for code calculations | - | 1
SDIR | Direct (axial) stress | - | 1
SBEND | Maximum bending stress at outer surface | - | 1
ST | Shear stress at outer surface due to torsion | - | 1
SSF | Shear stress due to shear force | - | 1
S(1MX, 3MN, INTMX, EQVMX) | Maximum principal stress, minimum principal stress, maximum stress intensity, maximum equivalent stress (all at the outer surface) | 1 | 1
TEMP | Temperatures TOUT(I), TIN(I), TOUT(J), TIN(J) | 2 | 2
TEMP | Temperatures TAVG(I), T90(I), T180(I), TAVG(J), T90(J), T180(J) | 3 | 3
S(1, 3, INT, EQV) | Maximum principal stress, minimum principal stress, stress intensity, equivalent stress | 4 | 4
S(AXL, RAD, H, XH) | Axial, radial, hoop, and shear stresses | 4 | 4
EPEL(AXL, RAD, H, XH) | Axial, radial, hoop, and shear strains | 4 | 4
EPTH(AXL, RAD, H) | Axial, radial, and hoop thermal strain | 4 | 4
MFOR(X, Y, Z) | Member forces for nodes I and J (in the element coordinate system) | 7 | 7
MMOM(X, Y, Z) | Member moments for nodes I and J (in the element coordinate system) | 5 | 5
NODE | Node I or J | 6 | 6
FAXL | Axial force (excludes the hydrostatic force) | 6 | 6
SAXL | Axial stress (includes the hydrostatic stress) | 6 | 6
SRAD | Radial stress | 6 | 6
SH | Hoop stress | 6 | 6
SINT | Stress intensity | 6 | 6
SEQV | Equivalent stress (SAXL minus the hydrostatic stress) | 6 | 6
EPEL(AXL, RAD, H) | Axial, radial, and hoop elastic strains (excludes the thermal strain) | 6 | 6
TEMP | TOUT(I), TOUT(J) | 6 | 6
EPTHAXL | Axial thermal strains at nodes I and J | 6 | 6
VR, VZ | Radial and vertical fluid particle velocities (VR is always > 0) | 8 | 8
AR, AZ | Radial and vertical fluid particle accelerations | 8 | 8
PHDYN | Dynamic fluid pressure head | 8 | 8
ETA | Wave amplitude over integration point | 8 | 8
TFLUID | Fluid temperature (printed if VISC is nonzero) | 8 | 8
VISC | Viscosity | 8 | 8
REN, RET | Normal and tangential Reynolds numbers (if VISC is nonzero) | 8 | 8
CT, CD, CM | Input coefficients evaluated at Reynolds numbers | 8 | 8
CTW, CDW | CT*DENSW*DO/2, CD*DENSW*DO/2 | 8 | 8
CMW | CM*DENSW*PI*DO**2/4 | 8 | 8
URT, URN | Tangential (parallel to element axis) and normal relative velocity | 8 | 8
ABURN | Vector sum of normal (URN) velocities | 8 | 8
AN | Accelerations normal to the element | 8 | 8
FX, FY, FZ | Hydrodynamic forces tangential and normal to element axis | 8 | 8
ARGU | Effective position of integration point (radians) | 8 | 8

  1. Output only for the pipe option (KEYOPT(1) = 0 or 2)

  2. If KEYOPT(3) = 0 or if KEYOPT(1) = 1

  3. If KEYOPT(3) = 1

  4. Output only for the pipe option and the item repeats at 0, 45, 90, 135, 180, 225, 270, 315° at node I, then at node J (all at the outer surface)

  5. Output only for the pipe option (KEYOPT(1) = 0 or 2) and if KEYOPT(6) = 2

  6. Output only for the cable option (KEYOPT(1) = 1)

  7. Output only if KEYOPT(6) = 2

  8. Hydrodynamic solution (if KEYOPT(7) = 1 for immersed elements at integration points)

  9. Available only at centroid as a *GET item.

Table 59.4: "PIPE59 Item and Sequence Numbers (Node I)" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 59.4: "PIPE59 Item and Sequence Numbers (Node I)":

Name

output quantity as defined in the Table 59.3: "PIPE59 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J

sequence number for data at nodes I and J

Table 59.4 PIPE59 Item and Sequence Numbers (Node I)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | Circumferential Location
 |  |  | 0° | 45° | 90° | 135° | 180° | 225° | 270° | 315°
SAXL | LS | - | 1 | 5 | 9 | 13 | 17 | 21 | 25 | 29
SRAD | LS | - | 2 | 6 | 10 | 14 | 18 | 22 | 26 | 30
SH | LS | - | 3 | 7 | 11 | 15 | 19 | 23 | 27 | 31
SXH | LS | - | 4 | 8 | 12 | 16 | 20 | 24 | 28 | 32
EPELAXL | LEPEL | - | 1 | 5 | 9 | 13 | 17 | 21 | 25 | 29
EPELRAD | LEPEL | - | 2 | 6 | 10 | 14 | 18 | 22 | 26 | 30
EPELH | LEPEL | - | 3 | 7 | 11 | 15 | 19 | 23 | 27 | 31
EPELXH | LEPEL | - | 4 | 8 | 12 | 16 | 20 | 24 | 28 | 32
EPTHAXL | LEPTH | - | 1 | 5 | 9 | 13 | 17 | 21 | 25 | 29
EPTHRAD | LEPTH | - | 2 | 6 | 10 | 14 | 18 | 22 | 26 | 30
EPTHH | LEPTH | - | 3 | 7 | 11 | 15 | 19 | 23 | 27 | 31
MFORX | SMISC | 1 | - | - | - | - | - | - | - | -
MFORY | SMISC | 2 | - | - | - | - | - | - | - | -
MFORZ | SMISC | 3 | - | - | - | - | - | - | - | -
MMOMX | SMISC | 4 | - | - | - | - | - | - | - | -
MMOMY | SMISC | 5 | - | - | - | - | - | - | - | -
MMOMZ | SMISC | 6 | - | - | - | - | - | - | - | -
SDIR | SMISC | 13 | - | - | - | - | - | - | - | -
ST | SMISC | 14 | - | - | - | - | - | - | - | -
S1 | NMISC | - | 1 | 6 | 11 | 16 | 21 | 26 | 31 | 36
S3 | NMISC | - | 3 | 8 | 13 | 18 | 23 | 28 | 33 | 38
SINT | NMISC | - | 4 | 9 | 14 | 19 | 24 | 29 | 34 | 39
SEQV | NMISC | - | 5 | 10 | 15 | 20 | 25 | 30 | 35 | 40
SBEND | NMISC | 88 | - | - | - | - | - | - | - | -
SSF | NMISC | 89 | - | - | - | - | - | - | - | -
TOUT | LBFE | - | 4 | - | 1 | - | 2 | - | 3 | -
TIN | LBFE | - | 8 | - | 5 | - | 6 | - | 7 | -

Table 59.5 PIPE59 Item and Sequence Numbers (Node J)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | Circumferential Location
 |  |  | 0° | 45° | 90° | 135° | 180° | 225° | 270° | 315°
SAXL | LS | - | 33 | 37 | 41 | 45 | 49 | 53 | 57 | 61
SRAD | LS | - | 34 | 38 | 42 | 46 | 50 | 54 | 58 | 62
SH | LS | - | 35 | 39 | 43 | 47 | 51 | 55 | 59 | 63
SXH | LS | - | 36 | 40 | 44 | 48 | 52 | 56 | 60 | 64
EPELAXL | LEPEL | - | 33 | 37 | 41 | 45 | 49 | 53 | 57 | 61
EPELRAD | LEPEL | - | 34 | 38 | 42 | 46 | 50 | 54 | 58 | 62
EPELH | LEPEL | - | 35 | 39 | 43 | 47 | 51 | 55 | 59 | 63
EPELXH | LEPEL | - | 36 | 40 | 44 | 48 | 52 | 56 | 60 | 64
EPTHAXL | LEPTH | - | 33 | 37 | 41 | 45 | 49 | 53 | 57 | 61
EPTHRAD | LEPTH | - | 34 | 38 | 42 | 46 | 50 | 54 | 58 | 62
EPTHH | LEPTH | - | 35 | 39 | 43 | 47 | 51 | 55 | 59 | 63
MFORX | SMISC | 7 | - | - | - | - | - | - | - | -
MFORY | SMISC | 8 | - | - | - | - | - | - | - | -
MFORZ | SMISC | 9 | - | - | - | - | - | - | - | -
MMOMX | SMISC | 10 | - | - | - | - | - | - | - | -
MMOMY | SMISC | 11 | - | - | - | - | - | - | - | -
MMOMZ | SMISC | 12 | - | - | - | - | - | - | - | -
SDIR | SMISC | 15 | - | - | - | - | - | - | - | -
ST | SMISC | 16 | - | - | - | - | - | - | - | -
S1 | NMISC | - | 41 | 46 | 51 | 56 | 61 | 66 | 71 | 76
S3 | NMISC | - | 43 | 48 | 53 | 58 | 63 | 68 | 73 | 78
SINT | NMISC | - | 44 | 49 | 54 | 59 | 64 | 69 | 74 | 79
SEQV | NMISC | - | 45 | 50 | 55 | 60 | 65 | 70 | 75 | 80
SBEND | NMISC | 90 | - | - | - | - | - | - | - | -
SSF | NMISC | 91 | - | - | - | - | - | - | - | -
TOUT | LBFE | - | 12 | - | 9 | - | 10 | - | 11 | -
TIN | LBFE | - | 16 | - | 13 | - | 14 | - | 15 | -

Table 59.6 PIPE59 Item and Sequence Numbers (Pipe Options)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
STH | SMISC | 17
PINTE | SMISC | 18
PX | SMISC | 19
PY | SMISC | 20
PZ | SMISC | 21
POUTE | SMISC | 22
SPR2 | NMISC | 81
SMI | NMISC | 82
SMJ | NMISC | 83
S1MX | NMISC | 84
S3MN | NMISC | 85
SINTMX | NMISC | 86
SEQVMX | NMISC | 87

Table 59.7 PIPE59 Item and Sequence Numbers (Cable Option)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | Node I | Node J
SAXL | LS |  | 1 | 4
SRAD | LS |  | 2 | 5
SH | LS |  | 3 | 6
EPELAXL | LEPEL |  | 1 | 4
EPELRAD | LEPEL |  | 2 | 5
EPELH | LEPEL |  | 3 | 6
EPTHAXL | LEPTH |  | 1 | 4
TOUT | LBFE |  | 1 | 9
TIN | LBFE |  | 5 | 13
SINT | NMISC |  | 4 | 9
SEQV | NMISC |  | 5 | 10
FAXL | SMISC |  | 1 | 6
STH | SMISC | 13 |  |
PINTE | SMISC | 14 |  |
PX | SMISC | 15 |  |
PY | SMISC | 16 |  |
PZ | SMISC | 17 |  |
POUTE | SMISC | 18 |  |

Table 59.8: "PIPE59 Item and Sequence Numbers (Additional Output)" lists additional print and post data file output available through the ETABLE command if KEYOPT(7) = 1.

Table 59.8 PIPE59 Item and Sequence Numbers (Additional Output)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E- First Integration Point | E- Second Integration Point
GLOBAL COORD | NMISC | N + 1, N + 2, N + 3 | N + 31, N + 32, N + 33
VR | NMISC | N + 4 | N + 34
VZ | NMISC | N + 5 | N + 35
AR | NMISC | N + 6 | N + 36
AZ | NMISC | N + 7 | N + 37
PHDY | NMISC | N + 8 | N + 38
ETA | NMISC | N + 9 | N + 39
TFLUID | NMISC | N + 10 | N + 40
VISC | NMISC | N + 11 | N + 41
REN | NMISC | N + 12 | N + 42
RET | NMISC | N + 13 | N + 43
CT | NMISC | N + 14 | N + 44
CTW | NMISC | N + 15 | N + 45
URT | NMISC | N + 16 | N + 46
FX | NMISC | N + 17 | N + 47
CD | NMISC | N + 18 | N + 48
CDW | NMISC | N + 19 | N + 49
URN | NMISC | N + 20, N + 21 | N + 50, N + 51
ABURN | NMISC | N + 22 | N + 52
FY | NMISC | N + 23 | N + 53
CM | NMISC | N + 24 | N + 54
CMW | NMISC | N + 25 | N + 55
AN | NMISC | N + 26, N + 27 | N + 56, N + 57
FZ | NMISC | N + 28 | N + 58
ARGU | NMISC | N + 29 | N + 59

Note

For the pipe option (KEYOPT(1) = 0 or 2): N = 99. For the cable option (KEYOPT(1) = 1): N = 10.

PIPE59 Assumptions and Restrictions

  • The pipe must not have a zero length. In addition, the O.D. must not be less than or equal to zero and the I.D. must not be less than zero.

  • Elements input at or near the water surface should be small in length relative to the wave length.

  • Neither end of the element may be input below the mud line (ocean floor). Integration points that move below the mud line are presumed to have no hydrodynamic forces acting on them.

  • If the element is used out of water, the water motion table (Table 59.2: "PIPE59 Water Motion Table") need not be included.

  • The element should also be used with caution in the reduced transient dynamic analysis since this analysis type ignores the element load vector. Fluid damping, if any, should be handled via the hydrodynamic load vector rather than α (mass matrix) damping.

  • When performing a transient analysis, the solution may be unstable with small time steps due to the nature of Morrison's equation.

  • The applied thermal gradient is assumed to vary linearly along the length of the element.

  • The same water motion table (Table 59.2: "PIPE59 Water Motion Table") should not be used for different wave theories in the same problem.

  • The lumped mass matrix formulation [LUMPM,ON] is not allowed for PIPE59 when using "added mass" on the outside of the pipe (CI [image] 0.0).

PIPE59 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SHELL57 		Up / Home Next
PIPE60


PIPE60

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

PIPE60

Plastic Curved Thin-Walled Pipe

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

PIPE60 Element Description

PIPE60, also known as an elbow element, is a uniaxial element with tension-compression, bending, and torsion capabilities. The element has six degrees of freedom at each node: translations in the nodal, x, y, and z directions and rotations about the nodal x, y, and z-axes.

The element has plastic, creep and swelling capabilities. If these effects are not needed, the elastic curved pipe element, PIPE18, may be used. Options are available for including a flexibility factor and for printing the forces and moments acting on the element in the element coordinate system. See PIPE60 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. See PIPE20 for a plastic straight pipe element.

Figure 60.1 PIPE60 Geometry

PIPE60 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 60.1: "PIPE60 Geometry". The element input data include three nodes, the pipe outer diameter (OD) and wall thickness (TKWALL), radius of curvature (RADCUR), optional stress intensification (SIFI and SIFJ) and flexibility (FLXI and FLXO) factors, and the isotropic material properties.

Although the curved pipe element has only two end points (nodes I and J), the third node (K) is required to define the plane in which the element lies. This node must lie in the plane of the curved pipe and on the center of curvature side of line I-J. A node belonging to another element (such as the other node of a connecting straight pipe element) may be used.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 60.1: "PIPE60 Geometry". Internal pressure (PINT) and external pressure (POUT) are input as positive values. The internal and external pressure loads are designed for closed-loop static pressure environments and therefore include pressure loads on fictitious "end caps" so that the pressure loads induce an axial stress and/or reaction in the pipe system. If a dynamic situation needs to be represented, such as a pipe venting to a lower pressure area or the internal flow is past a constriction in the pipe, these end cap loads may need to be modified by applying a nodal force normal to the cross-section of the pipe with the magnitude representing the change in pressure. Alternatively, the precomputed end cap loads can be removed using KEYOPT(8) = 1 and the appropriate end cap loads added by the user. Note that when using KEYOPT(8) = 1, the pressure load will be acting on only the wall of the elbow element so that the total pressure load will not be self-equilibrating. The transverse pressures (PX, PY, and PZ) may represent wind or drag loads (per unit length of the pipe) and are defined in the global Cartesian directions. Positive transverse pressures act in the positive coordinate directions. Tapered pressures are not recognized. Only constant pressures are supported for this element. See PIPE60 in the Theory Reference for ANSYS and ANSYS Workbench for more details.

Temperatures may be input as element body loads at the nodes. Temperatures may have wall gradients or diametral gradients (KEYOPT(3)). The average wall temperature at θ = 0° is computed as 2 * TAVG - T(180) and the average wall temperature at θ = -90° is computed as 2 * TAVG - T(90). The element temperatures are assumed to be linear along the length. The first temperature at node I (TOUT(I) or TAVG(I)) defaults to TUNIF. If all temperatures after the first are unspecified, they default to the first. If all temperatures at node I are input, and all temperatures at node J are unspecified, the node J temperatures default to the corresponding node I temperatures.

The KEYOPT(2) and KEYOPT(3) options control the flexibility and stress intensification factors as follows:

ANSYS Flexibility Factor = 1.65/(h(1 + PrXk/tE)) or 1.0, whichever is greater (used if KEYOPT(3) = 0 or 1)
Karman Flexibility Factor = (10 + 12h2)/(1 + 12h2), used if KEYOPT(2) = 2
User Defined Flexibility Factors = FLXI (in-plane) and FLXO (out-of-plane), both must be positive (used if KEYOPT(3) = 3)
FLXO defaults to FLXI for all cases.
Reference Stress Intensification Factor (SIF) = 0.9/h2/3 or 1.0, whichever is greater. Used for SIFI or SIFJ if KEYOPT(2) = 0 or if user supplied SIF's are less than 2.0 (user supplied values must be positive).
User Defined Stress Intensification Factors = SIFI, SIFJ, must be positive (used if KEYOPT(2) = 4)

where:

h = tR/r2
R = radius of curvature
t = thickness
r = average radius
E = modulus of elasticity
Xk = 6 (r/t)4/3(R/r)1/3 if KEYOPT(3) = 1 and R/r [image] 1.7, otherwise Xk = 0
P = Pi - Po
Pi = internal pressure
Po = external pressure

KEYOPT(3) = 1 should not be used if the included angle of the complete elbow is less than 360/(π(R/r)) degrees.

A summary of the element input is given below. A general description of element input is given in Element Input.

PIPE60 Input Summary

Nodes

I, J, K (K is a node in the plane of the elbow, on the center of curvature side of line I-J)

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ

Real Constants
For KEYOPT(2) = 0 and KEYOPT(3) < 3
OD, TKWALL, RADCUR
For KEYOPT(2) = 4 and KEYOPT(3) < 3
OD, TKWALL, RADCUR, SIFI, SIFJ
For KEYOPT(2) = 4 and KEYOPT(3) = 3
OD, TKWALL, RADCUR, SIFI, SIFJ, FLXI,
(Blank), (Blank), (Blank), (Blank), (Blank), FLXO
See Table 60.1: "PIPE60 Real Constants" for details.
Material Properties

EX, ALPX (or CTEX or THSX), PRXY (or NUXY), DENS, GXY, DAMP

Surface Loads
Pressures --

1-PINT, 2-PX, 3-PY, 4-PZ, 5-POUT

Body Loads
Temperatures --

TAVG(I), T90(I), T180(I), TAVG(J), T90(J), T180(J)

Fluences --

FLAVG(I), FL90(I), FL180(I), FLAVG(J), FL90(J), FL180(J)

Special Features
Plasticity (BISO, MISO, BKIN, MKIN, KINH, DP, ANISO)
Creep (CREEP)
Swelling (SWELL)
Elasticity (MELAS)
Other material (USER)
Large deflection
Birth and death

Note

Items in parentheses refer to data tables associated with the TB command.

KEYOPT(2)

Stress intensification factor:

0 --

Include reference stress intensification factors (SIF)

4 --

Include stress intensification factors at nodes I and J as input with SIFI and SIFJ real constants

KEYOPT(3)

Flexibility factor:

0 --

Do not include pressure term in ANSYS flexibility factor

1 --

Include pressure term in ANSYS flexibility factor

2 --

Use Karman flexibility factor

3 --

Use input flexibility factors (FLXI, FLXO)

KEYOPT(6)

Member force and moment output:

0 --

No printout of member forces or moments

1 --

Print member forces and moments in the element coordinate system

KEYOPT(8)

End cap loads:

0 --

Internal and external pressures cause loads on end caps

1 --

Internal and external pressures do not cause loads on end caps

Table 60.1 PIPE60 Real Constants

No. | Name | Description
1 | OD | Outer diameter
2 | TKWALL | Wall thickness
3 | RADCUR | Radius of curvature
4 | SIFI | Stress intensity factor at node I
5 | SIFJ | Stress intensity factor at node J
6 | FLXI | User-supplied in-plane flexibility factor
7, ... 11 | (blank) | unused
12 | FLXO | User-supplied out-of-plane flexibility factor

PIPE60 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 60.2: "PIPE60 Element Output Definitions"

The meaning of THETA is illustrated in Figure 60.2: "PIPE60 Printout Locations". The nonlinear solution is given at eight circumferential locations at both ends of the elbow. The linear solution, similar to that for PIPE18, is printed as long as the element remains elastic. Only the bending stress (SBEND) is multiplied by the stress intensification factor (selected by KEYOPT(2)), provided the factor is greater than 1.0. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 60.2 PIPE60 Printout Locations

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 60.2 PIPE60 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | - | Y
XC, YC, ZC | Location where results are reported | Y | 4
TEMP | Temperatures TAVG(I), T90(I), T180(I), TAVG(J), T90(J), T180(J) | Y | Y
FLUE | Fluences FLAVG(I), FL90(I), FL180(I), FLAVG(J), FL90(J), FL180(J) | Y | Y
PRES | Pressures PINT, PX, PY, PZ, POUT | Y | Y
FFACT | Element flexibility factor | - | Y
SFACTI, SFACTJ | Stress intensification factors at nodes I and J | - | Y
MFOR(X, Y, Z) | Member forces for nodes I and J (in the element coordinate system) | 1 | 1
MMOM(X, Y, Z) | Member moments for nodes I and J (in the element coordinate system) | 1 | 1
SDIR | Direct (axial) stress | - | 2
SBEND | Maximum bending stress at outer surface | - | 2
ST | Shear stress at outer surface due to torsion | - | 2
SSF | Shear stress due to shear force | - | 2
S1MX, S3MN, SINTMX, SEQVMX | Maximum principal stress, minimum principal stress, maximum stress intensity, maximum equivalent stress all at the outer surface (based on SDIR, SBEND, ST, SSF but also accounting for the values of S1, S3, SINT, SEQV given below) | 2 | 2
S(AXL, RAD, H, XH) | Axial, radial, hoop, and shear stresses | 3 | 3
S(1, 3, INT, EQV) | Maximum principal stress, minimum principal stress, stress intensity, equivalent stress | 3 | 3
EPEL(AXL, RAD, H, XH) | Axial, radial, hoop, and shear strains | 3 | 3
EPTH(AXL, RAD, H) | Axial, radial, and hoop thermal strain | 3 | 3
EPPL(AXL, RAD, H, XH) | Axial, radial, hoop, and shear plastic strains | 3 | 3
EPCR(AXL, RAD, H, XH) | Axial, radial, hoop, and shear creep strains | 3 | 3
SEPL | Equivalent stress from stress-strain curve | 3 | 3
SRAT | Ratio of trial stress to stress on yield surface | 3 | 3
HPRES | Hydrostatic pressure (postdata only) | - | 3
EPEQ | Equivalent plastic strain | 3 | 3
EPSWAXL | Axial swelling strain | 3 | 3

  1. If KEYOPT(6) = 1

  2. Initial elastic solution output before yield

  3. The item repeats for THETA = 0, 45, 90, 135, 180, 225, 270, 315° at node I, then at node J, all at the midthickness of the wall

  4. Available only at centroid as a *GET item.

Table 60.3: "PIPE60 Item and Sequence Numbers (Node I)" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 60.3: "PIPE60 Item and Sequence Numbers (Node I)":

Name

output quantity as defined in the Table 60.2: "PIPE60 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J

sequence number for data at nodes I and J

Table 60.3 PIPE60 Item and Sequence Numbers (Node I)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | Circumferential Location
 |  |  | 0° | 45° | 90° | 135° | 180° | 225° | 270° | 315°
SAXL | LS | - | 1 | 5 | 9 | 13 | 17 | 21 | 25 | 29
SRAD | LS | - | 2 | 6 | 10 | 14 | 18 | 22 | 26 | 30
SH | LS | - | 3 | 7 | 11 | 15 | 19 | 23 | 27 | 31
SXH | LS | - | 4 | 8 | 12 | 16 | 20 | 24 | 28 | 32
EPELAXL | LEPEL | - | 1 | 5 | 9 | 13 | 17 | 21 | 25 | 29
EPELRAD | LEPEL | - | 2 | 6 | 10 | 14 | 18 | 22 | 26 | 30
EPELH | LEPEL | - | 3 | 7 | 11 | 15 | 19 | 23 | 27 | 31
EPELXH | LEPEL | - | 4 | 8 | 12 | 16 | 20 | 24 | 28 | 32
EPTHAXL | LEPTH | - | 1 | 5 | 9 | 13 | 17 | 21 | 25 | 29
EPTHRAD | LEPTH | - | 2 | 6 | 10 | 14 | 18 | 22 | 26 | 30
EPTHH | LEPTH | - | 3 | 7 | 11 | 15 | 19 | 23 | 27 | 31
EPPLAXL | LEPPL | - | 1 | 5 | 9 | 13 | 17 | 21 | 25 | 29
EPPLRAD | LEPPL | - | 2 | 6 | 10 | 14 | 18 | 22 | 26 | 30
EPPLH | LEPPL | - | 3 | 7 | 11 | 15 | 19 | 23 | 27 | 31
EPPLXH | LEPPL | - | 4 | 8 | 12 | 16 | 20 | 24 | 28 | 32
EPCRAXL | LEPCR | - | 1 | 5 | 9 | 13 | 17 | 21 | 25 | 29
EPCRRAD | LEPCR | - | 2 | 6 | 10 | 14 | 18 | 22 | 26 | 30
EPCRH | LEPCR | - | 3 | 7 | 11 | 15 | 19 | 23 | 27 | 31
EPCRXH | LEPCR | - | 4 | 8 | 12 | 16 | 20 | 24 | 28 | 32
SEPL | NLIN | - | 1 | 5 | 9 | 13 | 17 | 21 | 25 | 29
SRAT | NLIN | - | 2 | 6 | 10 | 14 | 18 | 22 | 26 | 30
HPRES | NLIN | - | 3 | 7 | 11 | 15 | 19 | 23 | 27 | 31
EPEQ | NLIN | - | 4 | 8 | 12 | 16 | 20 | 24 | 28 | 32
S1 | NMISC | - | 1 | 6 | 11 | 16 | 21 | 26 | 31 | 36
S3 | NMISC | - | 3 | 8 | 13 | 18 | 23 | 28 | 33 | 38
SINT | NMISC | - | 4 | 9 | 14 | 19 | 24 | 29 | 34 | 39
SEQV | NMISC | - | 5 | 10 | 15 | 20 | 25 | 30 | 35 | 40
SBEND | NMISC | 84 | - | - | - | - | - | - | - | -
SSF | NMISC | 85 | - | - | - | - | - | - | - | -
S1MX | NMISC | 104 | - | - | - | - | - | - | - | -
S3MN | NMISC | 105 | - | - | - | - | - | - | - | -
SINTMX | NMISC | 106 | - | - | - | - | - | - | - | -
SEQVMX | NMISC | 107 | - | - | - | - | - | - | - | -
FOUT | NMISC | - | 91 | - | 88 | - | 89 | - | 90 | -
FIN | NMISC | - | 95 | - | 92 | - | 93 | - | 94 | -
MFORX | SMISC | 1 | - | - | - | - | - | - | - | -
MFORY | SMISC | 2 | - | - | - | - | - | - | - | -
MFORZ | SMISC | 3 | - | - | - | - | - | - | - | -
MMOMX | SMISC | 4 | - | - | - | - | - | - | - | -
MMOMY | SMISC | 5 | - | - | - | - | - | - | - | -
MMOMZ | SMISC | 6 | - | - | - | - | - | - | - | -
SDIR | SMISC | 13 | - | - | - | - | - | - | - | -
ST | SMISC | 14 | - | - | - | - | - | - | - | -
TOUT | LBFE | - | 4 | - | 1 | - | 2 | - | 3 | -
TIN | LBFE | - | 8 | - | 5 | - | 6 | - | 7 | -

Table 60.4 PIPE60 Item and Sequence Numbers (Node J)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | Circumferential Location
 |  |  | 0° | 45° | 90° | 135° | 180° | 225° | 270° | 315°
SAXL | LS | - | 33 | 37 | 41 | 45 | 49 | 53 | 57 | 61
SRAD | LS | - | 34 | 38 | 42 | 46 | 50 | 54 | 58 | 62
SH | LS | - | 35 | 39 | 43 | 47 | 51 | 55 | 59 | 63
SXH | LS | - | 36 | 40 | 44 | 48 | 52 | 56 | 60 | 64
EPELAXL | LEPEL | - | 33 | 37 | 41 | 45 | 49 | 53 | 57 | 61
EPELRAD | LEPEL | - | 34 | 38 | 42 | 46 | 50 | 54 | 58 | 62
EPELH | LEPEL | - | 35 | 39 | 43 | 47 | 51 | 55 | 59 | 63
EPELXH | LEPEL | - | 36 | 40 | 44 | 48 | 52 | 56 | 60 | 64
EPTHAXL | LEPTH | - | 33 | 37 | 41 | 45 | 49 | 53 | 57 | 61
EPTHRAD | LEPTH | - | 34 | 38 | 42 | 46 | 50 | 54 | 58 | 62
EPTHH | LEPTH | - | 35 | 39 | 43 | 47 | 51 | 55 | 59 | 63
EPPLAXL | LEPPL | - | 33 | 37 | 41 | 45 | 49 | 53 | 57 | 61
EPPLRAD | LEPPL | - | 34 | 38 | 42 | 46 | 50 | 54 | 58 | 62
EPPLH | LEPPL | - | 35 | 39 | 43 | 47 | 51 | 55 | 59 | 63
EPPLXH | LEPPL | - | 36 | 40 | 44 | 48 | 52 | 56 | 60 | 64
EPCRAXL | LEPCR | - | 33 | 37 | 41 | 45 | 49 | 53 | 57 | 61
EPCRRAD | LEPCR | - | 34 | 38 | 42 | 46 | 50 | 54 | 58 | 62
EPCRH | LEPCR | - | 35 | 39 | 43 | 47 | 51 | 55 | 59 | 63
EPCRXH | LEPCR | - | 36 | 40 | 44 | 48 | 52 | 56 | 60 | 64
SEPL | NLIN | - | 33 | 37 | 41 | 45 | 49 | 53 | 57 | 61
SRAT | NLIN | - | 34 | 38 | 42 | 46 | 50 | 54 | 58 | 62
HPRES | NLIN | - | 35 | 39 | 43 | 47 | 51 | 55 | 59 | 63
EPEQ | NLIN | - | 36 | 40 | 44 | 48 | 52 | 56 | 60 | 64
S1 | NMISC | - | 41 | 46 | 51 | 56 | 61 | 66 | 71 | 76
S3 | NMISC | - | 43 | 48 | 53 | 58 | 63 | 68 | 73 | 78
SINT | NMISC | - | 44 | 49 | 54 | 59 | 64 | 69 | 74 | 79
SEQV | NMISC | - | 45 | 50 | 55 | 60 | 65 | 70 | 75 | 80
SBEND | NMISC | 86 | - | - | - | - | - | - | - | -
SSF | NMISC | 87 | - | - | - | - | - | - | - | -
S1MX | NMISC | 108 | - | - | - | - | - | - | - | -
S3MN | NMISC | 109 | - | - | - | - | - | - | - | -
SINTMX | NMISC | 110 | - | - | - | - | - | - | - | -
SEQVMX | NMISC | 111 | - | - | - | - | - | - | - | -
FOUT | NMISC | - | 99 | - | 96 | - | 97 | - | 98 | -
FIN | NMISC | - | 103 | - | 100 | - | 101 | - | 102 | -
MFORX | SMISC | 7 | - | - | - | - | - | - | - | -
MFORY | SMISC | 8 | - | - | - | - | - | - | - | -
MFORZ | SMISC | 9 | - | - | - | - | - | - | - | -
MMOMX | SMISC | 10 | - | - | - | - | - | - | - | -
MMOMY | SMISC | 11 | - | - | - | - | - | - | - | -
MMOMZ | SMISC | 12 | - | - | - | - | - | - | - | -
SDIR | SMISC | 15 | - | - | - | - | - | - | - | -
ST | SMISC | 16 | - | - | - | - | - | - | - | -
TOUT | LBFE | - | 12 | - | 9 | - | 10 | - | 11 | -
TIN | LBFE | - | 16 | - | 13 | - | 14 | - | 15 | -

Table 60.5 PIPE60 Item and Sequence Numbers (Additional Output)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
SFACTI | NMISC | 81
SFACTJ | NMISC | 82
FFACT | NMISC | 83
PINT | SMISC | 17
PX | SMISC | 18
PY | SMISC | 19
PZ | SMISC | 20
POUT | SMISC | 21

PIPE60 Assumptions and Restrictions

  • The curved pipe must not have a zero length or wall thickness. In addition, the O.D. must not be less than or equal to zero and the I.D. must not be less than zero. The three nodes must not be colinear.

  • The element is limited to having an axis with a single curvature and a subtended angle of 0° < θ [image] 90° since there are integration points only at each end of the element.

  • When loaded with an in-plane strain gradient (thermal, plastic, creep, or swelling) a very fine mesh of elements is recommended.

  • If there are effects other than internal pressure and in-plane bending, the elements should have a subtended angle no larger than 45°.

  • The pipe element is assumed to have "closed ends" so that the axial pressure effect is included.

  • Shear deflection capability is also included in the element formulation.

  • If this element is used in a large deflection analysis, it should be noted that the location of the third node (K) is used only to initially orient the element.

  • The element formulation is based upon thin-walled theory. The elbow should have a large radius-to-thickness ratio since the integration points are assumed to be located at the midthickness of the wall. If the ratio is less than 5.0 (OD/TKWALL = 10.0), an error message will be generated. If the ratio is less than 10.0 (OD/TKWALL = 20.0), a warning message will be generated.

  • The elastic stiffness matrix is used in plasticity analyses (no tangent matrix is formed) and plasticity convergence may be slow.

PIPE60 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PIPE59 		Up / Home Next
SHELL61


SHELL61

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SHELL61

Axisymmetric-Harmonic Structural Shell

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

SHELL61 Element Description

SHELL61 has four degrees of freedom at each node: translations in the nodal x, y, and z directions and a rotation about the nodal z-axis. The loading may be axisymmetric or nonaxisymmetric. Various loading cases are described in Axisymmetric Elements with Nonaxisymmetric Loads.

Extreme orientations of the conical shell element result in a cylindrical shell element or an annular disc element. The shell element may have a linearly varying thickness. See SHELL61 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 61.1 SHELL61 Geometry

SHELL61 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 61.1: "SHELL61 Geometry". The element is defined by two nodes, two end thicknesses, the number of harmonic waves (MODE on the MODE command), a symmetry condition (ISYM on the MODE command), and the orthotropic material properties. The element coordinate system is shown in Figure 61.2: "SHELL61 Stress Output". θ is in the tangential (hoop) direction. The MODE or ISYM parameters are discussed in detail in Axisymmetric Elements with Nonaxisymmetric Loads.

The material may be orthotropic, with nine elastic constants required for its description. The element loading may be input as any combination of harmonically varying temperatures and pressures. Harmonically varying nodal forces, if any, should be input on a full 360° basis.

The element may have variable thickness. The thickness is assumed to vary linearly between the nodes. If the element has a constant thickness, only TK(I) is required. Real constant ADMSUA is used to define an added mass per unit area.

Element loads are described in Node and Element Loads. Harmonically varying pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 61.1: "SHELL61 Geometry". Positive pressures act into the element. The pressures are applied at the surface of the element rather than at the centroidal plane so that some thickness effects can be considered. These include the increase or decrease in size of surface area the load is acting on and (in the case of a nonzero Poisson's ratio) an interaction effect causing the element to grow longer or shorter under equal pressures on both surfaces. Material properties EY, PRXY, and PRYZ (or EY, NUXY, and NUYZ) are required for this effect.

Harmonically varying temperatures may be input as element body loads at the four corner locations shown in Figure 61.1: "SHELL61 Geometry". The first corner temperature T1 defaults to TUNIF. If all other temperatures are unspecified, they default to T1. If only T1 and T2 are input, T3 defaults to T2 and T4 defaults to T1. For any other input pattern, unspecified temperatures default to TUNIF.

KEYOPT(1) is used for temperature loading with MODE greater than zero and temperature dependent material properties. Material properties may only be evaluated at a constant (nonharmonically varying) temperature. If MODE equals zero, the material properties are always evaluated at the average element temperature. KEYOPT(3) is used to include or suppress the extra displacement shapes.

A summary of the element input is given in "SHELL61 Input Summary". A general description of element input is given in Element Input.

SHELL61 Input Summary

Nodes

I, J

Degrees of Freedom

UX, UY, UZ, ROTZ

Real Constants
TK(I) - Shell thickness at node I
TK(J) - Shell thickness at node J (TK(J) defaults to TK(I))
ADMSUA - Added mass/unit area
Material Properties

EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ), ALPX, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ), DENS, GXZ, DAMP. (X is meridional, Y is through-the-thickness, and Z is circumferential.)

Surface Loads
Pressures --
face 1 (I-J) (top, in -Y direction)
face 2 (I-J) (bottom, in +Y direction)
Body Loads
Temperatures --

T1, T2, T3, T4

Mode Number --

Input mode number on MODE command

Special Features

Stress stiffening

Loading Condition --

Input for ISYM on MODE command

1 --

Symmetric loading

-1 --

Antisymmetric loading

KEYOPT(1)

If MODE is greater than zero, use temperatures for:

0 --

Use temperatures only for thermal bending (evaluate material properties at TREF)

1 --

Use temperatures only for material property evaluation (thermal strains are not computed)

KEYOPT(3)

Extra displacement shapes:

0 --

Include extra displacement shapes

1 --

Suppress extra displacement shapes

KEYOPT(4)

Member force and moment output:

0 --

No printout of member forces and moments

1 --

Print out member forces and moments in the element coordinate system

KEYOPT(6)

Location of element solution output:

0 --

Output solution at mid-length only

N --

Output solution at N equally spaced interior points and at end points (where N = 1, 3, 5, 7 or 9)

SHELL61 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 61.1: "SHELL61 Element Output Definitions"

Several items are illustrated in Figure 61.2: "SHELL61 Stress Output". The printout may be displayed at the centroid, at the end points and at N equally spaced interior points, where N is the KEYOPT(6) value. For example, if N = 3, printout will be produced at end I, 1/4 length, mid-length (centroid), 3/4 length, and at end J. Printout location number 1 is always at end I. Stress components which are inherently zero are printed for clarity.

In the displacement printout, the UZ components are out-of-phase with the UX and UY components. For example, in the MODE = 1, ISYM = 1 loading case, UX and UY are the peak values at θ = 0° and UZ is the peak value at θ = 90°. We recommend that you always use the angle field on the SET command when postprocessing the results. For more information about harmonic elements, see Axisymmetric Elements with Nonaxisymmetric Loads

A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 61.2 SHELL61 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 61.1 SHELL61 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
MAT | Material number | Y | Y
LENGTH | Distance between node I and node J | Y | Y
XC, YC | Location where results are reported | Y | 2
TEMP | Temperatures T1, T2, T3, T4 | Y | Y
PRES | Pressures P1 (top) at nodes I,J; P2 (bottom) at nodes I,J | Y | Y
MODE | Number of waves in loading | Y | Y
ISYM | Loading key: 1 = symmetric, -1 = antisymmetric | Y | Y
T(X, Z, XZ) | In-plane element X, Z, and XZ forces at KEYOPT(6) location(s) | Y | Y
M(X, Z, XZ) | Out-of-plane element X, Z, and XZ moments at KEYOPT(6) location(s) | Y | Y
MFOR(X, Y, Z), MMOMZ | Member forces and member moment for each node in the element coordinate system | 1 | Y
PK ANG | Angle where stresses have peak values: 0 and 90/MODE°. Blank if MODE = 0. | Y | Y
S(M, THK, H, MH) | Stresses (meridional, through-thickness, hoop, meridional-hoop) at PK ANG locations, repeated for top, middle, and bottom of shell | Y | Y
EPEL(M, THK, H, MH) | Elastic strains (meridional, through-thickness, hoop, meridional-hoop) at PK ANG locations, repeated for top, middle, and bottom of shell | Y | Y
EPTH(M, THK, H, MH) | Thermal strains (meridional, through-thickness, hoop, meridional-hoop) at PK ANG locations, repeated for top, middle, and bottom of shell | Y | Y

  1. These items are printed only if KEYOPT(4) = 1.

  2. Available only at centroid as a *GET item.

Table 61.2: "SHELL61 Item and Sequence Numbers (KEYOPT(6) = 0 or 1)" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 61.2: "SHELL61 Item and Sequence Numbers (KEYOPT(6) = 0 or 1)":

Name

output quantity as defined in the Table 61.1: "SHELL61 Element Output Definitions"

Item

predetermined Item label for ETABLE command

I,J

sequence number for data at nodes I and J

ILn

sequence number for data at Intermediate Location n

Table 61.2 SHELL61 Item and Sequence Numbers (KEYOPT(6) = 0 or 1)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | IL1 | J
Top
SM | LS | 1 | 13 | 25
STHK | LS | 2 | 14 | 26
SH | LS | 3 | 15 | 27
SMH | LS | 4 | 16 | 28
EPELM | LEPEL | 1 | 13 | 25
EPELTHK | LEPEL | 2 | 14 | 26
EPELH | LEPEL | 3 | 15 | 27
EPELMH | LEPEL | 4 | 16 | 28
EPTHM | LEPTH | 1 | 13 | 25
EPTHTHK | LEPTH | 2 | 14 | 26
EPTHH | LEPTH | 3 | 15 | 27
EPTHMH | LEPTH | 4 | 16 | 28
Mid
SM | LS | 5 | 17 | 29
STHK | LS | 6 | 18 | 30
SH | LS | 7 | 19 | 31
SMH | LS | 8 | 20 | 32
EPELM | LEPEL | 5 | 17 | 29
EPELTHK | LEPEL | 6 | 18 | 30
EPELH | LEPEL | 7 | 19 | 31
EPELMH | LEPEL | 8 | 20 | 32
EPTHM | LEPTH | 5 | 17 | 29
EPTHTHK | LEPTH | 6 | 18 | 30
EPTHH | LEPTH | 7 | 19 | 31
EPTHMH | LEPTH | 8 | 20 | 32
Bot
SM | LS | 9 | 21 | 33
STHK | LS | 10 | 22 | 34
SH | LS | 11 | 23 | 35
SMH | LS | 12 | 24 | 36
EPELM | LEPEL | 9 | 21 | 33
EPELTHK | LEPEL | 10 | 22 | 34
EPELH | LEPEL | 11 | 23 | 35
EPELMH | LEPEL | 12 | 24 | 36
EPTHM | LEPTH | 9 | 21 | 33
EPTHTHK | LEPTH | 10 | 22 | 34
EPTHH | LEPTH | 11 | 23 | 35
EPTHMH | LEPTH | 12 | 24 | 36
Element
MFORX | SMISC | 1 | - | 7
MFORY | SMISC | 2 | - | 8
MFORZ | SMISC | 3 | - | 9
MMOMZ | SMISC | 6 | - | 12
TX | SMISC | 13 | 19 | 25
TZ | SMISC | 14 | 20 | 26
TXZ | SMISC | 15 | 21 | 27
MX | SMISC | 16 | 22 | 28
MZ | SMISC | 17 | 23 | 29
MXZ | SMISC | 18 | 24 | 30
P1 | SMISC | 31 | - | 32
P2 | SMISC | 35 | - | 36
 |  | Corner Location
 |  | 1 | 2 | 3 | 4
TEMP | LBFE | 1 | 2 | 3 | 4

Table 61.3 SHELL61 Item and Sequence Numbers (KEYOPT(6) = 3)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | IL1 | IL2 | IL3 | J
Top
SM | LS | 1 | 13 | 25 | 37 | 49
STHK | LS | 2 | 14 | 26 | 38 | 50
SH | LS | 3 | 15 | 27 | 39 | 51
SMH | LS | 4 | 16 | 28 | 40 | 52
EPELM | LEPEL | 1 | 13 | 25 | 37 | 49
EPELTHK | LEPEL | 2 | 14 | 26 | 38 | 50
EPELH | LEPEL | 3 | 15 | 27 | 39 | 51
EPELMH | LEPEL | 4 | 16 | 28 | 40 | 52
EPTHM | LEPTH | 1 | 13 | 25 | 37 | 49
EPTHTHK | LEPTH | 2 | 14 | 26 | 38 | 50
EPTHH | LEPTH | 3 | 15 | 27 | 39 | 51
EPTHMH | LEPTH | 4 | 16 | 28 | 40 | 52
Mid
SM | LS | 5 | 17 | 29 | 41 | 53
STHK | LS | 6 | 18 | 30 | 42 | 54
SH | LS | 7 | 19 | 31 | 43 | 55
SMH | LS | 8 | 20 | 32 | 44 | 56
EPELM | LEPEL | 5 | 17 | 29 | 41 | 53
EPELTHK | LEPEL | 6 | 18 | 30 | 42 | 54
EPELH | LEPEL | 7 | 19 | 31 | 43 | 55
EPELMH | LEPEL | 8 | 20 | 32 | 44 | 56
EPTHM | LEPTH | 5 | 17 | 29 | 41 | 53
EPTHTHK | LEPTH | 6 | 18 | 30 | 42 | 54
EPTHH | LEPTH | 7 | 19 | 31 | 43 | 55
EPTHMH | LEPTH | 8 | 20 | 32 | 44 | 56
Bot
SM | LS | 9 | 21 | 33 | 45 | 57
STHK | LS | 10 | 22 | 34 | 46 | 58
SH | LS | 11 | 23 | 35 | 47 | 59
SMH | LS | 12 | 24 | 36 | 48 | 60
EPELM | LEPEL | 9 | 21 | 33 | 45 | 57
EPELTHK | LEPEL | 10 | 22 | 34 | 46 | 58
EPELH | LEPEL | 11 | 23 | 35 | 47 | 59
EPELMH | LEPEL | 12 | 24 | 36 | 48 | 60
EPTHM | LEPTH | 9 | 21 | 33 | 45 | 57
EPTHTHK | LEPTH | 10 | 22 | 34 | 46 | 58
EPTHH | LEPTH | 11 | 23 | 35 | 47 | 59
EPTHMH | LEPTH | 12 | 24 | 36 | 48 | 60
Element
MFORX | SMISC | 1 | - | - | - | 7
MFORY | SMISC | 2 | - | - | - | 8
MFORZ | SMISC | 3 | - | - | - | 9
MMOMZ | SMISC | 6 | - | - | - | 12
TX | SMISC | 13 | 19 | 25 | 31 | 37
TZ | SMISC | 14 | 20 | 26 | 32 | 38
TXZ | SMISC | 15 | 21 | 27 | 33 | 39
MX | SMISC | 16 | 22 | 28 | 34 | 40
MZ | SMISC | 17 | 23 | 29 | 35 | 41
MXZ | SMISC | 18 | 24 | 30 | 36 | 42
P1 | SMISC | 43 | - | - | - | 44
P2 | SMISC | 47 | - | - | - | 48
 |  | Corner Location
 |  | 1 | 2 | 3 | 4
TEMP | LBFE | 1 | 2 | 3 | 4

Table 61.4 SHELL61 Item and Sequence Numbers (KEYOPT(6) = 5)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | IL1 | IL2 | IL3 | IL4 | IL5 | J
Top
SM | LS | 1 | 13 | 25 | 37 | 49 | 61 | 73
STHK | LS | 2 | 14 | 26 | 38 | 50 | 62 | 74
SH | LS | 3 | 15 | 27 | 39 | 51 | 63 | 75
SMH | LS | 4 | 16 | 28 | 40 | 52 | 64 | 76
EPELM | LEPEL | 1 | 13 | 25 | 37 | 49 | 61 | 73
EPELTHK | LEPEL | 2 | 14 | 26 | 38 | 50 | 62 | 74
EPELH | LEPEL | 3 | 15 | 27 | 39 | 51 | 63 | 75
EPELMH | LEPEL | 4 | 16 | 28 | 40 | 52 | 64 | 76
EPTHM | LEPTH | 1 | 13 | 25 | 37 | 49 | 61 | 73
EPTHTHK | LEPTH | 2 | 14 | 26 | 38 | 50 | 62 | 74
EPTHH | LEPTH | 3 | 15 | 27 | 39 | 51 | 63 | 75
EPTHMH | LEPTH | 4 | 16 | 28 | 40 | 52 | 64 | 76
Mid
SM | LS | 5 | 17 | 29 | 41 | 53 | 65 | 77
STHK | LS | 6 | 18 | 30 | 42 | 54 | 66 | 78
SH | LS | 7 | 19 | 31 | 43 | 55 | 67 | 79
SMH | LS | 8 | 20 | 32 | 44 | 56 | 68 | 80
EPELM | LEPEL | 5 | 17 | 29 | 41 | 53 | 65 | 77
EPELTHK | LEPEL | 6 | 18 | 30 | 42 | 54 | 66 | 78
EPELH | LEPEL | 7 | 19 | 31 | 43 | 55 | 67 | 79
EPELMH | LEPEL | 8 | 20 | 32 | 44 | 56 | 68 | 80
EPTHM | LEPTH | 5 | 17 | 29 | 41 | 53 | 65 | 77
EPTHTHK | LEPTH | 6 | 18 | 30 | 42 | 54 | 66 | 78
EPTHH | LEPTH | 7 | 19 | 31 | 43 | 55 | 67 | 79
EPTHMH | LEPTH | 8 | 20 | 32 | 44 | 56 | 68 | 80
Bot
SM | LS | 9 | 21 | 33 | 45 | 57 | 69 | 81
STHK | LS | 10 | 22 | 34 | 46 | 58 | 70 | 82
SH | LS | 11 | 23 | 35 | 47 | 59 | 71 | 83
SMH | LS | 12 | 24 | 36 | 48 | 60 | 72 | 84
EPELM | LEPEL | 9 | 21 | 33 | 45 | 57 | 69 | 81
EPELTHK | LEPEL | 10 | 22 | 34 | 46 | 58 | 70 | 82
EPELH | LEPEL | 11 | 23 | 35 | 47 | 59 | 71 | 83
EPELMH | LEPEL | 12 | 24 | 36 | 48 | 60 | 72 | 84
EPTHM | LEPTH | 9 | 21 | 33 | 45 | 57 | 69 | 81
EPTHTHK | LEPTH | 10 | 22 | 34 | 46 | 58 | 70 | 82
EPTHH | LEPTH | 11 | 23 | 35 | 47 | 59 | 71 | 83
EPTHMH | LEPTH | 12 | 24 | 36 | 48 | 60 | 72 | 84
Element
MFORX | SMISC | 1 | - | - | - | - | - | 7
MFORY | SMISC | 2 | - | - | - | - | - | 8
MFORZ | SMISC | 3 | - | - | - | - | - | 9
MMOMZ | SMISC | 6 | - | - | - | - | - | 12
TX | SMISC | 13 | 19 | 25 | 31 | 37 | 43 | 49
TZ | SMISC | 14 | 20 | 26 | 32 | 38 | 44 | 50
TXZ | SMISC | 15 | 21 | 27 | 33 | 39 | 45 | 51
MX | SMISC | 16 | 22 | 28 | 34 | 40 | 46 | 52
MZ | SMISC | 17 | 23 | 29 | 35 | 41 | 47 | 53
MXZ | SMISC | 18 | 24 | 30 | 36 | 42 | 48 | 54
P1 | SMISC | 55 | - | - | - | - | - | 56
P2 | SMISC | 59 | - | - | - | - | - | 60
 |  | Corner Location
 |  | 1 | 2 | 3 | 4
TEMP | LBFE | 1 | 2 | 3 | 4

Table 61.5 SHELL61 Item and Sequence Numbers (KEYOPT(6) = 7)

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | IL1 | IL2 | IL3 | IL4 | IL5 | IL6 | IL7 | J
Top
SM | LS | 1 | 13 | 25 | 37 | 49 | 61 | 73 | 85 | 97
STHK | LS | 2 | 14 | 26 | 38 | 50 | 62 | 74 | 86 | 98
SH | LS | 3 | 15 | 27 | 39 | 51 | 63 | 75 | 87 | 99
SMH | LS | 4 | 16 | 28 | 40 | 52 | 64 | 76 | 88 | 100
EPELM | LEPEL | 1 | 13 | 25 | 37 | 49 | 61 | 73 | 85 | 97
EPELTHK | LEPEL | 2 | 14 | 26 | 38 | 50 | 62 | 74 | 86 | 98
EPELH | LEPEL | 3 | 15 | 27 | 39 | 51 | 63 | 75 | 87 | 99
EPELMH | LEPEL | 4 | 16 | 28 | 40 | 52 | 64 | 76 | 88 | 100
EPTHM | LEPTH | 1 | 13 | 25 | 37 | 49 | 61 | 73 | 85 | 97
EPTHTHK | LEPTH | 2 | 14 | 26 | 38 | 50 | 62 | 74 | 86 | 98
EPTHH | LEPTH | 3 | 15 | 27 | 39 | 51 | 63 | 75 | 87 | 99
EPTHMH | LEPTH | 4 | 16 | 28 | 40 | 52 | 64 | 76 | 88 | 100
Mid
SM | LS | 5 | 17 | 29 | 41 | 53 | 65 | 77 | 89 | 101
STHK | LS | 6 | 18 | 30 | 42 | 54 | 66 | 78 | 90 | 102
SH | LS | 7 | 19 | 31 | 43 | 55 | 67 | 79 | 91 | 103
SMH | LS | 8 | 20 | 32 | 44 | 56 | 68 | 80 | 92 | 104
EPELM | LEPEL | 5 | 17 | 29 | 41 | 53 | 65 | 77 | 89 | 101
EPELTHK | LEPEL | 6 | 18 | 30 | 42 | 54 | 66 | 78 | 90 | 102
EPELH | LEPEL | 7 | 19 | 31 | 43 | 55 | 67 | 79 | 91 | 103
EPELMH | LEPEL | 8 | 20 | 32 | 44 | 56 | 68 | 80 | 92 | 104
EPTHM | LEPTH | 5 | 17 | 29 | 41 | 53 | 65 | 77 | 89 | 101
EPTHTHK | LEPTH | 6 | 18 | 30 | 42 | 54 | 66 | 78 | 90 | 102
EPTHH | LEPTH | 7 | 19 | 31 | 43 | 55 | 67 | 79 | 91 | 103
EPTHMH | LEPTH | 8 | 20 | 32 | 44 | 56 | 68 | 80 | 92 | 104
Bot
SM | LS | 9 | 21 | 33 | 45 | 57 | 69 | 81 | 93 | 105
STHK | LS | 10 | 22 | 34 | 46 | 58 | 70 | 82 | 94 | 106
SH | LS | 11 | 23 | 35 | 47 | 59 | 71 | 83 | 95 | 107
SMH | LS | 12 | 24 | 36 | 48 | 60 | 72 | 84 | 96 | 108
EPELM | LEPEL | 9 | 21 | 33 | 45 | 57 | 69 | 81 | 93 | 105
EPELTHK | LEPEL | 10 | 22 | 34 | 46 | 58 | 70 | 82 | 94 | 106
EPELH | LEPEL | 11 | 23 | 35 | 47 | 59 | 71 | 83 | 95 | 107
EPELMH | LEPEL | 12 | 24 | 36 | 48 | 60 | 72 | 84 | 96 | 108
EPTHM | LEPTH | 9 | 21 | 33 | 45 | 57 | 69 | 81 | 93 | 105
EPTHTHK | LEPTH | 10 | 22 | 34 | 46 | 58 | 70 | 82 | 94 | 106
EPTHH | LEPTH | 11 | 23 | 35 | 47 | 59 | 71 | 83 | 95 | 107
EPTHMH | LEPTH | 12 | 24 | 36 | 48 | 60 | 72 | 84 | 96 | 108
Element
MFORX | SMISC | 1 | - | - | - | - | - | - | - | 7
MFORY | SMISC | 2 | - | - | - | - | - | - | - | 8
MFORZ | SMISC | 3 | - | - | - | - | - | - | - | 9
MMOMZ | SMISC | 6 | - | - | - | - | - | - | - | 12
TX | SMISC | 13 | 19 | 25 | 31 | 37 | 43 | 49 | 55 | 61
TZ | SMISC | 14 | 20 | 26 | 32 | 38 | 44 | 50 | 56 | 62
TXZ | SMISC | 15 | 21 | 27 | 33 | 39 | 45 | 51 | 57 | 63
MX | SMISC | 16 | 22 | 28 | 34 | 40 | 46 | 52 | 58 | 64
MZ | SMISC | 17 | 23 | 29 | 35 | 41 | 47 | 53 | 59 | 65
MXZ | SMISC | 18 | 24 | 30 | 36 | 42 | 48 | 54 | 60 | 66
P1 | SMISC | 67 | - | - | - | - | - | - | - | 68
P2 | SMISC | 71 | - | - | - | - | - | - | - | 72
 |  | Corner Location
 |  | 1 | 2 | 3 | 4
TEMP | LBFE | 1 | 2 | 3 | 4

Table 61.6 SHELL61 Item and Sequence Numbers (KEYOPT(6) = 9)

Output Quantity Label | ETABLE and ESOL Command Input
 | Item | I | IL1 | IL2 | IL3 | IL4 | IL5 | IL6 | IL7 | IL8 | IL9 | J
Top
SM | LS | 1 | 13 | 25 | 37 | 49 | 61 | 73 | 85 | 97 | 109 | 121
STHK | LS | 2 | 14 | 26 | 38 | 50 | 62 | 74 | 86 | 98 | 110 | 122
SH | LS | 3 | 15 | 27 | 39 | 51 | 63 | 75 | 87 | 99 | 111 | 123
SMH | LS | 4 | 16 | 28 | 40 | 52 | 64 | 76 | 88 | 100 | 112 | 124
EPELM | LEPEL | 1 | 13 | 25 | 37 | 49 | 61 | 73 | 85 | 97 | 109 | 121
EPELTHK | LEPEL | 2 | 14 | 26 | 38 | 50 | 62 | 74 | 86 | 98 | 110 | 122
EPELH | LEPEL | 3 | 15 | 27 | 39 | 51 | 63 | 75 | 87 | 99 | 111 | 123
EPELMH | LEPEL | 4 | 16 | 28 | 40 | 52 | 64 | 76 | 88 | 100 | 112 | 124
EPTHM | LEPTH | 1 | 13 | 25 | 37 | 49 | 61 | 73 | 85 | 97 | 109 | 121
EPTHTHK | LEPTH | 2 | 14 | 26 | 38 | 50 | 62 | 74 | 86 | 98 | 110 | 122
EPTHH | LEPTH | 3 | 15 | 27 | 39 | 51 | 63 | 75 | 87 | 99 | 111 | 123
EPTHMH | LEPTH | 4 | 16 | 28 | 40 | 52 | 64 | 76 | 88 | 100 | 112 | 124
Mid
SM | LS | 5 | 17 | 29 | 41 | 53 | 65 | 77 | 89 | 101 | 113 | 125
STHK | LS | 6 | 18 | 30 | 42 | 54 | 66 | 78 | 90 | 102 | 114 | 126
SH | LS | 7 | 19 | 31 | 43 | 55 | 67 | 79 | 91 | 103 | 115 | 127
SMH | LS | 8 | 20 | 32 | 44 | 56 | 68 | 80 | 92 | 104 | 116 | 128
EPELM | LEPEL | 5 | 17 | 29 | 41 | 53 | 65 | 77 | 89 | 101 | 113 | 125
EPELTHK | LEPEL | 6 | 18 | 30 | 42 | 54 | 66 | 78 | 90 | 102 | 114 | 126
EPELH | LEPEL | 7 | 19 | 31 | 43 | 55 | 67 | 79 | 91 | 103 | 115 | 127
EPELMH | LEPEL | 8 | 20 | 32 | 44 | 56 | 68 | 80 | 92 | 104 | 116 | 128
EPTHM | LEPTH | 5 | 17 | 29 | 41 | 53 | 65 | 77 | 89 | 101 | 113 | 125
EPTHTHK | LEPTH | 6 | 18 | 30 | 42 | 54 | 66 | 78 | 90 | 102 | 114 | 126
EPTHH | LEPTH | 7 | 19 | 31 | 43 | 55 | 67 | 79 | 91 | 103 | 115 | 127
EPTHMH | LEPTH | 8 | 20 | 32 | 44 | 56 | 68 | 80 | 92 | 104 | 116 | 128
Bot
SM | LS | 9 | 21 | 33 | 45 | 57 | 69 | 81 | 93 | 105 | 117 | 129
STHK | LS | 10 | 22 | 34 | 46 | 58 | 70 | 82 | 94 | 106 | 118 | 130
SH | LS | 11 | 23 | 35 | 47 | 59 | 71 | 83 | 95 | 107 | 119 | 131
SMH | LS | 12 | 24 | 36 | 48 | 60 | 72 | 84 | 96 | 108 | 120 | 132
EPELM | LEPEL | 9 | 21 | 33 | 45 | 57 | 69 | 81 | 93 | 105 | 117 | 129
EPELTHK | LEPEL | 10 | 22 | 34 | 46 | 58 | 70 | 82 | 94 | 106 | 118 | 130
EPELH | LEPEL | 11 | 23 | 35 | 47 | 59 | 71 | 83 | 95 | 107 | 119 | 131
EPELMH | LEPEL | 12 | 24 | 36 | 48 | 60 | 72 | 84 | 96 | 108 | 120 | 132
EPTHM | LEPTH | 9 | 21 | 33 | 45 | 57 | 69 | 81 | 93 | 105 | 117 | 129
EPTHTHK | LEPTH | 10 | 22 | 34 | 46 | 58 | 70 | 82 | 94 | 106 | 118 | 130
EPTHH | LEPTH | 11 | 23 | 35 | 47 | 59 | 71 | 83 | 95 | 107 | 119 | 131
EPTHMH | LEPTH | 12 | 24 | 36 | 48 | 60 | 72 | 84 | 96 | 108 | 120 | 132
Element
MFORX | SMISC | 1 | - | - | - | - | - | - | - | - | - | 7
MFORY | SMISC | 2 | - | - | - | - | - | - | - | - | - | 8
MFORZ | SMISC | 3 | - | - | - | - | - | - | - | - | - | 9
MMOMZ | SMISC | 6 | - | - | - | - | - | - | - | - | - | 12
TX | SMISC | 13 | 19 | 25 | 31 | 37 | 43 | 49 | 55 | 61 | 67 | 73
TZ | SMISC | 14 | 20 | 26 | 32 | 38 | 44 | 50 | 56 | 62 | 68 | 74
TXZ | SMISC | 15 | 21 | 27 | 33 | 39 | 45 | 51 | 57 | 63 | 69 | 75
MX | SMISC | 16 | 22 | 28 | 34 | 40 | 46 | 52 | 58 | 64 | 70 | 76
MZ | SMISC | 17 | 23 | 29 | 35 | 41 | 47 | 53 | 59 | 65 | 71 | 77
MXZ | SMISC | 18 | 24 | 30 | 36 | 42 | 48 | 54 | 60 | 66 | 72 | 78
P1 | SMISC | 79 | - | - | - | - | - | - | - | - | - | 80
P2 | SMISC | 83 | - | - | - | - | - | - | - | - | - | 84
 |  | Corner Location
 |  | 1 | 2 | 3 | 4
TEMP | LBFE | 1 | 2 | 3 | 4

SHELL61 Assumptions and Restrictions

  • The axisymmetric shell element must be defined in the global X-Y plane and must not have a zero length. Both ends must have nonnegative X coordinate values and the element must not lie along the global Y-axis.

  • If the element has a constant thickness, only TK(I) need be defined. TK(I) must not be zero.

  • The element thickness is assumed to vary linearly from node I to node J. Some thick shell effects have been included in the formulation of SHELL61 but it cannot be properly considered to be a thick shell element. If these effects are important, it is recommended to use PLANE25.

  • The element assumes a linear elastic material.

  • Post analysis superposition of results is valid only with other linear elastic solutions.

  • Strain energy does not consider thermal effects.

  • The element should not be used with the large deflection option.

  • The element may not be deactivated with the EKILL command.

  • You can use only axisymmetric (MODE,0) loads without significant torsional stresses to generate the stress state used for stress stiffened modal analyses using this element.

SHELL61 Product Restrictions

There are no product restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PIPE60 		Up / Home Next
SOLID62


SOLID62

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID62

3-D Magneto-Structural Solid

MP <> <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

SOLID62 Element Description

SOLID62 has the capability of modeling 3-D coupled magneto-structural fields. The magnetic formulation uses a vector potential (AX, AY, AZ) in static analysis and a vector potential combined with a time-integrated scalar potential (VOLT) for harmonic and transient analysis. The structural formulation is similar to that in the SOLID45 element. The element has plasticity, creep, swelling, stress stiffening, large deflection, and large strain capabilities. Other elements with magneto-structural capability are PLANE13, SOLID5 and SOLID98. Magneto-structural coupling is not available for harmonic analysis. See SOLID62 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

The element has nonlinear magnetic harmonic capability for modeling B-H curves or permanent magnet demagnetization curves.

Figure 62.1 SOLID62 Geometry

SOLID62 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 62.1: "SOLID62 Geometry". The element is defined by eight nodes and the material properties. A tetrahedral-shaped element may be formed by defining the same node numbers for nodes M, N, O, and P; and nodes K and L. A wedge-shaped element and a pyramid-shaped element may also be formed as shown in Figure 62.1: "SOLID62 Geometry". The type of units (MKS or user defined) for magnetic field analysis is specified through the EMUNIT command. EMUNIT also determines the value of MUZERO. The EMUNIT defaults are MKS units and MUZERO = 4 π x 10-7 henries/meter. In addition to MUZERO, orthotropic relative permeability is available and is specified through the MURX, MURY, and MURZ material property labels. Orthotropic resistivity is specified through the RSVX, RSVY, and RSVZ material labels.

MGXX, MGYY, and MGZZ represent vector components of the coercive force for permanent magnet materials. The magnitude of the coercive force is the square root of the sum of the squares of the components. The direction of polarization is determined by the components MGXX, MGYY, and MGZZ. Permanent magnet polarization directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. Nonlinear magnetic properties are entered with the TB command as described in Data Tables - Implicit Analysis. Nonlinear orthotropic magnetic properties may be specified with a combination of a B-H curve and linear relative permeability. The B-H curve will be used in each element coordinate direction where a zero value of relative permeability is specified. Only one B-H curve may be specified per material.

Nodal loads are defined with the D and the F commands. With the D command, the Lab variable corresponds to the degree of freedom (UX, UY, UZ, AX, AY, AZ, VOLT) and VALUE corresponds to the value (displacement, magnetic vector potential, and time-integrated electric scalar potential). With the F command, the Lab variable corresponds to the force (FX, FY, FZ, CSGX, CSGY, CSGZ, AMPS) and VALUE corresponds to the value (force, magnetic current segments, and current).

Element loads are described in Node and Element Loads. The surface loads; pressure and Maxwell force flags may be input on the element faces indicated by the circled numbers in Figure 62.1: "SOLID62 Geometry" using the SF and SFE commands. Surfaces at which magnetic forces are to be calculated may be identified by using the MXWF label on the surface load commands (no value is required). A Maxwell stress tensor calculation is performed at these surfaces to obtain the magnetic forces. These forces are applied in solution as structural loads. The surface flag should be applied to "air" elements adjacent to the body for which forces are required. Deleting the MXWF specification removes the flag.

The body loads; temperature (structural), magnetic virtual displacement, fluence, and source current density may be input based on their value at the element's nodes or as a single element value (BF and BFE commands.) In general, unspecified nodal values of temperatures and fluence default to the uniform value specified with the BFUNIF or TUNIF commands. The vector components of the current density are with respect to the element coordinate system. Calculated Joule heating (JHEAT) may be made available for a subsequent thermal analysis with companion elements (LDREAD command).

Air elements in which Local Jacobian forces are to be calculated may be identified by using nodal values of 1 and 0 for the MVDI (Magnetic Virtual Displacements) label (BF command). See the Low-Frequency Electromagnetic Analysis Guide for details.

A summary of the element input is given in "SOLID62 Input Summary". A general description of element input is given in Element Input.

SOLID62 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

UX, UY, UZ, AX, AY, AZ, VOLT

Real Constants

None

Material Properties
MUZERO, MURX, MURY, MURZ, RSVX, RSVY, RSVZ,
MGXX, MGYY, MGZZ plus BH data table (see Data Tables - Implicit Analysis),
EX, EY, EZ, ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ),
(PRXY, PRYZ, PRXZ or NUXY, NUYZ, NUXZ),
DENS, GXY, GXZ, GYZ, DAMP
Surface Loads
Maxwell Force Flags --

face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N), face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)

Pressures --

face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N), face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)

Body Loads
Temperatures --

T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P)

MVDI --

VD(I), VD(J), VD(K), VD(L), VD(M), VD(N), VD(O), VD(P)

Fluences --

FL(I), FL(J), FL(K), FL(L), FL(M), FL(N), FL(O), FL(P)

Source Current Density --

JSX(I), JSY(I), JSZ(I), PHASE(I), JSX(J), JSY(J), JSZ(J), PHASE(J), JSX(K), JSY(K), JSZ(K), PHASE(K), JSX(L), JSY(L), JSZ(L), PHASE(L), JSX(M), JSY(M), JSZ(M), PHASE(M), JSX(N), JSY (N), JSZ(N), PHASE(N), JSX(O), JSY(O), JSZ(O), PHASE(O), JSX(P), JSY(P), JSZ(P), PHASE(P)

Special Features
Plasticity (BISO, MISO, BKIN, MKIN, KINH, DP, ANISO)
Creep (CREEP)
Swelling (SWELL)
Elasticity (MELAS)
Other material (USER)
Stress stiffening
Large deflection
Large strain
Magneto-structural coupling (requires an iterative solution for field coupling)
Birth and death
Adaptive descent

Note

Items in parentheses refer to data tables associated with the TB command.

KEYOPT(1)

Extra displacement shapes:

0 --

Include extra displacement shapes

1 --

Suppress extra displacement shapes

KEYOPT(5)

Extra element output:

0 --

Basic element printout

1 --

Integration point printout

2 --

Nodal magnetic field and stress printout

KEYOPT(6)

Extra surface output:

0 --

Basic element solution

1 --

Structural surface solution for face I-J-N-M also

2 --

Structural surface solution for face I-J-N-M and face K-L-P-O (Surface solution available for linear materials only)

3 --

Structural nonlinear solution at each integration point also

4 --

Structural surface solution for faces with nonzero pressure

SOLID62 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements and potentials included in the overall nodal solution

  • Additional element output as shown in Table 62.1: "SOLID62 Structural Element Output Definitions"

The element output directions are parallel to the element coordinate system.

The element stress directions are parallel to the element coordinate system. The surface stress outputs are in the surface coordinate systems and are available for any face (KEYOPT(6)). The coordinate systems for faces IJNM and KLPO are shown in Figure 62.1: "SOLID62 Geometry". The other surface coordinate systems follow similar orientations as indicated by the pressure face node description. Surface stress printout is valid only if the conditions described in Element Solution are met. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 62.1 SOLID62 Structural Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 3
PRES | Pressures P1 at nodes J, I, L, K; P2 at I, J, N, M; P3 at J, K, O, N; P4 at K, L, P, O; P5 at L, I, M, P; P6 at M, N, O, P | Y | Y
TEMP | Input temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | Y | Y
FLUEN | Input fluences FL(I), FL(J), FL(K), FL(L), FL(M), FL(N), FL(O), FL(P) | Y | -
S:X, Y, Z, XY, YZ, XZ | Stresses (X, Y, Z, XY, YZ, XZ) | Y | Y
S:1, 2, 3 | Principal stresses | Y | Y
S:INT | Stress intensity | Y | Y
S:EQV | Equivalent stress | Y | Y
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | Y | Y
EPEL:1, 2, 3 | Principal elastic strains | Y | -
EPEL:EQV | Equivalent elastic strain [4] | Y | Y
EPTH:X, Y, Z, XY, YZ, XZ | Average thermal strains | 1 | 1
EPTH:EQV | Equivalent thermal strain [4] | 1 | 1
EPPL:X, Y, Z, XY, YZ, XZ | Average plastic strain | 1 | 1
EPPL:EQV | Equivalent plastic strain [4] | 1 | 1
EPCR:X, Y, Z, XY, YZ, XZ | Average creep strain | 1 | 1
EPCR:EQV | Equivalent creep strain [4] | 1 | 1
EPSW: | Average swelling strain | 1 | 1
NL:EPEQ | Average equivalent plastic strain | 1 | 1
NL:SRAT | Ratio of trial stress to stress on yield surface | 1 | 1
NL:SEPL | Average equivalent stress from stress-strain curve | 1 | 1
NL:HPRES | Hydrostatic pressure | - | 1
FACE | Face label | 2 | 2
AREA | Face area | 2 | 2
TEMP | Surface average temperature | 2 | 2
EPEL(X, Y, XY) | Surface elastic strains | 2 | 2
PRESS | Surface pressure | 2 | 2
S(X, Y, XY) | Surface stresses (X-axis parallel to line defined by first two nodes which define the face) | 2 | 2
S(1, 2, 3) | Surface principal stresses | 2 | 2
SINT | Surface stress intensity | 2 | 2
SEQV | Surface equivalent stress | 2 | 2

  1. Nonlinear solution (if the element has a nonlinear material)

  2. Face printout (if KEYOPT(6) is 1, 2, or 4)

  3. Available only at centroid as a *GET item.

  4. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY); for plastic and creep this value is set at 0.5.

Table 62.2 SOLID62 Miscellaneous Structural Element Output

Description | Names of Items Output | O | R
Nonlinear Integration Pt. Solution | EPPL, EPEQ, SRAT, SEPL, HPRES, EPCR, EPSW | 1 | -
Integration Point Stress Solution | TEMP, S(X, Y, Z, XY, YZ, XZ), SINT, SEQV, EPEL | 2 | -
Nodal Stress Solution | TEMP, S(X, Y, Z, XY, YZ, XZ), SINT, SEQV, EPEL | 3 | -

  1. Output at each of eight integration points, if the element has a nonlinear material and KEYOPT(6) = 3

  2. Output at each integration point, if KEYOPT(5) = 1

  3. Output at each node, if KEYOPT(5) = 2

Table 62.3 SOLID62 Magnetic Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
CENT: X, Y, Z | Global location XC, YC, ZC | Y | Y
TEMP | Input temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | Y | Y
LOC | Output location (X, Y, Z) | 1 | -
MU(X, Y, Z) | Magnetic permeability | 1 | 1
H:X, Y, Z | Magnetic field intensity components | 1 | 1
H:SUM | Vector magnitude of H | 1 | 1
B:X, Y, Z | Magnetic flux density components | 1 | 1
B:SUM | Vector magnitude of B | 1 | 1
JS:X, Y, Z | Source current density, valid for static analysis only | 1 | 1
JT(X, Y, Z) | Total current density components | 1 | 1
JHEAT: | Joule heat generation per unit volume | 1 | 1
FJB(X, Y, Z) | Lorentz magnetic force components | 1 | -
FMX(X, Y, Z) | Maxwell magnetic force components | 1 | -
FVW(X, Y, Z) | Virtual work force components | 1 | 1
Combined (FJB or FMX) force components | Combined (FJB or FMX) force components | - | 1

  1. The solution value is output only if calculated (based on input data). The element solution is at the centroid.

Table 62.4 SOLID62 Miscellaneous Magnetic Element Output

Description | Names of Items Output | O | R
Integration Point Solution | LOC, MUX, MUY, MUZ, H, HSUM, B, BSUM | 1 | -
Nodal Magnetic Field Solution | H, HSUM, B, BSUM | 2 | -

  1. Output at each integration point, if KEYOPT(5) = 1

  2. Output at each corner node, if KEYOPT(5) = 2

Note

JT represents the total measurable current density in a conductor, including eddy current effects, and velocity effects if calculated.

Table 62.5: "SOLID62 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 62.5: "SOLID62 Item and Sequence Numbers":

Name

output quantity as defined in the Table 62.1: "SOLID62 Structural Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 62.5 SOLID62 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
JSX | SMISC | 1
JSY | SMISC | 2
JSZ | SMISC | 3
JS(SUM) | SMISC | 4
MUX | NMISC | 1
MUY | NMISC | 2
MUZ | NMISC | 3
FVWX | NMISC | 4
FVWY | NMISC | 5
FVWZ | NMISC | 6
FVW(SUM) | NMISC | 7
JTX | NMISC | 12
JTY | NMISC | 13
JTZ | NMISC | 14
JT(SUM) | NMISC | 15

SOLID62 Assumptions and Restrictions

  • The element must not have a zero volume or a zero length side. This occurs most frequently when the element is not numbered properly. Elements may be numbered either as shown in Figure 62.1: "SOLID62 Geometry" or may have the planes IJKL and MNOP interchanged.

  • The PCG solver does not support SOLID62 elements.

  • For models containing materials with different permeabilities, the 3-D nodal-based vector potential formulation (either static or time-dependent) is not recommended. The solution has been found to be incorrect when the normal component of the vector potential is significant at the interface between elements of different permeability. To obtain the normal component of the vector potential in postprocessing, issue PLVECT,A or PRVECT,A in a rotated coordinate system [RSYS] that orients one of the vector potential components normal to the material interface.

  • For static analysis, the VOLT degree of freedom is not used.

  • For transient analyses, the following restrictions apply: The VOLT degree of freedom is required in all regions with a specified nonzero resistivity. The VOLT degree of freedom should be set to zero in nonconducting regions where it is not required. For conducting regions (RSVX ≠ 0), current loading should be applied as nodal loads (AMPS); current density loading (JS) is not allowed.

  • No coupling is introduced for harmonic analysis. The magneto-structural coupling is invoked only for static and transient analyses. No reduced transient analysis capability is available. Structural coupling is introduced automatically in current carrying conductors (either those with an applied current density, JS, or induced current density, JT). Structural coupling is also introduced by specifying a Maxwell surface on the "air" elements adjacent to the structure.

    Note

    Applying MVDI does not introduce magneto-structural coupling. The coupling is highly nonlinear if large deflection is involved. Ramp load slowly and converge at intermediate time substeps.

  • Degeneration to the form of pyramid should be used with caution. The element sizes, when degenerated, should be small in order to minimize the stress gradients and field gradients.

  • Pyramid elements are best used as filler elements or in meshing transition zones.

  • This element may not be compatible with other elements with the VOLT degree of freedom. To be compatible, the elements must have the same reaction force (see Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide).

SOLID62 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SHELL61 		Up / Home Next
SHELL63


SHELL63

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SHELL63

Elastic Shell

MP ME ST PR PRN DS <> <> <> <> <> PP <>

Product Restrictions

SHELL63 Element Description

SHELL63 has both bending and membrane capabilities. Both in-plane and normal loads are permitted. The element has six degrees of freedom at each node: translations in the nodal x, y, and z directions and rotations about the nodal x, y, and z-axes. Stress stiffening and large deflection capabilities are included. A consistent tangent stiffness matrix option is available for use in large deflection (finite rotation) analyses. See SHELL63 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. Similar elements are SHELL43 and SHELL181 (plastic capability), and SHELL281 (midside node capability). The ETCHG command converts SHELL57 and SHELL157 elements to SHELL63.

Figure 63.1 SHELL63 Geometry

xIJ = Element x-axis if ESYS is not supplied.

x = Element x-axis if ESYS is supplied.

SHELL63 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 63.1: "SHELL63 Geometry". The element is defined by four nodes, four thicknesses, an elastic foundation stiffness, and the orthotropic material properties. Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. The element x-axis may be rotated by an angle THETA (in degrees).

The thickness is assumed to vary smoothly over the area of the element, with the thickness input at the four nodes. If the element has a constant thickness, only TK(I) need be input. If the thickness is not constant, all four thicknesses must be input.

The elastic foundation stiffness (EFS) is defined as the pressure required to produce a unit normal deflection of the foundation. The elastic foundation capability is bypassed if EFS is less than, or equal to, zero.

For certain nonhomogeneous or sandwich shell applications, the following real constants are provided: RMI is the ratio of the bending moment of inertia to be used to that calculated from the input thicknesses. RMI defaults to 1.0. CTOP and CBOT are the distances from the middle surface to the extreme fibers to be used for stress evaluations. Both CTOP and CBOT are positive, assuming that the middle surface is between the fibers used for stress evaluation. If not input, stresses are based on the input thicknesses. ADMSUA is the added mass per unit area.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 63.1: "SHELL63 Geometry". Positive pressures act into the element. Edge pressures are input as force per unit length. The lateral pressure loading may be an equivalent (lumped) element load applied at the nodes (KEYOPT(6) = 0) or distributed over the face of the element (KEYOPT(6) = 2). The equivalent element load produces more accurate stress results with flat elements representing a curved surface or elements supported on an elastic foundation since certain fictitious bending stresses are eliminated.

Temperatures may be input as element body loads at the "corner" locations (1-8) shown in Figure 63.1: "SHELL63 Geometry". The first corner temperature T1 defaults to TUNIF. If all other temperatures are unspecified, they default to T1. If only T1 and T2 are input, T1 is used for T1, T2, T3, and T4, while T2 (as input) is used for T5, T6, T7, and T8. For any other input pattern, unspecified temperatures default to TUNIF.

KEYOPT(1) is available for neglecting the membrane stiffness or the bending stiffness, if desired. A reduced out-of-plane mass matrix is also used when the bending stiffness is neglected.

KEYOPT(2) is used to activate the consistent tangent stiffness matrix (that is, a matrix composed of the main tangent stiffness matrix plus the consistent stress stiffness matrix) in large deflection analyses [NLGEOM,ON]. You can often obtain more rapid convergence in a geometrically nonlinear analysis, such as a nonlinear buckling or postbuckling analysis, by activating this option. However, you should not use this option if you are using the element to simulate a rigid link or a group of coupled nodes. The resulting abrupt changes in stiffness within the structure make the consistent tangent stiffness matrix unsuitable for such applications.

KEYOPT(3) allows you to include (KEYOPT(3) = 0 or 2) or suppress (KEYOPT(3) = 1) extra displacement shapes. It also allows you to choose the type of in-plane rotational stiffness used:

  • KEYOPT(3) = 0 or 1 activates a spring-type in-plane rotational stiffness about the element z-axis

  • KEYOPT(3) = 2 activates a more realistic in-plane rotational stiffness (Allman rotational stiffness - the program uses default penalty parameter values of d1 = 1.0E-6 and d2 = 1.0E-3).

Using the Allman stiffness will often enhance convergence behavior in large deflection (finite rotation) analyses of planar shell structures (that is, flat shells or flat regions of shells).

KEYOPT(7) allows a reduced mass matrix formulation (rotational degrees of freedom terms deleted). This option is useful for improved bending stresses in thin members under mass loading.

KEYOPT(8) allows a reduced stress stiffness matrix (rotational degrees of freedom deleted). This option can be useful for calculating improved mode shapes and a more accurate load factor in linear buckling analyses of certain curved shell structures.

KEYOPT(11) = 2 is used to store midsurface results in the results file for single or multi-layer shell elements. If you use SHELL,MID, you will see these calculated values, rather than the average of the TOP and BOTTOM results. You should use this option to access these correct midsurface results (membrane results) for those analyses where averaging TOP and BOTTOM results is inappropriate; examples include midsurface stresses and strains with nonlinear material behavior, and midsurface results after mode combinations that involve squaring operations such as in spectrum analyses.

A summary of the element input is given in "SHELL63 Input Summary". A general description of element input is given in Element Input .

SHELL63 Input Summary

Nodes

I, J, K, L

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ

Real Constants
TK(I), TK(J), TK(K), TK(L), EFS, THETA,
RMI, CTOP, CBOT, (Blank), (Blank), (Blank),
(Blank), (Blank), (Blank), (Blank), (Blank), (Blank),
ADMSUA
See Table 63.1: "SHELL63 Real Constants" for a description of the real constants
Material Properties

EX, EY, EZ, (PRXY, PRYZ, PRXZ or NUXY, NUYZ, NUXZ), ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ), DENS, GXY, DAMP

Surface Loads
Pressures --
face 1 (I-J-K-L) (bottom, in +Z direction), face 2 (I-J-K-L) (top, in -Z direction),
face 3 (J-I), face 4 (K-J), face 5 (L-K), face 6 (I-L)
Body Loads
Temperatures --

T1, T2, T3, T4, T5, T6, T7, T8

Special Features
Stress stiffening
Large deflection
Birth and death
KEYOPT(1)

Element stiffness:

0 --

Bending and membrane stiffness

1 --

Membrane stiffness only

2 --

Bending stiffness only

KEYOPT(2)

Stress stiffening option:

0 --

Use only the main tangent stiffness matrix when NLGEOM is ON. (Stress stiffening effects used in linear buckling or other linear prestressed analyses must be activated separately with PSTRES,ON.)

1 --

Use the consistent tangent stiffness matrix (that is, a matrix composed of the main tangent stiffness matrix plus the consistent stress stiffness matrix) when NLGEOM is ON and when KEYOPT(1) = 0. (SSTIF,ON will be ignored for this element when KEYOPT(2) = 1 is activated.) Note that if SOLCONTROL is ON and NLGEOM is ON, KEYOPT(2) is automatically set to 1; that is, the consistent tangent will be used.

2 --

Use to turn off consistent tangent stiffness matrix (i.e., a matrix composed of the main tangent stiffness matrix plus the consistent stress stiffness matrix) when SOLCONTROL is ON. Sometimes it is necessary to turn off the consistent tangent stiffness matrix if the element is used to simulate rigid bodies by using a very large real constant number . KEYOPT(2) = 2 is the same as KEYOPT(2) = 0, however, KEYOPT(2) = 0 is controlled by SOLCONTROL, ON or OFF, while KEYOPT(2) = 2 is independent of SOLCONTROL.

KEYOPT(3)

Extra displacement shapes:

0 --

Include extra displacement shapes, and use spring-type in-plane rotational stiffness about the element z-axis (the program automatically adds a small stiffness to prevent numerical instability for non-warped elements if KEYOPT(1) = 0).

Note

For models with large rotation about the in-plane direction, KEYOPT(3) = 0 results in some transfer of moment directly to ground.

1 --

Suppress extra displacement shapes, and use spring-type in-plane rotational stiffness about the element z-axis (the program automatically adds a small stiffness to prevent numerical instability for non-warped elements if KEYOPT(1) = 0).

2 --

Include extra displacement shapes, and use the Allman in-plane rotational stiffness about the element z-axis). See the Theory Reference for ANSYS and ANSYS Workbench.

KEYOPT(5)

Extra stress output:

0 --

Basic element printout

2 --

Nodal stress printout

KEYOPT(6)

Pressure loading:

0 --

Reduced pressure loading (must be used if KEYOPT(1) = 1)

2 --

Consistent pressure loading

KEYOPT(7)

Mass matrix:

0 --

Consistent mass matrix

1 --

Reduced mass matrix

KEYOPT(8)

Stress stiffness matrix:

0 --

"Nearly" consistent stress stiffness matrix (default)

1 --

Reduced stress stiffness matrix

KEYOPT(9)

Element coordinate system defined:

0 --

No user subroutine to define element coordinate system

4 --

Element x-axis located by user subroutine USERAN

Note

See the Guide to ANSYS User Programmable Features for user written subroutines

KEYOPT(11)

Specify data storage:

0 --

Store data for TOP and BOTTOM surfaces only

2 --

Store data for TOP, BOTTOM, and MID surfaces

Table 63.1 SHELL63 Real Constants

No. | Name | Description
1 | TK(I) | Shell thickness at node I
2 | TK(J) | Shell thickness at node J
3 | TK(K) | Shell thickness at node K
4 | TK(L) | Shell thickness at node L
5 | EFS | Elastic foundation stiffness
6 | THETA | Element X-axis rotation
7 | RMI | Bending moment of inertia ratio
8 | CTOP | Distance from mid surface to top
9 | CBOT | Distance from mid surface to bottom
10, ..., 18 | (Blank) | - -
19 | ADMSUA | Added mass/unit area

SHELL63 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 63.2: "SHELL63 Element Output Definitions"

Several items are illustrated in Figure 63.2: "SHELL63 Stress Output". Printout includes the moments about the x face (MX), the moments about the y face (MY), and the twisting moment (MXY). The moments are calculated per unit length in the element coordinate system. The element stress directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 63.2 SHELL63 Stress Output

xIJ = Element x-axis if ESYS is not supplied.

x = Element x-axis if ESYS is supplied.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 63.2 SHELL63 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L | Y | Y
MAT | Material number | Y | Y
AREA | AREA | Y | Y
XC, YC, ZC | Location where results are reported | Y | 1
PRES | Pressures P1 at nodes I, J, K, L; P2 at I, J, K, L; P3 at J, I; P4 at K, J; P5 at L, K; P6 at I, L | Y | Y
TEMP | Temperatures T1, T2, T3, T4, T5, T6, T7, T8 | Y | Y
T(X, Y, XY) | In-plane element X, Y, and XY forces | Y | Y
M(X, Y, XY) | Element X, Y, and XY moments | Y | Y
FOUND.PRESS | Foundation pressure (if nonzero) | Y | -
LOC | Top, middle, or bottom | Y | Y
S:X, Y, Z, XY | Combined membrane and bending stresses | Y | Y
S:1, 2, 3 | Principal stress | Y | Y
S:INT | Stress intensity | Y | Y
S:EQV | Equivalent stress | Y | Y
EPEL:X, Y, Z, XY | Average elastic strain | Y | Y
EPEL:EQV | Equivalent elastic strain [2] | - | Y
EPTH:X, Y, Z, XY | Average thermal strain | Y | Y
EPTH:EQV | Equivalent thermal strain [2] | - | Y

  1. Available only at centroid as a *GET item.

  2. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY).

Table 63.3 SHELL63 Miscellaneous Element Output

Description | Names of Items Output | O | R
Nodal Stress Solution | TEMP, S(X, Y, Z, XY), SINT, SEQV | 1 | -

  1. Output at each node, if KEYOPT(5) = 2, repeats each location

Table 63.4: "SHELL63 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 63.4: "SHELL63 Item and Sequence Numbers":

Name

output quantity as defined in the Table 63.2: "SHELL63 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J,K,L

sequence number for data at nodes I,J,K,L

Table 63.4 SHELL63 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J | K | L
TX | SMISC | 1 | - | - | - | -
TY | SMISC | 2 | - | - | - | -
TXY | SMISC | 3 | - | - | - | -
MX | SMISC | 4 | - | - | - | -
MY | SMISC | 5 | - | - | - | -
MXY | SMISC | 6 | - | - | - | -
P1 | SMISC | - | 9 | 10 | 11 | 12
P2 | SMISC | - | 13 | 14 | 15 | 16
P3 | SMISC | - | 18 | 17 | - | -
P4 | SMISC | - | - | 20 | 19 | -
P5 | SMISC | - | - | - | 22 | 21
P6 | SMISC | - | 23 | - | - | 24
Top
S:1 | NMISC | - | 1 | 6 | 11 | 16
S:2 | NMISC | - | 2 | 7 | 12 | 17
S:3 | NMISC | - | 3 | 8 | 13 | 18
S:INT | NMISC | - | 4 | 9 | 14 | 19
S:EQV | NMISC | - | 5 | 10 | 15 | 20
Bot
S:1 | NMISC | - | 21 | 26 | 31 | 36
S:2 | NMISC | - | 22 | 27 | 32 | 37
S:3 | NMISC | - | 23 | 28 | 33 | 38
S:INT | NMISC | - | 24 | 29 | 34 | 39
S:EQV | NMISC | - | 25 | 30 | 35 | 40

SHELL63 Assumptions and Restrictions

  • Zero area elements are not allowed. This occurs most often whenever the elements are not numbered properly.

  • Zero thickness elements or elements tapering down to a zero thickness at any corner are not allowed.

  • The applied transverse thermal gradient is assumed to vary linearly through the thickness and vary bilinearly over the shell surface.

  • An assemblage of flat shell elements can produce a good approximation of a curved shell surface provided that each flat element does not extend over more than a 15° arc. If an elastic foundation stiffness is input, one-fourth of the total is applied at each node. Shear deflection is not included in this thin-shell element.

  • A triangular element may be formed by defining duplicate K and L node numbers as described in Triangle, Prism and Tetrahedral Elements. The extra shapes are automatically deleted for triangular elements so that the membrane stiffness reduces to a constant strain formulation. For large deflection analyses, if KEYOPT(1) = 1 (membrane stiffness only), the element must be triangular.

  • For KEYOPT(1) = 0 or 2, the four nodes defining the element should lie as close as possible to a flat plane (for maximum accuracy), but a moderate amount of warping is permitted. For KEYOPT(1) = 1, the warping limit is very restrictive. In either case, an excessively warped element may produce a warning or error message. In the case of warping errors, triangular elements should be used (see Triangle, Prism and Tetrahedral Elements). Shell element warping tests are described in detail in tables of Applicability of Warping Tests and Warping Factor Limits in the Theory Reference for ANSYS and ANSYS Workbench.

  • If the lumped mass matrix formulation is specified [LUMPM,ON], the effect of the implied offsets on the mass matrix is ignored for warped SHELL63 elements.

SHELL63 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The DAMP material property is not allowed.

  • The only special features allowed are stress stiffening and large deflection.

  • KEYOPT(2) can only be set to 0 (default).

  • KEYOPT(9) can only be set to 0 (default).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID62 		Up / Home Next
SOLID65


SOLID65

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID65

3-D Reinforced Concrete Solid

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

SOLID65 Element Description

SOLID65 is used for the 3-D modeling of solids with or without reinforcing bars (rebar). The solid is capable of cracking in tension and crushing in compression. In concrete applications, for example, the solid capability of the element may be used to model the concrete while the rebar capability is available for modeling reinforcement behavior. Other cases for which the element is also applicable would be reinforced composites (such as fiberglass), and geological materials (such as rock). The element is defined by eight nodes having three degrees of freedom at each node: translations in the nodal x, y, and z directions. Up to three different rebar specifications may be defined.

The concrete element is similar to the SOLID45 (3-D Structural Solid) element with the addition of special cracking and crushing capabilities. The most important aspect of this element is the treatment of nonlinear material properties. The concrete is capable of cracking (in three orthogonal directions), crushing, plastic deformation, and creep. The rebar are capable of tension and compression, but not shear. They are also capable of plastic deformation and creep. See SOLID65 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 65.1 SOLID65 Geometry

SOLID65 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 65.1: "SOLID65 Geometry". The element is defined by eight nodes and the isotropic material properties. The element has one solid material and up to three rebar materials. Use the MAT command to input the concrete material properties. Rebar specifications, which are input as real constants, include the material number (MAT), the volume ratio (VR), and the orientation angles (THETA, PHI). The rebar orientations can be graphically verified with the /ESHAPE command.

The volume ratio is defined as the rebar volume divided by the total element volume. The orientation is defined by two angles (in degrees) from the element coordinate system. The element coordinate system orientation is as described in Coordinate Systems. A rebar material number of zero or equal to the element material number removes that rebar capability.

Additional concrete material data, such as the shear transfer coefficients, tensile stresses, and compressive stresses are input in the data table, for convenience, as described in Table 65.1: "SOLID65 Concrete Material Data". Typical shear transfer coefficients range from 0.0 to 1.0, with 0.0 representing a smooth crack (complete loss of shear transfer) and 1.0 representing a rough crack (no loss of shear transfer). This specification may be made for both the closed and open crack. When the element is cracked or crushed, a small amount of stiffness is added to the element for numerical stability. The stiffness multiplier CSTIF is used across a cracked face or for a crushed element, and defaults to 1.0E-6.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 65.1: "SOLID65 Geometry". Positive pressures act into the element. Temperatures and fluences may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). For any other input pattern, unspecified temperatures default to TUNIF. Similar defaults occurs for fluence except that zero is used instead of TUNIF.

Use the BETAD command to supply the global value of damping. If MP,DAMP is defined for the material number of the element (assigned with the MAT command), it is used for the element instead of the value from the BETAD command. Similarly, use the TREF command to supply the global value of reference temperature. If MP,REFT is defined for the material number of the element, it is used for the element instead of the value from the TREF command. But if MP,REFT is defined for the material number of the rebar, it is used instead of either the global or element value.

KEYOPT(1) is used to include or suppress the extra displacement shapes. KEYOPT(5) and KEYOPT(6) provide various element printout options (see Element Solution).

The stress relaxation associated with KEYOPT(7) = 1 is used only to help accelerate convergence of the calculations when cracking is imminent. (A multiplier for the amount of tensile stress relaxation can be input as constant C9 in the data table; see Table 65.1: "SOLID65 Concrete Material Data") The relaxation does not represent a revised stress-strain relationship for post-cracking behavior. After the solution converges to the cracked state, the modulus normal to the crack face is set to zero. Thus, the stiffness is zero normal to the crack face. See the Theory Reference for ANSYS and ANSYS Workbench for details.

The program warns when each unreinforced element crushes at all integration points. If this warning is unwanted, it can be suppressed with KEYOPT(8) = 1.

If solution convergence is a problem, it is recommended to set KEYOPT(3) = 2 and apply the load in very small load increments.

You can include the effects of pressure load stiffness in a geometric nonlinear analysis using SOLCONTROL,,,INCP. Pressure load stiffness effects are included in linear eigenvalue buckling automatically. If an unsymmetric matrix is needed for pressure load stiffness effects, use NROPT,UNSYM.

A summary of the element input is given in "SOLID65 Input Summary". A general description of element input is given in Element Input.

SOLID65 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

UX, UY, UZ

Real Constants
MAT1, VR1, THETA1, PHI1, MAT2, VR2,
THETA2, PHI2, MAT3, VR3, THETA3, PHI3, CSTIF

(where MATn is material number, VRn is volume ratio, and THETAn and PHIn are orientation angles for up to 3 rebar materials)

Material Properties
EX, ALPX (or CTEX or THSX), PRXY or NUXY, DENS (for concrete)
EX, ALPX (or CTEX or THSX), DENS (for each rebar)
Supply DAMP only once for the element (use MAT command to assign material property set). REFT may be supplied once for the element, or may be assigned on a per rebar basis. See the discussion in "SOLID65 Input Data" for more details.
Surface Loads
Pressures --
face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N),
face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)
Body Loads
Temperatures --

T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P)

Fluences --

FL(I), FL(J), FL(K), FL(L), FL(M), FL(N), FL(O), FL(P)

Special Features
Plasticity (BISO, MISO, BKIN, MKIN, KINH, DP, ANISO)
Creep (CREEP)
Swelling (SWELL)
Elasticity (MELAS)
Other material (USER)
Concrete (CONC)
Cracking
Crushing
Large deflection
Large strain
Stress stiffening
Birth and death
Adaptive descent

Note

Items in parentheses refer to data tables associated with the TB command.

KEYOPT(1)

Extra displacement shapes:

0 --

Include extra displacement shapes

1 --

Suppress extra displacement shapes

KEYOPT(3)

Behavior of totally crushed unreinforced elements:

0 --

Base

1 --

Suppress mass and applied loads, and warning message (see KEYOPT(8))

2 --

Features of 1 and apply consistent Newton-Raphson load vector.

KEYOPT(5)

Concrete linear solution output:

0 --

Print concrete linear solution only at centroid

1 --

Repeat solution at each integration point

2 --

Nodal stress printout

KEYOPT(6)

Concrete nonlinear solution output:

0 --

Print concrete nonlinear solution only at centroid

3 --

Print solution also at each integration point

KEYOPT(7)

Stress relaxation after cracking:

0 --

No tensile stress relaxation after cracking

1 --

Include tensile stress relaxation after cracking to help convergence

KEYOPT(8)

Warning message for totally crushed unreinforced element:

0 --

Print the warning

1 --

Suppress the warning

SOLID65 Concrete Information

The data listed in Table 65.1: "SOLID65 Concrete Material Data" is entered in the data table with the TB commands. Data not input are assumed to be zero, except for defaults described below. The constant table is started by using the TBcommand (with Lab = CONCR). Up to eight constants may be defined with the TBDATA commands following a temperature definition on the TBTEMP command. Up to six temperatures (NTEMP = 6 maximum on the TB command) may be defined with the TBTEMP commands. The constants (C1-C9) entered on the TBDATA commands (6 per command), after each TBTEMP command, are:

Table 65.1 SOLID65 Concrete Material Data

Constant | Meaning
1 | Shear transfer coefficients for an open crack.
2 | Shear transfer coefficients for a closed crack.
3 | Uniaxial tensile cracking stress.
4 | Uniaxial crushing stress (positive).
5 | Biaxial crushing stress (positive).
6 | Ambient hydrostatic stress state for use with constants 7 and 8.
7 | Biaxial crushing stress (positive) under the ambient hydrostatic stress state (constant 6).
8 | Uniaxial crushing stress (positive) under the ambient hydrostatic stress state (constant 6).
9 | Stiffness multiplier for cracked tensile condition, used if KEYOPT(7) = 1 (defaults to 0.6).

Absence of the data table removes the cracking and crushing capability. A value of -1 for constant 3 or 4 also removes the cracking or crushing capability, respectively. If constants 1-4 are input and constants 5-8 are omitted, the latter constants default as discussed in the Theory Reference for ANSYS and ANSYS Workbench. If any one of Constants 5-8 are input, there are no defaults and all 8 constants must be input.

SOLID65 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 65.2: "SOLID65 Element Output Definitions"

Several items are illustrated in Figure 65.2: "SOLID65 Stress Output". The element stress directions are parallel to the element coordinate system. Nonlinear material printout appears only if nonlinear properties are specified. Rebar printout appears only for the rebar defined. If cracking or crushing is possible, printout for the concrete is also at the integration points, since cracking or crushing may occur at any integration point. The PLCRACK command can be used in POST1 to display the status of the integration points. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 65.2 SOLID65 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 65.2 SOLID65 Element Output Definitions

Name | Definition | O | R
EL | Element number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P | Y | Y
MAT | Material number | Y | Y
NREINF | Number of rebar | Y | -
VOLU: | Volume | Y | Y
PRES | Pressures P1 at nodes J, I, L, K; P2 at I, J, N, M; P3 at J, K, O, N; P4 at K, L, P, O; P5 at L, I, M, P; P6 at M, N, O, P | Y | Y
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | Y | Y
FLUEN | Fluences FL(I), FL(J), FL(K), FL(L), FL(M), FL(N), FL(O), FL(P) | Y | Y
XC, YC, ZC | Location where results are reported | Y | 6
S:X, Y, Z, XY, YZ, XZ | Stresses | 1 | 1
S:1, 2, 3 | Principal stresses | 1 | 1
S:INT | Stress intensity | 1 | 1
S:EQV | Equivalent stress | 1 | 1
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | 1 | 1
EPEL:1, 2, 3 | Principal elastic strains | 1 | -
EPEL:EQV | Equivalent elastic strains [7] | 1 | 1
EPTH:X, Y, Z, XY, YZ, XZ | Average thermal strains | 1 | 1
EPTH:EQV | Equivalent thermal strains [7] | 1 | 1
EPPL:X, Y, Z, XY, YZ, XZ | Average plastic strains | 4 | 4
EPPL:EQV | Equivalent plastic strains [7] | 4 | 4
EPCR:X, Y, Z, XY, YZ, XZ | Average creep strains | 4 | 4
EPCR:EQV | Equivalent creep strains [7] | 4 | 4
NL:EPEQ | Average equivalent plastic strain | 4 | 4
NL:SRAT | Ratio of trial stress to stress on yield surface | 4 | 4
NL:SEPL | Average equivalent stress from stress-strain curve | 4 | 4
NL:HPRES | Hydrostatic pressure | - | 4
THETCR, PHICR | THETA and PHI angle orientations of the normal to the crack plane | 1 | 1
STATUS | Element status | 2 | 2
IRF | Rebar number | 3 | -
MAT | Material number | 3 | -
VR | Volume ratio | 3 | -
THETA | Angle of orientation in X-Y plane | 3 | -
PHI | Angle of orientation out of X-Y plane | 3 | -
EPEL | Uniaxial elastic strain | 3 | -
S | Uniaxial stress | 3 | -
EPEL | Average uniaxial elastic strain | 5 | 5
EPPL | Average uniaxial plastic strain | 5 | 5
SEPL | Average equivalent stress from stress-strain curve | 5 | 5
EPCR | Average uniaxial creep strain | 5 | 5

  1. Concrete solution item (output for each integration point (if KEYOPT(5) = 1) and the centroid)

  2. The element status table (Table 65.4: "SOLID65 Element Status Table") uses the following terms:

    • Crushed - solid is crushed.

    • Open - solid is cracked and the crack is open.

    • Closed - solid is cracked but the crack is closed.

    • Neither - solid is neither crushed nor cracked.

  3. Rebar solution item repeats for each rebar

  4. Concrete nonlinear integration point solution (if KEYOPT(6) = 3 and the element has a nonlinear material)

  5. Rebar nonlinear integration point solution (if KEYOPT(6) = 3 and the rebar has a nonlinear material)

  6. Available only at centroid as a *GET item.

  7. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY); for plastic and creep this value is set at 0.5.

Table 65.3 SOLID65 Miscellaneous Element Output

Description | Names of Items Output | O | R
Nodal Stress Solution | TEMP, S(X, Y, Z, XY, YZ, XZ), SINT, SEQV | 1 | -

  1. Output at each node, if KEYOPT(5) = 2

Table 65.4 SOLID65 Element Status Table

Status | Status in Direction 1 | Status in Direction 2 | Status in Direction 3
1 | Crushed | Crushed | Crushed
2 | Open | Neither | Neither
3 | Closed | Neither | Neither
4 | Open | Open | Neither
5 | Open | Open | Open
6 | Closed | Open | Open
7 | Closed | Open | Neither
8 | Open | Closed | Open
9 | Closed | Closed | Open
10 | Open | Closed | Neither
11 | Open | Open | Closed
12 | Closed | Open | Closed
13 | Closed | Closed | Neither
14 | Open | Closed | Closed
15 | Closed | Closed | Closed
16 | Neither | Neither | Neither

Table 65.5: "SOLID65 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 65.5: "SOLID65 Item and Sequence Numbers":

Name

output quantity as defined in the Table 65.2: "SOLID65 Element Output Definitions"

Item

predetermined Item label for ETABLE command

I,J,...,P

sequence number for data at nodes I,J,...,P

IP

sequence number for Integration Point solution items

Table 65.5 SOLID65 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | Rebar 1 | Rebar 2 | Rebar 3
EPEL | SMISC | 1 | 3 | 5
SIG | SMISC | 2 | 4 | 6
EPPL | NMISC | 41 | 45 | 49
EPCR | NMISC | 42 | 46 | 50
SEPL | NMISC | 43 | 47 | 51
SRAT | NMISC | 44 | 48 | 52
Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | J | K | L | M | N | O | P
P1 | SMISC | 8 | 7 | 10 | 9 | - | - | - | -
P2 | SMISC | 11 | 12 | - | - | 14 | 13 | - | -
P3 | SMISC | - | 15 | 16 | - | - | 18 | 17 | -
P4 | SMISC | - | - | 19 | 20 | - | - | 22 | 21
P5 | SMISC | 24 | - | - | 23 | 25 | - | - | 26
P6 | SMISC | - | - | - | - | 27 | 28 | 29 | 30
S:1 | NMISC | 1 | 6 | 11 | 16 | 21 | 26 | 31 | 36
S:2 | NMISC | 2 | 7 | 12 | 17 | 22 | 27 | 32 | 37
S:3 | NMISC | 3 | 8 | 13 | 18 | 23 | 28 | 33 | 38
S:INT | NMISC | 4 | 9 | 14 | 19 | 24 | 29 | 34 | 39
S:EQV | NMISC | 5 | 10 | 15 | 20 | 25 | 30 | 35 | 40
FLUEN | NMISC | 109 | 110 | 111 | 112 | 113 | 114 | 115 | 116
 | Output Quantity Name | ETABLE and ESOL Command Input
 |  | Item | Integration Point
 |  |  | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8
 | STATUS | NMISC | 53 | 60 | 67 | 74 | 81 | 88 | 95 | 102
Dir 1 | THETCR | NMISC | 54 | 61 | 68 | 75 | 82 | 89 | 96 | 103
 | PHICR | NMISC | 55 | 62 | 69 | 76 | 83 | 90 | 97 | 104
Dir 2 | THETCR | NMISC | 56 | 63 | 70 | 77 | 84 | 91 | 98 | 105
 | PHICR | NMISC | 57 | 64 | 71 | 78 | 85 | 92 | 99 | 106
Dir 3 | THETCR | NMISC | 58 | 65 | 72 | 79 | 86 | 93 | 100 | 107
 | PHICR | NMISC | 59 | 66 | 73 | 80 | 87 | 94 | 101 | 108

SOLID65 Assumptions and Restrictions

  • Zero volume elements are not allowed.

  • Elements may be numbered either as shown in Figure 65.1: "SOLID65 Geometry" or may have the planes IJKL and MNOP interchanged. Also, the element may not be twisted such that the element has two separate volumes. This occurs most frequently when the elements are not numbered properly.

  • All elements must have eight nodes.

  • A prism-shaped element may be formed by defining duplicate K and L and duplicate O and P node numbers (see Triangle, Prism and Tetrahedral Elements). A tetrahedron shape is also available. The extra shapes are automatically deleted for tetrahedron elements.

  • Whenever the rebar capability of the element is used, the rebar are assumed to be "smeared" throughout the element. The sum of the volume ratios for all rebar must not be greater than 1.0.

  • The element is nonlinear and requires an iterative solution.

  • When both cracking and crushing are used together, care must be taken to apply the load slowly to prevent possible fictitious crushing of the concrete before proper load transfer can occur through a closed crack. This usually happens when excessive cracking strains are coupled to the orthogonal uncracked directions through Poisson's effect. Also, at those integration points where crushing has occurred, the output plastic and creep strains are from the previous converged substep. Furthermore, when cracking has occurred, the elastic strain output includes the cracking strain. The lost shear resistance of cracked and/or crushed elements cannot be transferred to the rebar, which have no shear stiffness.

  • The following two options are not recommended if cracking or crushing nonlinearities are present:

    • Stress-stiffening effects.

    • Large strain and large deflection. Results may not converge or may be incorrect, especially if significantly large rotation is involved.

SOLID65 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SHELL63 		Up / Home Next
PLANE67


PLANE67

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

PLANE67

2-D Coupled Thermal-Electric Solid

MP ME <> PR PRN <> <> <> EM <> <> PP <>

Product Restrictions

PLANE67 Element Description

PLANE67 has thermal and electrical conduction capability. Joule heat generated by the current flow is also included in the heat balance. The element has four nodes with two degrees of freedom, temperature and voltage, at each node.

The element is applicable to a 2-D (plane or axisymmetric), steady-state or transient thermal analysis, although no transient electrical capacitance or inductance effects are included in the element. The element requires an iterative solution to include the Joule heating effect in the thermal solution. See PLANE67 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. If no electrical effects are present, the 2-D thermal solid (PLANE55) may be used.

If the model containing the thermal-electrical element is also to be analyzed structurally, the element should be replaced by an equivalent structural element (such as PLANE42). You also can use the thermal-electric shell element, SHELL157, in conjunction with PLANE67.

Figure 67.1 PLANE67 Geometry

PLANE67 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 67.1: "PLANE67 Geometry". The element is defined by four nodes and the orthotropic material properties. Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. The specific heat and density may be assigned any values for steady-state solutions. The electrical material property, RSV_, is the resistivity of the material. The resistivity, like any other material property, may be input as a function of temperature. Properties not input default as described in Linear Material Properties.

The word VOLT should be input for the Lab variable on the D command and the voltage input for the value. The word AMPS should be input for the Lab variable on the F command and the current into the node input for the value.

Element loads are described in Node and Element Loads. Convection or heat flux (but not both) and radiation may be input as surface loads at the element faces as shown by the circled numbers on Figure 67.1: "PLANE67 Geometry".

Heat generation rates may be input as element body loads at the nodes. If the node I heat generation rate HG(I) is input, and all others are unspecified, they default to HG(I). This rate is in addition to the Joule heat generated by the current flow.

A summary of the element input is given in "PLANE67 Input Summary". A general description of element input is given in Element Input. For axisymmetric applications see Axisymmetric Elements.

PLANE67 Input Summary

Nodes

I, J, K, L

Degrees of Freedom

TEMP, VOLT

Real Constants

None

Material Properties

KXX, KYY, DENS, C, ENTH, RSVX, RSVY

Surface Loads
Convection or Heat Flux (but not both) and Radiation (using Lab = RDSF) --

face 1 (J-I), face 2 (K-J), face 3 (L-K), face 4 (I-L)

Body Loads
Heat Generations --

HG(I), HG(J), HG(K), HG(L)

Special Features
Requires an iterative solution for electrical-thermal coupling
Birth and death
KEYOPT(3)

Element behavior:

0 --

Plane

1 --

Axisymmetric

KEYOPT(4)

Evaluation of film coefficient:

0 --

Evaluate film coefficient (if any) at average film temperature, (TS + TB)/2

1 --

Evaluate at element surface temperature, TS

2 --

Evaluate at fluid bulk temperature, TB

3 --

Evaluate at differential temperature, |TS - TB|

PLANE67 Output Data

The solution output associated with the element is in two forms:

  • Nodal temperatures and voltages included in the overall nodal solution

  • Additional element output as shown in Table 67.1: "PLANE67 Element Output Definitions"

Heat flow out of the element is considered to be positive. The element output directions are parallel to the element coordinate system. The heat flow and the current flow into the nodes may be printed with the OUTPR command. The Joule heat generated this substep is used in the temperature distribution calculated for the next substep. The volume printout, like other quantities, is on a full 360° basis for axisymmetric elements. Solution Output gives a general description of solution output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 67.1 PLANE67 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC | Location where results are reported | Y | 2
HGEN | Heat generations HG(I), HG(J), HG(K), HG(L) | Y | Y
TG:X, Y, SUM | Thermal gradient components and vector sum at centroid | Y | Y
TF:X, Y, SUM | Thermal flux (heat flow rate/cross-sectional area) components and vector sum at centroid | Y | Y
EF:X, Y, SUM | Component electric fields and vector sum | Y | Y
JS:X, Y | Component current densities | Y | Y
JSSUM | Component current vector sum | Y | -
JHEAT: | Joule heat generation per unit volume | Y | Y
FACE | Face label | 1 | 1
AREA | Face area | 1 | 1
NODES | Face nodes | 1 | 1
HFILM | Film coefficient at each node of face | 1 | -
TBULK | Bulk temperature at each node of face | 1 | -
TAVG | Average face temperature | 1 | 1
HEAT RATE | Heat flow rate across face by convection | 1 | 1
HEAT RATE/AREA | Heat flow rate per unit area across face by convection | 1 | -
HFAVG | Average film coefficient of the face | - | 1
TBAVG | Average face bulk temperature | - | 1
HFLXAVG | Heat flow rate per unit area across face caused by input heat flux | - | 1
HFLUX | Heat flux at each node of face | 1 | -

  1. If a surface load is input

  2. Available only at centroid as a *GET item.

Table 67.2: "PLANE67 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 67.2: "PLANE67 Item and Sequence Numbers":

Name

output quantity as defined in the Table 67.1: "PLANE67 Element Output Definitions"

Item

predetermined Item label for ETABLE command

FCn

sequence number for solution items for element Face n

Table 67.2 PLANE67 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | FC1 | FC2 | FC3 | FC4
AREA | NMISC | 1 | 7 | 13 | 19
HFAVG | NMISC | 2 | 8 | 14 | 20
TAVG | NMISC | 3 | 9 | 15 | 21
TBAVG | NMISC | 4 | 10 | 16 | 22
HEAT RATE | NMISC | 5 | 11 | 17 | 23
HFLXAVG | NMISC | 6 | 12 | 18 | 24

PLANE67 Assumptions and Restrictions

  • The element must not have a negative or zero area.

  • The element must lie in an X-Y plane as shown in Figure 67.1: "PLANE67 Geometry" and the Y-axis must be the axis of symmetry for axisymmetric analyses.

  • An axisymmetric structure should be modeled in the +X quadrants.

  • A triangular element may be formed by defining duplicate K and L node numbers as described in Triangle, Prism and Tetrahedral Elements.

  • The specific heat and enthalpy are evaluated at each integration point to allow for abrupt changes (such as for melting) within a coarse grid.

  • If this thermal-electric element is to be replaced by a PLANE42 structural element with surface stresses requested, the thermal-electric element should be oriented so that face IJ and/or face KL is a free surface. A free surface of the element (that is, not adjacent to another element and not subjected to a boundary constraint) is assumed to be adiabatic.

  • Current flow and heat flow must be in the same plane. If a current is specified at the same node that a voltage is specified, the current is ignored.

  • The electrical and the thermal solutions are coupled through an iterative procedure.

  • No conversion is included between electrical heat units and mechanical heat units.

  • The resistivity may be divided by a conversion factor, such as 3.415 Btu/Hr per Watt, to get Joule heat in mechanical units. Current (input and output) should also be converted for consistent units.

  • There is no conversion required when consistent units are used.

  • This element may not be compatible with other elements with the VOLT degree of freedom. To be compatible, the elements must have the same reaction force (see Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide).

PLANE67 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The birth and death special feature is not allowed.

ANSYS Emag.

  • This element has only electric field capability, and does not have thermal capability.

  • The element may only be used in a steady-state electric analysis.

  • The only active degree of freedom is VOLT.

  • The only allowable material properties are RSVX and RSVY.

  • No surface loads or body loads are applicable.

  • The birth and death special feature is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID65 		Up / Home Next
LINK68


LINK68

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

LINK68

Coupled Thermal-Electric Line

MP ME <> PR PRN <> <> <> EM <> <> PP <>

Product Restrictions

LINK68 Element Description

LINK68 is a uniaxial element in 3-D space with the ability to conduct heat and electrical current between its nodes. Joule heat generated by the current flow is also included in the heat balance. The element has two degrees of freedom, temperature and voltage, at each node. The thermal-electrical line element may be used in a steady-state or transient thermal analysis, although no transient electrical capacitance or inductance effects are included in the element.

The element is linear but requires an iterative solution to include the Joule heating effect in the thermal solution. If no electrical effects are present, the conducting bar element (LINK33) may be used. If the model containing the thermal-electrical element is also to be analyzed structurally, the element should be replaced by an equivalent structural element. See LINK68 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 68.1 LINK68 Geometry

LINK68 Input Data

The geometry, node locations, and the coordinate system for this thermal-electrical line element are shown in Figure 68.1: "LINK68 Geometry". The element is defined by two nodes, the cross-sectional area, and the material properties. In an axisymmetric analysis the area should be input on a full 360° basis. The thermal conductivity and electrical resistivity are in the element longitudinal direction. The specific heat and density may be assigned any values for steady-state solutions.

The electrical material property, RSVX, is the resistivity of the material. The resistance of the element is calculated from RSVX*length/AREA. The resistivity, like any other material property, may be input as a function of temperature. Properties not input default as described in Linear Material Properties.

The word VOLT should be input for the Lab variable on the D command and the voltage input for the value. The word AMPS should be input for the Lab variable on the F command and the current into the node input for the value.

Element loads are described in Node and Element Loads. Element body loads may be input as heat generation rates at the nodes. The node J heat generation rate HG(J) defaults to the node I heat generation rate HG(I). This rate is in addition to the Joule heat generated by the current flow.

The current being calculated via this element can be directly coupled into a 3-D magnetostatic analysis [BIOT].

A summary of the element input is given in "LINK68 Input Summary". A general description of element input is given in Element Input.

LINK68 Input Summary

Nodes

I, J

Degrees of Freedom

TEMP, VOLT

Real Constants

AREA - Cross-sectional area

Material Properties

KXX, DENS, C, ENTH, RSVX

Surface Loads

None

Body Loads
Heat Generations --

HG(I), HG(J)

Special Features
Requires an iterative solution for electrical-thermal coupling
Birth and death
KEYOPTS

None

LINK68 Output Data

The solution output associated with the element is in two forms:

  • Nodal temperatures and voltages included in the overall nodal solution

  • Additional element output as shown in Table 68.1: "LINK68 Element Output Definitions"

The heat flow and the current flow into the nodes may be printed with the OUTPR command. The Joule heat generated this substep is used to determine the temperature distribution calculated for the next substep. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 68.1 LINK68 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 1
HGEN | Heat generations HG(I), HG(J) | Y | -
TG | Thermal gradient at centroid | Y | Y
TF | Thermal flux at centroid (heat flow/cross-sectional area) | Y | Y
EF | Electric field (voltage gradient) | Y | Y
JS | Current density (voltage flux) | Y | Y
CUR | Current | Y | Y
JHEAT: | Joule heat generation per unit volume | Y | Y

  1. Available only at centroid as a *GET item.

Table 68.2: "LINK68 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 68.2: "LINK68 Item and Sequence Numbers":

Name

output quantity as defined in the Table 68.1: "LINK68 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 68.2 LINK68 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
TG | NMISC | 1
TF | NMISC | 2
EF | NMISC | 3
JS | NMISC | 4
CUR | NMISC | 5

LINK68 Assumptions and Restrictions

  • Heat and current are assumed to flow only in the element longitudinal direction.

  • The element must not have a zero length, that is, nodes I and J may not be coincident.

  • A free end of the element (that is, not adjacent to another element and not subjected to a boundary constraint) is assumed to adiabatic.

  • No conversion is included between electrical heat units and mechanical heat units.

  • The resistivity may be divided by a conversion factor, such as 3.415 Btu/Hr per Watt, to get Joule heat in mechanical units. Current (input and output) should also be converted for consistent units.

  • If a current is specified at the same node that a voltage is specified, the current is ignored.

  • The electrical and the thermal solutions are coupled through an iterative procedure.

  • There is no conversion required when consistent units are used.

  • This element may not be compatible with other elements with the VOLT degree of freedom. To be compatible, the elements must have the same reaction force (see Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide).

LINK68 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The birth and death special feature is not allowed.

ANSYS Emag 3-D.

  • This element has only electric field capability, and does not have thermal capability.

  • The element may only be used in a steady-state electric analysis.

  • The only active degree of freedom is VOLT.

  • The only allowable material property is RSVX.

  • No body loads are applicable.

  • The birth and death special feature is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLANE67 		Up / Home Next
SOLID69


SOLID69

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID69

3-D Coupled Thermal-Electric Solid

MP ME <> PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

SOLID69 Element Description

SOLID69 has a 3-D thermal and electrical conduction capability. Joule heat generated by the current flow is also included in the heat balance. The element has eight nodes with two degrees of freedom, temperature and voltage, at each node. The thermal-electric solid element is applicable to a 3-D, steady-state or transient thermal analysis, although no transient electrical capacitance or inductance effects are included in the element. The element requires an iterative solution to include the Joule heating effect in the thermal solution. See SOLID69 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. If no electrical effects are present, the 3-D thermal solid (SOLID70) may be used.

If the model containing the thermal-electrical solid element is also to be analyzed structurally, the element should be replaced by an equivalent structural element (such as SOLID45). Another element related to SOLID69 is SHELL157.

Figure 69.1 SOLID69 Geometry

SOLID69 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 69.1: "SOLID69 Geometry". The element is defined by eight nodes and the orthotropic material properties. Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. The specific heat and density may be assigned any values for steady-state solution. The electrical material property is the resistivity (RSVX, RSVY, RSVZ) of the material. The resistivity, like any other material property, may be input as a function of temperature. Properties not input default as described in Linear Material Properties.

The word VOLT should be input for the Lab variable on the D command and the voltage input for the value. The word AMPS should be input for the Lab variable on the F command and the current into the node input for the value.

Element loads are described in Node and Element Loads. Convection or heat flux (but not both) and radiation may be input as surface loads at the element faces as shown by the circled numbers on Figure 69.1: "SOLID69 Geometry".

Heat generation rates may be input as element body loads at the nodes. If the node I heat generation rate HG(I) is input, and all others are unspecified, they default to HG(I). This rate is in addition to the Joule heat generated by the current flow.

A summary of the element input is given in "SOLID69 Input Summary". A general description of element input is given in Element Input.

SOLID69 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

TEMP, VOLT

Real Constants

None

Material Properties

KXX, KYY, KZZ, DENS, C, ENTH, RSVX, RSVY, RSVZ

Surface Loads
Convection or Heat Flux (but not both) and Radiation (using Lab = RDSF) --
face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N),
face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)
Body Loads
Heat Generations --

HG(I), HG(J), HG(K), HG(L), HG(M), HG(N), HG(O), HG(P)

Special Features
Requires an iterative solution for electrical-thermal coupling
Birth and death
KEYOPT(2)

Evaluation of film coefficient:

0 --

Evaluate film coefficient (if any) at average film temperature, (TS + TB)/2

1 --

Evaluate at element surface temperature, TS

2 --

Evaluate at fluid bulk temperature, TB

3 --

Evaluate at differential temperature, |TS - TB|

SOLID69 Output Data

The solution output associated with the element is in two forms:

  • Nodal temperatures and voltages included in the overall nodal solution

  • Additional element output as shown in Table 69.1: "SOLID69 Element Output Definitions"

Heat flow out of the element is considered to be positive. The element output directions are parallel to the element coordinate system. The heat flow and the current flow into the nodes may be printed with the OUTPR command. The Joule heat generated this substep is used in the temperature distribution calculated for the next substep. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 69.1 SOLID69 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 2
HGEN | Heat generations HG(I), HG(J), HG(K), HG(L), HG(M), HG(N), HG(O), HG(P) | Y | -
TG:X, Y, Z, SUM | Thermal gradient components and vector sum at centroid | Y | Y
TF:X, Y, Z, SUM | Thermal flux (heat flow rate/cross-sectional area) components and vector sum at centroid | Y | Y
EF:X, Y, Z, SUM | Component electric fields and vector sum | Y | Y
JS:X, Y, Z | Component current densities | Y | Y
JSSUM | Component current vector sum | Y | -
JHEAT: | Joule heat generation per unit volume | Y | Y
FACE | Face label | 1 | -
AREA | Face area | 1 | 1
NODES | Face nodes | 1 | -
HFILM | Film coefficient at each node of face | 1 | -
TBULK | Bulk temperature at each node of face | 1 | -
TAVG | Average face temperature | 1 | 1
HEAT RATE | Heat flow rate across face by convection | 1 | 1
HEAT RATE/AREA | Heat flow rate per unit area across face by convection | 1 | -
HFAVG | Average film coefficient of the face | - | 1
TBAVG | Average face bulk temperature | - | 1
HFLXAVG | Heat flow rate per unit area across face caused by input heat flux | - | 1
HFLUX | Heat flux at each node of face | 1 | -

  1. If a surface load is input

  2. Available only at centroid as a *GET item.

Table 69.2: "SOLID69 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 69.2: "SOLID69 Item and Sequence Numbers":

Name

output quantity as defined in the Table 69.1: "SOLID69 Element Output Definitions"

Item

predetermined Item label for ETABLE command

FCn

sequence number for solution items for element Face n

Table 69.2 SOLID69 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | FC1 | FC2 | FC3 | FC4 | FC5 | FC6
AREA | NMISC | 1 | 7 | 13 | 19 | 25 | 31
HFAVG | NMISC | 2 | 8 | 14 | 20 | 26 | 32
TAVG | NMISC | 3 | 9 | 15 | 21 | 27 | 33
TBAVG | NMISC | 4 | 10 | 16 | 22 | 28 | 34
HEAT RATE | NMISC | 5 | 11 | 17 | 23 | 29 | 35
HFLXAVG | NMISC | 6 | 12 | 18 | 24 | 30 | 36

SOLID69 Assumptions and Restrictions

  • The element must not have a zero volume. This occurs most frequently when the element is not numbered properly.

  • Elements may be numbered either as shown in Figure 69.1: "SOLID69 Geometry", or may have the upper and lower planes interchanged (for example, plane IJKL may be interchanged with plane MNOP).

  • A prism or tetrahedron-shaped element may be formed by defining duplicate node numbers as described in Triangle, Prism and Tetrahedral Elements.

  • The specific heat and enthalpy are evaluated at each integration point to allow for abrupt changes (such as melting) within a coarse grid of elements.

  • If the thermal-electric element is to be replaced by a SOLID45 structural element with surface stresses requested, the thermal element should be oriented so that face I-J-N-M and/or face K-L-P-O is a free surface.

  • A free surface of the element (that is, not adjacent to another element and not subjected to a boundary constraint) is assumed to be adiabatic.

  • If a current is specified at the same node that a voltage is specified, the current is ignored.

  • No conversion is included between electrical heat units and mechanical heat units.

  • The resistivity may be divided by a conversion factor, such as 3.415 Btu/Hr per watt, to get Joule heat in mechanical units. Current (input and output) should also be converted for consistent units.

  • The electrical and the thermal solutions are coupled through an iterative procedure. There is no conversion required when consistent units are used.

  • This element may not be compatible with other elements with the VOLT degree of freedom. To be compatible, the elements must have the same reaction force (see Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide).

SOLID69 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The birth and death special feature is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LINK68 		Up / Home Next
SOLID70


SOLID70

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID70

3-D Thermal Solid

MP ME <> PR PRN DS <> <> <> <> <> PP VT

Product Restrictions

SOLID70 Element Description

SOLID70 has a 3-D thermal conduction capability. The element has eight nodes with a single degree of freedom, temperature, at each node. The element is applicable to a 3-D, steady-state or transient thermal analysis. The element also can compensate for mass transport heat flow from a constant velocity field. If the model containing the conducting solid element is also to be analyzed structurally, the element should be replaced by an equivalent structural element (such as SOLID45). See SOLID90 for a similar thermal element, with mid-edge node capability.

An option exists that allows the element to model nonlinear steady-state fluid flow through a porous medium. With this option, the thermal parameters are interpreted as analogous fluid flow parameters. For example, the temperature degree of freedom becomes equivalent to a pressure degree of freedom. See SOLID70 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 70.1 SOLID70 Geometry

SOLID70 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 70.1: "SOLID70 Geometry". The element is defined by eight nodes and the orthotropic material properties. A prism-shaped element, a tetrahedral-shaped element, and a pyramid-shaped element may also be formed as shown in Figure 70.1: "SOLID70 Geometry". Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. Specific heat and density are ignored for steady-state solutions. Properties not input default as described in Linear Material Properties.

Element loads are described in Node and Element Loads. Convection or heat flux (but not both) and radiation may be input as surface loads at the element faces as shown by the circled numbers on Figure 70.1: "SOLID70 Geometry".

Heat generation rates may be input as element body loads at the nodes. If the node I heat generation rate HG(I) is input, and all others are unspecified, they default to HG(I).

The nonlinear porous flow option is selected with KEYOPT(7) = 1. For this option, temperature is interpreted as pressure and the absolute permeability of the medium are input as material properties KXX, KYY, and KZZ. Properties DENS and VISC are used for the mass density and viscosity of the fluid. Properties C and MU are used in calculating the coefficients of permeability as described in the Theory Reference for ANSYS and ANSYS Workbench. Temperature boundary conditions input with the D command are interpreted as pressure boundary conditions, and heat flow boundary conditions input with the F command are interpreted as mass flow rate (mass/time).

A mass transport option is available with KEYOPT(8). With this option the velocities VX, VY, and VZ must be input as real constants (in the element coordinate system). Also, temperatures should be specified along the entire inlet boundary to assure a stable solution. With mass transport, you should use specific heat (C) and density (DENS) material properties instead of enthalpy (ENTH).

A summary of the element input is given in "SOLID70 Input Summary". A general description of element input is given in Element Input.

SOLID70 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

TEMP

Real Constants
Mass transport effects (KEYOPT(8) = 1):
VX - X direction of mass transport velocity
VY - Y direction of mass transport velocity
VZ - Z direction of mass transport velocity
Material Properties

KXX, KYY, KZZ, DENS, C, ENTH, VISC, MU (VISC and MU used only if KEYOPT(7) = 1. Do not use ENTH with KEYOPT(8) = 1).

Surface Loads
Convection or Heat Flux (but not both) and Radiation (using Lab = RDSF) --
face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N),
face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)
Body Loads
Heat Generations --

HG(I), HG(J), HG(K), HG(L), HG(M), HG(N), HG(O), HG(P)

Special Features

Birth and death

KEYOPT(2)

Evaluation of film coefficient:

0 --

Evaluate film coefficient (if any) at average film temperature, (TS + TB)/2

1 --

Evaluate at element surface temperature, TS

2 --

Evaluate at fluid bulk temperature, TB

3 --

Evaluate at differential temperature |TS-TB|

KEYOPT(4)

Element coordinate system defined:

0 --

Element coordinate system is parallel to the global coordinate system

1 --

Element coordinate system is based on the element I-J side

KEYOPT(7)

Nonlinear fluid flow option:

0 --

Standard heat transfer element

1 --

Nonlinear steady-state fluid flow analogy element

Note

Temperature degree of freedom interpreted as pressure.

KEYOPT(8)

Mass transport effects:

0 --

No mass transport effects

1 --

Mass transport with VX, VY, VZ

SOLID70 Output Data

The solution output associated with the element is in two forms:

  • Nodal temperatures included in the overall nodal solution

  • Additional element output as shown in Table 70.1: "SOLID70 Element Output Definitions"

Convection heat flux is positive out of the element; applied heat flux is positive into the element. If KEYOPT(7) = 1, the standard thermal output should be interpreted as the analogous fluid flow output. The element output directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 70.1 SOLID70 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 3
HGEN | Heat generations HG(I), HG(J), HG(K), HG(L), HG(M), HG(N), HG(O), HG(P) | Y | -
TG:X, Y, Z, SUM | Thermal gradient components and vector sum at centroid | Y | Y
TF:X, Y, Z, SUM | Thermal flux (heat flow rate/cross-sectional area) components and vector sum at centroid | Y | Y
FACE | Face label | 1 | -
AREA | Face area | 1 | 1
NODES | Face nodes | 1 | -
HFILM | Film coefficient at each node of face | 1 | -
TBULK | Bulk temperature at each node of face | 1 | -
TAVG | Average face temperature | 1 | 1
HEAT RATE | Heat flow rate across face by convection | 1 | 1
HEAT RATE/AREA | Heat flow rate per unit area across face by convection | 1 | -
HFAVG | Average film coefficient of the face | - | 1
TBAVG | Average face bulk temperature | - | 1
HFLXAVG | Heat flow rate per unit area across face caused by input heat flux | - | 1
HFLUX | Heat flux at each node of face | 1 | -
PRESSURE GRAD | Total pressure gradient and its X, Y, and Z components | 2 | -
MASS FLUX | Mass flow rate per unit cross-sectional area | 2 | -
FLUID VELOCITY | Total fluid velocity and its X, Y, and Z components | 2 | -

  1. Output if a surface load is input

  2. Output if KEYOPT(7) = 1

  3. Available only at centroid as a *GET item.

Table 70.2: "SOLID70 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 70.2: "SOLID70 Item and Sequence Numbers":

Name

output quantity as defined in the Table 70.1: "SOLID70 Element Output Definitions"

Item

predetermined Item label for ETABLE command

FCn

sequence number for solution items for element Face n

Table 70.2 SOLID70 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | FC1 | FC2 | FC3 | FC4 | FC5 | FC6
AREA | NMISC | 1 | 7 | 13 | 19 | 25 | 31
HFAVG | NMISC | 2 | 8 | 14 | 20 | 26 | 32
TAVG | NMISC | 3 | 9 | 15 | 21 | 27 | 33
TBAVG | NMISC | 4 | 10 | 16 | 22 | 28 | 34
HEAT RATE | NMISC | 5 | 11 | 17 | 23 | 29 | 35
HFLXAVG | NMISC | 6 | 12 | 18 | 24 | 30 | 36

SOLID70 Assumptions and Restrictions

  • The element must not have a zero volume. This occurs most frequently when the element is not numbered properly.

  • Elements may be numbered either as shown in Figure 70.1: "SOLID70 Geometry" or may have the planes IJKL and MNOP interchanged.

  • A prism or tetrahedron shaped element may be formed by defining duplicate node numbers as described in Triangle, Prism and Tetrahedral Elements.

  • The specific heat and enthalpy are evaluated at each integration point to allow for abrupt changes (such as for melting) within a coarse grid.

  • If the thermal element is to be replaced by a SOLID45 structural element with surface stresses requested, the thermal element should be oriented such that face I-J-N-M and/or face K-L-P-O is a free surface.

  • A free surface of the element (that is, not adjacent to another element and not subjected to a boundary constraint) is assumed to be adiabatic.

  • Thermal transients having a fine integration time step and a severe thermal gradient at the surface will also require a fine mesh at the surface.

  • If KEYOPT(8) > 0, unsymmetric matrices are produced.

  • When mass flow is activated (KEYOPT(8)=1), the element Peclet number should be less than 1:

    Pe = ρ*v*L*Cp/(2*k) <1.0

    Where L is an element length scale based on the element geometry. See SOLID70 in the Theory Reference for ANSYS and ANSYS Workbench for more details.

SOLID70 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • This element does not have the mass transport or fluid flow options. KEYOPT(7) and KEYOPT(8) can only be set to 0 (default).

  • The VX, VY, and VZ real constants are not applicable.

  • The VISC and MU material properties are not applicable.

  • The element does not have the birth and death feature.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID69 		Up / Home Next
MASS71


MASS71

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

MASS71

Thermal Mass

MP ME <> PR PRN DS <> <> <> <> <> PP <>

Product Restrictions

MASS71 Element Description

MASS71 is a point element having one degree of freedom, temperature, at the node. The element may be used in a transient thermal analysis to represent a body having thermal capacitance capability but negligible internal thermal resistance, that is, no significant temperature gradients within the body. The element also has a temperature-dependent heat generation rate capability. The lumped thermal mass element is applicable to a 1-D, 2-D, or 3-D steady-state or transient thermal analysis. See MASS71 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

In a steady-state solution the element acts only as a temperature-dependent heat source or sink. Other elements having special thermal applications are the COMBIN14 and COMBIN40 elements. These elements, which are normally used in structural models, may be used for thermally analogous situations.

If the model containing the thermal mass element is also to be analyzed structurally, the thermal element should be replaced by an equivalent structural element (such as MASS21)

Figure 71.1 MASS71 Geometry

MASS71 Input Data

The lumped thermal mass element is defined by one node (as shown in Figure 71.1: "MASS71 Geometry") and a thermal capacitance (Heat/Degree). When used with axisymmetric elements, the thermal capacitance should be input on a full 360° basis. The thermal capacitance (CON1) may be input as a real constant or calculated (KEYOPT(3)) from the real constant volume (CON1) and either the DENS and C or ENTH material properties. KEYOPT(3) determines whether CON1 is interpreted as volume or thermal capacitance.

The heat generation is applied directly as a nodal load and is not first multiplied by the volume. Thus, if KEYOPT(3) = 0 (that is, when using the specific heat matrix), the heat generation rate must be adjusted to account for the volume. For an axisymmetric analysis the heat generation rate should be input on a full 360° basis. A temperature-dependent heat generation rate of the following polynomial form may be input:

where T is the absolute temperature from the previous substep. The constants, A1 through A6, should be entered as real constants. If any of the constants A2 through A6 are nonzero, KEYOPT(4) must be set to 1. Also, if temperatures are not absolute, the offset conversion [TOFFST] must be specified.

Alternately, the heat generation expression may be defined as a temperature-dependent material property (QRATE) with the MP commands. QRATE can be input as numerical values or as tabular inputs evaluated as a function of temperature, time, and location.

A summary of the element input is given in "MASS71 Input Summary". A general description of element input is given in Element Input. See Axisymmetric Elements for more details.

MASS71 Input Summary

Nodes

I

Degrees of Freedom

TEMP

Real Constants
CON1, A1, A2, A3, A4, A5
A6
See Table 71.1: "MASS71 Real Constants" for a description of the real constants
Material Properties

QRATE, DENS, C, ENTH if KEYOPT(3) = 0, or QRATE if KEYOPT(3) = 1

Surface Loads

None

Body Loads

None (heat generation rates may be defined as a function of temperature by using real constants A1, A2, ... or by the QRATE material property definition.)

Special Features
Nonlinear if heat generation is defined as a function of temperature
Birth and death
KEYOPT(3)

Interpretation of real constant CON1:

0 --

Interpret CON1 as volume (with either DENS and C or ENTH supplied as material properties)

1 --

Interpret CON1 as thermal capacitance (DENS*C*volume)

KEYOPT(4)

Temperature dependent heat generation:

0 --

No temperature-dependent heat generation (required if all real constants A2-A6 are zero)

1 --

Include temperature-dependent heat generation (required if any real constants A2-A6 are nonzero)

Table 71.1 MASS71 Real Constants

No. | Name | Description
1 | CON1 | Volume or thermal capacitance (see KEYOPT(3))
2 | A1 | Constant for temperature function
3 | A2 | Constant for temperature function
4 | A3 | Constant for temperature function
5 | A4 | Constant for temperature function
6 | A5 | Constant for temperature function
7 | A6 | Constant for temperature function

MASS71 Output Data

The solution output associated with the element is in two forms:

  • Nodal temperatures included in the overall nodal solution

  • Additional element output as shown in Table 71.2: "MASS71 Element Output Definitions"

The heat generation rate is in units of Heat/Time and is positive into the node. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 71.2 MASS71 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODE | Node I | Y | Y
XC, YC, ZC | Location where results are reported | Y | 1
TEMP | Element (node) temperature | Y | Y
HEAT RATE | Heat generation rate into node | Y | Y

  1. Available only at centroid as a *GET item.

Table 71.3: "MASS71 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 71.3: "MASS71 Item and Sequence Numbers":

Name

output quantity as defined in the Table 71.2: "MASS71 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 71.3 MASS71 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
HEAT RATE | SMISC | 1
TEMP | SMISC | 2

MASS71 Assumptions and Restrictions

  • When using the element with a temperature-dependent heat generation rate in a steady-state solution, an iterative solution is required.

  • The heat generation is calculated at the uniform temperature for the first substep.

MASS71 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The birth and death special feature is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID70 		Up / Home Next
PLANE75


PLANE75

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

PLANE75

Axisymmetric-Harmonic 4-Node Thermal Solid

MP ME <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

PLANE75 Element Description

PLANE75 is used as an axisymmetric ring element with a 3-D thermal conduction capability. The element has four nodes with a single degree of freedom, temperature, at each node. The element is a generalization of the axisymmetric version of PLANE55 in that it allows nonaxisymmetric loading. Various loading cases are described in Shear Deflection.

The element is applicable to a 2-D, axisymmetric, steady-state or transient thermal analysis. See PLANE75 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. If the model containing the element is also to be analyzed structurally, the element should be replaced by the equivalent structural element (such as PLANE25). A similar thermal element, with midside node capability is PLANE78.

Figure 75.1 PLANE75 Geometry

PLANE75 Input Data

The geometry, node locations, and the coordinate system for this axisymmetric thermal solid element are shown in Figure 75.1: "PLANE75 Geometry". The data input is essentially the same as for PLANE55 and is described in "PLANE55 Input Data". The element input data also includes the number of harmonic waves (MODE) and the symmetry condition (ISYM) on the MODE command. If MODE = 0 and ISYM = 1, the element behaves similar to the axisymmetric case of PLANE55. The MODE and ISYM parameters describe the type of temperature distribution and are discussed in Shear Deflection.

Element loads are described in Node and Element Loads. Harmonically varying convections or heat fluxes (but not both) may be input as surface loads on the element faces as shown by the circled numbers on Figure 75.1: "PLANE75 Geometry". Harmonically varying heat generation rates may be input as element body loads at the nodes. If the node I heat generation rate HG(I) is input and all others are unspecified, they default to HG(I).

A summary of the element input is given in "PLANE75 Input Summary". A general description of element input is given in Element Input.

PLANE75 Input Summary

Nodes

I, J, K, L

Degrees of Freedom

TEMP

Real Constants

None

Material Properties

KXX, KYY, KZZ, DENS, C, ENTH

Surface Loads
Convections --

face 1 (J-I), face 2 (K-J), face 3 (L-K), face 4 (I-L)

Heat Fluxes --

face 1 (J-I), face 2 (K-J), face 3 (L-K), face 4 (I-L)

Body Loads
Heat Generations --

HG(I), HG(J), HG(K), HG(L)

Mode Number

Input mode number on MODE command

Loading Condition

Input for ISYM in MODE command

1 --

Symmetric loading

-1 --

Antisymmetric loading

Special Features

Birth and death

KEYOPTS

None

PLANE75 Output Data

The solution output associated with the element is in two forms:

  • Nodal temperatures included in the overall nodal solution

  • Additional element output as shown in Table 75.1: "PLANE75 Element Output Definitions"

Convection heat flux is positive out of the element; applied heat flux is positive into the element. The element output directions are parallel to the element coordinate system. The face area and the heat flow rate are on a full 360° basis. For more information about harmonic elements, see Axisymmetric Elements with Nonaxisymmetric Loads. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 75.1 PLANE75 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC | Location where results are reported | Y | 3
HGEN | Heat generations HG(I), HG(J), HG(K), HG(L) | Y | -
MODE | Number of waves in loading | Y | -
TG:X, Y, SUM, Z | Thermal gradient components and vector sum (X and Y) at centroid | 1 | 1
TF:X, Y, SUM, Z | Thermal flux (heat flow rate/cross-sectional area) components and vector sum (X and Y) at centroid | 1 | 1
FACE | Face label | 2 | -
NODES | Face nodes | 2 | -
AREA | Face area | 2 | 2
TAVG, TBULK | Average of the two end nodal temperatures evaluated at peak value, fluid bulk temperature evaluated at peak value | 2 | 2
HEAT RATE | Heat flow rate across face by convection | 2 | 2
HEAT RATE/AREA | Heat flow rate per unit area across face by convection | 2 | -
HFAVG | Average film coefficient of the face | - | 2
TBAVG | Average face bulk temperature | - | 2
HFLXAVG | Heat flow rate per unit area across face caused by input heat flux | - | 2
HFLUX | Heat flux at each node of face | 2 | -

  1. Gradient and flux peak at THETA = 0 and THETA = 90 ÷ MODE degrees

  2. Output if a surface load is input

  3. Available only at centroid as a *GET item.

Table 75.2: "PLANE75 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 75.2: "PLANE75 Item and Sequence Numbers":

Name

output quantity as defined in the Table 75.1: "PLANE75 Element Output Definitions"

Item

predetermined Item label for ETABLE command

FCn

sequence number for solution items for element Face n

Table 75.2 PLANE75 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | FC1 | FC2 | FC3 | FC4
AREA | NMISC | 1 | 7 | 13 | 19
HFAVG | NMISC | 2 | 8 | 14 | 20
TAVG | NMISC | 3 | 9 | 15 | 21
TBAVG | NMISC | 4 | 10 | 16 | 22
HEAT RATE | NMISC | 5 | 11 | 17 | 23
HFLXAVG | NMISC | 6 | 12 | 18 | 24

PLANE75 Assumptions and Restrictions

  • The element must not have a negative or a zero area.

  • The element must lie in the global X-Y plane as shown in Figure 75.1: "PLANE75 Geometry" and the Y-axis must be the axis of symmetry for axisymmetric analyses.

  • An axisymmetric structure should be modeled in the +X quadrants.

  • A triangular element may be formed by defining duplicate K and L node numbers as described in Triangle, Prism and Tetrahedral Elements.

  • If the thermal element is to be replaced by the analogous structural element (PLANE25) with surface stresses requested, the thermal element should be oriented so that face I-J (and also face K-L, if applicable) is a free surface.

  • A free surface of the element (that is, not adjacent to another element and not subjected to a boundary constraint) is assumed to be adiabatic.

  • Thermal transients having a fine integration time step and a severe thermal gradient at the surface will also require a fine mesh at the surface.

  • Temperature dependent material properties (including the film coefficient) are assumed to be axisymmetric even if the temperature varies harmonically.

  • If MODE = 0, properties are evaluated at the temperatures calculated in the previous substep (or at TUNIF if for the first substep).

  • If MODE > 0, properties are evaluated at temperatures calculated from the previous MODE = 0 substep; if no MODE = 0 substep exists, then evaluation is done at 0.0 degrees.

PLANE75 Product Restrictions

There are no product restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MASS71 		Up / Home Next
PLANE77


PLANE77

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

PLANE77

2-D 8-Node Thermal Solid

MP ME <> PR PRN DS <> <> <> <> <> PP <>

Product Restrictions

PLANE77 Element Description

PLANE77 is a higher order version of the 2-D, 4-node thermal element (PLANE55). The element has one degree of freedom, temperature, at each node. The 8-node elements have compatible temperature shapes and are well suited to model curved boundaries.

The 8-node thermal element is applicable to a 2-D, steady-state or transient thermal analysis. See PLANE77 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. If the model containing this element is also to be analyzed structurally, the element should be replaced by an equivalent structural element (such as PLANE82). A similar axisymmetric thermal element which accepts nonaxisymmetric loading is PLANE78.

Figure 77.1 PLANE77 Geometry

PLANE77 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 77.1: "PLANE77 Geometry". The element is defined by eight nodes and orthotropic material properties. A triangular-shaped element may be formed by defining the same node number for nodes K, L and O.

Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. Specific heat and density are ignored for steady-state solutions. Properties not input default as described in Linear Material Properties.

Element loads are described in Node and Element Loads. Convection or heat flux (but not both) and radiation may be input as surface loads at the element faces as shown by the circled numbers on Figure 77.1: "PLANE77 Geometry". Heat generation rates may be input as element body loads at the nodes. If the node I heat generation rate HG(I) is input, and all others are unspecified, they default to HG(I). If all corner node heat generation rates are specified, each midside node heat generation rate defaults to the average heat generation rate of its adjacent corner nodes.

A summary of the element input is given in "PLANE77 Input Summary". A general description of element input is given in Element Input. For axisymmetric applications see Axisymmetric Elements.

PLANE77 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

TEMP

Real Constants

None

Material Properties

KXX, KYY, DENS, C, ENTH

Surface Loads
Convection or Heat Flux (but not both) and Radiation (using Lab = RDSF) --

face 1 (J-I), face 2 (K-J), face 3 (L-K), face 4 (I-L)

Body Loads
Heat Generations --

HG(I), HG(J), HG(K), HG(L), HG(M), HG(N), HG(O), HG(P)

Special Features

Birth and death

KEYOPT(1)

Specific heat matrix:

0 --

Consistent specific heat matrix

1 --

Diagonalized specific heat matrix

KEYOPT(3)

Element behavior:

0 --

Plane

1 --

Axisymmetric

PLANE77 Output Data

The solution output associated with the element is in two forms:

  • Nodal temperatures included in the overall nodal solution

  • Additional element output as shown in Table 77.1: "PLANE77 Element Output Definitions"

The element output directions are parallel to the element coordinate system. For an axisymmetric analysis the face area and the heat flow rate are on a full 360° basis. Convection heat flux is positive out of the element; applied heat flux is positive into the element. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 77.1 PLANE77 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC | Location where results are reported | Y | 2
HGEN | Heat generations HG(I), HG(J), HG(K), HG(L), HG(M), HG(N), HG(O), HG(P) | Y | -
TG:X, Y, SUM | Thermal gradient components and vector sum at centroid | Y | Y
TF:X, Y, SUM | Thermal flux (heat flow rate/cross-sectional area) components and vector sum at centroid | Y | Y
FACE | Face label | 1 | -
NODES | Face nodes | 1 | -
AREA | Face area | 1 | 1
HFILM | Film coefficient | 1 | -
TAVG | Average face temperature | 1 | 1
TBULK | Fluid bulk temperature | 1 | -
HEAT RATE | Heat flow rate across face by convection | 1 | 1
HEAT RATE/AREA | Heat flow rate per unit area across face by convection | 1 | -
HFAVG | Average film coefficient of the face | - | 1
TBAVG | Average face bulk temperature | - | 1
HFLXAVG | Heat flow rate per unit area across face caused by input heat flux | - | 1
HFLUX | Heat flux at each node of face | 1 | -

  1. Output only if a surface load is input

  2. Available only at centroid as a *GET item.

Table 77.2: "PLANE77 Item and Component Labels" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 77.2: "PLANE77 Item and Component Labels":

Name

output quantity as defined in the Table 77.1: "PLANE77 Element Output Definitions"

Item

predetermined Item label for ETABLE command

FCn

sequence number for solution items for element Face n

Table 77.2 PLANE77 Item and Component Labels

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | FC1 | FC2 | FC3 | FC4
AREA | NMISC | 1 | 7 | 13 | 19
HFAVG | NMISC | 2 | 8 | 14 | 20
TAVG | NMISC | 3 | 9 | 15 | 21
TBAVG | NMISC | 4 | 10 | 16 | 22
HEAT RATE | NMISC | 5 | 11 | 17 | 23
HFLXAVG | NMISC | 6 | 12 | 18 | 24

PLANE77 Assumptions and Restrictions

  • The area of the element must be positive.

  • The 2-D element must lie in an X-Y plane as shown in Figure 77.1: "PLANE77 Geometry" and the Y-axis must be the axis of symmetry for axisymmetric analyses.

  • An axisymmetric structure should be modeled in the +X quadrants.

  • A face with a removed midside node implies that the temperature varies linearly, rather than parabolically, along that face. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes.

  • The specific heat and enthalpy are evaluated at each integration point to allow for abrupt changes (such as melting) within a coarse grid.

  • If the thermal element is to be replaced by a PLANE82 structural element with surface stresses requested, the thermal element may be oriented such that face IJ and/or face KL is a free surface. A free surface of the element (that is, not adjacent to another element and not subjected to a boundary constraint) is assumed to be adiabatic.

  • Thermal transients having a fine integration time step and a severe thermal gradient at the surface will require a fine mesh at the surface.

PLANE77 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The birth and death special feature is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLANE75 		Up / Home Next
PLANE78


PLANE78

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

PLANE78

Axisymmetric-Harmonic 8-Node Thermal Solid

MP ME <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

PLANE78 Element Description

PLANE78 is used as an axisymmetric ring element with a 3-D thermal conduction capability. The element has one degree of freedom, temperature, at each node. PLANE78 is a generalization of PLANE77 in that it allows a nonaxisymmetric loading. Various loading cases are described in Axisymmetric Elements with Nonaxisymmetric Loads.

The 8-node elements have compatible temperature shapes and are well suited to model curved boundaries.

The element is applicable to a 2-D, axisymmetric, steady-state or transient thermal analysis. See PLANE78 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. If the model containing the element is also to be analyzed structurally, the element should be replaced by the equivalent structural element (such as PLANE83).

Figure 78.1 PLANE78 Geometry

PLANE78 Input Data

The geometry, node locations, and the coordinate system for this axisymmetric thermal solid element are shown in Figure 78.1: "PLANE78 Geometry". The data input is essentially the same as for PLANE77 and is described in "PLANE77 Input Data". The element input data also includes the number of harmonic waves (MODE on the MODE command) and the symmetry condition (ISYM on the MODE command). If MODE = 0 and ISYM = 1, the element behaves similar to the axisymmetric case of PLANE77. If MODE equals 1, the temperature is assumed to be 0° along an entire diameter. The MODE and ISYM parameters describe the type of temperature distribution and are discussed in detail in Axisymmetric Elements with Nonaxisymmetric Loads.

Element loads are described in Node and Element Loads. Harmonically varying convections or heat fluxes (but not both) may be input as surface loads on the element faces as shown by the circled numbers on Figure 78.1: "PLANE78 Geometry". Harmonically varying heat generation rates may be input as element body loads at the nodes. If the node I heat generation rate HG(I) is input and all others are unspecified, they default to HG(I). If all corner node heat generation rates are specified, each midside node heat generation rate defaults to the average heat generation rate of its adjacent corner nodes.

A summary of the element input is given in "PLANE78 Input Summary". A general description of element input is given in Element Input.

PLANE78 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

TEMP

Real Constants

None

Material Properties

KXX, KYY, KZZ, DENS, C, ENTH

Surface Loads
Convections --

face 1 (J-I), face 2 (K-J), face 3 (L-K), face 4 (I-L)

Heat Fluxes --

face 1 (J-I), face 2 (K-J), face 3 (L-K), face 4 (I-L)

Body Loads
Heat Generations --

HG(I), HG(J), HG(K), HG(L), HG(M), HG(N), HG(O), HG(P)

Mode Number --

Input mode number on MODE command

Special Features

Birth and death

Loading Conditions

Input for ISYM on MODE command

1 --

Symmetric loading

-1 --

Antisymmetric loading

KEYOPT(1)

Specific heat matrix:

0 --

Consistent specific heat matrix

1 --

Diagonalized specific heat matrix

PLANE78 Output Data

The solution output associated with the element is in two forms:

  • Nodal temperatures included in the overall nodal solution

  • Additional element output as shown in Table 78.1: "PLANE78 Element Output Definitions"

Convection heat flux is positive out of the element; applied heat flux is positive into the element. The element output directions are parallel to the element coordinate system. The face area and the heat flow rate are on a full 360° basis. For more information about harmonic elements, see Axisymmetric Elements with Nonaxisymmetric Loads. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 78.1 PLANE78 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P | Y | Y
MAT | Material number | Y | Y
MODE | Number of waves in loading | Y | Y
VOLU: | Volume | Y | Y
XC, YC | Location where results are reported | Y | 3
HGEN | Heat generations HG(I), HG(J), HG(K), HG(L), HG(M), HG(N), HG(O), HG(P) | Y | -
TG:X, Y, SUM, Z | Thermal gradient components and vector sum (X and Y) at centroid | 1 | 1
TF:X, Y, SUM, Z | Thermal flux (heat flow rate/cross-sectional area) components and vector sum (X and Y) at centroid | 1 | 1
FACE | Face label | 2 | 2
NODES | Face nodes | 2 | 2
AREA | Face area | 2 | 2
HFILM | Film coefficient | 2 | 2
TAVG, TBULK | Average of the two end nodal temperatures evaluated at peak value, fluid bulk temperature at peak value | 2 | 2
HEAT RATE | Heat flow rate across face by convection | 2 | 2
HEAT RATE/AREA | Heat flow rate per unit area across face by convection | 2 | 2
HFAVG | Average film coefficient of the face | - | 2
TBAVG | Average face bulk temperature | - | 2
HFLXAVG | Heat flow rate per unit area across face caused by input heat flux | - | 2
HFLUX | Heat flux at each node of face | 2 | 2

  1. Gradient and flux peak at THETA = 0 and THETA = 90 ÷ Mode degrees

  2. Output only if a surface load is input

  3. Available only at centroid as a *GET item.

Table 78.2: "PLANE78 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 78.2: "PLANE78 Item and Sequence Numbers":

Name

output quantity as defined in the Table 78.1: "PLANE78 Element Output Definitions"

Item

predetermined Item label for ETABLE command

FCn

sequence number for solution items for element Face n

Table 78.2 PLANE78 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | FC1 | FC2 | FC3 | FC4
AREA | NMISC | 1 | 7 | 13 | 19
HFAVG | NMISC | 2 | 8 | 14 | 20
TAVG | NMISC | 3 | 9 | 15 | 21
TBAVG | NMISC | 4 | 10 | 16 | 22
HEAT RATE | NMISC | 5 | 11 | 17 | 23
HFLXAVG | NMISC | 6 | 12 | 18 | 24

PLANE78 Assumptions and Restrictions

  • The element must not have a negative or a zero area.

  • The element must lie in the global X-Y plane as shown in Figure 78.1: "PLANE78 Geometry" and the Y-axis must be the axis of symmetry for axisymmetric analyses.

  • An axisymmetric structure should be modeled in the +X quadrants.

  • A face with a removed midside node implies that the temperature varies linearly, rather than parabolically, along that face. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes.

  • If the thermal element is to be replaced by the analogous structural element (PLANE83) with surface stresses requested, the thermal element should be oriented so that face IJ (and also face KL, if applicable) is a free surface. A free surface of the element (that is, not adjacent to another element and not subjected to a boundary constraint) is assumed to be adiabatic.

  • Thermal transients having a fine integration time step and a severe thermal gradient at the surface will also require a fine mesh at the surface.

  • Temperature dependent material properties (including the film coefficient) are assumed to be axisymmetric even if the temperature varies harmonically.

  • If MODE = 0, properties are evaluated at the temperatures calculated in the previous substep (or at TUNIF if for the first substep).

  • If MODE > 0, properties are evaluated at temperatures calculated from the previous MODE = 0 substep; if no MODE = 0 substep exists, then evaluation is done at 0.0 degrees.

PLANE78 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLANE77 		Up / Home Next
FLUID79


FLUID79

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

FLUID79

2-D Contained Fluid

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

FLUID79 Element Description

FLUID79 is a modification of the 2-D structural solid element (PLANE42). The fluid element is used to model fluids contained within vessels having no net flow rate. Another fluid element (FLUID116) is available to model fluids flowing in pipes and channels. The fluid element is particularly well suited for calculating hydrostatic pressures and fluid/solid interactions. Acceleration effects, such as in sloshing problems, as well as temperature effects, may be included.

The fluid element is defined by four nodes having two degrees of freedom at each node: translation in the nodal x and y directions. The element may be used in a structural analysis as a plane element or as an axisymmetric ring element. See FLUID79 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. See FLUID80 for a 3-D version of this element.

Note

The reduced method is the only acceptable method for modal analyses using the ANSYS fluid elements.

Figure 79.1 FLUID79 Geometry

FLUID79 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 79.1: "FLUID79 Geometry". The element input data includes four nodes and the isotropic material properties. EX, which is interpreted as the "fluid elastic modulus", should be the bulk modulus of the fluid (approximately 300,000 psi for water). The viscosity property (VISC) is used to compute a damping matrix for dynamic analyses (typical viscosity value for water is 1.639 x 10-7 lb-sec/in2). The use of KEYOPT(2) for gravity springs is discussed in "FLUID80 Input Data". Vertical acceleration (ACELY on the ACEL command) is needed for the gravity springs.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 79.1: "FLUID79 Geometry". Positive pressures act into the element. Temperatures may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). For any other input pattern, unspecified temperatures default to TUNIF.

A summary of the element input is given in "FLUID79 Input Summary". A general description of element input is given in Element Input. For axisymmetric applications see Axisymmetric Elements.

FLUID79 Input Summary

Nodes

I, J, K, L

Degrees of Freedom

UX, UY

Real Constants

None

Material Properties

EX, ALPX (or CTEX or THSX), DENS, VISC, DAMP

Surface Loads
Pressures --

face 1 (J-I), face 2 (K-J), face 3 (L-K), face 4 (I-L)

Body Loads
Temperatures --

T(I), T(J), T(K), T(L)

Special Features

None

KEYOPT(2)

Location of gravity springs:

0 --

Place gravity springs on all sides of all elements

1 --

Place gravity springs only on face of elements located on Y = 0.0 plane (elements must not have positive Y coordinates)

KEYOPT(3)

Element behavior:

0 --

Plane

1 --

Axisymmetric

FLUID79 Output Data

The solution output associated with the element is in two forms:

  • Degree of freedom results included in the overall nodal solution

  • Additional element output as shown in Table 79.1: "FLUID79 Element Output Definitions"

The pressure and temperature are evaluated at the element centroid. Nodal forces and reaction forces are on a full 360° basis for axisymmetric models. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 79.1 FLUID79 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC | Location where results are reported | Y | 1
PRES | Pressures P1 at nodes J, I; P2 at K, J; P3 at L, K; P4 at I, L | Y | Y
TEMP | Temperatures T(I), T(J), T(K), T(L) | Y | Y
TAVG | Average temperature | Y | -
PAVG | Average pressure | Y | Y

  1. Available only at centroid as a *GET item.

Table 79.2: "FLUID79 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 79.2: "FLUID79 Item and Sequence Numbers":

Name

output quantity as defined in the Table 79.1: "FLUID79 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J,...,L

sequence number for data at nodes I,J,...,L

Table 79.2 FLUID79 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J | K | L
PRES | SMISC | 1 | - | - | - | -
P1 | SMISC | - | 3 | 2 | - | -
P2 | SMISC | - | - | 5 | 4 | -
P3 | SMISC | - | - | - | 7 | 6
P4 | SMISC | - | 8 | - | - | 9

FLUID79 Assumptions and Restrictions

  • The area of the element must be positive.

  • The fluid element must lie in an X-Y plane as shown in Figure 79.1: "FLUID79 Geometry" and the Y-axis must be the axis of symmetry for axisymmetric analyses.

  • An axisymmetric structure should be modeled in the +X quadrants.

  • Radial motion should be constrained at the centerline.

  • Usually the Y-axis is oriented in the vertical direction with the top surface at Y = 0.0.

  • The element temperature is taken to be the average of the nodal temperatures.

  • Elements should be rectangular whenever possible, as results are known to be of lower quality for some cases using nonrectangular shapes.

  • Axisymmetric elements should always be rectangular.

  • The nonlinear transient dynamic analysis should be used instead of the linear transient dynamic analysis for this element.

  • A very small stiffness (EX x 1.0E-9) is associated with the shear and rotational strains to ensure static stability. See FLUID80 for more assumptions and restrictions.

  • Only the lumped mass matrix is available.

FLUID79 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLANE78 		Up / Home Next
FLUID80


FLUID80

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

FLUID80

3-D Contained Fluid

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

FLUID80 Element Description

FLUID80 is a modification of the 3-D structural solid element (SOLID45). The fluid element is used to model fluids contained within vessels having no net flow rate. Another fluid element (FLUID116) is available to model fluids flowing in pipes and channels. The fluid element is particularly well suited for calculating hydrostatic pressures and fluid/solid interactions. Acceleration effects, such as in sloshing problems, as well as temperature effects, may be included.

The fluid element is defined by eight nodes having three degrees of freedom at each node: translation in the nodal x, y, and z directions. See FLUID80 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. See FLUID79 for a 2-D version of this element.

Note

The reduced method is the only acceptable method for modal analyses using the ANSYS fluid elements.

Figure 80.1 FLUID80 Geometry

FLUID80 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 80.1: "FLUID80 Geometry". The element input data includes eight nodes and the isotropic material properties. EX, which is interpreted as the "fluid elastic modulus", should be the bulk modulus of the fluid (approximately 300,000 psi for water). The viscosity property (VISC) is used to compute a damping matrix for dynamic analyses. A typical viscosity value for water is 1.639 x 10-7 lb-sec/in2.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 80.1: "FLUID80 Geometry". Positive pressures act into the element. Temperatures may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). For any other input pattern, unspecified temperatures default to TUNIF.

The element also includes special surface effects, which may be thought of as gravity springs used to hold the surface in place. This is performed by adding springs to each node, with the spring constants being positive on the top of the element, and negative on the bottom. Gravity effects [ACEL] must be included if a free surface exists. For an interior node, the positive and negative effects cancel out, and at the bottom, where the fluid must be contained to keep the fluid from leaking out, the negative spring has no effect (as long as all degrees of freedom on the bottom are fixed). If the bottom consists of a flexible container, or if the degrees of freedom tangential to a curved surface are released, these negative springs may cause erroneous results and "negative pivot" messages. In this case, use of KEYOPT(2) = 1 is recommended.

These surface springs, while necessary to keep the free surface in place, artificially reduce the hydrostatic motion of the free surface. The error for a tank with vertical walls, expressed as a ratio of the computed answer over the correct answer is 1.0/(1.0 + (bottom pressure/bulk modulus)), which is normally very close to 1.0. Hydrodynamic results are not affected by this overstiffness.

A summary of the element input is given in "FLUID80 Input Summary". A general description of element input is given in Element Input.

FLUID80 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

UX, UY, UZ

Real Constants

None

Material Properties

EX, ALPX (or CTEX or THSX), DENS, VISC, DAMP

Surface Loads
Pressures --
face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N),
face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)
Body Loads
Temperatures --

T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P)

Special Features

None

KEYOPT(2)

Location of gravity springs:

0 --

Place gravity springs on all sides of all elements

1 --

Place gravity springs only on face of elements located on Z = 0.0 plane (elements must not have positive Z coordinates)

FLUID80 Output Data

The solution output associated with the element is in two forms:

  • Degree of freedom results included in the overall nodal solution

  • Additional element output as shown in Table 80.1: "FLUID80 Element Output Definitions"

The pressure and temperature are evaluated at the element centroid. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 80.1 FLUID80 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 1
PRES | Pressures P1 at nodes J, I, L, K; P2 at I, J, N, M; P3 at J, K, O, N; P4 at K, L, P, O; P5 at L, I, M, P; P6 at M, N, O, P | Y | Y
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | Y | Y
TAVG | Average temperature | Y | -
PAVG | Average pressure | Y | Y

  1. Available only at centroid as a *GET item.

Table 80.2: "FLUID80 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 80.2: "FLUID80 Item and Sequence Numbers":

Name

output quantity as defined in the Table 80.1: "FLUID80 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J,...,P

sequence number for data at nodes I,J,...,P

Table 80.2 FLUID80 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J | K | L | M | N | O | P
PRES | SMISC | 1 | - | - | - | - | - | - | - | -
P1 | SMISC | - | 3 | 2 | 5 | 4 | - | - | - | -
P2 | SMISC | - | 6 | 7 | - | - | 9 | 8 | - | -
P3 | SMISC | - | - | 10 | 11 | - | - | 13 | 12 | -
P4 | SMISC | - | - | - | 14 | 15 | - | - | 17 | 16
P5 | SMISC | - | 19 | - | - | 18 | 20 | - | - | 21
P6 | SMISC | - | - | - | - | - | 22 | 23 | 24 | 25

FLUID80 Assumptions and Restrictions

  • Zero volume elements are not allowed.

  • Elements may be numbered either as shown in Figure 80.1: "FLUID80 Geometry" or may have the planes IJKL and MNOP interchanged.

  • The element may not be twisted such that the element has two separate volumes. This occurs most frequently when the elements are not numbered properly.

  • Structures are usually modeled with the Z-axis oriented in the vertical direction and the top surface at Z = 0.0.

  • The element temperature is taken to be the average of the nodal temperatures.

  • Elements should be rectangular (brick shaped) whenever possible, as results are known to be of lower quality for some cases using nonrectangular shapes.

  • The nonlinear transient dynamic analysis should be used instead of the linear transient dynamic analysis for this element.

  • For the case of a modal analysis with irregular meshes, one can expect one or more low frequency eigenvectors, representing internal fluid motions, without significantly affecting the vertical motion of the free surface.

  • The amount of flow permitted is limited to that which will not cause gross distortions in the element.

  • The large deflection option should not be used with this element.

  • In a reduced analysis, master degrees of freedom should be selected at all nodes on the free fluid surface in the direction normal to the free surface. Other master degrees of freedom, if any, should only be selected normal to one or more flat planes within the fluid, with all nodes on these planes being included. Other selections may produce large internal rotations.

  • When used for a static application, the free surface must be input flat. Gravity must be input if there is a free surface. The element gives valid nodal forces representing hydrostatic pressure and also valid vertical displacements at the free surface. Other nodal displacements, which may be large, represent energy-free internal motions of the fluid.

  • Fluid element at a boundary should not be attached directly to structural elements but should have separate, coincident nodes that are coupled only in the direction normal to the interface.

  • Arbitrarily small numbers are included to give the element some shear and rotational stability.

  • Only the lumped mass matrix is available.

FLUID80 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLUID79 		Up / Home Next
FLUID81


FLUID81

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

FLUID81

Axisymmetric-Harmonic Contained Fluid

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

FLUID81 Element Description

FLUID81 is a modification of the axisymmetric structural solid element (PLANE25). The element is used to model fluids contained within vessels having no net flow rate. It is defined by four nodes having three degrees of freedom at each node: translations in the nodal x, y, and z directions. The element is used in a structural analysis as an axisymmetric ring element.

The element is a generalization of the axisymmetric version of FLUID79, the 2-D fluid element, in that the loading need not be axisymmetric. Various loading cases are described in Axisymmetric Elements with Nonaxisymmetric Loads. The fluid element is particularly well suited for calculating hydrostatic pressures and fluid/solid interactions. Acceleration effects, such as in sloshing problems, as well as temperature effects, may be included. See FLUID81 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. Another fluid element (FLUID116) is available to model fluids flowing in pipes and channels.

Note

The reduced method is the only acceptable method for modal analyses using the ANSYS fluid elements.

Figure 81.1 FLUID81 Geometry

FLUID81 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 81.1: "FLUID81 Geometry". The element input data includes four nodes, the number of harmonic waves (MODE on the MODE command), the symmetry condition (ISYM on the MODE command), and the isotropic material properties. If MODE = 0 and ISYM = 1, the element behaves similar to the axisymmetric case of FLUID79. The MODE and ISYM parameters are discussed in detail in Axisymmetric Elements with Nonaxisymmetric Loads. EX, which is interpreted as the "fluid elastic modulus," should be the bulk modulus of the fluid (approximately 300,000 psi for water). The viscosity property (VISC) is used to compute a damping matrix for dynamic analyses. A typical viscosity value for water is 1.639 x 10-7 lb-sec/in2. Density (DENS) must be input as a positive number.

The use of KEYOPT(2) for gravity springs is discussed in "FLUID80 Input Data". Vertical acceleration (ACELY on the ACEL command) is needed for the gravity springs regardless of the value of MODE, even for a modal analysis. Harmonically varying nodal forces, if any, should be input on a full 360° basis.

Element loads are described in Node and Element Loads. Harmonically varying pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 81.1: "FLUID81 Geometry". Positive pressures act into the element.

Harmonically varying temperatures may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). For any other input pattern, unspecified temperatures default to TUNIF.

A summary of the element input is given in "FLUID81 Input Summary". A general description of element input is given in Element Input.

FLUID81 Input Summary

Nodes

I, J, K, L

Degrees of Freedom

UX, UY, UZ

Real Constants

None

Material Properties

EX, ALPX (or CTEX or THSX), DENS, VISC, DAMP

Surface Loads
Pressures --

face 1 (J-I), face 2 (K-J), face 3 (L-K), face 4 (I-L)

Body Loads
Temperatures --

T(I), T(J), T(K), T(L)

Mode Number

Input mode number on MODE command

Loading Condition

Input for ISYM on MODE command

1 --

Symmetric loading

-1 --

Antisymmetric loading

Special Features

None

KEYOPT(2)

Location of gravity springs:

0 --

Place gravity springs on all sides of all elements

1 --

Place gravity springs only on face of elements located on Y = 0.0 plane (element must not have positive Y coordinates)

FLUID81 Output Data

The solution output associated with the element is in two forms:

  • Degree of freedom results included in the overall nodal solution

  • Additional element output as shown in Table 81.1: "FLUID81 Element Output Definitions"

The pressure and temperature are evaluated at the element centroid. Nodal forces and reaction forces are on a full 360° basis.

In the displacement printout, the UZ component is out-of-phase with the UX and UY components. For example, in the MODE = 1, ISYM = 1 loading case, UX and UY are the peak values at θ = 0° and UZ is the peak value at θ = 90°. Printout for combined loading cases may be obtained from the POST1 routine. We recommend that you always use the angle field on the SET command when postprocessing the results. For more information about harmonic elements, see Axisymmetric Elements with Nonaxisymmetric Loads.

A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The following notation is used in Table 81.1: "FLUID81 Element Output Definitions":

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 81.1 FLUID81 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L | Y | Y
MAT | Material number | Y | Y
ISYM | Loading Key | 1 | 1
MODE | Number of waves in loading | Y | Y
VOLU: | Volume | Y | Y
XC, YC | Location where results are reported | Y | 2
PRES | Pressures P1 at nodes J,I; P2 at K,J; P3 at L,K; P4 at I,L | Y | Y
TEMP | Temperatures T(I), T(J), T(K), T(L) | Y | Y
TAVG | Average temperature | Y | -
PAVG | Average pressure | Y | Y

  1. If ISYM is:

    1 - Symmetric loading

    -1 - Antisymmetric loading

  2. Available only at centroid as a *GET item.

Table 81.2: "FLUID81 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 81.2: "FLUID81 Item and Sequence Numbers":

Name

output quantity as defined in the Table 81.1: "FLUID81 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J,...,L

sequence number for data at nodes I,J,...,L

Table 81.2 FLUID81 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J | K | L
PRES | SMISC | 1 | - | - | - | -
P1 | SMISC | - | 3 | 2 | - | -
P2 | SMISC | - | - | 5 | 4 | -
P3 | SMISC | - | - | - | 7 | 6
P4 | SMISC | - | 8 | - | - | 9

FLUID81 Assumptions and Restrictions

  • The area of the element must be positive.

  • The fluid element must lie in an X-Y plane as shown in Figure 81.1: "FLUID81 Geometry" and the Y-axis must be the axis of symmetry for axisymmetric analyses.

  • An axisymmetric structure should be modeled in the +X quadrants.

  • The Y-axis should be oriented in the vertical direction and the top surface is usually at Y = 0.0.

  • The element temperature is taken to be the average of the nodal temperatures.

  • Temperature dependent material properties, if any, are evaluated at the reference temperature [TREF].

  • Elements should be rectangular since results are known to be of lower quality for nonrectangular shapes.

  • The nonlinear transient dynamic analysis should be used instead of the linear transient dynamic analysis for this element.

  • A lumped mass matrix may be obtained for this element with the LUMPM command.

  • See FLUID80 for more assumptions and restrictions.

FLUID81 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLUID80 		Up / Home Next
PLANE82


PLANE82

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

PLANE82

2-D 8-Node Structural Solid

MP ME ST PR PRN DS <> <> <> <> <> PP <>

Product Restrictions

PLANE82 Element Description

PLANE82 is a higher order version of the 2-D, four-node element (PLANE42). It provides more accurate results for mixed (quadrilateral-triangular) automatic meshes and can tolerate irregular shapes without as much loss of accuracy. The 8-node elements have compatible displacement shapes and are well suited to model curved boundaries.

The 8-node element is defined by eight nodes having two degrees of freedom at each node: translations in the nodal x and y directions. The element may be used as a plane element or as an axisymmetric element. The element has plasticity, creep, swelling, stress stiffening, large deflection, and large strain capabilities. Various printout options are also available. See PLANE82 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. See PLANE83 for a description of an axisymmetric element which accepts nonaxisymmetric loading.

Figure 82.1 PLANE82 Geometry

PLANE82 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 82.1: "PLANE82 Geometry".

A triangular-shaped element may be formed by defining the same node number for nodes K, L and O. Besides the nodes, the element input data includes a thickness (TK) (for the plane stress option only) and the orthotropic material properties. Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 82.1: "PLANE82 Geometry". Positive pressures act into the element. Temperatures and fluences may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). If all corner node temperatures are specified, each midside node temperature defaults to the average temperature of its adjacent corner nodes. For any other input temperature pattern, unspecified temperatures default to TUNIF. Similar defaults occurs for fluence except that zero is used instead of TUNIF.

The nodal forces, if any, should be input per unit of depth for a plane analysis (except for KEYOPT(3) = 3) and on a full 360° basis for an axisymmetric analysis. KEYOPT(5) and KEYOPT(6) parameters provide various element printout options (see Element Solution).

Initial state conditions previously handled via the ISTRESS command will be discontinued for this element. The INISTATE command will provide increased functionality, but only via the Current Technology elements (180,181, etc. ). To continue using Initial State conditions in future versions of ANSYS, consider switching to the appropriate Current Technology element. For more information on setting Initial State values see the INISTATE command and Initial State Loading in the Basic Analysis Guide. For more information on current -vs- legacy element technologies see Legacy vs. Current Element Technologies in the Elements Reference

You can include the effects of pressure load stiffness in a geometric nonlinear analysis using SOLCONTROL,,,INCP. Pressure load stiffness effects are included in linear eigenvalue buckling automatically. If an unsymmetric matrix is needed for pressure load stiffness effects, use NROPT,UNSYM.

A summary of the element input is given in "PLANE82 Input Summary". A general description of element input is given in Element Input. For axisymmetric applications see Axisymmetric Elements.

PLANE82 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

UX, UY

Real Constants
None, if KEYOPT (3) = 0, 1, or 2
THK - Thickness, if KEYOPT (3) = 3
Material Properties
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ),
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ), DENS, GXY, DAMP
Surface Loads
Pressures --

face 1 (J-I), face 2 (K-J), face 3 (I-K), face 4 (I-L)

Body Loads
Temperatures --

T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P)

Fluences --

FL(I), FL(J), FL(K), FL(L), FL(M), FL(N), FL(O), FL(P)

Special Features
Plasticity (BISO, MISO, BKIN, MKIN, KINH, DP, ANISO, CHABOCHE, HILL)
Creep (CREEP, RATE)
Swelling (SWELL)
Elasticity (MELAS)
Other material (USER)
Stress stiffening
Large deflection
Large strain
Birth and death
Adaptive descent
Initial stress import

Note

Items in parentheses refer to data tables associated with the TB command.

KEYOPT(3)

Element behavior:

0 --

Plane stress

1 --

Axisymmetric

2 --

Plane strain (Z strain = 0.0)

3 --

Plane stress with thickness (TK) real constant input

KEYOPT(5)

Extra element output:

0 --

Basic element solution

1 --

Repeat basic solution for all integration points

2 --

Nodal Stress Solution

KEYOPT(6)

Extra surface output:

0 --

Basic element solution

1 --

Surface solution for face I-J also

2 --

Surface solution for both faces I-J and K-L also (surface solution valid for linear materials only)

3 --

Nonlinear solution at each integration point also

4 --

Surface solution for faces with nonzero pressure

KEYOPT(9)

Initial stress subroutine option (available only through direct input of the KEYOPT command):

0 --

No user subroutine to provide initial stress (default)

1 --

Read initial stress data from user subroutine USTRESS. See the Guide to ANSYS User Programmable Features for user written subroutines

PLANE82 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 82.1: "PLANE82 Element Output Definitions"

Several items are illustrated in Figure 82.2: "PLANE82 Stress Output".

The element stress directions are parallel to the element coordinate system. Surface stresses are available on any face. Surface stresses on face IJ, for example, are defined parallel and perpendicular to the IJ line and along the Z axis for a plane analysis or in the hoop direction for an axisymmetric analysis. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 82.2 PLANE82 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 82.1 PLANE82 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Corner nodes - I, J, K, L | Y | Y
MAT | Material number | Y | Y
THICK | Average thickness | Y | Y
VOLU: | Volume | Y | Y
XC, YC | Location where results are reported | Y | 3
PRES | Pressures P1 at nodes J,I; P2 at K,J; P3 at L,K; P4 at I,L | Y | Y
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | Y | Y
FLUEN | Fluences FL(I), FL(J), FL(K), FL(L), FL(M), FL(N), FL(O), FL(P) | Y | Y
S:X, Y, Z, XY | Stresses (SZ = 0.0 for plane stress elements) | Y | Y
S:1, 2, 3 | Principal stresses | Y | -
S:INT | Stress intensity | Y | -
S:EQV | Equivalent stress | Y | Y
EPEL:X, Y, Z, XY | Elastic strains | Y | Y
EPEL:1, 2, 3 | Principal elastic strains | Y | -
EPEL:EQV | Equivalent elastic strain [4] | - | Y
EPTH:X, Y, Z, XY | Average thermal strains | Y | Y
EPTH:EQV | Equivalent thermal strain [4] | - | Y
EPPL:X, Y, XY, Z | Average plastic strains | 2 | 2
EPPL:EQV | Equivalent plastic strain [4] | - | 2
EPCR:X, Y, XY, Z | Average creep strains | 2 | 2
EPCR:EQV | Equivalent creep strain [4] | - | 2
EPSW: | Swelling strain | 2 | 2
NL:EPEQ | Equivalent plastic strain | 2 | 2
NL:SRAT | Ratio of trial stress to stress on yield surface | 2 | 2
NL:SEPL | Equivalent stress on stress-strain curve | 2 | 2
NL:HPRES | Hydrostatic pressure | - | 2
FACE | Face label | 1 | 1
EPEL(PAR, PER, Z) | Surface elastic strains (parallel, perpendicular, Z or hoop) | 1 | 1
TEMP | Surface average temperature | 1 | 1
S(PAR, PER, Z) | Surface stresses (parallel, perpendicular, Z or hoop) | 1 | 1
SINT | Surface stress intensity | 1 | 1
SEQV | Surface equivalent stress | 1 | 1
LOCI:X, Y, Z | Integration point locations | - | Y

  1. Surface output (if KEYOPT(6) is 1, 2 or 4)

  2. Nonlinear solution (if the element has a nonlinear material)

  3. Available only at centroid as a *GET item.

  4. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY); for plastic and creep this value is set at 0.5.

Table 82.2 PLANE82 Miscellaneous Element Output

Description | Names of Items Output | O | R
Nonlinear Integration Pt. Solution | EPPL, EPEQ, SRAT, SEPL, HPRES, EPCR, EPSW | 1 | -
Integration Point Stress Solution | TEMP, SINT, SEQV, EPEL, S | 2 | -
Nodal Stress Solution | TEMP, S, SINT, SEQV | 3 | -

  1. Output at each integration point, if the element has a nonlinear material and KEYOPT(6) = 3

  2. Output at each integration point, if KEYOPT(5) = 1

  3. Output at each vertex node, if KEYOPT(5) = 2

Note

For axisymmetric solutions, the X, Y, XY, and Z stress and strain outputs correspond to the radial, axial, in-plane shear, and hoop stresses and strains.

Table 82.3: "PLANE82 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See Creating an Element Table in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 82.3: "PLANE82 Item and Sequence Numbers":

Name

output quantity as defined in the Table 82.1: "PLANE82 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J,...,P

sequence number for data at nodes I,J,...,P

Table 82.3 PLANE82 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J | K | L | M | N | O | P
P1 | SMISC | - | 2 | 1 | - | - | - | - | - | -
P2 | SMISC | - | - | 4 | 3 | - | - | - | - | -
P3 | SMISC | - | - | - | 6 | 5 | - | - | - | -
P4 | SMISC | - | 7 | - | - | 8 | - | - | - | -
S:1 | NMISC | - | 1 | 6 | 11 | 16 | - | - | - | -
S:2 | NMISC | - | 2 | 7 | 12 | 17 | - | - | - | -
S:3 | NMISC | - | 3 | 8 | 13 | 18 | - | - | - | -
S:INT | NMISC | - | 4 | 9 | 14 | 19 | - | - | - | -
S:EQV | NMISC | - | 5 | 10 | 15 | 20 | - | - | - | -
FLUEN | NMISC | - | 21 | 22 | 23 | 24 | 25 | 26 | 27 | 28
THICK | NMISC | 29 | - | - | - | - | - | - | - | -

See Surface Solution in this manual for the item and sequence numbers for surface output for the ETABLE command.

PLANE82 Assumptions and Restrictions

  • The area of the element must be positive.

  • The element must lie in a global X-Y plane as shown in Figure 82.1: "PLANE82 Geometry" and the Y-axis must be the axis of symmetry for axisymmetric analyses. An axisymmetric structure should be modeled in the +X quadrants.

  • A face with a removed midside node implies that the displacement varies linearly, rather than parabolically, along that face. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes.

PLANE82 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The DAMP material property is not allowed.

  • Fluence body loads are not applicable.

  • The only special feature allowed is stress stiffening.

  • KEYOPT(6) = 3 is not applicable.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLUID81 		Up / Home Next
PLANE83


PLANE83

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

PLANE83

Axisymmetric-Harmonic 8-Node Structural Solid

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

PLANE83 Element Description

PLANE83 is used for 2-D modeling of axisymmetric structures with nonaxisymmetric loading. Examples of such loading are bending, shear, or torsion. The element has three degrees of freedom per node: translations in the nodal x, y, and z directions. For unrotated nodal coordinates, these directions correspond to the radial, axial, and tangential directions, respectively.

This element is a higher order version of the 2-D, four-node element (PLANE25). It provides more accurate results for mixed (quadrilateral-triangular) automatic meshes and can tolerate irregular shapes without as much loss of accuracy. The element is also a generalization of the axisymmetric version of PLANE82, the 2-D 8-node structural solid element, in that the loading need not be axisymmetric. Various loading cases are described in Axisymmetric Elements with Nonaxisymmetric Loads.

The 8-node elements have compatible displacement shapes and are well suited to model curved boundaries. See PLANE83 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 83.1 PLANE83 Geometry

PLANE83 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 83.1: "PLANE83 Geometry". Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. The element input data is essentially the same as for PLANE82, except as follows: Z-direction material properties (EZ, ALPZ, etc.) may be input. MODE and ISYM are used to describe the harmonic loading condition (see Axisymmetric Elements with Nonaxisymmetric Loads for more details).

Element loads are described in Node and Element Loads. Harmonically varying pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 83.1: "PLANE83 Geometry". Positive pressures act into the element. Harmonically varying temperatures may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). If all corner node temperatures are specified, each midside node temperature defaults to the average temperature of its adjacent corner nodes. For any other input temperature pattern, unspecified temperatures default to TUNIF.

The KEYOPT(3) parameter is used for temperature loading with MODE greater than zero and temperature dependent material properties. Material properties may only be evaluated at a constant (nonharmonically varying) temperature. If MODE equals zero, the material properties are always evaluated at the average element temperature. KEYOPT(4), (5), and (6) provide various element printout options (see Element Solution).

A summary of the element input is given in "PLANE83 Input Summary". A general description of element input is given in Element Input.

PLANE83 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

UX, UY, UZ

Real Constants

None

Material Properties
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ),
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ), DENS, GXY, GYZ, GXZ, DAMP
Surface Loads
Pressures --

face 1 (J-I), face 2 (K-J), face 3 (L-K), face 4 (I-L)

Body Loads
Temperatures --

T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P)

Mode Number

Input mode number on MODE command

Loading Condition

Input for ISYM on MODE command

1--

Symmetric loading

-1--

Antisymmetric loading

Special Features
Stress stiffening
Birth and death
KEYOPT(1)

Element coordinate system:

0 --

Element coordinate system is parallel to the global coordinate system

1 --

Element coordinate system is based on the element I-J side

KEYOPT(3)

If MODE is greater than zero, use temperatures for:

0 --

Use temperatures only for thermal bending (evaluate material properties at TREF)

1 --

Use temperatures only for material property evaluation (thermal strains are not computed)

KEYOPT(4)

Extra stress output:

0 --

Basic element solution (not extra output)

1 --

Repeat basic solution for all integration points

2 --

Nodal stress solution

KEYOPT(5)

Combined stress output:

0 --

No combined stress solution

1 --

Combined stress solution at centroid and nodes

KEYOPT(6)

Extra surface output (surface solution is valid only for isotropic materials):

0 --

Basic element solution (no extra output)

1 --

Surface solution for face I-J also

2 --

Surface solution for both faces I-J and K-L also

PLANE83 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 83.1: "PLANE83 Element Output Definitions"

Several items are illustrated in Figure 83.2: "PLANE83 Stress Output".

In the displacement printout, the UZ component is out-of-phase with the UX and UY components. For example, in the MODE = 1, ISYM = 1 loading case, UX and UY are the peak values at θ = 0° and UZ is the peak value at θ = 90°. The same occurs for the reaction forces (FX, FY, etc.). We recommend that you always use the angle field on the SET command when postprocessing the results. For more information about harmonic elements, see Axisymmetric Elements with Nonaxisymmetric Loads.

The element stress directions are parallel to the element coordinate system. The sign convention on the surface shears is such that for a rectangular element that is lined up parallel to the axes with node J in the positive Y direction from node I, the shear stresses on surfaces I-J and K-L are analogous to the centroidal SYZ in both definition and sign. Stress components which are inherently zero for a load case are printed for clarity. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 83.2 PLANE83 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 83.1 PLANE83 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Corner nodes - I, J, K, L | Y | Y
MAT | Material number | Y | Y
ISYM | Loading key: 1 = symmetric, -1 = antisymmetric | Y | -
MODE | Number of waves in loading | Y | Y
VOLU: | Volume | Y | Y
PRES | Pressures P1 at nodes J,I; P2 at K,J; P3 at L,K; P4 at I,L | Y | Y
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | Y | Y
S:X, Y, Z | Direct stresses (radial, axial, hoop) at PK ANG locations | Y | Y
S:XY, YZ, XZ | Shear stresses (radial-axial, axial-hoop, radial-hoop) at PK ANG locations | Y | Y
S:1, 2, 3 | Principal stresses at both PK ANG locations as well as where extreme occurs (EXTR); if MODE = 0, only one location is given. | 1 | 1
S:INT | Stress intensity at both PK ANG locations as well as where extreme occurs (EXTR); if MODE = 0, only one location is given. | 1 | 1
S:EQV | Equivalent stress at both PK ANG locations as well as where extreme occurs (EXTR); if MODE = 0, only one location is given. | 1 | 1
EPEL:X, Y, Z, XY | Elastic strain | Y | Y
EPEL:EQV | Equivalent elastic strain [4] | - | Y
EPTH:X, Y, Z, XY | Average thermal strains | Y | Y
EPTH:EQV | Equivalent thermal strain [4] | - | Y
PK ANG | Angle where stresses have peak values: 0 and 90/MODE°. Blank if MODE = 0. | Y | Y
XC, YC | Location where results are reported | Y | 3
FACE | Face label | 2 | 2
TEMP | Surface average temperature | 2 | 2
EPEL(PAR, PER, Z, SH) | Surface strains (parallel, perpendicular, hoop, shear) at PK ANG locations and where extreme occurs (EXTR) | 2 | 2
S(PAR, PER, Z, SH) | Surface stresses (parallel, perpendicular, hoop, shear) at PK ANG locations and where extreme occurs (EXTR) | 2 | 2

  1. These items are output only if KEYOPT(5) = 1.

  2. These items are printed only if KEYOPT(6) is greater than zero.

  3. Available only at centroid as a *GET item.

  4. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY).

Table 83.2: "PLANE83 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See Creating an Element Table in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 83.2: "PLANE83 Item and Sequence Numbers":

Name

output quantity as defined in the Table 83.1: "PLANE83 Element Output Definitions"

Item

predetermined Item label for ETABLE command

I,J,K,L

sequence number for data at nodes I,J,K,L

Table 83.2 PLANE83 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | J | K | L
P1 | SMISC | 2 | 1 | - | -
P2 | SMISC | - | 4 | 3 | -
P3 | SMISC | - | - | 6 | 5
P4 | SMISC | 7 | - | - | 8
THETA = 0
S1 | NMISC | 1 | 16 | 31 | 46
S2 | NMISC | 2 | 17 | 32 | 47
S3 | NMISC | 3 | 18 | 33 | 48
SINT | NMISC | 4 | 19 | 34 | 49
SEQV | NMISC | 5 | 20 | 35 | 50
THETA = 90/MODE
S1 | NMISC | 6 | 21 | 36 | 51
S2 | NMISC | 7 | 22 | 37 | 52
S3 | NMISC | 8 | 23 | 38 | 53
SINT | NMISC | 9 | 24 | 39 | 54
SEQV | NMISC | 10 | 25 | 40 | 55
EXTR Values
S1 | NMISC | 11 | 26 | 41 | 56
S2 | NMISC | 12 | 27 | 42 | 57
S3 | NMISC | 13 | 28 | 43 | 58
SINT | NMISC | 14 | 29 | 44 | 59
SEQV | NMISC | 15 | 30 | 45 | 60

Note

The NMISC items (1 thru 60) in the above table represent the combined stress solution, KEYOPT(5) = 1. If MODE = 0, their values are zero at THETA = 90/MODE and at EXTR.

See Surface Solution in this manual for the item and sequence numbers for surface output for the ETABLE command.

PLANE83 Assumptions and Restrictions

  • The area of the element must be positive.

  • The element must be defined in the global X-Y plane as shown in Figure 83.1: "PLANE83 Geometry" and the Y-axis must be the axis of symmetry for axisymmetric analyses. An axisymmetric structure should be modeled in the +X quadrants.

  • A face with a removed midside node implies that the displacement varies linearly, rather than parabolically, along that face. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes.

  • The element assumes a linear elastic material.

  • Post-analysis superposition of results is valid only with other linear elastic solutions.

  • The element should not be used with the large deflection option.

  • The element may not be deactivated with the EKILL command.

  • The element temperature is taken to be the average of the nodal temperatures.

  • Surface stress printout is valid only if the conditions described in Element Solution are met.

Modeling hints:

  • If shear effects are important in a shell-like structure, at least two elements through the thickness should be used.

  • You can use only axisymmetric (MODE,0) loads without significant torsional stresses to generate the stress state used for stress stiffened modal analyses using this element.

PLANE83 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLANE82 		Up / Home Next
SOLID87


SOLID87

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID87

3-D 10-Node Tetrahedral Thermal Solid

MP ME <> PR PRN DS <> <> <> <> <> PP VT

Product Restrictions

SOLID87 Element Description

SOLID87 is well suited to model irregular meshes (such as produced from various CAD/CAM systems). The element has one degree of freedom, temperature, at each node.

The element is applicable to a 3-D, steady-state or transient thermal analysis. See SOLID87 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. If the model containing this element is also to be analyzed structurally, the element should be replaced by the equivalent structural element (such as SOLID92). A 20-node thermal solid element, SOLID90, is also available.

Figure 87.1 SOLID87 Geometry

SOLID87 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 87.1: "SOLID87 Geometry".

Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. Specific heat and density are ignored for steady-state solutions. Properties not input default as described in Linear Material Properties.

Element loads are described in Node and Element Loads. Convection or heat flux (but not both) and radiation may be input as surface loads at the element faces as shown by the circled numbers on Figure 87.1: "SOLID87 Geometry". Heat generation rates may be input as element body loads at the nodes. If the node I heat generation rate HG(I) is input, and all others are unspecified, they default to HG(I). If all corner node heat generation rates are specified, each midside node heat generation rate defaults to the average heat generation rate of its adjacent corner nodes.

For phase change problems, use KEYOPT(1) = 1 (diagonalized specific heat matrix). For convection regions with strong thermal gradients, use KEYOPT(5) = 1 (consistent convection matrix).

A summary of the element input is given in "SOLID87 Input Summary". A general description of element input is given in Element Input.

SOLID87 Input Summary

Nodes

I, J, K, L, M, N, O, P, Q, R

Degrees of Freedom

TEMP

Real Constants

None

Material Properties

KXX, KYY, KZZ, DENS, C, ENTH

Surface Loads
Convection or Heat Flux (but not both) and Radiation (using Lab = RDSF) --

face 1 (J-I-K), face 2 (I-J-L), face 3 (J-K-L), face 4 (K-I-L)

Body Loads
Heat Generations --

HG(I), HG(J), HG(K), HG(L), HG(M), HG(N), HG(O), HG(P), HG(Q), HG(R)

Special Features

Birth and death

KEYOPT(1)

Specific heat matrix:

0 --

Consistent specific heat matrix

1 --

Diagonalized specific heat matrix

KEYOPT(5)

Surface convection matrix:

0 --

Diagonalized convection matrix

1 --

Consistent convection matrix

SOLID87 Output Data

The solution output associated with the element is in two forms:

  • Nodal temperatures included in the overall nodal solution

  • Additional element output as shown in Table 87.1: "SOLID87 Element Output Definitions".

Convection heat flux is positive out of the element; applied heat flux is positive into the element. The element output directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 87.1 SOLID87 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P, Q, R | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 2
HGEN | Heat generations HG(I), HG(J), HG(K), HG(L), HG(M), HG(N), HG(O), HG(P), HG(Q), HG(R) | Y | -
TG:X, Y, Z, SUM | Thermal gradient components and vector sum at centroid | Y | Y
TF:X, Y, Z, SUM | Thermal flux (heat flow rate/cross-sectional area) components and vector sum at centroid | Y | Y
FACE | Convection face label | 1 | -
NODES | Convection face corner nodes | 1 | -
AREA | Convection face area | 1 | 1
HFILM | Film coefficient | 1 | -
TAVG | Average face temperature | 1 | 1
TBULK | Fluid bulk temperature | 1 | -
HEAT RATE | Heat flow rate across face by convection | 1 | 1
HEAT RATE/AREA | Heat flow rate per unit area across face by convection | 1 | -
HFAVG | Average film coefficient of the face | - | 1
TBAVG | Average face bulk temperature | - | 1
HFLXAVG | Heat flow rate per unit area across face caused by input heat flux | - | 1
HFLUX | Heat flux at each node of face | 1 | -

  1. Output if a surface load is input

  2. Available only at centroid as a *GET item.

Table 87.2: "SOLID87 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See Creating an Element Table in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 87.2: "SOLID87 Item and Sequence Numbers":

Name

output quantity as defined in the Table 87.1: "SOLID87 Element Output Definitions"

Item

predetermined Item label for ETABLE command

FCn

sequence number for solution items for element Face n

Table 87.2 SOLID87 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | FC1 | FC2 | FC3 | FC4
AREA | NMISC | 1 | 7 | 13 | 19
HFAVG | NMISC | 2 | 8 | 14 | 20
TAVG | NMISC | 3 | 9 | 15 | 21
TBAVG | NMISC | 4 | 10 | 16 | 22
HEAT RATE | NMISC | 5 | 11 | 17 | 23
HFLXAVG | NMISC | 6 | 12 | 18 | 24

SOLID87 Assumptions and Restrictions

  • The element must not have a zero volume.

  • Elements may be numbered either as shown in Figure 87.1: "SOLID87 Geometry" or may have node L below the IJK plane.

  • An edge with a removed midside node implies that the temperature varies linearly, rather than parabolically, along that edge.

  • See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes.

  • The specific heat and enthalpy are evaluated at each integration point to allow for abrupt changes (such as melting) within a coarse grid of elements.

  • A free surface of the element (i.e., not adjacent to another element and not subjected to a boundary constraint) is assumed to be adiabatic.

SOLID87 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The birth and death special feature is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLANE83 		Up / Home Next
VISCO88


VISCO88

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

VISCO88

2-D 8-Node Viscoelastic Solid

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

VISCO88 Element Description

VISCO88 is a quadratic isoparametric element. The element is defined by eight nodes having two degrees of freedom at each node: translations in the nodal x and y directions. The element may be used as a plane strain or as an axisymmetric element. The element has thermorheologically simple (TRS) viscoelastic and stress stiffening capabilities. Various printout options are also available. See VISCO88 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 88.1 VISCO88 Geometry

VISCO88 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 88.1: "VISCO88 Geometry". The element coordinate system orientation is as described in Coordinate Systems.

A triangular-shaped element may be formed by defining the same node number for nodes K, L and O. VISCO88 uses a viscoelastic material model that is defined by the TB and TBDATA commands. The constant table is started by using the TB command with Lab = EVISC. Up to 95 constants may be defined with the TBDATA commands. Details are provided in Viscoelastic Material Constants.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 88.1: "VISCO88 Geometry". Positive pressures act into the element. Temperatures may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). If all corner node temperatures are specified, each midside node temperature defaults to the average temperature of its adjacent corner nodes. For any other input temperature pattern, unspecified temperatures default to TUNIF.

The nodal forces, if any, should be input per unit of depth for a plane analysis and on a full 360° basis for an axisymmetric analysis. KEYOPT(5) provides various element printout options (see Element Solution).

You can include the effects of pressure load stiffness in a geometric nonlinear analysis using SOLCONTROL,,,INCP. Pressure load stiffness effects are included in linear eigenvalue buckling automatically. If an unsymmetric matrix is needed for pressure load stiffness effects, use NROPT,UNSYM.

A summary of the element input is given in "VISCO88 Input Summary". A general description of element input is given in Element Input. For axisymmetric applications see Axisymmetric Elements.

VISCO88 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

UX, UY

Real Constants

None

Material Properties

DAMP, DENS (see Viscoelastic Material Constants for others)

Surface Loads
Pressures --

face 1 (J-I), face 2 (K-J), face 3 (L-K), face 4 (I-L)

Body Loads
Temperatures --

T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P)

Special Features
Viscoelasticity
Stress stiffening
Adaptive descent
KEYOPT(3)

Element behavior:

0, 2 --

Plane strain (Z strain = 0.0)

1 --

Axisymmetric

KEYOPT(5)

Extra element output:

0 --

Basic element printout

1 --

Repeat basic element printout for all integration points

2 --

Nodal stress printout

VISCO88 Output Data

The solution output associated with the element is in two forms:

  • nodal displacements included in the overall nodal solution

  • additional element output as shown in Table 88.1: "VISCO88 Element Output Definitions (KEYOPT(5) = 0)".

The element stress directions are shown in Figure 88.2: "VISCO88 Stress Output". The directions are parallel to the global Cartesian coordinate system. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 88.2 VISCO88 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 88.1 VISCO88 Element Output Definitions (KEYOPT(5) = 0)

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC | Location where results are reported | Y | 2
PRES | Pressures P1 at nodes J, I; P2 at K, J; P3 at L, K; P4 at I, L | Y | Y
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | Y | Y
S:X, Y, Z, XY | Stresses [3] | Y | Y
S:1, 2, 3 | Principal stresses | Y | Y
S:INT | Stress intensity | Y | Y
S:EQV | Equivalent stress | Y | Y
EPEL:X, Y, Z, XY, YZ, XZ | Average elastic strain | - | Y
EPEL:EQV | Equivalent elastic strain [4] | - | Y
EPTH:X, Y, Z, XY, YZ, XZ | Average thermal strain | - | Y
EPTH:EQV | Equivalent thermal strain [4] | - | Y
GR STRAIN | Growth strain (recoverable and irrecoverable thermally induced effects) | Y | Y
FICT TEMP | Fictive or pseudo temperature | Y | Y
EFF BULK MOD | Effective bulk modulus | 1 | 1
EFF SHEAR MOD | Effective shear modulus | 1 | 1

  1. Element solution output quantities EFF BULK MOD and EFF SHEAR MOD might not correspond to the effective bulk and shear moduli, respectively. The output values are actually intermediate quantities in the computation of bulk and shear moduli and do not represent any true tangible material properties. These quantities are also stored on the results files as nonsummable miscellaneous (NMISC) data items 25 through 32 (ETABLE command).

  2. Available only at centroid as a *GET item.

  3. For axisymmetric solutions, the X, Y, Z, and XY stress and strain outputs correspond to the radial, axial, hoop, and in-plane shear stresses and strains, respectively.

  4. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY).

Table 88.2 VISCO88 Miscellaneous Element Output (KEYOPT(5) = 1 or 2)

Description | Names of Items Output | O | R
Integration Point Solution (KEYOPT(5) = 1) | S(X, Y, Z, XY)[1], S(1, 2, 3), SINT, SEQV, GR STRAIN, FICT TEMP, EFF BULK MOD, EFF SHEAR MOD | Y | -
Nodal Stress Solution (KEYOPT(5) = 2) | TEMP, S(X, Y, Z, XY)[1], SINT, SEQV | Y | -

  1. For axisymmetric solutions, the X, Y, Z, and XY stress and strain outputs correspond to the radial, axial, hoop, and in-plane shear stresses and strains, respectively.

Note

Displacements and nodal forces are the total (not incremental) values.

Table 88.3: "VISCO88 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See Creating an Element Table in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 88.3: "VISCO88 Item and Sequence Numbers":

Name

output quantity as defined in the Table 88.1: "VISCO88 Element Output Definitions (KEYOPT(5) = 0)"

Item

predetermined Item label for ETABLE command

I,J,K,L

sequence number for data at nodes I,J,K,L

Table 88.3 VISCO88 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | J | K | L
P1 | SMISC | 2 | 1 | - | -
P2 | SMISC | - | 4 | 3 | -
P3 | SMISC | - | - | 6 | 5
P4 | SMISC | 7 | - | - | 8
S:1 | NMISC | 1 | 6 | 11 | 16
S:2 | NMISC | 2 | 7 | 12 | 17
S:3 | NMISC | 3 | 8 | 13 | 18
S:INT | NMISC | 4 | 9 | 14 | 19
S:EQV | NMISC | 5 | 10 | 15 | 20
FICT TEMP | NMISC | 21 | 22 | 23 | 24
EFF BULK MOD | NMISC | 25 | 26 | 27 | 28
EFF SHEAR MOD | NMISC | 29 | 30 | 31 | 32
GR STRAIN | NMISC | 33 | 34 | 35 | 36

VISCO88 Assumptions and Restrictions

  • The area of the element must be positive.

  • The element must lie in a global X-Y plane as shown in Figure 88.1: "VISCO88 Geometry" and the Y-axis must be the axis of symmetry for axisymmetric analyses. An axisymmetric structure should be modeled in the +X quadrants.

  • A face with a removed midside node implies that the displacement varies linearly, rather than parabolically, along that face. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes.

VISCO88 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID87 		Up / Home Next
VISCO89


VISCO89

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

VISCO89

3-D 20-Node Viscoelastic Solid

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

VISCO89 Element Description

VISCO89 is a quadratic isoparametric element. The element is defined by 20 nodes having three degrees of freedom at each node: translations in the nodal x, y, and z directions. The element has thermorheologically simple (TRS) viscoelastic and stress stiffening capabilities. Various printout options are also available. See VISCO89 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 89.1 VISCO89 Geometry

VISCO89 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 89.1: "VISCO89 Geometry". The element coordinate system orientation is as described in Coordinate Systems.

A prism-shaped element may be formed by defining the same node numbers for nodes K, L and S; nodes A and B; and nodes O, P, and W. A tetrahedral-shaped element and a pyramid-shaped element may also be formed as shown in Figure 89.1: "VISCO89 Geometry". VISCO89 uses a viscoelastic material model that is defined by the TB and TBDATA commands. The constant table is started by using the TB command with Lab = EVISC. Up to 95 constants may be defined with the TBDATA commands. Details are provided in Viscoelastic Material Constants.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 89.1: "VISCO89 Geometry". Positive pressures act into the element. Temperatures may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). If all corner node temperatures are specified, each midside node temperature defaults to the average temperature of its adjacent corner nodes. For any other input temperature pattern, unspecified temperatures default to TUNIF.

KEYOPT(5) provides various element printout options (see Element Solution).

You can include the effects of pressure load stiffness in a geometric nonlinear analysis using SOLCONTROL,,,INCP. Pressure load stiffness effects are included in linear eigenvalue buckling automatically. If an unsymmetric matrix is needed for pressure load stiffness effects, use NROPT,UNSYM.

A summary of the element input is given in "VISCO89 Input Summary". A general description of element input is given in Element Input.

VISCO89 Input Summary

Nodes

I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z, A, B

Degrees of Freedom

UX, UY, UZ

Real Constants

None

Material Properties

DAMP, DENS (see Viscoelastic Material Constants for others)

Surface Loads
Pressures --

1-JILK, 2-IJNM, 3-JKON, 4-KLPO, 5-LIMP, 6-MNOP

Body Loads
Temperatures --

T(I), T(J), --, T(Z), T(A), T(B)

Special Features
Viscoelasticity
Stress stiffening
Adaptive descent
KEYOPT(5)

Extra element output:

0 --

Basic element printout

1 --

Repeat basic element printout for all integration points

2 --

Nodal stress printout

VISCO89 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 89.1: "VISCO89 Element Output Definitions"

The element stress directions are shown in Figure 89.2: "VISCO89 Stress Output". The directions are parallel to the global Cartesian coordinate system. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 89.2 VISCO89 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 89.1 VISCO89 Element Output Definitions

Name | Definition | O | R
EL | Element number and name | Y | Y
CORNER NODES | Corner nodes - I, J, K, L, M, N, O, P | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 2
PRES | Pressures P1 at nodes J, I, L, K; P2 at nodes I, J, N, M; P3 at nodes J, K, O, N; P4 at nodes K, L, P, O; P5 at nodes L, I, M, P; P6 at nodes M, N, O, P | Y | Y
TEMP | T(I), T(J), --, T(Z), T(A), T(B) | Y | Y
S:X, Y, Z, XY, YZ, XZ | Stresses | Y | Y
S:1, 2, 3 | Principal stresses | Y | Y
S:INT | Stress intensity | Y | Y
S:EQV | Equivalent stress | Y | Y
EPEL:X, Y, Z, XY, YZ, XZ | Average elastic strain | - | Y
EPEL:EQV | Equivalent elastic strain [3] | - | Y
EPTH:X, Y, Z, XY, YZ, XZ | Average thermal strain | - | Y
EPTH:EQV | Equivalent thermal strain [3] | - | Y
GR STRAIN | Growth strain (recoverable and irrecoverable thermally induced effects) | Y | Y
FICT TEMP | Fictive or pseudo temperature | Y | Y
EFF BULK MOD | Effective bulk modulus | 1 | 1
EFF SHEAR MOD | Effective shear modulus | 1 | 1

  1. Element solution output quantities EFF BULK MOD and EFF SHEAR MOD might not correspond to the effective bulk and shear moduli, respectively. The output values are actually intermediate quantities in the computation of bulk and shear moduli and do not represent any true tangible material properties. These quantities are also stored on the results files as nonsummable miscellaneous (NMISC) data items 49 through 64 (ETABLE command).

  2. Available only at centroid as a *GET item.

  3. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY).

Table 89.2 VISCO89 Miscellaneous Element Output

Description | Names of Items Output | O | R
Integration Point Solution | S(X, Y, Z, XY, YZ, XZ), S(1, 2, 3), SINT, SEQV, GR STRAIN, FICT TEMP, EFF BULK MOD, EFF SHEAR MOD | 1 | -
Nodal Stress Solution | TEMP, S(X, Y, Z, XY, YZ, XZ), SINT, SEQV | 2 | -

  1. Output at each integration point, if KEYOPT(5) = 1

  2. Output at each node, if KEYOPT(5) = 2

Note

Displacements and nodal forces are the total (not incremental) values.

Table 89.3: "VISCO89 Item and Component Labels" lists output available through the ETABLE command using the Sequence Number method. See Creating an Element Table in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 89.3: "VISCO89 Item and Component Labels":

Name

output quantity as defined in the Table 89.1: "VISCO89 Element Output Definitions"

Item

predetermined Item label for ETABLE command

I,J,...,P

sequence number for data at nodes I,J,...,P

Table 89.3 VISCO89 Item and Component Labels

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | J | K | L | M | N | O | P
P1 | SMISC | 2 | 1 | 4 | 3 | - | - | - | -
P2 | SMISC | 5 | 6 | - | - | 8 | 7 | - | -
P3 | SMISC | - | 9 | 10 | - | - | 12 | 11 | -
P4 | SMISC | - | - | 13 | 14 | - | - | 16 | 15
P5 | SMISC | 18 | - | - | 17 | 19 | - | - | 20
P6 | SMISC | - | - | - | - | 21 | 22 | 23 | 24
S:1 | NMISC | 1 | 6 | 11 | 16 | 21 | 26 | 31 | 36
S:2 | NMISC | 2 | 7 | 12 | 17 | 22 | 27 | 32 | 37
S:3 | NMISC | 3 | 8 | 13 | 18 | 23 | 28 | 33 | 38
S:INT | NMISC | 4 | 9 | 14 | 19 | 24 | 29 | 34 | 39
S:EQV | NMISC | 5 | 10 | 15 | 20 | 25 | 30 | 35 | 40
FICT TEMP | NMISC | 41 | 42 | 43 | 44 | 45 | 46 | 47 | 48
EFF BULK MOD | NMISC | 49 | 50 | 51 | 52 | 53 | 54 | 55 | 56
EFF SHEAR MOD | NMISC | 57 | 58 | 59 | 60 | 61 | 62 | 63 | 64
GR STRAIN | NMISC | 65 | 66 | 67 | 68 | 69 | 70 | 71 | 72

VISCO89 Assumptions and Restrictions

  • The element must not have a zero volume.

  • The element may not be twisted such that the element has two separate volumes. This occurs most frequently when the element is not numbered properly.

  • Elements may be numbered either as shown in Figure 89.1: "VISCO89 Geometry" or may have the planes IJKL and MNOP interchanged.

  • An edge with a removed midside node implies that the displacement varies linearly, rather than parabolically, along that edge. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information on the use of midside nodes.

  • Degeneration to the form of pyramid should be used with caution. The element sizes, when degenerated, should be small in order to minimize the stress gradients. Pyramid elements are best used as filler elements or in meshing transition zones.

VISCO89 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VISCO88 		Up / Home Next
SOLID90


SOLID90

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID90

3-D 20-Node Thermal Solid

MP ME <> PR PRN DS <> <> <> <> <> PP VT

Product Restrictions

SOLID90 Element Description

SOLID90 is a higher order version of the 3-D eight node thermal element (SOLID70). The element has 20 nodes with a single degree of freedom, temperature, at each node. The 20-node elements have compatible temperature shapes and are well suited to model curved boundaries.

The 20-node thermal element is applicable to a 3-D, steady-state or transient thermal analysis. See SOLID90 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. If the model containing this element is also to be analyzed structurally, the element should be replaced by the equivalent structural element (such as SOLID95).

Figure 90.1 SOLID90 Geometry

SOLID90 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 90.1: "SOLID90 Geometry". The element is defined by 20 node points and the material properties. A prism-shaped element may be formed by defining duplicate K, L, and S; A and B; and O, P, and W node numbers. A tetrahedral-shaped element and a pyramid-shaped element may also be formed as shown in Figure 90.1: "SOLID90 Geometry".

Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. Specific heat and density are ignored for steady-state solutions. Properties not input default as described in Linear Material Properties.

Element loads are described in Node and Element Loads. Convection or heat flux (but not both) and radiation may be input as surface loads at the element faces as shown by the circled numbers on Figure 90.1: "SOLID90 Geometry". Heat generation rates may be input as element body loads at the nodes. If the node I heat generation rate HG(I) is input, and all others are unspecified, they default to HG(I). If all corner node heat generation rates are specified, each midside node heat generation rate defaults to the average heat generation rate of its adjacent corner nodes.

For phase change problems, use KEYOPT(1) = 1 (diagonalized specific heat matrix).

A summary of the element input is given in "SOLID90 Input Summary". A general description of element input is given in Element Input.

SOLID90 Input Summary

Nodes

I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z, A, B

Degrees of Freedom

TEMP

Real Constants

None

Material Properties

KXX, KYY, KZZ, DENS, C, ENTH

Surface Loads
Convection or Heat Flux (but not both) and Radiation (using Lab = RDSF) --
face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N),
face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)
Body Loads
Heat Generations --
HG(I), HG(J), HG(K), HG(L), HG(M), HG(N), HG(O), HG(P), HG(Q), HG(R),
HG(S), HG(T), HG(U), HG(V), HG(W), HG(X), HG(Y), HG(Z), HG(A), HG(B)
Special Features

Birth and death

KEYOPT(1)

Specific heat matrix:

0 --

Consistent specific heat matrix

1 --

Diagonalized specific heat matrix

SOLID90 Output Data

The solution output associated with the element is in two forms:

  • Nodal temperatures included in the overall nodal solution

  • Additional element output as shown in Table 90.1: "SOLID90 Element Output Definitions"

Convection heat flux is positive out of the element; applied heat flux is positive into the element. The element output directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 90.1 SOLID90 Element Output Definitions

Label | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 2
HGEN | Heat generations HG(I), HG(J), HG(K), HG(L), HG(M), HG(N), HG(O), HG(P), HG(Q), ..., HG(Z), HG(A), HG(B) | Y | -
TG:X, Y, Z, SUM | Thermal gradient components and vector sum at centroid | Y | Y
TF:X, Y, Z, SUM | Thermal flux (heat flow rate/cross-sectional area) components and vector sum at centroid | Y | Y
FACE | Face label | 1 | -
NODES | Corner nodes on this face | 1 | -
AREA | Face area | 1 | 1
HFILM | Film coefficient | 1 | -
TAVG | Average face temperature | 1 | 1
TBULK | Fluid bulk temperature | 1 | -
HEAT RATE | Heat flow rate across face by convection | 1 | 1
HEAT RATE/AREA | Heat flow rate per unit area across face by convection | 1 | -
HFLUX | Heat flux at each node of face | 1 | -
HFAVG | Average film coefficient of the face | - | 1
TBAVG | Average face bulk temperature | - | 1
HFLXAVG | Heat flow rate per unit area across face caused by input heat flux | - | 1

  1. Output only if a surface load is input

  2. Available only at centroid as a *GET item.

Table 90.2: "SOLID90 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See Creating an Element Table in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 90.2: "SOLID90 Item and Sequence Numbers":

Name

output quantity as defined in the Table 90.1: "SOLID90 Element Output Definitions"

Item

predetermined Item label for ETABLE command

FCn

sequence number for solution items for element Face n

Table 90.2 SOLID90 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | FC1 | FC2 | FC3 | FC4 | FC5 | FC6
AREA | NMISC | 1 | 7 | 13 | 19 | 25 | 31
HFAVG | NMISC | 2 | 8 | 14 | 20 | 26 | 32
TAVG | NMISC | 3 | 9 | 15 | 21 | 27 | 33
TBAVG | NMISC | 4 | 10 | 16 | 22 | 28 | 34
HEAT RATE | NMISC | 5 | 11 | 17 | 23 | 29 | 35
HFLXAVG | NMISC | 6 | 12 | 18 | 24 | 30 | 36

SOLID90 Assumptions and Restrictions

  • The element must not have a zero volume. This occurs most frequently when the element is not numbered properly.

  • Elements may be numbered either as shown in Figure 90.1: "SOLID90 Geometry" or may have the planes IJKL and MNOP interchanged.

  • The condensed face of a prism-shaped element should not be defined as a convection face.

  • The specific heat and enthalpy are evaluated at each integration point to allow for abrupt changes (such as melting) within a coarse grid of elements.

  • If the thermal element is to be replaced by a SOLID95 structural element with surface stresses requested, the thermal element should be oriented such that face IJNM and/or face KLPO is a free surface.

  • A free surface of the element (i.e., not adjacent to another element and not subjected to a boundary constraint) is assumed to be adiabatic.

  • Thermal transients having a fine integration time step and a severe thermal gradient at the surface will also require a fine mesh at the surface.

  • An edge with a removed midside node implies that the temperature varies linearly, rather than parabolically, along that edge.

  • See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes.

  • For transient solutions using the THOPT,QUASI option, the program removes the midside nodes from any face with a convection load. A temperature solution is not available for them. Do not use the midside nodes on these faces in constraint equations or with contact. If you use these faces for those situations, remove the midside nodes first.

  • Degeneration to the form of pyramid should be used with caution.

  • The element sizes, when degenerated, should be small in order to minimize the field gradients.

  • Pyramid elements are best used as filler elements or in meshing transition zones.

SOLID90 Product Restrictions

ANSYS Professional.

  • No Birth and Death.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VISCO89 		Up / Home Next
SHELL91


SHELL91

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SHELL91

Nonlinear Layered Structural Shell

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

SHELL91 Element Description

SHELL91 may be used for layered applications of a structural shell model or for modeling thick sandwich structures. If applicable, SHELL99 is usually more efficient than SHELL91. Up to 100 different layers are permitted for applications with the sandwich option turned off. SHELL99 allows more layers, but no nonlinear materials. See SOLID46 for a description of a multi-layered solid.

The element has six degrees of freedom at each node: translations in the nodal x, y, and z directions and rotations about the nodal x, y, and z-axes. See SHELL91 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 91.1 SHELL91 Geometry

xIJ = Element x-axis if ESYS is not supplied.

x = Element x-axis if ESYS is supplied.

LN = Layer Number

NL = Total Number of Layers

SHELL91 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 91.1: "SHELL91 Geometry". The element is defined by eight nodes, layer thicknesses, layer material direction angles, and orthotropic material properties. Midside nodes may not be removed from this element. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information on the use of midside nodes. A triangular element may be formed by defining the same node number for nodes K, L and O.

When building a model using an element with fewer than three layers, SHELL91 is more efficient than SHELL99.

The element coordinate system orientation is as described in Coordinate Systems. The local coordinate system for each layer is shown in Figure 91.6: "SHELL91 Stress Output". In this local right-handed system, the layer x-axis is rotated an angle THETA (in degrees, specified as a real constant) from the element x-axis toward the element y-axis.

The total number of layers (up to 100) must be specified (NL). If the properties of the layers are symmetric about the midthickness of the element (LSYM = 1), only half the properties, up to and including those of the middle layer (if any), need to be entered. Otherwise (LSYM = 0), the properties of all layers should be entered.

Real constant ADMSUA is the added mass per unit area.

The material properties of each layer may be orthotropic in the plane of the element. The real constant MAT is used to define the layer material number instead of the element material number applied with the MAT command. MAT defaults to 1 if not input. The material X direction corresponds to the local layer xi direction.

Use the BETAD command to supply the global value of damping. If MP,DAMP is defined for the material number of the element (assigned with the MAT command), it is used for the element instead of the value from the BETAD command. Similarly, use the TREF command to supply the global value of reference temperature. If MP,REFT is defined for the material number of the element, it is used for the element instead of the value from the TREF command. But if MP,REFT is defined for the material number of the layer, it is used instead of either the global or element value.

Each layer of the laminated shell element may have a variable thickness (TK). The thickness is assumed to vary bilinearly over the area of the layer, with the thickness input at the corner node locations. If a layer has a constant thickness, only TK(I) need be input. If the thickness is not constant, all four corner thicknesses must be input using positive values. With nonlinear material properties, the thickness of any one layer may not exceed one-third of the total thickness of the element. The total thickness of each shell element must be less than twice the radius of curvature, and should be less than one-fifth the radius of curvature.

If the sandwich option is used (KEYOPT(9) = 1), the element uses "sandwich logic". This logic is specifically designed for sandwich construction with thin faceplates and a thick, relatively weak, core. The core is assumed to carry all of the transverse shear; the faceplates carry none. Conversely, the faceplates are intended to carry all (or almost all) of the bending load. Both faceplates are assumed to have the same number of layers, up to seven layers each. Figure 91.2: "SHELL91 Sandwich Option - Before Deformation" shows the element before deformation, and Figure 91.3: "SHELL91 Sandwich Option - After Deformation" shows the element after deformation. With the sandwich option, use of KEYOPT(5) = 1 is recommended since the best results are obtained at the midplane.

Figure 91.2 SHELL91 Sandwich Option - Before Deformation

Figure 91.3 SHELL91 Sandwich Option - After Deformation

You can specify the nodes to be at the top, middle or bottom surface of the element. The choice is made through the node offset option, KEYOPT(11). This option is convenient, for example, when modeling laminated structures with ply drop-off where the location of the top or bottom surface may be better defined than the location of the midplane (as shown in Figure 91.4: "SHELL91 Bottom Surface Nodes"). Nodes in the nodal plane are shown at locations I through P in Figure 91.1: "SHELL91 Geometry" and by solid circles in Figure 91.4: "SHELL91 Bottom Surface Nodes".

Figure 91.4 SHELL91 Bottom Surface Nodes

You can also define two elements that share the same nodes but have different settings of KEYOPT(11), as shown in Figure 91.5: "SHELL91 Common Node Elements".

Figure 91.5 SHELL91 Common Node Elements

KEYOPT(10) controls printout of failure criteria. The failure criteria selection is input in the data table [TB], as described in Table 2.2: "Orthotropic Material Failure Criteria Data". Three predefined criteria are available and up to six user-defined criteria may be entered with user subroutines. See Failure Criteria in the Theory Reference for ANSYS and ANSYS Workbench for an explanation of the three predefined failure criteria. See Guide to ANSYS User Programmable Features for an explanation of user subroutines. Failure criteria may also be computed in POST1 (using the FC commands). All references to failure criteria as part of element output data are based only on the TB commands.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces at the nodal plane as shown by the circled numbers on Figure 91.1: "SHELL91 Geometry". Positive pressures act into the element. Edge pressures are input as force per unit length.

Temperatures may be input as element body loads at the corners of the outside faces of the element and at the corners of the interfaces between layers (1-404 maximum), as shown in Figure 91.1: "SHELL91 Geometry". The first corner temperature T1 defaults to TUNIF. If all other temperatures are unspecified, they default to T1. If exactly NL+1 temperatures are input, one temperature is used for the four bottom corners of each layer, and the last temperature is used for the four top corner temperatures of the top layer. That is, T1 is used for T1, T2, T3, and T4; T2 (as input) is used for T5, T6, T7, and T8, etc. For any other input pattern, unspecified temperatures default to TUNIF.

A summary of the element input is given in "SHELL91 Input Summary". A general description of element input is given in Element Input.

SHELL91 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ

Real Constants

Provide the following 12+(6*NL) constants:

NL, LSYM, (Blank), (Blank), (Blank), ADMSUA,
(Blank), (Blank), (Blank), (Blank), (Blank), (Blank),
MAT, THETA, TK(I), TK(J), TK(K), TK(L) for layer 1, etc. up to layer NL
See Table 91.1: "SHELL91 Real Constants" for a description of the real constants.
Material Properties
EX, EY, EZ, ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ), (PRXY, PRYZ, PRXZ or NUXY, NUYZ, NUXZ),
DENS, GXY, GYZ, GXZ, for layer 1, etc. up to layer NL (maximum number of material properties is 13*NL)

Supply DAMP only once for the element (use MAT command to assign material property set). REFT may be supplied once for the element, or may be assigned on a per layer basis. See the discussion in the Input Data section for more details.

Surface Loads
Pressures --

face 1 (I-J-K-L) (bottom, in +z direction), face 2 (I-J-K-L) (top, in -z direction), face 3 (J-I), face 4 (K-J), face 5 (L-K), face 6 (I-L)

Body Loads
Temperatures --

T1, T2, T3, T4 at bottom of layer 1, T5, T6, T7, T8 between layers 1-2, similarly for between next layers, ending with temperatures at top of layer NL(4*(NL+1) maximum)

Special Features
Plasticity (BISO, MISO, BKIN, MKIN, KINH, DP, ANISO)
Creep (CREEP)
Elasticity (MELAS)
Other material (USER)
Stress stiffening
Large deflection
Large strain
Adaptive descent
Swelling

Note

Items in parentheses refer to data tables associated with the TB command.

KEYOPT(1)

The maximum number of layers used by this element type for storage in the .ESAV and .OSAV files; default = 16. The first real constant (NL) must be no greater than the value you specify. The maximum number of layers may be no greater than 100.

KEYOPT(4)

Element coordinate system defined by:

0 --

No user subroutines to define element coordinate system

4 --

Element x-axis located by user subroutine USERAN

5 --

Element x-axis located by user subroutine USERAN and layer x-axes located by user subroutine USANLY

Note

See the Guide to ANSYS User Programmable Features for user written subroutines

KEYOPT(5)

Element output per layer:

0 --

Print average results at layer face farthest from element nodal plane

1 --

Print average results at layer middle

2 --

Print average results at layer top and bottom

3 --

Print results, including failure criterion, at layer top and bottom 4 integration points and averages

4 --

Print results at layer top and bottom 4 corner points and averages

KEYOPT(6)

Interlaminar shear stress output:

0 --

Do not print interlaminar shear stresses

1 --

Print interlaminar shear stresses

KEYOPT(8)

Storage of layer data:

0 --

Store data for bottom of bottom layer and top of top layer.

1 --

Store data for all layers

Caution

Volume of data may be excessive.

KEYOPT(9)

Thick sandwich option:

0 --

Do not use sandwich option

1 --

Use sandwich option

KEYOPT(10)

Failure criteria print summary:

0 --

Print summary of the maximum of all failure criteria

1 --

Print summary of all the failure criteria

KEYOPT(11)

Node offset option:

0 --

Nodes located at middle surface

1 --

Nodes located at bottom surface

2 --

Nodes located at top surface

For a complete discussion of failure criteria, please refer to Failure Criteria.

Table 91.1 SHELL91 Real Constants

No. | Name | Description
Provide the following 12+(6*NL) constants:
1 | NL | Number of layers (100 maximum)
2 | LSYM | Layer symmetry key
3 ... 5 | (Blank) |
6 | ADMSUA | Added mass/unit area
7 ... 12 | (Blank) |
13 | MAT | Material number for layer 1
14 | THETA | x-axis rotation for layer 1
15 | TK(I) | Layer thickness at node I for layer 1
16 | TK(J) | Layer thickness at node J for layer 1
17 | TK(K) | Layer thickness at node K for layer 1
18 | TK(L) | Layer thickness at node L for layer 1
19 ... 12+(6*NL) | MAT, THETA, etc. | Repeat MAT, THETA, TK(I), TK(J), TK(K), and TK(L) for each layer (up to NL layers)

SHELL91 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 91.2: "SHELL91 Element Output Definitions".

Several items are illustrated in Figure 91.6: "SHELL91 Stress Output". The element stress directions correspond to the layer local coordinate directions.

Various layer printout options (KEYOPT(5)) are available. For integration point output, integration point 1 is nearest node I, 2 is nearest J, 3 is nearest K, and 4 is nearest L. Failure criterion output is evaluated only at the integration points (See the Theory Reference for ANSYS and ANSYS Workbench). After the layer printout, the in-plane forces and moments are listed for the entire element. These are shown in Figure 91.6: "SHELL91 Stress Output". The forces and moments are calculated per unit length in the element coordinate system and are the combined sum for all layers. KEYOPT(8) controls the amount of data output on the results file for processing with the LAYER command. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to review results.

Figure 91.6 SHELL91 Stress Output

xIJ = Element x-axis if ESYS is not supplied.

x = Element x-axis if ESYS is supplied.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 91.2 SHELL91 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Corner nodes - I, J, K, L | Y | Y
VOLU: | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 6
PRES | Pressures P1 at nodes I, J, K, L; P2 at I, J, K, L; P3 at J, I; P4 at K, J; P5 at L, K; P6 at I, L | Y | Y
TEMP | Temperatures T1, T2, T3, T4, T5, T6, T7, T8, T9, ... | Y | Y
LN | Layer number | Y | -
POS | Top, middle or bottom of layer | Y | -
LOC | Layer solution location | 1 | -
MAT | Material number of this layer | Y | -
S:X, Y, Z, XY, YZ, XZ | Stresses (in layer local coordinates) | Y | Y
S:1, 2, 3 | Principal stress | Y | Y
S:INT | Stress intensity | Y | Y
S:EQV | Equivalent stress | Y | Y
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains (in layer local coordinates) | Y | Y
EPEL:1, 2, 3 | Principal elastic strain | Y | -
EPEL:EQV | Equivalent elastic strain [7] | - | Y
EPTH:X, Y, Z, XY, YZ, XZ | Average thermal strain | Y | Y
EPTH:EQV | Equivalent thermal strain [7] | - | Y
EPPL:X, Y, Z, XY, YZ, XZ | Plastic strains (in layer local coordinates) | 2 | 2
EPPL:EQV | Equivalent plastic strain [7] | - | Y
EPCR:X, Y, Z, XY, YZ, XZ | Average creep strain | Y | Y
EPCR:EQV | Equivalent creep strain [7] | - | Y
EPSW: | Swelling strain | - | Y
NL:EPEQ | Average equivalent plastic strain | 2 | 2
NL:SRAT | Ratio of trial stress to stress on yield surface | 2 | 2
NL:SEPL | Average equivalent stress from stress-strain curve | 2 | 2
XC, YC, ZC | Global location of layer | Y | -
FC1, ..., FC6, FCMAX | Failure criterion values and maximum at each integration point, output only if KEYOPT(5) = 3 | 3 | -
FC | Failure criterion number (FC1 to FC6, FCMAX) | 3 | Y
VALUE | Maximum value for this criterion (if value exceeds 9999.999, 9999.999 will be output) | 3 | Y
LN | Layer number where maximum occurs | 3 | Y
EPELF(X, Y, Z, XY, YZ, XZ) | Elastic strains (in layer local coordinates) causing the maximum value for this criterion in the element | 3 | Y
SF(X, Y, Z, XY, YZ, XZ) | Stresses (in layer local coordinates) causing the maximum value for this criterion in the element | 3 | Y
LAYERS | Interface location | 4 | -
ILSXZ | SXZ interlaminar shear stress | 4 | Y
ILSYZ | SYZ interlaminar shear stress | 4 | Y
ILANG | Angle of interlaminar shear stress vector (measured from the element x-axis toward the element y-axis in degrees) | 4 | Y
ILSUM | Interlaminar shear stress vector sum | 4 | Y
LN1, LN2 | Layer numbers which define location of maximum interlaminar shear stress (ILMAX) | 5 | Y
ILMAX | Maximum interlaminar shear stress (occurs between LN1 and LN2) | 5 | Y
T(X, Y, XY) | Element total in-plane forces per unit length (in element coordinates) | Y | Y
M(X, Y, XY) | Element total moments per unit length (in element coordinates) | Y | Y
N(X, Y) | Out-of-plane element x and y shear forces | Y | Y

  1. Layer solution location key:

    • Average - center location (if KEYOPT(5) = 0,1, or 2)

    • 1, 2, 3, or 4 - integration point location (if KEYOPT(5) = 3)

    • NL - corner node number (if KEYOPT(5) = 4)

  2. Nonlinear solution (if KEYOPT(5) = 3 and the element has a nonlinear material)

  3. Printed only if KEYOPT(5) = 3. Output of the elastic strains and stresses for each failure criterion and the maximum of all criteria (FCMAX).

  4. Interlaminar stress solution (if KEYOPT(6) = 1)

  5. Printed only if KEYOPT(6) ≠ 0 and significant shear stress is present.

  6. Available only at centroid as a *GET item.

  7. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY); for plastic and creep this value is set at 0.5.

Table 91.3: "SHELL91 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 91.3: "SHELL91 Item and Sequence Numbers":

Name

output quantity as defined in the Table 91.2: "SHELL91 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J,...,L

sequence number for data at nodes I,J,...,L

Table 91.3 SHELL91 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | Bottom of Layer i | Top of Layer NL
ILSXZ | SMISC | (2*i)+7 | (2*NL)+9
ILSYZ | SMISC | (2*i)+8 | (2*NL)+10
ILSUM | NMISC | (2*i)+5 | (2*NL)+7
ILANG | NMISC | (2*i)+6 | (2*NL)+8
Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | J | K | L
P1 | SMISC | (2*NL)+11 | (2*NL)+12 | (2*NL)+13 | (2*NL)+14
P2 | SMISC | (2*NL)+15 | (2*NL)+16 | (2*NL)+17 | (2*NL)+18
P3 | SMISC | (2*NL)+20 | (2*NL)+19 | - | -
P4 | SMISC | - | (2*NL)+22 | (2*NL)+21 | -
P5 | SMISC | - | - | (2*NL)+24 | (2*NL)+23
P6 | SMISC | (2*NL)+25 | - | - | (2*NL)+26
Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
TX | SMISC | 1
TY | SMISC | 2
TXY | SMISC | 3
MX | SMISC | 4
MY | SMISC | 5
MXY | SMISC | 6
NX | SMISC | 7
NY | SMISC | 8
FCMAX (over all layers) | NMISC | 1
VALUE | NMISC | 2
LN | NMISC | 3
ILMAX | NMISC | 4
LN1 | NMISC | 5
LN2 | NMISC | 6
ILSUM (between layers i and i+1) | NMISC | 2i+7
ILANG | NMISC | 2i+8
FCMAX (at layer i) | NMISC | (2*(NL+i))+7
VALUE (at layer i) | NMISC | (2*(NL+i))+8
FC | NMISC | (4*NL)+8+15(N-1)+1
VALUE | NMISC | (4*NL)+8+15(N-1)+2
LN | NMISC | (4*NL)+8+15(N-1)+3
EPELFX | NMISC | (4*NL)+8+15(N-1)+4
EPELFY | NMISC | (4*NL)+8+15(N-1)+5
EPELFZ | NMISC | (4*NL)+8+15(N-1)+6
EPELFXY | NMISC | (4*NL)+8+15(N-1)+7
EPELFYZ | NMISC | (4*NL)+8+15(N-1)+8
EPELFXZ | NMISC | (4*NL)+8+15(N-1)+9
SFX | NMISC | (4*NL)+8+15(N-1)+10
SFY | NMISC | (4*NL)+8+15(N-1)+11
SFZ | NMISC | (4*NL)+8+15(N-1)+12
SFXY | NMISC | (4*NL)+8+15(N-1)+13
SFYZ | NMISC | (4*NL)+8+15(N-1)+14
SFXZ | NMISC | (4*NL)+8+15(N-1)+15

Note

The i in Table 91.3: "SHELL91 Item and Sequence Numbers" (where i = 1, 2, 3 ..., NL) refers to the layer number of the shell. NL is the maximum layer number as input for real constant NL (1 [image] NL [image] 100). N is the failure number as stored on the results file in compressed form, e.g., only those failure criteria requested will be written to the results file. For example, if only the maximum strain and the Tsai-Wu failure criteria are requested, the maximum strain criteria will be stored first (N = 1) and the Tsai-Wu failure criteria will be stored second (N = 2). In addition, if more than one criteria is requested, the maximum value over all criteria is stored last (N = 3 for this example).

SHELL91 Assumptions and Restrictions

  • Zero area elements are not allowed. This occurs most often whenever the elements are not numbered properly.

  • Zero thickness layers are allowed only if a zero thickness is defined at all corners. For nonlinear materials, no layer can be thicker than 1/3 of the average element thickness.

  • All inertial effects are assumed to be in the nodal plane, i.e., unbalanced laminate construction and offsets have no effect on the mass properties of the element.

  • No slippage is assumed between the element layers. Shear deflections are included in the element; however, normals to the center plane before deformation are assumed to remain straight after deformation.

  • If multiple load steps are used, the number of layers may not change between load steps.

  • Under thermal loads, inaccurate results may be calculated for non-flat domains.

  • The applied transverse thermal gradient is assumed to vary linearly through each layer and bilinearly over the element surface.

  • The stress varies linearly through the thickness of each layer.

  • Interlaminar transverse shear stresses are based on the assumption that no shear is carried at the top and bottom surfaces of an element. Further, these interlaminar shear stresses are only computed at the centroid and are not valid along the element boundaries. If accurate edge interlaminar shear stresses are required, shell-to-solid submodeling should be used.

  • Only the lumped mass matrix is available. The mass matrix is assumed to act at the nodal plane.

  • When you specify the sandwich option (KEYOPT(9) = 1), the following limits apply:

    • The ratio of the middle layer (core) thickness to the total thickness should be greater than 5/6, and must be greater than 5/7.

    • The ratio of the peak Young's modulus of the face over the Young's modulus of the core should be greater than 100 and must be greater than 4. Also, it should be less than 10,000 and must be less than 1,000,000.

    • For curved shells, the ratio of the radius of curvature to total thickness should be greater than 10 and must be greater than 8.

  • For the node offset option (KEYOPT(11) ≠ 0):

    • Do not use shell-to-solid submodeling [CBDOF] or temperature interpolation [BFINT].

    • Transverse shear stresses will not be valid if two elements share the same nodes but have different settings of KEYOPT(11) (such as in Figure 91.5: "SHELL91 Common Node Elements"). Also, POST1 nodal results in this case should be obtained from either the top or the bottom element, since nodal data averaging will not be valid if elements from both sides of the nodal plane are used.

SHELL91 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID90 		Up / Home Next
SOLID92


SOLID92

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID92

3-D 10-Node Tetrahedral Structural Solid

MP ME ST PR PRN DS DSS <> <> <> <> PP <>

Product Restrictions

SOLID92 Element Description

SOLID92 has a quadratic displacement behavior and is well suited to model irregular meshes (such as produced from various CAD/CAM systems). See SOLID95 for a 20-node brick shaped element.

The element is defined by ten nodes having three degrees of freedom at each node: translations in the nodal x, y, and z directions. The element also has plasticity, creep, swelling, stress stiffening, large deflection, and large strain capabilities. See SOLID92 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 92.1 SOLID92 Geometry

SOLID92 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 92.1: "SOLID92 Geometry".

Beside the nodes, the element input data includes the orthotropic material properties. Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 92.1: "SOLID92 Geometry". Positive pressures act into the element. Temperatures and fluences may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). If all corner node temperatures are specified, each midside node temperature defaults to the average temperature of its adjacent corner nodes. For any other input temperature pattern, unspecified temperatures default to TUNIF. Similar defaults occurs for fluence except that zero is used instead of TUNIF.

Initial state conditions previously handled via the ISTRESS command will be discontinued for this element. The INISTATE command will provide increased functionality, but only via the Current Technology elements (180,181, etc. ). To continue using Initial State conditions in future versions of ANSYS, consider switching to the appropriate Current Technology element. For more information on setting Initial State values see the INISTATE command and Initial State Loading in the Basic Analysis Guide. For more information on current -vs- legacy element technologies see Legacy vs. Current Element Technologies in the Elements Reference

You can include the effects of pressure load stiffness in a geometric nonlinear analysis using SOLCONTROL,,,INCP. Pressure load stiffness effects are included in linear eigenvalue buckling automatically. If an unsymmetric matrix is needed for pressure load stiffness effects, use NROPT,UNSYM.

A summary of the element input is given in "SOLID92 Input Summary". A general description of element input is given in Element Input.

SOLID92 Input Summary

Nodes

I, J, K, L, M, N, O, P, Q, R

Degrees of Freedom

UX, UY, UZ

Real Constants

None

Material Properties

EX, EY, EZ, ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ), PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ), DENS, GXY, GYZ, GXZ, DAMP

Surface Loads
Pressures --

face 1 (J-I-K), face 2 (I-J-L), face 3 (J-K-L), face 4 (K-I-L)

Body Loads
Temperatures --

T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P), T(Q), T(R)

Fluences --

FL(I), FL(J), FL(K), FL(L), FL(M), FL(N), FL(O), FL(P), FL(Q), FL(R)

Special Features
Plasticity (BISO, MISO, BKIN, MKIN, KINH, DP, ANISO, CHABOCHE, HILL)
Creep (CREEP, RATE)
Swelling (SWELL)
Elasticity (MELAS)
Other material (USER)
Stress stiffening
Large deflection
Large strain
Birth and death
Adaptive descent
Initial stress import

Note

Items in parentheses refer to data tables associated with the TB command.

KEYOPT(5)

Extra element output:

0 --

Basic element printout

1 --

Integration point printout

2 --

Nodal stress printout

KEYOPT(6)

Extra surface output:

0 --

Basic element printout

4 --

Surface printout for faces with nonzero pressure

KEYOPT(9)

Initial stress subroutine option (available only through direct input of the KEYOPT command):

0 --

No user subroutine to provide initial stress (default)

1 --

Read initial stress data from user subroutine USTRESS (see the Guide to ANSYS User Programmable Features for user written subroutines)

SOLID92 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 92.1: "SOLID92 Element Output Definitions"

Several items are illustrated in Figure 92.2: "SOLID92 Stress Output". The element stress directions are parallel to the element coordinate system. The surface stress outputs are in the surface coordinate system and are available for any face (KEYOPT(6)). The coordinate system for face J-I-K is shown in Figure 92.2: "SOLID92 Stress Output". The other surface coordinate systems follow similar orientations as indicated by the pressure face node description. Surface stress printout is valid only if the conditions described in Element Solution are met. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 92.2 SOLID92 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 92.1 SOLID92 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Corner nodes - I, J, K, L | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 3
PRES | Pressures P1 at nodes J, I, K; P2 at I, J, L; P3 at J, K, L; P4 at K, I, L | Y | Y
TEMP | Temperatures T(I), T(J), T(K), T(L) | Y | Y
FLUEN | Fluences FL(I), FL(J), FL(K), FL(L), FL(M), FL(N), FL(O), FL(P), FL(Q), FL(R) | Y | Y
S:X, Y, Z, XY, YZ, XZ | Stresses | Y | Y
S:1, 2, 3 | Principal stresses | Y | Y
S:INT | Stress intensity | Y | Y
S:EQV | Equivalent stress | Y | Y
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | Y | Y
EPEL:1, 2, 3 | Principal elastic strains | Y | Y
EPEL:EQV | Equivalent elastic strains [4] | Y | -
EPTH:X, Y, Z, XY, YZ, XZ | Thermal strains | 1 | 1
EPTH:EQV | Equivalent thermal strains [4] | 1 | 1
EPPL:X, Y, Z, XY, YZ, XZ | Plastic strains | 1 | 1
EPPL:EQV | Equivalent plastic strains [4] | 1 | 1
EPCR:X, Y, Z, XY, YZ, XZ | Creep strains | 1 | 1
EPCR:EQV | Equivalent creep strains [4] | 1 | 1
EPSW: | Swelling strain | 1 | 1
NL:EPEQ | Average equivalent plastic strain | 1 | 1
NL:SRAT | Ratio of trial stress to stress on yield surface | 1 | 1
NL:SEPL | Equivalent stress from stress-strain curve | 1 | 1
NL:HPRES | Hydrostatic pressure | - | 1
FACE | Face label | 2 | 2
TRI | Nodes on this face | 2 | -
AREA | Face area | 2 | 2
TEMP | Face average temperature | 2 | 2
EPEL(X, Y, XY) | Surface elastic strains | 2 | 2
PRES | Surface pressure | 2 | 2
S(X, Y, XY) | Surface stresses | 2 | 2
S(1, 2, 3) | Surface principal stresses | 2 | 2
SINT | Surface stress intensity | 2 | 2
SEQV | Surface equivalent stress | 2 | 2
LOCI:X, Y, Z | Integration point locations | - | Y

  1. Nonlinear solution (output if the element has a nonlinear material)

  2. Surface output (if KEYOPT(6) = 4 and a nonzero pressure face)

  3. Available only at centroid as a *GET item.

  4. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY); for plastic and creep this value is set at 0.5.

Table 92.2 SOLID92 Miscellaneous Element Output

Description | Names of Items Output | O | R
Integration Point Stress Solution | TEMP, SINT, SEQV, EPEL, S, EPPL, EPCR, EPSW, EPEQ, SRAT, SEPL, HPRES | 1 | -
Nodal Stress Solution | LOCATION, TEMP, SINT, SEQV, S | 2 | -

  1. Output at each integration point, if KEYOPT(5) = 1

  2. Output at each vertex node, if KEYOPT(5) = 2

Table 92.3: "SOLID92 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 92.3: "SOLID92 Item and Sequence Numbers":

Name

output quantity as defined in the Table 92.1: "SOLID92 Element Output Definitions"

Item

predetermined Item label for ETABLE command

I,J,...,R

sequence number for data at nodes I,J,...,R

Table 92.3 SOLID92 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | J | K | L | M,...,R
P1 | SMISC | 2 | 1 | 3 | - | -
P2 | SMISC | 4 | 5 | - | 6 | -
P3 | SMISC | - | 7 | 8 | 9 | -
P4 | SMISC | 11 | - | 10 | 12 | -
S:1 | NMISC | 1 | 6 | 11 | 16 | -
S:2 | NMISC | 2 | 7 | 12 | 17 | -
S:3 | NMISC | 3 | 8 | 13 | 18 | -
S:INT | NMISC | 4 | 9 | 14 | 19 | -
S:EQV | NMISC | 5 | 10 | 15 | 20 | -

See Surface Solution in this manual for the item and sequence numbers for surface output for the ETABLE command.

SOLID92 Assumptions and Restrictions

  • The element must not have a zero volume. Elements may be numbered either as shown in Figure 92.1: "SOLID92 Geometry" or may have node L below the I-J-K plane.

  • An edge with a removed midside node implies that the displacement varies linearly, rather than parabolically, along that edge. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for information about the use of midside nodes.

SOLID92 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The DAMP material property is not allowed.

  • Fluence body loads are not applicable.

  • The only special feature allowed is stress stiffening.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SHELL91 		Up / Home Next
SHELL93


SHELL93

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SHELL93

8-Node Structural Shell

MP ME ST PR PRN DS <> <> <> <> <> PP <>

Product Restrictions

SHELL93 Element Description

SHELL93 is particularly well suited to model curved shells. The element has six degrees of freedom at each node: translations in the nodal x, y, and z directions and rotations about the nodal x, y, and z-axes. The deformation shapes are quadratic in both in-plane directions. The element has plasticity, stress stiffening, large deflection, and large strain capabilities. See SHELL93 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 93.1 SHELL93 Geometry

xIJ = Element x-axis if ESYS is not supplied.

x = Element x-axis if ESYS is supplied.

SHELL93 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 93.1: "SHELL93 Geometry". The element is defined by eight nodes, four thicknesses, and the orthotropic material properties. Midside nodes may not be removed from this element. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for additional information about the use of midside nodes. A triangular-shaped element may be formed by defining the same node number for nodes K, L and O.

Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. The element x and y-axes are in the plane of the element. The x-axis may be rotated an angle THETA (in degrees) toward the y-axis.

The element may have variable thickness. The thickness is assumed to vary smoothly over the area of the element, with the thickness input at the corner nodes. The thickness at the midside nodes is taken as the average of the corresponding corner nodes. If the element has a constant thickness, only TK(I) need be input. If the thickness is not constant, all four thicknesses must be input. If the total thickness of any shell element is greater than twice the radius of curvature, ANSYS issues an error. If the total thickness is greater than one-fifth but less than twice the radius of curvature, ANSYS issues a warning. ADMSUA is the added mass per unit area.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 93.1: "SHELL93 Geometry". Positive pressures act into the element. Edge pressures are input as force per unit length. Temperatures may be input as element body loads at the "corner" locations (1-8) shown in Figure 93.1: "SHELL93 Geometry". The first corner temperature T1 defaults to TUNIF. If all other temperatures are unspecified, they default to T1. If only T1 and T2 are input, T1 is used for T1, T2, T3, and T4, while T2 (as input) is used for T5, T6, T7, and T8. For any other input pattern, unspecified temperatures default to TUNIF. Only the lumped mass matrix is available.

KEYOPT(8) = 2 is used to store midsurface results in the results file for single or multi-layer shell elements. If you use SHELL,MID, you will see these calculated values, rather than the average of the TOP and BOTTOM results. You should use this option to access these correct midsurface results (membrane results) for those analyses where averaging TOP and BOTTOM results is inappropriate; examples include midsurface stresses and strains with nonlinear material behavior, and midsurface results after mode combinations that involve squaring operations such as in spectrum analyses.

A summary of the element input is given in "SHELL93 Input Summary". A general description of element input is given in "SHELL93 Input Summary".

SHELL93 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ

Real Constants
TK(I), TK(J), TK(K), TK(L), THETA, ADMSUA
See Table 93.1: "SHELL93 Real Constants" for a description of the real constants.
Material Properties

EX, EY, EZ, ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ), (PRXY, PRYZ, PRXZ or NUXY, NUYZ, NUXZ), DENS, GXY, GYZ, GXZ, DAMP

Surface Loads
Pressures --

face 1 (I-J-K-L) (bottom, in +Z direction), face 2 (I-J-K-L) (top, in -Z direction), face 3 (J-I), face 4 (K-J), face 5 (L-K), face 6 (I-L)

Body Loads
Temperature --

T1, T2, T3, T4, T5, T6, T7, T8

Special Features
Plasticity
Creep
Stress stiffening
Large deflection
Large strain
Birth and death
Adaptive descent
Swelling
KEYOPT(4)

Element coordinate system defined by:

0 --

No user subroutine to define element coordinate system

4 --

Element x-axis located by user subroutine USERAN

Note

See the Guide to ANSYS User Programmable Features more information on user written subroutines

KEYOPT(5)

Extra stress output:

0 --

Basic element printout

1 --

Repeat basic solution for all integration points and top, middle and bottom surfaces

2 --

Nodal stress printout

KEYOPT(6)

Nonlinear integration point output:

0 --

Basic element printout

1 --

Nonlinear integration point printout

KEYOPT(8)

Specify data storage:

0 --

Store data for TOP and BOTTOM surfaces

2 --

Store data for TOP, BOTTOM, and MID surfaces.

Table 93.1 SHELL93 Real Constants

No. | Name | Description
1 | TK(I) | Shell thickness at node I
2 | TK(J) | Shell thickness at node J
3 | TK(K) | Shell thickness at node K
4 | TK(L) | Shell thickness at node L
5 | THETA | Element X-axis rotation
6 | ADMSUA | Added mass/unit area

SHELL93 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 93.2: "SHELL93 Element Output Definitions"

Several items are illustrated in Figure 93.2: "SHELL93 Stress Output". Printout includes the moments about the x face (MX), the moments about the y face (MY), and the twisting moment (MXY). The moments are calculated per unit length in the element coordinate system. The element stress directions and force resultants (NX, MX, TX, etc.) are parallel to the element coordinate system. The basic element printout is given at the center of the top of face IJKL, the element centroid, and at the center of the bottom of face IJKL. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 93.2 SHELL93 Stress Output

xIJ = Element x-axis if ESYS is not supplied.

x = Element x-axis if ESYS is supplied.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 93.2 SHELL93 Element Output Definitions

Name | Definition | O | R
EL | Element number and name | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P | Y | Y
MAT | Material number | Y | Y
THICK | Average thickness | Y | Y
VOLU: | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 3
PRES | Pressures P1 at nodes I,J,K,L; P2 at I,J,K,L; P3 at J,I; P4 at K,J; P5 at L,K; P6 at I,L | Y | Y
TEMP | T1, T2, T3, T4, T5, T6, T7, T8 | Y | Y
LOC | TOP, MID, BOT, or integration point location | 1 | 1
S:X, Y, Z, XY, YZ, XZ | Stresses | 1 | 1
S:1, 2, 3 | Principal stress | 1 | 1
S:INT | Stress intensity | 1 | 1
S:EQV | Equivalent stress | 1 | 1
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | 1 | 1
EPEL:1, 2, 3 | Principal stress | 1 | 1
EPEL:EQV | Equivalent elastic strain [4] | - | 1
EPTH:X, Y, Z, XY, YZ, XZ | Average thermal strain | Y | Y
EPTH:EQV | Equivalent thermal strain [4] | - | Y
EPPL:X, Y, Z, XY, YZ, XZ | Average plastic strains | 2 | 2
EPPL:EQV | Equivalent plastic strains [4] | - | 2
EPCR:X, Y, Z, XY, YZ, XZ | Average creep strains (X, Y, Z, XY, YZ, XZ) | 2 | 2
EPCR:EQV | Equivalent creep strain [4] | - | 2
EPSW: | Swelling strain | - | 2
NL:EPEQ | Average equivalent plastic strain | 2 | 2
NL:SRAT | Ratio of trial stress to stress on yield surface | 2 | 2
NL:SEPL | Average equivalent stress from stress-strain curve | 2 | 2
T(X, Y, XY) | In-plane element X, Y, and XY forces | Y | Y
M(X, Y, XY) | Element X, Y, and XY moments | Y | Y
N(X, Y) | Out-of-plane element X and Y shear forces | Y | Y

  1. The stress solution item repeats for top, middle, and bottom surfaces (and for all integration points if KEYOPT(5) = 1)

  2. Nonlinear solution (item output for top, middle, and bottom surfaces only if the element has a nonlinear material)

  3. Available only at centroid as a *GET item.

  4. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY); for plastic and creep this value is set at 0.5.

Table 93.3 SHELL93 Miscellaneous Element Output

Description | Names of Items Output | O | R
Nonlinear Integration Pt. Solution | EPPL, EPEQ, SRAT, SEPL | 1 | -
Nodal Stress Solution | TEMP, S, SINT, SEQV | 2 | -

  1. Output at each integration point, if the element has a nonlinear material and KEYOPT(6) = 1

  2. Output at each corner node, if KEYOPT(5) = 2 (repeats each location)

Table 93.4: "SHELL93 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 93.4: "SHELL93 Item and Sequence Numbers":

Name

output quantity as defined in the Table 93.2: "SHELL93 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J,...,L

sequence number for data at nodes I,J,...,L

Table 93.4 SHELL93 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J | K | L
TX | SMISC | 1 | - | - | - | -
TY | SMISC | 2 | - | - | - | -
TXY | SMISC | 3 | - | - | - | -
MX | SMISC | 4 | - | - | - | -
MY | SMISC | 5 | - | - | - | -
MXY | SMISC | 6 | - | - | - | -
NX | SMISC | 7 | - | - | - | -
NY | SMISC | 8 | - | - | - | -
THICK | NMISC | 49 | - | - | - | -
P1 | SMISC | - | 9 | 10 | 11 | 12
P2 | SMISC | - | 13 | 14 | 15 | 16
P3 | SMISC | - | 18 | 17 | - | -
P4 | SMISC | - | - | 20 | 19 | -
P5 | SMISC | - | - | - | 22 | 21
P6 | SMISC | - | 23 | - | - | 24
Top
S:1 | NMISC | - | 1 | 6 | 11 | 16
S:2 | NMISC | - | 2 | 7 | 12 | 17
S:3 | NMISC | - | 3 | 8 | 13 | 18
S:INT | NMISC | - | 4 | 9 | 14 | 19
S:EQV | NMISC | - | 5 | 10 | 15 | 20
Bot
S:1 | NMISC | - | 21 | 26 | 31 | 36
S:2 | NMISC | - | 22 | 27 | 32 | 37
S:3 | NMISC | - | 23 | 28 | 33 | 38
S:INT | NMISC | - | 24 | 29 | 34 | 39
S:EQV | NMISC | - | 25 | 30 | 35 | 40

SHELL93 Assumptions and Restrictions

  • Zero area elements are not allowed. This occurs most often whenever the elements are not numbered properly.

  • Zero thickness elements or elements tapering down to a zero thickness at any corner are not allowed.

  • The applied transverse thermal gradient is assumed to vary linearly through the thickness.

  • Shear deflections are included in this element.

  • The out-of-plane (normal) stress for this element varies linearly through the thickness.

  • The transverse shear stresses (SYZ and SXZ) are assumed to be constant through the thickness.

  • The transverse shear strains are assumed to be small in a large strain analysis.

  • This element may produce inaccurate stresses under thermal loads for doubly curved or warped domains.

SHELL93 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The DAMP material property is not allowed.

  • The special features allowed are stress stiffening and large deflection.

  • KEYOPT(4) can only be set to 0 (default).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID92 		Up / Home Next
CIRCU94


CIRCU94

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

CIRCU94

Piezoelectric Circuit

MP <> <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

CIRCU94 Element Description

CIRCU94 is a circuit element for use in piezoelectric-circuit analyses. The element has two or three nodes to define the circuit component and one or two degrees of freedom to model the circuit response. The element may interface with the following piezoelectric elements:

PLANE13, KEYOPT(1) = 7 coupled-field quadrilateral solid
SOLID5, KEYOPT(1) = 0 or 3 coupled-field brick
SOLID98, KEYOPT(1) = 0 or 3 coupled-field tetrahedron
PLANE223, KEYOPT(1) = 1001, coupled-field 8-node quadrilateral
SOLID226, KEYOPT(1) = 1001, coupled-field 20-node brick
SOLID227, KEYOPT(1) = 1001, coupled-field 10-node tetrahedron

CIRCU94 is applicable to full harmonic and transient analyses. For these types of analyses, you can also use CIRCU94 as a general circuit element. See CIRCU94 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

CIRCU94 Input Data

The geometry, node definition, and degree of freedom options are shown in Figure 94.1: "CIRCU94 Circuit Options" . Active nodes I and J define the resistor, inductor, capacitor and independent current source. They are connected to the electric circuit. Active nodes I and J and a passive node K define the independent voltage source. The passive node is not connected to the electric circuit. It is associated with the CURR degree of freedom (which represents electric charge for this element).

KEYOPT(1) settings and the corresponding real constants define the circuit components. Real constant input is dependent on the element circuit option used. A summary of the element input options is given in "CIRCU94 Input Summary". Real constants 15 (Graphical offset, GOFFST) and 16 (Element identification number, ID) are created for all components.

Figure 94.1 CIRCU94 Circuit Options

The independent current and voltage sources (KEYOPT(1) = 3 or 4) may be excited by constant load (transient) or constant amplitude load (harmonic), sinusoidal, pulse, exponential, or piecewise linear load functions as defined by KEYOPT(2); see Figure 94.2: "Load Functions and Corresponding Real Constants for Independent Current and Voltage Sources".

The time-step size for a transient analysis is controlled by the DELTIM or NSUBST commands. The CIRCU94 element does not respond to automatic time stepping (AUTOTS command), but AUTOTS can be used as a mechanism for ramping the time step to its final value.

CIRCU94 is only compatible with elements having a VOLT DOF and an electric charge reaction solution. Electric charge reactions must all be positive or negative. KEYOPT(6) sets the electric charge reaction sign. See Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide for more information.

CIRCU94 Input Summary

Nodes

I, J, K

Degrees of Freedom

VOLT, CURR (charge) (see Figure 94.1: "CIRCU94 Circuit Options")

Real Constants

Dependent on KEYOPT(1) and KEYOPT(2) settings. See Table 94.1: "CIRCU94 Real Constants" for details.

Material Properties

None

Surface Loads

None

Body Loads

See KEYOPT(2)

Special Features

This element works with the large deflection and stress stiffening capabilities of PLANE13, SOLID5, SOLID98, PLANE223, SOLID226, and SOLID227.

KEYOPT(1)

Circuit component type:

0 --

Resistor

1 --

Inductor

2 --

Capacitor

3 --

Independent Current Source

4 --

Independent Voltage Source

KEYOPT(2)

Body loads (only used for KEYOPT(1) = 3 and 4):

0 --

Constant load (transient) or constant amplitude load (harmonic)

1 --

Sinusoidal load

2 --

Pulse load

3 --

Exponential load

4 --

Piecewise Linear load

KEYOPT(6)

Electric charge reaction sign:

0 --

Negative

1 --

Positive

Table 94.1 CIRCU94 Real Constants

Circuit Component and Graphics Label | KEYOPT(1) | Real Constants
Resistor (R) | 0 | R1 = Resistance (RES)
Inductor (L) 1
R1 = Inductance (IND)
R2 = Initial inductor current (ILO)
Capacitor (C) 2
R1 = Capacitance (CAP)
R2 = Initial Capacitor Voltage (VCO)
Independent Current Source (I) 3 For KEYOPT(2) = 0:
R1 = Amplitude (AMPL)
R2 = Phase angle (PHAS)
For KEYOPT(2) > 0, see Figure 94.2: "Load Functions and Corresponding Real Constants for Independent Current and Voltage Sources".
Independent Voltage Source (V) 4 For KEYOPT(2) = 0:
R1 = Amplitude (AMPL)
R2 = Phase angle (PHAS)
For KEYOPT(2) > 0, see Figure 94.2: "Load Functions and Corresponding Real Constants for Independent Current and Voltage Sources".

Note

For all above Circuit options, the GOFFST and ID real constants (numbers 15 and 16) are created by the Circuit Builder automatically:

Figure 94.2 Load Functions and Corresponding Real Constants for Independent Current and Voltage Sources

CIRCU94 Output Data

The element output for this element is dependent on the circuit option selected. Table 94.2: "CIRCU94 Element Output Definitions" summarizes the element output data.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 94.2 CIRCU94 Element Output Definitions

Name | Definition | O | R
For KEYOPT(1) = 0: Resistor
EL | Element Number | Y | Y
NODES | Nodes-I,J | Y | Y
RES | Resistance | Y | Y
VOLTAGE | Voltage drop between node I and node J | Y | Y
CURRENT | Current | Y | Y
POWER | Power loss | Y | Y
For KEYOPT(1) = 1: Inductor
EL | Element Number | Y | Y
NODES | Nodes-I,J | Y | Y
IND | Inductance | Y | Y
IL0 | Initial current | Y | Y
VOLTAGE | Voltage drop between node I and node J | Y | Y
CURRENT | Current | Y | Y
POWER | Power absorption | Y | Y
For KEYOPT(1) = 2: Capacitor
EL | Element Number | Y | Y
NODES | Nodes-I,J | Y | Y
CAP | Capacitance | Y | Y
VC0 | Initial voltage | Y | Y
VOLTAGE | Voltage drop between node I and node J | Y | Y
CURRENT | Current | Y | Y
POWER | Power absorption | Y | Y
For KEYOPT(1) = 3: Independent Current Source
EL | Element Number | Y | Y
NODES | Nodes-I,J | Y | Y
CURRENT SOURCE | Real or imaginary component of applied current | Y | Y
VOLTAGE | Voltage drop between node I and node J | Y | Y
CURRENT | Current | Y | Y
POWER | Power (loss if positive, output if negative) | Y | Y
For KEYOPT(1) = 4: Independent Voltage Source
EL | Element Number | Y | Y
NODES | Nodes-I,J,K | Y | Y
VOLTAGE SOURCE | Real or imaginary component of applied voltage | Y | Y
VOLTAGE | Voltage drop between node I and node J | Y | Y
CURRENT | Current at node K | Y | Y
POWER | Power (loss if positive, output if negative) | Y | Y

Table 94.3: "CIRCU94 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 94.3: "CIRCU94 Item and Sequence Numbers":

Name

output quantity as defined in Table 94.2: "CIRCU94 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 94.3 CIRCU94 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
VOLTAGE | SMISC | 1
CURRENT | SMISC | 2
POWER | NMISC | 1
SOURCE (real) | NMISC | 2
SOURCE (imaginary) | NMISC | 3

CIRCU94 Assumptions and Restrictions

  • CIRCU94 is applicable only to full harmonic and transient analyses. You cannot use CIRCU94 in a static analysis or in a transient analysis with time integration effects turned off (TIMINT,OFF).

  • Only MKS units are allowed (EMUNIT command).

  • Only the sparse solver is available for problems using the independent voltage source circuit option.

  • This element may not be compatible with other elements with the VOLT degree of freedom. For example, it is not compatible with CIRCU124 or CIRCU125. To be compatible, the elements must have the same reaction solution for the VOLT DOF. Elements that have an electric charge reaction solution must all have the same electric charge reaction sign. For more information, see Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide.

CIRCU94 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SHELL93 		Up / Home Next
SOLID95


SOLID95

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID95

3-D 20-Node Structural Solid

MP ME ST PR PRN DS DSS <> <> <> <> PP <>

Product Restrictions

SOLID95 Element Description

SOLID95 is a higher order version of the 3-D 8-node solid element SOLID45. It can tolerate irregular shapes without as much loss of accuracy. SOLID95 elements have compatible displacement shapes and are well suited to model curved boundaries.

The element is defined by 20 nodes having three degrees of freedom per node: translations in the nodal x, y, and z directions. The element may have any spatial orientation. SOLID95 has plasticity, creep, stress stiffening, large deflection, and large strain capabilities. Various printout options are also available. See SOLID95 in the Theory Reference for ANSYS and ANSYS Workbench for more details.

Figure 95.1 SOLID95 Geometry

SOLID95 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 95.1: "SOLID95 Geometry". A prism-shaped element may be formed by defining the same node numbers for nodes K, L, and S; nodes A and B; and nodes O, P, and W. A tetrahedral-shaped element and a pyramid-shaped element may also be formed as shown in Figure 95.1: "SOLID95 Geometry". A similar, but 10-node tetrahedron, element is SOLID92.

Besides the nodes, the element input data includes the orthotropic material properties. Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 95.1: "SOLID95 Geometry". Positive pressures act into the element. Temperatures may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). If all corner node temperatures are specified, each midside node temperature defaults to the average temperature of its adjacent corner nodes. For any other input temperature pattern, unspecified temperatures default to TUNIF.

When using KEYOPT(1) = 1, this element acts in many regards as a shell element. Multiple elements through the thickness can be used to model a composite laminate in detail. Material properties are oriented the same way as for a shell element (using the plane through the midside nodes Y-Z-A-B) when you set KEYOPT(1) = 1. The element z-axis is normal to this plane and the element x-axis is determined by projecting the x-axis (set with ESYS) onto the midside node plane. If needed, the x-axis can be adjusted by using THETA, an optional real constant. THETA cannot be changed between load steps. In POST1, the command LAYER,1 is needed to get correct results in the material system, even though there is only one layer.

A lumped mass matrix formulation, which may be useful for certain analyses, may be obtained with LUMPM. While the consistent matrix gives good results for most applications, the lumped matrix may give better results with reduced analyses using Guyan reduction. The KEYOPT(5) and (6) parameters provide various element printout options (see Element Solution).

Initial state conditions previously handled via the ISTRESS command will be discontinued for this element. The INISTATE command will provide increased functionality, but only via the Current Technology elements (180,181, etc. ). To continue using Initial State conditions in future versions of ANSYS, consider switching to the appropriate Current Technology element. For more information on setting Initial State values see the INISTATE command and Initial State Loading in the Basic Analysis Guide. For more information on current -vs- legacy element technologies see Legacy vs. Current Element Technologies in the Elements Reference

You can include the effects of pressure load stiffness using SOLCONTROL,,,INCP. If an unsymmetric matrix is needed for pressure load stiffness effects, use NROPT,UNSYM.

A summary of the element input is given in "SOLID95 Input Summary". A general description of element input is given in Element Input.

SOLID95 Input Summary

Nodes

I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z, A, B

Degrees of Freedom

UX, UY, UZ

Real Constants

THETA - x-axis adjustment (used only when KEYOPT(1) = 1)

Material Properties

EX, EY, EZ, ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ), PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ), DENS, GXY, GYZ, GXZ, DAMP

Surface Loads
Pressures --
face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N),
face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)
Body Loads
Temperatures --

T(I), T(J), ..., T(Z), T(A), T(B)

Special Features
Plasticity (BISO, MISO, BKIN, MKIN, KINH, DP, ANISO, CHABOCHE, HILL)
Creep (CREEP, RATE)
Swelling (SWELL)
Elasticity (MELAS)
Other material (USER)
Stress stiffening
Large deflection
Large strain
Birth and death
Adaptive descent
Initial stress import

Note

Items in parentheses refer to data tables associated with the TB command.

KEYOPT(1)

Element coordinate system:

0 --

(default)

1 --

Orient material properties using plane created by midside nodes (Y-Z-A-B) with the z-axis normal to that plane and the x-axis (from ESYS) projected onto that plane.

KEYOPT(5)

Extra element output:

0 --

Basic element printout

1 --

Repeat basic solution for all integration points

2 --

Nodal stress printout

KEYOPT(6)

Extra surface output:

0 --

Basic element printout

1 --

Surface printout for face I-J-N-M

2 --

Surface printout for face I-J-N-M and face K-L-P-O (Surface printout valid for linear materials only)

3 --

Nonlinear printout at each integration point

4 --

Surface printout for faces with nonzero pressure

KEYOPT(9)

Initial stress subroutine option (available only through direct input of the KEYOPT command):

0 --

No user subroutine to provide initial stress (default)

1 --

Read initial stress data from user subroutine USTRESS (see the Guide to ANSYS User Programmable Features for user written subroutines)

KEYOPT(11)

Integration rule:

0 --

No reduced integration (default)

1 --

2 x 2 x 2 reduced integration option for brick shape

See Failure Criteria in the Theory Reference for ANSYS and ANSYS Workbench for an explanation of the three predefined failure criteria. For a complete discussion of failure criteria, please refer to Failure Criteria.

SOLID95 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 95.1: "SOLID95 Element Output Definitions"

Several items are illustrated in Figure 95.2: "SOLID95 Stress Output".

The element stress directions are parallel to the element coordinate system. The surface stress outputs are in the surface coordinate systems and are available for any face (KEYOPT(6)). The coordinate systems for faces I-J-N-M and K-L-P-O are shown in Figure 95.2: "SOLID95 Stress Output". The other surface coordinate systems follow similar orientations as indicated by the pressure face node description. Surface printout is valid only if the conditions described in Element Solution are met. The SXY component is the in-plane shear stress on that face. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 95.2 SOLID95 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 95.1 SOLID95 Element Output Definitions

Name | Definition | O | R
EL | Element number and name | Y | Y
CORNER NODES | Nodes - I, J, K, L, M, N, O, P | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 5
PRES | Pressures P1 at nodes J, I, L, K; P2 at I, J, N, M; P3 at J, K, O, N; P4 at K, L, P, O; P5 at L, I, M, P; P6 at M, N, O, P | Y | Y
TEMP | Temperatures T(I), T(J), ..., T(Z), T(A), T(B) | Y | Y
S:X, Y, Z, XY, YZ, XZ | Stresses | Y | Y
S:1, 2, 3 | Principal stresses | Y | Y
S:INT | Stress intensity | Y | Y
S:EQV | Equivalent stress | Y | Y
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | Y | Y
EPEL:1, 2, 3 | Principal elastic strains | Y | -
EPEL:EQV | Equivalent elastic strain [6] | Y | Y
EPTH:X, Y, Z, XY, YZ, XZ | Average thermal strains | 1 | 1
EPTH:EQV | Equivalent thermal strain [6] | 1 | 1
EPPL:X, Y, Z, XY, YZ, XZ | Average plastic strains | 1 | 1
EPPL:EQV | Equivalent plastic strain [6] | 1 | 1
EPCR:X, Y, Z, XY, YZ, XZ | Average creep strains | 1 | 1
EPCR:EQV | Equivalent creep strain [6] | 1 | 1
EPSW: | Swelling strain | 1 | 1
NL:EPEQ | Average equivalent plastic strain | 1 | 1
NL:SRAT | Ratio of trial stress to stress on yield surface | 1 | 1
NL:SEPL | Average equivalent stress from stress-strain curve | 1 | 1
NL:HPRES | Hydrostatic pressure | - | 1
FACE | Face label | 2 | 2
AREA | Face area | 2 | 2
TEMP | Face average temperature | 2 | 2
EPEL(X, Y, XY) | Surface elastic strains | 2 | 2
PRES | Surface pressure | 2 | 2
S(X, Y, XY) | Surface stresses (X-axis parallel to line defined by first two nodes which define the face) | 2 | 2
S(1, 2, 3) | Surface principal stresses | 2 | 2
SINT | Surface stress intensity | 2 | 2
SEQV | Surface equivalent stress | 2 | 2
FC1, ..., FC6, FCMAX | Failure criterion values and maximum at each integration point | 3 | -
FC | Failure criterion number (FC1 to FC6, FCMAX) | 4 | Y
VALUE | Maximum value for this criterion (if value exceeds 9999.999, 9999.999 will be printed) | 4 | Y
LN | Layer number where maximum occurs | 4 | Y
EPELF(X, Y, Z, XY, YZ, XZ) | Elastic strains (in layer local coordinates) causing the maximum value for this criterion in the element. | 4 | Y
SF(X, Y, Z, XY, YZ, XZ) | Stresses (in layer local coordinates) causing the maximum value for this criterion in the element. | 4 | Y
LOCI:X, Y, Z | Integration point locations | - | Y

  1. Nonlinear solution (output only if the element has a nonlinear material)

  2. Surface output (if KEYOPT(6) is 1, 2, or 4)

  3. Output only if KEYOPT(1) = 1, KEYOPT (5) = 1, and failure criteria was specified (TB,FAIL)

  4. Summary of failure criteria calculation. Output of the elastic strains and stresses for each failure criterion and the maximum of all criteria (FCMAX). Output only if KEYOPT(1) = 1 and failure criteria was specified (TB,FAIL).

  5. Available only at centroid as a *GET item

  6. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY); for plastic and creep this value is set at 0.5.

Table 95.2 SOLID95 Miscellaneous Element Output

Description | Names of Items Output | O | R
Nonlinear Integration Pt. Solution | EPPL, EPEQ, SRAT, SEPL, HPRES, EPCR | 1 | -
Integration Point Stress Solution | TEMP, S, SINT, SEQV, EPEL | 2 | -
Nodal Stress Solution | TEMP, S, SINT, SEQV, EPEL | 3 | -

  1. Output at each integration point, if the element has a nonlinear material and KEYOPT(6) = 3

  2. Output at each integration point, if KEYOPT(5) = 1

  3. Output at each node, if KEYOPT(5) = 2

Table 95.3: "SOLID95 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 95.3: "SOLID95 Item and Sequence Numbers":

Name

output quantity as defined in Table 95.1: "SOLID95 Element Output Definitions"

Item

predetermined Item label for ETABLE command

I,J,...,P

sequence number for data at nodes I,J,...,P

Table 95.3 SOLID95 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | J | K | L | M | N | O | P
P1 | SMISC | 2 | 1 | 4 | 3 | - | - | - | -
P2 | SMISC | 5 | 6 | - | - | 8 | 7 | - | -
P3 | SMISC | - | 9 | 10 | - | - | 12 | 11 | -
P4 | SMISC | - | - | 13 | 14 | - | - | 16 | 15
P5 | SMISC | 18 | - | - | 17 | 19 | - | - | 20
P6 | SMISC | - | - | - | - | 21 | 22 | 23 | 24
S:1 | NMISC | 1 | 6 | 11 | 16 | 21 | 26 | 31 | 36
S:2 | NMISC | 2 | 7 | 12 | 17 | 22 | 27 | 32 | 37
S:3 | NMISC | 3 | 8 | 13 | 18 | 23 | 28 | 33 | 38
S:INT | NMISC | 4 | 9 | 14 | 19 | 24 | 29 | 34 | 39
S:EQV | NMISC | 5 | 10 | 15 | 20 | 25 | 30 | 35 | 40

The following output items are available only if KEYOPT(1) = 1 and the failure criteria information (TB,FAIL) was specified.

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | Number
FCMAX | NMISC | 61
VALUE | NMISC | 62
FC | NMISC | 62 + 15(N-1) + 1
VALUE | NMISC | 62 + 15(N-1) + 2
LN (=1) | NMISC | 62 + 15(N-1) + 3
EPELFX | NMISC | 62 + 15(N-1) + 4
EPELFY | NMISC | 62 + 15(N-1) + 5
EPELFZ | NMISC | 62 + 15(N-1) + 6
EPELFXY | NMISC | 62 + 15(N-1) + 7
EPELFYZ | NMISC | 62 + 15(N-1) + 8
EPELFXZ | NMISC | 62 + 15(N-1) + 9
SFX | NMISC | 62 + 15(N-1) + 10
SFY | NMISC | 62 + 15(N-1) + 11
SFZ | NMISC | 62 + 15(N-1) + 12
SFXY | NMISC | 62 + 15(N-1) + 13
SFYZ | NMISC | 62 + 15(N-1) + 14
SFXZ | NMISC | 62 + 15(N-1) + 15

Note

N refers to the failure criterion number: N = 1 for the first failure criterion, N = 2 for the second failure criterion, and so on.

See Surface Solution in this manual for the item and sequence numbers for surface output for the ETABLE command.

SOLID95 Assumptions and Restrictions

  • The element must not have a zero volume.

  • The element may not be twisted such that the element has two separate volumes. This occurs most frequently when the element is not numbered properly.

  • Elements may be numbered either as shown in Figure 95.1: "SOLID95 Geometry" or may have the planes IJKL and MNOP interchanged.

  • An edge with a removed midside node implies that the displacement varies linearly, rather than parabolically, along that edge. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information on the use of midside nodes.

  • Degeneration to the form of pyramid should be used with caution. The element sizes, when degenerated, should be small in order to minimize the stress gradients. Pyramid elements are best used as filler elements or in meshing transition zones.

  • If using MSAVE,ON, set KEYOPT(1) = 0. MSAVE,ON will not apply to any SOLID95 elements with KEYOPT(1) = 1.

SOLID95 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The DAMP material property is not allowed.

  • The only special feature allowed is stress stiffening.

  • KEYOPT(6) = 3 is not applicable.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CIRCU94 		Up / Home Next
SOLID96


SOLID96

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID96

3-D Magnetic Scalar Solid

MP <> <> <> <> <> <> <> EM <> <> PP <>

Product Restrictions

SOLID96 Element Description

SOLID96 has the capability of modeling 3-D magnetic fields. Scalar potential formulations (reduced (RSP), difference (DSP), or general (GSP)) are available [MAGOPT] for modeling magnetic fields in a static analysis. See SOLID96 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 96.1 SOLID96 Geometry

SOLID96 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 96.1: "SOLID96 Geometry". The element is defined by eight nodes and the material properties. A tetrahedral-shaped element may be formed by defining the same node numbers for nodes M, N, O, and P; and nodes K and L. A wedge-shaped element and a pyramid-shaped element may also be formed as shown in Figure 96.1: "SOLID96 Geometry". The type of units (MKS or user defined) is specified through the EMUNIT command. EMUNIT also determines the value of MUZERO. The EMUNIT defaults are MKS units and MUZERO = 4π x 10-7 henries/meter. In addition to MUZERO, orthotropic relative permeability is available and is specified through the MURX, MURY, and MURZ material options.

MGXX, MGYY, and MGZZ represent vector components of the coercive force for permanent magnet materials. The magnitude of the coercive force is the square root of the sum of the squares of the components. The direction of polarization is determined by the components MGXX, MGYY, and MGZZ. Permanent magnet polarization directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. Nonlinear magnetic B-H properties are entered with the TB command as described in Data Tables - Implicit Analysis. Nonlinear orthotropic magnetic properties may be specified with a combination of a B-H curve and linear relative permeability. The B-H curve will be used in each element coordinate direction where a zero value of relative permeability is specified. Only one B-H curve may be specified per material.

Nodal loads are defined with the D and the F commands. With the D command, the Lab variable corresponds to the degree of freedom (MAG) and VALUE corresponds to the value (magnetic scalar potential). With the F command, the Lab variable corresponds to the force (FLUX) and VALUE corresponds to the value (magnetic flux).

Element loads are described in Node and Element Loads. Maxwell force flags may be input on the element faces indicated by the circled numbers in Figure 96.1: "SOLID96 Geometry" using the SF and SFE commands. Surfaces at which magnetic forces are to be calculated may be identified by using the MXWF label on the surface load commands (no value is required.) A maxwell stress tensor calculation is performed at these surfaces to obtain the magnetic forces. The surface flag should be applied to "air" elements adjacent to the body for which forces are required. Deleting the MXWF specification removes the flag. Maxwell forces may be made available for a subsequent structural analysis with companion elements (LDREAD command).

The temperature (for material property evaluation only) and magnetic virtual displacement body loads may be input based on their value at the element's nodes or as a single element value [BF and BFE]. In general, unspecified nodal values of temperature default to the uniform value specified with the BFUNIF or TUNIF commands.

Air elements in which Local Jacobian forces are to be calculated may be identified by using nodal values of 1 and 0 for the MVDI label [BF]. See the Low-Frequency Electromagnetic Analysis Guide for details.

Current for the magnetic scalar potential options are defined with the SOURC36 element, the command macro RACE, or through electromagnetic coupling. The various types of magnetic scalar potential solution options are defined with the MAGOPT command.

A summary of the element input is given in "SOLID96 Input Summary". A general description of element input is given in Element Input.

SOLID96 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

MAG

Real Constants

None

Material Properties

MUZERO, MURX, MURY, MURZ, MGXX, MGYY, MGZZ plus BH data table (see Data Tables - Implicit Analysis)

Surface Loads
Maxwell Force Flags --

face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N), face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)

Body Loads
Temperatures --

T(I), T(J), T(K), T(L), T (M), T(N), T(O), T(P)

MVDI --

VD(I), VD(J), VD(K), VD(L), VD(M), VD(N), VD(O), VD(P)

EF --

EFX, EFY, EFZ. See "SOLID96 Assumptions and Restrictions".

Special Features
Requires an iterative solution if nonlinear material properties are defined
Birth and death
Adaptive descent
KEYOPT(5)

Extra element output:

0 --

Basic element printout

1 --

Integration point printout

2 --

Nodal magnetic field printout

SOLID96 Output Data

The solution output associated with the element is in two forms:

  • Nodal potentials included in the overall nodal solution

  • Additional element output as shown in Table 96.1: "SOLID96 Element Output Definitions"

The element output directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 96.1 SOLID96 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 2
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | Y | Y
LOC | Output location (X, Y, Z) | 1 | -
MUX, MUY, MUZ | Magnetic permeability | 1 | 1
H:X, Y, Z | Magnetic field intensity components | 1 | 1
H:SUM | Vector magnitude of H | 1 | 1
B:X, Y, Z | Magnetic flux density components | 1 | 1
B:SUM | Vector magnitude of B | 1 | 1
FMX | Maxwell magnetic force components (X, Y, Z) | 1 | -
FVW | Virtual work force components (X, Y, Z) | 1 | 1
Combined (FJB or FMX) force components | Combined force components | - | 1

  1. The solution value is printed only if calculated (based upon input data). The element solution is at the centroid.

  2. Available only at centroid as a *GET item.

Table 96.2 SOLID96 Miscellaneous Element Output

Description | Names of Items Output | O | R
Integration Point Solution | LOC, MUX, MUY, MUZ, H, HSUM, B, BSUM | 1 | -
Nodal Magnetic Field Solution | H, HSUM, B, BSUM | 2 | -

  1. Output at each integration point, if KEYOPT(5) = 1

  2. Output at each corner node, if KEYOPT(5) = 2

Table 96.3: "SOLID96 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 96.3: "SOLID96 Item and Sequence Numbers":

Name

output quantity as defined in Table 96.1: "SOLID96 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 96.3 SOLID96 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
MUX | NMISC | 1
MUY | NMISC | 2
MUZ | NMISC | 3
FVWX | NMISC | 4
FVWY | NMISC | 5
FVWZ | NMISC | 6
FVWSUM | NMISC | 7

SOLID96 Assumptions and Restrictions

  • When using SOLID96 with SOURC36 elements, the source elements must be placed so that the resulting Hs field fulfils boundary conditions for the total field.

  • The element must not have a zero volume or a zero length side. This occurs most frequently when the element is not numbered properly. Elements may be numbered either as shown in Figure 96.1: "SOLID96 Geometry" or may have the planes IJKL and MNOP interchanged.

  • The difference magnetic scalar potential option is restricted to singly-connected permeable regions, so that as μ→ [image] in these regions, the resulting field H→0. The reduced scalar, and general scalar potential options do not have this restriction.

  • Degeneration to the form of pyramid should be used with caution. The element sizes, when degenerated, should be small in order to minimize the field gradients. Pyramid elements are best used as filler elements or in meshing transition zones.

  • The electric field body load is not used during solution and is applicable only to POST1 charged particle tracing.

  • In an MSP analysis, avoid using a closed domain and use an open domain, closed with natural flux parallel boundary conditions on the MAG degree of freedom, or infinite elements. If you use a closed domain, you may see incorrect results when the formulation is applied using SOLID5, SOLID96, or SOLID98 elements and the boundary conditions are not satisfied by the Hs field load calculated by the Biot-Savart procedure based on SOURC36 current source primitive input.

SOLID96 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Emag.

  • The birth and death special feature is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID95 		Up / Home Next
SOLID97


SOLID97

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID97

3-D Magnetic Solid

MP <> <> <> <> <> <> <> EM <> <> PP <>

Product Restrictions

SOLID97 Element Description

SOLID97 models 3-D magnetic fields. The element is defined by eight nodes, and has up to five degrees of freedom per node out of six defined DOFs; that is, the magnetic vector potential (AX, AY, AZ), the time-integrated electric potential (VOLT - classical formulation) or the electric potential (VOLT - solenoidal formulation), the electric current (CURR), and the electromotive force (EMF). SOLID97 is based on the magnetic vector potential formulation with the Coulomb gauge, and is applicable to the following low-frequency magnetic field analyses: magnetostatics, eddy currents (AC time harmonic and transient analyses), voltage forced magnetic fields (static, AC time harmonic and transient analyses), and electromagnetic-circuit coupled fields (static, AC time harmonic and transient analyses). The element has nonlinear magnetic capability for modeling B-H curves or permanent magnet demagnetization curves. See SOLID97 in the Theory Reference for ANSYS and ANSYS Workbench for details about this element. Elements with similar capability are PLANE53, SOLID62 (but without voltage forced and magnetic-circuit coupled capability), and SOLID117.

Formulations

SOLID97 has two formulation options: classical and solenoidal. The classical formulation requires you to specify current density for current source loading. You must ensure that solenoidal conditions (div J = 0) are satisfied, otherwise an erroneous solution might develop. The solenoidal formulation automatically satisfies the solenoidal condition by directly solving for current (density) using a coupled current conduction and electromagnetic field solution. The solenoidal formulation is applicable to sources that are eddy current free (such as stranded coils).

Note

Both formulations may be used simultaneously, depending on the physics requirements of the model. See 3-D Nodal-Based Analyses (Static, Harmonic, and Transient) in the Low-Frequency Electromagnetic Analysis Guide for information on applying these formulations to different physics regions of a model.

The SOLID97 solenoidal option is compatible with CIRCU124, CIRCU125, and TRANS126 elements allowing circuit coupling. The nonlinear symmetric solenoidal formulation is applicable to static and transient analyses. The linear unsymmetric solenoidal formulation is applicable to harmonic analysis. For more information, see 3-D Circuit Coupled Solid Source Conductor in the Coupled-Field Analysis Guide

Figure 97.1 SOLID97 Geometry

SOLID97 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 97.1: "SOLID97 Geometry". The element is defined by eight nodes and the material properties. A tetrahedral-shaped element may be formed by defining the same node numbers for nodes M, N, O, and P; and nodes K and L. A wedge-shaped element and a pyramid-shaped element may also be formed as shown in Figure 97.1: "SOLID97 Geometry". The type of units (MKS or user defined) is specified through the EMUNIT command. EMUNIT also determines the value of MUZERO. The EMUNIT defaults are MKS units and MUZERO = 4π x 10-7 henries/meter. In addition to MUZERO, orthotropic relative permeability is available and is specified through the MURX, MURY, and MURZ material options. Orthotropic resistivity is specified through RSVX, RSVY, and RSVZ material property labels.

MGXX, MGYY, and MGZZ represent vector components of the coercive force for permanent magnet materials. The magnitude of the coercive force is the square root of the sum of the squares of the components. The direction of polarization is determined by the components MGXX, MGYY, and MGZZ. Permanent magnet polarization directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. Nonlinear magnetic B-H properties are entered with the TB command as described in Data Tables - Implicit Analysis. Nonlinear orthotropic magnetic properties may be specified with a combination of a B-H curve and linear relative permeability. The B-H curve will be used in each element coordinate direction where a zero value of relative permeability is specified. Only one B-H curve may be specified per material.

When SOLID97 is used for voltage forced or magnetic-circuit coupled analyses, the following real constants apply for coils or massive conductors:

CARE

Coil cross-sectional area.

TURN

Total number of coil turns, required for stranded coil only. Defaults to 1.

VOLU

Modeled coil volume, required for stranded coil only.

DIRX, DIRY, DIRZ

x, y, and z components of a unit vector (in the element coordinate system) representing the direction of current. Required for a stranded coil only.

CSYM

Coil symmetry factor: CSYM*VOLU = total volume of the coil. Required for stranded coil only. Defaults to 1.

FILL

Coil fill factor, required for stranded coil only. Defaults to 1.

When velocity effects of a conducting body (KEYOPT(2) = 1) are considered, the following real constants apply:

VELOX, VELOY, VELOZ

Velocity components in the Global Cartesian Coordinate system X, Y, and Z direction respectively.

OMEGAX, OMEGAY, OMEGAZ

Angular (rotational) velocity (Hz, cycles/sec) about the Global Cartesian system X, Y, and Z-axes respectively, located at the pivot point location (XLOC, YLOC, ZLOC).

XLOC, YLOC, ZLOC

Global Cartesian coordinate point locations of the rotating body in the X, Y, and Z directions respectively.

Nodal loads are defined with the D and the F commands. With the D command, the Lab variable corresponds to the degree of freedom (A_ and VOLT) and VALUE corresponds to the value (vector magnetic potential or the time-integrated electric potential (classical formulation) or the electric potential (solenoidal formulation). The electric potential may or may not be time integrated depending on the KEYOPT(1) selection. With the F command, the Lab variable corresponds to the force (CSG or Amps) and VALUE corresponds to the value (magnetic current segment or current).

Element loads are described in Node and Element Loads. Maxwell force flags may be input on the element faces indicated by the circled numbers in Figure 97.1: "SOLID97 Geometry" using the SF and SFE commands. Surfaces at which magnetic forces are to be calculated may be identified by using the MXWF label on the surface load commands (no value is required.) A Maxwell stress tensor calculation is performed at these surfaces to obtain the magnetic forces. The surface flag should be applied to "air" elements adjacent to the body for which forces are required. Deleting the MXWF specification removes the flag. Lorentz and Maxwell forces may be made available for a subsequent structural analysis with companion elements [LDREAD].

The temperature (for material property evaluation only) and magnetic virtual displacement body loads may be input based on their value at the element's nodes or as a single element value [BF and BFE]. Source current density (classical formulation) and voltage body loads may be applied to an area or volume [BFA or BFV] or input as an element value [BFE]. In general, unspecified nodal values of temperatures default to the uniform value specified with the BFUNIF or TUNIF commands. The vector components of the current density are with respect to the element coordinate system (see "SOLID97 Assumptions and Restrictions" for solenoidal restriction). Joule heating may be made available for a subsequent thermal analysis with companion elements [LDREAD].

Air elements in which Local Jacobian forces are to be calculated may be identified by using nodal values of 1 and 0 for the MVDI label [BF]. See the Low-Frequency Electromagnetic Analysis Guide for details.

A summary of the element input is given in "SOLID97 Input Summary". A general description of element input is given in Element Input.

SOLID97 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

See KEYOPT(1)

Real Constants

None if KEYOPT(1) = 0 and KEYOPT(2) = 0.

For KEYOPT(1) = 2, 3, 5, or 6, and KEYOPT(2) = 0:

CARE, TURN, VOLU, DIRX, DIRY, DIRZ,
CSYM, FILL

For KEYOPT(1) = 4 and KEYOPT(2) = 0:

CARE - Coil cross-sectional area

For KEYOPT(1) = 0 or 1 and KEYOPT(2) = 1:

(blank), (blank), (blank), (blank), (blank), (blank),
(blank), (blank), VELOX, VELOY, VELOZ, OMEGAX,
OMEGAY OMEGAZ, XLOC, YLOC, ZLOC

See Table 97.1: "SOLID97 Real Constants" for a description of the real constants.

Material Properties

MUZERO, MURX, MURY, MURZ, RSVX, RSVY, RSVZ, MGXX, MGYY, MGZZ plus BH data table (see Data Tables - Implicit Analysis)

Surface Loads
Maxwell Force Flags --
face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N),
face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)

Magnetic-Circuit Interface Flags, if KEYOPT(1) = 4:

face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N),
face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)

Body Loads
Temperatures --

T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P)

MVDI --

VD(I), VD(J), VD(K), VD(L), VD(M), VD(N), VD(O), VD(P)

Source Current Density, if KEYOPT(1) = 0 or 1: (See "SOLID97 Assumptions and Restrictions" for solenoidal restriction)

JSX(I), JSY(I), JSZ(I), PHASE(I), JSX(J), JSY(J), JSZ(J), PHASE(J), JSX(K), JSY(K), JSZ(K), PHASE(K),
JSX(L), JSY(L), JSZ(L), PHASE(L), JSX(M), JSY(M), JSZ(M), PHASE(M), JSX(N), JSY(N), JSZ(N), PHASE(N),
JSX(O), JSY(O), JSZ(O), PHASE(O), JSX(P), JSY(P), JSZ(P), PHASE(P)

Voltage Loading, if KEYOPT(1) = 2:

VLTG(I), PHASE(I), VLTG(J), PHASE(J), VLTG(K), PHASE(K), VLTG(L), PHASE(L),
VLTG(M), PHASE(M), VLTG(N), PHASE(N), VLTG(O), PHASE(O), VLTG(P), PHASE(P)
EF --

EFX, EFY, EFZ. See "SOLID97 Assumptions and Restrictions".

Special Features
Requires an iterative solution if nonlinear material properties are defined
Birth and death
Adaptive descent
KEYOPT(1)

Element degrees of freedom and formulation selection:

Classical Formulation

0 --

AX, AY, AZ degrees of freedom: static domain, source domain

1 --

AX, AY, AZ, VOLT degrees of freedom: eddy current domain, velocity effect domain

2 --

AX, AY, AZ, CURR degrees of freedom: voltage-fed stranded coil

3 --

AX, AY, AZ, CURR, EMF degrees of freedom: circuit-coupled stranded coil

4 --

AX, AY, AZ, VOLT, CURR degrees of freedom: circuit-coupled massive conductor

Solenoidal Formulation

5 --

AX, AY, AZ, VOLT degrees of freedom: nonlinear symmetric solenoidal formulation applicable to static and transient analyses

6 --

AX, AY, AZ, VOLT degrees of freedom: linear unsymmetric solenoidal formulation applicable to harmonic analyses

Note

For KEYOPT(1) = 1 and 4, the VOLT degree of freedom is time integrated (classical formulation). For KEYOPT(1) = 5 and 6, the VOLT degree of freedom is not time integrated (solenoidal formulation).

KEYOPT(2)

Element conventional velocity:

0 --

Velocity effects ignored

1 --

Conventional velocity formulation (not available if KEYOPT(1) = 2, 3, or 4)

KEYOPT(5)

Extra element output:

0 --

Basic element printout

1 --

Integration point printout

2 --

Nodal magnetic field printout

Table 97.1 SOLID97 Real Constants

No. | Name | Description
KEYOPT(1) = 2, 3, 5, 6 and KEYOPT(2) = 0
1 | CARE | Coil cross-sectional area
2 | TURN | Total number of coil turns
3 | VOLU | Modeled coil volume
4 | DIRX | Directional cosine for X component of the current
5 | DIRY | Directional cosine for Y component of the current
6 | DIRZ | Directional cosine for Z component of the current
7 | CSYM | Coil symmetry factor
8 | FILL | Coil fill factor
KEYOPT(1) = 0 or 1 and KEYOPT(2) = 1
1, ..., 8 | (blank) | Unused for these settings
9, 10, 11 | VELOX, VELOY, VELOZ | Velocity specification in the x, y, and z directions
12, 13, 14 | OMEGAX, OMEGAY, OMEGAZ | Angular velocity about the X, Y, and Z axes
15, 16, 17 | XLOC, YLOC, ZLOC | Pivot point location (x, y, z)

SOLID97 Output Data

The solution output associated with the element is in two forms:

  • Nodal potentials included in the overall nodal solution

  • Additional element output as shown in Table 97.2: "SOLID97 Element Output Definitions"

The element output directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 97.2 SOLID97 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 2
TEMP | Input temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | Y | Y
LOC | Output location (X, Y, Z) | 1 | -
MUX, MUY, MUZ | Magnetic secant permeability | 1 | 1
H:X, Y, Z | Magnetic field intensity components | 1 | 1
H:SUM | Vector magnitude of H | 1 | 1
B:X, Y, Z | Magnetic flux density components | 1 | 1
B:SUM | Vector magnitude of B | 1 | 1
JS:X, Y, Z | Source current density components in the global Cartesian coordinate system, valid for static analysis only | 1 | 1
JT(X, Y, Z) | Total current density components in the global Cartesian coordinate system. | 1 | 1
JHEAT: | Joule heat generation per unit volume | 1 | 1
FJB(X, Y, Z) | Lorentz magnetic force components | 1 | -
FMX(X, Y, Z) | Maxwell magnetic force components | 1 | -
FVW(X, Y, Z) | Virtual work force components | 1 | 1
Combined (FJB or FMX) force components | Combined (FJB or FMX) force components | - | 1
ERES | Element resistance value (for stranded coils only) | - | 1
EIND | Element inductance value (for stranded coils only) | - | 1
DMUXX, DMUYY, DMUZZ | Differential permeability | 1 | 1
V:X, Y, Z | Velocity components | 1 | 1
V:SUM | Vector magnitude of V | 1 | -
MRE | Magnetic Reynolds number | 1 | 1

  1. The solution value is output only if calculated (based upon input data). The element solution is at the centroid.

    Note

    JT represents the total measurable current density in a conductor, including eddy current effects, and velocity effects if calculated.

    For harmonic analysis, joule losses (JHEAT) and forces (FJB(X, Y, Z), FMX(X, Y, Z), FVW(X, Y, Z)) represent time-average values. These values are stored in both the "Real" and “Imaginary” data sets. The macros POWERH and FMAGSUM can be used to retrieve this data.

    Inductance values (EIND) obtained for KEYOPT(1) = 2, 3, or 4 are only valid under the following conditions: the problem is linear (constant permeability), there are no permanent magnets in the model, and only a single coil exists in the model.

  2. Available only at centroid as a *GET item.

Table 97.3 SOLID97 Miscellaneous Element Output

Description | Names of Items Output | O | R
Integration Point Solution | LOC, MUX, MUY, MUZ, H, HSUM, B, BSUM | 1 | -
Nodal Magnetic Field Solution | H, HSUM, B, BSUM | 2 | -

  1. Output at each integration point, if (KEYOPT(5) = 1)

  2. Output at each corner node, if (KEYOPT(5) = 2)

Table 97.4: "SOLID97 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 97.4: "SOLID97 Item and Sequence Numbers":

Name

output quantity as defined in Table 97.2: "SOLID97 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 97.4 SOLID97 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
JSX | SMISC | 1
JSY | SMISC | 2
JSZ | SMISC | 3
JSSUM | SMISC | 4
MUX | NMISC | 1
MUY | NMISC | 2
MUZ | NMISC | 3
FVWX | NMISC | 4
FVWY | NMISC | 5
FVWZ | NMISC | 6
FVWSUM | NMISC | 7
JTX | NMISC | 12
JTY | NMISC | 13
JTZ | NMISC | 14
JTSUM | NMISC | 15
ERES | NMISC | 16
EIND | NMISC | 17
DMUXX | NMISC | 18
DMUYY | NMISC | 19
DMUZZ | NMISC | 20
VX | NMISC | 21
VY | NMISC | 22
VZ | NMISC | 23
MRE | NMISC | 28

SOLID97 Assumptions and Restrictions

  • The element must not have a zero volume or a zero length side. This occurs most frequently when the element is not numbered properly. Elements may be numbered either as shown in Figure 97.1: "SOLID97 Geometry" or may have the planes IJKL and MNOP interchanged.

  • The continuity equation must be satisfied for a proper electromagnetic analysis as explained in the Theory Reference for ANSYS and ANSYS Workbench. For this reason the source current density, JS, must be solenoidal (that is, [image] · JS = 0). You should verify that this condition is satisfied when prescribing the source current density load. If this condition is not satisfied SOLID97 can produce erroneous solutions without warning. Refer to Source Current Density (JS) in the Low-Frequency Electromagnetic Analysis Guide for information on how to obtain solenoidal currents when the source current density is not constant. To have ANSYS compute the current density for voltage or circuit coupled problems, apply the solenoidal formulation (KEYOPT(1) = 5 or 6).

  • For models containing materials with different permeabilities, the 3-D nodal-based vector potential formulation (either static or time-dependent) is not recommended. The solution has been found to be inaccurate when the normal component of the vector potential is significant at the interface between elements of different permeability. To obtain the normal component of the vector potential in postprocessing, issue PLVECT,A or PRVECT,A in a rotated coordinate system [RSYS] that orients one of the vector potential components normal to the material interface.

  • Current density loading (BFE,,JS) is only valid for the AX, AY, AZ option (KEYOPT(1) = 0). For the AX, AY, AZ, VOLT option (KEYOPT(1) = 1, 5, or 6) use F,,AMPS. Solenoidal loading is recommended. For more information, see 3-D Magnetostatics and Fundamentals of Edge-Based Analysis and 3-D Nodal-Based Analyses (Static, Harmonic, and Transient) in the Low-Frequency Electromagnetic Analysis Guide.

  • When this element does not have the VOLT degree of freedom, for a harmonic or transient analysis, it acts as a stranded conductor.

  • Permanent magnets are not permitted in a harmonic analysis.

  • You cannot use this element in a nonlinear harmonic analysis.

  • The VOLT degree of freedom (KEYOPT(1) = 1) is required in all non-source regions with a specified non-zero resistivity. This allows eddy currents to be computed.

  • For source conducting regions (RSVX ≠ 0), current loading should be applied as nodal loads (AMPS) using the solenoidal formulation. Current density loading (JS) is allowed (classical formulation), but solenoidal loading is recommended. Node coupling of the VOLT DOF may be required at symmetry planes and locations where the current is applied.

  • The ANSYS product does not support the analysis of coupled velocity and circuit effects.

  • For voltage forced magnetic field (KEYOPT(1) = 2) and circuit coupled problems (KEYOPT(1) = 3,4), note the following additional restrictions:

    • Only MKS units are allowed.

    • The permeability and conductivity are isotropic and constant.

    • The element coordinate system is used for specifying the current direction vector (DIRX, DIRY, DIRZ) for a stranded coil. Also, the cross sectional area of the stranded coil should not change.

    • For (KEYOPT(1) = 2 or 3), all CURR degrees of freedom in a coil region must be coupled (CP command), and all EMF degrees of freedom in a coil region must be coupled.

    • For (KEYOPT(1) = 4), all CURR degrees of freedom on the input face and output face of a massive conductor must be coupled.

  • For circuit coupled transient analyses, use THETA = 1.0, the default value, on the TINTP command to specify the backward Euler method. For more information, refer to the Theory Reference for ANSYS and ANSYS Workbench, as well as the description of the TINTP command in the Commands Reference.

  • For velocity effects (KEYOPT(2) = 1), note the following restrictions:

    • Velocity effects are valid only for the AX, AY, AZ, VOLT DOF option.

    • Velocity effects cannot be included in a static analysis. To simulate a static analysis, execute a harmonic analysis at a very low frequency and retrieve the "real" results for the solution.

    • Velocity effects are available only in a linear analysis.

    • Isotropic resistivity.

    • Solution accuracy may degrade if the element magnetic Reynolds number is much greater than 1.0. (See the discussion of magnetic fields in the Low-Frequency Electromagnetic Analysis Guide.)

  • If (KEYOPT(1) = 2, 3,4, or 6) or (KEYOPT(2) [image] 1), unsymmetric matrices are produced.

  • Degeneration to the form of pyramid should be used with caution. The element sizes, when degenerated, should be small in order to minimize the field gradients. Pyramid elements are best used as filler elements or in meshing transition zones.

  • This element may not be compatible with other elements with the VOLT degree of freedom. To be compatible, the elements must have the same reaction force (see Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide).

  • The solenoidal formulations do not model eddy current effects.

  • The electric field body load is not used during solution and is applicable only to POST1 charged particle tracing.

SOLID97 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Emag.

  • The birth and death special feature is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID96 		Up / Home Next
SOLID98


SOLID98

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID98

Tetrahedral Coupled-Field Solid

MP ME <> <> <> <> <> <> EM <> <> PP <>

Product Restrictions

SOLID98 Element Description

SOLID98 is a 10-node tetrahedral version of the 8-node SOLID5 element. The element has a quadratic displacement behavior and is well suited to model irregular meshes (such as produced from various CAD/CAM systems). When used in structural and piezoelectric analyses, SOLID98 has large deflection and stress stiffening capabilities.

The element is defined by ten nodes with up to six degrees of freedom at each node (see KEYOPT(1)). See SOLID98 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. The 3-D magnetic, thermal, electric, piezoelectric, and structural field capability is similar to that described for SOLID5.

Figure 98.1 SOLID98 Geometry

SOLID98 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 98.1: "SOLID98 Geometry". The element input data is essentially the same as for SOLID5 except that there are 10 nodes instead of 8.

Various combinations of nodal loading are available for this element (depending upon the KEYOPT(1) value). Nodal loads are defined with the D and the F commands. With the D command, the Lab variable corresponds to the degree of freedom (UX, UY, UZ, TEMP, VOLT, MAG) and VALUE corresponds to the value (displacements, temperature, voltage, scalar magnetic potential). With the F command, the Lab variable corresponds to the force (FX, FY, FZ, HEAT, AMPS, FLUX) and VALUE corresponds to the value (force, heat flow, current or charge, magnetic flux). Nonlinear magnetic B-H, piezoelectric, and anisotropic elastic properties are entered with the TB command as described in Data Tables - Implicit Analysis. Nonlinear orthotropic magnetic properties may be specified with a combination of a B-H curve and linear relative permeability. The B-H curve will be used in each element coordinate direction where a zero value of relative permeability is specified. Only one B-H curve may be specified per material.

Element loads are described in Node and Element Loads. Pressure, convection or heat flux (but not both), radiation, and Maxwell force flags may be input on the element faces indicated by the circled numbers in Figure 98.1: "SOLID98 Geometry" using the SF and SFE commands. Positive pressures act into the element. Surfaces at which magnetic forces are to be calculated may be identified by using the MXWF label on the surface load commands (no value is required.) A Maxwell stress tensor calculation is performed at these surfaces to obtain the magnetic forces. These forces are applied in solution as structural loads. The surface flag should be applied to "air" elements adjacent to the body for which forces are required. Deleting the MXWF specification removes the flag.

The body loads; temperature, heat generation rate and magnetic virtual displacement may be input based on their value at the element's nodes or as a single element value [BF and BFE]. When the temperature degree of freedom is active (KEYOPT(1) = 0, 1 or 8), applied body force temperatures [BF, BFE] are ignored. In general, unspecified nodal values of temperatures and heat generation rate default to the uniform value specified with the BFUNIF or TUNIF commands. Calculated Joule heating (JHEAT) is applied in subsequent iterations as heat generation rate loading.

If the temperature degree of freedom is present, the calculated temperatures override any input nodal temperatures.

Air elements in which Local Jacobian forces are to be calculated may be identified by using nodal values of 1 and 0 for the MVDI label [BF]. See the Low-Frequency Electromagnetic Analysis Guide for details. These forces are not applied in solution as structural loads.

A summary of the element input is given in "SOLID98 Input Summary". A general description of element input is given in Element Input.

SOLID98 Input Summary

Nodes

I, J, K, L, M, N, O, P, Q, R

Degrees of Freedom
UX, UY, UZ, TEMP, VOLT, MAG if KEYOPT(1) = 0
TEMP, VOLT, MAG if KEYOPT(1) = 1
UX, UY, UZ if KEYOPT(1) = 2
UX, UY, UZ, VOLT if KEYOPT(1) = 3
TEMP if KEYOPT(1) = 8
VOLT if KEYOPT(1) = 9
MAG if KEYOPT(1) = 10
Real Constants

None

Material Properties
EX, EY, EZ, (PRXY, PRYZ, PRXZ or NUXY, NUYZ, NUXZ),
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ), DENS, GXY, GYZ, GXZ, DAMP, KXX, KYY, KZZ, C,
ENTH, MUZERO, MURX, MURY, MURZ, RSVX, RSVY, RSVZ,
MGXX, MGYY, MGZZ, PERX, PERY, PERZ, plus BH, ANEL, and PIEZ data tables (see Data Tables - Implicit Analysis)
Surface Loads
Pressure, Convection or Heat Flux (but not both), Radiation (using Lab = RDSF), and Maxwell Force Flags --

face 1 (J-I-K), face 2 (I-J-L), face 3 (J-K-L), face 4 (K-I-L)

Body Loads
Temperatures --

T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P), T(Q), T(R)

Heat Generations --

HG(I), HG(J), HG(K), HG(L), HG(M), HG(N), HG(O), HG(P), HG(Q), HG(R)

MVDI --

VD(I), VD(J), VD(K), VD(L), VD(M), VD(N), VD(O), VD(P), VD(Q), VD(R)

EF --

EFX, EFY, EFZ. See "SOLID98 Assumptions and Restrictions".

Special Features
Requires an iterative solution for field coupling (displacement, temperature, electric, magnetic, but not piezoelectric)
Large deflections
Stress stiffening
Birth and death
Adaptive descent
KEYOPT(1)

Degree of freedom selection:

0 --

UX, UY, UZ, TEMP, VOLT, MAG

1 --

TEMP, VOLT, MAG

2 --

UX, UY, UZ

3 --

UX, UY, UZ, VOLT

8 --

TEMP

9 --

VOLT

10 --

MAG

KEYOPT(3)

Specific heat matrix:

0 --

Consistent specific heat matrix

1 --

Diagonalized specific heat matrix

KEYOPT(5)

Extra element output:

0 --

Basic element printout

2 --

Nodal stress or magnetic field printout

SOLID98 Output Data

The solution output associated with the element is in two forms:

  • Nodal degree of freedom results included in the overall nodal solution

  • Additional element output as shown in Table 98.1: "SOLID98 Element Output Definitions"

Several items are illustrated in Figure 98.2: "SOLID98 Element Output". The component output directions are parallel to the element coordinate system. The reaction forces, heat flow, current, and magnetic flux at the nodes can be printed with the OUTPR command. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 98.2 SOLID98 Element Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 98.1 SOLID98 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Corner nodes - I, J, K, L | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 3
PRES | Pressures P1 at nodes J, I, K; P2 at I, J, L; P3 at J, K, L; P4 at K, I, L | Y | Y
TEMP(INPUT) | Temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P), T(Q), T(R) | Y | Y
HGEN(INPUT) | Heat generations HG(I), HG(J), HG(K), HG(L), HG(M), HG(N), HG(O), HG(P), HG(Q), HG(R) | Y | -
S:X, Y, Z, XY, YZ, XZ | Stresses | 1 | 1
S:1, 2, 3 | Principal stresses | 1 | 1
S:INT | Stress intensity | 1 | 1
S:EQV | Equivalent stress | 1 | 1
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | 1 | 1
EPEL:1, 2, 3 | Principal elastic strains | 1 | -
EPEL:EQV | Equivalent elastic strains [4] | 1 | 1
EPTH:X, Y, Z, XY, YZ, XZ | Thermal strains | 1 | 1
EPTH:EQV | Equivalent thermal strain [4] | 1 | 1
LOC | Output location (X, Y, Z) | 1 | 1
MUX, MUY, MUZ | Magnetic permeability | 1 | 1
H:X, Y, Z | Magnetic field intensity components | 1 | 1
H:SUM | Vector magnitude of H | 1 | 1
B:X, Y, Z | Magnetic flux density components | 1 | 1
B:SUM | Vector magnitude of B | 1 | 1
FJB | Lorentz magnetic force components (X, Y, Z) | 1 | -
FMX | Maxwell magnetic force components (X, Y, Z) | 1 | -
FVW | Virtual work force components (X, Y, Z) | 1 | 1
Combined (FJB or FMX) force components | Combined (FJB or FMX) force components | - | 1
EF:X, Y, Z | Electric field components | 1 | 1
EF:SUM | Vector magnitude of EF | 1 | 1
JS:X, Y, Z | Source current density components | 1 | 1
JSSUM | Vector magnitude of JS | 1 | 1
JHEAT: | Joule heat generation per unit volume | 1 | 1
D:X, Y, Z | Electric flux density components | 1 | 1
D:SUM | Vector magnitude of D | 1 | 1
U(E, D, M) | Elastic (UE), dielectric (UD), and electromechanical coupled (UM) energies | 1 | 1
TG:X, Y, Z | Thermal gradient components | 1 | 1
TG:SUM | Vector magnitude of TG | 1 | 1
TF:X, Y, Z | Thermal flux components | 1 | 1
TF:SUM | Vector magnitude of TF (Heat flow rate/unit cross-section area) | 1 | 1
FACE | Face label | 2 | 2
AREA | Face area | 2 | 2
NODES | Face nodes | 2 | -
HFILM | Film coefficient at each node of face | 2 | -
TBULK | Bulk temperature at each node of face | 2 | -
TAVG | Average face temperature | 2 | 2
HEAT RATE | Heat flow rate across face by convection | 2 | 2
HEAT RATE/AREA | Heat flow rate per unit area across face by convection | 2 | -
HFLUX | Heat flux at each node of face | 2 | -
HFAVG | Average film coefficient of the face | 2 | 2
TBAVG | Average face bulk temperature | - | 2
HFLXAVG | Heat flow rate per unit area across face caused by input heat flux | - | 2

  1. The solution value is output only if calculated (based upon input data). The element solution is at the centroid.

  2. Output only if a surface load is input.

  3. Available only at centroid as a *GET item.

  4. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY).

Table 98.2 SOLID98 Miscellaneous Element Output

Description | Names of Items Output | O | R
Nodal Stress Solution | LOC, SINT, SEQV, EPEL(X, Y, Z, XY, YZ, XZ), EPEL(1, 2, 3), S(X, Y, Z, XY, YZ, XZ), S(1, 2, 3) | 1 | -
Nodal Magnetic Field Solution | H, HSUM, B, BSUM | 2 | -

  1. Output at each vertex node, if KEYOPT(5) = 2 and structural DOF

  2. Output at each vertex node, if KEYOPT(5) = 2 and magnetic DOF

Table 98.3: "SOLID98 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 98.3: "SOLID98 Item and Sequence Numbers":

Name

output quantity as defined in Table 98.1: "SOLID98 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J,...,L

sequence number for data at nodes I,J,...,L

FCn -

sequence number for solution items for element Face n

Table 98.3 SOLID98 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J | K | L
P1 | SMISC | - | 2 | 1 | 3 | -
P2 | SMISC | - | 4 | 5 | - | 6
P3 | SMISC | - | - | 7 | 8 | 9
P4 | SMISC | - | 11 | - | 10 | 12
MUX | NMISC | 1 | - | - | - | -
MUY | NMISC | 2 | - | - | - | -
MUZ | NMISC | 3 | - | - | - | -
FVWX | NMISC | 4 | - | - | - | -
FVWY | NMISC | 5 | - | - | - | -
FVWZ | NMISC | 6 | - | - | - | -
FVWSUM | NMISC | 7 | - | - | - | -
UE | NMISC | 16 | - | - | - | -
UD | NMISC | 17 | - | - | - | -
UM | NMISC | 18 | - | - | - | -
Output Quantity Name | ETABLE and ESOL Command Input
 | Item | FC1 | FC2 | FC3 | FC4
AREA | NMISC | 19 | 25 | 31 | 37
HFAVG | NMISC | 20 | 26 | 32 | 38
TAVG | NMISC | 21 | 27 | 33 | 39
TBAVG | NMISC | 22 | 28 | 34 | 40
HEAT RATE | NMISC | 23 | 29 | 35 | 41
HFLXAVG | NMISC | 24 | 30 | 36 | 42

SOLID98 Assumptions and Restrictions

  • When using SOLID98 with SOURC36 elements, the source elements must be placed so that the resulting Hs field fulfils boundary conditions for the total field.

  • The element must not have a zero volume. Elements may be numbered either as shown in Figure 98.1: "SOLID98 Geometry" or may have node L below the IJK plane. in the Modeling and Meshing Guide

  • An edge with a removed midside node implies that the displacement varies linearly, rather than parabolically, along that edge. See Quadratic Elements (Midside Nodes) for more information about the use of midside nodes.

  • The difference scalar magnetic potential option is restricted to singly-connected permeable regions, so that as μ→ [image] in these regions, the resulting field H→0. The reduced scalar and general scalar potential options do not have this restriction.

  • Temperatures and heat generation rates, if internally calculated, include any user defined heat generation rates.

  • Large deflection capabilities available for KEYOPT(1) = 2
and 3 are not available for KEYOPT(1) = 0. Stress stiffening is available
for KEYOPT(1) = 0, 2, and 3.

  • This element may not be compatible with other elements with the VOLT degree of freedom. To be compatible, the elements must have the same reaction solution for the VOLT DOF. Elements that have an electric charge reaction solution must all have the same electric charge reaction sign. For more information, see Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide.

  • The electric field body load is not used during solution and is applicable only to POST1 charged particle tracing.

  • In an MSP analysis, avoid using a closed domain and use an open domain, closed with natural flux parallel boundary conditions on the MAG degree of freedom, or infinite elements. If you use a closed domain, you may see incorrect results when the formulation is applied using SOLID5, SOLID96, or SOLID98 elements and the boundary conditions are not satisfied by the Hs field load calculated by the Biot-Savart procedure based on SOURC36 current source primitive input.

  • If you used the MAG degree of freedom, you cannot restart a job in ANSYS Mechanical using Jobname.DB and Jobname.ESAV files that were created by ANSYS Multiphysics.

SOLID98 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Mechanical.

Unless the Emag option is enabled, the following restrictions apply:

  • This element does not have magnetic capability.

  • The MAG degree of freedom is not active.

  • KEYOPT(1) cannot be set to 10. If KEYOPT(1) = 0 (default) or 1, the MAG degree of freedom is inactive.

  • The magnetic material properties (MUZERO, MUR_, MG__, and the BH data table) are not allowed.

  • The Maxwell force flags and magnetic virtual displacements body loads are not applicable.

ANSYS Emag.

  • This element has only magnetic and electric field capability, and does not have structural, thermal, or piezoelectric capability.

  • The only active degrees of freedom are MAG and VOLT.

  • If KEYOPT(1) = 1, the TEMP degree of freedom is inactive. KEYOPT(1) settings of 0, 2, 3 and 8 are not allowed.

  • The only allowable material properties are the magnetic and electric properties (MUZERO through PERZ, plus the BH data table).

  • The only applicable surface loads are Maxwell force flags. The only applicable body loads are temperatures (for material property evaluation only) and magnetic virtual displacements.

  • The element does not have stress stiffening or birth and death features.

  • KEYOPT(3) is not applicable.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID97 		Up / Home Next
SHELL99


SHELL99

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SHELL99

Linear Layered Structural Shell

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

SHELL99 Element Description

SHELL99 may be used for layered applications of a structural shell model. While SHELL99 does not have some of the nonlinear capabilities of SHELL91, it usually has a smaller element formulation time. SHELL99 allows up to 250 layers. If more than 250 layers are required, a user-input constitutive matrix is available.

The element has six degrees of freedom at each node: translations in the nodal x, y, and z directions and rotations about the nodal x, y, and z-axes. See SHELL99 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 99.1 SHELL99 Geometry

xIJ = Element x-axis if ESYS is not supplied.

x = Element x-axis if ESYS is supplied.

LN = Layer Number

NL = Total Number of Layers

SHELL99 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 99.1: "SHELL99 Geometry". The element is defined by eight nodes, average or corner layer thicknesses, layer material direction angles, and orthotropic material properties. Midside nodes may not be removed from this element. See Quadratic Elements (Midside Nodes) of the Modeling and Meshing Guide for more information about the use of midside nodes. A triangular-shaped element may be formed by defining the same node number for nodes K, L and O.

The following graph shows element formation and stress recovery time as a function of the number of layers. While SHELL91 uses less time for elements of under three layers, SHELL99 uses less time for elements with three or more layers.

The elastic foundation stiffness (EFS) is defined as the pressure required to produce a unit normal deflection of the foundation. The elastic foundation capability is bypassed if EFS is less than, or equal to, zero. ADMSUA is the added mass per unit area.

The input may be either in matrix form or layer form, depending upon KEYOPT(2). If matrix form, the matrices must be computed outside of the ANSYS program or from a prior ANSYS run using KEYOPT(10). See the Theory Reference for ANSYS and ANSYS Workbench. Briefly, the force-strain and moment-curvature relationships defining the matrices for a linear variation of strain through the thickness (KEYOPT(2) = 2) for a flat shell may be defined as:

where these terms are defined in the Theory Reference for ANSYS and ANSYS Workbench. The submatrix [A] is input by real constants as:

Submatrices [B] and [D] are input similarly. Note that all submatrices are symmetric. {MT} and {BT} are for thermal effects. Real constants also include the element average density (AVDENS) and the element average thickness (THICK). As flat elements have been seen to give better results than curved elements for KEYOPT(2) = 2 or 4, midside nodes are internally redefined for this case to be on a straight line connecting the corner nodes midway between the nodes for geometric computations. If KEYOPT(2) = 3, quadratic effects are also included with matrices [E], [F], and {QT}, and midside nodes are not redefined for curved elements. For this case, the relationships defining the matrices are expanded to be:

(99–1)

If KEYOPT(2) = 4, the transverse shear terms are, for example, A6 * TRSHEAR where TRSHEAR is input and defaults to 1000.0. "SHELL99 Assumptions and Restrictions" provides a limitation on the use of matrix input. No stresses, thermal strains, or failure criteria are available with matrix input.

For layer (non-matrix) input, the element coordinate system orientation is as described in Coordinate Systems. The local coordinate system for each layer is defined as shown in Figure 99.2: "SHELL99 Stress Output". In this local right-handed system, the x'-axis is rotated an angle THETA(LN) (in degrees) from the element x-axis toward the element y-axis.

The total number of layers must be specified (NL). If KEYOPT(2) = 0, the maximum number of layers is 250; if KEYOPT(2) = 1, the maximum is 125. The properties of all layers should be entered (LSYM = 0). If the properties of the layers are symmetrical about the midthickness of the element (LSYM = 1), only half of properties of the layers, up to and including the middle layer (if any), need to be entered. While all layers may be printed, two layers may be specifically selected to be output (LP1 and LP2, with LP1 usually less than LP2).

The material properties of each layer may be orthotropic in the plane of the element. The real constant MAT defines the layer material number instead of the element material number applied with the MAT command. MAT defaults to 1 if no input exists. The material X direction corresponds to the local layer x' direction.

You can input layer information via the real constants as described, or by using a combination of section information and data from a FiberSIM .xml file. To learn more about using FiberSIM data in your ANSYS simulation, see The FiberSIM-ANSYS Interface in the Structural Analysis Guide.

Use TREF and BETAD to supply global values for reference temperature and damping, respectively. Alternatively, use the MAT command to specify element-dependent values for reference temperature (MP,REFT) or damping (MP,DAMP); layer material numbers are ignored for this purpose.

Each layer of the laminated shell element may have a variable thickness (TK) by selecting KEYOPT(2) = 1. The thickness is assumed to vary bilinearly over the area of the layer, with the thickness input at the corner node locations. If the layer has a constant thickness, only TK(I) need be input. If the thickness is not constant, all four corner thicknesses must be input using positive values. The total thickness of each shell element must be less than twice the radius of curvature, and should be less than one-fifth the radius of curvature.

You can specify the nodes to be at the top, middle or bottom surface of the element. The choice is made through the node offset option (KEYOPT(11)). This option is very convenient, for example, when modeling laminated structures with ply drop-off, where the location of the top or bottom surface may be better defined than the location of the midplane as shown in Figure 91.4: "SHELL91 Bottom Surface Nodes".

You can also define two elements that share the same nodes, but with each element having a different setting of KEYOPT(11), as shown in Figure 91.5: "SHELL91 Common Node Elements".

The failure criteria selection is input in the data table [TB], as described in Table 2.2: "Orthotropic Material Failure Criteria Data". Three predefined criteria are available and up to six user-defined criteria may be entered with user subroutines. See Failure Criteria in the Theory Reference for ANSYS and ANSYS Workbench for an explanation of the three predefined failure criteria. See Guide to ANSYS User Programmable Features for an explanation of user subroutines. Failure criteria may also be computed in POST1 (using the FC commands). All references to failure criteria as part of element output data are based only on the TB commands.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces. The edge pressures act at the nodal plane as shown by circled numbers 3 through 6 on Figure 99.1: "SHELL99 Geometry". The mass matrix is also assumed to act at the nodal plane. Depending on KEYOPT(11), the nodal plane may be at the midsurface, or at the top or bottom surface. Positive pressures act into the element. Edge pressures are input as force per unit length. Temperatures may be input as element body loads at the "corner" locations (1-8) shown in Figure 99.1: "SHELL99 Geometry". The first corner temperature T1 defaults to TUNIF. If all other temperatures are unspecified, they default to T1. If only T1 and T2 are input, T1 is used for T1, T2, T3, and T4, while T2 (as input) is used for T5, T6, T7, and T8. For any other input pattern, unspecified temperatures default to TUNIF.

A summary of the element input is given in "SHELL99 Input Summary". A general description of element input is given in Element Input.

SHELL99 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ

Real Constants

See Table 99.1: "SHELL99 Real Constants" for a description of the real constants.

Material Properties

If KEYOPT(2) = 0 or 1, supply the following 13*NM properties where NM is the number of materials (maximum is NL):

EX, EY, EZ, ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ), (PRXY, PRYZ, PRXZ or NUXY, NUYZ, NUXZ),
DENS, GXY, GYZ, GXZ, for each of the NM materials.

If KEYOPT(2) = 2, 3 or 4, supply none of the above.

Supply DAMP and REFT only once for the element (use MAT command to assign material property set). See the discussion in "SHELL99 Input Data" for more details.

Surface Loads
Pressures --
face 1 (I-J-K-L) (bottom, in +Z direction), face 2 (I-J-K-L) (top, in -Z direction),
face 3 (J-I), face 4 (K-J), face 5 (L-K), face 6 (I-L)
Body Loads
Temperatures --
T1, T2, T3, T4, T5, T6, T7, T8 if KEYOPT(2) = 0 or 1
None if KEYOPT(2) = 2, 3 or 4
Special Features
Stress stiffening
Large deflection
KEYOPT(2)

Form of input:

0 --

Constant thickness layer input (250 layers maximum)

1 --

Tapered layer input (125 layers maximum)

2 --

6 x 6 matrix input using linear logic

3 --

6 x 6 matrix input using quadratic logic

4 --

3 x 3 matrix input using linear logic

KEYOPT(3)

Extra element output:

0 --

Basic element printout

1 --

Integration point strain printout

2 --

Nodal force and moment printout in element coordinates

3 --

Force and moment per unit length printout (available only if KEYOPT(2) = 0 or 1)

4 --

Combination of all three options

KEYOPT(4)

Element coordinate system defined by:

0 --

No user subroutines used to define element coordinate system

4 --

Element x-axis located by user subroutine USERAN

5 --

Element x-axis located by user subroutine USERAN and layer x-axes located by user subroutine USANLY

Note

See the Guide to ANSYS User Programmable Features for user written subroutines

KEYOPT(5)

Strains or stresses output (will be used with KEYOPT(6)):

0 --

Strain results will be used

1 --

Stress results will be used

2 --

Both strain and stress results will be used

KEYOPT(6)

Extra element output (for layer input only) (used for printout control):

0 --

Basic element printout, as well as the summary of the maximum of all the failure criteria

1 --

Same as 0 but also print the summary of all the failure criteria and the summary of the maximum of the interlaminar shear stress

2 --

Same as 1 but also print the layer solution at the integration points in the bottom layer (or LP1) and the top layer (or LP2)

3 --

Same as 1 but also print the layer solution at the element centroid for all layers, as well as the interlaminar shear stress solution between layers

4 --

Same as 1 but also print the layer solution at the corner nodes for all layers, as well as the interlaminar shear stress solution between layers

5 --

Same as 1 but also print the layer solution with the failure criterion values at the integration points for all layers, as well as the interlaminar shear stress solution between layers

Note

No stresses, thermal strains, or failure criteria are available with matrix input.

KEYOPT(8)

Storage of layer data:

0 --

Store data for bottom of bottom layer (or LP1) and top of top layer (or LP2). Also store data for maximum failure criteria layer.

1 --

Store data for all layers.

Caution

Volume of data stored may be excessive.

KEYOPT(9)

Determines where strains, stresses, and failure criteria are evaluated (available only if KEYOPT(2) = 0 or 1 with NL > 1):

0 --

Evaluate strains and stresses at top and bottom of each layer

1 --

Evaluate at midthickness of each layer

KEYOPT(10)

Material property matrix output:

0 --

No material property matrices printed

1 --

Print material property matrices integrated through thickness for element number 1, if element number 1 is a SHELL99 element

2 --

Same as 1 but if KEYOPT(2) = 0 or 1, also write matrices as RMODIF commands for use with KEYOPT(2) = 2

3 --

Same as 1 but if KEYOPT(2) = 0 or 1, also write matrices as RMODIF commands for use with KEYOPT(2) = 3

KEYOPT(11)

Node offset option:

0 --

Nodes located at midsurface

1 --

Nodes located at bottom surface

2 --

Nodes located at top surface

Table 99.1 SHELL99 Real Constants

No. | Name | Description
If KEYOPT(2) = 0, supply the following 12+(3*NL) constants:
1 | NL | Number of layers (250 maximum)
2 | LSYM | Layer symmetry key
3 | LP1 | First layer for output
4 | LP2 | Second layer for output
5 | EFS | Elastic foundation stiffness
6 | ADMSUA | Added mass/unit area
7 ... 12 | (Blank) | - -
13 | MAT | Material number for layer 1
14 | THETA | x-axis rotation for layer 1
15 | TK | Layer thickness for layer 1
16 | MAT | Material number for layer 2
17 | THETA | x-axis rotation for layer 2
18 | TK | Layer thickness for layer 2
19 ... 12+(3*NL) | MAT, THETA, etc. | Repeat MAT, THETA, and TK for each layer (up to NL layers)
If KEYOPT(2) = 1, supply the following 12+(6*NL) constants:
1 | NL | Number of layers (250 maximum)
2 | LSYM | Layer symmetry key
3 | LP1 | First layer for output
4 | LP2 | Second layer for output
5 | EFS | Elastic foundation stiffness
6 | ADMSUA | Added mass/unit area
7 ... 12 | (Blank) | - -
13 | MAT | Material number for layer 1
14 | THETA | x-axis rotation for layer 1
15 | TK(I) | Layer thickness at node I for layer 1
16 | TK(J) | Layer thickness at node J for layer 1
17 | TK(K) | Layer thickness at node K for layer 1
18 | TK(L) | Layer thickness at node L for layer 1
19 ... 12+(6*NL) | MAT, THETA, etc. | Repeat MAT, THETA, TK(I), TK(J) , TK(K), and TK(L) for each layer (up to NL layers)
If KEYOPT(2) = 2, supply the following 79 constants:
1 ... 21 | A(1) ... A(21) | Submatrix A
22 ... 42 | B(1) ... B(21) | Submatrix B
43 ... 63 | D(1) ... D(21) | Submatrix D
64 ... 69 | MT(1) ... MT(6) | MT array
70 ... 75 | BT(1) ... BT(6) | BT array
76 | AVDENS | Element average density
77 | THICK | Element average thickness
78 | EFS | Elastic foundation stiffness
79 | ADMSUA | Added mass/unit area
If KEYOPT(2) = 3, supply the following 127 constants:
1 ... 21 | A(1) ... A(21) | Submatrix A
22 ... 42 | B(1) ... B(21) | Submatrix B
43 ... 63 | D(1) ... D(21) | Submatrix D
64 ... 84 | E(1) ... E(21) | Submatrix E
85 ... 105 | F(1) ... F(21) | Submatrix F
106 ... 111 | MT(1) ... MT(6) | MT array
112 ... 117 | BT(1) ... BT(6) | BT array
118 ... 123 | QT(1) ... QT(6) | QT array
124 | AVDENS | Element average density
125 | THICK | Element average thickness
126 | EFS | Elastic foundation stiffness
127 | ADMSUA | Added mass/unit area
If KEYOPT(2) = 4, supply the following 30 constants:
1 ... 6 | A(1) ... A(6) | Submatrix A
7 ... 12 | B(1) ... B(6) | Submatrix B
13 ... 18 | D(1) ... D(6) | Submatrix D
19 ... 21 | MT(1) ... MT(3) | MT array
22 ... 24 | BT(1) ... BT(3) | BT array
25 | AVDENS | Element average density
26 | THICK | Element average thickness
27 | EFS | Elastic foundation stiffness
28 | ADMSUA | Added mass/unit area
29 | (Blank) | - -
30 | TRSHEAR | Transverse shear

For more information on real constants and other input data, see SHELL91 . A discussion on failure criteria is found in Failure Criteria.

SHELL99 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 99.2: "SHELL99 Element Output Definitions".

Several items are illustrated in Figure 99.2: "SHELL99 Stress Output". The element stress directions correspond to the layer local coordinate directions.

Various layer printout options are available. For integration point output, integration point 1 is nearest node I, 2 nearest J, 3 nearest K, and 4 nearest L. Failure criterion output is evaluated only at the in-plane integration points. (See the Theory Reference for ANSYS and ANSYS Workbench). After the layer printout, the in-plane forces and moments are listed for the entire element if KEYOPT(3) = 3 or 4. These are shown in Figure 99.2: "SHELL99 Stress Output". The moments include the moment about the x-face (MX), the moment about the y-face (MY), and the twisting moment (MXY). The forces and moments are calculated per unit length in the element coordinate system and are the combined sum for all layers. If KEYOPT(3) = 2 or 4 for this element, the 6 member forces and moments are also printed for each node (in the element coordinate system). KEYOPT(8) controls the amount of data output on the postdata file for processing with the LAYER or LAYERP26 command. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 99.2 SHELL99 Stress Output

xIJ = Element x-axis if ESYS is not supplied.

x = Element x-axis if ESYS is supplied.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 99.2 SHELL99 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P | Y | Y
VOLU: | Volume | Y | Y
TTOP, TBOT | Average temperatures at top and bottom faces | 1 | -
XC, YC, ZC | Element centroid | Y | 11
PRES | Pressures: P1 at nodes I, J, K, L; P2 at I, J, K, L; P3 at J, I; P4 at K, J; P5 at L, K; P6 at I, L | Y | Y
TEMP | Temperatures T1, T2, T3, T4, T5, T6, T7, T8 | Y | Y
INT | Integration point number | 2 | -
POS | Top (TOP), Bottom (BOT), Midthickness (MID) of element | 2 | -
XI, YI, ZI | Global X, Y, Z location of integration point | 2 | -
NUMBER | Layer number | 1, 3 | -
MAT | Material number of this layer | 1, 3 | -
THETA | Material direction angle for layer (THETA) | 1, 3 | -
AVE THICK | Average thickness of layer | 3 | -
ACC AVE THICK | Accumulative average thickness (thickness of element from layer 1 to this layer) | 1, 3 | -
AVE TEMP | Average temperature of layer | 3 | -
POS | Top (TOP), Bottom (BOT), Midthickness (MID) of layer (see KEYOPT(9) for control options) | 3 | -
LOC | Center location (average) (if KEYOPT(6) = 3) | 1, 3 | -
NODE | Corner node number (if KEYOPT(6) = 4) | 1, 3 | -
INT | Integration point number (if KEYOPT(6) = 2 or 5) | 1, 3 | -
S:X, Y, Z, XY, YZ, XZ | Stresses (in layer local coordinates) | 1, 4 | Y
S:1, 2, 3 | Principal stress | 1, 4 | -
S:INT | Stress intensity | 1, 4 | -
S:EQV | Equivalent stress | 1, 4 | -
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains (in layer local coordinates), Total strain if KEYOPT(2) = 2 or 3 | 4 | Y
EPEL:EQV | Equivalent elastic strains (in layer local coordinates) [12] | 4 | -
EPTH:X, Y, Z, XY, YZ, XZ | Thermal strains (in layer local coordinates), Total strain if KEYOPT(2) = 2 or 3 | 4 | Y
EPTH:EQV | Equivalent thermal strains (in layer local coordinates) [12] | 4 | -
EPTO:X, Y, Z, XY, YZ, XZ | Total strains (no thermal strain adjustment if KEYOPT(2) = 0 or 1) in element coordinates | 2 | -
EPTO:EQV | Total equivalent strains (no thermal strain adjustment if KEYOPT(2) = 0 or 1) in layer local coordinates | 2 | -
FC1 ... FC6, FCMAX | Failure criterion values and maximum at each integration point, output only if KEYOPT(6) = 5 | 1, 4 | -
FC | Failure criterion number (FC1 to FC6, FCMAX) | 1, 5 | 1
VALUE | Maximum value for this criterion (if value exceeds 9999.999, 9999.999 will be output) | 1, 5 | 1
LN | Layer number where maximum occurs | 1, 5 | 1
EPELF(X, Y, Z, XY, YZ, XZ) | Elastic strains (in layer local coordinates) causing the maximum value for this criterion in the element | 1, 5 | 1
SF(X, Y, Z, XY, YZ, XZ) | Stresses (in layer local coordinates) causing the maximum value for this criterion in the element | 1, 5 | 1
LAYERS | Interface location | 1, 6 | -
ILSXZ | SXZ interlaminar shear stress | 1, 6 | 1
ILSYZ | SXZ interlaminar shear stress | 1, 6 | 1
ILANG | Angle of interlaminar shear stress vector (measured from the element x-axis toward the element y-axis in degrees) | 1, 6 | 1
ILSUM | Interlaminar shear stress vector sum | 1, 6 | 1
LN1, LN2 | Layer numbers which define location of maximum interlaminar shear stress (ILMAX) | 1, 7 | 1
ILMAX | Maximum interlaminar shear stress (occurs between LN1 and LN2) | 1, 7 | 1
T(X, Y, XY) | Element total in-plane forces per unit length (in element coordinates) | 8 | -
N(X, Y) | Out-of-plane element X and Y shear forces | 8 | -
M(X, Y, XY) | Element total moments per unit length (in element coordinates) | 9 | -
MFOR(X, Y, Z) | Member forces for each node in the element coordinate system | 10 | -
MMOM(X, Y, Z) | Member moments for each node in the element coordinate system | 10 | -

  1. If KEYOPT(2) = 0 or 1

  2. Integration point strain solution (if KEYOPT(3) = 1 or 4)

  3. Layer solution (if KEYOPT(6) > 1)

  4. The item output is controlled with KEYOPT(5)

  5. Summary of failure criteria calculation: if KEYOPT(6) = 0, only maximum of all failure criteria (FCMAX) in element is output;

    Output of the elastic strains and/or stresses (depending on KEYOPT(5)) for each failure criterion and the maximum of all criteria (FCMAX).

  6. Interlaminar stress solution (if KEYOPT(6) > 2)

  7. Printed only if KEYOPT(6) ≠ 0

  8. Output at the corner nodes only if KEYOPT(3) = 3 or 4

  9. Output at the corner nodes only if KEYOPT(3) = 3 or 4, and KEYOPT(9) ≠ 1

  10. Output only if KEYOPT(3) = 2 or 4

  11. Available only at centroid as a *GET item.

  12. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY).

Table 99.3: "SHELL99 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 99.3: "SHELL99 Item and Sequence Numbers":

Name

output quantity as defined in the Table 99.2: "SHELL99 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J,...,L

sequence number for data at nodes I,J,...,L

Table 99.3 SHELL99 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | Bottom of Layer i | Top of Layer NL
ILSXZ | SMISC | (2*i)+7 | (2*NL)+9
ILSYZ | SMISC | (2*i)+8 | (2*NL)+10
ILSUM | NMISC | (2*i)+5 | (2*NL)+7
ILANG | NMISC | (2*i)+6 | (2*NL)+8
Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | J | K | L
P1 | SMISC | (2*NL)+11 | (2*NL)+12 | (2*NL)+13 | (2*NL)+14
P2 | SMISC | (2*NL)+15 | (2*NL)+16 | (2*NL)+17 | (2*NL)+18
P3 | SMISC | (2*NL)+20 | (2*NL)+19 |  |
P4 | SMISC |  | (2*NL)+22 | (2*NL)+21 |
P5 | SMISC |  |  | (2*NL)+24 | (2*NL)+23
P6 | SMISC | (2*NL)+25 |  |  | (2*NL)+26
Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
TX | SMISC | 1
TY | SMISC | 2
TXY | SMISC | 3
MX | SMISC | 4
MY | SMISC | 5
MXY | SMISC | 6
NX | SMISC | 7
NY | SMISC | 8
FCMAX (over all layers) | NMISC | 1
VALUE | NMISC | 2
LN | NMISC | 3
ILMAX | NMISC | 4
LN1 | NMISC | 5
LN2 | NMISC | 6
ILSUM (between layers i and i+1) | NMISC | 2i+7
ILANG | NMISC | 2i+8
FCMAX (at layer i) | NMISC | 2*(NL+i)+7
VALUE (at layer i) | NMISC | 2*(NL+i)+8
FC | NMISC | (4*NL)+8+15(N-1)+1
VALUE | NMISC | (4*NL)+8+15(N-1)+2
LN | NMISC | (4*NL)+8+15(N-1)+3
EPELFX | NMISC | (4*NL)+8+15(N-1)+4
EPELFY | NMISC | (4*NL)+8+15(N-1)+5
EPELFZ | NMISC | (4*NL)+8+15(N-1)+6
EPELFXY | NMISC | (4*NL)+8+15(N-1)+7
EPELFYZ | NMISC | (4*NL)+8+15(N-1)+8
EPELFXZ | NMISC | (4*NL)+8+15(N-1)+9
SFX | NMISC | (4*NL)+8+15(N-1)+10
SFY | NMISC | (4*NL)+8+15(N-1)+11
SFZ | NMISC | (4*NL)+8+15(N-1)+12
SFXY | NMISC | (4*NL)+8+15(N-1)+13
SFYZ | NMISC | (4*NL)+8+15(N-1)+14
SFXZ | NMISC | (4*NL)+8+15(N-1)+15

Note

The i in Table 99.3: "SHELL99 Item and Sequence Numbers" (where i = 1, 2, 3 ..., NL) refers to the layer number of the shell. NL is the maximum layer number as input for real constant NL (1 3 NL 3 250). N is the failure number as stored on the results file in compressed form, e.g., only those failure criteria requested will be written to the results file. For example, if only the maximum strain and the Tsai-Wu failure criteria are requested, the maximum strain criteria will be stored first (N = 1) and the Tsai-Wu failure criteria will be stored second (N = 2). In addition, if more than one criteria is requested, the maximum value over all criteria is stored last (N = 3 for this example).

SHELL99 Assumptions and Restrictions

  • Zero area elements are not allowed. This occurs most often whenever the elements are not numbered properly.

  • Zero thickness layers are allowed only if a zero thickness is defined at all corners. Tapering down to zero is not allowed.

  • If KEYOPT(11) = 0, all nodes are assumed to be at the midthickness of the element.

  • All inertial effects are assumed to be in the nodal plane, i.e., unbalanced laminate construction and offsets have no effect on the mass properties of the element.

  • No slippage is assumed between the element layers. Shear deflections are included in the element, however, normals to the center plane before deformation are assumed to remain straight after deformation.

  • This element may produce inaccurate results under thermal loads for non-flat domains.

  • The applied transverse thermal gradient is assumed to be linear through the element and over the element surface.

  • The stress varies linearly through the thickness of each layer.

  • Interlaminar transverse shear stresses are based on the assumption that no shear is carried at the top and bottom surfaces of an element. Further, these interlaminar shear stresses are only computed at the centroid and are not valid along the element boundaries. If accurate edge interlaminar shear stresses are required, shell-to-solid submodeling should be used.

  • The element matrices are reformed every iteration unless option 1 of the KUSE command is active. Only the lumped mass matrix is available. The mass matrix is assumed to act at the nodal plane.

  • The large deflection option for SHELL99 is not as convergent as it is for SHELL91 (the nonlinear layered shell element). SHELL91 may be the preferred element type when constructing models that include large deflection

If you have defined the element using the node offset option (KEYOPT(11) ≠ 0), be aware of the following:

  • You should not use shell-to-solid submodeling [CBDOF] or temperature interpolation [BFINT].

  • You should not use the matrix input option (KEYOPT(2) = 2 or 3).

  • The transverse shear stresses will not be valid if two elements share the same nodes but have different settings of KEYOPT(11) (for example, as shown in Figure 91.5: "SHELL91 Common Node Elements"). Also, POST1 nodal results in this case should be obtained from either the top or the bottom element, since nodal data averaging will not be valid if elements from both sides of the nodal plane are used.

SHELL99 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • This element is limited to 20 constant thickness layers, or 10 tapered layers, and does not allow the user-input constitutive matrix option (that is, KEYOPT(2) = 2 or 3 is not valid).

  • The DAMP material property is not allowed.

  • KEYOPT(4) can only be set to 0 (default).

  • The six user-defined failure criteria (subroutines USRFC1 through USRFC6) are not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID98 		Up / Home Next
VISCO106


VISCO106

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

VISCO106

2-D 4-Node Viscoplastic Solid

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

VISCO106 Element Description

VISCO106 is used for 2-D modeling of solid structures. It can be used either as a plane strain or as an axisymmetric element, and is defined by four nodes having up to three degrees of freedom at each node: translations in the nodal x, y, and z directions. The element is designed to solve both isochoric (volume preserving) rate-independent and rate-dependent large strain plasticity problems. Iterative solution procedures must be used with VISCO106 because it is used to represent highly nonlinear behavior. Large deflections [NLGEOM] must be active in order to update the geometry in each substep. See VISCO106 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. A midside node version of this element is VISCO108.

Figure 106.1 VISCO106 Geometry

VISCO106 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 106.1: "VISCO106 Geometry". The element input data includes four nodes and the linear and nonlinear material properties.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown in Figure 106.1: "VISCO106 Geometry". Positive pressures act into the element. Temperatures may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). For any other input pattern, unspecified temperatures default to TUNIF.

The nodal forces, if any, should be input per unit of depth for a planar analysis and on a full 360° basis for an axisymmetric analysis.

KEYOPT(5) and KEYOPT(6) provide various element printout options (see Element Solution).

A summary of the element input is given in "Input Summary". A general description of element input is given in Element Input. For axisymmetric applications see Axisymmetric Elements.

Input Summary

Nodes

I, J, K, L

Degrees of Freedom
UX, UY if KEYOPT(3) = 0
UX, UY, UZ if KEYOPT(3) = 1
Real Constants

None

Material Properties

EX, PRXY (or NUXY), ALPX (or CTEX or THSX), DENS, DAMP

Surface Loads
Pressures --

face 1 (J-I), face 2 (K-J), face 3 (L-K), face 4 (I-L)

Body Loads
Temperatures --

T(I), T(J), T(K), T(L)

Special Features
Rate-dependent plasticity (ANAND)
Stress stiffening
Large deflection
Large strain
Adaptive descent
KEYOPT(3)

Element behavior:

0, 2 --

Plane strain (Z strain = 0.0)

1 --

Axisymmetric

KEYOPT(5)

Extra element output:

0 --

Centroidal solution

1 --

Centroidal and integration point solution

2 --

Centroidal and integration point solution plus state variable and total plastic work

KEYOPT(6)

Strain output at integration points:

0 --

No strain output

1 --

Total strain at integration points

KEYOPT(7)

Type of stress update:

0 --

Scalar consistent stress update

1 --

Euler backward stress update

VISCO106 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 106.1: "VISCO106 Element Output Definitions".

Figure 106.2 VISCO106 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 106.1 VISCO106 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
CENT:X, Y, PSV, NL, EPTO | Global X, Y location | Y | Y
PRES | Pressures P1 at nodes J,I; P2 at K,J; P3 at L,K; P4 at I,L | Y | Y
TEMP | Temperatures T(I), T(J), T(K), T(L) | Y | Y
S:X, Y, Z, XY, YZ, XZ | Stresses (SYZ = SXZ = 0.0 for plane strain) | Y | Y
S:1, 2, 3 | Principal stresses | Y | Y
S:INT | Stress intensity | Y | Y
S:EQV | Equivalent stress | Y | Y
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | - | Y
EPEL:1, 2, 3 | Principal elastic strains | - | Y
EPEL:EQV | Equivalent elastic strains [1] | - | Y
EPTH:X, Y, Z, XY | Average thermal strain | - | Y
EPTH:EQV | Equivalent thermal strain [1] | - | Y
EPPL:X, Y, Z, XY, YZ, XZ | Plastic strains | - | Y
EPPL:EQV | Equivalent plastic strain [1] | - | Y
EPTO:X, Y, Z, XY, YZ, XZ | Total mechanical strains (EPEL + EPPL) | Y | Y
EPTO:EQV | Total equivalent mechanical strain (EPEL + EPPL) | - | Y
NL:PSV | Plastic state variable | Y | Y
NL:PLWK | Plastic work-per-volume | Y | Y
URS | Right stretch tensor (X, Y, Z, XY, YZ, XZ) | - | Y

  1. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY); for plastic this value is set at 0.5.

Table 106.2 VISCO106 Miscellaneous Element Output

Description | Names of Items Output | O | R
Integration Point Solution | TEMP, S, SINT, SEQV | 1 | -
Integration Point Solution | PSV, PLWK | 2 | -
Integration Point Strain Solution | EPTO | 3 | -

  1. Output at each integration point, if KEYOPT(5) = 1 or 2

  2. Output at each integration point if KEYOPT(5) = 2

  3. Output at each integration point if KEYOPT(6) = 1

Note

For axisymmetric solutions with KEYOPT(3) = 1, the X, Y, Z, XY, YZ and XZ stress and strain outputs correspond to the radial, axial hoop, in-plane, and out-of-plane torsional shear stresses, respectively.

Table 106.3: "VISCO106 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 106.3: "VISCO106 Item and Sequence Numbers":

Name

output quantity as defined in the Table 106.1: "VISCO106 Element Output Definitions"

Item

predetermined Item label for ETABLE command

I,J,K,L

sequence number for data at nodes I,J,K,L

Table 106.3 VISCO106 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | J | K | L
P1 | SMISC | 2 | 1 | - | -
P2 | SMISC | - | 4 | 3 | -
P3 | SMISC | - | - | 6 | 5
P4 | SMISC | 7 | - | - | 8
S:1 | NMISC | 1 | 6 | 11 | 16
S:2 | NMISC | 2 | 7 | 12 | 17
S:3 | NMISC | 3 | 8 | 13 | 18
S:INT | NMISC | 4 | 9 | 14 | 19
S:EQV | NMISC | 5 | 10 | 15 | 20
URSX | NMISC | 21 | 27 | 33 | 39
URSY | NMISC | 22 | 28 | 34 | 40
URSZ | NMISC | 23 | 29 | 35 | 41
URSXY | NMISC | 24 | 30 | 36 | 42
URSYZ | NMISC | 25 | 31 | 37 | 43
URSXZ | NMISC | 26 | 32 | 38 | 44

VISCO106 Assumptions and Restrictions

  • The area of the element must be positive.

  • The element must lie in a global X-Y plane as shown in Figure 106.1: "VISCO106 Geometry" and the Y-axis must be the axis of symmetry for axisymmetric analyses. An axisymmetric structure should be modeled in the +X quadrants.

  • A triangular element may be formed by defining duplicate K and L node numbers (see Triangle, Prism and Tetrahedral Elements).

  • Only the isotropic and Anand material laws (BISO, MISO, ANAND on the TB command) are valid for this element.

VISCO106 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SHELL99 		Up / Home Next
VISCO107


VISCO107

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

VISCO107

3-D 8-Node Viscoplastic Solid

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

VISCO107 Element Description

VISCO107 is used for 3-D modeling of solid structures. It is defined by eight nodes having three degrees of freedom at each node: translations in the nodal x, y and z directions. The element is designed to solve both isochoric (volume preserving) rate-independent and rate-dependent large strain plasticity problems. Iterative solution procedures must be used with VISCO107 since it is used to represent highly nonlinear behavior. Large deflections [NLGEOM] must be active in order to update the geometry each substep. See VISCO107 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 107.1 VISCO107 Geometry

VISCO107 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 107.1: "VISCO107 Geometry". The element input data includes eight nodes and linear and nonlinear material properties.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown in Figure 107.1: "VISCO107 Geometry". Positive pressures act into the element. Temperatures may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). For any other input pattern, unspecified temperatures default to TUNIF.

KEYOPT(5) and KEYOPT(6) parameters provide various element printout options (see Element Solution).

A summary of the element input is given in "VISCO107 Input Summary". A general description of element input is given in Element Input.

VISCO107 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

UX, UY, UZ

Real Constants

None

Material Properties

EX, PRXY (or NUXY), ALPX (or CTEX or THSX), DENS, DAMP

Surface Loads
Pressures --
face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N),
face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)
Body Loads
Temperatures --

T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P)

Special Features
Rate-dependent plasticity (ANAND)
Stress stiffening
Large deflection
Large strain
Adaptive descent
KEYOPT(5)

Extra element output:

0 --

Centroidal solution

1 --

Centroidal and integration point solution

2 --

Centroidal and integration point solution plus state variable and total plastic work

KEYOPT(6)

Strain output at integration points:

0 --

No strain output

1 --

Total strain at integration points

KEYOPT(7)

Type of stress update:

0 --

Scalar consistent stress update

1 --

Euler backward stress update

VISCO107 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 107.1: "VISCO107 Element Output Definitions".

The element output directions are parallel to the rotated (see Coordinate Systems) element coordinate system (see Figure 107.2: "VISCO107 Stress Output"). General solution output is described in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 107.2 VISCO107 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 107.1 VISCO107 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 1
PRES | Pressures P1 at nodes J, I, L, K; P2 at I, J, N, M; P3 at J, K, O, N; P4 at K, L, P, O; P5 at L, I, M, P; P6 at M, N, O, P | Y | Y
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | Y | Y
S:X, Y, Z, XY, YZ, XZ | Stresses | Y | Y
S:1, 2, 3 | Principal stresses | Y | Y
S:INT | Stress intensity | Y | Y
S:EQV | Equivalent stress | Y | Y
EPEL:X, Y, XY, YZ, XZ | Elastic strains | - | Y
EPEL:1, 2, 3 | Principal elastic strains | - | Y
EPEL:EQV | Equivalent elastic strains [2] | - | Y
EPTH:X, Y, Z, XY | Average thermal strains | - | Y
EPTH:EQV | Equivalent thermal strain [2] | - | Y
EPPL:X, Y, Z, XY, YZ, XZ | Plastic strains | - | Y
EPPL:EQV | Equivalent plastic strain [2] | - | Y
EPTO:X, Y, Z, XY, YZ, XZ | Total mechanical strains (EPEL + EPPL) | Y | Y
EPTO:EQV | Total equivalent mechanical strain (EPEL + EPPL) | - | Y
NL:PSV | Plastic state variable | Y | Y
NL:PLWK | Plastic work/volume | Y | Y
URS | Right stretch tensor (X, Y, Z, XY, YZ, XZ) | - | Y

  1. Available only at centroid as a *GET item.

  2. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY); for plastic this value is set at 0.5.

Table 107.2 VISCO107 Miscellaneous Element Output

Description | Names of Items Output | O | R
Integration Point Solution | TEMP, S, SINT, SEQV | 1 | -
Integration Point Solution | PSV, PLWK | 2 | -
Integration Point Strain Solution | EPTO | 3 | -

  1. Output at each integration point, if KEYOPT(5) = 1 or 2

  2. Output at each integration point if KEYOPT(5) = 2

  3. Output at each integration point if KEYOPT(6) = 1

Table 107.3: "VISCO107 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 107.3: "VISCO107 Item and Sequence Numbers":

Name

output quantity as defined in the Table 107.1: "VISCO107 Element Output Definitions"

Item

predetermined Item label for ETABLE command

I,J,...,P

sequence number for data at nodes I,J,...,P

Table 107.3 VISCO107 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | J | K | L | M | N | O | P
P1 | SMISC | 2 | 1 | 4 | 3 | - | - | - | -
P2 | SMISC | 5 | 6 | - | - | 8 | 7 | - | -
P3 | SMISC | - | 9 | 10 | - | - | 12 | 11 | -
P4 | SMISC | - | - | 13 | 14 | - | - | 16 | 15
P5 | SMISC | 18 | - | - | 17 | 19 | - | - | 20
P6 | SMISC | - | - | - | - | 21 | 22 | 23 | 24
S:1 | NMISC | 1 | 6 | 11 | 16 | 21 | 26 | 31 | 36
S:2 | NMISC | 2 | 7 | 12 | 17 | 22 | 27 | 32 | 37
S:3 | NMISC | 3 | 8 | 13 | 18 | 23 | 28 | 33 | 38
S:INT | NMISC | 4 | 9 | 14 | 19 | 24 | 29 | 34 | 39
S:EQV | NMISC | 5 | 10 | 15 | 20 | 25 | 30 | 35 | 40
URSX | NMISC | 41 | 47 | 53 | 59 | 65 | 71 | 77 | 83
URSY | NMISC | 42 | 48 | 54 | 60 | 66 | 72 | 78 | 84
URSZ | NMISC | 43 | 49 | 55 | 61 | 67 | 73 | 79 | 85
URSXY | NMISC | 44 | 50 | 56 | 62 | 68 | 74 | 80 | 86
URSYZ | NMISC | 45 | 51 | 57 | 63 | 69 | 75 | 81 | 87
URSXZ | NMISC | 46 | 52 | 58 | 64 | 70 | 76 | 82 | 88

VISCO107 Assumptions and Restrictions

  • Zero volume elements are not allowed.

  • Elements may be numbered either as shown in Figure 107.1: "VISCO107 Geometry" or may have the planes IJKL and MNOP interchanged

  • The element should not be twisted such that the element has two separate volumes. This occurs most frequently when the elements are not numbered properly.

  • All elements must have eight nodes.

  • A prism-shaped element may be formed by defining duplicate K and L and duplicate O and P node numbers (see Triangle, Prism and Tetrahedral Elements).

  • A tetrahedron shape is also available.

  • Only the isotropic and Anand material laws (BISO, MISO, ANAND on the TB command) are valid for this element.

VISCO107 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VISCO106 		Up / Home Next
VISCO108


VISCO108

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

VISCO108

2-D 8-Node Viscoplastic Solid

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

VISCO108 Element Description

VISCO108 is used for 2-D modeling of solid structures. It can be used either as a plane strain or as an axisymmetric element, and is defined by eight nodes having up to three degrees of freedom at each node: translations in the nodal x, y, and z directions. The element is designed to solve both isochoric (volume preserving) rate-independent and rate-dependent large strain plasticity problems. Iterative solution procedures must be used with VISCO108 since it is used to represent highly nonlinear behavior. Large deflections [NLGEOM] must be active in order to update the geometry each substep. See VISCO108 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 108.1 VISCO108 Geometry

VISCO108 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 108.1: "VISCO108 Geometry". The element input data includes eight nodes and linear and nonlinear material properties.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown in Figure 108.1: "VISCO108 Geometry". Positive pressures act into the element. Temperatures may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). If all corner node temperatures are specified, each midside node temperature defaults to the average temperature of its adjacent corner nodes. For any other input temperature pattern, unspecified temperatures default to TUNIF.

The nodal forces, if any, should be input per unit of depth for a planar analysis and on a full 360° basis for an axisymmetric analysis.

KEYOPT(5) and KEYOPT(6) provide various element printout options (see Element Solution).

An edge with a removed midside node implies that the displacement varies linearly, rather than parabolically, along that edge. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes.

A summary of the element input is given in "VISCO108 Input Summary". A general description of element input is given in Element Input. For axisymmetric applications see Axisymmetric Elements.

VISCO108 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom
UX, UY if KEYOPT(3) = 0
UX, UY, UZ if KEYOPT(3) = 1
Real Constants

None

Material Properties

EX, PRXY (or NUXY), ALPX (or CTEX or THSX), DENS, DAMP

Surface Loads
Pressures --

face 1 (J-I), face 2 (K-J), face 3 (L-K), face 4 (I-L)

Body Loads
Temperatures --

T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P)

Special Features
Rate-dependent plasticity (ANAND)
Stress stiffening
Large deflection
Large strain
Adaptive descent
KEYOPT(3)

Element behavior:

0, 2 --

Plane strain (Z strain = 0.0)

1 --

Axisymmetric

KEYOPT(5)

Extra element output:

0 --

Centroidal solution

1 --

Centroidal and integration point solution

2 --

Centroidal and integration point solution plus state variable and total plastic work

KEYOPT(6)

Strain output at integration points:

0 --

No strain output

1 --

Total strain at integration points

KEYOPT(7)

Type of stress update:

0 --

Scalar consistent stress update

1 --

Euler backward stress update

VISCO108 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 108.1: "VISCO108 Element Output Definitions".

The element output directions are parallel to the rotated (see Coordinate Systems) element coordinate system (see Figure 108.2: "VISCO108 Stress Output"). General solution output is described in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 108.2 VISCO108 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 108.1 VISCO108 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Corner nodes - I, J, K, L | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC | Location where results are reported | Y | 1
PRES | Pressures P1 at nodes J, I; P2 at K, J; P3 at L, K; P4 at I, L | Y | Y
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | Y | Y
S:X, Y, Z, XY, YZ, XZ | Stresses (SYZ = SXZ = 0.0 for plane strain) | Y | Y
S:1, 2, 3 | Principal stresses | Y | Y
S:INT | Stress intensity | Y | Y
S:EQV | Equivalent stress | Y | Y
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | - | Y
EPEL:1, 2, 3 | Principal elastic strains | - | Y
EPEL:EQV | Equivalent elastic strain [2] | - | Y
EPTH:X, Y, Z, XY | Average thermal strains | - | Y
EPTH:EQV | Equivalent thermal strain [2] | - | Y
EPPL:X, Y, Z, XY, YZ, XZ | Plastic strains | - | Y
EPPL: EQV | Equivalent plastic strain [2] | - | Y
EPTO:X, Y, Z, XY, YZ, XZ | Total mechanical strains (EPEL + EPPL) | Y | Y
EPTO:EQV | Total equivalent mechanical strain (EPEL + EPPL) | - | Y
NL:PSV | Plastic state variable | Y | Y
NL:PLWK | Plastic work-per-volume | Y | Y
URS | Right stretch tensor (X, Y, Z, XY, YZ, XZ) | - | Y

  1. Available only at centroid as a *GET item.

  2. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY); for plastic this value is set at 0.5.

Table 108.2 VISCO108 Miscellaneous Element Output

Description | Names of Items Output | O | R
Integration Point Solution | TEMP, S, SINT, SEQV | 1 | -
Integration Point Solution | PSV, PLWK | 2 | -
Integration Point Strain Solution | EPTO | 3 | -

  1. Output at each integration point, if KEYOPT(5) = 1 or 2

  2. Output at each integration point if KEYOPT(5) = 2

  3. Output at each integration point if KEYOPT(6) = 1

Note

For axisymmetric solutions with KEYOPT(3) = 1, the X, Y, Z, XY, YZ and XZ stress and strain outputs correspond to the radial, axial, hoop, in-plane, and out-of-plane torsional shear stresses, respectively.

Table 108.3: "VISCO108 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 108.3: "VISCO108 Item and Sequence Numbers":

Name

output quantity as defined in the Table 108.1: "VISCO108 Element Output Definitions"

Item

predetermined Item label for ETABLE command

I,J,...,L

sequence number for data at nodes I,J,...,L

Table 108.3 VISCO108 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | J | K | L
P1 | SMISC | 2 | 1 | - | -
P2 | SMISC | - | 4 | 3 | -
P3 | SMISC | - | - | 6 | 5
P4 | SMISC | 7 | - | - | 8
S:1 | NMISC | 1 | 6 | 11 | 16
S:2 | NMISC | 2 | 7 | 12 | 17
S:3 | NMISC | 3 | 8 | 13 | 18
S:INT | NMISC | 4 | 9 | 14 | 19
S:EQV | NMISC | 5 | 10 | 15 | 20
URSX | NMISC | 21 | 27 | 33 | 39
URSY | NMISC | 22 | 28 | 34 | 40
URSZ | NMISC | 23 | 29 | 35 | 41
URSXY | NMISC | 24 | 30 | 36 | 42
URSYZ | NMISC | 25 | 31 | 37 | 43
URSXZ | NMISC | 26 | 32 | 38 | 44

VISCO108 Assumptions and Restrictions

  • The area of the element must be positive.

  • The element must lie in a global X-Y plane as shown in Figure 108.1: "VISCO108 Geometry" and the Y-axis must be the axis of symmetry for axisymmetric analyses. An axisymmetric structure should be modeled in the +X quadrants.

  • A triangular element may be formed by defining duplicate K, L and O node numbers (see Triangle, Prism and Tetrahedral Elements).

  • Only the isotropic and Anand material laws (BISO, MISO, ANAND on the TB command) are valid for this element.

VISCO108 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VISCO107 		Up / Home Next
TRANS109


TRANS109

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

TRANS109

2-D Electromechanical Transducer

MP <> <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

TRANS109 Element Description

TRANS109 is a triangular element used in fully coupled electromechanical analysis. It has three degrees of freedom at each node: translation in the nodal x and y directions (UX and UY) and electric potential (VOLT). This element is useful for simulating the electromechanical response of micro-electromechanical systems (MEMS) such as electrostatic comb drives and optical switches. TRANS109 is applicable to large signal static and transient analyses, but not to small signal modal or harmonic analyses (prestressed). See TRANS109 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 109.1 TRANS109 Geometry

TRANS109 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 109.1: "TRANS109 Geometry". Element input data includes the relative isotropic permittivity, which must be temperature independent.

TRANS109 uses a segregated solution algorithm to morph the initial mesh. KEYOPT(1) provides the morphing options. If KEYOPT(1) = 0, morphing is unweighted. If KEYOPT(1) = 1, morphing is area weighted.

KEYOPT(3) allows you to input a thickness. If KEYOPT(3) = 0, the thickness is input as unity. If KEYOPT(3) = 3, the thickness is input as the real constant THICKNESS.

The element supports nodal displacements and voltage (D command) as well as nodal forces (F command). Nodal forces should be input per unit of depth. When applying a nonzero initial starting voltage, use both the D command and the IC command to input the value.

Free-space permittivity must be set using the EMUNIT command. See System of Units for free-space permittivity values and conversion factors useful for micro-electromechanical systems (MEMS).

The next table summarizes the element input. Element Input gives a general description of element input.

TRANS109 Input Summary

Nodes

I, J, K

Degrees of Freedom

UX, UY, VOLT

Real Constants
None, if KEYOPT (3) = 0
THICKNESS - if KEYOPT (3) = 3
Material Properties

PERX (must be 1.0)

Surface Loads

None

Body Loads

None

Special Features
Large deflection
Large strain
KEYOPT(1)

Select Laplacian morphing:

0 --

Use unweighted morphing

1 --

Use area weighted morphing

KEYOPT(3)

Element behavior:

0 --

Use a thickness of unity

2 --

Plane strain (Z strain = 0.0)

3 --

Use a thickness equal to the real constant THICKNESS

TRANS109 Output Data

The solution output associated with the element is shown in Table 109.1: "TRANS109 Element Output Definitions".

The element output directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output in the Elements Reference. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 109.1 TRANS109 Element Output Definitions

Name | Definition | O | R
EL | Element number | Y | Y
NODES | Nodes - I, J, K | Y | Y
MAT | Material Number | Y | Y
EF:X, Y | Electric field components | Y | Y
EF:SUM | Vector magnitude of EF | Y | Y
D:X, Y | Electric flux density components | Y | Y
D:SUM | Vector magnitude of D | Y | Y

TRANS109 Assumptions and Restrictions

  • You cannot use TRANS109 in small signal modal or harmonic analyses.

  • You cannot generate a superelement from TRANS109 elements.

  • Only isotropic permittivity, independent of temperature, is allowed.

  • The element works with 2-D mechanical elements assuming negligible strain in the thickness direction (plane strain).

  • TRANS109 will not work with TRANS126, PLANE121, INFIN110, CIRCU94, CIRCU124, or CIRCU125.

TRANS109 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VISCO108 		Up / Home Next
INFIN110


INFIN110

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

INFIN110

2-D Infinite Solid

MP ME <> <> <> <> <> <> EM <> <> PP <>

Product Restrictions

INFIN110 Element Description

INFIN110 models an open boundary of a 2-D unbounded field problem. A single layer of elements is used to represent an exterior sub-domain of semi-infinite extent. The layer models the effect of far-field decay in magnetic, electrostatic, thermal, or electric current conduction analyses. For information about enclosed elements and analysis types, see Table 110.1: "INFIN110 Analyses". INFIN110 may be used for planar and axisymmetric analyses. See INFIN110 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 110.1 INFIN110 Geometry

INFIN110 Input Data

The geometry, node locations, and the coordinate system for the element are shown in Figure 110.1: "INFIN110 Geometry". KEYOPT(1) specifies the degree of freedom to be used. KEYOPT(2) specifies whether a 4-node or 8-node element is used.

Only one layer of INFIN110 elements should be used between the finite element model and the exterior (infinite) surface. The nodes may be input starting at any corner node, but the face opposite of the finite element model (the exterior face) must be flagged as an infinite surface. This is usually done by selecting the nodes at the outer surface and issuing the SF,all,INF command. The other faces have no meaning. For best results, edges connecting the inner and outer surfaces of the infinite element should be radial from the center of the model.

A summary of the element input is given in "INFIN110 Input Summary". A general description of element input is given in Element Input. For axisymmetric applications see Axisymmetric Elements.

INFIN110 Input Summary

Nodes
I, J, K, L (if KEYOPT(2) = 0)
I, J, K, L, M, N, O, P (if KEYOPT(2) = 1)
Degrees of Freedom

Set by KEYOPT(1). See Table 110.1: "INFIN110 Analyses".

Real Constants

None

Material Properties

See Table 110.2: "INFIN110 Material Properties".

Surface Loads
Infinite Surface Flags --

face 1 (J-I), face 2 (K-J), face 3 (L-K), face 4 (I-L)

Body Loads

None

Special Features

None

KEYOPT(1)

Element degrees of freedom. See Table 110.1: "INFIN110 Analyses".

KEYOPT(2)

Element definition:

0 --

4-node quadrilateral

1 --

8-node quadrilateral

KEYOPT(3)

Element behavior:

0 --

Plane

1 --

Axisymmetric

KEYOPT(6)

Electric charge reaction sign:

0 --

Positive

1 --

Negative

Analysis categories are shown in the following table. KEYOPT(1) specifies the element degree of freedom.

Table 110.1 INFIN110 Analyses

Analysis Category | KEYOPT(1) | DOF Label | Reaction Solution | Enclosed Elements | Analysis Type
Magnetic | 0 | AZ | Magnetic Current Segment (F label = CSG) | PLANE13 PLANE53 | Static Harmonic Transient
Electrostatic | 1 | VOLT | Electric Charge (F label = CHRG) | PLANE121 | Static Harmonic
Thermal | 2 | TEMP | Heat Flow (F label = HEAT) | PLANE35 PLANE55 PLANE77 | Steady-state Transient
Electric Current Conduction | 3 | VOLT | Electric Current (F label = AMPS) | PLANE230 | Steady-state Harmonic Transient

INFIN110 material properties are shown in the following table. Nonzero material properties must be defined. Material properties are defined with the MP, MPDATA and EMUNIT commands.

Table 110.2 INFIN110 Material Properties

Analysis Category | KEYOPT(1) | Material Properties
Magnetic | 0 | MUZERO
Electrostatic | 1 | PERX, PERY, LSST, RSVX, RSVY
Thermal | 2 | KXX, KYY, DENS, C
Electric Current Conduction | 3 | RSVX, RSVY, LSST, PERX, PERY

INFIN110 Output Data

The solution output associated with the element is in two forms:

  • Nodal degrees of freedom included in the overall nodal solution

  • Additional element output as shown in Table 110.3: "Element Output Definitions"

Several items are illustrated in Figure 110.2: "INFIN110 Element Output". The element output directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 110.2 INFIN110 Element Output

The following notation is used in Table 110.3: "Element Output Definitions":

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 110.3 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES

Nodes - I, J, K, L (KEYOPT(2) = 0)
Nodes - I, J, K, L, M, N, O, P (KEYOPT(2) = 1)

Y Y
MAT | Material number | Y | Y
VOLU: Volume Y Y
XC, YC | Location where results are reported | Y | 4
MUZERO | Magnetic permeability of free space | 1 | 1
PERX, PERY | Electric relative permittivity (element coordinates) | 2 | 2
KXX, KYY | Thermal conductivity (element coordinates) | 3 | 3

  1. If KEYOPT(1) = 0

  2. If KEYOPT(1) = 1

  3. If KEYOPT(1) = 2

  4. Available only at centroid as a *GET item.

Table 110.4: "INFIN110 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 110.4: "INFIN110 Item and Sequence Numbers":

Name

output quantity as defined in the Table 110.3: "Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 110.4 INFIN110 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
MUZERO | NMISC | 1
PERX | NMISC | 1
PERY | NMISC | 2
KXX | NMISC | 1
KYY | NMISC | 2

INFIN110 Assumptions and Restrictions

  • The area of the quadrilateral infinite element must be nonzero.

  • The element cannot degenerate to a triangle.

  • The exterior surface (for example, KL or KOL in Figure 110.1: "INFIN110 Geometry") of the element must be flagged using the INF option on the SF family of commands.

  • Only one layer of infinite elements can be used on the exterior boundary of the finite element model.

  • The lines JK and IL of the infinite element IJKL (in Figure 110.2: "INFIN110 Element Output") should either be parallel or divergent from each other. That is, the enclosed surface should be convex and the infinite domain must be represented by one layer of infinite elements without overlap or gap. Ideally, the length OJ should equal JK, and OI should equal IL. The point "O" is the "pole" of mapping for the infinite element. The pole is chosen arbitrarily, and may or may not coincide with the origin of the coordinate system. For best results, the poles should be placed at the centers of disturbances (loads). There can be multiple poles for a problem. See the Theory Reference for ANSYS and ANSYS Workbench for more about poles.

  • Although this element can have 8 nodes (KEYOPT(2) = 1), for theoretical reasons (see the Theory Reference for ANSYS and ANSYS Workbench), only 5 nodes are included in the solution.

  • The element assumes that the degree of freedom (DOF) value at infinity is always zero (0.0). That is, the DOF value at infinity is not affected by TUNIF, D, or other load commands.

  • The infinite elements are not included in solution result displays but may be viewed in element displays [EPLOT].

  • There are considerations in the application of INFIN110 that will lead to optimal performance in the analysis of your model. These consideration are covered in detail in the Low-Frequency Electromagnetic Analysis Guide.

  • When used in a model with the higher-order elements PLANE35, PLANE53, PLANE77, PLANE121, and PLANE230 use the higher-order setting for INFIN110 (KEYOPT(2) = 1).

  • This element may not be compatible with other elements with the VOLT degree of freedom. To be compatible, elements must have the same reaction solution for the VOLT DOF. Elements that have an electric charge reaction solution must all have the same electric charge reaction sign. KEYOPT(6) sets the electric charge reaction sign. For more information, see Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide.

INFIN110 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Mechanical.

These restrictions apply unless the Emag option is enabled.

  • This element does not have magnetic, electrostatic, or electric current conduction capability.

  • The AZ and VOLT degrees of freedom are not active. KEYOPT(1) defaults to 2 (TEMP) instead of 0 and cannot be changed.

  • The material properties MUZERO, PERX, PERY, RSVX, RSVY, and LSST are not allowed.

ANSYS Emag.

  • This element has only magnetic, electrostatic, and electric current conduction capability, and does not have thermal capability.

  • The only active degrees of freedom are AZ and VOLT. KEYOPT(1) can only be set to 0 or 1.

  • The only allowable material properties are MUZERO, PERX, PERY, RSVX, RSVY, and LSST.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TRANS109 		Up / Home Next
INFIN111


INFIN111

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

INFIN111

3-D Infinite Solid

MP ME <> <> <> <> <> <> EM <> <> PP <>

Product Restrictions

INFIN111 Element Description

INFIN111 models an open boundary of a 3-D unbounded field problem. A single layer of elements is used to represent an exterior sub-domain of semi-infinite extent. The layer models the effect of far-field decay in magnetic, electrostatic, thermal, or electric current conduction analyses. For information about enclosed elements and analysis types, see Table 111.1: "INFIN111 Analyses". See INFIN111 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 111.1 INFIN111 Geometry

INFIN111 Input Data

The geometry, node locations, and the coordinate system for the element are shown in Figure 111.1: "INFIN111 Geometry". KEYOPT(1) specifies the degree(s) of freedom to be used. KEYOPT(2) specifies whether a 8-node or 20-node element is used.

Only one layer of INFIN111 elements should be used between the finite element model and the exterior (infinite) surface. The nodes may be input starting at any corner node, but the face opposite of the finite element model (the exterior face) must be flagged as an infinite surface. This is usually done by selecting the nodes at the outer surface and issuing the SF,all,INF command. The other faces have no meaning. For best results, edges connecting the inner and outer surfaces of the infinite element should be radial from the center of the model.

A summary of the element input is given in "INFIN111 Input Summary". A general description of element input is given in Element Input.

INFIN111 Input Summary

Nodes
I, J, K, L, M, N, O, P (if KEYOPT(2) = 0)
I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z, A, B (if KEYOPT(2) = 1)
Degrees of Freedom

Set by KEYOPT(1). See Table 111.1: "INFIN111 Analyses".

Real Constants

None

Material Properties

See Table 111.2: "INFIN111 Material Properties".

Surface Loads
Infinite Surface Flags --
face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N),
face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)
Body Loads

None

Special Features

None

KEYOPT(1)

Element degree of freedom. See Table 111.1: "INFIN111 Analyses".

KEYOPT(2)

Element definition:

0 --

8-node brick

1 --

20-node brick

KEYOPT(6)

Electric charge reaction sign:

0 --

Negative

1 --

Positive

Analysis categories are shown in the following table. KEYOPT(1) specifies the element degree of freedom.

Table 111.1 INFIN111 Analyses

Analysis Category | KEYOPT(1) | DOF Label | Reaction Solution | Enclosed Elements | Analysis Type
Magnetic | 0 | MAG | Magnetic Flux (F label = FLUX) | SOLID5 SOLID96 SOLID98 | Static
Magnetic | 1 | AX, AY, AZ | Magnetic Current Segments (F label = CSG) | SOLID62 SOLID97 | Static Harmonic Transient
Electrostatic | 2 | VOLT | Electric Charge (F label = CHRG) | SOLID122 SOLID123 | Static Harmonic
Thermal | 3 | TEMP | Heat Flow (F label = HEAT) | SOLID70 SOLID87 SOLID90 | Steady-state Transient
Electric Current Conduction | 4 | VOLT | Electric Current (F label = AMPS) | SOLID231 SOLID232 | Steady-state Harmonic Transient

INFIN111 material properties are shown in the following table. Nonzero material properties must be defined. Material properties are defined with the MP, MPDATA and EMUNIT commands.

Table 111.2 INFIN111 Material Properties

Analysis Category | KEYOPT(1) | Material Properties
Magnetic | 0 | MUZERO
Magnetic | 1 | MUZERO
Electrostatic | 2 | PERX, PERY, PERZ, LSST, RSVX, RSVY, RSVZ
Thermal | 3 | KXX, KYY, KZZ, DENS, C
Electric Current Conduction | 4 | RSVX, RSVY, RSVZ, LSST, PERX, PERY, PERZ

INFIN111 Output Data

The solution output associated with the element is in two forms:

  • Nodal potentials included in the overall nodal solution

  • Additional element output as shown in Table 111.3: "INFIN111 Element Output Definitions"

The element output directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 111.3 INFIN111 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P (if KEYOPT(2) = 0); Nodes - I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z, A, B (if KEYOPT(2) = 1) | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 4
MUZERO | Magnetic permeability of free space | 1 | 1
PERX, PERY, PERZ | Electric relative permittivity | 2 | 2
KXX, KYY, KZZ | Thermal conductivity | 3 | 3

  1. If KEYOPT(1) = 0 or 1

  2. If KEYOPT(1) = 2

  3. If KEYOPT(1) = 3

  4. Available only at centroid as a *GET item.

Table 111.4: "INFIN111 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 111.4: "INFIN111 Item and Sequence Numbers":

Name

output quantity as defined in the Table 111.3: "INFIN111 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 111.4 INFIN111 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
MUZERO | NMISC | 1
PERX | NMISC | 1
PERY | NMISC | 2
PERZ | NMISC | 3
KXX | NMISC | 1
KYY | NMISC | 2
KZZ | NMISC | 3

INFIN111 Assumptions and Restrictions

  • Assumptions and restrictions listed for INFIN110 elements also apply to INFIN111 elements (see INFIN110 Assumptions and Restrictions).

  • There are considerations in the application of INFIN111 that will lead to optimal performance in the analysis of your model. These consideration are covered in detail in the Low-Frequency Electromagnetic Analysis Guide.

  • When used in a model with the higher-order elements SOLID87, SOLID90, SOLID98, SOLID122, SOLID123, SOLID231, and SOLID232, use the higher-order setting for INFIN111 (KEYOPT(2) = 1).

  • This element may not be compatible with other elements with the VOLT degree of freedom. To be compatible, elements must have the same reaction solution for the VOLT DOF. Elements that have an electric charge reaction solution must all have the same electric charge reaction sign. KEYOPT(6) sets the electric charge reaction sign. For more information, see Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide.

INFIN111 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Mechanical.

These restrictions apply unless the Emag option is enabled.

  • This element does not have magnetic, electrostatic, or electric current conduction capability.

  • The MAG, AX, AY, AZ, and VOLT degrees of freedom are not active. KEYOPT(1) defaults to 3 (TEMP) instead of 0 and cannot be changed.

  • The material properties MUZERO, PERX, PERY, PERZ, RSVX, RSVY, RSVZ, and LSST are not allowed.

ANSYS Emag.

  • This element has only magnetic, electrostatic, and electric current conduction capability, and does not have thermal capability.

  • TEMP is not allowed as a degree of freedom. KEYOPT(1) can only be set to 0, 1 or 2.

  • The only allowable material properties are MUZERO, PERX, PERY, PERZ, RSVX, RSVY, RSVZ, and LSST.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
INFIN110 		Up / Home Next
INTER115


INTER115

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

INTER115

3-D Magnetic Interface

MP <> <> <> <> <> <> <> EM <> <> PP <>

Product Restrictions

INTER115 Element Description

INTER115 is used to couple magnetic vector and scalar potentials in the same analysis. It is a 4-node interface element, capable of collapsing to a 3-node interface element, that is defined on the interface between vector and scalar potential finite element regions. The element has four degrees of freedom per node: AX, AY, AZ and MAG. The element does not have a thickness. It can be used with scalar elements SOLID5, SOLID96, SOLID98, and vector element SOLID97. All of these are 3-D magnetic elements which are used to perform linear, nonlinear, static and dynamic analyses, and coupled field analysis. See INTER115 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 115.1 INTER115 Geometry

INTER115 Input Data

The geometry, node locations, and the coordinate system for this element are shown in the Figure 115.1: "INTER115 Geometry". The element is defined by four nodes and no material property is required. The element x-axis is oriented along the length of the element from node I toward node J.

A summary of the element input is given in "INTER115 Input Summary". A general description of element input is given in Element Input.

INTER115 Input Summary

Nodes

I, J, K, L

Degrees of Freedom

AX, AY, AZ, MAG

Real Constants

None

Material Properties

None

Surface Loads

None

Special Features

None

KEYOPTS

None

INTER115 Output Data

The interface element has no output of its own since it is used only to couple vector and scalar potential finite element regions.

INTER115 Assumptions and Restrictions

  • The element should not be located at the interface of an air-iron boundary. Such a placement will lead to inaccurate coupling across the vector/scalar potential interface leading to a loss of accuracy in the solution. It is recommended that the interface between vector/scalar domains occur within a single homogenous material (for example, air).

  • The normal component of the vector potential at the vector/scalar interface, where the INTER115 element is located, should be set to zero. By setting A x n = 0 at the interface, the Coulomb gauge condition is satisfied and the vector potential solution is assured to be unique. Node rotation [NROTAT] can be easily achieved for Cartesian, cylindrical, spherical, and toroidal boundaries from which the normal component can be set to zero.

  • In the vector potential region, if a multiply-connected conductor exits, it may not be "cut" by a vector/scalar interface. For example, a closed loop conductor is multiply-connected. The air "hole" inside the conductor cannot contain a vector/scalar interface. In this case, enclose the entire conductor and "hole" region with vector potential elements, then encase the entire region with a scalar domain.

  • The INTER115 element cannot lie on a free-surface; however, an element edge may exist at a free-surface.

  • When using a scalar source primitive (SOURC36), it is recommended that a small cushion of air surround the primitive before interfacing to a vector potential domain. Having the primitive boundary located at the vector/scalar interface boundary can lead to solution inaccuracies.

  • The scalar potential region of a problem using an INTER115 boundary is limited to the Reduced Scalar Potential (RSP) formulation [MAGOPT,0]. For accurate solutions, this region should be free from high permeability materials (that is, iron).

  • Zero area elements are not allowed. This occurs most often if the elements are not numbered properly.

  • A triangular element may be formed by defining duplicate K and L node numbers as described in Triangle, Prism and Tetrahedral Elements.

  • The 4 nodes defining the element should lie as close as possible to a flat plane; however, a moderate out-of-plane tolerance is permitted so that the element may have a somewhat warped shape. An excessively warped element will produce a warning message. In the case of warping errors, triangular elements should be used (see Triangle, Prism and Tetrahedral Elements).

  • Shell element warping tests are described in detail in tables of Applicability of Warping Tests and Warping Factor Limits in the Theory Reference for ANSYS and ANSYS Workbench.

  • All units used in INTER115 must be expressed in the MKS system.

INTER115 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
INFIN111 		Up / Home Next
FLUID116


FLUID116

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

FLUID116

Coupled Thermal-Fluid Pipe

MP ME <> PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

FLUID116 Element Description

FLUID116 is a 3-D element with the ability to conduct heat and transmit fluid between its two primary nodes. Heat flow is due to the conduction within the fluid and the mass transport of the fluid. Convection may be accounted for either with additional nodes and convection areas or with surface elements SURF151 and SURF152. In both cases, the film coefficient may be related to the fluid flow rate. The element may have two different types of degrees of freedom, temperature and/or pressure.

The thermal-flow element may be used in a steady-state or transient thermal analysis. If the model containing the thermal-flow element is also to be analyzed structurally, the element should be replaced by an equivalent (or null) structural element. See FLUID116 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 116.1 FLUID116 Geometry

FLUID116 Input Data

The geometry, node locations, and the coordinate system for this thermal-flow pipe element are shown in Figure 116.1: "FLUID116 Geometry". The element is defined by two primary nodes, two additional nodes if convection is desired, several real constants (see Table 116.1: " FLUID116 Element Real Constants"), and the material properties. The length L of the element is determined from the two primary node locations.

The material properties can be input as numerical values or as tabular inputs evaluated as a function of pressure, temperature, velocity, time, and location. If temperature or pressure, you need to activate the appropriate pressure or temperature degrees of freedom. Tabular material properties are calculated before the first iteration (i.e., using initial values [IC]).

The fluid mass density ρ (Mass/Length3) is input as property DENS or computed following the ideal gas law if the real constant Rgas is present. If KEYOPT(2) = 2, 3, or 4, the convection film coefficient hf (Heat/Length2*Time*Deg) is input by the options defined by KEYOPT(4). If KEYOPT(2) = 1, convection surfaces using FLUID116 velocities and other information are stored and can be used by SURF151 or SURF152 and optionally the user programmable feature USRSURF116 in order to determine film coefficients and bulk temperatures as a function of velocities and other parameters. The input tables are explained in detail in Table 116.2: "FLUID116 Empirical Data Table (Optional)". The thermal conductivity kxx (Heat/Length*time*Deg) acts in the element longitudinal direction and is input as property KXX. The specific heat cp (Heat/Mass*Deg or Heat*Length/Force*Time2*Deg) is input as property C. The fluid viscosity μ is input as property VISC. In an axisymmetric analysis, such as for annular flow, the flow area, the convection areas, and all other input should be on a full 360° basis.

KEYOPT(2) = 3 and 4 are variations of KEYOPT(2) = 2 used to avoid an artificial reduction of the change in temperature in the last element next to an inlet or outlet with no specified temperature. If such an inlet or outlet is at node I, use KEYOPT(2) = 3 and if it is at node J, use KEYOPT(2) = 4. All elements of a run of pipe should use the same KEYOPT, not just the end one. For networks where the usage of KEYOPT(2) is not obvious and the detailed temperature distribution is important, use KEYOPT(2) = 2 with a relatively fine mesh (small elements). The effect of KEYOPT(2) = 3 and 4 could be alternatively achieved by adjusting the convection areas (Real Constants 7 and 8) but it is not as convenient.

The coefficient of friction (input as property MU) is the starting value of the Moody friction factor (f). The friction factor for the first iteration is always assumed to be MU. The smooth-pipe empirical correlations are a function of Reynolds number (Re) and depend on whether the flow is laminar or turbulent (Re>2500). If a friction table is supplied (TB,FCON), the friction factor is recomputed each substep from the table (using linear interpolation where necessary). The table is also explained in detail in Table 116.2: "FLUID116 Empirical Data Table (Optional)".

The word PRES (or TEMP) should be input for the Lab variable on the D command and the pressure (or temperature) value input for the value. If a nodal heat (or fluid) flow rate is defined with the F command, input the word HEAT (or FLOW) for the Lab variable and input the flow rate for the value. If temperature is the only degree of freedom, (KEYOPT(1) = 1), input the known flow rate in units of mass/time with the SFE,,,HFLUX command instead of the F command. Fluid weight effects are activated by specifying a nonzero acceleration and/or rotation vector [ACEL and/or OMEGA].

When using the rotational speed and slip factor real constants (real constants 7-10 in Table 116.1: " FLUID116 Element Real Constants"), you can specify either numerical values or table inputs. If specifying table inputs, enclose the table name in % signs (for example, %tabname%). Also, if using table inputs for rotational speed, either both real constants 7 and 8 should have the same table name reference, or real constant 8 should be unspecified. Similarly, if using table inputs for slip factor, either both real constants 9 and 10 should have the same table name reference, or real constant 10 should be unspecified. Both rotational speed and the slip factor can vary with time and location.

If tabular real constants are used, then any node in a FLUID116 network must refer to a single table name. For correct results, at any node, the table names from different elements must all be the same and a table name cannot be used along with any numerical real constant from a different element.

See Steady-State Thermal Analysis in the Thermal Analysis Guide for more information on using table inputs.

Element loads are described in Node and Element Loads. Element body loads may be input as heat generation rates at the nodes. The node J heat generation rate HG(J) defaults to the node I heat generation rate HG(I).

KEYOPT(8) is used for inputting flow losses (see Table 116.1: " FLUID116 Element Real Constants"). Momentum losses in pipes due to bends, elbows, joints, valves, etc., may be represented by a fictitious (equivalent) length of pipe La.This equivalent length may be input directly or calculated from an input constant K, the hydraulic diameter D, and the friction factor f.

A summary of the element input is given in "FLUID116 Input Summary". A general description of element input is given in Element Input.

FLUID116 Input Summary

Nodes

I, J or I, J, K, L (see KEYOPT(2))

Degrees of Freedom
PRES, TEMP if KEYOPT(1) = 0
TEMP if KEYOPT(1) = 1
PRES if KEYOPT(1) = 2
Real Constants

See Table 116.1: " FLUID116 Element Real Constants"

Material Properties

KXX, C, DENS, MU, VISC, HF

Surface Loads

Imposed flow may be specified with the SFE,,,HFLUX command

Body Loads
Heat Generations --

HG(I), HG(J)

Special Features

Nonlinear

KEYOPT(1)

Pressure and temperature degrees of freedom:

0 --

PRES and TEMP degrees of freedom

1 --

TEMP degrees of freedom only

2 --

PRES degrees of freedom only

KEYOPT(2) (used only if KEYOPT(1) = 0 or 1)
0 --

2 nodes and no convection surface or convection information

1 --

2 nodes and convection information passed to SURF151/SURF152

2 --

4 nodes and convection surface logic included with this element, convection area shared between nodes I and J

3 --

4 nodes and convection surface logic included with this element, convection area only at node I

4 --

4 nodes and convection surface logic included with this element, convection area only at node J

KEYOPT(4) (used only if KEYOPT(2) = 2, 3, or 4)

Film coefficient (hf) definition

0 --

Use MP,HF

1 --

Use real constants 9 thru 12 (see Table 116.1: " FLUID116 Element Real Constants")

2 --

Use TB,HFLM for hf as a function of temperature and average velocity

3 --

Use TB,HFLM for hf as a function of temperature and Reynold's number

4 --

Use TB,HFLM for Nu as a function of temperature and Reynold's number (hf = Kxx*Nu/diam)

5 --

Use call to User116Hf

KEYOPT(5) (used only if KEYOPT(4) = 0, 2, 3, 4, or 5)

Evaluation of film coefficient:

0 --

Average fluid temperature (TI + TJ)/2

1 --

Average wall temperature (TK +TL)/2

2 --

Average film temperature (TI + TJ + TK + TL)/4

3 --

Differential temperature (TI + TJ)/2 - (TK + TL)/2

KEYOPT(6) (used only if KEYOPT(1) = 0 or 2)

Fluid conductance coefficient definition:

0 --

Use conductance formula

1 --

Use real constant C

2 --

Use TB,FCON as a function of temperature and average velocity

3 --

Use TB,FCON as a function of temperature and Reynold's number

4 --

Use call to User116Cond

KEYOPT(7) (used only if KEYOPT(6) = 0)

Friction factor calculation:

0 --

Use smooth pipe empirical correlations

1 --

Use MP,MU

2 --

Use TB,FCON with friction factor being a function of temperature and average velocity

3 --

Use TB,FCON with friction factor being a function of temperature and Reynold's number

KEYOPT(8) (used only if KEYOPT(6) = 0)

Flow losses specified by input:

0 --

Use real constant La as the additional length

1 --

Use real constant K as loss coefficient

Table 116.1 FLUID116 Element Real Constants

(Given in the order required for input in the real constant table)
No. | Name | Definition | Units
1 | D | Hydraulic diameter. | Length
2 | A | Flow cross-sectional area. | Length2
3 | Nc | Number of flow channels (defaults to 1). If greater than 1, real constants and element output are on a per channel basis.
4-6 | not currently used
7 (An)I
If KEYOPT(2) = 1, angular velocity associated with node I.
If KEYOPT(2) = 2, 3, or 4, convection area between nodes I and K. Defaults to πDL/2 if KEYOPT(2) = 2, defaults to πDL if KEYOPT(2) = 3
where:
L = element length
Length2
8 (An)J
If KEYOPT(2) = 1, angular velocity associated with node J. Defaults to value at node I.
If KEYOPT(2) = 2, 3, or 4, convection area between nodes J and L. Defaults to πDL/2 if KEYOPT(2) = 2, defaults to πDL if KEYOPT(2) = 4
Length2
9 | SLIPFAI | If KEYOPT(2) = 1, slip factor at node I.
10 | SLIPFAJ | If KEYOPT(2) = 1, slip factor at node J. Defaults to value at node I.
9-12 N1, N2, N3, N4
(Used if KEYOPT(4) = 1 and KEYOPT(2) = 2, 3, or 4)
Nu = N1 + N2 Re N3 PrN4
where:
Re = Reynolds number (WD/ µA)
Pr = Prandtl number (Cpμ/KXX)
Cp = specific heat
For example, the Dittus-Boelter correlation for full-developed turbulent flow in smooth pipes may be input with N1 = 0.0, N2 = 0.023, N3 = 0.8, and N4 = 0.4 (heating).
13 | Pp | Pump pressure. | Force / Length2
14
Used to compute conductance coefficient C
where:
Δp = pressure drop
Cr | If KEYOPT(6) = 1, conductance coefficient is used to calculate flow. Hence,
La
If KEYOPT(6) = 0, and KEYOPT(8) = 0, additional Length of pipe to account for flow losses (for example, valves, orifices, etc.) Hence,
where:
ρ = DENS
F = friction coefficient
K | If KEYOPT(6) = 0 and KEYOPT(8) = 1, this real constant is the loss coefficient K. Hence,
15-18 | not currently used
19 | Rgas | Gas constant in ideal gas law (ρ = p/(RgasTabs)), where Tabs is the absolute temperature and p = average pressure. If zero, use ρ as specified by the DENS material property. | Length2 / Deg * Time2
20 | VDF | Viscous damping multiplier. Default 0.0
21 | Cver | Units conversion factor for viscous damping. Default = 1.0 Qv = VDFCverFπVISC(VELOC)2L = viscous heating for element, with F = 8.0 for laminar and 0.21420 for turbulent flow.

Note

Real constants 7 through 12 and 20 and 21 are used only if KEYOPT(1) = 0 or 1 and real constants 13 through 19 are used only if KEYOPT(1) = 0 or 2.

The data in Table 116.2: "FLUID116 Empirical Data Table (Optional)" is entered in the data table with the TB commands. The curves are initialized by using the TB command. The temperature for the first curve is input with the TBTEMP command, followed by TBPT commands for up to 100 points. Up to 20 temperature-dependent curves (NTEMP = 20 maximum on the TB command) may be defined in this manner. The constants (X, Y) entered on the TBPT command (two per command).

Table 116.2 FLUID116 Empirical Data Table (Optional)

Constant | Meaning
Film Coefficient The film coefficient table is initialized with the TB,HFLM command. The TBPT data are:
X | Velocity (Length/Time)
Y | Film Coefficient (Heat/(time*area*temp) The velocity may be replaced with the Reynold's number, and the film coefficient may be replaced with the Nusselt number, depending on KEYOPT(4).
Fluid Conductance/Friction Factor The fluid conductance/friction factor is initialized with the TB,FCON command. The TBPT data are:
X | Velocity (Length/Time)
Y | Corresponding friction factor value (Dimensionless)
The velocity may be replaced with the Reynold's number, and the friction factor may be replaced with the fluid conductance, depending on KEYOPT(6) and KEYOPT(7).

FLUID116 Output Data

The solution output associated with the element is in two forms:

  • Nodal degrees of freedom included in the overall nodal solution

  • Additional element output as shown in Table 116.3: "FLUID116 Element Output Definitions"

The fluid flow rate is expressed in units of Mass/Time and is positive from node I to node J. In an axisymmetric analysis these flow rates and all other output are on a full 360° basis. The fluid flow rate and the heat flow rate at the nodes may be printed with the OUTPR command. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The following notation is used in Table 116.3: "FLUID116 Element Output Definitions":

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 116.3 FLUID116 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L | Y | Y
MAT | Material number | Y | Y
XC, YC, ZC | Location where results are reported | Y | 4
VELOC | Average velocity | Y | Y
RE | Reynolds number | Y | Y
FLOW RATE | Flow rate from node I to node J | Y | Y
HT COND RATE | Heat flow rate from node I to node J due to conduction | 1 | 1
HT TRANSP RATE | Heat flow rate at node I due to mass transport | 1 | 1
CONV AREAS (I, J) | Convection areas at nodes I and J | 3 | 3
HFILM | Film coefficient | 3 | 3
NUS | Nusselt number | 3 | 3
PR | Prandtl number | 3 | 3
HT CONV RATES (I, J) | Heat flow rates from nodes I to K and from nodes J to L due to convection | 3 | 3
HGVD | Heat generation due to direct input and viscous damping | 1 | 1
TEMP | Temperature | - | 1
PUMP PR | Pump pressure | 2 | 2
FRICTION | Friction factor | 2 | 2
PRES | Pressure | - | 2

  1. If KEYOPT(1) = 0 or 1

  2. If KEYOPT(1) = 0 or 2

  3. If KEYOPT(2) = 2, 3, or 4

  4. Available only at centroid as a *GET item.

Table 116.4: "FLUID116 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 116.4: "FLUID116 Item and Sequence Numbers":

Name

output quantity as defined in the Table 116.3: "FLUID116 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J,K,L

sequence number for data at nodes I,J,K,L

Table 116.4 FLUID116 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J | K | L
VELOC | NMISC | 1 | - | - | - | -
RE | NMISC | 2 | - | - | - | -
FLOW RATE | NMISC | 3 | - | - | - | -
HEAT COND RATE | NMISC | 4 | - | - | - | -
HEAT TRANSP RATE | NMISC | 5 | - | - | - | -
CONV AREA | NMISC | - | 6 | 7 | - | -
HFILM | NMISC | 8 | - | - | - | -
NUS | NMISC | 9 | - | - | - | -
PR | NMISC | 10 | - | - | - | -
HEAT CONV RATE | NMISC | - | 11 | 12 | - | -
HGVD | NMISC | - | 13 | 14 | - | -
TEMP | NMISC | - | 15 | 16 | 17 | 18
PUMP PR | NMISC | 19 | - | - | - | -
FRICTION | NMISC | 20 | - | - | - | -
PRES | NMISC | - | 21 | 22 | - | -

FLUID116 Assumptions and Restrictions

  • The element must not have a zero length, so nodes I and J must not be coincident.

  • Nodes K and L may be located anywhere in space, even coincident with I and J, respectively.

  • D must always be nonzero.

  • A defaults to πD2/4.0 and is assumed to remain constant for the element.

  • Compressibility and flow inertia effects of the fluid are not included in the element formulation.

  • If temperatures are degrees of freedom, the resulting unsymmetric matrix requires twice as much memory storage for the solution as other ANSYS elements.

  • HF must be nonzero for the four node element.

  • MU and DENS must be nonzero if a flow solution is desired and KEYOPT(6) is not zero.

  • If the flow is specified at a node also having a specified pressure, the flow constraint is ignored.

  • In general, flow is usually specified at the inlet, pressure at the outlet.

  • For problems involving pressure specification on inlets and outlets, the solution may converge too soon (i.e., the PRES degree of freedom has converged but FLOW has not due to a loose convergence criterion). Be sure to check your results carefully. To force more iterations, you can tighten the convergence criteria (i.e., CNVTOL,flow,,1e-30 ), or you can specify a nonzero initial condition on pressure, which could be an average of the specified inlet and outlet pressures (i.e., IC,all,pres,pavg). You can use both options together; however, ANSYS recommends using a nonzero initial condition. Tightening the convergence requires you to estimate a suitable tolerance.

  • More substeps are required for convergence as the flow approaches zero.

  • See the CNVTOL command for convergence control.

  • If pressure is a degree of freedom, the element is nonlinear and requires an iterative solution.

FLUID116 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

These restrictions apply when using this element with the ANSYS Professional product.

  • The PRES degree of freedom (KEYOPT (1) = 0, 2) is not available with the ANSYS Professional product.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
INTER115 		Up / Home Next
SOLID117


SOLID117

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID117

3-D 20-Node Magnetic Solid

MP <> <> <> <> <> <> <> EM <> <> PP <>

Product Restrictions

SOLID117 Element Description

SOLID117 models 3-D magnetic fields. The element is defined by 20 nodes. It has 12 edge-flux DOFs (AZ), one at each midside node. The eight corner nodes carry the time-integrated electric potential DOF, VOLT (classical formulation) or the electric potential DOF, VOLT (solenoidal formulation).

SOLID117 is based on the edge-flux formulation, and applies to the low-frequency magnetic field analyses: magnetostatics, eddy currents (AC time harmonic and transient analyses). The element has nonlinear magnetic capability for modeling B-H curves or permanent magnet demagnetization curves for static and transient analyses. See SOLID117 in the Theory Reference for ANSYS and ANSYS Workbench, as well as 3-D Magnetostatics and Fundamentals of Edge-based Analysis, 3-D Harmonic Magnetic Analysis (Edge-Based), and 3-D Transient Magnetic Analysis (Edge-Based), in the Low-Frequency Electromagnetic Analysis Guide, for details about using this element's different formulations.

SOLID117 has two formulation options for non-eddy current regions: classical and solenoidal.

The classical formulation is used to model air, iron, or nonferrous materials, and permanent magnets. Current for the classical formulation can be defined directly as body loads using the BFE,,JS command, or with the SOURC36 element (recommended method for stranded conductors). Using the SOURC36 method has limited applicability to harmonic and transient analyses. For harmonic analyses, only real current is used (no imaginary). For transient analyses, because the current is applied as a real constant that cannot be changed during a load step, it has limited applicability.

Use the solenoidal formulation to model solid conductors without eddy current effects. The SOLID117 solenoidal formulation uses voltage-fed loading, current-fed loading, or circuit coupling capabilities with the CIRCU124, CIRCU125, and TRANS126 elements. The nonlinear symmetric solenoidal formulation is applicable to static and transient analyses. The linear unsymmetric solenoidal formulation is applicable to harmonic analysis. The electric scalar potential VOLT DOF is not time-integrated. For more information, see 3-D Circuit Coupled Solid Source Conductor in the Coupled-Field Analysis Guide.

Eddy currents in solid conductors use the edge element method with time-integrated electric potential VOLT. See SOLID117 in the Theory Reference for ANSYS and ANSYS Workbench for more information on the theoretical formulation.

Figure 117.1 SOLID117 Geometry

SOLID117 Input Data

Figure 117.1: "SOLID117 Geometry" shows the geometry, node locations, and the coordinate system for this element. The element is defined by 20 nodes and the material properties. A prism-shaped element may be formed by defining duplicate K, L, and S; A and B; and O, P, and W node numbers. A tetrahedral-shaped element and a pyramid-shaped element may also be formed as shown in Figure 117.1: "SOLID117 Geometry". The positive orientation of an edge points from lower to higher corner nodes of the edge.

SOLID117 Real Constants

The real constants associated with SOLID117 apply when considering velocity effects of a conducting body (KEYOPT(2) = 1), and start in real constant location nine (one through eight are blank).

VELOX, VELOY, and VELOZ are the velocity components in the global Cartesian coordinate system X, Y, and Z direction. OMEGAX, OMEGAY, OMEGAZ describe the angular (rotational) velocity (Hz, cycles/sec) about the global Cartesian coordinate system X, Y, and Z-axes. The real constants XLOC, YLOC, ZLOC specify the pivot point location of the rotating body.

SOLID117 Units

Specify the type of units (MKS or user defined) using the EMUNIT command. EMUNIT also determines the value of MUZERO (free-space permeability). The EMUNIT defaults are MKS units and MUZERO = 4π x 10-7 Henries/meters.

Note

The minimum allowable element edge length for this element is 1.0e-6. Choose units accordingly if model dimensions are on the order of microns.

SOLID117 Material Properties

In addition to MUZERO, orthotropic relative permeability is available; specify it via the MURX, MURY, and MURZ material options.

Specify nonlinear magnetic B-H properties with the TB command. You can specify nonlinear orthotropic magnetic properties with a combination of a B-H curve and linear relative permeability. The B-H curve will be used in each element coordinate direction where a zero value of relative permeability is specified. For isotropic nonlinear behavior, you do not need to specify any relative permeability. You can specify only one B-H curve per material.

You can specify orthotropic resistivity through RSVX, RSVY, and RSVZ material property labels. MGXX, MGYY, and MGZZ represent vector components of the coercive force for permanent magnet materials. The magnitude of the coercive force is the square root of the sum of the squares of the components. The vector components MGXX, MGYY, and MGZZ determine the direction of polarization. Permanent magnet polarization directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems.

SOLID117 Loads

You define nodal loads using the D and the F commands for solid conductors. With the D command, only the Lab = VOLT option is valid. Use the VALUE variable to define the time-integrated electric potential (classical formulation) or electric potential (solenoidal formulation). With the F command, the Lab variable corresponds to the force (Amps) and VALUE corresponds to the value (current) applied with respect to the VOLT DOF.

For stranded conductors, use the BFE command to prescribe source current density body loads (classical formulation) based on their value at the element's centroid location. Alternatively, use the BFV command to apply source current density body loads to volumes. The vector components of the current density are with respect to the element coordinate system (see "SOLID117 Assumptions and Restrictions" for solenoidal restriction). If you use KEYOPT(1) = 0, you can also define the current using SOURC36 elements. This option is only valid for stranded coils with no eddy current.

For edge-based analyses, the label AZ (when set to zero) applies the flux-parallel boundary condition. No prescription is required to set flux-normal, because it is the natural boundary condition. In the rare case when the AZ = 0 condition is not general enough for flux-parallel conditions, you can prescribe constraints using individual D commands.

When using loads from SOURC36 elements, use the MMF option on the MAGOPT command to specify how the SOURC36 load is treated. Use the distributed method (default) to apply a constant current density through the cross section of the current source. Use the filament method to concentrate the current in the center of the source.

The calculated field outside the current source region is essentially the same with either method. Inside the current source, however, the two methods provide different field distributions. This difference may lead to different inductance coefficients.

When the internal inductance (due to the energy of the field inside the conductor) is significant compared to the external inductance, the distributed method is recommended together with detailed mesh inside the source region. Typical applications are air coil inductors without iron.

When the internal inductance is negligible, the filament method is recommended with a course mesh inside the conductors. Typical applications are actuators and electric machines when the magnetic flux is conducted by iron and interaction takes place in the air gap. See the section Performing a Static Edge-Based Analysis in the Low-Frequency Electromagnetic Analysis Guide for more details on using the distributed and filament options.

You can use constraint equations to define cyclic symmetry.

See 3-D Magnetostatics and Fundamentals of Edge-based Analysis in the Low-Frequency Electromagnetic Analysis Guide for more information on loading in an edge-based analysis.

SOLID117 Flags

Node and Element Loads describes element loads.

For static analyses, no flags are required. Any existing flags are ignored. Select the nodes and elements for which you want to summarize the electromagnetic force, and issue the EMFT or FMAGSUM command.

For harmonic or transient analyses, you can specify Maxwell force flags on the element faces indicated by the circled numbers in Figure 117.1: "SOLID117 Geometry" using the SF and SFE commands. To identify surfaces at which magnetic forces are to be calculated, use the MXWF label on the surface load commands. (No value is required.) A Maxwell stress tensor calculation is performed at these surfaces to obtain the magnetic forces. You should apply the surface flag to "air" elements adjacent to the body for which forces are required. Deleting the MXWF specification removes the flag. Use the FMAGBC command to automatically apply Maxwell surface flags to a named element component.

SOLID117 Field-Coupling

You can use the LDREAD command to read electromagnetic forces and Joule heating in a subsequent structural analysis with companion structural elements or heat transfer with companion thermal elements. When using the classical formulation, you can read element current densities from an electric current conduction analysis using the LDREAD command. In addition, you can specify the temperature (for material property evaluation only).

Note

Force coupling is supported only for first order brick elements such as SOLID45.

In general, unspecified nodal values of temperatures default to the uniform value specified with the BFUNIF or TUNIF commands.

SOLID117 Gauging

The ANSYS program gauges the problem domain automatically at solution time, using a Tree gauging technique. (See the description of the GAUGE command.) This produces additional constraints on nodes in the model by setting AZ to zero. The additional constraints are removed after solution. Thus, gauging is transparent to users.

The table below summarizes the element input. Element Input provides a general description of element input.

SOLID117 Input Summary

Nodes

I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z, A, B

Degrees of Freedom

See KEYOPT(1).

Real Constants
For KEYOPT(2) = 1:
(Blank), (Blank), (Blank), (Blank), (Blank), (Blank),
(Blank), (Blank), VELOX, VELOY, VELOZ, OMEGAX,
OMEGAY, OMEGAZ, XLOC, YLOC, ZLOC
See Table 117.1: "SOLID117 Real Constants" for a description of the real constants
Material Properties
MUZERO, MURX, MURY, MURZ, RSVX, RSVY,
RSVZ, MGXX, MGYY, MGZZ plus BH data table (see Data Tables - Implicit Analysis)
Surface Loads
Maxwell Force Flags -- (harmonic and transient analyses only; ignored for static analyses)
face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N),
face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)
Body Loads
Temperatures --

T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P)

Source Current Density --

If KEYOPT(1) = 0: (See "SOLID117 Assumptions and Restrictions" for solenoidal restriction)

JSX(I), JSY(I), JSZ(I), PHASE(I), JSX(J), JSY(J),
JSZ(J), PHASE(J), JSX(K), JSY(K), JSZ(K), PHASE(K),
JSX(L), JSY(L), JSZ(L), PHASE(L), JSX(M), JSY(M),
JSZ(M), PHASE(M), JSX(N), JSY(N), JSZ(N), PHASE(N),
JSX(O), JSY(O), JSZ(O), PHASE(O), JSX(P), JSY(P),
JSZ(P), PHASE(P)
EF --

EFX, EFY, EFZ. See "SOLID117 Assumptions and Restrictions".

Special Features

Requires an iterative solution if nonlinear material properties are defined

KEYOPT(1)

Element degree of freedom and formulation selection:

Classical Formulation

0 -- Stranded Conductors

AZ degrees of freedom

With KEYOPT(1) = 0, you can use either the classical formulation and apply loads manually using BFE,,JS, or you can apply source current loads using SOURC36 elements. See "3-D Magnetostatics and Fundamentals of Edge-Based Analysis" in the Low-Frequency Electromagnetic Analysis Guide for more information on using both of these options.

1 -- Solid Conductors (Eddy Current)

AZ, VOLT degrees of freedom (time-integrated VOLT); harmonic and transient analyses only

Solenoidal Formulation

5 -- Solid Conductors (DC Current)

AZ, VOLT degrees of freedom: nonlinear symmetric solenoidal formulation applicable to static and transient analyses.

6 -- Solid Conductors (DC Current)

AZ, VOLT degrees of freedom: linear unsymmetric solenoidal formulation applicable to harmonic analyses.

KEYOPT(2)

Element conventional velocity:

0 --

Velocity effects ignored

1 --

Conventional velocity formulation (not available if KEYOPT(1) = 0, 2, 3, or 4)

KEYOPT(5)

Extra element output:

0 --

Basic element printout

1 --

Integration point printout

2 --

Nodal magnetic field printout

Table 117.1 SOLID117 Real Constants

No. | Name | Description
1, ..., 8 | (Blank) | --
9, 10, 11 | VELOX, VELOY, VELOZ | Velocity in X, Y, and Z-directions
12, 13, 14 | OMEGAX, OMEGAY, OMEGAZ | Angular velocity about X, Y, and Z-axes
15, 16, 17 | XLOC, YLOC, ZLOC | Pivot point X, Y, Z-locations

SOLID117 Solution Considerations

You can choose the analysis type (static, transient, or harmonic) using the ANTYPE command.

In a harmonic analysis, the output field quantities are peak values. The ANSYS program performs a complex solution and computes two sets of data: real and imaginary. The measurable field quantities can be computed as the real step with a cosine time change minus the imaginary step with a sine time change. You can set the frequency of the time change via the HARFRQ command. The measurable magnetic energy, the Joule heat, and average Lorentz forces can be computed as a sum of the calculated real and imaginary data. RMS time averaging is applied to Joule heat and average forces. Energy is computed to reflect peak values. The Theory Reference for ANSYS and ANSYS Workbench details complex formalism for harmonic analyses.

Use the GAUGE command to control automatic gauging of the problem domain. The default is Tree gauging, which removes constraints after the SOLVE or MAGSOLV command is issued.

To choose a solver, specify one on the EQSLV command. The sparse solver is recommended.

To define transient and nonlinear options, you can use the MAGSOLV command (which defines the options and solves the problem automatically) or you can issue the CNVTOL, NEQIT, and NSUBST commands. Use the OUTPR command to control printout and the OUTRES command to control database storage.

SOLID117 Output Data

The solution output associated with the element is in two forms:

  • Nodal DOFs included in the overall nodal solution

  • Additional element output as shown in Table 117.2: "SOLID117 Element Output Definitions" and Table 117.3: "SOLID117 Miscellaneous Element Output"

The element output directions are parallel to the element coordinate system. Solution Output provides a general description of solution output. See the Basic Analysis Guide for ways to view results.

Table 117.2: "SOLID117 Element Output Definitions" uses the following notation:

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 117.2 SOLID117 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z, A, B | Y | Y
MAT | Material number | Y | Y
VOLU | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 2
TEMP | Input temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | Y | Y
LOC | Output location (X, Y, Z) | 1 | -
MUX, MUY, MUZ | Magnetic secant permeability (B/H) | 1 | 1
H:X, Y, Z, SUM | Magnetic field intensity components and vector magnitude | 1 | 1
B:X, Y, Z, SUM | Magnetic flux density components and vector magnitude | 1 | 1
JS:X, Y, Z | Source current density components in the global Cartesian coordinate system, valid for static analysis only | 1 | 1
JT(X, Y, Z) | Total current density components in the global Cartesian coordinate system | 1 | 1
JHEAT | Joule heat generation per unit volume | 1 | 1
FJB(X, Y, Z) | Lorentz magnetic force components (harmonic and transient analyses only) | 1 | -
FMX(X, Y, Z) | Maxwell magnetic force components (harmonic and transient analyses only) | 1 | -
FVW(X, Y, Z) | Virtual work force components (harmonic and transient analyses only) | 1 | 1
FMAG:X, Y, Z, SUM | Electromagnetic force | - | 1
MRE: | Magnetic Reynold's Number | 3 | 3

  1. The solution is output if its value is not zero. The element solution is at the centroid.

    Note

    JT represents the total measurable current density that is induced in a conductor, including eddy current effects, and velocity effects if calculated. Components are also available: JS component from VOLT, JE component from A, JT = JS + JE. In a static analysis, JS represents the source current density.

    For harmonic analysis, joule losses (JHEAT), forces (FJB(X, Y, Z), FMX(X, Y, Z), FVW(X, Y, Z)) represent time-average values. These values are stored in both the "Real" and “Imaginary” data sets. The macros POWERH and FMAGSUM can be used to retrieve this data.

  2. Available only at centroid as a *GET item.

  3. Available only with harmonic or transient analyses. The solution value is output only if calculated (based upon input data). The element solution is at the centroid.

    Note

    JT represents the total measurable current density in a conductor, including eddy current effects, and velocity effects if calculated.

    For harmonic analysis, joule losses (JHEAT) and forces (FJB(X, Y, Z), FMX(X, Y, Z), FVW(X, Y, Z)) represent time-average values. These values are stored in both the "Real" and “Imaginary” data sets. The macros POWERH and FMAGSUM can be used to retrieve this data.

    Inductance values (EIND) obtained for KEYOPT(1) = 2, 3, or 4 are only valid under the following conditions: the problem is linear (constant permeability), there are no permanent magnets in the model, and only a single coil exists in the model.

Table 117.3 SOLID117 Miscellaneous Element Output

Description | Names of Items Output | O | R
Integration Point Solution | LOC, MUX, MUY, MUZ, H, HSUM, B, BSUM | 1 | -
Nodal Magnetic Field Solution | H, HSUM, B, BSUM | 2 | -

  1. Output at each integration point, if KEYOPT(5) = 1

  2. Output at each corner node, if KEYOPT(5) = 2

Table 117.4: "SOLID117 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 117.4: "SOLID117 Item and Sequence Numbers":

Name

output quantity as defined in Table 117.2: "SOLID117 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 117.4 SOLID117 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
Source Current Density (static analysis), or time-varying component due to electric potential (VOLT)
JSX | SMISC | 1
JSY | SMISC | 2
JSZ | SMISC | 3
JSSUM | SMISC | 4
Secant Permeability B/H
MUX | NMISC | 1
MUY | NMISC | 2
MUZ | NMISC | 3
Lorentz Forces/Virtual Work Force
FVWX | NMISC | 4 (2)
FVWY | NMISC | 5 (2)
FVWZ | NMISC | 6 (2)
FVWSUM | NMISC | 7 (2)
Total (Measurable) Current Density
JTX | NMISC | 12
JTY | NMISC | 13
JTZ | NMISC | 14
JTSUM | NMISC | 15
Differential Permeability dB/dH
DMUX | NMISC | 18
DMUY | NMISC | 19
DMUZ | NMISC | 20
VX (1) | NMISC | 21
VY (1) | NMISC | 22
VZ (1) | NMISC | 23

  1. VX, VY, and VZ are available only with harmonic and transient analyses.

  2. For static analyses, these values are Lorentz forces. For all other analysis types, these values are virtual work forces. See Calculating Magnetic Force and Torque in the Low-Frequency Electromagnetic Analysis Guide for more information.

SOLID117 Assumptions and Restrictions

  • The element must not have a zero volume or a zero length side.

  • An error occurs frequently when the element is not numbered properly. Elements may be numbered either as shown in Figure 117.1: "SOLID117 Geometry" or may have the planes IJKL and MNOP interchanged.

  • Midside nodes may not be removed from this element. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes.

  • The prism option is available for all standard mesh extrusion operations if the triangular source elements have straight edges. Issuing MSHMID,1 places the midside nodes so the triangular element edges are straight.

  • The continuity equation must be satisfied for a proper electromagnetic analysis as explained in the Theory Reference for ANSYS and ANSYS Workbench. For this reason the source current density, JS, must be solenoidal (that is, [image] ·JS = 0). You should verify that this condition is satisfied when prescribing the source current density load. If this condition is not satisfied SOLID117 can produce erroneous solutions without warning. Refer to Performing a Static Edge-based Analysis in the Low-Frequency Electromagnetic Analysis Guide for information on how to obtain solenoidal currents when the source current density is not constant. If you use a solenoidal formulation (KEYOPT(1) = 5 or 6), ANSYS will compute the current density. The solenoidal formulations are applicable to voltage and circuit coupled problems as well.

  • You cannot use this element in a nonlinear harmonic analysis.

  • When this element does not have the VOLT degree of freedom for a harmonic or transient analysis, it acts as a stranded conductor.

  • Permanent magnets are not permitted in a harmonic analysis.

  • The VOLT degree of freedom (KEYOPT(1) = 1) is required in all non-source regions with a specified nonzero resistivity. This allows eddy currents to be computed.

  • Other elements in the model are restricted to the AX, AY, AZ, or VOLT degrees of freedom only. No other DOFs are allowed in the model when running an edge-based analysis using SOLID117.

  • For specific recommendations and restrictions on current loading, see 3-D Magnetostatics and Fundamentals of Edge-Based Analysis and 3-D Nodal-Based Analyses (Static, Harmonic, and Transient) in the Low-Frequency Electromagnetic Analysis Guide.

  • You cannot use this element with circuit element CIRCU124 if KEYOPT(1) = 0 or 1.

  • For velocity effects (KEYOPT(2) = 1), note the following restrictions:

    • Velocity effects are valid only for the AZ, VOLT DOF option.

    • Velocity effects cannot be included in a static analysis. To simulate a static analysis, execute a harmonic analysis at a very low frequency and retrieve the "real" results for the solution.

    • Velocity effects are available only in a linear analysis.

    • Velocity effects are valid only for isotropic resistivity.

    • Solution accuracy may degrade if the element magnetic Reynolds number is much greater than 1.0. (See the discussion of magnetic fields in the Low-Frequency Electromagnetic Analysis Guide.)

  • For harmonic and transient (time-varying) analyses the following restrictions apply:

    • You should use hexahedral elements in current carrying regions because hexahedral elements are more accurate than the degenerate shaped elements (tetrahedral and pyramid). You can expect comparable accuracy with all element shapes in noncurrent carrying regions.

    • Time-average Lorentz forces are calculated automatically for all current carrying elements. You cannot calculate Maxwell or virtual work forces.

    • You cannot use this element with other nodal-based electromagnetic elements (for example, SOLID5, SOLID96, SOLID97, SOLID98, SOURC36, INFIN111, INTER115).

  • This element may not be compatible with other elements with the VOLT degree of freedom. To be compatible, the elements must have the same reaction force (see Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide).

  • The solenoidal formulations do not model eddy current effects.

  • The electric field body load is not used during solution and is applicable only to POST1 charged particle tracing.

  • You cannot use NFORCE, PRRFOR, or PRRSOL with SOLID117.

  • You should avoid using pyramid shapes in critical regions.

  • Warping should be minimized when using this element.

  • You cannot use coupling with this element.

SOLID117 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Emag.

  • The birth and death special feature is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLUID116 		Up / Home Next
HF118


HF118

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

HF118

2-D High-Frequency Quadrilateral Solid

MP <> <> <> <> <> <> <> <> EH <> PP <>

Product Restrictions

HF118 Element Description

HF118 is a high-frequency element which models 2-D electromagnetic fields and waves governed by the full set of Maxwell's equations in linear media. It is based on a full-wave formulation of Maxwell's equations in terms of the time-harmonic electric field E (exponent jωt dependence assumed). See High-Frequency Electromagnetic Field Simulation in the Theory Reference for ANSYS and ANSYS Workbench for more information on Maxwell's equations and full-wave formulations, respectively.

HF118 applies only to modal analyses. You can use it to compute dispersion characteristics of high-frequency transmission lines, including cutoff frequencies and propagating constants for multiple modes. It is a mixed node-scalar edge-vector element. Physically the AX DOF mean the projection of the electric field E on edges and faces. The AX DOF also represents the Ez component of the electric field E at the nodes.

Figure 118.1 HF118 Geometry

A first order or second order element option is available using KEYOPT(1). The first order quadrilateral and triangular elements have one AX DOF on each edge and at each corner node. The total number of DOFs is 8 for a first order quadrilateral element {1 (4 edges) + 1 (4 corner nodes)} and 6 for a first order triangular element {1 (3 edges) + 1 (3 corner nodes)}.

Figure 118.2 HF118 First Order Element

The second order quadrilateral element has two AX DOFs on each edge, four AX DOFs on the face for the tangential component of the electric field E, and one AX DOF at each corner and midside node. The total number of DOFs is 20 for a second order quadrilateral element {2 (4 edges) + 4 (1 face) + 1 (8 nodes)}. The second order triangular element has two AX DOFs on each edge, two AX DOFs on the face for the tangential component of the electric field E, and one AX DOF at each corner and midside node. The total number of DOFs is 14 for a second order triangular element {2 (3 edges) + 2 (1 face) + 1 (6 nodes)}.

Figure 118.3 HF118 Second Order Element

HF118 Input Data

Figure 118.1: "HF118 Geometry" shows the geometries, node locations, and the coordinate system for the element. The element supports two geometric shapes: a quadrilateral shape with a degeneracy to a triangular shape.

The only unit system supported for high-frequency analysis is the MKS unit, where the free-space permeability MUZERO = 4π x 10-7 H/m and the free-space permittivity PER0 = 8.854 x 10-12 F/m (see the EMUNIT command).

HF118 requires two sets of material constants; that is, relative permeability and permittivity tensors (in the element coordinate system if any). To specify a diagonal relative permeability tensor use the MURX, MURY, and MURZ labels on the MP command. Use the TB,MUR and TBDATA commands to specify the terms of an anisotropic permeability matrix. To specify a diagonal relative permittivity tensor use the PERX, PERY, and PERZ labels on the MP command. Use the TB,DPER and TBDATA commands to specify the terms of an anisotropic permittivity matrix.

To define nodal constraints on geometric nodes, use the D command. With the D command, the Lab variable corresponds to the only degree of freedom AX and the VALUE corresponds to the AX value. AX is not the x component in the global Cartesian coordinate system. In most cases, the AX value is zero, which corresponds to a perfect electric conductor or "Electric Wall" (tangential component of [image] = 0) condition. If both end nodes and the mid-node on an element edge are constrained, DOFs on the edge are also constrained. Similarly, if all edges on an element face are constrained, DOFs on the face are also constrained. If you leave the nodes on a surface unspecified, the boundary assumes a "Magnetic Wall" condition (tangential component of [image] = 0).

To define constraints on lines, use the DL command. The Lab variable corresponds to the degree of freedom AX and the Value1 corresponds to the AX value. Upon initiation of the solution calculations (SOLVE), the solid model DOF constraints transfer automatically to the finite element model.

"HF118 Input Summary" summarizes the element input. Element Input in the Elements Reference provides a general description of element input.

HF118 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

AX

Real Constants

None

Material Properties
MUZERO, MURX, MURY, MURZ, EPZRO, PERX, PERY, PERZ,
MUR, DPER
Surface Loads

None

Body Loads

None

Special Features

None

KEYOPT(1)

Element polynomial order selection:

0,1 --

First order element

2 --

Second order element

KEYOPT(5)

Extra element output:

0 --

Basic element printout

1 --

Centroid point printout

2 --

Nodal field printout

HF118 Solution Considerations

For modal analysis, choose a frequency shift point just below the anticipated eigenfrequency of interest (via the MODOPT command). Select an upper end frequency as well. Use the Method argument to choose the Block Lanczos solver. To visualize the electric and magnetic field modes, use the MXPAND command to expand the mode shapes.

HF118 Output Data

The solution output associated with this element is in two forms:

  • Degrees of freedom (AX) included in the overall nodal solution

  • Additional element output as shown in Table 118.1: "HF118 Element Output Definitions"

The element output direction is parallel to the element coordinate system (if any). Solution Output in the Elements Reference provides a general description of solution output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 118.1 HF118 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, ..., B | Y | Y
MAT | Material number | Y | Y
VOLU | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 2
LOC | Output location | 1 | -
MURX, MURY, MURZ | Relative permeability | 1 | -
PERX, PERY, PERZ | Relative permittivity | 1 | -
EF:X, Y, Z | Electric field intensity E | 1 | Y
EF:SUM | Magnitude of E | 1 | -
H:X, Y, Z | Magnetic field intensity H | 1 | Y
H:SUM | Magnitude of H | 1 | -
JHEAT | Joule heat generation per unit volume (time-average value) | - | -
PX, PY, PZ | Pointing vector (time-average value) | - | Y
ALPHA | Real part of propagating constant | - | Y
BETA | Imaginary part of propagating constant | - | Y
PF | Poynting flow through cross-section | - | Y

  1. The solution value is output only if calculated (based upon input data). The element solution is at the centroid.

  2. Available only at centroid as a *GET command item.

Table 118.2 HF118 Miscellaneous Element Output

Description | Names of Items Output | O | R
Centroid Point Solution | LOC, MUX, MUY, MUZ, PERX, PERY, PERZ, E, ESUM, H, HSUM | 1 | -
Nodal Electric and Magnetic Field Solutions | E, ESUM, H, HSUM | 2 | -

  1. Output at each centroid point, if KEYOPT(5) = 1

  2. Output at each corner node, if KEYOPT(5) = 2

Table 118.3: "HF118 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 120.3: "HF120 Item and Sequence Numbers":

Name

output quantity as defined in Table 120.1: "HF120 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 118.3 HF118 Item and Sequence Numbers

Output Quantity Name | ETABLE Command Input
 | Item | I
PX | NMISC | 1
PY | NMISC | 2
PZ | NMISC | 3
ALPHA | NMISC | 4
BETA | NMISC | 5
PF | NMISC | 6

HF118 Assumptions and Restrictions

  • HF118 is only applicable to modal analyses.

  • The element must not have a zero volume.

  • The required material properties (MURX, MURY, MURZ, PERX, PERY, PERZ) must be input as relative values.

  • Midside nodes must not be removed from this element. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information on the use of midside nodes.

  • The second order element is not available for the solution of propagating constant with fixed frequency.

HF118 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID117 		Up / Home Next
HF119


HF119

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

HF119

3-D High-Frequency Tetrahedral Solid

MP <> <> <> <> <> <> <> <> EH <> PP <>

Product Restrictions

HF119 Element Description

HF119 is a high-frequency tetrahedral element which models 3-D electromagnetic fields and waves governed by the full set of Maxwell's equations in linear media. It is based on a full-wave formulation of Maxwell's equations in terms of the time-harmonic electric field E (exponent jωt dependence assumed). A companion brick element, HF120, has similar full-wave capability. See HF119 in the Theory Reference for ANSYS and ANSYS Workbench for more information on Maxwell's equations and full-wave formulations, respectively.

HF119 applies to the full-harmonic and modal analysis types, but not to the transient analysis type. It is defined by up to 10 geometric nodes with AX DOF on element edges and faces. The physical meaning of the AX DOF in this element is a projection of the electric field E on edges and faces.

Figure 119.1 HF119 Geometry

A first order or second order element option is available using KEYOPT(1). The first order element has one AX DOF on each edge for a total of 6 DOFs.

Figure 119.2 HF119 First Order Element

The second order element has two AX DOFs on each edge and face for a total of 20 DOFs {2(6 edges) + 2(4 faces)}.

Figure 119.3 HF119 Second Order Element

HF119 Input Data

Figure 119.1: "HF119 Geometry" shows the geometries, node locations, and the coordinate system for the element.

The only unit system supported for high-frequency analysis is the MKS unit, where the free-space permeability MUZERO = 4π x 10-7 H/m and the free-space permittivity PER0 = 8.854 x 10-12 F/m (see the EMUNIT command).

KEYOPT(4) provides options for the element formulation. KEYOPT(4) = 0 activates the normal full-wave formulation, which solves for the total field. KEYOPT(4) = 1 activates the perfectly matched layers (PML) formulation, which absorbs the field at the open boundary or at the port of a waveguide. KEYOPT(4) = 2 activates the scattering formulation, which is only required in the regions of a domain receiving a reflected wave from an imposed soft source magnetic field excitation (BF,,H option).

HF119 requires two sets of material constants; that is, relative permeability and permittivity tensors (in the element coordinate system if any). To specify a diagonal relative permeability tensor use the MURX, MURY, and MURZ labels on the MP command. Use the TB,MUR and TBDATA commands to specify the terms of an anisotropic permeability matrix. To specify a diagonal relative permittivity tensor use the PERX, PERY, and PERZ labels on the MP command. Use the TB,DPER and TBDATA commands to specify the terms of an anisotropic permittivity matrix.

You can specify an optional diagonal resistivity tensor (inverse of the conductivity tensor) using the RSVX, RSVY, and RSVZ labels on the MP command. To specify the terms of an anisotropic electric current conductivity tensor or anisotropic magnetic current conductivity tensor use TBDATA and TB,CNDE or TB,CNDM, respectively.

For an isotropic lossy material, you can define the lossy characteristics of the material by either the electric loss tangent (MP,LSST) or magnetic loss tangent (MP,LSSM). To calculate a specific absorption rate (SAR), you must input a mass density using the DENS label on the MP command.

To define nodal constraints on geometric nodes, use the D command. With the D command, the Lab variable corresponds to the only degree of freedom AX and the VALUE corresponds to the AX value. AX is not the x component in the global Cartesian coordinate system. In most cases, the AX value is zero, which corresponds to a perfect electric conductor (PEC) or "Electric Wall" (tangential component of [image] = 0) condition. If both end nodes and the mid-node on an element edge are constrained, DOFs on the edge are also constrained. Similarly, if all edges on an element face are constrained, DOFs on the face are also constrained. The DOFs based on volume are not constrained. If you leave the nodes on a surface unspecified, the boundary assumes a perfect magnetic conductor (PMC) or "Magnetic Wall" condition (tangential component of [image] = 0).

To define constraints on lines and areas, use the DL and DA commands, respectively. The Lab variable corresponds to the degree of freedom AX and the Value1 corresponds to the AX value.

Node and Element Loads describes element loads. You can specify an exterior waveguide port, surface impedance boundary conditions, infinite boundary surface flags, and Maxwell surface flags on the element faces indicated by the circled numbers in Figure 119.1: "HF119 Geometry" using the SF and SFE commands or on the solid model using the SFA command. You can use the infinite boundary surface flag for a radiating open boundary in lieu of PML elements. You should use the Maxwell surface flag to determine an equivalent source surface for near and far field calculations performed in POST1.

You can apply current density, magnetic field, and electric field body loads to the finite element model using the BF and BFE commands or to the solid model using the BFK. BFL, BFA, and BFV commands. To specify a interior waveguide port, use the BF and BFA commands.

You can input the temperature (for material property evaluation only) body loads based on their value at the element's nodes or as a single element value [BF and BFE]. In general, unspecified nodal values of temperatures default to the uniform value specified with the BFUNIF and TUNIF commands. Element heat loss (JHEAT) represents the time-average Joule heat generation rate (W/m3), and may be made available for a subsequent thermal analysis with companion elements (See the discussion of the LDREAD command).

Upon initiation of the solution calculations (SOLVE), the solid model loads and boundary conditions transfer automatically to the finite element model.

HF119 Input Summary

Nodes

I, J, K, L, M, N, O, P, Q, R

Degrees of Freedom

AX

Real Constants

None

Material Properties
MUZERO, MURX, MURY, MURZ, EPZRO, PERX, PERY, PERZ,
RSVX, RSVY, RSVZ, MUR, DPER, CNDE, CNDM,
LSST, LSSM, DENS
Surface Loads
Waveguide Port Surface Loads --

face 1 (J-I-K), face 2 (I-J-L), face 3 (J-K-L), face 4 (K-I-L)

Impedance Surface Loads --

face 1 (J-I-K), face 2 (I-J-L), face 3 (J-K-L), face 4 (K-I-L)

Infinite Boundary Surface Flags --

face 1 (J-I-K), face 2 (I-J-L), face 3 (J-K-L), face 4 (K-I-L)

Maxwell Surface Flags for Equivalent Source Surface --

face 1 (J-I-K), face 2 (I-J-L), face 3 (J-K-L), face 4 (K-I-L)

Body Loads
Temperature --

T(I), T(J), ..., T(R)

Current Density, Magnetic Field, Electric Field, and Waveguide Port --

JS, H, EF, PORT

Special Features

None

KEYOPT(1)

Used for element polynomial order selection:

0, 1 --

First order element

2 --

Second order element

KEYOPT(4)

Used for element type selection:

0 --

Normal element

1 --

Perfectly matched layers (PML) element

2 --

Scattering region element behind a soft source magnetic field excitation

KEYOPT(5)

Extra element output:

0 --

Basic element printout

1 --

Centroid point printout

2 --

Nodal field printout

HF119 Solution Considerations

To choose the modal or full harmonic analysis type, issue the ANTYPE command.

In a harmonic analysis, the ANSYS program performs a complex solution and computes two sets of results data: real and imaginary. The measurable field quantities can be computed as the real step with a cosine time change and the imaginary set with a sine time change. You can set the frequency of the time change via the HARFRQ command. The measurable power terms and Joule losses are computed as rms (time-average) values and are stored with the real data set. You can choose a solver via the EQSLV command (the ICCG or sparse solvers are recommended).

For modal analysis, choose a frequency shift point just below the anticipated eigenfrequency of interest (via the MODOPT command). Select an upper end frequency as well. Use the Method argument to choose the Block Lanczos solver (the default). To visualize the electric and magnetic field modes, use the MXPAND command to expand the mode shapes.

"HF119 Input Summary" summarizes the element input. Element Input of the Elements Reference gives a general description of element input.

HF119 Output Data

The solution output associated with this element is in two forms:

  • Degrees of freedom (AX) included in the overall nodal solution

  • Additional element output as shown in Table 119.1: "HF119 Element Output Definitions"

The element output direction is parallel to the element coordinate system (if any). Solution Output in the Elements Reference provides a general description of solution output.See the Basic Analysis Guide for ways to view results.

Table 119.1: "HF119 Element Output Definitions" uses the following notation:

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 119.1 HF119 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, ..., B | Y | Y
MAT | Material number | Y | Y
VOLU | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 3
TEMP | Input temperatures T(I), T(J), ..., T(R) | Y | Y
LOC | Output location | 1 | -
MURX, MURY, MURZ | Relative permeability | 1 | -
PERX, PERY, PERZ | Relative permittivity | 1 | -
CNDX, CNDY, CNDZ | Conductivity | 1 | -
EF:X, Y, Z | Electric field intensity E | 1 | Y
EF:SUM | Magnitude of E | 1 | -
H:X, Y, Z | Magnetic field intensity H | 1 | Y
H:SUM | Magnitude of H | 1 | -
JC:X, Y, Z | Current density JC | 1 | Y
JC:SUM | Magnitude of JC | 1 | -
JHEAT | Joule heat generation per unit volume (time-average value) | - | -
PX, PY, PZ | Pointing vector (time-average value) | - | Y
PSCT | Reflected or transmitted power (time-average value) | 1 | -
PINC | Input power (time-average value) | - | -
VLOSS | Volumetric Joule losses (time-average value) | - | -
SFLOSS | Surface Joule losses (time-average value) | - | -
ENERGY | Stored energy (time-average value) | - | -
FACE1 | 1st element face number containing heat flux | - | 2
HFLXAVG1 | Heat flux across FACE1 caused by surface losses | - | 2
FACE2 | 2nd element face number containing heat flux | - | 2
HFLXAVG2 | Heat flux across FACE2 caused by surface losses | - | 2
FACE3 | 3rd element face number containing heat flux | - | 2
HFLXAVG3 | Heat flux across FACE3 caused by surface loses | - | 2
ETINCR | Real part of tangential incident electric field | - | 2
ETINCI | Imaginary part of tangential incident electric field | - | 2
ETOUTR | Real part of tangential outgoing electric field | - | 2
ETOUTI | Imaginary part of tangential outgoing electric field | - | 2
ETDOT | Dot product of waveguide eigen tangential electric field | - | 2
SAR | Specific absorption rate | - | 2

  1. The solution value is output only if calculated (based upon input data). The element solution is at the centroid.

  2. The solution value is output only if calculated.

  3. Available only at centroid as a *GET item.

Table 119.2 HF119 Miscellaneous Element Output

Description | Names of Items Output | O | R
Centroid Point Solution | LOC, MUX, MUY, MUZ, PERX, PERY, PERZ, E, ESUM, H, HSUM | 1 | -
Nodal Electric and Magnetic Field Solutions | E, ESUM, H, HSUM | 2 | -

  1. Output at each centroid point, if KEYOPT(5) = 1

  2. Output at each corner node, if KEYOPT(5) = 2

Table 119.3: "HF119 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 119.3: "HF119 Item and Sequence Numbers":

Name

output quantity as defined in Table 119.1: "HF119 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 119.3 HF119 Item and Sequence Numbers

Output Quantity Name | ETABLE Command Input
 | Item | E
PX | NMISC | 1
PY | NMISC | 2
PZ | NMISC | 3
PSCT | NMISC | 4
PINC | NMISC | 5
ENERGY | NMISC | 6
VLOSS | NMISC | 7
SFLOSS | NMISC | 8
FACE1 | NMISC | 9
HFLXAVG1 | NMISC | 10
FACE2 | NMISC | 11
HFLXAVG2 | NMISC | 12
FACE3 | NMISC | 13
HFLXAVG3 | NMISC | 14
ETINCR | NMISC | 15
ETINCI | NMISC | 16
ETOUTR | NMISC | 17
ETOUTI | NMISC | 18
ETDOT | NMISC | 19
SAR | NMISC | 20

HF119 Assumptions and Restrictions

  • The element must not have a zero volume.

  • The element may be numbered either as shown in Figure 119.1: "HF119 Geometry" or may have the plane IJKL and MNOP interchanged.

  • The required material properties (MURX, MURY, MURZ, PERX, PERY, PERZ) must be input as relative values.

  • You cannot use the element in a transient analysis.

  • Midside nodes must not be removed from this element. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes.

HF119 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HF118 		Up / Home Next
HF120


HF120

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

HF120

3-D High-Frequency Brick Solid

MP <> <> <> <> <> <> <> <> EH <> PP <>

Product Restrictions

HF120 Element Description

HF120 is a high-frequency brick element which models 3-D electromagnetic fields and waves governed by the full set of Maxwell's equations in linear media. It is based on a full-wave formulation of Maxwell's equations in terms of the time-harmonic electric field E (exponent jωt dependence assumed). A companion tetrahedral element, HF119, has similar full-wave capability. See HF120 in the Theory Reference for ANSYS and ANSYS Workbench for more information on Maxwell's equations and full-wave formulations, respectively.

HF120 applies to the full-harmonic and modal analysis types, but not to the transient analysis type. It is defined by up to 20 geometric nodes with AX DOF on element edges and faces and inside the volume. The physical meaning of the AX DOF in this element is a projection of the electric field E on edges and faces, as well as normal components to the element faces.

Figure 120.1 HF120 Geometry

A first order or second order element option is available for the hexahedral and prism-shaped elements using KEYOPT(1). The pyramid-shaped element is only available as a first order element. The first order element has one AX DOF on each edge. The first order hexahedral element has a total of 12 AX DOFs.

Figure 120.2 HF120 First Order Hexahedral Element

The second order hexahedral element has two AX DOFs on each edge, four AX DOFs on each face, and six AX DOFs inside the volume for a total of 54 DOFs {2(12 edges) + 4(6 faces) + 6 (1 volume)}.

The first order prism and pyramid elements have a total of 9 AX and 8 AX DOFs, respectively. The second order prism element has a total of 42 DOFs {2(9 edges) + 4(5 faces) + 4(1 volume)}.

HF120 Input Data

Figure 120.1: "HF120 Geometry" shows the geometries, node locations, and the coordinate system for the element. The element supports three geometric shapes: a hexahedral (brick) shape defined by twenty geometric nodes with degeneracies to prism and pyramid shapes.

The only unit system supported for high-frequency analysis is the MKS unit, where the free-space permeability MUZERO = 4π x 10-7 H/m and the free-space permittivity PER0 = 8.854 x 10-12 F/m (see the EMUNIT command).

KEYOPT(4) provides options for the element formulation. KEYOPT(4) = 0 activates the normal full-wave formulation, which solves for the total field. KEYOPT(4) = 1 activates the perfectly matched layers (PML) formulation, which absorbs the field at the open boundary or at the port of a waveguide. KEYOPT(4) = 2 activates the scattering formulation, which is only required in the regions of a domain receiving a reflected wave from an imposed soft source magnetic field excitation (BF,,H option).

HF120 requires two sets of material constants; that is, relative permeability and permittivity tensors (in the element coordinate system if any). To specify a diagonal relative permeability tensor use the MURX, MURY, and MURZ labels on the MP command. Use the TB,MUR and TBDATA commands to specify the terms of an anisotropic permeability matrix. To specify a diagonal relative permittivity tensor use the PERX, PERY, and PERZ labels on the MP command. Use the TB,DPER and TBDATA commands to specify the terms of an anisotropic permittivity matrix.

You can specify an optional diagonal resistivity tensor (inverse of the conductivity tensor) using the RSVX, RSVY, and RSVZ labels on the MP command. To specify the terms of an anisotropic electric current conductivity tensor or anisotropic magnetic current conductivity tensor use TBDATA and TB,CNDE or TB,CNDM, respectively.

For an isotropic lossy material, you can define the lossy characteristics of the material by either the electric loss tangent (MP,LSST) or magnetic loss tangent (MP,LSSM). To calculate a specific absorption rate (SAR), you must input a mass density using the DENS label on the MP command.

To define nodal constraints on geometric nodes, use the D command. With the D command, the Lab variable corresponds to the only degree of freedom AX and the VALUE corresponds to the AX value. AX is not the x component in the global Cartesian coordinate system. In most cases, the AX value is zero, which corresponds to a perfect electric conductor (PEC) or "Electric Wall" (tangential component of [image] = 0) condition. If both end nodes and the mid-node on an element edge are constrained, DOFs on the edge are also constrained. Similarly, if all edges on an element face are constrained, DOFs on the face are also constrained. The DOFs based on volume are not constrained. If you leave the nodes on a surface unspecified, the boundary assumes a perfect magnetic conductor (PMC) or "Magnetic Wall" condition (tangential component of H¯ = 0).

To define constraints on lines and areas, use the DL and DA commands, respectively. The Lab variable corresponds to the degree of freedom AX and the Value1 corresponds to the AX value.

Node and Element Loads describes element loads. You can specify an exterior waveguide port, surface impedance boundary conditions, infinite boundary surface flags, and Maxwell surface flags on the element faces indicated by the circled numbers in Figure 120.1: "HF120 Geometry" using the SF and SFE commands or on the solid model using the SFA command. You can use the infinite boundary surface flag for a radiating open boundary in lieu of PML elements. You should use the Maxwell surface flag to determine an equivalent source surface for near and far field calculations performed in POST1.

To define surface loads on areas of the model, use the SFA command.

You can apply current density, magnetic field, and electric field body loads to the finite element model using the BF and BFE commands or to the solid model using the BFK. BFL, BFA, and BFV commands. To specify a interior waveguide port, use the BF and BFA commands.

You can input the temperature (for material property evaluation only) body loads based on their value at the element's nodes or as a single element value (BF and BFE commands). In general, unspecified nodal values of temperatures default to the uniform value specified with the BFUNIF and TUNIF commands. Element heat loss (JHEAT) may be made available for a subsequent thermal analysis with companion elements. (See the description of the LDREAD command.)

Upon initiation of the solution calculations (SOLVE), the solid model loads and boundary conditions transfer automatically to the finite element model.

HF120 Input Summary

Nodes

I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z, A, B

Degrees of Freedom

AX

Real Constants

None

Material Properties
MUZERO, MURX, MURY, MURZ, EPZRO, PERX, PERY, PERZ,
RSVX, RSVY, RSVZ, MUR, DPER, CNDE, CNDM,
LSST, LSSM, DENS
Surface Loads
Waveguide Port Surface Loads --
face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N),
face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)
Impedance Surface Loads --
face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N),
face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)
Infinite Boundary Surface Flags --
face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N),
face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)
Maxwell Surface Flags for Equivalent Source Surface --

face 1 (J-I-K), face 2 (I-J-L), face 3 (J-K-L), face 4 (K-I-L)

Body Loads
Temperatures --

T(I), T(J), ..., T(B)

Current Density, Magnetic Field, Electric Field, and Waveguide Port --

JS, H, EF, PORT

Special Features

None

KEYOPT(1)

Element polynomial order selection:

0, 1 --

First order element

2 --

Second order element

Note

This option is only available for the hexahedral and prism-shaped elements. The pyramid-shaped element is only available as a first order element.

KEYOPT(4)

Element description options:

0 --

Normal element

1 --

Perfectly matched layers (PML) element

2 --

Scattering region element behind a soft source magnetic field excitation

KEYOPT(5)

Extra element output:

0 --

Basic element printout

1 --

Centroid point printout

2 --

Nodal field printout

HF120 Solution Considerations

To choose the modal or full harmonic analysis type, issue the ANTYPE command.

In a harmonic analysis, the ANSYS program performs a complex solution and computes two sets of results data: real and imaginary. The measurable field quantities can be computed as the real step with a cosine time change and the imaginary set with a sine time change. You can set the frequency of the time change via the HARFRQ command. The measurable power terms and Joule losses are computed as rms (time-average) values and are stored with the real data set. You can choose a solver via the EQSLV command (the ICCG or sparse solvers are recommended).

For modal analysis, choose a frequency shift point just below the anticipated eigenfrequency of interest (via the MODOPT command). Select an upper end frequency as well. Use the Method argument to choose the Block Lanczos solver (the default). To visualize the electric and magnetic field modes, use the MXPAND command to expand the mode shapes.

"HF120 Input Summary" summarizes the element input. Element Input in the Elements Reference provides a general description of element input.

HF120 Output Data

The solution output associated with this element is in two forms:

  • Degrees of freedom (AX) included in the overall nodal solution

  • Additional element output as shown in Table 120.1: "HF120 Element Output Definitions"

The element output direction is parallel to the element coordinate system (if any). Solution Output in the Elements Reference provides a general description of solution output. See the Basic Analysis Guide for ways to view results.

Table 120.1: "HF120 Element Output Definitions" uses the following notation:

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 120.1 HF120 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, ..., B | Y | Y
MAT | Material number | Y | Y
VOLU | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 3
TEMP | Input temperatures T(I), T(J), ..., T(B) | Y | Y
LOC | Output location | 1 | -
MURX, MURY, MURZ | Relative permeability | 1 | -
PERX, PERY, PERZ | Relative permittivity | 1 | -
CNDX, CNDY, CNDZ | Conductivity | 1 | -
EF:X, Y, Z | Electric field intensity E | 1 | Y
EF:SUM | Magnitude of E | 1 | -
H:X, Y, Z | Magnetic field intensity H | 1 | Y
H:SUM | Magnitude of H | 1 | -
JC:X, Y, Z | Current density JC | 1 | Y
JC:SUM | Magnitude of JC | 1 | -
JHEAT | Joule heat generation per unit volume (time-average value) | - | -
PX, PY, PZ | Pointing vector (time-average value) | - | Y
PSCT | Reflected or transmitted power (time-average value) | 1 | -
PINC | Input power (time-average value) | - | -
VLOSS | Volumetric Joule losses (time-average value) | - | -
SFLOSS | Surface Joule losses (time-average value) | - | -
ENERGY | Stored energy (time-average value) | - | -
FACE1 | 1st element face number containing heat flux | - | 2
HFLXAVG1 | Heat flux across FACE1 caused by surface losses | - | 2
FACE2 | 2nd element face number containing heat flux | - | 2
HFLXAVG2 | Heat flux across FACE2 caused by surface losses | - | 2
FACE3 | 3rd element face number containing heat flux | - | 2
HFLXAVG3 | Heat flux across FACE3 caused by surface losses | - | 2
ETINCR | Real part of tangential incident electric field | - | 2
ETINCI | Imaginary part of tangential incident electric field | - | 2
ETOUTR | Real part of tangential outgoing electric field | - | 2
ETOUTI | Imaginary part of tangential outgoing electric field | - | 2
ETDOT | Dot product of waveguide eigen tangential electric field | - | 2
SAR | Specific absorption rate | - | 2

  1. The solution value is output only if calculated (based upon input data). The element solution is at the centroid.

  2. The solution is output only if calculated.

  3. Available only at centroid as a *GET item.

Table 120.2 HF120 Miscellaneous Element Output

Description | Names of Items Output | O | R
Centroid Point Solution | LOC, MUX, MUY, MUZ, PERX, PERY, PERZ, E, ESUM, H, HSUM | 1 | -
Nodal Electric and Magnetic Field Solutions | E, ESUM, H, HSUM | 2 | -

  1. Output at each integration point, if KEYOPT(5) = 1

  2. Output at each corner node, if KEYOPT(5) = 2

Table 120.3: "HF120 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 120.3: "HF120 Item and Sequence Numbers":

Name

output quantity as defined in Table 120.1: "HF120 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 120.3 HF120 Item and Sequence Numbers

Output Quantity Name | ETABLE Command Input
 | Item | I
PX | NMISC | 1
PY | NMISC | 2
PZ | NMISC | 3
PSCT | NMISC | 4
PINC | NMISC | 5
ENERGY | NMISC | 6
VLOSS | NMISC | 7
SFLOSS | NMISC | 8
FACE1 | NMISC | 9
HFLXAVG1 | NMISC | 10
FACE2 | NMISC | 11
HFLXAVG2 | NMISC | 12
FACE3 | NMISC | 13
HFLXAVG3 | NMISC | 14
ETINCR | NMISC | 15
ETINCI | NMISC | 16
ETOUTR | NMISC | 17
ETOUTI | NMISC | 18
ETDOT | NMISC | 19
SAR | NMISC | 20

HF120 Assumptions and Restrictions

  • The element must not have a zero volume.

  • The element may be numbered either as shown in Figure 120.1: "HF120 Geometry" or may have the plane IJKL and MNOP interchanged.

  • The required material properties (MURX, MURY, MURZ, PERX, PERY, PERZ) must be input as relative values.

  • You cannot use the element in a transient analysis.

  • Midside nodes must not be removed from this element. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information on the use of midside nodes.

HF120 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HF119 		Up / Home Next
PLANE121


PLANE121

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

PLANE121

2-D 8-Node Electrostatic Solid

MP <> <> <> <> <> <> <> EM <> <> PP <>

Product Restrictions

PLANE121 Element Description

PLANE121 is a 2-D, 8-node, charge-based electric element. The element has one degree of freedom, voltage, at each node. The 8-node elements have compatible voltage shapes and are well suited to model curved boundaries.

This element is based on the electric scalar potential formulation, and it is applicable to 2-D electrostatic and time-harmonic quasistatic electric field analyses. Various printout options are also available. See PLANE121 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 121.1 PLANE121 Geometry

PLANE121 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 121.1: "PLANE121 Geometry". The element is defined by eight nodes and orthotropic material properties. A triangular-shaped element may be formed by defining the same node number for nodes K, L and O.

Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. Properties not input default as described in Linear Material Properties.

Nodal loads are defined with the D (Lab= VOLT) and F (Lab= CHRG) commands. The nodal forces, if any, should be input per unit of depth for a plane analysis and on a full 360° basis for an axisymmetric analysis.

Element loads are described in Node and Element Loads. Surface charge densities may be input as surface loads at the element faces as shown by the circled numbers in Figure 121.1: "PLANE121 Geometry". Charge densities may be input as element body loads at the nodes. If the node I charge density CHRGD(I) is input, and all others are unspecified, they default to CHRGD(I). If all corner node charge densities are specified, each midside node charge density defaults to the average charge density of its adjacent corner nodes.

The temperature (for material property evaluation only) body loads may be input based on their value at the element's nodes or as a single element value [BF, BFE]. In general, unspecified nodal values of temperatures default to the uniform value specified with the BFUNIF or TUNIF commands.

A summary of the element input is given in "PLANE121 Input Summary". A general description of element input is given in Element Input. For axisymmetric applications see Axisymmetric Elements.

PLANE121 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

VOLT

Real Constants

None

Material Properties

PERX, PERY, LSST, RSVX, RSVY

Surface Loads
Surface charge densities --

CHRGS face 1 (J-I), face 2 (K-J), face 3 (L-K), face 4 (I-L)

Body Loads
Temperature --

T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P)

Volume charge densities --

CHRGD(I), CHRGD(J), CHRGD(K), CHRGD(L), CHRGD(M), CHRGD(N), CHRGD(O), CHRGD(P)

Special Features

Birth and death

KEYOPT(3)

Element behavior:

0 --

Plane

1 --

Axisymmetric

KEYOPT(4)

Element coordinate system defined:

0 --

Element coordinate system is parallel to the global coordinate system

1 --

Element coordinate system is based on the element I-J side

KEYOPT(5)

Extra element output:

0 --

Basic element printout

1 --

Repeat basic solution for all integration points

2 --

Nodal fields printout

KEYOPT(6)

Electric charge reaction sign:

0 --

Positive

1 --

Negative

PLANE121 Output Data

The solution output associated with the element is in two forms:

  • Nodal degrees of freedom included in the overall nodal solution

  • Additional element output as shown in Table 121.1: "PLANE121 Element Output Definitions"

Several items are illustrated in Figure 121.2: "PLANE121 Output". The element output directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 121.2 PLANE121 Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 121.1 PLANE121 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC | Location where results are reported | Y | 2
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | Y | Y
LOC | Output location (X, Y) | 1 | 1
PERX, PERY | Electric relative permittivity | 1 | 1
EF:X, Y | Electric field components | 1 | 1
EF:SUM | Vector magnitude of EF | 1 | 1
D:X, Y | Electric flux density components | 1 | 1
D:SUM | Vector magnitude of D | 1 | 1
JS:X, Y, SUM | Current density components and vector magnitude [3] | 1 | 1
JT:X, Y, SUM | Conduction current density components and magnitude [3] | 1 | 1
JHEAT: | Joule heat generation rate per unit volume [4] [5] [6] | 1 | 1
SENE: | Stored electric energy [6] | 1 | 1
FMAG:X, Y | Electrostatic force [7] | - | 1
CHRGD | Applied charge density | - | Y

  1. The solution value is output only if calculated (based upon input data). The element solution is at the centroid.

  2. Available only at centroid as a *GET item.

  3. For a time-harmonic analysis, JS represents the sum of element conduction and displacement current densities. JT represents the element conduction current density. The element displacement current density (JD) can be derived from JS and JT as JD = JS-JT.

  4. For a time-harmonic analysis, calculated Joule heat generation rate per unit volume (JHEAT) includes conduction heating and dielectric heating due to the loss tangent.

  5. Calculated Joule heat generation rate per unit volume (JHEAT) may be made available for a subsequent thermal analysis with companion elements [LDREAD].

  6. For a time-harmonic analysis, Joule losses (JHEAT) and stored energy (SENE) represent time-average values. These values are stored in both the real and imaginary data sets.

  7. Use the EMFT macro to calculate the force distribution over the body. See the discussion on Electrostatic Forces in the Low-Frequency Electromagnetic Analysis Guide.

Table 121.2 PLANE121 Miscellaneous Element Output

Description | Names of Items Output | O | R
Integration Point Solution | LOC, PERX, PERY, PERZ, EF, EFSUM, D, DSUM | 1 | -
Nodal Solution | EF, EFSUM, D, DSUM | 2 | -

  1. Output at each integration point, if KEYOPT(5) = 1

  2. Output at each node, if KEYOPT(5) = 2

Note

For axisymmetric solutions with KEYOPT(4) = 0, the X and Y directions correspond to the radial and axial directions, respectively.

Table 121.3: "PLANE121 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 121.3: "PLANE121 Item and Sequence Numbers":

Name

output quantity as defined in the Table 121.1: "PLANE121 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 121.3 PLANE121 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
CHRGD | SMISC | 1
PERX | NMISC | 1
PERY | NMISC | 2
JTX | NMISC | 4
JTY | NMISC | 5
JTSUM | NMISC | 6

PLANE121 Assumptions and Restrictions

  • The area of the element must be positive.

  • The element must lie in a global X-Y plane as shown in Figure 121.2: "PLANE121 Output", and the Y-axis must be the axis of symmetry for axisymmetric analyses.

  • An axisymmetric structure should be modeled in the +X quadrants.

  • A face with a removed midside node implies that the potential varies linearly, rather than parabolically, along that face. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes.

  • This element is only compatible with elements having a VOLT DOF and an electric charge reaction solution. Electric charge reactions must all be positive or negative. KEYOPT(6) sets the electric charge reaction sign. See Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide for more information.

PLANE121 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Emag.

  • The birth and death special feature is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
HF120 		Up / Home Next
SOLID122


SOLID122

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID122

3-D 20-Node Electrostatic Solid

MP <> <> <> <> <> <> <> EM <> <> PP <>

Product Restrictions

SOLID122 Element Description

SOLID122 is a 3-D, 20-node, charge-based electric element. The element has one degree of freedom, voltage, at each node. It can tolerate irregular shapes without much loss of accuracy. SOLID122 elements have compatible voltage shapes and are well suited to model curved boundaries.

This element is applicable to 3-D electrostatic and time-harmonic quasistatic electric field analyses. Various printout options are also available. See SOLID122 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 122.1 SOLID122 Geometry

SOLID122 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 122.1: "SOLID122 Geometry". The element is defined by 20 node points and the material properties. A prism-shaped element may be formed by defining duplicate K, L, and S; A and B; and O, P, and W node numbers. A pyramid-shaped element and a tetrahedral-shaped element may also be formed as shown in Figure 122.1: "SOLID122 Geometry".

Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. Properties not input default as described in Linear Material Properties. Nodal loads are defined with the D (Lab= VOLT) and F (Lab= CHRG) commands.

Element loads are described in Node and Element Loads. Surface charge densities may be input as surface loads at the element faces as shown by the circled numbers on Figure 122.1: "SOLID122 Geometry". Charge density may be input as element body loads at the nodes. If the node I charge densities CHRGD(I) is input, and all others are unspecified, they default to CHRGD(I). If all corner node charge densities are specified, each midside node charge density defaults to the average charge density of its adjacent corner nodes.

The temperature (for material property evaluation only) body loads may be input based on their value at the element's nodes or as a single element value [BF, BFE]. In general, unspecified nodal values of temperatures default to the uniform value specified with the BFUNIF or TUNIF commands.

A summary of the element input is given in "SOLID122 Input Summary". A general description of element input is given in Element Input.

SOLID122 Input Summary

Nodes

I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z, A, B

Degrees of Freedom

VOLT

Real Constants

None

Material Properties

PERX, PERY, PERZ, LSST, RSVX, RSVY, RSVZ

Surface Loads
Surface charge densities --
CHRGS face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N),
face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)
Body Loads
Temperature --

T(I), T(J), ..., T(Z), T(A), T(B)

Volume charge densities --
CHRGD(I), CHRGD(J), ..., CHRGD(Z), CHRGD(A), CHRGD(B)
Special Features

Birth and death

KEYOPT(4)

Element coordinate system defined:

0 --

Element coordinate system is parallel to the global coordinate system

1 --

Element coordinate system is based on the element I-J side

KEYOPT(5)

Extra element output:

0 --

Basic element printout

1 --

Repeat basic solution for all integration points

2 --

Nodal fields printout

KEYOPT(6)

Electric charge reaction sign:

0 --

Positive

1 --

Negative

SOLID122 Output Data

The solution output associated with the element is in two forms:

  • Nodal potentials included in the overall nodal solution

  • Additional element output as shown in Table 122.1: "SOLID122 Element Output Definitions"

The element output directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 122.1 SOLID122 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 2
TEMP | Temperatures T(I), T(J), ..., T(Z), T(A), T(B) | Y | Y
LOC | Output location (X, Y, Z) | 1 | 1
PERX, PERY, PERZ | Electric relative permittivity | 1 | 1
EF:X, Y, Z | Electric field components | 1 | 1
EF:SUM | Vector magnitude of EF | 1 | 1
D:X, Y, Z | Electric flux density components | 1 | 1
D:SUM | Vector magnitude of D | 1 | 1
JS:X, Y, Z, SUM | Current density components and vector magnitude [3] | 1 | 1
JT:X, Y, Z, SUM | Conduction current density components and magnitude [3] | 1 | 1
JHEAT: | Joule heat generation rate per unit volume [4] [6] [5] | 1 | 1
SENE: | Stored electric energy [5] | 1 | 1
FMAG:X, Y, Z | Electrostatic force [7] | - | 1
CHRGD | Applied charge density | - | Y

  1. The solution value is output only if calculated (based upon input data). The element solution is at the centroid.

  2. Available only at centroid as a *GET item.

  3. For a time-harmonic analysis, JS represents the sum of element conduction and displacement current densities. JT represents the element conduction current density. The element displacement current density (JD) can be derived from JS and JT as JD=JS-JT. JS can be used as a source current density for a subsequent magnetostatic analysis with companion elements [LDREAD].

  4. For a time-harmonic analysis, calculated Joule heat generation rate per unit volume (JHEAT) includes conduction heating and dielectric heating due to the loss tangent.

  5. Calculated Joule heat generation rate per unit volume (JHEAT) may be made available for a subsequent thermal analysis with companion elements [LDREAD].

  6. For a time-harmonic analysis, Joule losses (JHEAT) and stored energy (SENE) represent time-average values. These values are stored in both the real and imaginary data sets.

  7. Use the EMFT macro to calculate the force distribution over the body. See the discussion on Electrostatic Forces in the Low-Frequency Electromagnetic Analysis Guide.

Table 122.2 SOLID122 Miscellaneous Element Output

Description | Names of Items Output | O | R
Integration Point Solution | LOC, PERX, PERY, PERZ, EF, EFSUM, D, DSUM | 1 | -
Nodal Solution | EF, EFSUM, D, DSUM | 2 | -

  1. Output at each integration point, if KEYOPT(5) = 1

  2. Output at each corner node, if KEYOPT(5) = 2

Table 122.3: "SOLID122 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 122.3: "SOLID122 Item and Sequence Numbers":

Name

output quantity as defined in the Table 122.1: "SOLID122 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 122.3 SOLID122 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
CHRGD | SMISC | 1
EFX | SMISC | 2
EFY | SMISC | 3
EFZ | SMISC | 4
PERX | NMISC | 1
PERY | NMISC | 2
PERZ | NMISC | 3
JTX | NMISC | 5
JTY | NMISC | 6
JTZ | NMISC | 7
JTSUM | NMISC | 8

SOLID122 Assumptions and Restrictions

  • The element must not have a zero volume or a zero length side. This occurs most frequently when the element is not numbered properly. Elements may be numbered either as shown in Figure 122.1: "SOLID122 Geometry" or in an opposite fashion.

  • An edge with a removed midside node implies that the potential varies linearly, rather than parabolically, along that edge. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information on the use of midside nodes.

  • Degeneration to the form of pyramid should be used with caution. The element sizes, when degenerated, should be small in order to minimize the field gradients. Pyramid elements are best used as filler elements or in meshing transition zones.

  • This element is only compatible with elements having a VOLT DOF and an electric charge reaction solution. Electric charge reactions must all be positive or negative. KEYOPT(6) sets the electric charge reaction sign. See Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide for more information.

SOLID122 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Emag.

  • The Birth and death special feature is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLANE121 		Up / Home Next
SOLID123


SOLID123

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID123

3-D 10-Node Tetrahedral Electrostatic Solid

MP <> <> <> <> <> <> <> EM <> <> PP <>

Product Restrictions

SOLID123 Element Description

SOLID123 is a 3-D, 10-node, charge-based electric element. It is well suited to model irregular meshes (such as produced from various CAD/CAM systems). The element has one degree of freedom, voltage, at each node.

This element is applicable to 3-D electrostatic and time-harmonic quasistatic electric field analyses. Various printout options are also available. See SOLID123 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 123.1 SOLID123 Geometry

SOLID123 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 123.1: "SOLID123 Geometry".

Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. Properties not input default as described in Linear Material Properties. Nodal loads are defined with the D (Lab = VOLT) and F (Lab = CHRG) commands.

Element loads are described in Node and Element Loads. Surface charge densities may be input as surface loads at the element faces as shown by the circled numbers on Figure 123.1: "SOLID123 Geometry". Charge densities may be input as element body loads at the nodes. If the node I charge density CHRGD(I) is input, and all others are unspecified, they default to CHRGD(I). If all corner node charge densities are specified, each midside node charge density defaults to the average charge density of its adjacent corner nodes.

The temperature (for material property evaluation only) body loads may be input based on their value at the element's nodes or as a single element value [BF, BFE]. In general, unspecified nodal values of temperatures default to the uniform value specified with the BFUNIF or TUNIF commands.

A summary of the element input is given in "SOLID123 Input Summary". A general description of element input is given in Element Input.

SOLID123 Input Summary

Nodes

I, J, K, L, M, N, O, P, Q, R

Degrees of Freedom

VOLT

Real Constants

None

Material Properties

PERX, PERY, PERZ, LSST, RSVX, RSVY, RSVZ

Surface Loads
Surface charge densities --

CHRGS face 1 (J-I-K), face 2 (I-J-L), face 3 (J-K-L), face 4 (K-I-L)

Body Loads
Temperature --

T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P), T(Q), T(R)

Volume charge densities --
CHRGD(I), CHRGD(J), CHRGD(K), CHRGD(L), CHRGD(M),
CHRGD(N), CHRGD(O), CHRGD(P), CHRGD(Q), CHRGD(R)
Special Features

Birth and death

KEYOPT(4)

Element coordinate system defined:

0 --

Element coordinate system is parallel to the global coordinate system

1 --

Element coordinate system is based on the element I-J side

KEYOPT(5)

Extra element output:

0 --

Basic element printout

1 --

Repeat basic solution for all integration points

2 --

Nodal fields printout

KEYOPT(6)

Electric charge reaction sign:

0 --

Positive

1 --

Negative

SOLID123 Output Data

The solution output associated with the element is in two forms:

  • Nodal potentials included in the overall nodal solution

  • Additional element output as shown in Table 123.1: "SOLID123 Element Output Definitions"

The element output directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output in the Elements Reference. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 123.1 SOLID123 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 2
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P), T(Q), T(R) | Y | Y
LOC | Output location (X, Y, Z) | 1 | 1
PERX, PERY, PERZ | Electric relative permittivity | 1 | 1
EF:X, Y, Z | Electric field components (X, Y, Z) | 1 | 1
EF:SUM | Vector magnitude of EF | 1 | 1
D:X, Y, Z | Electric flux density components | 1 | 1
D:SUM | Vector magnitude of D | 1 | 1
JS:X, Y, Z, SUM | Current density components and vector magnitude [3] | 1 | 1
JT:X, Y, Z, SUM | Conduction current density components and magnitude [3] | 1 | 1
JHEAT: | Joule heat generation rate per unit volume [4] [6] [5] | 1 | 1
SENE: | Stored electric energy [5] | 1 | 1
FMAG:X, Y, Z | Electrostatic force [7] | - | 1
CHRGD | Applied charge density | - | Y

  1. The solution value is output only if calculated (based upon input data). The element solution is at the centroid.

  2. Available only at centroid as a *GET item.

  3. For a time-harmonic analysis, JS represents the sum of element conduction and displacement current densities. JT represents the element conduction current density. The element displacement current density (JD) can be derived from JS and JT as JD=JS-JT. JS can be used as a source current density for a subsequent magnetostatic analysis with companion elements [LDREAD].

  4. For a time-harmonic analysis, calculated Joule heat generation rate per unit volume (JHEAT) includes conduction heating and dielectric heating due to the loss tangent.

  5. Calculated Joule heat generation rate per unit volume (JHEAT) may be made available for a subsequent thermal analysis with companion elements [LDREAD].

  6. For a time-harmonic analysis, Joule losses (JHEAT) and stored energy (SENE) represent time-average values. These values are stored in both the real and imaginary data sets.

  7. Use the EMFT macro to calculate the force distribution over the body. See the discussion on Electrostatic Forces in the Low-Frequency Electromagnetic Analysis Guide.

Table 123.2 SOLID123 Miscellaneous Element Output

Description | Names of Items Output | O | R
Integration Point Solution | LOC, PERX, PERY, PERZ, EF, EFSUM, D, DSUM | 1 | -
Nodal Solution | EF, EFSUM, D, DSUM | 2 | -

  1. Output at each integration point, if KEYOPT(5) = 1

  2. Output at each corner node, if KEYOPT(5) = 2

Table 123.3: "SOLID123 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 123.3: "SOLID123 Item and Sequence Numbers":

Name

output quantity as defined in the Table 123.1: "SOLID123 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 123.3 SOLID123 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
CHRGD | SMISC | 1
EFX | SMISC | 2
EFY | SMISC | 3
EFZ | SMISC | 4
PERX | NMISC | 1
PERY | NMISC | 2
PERZ | NMISC | 3
JTX | NMISC | 5
JTY | NMISC | 6
JTZ | NMISC | 7
JTSUM | NMISC | 8

SOLID123 Assumptions and Restrictions

  • The element must not have a zero volume or a zero length side. This occurs most frequently when the element is not numbered properly. Elements may be numbered either as shown in Figure 123.1: "SOLID123 Geometry" or in an opposite fashion.

  • An edge with a removed midside node implies that the potential varies linearly, rather than parabolically, along that edge. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information on the use of midside nodes.

  • This element is only compatible with elements having a VOLT DOF and an electric charge reaction solution. Electric charge reactions must all be positive or negative. KEYOPT(6) sets the electric charge reaction sign. See Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide for more information.

SOLID123 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Emag 3-D.

  • The birth and death special feature is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID122 		Up / Home Next
CIRCU124


CIRCU124

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

CIRCU124

Electric Circuit

MP <> <> <> <> <> <> <> EM <> <> PP <>

Product Restrictions

CIRCU124 Element Description

CIRCU124 is a general circuit element applicable to circuit simulation. The element may also interface with electromagnetic finite elements to simulate coupled electromagnetic-circuit field interaction. The element has up to 6 nodes to define the circuit component and up to three degrees of freedom per node to model the circuit response. For electromagnetic-circuit field coupling, the element may interface with PLANE53 and SOLID97, the 2-D and 3-D electromagnetic field elements. CIRCU124 is applicable to static, harmonic, and transient analyses.

CIRCU124 Input Data

The geometry, node definition, and degree of freedom options are shown in Figure 124.1: "CIRCU124 Circuit Element Options" (circuit components), Figure 124.2: "CIRCU124 Circuit Source Options" (circuit source options), and Figure 124.3: "CIRCU124 Coupled Circuit Source Options" (coupled circuit source options). The element is defined by active and passive circuit nodes. Active nodes are those connected to an overall electric circuit, and passive nodes are those used internally by the element and not connected to the circuit. For the coupled circuit source options, the passive nodes are actual nodes of a source conductor modeled in the electromagnetic field domain.

Element circuit components, sources, and coupled sources are defined by KEYOPT(1) settings and its corresponding real constants. Real constant input is dependent on the element circuit option used. A summary of the element input options is given in "CIRCU124 Input Summary". Real constants numbers 15 and 16 are created by the GUI Circuit Builder (see the Modeling and Meshing Guide), and are not required input for analysis purposes. The element is characterized by up to three degrees of freedom:

  • VOLT (voltage)

  • CURR (current)

  • EMF (potential drop)

Figure 124.1 CIRCU124 Circuit Element Options

Figure 124.2 CIRCU124 Circuit Source Options

Figure 124.3 CIRCU124 Coupled Circuit Source Options

Independent voltage and current sources (KEYOPT(1) = 3 or 4) may be excited by AC/DC, sinusoidal, pulse, exponential, or piecewise linear load functions as defined by KEYOPT(2); see Figure 124.4: "Load Functions and Corresponding Real Constants for Independent Current and Voltage Sources".

The time-step size for a transient analysis is controlled by the DELTIM or NSUBST commands. The CIRCU124 element does not respond to automatic time stepping (AUTOTS command), but AUTOTS can be used as a mechanism for ramping the time step to its final value. For coupled electromagnetic-circuit problems, automatic time stepping may be used if controls are placed on degrees of freedom other than VOLT, CURR, or EMF, or loads associated with those degrees of freedom.

For problems using the CIRCU124 element with the EMF degree of freedom, the frontal solver is chosen by default. For problems using the CIRCU124 element with only the VOLT and/or CURR degrees of freedom, the sparse direct solver is chosen by default.

CIRCU124 Input Summary

Nodes

I, J, K, L, M, N

Degrees of Freedom

VOLT, CURR, EMF (see Figure 124.1: "CIRCU124 Circuit Element Options")

Real Constants

Dependent on KEYOPT(1) and KEYOPT(2) settings. See Table 124.1: "CIRCU124 Real Constants" for details.

Material Properties

None

Surface Loads

None

Body Loads

See KEYOPT(2)

Special Features

Magnetic Field Coupling

KEYOPT(1)

Circuit component type:

0 --

Resistor

1 --

Inductor

2 --

Capacitor

3 --

Independent Current Source

4 --

Independent Voltage Source

5 --

Stranded Coil Current Source

6 --

2-D Massive Conductor Voltage Source

7 --

3-D Massive Conductor Voltage Source

8 --

Mutual Inductor

9 --

Voltage-Controlled Current Source

10 --

Voltage-Controlled Voltage Source

11 --

Current-Controlled Voltage Source

12 --

Current-Controlled Current Source

KEYOPT(2)

Body loads available if KEYOPT(1) = 3 or 4:

0 --

DC or AC Harmonic load

1 --

Sinusoidal load

2 --

Pulse load

3 --

Exponential load

4 --

Piecewise Linear load

Table 124.1 CIRCU124 Real Constants

Circuit Option and Graphics Label | KEYOPT(1) | Real Constants
Resistor (R) | 0 | R1 = Resistance (RES)
Inductor (L) 1
R1 = Inductance (IND)
R2 = Initial inductor current (ILO)
Capacitor (C) 2
R1 = Capacitance (CAP)
R2 = Initial Capacitor Voltage (VCO)
Mutual Inductor (K) 8
R1 = Primary Inductance (IND1)
R2 = Secondary Inductance (IND2)
R3 = Coupling Coefficient (K)
Independent Current Source (I) 3 For KEYOPT(2) = 0:
R1 = Amplitude (AMPL)
R2 = Phase angle (PHAS)
For KEYOPT(2) > 0: see Figure 124.4: "Load Functions and Corresponding Real Constants for Independent Current and Voltage Sources".
Voltage-Controlled Current Source (G) | 9 | R1 = Transconductance (GT)
Current-Controlled Current Source (F) | 12 | R1 = Current Gain (AI)
Independent Voltage Source (V) 4 For KEYOPT(2) = 0:
R1 = Amplitude (AMPL)
R2 = Phase angle (PHAS)
For KEYOPT(2) > 0: see Figure 124.4: "Load Functions and Corresponding Real Constants for Independent Current and Voltage Sources".
Voltage-Controlled Voltage Source (E) | 10 | R1 = Voltage Gain (AV)
Current-Controlled Voltage Source (H) | 11 | R1 = Transresistance (RT)
Stranded Coil Current Source (N) | 5 | R1 = Symmetry Factor (SCAL)
2-D Massive Conductor Voltage Source (M) | 6 | R1 = Symmetry Factor (SCAL)
3-D Massive Conductor Voltage Source (P) | 7 | R1 = Symmetry Factor (SCAL)

Note

For all above Circuit options, the GOFFST and ID real constants (numbers 15 and 16) are created by the Circuit Builder automatically:

Figure 124.4 Load Functions and Corresponding Real Constants for Independent Current and Voltage Sources

CIRCU124 Output Data

The element output for this element is dependent on the circuit option selected. Table 124.2: "CIRCU124 Element Output Definitions" summarizes the element output data.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 124.2 CIRCU124 Element Output Definitions

Name | Definition | O | R
For KEYOPT(1) = 0: Resistor
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
RES | Resistance | Y | Y
VOLTAGE | Voltage drop between node I and node J | Y | Y
CURRENT | Current | Y | Y
POWER | Power loss | Y | Y
For KEYOPT(1) = 1: Inductor
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
IND | Inductance | Y | Y
IL0 | Initial current | Y | Y
VOLTAGE | Voltage drop between node I and node J | Y | Y
CURRENT | Current | Y | Y
POWER | Power absorption | Y | Y
For KEYOPT(1) = 2: Capacitor
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
CAP | Capacitance | Y | Y
VC0 | Initial voltage | Y | Y
VOLTAGE | Voltage drop between node I and node J | Y | Y
CURRENT | Current | Y | Y
POWER | Power absorption | Y | Y
For KEYOPT(1) = 3: Independent Current Source
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
CURRENT SOURCE | Real or imaginary component of applied current | Y | Y
VOLTAGE | Voltage drop between node I and node J | Y | Y
CURRENT | Current | Y | Y
POWER | Power (loss if positive, output if negative) | Y | Y
For KEYOPT(1) = 4: Independent Voltage Source
EL | Element Number | Y | Y
NODES | Nodes - I, J, K | Y | Y
VOLTAGE SOURCE | Real or imaginary component of applied voltage | Y | Y
VOLTAGE | Voltage drop between node I and node J | Y | Y
CURRENT | Current at node K | Y | Y
POWER | Power (loss if positive, output if negative) | Y | Y
For KEYOPT(1) = 5: Stranded Coil Current Source
EL | Element Number | Y | Y
NODES | Nodes - I, J, K | Y | Y
SCAL | Scaling factor defining voltage symmetry in 2-D or 3-D analyses | Y | Y
VOLTAGE | Voltage drop between node I and node J | Y | Y
CURRENT | Current at node K | Y | Y
POWER | Power loss or absorption | Y | Y
For KEYOPT(1) = 6: 2-D Massive Conductor Voltage Source
EL | Element Number | Y | Y
NODES | Nodes - I, J, K | Y | Y
SCAL | Scaling factor defining voltage symmetry in 2-D or 3-D analyses | Y | Y
VOLTAGE | Voltage drop between node I and node J | Y | Y
CURRENT | Current at node K | Y | Y
POWER | Power loss or absorption | Y | Y
For KEYOPT(1) = 7: 3-D Massive Conductor Voltage Source
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L | Y | Y
SCAL | Scaling factor defining voltage symmetry in 2-D or 3-D analyses | Y | Y
VOLTAGE | Voltage drop between node I and node J | Y | Y
CURRENT | Current at node K and L | Y | Y
CONTROL VOLT | Voltage drop between node K and node L | Y | Y
POWER | Power loss or absorption | Y | Y
For KEYOPT(1) = 8: 3-D Mutual Inductor (Transformer)
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L | Y | Y
IND1 | Primary inductance | Y | Y
IND2 | Secondary inductance | Y | Y
INDM | Mutual inductance | Y | Y
VOLTAGE | Voltage drop between node I and node J | Y | Y
CURRENT | Current in I-J branch | Y | Y
CONTROL VOLT | Voltage drop between node K and node L | Y | Y
CONTROL CURR | Current in K-L branch | Y | Y
POWER | Power absorption | Y | Y
For KEYOPT(1) = 9: Voltage Controlled Current Source
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L | Y | Y
GT | Transconductance | Y | Y
VOLTAGE | Voltage drop between node I and node J | Y | Y
CURRENT | Current in I-J branch | Y | Y
CONTROL VOLT | Voltage drop between node K and node L | Y | Y
POWER | Power (loss if positive, output if negative) | Y | Y
For KEYOPT(1) = 10: Voltage Controlled Voltage Source
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M | Y | Y
AV | Voltage gain | Y | Y
VOLTAGE | Voltage drop between node I and node J | Y | Y
CURRENT | Current at node K | Y | Y
CONTROL VOLT | Voltage drop between node L and node M | Y | Y
POWER | Power (loss if positive, output if negative) | Y | Y
For KEYOPT(1) = 11: Current Controlled Voltage Source
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N | Y | Y
GT | Transresistance | Y | Y
VOLTAGE | Voltage drop between node I and node J | Y | Y
CURRENT | Current at node K | Y | Y
CONTROL VOLT | Voltage drop between node L and node M | Y | Y
CONTROL CURR | Current at node N | Y | Y
POWER | Power (loss if positive, output if negative) | Y | Y
For KEYOPT(1) = 12: Current Controlled Current Source
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N | Y | Y
AI | Current gain | Y | Y
VOLTAGE | Voltage drop between node I and node J | Y | Y
CURRENT | Current at node K | Y | Y
CONTROL VOLT | Voltage drop between node L and node M | Y | Y
CONTROL CURR | Current at node N | Y | Y
POWER | Power (loss if positive, output if negative) | Y | Y

Table 124.3: "CIRCU124 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 124.3: "CIRCU124 Item and Sequence Numbers":

Name

output quantity as defined in the Table 124.2: "CIRCU124 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 124.3 CIRCU124 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
VOLTAGE | SMISC | 1
CURRENT | SMISC | 2
CONTROL VOLT | SMISC | 3
CONTROL CURR | SMISC | 4
POWER | NMISC | 1
SOURCE (real) | NMISC | 2
SOURCE (imaginary) | NMISC | 3

CIRCU124 Assumptions and Restrictions

  • For static analyses, a capacitor circuit element is treated as an open-circuit and an inductor circuit element is treated as a short-circuit.

  • Only MKS units are allowed (EMUNIT command).

  • The resistor, inductor, capacitor, independent current source, and mutual inductor circuit options produce symmetric coefficient matrices while the remaining options produce unsymmetric matrices.

  • The frontal (recommended) and sparse solvers are available for problems using the CIRCU124 element. Even if you choose a different solver, ANSYS uses the frontal or sparse solver (depending on the physics of your problem) when CIRCU124 elements are present.

  • This element may not be compatible with other elements with the VOLT degree of freedom. To be compatible, the elements must have the same reaction force (see Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide).

CIRCU124 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID123 		Up / Home Next
CIRCU125


CIRCU125

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

CIRCU125

Diode

MP <> <> <> <> <> <> <> EM <> <> PP <>

Product Restrictions

CIRCU125 Element Description

CIRCU125 is a diode element normally used in electric circuit analysis. The element may also interface with electromagnetic and mechanical finite elements to simulate fully coupled electromechanical analyses at the lumped parameter level. The element has 2 nodes to define the circuit component and one degree of freedom per node to model the circuit response. The element may interface with the electric circuit element CIRCU124, with the mechanical elements MASS21, COMBIN14, and COMBIN39, and with the electromechanical transducer element TRANS126. CIRCU125 is applicable to static analyses and transient analyses with restart.

CIRCU125 Input Data

The geometry, node definition, and degree of freedom options are shown in Figure 125.1: "CIRCU125 Element Options".

The diode element is defined by the KEYOPT(1) setting and its corresponding real constants. Real constant input is dependent on the diode option used. A summary of the element input options is given in "CIRCU125 Input Summary". Real constants numbers 1 and 2 are created by the GUI Circuit Builder (see the Modeling and Meshing Guide), and are not required input for analysis purposes. The element is characterized by one degree of freedom, VOLT (voltage).

Figure 125.1 CIRCU125 Element Options

The I-U characteristics of the diodes are approximated by the piecewise linear functions shown in Figure 125.2: "CIRCU125 I-U Characteristics". The characteristic of a common (non-Zener) diode consists of line segments corresponding to the closed and open states. The characteristic of a Zener diode consists of three segments corresponding to the Zener, closed, and open states. The diode characteristic can be ideal or lossy depending on the values of the real constants.

Figure 125.2 CIRCU125 I-U Characteristics

CIRCU125 Input Summary

Nodes

I, J

Degrees of Freedom

VOLT

Real Constants
Dependent on KEYOPT(1) settings.
For KEYOPT(1) = 0:
GOFFST, ID, (blank), RESF, VLTF, RESB,
(blank), (blank)
For KEYOPT(1) = 1:
GOFFST, ID, (blank), RESF, VLTF, RESB,
RESZ, VLTZ
See Table 125.1: "CIRCU125 Real Constants".
Material Properties

None

Surface Loads

None

Body Loads

None

Special Features

None

KEYOPT(1)

Select diode options:

0 --

Common Diode

1 --

Zener Diode

If you are using the Circuit Builder to construct your model, the real constants GOFFST and ID are provided automatically.

Note

The real constant default values may not be appropriate to analyze micro devices (i.e., devices with extremely small dimensions) in MKSA units.

Table 125.1 CIRCU125 Real Constants

Real Constant No. | Name | Description
Common Diode (D) (KEYOPT(1) = 0)
1 | GOFFST | Graphical offset
2 | ID | Element identification number
3 | -- | (blank)
4 | RESF | Forward resistance (if not entered, defaults to 1.0e-12 Ohm)
5 | VLTF | Forward voltage (if not entered, defaults to 0.0e0 Volt)
6 | RESB | Blocking resistance (if not entered, defaults to 1.0e+12 Ohm)
7, 8 | -- | (blank)
Zener Diode (Z) (KEYOPT(1) = 2) - use real constants 1 through 6 as above, then:
7 | RESZ | Zener resistance (if not entered, defaults to 1.0e+12 Ohm)
8 | VLTZ | Zener voltage (if not entered, defaults to 1.0e-12 Volt)

CIRCU125 Solution Considerations

CIRCU125 is a highly nonlinear element. To obtain convergence, you may have to define convergence criteria, instead of using the default values. Use CNVTOL,VOLT,,0.001,2,1.0E-6 if you need to change the convergence criteria.

CIRCU125 Output Data

The element output for this element is dependent on the circuit option selected. Table 125.2: "CIRCU125 Element Output Definitions" summarizes the element output data.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 125.2 CIRCU125 Element Output Definitions

Name | Definition | O | R
For KEYOPT(1) = 0: Common Diode
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
REST | Tangent Resistance | Y | Y
VOLTAGE | Voltage drop between node I and node J | Y | Y
CURRENT | Current | Y | Y
POWER | Power loss | Y | Y
STAT | Diode status | 1 | 1
DYNRES | Dynamic resistance at operating point | Y | Y
AMPGEN | Norton equivalent current generator | Y | Y
For KEYOPT(1) = 1: Zener Diode
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
REST | Tangent resistance | Y | Y
VOLTAGE | Voltage drop between node I and node J | Y | Y
CURRENT | Current | Y | Y
POWER | Power loss | Y | Y
STAT | Diode status | 2 | 2
DYNRES | Dynamic resistance at operating point | Y | Y
AMPGEN | Norton equivalent current generator | Y | Y

  1. Common Diode Status Values

    1 - Forward, open

    2 - Reverse, blocked

  2. Zener Diode Status Values

    1 - Forward, open

    2 - Reverse, blocked

    3 - Zener, breakdown

Table 125.3: "CIRCU125 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 125.3: "CIRCU125 Item and Sequence Numbers":

Name

output quantity as defined in Table 125.2: "CIRCU125 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 125.3 CIRCU125 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
VOLTAGE | SMISC | 1
CURRENT | SMISC | 2
POWER | NMISC | 1
blank | NMISC | 2
blank | NMISC | 3
DYNRES | NMISC | 4
AMPGEN | NMISC | 5
STAT | NMISC | 6

CIRCU125 Assumptions and Restrictions

  • If either the Zener voltage or Zener resistance is blank or very small, the Zener diode will be replaced with a common diode, and a warning will be issued.

  • Only MKS units are allowed (EMUNIT command).

  • If the Zener Voltage is entered as a positive number, the element will negate the value that is entered. If the Forward Voltage is entered as a negative number, the element will replace it with its absolute value. All resistance must be positive. Any negative resistance value is replaced by its absolute value.

  • The element issues an error message if applied in harmonic analysis.

  • This element does not work with the CIRCU94 piezoelectric element.

  • This element may not be compatible with other elements with the VOLT degree of freedom. To be compatible, the elements must have the same reaction force (see Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide).

CIRCU125 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CIRCU124 		Up / Home Next
TRANS126


TRANS126

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

TRANS126

Electromechanical Transducer

MP <> <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

TRANS126 Element Description

TRANS126 represents a transducer element that converts energy from an electrostatic domain into a structural domain (and vice versa), while also allowing for energy storage. The element fully couples the electromechanical domains and represents a reduced-order model suitable for use in structural finite element analysis as well as electromechanical circuit simulation. The element has up to two degrees of freedom at each node: translation in the nodal x, y, or z direction and electric potential (VOLT). The element is suitable for simulating the electromechanical response of micro-electromechanical devices (MEMS) such as electrostatic comb drives, capacitive transducers, and RF switches for example.

The characteristics of the element are derived from electrostatic field simulations of the electromechanical device using the electrostatic elements PLANE121, SOLID122, SOLID123, SOLID127, and SOLID128, as well as the CMATRIX macro. The TRANS126 element represents the capacitive response of the device to motion in one direction. Running a series of electrostatic simulations and extracting capacitance (CMATRIX command) as a function of stroke (or deflection) provides the necessary input for this element. The capacitance versus stroke represents a "reduced-order" characterization of the device suitable for simulation in this transducer element. Up to three characterizations (in X, Y, or Z) can be made from sets of electrostatic simulations to create three independent transducer elements to characterize a full translational response of the device. See TRANS126 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 126.1 TRANS126 Geometry

TRANS126 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 126.1: "TRANS126 Geometry". Nodes I and J define the element. The nodes need not be coincident. The element may lie along any one of the three global Cartesian axes as shown in Figure 126.1: "TRANS126 Geometry", or it may exist in any arbitrary coordinate system as long as the nodes are rotated into the arbitrary coordinate system in such a manner that one of the axes lies along the element's I-J direction. Use the degree of freedom option (KEYOPT(2)) to select the appropriate structural displacement degree of freedom (corresponding to the element's I-J direction) and electric potential. Orientation of the element with respect to nodal displacements (node J relative to node I) is critical. Orient the element such that a positive movement of node J relative to node I produces a positive displacement (see Figure 126.1: "TRANS126 Geometry"). Figure 126.4: "TRANS126 Valid/Invalid Orientations" illustrates valid and invalid orientations of the element for a UX-VOLT degree of freedom set.

The capacitance vs. stroke data for the element is entered through the real constant table. Use KEYOPT(3) to select from two different methods of input. For KEYOPT(3) = 0, the real constant data (R7-R11) represent the coefficients of an equation (see Figure 126.2: "TRANS126 Capacitance Relationship"). Use as many terms as are required to represent the curve. For KEYOPT(3) = 1, the real constant data (R7-R46) represent discrete pairs of capacitance and stroke data. Up to 20 pairs of data may be input. The minimum required is 5 data point sets. A curve is fit to the discrete data sets represented by the equation shown in Figure 126.2: "TRANS126 Capacitance Relationship".

Figure 126.2 TRANS126 Capacitance Relationship

The initial gap distance GAP (R3) represents the initial distance between conducting walls of the electromechanical device (that is, plates of a parallel capacitor, beams of a comb drive, etc.). The initial gap value should fall within the range of the capacitance vs. stroke data as shown in Figure 126.2: "TRANS126 Capacitance Relationship". The minimum gap distance GAPMIN (R4) represents the physical location where the gap is closed. If the gap closes to GAPMIN, the element behaves like a contact element with a normal stiffness KN represented by real constant R5. GAP and GAPMIN default to near-zero if not defined. Figure 126.3: "TRANS126 Force Relationship" illustrates the force vs. stroke for the transducer element. The curve highlights the capacitive force (which is compressive and acts to close the gap), and the contact force (which restrains the motion once the gap reaches GAPMIN). KN defaults to a stiffness represented by the slope from the capacitive force at GAPMIN to the origin as shown in Figure 126.3: "TRANS126 Force Relationship".

Figure 126.3 TRANS126 Force Relationship

The element supports nodal voltage and displacements (D) as well as nodal current and force (F). Use IC to input an initial starting value of voltage or displacement for a transient analysis, or an initial guess for a static analysis. The element produces an unsymmetric matrix unless you prescribe both nodal voltages. Prescribing the nodal voltages and setting KEYOPT(4) = 1 produces a symmetric matrix which can yield more efficient solution run times. The KEYOPT(4) = 1 option is valid for any analysis except a transient analysis. The element supports static, prestressed harmonic, transient, and prestressed modal analysis. Prestress effects must be applied for both modal and harmonic analysis (for example, a prestress static analysis with an applied DC voltage, followed by a small-signal (AC voltage) harmonic analysis, or a prestress static analysis with an applied DC voltage followed by a modal analysis). The element is nonlinear for static and transient analysis and requires an iterative solution to converge. The element supports tension only.

The transducer element by nature has both stable and unstable solutions. If the system stiffness is negative, convergence problems can occur near unstable solutions. This typically occurs at small gap distances near GAPMIN. Use KEYOPT(6) = 1 to select the augmented stiffness method if you encounter convergence problems. In this method, the electrostatic stiffness is set to zero to guarantee a positive system stiffness. After convergence is reached, the electrostatic stiffness is automatically reestablished for postprocessing and subsequent analyses.

The next table summarizes the element input. Element Input gives a general description of element input.

TRANS126 Input Summary

Nodes

I, J

Degrees of Freedom

UX-VOLT, UY-VOLT, OR UZ-VOLT

Real Constants
If KEYOPT(3) = 0, then:
GOFFST, EID, GAP, GAPMIN, KN, (Blank),
C0, C1, C2, C3, C4
If KEYOPT(3) = 1, then:
GOFFST, EID, GAP, GAPMIN, KN, (Blank),
GAP1, CAP1, GAP2, CAP2, ..., GAP20, CAP20

See Table 126.1: "TRANS126 Real Constants" for details.

Material Properties

None

Surface Loads

None

Body Loads

None

Special Features
Nonlinear
Prestress
KEYOPT(2)

Select DOF set:

0,1 --

UX-VOLT

2 --

UY-VOLT

3 --

UZ-VOLT

KEYOPT(3)

Capacitance-Gap option:

0 --

Use capacitance-gap curve input coefficients: C0, C1, C2, C3, and C4

1 --

Use capacitance versus gap data points: GAP1, CAP1, GAP2, CAP2 ... GAP20, CAP20

KEYOPT(4)

DC voltage drop option:

0 --

DC voltage drop is unknown (produces unsymmetric matrix)

1 --

DC voltage drop is fully constrained (produces symmetric matrix)

KEYOPT(6)

Stiffness method:

0 --

Full stiffness method (default)

1 --

Augmented stiffness method

The first six real constants for this element are the same, whether you set KEYOPT(3) = 0 or 1. From number 7 on, the real constants differ between the two settings, as shown in the table below.

Table 126.1 TRANS126 Real Constants

Number | Name | Description
Basic Set
1 | GOFFST | Graphical offset
2 | EID | ID number
3 | GAP | Initial gap
4 | GAPMIN | Minimal gap
5 | KN | Gap Normal Stiffness
6 | (blank) | unused
For KEYOPT(3) = 0; Capacitance (Cap) vs. gap (x) function: Cap = C0/x + C1 + C2*x + C3*x**2 + C4*x**3
7 | C0 | Equation constant C0
8 | C1 | Equation constant C1
9 | C2 | Equation constant C2
10 | C3 | Equation constant C3
11 | C4 | Equation constant C4
For KEYOPT(3) = 1 (Capacitance-gap curve data)
7 | GAP1 | Gap 1
8 | CAP1 | Capacitance 1
9, ..., 46 | GAP2, CAP2, ..., GAP20, CAP20 | Gap2 and Capacitance 2 through Gap 20 and Capacitance 20

TRANS126 Output Data

The solution output associated with the element is shown in Table 126.2: "TRANS126 Element Output Definitions".

The element output directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output in the Elements Reference. See the Basic Analysis Guide for ways to view results.

If this element is used in a harmonic analysis, all variables will be stored in two-column arrays as complex variables. The first column will be titled real component and the second column will be titled imaginary component. If the variable is not complex, the same value will be stored in both columns.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 126.2 TRANS126 Element Output Definitions

Name | Definition | O | R
EL | Element number | Y | Y
NODES | Nodes - I, J | Y | Y
EFORCE | Electrostatic Force | Y | Y
ESTIFF | Electrostatic stiffness (dEFORCE/dU) | Y | Y
CONDUCT | Motion conductance (dCap/dU) (RELVEL) | Y | Y
DVDT | Time rate of change of Voltage (dVOLT/dt) | Y | Y
RELDISP | Relative displacement node I to node J | Y | Y
RELVEL | Relative velocity node I to node J | Y | Y
VOLTAGE | Voltage drop between node I and node J | Y | Y
CURRENT | Current | Y | Y
CAP | Capacitance | Y | Y
MECHPOWER | Mechanical power, (force x velocity) | Y | Y
ELECPOWER | Electrical power, (voltage drop x current) | Y | Y
CENERGY | Electrostatic energy stored in capacitor | Y | Y
GAP | Actual gap, UJ - UI + GAP (nominal) (real constant input) | Y | Y
KUU | Coupled system stiffness, dF/dU | Y | Y
KUV | Coupled system stiffness, dF/dV | Y | Y
KVU | Coupled system stiffness, dI/dU | Y | Y
KVV | Coupled system stiffness, dI/dV | Y | Y
DUU | Coupled system damping, dF/dVEL | Y | Y
DUV | Coupled system damping, dF/dVRATE | Y | Y
DVU | Coupled system damping, dI/dVEL | Y | Y
DVV | Coupled system damping, dI/dVRATE | Y | Y
DISPR, DISPI | Real and imaginary components of displacement | 1 | 1
FORCR, FORCI | Real and imaginary components of electrostatic force | 1 | 1
VOLTR, VOLTI | Real and imaginary components of voltage drop | 1 | 1
CURRR, CURRI | Real and imaginary components of current | 1 | 1

  1. The item is only available for prestress harmonic analysis.

Table 126.3: "TRANS126 Item and Sequence Numbers" lists output available through ETABLE using the Sequence Number method. See Element Table for Variables Identified By Sequence Number in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 126.3: "TRANS126 Item and Sequence Numbers":

Name

output quantity as defined in the Table 126.3: "TRANS126 Item and Sequence Numbers"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 126.3 TRANS126 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
MECHPOWER | SMISC | 1
ELECPOWER | SMISC | 2
CENERGY | SMISC | 3
GAP | NMISC | 1
RELVEL | NMISC | 2
EFORCE | NMISC | 3
VOLTAGE | NMISC | 4
DVDT | NMISC | 5
CURRENT | NMISC | 6
CAP | NMISC | 7
ESTIFF | NMISC | 8
UCT | NMISC | 9
KUU | NMISC | 10
KUV | NMISC | 11
KVU | NMISC | 12
KVV | NMISC | 13
DUU | NMISC | 14
DUV | NMISC | 15
DVU | NMISC | 16
DVV | NMISC | 17
DISPR | NMISC | 18
DISPI | NMISC | 19
FORCR | NMISC | 20
FORCI | NMISC | 21
VOLTR | NMISC | 22
VOLTI | NMISC | 23
CURRR | NMISC | 24
CURRI | NMISC | 25

TRANS126 Assumptions and Restrictions

  • The transducer element must be aligned such that the element I-J direction points along the active structural degree of freedom in the nodal coordinate system. In addition, a positive movement in the nodal coordinate system of node J relative to node I should act to open the gap (Stroke = GAP + Uj - Ui). Figure 126.4: "TRANS126 Valid/Invalid Orientations" illustrates valid and invalid orientations of the element for a UX-VOLT degree of freedom set.

  • Nodes I and J may be coincident since the orientation is defined by the relative motion of node J to node I. No moment effects due to noncoincident nodes are included. That is, if the nodes are offset from a line perpendicular to the element axis, moment equilibrium may not be satisfied.

  • Unreasonable high stiffness (KN) values should be avoided. The rate of convergence decreases as the stiffness increases.

  • The element may not be deactivated with EKILL.

  • Harmonic and modal analyses are valid only for small-signal analyses after a static prestress calculation.

  • This element may not be compatible with other elements with the VOLT degree of freedom. To be compatible, the elements must have the same reaction force (see Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide).

  • A minimum of two load steps must be used to obtain valid electrostatic force calculations.

Figure 126.4 TRANS126 Valid/Invalid Orientations

TRANS126 Product Restrictions

The TRANS126 element is only available in the ANSYS Multiphysics, ANSYS ED, and ANSYS PrepPost products.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CIRCU125 		Up / Home Next
SOLID127


SOLID127

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID127

3-D Tetrahedral Electrostatic Solid p-Element

MP <> <> <> <> <> <> <> EM <> <> PP <>

Product Restrictions

SOLID127 Element Description

SOLID127 is a tetrahedron-shaped p-element that supports a polynomial with a maximum order of eight.

SOLID127 is well suited to model irregular meshes (such as produced from various CAD/CAM systems). The element has one degree of freedom, voltage, at each node.

The element is applicable to a 3-D, electrostatic field analysis. See SOLID127 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 127.1 SOLID127 Geometry

SOLID127 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 127.1: "SOLID127 Geometry". Midside nodes may not be removed. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes.

Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. Properties not input default as described in Linear Material Properties.

Element loads are described in Node and Element Loads. Surface charge densities (CHRGS) or Maxwell surface flags (MXWF) may be input as surface loads at the element faces as shown by the circled numbers on Figure 127.1: "SOLID127 Geometry". Charge densities may be input as element body loads at the nodes. If the node I charge density CHRGD(I) is input, and all others are unspecified, they default to CHRGD(I). If all corner node charge densities are specified, each midside node charge density defaults to the average charge density of its adjacent corner nodes.

A summary of the element input is given in "SOLID127 Input Summary"

SOLID127 Input Summary

Nodes

I, J, K, L, M, N, O, P, Q, R

Degrees of Freedom

VOLT

Real Constants

None

Material Properties

PERX, PERY, PERZ

Surface Loads
Surface charge densities --

face 1 (J-I-K), face 2 (I-J-L), face 3 (J-K-L), face 4 (K-I-L)

Maxwell surface loads --

face 1 (J-I-K), face 2 (I-J-L), face 3 (J-K-L), face 4 (K-I-L)

Body Loads
Charge densities --
CHRGD(I), CHRGD(J), CHRGD(K), CHRGD(L), CHRGD(M),
CHRGD(N), CHRGD(O), CHRGD(P), CHRGD(Q), CHRGD(R)
Special Features

None

KEYOPT(1)

Starting p-level:

0 --

Use global starting p-level [PPRANGE] (default)

N --

Starting p-level (2 [image] N [image] 8)

KEYOPT(2)

Maximum possible p-level:

0 --

Use global maximum p-level [PPRANGE] (default)

N --

Maximum possible p-level (2 [image] N [image] 8)

SOLID127 Output Data

The solution output associated with the element is in two forms:

  • Nodal potentials included in the overall nodal solution

  • Additional element output as shown in Table 127.1: "SOLID127 Element Output Definitions"

The element output directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output in the Elements Reference. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 127.1 SOLID127 Element Output Definitions

Name | Definition | O | R
EL | Element Number | - | Y
NODES | Nodes - I, J, K, L, M, N, O, P | - | Y
MAT | Material number | - | Y
VOLU | Volume | - | Y
XC, YC, ZC | Location where results are reported | Y | 2
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | - | Y
EF:X, Y, Z | Electric field components (X, Y, Z) | - | Y
EF:SUM | Vector magnitude of EF | - | Y
D:X, Y, Z | Electric flux density components | - | Y
D:SUM | Vector magnitude of D | - | Y
FMAG:X, Y, Z | Maxwell tensor force components | - | 1
ENERGY | Stored Electric Energy | - | Y

  1. The solution value is output only if calculated (based upon input data). The element solution is at the centroid.

  2. Available only at centroid as a *GET item.

Table 127.2: "SOLID127 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See Element Table for Variables Identified By Sequence Number in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 127.2: "SOLID127 Item and Sequence Numbers":

Name

output quantity as defined in the Table 127.2: "SOLID127 Item and Sequence Numbers"

Item

predetermined Item label for ETABLE

E

sequence number for single-valued or constant element data

Table 127.2 SOLID127 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
p-Level | NMISC | 1

SOLID127 Assumptions and Restrictions

  • The element must not have a zero volume or a zero length side. This occurs most frequently when the element is not numbered properly. Elements may be numbered either as shown in Figure 127.1: "SOLID127 Geometry" or in an opposite fashion.

  • Nodal charges should only be applied to corner nodes.

  • An applied nodal voltage may only vary linearly along an edge or face.

  • Constraint equations (CE) can relate a set of corner nodes only, or as set of mid-nodes only.

SOLID127 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Emag.

  • The birth and death special feature is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TRANS126 		Up / Home Next
SOLID128


SOLID128

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID128

3-D Brick Electrostatic Solid p-Element

MP <> <> <> <> <> <> <> EM <> <> PP <>

Product Restrictions

SOLID128 Element Description

SOLID128 is a brick p-element that supports a polynomial with a maximum order of eight.

SOLID128 is a 3-D 20-node solid element. The element has one degree of freedom, voltage, at each node. It can tolerate irregular shapes without much loss of accuracy. SOLID128 elements have compatible voltage shapes and are well suited to model curved boundaries.

The 20-node electrostatic p-element is applicable to a 3-D, electrostatic field analysis. Various printout options are also available. See SOLID128 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 128.1 SOLID128 Geometry

SOLID128 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 128.1: "SOLID128 Geometry". Midside nodes may not be removed. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes.

Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. Properties not input default as described in Linear Material Properties.

Element loads are described in Node and Element Loads. Surface charge densities or Maxwell surface flags may be input as surface loads at the element faces as shown by the circled numbers on Figure 128.1: "SOLID128 Geometry". Charge densities may be input as element body loads at the nodes. If the node I charge density CHRGD(I) is input, and all others are unspecified, they default to CHRGD(I). If all corner node charge densities are specified, each midside node charge density defaults to the average charge density of its adjacent corner nodes.

The next table summarizes the element input. Element Input gives a general description of element input.

SOLID128 Input Summary

Nodes

I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z, A, B

Degrees of Freedom

VOLT

Real Constants

None

Material Properties

PERX, PERY, PERZ

Surface Loads
Surface charge densities --
face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N),
face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)
Maxwell surface loads --
face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N),
face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)
Body Loads
Charge densities --

CHRGD(I), CHRGD(J), ... , CHRGD(Z), CHRGD(A), CHRGD(B)

Special Features

None

KEYOPT(1)

Starting p-level:

0 --

Use global starting p-level [PPRANGE] (default)

N --

Starting p-level (2 [image] N [image] 8)

KEYOPT(2)

Maximum possible p-level:

0 --

Use global maximum p-level [PPRANGE] (default)

N --

Maximum possible p-level (2 [image] N [image] 8)

KEYOPT(7)

Store electrostatic forces for coupling with elements:

0 --

Midside-node (higher-order) structural elements

1 --

Non-midside-node structural elements

SOLID128 Output Data

The solution output associated with the element is in two forms:

  • Nodal potentials included in the overall nodal solution

  • Additional element output as shown in Table 128.1: "SOLID128 Element Output Definitions"

The element output directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output of the Elements Reference. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 128.1 SOLID128 Element Output Definitions

Name | Definition | O | R
EL | Element Number | - | Y
NODES | Nodes - I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z, A, B | - | Y
MAT | Material number | - | Y
VOLU | Volume | - | Y
XC, YC, ZC | Location where results are reported | Y | 2
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | - | Y
EF:X, Y, Z | Electric field components (X, Y, Z) | - | Y
EF:SUM | Vector magnitude of EF | - | Y
D:X, Y, Z | Electric flux density components | - | Y
D:SUM | Vector magnitude of D | - | Y
FMAG:X, Y, Z | Maxwell tensor force components | - | 1
ENERGY | Stored Electric Energy | - | Y

  1. The solution value is output only if calculated (based upon input data). The element solution is at the centroid.

  2. Available only at centroid as a *GET item.

Table 128.2: "SOLID128 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See Element Table for Variables Identified By Sequence Number in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 128.2: "SOLID128 Item and Sequence Numbers":

Name

output quantity as defined in the Table 128.2: "SOLID128 Item and Sequence Numbers"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 128.2 SOLID128 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
p-Level | NMISC | 1

SOLID128 Assumptions and Restrictions

  • The element must not have a zero volume or a zero length side. This occurs most frequently when the element is not numbered properly. Elements may be numbered either as shown in Figure 128.1: "SOLID128 Geometry" or in an opposite fashion.

  • Nodal charges should only be applied to corner nodes.

  • An applied nodal voltage may only vary linearly along an edge or face.

  • Constraint equations (CE) can relate a set of corner nodes only, or as set of mid-nodes only.

SOLID128 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Emag.

  • The birth and death special feature is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID127 		Up / Home Next
FLUID129


FLUID129

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

FLUID129

2-D Infinite Acoustic

MP ME <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

FLUID129 Element Description

FLUID129 has been developed as a companion element to FLUID29. It is intended to be used as an envelope to a model made of FLUID29 finite elements. It simulates the absorbing effects of a fluid domain that extends to infinity beyond the boundary of FLUID29 finite element domain. FLUID129 realizes a second-order absorbing boundary condition so that an outgoing pressure wave reaching the boundary of the model is "absorbed" with minimal reflections back into the fluid domain. The element can be used to model the boundary of 2-D (planar or axisymmetric) fluid regions and as such, it is a line element; it has two nodes with one pressure degree of freedom per node. FLUID129 may be used in transient, harmonic, and modal analyses. Typical applications include structural acoustics, noise control, underwater acoustics, etc. See FLUID129 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 129.1 FLUID129 Geometry

FLUID129 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 129.1: "FLUID129 Geometry". The element is defined by two nodes (I, J), the material properties and the real constants (defined in "FLUID129 Input Summary"). The element must be circular with radius RAD and center located at or near the center of the structure. The radius RAD should be supplied through the real constants.

The element is characterized by a pair of symmetric stiffness and damping matrices.

In a typical meshing procedure, you should mesh the interior fluid domain that is bounded by a circular boundary with FLUID29 elements, select the nodes on the circular boundary, select the type associated with the FLUID129 and then issue the ESURF command. The latter will automatically add the FLUID129 elements on the boundary of the finite domain.

FLUID129 Input Summary

Nodes

I, J

Degrees of Freedom

PRES

Real Constants
RAD - Radius
X0 - Center of enclosing circle, X value
Y0 - Center of enclosing circle, Y value
Material Properties

SONC - velocity of sound

Surface Loads

None

Body Loads

None

Special Features

None

KEYOPT(3)

Element behavior:

0 --

Planar

1 --

Axisymmetric

FLUID129 Output Data

The solution output associated with the element is in two forms:

  • Nodal degrees of freedom included in the overall nodal solution

  • Additional element output as shown in Table 129.1: "FLUID129 Element Output Definitions"

A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 129.1 FLUID129 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
MAT | Material number | Y | Y
LINE: | Length | Y | Y
XC, YC | Location where results are reported | Y | 1
SONC | Speed of sound | Y | Y

  1. Available only at centroid as a *GET item.

Table 129.2: "FLUID129 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 129.2: "FLUID129 Item and Sequence Numbers":

Name

output quantity as defined in the Table 129.1: "FLUID129 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 129.2 FLUID129 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
SONC | NMISC | 1

FLUID129 Assumptions and Restrictions

  • FLUID129 must lie on a boundary circular in shape and should completely enclose the domain meshed with FLUID29 elements.

  • The radius RAD of the circular boundary of the finite domain should be specified as a real constant. If the coordinates (X0, Y0) of the center of the circle are not supplied through the real constant input, the center will be assumed to be at the origin. The center of the circle should be as close to the center of the model as possible.

  • It is recommended that the enclosing circular boundary is placed at a distance of at least 0.2*lambda from the boundary of any structure that may be submerged in the fluid, where lambda = c/f is the dominant wavelength of the pressure waves; c is the speed of sound (SONC) in the fluid, and f is the dominant frequency of the pressure wave. For example, in the case of a submerged circular cylindrical shell of diameter D, the radius of the enclosing boundary, RAD, should be at least (D/2) + 0.2*lambda.

  • FLUID129 uses an extra DOF, labeled XTR1, that is not available to the user. This DOF is solely for ANSYS' internal use, although it may appear in DOF listings or in program messages.

  • The only applicable modal analysis method is the Damped method.

FLUID129 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID128 		Up / Home Next
FLUID130


FLUID130

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

FLUID130

3-D Infinite Acoustic

MP ME <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

FLUID130 Element Description

FLUID130 has been developed as a companion element to FLUID30. It is intended to be used as an envelope to a model made of FLUID30 finite elements. It simulates the absorbing effects of a fluid domain that extends to infinity beyond the boundary of the finite element domain that is made of FLUID30 elements. FLUID130 realizes a second-order absorbing boundary condition so that an outgoing pressure wave reaching the boundary of the model is "absorbed" with minimal reflections back into the fluid domain. The element can be used to model the boundary of 3-D fluid regions and as such, it is a plane surface element; it has four nodes with one pressure degrees of freedom per node. FLUID130 may be used in transient, harmonic, and modal analyses. Typical applications include structural acoustics, noise control, underwater acoustics, etc. See FLUID130 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 130.1 FLUID130 Geometry

FLUID130 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 130.1: "FLUID130 Geometry". The element is defined by four nodes (I, J, K, L), the material property SONC (speed of sound) and the real constants shown in "FLUID130 Input Summary". A triangular element may be formed by defining duplicate K and L node numbers. The element must be at the spherical boundary of an acoustic fluid domain, meshed using FLUID30 elements, with radius RAD and center located at or near the center of the structure. The radius RAD should be supplied through the real constants.

The element is characterized by a symmetric stiffness and a damping matrix.

In a typical meshing procedure the user should mesh the interior fluid domain that is bounded by a spherical boundary with FLUID30 elements, select the nodes on the spherical boundary, select the type associated with the FLUID130 and then issue the ESURF command. The latter will automatically add the FLUID130 elements on the boundary of the finite domain.

FLUID130 Input Summary

Nodes

I, J, K, L

Degrees of Freedom

PRES

Real Constants
RAD - Radius
X0 - Center of enclosing circle, X value
Y0 - Center of enclosing circle, Y value
Z0 - Center of enclosing circle, Z value
Material Properties

SONC

Surface Loads

None

Body Loads

None

Special Features

None

KEYOPTS

None

FLUID130 Output Data

The solution output associated with the element is in two forms:

  • Nodal degrees of freedom included in the overall nodal solution

  • Additional element output as shown in Table 130.1: "FLUID130 Element Output Definitions"

A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 130.1 FLUID130 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L | Y | Y
MAT | Material number | Y | Y
AREA: | AREA | Y | Y
XC, YC | Location where results are reported | Y | 1
SONC | Speed of sound | Y | Y

  1. Available only at centroid as a *GET item.

Table 130.2: "FLUID130 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 130.2: "FLUID130 Item and Sequence Numbers":

Name

output quantity as defined in the Table 130.1: "FLUID130 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 130.2 FLUID130 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
SONC | NMISC | 1

FLUID130 Assumptions and Restrictions

  • FLUID130 must lie on a boundary spherical in shape and should completely enclose the domain meshed with FLUID30 elements.

  • The radius RAD of the spherical boundary of the finite domain should be specified as a real constant. If the coordinates (X0, Y0, Z0) of the center of the sphere are not supplied through the real constant input, the center will be assumed to be at the origin of the global coordinate system. The center of the sphere should be as close to the center of the model as possible.

  • It is recommended that the enclosing spherical boundary is placed at a distance of at least 0.2*lambda from the boundary of any structure that may be submerged in the fluid, where lambda = c/f is the dominant wavelength of the pressure waves. c is the speed of sound (SONC) in the fluid and f is the dominant frequency of the pressure wave. For example, in the case of a submerged spherical shell of diameter D, the radius of the enclosing boundary, RAD, should be at least (D/2) + 0.2*lambda.

  • FLUID130 uses extra DOFs, labeled XTR1 and XTR2, that are not available to the user. These DOFs are solely for ANSYS' internal use, although they may appear in DOF listings or in program messages.

  • The only applicable modal analysis method is the Damped method.

FLUID130 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLUID129 		Up / Home Next
SHELL131


SHELL131

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SHELL131

4-Node Layered Thermal Shell

MP ME <> PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

SHELL131 Element Description

SHELL131 is a 3-D layered shell element having in-plane and thru-thickness thermal conduction capability. The element has four nodes with up to 32 temperature degrees of freedom at each node. The conducting shell element is applicable to a 3-D, steady-state or transient thermal analysis. SHELL131 generates temperatures that can be passed to structural shell elements in order to model thermal bending. See SHELL131 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. If the model containing the conducting shell element is to be analyzed structurally, the element should be replaced by an equivalent structural element such as SHELL43, SHELL63, SHELL181, or SHELL281.

Figure 131.1 SHELL131 Geometry

xo = element x-axis if ESYS is not supplied.

x = element x-axis if ESYS is supplied.

SHELL131 Input Data

The geometry, node locations, and coordinates systems for this element are shown in Figure 131.1: "SHELL131 Geometry". The element is defined by four nodes, one thickness per layer, a material angle for each layer, and the material properties. If the material is uniform and the analysis has no transient effects, only one layer is needed with a linear temperature variation through the thickness.

The cross-sectional properties are input using the SECTYPE,,SHELL and SECDATA commands. These properties are the thickness, material number, and orientation of each layer. Tapered thicknesses may be input using the SECFUNCTION command. The number of integration points from the SECDATA command is not used; rather it is determined for all layers with KEYOPT(3). In the GUI, the ShellTool provides a convenient way to define section data for this element (see Shell Analysis and Cross Sections in the Structural Analysis Guide). Real constants are not used for this element.

Generally, the quadratic variation in temperature through each layer (KEYOPT(3) = 0) is used for transient analysis or for strongly temperature dependent materials, and the linear variation in temperature through each layer (KEYOPT(3) = 1) is used for steady state analysis with materials that are either not temperature dependent or weakly temperature dependent. Layers may be used to model the physical changes of properties through the thickness or the effect of a thru-thickness transient in greater detail.

KEYOPT(4) duplicates the number of layers input on the SECDATA commands. If KEYOPT(4) is 0 or blank, the program will query each element during definition in PREP7 as to which section information is being used, and then reassign the element to a different type. More element types are created as needed. The result can be seen using ETLIST and ELIST after all elements are defined. To ensure that the program can do this redefinition, the user is required to define the section information before the element is defined.

If KEYOPT(6) (also referred to as the paint option) is used, TBOT is replaced with TEMP, allowing the element to be directly attached to an underlying solid to avoid the use of constraint equations. When this option is used, surface loads cannot be applied to face 1.

As this is a thermal shell element, the direction of the element z-axis and the presence of the SECOFFSET command have no effect on the solution. However, to get correct plots when using the /ESHAPE command:

- The element z-axis should be defined with the same care as for a structural shell element.
- If KEYOPT(6) = 1 (the paint option) is set, SECOFFSET,BOT should be input.

Element loads are described in Node and Element Loads. Convection or heat flux (but not both) and radiation (using the RDSF surface load label) may be input as surface loads at the element faces as shown by the circled numbers on Figure 131.1: "SHELL131 Geometry". Edge convection and flux loads are input on a per unit length basis. Radiation is not available on the edges. You can also generate film coefficients and bulk temperatures using the surface effect element SURF152. SURF152 can also be used with FLUID116.

Heat generation rates may be input as element body loads on a per layer basis. One heat generation value is applied to the entire layer. If the first layer heat generation rate HG(1) is input, and all others are unspecified, they default to HG(1). Nodal values are averaged over the entire element.

A summary of the element input is given in "SHELL131 Input Summary". A general description of element input is given in Element Input.

SHELL131 Input Summary

Nodes

I, J, K, L

Degrees of Freedom

Quadratic:

If KEYOPT(3) = 0
If KEYOPT(4) = 0 or 1: TBOT, TE2, TTOP
If KEYOPT(4) = 2: TBOT, TE2, TE3, TE4, TTOP
If KEYOPT(4) = 3: TBOT, TE2, TE3, TE4, TE5, TE6, TTOP
Etc.
If KEYOPT(4) = 15: TBOT, TE2, TE3, TE4, TE5, TE6, TE7, TE8, TE9, TE10, TE11, TE12, TE13, TE14, TE15, TE16, TE17, TE18, TE19, TE20, TE21, TE22, TE23, TE24, TE25, TE26, TE27, TE28, TE29, TE30, TTOP

Linear:

If KEYOPT(3) = 1
If KEYOPT(4) = 0 or 1: TBOT, TTOP
If KEYOPT(4) = 2: TBOT, TE2, TTOP
If KEYOPT(4) = 3: TBOT, TE2, TE3, TTOP
Etc.
If KEYOPT(4) = 31: TBOT, TE2, TE3, TE4, TE5, TE6, TE7, TE8, TE9, TE10, TE11, TE12, TE13, TE14, TE15, TE16, TE17, TE18, TE19, TE20, TE21, TE22, TE23, TE24, TE25, TE26, TE27, TE28, TE29, TE30, TE31, TTOP

Constant:

If KEYOPT(3) = 2: TEMP (one layer only, essentially the same as SHELL57)
Real Constants

None

Material Properties

KXX, KYY, KZZ, DENS, C, ENTH

Surface Loads
Convections --
Face 1 (I-J-K-L) (bottom, -z side)
Face 2 (I-J-K-L) (top, +z side)
Face 3 (J-I), Face 4 (K-J), Face 5 (L-K), Face 6 (I-L)
Heat Fluxes --
Face 1 (I-J-K-L) (bottom, -z side)
Face 2 (I-J-K-L) (top, +z side)
Face 3 (J-I), Face 4 (K-J), Face 5 (L-K), Face 6 (I-L)
Radiation --
Face 1 (I-J-K-L) (bottom, -z side)
Face 2 (I-J-K-L) (top, +z side)
Body Loads
Heat Generations --

HG(1), HG(2), HG(3), . . . ., HG(KEYOPT(4))

Special Features

Birth and death

KEYOPT(2)

Film coefficient evaluation (if any):

0 --

Evaluate at an average film temperature, (TS+TB)/2

1 --

Evaluate at element surface temperature, TS

2 --

Evaluate at fluid bulk temperature, TB

3 --

Evaluate at differential temperature, |TS-TB|

KEYOPT(3)

Temperature variation through layer:

0 --

Quadratic temperature variation thru-layer (maximum number of layers = 15)

1 --

Linear temperature variation thru-layer (maximum number of layers = 31)

2 --

No temperature variation thru-layer (number of layers = 1)

KEYOPT(4)

Number of layers (input a value to match SECDATA commands, or leave blank to default). Maximum number of layers allowed depends on KEYOPT(3) setting (see above).

KEYOPT(6)

Application:

0 --

Thermal shell application

1 --

Paint application

SHELL131 Output Data

The solution output associated with the element is in two forms:

  • Nodal temperatures included in the overall nodal solution

  • Additional element output shown in Table 131.1: "SHELL131 Element Output Definitions"

Output temperatures may be read by structural shell elements using the LDREAD,TEMP command.

If the structural shell element uses only one temperature through the thickness, such as SHELL41, only TEMP can be used.

If the structural shell element uses two temperatures through the thickness, such as for SHELL43, SHELL63, SHELL181 (with only one layer), or SHELL281 (with only one layer), only TBOT and TTOP are used and any internal temperatures such as TE2 are ignored.

If the structural shell element uses more than two temperatures through the thickness, such as for SHELL181 (with multiple layers), all temperatures are transferred over. In this case, the corner nodes of each SHELL131 element must have identical temperature degrees of freedom.

The number of temperature points at a node generated in the thermal shell must match the number of temperature points at a node needed by the structural shell. For example, a two-layer SHELL181 element using the same material and thickness for both layers can get its temperatures from a SHELL131 element using either two layers with KEYOPT(3) = 1 (linear variation) or one layer with KEYOPT(3) = 0 (quadratic variation). Temperatures passed from this element to the stress analysis via LDREAD,TEMP can be viewed using BFELIST, as opposed to the usual BFLIST.

Heat flowing out of the element is considered to be positive. Heat flows are labeled HBOT, HE2, . . . HTOP, similar to the temperature labels. Gradient and flux information is provided at the midthickness of each layer. The element output directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

To see the temperature distribution thru the thickness for this element as well as all other thermal elements, use /GRAPHICS,POWER and /ESHAPE,1 followed by PLNSOL,TEMP.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 131.1 SHELL131 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L | Y | Y
MAT | Element material number (from MAT command) | Y | Y
AREA | Area of element | Y | Y
XC, YC, ZC | Location where results are reported | Y | 2
HGEN | Heat generations: HG(1), HG(2), HG(3), . . . | Y | -
TG:X, Y, Z | Thermal gradient components at integration points | Y | Y
TF:X, Y, Z | Thermal flux components at integration points | Y | Y
FACE | Face label | 1 | 1
AREA | Face area (same as element area) | 1 | 1
NODES | Face nodes (same as element nodes) | 1 | 1
HFILM | Face film coefficient | 1 | 1
TAVG | Average face temperature | 1 | 1
TBULK | Fluid bulk temperature | 1 | -
HEAT RATE | Heat flow rate across face by convection | 1 | 1
HFAVG | Average film coefficient of the face | - | 1
TBAVG | Average face bulk temperature | - | 1
HFLXAVG | Heat flow rate per unit area across face caused by input heat flux | - | 1
HEAT RATE/AREA | Heat flow rate per unit area across face by convection | 1 | -
HEAT FLUX | Heat flux at each node of the face | 1 | -

  1. If a surface load is input.

  2. Available only at the centroid as a *GET item.

Table 41.4: "SHELL41 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 131.2: "SHELL131 Item and Sequence Numbers":

Name

output quantity as defined in Table 131.1: "SHELL131 Element Output Definitions"

Item

predetermined Item label for ETABLE command

Table 131.2 SHELL131 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | Face 1 (Bot) | Face 2 (Top)
AREA | NMISC | 1 | 7
HFAVG | NMISC | 2 | 8
TAVG | NMISC | 3 | 9
TBAVG | NMISC | 4 | 10
HEAT RATE | NMISC | 5 | 11
HFLXAVG | NMISC | 6 | 12

SHELL131 Assumptions and Restrictions

  • Zero area elements are not allowed. This occurs most frequently when the element is not numbered properly.

  • Zero thickness layers are not allowed.

  • A triangular element may be formed by defining duplicate K and L node numbers as described in Triangle, Prism and Tetrahedral Elements.

  • The cut boundary interpolation command (CBDOF) does not work with this element.

  • When using thermal contact, the TEMP degree of freedom must be present (KEYOPT(3) = 2 or KEYOPT(6) = 1).

  • There should not be a large variation in the ratio of through-thickness conductivity (KZZ) to layer thickness for all layers within the element. If the highest and lowest values for this ratio differ by a large factor (for example, 1e5), then the results for the element may be unreliable.

  • No check is made to ensure either that the number of layers between adjacent elements match or that the effective location of a degree of freedom (for example, TE7 from a 10 layer element) between elements sharing the same node is the same to a tolerance. If this is a concern, study the area using the /ESHAPE command. For cases where the layering intentionally changes, such as at a joint or at the runout of a tapered layer, use constraint equations (CE family of commands) with or without double nodes to connect the two sides.

  • The program removes all imposed degrees of freedom and nodal loads (i.e., internally issues DDELE,all,all and FDELE,all,all commands) when elements that use TTOP, TBOT, etc. as degrees of freedom:

    • are defined or redefined using the ET or KEYOPT commands.

    • are changed (or deleted) using the ET, ETCHG, or ETDELE commands to an element type that does not use these degrees of freedom.

      If your model contained SHELL131 elements with D and F loads, and you deleted these elements via ETDELE, the D and F loads will automatically be deleted and reapplied to the new DOF list. You do, however, need to check other loads and verify if they need to be deleted and reapplied.

SHELL131 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The birth and death special feature is not allowed.

ANSYS ED.

  • Section definitions are not allowed if more than one material is referenced.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLUID130 		Up / Home Next
SHELL132


SHELL132

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SHELL132

8-Node Layered Thermal Shell

MP ME <> PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

SHELL132 Element Description

SHELL132 is a 3-D layered shell element having in-plane and thru-thickness thermal conduction capability. The element has eight nodes with up to 32 temperature degrees of freedom at each node. The conducting shell element is applicable to a 3-D, steady-state or transient thermal analysis. SHELL132 generates temperatures that can be passed to structural shell elements in order to model thermal bending. See SHELL132 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. If the model containing the conducting shell element is to be analyzed structurally, the element should be replaced by an equivalent structural element such as SHELL91, SHELL93, or SHELL99.

Figure 132.1 SHELL132 Geometry

xo = element x-axis if ESYS is not supplied.

x = element x-axis if ESYS is supplied.

SHELL132 Input Data

The geometry, node locations, and coordinates systems for this element are shown in Figure 132.1: "SHELL132 Geometry". The element is defined by four/eight nodes, one thickness per layer, a material angle for each layer, and the material properties. If the material is uniform and the analysis has no transient effects, only one layer is needed with a linear temperature variation through the thickness.

The cross-sectional properties are input using the SECTYPE,,SHELL and SECDATA commands. These properties are the thickness, material number, and orientation of each layer. Tapered thicknesses may be input using the SECFUNCTION command. The number of integration points from the SECDATA command is not used; rather it is determined for all layers with KEYOPT(3). In the GUI, the ShellTool provides a convenient way to define section data for this element (see Shell Analysis and Cross Sections in the Structural Analysis Guide). Real constants are not used for this element.

Generally, the quadratic variation in temperature through each layer (KEYOPT(3) = 0) is used for transient analysis or for strongly temperature dependent materials, and the linear variation in temperature through each layer (KEYOPT(3) = 1) is used for steady state analysis with materials that are either not temperature dependent or weakly temperature dependent. Layers may be used to model the physical changes of properties through the thickness or the effect of a thru-thickness transient in greater detail.

KEYOPT(4) duplicates the number of layers input on the SECDATA commands. If KEYOPT(4) is 0 or blank, the program will query each element during definition in PREP7 as to which section information is being used, and then reassign the element to a different type. More element types are created as needed. The result can be seen using ETLIST and ELIST after all elements are defined. To ensure that the program can do this redefinition, the user is required to define the section information before the element is defined.

If KEYOPT(6) (also referred to as the paint option) is used, TBOT is replaced with TEMP, allowing the element to be directly attached to an underlying solid to avoid the use of constraint equations. When this option is used, surface loads cannot be applied to face 1.

As this is a thermal shell element, the direction of the element z-axis and the presence of the SECOFFSET command have no effect on the solution. However, to get correct plots when using the /ESHAPE command:

- The element z-axis should be defined with the same care as for a structural shell element.
- If KEYOPT(6) = 1 (the paint option) is set, SECOFFSET,BOT should be input.

Element loads are described in Node and Element Loads. Convection or heat flux (but not both) and radiation (using the RDSF surface load label) may be input as surface loads at the element faces as shown by the circled numbers on Figure 132.1: "SHELL132 Geometry". Edge convection and flux loads are input on a per unit length basis. Radiation is not available on the edges. You can also generate film coefficients and bulk temperatures using the surface effect element SURF152. SURF152 can also be used with FLUID116.

Heat generation rates may be input as element body loads on a per layer basis. One heat generation value is applied to the entire layer. If the first layer heat generation rate HG(1) is input, and all others are unspecified, they default to HG(1). Nodal values are averaged over the entire element.

A summary of the element input is given in "SHELL132 Input Summary". A general description of element input is given in Element Input.

SHELL132 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

Quadratic:

If KEYOPT(3) = 0
If KEYOPT(4) = 0 or 1: TBOT, TE2, TTOP
If KEYOPT(4) = 2: TBOT, TE2, TE3, TE4, TTOP
If KEYOPT(4) = 3: TBOT, TE2, TE3, TE4, TE5, TE6, TTOP
Etc.
If KEYOPT(4) = 15: TBOT, TE2, TE3, TE4, TE5, TE6, TE7, TE8, TE9, TE10, TE11, TE12, TE13, TE14, TE15, TE16, TE17, TE18, TE19, TE20, TE21, TE22, TE23, TE24, TE25, TE26, TE27, TE28, TE29, TE30, TTOP

Linear:

If KEYOPT(3) = 1
If KEYOPT(4) = 0 or 1: TBOT, TTOP
If KEYOPT(4) = 2: TBOT, TE2, TTOP
If KEYOPT(4) = 3: TBOT, TE2, TE3, TTOP
Etc.
If KEYOPT(4) = 31: TBOT, TE2, TE3, TE4, TE5, TE6, TE7, TE8, TE9, TE10, TE11, TE12, TE13, TE14, TE15, TE16, TE17, TE18, TE19, TE20, TE21, TE22, TE23, TE24, TE25, TE26, TE27, TE28, TE29, TE30, TE31, TTOP

Constant:

If KEYOPT(3) = 2: TEMP (one layer only, essentially the same as SHELL57)
Real Constants

None

Material Properties

KXX, KYY, KZZ, DENS, C, ENTH

Surface Loads
Convections --
Face 1 (I-J-K-L) (bottom, -z side)
Face 2 (I-J-K-L) (top, +z side)
Face 3 (J-I), Face 4 (K-J), Face 5 (L-K), Face 6 (I-L)
Heat Fluxes --
Face 1 (I-J-K-L) (bottom, -z side)
Face 2 (I-J-K-L) (top, +z side)
Face 3 (J-I), Face 4 (K-J), Face 5 (L-K), Face 6 (I-L)
Radiation --
Face 1 (I-J-K-L) (bottom, -z side)
Face 2 (I-J-K-L) (top, +z side)
Body Loads
Heat Generations --

HG(1), HG(2), HG(3), ..., HG(KEYOPT(4))

Special Features

Birth and death

KEYOPT(2)

Film coefficient evaluation (if any):

0 --

Evaluate at an average film temperature, (TS+TB)/2

1 --

Evaluate at element surface temperature, TS

2 --

Evaluate at fluid bulk temperature, TB

3 --

Evaluate at differential temperature, |TS-TB|

KEYOPT(3)

Temperature variation through layer:

0 --

Quadratic temperature variation through layer (maximum number of layers = 15)

1 --

Linear temperature variation through layer (maximum number of layers = 31)

2 --

No temperature variation through layer (number of layers = 1)

KEYOPT(4)

Number of layers (input a value to match SECDATA commands, or leave blank to default). Maximum number of layers allowed depends on KEYOPT(3) setting (see above).

KEYOPT(6)

Application:

0 --

Thermal shell application

1 --

Paint application

SHELL132 Output Data

The solution output associated with the element is in two forms:

  • Nodal temperatures included in the overall nodal solution

  • Additional element output as shown in Table 132.1: "SHELL132 Element Output Definitions".

Output nodal temperatures may be read by structural shell elements using the LDREAD,TEMP capability. If the structural shell element uses two temperatures thru the thickness such as for SHELL93 and SHELL99, only TBOT and TTOP are used and any internal temperatures such as TE2 are ignored. If the structural shell element uses more than two temperatures through the thickness such as for SHELL91, all temperatures are transferred over. In this case, the corner nodes of each SHELL132 element must have identical temperature degrees of freedom. Also, the number of temperature points at a node generated in the thermal shell must match the number of temperature points at a node needed by the structural shell. For example, a two layer SHELL91 element using the same material and thickness for both layers can get its temperatures from a SHELL132 element using either two layers with KEYOPT(3) = 1 (linear variation) or one layer with KEYOPT(3) = 0 (quadratic variation). Temperatures passed from this element to the stress analysis via LDREAD,TEMP can be viewed using BFELIST, as opposed to the usual BFLIST.

Heat flowing out of the element is considered to be positive. Heat flows are labeled HBOT, HE2, . . . HTOP, similar to the temperature labels. Gradient and flux information is provided at the midthickness of each layer. The element output directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

To see the temperature distribution thru the thickness for this element as well as all other thermal elements, use /GRAPHICS,POWER and /ESHAPE,1 followed by PLNSOL,TEMP.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 132.1 SHELL132 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L | Y | Y
MAT | Element material number (from MAT command) | Y | Y
AREA | Area of element | Y | Y
XC, YC, ZC | Location where results are reported | Y | 2
HGEN | Heat generations: HG(1), HG(2), HG(3), . . . | Y | -
TG:X, Y, Z | Thermal gradient components at integration points | Y | Y
TF:X, Y, Z | Thermal flux components at integration points | Y | Y
FACE | Face label | 1 | 1
AREA | Face area (same as element area) | 1 | 1
NODES | Face nodes (same as element nodes) | 1 | 1
HFILM | Face film coefficient | 1 | 1
TAVG | Average face temperature | 1 | 1
TBULK | Fluid bulk temperature | 1 | -
HEAT RATE | Heat flow rate across face by convection | 1 | 1
HFAVG | Average film coefficient of the face | - | 1
TBAVG | Average face bulk temperature | - | 1
HFLXAVG | Heat flow rate per unit area across face caused by input heat flux | - | 1
HEAT RATE/AREA | Heat flow rate per unit area across face by convection | 1 | -
HEAT FLUX | Heat flux at each node of the face | 1 | -

  1. If a surface load is input.

  2. Available only at the centroid as a *GET item.

Table 41.4: "SHELL41 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 132.2: "SHELL131 Item and Sequence Numbers":

Name

output quantity as defined in the Table 132.1: "SHELL132 Element Output Definitions"

Item

predetermined Item label for ETABLE command

Table 132.2 SHELL131 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | Face 1 (Bot) | Face 2 (Top)
AREA | NMISC | 1 | 7
HFAVG | NMISC | 2 | 8
TAVG | NMISC | 3 | 9
TBAVG | NMISC | 4 | 10
HEAT RATE | NMISC | 5 | 11
HFLXAVG | NMISC | 6 | 12

SHELL132 Assumptions and Restrictions

  • Zero area elements are not allowed. This occurs most frequently when the element is not numbered properly.

  • Zero thickness layers are not allowed.

  • A triangular element may be formed by defining duplicate K, L, and O node numbers as described in Triangle, Prism and Tetrahedral Elements.

  • Midside nodes may not be dropped.

  • The cut boundary interpolation command (CBDOF) does not work with this element.

  • When using thermal contact, the TEMP degree of freedom must be present (KEYOPT(3) = 2 or KEYOPT(6) = 1).

  • There should not be a large variation in the ratio of through-thickness conductivity (KZZ) to layer thickness for all layers within the element. If the highest and lowest values for this ratio differ by a large factor (for example, 1e5), then the results for the element may be unreliable.

  • No check is made to ensure either that the number of layers between adjacent elements match or that the effective location of a degree of freedom (for example, TE7 from a 10 layer element) between elements sharing the same node is the same to a tolerance. If this is a concern, study the area using the /ESHAPE command. For cases where the layering intentionally changes, such as at a joint or at the runout of a tapered layer, use constraint equations (CE family of commands) with or without double nodes to connect the two sides.

  • This element may not be used with THOPT,QUASI if convection or radiation surfaces are present.

  • This element may not be used with the /EFACET command for PowerGraphics displays.

  • The program removes all imposed degrees of freedom and nodal loads (i.e., internally issues DDELE,all,all and FDELE,all,all commands) when elements that use TTOP, TBOT, etc. as degrees of freedom:

    • are defined or redefined using the ET or KEYOPT commands.

    • are changed (or deleted) using the ET, ETCHG, or ETDELE commands to an element type that does not use these degrees of freedom.

      If your model contained SHELL132 elements with D and F loads, and you deleted these elements via ETDELE, the D and F loads will automatically be deleted and reapplied to the new DOF list. You do, however, need to check other loads and verify if they need to be deleted and reapplied.

SHELL132 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The birth and death special feature is not allowed.

ANSYS ED.

  • Section definitions are not allowed if more than one material is referenced.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SHELL131 		Up / Home Next
FLUID136


FLUID136

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

FLUID136

3-D Squeeze Film Fluid Element

MP ME <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

FLUID136 Element Description

FLUID136 models viscous fluid flow behavior in small gaps between fixed surfaces and structures moving perpendicular to the fixed surfaces. FLUID136 can be used to determine the stiffening and damping effects that the fluid exerts on the moving structure. The element behavior is based on the Reynolds squeeze film theory and the theory of rarefied gases. As such, it is limited to structures with lateral dimensions much greater than the gap size. In addition, the pressure change must be small relative to the ambient pressure, and any viscous heating is neglected. FLUID136 is particularly applicable to modeling squeeze-film effects in microstructures. However, it can also model thin-film fluid behavior in macrostructures.

If the velocity of the moving surface is known, FLUID136 can directly determine the fluid response. The velocity normal to the element surface is specified as a body force. If the velocity of the moving surface is not known, FLUID136 can determine the fluid response from the eigenmodes of the structure using the Modal Projection Method.

FLUID136 is applicable to static, harmonic, and transient analyses. A static analysis is used to determine the damping effects for low operating frequencies where fluid stiffening effects are negligible. A harmonic analysis is used to determine the fluid stiffening and damping effects for high operating frequencies where fluid stiffening effects are not negligible. A transient analysis is used to determine the fluid stiffening and damping effects for non-harmonic loadings. The Modal Projection Method can also be used to extract frequency-dependent damping ratios for use with the MDAMP and DMPRAT commands; and Alpha and Beta damping parameters for use with the ALPHAD and BETAD commands.

FLUID136 can be used to model three different flow regimes: continuum theory, high Knudsen number, and high Knudsen number with accommodation factors.

See FLUID136 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

FLUID136 Input Data

The element is defined by four corner nodes with an option to include mid-side nodes (KEYOPT(2) = 1). The element should be oriented such that the element normal is pointing toward the fluid domain. If solid elements are used for the structural domain, the fluid element normal vector is automatically computed. If necessary, the fluid element normal vector can be flipped using ENSYM.

Figure 136.1 FLUID136 Geometry

KEYOPT (1) specifies the flow regime. The Knudsen number can be calculated from the mean free fluid path at a reference pressure, the operating pressure, and the gap.

Kn = (MFP*PREF) / (PAMB*GAP

For continuum theory to be valid (KEYOPT(1) = 0), the Knudsen number should be less than 0.01. If the Knudsen number is greater than 0.01 (KEYOPT(1) = 1 or 2), the dynamic viscosity is adjusted to account for the slip flow boundary. See Flow Regime Considerations in the Fluids Analysis Guide for a complete discussion of flow regimes and calculation of the Knudsen number.

The type of reflection of the gas molecules at the wall interface is specified using accommodation factors. Squeeze film models assume diffuse reflection of the gas molecules at the wall interface (accommodation factor = 1). This assumption is valid for most metals, but is less accurate for micromachined surfaces, particularly those fabricated from silicon. Materials, such as silicon, cause specular reflection. Typical accommodation factors for silicon are between 0.80 and 0.90.

The fluid environment is defined by a set of real constants:

GAP specifies the local gap separation, PAMB specifies the ambient (i.e., surrounding) pressure, ACF1 and ACF2 specify the accommodation factors surface1 and surface 2, PREF specifies the reference pressure for the mean free fluid path, and MFP specifies the mean free fluid path at reference pressure PREF.

For continuum theory (KEYOPT(1) = 1), GAP and PAMB must be specified.

For high Knudsen numbers (KEYOPT(1) = 1), GAP, PAMB, PREF, and MFP must be specified. PREF and MFP are used to adjust the dynamic viscosity. ACF1 and ACF2 are assumed to be 1.

For high Knudsen numbers with accommodation factors (KEYOPT(1) = 2), GAP, PAMB, PREF, MFP, ACF1, and ACF2 must be specified. Different accommodation factors may be specified for each surface.

For small deflections, GAP is assumed to be constant. For large deflections, GAP can be updated using SETFGAP.

The fluid velocity normal to the surface may be specified using nodal or element loading with the FLUE body load label on the BF or BFE commands. If FLUID136 is used in conjunction with the Modal Projection Method, the fluid velocities are obtained from the modal displacements and applied using the DMPEXT command.

FLUID136 Input Summary

Nodes

I, J, K, L (KEYOPT(2) = 0)

I, J, K, L, M, N, O, P (KEYOPT(2) = 1)

Degrees of Freedom

PRES

Real Constants

GAP, (blank), (blank), PAMB, ACF1, ACF2

PREF, MFP

Material Properties

VISC - dynamic viscosity

Surface Loads

None

Body Loads

FLUE (velocity)

Special Features

None

KEYOPT(1)

Continuous flow options

0 --

Continuum theory

1 --

High Knudsen numbers (greater than 0.01)

2 --

High Knudsen numbers and accommodation factors

KEYOPT(2)

Element geometry

0 --

Four node element

1 --

Eight node element

FLUID136 Output Data

The solution output associated with the element is in two forms:

  • Nodal degrees of freedom included in the overall nodal solution

  • Additional element output as shown in Table 136.1: "FLUID136 Element Output Definitions"

A general description of solution output is given in Table 136.1: "FLUID136 Element Output Definitions". See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 136.1 FLUID136 Element Output Definitions

Name | Definition | O | R
PRES | Pressure change with regard to ambient temperature |  | Y
PG (X, Y, Z) | Mid-surface fluid velocity | Y | Y
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L | Y | Y
MAT | Material number | Y | Y
AREA: | Area | Y | Y
FLUE | Velocity (normal to surface) | Y | Y

Table 136.2: "FLUID136 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 136.2: "FLUID136 Item and Sequence Numbers":

Name

output quantity as defined in the Table 136.1: "FLUID136 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 136.2 FLUID136 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
Effective viscosity | NMISC | 1
GAP | NMISC | 2

FLUID136 Assumptions and Restrictions

  • Knudsen numbers larger than 880 are not supported.

  • The gas flow is assumed to be isothermal.

  • The pressure change must be small compared to ambient pressure.

  • Displacement amplitudes must be small compared to the film thickness.

  • The element assumes isothermal viscous flow. All the fluid properties are at a constant temperature (TUNIF) within a load step, even if you specify material properties with temperature dependencies (using MP). See Squeeze Film Theory in the Theory Reference for ANSYS and ANSYS Workbench for more information on the governing equations.

FLUID136 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SHELL132 		Up / Home Next
FLUID138


FLUID138

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

FLUID138

3-D Viscous Fluid Link Element

MP ME <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

FLUID138 Element Description

FLUID138 models the viscous fluid flow behavior through short channels (i.e., holes) in microstructures moving perpendicular to fixed surfaces. FLUID138 can be used in conjunction with FLUID136 elements to determine the stiffening and damping effects that the fluid exerts on the moving perforated microstructure.

FLUID138 assumes isothermal flow at low Reynolds numbers. The channel length must be small relative to the acoustic wave length, and the pressure change must be small relative to the ambient pressure. FLUID138 accounts for gas rarefaction effects and fringe effects due to the short channel length.

As with FLUID136, FLUID138 is applicable to static, harmonic, and transient analyses. FLUID138 can be used to model two different flow regimes: continuum theory and high Knudsen number.

In contrast to FLUID116, this element is more accurate for channels of rectangular cross section, allows channel dimensions to be small compared to the mean free path, allows modeling of evacuated systems, and considers fringe effects at the inlet and outlet. These effects can considerably increase the damping force in the case of short channel length. See FLUID138 - 3-D Viscous Fluid Link Element in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

FLUID138 Input Data

The element is defined by two nodes. The I node is located at the center of the cross-section of the hole region on the same plane as the nodes used to model the squeeze film fluid region (FLUID136 elements). The J node is located at the opposite face of the structure through the channel depth.

Figure 138.1 FLUID138 Geometry

KEYOPT(1) specifies the flow regime. The Knudsen number can be calculated from the mean free fluid path at a reference pressure, the operating pressure, and the lateral dimensions.

Kn = (MFP*PREF) / (PAMB*DIM)

For rectangular channels, DIM is the smallest lateral dimension. For circular channels, DIM is the radius.

For continuum theory to be valid (KEYOPT(1) = 0), the Knudsen number should be less than 0.01. If the Knudsen number is greater than 0.01 (KEYOPT(1) = 1 or 2), the dynamic viscosity is adjusted to account for the slip flow boundary.

The fluid environment is defined by a set of real constants:

For rectangular channels, DIM1 and DIM2 specify the lateral dimensions of the channel. For circular channels, DIM1 specifies the radius of the channel and DIM2 is not used, PAMB specifies the ambient (i.e., surrounding) pressure, PREF specifies the reference pressure for the mean free fluid path, and MFP specifies the mean free fluid path at reference pressure PREF.

For continuum theory (KEYOPT(1) = 1), DIM1, DIM2 (if rectangular channel), and PAMB must be specified.

For high Knudsen numbers (KEYOPT(1) = 1), DIM1, DIM2 (if rectangular channel), PAMB, PREF and MFP must be specified. PREF and MFP are used to adjust the dynamic viscosity.

FLUID138 does not support any loadings. To preserve the pressure drop through the hole, the PRES degree of freedom for the nodes of the FLUID136 elements at the periphery of the hole must be coupled to the PRES degree of freedom for node I of the FLUID138 element representing the hole, and the pressure degree of freedom for node J must be set to the surrounding ambient pressure.

FLUID138 Input Summary

Nodes

I, J

Degrees of Freedom

PRES

Real Constants

DIM1, DIM2, (blank), PAMB, (blank), (blank),

PREF, MFP

Material Properties

VISC - dynamic viscosity

Surface Loads

None

Body Loads

None

Special Features

None

KEYOPT(1)

Continuous flow options

0 --

Continuum theory

1 --

High Knudsen numbers

KEYOPT(3)

Cross section definition

0 --

Circular cross section

1 --

Rectangular cross section

FLUID138 Output Data

The solution output associated with the element is in two forms:

  • Nodal degrees of freedom included in the overall nodal solution

  • Additional element output as shown in Table 129.1: "FLUID129 Element Output Definitions"

A general description of solution output is given in Table 136.1: "FLUID136 Element Output Definitions". See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 138.1 FLUID138 Element Output Definitions

Name | Definition | O | R
PRES | Pressure change with regard to ambient pressure |  | Y
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
MAT | Material number | Y | Y
VOL | Volume | Y | Y
FLUE | Fluences | Y | Y
LENGTH | Channel Length | Y | Y
AREA | Area | Y | Y
PRES (I, J) | P1 at node I, P2 at node J | Y | Y
FLOW | Flow rate | Y |
VELOCITY | Average velocity | Y |

Table 138.2: "FLUID138 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 129.2: "FLUID129 Item and Sequence Numbers":

Name

output quantity as defined in the Table 129.1: "FLUID129 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 138.2 FLUID138 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
Effective viscosity | NMISC | 1
Effective length | NMISC | 2
Fluid resistance | NMISC | 3
Cross sectional area | NMISC | 4

FLUID138 Assumptions and Restrictions

  • Knudsen numbers larger than 880 are not supported.

  • The gas flow is assumed to be isothermal.

  • The pressure change must be small compared to ambient pressure.

  • The element assumes isothermal viscous flow. All the fluid properties are at a constant temperature (TUNIF) within a load step, even if you specify material properties with temperature dependencies (using MP). See Squeeze Film Theory in the Theory Reference for ANSYS and ANSYS Workbench for more information on the governing equations.

FLUID138 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLUID136 		Up / Home Next
FLUID139


FLUID139

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

FLUID139

3-D Slide Film Fluid Element

MP ME <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

FLUID139 Element Description

FLUID139 is a uniaxial element which models the fluid behavior between a sliding surface and a fixed wall. The viscous flow between surfaces is represented by a series connection of mass-damper elements whereby each node corresponds to a local fluid layer. The element has applications for modeling the fluid damping effects in microsystems such as comb drive fingers, large horizontally moving plates in seismic devices, etc. The element can be used in conjunction with other elements to model complete structural-fluid damping interaction, or stand-alone to add damping effects in a lumped sense to a structure. For low frequency applications, Couette flow assumptions is used. At higher frequencies where inertial effects become important, Stokes flow theory is used. First and second order slip flow models can be activated for systems which operate at high Knudsen numbers. The element is applicable to large deflection cases where the surface area exposed to a fixed wall changes with displacement (such as in comb fingers). See FLUID139 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

FLUID139 Input Data

The element is defined by two nodes. The I node is connected to the first "wall" and the J (or I+32) node is attached to the second "wall". Either wall may be constrained from moving, or both walls may move with respect to one another.

Figure 139.1 FLUID139 Geometry

The 2-node option (KEYOPT(2) = 0) is recommended for systems which operate at frequencies below the cut-off frequency.

The 32-node option (KEYOPT(2) = 1) is necessary for Stokes flow models where only a small fluid layer at the wall is accelerated due to fluid inertia. For the 32 node option (KEYOPT(2) = 1), the first node is node I, and the 32nd node is node J. The intermediate node numbers (2-31) must be defined, but their location may be arbitrary. The geometric location of node I and J is not important as their separation distance is computed from the real constant gap separation GAP.

The fluid environment is defined by the real constants.

Gap is the local gap separation (i.e., width of fluid domain). AREA is the surface area. DADU is the change in the overlap area with respect to the surface displacement. That is, DADU is the first derivative of AREA with respect to displacement. If the surface area is constant, then DADU is the width of the overlap surface. PAMB is the ambient (i.e., surrounding) pressure. PREF is the reference pressure for which the mean free path of the fluid is defined. MFP is the mean free path of the fluid at PREF.

FLUID139 can be used to model continuous flow or slip flow boundary conditions. If the Knudsen number is less than 0.01, then continuous flow boundary conditions are valid. If the Knudsen number is greater than 0.01, but not near 1, then first order slip flow boundary conditions are valid. If the Knudsen number is near 1, then extended slip flow boundary conditions are valid. KEYOPT(3) is used to specify fluid blow boundary conditions. KEYOPT(3) = 0 specifies continuous flow. KEYOPT(3) = 1 specifies first order slip flow boundary conditions. KEYOPT(3) = 2 specifies extended slip flow boundary conditions. See Flow Regime Considerations in the Fluids Analysis Guide for a complete discussion of flow regimes and calculation of the Knudsen number.

FLUID139 can be loaded by nodal displacements at the interface nodes using the D command or by nodal forces using the F command. A combination of FLUID139 and structural elements allows a simultaneous fluid-structure domain simulation.

FLUID139 Input Summary

Nodes

I, J (KEYOPT(2) = 0)

I, J, node 32 (KEYOPT(2) = 1)

Degrees of Freedom

UX, UY, UZ (Depending on KEYOPT(1))

Real Constants

GAP, AREA, DADU, PAMB, (blank), (blank)

PREF, MFP

Material Properties

DENS - density

VISC - dynamic viscosity

Surface Loads

None

Body Loads

None

Special Features

None

KEYOPT(1)

Operating Directions

0,1 --

x-direction (UX DOF)

2 --

y-direction (UY DOF)

3 --

z-direction (UZ DOF)

KEYOPT(2)

Flow model

0 --

2-node element (Couette flow)

1 --

32-node element (Stokes flow)

KEYOPT(3)

Continuous flow options

0 --

Continuum theory

1 --

First order slip flow

2 --

Extended slip flow theory

FLUID139 Output Data

The solution output associated with the element is in two forms:

  • Nodal degrees of freedom included in the overall nodal solution

  • Additional element output as shown in Table 129.1: "FLUID129 Element Output Definitions"

A general description of solution output is given in Table 136.1: "FLUID136 Element Output Definitions". See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 139.1 FLUID139 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
MAT | Material number | Y | Y
VOL | Volume | Y | Y
GAP | Gap separation | Y | Y
AREA | Area | Y | Y
PRES (I, J) | P1 at node I, P2 at node J | Y | Y

Table 138.2: "FLUID138 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 129.2: "FLUID129 Item and Sequence Numbers":

Name

output quantity as defined in the Table 129.1: "FLUID129 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 139.2 FLUID139 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
Effective viscosity | NMISC | 1
GAP | NMISC | 2
AREA | NMISC | 3

FLUID139 Assumptions and Restrictions

The element assumes isothermal viscous flow. All the fluid properties are at a constant temperature (TUNIF) within a load step, even if you specify material properties with temperature dependencies (using MP). See Slide Film Theory in the Theory Reference for ANSYS and ANSYS Workbench for more information on the governing equations.

FLUID139 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLUID138 		Up / Home Next
FLUID141


FLUID141

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

FLUID141

2-D Fluid-Thermal

MP <> <> <> <> <> <> FL <> <> <> PP <>

Product Restrictions

FLUID141 Element Description

You can use FLUID141 to model transient or steady state fluid/thermal systems that involve fluid and/or non-fluid regions. The conservation equations for viscous fluid flow and energy are solved in the fluid region, while only the energy equation is solved in the non-fluid region. Use this FLOTRAN CFD element to solve for flow and temperature distributions within a region, as opposed to elements that model a network of one-dimensional regions hooked together (such as FLUID116). You can also use FLUID141 in a fluid-solid interaction analysis. See FLUID141 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

For the FLOTRAN CFD elements, the velocities are obtained from the conservation of momentum principle, and the pressure is obtained from the conservation of mass principle. (The temperature, if required, is obtained from the law of conservation of energy.) A segregated sequential solver algorithm is used; that is, the matrix system derived from the finite element discretization of the governing equation for each degree of freedom is solved separately. The flow problem is nonlinear and the governing equations are coupled together. The sequential solution of all the governing equations, combined with the update of any temperature- or pressure-dependent properties, constitutes a global iteration. The number of global iterations required to achieve a converged solution may vary considerably, depending on the size and stability of the problem. Transport equations are solved for the mass fractions of up to six species.

You may solve the system of equations in a constant angular velocity rotating coordinate system. The degrees of freedom are velocities, pressure, and temperature. Two turbulence quantities, the turbulent kinetic energy and the turbulent kinetic energy dissipation rate, are calculated if you invoke an optional turbulence model. For axisymmetric models, you can calculate an optional swirl - velocity VZ normal to the plane. You also can specify swirl at the inlet or a boundary (moving wall).

Figure 141.1 FLUID141 Geometry

FLUID141 Input Data

Figure 141.1: "FLUID141 Geometry" shows the geometry, node locations, and the coordinate system for this element. The element is defined by three nodes (triangle) or four nodes (quadrilateral) and by isotropic material properties. The coordinate system is selected according to the value of KEYOPT(3), and may be either Cartesian, axisymmetric, or polar.

Node and Element Loads describes element loads. For a fluid-solid interaction analysis, you can apply a fluid-solid interaction flag using the SF family of commands (SF, SFA, SFE, or SFL) and the FSIN surface load label. You must also apply the same interface number to the solid interface where load transfer takes place. See Sequentially Coupled Physics Analysis in the Coupled-Field Analysis Guide for more information on the use of the fluid-solid interaction flag.

The Fluids Analysis Guide includes a discussion of which ANSYS commands are unavailable or inappropriate for FLUID141.

FLUID141 Fluid Elements

If the material number [MAT] of a FLUID141 element is 1, it is assumed to be a fluid element. Its properties - density, viscosity, thermal conductivity and specific heat - are defined with a series of FLDATA commands. You can analyze only one fluid, and it must be in a single phase. Thermal conductivity and specific heat are relevant (and necessary) only if the problem is thermal in nature. The properties can be a function of temperature through relationships specified by the FLDATA7,PROT command or through a property database (the file floprp.ans). In addition, the density may vary with pressure (per the ideal gas law) if the fluid is specified to be air or a gas.

Six turbulence models are available. You can activate turbulence modeling with the FLDATA1,SOLU,TURB,T command. The Standard k-ε Model and the Zero Equation Turbulence Model are available along with four extensions of the Standard k-ε Model. See the Theory Reference for ANSYS and ANSYS Workbench and the Fluids Analysis Guide for more information on the models.

KEYOPT(1) activates multiple species transport, which allows you to track the transport of up to six different fluids (species) in the main fluid. KEYOPT(4) allows you to use displacement DOFs to specify motion of boundaries when using the Arbitrary Lagrangian-Eulerian (ALE) formulation.

Real constants, shown in Table 141.1: "FLUID141 Real Constants", are required only if a distributed resistance ("FLUID141 Distributed Resistance"), a fan model ("FLUID141 Fan Model"), a wall roughness ("FLUID141 Wall Roughness"), or an ALE formulation is to be included.

FLUID141 Distributed Resistance

A distributed resistance provides a convenient way to approximate the effect of porous media (such as a filter) or other such flow domain features without actually modeling the geometry of those features. It is an artificially imposed, unrecoverable loss associated with geometry not explicitly modeled. Any fluid element with a distributed resistance will have a real constant set number [REAL] greater than 1 assigned to it.

The resistance to flow, modeled as a distributed resistance, may be due to one or a combination of these factors: a localized head loss (K), a friction factor (f), or a permeability (C). The total pressure gradient is the sum of these three terms, as shown below for the X direction.

where:
ρ = is the density (mass/length3)
μ = is the viscosity (mass/(length*time))
RE = is the local value of the Reynolds Number (calculated by the program): RE = (ρ V Dh) / μ
f = is a friction coefficient (calculated by the program): f = a RE-b
C = is the FLOTRAN permeability (1/length2). FLOTRAN permeability is the inverse of the intrinsic or physical permeability.

If large gradients exist in the velocity field within a distributed resistance region, you should deactivate the turbulence model by setting ENKE to 0 and ENDS to 1.0 in this region.

Non-Newtonian viscosity models also are available for this element. Currently, ANSYS provides a Power Law model, a Bingham model, and a Carreau model.

In addition, ANSYS provides a user-definable subroutine to compute viscosity. The Theory Reference for ANSYS and ANSYS Workbench and the Fluids Analysis Guide describe these models and how to use them. The subroutine, called UserVisLaw, is documented in the Guide to ANSYS User Programmable Features.

FLUID141 Fan Model

The fan model provides a convenient way to approximate the effect of a fan or pump in the flow domain. It is an artificially imposed momentum source that provides momentum source terms associated with a fan or a pump not explicitly modeled.

The pressure rise associated with a fan model is given by the pressure gradient times the flow length through the elements with the fan model real constants. For a one-directional fan model, (real constant TYPE = 4), three coefficients are input. The pressure gradient can be treated as a quadratic function of velocity, as shown below for the X direction.

V is the fluid velocity and C1, C2, and C3 are the coefficients specified as real constants. For an arbitrary direction fan model (real constant TYPE = 5), the three coefficients are the components of the actual coefficients along a coordinate direction. See also the Fluids Analysis Guide.

FLUID141 Wall Roughness

The FLOTRAN default condition is smooth walls. For information on applying roughness values, see Flow Boundary Conditions in the Fluids Analysis Guide.

FLUID141 Non-Fluid Elements

If the material number [MAT] of the element is greater than 1, it is assumed to be a non-fluid element. Only the energy equation is solved in the non-fluid elements. You can define up to 100 different non-fluid materials. To specify density, specific heat, and thermal conductivity for the non-fluid elements, use the MP command. Temperature variation of the non-fluid properties is permitted, and you specify it via the MP or MPDATA commands. Orthotropic variation also is permitted, with the restriction that the spatial variation is always with respect to the global coordinate system. Note that element real constants have no meaning for non-fluid FLUID141 elements.

"FLUID141 Input Summary" summarizes the element input. Element Input gives a general description of element input. For axisymmetric applications see Axisymmetric Elements.

FLUID141 Input Summary

Nodes

I, J, K, L

Degrees of Freedom

VX, VY, VZ, PRES, TEMP, ENKE, ENDS

Real Constants

See Table 141.1: "FLUID141 Real Constants"

Material Properties
Non-fluid: KXX, KYY, C, DENS
Fluid: Density, viscosity, thermal conductivity, specific heat (use FLDATA commands) or MPTEMP and MPDATA.
Surface Loads

HFLUX, CONV, RAD, RDSF, FSIN

Body Loads

HGEN, FORC

Special Features
Nonlinear
Six turbulence models
Incompressible or compressible algorithm
Transient or steady state algorithm
Rotating or stationary coordinate system
Algebraic solvers particular to FLOTRAN
Optional distributed resistance and fan models
Multiple species transport
KEYOPT(1)

Number of species:

0 --

Species transport is not activated.

2 - 6 --

Number of species transport equations to be solved.

KEYOPT(3)

Element coordinate system:

0 --

Cartesian coordinates (default)

1 --

Axisymmetric about Y-axis

2 --

Axisymmetric about X-axis

3 --

Polar Coordinates

KEYOPT(4)

Support mesh displacement DOFs:

0 --

Do not include displacement DOFs.

1 --

Include displacement DOFs (UX and UY).

Table 141.1 FLUID141 Real Constants

No. | Name | Definition and Type no. | Units
1 | TYPE | Type of distributed resistance or fan model: |
 |  | 1 = Distributed resistance: isotropic | -
 |  | 2 = Distributed resistance: one-directional | -
 |  | 3 = Distributed resistance: direction-dependent | -
 |  | 4 = Fan model: aligned with a coordinate axis | -
 |  | 5 = Fan model: arbitrary direction | -
2 | (Blank) | 1, 2, 3 - Not used | -
 | DIR | 4 - Fan orientation: 1 = X, 2 = Y, 3 = Z | -
 | (Blank) | 5 - Not Used | -
3 | K | 1, 2 - Dimensionless head loss / length | 1/L
 | Kx | 3 - Head loss in X direction | 1/L
 | C1 | 4 - Constant term | M/L2t2
 | C1x | 5 - Vector component of C1 in X direction | M/L2t2
4 | C | 1, 2 - Permeability | 1/L2
 | Cx | 3 - Permeability in X direction | 1/L2
 | C2 | 4 - Linear coefficient | M/L3t
 | C2x | 5 - Vector component of C2 in X direction | M/L3t
5 | Dh | 1, 2 - Hydraulic diameter | L
 | Dhx | 3 - Hydraulic diameter in X direction | L
 | C3 | 4 - Quadratic coefficient | M/L4
 | C3x | 5 - Vector component of C3 in X direction | M/L4
6 | a | 1, 2 - Coefficient of Reynolds number, used in friction factor calculations | -
 | ax | 3 - Coefficient a in X direction | -
 | (Blank) | 4, 5 - Not Used | -
7 | b | 1, 2 - Exponent of Reynolds number, used in friction factor calculations | -
 | bx | 3 - Exponent b in X direction | -
 | (Blank) | 4, 5 - Not Used | -
8 | (Blank) | 1 - Not Used | -
 | FLDIR | 2 - Flow direction: 1 = X, 2 = Y, 3 = Z | -
 | Ky | 3 - Head loss in Y direction | 1/L
 | (Blank) | 4 - Not Used | -
 | C1y | 5 - Vector component of C1 in Y direction | M/L2t2
9 | (Blank) | 1, 2 - Not Used | -
 | Cy | 3 - Permeability in Y direction | 1/L2
 | (Blank) | 4 - Not Used | -
 | C2y | 5 - Vector component of C2 in Y direction | M/L3t
10 | (Blank) | 1, 2 - Not Used | -
 | Dhy | 3 - Hydraulic diameter in Y direction | L
 | (Blank) | 4 - Not Used | -
 | C3y | 5 - Vector component of C3 in Y direction | M/L4
11 | (Blank) | 1, 2 - Not Used | -
 | ay | 3 - Coefficient of Reynolds number in Y direction | -
 | (Blank) | 4, 5 - Not Used | -
12 | (Blank) | 1, 2 - Not Used | -
 | by | 3 - Exponent of Reynolds number in Y direction | -
 | (Blank) | 4, 5 - Not Used | -
13 | (Blank) | 1, 2 - Not Used | -
 | Kz | 3 - Head loss in Z (swirl) direction | 1/L
 | (Blank) | 4 - Not Used | -
 | C1z | 5 - Vector component of C1 in Z (swirl) direction | M/L2t2
14 | (Blank) | 1, 2 - Not Used | -
 | Cz | 3 - Permeability in Z (swirl) direction | 1/L2
 | (Blank) | 4 - Not Used | -
 | C2z | 5 - Vector component of C2 in Z (swirl) direction | M/L3t
15 | (Blank) | 1, 2 - Not Used | -
 | Dhz | 3 - Hydraulic diameter in Z (swirl) direction | L
 | (Blank) | 4 - Not Used | -
 | C3z | 5 - Vector component of C3 in Z (swirl) direction | M/L4
16 | (Blank) | 1, 2 - Not Used | -
 | az | 3 - Coefficient of Reynolds number in Z (swirl) direction | -
 | (Blank) | 4, 5 - Not Used | -
17 | (Blank) | 1, 2 - Not Used | -
 | bz | 3 - Exponent of Reynolds number in Z (swirl) direction | -
 | (Blank) | 4, 5 - Not Used | -
18 | BDTOL | Element birth/death tolerance | L
19 | MMFAC | Mesh morphing multiplier | -
20 | Ks | Local uniform wall roughness | L
21 | CKs | An empirical dimensionless factor between 0.5 and 1.0 that specifies the degree of nonuniformity of the surface. | -

FLUID141 Output Data

The solution output associated with the element takes the form of nodal quantities. Additional intermediate properties and derived quantities supplement the degrees of freedom. See the Basic Analysis Guide for ways to view results.

Table 141.2: "FLUID141 Element Output Definitions" describes quantities that are output on a nodal basis. Some quantities are not output if the relevant options are not activated. Once an option is used, the relevant DOF quantities are always stored. For example, if a temperature field has been obtained and upon restart the energy equation is no longer to be solved, the temperatures are stored anyway. You control the storage of derived properties such as effective viscosity by issuing the FLDATA5,OUTP command.

The Jobname.PFL file provides additional output. This file contains periodic tabulations of the maximum, minimum, and average values of the velocities, pressure, temperature, turbulence quantities, and properties. The file also records the convergence monitoring parameters calculated at every global iteration. The Jobname.PFL file also tabulates the mass flow at all the inlets and outlets and the heat transfer information at all the boundaries.

A wall results file (Jobname.RSW) contains information associated with the boundary faces of wall elements. Average pressure, temperature, shear stress, Y-plus values and wall heat fluxes are stored, along with vectors denoting the normal direction from the surface (Normal Vector) and the direction of the velocity immediately adjacent to the wall (Tangent Vector).

An optional residual file (Jobname.RDF) shows how well the current solution satisfies the implied matrix equations for each DOF.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The R column indicates the availability of the items in the results file.

A Y in the R column indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 141.2 FLUID141 Element Output Definitions

Name | Definition | R
UX | Displacement in the X direction (Cartesian coordinates); Displacement along axis of symmetry (Axisymmetric about X); Displacement in the radial direction (Axisymmetric about Y) | 10
UY | Displacement in the Y direction (Cartesian coordinates); Displacement along radial direction (Axisymmetric about X); Displacement along the axis of symmetry (Axisymmetric about Y) | 10
VX: | Velocity in the X direction (Cartesian coordinates); Velocity in the radial direction (Polar coordinates); Velocity along axis of symmetry (Axisymmetric about X); Velocity in the radial direction (Axisymmetric about Y) | Y
VY: | Velocity in the Y direction (Cartesian coordinates); Velocity in the tangential direction (Polar coordinates); Velocity in the radial direction (Axisymmetric about X); Velocity along the axis of symmetry (Axisymmetric about Y) | Y
VZ: | Velocity in the swirl direction (Axisymmetric problems) | 8
PRES: | Relative Pressure | Y
ENKE: | Turbulent kinetic energy | 2
ENDS: | Turbulence dissipation rate | 2
TEMP: | Temperature | 1
DENS: | Nodal fluid density | 8
VISC: | Nodal fluid viscosity | 8
COND: | Nodal fluid thermal conductivity | 8
SPHT: | Nodal fluid specific heat | 8
EVIS: | Effective viscosity (includes effects of turbulence) | 8
ECON: | Effective thermal conductivity (includes the effects of turbulence) | 2
CMUV: | Turbulent viscosity coefficient | 2
TTOT: | Stagnation (Total) Temperature (Only relevant to compressible analyses) | 7
HFLU: | Heat Flux at external surface nodes (per unit area) | 1
HFLM: | Heat Transfer (film) coefficient at external surface nodes | 1
RDFL: | Radiation Heat Flux | 1
STRM: | Stream Function (2-D) | Y
MACH: | Mach Number (must be requested if incompressible) | 6
PTOT: | Stagnation (Total) Pressure | Y
PCOE: | Pressure Coefficient | 3
YPLU: | Y+ a turbulent law of the wall parameter | 3
TAUW: | Shear Stress at the wall | 3
SP0N: | Mass fraction of species N, where N = 1 to 6 (FLOTRAN). If a species is given a user-defined name [MSSPEC], use that name instead of SP0N. | 4
LMDN: | Laminar mass diffusion coefficient for species N, where N = 1 to 6. (Not relevant unless species defined.) | 3
EMDN: | Effective mass diffusion coefficient for species N, where N = 1 to 6. (Not relevant unless species defined.) | 2

  1. Available if thermal is on.

  2. Available if turbulence is on.

  3. Must be requested.

  4. Available if species defined.

  5. Available if property is variable.

  6. Available if compressible.

  7. Available if compressible and thermal.

  8. Available if swirl is turned on.

  9. For solid material elements in FLOTRAN, when nodes are connected only to solid nodes, the column for the density (DENS) label within the Jobname.RFL results file, stores the product of the solid material's density and its specific heat.

  10. Available if KEYOPT(4) = 1.

FLUID141 Assumptions and Restrictions

  • The element must not have a negative or a zero area.

  • You must define the connectivity of an element with the nodes in counterclockwise order.

  • The element must lie in the X-Y plane.

  • When triangles are formed by duplicating the third node, the FLOTRAN element will ignore the duplicate node and treat nodes I, J, and K.

  • Only linear elements are supported.

  • You cannot use FLUID141 with any other ANSYS elements.

  • Not all ANSYS commands are relevant to the use of FLUID141. The Fluids Analysis Guide documents these command usage restrictions.

  • FLOTRAN CFD analyses are highly nonlinear.

  • In some cases, convergence is difficult to achieve and requires the use of stability and relaxation parameters.

  • Highly turbulent cases may benefit from preconditioning (the initialization of the flow field with a laminar analysis), particularly if a coarse finite element mesh is being used.

  • You must determine if use of the turbulence and/or compressible option is warranted. The turbulence option requires a fine mesh near the walls and a fine mesh is recommended near any regions where shock waves occur. If the larger gradients occur in regions with the coarsest mesh, rerun the problems with adjusted meshes.

  • Surface-to-surface radiation (RDSF) is not supported for compressible flow thermal analysis and R-θ and R-θ-Z coordinate systems.

  • The FLOTRAN element must be in counterclockwise order for a 2-D FSI analysis (for Figure 141.1: "FLUID141 Geometry", I, J, K, L order) and it must be in positive volume order for a 3-D FSI analysis (for Figure 142.1: "FLUID142 Geometry", I, J, K, L, M, N, O order). If the element order is not proper, you will need to recreate the mesh to reverse it.

The following assumptions have been made in the formulation:

  • The nodal coordinate system and the global coordinate system must remain the same.

  • The problem domain and the finite element mesh may not change during an analysis.

  • The fluid is a single phase fluid.

  • Non-fluid thermal conductivities can vary with temperature. Orthotropic variation of non-fluid thermal conductivity also is supported. For more information, see MP, MPDATA, and related commands in the Commands Reference.

  • Free surfaces are not permitted.

  • The equation of state of gases is the ideal gas law. This is the case regardless of whether the incompressible or compressible algorithm is invoked. The ideal gas law is not valid at Mach numbers above 5.

  • In the incompressible option, work done on the fluid by pressure forces, viscous dissipation, and kinetic energy terms are neglected in the energy equation. The incompressible energy equation is a thermal transport equation.

  • In the compressible adiabatic case, the stagnation (total) temperature is assumed constant and the static temperature is calculated from it by subtracting a kinetic energy term.

  • Load case operations are not permitted with the FLOTRAN elements.

FLUID141 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLUID139 		Up / Home Next
FLUID142


FLUID142

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

FLUID142

3-D Fluid-Thermal

MP <> <> <> <> <> <> FL <> <> <> PP <>

Product Restrictions

FLUID142 Element Description

You can use FLUID142 to model transient or steady state fluid/thermal systems that involve fluid and/or non-fluid regions. The conservation equations for viscous fluid flow and energy are solved in the fluid region, while only the energy equation is solved in the non-fluid region. Use this FLOTRAN CFD element to solve for flow and temperature distributions within a region, as opposed to elements that model a network of one-dimensional regions hooked together (such as FLUID116). You can also use FLUID142 in a fluid-solid interaction analysis. See FLUID142 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

For the FLOTRAN CFD elements, the velocities are obtained from the conservation of momentum principle, and the pressure is obtained from the conservation of mass principle. (The temperature, if required, is obtained from the law of conservation of energy.) A segregated sequential solver algorithm is used; that is, the matrix system derived from the finite element discretization of the governing equation for each degree of freedom is solved separately. The flow problem is nonlinear and the governing equations are coupled together. The sequential solution of all the governing equations, combined with the update of any temperature- or pressure-dependent properties, constitutes a global iteration. The number of global iterations required to achieve a converged solution may vary considerably, depending on the size and stability of the problem. Transport equations are solved for the mass fractions of up to six species.

You can solve the system of equations in a constant angular velocity rotating coordinate system. The degrees of freedom are velocities, pressure, and temperature. Two turbulence quantities, the turbulent kinetic energy and the turbulent kinetic energy dissipation rate, are calculated if you invoke an optional turbulence model.

Figure 142.1 FLUID142 Geometry

FLUID142 Input Data

Figure 142.1: "FLUID142 Geometry" shows the geometry, node locations, and the coordinate system for this element. The element is defined by eight nodes and the material properties. A tetrahedral-shaped element may be formed by defining the same node numbers for nodes M, N, O, and P; and nodes K and L. A wedge-shaped element and a pyramid-shaped element may also be formed as shown in Figure 142.1: "FLUID142 Geometry". The coordinate system, selected according to the value of KEYOPT(3), may be either Cartesian or cylindrical.

Node and Element Loads describes element loads. For a fluid-solid interaction analysis, you can apply a fluid-solid interaction flag using the SF family of commands (SF, SFA, SFE, or SFL) and the FSIN surface load label. You must also apply the same interface number to the solid interface where load transfer takes place. See Sequentially Coupled Physics Analysis in the Coupled-Field Analysis Guide for more information on the use of the fluid-solid interaction flag.

The Fluids Analysis Guide includes a discussion of which ANSYS commands are unavailable or inappropriate for FLUID142.

FLUID142 Fluid Elements

If the material number [MAT] of a FLUID142 element is 1, it is assumed to be a fluid element. You define its properties - density, viscosity, thermal conductivity and specific heat - with a series of FLDATA commands. Only one fluid can be analyzed, and it must be in a single phase. Thermal conductivity and specific heat are relevant (and necessary) only if the problem is thermal in nature. The properties can be a function of temperature through relationships specified by the FLDATA7,PROT command or through a property database (the file floprp.ans). In addition, the density may vary with pressure (per the ideal gas law) if the fluid is specified to be air or a gas.

Six turbulence models are available. You can activate turbulence modeling with the FLDATA1,SOLU,TURB,T command. The Standard k-ε Model and the Zero Equation Turbulence Model are available along with four extensions of the Standard k-ε Model. See the Theory Reference for ANSYS and ANSYS Workbench and the Fluids Analysis Guide for more information on the models.

KEYOPT(1) activates multiple species transport, which allows you to track the transport of up to six different fluids (species) in the main fluid. KEYOPT(4) allows you to use displacement DOFs to specify motion of boundaries when using the Arbitrary Lagrangian-Eulerian (ALE) formulation.

Real constants, shown in Table 142.1: "FLUID142 Real Constants", are required only if a distributed resistance ("FLUID142 Distributed Resistance"), a fan model ("FLUID142 Fan Model"), a wall roughness ("FLUID142 Wall Roughness"), or an ALE formulation is to be included.

FLUID142 Distributed Resistance

A distributed resistance is a convenient way to approximate the effect of porous media (such as a filter) or other such flow domain features without actually modeling the geometry of those features. It is an artificially imposed, unrecoverable loss associated with geometry not explicitly modeled. Any fluid element with a distributed resistance will have a real constant set number greater than 1.

The resistance to flow, modeled as a distributed resistance, may be due to one or a combination of these factors: a localized head loss (K), a friction factor (f), or a permeability (C). The total pressure gradient is the sum of these three terms, as shown below for the X direction.

where:
ρ = is the density (mass/length3)
μ = is the viscosity (mass/(length*time))
RE = is the local value of the Reynolds Number (calculated by the program): RE = (ρ V Dh) / μ
f = is a friction coefficient (calculated by the program): f = a RE-b
C = is the FLOTRAN permeability (1/length2). FLOTRAN permeability is the inverse of the intrinsic or physical permeability.

The ANSYS program also offers non-Newtonian viscosity models for this element. Currently, Power Law, Bingham, and Carreau models are available.

In addition, ANSYS provides a user-defined subroutine for computing viscosity. The Theory Reference for ANSYS and ANSYS Workbench and the Fluids Analysis Guide describes these models and how to use them. The Guide to ANSYS User Programmable Features describes how to use the user-defined subroutine, called UserVisLaw.

If large velocity gradients exist in the velocity field within a distributed resistance region, deactivate the turbulence model by setting the ENKE DOF to 0 and the ENDS DOF to 1 in this region.

FLUID142 Fan Model

The fan model provides a convenient way to approximate the effect of a fan or pump in the flow domain. It is an artificially imposed pressure source that provides momentum source terms associated with a fan or a pump not explicitly modeled.

The pressure rise associated with a fan model is given by the pressure gradient times the flow length through the elements with the fan model real constants. The pressure gradient can be treated as a quadratic function of velocity, as shown below for the X direction:

V is the fluid velocity and C1, C2, and C3 are the coefficients specified as real constants. For an arbitrary direction fan model (real constant TYPE = 5), the three coefficients are the components of the actual coefficients along a coordinate direction. See also the Fluids Analysis Guide.

FLUID142 Wall Roughness

The FLOTRAN default condition is smooth walls. For information on applying roughness values, see Flow Boundary Conditions in the Fluids Analysis Guide.

FLUID142 Non-Fluid Elements

If the material number [MAT] of the element is greater than 1, it is assumed to be a non-fluid element. Only the energy equation is solved in the non-fluid elements. You can define up to 100 different non-fluid materials. To specify density, specific heat, and thermal conductivity for the non-fluid elements, issue the MP command. Temperature variation of the non-fluid properties is permitted, and you specify it using MP or MPDATA. Orthotropic variation also is allowed, with the restriction that the spatial variation is always with respect to the global coordinate system. Note that element real constants have no meaning for non-fluid FLUID142 elements.

"FLUID142 Input Summary" summarizes the element input. Element Input gives a general description of element input.

FLUID142 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

VX, VY, VZ, PRES, TEMP, ENKE, ENDS

Real Constants

See Table 142.1: "FLUID142 Real Constants"

Material Properties
Non-fluid: KXX, KYY, KZZ, C, DENS
Fluid: Density, viscosity, thermal conductivity, specific heat (use FLDATA commands)
Surface Loads

HFLU, CONV, RAD, RDSF, FSIN

Body Loads

HGEN, FORC

Special Features
Nonlinear
Six turbulence models
Incompressible or compressible algorithm
Transient or steady state algorithm
Rotating or stationary coordinate system
Algebraic solvers particular to FLOTRAN
Optional distributed resistance and fan models
Multiple species transport
KEYOPT(1)

Number of species:

0 --

Species transport is not activated.

2 - 6 --

Number of species transport equations to be solved.

KEYOPT(3)

Element coordinate system:

0 --

Cartesian coordinates (default)

3 --

Cylindrical coordinates

KEYOPT(4)

Support mesh displacement DOFs:

0 --

Do not include displacement DOFs.

1 --

Include displacement DOFs (UX, UY, and UZ).

Table 142.1 FLUID142 Real Constants

No. | Name | Definition | Units
1 | TYPE | Type of distributed resistance or fan model: |
 |  | 1 = Distributed resistance: isotropic | -
 |  | 2 = Distributed resistance: one-directional | -
 |  | 3 = Distributed resistance: direction-dependent | -
 |  | 4 = Fan model: aligned with a coordinate axis | -
 |  | 5 = Fan model: arbitrary direction | -
2 | (Blank) | 1, 2, 3 - Not used | -
 | DIR | 4 - Fan orientation: 1 = X, 2 = Y, 3 = Z | -
 | (Blank) | 5 - Not Used | -
3 | K | 1, 2 - Dimensionless head loss / length | 1/L
 | Kx | 3 - Head loss in X direction | 1/L
 | C1 | 4 - Constant term | M/L2t2
 | C1x | 5 - Vector component of C1 in X direction | M/L2t2
4 | C | 1, 2 - Permeability | 1/L2
 | Cx | 3 - Permeability in X direction | 1/L2
 | C2 | 4 - Linear coefficient | M/L3t
 | C2x | 5 - Vector component of C2 in X direction | M/L3t
5 | Dh | 1, 2 - Hydraulic diameter | L
 | Dhx | 3 - Hydraulic diameter in X direction | L
 | C3 | 4 - Quadratic coefficient | M/L4
 | C3x | 5 - Vector component of C3 in X direction | M/L4
6 | a | 1, 2 - Coefficient of Reynolds number, used in friction factor calculations | -
 | ax | 3 - Coefficient a in X direction | -
 | (Blank) | 4, 5 - Not Used | -
7 | b | 1, 2 - Exponent of Reynolds number, used in friction factor calculations | -
 | bx | 3 - Exponent b in X direction | -
 | (Blank) | 4, 5 - Not Used | -
8 | (Blank) | 1 - Not Used | -
 | FLDIR | 2 - Flow direction: 1 = X, 2 = Y, 3 = Z | -
 | Ky | 3 - Head loss in Y direction | 1/L
 | (Blank) | 4 - Not Used | -
 | C1y | 5 - Vector component of C1 in Y direction | M/L2t2
9 | (Blank) | 1, 2 - Not Used | -
 | Cy | 3 - Permeability in Y direction | 1/L2
 | (Blank) | 4 - Not Used | -
 | C2y | 5 - Vector component of C2 in Y direction | M/L3t
10 | (Blank) | 1, 2 - Not Used | -
 | Dhy | 3 - Hydraulic diameter in Y direction | L
 | (Blank) | 4 - Not Used | -
 | C3y | 5 - Vector component of C3 in Y direction | M/L4
11 | (Blank) | 1, 2 - Not Used | -
 | ay | 3 - Coefficient of Reynolds number in Y direction | -
 | (Blank) | 4, 5 - Not Used | -
12 | (Blank) | 1, 2 - Not Used | -
 | by | 3 - Exponent of Reynolds number in Y direction | -
 | (Blank) | 4, 5 - Not Used | -
13 | (Blank) | 1, 2 - Not Used | -
 | Kz | 3 - Head loss in Z (swirl) direction | 1/L
 | (Blank) | 4 - Not Used | -
 | C1z | 5 - Vector component of C1 in Z (swirl) direction | M/L2t2
14 | (Blank) | 1, 2 - Not Used | -
 | Cz | 3 - Permeability in Z (swirl) direction | 1/L2
 | (Blank) | 4 - Not Used | -
 | C2z | 5 - Vector component of C2 in Z (swirl) direction | M/L3t
15 | (Blank) | 1, 2 - Not Used | -
 | Dhz | 3 - Hydraulic diameter in Z (swirl) direction | L
 | (Blank) | 4 - Not Used | -
 | C3z | 5 - Vector component of C3 in Z (swirl) direction | M/L4
16 | (Blank) | 1, 2 - Not Used | -
 | az | 3 - Coefficient of Reynolds number in Z (swirl) direction | -
 | (Blank) | 4, 5 - Not Used | -
17 | (Blank) | 1, 2 - Not Used | -
 | bz | 3 - Exponent of Reynolds number in Z (swirl) direction | -
 | (Blank) | 4, 5 - Not Used | -
18 | BDTOL | Element birth/death tolerance | L
19 | MMFAC | Mesh morphing multiplier | -
20 | Ks | Local uniform wall roughness | L
21 | CKs | An empirical dimensionless factor between 0.5 and 1.0 that specifies the degree of nonuniformity of the surface. | -

FLUID142 Output Data

The solution output associated with the element takes the form of nodal quantities. Additional intermediate properties and derived quantities supplement the degrees of freedom. See the Basic Analysis Guide for ways to view results.

Table 142.1: "FLUID142 Real Constants" describes quantities that are output on a nodal basis. Some quantities are not output if the relevant options are not activated. Once an option is used, the relevant DOF quantities are always stored. For example, if a temperature field has been obtained and upon restart the energy equation is no longer to be solved, the temperatures are stored anyway. You control the storage of derived properties such as effective viscosity by issuing the FLDATA5,OUTP command.

The Jobname.PFL file provides additional output. This file contains periodic tabulations of the maximum, minimum, and average values of the velocities, pressure, temperature, turbulence quantities, and properties. The file also records the convergence monitoring parameters calculated at every global iteration. The Jobname.PFL file also tabulates the mass flow at all the inlets and outlets and the heat transfer information at all the boundaries.

A wall results file (Jobname.RSW) contains information associated with the boundary faces of wall elements. Average pressure, temperature, shear stress, Y-plus values and wall heat fluxes are stored, along with vectors denoting the normal direction from the surface (Normal Vector) and the direction of the velocity immediately adjacent to the wall (Tangent Vector).

An optional residual file (Jobname.RDF) shows how well the current solution satisfies the implied matrix equations for each DOF.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The R column indicates the availability of the items in the results file.

A Y in the R column indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 142.2 FLUID142 Element Output Definitions

Name | Definition | R
UX | Displacement in the X direction (Cartesian coordinates) | 9
UY | Displacement in the Y direction (Cartesian coordinates) | 9
UZ | Displacement in the Z direction (Cartesian coordinates) | 9
VX: | Velocity in the X direction (Cartesian coordinates); Velocity in the radial direction (Cylindrical coordinates) | Y
VY: | Velocity in the Y direction (Cartesian coordinates); Velocity in the tangential direction (Cylindrical coordinates) | Y
VZ: | Velocity in the Z direction (Cartesian coordinates); Velocity in the axial direction (Cylindrical coordinates) | Y
PRES: | Relative Pressure | Y
ENKE: | Turbulent kinetic energy | 2
ENDS: | Turbulence dissipation rate | 2
TEMP: | Temperature | 1
DENS: | Nodal fluid density | 8
VISC: | Nodal fluid viscosity | 8
COND: | Nodal fluid thermal conductivity | 8
SPHT: | Nodal fluid specific heat | 8
EVIS: | Effective viscosity (includes effects of turbulence) | 8
ECON: | Effective thermal conductivity (includes the effects of turbulence) | 2
CMUV: | Turbulent viscosity coefficient | 2
TTOT: | Stagnation (Total) Temperature (Only relevant to compressible analyses) | 7
HFLU: | Heat Flux at external surfaces nodes (per unit area) | 1
HFLM: | Heat Transfer (film) coefficient at external surface nodes | 1
MACH: | Mach Number (must be requested if incompressible) | 6
PTOT: | Stagnation (Total) Pressure | Y
PCOE: | Pressure Coefficient | 3
YPLU: | Y+ a turbulent law of the wall parameter | 3
TAUW: | Shear Stress at the wall | 3
SP0N: | Mass fraction of species N, where N = 1 to 6 (FLOTRAN). If a species is given a user-defined name [MSSPEC], use that name instead of SP0N. | 4
LMDN: | Laminar mass diffusion coefficient for species N, where N = 1 to 6. (Only relevant if species defined.) | 3
EMDN: | Effective mass diffusion coefficient for species N, where N = 1 to 6. (Only relevant if species defined.) | 2

  1. Available if thermal is on.

  2. Available if turbulence is on.

  3. Must be requested.

  4. Available if species defined.

  5. Available if compressible.

  6. Available if compressible and thermal.

  7. For solid material elements in FLOTRAN, when nodes are connected only to solid nodes, the column for density (DENS) in the Jobname.RFL results file actually stores the product of the solid material's density and its specific heat.

  8. Available if property is variable.

  9. Available if KEYOPT(4) = 1.

FLUID142 Assumptions and Restrictions

  • The element must not have a negative or a zero volume.

  • You must define the connectivity of an element such that the normal defined by the right hand rule associated with the first four nodes (hexahedral elements) or three nodes (tetrahedral elements) must point into the element.

  • When a tetrahedron is formed by specifying duplicate nodes, the FLOTRAN element will ignore the duplicate nodes and base the geometry on nodes I, J, K, and M.

  • Only linear elements are supported.

  • You cannot use FLUID142 with any other ANSYS elements.

  • Not all ANSYS commands are relevant to the use of FLUID142. See the Fluids Analysis Guide for a description of the command restrictions.

  • FLOTRAN CFD analyses are highly nonlinear.

  • In some cases, convergence is difficult to achieve and requires the use of stability and relaxation parameters.

  • Highly turbulent cases may benefit from preconditioning (the initialization of the flow field with a laminar analysis), particularly if a coarse finite element mesh is being used.

  • You must determine if use of the turbulence and/or compressible option is warranted. The turbulence option requires a fine mesh near the walls and a fine mesh is recommended near any regions where shock waves occur. If the larger gradients occur in regions with the coarsest mesh, rerun the problems with adjusted meshes.

  • For a flow analysis, especially turbulent, you should not use pyramid elements near the walls because it may lead to inaccuracies in the solution.

  • Surface-to-surface radiation (RDSF) is not supported for compressible flow thermal analysis and R-θ and R-θ-Z coordinate systems.

  • The FLOTRAN element must be in counterclockwise order for a 2-D FSI analysis (for Figure 141.1: "FLUID141 Geometry", I, J, K, L order) and it must be in positive volume order for a 3-D FSI analysis (for Figure 142.1: "FLUID142 Geometry", I, J, K, L, M, N, O order). If the element order is not proper, you will need to recreate the mesh to reverse it.

The following assumptions have been made in the formulation:

  • The nodal coordinate system and the global coordinate system must remain the same.

  • The problem domain and the finite element mesh may not change during an analysis.

  • The fluid is a single phase fluid.

  • Non-fluid thermal conductivities can vary with temperature. Orthotropic variation of non-fluid thermal conductivity also is supported. For more information, see the descriptions of MP, MPDATA, and related commands.

  • Free surfaces are not permitted.

  • The equation of state of gases is the ideal gas law. This is the case regardless of whether the incompressible or compressible algorithm is invoked. The ideal gas law is not valid at Mach numbers above 5.

  • In the incompressible option, work done on the fluid by pressure forces, viscous dissipation, and kinetic energy terms are neglected in the energy equation. The incompressible energy equation is a thermal transport equation.

  • In the compressible adiabatic case, the stagnation (total) temperature is assumed constant and the static temperature is calculated from it by subtracting a kinetic energy term.

  • Load case operations are not permitted with the FLOTRAN elements.

FLUID142 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLUID141 		Up / Home Next
ROM144


ROM144

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

ROM144

Reduced Order Electrostatic-Structural

MP <> <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

ROM144 Element Description

ROM144 represents a 2-D or 3-D reduced order model of a coupled electrostatic-structural system. The element fully couples the electromechanical domains and represents a reduced order model suitable for use in finite element analysis as well as electromechanical circuit simulations. The element has ten modal degrees of freedom relating modal forces and modal displacements (EMF), ten voltage degrees of freedom relating electrical current and potential (VOLT) and, optionally, 10 master nodes relating nodal forces to nodal displacements (UX). Only nine of the 10 modal degrees of freedom and five of the 10 voltage degrees of freedom are actually used. The element is suitable for simulating the electromechanical response of micro-electromechanical devices (MEMS) such as clamped beams, micromirror actuators, and RF switches.

The element is derived from a series of uncoupled structural and electrostatic domain simulations using the electrostatic elements (such as PLANE121, SOLID122, SOLID123, and INFIN111) and structural elements (such as PLANE42, SOLID45, PLANE82, SOLID95, SHELL63, SHELL93) which are compatible with electrostatic elements. The ROM144 element represents a complicated flexible structure whose nodes move mainly in one direction either X, Y or Z referred to the global Cartesian axes. For instance, torsional systems with angles less than ten degree or flexible bending of cantilevers or membranes obey those restrictions (pressure sensors, cantilever for AF microscopy, RF filter). Geometrical nonlinearities caused by stress stiffening or initial prestress are considered as well as multiple conductor systems. See ROM144 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 144.1 ROM144 Schematic

ROM144 Input Data

The element is defined by 20 (KEYOPT(1) = 0) or 30 nodes (KEYOPT(1) = 1). A reduced order model file filename.rom and the appropriate polynomial coefficients for the strain energy and capacitance functions stored in jobname_ijk.pcs must be available in the working directory. Furthermore, the model database filename.db and the reduced solution file (.rdsp) generated by the Use Pass are required to perform an Expansion Pass.

Real constant number 1 (R1) is the element identification number (ID). It is automatically created by the circuit builder (see Using the Circuit Builder in the Low-Frequency Electromagnetic Analysis Guide), and is not required input for analysis purposes. The element supports nodal forces F and displacements D applied at ROM master nodes (21 to 30). The UX degree of freedom must be chosen independent from the physical direction of the original master node. Electrode current and voltage can be applied only to the first five active voltage nodes (11–15). Modal displacements may be set by the EMF degree of freedom using the D command. Element loads defined in the Generation Pass may be scaled and superimposed by the RMLVSCALE command. ROM144 can be attached to other finite elements such as COMBIN14 and COMBIN40 at the master DOF. The "reaction force" for the modal displacement degree of freedom (EMF) is a modal force, labeled CURT, and should be used when defining the solution convergence criteria (CNVTOL command). The "reaction force" for the electric potential degree of freedom (VOLT) is current, labeled AMPS. The element is compatible with the electric circuit elements CIRCU124 and CIRCU125 and the electromechanical transducer element TRANS126.

Modal damping ratios may be altered by the RMMRANGE command. Save the ROM database before using the changed data in the Use Pass.

A summary of the element input is given in "ROM144 Input Summary".

ROM144 Input Summary

Nodes

20 nodes if KEYOPT(1) = 0:

I, J, K, L, M, N, O, P, Q, Blank, S, T, U, V, W, Blank, Blank, Blank, Blank, Blank

30 nodes if KEYOPT(1) = 1:

I, J, K, L, M, N, O, P, Q, Blank, S, T, U, V, W, Blank, Blank, Blank, Blank, Blank, C, D, E, F, G, H, II, JJ, KK, LL
Degrees of Freedom

EMF, VOLT, UX

Real Constants

R1 - Element identification number

Material Properties

None

Surface Loads

via RMLVSCALE command

Body Loads

via RMLVSCALE command

Special Features
Nonlinear
Prestress
KEYOPT(1)

Select DOF set:

0 --

No ROM master nodes will be used (default).

1 --

ROM master nodes are used.

KEYOPT(2)

Select matrix option:

0 --

Unsymmetric matrix option (default).

1 --

Symmetric matrix option (must be activated in case of ANTYPE = MODAL).

ROM144 Output Data

The solution output associated with the element is in two forms:

  • Nodal degrees of freedom included in the overall nodal solution.

  • Additional element output as shown in the following table.

Table 144.1 ROM144 Element Output Definitions

Name | Definition
SENG | Strain energy
CAP1 | First capacitance defined by RMCAP
CAP2 | Second capacitance defined by RMCAP
CAP3 | Third capacitance defined by RMCAP
CAP4 | Forth capacitance defined by RMCAP
CAP5 | Fifth capacitance defined by RMCAP
CAP6 | Sixth capacitance defined by RMCAP
CAP7 | Seventh capacitance defined by RMCAP
CAP8 | Eighth capacitance defined by RMCAP
CAP9 | Ninth capacitance defined by RMCAP
CAP10 | Tenth capacitance defined by RMCAP

Table 144.2: "ROM Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in the Elements Reference for more information. The following notation is used in Table 144.2: "ROM Item and Sequence Numbers":

Name

output quantity as defined in the Table 144.1: "ROM144 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 144.2 ROM Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
SENG | NMISC | 1
CAP1 | NMISC | 2
CAP2 | NMISC | 3
CAP3 | NMISC | 4
CAP4 | NMISC | 5
CAP5 | NMISC | 6
CAP6 | NMISC | 7
CAP7 | NMISC | 8
CAP8 | NMISC | 9
CAP9 | NMISC | 10
CAP10 | NMISC | 11

ROM144 Assumptions and Restrictions

  • Modal forces may not be applied to the ROM element.

  • Harmonic and modal analyses are valid only for small-signal analyses after a static prestress calculation.

  • Using different ROM elements (i.e., based on different ROM database and polynomial coefficient files) in the same Use Pass is not supported.

ROM144 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FLUID142 		Up / Home Next
PLANE145


PLANE145

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

PLANE145

2-D Quadrilateral Structural Solid p-Element

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

PLANE145 Element Description

PLANE145 is a quadrilateral p-element that supports a polynomial with a maximum order of eight.

The element is defined by eight nodes having two degrees of freedom at each node: translations in the nodal x and y directions. The element may be used as a plane element (plane stress or plane strain) or as an axisymmetric element. See PLANE145 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 145.1 PLANE145 Geometry

PLANE145 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 145.1: "PLANE145 Geometry". Midside nodes may not be removed. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes.

A triangular-shaped element may be formed by defining the same node number for nodes K, L and O. PLANE146 is a similar but 6-node triangular element. In addition to the nodes, the element input data includes a thickness for the plane stress option only (KEYOPT(3) = 3), and the orthotropic material properties. Orthotropic material directions correspond to the global coordinate directions.

Element loads are described in Node and Element Loads of the Elements Reference. Pressures may be input as surface loads on the element faces as shown by the circled numbers in Figure 145.1: "PLANE145 Geometry". Positive pressures act into the element. Temperatures may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). If all corner node temperatures are specified, each midside node temperature defaults to the average temperature of its adjacent corner nodes. For any other input temperature pattern, unspecified nodal temperatures default to TUNIF.

The nodal forces, if any, should be input per unit depth for a plane analysis (except for KEYOPT(3) = 3) and on a full 360° basis for an axisymmetric analysis.

A summary of the element input is given in "PLANE145 Input Summary". For axisymmetric applications see Axisymmetric Elements.

PLANE145 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

UX, UY

Real Constants
None, if KEYOPT (3) = 0, 1, 2
TK - Thickness, if KEYOPT (3) = 3
Material Properties
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ),
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ), DENS, GXY
Surface Loads
Pressures --

face 1 (J-I), face 2 (K-J), face 3 (I-K), face 4 (I-L)

Body Loads
Temperatures --

T(I), T(J), T(K), T(L), T (M), T(N), T(O), T(P)

Special Features

None

KEYOPT(1)

Starting p-level:

0 --

Use global starting p-level [PPRANGE] (default)

N --

Starting p-level (2 [image] N [image] 8)

KEYOPT(2)

Maximum possible p-level:

0 --

Use global maximum p-level [PPRANGE] (default)

N --

Maximum possible p-level (2 [image] N [image] 8)

KEYOPT(3)

Element behavior:

0 --

Plane stress

1 --

Axisymmetric

2 --

Plane strain (Z strain = 0.0)

3 --

Plane stress with thickness input (real constant TK)

PLANE145 Output Data

No solution output is produced for this element. The results output associated with the element is in two forms:

  • Displacements included in the overall nodal solution

  • Additional element output as shown in Table 145.1: "PLANE145 Element Output Definitions"

Several items are illustrated in Figure 145.2: "PLANE145 Stress Output". Displacements at the midside nodes are approximate for curved edges.

Figure 145.2 PLANE145 Stress Output

See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 145.1 PLANE145 Element Output Definitions

Name | Definition | O | R
EL | Element Number | - | Y
MAT | Material number | - | Y
VOLU: | Volume | - | Y
XC, YC | Location where results are reported | Y | 1
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | - | Y
S:X, Y, Z, XY | Stresses (SZ = 0.0 for plane stress elements) | - | Y
S:1, 2, 3 | Principal stresses | - | -
S:INT | Stress intensity | - | -
S:EQV | Equivalent stress | - | Y
EPEL:X, Y, Z, XY | Elastic strains | - | Y
EPEL:1, 2, 3 | Principal elastic strains | - | -
EPEL:EQV | Equivalent elastic strains [2] | - | Y
P-LEVEL | p-level used | - | Y

  1. Available only at centroid as a *GET item.

  2. The equivalent strain uses an effective Poisson's ratio; for elastic, this value is set by the user (MP,PRXY).

Note

For axisymmetric solutions, the X, Y, XY, and Z stress and strain outputs correspond to the radial, axial, in-plane shear, and hoop stresses and strains.

Table 145.2: "PLANE145 Item and Component Labels" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 145.2: "PLANE145 Item and Component Labels":

Name

output quantity as defined in the Table 145.1: "PLANE145 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 145.2 PLANE145 Item and Component Labels

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
p-LEVEL | NMISC | 1

PLANE145 Assumptions and Restrictions

  • The area of the element must be positive.

  • The element must lie in a global X-Y plane as shown in Figure 145.1: "PLANE145 Geometry", and the Y-axis must be the axis of symmetry for axisymmetric analyses.

  • An axisymmetric structure should be modeled in the positive X quadrants.

  • Nodal forces should only be applied to corner nodes.

  • Imposed displacements may only vary linearly along an edge. Any nonlinear variation is ignored.

  • This element does not support inertia relief.

PLANE145 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ROM144 		Up / Home Next
PLANE146


PLANE146

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

PLANE146

2-D Triangular Structural Solid p-Element

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

PLANE146 Element Description

PLANE146 is a triangular p-element that supports a polynomial with a maximum order of eight.

The element is defined by six nodes having two degrees of freedom at each node: translations in the nodal x and y directions. The element may be used as a plane element (plane stress or plane strain) or as an axisymmetric element. See PLANE146 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 146.1 PLANE146 Geometry

PLANE146 Input Data

The geometry and node locations for this element are shown in Figure 146.1: "PLANE146 Geometry". Midside nodes may not be removed. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes.

In addition to the nodes, the element input data includes a thickness (only if KEYOPT(3) = 3) and the orthotropic material properties. Orthotropic material directions correspond to the global coordinate directions.

Element loads are described in Node and Element Loads of the Elements Reference. Pressures may be input as surface loads on the element faces, shown by the circled numbers in Figure 146.1: "PLANE146 Geometry". Positive pressures act into the element. Temperatures may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). If all corner node temperatures are specified, each midside node temperature defaults to the average temperature of its adjacent corner nodes. For any other input temperature pattern, unspecified temperatures default to TUNIF.

The nodal forces, if any, should be input per unit depth for a plane analysis (except for KEYOPT(3) = 3) and on a full 360° basis for an axisymmetric analysis.

A summary of the element input is given in "PLANE146 Input Summary". For axisymmetric applications see Axisymmetric Elements.

PLANE146 Input Summary

Nodes

I, J, K, L, M, N

Degrees of Freedom

UX, UY

Real Constants
None, if KEYOPT (3) = 0, 1, 2
TK - Thickness, if KEYOPT (3) = 3
Material Properties
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ),
ALPX, ALPY, ALPZ, (or CTEX, CTEY, CTEZ or THSX, THSY,THSZ), DENS, GXY
Surface Loads
Pressures --

face 1 (J-I), face 2 (K-J), face 3 (I-K)

Body Loads
Temperatures --

T(I), T(J), T(K), T(L), T(M), T(N)

Special Features

None

KEYOPT(1)

Starting p-level:

0 --

Use global starting p-level [PPRANGE] (default)

N --

Starting p-level (2 [image] N [image] 8)

KEYOPT(2)

Maximum possible p-level:

0 --

Use global maximum p-level [PPRANGE] (default) Defaults to 8.

N --

Maximum possible p-level (2 [image] N [image] 8)

KEYOPT(3)

Element behavior:

0 --

Plane stress

1 --

Axisymmetric

2 --

Plane strain (Z strain = 0.0)

3 --

Plane stress with thickness input (real constant TK)

PLANE146 Output Data

No solution output is produced for this element. The results output associated with the element is in two forms:

  • Displacements included in the overall nodal solution

  • Additional element output as shown in Table 146.1: "PLANE146 Element Output Definitions"

Several items are illustrated in Figure 146.2: "PLANE146 Stress Output". Displacements at the midside nodes are approximate for curved edges.

Figure 146.2 PLANE146 Stress Output

See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 146.1 PLANE146 Element Output Definitions

Name | Definition | O | R
EL | Element Number | - | Y
VOLU: | Volume | - | Y
XC, YC | Location where results are reported | Y | 1
NODES | Nodes - I, J, K, L, M, N | - | Y
MAT | Material number | - | Y
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(N) | - | Y
S:X, Y, Z, XY | Stresses (SZ = 0.0 for plane stress elements) | - | Y
S:1, 2, 3 | Principal stresses | - | Y
S:INT | Stress intensity | - | Y
S:EQV | Equivalent stress | - | Y
EPEL:X, Y, Z, XY | Elastic strains | - | Y
EPEL:1, 2, 3 | Principal elastic strains | - | Y
EPEL:EQV | Equivalent elastic strain [2] | - | Y
P-LEVEL | p-level used | - | Y

  1. Available only at centroid as a *GET item.

  2. The equivalent strain uses an effective Poisson's ratio; for elastic, this value is set by the user (MP,PRXY).

Table 146.2: "PLANE146 Item and Component Labels" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 146.2: "PLANE146 Item and Component Labels":

Name

output quantity as defined in the Table 146.1: "PLANE146 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 146.2 PLANE146 Item and Component Labels

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
p-LEVEL | NMISC | 1

PLANE146 Assumptions and Restrictions

  • The area of the element must be positive.

  • The element must lie in a global X-Y plane as shown in Figure 146.1: "PLANE146 Geometry", and the Y-axis must be the axis of symmetry for axisymmetric analyses.

  • An axisymmetric structure should be modeled in the positive X quadrants.

  • Nodal forces should only be applied to corner nodes.

  • Imposed displacements may only vary linearly along an edge. Any nonlinear variation is ignored.

  • This element does not support inertia relief.

PLANE146 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLANE145 		Up / Home Next
SOLID147


SOLID147

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID147

3-D Brick Structural Solid p-Element

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

SOLID147 Element Description

SOLID147 is a brick p-element that supports a polynomial with a maximum order of eight.

The element is defined by 20 nodes having three degrees of freedom per node: translations in the nodal x, y, and z directions. The element may have any spatial orientation. SOLID148 is a tetrahedron-shaped p-element. See SOLID147 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 147.1 SOLID147 Geometry

SOLID147 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 147.1: "SOLID147 Geometry". Midside nodes may not be removed. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes. A prism-shaped element can be formed by defining the same node numbers for nodes K, L, and S; nodes A and B; and nodes O, P, and W.

In the addition to the nodes, the element input data includes the orthotropic material properties. Orthotropic material directions correspond to the global coordinate directions.

Element loads are described in Node and Element Loads of the Elements Reference. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 147.1: "SOLID147 Geometry". Positive pressures act into the element. Temperatures may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). If all corner node temperatures are specified, each midside node temperature defaults to the average temperature of its adjacent corner nodes. For any other input temperature pattern, unspecified temperatures default to TUNIF.

A summary of the element input is given in "SOLID147 Input Summary".

SOLID147 Input Summary

Nodes

I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z, A, B

Degrees of Freedom

UX, UY, UZ

Real Constants

None

Material Properties
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ),
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ), DENS, GXY, GYZ, GXZ
Surface Loads
Pressures --
face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N),
face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)
Body Loads
Temperatures --

T(I), T(J), . . . , T(Z), T(A), T(B)

Special Features

None

KEYOPT(1)

Starting p-level:

0 --

Use global starting p-level [PPRANGE] (default)

N --

Starting p-level (2 [image] N [image] 8)

KEYOPT(2)

Maximum possible p-level:

0 --

Use global maximum p-level [PPRANGE] (default)

N --

Maximum possible p-level (2 [image] N [image] 8)

SOLID147 Output Data

No solution output is produced for this element. The results output associated with the element is in two forms:

  • Displacements included in the overall nodal solution

  • Additional element output as shown in Table 147.1: "SOLID147 Element Output Definitions"

Several items are illustrated in Figure 147.2: "SOLID147 Stress Output". Displacements at the midside nodes are approximate for curved edges.

Figure 147.2 SOLID147 Stress Output

See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 147.1 SOLID147 Element Output Definitions

Name | Definition | O | R
EL | Element Number | - | Y
NODES | Nodes - I, J, . . . Z, A, B | - | Y
MAT | Material number | - | Y
VOLU: | Volume | - | Y
XC, YC, ZC | Location where results are reported | Y | 1
TEMP | Temperatures T(I), T(J), ... , T(Z), T(A), T(B) | - | Y
S:X, Y, Z, XY, YZ, XZ | Stresses | - | Y
S:1, 2, 3 | Principal stresses | - | Y
S:INT | Stress intensity | - | Y
S:EQV | Equivalent stress | - | Y
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | - | Y
EPEL:1, 2, 3 | Principal elastic strains | Y | -
EPEL:EQV | Equivalent elastic strains [2] | - | Y
P-LEVEL | p-level used | - | Y

  1. Available only at centroid as a *GET item.

  2. The equivalent strain uses an effective Poisson's ratio: for elastic this value is set by the user (MP,PRXY).

Table 147.2: "SOLID147 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 147.2: "SOLID147 Item and Sequence Numbers":

Name

output quantity as defined in the Table 147.1: "SOLID147 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 147.2 SOLID147 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
p-LEVEL | NMISC | 1

SOLID147 Assumptions and Restrictions

  • The element must not have a zero volume.

  • The element may not be twisted such that the element has two separate volumes. This occurs most frequently when the element is not numbered properly. Elements may be numbered either as shown in Figure 147.1: "SOLID147 Geometry" or may have the planes IJKL and MNOP interchanged.

  • Nodal forces should only be applied to corner nodes.

  • Imposed displacements may only vary linearly along an edge or face. Any nonlinear variation is ignored.

  • This element does not support inertia relief.

SOLID147 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLANE146 		Up / Home Next
SOLID148


SOLID148

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID148

3-D Tetrahedral Structural Solid p-Element

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

SOLID148 Element Description

SOLID148 is a tetrahedron-shaped p-element that supports a polynomial with a maximum order of eight.

The element is defined by ten nodes having three degrees of freedom at each node: translations in the nodal x, y, and z directions.

SOLID147 is a brick-shaped p-element. See SOLID148 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 148.1 SOLID148 Geometry

SOLID148 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 148.1: "SOLID148 Geometry". Midside nodes cannot be removed. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes. Elements may be numbered either as shown in Figure 148.1: "SOLID148 Geometry" or may have node L below the IJK plane. In addition to the nodes, the element input data includes the orthotropic material properties. Orthotropic material directions correspond to the global coordinate directions.

Element loads are described in Node and Element Loads in the Elements Reference. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 148.1: "SOLID148 Geometry". Positive pressures act into the element. Temperatures may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). If all corner node temperatures are specified, each midside node temperature defaults to the average temperature of its adjacent corner nodes. For any other input temperature pattern, unspecified temperatures default to TUNIF.

A summary of the element input is given in "SOLID148 Input Summary".

SOLID148 Input Summary

Nodes

I, J, K, L, M, N, O, P, Q, R

Degrees of Freedom

UX, UY, UZ

Real Constants

None

Material Properties
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ),
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ),
DENS, GXY, GYZ, GXZ
Surface Loads
Pressures --

face 1 (J-I-K), face 2 (I-J-L), face 3 (J-K-L), face 4 (K-I-L)

Body Loads
Temperatures --

T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P), T(Q), T(R)

Special Features

None

KEYOPT(1)

Starting p-level:

0 --

Use global starting p-level [PPRANGE] (default)

N --

Starting p-level (2 [image] N [image] 8)

KEYOPT(2)

Maximum possible p-level:

0 --

Use global maximum p-level [PPRANGE] (default)

N --

Maximum possible p-level (2 [image] N [image] 8)

SOLID148 Output Data

No solution output is produced for this element. The results output associated with the element is in two forms:

  • Displacements included in the overall nodal solution

  • Additional element output as shown in Table 148.1: "SOLID148 Element Output Definitions"

Several items are illustrated in Figure 148.2: "SOLID148 Stress Output". Displacements at the midside nodes are approximate for curved edges.

Figure 148.2 SOLID148 Stress Output

See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 148.1 SOLID148 Element Output Definitions

Name | Definition | O | R
EL | Element Number | - | Y
VOLU: | Volume | - | Y
XC, YC, ZC | Location where results are reported | Y | 1
NODES | Nodes - I, J, ... , R | - | Y
MAT | Material number | - | Y
TEMP | Temperatures T(I), T(J), ... , T(R) | - | Y
S:X, Y, Z, XY, YZ, XZ | Stresses | - | Y
S:1, 2, 3 | Principal stresses | - | Y
S:INT | Stress intensity | - | Y
S:EQV | Equivalent stress | - | Y
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | Y | Y
EPEL:1, 2, 3 | Principal elastic strains | Y | Y
EPEL:EQV | Equivalent elastic strains [2] | Y | Y
P-LEVEL | p-level used | - | Y

  1. Available only at centroid as a *GET item.

  2. The equivalent strain uses an effective Poisson's ratio: for elastic this value is set by the user (MP,PRXY).

Additional data are available for this element by using the ETABLE command. Table 148.2: "SOLID148 Item and Sequence Numbers" lists the data items needed for the ETABLE command.

Table 148.2: "SOLID148 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 148.2: "SOLID148 Item and Sequence Numbers":

Name

output quantity as defined in the Table 148.1: "SOLID148 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 148.2 SOLID148 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
p-LEVEL | NMISC | 1

SOLID148 Assumptions and Restrictions

  • The element must not have a zero volume.

  • Nodal forces should only be applied to corner nodes.

  • Imposed displacements may only vary linearly along an edge or face. Any nonlinear variation is ignored.

  • This element does not support inertia relief.

SOLID148 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID147 		Up / Home Next
SHELL150


SHELL150

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SHELL150

8-Node Structural Shell p-Element

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

SHELL150 Element Description

SHELL150 is a structural shell p-element that supports a polynomial with a maximum order of eight. This element is particularly well suited to model curved shells. It has six degrees of freedom at each node: translations in the nodal x, y, and z directions and rotations about the nodal x, y, and z-axes. See SHELL150 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 150.1 SHELL150 Geometry

xIJ = Element x-axis if ESYS is not supplied.
x = Element x-axis if ESYS is supplied.

SHELL150 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 150.1: "SHELL150 Geometry". The element is defined by eight nodes and four thicknesses. Midside nodes may not be removed from this element. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes. A triangular-shaped element may be formed by defining the same node number for nodes K, L and O.

The element has orthotropic material properties. Orthotropic material directions correspond to the element coordinate directions.

The element may have variable thickness. The thickness is assumed to vary smoothly over the area of the element, with the thickness input at the corner nodes. The thickness at the midside nodes is taken as the average of the corresponding corner nodes. If the element has a constant thickness, only TK(I) need be input. If the thickness is not constant, all four thicknesses must be input. The total thickness of each shell element must be less than twice the radius of curvature, and should be less than one-fifth the radius of curvature. ADMSUA is the added mass per unit area.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 150.1: "SHELL150 Geometry". Positive pressures act into the element. Edge pressures are input as force per unit length. Temperatures may be input as element body loads at the "corner" locations (1-8) shown in Figure 150.1: "SHELL150 Geometry". The first corner temperature T1 defaults to TUNIF. If all other temperatures are unspecified, they default to T1. If only T1 and T2 are input, T1 is used for T1, T2, T3, and T4, while T2 (as input) is used for T5, T6, T7, and T8. For any other input pattern, unspecified temperatures default to TUNIF. Only the lumped mass matrix is available.

A summary of the element input is given in "SHELL150 Input Summary". A general description of element input is given in Element Input.

SHELL150 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom
UX, UY, UZ, ROTX, ROTY, ROTZ
Real Constants
TK(I) - Shell thickness at node I
TK(J) - Shell thickness at node J
TK(K) - Shell thickness at node K
TK(L) - Shell thickness at node L
(Blank)
ADMSUA - Added mass/unit area
Material Properties
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ),
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ),
DENS, GXY, GYZ, GXZ
Surface Loads
Pressures --
face 1 (I-J-K-L) (bottom, in +Z direction), face 2 (I-J-K-L) (top, in -Z direction),
face 3 (J-I), face 4 (K-J), face 5 (L-K), face 6 (I-L)
Body Loads
Temperature --

T1, T2, T3, T4, T5, T6, T7, T8

Special Features

None

KEYOPT(1)

Starting p-level:

0 --

Use global starting p-level [PPRANGE] (default)

N --

Starting p-level (2 [image] N [image] 8)

KEYOPT(2)

Maximum possible p-level:

0 --

Use global maximum p-level [PPRANGE] (default)

N --

Maximum possible p-level (2 [image] N [image] 8)

SHELL150 Output Data

No solution output is produced for this element. The results output associated with the element is in two forms:

  • Displacements included in the overall nodal solution

  • Additional element output as shown in Table 150.1: "SHELL150 Element Output Definitions"

Several items are illustrated in Figure 150.2: "Stress Output". The element output (RSYS = SOLU) is always in the global coordinate system. Displacements at the midside nodes are approximate for curved edges.

Figure 150.2 Stress Output

See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 150.1 SHELL150 Element Output Definitions

Name | Definition | O | R
EL | Element number and name | - | Y
NODES | Nodes - I, J, K, L, M, N, O, P | - | Y
MAT | Material number | - | Y
VOLU: | Volume | - | Y
XC, YC, ZC | Location where results are reported | Y | 1
TEMP | T1, T2, T3, T4, T5, T6, T7, T8 | - | Y
S:X, Y, Z, XY, YZ, XZ | Stresses | - | Y
S:1, 2, 3 | Principal stress | - | Y
S:INT | Stress intensity | - | Y
S:EQV | Equivalent stress | - | Y
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | - | Y
EPEL:1, 2, 3 | Principal stress | - | Y
EPEL:EQV | Equivalent elastic strains [2] | - | Y
P-LEVEL | p-level used | - | Y

  1. Available only at centroid as a *GET item.

  2. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY); for plastic and creep this value is set at 0.5.

Table 150.2: "SHELL150 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 150.2: "SHELL150 Item and Sequence Numbers":

Name

output quantity as defined in the Table 150.1: "SHELL150 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 150.2 SHELL150 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
p-LEVEL | NMISC | 1

SHELL150 Assumptions and Restrictions

  • Zero area elements are not allowed. This occurs most often whenever the elements are not numbered properly.

  • Zero thickness elements or elements tapering down to a zero thickness at any corner are not allowed.

  • The applied transverse thermal gradient is assumed to vary linearly through the thickness.

  • Shear deflections are included in this element.

  • This element does not support inertia relief.

SHELL150 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID148 		Up / Home Next
SURF151


SURF151

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SURF151

2-D Thermal Surface Effect

MP ME ST PR PRN DS <> <> <> <> <> PP <>

Product Restrictions

SURF151 Element Description

SURF151 may be used for various load and surface effect applications. It may be overlaid onto a face of any 2-D thermal solid element (except axisymmetric harmonic elements PLANE75 and PLANE78). The element is applicable to 2-D thermal analyses. Various loads and surface effects may exist simultaneously. See SURF151 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 151.1 SURF151 Geometry

SURF151 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 151.1: "SURF151 Geometry". The element is defined by two to four node points and the material properties. An extra node (away from the base element) may be used for convection or radiation effects.

The mass, volume, and heat generation calculations use the in-plane element thicknesses at node I and J (real constants TKI and TKJ, respectively). TKJ defaults to TKI, which defaults to 1.0. If KEYOPT(3) = 3, the out-of-plane thickness is input as the real constant TKPS (defaults to 1.0). The mass calculation uses the density (material property DENS).

See Node and Element Loads for a description of element loads. Convections or heat fluxes may be input as surface loads on the element.

The convection surface conductivity matrix calculation uses the film coefficient (input on the SFE command with KVAL = 0 and CONV as the label). If the extra node option is used, its temperature becomes the bulk temperature. If the extra node is not used, the CONV value input with KVAL = 2 becomes the bulk temperature. The convection surface heat flow vector calculation uses the bulk temperature. On a given face, either a heat flux or a convection may be specified, but not both simultaneously.

Setting KEYOPT(7) = 1 multiplies the evaluated film coefficient by the empirical term ITS-TBIn, where TS is the element surface temperature, TB is the fluid bulk temperature, and n is an empirical coefficient (real constant ENN).

If KEYOPT(5) = 1 and flow information is available from FLUID116 with KEYOPT(2) = 1, the bulk temperature may be adjusted to the adiabatic wall temperature using KEYOPT(6) = 1, real constants OMEG (rotational speed) and NRF (recovery factor), and the logic described in the Theory Reference for ANSYS and ANSYS Workbench. For this adjustment, the global Y Cartesian coordinate axis is used as the axis of rotation (KEYOPT(3) = 1). When using the OMEG real constant, you can specify either numerical values or table inputs. If specifying table inputs, enclose the table name in % signs (for example, %tabname%). Rotational speed (OMEG) can vary with time and location. Use the *DIM command to dimension the table and identify the variables. For more information and examples on using table inputs, see Array Parameters of the ANSYS Parametric Design Language Guide, Applying Loads Using TABLE Type Array Parameters in the Basic Analysis Guide and Doing a Thermal Analysis Using Tabular Boundary Conditions in the Thermal Analysis Guide, as well as the description of *DIM in the Commands Reference.

A film coefficient specified by the SFE command may be modified by activating the user subroutine USERCV with the USRCAL command. USERCV may be used to modify the film coefficient of a surface element with or without an extra node. It may be used if the film coefficient is a function of temperature and/or location.

If the surface element has an extra node (KEYOPT(5) = 1), the bulk temperature and/or the film coefficient may be redefined in a general way by user programmable routine USRSURF116. USRSURF116 may be used if the bulk temperature and/or the film coefficient is a function of fluid properties, velocity and/or wall temperature. If a bulk temperature is determined by USRSURF116, it overrides any value specified by SFE or according to KEYOPT(6). Also, if a film coefficient is determined by USRSURF116, it overrides any values specified by SFE or USRCAL, USERCV. USRSURF116 calculation are activated by modifying the USRSURF116 subroutine and creating a customized version of ANSYS; there will be no change in functionality without modifying USRSURF116. For more information, see User-Programmable Features (UPFs).

Heat generation rates are input on a per unit volume basis and may be input as an element body load at the nodes, using the BFE command. Element body loads are not applied to other elements connected at the same nodes. The node I heat generation HG(I) defaults to zero. The node J heat generation defaults to HG(I). The heat generation load vector calculation uses the heat generation rate values.

As an alternative to using the BFE command, you can specify heat generation rates directly at the nodes using the BF command. For more information on body loads, see Body Loads in the Basic Analysis Guide.

SURF151 allows for radiation between the surface and the extra node. The emissivity of the surface (input as material property EMIS for the material number of the element) is used for the radiation surface conductivity matrix. The form factor FORMF and the Stefan-Boltzmann constant SBCONST are also used for the radiation surface conductivity matrix. The form factor can be either input as a real constant (defaults to 1) using KEYOPT(9) = 1 or it can be calculated automatically as a cosine effect using KEYOPT(9) = 2 or 3. For information on how the cosine effect depends on basic element orientation and the extra node location, see the Theory Reference for ANSYS and ANSYS Workbench. There is no distance effect included in the cosine effect. For axisymmetric analyses, the automatic form factor calculation is used only with the extra node on the Y-axis. The Stefan-Boltzmann constant defaults to 0.119x10-10 (Btu/hr*in2* °R4).

When KEYOPT(4) = 0, an edge with a removed midside node implies that the temperature varies linearly, rather than parabolically, along that edge. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes.

If a single PLANE element lies beneath SURF151, you can automatically set the element behavior (plane stress, axisymmetric, or plane stress with thickness [including TKPS if applicable]) to that of the underlying solid element using KEYOPT(3) =10. This option is valid only when a single PLANE element lies beneath the SURF element. For example, if you apply a SURF151 element over a PLANE77 (thermal) element whose nodes are also used in the definition of a PLANE82 (structural) element, a warning appears and the load is not applied to the element.

A summary of the element input is given in "SURF151 Input Summary". A general description of element input is given in Element Input. For axisymmetric applications see Axisymmetric Elements.

SURF151 Input Summary

Nodes
I, J if KEYOPT (4) = 1, and KEYOPT (5) = 0
I, J, K if KEYOPT (4) = 1, and KEYOPT(5) = 1
I, J, K if KEYOPT (4) = 0, and KEYOPT(5) = 0
I, J, K, L if KEYOPT (4) = 0, and KEYOPT(5) = 1
Degrees of Freedom

TEMP

Real Constants
FORMF, SBCONST, (Blank), OMEG, NRF, VABS,
TKI, TKJ, (Blank), (Blank), (Blank), TKPS,
ENN, GC, JC
See Table 151.1: "SURF151 Real Constants" for a description of the real constants
Material Properties
DENS (for density)
EMIS (for emissivity, if KEYOPT(9) > 0)
Surface Loads
Convections --

face 1 (I-J) if KEYOPT(8) > 1

Heat Fluxes --

face 1 (I-J) if KEYOPT(8) = 1

Body Loads
Heat Generation --

HG(I), HG(J); also HG(K) if KEYOPT(4) = 0

Special Features

Birth and death

KEYOPT(1)

Adiabatic wall temperature option:

0, 1, 2 --

See Adiabatic Wall Temperature as Bulk Temperature for information on these options.

KEYOPT(2)

Recovery factor (FR) option:

0, 1, or 2 --

See Adiabatic Wall Temperature as Bulk Temperature for information on these options.

KEYOPT(3)

Element behavior:

0 --

Plane

1 --

Axisymmetric

3 --

Plane with thickness input (TKPS)

10 --

Use the element behavior (plane, axisymmetric, or plane with thickness input [include TKPS if applicable]) of the underlying solid element.

KEYOPT(4)

Midside nodes:

0 --

Has midside node (that matches the adjacent solid element)

1 --

No midside node

KEYOPT(5)

Extra node for radiation and/or convection calculations:

0 --

No extra nodes

1 --

Has extra node (optional if KEYOPT(8) > 1; required if KEYOPT(9) > 0)

KEYOPT(6) (used only if KEYOPT(5) = 1 and KEYOPT(8) > 1)

Use of bulk temperatures:

0 --

Extra node temperature used as bulk temperature

1 --

Adiabatic wall temperature used as bulk temperature

KEYOPT(7)

Empirical term:

0 --

Do not multiply film coefficient by empirical term.

1 --

Multiply film coefficient by empirical term |TS-TB|n.

KEYOPT(8)

Heat flux and convection loads:

0 --

Ignore heat flux and convection surface loads (if any)

1 --

Include heat flux, ignore convection

Use the following to include convection (ignore heat flux):

2 --

Evaluate film coefficient hf (if any) at average film temperature, (TS +TB)/2

3 --

Evaluate hf at element surface temperature, TS

4 --

Evaluate hf at fluid bulk temperature, TB

5 --

Evaluate hf at differential temperature, | TS - TB |

KEYOPT(9)

Radiation form factor calculation:

0 --

Do not include radiation

1 --

Use radiation with the form factor real constant

2 --

Use radiation with cosine effect computed as an absolute value (ignore real constant)

3 --

Use radiation with cosine effect computed as zero if negative (ignore real constant)

Table 151.1 SURF151 Real Constants

No. | Name | Description
1 | FORMF | Form factor
2 | SBCONT | Stefan-Boltzmann constant
3 | (Blank) | --
4 | OMEGA | Angular velocity
5 | NRF | Recovery factor
6 | VABS | Absolute value of fluid velocity (KEYOPT(1) = 0)
7 | TKI | In-plane thickness at node I
8 | TKJ | In-plane thickness at node J
9-11 | (Blank) | --
12 | TKPS | Out-of-plane thickness (if KEYOPT(3) = 3)
13 | ENN | Empirical coefficient
14 | GC | Gravitational constant used for units consistency
15 | JC | Joule constant used to convert work units to heat units

SURF151 Output Data

The solution output associated with the element is in two forms:

  • Nodal degree of freedom results included in the overall nodal solution

  • Additional element output as shown in Table 151.2: "SURF151 Element Output Definitions"

Convection heat flux is positive out of the element; applied heat flux is positive into the element. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 151.2 SURF151 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
SURFACE NODES | Nodes - I, J | Y | Y
EXTRA NODE | Extra node (if present) | Y | Y
MAT | Material number | Y | Y
AREA | Surface area | Y | Y
VOLU: | Volume | Y | Y
XC, YC | Location where results are reported | Y | 7
VN(X, Y) | Components of unit vector normal to center of element | - | Y
DENSITY | Density | - | 1
MASS | Mass of Element | - | 1
HGEN | Heat generations HG(I), HG(J), HG(K) | 2 | -
HEAT GEN. RATE | Heat generation rate over entire element (HGTOT) | 2 | 2
HFLUX | Input heat flux at nodes I, J | 3 | -
HEAT FLOW RATE | Input heat flux heat flow rate over element surface area (HFCTOT) | 3 | 3
HFILM | Film coefficient at each face node | 4 | 4
TBULK | Bulk temperature at each face node or temperature of extra node | 4 | 4
TAVG | Average surface temperature | 4 | 4
TAW | Adiabatic wall temperature | 5 | 5
RELVEL | Relative velocity | 5 | 5
SPHTFL | Specific heat of the fluid | 5 | 5
RECFAC | Recovery factor | 5 | 5
CONV. HEAT RATE | Convection heat flow rate over element surface area (HFCTOT) | 4 | 4
CONV. HEAT RATE/AREA | Average convection heat flow rate per unit area | 4 | -
EMISSUR | Average emissivity of surface (for element material number) | 6 | 6
EMISEXT | Emissivity of extra node | 6 | 6
TEMPSUR | Average temperature of surface | 6 | 6
TEMPEXT | Temperature of extra node | 6 | 6
FORM FACTOR | Average form factor of element | 6 | 6
RAD. HEAT RATE | Radiation heat flow rate over entire element (HRTOT) | 6 | 6
RAD. HEAT RATE/AREA | Average radiation heat flow rate per unit area | 6 | -

  1. If dens > 0

  2. If heat generation load is present

  3. If KEYOPT(8) = 1

  4. If KEYOPT(8) > 1

  5. If KEYOPT(6) = 1 and KEYOPT(8) > 1

  6. If KEYOPT(9) > 0

  7. Available only at centroid as a *GET item.

Table 151.3: "SURF151 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 151.3: "SURF151 Item and Sequence Numbers":

Name

output quantity as defined in Table 151.2: "SURF151 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J

sequence number for data at nodes I and J

Table 151.3 SURF151 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
HGTOT | SMISC | 1
HFCTOT | SMISC | 2
HRTOT | SMISC | 3
AREA | NMISC | 1
VNX | NMISC | 2
VNY | NMISC | 3
HFILM | NMISC | 5
TAVG | NMISC | 6
TBULK | NMISC | 7
TAW | NMISC | 8
RELVEL | NMSC | 9
SPHTFL | NMSC | 10
RECFAC | NMSC | 11
EMISSUR | NMISC | 12
EMISEXT | NMISC | 13
TEMPSUR | NMISC | 14
TEMPEXT | NMISC | 15
FORM FACTOR | NMISC | 16
DENS | NMISC | 17
MASS | NMISC | 18

SURF151 Assumptions and Restrictions

  • The element must not have a zero length.

  • If KEYOPT(9) > 0 (radiation is used):

    • element is nonlinear and requires an iterative solution

    • extra node must be present.

    • if KEYOPT(4) = 0, midside nodes may not be dropped.

SURF151 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • KEYOPT(3) = 3 is not applicable.

  • The TKPS real constant (R12) is not applicable.

  • The only allowable material property is EMIS.

  • No special features are allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SHELL150 		Up / Home Next
SURF152


SURF152

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SURF152

3-D Thermal Surface Effect

MP ME ST PR PRN DS <> <> <> <> <> PP VT

Product Restrictions

SURF152 Element Description

SURF152 may be used for various load and surface effect applications. It may be overlaid onto an area face of any 3-D thermal element. The element is applicable to 3-D thermal analyses. Various loads and surface effects may exist simultaneously. See SURF152 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 152.1 SURF152 Geometry

SURF152 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 152.1: "SURF152 Geometry". The element is defined by four to nine nodes and the material properties. An extra node (away from the base element) may be used for convection or radiation effects. A triangular element may be formed by defining duplicate K and L node numbers as described in Triangle, Prism and Tetrahedral Elements. The element x-axis is parallel to the I-J side of the element.

The mass, volume, and heat generation calculations use the element thicknesses (real constants TKI, TKJ, TKK, TKL). Thicknesses TKJ, TKK, and TKL default to TKI, which defaults to 1.0. The mass calculation uses the density (material property DENS).

See Node and Element Loads for a description of element loads. Convections or heat fluxes may be input as surface loads on the element.

The convection surface conductivity matrix calculation uses the film coefficient (input on the SFE command with KVAL = 0 and CONV as the label. If the extra node is used, its temperature becomes the bulk temperature. If the extra node is not used, the CONV value input with KVAL = 2 becomes the bulk temperature. The convection surface heat flow vector calculation uses the bulk temperature. On a given face, either a heat flux or a convection may be specified, but not both simultaneously.

Setting KEYOPT(7) = 1 multiplies the evaluated film coefficient by the empirical term ITS - TBIn, where TS is the element surface temperature, TB is the fluid bulk temperature, and n is an empirical coefficient (real constant ENN).

If KEYOPT(5) = 1 and flow information is available from FLUID116 with KEYOPT(2) = 1, the bulk temperature may be adjusted to the adiabatic wall temperature using KEYOPT(6) = 1, real constants OMEG (rotational speed) and NRF (recovery factor), and the logic described in the Theory Reference for ANSYS and ANSYS Workbench. For this adjustment, the axis of rotation may be defined as the global Cartesian X, Y or Z coordinate axis (KEYOPT(3)). When using the OMEG real constant, you can specify either numerical values or table inputs. If specifying table inputs, enclose the table name in % signs (for example, %tabname%). Rotational speed (OMEG) can vary with time and location. Use the *DIM command to dimension the table and identify the variables. For more information and examples on using table inputs, see Array Parameters of the ANSYS Parametric Design Language Guide, Applying Loads Using TABLE Type Array Parameters in the Basic Analysis Guide, and Doing a Thermal Analysis Using Tabular Boundary Conditions in the Thermal Analysis Guide, as well as the description of the *DIM command in the Commands Reference.

A film coefficient specified by the SFE command may be modified by activating the user subroutine USERCV with the USRCAL command. USERCV may be used to modify the film coefficient of a surface element with or without an extra node. It may be used if the film coefficient is a function of temperature and/or location.

If the surface element has an extra node (KEYOPT(5) = 1), the bulk temperature and/or the film coefficient may be redefined in a general way by user programmable routine USRSURF116. USRSURF116 may be used if the bulk temperature and/or the film coefficient is a function of fluid properties, velocity and/or wall temperature. If a bulk temperature is determined by USRSURF116, it overrides any value specified by SFE or according to KEYOPT(6). Also, if a film coefficient is determined by USRSURF116, it overrides any values specified by SFE or USRCAL, USERCV. USRSURF116 calculation are activated by modifying the USRSURF116 subroutine and creating a customized version of ANSYS; there will be no change in functionality without modifying USRSURF116. For more information, see User-Programmable Features (UPFs).

Heat generation rates are input on a per unit volume basis and may be input as an element body load at the nodes, using the BFE command. Element body loads are not applied to other elements connected at the same nodes. The node I heat generation HG(I) defaults to zero. If all other heat generations are unspecified, they default to HG(I). If all corner node heat generations are specified, each midside node heat generation defaults to the average heat generation of its adjacent corner nodes. For any other input heat generation pattern, unspecified heat generations default to zero. The heat generation load vector calculation uses the heat generation rate values.

As an alternative to using the BFE command, you can specify heat generation rates directly at the nodes using the BF command. For more information on body loads, see Body Loads in the Basic Analysis Guide.

SURF152 allows for radiation between the surface and the extra node. The emissivity of the surface (input as material property EMIS for the material number of the element) is used for the radiation surface conductivity matrix. The form factor FORMF and the Stefan-Boltzmann constant SBCONST are also used for the radiation surface conductivity matrix. The form factor can be either input as a real constant (defaults to 1) using KEYOPT(9) = 1 or it can be calculated automatically as a cosine effect using KEYOPT(9) = 2 or 3. For information on how the cosine effect depends on basic element orientation and the extra node location, see the Theory Reference for ANSYS and ANSYS Workbench. There is no distance effect included in the cosine effect. The Stefan-Boltzmann constant defaults to 0.119x10-10 (Btu/hr*in2* °R4)).

When KEYOPT(4) = 0, an edge with a removed midside node implies that the temperature varies linearly, rather than parabolically, along that edge. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes.

A summary of the element input is given in "SURF152 Input Summary". A general description of element input is given in Element Input.

SURF152 Input Summary

Nodes
I, J, K, L if KEYOPT (4) = 1 and KEYOPT (5) = 0
I, J, K, L, M if KEYOPT (4) = 1 and KEYOPT (5) = 1
I, J, K, L, M, N, O, P if KEYOPT (4) = 0 and KEYOPT (5) = 0
I, J, K, L, M, N, O, P, Q if KEYOPT (4) = 0 and KEYOPT (5) = 1
Degrees of Freedom
KEYOPT(11) Setting | DOF for all nodes except extra node | DOF for extra node (KEYOPT(5) = 1)
0 | TEMP | TEMP
1 | TTOP | TEMP
2 | TBOT | TEMP
Real Constants
FORMF, SBCONST, (Blank), OMEG, NRF, VABS,
TKI, TKJ, TKK, TKL, (Blank), (Blank),
ENN, GC, JC
See Table 152.1: "SURF152 Real Constants" for a description of the real constants
Material Properties
DENS (for density)
EMIS (for emissivity, if KEYOPT(9) > 0)
Surface Loads
Convections --

face 1 (I-J-K-L) if KEYOPT(8) > 1

Heat Fluxes --

face 1 (I-J-K-L) if KEYOPT(8) = 1

Body Loads
Heat Generation --

HG(I), HG(J), HG(K), HG(L), and, if KEYOPT(4) = 0, HG(M), HG(N), HG(O), HG(P)

Special Features

Birth and death

KEYOPT(1)

Adiabatic wall temperature option:

0, 1, 2 --

See Adiabatic Wall Temperature as Bulk Temperature for information on these options.

KEYOPT(2)

Recovery factor (FR) option:

0, 1, or 2 --

See Adiabatic Wall Temperature as Bulk Temperature for information on these options.

KEYOPT(3)

Axis of symmetry:

0 --

OMEG used about global Cartesian X-axis

1 --

OMEG used about global Cartesian Y-axis

2 --

OMEG used about global Cartesian Z-axis

KEYOPT(4)

Midside nodes:

0 --

Has midside nodes (that match the adjacent solid element)

1 --

Does not have midside nodes

KEYOPT(5)

Extra node for radiation and/or convection calculations:

0 --

No extra node

1 --

Has extra node (optional if KEYOPT (8) > 1; required if KEYOPT (9) > 0)

KEYOPT(6) (used only if KEYOPT(5) = 1 and KEYOPT(8) > 1)

Use of bulk temperature:

0 --

Extra node temperature used as bulk temperature

1 --

Adiabatic wall temperature used as bulk temperature

KEYOPT(7)

Empirical term:

0 --

Do not multiply film coefficient by empirical term.

1 --

Multiply film coefficient by empirical term |TS-TB|n.

KEYOPT(8)

Heat flux and convection loads:

0 --

Ignore heat flux and convection surface loads (if any)

1 --

Include heat flux, ignore convection

Use the following to include convection (ignore heat flux):

2 --

Evaluate film coefficient hf (if any) at average film temperature, (TS +TB)/2

3 --

Evaluate hf at element surface temperature, TS

4 --

Evaluate hf at fluid bulk temperature, TB

5 --

Evaluate hf at differential temperature, | TS - TB |

KEYOPT(9)

Radiation form factor calculation:

0 --

Do not include radiation

1 --

Use radiation with the form factor real constant

2 --

Use radiation with cosine effect calculated as an absolute value (ignore real constant)

3 --

Use radiation with cosine effect calculated as zero if negative (ignore real constant)

KEYOPT(11)

Label used for all nodal degrees of freedom (except for the extra node):

0 --

TEMP

1 --

TTOP

2 --

TBOT

The extra node, if requested with KEYOPT(5) = 1, is always TEMP.

Table 152.1 SURF152 Real Constants

No. | Name | Description
1 | FORMF | Form factor
2 | SBCONT | Stefan-Boltzmann constant
3 | (Blank) | --
4 | OMEGA | Angular velocity (KEYOPT(6) = 1)
5 | NRF | Recovery factor
6 | VABS | Absolute value of fluid velocity (KEYOPT(1) = 0)
7 | TKI | Thickness at node I
8 | TKJ | Thickness at node J
9 | TKK | Thickness at node K
10 | TKL | Thickness at node L
11-12 | (Blank) | --
13 | ENN | Empirical coefficient
14 | GC | Gravitational constant used for units consistency
15 | JC | Joule constant used to convert work units to heat units

SURF152 Output Data

The solution output associated with the element is in two forms:

  • Nodal degree of freedom results included in the overall nodal solution

  • Additional element output as shown in Table 152.2: "SURF152 Element Output Definitions"

Convection heat flux is positive out of the element; applied heat flux is positive into the element. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 152.2 SURF152 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
SURFACE NODES | Nodes - I, J, K, L | Y | Y
EXTRA NODE | Extra node (if present) | Y | Y
MAT | Material number | Y | Y
AREA | Surface area | Y | Y
VOLU: | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 7
VN(X, Y, Z) | Components of unit vector normal to center of element | - | Y
DENSITY | Density | - | 1
MASS | Mass of element | - | 1
HGEN | Heat generations HG(I), HG(J), HG(K), HG(L), HG(M), HG(N), HG(O), HG(P) | 2 | -
HEAT GEN. RATE | Heat generation rate over entire element (HGTOT) | 2 | 2
HFLUX | Input heat flux at nodes I, J, K, L | 3 | -
HEAT FLOW RATE | Input heat flux heat flow rate over element surface area (HFCTOT) | 3 | 3
HFILM | Film coefficient at each face node | 4 | 4
TBULK | Bulk temperature at each face node or temperature of extra node | 4 | 4
TAVG | Average surface temperature | 4 | 4
TAW | Adiabatic wall temperature | 5 | 5
RELVEL | Relative velocity | 5 | 5
SPHTFL | Specific heat of the fluid | 5 | 5
RECFAC | Recovery factor | 5 | 5
CONV. HEAT RATE | Convection heat flow rate over element surface area (HFCTOT) | 4 | 4
CONV. HEAT RATE/AREA | Average convection heat flow rate per unit area | 4 | -
EMISSUR | Average emissivity of surface (for element material number) | 6 | 6
EMISEXT | Emissivity of extra node | 6 | 6
TEMPSUR | Average temperature of surface | 6 | 6
TEMPEXT | Temperature of extra node | 6 | 6
FORM FACTOR | Average form factor of element | 6 | 6
RAD. HEAT RATE | Radiation heat flow rate over entire element (HRTOT) | 6 | 6
RAD. HEAT RATE/AREA | Average radiation heat flow rate per unit area | 6 | -

  1. If dens > 0

  2. If heat generation load is present

  3. If KEYOPT(8) = 1

  4. If KEYOPT(8) > 1

  5. If KEYOPT(6) = 1 and KEYOPT(8) > 1

  6. If KEYOPT(9) > 0

  7. Available only at centroid as a *GET item.

Table 152.3: "SURF152 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 152.3: "SURF152 Item and Sequence Numbers":

Name

output quantity as defined in Table 152.2: "SURF152 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J,K,L

sequence number for data at nodes I, J, K, L

Table 152.3 SURF152 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
HGTOT | SMISC | 1
HFCTOT | SMISC | 2
HRTOT | SMISC | 3
AREA | NMISC | 1
VNX | NMISC | 2
VNY | NMISC | 3
VNZ | NMISC | 4
HFILM | NMISC | 5
TAVG | NMISC | 6
TBULK | NMISC | 7
TAW | NMISC | 8
RELVEL | NMISC | 9
SPHTFL | NMISC | 10
RECFAC | NMISC | 11
EMISSUR | NMISC | 12
EMISEXT | NMISC | 13
TEMPSUR | NMISC | 14
TEMPEXT | NMISC | 15
FORM FACTOR | NMISC | 16
DENS | NMISC | 17
MASS | NMISC | 18

SURF152 Assumptions and Restrictions

  • The element must not have a zero area.

  • If KEYOPT(9) > 0 (radiation is used):

    • element is nonlinear and requires an iterative solution

    • extra node must be present.

    • if KEYOPT(4) = 0, midside nodes may not be dropped.

SURF152 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The only allowable material property is EMIS.

  • No special features are allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SURF151 		Up / Home Next
SURF153


SURF153

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SURF153

2-D Structural Surface Effect

MP ME ST PR PRN DS DSS <> <> <> <> PP VT

Product Restrictions

SURF153 Element Description

SURF153 may be used for various load and surface effect applications. It may be overlaid onto a face of any 2-D structural solid element (except axisymmetric harmonic elements PLANE25, PLANE83, and FLUID81). The element is applicable to 2-D structural analyses. See SURF153 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 153.1 SURF153 Geometry

SURF153 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 153.1: "SURF153 Geometry". The element is defined by two or three node points and the material properties. The element x-axis is along to the I-J line of the element.

The mass and volume calculations use the in-plane element thicknesses at node I and J (real constants TKI and TKJ, respectively). TKJ defaults to TKI, which defaults to 1.0. If KEYOPT(3) = 3, the out-of-plane thickness is input as the real constant TKPS (defaults to 1.0). The mass calculation uses the density (material property DENS, mass per unit volume) and the real constant ADMSUA, the added mass per unit area. The stiffness matrix calculation uses the in-plane force per unit length (input as real constant SURT) and the elastic foundation stiffness using pressure-per-length (or force-per-length-cubed) units (input as real constant EFS). The foundation stiffness can be damped, either by using the material property DAMP as a multiplier on the stiffness or by directly using the material property VISC.

See Node and Element Loads for a description of element loads. Pressures may be input as surface loads as force-per-length-squared on the element faces as shown by the circled numbers on Figure 153.2: "Pressures". SURF153 allows complex pressure loads.

Figure 153.2 Pressures

Faces 1 and 2 [KEYOPT(2) = 0]. Positive values of pressure on the first two faces act in the positive element coordinate directions (except for the normal pressure which acts in the negative z direction). For face 1, positive or negative values may be removed as requested with KEYOPT(6) to simulate the discontinuity at the free surface of a contained fluid.

Faces 1 and 2 [KEYOPT(2) = 1]. Pressure loads are applied to the element faces according to the local coordinate system as follows: face 1 in the local x direction and face 2 in the local y direction. A local coordinate system must be defined, and the element must be set to that coordinate system via the ESYS command. KEYOPT(6) does not apply.

Face 3. The magnitude of the pressure at each integration point is PI + XPJ + YPK, where PI through PK are input as VAL1 through VAL3 on the SFE command, and X and Y are the global Cartesian coordinates at the current location of the point. The SFFUN and SFGRAD commands do not work with face 3.

Face 4. Tthe magnitude of the pressure is PI, and the direction is [image] where i and j are unit vectors in the global Cartesian directions. The load magnitude can be adjusted with KEYOPTS(11) and (12). When using the SFFUN or SFGRAD commands, the load direction is not altered, but the load magnitude is the average of the computed corner node magnitudes.

The effects of pressure load stiffness are automatically included for this element for real pressure on face 1 if KEYOPT(2) = 0 or on face 3. If an unsymmetric matrix is needed for pressure load stiffness effects, use NROPT,UNSYM.

Temperatures may be input as element body loads at the nodes. Element body load temperatures are not applied to other elements connected at the same nodes. The node I temperature T(I) defaults to TUNIF. The node J temperature defaults to T(I). Temperatures are used for material property evaluation only.

When KEYOPT(4) = 0, a removed midside node implies that the displacement varies linearly, rather than parabolically. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes.

If a single PLANE element lies beneath SURF153, you can automatically set the element behavior (plane stress, axisymmetric, or plane stress with thickness [including TKPS if applicable]) to that of the underlying solid element using KEYOPT(3) =10. This option is valid only when a single PLANE element lies beneath the SURF element. For example, if you apply a SURF153 element over a PLANE77 (thermal) element whose nodes are also used in the definition of a PLANE82 (structural) element, a warning appears and the load is not applied to the element.

KEYOPT(7) = 1 is useful when the element is used to represent a force. When KEYOPT(7) = 0, the force is input as a pressure times an area; however, if the area changes due to large deflections, the force also changes. When KEYOPT(7) = 1, the force remains unchanged even if the area changes.

A summary of the element input is given in "SURF153 Input Summary". A general description of element input is given in Element Input. For axisymmetric applications see Axisymmetric Elements.

If using SURF153 with VTGEOM parameters, see Element Support.

SURF153 Input Summary

Nodes
I, J if KEYOPT (4) = 1,
I, J, K if KEYOPT(4) = 0
Degrees of Freedom

UX, UY

Real Constants
(Blank), (Blank), (Blank), EFS, SURT, ADMSUA,
TKI, TKJ, (Blank), (Blank), (Blank), TKPS
See Table 153.1: "SURF153 Real Constants" for a description of the real constants
Material Properties

DENS, VISC, DAMP

Surface Loads
Pressures --
face 1 (I-J) (in -y normal direction)
face 2 (I-J) (in +x tangential direction)
face 3 (I-J) (in -y normal direction, global taper)
face 4 (I-J) (oriented by input vector)
Body Loads
Temperatures --

T(I), T(J); also T(K) if KEYOPT(4) = 0

Special Features
Stress stiffening
Large deflection
Birth and death
KEYOPT(2)

Pressure applied to faces 1 and 2 according to coordinate system:

0 --

Apply face loads in the element coordinate system

1 --

Apply face loads in the local coordinate system

KEYOPT(3)

Element behavior:

0 --

Plane stress

1 --

Axisymmetric

2 --

Plane strain

3 --

Plane stress with thickness input (TKPS)

5 --

Generalized plane strain

10 --

Use the element behavior--plane stress, axisymmetric, plain strain, plane stress with thickness input (include TKPS if applicable), or generalized plane strain--of the underlying solid element.

KEYOPT(4)

Midside nodes:

0 --

Has midside node (that matches the adjacent solid element)

1 --

No midside node

KEYOPT(6)

Applicable only to normal direction pressure (faces 1 and 3):

0 --

Use pressures as calculated (positive and negative)

1 --

Use positive pressures only (negative set to zero)

2 --

Use negative pressures only (positive set to zero)

KEYOPT(7)

Loaded area during large-deflection analyses:

0 --

Use new area

1 --

Use original area

KEYOPT(11)

Pressure applied by vector orientation (face 4):

0 --

On projected area and includes tangential component

1 --

On projected area and does not include tangential component

2 --

On full area and includes the tangential component

KEYOPT(12)

Effect of the direction of the element normal (element y-axis) on vector oriented (face 4) pressure:

0 --

Pressure load is applied regardless of the element normal orientation

1 --

Pressure load is not used if the element normal is oriented in the same general direction as the pressure vector

Table 153.1 SURF153 Real Constants

No. | Name | Description
1 ... 3 | (Blank) | --
4 | EFS | Foundation stiffness
5 | SURT | Surface tension
6 | ADMSUA | Added mass/unit area
7 | TKI | In-plane thickness at node I (defaults to 1.0)
8 | TKJ | In-plane thickness at node J (defaults to TKI)
9 ... 11 | (Blank) | --
12 | TKPS | Out-of-plane thickness if KEYOPT(3) = 3 (defaults to 1.0)

SURF153 Output Data

The solution output associated with the element is in two forms:

  • Nodal degree of freedom results included in the overall nodal solution

  • Additional element output as shown in Table 153.2: "SURF153 Element Output Definitions"

A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 153.2 SURF153 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
SURFACE NODES | Nodes - I, J | Y | Y
EXTRA NODE | Extra node (if present) | Y | Y
MAT | Material number | Y | Y
AREA | Surface area | Y | Y
VOLU: | Volume | Y | Y
XC, YC | Location where results are reported | Y | 6
VN(X, Y) | Components of unit vector normal to center of element | - | Y
PRES | Pressures P1, P2, P3, P4 at nodes I, J | 1 | -
PY, PX | Pressures at nodes in element coordinate system (P4 uses an average element coordinate system) | - | 1
AVG. FACE PRESSURE | Average normal pressure (P1AVG), Average tangential pressure (P2AVG), Average tapered normal pressure (P3AVG), Effective value of vector oriented pressure (P4EFF) | 1 | 1
DVX, DVY | Direction vector of pressure P4 | 1 | 1
TEMP | Surface temperatures T(I), T(J), T(K) | 2 | 2
DENSITY | Density | 3 | 3
MASS | Mass of Element | 3 | 3
FOUNDATION STIFFNESS | Foundation Stiffness (input as EFS) | 4 | 4
FOUNDATION PRESSURE | Foundation Pressure | 4 | 4
SURFACE TENSION | Surface Tension (input as SURT) | 5 | 5

  1. If pressure load

  2. If temperature load

  3. If dens > 0

  4. If EFS > 0

  5. If SURT > 0

  6. Available only at centroid as a *GET item.

Table 153.3: "SURF153 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 153.3: "SURF153 Item and Sequence Numbers":

Name

output quantity as defined in the Table 153.2: "SURF153 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J

sequence number for data at nodes I and J

Table 153.3 SURF153 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J
PY (real) | SMISC | - | 1 | 2
PX (real) | SMISC | - | 3 | 4
PY (imaginary) | SMISC |  | 27 | 28
PX (imaginary) | SMISC |  | 29 | 30
P1AVG (real) | SMISC | 13 | - | -
P2AVG (real) | SMISC | 14 | - | -
P3AVG (real) | SMISC | 15 | - | -
P4EFF (real) | SMISC | 16 | - | -
P1AVG (imaginary) | SMISC | 39 | - | -
P2AVG (imaginary) | SMISC | 40 | - | -
P3AVG (imaginary) | SMISC | 41 | - | -
P4EFF (imaginary) | SMISC | 42 | - | -
FOUNPR | SMISC | 21 | - | -
AREA | NMISC | 1 | - | -
VNX | NMISC | 2 | - | -
VNY | NMISC | 3 | - | -
EFS | NMISC | 5 | - | -
SURT | NMISC | 6 | - | -
DENS | NMISC | 7 | - | -
MASS | NMISC | 8 | - | -
DVX | NMISC | 9 | - | -
DVY | NMISC | 10 | - | -

SURF153 Assumptions and Restrictions

  • The element must not have a zero length.

  • The surface tension load vector acts along the line connecting nodes I and J as a force applied to the nodes seeking to minimize the length of the line. If the nodes of the element are not coplanar when using surface tension, equilibrium may be lost.

  • For structural large deflection analyses, the loads are applied to the current size of the element, not the initial size.

  • Surface printout and foundation stiffness are not valid for elements deactivated [EKILL] and then reactivated [EALIVE]. Surface printout does not include large strain effects.

SURF153 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The only special features allowed are stress stiffening and large deflections.

  • The VISC and DAMP material properties are not applicable.

ANSYS Structural.

  • The only allowable material property is DENS.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SURF152 		Up / Home Next
SURF154


SURF154

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SURF154

3-D Structural Surface Effect

MP ME ST PR PRN DS DSS <> <> <> <> PP VT

Product Restrictions

SURF154 Element Description

SURF154 may be used for various load and surface effect applications. It may be overlaid onto an area face of any 3-D element. The element is applicable to 3-D structural analyses. Various loads and surface effects may exist simultaneously. See SURF154 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 154.1 SURF154 Geometry

SURF154 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 154.1: "SURF154 Geometry". The element is defined by four to eight nodes and the material properties. A triangular element may be formed by defining duplicate K and L node numbers as described in Triangle, Prism and Tetrahedral Elements. The default element x-axis is parallel to the I-J side of the element.

The mass and volume calculations use the element thicknesses (real constants TKI, TKJ, TKK, TKL). Thicknesses TKJ, TKK, and TKL default to TKI, which defaults to 1.0. The mass calculation uses the density (material property DENS, mass per unit volume) and the real constant ADMSUA, the added mass per unit area. The stiffness matrix calculation uses the in-plane force per unit length (input as real constant SURT) and the elastic foundation stiffness using pressure-per-length (or force-per-length-cubed) units (input as real constant EFS). The foundation stiffness can be damped, either by using the material property DAMP as a multiplier on the stiffness or by directly using the material property VISC.

See Node and Element Loads for a description of element loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 154.2: "Pressures". SURF154 allows complex pressure loads.

Faces 1, 2, and 3 [KEYOPT(2) = 0]. Positive values of pressure on the first three faces act in the positive element coordinate directions (except for the normal pressure which acts in the negative z direction). For face 1, positive or negative values may be removed as requested with KEYOPT(6) to simulate the discontinuity at the free surface of a contained fluid. For faces 2 and 3, the direction of the load is controlled by the element coordinate system; therefore, the ESYS command is normally needed.

Faces 1, 2, and 3 [KEYOPT(2) = 1]. Pressure loads are applied to the element faces according to the local coordinate system, as follows: face 1 in the local x direction, face 2 in the local y direction, and face 3 in the local z direction. A local coordinate system must be defined, and the element must be set to that coordinate system via the ESYS command. KEYOPT(6) does not apply.

Figure 154.2 Pressures

Face 4. The direction is normal to the element and the magnitude of the pressure at each integration point is PI + XPJ + YPK + ZPL, where PI through PL are input as VAL1 through VAL4 on the SFE command, and X, Y, Z are the global Cartesian coordinates at the current location of the point. Positive or negative values may be removed as requested with KEYOPT(6) to simulate the discontinuity at the free surface of a contained fluid. The SFFUN and SFGRAD commands do not work with face 4.

Face 5. The magnitude of the pressure is PI, and the direction is [image] where i, j, and k are unit vectors in the global Cartesian directions. The load magnitude may be adjusted with KEYOPT(11) and KEYOPT(12). When using the SFFUN or SFGRAD commands, the load direction is not altered but the load magnitude is the average of the computed corner node magnitudes.

The effects of pressure load stiffness are automatically included for this element for real pressure on face 1 if KEYOPT(2) = 0 or on face 4. If an unsymmetric matrix is needed for pressure load stiffness effects, issue a NROPT,UNSYM command.

Temperatures may be input as element body loads at the nodes. Element body load temperatures are not applied to other elements connected at the same nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). If all corner node temperatures are specified, each midside node temperature defaults to the average temperature of its adjacent corner nodes. For any other input temperature pattern, unspecified temperatures default to TUNIF. Temperatures are used for material property evaluation only.

When KEYOPT(4) = 0, an edge with a removed midside node implies that the displacement varies linearly, rather than parabolically, along that edge. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes.

KEYOPT(7) = 1 is useful when the element is used to represent a force. When KEYOPT(7) = 0, the force is input as a pressure times an area; however, if the area changes due to large deflections, the force also changes. When KEYOPT(7) = 1, the force remains unchanged even if the area changes.

A summary of the element input is given in "SURF154 Input Summary". A general description of element input is given in Element Input.

If using SURF154 with VTGEOM parameters, see Element Support.

SURF154 Input Summary

Nodes
I, J, K, L if KEYOPT (4) = 1
I, J, K, L, M, N, O, P if KEYOPT (4) = 0
Degrees of Freedom

UX, UY, UZ

Real Constants
(Blank), (Blank), (Blank), EFS, SURT, ADMSUA,
TKI, TKJ, TKK, TKL
See Table 154.1: "SURF154 Real Constants" for a description of the real constants
Material Properties

DENS, VISC, DAMP

Surface Loads
Pressures --
face 1 (I-J-K-L) (in -z normal direction)
face 2 (I-J-K-L) (tangential (+x))
face 3 (I-J-K-L) (tangential (+y))
face 4 (I-J-K-L) (in -z normal direction, global taper)
face 5 (I-J-K-L) (oriented by input vector)
Body Loads
Temperatures --

T(I), T(J), T(K), T(L); also T(M), T(N), T(O), T(P) if KEYOPT(4) = 0

Special Features
Stress stiffening
Large deflection

Birth and death

KEYOPT(2)

Pressure applied to faces 1, 2, and 3 according to coordinate system:

0 --

Apply face loads in the element coordinate system

1 --

Apply face loads in the local coordinate system

KEYOPT(4)

Midside nodes:

0 --

Has midside nodes (that match the adjacent solid element)

1 --

Does not have midside nodes

KEYOPT(6)

Applicable only to normal direction pressure (faces 1 and 4):

0 --

Use pressures as calculated (positive and negative)

1 --

Use positive pressures only (negative set to zero)

2 --

Use negative pressures only (positive set to zero)

Note

To use KEYOPT(6), KEYOPT(2) must equal 0.

KEYOPT(7)

Loaded area during large-deflection analyses:

0 --

Use new area

1 --

Use original area

KEYOPT(11)

Pressure applied by vector orientation (face 5):

0 --

On projected area and includes tangential component

1 --

On projected area and does not include tangential component

2 --

On full area and includes the tangential component

KEYOPT(12)

Effect of the direction of the element normal (element z-axis) on vector oriented (face 5) pressure:

0 --

Pressure load is applied regardless of the element normal orientation

1 --

Pressure load is not used if the element normal is oriented in the same general direction as the pressure vector.

Table 154.1 SURF154 Real Constants

No. | Name | Description
1 ... 3 | (Blank) | --
4 | EFS | Foundation stiffness
5 | SURT | Surface tension
6 | ADMSUA | Added mass/unit area
7 | TKI | Thickness at node I (defaults to 1.0)
8 | TKJ | Thickness at node J (defaults to TKI)
9 | TKK | Thickness at node K (defaults to TKI)
10 | TKL | Thickness at node L (defaults to TKI)

SURF154 Output Data

The solution output associated with the element is in two forms:

  • Nodal degree of freedom results included in the overall nodal solution

  • Additional element output as shown in Table 154.2: "SURF154 Element Output Definitions"

A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 154.2 SURF154 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
SURFACE NODES | Nodes - I, J, K, L | Y | Y
EXTRA NODE | Extra node (if present) | Y | Y
MAT | Material number | Y | Y
AREA | Surface area | Y | Y
VOLU: | Volume | Y | Y
XC, YC | Location where results are reported | Y | 6
VN(X, Y, Z) | Components of unit vector normal to center of element | - | Y
PRES | Pressures P1, P2, P3, P4, P5 at nodes I, J, K, L | 1 | -
PZ, PX, PY | Pressures at nodes in element coordinate system (P5 uses an average element coordinate system) | - | 1
DVX, DVY, DVZ | Direction vector of pressure P5 | 1 | 1
AVG. FACE PRESSURE | Average normal pressure (P1AVG), Average tangential-X pressure (P2AVG), Average tangential-Y pressure (P3AVG), Average tapered normal pressure (P4AVG), Effective value of vector oriented pressure (P5EFF) | 1 | 1
TEMP | Surface temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | 2 | 2
DENSITY | Density | 3 | 3
MASS | Mass of element | 3 | 3
FOUNDATION STIFFNESS | Foundation Stiffness (input as EFS) | 4 | 4
FOUNDATION PRESSURE | Foundation Pressure | 4 | 4
SURFACE TENSION | Surface Tension (input as SURT) | 5 | 5

  1. If pressure load

  2. If temperature load

  3. If dens > 0

  4. If EFS > 0

  5. If SURT > 0

  6. Available only at centroid as a *GET item.

Table 154.3: "SURF154 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (/POST1) of the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 154.3: "SURF154 Item and Sequence Numbers":

Name

output quantity as defined in the Table 154.2: "SURF154 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J,K,L

sequence number for data at nodes I, J, K, L

Table 154.3 SURF154 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J | K | L
PZ (real) | SMISC | - | 1 | 2 | 3 | 4
PX (real) | SMISC | - | 5 | 6 | 7 | 8
PY (real) | SMISC | - | 9 | 10 | 11 | 12
PZ (imaginary) | SMISC | - | 27 | 28 | 29 | 30
PX (imaginary) | SMISC | - | 31 | 32 | 33 | 34
PY (imaginary) | SMISC | - | 35 | 36 | 37 | 38
P1AVG (real) | SMISC | 13 | - | - | - | -
P2AVG (real) | SMISC | 14 | - | - | - | -
P3AVG (real) | SMISC | 15 | - | - | - | -
P4AVG (real) | SMISC | 16 | - | - | - | -
P5EFF (real) | SMISC | 17 | - | - | - | -
P1AVG (imaginary) | SMISC | 39 | - | - | - | -
P2AVG (imaginary) | SMISC | 40 | - | - | - | -
P3AVG (imaginary) | SMISC | 41 | - | - | - | -
P4AVG (imaginary) | SMISC | 42 | - | - | - | -
P5EFF (imaginary) | SMISC | 43 | - | - | - | -
FOUNPR | SMISC | 21 | - | - | - | -
AREA | NMISC | 1 | - | - | - | -
VNX | NMISC | 2 | - | - | - | -
VNY | NMISC | 3 | - | - | - | -
VNZ | NMISC | 4 | - | - | - | -
EFS | NMISC | 5 | - | - | - | -
SURT | NMISC | 6 | - | - | - | -
DENS | NMISC | 7 | - | - | - | -
MASS | NMISC | 8 | - | - | - | -
DVX | NMISC | 9 | - | - | - | -
DVY | NMISC | 10 | - | - | - | -
DVZ | NMISC | 11 | - | - | - | -

SURF154 Assumptions and Restrictions

  • The element must not have a zero area.

  • The surface-tension load vector acts in the plane of the element as a constant force applied to the nodes seeking to minimize the area of the surface. If the nodes of the element are not coplanar when using surface tension, equilibrium may be lost.

  • For structural large-deflection analyses, the loads are applied to the current size of the element, not the initial size.

  • Surface printout and foundation stiffness are not valid for elements deactivated [EKILL] and then reactivated [EALIVE]. Surface printout does not include large strain effects.

SURF154 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The only special features allowed are stress stiffening and large deflections.

  • The VISC and DAMP material properties are not applicable.

ANSYS Structural.

  • The only allowable material property is DENS.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SURF153 		Up / Home Next
SURF156


SURF156

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SURF156

3-D Structural Surface Line Load Effect

MP ME ST PR PRN DS DSS <> <> <> <> PP <>

Product Restrictions

SURF156 Element Description

SURF156 may be used for applying line pressure loads on structures. It may be overlaid onto the edge of any 3-D element. The element is applicable to 3-D structural analyses. Various loads and surface effects may exist simultaneously. See the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 156.1 SURF156 Geometry

SURF156 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 156.1: "SURF156 Geometry". The element is defined by two to four nodes (KEYOPT(4) = 0 or 1). The extra node is required for orientation of the element loads and lies in the element x-z plane. The element x-axis is parallel to the line connecting nodes I and J of the element.

See Node and Element Loads for a description of element loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 156.2: "Pressures". SURF156 allows complex pressure loads. The input units are force per length.

Faces 1, 2, and 3 [KEYOPT(2)]=0. Positive values of pressure on the first three faces act in the positive element coordinate directions. For faces 2 and 3, the direction of the load is controlled by the element coordinate system which is oriented by the extra node; therefore, the ESYS command has no effect. When using large deflection (NLGEOM,ON), the orientation of the loads may change based on the new location of the nodes. If the extra node is on another element that moves, the extra node will move with it. If the extra node is not on another element, the node cannot move.

Faces 1, 2, and 3 [KEYOPT(2)]=1. Pressure loads are applied to the element faces according to the local coordinate system, as follows: face 1 in the x direction, face 2 in the local y direction, and face 3 in the local z direction. A local coordinate system must be defined, and the element must be set to that coordinate system via the ESYS command.

Figure 156.2 Pressures

Face 4. The magnitude of the pressure is PI, and the direction is [image] where i, j, and k are unit vectors in the global Cartesian directions. When using the SFFUN or SFGRAD commands, the load direction is not altered but the load magnitude is the average of the computed corner node magnitudes.

The effects of pressure load stiffness are automatically included for this element for real pressure on faces 2 and 3 if KEYOPT(2) = 0. If an unsymmetric matrix is needed for pressure load stiffness effects, issue a NROPT,UNSYM command.

KEYOPT(7) = 1 is useful when the element is used to represent a force. When KEYOPT(7) = 0, the force is input as a pressure times a unit length; however, if the length changes due to large deflections, the force also changes. When KEYOPT(7) = 1, the force remains unchanged even if the length changes.

A summary of the element input is given in "SURF156 Input Summary". A general description of element input is given in Element Input.

SURF156 Input Summary

Nodes
I, J, K, if KEYOPT (4) = 1 or 2
I, J, K, L, if KEYOPT (4) = 0
Degrees of Freedom

UX, UY, UZ

Real Constants

None

Material Properties

None

Surface Loads
Pressures --
face 1 (parallel to x direction)
face 2 (parallel to y direction)
face 3 (parallel to z direction)
face 4 (oriented by input vector)
Body Loads

None

Special Features
Stress stiffening
Large deflection
KEYOPT(2)

Pressure applied to faces 1, 2, and 3 according to coordinate system:

0 --

Apply face loads in the element coordinate system

1 --

Apply face loads in the local coordinate system

KEYOPT(4)

Midside node:

0 --

Has extra node and a midside node that matches the adjacent solid element

1 --

Has extra node but does not have a midside node

2 --

Does not have an extra node, and has an optional midside node. Use only for load on face 1 or face 4.

KEYOPT(7)

Loaded area during large-deflection analyses:

0 --

Use new area

1 --

Use original area

SURF156 Output Data

The solution output associated with the element is in two forms:

  • Nodal degree of freedom results included in the overall nodal solution

  • Additional element output as shown in Table 156.1: "SURF156 Element Output Definitions"

A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 156.1 SURF156 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K | Y | Y
EXTRA NODE | Extra (orientation) node | Y | Y
PRESSURES | Pressures P1, P2, P3, P4 at nodes I, J | 1 | -
VECTOR DIRECTION | Direction vector of pressure P4 | 1 | 1

  1. If pressure load

Table 156.2: "SURF156 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (/POST1) of the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 156.2: "SURF156 Item and Sequence Numbers":

Name

output quantity as defined in the Table 156.1: "SURF156 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I, J

sequence number for data at nodes I, J

Table 156.2 SURF156 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J
P1 (real) | SMISC | - | 1 | 2
P2 (real) | SMISC | - | 3 | 4
P3 (real) | SMISC | - | 5 | 6
P4 (real) | SMISC | 7 | - | -
P1 (imaginary) | SMISC | - | 8 | 9
P2 (imaginary) | SMISC | - | 10 | 11
P3 (imaginary) | SMISC | - | 12 | 13
P4 (imaginary) | SMISC | 14 | - | -
P4 (real) VECTOR DIRECTION | NMISC | 1 - 3 | - | -
P4 (imaginary) VECTOR DIRECTION | NMISC | 4 - 6 | - | -

SURF156 Assumptions and Restrictions

  • The element must not have a zero length, and the extra node (when used) can not be colinear with nodes I and J.

SURF156 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The only special features allowed are stress stiffening and large deflections.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SURF154 		Up / Home Next
SHELL157


SHELL157

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SHELL157

Thermal-Electric Shell

MP ME <> PR PRN <> <> <> EM <> <> PP <>

Product Restrictions

SHELL157 Element Description

SHELL157 is a 3-D element having in-plane thermal and electrical conduction capability. The element has four nodes with two degrees of freedom, temperature and voltage, at each node. The element applies to a 3-D, steady-state or transient thermal analysis, although the element includes no transient electrical capacitance or inductance effects. The element requires an iterative solution to include the Joule heating effect in the thermal solution. See SHELL157 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. If no electrical effects are present, the 3-D thermal shell (SHELL57) may be used.

If the model containing the thermal-electrical element is also to be analyzed structurally, replace the element with an equivalent structural element (such as SHELL63). If both in-plane and transverse thermal-electric conduction are needed, use a thermal-electric solid element (SOLID69).

Figure 157.1 SHELL157 Geometry

SHELL157 Input Data

The geometry, node locations, and coordinate systems for this element are shown in Figure 157.1: "SHELL157 Geometry". The element is defined by four nodes, four thicknesses, a material direction angle, and the orthotropic material properties.

The element may have variable thickness. The thickness is assumed to vary smoothly over the area of the element, with the thickness input at the four nodes. If the element has a constant thickness, you need to specify only TK(I) . If the thickness is not constant, you must specify all four thicknesses.

Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. The element x-axis may be rotated by an angle THETA (in degrees). You can assign the specific heat and density any values for steady-state solutions. The electrical material property, RSV_, is the resistivity of the material. You can specify the resistivity, like any other material property, as a function of temperature. Properties not specified default as described in Linear Material Properties.

Specify the word VOLT for the Lab variable on the D command and the voltage input for the value. Specify the word AMPS for the Lab variable on the F command and the current into the node input for the value.

Element loads are described in Node and Element Loads. Convection or heat flux (but not both) and radiation may be specified as surface loads at the element faces as shown by the circled numbers on Figure 157.1: "SHELL157 Geometry". Edge convection and flux loads are input on a per unit length basis.

Heat generation rates may be specified as element body loads at the nodes. If the node I heat generation rate HG(I) is input, and all others are unspecified, they default to HG(I). This rate is in addition to the Joule heat generated by the current flow.

"SHELL157 Input Summary" summarizes the element input. A general description of element input appears in Element Input.

SHELL157 Input Summary

Nodes

I, J, K, L

Degrees of Freedom

TEMP, VOLT

Real Constants
TK(I) - Shell thickness at node I
TK(J) - Shell thickness at node J; defaults to TK(I)
TK(K) - Shell thickness at node K; defaults to TK(I)
TK(L) - Shell thickness at node L; defaults to TK(I)
THETA - Element X-axis rotation
Material Properties

KXX, KYY, DENS, C, ENTH, RSVX, RSVY

Surface Loads
Convection or Heat Flux (but not both) and Radiation (using Lab = RDSF)--
face 1 (I-J-K-L) (bottom, -Z side), face 2 (I-J-K-L) (top, +Z side),
face 3 (J-I), face 4 (K-J), face 5 (L-K), face 6 (I-L)
Body Loads
Heat Generations --

HG(I), HG(J), HG(K), HG(L)

Special Features
Requires an iterative solution for electrical-thermal coupling
Birth and death
KEYOPT(2)

Evaluation of film coefficient:

0 --

Evaluate film coefficient (if any) at average film temperature, (TS + TB)/2

1 --

Evaluate at element surface temperature, TS

2 --

Evaluate at fluid bulk temperature, TB

3 --

Evaluate at differential temperature, |TS - TB|

SHELL157 Output Data

The solution output associated with the element is in two forms:

  • Nodal temperatures and voltages included in the overall nodal solution

  • Additional element output as shown in Table 157.1: "SHELL157 Element Output Definitions"

Heat flowing out of the element is considered to be positive. The element output directions are parallel to the element coordinate system. The heat flow and the current flow into the nodes may be printed with the OUTPR command. The Joule heat generated this substep is used in the temperature distribution calculated for the next substep. A general description of solution output is given in Solution Output. See The General Postprocessor (POST1) in the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 157.1 SHELL157 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L | Y | Y
MAT | Material number | Y | Y
AREA | Convection face area | Y | Y
XC, YC, ZC | Location where results are reported | Y | 2
HGEN | Heat generations HG(I), HG(J), HG(K), HG(L) | Y | -
TG:X, Y, SUM | Thermal gradient components and vector sum at centroid | Y | Y
TF:X, Y, SUM | Thermal flux (heat flow rate/cross-sectional area) components and vector sum at centroid | Y | Y
EF:X, Y, SUM | Component electric fields and vector sum | Y | Y
JS:X, Y | Component current densities | Y | Y
JSSUM | Component current density vector sum | Y | -
JHEAT: | Joule heat generation per unit volume | Y | Y
FACE | Face label | 1 | 1
AREA | Face area | 1 | 1
NODES | Face nodes | 1 | 1
HFILM | Film coefficient | 1 | 1
TAVG | Average face temperature | 1 | 1
TBULK | Fluid bulk temperature | 1 | -
HEAT RATE | Heat flow rate across face by convection | 1 | 1
HFAVG | Average film coefficient of the face | - | 1
TBAVG | Average face bulk temperature | - | 1
HFLXAVG | Heat flow rate across face caused by input heat flux | - | 1
HEAT RATE/AREA | Heat flow rate/area across face by convection | 1 | -
HEAT FLUX | Heat flux at each node of face | 1 | -

  1. If a surface load is input

  2. Available only at centroid as a *GET item.

Table 157.2: "SHELL157 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 157.2: "SHELL157 Item and Sequence Numbers":

Name

output quantity as defined in the Table 157.1: "SHELL157 Element Output Definitions"

Item

predetermined Item label for ETABLE command

Table 157.2 SHELL157 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | FACE 1 (BOT) | FACE 2 (TOP) | FACE 3 (J-I) | FACE 4 (K-J) | FACE 5 (L-K) | FACE 6 (I-L)
AREA | NMISC | 1 | 7 | 13 | 19 | 25 | 31
HFAVG | NMISC | 2 | 8 | 14 | 20 | 26 | 32
TAVG | NMISC | 3 | 9 | 15 | 21 | 27 | 33
TBAVG | NMISC | 4 | 10 | 16 | 22 | 28 | 34
HEAT RATE | NMISC | 5 | 11 | 17 | 23 | 29 | 35
HFLXAVG | NMISC | 6 | 12 | 18 | 24 | 30 | 36

SHELL157 Assumptions and Restrictions

  • Zero area elements are not allowed. This occurs most frequently when the elements are not numbered properly. The element must not taper down to a zero thickness at any corner. A triangular element may be formed by defining duplicate K and L node numbers as described in Triangle, Prism and Tetrahedral Elements. The specific heat and enthalpy are evaluated at each integration point to allow for abrupt changes (such as for melting) within a coarse grid. If a current is specified at the same node that a voltage is specified, the current is ignored. The electrical and the thermal solutions are coupled through an iterative procedure.

  • No conversion is included between electrical heat units and mechanical heat units. The resistivity may be divided by a conversion factor, such as 3.415 BTU/Hr per Watt, to get Joule heat in mechanical units. Current (input and output) should also be converted for consistent units.

  • This element may not be compatible with other elements with the VOLT degree of freedom. To be compatible, the elements must have the same reaction force (see Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide).

SHELL157 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The birth and death special feature is not allowed.

ANSYS Emag.

  • This element has only electric field capability, and does not have thermal capability.

  • The element may only be used in a steady-state electric analysis.

  • The only valid degree of freedom is VOLT.

  • The only allowable material properties are RSVX and RSVY.

  • No surface loads or body loads are applicable.

  • The birth and death special feature is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SURF156 		Up / Home Next
LINK160


LINK160

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

LINK160

Explicit 3-D Spar (or Truss)

<> <> <> <> <> <> <> <> <> <> DY <> <>

Product Restrictions

LINK160 Element Description

LINK160 has three degrees of freedom at each node and carries an axial force.

This element is used in explicit dynamic analyses only. Refer to the LS-DYNA Theoretical Manual for more information.

Figure 160.1 LINK160 Geometry

LINK160 Input Data

The geometry and node locations are shown in Figure 160.1: "LINK160 Geometry". Node K determines the initial orientation of the cross section. For this element, you can choose three materials: isotropic elastic, plastic kinematic, and bilinear kinematic.

The element is defined by nodes I and J in the global coordinate system. Node K defines a plane (with I and J) containing the element s-axis. The element r-axis runs parallel to the length of the element and through nodes I and J. Node K is always required to define the element axis system and it must not be colinear with nodes I and J. The location of node K is used only to initially orient the element.

Use the EDLOAD command to apply nodal loads (displacements, forces, etc.). Also use EDLOAD to apply loads on rigid bodies. For more information on how to apply loads in an explicit dynamic analysis, see Loading in the ANSYS LS-DYNA User's Guide.

A summary of the element input is given in "LINK160 Input Summary". A general description of element input is given in Element Input.

LINK160 Input Summary

Nodes

I, J, K (K is the orientation node)

Degrees of Freedom

UX, UY, UZ, VX, VY, VZ, AX, AY, AZ

Note

For explicit dynamics analyses, V (X, Y, Z) refers to nodal velocity, and A (X, Y, Z) refers to nodal acceleration. Although V (X, Y, Z) and A (X, Y, Z) appear as DOFs, they are not actually physical DOFs. However, these quantities are computed as DOF solutions and stored for postprocessing.

Real Constants

Area - Cross-sectional area

Material Properties
EX, NUXY, DENS, DAMP (MP command)
RIGID (EDMP command)
BKIN, PLAW (TB command; see Material Models in the ANSYS LS-DYNA User's Guide)
Surface Loads

None

Body Loads

None

Special Features

This element supports all nonlinear features allowed for an explicit dynamic analysis.

KEYOPTS

None

LINK160 Output Data

Output data for LINK160 consists of the following: Axial force

To output the data, you must use the ETABLE command. For the ITEM label, specify SMISC. For the COMP label, specify 1 for axial force. Then, you can use the PRETAB command to print the output data.

LINK160 Assumptions and Restrictions

  • The spar element assumes a straight bar, axially loaded at its ends with uniform properties from end to end.

  • The length of the spar must be greater than zero, so nodes I and J must not be coincident.

  • The cross-sectional area must be greater than zero.

  • The displacement shape function implies a uniform stress in the spar.

LINK160 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SHELL157 		Up / Home Next
BEAM161


BEAM161

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

BEAM161

Explicit 3-D Beam

<> <> <> <> <> <> <> <> <> <> DY <> <>

Product Restrictions

BEAM161 Element Description

BEAM161 has several characteristics:

  • It is incrementally objective (rigid body rotations do not generate strains), allowing for the treatment of finite strains that occur in many practical applications.

  • It is simple for computational efficiency and robustness.

  • It is compatible with the brick elements.

  • It includes finite transverse shear strains. However, the added computations needed to retain this strain component, compared to those for the assumption of no transverse shear strain, are significant.

The Belytschko beam element formulation (KEYOPT(1) = 2, 4, 5) is part of a family of structural finite elements that use a "co-rotational technique" for treating large rotation.

This element is used in explicit dynamic analyses only. Refer to the LS-DYNA Theoretical Manual for more information.

Figure 161.1 BEAM161 Geometry

BEAM161 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 161.1: "BEAM161 Geometry". Node K determines the initial orientation of the cross section.

The element is defined by nodes I and J in the global coordinate system. Node K defines a plane (with I and J) containing the element s-axis. The element r-axis runs parallel to the centroidal line of the element and through nodes I and J. Node K is always required to define the element axis system and it must not be colinear with nodes I and J. The location of node K is used only to initially orient the element. (For information about orientation nodes and beam meshing, see Meshing Your Solid Model in the Modeling and Meshing Guide.)

Use the EDLOAD command to apply nodal loads and other load types described below. For detailed information on how to apply loads in an explicit dynamic analysis, see the ANSYS LS-DYNA User's Guide.

Pressures can be input as surface loads on the element faces as shown by the circled numbers in Figure 161.1: "BEAM161 Geometry". Note, however, that pressure is actually a traction load applied to the center line of the element. Use the EDLOAD command to apply the pressure load, and input the pressure as a force per unit length value. Positive normal pressures act into the element.

Base accelerations and angular velocities in the x, y, and z directions can be applied at the nodes using the EDLOAD command. To apply these loads, you need to first select the nodes and create a component. The load is then applied to that component.

You can also use the EDLOAD command to apply loads (displacements, forces, etc.) on rigid bodies.

You can choose from the following materials when working with BEAM161, with the restrictions as noted:

  • Isotropic Elastic

  • Bilinear Kinematic (Except KEYOPT(1) = 2)

  • Plastic Kinematic (Except KEYOPT(1) = 2)

  • Viscoelastic (KEYOPT(1) = 1 only)

  • Power Law Plasticity (KEYOPT(1) = 1 only)

  • Piecewise Linear Plasticity (KEYOPT(1) = 1 only)

KEYOPT(1) allows you to specify one of four element formulations for BEAM161 (see "BEAM161 Input Summary"). For details of real constants to be specified for each element formulation, see Table 161.1: "BEAM161 Real Constants".

KEYOPT(2) is valid only with rectangular element formulations (KEYOPT(1) = 0, 1, 4).

The following illustrations show the valid standard beam cross sections when KEYOPT(4)>0, and KEYOPT(5) = 2 (standard beam cross section).

Figure 161.2 Standard Beam Cross Sections

Figure 161.3 Standard Beam Cross Sections (continued)

KEYOPT(5) is not valid when KEYOPT(1) = 2.

A summary of the element input is given in "BEAM161 Input Summary". Additional information about real constants for this element is provided in Table 161.1: "BEAM161 Real Constants". For more information about this element, see the ANSYS LS-DYNA User's Guide.

BEAM161 Input Summary

Nodes

I, J, K (K is the orientation node)

Degrees of Freedom

UX, UY, UZ, VX, VY, VZ, AX, AY, AZ, ROTX, ROTY, ROTZ

Note

For explicit dynamics analyses, V(X, Y, Z) refers to nodal velocity, and A(X, Y, Z) refers to nodal acceleration. Although V(X, Y, Z) and A(X, Y, Z) appear as DOFs, they are not actually physical DOFs. However, these quantities are computed as DOF solutions and stored for post-processing.

Real Constants

See Table 161.1: "BEAM161 Real Constants" for a description of the real constants.

Material Properties
EX, NUXY, DENS, DAMP (MP command)
RIGID (KEYOPT(1) = 1,2) (EDMP command)
BKIN, EVISC, PLAW (TB command; see Material Models in the ANSYS LS-DYNA User's Guide)
Surface Loads
Pressure --

face 1 (I-J) (+r tangential direction), face 2 (I-J) (-s normal direction), face 3 (I) (-t normal direction)

Body Loads

None

Special Features

This element supports all nonlinear features allowed for an explicit dynamic analysis.

KEYOPT(1)

Element formulation:

0, 1 --

Hughes-Liu with cross section integration (default)

2 --

Belytschko-Schwer resultant beam (resultant)

4 --

Belytschko-Schwer full cross section integration

5 --

Belytschko-Schwer circular beam with cross section integration

KEYOPT(2)

Quadrature rule:

1 --

One integration point

0, 2 --

2 x 2 Gauss quadrature (default)

3 --

3 x 3 Gauss quadrature

4 --

3 x 3 Lobatto quadrature

5 --

4 x 4 Gauss quadrature

Note

KEYOPT(2) is valid only with rectangular element formulations (KEYOPT(1) = 0, 1, 4).

KEYOPT(4)

Integration rule for section:

0 --

Standard integration option

n --

User-defined integration rule ID (valid range: 1 to 9999)

KEYOPT(5)

Cross section type:

0 --

Rectangular cross section

1 --

Circular cross section

2 --

Arbitrary cross section (user defined integration rule) or standard beam cross section, if KEYOPT (4) > 0.

Table 161.1 BEAM161 Real Constants

No. Name Description Use if...
1 SHRF

Shear factor.

Default = 1.0

Recommended for rectangular sections = 5/6.

KEYOPT (1) = 0,1, 4, or 5

2 TS1

Beam thickness in s direction at node 1;

if KEYOPT (5) = 2, then use for arbitrary cross section only.

KEYOPT (1) = 0, 1, or 4

KEYOPT (5) = 0 or 2

3 TS2

Beam thickness in s direction at node 2;

if KEYOPT (5) = 2, then use for arbitrary cross section only.

KEYOPT (1) = 0, 1, or 4

KEYOPT (5) = 0 or 2

4 TT1

Beam thickness in t direction at node 1;

if KEYOPT (5) = 2, then use for arbitrary cross section only.

KEYOPT (1) = 0, 1, or 4

KEYOPT (5) = 0 or 2

5 TT2

Beam thickness in t direction at node 2;

if KEYOPT (5) = 2, then use for arbitrary cross section only.

KEYOPT (1) = 0, 1, or 4

KEYOPT (5) = 0 or 2

2 DS1

Beam outer diameter at node 1[1]

KEYOPT (1) = 0, 1, or 5

KEYOPT (4) = 0

KEYOPT (5) = 1

3 DS2

Beam outer diameter at node 2[1]

KEYOPT (1) = 0, 1, or 5

KEYOPT (4) = 0

KEYOPT (5) = 1

4 DT1

Beam inner diameter at node 1[1]

KEYOPT (1) = 0, 1, or 5

KEYOPT (4) = 0

KEYOPT (5) = 1

5 DT2

Beam inner diameter at node 2[1]

KEYOPT (1) = 0, 1, or 5

KEYOPT (4) = 0

KEYOPT (5) = 1

6 NSLOC

Location of reference surface normal to s-axis

= 1 side at s = 1

= 0 center

= -1 side at s = -1

KEYOPT (1) = 0, 1, 4, or 5

KEYOPT (4) = 0

7 NTLOC

Location of reference surface normal to t-axis

= 1 side at t = 1

= 0 center

= -1 side at t = -1

KEYOPT (1) = 0, 1, 4, or 5

KEYOPT (4) = 0

8 A

Cross sectional area

See Figure 161.4: "Properties of Beam Cross Sections for Several Common Cross Sections"

KEYOPT (4) = 0

KEYOPT (1) = 2

9 ISS

Moment of inertia about s-axis

See Figure 161.4: "Properties of Beam Cross Sections for Several Common Cross Sections"

KEYOPT (4) = 0

KEYOPT (1) = 2

10 ITT

Moment of inertia about t-axis

See Figure 161.4: "Properties of Beam Cross Sections for Several Common Cross Sections"

KEYOPT (4) = 0

KEYOPT (1) = 2

11 IRR

Polar moment of inertia

See Figure 161.4: "Properties of Beam Cross Sections for Several Common Cross Sections"

KEYOPT (4) = 0

KEYOPT (1) = 2

12 SA

Shear area

See Figure 161.4: "Properties of Beam Cross Sections for Several Common Cross Sections"

KEYOPT (4) = 0

KEYOPT (1) = 2

13 NIP

Number of integration points

See Figure 161.6: "Definition of Integration Points for User Defined Integration Rule"

KEYOPT (4) > 0 and KEYOPT (5) = 2

14 RA

Relative area of cross section; that is, the actual cross-sectional area divided by the area defined by the product of the specified thickness in the s direction and the thickness in the t direction.

See Figure 161.5: "Definition of Relative Area for User Defined Integration Rule".

KEYOPT (4) > 0 and KEYOPT (5) = 2

15 ICST

Standard cross section type.

Note

If this type is nonzero, then NIP and RA should be zero.

Cross section types are:

1 - W-section
2 - C-section
3 - Angle section
4 - T-section
5 - Rectangular tubing
6 - Z-section
7 - Trapezoidal section

See Figure 161.2: "Standard Beam Cross Sections", Figure 161.3: "Standard Beam Cross Sections (continued)".

KEYOPT (4) > 0[2] and KEYOPT (5) = 2 (standard cross section only)

16 W

Flange width

ICST > 0, and NIP = RA = 0

17 TF

Flange thickness

ICST > 0, and NIP = RA = 0

18 D

Depth

ICST > 0, and NIP = RA = 0

19 TW

Web thickness

ICST > 0, and NIP = RA = 0

20 SREF

Location of reference surface normal to s

Note

If KEYOPT (1) = 1 only

ICST > 0, and NIP = RA = 0

21 TREF

Location of reference surface normal to t

Note

If KEYOPT (1) = 1 only

ICST > 0, and NIP = RA = 0

22, 25, 28, ...79 S(i)

s coordinate of integration point

i = 1, NIP (NIP = 20 max)[3]

KEYOPT (4) > 0

KEYOPT (5) = 2, arbitrary cross section only

NIP > 0, RA > 0, ICST = 0

23, 26, 29, ...80 T(i)

t coordinate of integration point

i = 1, NIP (NIP = 20 max)[3]

KEYOPT (4) > 0

KEYOPT (5) = 2, arbitrary cross section only

NIP > 0, RA > 0, ICST = 0

24, 27, 30, ...81 WF(i)

Weighting factor; that is, the area associated with the integration point divided by the actual cross-section area.

i = 1, NIP (NIP = 20 max)[3]

See Figure 161.4: "Properties of Beam Cross Sections for Several Common Cross Sections"

KEYOPT (4) > 0

KEYOPT (5) = 2, arbitrary cross section only

NIP > 0, RA > 0, ICST = 0

  1. DS1, DS2, DT1, and DT2 are used only if KEYOPT (5) = 1. If KEYOPT (5) = 0 or 2, then use TS1, TS2, TT1, and TT2.

  2. For KEYOPT (5) = 2, standard cross-section type, the integration point ID (KEYOPT (4) > 0) is not used since NIP = RA = 0. However, you must provide this input in any case.

  3. Specify S(i), T(i), and WF(i) for each integration point. For example, for 20 integration points, specify S(1), T(1), WF(1), S(2), T(2), WF(2), ... S(20), T(20), WF(20).

Figure 161.4 Properties of Beam Cross Sections for Several Common Cross Sections

Figure 161.5 Definition of Relative Area for User Defined Integration Rule

Figure 161.6 Definition of Integration Points for User Defined Integration Rule

BEAM161 Output Data

To store output data for this element, you first need to specify the number of integration points for which you want output data. Use the EDINT,,BEAMIP command during the solution phase of your analysis to specify the number of integration points. By default, output is written for 4 integration points. For the resultant beam formulation (KEYOPT(1) = 2), there is no stress output (regardless of the BEAMIP setting). If you set BEAMIP = 0, no stress output is written for any of the beam elements. In this case, the beams will not appear in any POST1 plots because the program assumes they are failed elements.

To display the data for BEAM161, you must use the ETABLE command. Then, you can use the PRETAB command to print the output data. The RSYS command has no effect when postprocessing output for this element.

The following items are available on the results file.

Table 161.2 BEAM161 Element Output Definitions

Name | Definition
S (r, rs, rt) | Stresses
EPEQ | Equivalent plastic strain
EPTO | Axial strain
MFORr | Member force in the element coordinate system, r direction
N (s, t ) | Out-of-plane (s, t) shear
M (s, t ) | Element (s, t) moments
TORQ | Torsional resultant

For each of these output data, one set of values, given at the centroid, is output for the entire beam.

Table 161.3: "BEAM161 Item and Sequence Numbers" lists output available through the ETABLE and ESOL commands using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 161.3: "BEAM161 Item and Sequence Numbers":

Name

output quantity as defined in the Table 161.2: "BEAM161 Element Output Definitions"

Item

predetermined Item label for ETABLE or ESOL command

E

sequence number for single-valued or constant element data

1st IP

sequence number for the first integration point

nth IP

sequence number for the nth integration point as defined by the EDINT command.

Table 161.3 BEAM161 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | 1st IP | nth IP
MFORr | SMISC | 1 | - | -
Ns | SMISC | 2 | - | -
Nt | SMISC | 3 | - | -
Ms | SMISC | 4 | - | -
Mt | SMISC | 5 | - | -
TORQ | SMISC | 6 | - | -
Sr | LS | - | 1 | 5 x (n-1) +1
Srs | LS | - | 2 | 5 x (n-1) +2
Srt | LS | - | 3 | 5 x (n-1) +3
EPEQ | LS | - | 4 | 5 x (n-1) +4
EPTO | LS | - | 5 | 5 x (n-1) +5

  1. In this table, n refers to the current integration point for which you want output data.

BEAM161 Assumptions and Restrictions

  • The beam must not have a zero length.

  • The beam can have any open or single-cell closed cross-sectional shape for which the area and moments of inertia are nonzero.

  • Warping torsion is assumed negligible and the warping moment of inertia is not used in the stiffness computation.

  • Warping of the cross section is unconstrained and is the same for all cross-sections; therefore, the torsional rotation of the cross-section is assumed to vary linearly along the length. However, warping is not applicable to the resultant beam formulation (KEYOPT(1) = 2).

BEAM161 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LINK160 		Up / Home Next
PLANE162


PLANE162

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

PLANE162

Explicit 2-D Structural Solid

<> <> <> <> <> <> <> <> <> <> DY <> <>

Product Restrictions

PLANE162 Element Description

PLANE162 is used for modeling 2-D solid structures in ANSYS LS-DYNA. The element can be used either as a planer or as an axisymmetric element. The element is defined by four nodes having six degrees of freedom at each node: translations, velocities, and accelerations in the nodal x and y directions. A three-node triangle option is also available, but not recommended.

The element is used in explicit dynamic analyses only. When using this element, the model must only contain PLANE162 elements - you cannot mix 2-D and 3-D explicit elements in the same model. Furthermore, all PLANE162 elements in the model must be the same type (plane stress, plane strain, or axisymmetric). Refer to the LS-DYNA Theoretical Manual for more information.

Figure 162.1 PLANE162 Geometry

PLANE162 Input Data

The geometry, node locations, and coordinate system for this element are shown in Figure 162.1: "PLANE162 Geometry". Use KEYOPT(3) to specify whether the element is a plane stress, plane strain, or axisymmetric element. For the axisymmetric option (KEYOPT(3) = 1), you may also use KEYOPT(2) to specify either area or volume weighted axisymmetric elements.

KEYOPT(5) defines the element continuum treatment. Two different formulations are available: Lagrangian (default) and Arbitrary Lagrangian-Eulerian (ALE). In addition to setting KEYOPT(5) = 1, you must also set appropriate parameters on the EDALE and EDGCALE commands in order for the ALE formulation to take affect. See Arbitrary Lagrangian-Eulerian Formulation in the ANSYS LS-DYNA User's Guide for more information.

Use the EDLOAD command to apply nodal loads and other types of loads described below. For detailed information on how to apply loads in an explicit dynamic analysis, see Loading in the ANSYS LS-DYNA User's Guide. Note that when the axisymmetric option (KEYOPT(3) = 1) is selected and KEYOPT(2) = 0 (area weighted option), nodal loads should be input per unit length of circumference. Likewise, when KEYOPT(3) = 1 and KEYOPT(2) = 1 (volume weighted option), nodal loads should be input per radian. Other aspects of axisymmetric elements are covered in Axisymmetric Elements. Pressures are always on a 360° basic, irrespective of the KEYOPT(2) setting.

Pressures can be input as surface loads on the element faces (edges) as shown by the circled numbers in Figure 162.1: "PLANE162 Geometry". Positive normal pressures act into the element.

Other loads that can be applied using the EDLOAD command include base accelerations and angular velocities in the x and y directions, and displacements and forces on rigid bodies.

Several types of temperature loading are also available for this element. See Temperature Loading in the ANSYS LS-DYNA User's Guide.

The material models available to use with this element will depend on the KEYOPT(3) setting. KEYOPT(3) controls whether the element is a plane stress, plane strain, or axisymmetric element. For all three of these options (KEYOPT(3) = 0, 1, or 2), you can choose the following materials:

  • Isotropic Elastic

  • Orthotropic Elastic

  • Elastic Fluid

  • Viscoelastic

  • Bilinear Isotropic

  • Temperature Dependent Bilinear Isotropic

  • Bilinear Kinematic

  • Plastic Kinematic

  • Power Law Plasticity

  • Rate Sensitive Power Law Plasticity

  • Strain Rate Dependent Plasticity

  • Piecewise Linear Plasticity

  • Composite Damage

  • Johnson-Cook Plasticity

  • Bamman

For the plane stress option (KEYOPT(3) = 0), you can also choose the following materials:

  • 3-Parameter Barlat Plasticity

  • Barlat Anisotropic Plasticity

  • Transversely Anisotropic Elastic Plastic

  • Transversely Anisotropic FLD

For the axisymmetric and plane strain options (KEYOPT(3) = 1 or 2), you can also choose the following materials:

  • Blatz-Ko Rubber

  • Mooney-Rivlin Rubber

  • Elastic-Plastic Hydrodynamic

  • Closed Cell Foam

  • Low Density Foam

  • Crushable Foam

  • Honeycomb

  • Null

  • Zerilli-Armstrong

  • Steinberg

PLANE162 Input Summary

Nodes

I, J, K, L

Degrees of Freedom

UX, UY, VX, VY, AX, AY

Note

For explicit dynamic analyses, V(X, Y) refers to nodal velocity, and A(X, Y) refers to nodal acceleration. Although V(X, Y) and A(X, Y) appear as DOFs, they are not actually physical DOFs. However, these quantities are computed as DOF solutions and stored for postprocessing.

Real Constants

None

Material Properties
EX, EY, PRXY or NUXY, ALPX (or CTEX or THSX),
DENS, GXY, DAMP (MP command),
RIGID, HGLS, ORTHO, FLUID (EDMP command),
BKIN, BISO, MOONEY, EVISC, PLAW, FOAM, HONEY, COMP, EOS (TB command; see Material Models in the ANSYS LS-DYNA User's Guide)
Surface Loads
Pressures --

face 1 (J-I), face 2 (K-J), face 3 (L-K), face 4 (I-L)

Body Loads

Temperatures (see Temperature Loading in the ANSYS LS-DYNA User's Guide.

Special Features

This element supports all nonlinear features allowed for an explicit dynamic analysis.

KEYOPT(2)

Weighting option (used for axisymmetric elements, KEYOPT(3) = 1):

0 --

Area weighted axisymmetric element

1 --

Volume weighted axisymmetric element

KEYOPT(3)

Element behavior:

0 --

Plane stress

1 --

Axisymmetric

2 --

Plane strain (Z strain = 0.0)

KEYOPT(5)

Element continuum treatment:

0 --

Lagrangian (default)

1 --

ALE (Arbitrary Lagrangian-Eulerian)

PLANE162 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 162.1: "PLANE162 Element Output Definitions"

Several items are illustrated in Figure 162.2: "PLANE162 Stress Output". The element stresses are output in terms of the global Cartesian coordinate system by default. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 162.2 PLANE162 Stress Output

You can rotate stress results for PLANE162 into a defined coordinate system using the RSYS command. However, RSYS cannot be used to rotate strain results for this element type.

The following items are available on the results file.

Table 162.1 PLANE162 Element Output Definitions

Name | Definition
S(X, Y, XY) | Stresses
S(1, 2, 3) | Principal stresses
SINT | Stress intensity
SEQV | Equivalent stress
EPTO(X, Y, XY) | Total strains
EPTO(1, 2, 3) | Total principle strains
EPTO(INT) | Total strain intensity
EPTO(EQV) | Total equivalent strain
EPEL(X, Y, XY) | Elastic strains
EPEL(1, 2, 3) | Principle elastic strains
EPEL(INT) | Elastic strain intensity
EPEL(EQV) | Equivalent elastic strain
EPPL(EQV) | Equivalent plastic strain

Note

Stress and total strain are always available. Some components of stress and strain (for example, yz and zx components) are always zero. The availability of elastic strain and equivalent plastic strain depends on the material model used for the element (see Element Output Data in the ANSYS LS-DYNA User's Guide for details).

Table 162.2: "PLANE162 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 162.2: "PLANE162 Item and Sequence Numbers":

Name

output quantity

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 162.2 PLANE162 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
EPEQ (equivalent plastic strain) | NMISC | 1

PLANE162 Assumptions and Restrictions

  • The area of the element must be nonzero.

  • The element must lie in the global X-Y plane as shown in Figure 162.1: "PLANE162 Geometry", and the Y-axis must be the axis of symmetry for axisymmetric analyses.

  • An axisymmetric structure should be modeled in the +X quadrants.

  • A triangular element may be formed by defining duplicate K and L node numbers (see Triangle, Prism and Tetrahedral Elements).

PLANE162 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BEAM161 		Up / Home Next
SHELL163


SHELL163

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SHELL163

Explicit Thin Structural Shell

<> <> <> <> <> <> <> <> <> <> DY <> <>

Product Restrictions

SHELL163 Element Description

SHELL163 is a 4-node element with both bending and membrane capabilities. Both in-plane and normal loads are permitted. The element has 12 degrees of freedom at each node: translations, accelerations, and velocities in the nodal x, y, and z directions and rotations about the nodal x, y, and z-axes.

This element is used in explicit dynamic analyses only. Refer to the LS-DYNA Theoretical Manual for more information.

Figure 163.1 SHELL163 Geometry

SHELL163 Input Data

The following real constants are provided for SHELL163. SHRF is the shear factor. NIP is the number of integration points through the thickness of the element, up to a maximum of 100. If NIP is input as 0 or blank, ANSYS defaults the value to 2. T1 - T4 indicate the shell thickness at each of the 4 nodes. NLOC specifies the location of the reference surface for KEYOPT(1) = 1, 6, or 7. The reference surface is used in the formulation of the element stiffness matrix. (NLOC does not define the location of the contact surface.) If you set NLOC = 1 or -1 (top or bottom surface), you must set SHNU = -2 on the EDSHELL command.

ESOP is the option for the spacing of integration points, and can be either 0 or 1. ESOP is used only if KEYOPT(4) > 0. If you set ESOP = 0, you must define real constants S(i), and WF(i) to define the integration point locations. If KEYOPT(3) = 1, then you must also define BETA(i) and MAT(i) for each integration point. Set ESOP = 1 if the integration points are equally spaced through the thickness such that the shell is subdivided into NIP layers of equal thickness (up to 100 layers).

The thickness is assumed to vary smoothly over the area of the element, with the thickness input at the 4 nodes. If the element has a constant thickness, only TK(I) need be input. If the thickness is not constant, all four thicknesses must be input.

If you set ESOP = 0 and define the integration points using S(i), and WF(i), and possibly BETA(i) and MAT(i), note the following:

  • If KEYOPT(1) = 1, 6, 7, or 11, then the thicknesses you define will remain defined through the results determination.

  • If KEYOPT(1) = 2, 3, 4, 5, 8, 9, 10, or 12, then the ANSYS program overrides any thickness values you specify and averages the thicknesses for the results determination.

S(i) is the relative coordinate of the integration point and must be within the range -1 to 1. WF(i) is the weighting factor for the i-th integration point. It is calculated by dividing the thickness associated with the integration point by the actual shell thickness (that is, Δti/t); see Figure 163.2: "Arbitrary Ordering of Integration Points for User Defined Shell Integration Rule". In the user defined shell integration rule, the ordering of the integration points is arbitrary. If using these real constants to define integration points, then S(i) and WF(i) must both be specified for each integration point (maximum of 100). BETA(i) is the material angle (in degrees) at the i-th integration point and must be specified for each integration point. The material model (BKIN, MKIN, MISO, etc.) is not allowed to change within an element, although the material properties (EX, NUXY, etc.), as defined per MAT(i), can change. However, the density may not vary through the thickness of the shell element. If more than one material is used, and the densities vary between materials, the density of the material of the first layer will be used for the entire element.

If KEYOPT(4) = 0, the integration rule is defined by KEYOPT(2).  The
Gauss rule (KEYOPT(2) = 0) is valid for up to five layers (integration points).
 The trapezoidal rule (KEYOPT(2) = 1) allows up to 100 layers, but is not
recommended for less than 20 layers, especially if bending is involved.

Figure 163.2 Arbitrary Ordering of Integration Points for User Defined Shell Integration Rule

Use the EDLOAD command to apply nodal loads and other load types described below. For detailed information on how to apply loads in an explicit dynamic analysis, see Loading in the ANSYS LS-DYNA User's Guide.

Pressures can be input as surface loads on the element midsurfaces. Positive normal pressures act into the element (that is, positive pressure acts in the negative z direction). Note, however, that pressure is actually applied to the midsurface. See Figure 163.3: "Nodal Numbering for Pressure Loads (Positive Pressure Acts in Negative Z Direction)".

Figure 163.3 Nodal Numbering for Pressure Loads (Positive Pressure Acts in Negative Z Direction)

Base accelerations and angular velocities in the x, y, and z directions can be applied at the nodes using the EDLOAD command. To apply these loads, you need to first select the nodes and create a component. The load is then applied to that component. Each node in the component will have the specified load.

You can also use the EDLOAD command to apply loads (displacements, forces, etc.) on rigid bodies.

Several types of temperature loading are also available for this element. See Temperature Loading in the ANSYS LS-DYNA User's Guide.

For this element, you can choose from the following materials:

  • Isotropic Elastic

  • Orthotropic Elastic

  • Bilinear Kinematic

  • Plastic Kinematic

  • Blatz-Ko Rubber

  • Bilinear Isotropic

  • Temperature Dependent Bilinear Isotropic

  • Power Law Plasticity

  • Strain Rate Dependent Plasticity

  • Composite Damage

  • Piecewise Linear Plasticity

  • Modified Piecewise Linear Plasticity

  • Mooney-Rivlin Rubber

  • Barlat Anisotropic Plasticity

  • 3-Parameter Barlat Plasticity

  • Transversely Anisotropic Elastic Plastic

  • Rate Sensitive Power Law Plasticity

  • Transversely Anisotropic FLD

  • Elastic Viscoplastic Thermal

  • Johnson-Cook Plasticity

  • Bamman

The orthotropic elastic material model does not accept integration point angles (BETA(i)). Therefore, to model a composite material, you need to use the composite damage material model. If you do not wish to use the damage features of this material model, just set the required strength values to zero.

KEYOPT(1) allows you to specify 1 of 12 element formulations for SHELL163 (see "SHELL163 Input Summary"). A brief description about each element formulation follows:

The Hughes-Liu element formulation (KEYOPT(1) = 1) is based on a degenerated continuum formulation. This formulation results in substantially large computational costs, but it is effective when very large deformations are expected. This formulation treats warped configurations accurately but does not pass the patch test. It uses one-point quadrature with the same hourglass control as the Belytschko-Tsay.

The Belytschko-Tsay (default) element formulation (KEYOPT(1) = 0 or 2) is the fastest of the explicit dynamics shells. It is based on the Mindlin-Reissner assumption, so transverse shear is included. It does not treat warped configurations accurately, so it should not be used in coarse mesh models. One-point quadrature is used with hourglass control. A default value is set for the hourglass parameter. When hourglassing appears, you should increase this parameter to avoid hourglassing. It does not pass the patch test.

The BCIZ Triangular Shell element formulation (KEYOPT(1) = 3) is based on a Kirchhoff plate theory and uses cubic velocity fields. Three sets of quadrature points are used in each element, so it is relatively slow. It passes the patch test only when the mesh is generated from three sets of parallel lines.

The C0 Triangular Shell element formulation (KEYOPT(1) = 4) is based on a Mindlin-Reissner plate theory and uses linear velocity fields. One quadrature point is used in the element formulation. This formulation is rather stiff, so it should not be used for constructing an entire mesh, only to transition between meshes.

The Belytschko-Tsay membrane element formulation (KEYOPT(1) = 5) is the same as the Belytschko-Tsay but with no bending stiffness.

The S/R Hughes-Liu element formulation (KEYOPT(1) = 6) is the same as the Hughes-Liu, but instead of using one-point quadrature with hourglass control, this formulation uses selective reduced integration. This increases the cost by a factor of 3 to 4, but avoids certain hourglass modes; certain bending hourglass modes are still possible.

The S/R corotational Hughes-Liu element formulation (KEYOPT(1) = 7) is the same as the S/R Hughes-Liu except it uses the corotational system.

The Belytschko-Leviathan shell formulation (KEYOPT(1) = 8) is similar to the Belytschko-Wong-Chiang with one-point quadrature but it uses physical hourglass control, thus no user-set hourglass control parameters need to be set.

The fully-integrated Belytschko-Tsay membrane element formulation (KEYOPT(1) = 9) is the same as the Belytschko-Tsay membrane except is uses a 2 x 2 quadrature instead of a one-point quadrature. This formulation is more robust for warped configurations.

The Belytschko-Wong-Chiang formulation (KEYOPT(1) = 10) is the same as the Belytschko-Tsay except the shortcomings in warped configuration are avoided. Costs about 10% more.

The fast (corotational) Hughes-Liu formulation (KEYOPT(1) = 11) is the same as the Hughes-Liu except this formulation uses the corotational system.

The fully-integrated Belytschko-Tsay shell element formulation (KEYOPT(1) = 12) uses a 2 x 2 quadrature in the shell plane and is about 2.5 times slower than KEYOPT(1) = 2. It is useful in overcoming hourglass modes. The shear locking is remedied by introducing an assumed strain for the transverse shear.

Of the twelve shell element formulations, only KEYOPT(1) = 1, 2, 6, 7, 8, 9, 10, 11, and 12 are valid for an explicit-to-implicit sequential solution. For metal forming analyses, KEYOPT(1) = 10 and 12 are recommended in order to properly account for warping.

When the Mooney-Rivlin Rubber material model is used with SHELL163 elements, the LS-DYNA code will automatically use a total Lagrangian modification of the Belytschko-Tsay formulation instead of using the formulation you specify via KEYOPT(1). This program-chosen formulation is required to address the special needs of the hyperelastic material.

A summary of the element input is given in "SHELL163 Input Summary". A general description of element input is given in Element Input.

SHELL163 Input Summary

Nodes

I, J, K, L

Degrees of Freedom

UX, UY, UZ, VX, VY, VZ, AX, AY, AZ, ROTX, ROTY, ROTZ

Note

For explicit dynamic analyses, V(X, Y, Z) refers to nodal velocity, and A(X, Y, Z) refers to nodal acceleration. Although V(X, Y, Z) and A(X, Y, Z) appear as DOFs, they are not actually physical DOFs. However, these quantities are computed as DOF solutions and stored for post processing.

Real Constants
SHRF, NIP, T1, T2, T3, T4,
NLOC, ESOP, BETA(i), S(i), WF(i), MAT(i)
(BETA(i), S(i), WF(i), MAT(i) may repeat for each integration point, depending on the keyoption settings.)
Specify NLOC only if KEYOPT(1) = 1, 6, 7, or 11.
See Table 163.1: "SHELL163 Real Constants" for descriptions of the real constants.
Material Properties
EX, EY, EZ, NUXY, NUYZ, NUXZ,
PRXY, PRXZ, PRYZ, ALPX (or CTEX or THSX), GXY, GYZ, GXZ,
DENS, DAMP (MP command)
RIGID, HGLS (except KEYOPT(1) = 3, 4, 6, 7, 9, and 12), ORTHO (EDMP command)
PLAW, BKIN, BISO, COMPOSITE, MOONEY, EOS (TB command; see Material Models in the ANSYS LS-DYNA User's Guide)
Surface Loads

Pressure (applied on midsurface)

Body Loads

Temperatures (see Temperature Loading in the ANSYS LS-DYNA User's Guide.

Special Features

This element supports all nonlinear features allowed for an explicit dynamic analysis.

KEYOPT(1)

Element formulation:

1 --

Hughes-Liu

0, 2 --

Belytschko-Tsay (default)

3 --

BCIZ triangular shell

4 --

C0 triangular shell

5 --

Belytschko-Tsay membrane

6 --

S/R Hughes-Liu

7 --

S/R corotational Hughes-Liu

8 --

Belytschko-Levithan shell

9 --

Fully integrated Belytschko-Tsay membrane

10 --

Belytschko-Wong-Chiang

11 --

Fast (corotational) Hughes-Liu

12 --

Fully integrated Belytschko-Tsay shell

KEYOPT(2)

Quadrature rule (used for standard integration rules, KEYOPT(4) = 0):

0 --

Gauss rule (up to five integration points are permitted)

1 --

Trapezoidal rule (up to 100 integration points are permitted)

KEYOPT(3)

Flag for layered composite material mode:

0 --

Non-composite material mode

1 --

Composite material mode; a material angle is defined for each through thickness integration point

KEYOPT(4)

Integration rule ID:

0 --

Standard integration option

n --

User-defined integration rule ID (valid range is 1 to 9999; if selected, it overrides the integration rule set by KEYOPT(2))

Table 163.1 SHELL163 Real Constants

No. | Name | Description
1 | SHRF | Shear factor Suggested value: 5/6; if left blank, defaults to 1
2 | NIP | Number of integration points If input as 0 or blank, defaults to 2.
3 | T1 | Shell thickness at node I
4 | T2 | Shell thickness at node J
5 | T3 | Shell thickness at node K
6 | T4 | Shell thickness at node L
7 | NLOC | Location of reference surface = 1, top surface = 0, middle surface = -1, bottom surface Used only if KEYOPT(1) = 1, 6, or 7.
8 | ESOP | Option for the spacing of integration points: 0 - Integration points are defined using real constants S(i) and WF(i). 1 - Integration points are equally spaced through the thickness such that the shell is subdivided into NIP layers of equal thickness.
9, 13, 17,... 405 | BETA(i) | Material angle at the i-th integration point.[1]
10, 14, 18, ... 406 | S(i) | Coordinate of integration point in the range -1 to 1. i = 1, NIP (NIP = 100 max)[1]
11,15, 19, ... 407 | WF(i) | Weighting factor; that is, the thickness associated with the integration point divided by the actual shell thickness. i = 1, NIP (NIP = 100 max)[1]
12, 16, 20, ... 408 | MAT(i) | Material ID for each layer. [1]

  1. If KEYOPT(3) = 1, then BETA(i), S(i), WF(i), and MAT(i) should be specified for each integration point. For example, for 20 integration points, you would specify BETA(1), S(1), WF(1), MAT(1), BETA(2), S(2), WF(2), MAT(2), ..., BETA(20), S(20), WF(20), MAT(20). If KEYOPT(3) = 0, then only S(i) and WF(i) need to be specified. The material used will be that specified by the MAT command.

SHELL163 Output Data

To store output data for this element, you must specify the number of output locations for which you want data using the EDINT,SHELLIP command during solution. To review the stored data for a specified layer, use the LAYER,NUM command. However, be aware that the output location for this data is always at the integration point. "Top" and "bottom" refer to the top or bottom integration point, which is not necessarily the top or bottom surface.

Stress data is always output from the bottom of the shell to the top. See Figure 163.2: "Arbitrary Ordering of Integration Points for User Defined Shell Integration Rule".

In all cases (default and otherwise), strain is always output for two layers only: Layer 1 = bottom and layer 2 = top.

The number of integration points specified by real constant NIP controls the output locations through the thickness of the shell. If NIP = SHELLIP, then each layer corresponds to an integration point, and those are the locations where you will get output data. If NIP>SHELLIP, then data is output only at the SHELLIP number of locations (first bottom layer, then layers 2 through n moving up from the bottom). If NIP<SHELLIP (but NIP>2), then results are output only for NIP number of layers.

By default, the number of integration points (NIP) is 2, and the number of output locations/layers (SHELLIP) is 3. In this case, stress data is output in the following order: Layer 1 = bottom, layer 2 = middle, and layer 3 = top. When SHELLIP = 3, the middle layer will be an interpolated value if NIP is an even number or an actual value at an integration point if NIP is an odd number.

If NIP = 1, the integration point is at the element midplane, and only one stress and one strain value are output.

For elements with 2 x 2 integration points in the shell plane (KEYOPT(1) = 6, 7, 9, 12), LS-DYNA performs an averaging of any data output at those points in every layer so that the output is the same for all shell formulations.

For the default RSYS setting, strains (EPTO) and generalized stresses (M, T, N) are output in the element coordinate system, and stresses (S) are output in the global Cartesian system for all formulations associated with SHELL163, except the Hughes-Liu formulation. Strain output (EPTO) for the Hughes-Liu formulation (KEYOPT(1) = 1) is output in the global Cartesian system.

You can rotate stress results for this element into another coordinate system using the RSYS command. However, RSYS has no effect on the stress results for composite SHELL163 elements (KEYOPT(3) = 1). In addition, RSYS cannot be used to rotate strain results for any of the SHELL163 element formulations.

The following items are available in the results file.

Table 163.2 SHELL163 Element Output Definitions

Name | Definition
S(X, Y, Z, XY, YZ, XZ) | Stresses
S(1, 2, 3) | Principle stresses
SINT | Stress intensity
SEQV | Equivalent stress
EPTO(X, Y, Z, XY, YZ, XZ) | Total strain
EPTO(1, 2, 3) | Total principle strains
EPTO(INT) | Total strain intensity
EPTO(EQV) | Total equivalent strain
EPEL(X, Y, Z, XY, YZ, XZ) | Elastic strains
EPEL(1, 2, 3) | Principle elastic strains
EPEL(INT) | Elastic strain intensity
EPEL(EQV) | Equivalent elastic strain
EPPL(EQV) | Equivalent plastic strain
M(X, Y, XY) | Element X, Y, and XY moments
N(X. Y) | Out-of-plane X, Y shear
T(X, Y, XY) | In-plane element X, Y, and XY forces
Thick | Element thickness

Note

Stress and total strain are always available. The availability of elastic strain and equivalent plastic strain depends on the material model used for the element (see Element Output Data in the ANSYS LS-DYNA User's Guide for details).

Table 163.3: "SHELL163 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 163.3: "SHELL163 Item and Sequence Numbers":

Name

output quantity as defined in the Table 163.2: "SHELL163 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 163.3 SHELL163 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
MX | SMISC | 1
MY | SMISC | 2
MXY | SMISC | 3
NX | SMISC | 4
NY | SMISC | 5
TX | SMISC | 6
TY | SMISC | 7
TXY | SMISC | 8
EPEQ (top)[1] | NMISC | 1
EPEQ (middle)[1], [2] | NMISC | 2
EPEQ (bottom)[1] | NMISC | 3
Thick[1] | NMISC | 4

  1. The sequence numbers for NMISC items in this table are based on the assumption that the number of integration points for output (SHELLIP on the EDINT command) is set to the default value of 3.

  2. If the number of integration points (NIP) is even, the middle EPEQ value (NMISC,2) will be an interpolated value.

The SMISC quantities in the above table are independent of layers (that is, you will get one set of SMISC quantities output per element). However, the NMISC items are layer-dependent, and the order of the NMISC items is dependent on the SHELLIP and NIP values. The order shown in the table corresponds to the default SHELLIP value (SHELLIP = 3). If NIP > 3, it is strongly recommended that you set SHELLIP = NIP. In this case, the ETABLE output will go from top (NMISC,1) to bottom (NMISC,n where n is the total number of layers). If SHELLIP is not equal to NIP, the order of NMISC items will vary. Therefore, you should not use ETABLE to access the NMISC items when NIP > 3 and SHELLIP is not equal to NIP.

SHELL163 Assumptions and Restrictions

  • Zero area elements are not allowed. This occurs most often whenever the elements are not numbered properly.

  • Zero thickness elements or elements tapering down to a zero thickness at any corner are not allowed.

  • A triangular element may be formed by defining duplicate K and L node numbers as described in Triangle, Prism and Tetrahedral Elements. In this event, the C0 triangular shell element (KEYOPT(1) = 4) will be used.

  • An assemblage of flat shell elements can produce a good approximation to a curved shell surface provided that each flat element does not extend over more than a 15° arc.

SHELL163 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS ED.

  • Composite material shell elements are not allowed. KEYOPT(3) defaults to 0.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLANE162 		Up / Home Next
SOLID164


SOLID164

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID164

Explicit 3-D Structural Solid

<> <> <> <> <> <> <> <> <> <> DY <> <>

Product Restrictions

SOLID164 Element Description

SOLID164 is used for the 3-E modeling of solid structures. The element is defined by eight nodes having the following degrees of freedom at each node: translations, velocities, and accelerations in the nodal x, y, and z directions.

This element is used in explicit dynamic analyses only. Refer to the LS-DYNA Theoretical Manual for more information.

Figure 164.1 SOLID164 Geometry

SOLID164 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 164.1: "SOLID164 Geometry". The element is defined by eight nodes. Orthotropic material properties may be defined. Use the EDMP command to specify an orthotropic material and the EDLCS command to define the orthotropic material directions.

By default, SOLID164 uses reduced (one point) integration plus viscous hourglass control for faster element formulation. A fully integrated solid formulation (KEYOPT(1) = 2) is also available.

KEYOPT(5) defines the element continuum treatment. Two different formulations are available: Lagrangian (default) and Arbitrary Lagrangian-Eulerian (ALE). In addition to setting KEYOPT(5) = 1, you must also set appropriate parameters on the EDALE and EDGCALE commands in order for the ALE formulation to take affect. See Arbitrary Lagrangian-Eulerian Formulation in the ANSYS LS-DYNA User's Guide for more information. Some material models that are normally available for this element type are not supported when the ALE formulation is used. See the material list below for details.

Use the EDLOAD command to apply nodal loads and other load types described below. For detailed information on how to apply loads in an explicit dynamic analysis, see the ANSYS LS-DYNA User's Guide.

Pressures can be input as surface loads on the element faces as shown by the circled numbers in Figure 164.1: "SOLID164 Geometry". Positive normal pressures act into the element.

Base accelerations and angular velocities in the x, y, and z directions can be applied at the nodes using the EDLOAD command. To apply these loads, you need to first select the nodes and create a component. The load is then applied to that component.

You can also use the EDLOAD command to apply loads (displacements, forces, etc.) on rigid bodies.

Several types of temperature loading are also available for this element. See Temperature Loading in the ANSYS LS-DYNA User's Guide.

For this element, you can choose from the materials listed below. The material models marked by an asterisk (*) are not supported by the ALE formulation (KEYOPT(5) = 1).

  • Isotropic Elastic

  • Orthotropic Elastic*

  • Anisotropic Elastic*

  • Bilinear Kinematic

  • Plastic Kinematic

  • Viscoelastic*

  • Blatz-Ko Rubber*

  • Bilinear Isotropic

  • Temperature Dependent Bilinear Isotropic

  • Power Law Plasticity

  • Strain Rate Dependent Plasticity

  • Composite Damage*

  • Concrete Damage*

  • Geological Cap

  • Piecewise Linear Plasticity*

  • Honeycomb*

  • Mooney-Rivlin Rubber*

  • Barlat Anisotropic Plasticity

  • Elastic-Plastic Hydrodynamic

  • Rate Sensitive Power Law Plasticity

  • Elastic Viscoplastic Thermal

  • Closed Cell Foam*

  • Low Density Foam

  • Viscous Foam*

  • Crushable Foam

  • Johnson-Cook Plasticity

  • Null

  • Zerilli-Armstrong

  • Bamman*

  • Steinberg

  • Elastic Fluid

SOLID164 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

UX, UY, UZ, VX, VY, VZ, AX, AY, AZ

Note

For explicit dynamic analyses, V(X, Y, Z) refers to nodal velocity, and A(X, Y, Z) refers to nodal acceleration. AlthoughV (X, Y, Z) and A(X, Y, Z) appear as DOFs, they are not actually physical DOFs. However, these quantities are computed as DOF solutions and stored for postprocessing.

Real Constants

None

Material Properties
EX, EY, EZ, NUXY, NUYZ, NUXZ,
PRXY, PRXZ, PRYZ, ALPX (or CTEX or THSX), GXY, GYZ, GXZ,
DENS, DAMP (MP command)
RIGID, HGLS, ORTHO, FLUID (EDMP command)
ANEL, MOONEY, EVISC, BISO, BKIN, PLAW, FOAM, HONEY, COMPOSITE, CONCR, GCAP, EOS (TB command; see Material Models in the ANSYS LS-DYNA User's Guide)
Surface Loads
Pressures --

face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N), face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)

Body Loads

Temperatures (see Temperature Loading in the ANSYS LS-DYNA User's Guide.

Special Features

This element supports all nonlinear features allowed for an explicit dynamic analysis.

KEYOPT(1)

Element formulation:

0, 1 --

Constant stress solid element (default)

2 --

Fully integrated selectively-reduced solid

KEYOPT(5)

Element continuum treatment:

0 --

Lagrangian (default)

1 --

ALE (Arbitrary Lagrangian-Eulerian)

SOLID164 Output Data

Output for SOLID164 is listed in Table 164.1: "SOLID164 Element Output Definitions". If you issue PRNSOL, a single set of stress and a single set of strain values is output at all eight nodes; that is, you will get the same sets of values at each node. If you issue PRESOL, you will get only a single set of values at the centroid.

You can rotate stress results for SOLID164 into a defined coordinate system using the RSYS command. However, RSYS cannot be used to rotate strain results for this element type.

The following items are available on the results file.

Table 164.1 SOLID164 Element Output Definitions

Name | Definition
S(X, Y, Z, XY, YZ, XZ) | Stresses
S(1, 2, 3) | Principal stresses
SINT | Stress intensity
SEQV | Equivalent stress
EPTO(X, Y, Z, XY, YZ, XZ) | Total strains
EPTO(1, 2, 3) | Total principle strains
EPTO(INT) | Total strain intensity
EPTO(EQV) | Total equivalent strain
EPEL(X, Y, Z, XY, YZ, XZ) | Elastic strains
EPEL(1, 2, 3) | Principle elastic strains
EPEL(INT) | Elastic strain intensity
EPEL(EQV) | Equivalent elastic strain
EPPL(EQV) | Equivalent plastic strain

Note

Stress and total strain are always available. The availability of elastic strain and equivalent plastic strain depends on the material model used for the element (see Element Output Data in the ANSYS LS-DYNA User's Guide for details).

SOLID164 Assumptions and Restrictions

  • Zero volume elements are not allowed.

  • The element may not be twisted such that it has two separate volumes. This occurs most frequently when the element is not numbered properly.

  • The element must have eight nodes.

  • A prism-shaped element may be formed by defining duplicate K and L and duplicate O and P node numbers (see Triangle, Prism and Tetrahedral Elements). A tetrahedron shape is also available.

SOLID164 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SHELL163 		Up / Home Next
COMBI165


COMBI165

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

COMBI165

Explicit Spring-Damper

<> <> <> <> <> <> <> <> <> <> DY <> <>

Product Restrictions

COMBI165 Element Description

COMBI165 allows you to model simple spring or damper systems, as well as the response of more complicated mechanisms such as the energy absorbers used in passenger vehicle bumpers. These mechanisms are often experimentally characterized in terms of force-displacement curves. This element provides a variety of discrete element formulations that can be used individually or in combination to model complex force-displacement relations.

COMBI165 is a two-node, 1-D element. You cannot define both spring and damper properties for the same element. Separate spring and damper elements are required, but they may use the same nodes (that is, you can overlay two different COMBI165 elements). A COMBI165 element can be attached to any of the other explicit elements.

This element is used in explicit dynamic analyses only. Refer to the LS-DYNA Theoretical Manual for more information.

Figure 165.1 COMBI165 Geometry

Both figures above show two COMBI165 elements (a spring and a damper) attached to the same two nodes.

COMBI165 Input Data

The real constants Kd to TDL are optional and do not need to be defined.

For example, if Kd, the dynamic magnification factor, is nonzero, the forces computed from the spring elements are assumed to be the static values and are scaled by an amplification factor to obtain the dynamic value:

For example, if it is known that a component shows a dynamic crush force at 15m/s equal to 2.5 times the static crush force, use Kd = 1.5 and V0 = 15, where V0 is the test velocity.

Here, clearance (CL) defines a compressive displacement which the spring sustains before beginning the force-displacement relation given by the load curve. If a nonzero clearance is defined, the spring is compressive only.

The deflection limit in compression (CDL) and tension (TDL) is restricted in its application to no more than one spring per node subject to this limit, and to deformable bodies only. For example, in the former case, if three springs are in series, either the center spring or the two end springs may be subject to a limit, but not all three. When the limiting deflection (FD) is reached, momentum conservation calculations are performed and a common acceleration is computed in the appropriate direction. An error termination will occur if a rigid body node is used in a spring definition where compression is limited.

For this element, you can choose from the following materials:

  • Linear Elastic Spring

  • Linear Viscous Damper

  • Elastoplastic Spring

  • Nonlinear Elastic Spring

  • Nonlinear Viscous Damper

  • General Nonlinear Spring

  • Maxwell Viscoelastic Spring

  • Inelastic Tension or Compression-Only Spring

A summary of the element input is given in "COMBI165 Input Summary". A general description of element input is given in Element Input.

COMBI165 Input Summary

Nodes

I, J

Degrees of Freedom
UX, UY, UZ, VX, VY, VZ, AX, AY, AZ (KEYOPT(1) = 0)
ROTX, ROTY, ROTZ (KEYOPT(1) = 1)

Note

For explicit dynamic analyses, V(X, Y, Z) refers to nodal velocity, and A(X, Y, Z) refers to nodal acceleration. Although V(X, Y, Z) and A(X, Y, Z) appear as DOFs, they are not actually physical DOFs. However, these quantities are computed as DOF solutions and stored for post processing.

Real Constants
Kd - Dynamic magnification factor,
Vo - Test velocity,
CL - Clearance,
FD - Failure deflection,
CDL - Deflection limit (compression),
TDL - Deflection limit (tension)
Material Properties

DAMP (MP command), DISCRETE (TB command; see Material Models in the ANSYS LS-DYNA User's Guide)

Surface Loads

None

Body Loads

None

Special Features

This element supports all nonlinear features allowed for an explicit dynamic analysis.

KEYOPT(1)

Spring/damper type (translational or torsional):

0 --

The material describes a translational spring/damper

1 --

The material describes a torsional spring/damper

COMBI165 Output Data

Output data for COMBI165 consists of the following:

Table 165.1 COMBI165 Item and Sequence Numbers

Output Quantity Name[1] | ETABLE and ESOL Command Input
 | Description | Item | Seq. No.
MFORX/MMOMX | X-component of member force/moment | SMISC | 1
MFORY/MMOMY | Y-component of member force/moment | SMISC | 2
MFORZ/MMOMZ | Z-component of member force/moment | SMISC | 3
MFORSUM/MMOMSUM | Vector sum of X, Y, and Z components of member force/moment | SMISC | 4

  1. You must specify either force or moment via KEYOPT(1). Note that you cannot specify both force and moment.

    MFOR: KEYOPT(1) = 0

    MMOM: KEYOPT(1) = 1

To output the element data in POST1, you must use the ETABLE command. Then, you can use the PRETAB command to print the output data. The RSYS command has no effect when postprocessing output for this element.

In POST26, you can postprocess the element data using the ESOL command only when postprocessing the Jobname.RST file. The element results are not available on the Jobname.HIS file.

COMBI165 Assumptions and Restrictions

  • The time step size calculation is approximated by using the instantaneous stiffness and one-half the nodal mass of the nodes joined by the spring. If the global time step size is controlled by an explicit spring-damper element, instabilities can develop with the default time step size due to the approximations in the step size calculation.

  • When used to interconnect under-integrated elements, the explicit spring-damper can sometimes excite the zero-energy hourglass modes.

  • To ensure that parts are uniquely defined when using COMBI165, specify a unique set of real constants (R), the element type (ET), and the material properties (TB) for each part. Defining a unique material number (MAT) alone is insufficient.

COMBI165 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID164 		Up / Home Next
MASS166


MASS166

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

MASS166

Explicit 3-D Structural Mass

<> <> <> <> <> <> <> <> <> <> DY <> <>

Product Restrictions

MASS166 Element Description

MASS166 is a point element having up to nine degrees of freedom: translations, velocities, and accelerations in the nodal x, y, and z directions.

Figure 166.1 MASS166 Geometry

MASS166 Input Data

The mass element is defined by a single node with concentrated mass components (Force*Time2/Length) in the element coordinate directions about the element coordinate axes. The element also has an option for rotary inertia (without mass) which allows the definition of lumped rotary inertia at a defined nodal point. For the inertia option (KEYOPT(1) = 1), six polar moment of inertia values must be input instead of mass. To include both mass and rotary inertia, you must define two MASS166 elements at the same node.

A summary of the element input is given in "MASS166 Input Summary". A general description of element input is given in Element Input.

MASS166 Input Summary

Nodes

I

Degrees of Freedom

UX, UY, UZ, VX, VY, VZ, AX, AY, AZ

Note

For explicit dynamic analyses, V(X, Y, Z) refers to nodal velocity, and A(X, Y, Z) refers to nodal acceleration. Although V(X, Y, Z) and A(X, Y, Z) appear as DOFs, they are not actually physical DOFs. However, these quantities are computed as DOF solutions and stored for postprocessing.

Real Constants
If KEYOPT(1) = 0:
MASS - Concentrated mass (Force*Time2/Length)
If KEYOPT(1) = 1:
IXX - Moment of inertia,
IXY - Moment of inertia,
IXZ - Moment of inertia,
IYY - Moment of inertia,
IYZ - Moment of inertia,
IZZ - Moment of inertia
Material Properties

None, but you must define realistic dummy material properties to make this element behave correctly.

Note

These dummy properties will not be used in any solution.

Surface Loads

None

Body Loads

None

Special Features

This element supports all nonlinear features allowed for an explicit dynamic analysis.

KEYOPT(1)

Rotary inertia option:

0 --

3-D mass without rotary inertia (default)

1 --

3-D rotary inertia (no mass)

MASS166 Output Data

Nodal displacements are included in the overall displacement solution. There is no printed or post element data output for the mass element.

MASS166 Assumptions and Restrictions

None.

MASS166 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
COMBI165 		Up / Home Next
LINK167


LINK167

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

LINK167

Explicit Tension-Only Spar

<> <> <> <> <> <> <> <> <> <> DY <> <>

Product Restrictions

LINK167 Element Description

LINK167 allows elastic cables to be realistically modeled; thus, no force will develop in compression.

This element is used in explicit dynamic analyses only.

Figure 167.1 LINK167 Geometry

LINK167 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 167.1: "LINK167 Geometry". Node K determines the initial orientation of the cross section.

The element is defined by nodes I and J in the global coordinate system. Node K defines a plane (with I and J) containing the element s-axis. The element r-axis runs parallel to the length of the element and through nodes I and J. Node K is always required to define the element axis system and it must not be colinear with nodes I and J. The location of node K is used only to initially orient the element.

Real constants for this element are link area (AREA) and offset for cable (OFFSET). For a slack element, the offset should be input as a negative value. For an initial tensile force, the offset should be positive.

The force, F, generated by the link is nonzero if and only if the link is in tension. The force is given by:

F = K · max (Δ L,0.)

where ΔL is the change in length

Δ L = current length - (initial length - offset)

and the stiffness is defined as:

You can use only the material type cable for this element. For this material, you need to define the density (DENS) and Young's modulus (EX) or load curve ID. If you specify a load curve ID (EDMP,CABLE,VAL1, where VAL1 is the load curve ID), the Young's modulus will be ignored and the load curve will be used instead. The points on the load curve are defined as engineering stress versus engineering strain (that is, the change in length over the initial length). Use the EDCURVE command to define the load curve ID. The unloading behavior follows the loading.

Base accelerations and angular velocities in the x, y, and z directions can be applied at the nodes using the EDLOAD command. To apply these loads, you need to first select the nodes and create a component. The load is then applied to that component.

A summary of the element input is given in "LINK167 Input Summary". Additional information about real constants for this element is provided in Table 161.1: "BEAM161 Real Constants". For more information about this element, see the LS-DYNA Theoretical Manual.

LINK167 Input Summary

Nodes

I, J, K (K is the orientation node)

Degrees of Freedom

UX, UY, UZ, VX, VY, VZ, AX, AY, AZ

Note

For explicit dynamic analyses, V(X, Y, Z) refers to nodal velocity, and A(X, Y, Z) refers to nodal acceleration. Although V(X, Y, Z) and A(X, Y, Z) appear as DOFs, they are not actually physical DOFs. However, these quantities are computed as DOF solutions and stored for postprocessing.

Real Constants
AREA - Cross-sectional area
OFFSET - Offset value for cable
Material Properties
EX (MP command) or Load Curve ID (EDMP command),
DENS (MP command),
DAMP (MP command),
CABLE (EDMP command; see Material Models in the ANSYS LS-DYNA User's Guide)
Surface Loads

None

Body Loads

None

Special Features

This element supports all nonlinear features allowed for an explicit dynamic analysis.

KEYOPTs

None

LINK167 Output Data

Output for LINK167 consists of the following: Axial force

To output the data, you must use the ETABLE command. For the ITEM label, specify SMISC. For the COMP label, specify 1 for axial force. Then, you can use the PRETAB command to print the output data.

LINK167 Assumptions and Restrictions

  • The sum of the element length plus the offset must be greater than zero.

  • The cross-sectional area must be greater than zero.

LINK167 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MASS166 		Up / Home Next
SOLID168


SOLID168

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID168

Explicit 3-D 10-Node Tetrahedral Structural Solid

<> <> <> <> <> <> <> <> <> <> DY <> <>

Product Restrictions

SOLID168 Element Description

SOLID168 is a higher order 3-D, 10-node explicit dynamic element. It is well suited to modeling irregular meshes such as those produced from various CAD/CAM systems. The element is defined by ten nodes having three degrees of freedom at each node: translations in the nodal x, y, and z directions.

By default, SOLID168 uses a quadratic displacement behavior with five point integration (KEYOPT(1) = 0 or 1). A composite formulation which is an assemblage of linear sub-tetrahedral shapes (KEYOPT(1) = 2) is also available. This second formulation effectively overcomes the difficulty of lumped mass calculations and volume locking inherent to the quadratic elements.

Figure 168.1 SOLID168 Geometry

SOLID168 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 168.1: "SOLID168 Geometry". The element is defined by ten nodes. Orthotropic material properties may be defined. Use the EDMP command to specify an orthotropic material and the EDLCS command to define the orthotropic material directions.

Use the EDLOAD command to apply nodal loads and other load types described below. For detailed information on how to apply loads in an explicit dynamic analysis, see the ANSYS LS-DYNA User's Guide.

Pressures can be input as surface loads on the element faces as shown by the circled numbers in Figure 168.1: "SOLID168 Geometry". Positive normal pressures act into the element.

Base accelerations and angular velocities in the x, y, and z directions can be applied at the nodes using the EDLOAD command. To apply these loads, you need to first select the nodes and create a component. The load is then applied to that component. You can also use the EDLOAD command to apply loads (displacements, forces, etc.) on rigid bodies.

Several types of temperature loading are also available for this element. See Temperature Loading in the ANSYS LS-DYNA User's Guide. For this element, you can choose from the materials listed below.

  • Isotropic Elastic

  • Orthotropic Elastic

  • Anisotropic Elastic

  • Bilinear Kinematic

  • Plastic Kinematic

  • Viscoelastic

  • Blatz-Ko Rubber

  • Bilinear Isotropic

  • Temperature Dependent Bilinear Isotropic

  • Power Law Plasticity

  • Strain Rate Dependent Plasticity

  • Composite Damage

  • Concrete Damage

  • Geological Cap

  • Piecewise Linear Plasticity

  • Honeycomb

  • Mooney-Rivlin Rubber

  • Barlat Anisotropic Plasticity

  • Elastic-Plastic Hydrodynamic

  • Rate Sensitive Power Law Plasticity

  • Elastic Viscoplastic Thermal

  • Closed Cell Foam

  • Low Density Foam

  • Viscous Foam

  • Crushable Foam

  • Johnson-Cook Plasticity

  • Null

  • Zerilli-Armstrong

  • Bamman

  • Steinberg

  • Elastic Fluid

SOLID168 Input Summary

Nodes

I, J, K, L, M, N, O, P, Q, R

Degrees of Freedom

UX, UY, UZ, VX, VY, VZ, AX, AY, AZ

Note

For explicit dynamic analyses, V(X, Y, Z) refers to nodal velocity, and A(X, Y, Z) refers to nodal acceleration. Although V(X, Y, Z) and A(X, Y, Z) appear as DOFs, they are not actually physical DOFs. However, these quantities are computed as DOF solutions and stored for postprocessing.

Real Constants

None

Material Properties
EX, EY, EZ, NUXY, NUYZ, NUXZ,
PRXY, PRXZ, PRYZ (or CTEX or THSXZ),
DENS, DAMP (MP command)
RIGID, HGLS, ORTHO, FLUID (EDMP command)
ANEL, MOONEY, EVISC, BISO, BKIN, PLAW,
FOAM, HONEY, COMPOSITE, CONCR, GCAP, EOS
(TB command; see "Material Models" in the ANSYS LS-DYNA User's Guide)
Surface Loads
Pressures --

face 1 (J-I-K), face 2 (I-J-L), face 3 (J-K-L), face 4 (K-I-L)

Body Loads
Temperatures --

See Temperature Loading in the ANSYS LS-DYNA User's Guide

Special Features

This element supports all nonlinear features allowed for an explicit dynamic analysis.

KEYOPT(1)

Element formulation:

0, 1 --

Quadratic interpolation

2 --

Composite (assemblages of linear tetrahedral shapes)

SOLID168 Output Data

Output for SOLID168 is listed in Table 168.1: "SOLID168 Element Output Definitions". If you issue PRNSOL, a single set of stress and a single set of strain values is output at all ten nodes; that is, you will get the same sets of values at each node. If you issue PRESOL, you will get only a single set of values at the centroid.

You can rotate stress results for SOLID168 into a defined coordinate system using the RSYS command. However, RSYS cannot be used to rotate strain results for this element type.

The following items are available on the results file.

Table 168.1 SOLID168 Element Output Definitions

Name | Definition
S:X, Y, Z, XY, YZ, XZ | Stresses
S:1, 2, 3 | Principal stresses
S:INT | Stress intensity
S:EQV | Equivalent stress
EPTO:X, Y, Z, XY, YZ, XZ | Total strains
EPTO:1, 2, 3 | Total principle strains
EPTO:INT | Total strain intensity
EPTO:EQV | Total equivalent strain
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains
EPEL:1, 2, 3 | Principal elastic strains
EPEL:INT | Elastic strain intensity
EPEL:EQV | Equivalent elastic strains
EPPL:EQV | Equivalent plastic strains

Note

Stress and total strain are always available. The availability of elastic strain and equivalent plastic strain depends on the material model used for the element (see Element Output Data in the ANSYS LS-DYNA User's Guide for details).

SOLID168 Assumptions and Restrictions

  • Zero volume elements are not allowed.

  • The element may not be twisted such that it has two separate volumes. This occurs most frequently when the element is not numbered properly.

  • The element must have ten nodes.

SOLID168 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LINK167 		Up / Home Next
TARGE169


TARGE169

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

TARGE169

2-D Target Segment

MP ME ST PR PRN DS DSS <> EM <> <> PP <>

Product Restrictions

TARGE169 Element Description

TARGE169 is used to represent various 2-D "target" surfaces for the associated contact elements (CONTA171, CONTA172, and CONTA175). The contact elements themselves overlay the solid elements describing the boundary of a deformable body and are potentially in contact with the target surface, defined by TARGE169. This target surface is discretized by a set of target segment elements (TARGE169) and is paired with its associated contact surface via a shared real constant set. You can impose any translational or rotational displacement, temperature, voltage, and magnetic potential on the target segment element. You can also impose forces and moments on target elements. See TARGE169 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. To represent 3-D target surfaces, use TARGE170, a 3-D target segment element. For rigid targets, these elements can easily model complex target shapes. For flexible targets, these elements will overlay the solid elements describing the boundary of the deformable target body.

Figure 169.1 TARGE169 Geometry

TARGE169 Input Data

The target surface is modeled through a set of target segments, typically, several target segments comprise one target surface.

The target surface can either be rigid or deformable. For modeling rigid-flexible contact, the rigid surface must be represented by a target surface. For flexible-flexible contact, one of the deformable surfaces must be overlayed by a target surface. See the Contact Technology Guide for more information about designating contact and target surfaces.

The target and associated contact surfaces are identified by a shared real constant set. This real constant set includes all real constants for both the target and contact elements.

Each target surface can be associated with only one contact surface, and vice-versa. However, several contact elements could make up the contact surface and thus come in contact with the same target surface. Likewise, several target elements could make up the target surface and thus come in contact with the same contact surface. For either the target or contact surfaces, you can put many elements in a single target or contact surface, but doing so may increase computational cost. For a more efficient model, localize the contact and target surfaces by splitting the large surfaces into smaller target and contact surfaces, each of which contain fewer elements.

If one contact surface may contact more than one target surface, you must define duplicate contact surfaces that share the same geometry but relate to separate targets, that is, have separate real constant set numbers.

For any target surface definition, the node ordering of the target segment element is critical for proper detection of contact. The nodes must be ordered so that, for a 2-D surface, the associated contact elements (CONTA171, CONTA172, or CONTA175) must lie to the right of the target surface when moving from target node I to target node J. For a rigid 2-D complete circle, contact must occur on the outside of the circle; internal contacting is not allowed.

Considerations for Rigid Targets

Each target segment is a single element with a specific shape, or segment type. The segment types are defined by one, two, or three nodes and a target shape code, TSHAP, and are described in Table 169.1: "TARGE169 2-D Segment Types, Target Shape Codes, and Nodes". The TSHAP command indicates the geometry (shape) of the element. The segment dimensions are defined by a real constant (R1), and the segment location is determined by the nodes. ANSYS supports six 2-D segment types; see Table 169.1: "TARGE169 2-D Segment Types, Target Shape Codes, and Nodes".

Table 169.1 TARGE169 2-D Segment Types, Target Shape Codes, and Nodes

TSHAP | Segment Type | Node1 (DOF) | Node 2 (DOF)[1] | Node 3 (DOF) | R1[2] | R2
LINE | Straight line | 1st corner pt (UX, UY) (TEMP) (VOLT) (AZ) | 2nd corner pt (UX, UY) (TEMP) (VOLT) (AZ) | None | None | None
ARC | Arc, clockwise | 1st corner pt (UX, UY) (TEMP) (VOLT) (AZ) | 2nd corner pt (UX, UY) (TEMP) (VOLT) (AZ) | Circle center pt (UX, UY) (TEMP) (VOLT) (AZ) | None | None
CARC | Arc, counter- clockwise | 1st corner pt (UX, UY) (TEMP) (VOLT) (AZ) | 2nd corner pt (UX, UY) (TEMP) (VOLT) (AZ) | Circle center pt (UX, UY) (TEMP) (VOLT) (AZ) | None | None
PARA | Parabola | 1st corner pt (UX, UY) (TEMP) (VOLT) (AZ) | 2nd corner pt (UX, UY) (TEMP) (VOLT) (AZ) | Midside pt (UX, UY) (TEMP) (VOLT) (AZ) | None | None
CIRC | Circle | Circle center pt (UX, UY) (TEMP) (VOLT) (AZ) | None | None | Radius | None
PILO | Pilot node | 2-D: (UX, UY, ROTZ) (TEMP) (VOLT) (AZ) | None | None | None | None

  1. The DOF available depends on the setting of KEYOPT(1) for the associated contact element. For more information, see the element documentation for CONTA171, CONTA172, or CONTA175.

  2. When creating a circle via direct generation, define the real constant R1 before creating the element.

Figure 169.2 TARGE169 2-D Segment Types

For simple rigid target surfaces, you can define the target segment elements individually by direct generation. You must first specify the SHAPE argument for the TSHAP command. When creating circles through direct generation, you must also define the real constant R1 before creating the element. Real constant R1 (see Table 169.1: "TARGE169 2-D Segment Types, Target Shape Codes, and Nodes") defines the radius of the target circle.

For general 2-D rigid surfaces, target segment elements can be defined by line meshing (LMESH). You can also use keypoint meshing (KMESH) to generate the pilot node.

If the TARGE169 elements will be created via automatic meshing (LMESH or KMESH), then the TSHAP command is ignored and ANSYS chooses the correct shape automatically.

The pilot node provides a convenient, powerful way to assign boundary conditions such as rotations, translations, moments, temperature, and voltage on an entire rigid target surface. You assign the conditions only to the pilot node, eliminating the need to assign boundary conditions to individual nodes and reducing the chance of error. The pilot node, unlike the other segment types, is used to define the degrees of freedom for the entire target surface. This node can be any of the target surface nodes, but it does not have to be. All possible rigid motions of the target surface will be a combination of a translation and a rotation around the pilot node. The boundary conditions (including displacement, rotation, force, moment, temperature, voltage, and magnetic potential) of the entire target surface can be specified only on pilot nodes.

For rotation of a rigid body constrained only by a bonded, rigid-flexible contact pair with a pilot node, use the MPC algorithm or a surface-based constraint as described in Multipoint Constraints and Assemblies. Penalty-based algorithms can create undesirable rotational energies in this situation.

By default, ANSYS automatically fixes the degree of freedom for rigid target nodes if they aren't explicitly constrained (KEYOPT(2) = 0). If you wish, you can override the automatic boundary condition settings by setting KEYOPT(2) = 1.

By default, the temperature is set to the value of TUNIF, and if this has no explicit value the temperature is set to zero. For thermal contact analysis, such as convection and radiation modeling, the behavior of a thermal contact surface (whether a “near-field” or “free” surface) is usually based on the contact status. Contact status affects the behavior of the contact surface as follows:

  • If the contact surface is outside the pinball region, its behavior is as a far-field of free surface. In this instance, convection/radiation occurs with the ambient temperature.

  • If the contact surface is inside the pinball region, the behavior is as a near-field surface.

However, the thermal contact surface status is ignored if KEYOPT(3) = 1 is set, and the surface is always treated as a free surface (see CONTA171, CONTA172, or CONTA175 for details).

Considerations for Deformable Target Surfaces

For general deformable surfaces, you will normally use the ESURF command to overlay the target elements on the boundary of the existing mesh. Note that the segment types (TSHAP command) should not be used for this case.

A summary of the element input is given in "TARGE169 Input Summary". A general description of element input is given in Element Input.

TARGE169 Input Summary

Nodes

I, J, K (J and K are not required for all segment types)

Degrees of Freedom

UX, UY, ROTZ, TEMP, VOLT, AZ (ROTZ is used for the pilot node only )

Real Constants

R1, R2, [the others are defined through the associated CONTA171, CONTA172, or CONTA175 element]

Material Properties

None

Surface Loads

None

Body Loads

None

Special Features
Nonlinear
Birth and death
KEYOPT(2)

Boundary conditions for rigid target nodes:

0 --

Automatically constrained by ANSYS

1 --

Specified by user

KEYOPT(3)

Behavior of thermal contact surface

0 --

Based on contact status

1 --

Treated as free-surface

KEYOPT(4)

DOF set to be constrained on dependent DOF for internally-generated multipoint constraints (MPCs). This option is used for solid-solid and shell-shell assemblies and for surface-based constraints that use a single pilot node for the target element:

n --

Enter a three digit value that represents the DOF set to be constrained. The first to third digits represent ROTZ, UY, UX, respectively. The number 1 (one) indicates the DOF is active, and the number 0 (zero) indicates the DOF is not active. For example, 011 means that UX and UY will be used in the multipoint constraint. Leading zeros may be omitted; for example, you can enter 1 to indicate that UX is the only active DOF. If KEYOPT(4) = 0 (which is the default) or 111, all DOF are constrained.

TARGE169 Output Data

The solution output associated with the element is shown in Table 169.2: "TARGE169 Element Output Definitions". The following notation is used:

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 169.2 TARGE169 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes I, J, and K | Y | Y
ITRGET | Target surface number (assigned by ANSYS) | Y | Y
TSHAP | Segment shape type | Y | Y
ISEG | Segment numbering | 1 | 1

  1. Determined by ANSYS

TARGE169 Assumptions and Restrictions

  • The 2-D segment element must be defined in an X-Y plane.

  • For circular arcs, the third node defines the actual center of the circle and must be defined accurately when the element is generated and must be moved consistently with the other nodes during the deformation process. If the third node is not moved consistently with the other nodes, the arc shape will change with that node's movement. To ensure the correct behavior, apply all boundary conditions to a pilot node.

  • For parabolic segments, the third point must lie at the middle of the parabola.

  • For rigid surfaces, no external forces can be applied on target nodes except on a pilot node. If a pilot node is specified for a target surface, ANSYS will ignore the boundary conditions on any nodes of the target surface except for the pilot nodes. For each pilot node, ANSYS automatically defines an internal node and an internal constraint equation. The rotational DOF of the pilot node is connected to the translational DOF of the internal node by the internal constraint equation. You cannot use constraint equations or coupling on pilot nodes.

  • Generally speaking, you should not change the R1 real constant between load steps or during restart stages; otherwise ANSYS assumes the radius of the circle varies between the load steps. When using direct generation, the real constant R1 for circles may be defined before the input of the element nodes. If multiple rigid circles are defined, each having a different radius, they must be defined by different target surfaces.

TARGE169 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID168 		Up / Home Next
TARGE170


TARGE170

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

TARGE170

3-D Target Segment

MP ME ST PR PRN DS DSS <> EM <> <> PP <>

Product Restrictions

TARGE170 Element Description

TARGE170 is used to represent various 3-D "target" surfaces for the associated contact elements (CONTA173, CONTA174, CONTA175, CONTA176, and CONTA177). The contact elements themselves overlay the solid, shell, or line elements describing the boundary of a deformable body and are potentially in contact with the target surface, defined by TARGE170. This target surface is discretized by a set of target segment elements (TARGE170) and is paired with its associated contact surface via a shared real constant set. You can impose any translational or rotational displacement, temperature, voltage, and magnetic potential on the target segment element. You can also impose forces and moments on target elements. See TARGE170 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. To represent 2-D target surfaces, use TARGE169, a 2-D target segment element.

For rigid target surfaces, these elements can easily model complex target shapes. For flexible targets, these elements will overlay the solid, shell, or line elements describing the boundary of the deformable target body.

Figure 170.1 TARGE170 Geometry

TARGE170 Input Data

The target surface is modeled through a set of target segments, typically, several target segments comprise one target surface.

The target surface can either be rigid or deformable. For modeling rigid-flexible contact, the rigid surface must be represented by a target surface. For flexible-flexible contact, one of the deformable surfaces must be overlayed by a target surface. See the Contact Technology Guide for more information about designating contact and target surfaces.

The target and associated contact surfaces are identified via a shared real constant set. This real constant set includes all real constants for both the target and contact elements.

Each target surface can be associated with only one contact surface, and vice-versa. However, several contact elements could make up the contact surface and thus come in contact with the same target surface. Likewise, several target elements could make up the target surface and thus come in contact with the same contact surface. For either the target or contact surfaces, you can put many elements in a single target or contact surface, but doing so may increase computational cost. For a more efficient model, localize the contact and target surfaces by splitting the large surfaces into smaller target and contact surfaces, each of which contain fewer elements.

If a contact surface may contact more than one target surface, you must define duplicate contact surfaces that share the same geometry but relate to separate targets, that is, that have separate real constant set numbers.

Figure 170.2: "TARGE170 Segment Types" shows the available segment types for TARGE170. The general 3-D surface segments (3-node and 6-node triangles, and 4-node and 8-node quadrilaterals) and the primitive segments (cylinder, cone, and sphere) can be paired with 3-D surface-to-surface contact elements, CONTA173 and CONTA174, the 3-D node-to-surface contact element, CONTA175, and the 3-D line-to-surface contact element, CONTA177. The line segments (2-node line and 3-node parabola) can only be paired with the 3-D line-to-line contact element, CONTA176, to model 3-D beam-to-beam contact.

For any target surface definition, the node ordering of the target segment element is critical for proper detection of contact. For the general 3-D surface segments (triangle and quadrilateral segment types), the nodes must be ordered so that the outward normal to the target surface is defined by the right hand rule (see Figure 170.2: "TARGE170 Segment Types"). Therefore, for the surface target segments, the outward normal by the right hand rule is consistent to the external normal. For 3-D line segments (straight line and parabolic line), the nodes must be entered in a sequence that defines a continuous line. For a rigid cylinder, cone, or sphere, contact must occur on the outside of the elements; internal contacting of these segments is not allowed.

Considerations for Rigid Target Surfaces

Each target segment of a rigid surface is a single element with a specific shape, or segment type.The segment types are defined by several nodes and a target shape code, TSHAP, and are described in Table 170.1: "TARGE170 3-D Segment Types, Target Shape Codes, and Nodes". The TSHAP command indicates the geometry (shape) of the element. The segment radii are defined by real constants (R1 and R2), and the segment location is determined by the nodes. ANSYS supports ten 3-D segment types; see Table 170.1: "TARGE170 3-D Segment Types, Target Shape Codes, and Nodes".

Table 170.1 TARGE170 3-D Segment Types, Target Shape Codes, and Nodes

TSHAP | Segment Type | Nodes (DOF)[1] | R1 | R2
TRIA | 3-node triangle | 1st - 3rd nodes are corner points (UX, UY, UZ) (TEMP) (VOLT) (MAG) | None | None
QUAD | 4-node quadrilateral | 1st - 4th nodes are corner points (UX, UY, UZ) (TEMP) (VOLT) (MAG) | None | None
TRI6 | 6-node triangle | 1st - 3rd nodes are corner points, 4th - 6th are midside nodes (UX, UY, UZ) (TEMP) (VOLT) (MAG) | None | None
QUA8 | 8-node quadrilateral | 1st - 4th nodes are corner points, 5th - 8th are midside nodes (UX, UY, UZ) (TEMP) (VOLT) (MAG) | None | None
LINE | 2-node straight line | 1st - 2nd nodes are line end points (UX, UY, UZ) | Target Radius[4] | Contact Radius[5]
PARA | 3-node parabola | 1st - 2nd nodes are line end points, 3rd is a midside node (UX, UY, UZ) | Target Radius[4] | Contact Radius[5]
CYLI | Cylinder[2] | 1st - 2nd nodes are axial end points (UX, UY, UZ) (TEMP) (VOLT) (MAG) | Radius | None
CONE | Cone[2] | 1st - 2nd nodes are axial end points (UX, UY, UZ) (TEMP) (VOLT) (MAG) | Radius at node 1 | Radius at node 2
SPHE | Sphere[2] | Sphere center point (UX, UY, UZ) (TEMP) (VOLT) (MAG) | Radius | None
PILO | Pilot node[3] | 1st point: (UX, UY, UZ, ROTX, ROTY, ROTZ) (TEMP) (VOLT) (MAG) | None | None

  1. The DOF available depends on the setting of KEYOPT(1) of the associated contact element. Refer to the element documentation for either CONTA173, CONTA174, or CONTA175 for more details.

  2. When creating a cylinder, cone, or sphere via direct generation, define the real constant set before creating the element.

  3. Only pilot nodes have rotational degrees of freedom (ROTX, ROTY, ROTZ).

  4. Input the target radius as a negative value when modeling internal pipe-to-pipe contact (a pipe contacting/sliding inside another pipe). Input a positive value to model external 3-D beam-to-beam contact.

  5. Input a positive contact radius when modeling internal pipe-to-pipe contact or external 3-D beam-to-beam contact.

Figure 170.2: "TARGE170 Segment Types" shows the 3-D segment shapes.

Figure 170.2 TARGE170 Segment Types

For simple rigid target surfaces (including line segments), you can define the target segment elements individually by direct generation. You must first specify the SHAPE argument on the TSHAP command. When creating cylinders, cones, or spheres through direct generation, you must also define the real constant R1 (and R2 for cones) before creating the element.

For general 3-D rigid surfaces, target segment elements can be defined by area meshing (AMESH). Set KEYOPT(1) = 0 (the default) to generate low order target elements (3-node triangles and/or 4-node quadrilaterals) for rigid surfaces. Set KEYOPT(1) = 1 to generate target elements with midside nodes (6-node triangles and/or 8-node quadrilaterals).

For 3-D rigid lines, target segment elements can be defined by line meshing (LMESH). Set KEYOPT(1) = 0 (the default) to generate low order target elements (2-node straight lines). Set KEYOPT(1) = 1 to generate target elements with midside nodes (3-node parabolas).

You can also use keypoint meshing (KMESH) to generate the pilot node.

If the TARGE170 elements will be created via program meshing (AMESH, LMESH, or KMESH commands), then the TSHAP command is ignored and ANSYS chooses the correct shape automatically.

The pilot node provides a convenient, powerful way to assign boundary conditions such as rotations, translations, moments, temperature, and voltage on an entire rigid target surface. You assign the conditions only to the pilot node, eliminating the need to assign boundary conditions to individual nodes and reducing the chance of error. The pilot node, unlike the other segment types, is used to define the degrees of freedom for the entire target surface. This node can be any of the target surface nodes, but it does not have to be. All possible rigid motions of the target surface will be a combination of a translation and a rotation around the pilot node. The boundary conditions (including displacement, rotation, force, moment, temperature, voltage, and magnetic potential) of the entire target surface can be specified only on pilot nodes.

For rotation of a rigid body constrained only by a bonded, rigid-flexible contact pair with a pilot node, use the MPC algorithm or a surface-based constraint as described in Multipoint Constraints and Assemblies. Penalty-based algorithms can create undesirable rotational energies in this situation.

Real constants R1 and R2 (see Table 170.1: "TARGE170 3-D Segment Types, Target Shape Codes, and Nodes") define the dimensions of the target shape.

By default, ANSYS automatically fixes the structural degree of freedom for rigid target nodes if they aren't explicitly constrained (KEYOPT(2) = 0). If you wish, you can override the automatic boundary condition settings by setting KEYOPT(2) = 1.

By default, the temperature is set to the value of TUNIF, and if this has no explicit value the temperature is set to zero. For thermal contact analysis, such as convection and radiation modeling, the behavior of a thermal contact surface (whether a “near-field” or “free” surface) is usually based on the contact status. Contact status affects the behavior of the contact surface as follows:

  • If the contact surface is outside the pinball region, its behavior is as a far-field of free surface. In this instance, convection/radiation occurs with the ambient temperature.

  • If the contact surface is inside the pinball region, the behavior is as a near-field surface.

However, the thermal contact surface status is ignored if KEYOPT(3) = 1 is set, and the surface is always treated as a free surface (see CONTA173, CONTA174, or CONTA175 for details).

Considerations for Deformable Target Surfaces

For general deformable surfaces, use the ESURF command to overlay the target elements on the boundary of the existing mesh. By default, the command generates a target element with an external surface that has the same shape as the underlying element. While not recommended, you may select to split the external surface into triangle facet elements by issuing the ESURF,,,TRI command (see Figure 170.3: "TARGE170 Triangle Facet Elements"). The cylinder, cone, sphere, or pilot node target segments should not be used for deformable target surfaces.

Figure 170.3 TARGE170 Triangle Facet Elements

Note

Segment types (TSHAP command) should not be used for this case

A summary of the element input is given in "TARGE170 Input Summary". A general description of element input is given in Element Input.

TARGE170 Input Summary

Nodes

I, J, K, L, M, N, O, P (J - P are not required for all segment types)

Degrees of Freedom

UX, UY, UZ, TEMP, VOLT, MAG (ROTX, ROTY, ROTZ for pilot nodes only)

Real Constants

R1, R2, [the others are defined through the associated CONTA173, CONTA174, CONTA175, CONTA176, or CONTA177 elements]

Material Properties

None

Surface Loads

None

Body Loads

None

Special Features
Nonlinear
Birth and death
KEYOPT(1)

Element order (used by AMESH and LMESH commands only):

0 --

Low order elements

1 --

High order elements

KEYOPT(2)

Boundary conditions for rigid target nodes:

0 --

Automatically constrained by ANSYS

1 --

Specified by user

KEYOPT(3)

Behavior of thermal contact surface:

0 --

Based on contact status

1 --

Treated as free-surface

KEYOPT(4)

DOF set to be constrained on dependent DOF for internally-generated multipoint constraints (MPCs). This option is used for solid-solid and shell-shell assemblies and for surface-based constraints that use a single pilot node for the target element:

n --

Enter a six digit value that represents the DOF set to be constrained. The first to sixth digits represent ROTZ, ROTY, ROTX, UZ, UY, UX, respectively. The number 1 (one) indicates the DOF is active, and the number 0 (zero) indicates the DOF is not active. For example, 100011 means that UX, UY, and ROTZ will be used in the multipoint constraint. Leading zeros may be omitted; for example, you can enter 11 to indicate that UX and UY are the only active DOF. If KEYOPT(4) = 0 (which is the default) or 111111, all DOF are constrained.

KEYOPT(5)

DOF set to be used in internally-generated multipoint constraints (MPCs), with the MPC algorithm and no separation or bonded behavior (KEYOPT(2) = 2 and KEYOPT(12) = 4, 5, or 6 on the contact element). Note that this key option is not used for surface-based constraints. (See "Multipoint Constraints and Assemblies" in the Contact Technology Guide for more information.):

0 --

Automatic constraint type detection (default)

1 --

Solid-solid constraint (no rotational DOFs are constrained)

2 --

Shell-shell constraint (both translational and rotational DOFs are constrained). Also used with penalty based shell-shell assembly (KEYOPT(2) = 0 or 1 and KEYOPT(12) = 5 or 6 on the contact element); see Bonded Contact for Shell-Shell Assemblies in the Contact Technology Guide for more information.

3 --

Shell-solid constraint - contact normal direction (both translational and rotational DOFs are constrained on shell edges; only translational DOFs are constrained on solid surfaces)

4 --

Shell-solid constraint - all directions. This option acts the same as KEYOPT(5) = 3 if an intersection is found from the contact normal to the target surface. Otherwise, constraint equations are still built as long as contact node(s) and target segments are inside the pinball region.

Note

When the no separation option (KEYOPT(12) = 4 on the contact element) is used with the MPC approach, only the KEYOPT(5) = 0 and 1 options (auto detection or solid-solid constraint) described above are valid. If the auto detection option is set and the program finds a shell-shell or shell-solid constraint in this situation, the solution will terminate.

TARGE170 Output Data

The solution output associated with the element is shown in Table 170.2: "TARGE170 Element Output Definitions".

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 170.2 TARGE170 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes I, J, and K | Y | Y
ITRGET | Target surface number (assigned by ANSYS) | Y | Y
TSHAP | Segment shape type | Y | Y
ISEG | Segment numbering | 1 | 1

  1. Determined by ANSYS

TARGE170 Assumptions and Restrictions

  • Generally speaking, you should not change real constants R1 or R2, either between load steps or during restart stages; otherwise ANSYS assumes the radii of the primitive segments varies between the load steps. When using direct generation, the real constants for cylinders, cones, and spheres may be defined before the input of the element nodes. If multiple rigid primitives are defined, each having different radii, they must be defined by different target surfaces.

  • No external forces can be applied on target nodes except on a pilot node. To ensure the correct behavior, apply all boundary conditions to a pilot node.

  • If a pilot node is specified for a target surface, ANSYS will ignore the boundary conditions on any nodes of the target surface except for the pilot nodes. For each pilot node, ANSYS automatically defines an internal node and an internal constraint equation. The rotational DOF of the pilot node is connected to the translational DOF of the internal node by the internal constraint equation.

  • ANSYS recommends against using constraint equations or coupling on pilot nodes; if you do, conflicts may occur, yielding incorrect results. CE and CP commands do not apply to other nodes of a target surface because they do not have degrees of freedom (even when the pilot node is not present).

TARGE170 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TARGE169 		Up / Home Next
CONTA171


CONTA171

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

CONTA171

2-D 2-Node Surface-to-Surface Contact

MP ME ST PR PRN DS DSS <> EM <> <> PP <>

Product Restrictions

CONTA171 Element Description

CONTA171 is used to represent contact and sliding between 2-D "target" surfaces (TARGE169) and a deformable surface, defined by this element. The element is applicable to 2-D structural and coupled field contact analyses. This element is located on the surfaces of 2-D solid, shell, or beam elements without midside nodes (PLANE42, PLANE67, PLANE182, VISCO106, SHELL208, BEAM3, BEAM23, PLANE13, PLANE55, or MATRIX50). It has the same geometric characteristics as the solid, shell, or beam element face with which it is connected (see Figure 171.1: "CONTA171 Geometry"). Contact occurs when the element surface penetrates one of the target segment elements (TARGE169) on a specified target surface. Coulomb and shear stress friction is allowed. This element also allows separation of bonded contact to simulate interface delamination. See CONTA171 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. Other surface-to-surface contact elements (CONTA172, CONTA173, CONTA174) are also available.

Figure 171.1 CONTA171 Geometry

CONTA171 Input Data

The geometry and node locations are shown in Figure 171.1: "CONTA171 Geometry". The element is defined by two nodes (the underlying solid, shell, or beam element has no midside nodes). If the underlying solid, shell, or beam elements do have midside nodes, use CONTA172. The element x-axis is along the I-J line of the element. The correct node ordering of the contact element is critical for proper detection of contact. The nodes must be ordered such that the target must lie to the right side of the contact element when moving from the first contact element node to the second contact element node as in Figure 171.1: "CONTA171 Geometry". See Generating Contact Elements in the Contact Technology Guide for more information on generating elements automatically using the ESURF command.

The 2-D contact surface elements are associated with the 2-D target segment elements (TARGE169) via a shared real constant set. ANSYS looks for contact only between surfaces with the same real constant set. For modeling either rigid-flexible or flexible-flexible contact, one of the deformable surfaces must be represented by a contact surface. See Designating Contact and Target Surfaces in the Contact Technology Guide for more information.

If more than one target surface will make contact with the same boundary of solid elements, you must define several contact elements that share the same geometry but relate to separate targets (targets which have different real constant numbers), or you must combine the two target surfaces into one (targets that share the same real constant numbers).

To model separation of bonded contact with KEYOPT(12) = 4, 5, or 6, use the TB command with the CZM label. See " Debonding" in the Contact Technology Guide for more information.

This element supports various 2-D stress states, including plane stress, plane strain, and axisymmetric states. The stress state is automatically detected according to the stress state of the underlying element. However, if the underlying element is a superelement, you must use KEYOPT(3) to specify the stress state.

A summary of the element input is given in "CONTA171 Input Summary". A general description of element input is given in Element Input. For axisymmetric applications see Axisymmetric Elements.

CONTA171 Input Summary

Nodes

I, J

Degrees of Freedom
UX, UY (if KEYOPT(1) = 0)
UX, UY, TEMP (if KEYOPT(1) = 1)
TEMP (if KEYOPT(1) = 2)
UX, UY, TEMP, VOLT (if KEYOPT(1) = 3)
TEMP, VOLT (if KEYOPT(1) = 4)
UX, UY, VOLT (if KEYOPT(1) = 5)
VOLT (if KEYOPT(1) = 6)
AZ (if KEYOPT(1) = 7)
Real Constants
R1, R2, FKN, FTOLN, ICONT, PINB,
PMAX, PMIN, TAUMAX, CNOF, FKOP, FKT,
COHE, TCC, FHTG, SBCT, RDVF, FWGT,
ECC, FHEG, FACT, DC, SLTO, TNOP,
TOLS
See Table 171.1: "CONTA171 Real Constants" for descriptions of the real constants.
Material Properties
DAMP, MU, EMIS (MP command)
CZM (TB command; see Cohesive Zone Materials Used for Debonding in the Contact Technology Guide)
Surface Loads
Convection, Face 1 (I-J)
Heat Flux, Face 1 (I-J)
Special Features
Nonlinear
Large deflection
Debonding
Birth and death
KEYOPTs

Presented below is a list of KEYOPTS available for this element. Included are links to sections in the Contact Technology Guide where more information is available on a particular topic.

KEYOPT(1)

Selects degrees of freedom:

0 --

UX, UY

1 --

UX, UY, TEMP

2 --

TEMP

3 --

UX, UY, TEMP, VOLT

4 --

TEMP, VOLT

5 --

UX, UY, VOLT

6 --

VOLT

7 --

AZ

KEYOPT(2)

Contact algorithm:

0 --

Augmented Lagrangian (default)

1 --

Penalty function

2 --

Multipoint constraint (MPC); see "Multipoint Constraints and Assemblies" in the Contact Technology Guide for more information

3 --

Lagrange multiplier on contact normal and penalty on tangent

4 --

Pure Lagrange multiplier on contact normal and tangent

KEYOPT(3)

Stress state when superelements are present:

0 --

Use with h-elements (no superelements)

1 --

Axisymmetric (use with superelements only)

2 --

Plane stress/Plane strain (use with superelements only)

3 --

Plane stress with thickness input (use with superelements only)

KEYOPT(4)

Location of contact detection point:

0 --

On Gauss point (for general cases)

1 --

On nodal point - normal from contact surface

2 --

On nodal point - normal to target surface

Note

When using the multipoint constraint (MPC) approach to define surface-based constraints, use KEYOPT(4) in the following way: set KEYOPT(4) = 1 for a force-distributed constraint, set KEYOPT(4) = 2 for a rigid surface constraint. See Surface-based Constraints for more information.

KEYOPT(5)

CNOF/ICONT Automated adjustment:

0 --

No automated adjustment

1 --

Close gap with auto CNOF

2 --

Reduce penetration with auto CNOF

3 --

Close gap/reduce penetration with auto CNOF

4 --

Auto ICONT

KEYOPT(6)

Contact stiffness variation (used to enhance stiffness updating when KEYOPT(10) > 0):

0 --

Use default range for stiffness updating

1 --

Make a nominal refinement to the allowable stiffness range

2 --

Make an aggressive refinement to the allowable stiffness range

KEYOPT(7)

Element level time incrementation control:

0 --

No control

1 --

Automatic bisection of increment

2 --

Change in contact predictions made to maintain a reasonable time/load increment

3 --

Change in contact predictions made to achieve the minimum time/load increment whenever a change in contact status occurs

Note

For KEYOPT(7) = 2 or 3, includes automatic bisection of increment. Activated only if SOLCONTROL,ON,ON at the procedure level.

KEYOPT(8)

Asymmetric contact selection:

0 --

No action

2 --

ANSYS internally selects which asymmetric contact pair is used at the solution stage (used only when symmetry contact is defined).

KEYOPT(9)

Effect of initial penetration or gap:

0 --
Include both initial geometrical penetration or gap and offset
1 --

Exclude both initial geometrical penetration or gap and offset

2 --

Include both initial geometrical penetration or gap and offset, but with ramped effects

3 --

Include offset only (exclude initial geometrical penetration or gap)

4 --

Include offset only (exclude initial geometrical penetration or gap), but with ramped effects

Note

For KEYOPT(9) = 1, 3, or 4, the indicated initial gap effect is considered only if KEYOPT(12) = 4 or 5.

KEYOPT(10)

Contact stiffness update:

0 --

Each load step if FKN is redefined during load step (pair based).

1 --

Each substep based on mean stress of underlying elements from the previous substep (pair based).

2 --

Each iteration based on current mean stress of underlying elements (pair based).

3 --

Each load step if FKN is redefined during load step (individual element based).

4 --

Each substep based on mean stress of underlying elements from the previous substep (individual element based).

5 --

Each iteration based on current mean stress of underlying elements (individual element based).

Note

KEYOPT(10) = 0, 1, and 2 are pair based, meaning that the stiffness and settings for ICONT, FTOLN, PINB, PMAX, and PMIN are averaged across all the contact elements in a contact pair. For KEYOPT(10) = 3, 4, and 5, the stiffness and settings are based on each individual contact element (geometry and material behaviors).

KEYOPT(11)

Beam/Shell thickness effect:

0 --

Exclude

1 --

Include

KEYOPT(12)

Behavior of contact surface:

0 --

Standard

1 --

Rough

2 --

No separation (sliding permitted)

3 --

Bonded

4 --

No separation (always)

5 --

Bonded (always)

6 --

Bonded (initial contact)

Note

When KEYOPT(12) = 5 or 6 is used with the MPC algorithm to model surface-based constraints, the KEYOPT(12) setting will have an impact on the local coordinate system of the contact element nodes. See Specifying a Local Coordinate System in the Contact Technology Guide for more information.

Table 171.1 CONTA171 Real Constants

No. | Name | Description | For more information, see this section in the Contact Technology Guide . . .
1 | R1 | Target circle radius | Defining the Target Surface
2 | R2 | Superelement thickness | Defining the Target Surface
3 | FKN | Normal penalty stiffness factor | Determining Contact Stiffness and Penetration
4 | FTOLN | Penetration tolerance factor | Determining Contact Stiffness and Penetration
5 | ICONT | Initial contact closure | Adjusting Initial Contact Conditions
6 | PINB | Pinball region | Determining Contact Status and the Pinball Region or Defining Influence Range (PINB)
7 | PMAX | Upper limit of initial allowable penetration | Adjusting Initial Contact Conditions
8 | PMIN | Lower limit of initial allowable penetration | Adjusting Initial Contact Conditions
9 | TAUMAX | Maximum friction stress | Choosing a Friction Model
10 | CNOF | Contact surface offset | Adjusting Initial Contact Conditions
11 | FKOP | Contact opening stiffness or contact damping | Selecting Surface Interaction Models
12 | FKT | Tangent penalty stiffness factor | Determining Contact Stiffness
13 | COHE | Contact cohesion | Choosing a Friction Model
14 | TCC | Thermal contact conductance | Modeling Conduction
15 | FHTG | Frictional heating factor | Modeling Heat Generation Due to Friction
16 | SBCT | Stefan-Boltzmann constant | Modeling Radiation
17 | RDVF | Radiation view factor | Modeling Radiation
18 | FWGT | Heat distribution weighing factor | Modeling Heat Generation Due to Friction (thermal) or Heat Generation Due to Electric Current (electric)
19 | ECC | Electric contact conductance | Modeling Surface Interaction
20 | FHEG | Joule dissipation weight factor | Heat Generation Due to Electric Current
21 | FACT | Static/dynamic ratio | Static and Dynamic Friction Coefficients
22 | DC | Exponential decay coefficient | Static and Dynamic Friction Coefficients
23 | SLTO | Allowable elastic slip | Using FKT and SLTO
24 | TNOP | Maximum allowable tensile contact pressure | Chattering Control Parameters
25 | TOLS | Target edge extension factor | Selecting Location of Contact Detection

CONTA171 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 171.2: "CONTA171 Element Output Definitions"

A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 171.2: "CONTA171 Element Output Definitions" gives element output. In the results file, the nodal results are obtained from its closest integration point.

Table 171.2 CONTA171 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes I, J | Y | Y
XC, YC | Location where results are reported | Y | 5
TEMP | Temperatures T(I), T(J) | Y | Y
LENGTH | Element length | Y | -
VOLU | AREA | Y | Y
NPI | Number of integration points | Y | -
ITRGET | Target surface number (assigned by ANSYS) | Y | -
ISOLID | Underlying solid, shell, or beam element number | Y | -
CONT:STAT | Current contact statuses | 1 | 1
OLDST | Old contact statuses | 1 | 1
NX, NY | Surface normal vector components | Y | -
ISEG | Underlying current target number | Y | Y
OLDSEG | Underlying old target number | Y | -
CONT:PENE | Current penetration (gap = 0; penetration = positive value) | Y | Y
CONT:GAP | Current gap (gap = negative value; penetration = 0) | Y | Y
NGAP | New or current gap at current converged substep (gap = negative value; penetration = positive value) | Y | -
OGAP | Old gap at previously converged substep (gap = negative value; penetration = positive value) | Y | -
IGAP | Initial gap at start of current substep (gap = negative value; penetration = positive value) | Y | Y
CONT:PRES | Normal contact pressure | Y | Y
CONT:SFRIC | Tangential contact stress | Y | Y
KN | Current normal contact stiffness (Force/Length3) | Y | Y
KT | Current tangent contact stiffness (Force/Length3) | Y | Y
MU | Friction coefficient | Y | -
CONT:SLIDE | Total accumulated sliding (algebraic sum) | 3 | 3
CONT:ASLIDE | Total accumulated sliding (absolute sum) | 3 | 3
TOLN | Penetration tolerance | Y | Y
CONT:STOTAL | Total stress SQRT (PRES**2+SFRIC**2) | Y | Y
DBA | Penetration variation | Y | Y
PINB | Pinball Region | - | Y
CNFX | Contact element force-x component | - | 4
CNFY | Contact element force-Y component | - | Y
CONV | Convection coefficient | Y | Y
RAC | Radiation coefficient | Y | Y
TCC | Conductance coefficient | Y | Y
TEMPS | Temperature at contact point | Y | Y
TEMPT | Temperature at target surface | Y | Y
FXCV | Heat flux due to convection | Y | Y
FXRD | Heat flux due to radiation | Y | Y
FXCD | Heat flux due to conductance | Y | Y
FDDIS | Frictional energy dissipation | 6 | 6
FLUX | Total heat flux at contact surface | Y | Y
FXNP | Flux input | - | Y
CNFH | Contact element heat flow | - | Y
CAREA | Contacting area | - | Y
JCONT | Contact current density (Current/Unit Area) | Y | Y
CCONT | Contact charge density (Charge/Unit Area) | Y | Y
HJOU | Contact power/area | Y | Y
ECURT | Current per contact element | - | Y
ECHAR | Charge per contact element | - | Y
ECC | Electric contact conductance (for electric current DOF), or electric contact capacitance per unit area (for piezoelectric or electrostatic DOFs) | Y | Y
VOLTS | Voltage on contact nodes | Y | Y
VOLTT | Voltage on associated target | Y | Y
CNOS | Total number of contact status changes during substep | Y | Y
TNOP | Maximum allowable tensile contact pressure | Y | Y
SLTO | Allowable elastic slip | Y | Y
ELSI | Elastic slip distance for sticking contact within a substep | - | Y
DTSTART | Load step time during debonding | Y | Y
DPARAM | Debonding parameter | Y | Y
DENERI | Energy released due to separation in normal direction - mode I debonding | Y | Y
DENERII | Energy released due to separation in tangential direction - mode II debonding | Y | Y

  1. The possible values of STAT and OLDST are:

    0 = Open and not near contact
    1 = Open but near contact
    2 = Closed and sliding
    3 = Closed and sticking

  2. ANSYS will evaluate model to detect initial conditions.

  3. Only accumulates the sliding when contact occurs.

  4. Contact element forces are defined in the global Cartesian system.

  5. Available only at centroid as a *GET item.

  6. FDDIS = (contact friction stress)*(sliding distance of substep)/(time increment of substep)

Note

If ETABLE is used for the CONT items, the reported data is averaged across the element.

Table 171.3: "CONTA171 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See Creating an Element Table in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 171.3: "CONTA171 Item and Sequence Numbers":

Name

output quantity as defined in the Table 171.2: "CONTA171 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J

sequence number for data at nodes I, J

Table 171.3 CONTA171 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J
PRES | SMISC | 5 | 1 | 2
SFRIC | SMISC | - | 3 | 4
FLUX | SMISC | - | 6 | 7
FDDIS | SMISC | - | 8 | 9
FXCV | SMISC | - | 10 | 11
FXRD | SMISC | - | 12 | 13
FXCD | SMISC | - | 14 | 15
FXNP | SMISC | - | 16 | 17
JCONT | SMISC | - | 18 | 19
CCONT | SMISC | - | 18 | 19
HJOU | SMISC | - | 20 | 21
STAT[1] | NMISC | 19 | 1 | 2
OLDST | NMISC | - | 3 | 4
PENE[2] | NMISC | - | 5 | 6
DBA | NMISC | - | 7 | 8
SLIDE | NMISC | - | 9 | 10
KN | NMISC | - | 11 | 12
KT | NMISC | - | 13 | 14
TOLN | NMISC | - | 15 | 16
IGAP | NMISC | - | 17 | 18
PINB | NMISC | 20 | - | -
CNFX | NMISC | 21 | - | -
CNFY | NMISC | 22 | - | -
ISEG | NMISC | - | 23 | 24
ASLIDE | NMISC | - | 25 | 26
CAREA | NMISC | - | 27 | 28
MU | NMISC | - | 29 | 30
DTSTART | NMISC | - | 31 | 32
DPARAM | NMISC | - | 33 | 34
TEMPS | NMISC | - | 37 | 38
TEMPT | NMISC | - | 39 | 40
CONV | NMISC | - | 41 | 42
RAC | NMISC | - | 43 | 44
TCC | NMISC | - | 45 | 46
CNFH | NMISC | 47 | - | -
ECURT | NMISC | 48 | - | -
ECHAR | NMISC | 48 | - | -
ECC | NMISC | - | 49 | 50
VOLTS | NMISC | - | 51 | 52
VOLTT | NMISC | - | 53 | 54
CNOS | NMISC | - | 55 | 56
TNOP | NMISC | - | 57 | 58
SLTO | NMISC | - | 59 | 60
ELSI | NMISC | - | 67 | 68
DENERI | NMISC | - | 69 | 70
DENERII | NMISC | - | 71 | 72

  1. Element Status = highest value of status of integration points within the element

  2. Penetration = positive value, gap = negative value

You can display or list contact results through several POST1 postprocessor commands. The contact specific items for the PLNSOL, PLESOL, PRNSOL, and PRESOL commands are listed below:

STAT | Contact status
PENE | Contact penetration
PRES | Contact pressure
SFRIC | Contact friction stress
STOT | Contact total stress (pressure plus friction)
SLIDE | Contact sliding distance
GAP | Contact gap distance
FLUX | Total heat flux at contact surface
CNOS | Total number of contact status changes during substep

CONTA171 Assumptions and Restrictions

  • The 2-D contact element must be defined in an X-Y plane and the Y-axis must be the axis of symmetry for axisymmetric analyses.

  • An axisymmetric structure should be modeled in the +X quadrants.

  • This 2-D contact element works with any 3-D elements in your model.

  • Do not use this element in any model that contains axisymmetric harmonic elements.

  • Node numbering must coincide with the external surface of the underlying solid, shell, or beam element, or with the original elements comprising the superelement.

  • This element is nonlinear and requires a full Newton iterative solution, regardless of whether large or small deflections are specified.

  • The normal contact stiffness factor (FKN) must not be so large as to cause numerical instability.

  • FTOLN, PINB, and FKOP can be changed between load steps or during restart stages.

  • The value of FKN can be smaller when combined with the Lagrangian multiplier method, for which FTOLN must be used.

  • You can use this element in nonlinear static or nonlinear full transient analyses. In addition, you can use it in modal analyses, eigenvalue buckling analyses, and harmonic analyses. For these analysis types, the program assumes that the initial status of the element (i.e., the status at the completion of the static prestress analysis, if any) does not change.

  • When nodal detection is used and the contact node is on the axis of symmetry in an axisymmetric analysis, the contact pressure on that node is not accurate since the area of the node is zero. The contact force is accurate in this situation.

  • This element allows birth and death and will follow the birth and death status of the underlying solid, shell, beam, or target elements.

CONTA171 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The MU material property is not allowed.

  • The birth and death special feature is not allowed.

  • The DAMP material property is not allowed.

ANSYS Structural.

  • The VOLT DOF (KEYOPT(1) = 3 through 6) is not allowed.

  • The AZ DOF (KEYOPT(1) = 7) is not allowed.

ANSYS Mechanical.

  • The AZ DOF (KEYOPT(1) = 7) is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TARGE170 		Up / Home Next
CONTA172


CONTA172

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

CONTA172

2-D 3-Node Surface-to-Surface Contact

MP ME ST PR PRN DS DSS <> EM <> <> PP <>

Product Restrictions

CONTA172 Element Description

CONTA172 is used to represent contact and sliding between 2-D "target" surfaces (TARGE169) and a deformable surface, defined by this element. The element is applicable to 2-D structural and coupled field contact analyses. This element is located on the surfaces of 2-D solid elements with midside nodes (PLANE121, PLANE183, SHELL209, PLANE82, VISCO88, VISCO108, PLANE35, PLANE77, PLANE53, PLANE223, PLANE230, or MATRIX50). It has the same geometric characteristics as the solid element face with which it is connected (see Figure 172.1: "CONTA172 Geometry"). Contact occurs when the element surface penetrates one of the target segment elements (TARGE169) on a specified target surface. Coulomb and shear stress friction is allowed. This element also allows separation of bonded contact to simulate interface delamination. See CONTA172 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for a discussion concerning midside nodes. Other surface-to-surface contact elements (CONTA171, CONTA173, CONTA174) are also available.

Figure 172.1 CONTA172 Geometry

CONTA172 Input Data

The geometry and node locations are shown in Figure 172.1: "CONTA172 Geometry". The element is defined by three nodes (the underlying solid element has midside nodes). If the underlying solid elements do not have midside nodes, use CONTA171 (you may still use CONTA172 but you must drop the midside nodes). The element x-axis is along the I-J line of the element. The correct node ordering of the contact element is critical for proper detection of contact. The nodes must be ordered such that the target must lie to the right side of the contact element when moving from the first contact element node to the second contact element node as in Figure 172.1: "CONTA172 Geometry". See Generating Contact Elements in the Contact Technology Guide for more information on generating elements automatically using the ESURF command.

The 2-D contact surface elements are associated with the 2-D target segment elements (TARGE169) via a shared real constant set. ANSYS looks for contact only between surfaces with the same real constant set. For either rigid-flexible or flexible-flexible contact, one of the deformable surfaces must be represented by a contact surface. See Designating Contact and Target Surfaces in the Contact Technology Guide for more information.

If more than one target surface will make contact with the same boundary of solid elements, you must define several contact elements that share the same geometry but relate to separate targets (targets with different real constant numbers), or you must combine the two target surfaces into one (both having the same real constant number).

To model separation of bonded contact with KEYOPT(12) = 4, 5, or 6, use the TB command with the CZM label. See " Debonding" in the Contact Technology Guide for more information.

This element supports various 2-D stress states, including plane stress, plane strain, and axisymmetric states. The stress state is automatically detected according to the stress state of the underlying element. However, if the underlying element is a superelement, you must use KEYOPT(3) to specify the stress state.

A summary of the element input is given in "CONTA172 Input Summary". A general description of element input is given in Element Input.

CONTA172 Input Summary

Nodes

I, J, K

Degrees of Freedom
UX, UY (if KEYOPT(1) = 0)
UX, UY, TEMP (if KEYOPT(1) = 1)
TEMP (if KEYOPT(1) = 2)
UX, UY, TEMP, VOLT (if KEYOPT(1) = 3)
TEMP, VOLT (if KEYOPT(1) = 4)
UX, UY, VOLT (if KEYOPT(1) = 5)
VOLT (if KEYOPT(1) = 6)
AZ (if KEYOPT(1) = 7)
Real Constants
R1, R2, FKN, FTOLN, ICONT, PINB,
PMAX, PMIN, TAUMAX, CNOF, FKOP, FKT,
COHE, TCC, FHTG, SBCT, RDVF, FWGT,
ECC, FHEG, FACT, DC, SLTO, TNOP,
TOLS
See Table 172.1: "CONTA172 Real Constants" for descriptions of the real constants.
Material Properties
DAMP, MU, EMIS (MP command)
CZM (TB command; see Cohesive Zone Materials Used for Debonding in the Contact Technology Guide)
Surface Loads
Convection, Face 1 (I-J-K)
Heat Flux, Face 1 (I-J-K)
Special Features
Nonlinear
Large deflection
Debonding
Birth and death
KEYOPTs

Presented below is a list of KEYOPTS available for this element. Included are links to sections in the Contact Technology Guide where more information is available on a particular topic.

KEYOPT(1)

Selects degrees of freedom:

0 --

UX, UY

1 --

UX, UY, TEMP

2 --

TEMP

3 --

UX, UY, TEMP, VOLT

4 --

TEMP, VOLT

5 --

UX, UY, VOLT

6 --

VOLT

7 --

AZ

KEYOPT(2)

Contact algorithm:

0 --

Augmented Lagrangian (default)

1 --

Penalty function

2 --

Multipoint constraint (MPC); see "Multipoint Constraints and Assemblies" in the Contact Technology Guide for more information

3 --

Lagrange multiplier on contact normal and penalty on tangent

4 --

Pure Lagrange multiplier on contact normal and tangent

KEYOPT(3)

Stress state when superelements are present:

0 --

Use with h-elements (no superelements)

1 --

Axisymmetric (use with superelements only)

2 --

Plane stress/Plane strain (use with superelements only)

3 --

Plane stress with thickness input (use with superelements only)

KEYOPT(4)

Location of contact detection point:

0 --

On Gauss point (for general cases)

1 --

On nodal point - normal from contact surface

2 --

On nodal point - normal to target surface

Note

When using the multipoint constraint (MPC) approach to define surface-based constraints, use KEYOPT(4) in the following way: set KEYOPT(4) = 1 for a force-distributed constraint, set KEYOPT(4) = 2 for a rigid surface constraint. See Surface-based Constraints for more information.

KEYOPT(5)

CNOF/ICONT Automated adjustment:

0 --

No automated adjustment

1 --

Close gap with auto CNOF

2 --

Reduce penetration with auto CNOF

3 --

Close gap/reduce penetration with auto CNOF

4 --

Auto ICONT

KEYOPT(6)

Contact stiffness variation (used to enhance stiffness updating when KEYOPT(10) > 0):

0 --

Use default range for stiffness updating

1 --

Make a nominal refinement to the allowable stiffness range

2 --

Make an aggressive refinement to the allowable stiffness range

KEYOPT(7)

Element level time incrementation control:

0 --

No control

1 --

Automatic bisection of increment

2 --

Change in contact predictions made to maintain a reasonable time/load increment

3 --

Change in contact predictions made to achieve the minimum time/load increment whenever a change in contact status occurs

Note

For KEYOPT(7) = 2 or 3, includes automatic bisection of increment. Activated only if SOLCONTROL,ON,ON at the procedure level.

KEYOPT(8)

Asymmetric contact selection:

0 --

No action

2 --

ANSYS internally selects which asymmetric contact pair is used at the solution stage (used only when symmetry contact is defined).

KEYOPT(9)

Effect of initial penetration or gap:

0 --
Include both initial geometrical penetration or gap and offset
1 --

Exclude both initial geometrical penetration or gap and offset

2 --

Include both initial geometrical penetration or gap and offset, but with ramped effects

3 --

Include offset only (exclude initial geometrical penetration or gap)

4 --

Include offset only (exclude initial geometrical penetration or gap), but with ramped effects

Note

For KEYOPT(9) = 1, 3, or 4, the indicated initial gap effect is considered only if KEYOPT(12) = 4 or 5.

KEYOPT(10)

Contact stiffness update:

0 --

Each load step if FKN is redefined during load step (pair based).

1 --

Each substep based on mean stress of underlying elements from the previous substep (pair based).

2 --

Each iteration based on current mean stress of underlying elements (pair based).

3 --

Each load step if FKN is redefined during load step (individual element based).

4 --

Each substep based on mean stress of underlying elements from the previous substep (individual element based).

5 --

Each iteration based on current mean stress of underlying elements (individual element based).

Note

KEYOPT(10) = 0, 1, and 2 are pair based, meaning that the stiffness and settings for ICONT, FTOLN, PINB, PMAX, and PMIN are averaged across all the contact elements in a contact pair. For KEYOPT(10) = 3, 4, and 5, the stiffness and settings are based on each individual contact element (geometry and material behaviors).

KEYOPT(11)

Beam/Shell thickness effect:

0 --

Exclude

1 --

Include

KEYOPT(12)

Behavior of contact surface:

0 --

Standard

1 --

Rough

2 --

No separation (sliding permitted)

3 --

Bonded

4 --

No separation (always)

5 --

Bonded (always)

6 --

Bonded (initial contact)

Note

When KEYOPT(12) = 5 or 6 is used with the MPC algorithm to model surface-based constraints, the KEYOPT(12) setting will have an impact on the local coordinate system of the contact element nodes. See Specifying a Local Coordinate System in the Contact Technology Guide for more information.

Table 172.1 CONTA172 Real Constants

No. | Name | Description | For more information, see this section in the Contact Technology Guide . . .
1 | R1 | Target circle radius | Defining the Target Surface
2 | R2 | Superelement thickness | Defining the Target Surface
3 | FKN | Normal penalty stiffness factor | Determining Contact Stiffness and Penetration
4 | FTOLN | Penetration tolerance factor | Determining Contact Stiffness and Penetration
5 | ICONT | Initial contact closure | Adjusting Initial Contact Conditions
6 | PINB | Pinball region | Determining Contact Status and the Pinball Region or Defining Influence Range (PINB)
7 | PMAX | Upper limit of initial allowable penetration | Adjusting Initial Contact Conditions
8 | PMIN | Lower limit of initial allowable penetration | Adjusting Initial Contact Conditions
9 | TAUMAX | Maximum friction stress | Choosing a Friction Model
10 | CNOF | Contact surface offset | Adjusting Initial Contact Conditions
11 | FKOP | Contact opening stiffness or contact damping | Selecting Surface Interaction Models
12 | FKT | Tangent penalty stiffness factor | Determining Contact Stiffness
13 | COHE | Contact cohesion | Choosing a Friction Model
14 | TCC | Thermal contact conductance | Modeling Conduction
15 | FHTG | Frictional heating factor | Modeling Heat Generation Due to Friction
16 | SBCT | Stefan-Boltzmann constant | Modeling Radiation
17 | RDVF | Radiation view factor | Modeling Radiation
18 | FWGT | Heat distribution weighing factor | Modeling Heat Generation Due to Friction (thermal) or Heat Generation Due to Electric Current (electric)
19 | ECC | Electric contact conductance | Modeling Surface Interaction
20 | FHEG | Joule dissipation weight factor | Heat Generation Due to Electric Current
21 | FACT | Static/dynamic ratio | Static and Dynamic Friction Coefficients
22 | DC | Exponential decay coefficient | Static and Dynamic Friction Coefficients
23 | SLTO | Allowable elastic slip | Using FKT and SLTO
24 | TNOP | Maximum allowable tensile contact pressure | Chattering Control Parameters
25 | TOLS | Target edge extension factor | Selecting Location of Contact Detection

CONTA172 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 172.2: "CONTA172 Element Output Definitions"

A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 172.2: "CONTA172 Element Output Definitions" gives element output. In the results file, the nodal results are obtained from its closest integration point.

Table 172.2 CONTA172 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes I, J | Y | Y
XC, YC | Location where results are reported | Y | 5
TEMP | Temperatures T(I), T(J) | Y | Y
LENGTH | Element length | Y | -
VOLU | AREA | Y | Y
NPI | Number of integration points | Y | -
ITRGET | Target surface number (assigned by ANSYS) | Y | -
ISOLID | Underlying solid, shell, or beam element number | Y | -
CONT:STAT | Current contact statuses | 1 | 1
OLDST | Old contact statuses | 1 | 1
NX, NY | Surface normal vector components | Y | -
ISEG | Underlying current target number | Y | Y
OLDSEG | Underlying old target number | Y | -
CONT:PENE | Current penetration (gap = 0; penetration = positive value) | Y | Y
CONT:GAP | Current gap (gap = negative value; penetration = 0) | Y | Y
NGAP | New or current gap at current converged substep (gap = negative value; penetration = positive value) | Y | -
OGAP | Old gap at previously converged substep (gap = negative value; penetration = positive value) | Y | -
IGAP | Initial gap at start of current substep (gap = negative value; penetration = positive value) | Y | Y
CONT:PRES | Normal contact pressure | Y | Y
CONT:SFRIC | Tangential contact stress | Y | Y
KN | Current normal contact stiffness (Force/Length3) | Y | Y
KT | Current tangent contact stiffness (Force/Length3) | Y | Y
MU | Friction coefficient | Y | -
CONT:SLIDE | Total accumulated sliding (algebraic sum) | 3 | 3
CONT:ASLIDE | Total accumulated sliding (absolute sum) | 3 | 3
TOLN | Penetration tolerance | Y | Y
CONT:STOTAL | Total stress SQRT (PRES**2+SFRIC**2) | Y | Y
DBA | Penetration variation | Y | Y
PINB | Pinball Region | - | Y
CNFX | Contact element force-x component | - | 4
CNFY | Contact element force-Y component | - | Y
CONV | Convection coefficient | Y | Y
RAC | Radiation coefficient | Y | Y
TCC | Conductance coefficient | Y | Y
TEMPS | Temperature at contact point | Y | Y
TEMPT | Temperature at target surface | Y | Y
FXCV | Heat flux due to convection | Y | Y
FXRD | Heat flux due to radiation | Y | Y
FXCD | Heat flux due to conductance | Y | Y
FDDIS | Frictional energy dissipation | 6 | 6
FLUX | Total heat flux at contact surface | Y | Y
FXNP | Flux input | - | Y
CNFH | Contact element heat flow | - | Y
CAREA | Contacting area | - | Y
JCONT | Contact current density (Current/Unit Area) | Y | Y
CCONT | Contact charge density (Charge/Unit Area) | Y | Y
HJOU | Contact power/area | Y | Y
ECURT | Current per contact element | - | Y
ECHAR | Charge per contact element | - | Y
ECC | Electric contact conductance (for electric current DOF), or electric contact capacitance per unit area (for piezoelectric or electrostatic DOFs) | Y | Y
VOLTS | Voltage on contact nodes | Y | Y
VOLTT | Voltage on associated target | Y | Y
CNOS | Total number of contact status changes during substep | Y | Y
TNOP | Maximum allowable tensile contact pressure | Y | Y
SLTO | Allowable elastic slip | Y | Y
ELSI | Elastic slip distance for sticking contact within a substep | - | Y
DTSTART | Load step time during debonding | Y | Y
DPARAM | Debonding parameter | Y | Y
DENERI | Energy released due to separation in normal direction - mode I debonding | Y | Y
DENERII | Energy released due to separation in tangential direction - mode II debonding | Y | Y

  1. The possible values of STAT and OLDST are:

    0 = Open and not near contact
    1 = Open but near contact
    2 = Closed and sliding
    3 = Closed and sticking

  2. ANSYS will evaluate model to detect initial conditions.

  3. Only accumulates the sliding when contact occurs.

  4. Contact element forces are defined in the global Cartesian system.

  5. Available only at centroid as a *GET item.

  6. FDDIS = (contact friction stress)*(sliding distance of substep)/(time increment of substep)

Note

If ETABLE is used for the CONT items, the reported data is averaged across the element.

Table 172.3: "CONTA172 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See Creating an Element Table in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 172.3: "CONTA172 Item and Sequence Numbers":

Name

output quantity as defined in the Table 172.2: "CONTA172 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J,K

sequence number for data at nodes I, J, K

Table 172.3 CONTA172 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J
PRES | SMISC | 5 | 1 | 2
SFRIC | SMISC | - | 3 | 4
FLUX | SMISC | - | 6 | 7
FDDIS | SMISC | - | 8 | 9
FXCV | SMISC | - | 10 | 11
FXRD | SMISC | - | 12 | 13
FXCD | SMISC | - | 14 | 15
FXNP | SMISC | - | 16 | 17
JCONT | SMISC | - | 18 | 19
CCONT | SMISC | - | 18 | 19
HJOU | SMISC | - | 20 | 21
STAT[1] | NMISC | 19 | 1 | 2
OLDST | NMISC | - | 3 | 4
PENE[2] | NMISC | - | 5 | 6
DBA | NMISC | - | 7 | 8
SLIDE | NMISC | - | 9 | 10
KN | NMISC | - | 11 | 12
KT | NMISC | - | 13 | 14
TOLN | NMISC | - | 15 | 16
IGAP | NMISC | - | 17 | 18
PINB | NMISC | 20 | - | -
CNFX | NMISC | 21 | - | -
CNFY | NMISC | 22 | - | -
ISEG | NMISC | - | 23 | 24
CAREA | NMISC | - | 27 | 28
MU | NMISC | - | 29 | 30
DTSTART | NMISC | - | 31 | 32
DPARAM | NMISC | - | 33 | 34
TEMPS | NMISC | - | 37 | 38
TEMPT | NMISC | - | 39 | 40
CONV | NMISC | - | 41 | 42
RAC | NMISC | - | 43 | 44
TCC | NMISC | - | 45 | 46
CNFH | NMISC | 47 | - | -
ECURT | NMISC | 48 | - | -
ECHAR | NMISC | 48 | - | -
ECC | NMISC | - | 49 | 50
VOLTS | NMISC | - | 51 | 52
VOLTT | NMISC | - | 53 | 54
CNOS | NMISC | - | 55 | 56
TNOP | NMISC | - | 57 | 58
SLTO | NMISC | - | 59 | 60
ELSI | NMISC | - | 67 | 68
DENERI | NMISC | - | 69 | 70
DENERII | NMISC | - | 71 | 72

  1. Element Status = highest value of status of integration points within the element

  2. Penetration = positive value, gap = negative value

  3. Contact element forces are defined in the global Cartesian system

You can display or list contact results through several POST1 postprocessor commands. The contact specific items for the PLNSOL, PLESOL, PRNSOL, and PRESOL commands are listed below:

STAT | Contact status
PENE | Contact penetration
PRES | Contact pressure
SFRIC | Contact friction stress
STOT | Contact total stress (pressure plus friction)
SLIDE | Contact sliding distance
GAP | Contact gap distance
FLUX | Total heat flux at contact surface
CNOS | Total number of contact status changes during substep

CONTA172 Assumptions and Restrictions

  • The 2-D contact element must be defined in an X-Y plane and the Y-axis must be the axis of symmetry for axisymmetric analyses.

  • An axisymmetric structure should be modeled in the +X quadrants.

  • This 2-D contact element works with any 3-D elements in your model.

  • Do not use this element in any model that contains axisymmetric harmonic elements.

  • Node numbering must coincide with the external surface of the underlying solid element or with the original elements comprising the superelement.

  • This element is nonlinear and requires a full Newton iterative solution, regardless of whether large or small deflections are specified.

  • The normal contact stiffness factor (FKN) must not be so large as to cause numerical instability.

  • FTOLN, PINB, and FKOP can be changed between load steps or during restart stages.

  • The value of FKN can be smaller when combined with the Lagrangian multiplier method, for which TOLN must be used.

  • You can use this element in nonlinear static or nonlinear full transient analyses. In addition, you can use it in modal analyses, eigenvalue buckling analyses, and harmonic analyses. For these analysis types, the program assumes that the initial status of the element (i.e., the status at the completion of the static prestress analysis, if any) does not change.

  • When nodal detection is used and the contact node is on the axis of symmetry in an axisymmetric analysis, the contact pressure on that node is not accurate since the area of the node is zero. The contact force is accurate in this situation.

  • This element allows birth and death and will follow the birth and death status of the underlying solid or target elements.

CONTA172 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The MU material property is not allowed.

  • The birth and death special feature is not allowed.

  • The DAMP material property is not allowed.

ANSYS Structural.

  • The VOLT DOF (KEYOPT(1) = 3 through 6) is not allowed.

  • The AZ DOF (KEYOPT(1) = 7) is not allowed.

ANSYS Mechanical.

  • The AZ DOF (KEYOPT(1) = 7) is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CONTA171 		Up / Home Next
CONTA173


CONTA173

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

CONTA173

3-D 4-Node Surface-to-Surface Contact

MP ME ST PR PRN DS <> <> <> <> <> PP <>

Product Restrictions

CONTA173 Element Description

CONTA173 is used to represent contact and sliding between 3-D "target" surfaces (TARGE170) and a deformable surface, defined by this element. The element is applicable to 3-D structural and coupled field contact analyses. This element is located on the surfaces of 3-D solid or shell elements without midside nodes (SOLID5, SOLID45, SOLID46, SOLID65, SOLID69, SOLID70, SOLID96, SOLID185, SOLSH190, VISCO107, SHELL28, SHELL41, SHELL43, SHELL57, SHELL63, SHELL131, SHELL157, SHELL181, and MATRIX50). It has the same geometric characteristics as the solid or shell element face with which it is connected (see Figure 173.1: "CONTA173 Geometry"). Contact occurs when the element surface penetrates one of the target segment elements (TARGE170) on a specified target surface. Coulomb and shear stress friction is allowed. This element also allows separation of bonded contact to simulate interface delamination. See CONTA173 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. Other surface-to-surface contact elements (CONTA171, CONTA172, CONTA174) are also available.

Figure 173.1 CONTA173 Geometry

R = Element x-axis for isotropic friction

xo = Element axis for orthotropic friction if ESYS is not supplied (parallel to global X-axis)

x = Element axis for orthotropic friction if ESYS is supplied

CONTA173 Input Data

The geometry and node locations are shown in Figure 173.1: "CONTA173 Geometry". The element is defined by four nodes (the underlying solid or shell element has no midside nodes). If the underlying solid or shell elements do have midside nodes, use CONTA174. The node ordering is consistent with the node ordering for the underlying solid or shell element. The positive normal is given by the right-hand rule going around the nodes of the element and is identical to the external normal direction of the underlying solid or shell element surface. For shell elements, the same nodal ordering between shell and contact elements defines upper surface contact; otherwise, it represents bottom surface contact. Remember the target surfaces must always be on its outward normal direction. See Generating Contact Elements in the Contact Technology Guide for more information on generating elements automatically using the ESURF command.

CONTA173 supports isotropic and orthotropic Coulomb friction. For isotropic friction, specify a single coefficient of friction, MU, using either TB command input (recommended) or the MP command. For orthotropic friction, specify two coefficients of friction, MU1 and MU2, in two principal directions using TB command input. (See Contact Friction for more information.)

For isotropic friction, the applicable coordinate system is the default element coordinate system (noted by the R and S axes in the above figure).

For orthotropic friction, the principal directions are determined as follows. The global coordinate system is used by default, or you may define a local element coordinate system with the ESYS command. (These are depicted by the xoand x axes in the above figure.) The first principal direction is defined by projecting the first direction of the chosen coordinate system onto the contact surface. The second principal direction is defined by taking a cross product of the first principal direction and the contact normal. These directions also follow the rigid body rotation of the contact element to correctly model the directional dependence of friction. Be careful to choose the coordinate system (global or local) so that the first direction of that system is within 45° of the tangent to the contact surface.

If you want to set the coordinate directions for isotropic friction (to the global Cartesian system or another system via ESYS), you can define orthotropic friction and set MU1 = MU2.

The 3-D contact surface elements are associated with the 3-D target segment elements (TARGE170) via a shared real constant set. ANSYS looks for contact only between surfaces with the same real constant set. For either rigid-flexible or flexible-flexible contact, one of the deformable surfaces must be represented by a contact surface. See Designating Contact and Target Surfaces in the Contact Technology Guide for more information.

If more than one target surface will make contact with the same boundary of solid elements, you must define several contact elements that share the same geometry but relate to separate targets (targets which have different real constant numbers), or you must combine the two target surfaces into one (targets that share the same real constant numbers).

To model separation of bonded contact with KEYOPT(12) = 4, 5, or 6, use the TB command with the CZM label. See " Debonding" in the Contact Technology Guide for more information.

A summary of the element input is given in "CONTA173 Input Summary". A general description of element input is given in Element Input.

CONTA173 Input Summary

Nodes

I, J, K, L

Degrees of Freedom
UX, UY, UZ (if KEYOPT(1) = 0)
UX, UY, UZ, TEMP (if KEYOPT(1) = 1)
TEMP (if KEYOPT(1) = 2)
UX, UY, UZ, TEMP, VOLT (if KEYOPT(1) = 3)
TEMP, VOLT (if KEYOPT(1) = 4)
UX, UY, UZ, VOLT (if KEYOPT(1) = 5)
VOLT (if KEYOPT(1) = 6)
MAG (if KEYOPT(1) = 7)
Real Constants
R1, R2, FKN, FTOLN, ICONT, PINB,
PMAX, PMIN, TAUMAX, CNOF, FKOP, FKT,
COHE, TCC, FHTG, SBCT, RDVF, FWGT,
ECC, FHEG, FACT, DC, SLTO, TNOP,
TOLS, MCC
See Table 173.1: "CONTA173 Real Constants" for descriptions of the real constants.
Material Properties
DAMP, MU, EMIS (MP command)
FRIC (TB command; see Contact Friction)
CZM (TB command; see Cohesive Zone Materials Used for Debonding in the Contact Technology Guide)
Surface Loads
Convection, Face 1 (I-J-K-L)
Heat Flux, Face 1 (I-J-K-L)
Special Features
Nonlinear
Large deflection
Isotropic or orthotropic friction
Debonding
Birth and death
KEYOPTs

Presented below is a list of KEYOPTS available for this element. Included are links to sections in the Contact Technology Guide where more information is available on a particular topic.

KEYOPT(1)

Selects degrees of freedom:

0 --

UX, UY, UZ

1 --

UX, UY, UZ, TEMP

2 --

TEMP

3 --

UX, UY, UZ, TEMP, VOLT

4 --

TEMP, VOLT

5 --

UX, UY, UZ, VOLT

6 --

VOLT

7 --

MAG

KEYOPT(2)

Contact algorithm:

0 --

Augmented Lagrangian (default)

1 --

Penalty function

2 --

Multipoint constraint (MPC); see "Multipoint Constraints and Assemblies" in the Contact Technology Guide for more information

3 --

Lagrange multiplier on contact normal and penalty on tangent

4 --

Pure Lagrange multiplier on contact normal and tangent

KEYOPT(4)

Location of contact detection point:

0 --

On Gauss point (for general cases)

1 --

On nodal point - normal from contact surface

2 --

On nodal point - normal to target surface

Note

When using the multipoint constraint (MPC) approach to define surface-based constraints, use KEYOPT(4) in the following way: set KEYOPT(4) = 1 for a force-distributed constraint, set KEYOPT(4) = 2 for a rigid surface constraint. See Surface-based Constraints for more information.

KEYOPT(5)

CNOF/ICONT automated adjustment:

0 --

No automated adjustment

1 --

Close gap with auto CNOF

2 --

Reduce penetration with auto CNOF

3 --

Close gap/reduce penetration with auto CNOF

4 --

Auto ICONT

KEYOPT(6)

Contact stiffness variation (used to enhance stiffness updating when KEYOPT(10) > 0):

0 --

Use default range for stiffness updating

1 --

Make a nominal refinement to the allowable stiffness range

2 --

Make an aggressive refinement to the allowable stiffness range

KEYOPT(7)

Element level time incrementation control:

0 --

No control

1 --

Automatic bisection of increment

2 --

Change in contact predictions made to maintain a reasonable time/load increment

3 --

Change in contact predictions made to achieve the minimum time/load increment whenever a change in contact status occurs

Note

For KEYOPT(7) = 2 or 3, includes automatic bisection of increment. Activated only if SOLCONTROL,ON,ON at the procedure level.

KEYOPT(8)

Asymmetric contact selection:

0 --

No action

2 --

ANSYS internally selects which asymmetric contact pair is used at the solution stage (used only when symmetry contact is defined).

KEYOPT(9)

Effect of initial penetration or gap:

0 --
Include both initial geometrical penetration or gap and offset
1 --

Exclude both initial geometrical penetration or gap and offset

2 --

Include both initial geometrical penetration or gap and offset, but with ramped effects

3 --

Include offset only (exclude initial geometrical penetration or gap)

4 --

Include offset only (exclude initial geometrical penetration or gap), but with ramped effects

Note

For KEYOPT(9) = 1, 3, or 4, the indicated initial gap effect is considered only if KEYOPT(12) = 4 or 5.

KEYOPT(10)

Contact stiffness update:

0 --

Each load step if FKN is redefined during load step (pair based).

1 --

Each substep based on mean stress of underlying elements from the previous substep (pair based).

2 --

Each iteration based on current mean stress of underlying elements (pair based).

3 --

Each load step if FKN is redefined during load step (individual element based).

4 --

Each substep based on mean stress of underlying elements from the previous substep (individual element based).

5 --

Each iteration based on current mean stress of underlying elements (individual element based).

Note

KEYOPT(10) = 0, 1, and 2 are pair based, meaning that the stiffness and settings for ICONT, FTOLN, PINB, PMAX, and PMIN are averaged across all the contact elements in a contact pair. For KEYOPT(10) = 3, 4, and 5, the stiffness and settings are based on each individual contact element (geometry and material behaviors).

KEYOPT(11)

Shell thickness effect:

0 --

Exclude

1 --

Include

KEYOPT(12)

Behavior of contact surface:

0 --

Standard

1 --

Rough

2 --

No separation (sliding permitted)

3 --

Bonded

4 --

No separation (always)

5 --

Bonded (always)

6 --

Bonded (initial contact)

Note

When KEYOPT(12) = 5 or 6 is used with the MPC algorithm to model surface-based constraints, the KEYOPT(12) setting will have an impact on the local coordinate system of the contact element nodes. See Specifying a Local Coordinate System in the Contact Technology Guide for more information.

Table 173.1 CONTA173 Real Constants

No. | Name | Description | For more information, see this section in the Contact Technology Guide . . .
1 | R1 | Target radius for cylinder, cone, or sphere | Defining the Target Surface
2 | R2 | Target radius at second node of cone | Defining the Target Surface
3 | FKN | Normal penalty stiffness factor | Determining Contact Stiffness and Penetration
4 | FTOLN | Penetration tolerance factor | Determining Contact Stiffness and Penetration
5 | ICONT | Initial contact closure | Adjusting Initial Contact Conditions
6 | PINB | Pinball region | Determining Contact Status and the Pinball Region or Defining Influence Range (PINB)
7 | PMAX | Upper limit of initial allowable penetration | Adjusting Initial Contact Conditions
8 | PMIN | Lower limit of initial allowable penetration | Adjusting Initial Contact Conditions
9 | TAUMAX | Maximum friction stress | Choosing a Friction Model
10 | CNOF | Contact surface offset | Adjusting Initial Contact Conditions
11 | FKOP | Contact opening stiffness or contact damping | Selecting Surface Interaction Models
12 | FKT | Tangent penalty stiffness factor | Determining Contact Stiffness
13 | COHE | Contact cohesion | Choosing a Friction Model
14 | TCC | Thermal contact conductance | Modeling Conduction
15 | FHTG | Frictional heating factor | Modeling Heat Generation Due to Friction
16 | SBCT | Stefan-Boltzmann constant | Modeling Radiation
17 | RDVF | Radiation view factor | Modeling Radiation
18 | FWGT | Heat distribution weighing factor | Modeling Heat Generation Due to Friction (thermal) or Heat Generation Due to Electric Current (electric)
19 | ECC | Electric contact conductance | Modeling Surface Interaction
20 | FHEG | Joule dissipation weight factor | Heat Generation Due to Electric Current
21 | FACT | Static/dynamic ratio | Static and Dynamic Friction Coefficients
22 | DC | Exponential decay coefficient | Static and Dynamic Friction Coefficients
23 | SLTO | Allowable elastic slip | Using FKT and SLTO
24 | TNOP | Maximum allowable tensile contact pressure | Chattering Control Parameters
25 | TOLS | Target edge extension factor | Selecting Location of Contact Detection
26 | MCC | Magnetic contact permeance | Modeling Magnetic Contact

CONTA173 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 173.2: "CONTA173 Element Output Definitions"

A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 173.2: "CONTA173 Element Output Definitions" gives element output at the element level. In the results file, the nodal results are obtained from its closest integration point.

Table 173.2 CONTA173 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes I, J, K, L | Y | Y
XC, YC, ZC | Location where results are reported | Y | 5
TEMP | Temperatures T(I), T(J), T(K), T(L) | Y | Y
VOLU | AREA | Y | Y
NPI | Number of integration points | Y | -
ITRGET | Target surface number (assigned by ANSYS) | Y | -
ISOLID | Underlying solid or shell element number | Y | -
CONT:STAT | Current contact statuses | 1 | 1
OLDST | Old contact statuses | 1 | 1
ISEG | Underlying current target number | Y | Y
OLDSEG | Underlying old target number | Y | -
CONT:PENE | Current penetration (gap = 0; penetration = positive value) | Y | Y
CONT:GAP | Current gap (gap = negative value; penetration = 0) | Y | Y
NGAP | New or current gap at current converged substep (gap = negative value; penetration = positive value) | Y | -
OGAP | Old gap at previously converged substep (gap = negative value; penetration = positive value) | Y | -
IGAP | Initial gap at start of current substep (gap = negative value; penetration = positive value) | Y | Y
CONT:PRES | Normal contact pressure | Y | Y
TAUR/TAUS[7] | Tangential contact stresses | Y | Y
KN | Current normal contact stiffness (Force/Length3) | Y | Y
KT | Current tangent contact stiffness (Force/Length3) | Y | Y
MU[8] | Friction coefficient | Y | -
TASS/TASR[7] | Total (algebraic sum) sliding in S and R directions | 3 | 3
AASS/AASR[7] | Total (absolute sum) sliding in S and R directions | 3 | 3
TOLN | Penetration tolerance | Y | Y
CONT:SFRIC | Frictional stress SQRT (TAUR**2+TAUS**2) | Y | Y
CONT:STOTAL | Total stress SQRT (PRES**2+TAUR**2+TAUS**2) | Y | Y
CONT:SLIDE | Total sliding SQRT (TASS**2+TASR**2) | Y | Y
DBA | Penetration variation | Y | Y
PINB | Pinball Region | - | Y
CNFX[4] | Contact element force-X component | - | Y
CNFY | Contact element force-Y component | - | Y
CNFZ | Contact element force-Z component | - | Y
CONV | Convection coefficient | Y | Y
RAC | Radiation coefficient | Y | Y
TCC | Conductance coefficient | Y | Y
TEMPS | Temperature at contact point | Y | Y
TEMPT | Temperature at target surface | Y | Y
FXCV | Heat flux due to convection | Y | Y
FXRD | Heat flux due to radiation | Y | Y
FXCD | Heat flux due to conductance | Y | Y
FDDIS | Frictional energy dissipation | 6 | 6
FLUX | Total heat flux at contact surface | Y | Y
FXNP | Flux input | - | Y
CNFH | Contact element heat flow | - | Y
CAREA | Contacting area | - | Y
JCONT | Contact current density (Current/Unit Area) | Y | Y
CCONT | Contact charge density (Charge/Unit Area) | Y | Y
HJOU | Contact power/area | Y | Y
ECURT | Current per contact element | - | Y
ECHAR | Charge per contact element | - | Y
ECC | Electric contact conductance (for electric current DOF), or electric contact capacitance per unit area (for piezoelectric or electrostatic DOFs) | Y | Y
VOLTS | Voltage on contact nodes | Y | Y
VOLTT | Voltage on associated target | Y | Y
CNOS | Total number of contact status changes during substep | Y | Y
TNOP | Maximum allowable tensile contact pressure | Y | Y
SLTO | Allowable elastic slip | Y | Y
MCC | Magnetic contact permeance | Y | Y
MFLUX | Magnetic flux density | Y | Y
MAGS | Magnetic potential on contact node | Y | Y
MAGT | Magnetic potential on associated target | Y | Y
ELSI | Elastic slip distance for sticking contact within a substep | - | Y
DTSTART | Load step time during debonding | Y | Y
DPARAM | Debonding parameter | Y | Y
DENERI | Energy released due to separation in normal direction - mode I debonding | Y | Y
DENERII | Energy released due to separation in tangential direction - mode II debonding | Y | Y

  1. The possible values of STAT and OLDST are:

    0 = Open and not near contact
    1 = Open but near contact
    2 = Closed and sliding
    3 = Closed and sticking

  2. ANSYS will evaluate model to detect initial conditions.

  3. Only accumulates the sliding when contact occurs.

  4. Contact element forces are defined in the global Cartesian system

  5. Available only at centroid as a *GET item.

  6. FDDIS = (contact friction stress)*(sliding distance of substep)/(time increment of substep)

  7. For the case of orthotropic friction, components are defined in the global Cartesian system (default) or in the local element coordinate system specified by ESYS.

  8. For orthotropic friction, an equivalent coefficient of friction is output.

Note

If ETABLE is used for the CONT items, the reported data is averaged across the element.

Table 173.3: "CONTA173 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See Creating an Element Table in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 173.3: "CONTA173 Item and Sequence Numbers":

Name

output quantity as defined in the Table 173.2: "CONTA173 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J,K,L

sequence number for data at nodes I,J,K,L

Table 173.3 CONTA173 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J | K | L
PRES | SMISC | 13 | 1 | 2 | 3 | 4
TAUR | SMISC | - | 5 | 6 | 7 | 8
TAUS | SMISC | - | 9 | 10 | 11 | 12
FLUX | SMISC | - | 14 | 15 | 16 | 17
FDDIS | SMISC | - | 18 | 19 | 20 | 21
FXCV | SMISC |  | 22 | 23 | 24 | 25
FXRD | SMISC | - | 26 | 27 | 28 | 29
FXCD | SMISC | - | 30 | 31 | 32 | 33
FXNP | SMISC | - | 34 | 35 | 36 | 37
JCONT | SMISC | - | 38 | 39 | 40 | 41
CCONT | SMISC | - | 38 | 39 | 40 | 41
HJOU | SMISC | - | 42 | 43 | 44 | 45
MFLUX | SMISC | - | 46 | 47 | 48 | 49
STAT[1] | NMISC | 41 | 1 | 2 | 3 | 4
OLDST | NMISC | - | 5 | 6 | 7 | 8
PENE[2] | NMISC | - | 9 | 10 | 11 | 12
DBA | NMISC | - | 13 | 14 | 15 | 16
TASR | NMISC | - | 17 | 18 | 19 | 20
TASS | NMISC | - | 21 | 22 | 23 | 24
KN | NMISC | - | 25 | 26 | 27 | 28
KT | NMISC | - | 29 | 30 | 31 | 32
TOLN | NMISC | - | 33 | 34 | 35 | 36
IGAP | NMISC | - | 37 | 38 | 39 | 40
PINB | NMISC | 42 | - | - | - | -
CNFX | NMISC | 43 | - | - | - | -
CNFY | NMISC | 44 | - | - | - | -
CNFZ | NMISC | 45 | - | - | - | -
ISEG | NMISC | - | 46 | 47 | 48 | 49
AASR | NMISC | - | 50 | 51 | 52 | 53
AASS | NMISC | - | 54 | 55 | 56 | 57
CAREA | NMISC | - | 58 | 59 | 60 | 61
MU | NMISC | - | 62 | 63 | 64 | 65
DTSTART | NMISC | - | 66 | 67 | 68 | 69
DPARAM | NMISC | - | 70 | 71 | 72 | 73
TEMPS | NMISC | - | 78 | 79 | 80 | 81
TEMPT | NMISC | - | 82 | 83 | 84 | 85
CONV | NMISC | - | 86 | 87 | 88 | 89
RAC | NMISC | - | 90 | 91 | 92 | 93
TCC | NMISC | - | 94 | 95 | 96 | 97
CNFH | NMISC | 98 | - | - | - | -
ECURT | NMISC | 99 | - | - | - | -
ECHAR | NMISC | 99 | - | - | - | -
ECC | NMISC | - | 100 | 101 | 102 | 103
VOLTS | NMISC | - | 104 | 105 | 106 | 107
VOLTT | NMISC | - | 108 | 109 | 110 | 111
CNOS | NMISC | - | 112 | 113 | 114 | 115
TNOP | NMISC | - | 116 | 117 | 118 | 119
SLTO | NMISC | - | 120 | 121 | 122 | 123
MCC | NMISC | - | 124 | 125 | 126 | 127
MAGS | NMISC | - | 128 | 129 | 130 | 131
MAGT | NMISC | - | 132 | 133 | 134 | 135
ELSI | NMISC | - | 136 | 137 | 138 | 139
DENERI | NMISC | - | 140 | 141 | 142 | 143
DENERII | NMISC | - | 144 | 145 | 146 | 147

  1. Element Status = highest value of status of integration points within the element

  2. Penetration = positive value, gap = negative value

You can display or list contact results through several POST1 postprocessor commands. The contact specific items for the PLNSOL, PLESOL, PRNSOL, and PRESOL commands are listed below:

STAT | Contact status
PENE | Contact penetration
PRES | Contact pressure
SFRIC | Contact friction stress
STOT | Contact total stress (pressure plus friction)
SLIDE | Contact sliding distance
GAP | Contact gap distance
FLUX | Total heat flux at contact surface
CNOS | Total number of contact status changes during substep

CONTA173 Assumptions and Restrictions

  • The 3-D contact element must coincide with the external surface of the underlying solid or shell element or with the original elements comprising the superelement.

  • This element is nonlinear and requires a full Newton iterative solution, regardless of whether large or small deflections are specified.

  • The normal contact stiffness factor (FKN) must not be so large as to cause numerical instability.

  • FTOLN, PINB, and FKOP can be changed between load steps or during restart stages.

  • The value of FKN can be smaller when combined with the Lagrangian multiplier method, for which TOLN must be used.

  • You can use this element in nonlinear static or nonlinear full transient analyses. In addition, you can use it in modal analyses, eigenvalue buckling analyses, and harmonic analyses. For these analysis types, the program assumes that the initial status of the element (i.e., the status at the completion of the static prestress analysis, if any) does not change.

  • This element allows birth and death and will follow the birth and death status of the underlying solid, shell, beam, or target elements.

CONTA173 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The MU material property is not allowed

  • The birth and death special feature is not allowed.

  • The DAMP material property is not allowed.

ANSYS Structural.

  • The VOLT DOF (KEYOPT(1) = 3 through 6) is not allowed.

  • The MAG DOF (KEYOPT(1) = 7) is not allowed.

ANSYS Mechanical.

  • The MAG DOF (KEYOPT(1) = 7) is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CONTA172 		Up / Home Next
CONTA174


CONTA174

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

CONTA174

3-D 8-Node Surface-to-Surface Contact

MP ME ST PR PRN DS DSS <> EM <> <> PP <>

Product Restrictions

CONTA174 Element Description

CONTA174 is used to represent contact and sliding between 3-D "target" surfaces (TARGE170) and a deformable surface, defined by this element. The element is applicable to 3-D structural and coupled field contact analyses. This element is located on the surfaces of 3-D solid or shell elements with midside nodes (SOLID87, SOLID90, SOLID92, SOLID95, SOLID98, SOLID122, SOLID123, SOLID186, SOLID187, SOLID191, SOLID226, SOLID227, SOLID231, SOLID232, VISCO89, SHELL91, SHELL93, SHELL99, SHELL132, SHELL281, and MATRIX50). It has the same geometric characteristics as the solid or shell element face with which it is connected (see Figure 174.1: "CONTA174 Geometry" below). Contact occurs when the element surface penetrates one of the target segment elements (TARGE170) on a specified target surface. Coulomb and shear stress friction is allowed. This element also allows separation of bonded contact to simulate interface delamination. See CONTA174 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. Other surface-to-surface contact elements (CONTA171, CONTA172, CONTA173) are also available.

Figure 174.1 CONTA174 Geometry

R = Element x-axis for isotropic friction

xo = Element axis for orthotropic friction if ESYS is not supplied (parallel to global X-axis)

x = Element axis for orthotropic friction if ESYS is supplied

CONTA174 Input Data

The geometry and node locations are shown in Figure 174.1: "CONTA174 Geometry". The element is defined by eight nodes (the underlying solid or shell element has midside nodes). It can degenerate to a six node element depending on the shape of the underlying solid or shell elements. If the underlying solid or shell elements do not have midside nodes, use CONTA173 (you may still use CONTA174 but you must drop all midside nodes). See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information on the use of midside nodes. The node ordering is consistent with the node ordering for the underlying solid or shell element. The positive normal is given by the right-hand rule going around the nodes of the element and is identical to the external normal direction of the underlying solid or shell element surface. For shell elements, the same nodal ordering between shell and contact elements defines upper surface contact; otherwise, it represents bottom surface contact. Remember the target surfaces must always be on its outward normal direction. See Generating Contact Elements in the Contact Technology Guide for more information on generating elements automatically using the ESURF command.

CONTA174 supports isotropic and orthotropic Coulomb friction. For isotropic friction, specify a single coefficient of friction, MU, using either TB command input (recommended) or the MP command. For orthotropic friction, specify two coefficients of friction, MU1 and MU2, in two principal directions using TB command input. (See Contact Friction for more information.)

For isotropic friction, the applicable coordinate system is the default element coordinate system (noted by the R and S axes in the above figure).

For orthotropic friction, the principal directions are determined as follows. The global coordinate system is used by default, or you may define a local element coordinate system with the ESYS command. (These are depicted by the xoand x axes in the above figure.) The first principal direction is defined by projecting the first direction of the chosen coordinate system onto the contact surface. The second principal direction is defined by taking a cross product of the first principal direction and the contact normal. These directions also follow the rigid body rotation of the contact element to correctly model the directional dependence of friction. Be careful to choose the coordinate system (global or local) so that the first direction of that system is within 45° of the tangent to the contact surface.

If you want to set the coordinate directions for isotropic friction (to the global Cartesian system or another system via ESYS), you can define orthotropic friction and set MU1 = MU2.

The 3-D contact surface elements (CONTA173 and CONTA174) are associated with the 3-D target segment elements (TARGE170) via a shared real constant set. ANSYS looks for contact only between surfaces with the same real constant set. For either rigid-flexible or flexible-flexible contact, one of the deformable surfaces must be represented by a contact surface. See Designating Contact and Target Surfaces in the Contact Technology Guide for more information.

If more than one target surface will make contact with the same boundary of solid elements, you must define several contact elements that share the same geometry but relate to separate targets (targets which have different real constant numbers), or you must combine two target surfaces into one (targets that share the same real constant numbers).

To model separation of bonded contact with KEYOPT(12) = 4, 5, or 6, use the TB command with the CZM label. See " Debonding" in the Contact Technology Guide for more information.

A summary of the element input is given in "CONTA174 Input Summary". A general description of element input is given in Element Input. For axisymmetric applications see Axisymmetric Elements.

CONTA174 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom
UX, UY, UZ (if KEYOPT(1) = 0)
UX, UY, UZ, TEMP (if KEYOPT(1) = 1)
TEMP (if KEYOPT(1) = 2)
UX, UY, UZ, TEMP, VOLT (if KEYOPT(1) = 3)
TEMP, VOLT (if KEYOPT(1) = 4)
UX, UY, UZ, VOLT (if KEYOPT(1) = 5)
VOLT (if KEYOPT(1) = 6)
MAG (if KEYOPT(1) = 7)
Real Constants
R1, R2, FKN, FTOLN, ICONT, PINB,
PMAX, PMIN, TAUMAX, CNOF, FKOP, FKT,
COHE, TCC, FHTG, SBCT, RDVF, FWGT,
ECC, FHEG, FACT, DC, SLTO, TNOP,
TOLS, MCC
See Table 174.1: "CONTA174 Real Constants" for descriptions of the real constants.
Material Properties
DAMP, MU, EMIS (MP command)
FRIC (TB command; see Contact Friction)
CZM (TB command; see Cohesive Zone Materials Used for Debonding in the Contact Technology Guide)
Surface Loads
Convection, Face 1 (I-J-K-L)
Heat Flux, Face 1 (I-J-K-L)
Special Features
Nonlinear
Large deflection
Isotropic or orthotropic friction
Debonding
Birth and death
KEYOPTs

Presented below is a list of KEYOPTS available for this element. Included are links to sections in the Contact Technology Guide where more information is available on a particular topic.

KEYOPT(1)

Selects degrees of freedom:

0 --

UX, UY, UZ

1 --

UX, UY, UZ, TEMP

2 --

TEMP

3 --

UX, UY, UZ, TEMP, VOLT

4 --

TEMP, VOLT

5 --

UX, UY, UZ, VOLT

6 --

VOLT

7 --

MAG

KEYOPT(2)

Contact algorithm:

0 --

Augmented Lagrangian (default)

1 --

Penalty function

2 --

Multipoint constraint (MPC); see "Multipoint Constraints and Assemblies" in the Contact Technology Guide for more information

3 --

Lagrange multiplier on contact normal and penalty on tangent

4 --

Pure Lagrange multiplier on contact normal and tangent

KEYOPT(4)

Location of contact detection point:

0 --

On Gauss point (for general cases)

1 --

On nodal point - normal from contact surface

2 --

On nodal point - normal to target surface

Note

When using the multipoint constraint (MPC) approach to define surface-based constraints, use KEYOPT(4) in the following way: set KEYOPT(4) = 1 for a force-distributed constraint, set KEYOPT(4) = 2 for a rigid surface constraint. See Surface-based Constraints for more information.

KEYOPT(5)

CNOF/ICONT Automated adjustment:

0 --

No automated adjustment

1 --

Close gap with auto CNOF

2 --

Reduce penetration with auto CNOF

3 --

Close gap/reduce penetration with auto CNOF

4 --

Auto ICONT

KEYOPT(6)

Contact stiffness variation (used to enhance stiffness updating when KEYOPT(10) > 0):

0 --

Use default range for stiffness updating

1 --

Make a nominal refinement to the allowable stiffness range

2 --

Make an aggressive refinement to the allowable stiffness range

KEYOPT(7)

Element level time incrementation control:

0 --

No control

1 --

Automatic bisection of increment

2 --

Change in contact predictions made to maintain a reasonable time/load increment

3 --

Change in contact predictions made to achieve the minimum time/load increment whenever a change in contact status occurs

Note

For KEYOPT(7) = 2 or 3, includes automatic bisection of increment. Activated only if SOLCONTROL,ON,ON at the procedure level.

KEYOPT(8)

Asymmetric contact selection:

0 --

No action

2 --

ANSYS internally selects which asymmetric contact pair is used at the solution stage (used only when symmetry contact is defined).

KEYOPT(9)

Effect of initial penetration or gap:

0 --
Include both initial geometrical penetration or gap and offset
1 --

Exclude both initial geometrical penetration or gap and offset

2 --

Include both initial geometrical penetration or gap and offset, but with ramped effects

3 --

Include offset only (exclude initial geometrical penetration or gap)

4 --

Include offset only (exclude initial geometrical penetration or gap), but with ramped effects

Note

For KEYOPT(9) = 1, 3, or 4, the indicated initial gap effect is considered only if KEYOPT(12) = 4 or 5.

KEYOPT(10)

Contact stiffness update:

0 --

Each load step if FKN is redefined during load step (pair based).

1 --

Each substep based on mean stress of underlying elements from the previous substep (pair based).

2 --

Each iteration based on current mean stress of underlying elements (pair based).

3 --

Each load step if FKN is redefined during load step (individual element based).

4 --

Each substep based on mean stress of underlying elements from the previous substep (individual element based).

5 --

Each iteration based on current mean stress of underlying elements (individual element based).

Note

KEYOPT(10) = 0, 1, and 2 are pair based, meaning that the stiffness and settings for ICONT, FTOLN, PINB, PMAX, and PMIN are averaged across all the contact elements in a contact pair. For KEYOPT(10) = 3, 4, and 5, the stiffness and settings are based on each individual contact element (geometry and material behaviors).

KEYOPT(11)

Shell thickness effect:

0 --

Exclude

1 --

Include

KEYOPT(12)

Behavior of contact surface:

0 --

Standard

1 --

Rough

2 --

No separation (sliding permitted)

3 --

Bonded

4 --

No separation (always)

5 --

Bonded (always)

6 --

Bonded (initial contact)

Note

When KEYOPT(12) = 5 or 6 is used with the MPC algorithm to model surface-based constraints, the KEYOPT(12) setting will have an impact on the local coordinate system of the contact element nodes. See Specifying a Local Coordinate System in the Contact Technology Guide for more information.

Table 174.1 CONTA174 Real Constants

No. | Name | Description | For more information, see this section in the Contact Technology Guide . . .
1 | R1 | Target radius for cylinder, cone, or sphere | Defining the Target Surface
2 | R2 | Target radius at second node of cone | Defining the Target Surface
3 | FKN | Normal penalty stiffness factor | Determining Contact Stiffness and Penetration
4 | FTOLN | Penetration tolerance factor | Determining Contact Stiffness and Penetration
5 | ICONT | Initial contact closure | Adjusting Initial Contact Conditions
6 | PINB | Pinball region | Determining Contact Status and the Pinball Region or Defining Influence Range (PINB)
7 | PMAX | Upper limit of initial allowable penetration | Adjusting Initial Contact Conditions
8 | PMIN | Lower limit of initial allowable penetration | Adjusting Initial Contact Conditions
9 | TAUMAX | Maximum friction stress | Choosing a Friction Model
10 | CNOF | Contact surface offset | Adjusting Initial Contact Conditions
11 | FKOP | Contact opening stiffness or contact damping | Selecting Surface Interaction Models
12 | FKT | Tangent penalty stiffness factor | Determining Contact Stiffness
13 | COHE | Contact cohesion | Choosing a Friction Model
14 | TCC | Thermal contact conductance | Modeling Conduction
15 | FHTG | Frictional heating factor | Modeling Heat Generation Due to Friction
16 | SBCT | Stefan-Boltzmann constant | Modeling Radiation
17 | RDVF | Radiation view factor | Modeling Radiation
18 | FWGT | Heat distribution weighing factor | Modeling Heat Generation Due to Friction (thermal) or Heat Generation Due to Electric Current (electric)
19 | ECC | Electric contact conductance | Modeling Surface Interaction
20 | FHEG | Joule dissipation weight factor | Heat Generation Due to Electric Current
21 | FACT | Static/dynamic ratio | Static and Dynamic Friction Coefficients
22 | DC | Exponential decay coefficient | Static and Dynamic Friction Coefficients
23 | SLTO | Allowable elastic slip | Using FKT and SLTO
24 | TNOP | Maximum allowable tensile contact pressure | Chattering Control Parameters
25 | TOLS | Target edge extension factor | Selecting Location of Contact Detection
26 | MCC | Magnetic contact permeance | Modeling Magnetic Contact

CONTA174 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 174.2: "CONTA174 Element Output Definitions"

A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 174.2: "CONTA174 Element Output Definitions" gives element output. In the results file, the nodal results are obtained from its closest integration point.

Table 174.2 CONTA174 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes I, J, K, L, M, N, O, P | Y | Y
XC, YC, ZC | Location where results are reported | Y | 5
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | Y | Y
VOLU | AREA | Y | Y
NPI | Number of integration points | Y | -
ITRGET | Target surface number (assigned by ANSYS) | Y | -
ISOLID | Underlying solid or shell element number | Y | -
CONT:STAT | Current contact statuses | 1 | 1
OLDST | Old contact statuses | 1 | 1
ISEG | Underlying current target number | Y | Y
OLDSEG | Underlying old target number | Y | -
CONT:PENE | Current penetration (gap = 0; penetration = positive value) | Y | Y
CONT:GAP | Current gap (gap = negative value; penetration = 0) | Y | Y
NGAP | New or current gap at current converged substep (gap = negative value; penetration = positive value) | Y | -
OGAP | Old gap from previously converged substep (gap = negative value; penetration = positive value) | Y | -
IGAP | Initial gap at start of current substep (gap = negative value; penetration = positive value) | Y | Y
CONT:PRES | Normal contact pressure | Y | Y
TAUR/TAUS[7] | Tangential contact stresses | Y | Y
KN | Current normal contact stiffness (Force/Length3) | Y | Y
KT | Current tangent contact stiffness (Force/Length3) | Y | Y
MU[8] | Friction coefficient | Y | -
TASS/TASR[7] | Total (algebraic sum) sliding in S and R directions | 3 | 3
AASS/AASR[7] | Total (absolute sum) sliding in S and R directions | 3 | 3
TOLN | Penetration tolerance | Y | Y
CONT:SFRIC | Frictional stress SQRT (TAUR**2+TAUS**2) | Y | Y
CONT:STOTAL | Total stress SQRT (PRES**2+TAUR**2+TAUS**2) | Y | Y
CONT:SLIDE | Total sliding SQRT (TASS**2 + TASR**2) | Y | Y
DBA | Penetration variation | Y | Y
PINB | Pinball Region | - | Y
CNFX | Contact element force-X component | - | 4
CNFY | Contact element force-Y component | - | Y
CNFZ | Contact element force-Z component | - | Y
CONV | Convection coefficient | Y | Y
RAC | Radiation coefficient | Y | Y
TCC | Conductance coefficient | Y | Y
TEMPS | Temperature at contact point | Y | Y
TEMPT | Temperature at target surface | Y | Y
FXCV | Heat flux due to convection | Y | Y
FXRD | Heat flux due to radiation | Y | Y
FXCD | Heat flux due to conductance | Y | Y
FDDIS | Frictional energy dissipation | 6 | 6
FLUX | Total heat flux at contact surface | Y | Y
FXNP | Flux input | - | Y
CNFH | Contact element heat flow | - | Y
CAREA | Contacting area | - | Y
JCONT | Contact current density (Current/Unit Area) | Y | Y
CCONT | Contact charge density (Charge/Unit Area) | Y | Y
HJOU | Contact power/area | Y | Y
ECURT | Current per contact element | - | Y
ECHAR | Charge per contact element | - | Y
ECC | Electric contact conductance (for electric current DOF), or electric contact capacitance per unit area (for piezoelectric or electrostatic DOFs) | Y | Y
VOLTS | Voltage on contact nodes | Y | Y
VOLTT | Voltage on associated target | Y | Y
CNOS | Total number of contact status changes during substep | Y | Y
TNOP | Maximum allowable tensile contact pressure | Y | Y
SLTO | Allowable elastic slip | Y | Y
MCC | Magnetic contact permeance | Y | Y
MFLUX | Magnetic flux density | Y | Y
MAGS | Magnetic potential on contact node | Y | Y
MAGT | Magnetic potential on associated target | Y | Y
ELSI | Elastic slip distance for sticking contact within a substep | - | Y
DTSTART | Load step time during debonding | Y | Y
DPARAM | Debonding parameter | Y | Y
DENERI | Energy released due to separation in normal direction - mode I debonding | Y | Y
DENERII | Energy released due to separation in tangential direction - mode II debonding | Y | Y

  1. The possible values of STAT and OLDST are:

    0 = Open and not near contact
    1 = Open but near contact
    2 = Closed and sliding
    3 = Closed and sticking

  2. ANSYS will evaluate model to detect initial conditions.

  3. Only accumulates the sliding when contact occurs.

  4. Contact element forces are defined in the global Cartesian system.

  5. Available only at centroid as a *GET item.

  6. FDDIS = (contact friction stress)*(sliding distance of substep)/(time increment of substep)

  7. For the case of orthotropic friction, components are defined in the global Cartesian system (default) or in the local element coordinate system specified by ESYS.

  8. For orthotropic friction, an equivalent coefficient of friction is output.

Note

If ETABLE is used for the CONT items, the reported data is averaged across the element.

Table 174.3: "CONTA174 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See Creating an Element Table in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 174.3: "CONTA174 Item and Sequence Numbers":

Name

output quantity as defined in the Table 174.2: "CONTA174 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J,K,L,M,N,O,P

sequence number for data at nodes I,J,K,L,M,N,O,P

Table 174.3 CONTA174 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J | K | L
PRES | SMISC | 13 | 1 | 2 | 3 | 4
TAUR | SMISC | - | 5 | 6 | 7 | 8
TAUS | SMISC | - | 9 | 10 | 11 | 12
FLUX | SMISC | - | 14 | 15 | 16 | 17
FDDIS | SMISC | - | 18 | 19 | 20 | 21
FXCV | SMISC |  | 22 | 23 | 24 | 25
FXRD | SMISC | - | 26 | 27 | 28 | 29
FXCD | SMISC | - | 30 | 31 | 32 | 33
FXNP | SMISC | - | 34 | 35 | 36 | 37
JCONT | SMISC | - | 38 | 39 | 40 | 41
CCONT | SMISC | - | 38 | 39 | 40 | 41
HJOU | SMISC | - | 42 | 43 | 44 | 45
MFLUX | SMISC | - | 46 | 47 | 48 | 49
STAT[1] | NMISC | 41 | 1 | 2 | 3 | 4
OLDST | NMISC | - | 5 | 6 | 7 | 8
PENE[2] | NMISC | - | 9 | 10 | 11 | 12
DBA | NMISC | - | 13 | 14 | 15 | 16
TASR | NMISC | - | 17 | 18 | 19 | 20
TASS | NMISC | - | 21 | 22 | 23 | 24
KN | NMISC | - | 25 | 26 | 27 | 28
KT | NMISC | - | 29 | 30 | 31 | 32
TOLN | NMISC | - | 33 | 34 | 35 | 36
IGAP | NMISC | - | 37 | 38 | 39 | 40
PINB | NMISC | 42 | - | - | - | -
CNFX | NMISC | 43 | - | - | - | -
CNFY | NMISC | 44 | - | - | - | -
CNFZ | NMISC | 45 | - | - | - | -
ISEG | NMISC | - | 46 | 47 | 48 | 49
AASR | NMISC | - | 50 | 51 | 52 | 53
AASS | NMISC | - | 54 | 55 | 56 | 57
CAREA | NMISC | - | 58 | 59 | 60 | 61
MU | NMISC | - | 62 | 63 | 64 | 65
DTSTART | NMISC | - | 66 | 67 | 68 | 69
DPARAM | NMISC | - | 70 | 71 | 72 | 73
TEMPS | NMISC | - | 78 | 79 | 80 | 81
TEMPT | NMISC | - | 82 | 83 | 84 | 85
CONV | NMISC | - | 86 | 87 | 88 | 89
RAC | NMISC | - | 90 | 91 | 92 | 93
TCC | NMISC | - | 94 | 95 | 96 | 97
CNFH | NMISC | 98 | - | - | - | -
ECURT | NMISC | 99 | - | - | - | -
ECHAR | NMISC | 99 | - | - | - | -
ECC | NMISC | - | 100 | 101 | 102 | 103
VOLTS | NMISC | - | 104 | 105 | 106 | 107
VOLTT | NMISC | - | 108 | 109 | 110 | 111
CNOS | NMISC | - | 112 | 113 | 114 | 115
TNOP | NMISC | - | 116 | 117 | 118 | 119
SLTO | NMISC | - | 120 | 121 | 122 | 123
MCC | NMISC | - | 124 | 125 | 126 | 127
MAGS | NMISC | - | 128 | 129 | 130 | 131
MAGT | NMISC | - | 132 | 133 | 134 | 135
ELSI | NMISC | - | 136 | 137 | 138 | 139
DENERI | NMISC | - | 140 | 141 | 142 | 143
DENERII | NMISC | - | 144 | 145 | 146 | 147

  1. Element Status = highest value of status of integration points within the element

  2. Penetration = positive value, gap = negative value

You can display or list contact results through several POST1 postprocessor commands. The contact specific items for the PLNSOL, PLESOL, PRNSOL, and PRESOL commands are listed below:

STAT | Contact status
PENE | Contact penetration
PRES | Contact pressure
SFRIC | Contact friction stress
STOT | Contact total stress (pressure plus friction)
SLIDE | Contact sliding distance
GAP | Contact gap distance
FLUX | Total heat flux at contact surface
CNOS | Total number of contact status changes during substep

CONTA174 Assumptions and Restrictions

  • The 3-D contact element must coincide with the external surface of the underlying solid or shell element.

  • This element is nonlinear and requires a full Newton iterative solution, regardless of whether large or small deflections are specified.

  • The normal contact stiffness factor (FKN) must not be so large as to cause numerical instability.

  • FTOLN, PINB, and FKOP can be changed between load steps or during restart stages.

  • The value of FKN can be smaller when combined with the Lagrangian multiplier method, for which TOLN must be used.

  • You can use this element in nonlinear static or nonlinear full transient analyses.

  • In addition, you can use it in modal analyses, eigenvalue buckling analyses, and harmonic analyses. For these analysis types, the program assumes that the initial status of the element (i.e., the status at the completion of the static prestress analysis, if any) does not change.

  • This element allows birth and death and will follow the birth and death status of the underlying solid, shell, beam or target elements.

CONTA174 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The MU material property is not allowed

  • The birth and death special feature is not allowed.

  • The DAMP material property is not allowed.

ANSYS Structural.

  • The VOLT DOF (KEYOPT(1) = 3 through 6) is not allowed.

  • The MAG DOF (KEYOPT(1) = 7) is not allowed.

ANSYS Mechanical.

  • The MAG DOF (KEYOPT(1) = 7) is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CONTA173 		Up / Home Next
CONTA175


CONTA175

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

CONTA175

2-D/3-D Node-to-Surface Contact

MP ME ST PR PRN DS DSS <> EM <> <> PP <>

Product Restrictions

CONTA175 Element Description

CONTA175 may be used to represent contact and sliding between two surfaces (or between a node and a surface, or between a line and a surface) in 2-D or 3-D. The element is applicable to 2-D or 3-D structural and coupled field contact analyses. This element is located on the surfaces of solid, beam, and shell elements. 3-D solid and shell elements with midside nodes are supported for bonded and no separation contact. For other contact types, lower order solid and shell elements are recommended.

Contact occurs when the element surface penetrates one of the target segment elements (TARGE169, TARGE170) on a specified target surface. Coulomb and shear stress friction is allowed. This element also allows separation of bonded contact to simulate interface delamination. See CONTA175 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 175.1 CONTA175 Geometry

CONTA175 Input Data

The geometry is shown in Figure 175.1: "CONTA175 Geometry". The element is defined by one node. The underlying elements can be 2-D or 3-D solid, shell, or beam elements. The 3-D underlying solid or shell elements must have no midside nodes. CONTA175 represents 2-D or 3-D contact depending on whether the associated 2-D (TARGE169) or 3-D (TARGE170) segments are used. Remember, contact can occur only when the outward normal direction of the 2-D or 3-D target surface points to the contact surface. See Generating Contact Elements in the Contact Technology Guide for more information on generating elements automatically using the ESURF command.

CONTA175 supports isotropic and orthotropic Coulomb friction. For isotropic friction, specify a single coefficient of friction, MU, using either TB command input (recommended) or the MP command. For orthotropic friction, specify two coefficients of friction, MU1 and MU2, in two principal directions using TB command input. (See Contact Friction for more information.)

For isotropic friction, the default element coordinate system (based on node connectivity of the underlying elements) is used. For orthotropic friction, the global coordinate system is used by default, or you may define a local element coordinate system with the ESYS command. The principal directions are computed on the target surface and then projected onto the contact element (node). The first principal direction is defined by projecting the first direction of the chosen coordinate system onto the target surface. The second principal direction is defined by taking a cross product of the first principal direction and the target normal. These directions also follow the rigid body rotation of the contact element to correctly model the directional dependence of friction. Be careful to choose the coordinate system (global or local) so that the first direction of that system is within 45° of the tangent to the contact surface.

If you want to set the coordinate directions for isotropic friction (to the global Cartesian system or another system via ESYS), you can define orthotropic friction and set MU1 = MU2.

The contact surface elements are associated with the target segment elements (TARGE169, TARGE170) via a shared real constant set. ANSYS looks for contact only between surfaces with the same real constant set. For either rigid-flexible or flexible-flexible contact, one of the deformable surfaces must be represented by a contact surface. See Designating Contact and Target Surfaces in the Contact Technology Guide for more information. If more than one target surface will make contact with the same boundary of solid elements, you must define several contact elements that share the same geometry but relate to separate targets (targets which have different real constant numbers), or you must combine the two target surfaces into one (targets that share the same real constant numbers).

To model separation of bonded contact with KEYOPT(12) = 4, 5, or 6, use the TB command with the CZM label. See " Debonding" in the Contact Technology Guide for more information.

See the Contact Technology Guide for a detailed discussion on contact and using the contact elements. "Node-to-Surface Contact" discusses CONTA175 specifically, including the use of real constants and KEYOPTs.

A summary of the element input is given in "CONTAC175 Input Summary". A general description of element input is given in Element Input.

CONTAC175 Input Summary

Nodes

I

Degrees of Freedom
UX, UY, (UZ) (if KEYOPT(1) = 0
UX, UY, (UZ), TEMP (if KEYOPT(1) = 1)
TEMP (if KEYOPT(1) = 2)
UX, UY, (UZ), TEMP, VOLT (if KEYOPT(1) = 3)
TEMP, VOLT (if KEYOPT(1) = 4)
UX, UY, (UZ), VOLT (if KEYOPT(1) = 5)
VOLT (if KEYOPT(1) = 6)
AZ (2-D), MAG (3-D) (if KEYOPT(1) = 7)
Real Constants
R1, R2, FKN, FTOLN, ICONT, PINB,
PMAX, PMIN, TAUMAX, CNOF, FKOP, FKT,
COHE, TCC, FHTG, SBCT, RDVF, FWGT,
ECC, FHEG, FACT, DC, SLTO, TNOP,
TOLS, MCC
See Table 175.1: "CONTA175 Real Constants" for descriptions of the real constants.
Material Properties
DAMP, MU, EMIS (MP command)
FRIC (TB command; see Contact Friction)
CZM (TB command; see Cohesive Zone Materials Used for Debonding in the Contact Technology Guide)
Special Features
Nonlinear
Large deflection
Isotropic or orthotropic friction
Debonding
Birth and death
KEYOPTs

Presented below is a list of KEYOPTS available for this element. Included are links to sections in the Contact Technology Guide where more information is available on a particular topic.

KEYOPT(1)

Selects degrees of freedom:

0 --

UX, UY, UZ

1 --

UX, UY, UZ, TEMP

2 --

TEMP

3 --

UX, UY, UZ, TEMP, VOLT

4 --

TEMP, VOLT

5 --

UX, UY, UZ, VOLT

6 --

VOLT

7 --

AZ (2-D) or MAG (3-D)

KEYOPT(2)

Contact algorithm:

0 --

Augmented Lagrangian (default)

1 --

Penalty function

2 --

Multipoint constraint (MPC); see "Multipoint Constraints and Assemblies" in the Contact Technology Guide for more information

3 --

Lagrange multiplier on contact normal and penalty on tangent

4 --

Pure Lagrange multiplier on contact normal and tangent

KEYOPT(3)

Contact model:

0 --

Contact force based model (default)

1 --

Contact traction model

KEYOPT(4)

Contact normal direction:

0 --

Normal to target surface (default)

1 --

Normal from contact nodes

2 --

Normal from contact nodes (used for shell/beam bottom surface contact when shell/beam thickness is accounted for)

3 --

Normal to target surface (used for shell/beam bottom surface contact when shell/beam thickness is accounted for)

Note

When using the multipoint constraint (MPC) approach to define surface-based constraints, use KEYOPT(4) in the following way: set KEYOPT(4) = 0 for a rigid surface constraint, set KEYOPT(4) = 1 for a force-distributed constraint. See Surface-based Constraints for more information.

KEYOPT(5)

CNOF/ICONT Automated adjustment:

0 --

No automated adjustment

1 --

Close gap with auto CNOF

2 --

Reduce penetration with auto CNOF

3 --

Close gap/reduce penetration with auto CNOF

4 --

Auto ICONT

KEYOPT(6)

Contact stiffness variation (used to enhance stiffness updating when KEYOPT(10) > 0):

0 --

Use default range for stiffness updating

1 --

Make a nominal refinement to the allowable stiffness range

2 --

Make an aggressive refinement to the allowable stiffness range

KEYOPT(7)

Element level time incrementation control:

0 --

No control

1 --

Automatic bisection of increment

2 --

Change in contact predictions are made to maintain a reasonable time/load increment

3 --

Change in contact predictions made to achieve the minimum time/load increment whenever a change in contact status occurs

Note

For KEYOPT(7) = 2 or 3, includes automatic bisection of increment. It is activated only if SOLCONTROL,ON,ON at the procedure level.

KEYOPT(8)

Asymmetric contact selection:

0 --

No action

2 --

ANSYS internally selects which asymmetric contact pair is used at the solution stage (used only when symmetry contact is defined).

KEYOPT(9)

Effect of initial penetration or gap:

0 --

Include both initial geometrical penetration or gap and offset

1 --

Exclude both initial geometrical penetration or gap and offset

2 --

Include both initial geometrical penetration or gap and offset, but with ramped effects

3 --

Include offset only (exclude initial geometrical penetration or gap)

4 --

Include offset only (exclude initial geometrical penetration or gap), but with ramped effects

Note

For KEYOPT(9) = 1, 3, or 4, the indicated initial gap effect is considered only if KEYOPT(12) = 4 or 5.

KEYOPT(10)

Contact Stiffness Update:

0 --

Each load step if FKN is redefined during load step (pair based).

1 --

Each substep based on mean stress of underlying elements from the previous substep (pair based).

2 --

Each iteration based on current mean stress of underlying elements (pair based).

3 --

Each load step if FKN is redefined during load step (individual element based).

4 --

Each substep based on mean stress of underlying elements from the previous substep (individual element based).

5 --

Each iteration based on current mean stress of underlying elements (individual element based).

Note

KEYOPT(10) = 0, 1, and 2 are pair based, meaning that the stiffness and settings for ICONT, FTOLN, PINB, PMAX, and PMIN are averaged across all the contact elements in a contact pair. For KEYOPT(10) = 3, 4, and 5, the stiffness and settings are based on each individual contact element (geometry and material behaviors).

KEYOPT(11)

Shell Thickness Effect (only for real constant based thickness input):

0 --

Exclude

1 --

Include

KEYOPT(12)

Behavior of contact surface:

0 --

Standard

1 --

Rough

2 --

No separation (sliding permitted)

3 --

Bonded

4 --

No separation (always)

5 --

Bonded (always)

6 --

Bonded (initial contact)

Note

When KEYOPT(12) = 5 or 6 is used with the MPC algorithm to model surface-based constraints, the KEYOPT(12) setting will have an impact on the local coordinate system of the contact element nodes. See Specifying a Local Coordinate System in the Contact Technology Guide for more information.

Table 175.1 CONTA175 Real Constants

No. | Name | Description | For more information, see this section in the Contact Technology Guide . . .
1 | R1 | Target radius for cylinder, cone, or sphere | Defining the Target Surface
2 | R2 | Target radius at second node of cone | Defining the Target Surface
3 | FKN | Normal penalty stiffness factor | Determining Contact Stiffness and Penetration
4 | FTOLN | Penetration tolerance factor | Determining Contact Stiffness and Penetration
5 | ICONT | Initial contact closure | Adjusting Initial Contact Conditions
6 | PINB | Pinball region | Determining Contact Status and the Pinball Region or Defining Influence Range (PINB)
7 | PMAX | Upper limit of initial allowable penetration | Adjusting Initial Contact Conditions
8 | PMIN | Lower limit of initial allowable penetration | Adjusting Initial Contact Conditions
9 | TAUMAX | Maximum friction stress | Choosing a Friction Model
10 | CNOF | Contact surface offset | Adjusting Initial Contact Conditions
11 | FKOP | Contact opening stiffness or contact damping | Selecting Surface Interaction Models
12 | FKT | Tangent penalty stiffness factor | Determining Contact Stiffness
13 | COHE | Contact cohesion | Choosing a Friction Model
14 | TCC | Thermal contact conductance | Modeling Conduction
15 | FHTG | Frictional heating factor | Modeling Heat Generation Due to Friction
16 | SBCT | Stefan-Boltzmann constant | Modeling Radiation
17 | RDVF | Radiation view factor | Modeling Radiation
18 | FWGT | Heat distribution weighing factor | Modeling Heat Generation Due to Friction (thermal) or Heat Generation Due to Electric Current (electric)
19 | ECC | Electric contact conductance | Modeling Surface Interaction
20 | FHEG | Joule dissipation weight factor | Heat Generation Due to Electric Current
21 | FACT | Static/dynamic ratio | Static and Dynamic Friction Coefficients
22 | DC | Exponential decay coefficient | Static and Dynamic Friction Coefficients
23 | SLTO | Allowable elastic slip | Using FKT and SLTO
24 | TNOP | Maximum allowable tensile contact pressure [1] | Chattering Control Parameters
25 | TOLS | Target edge extension factor | Selecting Location of Contact Detection
26 | MCC | Magnetic contact permeance | Modeling Magnetic Contact

  1. For the force-based model (KEYOPT(3) = 0), TNOP is the allowable tensile contact force.

CONTA175 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 175.2: "CONTA175 Element Output Definitions".

A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 175.2 CONTA175 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes I | Y | Y
XC, YC, (ZC) | Location where results are reported (same as nodal location) | Y | Y
TEMP | Temperature T(I) | Y | Y
VOLU | AREA for 3-D, Length for 2-D | Y | Y
NPI | Number of integration points | Y | -
ITRGET | Target surface number (assigned by ANSYS) | Y | -
ISOLID | Underlying solid or shell element number | Y | -
CONT:STAT | Current contact statuses | 1 | 1
OLDST | Old contact statuses | 1 | 1
ISEG | Underlying current target number | Y | Y
OLDSEG | Underlying old target number | Y | -
CONT:PENE | Current penetration (gap = 0; penetration = positive value) | Y | Y
CONT:GAP | Current gap (gap = negative value; penetration = 0) | Y | Y
NGAP | New or current gap at current converged substep (gap = negative value; penetration = positive value) | Y | -
OGAP | Old gap at previously converged substep (gap = negative value; penetration = positive value) | Y | -
IGAP | Initial gap at start of current substep (gap = negative value; penetration = positive value) | Y | Y
CONT:PRES | Normal contact pressure | 2 | 2
TAUR/TAUS[8] | Tangential contact stresses | 2 | 2
KN | Current normal contact stiffness (units: Force/Length for contact force model, units: Force/Length3 for contract traction model) | 5 | 5
KT | Current tangent contact stiffness (same units as KN) | 5 | 5
MU[9] | Friction coefficient | Y | -
TASS/TASR[8] | Total (algebraic sum) sliding in S and R directions (3-D only) | 3 | 3
AASS/AASR[8] | Total (absolute sum) sliding in S and R directions (3-D only) | 3 | 3
TOLN | Penetration tolerance | Y | Y
CONT:SFRIC | Frictional stress SQRT (TAUR**2+TAUS**2) (3-D only) | 2 | 2
CONT:STOTAL | Total stress SQRT (PRES**2+TAUR**2+TAUS**2) (3-D only) | 2 | 2
CONT:SLIDE | Total sliding SQRT (TASS**2+TASR**2) (3-D only) | Y | Y
NX, NY | Surface normal vector components (2-D only) | Y | -
CONT:SFRIC | Tangential contact stress (2-D only) | 2 | 2
CONT:SLIDE | Total accumulated sliding (algebraic sum) (2-D only) | 3 | 3
CONT:ASLIDE | Total accumulated sliding (absolute sum) (2-D only) | 3 | 3
DBA | Penetration variation | Y | Y
PINB | Pinball Region | - | Y
CNFX[4] | Contact element force-X component | - | Y
CNFY | Contact element force-Y component | - | Y
CNFZ | Contact element force-Z component (3-D only) | - | Y
CONV | Convection coefficient | Y | Y
RAC | Radiation coefficient | Y | Y
TCC | Conductance coefficient | 6 | 6
TEMPS | Temperature at contact point | Y | Y
TEMPT | Temperature at target surface | Y | Y
FXCV | Heat flux due to convection | Y | Y
FXRD | Heat flux due to radiation | Y | Y
FXCD | Heat flux due to conductance | Y | Y
FDDIS | Frictional energy dissipation | 7 | 7
FLUX | Total heat flux at contact surface | Y | Y
FXNP | Flux input | - | Y
CNFH | Contact element heat flow | - | Y
CAREA | Contacting area | - | Y
JCONT | Contact current density (Current/Unit Area) | Y | Y
CCONT | Contact charge density (Charge/Unit Area) | Y | Y
HJOU | Contact power/area | Y | Y
ECURT | Current per contact element | - | Y
ECHAR | Charge per contact element | - | Y
ECC | Electric contact conductance (for electric current DOF), or electric contact capacitance per unit area (for piezoelectric or electrostatic DOFs) | 6 | 6
VOLTS | Voltage on contact nodes | Y | Y
VOLTT | Voltage on associated target | Y | Y
CNOS | Total number of contact status changes during substep | Y | Y
TNOP | Maximum allowable tensile contact pressure | 2 | 2
SLTO | Allowable elastic slip | Y | Y
MCC | Magnetic contact permeance | 6 | 6
MFLUX | Magnetic flux density | Y | Y
AZS/MAGS | 2-D/3-D Magnetic potential on contact node | Y | Y
AZT/MAGT | 2-D/3-D Magnetic potential on associated target | Y | Y
ELSI | Elastic slip distance for sticking contact within a substep | - | Y
DTSTART | Load step time during debonding | Y | Y
DPARAM | Debonding parameter | Y | Y
DENERI | Energy released due to separation in normal direction - mode I debonding | Y | Y
DENERII | Energy released due to separation in tangential direction - mode II debonding | Y | Y

  1. The possible values of STAT and OLDST are:

    0 = Open and not near contact
    1 = Open but near contact
    2 = Closed and sliding
    3 = Closed and sticking

  2. For the force-based model (KEYOPT(3) = 0), the unit of the quantities is FORCE. For the traction-based model (KEYOPT(3) = 1), the unit is FORCE/AREA.

  3. Only accumulates the sliding when contact occurs.

  4. Contact element forces are defined in the global Cartesian system

  5. For the force-based model, the unit of stiffness is FORCE/LENGTH. For the traction-ased model, the unit is FORCE/LENGTH3.

  6. The units of TCC, ECC, and MCC in the traction-based model should be the units of TCC, ECC, and MCC of the force-based model per area.

  7. FDDIS = (contact friction stress)*(sliding distance of substep)/(time increment of substep)

  8. For the case of orthotropic friction, components are defined in the global Cartesian system (default) or in the local element coordinate system specified by ESYS.

  9. For orthotropic friction, an equivalent coefficient of friction is output.

Table 175.3: "CONTA175 (3-D) Item and Sequence Numbers" and Table 175.4: " CONTA175 (2-D) Item and Sequence Numbers" list outputs available through the ETABLE command using the Sequence Number method. See Creating an Element Table in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in the tables below:

Name

output quantity as defined in Table 175.2: "CONTA175 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I

sequence number for data at nodes I

Table 175.3 CONTA175 (3-D) Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I
PRES | SMISC | 13 | 1
TAUR | SMISC | - | 5
TAUS | SMISC | - | 9
FLUX | SMISC | - | 14
FDDIS | SMISC | - | 18
FXCV | SMISC |  | 22
FXRD | SMISC | - | 26
FXCD | SMISC | - | 30
FXNP | SMISC | - | 34
JCONT | SMISC | - | 38
CCONT | SMISC | - | 38
HJOU | SMISC | - | 42
MFLUX | SMISC | - | 46
STAT[1] | NMISC | 41 | 1
OLDST | NMISC | - | 5
PENE[2] | NMISC | - | 9
DBA | NMISC | - | 13
TASR | NMISC | - | 17
TASS | NMISC | - | 21
KN | NMISC | - | 25
KT | NMISC | - | 29
TOLN | NMISC | - | 33
IGAP | NMISC | - | 37
PINB | NMISC | 42 | -
CNFX | NMISC | 43 | -
CNFY | NMISC | 44 | -
CNFZ | NMISC | 45 | -
ISEG | NMISC | - | 46
AASR | NMISC | - | 50
AASS | NMISC | - | 54
CAREA | NMISC | - | 58
MU | NMISC | - | 62
DTSTART | NMISC | - | 66
DPARAM | NMISC | - | 70
TEMPS | NMISC | - | 78
TEMPT | NMISC | - | 82
CONV | NMISC | - | 86
RAC | NMISC | - | 90
TCC | NMISC | - | 94
CNFH | NMISC | 98 | -
ECURT | NMISC | 99 | -
ECHAR | NMISC | 99 | -
ECC | NMISC | - | 100
VOLTS | NMISC | - | 104
VOLTT | NMISC | - | 108
CNOS | NMISC | - | 112
TNOP | NMISC | - | 116
SLTO | NMISC | - | 120
MCC | NMISC | - | 124
MAGS | NMISC | - | 128
MAGT | NMISC | - | 132
ELSI | NMISC | - | 136
DENERI | NMISC | - | 140
DENERII | NMISC | - | 144

Table 175.4 CONTA175 (2-D) Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I
PRES | SMISC | 5 | 1
SFRIC | SMISC | - | 3
FLUX | SMISC | - | 6
FDDIS | SMISC | - | 8
FXCV | SMISC | - | 10
FXRD | SMISC | - | 12
FXCD | SMISC | - | 14
FXNP | SMISC | - | 16
JCONT | SMISC | - | 18
CCONT | SMISC | - | 18
HJOU | SMISC | - | 20
MFLUX | SMISC | - | 22
STAT[1] | NMISC | 19 | 1
OLDST | NMISC | - | 3
PENE[2] | NMISC | - | 5
DBA | NMISC | - | 7
SLIDE | NMISC | - | 9
KN | NMISC | - | 11
KT | NMISC | - | 13
TOLN | NMISC | - | 15
IPENE | NMISC | - | 17
PINB | NMISC | 20 | -
CNFX | NMISC | 21 | -
CNFY | NMISC | 22 | -
ISEG | NMISC | - | 23
CAREA | NMISC | - | 27
MU | NMISC | - | 29
DTSTART | NMISC | - | 31
DPARAM | NMISC | - | 33
TEMPS | NMISC | - | 37
TEMPT | NMISC | - | 39
CONV | NMISC | - | 41
RAC | NMISC | - | 43
TCC | NMISC | - | 45
CNFH | NMISC | 47 | -
ECURT | NMISC | 48 | -
ECHAR | NMISC | 48 | -
ECC | NMISC | - | 49
VOLTS | NMISC | - | 51
VOLTT | NMISC | - | 53
CNOS | NMISC | - | 55
TNOP | NMISC | - | 57
SLTO | NMISC | - | 59
MCC | NMISC | - | 61
AZS | NMISC | - | 63
AZT | NMISC | - | 65
ELSI | NMISC | - | 67
DENERI | NMISC | - | 69
DENERII | NMISC | - | 71

  1. Element Status = highest value of status of integration points within the element

  2. Penetration = positive value, gap = negative value

You can display or list contact results through several POST1 postprocessor commands. The contact specific items for the PLNSOL, PLESOL, PRNSOL, and PRESOL commands are listed below:

STAT | Contact status
PENE | Contact penetration
PRES | Contact pressure for the traction-based model. Contact normal force for the force-based model.
SFRIC | Contact friction stress for the traction-based model. Friction force for the force-based model.
STOT | Contact total stress (pressure plus friction) for the traction-based model. Total contact force for the force-based model.
SLIDE | Contact sliding distance
GAP | Contact gap distance
CNOS | Total number of contact status changes during substep

CONTA175 Assumptions and Restrictions

  • This element is nonlinear and requires a full Newton iterative solution, regardless of whether large or small deflections are specified.

  • The normal contact stiffness factor (FKN) must not be so large as to cause numerical instability.

  • FTOLN, PINB, and FKOP can be changed between load steps or during restart stages.

  • The value of FKN can be smaller when combined with the Lagrangian multiplier method, for which TOLN must be used.

  • You can use this element in nonlinear static or nonlinear full transient analyses.

  • In addition, you can use it in modal analyses, eigenvalue buckling analyses, and harmonic analyses. For these analysis types, the program assumes that the initial status of the element (i.e., the status at the completion of the static prestress analysis, if any) does not change.

  • This element allows birth and death and will follow the birth and death status of the underlying solid, shell, beam, or target elements.

  • When the contact node is on the axis of symmetry in an axisymmetric analysis, the contact pressure on that node is not accurate since the area of the node is zero. The contact force is accurate in this situation.

CONTA175 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The MU material property is not allowed.

  • The birth and death special feature is not allowed.

  • The DAMP material property is not allowed.

ANSYS Structural.

  • The VOLT DOF (KEYOPT(1) = 3 through 6) is not allowed.

  • The AZ (2-D) and MAG (3-D) DOFs (KEYOPT(1) = 7) are not allowed.

ANSYS Mechanical.

  • The AZ (2-D) and MAG (3-D) DOFs (KEYOPT(1) = 7) are not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CONTA174 		Up / Home Next
CONTA176


CONTA176

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

CONTA176

3-D Line-to-Line Contact

MP ME ST PR PRN DS DSS <> EM <> <> PP <>

Product Restrictions

CONTA176 Element Description

CONTA176 is used to represent contact and sliding between 3-D line segments (TARGE170) and a deformable line segment, defined by this element. The element is applicable to 3-D beam-beam structural contact analyses. This element is located on the surfaces of 3-D beam or pipe elements with or without midside nodes (BEAM4, BEAM24, BEAM188, BEAM189, PIPE16, PIPE20). Contact occurs when the element surface penetrates one of the 3-D straight line or parabolic line segment elements (TARGE170) on a specified target surface. Coulomb and shear stress friction is allowed. This element also allows separation of bonded contact to simulate interface delamination. See CONTA176 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. To model beam-to-surface contact, use the line-to-surface contact element, CONTA177.

Figure 176.1 CONTA176 Geometry

CONTA176 Input Data

The geometry and node locations are shown in Figure 176.1: "CONTA176 Geometry". The element is defined by two nodes (if the underlying beam element does not have a midside node) or three nodes (if the underlying beam element has a midside node). The element x-axis is along the I-J line of the element. Correct node ordering of the contact element is critical for proper detection of contact. The nodes must be ordered in a sequence that defines a continuous line. See Generating Contact Elements in the Contact Technology Guide for more information on generating elements automatically using the ESURF command.

Three different scenarios can be modeled by CONTA176:

  • Internal contact where one beam (or pipe) slides inside another hollow beam (or pipe) (see Figure 176.2: "Beam Sliding Inside a Hollow Beam")

  • External contact between two beams that lie next to each other and are roughly parallel (see Figure 176.3: "Parallel Beams in Contact")

  • External contact between two beams that cross (see Figure 176.4: "Crossing Beams in Contact")

Use KEYOPT(3) = 0 for the first two scenarios (internal contact and parallel beams). In both cases, the contact condition is only checked at contact nodes.

Use KEYOPT(3) = 1 for the third scenario (beams that cross). In this case, the contact condition is checked along the entire length of the beams. The beams with circular cross sections are assumed to come in contact in a point-wise manner. Each contact element can potentially contact no more than one target element.

Figure 176.2 Beam Sliding Inside a Hollow Beam

Figure 176.3 Parallel Beams in Contact

Figure 176.4 Crossing Beams in Contact

The 3-D line-to-line contact elements are associated with the target line segment elements (LINE or PARA segment types for TARGE170) via a shared real constant set. The contact/target surface is assumed to be the surface of a cylinder. For a general beam cross section, use an equivalent circular beam (see Figure 176.5: "Equivalent Circular Cross Section"). Use the first real constant, R1, to define the radius on the target side (target radius rt). Use the second real constant, R2, to define the radius on the contact side (contact radius rc). Follow these guidelines to define the equivalent circular cross section:

  • Determine the smallest cross section along the beam axis.

  • Determine the largest circle embedded in that cross section.

Figure 176.5 Equivalent Circular Cross Section

The target radius can be entered as either a negative or positive value. Use a negative value when modeling internal contact (a beam sliding inside a hollow beam, or pipe sliding inside another pipe), with the input value equal to the inner radius of the outer beam (see Figure 176.2: "Beam Sliding Inside a Hollow Beam"). Use a positive value when modeling contact between the exterior surfaces of two cylindrical beams.

For the case of internal contact, the inner beam should usually be considered the contact surface and the outer beam should be the target surface. The inner beam can be considered as the target surface only when the inner beam is much stiffer than the outer beam.

Contact is detected when two circular beams touch or overlap each other. The non-penetration condition for beams with a circular cross section can be defined as follows.

For internal contact:

and for external contact:

where rc and rt are the radii of the cross sections of the beams on the contact and target sides, respectively; and d is the minimal distance between the two beams which also determines the contact normal direction (see Figure 176.4: "Crossing Beams in Contact"). Contact occurs for negative values of g.

ANSYS looks for contact only between contact and target surfaces with the same real constant set. For either rigid-flexible or flexible-flexible contact, one of the deformable surfaces must be represented by a contact surface. See Designating Contact and Target Surfaces in the Contact Technology Guide for more information. If more than one target surface will make contact with the same boundary of beam elements, you must define several contact elements that share the same geometry but relate to separate targets (targets which have different real constant numbers), or you must combine the two target surfaces into one (targets that share the same real constant numbers).

CONTA176 supports isotropic and orthotropic Coulomb friction. For isotropic friction, specify a single coefficient of friction, MU, using either TB command input (recommended) or the MP command. For orthotropic friction, specify two coefficients of friction, MU1 and MU2, in two principal directions using TB command input. (See Contact Friction for more information.) The local element coordinates based on the nodal connectivity are used as principal directions. Local element coordinates defined using the ESYS command are ignored.

To model separation of bonded contact with KEYOPT(12) = 4, 5, or 6, use the TB command with the CZM label. See " Debonding" in the Contact Technology Guide for more information.

See the Contact Technology Guide for a detailed discussion on contact and using the contact elements. " 3-D Beam-to-Beam Contact" discusses CONTA176 specifically, including the use of real constants and KEYOPTs.

The following table summarizes the element input. Element Input gives a general description of element input.

CONTA176 Input Summary

Nodes

I, J, (K)

Degrees of Freedom
UX, UY, UZ
Real Constants
R1, R2, FKN, FTOLN, ICONT, PINB,
PMAX, PMIN, TAUMAX, CNOF, FKOP, FKT,
COHE, (Blank), (Blank), (Blank), (Blank), (Blank),
(Blank), (Blank), FACT, DC, SLTO, TNOP,
TOLS, (Blank)
See Table 176.1: "CONTA176 Real Constants" for descriptions of the real constants.
Material Properties
DAMP, MU (MP command)
FRIC (TB command; see Contact Friction)
CZM (TB command; see Cohesive Zone Materials Used for Debonding in the Contact Technology Guide)
Special Features
Nonlinear
Large deflection
Isotropic or orthotropic friction
Debonding
Birth and death
KEYOPTs

Presented below is a list of KEYOPTS available for this element. Included are links to sections in the Contact Technology Guide where more information is available on a particular topic.

KEYOPT(1)

Selects degrees of freedom. Currently, the default (UX, UY, UZ) is the only valid option:

0 --

UX, UY, UZ

KEYOPT(2)

Contact algorithm:

0 --

Augmented Lagrangian (default)

1 --

Penalty function

2 --

Multipoint constraint (MPC); see "Multipoint Constraints and Assemblies" in the Contact Technology Guide for more information

3 --

Lagrange multiplier on contact normal and penalty on tangent

4 --

Pure Lagrange multiplier on contact normal and tangent

KEYOPT(3)

Beam contact type:

0 --

Parallel beams or beam inside beam

1 --

Crossing beams

KEYOPT(4)

Type of surface-based constraint (see Surface-based Constraints for more information):

0 --

Rigid surface constraint

1 --

Force-distributed constraint

KEYOPT(5)

CNOF/ICONT Automated adjustment:

0 --

No automated adjustment

1 --

Close gap with auto CNOF

2 --

Reduce penetration with auto CNOF

3 --

Close gap/reduce penetration with auto CNOF

4 --

Auto ICONT

KEYOPT(6)

Contact stiffness variation (used to enhance stiffness updating when KEYOPT(10) > 0):

0 --

Use default range for stiffness updating

1 --

Make a nominal refinement to the allowable stiffness range

2 --

Make an aggressive refinement to the allowable stiffness range

KEYOPT(7)

Element level time incrementation control:

0 --

No control

1 --

Automatic bisection of increment

2 --

Change in contact predictions are made to maintain a reasonable time/load increment

3 --

Change in contact predictions made to achieve the minimum time/load increment whenever a change in contact status occurs

Note

For KEYOPT(7) = 2 or 3, includes automatic bisection of increment. It is activated only if SOLCONTROL,ON,ON is issued at the procedure level.

KEYOPT(8)

Asymmetric contact selection:

0 --

No action

2 --

ANSYS internally selects which asymmetric contact pair is used at the solution stage (used only when symmetry contact is defined).

KEYOPT(9)

Effect of initial penetration or gap:

0 --

Include both initial geometrical penetration or gap and offset

1 --

Exclude both initial geometrical penetration or gap and offset

2 --

Include both initial geometrical penetration or gap and offset, but with ramped effects

3 --

Include offset only (exclude initial geometrical penetration or gap)

4 --

Include offset only (exclude initial geometrical penetration or gap), but with ramped effects

Note

For KEYOPT(9) = 1, 3, or 4, the indicated initial gap effect is considered only if KEYOPT(12) = 4 or 5.

KEYOPT(10)

Contact Stiffness Update:

0 --

Each load step if FKN is redefined during load step (pair based).

1 --

Each substep based on mean stress of underlying elements from the previous substep (pair based).

2 --

Each iteration based on current mean stress of underlying elements (pair based).

3 --

Each load step if FKN is redefined during load step (individual element based).

4 --

Each substep based on mean stress of underlying elements from the previous substep (individual element based).

5 --

Each iteration based on current mean stress of underlying elements (individual element based).

Note

KEYOPT(10) = 0, 1, and 2 are pair based, meaning that the stiffness and settings for ICONT, FTOLN, PINB, PMAX, and PMIN are averaged across all the contact elements in a contact pair. For KEYOPT(10) = 3, 4, and 5, the stiffness and settings are based on each individual contact element (geometry and material behaviors).

KEYOPT(12)

Behavior of contact surface:

0 --

Standard

1 --

Rough

2 --

No separation (sliding permitted)

3 --

Bonded

4 --

No separation (always)

5 --

Bonded (always)

6 --

Bonded (initial contact)

Note

When KEYOPT(12) = 5 or 6 is used with the MPC algorithm to model surface-based constraints, the KEYOPT(12) setting will have an impact on the local coordinate system of the contact element nodes. See Specifying a Local Coordinate System in the Contact Technology Guide for more information.

Table 176.1 CONTA176 Real Constants

No. | Name | Description | For more information, see this section in the Contact Technology Guide . . .
1 | R1 | Target radius | Real Constants R1, R2
2 | R2 | Contact radius | Real Constants R1, R2
3 | FKN[1] | Normal penalty stiffness factor | Determining Contact Stiffness and Penetration
4 | FTOLN | Penetration tolerance factor | Determining Contact Stiffness and Penetration
5 | ICONT | Initial contact closure | Adjusting Initial Contact Conditions
6 | PINB | Pinball region | Determining Contact Status and the Pinball Region or Defining Influence Range (PINB)
7 | PMAX | Upper limit of initial allowable penetration | Adjusting Initial Contact Conditions
8 | PMIN | Lower limit of initial allowable penetration | Adjusting Initial Contact Conditions
9 | TAUMAX | Maximum friction stress | Choosing a Friction Model
10 | CNOF | Contact surface offset | Adjusting Initial Contact Conditions
11 | FKOP | Contact opening stiffness or contact damping | Selecting Surface Interaction Models
12 | FKT[1] | Tangent penalty stiffness factor | Determining Contact Stiffness
13 | COHE | Contact cohesion | Choosing a Friction Model
21 | FACT | Static/dynamic ratio | Static and Dynamic Friction Coefficients
22 | DC | Exponential decay coefficient | Static and Dynamic Friction Coefficients
23 | SLTO | Allowable elastic slip | Using FKT and SLTO
24 | TNOP | Maximum allowable tensile contact force | Chattering Control Parameters
25 | TOLS | Target edge extension factor | Real Constant TOLS

  1. The units of real constants FKN and FKT have a factor of AREA with respect to those used in the surface-to-surface contact elements. See Performing a 3-D Beam-to-Beam Contact Analysis for more information.

CONTA176 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 176.2: "CONTA176 Element Output Definitions".

A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 176.2 CONTA176 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes I, J, K | Y | Y
XC, YC, ZC | Location where results are reported (same as nodal location) | Y | Y
TEMP | Temperature T(I) | Y | Y
VOLU | Length | Y | Y
NPI | Number of integration points | Y | -
ITRGET | Target surface number (assigned by ANSYS) | Y | -
ISOLID | Underlying beam element number | Y | -
CONT:STAT | Current contact statuses | 1 | 1
OLDST | Old contact statuses | 1 | 1
ISEG | Underlying current target number | Y | Y
OLDSEG | Underlying old target number | Y | -
CONT:PENE | Current penetration (gap = 0; penetration = positive value) | Y | Y
CONT:GAP | Current gap (gap = negative value; penetration = 0) | Y | Y
NGAP | New or current gap at current converged substep (gap = negative value; penetration = positive value) | Y | -
OGAP | Old gap at previously converged substep (gap = negative value; penetration = positive value) | Y | -
IGAP | Initial gap at start of current substep (gap = negative value; penetration = positive value) | Y | Y
CONT:PRES | Normal contact force | 2 | 2
TAUR/TAUS[7] | Tangential contact stresses | 2 | 2
KN | Current normal contact stiffness (units: Force/Length) | 5 | 5
KT | Current tangent contact stiffness (same units as KN) | 5 | 5
MU[8] | Friction coefficient | Y | -
TASS/TASR[7] | Total (algebraic sum) sliding in S and R directions | 3 | 3
AASS/AASR[7] | Total (absolute sum) sliding in S and R directions | 3 | 3
TOLN | Penetration tolerance | Y | Y
CONT:SFRIC | Frictional stress SQRT (TAUR**2+TAUS**2) | 2 | 2
CONT:STOTAL | Total stress SQRT (PRES**2+TAUR**2+TAUS**2) | 2 | 2
CONT:SLIDE | Total sliding SQRT (TASS**2+TASR**2) | Y | Y
DBA | Penetration variation | Y | Y
PINB | Pinball Region | - | Y
CNFX[4] | Contact element force-X component | - | Y
CNFY | Contact element force-Y component | - | Y
CNFZ | Contact element force-Z component | - | Y
CAREA | Contacting area | - | Y
FDDIS | Frictional energy dissipation | 6 | 6
CNOS | Total number of contact status changes during substep | Y | Y
TNOP | Maximum allowable tensile contact force | 2 | 2
SLTO | Allowable elastic slip | Y | Y
ELSI | Elastic slip distance for sticking contact within a substep | - | Y
DTSTART | Load step time during debonding | Y | Y
DPARAM | Debonding parameter | Y | Y
DENERI | Energy released due to separation in normal direction - mode I debonding | Y | Y
DENERII | Energy released due to separation in tangential direction - mode II debonding | Y | Y

  1. The possible values of STAT and OLDST are:

    0 = Open and not near contact
    1 = Open but near contact
    2 = Closed and sliding
    3 = Closed and sticking

  2. The unit of the quantities is FORCE.

  3. Only accumulates the sliding when contact occurs.

  4. Contact element forces are defined in the global Cartesian system

  5. The unit of stiffness is FORCE/LENGTH.

  6. FDDIS = (contact friction stress)*(sliding distance of substep)/(time increment of substep)

  7. For the case of orthotropic friction in contact between beams, components are defined in the global Cartesian system.

  8. For orthotropic friction, an equivalent coefficient of friction is output.

The following table lists output available through the ETABLE command using the Sequence Number method. See Creating an Element Table in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information.

Name

output quantity as defined in Table 176.2: "CONTA176 Element Output Definitions"

Item

predetermined item label for ETABLE command

E

sequence number for single-valued or constant element data

I, J, K

sequence number for data at nodes I, J, K

Table 176.3 CONTA176 (3-D) Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J | K
PRES | SMISC | 13 | 1 | 2 | 3
TAUR | SMISC | - | 5 | 6 | 7
TAUS | SMISC | - | 9 | 10 | 11
FDDIS | SMISC | - | 18 | 19 | 20
STAT[1] | NMISC | 41 | 1 | 2 | 3
OLDST | NMISC | - | 5 | 6 | 7
PENE[2] | NMISC | - | 9 | 10 | 11
DBA | NMISC | - | 13 | 14 | 15
TASR | NMISC | - | 17 | 18 | 19
TASS | NMISC | - | 21 | 22 | 23
KN | NMISC | - | 25 | 26 | 27
KT | NMISC | - | 29 | 30 | 31
TOLN | NMISC | - | 33 | 34 | 35
IGAP | NMISC | - | 37 | 38 | 39
PINB | NMISC | 42 | - | - | -
CNFX | NMISC | 43 | - | - | -
CNFY | NMISC | 44 | - | - | -
CNFZ | NMISC | 45 | - | - | -
ISEG | NMISC | - | 46 | 47 | 48
AASR | NMISC | - | 50 | 51 | 52
AASS | NMISC | - | 54 | 55 | 56
CAREA | NMISC | - | 58 | 59 | 60
MU | NMISC | - | 62 | 63 | 64
DTSTART | NMISC | - | 66 | 67 | 68
DPARAM | NMISC | - | 70 | 71 | 72
CNOS | NMISC | - | 112 | 113 | 114
TNOP | NMISC | - | 116 | 117 | 118
SLTO | NMISC | - | 120 | 121 | 122
ELSI | NMISC | - | 136 | 137 | 138
DENERI | NMISC | - | 140 | 141 | 142
DENERII | NMISC | - | 144 | 145 | 146

  1. Element Status = highest value of status of integration points within the element

  2. Penetration = positive value, gap = negative value

CONTA176 Assumptions and Restrictions

  • The main restriction is the assumption of constant circular beam cross section. The contact radius is assumed to be the same for all elements in the contact pair.

  • For KEYOPT(3) = 1 (crossing beams), contact between the beams is pointwise, and each contact element contacts no more than one target element.

  • This element is nonlinear and requires a full Newton iterative solution, regardless of whether large or small deflections are specified.

  • The normal contact stiffness factor (FKN) must not be so large as to cause numerical instability.

  • FTOLN, PINB, and FKOP can be changed between load steps or during restart stages.

  • The value of FKN can be smaller when combined with the Augmented Lagrangian method, for which TOLN must be used.

  • You can use this element in nonlinear static or nonlinear full transient analyses.

  • In addition, you can use it in modal analyses, eigenvalue buckling analyses, and harmonic analyses. For these analysis types, the program assumes that the initial status of the element (i.e., the status at the completion of the static prestress analysis, if any) does not change.

  • This element allows birth and death and will follow the birth and death status of the underlying beam, pipe, or target elements.

CONTA176 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The MU material property (input via MP,MU or TB,FRIC) is not allowed.

  • The birth and death special feature is not allowed.

  • The DAMP material property is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CONTA175 		Up / Home Next
CONTA177


CONTA177

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

CONTA177

3-D Line-to-Surface Contact

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

CONTA177 Element Description

CONTA177 is used to represent contact and sliding between 3-D surface segments (TARGE170) and a deformable line segment, defined by this element. The element is applicable to 3-D beam-to-solid and 3-D shell edge-to-solid structural contact analyses. This element is located on the surfaces of 3-D beam or pipe elements with or without midside nodes (BEAM4, BEAM24, BEAM188, BEAM189, PIPE16, PIPE20). It can also be located on the edge of 3-D shell elements with or without midside nodes, such as SHELL181 and SHELL281. Contact occurs when the element surface penetrates one of the target segment elements (TARGE170) on a specified target surface. Coulomb and shear stress friction is allowed. This element also allows separation of bonded contact to simulate interface delamination. See CONTA177 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. To model beam-to-beam contact, use the line-to-line contact element, CONTA176.

Figure 177.1 CONTA177 Geometry

CONTA177 Input Data

The geometry and node locations are shown in Figure 177.1: "CONTA177 Geometry". The element is defined by two nodes (if the underlying beam or shell element does not have a midside node) or three nodes (if the underlying beam or shell element has a midside node). The element x-axis is along the I-J line of the element. Correct node ordering of the contact element is critical for proper detection of contact. The nodes must be ordered in a sequence that defines a continuous line. See Generating Contact Elements in the Contact Technology Guide for more information on generating elements automatically using the ESURF command.

ANSYS looks for contact only between contact and target surfaces with the same real constant set. For either rigid-flexible or flexible-flexible contact, one of the deformable "surfaces" (beam or shell edge) must be represented by a contact surface. See Designating Contact and Target Surfaces in the Contact Technology Guide for more information. If more than one target surface will make contact with the same boundary of line elements, you must define several contact elements that share the same geometry but relate to separate targets (targets which have different real constant numbers), or you must combine the two target surfaces into one (targets that share the same real constant numbers).

CONTA177 supports isotropic and orthotropic Coulomb friction. For isotropic friction, specify a single coefficient of friction, MU, using either TB command input (recommended) or the MP command. For orthotropic friction, specify two coefficients of friction, MU1 and MU2, in two principal directions using TB command input. (See Contact Friction for more information.) The local element coordinates based on the nodal connectivity are used as principal directions. Local element coordinates defined using the ESYS command are ignored.

To model separation of bonded contact with KEYOPT(12) = 4, 5, or 6, use the TB command with the CZM label. See " Debonding" in the Contact Technology Guide for more information.

See the Contact Technology Guide for a detailed discussion on contact and using the contact elements. " Line-to-Surface Contact" discusses CONTA177 specifically, including the use of real constants and KEYOPTs.

The following table summarizes the element input. Element Input gives a general description of element input.

CONTA177 Input Summary

Nodes

I, J, (K)

Degrees of Freedom
UX, UY, UZ
Real Constants
R1, R2, FKN, FTOLN, ICONT, PINB,
PMAX, PMIN, TAUMAX, CNOF, FKOP, FKT,
COHE, (Blank), (Blank), (Blank), (Blank), (Blank),
(Blank), (Blank), FACT, DC, SLTO, TNOP,
TOLS, (Blank)
See Table 177.1: "CONTA177 Real Constants" for descriptions of the real constants.
Material Properties
DAMP, MU (MP command)
FRIC (TB command; see Contact Friction)
CZM (TB command; see Cohesive Zone Materials Used for Debonding in the Contact Technology Guide)
Special Features
Nonlinear
Large deflection
Isotropic or orthotropic friction
Debonding
Birth and death
KEYOPTs

Presented below is a list of KEYOPTS available for this element. Included are links to sections in the Contact Technology Guide where more information is available on a particular topic.

KEYOPT(1)

Selects degrees of freedom. Currently, the default (UX, UY, UZ) is the only valid option:

0 --

UX, UY, UZ

KEYOPT(2)

Contact algorithm:

0 --

Augmented Lagrangian (default)

1 --

Penalty function

2 --

Multipoint constraint (MPC); see "Multipoint Constraints and Assemblies" in the Contact Technology Guide for more information

3 --

Lagrange multiplier on contact normal and penalty on tangent

4 --

Pure Lagrange multiplier on contact normal and tangent

KEYOPT(4)

Type of surface-based constraint (see Surface-based Constraints for more information):

0 --

Rigid surface constraint

1 --

Force-distributed constraint

KEYOPT(5)

CNOF/ICONT Automated adjustment:

0 --

No automated adjustment

1 --

Close gap with auto CNOF

2 --

Reduce penetration with auto CNOF

3 --

Close gap/reduce penetration with auto CNOF

4 --

Auto ICONT

KEYOPT(6)

Contact stiffness variation (used to enhance stiffness updating when KEYOPT(10) > 0):

0 --

Use default range for stiffness updating

1 --

Make a nominal refinement to the allowable stiffness range

2 --

Make an aggressive refinement to the allowable stiffness range

KEYOPT(7)

Element level time incrementation control:

0 --

No control

1 --

Automatic bisection of increment

2 --

Change in contact predictions are made to maintain a reasonable time/load increment

3 --

Change in contact predictions made to achieve the minimum time/load increment whenever a change in contact status occurs

Note

For KEYOPT(7) = 2 or 3, includes automatic bisection of increment. It is activated only if SOLCONTROL,ON,ON is issued at the procedure level.

KEYOPT(9)

Effect of initial penetration or gap:

0 --

Include both initial geometrical penetration or gap and offset

1 --

Exclude both initial geometrical penetration or gap and offset

2 --

Include both initial geometrical penetration or gap and offset, but with ramped effects

3 --

Include offset only (exclude initial geometrical penetration or gap)

4 --

Include offset only (exclude initial geometrical penetration or gap), but with ramped effects

Note

For KEYOPT(9) = 1, 3, or 4, the indicated initial gap effect is considered only if KEYOPT(12) = 4 or 5.

KEYOPT(10)

Contact Stiffness Update:

0 --

Each load step if FKN is redefined during load step (pair based).

1 --

Each substep based on mean stress of underlying elements from the previous substep (pair based).

2 --

Each iteration based on current mean stress of underlying elements (pair based).

3 --

Each load step if FKN is redefined during load step (individual element based).

4 --

Each substep based on mean stress of underlying elements from the previous substep (individual element based).

5 --

Each iteration based on current mean stress of underlying elements (individual element based).

Note

KEYOPT(10) = 0, 1, and 2 are pair based, meaning that the stiffness and settings for ICONT, FTOLN, PINB, PMAX, and PMIN are averaged across all the contact elements in a contact pair. For KEYOPT(10) = 3, 4, and 5, the stiffness and settings are based on each individual contact element (geometry and material behaviors).

KEYOPT(11)

Shell thickness effect (target side only):

0 --

Exclude

1 --

Include

KEYOPT(12)

Behavior of contact surface:

0 --

Standard

1 --

Rough

2 --

No separation (sliding permitted)

3 --

Bonded

4 --

No separation (always)

5 --

Bonded (always)

6 --

Bonded (initial contact)

Note

When KEYOPT(12) = 5 or 6 is used with the MPC algorithm to model surface-based constraints, the KEYOPT(12) setting will have an impact on the local coordinate system of the contact element nodes. See Specifying a Local Coordinate System in the Contact Technology Guide for more information.

Table 177.1 CONTA177 Real Constants

No. | Name | Description | For more information, see this section in the Contact Technology Guide . . .
1 | R1 | Target radius for cylinder, cone, or sphere | Defining the Target Surface
2 | R2 | Target radius at second node of cone | Defining the Target Surface
3 | FKN[1] | Normal penalty stiffness factor | Determining Contact Stiffness and Penetration
4 | FTOLN | Penetration tolerance factor | Determining Contact Stiffness and Penetration
5 | ICONT | Initial contact closure | Adjusting Initial Contact Conditions
6 | PINB | Pinball region | Determining Contact Status and the Pinball Region or Defining Influence Range (PINB)
7 | PMAX | Upper limit of initial allowable penetration | Adjusting Initial Contact Conditions
8 | PMIN | Lower limit of initial allowable penetration | Adjusting Initial Contact Conditions
9 | TAUMAX | Maximum friction stress | Choosing a Friction Model
10 | CNOF | Contact surface offset | Accounting for Thickness Effect (CNOF and KEYOPT(11))
11 | FKOP | Contact opening stiffness or contact damping | Selecting Surface Interaction Models
12 | FKT[1] | Tangent penalty stiffness factor | Determining Contact Stiffness
13 | COHE | Contact cohesion | Choosing a Friction Model
21 | FACT | Static/dynamic ratio | Static and Dynamic Friction Coefficients
22 | DC | Exponential decay coefficient | Static and Dynamic Friction Coefficients
23 | SLTO | Allowable elastic slip | Using FKT and SLTO
24 | TNOP | Maximum allowable tensile contact force | Chattering Control Parameters
25 | TOLS | Target edge extension factor | Real Constant TOLS

  1. The units of real constants FKN and FKT have a factor of AREA with respect to those used in the surface-to-surface contact elements. See Real Constants FKN and FKT for more information.

CONTA177 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 177.2: "CONTA177 Element Output Definitions".

A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 177.2 CONTA177 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes I, J, K | Y | Y
XC, YC, ZC | Location where results are reported (same as nodal location) | Y | Y
TEMP | Temperature T(I) | Y | Y
VOLU | Length | Y | Y
NPI | Number of integration points | Y | -
ITRGET | Target surface number (assigned by ANSYS) | Y | -
ISOLID | Underlying beam or shell element number | Y | -
CONT:STAT | Current contact statuses | 1 | 1
OLDST | Old contact statuses | 1 | 1
ISEG | Underlying current target number | Y | Y
OLDSEG | Underlying old target number | Y | -
CONT:PENE | Current penetration (gap = 0; penetration = positive value) | Y | Y
CONT:GAP | Current gap (gap = negative value; penetration = 0) | Y | Y
NGAP | New or current gap at current converged substep (gap = negative value; penetration = positive value) | Y | -
OGAP | Old gap at previously converged substep (gap = negative value; penetration = positive value) | Y | -
IGAP | Initial gap at start of current substep (gap = negative value; penetration = positive value) | Y | Y
CONT:PRES | Normal contact force | 2 | 2
TAUR/TAUS[7] | Tangential contact stresses | 2 | 2
KN | Current normal contact stiffness (units: Force/Length) | 5 | 5
KT | Current tangent contact stiffness (same units as KN) | 5 | 5
MU[8] | Friction coefficient | Y | -
TASS/TASR[7] | Total (algebraic sum) sliding in S and R directions | 3 | 3
AASS/AASR[7] | Total (absolute sum) sliding in S and R directions | 3 | 3
TOLN | Penetration tolerance | Y | Y
CONT:SFRIC | Frictional stress SQRT (TAUR**2+TAUS**2) | 2 | 2
CONT:STOTAL | Total stress SQRT (PRES**2+TAUR**2+TAUS**2) | 2 | 2
CONT:SLIDE | Total sliding SQRT (TASS**2+TASR**2) | Y | Y
DBA | Penetration variation | Y | Y
PINB | Pinball Region | - | Y
CNFX[4] | Contact element force-X component | - | Y
CNFY | Contact element force-Y component | - | Y
CNFZ | Contact element force-Z component | - | Y
CAREA | Contacting area | - | Y
FDDIS | Frictional energy dissipation | 6 | 6
CNOS | Total number of contact status changes during substep | Y | Y
TNOP | Maximum allowable tensile contact force | 2 | 2
SLTO | Allowable elastic slip | Y | Y
ELSI | Elastic slip distance for sticking contact within a substep | - | Y
DTSTART | Load step time during debonding | Y | Y
DPARAM | Debonding parameter | Y | Y
DENERI | Energy released due to separation in normal direction - mode I debonding | Y | Y
DENERII | Energy released due to separation in tangential direction - mode II debonding | Y | Y

  1. The possible values of STAT and OLDST are:

    0 = Open and not near contact
    1 = Open but near contact
    2 = Closed and sliding
    3 = Closed and sticking

  2. The unit of the quantities is FORCE.

  3. Only accumulates the sliding when contact occurs.

  4. Contact element forces are defined in the global Cartesian system

  5. The unit of stiffness is FORCE/LENGTH.

  6. FDDIS = (contact friction stress)*(sliding distance of substep)/(time increment of substep)

  7. For the case of orthotropic friction in contact between beams (or shell edges) and a 3-D surface, components are defined in the global Cartesian system.

  8. For orthotropic friction, an equivalent coefficient of friction is output.

The following table lists output available through the ETABLE command using the Sequence Number method. See Creating an Element Table in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information.

Name

output quantity as defined in Table 177.2: "CONTA177 Element Output Definitions"

Item

predetermined item label for ETABLE command

E

sequence number for single-valued or constant element data

I, J, K

sequence number for data at nodes I, J, K

Table 177.3 CONTA177 (3-D) Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J | K
PRES | SMISC | 13 | 1 | 2 | 3
TAUR | SMISC | - | 5 | 6 | 7
TAUS | SMISC | - | 9 | 10 | 11
FDDIS | SMISC | - | 18 | 19 | 20
STAT[1] | NMISC | 41 | 1 | 2 | 3
OLDST | NMISC | - | 5 | 6 | 7
PENE[2] | NMISC | - | 9 | 10 | 11
DBA | NMISC | - | 13 | 14 | 15
TASR | NMISC | - | 17 | 18 | 19
TASS | NMISC | - | 21 | 22 | 23
KN | NMISC | - | 25 | 26 | 27
KT | NMISC | - | 29 | 30 | 31
TOLN | NMISC | - | 33 | 34 | 35
IGAP | NMISC | - | 37 | 38 | 39
PINB | NMISC | 42 | - | - | -
CNFX | NMISC | 43 | - | - | -
CNFY | NMISC | 44 | - | - | -
CNFZ | NMISC | 45 | - | - | -
ISEG | NMISC | - | 46 | 47 | 48
AASR | NMISC | - | 50 | 51 | 52
AASS | NMISC | - | 54 | 55 | 56
CAREA | NMISC | - | 58 | 59 | 60
MU | NMISC | - | 62 | 63 | 64
DTSTART | NMISC | - | 66 | 67 | 68
DPARAM | NMISC | - | 70 | 71 | 72
CNOS | NMISC | - | 112 | 113 | 114
TNOP | NMISC | - | 116 | 117 | 118
SLTO | NMISC | - | 120 | 121 | 122
ELSI | NMISC | - | 136 | 137 | 138
DENERI | NMISC | - | 140 | 141 | 142
DENERII | NMISC | - | 144 | 145 | 146

  1. Element Status = highest value of status of integration points within the element

  2. Penetration = positive value, gap = negative value

CONTA177 Assumptions and Restrictions

  • The thickness effects of underlying beam elements on the contact side can be taken into account by specifying the contact surface offset CNOF.

  • The thickness effects of underlying shell elements on the target side can be taken into account by setting KEYOPT(11) = 1.

  • This element is nonlinear and requires a full Newton iterative solution, regardless of whether large or small deflections are specified.

  • The normal contact stiffness factor (FKN) must not be so large as to cause numerical instability.

  • FTOLN, PINB, and FKOP can be changed between load steps or during restart stages.

  • The value of FKN can be smaller when combined with the Augmented Lagrangian method, for which TOLN must be used.

  • You can use this element in nonlinear static or nonlinear full transient analyses.

  • In addition, you can use it in modal analyses, eigenvalue buckling analyses, and harmonic analyses. For these analysis types, the program assumes that the initial status of the element (i.e., the status at the completion of the static prestress analysis, if any) does not change.

  • This element allows birth and death and will follow the birth and death status of the underlying beam, pipe, shell, or target elements.

CONTA177 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The MU material property (input via MP,MU or TB,FRIC) is not allowed.

  • The birth and death special feature is not allowed.

  • The DAMP material property is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CONTA176 		Up / Home Next
CONTA178


CONTA178

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

CONTA178

3-D Node-to-Node Contact

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

CONTA178 Element Description

CONTA178 represents contact and sliding between any two nodes of any types of elements. The element has two nodes with three degrees of freedom at each node with translations in the X, Y, and Z directions. It can also be used in 2-D and axisymmetric models by constraining the UZ degree of freedom. The element is capable of supporting compression in the contact normal direction and Coulomb friction in the tangential direction. The element may be initially preloaded in the normal direction or it may be given a gap specification. A longitudinal damper option can also be included. See CONTA178 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. Other contact elements, such as CONTAC12, COMBIN40, CONTAC52, are also available.

Figure 178.1 CONTA178 Geometry

CONTA178 Input Data

The geometry, node locations, and the coordinate system for this element are shown in the CONTA178 figure above. The element is defined by two nodes, an initial gap or interference (GAP), an initial element status (START), and damping coefficients CV1 and CV2. The orientation of the interface is defined by the node locations (I and J) or by a user specified contact normal direction. The interface is assumed to be perpendicular to the I-J line or to the specified gap direction. The element coordinate system has its origin at node I and the x-axis is directed toward node J or in the user specified gap direction. The interface is parallel to the element y-z plane. See Generating Contact Elements in the Contact Technology Guide for more information on generating elements automatically using the EINTF command.

Contact Algorithms

Four different contact algorithms can be selected:

  • Pure Lagrange multiplier method (KEYOPT(2) = 4)

  • Lagrange multiplier on contact normal and penalty on frictional (tangential) direction (KEYOPT(2) = 3)

  • Augmented Lagrange method (KEYOPT(2) = 0)

  • Pure Penalty method (KEYOPT(2) = 1)

The following sections outline these four algorithms.

Pure Lagrange Multiplier

The pure Lagrange multiplier method does not require contact stiffness FKN, FKS. Instead it requires chattering control parameters TOLN, FTOL, by which ANSYS assumes that the contact status remains unchanged. TOLN is the maximum allowable penetration and FTOL is the maximum allowable tensile contact force.

Note

A negative contact force occurs when the contact status is closed. A tensile contact force (positive) refers to a separation between the contact surfaces, but not necessarily and open contact status.

The behavior can be described as follows:

  • If the contact status from the previous iteration is open and the current calculated penetration is smaller than TOLN, then contact remains open. Otherwise the contact status switches to closed and another iteration is processed.

  • If the contact status from the previous iteration is closed and the current calculated contact force is positive, but smaller than FTOL, then contact remains closed. If the tensile contact force is larger than FTOL, then the contact status changes from closed to open and ANSYS continues to the next iteration.

ANSYS will provide reasonable defaults for TOLN and FTOL. Keep in mind the following when providing values for TOLN and FTOL:

  • A positive value is a scaling factor applied to the default values.

  • A negative value is used as an absolute value (which overrides the default).

The objective of TOLN and FTOL is to provide stability to models which exhibit contact chattering due to changing contact status. If the values you use for these tolerances are too small, the solution will require more iterations. However, if the values are too big it will affect the accuracy of the solution, since a certain amount of penetration or tensile contact force are allowed.

Theoretically, the pure Lagrange multiplier method enforces zero penetration when contact is closed and "zero slip" when sticking contact occurs. However the pure Lagrange multiplier method adds additional degrees of freedom to the model and requires additional iterations to stabilize contact conditions. This will increase the computational cost and may even lead to solution divergence if many contact points are oscillating between sticking and sliding conditions during iterations.

Lagrange Multiplier on Normal and Penalty on Tangent Plane

An alternative algorithm is the Lagrange multiplier method applied on the contact normal and the penalty method (tangential contact stiffness) on the frictional plane. This method only allows a very small amount of slip for a sticking contact condition. It requires chattering control parameters TOLN, FTOL as well as the maximum allowable elastic slip parameter SLTOL. Again, ANSYS provides default tolerance values which work well in most cases. You can override the default value for SLTOL by defining a scaling factor (positive value) or an absolute value (negative value). Based on the tolerance, current normal contact force, and friction coefficient, the tangential contact stiffness FKS can be obtained automatically. In a few cases, you can override FKS by defining a scaling factor (positive input) or absolute value (negative input). Use care when specifying values for SLTOL and FKS. If the value for SLTOL is too large and the value for FKS too small, too much elastic slip can occur. If the value for SLTOL is too small or the value for FKS too large, the problem may not converge.

Augmented Lagrange Method

The third contact algorithm is the augmented Lagrange method, which is basically the penalty method with additional penetration control. This method requires contact normal stiffness FKN, maximum allowable penetration TOLN, and maximum allowable slip SLTOL. FKS can be derived based on the maximum allowable slip SLTOL and the current normal contact force. ANSYS provides a default normal contact stiffness FKN which is based on the Young's modulus E and the size of the underlying elements. If Young's modulus E is not found, E = 1x109 will be assumed.

You can override the default normal contact stiffness FKN by defining a scaling factor (positive input) or absolute value (negative input with unit force/length). If you specify a large value for TOLN, the augmented Lagrange method works as the penalty method. Use care when specifying values for FKN and TOLN. If the value for FKN is too small and the value for TOLN too large, too much penetration can occur. If the value for FKN is too large or the value for TOLN too small, the problem may not converge.

Penalty Method

The last algorithm is the pure penalty method. This method requires both contact normal and tangential stiffness values FKN, FKS. Real constants TOLN, FTOLN, and SLTOL are not used and penetration is no longer controlled in this method. Default FKN is provided as the one used in the augmented Lagrange method. The default FKS is given by MU x FKN. When FKN, FKS are defined as absolute values (negative input), the method works as the penalty method used in element CONTAC52.

Contact Normal Definition

The contact normal direction is of primary importance in a contact analysis. By default [KEYOPT(5) = 0 and NX, NY, NZ = 0], ANSYS will calculate the contact normal direction based on the initial positions of the I and J nodes, such that a positive displacement (in the element coordinate system) of node J relative to node I opens the gap. However, you must specify the contact normal direction for any of the following conditions:

  • If nodes I and J have the same initial coordinates.

  • If the model has an initial interference condition in which the underlying elements' geometry overlaps.

  • If the initial open gap distance is very small.

In the above cases, the ordering of nodes I and J is critical. The correct contact normal usually points from node I toward node J unless contact is initially overlapped.

You can specify the contact normal by means of real constants NX, NY, NZ (direction cosines related to the global Cartesian system) or element KEYOPT(5). The following lists the various options for KEYOPT(5):

KEYOPT(5) = 0

The contact normal is either based on the real constant values of NX, NY, NZ or on node locations when NX, NY, NZ are not defined. For 2-D contact, NZ = 0.

KEYOPT(5) = 1 (2,3)

The contact normal points in a direction which averages the direction cosines of the X (Y, Z) axis of the nodal coordinates on both nodes I and J. The direction cosines on nodes I and J should be very close. This option may be supported by the NORA and NORL commands, which rotate the X axis of the nodal coordinate system to point to the surface normal of solid models.

KEYOPT(5) = 4 (5,6)

The contact normal points to X (Y, Z) of the element coordinate system issued by the ESYS command. If you use this option, make sure that the element coordinate system specified by ESYS is the Cartesian system. Otherwise, the global Cartesian system is assumed.

Contact Status

The initial gap defines the gap size (if positive) or the displacement interference (if negative). If KEYOPT(4) = 0, the default, the gap size can be automatically calculated from the GAP real constant and the node locations (projection of vector points from node I to J on the contact normal), that is, the gap size is determined from the additive effect of the geometric gap and the value of GAP.

If KEYOPT(4) = 1, the initial gap size is only based on real constant GAP (node locations are ignored).

By default KEYOPT(9) is set to 0, which means the initial gap size is applied in the first load step. To ramp the initial gap size with the first load step (to model initial interference problems, for example), set KEYOPT(9) = 1. Also, set KBC,0 and do not specify any external loads over the first load step.

The force deflection relationships for the contact element can be separated into the normal and tangential (sliding) directions. In the normal direction, when the normal force (FN) is negative, the contact status remains closed (STAT = 3 or 2). In the tangential direction, for FN < 0 and the absolute value of the tangential force (FS) less than μ|FN|, contact "sticks" (STAT = 3). For FN < 0 and FS = μ|FN|, sliding occurs (STAT = 2). As FN becomes positive, contact is broken (STAT = 1) and no force is transmitted (FN = 0, FS = 0).

The contact condition at the beginning of the first substep can be determined from the START parameter. The initial element status (START) is used to define the "previous" condition of the interface at the start of the first substep. This value overrides the condition implied by the interference specification and can be useful in anticipating the final interface configuration and reducing the number of iterations required for convergence. However, specifying unrealistic START values can sometimes degrade the convergence behavior.

If START = 0.0 or blank, the initial status of the element is determined from either the GAP value or the KEYOPT(4) setting. If START = 3.0, contact is initially closed and not sliding (μ ≠ 0), or sliding (if μ = 0.0). If START = 2.0, contact is initially closed and sliding. If START = 1.0, contact is initially open.

Friction

The only material property used is the interface coefficient of friction μ (MU). A zero value should be used for frictionless surfaces. Temperatures may be specified at the element nodes (for material property evaluation only). The coefficient of friction μ is evaluated at the average of the two node temperatures. The node I temperature T(I) defaults to TUNIF. The node J temperature defaults to T(I).

For analyses involving friction, using NROPT,UNSYM is useful (and, in fact, sometimes required if the coefficient of friction μ is > 0.2) for problems where the normal and tangential (sliding) motions are strongly coupled.

Weak Spring

KEYOPT(3) can be used to specify a "weak spring" across an open or free sliding interface, which is useful for preventing rigid body motion that could occur in a static analysis. The weak spring stiffness is computed by multiplying the normal stiffness KN by a reduction factor if the real constant REDFACT is positive (which defaults to 1 x 10-6). The weak spring stiffness can be overridden if REDFACT has a negative value. Set KEYOPT(3) = 1 to add weak spring stiffness only to the contact normal direction when contact is open. Set KEYOPT(3) = 2 to add weak spring stiffness to the contact normal direction for open contact and tangent plane for frictionless or open contact.

Just as for CONTAC52, the weak spring only contributes to global stiffness, which prevents a "singularity" condition from occurring during the solution phase if KEYOPT(3) = 1,2. By setting KEYOPT(3) = 3,4, the weak spring will contribute both to the global stiffness and the internal nodal force which holds two separated nodes.

Note

The weak spring option should never be used in conjunction with either the no-separation or bonded contact options defined by KEYOPT(10).

Contact Behavior

Use KEYOPT(10) to model the following different contact surface behaviors:

KEYOPT(10) = 0

Models standard unilateral contact; that is, normal pressure equals zero if separation occurs.

KEYOPT(10) = 1

Models rough frictional contact where there is no sliding. This case corresponds to an infinite friction coefficient and ignores the material property input MU.

KEYOPT(10) = 2

Models no separation contact, in which two gap nodes are tied (although sliding is permitted) for the remainder of the analysis once contact is established.

KEYOPT(10) = 3

Models bonded contact, in which two gap nodes are bonded in all directions (once contact is established) for the remainder of the analysis.

KEYOPT(10) = 4

Models no separation contact, in which two gap nodes are always tied (sliding is permitted) throughout the analysis.

KEYOPT(10) = 5

Models bonded contact, in which two gap nodes are bonded in all directions throughout the analysis.

KEYOPT(10) = 6

Models bonded contact, in which two gap nodes that are initially in a closed state will remain closed and two gap nodes that are initially in an open state will remain open throughout the analysis.

Cylindrical Gap

The cylindrical gap option (KEYOPT(1) = 1) is useful where the final contact normal is not fixed during the analysis, such as in the interaction between concentric pipes. With this option, you define the real constants NX, NY, NZ as the direction cosines of the cylindrical axis ( [image]) in the global Cartesian coordinate system. The contact normal direction lies in a cross section that is perpendicular to the cylindrical axis. The program measures the relative distance |XJ - XI| between the current position of node I and the current position of node J projected onto the cross section. NX, NY, NZ defaults to (0,0,1), which is the case for a 2-D circular gap. With the cylindrical gap option, KEYOPT(4) and KEYOPT(5) are ignored and node ordering can be arbitrary. Real constant GAP is no long referred as the initial gap size and a zero value is not allowed. The following explanation defines the model based on the sign of the GAP value.

Figure 178.2 CONTA178 Gap and Nodes

  • A positive GAP value models contact when one smaller cylinder inserted into another parallel larger cylinder. GAP is equal to the difference between the radii of the cylinders (|RJ - RI|) and it represents the maximum allowable distance projected on the cross-section. The contact constraint condition can be written as :

  • A negative GAP value models external contact between two parallel cylinders. GAP is equal to the sum of the radii of the cylinders (|RJ + RI|) and it represents the minimum allowable distance projected on the cross-section. The contact constraint condition can be written as:

Damper

The damping capability is only used for modal and transient analyses. By default, the damping capability is removed from the element. Damping is only active in the contact normal direction when contact is closed. The damping coefficient units are Force (Time/Length). For a 2-D axisymmetric analysis, the coefficient should be on a full 360° basis. The damping force is computed as [image], where Cv is the damping coefficient given by Cv = Cv1 + Cv2xV. V is the velocity calculated in the previous substep. The second damping coefficient (Cv2) is available to produce a nonlinear damping effect.

Monitoring Contact Status

By default, ANSYS will not print out contact status and contact stiffness for each individual element. Use KEYOPT(12) = 1 to print out such information, which may help in solving problems that are difficult to converge.

A summary of the element input is given in "CONTA178 Input Summary". A general description of element input is given in Element Input.

CONTA178 Input Summary

Nodes

I, J

Degrees of Freedom

UX, UY, UZ

Real Constants
FKN, GAP, START, FKS, REDFACT, NX,
NY, NZ, TOLN, FTOL, SLTOL, CV1,
CV2
See Table 178.1: "CONTA178 Real Constants" for a description of the real constants
Material Properties

DAMP, MU

Surface Loads

None

Body Loads

Temperatures - T(I), T(J)

Special Features

Nonlinear Gap type

KEYOPT(1)

Gap type:

0 --

Unidirectional gap

1 --

Cylindrical gap

KEYOPT(2)

Contact algorithm:

0 --

Augmented Lagrange method (default)

1 --

Pure Penalty method

3 --

Lagrange multiplier on contact normal and penalty on tangent (uses U/P formulation for normal contact, non-U/P formulation for tangential contact)

4 --

Lagrange multiplier method

KEYOPT(3)

Weak Spring:

0 --

Not used

1 --

Acts across an open contact (only contributes to stiffness)

2 --

Acts across an open contact or free sliding plane (only contributes to stiffness)

3 --

Acts across an open contact (contributes to stiffness and internal force)

4 --

Acts across an open contact or free sliding plane (contributes to stiffness and force)

KEYOPT(4)

Gap size:

0 --

Gap size based on real constant GAP + initial node locations

1 --

Gap size based on real constant GAP (ignore node locations)

KEYOPT(5)

Basis for contact normal:

0 --

Node locations or real constants NX, NY, NZ

1 --

X - component of nodal coordinate system (averaging on two contact nodes)

2 --

Y - component of nodal coordinate system (averaging on two contact nodes)

3 --

Z - component of nodal coordinate system (averaging on two contact nodes)

4 --

X - component of defined element coordinate system (ESYS)

5 --

Y - component of defined element coordinate system (ESYS)

6 --

Z - component of defined element coordinate system (ESYS)

KEYOPT(7)

Element level time incrementation control:

0 --

No control

1 --

Change in contact predictions are made to maintain a reasonable time/load increment. It is activated only if SOLCONTROL,ON,ON at the procedure level

2 --

Change in contact predictions are made to achieve the minimum time/load increment whenever a change in contact status occurs. Includes automatic bisection of increment. It is activated only if SOLCONTROL,ON,ON at the procedure level

KEYOPT(9)

Initial gap step size application:

0 --

Initial gap size is step applied

1 --

Initial gap size is ramped in the first load step

KEYOPT(10)

Behavior of contact surface:

0 --

Standard

1 --

Rough

2 --

No separation (sliding permitted)

3 --

Bonded

4 --

No separation (always)

5 --

Bonded (always)

6 --

Bonded (initial)

KEYOPT(12)

Contact Status:

0 --

Does not print contact status

1 --

Monitor and print contact status, contact stiffness

Table 178.1 CONTA178 Real Constants

No. | Name | Description
1 | FKN | Normal stiffness
2 | GAP | Initial gap size
3 | START | Initial contact status
4 | FKS | Sticking stiffness
5 | REDFACT | KN/KS reduction factor
6 | NX | Defined gap normal - X component
7 | NY | Defined gap normal - Y component
8 | NZ | Defined gap normal - Z component
9 | TOLN | Penetration tolerance
10 | FTOL | Maximum tensile contact force
11 | SLTOL | Maximum elastic slip
12 | CV1 | Damping coefficient
13 | CV2 | Nonlinear damping coefficient

CONTA178 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution.

  • Additional element output as shown in Element Output Definitions.

The value of USEP is determined from the normal displacement (UN), in the element x-direction, between the contact nodes at the end of a substep. This value is used in determining the normal force, FN. The values represented by UT(Y, Z) are the total translational displacements in the element y and z directions. The maximum value printed for the sliding force, FS, is μ|FN|. Sliding may occur in both the element y and z directions. STAT describes the status of the element at the end of a substep.

  • If STAT = 3, contact is closed and no sliding occurs

  • If STAT = 1, contact is open

  • If STAT = 2, node J slides relative to node I

For a frictionless surface (μ = 0.0), the converged element status is either STAT = 2 or 1.

The element coordinate system orientation angles α and β (shown in Figure 178.1: "CONTA178 Geometry") are computed by the program from the node locations. These values are printed as ALPHA and BETA respectively. α ranges from 0° to 360° and β from -90° to +90°. Elements lying along the Z-axis are assigned values of α = 0°, β = ± 90°, respectively. Elements lying off the Z-axis have their coordinate system oriented as shown for the general α , β position.

Note

For α = 90°, β → 90°, the element coordinate system flips 90° about the Z-axis. The value of ANGLE represents the principal angle of the friction force in the element y-z plane. A general description of solution output is given in Element Solution. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 178.2 CONTA178 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
XC, YC, ZC | Location where results are reported | Y | 3
TEMP | T(I), T(J) | Y | Y
USEP | Gap size | Y | Y
FN | Normal force (along I-J line) | Y | Y
STAT | Element status | 1 | 1
OLDST | Old contact status | 1 | 1
ALPHA, BETA | Element orientation angles | Y | Y
MU | Coefficient of friction | 2 | 2
UT(Y, Z) | Displacement (node J - node I) in element y and z directions | 2 | 2
FS(Y, Z) | Tangential (friction) force in element y and z directions | 2 | 2
ANGLE | Principal angle of friction force in element y-z plane | 2 | 2

  1. If the value of STAT is:

    1 - Open contact

    2 - Sliding contact

    3 - Sticking contact (no sliding)

  2. If MU>0.0

  3. Available only at centroid as a *GET item.

Table 178.3: "CONTA178 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide for more information. The following notation is used in Table 178.3: "CONTA178 Item and Sequence Numbers" :

Name

output quantity as defined in the Element Output Definition

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 178.3 CONTA178 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
FN | SMISC | 1
FSY | SMISC | 2
FSZ | SMISC | 3
STAT | NMISC | 1
OLDST | NMISC | 2
USEP | NMISC | 3
ALPHA | NMISC | 4
BETA | NMISC | 5
UTY | NMISC | 6
UTZ | NMISC | 7
MU | NMISC | 8
ANGLE | NMISC | 9
KN | NMISC | 10
KS | NMISC | 11
TOLN | NMISC | 12
FTOL | NMISC | 13
SLTOL | NMISC | 14

CONTA178 Assumptions and Restrictions

  • The element operates bilinearly only in the static and the nonlinear transient dynamic analyses. If used in other analysis types, the element maintains its initial status throughout the analysis.

  • The element is nonlinear and requires an iterative solution.

  • Nonconverged substeps are not in equilibrium.

  • Unless the contact normal direction is specified by (NX, NY, NZ) or KEYOPT(5), nodes I and J must not be coincident or overlapped since the nodal locations define the interface orientation. In this case the node ordering is not an issue. On the other hand, if the contact normal is not defined by nodal locations, the node ordering is critical. Use /PSYMB, ESYS to verify the contact normal and use EINTF,,,REVE to reverse the normal if wrong ordering is detected. To determine which side of the interface contains the nodes, use ESEL,,ENAM,,178 and then NSLE,,POS,1.

  • The element maintains its original orientation in either a small or a large deflection analysis unless the cylindrical gap option is used.

  • For real constants FKN, REDFACT, TOLN, FTOL, SLTOL and FKS, you can specify either a positive or negative value. ANSYS interprets a positive value as a scaling factor and interprets a negative value as the absolute value. These real constants can be changed between load steps or during restart stages.

  • The Lagrange multiplier methods introduce zero diagonal terms in the stiffness matrix. The PCG solver may encounter precondition matrix singularity. The Lagrange multiplier methods often overconstrain the model if boundary conditions, coupling, and constraint equations applied on the contact nodes overlay the contact constraints. Chattering is most likely to occur due to change of contact status, typically for contact impact problems. The Lagrange multipliers also introduce more degrees of freedom which may result in spurious modes for modal and linear eigenvalue bucking analysis. Therefore, the augmented Lagrange method option is the best choice for: PCG iterative solver, transient analysis for impact problems, modal, and eigenvalue bucking analysis.

  • The element may not be deactivated with the EKILL command.

CONTA178 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CONTA177 		Up / Home Next
PRETS179


PRETS179

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

PRETS179

Pretension

MP ME ST PR PRN DS DSS <> <> <> <> PP <>

Product Restrictions

PRETS179 Element Description

PRETS179 is used to define a 2-D or 3-D pretension section within a meshed structure. The structure can be built from any 2-D or 3-D structural elements (solid, beam, shell, pipe, or link). The PRETS179 element has one translation degree of freedom, UX. (UX represents the defined pretension direction. ANSYS transforms the geometry of the problem so that, internally, the pretension force is applied in the specified pretension load direction, regardless of how the model is defined.) Loads can be applied using the SLOAD command. These loads will overwrite any F or D command specifications on the same nodes at solution time. Only tension loads can be applied; bending or torsion loads are ignored. See PRETS179 in the Theory Reference for ANSYS and ANSYS Workbench for more details about the element. See Defining Pretension in a Joint Fastener in the Basic Analysis Guide for a discussion of how to generate PRETS179 elements automatically using the PSMESH command. Keep in mind when creating the PRETS179 elements that the pretension load direction is specified relative to surface A. (For backward compatibility, it is also possible to generate such elements using the EINTF command.)

Figure 179.1 PRETS179 Geometry

PRETS179 Input Data

The pretension section is modeled by a set of pretension elements. The geometry, node locations, and the coordinate system for the pretension element are shown in Figure 179.1: "PRETS179 Geometry". The pretension element is defined by three nodes I, J, K and the section data NX, NY, NZ which define the pretension load direction relative to surface A. The pretension load direction is constant and is not updated for large displacements. Although it is not recommended, the pretension load direction can be changed between load steps by changing the section data. For large-deflection problems, you could track the deflection and change the pretension load direction accordingly.

Nodes I and J are initially coincident and they should be defined in the same nodal coordinate system. No boundary conditions apply on node J. For each pretension section, the node ordering of the pretension elements is critical. The I and J nodes must be ordered so that all nodes I are on surface A and all nodes J are on surface B.

Node K is the pretension node. This pretension node provides a convenient way to assign boundary conditions on an entire pretension section. Node K can be anywhere in space; however, its nodal coordinate system must be global Cartesian. Each pretension section has only one pretension node associated with it. Node K should only connect to pretension elements that use the same section number.

The pretension node K has only one translation degree of freedom UX, which defines the relative displacement between the two sections A and B in the pretension load direction. Sliding motion is prevented automatically. If the pretension node and the bolted structure are not well constrained, rigid body motion can occur. Therefore, in the beginning of each load step, you should verify the boundary conditions for bolt structures carefully.

The following table summarizes the element input. Element Input gives a general description of element input.

PRETS179 Input Summary

Nodes

I, J, K

Degrees of Freedom

UX (tightening adjustment of the pretension section)

Real Constants

None

Material Properties

DAMP

Surface Loads

None

Body Loads

None

Special Features

Nonlinear

KEYOPTs

None

PRETS179 Output Data

Nodal displacements are included in the overall displacement solution. There is no printed or post element data output for the pretension element. ANSYS automatically determines the deformations of the bolt structure. The underlying elements connected to both sides of cutting surfaces appear overlap under the pretension load. The displacement of the pretension node gives the adjustment of the pretension. Use PRNSOL to list the adjustment. The reaction force on the pretension node provides the total normal force across the pretension section. Use PRRSOL or PRRFOR command to list the tension force. The stress distribution of underlying elements provides a good estimation of the stress across the pretension section.

PRETS179 Assumptions and Restrictions

  • The nodal coordinate system of the pretension node K must be global Cartesian.

  • You cannot apply any constraint equations (or coupling) on any pretension element nodes.

  • The NROTAT command can not be applied on pretension node K. NROTAT can be applied to the other nodes I and J in such way that they are rotated into the same nodal coordinate system. If K has been mistakenly rotated into another coordinate system, ANSYS will issue a warning and will automatically rotate it back into the global Cartesian system. Similarly, if I and J are rotated into different coordinate systems, ANSYS will issue a warning and will automatically rotate J to be consistent with I.

  • The pretension normal NX, NY, NZ must be specified through section data. You should not change section data either between load steps or during restart stages; otherwise ANSYS assumes the pretension normal varies between the load steps.

  • The structure can be composed of superelements. However, all the pretension nodes must remain as the master nodes.

  • The element may not be deactivated with the EKILL command.

  • Use of this element is limited to structural analyses only.

  • This element is not supported in cyclic symmetry analyses.

PRETS179 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
CONTA178 		Up / Home Next
LINK180


LINK180

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

LINK180

3-D Finite Strain Spar (or Truss)

MP ME ST PR PRN <> <> <> <> <> <> PP VT

Product Restrictions

LINK180 Element Description

LINK180 is a spar that can be used in a variety of engineering applications. This element can be used to model trusses, sagging cables, links, springs, etc. This 3-D spar element is a uniaxial tension-compression element with three degrees of freedom at each node: translations in the nodal x, y, and z directions. As in a pin-jointed structure, no bending of the element is considered. Plasticity, creep, rotation, large deflection, and large strain capabilities are included. By default, LINK180 includes stress stiffness terms in any analysis with NLGEOM,ON. Elasticity, isotropic hardening plasticity, kinematic hardening plasticity, Hill anisotropic plasticity, Chaboche nonlinear hardening plasticity, and creep are supported. See LINK180 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element. A tension-only compression-only element is defined as LINK10.

Figure 180.1 LINK180 Geometry

LINK180 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 180.1: "LINK180 Geometry". The element is defined by two nodes, the cross-sectional area (AREA), added mass per unit length (ADDMAS), and the material properties. The element X-axis is oriented along the length of the element from node I toward node J.

Element loads are described in Node and Element Loads. Temperatures may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. The node J temperature T(J) defaults to T(I).

LINK180 allows a change in cross-sectional area as a function of axial elongation. By default, the cross-sectional area changes such that the volume of the element is preserved, even after deformation. The default is suitable for elastoplastic applications. By using KEYOPT(2), you may choose to keep the cross section constant or rigid.

You can apply an initial stress state to this element via the INISTATE command. For more information, see the INISTATE command, and also Initial Stress Loading in the Basic Analysis Guide. Alternately, you can set KEYOPT(10) = 1 to read initial stresses from the user subroutine USTRESS. For details on user subroutines, see the Guide to ANSYS User Programmable Features.

The "LINK180 Input Summary" table summarizes the element input. Element Input gives a general description of element input.

LINK180 Input Summary

Nodes

I, J

Degrees of Freedom

UX, UY, UZ

Real Constants
AREA - Cross-sectional area
ADDMAS - Added mass (mass/length)
Material Properties

EX, (PRXY or NUXY), ALPX (or CTEX or THSX), DENS, GXY, DAMP

Surface Loads

None

Body Loads
Temperatures --

T(I), T(J)

Special Features
Plasticity (PLASTIC, BISO, MISO, NLISO, BKIN, MKIN, KINH, CHABOCHE, HILL)
Viscoelasticity (PRONY, SHIFT)
Viscoplasticity/Creep (CREEP, RATE)
Other material (USER)
Stress stiffening
Large deflection
Large strain
Initial stress import
Nonlinear stabilization
Birth and death

Note

Items in parentheses refer to data tables associated with the TB command. See Data Tables - Implicit Analysis for details of the material models.

KEYOPT(2)

Cross-section scaling (applies only if NLGEOM,ON has been invoked):

0 --

Enforce incompressibility; cross section is scaled as a function of axial stretch (default).

1 --

Section is assumed to be rigid.

KEYOPT(10)

User defined initial stress:

0 --

No user subroutine to provide initial stresses (default).

1 --

Read initial stress data from user subroutine USTRESS

Note

See the Guide to ANSYS User Programmable Features for user-written subroutines

LINK180 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 180.1: "LINK180 Element Output Definitions".

Several items are illustrated in Figure 180.2: "LINK180 Stress Output". A general description of solution output is given in Solution Output. Element results can be viewed in POST1 with PRESOL,ELEM. See the Basic Analysis Guide for details.

Figure 180.2 LINK180 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 180.1 LINK180 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | - | Y
XC, YC, ZC | Center location | Y | 3
AREA | Cross-sectional area | Y | Y
FORCE | Member force in the element coordinate system | Y | Y
STRESS | Axial stress | Y | Y
EPEL | Axial elastic strain | Y | Y
TEMP | Temperatures T(I), T(J) | Y | Y
EPTH | Axial thermal strain | Y | Y
EPPL | Axial plastic strain | 1 | 1
PWRK | Plastic strain energy density | 1 | 1
EPCR | Axial creep strain | 2 | 2
CWRK | Creep strain energy density | 2 | 2

  1. Nonlinear solution, only if element has a nonlinear material.

  2. Nonlinear solution, only if creep is included.

  3. Available only at centroid as a *GET item.

Table 180.2: "LINK180 Item and Sequence Numbers" lists output available through ETABLE using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 180.2: "LINK180 Item and Sequence Numbers":

Name

output quantity as defined in Table 180.1: "LINK180 Element Output Definitions"

Item

predetermined Item label for ETABLE and

ESOL

E

sequence number for single-valued or constant element data

I,J

sequence number for data at nodes I and J

Table 180.2 LINK180 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J
STRESS | LS | 1 | - | -
EPEL | LEPEL | 1 | - | -
EPTH | LEPTH | 1 | - | -
EPPL | LEPPL | 1 | - | -
EPCR | LEPCR | 1 | - | -
FORCE | SMISC | 1 | - | -
TEMP | LBFE | - | 1 | 2

LINK180 Assumptions and Restrictions

  • The spar element assumes a straight bar, axially loaded at its ends, and of uniform properties from end to end.

  • The length of the spar must be greater than zero, so nodes I and J must not be coincident.

  • The cross-sectional area must be greater than zero.

  • The temperature is assumed to vary linearly along the length of the spar.

  • The displacement shape function implies a uniform stress in the spar.

  • Stress stiffening is always included in geometrically nonlinear analyses (NLGEOM,ON). It is ignored in geometrically linear analyses (NLGEOM,OFF) when specified by SSTIF,ON. Prestress effects can be activated by the PSTRES command.

LINK180 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PRETS179 		Up / Home Next
SHELL181


SHELL181

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SHELL181

4-Node Finite Strain Shell

MP ME ST PR PRN DS DSS <> <> <> <> PP VT

Product Restrictions

SHELL181 Element Description

SHELL181 is suitable for analyzing thin to moderately-thick shell structures. It is a 4-node element with six degrees of freedom at each node: translations in the x, y, and z directions, and rotations about the x, y, and z-axes. (If the membrane option is used, the element has translational degrees of freedom only). The degenerate triangular option should only be used as filler elements in mesh generation.

SHELL181 is well-suited for linear, large rotation, and/or large strain nonlinear applications. Change in shell thickness is accounted for in nonlinear analyses. In the element domain, both full and reduced integration schemes are supported. SHELL181 accounts for follower (load stiffness) effects of distributed pressures.

SHELL181 may be used for layered applications for modeling laminated composite shells or sandwich construction. The accuracy in modeling composite shells is governed by the first order shear deformation theory (usually referred to as Mindlin-Reissner shell theory).

SHELL181 can be used instead of SHELL43 for many problems that have convergence difficulty with SHELL43. See SHELL181 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 181.1 SHELL181 Geometry

xo = Element x-axis if ESYS is not provided.

x = Element x-axis if ESYS is provided.

SHELL181 Input Data

The geometry, node locations, and the element coordinate system for this element are shown in Figure 181.1: "SHELL181 Geometry". The element is defined by four nodes: I, J, K, and L. The element formulation is based on logarithmic strain and true stress measures. The element kinematics allow for finite membrane strains (stretching). However, the curvature changes within a time increment are assumed to be small. To define the thickness and other information, you can use either real constants or section definition (and a section can be partially defined using data from a FiberSIM .xml file). The option of using real constants is available only for single-layer shells. If a SHELL181 element references both real constant set data and a valid shell section type, real constant data is ignored.

SHELL181 also accepts the preintegrated shell section type (SECTYPE,,GENS). When the element is associated with the GENS section type, thickness or material definitions are not required. For more information, see Using Preintegrated General Shell Sections.

Thickness Definition Using Real Constants

The thickness of the shell may be defined at each of its nodes. The thickness is assumed to vary smoothly over the area of the element. If the element has a constant thickness, only TK(I) needs to be input. If the thickness is not constant, all four thicknesses must be input.

Layered Section Definition Using Section Commands

Alternatively the shell thickness and more general properties may be specified using section commands. SHELL181 may be associated with a shell section (see SECTYPE command description). Shell section is a more general method to define shell construction than the real constants option. Shell section commands allow for layered composite shell definition, and provide the input options for specifying the thickness, material, orientation and number of integration points through the thickness of the layers. Note that a single layer shell is not precluded using shell section definition, but provides more flexible options such as the use of the ANSYS function builder to define thickness as a function of global coordinates and the number of integration points used.

You may designate the number of integration points (1, 3, 5, 7, or 9) located through the thickness of each layer when using section input. When only 1, the point is always located midway between the top and bottom surfaces. If 3 or more points, 2 points are located on the top and bottom surfaces respectively and the remaining points are distributed equal distance between the 2 points. An exception occurs when designating 5 points, where the quarter point locations are moved 5 percent toward their nearest layer surface to agree with the locations selected with real constant input. The default number of integration points for each layer is 3. However, when a single layer is defined and plasticity is present, the number of integration points will be changed to a minimum of 5 during solution. Note that when Real Constants are used, ANSYS uses 5 points of integration and Sections will produce a comparable solution.

Other Input

The default orientation for this element has the S1 (shell surface coordinate) axis aligned with the first parametric direction of the element at the center of the element, which connects the midsides of edges LI and JK. In the most general case, the axis can be defined as:

where:

{x}I, {x}J, {x}K, {x}L = global nodal coordinates

For undistorted elements, the default orientation is the same as described in Coordinate Systems (the first surface direction is aligned with the IJ side). For spatially warped or otherwise distorted elements, the default orientation represents the stress state better because the element uses a single point of quadrature (by default) in the element domain.

The first surface direction S1 can be rotated by angle THETA (in degrees) as a real constant for the element or for using the SECDATA command. For an element, you can specify a single value of orientation in the plane of the element. Layer-wise orientation is possible when section definition is used.

You can also define element orientation via the ESYS command. See Coordinate Systems.

The element supports degeneration into a triangular form; however, use of the triangular form is not recommended, except when used as mesh filler elements or with the membrane option (KEYOPT(1) = 1). The triangle form is generally more robust when using the membrane option with large deflections.

To evaluate stresses and strains on exterior surfaces, use KEYOPT(1) = 2. When used as overlaid elements on the faces of 3-D elements, this option is similar to the surface stress option (described in the Theory Reference for ANSYS and ANSYS Workbench), but is more general and applicable to nonlinear analysis. The element used with this option does not provide any stiffness, mass, or load contributions. This option should only be used in single-layered shells. Irrespective of other settings, SHELL181 provides stress and strain output at the center of the layer.

SHELL181 uses a penalty method to relate the independent rotational degrees of freedom about the normal (to the shell surface) with the in-plane components of displacements. The ANSYS program chooses an appropriate penalty stiffness by default. However, you can change the default value if necessary by using the tenth real constant (drill stiffness factor; see Table 181.1: "SHELL181 Real Constants"). The value of this real constant is the scaling parameter for the default penalty stiffness. Using a higher value could contribute to a larger nonphysical energy content in the model. For this reason, use caution when changing the default. When using the Section definition with SHELL181, drill stiffness factor may be specified by using the SECCONTROLS command.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 181.1: "SHELL181 Geometry". Positive pressures act into the element. Edge pressures are input as force per unit length.

Temperatures may be input as element body loads at the corners of the outside faces of the element and at the corners of the interfaces between layers (1-1024 maximum). The first corner temperature T1 defaults to TUNIF. If all other temperatures are unspecified, they default to T1. If KEYOPT(1) = 0 and if exactly NL+1 temperatures are input, one temperature is used for the four bottom corners of each layer, and the last temperature is used for the four top corner temperatures of the top layer. If KEYOPT(1) = 1 and if exactly NL temperatures are input, one temperature is used for the four corners of each layer. That is, T1 is used for T1, T2, T3, and T4; T2 (as input) is used for T5, T6, T7, and T8, etc. For any other input pattern, unspecified temperatures default to TUNIF.

Using KEYOPT(3), SHELL181 supports uniform reduced integration and full integration with incompatible modes. By default, this element uses the uniform reduced integration for performance reasons in nonlinear applications.

Using reduced integration with hourglass control creates some usage restrictions, although minimal. For example, to capture the in-plane bending of a cantilever or a stiffener (see Figure 181.2: "SHELL181 Typical Bending Applications"), a number of elements through the thickness direction is necessary. The performance gains achieved by using uniform reduced integration are significant enough to offset the need to use more elements. In relatively well-refined meshes, hourglassing issues are largely irrelevant.

When the reduced integration option is used, you can check the accuracy of the solution by comparing the total energy (SENE label in ETABLE) and the artificial energy (AENE label in ETABLE) introduced by hourglass control. If the ratio of artificial energy to total energy is less than 5%, the solution is generally acceptable. The total energy and artificial energy can also be monitored by using OUTPR,VENG in the solution phase.

Bilinear elements, when fully integrated, are too stiff in in-plane bending.SHELL181 uses the method of incompatible modes to enhance the accuracy in bending-dominated problems. This approach is also called "extra shapes" or "bubble" modes approach. SHELL181 uses the formulation that ensures satisfaction of the patch test (J. C. Simo and F. Armero, "Geometrically nonlinear enhanced strain mixed methods and the method of incompatible modes," IJNME, Vol. 33, pp. 1413-1449, 1992).

When including incompatible modes in the analysis, you must use full integration. KEYOPT(3) = 2 implies the inclusion of incompatible modes and the use of full (2x2) quadrature.

SHELL181, with KEYOPT(3) = 2 specified, does not have any spurious energy mechanisms. This specific form of SHELL181 is highly accurate, even with coarse meshes. We recommend that you use KEYOPT(3) = 2 if you encounter any hourglass-related difficulties with the default options. KEYOPT(3) = 2 is also necessary if the mesh is coarse and in-plane bending of the elements dominate the response. We recommend this option with all layered applications.

KEYOPT(3) = 2 imposes the fewest usage restrictions. You can always choose this option. However, you can improve element performance by choosing the best option for your problem. Consider the problems illustrated in Figure 181.2: "SHELL181 Typical Bending Applications"

Figure 181.2 SHELL181 Typical Bending Applications

The cantilever beam and the beam cross-section to be modeled with shells are typical examples of in-plane bending-dominated problems. The use of KEYOPT(3) = 2 is the most effective choice in these circumstances. Reduced integration would require refined meshes. For example, reduced integration for the cantilever beam problem requires four elements through the thickness, whereas the full integration with incompatible modes only requires one element through the thickness.

For the stiffened shell, the most effective choice is to use KEYOPT(3) = 0 for the shell and KEYOPT(3) = 2 for the stiffener.

When KEYOPT(3) = 0 is specified, SHELL181 uses an hourglass control method for membrane and bending modes. By default, SHELL181 calculates the hourglass parameters for both metal and hyperelastic applications. You can override the default values by using real constants 11 and 12 (see Table 181.1: "SHELL181 Real Constants"). Instead of changing hourglass stiffness parameters, you should either increase the mesh density or choose a fully integrated option (KEYOPT(3) = 2). When Section definition is used, you may specify the hourglass stiffness scaling factors by using the SECCONTROLS command.

SHELL181 includes the linear effects of transverse shear deformation. An assumed shear strain formulation of Bathe-Dvorkin is used to alleviate shear locking. The transverse shear stiffness of the element is a 2x2 matrix as shown below:

In the above matrix, E11, E22, and E12 are real constants 7, 8, and 9 (see Table 181.1: "SHELL181 Real Constants"). You can override the default transverse shear stiffness values by assigning different values to those real constants. This option is effective for analyzing sandwich shells. Alternatively the SECCONTROLS command provides for the definition of transverse shear stiffness values.

For a single-layer shell with isotropic material, default transverse shear stiffnesses are:

In the above matrix, k = 5/6, G = shear modulus, and h = thickness of the shell.

SHELL181 can be associated with linear elastic, elastoplastic, creep, or hyperelastic material properties. Only isotropic, anisotropic, and orthotropic linear elastic properties can be input for elasticity. The von Mises isotropic hardening plasticity models can be invoked with BISO (bilinear isotropic hardening), MISO (multilinear isotropic hardening), and NLISO (nonlinear isotropic hardening) options. The kinematic hardening plasticity models can be invoked with BKIN (bilinear kinematic hardening), MKIN and KINH (multilinear kinematic hardening), and CHABOCHE (nonlinear kinematic hardening). Invoking plasticity assumes that the elastic properties are isotropic (that is, if orthotropic elasticity is used with plasticity, ANSYS assumes the isotropic elastic modulus = EX and Poisson's ratio = NUXY).

Hyperelastic material properties (2, 3, 5, or 9 parameter Mooney-Rivlin material model, Neo-Hookean model, Polynomial form model, Arruda-Boyce model, and user-defined model) can be used with this element. Poisson's ratio is used to specify the compressibility of the material. If less than 0, Poisson's ratio is set to 0; if greater than or equal to 0.5, Poisson's ratio is set to 0.5 (fully incompressible).

Both isotropic and orthotropic thermal expansion coefficients can be input using MP,ALPX. When used with hyperelasticity, isotropic expansion is assumed.

Use the BETAD command to specify the global value of damping. If MP,DAMP is defined for the material number of the element (assigned with the MAT command), it is used for the element instead of the value from the BETAD command. Similarly, use the TREF command to specify the global value of reference temperature. If MP,REFT is defined for the material number of the element, it is used for the element instead of the value from the TREF command. But if MP,REFT is defined for the material number of the layer, it is used instead of either the global or element value.

With reduced integration and hourglass control (KEYOPT(3) = 0), low frequency spurious modes may appear if the mass matrix employed is not consistent with the quadrature rule. SHELL181 uses a projection scheme that effectively filters out the inertia contributions to the hourglass modes of the element. To be effective, a consistent mass matrix must be used. We recommend setting LUMPM,OFF for a modal analysis using this element type. The lumped mass option can, however, be used with the full integration options (KEYOPT(3) = 2).

KEYOPT(8) = 2 is used to store midsurface results in the results file for single or multi-layer shell elements. If you use SHELL,MID, you will see these calculated values, rather than the average of the TOP and BOTTOM results. You should use this option to access these correct midsurface results (membrane results) for those analyses where averaging TOP and BOTTOM results is inappropriate; examples include midsurface stresses and strains with nonlinear material behavior, and midsurface results after mode combinations that involve squaring operations such as in spectrum analyses.

KEYOPT(9) = 1 is used to read initial thickness data from a user subroutine.

You can apply an initial stress state to this element via the INISTATE command. For more information, see the INISTATE command, and also Initial Stress Loading in the Basic Analysis Guide. Alternately, you can set KEYOPT(10) = 1 to read initial stresses from the user subroutine USTRESS. For details on user subroutines, see the Guide to ANSYS User Programmable Features.

The effects of pressure load stiffness are automatically included for this element. If an unsymmetric matrix is needed for pressure load stiffness effects, use NROPT,UNSYM.

A summary of the element input is given in "SHELL181 Input Summary". A general description of element input is given in Element Input.

SHELL181 Input Summary

Nodes

I, J, K, L

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ if KEYOPT(1) = 0

UX, UY, UZ if KEYOPT(1) = 1

Real Constants
TK(I), TK(J), TK(K), TK(L), THETA, ADMSUA
E11, E22, E12, DRILL, MEMBRANE, BENDING
See Table 181.1: "SHELL181 Real Constants"for more information.
If a SHELL181 element references a valid shell section type, any real constant data specified will be ignored.
Material Properties
EX, EY, EZ, (PRXY, PRYZ, PRXZ, or NUXY, NUYZ, NUXZ),
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ),
DENS, GXY, GYZ, GXZ

Specify DAMP only once for the element (use MAT command to assign material property set). REFT may be provided once for the element, or may be assigned on a per layer basis. See the discussion in "SHELL181 Input Summary" for more details.

Surface Loads
Pressures --
face 1 (I-J-K-L) (bottom, in +N direction),
face 2 (I-J-K-L) (top, in -N direction),
face 3 (J-I), face 4 (K-J), face 5 (L-K), face 6 (I-L)
Body Loads
Temperatures --

For KEYOPT(1) = 0 (Bending and membrane stiffness):

T1, T2, T3, T4 (at bottom of layer 1), T5, T6, T7, T8 (between layers 1-2); similarly for between next layers, ending with temperatures at top of layer NL(4*(NL+1) maximum). Hence, for one-layer elements, 8 temperatures are used.

For KEYOPT(1) = 1 (Membrane stiffness only):

T1, T2, T3, T4 for layer 1, T5, T6, T7, T8 for layer 2, similarly for all layers (4*NL maximum). Hence, for one-layer elements, 4 temperatures are used.

Special Features
Plasticity (PLASTIC, BISO, MISO, NLISO, BKIN, MKIN, KINH, CHABOCHE, HILL)
Hyperelasticity (AHYPER, HYPER)
Viscoelasticity (PRONY, SHIFT)
Viscoplasticity/Creep (CREEP, RATE)
Elasticity (ANEL)
Other material (USER, SDAMP)
Stress stiffening
Large deflection
Large strain
Initial stress import
Nonlinear stabilization
Automatic selection of element technology
Birth and death
Section definition for layered shells and preintegrated shell sections for input of homogenous section stiffnesses

Note

Items in parentheses refer to data tables associated with the TB command. See the Theory Reference for ANSYS and ANSYS Workbench for details of the material models.

Note

See Automatic Selection of Element Technologies and ETCONTROL for more information on selection of element technologies.

KEYOPT(1)

Element stiffness:

0 --

Bending and membrane stiffness (default)

1 --

Membrane stiffness only

2 --

Stress/strain evaluation only

KEYOPT(3)

Integration option:

0 --

Reduced integration with hourglass control (default)

2 --

Full integration with incompatible modes

KEYOPT(8)

Specify layer data storage:

0 --

Store data for bottom of bottom layer and top of top layer (multi-layer elements) (default)

1 --

Store data for TOP and BOTTOM, for all layers (multi-layer elements)

Note

Volume of data may be excessive.

2 --

Store data for TOP, BOTTOM, and MID for all layers; applies to single- and multi-layer elements

KEYOPT(9)

User thickness option:

0 --

No user subroutine to provide initial thickness (default)

1 --

Read initial thickness data from user subroutine UTHICK

Note

See the Guide to ANSYS User Programmable Features for user written subroutines

KEYOPT(10)

User-defined initial stress:

0 --

No user subroutine to provide initial stress (default)

1 --

Read initial stress data from user subroutine USTRESS

Note

See the Guide to ANSYS User Programmable Features for user written subroutines

Table 181.1 SHELL181 Real Constants

No. | Name | Description
1 | TK(I) | Thickness at node I
2 | TK(J) | Thickness at node J
3 | TK(K) | Thickness at node K
4 | TK(L) | Thickness at node L
5 | THETA | Angle of first surface direction, in degrees
6 | ADMSUA | Added mass per unit area
7 | E11 | Transverse shear stiffness[2]
8 | E22 | Transverse shear stiffness[2]
9 | E12 | Transverse shear stiffness[2]
10 | Drill Stiffness Factor | In-plane rotation stiffness[1,2]
11 | Membrane HG Factor | Membrane hourglass control factor[1,2]
12 | Bending HG Factor | Bending hourglass control factor[1,2]

  1. Valid values for these real constants are any positive number. However, we recommend using values between 1 and 10. If you specify 0.0, the value defaults to 1.0.

  2. ANSYS provides default values.

*See SECCONTROLS command if section definition is used.

SHELL181 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 181.2: "SHELL181 Element Output Definitions"

Several items are illustrated in Figure 181.3: "SHELL181 Stress Output".

KEYOPT(8) controls the amount of data output to the results file for processing with the LAYER command. Interlaminar shear stress is available as SYZ and SXZ evaluated at the layer interfaces. KEYOPT(8) must be set to either 1 or 2 to output these stresses in POST1. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to review results.

The element stress resultants (N11, M11, Q13, etc.) are parallel to the element coordinate system, as are the membrane strains and curvatures of the element. Such generalized strains are available through the SMISC option at the element centroid only. The transverse shear forces Q13, Q23 are available only in resultant form: that is, use SMISC,7 (or 8). Likewise, the transverse shear strains, γ13 and γ23, are constant through the thickness and are only available as SMISC items (SMISC,15 and SMISC,16, respectively).

SHELL181 does not support extensive basic element printout. POST1 provides more comprehensive output processing tools; therefore, we suggest using OUTRES to ensure that the required results are stored in the database.

Figure 181.3 SHELL181 Stress Output

xo = Element x-axis if ESYS is not provided.
x = Element x-axis if ESYS is provided.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 181.2 SHELL181 Element Output Definitions

Name | Definition | O | R
EL | Element number and name | - | Y
NODES | Nodes - I, J, K, L | - | Y
MAT | Material number | - | Y
THICK | Average thickness | - | Y
VOLU: | Volume | - | Y
XC, YC, ZC | Location where results are reported | - | 4
PRES | Pressures P1 at nodes I, J, K, L; P2 at I, J, K, L; P3 at J,I; P4 at K,J; P5 at L,K; P6 at I,L | - | Y
TEMP | T1, T2, T3, T4 at bottom of layer 1, T5, T6, T7, T8 between layers 1-2, similarly for between next layers, ending with temperatures at top of layer NL(4*(NL+1) maximum) | - | Y
LOC | TOP, MID, BOT, or integration point location | - | 1
S:X, Y, Z, XY, YZ, XZ | Stresses | 3 | 1
S:INT | Stress intensity | - | 1
S:EQV | Equivalent stress | - | 1
EPEL:X, Y, Z, XY | Elastic strains | 3 | 1
EPEL:EQV | Equivalent elastic strains [7] | 3 | 1
EPTH:X, Y, Z, XY | Thermal strains | 3 | 1
EPTH:EQV | Equivalent thermal strains [7] | 3 | 1
EPPL:X, Y, Z, XY | Average plastic strains | 3 | 2
EPPL:EQV | Equivalent plastic strains [7] | 3 | 2
EPCR:X, Y, Z, XY | Average creep strains | 3 | 2
EPCR:EQV | Equivalent creep strains [7] | 3 | 2
EPTO:X, Y, Z, XY | Total mechanical strains (EPEL + EPPL + EPCR) | Y | -
EPTO:EQV | Total equivalent mechanical strains (EPEL + EPPL + EPCR) | Y | -
NL:EPEQ | Accumulated equivalent plastic strain | - | 2
NL:CREQ | Accumulated equivalent creep strain | - | 2
NL:SRAT | Plastic yielding (1 = actively yielding, 0 = not yielding) | - | 2
NL:PLWK | Plastic work | - | 2
NL:HPRES | Hydrostatic pressure | - | 2
SEND:ELASTIC, PLASTIC, CREEP | Strain energy densities | - | 2
N11, N22, N12 | In-plane forces (per unit length) | - | Y
M11, M22, M12 | Out-of-plane moments (per unit length) | - | 8
Q13, Q23 | Transverse shear forces (per unit length) | - | 8
ε11, ε22, ε12 | Membrane strains | - | Y
k11, k22, k12 | Curvatures | - | 8
γ13, γ23 | Transverse shear strains | - | 8
LOCI:X, Y, Z | Integration point locations | - | 5
SVAR:1, 2, ... , N | State variables | - | 6
ILSXZ | SXZ interlaminar shear stress | - | Y
ILSYZ | SYZ interlaminar shear stress | - | Y
ILSUM | Interlaminar shear stress vector sum | - | Y
ILANG | Angle of interlaminar shear stress vector (measured from the element x-axis toward the element y-axis in degrees) | - | Y

  1. The following stress solution repeats for top, middle, and bottom surfaces.

  2. Nonlinear solution output for top, middle, and bottom surfaces, if the element has a nonlinear material.

  3. Stresses, total strains, plastic strains, elastic strains, creep strains, and thermal strains in the element coordinate system are available for output (at all five section points through thickness). If layers are in use, the results are in the layer coordinate system.

  4. Available only at centroid as a *GET item.

  5. Available only if OUTRES,LOCI is used.

  6. Available only if the USERMAT subroutine and TB,STATE are used.

  7. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY); for plastic and creep this value is set at 0.5.

  8. Not available if the membrane element option is used (KEYOPT(1) = 1).

Table 181.3: "SHELL181 Item and Sequence Numbers" lists output available through ETABLE using the Sequence Number method. See Creating an Element Table in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 181.3: "SHELL181 Item and Sequence Numbers":

Name

output quantity as defined in the Table 181.2: "SHELL181 Element Output Definitions"

Item

predetermined Item label for ETABLE

E

sequence number for single-valued or constant element data

I,J,K,L

sequence number for data at nodes I, J, K, L

Table 181.3 SHELL181 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J | K | L
N11 | SMISC | 1 | - | - | - | -
N22 | SMISC | 2 | - | - | - | -
N12 | SMISC | 3 | - | - | - | -
M11 | SMISC | 4 | - | - | - | -
M22 | SMISC | 5 | - | - | - | -
M12 | SMISC | 6 | - | - | - | -
Q13 | SMISC | 7 | - | - | - | -
Q23 | SMISC | 8 | - | - | - | -
ε11 | SMISC | 9 | - | - | - | -
ε22 | SMISC | 10 | - | - | - | -
ε12 | SMISC | 11 | - | - | - | -
k11 | SMISC | 12 | - | - | - | -
k22 | SMISC | 13 | - | - | - | -
k12 | SMISC | 14 | - | - | - | -
γ13 | SMISC | 15 | - | - | - | -
γ23 | SMISC | 16 | - | - | - | -
THICK | SMISC | 17 | - | - | - | -
P1 | SMISC | - | 18 | 19 | 20 | 21
P2 | SMISC | - | 22 | 23 | 24 | 25
P3 | SMISC | - | 27 | 26 | - | -
P4 | SMISC | - | - | 29 | 28 | -
P5 | SMISC | - | - | - | 31 | 30
P6 | SMISC | - | 32 | - | - | 33
Output Quantity Name | ETABLE and ESOL Command Input
 | Item | Bottom of Layer i |  |  | Top of Layer NL
ILSXZ | SMISC | 8 * (i - 1) + 51 |  |  | 8 * (NL - 1) + 52
ILSYZ | SMISC | 8 * (i - 1) + 53 |  |  | 8 * (NL - 1) + 54
ILSUM | SMISC | 8 * (i - 1) + 55 |  |  | 8 * (NL - 1) + 56
ILANG | SMISC | 8 * (i - 1) + 57 |  |  | 8 * (NL - 1) + 58

SHELL181 Assumptions and Restrictions

  • Zero area elements are not allowed (this occurs most often whenever the elements are not numbered properly).

  • Zero thickness elements or elements tapering down to a zero thickness at any corner are not allowed (but zero thickness layers are allowed).

  • In a nonlinear analysis, the solution is terminated if the thickness at any integration point that was defined with a nonzero thickness vanishes (within a small numerical tolerance).

  • We do not recommend using this element in triangular form.

  • This element works best with full Newton-Raphson solution scheme (NROPT,FULL,ON). For nonlinear problems dominated by large rotations and loading, we recommend that you not use PRED,ON.

  • If reduced integration is used (KEYOPT(3) = 0) SHELL181 will ignore rotary inertia effects when a unbalanced laminate construction is used.

  • If reduced integration is used (KEYOPT(3) = 0) all inertial effects are assumed to be in the nodal plane, i.e., an unbalanced laminate construction and offsets have no effect on the mass properties of the element.

  • No slippage is assumed between the element layers. Shear deflections are included in the element; however, normals to the center plane before deformation are assumed to remain straight after deformation.

  • If multiple load steps are used, the number of layers may not change between load steps.

  • The section definition will permit use of hyperelastic material models and elastoplastic material models in laminate definition. However, the accuracy of the solution is primarily governed by fundamental assumptions of shell theory. The applicability of shell theory in such cases is best understood by using a comparable solid model.

  • Transverse shear stiffness of the shell section is estimated by an energy equivalence procedure (of the generalized section forces & strains vs. the material point stresses and strains). The accuracy of this calculation may be adversely affected if the ratio of material stiffnesses (Young's moduli) between adjacent layers is very high.

  • The calculation of interlaminar shear stresses is based on simplifying assumptions of unidirectional, uncoupled bending in each direction. If accurate edge interlaminar shear stresses are required, shell-to-solid submodeling should be used.

  • A maximum of 250 layers is supported.

  • We recommend the use of KEYOPT(3) = 2 for most composite analysis (necessary to capture the stress gradients).

  • The layer orientation angle has no effect if the material of the layer is hyperelastic.

  • If a shell section has only one layer and the number of section integration points is equal to one, or if KEYOPT(1) = 1, then the shell does not have any bending stiffness. This may result in solver difficulties, and may adversely affect convergence.

  • Stress stiffening is always included in geometrically nonlinear analyses (NLGEOM,ON). It is ignored in geometrically linear analyses (NLGEOM,OFF) when specified by SSTIF,ON. Prestress effects can be activated by the PSTRES command.

  • The through-thickness stress, SZ, is always zero.

  • When the element is associated with preintegrated shell sections (SECTYPE,,GENS), additional restrictions apply. For more information, see Considerations for Employing Preintegrated Shell Sections.

SHELL181 Product Restrictions

ANSYS Professional.

  • The only special features allowed are stress stiffening and large deflections.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
LINK180 		Up / Home Next
PLANE182


PLANE182

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

PLANE182

2-D 4-Node Structural Solid

MP ME ST PR PRN DS DSS <> <> <> <> PP VT

Product Restrictions

PLANE182 Element Description

PLANE182 is used for 2-D modeling of solid structures. The element can be used as either a plane element (plane stress, plane strain or generalized plane strain) or an axisymmetric element. It is defined by four nodes having two degrees of freedom at each node: translations in the nodal x and y directions. The element has plasticity, hyperelasticity, stress stiffening, large deflection, and large strain capabilities. It also has mixed formulation capability for simulating deformations of nearly incompressible elastoplastic materials, and fully incompressible hyperelastic materials.

See PLANE182 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 182.1 PLANE182 Geometry

PLANE182 Input Data

The geometry and node locations for this element are shown in Figure 182.1: "PLANE182 Geometry". The element input data includes four nodes, a thickness (for the plane stress option only), and the orthotropic material properties. The default element coordinate system is along global directions. You may define an element coordinate system using ESYS, which forms the basis for orthotropic material directions.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 182.1: "PLANE182 Geometry". Positive pressures act into the element. Temperatures may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). For any other input pattern, unspecified temperatures default to TUNIF.

Input the nodal forces, if any, per unit of depth for a plane analysis (except for KEYOPT(3) = 3 or KEYOPT(3) = 5) and on a full 360° basis for an axisymmetric analysis.

KEYOPT(3) = 5 is used to enable generalized plane strain. For more information about the generalized plane strain option, see Generalized Plane Strain Option of 18x Solid Elements in the Elements Reference.

KEYOPT(6) = 1 sets the element for using mixed formulation. For details on the use of mixed formulation, see Applications of Mixed u-P Formulations in the Elements Reference.

You can apply an initial stress state to this element via the INISTATE command. For more information, see the INISTATE command, and also Initial Stress Loading in the Basic Analysis Guide. Alternately, you can set KEYOPT(10) = 1 to read initial stresses from the user subroutine USTRESS. For details on user subroutines, see the Guide to ANSYS User Programmable Features.

As described in Coordinate Systems, you can use ESYS to orient the material properties and strain/stress output. Use RSYS to choose output that follows the material coordinate system or the global coordinate system. For the case of hyperelastic materials, the output of stress and strain is always with respect to the global Cartesian coordinate system rather than following the material/element coordinate system.

The effects of pressure load stiffness are automatically included for this element. If an unsymmetric matrix is needed for pressure load stiffness effects, use NROPT,UNSYM.

"PLANE182 Input Summary" contains a summary of the element input. For a general description of element input, see Element Input. For axisymmetric applications see Axisymmetric Elements.

PLANE182 Input Summary

Nodes

I, J, K, L

Degrees of Freedom

UX, UY

Real Constants
THK - Thickness (used ony if KEYOPT(3) = 3)
HGSTF - Hourglass stiffness scaling factor (used only if KEYOPT(1) = 1); default is 1.0 (if you input 0.0, the default value is used)
Material Properties
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ),
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ),
DENS, GXY, GYZ, GXZ, DAMP
Surface Loads
Pressures --

face 1 (J-I), face 2 (K-J), face 3 (L-K), face 4 (I-L)

Body Loads
Temperatures --

T(I), T(J), T(K), T(L)

Special Features --
Plasticity (PLASTIC, BISO, MISO, NLISO, BKIN, MKIN, KINH, CHABOCHE, HILL)
Hyperelasticity (AHYPER, HYPER)
Viscoelasticity (PRONY, SHIFT)
Viscoplasticity/Creep (CREEP, RATE)
Elasticity (ELASTIC, ANEL)
Other material (USER, SDAMP, SMA, CAST, EDP, GURSON)
Stress stiffening
Large deflection
Large strain
Initial stress import
Nonlinear stabilization
Manual rezoning
Automatic selection of element technology
Birth and death

Note

Items in parentheses refer to data tables associated with the TB command. CAST, EDP, SMA, and UNIAXIAL are not applicable for plane stress. See the Theory Reference for ANSYS and ANSYS Workbench for details of the material models.

Note

See Automatic Selection of Element Technologies and ETCONTROL for more information on selection of element technologies.

KEYOPT(1)

Element technology:

0 --

Full integration with B-bar method

1 --

Uniform reduced integration with hourglass control

2 --

Enhanced strain formulation

3 --

Simplified enhanced strain formulation

KEYOPT(3)

Element behavior:

0 --

Plane stress

1 --

Axisymmetric

2 --

Plane strain (Z strain = 0.0)

3 --

Plane stress with thickness input

5 --

Generalized plane strain

KEYOPT(6)

Element formulation:

0 --

Use pure displacement formulation (default)

1 --

Use mixed u-P formulation (not valid with plane stress)

KEYOPT(10)

User-defined initial stress:

0 --

No user subroutine to provide initial stresses (default).

1 --

Read initial stress data from user subroutine USTRESS

Note

See the Guide to ANSYS User Programmable Features for user written subroutines.

PLANE182 Element Technology

PLANE182 uses the [image] method (also known as the selective reduced integration method), the uniform reduced integration method, or the enhanced strain formulation method, as follows:

  • method (selective reduced integration)

    Helps to prevent volumetric mesh locking in nearly incompressible cases. This option replaces volumetric strain at the Gauss integration point with the average volumetric strain of the elements. This method cannot, however, prevent any shear locking in bending dominated problems. In such situations, use the enhanced strain formulation of this element. If it is not clear if the deformation is bending dominated, enhanced strain formulation is recommended. For more information, see the Theory Reference for ANSYS and ANSYS Workbench.

  • Uniform reduced integration

    Also helps to prevent volumetric mesh locking in nearly incompressible cases. Because it has only one integration point, this option is more efficient than the [image] method (selective reduced integration) option. However, the artificial energy introduced to control the hourglass effect may affect solution accuracy adversely.

    When using this option, check the solution accuracy by comparing the total energy (SENE label in ETABLE) and the artificial energy (AENE label in ETABLE) introduced by hourglass control. If the ratio of artificial energy to total energy is less than 5%, the solution is generally acceptable. If the ratio exceeds five percent, refine the mesh. You can also monitor the total energy and artificial energy by issuing the OUTPR,VENG command in the solution phase.

    For more information about uniform reduced integration, see the Theory Reference for ANSYS and ANSYS Workbench.

  • Enhanced strain formulation

    Prevents shear locking in bending-dominated problems and volumetric locking in nearly incompressible cases. The formulation introduces 4 internal DOFs (inaccessible to ANSYS users) to overcome shear locking in plane strain, axisymmetric problems, and generalized plane strain problems (all with mixed u-P formulations), and plane stress. For plane strain, axisymmetric problems, and generalized plane strain (all with pure displacement formulations), an additional internal DOF is introduced for volumetric locking (for a total of 5 internal DOFs). All internal DOFs are introduced automatically at the element level and condensed out.

    Because of the extra internal DOFs and static condensation, this option is less efficient than either the [image] method (selective reduced integration) option or the uniform reduced integration option.

    For more information about enhanced strain formulation, see the Theory Reference for ANSYS and ANSYS Workbench.

  • Simplified enhanced strain formulation

    Prevents shear locking in bending-dominated problems. This is a special case of the enhanced strain formulation and always introduces four internal DOFs (inaccessible to ANSYS users). For the plane stress state, this formulation is the same as the enhanced strain formulation, so only KEYOPT(1) = 2 is allowed. Because there are no internal DOFs to handle volumetric locking, this formulation should not be used when the material is nearly incompressible, except when the Mixed u-P formulation is also used. When used with the Mixed u-P formulation, the simplified enhanced strain formulation gives the same results as the enhanced strain formulation. All internal DOFs are introduced automatically at the element level and condensed out.

    Because of the extra internal DOFs and static condensation, this option is less efficient than either the [image] method (selective reduced integration) option or the uniform reduced integration option, but is more efficient than the enhanced strain formulation due to using fewer internal DOFs.

    For more information about the simplified enhanced strain formulation, see the Theory Reference for ANSYS and ANSYS Workbench.

PLANE182 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 182.1: "PLANE182 Element Output Definitions"

Several items are illustrated in Figure 182.2: "PLANE182 Stress Output".

The element stress directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 182.2 PLANE182 Stress Output

Stress directions are shown for Global.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 182.1 PLANE182 Element Output Definitions

Name | Definition | O | R
EL | Element number | - | Y
NODES | Nodes - I, J, K, L | - | Y
MAT | Material number | - | Y
THICK | Thickness | - | Y
VOLU: | Volume | - | Y
XC, YC | Location where results are reported | Y | 3
PRES | Pressures P1 at nodes J,I; P2 at K,J; P3 at L,K; P4 at I,L | - | Y
TEMP | Temperatures T(I), T(J), T(K), T(L) | - | Y
S:X, Y, Z, XY | Stresses (SZ = 0.0 for plane stress elements) | Y | Y
S:1, 2, 3 | Principal stresses | - | Y
S:INT | Stress intensity | - | Y
S:EQV | Equivalent stress | Y | Y
EPEL:X, Y, Z, XY | Elastic strains | Y | Y
EPEL:1, 2, 3 | Principal elastic strains | - | Y
EPEL:EQV | Equivalent elastic strain [6] | Y | Y
EPTH:X, Y, Z, XY | Thermal strains | 2 | 2
EPTH:EQV | Equivalent thermal strain [6] | 2 | 2
EPPL:X, Y, Z, XY | Plastic strains[7] | 1 | 1
EPPL:EQV | Equivalent plastic strain [6] | 1 | 1
EPCR:X, Y, Z, XY | Creep strains | 1 | 1
EPCR:EQV | Equivalent creep strains [6] | 1 | 1
EPTO:X, Y, Z, XY | Total mechanical strains (EPEL + EPPL + EPCR) | Y | -
EPTO:EQV | Total equivalent mechanical strains (EPEL + EPPL + EPCR) | Y | -
NL:EPEQ | Accumulated equivalent plastic strain | 1 | 1
NL:CREQ | Accumulated equivalent plastic strain | 1 | 1
NL:SRAT | Plastic yielding (1 = actively yielding, 0 = not yielding) | 1 | 1
NL:PLWK | Plastic work | 1 | 1
NL:HPRES | Hydrostatic pressure | 1 | 1
SEND:ELASTIC, PLASTIC, CREEP | Strain energy densities | - | 1
LOCI:X, Y, Z | Integration point locations | - | 4
SVAR:1, 2, ... , N | State variables | - | 5

  1. Nonlinear solution, output only if the element has a nonlinear material.

  2. Output only if element has a thermal load.

  3. Available only at centroid as a *GET item.

  4. Available only if OUTRES,LOCI is used.

  5. Available only if the USERMAT subroutine and TB,STATE are used.

  6. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY); for plastic and creep this value is set at 0.5.

  7. For the shape memory alloy material model, transformation strains are reported as plasticity strain EPPL.

Note

For axisymmetric solutions in a global coordinate system, the X, Y, Z, and XY stress and strain outputs correspond to the radial, axial, hoop, and in-plane shear stresses and strains, respectively.

Table 182.2: "PLANE182 Item and Sequence Numbers" lists output available through ETABLE using the Sequence Number method. See Creating an Element Table in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 182.2: "PLANE182 Item and Sequence Numbers":

Name

output quantity as defined in the Table 182.1: "PLANE182 Element Output Definitions"

Item

predetermined Item label for ETABLE

E

sequence number for single-valued or constant element data

I,J,K,L

sequence number for data at nodes I, J, K, L

Table 182.2 PLANE182 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J | K | L
P1 | SMISC | - | 2 | 1 | - | -
P2 | SMISC | - | - | 4 | 3 | -
P3 | SMISC | - | - | - | 6 | 5
P4 | SMISC | - | 7 | - | - | 8
THICK | NMISC | 1 | - | - | - | -

PLANE182 Assumptions and Restrictions

  • The area of the element must be nonzero.

  • The element must lie in a global X-Y plane as shown in Figure 182.1: "PLANE182 Geometry" and the Y-axis must be the axis of symmetry for axisymmetric analyses. An axisymmetric structure should be modeled in the +X quadrants.

  • You can form a triangular element by defining duplicate K and L node numbers (see Triangle, Prism and Tetrahedral Elements). For triangular elements where the [image] or enhanced strain formulations are specified, degenerated shape functions and a conventional integration scheme are used.

  • If you use the mixed formulation (KEYOPT(6) = 1), you must use either the sparse solver (default) or the frontal solver.

  • For modal cyclic symmetry analyses, ANSYS recommends using enhanced strain formulation.

  • Stress stiffening is always included in geometrically nonlinear analyses (NLGEOM,ON). It is ignored in geometrically linear analyses (NLGEOM,OFF) when specified by SSTIF,ON. Prestress effects can be activated by the PSTRES command.

PLANE182 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SHELL181 		Up / Home Next
PLANE183


PLANE183

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

PLANE183

2-D 8-Node or 6-Node Structural Solid

MP ME ST PR PRN DS DSS <> <> <> <> PP VT

Product Restrictions

PLANE183 Element Description

PLANE183 is a higher order 2-D, 8-node or 6-node element. PLANE183 has quadratic displacement behavior and is well suited to modeling irregular meshes (such as those produced by various CAD/CAM systems).

This element is defined by 8 nodes or 6-nodes having two degrees of freedom at each node: translations in the nodal x and y directions. The element may be used as a plane element (plane stress, plane strain and generalized plane strain) or as an axisymmetric element. This element has plasticity, hyperelasticity, creep, stress stiffening, large deflection, and large strain capabilities. It also has mixed formulation capability for simulating deformations of nearly incompressible elastoplastic materials, and fully incompressible hyperelastic materials. Initial stress import is supported. Various printout options are also available. See PLANE183 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 183.1 PLANE183 Geometry

PLANE183 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 183.1: "PLANE183 Geometry".

For KEYOPT(1) = 0, a degenerated triangular-shaped element may be formed by defining the same node number for nodes K, L and O. In addition to the nodes, the element input data includes a thickness (TK) (for the plane stress option only) and the orthotropic material properties. Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers in Figure 183.1: "PLANE183 Geometry". Positive pressures act into the element. Temperatures may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). If all corner node temperatures are specified, each midside node temperature defaults to the average temperature of its adjacent corner nodes. For any other input temperature pattern, unspecified temperatures default to TUNIF.

The nodal forces, if any, should be input per unit of depth for a plane analysis (except for KEYOPT(3) = 3 or KEYOPT(3) = 5) and on a full 360° basis for an axisymmetric analysis.

As described in Coordinate Systems, you can use ESYS to orient the material properties and strain/stress output. Use ESYS to choose output that follows the material coordinate system or the global coordinate system. For the case of hyperelastic materials, the output of stress and strain is always with respect to the global Cartesian coordinate system rather than following the material/element coordinate system.

KEYOPT(3) = 5 is used to enable generalized plane strain. For more information about the generalized plane strain option, see Generalized Plane Strain Option of 18x Solid Elements in the Elements Reference.

KEYOPT(6) = 1 sets the element for using mixed formulation. For details on the use of mixed formulation, see Applications of Mixed u-P Formulations in the Elements Reference.

You can apply an initial stress state to this element via the INISTATE command. For more information, see the INISTATE command, and also Initial Stress Loading in the Basic Analysis Guide. Alternately, you can set KEYOPT(10) = 1 to read initial stresses from the user subroutine USTRESS. For details on user subroutines, see the Guide to ANSYS User Programmable Features.

The effects of pressure load stiffness are automatically included for this element. If an unsymmetric matrix is needed for pressure load stiffness effects, use NROPT,UNSYM.

The next table summarizes the element input. Element Input gives a general description of element input. For axisymmetric applications see Axisymmetric Elements.

PLANE183 Input Summary

Nodes

I, J, K, L, M, N, O, P when KEYOPT(1) = 0

I, J, K, L, M, N when KEYOPT(1) = 1)

Degrees of Freedom

UX, UY

Real Constants
None, if KEYOPT (3) = 0, 1, or 2
THK - Thickness if KEYOPT (3) = 3
Material Properties
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ),
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ),
DENS, GXY, GYZ, GXZ, DAMP
Surface Loads
Pressures --

face 1 (J-I), face 2 (K-J), face 3 (I-K), face 4 (I-L) when KEYOPT(1) = 0

face 1 (J-I), face 2 (K-J), face 3 (I-K) when KEYOPT(1) = 1

Body Loads
Temperatures --

T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) when KEYOPT(1) = 0

T(I), T(J), T(K), T(L), T(M), T(N) when KEYOPT(1) = 1

Special Features
Plasticity (PLASTIC, BISO, MISO, NLISO, BKIN, MKIN, KINH, CHABOCHE, HILL)
Hyperelasticity (AHYPER, HYPER)
Viscoelasticity (PRONY, SHIFT)
Viscoplasticity/Creep (CREEP, RATE)
Elasticity (ELASTIC, ANEL)
Other material (USER, SDAMP, SMA, CAST, EDP, GURSON)
Stress stiffening
Large deflection
Large strain
Initial stress import
Nonlinear stabilization
Manual rezoning
Automatic selection of element technology
Birth and death

Note

Items in parentheses refer to data tables associated with the TB command. CAST, EDP, SMA, and UNIAXIAL are not applicable for plane stress. See the Theory Reference for ANSYS and ANSYS Workbench for details of the material models.

Note

See Automatic Selection of Element Technologies and ETCONTROL for more information on selection of element technologies.

KEYOPT(1)

Element shape:

0 --

8-node quadrilateral

1 --

6-node triangle

KEYOPT(3)

Element behavior:

0 --

Plane stress

1 --

Axisymmetric

2 --

Plane strain (Z strain = 0.0)

3 --

Plane stress with thickness (TK) real constant input

5 --

Generalized plane strain

KEYOPT(6)

Element formulation:

0 --

Use pure displacement formulation (default)

1 --

Use mixed u-P formulation (not valid with plane stress)

KEYOPT(10)

User-defined initial stress:

0 --

No user subroutine to provide initial stresses

1 --

Read initial stress data from user subroutine USTRESS

Note

See the Guide to ANSYS User Programmable Features for user written subroutines

PLANE183 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 183.1: "PLANE183 Element Output Definitions".

Several items are illustrated in Figure 183.2: "PLANE183 Stress Output".

The element stress directions are parallel to the element coordinate system. Surface stresses are defined parallel and perpendicular to the IJ face (and the KL face) and along the Z-axis for a plane analysis or in the hoop direction for an axisymmetric analysis. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 183.2 PLANE183 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 183.1 PLANE183 Element Output Definitions

Name | Definition | O | R
EL | Element number | - | Y
NODES | Nodes - I, J, K, L (for KEYOPT(1) = 0 and I, J, K (for KEYOPT(1) = 1) | - | Y
MAT | Material number | - | Y
THICK | Thickness | - | Y
VOLU: | Volume | - | Y
XC, YC | Location where results are reported | Y | 4
PRES | Pressures P1 at nodes J, I; P2 at K, J; P3 at L, K; P4 at I, L (P4 only for KEYOPT(1) = 0 | - | Y
TEMP | Temperatures T(I), T(J), T(K), T(L) only for KEYOPT(1) = 0 | - | Y
S:X, Y, Z, XY | Stresses (SZ = 0.0 for plane stress elements) | Y | Y
S:1, 2, 3 | Principal stresses | - | Y
S: INT | Stress intensity | - | Y
S:EQV | Equivalent stress | - | Y
EPEL:X, Y, Z, XY | Elastic strains | Y | Y
EPEL:1, 2, 3 | Principal elastic strains | Y | -
EPEL:EQV | Equivalent elastic strain [7] | - | Y
EPTH:X, Y, Z, XY | Thermal strains | 3 | 3
EPTH:EQV | Equivalent thermal strain [7] | - | 3
EPPL:X, Y, Z, XY | Plastic strains[8] | 1 | 1
EPPL:EQV | Equivalent plastic strain [7] | - | 1
EPCR:X, Y, Z, XY | Creep strains | 2 | 2
EPCR:EQV | Equivalent creep strains [7] | 2 | 2
EPTO:X, Y, Z, XY | Total mechanical strains (EPEL + EPPL + EPCR) | Y | -
EPTO:EQV | Total equivalent mechanical strains (EPEL + EPPL + EPCR) | Y | -
NL:EPEQ | Accumulated equivalent plastic strain | 1 | 1
NL:CREQ | Accumulated equivalent creep strain | 1 | 1
NL:SRAT | Plastic yielding (1 = actively yielding, 0 = not yielding) | 1 | 1
NL:PLWK | Plastic work | 1 | 1
NL:HPRES | Hydrostatic pressure | 1 | 1
SEND:ELASTIC, PLASTIC, CREEP | Strain energy densities | - | 1
LOCI:X, Y, Z | Integration point locations | - | 5
SVAR:1, 2, ... , N | State variables | - | 6

  1. Nonlinear solution, output only if the element has a nonlinear material.

  2. Output only if element has a creep load.

  3. Output only if element has a thermal load.

  4. Available only at centroid as a *GET item.

  5. Available only if OUTRES,LOCI is used.

  6. Available only if the USERMAT subroutine and TB,STATE are used.

  7. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY); for plastic and creep this value is set at 0.5.

  8. For the shape memory alloy material model, transformation strains are reported as plasticity strain EPPL.

Note

For axisymmetric solutions, the X, Y, XY, and Z stress and strain outputs correspond to the radial, axial, in-plane shear, and hoop stresses and strains.

Table 183.2: "PLANE183 Item and Sequence Numbers" lists output available through ETABLE using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 183.2: "PLANE183 Item and Sequence Numbers":

Name

output quantity as defined in Table 183.1: "PLANE183 Element Output Definitions"

Item

predetermined Item label for ETABLE

E

sequence number for single-valued or constant element data

I,J,...,P

sequence number for data at nodes I, J, ..., P

Table 183.2 PLANE183 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J | K | L | M | N | O | P
P1 | SMISC | - | 2 | 1 | - | - | - | - | - | -
P2 | SMISC | - | - | 4 | 3 | - | - | - | - | -
P3 | SMISC | - | - | - | 6 | 5 | - | - | - | -
P4[1] | SMISC | - | 7 | - | - | 8 | - | - | - | -
THICK | NMISC | 1 | - | - | - | - | - | - | - | -

  1. P4 is only for KEYOPT(1) = 0

See Surface Solution in this manual for the item and sequence numbers for surface output for ETABLE.

PLANE183 Assumptions and Restrictions

  • The area of the element must be positive.

  • The element must lie in a global X-Y plane as shown in Figure 183.1: "PLANE183 Geometry" and the Y-axis must be the axis of symmetry for axisymmetric analyses. An axisymmetric structure should be modeled in the +X quadrants.

  • A face with a removed midside node implies that the displacement varies linearly, rather than parabolically, along that face. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes.

  • Use at least two elements to avoid hourglass mode for KEYOPT(1) = 0.

  • A triangular element may be formed by defining duplicate K-L-O node numbers (see Triangle, Prism and Tetrahedral Elements). For these degenerated elements, the triangular shape function is used and the solution is the same as for the regular triangular 6-node elements, but might be slightly less efficient for KEYOPT(1) = 0. Since these degenerated elements are less efficient, the triangle shape option (KEYOPT(1) = 1) is suggested for this case.

  • When mixed formulation is used (KEYOPT(6) = 1), no midside nodes can be missed. If you use the mixed formulation (KEYOPT(6) = 1), you must use either the sparse solver (default) or the frontal solver.

  • Stress stiffening is always included in geometrically nonlinear analyses (NLGEOM,ON). It is ignored in geometrically linear analyses (NLGEOM,OFF) when specified by SSTIF,ON. Prestress effects can be activated by the PSTRES command.

PLANE183 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLANE182 		Up / Home Next
MPC184


MPC184

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

MPC184

Multipoint Constraint Element

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

MPC184 Element Description

MPC184 comprises a general class of multipoint constraint elements that apply kinematic constraints between nodes. The elements are loosely classified here as “constraint elements” (rigid link, rigid beam, and slider) and “joint elements” (x-axis revolute, z-axis revolute, universal, slot, point-in-plane, translational, x-axis cylindrical, z-axis cylindrical, x-axis planar, z-axis planar, weld, orient, spherical, and general). The constraint may be as simple as that of identical displacements between nodes. Constraints can also be more complicated, such as those modeling rigid parts, or those transmitting motion between flexible bodies in a particular way. For example, a structure may consist of rigid parts and moving parts connected together by rotational or sliding connections. The rigid part of the structure may be modeled with the MPC184 link/beam elements, while the moving parts may be connected with any of the MPC184 joint elements.

The kinematic constraints are imposed using one of the following two methods:

  • The direct elimination method, wherein the kinematic constraints are imposed by internally generated constraint equations. The degrees of freedom of a dependent node in the equations are eliminated in favor of an independent node.

    • The dependent degrees of freedom are eliminated. Therefore, the constraint forces and moments are not available from the element output table (ETABLE) for output purposes. However, the global constraint reaction forces are available at independent nodes in the results file, Jobname.rst (PRRSOL command, etc.).

    • The direct elimination method should be used whenever it is available since the degrees of freedom at the dependent nodes are eliminated, thereby reducing the problem size and solution time.

  • The Lagrange multiplier method, wherein the kinematic constraints are imposed using Lagrange multipliers. In this case, all the participating degrees of freedom are retained.

    • The Lagrange multiplier method should be used when the direct elimination method is not available or not suitable for the analysis purposes.

    • In this method, the constraint forces and moments are available from the element output table (ETABLE).

    • The disadvantage of the Lagrange multiplier method is that the Lagrange multipliers are additional solution variables and, hence, the problem size and solution time become larger when compared with the direct elimination method.

Currently, the MPC184 rigid link/beam elements can use the direct elimination method or the Lagrange multiplier method. All other MPC184 element options use the Lagrange multiplier method only.

Constraint Elements

The following types of constraint elements are available:

Rigid link/beam
Slider

Joint Elements

Numerical simulations often involve modeling of joints between two parts. These joints or connections may need simple kinematic constraints such as identical displacements between the two parts at the junction or more complicated kinematic constraints that allow for transmission of motion between two flexible bodies. These complex joints may also include some sort of control mechanism like limits or stops, and locks on the components of relative motion between the two bodies. In many instances, these joints may also have stiffness, damping, or friction forces based on the unconstrained components of relative motion between the two bodies. For detailed information on how to use joint elements, see Connecting Multibody Components with Joint Elements in the Multibody Analysis Guide.

The following types of joint elements are available:

x-axis Revolute joint
z-axis Revolute joint
Universal joint
Slot joint
Point-in-plane joint
Translational joint
x-axis Cylindrical joint
z-axis Cylindrical joint
x-axis Planar joint
z-axis Planar joint
Weld joint
Orient joint
Spherical joint
General joint

These elements are well suited for linear, large rotation, and/or large strain nonlinear applications. If finite rotations and/or large strain effects are to be considered, the NLGEOM,ON command must be used; otherwise, linear behavior is assumed. For example, if a revolute joint element is used in an analysis and NLGEOM,ON is not set, the calculations are carried out in the original configuration and the end result may not reflect the expected deformed configuration. However, if the NLGEOM,ON command is used, the calculations will take into account the rotation of the revolute joint element.

Two nodes define these joint elements. Depending on the joint to be defined, the kinematic constraints are imposed on some of the quantities that define the relative motion between the two nodes. These kinematic constraints are applied using Lagrange multipliers. In some instances, one of the nodes is required to be "grounded" or attached to "ground" or some other reference location that is not moving. In such cases, only one of the two nodes may be specified. The specified node and the "grounded" node are assumed to be coincident in the element calculations.

The joint element has six degrees of freedom at each node, defining six components of relative motion: three relative displacements and three relative rotations. These six components of relative motion are of primary interest in simulations that involve joint elements. Some of these components may be constrained by the kinematic constraints relevant to a particular joint element, while the other components are "free" or "unconstrained". For example, in the case of universal and revolute joint elements the two nodes are assumed to be connected, and thus the relative displacements are zero. For the revolute joint only one rotational component of the relative motion (rotation about the revolute axis) is unconstrained, while for the universal joint two such components are available.

The capabilities of these elements include certain control features such as stops, locks, and actuating loads/boundary conditions that can be imposed on the components of relative motion between the two nodes of the element. For example, in a revolute joint, stops can be specified for the rotation about the revolute axis. This limits the rotation around the revolute axis to be within a certain range. Displacement, force, velocity, and acceleration boundary conditions may be imposed on the components of relative motion between the two nodes allowing for "actuation" of the joints. The driving force or displacements arise from the actuating mechanisms like an electric or hydraulic system that drives these joints.

You can impose linear and nonlinear elastic stiffness and damping behavior or hysteretic friction behavior on the available components of relative motion of a joint element. The properties can be made temperature dependent if necessary.

In addition to the existing output options available in ANSYS, outputs related to the components of relative motion are available for joint elements.

Joint Input Data

Certain input requirements are common to most MPC184 joint elements. Any specific requirements for individual joint elements are highlighted in the description for that element.

The following types of input data should be considered:

  • Element Connectivity Definition - A joint element is typically defined by specifying two nodes, I and J. One of these nodes may be a "grounded" node.

  • Section Definition - Each joint element must have an associated section definition (SECTYPE command).

  • Local Coordinate System Specification - Local coordinate systems at the nodes are often required to define the kinematic constraints of a joint element (SECJOINT command).

  • Stops or Limits - You can impose stops or limits on the available components of relative motion between the two nodes of a joint element (SECSTOP command).

  • Locks - Locking limits may also be imposed on the available components of relative motion between the two nodes of a joint element to "freeze" the joint in a desired configuration (SECLOCK command).

  • Material Behavior - The JOIN material option on the TB command allows you to impose linear and nonlinear elastic stiffness and damping behavior or hysteretic friction behavior on the available components of relative motion of a joint element.

  • Reference Lengths and Angles - These correspond to the free relative degrees of freedom in a joint element for which constitutive calculations are performed and are used when stiffness, damping, or hysteretic friction are specified for the joint elements (SECDATA command).

  • Boundary Conditions - You can impose boundary conditions (DJ command) or apply concentrated forces (FJ command) on the available components of relative motion of the joint element.

MPC184 Input Data

Use KEYOPT(1) to specify the type of MPC184 constraint or joint element you want to use. The remaining input data will vary depending on the type of constraint or joint element specified. The individual MPC184 element descriptions each contain an input summary that applies only to that particular element. It is recommended that you review these element-specific input summaries after you determine which constraint or joint element you will be using.

KEYOPT(1)

Element behavior:

0 --

Rigid link (default)

1 --

Rigid beam

3 --

Slider element

6 --

x-axis or z-axis revolute joint element

7 --

Universal joint element

8 --

Slot joint element

9 --

Point-in-plane joint element

10 --

Translational joint element

11 --

x-axis or z-axis cylindrical joint element

12 --

x-axis or z-axis planar joint element

13 --

Weld joint element

14 --

Orient joint element

15 --

Spherical joint element

16 --

General joint element

MPC184 Output Data

The solution output associated with the constraint and joint elements is in two forms:

  • Nodal displacements included in the overall nodal solution.

  • Additional element output as shown in the individual constraint and joint element descriptions. This output is available via the ETABLE command using the Sequence Number method.

Refer to the individual element descriptions for complete listings of the output for each element.

MPC184 Assumptions and Restrictions

The following restrictions apply to all forms of the MPC184 element:

  • For MPC184, the element coordinate system (/PSYMB,ESYS) is not relevant.

  • This element cannot be used with the arc-length method (ARCLEN).

There are additional assumptions and restrictions for each type of constraint and joint element. For details, see the Assumptions and Restrictions section in the individual constraint and joint element descriptions.

MPC184 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The DAMP material property is not allowed.

  • No special features are allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLANE183 		Up / Home Next
MPC184-Link/Beam


MPC184-Link/Beam

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

MPC184-Link/Beam

Multipoint Constraint Element: Rigid Link or Rigid Beam

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

MPC184 Rigid Link/Beam Element Description

The MPC184 rigid link/beam element can be used to model a rigid constraint between two deformable bodies or as a rigid component used to transmit forces and moments in engineering applications. This element is well suited for linear, large rotation, and/or large strain nonlinear applications.

The kinematic constraints are imposed using one of the following two methods:

  • The direct elimination method, wherein the kinematic constraints are imposed by internally generated MPC (multipoint constraint) equations. The degrees of freedom of a dependent node in the MPC equations are eliminated in favor of an independent node.

  • The Lagrange multiplier method, wherein the kinematic constraints are imposed using Lagrange multipliers. In this case, all the participating degrees of freedom are retained.

Figure 184link.1 MPC184 Rigid Link/Beam Geometry

MPC184 Rigid Link/Beam Input Data

Figure 184link.1: "MPC184 Rigid Link/Beam Geometry" shows the geometry, node locations, and the coordinate system for this element. Two nodes define the element. The element x-axis is oriented from node I toward node J. The cross-sectional area of the element is assumed to be one unit. ANSYS selects the cross-section coordinate system automatically; see BEAM4 (without orientation node) for a description of the method employed. The cross-section coordinate system is relevant only for the output of bending moments when the element is used as a rigid beam.

If KEYOPT(1) = 0 (default), the element is a rigid link with two nodes and three degrees of freedom at each node (UX, UY, UZ). If KEYOPT(1) = 1, the element is a rigid beam with two nodes and six degrees of freedom at each node (UX, UY, UZ, ROTX, ROTY, ROTZ).

If KEYOPT(2) = 0 (default), then the constraints are implemented using the direct elimination method. If KEYOPT(2) = 1, then the Lagrange multiplier method is used to impose the constraints.

The MPC184 rigid link/beam element with KEYOPT(2) = 1 can also be used in applications that call for thermal expansion on an otherwise rigid structure. The direct elimination method cannot be used for thermal expansion problems.

Because the element models a rigid constraint or a rigid component, material stiffness properties are not required. When thermal expansion effects are desired, the coefficient of thermal expansion must be specified. Density must be specified if the mass of the rigid element is to be accounted for in the analysis. If density is specified, ANSYS calculates a lumped mass matrix for the element.

The element supports the birth and death options using EALIVE and EKILL.

Node and Element Loads describes element loads. You can input temperatures as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. The node J temperature defaults to T(I).

MPC184 Rigid Link/Beam Input Summary

This input summary applies to the rigid link and rigid beam options of MPC184: KEYOPT(1) = 0 and 1.

Nodes

I, J

Degrees of Freedom

UX, UY, UZ if KEYOPT(1) = 0

UX, UY, UZ, ROTX, ROTY, ROTZ if KEYOPT(1) = 1

Real Constants

None

Material Properties

ALPX (or CTEX or THSX), DENS

Surface Loads

None

Body Loads
Temperatures --

T(I), T(J)

Element Loads

None

Special Features
Large deflection
Birth and death
KEYOPT(1)

Element behavior:

0 --

Rigid link (default)

1 --

Rigid beam

KEYOPT(2)

Reduction method:

0 --

Direct elimination method (default)

1 --

Lagrange multiplier method

MPC184 Rigid Link/Beam Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 184link.1: "MPC184 Rigid Link/Beam Element Output Definitions".

Table 184link.1: "MPC184 Rigid Link/Beam Element Output Definitions" uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 184link.1 MPC184 Rigid Link/Beam Element Output Definitions

Name | Definition | O | R
Link/Beam Elements (KEYOPT(1) = 0 or 1, and KEYOPT(2) = 0 or 1)
EL | Element number | - | Y
NODES | Element node numbers (I and J) | - | Y
Link/Beam Elements (KEYOPT(1) = 0 or 1, and KEYOPT(2) = 1)
MAT | Material number for the element | - | Y
TEMP | Temperature at nodes I and J | - | Y
FX | Axial force | - | Y
MY, MZ | Bending moments | - | Y
SF:Y, Z | Section shear forces | - | Y
MX | Torsional moment | - | Y

Table 184link.2: "MPC184 Rigid Link/Beam Item and Sequence Numbers" lists output available via the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table for further information. The table uses the following notation:

Name

output quantity as defined in the Element Output Definitions table.

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 184link.2 MPC184 Rigid Link/Beam Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
Link/Beam Constraint (with KEYOPT(2) = 1)
FX | SMISC | 1
MY | SMISC | 2
MZ | SMISC | 3
MX | SMISC | 4
SFZ | SMISC | 5
SFY | SMISC | 6

MPC184 Rigid Link/Beam Assumptions and Restrictions

The following restrictions apply to both the direct elimination method and the Lagrange multiplier method (KEYOPT(2) = 0 and 1):

  • A finite element model cannot be made up of only rigid elements in a static analysis. At a minimum, a deformable element (or elements) must be connected to one of the end nodes of a rigid element.

  • The cross-sectional area of the element is assumed to be unity.

  • The element coordinate system (/PSYMB,ESYS) is not relevant.

  • This element cannot be used with the arc-length method (ARCLEN).

Direct Elimination Method (KEYOPT(2) = 0)

These additional restrictions apply to the direct elimination method:

  • The MPC184 rigid link/beam using the direct elimination method can be used in static, transient, modal, and buckling analyses.

  • This element can be used with the SPARSE, PCG, JCG, ICCG, AMG, and ITER solvers (EQSLV command). It cannot be used with the FRONT and DSPARSE solvers.

  • Displacement boundary conditions on the nodes of rigid link/beams must be applied prudently. In a rigid linkage (structure) made of a number of rigid link/beam elements, if displacement boundary conditions are applied at more than one location, ANSYS will use the first encountered displacement boundary condition to constrain the entire rigid linkage according to rigid kinematic conditions. In some cases where the applied displacements may be redundant or self-contradictory, ANSYS will issue warning or error messages.

  • The direct elimination method cannot be used in problems involving thermal expansion. Use the Lagrange Multiplier method instead.

  • Reaction forces at the constrained nodes of a rigid link/beam may not always be available since the dependent and independent nodes are determined by ANSYS internally. We recommend that you check the interface nodes which connect rigid and deformable elements since reaction forces are available on these nodes.

  • The nodes of a rigid link/beam using the direct elimination method should not be linked with a node of an element implemented via the Lagrange multiplier method. For example, a rigid beam implemented using the direct elimination method (KEYOPT(2) = 0) should not be linked to a rigid beam implemented via the Lagrange multiplier method (KEYOPT(2) = 1). Or, a rigid beam implemented via the direct elimination method should not be linked to a node of a contact element that is implemented via the Lagrange multiplier method (KEYOPT(2) = 2 on the contact element).

  • Coupling constraints (CP command) cannot be applied to nodes of rigid links/beams using the direct elimination method.

  • Nodes of rigid links/beams cannot be part of the retained nodes (nodes specified by the M command) in a substructure. However, the rigid links/beams can be entirely within the substructure.

  • Rigid links/beams should be not used in cyclic symmetry analyses.

  • Rigid links/beams cannot be used with Distributed ANSYS.

Lagrange Multiplier Method (KEYOPT(2) = 1)

These additional restrictions apply to the Lagrange Multiplier method:

  • To employ this feature successfully, use as few of these elements as possible. For example, it may be sufficient to overlay rigid line elements on a perimeter of a rigid region modeled with shell elements, as opposed to overlaying rigid line elements along each element boundary of the interior.

  • Modeling that avoids overconstraining the problem is necessary. Overconstrained models may result in trivial solutions, zero pivot messages (in a properly restrained system), or nonlinear convergence difficulties.

  • The temperature is assumed to vary linearly along the spar of the rigid link or rigid beam element.

  • If constraint equations are specified for the DOFs of a rigid element, it may be an overconstrained system. Similarly, prescribed displacements on both ends of the element is an indication of overconstraint.

  • When used as a link element, exercise the same precautions that you would when using a truss element (for example, LINK180 or LINK8).

  • In most cases, the equation solver (EQSLV) must be the sparse solver. If you use this element in a harmonic analysis, you must employ the frontal solver.

  • The element is valid for static and transient analyses (linear and nonlinear), and rigid beam is valid for harmonic response analyses. The element is not supported for buckling analyses or reduced transient analyses.

MPC184 Rigid Link/Beam Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • No special features are allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPC184 		Up / Home Next
MPC184-Slider


MPC184-Slider

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

MPC184-Slider

Multipoint Constraint Element: Slider

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

MPC184 Slider Element Description

The MPC184 slider element can be used to model a slider constraint. The element has three nodes with three degrees of freedom (translations in X, Y, and Z) at each node. The slider element imposes a kinematic constraint such that a "dependent" node (I) must always lie on a line joining two other "independent" nodes (J and K). The I node is allowed to slide on the line joining J and K nodes. The kinematic constraints are imposed using the Lagrange multiplier method.

Figure 184slid.1 MPC184 Slider Geometry

MPC184 Slider Input Data

Set KEYOPT(1) = 3 to define a three-node slider element.

Figure 184slid.1: "MPC184 Slider Geometry" shows the geometry and node locations for this element. Three nodes (I, J, and K) define the element. The node I is expected to lie initially on the line joining the nodes J and K.

Material stiffness properties are not required for this element. The element currently does not support birth or death options.

MPC184 Slider Input Summary

This input summary applies to the slider element option of MPC184: KEYOPT(1) = 3.

Nodes

I, J, K

Degrees of Freedom

UX, UY, UZ

Real Constants

None

Material Properties

None

Surface Loads

None

Body Loads

None

Element Loads

None

Special Features
Large deflection
KEYOPT(1)

Element behavior:

3 --

Slider element

MPC184 Slider Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 184slid.1: "MPC184 Slider Element Output Definitions".

Table 184slid.1: "MPC184 Slider Element Output Definitions" uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 184slid.1 MPC184 Slider Element Output Definitions

Name | Definition | O | R
EL | Element Number | - | Y
NODES | Element node numbers (I, J, K) | - | Y
FY | Constraint Force 1 | - | Y
FZ | Constraint Force 2 | - | Y

Table 184slid.2: "MPC184 Slider Item and Sequence Numbers" lists output available via the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table for further information. The table uses the following notation:

Name

output quantity as defined in the Element Output Definitions table.

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 184slid.2 MPC184 Slider Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
FY | SMISC | 1
FZ | SMISC | 2

MPC184 Slider Assumptions and Restrictions

  • The distance between nodes I and J must be greater than zero.

  • Node I must initially lie between the J and K nodes.

  • Displacement boundary conditions cannot be applied on the nodes forming the slider element.

  • The element currently does not support birth or death options.

  • The equation solver (EQSLV) must be the sparse solver.

  • The element coordinate system (/PSYMB,ESYS) is not relevant.

  • This element cannot be used with the arc-length method (ARCLEN).

MPC184 Slider Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • No special features are allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPC184-Link/Beam 		Up / Home Next
MPC184-Revolute


MPC184-Revolute

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

MPC184-Revolute

Multipoint Constraint Element: Revolute Joint

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

MPC184 Revolute Joint Element Description

The MPC184 revolute joint is a two-node element that has only one primary degree of freedom, the relative rotation about the revolute (or hinge) axis. This element imposes kinematic constraints such that the nodes forming the element have the same displacements. Additionally, only a relative rotation is allowed about the revolute axis, while the rotations about the other two directions are fixed.

Another revolute joint element in the ANSYS element library is the COMBIN7 element. The COMBIN7 element allows you to control the joint flexibility, friction, damping, and certain control features. A local coordinate system is fixed to and moves with the joint thereby allowing the element to be used in large deflection analysis (see COMBIN7 - Revolute Joint for additional details).

Figure 184revo.1 MPC184 Revolute Joint Geometry

MPC184 Revolute Joint Input Data

Set KEYOPT(1) = 6 to define a two-node revolute joint element.

Figure 184revo.1: "MPC184 Revolute Joint Geometry" shows the geometry and node locations for this element. Two nodes (I and J) define the element. The two nodes are expected to have identical spatial coordinates initially.

If KEYOPT(4) = 0, then element is an x-axis revolute joint with the local e1 axis as the revolute axis.

If KEYOPT(4) = 1, then element is a z-axis revolute joint with the local e3 axis as the revolute axis.

A local Cartesian coordinate system must be specified at the first node, I, of the element. The specification of the second local coordinate system at node J is optional. If the local coordinate system is not specified at node J, then the local coordinate system at node J is assumed to be the same as that at node I.

Either the local e1 or local e3 direction may be specified as the axis of rotation at the nodes. The specification of the other two local directions is not critical, but it will be used to determine the relative rotation between the two nodes during the course of deformation. The orientation of local directions must follow the convention specified in Figure 184revo.1: "MPC184 Revolute Joint Geometry". These local coordinate systems evolve with the rotations at the respective nodes (if any). Use the SECJOINT command to specify the identifiers of the local coordinate systems.

The constraints imposed in a revolute joint element with the local e1 axis as the revolute axis are described below. Similar constraint conditions are set up when the local e3 axis is the revolute axis.

Consider the two local coordinate systems (Cartesian) attached to node I and node J (see Figure 184revo.1: "MPC184 Revolute Joint Geometry"). At any given instant of time, the constraints imposed in a revolute joint are as described below.

Displacement constraints:

uI = uJ

Where, uI is the displacement vector at node I and uJ is the displacement vector at node J.

Rotation constraints:

If the revolute axes [image] and [image] are not aligned at the start of the analysis, then the angle between the two is held fixed at the starting value.

The relative position of the local coordinate system at node I with respect to node J is characterized by the first Cardan (or Bryant) angle given by:

The change in the relative angular position between the two local coordinate system is given by:

ur = φ - φ0 + mπ

Where, φ0 is the initial angular offset (the first Cardan (or Bryant ) angle measured in the reference configuration) between the two coordinate systems and m is an integer accounting for multiple rotations about the revolute axis.

The constitutive calculations use the following definition of the joint rotation:

Where [image] is the reference angle, angle1, specified on the SECDATA command. If this value is not specified, then φ0 is used in place of [image].

Other input data that are common to all joint elements (material behavior, stops and limits, locks, etc.) are described in "Joint Input Data" in the MPC184 element description.

MPC184 Revolute Joint Input Summary

This input summary applies to the revolute joint element option of MPC184: KEYOPT(1) = 6.

Nodes

I, J

Note

For a grounded joint element, specify either node I or node J in the element definition and leave the other node (the grounded node) blank.

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ

Real Constants

None

Material Properties

Use the JOIN label on the TB command to define stiffness, damping, and hysteretic friction behavior. (See MPC184 Joint Materials for detailed information on defining joint materials.)

Surface Loads

None

Body Loads
Temperatures --

T(I), T(J)

Element Loads
Rotations --
ROTX (KEYOPT(4) = 0)
ROTZ (KEYOPT(4) = 1)
Angular velocities --
OMGX (KEYOPT(4) = 0)
OMGZ (KEYOPT(4) = 1)
Angular accelerations --
DMGX (KEYOPT(4) = 0)
DMGZ (KEYOPT(4) = 1)
Moments --
MX (KEYOPT(4) = 0)
MZ (KEYOPT(4) = 1)
Special Features
Large deflection
KEYOPT(1)

Element behavior:

6 --

Revolute joint element

KEYOPT(4)

Element configuration:

0 --

x-axis revolute joint with local 1 direction as the revolute axis.

1 --

z-axis revolute joint with local 3 direction as the revolute axis.

MPC184 Revolute Joint Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 184revo.1: "MPC184 Revolute Joint Element Output Definitions" and Table 184revo.2: "MPC184 Revolute Joint Element - NMISC Output ".

These tables use the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 184revo.1 MPC184 Revolute Joint Element Output Definitions

Name | Definition | O | R
x-axis Revolute Joint (KEYOPT(4) = 0)
EL | Element Number | - | Y
NODES | Element node numbers (I, J) | - | Y
FX | Constraint Force in X direction | - | Y
FY | Constraint Force in Y direction | - | Y
FZ | Constraint Force in Z direction | - | Y
MY | Constraint Moment in Y direction | - | Y
MZ | Constraint Moment in Z direction | - | Y
CSTOP4 | Constraint moment if stop is specified on DOF 4 | - | Y
CLOCK4 | Constraint moment if lock is specified on DOF 4 | - | Y
CSST4 | Constraint stop status[1] | - | Y
CLST4 | Constraint lock status[2] | - | Y
JRP4 | Joint relative position | - | Y
JCD4 | Joint constitutive rotation | - | Y
JEF4 | Joint elastic moment | - | Y
JDF4 | Joint damping moment | - | Y
JFF4 | Joint friction moment | - | Y
JRU4 | Joint relative rotation | - | Y
JRV4 | Joint relative velocity | - | Y
JRA4 | Joint relative acceleration | - | Y
JTEMP | Average temperature in the element[3] | - | Y
z-axis Revolute Joint (KEYOPT(4) = 1)
EL | Element Number | - | Y
NODES | Element node numbers (I, J) | - | Y
FX | Constraint Force in X direction | - | Y
FY | Constraint Force in Y direction | - | Y
FZ | Constraint Force in Z direction | - | Y
MX | Constraint Moment in X direction | - | Y
MY | Constraint Moment in Y direction | - | Y
CSTOP6 | Constraint moment if stop is specified on DOF 6 | - | Y
CLOCK6 | Constraint moment if lock is specified on DOF 6 | - | Y
CSST6 | Constraint stop status[1] | - | Y
CLST6 | Constraint lock status[2] | - | Y
JRP6 | Joint relative position | - | Y
JCD6 | Joint constitutive rotation | - | Y
JEF6 | Joint elastic moment | - | Y
JDF6 | Joint damping moment | - | Y
JFF6 | Joint friction moment | - | Y
JRU6 | Joint relative rotation | - | Y
JRV6 | Joint relative velocity | - | Y
JRA6 | Joint relative acceleration | - | Y
JTEMP | Average temperature in the element[3] | - | Y

  1. Constraint stop status:

    0 = stop not active, or deactivated
    1 = stopped at minimum value
    2 = stopped at maximum value

  2. Constraint lock status:

    0 = lock not active
    1 = locked at minimum value
    2 = locked at maximum value

  3. Average temperature in the element when temperatures are applied on the nodes of the element using the BF command, or when temperature are applied on the element using the BFE command.

The following table shows additional non-summable miscellaneous (NMISC) output available for all forms of the revolute joint element.

Note

This output is intended for use in the ANSYS Workbench program to track the evolution of local coordinate systems specified at the nodes of joint elements.

Table 184revo.2 MPC184 Revolute Joint Element - NMISC Output

Name | Definition | O | R
The following output is available for all revolute joint elements (KEYOPT(4) = 0 and 1)
E1X-I, E1Y-I, E1Z-I | X, Y, Z components of the evolved e1 axis at node I | - | Y
E2X-I, E2Y-I, E2Z-I | X, Y, Z components of the evolved e2 axis at node I | - | Y
E3X-I, E3Y-I, E3Z-I | X, Y, Z components of the evolved e3 axis at node I | - | Y
E1X-J, E1Y-J, E1Z-J | X, Y, Z components of the evolved e1 axis at node J | - | Y
E2X-J, E2Y-J, E2Z-J | X, Y, Z components of the evolved e2 axis at node J | - | Y
E3X-J, E3Y-J, E3Z-J | X, Y, Z components of the evolved e3 axis at node J | - | Y
JFX, JFY, JFZ | Constraint forces expressed in the evolved coordinate system specified at node I | - | Y
JMX, JMY, JMZ | Constraint moments expressed in the evolved coordinate system specified at node I | - | Y

Table 184revo.3: "MPC184 Revolute Joint Item and Sequence Numbers - SMISC Items" and Table 184revo.4: "MPC184 Revolute Joint Item and Sequence Numbers - NMISC Items" list output available via the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table for further information. The table uses the following notation:

Name

output quantity as defined in the Element Output Definitions table.

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 184revo.3 MPC184 Revolute Joint Item and Sequence Numbers - SMISC Items

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
x-axis Revolute Joint (KEYOPT(4) = 0)
FX | SMISC | 1
FY | SMISC | 2
FZ | SMISC | 3
MY | SMISC | 5
MZ | SMISC | 6
CSTOP4 | SMISC | 10
CLOCK4 | SMISC | 16
CSST4 | SMISC | 22
CLST4 | SMISC | 28
JRP4 | SMISC | 34
JCD4 | SMISC | 40
JEF4 | SMISC | 46
JDF4 | SMISC | 52
JFF4 | SMISC | 58
JRU4 | SMISC | 64
JRV4 | SMISC | 70
JRA4 | SMISC | 76
JTEMP | SMISC | 79
z-axis Revolute Joint (KEYOPT(4) = 1)
FX | SMISC | 1
FY | SMISC | 2
FZ | SMISC | 3
MX | SMISC | 4
MY | SMISC | 5
CSTOP6 | SMISC | 12
CLOCK6 | SMISC | 18
CSST6 | SMISC | 24
CLST6 | SMISC | 30
JRP6 | SMISC | 36
JCD6 | SMISC | 42
JEF6 | SMISC | 48
JDF6 | SMISC | 54
JFF6 | SMISC | 60
JRU6 | SMISC | 66
JRV6 | SMISC | 72
JRA6 | SMISC | 78
JTEMP | SMISC | 79

Table 184revo.4 MPC184 Revolute Joint Item and Sequence Numbers - NMISC Items

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
The following output is available for all revolute joint elements (KEYOPT(4) = 0 and 1)
E1X-I | NMISC | 1
E1Y-I | NMISC | 2
E1Z-I | NMISC | 3
E2X-I | NMISC | 4
E2Y-I | NMISC | 5
E2Z-I | NMISC | 6
E3X-I | NMISC | 7
E3Y-I | NMISC | 8
E3Z-I | NMISC | 9
E1X-J | NMISC | 10
E1Y-J | NMISC | 11
E1Z-J | NMISC | 12
E2X-J | NMISC | 13
E2Y-J | NMISC | 14
E2Z-J | NMISC | 15
E3X-J | NMISC | 16
E3Y-J | NMISC | 17
E3Z-J | NMISC | 18
JFX | NMISC | 19
JFY | NMISC | 20
JFZ | NMISC | 21
JMX | NMISC | 22
JMY | NMISC | 23
JMZ | NMISC | 24

MPC184 Revolute Joint Assumptions and Restrictions

  • The nodes I and J must be coincident.

  • The local coordinate systems at the nodes must be specified such that the revolute axis is well defined. Otherwise, it is possible that the rotational motion might not be what is expected.

  • Boundary conditions cannot be applied on the nodes forming the revolute joint.

  • Rotational degrees of freedom are activated at the nodes forming the element. When these elements are used in conjunction with solid elements, the rotational degrees of freedom must be suitably constrained. Since boundary conditions cannot be applied to the nodes of the Revolute Joint, a beam or shell element with very weak stiffness may be used with the underlying solid elements at the nodes forming the joint element to avoid any rigid body modes.

  • If both stops and locks are specified, then lock specification takes precedence. That is, if the degree of freedom is locked at a given value, then it will remain locked for the rest of the analysis.

  • In a nonlinear analysis, the component of relative motion (rotation around the revolute axis) is accumulated over all the substeps. It is essential that the substep size be restricted such that this rotation in a given substep is less than π for the values to be accumulated correctly.

  • The element currently does not support birth or death options.

  • The equation solver (EQSLV) must be the sparse solver.

  • The element coordinate system (/PSYMB,ESYS) is not relevant.

  • This element cannot be used with the arc-length method (ARCLEN).

MPC184 Revolute Joint Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • No special features are allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPC184-Slider 		Up / Home Next
MPC184-Universal


MPC184-Universal

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

MPC184-Universal

Multipoint Constraint Element: Universal Joint

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

MPC184 Universal Joint Element Description

The MPC184 universal joint element is a two-node element that has two free relative rotational degrees of freedom. The two nodes forming the element must have identical spatial coordinates.

Figure 184univ.1 MPC184 Universal Joint Geometry

MPC184 Universal Joint Input Data

Set KEYOPT(1) = 7 to define a two-node universal joint element.

Figure 184univ.1: "MPC184 Universal Joint Geometry" shows the geometry and node locations for this element. Two nodes (I and J) define the element. The two nodes are expected to have identical spatial coordinates.

A local Cartesian coordinate system must be specified at the first node, I, of the element. The specification of the second local coordinate system at node J is optional. If the local coordinate system is not specified at node J, then the local coordinate system at node J is assumed to be the same as that at node I. The local 2 direction is usually aligned along the shaft axes of the universal joint. The orientation of local directions must follow the convention specified in Figure 184univ.1: "MPC184 Universal Joint Geometry". These local coordinate systems evolve with the rotations at the respective nodes (if any). Use the SECJOINT command to specify the identifiers of the local coordinate systems.

The constraints imposed in a universal joint element are easily described by considering the two local coordinate systems (Cartesian) attached to node I and node J (Figure 184univ.1: "MPC184 Universal Joint Geometry"). At any given instant of time, the constraints imposed in a universal joint are as described below.

Displacement constraints:

uI = uJ

Where, uI is the displacement vector at node I, and uJ is the displacement vector at node J.

Rotation constraints:

If the axes [image] and [image] are not aligned at the start of the analysis, then the angle between the two is held fixed at the initial value.

The relative position of the local coordinate system at node I with respect to node J is characterized by the first and the third Cardan (or Bryant) angles as:

The change in the relative angular position between the two local coordinate system is given by

ur4 = φ - φ0

ur6 = ψ - ψ0

Where, φ0 and ψ0 are the initial angular offsets between the two coordinate systems (that is, the first and third Cardan (or Bryant) angles measured in the reference configuration).

The constitutive calculations use the following definition of the joint rotation:

Where, [image], [image] are the reference angles, angle1 and angle3, specified on the SECDATA command. If these values are not specified, then φ0 and ψ0 are used in place of [image] and [image], respectively.

Other input data that are common to all joint elements (material behavior, stops and limits, locks, etc.) are described in "Joint Input Data" in the MPC184 element description.

MPC184 Universal Joint Input Summary

This input summary applies to the universal joint element option of MPC184: KEYOPT(1) = 7.

Nodes

I, J

Note

For a grounded joint element, specify either node I or node J in the element definition and leave the other node (the grounded node) blank.

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ

Real Constants

None

Material Properties

Use the JOIN label on the TB command to define stiffness, damping, and hysteretic friction behavior. (See MPC184 Joint Materials for detailed information on defining joint materials.)

Surface Loads

None

Body Loads
Temperatures --

T(I), T(J)

Element Loads
Rotations --

ROTX, ROTZ

Moments --

MX, MZ

Special Features
Large deflection
KEYOPT(1)

Element behavior:

7 --

Universal joint element

MPC184 Universal Joint Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 184univ.1: "MPC184 Universal Joint Element Output Definitions" and Table 184univ.2: "MPC184 Universal Joint Element - NMISC Output ".

These tables use the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 184univ.1 MPC184 Universal Joint Element Output Definitions

Name | Definition | O | R
EL | Element Number | - | Y
NODES | Element node numbers (I, J) | - | Y
FX | Constraint force in X direction | - | Y
FY | Constraint force in Y direction | - | Y
FZ | Constraint force in Z direction | - | Y
MY | Constraint moment in Y direction | - | Y
CSTOP4 | Constraint moment if stop is specified on DOF 4 | - | Y
CSTOP6 | Constraint moment if stop is specified on DOF 6 | - | Y
CLOCK4 | Constraint moment if lock is specified on DOF 4 | - | Y
CLOCK6 | Constraint moment if lock is specified on DOF 6 | - | Y
CSST4 | Constraint stop status on DOF 4[1] | - | Y
CLST4 | Constraint lock status on DOF 4[2] | - | Y
CSST6 | Constraint stop status on DOF 6[1] | - | Y
CLST6 | Constraint lock status on DOF 6[2] | - | Y
JRP4 | Joint relative position of DOF4 | - | Y
JRP6 | Joint relative position of DOF6 | - | Y
JCD4 | Joint constitutive rotation on DOF4 | - | Y
JCD6 | Joint constitutive rotation on DOF6 | - | Y
JEF4 | Joint elastic moment in direction -4 | - | Y
JEF6 | Joint elastic moment in direction -6 | - | Y
JDF4 | Joint damping moment in direction -4 | - | Y
JDF6 | Joint damping moment in direction -6 | - | Y
JFF4 | Joint friction moment in direction -4 | - | Y
JFF6 | Joint friction moment in direction -6 | - | Y
JRU4 | Joint relative rotation of DOF4 | - | Y
JRU6 | Joint relative rotation of DOF6 | - | Y
JRV4 | Joint relative rotational velocity of DOF4 | - | Y
JRV6 | Joint relative rotational velocity of DOF6 | - | Y
JRA4 | Joint relative rotational acceleration of DOF4 | - | Y
JRA6 | Joint relative rotational acceleration of DOF6 | - | Y
JTEMP | Average temperature in the element[3] | - | Y

  1. Constraint stop status:

    0 = stop not active, or deactivated
    1 = stopped at minimum value
    2 = stopped at maximum value

  2. Constraint lock status:

    0 = lock not active
    1 = locked at minimum value
    2 = locked at maximum value

  3. Average temperature in the element when temperatures are applied on the nodes of the element using the BF command, or when temperature are applied on the element using the BFE command.

The following table shows additional non-summable miscellaneous (NMISC) output available for the universal joint element.

Note

This output is intended for use in the ANSYS Workbench program to track the evolution of local coordinate systems specified at the nodes of joint elements.

Table 184univ.2 MPC184 Universal Joint Element - NMISC Output

Name | Definition | O | R
E1X-I, E1Y-I, E1Z-I | X, Y, Z components of the evolved e1 axis at node I | - | Y
E2X-I, E2Y-I, E2Z-I | X, Y, Z components of the evolved e2 axis at node I | - | Y
E3X-I, E3Y-I, E3Z-I | X, Y, Z components of the evolved e3 axis at node I | - | Y
E1X-J, E1Y-J, E1Z-J | X, Y, Z components of the evolved e1 axis at node J | - | Y
E2X-J, E2Y-J, E2Z-J | X, Y, Z components of the evolved e2 axis at node J | - | Y
E3X-J, E3Y-J, E3Z-J | X, Y, Z components of the evolved e3 axis at node J | - | Y
JFX, JFY, JFZ | Constraint forces expressed in the evolved coordinate system specified at node I | - | Y
JMX, JMY, JMZ | Constraint moments expressed in the evolved coordinate system specified at node I | - | Y

Table 184univ.3: "MPC184 Universal Joint Item and Sequence Numbers - SMISC Items" and Table 184univ.4: "MPC184 Universal Joint Item and Sequence Numbers - NMISC Items" list output available via the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table for further information. The table uses the following notation:

Name

output quantity as defined in the Element Output Definitions table.

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 184univ.3 MPC184 Universal Joint Item and Sequence Numbers - SMISC Items

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
FX | SMISC | 1
FY | SMISC | 2
FZ | SMISC | 3
MY | SMISC | 5
MZ | SMISC | 6
CSTOP4 | SMISC | 10
CSTOP6 | SMISC | 12
CLOCK4 | SMISC | 16
CLOCK6 | SMISC | 18
CSST4 | SMISC | 22
CLST4 | SMISC | 28
CSST6 | SMISC | 24
CLST6 | SMISC | 30
JRP4 | SMISC | 34
JRP6 | SMISC | 36
JCD4 | SMISC | 40
JCD6 | SMISC | 42
JEF4 | SMISC | 46
JEF6 | SMISC | 48
JDF4 | SMISC | 52
JDF6 | SMISC | 54
JFF4 | SMISC | 58
JFF6 | SMISC | 60
JRU4 | SMISC | 64
JRU6 | SMISC | 66
JRV4 | SMISC | 70
JRV6 | SMISC | 72
JRA4 | SMISC | 76
JRA6 | SMISC | 78
JTEMP | SMISC | 79

Table 184univ.4 MPC184 Universal Joint Item and Sequence Numbers - NMISC Items

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
E1X-I | NMISC | 1
E1Y-I | NMISC | 2
E1Z-I | NMISC | 3
E2X-I | NMISC | 4
E2Y-I | NMISC | 5
E2Z-I | NMISC | 6
E3X-I | NMISC | 7
E3Y-I | NMISC | 8
E3Z-I | NMISC | 9
E1X-J | NMISC | 10
E1Y-J | NMISC | 11
E1Z-J | NMISC | 12
E2X-J | NMISC | 13
E2Y-J | NMISC | 14
E2Z-J | NMISC | 15
E3X-J | NMISC | 16
E3Y-J | NMISC | 17
E3Z-J | NMISC | 18
JFX | NMISC | 19
JFY | NMISC | 20
JFZ | NMISC | 21
JMX | NMISC | 22
JMY | NMISC | 23
JMZ | NMISC | 24

MPC184 Universal Joint Assumptions and Restrictions

  • The nodes I and J must be coincident.

  • The local coordinate systems at the nodes must be specified such that the axes of rotation are well defined. Otherwise, it is possible that the rotational motion might not be what is expected.

  • Boundary conditions cannot be applied on the nodes forming the universal joint.

  • Rotational degrees of freedom are activated at the nodes forming the element. When these elements are used in conjunction with solid elements, the rotational degrees of freedom must be suitably constrained. Since boundary conditions cannot be applied to the nodes of the universal joint, a beam or shell element with very weak stiffness may be used with the underlying solid elements at the nodes forming the joint element to avoid any rigid body modes.

  • If both stops and locks are specified, then lock specification takes precedence. That is, if the degree of freedom is locked at a given value, then it will remain locked for the rest of the analysis.

  • In a nonlinear analysis, the components of relative motion are accumulated over all the substeps. It is essential that the substep size be restricted such that these rotations in a given substep are less than π for the values to be accumulated correctly.

  • The element currently does not support birth or death options.

  • The equation solver (EQSLV) must be the sparse solver.

  • The element coordinate system (/PSYMB,ESYS) is not relevant.

  • This element cannot be used with the arc-length method (ARCLEN).

MPC184 Universal Joint Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • No special features are allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPC184-Revolute 		Up / Home Next
MPC184-Slot


MPC184-Slot

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

MPC184-Slot

Multipoint Constraint Element: Slot Joint

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

MPC184 Slot Joint Element Description

The MPC184 slot joint element is a two-node element that has one relative displacement degree of freedom. The rotational degrees of freedom at nodes I and J are left free.

Figure 184slot.1 MPC184 Slot Joint Geometry

MPC184 Slot Joint Input Data

Set KEYOPT(1) = 8 to define a two-node slot joint element.

Figure 184slot.1: "MPC184 Slot Joint Geometry" shows the geometry and node locations for this element. Two nodes (I and J) define the element.

A local Cartesian coordinate system must be specified at the first node, I, of the element. The second node, J, is constrained to move on the local e1 axis specified at node I. The local coordinate system specified at node I evolves with the rotations at node I. Use the SECJOINT command to specify the identifiers of the local coordinate systems.

The constraints imposed on a slot joint element are easily described by referring to Figure 184slot.1: "MPC184 Slot Joint Geometry". At any given instant of time, the constraints imposed in a 3-D slot joint are as follows:

Where, xI and xJ are the position vectors of nodes I and J in the current configuration, and XI and XJ are the position vectors of nodes I and J in the reference configuration. Essentially these constraints force the node J to move along the e1 axis of the local coordinate system specified at node I. eI are in the current configuration, while EI are specified in the initial configuration.

The change in the relative position of the nodes I and J is given by:

Where u is the initial offset computed based on the initial configuration and the local coordinate system associated with node I, and

The constitutive calculations use the following definition of the joint displacement:

where:

= reference length, length1, specified on SECDATA command.

If the reference length is not specified, the initial offset is used.

Other input data that are common to all joint elements (material behavior, stops and limits, locks, etc.) are described in "Joint Input Data" in the MPC184 element description.

MPC184 Slot Joint Input Summary

This input summary applies to the slot joint element option of MPC184: KEYOPT(1) = 8.

Nodes

I, J

Note

For a grounded joint element, specify either node I or node J in the element definition and leave the other node (the grounded node) blank.

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ

Real Constants

None

Material Properties

Use the JOIN label on the TB command to define stiffness, damping, and hysteretic friction behavior. (See MPC184 Joint Materials for detailed information on defining joint materials.)

Surface Loads

None

Body Loads
Temperatures --

T(I), T(J)

Element Loads
Displacements --

UX

Forces --

FX

Special Features
Large deflection
KEYOPT(1)

Element behavior:

8 --

Slot joint element

MPC184 Slot Joint Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 184slot.1: "MPC184 Slot Joint Element Output Definitions" and Table 184slot.2: "MPC184 Slot Joint Element - NMISC Output ".

These tables use the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 184slot.1 MPC184 Slot Joint Element Output Definitions

Name | Definition | O | R
EL | Element Number | - | Y
NODES | Element node numbers (I, J) | - | Y
FY | Constraint force in Y direction | - | Y
FZ | Constraint force in Z direction | - | Y
CSTOP1 | Constraint force if stop is specified on DOF 1 | - | Y
CLOCK1 | Constraint force if lock is specified on DOF 1 | - | Y
CSST1 | Constraint stop status[1] | - | Y
CLST1 | Constraint lock status[2] | - | Y
JRP1 | Joint relative position | - | Y
JCD1 | Joint constitutive displacement | - | Y
JEF1 | Joint elastic force | - | Y
JDF1 | Joint damping force | - | Y
JFF1 | Joint friction force | - | Y
JRU1 | Joint relative displacement | - | Y
JRA1 | Joint relative acceleration | - | Y
JRV1 | Joint relative velocity | - | Y
JTEMP | Average temperature in the element[3] | - | Y

  1. Constraint stop status:

    0 = stop not active, or deactivated
    1 = stopped at minimum value
    2 = stopped at maximum value

  2. Constraint lock status:

    0 = lock not active
    1 = locked at minimum value
    2 = locked at maximum value

  3. Average temperature in the element when temperatures are applied on the nodes of the element using the BF command, or when temperature are applied on the element using the BFE command.

The following table shows additional non-summable miscellaneous (NMISC) output available for the slot joint element.

Note

This output is intended for use in the ANSYS Workbench program to track the evolution of local coordinate systems specified at the nodes of joint elements.

Table 184slot.2 MPC184 Slot Joint Element - NMISC Output

Name | Definition | O | R
E1X-I, E1Y-I, E1Z-I | X, Y, Z components of the evolved e1 axis at node I | - | Y
E2X-I, E2Y-I, E2Z-I | X, Y, Z components of the evolved e2 axis at node I | - | Y
E3X-I, E3Y-I, E3Z-I | X, Y, Z components of the evolved e3 axis at node I | - | Y
E1X-J, E1Y-J, E1Z-J | X, Y, Z components of the evolved e1 axis at node J | - | Y
E2X-J, E2Y-J, E2Z-J | X, Y, Z components of the evolved e2 axis at node J | - | Y
E3X-J, E3Y-J, E3Z-J | X, Y, Z components of the evolved e3 axis at node J | - | Y
JFX, JFY, JFZ | Constraint forces expressed in the evolved coordinate system specified at node I | - | Y
JMX, JMY, JMZ | Constraint moments expressed in the evolved coordinate system specified at node I | - | Y

Table 184slot.3: "MPC184 Slot Joint Item and Sequence Numbers - SMISC Items" and Table 184slot.4: "MPC184 Slot Joint Item and Sequence Numbers - NMISC Items" list output available via the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table for further information. The table uses the following notation:

Name

output quantity as defined in the Element Output Definitions table.

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 184slot.3 MPC184 Slot Joint Item and Sequence Numbers - SMISC Items

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
FY | SMISC | 2
FZ | SMISC | 3
CSTOP1 | SMISC | 7
CLOCK1 | SMISC | 13
CSST1 | SMISC | 19
CLST1 | SMISC | 25
JRP1 | SMISC | 31
JCD1 | SMISC | 37
JEF1 | SMISC | 43
JDF1 | SMISC | 49
JFF1 | SMISC | 55
JRU1 | SMISC | 61
JRV1 | SMISC | 67
JRA1 | SMISC | 73
JTEMP | SMISC | 79

Table 184slot.4 MPC184 Slot Joint Item and Sequence Numbers - NMISC Items

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
E1X-I | NMISC | 1
E1Y-I | NMISC | 2
E1Z-I | NMISC | 3
E2X-I | NMISC | 4
E2Y-I | NMISC | 5
E2Z-I | NMISC | 6
E3X-I | NMISC | 7
E3Y-I | NMISC | 8
E3Z-I | NMISC | 9
E1X-J | NMISC | 10
E1Y-J | NMISC | 11
E1Z-J | NMISC | 12
E2X-J | NMISC | 13
E2Y-J | NMISC | 14
E2Z-J | NMISC | 15
E3X-J | NMISC | 16
E3Y-J | NMISC | 17
E3Z-J | NMISC | 18
JFX | NMISC | 19
JFY | NMISC | 20
JFZ | NMISC | 21
JMX | NMISC | 22
JMY | NMISC | 23
JMZ | NMISC | 24

MPC184 Slot Joint Assumptions and Restrictions

  • Boundary conditions cannot be applied on the nodes forming the slot joint.

  • Rotational degrees of freedom are activated at the nodes forming the element. When these elements are used in conjunction with solid elements, the rotational degrees of freedom must be suitably constrained. Since boundary conditions cannot be applied to the nodes of the slot joint, a beam or shell element with very weak stiffness may be used with the underlying solid elements at the nodes forming the joint element to avoid any rigid body modes.

  • Stops (SECSTOP) and locks (SECLOCK) can only be applied on the relative x-direction. These are not applicable to the rotational degrees of freedom.

  • If both stops and locks are specified, then lock specification takes precedence. That is, if the degree of freedom is locked at a given value, then it will remain locked for the rest of the analysis.

  • In a nonlinear analysis, the components of relative motion are accumulated over all the substeps. It is essential that the substep size be restricted such that these rotations in a given substep are less than π for the values to be accumulated correctly.

  • The element currently does not support birth or death options.

  • The equation solver (EQSLV) must be the sparse solver.

  • The element coordinate system (/PSYMB,ESYS) is not relevant.

  • This element cannot be used with the arc-length method (ARCLEN).

MPC184 Slot Joint Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • No special features are allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPC184-Universal 		Up / Home Next
MPC184-Point


MPC184-Point

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

MPC184-Point

Multipoint Constraint Element: Point-in-plane Joint

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

MPC184 Point-in-plane Joint Element Description

The MPC184 point-in-plane joint element is a two-node element that has two relative displacement degrees of freedom. The relative rotational degrees of freedom are not considered and cannot be controlled.

Figure 184poin.1 MPC184 Point-in-plane Joint Geometry

MPC184 Point-in-plane Joint Input Data

Set KEYOPT(1) = 9 to define a two-node point-in-plane joint element.

Figure 184poin.1: "MPC184 Point-in-plane Joint Geometry" shows the geometry and node locations for this element. Two nodes (I and J) define the element.

A local Cartesian coordinate system must be specified at the first node, I, of the element. The second node, J, is constrained such that it remains on a plane defined by the local [image] and [image] axes. The normal distance from this plane containing node J to node I is held fixed. The local coordinate system specified at node I evolves with the rotations at node I. Use the SECJOINT command to specify the identifiers of the local coordinate systems.

The constraints imposed on a point-in-plane joint element are easily described by referring to Figure 184poin.1: "MPC184 Point-in-plane Joint Geometry". At any given instant of time, the constraint imposed is as follows:

Where, xI and xJ are the positional vectors of nodes I and J in the current configuration, and XI and XJ are the position vectors of nodes I and J in the reference configuration. eI are in the current configuration, while EI are specified in the initial configuration.

The changes in the relative position of the nodes I and J are given by:

The constitutive calculations use the following definition of the joint displacement:

where:

= reference length specified on the SECDATA command
= reference length specified on the SECDATA command

If the reference lengths are not specified, the initial offsets are used.

Other input data that are common to all joint elements (material behavior, stops and limits, locks, etc.) are described in "Joint Input Data" in the MPC184 element description.

MPC184 Point-in-plane Joint Input Summary

This input summary applies to the point-in-plane joint element option of MPC184: KEYOPT(1) = 9.

Nodes

I, J

Note

For a grounded joint element, specify either node I or node J in the element definition and leave the other node (the grounded node) blank.

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ

Real Constants

None

Material Properties

Use the JOIN label on the TB command to define stiffness, damping, and hysteretic friction behavior. (See MPC184 Joint Materials for detailed information on defining joint materials.)

Surface Loads

None

Body Loads
Temperatures --

T(I), T(J)

Element Loads

None

Special Features
Large deflection
KEYOPT(1)

Element behavior:

9 --

Point-in-plane joint element

MPC184 Point-in-plane Joint Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 184poin.1: "MPC184 Point-in-plane Joint Element Output Definitions" and Table 184poin.2: "MPC184 Point-in-plane Joint Element - NMISC Output ".

These tables use the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 184poin.1 MPC184 Point-in-plane Joint Element Output Definitions

Name | Definition | O | R
EL | Element Number | - | Y
NODES | Element node numbers (I, J) | - | Y
FX | Constraint Force in X direction | - | Y
CSTOP2 | Constraint force if stop is specified on DOF 2 | - | Y
CSTOP3 | Constraint force if stop is specified on DOF 3 | - | Y
CLOCK2 | Constraint force if lock is specified on DOF 2 | - | Y
CLOCK3 | Constraint force if lock is specified on DOF 3 | - | Y
CSST2 | Constraint stop status on DOF 2[1] | - | Y
CLST2 | Constraint lock status on DOF 2[2] | - | Y
CSST3 | Constraint stop status on DOF 3[1] | - | Y
CLST3 | Constraint lock status on DOF 3[2] | - | Y
JRP2 | Joint relative position of DOF2 | - | Y
JRP3 | Joint relative position of DOF3 | - | Y
JCD2 | Joint constitutive displacement on DOF2 | - | Y
JCD3 | Joint constitutive displacement on DOF3 | - | Y
JEF2 | Joint elastic force in direction -2 | - | Y
JEF3 | Joint elastic force in direction -3 | - | Y
JDF2 | Joint damping force in direction -2 | - | Y
JDF3 | Joint damping force in direction -3 | - | Y
JFF2 | Joint friction force in direction -2 | - | Y
JFF3 | Joint friction force in direction -3 | - | Y
JRU2 | Joint relative displacement in direction -2 | - | Y
JRU3 | Joint relative displacement in direction -3 | - | Y
JRV2 | Joint relative velocity in direction -2 | - | Y
JRV3 | Joint relative velocity in direction -3 | - | Y
JRA2 | Joint relative acceleration in direction -2 | - | Y
JRA3 | Joint relative acceleration in direction -3 | - | Y
JTEMP | Average temperature in the element[3] | - | Y

  1. Constraint stop status:

    0 = stop not active, or deactivated
    1 = stopped at minimum value
    2 = stopped at maximum value

  2. Constraint lock status:

    0 = lock not active
    1 = locked at minimum value
    2 = locked at maximum value

  3. Average temperature in the element when temperatures are applied on the nodes of the element using the BF command, or when temperature are applied on the element using the BFE command.

The following table shows additional non-summable miscellaneous (NMISC) output available for the point-in-plane joint element.

Note

This output is intended for use in the ANSYS Workbench program to track the evolution of local coordinate systems specified at the nodes of joint elements.

Table 184poin.2 MPC184 Point-in-plane Joint Element - NMISC Output

Name | Definition | O | R
E1X-I, E1Y-I, E1Z-I | X, Y, Z components of the evolved e1 axis at node I | - | Y
E2X-I, E2Y-I, E2Z-I | X, Y, Z components of the evolved e2 axis at node I | - | Y
E3X-I, E3Y-I, E3Z-I | X, Y, Z components of the evolved e3 axis at node I | - | Y
E1X-J, E1Y-J, E1Z-J | X, Y, Z components of the evolved e1 axis at node J | - | Y
E2X-J, E2Y-J, E2Z-J | X, Y, Z components of the evolved e2 axis at node J | - | Y
E3X-J, E3Y-J, E3Z-J | X, Y, Z components of the evolved e3 axis at node J | - | Y
JFX, JFY, JFZ | Constraint forces expressed in the evolved coordinate system specified at node I | - | Y
JMX, JMY, JMZ | Constraint moments expressed in the evolved coordinate system specified at node I | - | Y

Table 184poin.3: "MPC184 Point-in-plane Joint Item and Sequence Numbers - SMISC Items" and Table 184poin.4: "MPC184 Point-in-plane Joint Item and Sequence Numbers - NMISC Items" list output available via the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table for further information. The table uses the following notation:

Name

output quantity as defined in the Element Output Definitions table.

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 184poin.3 MPC184 Point-in-plane Joint Item and Sequence Numbers - SMISC Items

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
FX | SMISC | 1
CSTOP2 | SMISC | 8
CSTOP3 | SMISC | 9
CLOCK2 | SMISC | 14
CLOCK3 | SMISC | 15
CSST2 | SMISC | 20
CLST2 | SMISC | 26
CSST3 | SMISC | 21
CLST3 | SMISC | 27
JRP2 | SMISC | 32
JRP3 | SMISC | 33
JCD2 | SMISC | 38
JCD3 | SMISC | 39
JEF2 | SMISC | 44
JEF3 | SMISC | 45
JDF2 | SMISC | 50
JDF3 | SMISC | 51
JFF2 | SMISC | 56
JFF3 | SMISC | 57
JRU2 | SMISC | 62
JRU3 | SMISC | 63
JRV2 | SMISC | 68
JRV3 | SMISC | 69
JRA2 | SMISC | 74
JRA3 | SMISC | 75
JTEMP | SMISC | 79

Table 184poin.4 MPC184 Point-in-plane Joint Item and Sequence Numbers - NMISC Items

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
E1X-I | NMISC | 1
E1Y-I | NMISC | 2
E1Z-I | NMISC | 3
E2X-I | NMISC | 4
E2Y-I | NMISC | 5
E2Z-I | NMISC | 6
E3X-I | NMISC | 7
E3Y-I | NMISC | 8
E3Z-I | NMISC | 9
E1X-J | NMISC | 10
E1Y-J | NMISC | 11
E1Z-J | NMISC | 12
E2X-J | NMISC | 13
E2Y-J | NMISC | 14
E2Z-J | NMISC | 15
E3X-J | NMISC | 16
E3Y-J | NMISC | 17
E3Z-J | NMISC | 18
JFX | NMISC | 19
JFY | NMISC | 20
JFZ | NMISC | 21
JMX | NMISC | 22
JMY | NMISC | 23
JMZ | NMISC | 24

MPC184 Point-in-plane Joint Assumptions and Restrictions

  • Boundary conditions cannot be applied on the nodes forming the point-in-plane joint.

  • Rotational degrees of freedom are activated at the nodes forming the element. When these elements are used in conjunction with solid elements, the rotational degrees of freedom must be suitably constrained. Since boundary conditions cannot be applied to the nodes of the point-in-plane joint, a beam or shell element with very weak stiffness may be used with the underlying solid elements at the nodes forming the joint element to avoid any rigid body modes.

  • If both stops and locks are specified, then lock specification takes precedence. That is, if the degree of freedom is locked at a given value, then it will remain locked for the rest of the analysis.

  • In a nonlinear analysis, the components of relative motion are accumulated over all the substeps. It is essential that the substep size be restricted such that these rotations in a given substep are less than π for the values to be accumulated correctly.

  • The element currently does not support birth or death options.

  • The equation solver (EQSLV) must be the sparse solver.

  • The element coordinate system (/PSYMB,ESYS) is not relevant.

  • This element cannot be used with the arc-length method (ARCLEN).

MPC184 Point-in-plane Joint Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • No special features are allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPC184-Slot 		Up / Home Next
MPC184-Translational


MPC184-Translational

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

MPC184-Trans

Multipoint Constraint Element: Translational Joint

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

MPC184 Translational Joint Element Description

The MPC184 translational joint element is a two-node element that has one relative displacement degree of freedom. All other relative degrees of freedom are fixed.

Figure 184tran.1 MPC184 Translational Joint Geometry

MPC184 Translational Joint Input Data

Set KEYOPT(1) = 10 to define a two-node translational joint element.

Figure 184tran.1: "MPC184 Translational Joint Geometry" shows the geometry and node locations for this element. Two nodes (I and J) define the element.

A local Cartesian coordinate system must be specified at the first node, I, of the element. The local coordinate system specification at the second node is optional. The second node J is constrained to move along the e1 axis specified at node I. The local coordinate system specified at node I evolves with the rotations at node I. Use the SECJOINT command to specify the identifiers of the local coordinate systems.

The constraints imposed on a translational joint element are easily described by referring to Figure 184tran.1: "MPC184 Translational Joint Geometry". At any given instant of time, the constraints imposed are as follows:

Where, xI and xJ are the positional vectors of nodes I and J in the current configuration, and XI and XJ are the position vectors of nodes I and J in the reference configuration. Essentially these constraints force the node J to move along the e1 axis of the local coordinate system specified at node I. eI are in the current configuration, while EI are specified in the initial configuration.

The change in the relative position of the nodes I and J is given by:

The constitutive calculations use the following definition of the joint displacement:

where:

= reference length, length1, specified on SECDATA command

If the reference length is not specified, the initial offset is used.

Other input data that are common to all joint elements (material behavior, stops and limits, locks, etc.) are described in "Joint Input Data" in the MPC184 element description.

MPC184 Translational Joint Input Summary

This input summary applies to the translational joint element option of MPC184: KEYOPT(1) = 10.

Nodes

I, J

Note

For a grounded joint element, specify either node I or node J in the element definition and leave the other node (the grounded node) blank.

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ

Real Constants

None

Material Properties

Use the JOIN label on the TB command to define stiffness, damping, and hysteretic friction behavior. (See MPC184 Joint Materials for detailed information on defining joint materials.)

Surface Loads

None

Body Loads
Temperatures --

T(I), T(J)

Element Loads

None

Special Features
Large deflection
KEYOPT(1)

Element behavior:

10 --

Translational joint element

MPC184 Translational Joint Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 184tran.1: "MPC184 Translational Joint Element Output Definitions" and Table 184tran.2: "MPC184 Translational Joint Element - NMISC Output ".

These tables use the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 184tran.1 MPC184 Translational Joint Element Output Definitions

Name | Definition | O | R
EL | Element number | - | Y
NODES | Element node numbers (I, J) | - | Y
FY | Constraint force in Y direction | - | Y
FZ | Constraint force in Z direction | - | Y
MX | Constraint moment in X direction | - | Y
MY | Constraint moment in Y direction | - | Y
MZ | Constraint moment in Z direction | - | Y
CSTOP1 | Constraint force if stop is specified on DOF 1 | - | Y
CLOCK1 | Constraint force if lock is specified on DOF 1 | - | Y
CSST1 | Constraint stop status[1] | - | Y
CLST1 | Constraint lock status[2] | - | Y
JRP1 | Joint relative position | - | Y
JCD1 | Joint constitutive displacement | - | Y
JEF1 | Joint elastic force | - | Y
JDF1 | Joint damping force | - | Y
JFF1 | Joint friction force | - | Y
JRU1 | Joint relative displacement | - | Y
JRV1 | Joint relative velocity | - | Y
JRA1 | Joint relative acceleration | - | Y
JTEMP | Average temperature in the element[3] | - | Y

  1. Constraint stop status:

    0 = stop not active, or deactivated
    1 = stopped at minimum value
    2 = stopped at maximum value

  2. Constraint lock status:

    0 = lock not active
    1 = locked at minimum value
    2 = locked at maximum value

  3. Average temperature in the element when temperatures are applied on the nodes of the element using the BF command, or when temperature are applied on the element using the BFE command.

The following table shows additional non-summable miscellaneous (NMISC) output available for the translational joint element.

Note

This output is intended for use in the ANSYS Workbench program to track the evolution of local coordinate systems specified at the nodes of joint elements.

Table 184tran.2 MPC184 Translational Joint Element - NMISC Output

Name | Definition | O | R
E1X-I, E1Y-I, E1Z-I | X, Y, Z components of the evolved e1 axis at node I | - | Y
E2X-I, E2Y-I, E2Z-I | X, Y, Z components of the evolved e2 axis at node I | - | Y
E3X-I, E3Y-I, E3Z-I | X, Y, Z components of the evolved e3 axis at node I | - | Y
E1X-J, E1Y-J, E1Z-J | X, Y, Z components of the evolved e1 axis at node J | - | Y
E2X-J, E2Y-J, E2Z-J | X, Y, Z components of the evolved e2 axis at node J | - | Y
E3X-J, E3Y-J, E3Z-J | X, Y, Z components of the evolved e3 axis at node J | - | Y
JFX, JFY, JFZ | Constraint forces expressed in the evolved coordinate system specified at node I | - | Y
JMX, JMY, JMZ | Constraint moments expressed in the evolved coordinate system specified at node I | - | Y

Table 184tran.3: "MPC184 Translational Joint Item and Sequence Numbers - SMISC Items" and Table 184tran.4: "MPC184 Translational Joint Item and Sequence Numbers - NMISC Items" list output available via the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table for further information. The table uses the following notation:

Name

output quantity as defined in the Element Output Definitions table.

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 184tran.3 MPC184 Translational Joint Item and Sequence Numbers - SMISC Items

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
FY | SMISC | 2
FZ | SMISC | 3
MX | SMISC | 4
MY | SMISC | 5
MZ | SMISC | 6
CSTOP1 | SMISC | 7
CLOCK1 | SMISC | 13
CSST1 | SMISC | 19
CLST1 | SMISC | 25
JRP1 | SMISC | 31
JCD1 | SMISC | 37
JEF1 | SMISC | 43
JDF1 | SMISC | 49
JFF1 | SMISC | 55
JRU1 | SMISC | 61
JRV1 | SMISC | 67
JRA1 | SMISC | 73
JTEMP | SMISC | 79

Table 184tran.4 MPC184 Translational Joint Item and Sequence Numbers - NMISC Items

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
E1X-I | NMISC | 1
E1Y-I | NMISC | 2
E1Z-I | NMISC | 3
E2X-I | NMISC | 4
E2Y-I | NMISC | 5
E2Z-I | NMISC | 6
E3X-I | NMISC | 7
E3Y-I | NMISC | 8
E3Z-I | NMISC | 9
E1X-J | NMISC | 10
E1Y-J | NMISC | 11
E1Z-J | NMISC | 12
E2X-J | NMISC | 13
E2Y-J | NMISC | 14
E2Z-J | NMISC | 15
E3X-J | NMISC | 16
E3Y-J | NMISC | 17
E3Z-J | NMISC | 18
JFX | NMISC | 19
JFY | NMISC | 20
JFZ | NMISC | 21
JMX | NMISC | 22
JMY | NMISC | 23
JMZ | NMISC | 24

MPC184 Translational Joint Assumptions and Restrictions

  • Boundary conditions cannot be applied on the nodes forming the translational joint.

  • Rotational degrees of freedom are activated at the nodes forming the element. When these elements are used in conjunction with solid elements, the rotational degrees of freedom must be suitably constrained. Since boundary conditions cannot be applied to the nodes of the translational joint, a beam or shell element with very weak stiffness may be used with the underlying solid elements at the nodes forming the joint element to avoid any rigid body modes.

  • If both stops and locks are specified, then lock specification takes precedence. That is, if the degree of freedom is locked at a given value, then it will remain locked for the rest of the analysis.

  • In a nonlinear analysis, the components of relative motion are accumulated over all the substeps. It is essential that the substep size be restricted such that these rotations in a given substep are less than π for the values to be accumulated correctly.

  • The element currently does not support birth or death options.

  • The equation solver (EQSLV) must be the sparse solver.

  • The element coordinate system (/PSYMB,ESYS) is not relevant.

  • This element cannot be used with the arc-length method (ARCLEN).

MPC184 Translational Joint Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • No special features are allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPC184-Point 		Up / Home Next
MPC184-Cylindrical


MPC184-Cylindrical

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

MPC184-Cylin

Multipoint Constraint Element: Cylindrical Joint

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

MPC184 Cylindrical Joint Element Description

The MPC184 cylindrical joint element is a two-node element that has one free relative displacement degree of freedom and one free relative rotational degree of freedom (around the cylindrical or revolute axis). All other relative degrees of freedom are fixed.

Figure 184cyl.1 MPC184 Cylindrical Joint Geometry

MPC184 Cylindrical Joint Input Data

Set KEYOPT(1) = 11 to define a two-node cylindrical joint element.

Figure 184cyl.1: "MPC184 Cylindrical Joint Geometry" shows the geometry and node locations for this element. Two nodes (I and J) define the element.

If KEYOPT(4) = 0, then the element is an x-axis cylindrical joint element with the local e1 axis as the cylindrical or revolute axis. Translational motion along this axis is also allowed.

If KEYOPT(4) = 1, then the element is a z-axis cylindrical joint element with the local e3 axis as the cylindrical or revolute axis. Translational motion along this axis is also allowed.

A local Cartesian coordinate system must be specified at the first node, I, of the element. The local coordinate system specification at the second node is optional. The local coordinate systems specified at node I and J evolve with the rotations at the respective nodes. Use the SECJOINT command to specify the identifiers of the local coordinate systems.

The constraints imposed in a cylindrical joint element with local e1 axis as the cylindrical or revolute axis are described below. Similar constraint conditions are set up when the local e3 axis is the cylindrical or revolute axis. Referring to Figure 184cyl.1: "MPC184 Cylindrical Joint Geometry", with local coordinate systems specified at nodes I and J, the constraints imposed at any given time are as follows:

The change in the relative position of the nodes I and J is given by:

where:

The relative rotation between nodes I and J is given by:

The change in the relative angular position between the two local coordinate systems is given by

ur = φ - φ0 + mπ

where φ0 is the initial angular offset between the two coordinate systems and m is an integer accounting for multiple rotations about the cylindrical axis.

The constitutive calculations use the following definition of the joint displacement:

where:

= reference length specified on SECDATA command.

The constitutive calculations use the following definition of the joint rotation:

where:

= reference angle, angle1, specified on the SECDATA command. If this value is not specified, then Φ0 is used in place of

Other input data that are common to all joint elements (material behavior, stops and limits, locks, etc.) are described in "Joint Input Data" in the MPC184 element description.

MPC184 Cylindrical Joint Input Summary

This input summary applies to the cylindrical joint element option of MPC184: KEYOPT(1) = 11.

Nodes

I, J

Note

For a grounded joint element, specify either node I or node J in the element definition and leave the other node (the grounded node) blank.

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ

Real Constants

None

Material Properties

Use the JOIN label on the TB command to define stiffness, damping, and hysteretic friction behavior. (See MPC184 Joint Materials for detailed information on defining joint materials.)

Surface Loads

None

Body Loads
Temperatures --

T(I), T(J)

Element Loads when KEYOPT(4) = 0:
Displacements/Rotations --

UX, ROTX

Velocities --

VELX, OMGX

Accelerations --

ACCX, DMGX

Force/Moments --

FX, MX

Element Loads when KEYOPT(4) = 1:
Displacements/Rotations --

UZ, ROTZ

Velocities --

VELZ, OMGZ

Accelerations --

ACCZ, DMGZ

Force/Moments --

FZ, MZ

Special Features
Large deflection
KEYOPT(1)

Element behavior:

11 --

Cylindrical joint element

KEYOPT(4)

Element configuration:

0 --

x-axis Cylindrical joint with local 1 direction as the cylindrical axis.

1 --

z-axis Cylindrical joint with local 3 direction as the cylindrical axis.

MPC184 Cylindrical Joint Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 184cyl.1: "MPC184 Cylindrical Joint Element Output Definitions" and Table 184cyl.2: "MPC184 Cylindrical Joint Element - NMISC Output ".

These tables use the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 184cyl.1 MPC184 Cylindrical Joint Element Output Definitions

Name | Definition | O | R
x-axis Cylindrical Joint Element (KEYOPT(4) = 0)
EL | Element Number | - | Y
NODES | Element node numbers (I, J) | - | Y
FY | Constraint Force in Y direction | - | Y
FZ | Constraint Force in Z direction | - | Y
MY | Constraint Moment in Y direction | - | Y
MZ | Constraint Moment in Z direction | - | Y
CSTOP1 | Constraint force if stop is specified on DOF 1 | - | Y
CSTOP4 | Constraint moment if stop is specified on DOF 4 | - | Y
CLOCK1 | Constraint force if lock is specified on DOF 1 | - | Y
CLOCK4 | Constraint moment if lock is specified on DOF 4 | - | Y
CSST1 | Constraint stop status on DOF 1[1] | - | Y
CLST1 | Constraint lock status on DOF 1[2] | - | Y
CSST4 | Constraint stop status on DOF 4[1] | - | Y
CLST4 | Constraint lock status on DOF 4[2] | - | Y
JRP1 | Joint relative position of DOF 1 | - | Y
JRP4 | Joint relative position of DOF 4 | - | Y
JCD1 | Joint constitutive displacement on DOF 1 | - | Y
JCD4 | Joint constitutive rotation on DOF 4 | - | Y
JEF1 | Joint elastic force in direction -1 | - | Y
JEF4 | Joint elastic moment in direction -4 | - | Y
JDF1 | Joint damping force in direction -1 | - | Y
JDF4 | Joint damping moment in direction -4 | - | Y
JFF1 | Joint friction force in direction -1 | - | Y
JFF4 | Joint friction moment in direction -4 | - | Y
JRU1 | Joint relative displacement of DOF 1 | - | Y
JRU4 | Joint relative rotation of DOF 4 | - | Y
JRV1 | Joint relative velocity of DOF 1 | - | Y
JRV4 | Joint relative rotational velocity of DOF 4 | - | Y
JRA1 | Joint relative acceleration of DOF 1 | - | Y
JRA4 | Joint relative rotational acceleration of DOF 4 | - | Y
JTEMP | Average temperature in the element[3] | - | Y
z-axis Cylindrical Joint Element (KEYOPT(4) = 1)
EL | Element Number | - | Y
NODES | Element node numbers (I, J) | - | Y
FX | Constraint Force in X direction | - | Y
FY | Constraint Force in Y direction | - | Y
MX | Constraint Moment in X direction | - | Y
MY | Constraint Moment in Y direction | - | Y
CSTOP3 | Constraint force if stop is specified on DOF 3 | - | Y
CSTOP6 | Constraint moment if stop is specified on DOF 6 | - | Y
CLOCK3 | Constraint force if lock is specified on DOF 3 | - | Y
CLOCK6 | Constraint moment if lock is specified on DOF 6 | - | Y
CSST3 | Constraint stop status on DOF 3[1] | - | Y
CLST3 | Constraint lock status on DOF 3[2] | - | Y
CSST6 | Constraint stop status on DOF 6[1] | - | Y
CLST6 | Constraint lock status on DOF 6[2] | - | Y
JRP3 | Joint relative position of DOF 3 | - | Y
JRP6 | Joint relative position of DOF 6 | - | Y
JCD3 | Joint constitutive displacement on DOF 3 | - | Y
JCD6 | Joint constitutive rotation on DOF 6 | - | Y
JEF3 | Joint elastic force in direction -3 | - | Y
JEF6 | Joint elastic moment in direction -6 | - | Y
JDF3 | Joint damping force in direction -3 | - | Y
JDF6 | Joint damping moment in direction -6 | - | Y
JFF3 | Joint friction force in direction -3 | - | Y
JFF6 | Joint friction moment in direction -6 | - | Y
JRU3 | Joint relative displacement of DOF 3 | - | Y
JRU6 | Joint relative rotation of DOF 6 | - | Y
JRV3 | Joint relative velocity of DOF 3 | - | Y
JRV6 | Joint relative rotational velocity of DOF 6 | - | Y
JRA3 | Joint relative acceleration of DOF 3 | - | Y
JRA6 | Joint relative rotational acceleration of DOF 6 | - | Y
JTEMP | Average temperature in the element[3] | - | Y

  1. Constraint stop status:

    0 = stop not active, or deactivated
    1 = stopped at minimum value
    2 = stopped at maximum value

  2. Constraint lock status:

    0 = lock not active
    1 = locked at minimum value
    2 = locked at maximum value

  3. Average temperature in the element when temperatures are applied on the nodes of the element using the BF command, or when temperature are applied on the element using the BFE command.

The following table shows additional non-summable miscellaneous (NMISC) output available for all forms of the cylindrical joint element.

Note

This output is intended for use in the ANSYS Workbench program to track the evolution of local coordinate systems specified at the nodes of joint elements.

Table 184cyl.2 MPC184 Cylindrical Joint Element - NMISC Output

Name | Definition | O | R
The following output is available for all cylindrical joint elements (KEYOPT(4) = 0 and 1)
E1X-I, E1Y-I, E1Z-I | X, Y, Z components of the evolved e1 axis at node I | - | Y
E2X-I, E2Y-I, E2Z-I | X, Y, Z components of the evolved e2 axis at node I | - | Y
E3X-I, E3Y-I, E3Z-I | X, Y, Z components of the evolved e3 axis at node I | - | Y
E1X-J, E1Y-J, E1Z-J | X, Y, Z components of the evolved e1 axis at node J | - | Y
E2X-J, E2Y-J, E2Z-J | X, Y, Z components of the evolved e2 axis at node J | - | Y
E3X-J, E3Y-J, E3Z-J | X, Y, Z components of the evolved e3 axis at node J | - | Y
JFX, JFY, JFZ | Constraint forces expressed in the evolved coordinate system specified at node I | - | Y
JMX, JMY, JMZ | Constraint moments expressed in the evolved coordinate system specified at node I | - | Y

Table 184cyl.3: "MPC184 Cylindrical Joint Item and Sequence Numbers - SMISC Items" and Table 184cyl.4: "MPC184 Cylindrical Joint Item and Sequence Numbers - NMISC Items" list output available via the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table for further information. The table uses the following notation:

Name

output quantity as defined in the Element Output Definitions table.

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 184cyl.3 MPC184 Cylindrical Joint Item and Sequence Numbers - SMISC Items

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
x-axis Cylindrical Joint Element (KEYOPT(4) = 0)
FY | SMISC | 2
FZ | SMISC | 3
MY | SMISC | 5
MZ | SMISC | 6
CSTOP1 | SMISC | 7
CSTOP4 | SMISC | 10
CLOCK1 | SMISC | 13
CLOCK4 | SMISC | 16
CSST1 | SMISC | 19
CSST4 | SMISC | 22
CLST1 | SMISC | 25
CLST4 | SMISC | 28
JRP1 | SMISC | 31
JRP4 | SMISC | 34
JCD1 | SMISC | 37
JCD4 | SMISC | 40
JEF1 | SMISC | 43
JEF4 | SMISC | 46
JDF1 | SMISC | 49
JDF4 | SMISC | 52
JFF1 | SMISC | 55
JFF4 | SMISC | 58
JRU1 | SMISC | 61
JRU4 | SMISC | 64
JRV1 | SMISC | 67
JRV4 | SMISC | 70
JRA1 | SMISC | 73
JRA4 | SMISC | 76
JTEMP | SMISC | 79
z-axis Cylindrical Joint Element (KEYOPT(4) = 1)
FX | SMISC | 1
FY | SMISC | 2
MX | SMISC | 4
MY | SMISC | 5
CSTOP3 | SMISC | 9
CSTOP6 | SMISC | 12
CLOCK3 | SMISC | 15
CLOCK6 | SMISC | 18
CSST3 | SMISC | 21
CSST6 | SMISC | 24
CLST3 | SMISC | 27
CLST6 | SMISC | 30
JRP3 | SMISC | 33
JRP6 | SMISC | 36
JCD3 | SMISC | 39
JCD6 | SMISC | 42
JEF3 | SMISC | 45
JEF6 | SMISC | 48
JDF3 | SMISC | 51
JDF6 | SMISC | 54
JFF3 | SMISC | 57
JFF6 | SMISC | 60
JRU3 | SMISC | 63
JRU6 | SMISC | 66
JRV3 | SMISC | 69
JRV6 | SMISC | 72
JRA3 | SMISC | 75
JRA6 | SMISC | 78
JTEMP | SMISC | 79

Table 184cyl.4 MPC184 Cylindrical Joint Item and Sequence Numbers - NMISC Items

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
The following output is available for all cylindrical joint elements (KEYOPT(4) = 0 and 1)
E1X-I | NMISC | 1
E1Y-I | NMISC | 2
E1Z-I | NMISC | 3
E2X-I | NMISC | 4
E2Y-I | NMISC | 5
E2Z-I | NMISC | 6
E3X-I | NMISC | 7
E3Y-I | NMISC | 8
E3Z-I | NMISC | 9
E1X-J | NMISC | 10
E1Y-J | NMISC | 11
E1Z-J | NMISC | 12
E2X-J | NMISC | 13
E2Y-J | NMISC | 14
E2Z-J | NMISC | 15
E3X-J | NMISC | 16
E3Y-J | NMISC | 17
E3Z-J | NMISC | 18
JFX | NMISC | 19
JFY | NMISC | 20
JFZ | NMISC | 21
JMX | NMISC | 22
JMY | NMISC | 23
JMZ | NMISC | 24

MPC184 Cylindrical Joint Assumptions and Restrictions

  • Boundary conditions cannot be applied on the nodes forming the cylindrical joint.

  • Rotational degrees of freedom are activated at the nodes forming the element. When these elements are used in conjunction with solid elements, the rotational degrees of freedom must be suitably constrained. Since boundary conditions cannot be applied to the nodes of the cylindrical joint, a beam or shell element with very weak stiffness may be used with the underlying solid elements at the nodes forming the joint element to avoid any rigid body modes.

  • If both stops and locks are specified, then lock specification takes precedence. That is, if the degree of freedom is locked at a given value, then it will remain locked for the rest of the analysis.

  • In a nonlinear analysis, the components of relative motion are accumulated over all the substeps. It is essential that the substep size be restricted such that these rotations in a given substep are less than π for the values to be accumulated correctly.

  • The element currently does not support birth or death options.

  • The equation solver (EQSLV) must be the sparse solver.

  • The element coordinate system (/PSYMB,ESYS) is not relevant.

  • This element cannot be used with the arc-length method (ARCLEN).

MPC184 Cylindrical Joint Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • No special features are allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPC184-Translational 		Up / Home Next
MPC184-Planar


MPC184-Planar

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

MPC184-Planar

Multipoint Constraint Element: Planar Joint

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

MPC184 Planar Joint Element Description

The MPC184 planar joint element is a two-node element that has two relative displacement degrees of freedom and one relative rotational degree of freedom. All other relative degrees of freedom are fixed.

Figure 184plan.1 MPC184 Planar Joint Geometry

MPC184 Planar Joint Input Data

Set KEYOPT(1) = 12 to define a two-node planar joint element.

Figure 184plan.1: "MPC184 Planar Joint Geometry" shows the geometry and node locations for this element. Two nodes (I and J) define the element.

If KEYOPT(4) = 0, the element is an x-axis planar joint element with the local e1 axis as the rotation axis and also the axis along which the distance is fixed.

If KEYOPT(4) = 1, the element is a z-axis planar joint element with the local e3 axis as the rotation axis and also the axis along which the distance is fixed.

A local Cartesian coordinate system must be specified at the first node, I, of the element. The local coordinate system specification at the second node is optional. The local coordinate systems specified at node I and J evolve with the rotations at the respective nodes. Use the SECJOINT command to specify the identifiers of the local coordinate systems.

The constraints imposed on a planar joint element with local e1 axis as the axis of rotation are described below. Similar constraint conditions are set up when the local e3 axis is the axis of rotation. Referring to Figure 184plan.1: "MPC184 Planar Joint Geometry", the constraints imposed at any given time are as follows:

The changes in the relative position of the nodes I and J are given by:

The change in the relative angular position between the two local coordinate systems is given by:

ur = φ - φ0 + mπ

The constitutive calculations use the following definition of the joint displacement:

where:

and [image] = reference lengths, length2 and length3, specified on the SECDATA command.

The constitutive calculations use the following definition of the joint rotation:

where:

= reference angle, angle1, specified on the SECDATA command. If this value is not specified, then φ0 is used in place of [image].

Other input data that are common to all joint elements (material behavior, stops and limits, locks, etc.) are described in "Joint Input Data" in the MPC184 element description.

MPC184 Planar Joint Input Summary

This input summary applies to the planar joint element option of MPC184: KEYOPT(1) = 12.

Nodes

I, J

Note

For a grounded joint element, specify either node I or node J in the element definition and leave the other node (the grounded node) blank.

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ

Real Constants

None

Material Properties

Use the JOIN label on the TB command to define stiffness, damping, and hysteretic friction behavior. (See MPC184 Joint Materials for detailed information on defining joint materials.)

Surface Loads

None

Body Loads
Temperatures --

T(I), T(J)

Element Loads when KEYOPT(4) = 0
Displacements/Rotations --

UY, UZ, ROTX

Velocities --

VELY, VELZ, OMGX

Accelerations --

ACCY, ACCZ, DMGX

Element Loads when KEYOPT(4) = 1
Displacements/Rotations --

UX, UY, ROTZ

Velocities --

VELX, VELY, OMGZ

Accelerations --

ACCX, ACCY, DMGZ

Special Features
Large deflection
KEYOPT(1)

Element behavior:

12 --

Planar joint element

KEYOPT(4)

Element configuration:

0 --

x-axis Planar joint with local 1 direction as the rotation axis.

1 --

z-axis Planar joint with local 3 direction as the rotation axis.

MPC184 Planar Joint Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 184plan.1: "MPC184 Planar Joint Element Output Definitions" and Table 184plan.2: "MPC184 Planar Joint Element - NMISC Output ".

These tables use the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 184plan.1 MPC184 Planar Joint Element Output Definitions

Name | Definition | O | R
x-axis Planar Joint Element (KEYOPT(4) = 0)
EL | Element number | - | Y
NODES | Element node numbers (I, J) | - | Y
FX | Constraint force in X direction | - | Y
MY | Constraint moment in Y direction | - | Y
MZ | Constraint moment in Z direction | - | Y
CSTOP2 | Constraint force if stop is specified on DOF 2 | - | Y
CSTOP3 | Constraint force if stop is specified on DOF 3 | - | Y
CSTOP4 | Constraint moment if stop is specified on DOF 4 | - | Y
CLOCK2 | Constraint force if lock is specified on DOF 2 | - | Y
CLOCK3 | Constraint force if lock is specified on DOF 3 | - | Y
CLOCK4 | Constraint moment if lock is specified on DOF 4 | - | Y
CSST2 | Constraint stop status on DOF 2[1] | - | Y
CLST2 | Constraint lock status on DOF 2[2] | - | Y
CSST3 | Constraint stop status on DOF 3[1] | - | Y
CLST3 | Constraint lock status on DOF 3[2] | - | Y
CSST4 | Constraint stop status on DOF 4[1] | - | Y
CLST4 | Constraint lock status on DOF 4[2] | - | Y
JRP2 | Joint relative position of DOF 2 | - | Y
JRP3 | Joint relative position of DOF 3 | - | Y
JRP4 | Joint relative position of DOF 4 | - | Y
JCD2 | Joint constitutive displacement on DOF 2 | - | Y
JCD3 | Joint constitutive displacement on DOF 3 | - | Y
JCD4 | Joint constitutive rotation on DOF 4 | - | Y
JEF2 | Joint elastic force in direction -2 | - | Y
JEF3 | Joint elastic force in direction -3 | - | Y
JEF4 | Joint elastic moment in direction -4 | - | Y
JDF2 | Joint damping force in direction -2 | - | Y
JDF3 | Joint damping force in direction -3 | - | Y
JDF4 | Joint damping moment in direction -4 | - | Y
JFF2 | Joint friction force in direction -2 | - | Y
JFF3 | Joint friction force in direction -3 | - | Y
JFF4 | Joint friction moment in direction -4 | - | Y
JRU2 | Joint relative displacement of DOF 2 | - | Y
JRU3 | Joint relative displacement of DOF 3 | - | Y
JRU4 | Joint relative rotation of DOF 4 | - | Y
JRV2 | Joint relative velocity of DOF 2 | - | Y
JRV3 | Joint relative velocity of DOF 3 | - | Y
JRV4 | Joint relative rotational velocity of DOF 4 | - | Y
JRA2 | Joint relative acceleration of DOF 2 | - | Y
JRA3 | Joint relative acceleration of DOF 3 | - | Y
JRA4 | Joint relative rotational acceleration of DOF 4 | - | Y
JTEMP | Average temperature in the element[3] | - | Y
z-axis Planar Joint Element (KEYOPT(4) = 1)
EL | Element Number | - | Y
NODES | Element node numbers (I, J) | - | Y
FZ | Constraint Force in Z direction | - | Y
MX | Constraint Moment in X direction | - | Y
MY | Constraint Moment in Y direction | - | Y
CSTOP1 | Constraint force if stop is specified on DOF 1 | - | Y
CSTOP2 | Constraint force if stop is specified on DOF 2 | - | Y
CSTOP6 | Constraint moment if stop is specified on DOF 6 | - | Y
CLOCK1 | Constraint force if lock is specified on DOF 1 | - | Y
CLOCK2 | Constraint force if lock is specified on DOF 2 | - | Y
CLOCK6 | Constraint moment if lock is specified on DOF 6 | - | Y
CSST1 | Constraint stop status on DOF 1[1] | - | Y
CLST1 | Constraint lock status on DOF 1[2] | - | Y
CSST2 | Constraint stop status on DOF 2[1] | - | Y
CLST2 | Constraint lock status on DOF 2[2] | - | Y
CSST6 | Constraint stop status on DOF 6[1] | - | Y
CLST6 | Constraint lock status on DOF 6[2] | - | Y
JRP1 | Joint relative position of DOF 1 | - | Y
JRP2 | Joint relative position of DOF 2 | - | Y
JRP6 | Joint relative position of DOF 6 | - | Y
JCD1 | Joint constitutive displacement on DOF 1 | - | Y
JCD2 | Joint constitutive displacement on DOF 2 | - | Y
JCD6 | Joint constitutive rotation on DOF 6 | - | Y
JEF1 | Joint elastic force in direction -1 | - | Y
JEF2 | Joint elastic force in direction -2 | - | Y
JEF6 | Joint elastic moment in direction -6 | - | Y
JDF1 | Joint damping force in direction -1 | - | Y
JDF2 | Joint damping force in direction -2 | - | Y
JDF6 | Joint damping moment in direction -6 | - | Y
JFF1 | Joint friction force in direction -1 | - | Y
JFF2 | Joint friction force in direction -2 | - | Y
JFF6 | Joint friction moment in direction -6 | - | Y
JRU1 | Joint relative displacement of DOF 1 | - | Y
JRU2 | Joint relative displacement of DOF 2 | - | Y
JRU6 | Joint relative rotation of DOF 6 | - | Y
JRV1 | Joint relative velocity of DOF 1 | - | Y
JRV2 | Joint relative velocity of DOF 2 | - | Y
JRV6 | Joint relative rotational velocity of DOF 6 | - | Y
JRA1 | Joint relative acceleration of DOF 1 | - | Y
JRA2 | Joint relative acceleration of DOF 2 | - | Y
JRA6 | Joint relative rotational acceleration of DOF 6 | - | Y
JTEMP | Average temperature in the element[3] | - | Y

  1. Constraint stop status:

    0 = stop not active, or deactivated
    1 = stopped at minimum value
    2 = stopped at maximum value

  2. Constraint lock status:

    0 = lock not active
    1 = locked at minimum value
    2 = locked at maximum value

  3. Average temperature in the element when temperatures are applied on the nodes of the element using the BF command, or when temperature are applied on the element using the BFE command.

The following table shows additional non-summable miscellaneous (NMISC) output available for all forms of the planar joint element.

Note

This output is intended for use in the ANSYS Workbench program to track the evolution of local coordinate systems specified at the nodes of joint elements.

Table 184plan.2 MPC184 Planar Joint Element - NMISC Output

Name | Definition | O | R
The following output is available for all planar joint elements (KEYOPT(4) = 0 and 1)
E1X-I, E1Y-I, E1Z-I | X, Y, Z components of the evolved e1 axis at node I | - | Y
E2X-I, E2Y-I, E2Z-I | X, Y, Z components of the evolved e2 axis at node I | - | Y
E3X-I, E3Y-I, E3Z-I | X, Y, Z components of the evolved e3 axis at node I | - | Y
E1X-J, E1Y-J, E1Z-J | X, Y, Z components of the evolved e1 axis at node J | - | Y
E2X-J, E2Y-J, E2Z-J | X, Y, Z components of the evolved e2 axis at node J | - | Y
E3X-J, E3Y-J, E3Z-J | X, Y, Z components of the evolved e3 axis at node J | - | Y
JFX, JFY, JFZ | Constraint forces expressed in the evolved coordinate system specified at node I | - | Y
JMX, JMY, JMZ | Constraint moments expressed in the evolved coordinate system specified at node I | - | Y

Table 184plan.3: "MPC184 Planar Joint Item and Sequence Numbers - SMISC Items" and Table 184plan.4: "MPC184 Planar Joint Item and Sequence Numbers - NMISC Items" list output available via the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table for further information. The table uses the following notation:

Name

output quantity as defined in the Element Output Definitions table.

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 184plan.3 MPC184 Planar Joint Item and Sequence Numbers - SMISC Items

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
x-axis Planar Joint Element (KEYOPT(4) = 0)
FX | SMISC | 1
MY | SMISC | 5
MZ | SMISC | 6
CSTOP2 | SMISC | 8
CSTOP3 | SMISC | 9
CSTOP4 | SMISC | 10
CLOCK2 | SMISC | 14
CLOCK3 | SMISC | 15
CLOCK4 | SMISC | 16
CSST2 | SMISC | 20
CSST3 | SMISC | 21
CSST4 | SMISC | 22
CLST2 | SMISC | 26
CLST3 | SMISC | 27
CLST4 | SMISC | 28
JRP2 | SMISC | 32
JRP3 | SMISC | 33
JRP4 | SMISC | 34
JCD2 | SMISC | 38
JCD3 | SMISC | 39
JCD4 | SMISC | 40
JEF2 | SMISC | 44
JEF3 | SMISC | 45
JEF4 | SMISC | 46
JDF2 | SMISC | 50
JDF3 | SMISC | 51
JDF4 | SMISC | 52
JFF2 | SMISC | 56
JFF3 | SMISC | 57
JFF4 | SMISC | 58
JRU2 | SMISC | 62
JRU3 | SMISC | 63
JRU4 | SMISC | 64
JRV2 | SMISC | 68
JRV3 | SMISC | 69
JRV4 | SMISC | 70
JRA2 | SMISC | 74
JRA3 | SMISC | 75
JRA4 | SMISC | 76
JTEMP | SMISC | 79
z-axis Planar Joint Element (KEYOPT(4) = 1)
FZ | SMISC | 3
MX | SMISC | 4
MY | SMISC | 5
CSTOP1 | SMISC | 7
CSTOP2 | SMISC | 8
CSTOP6 | SMISC | 12
CLOCK1 | SMISC | 13
CLOCK2 | SMISC | 14
CLOCK6 | SMISC | 18
CSST1 | SMISC | 19
CSST2 | SMISC | 20
CSST6 | SMISC | 24
CLST1 | SMISC | 25
CLST2 | SMISC | 26
CLST6 | SMISC | 30
JRP1 | SMISC | 31
JRP2 | SMISC | 32
JRP6 | SMISC | 36
JCD1 | SMISC | 37
JCD2 | SMISC | 38
JCD6 | SMISC | 42
JEF1 | SMISC | 43
JEF2 | SMISC | 44
JEF6 | SMISC | 48
JDF1 | SMISC | 49
JDF2 | SMISC | 50
JDF6 | SMISC | 54
JFF1 | SMISC | 55
JFF2 | SMISC | 56
JFF6 | SMISC | 60
JRU1 | SMISC | 61
JRU2 | SMISC | 62
JRU6 | SMISC | 66
JRV1 | SMISC | 67
JRV2 | SMISC | 68
JRV6 | SMISC | 72
JRA1 | SMISC | 73
JRA2 | SMISC | 74
JRA6 | SMISC | 78
JTEMP | SMISC | 79

Table 184plan.4 MPC184 Planar Joint Item and Sequence Numbers - NMISC Items

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
The following output is available for all planar joint elements (KEYOPT(4) = 0 and 1)
E1X-I | NMISC | 1
E1Y-I | NMISC | 2
E1Z-I | NMISC | 3
E2X-I | NMISC | 4
E2Y-I | NMISC | 5
E2Z-I | NMISC | 6
E3X-I | NMISC | 7
E3Y-I | NMISC | 8
E3Z-I | NMISC | 9
E1X-J | NMISC | 10
E1Y-J | NMISC | 11
E1Z-J | NMISC | 12
E2X-J | NMISC | 13
E2Y-J | NMISC | 14
E2Z-J | NMISC | 15
E3X-J | NMISC | 16
E3Y-J | NMISC | 17
E3Z-J | NMISC | 18
JFX | NMISC | 19
JFY | NMISC | 20
JFZ | NMISC | 21
JMX | NMISC | 22
JMY | NMISC | 23
JMZ | NMISC | 24

MPC184 Planar Joint Assumptions and Restrictions

  • Boundary conditions cannot be applied on the nodes forming the planar joint.

  • Rotational degrees of freedom are activated at the nodes forming the element. When these elements are used in conjunction with solid elements, the rotational degrees of freedom must be suitably constrained. Since boundary conditions cannot be applied to the nodes of the planar joint, a beam or shell element with very weak stiffness may be used with the underlying solid elements at the nodes forming the joint element to avoid any rigid body modes.

  • If both stops and locks are specified, then lock specification takes precedence. That is, if the degree of freedom is locked at a given value, then it will remain locked for the rest of the analysis.

  • In a nonlinear analysis, the components of relative motion are accumulated over all the substeps. It is essential that the substep size be restricted such that these rotations in a given substep are less than π for the values to be accumulated correctly.

  • The element currently does not support birth or death options.

  • The equation solver (EQSLV) must be the sparse solver.

  • The element coordinate system (/PSYMB,ESYS) is not relevant.

  • This element cannot be used with the arc-length method (ARCLEN).

MPC184 Planar Joint Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • No special features are allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPC184-Cylindrical 		Up / Home Next
MPC184-Weld


MPC184-Weld

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

MPC184-Weld

Multipoint Constraint Element: Weld Joint

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

MPC184 Weld Joint Element Description

The MPC184 weld joint element is a two-node element that has all relative degrees of freedom fixed.

Figure 184weld.1 MPC184 Weld Joint Geometry

MPC184 Weld Joint Input Data

Set KEYOPT(1) = 13 to define a two-node weld joint element.

Figure 184weld.1: "MPC184 Weld Joint Geometry" shows the geometry and node locations for this element. Two nodes (I and J) define the element.

A local Cartesian coordinate system must be specified at the first node, I, of the element. The local coordinate system specification at the second node is optional. The local coordinate systems specified at node I and J evolve with the rotations at the respective nodes. Use the SECJOINT command to specify the identifiers of the local coordinate systems.

Other input data that are common to all joint elements (material behavior, etc.) are described in "Joint Input Data" in the MPC184 element description.

Note

The weld joint may also be simulated by using the CE command. See the CE command description for additional details.

MPC184 Weld Joint Input Summary

This input summary applies to the weld joint element option of MPC184: KEYOPT(1) = 13.

Nodes

I, J

Note

For a grounded joint element, specify either node I or node J in the element definition and leave the other node (the grounded node) blank.

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ

Real Constants

None

Material Properties

None

Surface Loads

None

Body Loads

None

Element Loads

None

Special Features
Large deflection
KEYOPT(1)

Element behavior:

13 --

Weld joint element

MPC184 Weld Joint Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 184weld.1: "MPC184 Weld Joint Element Output Definitions" and Table 184weld.2: "MPC184 Weld Joint Element - NMISC Output ".

These tables use the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 184weld.1 MPC184 Weld Joint Element Output Definitions

Name | Definition | O | R
EL | Element number | - | Y
NODES | Element node numbers (I, J) | - | Y
FX | Constraint force in X direction | - | Y
FY | Constraint force in Y direction | - | Y
FZ | Constraint force in Z direction | - | Y
MX | Constraint moment in X direction | - | Y
MY | Constraint moment in Y direction | - | Y
MZ | Constraint moment in Z direction | - | Y

The following table shows additional non-summable miscellaneous (NMISC) output available for the weld joint element.

Note

This output is intended for use in the ANSYS Workbench program to track the evolution of local coordinate systems specified at the nodes of joint elements.

Table 184weld.2 MPC184 Weld Joint Element - NMISC Output

Name | Definition | O | R
E1X-I, E1Y-I, E1Z-I | X, Y, Z components of the evolved e1 axis at node I | - | Y
E2X-I, E2Y-I, E2Z-I | X, Y, Z components of the evolved e2 axis at node I | - | Y
E3X-I, E3Y-I, E3Z-I | X, Y, Z components of the evolved e3 axis at node I | - | Y
E1X-J, E1Y-J, E1Z-J | X, Y, Z components of the evolved e1 axis at node J | - | Y
E2X-J, E2Y-J, E2Z-J | X, Y, Z components of the evolved e2 axis at node J | - | Y
E3X-J, E3Y-J, E3Z-J | X, Y, Z components of the evolved e3 axis at node J | - | Y
JFX, JFY, JFZ | Constraint forces expressed in the evolved coordinate system specified at node I | - | Y
JMX, JMY, JMZ | Constraint moments expressed in the evolved coordinate system specified at node I | - | Y

Table 184weld.3: "MPC184 Weld Joint Item and Sequence Numbers - SMISC Items" and Table 184weld.4: "MPC184 Weld Joint Item and Sequence Numbers - NMISC Items" list output available via the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table for further information. The table uses the following notation:

Name

output quantity as defined in the Element Output Definitions table.

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 184weld.3 MPC184 Weld Joint Item and Sequence Numbers - SMISC Items

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
FX | SMISC | 1
FY | SMISC | 2
FZ | SMISC | 3
MX | SMISC | 4
MY | SMISC | 5
MZ | SMISC | 6

Table 184weld.4 MPC184 Weld Joint Item and Sequence Numbers - NMISC Items

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
E1X-I | NMISC | 1
E1Y-I | NMISC | 2
E1Z-I | NMISC | 3
E2X-I | NMISC | 4
E2Y-I | NMISC | 5
E2Z-I | NMISC | 6
E3X-I | NMISC | 7
E3Y-I | NMISC | 8
E3Z-I | NMISC | 9
E1X-J | NMISC | 10
E1Y-J | NMISC | 11
E1Z-J | NMISC | 12
E2X-J | NMISC | 13
E2Y-J | NMISC | 14
E2Z-J | NMISC | 15
E3X-J | NMISC | 16
E3Y-J | NMISC | 17
E3Z-J | NMISC | 18
JFX | NMISC | 19
JFY | NMISC | 20
JFZ | NMISC | 21
JMX | NMISC | 22
JMY | NMISC | 23
JMZ | NMISC | 24

MPC184 Weld Joint Assumptions and Restrictions

  • Boundary conditions cannot be applied on the nodes forming the weld joint.

  • Rotational degrees of freedom are activated at the nodes forming the element. When these elements are used in conjunction with solid elements, the rotational degrees of freedom must be suitably constrained. Since boundary conditions cannot be applied to the nodes of the weld joint, a beam or shell element with very weak stiffness may be used with the underlying solid elements at the nodes forming the joint element to avoid any rigid body modes.

  • Stops (SECSTOP) and locks (SECLOCK) are not applicable to this element.

  • In a nonlinear analysis, the components of relative motion are accumulated over all the substeps. It is essential that the substep size be restricted such that these rotations in a given substep are less than π for the values to be accumulated correctly.

  • The element currently does not support birth or death options.

  • The equation solver (EQSLV) must be the sparse solver.

  • The element coordinate system (/PSYMB,ESYS) is not relevant.

  • This element cannot be used with the arc-length method (ARCLEN).

MPC184 Weld Joint Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • No special features are allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPC184-Planar 		Up / Home Next
MPC184-Orient


MPC184-Orient

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

MPC184-Orient

Multipoint Constraint Element: Orient Joint

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

MPC184 Orient Joint Element Description

The MPC184 orient joint is a two-node element. In this joint, the relative rotational degrees of freedom are fixed while the displacement degrees of freedom are left free.

Figure 184orie.1 MPC184 Orient Joint Geometry

MPC184 Orient Joint Input Data

Set KEYOPT(1) = 14 to define a two-node orient joint element.

Figure 184orie.1: "MPC184 Orient Joint Geometry" shows the geometry and node locations for this element. Two nodes (I and J) define the element.

A local Cartesian coordinate system must be specified at the first node, I, of the element. The local coordinate system specification at the second node is optional. The local coordinate systems specified at node I and J evolve with the rotations at the respective nodes. Use the SECJOINT command to specify the identifiers of the local coordinate systems.

The constraints imposed on an orient joint element are easily described by referring to Figure 184orie.1: "MPC184 Orient Joint Geometry". At any given instant of time, the constraints imposed are as follows:

Other input data that are common to all joint elements (material behavior, etc.) are described in "Joint Input Data" in the MPC184 element description.

MPC184 Orient Joint Input Summary

This input summary applies to the orient joint element option of MPC184: KEYOPT(1) = 14.

Nodes

I, J

Note

For a grounded joint element, specify either node I or node J in the element definition and leave the other node (the grounded node) blank.

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ

Real Constants

None

Material Properties

None

Surface Loads

None

Body Loads

None

Element Loads

None

Special Features
Large deflection
KEYOPT(1)

Element behavior:

14 --

Orient joint element

MPC184 Orient Joint Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 184orie.1: "MPC184 Orient Joint Element Output Definitions" and Table 184orie.2: "MPC184 Orient Joint Element - NMISC Output ".

These tables use the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 184orie.1 MPC184 Orient Joint Element Output Definitions

Name | Definition | O | R
EL | Element number | - | Y
NODES | Element node numbers (I, J) | - | Y
MX | Constraint moment in X direction | - | Y
MY | Constraint moment in Y direction | - | Y
MZ | Constraint moment in Z direction | - | Y

The following table shows additional non-summable miscellaneous (NMISC) output available for the orient joint element.

Note

This output is intended for use in the ANSYS Workbench program to track the evolution of local coordinate systems specified at the nodes of joint elements.

Table 184orie.2 MPC184 Orient Joint Element - NMISC Output

Name | Definition | O | R
E1X-I, E1Y-I, E1Z-I | X, Y, Z components of the evolved e1 axis at node I | - | Y
E2X-I, E2Y-I, E2Z-I | X, Y, Z components of the evolved e2 axis at node I | - | Y
E3X-I, E3Y-I, E3Z-I | X, Y, Z components of the evolved e3 axis at node I | - | Y
E1X-J, E1Y-J, E1Z-J | X, Y, Z components of the evolved e1 axis at node J | - | Y
E2X-J, E2Y-J, E2Z-J | X, Y, Z components of the evolved e2 axis at node J | - | Y
E3X-J, E3Y-J, E3Z-J | X, Y, Z components of the evolved e3 axis at node J | - | Y
JFX, JFY, JFZ | Constraint forces expressed in the evolved coordinate system specified at node I | - | Y
JMX, JMY, JMZ | Constraint moments expressed in the evolved coordinate system specified at node I | - | Y

Table 184orie.3: "MPC184 Orient Joint Item and Sequence Numbers - SMISC Items" and Table 184orie.4: "MPC184 Orient Joint Item and Sequence Numbers - NMISC Items" list output available via the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table for further information. The table uses the following notation:

Name

output quantity as defined in the Element Output Definitions table.

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 184orie.3 MPC184 Orient Joint Item and Sequence Numbers - SMISC Items

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
MX | SMISC | 4
MY | SMISC | 5
MZ | SMISC | 6

Table 184orie.4 MPC184 Orient Joint Item and Sequence Numbers - NMISC Items

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
E1X-I | NMISC | 1
E1Y-I | NMISC | 2
E1Z-I | NMISC | 3
E2X-I | NMISC | 4
E2Y-I | NMISC | 5
E2Z-I | NMISC | 6
E3X-I | NMISC | 7
E3Y-I | NMISC | 8
E3Z-I | NMISC | 9
E1X-J | NMISC | 10
E1Y-J | NMISC | 11
E1Z-J | NMISC | 12
E2X-J | NMISC | 13
E2Y-J | NMISC | 14
E2Z-J | NMISC | 15
E3X-J | NMISC | 16
E3Y-J | NMISC | 17
E3Z-J | NMISC | 18
JFX | NMISC | 19
JFY | NMISC | 20
JFZ | NMISC | 21
JMX | NMISC | 22
JMY | NMISC | 23
JMZ | NMISC | 24

MPC184 Orient Joint Assumptions and Restrictions

  • Boundary conditions cannot be applied on the nodes forming the orient joint.

  • Rotational degrees of freedom are activated at the nodes forming the element. When these elements are used in conjunction with solid elements, the rotational degrees of freedom must be suitably constrained. Since boundary conditions cannot be applied to the nodes of the orient joint, a beam or shell element with very weak stiffness may be used with the underlying solid elements at the nodes forming the joint element to avoid any rigid body modes.

  • Stops (SECSTOP) and locks (SECLOCK) are not applicable to this element.

  • In a nonlinear analysis, the components of relative motion are accumulated over all the substeps. It is essential that the substep size be restricted such that these rotations in a given substep are less than π for the values to be accumulated correctly.

  • The element currently does not support birth or death options.

  • The equation solver (EQSLV) must be the sparse solver.

  • The element coordinate system (/PSYMB,ESYS) is not relevant.

  • This element cannot be used with the arc-length method (ARCLEN).

MPC184 Orient Joint Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • No special features are allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPC184-Weld 		Up / Home Next
MPC184-Spherical


MPC184-Spherical

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

MPC184-Spherical

Multipoint Constraint Element: Spherical Joint

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

MPC184 Spherical Joint Element Description

The MPC184 spherical joint element is a two-node element with the relative displacement degrees of freedom constrained. The relative rotational degrees of freedom are left unconstrained. These rotations cannot be controlled. The kinematic constraints are imposed using the Lagrange multiplier method.

Figure 184sphe.1 MPC184 Spherical Joint Geometry

MPC184 Spherical Joint Input Data

Set KEYOPT(1) = 15 to define a two-node spherical joint element.

Figure 184sphe.1: "MPC184 Spherical Joint Geometry" shows the geometry and node locations for this element. Two nodes define the element. The two nodes (I and J) are expected to have identical spatial locations initially. If the two nodes are not coincident, the relative positions of the two nodes are maintained.

A local Cartesian coordinate system should be specified at the first node, I, of the element. The specification of the second local coordinate system at node J is optional. If the local coordinate system is not specified at node J, the local coordinate system at node J is assumed to be the same as that at node I. Use the SECJOINT command to specify the identifiers of the local coordinate systems.

The constraints imposed in a spherical joint element are described below. Referring to Figure 184sphe.1: "MPC184 Spherical Joint Geometry", the constraints imposed at any given time are as follows:

For output purposes, the relative rotations between nodes I and J are characterized by the Cardan (or Bryant) angles as follows:

Since the output of relative rotations is characterized by the Cardan (or Bryant) angles, the rotation around the local e2 axis is limited to between -PI/2 to +PI/2 (see the expression for Φ above). When this rotation value reaches |PI/2|, the other two angles become indeterminate. Therefore, if the accumulated angles around an axis of rotation is greater than |PI/2|, the axis of rotation should typically be specified as the local e1 or e3 axis.

Since the relative rotational degrees of freedom cannot be controlled, the spherical joint element does not allow stops and locks or material behavior specifications. Other input data that are common to all joint elements are described in "Joint Input Data" in the MPC184 element description.

MPC184 Spherical Joint Input Summary

This input summary applies to the spherical joint element option of MPC184: KEYOPT(1) = 15.

Nodes

I, J,

Note

For a grounded spherical joint element, specify either node I or node J in the element definition and leave the other node (the grounded node) blank.

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ

Real Constants

None

Material Properties

None

Surface Loads

None

Body Loads

None

Element Loads

None

Special Features
Large deflection
KEYOPT(1)

Element behavior:

15 --

Spherical joint element

MPC184 Spherical Joint Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 184sphe.1: "MPC184 Spherical Joint Element Output Definitions" and Table 184sphe.2: "MPC184 Spherical Joint Element - NMISC Output ".

These tables use the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 184sphe.1 MPC184 Spherical Joint Element Output Definitions

Name | Definition | O | R
EL | Element number | - | Y
NODES | Element node numbers (I, J) | - | Y
FX | Constraint force in X direction | - | Y
FY | Constraint force in Y direction | - | Y
FZ | Constraint force in Z direction | - | Y
JRP4 | Joint relative position of DOF 4 | - | Y
JRP5 | Joint relative position of DOF 5 | - | Y
JRP6 | Joint relative position of DOF 6 | - | Y
JRU4 | Joint relative rotation of DOF 4 | - | Y
JRU5 | Joint relative rotation of DOF 5 | - | Y
JRU6 | Joint relative rotation of DOF 6 | - | Y
JRV4 | Joint relative rotational velocity of DOF 4 | - | Y
JRV5 | Joint relative rotational velocity of DOF 5 | - | Y
JRV6 | Joint relative rotational velocity of DOF 6 | - | Y
JRA4 | Joint relative rotational acceleration of DOF 4 | - | Y
JRA5 | Joint relative rotational acceleration of DOF 5 | - | Y
JRA6 | Joint relative rotational acceleration of DOF 6 | - | Y

The following table shows additional non-summable miscellaneous (NMISC) output available for the spherical joint element.

Note

This output is intended for use in the ANSYS Workbench program to track the evolution of local coordinate systems specified at the nodes of joint elements.

Table 184sphe.2 MPC184 Spherical Joint Element - NMISC Output

Name | Definition | O | R
E1X-I, E1Y-I, E1Z-I | X, Y, Z components of the evolved e1 axis at node I | - | Y
E2X-I, E2Y-I, E2Z-I | X, Y, Z components of the evolved e2 axis at node I | - | Y
E3X-I, E3Y-I, E3Z-I | X, Y, Z components of the evolved e3 axis at node I | - | Y
E1X-J, E1Y-J, E1Z-J | X, Y, Z components of the evolved e1 axis at node J | - | Y
E2X-J, E2Y-J, E2Z-J | X, Y, Z components of the evolved e2 axis at node J | - | Y
E3X-J, E3Y-J, E3Z-J | X, Y, Z components of the evolved e3 axis at node J | - | Y
JFX, JFY, JFZ | Constraint forces expressed in the evolved coordinate system specified at node I | - | Y
JMX, JMY, JMZ | Constraint moments expressed in the evolved coordinate system specified at node I | - | Y

Table 184sphe.3: "MPC184 Spherical Joint Item and Sequence Numbers -SMISC Items" and Table 184sphe.4: "MPC184 Spherical Joint Item and Sequence Numbers - NMISC Items" list output available via the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table for further information. The table uses the following notation:

Name

output quantity as defined in the Element Output Definitions table.

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 184sphe.3 MPC184 Spherical Joint Item and Sequence Numbers -SMISC Items

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
FX | SMISC | 1
FY | SMISC | 2
FZ | SMISC | 3
JRP4-6 | SMISC | 34-36
JRU4-6 | SMISC | 64-66
JRV4-6 | SMISC | 70-72
JRA4-6 | SMISC | 76-78

Table 184sphe.4 MPC184 Spherical Joint Item and Sequence Numbers - NMISC Items

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
E1X-I | NMISC | 1
E1Y-I | NMISC | 2
E1Z-I | NMISC | 3
E2X-I | NMISC | 4
E2Y-I | NMISC | 5
E2Z-I | NMISC | 6
E3X-I | NMISC | 7
E3Y-I | NMISC | 8
E3Z-I | NMISC | 9
E1X-J | NMISC | 10
E1Y-J | NMISC | 11
E1Z-J | NMISC | 12
E2X-J | NMISC | 13
E2Y-J | NMISC | 14
E2Z-J | NMISC | 15
E3X-J | NMISC | 16
E3Y-J | NMISC | 17
E3Z-J | NMISC | 18
JFX | NMISC | 19
JFY | NMISC | 20
JFZ | NMISC | 21
JMX | NMISC | 22
JMY | NMISC | 23
JMZ | NMISC | 24

MPC184 Spherical Joint Assumptions and Restrictions

  • The nodes I and J should be coincident. If the nodes are not coincident, the relative positions between the two nodes are maintained.

  • Boundary conditions cannot be applied on the nodes forming the spherical element.

  • Rotational degrees of freedom are activated at the nodes forming the element. When these elements are used in conjunction with solid elements, the rotational degrees of freedom must be suitably constrained. Since boundary conditions cannot be applied to the nodes of the spherical joint, a beam or shell element with very weak stiffness may be used with the underlying solid elements at the nodes forming the joint element to avoid any rigid body modes.

  • Stops (SECSTOP) and locks (SECLOCK) are not applicable to this element.

  • In a nonlinear analysis, the components of relative motion are accumulated over all the substeps. For the values to be accumulated correctly, it is essential that the substep size be restricted such that the rotation in a given substep is less than π.

  • The element currently does not support birth or death options.

  • The equation solver (EQSLV) must be the sparse solver.

  • The element coordinate system (/PSYMB,ESYS) is not relevant.

  • This element cannot be used with the arc-length method (ARCLEN).

MPC184 Spherical Joint Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • No special features are allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPC184-Orient 		Up / Home Next
MPC184-General


MPC184-General

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

MPC184-General

Multipoint Constraint Element: General Joint

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

MPC184 General Joint Element Description

The MPC184 general joint is a two-node element. By default, no relative degrees of freedom are fixed. However, you can specify which relative degrees of freedom need to be constrained. By specifying as many relative degrees of freedom to be constrained as needed, you can simulate different joint elements.

Figure 184gen.1 MPC184 General Joint Geometry

By default, a general joint has both displacement and rotational degrees of freedom activated at the nodes of the element. In some cases only displacement degrees of freedom are needed (as in a model consisting of only continuum elements). In such cases, you can specify a general joint with only displacement degrees of freedom activated by setting KEYOPT(4) = 1.

MPC184 General Joint Input Data

Set KEYOPT(1) = 16 to define a two-node general joint element.

Use KEYOPT(4) to specify the active degree-of-freedom set:

KEYOPT(4) = 0 (default) - both displacement and rotational degrees of freedom are activated.
KEYOPT(4) = 1 - only displacement degrees of freedom are activated.

For this element, you can specify which relative degrees of freedom need to be constrained. First, define the section type (SECTYPE command) for this joint. Then define the SECJOINT command as follows:

SECJ,LSYS,local cs1,local cs2  ! Defines the local coordinate systems for the joints.
SECJ,RDOF,dof1,dof2,…,dof6   ! Defines the relative DOFs to be constrained.

Note that the SECJOINT command is issued twice when the general joint is used with some degrees of freedom constrained. The first SECJOINT command defines the local coordinate systems for the joint. In the second SECJOINT command, specify as many relative degrees of freedom as needed (a maximum of 6 may be specified). The general joint element allows you to simulate different joint elements by specifying different relative degrees of freedom to be constrained. The following examples highlight the different joint elements that can be simulated:

SECJ,RDOF,dof1,dof2,dof3,dof5,dof6  ! Simulates a revolute joint with local e_1 axis as the axis of revolute.

SECJ,RDOF,dof2,dof3,dof5,dof6   ! Simulates a cylindrical joint with local e_1 axis as the axis of rotation.

SECJ,RDOF,dof1,dof2,dof3,dof4,dof5,dof6   ! Simulates a weld joint.

When KEYOPT(4) = 1, the local coordinate systems specified at nodes I and J remain fixed in their initial orientation. The rotation at the nodes, if any, is ignored.

When KEYOPT(4) = 0, the local coordinate systems specified at nodes I and J are assumed to evolve with the rotations at the nodes.

For an unconstrained general joint (KEYOPT(4) = 0 or 1), the relative displacements between nodes I and J are as follows:

The relative rotations between nodes I and J are characterized by the Cardan (or Bryant) angles as follows (only if KEYOPT(4) = 0):

The relative displacements and rotations are suitably constrained when some or all of the relative degrees of freedom are fixed.

Note that the relative angular positions for the general joint are characterized by the Cardan (or Bryant) angles. This requires that the rotations about the local e2 axis be restricted between –PI/2 to +PI/2. Thus, the local e2 axis should not be used to simulate the axis of rotation.

For an unconstrained general joint, the constitutive calculations use the following definitions for relative displacement:

where:

, [image], and [image] = reference lengths, length1, length2, and length3, specified on the SECDATA command.

The following definitions are for relative rotations:

where:

, [image], and [image] = reference angle specifications, angle1, angle2, and angle3 on the SECDATA command.

Other input data that are common to all joint elements (material behavior, stops and limits, locks, etc.) are described in "Joint Input Data" in the MPC184 element description.

MPC184 General Joint Input Summary

This input summary applies to the general joint element option of MPC184: KEYOPT(1) = 16.

Nodes

I, J

Note

For a grounded joint element, specify either node I or node J in the element definition and leave the other node (the grounded node) blank.

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ (KEYOPT(4) = 0)

UX, UY, UZ (KEYOPT(4) = 1)

Real Constants

None

Material Properties

Use the JOIN label on the TB command to define stiffness, damping, and hysteretic friction behavior. (See MPC184 Joint Materials for detailed information on defining joint materials.)

Surface Loads

None

Body Loads
Temperatures --

T(I), T(J)

Element Loads

For an unconstrained general joint:

Displacement (KEYOPT(4) = 0 or 1) --

UX, UY, UZ

Rotation (KEYOPT(4) = 0) --

ROTX, ROTY, ROTZ

For a constrained general joint, loads are based on the free relative degrees of freedom in the joint.

Special Features
Large deflection
KEYOPT(1)

Element behavior:

16 --

General joint element

KEYOPT(4)

Element configuration:

0 --

General joint with both displacement and rotational degrees of freedom activated.

1 --

General joint with only displacement degrees of freedom activated.

MPC184 General Joint Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 184gen.1: "MPC184 General Joint Element Output Definitions" and Table 184gen.2: "MPC184 General Joint Element - NMISC Output ".

These tables use the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 184gen.1 MPC184 General Joint Element Output Definitions

Name | Definition | O | R
General joint with displacement and rotation DOF (KEYOPT(4) = 0)
EL | Element number | - | Y
NODES | Element node numbers (I, J) | - | Y
The constraint force and moment output depends on which of the relative DOFs are constrained.
FX | Constraint force in X direction | - | Y
FY | Constraint force in Y direction | - | Y
FZ | Constraint force in Z direction | - | Y
MX | Constraint moment in X direction | - | Y
MY | Constraint moment in Y direction | - | Y
MZ | Constraint moment in Z direction | - | Y
The following output depends on which of the relative DOFs are unconstrained.
CSTOP1-6 | Constraint force/moment if stop is specified on DOFs 1-6 | - | Y
CLOCK1-6 | Constraint force/moment if lock is specified on DOFs 1-6 | - | Y
CSST1-6 | Constraint stop status on relative DOFs 1-6[1] | - | Y
CLST1-6 | Constraint lock status on relative DOFs 1-6[2] | - | Y
JRP1-6 | Joint relative position of DOFs 1-6 | - | Y
JCD1-6 | Joint constitutive displacement/rotation of DOFs 1-6 | - | Y
JEF1-6 | Joint elastic force/moment 1-6 | - | Y
JDF1-6 | Joint damping force/moment 1-6 | - | Y
JFF1-6 | Joint friction force/moment 1-6 | - | Y
JRU1-6 | Joint relative displacement/rotation 1-6 | - | Y
JRV1-6 | Joint relative velocity (or rotational velocity) 1-6 | - | Y
JRA1-6 | Joint relative acceleration (or rotational acceleration) 1-6 | - | Y
JTEMP | Average temperature in the element[3] | - | Y
General joint with displacement DOF (KEYOPT(4) =1)
EL | Element number | - | Y
NODES | Element node numbers (I, J) | - | Y
The constraint force and moment output depends on which of the relative DOFs are constrained.
FX | Constraint force in X direction | - | Y
FY | Constraint force in Y direction | - | Y
FZ | Constraint force in Z direction | - | Y
The following output depends on which of the relative DOFs are unconstrained.
CSTOP1-3 | Constraint force if stop is specified on DOFs 1-3 | - | Y
CLOCK1-3 | Constraint force if lock is specified on DOFs 1-3 | - | Y
CSST1-3 | Constraint stop status on relative DOFs 1-3[1] | - | Y
CLST1-3 | Constraint lock status on relative DOFs 1-3[2] | - | Y
JRP1-3 | Joint relative position of DOFs 1-3 | - | Y
JCD1-3 | Joint constitutive displacement of DOFs 1-3 | - | Y
JEF1-3 | Joint elastic force 1-3 | - | Y
JDF1-3 | Joint damping force 1-3 | - | Y
JFF1-3 | Joint friction force 1-3 | - | Y
JRU1-3 | Joint relative displacement 1-3 | - | Y
JRV1-3 | Joint relative velocity 1-3 | - | Y
JRA1-3 | Joint relative acceleration 1-3 | - | Y
JTEMP | Average temperature in the element[3] | - | Y

  1. Constraint stop status:

    0 = stop not active, or deactivated
    1 = stopped at minimum value
    2 = stopped at maximum value

  2. Constraint lock status:

    0 = lock not active
    1 = locked at minimum value
    2 = locked at maximum value

  3. Average temperature in the element when temperatures are applied on the nodes of the element using the BF command, or when temperature are applied on the element using the BFE command.

The following table shows additional non-summable miscellaneous (NMISC) output available for all forms of the general joint element.

Note

This output is intended for use in the ANSYS Workbench program to track the evolution of local coordinate systems specified at the nodes of joint elements.

Table 184gen.2 MPC184 General Joint Element - NMISC Output

Name | Definition | O | R
The following output is available for all general joint elements (KEYOPT(4) = 0 and 1)
E1X-I, E1Y-I, E1Z-I | X, Y, Z components of the evolved e1 axis at node I | - | Y
E2X-I, E2Y-I, E2Z-I | X, Y, Z components of the evolved e2 axis at node I | - | Y
E3X-I, E3Y-I, E3Z-I | X, Y, Z components of the evolved e3 axis at node I | - | Y
E1X-J, E1Y-J, E1Z-J | X, Y, Z components of the evolved e1 axis at node J | - | Y
E2X-J, E2Y-J, E2Z-J | X, Y, Z components of the evolved e2 axis at node J | - | Y
E3X-J, E3Y-J, E3Z-J | X, Y, Z components of the evolved e3 axis at node J | - | Y
JFX, JFY, JFZ | Constraint forces expressed in the evolved coordinate system specified at node I | - | Y
JMX, JMY, JMZ | Constraint moments expressed in the evolved coordinate system specified at node I | - | Y

Table 184gen.3: "MPC184 General Joint Item and Sequence Numbers - SMISC Items" and Table 184gen.4: "MPC184 General Joint Item and Sequence Numbers - NMISC Items" list output available via the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table for further information. The tables use the following notation:

Name

output quantity as defined in the Element Output Definitions table.

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 184gen.3 MPC184 General Joint Item and Sequence Numbers - SMISC Items

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
General joint with displacement and rotation DOF (KEYOPT(4) = 0) (Some of these values may be zero depending on which relative degrees of freedom are constrained.)
FX | SMISC | 1
FY | SMISC | 2
FZ | SMISC | 3
MX | SMISC | 4
MY | SMISC | 5
MZ | SMISC | 6
CSTOP1-6 | SMISC | 7-12
CLOCK1-6 | SMISC | 13-18
CSST1-6 | SMISC | 19-24
CLST1-6 | SMISC | 25-30
JRP1-6 | SMISC | 31-36
JCD1-6 | SMISC | 37-42
JEF1-6 | SMISC | 43-48
JDF1-6 | SMISC | 49-54
JFF1-6 | SMISC | 55-60
JRU1-6 | SMISC | 61-66
JRV1-6 | SMISC | 67-72
JRA1-6 | SMISC | 73-78
JTEMP | SMISC | 79
General joint with displacement DOF (KEYOPT(4) = 1) (Some of these values may be zero depending on which relative degrees of freedom are constrained.)
FX | SMISC | 1
FY | SMISC | 2
FZ | SMISC | 3
CSTOP1-3 | SMISC | 7-9
CLOCK1-3 | SMISC | 13-15
CSST1-3 | SMISC | 19–21
CLST1-3 | SMISC | 25-27
JRP1-3 | SMISC | 31-33
JCD1-3 | SMISC | 37-39
JEF1-3 | SMISC | 43-45
JDF1-3 | SMISC | 49-51
JFF1-3 | SMISC | 55-57
JRU1-3 | SMISC | 61-63
JRV1-3 | SMISC | 67-69
JRA1-3 | SMISC | 73-78
JTEMP | SMISC | 79

Table 184gen.4 MPC184 General Joint Item and Sequence Numbers - NMISC Items

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
The following output is available for all general joint elements (KEYOPT(4) = 0 and 1)
E1X-I | NMISC | 1
E1Y-I | NMISC | 2
E1Z-I | NMISC | 3
E2X-I | NMISC | 4
E2Y-I | NMISC | 5
E2Z-I | NMISC | 6
E3X-I | NMISC | 7
E3Y-I | NMISC | 8
E3Z-I | NMISC | 9
E1X-J | NMISC | 10
E1Y-J | NMISC | 11
E1Z-J | NMISC | 12
E2X-J | NMISC | 13
E2Y-J | NMISC | 14
E2Z-J | NMISC | 15
E3X-J | NMISC | 16
E3Y-J | NMISC | 17
E3Z-J | NMISC | 18
JFX | NMISC | 19
JFY | NMISC | 20
JFZ | NMISC | 21
JMX | NMISC | 22
JMY | NMISC | 23
JMZ | NMISC | 24

MPC184 General Joint Assumptions and Restrictions

  • Boundary conditions cannot be applied on the nodes forming the general joint.

  • Rotational degrees of freedom are activated at the nodes forming the element. When these elements are used in conjunction with solid elements, the rotational degrees of freedom must be suitably constrained. Since boundary conditions cannot be applied to the nodes of the general joint, a beam or shell element with very weak stiffness may be used with the underlying solid elements at the nodes forming the joint element to avoid any rigid body modes.

  • If both stops and locks are specified, then lock specification takes precedence. That is, if the degree of freedom is locked at a given value, then it will remain locked for the rest of the analysis.

  • In a nonlinear analysis, the components of relative motion are accumulated over all the substeps. It is essential that the substep size be restricted such that these rotations in a given substep are less than π for the values to be accumulated correctly.

  • The element currently does not support birth or death options.

  • The equation solver (EQSLV) must be the sparse solver.

  • The element coordinate system (/PSYMB,ESYS) is not relevant.

  • This element cannot be used with the arc-length method (ARCLEN).

MPC184 General Joint Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • No special features are allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPC184-Spherical 		Up / Home Next
SOLID185


SOLID185

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID185

3-D 8-Node Structural Solid or Layered Solid

MP ME ST PR PRN DS DSS <> <> <> <> PP VT

Product Restrictions

SOLID185 Element Description

SOLID185 is used for 3-D modeling of solid structures. It is defined by eight nodes having three degrees of freedom at each node: translations in the nodal x, y, and z directions. The element has plasticity, hyperelasticity, stress stiffening, creep, large deflection, and large strain capabilities. It also has mixed formulation capability for simulating deformations of nearly incompressible elastoplastic materials, and fully incompressible hyperelastic materials.

SOLID185 is available in two forms:

  • Structural Solid (KEYOPT(3) = 0, the default) -- See "SOLID185 Structural Solid Element Description".

  • Layered Solid (KEYOPT(3) = 1) -- See "SOLID185 Layered Solid Element Description".

See SOLID185 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

A higher-order version of the SOLID185 element is SOLID186.

SOLID185 Structural Solid Element Description

SOLID185 Structural Solid is suitable for modeling general 3-D solid structures. It allows for prism and tetrahedral degenerations when used in irregular regions. Various element technologies such as B-bar, uniformly reduced integration, and enhanced strains are supported.

Figure 185.1 SOLID185 Structural Solid Geometry

SOLID185 Structural Solid Input Data

The geometry and node locations for this element are shown in Figure 185.1: "SOLID185 Structural Solid Geometry". The element is defined by eight nodes and the orthotropic material properties. The default element coordinate system is along global directions. You may define an element coordinate system using ESYS, which forms the basis for orthotropic material directions.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers in Figure 185.1: "SOLID185 Structural Solid Geometry". Positive pressures act into the element. Temperatures may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). For any other input temperature pattern, unspecified temperatures default to TUNIF. Similar defaults occurs for fluence except that zero is used instead of TUNIF.

KEYOPT(6) = 1 sets the element for using mixed formulation. For details on the use of mixed formulation, see Applications of Mixed u-P Formulations in the Elements Reference.

You can apply an initial stress state to this element via the INISTATE command. For more information, see the INISTATE command, and also Initial Stress Loading in the Basic Analysis Guide. Alternately, you can set KEYOPT(10) = 1 to read initial stresses from the user subroutine USTRESS. For details on user subroutines, see the Guide to ANSYS User Programmable Features.

As described in Coordinate Systems, you can use ESYS to orient the material properties and strain/stress output. Use RSYS to choose output that follows the material coordinate system or the global coordinate system. For the case of hyperelastic materials, the output of stress and strain is always with respect to the global Cartesian coordinate system rather than following the material/element coordinate system.

The effects of pressure load stiffness are automatically included for this element. If an unsymmetrical matrix is needed for pressure load stiffness effects, use NROPT,UNSYM.

"SOLID185 Structural Solid Input Summary" contains a summary of element input. For a general description of element input, see Element Input.

SOLID185 Structural Solid Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

UX, UY, UZ

Real Constants
None, if KEYOPT(2) = 0,
HGSTF - Hourglass Stiffness Scaling factor if KEYOPT(2) = 1 (Default is 1.0; any positive number is valid. If set to 0.0, value is automatically reset to 1.0.)
Material Properties
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ),
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ),
DENS, GXY, GYZ, GXZ, DAMP
Surface Loads
Pressures --
face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N),
face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)
Body Loads
Temperatures --

T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P)

Special Features
Plasticity (PLASTIC, BISO, MISO, NLISO, BKIN, MKIN, KINH, CHABOCHE, HILL)
Hyperelasticity (AHYPER, HYPER)
Viscoelasticity (PRONY, SHIFT)
Viscoplasticity/Creep (CREEP, RATE)
Elasticity (ELASTIC, ANEL)
Other material (USER, SDAMP, SMA, CAST, EDP, GURSON)
Stress stiffening
Large deflection
Large strain
Initial stress import
Nonlinear stabilization
Automatic selection of element technology
Birth and death

Note

Items in parentheses refer to data tables associated with the TB command. See the Theory Reference for ANSYS and ANSYS Workbench for details of the material models.

Note

See Automatic Selection of Element Technologies and ETCONTROL for more information on selection of element technologies.

KEYOPT(2)

Element technology:

0 --

Full integration with [image] method

1 --

Uniform reduced integration with hourglass control

2 --

Enhanced strain formulation

3 --

Simplified enhanced strain formulation

KEYOPT(3)

Layer construction:

0 --

Structural Solid (default) -- nonlayered

1 --

Layered Solid (not applicable to SOLID185 Structural Solid)

KEYOPT(6)

Element formulation:

0 --

Use pure displacement formulation (default)

1 --

Use mixed formulation

KEYOPT(10)

User-defined initial stress:

0 --

No user subroutine to provide initial stresses (default).

1 --

Read initial stress data from user subroutine USTRESS

Note

See the Guide to ANSYS User Programmable Features for user written subroutines.

SOLID185 Structural Solid Element Technology

SOLID185 uses the [image] method (also known as the selective reduced integration method), the uniform reduced integration method, or the enhanced strain formulation method, as follows:

  • method (selective reduced integration)

    Helps to prevent volumetric mesh locking in nearly incompressible cases. This option replaces volumetric strain at the Gauss integration point with the average volumetric strain of the elements. This method cannot, however, prevent any shear locking in bending dominated problems. In such situations, use the enhanced strain formulation of this element. If it is not clear if the deformation is bending dominated, enhanced strain formulation is recommended. For more information, see the Theory Reference for ANSYS and ANSYS Workbench.

  • Uniform reduced integration

    Also helps to prevent volumetric mesh locking in nearly incompressible cases. Because it has only one integration point, this option is more efficient than the [image] method (selective reduced integration) option. However, the artificial energy introduced to control the hourglass effect may affect solution accuracy adversely.

    When using this option, check the solution accuracy by comparing the total energy (SENE label in ETABLE) and the artificial energy (AENE label in ETABLE) introduced by hourglass control. If the ratio of artificial energy to total energy is less than 5%, the solution is generally acceptable. If the ratio exceeds five percent, refine the mesh. You can also monitor the total energy and artificial energy by issuing the OUTPR,VENG command in the solution phase.

    For more information about uniform reduced integration, see the Theory Reference for ANSYS and ANSYS Workbench.

  • Enhanced strain formulation

    Prevents shear locking in bending-dominated problems and volumetric locking in nearly incompressible cases. The formulation introduces 13 internal DOFs (inaccessible to ANSYS users). If mixed u-P formulation is employed with enhanced strain formulation, only 9 DOFs for overcoming shear-locking are used. All internal DOFs are introduced automatically at the element level and condensed out.

    Because of the extra internal DOFs and static condensation, this option is less efficient than either the [image] method (selective reduced integration) option or the uniform reduced integration option.

    For more information about enhanced strain formulation, see the Theory Reference for ANSYS and ANSYS Workbench.

  • Simplified enhanced strain formulation

    Prevents shear locking in bending-dominated problems. This is a special case of the enhanced strain formulation and always introduces 9 internal DOFs (inaccessible to ANSYS users). Because there are no internal DOFs to handle volumetric locking, this formulation should not be used when the material is nearly incompressible, except when the Mixed u-P formulation is also used. When used with the Mixed u-P formulation, the simplified enhanced strain formulation gives the same results as the enhanced strain formulation. All internal DOFs are introduced automatically at the element level and condensed out.

    Because of the extra internal DOFs and static condensation, this option is less efficient than either the [image] method (selective reduced integration) option or the uniform reduced integration option, but is more efficient than the enhanced strain formulation due to using fewer internal DOFs.

    For more information about the simplified enhanced strain formulation, see the Theory Reference for ANSYS and ANSYS Workbench.

SOLID185 Structural Solid Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 185.1: "SOLID185 Structural Solid Element Output Definitions"

Several items are illustrated in Figure 185.2: "SOLID185 Structural Solid Stress Output". See Element Table for Variables Identified By Sequence Number in the Basic Analysis Guide and The Item and Sequence Number Table in this document for more information.

Figure 185.2 SOLID185 Structural Solid Stress Output

Stress directions shown are for global directions.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 185.1 SOLID185 Structural Solid Element Output Definitions

Name | Definition | O | R
EL | Element Number | - | Y
NODES | Nodes - I, J, K, L, M, N, O, P | - | Y
MAT | Material number | - | Y
VOLU: | Volume | - | Y
XC, YC, ZC | Location where results are reported | Y | 3
PRES | Pressures P1 at nodes J, I, L, K; P2 at I, J, N, M; P3 at J, K, O, N; P4 at K, L, P, O; P5 at L, I, M, P; P6 at M, N, O, P | - | Y
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | - | Y
S:X, Y, Z, XY, YZ, XZ | Stresses | Y | Y
S:1, 2, 3 | Principal stresses | - | Y
S:INT | Stress intensity | - | Y
S:EQV | Equivalent stress | - | Y
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | Y | Y
EPEL:1, 2, 3 | Principal elastic strains | - | Y
EPEL:EQV | Equivalent elastic strains [6] | - | Y
EPTH:X, Y, Z, XY, YZ, XZ | Thermal strains | 2 | 2
EPTH:EQV | Equivalent thermal strains [6] | 2 | 2
EPPL:X, Y, Z, XY, YZ, XZ | Plastic strains [7] | 1 | 1
EPPL:EQV | Equivalent plastic strains [6] | 1 | 1
EPCR:X, Y, Z, XY, YZ, XZ | Creep strains | 1 | 1
EPCR:EQV | Equivalent creep strains [6] | 1 | 1
EPTO:X, Y, Z, XY, YZ, XZ | Total mechanical strains (EPEL + EPPL + EPCR) | Y | -
EPTO:EQV | Total equivalent mechanical strains (EPEL + EPPL + EPCR) | Y | -
NL:EPEQ | Accumulated equivalent plastic strain | 1 | 1
NL:CREQ | Accumulated equivalent creep strain | 1 | 1
NL:SRAT | Plastic yielding (1 = actively yielding, 0 = not yielding) | 1 | 1
NL:HPRES | Hydrostatic pressure | 1 | 1
SEND:ELASTIC, PLASTIC, CREEP | Strain energy densities | - | 1
LOCI:X, Y, Z | Integration point locations | - | 4
SVAR:1, 2, ... , N | State variables | - | 5

  1. Nonlinear solution, output only if the element has a nonlinear material

  2. Output only if element has a thermal load

  3. Available only at centroid as a *GET item

  4. Available only if OUTRES,LOCI is used

  5. Available only if the USERMAT subroutine and TB,STATE are used

  6. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY); for plastic and creep this value is set at 0.5.

  7. For the shape memory alloy material model, transformation strains are reported as plasticity strain EPPL.

Table 185.2: "SOLID185 Structural Solid Item and Sequence Numbers" lists output available via ETABLE using the Sequence Number method. See Element Table for Variables Identified By Sequence Number in the Basic Analysis Guide and The Item and Sequence Number Table in this document for more information. The following notation is used in Table 185.2: "SOLID185 Structural Solid Item and Sequence Numbers":

Name

output quantity as defined in the Table 185.1: "SOLID185 Structural Solid Element Output Definitions"

Item

predetermined Item label for ETABLE command

I,J,...,P

sequence number for data at nodes I, J, ..., P

Table 185.2 SOLID185 Structural Solid Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | J | K | L | M | N | O | P
P1 | SMISC | 2 | 1 | 4 | 3 | - | - | - | -
P2 | SMISC | 5 | 6 | - | - | 8 | 7 | - | -
P3 | SMISC | - | 9 | 10 | - | - | 12 | 11 | -
P4 | SMISC | - | - | 13 | 14 | - | - | 16 | 15
P5 | SMISC | 18 | - | - | 17 | 19 | - | - | 20
P6 | SMISC | - | - | - | - | 21 | 22 | 23 | 24

SOLID185 Structural Solid Assumptions and Restrictions

  • Zero-volume elements are not allowed.

  • Elements may be numbered either as shown in Figure 185.1: "SOLID185 Structural Solid Geometry" or may have the planes IJKL and MNOP interchanged. The element may not be twisted such that the element has two separate volumes (which occurs most frequently when the elements are not numbered properly).

  • All elements must have eight nodes. You can form a prism-shaped element by defining duplicate K and L and duplicate O and P node numbers. (See Triangle, Prism and Tetrahedral Elements.) A tetrahedron shape is also available.

  • For the degenerated shape elements where the [image] or enhanced strain formulations are specified, degenerated shape functions and a conventional integration scheme are used.

  • If you use the mixed formulation (KEYOPT(6) = 1), you must use either the sparse solver (default) or the frontal solver.

  • For modal cyclic symmetry analyses, ANSYS recommends using enhanced strain formulation.

  • Stress stiffening is always included in geometrically nonlinear analyses (NLGEOM,ON). It is ignored in geometrically linear analyses (NLGEOM,OFF) when specified by SSTIF,ON. Prestress effects can be activated by the PSTRES command.

This element has a layered option (KEYOPT(3) = 1). See "SOLID185 Layered Solid Assumptions and Restrictions" for additional information.

SOLID185 Structural Solid Product Restrictions

None.

SOLID185 Layered Solid Element Description

Use SOLID185 Layered Solid to model layered thick shells or solids. The element allows up to 250 different material layers. The element may be stacked for modeling composites with more than 250 layers or for improving solution accuracy. The layered section definition is given by ANSYS section (SECxxx) commands. A prism degeneration option is also available.

Figure 185.3 SOLID185 Layered Solid Geometry

xo = Element x-axis if ESYS is not supplied.

x = Element x-axis if ESYS is supplied.

SOLID185 Layered Solid Input Data

The geometry and node locations for this element are shown in Figure 185.3: "SOLID185 Layered Solid Geometry". The element is defined by eight nodes. A prism-shaped element may be formed by defining the same node numbers for nodes K and L, and O and P.

In addition to the nodes, the element input data includes the anisotropic material properties. Anisotropic material directions correspond to the layer coordinate directions which are based on the element coordinate system. The element coordinate system follows the shell convention where the z axis is normal to the surface of the shell. The nodal ordering must follow the convention that I-J-K-L and M-N-O-P element faces represent the bottom and top shell surfaces, respectively. You can change the orientation within the plane of the layers via the ESYS command in the same way that you would for shell elements (as described in Coordinate Systems). To achieve the correct nodal ordering for a volume mapped (hexahedron) mesh, you can use the VEORIENT command to specify the desired volume orientation before executing the VMESH command. Alternatively, you can use the EORIENT command after automatic meshing to reorient the elements to be in line with the orientation of another element, or to be as parallel as possible to a defined ESYS axis.

Layered Section Definition Using Section Commands

You can associate SOLID185 Layered Solid with a shell section (SECTYPE). The layered composite specifications (including layer thickness, material, orientation, and number of integration points through the thickness of the layer) are specified via shell section (SECxxx) commands. You can use the shell section commands even with a single-layered element. ANSYS obtains the actual layer thicknesses used for element calculations by scaling the input layer thickness so that they are consistent with the thickness between the nodes. A section can be partially defined using data from a FiberSIM .xml file.

You can designate the number of integration points (1, 3, 5, 7, or 9) located through the thickness of each layer. Two points are located on the top and bottom surfaces respectively and the remaining points are distributed equal distance between the two points. The element requires at least two points through the entire thickness. When no shell section definition is provided, the element is treated as single-layered and uses two integration points through the thickness.

SOLID185 Layered Solid does not support real constant input for defining layer sections.

Other Input

The default orientation for this element has the S1 (shell surface coordinate) axis aligned with the first parametric direction of the element at the center of the element.

The default first surface direction S1 can be reoriented in the element reference plane (as shown in Figure 185.3: "SOLID185 Layered Solid Geometry") via the ESYS command. You can further rotate S1 by angle THETA (in degrees) for each layer via the SECDATA command to create layer-wise coordinate systems. See Coordinate Systems for details.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers in Figure 185.3: "SOLID185 Layered Solid Geometry". Positive pressures act into the element.

If you specify no element body load for defining temperatures--that is, if you define temperatures with commands other than BFE--SOLID185 Layered Solid adopts an element-wise temperature pattern and requires only eight temperatures for the eight element corner nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). `For any other input temperature pattern, unspecified nodal temperatures default to TUNIF. ANSYS computes all layer interface temperatures by interpolating nodal temperatures.

Alternatively, you can input temperatures as element body loads at the corners of the outside faces of the element and at the corners of the interfaces between layers (1-1024 maximum). In such a case, the element uses a layer-wise pattern. Temperatures T1, T2, T3, T4 are used for the bottom of layer 1, temperatures T5, T6, T7, T8 are used for interface corners between layers 1 and 2, and so on between successive layers, ending with temperatures at the top layer NLayer. If you input exactly NLayer+1 temperatures, one temperature is used for the four bottom corners of each layer, and the last temperature is used for the four top corner temperatures of the top layer. The first corner temperature T1 defaults to TUNIF. If all other corner temperatures are unspecified, they default to T1. For any other input pattern, unspecified temperatures default to TUNIF.

KEYOPT(6) = 1 sets the element for using mixed formulation. For details on the use of mixed formulation, see Applications of Mixed u-P Formulations in the Elements Reference.

You can apply an initial stress state to this element via the ISTRESS or ISFILE command. For more information, see Initial State Loading in the Basic Analysis Guide. Alternatively, you can set KEYOPT(10) = 1 to read initial stresses from the user subroutine USTRESS. For details about user subroutines, see the Guide to ANSYS User Programmable Features.

The effects of pressure load stiffness are automatically included for this element. If an unsymmetrical matrix is needed for pressure load stiffness effects, use NROPT,UNSYM.

The following table summarizes the element input. Element Input provides a general description of element input.

SOLID185 Layered Solid Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

UX, UY, UZ

Real Constants
None
Material Properties
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ),
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ),
DENS, GXY, GYZ, GXZ, DAMP
Surface Loads
Pressures --
face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N),
face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)
Body Loads
Temperatures --

T1, T2, T3, T4 at bottom of layer 1; T5, T6, T7, T8 between layers 1-2; similarly for between successive layers, ending with temperatures at top of layer NLayer (4 * (NLayer + 1) maximum)

Special Features
Plasticity
Hyperelasticity
Viscoelasticity
Viscoplasticity
Creep
Stress stiffening
Large deflection
Large strain
Initial stress import
Automatic selection of element technology
Birth and death
Supports the following types of data tables associated with the TB command: AHYPER, ANEL, BISO, MISO, NLISO, BKIN, MKIN, KINH, CHABOCHE, HILL, RATE, CREEP, HYPER, PRONY, SHIFT, CAST, SMA, ELASTIC, SDAMP, PLASTIC, and USER.

Note

See the Theory Reference for ANSYS and ANSYS Workbench for details about material models.

See Automatic Selection of Element Technologies and ETCONTROL for more information about selecting element technologies.

KEYOPT(2)

Element technology:

2 --

Enhanced strain formulation

3 --

Simplified enhanced strain formulation (default)

KEYOPT(3)

Layer construction:

0 --

Structural Solid (not applicable to SOLID185 Layered Solid)

1 --

Layered Solid

KEYOPT(6)

Element formulation:

0 --

Use pure displacement formulation (default)

1 --

Use mixed formulation

KEYOPT(8)

Layer data storage:

0 --

Store data for bottom of bottom layer and top of top layer (default)

1 --

Store top and bottom data for all layers

Note

The amount of data involved can be very large when KEYOPT(8) = 1.

KEYOPT(10)

User-defined initial stress:

0 --

No user subroutine to provide initial stresses (default)

1 --

Read initial stress data from user subroutine USTRESS

Note

See the Guide to ANSYS User Programmable Features for user written subroutines.

SOLID185 Layered Solid Element Technology

SOLID185 Layered Solid uses the enhanced strain formulation method, as follows:

  • Enhanced strain formulation

    Prevents shear locking in bending-dominated problems and volumetric locking in nearly incompressible cases. The formulation introduces 13 internal DOFs (inaccessible to ANSYS users). If mixed u-P formulation is employed with enhanced strain formulation, only nine DOFs for overcoming shear-locking are used. All internal DOFs are introduced automatically at the element level and condensed out.

    For more information about enhanced strain formulation, see the Theory Reference for ANSYS and ANSYS Workbench.

  • Simplified enhanced strain formulation

    Prevents shear locking in bending-dominated problems. This is a special case of the enhanced strain formulation and always introduces 9 internal DOFs (inaccessible to ANSYS users). Because there are no internal DOFs to handle volumetric locking, this formulation should not be used when the material is nearly incompressible, except when the Mixed u-P formulation is also used. When used with the Mixed u-P formulation, the simplified enhanced strain formulation gives the same results as the enhanced strain formulation. All internal DOFs are introduced automatically at the element level and condensed out.

    This option is more efficient than the enhanced strain formulation because it uses fewer internal DOFs.

    For more information about the simplified enhanced strain formulation, see the Theory Reference for ANSYS and ANSYS Workbench.

SOLID185 Layered Solid Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 185.3: "SOLID185 Layered Solid Element Output Definitions"

Several items are illustrated in Figure 185.4: "SOLID185 Layered Solid Stress Output". See Filling the Element Table for Variables Identified By Sequence Number in the Basic Analysis Guide and The Item and Sequence Number Table in this document for more information.

Figure 185.4 SOLID185 Layered Solid Stress Output

Stress directions shown are for global directions.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 185.3 SOLID185 Layered Solid Element Output Definitions

Name | Definition | O | R
EL | Element Number | - | Y
NODES | Nodes - I, J, K, L, M, N, O, P | - | Y
MAT | Material number | - | Y
VOLU: | Volume | - | Y
XC, YC, ZC | Location where results are reported | Y | 3
PRES | Pressures P1 at nodes J, I, L, K; P2 at I, J, N, M; P3 at J, K, O, N; P4 at K, L, P, O; P5 at L, I, M, P; P6 at M, N, O, P | - | Y
TEMP | T1, T2, T3, T4 at bottom of layer 1; T5, T6, T7, T8 between layers 1-2; similarly for between successive layers, ending with temperatures at top of layer NL (4 * (NL + 1) maximum) | - | Y
S:X, Y, Z, XY, YZ, XZ | Stresses | Y | Y
S:1, 2, 3 | Principal stresses | - | Y
S:INT | Stress intensity | - | Y
S:EQV | Equivalent stress | - | Y
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | Y | Y
EPEL:1, 2, 3 | Principal elastic strains | - | Y
EPEL:EQV | Equivalent elastic strains [6] | - | Y
EPTH:X, Y, Z, XY, YZ, XZ | Thermal strains | 2 | 2
EPTH:EQV | Equivalent thermal strains [6] | 2 | 2
EPPL:X, Y, Z, XY, YZ, XZ | Plastic strains [7] | 1 | 1
EPPL:EQV | Equivalent plastic strains [6] | 1 | 1
EPCR:X, Y, Z, XY, YZ, XZ | Creep strains | 1 | 1
EPCR:EQV | Equivalent creep strains [6] | 1 | 1
EPTO:X, Y, Z, XY, YZ, XZ | Total mechanical strains (EPEL + EPPL + EPCR) | Y | -
EPTO:EQV | Total equivalent mechanical strains (EPEL + EPPL + EPCR) | Y | -
NL:EPEQ | Accumulated equivalent plastic strain | 1 | 1
NL:CREQ | Accumulated equivalent creep strain | 1 | 1
NL:SRAT | Plastic yielding (1 = actively yielding, 0 = not yielding) | 1 | 1
NL:HPRES | Hydrostatic pressure | 1 | 1
SEND:ELASTIC, PLASTIC, CREEP | Strain energy densities | - | 1
LOCI:X, Y, Z | Integration point locations | - | 4
SVAR:1, 2, ... , N | State variables | - | 5
ILSXZ | SXZ interlaminar shear stress | - | Y
ILSYZ | SYZ interlaminar shear stress | - | Y
ILSUM | Interlaminar shear stress vector sum | - | Y
ILANG | Angle of interlaminar shear stress vector (measured from the element x-axis toward the element y-axis in degrees) | - | Y

  1. Nonlinear solution, output only if the element has a nonlinear material

  2. Output only if element has a thermal load

  3. Available only at centroid as a *GET item

  4. Available only if OUTRES,LOCI is used

  5. Available only if the USERMAT subroutine and TB,STATE are used

  6. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY); for plastic and creep this value is set at 0.5.

  7. For the shape memory alloy material model, transformation strains are reported as plasticity strain EPPL.

Table 185.4: "SOLID185 Layered Solid Item and Sequence Numbers" lists output available via ETABLE using the Sequence Number method. See Element Table for Variables Identified By Sequence Number in the Basic Analysis Guide and The Item and Sequence Number Table in this document for more information. The following notation is used in Table 185.4: "SOLID185 Layered Solid Item and Sequence Numbers":

Name

output quantity as defined in Table 185.3: "SOLID185 Layered Solid Element Output Definitions"

Item

predetermined Item label for ETABLE command

I,J,...,P

sequence number for data at nodes I, J, ..., P

Table 185.4 SOLID185 Layered Solid Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | J | K | L | M | N | O | P
P1 | SMISC | 2 | 1 | 4 | 3 | - | - | - | -
P2 | SMISC | 5 | 6 | - | - | 8 | 7 | - | -
P3 | SMISC | - | 9 | 10 | - | - | 12 | 11 | -
P4 | SMISC | - | - | 13 | 14 | - | - | 16 | 15
P5 | SMISC | 18 | - | - | 17 | 19 | - | - | 20
P6 | SMISC | - | - | - | - | 21 | 22 | 23 | 24
Output Quantity Name | ETABLE and ESOL Command Input
 | Item | Bottom of Layer i | Top of Layer NL
ILSXZ | SMISC | 8 * (i - 1) + 41 | 8 * (NL - 1) + 42
ILSYZ | SMISC | 8 * (i - 1) + 43 | 8 * (NL - 1) + 44
ILSUM | SMISC | 8 * (i - 1) + 45 | 8 * (NL - 1) + 46
ILANG | SMISC | 8 * (i - 1) + 47 | 8 * (NL - 1) + 48

SOLID185 Layered Solid Assumptions and Restrictions

  • Zero-volume elements are not allowed.

  • Elements may be numbered either as shown in Figure 185.3: "SOLID185 Layered Solid Geometry" or may have the planes IJKL and MNOP interchanged. The element may not be twisted such that the element has two separate volumes (which occurs most frequently when the elements are not numbered properly).

  • All elements must have eight nodes. You can form a prism-shaped element by defining duplicate K and L and duplicate O and P node numbers. (See Triangle, Prism and Tetrahedral Elements.) A tetrahedron shape is not allowed.

  • If you use the mixed formulation (KEYOPT(6) = 1), you must use either the sparse solver (default) or the frontal solver.

  • Stress stiffening is always included in geometrically nonlinear analyses (NLGEOM,ON). It is ignored in geometrically linear analyses (NLGEOM,OFF) when specified by SSTIF,ON. Prestress effects can be activated via the PSTRES command.

  • The maximum number of layers is 250.

  • If the material of a layer is hyperelastic, the layer orientation angle has no effect.

SOLID185 Layered Solid Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MPC184-General 		Up / Home Next
SOLID186


SOLID186

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID186

3-D 20-Node Structural Solid or Layered Solid

MP ME ST PR PRN DS DSS <> <> <> <> PP VT

Product Restrictions

SOLID186 Element Description

SOLID186 is a higher order 3-D 20-node solid element that exhibits quadratic displacement behavior. The element is defined by 20 nodes having three degrees of freedom per node: translations in the nodal x, y, and z directions. The element supports plasticity, hyperelasticity, creep, stress stiffening, large deflection, and large strain capabilities. It also has mixed formulation capability for simulating deformations of nearly incompressible elastoplastic materials, and fully incompressible hyperelastic materials.

SOLID186 is available in two forms:

  • Structural Solid (KEYOPT(3) = 0, the default) -- See "SOLID186 Structural Solid Element Description ".

  • Layered Solid (KEYOPT(3) = 1) -- See "SOLID186 Layered Solid Element Description".

A lower-order version of the SOLID186 element is SOLID185.

SOLID186 Structural Solid Element Description

SOLID186 Structural Solid is well suited to modeling irregular meshes (such as those produced by various CAD/CAM systems). The element may have any spatial orientation.

Various printout options are available. See SOLID186 in the Theory Reference for ANSYS and ANSYS Workbench for more details.

Figure 186.1 SOLID186 Structural Solid Geometry

SOLID186 Structural Solid Input Data

The geometry, node locations, and the element coordinate system for this element are shown in Figure 186.1: "SOLID186 Structural Solid Geometry". A prism-shaped element may be formed by defining the same node numbers for nodes K, L, and S; nodes A and B; and nodes O, P, and W. A tetrahedral-shaped element and a pyramid-shaped element may also be formed as shown in Figure 186.1: "SOLID186 Structural Solid Geometry". SOLID187 is a similar, but 10-node tetrahedron element.

In addition to the nodes, the element input data includes the anisotropic material properties. Anisotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 186.1: "SOLID186 Structural Solid Geometry". Positive pressures act into the element. Temperatures may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). If all corner node temperatures are specified, each midside node temperature defaults to the average temperature of its adjacent corner nodes. For any other input temperature pattern, unspecified temperatures default to TUNIF.

As described in Coordinate Systems, you can use ESYS to orient the material properties and strain/stress output. Use RSYS to choose output that follows the material coordinate system or the global coordinate system. For the case of hyperelastic materials, the output of stress and strain is always with respect to the global Cartesian coordinate system rather than following the material/element coordinate system.

KEYOPT(6) = 1 sets the element for using mixed formulation. For details on the use of mixed formulation, see Applications of Mixed u-P Formulations in the Elements Reference.

You can apply an initial stress state to this element via the INISTATE command. For more information, see the INISTATE command, and also Initial Stress Loading in the Basic Analysis Guide. Alternately, you can set KEYOPT(10) = 1 to read initial stresses from the user subroutine USTRESS. For details on user subroutines, see the Guide to ANSYS User Programmable Features.

The effects of pressure load stiffness are automatically included for this element. If an unsymmetric matrix is needed for pressure load stiffness effects, use NROPT,UNSYM.

The following table summarizes the element input. Element Input provides a general description of element input.

SOLID186 Structural Solid Input Summary

Nodes

I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z, A, B

Degrees of Freedom

UX, UY, UZ

Real Constants

None

Material Properties
EX, EY, EZ, ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX,THSY, THSZ),
PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ),
DENS, GXY, GYZ, GXZ, DAMP
Surface Loads
face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N),
face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)
Body Loads
Temperatures --

T(I), T(J),T(K), T(L), T(M), T(N), T(O), T(P), T(Q), T(R), T(S), T(T), T(U), T(V), T(W), T(X), T(Y), T(Z), T(A), T(B)

Special Features
Plasticity (PLASTIC, BISO, MISO, NLISO, BKIN, MKIN, KINH, CHABOCHE, HILL)
Hyperelasticity (AHYPER, HYPER)
Viscoelasticity (PRONY, SHIFT)
Viscoplasticity/Creep (CREEP, RATE)
Elasticity (ELASTIC, ANEL)
Other material (USER, SDAMP, SMA, CAST, EDP, GURSON)
Stress stiffening
Large deflection
Large strain
Initial stress import
Nonlinear stabilization
Automatic selection of element technology
Birth and death

Note

Items in parentheses refer to data tables associated with the TB command. See the Theory Reference for ANSYS and ANSYS Workbench for details of the material models.

Note

See Automatic Selection of Element Technologies and ETCONTROL for more information on selection of element technologies.

KEYOPT(2)

Element technology:

0 --

Uniform reduced integration (default)

1 --

Full integration

KEYOPT(3)

Layer construction:

0 --

Structural Solid (default) -- nonlayered

1 --

Layered Solid (not applicable to SOLID186 Structural Solid)

KEYOPT(6)

Element formulation:

0 --

Use pure displacement formulation (default)

1 --

Use mixed formulation

KEYOPT(10)

User-defined initial stress:

0 --

No user subroutine to provide initial stresses (default)

1 --

Read initial stress data from user subroutine USTRESS

Note

See the Guide to ANSYS User Programmable Features for user written subroutines.

SOLID186 Structural Solid Element Technology

SOLID186 uses the uniform reduced integration method or the full integration method, as follows:

  • Uniform reduced integration method

    Helps to prevent volumetric mesh locking in nearly incompressible cases. However, hourglass mode might propagate in the model if there are not at least two layers of elements in each direction.

  • Full integration

    The full integration method does not cause hourglass mode, but can cause volumetric locking in nearly incompressible cases. This method is used primarily for purely linear analyses, or when the model has only one layer of elements in each direction.

SOLID186 Structural Solid Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 186.1: "SOLID186 Structural Solid Element Output Definitions"

Figure 186.2 SOLID186 Structural Solid Stress Output

The element stress directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 186.1 SOLID186 Structural Solid Element Output Definitions

Name | Definition | O | R
EL | Element number and name | - | Y
NODES | Nodes - I, J, K, L, M, N, O, P | - | Y
MAT | Material number | - | Y
VOLU: | Volume | - | Y
XC, YC, ZC | Location where results are reported | Y | 3
PRES | Pressures P1 at nodes J, I, L, K; P2 at I, J, N, M; P3 at J, K, O, N; P4 at K, L, P, O; P5 at L, I, M, P; P6 at M, N, O, P | - | Y
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | - | Y
S:X, Y, Z, XY, YZ, XZ | Stresses | Y | Y
S:1, 2, 3 | Principal stresses | - | Y
S:INT | Stress intensity | - | Y
S:EQV | Equivalent stress | - | Y
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | Y | Y
EPEL:1, 2, 3 | Principal elastic strains | Y | -
EPEL:EQV | Equivalent elastic strains [6] | Y | Y
EPTH:X, Y, Z, XY, YZ, XZ | Thermal strains | 2 | 2
EPTH:EQV | Equivalent thermal strains [6] | 2 | 2
EPPL:X, Y, Z, XY, YZ, XZ | Plastic strains [7] | 1 | 1
EPPL:EQV | Equivalent plastic strains [6] | 1 | 1
EPCR:X, Y, Z, XY, YZ, XZ | Creep strains | 1 | 1
EPCR:EQV | Equivalent creep strains [6] | 1 | 1
EPTO:X, Y, Z, XY, YZ, XZ | Total mechanical strains (EPEL + EPPL + EPCR) | Y | -
EPTO:EQV | Total equivalent mechanical strains (EPEL + EPPL + EPCR) | Y | -
NL:EPEQ | Accumulated equivalent plastic strain | 1 | 1
NL:CREQ | Accumulated equivalent creep strain | 1 | 1
NL:SRAT | Plastic yielding (1 = actively yielding, 0 = not yielding) | 1 | 1
NL:HPRES | Hydrostatic pressure | 1 | 1
SEND:ELASTIC, PLASTIC, CREEP | Strain energy density | - | 1
LOCI:X, Y, Z | Integration point locations | - | 4
SVAR:1, 2, ... , N | State variables | - | 5

  1. Nonlinear solution (output only if the element has a nonlinear material)

  2. Output only if element has a thermal load

  3. Available only at centroid as a *GET item.

  4. Available only if OUTRES,LOCI is used.

  5. Available only if the USERMAT subroutine and TB,STATE are used.

  6. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY); for plastic and creep this value is set at 0.5.

  7. For the shape memory alloy material model, transformation strains are reported as plasticity strain EPPL.

Table 186.2: "SOLID186 Structural Solid Item and Sequence Numbers" lists output available through ETABLE using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this document for more information. The following notation is used in Table 186.2: "SOLID186 Structural Solid Item and Sequence Numbers":

Name

output quantity as defined in Table 186.1: "SOLID186 Structural Solid Element Output Definitions"

Item

predetermined Item label for ETABLE

I,J,...,B

sequence number for data at nodes I, J, ..., B

Table 186.2 SOLID186 Structural Solid Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | J | K | L | M | N | O | P | Q,...,B
P1 | SMISC | 2 | 1 | 4 | 3 | - | - | - | - | -
P2 | SMISC | 5 | 6 | - | - | 8 | 7 | - | - | -
P3 | SMISC | - | 9 | 10 | - | - | 12 | 11 | - | -
P4 | SMISC | - | - | 13 | 14 | - | - | 16 | 15 | -
P5 | SMISC | 18 | - | - | 17 | 19 | - | - | 20 | -
P6 | SMISC | - | - | - | - | 21 | 22 | 23 | 24 | -

See Surface Solution in this document for the item and sequence numbers for surface output for ETABLE.

SOLID186 Structural Solid Assumptions and Restrictions

  • The element must not have a zero volume. Also, the element may not be twisted such that the element has two separate volumes (which occurs most frequently when the element is not numbered properly). Elements may be numbered either as shown in Figure 186.1: "SOLID186 Structural Solid Geometry" or may have the planes IJKL and MNOP interchanged.

  • An edge with a removed midside node implies that the displacement varies linearly, rather than parabolically, along that edge. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information on the use of midside nodes.

  • Use at least two elements in each direction to avoid hourglass mode if uniform reduced integration is used (KEYOPT(2) = 0).

  • When degenerated into a tetrahedron, wedge, or pyramid element shape (see Triangle, Prism and Tetrahedral Elements), the corresponding degenerated shape functions are used. Degeneration to a pyramidal form should be used with caution. The element sizes, when degenerated, should be small to minimize the stress gradients. Pyramid elements are best used as filler elements or in meshing transition zones.

  • For mixed formulation (KEYOPT(6) = 1), no midside nodes can be missed, and no degenerated shapes are recommended. If you use the mixed formulation, you must use either the sparse solver (default) or the frontal solver.

  • Stress stiffening is always included in geometrically nonlinear analyses (NLGEOM,ON). It is ignored in geometrically linear analyses (NLGEOM,OFF) when specified by SSTIF,ON. Prestress effects can be activated via the PSTRES command.

This element has a layered option (KEYOPT(3) = 1). See "SOLID186 Layered Solid Assumptions and Restrictions" for additional information.

SOLID186 Structural Solid Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The only special feature allowed is stress stiffening.

SOLID186 Layered Solid Element Description

Use SOLID186 Layered Solid to model layered thick shells or solids. The element allows up to 250 different material layers. The element may be stacked for modeling composites with more than 250 layers or for improving solution accuracy. The layered section definition is given by ANSYS section (SECxxx) commands. A prism degeneration option is also available.

Figure 186.3 SOLID186 Layered Solid Geometry

xo = Element x-axis if ESYS is not supplied.

x = Element x-axis if ESYS is supplied.

SOLID186 Layered Solid Input Data

The geometry, node locations, and the element coordinate system for this element are shown in Figure 186.3: "SOLID186 Layered Solid Geometry". A prism-shaped element may be formed by defining the same node numbers for nodes K, L, and S; nodes A and B; and nodes O, P, and W.

In addition to the nodes, the element input data includes the anisotropic material properties. Anisotropic material directions correspond to the layer coordinate directions which are based on the element coordinate system. The element coordinate system follows the shell convention where the z axis is normal to the surface of the shell. The nodal ordering must follow the convention that I-J-K-L and M-N-O-P element faces represent the bottom and top shell surfaces, respectively. You can change the orientation within the plane of the layers via the ESYS command in the same way that you would for shell elements (as described in Coordinate Systems). To achieve the correct nodal ordering for a volume mapped (hexahedron) mesh, you can use the VEORIENT command to specify the desired volume orientation before executing the VMESH command. Alternatively, you can use the EORIENT command after automatic meshing to reorient the elements to be in line with the orientation of another element, or to be as parallel as possible to a defined ESYS axis.

Layered Section Definition Using Section Commands

You can associate SOLID186 Layered Solid with a shell section (SECTYPE). The layered composite specifications (including layer thickness, material, orientation, and number of integration points through the thickness of the layer) are specified via shell section (SECxxx) commands. You can use the shell section commands even with a single-layered element. ANSYS obtains the actual layer thicknesses used for element calculations by scaling the input layer thickness so that they are consistent with the thickness between the nodes. A section can be partially defined using data from a FiberSIM .xml file.

You can designate the number of integration points (1, 3, 5, 7, or 9) located through the thickness of each layer. Two points are located on the top and bottom surfaces respectively and the remaining points are distributed equal distance between the two points. The element requires at least two points through the entire thickness. When no shell section definition is provided, the element is treated as single-layered and uses two integration points through the thickness.

SOLID186 Layered Solid does not support real constant input for defining layer sections.

Other Input

The default orientation for this element has the S1 (shell surface coordinate) axis aligned with the first parametric direction of the element at the center of the element.

The default first surface direction S1 can be reoriented in the element reference plane (as shown in Figure 186.3: "SOLID186 Layered Solid Geometry") via the ESYS command. You can further rotate S1 by angle THETA (in degrees) for each layer via the SECDATA command to create layer-wise coordinate systems. See Coordinate Systems for details.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers in Figure 186.3: "SOLID186 Layered Solid Geometry". Positive pressures act into the element.

If you specify no element body load for defining temperatures--that is, if you define temperatures with commands other than BFE--SOLID186 Layered Solid adopts an element-wise temperature pattern and requires only eight temperatures for the eight element corner nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). If all corner node temperatures are specified, each midside node temperature defaults to the average temperature of its adjacent corner nodes. For any other input temperature pattern, unspecified nodal temperatures default to TUNIF. ANSYS computes all layer interface temperatures by interpolating nodal temperatures.

Alternatively, you can input temperatures as element body loads at the corners of the outside faces of the element and at the corners of the interfaces between layers (1-1024 maximum). In such a case, the element uses a layer-wise pattern. Temperatures T1, T2, T3, T4 are used for the bottom of layer 1, temperatures T5, T6, T7, T8 are used for interface corners between layers 1 and 2, and so on between successive layers, ending with temperatures at the top layer NLayer. If you input exactly NLayer+1 temperatures, one temperature is used for the four bottom corners of each layer, and the last temperature is used for the four top corner temperatures of the top layer. The first corner temperature T1 defaults to TUNIF. If all other corner temperatures are unspecified, they default to T1. For any other input pattern, unspecified temperatures default to TUNIF.

As described in Coordinate Systems, you can use the ESYS command to orient the material properties and strain/stress output. Use RSYS to choose output that follows the material coordinate system or the global coordinate system. For the case of hyperelastic materials, the output of stress and strain is always with respect to the global Cartesian coordinate system rather than the material/element coordinate system.

KEYOPT(6) = 1 sets the element for using u-P mixed formulation. For details about the use of mixed formulation, see Applications of Mixed u-P Formulations in the Elements Reference.

You can apply an initial stress state to this element via the ISTRESS or ISFILE command. For more information, see Initial Stress Loading in the Basic Analysis Guide. Alternately, you can set KEYOPT(10) = 1 to read initial stresses from the user subroutine USTRESS. For details about user subroutines, see the Guide to ANSYS User Programmable Features.

The effects of pressure load stiffness are automatically included for this element. If an unsymmetric matrix is needed for pressure load stiffness effects, use NROPT,UNSYM.

The following table summarizes the element input. Element Input provides a general description of element input.

SOLID186 Layered Solid Input Summary

Nodes

I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z, A, B

Degrees of Freedom

UX, UY, UZ

Real Constants

None

Material Properties
EX, EY, EZ, ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX,THSY, THSZ),
PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ),
DENS, GXY, GYZ, GXZ, DAMP
Surface Loads
face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N),
face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)
Body Loads
Temperatures --

T1, T2, T3, T4 at bottom of layer 1; T5, T6, T7, T8 between layers 1-2; similarly for between successive layers, ending with temperatures at top of layer NLayer (4 * (NLayer + 1) maximum)

Special Features
Plasticity
Hyperelasticity
Viscoelasticity
Viscoplasticity
Creep
Stress stiffening
Large deflection
Large strain
Initial stress import
Automatic selection of element technology
Birth and death
Supports the following types of data tables associated with the TB command: ANEL, BISO, MISO, NLISO, BKIN, MKIN, KINH, CHABOCHE, HILL, RATE, CREEP, HYPER, PRONY, SHIFT, CAST, SMA, ELASTIC, SDAMP, PLASTIC, and USER.

Note

See the Theory Reference for ANSYS and ANSYS Workbench for details on the material models.

See Automatic Selection of Element Technologies and ETCONTROL for more information on selection of element technologies.

KEYOPT(2)

Element technology:

0 --

Uniform reduced integration (default)

KEYOPT(3)

Layer construction:

0 --

Structural Solid (not applicable to SOLID186 Layered Solid)

1 --

Layered Solid

KEYOPT(6)

Element formulation:

0 --

Use pure displacement formulation (default)

1 --

Use mixed formulation

KEYOPT(8)

Layer data storage:

0 --

Store data for bottom of bottom layer and top of top layer

1 --

Store top and bottom data for all layers

Note

Be aware that the amount of data involved can be very large when KEYOPT(8) = 1.

KEYOPT(10)

User-defined initial stress:

0 --

No user subroutine to provide initial stresses (default)

1 --

Read initial stress data from user subroutine USTRESS

Note

See the Guide to ANSYS User Programmable Features for user-written subroutines.

SOLID186 Layered Solid Element Technology

SOLID186 Layered Solid supports only the uniform reduced integration method (KEYOPT(2) = 0), which helps to prevent volumetric mesh locking in nearly incompressible cases. However, hourglass mode might propagate in the model if there are not at least two layers of elements in each direction.

SOLID186 Layered Solid Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 186.3: "SOLID186 Layered Solid Element Output Definitions"

Figure 186.4 SOLID186 Layered Solid Stress Output

The element stress directions are parallel to the layer coordinate system. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 186.3 SOLID186 Layered Solid Element Output Definitions

Name | Definition | O | R
EL | Element number and name | - | Y
NODES | Nodes - I, J, K, L, M, N, O, P | - | Y
MAT | Material number | - | Y
VOLU: | Volume | - | Y
XC, YC, ZC | Location where results are reported | Y | 3
PRES | Pressures P1 at nodes J, I, L, K; P2 at I, J, N, M; P3 at J, K, O, N; P4 at K, L, P, O; P5 at L, I, M, P; P6 at M, N, O, P | - | Y
TEMP | T1, T2, T3, T4 at bottom of layer 1; T5, T6, T7, T8 between layers 1-2; similarly for between successive layers, ending with temperatures at top of layer NL (4 * (NL + 1) maximum) | - | Y
S:X, Y, Z, XY, YZ, XZ | Stresses | Y | Y
S:1, 2, 3 | Principal stresses | - | Y
S:INT | Stress intensity | - | Y
S:EQV | Equivalent stress | - | Y
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | Y | Y
EPEL:1, 2, 3 | Principal elastic strains | Y | -
EPEL:EQV | Equivalent elastic strains [6] | Y | Y
EPTH:X, Y, Z, XY, YZ, XZ | Thermal strains | 2 | 2
EPTH:EQV | Equivalent thermal strains [6] | 2 | 2
EPPL:X, Y, Z, XY, YZ, XZ | Plastic strains [7] | 1 | 1
EPPL:EQV | Equivalent plastic strains [6] | 1 | 1
EPCR:X, Y, Z, XY, YZ, XZ | Creep strains | 1 | 1
EPCR:EQV | Equivalent creep strains [6] | 1 | 1
EPTO:X, Y, Z, XY, YZ, XZ | Total mechanical strains (EPEL + EPPL + EPCR) | Y | -
EPTO:EQV | Total equivalent mechanical strains (EPEL + EPPL + EPCR) | Y | -
NL:EPEQ | Accumulated equivalent plastic strain | 1 | 1
NL:CREQ | Accumulated equivalent creep strain | 1 | 1
NL:SRAT | Plastic yielding (1 = actively yielding, 0 = not yielding) | 1 | 1
NL:HPRES | Hydrostatic pressure | 1 | 1
SEND:ELASTIC, PLASTIC, CREEP | Strain energy density | - | 1
LOCI:X, Y, Z | Integration point locations | - | 4
SVAR:1, 2, ... , N | State variables | - | 5
ILSXZ | SXZ interlaminar shear stress | - | Y
ILSYZ | SYZ interlaminar shear stress | - | Y
ILSUM | Interlaminar shear stress vector sum | - | Y
ILANG | Angle of interlaminar shear stress vector (measured from the element x-axis toward the element y-axis in degrees) | - | Y

  1. Nonlinear solution (output only if the element has a nonlinear material)

  2. Output only if element has a thermal load

  3. Available only at centroid as a *GET item.

  4. Available only if OUTRES,LOCI is used.

  5. Available only if the USERMAT subroutine and TB,STATE are used.

  6. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY); for plastic and creep this value is set at 0.5.

  7. For the shape memory alloy material model, transformation strains are reported as plasticity strain EPPL.

Table 186.4: "SOLID186 Layered Solid Item and Sequence Numbers" lists output available via ETABLE using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this document for more information. The following notation is used in Table 186.4: "SOLID186 Layered Solid Item and Sequence Numbers":

Name

output quantity as defined in Table 186.3: "SOLID186 Layered Solid Element Output Definitions"

Item

predetermined Item label for ETABLE

I,J,...,B

sequence number for data at nodes I, J, ..., B

Table 186.4 SOLID186 Layered Solid Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | J | K | L | M | N | O | P | Q,...,B
P1 | SMISC | 2 | 1 | 4 | 3 | - | - | - | - | -
P2 | SMISC | 5 | 6 | - | - | 8 | 7 | - | - | -
P3 | SMISC | - | 9 | 10 | - | - | 12 | 11 | - | -
P4 | SMISC | - | - | 13 | 14 | - | - | 16 | 15 | -
P5 | SMISC | 18 | - | - | 17 | 19 | - | - | 20 | -
P6 | SMISC | - | - | - | - | 21 | 22 | 23 | 24 | -
Output Quantity Name | ETABLE and ESOL Command Input
 | Item | Bottom of Layer i | Top of Layer NL
ILSXZ | SMISC | 8 * (i - 1) + 41 | 8 * (NL - 1) + 42
ILSYZ | SMISC | 8 * (i - 1) + 43 | 8 * (NL - 1) + 44
ILSUM | SMISC | 8 * (i - 1) + 45 | 8 * (NL - 1) + 46
ILANG | SMISC | 8 * (i - 1) + 47 | 8 * (NL - 1) + 48

See Surface Solution in this document for the item and sequence numbers for surface output for ETABLE.

SOLID186 Layered Solid Assumptions and Restrictions

  • The element must not have a zero volume. Also, the element may not be twisted such that the element has two separate volumes (which occurs most frequently when the element is not numbered properly). Elements may be numbered either as shown in Figure 186.3: "SOLID186 Layered Solid Geometry" or may have the planes IJKL and MNOP interchanged.

  • An edge with a removed midside node implies that the displacement varies linearly, rather than parabolically, along that edge. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information on the use of midside nodes.

  • Use at least two elements in each direction to avoid hourglass mode.

  • When degenerated into a wedge element shape (see Triangle, Prism and Tetrahedral Elements), the corresponding degenerated shape functions are used. The element sizes, when degenerated, should be small to minimize the stress gradients.

  • For mixed formulation (KEYOPT(6) = 1), no midside nodes can be missed, and no degenerated shapes are recommended. If you use the mixed formulation, you must use either the sparse solver (default) or the frontal solver.

  • Stress stiffening is always included in geometrically nonlinear analyses (NLGEOM,ON). It is ignored in geometrically linear analyses (NLGEOM,OFF) when specified by SSTIF,ON. Prestress effects can be activated via the PSTRES command.

  • The maximum number of layers is 250.

  • If the material of a layer is hyperelastic, the layer orientation angle has no effect.

SOLID186 Layered Solid Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The only special feature allowed is stress stiffening.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID185 		Up / Home Next
SOLID187


SOLID187

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID187

3-D 10-Node Tetrahedral Structural Solid

MP ME ST PR PRN DS DSS <> <> <> <> PP VT

Product Restrictions

SOLID187 Element Description

SOLID187 element is a higher order 3-D, 10-node element. SOLID187 has a quadratic displacement behavior and is well suited to modeling irregular meshes (such as those produced from various CAD/CAM systems).

The element is defined by 10 nodes having three degrees of freedom at each node: translations in the nodal x, y, and z directions. The element has plasticity, hyperelasticity, creep, stress stiffening, large deflection, and large strain capabilities. It also has mixed formulation capability for simulating deformations of nearly incompressible elastoplastic materials, and fully incompressible hyperelastic materials. See SOLID187 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 187.1 SOLID187 Geometry

SOLID187 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 187.1: "SOLID187 Geometry".

In addition to the nodes, the element input data includes the orthotropic or anisotropic material properties. Orthotropic and anisotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Linear Material Properties.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 187.1: "SOLID187 Geometry". Positive pressures act into the element. Temperatures may be input as element body loads at the nodes. The node I temperature T(I) defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). If all corner node temperatures are specified, each midside node temperature defaults to the average temperature of its adjacent corner nodes. For any other input temperature pattern, unspecified temperatures default to TUNIF.

As described in Coordinate Systems, you can use ESYS to orient the material properties and strain/stress output. Use RSYS to choose output that follows the material coordinate system or the global coordinate system. For the case of hyperelastic materials, the output of stress and strain is always with respect to the global Cartesian coordinate system rather than following the material/element coordinate system.

KEYOPT(6) = 1 or 2 sets the element for using mixed formulation. For details on the use of mixed formulation, see Applications of Mixed u-P Formulations in the Elements Reference.

You can apply an initial stress state to this element via the INISTATE command. For more information, see the INISTATE command, and also Initial Stress Loading in the Basic Analysis Guide. Alternately, you can set KEYOPT(10) = 1 to read initial stresses from the user subroutine USTRESS. For details on user subroutines, see the Guide to ANSYS User Programmable Features.

The effects of pressure load stiffness are automatically included for this element. If an unsymmetric matrix is needed for pressure load stiffness effects, use NROPT,UNSYM.

The next table summarizes the element input. Element Input gives a general description of element input.

SOLID187 Input Summary

Nodes

I, J, K, L, M, N, O, P, Q, R

Degrees of Freedom

UX, UY, UZ

Real Constants

None

Material Properties
EX, EY, EZ, ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ),
PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ),
DENS, GXY, GYZ, GXZ, DAMP
Surface Loads
Pressures --

face 1 (J-I-K), face 2 (I-J-L), face 3 (J-K-L), face 4 (K-I-L)

Body Loads
Temperatures --

T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P), T(Q), T(R)

Special Features
Plasticity (PLASTIC, BISO, MISO, NLISO, BKIN, MKIN, KINH, CHABOCHE, HILL)
Hyperelasticity (AHYPER, HYPER)
Viscoelasticity (PRONY, SHIFT)
Viscoplasticity/Creep (CREEP, RATE)
Elasticity (ELASTIC, ANEL)
Other material (USER, SDAMP, SMA, CAST, EDP, GURSON)
Stress stiffening
Large deflection
Large strain
Initial stress import
Nonlinear stabilization
Automatic selection of element technology
Birth and death

Note

Items in parentheses refer to data tables associated with the TB command. See the Theory Reference for ANSYS and ANSYS Workbench for details of the material models.

Note

See Automatic Selection of Element Technologies and ETCONTROL for more information on selection of element technologies.

KEYOPT(6)

Element formulation:

0 --

Use pure displacement formulation (default)

1 --

Use mixed formulation, hydrostatic pressure is constant in an element (recommended for hyperelastic materials)

2 --

Use mixed formulation, hydrostatic pressure is interpolated linearly in an element (recommended for nearly incompressible elastoplastic materials)

KEYOPT(10)

User-defined initial stress:

0 --

No user subroutine to provide initial stresses (default).

1 --

Read initial stress data from user subroutine USTRESS (see the Guide to ANSYS User Programmable Features for user written subroutines)

SOLID187 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 187.1: "SOLID187 Element Output Definitions"

Several items are illustrated in Figure 187.2: "SOLID187 Stress Output". The element stress directions are parallel to the element coordinate system. The surface stress outputs are in the surface coordinate system and are available for any face (KEYOPT(6)). The coordinate system for face JIK is shown in Figure 187.2: "SOLID187 Stress Output". The other surface coordinate systems follow similar orientations as indicated by the pressure face node description. Surface stress printout is valid only if the conditions described in Element Solution are met. A general description of solution output is given in The Item and Sequence Number Table. See the Basic Analysis Guide for ways to view results.

Figure 187.2 SOLID187 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 187.1 SOLID187 Element Output Definitions

Name | Definition | O | R
EL | Element Number | - | Y
NODES | Nodes - I, J, K, L | - | Y
MAT | Material number | - | Y
VOLU: | Volume | - | Y
XC, YC, ZC | Location where results are reported | Y | 3
PRES | Pressures P1 at nodes J, I, K; P2 at I, J, L; P3 at J, K, L; P4 at K, I, L | - | Y
TEMP | Temperatures T(I), T(J), T(K), T(L) | - | Y
S:X, Y, Z, XY, YZ, XZ | Stresses | Y | Y
S:1, 2, 3 | Principal stresses | - | Y
S:INT | Stress intensity | - | Y
S:EQV | Equivalent stress | - | Y
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | Y | Y
EPEL:1, 2, 3 | Principal elastic strains | Y | -
EPEL:EQV | Equivalent elastic strains [6] | - | Y
EPTH:X, Y, Z, XY, YZ, XZ | Thermal strains | 1 | 1
EPTH: EQV | Equivalent thermal strains [6] | 1 | 1
EPPL:X, Y, Z, XY, YZ, XZ | Plastic strains [7] | 1 | 1
EPPL:EQV | Equivalent plastic strains [6] | 1 | 1
EPCR:X, Y, Z, XY, YZ, XZ | Creep strains | 1 | 1
EPCR:EQV | Equivalent creep strains [6] | 1 | 1
EPTO:X, Y, Z, XY, YZ, XZ | Total mechanical strains (EPEL + EPPL + EPCR) | Y | -
EPTO:EQV | Total equivalent mechanical strains (EPEL + EPPL + EPCR) | Y | -
NL:EPEQ | Accumulated equivalent plastic strain | 1 | 1
NL:CREQ | Accumulated equivalent creep strain | 1 | 1
NL:SRAT | Plastic yielding (1 = actively yielding, 0 = not yielding) | 1 | 1
NL:HPRES | Hydrostatic pressure | 1 | 1
SEND: ELASTIC, PLASTIC, CREEP | Strain energy density | - | 1
LOCI:X, Y, Z | Integration point locations | - | 4
SVAR:1, 2, ... , N | State variables | - | 5

  1. Nonlinear solution, output only if the element has a nonlinear material

  2. Output only if element has a thermal load

  3. Available only at centroid as a *GET item.

  4. Available only if OUTRES,LOCI is used.

  5. Available only if the USERMAT subroutine and TB,STATE are used.

  6. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY); for plastic and creep this value is set at 0.5.

  7. For the shape memory alloy material model, transformation strains are reported as plasticity strain EPPL.

Table 187.2: "SOLID187 Item and Sequence Numbers" lists output available through ETABLE using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 187.2: "SOLID187 Item and Sequence Numbers":

Name

output quantity as defined in Table 187.1: "SOLID187 Element Output Definitions"

Item

predetermined Item label for ETABLE command

I,J,...,R

sequence number for data at nodes I, J, ..., R

Table 187.2 SOLID187 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | J | K | L | M,...,R
P1 | SMISC | 2 | 1 | 3 | - | -
P2 | SMISC | 4 | 5 | - | 6 | -
P3 | SMISC | - | 7 | 8 | 9 | -
P4 | SMISC | 11 | - | 10 | 12 | -

See Surface Solution in this manual for the item and sequence numbers for surface output for ETABLE.

SOLID187 Assumptions and Restrictions

  • The element must not have a zero volume.

  • Elements may be numbered either as shown in Figure 187.1: "SOLID187 Geometry" or may have node L below the I, J, K plane.

  • An edge with a removed midside node implies that the displacement varies linearly, rather than parabolically, along that edge. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for information about using midside nodes.

  • When mixed formulation is used (KEYOPT(6) = 1 or 2), no midside nodes can be missed.

  • If you use the mixed formulation (KEYOPT(6) = 1 or 2), you must use either the sparse solver (default) or the frontal solver.

  • Stress stiffening is always included in geometrically nonlinear analyses (NLGEOM,ON). It is ignored in geometrically linear analyses (NLGEOM,OFF) when specified by SSTIF,ON. Prestress effects can be activated by the PSTRES command.

SOLID187 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The only special feature allowed is stress stiffening.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID186 		Up / Home Next
BEAM188


BEAM188

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

BEAM188

3-D Linear Finite Strain Beam

MP ME ST PR PRN DS DSS <> <> <> <> PP VT

Product Restrictions

BEAM188 Element Description

BEAM188 is suitable for analyzing slender to moderately stubby/thick beam structures. This element is based on Timoshenko beam theory. Shear deformation effects are included.

BEAM188 is a linear (2-node) or a quadratic beam element in 3-D. BEAM188 has six or seven degrees of freedom at each node, with the number of degrees of freedom depending on the value of KEYOPT(1). When KEYOPT(1) = 0 (the default), six degrees of freedom occur at each node. These include translations in the x, y, and z directions and rotations about the x, y, and z directions. When KEYOPT(1) = 1, a seventh degree of freedom (warping magnitude) is also considered. This element is well-suited for linear, large rotation, and/or large strain nonlinear applications.

BEAM188 includes stress stiffness terms, by default, in any analysis with NLGEOM,ON. The provided stress stiffness terms enable the elements to analyze flexural, lateral, and torsional stability problems (using eigenvalue buckling or collapse studies with arc length methods).

BEAM188 can be used with any beam cross-section defined via SECTYPE, SECDATA, SECOFFSET, SECWRITE, and SECREAD. The cross-section associated with the beam may be linearly tapered.

Elasticity, creep, and plasticity models are supported (irrespective of cross-section subtype). A cross-section associated with this element type can be a built-up section referencing more than one material.

BEAM188 ignores any real constant data beginning with Release 6.0. See the SECCONTROLS command for defining the transverse shear stiffness, and added mass.

For BEAM188, the element coordinate system (/PSYMB,ESYS) is not relevant.

Figure 188.1 BEAM188 Geometry

BEAM188 Input Data

The geometry, node locations, and coordinate system for this element are shown in Figure 188.1: "BEAM188 Geometry". BEAM188 is defined by nodes I and J in the global coordinate system.

Node K is a preferred way to define the orientation of the element. For information about orientation nodes and beam meshing, see Generating a Beam Mesh With Orientation Nodes in the Modeling and Meshing Guide. See the LMESH and LATT command descriptions for details on generating the K node automatically.

BEAM188 may also be defined without the orientation node. In this case, the element x-axis is oriented from node I (end 1) toward node J (end 2). For the two-node option, the default orientation of the element y-axis is automatically calculated to be parallel to the global X-Y plane. For the case where the element is parallel to the global Z-axis (or within a 0.01 percent slope of it), the element y-axis is oriented parallel to the global Y-axis (as shown). For user control of the element orientation about the element x-axis, use the third node option. If both are defined, the third node option takes precedence. The third node (K), if used, defines a plane (with I and J) containing the element x and z-axes (as shown). If this element is used in a large deflection analysis, it should be noted that the location of the third node (K) is used only to initially orient the element.

The beam elements are one-dimensional line elements in space. The cross-section details are provided separately using the SECTYPE and SECDATA commands (see Beam Analysis and Cross Sections in the Structural Analysis Guide for details). A section is associated with the beam elements by specifying the section ID number (SECNUM). A section number is an independent element attribute. In addition to a constant cross-section, you can also define a tapered cross-section by using the TAPER option on the SECTYPE command (see Defining a Tapered Beam).

The beam elements are based on Timoshenko beam theory, which is a first order shear deformation theory: transverse shear strain is constant through the cross-section; that is, cross-sections remain plane and undistorted after deformation. BEAM188 is a first order Timoshenko beam element which uses one point of integration along the length with default KEYOPT(3) setting. Therefore, when SMISC quantities are requested at nodes I and J, the centroidal values are reported for both end nodes. With KEYOPT(3) set to 2, two points of integration are used resulting in linear variation along the length.

BEAM188/BEAM189 elements can be used for slender or stout beams. Due to the limitations of first order shear deformation theory, only moderately "thick" beams may be analyzed. The slenderness ratio of a beam structure (GAL2/(EI)) may be used in judging the applicability of the element, where:

G

Shear modulus

A

Area of the cross section

L

Length of the member

EI

Flexural rigidity

It is important to note that this ratio should be calculated using some global distance measures, and not based on individual element dimensions. The following graphic provides an estimate of transverse shear deformation in a cantilever beam subjected to a tip load. Although the results cannot be extrapolated to any other application, the example serves well as a general guideline. We recommend that the slenderness ratio should be greater than 30.

Figure 188.2 Transverse Shear Deformation Estimation

Slenderness Ratio (GAL2/(EI)) | δ Timoshenko / δ Euler-Bernoulli
25 | 1.120
50 | 1.060
100 | 1.030
1000 | 1.003

These elements support an elastic relationship between transverse shear forces and transverse shear strains. You can override default values of transverse shear stiffnesses using the SECCONTROLS command.

The St. Venant warping functions for torsional behavior are determined in the undeformed state, and are used to define shear strain even after yielding. ANSYS does not provide options to recalculate in deformed configuration the torsional shear distribution on cross-sections during the analysis and possible partial plastic yielding of cross-sections. As such, large inelastic deformation due to torsional loading should be treated and verified with caution. Under such circumstances, alternative modeling using solid or shell elements is recommended.

BEAM188/BEAM189 elements support "restrained warping" analysis by making available a seventh degree of freedom at each beam node. By default, BEAM188 elements assume that the warping of a cross-section is small enough that it may be neglected (KEYOPT(1) = 0). You can activate the warping degree of freedom by using KEYOPT(1) = 1. With the warping degree of freedom activated, each node has seven degrees of freedom: UX, UY, UZ, ROTX, ROTY, ROTZ, and WARP. With KEYOPT(1) = 1, bimoment and bicurvature are output.

In practice, when two elements with "restrained warping" come together at a sharp angle, you need to couple the displacements and rotations, but leave the out-of-plane warping decoupled. This is normally accomplished by having two nodes at a physical location and using appropriate constraints. This process is made easier (or automated) by the ENDRELEASE command, which decouples the out-of plane warping for any adjacent elements with cross-sections intersecting at an angle greater than 20 degrees.

BEAM188 allows change in cross-sectional inertia properties as a function of axial elongation. By default, the cross-sectional area changes such that the volume of the element is preserved after deformation. The default is suitable for elastoplastic applications. By using KEYOPT(2), you can choose to keep the cross-section constant or rigid. Scaling is not an option for nonlinear general beam sections (SECTYPE,,GENB).

Element output is available at element integration stations and at section integration points.

Integration stations (Gauss points) along the length of the beam are shown in Figure 188.3: "BEAM188 Element Integration Stations".

Figure 188.3 BEAM188 Element Integration Stations

The section strains and forces (including bending moments) may be obtained at these integration stations. The element supports output options to extrapolate such quantities to the nodes of the element.

BEAM188/BEAM189 can be associated with either of these cross section types:

  • Generalized beam cross sections (SECTYPE,,GENB), where the relationships of generalized stresses to generalized strains are input directly.

  • Standard library section types or user meshes which define the geometry of the beam cross section (SECTYPE,,BEAM). The material of the beam is defined either as an element attribute (MAT), or as part of section buildup (for multi-material cross sections).

Generalized Beam Cross Sections

When using nonlinear general beam sections, neither the geometric properties nor the material is explicitly specified. Generalized stress implies the axial force, bending moments, torque, and transverse shear forces. Similarly, generalized strain implies the axial strain, bending curvatures, twisting curvature, and transverse shear strains. (For more information, see Using Nonlinear General Beam Sections.) This is an abstract method for representing cross section behavior; therefore, input often consists of experimental data or the results of other analyses.

The BEAM188/BEAM189 elements, in general, support an elastic relationship between transverse shear forces and transverse shear strains. You can override default values of transverse shear stiffnesses via the SECCONTROLS command.

When the beam element is associated with a generalized beam (SECTYPE,,GENB) cross section type, the relationship of transverse shear force to the transverse shear strain can be nonlinear elastic or plastic, an especially useful capability when flexible spot welds are modeled. In such a case, the SECCONTROLS command does not apply.

Standard Library Sections

BEAM188/BEAM189 are provided with section-relevant quantities (area of integration, position, Poisson function, function derivatives, etc.) automatically at a number of section points using SECTYPE and SECDATA. Each section is assumed to be an assembly of a predetermined number of 9-node cells. The following graphic illustrates models using the rectangular section subtype and the channel section subtype. Each cross-section cell has 4 integration points and each may be associated with an independent material type.

Figure 188.4 Cross-Section Cells

BEAM188/BEAM189 provide options for output at the section integration points and/or section nodes. You can request output only on the exterior boundary of the cross-section. (PRSSOL prints the section nodal and section integration point results. Stresses and strains are printed at section nodes, and plastic strains, plastic work, and creep strains are printed at section integration points.)

When the material associated with the elements has inelastic behavior or when the temperature varies across the section, constitutive calculations are performed at the section integration points. For more common elastic applications, the element uses precalculated properties of the section at the element integration points. However, the stresses and strains are calculated in the output pass at the section integration points.

If the section is assigned the subtype ASEC, only the generalized stresses and strains (axial force, bending moments, transverse shears, curvatures, and shear strains) are available for output. 3-D contour plots and deformed shapes are not available. The ASEC subtype can be displayed only as a thin rectangle to verify beam orientation.

BEAM188/BEAM189 allow for the analysis of built-up beams, (i.e., those fabricated of two or more pieces of material joined together to form a single, solid beam). The pieces are assumed to be perfectly bonded together. Therefore, the beam behaves as a single member.

The multi-material cross-section capability is applicable only where the assumptions of a beam behavior (Timoshenko or Bernoulli-Euler beam theory) holds.

In other words, what is supported is a simple extension of a conventional Timoshenko beam theory. It may be used in applications such as:

  • bimetallic strips

  • beams with metallic reinforcement

  • sensors where layers of a different material has been deposited

BEAM188/BEAM189 do not account for coupling of bending and twisting at the section stiffness level. The transverse shears are also treated in an uncoupled manner. This may have a significant effect on layered composite and sandwich beams if the layup is unbalanced.

BEAM188/BEAM189 do not use higher order theories to account for variation in distribution of shear stresses. Use ANSYS solid elements if such effects must be considered.

Always validate the application of BEAM188/BEAM189 for particular applications, either with experiments or other numerical analysis. Use the restrained warping option with built-up sections after due verification.

For the mass matrix and evaluation of consistent load vectors, a higher order integration rule than that used for stiffness matrix is employed. The elements support both consistent and lumped mass matrices. Use LUMPM,ON to activate lumped mass matrix. Consistent mass matrix is used by default. An added mass per unit length may be input with the ADDMAS section controls. See "BEAM188 Input Summary".

Forces are applied at the nodes (which also define the element x-axis). If the centroidal axis is not colinear with the element x-axis, applied axial forces will cause bending. Applied shear forces will cause torsional strains and moment if the centroid and shear center of the cross-section are different. The nodes should therefore be located at the desired points where you want to apply the forces. Use the OFFSETY and OFFSETZ arguments of the SECOFFSET command appropriately. By default, ANSYS uses the centroid as the reference axis for the beam elements.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 188.1: "BEAM188 Geometry". Positive normal pressures act into the element. Lateral pressures are input as force per unit length. End "pressures" are input as forces.

When KEYOPT(3) = 0 (default), BEAM188 is based on linear polynomials, unlike other Hermitian polynomial-based elements (for example, BEAM4). Refinement of the mesh is recommended in general.

When KEYOPT(3) = 2, ANSYS adds an internal node in the interpolation scheme, effectively making this a Timoshenko beam element based on quadratic shape functions. This option is highly recommended unless this element is used as a stiffener and you must maintain compatibility with a first order shell element. Linearly varying bending moments are represented exactly. The quadratic option is similar to BEAM189, with the following differences:

  • The initial geometry is always a straight line with BEAM188 with or without the quadratic option.

  • Because you cannot access the internal nodes, you cannot define boundary/loading/initial conditions on those nodes; therefore, you will notice discrepancies between BEAM188 and BEAM189 results if both midside and end nodes have specified boundary/loading/initial conditions in a BEAM189 model.

Offsets in specification of distributed loads are not allowed. Non-nodal concentrated forces are not supported. Use the quadratic option (KEYOPT(3) = 2) when the element is associated with tapered cross-sections.

Temperatures may be input as element body loads at three locations at each end node of the beam. At each end, the element temperatures are input at the element x-axis (T(0,0)), at one unit from the x-axis in the element y-direction (T(1,0)), and at one unit from the x-axis in the element z-direction (T(0,1)). The first coordinate temperature T(0,0) defaults to TUNIF. If all temperatures after the first are unspecified, they default to the first. If all temperatures at node I are input, and all temperatures at node J are unspecified, the node J temperatures default to the corresponding node I temperatures. For any other input pattern, unspecified temperatures default to TUNIF.

You can apply an initial stress state to this element via the INISTATE command. For more information, see the INISTATE command, and also Initial Stress Loading in the Basic Analysis Guide. Alternately, you can set KEYOPT(10) = 1 to read initial stresses from the user subroutine USTRESS. For details on user subroutines, see the Guide to ANSYS User Programmable Features.

The effects of pressure load stiffness are automatically included for this element. If an unsymmetric matrix is needed for pressure load stiffness effects, use NROPT,UNSYM.

A summary of the element input is given in "BEAM188 Input Summary".

BEAM188 Input Summary

Nodes

I, J, K (K, the orientation node, is optional but recommended)

Degrees of Freedom
UX, UY, UZ, ROTX, ROTY, ROTZ if KEYOPT(1) = 0
UX, UY, UZ, ROTX, ROTY, ROTZ, WARP if KEYOPT(1) = 1
Section Controls
TXZ, TXY, ADDMAS (See SECCONTROLS)
(TXZ and TXY default to A*GXZ and A*GXY, respectively, where A = cross-sectional area)
Material Properties

EX, (PRXY or NUXY), ALPX, DENS, GXY, GYZ, GXZ, DAMP

Surface Loads
Pressure --
face 1 (I-J) (-z normal direction),
face 2 (I-J) (-y normal direction),
face 3 (I-J) (+x tangential direction),
face 4 (J) (+x axial direction),
face 5 (I) (-x direction).
(use a negative value for loading in the opposite direction)
I and J denote the end nodes.
Body Loads
Temperatures --

T(0,0), T(1,0), T(0,1) at each end node

Special Features
Plasticity (PLASTIC, BISO, MISO, NLISO, BKIN, MKIN, KINH, CHABOCHE, HILL)
Viscoelasticity (PRONY, SHIFT)
Viscoplasticity/Creep (CREEP, RATE)
Other material (USER)
Stress stiffening
Large deflection
Large strain
Initial stress import
Nonlinear stabilization
Birth and death (requires KEYOPT(11) = 1)
Automatic selection of element technology
Generalized cross section (nonlinear elastic, elasto-plastic, temperature-dependent)

Note

Items in parentheses refer to data tables associated with the TB command. See the Theory Reference for ANSYS and ANSYS Workbench for details of the material models.

Note

See Automatic Selection of Element Technologies and ETCONTROL for more information on selection of element technologies.

KEYOPT(1)

Warping degree of freedom:

0 --

Default; six degrees of freedom per node, unrestrained warping

1 --

Seven degrees of freedom per node (including warping). Bimoment and bicurvature are output.

KEYOPT(2)

Cross-section scaling, applies only if NLGEOM,ON has been invoked:

0 --

Default; cross-section is scaled as a function of axial stretch

1 --

Section is assumed to be rigid (classical beam theory)

KEYOPT(3)

Interpolation scheme:

0 --

Default; linear polynomial. Mesh refinement is recommended.

2 --

Quadratic shape functions (effectively a Timoshenko beam element); uses an internal node (inaccessible to users) to enhance element accuracy, allowing exact representation of linearly varying bending moments

KEYOPT(4)

Shear stress output:

0 --

Default; output only torsion-related shear stresses

1 --

Output only flexure-related transverse shear stresses

2 --

Output a combined state of the previous two types

KEYOPT(6) through KEYOPT(9) are active only when OUTPR,ESOL is active. When KEYOPT(6), (7), (8), and (9) are active, the strains reported in the element output are total strains. "Total" implies the inclusion of thermal strains. When the material associated with the element has plasticity, plastic strain and plastic work are also provided. Alternatively, use PRSSOL in /POST1.

KEYOPT(6)

Output control at element integration point:

0 --

Default; output section forces, strains, and bending moments

1 --

Same as KEYOPT(6) = 0 plus current section area

2 --

Same as KEYOPT(6) = 1 plus element basis directions (X,Y,Z)

3 --

Output section forces/moments and strains/curvatures extrapolated to element nodes

KEYOPT(7)

Output control at section integration point (not available when section subtype = ASEC):

0 --

Default; none

1 --

Maximum and minimum stresses/strains

2 --

Same as KEYOPT(7) = 1 plus stresses and strains at each section point

KEYOPT(8)

Output control at section nodes (not available when section subtype = ASEC):

0 --

Default; none

1 --

Maximum and minimum stresses/strains

2 --

Same as KEYOPT(8) = 1 plus stresses and strains along the exterior boundary of the cross-section

3 --

Same as KEYOPT(8) = 1 plus stresses and strains at each section node

KEYOPT(9)

Output control for extrapolated values at element nodes and section nodes (not available when section subtype = ASEC):

0 --

Default; none

1 --

Maximum and minimum stresses/strains

2 --

Same as KEYOPT(9) = 1 plus stresses and strains along the exterior boundary of the cross-section

3 --

Same as KEYOPT(9) = 1 plus stresses and strains at all section nodes

KEYOPT(10)

User-defined initial stresses:

0 --

No user subroutine to provide initial stresses (default)

1 --

Read initial stress data from user subroutine USTRESS

Note

See the Guide to ANSYS User Programmable Features for user written subroutines.

KEYOPT(11)

Set section properties:

0 --

Automatically determine if pre-integrated section properties can be used (default)

1 --

Use numerical integration of section (required for birth/death functionality)

KEYOPT(12)

Tapered section treatment:

0 --

Linear tapered section analysis; cross section properties are evaluated at each Gauss point (default). This is more accurate, but computationally intense.

1 --

Average cross section analysis; for elements with tapered sections, cross section properties are evaluated at the centroid only. This is an approximation of the order of the mesh size; however, it is faster.

BEAM188 Output Data

The solution output associated with these elements is in two forms:

  • Nodal displacements and reactions included in the overall nodal solution

  • Additional element output as described in Table 188.1: "BEAM188 Element Output Definitions"

Where necessary, ANSYS recommends KEYOPT(8) = 2 and KEYOPT(9) = 2. See the Basic Analysis Guide for ways to view results.

To view 3-D deformed shapes for BEAM188, issue an OUTRES,MISC or OUTRES,ALL command for static or transient analyses. To view 3-D mode shapes for a modal or eigenvalue buckling analysis, you must expand the modes with element results calculation active (via the MXPAND command's Elcalc = YES option).

Linearized Stress

It is customary in beam design to employ components of axial stress that contribute to axial loads and bending in each direction separately. Therefore, BEAM188 provides a linearized stress output as part of its SMISC output record, as indicated in the following definitions:

SDIR is the stress component due to axial load.

SDIR = FX/A, where FX is the axial load (SMISC quantities 1 and 14) and A is the area of the cross section.

SBYT and SBYB are bending stress components.

SBYT = -MZ * ymax / Izz
SBYB = -MZ * ymin / Izz
SBZT = MY * zmax / Iyy
SBZB = MY * zmin / Iyy

where MY, MZ are bending moments (SMISC quantities 2,15,3,16). Coordinates ymax, ymin, zmax, and zmin are the maximum and minimum y, z coordinates in the cross section measured from the centroid. Values Iyy and Izz are moments of inertia of the cross section. Except for the ASEC type of beam cross section, ANSYS uses the maximum and minimum cross section dimensions. For the ASEC type of cross section, the maximum and minimum in each of Y and Z direction is assumed to be +0.5 to -0.5, respectively.

Corresponding definitions for the component strains are:

EPELDIR = EX
EPELBYT = -KZ * ymax
EPELBYB = -KZ * ymin
EPELBZT = KY * zmax
EPELBZB = KY * zmin

where EX, KY, and KZ are generalized strains and curvatures (SMISC quantities 7,8,9, 20,21 and 22).

The reported stresses are strictly valid only for elastic behavior of members. BEAM188 always employs combined stresses in order to support nonlinear material behavior. When the elements are associated with nonlinear materials, the component stresses may at best be regarded as linearized approximations and should be interpreted with caution.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 188.1 BEAM188 Element Output Definitions

Name | Definition | O | R
EL | Element number | Y | Y
NODES | Element connectivity | Y | Y
MAT | Material number | Y | Y
C.G.:X, Y, Z | Center of gravity | Y | Y
AREA | Area of cross-section | 1 | Y
SF:Y, Z | Section shear forces | 1 | Y
SE:Y, Z | Section shear strains | 1 | Y
S:XX, XZ, XY | Section point stresses | 2 | Y
EPTO:XX, XZ, XY | Section point total strains (EPEL + EPPL + EPTH) | 2 | Y
EPPL:XX, XZ, XY | Section point plastic strains | 2 | Y
EPCR:XX, XZ, XY | Section point creep strains | 2 | Y
EPTH:XX, XZ, XY | Section point thermal strains | 2 | Y
MX | Torsional moment | Y | Y
KX | Torsional strain | Y | Y
KY, KZ | Curvature | Y | Y
EX | Axial strain | Y | Y
FX | Axial force | Y | Y
MY, MZ | Bending moments | Y | Y
BM | Bimoment | 3 | 3
BK | Bicurvature | 3 | 3
SDIR Axial direct stress - 1
SBYT Bending stress on the element +Y side of the beam - 1
SBYB Bending stress on the element -Y side of the beam - 1
SBZT Bending stress on the element +Z side of the beam - 1
SBZB Bending stress on the element -Z side of the beam - 1
EPELDIR Axial strain at the end - 1
EPELBYT Bending strain on the element +Y side of the beam. - 1
EPELBYB Bending strain on the element -Y side of the beam. - 1
EPELBZT Bending strain on the element +Z side of the beam. - 1
EPELBZB Bending strain on the element -Zside of the beam. - 1
TEMP Temperatures T0, T1(1,0), T2(0,1) - 1

Note

More output is described via the PRSSOL command in /POST1.

  1. See KEYOPT(6) description.

  2. See KEYOPT(7), KEYOPT(8), KEYOPT(9) descriptions.

  3. See KEYOPT(1) description.

Table 188.2: "BEAM188 Item and Sequence Numbers" lists output available through ETABLE using the Sequence Number method. See Creating an Element Table in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. Table 188.2: "BEAM188 Item and Sequence Numbers" uses the following notation:

Name

output quantity as defined in the Table 188.1: "BEAM188 Element Output Definitions"

Item

predetermined Item label for ETABLE

I,J

sequence number for data at nodes I and J

Table 188.2 BEAM188 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | J
FX | SMISC | 1 | 14
MY | SMISC | 2 | 15
MZ | SMISC | 3 | 16
MX | SMISC | 4 | 17
SFZ | SMISC | 5 | 18
SFY | SMISC | 6 | 19
EX | SMISC | 7 | 20
KY | SMISC | 8 | 21
KZ | SMISC | 9 | 22
KX | SMISC | 10 | 23
SEZ | SMISC | 11 | 24
SEY | SMISC | 12 | 25
Area | SMISC | 13 | 26
BM | SMISC | 27 | 29
BK | SMISC | 28 | 30
SDIR | SMISC | 31 | 36
SBYT | SMISC | 32 | 37
SBYB | SMISC | 33 | 38
SBZT | SMISC | 34 | 39
SBZB | SMISC | 35 | 40
EPELDIR | SMISC | 41 | 46
EPELBYT | SMISC | 42 | 47
EPELBYB | SMISC | 43 | 48
EPELBZT | SMISC | 44 | 49
EPELBZB | SMISC | 45 | 50
TEMP | SMISC | 51-53 | 54-56
S:XX, XZ, XY | LS | i | 3 * nNode + i
EPTO:XX, XZ, XY | LEPEL | i | 3 * nNode + i
EPTH:XX, XZ, XY | LEPTH | i | 3 * nNode + i
EPPL:XX, XZ, XY | LEPPL | i | 3 * nIntg + i
EPCR:XX, XZ, XY | LEPCR | i | 3 * nIntg + i

Note

The value i in Table 188.2: "BEAM188 Item and Sequence Numbers" refers to the order of the node or integration point of the beam where 1 [image] i [image] (3 * nNode) (number of nodes), or 1 [image] i [image] (3 * nIntg) (number of integration points).

For more usage details, see Plot and Review the Section Results and Sample Problem with Cantilever Beams, Command Method.

Transverse Shear Stress Output

BEAM188/BEAM189 formulation is based on three stress components:

  • one axial

  • two shear stress components

The shear stresses are caused by torsional and transverse loads. BEAM188/BEAM189 are based on first order shear deformation theory, also popularly known as Timoshenko Beam theory. The transverse shear strain is constant for the cross section, and hence the shear energy is based on a transverse shear force. This shear force is redistributed by predetermined shear stress distribution coefficients across the beam cross-section, and made available for output purposes. By default, ANSYS will only output the shear stresses caused by torsional loading. KEYOPT(4) of BEAM188/BEAM189 may be used to activate output of shear stresses caused by flexure or transverse loading.

The accuracy of transverse shear distribution is directly proportional to the mesh density of cross-section modeling (for determination of warping, shear center and other section geometric properties). The traction free state at the edges of cross-section, is met only in a well-refined model of the cross-section.

By default, ANSYS uses a mesh density (for cross-section model) that provides accurate results for torsional rigidity, warping rigidity, inertia properties, and shear center determination. The default mesh employed is also appropriate for nonlinear material calculations. However, more refined cross-section models may be necessary if the shear stress distribution due to transverse loads must be captured very accurately. Note that increasing cross-section mesh size, does not imply larger computational cost if the associated material is linear. SECTYPE and SECDATA command descriptions allow specification of cross-section mesh density.

The transverse shear distribution calculation neglects the effects of Poisson's ratio. The Poisson's ratio affects the shear correction factor and shear stress distribution slightly.

BEAM188 Assumptions and Restrictions

  • The beam must not have zero length.

  • By default (KEYOPT(1) = 0), the effect of warping restraint is assumed to be negligible.

  • Cross-section failure or folding is not accounted for.

  • Rotational degrees of freedom are not included in the lumped mass matrix if offsets are present.

  • It is a common practice in civil engineering to model the frame members of a typical multi-storied structure using a single element for each member. Because of cubic interpolation of lateral displacement, BEAM4 and BEAM44 are well-suited for such an approach. However, if BEAM188 is used in that type of application, be sure to use several elements for each frame member. BEAM188 includes the effects of transverse shear.

  • This element works best with the full Newton-Raphson solution scheme (that is, the default choice in solution control). For nonlinear problems that are dominated by large rotations, we recommend that you do not use PRED,ON.

  • Note that only moderately "thick" beams may be analyzed. See "BEAM188 Input Data" for more information.

  • When a cross-section has multiple materials and you issue the /ESHAPE command (which displays elements with shapes determined from the real constants or section definition) to produce contour plots of stresses (and other quantities), the element averages the stresses across material boundaries. To limit this behavior, use small cross-section cells around the material boundaries. There are no input options to bypass this behavior.

  • For this element, the /ESHAPE command supports visualization of stresses, but not of plastic strains.

  • Stress stiffening is always included in geometrically nonlinear analyses (NLGEOM,ON). It is ignored in geometrically linear analyses (NLGEOM,OFF) when specified by SSTIF,ON. Prestress effects can be activated by the PSTRES command.

  • When the element is associated with nonlinear general beam sections (SECTYPE,,GENB), additional restrictions apply. For more information, see Considerations for Employing Nonlinear General Beam Sections.

BEAM188 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The only special features allowed are stress stiffening and large deflections.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID187 		Up / Home Next
BEAM189


BEAM189

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

BEAM189

3-D Quadratic Finite Strain Beam

MP ME ST PR PRN DS DSS <> <> <> <> PP VT

Product Restrictions

BEAM189 Element Description

BEAM189 is an element suitable for analyzing slender to moderately stubby/thick beam structures. This element is based on Timoshenko beam theory. Shear deformation effects are included.

BEAM189 is a quadratic (3-node) beam element in 3-D. BEAM189 has six or seven degrees of freedom at each node, with the number of degrees of freedom depending on the value of KEYOPT(1). When KEYOPT(1) = 0 (the default), six degrees of freedom occur at each node. These include translations in the x, y, and z directions and rotations about the x, y, and z directions. When KEYOPT(1) = 1, a seventh degree of freedom (warping magnitude) is also considered. This element is well-suited for linear, large rotation, and/or large strain nonlinear applications.

BEAM189 includes stress stiffness terms, by default, in any analysis with NLGEOM,ON. The provided stress stiffness terms enable the elements to analyze flexural, lateral, and torsional stability problems (using eigenvalue buckling or collapse studies with arc length methods).

BEAM189 can be used with any beam cross-section that was defined using SECTYPE, SECDATA, SECOFFSET, SECWRITE, and SECREAD. The cross-section associated with the beam may be linearly tapered.

Elasticity, creep, and plasticity models are supported (irrespective of cross-section subtype). A cross-section associated with this element type can be a built-up section referencing more than one material.

BEAM189 will ignore any real constant data beginning with Release 6.0. See SECCONTROLS command for defining the transverse shear stiffness, and added mass.

For BEAM189, the element coordinate system (/PSYMB,ESYS) is not relevant.

Figure 189.1 BEAM189 Geometry

BEAM189 Input Data

The geometry, node locations, and coordinate system for this element are shown in Figure 189.1: "BEAM189 Geometry". BEAM189 is defined by nodes I, J, and K in the global coordinate system. .

Node L is a preferred way to define the orientation of the element. For information about orientation nodes and beam meshing, see Generating a Beam Mesh With Orientation Nodes in the Modeling and Meshing Guide. Also, see Quadratic Elements (Midside Nodes) in the same manual for the use of midside nodes. See the LMESH and LATT command descriptions for details on generating the L node automatically. For a description of the low-order beam, see BEAM188.

BEAM189 may also be defined without the orientation node L. In this case, the element x-axis is oriented from node I (end 1) toward node J (end 2). For the two-node option, the default orientation of the element y-axis is automatically calculated to be parallel to the global X-Y plane. For the case where the element is parallel to the global Z-axis (or within a 0.01 percent slope of it), the element y-axis is oriented parallel to the global Y-axis (as shown). For user control of the element orientation about the element x-axis, use the "L" node option. If both are defined, the orientation node option takes precedence. The orientation node (L), if used, defines a plane (with I and J) containing the element x and z-axes (as shown). If this element is used in a large deflection analysis, it should be noted that the location of the orientation node (L) is used only to initially orient the element.

The beam elements are one-dimensional line elements in space. The cross-section details are provided separately using the SECTYPE and SECDATA commands (see Beam Analysis and Cross Sections in the Structural Analysis Guide for details). A section is associated with the beam elements by specifying the section ID number (SECNUM). A section number is an independent attribute. In addition to a constant cross-section, you can also define a tapered cross-section by using the TAPER option on the SECTYPE command (see Defining a Tapered Beam).

The beam elements are based on Timoshenko beam theory, which is a first order shear deformation theory: transverse shear strain is constant through the cross-section; that is, cross-sections remain plane and undistorted after deformation.

BEAM188/BEAM189 elements can be used for slender or stout beams. Due to the limitations of first order shear deformation theory, only moderately "thick" beams may be analyzed. The slenderness ratio of a beam structure (GAL2/(EI)) may be used in judging the applicability of the element, where:

G

Shear modulus

A

Area of the cross section

L

Length of the member

EI

Flexural rigidity

It is important to note that this ratio should be calculated using some global distance measures, and not based on individual element dimensions. The following graphic provides an estimate of transverse shear deformation in a cantilever beam subjected to a tip load. Although the results cannot be extrapolated to any other application, the example serves well as a general guideline. We recommend that the slenderness ratio should be greater than 30.

Figure 189.2 Transverse Shear Deformation Estimation

Slenderness Ratio (GAL2/(EI)) | δ Timoshenko / δ Euler-Bernoulli
25 | 1.120
50 | 1.060
100 | 1.030
1000 | 1.003

These elements support an elastic relationship between transverse shear forces and transverse shear strains. You can override default values of transverse shear stiffnesses using the SECCONTROLS command.

The St. Venant warping functions for torsional behavior are determined in the undeformed state, and are used to define shear strain even after yielding. ANSYS does not provide options to recalculate in deformed configuration the torsional shear distribution on cross-sections during the analysis and possible partial plastic yielding of cross-sections. As such, large inelastic deformation due to torsional loading should be treated and verified with caution. Under such circumstances, alternative modeling using solid or shell elements is recommended.

BEAM188/BEAM189 elements support "restrained warping" analysis by making available a seventh degree of freedom at each beam node. By default, BEAM189 elements assume that the warping of a cross-section is small enough that it may be neglected (KEYOPT(1) = 0). You can activate the warping degree of freedom by using KEYOPT(1) = 1. With the warping degree of freedom activated, each node has seven degrees of freedom: UX, UY, UZ, ROTX, ROTZ, ROTY, and WARP. With KEYOPT(1) = 1, bimoment and bicurvature are output.

In practice, when two elements with "restrained warping" come together at a sharp angle, you need to couple the displacements and rotations, but leave the out-of-plane warping decoupled. This is normally accomplished by having two nodes at a physical location and using appropriate constraints. This process is made easier (or automated) by the ENDRELEASE command, which decouples the out-of plane warping for any adjacent elements with cross-sections intersecting at an angle greater than 20 degrees.

BEAM189 allows change in cross-sectional inertia properties as a function of axial elongation. By default, the cross-sectional area changes such that the volume of the element is preserved after deformation. The default is suitable for elastoplastic applications. By using KEYOPT(2), you can choose to keep the cross-section constant or rigid. Scaling is not an option for nonlinear general beam sections (SECTYPE,,GENB).

Element output is available at element integration stations and at section integration points.

Integration stations (Gauss points) along the length of BEAM189 are shown in Figure 189.3: "BEAM189 Element Integration Stations".

Figure 189.3 BEAM189 Element Integration Stations

The section strains and forces (including bending moments) may be obtained at these integration stations. The element supports output options to extrapolate such quantities to the nodes of the element.

BEAM188/BEAM189 can be associated with either of these cross section types:

  • Generalized beam cross sections (SECTYPE,,GENB), where the relationships of generalized stresses to generalized strains are input directly.

  • Standard library section types or user meshes which define the geometry of the beam cross section (SECTYPE,,BEAM). The material of the beam is defined either as an element attribute (MAT), or as part of section buildup (for multi-material cross sections).

Generalized Beam Cross Sections

When using nonlinear general beam sections, neither the geometric properties nor the material is explicitly specified. Generalized stress implies the axial force, bending moments, torque, and transverse shear forces. Similarly, generalized strain implies the axial strain, bending curvatures, twisting curvature, and transverse shear strains. (For more information, see Using Nonlinear General Beam Sections.) This is an abstract method for representing cross section behavior; therefore, input often consists of experimental data or the results of other analyses.

The BEAM188/BEAM189 elements, in general, support an elastic relationship between transverse shear forces and transverse shear strains. You can override default values of transverse shear stiffnesses via the SECCONTROLS command.

When the beam element is associated with a generalized beam (SECTYPE,,GENB) cross section type, the relationship of transverse shear force to the transverse shear strain can be nonlinear elastic or plastic, an especially useful capability when flexible spot welds are modeled. In such a case, the SECCONTROLS command does not apply.

Standard Library Sections

BEAM188/BEAM189 are provided with section-relevant quantities (area of integration, position, Poisson function, function derivatives, etc.) automatically at a number of section points using SECTYPE and SECDATA. Each section is assumed to be an assembly of a predetermined number of 9-node cells. The following graphic illustrates models using the rectangular section subtype and the channel section subtype. Each cross-section cell has 4 integration points and each may be associated with an independent material type.

Figure 189.4 Cross-Section Cells

BEAM188/BEAM189 provide options for output at the section integration points and/or section nodes. You can request output only on the exterior boundary of the cross-section. (PRSSOL prints the section nodal and section integration point results. Stresses and strains are printed at section nodes, and plastic strains, plastic work, and creep strains are printed at section integration points.)

When the material associated with the elements has inelastic behavior or when the temperature varies across the section, constitutive calculations are performed at the section integration points. For more common elastic applications, the element uses precalculated properties of the section at the element integration points. However, the stresses and strains are calculated in the output pass at the section integration points.

If the section is assigned the subtype ASEC, only the generalized stresses and strains (axial force, bending moments, transverse shears, curvatures, and shear strains) are available for output. 3-D contour plots and deformed shapes are not available. The ASEC subtype can be displayed only as a thin rectangle to verify beam orientation.

BEAM188/BEAM189 allow for the analysis of built-up beams, (i.e., those fabricated of two or more pieces of material joined together to form a single, solid beam). The pieces are assumed to be perfectly bonded together. Therefore, the beam behaves as a single member.

The multi-material cross-section capability is applicable only where the assumptions of a beam behavior (Timoshenko or Bernoulli-Euler beam theory) holds.

In other words, what is supported is a simple extension of a conventional Timoshenko beam theory. It may be used in applications such as:

  • bimetallic strips

  • beams with metallic reinforcement

  • sensors where layers of a different material has been deposited

BEAM188/BEAM189 do not account for coupling of bending and twisting at the section stiffness level. The transverse shears are also treated in an uncoupled manner. This may have a significant effect on layered composite and sandwich beams if the layup is unbalanced.

BEAM188/BEAM189 do not use higher order theories to account for variation in distribution of shear stresses. Use ANSYS solid elements if such effects must be considered.

Always validate the application of BEAM188/BEAM189 for particular applications, either with experiments or other numerical analysis. Use the restrained warping option with built-up sections after due verification.

For the mass matrix and evaluation of consistent load vectors, a higher order integration rule than that used for stiffness matrix is employed. The elements support both consistent and lumped mass matrices. Avoid using LUMPM,ON as BEAM189 is a higher-order element. Consistent mass matrix is used by default. An added mass per unit length may be input with the ADDMAS section controls. See "BEAM189 Input Summary".

Forces are applied at the nodes (which also define the element x-axis). If the centroidal axis is not colinear with the element x-axis, applied axial forces will cause bending. Applied shear forces will cause torsional strains and moment if the centroid and shear center of the cross-section are different. The nodes should therefore be located at the points where you want to apply the forces. Use the OFFSETY and OFFSETZ arguments of the SECOFFSET command appropriately.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 189.1: "BEAM189 Geometry". Positive normal pressures act into the element. Lateral pressures are input as force per unit length. End "pressures" are input as forces.

BEAM189 is based on quadratic polynomials, unlike other Hermitian polynomial-based elements in ANSYS (for example, BEAM4). Due to this, the offsets in specification of distributed loads are not allowed. In addition, non-nodal concentrated forces are not supported. BEAM189 has the same linear bending moment variation as BEAM4. Refinement of the mesh is recommended in order to accommodate such loading. BEAM189 is computationally efficient and has super-convergence properties with respect to mesh refinement. For example, the quadratic beam with a two point Gaussian integration is known to be of same accuracy as a Hermitian element.

Temperatures may be input as element body loads at three locations at each end node of the beam. At each end, the element temperatures are input at the element x-axis (T(0,0)), at one unit from the x-axis in the element y-direction (T(1,0)), and at one unit from the x-axis in the element z-direction (T(0,1)). The first coordinate temperature T(0,0) defaults to TUNIF. If all temperatures after the first are unspecified, they default to the first. If all temperatures at node I are input, and all temperatures at node J are unspecified, the node J temperatures default to the corresponding node I temperatures. For any other input pattern, unspecified temperatures default to TUNIF.

You can apply an initial stress state to this element via the INISTATE command. For more information, see the INISTATE command, and also Initial Stress Loading in the Basic Analysis Guide. Alternately, you can set KEYOPT(10) = 1 to read initial stresses from the user subroutine USTRESS. For details on user subroutines, see the Guide to ANSYS User Programmable Features.

The effects of pressure load stiffness are automatically included for this element. If an unsymmetric matrix is needed for pressure load stiffness effects, use NROPT,UNSYM.

A summary of the element input follows in "BEAM189 Input Summary".

BEAM189 Input Summary

Nodes

I, J, K, L (L, the orientation node, is optional but recommended)

Degrees of Freedom
UX, UY, UZ, ROTX, ROTY, ROTZ if KEYOPT(1) = 0
UX, UY, UZ, ROTX, ROTY, ROTZ, WARP if KEYOPT(1) = 1
Section Controls
TXZ, TXY, ADDMAS (See SECCONTROLS)
(TXZ and TXY default to A*GXZ and A*GXY, respectively, where A = cross-sectional area)
Material Properties

EX, (PRXY or NUXY), ALPX, DENS, GXY, GYZ, GXZ, DAMP

Surface Loads
Pressure --
face 1 (I-J) (-z normal direction),
face 2 (I-J) (-y normal direction),
face 3 (I-J) (+x tangential direction),
face 4 (J) (+x axial direction),
face 5 (I) (-x direction).
(use a negative value for loading in the opposite direction)
I and J denote the end nodes.
Body Loads
Temperatures --

T(0,0), T(1,0), T(0,1) at each end node

Special Features
Plasticity (PLASTIC, BISO, MISO, NLISO, BKIN, MKIN, KINH, CHABOCHE, HILL)
Viscoelasticity (PRONY, SHIFT)
Viscoplasticity/Creep (CREEP, RATE)
Other material (USER)
Stress stiffening
Large deflection
Large strain
Initial stress import
Nonlinear stabilization
Birth and death (requires KEYOPT(11) = 1)
Automatic selection of element technology
Generalized cross section (nonlinear elastic, elasto-plastic, temperature-dependent)

Note

Items in parentheses refer to data tables associated with the TB command. See the Theory Reference for ANSYS and ANSYS Workbench for details of the material models.

Note

See Automatic Selection of Element Technologies and ETCONTROL for more information on selection of element technologies.

KEYOPT(1)

Warping degree of freedom:

0 --

Default; six degrees of freedom per node, unrestrained warping

1 --

Seven degrees of freedom per node (including warping). Bimoment and bicurvature are output.

KEYOPT(2)

Cross-section scaling:

0 --

Default; cross-section is scaled as a function of axial stretch; applies only if NLGEOM,ON has been invoked

1 --

Section is assumed to be rigid (classical beam theory)

KEYOPT(4)

Shear stress output:

0 --

Default; output only torsion-related shear stresses

1 --

Output only flexure-related transverse shear stresses

2 --

Output a combined state of the previous two types.

KEYOPT(6) through KEYOPT(9) are active only when OUTPR,ESOL is active. When KEYOPT(6), (7), (8), and (9) are active, the strains reported in the element output are total strains. "Total" implies the inclusion of thermal strains. When the material associated with the element has plasticity, plastic strain and plastic work are also provided. Alternatively, use PRSSOL in /POST1.

KEYOPT(6)

Output control at element integration point:

0 --

Default; output section forces, strains, and bending moments

1 --

Same as KEYOPT(6) = 0 plus current section area

2 --

Same as KEYOPT(6) = 1 plus element basis directions (X,Y,Z)

3 --

Output section forces/moments and strains/curvatures extrapolated to element nodes

KEYOPT(7)

Output control at section integration point (not available when section subtype = ASEC):

0 --

Default; none

1 --

Maximum and minimum stresses/strains

2 --

Same as KEYOPT(7) = 1 plus stresses and strains at each section point

KEYOPT(8)

Output control at section nodes (not available when section subtype = ASEC):

0 --

Default; none

1 --

Maximum and minimum stresses/strains

2 --

Same as KEYOPT(8) = 1 plus stresses and strains along the exterior boundary of the cross-section

3 --

Same as KEYOPT(8) = 1 plus stresses and strains at each section node

KEYOPT(9)

Output control for extrapolated values at element nodes and section nodes (not available when section subtype = ASEC):

0 --

Default; none

1 --

Maximum and minimum stresses/strains

2 --

Same as KEYOPT(9) = 1 plus stresses and strains along the exterior boundary of the cross-section

3 --

Same as KEYOPT(9) = 1 plus stresses and strains at all section nodes

KEYOPT(10)

User-defined initial stresses:

0 --

No user subroutine to provide initial stresses (default)

1 --

Read initial stress data from user subroutine USTRESS

Note

See the Guide to ANSYS User Programmable Features for user written subroutines.

KEYOPT(11)

Set section properties:

0 --

Automatically determine if pre-integrated section properties can be used (default)

1 --

Use numerical integration of section (required for birth/death functionality)

KEYOPT(12)

Tapered section treatment:

0 --

Linear tapered section analysis; cross section properties are evaluated at each Gauss point (default). This is more accurate, but computationally intense.

1 --

Average cross section analysis; for elements with tapered sections, cross section properties are evaluated at the centroid only. This is an approximation of the order of the mesh size; however, it is faster.

BEAM189 Output Data

The solution output associated with these elements is in two forms:

  • Nodal displacements and reactions included in the overall nodal solution

  • Additional element output as described in Table 189.1: "BEAM189 Element Output Definitions"

Where necessary, we recommend KEYOPT(8) = 2 and KEYOPT(9) = 2. See the Basic Analysis Guide for ways to view results.

To view 3-D deformed shapes for BEAM189, issue an OUTRES,MISC or OUTRES,ALL command for static or transient analyses. To view 3-D mode shapes for a modal or eigenvalue buckling analysis, you must expand the modes with element results calculation active (via the MXPAND command's Elcalc = YES option).

Linearized Stress

It is customary in beam design to employ components of axial stress that contribute to axial loads and bending in each direction separately. Therefore, BEAM189 provides a linearized stress output as part of its SMISC output record, as indicated in the following definitions:

SDIR is the stress component due to axial load.

SDIR = FX/A, where FX is the axial load (SMISC quantities 1 and 14) and A is the area of the cross section.

SBYT and SBYB are bending stress components.

SBYT = -MZ * ymax / Izz
SBYB = -MZ * ymin / Izz
SBZT = MY * zmax / Iyy
SBZB = MY * zmin / Iyy

where MY, MZ are bending moments (SMISC quantities 2,15,3,16). Coordinates ymax, ymin, zmax, and zmin are the maximum and minimum y, z coordinates in the cross section measured from the centroid. Values Iyy and Izz are moments of inertia of the cross section. Except for the ASEC type of beam cross section, ANSYS uses the maximum and minimum cross section dimensions. For the ASEC type of cross section, the maximum and minimum in each of Y and Z direction is assumed to be +0.5 to -0.5, respectively.

Corresponding definitions for the component strains are:

EPELDIR = EX
EPELBYT = -KZ * ymax
EPELBYB = -KZ * ymin
EPELBZT = KY * zmax
EPELBZB = KY * zmin

where EX, KY, and KZ are generalized strains and curvatures (SMISC quantities 7,8,9, 20,21 and 22).

The reported stresses are strictly valid only for elastic behavior of members. BEAM189 always employs combined stresses in order to support nonlinear material behavior. When the elements are associated with nonlinear materials, the component stresses may at best be regarded as linearized approximations and should be interpreted with caution.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 189.1 BEAM189 Element Output Definitions

Name | Definition | O | R
EL | Element number | Y | Y
NODES | Element connectivity | Y | Y
MAT | Material number | Y | Y
C.G.:X, Y, Z | Center of gravity | Y | Y
AREA | Area of cross-section | 1 | Y
SF:Y, Z | Section shear forces | 1 | Y
SE:Y, Z | Section shear strains | 1 | Y
S:XX, XZ, XY | Section point stresses | 2 | Y
EPTO:XX, XZ, XY | Section point total strains (EPEL + EPPL + EPTH) | 2 | Y
EPPL:XX, XZ, XY | Section point plastic strains | 2 | Y
EPCR:XX, XZ, XY | Section point creep strains | 2 | Y
EPTH:XX, XZ, XY | Section point thermal strains | 2 | Y
MX | Torsional moment | Y | Y
KX | Torsional strain | Y | Y
KY, KZ | Curvature | Y | Y
EX | Axial strain | Y | Y
FX | Axial force | Y | Y
MY, MZ | Bending moments | Y | Y
BM | Bimoment | 3 | 3
BK | Bicurvature | 3 | 3
SDIR Axial direct stress - 1
SBYT Bending stress on the element +Y side of the beam - 1
SBYB Bending stress on the element -Y side of the beam - 1
SBZT Bending stress on the element +Z side of the beam - 1
SBZB Bending stress on the element -Z side of the beam - 1
EPELDIR Axial strain at the end - 1
EPELBYT Bending strain on the element +Y side of the beam. - 1
EPELBYB Bending strain on the element -Y side of the beam. - 1
EPELBZT Bending strain on the element +Z side of the beam. - 1
EPELBZB Bending strain on the element -Zside of the beam. - 1
TEMP Temperatures T0, T1(1,0), T2(0,1) - 1

Note

More output is described via the PRSSOL command in /POST1.

  1. See KEYOPT(6) description

  2. See KEYOPT(7), KEYOPT(8), KEYOPT(9) descriptions

  3. See KEYOPT(1) description

Table 189.2: "BEAM 189 Item and Sequence Numbers" lists output available through ETABLE using the Sequence Number method. See Creating an Element Table in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. Table 189.2: "BEAM 189 Item and Sequence Numbers" uses the following notation:

Name

output quantity as defined in the Table 189.1: "BEAM189 Element Output Definitions"

Item

predetermined Item label for ETABLE

I,J

sequence number for data at nodes I and J

Table 189.2 BEAM 189 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | J
FX | SMISC | 1 | 14
MY | SMISC | 2 | 15
MZ | SMISC | 3 | 16
MX | SMISC | 4 | 17
SFZ | SMISC | 5 | 18
SFY | SMISC | 6 | 19
EX | SMISC | 7 | 20
KY | SMISC | 8 | 21
KZ | SMISC | 9 | 22
KX | SMISC | 10 | 23
SEZ | SMISC | 11 | 24
SEY | SMISC | 12 | 25
Area | SMISC | 13 | 26
BM | SMISC | 27 | 29
BK | SMISC | 28 | 30
SDIR | SMISC | 31 | 36
SBYT | SMISC | 32 | 37
SBYB | SMISC | 33 | 38
SBZT | SMISC | 34 | 39
SBZB | SMISC | 35 | 40
EPELDIR | SMISC | 41 | 46
EPELBYT | SMISC | 42 | 47
EPELBYB | SMISC | 43 | 48
EPELBZT | SMISC | 44 | 49
EPELBZB | SMISC | 45 | 50
TEMP | SMISC | 51-53 | 54-56
S:XX, XZ, XY | LS | i | 3 * nNode + i
EPTO:XX,XZ,XY | LEPEL | i | 3 * nNode + i
EPTH:XX,XZ,XY | LEPTH | i | 3 * nNode + i
EPPL:XX,XZ,XY | LEPPL | i | 3 * nIntg + i
EPCR:XX,XZ,XY | LEPCR | i | 3 * nIntg + i

Note

The value i in Table 189.2: "BEAM 189 Item and Sequence Numbers" refers to the order of the node or integration point of the beam where 1 [image] i [image] (3 * nNode) (number of nodes), or 1 [image] i [image] (3 * nIntg) (number of integration points).

For more usage details, see Plot and Review the Section Results and Sample Problem with Cantilever Beams, Command Method.

Transverse Shear Stress Output

BEAM188/BEAM189 formulation is based on three stress components:

  • one axial

  • two shear stress components

The shear stresses are caused by torsional and transverse loads. BEAM188/BEAM189 are based on first order shear deformation theory, also popularly known as Timoshenko Beam theory. The transverse shear strain is constant for the cross section, and hence the shear energy is based on a transverse shear force. This shear force is redistributed by predetermined shear stress distribution coefficients across the beam cross-section, and made available for output purposes. By default, ANSYS will only output the shear stresses caused by torsional loading. KEYOPT(4) of BEAM188/BEAM189 may be used to activate output of shear stresses caused by flexure or transverse loading.

The accuracy of transverse shear distribution is directly proportional to the mesh density of cross-section modeling (for determination of warping, shear center and other section geometric properties). The traction free state at the edges of cross-section, is met only in a well-refined model of the cross-section.

By default, ANSYS uses a mesh density (for cross-section model) that provides accurate results for torsional rigidity, warping rigidity, inertia properties, and shear center determination. The default mesh employed is also appropriate for nonlinear material calculations. However, more refined cross-section models may be necessary if the shear stress distribution due to transverse loads must be captured very accurately. Note that increasing cross-section mesh size, does not imply larger computational cost if the associated material is linear. SECTYPE and SECDATA command descriptions allow specification of cross-section mesh density.

The transverse shear distribution calculation neglects the effects of Poisson's ratio. The Poisson's ratio affects the shear correction factor and shear stress distribution slightly.

BEAM189 Assumptions and Restrictions

  • The beam must not have zero length.

  • By default (KEYOPT(1) = 0), the effect of warping restraint is assumed to be negligible.

  • Cross-section failure or folding is not accounted for.

  • Rotational degrees of freedom are not included in the lumped mass matrix if offsets are present.

  • It is a common practice in civil engineering to model the frame members of a typical multi-storied structure using a single element for each member. Because of cubic interpolation of lateral displacement, BEAM4 and BEAM44 are well-suited for such an approach. BEAM189, under most circumstances, may provide accuracy similar to that of the cubic elements, since the linear bending moment variation is accounted for.

  • BEAM189 includes the effects of transverse shear and accounts for the initial curvature of the beams.

  • This element works best with the full Newton-Raphson solution scheme (that is, the default choice in solution control). For nonlinear problems that are dominated by large rotations, we recommend that you do not use PRED,ON.

  • Note that only moderately "thick" beams may be analyzed. See the"BEAM189 Input Data" section for more information.

  • When a cross-section has multiple materials and you issue the /ESHAPE command (which displays elements with shapes determined from the real constants or section definition) to produce contour plots of stresses (and other quantities), the element averages the stresses across material boundaries. To limit this behavior, use small cross-section cells around the material boundaries. There are no input options to bypass this behavior.

  • For this element, the /ESHAPE command supports visualization of stresses, but not of plastic strains.

  • Stress stiffening is always included in geometrically nonlinear analyses (NLGEOM,ON). It is ignored in geometrically linear analyses (NLGEOM,OFF) when specified by SSTIF,ON. Prestress effects can be activated by the PSTRES command.

  • When the element is associated with nonlinear general beam sections (SECTYPE,,GENB), additional restrictions apply. For more information, see Considerations for Employing Nonlinear General Beam Sections.

BEAM189 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The only special features allowed are stress stiffening and large deflections.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BEAM188 		Up / Home Next
SOLSH190


SOLSH190

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLSH190

3-D 8-Node Layered Solid Shell

MP ME ST PR PRN DS DSS <> <> <> <> PP <>

Product Restrictions

SOLSH190 Element Description

SOLSH190 is used for simulating shell structures with a wide range of thickness (from thin to moderately thick). The element possesses the continuum solid element topology and features eight-node connectivity with three degrees of freedom at each node: translations in the nodal x, y, and z directions. Thus, connecting SOLSH190 with other continuum elements requires no extra efforts. A degenerate prism option is available, but should only be used as filler elements in mesh generation. The element has plasticity, hyperelasticity, stress stiffening, creep, large deflection, and large strain capabilities. It also has mixed u-P formulation capability for simulating deformations of nearly incompressible elastoplastic materials, and fully incompressible hyperelastic materials. The element formulation is based on logarithmic strain and true stress measures.

You can use SOLSH190 for layered applications such as modeling laminated shells or sandwich construction. The layered section definition is given by ANSYS section (SECxxx) commands. The element allows up to 250 different material layers. Accuracy in modeling composite shells is governed by the first order shear deformation theory (also known as Mindlin-Reissner shell theory).

See SOLSH190 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 190.1 SOLSH190 Geometry

xo = Element x-axis if ESYS is not supplied.

x = Element x-axis if ESYS is supplied.

SOLSH190 Input Data

The geometry, node locations, and the element coordinate system for this element are shown in Figure 190.1: "SOLSH190 Geometry". The element is defined by eight nodes. The element coordinate system follows the shell convention where the z axis is normal to the surface of the shell. The node ordering must follow the convention that the I-J-K-L and M-N-O-P element faces represent the bottom and top shell surfaces, respectively. You can change the orientation within the plane of the layers via the ESYS command as you would for shell elements (as described in Coordinate Systems). To achieve the correct nodal ordering for a volume mapped (hexahedron) mesh, you can use the VEORIENT command to specify the desired volume orientation before executing the VMESH command. Alternatively, you can use the EORIENT command after automatic meshing to reorient the elements to be in line with the orientation of another element, or to be as parallel as possible to a defined ESYS axis.

Layered Section Definition Using Section Commands

You can associate SOLSH190 with a shell section (SECTYPE). The layered composite specifications (including layer thickness, material, orientation, and number of integration points through the thickness of the layer) are specified via shell section (SECxxx) commands. You can use the shell section commands even with a single-layered SOLSH190 element. ANSYS obtains the actual layer thicknesses used for element calculations by scaling the input layer thickness so that they are consistent with the thickness between the nodes. A section can be partially defined using data from a FiberSIM .xml file.

You can designate the number of integration points (1, 3, 5, 7, or 9) located through the thickness of each layer. Two points are located on the top and bottom surfaces respectively and the remaining points are distributed equal distance between the two points. The element requires at least two points through the entire thickness. When no shell section definition is provided, the element is treated as single-layered and uses two integration points through the thickness.

SOLSH190 does not support real constant input for defining layer sections.

Other Input

The default orientation for this element has the S1 (shell surface coordinate) axis aligned with the first parametric direction of the element at the center of the element. The axis can be defined as shown:

where:

{x}I, {x}J, . . . , {x}P = global nodal coordinates

You can reorient the default first surface direction S1 in the element reference plane (see Figure 190.1) via the ESYS command. You can further rotate S1 by angle THETA (in degrees) for each layer via the SECDATA command to create layer-wise coordinate systems. See Coordinate Systems for details.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on Figure 190.1: "SOLSH190 Geometry". Positive pressures act into the element.

If you specify no element body load for defining temperatures--that is, you define temperatures with commands other than BFE--SOLSH190 adopts an element-wise temperature pattern and requires only eight temperatures for the eight element nodes. Unspecified nodal temperatures default to the assigned uniform temperature (TUNIF). ANSYS computes all layer interface temperatures by interpolating nodal temperatures T1 ~ T8.

Alternatively, you can input temperatures as element body loads at the corners of the outside faces of the element and at the corners of the interfaces between layers (1-1024 maximum). In such a case, the element uses a layer-wise pattern. Temperatures T1, T2, T3, T4 are used for the bottom of layer 1, temperatures T5, T6, T7, T8 are used for interface corners between layers 1 and 2, and so on between successive layers, ending with temperatures at the top layer NL. If you input exactly NL + 1 temperatures, one temperature is used for the four bottom corners of each layer, and the last temperature is used for the four top corner temperatures of the top layer. The first corner temperature T1 defaults to TUNIF. If all other corner temperatures are unspecified, they default to T1. For any other input pattern, unspecified temperatures default to TUNIF.

You can use the MP command to define the isotropic or orthotropic elastic material properties and the ANEL command to define anisotropic elastic material properties. Other material properties include density, damping ratios, and coefficients of thermal expansion. You may also use the TB command to define nonlinear material behavior such as plasticity, hyperelasticity, viscoelasticity, creep, and viscoplasticity.

KEYOPT(6) = 1 sets the element for using u-P mixed formulation. For details on the use of mixed formulation, see Applications of Mixed u-P Formulations in the Elements Reference.

You can apply an initial stress state to this element via the INISTATE command. For more information, see the INISTATE command, and also Initial Stress Loading in the Basic Analysis Guide. Alternately, you can set KEYOPT(10) = 1 to read initial stresses from the user subroutine USTRESS. For details on user subroutines, see the Guide to ANSYS User Programmable Features.

The effects of pressure load stiffness are automatically included for this element. If an unsymmetric matrix is needed for pressure load stiffness effects, use NROPT,UNSYM.

"SOLSH190 Input Summary" contains a summary of element input. For a general description of element input, see Element Input.

SOLSH190 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

UX, UY, UZ

Real Constants

None

Material Properties
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ),
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ),
DENS, GXY, GYZ, GXZ, DAMP
Surface Loads
Pressures --
face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N),
face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)
Body Loads
Temperatures --
Element-wise pattern (no element body load command issued): T1, T2, T3, T4, T5, T6, T7, T8 for 8 element nodes. Temperatures at layer interface corners are computed by interpolating nodal temperatures.
Layer-wise pattern (element body load command issued): T1, T2, T3, T4 (at bottom of layer 1), T5, T6, T7, T8 (between layers 1-2); similarly for temperatures between subsequent layers, ending with temperatures at top of layer NL (4 * (NL + 1) maximum). For a one-layer element, therefore, 8 temperatures are used.
Special Features
Plasticity (PLASTIC, BISO, MISO, NLISO, BKIN, MKIN, KINH, CHABOCHE, HILL)
Hyperelasticity (AHYPER, HYPER)
Viscoelasticity (PRONY, SHIFT)
Viscoplasticity/Creep (CREEP, RATE)
Elasticity (ELASTIC, ANEL)
Other material (USER, SDAMP, SMA, CAST, EDP, GURSON)
Stress stiffening
Large deflection
Large strain
Initial stress import
Nonlinear stabilization
Birth and death

Note

Items in parentheses refer to data tables associated with the TB command. See the Theory Reference for ANSYS and ANSYS Workbench for details about the material models.

KEYOPT(6)

Element formulation:

0 --

Use pure displacement formulation (default).

1 --

Use mixed u-P formulation.

KEYOPT(8)

Storage of layer data:

0 --

For multilayer elements, store data for bottom of bottom layer and top of top layer (default).

1 --

For multilayer elements, store data for top and bottom for all layers. (Before using this option, be aware that the amount of data involved can be very large.)

KEYOPT(10)

User-defined initial stress:

0 --

No user subroutine to provide initial stresses (default).

1 --

Read initial stress data from user subroutine USTRESS

Note

See the Guide to ANSYS User Programmable Features for user written subroutines.

SOLSH190 Element Technology

SOLSH190 employs incompatible modes to enhance the accuracy in in-plane bending situations. The satisfaction of the in-plane patch test is ensured. A separate set of incompatible modes is adopted to overcome the thickness locking in bending dominant problems. The incompatible modes introduce seven internal DOFs that are inaccessible to users and condensed out at the element level.

SOLSH190 utilizes a suite of special kinematic formulations to avoid locking when the shell thickness becomes extremely small. However, due to its shell-like behavior, SOLSH190 fails to pass the patch test if the element is distorted in the thickness direction.

SOLSH190 is fully compatible with 3-D constitutive relations. Compared to classical shell elements that are based on plane stress assumptions, SOLSH190 usually gives more accurate predictions when the shell is thick.

SOLSH190 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 190.1: "SOLSH190 Element Output Definitions"

Several items are illustrated in Figure 190.2: "SOLSH190 Stress Output". See Element Table for Variables Identified By Sequence Number in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information.

Figure 190.2 SOLSH190 Stress Output

xo = Element x-axis if ESYS is not supplied.
x = Element x-axis if ESYS is supplied.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 190.1 SOLSH190 Element Output Definitions

Name | Definition | O | R
EL | Element Number | - | Y
NODES | Nodes - I, J, K, L, M, N, O, P | - | Y
MAT | Material number | - | Y
VOLU: | Volume | - | Y
XC, YC, ZC | Location where results are reported | Y | 2
PRES | Pressures P1 at nodes J, I, L, K; P2 at I, J, N, M; P3 at J, K, O, N; P4 at K, L, P, O; P5 at L, I, M, P; P6 at M, N, O, P | - | Y
TEMP | T1, T2, T3, T4 at bottom of layer 1; T5, T6, T7, T8 between layers 1-2; similarly for between successive layers, ending with temperatures at top of layer NL (4 * (NL + 1) maximum) | - | Y
S:X, Y, Z, XY, YZ, XZ | Stresses | Y | Y
S:1, 2, 3 | Principal stresses | - | Y
S:INT | Stress intensity | - | Y
S:EQV | Equivalent stress | - | Y
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | Y | Y
EPEL:1, 2, 3 | Principal elastic strains | - | Y
EPEL:EQV | Equivalent elastic strains [5] | - | Y
EPTH:X, Y, Z, XY, YZ, XZ | Thermal strains | Y | Y
EPTH:EQV | Equivalent thermal strains [5] | Y | Y
EPPL:X, Y, Z, XY, YZ, XZ | Plastic strains[6] | 1 | 1
EPPL:EQV | Equivalent plastic strains [5] | 1 | 1
EPCR:X, Y, Z, XY, YZ, XZ | Creep strains | 1 | 1
EPCR:EQV | Equivalent creep strains [5] | 1 | 1
EPTO:X, Y, Z, XY, YZ, XZ | Total mechanical strains (EPEL + EPPL + EPCR) | Y | -
EPTO:EQV | Total equivalent mechanical strains (EPEL + EPPL + EPCR) | Y | -
NL:EPEQ | Accumulated equivalent plastic strain | 1 | 1
NL:CREQ | Accumulated equivalent creep strain | 1 | 1
NL:SRAT | Plastic yielding (1 = actively yielding, 0 = not yielding) | 1 | 1
NL:HPRES | Hydrostatic pressure | 1 | 1
SEND:ELASTIC, PLASTIC, CREEP | Strain energy densities | - | 1
N11, N22, N12 | In-plane forces (per unit length) | - | Y
M11, M22, M12 | Out-of-plane moments (per unit length) | - | Y
Q13, Q23 | Transverse shear forces (per unit length) | - | Y
LOCI:X, Y, Z | Integration point locations | - | 3
SVAR:1, 2, ... , N | State variables | - | 4
ILSXZ | SXZ interlaminar shear stress | - | Y
ILSYZ | SYZ interlaminar shear stress | - | Y
ILSUM | Interlaminar shear stress vector sum | - | Y
ILANG | Angle of interlaminar shear stress vector (measured from the element x-axis toward the element y-axis in degrees) | - | Y

  1. Nonlinear solution, output only if the element has a nonlinear material

  2. Available only at centroid as a *GET item

  3. Available only if OUTRES,LOCI is used

  4. Available only if the USERMAT subroutine and TB,STATE are used

  5. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,NUXY); for plastic and creep this value is set at 0.5.

  6. For the shape memory alloy material model, transformation strains are reported as plasticity strain EPPL.

Table 190.2: "SOLSH190 Item and Sequence Numbers" lists output available through ETABLE using the Sequence Number method. See Element Table for Variables Identified By Sequence Number in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 190.2: "SOLSH190 Item and Sequence Numbers":

Name

output quantity as defined in the Table 190.1: "SOLSH190 Element Output Definitions"

Item

predetermined Item label for ETABLE command

I,J,...,P

sequence number for data at nodes I, J, ..., P

Table 190.2 SOLSH190 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J | K | L | M | N | O | P
P1 | SMISC | - | 2 | 1 | 4 | 3 | - | - | - | -
P2 | SMISC | - | 5 | 6 | - | - | 8 | 7 | - | -
P3 | SMISC | - | - | 9 | 10 | - | - | 12 | 11 | -
P4 | SMISC | - | - | - | 13 | 14 | - | - | 16 | 15
P5 | SMISC | - | 18 | - | - | 17 | 19 | - | - | 20
P6 | SMISC | - | - | - | - | - | 21 | 22 | 23 | 24
THICK | SMISC | 27 | - | - | - | - | - | - | - | -
N11 | SMISC | 28 | - | - | - | - | - | - | - | -
N22 | SMISC | 29 | - | - | - | - | - | - | - | -
N12 | SMISC | 30 | - | - | - | - | - | - | - | -
M11 | SMISC | 31 | - | - | - | - | - | - | - | -
M22 | SMISC | 32 | - | - | - | - | - | - | - | -
M12 | SMISC | 33 | - | - | - | - | - | - | - | -
Q13 | SMISC | 34 | - | - | - | - | - | - | - | -
Q23 | SMISC | 35 | - | - | - | - | - | - | - | -
Output Quantity Name | ETABLE and ESOL Command Input
 | Item | Bottom of Layer i | Top of Layer NL
ILSXZ | SMISC | 8 * (i - 1) + 51 | 8 * (NL - 1) + 52
ILSYZ | SMISC | 8 * (i - 1) + 53 | 8 * (NL - 1) + 54
ILSUM | SMISC | 8 * (i - 1) + 55 | 8 * (NL - 1) + 56
ILANG | SMISC | 8 * (i - 1) + 57 | 8 * (NL - 1) + 58

SOLSH190 Assumptions and Restrictions

  • Zero-volume elements are not allowed.

  • Elements may be numbered either as shown in Figure 190.1: "SOLSH190 Geometry" or may have the planes IJKL and MNOP interchanged. The element may not be twisted such that the element has two separate volumes (which occurs most frequently when the elements are not numbered properly).

  • All elements must have eight nodes. You can form a prism-shaped element by defining duplicate K and L and duplicate O and P node numbers (see Triangle, Prism and Tetrahedral Elements).

  • If you use the mixed u-P formulation (KEYOPT(6) = 1), you must use either the sparse solver (default) or the frontal solver.

  • The maximum number of layers is 250.

  • If the material of a layer is hyperelastic, the layer orientation angle has no effect.

  • Using both hyperelastic and elastoplastic layers in the same element can produce unpredictable results and is not recommended.

  • Stress stiffening is always included in geometrically nonlinear analyses (NLGEOM,ON). It is ignored in geometrically linear analyses (NLGEOM,OFF) when specified by SSTIF,ON. Prestress effects can be activated by the PSTRES command.

SOLSH190 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
BEAM189 		Up / Home Next
SOLID191


SOLID191

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID191

3-D 20-Node Layered Structural Solid

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

SOLID191 Element Description

SOLID191 is a layered version of the 20-node structural solid (SOLID95) designed to model layered thick shells or solids. The element allows up to 100 different material layers. If more than 100 layers are required, the elements may be stacked. The element is defined by 20 nodes having three degrees of freedom per node: translations in the nodal x, y, and z directions. SOLID191 has stress stiffening capabilities. Various printout options are also available. See SOLID191 in the Theory Reference for ANSYS and ANSYS Workbench for more details. A similar element with 8 nodes is SOLID46. A similar element for shells is SHELL91.

Figure 191.1 SOLID191 Geometry

xo = Element x-axis if ESYS is not supplied.

x = Element x-axis if ESYS is supplied.

SOLID191 Input Data

The geometry, node locations, and the coordinate system for this element are shown in SOLID191. The element is defined by 20 nodes, layer thicknesses, layer material direction angles, and orthotropic material properties. For any material, shear moduli GXZ and GYZ must be within a factor of 10,000 of each other.

To reorient the elements (after automatic meshing) you should use EORIENT. With EORIENT, you can make SOLID191 elements match an element whose orientation is as desired, or set the orientation to be as parallel as possible to a defined axis. The element z-axis is defined to be normal to the reference plane, which may be curved, as shown in Figure 191.2: "SOLID191 Stress Output". The default element x-axis is the average projection of side I-J and side M-N onto the reference plane. The orientation within the plane of the layers may be changed using ESYS in the same way it is used for shell elements as described in Coordinate Systems.

The total number of layers (up to 100) must be specified (NL). If the properties of the layers are symmetric about the midthickness of the element (LSYM = 1), only half the properties, up to and including those of the middle layer (if any), need to be entered. Otherwise (LSYM = 0), the properties of all layers should be entered.

The material properties of each layer may be orthotropic in the plane of the element. The real constant MAT is used to define the layer material number instead of the element material number applied with the MAT command. MAT defaults to 1 if not input. The material X direction corresponds to the local layer x' direction.

Use the BETAD command to supply the global value of damping. If MP,DAMP is defined for the material number of the element (assigned with the MAT command), it is used for the element instead of the value from the BETAD command. Similarly, use the TREF command to supply the global value of reference temperature. If MP,REFT is defined for the material number of the element, it is used for the element instead of the value from the TREF command. But if MP,REFT is defined for the material number of the layer, it is used instead of either the global or element value.

Each layer of the layered solid element may have a variable thickness (TK). The thickness is assumed to vary bilinearly over the area of the layer, with the thickness input at the corner node locations. If a layer has a constant thickness, only TK(I) need be input using positive values. If the thickness is not constant, all four corner thicknesses must be input. Zero thickness layers may be used to model dropped plies.

The layer thicknesses used are computed by scaling the input real constant thicknesses to be consistent with the thicknesses between the nodes. The node locations may imply that the layers are tilted or warped. However, the local coordinate system for each layer is effectively reoriented parallel to the reference plane, as shown in Figure 191.2: "SOLID191 Stress Output". In this local right-handed system, the x'-axis is rotated an angle THETA (LN) (in degrees) from the element x-axis toward the element y-axis.

The total number of layers must be specified with the NL real constant as described in "SOLID191 Input Summary". The real constants, material properties, and layer thicknesses are also described in "SOLID191 Input Summary". Failure criteria are delineated in SHELL99.

The failure criteria selection is input in the data table [TB], as described in Table 2.2: "Orthotropic Material Failure Criteria Data". Three predefined criteria are available and up to six user-defined criteria may be entered with user subroutines. See Failure Criteria in the Theory Reference for ANSYS and ANSYS Workbench for an explanation of the three predefined failure criteria. See Guide to ANSYS User Programmable Features for an explanation of user subroutines. Failure criteria may also be computed in POST1 (using the FC commands). All references to failure criteria as part of element output data are based only on the TB commands.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers on SOLID191. Positive pressures act into the element.

Temperatures may be input as element body loads at the corners of the outside faces of the element and at the corners of the interfaces between layers (1-404 maximum), as shown in Figure 91.1: "SHELL91 Geometry". The first corner temperature T1 defaults to TUNIF. If all other temperatures are unspecified, they default to T1. If exactly NL+1 temperatures are input, one temperature is used for the four bottom corners of each layer, and the last temperature is used for the four top corner temperatures of the top layer. That is, T1 is used for T1, T2, T3, and T4; T2 (as input) is used for T5, T6, T7, and T8, etc. For any other input pattern, unspecified temperatures default to TUNIF.

You can include the effects of pressure load stiffness in a geometric nonlinear analysis using SOLCONTROL,,,INCP. Pressure load stiffness effects are included in linear eigenvalue buckling automatically. If an unsymmetric matrix is needed for pressure load stiffness effects, use NROPT,UNSYM.

A summary of the element input is given in "SOLID191 Input Summary". A general description of element input is given in "SOLID191 Input Summary".

SOLID191 Input Summary

Nodes

I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z, A, B

Degrees of Freedom

UX, UY, UZ

Real Constants

See Table 191.1: "SOLID191 Real Constants" for a description of the real constants

Material Properties

Supply the following 13*NM properties where NM is the number of materials (maximum is NL):

EX, EY, EZ, ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ),
PRXY, PRYZ, PRXZ, (or NUXY, NUYZ, NUXZ),
DENS, GXY, GYZ, GXZ, for each of the NM materials

Supply DAMP only once for the element (use MAT to assign material property set). REFT may be supplied once for the element, or may be assigned on a per layer basis. See the discussion in "SOLID191 Input Data" for more details.

Surface Loads
Pressure --
face 1 (J-I-L-K), face 2 (I-J-N-M), face 3 (J-K-O-N),
face 4 (K-L-P-O), face 5 (L-I-M-P), face 6 (M-N-O-P)
Body Loads
Temperatures --

T1, T2, T3, T4 at bottom of layer 1, T5, T6, T7, T8 between layers 1-2, similarly for between next layers, ending with temperatures at top of layer NL(4*(NL+1) maximum)

Special Features
Plasticity (BISO, MISO, BKIN, MKIN, KINH, DP, ANISO)
Creep (CREEP)
Elasticity (MELAS)
Other material (USER)
Stress stiffening
Adaptive descent

Note

Items in parentheses refer to data tables associated with the TB command.

KEYOPT(1)

The maximum number of layers used by this element type for storage in the .ESAV and .OSAV files; default = 16. The first real constant (NL) must be no greater than the value you specify. The maximum number of layers may be no greater than 100.

KEYOPT(2)

Form of input:

0 --

Constant thickness layer input

1 --

Tapered thickness layer input

KEYOPT(3)

Material property usage:

0 --

Use material properties as given

1 --

Adjust material properties to give nonvarying values of σz, σxz, σyz through thickness of element (similar to SOLID46)

KEYOPT(4)

Element coordinate system:

0 --

No user subroutines to define element coordinate system

4 --

Element x-axis located by user subroutine USERAN

5 --

Element x-axis located by user subroutine USERAN and layer x-axes located by user subroutine USANLY

Note

See the Guide to ANSYS User Programmable Features for user written subroutines

KEYOPT(5)

Element output per layer:

0 --

Print average results at layer face farthest from element nodal plane

1 --

Print average results at layer middle

2 --

Print average results at layer top and bottom

3 --

Print results, including failure criterion, at layer top and bottom 4 integration points and averages

4 --

Print results at layer top and bottom 4 corner points and averages

KEYOPT(7)

Extra element output:

0 --

Basic element printout

2 --

Nodal force printout in element coordinates (member forces)

KEYOPT(8)

Storage of layer data:

0 --

Store data for the following locations: bottom of the bottom layer, top of the top layer, and data for the maximum failure criteria layer

1 --

Store data for all layers

Caution

Volume of data stored may be excessive.

KEYOPT(10)

Failure criteria print summary:

0 --

Print summary of the maximum of all failure criteria

1 --

Print summary of all the failure criteria

Table 191.1 SOLID191 Real Constants

No. | Name | Description
If KEYOPT(2) = 0, supply the following 12+(3*NL) constants:
1 | NL | Number of layers (100 maximum)
2 | LSYM | Layer symmetry key
3 ... 12 | (Blank) |
13 | MAT | Material number for layer 1
14 | THETA | x-axis rotation for layer 1
15 | TK | Layer thickness for layer 1
16 | MAT | Material number for layer 2
17 | THETA | x-axis rotation for layer 2
18 | TK | Layer thickness for layer 2
19 ... 12+(3*NL) | MAT, THETA, etc. | Repeat MAT, THETA, and TK for each layer (up to NL layers)
If KEYOPT(2) = 1, supply the following 12+(6*NL) constants:
1 | NL | Number of layers (100 maximum)
2 | LSYM | Layer symmetry key
3 ... 12 | (Blank) |
13 | MAT | Material number for layer 1
14 | THETA | x-axis rotation for layer 1
15 | TK(I) | Layer thickness at node I for layer 1
16 | TK(J) | Layer thickness at node J for layer 1
17 | TK(K) | Layer thickness at node K for layer 1
18 | TK(L) | Layer thickness at node L for layer 1
19 ... 12+(6*NL) | MAT, THETA, etc. | Repeat MAT, THETA, TK(I), TK(J) , TK(K), and TK(L) for each layer (up to NL layers)

For more information on real constants and other input data, see SHELL91. For more information on failure criteria, please refer to Failure Criteria.

SOLID191 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 191.2: "SOLID191 Element Output Definitions"

Several items are illustrated in Figure 191.2: "SOLID191 Stress Output".

The element stress directions correspond to the layer local coordinate directions. Various layer printout options are available. For integration point output, integration point 1 is nearest node I, 2 nearest J, 3 nearest K, and 4 nearest L. Failure criterion output is evaluated only at the in-plane integration points. (See SOLID191 in the Theory Reference for ANSYS and ANSYS Workbench.) KEYOPT(8) controls the amount of data output on the postdata file for processing with LAYER or LAYERP26. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

Figure 191.2 SOLID191 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 191.2 SOLID191 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P | Y | Y
VOLU: | Volume | Y | Y
TTOP, TBOT | Average temperatures at top and bottom faces | Y | Y
XC, YC, ZC | Location where results are reported | Y | 5
PRES | Pressures P1 at nodes J, I, L, K; P2 at I, J, N, M; P3 at J, K, O, N; P4 at K, L, P, O; P5 at L, I, M, P; P6 at M, N, O, P | Y | Y
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | 1 | Y
S:X, Y, Z, XY, YZ, XZ | Stresses (in layer local coordinates) | 2 | Y
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains (in layer local coordinates) | 2 | Y
EPEL:EQV | Equivalent elastic strain (in layer local coordinates) [6] | 2 | Y
EPTH:X, Y, Z, XY, YZ, XZ | Thermal strains (in layer local coordinates) | 2 | 2
EPTH:EQV | Equivalent thermal strain (in layer local coordinates) [6] | 2 | 2
LN | Layer number | Y | -
POS | Top (TOP), bottom (BOT), midthickness (MID) of layer | Y | -
LOC | Center location (AVG) [see KEYOPT(5) for control options] | Y | -
MAT | Material number of this layer | Y | -
THETA | Material direction angle for layer (THETA) | Y | -
AVE THICK | Average thickness of layer | Y | -
ACC AVE THICK | Accumulative average thickness (Thickness of element from layer 1 to this layer) | Y | -
AVE TEMP | Average temperature of layer | Y | -
NODE | Corner node number | Y | -
INT | Integration point number | Y | -
FC1, ..., FC6, FCMAX | Failure criterion values and maximum at each integration point | 3 | Y
FC | Failure criterion number (FC1 to FC6, FCMAX) | 3 | Y
VALUE | Maximum value for this criterion (if value exceeds 9999.999, 9999.999 will be printed) | 3 | Y
LN | Layer number where maximum occurs | 3 | Y
EPELF(X, Y, Z, XY, YZ, XZ) | Elastic strains (in layer local coordinates) causing the maximum value for this criterion in the element. | 3 | Y
SF(X, Y, Z, XY, YZ, XZ) | Stresses (in layer local coordinates) causing the maximum value for this criterion in the element. | 3 | Y
ILSXZ | SXZ interlaminar shear stress | - | Y
ILSYZ | SXZ interlaminar shear stress | - | Y
ILANG | Angle of interlaminar shear stress vector (measured from the element x-axis toward the element y-axis in degrees) | - | Y
ILSUM | Interlaminar shear stress vector sum | - | Y
LN1, LN2 | Layer numbers which define location of maximum interlaminar shear stress (ILMAX) | 4 | Y
ILMAX | Maximum interlaminar shear stress (occurs between LN1 and LN2) | 4 | Y

  1. If temperatures are present.

  2. The strain and stress output is controlled with KEYOPT(5) and KEYOPT(8).

  3. Summary of failure criteria calculation. Output of the elastic strains and/or stresses for each failure criterion and the maximum of all criteria (FCMAX).

  4. Printed only if significant shear stress. If there is no clear maximum location, LN1 and LN2 are set to NL and zero, respectively.

  5. Available only at centroid as a *GET item.

  6. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY).

The following notation is used in Table 191.3: "SOLID191 Item and Sequence Numbers":

Name

output quantity as defined in the Table 191.2: "SOLID191 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J,...,P

sequence number for data at nodes I, J, ..., P

Table 191.3 SOLID191 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | Bottom of Layer i | Top of Layer NL
ILSXZ | SMISC | (2*i)-1 | (2*NL)+1
ILSYZ | SMISC | (2*i) | (2*NL)+2
ILSUM | NMISC | (2*i)+5 | (2*NL)+7
ILANG | NMISC | (2*i)+6 | (2*NL)+8
Output Quantity Name | ETABLE and ESOL Command Input
 | Item | I | J | K | L
P1 | SMISC | (2*NL)+4 | (2*NL)+3 | (2*NL)+6 | (2*NL)+5
P2 | SMISC | (2*NL)+7 | (2*NL)+8 | - | -
P3 | SMISC | - | (2*NL)+11 | (2*NL)+12 | -
P4 | SMISC | - | - | (2*NL)+15 | (2*NL)+16
P5 | SMISC | (2*NL)+20 | - | - | (2*NL)+19
P6 | SMISC | - | - | - | -
Output Quantity Name | ETABLE and ESOL Command Input
 | Item | M | N | O | P
P1 | SMISC | - | - | - | -
P2 | SMISC | (2*NL)+10 | (2*NL)+9 | - | -
P3 | SMISC | - | (2*NL)+14 | (2*NL)+13 | -
P4 | SMISC | - | - | (2*NL)+18 | (2*NL)+17
P5 | SMISC | (2*NL)+21 | - | - | (2*NL)+22
P6 | SMISC | (2*NL)+23 | (2*NL)+24 | (2*NL)+25 | (2*NL)+26
Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
FCMAX (over all layers) | NMISC | 1
VALUE | NMISC | 2
LN | NMISC | 3
ILMAX | NMISC | 4
LN1 | NMISC | 5
LN2 | NMISC | 6
ILSUM (between layers i-1 and i) | NMISC | 2i+7
ILANG | NMISC | 2i+8
FCMAX (at layer i) | NMISC | (2*(NL+i))+7
VALUE (at layer i) | NMISC | (2*(NL+i))+8
FC | NMISC | (4*NL)+8+15(N-1)+1
VALUE | NMISC | (4*NL)+8+15(N-1)+2
LN | NMISC | (4*NL)+8+15(N-1)+3
EPELFX | NMISC | (4*NL)+8+15(N-1)+4
EPELFY | NMISC | (4*NL)+8+15(N-1)+5
EPELFZ | NMISC | (4*NL)+8+15(N-1)+6
EPELFXY | NMISC | (4*NL)+8+15(N-1)+7
EPELFYZ | NMISC | (4*NL)+8+15(N-1)+8
EPELFXZ | NMISC | (4*NL)+8+15(N-1)+9
SFX | NMISC | (4*NL)+8+15(N-1)+10
SFY | NMISC | (4*NL)+8+15(N-1)+11
SFZ | NMISC | (4*NL)+8+15(N-1)+12
SFXY | NMISC | (4*NL)+8+15(N-1)+13
SFYZ | NMISC | (4*NL)+8+15(N-1)+14
SFXZ | NMISC | (4*NL)+8+15(N-1)+15

Note

The i in Table 191.3: "SOLID191 Item and Sequence Numbers" (where i = 1, 2, 3, ..., NL) refers to the layer number of the element. NL is the maximum layer number as input for real constant NL (1 [image] NL [image] 100). N is the failure number as stored on the results file in compressed form, e.g., only those failure criteria requested will be written to the results file. For example, if only the maximum strain and the Tsai-Wu failure criteria are requested, the maximum strain criteria will be stored first (N = 1) and the Tsai-Wu failure criteria will be stored second (N = 2). In addition, if more than one criteria is requested, the maximum value over all criteria is stored last (N = 3 for this example).

SOLID191 Assumptions and Restrictions

  • Zero volume elements are not allowed. Usually, this occurs if the elements are not numbered properly.

  • All elements must have at least eight nodes.

  • A prism-shaped element may be formed by defining duplicate K and L and duplicate O and P node numbers (see Triangle, Prism and Tetrahedral Elements).

  • A tetrahedron shape is also available.

  • No slippage is assumed between the element layers. All material orientations are parallel to the reference plane.

  • It has been observed that large differences (factors greater than 1000) between different moduli of the same material can cause large differences between the equation solver maximum and minimum pivots, and can even cause "NEGATIVE PIVOT..." messages to appear. If this occurs, you should consider whether the material properties are realistic. The element matrices are reformed every iteration unless option 1 of KUSE is active.

  • Because of the nature of the in-plane integration, spurious rigid body motions are possible when using SOLID191. These spurious motions are not seen when using meshes of at least two elements in at least two different directions.

  • Interlaminar shear stresses for SHELL91 and SHELL99 shell elements are based on the premise that there are no interlaminar (transverse) shear stresses at the outer surface of the shell. This assumption cannot be used for a solid element. Thus, SOLID191 has two forms of shear stress calculations:

    • Those based on nodal forces (labeled "average transverse shear stress components").

    • Those based on the strain-displacement relationships, averaged across layers when applicable (labeled "maximum interlaminar shear stress").

    Neither one of these is exact, but ideally they will agree with each other. In both situations, the given values are averages, which will be less than the peak value. The differences between the average and the peak will be small in most cases; however, differences up to a factor of two have been seen.

  • Additional elements in the thickness direction will improve the interlaminar shear stress calculation.

  • When brick (rectangular prism) elements are used, both calculations result in constant stresses over the volume of the element.

  • In all cases, the values are constant in the plane of the layer and may, therefore, be thought of as centroidal values. Hence, one should consider using solid-to-solid submodeling to get accurate shear stress values at a free edge. These shear stresses are discussed further with SOLID46 in the Theory Reference for ANSYS and ANSYS Workbench. The Structural Analysis Guide contains additional information on composite elements.

SOLID191 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLSH190 		Up / Home Next
INTER192


INTER192

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

INTER192

2-D 4-Node Gasket

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

INTER192 Element Description

INTER192 is a 2-D 4-node linear interface element used for the 2-D modeling of structural assemblies. When used in conjunction with 2-D linear structural elements (PLANE42, VISCO106, and PLANE182), INTER192 is used to simulate gasket joints. The element can be used either as a plane element (plane stress or plane strain) or as an axisymmetric element. It is defined by four nodes having two degrees of freedom at each node: translations in the nodal x and y directions.

See Gasket Material and INTER192 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Also see Gasket Joints Simulation in the Structural Analysis Guide for more details on the gasket capability in ANSYS.

Figure 192.1 INTER192 Geometry

INTER192 Input Data

The element geometry, node locations, connectivity, and the nodal coordinate system are shown in Figure 192.1: "INTER192 Geometry". The element geometry is defined by 4 nodes, which form bottom and top lines of the element. The bottom line is defined by nodes I, J; and the top line is defined by nodes K, L. The element connectivity is defined as I, J, K, L. This element has 2 integration points. The Gauss integration scheme is used for the numerical integration.

Temperatures may be input as element body loads at the nodes. The node I temperature T(I), defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). For any other input pattern, unspecified temperatures default to TUNIF.

Input the nodal forces, if any, per unit of depth for a plane analysis (except for KEYOPT(3) = 3) and on a full 360° basis for an axisymmetric analysis.

The next table summarizes the element input. See the Element Input section in the Elements Reference for a general description of element input.

INTER192 Input Summary

Nodes

I, J, K, L

Degrees of Freedom

UX, UY

Real Constants
None, if KEYOPT(3) = 0, 1, or 2
THK - Plane stress with thickness, if KEYOPT(3) = 3
Material Properties

DAMP, ALPX (or CTEX or THSX)

Body Loads
Temperatures --

T(I), T(J), T(K), T(L)

Special Features

Gasket material associated with TB,GASKET.

Note

See Gasket Material in the Theory Reference for ANSYS and ANSYS Workbench for details on the material model.

KEYOPT(2)

Element deformation:

0 --

Through-thickness deformation only

1 --

Through-thickness and transverse shear deformation

KEYOPT(3)

Element behavior:

0 --

Plane stress

1 --

Axisymmetric

2 --

Plane strain (Z strain = 0.0)

3 --

Plane stress with thickness (THK) real constant input

INTER192 Output Data

The solution output associated with the element is in two forms:

  • Nodal items such as nodal displacements are included in the overall nodal solution.

  • Element items such as stresses and closures are element outputs as shown in Table 192.1: "INTER192 Element Output Definitions".

The output directions for element items are parallel to the local element coordinate system based on the element midplane as illustrated in Figure 192.2: "INTER192 Stress Output". See Gasket Material in the Theory Reference for ANSYS and ANSYS Workbench for details.

A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to review results.

Figure 192.2 INTER192 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 192.1 INTER192 Element Output Definitions

Name | Definition | O | R
EL | Element number | - | Y
NODES | Node connectivity - I, J, K, L | - | Y
MAT | Material number | - | Y
TEMP | Temperatures T(I), T(J), T(K), T(L) | - | Y
GKS:X, (XY) | Stress (also gasket pressure) | Y | Y
GKD:X, (XY) | Total closure | Y | Y
GKDI:X, (XY) | Total inelastic closure | Y | Y
GKTH:X, (XY) | Thermal closure | Y | Y

INTER192 Assumptions and Restrictions

  • This element is not supported for initial stress.

  • Pressure as a type of surface load on element faces is not supported by this element.

  • This element is based on the local coordinate system. ESYS is not permitted.

  • This element is only available for static analyses.

INTER192 Product Restrictions

There are no product-specific restrictions on this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID191 		Up / Home Next
INTER193


INTER193

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

INTER193

2-D 6-Node Gasket

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

INTER193 Element Description

INTER193 is a 2-D 6-node quadratic interface element used for the 2-D modeling of structural assemblies. When used in conjunction with 2-D quadratic structural elements (PLANE82, VISCO88 and PLANE183), INTER193 is used to simulate gasket joints. The element can be used either as a plane element (plane stress or plane strain) or as an axisymmetric element. It is defined by six nodes having two degrees of freedom at each node: translations in the nodal x and y directions.

See Gasket Material and INTER193 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Also see Gasket Joints Simulation in the Structural Analysis Guide for more details on the gasket capability in ANSYS.

Figure 193.1 INTER193 Geometry

INTER193 Input Data

The element geometry, node locations, connectivity, and the nodal coordinate system are shown in Figure 193.1: "INTER193 Geometry". The element geometry is defined by 6 nodes, which form bottom and top lines of the element. The bottom line is defined by nodes I, J, M; and the top line is defined by nodes K, L, O. The element connectivity is defined as I, J, K, L, M, O. This element has 2 integration points. Dropping mid side nodes M or O is not permitted.

Temperatures may be input as element body loads at the nodes. The node I temperature T(I), defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). For any other input pattern, unspecified temperatures default to TUNIF.

Input the nodal forces, if any, per unit of depth for a plane analysis (except for KEYOPT(3) = 3) and on a full 360° basis for an axisymmetric analysis.

The next table summarizes the element input. See Element Input in the Elements Reference for a general description of element input.

INTER193 Input Summary

Nodes

I, J, K, L, M, O

Degrees of Freedom

UX, UY

Real Constants
None, if KEYOPT(3) = 0, 1, or 2
THK - Plane stress with thickness, if KEYOPT(3) = 3
Material Properties

DAMP, ALPX (or CTEX or THSX)

Body Loads
Temperatures --

T(I), T(J), T(K), T(L), T(M), T(O)

Special Features

Gasket material associated with TB,GASKET.

Note

See Gasket Material in the Theory Reference for ANSYS and ANSYS Workbench for details on the material model.

KEYOPT(2)

Element deformation:

0 --

Through-thickness deformation only

1 --

Through-thickness and transverse shear deformation

KEYOPT(3)

Element behavior:

0 --

Plane stress

1 --

Axisymmetric

2 --

Plane strain (Z strain = 0.0)

3 --

Plane stress with thickness (THK) real constant input

INTER193 Output Data

The solution output associated with the element is in two forms:

  • Nodal items such as nodal displacements are included in the overall nodal solution.

  • Element items such as stresses and closures are element outputs as shown in Table 193.1: "INTER193 Element Output Definitions".

The output directions for element items are parallel to the local element coordinate system based on the element midplane as illustrated in Figure 193.2: "INTER193 Stress Output". See Gasket Material in the Theory Reference for ANSYS and ANSYS Workbench for details.

A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to review results.

Figure 193.2 INTER193 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 193.1 INTER193 Element Output Definitions

Name | Definition | O | R
EL | Element number | - | Y
NODES | Node connectivity - I, J, K, L, M, O | - | Y
MAT | Material number | - | Y
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(O) | - | Y
GKS:X, (XY) | Stress (also gasket pressure) | Y | Y
GKD:X, (XY) | Total closure | Y | Y
GKDI:X, (XY) | Total inelastic closure | Y | Y
GKTH:X, (XY) | Thermal closure | Y | Y

INTER193 Assumptions and Restrictions

  • This element is not supported for initial stress.

  • Pressure as a type of surface load on element faces is not supported by this element.

  • This element is based on the local coordinate system. ESYS is not permitted.

  • This element is only available for static analyses.

INTER193 Product Restrictions

There are no product-specific restrictions on this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
INTER192 		Up / Home Next
INTER194


INTER194

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

INTER194

3-D 16-Node Gasket

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

INTER194 Element Description

INTER194 is a 3-D 16-node quadratic interface element. When used in conjunction with 3-D quadratic structural elements (VISCO89, SOLID92, SOLID95, SOLID96, SOLID186, and SOLID187), INTER194 is used to simulate gasket joints. It is defined by 16 nodes having three degrees of freedom at each node: translations in the nodal x, y, and z directions.

See Gasket Material and INTER194 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Also see Gasket Joints Simulation in the Structural Analysis Guide for more details on the gasket capability in ANSYS.

Figure 194.1 INTER194 Geometry

INTER194 Input Data

The element geometry, node locations, connectivity, and the nodal coordinate system are shown in Figure 194.1: "INTER194 Geometry". The element geometry is defined by 16 nodes, which form bottom and top surfaces of the element. The bottom surface is defined by nodes, I, J, K, L, Q, R, S, T; and the top surface is defined by nodes, M, N, O, P, U, V, W, X. As shown, the element connectivity is defined as I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X. The element is degenerated to a wedge (prism) element, when K=L=S and O=P=W, as shown in Figure 194.2: "INTER194 3-D 16-Node Degenerated Quadratic Interface".

Figure 194.2 INTER194 3-D 16-Node Degenerated Quadratic Interface

For the degenerated element, 3 integration points are used for numerical integration. The degenerated element can be used in conjunction with the 10-node solid tetrahedral elements SOLID92 and SOLID187. Dropping any or some of midside nodes, Q, R, S, T, U, V, W, X is not permitted.

Temperatures may be input as element body loads at the nodes. The node I temperature T(I), defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). For any other input pattern, unspecified temperatures default to TUNIF.

The next table summarizes the element input. See Element Input in the Elements Reference for a general description of element input.

INTER194 Input Summary

Nodes

I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X

Degrees of Freedom

UX, UY, UZ

Real Constants

None

Material Properties

DAMP, ALPX (or CTEX or THSX)

Body Loads
Temperatures --

T(I), T(J), T(K), T(L) T(M), T(N), T(O), T(P), T(Q), T(R), T(S), T(T), T(U), T(V), T(W), T(X)

Special Features

Gasket material associated with TB,GASKET.

Note

See Gasket Material in the Theory Reference for ANSYS and ANSYS Workbench for details on the material model.

KEYOPT(2)

Element deformation:

0 --

Through-thickness deformation only

1 --

Through-thickness and transverse shear deformation

INTER194 Output Data

The solution output associated with the element is in two forms:

  • Nodal items such as nodal displacements are included in the overall nodal solution.

  • Element items such as stresses and closures are element outputs as shown in Table 194.1: "INTER194 Element Output Definitions".

The output directions for element items are parallel to the local element coordinate system based on the element midplane as illustrated in Figure 194.3: "INTER194 Stress Output". See Gasket Material in the Theory Reference for ANSYS and ANSYS Workbench for details.

A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to review results.

Figure 194.3 INTER194 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 194.1 INTER194 Element Output Definitions

Name | Definition | O | R
EL | Element number | - | Y
NODES | Node connectivity - I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X | - | Y
MAT | Material number | - | Y
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P), T(Q), T(R), T(S), T(T), T(U), T(V), T(W), T(X) | - | Y
GKS:X, (XY, XZ) | Stress (also gasket pressure) | Y | Y
GKD:X, (XY, XZ) | Total closure | Y | Y
GKDI:X, (XY, XZ) | Total inelastic closure | Y | Y
GKTH:X, (XY, XZ) | Thermal closure | Y | Y

INTER194 Assumptions and Restrictions

  • This element is not supported for initial stress.

  • Pressure as a type of surface load on element faces is not supported by this element.

  • This element is based on the local coordinate system. ESYS is not permitted.

  • This element is only available for static analyses.

INTER194 Product Restrictions

There are no product-specific restrictions on this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
INTER193 		Up / Home Next
INTER195


INTER195

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

INTER195

3-D 8-Node Gasket

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

INTER195 Element Description

INTER195 is a 3-D 8-node linear interface element. When used in conjunction with 3-D linear structural elements (SOLID45, SOLID46, SOLID62, SOLID65, SOLID185, and SOLSH190), INTER195 is used to simulate gasket joints. It is defined by eight nodes having three degrees of freedom at each node: translations in the nodal x, y, and z directions.

See Gasket Material and INTER195 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Also see Gasket Joints Simulation in the Structural Analysis Guide for more details on this ANSYS capability.

Figure 195.1 INTER195 Geometry

INTER195 Input Data

The element geometry, node locations, connectivity, and the nodal coordinate system are shown in Figure 195.1: "INTER195 Geometry". The element geometry is defined by 8 nodes, which form bottom and top surfaces of the element. The bottom surface is defined by nodes, I, J, K, L; and the top surface is defined by nodes, M, N, O, P. As shown, the element connectivity is defined as I, J, K, L, M, N, O, P.

Temperatures may be input as element body loads at the nodes. The node I temperature T(I), defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). For any other input pattern, unspecified temperatures default to TUNIF.

The next table summarizes the element input. See Element Input in the Elements Reference for a general description of element input.

INTER195 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

UX, UY, UZ

Real Constants

None

Material Properties

DAMP, ALPX (or CTEX or THSX)

Body Loads
Temperatures --

T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P)

Special Features

Gasket material associated with TB,GASKET.

Note

See Gasket Material in the Theory Reference for ANSYS and ANSYS Workbench for details on the material model.

KEYOPT(2)

Element deformation:

0 --

Through-thickness deformation only

1 --

Through-thickness and transverse shear deformation

INTER195 Output Data

The solution output associated with the element is in two forms:

  • Nodal items such as nodal displacements are included in the overall nodal solution.

  • Element items such as stresses and closures are element outputs as shown in Table 195.1: "INTER195 Element Output Definitions".

The output directions for element items are parallel to the local element coordinate system based on the element midplane as illustrated in Figure 195.2: "INTER195 Stress Output". See Gasket Material in the Theory Reference for ANSYS and ANSYS Workbench for details.

A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to review results.

Figure 195.2 INTER195 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 195.1 INTER195 Element Output Definitions

Name | Definition | O | R
EL | Element number | - | Y
NODES | Node connectivity - I, J, K, L, M, N, O, P | - | Y
MAT | Material number | - | Y
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | - | Y
GKS:X, (XY, XZ) | Stress (also gasket pressure) | Y | Y
GKD:X, (XY, XZ) | Total closure | Y | Y
GKDI:X, (XY, XZ) | Total inelastic closure | Y | Y
GKTH:X, (XY, XZ) | Thermal closure | Y | Y

INTER195 Assumptions and Restrictions

  • This element is not supported for initial stress.

  • Pressure as a type of surface load on element faces is not supported by this element.

  • This element is based on the local coordinate system. ESYS is not permitted.

  • This element is only available for static analyses.

INTER195 Product Restrictions

There are no product-specific restrictions on this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
INTER194 		Up / Home Next
MESH200


MESH200

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

MESH200

Meshing Facet

MP ME ST PR PRN <> <> <> EM EH DY PP <>

Product Restrictions

MESH200 Element Description

MESH200 is a "mesh-only" element, contributing nothing to the solution. This element can be used for the following types of operations:

  • Multistep meshing operations, such as extrusion, that require a lower dimensionality mesh be used for the creation of a higher dimensionality mesh

  • Line-meshing in 2-D or 3-D space with or without midside nodes,

  • Area-meshing or volume-meshing in 3-D space with triangles, quadrilaterals, tetrahedra, or bricks, with or without midside nodes.

  • Temporary storage of elements when the analysis physics has not yet been specified.

MESH200 may be used in conjunction with any other ANSYS element types. After it is no longer needed, it can be deleted (cleared), or can be left in place. Its presence will not affect solution results.

MESH200 elements can be changed into other element types using EMODIF.

Figure 200.1 MESH200 Geometry

MESH200 Input Data

The permissible geometry and node locations for this element are shown in Figure 200.1: "MESH200 Geometry". The element is defined by two to twenty nodes. It has no degrees of freedom, material properties, real constants, or loadings.

"MESH200 Input Summary" summarizes the element input. See Element Input in the Elements Reference for a general description of element input.

MESH200 Input Summary

Nodes
I, J if KEYOPT (1) = 0, 2-D line with 2 nodes
I, J, K if KEYOPT (1) = 1, 2-D line with 3 nodes
I, J if KEYOPT (1) = 2, 3-D line with 2 nodes
I, J, K if KEYOPT (1) = 3, 3-D line with 3 nodes
I, J, K if KEYOPT (1) = 4, 3-D triangle with 3 nodes
I, J, K, L, M, N if KEYOPT (1) = 5, 3-D triangle with 6 nodes
I, J, K, L if KEYOPT (1) = 6, 3-D quadrilateral with 4 nodes
I, J, K, L, M, N, O, P if KEYOPT (1) = 7, 3-D quadrilateral with 8 nodes
I, J, K, L if KEYOPT (1) = 8, tetrahedron with 4 nodes
I, J, K, L, M, N, O, P, Q, R if KEYOPT (1) = 9, tetrahedron with 10 nodes
I, J, K, L, M, N, O, P if KEYOPT (1) = 10, brick with 8 nodes
I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z, A, B if KEYOPT (1) = 11, brick with 20 nodes
Degrees of Freedom

None

Real Constants

None

Material Properties

None

Surface Loads

None

Body Loads

None

Special Features

None

KEYOPT(1)

Element shape and number of nodes:

0 --

2-D line with 2 nodes

1 --

2-D line with 3 nodes

2 --

3-D line with 2 nodes

3 --

3-D line with 3 nodes

4 --

3-D triangle with 3 nodes

5 --

3-D triangle with 6 nodes

6 --

3-D quadrilateral with 4 nodes

7 --

3-D quadrilateral with 8 nodes

8 --

tetrahedron with 4 nodes

9 --

tetrahedron with 10 nodes

10 --

brick with 8 nodes

11 --

brick with 20 nodes

KEYOPT(2)

Element shape testing:

0 --

Shape testing is done (default)

1 --

No shape testing is done for this element

MESH200 Output Data

This element has no output data.

MESH200 Assumptions and Restrictions

  • When this element is a triangle or quadrilateral, it is shape-tested in the same manner as an equivalent "non-structural shell". When it is a tetrahedron or brick, it is shape-tested like a SOLID92, SOLID45, or SOLID95. This is so that meshing will work to create well-shaped elements. If KEYOPT(2) = 1, no shape testing is done for this element type.

  • MESH200 elements may not be active during result contour plotting (/POST1, PLNSOL, or PLESOL). The elements are automatically unselected during either operation.

MESH200 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
INTER195 		Up / Home Next
FOLLW201


FOLLW201

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

FOLLW201

Follower Load

MP ME ST PR PRN DS DSS <> <> <> <> PP <>

Product Restrictions

FOLLW201 Element Description

FOLLW201 is a one-node 3-D element that can be overlaid onto an existing node with physical rotation degrees of freedom. The element specifies external forces and moments which follow the deformation of a structure in a nonlinear analysis. FOLLW201 contributes follower load stiffness terms in a geometrically nonlinear analysis (NLGEOM,ON).

Figure 201.1 FOLLW201 Geometry

FOLLW201 overlaid on a node shared by shell or beam elements. The element has two faces: face 1 for specifying magnitude of force and face 2 for specifying magnitude of moment.

FOLLW201 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 201.1: "FOLLW201 Geometry". The element is defined by a single node. The node has three translational and rotational degrees of freedom each. The element may be defined only at those nodes which are associated with structural elements having three translational and rotational degrees of freedom; a singularity will result if the element is used in any other way.

Real constants of the element specify the direction of the force/moment vectors, and the element load command SFE specifies the magnitude of force/moment.

Element loads are described in Node and Element Loads. The vectors defined by real constants will evolve with deformation (follow the displacements) in a geometrically nonlinear analysis.

KEYOPT(1) provides a means of specifying complex point loads via an element specification. You can consider it as a nodal point equivalent of surface-effect elements (such as SURF154). When KEYOPT(1) = 1, the direction of the load is not updated. The element is also renamed to (and appears in the output as) CLOAD201. This option is intended primarily for use in the ANSYS Workbench interface.

The KEYOPT(2) = 1 setting, when used along with KEYOPT(1) = 1, enables use of the CLOAD201 element on nodes that may or may not have active rotation degrees of freedom. This option is intended primarily for use in the ANSYS Workbench interface.

With the exception of follower load effects, the element contributes nothing to the stiffness matrix. By default, follower load stiffness effects are included in a geometrically nonlinear analysis. The stiffness contribution is usually unsymmetrical and may require an unsymmetrical solution option (NROPT,UNSYM).

"FOLLW201 Input Summary" contains a summary of the element input. See Element Input in the Elements Reference for a general description of element input.

FOLLW201 Input Summary

Nodes

I

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ

Real Constants
FX - Cosine of the angle between force vector and global X direction
FY - Cosine of the angle between force vector and global Y direction
FZ - Cosine of the angle between force vector and global Z direction
MX - Cosine of the angle between moment vector and global X direction
MY - Cosine of the angle between moment vector and global Y direction
MZ - Cosine of the angle between moment vector and global Z direction
Material Properties

None

Surface Loads
face 1 (force magnitude)
face 2 (moment magnitude)
Body Loads

None

Special Features
Large deflection
Birth and death
KEYOPT(1)

Direction load:

0 --

Updated direction load (default)

1 --

Constant direction load

Note

This option is intended primarily for use in the ANSYS Workbench interface.

KEYOPT(2)

Degrees of freedom control:

0 --

Use all (UX, UY, UZ, ROTX, ROTY, ROTZ) degrees of freedom (default)

1 --

Use UX, UY, and UZ degrees of freedom only

Note

This option is intended primarily for use in the ANSYS Workbench interface.

FOLLW201 Output Data

The Element Outputs consist of updated direction cosines of the force/moment vectors as Miscellaneous quantities (SMISC). No other output is provided.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

The following table lists output available via the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information.

Name

output quantity as defined above

Item

predetermined item label for ETABLE command

I

sequence number for data at node I

Table 201.1 FOLLW201 Item and Sequence Numbers for the ETABLE and ESOL Commands

Name | Item | Location
FX | SMISC | 1
FY | SMISC | 2
FZ | SMISC | 3
MX | SMISC | 4
MY | SMISC | 5
MZ | SMISC | 6

FOLLW201 Assumptions and Restrictions

  • The element must be overlaid on a node having existing physical stiffness contributions (from other shell or beam elements).

  • Follower load stiffening is always included in geometrically nonlinear analyses (NLGEOM,ON). It is ignored in geometrically linear analyses (NLGEOM,OFF), which is equivalent to the normal specification of forces and moments (F).

  • Follower load effects are nonconservative. They often introduce dynamics instability issues (such as flutter) which may cause convergence difficulties.

FOLLW201 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
MESH200 		Up / Home Next
INTER202


INTER202

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

INTER202

2-D 4-Node Cohesive Zone

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

INTER202 Element Description

INTER202 is a 2-D 4-node linear interface element used to model 2-D structural assemblies. When used in conjunction with 2-D linear structural elements (PLANE42 and PLANE182), INTER202 simulates the interface surfaces and the subsequent delamination process, where the separation is represented by an increasing displacement between nodes, within the interface element itself, that are initially coincident. The element can be used either as a plane element (plane stress or plane strain) or as an axisymmetric element. It is defined by four nodes having two degrees of freedom at each node: translations in the nodal x and y directions.

See Cohesive Zone Material Model and INTER202 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Also see Interface Delaminaton and Failure Simulation in the Structural Analysis Guide for more details on the interface failure/delamination capability in ANSYS.

Figure 202.1 INTER202 Geometry

INTER202 Input Data

The element geometry, node locations, connectivity, and the nodal coordinate system are shown in Figure 202.1: "INTER202 Geometry". The element geometry is defined by 4 nodes, which form bottom and top lines of the element. The bottom line is defined by nodes I, J; and the top line is defined by nodes K, L. The element connectivity is defined as I, J, K, L. This element has 2 integration points. The Gauss integration scheme is used for the numerical integration.

INTER202 is used to simulate the separation along an interface defined by this element. At the outset of your simulation, nodes I,L and J,K are coincident, both with each other. and with the corresponding nodes in the adjacent structural elements. The subsequent separation of the adjacent elements (usually defined contiguously as components) is represented by an increasing displacement between the nodes within this element.

Temperatures may be input as element body loads at the nodes. The node I temperature T(I), defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). For any other input pattern, unspecified temperatures default to TUNIF.

Input the nodal forces, if any, per unit of depth for a plane analysis (except for KEYOPT(3) = 3) and on a full 360° basis for an axisymmetric analysis.

The next table summarizes the element input. See the Element Input section in the Elements Reference for a general description of element input.

INTER202 Input Summary

Nodes

I, J, K, L

Degrees of Freedom

UX, UY

Real Constants
None, if KEYOPT(3) = 0, 1, or 2
THK - Plane stress with thickness, if KEYOPT(3) = 3
Body Loads
Temperatures --

T(I), T(J), T(K), T(L)

Note

The temperature is used only to evaluate the material properties.

Special Features

Interface material associated with TB,CZM.

KEYOPT(3)

Element behavior:

0 --

Plane stress

1 --

Axisymmetric

2 --

Plane strain (Z strain = 0.0)

3 --

Plane stress with thickness (THK) real constant input

INTER202 Output Data

The solution output associated with the element is in two forms:

  • Nodal items such as nodal displacements are included in the overall nodal solution.

  • Element items such as tractions and separations are element outputs as shown in Table 202.1: "INTER202 Element Output Definitions".

The output directions for element items are parallel to the local element coordinate system based on the element midplane, as illustrated in Figure 202.2: "INTER202 Stress Output". See Cohesive Zone Model in the Theory Reference for ANSYS and ANSYS Workbench for details.

A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to review results.

Figure 202.2 INTER202 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 202.1 INTER202 Element Output Definitions

Name | Definition | O | R
EL | Element number | - | Y
NODES | Node connectivity - I, J, K, L | - | Y
MAT | Material number | - | Y
TEMP | Temperatures T(I), T(J), T(K), T(L) | - | Y
SS:X, (XY) | Interface Traction (stress) | Y | Y
SD:X, (XY) | Interface Separation (displacement) | Y | Y

INTER202 Assumptions and Restrictions

  • This element is not supported for initial stress.

  • Pressure as a type of surface load on element faces is not supported by this element.

  • This element is based on the local coordinate system. ESYS is not permitted.

  • This element is only available for static analyses.

INTER202 Product Restrictions

There are no product-specific restrictions on this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
FOLLW201 		Up / Home Next
INTER203


INTER203

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

INTER203

2-D 6-Node Cohesive Zone

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

INTER203 Element Description

INTER203 is a 2-D 6-node quadratic interface element used for the 2-D modeling of structural assemblies. When used in conjunction with 2-D quadratic structural elements (PLANE82 and PLANE183), INTER203 simulates the interface surfaces and the subsequent delamination process, where the separation is represented by an increasing displacement between nodes, within the interface element itself, that are initially coincident. The element can be used either as a plane element (plane stress or plane strain) or as an axisymmetric element. It is defined by six nodes having two degrees of freedom at each node: translations in the nodal x and y directions.

See Cohesive Zone Material Model and INTER203 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Also see Interface Delaminaton and Failure Simulation in the Structural Analysis Guide for more details on the interface failure/delamination capability in ANSYS.

Figure 203.1 INTER203 Geometry

INTER203 Input Data

The element geometry, node locations, connectivity, and the nodal coordinate system are shown in Figure 203.1: "INTER203 Geometry". The element geometry is defined by 6 nodes, which form bottom and top lines of the element. The bottom line is defined by nodes I, J, M; and the top line is defined by nodes K, L, O. This element has 2 integration points. Dropping mid side nodes M or O is not permitted.

INTER203 is used to simulate a separation along an interface defined by this element. At the outset of your simulation, nodes I,L, nodes M,O and nodes J,K are coincident, with each other, and with the corresponding nodes in the adjacent structural elements. The subsequent separation of the adjacent elements (usually defined contiguously as components) is represented by an increasing displacement between the initially coincident nodes within this element.

Temperatures may be input as element body loads at the nodes. The node I temperature T(I), defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). For any other input pattern, unspecified temperatures default to TUNIF.

Input the nodal forces, if any, per unit of depth for a plane analysis (except for KEYOPT(3) = 3) and on a full 360° basis for an axisymmetric analysis.

The next table summarizes the element input. See Element Input in the Elements Reference for a general description of element input.

INTER203 Input Summary

Nodes

I, J, K, L, M, , O

Degrees of Freedom

UX, UY

Real Constants
None, if KEYOPT(3) = 0, 1, or 2
THK - Plane stress with thickness, if KEYOPT(3) = 3
Body Loads
Temperatures --

T(I), T(J), T(K), T(L), T(M), T(O)

Note

Temperature is used only to evaluate the material properties.

Special Features

Interface material associated with TB,CZM.

Note

See Cohesive Zone Material Model and INTER203 in the Theory Reference for ANSYS and ANSYS Workbench for details on the material model.

KEYOPT(3)

Element behavior:

0 --

Plane stress

1 --

Axisymmetric

2 --

Plane strain (Z strain = 0.0)

3 --

Plane stress with thickness (THK) real constant input

INTER203 Output Data

The solution output associated with the element is in two forms:

  • Nodal items such as nodal displacements are included in the overall nodal solution.

  • Element items such as tractions and separations are element outputs as shown in Table 203.1: "INTER203 Element Output Definitions".

The output directions for element items are parallel to the local element coordinate system based on the element midplane as illustrated in Figure 203.2: "INTER203 Stress Output". See Cohesive Zone Material Model and INTER203 in the Theory Reference for ANSYS and ANSYS Workbench for details.

A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to review results.

Figure 203.2 INTER203 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 203.1 INTER203 Element Output Definitions

Name | Definition | O | R
EL | Element number | - | Y
NODES | Node connectivity - I, J, K, L, M, O | - | Y
MAT | Material number | - | Y
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(O) | - | Y
SS:X, (XY) | Interface Traction (Stress) | Y | Y
SD:X, (XY) | Interface Sepatation | Y | Y

INTER203 Assumptions and Restrictions

  • This element is not supported for initial stress.

  • Pressure as a type of surface load on element faces is not supported by this element.

  • This element is based on the local coordinate system. ESYS is not permitted.

  • This element is only available for static analyses.

INTER203 Product Restrictions

There are no product-specific restrictions on this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
INTER202 		Up / Home Next
INTER204


INTER204

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

INTER204

3-D 16-Node Cohesive Zone

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

INTER204 Element Description

INTER204 is a 3-D 16-node quadratic interface element. When used in conjunction with 3-D quadratic structural elements (SOLID92, SOLID95, SOLID186, and SOLID187), INTER204 simulates an interface between two surfaces and the subsequent delamination process, where the separation is represented by an increasing displacement between nodes, within the interface element itself. The nodes are initially coincident.

INTER204 is defined by 16 nodes having three degrees of freedom at each node: translations in the nodal x, y, and z directions.

See Cohesive Zone Material Model and INTER204 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Also see Interface Delaminaton and Failure Simulation in the Structural Analysis Guide for more details on the interface failure/delamination capability in ANSYS.

Figure 204.1 INTER204 Geometry

INTER204 Input Data

The element geometry, node locations, connectivity, and the nodal coordinate system are shown in Figure 204.1: "INTER204 Geometry". The element geometry is defined by 16 nodes, which form bottom and top surfaces of the element. The bottom surface is defined by nodes, I, J, K, L, Q, R, S, T; and the top surface is defined by nodes, M, N, O, P, U, V, W, X. The element may be degenerated to a wedge (prism) element, by setting nodes K=L=S and O=P=W, as shown in Figure 204.2: "INTER204 3-D 16-Node Degenerated Quadratic Interface".

Figure 204.2 INTER204 3-D 16-Node Degenerated Quadratic Interface

For the degenerated element, 3 integration points are used for numerical integration. The degenerated element can be used in conjunction with the 10-node solid tetrahedral elements SOLID92 and SOLID187. Dropping any or some of the midside nodes, Q, R, S, T, U, V, W, X is not permitted.

Temperatures may be input as element body loads at the nodes. The node I temperature T(I), defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). For any other input pattern, unspecified temperatures default to TUNIF.

The next table summarizes the element input. See Element Input in the Elements Reference for a general description of element input.

INTER204 Input Summary

Nodes

I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X

Degrees of Freedom

UX, UY, UZ

Real Constants

None

Body Loads
Temperatures --

T(I), T(J), T(K), T(L) T(M), T(N), T(O), T(P), T(Q), T(R), T(S), T(T), T(U), T(V), T(W), T(X)

Special Features

Cohesive zone material associated with TB,CZM.

Note

See Cohesive Zone Material Model and INTER204 in the Theory Reference for ANSYS and ANSYS Workbench for details on the material model.

INTER204 Output Data

The solution output associated with the element is in two forms:

  • Nodal items such as nodal displacements are included in the overall nodal solution.

  • Element items such as tractions and separations are element outputs as shown in Table 204.1: "INTER204 Element Output Definitions".

The output directions for element items are parallel to the local element coordinate system based on the element midplane as illustrated in Figure 204.3: "INTER204 Stress Output". See Cohesive Zone Material in the Theory Reference for ANSYS and ANSYS Workbench for details.

A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to review results.

Figure 204.3 INTER204 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 204.1 INTER204 Element Output Definitions

Name | Definition | O | R
EL | Element number | - | Y
NODES | Node connectivity - I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X | - | Y
MAT | Material number | - | Y
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P), T(Q), T(R), T(S), T(T), T(U), T(V), T(W), T(X) | - | Y
SS:X, (XY, XZ) | Interface traction (stress) | Y | Y
SD:X, (XY, XZ) | Interface Separation | Y | Y

INTER204 Assumptions and Restrictions

  • This element is not supported for initial stress.

  • Pressure as a type of surface load on element faces is not supported by this element.

  • This element is based on the local coordinate system. ESYS is not permitted.

  • This element is only available for static analyses.

INTER204 Product Restrictions

There are no product-specific restrictions on this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
INTER203 		Up / Home Next
INTER205


INTER205

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

INTER205

3-D 8-Node Cohesive Zone

MP ME ST <> <> <> <> <> <> <> <> PP <>

Product Restrictions

INTER205 Element Description

INTER205 is a 3-D 8-node linear interface element. When used in conjunction with 3-D linear structural elements (SOLID45, SOLID185, and SOLSH190), INTER205 simulates an interface between two surfaces and the subsequent delamination process, where the separation is represented by an increasing displacement between nodes, within the interface element itself. The nodes are initially coincident.

It is defined by eight nodes having three degrees of freedom at each node: translations in the nodal x, y, and z directions.

See Cohesive Zone Material Model and INTER204 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Also see Interface Delaminaton and Failure Simulation in the Structural Analysis Guide for more details on the interface failure/delamination capability in ANSYS.

Figure 205.1 INTER205 Geometry

INTER205 Input Data

The element geometry, node locations, connectivity, and the nodal coordinate system are shown in Figure 205.1: "INTER205 Geometry". The element geometry is defined by 8 nodes, which form bottom and top surfaces of the element. The bottom surface is defined by nodes, I, J, K, L; and the top surface is defined by nodes, M, N, O, P.

Temperatures may be input as element body loads at the nodes. The node I temperature T(I), defaults to TUNIF. If all other temperatures are unspecified, they default to T(I). For any other input pattern, unspecified temperatures default to TUNIF.

The next table summarizes the element input. See Element Input in the Elements Reference for a general description of element input.

INTER205 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

UX, UY, UZ

Real Constants

None

Body Loads
Temperatures --

T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P)

Note

The temperature is used only to evaluate the material properties.

Special Features

Cohesive zone material associated with TB,CZM.

Note

See Cohesive Zone Material Model and INTER205 in the Theory Reference for ANSYS and ANSYS Workbench for details on the material model.

INTER205 Output Data

The solution output associated with the element is in two forms:

  • Nodal items such as nodal displacements are included in the overall nodal solution.

  • Element items such as tractions and separations are element outputs as shown in Table 205.1: "INTER205 Element Output Definitions".

The output directions for element items are parallel to the local element coordinate system based on the element midplane as illustrated in Figure 205.2: "INTER205 Stress Output". See Gasket Material in the Theory Reference for ANSYS and ANSYS Workbench for details.

A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to review results.

Figure 205.2 INTER205 Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 205.1 INTER205 Element Output Definitions

Name | Definition | O | R
EL | Element number | - | Y
NODES | Node connectivity - I, J, K, L, M, N, O, P | - | Y
MAT | Material number | - | Y
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | - | Y
SS:X, (XY, XZ) | Interface traction (stress) | Y | Y
SD:X, (XY, XZ) | Interface separation | Y | Y

INTER205 Assumptions and Restrictions

  • This element is not supported for initial stress.

  • Pressure as a type of surface load on element faces is not supported by this element.

  • This element is based on the local coordinate system. ESYS is not permitted.

  • This element is only available for static analyses.

INTER205 Product Restrictions

There are no product-specific restrictions on this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
INTER204 		Up / Home Next
SHELL208


SHELL208

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SHELL208

2-Node Finite Strain Axisymmetric Shell

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

SHELL208 Element Description

SHELL208 is suitable for modeling thin to moderately thick axisymmetric shell structures, such as oil tanks, pipes, and cooling towers. It is a 2-node element with three degrees of freedom at each node: translations in the x, and y directions, and rotation about the z-axis. A fourth translational degree of freedom in z direction can be included to model uniform torsion (KEYOPT(2) = 1). When membrane option is used, the rotational degree of freedom is excluded. You can add an extra internal node using KEYOPT(3) = 2. (SHELL209 incorporates this extra node by default.) Using SHELL208 allows you to account for large strain effects, transverse shear deformation, hyperelasticity and layers in your models. This element is intended to model finite strain with pure axisymmetric displacements; transverse shear strains are assumed to be small.

SHELL208 can be used for layered applications for modeling laminated composite shells or sandwich construction. See SHELL208 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 208.1 SHELL208 Geometry

SHELL208 Input Data

Figure 208.1: "SHELL208 Geometry" shows the geometry, node locations, and element coordinate system for SHELL208. The element is defined by two nodes. For material property labels, the local x-direction corresponds to the meridional direction of the shell element. The local y-direction is the circumferential. The local z-direction corresponds to the through-the-thickness direction. Element formulation is based on logarithmic strain and true stress measures. Element kinematics allows for finite membrane strains (stretching). However, the curvature changes within an increment are assumed to be small.

The element may have variable thickness. The shell thickness and more general properties (e.g., material and number of integration points through the thickness) are specified using section commands (see SECTYPE, SECDATA and SECCONTROLS). Shell section commands allow for both single-layered and composite shell definitions. You may designate the number of integration points (1, 3, 5, 7, or 9) located through the thickness of each layer. If you use only 1, the integration point is always located midway between the top and the bottom surfaces. If you use 3 or more points, 2 points are located on the top and the bottom surfaces respectively and the remaining points are distributed evenly between these two points. The default for each layer is 3.

Element loads are described in Node and Element Loads. Pressure may be input as surface loads on the element faces as shown by the circled numbers on Figure 208.1: "SHELL208 Geometry". Positive pressures act into the element.

Temperatures may be input as element body loads at the corners of the outside faces of the element and the corners of the interfaces between layers (1-1024 maximum). The first corner temperature T1 defaults to TUNIF. If all other temperatures are unspecified, they default to T1. If KEYOPT(1) = 0 and exactly NL+1 (where NL is the number of layers in the shell section) temperatures are input, one temperature is used for the bottom corners of each layer, and the last temperature is for the top corners of the top layer. If KEYOPT(1) = 1 and if exactly NL temperatures are input, one temperature is used for the four corners of each layer. That is, T1 is used for T1 and T2; T2 (as input) is used for T3 and T4, etc. For any other input patterns, unspecified temperatures default to TUNIF.

Nodal forces, if any, should be input on a full 360° basis.

KEYOPT(1) is the membrane option. When KEYOPT(1) = 1, the element uses one integration point through-the-thickness and accounts for only membrane stiffness (that is, the bending and transverse shear stiffness are ignored).

KEYOPT(2) controls the torsion capability. When KEYOPT(2) = 1, the element allows constant torsion by allowing a translational degree of freedom UZ in the circumferential direction.

KEYOPT(3) is used to include or suppress internal nodes. When KEYOPT(3) = 2, the element contains an extra internal node and adopts a two-point integration rule. By default, the element uses one-point integration scheme (see Figure 208.1: "SHELL208 Geometry"). Internal nodes are not accessible to users. Therefore, boundary conditions/loading can not be specified on those nodes.

SHELL208 includes the effects of transverse shear deformation. The transverse shear stiffness E11 can be specified using SECCONTROLS. For a single-layered shell with isotropic material, default transverse shear stiffness is kGh, in which k = 5/6, G is the shear modulus, and h is the thickness of the shell.

SHELL208 can be associated with linear elastic, elastoplastic, creep, or hyperelastic material properties.

Set KEYOPT(8) = 2 to store midsurface results in the results file for single or multi-layer shell elements. If you use SHELL,MID, you will see these calculated values, rather than the average of the TOP and BOTTOM results. You should use this option to access these correct midsurface results (membrane results) for those analyses where averaging TOP and BOTTOM results is inappropriate. Examples include midsurface stresses and strains with nonlinear material behavior, and midsurface results after mode combinations that involve squaring operations such as in spectrum analyses.

Set KEYOPT(9) = 1 to read initial thickness data from a user subroutine.

You can apply an initial stress state to this element via the INISTATE command. For more information, see the INISTATE command, and also Initial Stress Loading in the Basic Analysis Guide. Alternately, you can set KEYOPT(10) = 1 to read initial stresses from the user subroutine USTRESS. For details on user subroutines, see the Guide to ANSYS User Programmable Features.

The effects of pressure load stiffness are automatically included for this element. If an unsymmetric matrix is needed for pressure load stiffness effects, use NROPT,UNSYM.

A summary of the element input is given in "SHELL208 Input Summary". A general description of element input is given in Element Input.

SHELL208 Input Summary

Nodes

I, J

Degrees of Freedom
UX, UY, ROTZ -- If KEYOPT(1) = 0 and KEYOPT(2) = 0
UX, UY -- If KEYOPT(1) = 1 and KEYOPT(2) = 0
UX, UY, UZ, ROTZ -- If KEYOPT(1) = 0 and KEYOPT(2) = 1
UX, UY, UZ -- If KEYOPT(1) = 1 and KEYOPT(2) = 1
Real Constants

None

Section Controls

E11, ADMSUA

Material Properties
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ),
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ),
DENS, GXY, GYZ, GXZ,
DAMP
Surface Loads
Pressures --
face 1 (I-J) (top, in -N direction),
face 2 (I-J) (bottom, in +N direction)
Body Loads
Temperatures --

For KEYOPT(1) = 0:
T1, T2 (corresponding to nodes I and J) at bottom of layer 1, and T3, T4 (corresponding to nodes I and J) between layers 1-2. A similar relationship exists for all layers, ending with temperatures at the top of layer NL. Hence, for one-layer elements, four temperatures are used.
For KEYOPT(1) = 1:
T1, T2 for layer 1; T3, T4 for layer 2; similarly for all layers (2 * NL maximum). Hence, for one-layer elements, two temperatures are used.

Special Features
Plasticity (PLASTIC, BISO, MISO, NLISO, BKIN, MKIN, KINH, CHABOCHE, HILL)
Hyperelasticity (AHYPER, HYPER)
Viscoelasticity (PRONY, SHIFT)
Viscoplasticity/Creep (CREEP, RATE)
Elasticity (ANEL)
Other material (USER, SDAMP)
Stress stiffening
Large deflection
Large strain
Initial stress import
Nonlinear stabilization
Automatic selection of element technology
Birth and death

Note

Items in parentheses refer to data tables associated with the TB command. See the Theory Reference for ANSYS and ANSYS Workbench for details of the material models.

Note

Adaptive descent is not supported.

Note

See Automatic Selection of Element Technologies and ETCONTROL for more information on selection of element technologies.

KEYOPT(1)

Element stiffness:

0 --

Bending and membrane stiffness (default).

1 --

Membrane stiffness only.

KEYOPT(2)

Torsion capability:

0 --

Excluded (default).

1 --

Included.

KEYOPT(3)

Extra internal node option:

0 --

Suppress extra internal node (default).

2 --

Include extra internal node.

KEYOPT(8)

Storage of layer data:

0 --

Store data for BOTTOM of bottom layer and TOP of top layer (default).

1 --

Store data for TOP and BOTTOM for all layers.

2 --

Store data for TOP, BOTTOM, and MID for all layers.

Caution

Volume of data may be excessive.

KEYOPT(9)

User-defined thickness:

0 --

No user subroutine to provide initial thickness (default).

1 --

Read initial thickness data from user subroutine UTHICK

Note

See the Guide to ANSYS User Programmable Features for user written subroutines

KEYOPT(10)

User-defined initial stress:

0 --

No user subroutine to provide initial stress (default)

1 --

Read initial stress data from user subroutine USTRESS

Note

See the Guide to ANSYS User Programmable Features for user written subroutines

SHELL208 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution.

  • Additional element output as shown in Table 208.1: "SHELL208 Element Output Definitions"

Several items are illustrated in Figure 208.2: "SHELL208 Element Stress Output".

KEYOPT(8) controls the amount of data output on the result file for processing with the LAYER command. Interlaminar shear stress is available at the layer interfaces. Setting KEYOPT(8) = 1 or 2 is necessary for these stresses to be output in POST1. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The element stress resultants (N11, M11, Q13, etc.) are parallel to the element coordinate system, as are the membrane strains and curvatures of the element. Such generalized strains are available through the SMISC option at the element centroid only. The transverse shear force Q13 is available only in resultant form: that is, use SMISC,5. Likewise, the transverse shear strain γ13 is constant through the thickness and only available as a SMISC item (SMISC,10).

SHELL208 does not support extensive basic element printout. POST1 provides more comprehensive output processing tools; you should use the OUTRES command to ensure that the required results are stored in the database.

Figure 208.2 SHELL208 Element Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 208.1 SHELL208 Element Output Definitions

Name | Definition | O | R
EL | Element Number | - | Y
NODES | Nodes - I, J | - | Y
MAT | Material number | - | Y
THICK | Average thickness | - | Y
VOLU: | Volume | - | Y
XC, YC | Location where results are reported | Y | 4
PRES | Pressures P1 (top) at NODES I, J; P2 (bottom) at NODES I, J | - | Y
TEMP | Temperatures T1, T2 at bottom of layer 1, T3, T4 between layers 1-2, similarly for between next layers, ending with temperatures at top of layer NL (2*(NL+1) maximum) | - | Y
LOC | TOP, MID, BOT, or integration point location | - | 1
S:X, Y, Z, XY, YZ, XZ | Stresses | 3 | 1
S:INT | Stress intensity | - | 1
S:EQV | Equivalent stress | - | 1
EPEL:X, Y, Z, XY,YZ,XZ | Elastic strains | 3 | 1
EPEL:EQV | Equivalent elastic strain | 3 | 1
EPTH:X, Y, Z, XY,YZ,XZ | Thermal strains | 3 | 1
EPTH:EQV | Equivalent thermal strain | 3 | 1
EPPL:X, Y, Z, XY,YZ,XZ | Average plastic strains | 3 | 2
EPPL:EQV | Equivalent plastic strain | 3 | 2
EPCR:X, Y, Z, XY ,YZ,XZ | Average creep strains | 3 | 2
EPCR:EQV | Equivalent creep strain | 3 | 2
EPTO:X, Y, Z ,XY,YZ,XZ | Total mechanical strains (EPEL+EPPL+EPCR) | Y | -
EPTO:EQV | Total equivalent mechanical strains | Y | -
NL:EPEQ | Accumulated equivalent plastic strain | - | 2
NL:CREQ | Accumulated equivalent creep strain | - | 2
NL:SRAT | Plastic yielding (1 = actively yielding, 0 = not yielding) | - | 2
NL:PLWK | Plastic work | - | 2
NL:HPRES | Hydrostatic pressure | - | 2
SEND:Elastic, Plastic, Creep | Strain energy densities | - | 2
N11, N22, N12 | In-plane forces (per unit length) | - | Y
M11, M22 | Out-of-plane moments (per unit length) | - | Y
Q13 | Transverse shear forces (per unit length) | - | Y
E11, E22, E12 | Membrane strains | - | Y
K11, K22 | Curvatures | - | Y
γ13 | Transverse shear strain | - | Y
LOCI:X, Y, Z | Integration point locations | - | 5
SVAR:1, 2, ... , N | State variables | - | 6
ILSXZ | SXZ interlaminar shear stress | - | Y
ILSYZ | SYZ interlaminar shear stress | - | Y
ILSUM | Interlaminar shear stress vector sum | - | Y
ILANG | Angle of interlaminar shear stress vector (measured from the element x-axis toward the element y-axis in degrees) | - | Y

  1. The following stress solution repeats for top, middle, and bottom surfaces.

  2. Nonlinear solution output for top, middle, and bottom surfaces, if the element has a nonlinear material.

  3. Stresses, total strains, plastic strains, elastic strains, creep strains, and thermal strains in the element coordinate system are available for output (at all five section points through thickness). If layers are in use, the results are in the layer coordinate system.

  4. Available only at centroid as a *GET item.

  5. Available only if OUTRES,LOCI is used.

  6. Available only if the USERMAT subroutine and TB,STATE are used.

Table 208.2: "SHELL208 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 208.2: "SHELL208 Item and Sequence Numbers":

Name

output quantity as defined in the Table 208.1: "SHELL208 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I, J

sequence number for data at nodes I, J.

Table 208.2 SHELL208 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J
N11 | SMISC | 1 | - | -
N22 | SMISC | 2 | - | -
N12 | SMISC | 3 | - | -
M11 | SMISC | 4 | - | -
M22 | SMISC | 5 | - | -
Q13 | SMISC | 6 | - | -
ε11 | SMISC | 7 | - | -
ε22 | SMISC | 8 | - | -
ε12 | SMISC | 9 | - | -
k11 | SMISC | 10 | - | -
k22 | SMISC | 11 | - | -
γ13 | SMISC | 12 | - | -
THICK | SMISC | 13 | - | -
P1 | SMISC | - | 14 | 15
P2 | SMISC | - | 16 | 17
Output Quantity Name | ETABLE and ESOL Command Input
 | Item | Bottom of Layer i | Top of Layer NL
ILSXZ | SMISC | 8 * (i - 1) + 31 | 8 * (NL - 1) + 32
ILSYZ | SMISC | 8 * (i - 1) + 33 | 8 * (NL - 1) + 34
ILSUM | SMISC | 8 * (i - 1) + 35 | 8 * (NL - 1) + 36
ILANG | SMISC | 8 * (i - 1) + 37 | 8 * (NL - 1) + 38

SHELL208 Assumptions and Restrictions

  • The axisymmetric shell element must be defined in the global X-Y plane with the Y-axis the axis of symmetry.

  • The element must not have a zero length.

  • Zero thickness elements or elements tapering to a zero thickness at any corner are not allowed (however, zero thickness layers are allowed).

  • In a nonlinear analysis, the solution is terminated if the thickness at any integration point (defined with a nonzero thickness) vanishes (within a small numerical tolerance).

  • For nonlinear applications, this element works best with full Newton-Raphson solution scheme (NROPT,FULL,ON).

  • No slippage is assumed between the element layers. Shear deflections are included in the element; however, normals to the center plane before deformation are assumed to remain straight after deformation.

  • If multiple load steps are used, the number of layers may not change between load steps.

  • The section definition permits use of hyperelastic material models and elastoplastic material models in laminate definition. However, the accuracy of the solution is primarily governed by fundamental assumptions of shell theory. The applicability of shell theory in such cases is best understood by using a comparable solid model.

  • Transverse shear stiffness of the shell section is estimated by a energy equivalence procedure (of the generalized section forces and strains vs. the material point stresses and strains). The accuracy of this calculation may be adversely affected if the ratio of material stiffnesses (Young's moduli) between adjacent layers is very high.

  • Calculation of interlaminar shear stresses is based on simplifying assumptions of unidirectional, uncoupled bending in each direction. If accurate edge interlaminar shear stresses are required, shell-to-solid submodeling should be used.

  • A maximum of 250 layers is supported.

  • Using KEYOPT(3) = 2 is recommended for most composite analysis (necessary to capture the stress gradients).

  • Stress stiffening is always included in geometrically nonlinear analyses (NLGEOM,ON). It is ignored in geometrically linear analyses (NLGEOM,OFF) when specified by SSTIF,ON. Prestress effects can be activated by the PSTRES command.

  • SHELL208 with an internal node can not be used in substructures.

SHELL208 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The only special features allowed are stress stiffening and large deflections.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
INTER205 		Up / Home Next
SHELL209


SHELL209

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SHELL209

3-Node Finite Strain Axisymmetric Shell

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

SHELL209 Element Description

SHELL209 is suitable for analyzing thin to moderately thick axisymmetric shell structures. It is a 3-node element with 3 DOFs at each node: translations in the X, Y directions, and a rotation about the Z-axis. A fourth translational degree of freedom in z direction can be included to model uniform torsion (KEYOPT(2) = 1). When membrane option is used, the rotational degree of freedom is excluded. For higher efficiency, the 2-node element SHELL208 may be more suitable. This element is well suited for linear, large rotation, and/or large strain nonlinear applications. Changes in shell thickness and follower effects of distributed pressures are accounted for in nonlinear analyses, and it can be used for layered applications for modeling laminated composite shells or sandwich construction. See SHELL209 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 209.1 SHELL209 Geometry

SHELL209 Input Data

Figure 209.1: "SHELL209 Geometry" shows the geometry, node locations, and element coordinate system for this element. The element is defined by three nodes. For material property labels, the local x-direction corresponds to the meridional direction of the shell element. The local y-direction is the circumferential. The local z-direction corresponds to the through-the-thickness direction. Element formulation is based on logarithmic strain and true stress measures. Element kinematics allows for finite membrane strains (stretching). However, the curvature changes within an increment are assumed to be small.

The element may have variable thickness. The shell thickness and more general properties (e.g., material and number of integration points through the thickness) are specified using section commands (see SECTYPE, SECDATA and SECCONTROLS). Shell section commands allow for both single-layered and composite shell definitions. You may designate the number of integration points (1, 3, 5, 7, or 9) located through the thickness of each layer. If you use only 1, the integration point is always located midway between the top and the bottom surfaces. If you use 3 or more points, 2 points are located on the top and the bottom surfaces respectively and the remaining points are distributed evenly between these two points. The default for each layer is 3.

Element loads are described in Node and Element Loads. Pressure may be input as surface loads on the element faces as shown by the circled numbers on Figure 209.1: "SHELL209 Geometry". Positive pressures act into the element.

Temperatures may be input as element body loads at the corners of the outside faces of the element and the corners of the interfaces between layers. The first corner temperature T1 defaults to TUNIF. If all other temperatures are unspecified, they default to T1. If KEYOPT(1) = 0 and exactly NL+1 (where NL is the number of layers in the shell section) temperatures are input, one temperature is used for the bottom corners of each layer, and the last temperature is for the top corners of the top layer. If KEYOPT(1) = 1 and if exactly NL temperatures are input, one temperature is used for the four corners of each layer. That is, T1 is used for T1, T2, and T3; T2 (as input) is used for T4, T5, and T6, etc. For any other input patterns, unspecified temperatures default to TUNIF.

Nodal forces, if any, should be input on a full 360° basis.

KEYOPT(1) is the membrane option. When KEYOPT(1) = 1, the element uses one integration point through-the-thickness and accounts for only membrane stiffness (that is, the bending and transverse shear stiffness are ignored).

KEYOPT(2) controls the torsion capability. When KEYOPT(2) = 1, the element allows constant torsion by allowing a translational degree of freedom UZ in the circumferential direction.

SHELL209 includes the effects of transverse shear deformation. The transverse shear stiffness E11 can be specified with SECCONTROLS. For a single-layered shell with isotropic material, default transverse shear stiffness is kGh, in which k = 5/6, G is the shear modulus, and h is the thickness of the shell.

SHELL209 can be associated with linear elastic, elastoplastic, creep, or hyperelastic material properties.

Set KEYOPT(8) = 2 to store midsurface results in the results file for single or multi-layer shell elements. If you use SHELL,MID, you will see these calculated values, rather than the average of the TOP and BOTTOM results. You should use this option to access these correct midsurface results (membrane results) for those analyses where averaging TOP and BOTTOM results is inappropriate. Examples include midsurface stresses and strains with nonlinear material behavior, and midsurface results after mode combinations that involve squaring operations such as in spectrum analyses.

Set KEYOPT(9) = 1 to read initial thickness data from a user subroutine.

You can apply an initial stress state to this element via the INISTATE command. For more information, see the INISTATE command, and also Initial Stress Loading in the Basic Analysis Guide. Alternately, you can set KEYOPT(10) = 1 to read initial stresses from the user subroutine USTRESS. For details on user subroutines, see the Guide to ANSYS User Programmable Features.

The effects of pressure load stiffness are automatically included for this element. If an unsymmetric matrix is needed for pressure load stiffness effects, use NROPT,UNSYM.

"SHELL209 Input Summary" gives a summary of the element input. A general description of element input is given in Element Input

SHELL209 Input Summary

Nodes

I, J, K

Degrees of Freedom
UX, UY, ROTZ -- If KEYOPT(1) = 0 and KEYOPT(2) = 0
UX, UY -- If KEYOPT(1) = 1 and KEYOPT(2) = 0
UX, UY, UZ, ROTZ -- If KEYOPT(1) = 0 and KEYOPT(2) = 1
UX, UY, UZ -- If KEYOPT(1) = 1 and KEYOPT(2) = 1
Real Constants

None

Section Controls

E11, ADMSUA

Material Properties
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ),
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ),
DENS, GXY, GYZ,
GXZ, DAMP
Surface Loads
Pressures --
face 1 (I-J-K) (top, in -N direction),
face 2 (I-J-K) (bottom, in +N direction)
Body Loads
Temperatures --

For KEYOPT(1) = 0:
T1, T2 T3 (corresponding to nodes I and J) at bottom of layer 1, and T4, T5, T6 (corresponding to nodes I and J) between layers 1-2. A similar relationship exists for all layers, ending with temperatures at the top of layer NL. Hence, for one-layer elements, four temperatures are used.
For KEYOPT(1) = 1:
T1, T2 for layer 1; T3, T4, T5, T6 for layer 2; similarly for all layers (2 * NL maximum). Hence, for one-layer elements, three temperatures are used.

Special Features
Plasticity (PLASTIC, BISO, MISO, NLISO, BKIN, MKIN, KINH, CHABOCHE, HILL)
Hyperelasticity (AHYPER, HYPER)
Viscoelasticity (PRONY, SHIFT)
Viscoplasticity/Creep (CREEP, RATE)
Elasticity (ANEL)
Other material (USER, SDAMP)
Stress stiffening
Large deflection
Large strain
Initial stress import
Nonlinear stabilization
Automatic selection of element technology
Birth and death

Note

Items in parentheses refer to data tables associated with the TB command. See the Theory Reference for ANSYS and ANSYS Workbench for details of the material models.

Note

Adaptive descent is not supported.

Note

See Automatic Selection of Element Technologies and ETCONTROL for more information on selection of element technologies.

KEYOPT(1)

Element stiffness:

0 --

Bending and membrane stiffness (default).

1 --

Membrane stiffness only.

KEYOPT(2)

Torsion capability:

0 --

Excluded (default).

1 --

Included.

KEYOPT(8)

Storage of layer data:

0 --

Store data for BOTTOM of bottom layer and TOP of top layer (default).

1 --

Store data for TOP and BOTTOM for all layers.

2 --

Store data for TOP, BOTTOM, and MID for all layers.

Caution

Volume of data may be excessive.

KEYOPT(9)

User-defined thickness:

0 --

No user subroutine to provide initial thickness (default).

1 --

Read initial thickness data from user subroutine UTHICK

Note

See the Guide to ANSYS User Programmable Features for user written subroutines

KEYOPT(10)

User-defined initial stress:

0 --

No user subroutine to provide initial stress (default)

1 --

Read initial stress data from user subroutine USTRESS

Note

See the Guide to ANSYS User Programmable Features for user written subroutines

SHELL209 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution.

  • Additional element output as shown in Table 209.1: "SHELL209 Element Output Definitions"

Several items are illustrated in Figure 209.2: "SHELL209 Element Stress Output".

KEYOPT(8) controls the amount of data output on the result file for processing with the LAYER command. Interlaminar shear stress is available at the layer interfaces. Setting KEYOPT(8) = 1 or 2 is necessary for these stresses to be output in POST1. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The element stress resultants (N11, M11, Q13, etc.) are parallel to the element coordinate system, as are the membrane strains and curvatures of the element. Such generalized strains are available through the SMISC option at the element centroid only. The transverse shear force Q13 are available only in resultant form: that is, use SMISC,5. Likewise, the transverse shear strain.

γ13 is constant through the thickness and only available as a SMISC item (SMISC,10). SHELL209 does not support extensive basic element printout. POST1 provides more comprehensive output processing tools; therefore, we suggest using OUTRES command to ensure that the required results are stored in the database.

Figure 209.2 SHELL209 Element Stress Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 209.1 SHELL209 Element Output Definitions

Name | Definition | O | R
EL | Element Number | - | Y
NODES | Nodes - I, J, K | - | Y
MAT | Material number | - | Y
THICK | Average thickness | - | Y
VOLU: | Volume | - | Y
XC, YC | Location where results are reported | Y | 4
PRES | Pressures P1 (top) at NODES I, J; P2 (bottom) at NODES I, J | - | Y
TEMP | Temperatures T1, T2 at bottom of layer 1, T3, T4 between layers 1-2, similarly for between next layers, ending with temperatures at top of layer NL (2*(NL+1) maximum) | - | Y
LOC | TOP, MID, BOT, or integration point location | - | 1
S:X, Y, Z, XY, YZ, XZ | Stresses | 3 | 1
S:INT | Stress intensity | - | 1
S:EQV | Equivalent stress | - | 1
EPEL:X, Y, Z, XY,YZ,XZ | Elastic strains | 3 | 1
EPEL:EQV | Equivalent elastic strain | 3 | 1
EPTH:X, Y, Z, XY,YZ,XZ | Thermal strains | 3 | 1
EPTH:EQV | Equivalent thermal strain | 3 | 1
EPPL:X, Y, Z, XY,YZ,XZ | Average plastic strains | 3 | 2
EPPL:EQV | Equivalent plastic strain | 3 | 2
EPCR:X, Y, Z, XY,YZ,XZ | Average creep strains | 3 | 2
EPCR:EQV | Equivalent creep strain | 3 | 2
EPTO:X, Y, Z ,XY,YZ,XZ | Total mechanical strains (EPEL+EPPL+EPCR) | Y | -
EPTO:EQV | Total equivalent mechanical strains | Y | -
NL:EPEQ | Accumulated equivalent plastic strain | - | 2
NL:CREQ | Accumulated equivalent creep strain | - | 2
NL:SRAT | Plastic yielding (1 = actively yielding, 0 = not yielding) | - | 2
NL:PLWK | Plastic work | - | 2
NL:HPRES | Hydrostatic pressure | - | 2
SEND:Elastic, Plastic, Creep | Strain energy densities | - | 2
N11, N22, N12 | In-plane forces (per unit length) | - | Y
M11, M22 | Out-of-plane moments (per unit length) | - | Y
Q13 | Transverse shear forces (per unit length) | - | Y
E11, E22, E12 | Membrane strains | - | Y
K11, K22 | Curvatures | - | Y
γ13 | Transverse shear strain | - | Y
LOCI:X, Y, Z | Integration point locations | - | 5
SVAR:1, 2, ... , N | State variables | - | 6
ILSXZ | SXZ interlaminar shear stress | - | Y
ILSYZ | SYZ interlaminar shear stress | - | Y
ILSUM | Interlaminar shear stress vector sum | - | Y
ILANG | Angle of interlaminar shear stress vector (measured from the element x-axis toward the element y-axis in degrees) | - | Y

  1. The following stress solution repeats for top, middle, and bottom surfaces.

  2. Nonlinear solution output for top, middle, and bottom surfaces, if the element has a nonlinear material.

  3. Stresses, total strains, plastic strains, elastic strains, creep strains, and thermal strains in the element coordinate system are available for output (at all five section points through thickness). If layers are in use, the results are in the layer coordinate system.

  4. Available only at centroid as a *GET item.

  5. Available only if OUTRES,LOCI is used.

  6. Available only if the USERMAT subroutine and TB,STATE are used.

Table 209.2: "SHELL209 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 209.2: "SHELL209 Item and Sequence Numbers":

Name

output quantity as defined in the Table 208.1: "SHELL208 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I, J, K

sequence number for data at nodes I, J, K.

Table 209.2 SHELL209 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J | K
N11 | SMISC | 1 | - | - | -
N22 | SMISC | 2 | - | - | -
N12 | SMISC | 3 | - | - | -
M11 | SMISC | 4 | - | - | -
M22 | SMISC | 5 | - | - | -
Q13 | SMISC | 6 | - | - | -
ε11 | SMISC | 7 | - | - | -
ε22 | SMISC | 8 | - | - | -
ε12 | SMISC | 9 | - | - | -
k11 | SMISC | 10 | - | - | -
k22 | SMISC | 11 | - | - | -
γ13 | SMISC | 12 | - | - | -
THICK | SMISC | 13 | - | - | -
P1 | SMISC | - | 14 | 15 | 16
P2 | SMISC | - | 17 | 18 | 19
Output Quantity Name | ETABLE and ESOL Command Input
 | Item | Bottom of Layer i | Top of Layer NL
ILSXZ | SMISC | 8 * (i - 1) + 31 | 8 * (NL - 1) + 32
ILSYZ | SMISC | 8 * (i - 1) + 33 | 8 * (NL - 1) + 34
ILSUM | SMISC | 8 * (i - 1) + 35 | 8 * (NL - 1) + 36
ILANG | SMISC | 8 * (i - 1) + 37 | 8 * (NL - 1) + 38

SHELL209 Assumptions and Restrictions

  • The axisymmetric shell element must be defined in the global X-Y plane with the Y-axis the axis of symmetry.

  • The element must not have a zero length.

  • Zero thickness elements or elements tapering to a zero thickness at any corner are not allowed (however, zero thickness layers are allowed).

  • In a nonlinear analysis, the solution is terminated if the thickness at any integration point (defined with a nonzero thickness) vanishes (within a small numerical tolerance).

  • For nonlinear applications, this element works best with full Newton-Raphson solution scheme (NROPT,FULL,ON).

  • No slippage is assumed between the element layers. Shear deflections are included in the element; however, normals to the center plane before deformation are assumed to remain straight after deformation.

  • If multiple load steps are used, the number of layers may not change between load steps.

  • The section definition permits use of hyperelastic material models and elastoplastic material models in laminate definition. However, the accuracy of the solution is primarily governed by fundamental assumptions of shell theory. The applicability of shell theory in such cases is best understood by using a comparable solid model.

  • Transverse shear stiffness of the shell section is estimated by a energy equivalence procedure (of the generalized section forces and strains vs. the material point stresses and strains). The accuracy of this calculation may be adversely affected if the ratio of material stiffnesses (Young's moduli) between adjacent layers is very high.

  • Calculation of interlaminar shear stresses is based on simplifying assumptions of unidirectional, uncoupled bending in each direction. If accurate edge interlaminar shear stresses are required, shell-to-solid submodeling should be used.

  • A maximum of 250 layers is supported.

  • Stress stiffening is always included in geometrically nonlinear analyses (NLGEOM,ON). It is ignored in geometrically linear analyses (NLGEOM,OFF) when specified by SSTIF,ON. Prestress effects can be activated by the PSTRES command.

SHELL209 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

  • The only special features allowed are stress stiffening and large deflections.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SHELL208 		Up / Home Next
COMBI214


COMBI214

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

COMBI214

2-D Spring-Damper Bearing

MP ME ST PR PRN DS DSS <> <> <> <> PP <>

Product Restrictions

COMBI214 Element Description

COMBI214 has longitudinal as well as cross-coupling capability in 2-D applications. It is a tension-compression element with up to two degrees of freedom at each node: translations in any two nodal directions (x, y, or z). COMBI214 has two nodes plus one optional orientation node. No bending or torsion is considered.

The spring-damper element has no mass. Masses can be added by using the appropriate mass element (MASS21). The spring or the damping capability may be removed from the element.

A longitudinal spring/damper with torsion capabilities is available via the COMBIN14 element. A general spring or damper is also available in the stiffness, damping or mass matrix element MATRIX27. Another spring-damper element having its direction of action determined by the nodal coordinate directions is COMBIN40.

For more information about this element, see COMBI214 - 2-D Spring-Damper Bearing in the Theory Reference for ANSYS and ANSYS Workbench.

Figure 214.1 COMBI214 Geometry

For linear analyses, I and J can be coincident.

COMBI214 Input Data

The geometry, node locations, and coordinate system for this element are shown in Figure 214.1: "COMBI214 Geometry". The element is defined by two nodes. It has stiffness characteristics K11, K22, K12 and K21 and damping characteristics C11, C22, C12 and C21. The stiffness coefficients should have units of Force/Length, and the damping coefficient units are Force*Time/Length. (The damping capability is not used for static or undamped modal analyses.)

The third node is for orientation and applies to nonlinear analyses only.

For stiffness and damping real constants, either numerical values or tabular array inputs can be specified. If specifying tabular inputs, enclose the table name within “%” characters (%tabname%). These real constants can vary with the amplitude of the rotational velocity vector (defined via the OMEGA or CMOMEGA command). Use the *DIM command and the primary variable OMEGS to dimension the table and identify the variable. Because the amplitude of the rotational velocity vector is an absolute value, only positive values of OMEGS in the table parameter are valid. For more information about using tabular inputs, see Array Parameters in the ANSYS Parametric Design Language Guide, Applying Loads Using TABLE Type Array Parameters in the Basic Analysis Guide, and Performing a Thermal Analysis Using Tabular Boundary Conditions in the Thermal Analysis Guide.

KEYOPT(2) = 0 through 2 options define the element plane. The element operates in the nodal coordinate system.

The KEYOPT(3) = 0 and 1 options specify whether or not the element is symmetric. When symmetric, cross-coupling terms in stiffness and damping coefficients are equal (that is, K12 = K21 and C12 = C21).

A summary of the element input is given in "COMBI214 Input Summary". A general description of element input is given in Element Input.

COMBI214 Input Summary

Nodes

I, J, K (The K orientation node is optional and for nonlinear analyses only.)

Degrees of Freedom
UX, UY (KEYOPT (2) = 0)
UY, UZ (KEYOPT (2) = 1)
UX, UZ (KEYOPT (2) = 2)
Real Constants
K11, K22, K12, K21 , C11, C22, C12, C21
Kij - (i=1,2 j=1,2) Stiffness coefficients
Cij - (i=1,2 j=1,2) Damping coefficients

Note

Real constants may be defined as table parameters as a function of omega (using primary variable OMEGS).

Material Properties

None

Surface Loads

None

Body Loads

None

Special Features

Stress stiffening

Large deflections

Birth and death

KEYOPT(2)

Degrees of freedom selection:

0 --

Element lies in a plane parallel to the XY plane. The degrees of freedom are UX and UY. This value option is the default.

1 --

Element lies in a plane parallel to the YZ plane. The degrees of freedom are UY and UZ.

2 --

Element lies in a plane parallel to the XZ plane. The degrees of freedom are UX and UZ.

KEYOPT(3)

Symmetry:

0 --

Element is symmetric: K12 = K21 and C12 = C21. This option is the default.

1 --

Element is not symmetric.

COMBI214 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 214.1: "COMBI214 Element Output Definitions".

The Element Output Definitions table uses the following notation:

(1) and (2) indicate the first and second axis of the element plane defined by KEYOPT(2). For example, if KEYOPT(2) equals 0, then (1) is the X axis and (2) is the Y axis.

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 214.1 COMBI214 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J | Y | Y
XC, YC, ZC | Location where results are reported | Y | 1
FORC1 | Spring force along (1) | Y | Y
FORC2 | Spring force along (2) | Y | Y
STRETCH1 | Stretch of spring along (1) | Y | Y
STRETCH2 | Stretch of spring along (2) | Y | Y
VELOCITY1 | Velocity along (1) | - | Y
VELOCITY2 | Velocity along (2) | - | Y
DAMPING FORCE1 | Damping force along (1) -- Zero unless this is a transient analysis (ANTYPE,TRANS) and damping is present | Y | Y
DAMPING FORCE2 | Damping force along (2) -- Zero unless this is a transient analysis (ANTYPE,TRANS) and damping is present | Y | Y

  1. Available only at centroid as a *GET item.

Table 214.2: "COMBI214 Item and Sequence Numbers" lists output available via the ETABLE command using the Sequence Number method. See "The General Postprocessor (POST1)" in the Basic Analysis Guide and The Item and Sequence Number Table in this document for more information. The following notation is used in Table 214.2: "COMBI214 Item and Sequence Numbers":

Name

Output quantity as defined in Table 214.1: "COMBI214 Element Output Definitions"

Item

Predetermined Item label for the ETABLE command

E

Sequence number for single-valued or constant element data

Output data for COMBI214 consists of the following:

Table 214.2 COMBI214 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
FORC1 | SMISC | 1
FORC2 | SMISC | 2
STRETCH1 | NMISC | 1
STRETCH2 | NMISC | 2
VELOCITY1 | NMISC | 3
VELOCITY2 | NMISC | 4
DAMPING FORCE1 | NMISC | 5
DAMPING FORCE2 | NMISC | 6

COMBI214 Assumptions and Restrictions

  • Nodes must lie in the plane defined by KEYOPT(2).

  • The following applies to a nonlinear analysis:

    -- The orientation node K is required.

    -- The length of the spring-damper element must not be zero (that is, nodes I, J and K should not be coincident because the node locations determine the spring orientation).

  • Line (IJ) must be parallel to (1). Line (JK) must be parallel to (2).

  • The element allows only a uniform stress in the springs.

  • The following applies when KEYOPT(3) = 0 (symmetric):

    -- If K12 is non-zero and K21 is zero, then K21 is set to K12.

    -- If C12 is non-zero and C21 is zero, then C21 is set to C12.

  • The spring or the damping capability may be deleted from the element by setting all Kij (i=1,2 j=1,2) or all Cij (i=1,2 j=1,2) equal to zero, respectively.

  • The degrees of freedom are specified in the nodal coordinate system and are the same for both nodes. (For more information, see Elements that Operate in the Nodal Coordinate System.) If the nodal coordinate systems are rotated relative to each other, the same degree of freedom may be in different directions (thereby giving possibly unexpected results).

  • No moment effects are included; that is, if the nodes are offset from the lines of action, moment equilibrium may not be satisfied.

  • The element is defined such that a positive displacement of node J relative to node I tends to stretch the spring. If, for a given set of conditions, nodes I and J are interchanged, a positive displacement of node J relative to node I tends to compress the spring.

COMBI214 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Professional.

Structural Analysis:

  • No damping capability; Cij (i=1,2 j=1,2) are not allowed.

  • Only stress stiffening and large deflections are allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SHELL209 		Up / Home Next
PLANE223


PLANE223

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

PLANE223

2-D 8-Node Coupled-Field Solid

MP <> <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

PLANE223 Element Description

PLANE223 has the following capabilities:

  • Structural-Thermal

  • Piezoresistive

  • Electroelastic

  • Piezoelectric

  • Thermal-Electric

  • Structural-Thermoelectric

  • Thermal-Piezoelectric

The element has eight nodes with up to four degrees of freedom per node. Structural capabilities are elastic only and include large deflection and stress stiffening. Thermoelectric capabilities include Seebeck, Peltier, and Thomson effects, as well as Joule heating. In addition to thermal expansion, structural-thermal capabilities include the piezocaloric effect in dynamic analyses. The Coriolis effect is available for analyses with structural degrees of freedom. See PLANE223 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 223.1 PLANE223 Geometry

PLANE223 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 223.1: "PLANE223 Geometry". The element input data includes eight nodes and structural, thermal, and electrical material properties. The type of units (MKS or user defined) is specified through the EMUNIT command. EMUNIT also determines the value of free-space permittivity EPZRO. The EMUNIT defaults are MKS units and EPZRO = 8.85e-12 Farads/meter.

KEYOPT(1) determines the element DOF set and the corresponding force labels and reaction solution. KEYOPT(1) is set equal to the sum of the field keys shown in Table 223.1: "PLANE223 Field Keys". For example, KEYOPT(1) is set to 11 for a structural-thermal analysis (structural field key + thermal field key = 1 + 10). For a structural-thermal analysis, UX, UY, and TEMP are the DOF labels and force and heat flow are the reaction solution.

Table 223.1 PLANE223 Field Keys

Field | Field Key | DOF Label | Force Label | Reaction Solution
Structural | 1 | UX, UY | FX, FY | Force
Thermal | 10 | TEMP | HEAT | Heat Flow
Electric Conduction | 100 | VOLT | AMPS | Electric Current
Electrostatic | 1000 | VOLT | CHRG | Electric Charge

The coupled-field analysis KEYOPT(1) settings, DOF labels, force labels, reaction solutions, and analysis types are shown in the following table.

Table 223.2 PLANE223 Coupled-Field Analyses

Coupled-Field Analysis KEYOPT(1) DOF Label Force Label Reaction Solution Analysis Type
Structural-Thermal [1], [2] 11
UX, UY,
TEMP
FX, FY,
HEAT
Force,
Heat Flow

Static

Full Harmonic

Full Transient

Piezoresistive 101
UX, UY,
VOLT
FX, FY,
AMPS
Force,
Electric Current

Static

Full Transient

Electroelastic 1001 [3]
UX, UY,
VOLT
FX, FY,
CHRG
Force,
Electric Charge (positive)

Static

Full Transient

Piezoelectric 1001 [3]
UX, UY,
VOLT
FX, FY,
CHRG
Force,
Electric Charge (negative)

Static

Modal

Full Harmonic

Full Transient

Thermal-Electric 110
TEMP,
VOLT
HEAT,
AMPS
Heat Flow,
Electric Current

Static

Full Transient

Structural-Thermoelectric [1] 111
UX, UY,
TEMP,
VOLT
FX, FY,
HEAT,
AMPS
Force,
Heat Flow,
Electric Current

Static

Full Transient

Thermal-Piezoelectric [1], [2] 1011
UX, UY,
TEMP,
VOLT
FX, FY,
HEAT,
CHRG
Force,
Heat Flow,
Electric Charge (negative)

Static

Full Harmonic

Full Transient

  1. For static and full transient analyses, KEYOPT(2) can specify a strong (matrix) or weak (load vector) structural-thermal coupling.

  2. For full harmonic analyses, strong structural-thermal coupling only applies.

  3. The electrostatic-structural analysis available with KEYOPT(1) = 1001 defaults to an electroelastic analysis (electrostatic force coupling) unless a piezoelectric matrix is specified on TB,PIEZ.

As shown in the following table, material property requirements consist of those required for the individual fields (structural, thermal, electric conduction, or electrostatic) and those required for field coupling. Material properties are defined with the MP, MPDATA and TB commands.

Table 223.3 PLANE223 Material Properties

Coupled-Field Analysis KEYOPT(1) Material Properties
Structural-Thermal 11
Structural
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ), GXY, GYZ, GXZ, DENS, DAMP, ANEL
Thermal
KXX, KYY, DENS, C, ENTH
Coupling
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ, or THSX, THSY, THSZ)
Piezoresistive 101
Structural
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ), GXY, GYZ, GXZ, ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ, or THSX, THSY, THSZ), DENS, DAMP, ANEL
Electric
RSVX, RSVY, PERX, PERY
Coupling
PZRS
Electroelastic 1001
Structural
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ), GXY, GYZ, GXZ, ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ, or THSX, THSY, THSZ), DENS, DAMP, ANEL
Electric
PERX, PERY, DPER
Piezoelectric 1001
Structural
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ), GXY, GYZ, GXZ, ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ, or THSX, THSY, THSZ), DENS, DAMP, ANEL
Electric
PERX, PERY, LSST, DPER
Coupling
PIEZ
Thermal-Electric 110
Thermal
KXX, KYY, DENS, C, ENTH
Electric
RSVX, RSVY, PERX, PERY
Coupling
SBKX, SBKY
Structural-Thermoelectric 111
Structural
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ), GXY, GYZ, GXZ, DENS, DAMP, ANEL
Thermal
KXX, KYY, DENS, C, ENTH
Electric
RSVX, RSVY, PERX, PERY
Coupling
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ, or THSX, THSY, THSZ), SBKX, SBKY, PZRS
Thermal-Piezoelectric 1011
Structural
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ), GXY, GYZ, GXZ, DENS, DAMP, ANEL
Thermal
KXX, KYY, DENS, C, ENTH
Electric
PERX, PERY, LSST, DPER
Coupling
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ, or THSX, THSY, THSZ), PIEZ

Various combinations of nodal loading are available for this element (depending upon the KEYOPT(1) value). Nodal loads are defined with the D and the F commands. Nodal forces, if any, should be input per unit of depth for a plane analysis and on a full 360° basis for an axisymmetric analysis.

Element loads are described in Node and Element Loads. Surface loads may be input on the element faces indicated by the circled numbers in Figure 223.1: "PLANE223 Geometry" using the SF and SFE commands. Positive pressures act into the element. Body loads may be input at the element's nodes or as a single element value using the BF and BFE commands.

PLANE223 surface and body loads are given in the following table. CHRGS and CHRGD are interpreted as negative surface charge density and negative volume charge density, respectively.

Table 223.4 PLANE223 Surface and Body Loads

Coupled-Field Analysis KEYOPT(1) Load Type Load Command Label
Structural-Thermal 11 Surface
Pressure
PRES
Convection
Heat Flux
Radiation
CONV
HFLUX
RDSF
Body
Heat Generation -- Nodes I through P
HGEN
Piezoresistive 101 Surface
Pressure
PRES
Body
Temperature -- Nodes I through P
TEMP
Electroelastic and Piezoelectric 1001 Surface
Pressure
Surface Charge Density
PRES
CHRGS
Body
Temperature -- Nodes I through P
TEMP
Volume Charge Density -- Nodes I through P
CHRGD
Thermal-Electric 110 Surface
Pressure
Surface Charge Density
PRES
CHRGS
Body
Heat Generation -- Nodes I through P
HGEN
Structural-Thermoelectric 111 Surface
Pressure
PRES
Convection
Heat Flux
Radiation
CONV
HFLUX
RDSF
Body
Heat Generation -- Nodes I through P
HGEN
Thermal-Piezoelectric 1011 Surface
Pressure
Surface Charge Density
PRES
CHRGS
Convection
Heat Flux
Radiation
CONV
HFLUX
RDSF
Body
Heat Generation -- Nodes I through P
HGEN
Volume Charge Density -- Nodes I through P
CHRGD

A summary of the element input is given in "PLANE223 Input Summary". A general description of element input is given in Element Input. For axisymmetric applications see Axisymmetric Elements.

PLANE223 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

Set by KEYOPT(1). See Table 223.2: "PLANE223 Coupled-Field Analyses".

Real Constants

None

Material Properties

See Table 223.3: "PLANE223 Material Properties".

Surface Loads

See Table 223.4: "PLANE223 Surface and Body Loads".

Body Loads

See Table 223.4: "PLANE223 Surface and Body Loads".

Special Features
Large deflection
Stress stiffening
KEYOPT(1)

Element degrees of freedom. See Table 223.2: "PLANE223 Coupled-Field Analyses".

KEYOPT(2)

Structural-thermal coupling method (KEYOPT(1) = 11, 111, or 1011):

0 --

Strong (matrix) coupling – produces an unsymmetric matrix. In a linear analysis, a strong coupled response is achieved after one iteration.

1 --

Weak (load vector) coupling – produces a symmetric matrix and requires at least two iterations to achieve a coupled response.

KEYOPT(3)

Element behavior:

0 --

Plane stress

1 --

Axisymmetric

2 --

Plane strain

KEYOPT(4)

Electrostatic force in electroelastic analysis (KEYOPT(1) = 1001):

0 --

Applied to every element node.

1 --

Applied to the air-structure interface or to element nodes that have constrained structural degrees of freedom.

2 --

Not applied.

For more information, see Electroelastic Analysis in the Coupled-Field Analysis Guide.

PLANE223 Output Data

The solution output associated with the element is in two forms:

  • Nodal degrees of freedom included in the overall nodal solution

  • Additional element output as shown in Table 223.5: "PLANE223 Element Output Definitions".

The element output directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 223.5 PLANE223 Element Output Definitions

Name | Definition | O | R
EL | Element Number | - | Y
NODES | Nodes - I, J, K, L, M, N, O, P | - | Y
MAT | Material number | - | Y
VOLU: | Volume | - | Y
XC, YC | Location where results are reported | - | 2
STRUCTURAL-THERMAL (KEYOPT(1) = 11)
S:X, Y, Z, XY | Stresses (SZ = 0.0 for plane stress elements) | - | 1
S:1, 2, 3 | Principal stresses | - | 1
S:EQV | Equivalent stress | - | 1
EPEL:X, Y, Z, XY | Elastic strains | - | 1
EPEL:1, 2, 3 | Principal elastic strains | - | 1
EPTH:X, Y, Z, XY | Thermal strains | - | 1
EPTH:EQV | Equivalent thermal strain [3] | - | 1
TG:X, Y, SUM | Thermal gradient components and vector magnitude | - | 1
TF:X, Y, SUM | Thermal flux components and vector magnitude | - | 1
UT | Total strain energy [7] | - | 1
PIEZORESISTIVE (KEYOPT(1) = 101)
TEMP | Input temperatures | - | Y
S:X, Y, Z, XY | Stresses (SZ = 0.0 for plane stress elements) | - | 1
S:1, 2, 3 | Principal stresses | - | 1
S:EQV | Equivalent stress | - | 1
EPEL:X, Y, Z, XY | Elastic strains | - | 1
EPEL:1, 2, 3 | Principal elastic strains | - | 1
EPTH:X, Y, Z, XY | Thermal strains | - | 1
EPTH:EQV | Equivalent thermal strain [3] | - | 1
EF:X, Y, SUM | Electric field components (X, Y) and vector magnitude | - | 1
JC:X, Y, SUM | Conduction current density components (X, Y) and vector magnitude | - | 1
JS:X, Y, SUM | Current density components (X, Y) and vector magnitude [4] | 1 | 1
JHEAT | Joule heat generation per unit volume [5] | - | 1
ELECTROELASTIC (KEYOPT(1) = 1001)
TEMP | Input temperatures | - | Y
S:X, Y, Z, XY | Stresses (SZ = 0.0 for plane stress elements) | - | 1
S:1, 2, 3 | Principal stresses | - | 1
S:EQV | Equivalent stress | - | 1
EPEL:X, Y, Z, XY | Elastic strains | - | 1
EPEL:1, 2, 3 | Principal elastic strains | - | 1
EPTH:X, Y, Z, XY | Thermal strains | - | 1
EPTH:EQV | Equivalent thermal strain [3] | - | 1
EF:X, Y, SUM | Electric field components (X, Y) and vector magnitude | - | 1
D:X, Y, SUM | Electric flux density components (X, Y) and vector magnitude | - | 1
FMAG:X, Y, SUM | Electrostatic force components (X, Y) and vector magnitude | - | 1
PIEZOELECTRIC (KEYOPT(1) = 1001)
TEMP | Input temperatures | - | Y
S:X, Y, Z, XY | Stresses (SZ = 0.0 for plane stress elements) | - | 1
S:1, 2, 3 | Principal stresses | - | 1
S:EQV | Equivalent stress | - | 1
EPEL:X, Y, Z, XY | Elastic strains | - | 1
EPEL:1, 2, 3 | Principal elastic strains | - | 1
EPTH:X, Y, Z, XY | Thermal strains | - | 1
EPTH:EQV | Equivalent thermal strain [3] | - | 1
EF:X, Y, SUM | Electric field components (X, Y) and vector magnitude | - | 1
D:X, Y, SUM | Electric flux density components (X, Y) and vector magnitude | - | 1
JHEAT | Joule heat generation per unit volume [5], [6] | - | 1
UE, UD, UM | Stored elastic, dielectric, and mutual energies | - | 1
THERMAL-ELECTRIC (KEYOPT(1) = 110)
TG:X, Y, SUM | Thermal gradient components and vector magnitude | - | 1
TF:X, Y, SUM | Thermal flux components and vector magnitude | - | 1
EF:X, Y, SUM | Electric field components and vector magnitude | - | 1
JC:X, Y, SUM | Conduction current density components and vector magnitude | - | 1
JS:X, Y, SUM | Current density components and vector magnitude [4] | 1 | 1
JHEAT | Joule heat generation per unit volume [5], [6] | - | 1
STRUCTURAL-THERMOELECTRIC (KEYOPT(1) = 111)
S:X, Y, Z, XY | Stresses (SZ = 0.0 for plane stress elements) | - | 1
S:1, 2, 3 | Principal stresses | - | 1
S:EQV | Equivalent stress | - | 1
EPEL:X, Y, Z, XY | Elastic strains | - | 1
EPEL:1, 2, 3 | Principal elastic strains | - | 1
EPTH:X, Y, Z, XY | Thermal strains | - | 1
EPTH:EQV | Equivalent thermal strain [3] | - | 1
TG:X, Y, SUM | Thermal gradient components and vector magnitude | - | 1
TF:X, Y, SUM | Thermal flux components and vector magnitude | - | 1
EF:X, Y, SUM | Electric field components and vector magnitude | - | 1
JC:X, Y, SUM | Conduction current density components and vector magnitude | - | 1
JS:X, Y, SUM | Current density components and vector magnitude [4] | 1 | 1
JHEAT | Joule heat generation per unit volume [5], [6] | - | 1
UT | Total strain energy [7] | - | 1
THERMAL-PIEZOELECTRIC (KEYOPT(1) = 1011)
S:X, Y, Z, XY | Stresses (SZ = 0.0 for plane stress elements) | - | 1
S:1, 2, 3 | Principal stresses | - | 1
S:EQV | Equivalent stress | - | 1
EPEL:X, Y, Z, XY | Elastic strains | - | 1
EPEL:1, 2, 3 | Principal elastic strains | - | 1
EPTH:X, Y, Z, XY | Thermal strains | - | 1
EPTH:EQV | Equivalent thermal strain [3] | - | 1
TG:X, Y, SUM | Thermal gradient components and vector magnitude | - | 1
TF:X, Y, SUM | Thermal flux components and vector magnitude | - | 1
EF:X, Y, SUM | Electric field components and vector magnitude | - | 1
D:X, Y, SUM | Electric flux density components and vector magnitude | - | 1
JHEAT | Joule heat generation per unit volume [5], [6] | - | 1
UE, UD, UM | Stored elastic, dielectric, and mutual energies | - | 1
UT | Total strain energy [7] | - | 1

  1. Solution values are output only if calculated (based on input values).

  2. Available only at centroid as a *GET item.

  3. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY).

  4. JS represents the sum of element conduction and displacement current densities.

  5. Calculated Joule heat generation rate per unit volume (JHEAT) may be made available for a subsequent thermal analysis with companion thermal elements.

  6. For a time-harmonic analysis, Joule losses (JHEAT) are time-averaged. These values are stored in both the real and imaginary data sets. For more information, see Quasistatic Electric Analysis in the Theory Reference for ANSYS and ANSYS Workbench.

  7. For a time-harmonic analysis, total strain energy (UT) is time-averaged. These values are stored in both the real and imaginary data sets. For more information, see Thermoelasticity in the Theory Reference for ANSYS and ANSYS Workbench.

Table 223.6: "PLANE223 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) of the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 223.6: "PLANE223 Item and Sequence Numbers":

Name

output quantity as defined in the Table 223.5: "PLANE223 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 223.6 PLANE223 Item and Sequence Numbers

Output Quantity Name | ETABLE Command Input
 | Item | E
UE | NMISC | 1
UD | NMISC | 2
UM | NMISC | 3
UT | NMISC | 4

PLANE223 Assumptions and Restrictions

  • PLANE 223 assumes a unit thickness.

  • When NLGEOM is ON, SSTIF defaults to OFF.

  • PLANE 223 uses 2 x 2 and 3 point integration rules to calculate the element matrices and load vectors for the quad and triangle geometries, respectively.

  • In a piezoelectric analysis, electric charge loading is interpreted as negative electric charge or negative charge density.

  • The element must lie in a global X-Y plane as shown in Figure 223.1: "PLANE223 Geometry" and the Y-axis must be the axis of symmetry for axisymmetric analyses.

  • An axisymmetric structure should be modeled in the +X quadrants.

  • A face with a removed midside node implies that the displacement varies linearly, rather than parabolically, along that face. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes.

  • This element may not be compatible with other elements with the VOLT degree of freedom. To be compatible, the elements must have the same reaction solution for the VOLT DOF. Elements that have an electric charge reaction solution must all have the same electric charge reaction sign. For more information, see Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide.

PLANE223 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
COMBI214 		Up / Home Next
SOLID226


SOLID226

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID226

3-D 20-Node Coupled-Field Solid

MP <> <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

SOLID226 Element Description

SOLID226 has the following capabilities:

  • Structural-Thermal

  • Piezoresistive

  • Electroelastic

  • Piezoelectric

  • Thermal-Electric

  • Structural-Thermoelectric

  • Thermal-Piezoelectric

The element has twenty nodes with up to five degrees of freedom per node. Structural capabilities are elastic only and include large deflection and stress stiffening. Thermoelectric capabilities include Seebeck, Peltier, and Thomson effects, as well as Joule heating. In addition to thermal expansion, structural-thermal capabilities include the piezocaloric effect in dynamic analyses. The Coriolis effect is available for analyses with structural degrees of freedom. See SOLID226 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 226.1 SOLID226 Geometry

SOLID226 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 226.1: "SOLID226 Geometry". The element input data includes twenty nodes and structural, thermal, and electrical material properties. The type of units (MKS or user defined) is specified through the EMUNIT command. EMUNIT also determines the value of free-space permittivity EPZRO. The EMUNIT defaults are MKS units and EPZRO = 8.85e-12 Farads/meter.

KEYOPT(1) determines the element DOF set and the corresponding force labels and reaction solution. KEYOPT(1) is set equal to the sum of the field keys shown in Table 226.1: "SOLID226 Field Keys". For example, KEYOPT(1) is set to 11 for a structural-thermal analysis (structural field key + thermal field key = 1 + 10). For a structural-thermal analysis, UX, UY, and TEMP are the DOF labels and force and heat flow are the reaction solution.

Table 226.1 SOLID226 Field Keys

Field | Field Key | DOF Label | Force Label | Reaction Solution
Structural | 1 | UX, UY, UZ | FX, FY, FZ | Force
Thermal | 10 | TEMP | HEAT | Heat Flow
Electric Conduction | 100 | VOLT | AMPS | Electric Current
Electrostatic | 1000 | VOLT | CHRG | Electric Charge

The coupled-field analysis KEYOPT(1) settings, DOF labels, force labels, reaction solutions, and analysis types are shown in the following table.

Table 226.2 SOLID226 Coupled-Field Analyses

Coupled-Field Analysis KEYOPT(1) DOF Label Force Label Reaction Solution Analysis Type
Structural-Thermal [1], [2] 11
UX, UY, UZ,
TEMP
FX, FY, FZ,
HEAT
Force,
Heat Flow

Static

Full Harmonic

Full Transient

Piezoresistive 101
UX, UY, UZ,
VOLT
FX, FY, FZ,
AMPS
Force,
Electric Current

Static

Full Transient

Electroelastic 1001 [3]
UX, UY, UZ,
VOLT
FX, FY, FZ,
CHRG
Force,
Electric Charge (positive)

Static

Full Transient

Piezoelectric 1001 [3]
UX, UY, UZ,
VOLT
FX, FY, FZ,
CHRG
Force,
Electric Charge (negative)

Static

Modal

Full Harmonic

Full Transient

Thermal-Electric 110 TEMP, VOLT HEAT, AMPS Heat Flow, Electric Current

Static

Full Transient

Structural-Thermoelectric [1] 111
UX, UY, UZ,
TEMP,
VOLT
FX, FY, FZ,
HEAT,
AMPS
Force,
Heat Flow,
Electric Current

Static

Full Transient

Thermal-Piezoelectric [1], [2] 1011
UX, UY, UZ,
TEMP,
VOLT
FX, FY, FZ,
HEAT,
CHRG
Force,
Heat Flow,
Electric Charge (negative)

Static

Full Harmonic

Full Transient

  1. For static and full transient analyses, KEYOPT(2) can specify a strong (matrix) or weak (load vector) structural-thermal coupling.

  2. For full harmonic analyses, strong structural-thermal coupling only applies.

  3. The electrostatic-structural analysis available with KEYOPT(1) = 1001 defaults to an electroelastic analysis (electrostatic force coupling) unless a piezoelectric matrix is specified on TB,PIEZ.

As shown in the following table, material property requirements consist of those required for the individual fields (structural, thermal, electric conduction, or electrostatic) and those required for field coupling. Material properties are defined with the MP, MPDATA and TB commands.

Table 226.3 SOLID226 Material Properties

Coupled-Field Analysis KEYOPT(1) Material Properties
Structural-Thermal 11
Structural
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ), GXY, GYZ, GXZ, DENS, DAMP, ANEL
Thermal
KXX, KYY, KZZ, DENS, C, ENTH
Coupling
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ, or THSX, THSY, THSZ)
Piezoresistive 101
Structural
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ), GXY, GYZ, GXZ, ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ, or THSZ, THSY, THSZ), DENS, DAMP, ANEL
Electric
RSVX, RSVY, RSVZ, PERX, PERY, PERZ
Coupling
PZRS
Electroelastic 1001
Structural
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ), GXY, GYZ, GXZ, ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ, or THSZ, THSY, THSZ), DENS, DAMP, ANEL
Electric
PERX, PERY, PERZ, DPER
Piezoelectric 1001
Structural
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ), GXY, GYZ, GXZ, ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ, or THSZ, THSY, THSZ), DENS, DAMP, ANEL
Electric
PERX, PERY, PERZ, DPER, LSST
Coupling
PIEZ
Thermal-Electric 110
Thermal
KXX, KYY, KZZ, DENS, C, ENTH
Electric
RSVX, RSVY, RSVZ, PERX, PERY, PERZ
Coupling
SBKX, SBKY, SBKZ
Structural-Thermoelectric 111
Structural
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ), GXY, GYZ, GXZ, DENS, DAMP, ANEL
Thermal
KXX, KYY, KZZ, DENS, C, ENTH
Electric
RSVX, RSVY, RSVZ, PERX, PERY, PERZ
Coupling
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ, or THSX, THSY, THSZ), SBKX, SBKY, SBKZ, PZRS
Thermal-Piezoelectric 1011
Structural
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ), GXY, GYZ, GXZ, DENS, DAMP, ANEL
Thermal
KXX, KYY, KZZ, DENS, C, ENTH
Electric
PERX, PERY, PERZ, LSST, DPER
Coupling
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ, or THSX, THSY, THSZ), PIEZ

Various combinations of nodal loading are available for this element (depending upon the KEYOPT(1) value). Nodal loads are defined with the D and the F commands.

Element loads are described in Node and Element Loads. Loads may be input on the element faces indicated by the circled numbers in Figure 226.1: "SOLID226 Geometry" using the SF and SFE commands. Positive pressures act into the element. Body loads may be input at the element's nodes or as a single element value using the BF and BFE commands.

SOLID226 surface and body loads are given in the following table. CHRGS and CHRGD are interpreted as negative surface charge density and negative volume charge density, respectively.

Table 226.4 SOLID226 Surface and Body Loads

Coupled-Field Analysis KEYOPT(1) Load Type Load Command Label
Structural-Thermal 11 Surface
Pressure
PRES
Convection
Heat Flux
Radiation
CONV
HFLUX
RDSF
Body
Heat Generation -- Nodes I, J, ..., A, B
HGEN
Piezoresistive 101 Surface
Pressure
PRES
Body
Temperature -- Nodes I, J, ..., A, B
TEMP
Electroelastic and Piezoelectric 1001 Surface
Pressure
Surface Charge Density
PRES
CHRGS
Body
Temperature -- Nodes I, J, ..., A, B
TEMP
Volume Charge Density -- Nodes I, J, ..., A, B
CHRGD
Thermal-Electric 110 Surface
Convection
Heat Flux
Radiation
CONV
HFLUX
RDSF
Body
Heat Generation -- Nodes I, J, ..., A, B
HGEN
Structural-Thermoelectric 111 Surface
Pressure
PRES
Convection
Heat Flux
Radiation
CONV
HFLUX
RDSF
Body
Heat Generation -- Nodes I, J, ..., A, B
HGEN
Thermal-Piezoelectric 1011 Surface
Pressure
Surface Charge Density
PRES
CHRGS
Convection
Heat Flux
Radiation
CONV
HFLUX
RDSF
Body
Heat Generation -- Nodes I, J, ..., A, B
HGEN
Volume Charge Density -- Nodes I, J, ..., A, B
CHRGD

A summary of the element input is given in "SOLID226 Input Summary". A general description of element input is given in Element Input.

SOLID226 Input Summary

Nodes

I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z, A, B

Degrees of Freedom

Set by KEYOPT(1). See Table 226.2: "SOLID226 Coupled-Field Analyses".

Real Constants

None

Material Properties

See Table 226.3: "SOLID226 Material Properties".

Surface Loads

See Table 226.4: "SOLID226 Surface and Body Loads".

Body Loads

See Table 226.4: "SOLID226 Surface and Body Loads".

Special Features
Large deflection
Stress stiffening
KEYOPT(1)

Element degrees of freedom. See Table 226.2: "SOLID226 Coupled-Field Analyses".

KEYOPT(2)

Structural-thermal coupling method (KEYOPT(1) = 11, 111, or 1011):

0 --

Strong (matrix) coupling – produces an unsymmetric matrix. In a linear analysis, a strong coupled response is achieved after one iteration.

1 --

Weak (load vector) coupling – produces a symmetric matrix and requires at least two iterations to achieve a coupled response.

KEYOPT(4)

Electrostatic force in electroelastic analysis (KEYOPT(1) = 1001):

0 --

Applied to every element node.

1 --

Applied to the air-structure interface or to element nodes that have constrained structural degrees of freedom.

2 --

Not applied.

For more information, see Electroelastic Analysis in the Coupled-Field Analysis Guide.

SOLID226 Output Data

The solution output associated with the element is in two forms:

  • Nodal degrees of freedom included in the overall nodal solution

  • Additional element output as shown in Table 226.5: "SOLID226 Element Output Definitions".

The element output directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 226.5 SOLID226 Element Output Definitions

Name | Definition | O | R
EL | Element Number | - | Y
NODES | Nodes - I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z, A, B | - | Y
MAT | Material number | - | Y
VOLU: | Volume | - | Y
XC, YC, ZC | Location where results are reported | - | 2
STRUCTURAL-THERMAL (KEYOPT(1) = 11)
S:X, Y, Z, XY, YZ, XZ | Stresses (SZ = 0.0 for plane stress elements) | - | 1
S:1, 2, 3 | Principal stresses | - | 1
S:EQV | Equivalent stress | - | 1
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | - | 1
EPEL:1, 2, 3 | Principal elastic strains | - | 1
EPTH:X, Y, Z, XY, YZ, XZ | Thermal strains | - | 1
EPTH:EQV | Equivalent thermal strain [3] | - | 1
TG:X, Y, Z, SUM | Thermal gradient components and vector magnitude | - | 1
TF:X, Y, Z, SUM | Thermal flux components and vector magnitude | - | 1
UT | Total strain energy [7] | - | 1
PIEZORESISTIVE (KEYOPT(1) = 101)
TEMP | Input temperatures | - | Y
S:X, Y, Z, XY, YZ, XZ | Stresses | - | 1
S:1, 2, 3 | Principal stresses | - | 1
S:EQV | Equivalent stress | - | 1
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | - | 1
EPEL:1, 2, 3 | Principal elastic strains | - | 1
EPEL:EQV | Equivalent elastic strains [3] | - | 1
EPTH:X, Y, Z, XY, YZ, XZ | Thermal strains | - | 1
EPTH:EQV | Equivalent thermal strain [3] | - | 1
EF:X, Y, Z, SUM | Electric field components (X, Y, Z) and vector magnitude | - | 1
JC:X, Y, Z, SUM | Conduction current density components (X, Y, Z) and vector magnitude | - | 1
JS:X, Y, Z, SUM | Current density components and vector magnitude [4] | 1 | 1
JHEAT | Joule heat generation per unit volume [5] | - | 1
ELECTROELASTIC (KEYOPT(1) = 1001)
TEMP | Input temperatures | - | Y
S:X, Y, Z, XY, YZ, XZ | Stresses | - | 1
S:1, 2, 3 | Principal stresses | - | 1
S:EQV | Equivalent stress | - | 1
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | - | 1
EPEL:1, 2, 3 | Principal elastic strains | - | 1
EPTH:X, Y, Z, XY, YZ, XZ | Thermal strains | - | 1
EPTH:EQV | Equivalent thermal strain [3] | - | 1
EF:X, Y, Z, SUM | Electric field components (X, Y, Z) and vector magnitude | - | 1
D:X, Y, Z, SUM | Electric flux density components (X, Y, Z) and vector magnitude | - | 1
FMAG:X, Y, Z, SUM | Electrostatic force components (X, Y, Z) and vector magnitude | - | 1
PIEZOELECTRIC (KEYOPT(1) = 1001)
TEMP | Input temperatures | - | Y
S:X, Y, Z, XY, YZ, XZ | Stresses | - | 1
S:1, 2, 3 | Principal stresses | - | 1
S:EQV | Equivalent stress | - | 1
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | - | 1
EPEL:1, 2, 3 | Principal elastic strains | - | 1
EPEL:EQV | Equivalent elastic strains [3] | - | 1
EPTH:X, Y, Z, XY, YZ, XZ | Thermal strains | - | 1
EPTH:EQV | Equivalent thermal strain [3] | - | 1
EF:X, Y, Z, SUM | Electric field components (X, Y, Z) and vector magnitude | - | 1
D:X, Y, Z, SUM | Electric flux density components (X, Y, Z) and vector magnitude | - | 1
JHEAT | Joule heat generation per unit volume [5], [6] | - | 1
UE, UD, UM | Stored elastic, dielectric, and mutual energies | - | 1
THERMAL-ELECTRIC (KEYOPT(1) = 110)
TG:X, Y, Z, SUM | Thermal gradient components and vector magnitude | - | 1
TF:X, Y, Z, SUM | Thermal flux components and vector magnitude | - | 1
EF:X, Y, Z, SUM | Electric field components and vector magnitude | - | 1
JC:X, Y, Z, SUM | Conduction current density components and vector magnitude | - | 1
JS:X, Y, Z, SUM | Current density components and vector magnitude [4] | 1 | 1
JHEAT | Joule heat generation per unit volume [5], [6] | - | 1
STRUCTURAL-THERMOELECTRIC (KEYOPT(1) = 111)
S:X, Y, Z, XY, YZ, XZ | Stresses (SZ = 0.0 for plane stress elements) | - | 1
S:1, 2, 3 | Principal stresses | - | 1
S:EQV | Equivalent stress | - | 1
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | - | 1
EPEL:1, 2, 3 | Principal elastic strains | - | 1
EPTH:X, Y, Z, XY, YZ, XZ | Thermal strains | - | 1
EPTH:EQV | Equivalent thermal strain [3] | - | 1
TG:X, Y, Z, SUM | Thermal gradient components and vector magnitude | - | 1
TF:X, Y, Z, SUM | Thermal flux components and vector magnitude | - | 1
EF:X, Y, Z, SUM | Electric field components and vector magnitude | - | 1
JC:X, Y, Z, SUM | Conduction current density components and vector magnitude | - | 1
JS:X, Y, Z, SUM | Current density components and vector magnitude [4] | 1 | 1
JHEAT | Joule heat generation per unit volume [5], [6] | - | 1
UT | Total strain energy [7] | - | 1
THERMAL-PIEZOELECTRIC (KEYOPT(1) = 1011)
S:X, Y, Z, XY, YZ, XZ | Stresses (SZ = 0.0 for plane stress elements) | - | 1
S:1, 2, 3 | Principal stresses | - | 1
S:EQV | Equivalent stress | - | 1
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | - | 1
EPEL:1, 2, 3 | Principal elastic strains | - | 1
EPTH:X, Y, Z, XY, YZ, XZ | Thermal strains | - | 1
EPTH:EQV | Equivalent thermal strain [3] | - | 1
TG:X, Y, Z, SUM | Thermal gradient components and vector magnitude | - | 1
TF:X, Y, Z, SUM | Thermal flux components and vector magnitude | - | 1
EF:X, Y, Z, SUM | Electric field components and vector magnitude | - | 1
D:X, Y, Z, SUM | Electric flux density components and vector magnitude | - | 1
JHEAT | Joule heat generation per unit volume [5], [6] | - | 1
UE, UD, UM | Stored elastic, dielectric, and mutual energies | - | 1
UT | Total strain energy [7] | - | 1

  1. Solution values are output only if calculated (based on input values).

  2. Available only at centroid as a *GET item.

  3. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY).

  4. JS represents the sum of element conduction and displacement current densities.

  5. Calculated Joule heat generation rate per unit volume (JHEAT) may be made available for a subsequent thermal analysis with companion thermal elements.

  6. For a time-harmonic analysis, Joule losses (JHEAT) are time-averaged. These values are stored in both the real and imaginary data sets. For more information, see Quasistatic Electric Analysis in the Theory Reference for ANSYS and ANSYS Workbench.

  7. For a time-harmonic analysis, total strain energy (UT) is time-averaged. These values are stored in both the real and imaginary data sets. For more information, see Thermoelasticity in the Theory Reference for ANSYS and ANSYS Workbench.

Table 226.5: "SOLID226 Element Output Definitions" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) of the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 226.6: "SOLID226 Item and Sequence Numbers":

Name

output quantity as defined in the Table 226.5: "SOLID226 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 226.6 SOLID226 Item and Sequence Numbers

Output Quantity Name | ETABLE Command Input
 | Item | E
UE | NMISC | 1
UD | NMISC | 2
UM | NMISC | 3
UT | NMISC | 4

SOLID226 Assumptions and Restrictions

  • When NLGEOM is ON, SSTIF defaults to OFF.

  • In a piezoelectric analysis, electric charge loading is interpreted as negative electric charge or negative charge density.

  • A face with a removed midside node implies that the displacement varies linearly, rather than parabolically, along that face. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes.

  • This element may not be compatible with other elements with the VOLT degree of freedom. To be compatible, the elements must have the same reaction solution for the VOLT DOF. Elements that have an electric charge reaction solution must all have the same electric charge reaction sign. For more information, see Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide.

SOLID226 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLANE223 		Up / Home Next
SOLID227


SOLID227

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID227

3-D 10-Node Coupled-Field Solid

MP <> <> <> <> <> <> <> <> <> <> PP <>

Product Restrictions

SOLID227 Element Description

SOLID227 has the following capabilities:

  • Structural-Thermal

  • Piezoresistive

  • Electroelastic

  • Piezoelectric

  • Thermal-Electric

  • Structural-Thermoelectric

  • Thermal-Piezoelectric

The element has ten nodes with up to five degrees of freedom per node. Structural capabilities are elastic only and include large deflection and stress stiffening. Thermoelectric capabilities include Seebeck, Peltier, and Thomson effects, as well as Joule heating. In addition to thermal expansion, structural-thermal capabilities include the piezocaloric effect in dynamic analyses. The Coriolis effect is available for analyses with structural degrees of freedom. See SOLID227 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 227.1 SOLID227 Geometry

SOLID227 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 227.1: "SOLID227 Geometry". The element input data includes ten nodes and structural, thermal, and electrical material properties. The type of units (MKS or user defined) is specified through the EMUNIT command. EMUNIT also determines the value of free-space permittivity EPZRO. The EMUNIT defaults are MKS units and EPZRO = 8.85e-12 Farads/meter.

KEYOPT(1) determines the element DOF set and the corresponding force labels and reaction solution. KEYOPT(1) is set equal to the sum of the field keys shown in Table 227.1: "SOLID227 Field Keys". For example, KEYOPT(1) is set to 11 for a structural-thermal analysis (structural field key + thermal field key = 1 + 10). For a structural-thermal analysis, UX, UY, and TEMP are the DOF labels and force and heat flow are the reaction solution.

Table 227.1 SOLID227 Field Keys

Field | Field Key | DOF Label | Force Label | Reaction Solution
Structural | 1 | UX, UY, UZ | FX, FY, FZ | Force
Thermal | 10 | TEMP | HEAT | Heat Flow
Electric Conduction | 100 | VOLT | AMPS | Electric Current
Electrostatic | 1000 | VOLT | CHRG | Electric Charge

The coupled-field analysis KEYOPT(1) settings, DOF labels, force labels, reaction solutions, and analysis types are shown in the following table.

Table 227.2 SOLID227 Coupled-Field Analyses

Coupled-Field Analysis KEYOPT(1) DOF Label Force Label Reaction Solution Analyses Type
Structural-Thermal [1], [2] 11
UX, UY, UZ,
TEMP
FX, FY, FZ,
HEAT
Force,
Heat Flow

Static

Full Harmonic

Full Transient

Piezoresistive 101
UX, UY, UZ,
VOLT
FX, FY, FZ,
AMPS
Force,
Electric Current

Static

Full Transient

Electroelastic 1001 [3]
UX, UY, UZ,
VOLT
FX, FY, FZ,
CHRG
Force,
Electric Charge (positive)

Static

Full Transient

Piezoelectric 1001 [3]
UX, UY, UZ,
VOLT
FX, FY, FZ,
CHRG
Force,
Electric Charge (negative)

Static

Modal

Full Harmonic

Full Transient

Thermal-Electric 110 TEMP, VOLT HEAT, AMPS Heat Flow, Electric Current

Static

Full Transient

Structural-Thermoelectric [1] 111
UX, UY, UZ,
TEMP,
VOLT
FX, FY, FZ,
HEAT,
AMPS
Force,
Heat Flow,
Electric Current

Static

Full Transient

Thermal-Piezoelectric [1], [2] 1011
UX, UY, UZ,
TEMP,
VOLT
FX, FY, FZ,
HEAT,
CHRG
Force,
Heat Flow,
Electric Charge (negative)

Static

Full Harmonic

Full Transient

  1. For static and full transient analyses, KEYOPT(2) can specify a strong (matrix) or weak (load vector) structural-thermal coupling.

  2. For full harmonic analyses, strong structural-thermal coupling only applies.

  3. The electrostatic-structural analysis available with KEYOPT(1) = 1001 defaults to an electroelastic analysis (electrostatic force coupling) unless a piezoelectric matrix is specified on TB,PIEZ.

As shown in the following table, material property requirements consist of those required for the individual fields (structural, thermal, electric conduction, or electrostatic) and those required for field coupling. Material properties are defined with the MP, MPDATA and TB commands.

Table 227.3 SOLID227 Material Properties

Coupled-Field Analysis KEYOPT(1) Material Properties
Structural-Thermal 11
Structural
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ), GXY, GYZ, GXZ, DENS, DAMP, ANEL
Thermal
KXX, KYY, KZZ, DENS, C, ENTH
Coupling
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ, or THSX, THSY, THSZ)
Piezoresistive 101
Structural
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ), GXY, GYZ, GXZ, ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ, or THSX, THSY, THSZ), DENS, DAMP, ANEL
Electric
RSVX, RSVY, RSVZ, PERX, PERY, PERZ
Coupling
PZRS
Electroelastic 1001
Structural
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ), GXY, GYZ, GXZ, ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ, or THSX, THSY, THSZ), DENS, DAMP, ANEL
Electric
PERX, PERY, PERZ, DPER
Piezoelectric 1001
Structural
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ), GXY, GYZ, GXZ, ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ, or THSX, THSY, THSZ), DENS, DAMP, ANEL
Electric
PERX, PERY, PERZ, DPER, LSST
Coupling
PIEZ
Thermal-Electric 110
Thermal
KXX, KYY, KZZ, DENS, C, ENTH
Electric
RSVX, RSVY, RSVZ, PERX, PERY, PERZ
Coupling
SBKX, SBKY, SBKZ
Structural-Thermoelectric 111
Structural
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ), GXY, GYZ, GXZ, DENS, DAMP, ANEL
Thermal
KXX, KYY, KZZ, DENS, C, ENTH
Electric
RSVX, RSVY, RSVZ, PERX, PERY, PERZ
Coupling
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ, or THSX, THSY, THSZ), SBKX, SBKY, SBKZ, PZRS
Thermal-Piezoelectric 1011
Structural
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ), GXY, GYZ, GXZ, DENS, DAMP, ANEL
Thermal
KXX, KYY, KZZ, DENS, C, ENTH
Electric
PERX, PERY, PERZ, LSST, DPER
Coupling
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ, or THSX, THSY, THSZ), PIEZ

Various combinations of nodal loading are available for this element (depending upon the KEYOPT(1) value). Nodal loads are defined with the D and the F commands.

Element loads are described in Node and Element Loads. Loads may be input on the element faces indicated by the circled numbers in Figure 227.1: "SOLID227 Geometry" using the SF and SFE commands. Positive pressures act into the element. Body loads may be input at the element's nodes or as a single element value using the BF and BFE commands.

SOLID227 surface and body loads are given in the following table. CHRGS and CHRGD are interpreted as negative surface charge density and negative volume charge density, respectively.

Table 227.4 SOLID227 Surface and Body Loads

Coupled-Field Analysis KEYOPT(1) Load Type Load Command Label
Structural-Thermal 11 Surface
Pressure
PRES
Convection
Heat Flux
Radiation
CONV
HFLUX
RDSF
Body
Heat Generation -- Nodes I through R
HGEN
Piezoresistive 101 Surface
Pressure
PRES
Body
Temperatures -- Nodes I through R
TEMP
Electroelastic and Piezoelectric 1001 Surface
Pressure
Surface Charge Density
PRES
CHRGS
Body
Temperatures -- Nodes I through R
TEMP
Volume Charge Density -- Nodes I through R
CHRGD
Thermal-Electric 110 Surface
Convection
Heat Flux
Radiation
CONV
HFLUX
RDSF
Body
Heat Generation -- Nodes I through R
HGEN
Structural-Thermoelectric 111 Surface
Pressure
PRES
Convection
Heat Flux
Radiation
CONV
HFLUX
RDSF
Body
Heat Generation -- Nodes I through R
HGEN
Thermal-Piezoelectric 1011 Surface
Pressure
Surface Charge Densitiy
PRES
CHRGS
Convection
Heat Flux
Radiation
CONV
HFLUX
RDSF
Body
Heat Generation -- Nodes I through R
HGEN
Volume Charge Density -- Nodes I through R
CHRGD

A summary of the element input is given in "SOLID227 Input Summary". A general description of element input is given in Element Input.

SOLID227 Input Summary

Nodes

I, J, K, L, M, N, O, P, Q, R

Degrees of Freedom

Set by KEYOPT(1). See Table 227.2: "SOLID227 Coupled-Field Analyses".

Real Constants

None

Material Properties

See Table 227.3: "SOLID227 Material Properties".

Surface Loads

See Table 227.4: "SOLID227 Surface and Body Loads".

Body Loads

See Table 227.4: "SOLID227 Surface and Body Loads".

Special Features
Large deflection
Stress stiffening
KEYOPT(1)

Element degrees of freedom. See Table 227.2: "SOLID227 Coupled-Field Analyses".

KEYOPT(2)

Structural-thermal coupling method (KEYOPT(1) = 11, 111, or 1011):

0 --

Strong (matrix) coupling – produces an unsymmetric matrix. In a linear analysis, a strong coupled response is achieved after one iteration.

1 --

Weak (load vector) coupling – produces a symmetric matrix and requires at least two iterations to achieve a coupled response.

KEYOPT(4)

Electrostatic force in electroelastic analysis (KEYOPT(1) = 1001):

0 --

Applied to every element node.

1 --

Applied to the air-structure interface or to element nodes that have constrained structural degrees of freedom.

2 --

Not applied.

For more information, see Electroelastic Analysis in the Coupled-Field Analysis Guide.

SOLID227 Output Data

The solution output associated with the element is in two forms:

  • Nodal degrees of freedom included in the overall nodal solution

  • Additional element output as shown in Table 227.5: "SOLID227 Element Output Definitions".

The element output directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 227.5 SOLID227 Element Output Definitions

Name | Definition | O | R
EL | Element Number | - | Y
NODES | Nodes - I, J, K, L, M, N, O, P, Q, R | - | Y
MAT | Material number | - | Y
VOLU: | Volume | - | Y
XC, YC, ZC | Location where results are reported | - | 2
STRUCTURAL-THERMAL (KEYOPT(1) = 11)
S:X, Y, Z, XY, YZ, XZ | Stresses (SZ = 0.0 for plane stress elements) | - | 1
S:1, 2, 3 | Principal stresses | - | 1
S:EQV | Equivalent stress | - | 1
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | - | 1
EPEL:1, 2, 3 | Principal elastic strains | - | 1
EPTH:X, Y, Z, XY, YZ, XZ | Thermal strains | - | 1
EPTH:EQV | Equivalent thermal strain [3] | - | 1
TG:X, Y, Z, SUM | Thermal gradient components and vector magnitude | - | 1
TF:X, Y, Z, SUM | Thermal flux components and vector magnitude | - | 1
UT | Total strain energy [7] | - | 1
PIEZORESISTIVE (KEYOPT(1) = 101)
TEMP | Input temperatures | - | Y
S:X, Y, Z, XY, YZ, XZ | Stresses | - | 1
S:1, 2, 3 | Principal stresses | - | 1
S:EQV | Equivalent stress | - | 1
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | - | 1
EPEL:1, 2, 3 | Principal elastic strains | - | 1
EPEL:EQV | Equivalent elastic strains [3] | - | 1
EPTH:X, Y, Z, XY, YZ, XZ | Thermal strains | - | 1
EPTH:EQV | Equivalent thermal strain [3] | - | 1
EF:X, Y, Z, SUM | Electric field components (X, Y, Z) and vector magnitude | - | 1
JC:X, Y, Z, SUM | Conduction current density components (X, Y, Z) and vector magnitude | - | 1
JS:X, Y, Z, SUM | Current density components and vector magnitude [4] | 1 | 1
JHEAT | Joule heat generation per unit volume [5] | - | 1
ELECTROELASTIC (KEYOPT(1) = 1001)
TEMP | Input temperatures | - | Y
S:X, Y, Z, XY, YZ, XZ | Stresses | - | 1
S:1, 2, 3 | Principal stresses | - | 1
S:EQV | Equivalent stress | - | 1
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | - | 1
EPEL:1, 2, 3 | Principal elastic strains | - | 1
EPTH:X, Y, Z, XY, YZ, XZ | Thermal strains | - | 1
EPTH:EQV | Equivalent thermal strain [3] | - | 1
EF:X, Y, Z, SUM | Electric field components (X, Y, Z) and vector magnitude | - | 1
D:X, Y, Z, SUM | Electric flux density components (X, Y, Z) and vector magnitude | - | 1
FMAG:X, Y, Z, SUM | Electrostatic force components (X, Y, Z) and vector magnitude | - | 1
PIEZOELECTRIC (KEYOPT(1) = 1001)
TEMP | Input temperatures | - | Y
S:X, Y, Z, XY, YZ, XZ | Stresses | - | 1
S:1, 2, 3 | Principal stresses | - | 1
S:EQV | Equivalent stress | - | 1
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | - | 1
EPEL:1, 2, 3 | Principal elastic strains | - | 1
EPEL:EQV | Equivalent elastic strains [3] | - | 1
EPTH:X, Y, Z, XY, YZ, XZ | Thermal strains | - | 1
EPTH:EQV | Equivalent thermal strain [3] | - | 1
EF:X, Y, Z, SUM | Electric field components (X, Y, Z) and vector magnitude | - | 1
D:X, Y, Z, SUM | Electric flux density components (X, Y, Z) and vector magnitude | - | 1
JHEAT | Joule heat generation per unit volume [5], [6] | - | 1
UE | Stored elastic energy | - | 1
UD | Stored dielectric energy | - | 1
UM | Stored mutual energy | - | 1
THERMAL-ELECTRIC (KEYOPT(1) = 110)
TG:X, Y, Z, SUM | Thermal gradient components and vector magnitude | - | 1
TF:X, Y, Z, SUM | Thermal flux components and vector magnitude | - | 1
EF:X, Y, Z, SUM | Electric field components and vector magnitude | - | 1
JC:X, Y, Z, SUM | Conduction current density components and vector magnitude | - | 1
JS:X, Y, Z, SUM | Current density components and vector magnitude [4] | 1 | 1
JHEAT | Joule heat generation per unit volume [5], [6] | - | 1
STRUCTURAL-THERMOELECTRIC (KEYOPT(1) = 111)
S:X, Y, Z, XY, YZ, XZ | Stresses (SZ = 0.0 for plane stress elements) | - | 1
S:1, 2, 3 | Principal stresses | - | 1
S:EQV | Equivalent stress | - | 1
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | - | 1
EPEL:1, 2, 3 | Principal elastic strains | - | 1
EPTH:X, Y, Z, XY, YZ, XZ | Thermal strains | - | 1
EPTH:EQV | Equivalent thermal strain [3] | - | 1
TG:X, Y, Z, SUM | Thermal gradient components and vector magnitude | - | 1
TF:X, Y, Z, SUM | Thermal flux components and vector magnitude | - | 1
EF:X, Y, Z, SUM | Electric field components and vector magnitude | - | 1
JC:X, Y, Z, SUM | Conduction current density components and vector magnitude | - | 1
JS:X, Y, Z, SUM | Current density components and vector magnitude [4] | 1 | 1
JHEAT | Joule heat generation per unit volume [5], [6] | - | 1
UT | Total strain energy [7] | - | 1
THERMAL-PIEZOELECTRIC (KEYOPT(1) = 1011)
S:X, Y, Z, XY, YZ, XZ | Stresses (SZ = 0.0 for plane stress elements) | - | 1
S:1, 2, 3 | Principal stresses | - | 1
S:EQV | Equivalent stress | - | 1
EPEL:X, Y, Z, XY, YZ, XZ | Elastic strains | - | 1
EPEL:1, 2, 3 | Principal elastic strains | - | 1
EPTH:X, Y, Z, XY, YZ, XZ | Thermal strains | - | 1
EPTH:EQV | Equivalent thermal strain [3] | - | 1
TG:X, Y, Z, SUM | Thermal gradient components and vector magnitude | - | 1
TF:X, Y, Z, SUM | Thermal flux components and vector magnitude | - | 1
EF:X, Y, Z, SUM | Electric field components and vector magnitude | - | 1
D:X, Y, Z, SUM | Electric flux density components and vector magnitude | - | 1
JHEAT | Joule heat generation per unit volume [5], [6] | - | 1
UE, UD, UM | Stored elastic, dielectric, and mutual energies | - | 1
UT | Total strain energy [7] | - | 1

  1. Solution values are output only if calculated (based on input values).

  2. Available only at centroid as a *GET item.

  3. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY).

  4. JS represents the sum of element conduction and displacement current densities.

  5. Calculated Joule heat generation rate per unit volume (JHEAT) may be made available for a subsequent thermal analysis with companion thermal elements.

  6. For a time-harmonic analysis, Joule losses (JHEAT) are time-averaged. These values are stored in both the real and imaginary data sets. For more information, see Quasistatic Electric Analysis in the Theory Reference for ANSYS and ANSYS Workbench.

  7. For a time-harmonic analysis, total strain energy (UT) is time-averaged. These values are stored in both the real and imaginary data sets. For more information, see Thermoelasticity in the Theory Reference for ANSYS and ANSYS Workbench.

Table 227.5: "SOLID227 Element Output Definitions" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) of the Basic Analysis Guide and The Item and Sequence Number Table of this manual for more information. The following notation is used in Table 227.6: "SOLID227 Item and Sequence Numbers":

Name

output quantity as defined in the Table 227.5: "SOLID227 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 227.6 SOLID227 Item and Sequence Numbers

Output Quantity Name | ETABLE Command Input
 | Item | E
UE | NMISC | 1
UD | NMISC | 2
UM | NMISC | 3
UT | NMISC | 4

SOLID227 Assumptions and Restrictions

  • When NLGEOM is ON, SSTIF defaults to OFF.

  • In a piezoelectric analysis, electric charge loading is interpreted as negative electric charge or negative charge density.

  • A face with a removed midside node implies that the displacement varies linearly, rather than parabolically, along that face. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes.

  • This element may not be compatible with other elements with the VOLT degree of freedom. To be compatible, the elements must have the same through reaction solution for the VOLT DOF. Elements that have an electric charge reaction solution must all have the same electric charge reaction sign. For more information, see Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide.

SOLID227 Product Restrictions

There are no product-specific restrictions for this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID226 		Up / Home Next
PLANE230


PLANE230

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

PLANE230

2-D 8-Node Electric Solid

MP <> <> <> <> <> <> <> EM <> <> PP <>

Product Restrictions

PLANE230 Element Description

PLANE230 is a 2-D, 8-node, current-based electric element. The element has one degree of freedom, voltage, at each node. The 8-node elements have compatible voltage shapes and are well suited to model curved boundaries.

This element is based on the electric scalar potential formulation and it is applicable to the following low frequency electric field analyses: steady-state electric conduction, time-harmonic quasistatic and transient quasistatic. See PLANE230 - 2-D 8-Node Electric Solid in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 230.1 PLANE230 Geometry

PLANE230 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 230.1: "PLANE230 Geometry". The element is defined by eight nodes and orthotropic material properties. The type of units (MKS or user defined) is specified through the EMUNIT command. EMUNIT also determines the value of EPZRO. The EMUNIT defaults are MKS units and EPZRO = 8.854 x 10-12 Farad/meter. A triangular-shaped element may be formed by defining the same node number for nodes K, L and O.

Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. Properties not input default as described in Linear Material Properties.

Nodal loads are defined with the D (Lab = VOLT) and F (Lab = AMPS) commands. The nodal forces, if any, should be input per unit of depth for a plane analysis and on a full 360° basis for an axisymmetric analysis.

The temperature (for material property evaluation only) body loads may be input based on their value at the element's nodes or as a single element value [BF, BFE]. In general, unspecified nodal values of temperatures default to the uniform value specified with the BFUNIF or TUNIF commands.

A summary of the element input is given in "PLANE230 Input Summary". A general description of element input is given in Element Input. For axisymmetric applications see Axisymmetric Elements.

PLANE230 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

VOLT

Real Constants

None

Material Properties

RSVX, RSVY, PERX, PERY, LSST

Surface Loads

None

Body Loads
Temperature --

T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P)

Special Features

Birth and death

KEYOPT(3)

Element behavior:

0 --

Plane

1 --

Axisymmetric

PLANE230 Output Data

The solution output associated with the element is in two forms:

  • Nodal degrees of freedom included in the overall nodal solution

  • Additional element output as shown in Table 230.1: "PLANE230 Element Output Definitions".

Several items are illustrated in Figure 230.2: "PLANE230 Output". The element output directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results. The element output directions are parallel to the element coordinate system as shown in Figure 230.2: "PLANE230 Output".

Figure 230.2 PLANE230 Output

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 230.1 PLANE230 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC | Location where results are reported | Y | 2
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P) | Y | Y
LOC | Output location (X, Y) | 1 | -
EF:X, Y, SUM | Electric field components and vector magnitude | 1 | 1
JC:X, Y, SUM | Conduction current density components and vector magnitude | 1 | 1
JS:X, Y, SUM | Current density components and vector magnitude [3] | 1 | 1
JT:X, Y, SUM | Conduction current density components and magnitude [3] | 1 | 1
JHEAT: | Joule heat generation rate per unit volume [4] [5] [6] | 1 | 1
SENE: | Stored electric energy [6] | 1 | 1
D:X, Y, SUM | Electric flux density components and vector magnitude | 1 | 1

  1. The solution value is output only if calculated (based upon input data). The element solution is at the centroid.

  2. Available only at centroid as a *GET item.

  3. JS represents the sum of element conduction and displacement current densities. JT represents the element conduction current density. The element displacement current density (JD) can be derived from JS and JT as JD = JS-JT.

  4. For a time-harmonic analysis, calculated Joule heat generation rate per unit volume (JHEAT) includes conduction heating and dielectric heating due to the loss tangent.

  5. Calculated Joule heat generation rate per unit volume (JHEAT) may be made available for a subsequent thermal analysis with companion elements [LDREAD].

  6. For a time-harmonic analysis, Joule losses (JHEAT) and stored energy (SENE) represent time-average values. These values are stored in both the real and imaginary data sets.

Table 230.2: "PLANE230 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 230.2: "PLANE230 Item and Sequence Numbers":

Name

output quantity as defined in the Table 230.1: "PLANE230 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 230.2 PLANE230 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
DX | NMISC | 1
DY | NMISC | 2
DSUM | NMISC | 3
JTX | NMISC | 4
JTY | NMISC | 5
JTSUM | NMISC | 6

PLANE230 Assumptions and Restrictions

  • The area of the element must be positive.

  • The element must lie in a global X-Y plane as shown in Figure 230.2: "PLANE230 Output", and the Y-axis must be the axis of symmetry for axisymmetric analyses.

  • An axisymmetric structure should be modeled in the +X quadrants.

  • A face with a removed midside node implies that the potential varies linearly, rather than parabolically, along that face. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information about the use of midside nodes.

  • This element is only compatible with elements having a VOLT degree of freedom and an electric current reaction solution. See Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide) for more information.

PLANE230 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Emag.

  • The Birth and death special feature is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID227 		Up / Home Next
SOLID231


SOLID231

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID231

3-D 20-Node Electric Solid

MP <> <> <> <> <> <> <> EM <> <> PP <>

Product Restrictions

SOLID231 Element Description

SOLID231 is a 3-D 20-node, current-based electric element. The element has one degree of freedom, voltage, at each node. It can tolerate irregular shapes without much loss of accuracy. SOLID231 elements have compatible voltage shapes and are well suited to model curved boundaries.

This element is based on the electric scalar potential formulation and it is applicable to the following low frequency electric field analyses: steady-state electric conduction, time-harmonic quasistatic and transient quasistatic. See SOLID231 - 3-D 20-Node Electric Solid in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 231.1 SOLID231 Geometry

SOLID231 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 231.1: "SOLID231 Geometry". The element is defined by 20 node points and the material properties. The type of units (MKS or user defined) is specified through the EMUNIT command. EMUNIT also determines the value of EPZRO. The EMUNIT defaults are MKS units and EPZRO = 8.854 x 10-12 Farad/meter. A prism-shaped element may be formed by defining duplicate K, L, and S; A and B; and O, P, and W node numbers. A pyramid-shaped element and a tetrahedral-shaped element may also be formed as shown in Figure 231.1: "SOLID231 Geometry".

Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. Properties not input default as described in Linear Material Properties.

Nodal loads are defined with the D (Lab = VOLT) and F (Lab = AMPS) commands. The temperature (for material property evaluation only) body loads may be input based on their value at the element's nodes or as a single element value [BF, BFE]. In general, unspecified nodal values of temperatures default to the uniform value specified with the BFUNIF or TUNIF commands.

A summary of the element input is given in "SOLID231 Input Summary". A general description of element input is given in Element Input.

SOLID231 Input Summary

Nodes

I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z, A, B

Degrees of Freedom

VOLT

Real Constants

None

Material Properties

RSVX, RSVY, RSVZ, PERX, PERY, PERZ, LSST

Surface Loads

None

Body Loads
Temperature --

T(I), T(J), ..., T(Z), T(A), T(B)

Special Features

Birth and death

KEYOPT

None

SOLID231 Output Data

The solution output associated with the element is in two forms:

  • Nodal potentials included in the overall nodal solution

  • Additional element output as shown in Table 231.1: "SOLID231 Element Output Definitions"

The element output directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 231.1 SOLID231 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 2
TEMP | Temperatures T(I), T(J), ..., T(Z), T(A), T(B) | Y | Y
LOC | Output location (X, Y, Z) | 1 | -
EF:X, Y, Z, SUM | Electric field components and vector magnitude | 1 | 1
JC:X, Y, Z, SUM | Conduction current density components and vector magnitude | 1 | 1
JS:X, Y, Z, SUM | Current density components and vector magnitude [3] | 1 | 1
JT:X, Y, Z, SUM | Conduction current density components and magnitude [3] | 1 | 1
JHEAT: | Joule heat generation rate per unit volume [4] [5] [6] | 1 | 1
SENE: | Stored electric energy [6] | 1 | 1
D:X, Y, Z, SUM | Electric flux density components and vector magnitude | 1 | 1

  1. The solution value is output only if calculated (based upon input data). The element solution is at the centroid.

  2. Available only at centroid as a *GET item.

  3. JS represents the sum of element conduction and displacement current densities. JT represents the element conduction current density. The element displacement current density (JD) can be derived from JS and JT as JD = JS-JT. JS can be used as a source current density for a subsequent magnetostatic analysis with companion elements [LDREAD].

  4. For a time-harmonic analysis, calculated Joule heat generation rate per unit volume (JHEAT) includes conduction heating and dielectric heating due to the loss tangent.

  5. Calculated Joule heat generation rate per unit volume (JHEAT) may be made available for a subsequent thermal analysis with companion elements [LDREAD].

  6. For a time-harmonic analysis, Joule losses (JHEAT) and stored energy (SENE) represent time-average values. These values are stored in both the real and imaginary data sets.

Table 231.2: "SOLID231 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 231.2: "SOLID231 Item and Sequence Numbers":

Name

output quantity as defined in Table 231.1: "SOLID231 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 231.2 SOLID231 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
DX | NMISC | 1
DY | NMISC | 2
DZ | NMISC | 3
DSUM | NMISC | 4
JTX | NMISC | 5
JTY | NMISC | 6
JTZ | NMISC | 7
JTSUM | NMISC | 8

SOLID231 Assumptions and Restrictions

  • The element must not have a zero volume or a zero length side. This occurs most frequently when the element is not numbered properly. Elements may be numbered either as shown in Figure 231.1: "SOLID231 Geometry" or in an opposite fashion.

  • An edge with a removed midside node implies that the potential varies linearly, rather than parabolically, along that edge. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information on the use of midside nodes.

  • Degeneration to the form of pyramid should be used with caution. The element sizes, when degenerated, should be small in order to minimize the field gradients. Pyramid elements are best used as filler elements in meshing transition zones.

  • This element is only compatible with elements having a VOLT degree of freedom and an electric current reaction solution. See Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide) for more information.

SOLID231 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Emag.

  • The Birth and death special feature is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PLANE230 		Up / Home Next
SOLID232


SOLID232

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SOLID232

3-D 10-Node Tetrahedral Electric Solid

MP <> <> <> <> <> <> <> EM <> <> PP <>

Product Restrictions

SOLID232 Element Description

SOLID232 is a 3-D, 10-node, current-based electric element. It is well suited to model irregular meshes (such as produced from various CAD/CAM systems). The element has one degree of freedom, voltage, at each node.

This element is based on the electric scalar potential formulation and it is applicable to the following low frequency electric field analyses: steady-state electric conduction, time-harmonic quasistatic and transient quasistatic. See SOLID232 - 3-D 10-Node Tetrahedral Electric Solid in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 232.1 SOLID232 Geometry

SOLID232 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 232.1: "SOLID232 Geometry". The element is defined by 10 node points and the material properties. The type of units (MKS or user defined) is specified through the EMUNIT command. EMUNIT also determines the value of EPZRO. The EMUNIT defaults are MKS units and EPZRO = 8.854 x 10-12 Farad/meter.

Orthotropic material directions correspond to the element coordinate directions. The element coordinate system orientation is as described in Coordinate Systems. Properties not input default as described in Linear Material Properties.

Nodal loads are defined with the D (Lab = VOLT) and F (Lab = AMPS) commands. The temperature (for material property evaluation only) body loads may be input based on their value at the element's nodes or as a single element value [BF, BFE]. In general, unspecified nodal values of temperatures default to the uniform value specified with the BFUNIF or TUNIF commands.

A summary of the element input is given in "SOLID232 Input Summary". A general description of element input is given in Element Input.

SOLID232 Input Summary

Nodes

I, J, K, L, M, N, O, P, Q, R

Degrees of Freedom

VOLT

Real Constants

None

Material Properties

RSVX, RSVY, RSVZ, PERX, PERY, PERZ, LSST

Surface Loads

None

Body Loads
Temperature --

T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P), T(Q), T(R)

Special Features

Birth and death

KEYOPTS

None

SOLID232 Output Data

The solution output associated with the element is in two forms:

  • Nodal potentials included in the overall nodal solution

  • Additional element output as shown in Table 232.1: "SOLID123 Element Output Definitions"

The element output directions are parallel to the element coordinate system. A general description of solution output is given in Solution Output in the Elements Reference. See the Basic Analysis Guide for ways to view results.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 232.1 SOLID123 Element Output Definitions

Name | Definition | O | R
EL | Element Number | Y | Y
NODES | Nodes - I, J, K, L, M, N, O, P | Y | Y
MAT | Material number | Y | Y
VOLU: | Volume | Y | Y
XC, YC, ZC | Location where results are reported | Y | 2
TEMP | Temperatures T(I), T(J), T(K), T(L), T(M), T(N), T(O), T(P), T(Q), T(R) | Y | Y
LOC | Output location (X, Y, Z) | 1 | -
EF:X, Y, Z, SUM | Electric field components and vector magnitude | 1 | 1
JC:X, Y, Z, SUM | Conduction current density components and vector magnitude | 1 | 1
JS:X, Y, Z, SUM | Current density components and vector magnitude [3] | 1 | 1
JT:X, Y, Z, SUM | Conduction current density components and magnitude [3] | 1 | 1
JHEAT: | Joule heat generation rate per unit volume [4] [5] [6] | 1 | 1
SENE: | Stored electric energy [6] | 1 | 1
D:X, Y, Z, SUM | Electric flux density components and vector magnitude | 1 | 1

  1. The solution value is output only if calculated (based upon input data). The element solution is at the centroid.

  2. Available only at centroid as a *GET item.

  3. JS represents the sum of element conduction and displacement current densities. JT represents the element conduction current density. The element displacement current density (JD) can be derived from JS and JT as JD = JS-JT. JS can be used as a source current density for a subsequent magnetostatic analysis with companion elements [LDREAD].

  4. For a time-harmonic analysis, calculated Joule heat generation rate per unit volume (JHEAT) includes conduction heating and dielectric heating due to the loss tangent.

  5. Calculated Joule heat generation rate per unit volume (JHEAT) may be made available for a subsequent thermal analysis with companion elements [LDREAD].

  6. For a time-harmonic analysis, Joule losses (JHEAT) and stored energy (SENE) represent time-average values. These values are stored in both the real and imaginary data sets.

Table 232.2: "SOLID232 Item and Sequence Numbers" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 232.2: "SOLID232 Item and Sequence Numbers":

Name

output quantity as defined in the Table 232.1: "SOLID123 Element Output Definitions"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

Table 232.2 SOLID232 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
DX | NMISC | 1
DY | NMISC | 2
DZ | NMISC | 3
DSUM | NMISC | 4
JTX | NMISC | 5
JTY | NMISC | 6
JTZ | NMISC | 7
JTSUM | NMISC | 8

SOLID232 Assumptions and Restrictions

  • The element must not have a zero volume or a zero length side. This occurs most frequently when the element is not numbered properly. Elements may be numbered either as shown in Figure 232.1: "SOLID232 Geometry" or in an opposite fashion.

  • An edge with a removed midside node implies that the potential varies linearly, rather than parabolically, along that edge. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for more information on the use of midside nodes.

  • This element is only compatible with elements having a VOLT degree of freedom and an electric current reaction solution. See Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide) for more information.

SOLID232 Product Restrictions

When used in the product(s) listed below, the stated product-specific restrictions apply to this element in addition to the general assumptions and restrictions given in the previous section.

ANSYS Emag.

  • The birth and death special feature is not allowed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID231 		Up / Home Next
SURF251


SURF251

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SURF251

2-D Radiosity Surface

MP ME <> PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

SURF251 Element Description

SURF251 is used for radiation surface loads and can be used only with the radiosity solver method. It can be overlaid onto a face of any 2-D thermal solid element that supports temperature DOF, except FLUID141 elements. This element is applicable to 2-D thermal analyses (planar or axisymmetric). Various other loads and surface effects may exist simultaneously (e.g., SURF151 and SURF153 and SURF251 may be applied on the same solid element faces to support convection heat flux and radiation heat flux loads).

This element can be created only by the RSURF command. The underlying solid surface must also have the RDSF flag.

Figure 251.1 SURF251 Geometry

SURF251 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 251.1: "SURF251 Geometry". The element is defined by two nodes, regardless of the underlying solid element.

You would typically generate SURF251 elements via the RSURF command, creating elements which are coincident with the solid element surface. However, if you are using decimation (RDEC), then the surface elements created will not coincide with the underlying solid element topology. See Figure 251.2: "SURF251 Elements Without Coincident Nodes". Symmetrical SURF251 elements (produced when using the symmetry options [RSYMM]) can have no underlying solid elements. The RSURF command always produces extra nodes to define the SURF251 topology as shown in Figure 251.2: "SURF251 Elements Without Coincident Nodes", regardless if RDEC is used.

Figure 251.2 SURF251 Elements Without Coincident Nodes

You cannot apply any loads on this element. During solution, the element extracts the temperature of the solid element and computes the radiation heat flux, which is transferred back as a surface load to the solid element.

The next table summarizes the element input. Element Input gives a general description of element input.

SURF251 Input Summary

Element Name

SURF251

Nodes

I, J

Degrees of Freedom

None

Real Constants

None

Material Properties

None

Surface Loads

None

Body Loads

None

Special Features

None

KEYOPTS

None

SURF251 Output Data

Table 251.1: "SURF251 Item and Sequence Numbers for the ETABLE and ESOL Commands" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 151.3: "SURF151 Item and Sequence Numbers":

Name

output quantity as defined in Table 251.1: "SURF251 Item and Sequence Numbers for the ETABLE and ESOL Commands"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J

sequence number for data at nodes I and J

Table 251.1 SURF251 Item and Sequence Numbers for the ETABLE and ESOL Commands

Name | Item | E
CENTROID X | NMISC | 1
CENTROID Y | NMISC | 2
CENTROID Z | NMISC | 3
AREA | NMISC | 4
TEMP | NMISC | 5
EMISSIVITY | NMISC | 6
Net radiation heat flux | NMISC | 7
Emitted radiation heat flux | NMISC | 8
Reflected radiation heat flux | NMISC | 9
Incident radiant heat flux | NMISC | 10
Enclosure No. | NMISC | 18

The net radiation heat flux is the sum of the directly emitted radiation flux [εσT4] plus the reflected radiation flux [(1–ε)qi] minus the incoming radiation [qi], as shown in Figure 251.3: "Net Radiation Heat Flux".

Figure 251.3 Net Radiation Heat Flux

SURF251 Assumptions and Restrictions

  • The element must not have a zero length.

SURF251 Product Restrictions

None

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SOLID232 		Up / Home Next
SURF252


SURF252

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SURF252

3-D Thermal Radiosity Surface

MP ME <> PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

SURF252 Element Description

SURF252 is used for radiation surface loads and can be used only with the radiosity solver method. It can be overlaid onto a face of any 3-D thermal solid or shell element that supports temperature DOF, except FLUID142 elements. This element is applicable to 3-D thermal analyses. Various other loads and surface effects may exist simultaneously (e.g., SURF152 and SURF154 and SURF252 may be applied on the same solid element faces to support convection heat flux and radiation heat flux loads).

This element can be created only by the RSURF command. The surface must also have the RDSF flag.

Figure 252.1 SURF252 Geometry

SURF252 Input Data

The geometry, node locations, and the coordinate system for this element are shown in Figure 252.1: "SURF252 Geometry". The element is defined by three or four nodes, regardless of the underlying solid element.

You would typically generate SURF252 elements via the RSURF command, creating elements which are coincident with the solid element surface. However, if you are using decimation (RDEC), then the surface elements created will not coincide with the underlying solid element topology. See Figure 252.2: "SURF252 Elements Without Coincident Nodes". Symmetrical SURF252 elements (produced when using the symmetry options [RSYMM]) will have no underlying solid elements. The RSURF command always produces extra nodes to define the SURF252 topology as shown in Figure 252.2: "SURF252 Elements Without Coincident Nodes", regardless if RDEC is used.

Figure 252.2 SURF252 Elements Without Coincident Nodes

You cannot apply any loads on this element. During solution, the element extracts the temperature of the solid element and computes the radiation heat flux, which is transferred back as a surface load to the solid element.

The next table summarizes the element input. Element Input gives a general description of element input.

SURF252 Input Summary

Element Name

SURF252

Nodes

I, J, K, L

Degrees of Freedom

None

Real Constants

None

Material Properties

None

Surface Loads

None

Body Loads

None

Special Features

None

KEYOPTS

None

SURF252 Output Data

Table 252.1: "SURF252 Item and Sequence Numbers for the ETABLE and ESOL Commands" lists output available through the ETABLE command using the Sequence Number method. See The General Postprocessor (POST1) in the Basic Analysis Guide and The Item and Sequence Number Table in this manual for more information. The following notation is used in Table 151.3: "SURF151 Item and Sequence Numbers":

Name

output quantity as defined in Table 252.1: "SURF252 Item and Sequence Numbers for the ETABLE and ESOL Commands"

Item

predetermined Item label for ETABLE command

E

sequence number for single-valued or constant element data

I,J

sequence number for data at nodes I and J

Table 252.1 SURF252 Item and Sequence Numbers for the ETABLE and ESOL Commands

Name | Item | E
CENTROID X | NMISC | 1
CENTROID Y | NMISC | 2
CENTROID Z | NMISC | 3
AREA | NMISC | 4
TEMP | NMISC | 5
EMISSIVITY | NMISC | 6
Net radiation heat flux | NMISC | 7
Emitted radiation heat flux | NMISC | 8
Reflected radiation heat flux | NMISC | 9
Incident radiant heat flux | NMISC | 10
Enclosure No. | NMISC | 18

The net radiation heat flux is the sum of the directly emitted radiation flux [εσT4] plus the reflected radiation flux [(1–ε)qi] minus the incoming radiation [qi], as shown in Figure 252.3: "Net Radiation Heat Flux".

Figure 252.3 Net Radiation Heat Flux

SURF252 Assumptions and Restrictions

  • The element must not have a zero length.

SURF252 Product Restrictions

None

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SURF251 		Up / Home Next
REINF265


REINF265

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

REINF265

3-D Smeared Reinforcing

MP ME ST PR PRN <> <> <> <> <> <> PP <>

Product Restrictions

REINF265 Element Description

Use REINF265 with standard 3-D solid and shell elements (referred to here as the base elements) to provide extra reinforcing to those elements.

The element uses a smeared approach and is suitable for modeling evenly spaced reinforcing fibers that appear in layered form. Each reinforcing layer contains a cluster of fibers with unique orientation, material, and cross-section area, and is simplified as a homogenous membrane having unidirectional stiffness. You can specify multiple layers of reinforcings in one REINF265 element. The nodal locations, degrees of freedom, and connectivity of the REINF265 element are identical to those of the base element.

REINF265 has plasticity, stress stiffening, creep, large deflection, and large strain capabilities. See REINF265 in the Theory Reference for ANSYS and ANSYS Workbench for more details about this element.

Figure 265.1 REINF265 Geometry

3-D 8-Node Solid or Solid Shell

3-D 20-Node Solid

3-D 10-Node Tetrahedral Solid

3-D 4-Node Shell

3-D 8-Node Shell

Figure 265.2 REINF265 Coordinate System

X = Layer x-axis if the local coordinate system reference number (SECDATA,,,ESYS) for the layer is specified
X0 = Layer x-axis if the local coordinate system reference number is not specified

REINF265 Input Data

The geometry and nodal locations for this element are shown in Figure 265.1: "REINF265 Geometry". The REINF265 element and its base element share the same nodes and element connectivity.

You can easily create REINF265 elements from the selected base elements via the EREINF command. Section commands (SECTYPE and SECDATA) define the material ID, cross-section area, spacing, location, and orientation of reinforcing fibers.

The equivalent thickness h of the smeared reinforcing layer is given by

h = A / S

where A is the cross-section area of a single fiber, and S is the distance between two adjacent fibers. You can define up to 250 reinforcing layers within one section.

The coordinate systems for one reinforcing layer are shown in Figure 265.2: "REINF265 Coordinate System". Each reinforcing layer is indicated by its intersection points (II, JJ, KK, LL for linear base elements, and II, JJ, KK, LL, MM, NN, OO, PP for quadratic base elements) with the base elements. Fibers in this layer are always parallel to the first coordinate axis x. The x axis is default to the first parametric direction S1 at the center of the layer. The default axis is defined as

where

{x}II, {x}JJ, {x}KK, {x}LL = global nodal coordinates

You can reorient the default layer coordinate system by projecting a local coordinate system (LOCAL) to the layer plane. One local coordinate system is allowed for each layer. The local coordinate system reference number is given via the SECDATA command.

You can further rotate the layer coordinate system by angle THETA (in degrees) for each layer. The value of THETA is also provided for each layer via SECDATA. See the /PSYMB command documentation for more information about the visualization of fiber orientations.

The REINF265 element does not accept element loading. Apply element loading only to the base element. The temperature of the REINF265 element is identical to the temperature of the base element.

A summary of the element input follows.

REINF265 Input Summary

Nodes

Same as those of the base element, as shown:

Base Element | REINF265 Nodes
3-D 8-Node Solid or Solid Shell | I,J,K,L,M,N,O,P
3-D 20-Node Solid | I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z,A,B
3-D 10-Node Tetrahedral Solid | I,J,K,L,M,N,O,P,Q,R
3-D 4-Node Shell | I,J,K,L
3-D 8-Node Shell | I,J,K,L,M,N,O,P
Degrees of Freedom

Same as those of the base element, as shown:

Base Element | REINF265 DOFs
3-D 8-Node Solid or Solid Shell | UX, UY, UZ
3-D 20-Node Solid | UX, UY, UZ
3-D 10-Node Tetrahedral Solid | UX, UY, UZ
3-D 4-Node Shell | UX, UY, UZ, ROTX, ROTY, ROTZ
3-D 8-Node Shell | UX, UY, UZ, ROTX, ROTY, ROTZ
Real Constants
None
Material Properties
EX, EY, EZ, PRXY, PRYZ, PRXZ (or NUXY, NUYZ, NUXZ),
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ),
DENS, GXY, GYZ, GXZ, DAMP
Surface Loads
None
Body Loads
Temperatures --

Same as those of the base element

Special Features
Plasticity
Viscoelasticity
Viscoplasticity
Creep
Stress stiffening
Large deflection
Large strain
Initial stress import
Birth and death
Supports the following types of data tables associated with the TB command: BISO, MISO, NLISO, BKIN, MKIN, KINH, CHABOCHE, HILL, RATE, CREEP, PRONY, SHIFT, PLASTIC, and USER.

See the Theory Reference for ANSYS and ANSYS Workbench for details about the material models.

KEYOPT(10)

User-defined initial stress:

0 --

No user subroutine to provide initial stress (default)

1 --

Read initial stress data from user subroutine USTRESS

See the Guide to ANSYS User Programmable Features for user-written subroutines

REINF265 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 265.1: "REINF265 Element Output Definitions".

The axial stress component is illustrated in Figure 265.3: "REINF265 Stress Output".

Figure 265.3 REINF265 Stress Output

X = Layer x-axis if the local coordinate system reference number (SECDATA,,,,ESYS) for the layer is specified
X0 = Layer x-axis if the local coordinate system reference number is not specified

Unlike layered solid or shell elements (such as SHELL181), the REINF265 element always outputs the element solution for all reinforcing layers. You can select solution items for a specific reinforcing layer via the LAYER command for listing and visualization. See the Basic Analysis Guide for ways to review results.

To inspect REINF265 element results, select only REINF265 element results or adjust translucency level of the base elements before executing any plotting command. REINF265 display options are also available directly via the ANSYS GUI (Main Menu> Preprocessor> Sections> Reinforcing> Display Options).

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 265.1 REINF265 Element Output Definitions

Name | Definition | O | R
EL | Element number and name | - | Y
NODES | Nodes (as shown in "REINF265 Input Summary") | - | Y
MAT | Material number | - | Y
AREA | Averaged cross-section area of reinforcing fibers | - | Y
SPACING | Averaged distance between two adjacent fibers | - | Y
VOLU: | Volume | - | Y
XC, YC, ZC | Center location | - | 3
TEMP | T1, T2, T3, T4 for reinforcing layer 1; T5, T6, T7, T8 for reinforcing layer 2; ending with temperatures for the last reinforcing layer NL (4*NL maximum) | - | Y
S:X | Axial stresses | 2 | Y
EPEL:X | Axial elastic strains | 2 | Y
EPTH:X | Axial thermal strains | 2 | Y
EPPL:X | Axial plastic strains | 2 | 1
EPCR:X | Axial creep strains | 2 | 1
EPTO:X | Total axial mechanical strains (EPEL + EPPL + EPCR) | Y | -
NL:EPEQ | Accumulated equivalent plastic strain | - | 1
NL:CREQ | Accumulated equivalent creep strain | - | 1
NL:SRAT | Plastic yielding (1 = actively yielding, 0 = not yielding) | - | 1
NL:PLWK | Plastic work | - | 1
N11 | Averaged axial force | - | Y
LOCI:X, Y, Z | Integration point locations | - | 4

  1. Nonlinear solution output if the element has a nonlinear material.

  2. Stresses, total strains, plastic strains, elastic strains, creep strains, and thermal strains in the element coordinate system are available for output.

  3. Available only at centroid as a *GET item.

  4. Available only if OUTRES,LOCI is used.

Table 265.2: "REINF265 Item and Sequence Numbers" lists output available through ETABLE using the Sequence Number method. See Creating an Element Table in the Basic Analysis Guide and The Item and Sequence Number Table in this document for more information. The following notation is used in Table 265.2: "REINF265 Item and Sequence Numbers":

Name

output quantity as defined in Table 265.1: "REINF265 Element Output Definitions"

Item

predetermined Item label for ETABLE

E

sequence number for single-valued or constant element data

Table 265.2 REINF265 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E
N11 | SMISC | (i - 1) * 3 + 1
AREA | SMISC | (i - 1) * 3 + 2
SPACING | SMISC | (i - 1) * 3 + 3

The i value (where i = 1, 2, 3, ..., NL) represents the reinforcing layer number of the element. NL is the maximum reinforcing layer number (1 [image] NL [image] 250).

REINF265 Assumptions and Restrictions

  • Zero-volume elements are invalid.

  • This element can be used only with base element types SHELL181, SHELL281, SOLID185, SOLID186, SOLID187, and SOLSH190.

  • A valid base element must be present for each REINF265 element.

  • The reinforcing element is firmly attached to its base element. No relative movement between the reinforcing element and the base is allowed.

  • Through-thickness reinforcing is not permitted in shells and layered solid elements.

  • Stress stiffening is always included in geometrically nonlinear analyses (NLGEOM,ON). ANSYS ignores stress-stiffening effects in geometrically linear analyses (NLGEOM,OFF) when applied (via the SSTIF,ON command). You can activate prestress effects via the PSTRES command.

  • The element supports a maximum of 250 reinforcing layers.

REINF265 Product Restrictions

None.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SURF252 		Up / Home Next
SHELL281


SHELL281

Release 11.0 Documentation for ANSYS

Elements Reference | Part I, Element Library |

SHELL281

8-Node Finite Strain Shell

MP ME ST PR PRN DS DSS <> <> <> <> PP <>

Product Restrictions

SHELL281 Element Description

SHELL281 is suitable for analyzing thin to moderately-thick shell structures. It is an 8-node element with six degrees of freedom at each node: translations in the x, y, and z axes, and rotations about the x, y, and z-axes. (When using the membrane option, the element has translational degrees of freedom only.)

For better accuracy, ANSYS recommends quadrilateral shaped elements. Use degenerate triangular shapes sparingly.

SHELL281 is well-suited for linear, large rotation, and/or large strain nonlinear applications. Change in shell thickness is accounted for in nonlinear analyses. The element accounts for follower (load stiffness) effects of distributed pressures.

SHELL281 may be used for layered applications for modeling laminated composite shells or sandwich construction. The accuracy in modeling composite shells is governed by the first order shear deformation theory (usually referred to as Mindlin-Reissner shell theory).

SHELL281 can be used instead of SHELL91, SHELL93, and SHELL99 for most problems.

Figure 281.1 SHELL281 Geometry

xo = Element x-axis if ESYS is not provided.

x = Element x-axis if ESYS is provided.

SHELL281 Input Data

The geometry, node locations, and the element coordinate system for this element are shown in Figure 281.1: "SHELL281 Geometry". The element is defined by eight nodes: I, J, K, L, M,N, O and P. Midside nodes may not be removed from this element. See Quadratic Elements (Midside Nodes) in the Modeling and Meshing Guide for additional information about the use of midside nodes. A triangular-shaped element may be formed by defining the same node number for nodes K, L and O. The element formulation is based on logarithmic strain and true stress measures. The element kinematics allow for finite membrane strains (stretching). However, the curvature changes within a time increment are assumed to be small. To define the thickness and other information, you can use either real constants or section definition (and a section can be partially defined using data from a FiberSIM .xml file). The option of using real constants is available only for single-layer shells. If a SHELL281 element references both real constant set data and a valid shell section type, real constant data is ignored.

SHELL281 also accepts the preintegrated shell section type (SECTYPE,,GENS). When the element is associated with the GENS section type, thickness or material definitions are not required. For more information, see Using Preintegrated General Shell Sections.

Thickness Definition Using Real Constants

The thickness of the shell may be defined at each of its nodes. The thickness is assumed to vary smoothly over the area of the element. If the element has a constant thickness, only TK(I) needs to be input. If the thickness is not constant, all four thicknesses must be input.

Layered Section Definition Using Section Commands

Alternatively, the shell thickness and more general properties may be specified using section commands. SHELL281 may be associated with a shell section (SECTYPE). Shell section is a more general method to define shell construction than the real constants option. Shell section commands allow for layered composite shell definition, and provide the input options for specifying the thickness, material, orientation and number of integration points through the thickness of the layers. Note that a single layer shell is not precluded using shell section definition, but provides more flexible options such as the use of the ANSYS function builder to define thickness as a function of global coordinates and the number of integration points used.

You may designate the number of integration points (1, 3, 5, 7, or 9) located through the thickness of each layer when using section input. When only one, the point is always located midway between the top and bottom surfaces. If three or more points, two points are located on the top and bottom surfaces respectively and the remaining points are distributed at equal distances between the two points. An exception occurs when designating five points, where the quarter point locations are moved five percent toward their nearest layer surface to agree with the locations selected with real constant input. The default number of integration points for each layer is 3. However, when a single layer is defined and plasticity is present, the number of integration points will be changed to a minimum of 5 during solution. Note that when Real Constants are used, ANSYS uses 5 points of integration and Sections will produce a comparable solution.

Other Input

The default orientation for this element has the S1 (shell surface coordinate) axis aligned with the first parametric direction of the element at the center of the element, which connects the midsides of edges LI and JK. In the most general case, the axis can be defined as:

where:

{x}I, {x}J, {x}K, {x}L = global nodal coordinates

For undistorted elements, the default orientation is the same as described in Coordinate Systems (the first surface direction is aligned with the IJ side).

The first surface direction S1 can be rotated by angle THETA (in degrees) as a real constant for the element or for using the SECDATA command. For an element, you can specify a single value of orientation in the plane of the element. Layer-wise orientation is possible when section definition is used.

You can also define element orientation via the ESYS command. For more information, see Coordinate Systems.

The element supports degeneration into a triangular form; however, use of the triangular form is not recommended, except when used as mesh filler elements or with the membrane option (KEYOPT(1) = 1). The triangle form is generally more robust when using the membrane option with large deflections.

To evaluate stresses and strains on exterior surfaces, use KEYOPT(1) = 2. When used as overlaid elements on the faces of 3-D elements, this option is similar to the surface stress option (described in the Theory Reference for ANSYS and ANSYS Workbench), but is more general and applicable to nonlinear analysis. The element used with this option does not provide any stiffness, mass, or load contributions. This option should only be used in single-layered shells. Irrespective of other settings, SHELL181 provides stress and strain output at the four in-plane integration points of the layer.

SHELL281 uses a penalty method to relate the independent rotational degrees of freedom about the normal (to the shell surface) with the in-plane components of displacements. The ANSYS program chooses an appropriate penalty stiffness by default; however, you can change the default value if necessary via the tenth real constant (drill stiffness factor). The value of this real constant is the scaling parameter for the default penalty stiffness. Using a higher value could contribute to a larger nonphysical energy content in the model; therefore, use caution when changing the default. When using the section definition with SHELL281, drill stiffness factor may be specified via the SECCONTROLS command.

Element loads are described in Node and Element Loads. Pressures may be input as surface loads on the element faces as shown by the circled numbers in Figure 281.1: "SHELL281 Geometry". Positive pressures act into the element. Edge pressures are input as force per unit length.

Temperatures may be input as element body loads at the corners of the outside faces of the element and at the corners of the interfaces between layers (1-1024 maximum). The first corner temperature T1 defaults to TUNIF. If all other temperatures are unspecified, they default to T1. If KEYOPT(1) = 0 and if exactly NL+1 temperatures are input, one temperature is used for the four bottom corners of each layer, and the last temperature is used for the four top corner temperatures of the top layer. If KEYOPT(1) = 1 and if exactly NL temperatures are input, one temperature is used for the four corners of each layer. That is, T1 is used for T1, T2, T3, and T4; T2 (as input) is used for T5, T6, T7, and T8, etc. For any other input pattern, unspecified temperatures default to TUNIF.

SHELL281 includes the effects of transverse shear deformation. The transverse shear stiffness of the element is a 2x2 matrix as shown below:

In the above matrix, R7, R8, and R9 are real constants 7, 8, and 9. (See Table 281.1: "SHELL281 Real Constants".) You can override the default transverse shear stiffness values by assigning different values to those real constants. This option is effective for analyzing sandwich shells. Alternatively, the SECCONTROLS command you to define transverse shear stiffness values.

For a single-layer shell with isotropic material, default transverse shear stiffnesses are:

In the above matrix, k = 5/6, G = shear modulus, and h = thickness of the shell.

SHELL281 can be associated with linear elastic, elastoplastic, creep, or hyperelastic material properties. Only isotropic, anisotropic, and orthotropic linear elastic properties can be input for elasticity. The von Mises isotropic hardening plasticity models can be invoked with BISO (bilinear isotropic hardening), MISO (multilinear isotropic hardening), and NLISO (nonlinear isotropic hardening) options. The kinematic hardening plasticity models can be invoked with BKIN (bilinear kinematic hardening), MKIN and KINH (multilinear kinematic hardening), and CHABOCHE (nonlinear kinematic hardening). Invoking plasticity assumes that the elastic properties are isotropic (that is, if orthotropic elasticity is used with plasticity, ANSYS assumes the isotropic elastic modulus = EX and Poisson's ratio = NUXY).

Hyperelastic material properties (2, 3, 5, or 9 parameter Mooney-Rivlin material model, Neo-Hookean model, Polynomial form model, Arruda-Boyce model, and user-defined model) can be used with this element. Poisson's ratio is used to specify the compressibility of the material. If less than 0, Poisson's ratio is set to 0; if greater than or equal to 0.5, Poisson's ratio is set to 0.5 (fully incompressible).

Both isotropic and orthotropic thermal expansion coefficients can be input using MP,ALPX. When used with hyperelasticity, isotropic expansion is assumed.

Issue the BETAD command to specify the global value of damping. If MP,DAMP is defined for the material number of the element (assigned with the MAT command), it is used for the element instead of the value from the BETAD command. Similarly, use the TREF command to specify the global value of reference temperature. If MP,REFT is defined for the material number of the element, it is used for the element instead of the value from the TREF command. But if MP,REFT is defined for the material number of the layer, it is used instead of either the global or element value.

KEYOPT(8) = 2 is used to store midsurface results in the results file for single or multi-layer shell elements. If you use SHELL,MID, you will see these calculated values, rather than the average of the TOP and BOTTOM results. Use this option to access these correct midsurface results (membrane results) for those analyses where averaging TOP and BOTTOM results is inappropriate; examples include midsurface stresses and strains with nonlinear material behavior, and midsurface results after mode combinations that involve squaring operations such as in spectrum analyses.

KEYOPT(9) = 1 is used to read initial thickness data from a user subroutine.

The effects of pressure load stiffness are automatically included for this element. If an unsymmetric matrix is needed for pressure load stiffness effects, use NROPT,UNSYM.

You can apply an initial stress state to this element via the INISTATE command. For more information, see the INISTATE command, and also Initial Stress Loading in the Basic Analysis Guide. Alternately, you can set KEYOPT(10) = 1 to read initial stresses from the user subroutine USTRESS. For details on user subroutines, see the Guide to ANSYS User Programmable Features.

A summary of the element input is given in "SHELL281 Input Summary". A general description of element input is given in Element Input.

SHELL281 Input Summary

Nodes

I, J, K, L, M, N, O, P

Degrees of Freedom

UX, UY, UZ, ROTX, ROTY, ROTZ if KEYOPT(1) = 0

UX, UY, UZ if KEYOPT(1) = 1

Real Constants
TK(I), TK(J), TK(K), TK(L), THETA, ADMSUA
E11, E22, E12, DRILL
See Table 281.1: "SHELL281 Real Constants" for more information.
If a SHELL281 element references a valid shell section type, any real constant data specified is ignored.
Material Properties
EX, EY, EZ, (PRXY, PRYZ, PRXZ, or NUXY, NUYZ, NUXZ),
ALPX, ALPY, ALPZ (or CTEX, CTEY, CTEZ or THSX, THSY, THSZ),
DENS, GXY, GYZ, GXZ

Specify DAMP only once for the element (use MAT command to assign material property set). REFT may be provided once for the element, or may be assigned on a per layer basis. See the discussion in "SHELL281 Input Summary" for more details.

Surface Loads
Pressures --
face 1 (I-J-K-L) (bottom, in +N direction),
face 2 (I-J-K-L) (top, in -N direction),
face 3 (J-I), face 4 (K-J), face 5 (L-K), face 6 (I-L)
Body Loads
Temperatures --

For KEYOPT(1) = 0 (Bending and membrane stiffness):

T1, T2, T3, T4 (at bottom of layer 1), T5, T6, T7, T8 (between layers 1-2); similarly for between next layers, ending with temperatures at top of layer NL(4*(NL+1) maximum). Hence, for one-layer elements, eight temperatures are used.

For KEYOPT(1) = 1 (Membrane stiffness only):

T1, T2, T3, T4 for layer 1, T5, T6, T7, T8 for layer 2, similarly for all layers (4*NL maximum). Hence, for one-layer elements, four temperatures are used.

Special Features
Plasticity (PLASTIC, BISO, MISO, NLISO, BKIN, MKIN, KINH, CHABOCHE, HILL)
Hyperelasticity (AHYPER, HYPER)
Viscoelasticity (PRONY, SHIFT)
Viscoplasticity/Creep (CREEP, RATE)
Elasticity (ANEL)
Other material (USER, SDAMP)
Stress stiffening
Large deflection
Large strain
Initial stress import
Nonlinear stabilization
Automatic selection of element technology
Birth and death
Section definition for layered shells and preintegrated shell sections for input of homogenous section stiffnesses

Note

Items in parentheses refer to data tables associated with the TB command. See the Theory Reference for ANSYS and ANSYS Workbench for details about the material models.

Note

See Automatic Selection of Element Technologies and ETCONTROL for more information on selection of element technologies.

KEYOPT(1)

Element stiffness:

0 --

Bending and membrane stiffness (default)

1 --

Membrane stiffness only

2 --

Stress/strain evaluation only

KEYOPT(8)

Specify layer data storage:

0 --

Store data for bottom of bottom layer and top of top layer (multi-layer elements) (default)

1 --

Store data for TOP and BOTTOM, for all layers (multi-layer elements)

Note

The volume of data may be considerable.

2 --

Store data for TOP, BOTTOM, and MID for all layers; applies to single- and multi-layer elements

KEYOPT(9)

User thickness option:

0 --

No user subroutine to provide initial thickness (default)

1 --

Read initial thickness data from user subroutine UTHICK

Note

See the Guide to ANSYS User Programmable Features for information about user-written subroutines

KEYOPT(10)

User-defined initial stress:

0 --

No user subroutine to provide initial stress (default)

1 --

Read initial stress data from user subroutine USTRESS

Note

See the Guide to ANSYS User Programmable Features for information about user-written subroutines

Table 281.1 SHELL281 Real Constants

No. | Name | Description
1 | TK(I) | Thickness at node I
2 | TK(J) | Thickness at node J
3 | TK(K) | Thickness at node K
4 | TK(L) | Thickness at node L
5 | THETA | Angle of first surface direction, in degrees
6 | ADMSUA | Added mass per unit area
7 | E11 | Transverse shear stiffness[2]
8 | E22 | Transverse shear stiffness[2]
9 | E12 | Transverse shear stiffness[2]
10 | Drill Stiffness Factor | In-plane rotation stiffness[1,2]
11 | Membrane HG Factor | Membrane hourglass control factor[1,2]
12 | Bending HG Factor | Bending hourglass control factor[1,2]

  1. Valid values for these real constants are any positive number. However, we recommend using values between 1 and 10. If you specify 0.0, the value defaults to 1.0.

  2. ANSYS provides default values.

*See SECCONTROLS command if section definition is used.

SHELL281 Output Data

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output as shown in Table 281.2: "SHELL281 Element Output Definitions"

Several items are illustrated in Figure 281.2: "SHELL281 Stress Output".

KEYOPT(8) controls the amount of data output to the results file for processing with the LAYER command. Interlaminar shear stress is available as SYZ and SXZ evaluated at the layer interfaces. KEYOPT(8) must be set to either 1 or 2 to output these stresses in the POST1 postprocessor. A general description of solution output is given in Solution Output. See the Basic Analysis Guide for ways to review results.

The element stress resultants (N11, M11, Q13, etc.) are parallel to the element coordinate system, as are the membrane strains and curvatures of the element. Such generalized strains are available through the SMISC option at the element centroid only. The transverse shear forces Q13, Q23 are available only in resultant form: that is, use SMISC,7 (or 8). Likewise, the transverse shear strains, γ13 and γ23, are constant through the thickness and are only available as SMISC items (SMISC,15 and SMISC,16, respectively).

SHELL281 does not support extensive basic element printout. POST1 provides more comprehensive output processing tools; therefore, ANSYS suggests issuing the OUTRES command to ensure that the required results are stored in the database.

Figure 281.2 SHELL281 Stress Output

xo = Element x-axis if ESYS is not provided.
x = Element x-axis if ESYS is provided.

The Element Output Definitions table uses the following notation:

A colon (:) in the Name column indicates the item can be accessed by the Component Name method [ETABLE, ESOL]. The O column indicates the availability of the items in the file Jobname.OUT. The R column indicates the availability of the items in the results file.

In either the O or R columns, Y indicates that the item is always available, a number refers to a table footnote that describes when the item is conditionally available, and a - indicates that the item is not available.

Table 281.2 SHELL281 Element Output Definitions

Name | Definition | O | R
EL | Element number and name | - | Y
NODES | Nodes - I, J, K, L | - | Y
MAT | Material number | - | Y
THICK | Average thickness | - | Y
VOLU: | Volume | - | Y
XC, YC, ZC | Location where results are reported | - | 4
PRES | Pressures P1 at nodes I, J, K, L; P2 at I, J, K, L; P3 at J,I; P4 at K,J; P5 at L,K; P6 at I,L | - | Y
TEMP | T1, T2, T3, T4 at bottom of layer 1, T5, T6, T7, T8 between layers 1-2, similarly for between next layers, ending with temperatures at top of layer NL(4*(NL+1) maximum) | - | Y
LOC | TOP, MID, BOT, or integration point location | - | 1
S:X, Y, Z, XY, YZ, XZ | Stresses | 3 | 1
S:INT | Stress intensity | - | 1
S:EQV | Equivalent stress | - | 1
EPEL:X, Y, Z, XY | Elastic strains | 3 | 1
EPEL:EQV | Equivalent elastic strains [7] | 3 | 1
EPTH:X, Y, Z, XY | Thermal strains | 3 | 1
EPTH:EQV | Equivalent thermal strains [7] | 3 | 1
EPPL:X, Y, Z, XY | Average plastic strains | 3 | 2
EPPL:EQV | Equivalent plastic strains [7] | 3 | 2
EPCR:X, Y, Z, XY | Average creep strains | 3 | 2
EPCR:EQV | Equivalent creep strains [7] | 3 | 2
EPTO:X, Y, Z, XY | Total mechanical strains (EPEL + EPPL + EPCR) | Y | -
EPTO:EQV | Total equivalent mechanical strains (EPEL + EPPL + EPCR) | Y | -
NL:EPEQ | Accumulated equivalent plastic strain | - | 2
NL:CREQ | Accumulated equivalent creep strain | - | 2
NL:SRAT | Plastic yielding (1 = actively yielding, 0 = not yielding) | - | 2
NL:PLWK | Plastic work | - | 2
NL:HPRES | Hydrostatic pressure | - | 2
SEND:ELASTIC, PLASTIC, CREEP | Strain energy densities | - | 2
N11, N22, N12 | In-plane forces (per unit length) | - | Y
M11, M22, M12 | Out-of-plane moments (per unit length) | - | 8
Q13, Q23 | Transverse shear forces (per unit length) | - | 8
ε11, ε22, ε12 | Membrane strains | - | Y
k11, k22, k12 | Curvatures | - | 8
γ13, γ23 | Transverse shear strains | - | 8
LOCI:X, Y, Z | Integration point locations | - | 5
SVAR:1, 2, ... , N | State variables | - | 6
ILSXZ | SXZ interlaminar shear stress | - | Y
ILSYZ | SYZ interlaminar shear stress | - | Y
ILSUM | Interlaminar shear stress vector sum | - | Y
ILANG | Angle of interlaminar shear stress vector (measured from the element x-axis toward the element y-axis in degrees) | - | Y

  1. The following stress solution repeats for top, middle, and bottom surfaces.

  2. Nonlinear solution output for top, middle, and bottom surfaces, if the element has a nonlinear material.

  3. Stresses, total strains, plastic strains, elastic strains, creep strains, and thermal strains in the element coordinate system are available for output (at all five section points through thickness). If layers are in use, the results are in the layer coordinate system.

  4. Available only at centroid as a *GET item.

  5. Available only if OUTRES,LOCI is used.

  6. Available only if the USERMAT subroutine and TB,STATE are used.

  7. The equivalent strains use an effective Poisson's ratio: for elastic and thermal this value is set by the user (MP,PRXY); for plastic and creep this value is set at 0.5.

  8. Not available if the membrane element option is used (KEYOPT(1) = 1).

Table 281.3: "SHELL281 Item and Sequence Numbers" lists output available through ETABLE using the Sequence Number method. See Creating an Element Table in the Basic Analysis Guide and The Item and Sequence Number Table in this document for more information. The following notation is used in Table 281.3: "SHELL281 Item and Sequence Numbers":

Name

output quantity as defined in the Table 181.2: "SHELL181 Element Output Definitions"

Item

predetermined Item label for ETABLE

E

sequence number for single-valued or constant element data

I,J,K,L

sequence number for data at nodes I, J, K, L

Table 281.3 SHELL281 Item and Sequence Numbers

Output Quantity Name | ETABLE and ESOL Command Input
 | Item | E | I | J | K | L
N11 | SMISC | 1 | - | - | - | -
N22 | SMISC | 2 | - | - | - | -
N12 | SMISC | 3 | - | - | - | -
M11 | SMISC | 4 | - | - | - | -
M22 | SMISC | 5 | - | - | - | -
M12 | SMISC | 6 | - | - | - | -
Q13 | SMISC | 7 | - | - | - | -
Q23 | SMISC | 8 | - | - | - | -
ε11 | SMISC | 9 | - | - | - | -
ε22 | SMISC | 10 | - | - | - | -
ε12 | SMISC | 11 | - | - | - | -
k11 | SMISC | 12 | - | - | - | -
k22 | SMISC | 13 | - | - | - | -
k12 | SMISC | 14 | - | - | - | -
γ13 | SMISC | 15 | - | - | - | -
γ23 | SMISC | 16 | - | - | - | -
THICK | SMISC | 17 | - | - | - | -
P1 | SMISC | - | 18 | 19 | 20 | 21
P2 | SMISC | - | 22 | 23 | 24 | 25
P3 | SMISC | - | 27 | 26 | - | -
P4 | SMISC | - | - | 29 | 28 | -
P5 | SMISC | - | - | - | 31 | 30
P6 | SMISC | - | 32 | - | - | 33
Output Quantity Name | ETABLE and ESOL Command Input
 | Item | Bottom of Layer i | Top of Layer NL
ILSXZ | SMISC | 8 * (i - 1) + 51 | 8 * (NL - 1) + 52
ILSYZ | SMISC | 8 * (i - 1) + 53 | 8 * (NL - 1) + 54
ILSUM | SMISC | 8 * (i - 1) + 55 | 8 * (NL - 1) + 56
ILANG | SMISC | 8 * (i - 1) + 57 | 8 * (NL - 1) + 58

SHELL281 Assumptions and Restrictions

  • Zero area elements are not allowed. (This condition occurs most often whenever the elements are not numbered properly.)

  • Zero thickness elements or elements tapering down to a zero thickness at any corner are not allowed (but zero thickness layers are allowed).

  • In a nonlinear analysis, the solution is terminated if the thickness at any integration point that was defined with a nonzero thickness vanishes (within a small numerical tolerance).

  • ANSYS, Inc.recommends against using SHELL281 in triangular form.

  • This element works best with a full Newton-Raphson solution scheme (NROPT,FULL,ON). For nonlinear problems dominated by large rotations and loading, ANSYS recommends against using the PRED,ON command.

  • No slippage is assumed between the element layers. Shear deflections are included in the element; however, normals to the center plane before deformation are assumed to remain straight after deformation.

  • If multiple load steps are used, the number of layers may not change between load steps.

  • The section definition permits use of hyperelastic material models and elastoplastic material models in laminate definition. However, the accuracy of the solution is primarily governed by fundamental assumptions of shell theory. The applicability of shell theory in such cases is best understood by using a comparable solid model.

  • Transverse shear stiffness of the shell section is estimated by a energy equivalence procedure (of the generalized section forces & strains vs. the material point stresses and strains). The accuracy of this calculation may be adversely affected if the ratio of material stiffnesses (Young's moduli) between adjacent layers is very high.

  • The calculation of interlaminar shear stresses is based on simplifying assumptions of unidirectional, uncoupled bending in each direction. If accurate edge interlaminar shear stresses are required, shell-to-solid submodeling should be used.

  • A maximum of 250 layers is supported.

  • The layer orientation angle has no effect if the material of the layer is hyperelastic.

  • If a shell section has only one layer and the number of section integration points is equal to one, or if KEYOPT(1) = 1, then the shell does not have any bending stiffness. In such a case, solver difficulties and convergence problems may occur.

  • Stress stiffening is always included in geometrically nonlinear analyses (NLGEOM,ON). It is ignored in geometrically linear analyses (NLGEOM,OFF) when specified via SSTIF,ON. Prestress effects can be activated via a PSTRES command.

  • The through-thickness stress, SZ, is always zero.

  • When the element is associated with preintegrated shell sections (SECTYPE,,GENS), additional restrictions apply. For more information, see Considerations for Employing Preintegrated Shell Sections.

  • This element does not support the RIMPORT command.

SHELL281 Product Restrictions

ANSYS Professional.

  • The only special features allowed are stress stiffening and large deflections.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
REINF265 		Up / Home Next
Bibliography


Bibliography

[1.] Nuclear Systems Material Handbook. Vol. 1: Design Data, Part 1: Structural Materials, Group 1: High Alloy Steels . U. S. Department of Energy, Office of Scientific and Technical Information. Oak
Ridge, TN.

[2.] Nuclear Systems Material Handbook. Vol. 1: Design Data, Part 1: Structural Materials, Group 2: Low Alloy Steels, Section 2-2 1/4 CR - 1 Mo. . U. S. Department of Energy, Office of Scientific and Technical Information. Oak Ridge, TN.

[3.] F. Barlat and J. Lian. "Plastic Behavior and Stretchability of Sheet Metals. Part I: A Yield Function for Orthotropic Sheets Under Plane Stress Conditions". Int. Journal of Plasticity, 5. pg. 51-66.

[4.] F. Barlat, D. J. Lege, and J. C. Brem. "A Six-Component Yield Function for Anistropic Materials". Int. Journal of Plasticity, 7. pg. 693-712.

[5.] R. Hill. "A Theory of the Yielding and Plastic Flow of Anisotropic Metals". Proceedings of the Royal Society of London, Series A., Vol. 193. 1948.

[6.] F. K. Chang and K. Y. Chang. "A Progressive Damage Model for Laminated Composites Containing Stress Concentration”. Journal of Composite Materials, 21. pg. 834-855. 1987a.

[7.] R. G. Dean. Evaluation and Development of Water Wave Theories for Engineering Application. Volume 2, Tabulation of Dimensionless Stream Function Theory Variables, Special Report No. 1, . U. S. Army Corps of Engineers, Coastal Engineering Research Center. Fort Belvoir, VA. November 1974.

[8.] Michael E. McCormick. Ocean Engineering Wave Mechanices. Wiley & Sons. New
York. 1973.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SHELL281 		Up / Home Next
Operations Guide


Operations Guide

Release 11.0 Documentation for ANSYS

Table of Contents

1. Introducing ANSYS
2. The ANSYS Environment
2.1. Entering a Processor
2.2. Exiting from a Processor or ANSYS
2.2.1. Stopping the Input of a File
2.3. The ANSYS Database
2.3.1. Defining or Deleting Database Items
2.3.2. Saving the Database
2.3.3. Restoring Database Contents
2.3.4. Using the Session Editor to Modify the Database
2.3.5. Clearing the Database
2.4. ANSYS Program Files
2.4.1. ANSYS File Types
2.4.2. ANSYS File Sizes
2.4.3. The Jobname.LOG File
2.5. Communicating With the ANSYS Program
2.5.1. Communicating Via the Graphical User Interface (GUI)
2.5.2. Communicating Via Commands
2.5.3. Command Defaults
2.5.4. Abbreviations
2.5.5. Command Macro Files
3. Running the ANSYS Program
3.1. Starting an ANSYS Session from the Command Level
3.2. The ANSYS Launcher
3.2.1. Starting an ANSYS Session from the Start Menu/Launcher
3.2.2. Launcher Menu Options
3.3. Interactive Mode
3.3.1. Executing the ANSYS or DISPLAY Programs from Windows Explorer
3.4. Batch Mode
3.4.1. Starting a Batch Job from the Command Line
3.4.2. Launching LSF/Batch from the ANSYS Input Window
3.4.3. Configuring LSF/Batch on Your System
3.5. Choosing an ANSYS Product
3.5.1. Changing the Default Product for a UNIX System
3.5.2. Changing the Default Product for Start-up on Windows
3.6. Setting Preferences with the start110.ans File
3.6.1. The start110.ans File
3.7. Estimating ANSYS Run Time
3.7.1. Creating a SETSPEED Macro File
3.7.2. Using a SETSPEED Macro to Estimate Run Time
4. Using the ANSYS GUI
4.1. GUI Controls
4.1.1. A Dialog Box and Its Components
4.2. Activating the GUI
4.3. Layout of the GUI
4.3.1. The Utility Menu
4.3.2. The Standard Toolbar
4.3.3. Command Input Options
4.3.4. The ANSYS Toolbar
4.3.5. The Main Menu
4.3.6. The Graphics Window
4.3.7. The Output Window
4.3.8. Creating, Modifying and Positioning Toolbars
5. Graphical Picking
5.1. Locational and Retrieval Picking
5.2. Query Picking
5.2.1. The Model Query Picker
5.2.2. The Results Query Picker
6. Customizing ANSYS and the GUI
6.1. The Configuration File
6.2. Splitting Files Across File Partitions
6.3. Customizing the GUI
6.3.1. Changing the GUI Layout
6.3.2. Changing Colors and Fonts
6.3.3. Changing the GUI Components Shown at Start-Up
6.3.4. Changing the Mouse and Keyboard Focus
6.3.5. Changing the Menu Hierarchy and Dialog Boxes Using UIDL
6.3.6. Creating Dialog Boxes Using Tcl/Tk
6.4. ANSYS Neutral File Format
6.4.1. Neutral File Specification
6.4.2. AUX15 Commands to Read Geometry Into the ANSYS database
6.4.3. A Sample ANSYS Neutral File Input Listing
7. Using the Online Help and Manuals
7.1. Using Help Features
7.1.1. Using Hypertext Links
7.1.2. Locating Topics Via Word Search
7.1.3. Revisiting Previously-Viewed Topics
7.1.4. Printing the Window Contents
7.1.5. Using 'What's This' Help
7.2. Customizing ANSYS Help
7.2.1. Adding Help Calls to GUI Objects
7.2.2. Creating HTML Files
7.2.3. Updating the Look-Up Table
8. Using the ANSYS Session and Command Logs
8.1. Using the Session Log File
8.2. Using the Database Command Log
8.3. Using a Command Log File as Input

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Bibliography 		Up / Home Next
Chapter 1. Introducing ANSYS


Chapter 1. Introducing ANSYS

ANSYS finite element analysis software enables engineers to perform the following tasks:

  • Build computer models or transfer CAD models of structures, products, components, or systems.

  • Apply operating loads or other design performance conditions.

  • Study physical responses, such as stress levels, temperature distributions, or electromagnetic fields.

  • Optimize a design early in the development process to reduce production costs.

  • Do prototype testing in environments where it otherwise would be undesirable or impossible (for example, biomedical applications).

The ANSYS program has a comprehensive graphical user interface (GUI) that gives users easy, interactive access to program functions, commands, documentation, and reference material. An intuitive menu system helps users navigate through the ANSYS program. Users can input data using a mouse, a keyboard, or a combination of both.

This manual provides basic instructions for operating the ANSYS program: starting and stopping the product, using and customizing its GUI, using the online help system, etc. For other information about using ANSYS, see the following documents:

  • For general instructions on performing finite element analyses for any engineering discipline, see the Basic Analysis Guide, the Modeling and Meshing Guide, and the Advanced Analysis Techniques Guide.

  • For information about performing specific types of analysis (thermal, structural, etc.), see the applicable Analysis Guide.

  • For examples of analyses, see the ANSYS Tutorials and Verification Manual.

  • For reference information about ANSYS commands, elements, and theory, see the Commands Reference, Elements Reference, and Theory Reference for ANSYS and ANSYS Workbench.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Operations Guide 		Up / Home Next
Chapter 2. The ANSYS Environment


Chapter 2. The ANSYS Environment

The ANSYS program is organized into two basic levels:

  • Begin level

  • Processor (or Routine) level

The Begin level acts as a gateway into and out of the ANSYS program. It is also used for certain global program controls such as changing the jobname, clearing (zeroing out) the database, and copying binary files. When you first enter the program, you are at the Begin level.

At the Processor level, several processors are available. Each processor is a set of functions that perform a specific analysis task. For example, the general preprocessor (PREP7) is where you build the model, the solution processor (SOLUTION) is where you apply loads and obtain the solution, and the general postprocessor (POST1) is where you evaluate the results of a solution. An additional postprocessor, POST26, enables you to evaluate solution results at specific points in the model as a function of time.

The following ANSYS environment topics are available:

  • Entering a Processor
  • Exiting from a Processor or ANSYS
  • The ANSYS Database
  • ANSYS Program Files
  • Communicating With the ANSYS Program

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 1. Introducing ANSYS 		Up / Home Next
2.1. Entering a Processor


2.1. Entering a Processor

In general, you enter a processor by selecting it from the ANSYS Main Menu in the Graphical User Interface (GUI). For example, choosing Main Menu> Preprocessor takes you into PREP7. Alternatively, you can use a command to enter a processor (the format is /name, where name is the name of the processor). Table 2.1: "Processors (Routines) Available in ANSYS" lists each processor, its function, and the command to enter it.

Table 2.1 Processors (Routines) Available in ANSYS

Processor | Function | GUI Path | Command
PREP7 | Build the model (geometry, materials, etc.) | Main Menu> Preprocessor | /PREP7
SOLUTION | Apply loads and obtain the finite element solution | Main Menu> Solution | /SOLU
POST1 | Review results over the entire model at specific time points | Main Menu> General Postproc | /POST1
POST26 | Review results at specific points in the model as a function of time | Main Menu> TimeHist Postpro | /POST26
OPT | Improve an initial design | Main Menu> Design Opt | /OPT
PDS | Quantify the effect of scatter and uncertainties associated with input variables of a finite element analysis on the results of the analysis | Main Menu> Prob Design | /PDS
AUX2 | Dump binary files in readable form | Utility Menu> File> List> Binary Files Utility Menu> List> Files> Binary Files | /AUX2
AUX12 | Calculate radiation view factors and generate a radiation matrix for a thermal analysis | Main Menu> Radiation Matrix | /AUX12
AUX15 | Translate files from a CAD or FEA program | Utility Menu> File> Import | /AUX15
RUNSTAT | Predict CPU time, wavefront requirements, etc. for an analysis | Main Menu> Run-Time Stats | /RUNST
SX | Test the response of different input values. | Main Menu>DesignXplorer VT>Solution>Solve | /SX

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 2. The ANSYS Environment 		Up / Home Next
2.2. Exiting from a Processor or ANSYS


2.2. Exiting from a Processor or ANSYS

To return to the Begin level from a processor, pick Main Menu> Finish or issue the FINISH (or /QUIT) command. You can move from one processor to another without returning to the Begin level. Simply pick the processor you want to enter, or issue the appropriate command.

To leave the ANSYS program (and return to the system level), pick Utility Menu> File> Exit or use the /EXIT command to display the Exit from ANSYS dialog box. By default, the program saves the model and loads portions of the database automatically and writes them to the database file, Jobname.DB. If a backup of the current database file already exists, ANSYS writes it to Jobname.DBB. Options in the dialog box (and on the /EXIT command) allow you to save other portions of the database or to quit without saving.

2.2.1. Stopping the Input of a File

You can also stop the processing of an ANSYS file as it is being input. Most files of more than a few lines will display the ANSYS Process Status window at the top of the screen. If you want to terminate the input of a file, select the STOP button on the ANSYS Process Status window. ANSYS itself does not stop when you select the STOP button. Stopping file input is useful if you inadvertently input a binary file.

To input a new file, select Utility Menu> File> Clear & Start New to clear the current file from memory, then select a file to input. If you want to return to processing the original file, select Utility Menu> File> Read Input from... and select the name of the file, the line number or label to resume from, and select the OK button. See the /INPUT command for more information on resuming a file input process.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.1. Entering a Processor 		Up / Home Next
2.3. The ANSYS Database


2.3. The ANSYS Database

In one large database, the ANSYS program stores all input data (model dimensions, material properties, load data, etc.) and results data (displacements, stresses, temperatures, etc.) in an organized fashion. The main advantage of the database is that you can list, display, modify, or delete any specific data item quickly and easily.

No matter which processor you are in, you are working with the same database. This gives you basic access to the model and loads portions of the database from anywhere in the program. "Basic access" means the ability to select, list, or display an item.

The following database topics are available:

  • Defining or Deleting Database Items
  • Saving the Database
  • Restoring Database Contents
  • Using the Session Editor to Modify the Database
  • Clearing the Database

2.3.1. Defining or Deleting Database Items

To define items, or to delete items from the database, you must be in the appropriate processor. For example, you can define nodes, elements, and other geometry only in PREP7, the general preprocessor. You can specify and apply loads in either the PREP7 or the SOLUTION processor, and you can declare optimization variables only in OPT (the design optimization processor). However, you can select geometry items, list them, or display them from anywhere in the program, including the Begin level.

2.3.2. Saving the Database

Because the database contains all your input data, you should frequently save copies of it to a file. To do this, pick Utility Menu> File> Save as Jobname.DB or issue the SAVE command. Either choice writes the database to the file Jobname.DB. If you use the SAVE command, you have the option to save:

  • the model data only

  • the model and solution data

  • the model, solution and preprocessing data

To specify a different file name, pick Utility Menu> File> Save as or use the appropriate fields on the SAVE command. Any save operation first writes a backup of the current database file (if the database already exists) to Jobname.DBB. If a Jobname.DBB file already exists, the new backup file overwrites it. For a static or transient structural analysis, the file Jobname.RDB (a copy of the database) will be automatically saved at the first substep of the first load step.

2.3.3. Restoring Database Contents

To restore data from the database file, pick Utility Menu> File> Resume Jobname.DB or issue the RESUME command. This reads the file Jobname.DB. To specify a different file name, pick Utility Menu> File> Resume from or use the appropriate fields on the RESUME command.

You can save or resume the database from anywhere in the ANSYS program, including the Begin level. A resume operation replaces the data currently in memory with the data in the named database file. Using the save and resume operations together is useful when you want to "test" a function or command. When you do a multiframe restart, ANTYPE,,REST automatically resumes the .RDB file for the current job.

2.3.4. Using the Session Editor to Modify the Database

During an analysis, you may want to modify or delete commands entered since your last SAVE or RESUME. You can access the session editor by issuing the UNDO command, or by choosing Main Menu> Session Editor. The session editor display is shown below.

Figure 2.1 The Session Editor

Use this dialog for displaying and editing the string of operations performed since your last SAVE or RESUME command. You can modify command parameters, delete whole sections of text, and even save a portion of the command string to a separate file.

You can access the following file operations from the session editor dialog:

  • OK: Enters the series of operations displayed in the window below. You will use this option to input the command string after you have modified it.

  • Save: Saves the command string displayed in the window below to a separate file. ANSYS names the file Jobnam000.cmds, with each subsequent save operation incrementing the filename by one digit. You can use the /INPUT command to reenter the saved file.

  • Cancel: Dismisses this window and returns to your analysis.

  • Help: Displays the command reference for the UNDO command.

The Session Editor is available in interactive (GUI) mode only. If no SAVE or RESUME command has been issued during your analysis, all commands from your current session will be executed, including your start110.ans file, if present.

2.3.5. Clearing the Database

While building a model, sometimes you may want to clear out the database contents and start over. To do so, choose Utility Menu> File> Clear & Start New or issue the /CLEAR command. Either method clears (zeros out) the database stored in memory. Clearing the database has the same effect as leaving and reentering the ANSYS program, but does not require you to exit.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.2. Exiting from a Processor or ANSYS 		Up / Home Next
2.4. ANSYS Program Files


2.4. ANSYS Program Files

The ANSYS program writes and reads many files for data storage and retrieval. File names follow this pattern:

Name.Ext

Name defaults to the jobname, which you can specify while entering the ANSYS program or by choosing Utility Menu> File> Change Jobname (equivalent to issuing the /FILNAME command). The default jobname is FILE (or file).

Ext is a unique, two- to four-character ANSYS identifier that identifies the contents of the file. For example, Jobname.DB is the database file, Jobname.EMAT is the element matrix file, and Jobname.GRPH is the neutral graphics file. Some systems (such as PCs) truncate the extension to three characters. Also, the extension may be in lowercase, depending on the system.

The following program file topics are available:

  • ANSYS File Types
  • ANSYS File Sizes
  • The Jobname.LOG File

2.4.1. ANSYS File Types

Table 2.2: "ANSYS File Types and Formats" lists the main ANSYS file types and their formats. For more information about files, see "File Management and Files" in the Basic Analysis Guide.

Table 2.2 ANSYS File Types and Formats

File Type | File Name | File Format
Log file | Jobname.LOG | ASCII
Error file | Jobname.ERR | ASCII
Output file | Jobname.OUT | ASCII
Database file | Jobname.DB | Binary
Results file:
structural or coupled
thermal
magnetic
FLOTRAN
Jobname.xxx
Jobname.RST
Jobname.RTH
Jobname.RMG
Jobname.RFL
Binary
Load step file | Jobname.Sn | ASCII
Graphics file | Jobname.GRPH | ASCII (special format)
Element matrices | Jobname.EMAT | Binary

On the following ANSYS commands, you can specify the name and path of the file to be written:

/ASSIGN | *LIST
/COPY | /OUTPUT
*CREATE | /PSEARCH
/DELETE | /RENAME
/INPUT |

In such cases, the filename can contain up to 248 characters, including the directory name, and the extension can contain up to eight characters. If the file name uses more than 248 characters, including the directory, you must use a soft link on UNIX systems.

ANSYS can process blanks in file or directory names, so blank spaces are allowed in ANSYS object names. Be aware that many UNIX commands do not support object names with spaces. When an object has a blank space in its name, always enclose the name in a pair of single quotes.

On UNIX systems, all directory names except for /(root) should end with a slash (/). For example, to run the ANSYS program using an input file called vm1.dat, which resides in the directory /ansys_inc/v110/ansys/data/verif, use the following commands:

ansys110
/inp,vm1,dat, /ansys_inc/v110/ansys/data/verif/

On Windows systems, you must use back slashes (\) instead of slashes in directory names. For example, on a Windows system, the directory path shown in the UNIX example above looks like this:

/inp,vm1,dat, Program Files\Ansys Inc\V110\ANSYS\data\verif\

2.4.2. ANSYS File Sizes

The maximum size of an ANSYS file depends on the file system on the hard drive partition being used. Most computer systems now handle very large files without any need for the automatic file splitting option that is provided in ANSYS. The FAT32 file system is occasionally still used on some Windows and Linux systems and has a file size limitation of 4 GB. We recommend converting any FAT32 hard drives to a file system that can support much larger files (e.g., for Windows, we recommend converting to the NTFS file system). If you are running a problem that will create an ANSYS file over 4 GB on a system using a FAT32 hard drive, then you can use the /CONFIG,FSPLIT command to set the maximum ANSYS file size to any value under 4 GB.

2.4.3. The Jobname.LOG File

The Jobname.LOG file (also called the session log) is especially important, because it provides a complete log of your ANSYS session. The file opens immediately when you enter the ANSYS program, and it records all commands you execute, whether you execute those commands via GUI paths or type them in directly. You can read the Jobname.LOG file, view it while in ANSYS, edit it, and input it later.

The ANSYS program always appends log data to the log file instead of overwriting it. If you change the jobname while in an ANSYS session, the log file name does not change to the new jobname. For more information about Jobname.LOG, see "Using the ANSYS Session and Command Logs".

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.3. The ANSYS Database 		Up / Home Next
2.5. Communicating With the ANSYS Program


2.5. Communicating With the ANSYS Program

The easiest way to communicate with the ANSYS program is by using the ANSYS menu system, called the Graphical User Interface (GUI).

2.5.1. Communicating Via the Graphical User Interface (GUI)

The GUI consists of windows, menus, dialog boxes, and other components that allow you to enter input data and execute ANSYS functions simply by picking buttons with a mouse or typing in responses to prompts. All users, both beginner and advanced, should use the GUI for interactive ANSYS work. See "Using the ANSYS GUI " for an extensive discussion of how to use the GUI. The rest of this section describes other topics related to communication with ANSYS commands, abbreviations, etc.

2.5.2. Communicating Via Commands

Commands are the instructions that direct the ANSYS program. ANSYS has more than 1200 commands, each designed for a specific function. Most commands are associated with specific (one or more) processors, and work only with that processor or those processors.

To use a function, you can either type in the appropriate command or access that function from the GUI (which internally issues the appropriate command). The Commands Reference describes all ANSYS commands in detail, and also tells you whether each command has an equivalent GUI path. (A few commands do not.)

ANSYS commands have a specific format. A typical command consists of a command name in the first field, usually followed by a comma and several more fields (containing arguments). A comma separates each field. For example, the F command, which applies a force at a node, looks like this:

F,NODE,Lab,VALUE

To apply an X-direction force of 2000 at node number 376, the F command would read as follows:

F,376,FX,2000

You can abbreviate command names to their first four characters (except as noted in the Commands Reference). For example, FINISH, FINIS, and FINI all have the same meaning. Some "commands" (such as ADAPT and RACE) are actually macros. You must enter macro names in their entirety.

Note

If you are not sure whether an instruction is a command or a macro, see the Commands Reference.

Commands that begin with a slash ( / ) usually perform general program control tasks, such as entry to routines, file management, and graphics controls. Commands that begin with a star ( * ) are part of the ANSYS Parametric Design Language (APDL). See the ANSYS Parametric Design Language Guide for details.

Command arguments may take a number or an alphanumeric label, depending on their purpose. In the F command example described previously, NODE and VALUE are numeric arguments, but Lab is an alphanumeric argument. In this and other ANSYS manuals, numeric arguments appear in all uppercase italic letters (as in NODE and VALUE), and alphanumeric arguments appear in initial uppercase italic format (as in Lab). Some commands (for example, /PREP7, /POST1, FINISH, etc.) have no arguments, so the entire command consists of just the command name.

Some general rules and guidelines for commands are listed below:

  • When you enter commands, the arguments do not have to be in specific columns.

  • You can use successive commas to skip arguments. When you do so, ANSYS uses default values for the omitted arguments (as discussed in the individual command descriptions).

  • You can string together multiple commands on the same line by using the $ character as the delimiter for each command. (For restrictions on use of the $ delimiter, see the Commands Reference.)

  • The maximum number of characters allowed per line is 640, including commas, blank spaces, $ delimiters, and any other special characters.

    Note

    Other software programs and printers may wrap text to the next line or truncate the text after a certain character.

  • Real number values input to integer data fields will be rounded to the nearest integer. The absolute value of integer data must fall between zero and 2,000,000,000.

  • The acceptable range of values for real data is +/-1.0E+60 to +/-1.0E-60. No exponent can exceed +60 or be less than -60. The program accepts real numbers in integer fields, but rounds them to the nearest integer. You can specify a real number using a decimal point (such as 327.58) or an exponent (such as 3.2758E2). The E (or D) character, used to indicate an exponent, may be in upper or lower case. This limit applies to all ANSYS input commands, regardless of platform.

Even though all ANSYS input must be within the allowed range, all numeric operations, including parametric operations, can produce numbers to machine precision, which may exceed the ANSYS input range.

  • ANSYS interprets numbers entered for Angle arguments as degrees. Note that there are functions in ANSYS that could use radians if the *AFUN command had been used.

  • The following special characters are not allowed in alphanumeric arguments:

     !   @   #    $   %    ^   &   *   (     )   _    -   +
 =   |   \   {  }   [  ]    "     '   /    <     >   ~    `

    Exceptions are filename and directory arguments, where some of these characters may be required to specify system-dependent pathnames. However, using special characters in filename and directory arguments could result in ANSYS or the operating system misreading the argument. We strongly recommend that you limit filename and directory arguments to A-Z, a-z, 0-9, -, _, and spaces. Any text prefaced by an exclamation mark (!) is treated as a comment.

  • Avoid using tabs (to line up comments, for instance) or other control (CTRL) sequences. They usually generate device-dependent characters that the program cannot recognize.

  • If you are a longtime ANSYS user, avoid using commands that have been removed from the currently documented command set. Such commands are obsolete and may cause difficulties.

2.5.3. Command Defaults

To minimize the amount of data input, most commands have defaults. There are two types of defaults: command default and argument default.

A command default is the specification assumed when a command is not issued. For example, if you do not issue the /FILNAME command, the jobname defaults to FILE (or whatever jobname was specified when you entered the ANSYS program).

An argument default is the value assumed for a command argument if the argument is not specified. For example, if you issue the command N,10 (defining node 10 with the X, Y, Z coordinate arguments left blank), the node is defined at the origin; that is, X, Y, and Z default to zero. Numeric arguments (such as X, Y, Z) default to zero except as noted in the Commands Reference. The command descriptions usually explain defaults for other arguments.

Note

The defaults for some commands and their arguments differ depending on which ANSYS product is using the commands. The "Product Restrictions" section of the descriptions of the affected commands clearly documents such cases. If you plan to use your input file in more than one ANSYS product, you should explicitly specify commands or command argument values, rather than letting them default. Otherwise, behavior in the other ANSYS product may be different from what you expect.

2.5.4. Abbreviations

If you use a command or a GUI function frequently, you can rename it or abbreviate it to a string of up to eight alphanumeric characters using one of the following:

Command(s): | *ABBR
GUI: | Utility Menu> Macro> Edit Abbreviations Utility Menu> MenuCtrls> Edit Toolbar

For example, the following command defines ISO as an abbreviation for the command /VIEW,,1,1,1 (which specifies isometric view for subsequent graphics displays):

*ABBR,ISO,/VIEW,,1,1,1

Keep the following rules and guidelines in mind when creating abbreviations:

  • The abbreviation must begin with a letter and should not have any spaces.

  • If an abbreviation that you set matches an ANSYS command, the abbreviation overrides the command. Therefore, use caution in choosing abbreviation names.

  • You can abbreviate up to 60 characters, and up to 100 abbreviations are allowed per ANSYS session.

In the GUI, abbreviations appear as push buttons on the Toolbar, which you can execute with a quick click of the mouse. For details, see the section on using the toolbar in "Using the ANSYS GUI ".

2.5.5. Command Macro Files

You can record a frequently used sequence of ANSYS commands in a macro file, thus creating a personalized ANSYS command. If you enter a command name that ANSYS does not recognize, it searches for a macro file by that name (with an extension of .MAC or .mac). If the file exists, ANSYS executes it.

On UNIX and Windows systems, the ANSYS program searches for macro files in the following order:

  • ANSYS looks first in the ANSYS APDL directory.

  • It then looks at the directories that have been defined for the environmental variable ANSYS_MACROLIB. You can set up the ANSYS_MACROLIB variable after the installation of ANSYS software and before the program is started.

    On UNIX, the structure for ANSYS_MACROLIB is:

    dir1/:dir2/:dir3/

    On Windows, the structure is:

    c:\dir1\;d:\dir2\;e:\dir3

    The letter to the left of the colon indicates the drive where the directory is stored.

    Enter up to 255 characters for the entire string. Dir1 is searched first, followed by dir2, dir3, etc. These files provide customization at both the site and user levels.

  • Next, on UNIX systems, ANSYS looks in /PSEARCH or in the login directory. On Windows systems, it looks in /PSEARCH or in the home directory.

  • Finally, ANSYS looks in the current or working directory.

ANSYS searches for both upper and lower case macro file names in each search directory, except /apdl on UNIX systems. If both exist in the search directory, the upper case file is used. Only upper case is used in the /apdl directory on UNIX systems.

The ANSYS installation media provide many ANSYS macro files that reside in the /apdl subdirectory. If you cannot use any of the ANSYS-provided macro files, contact your system administrator.

To access any macro, you simply enter its file name. For instance, to access the LSSOLVE.MAC file, you enter LSSOLVE. You can also access macros you created via the Utility Menu> Macro> Execute Macro menu path. However, this menu path will not work for any macros containing function granules (such as a call to a dialog box) or picking commands. Macros with these functions must be accessed by entering the macro name in the Input Window.

Specifying File Names in Windows

In the Windows environment, some devices/ports have specific names, such as PRN, COM1, COM2, LPT1, LPT2, and CON. The device/port names resemble files in that they can be opened, read from, written to, and closed. Entering the names of these devices/ports in ANSYS, however, causes unpredictable behavior, including system freezes or fatal error conditions. Therefore, do not issue PC device/port names as commands.

Back To Top

Configuring Search Paths on Windows Systems

  1. In the Control Panel, click on the System Icon.

  2. On Windows XP systems, click on My Computer on the Start Menu. Under System Tasks, select View System Information. Select the Advanced Tab. Click on the Environment Variables button. Click New under System Variable. Enter the value of ANSYS_MACROLIB for the variable name. Enter

    <drive>:\<dir>\;<drive>:\<dir2>\;<drive>:\<dir3>\;
    for the variable value. Click OK.

  3. On Windows 2000 systems, select the Advanced tab. Click on the Environment Variables button. Click on the New button under System Variables. Enter the value of ANSYS_MACROLIB for the variable name. Enter

    <drive>:\<dir>\;<drive>:\<dir2>\;<drive>:\<dir3>\;
    for the variable value. Click on the OK button.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.4. ANSYS Program Files 		Up / Home Next
Chapter 3. Running the ANSYS Program


Chapter 3. Running the ANSYS Program

You can run the ANSYS program in interactive mode or in batch mode. In interactive mode (the default), you exchange information with the computer continuously. You can execute a command by selecting its menu path in the GUI or by typing it in directly. The ANSYS program processes the command in real time. Interactive mode allows you to use the GUI, online help, and various tools to create the engineering model in the graphics window and modify it as you work through the analysis.

In batch mode, you submit a file of commands to the ANSYS program. This command file may have been generated by a previous ANSYS session, by another program, or by creating a command file with an editor. On some operating systems, you can run a batch job in the background while doing other work on the computer. Batch mode is useful when you do not need to interact with the program, such as during the solution phase of an analysis.

ANSYS offers a set of separately-licensed "batch-only" products. If you run a batch-only product, you do not have access to the GUI, to online help, or to other interactive features of ANSYS. For more information about the batch-only products, see your ANSYS sales representative.

There are a number of options for starting and setting options for your ANSYS session. You can enter the ANSYS program directly by issuing the ANSYS execution command at the command level and define aspects of the ANSYS operating system using the optional arguments for the execution command.

You can also use the ANSYS Launcher to set options for an ANSYS run and its auxiliary programs, such as the LS-DYNA solver.

The following ANSYS session topics are available:

  • Starting an ANSYS Session from the Command Level
  • The ANSYS Launcher
  • Interactive Mode
  • Batch Mode
  • Choosing an ANSYS Product
  • Setting Preferences with the start110.ans File
  • Estimating ANSYS Run Time

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.5. Communicating With the ANSYS Program 		Up / Home Next
3.1. Starting an ANSYS Session from the Command Level


3.1. Starting an ANSYS Session from the Command Level

To start an interactive ANSYS session in graphics mode on UNIX systems, type the following command at the prompt:

ansys110 -g

To start ANSYS from the MS-DOS command prompt on a Windows system, type the following command:

ansys110

Always use the ANSYS-supplied scripts (ansys110 and launcher110) for running ANSYS. User-written scripts for running ANSYS products are not supported.

You can specify any of the following options for the ANSYS execution command:

-ansexe | In the ANSYS Workbench environment, activates a custom ANSYS executable.
-b list or nolist | Activates the ANSYS program in batch mode. The options -b list or -b by itself cause the input listing to be included in the output. The -b nolist option causes the input listing not to be included. For more information about running ANSYS in batch mode, see Batch Mode.
-custom | Calls a custom ANSYS executable. See Running Your Custom Executable in the Guide to ANSYS User Programmable Features for more information.
-d device | Specifies the type of graphics device. This option applies only to interactive mode. For UNIX systems, graphics device choices are X11, X11C, or 3D. For Windows systems, graphics device options are WIN32 or WIN32C, or 3D.
-db value | Defines the portion of workspace (memory) to be used for the database. The default is 512 MB for 64-bit machines, 256 MB for 32-bit machines.
-dir | Defines the initial working directory. Using the -dir option overrides the ANSYS110_WORKING_DIRECTORY environment variable.
-dis | Enables Distributed ANSYS. See the Distributed ANSYS Guide for more information.
-dtm | Enables the Drop Test Module (DTM) advanced task (add-on). The DTM is an optional add-on feature to the ANSYS LS-DYNA product which simplifies the procedure for simulating a drop test. This option is only valid if you have a license for the DTM. See "Drop Test Module" in the ANSYS LS-DYNA User's Guide for more information.
-dvt | Enables ANSYS DesignXplorer advanced task (add-on).
-f option | Sets ANSYS to run in fixed-memory mode. The no or off options set ANSYS to use dynamic memory allocation for scratch memory as needed (default setting). If you do not set any arguments, ANSYS uses fixed-mode memory allocation for scratch memory, but allows other sections of the ANSYS work space to grow as required.
-g Launches the ANSYS program with the Graphical User Interface (GUI) on. If you select this option, an X11 graphics device is assumed for UNIX unless the -d option specifies a different device. This option is not used on Windows systems. To activate the GUI once ANSYS has started, you need to enter two commands in the ANSYS input window: /SHOW to define the graphics device, and /MENU,ON to activate the GUI. The -g option is valid only for interactive mode.

Note

If you start ANSYS via the -g option, the program ignores any /SHOW command in the start110.ans file and displays a splash screen briefly before opening the GUI windows.

-i inputname | Specifies the name of the file to read input into ANSYS for batch processing. On UNIX, the preferred method to indicate an input file is <.
-j Jobname | Specifies the initial jobname, a name assigned to all files generated by the program for a specific model. If you omit the -j option, the jobname is assumed to be file.
-l language | Specifies a language file to use other than US English. This option is valid only if you have a translated message file in an appropriately named subdirectory in /ansys_inc/v110/ansys/docu (or Program Files\Ansys Inc\V110\ANSYS\docu on Windows systems).
-lm | Enables an ANSYS executable that supports unlimited memory size for the sparse solver.
-m workspace | Specifies the total size of the workspace (memory) in megabytes. If you omit the -m option, the default is 1 GB (1024 MB) for 64-bit machines, 512 MB for 32-bit machines.
-machines | Specifies the machines on which to run a Distributed ANSYS analysis. See Starting Distributed ANSYS in the Distributed ANSYS Guide for more information.
-mfm | Specifies the master field name in an ANSYS Multi-field solver - MFX analysis. See Starting and Stopping an MFX Analysis in the Coupled-Field Analysis Guide for more information.
-mpi | Specifies the type of MPI to use. See the Distributed ANSYS Guide for more information.
-name value | Defines ANSYS parameters at program start-up. The parameter name must be at least two characters long. For details about parameters, see the ANSYS Parametric Design Language Guide.
-np | Specifies the number of processors to use when running Distributed ANSYS or Shared-memory ANSYS. See the Distributed ANSYS Guide or the Advanced Analysis Techniques Guide for more information.
-o outputname | Specifies the name of the file to store the output from a batch execution of ANSYS. On UNIX, the preferred method to indicate an output file is >.
-p productname | Defines which ANSYS product will run during the session (ANSYS Multiphysics, ANSYS Structural, etc.). For more detailed information about the -p option, see Choosing an ANSYS Product.
-s read or noread | Specifies whether the program reads the start110.ans file at start-up. If you omit the -s option, ANSYS reads the start110.ans file in interactive mode and not in batch mode.
-ser | Specifies the communication port number between ANSYS and CFX in an MFX analysis.
-v | Returns the ANSYS release number, update number, copyright date, customer number, and license manager version number.
-vta | Enables the VT Accelerator add-on. VT Accelerator requires one HPC license per processor.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 3. Running the ANSYS Program 		Up / Home Next
3.2. The ANSYS Launcher


3.2. The ANSYS Launcher

3.2.1. Starting an ANSYS Session from the Start Menu/Launcher

Use the ANSYS launcher when you want to run an ANSYS program, one of the auxiliary programs, or to access a modifiable ANSYS file. You can access some launcher functionality directly from the Windows Start Menu. To access ANSYS functionality, including the launcher, on Windows systems, choose Start> Programs> ANSYS 11.0 and select the appropriate option.

To activate the launcher on UNIX systems, enter the following command:

launcher110

You can also place one of the following commands in your .login or .profile file:

.login file command:

launcher110 >& /dev/null &

.profile file command:

launcher110 > /dev/null 2> &1 &

Either command causes the launcher to appear automatically when you log onto the system.

Start Menu Options on Windows

To activate the launcher on Windows, choose Start> Programs> ANSYS 11.0> ANSYS Product Launcher

From the ANSYS Start Menu, you can select other options in addition to the launcher:

  • Utilities, such as the ANS_ADMIN or Display utilities

  • Help

  • Applications, such as ANSYS or ANSYS Workbench

  • Web portal access

You can run the products directly by choosing ANSYS, ANSYS Workbench, etc., from the Start Menu. If you have not yet run the launcher, selected any products, or defined any profiles, the highest product that your site is licensed for will be run, or the product as specified by your license administrator using the Specify Product Order option of the ANSLIC_ADMIN utility (see the ANSYS, Inc. Licensing Guide). If you have run the launcher, then running the product directly from the Start Menu will start the product with the last launcher configuration.

Back To Top

The Launcher Log File

The launcher creates a log file named launcher.110.log. This file contains a history of launcher selections along with any error messages that may occur. On UNIX systems, this file is written to your home directory. On Windows, it is written to the directory specified with the TEMP environment variable. If TEMP is not set, the file is written to the root directory of the value specified on the WINDIR environment variable. The log file is always written by default. You can turn off the log file via the Options menu, but we do not recommend doing so.

Back To Top

Launcher Tasks

Use the launcher to select product settings, such as the simulation environment, the specific license, and any add-on modules or analysis type you want to run. Based on your product selections, you can then specify file management, customization/preferences, solver setup, and LSF options. Product settings and the options under each tab are explained below. You may not see all options, depending on your product selection.

The launcher tabs are:

  • File Management

  • Customization/Preferences

  • High Performance Computing Setup

  • MFX - ANSYS/CFX Setup

  • LSF

You can also access launcher-specific functionality via the menu bar. The File, Profiles, Options, Tools, Links, and Help menus are explained in later sections.

In addition to the tabs and the menu bar options, the launcher also has additional buttons at the bottom.

  • Run launches the product you have selected with the settings specified on the various tabs.

  • Cancel Run allows you to cancel an ANSYS Batch or an MFX - ANSYS/CFX run. For an ANSYS Batch run, the analysis must be nonlinear or full transient (linear or nonlinear), or use the PCG, ICCG, or JCG solver (linear or nonlinear solutions). The cancel run request will be ignored for any other types of analyses.

    For an ANSYS Batch run, Cancel Run creates a file in the working directory called Jobname.ABT. For an MFX - ANSYS/CFX run, the file is created in the master's working directory and is called Jobname_mfx.ABT. If you are running multiple jobs, be sure to specify a unique jobname for each job.

  • Queue allows you to launch a batch run at a later time. When you click the Queue button, you will be prompted to enter a delayed start time and date. This option is only available on UNIX systems.

  • LSF Run runs your batch job via the LSF program. This option is only available if you have the LSF/Batch product installed.

  • Product Help launches the help file for the selected simulation environment.

In most places where you can specify path names, you can specify paths using drive letters or UNC paths. However, you may encounter places where UNC paths cannot be used. If you see a message indicating that UNC paths are not available, re-enter the path using drive letters.

3.2.1.1. Product Settings

Here you specify your simulation environment, license, and add-on modules. The simulation environment indicates which interface you want to use to run interactively or allows you to start a batch run. Options include:

  • ANSYS Workbench

  • ANSYS

  • ANSYS Batch

  • MFX - ANSYS/CFX

  • LS-DYNA Solver

Depending on which environment you select and what licenses are available at your site, the remaining product selection choices and the options under the remaining tabs will vary.

In the License field, select a license from the available types. Only those licenses that are both available for your site and valid with the simulation environment selected will be shown.

The order in which products are listed can be modified using the ANSLIC_ADMIN's Specify Product Order option. See the ANSYS, Inc. Licensing Guide for more information. Once the launcher has been run, the product order will no longer apply, and the launcher profile will take precedence.

You can then select from available add-on modules or other product-specific options. You will only be able to pick modules/options that are available for the selected environment. If a choice is grayed out, then that choice is available for the selected environment, but your site does not have the necessary license. To obtain a license for any grayed-out option, please contact your ANSYS sales representative.

Possible Add-on Modules include:

ANSYS LS-DYNA Drop Test Module

Enables the Drop Test Module (DTM) advanced task (add-on). The DTM is an optional add-on feature to the ANSYS LS-DYNA product that simplifies the procedure for simulating a drop test.

ANSYS DesignXplorer

Enables the ANSYS DesignXplorer advanced task. The DesignXplorer module is part of the ANSYS Workbench product and is used to compute the requested results for the entire range of all design parameters with one solve. See the DesignXplorer online help for more information.

VT Accelerator

Enables the Variational Technology Accelerator capability, which reduces the overall number of iterations and allows substantial speedup (2X-10X for initial solutions, 5X-30X for parameter changes) of nonlinear and transient analyses, structural modal cyclic symmetry analysis, and both structural and high frequency electromagnetic harmonic analysis . You must have an ANSYS Mechanical HPC license for each processor on which you want to enable the VT Accelerator.

Possible Analysis Types available with the LS-DYNA Solver environment include:

  • Typical LS-DYNA Analysis

  • Implicit-to-Explicit Sequential Solution

  • Simple Restart Analysis

  • Small Restart Analysis

  • Full Restart Analysis

See the ANSYS LS-DYNA User's Guide for more information on these analysis types.

3.2.1.2. The File Management Tab

This tab contains the information necessary to manage your files, such as location of your working directory and job name. The available options will differ depending on the simulation environment you selected.

If you selected the ANSYS or ANSYS Workbench simulation environment, you can specify:

Working directory

Sets the directory in which the ANSYS run will be executed. The program writes files it generates to this directory. To change the working directory, type the new directory name in the Working Directory text box or press the Browse button to display a file selection dialog box. On Windows, you must use an absolute path.

You can also specify the working directory by defining the ANSYS110_WORKING_DIRECTORY environment variable. If ANSYS110_WORKING_DIRECTORY is set, the launcher will use that setting as the default. However, any working directory that is specified via the launcher (such as a profile) overrides the ANSYS110_WORKING_DIRECTORY environment variable setting.

If you run ANSYS as an administrator using a particular working directory, and then run as a non-administrator using the same directory, you may encounter permission problems with the .log file. Users with administrator privileges should not use the same working directory as non-administrator users.

Jobname

Defines the base filename used for all files generated by the ANSYS run. The initial jobname defaults to file. You can change it to any alphanumeric string up to 32 characters long.

If you selected the ANSYS Batch simulation environment, you can specify the above items as well as the following:

Input file

Specifies the file of ANSYS commands you are submitting for batch execution. You can either type in the desired filename or click the Browse button to display a file selection dialog box or click on Edit to view the file in an editor. If you specify a relative path, it will be relative from the working directory as specified in the launcher.

Output file

Specifies the file to which ANSYS directs text output by the program. If you specify a relative path, it will be relative from the working directory as specified in the launcher. If the filename already exists in the working directory, it will be renamed to jobname.out.<timestamp> when a new batch job is started. The timestamp is in the format YYYY-MM-DD@hh_mm_ss and reflects the date that the file was renamed, not the date the original file was created. You can choose to overwrite the output file rather than rename it by unchecking the Save Existing Output Files From Batch Runs item under the Options menu on the launcher.

The Working directory and Jobname options include Update I/O path and Update I/O name toggles, respectively. If these toggles are checked, the directory path that appears in the Input file name and the name that appears in the Output file name text boxes will be updated automatically to match the specified Working directory and Jobname.

Include input listing in output

Includes or excludes the input file listing at the beginning of the output file.

On UNIX systems, if you wish to start your batch job at a later date, click the Queue button. You will be prompted to enter a start date and time. To use this option, you must have permission to run the at command on UNIX systems, meaning your user name must appear in the at.allow file. If that file does not exist, the at.deny file is checked to see if access should be denied. If neither file exists, only users with root access may use this feature. If at.deny is empty, global usage is permitted.

These files consist of one user name per line and can be modified only by the superuser. The location of the at.allow and at.deny files on each hardware platform is listed below:

  • HP AlphaServer (Compaq), HP, SGI, Sun, Fujitsu: /usr/lib/cron

  • IBM: /var/adm/cron

  • Intel Linux, AMD Opteron Linux: /etc

If you selected the LS-DYNA Solver simulation environment, you can specify the working directory as described above, and the following:

Keyword Input File

Specify the name of the file.k that ANSYS writes. On Windows systems, the file must reside in the working directory.

Restart Dump File

Specify the name of the small restart input file. On Windows systems, the file must reside in the working directory. For more information, see the EDSTART command.

3.2.1.3. The Customization/Preferences Tab

The settings under this tab allow you to specify detailed settings about your working environment, such as memory settings, parallel/distributed processing settings, custom executables, and additional parameters. The available options will differ depending on the simulation environment you selected on the first tab.

If you selected the ANSYS, ANSYS Workbench, or ANSYS Batch simulation environment, you can specify:

Use Custom Memory Settings

Specifies the use of custom memory settings rather than using the default memory model. You must select custom memory settings in order to set the - m or - db options. See "Memory Management and Configuration" in the Basic Analysis Guide for information about memory management.

Total Workspace (MB)

Specifies the amount of memory requested for the ANSYS run. It defaults to 1 GB (1024 MB) for 64-bit machines or 512 MB for 32-bit machines. These values are sufficient for most modest-sized models. Choosing a higher number allows more space for solution of large wavefront models, and choosing a lower number allows more concurrent ANSYS runs. This option is not valid unless Use Custom Memory Settings is selected.

Note

If a config110.ans file exists with its own work space specification (VIRT_MEM), the work space value specified on the launcher overrides the value specified in the config110.ans file.

Database (MB)

Specifies the portion (in megabytes) of total memory that the database will use. It defaults to 512 MB for 64-bit machines or 256 MB for 32-bit machines. These values are sufficient for most modest-sized models.

Custom ANSYS Executable

The launcher provides an option to start a customized ANSYS executable.

If you run a custom executable from the Customization/Preferences tab of the launcher:

Enter the full pathname to the custom executable in the ANSYS Custom Executable field. Executable names must be one of the following:

  • ansys.exe (Windows)

  • ansyscust.e110 (UNIX)

  • ansyscustdis.e110 (Distributed ANSYS on UNIX)

You cannot specify a custom Distributed ANSYS executable on Windows.

See Running Your Custom Executable in the Guide to ANSYS User Programmable Features for more information.

Additional Parameters

You can use this option to set parameter values at ANSYS start-up.

For example, you can set ANSYS modeling parameters at program start-up using the format -name value. For instance, -rad1 2.825 -rad2 5.675 -thick .25 defines three parameters: rad1=2.825, rad2=5.675, and thick=0.25. The parameter name must be at least two characters long. See the ANSYS Parametric Design Language Guide for details about ANSYS parameters.

Note

If a parameter with the same name is defined in the launcher and in the start110.ans file and the start110.ans file is read, the definition in the start110.ans file overrides the definition specified in the launcher.

ANSYS Language

Specifies a translated language file. If you specify a language that does not have the associated translated files, the launcher defaults to US English. ANSYS, Inc. does not provide translated files for all products. For information on the availability of translated language files, contact your ANSYS sales representative.

Graphics Device Name

Sets the graphics device. The GUI requires a terminal that supports graphics. For UNIX systems, the graphics device can be X11 (default), X11c, or 3D. Choose 3D if you have a 3-D graphics device; otherwise, use the default. For Windows systems, the graphics device can be WIN32 (default), WIN32c, or 3D. Not available with the ANSYS Batch simulation environment.

Send output to

(UNIX only) Directs the output of the ANSYS program to the screen only, to an output file only, or to both. For systems that support two-way redirection of output, the default is to send output to both the screen and the output file (Jobname.OUT). If queuing is used, output will be directed to the output file only.

Read start.ans at start-up

Indicates whether the start110.ans file is read at start-up. You can include commands to be executed when the program starts up in the start110.ans file. See Setting Preferences with the start110.ans File for more information. Uncheck the box to not read the start110.ans at start-up.

If you selected the LS-DYNA Solver simulation environment, you can specify the following items:

Memory (words)

Specify the memory to be used, in words. For more information, see the EDSTART command.

File Size

Specify the scale factor for binary file size. For more information, see the EDSTART command.

Number of CPUs

Specify the number of CPUs to be used for shared memory parallel processing.

Enable Consistency Checking

Specify if consistency is to be forced or not for shared memory parallel processing. Forcing consistency will ensure that calculations are performed in the same order across all machines, avoiding differences in results that could otherwise occur.

Enable Double Precision Analysis

For more accurate results, you can use the double-precision capabilities of ANSYS LS-DYNA. This feature is especially useful in sequential explicit-to-implicit springback types of analyses.

For more information on these settings or ANSYS LS-DYNA in general, see the ANSYS LS-DYNA User's Guide.

3.2.1.4. The High Performance Computing Setup Tab

Use this tab to launch ANSYS to run shared-memory ANSYS with multiple processors or to run Distributed ANSYS with the proper MPI configuration.

To activate shared-memory ANSYS with multiple processors, click Use Shared-Memory Parallel (SMP) and specify the number of processors. You will need an ANSYS Mechanical HPC license for each processor after the first two.

To activate the distributed settings, click Run Distributed ANSYS. You then need to specify machine information using one of the following methods:

  • A local machine with multiple processors

  • Multiple machines, specifying the machines via the launcher

  • Multiple machines, specifying the machines via an existing MPI file

You will need an ANSYS Mechanical HPC license for each processor after the first two.

If you are running on an HP or Linux system running HP MPI, you can specify secure shell (ssh) instead of remote shell (rsh). You can also choose to use the working directory as specified on the File Management tab as the directory structure on the master and all nodes. If you select this option, all machines will require the identical directory structure matching the working directory specified on the launcher. This option will override any existing MPI_WORKDIR settings on the master or the nodes.

For detailed information on using this tab, see the Distributed ANSYS Guide. This tab is not available in all simulation environments.

3.2.1.5. The MFX - ANSYS/CFX Setup Tab

Use this tab to launch ANSYS and CFX with the proper licenses, settings, and input files to run the MFX solver. You must select the MFX - ANSYS/CFX simulation environment to activate this tab. For detailed information on using this option, see "Multi-field Analysis Using Code Coupling" in the Coupled-Field Analysis Guide.

When using this launcher tab, you will be able to open and run CFX on the local machine only. If you will be running CFX on a different machine, you must use the command method. You can, however, start the ANSYS run using this tab, regardless of whether or not you start the CFX run from the launcher.

3.2.1.6. The LSF Tab

If you selected the ANSYS/Batch simulation environment, and you have Platform Computing's Load Sharing Facility (LSF/Batch) program installed, you will see this tab. ANSYS LSF/Batch is not supported on all platforms.

Platform Computing's Load Sharing Facility (LSF/Batch) is a separately-purchased product that supports batch job management and intelligent queues.

When you select the LSF tab, you will see a list of Host Types, Available Hosts, and Available Queues.

The Host Type box lists the type of machines (such as HP PA11) available as hosts at your site. Available Hosts are the actual machine names available for your use on the network. Available Queues are predefined queues that you have permission to access.

You can also specify additional input and output files to be transferred via LSF. To add an additional file, click Add (either under Additional Input Files or Additional Output Files) and enter the name of the file in the text entry dialog that appears and press the OK button. The file is added to the list. To remove a file from the list, select the file from a list. The file name appears in the text entry box under the list. Highlight the file name and press the Remove key.

If you make selections or changes and want to return to your default settings on this tab, click the Refresh button.

Select the appropriate values, then choose the LSF Run button to send the batch job to a queue for processing.

For information on how to use ANSYS LSF/Batch, check the documentation on this product from Platform Computing. The LSF/Batch product is documented in the manual LSF JobScheduler User's Guide, available online and from Platform Computing.

You can also launch LSF/Batch from the ANSYS input window. See Launching LSF/Batch from the ANSYS Input Window.

To configure LSF to run correctly on your system, see Configuring LSF/Batch on Your System.

3.2.2. Launcher Menu Options

You can find launcher-specific controls under several launcher menu options. The menu options are:

File

Use the File menu to restart the launcher if it is already running or to exit. If you choose the Restart Launcher option, the license environment will be refreshed (including changes to the license servers). Any settings that you changed on any of the tabs will be reset to their default values. However, restarting the launcher will not pick up any changes to environment variable settings, including licensing environment variables.

Profiles

Use the Profiles menu to save a specific launcher configuration. The profile you are currently running is displayed in the launcher title bar. An asterisk (*) follows the profile name if you have changed any settings from what is saved.

  • Click Save Profile to save the current launcher configurations. You can enter a name for this profile. The last run profile will automatically be set as the default unless you specify otherwise. If you want to set a subsequent profile as the default, you will need to check the Set as Default box when you define that profile.

  • Click Load Profile to select the last run profile, the initial settings (the default configuration as shipped by ANSYS), or one of your saved profiles.

  • Click Manage Profiles to rename a profile, specify a different default profile, unset a default profile, or delete a profile.

On UNIX, once you've run the launcher at least once and established a “last run” profile, you can quickly “run now” using the most recent launcher configuration by typing:

launcher110 -runae

runae will launch the ANSYS environment. You can launch other simulation environments using the following options instead of runae:

ANSYS Batch: -runbatch
ANSYS Workbench: -runawe
ANSYS LS-DYNA: -rundyna
MFX - ANSYS/CFX: -runmfx

When you “run now, “ you can also specify a particular profile using the -profile profilename option:

launcher110 -runae -profile myprofile1
where myprofile1 is the name of a previously-defined profile. You can specify “default” as the profile name to launch the product using your default profile:
launcher110 -runae -profile default

Note

Before you can use -runmfx, you must have executed an MFX run through the MFX - ANSYS/CFX tab on the launcher at least once, or defined and saved a profile.

Options

Use the Options menu to select or deselect the following options:

  • Close the launcher on run

  • Write out the launcher log file (launcher.110.log)

  • Show the hostname in the launcher title bar

  • Use detailed working directory browse dialog box

  • Check for CFX Licenses for 'MFX - ANSYS/CFX' Simulation Environment

  • Pause at the end of a run (where applicable)

  • Specify your terminal emulator (UNIX only)

  • Save existing output files from batch runs

  • Use the full ANSYS executable path in LSF runs (Windows only)

  • Use 'nohup' to start batch runs with output sent To 'File Only' (UNIX only)

  • Delete all settings/profiles

  • Reset ANSYS GUI configuration (Windows only)

  • Use C Shell Scripts For Runs Submitted Through the Batch 'Queue' (UNIX only)

If you choose to use the detailed working directory browse dialog box, it shows you what files are contained in each directory, allows you to create a new directory, and allows you to filter on file type. The standard browse dialog displays only the directories from which to choose.

By default, the launcher saves existing output files from batch runs. When a new file is created, the old one is renamed to jobname.out.<timestamp> when the batch job is started. The timestamp is in the format YYYY-MM-DD@hh_mm_ss and reflects the date that the file was renamed, not the date the original file was created. To overwrite the output file rather than renaming it, uncheck the Save Existing Output Files From Batch Runs item under the Options menu on the launcher.

Use the Reset ANSYS GUI Configuration option to return the ANSYS GUI to its default configuration if you've rearranged the menus or toolbars. This option is especially useful if you've moved an ANSYS GUI component out of your screen's viewable area.

The Check for CFX Licenses for 'MFX - ANSYS/CFX' Simulation Environment option is selected by default. Turn this option off only if you are using the CFX license manager utility to manage your CFX licenses. Turning off this check allows you to submit your MFX run from the launcher even if you do not run CFX through the ANSYS License Manager.

The Use Full Executable Path in LSF Runs option allows you to specify whether a full ANSYS executable path should be used in the command line for LSF runs. If this option is set (the default), the execution host must have ANSYS installed in the same directory as on the local machine. If you choose to unset this option, your path on the execution host must be able to find the required ANSYS executable. All machines on the LSF cluster must be configured the same way: they must all either use the same installation directory or must all be set up so that the path can find the ANSYS executable.

If you choose to unset this option AND the correct path to the ANSYS executable is correctly placed in your paths, LSF may still not be able to find the correct path. In this case, your LSF system administrator may need to add the line JOB_STARTER=preservestarter to each queue in the lsb.queues file of the LSF cluster used to run ANSYS. If JOB_STARTER lines already exist for the queues, you can add the preservestarter option to the existing line, separating it with a semicolon. After adding the JOB_STARTER line, you need to restart the LSF cluster. See your LSF documentation for more information on the lsb.queues file and the JOB_STARTER option.

The Use 'nohup' To Start Batch Runs With Output Sent To 'File Only' option is required only on some systems. On some systems, you may need to select this option to allow batch jobs to continue running after you log out of a session. Please refer to your system documentation to determine if your system automatically provides the ‘nohup’ capability. We do not recommend using this setting on systems that automatically set ‘nohup.’

The Delete All Settings/Profiles option deletes all profiles saved for this release and sets all Options menu settings back to the defaults. The launcher will also close automatically.

The Use C Shell Scripts For Runs Submitted Through the Batch 'Queue' option is necessary on some machines that require a C shell script rather than a Bourne shell script. For the machines that require C shell scripts, if a Bourne shell script is submitted, the run will fail (possibly with an "export: Command not found" message). If your machine requires Bourne shell scripts and you select this option (i.e., your machine does NOT require C shell scripts), the run will fail. This option is only used when runs are submitted via the Queue option.

Tools

Use the Tools menu to view the ANSYS command line, to open a file in a text editor, or to access ANSYS's auxiliary programs. You may or may not see all of these programs and utilities, depending on what products you have installed. The programs you can access include:

  • ANS_ADMIN utility

  • ANIMATE utility (Windows only)

  • DISPLAY utility

  • Results Tracker utility. See the NLHIST command for more information.

  • CFX Launcher. This option is only applicable if you have a CFX product installed. On Windows, this will open the launcher for the last-installed version of CFX. This version will typically be the latest version of CFX you have on your machine. However, if you installed an earlier version of CFX after a later version, then this option will open the launcher of that earlier version. On UNIX systems, this option will search for the CFX launcher first in the default CFX installation directory; if not found, then it searches for the version of CFX that appears first in your path.

You can also display your license status, run the ANSLIC_ADMIN utility, or view the launcher log file from the Tools menu. For more information on the ANSLIC_ADMIN utility, see the ANSYS, Inc. Licensing Guide.

If you have LSF/Batch installed, you can display the LSF command line as well.

Links

Use the Links menu to access related web sites, such as the ANSYS Customer Portal, the ANSYS Workbench Community Portal, and the ANSYS Home Page.

Help

Use the Help menu to access more information. From this menu, you can access:

  • Launcher help for more detailed information on this launcher.

  • Site Information.

  • The About Launcher information.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.1. Starting an ANSYS Session from the Command Level 		Up / Home Next
3.3. Interactive Mode


3.3. Interactive Mode

In interactive mode, you work with menus and dialog boxes to drive the ANSYS program. You have easy access to ANSYS graphics capabilities, online help, and other tools, such as wizards.

The standard ANSYS GUI is the default. This layout shows the Utility Menu, Standard Toolbar, Input Window, ANSYS Toolbar, Main Menu, Graphics Window, Status Area, and Output Window. You can resize the toolbars, the overall size of the GUI, the font, and the color. For more information on these components and how to customize them, see Customizing ANSYS and the GUI

You can also run ANSYS through the ANSYS Workbench Products. The ANSYS Workbench provides a framework for integrating the various ANSYS computer-aided engineering tools into a single working environment, combining the user interface strengths of the DesignSpace product with the solution capabilities of ANSYS.

To run the ANSYS Workbench, you must first install the ANSYS Workbench Products. See the ANSYS, Inc. Installation Guide for your platform for more information.

3.3.1. Executing the ANSYS or DISPLAY Programs from Windows Explorer

If you are running ANSYS on a Windows system, you can double-click on the following types of files from the Windows Explorer to execute the ANSYS or DISPLAY programs:

  • Double-click on a .db or .dbb file to execute the ANSYS program. When executed in this way, ANSYS will set the launcher's working directory to the directory where the .db or .dbb file resides and will set the jobname to match the .db or .dbb file's name.

  • Double-click on a .grph or .f33 file to execute the DISPLAY program. The first plot that appears in the file will be loaded into DISPLAY automatically.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.2. The ANSYS Launcher 		Up / Home Next
3.4. Batch Mode


3.4. Batch Mode

In batch mode, you submit a file of commands to the ANSYS program. On some operating systems, you can run a batch job in the background while doing other work on the computer. Batch mode is useful when you do not need to interact with the program, such as during the solution phase of an analysis.

3.4.1. Starting a Batch Job from the Command Line

Starting Batch Mode from the UNIX Command Line

To start batch mode from the UNIX command line:

Foreground execution (ksh or sh shells):

ansys110 -b -p productvar < inputname > outputname 2>&1

Background execution (ksh or sh shells):

nohup ansys110 -b -p productvar < inputname > outputname 2>&1 &

The nohup command tells the system to ignore hang-up signals, enabling the ANSYS program to continue executing if you log off from the system.

Foreground execution (csh shell):

ansys110 -b -p productvar < inputname > &outputname

Background execution (csh shell):

nohup ansys110 -b -p productvar < inputname > &outputname &

Back To Top

Starting Batch Mode from the Windows Command Line

You can also start a batch job in Windows by issuing the ANSYS execution command directly from the MS-DOS command prompt window. The format for the command depends on whether you want ANSYS to run in the foreground or the background:

Foreground execution:

"<drive>:\Program Files\Ansys Inc\V110\ANSYS\bin\<platform>\ansys110" -b -i
     inputname -o outputname

Background execution:

start /min "<drive>:\Program Files\Ansys Inc\V110\ANSYS\bin\<platform>\ansys110" -b -i
     inputname -o outputname

To run multiple consecutive jobs on Windows systems, create and run a batch file containing commands similar to the example below:

set ANSYS110_PRODUCT=ANE3FL
set ANS_CONSEC=YES
"C:\Program Files\Ansys Inc\V110\ANSYS\bin\intel
     \ansys110" -b -i vm1.dat -o vm1.out
"C:\Program Files\Ansys Inc\V110\ANSYS\bin\intel
     \ansys110" -b -i vm2.dat -o vm2.out
"C:\Program Files\Ansys Inc\V110\ANSYS\bin\intel
     \ansys110" -b -i vm3.dat -o vm3.out

Setting ANS_CONSEC=YES disables ANSYS dialog boxes so that multiple jobs can run consecutively without waiting for user input.

Note

The example above assumes that the ANSYS product that you are running is ANSYS Multiphysics, which has a product variable of ane3fl.

3.4.2. Launching LSF/Batch from the ANSYS Input Window

LSF/Batch can also be launched from the ANSYS Input window. The command syntax is:

~LSFBATCH,<command>,<hostname><queue>,<memory>,<batch input>,<batch output>,
     <input file>,<output file>

Here is a list of brief descriptions of the command arguments. For more information, see the LSF JobScheduler User's Guide.

Note

Any parameter containing either a back slash or a forward slash (\ or /) must be enclosed in single quotes. So if the <batch input> file is in another directory, the path to the file would look like this:

~LSFBATCH,,,,'/library/models/bridge6.inp'

<command>

The ANSYS command to run as a batch job; this is a required parameter.

<hostname>

The host to submit the batch job to; the default is unspecified (host chosen by LSF).

<queue>

The queue that the job is to be submitted to.

<memory>

The memory resource requirement, which is not equivalent to the -m option for ANSYS.

<batch input>

The input file containing the ANSYS model; this is a required parameter.

<batch output>

The ANSYS output file information.

<input file>

Any additional file that might be needed, such as a configuration file, a .db file, or a part file for a connection test.

<output file>

Any output file that you wish to be copied back to the submitting host.

3.4.3. Configuring LSF/Batch on Your System

LSF/Batch requires some configuration by the administrator of your system. If LSF/Batch has been licensed for your system but does not run, the administrator will need to update the following files:

  • <lsf_install>/lsf/conf/lsf.shared

  • <lsf_install>/lsf/conf/lsf.cluster.<clustername>

Detailed instructions on updating these files appears in the LSF JobScheduler User's Guide available from Platform Computing. Below are brief samples showing you the information that needs to be changed for each system on which you wish to run LSF/Batch.

When Platform Computing's LSF/Batch product is installed, it should have one central configuration directory for the entire cluster. The configuration directory contains a number of files, including lsf.shared and lsf.cluster.<clustername>. The lsf.shared file defines information about the type of software run on the network. The lsf.cluster.<clustername> file lists each host and defines specific applications for each host.

To run LSF/Batch with ANSYS on the network, the administrator first must add the following line to appropriate location in the lsf.shared file:

ansys     Boolean ( )          ( )       (Hosts with ANSYS)

Once the administrator has defined the resource name, add the following information to the lsf.cluster.<clustername> file:

<hostname>      <model>   <type>   <server>       --   (ansys)

Note

For <server>, indicate a server by entering 1.

See the LSF Administrator's Guide, available from Platform Computing, for detailed information on updating these files.

You must refer to the LSF/Batch documentation from Platform Computing for specific information on installing, configuring, and running LSF/Batch.

For ANSYS LSF/Batch to run correctly, your current working directory must exist on all machines where jobs will be run and must match exactly the current working directory of the machine from which the batch job was submitted.

If the names do not match exactly, LSF/Batch assumes that the current working directory does not exist and sets a different location (/net/hostname/username) as the working directory on the target machines. If this second location does not exist, your ANSYS jobs could abort with an output message indicating that no working directory exists:

*** FORTRAN I/O ERROR 908: COULD NOT OPEN FILE SPECIFIED FILE: ftn19, UNIT: 19

Alternatively, you can add the line LSF_AM_OPTIONS=AMNEVER to the lsf.conf file. This statement directs LSF/Batch to establish the working directory on each machine as it does the home directory (i.e., current, followed by $HOME, followed by /tmp). Note that you must manually stop and restart the daemons for the entire cluster in order for any changes to the lsf.conf file to take effect because this file is read only at the startup of the daemons. For more information on this file, please refer to the LSF/Batch documentation from Platform Computing.

LSF must also be able to locate the full ANSYS executable path. The Use Full Executable Path in LSF Runs option of the launcher allows you to specify whether a full ANSYS executable path should be used in the command line for LSF runs. If this option is set (the default), the execution host must have ANSYS installed in the same directory as on the local machine. If you choose to unset this option, your path on the execution host must be able to find the required ANSYS executable. All machines on the LSF cluster must be configured the same way: they must all either use the same installation directory or must all be set up so that the path can find the ANSYS executable.

If you choose to unset this option AND the correct path to the ANSYS executable is correctly placed in your paths, LSF may still not be able to find the correct path. In this case, your LSF system administrator may need to add the line JOB_STARTER=preservestarter to each queue in the lsb.queues file of the LSF cluster used to run ANSYS. If JOB_STARTER lines already exist for the queues, you can add the preservestarter option to the existing line, separating it with a semicolon. After adding the JOB_STARTER line, you need to restart the LSF cluster. See your LSF documentation for more information on the lsb.queues file and the JOB_STARTER option.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.3. Interactive Mode 		Up / Home Next
3.5. Choosing an ANSYS Product


3.5. Choosing an ANSYS Product

ANSYS builds a variety of products. Your site may have licenses for one, several, or all ANSYS products and product combinations. By invoking ANSYS with the appropriate product variable, you can run a more efficient ANSYS session. You can specify the appropriate product via the launcher or via command line using the -p option. The default product (if you are licensed for it) is ANSYS Mechanical. See the Product Variable Table in the ANSYS, Inc. Licensing Guide for a complete list of all product variables.

On both Windows and UNIX systems, you can start any ANSYS product you have licensed by including the -p option when you issue the ANSYS execution command, as shown below:

ansys110 -p productvar

The value productvar is a variable that represents the ANSYS 11.0 product you wish to run. Each ANSYS product has a unique product variable. For example, to start the ANSYS Mechanical product with the add-on FLOTRAN option, type the following:

ansys110 -p ANFL

3.5.1. Changing the Default Product for a UNIX System

If you regularly use a product other than ANSYS Mechanical but want to avoid typing in the -p option and the appropriate product variable each time you start an ANSYS session, follow the shortcut procedure described below. This procedure changes the default product from ANSYS Mechanical to the product you specify.

  1. Using vi, emacs, or another text editor, insert the following line into your .cshrc file. (Type the product variable for the product in place of productvar.)

    setenv ANSYS110_PRODUCT productvar

  2. Save your changes to the .cshrc file, then issue this command:

    source .cshrc

Since the product you added to the .cshrc file is now the default product, you can omit the -p option when you want to run that product. However, to invoke any execution command options other than -p, you still need to include them in the command text.

Note

The ANSYS product you specify with the -p option does not affect the ANSYS product choices available to you in the launcher. When you invoke the launcher, choose the product to run from the launcher's product menu, as described in Product Settings, instead of using the -p option.

You can also set the ANSYS110_ALTPRODS environment variable to specify alternate product choices with the priority you wish. See the ANSYS, Inc. Installation Guide for your platform for more information on this and other environment variables.

3.5.2. Changing the Default Product for Start-up on Windows

If you customarily use a product other than ANSYS Mechanical but want to avoid typing in the -p option and the appropriate product variable each time you start an ANSYS session, follow the procedure described below:

  1. Click on the System icon in the Control Panel.

  2. Click on the Environment tab.

  3. In the dialog box, under System Environment Variables, add the ANSYS110_PRODUCT environment variable.

  4. Set the value of the ANSYS110_PRODUCT environment variable to productvar.

  5. Click on Set.

set ANSYS110_PRODUCT=productvar

The product you chose as the default starts automatically when you issue the ANSYS execution command, and you can omit the -p option. To invoke any command options other than -p, you need to include them in the command text.

You can also set the ANSYS110_ALTPRODS environment variable to specify alternate product choices with the priority you wish. See the ANSYS, Inc. Installation Guide for your platform for more information on this and other environment variables.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.4. Batch Mode 		Up / Home Next
3.6. Setting Preferences with the start110.ans File


3.6. Setting Preferences with the start110.ans File

A sample ANSYS start-up file, start110.ans, is included in the ANSYS apdl directory (for example, /ansys_inc/v110/ansys/apdl/start110.ans on UNIX systems, Program Files\Ansys Inc\V110\ANSYS\apdl\start110.ans on Windows systems). Copy this file to your home directory, where you can modify the file to suit your preferences.

You can specify commands to be executed at program start-up in the start110.ans file. For example, if you use certain functions frequently during an ANSYS session, you might define them as abbreviations (see Abbreviations) and define those abbreviations in the start110.ans file.

By default, ANSYS reads start110.ans at the beginning of an interactive session, but does not read it during a batch session. Change these defaults using the -s option when executing the ANSYS command. If you issue the following command, the start110.ans file will not be read even during an interactive session:

ansys110 -s noread

Conversely, issuing the command shown below forces the program to read the start110.ans file during batch execution:

ansys110 -b -s

You also can specify whether the start110.ans file is to be read by using the Interactive or batch dialog box on the launcher. ANSYS reads the first start110.ans file it finds in the following search paths:

  • The working directory

  • Your home directory

  • The ANSYS apdl directory

Additional values for the -s option are detailed in the following section.

3.6.1. The start110.ans File

Changes made in the start110.ans file, especially those concerning hardware or system configuration, could affect other programs after your ANSYS session is completed. Also, ANSYS configuration values that are set during an ANSYS session can carry over into the next ANSYS session if they are not reset. You can reset system parameters and ANSYS configuration values by including a stop110.ans file in the same directory as the start110.ans file.

By default, ANSYS reads start110.ans and stop110.ans at the beginning and end of an interactive session, respectively. You can change these defaults by using the -s option when executing the ANSYS command. The following values are valid for use in conjunction with the -s option:

-s Value | Read start110.ans? | Read stop110.ans?
[default] | Yes | Yes
Noread | No | No
Nostart | No | Yes
Nostop | Yes | No

Both the UNIX and Windows launchers allow you to specify whether or not to read the start110.ans file when the program is started. The value you choose for the start110.ans file is also applied to the stop110.ans file.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.5. Choosing an ANSYS Product 		Up / Home Next
3.7. Estimating ANSYS Run Time


3.7. Estimating ANSYS Run Time

The ANSYS program contains a run time estimator that can help you predict the length of ANSYS runs. The estimator uses an ANSYS macro file called SETSPEED, which contains the ANSYS command RSPEED and an estimate of the speed of the computer on which the macro was created.

The SETSPEED macro is created by a stand-alone program called ANSSPD, supplied by ANSYS. The ANSSPD program gathers your computer's performance information and writes it to the SETSPEED macro.

3.7.1. Creating a SETSPEED Macro File

You must run the ANSSPD program to create the SETSPEED macro file.

On UNIX systems, issue the following command from command level to create the SETSPEED macro:

/ansys_inc/v110/ansys/bin/ansspd110

On Windows systems, issue the following command from the DOS prompt:

Program Files\Ansys Inc\V110\ANSYS\bin\<platform>\ansspd

ANSSPD creates a SETSPEED.MAC file in your current directory. To make it available to all ANSYS users, move it to the apdl subdirectory.

3.7.2. Using a SETSPEED Macro to Estimate Run Time

To estimate ANSYS run time, issue the ANSYS command /RUNST (Main Menu> Run-Time Stats). Then issue the commands SETSPEED (to tell ANSYS the speed of the system) and RTIMST (Main Menu> Run-Time Stats> Individual Stats -- to invoke the run time estimator).

If you are running the ANSYS program on more than one computer, and those computers have different speeds, you may want to run the SETSPEED macro on each of your systems. If so, rename the SETSPEED file to identify the file uniquely for each system. (For example, you could rename the file as SPD500.MAC for a 500 MHz PC, or as SPDRS6.MAC for an IBM RS/6000.) Remember to notify all ANSYS users of any filename changes. So if you run SETSPEED and get unexpected results, you may be running a SETSPEED that was created on one computer and exported to another. You can create a new SETSPEED macro by running ANSSPD and moving the resulting SETSPEED.MAC file to a local directory.

You also may want to create a SETSPEED macro file during the day, when the system load is heavy, and another one with a different name at night, when the system load is light. This will produce two different SETSPEED macro files, enabling users to estimate how long their ANSYS jobs will run at a given time of day.

If you do create the two macro files, rename them DAYSPEED.MAC and NITESPEED.MAC and inform all ANSYS users of the change. Store macro files for all ANSYS users in the ANSYS apdl subdirectory.

For more information about /RUNST, RSPEED, and RTIMST, see the Commands Reference.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.6. Setting Preferences with the start110.ans File 		Up / Home Next
Chapter 4. Using the ANSYS GUI


Chapter 4. Using the ANSYS GUI

The ANSYS Graphical User Interface (GUI) is an easy and intuitive way to interact with ANSYS. The GUI mode is often referred to as interactive mode in the documentation and help system.

The ANSYS GUI allows you to perform an analysis interactively with little or no knowledge of ANSYS commands. Each GUI option activates one or more ANSYS commands to perform the requested operation. You can perform most ANSYS operations interactively, but some operations are available only by entering commands in the command input area or via a batch file. ANSYS records all commands issued in the input history file (Jobname.LOG).

The following GUI-related topics are available:

  • GUI Controls
  • Activating the GUI
  • Layout of the GUI

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.7. Estimating ANSYS Run Time 		Up / Home Next
4.1. GUI Controls


4.1. GUI Controls

This section describes the basic GUI components and explains basic GUI strandards. Take time to read this section if you are new to GUI applications.

4.1.1. A Dialog Box and Its Components

You use Dialog boxes to provide input to ANSYS for a particular function. The type of dialog box ANSYS provides is dependent on the type of input required. Your input might require any of the following: text entry box, check button, radio button, option button, single-selection list, multiple-selection list, two-column selection list, a tabbed box, or a tree structure. Other components of a dialog box include action buttons such as OK, Apply, and Cancel.

4.1.1.1. Using Text Entry Boxes

In a text entry box, you enter numbers or character strings (such as parameter names). If text already exists in the text entry box, you overwrite it by highlighting the existing text. To highlight existing text, press and drag the left mouse button. Double-clicking the left mouse button on a word highlights the word, and triple-clicking it highlights the entire string.

Figure 4.1 Text Entry Box

4.1.1.2. Using Check Buttons

Figure 4.2 Check and Radio Buttons

Check buttons are square buttons that turn ANSYS features on or off. To change a check button from on to off or vice versa, you click on it with your left mouse button. In Figure 4.2: "Check and Radio Buttons", the buttons under "Preferences for GUI Filtering" are check buttons.

4.1.1.3. Using Radio Buttons

Radio buttons are diamond shaped buttons you use to choose one of several options. One button is always "On" in a set of radio buttons. Clicking on the desired item makes that button active and turns off other buttons. In Figure 4.2: "Check and Radio Buttons", the buttons shown under "Methodology" are radio buttons.

4.1.1.4. Using Option Buttons

With option buttons you choose an item from a pop-up menu that collapses into one button showing the active choice. To choose a different option, do the following:

  1. Place the cursor on the button.

  2. Press the left mouse button and hold it.

  3. Drag the mouse through the pop-up menu until the desired item is highlighted.

Figure 4.3 Option Buttons

4.1.1.5. Using Single-Selection Lists

You use a single-selection list to choose one option from a scrollable list. Clicking on the desired item highlights it and copies it to the Selection box, where you can edit it.

Figure 4.4 Example of a Single-Selection List

4.1.1.6. Using Multiple-Selection Lists

You use a multiple-selection to choose items from a list. It resembles the single-selection list except that there is no Selection box, and you can choose more than one item. Clicking on an item highlights and makes it active, and clicking the same item again deactivates it.

Figure 4.5 Multiple-Selection List

4.1.1.7. Using Two-Column Selection Lists

You can select one of several choices from a two-column selection list. It resembles the single-selection list except your choices are grouped into categories. Choose a category from the left column, then pick the desired item from the right column. Choices available in the right column vary according your choice in the left column.

The GUI displays this type of list primarily when you need to choose from a large number of items.

Figure 4.6 Two-Column Selection List

4.1.1.8. Using Tabbed Dialog Boxes

A tabbed dialog box presents groups of related commands in one location. You choose an individual tab by clicking on it, or by using CTRL-Tab to move between the tabs. Some tabbed dialog boxes require that you navigate through each tab sequentially, with later tabs “grayed out” until you complete required tasks in an earlier tab.

Figure 4.7 Tabbed Dialog Box

4.1.1.9. Using Drop-Down List Boxes

A drop-down list box provides a list of choices for an option. Make a selection by clicking on the small arrow on the right side of the list box and then scrolling to and clicking on the desired choice from the list.

Figure 4.8 Drop-Down List Box

4.1.1.10. Using Tree Structures

A tree structure presents a hierarchical flow of logical choices from major categories to specific subcategories. Select a major category by double-clicking on the category. Subcategories appear listed vertically and indented beneath that major category. If you select a subcategory in the same way, further subcategories are listed, and become more specific. Continually selecting subcategories yields the final item in the “branch” of the tree. At this point, instead of a categorical choice, you enter or edit data to provide specific input.

Figure 4.9 Tree Structures

You double-click on the name of the final item to display a data input dialog box where you enter or edit the data.

Figure 4.10 Sample Data Input Dialog Box

4.1.1.11. Using Action Buttons

A dialog box typically contains combinations of the following action buttons:

  • OK - Applies the changes and closes the dialog box.

  • Apply - Applies changes but does not close the dialog box. Use this button when you need to make more than one change within a dialog box, or you need to execute a function more than once.

  • Reset - The settings in the dialog box revert to the previous or default settings.

  • Cancel - Closes the dialog box without applying any changes you made. The difference between Cancel and Reset is that Reset does not close the dialog box.

  • Help - Displays help information for the function being performed.

4.1.1.12. Entering a Mathematical Expressions in a Field

In some cases, you may want to specify an input value in the form of a mathematical expression. To do so, use parentheses around individual operands in the expression, as shown in this example:

(-111.5)+(68)

If you omit parentheses, ANSYS may interpret the expression differently than you had intended, causing unpredictable results or error messages. For more information about the order in which the ANSYS program evaluates an expression, see Parametric Expressions.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 4. Using the ANSYS GUI 		Up / Home Next
4.2. Activating the GUI


4.2. Activating the GUI

If you enter ANSYS through the launcher (see "Running the ANSYS Program"), the GUI is activated automatically for interactive running. If you enter the program by typing the ANSYS execution command, you can activate the GUI in any of the following ways:

  • Use the GUI entry option (-g) on the execution command. For example, on UNIX systems you would issue the following execution command:

    ansys110 -g

  • Type /MENU,ON once you enter the program.

  • Include /MENU,ON in your start110.ans file.

  • Set the GRPH_ENTR keyword in your config110.ans file. For more information about this file, see "File Management and Files" in the Basic Analysis Guide.

For the last three methods listed above, you must first specify a valid graphics device name so that the ANSYS program can properly direct graphics instructions to your display device. To specify a graphics device name, issue the /SHOW command.

Note

Once you activate the GUI, you cannot deactivate it within the same ANSYS session.

Note

To return to the pre-ANSYS 6.1 GUI, enter /MSTART, UTIL,1 in your start110.ans file. You must use pre-ANSYS 6.1 GUI documentation if you choose this option.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.1. GUI Controls 		Up / Home Next
4.3. Layout of the GUI


4.3. Layout of the GUI

For all ANSYS products except ANSYS Professional, by default the ANSYS GUI has eight areas.

Figure 4.11 The ANSYS GUI

  1. Utility Menu - Contains utility functions that are available throughout the ANSYS session, such as file controls, selecting, graphics controls, and parameters. You also exit the ANSYS program through this menu. See The Utility Menu for more information.

  2. Standard Toolbar - Contains graphic buttons that execute frequently used ANSYS commands. See The Standard Toolbar

  3. Command InputArea -Allows you to type in commands directly. The Single Line Input Window (shown) is the GUI default, but an editable window is available for more complex command operations. See Command Input Options for more information.

  4. Main Menu - Contains the primary ANSYS functions, organized by processors (preprocessor, solution, general postprocessor, design optimizer, etc.). See The Main Menu for more information.

  5. Graphics Window - A window where graphics displays are drawn. See The Graphics Window for more information.

  6. Status and Prompt Area - located at the bottom of the GUI, shows prompts and the status of your analysis. Typically, you will see prompts for functions that involve graphical picking. Be sure to read the prompt so you can pick the proper entities in the proper order. This area also contains status information (PREP7, SOLU, etc.).

  7. Output Window - Receives text output from the program. It is usually positioned behind the GUI, but you can bring it to the front when necessary. See The Output Window for more information.

You can resize the ANSYS toolbar, Main Menu and Graphics Window, as well as the overall size of the GUI. To resize the areas in the GUI, drag the borders around the areas of the GUI while holding down the left mouse button.

To change the overall size of the GUI, position the mouse on of the corners of the GUI and drag it diagonally towards the center of the GUI while holding down the left mouse button. You can save your GUI size settings by selecting Utility Menu> MenuCtrls> Save Menu Layout.

To completely remove ANSYS from your screen without terminating the ANSYS session, simply iconify the GUI. Later, you can bring back the ANSYS session by restoring the icon.

The remainder of this chapter describes each of the areas of the GUI.

4.3.1. The Utility Menu

The Utility Menu contains ANSYS utility functions such as file controls, selecting, graphics controls, and parameters. You can execute most of these functions anytime during the ANSYS session.

For example, while picking locations on the working plane to create keypoints (a Main Menu function), you can choose Utility Menu> PlotCtrls> Pan-Zoom-Rotate> Iso to change the view to an isometric view. If this function were "modal," then you would have to complete the "Create Keypoints" operation before being able to change views.

Each menu topic on the Utility Menu brings up a pull-down menu of subtopics, which in turn either cascade to a submenu (indicated by a >) or perform an action. The action may do any of the following:

  • Immediately execute a function.

  • Bring up a dialog box (indicated by a ...).

  • Bring up a picking menu (indicated by a +).

Figure 4.12: "Example of a Pull-Down, Cascading Menu" shows the pull-down list of subtopics you see when you choose the List topic:

Figure 4.12 Example of a Pull-Down, Cascading Menu

You use the left mouse button to "pull down" a menu topic on the Utility Menu. Pressing and dragging the mouse button allows you to move rapidly to the desired subtopic. Releasing the mouse button while it is on an "action" subtopic causes ANSYS to perform that action. Clicking the left mouse button leaves the pull-down and cascading menus in place. The menus disappear when you click on an action subtopic or elsewhere in the GUI.

You can also use your keyboard to pull down a menu topic and move to the desired function. You do so via the menu's mnemonic character, indicated by an underscore. Simply place the mouse cursor anywhere in the Utility Menu and press the ALT key and the mnemonic character simultaneously. For example, pressing ALT+F with the mouse cursor anywhere in the Utility Menu pulls down the File menu, since F is the mnemonic (indicated by the underscore in File).

Once the pull-down menu appears, you can use the other mnemonic characters (without the ALT) or the arrow keys on your keyboard to navigate to the desired menu topic and the ENTER or RETURN key to "pick" it.

The Utility Menu lists 10 topics. A brief description of each topic follows.

  • File - Contains file and database related functions, such as clearing the database, saving it to a file, and resuming it from a file. Some of the functions under the File menu are valid at Begin level only. If you choose such a function when you are not at Begin level, you will see a dialog box giving you a choice of moving to Begin level and executing the function or canceling the function.

  • Select - Includes functions that allow you to select subsets of entities and to create components. See "Selecting and Components" in the Basic Analysis Guide for details on selecting and components.

  • List - Enables you to list virtually any data item stored in the ANSYS database. You can also obtain status information about different areas of the program and list the contents of files residing on your system.

  • Plot - Lets you plot keypoints, lines, areas, volumes, nodes, elements, and other data that can be graphically displayed.

  • PlotCtrls - Includes functions which control the view, style, and other characteristics of graphics displays. The Hard Copy function lets you obtain hard copies of the entire screen or just the Graphics Window.

  • WorkPlane - Enables you to toggle the working plane on or off and to move, rotate, and otherwise maneuver the working plane. You can also create, delete, and switch coordinate systems by using this menu. See the Modeling and Meshing Guide for details about working planes and coordinate systems.

  • Parameters - Includes functions to define, edit, and delete scalar and array parameters. See the Modeling and Meshing Guide for details about parameters.

  • Macro - Allows you to execute macros and data blocks. You can also create, edit, and delete abbreviations, which appear as push buttons on the Toolbar. The Modeling and Meshing Guide describes macros, and the Toolbar is discussed later in this chapter.

  • MenuCtrls - Lets you create, edit, and delete abbreviations on the ANSYS Toolbar (see The ANSYS Toolbar), and modify the colors and fonts used in the GUI display. Once you've adjusted the GUI to your liking, you can use the Save Menu Layout function to save the current GUI configuration (including menu, window and overall GUI size).

  • Help - Brings up the ANSYS Help System, described in "Using the Online Help and Manuals".

4.3.2. The Standard Toolbar

The Standard Toolbar contains a set of icon buttons that execute commonly -used functions.

Figure 4.13 Standard Toolbar

By default, the Standard Toolbar is loaded and positioned when you start ANSYS. The Standard Toolbar is defined at start up, and cannot be modified during your session. For information, on modifying, repositioning, or defining additional toolbars see Creating, Modifying and Positioning Toolbars, below.

The standard buttons and their functions include:

New Analysis

Saves and clears information for the existing analysis and starts a new analysis.

Open ANSYS File

Reads ANSYS database or input files to be read into ANSYS. The file type determines the operation.

Save Analysis

Saves the current analysis to a database file.

Pan-Zoom-Rotate

Opens the Pan-Zoom-Rotate dialog box. See Changing the Viewing Angle, Zooming, and Panning in the Basic Analysis Guide.

Image Capture

Opens the image capture GUI. See The Results Viewer Toolbar in the Basic Analysis Guide for more information.

Report Generator

Opens the report generator GUI. See "The Report Generator" in the Basic Analysis Guide for more information on generating reports.

ANSYS Help

Displays the table of contents for the ANSYS HTML-based help.

Raise Hidden

Raises hidden windows to the top of the application.

Reset Picking

Resets the picking menu if it becomes unresponsive or does not appear when invoked via a menu pick or a command in the Input Window (such as ESEL,S,P).

Contact Manager

Opens the Contact Manager GUI.

4.3.3. Command Input Options

Although the GUI provides intuitive graphical access, you can provide input to the program by typing in commands, even while the GUI is active. There are two modes available for directly entering commands during your analysis. The Single Line Input Window displays only one line and uses a drop-down window to display the command history. Or you can use the ANSYS Command Window for more intensive command operations, such as pasting in multiple command strings or copying longer strings and selected commands from the history window. Both modes are described below.

4.3.3.1. The Single Line Input Window

Figure 4.14 Single Line Input Window

The Input Window is the default display for all GUI operations. You use the Input Window to conveniently enter single commands and access the history buffer without changing the overall configuration of the GUI. As you enter commands into the Input Window, dynamic command help appears in a box above the window. As you type the letters, the command help displays the possible commands, and guides you through the proper spelling and syntax of the command.

The history buffer contains all previously entered commands. Individual lines from the history buffer can be displayed in the Input Window and indexed with the up or down arrow keyboard keys. Once displayed in the window, you can edit the entry and execute it by using the return key.

You can view and access the history buffer by clicking the down arrow on the right of the text entry box. A drop down list containing the entry history appears. Clicking the left mouse button on any line in the history buffer moves that line to the text entry box where you can edit it and execute it. A double click on any line in the history buffer automatically executes that line.

The vertical scroll bar at the right corner of the (unhighlighted) history buffer box allows you to scroll through the history buffer. You can also use the up and down arrow keys to navigate the history buffer.

4.3.3.2. The Floating ANSYS Command Window

Figure 4.15 The Floating ANSYS Command Window

You bring the Floating ANSYS Command Window up by clicking on the keyboard icon at the left side of the Single Line Input Window. The ANSYS Command Window is a floating window that can be resized and positioned easily for more complex command entry operations. You can work in the command window, and when you close it, all of your operations will appear in the history buffer.

When you access the command history with the command window, you choose commands from the buffer, and selectively enter them into input line, in any order you choose. You do this by holding down the Ctrl-key and clicking on each command. As you do, the commands appear in the input line below. You can then edit the commands, changing parameters or syntax, before hitting enter to execute them.

You can also set the size and location of the Floating ANSYS Command Window to the desired orientation, and then use the “Save Menu Layout” feature to make it your default (the position and size you designate will appear the next time you start ANSYS). The Single Line Window will be available when you close the Command Window, but will no longer be the default.

The ANSYS Command Window provides a scrollable, editable text area where you can enter individual commands or paste in long command strings. You can also select multiple commands from the history buffer area, either using the shift key to select large contiguous portions of the history, or the control key to select multiple, individual commands. Like the Input Window, dynamic command help is available; as you type your command, the probable command is displayed. This display shows the complete command syntax, and stays visible so that you can check the help system or check other command argument parameters.

4.3.4. The ANSYS Toolbar

The ANSYS Toolbar is a convenient area where you can add push-buttons for command, function and macro shortcuts. The Toolbar is a set of push buttons that execute commonly used ANSYS functions. You can set the toolbar up to provide one-button access to your favorite and frequently used functions. It is loaded and positioned by default, and can be modified during your ANSYS session. Some push buttons (for example, SAVE_DB and RESUM_DB) are predefined, but you define all others. That is, you choose how many push buttons the Toolbar contains (to a maximum of 100) and what functions they execute.

Figure 4.16 The Toolbar

4.3.4.1. Adding Buttons to the Toolbar

You add additional push buttons to the Toolbar by creating abbreviations. An abbreviation is simply an alias (up to 32 characters long) for a complete ANSYS command or GUI function name. For example, SAVE_DB is an alias for the SAVE command, RESUM_DB is an alias for the RESUME command, and QUIT is an alias for the function Fnc_/EXIT, which displays the "Exit from ANSYS" dialog box. You can also add macros to the Toolbar by defining an abbreviation that executes the macro.

4.3.4.2. Creating Abbreviations

To create an abbreviation, choose Utility Menu> MenuCtrls> Edit Toolbar or Macro> Edit Abbreviations. Both menu choices bring up the "Edit Toolbar/Abbreviations" dialog box shown in Figure 4.17: "Edit Toolbar / Abbreviations Dialog Box". The Toolbar immediately reflects any changes you make to the abbreviations using this dialog box.

You can also create an abbreviation by issuing the *ABBR command from the Input Window. If you use this method, you need to update the Toolbar manually by picking Utility Menu> MenuCtrls> Update Toolbar. You can size the Toolbar to make it smaller or larger to fit your set of abbreviations.

Avoid using ANSYS command names when naming abbreviations.

Figure 4.17 Edit Toolbar / Abbreviations Dialog Box

The order in which you define abbreviations determines the placement of the buttons on the Toolbar. Once you have defined buttons, you cannot rearrange them graphically within the GUI. (You can save the abbreviations in a file and then edit the file if you want to reorder the way the buttons appear on the Toolbar.)

Buttons that execute commands or functions from a processor other than the current one will not work. For example, if you are in PREP7 and you pick a button for a POST1 command, you will receive an "unrecognized PREP7 command..." warning.

Once you have created your own set of abbreviations in the Toolbar, you can save them in a file by choosing either Utility Menu> MenuCtrls> Save Toolbar or Utility Menu> Macro> Save Abbr, or by using the ABBSAV command. To restore a set of abbreviations from a file, pick either Utility Menu> MenuCtrls> Restore Toolbar or Utility Menu> Macro> Restore Abbr, or use the ABBRES command.

You can make additional changes to your ANSYS Toolbar by modifying the start up file. See Creating, Modifying and Positioning Toolbars for more information.

4.3.5. The Main Menu

The Main Menu is where you begin your analysis. It contains the ANSYS analysis functions you use to create your model and perform your analysis. The Main Menu is arranged in a tree structure. This structure makes progressive submenus accessible as you proceed through the steps of the analysis. Each menu topic in the main menu either expands to show more menu options (indicated by a boxed +) or performs an action (indicated by an icon preceding the menu topic). Click on the boxed + or the topic name to expand a menu topic to reveal the subtopics (the boxed + will turn into a boxed -). Continue expanding subtopics (also indicated by a boxed +) until you reach the desired action. The action name is preceded by an icon used to indicate the action:

  • A square for a dialog box.

  • An arrow for a picking menu.

Figure 4.18 Main Menu

4.3.5.1. Using Preferences to Set Menu Content

One of the most useful customizations you can perform from the GUI is to apply filtering to your menu choices. Filtering lets you grey out, or completely hide many of the functions you determine you won't need during your analysis. You use the preferences dialog box to adjust your filtering.

When you start ANSYS, no filtering is applied (default). Menu choices for all analysis disciplines (structural, thermal, electromagnetic, ANSYS Fluid, and FLOTRAN CFD) are displayed. Menu items that are not applicable are grayed out, based on the context of your analysis (element type, solver, processor, etc.). You can remove the grayed out items by choosing the appropriate discipline from within the "Preferences for GUI Filtering" dialog box.

Note

Not all menu options may be visible during your analysis. If the desired option is not available, check your preferences and element types.

For example, choosing Thermal suppresses structural, magnetic, and fluid element types in the "Element Types" dialog box, displacements, and potentials, etc. in the "Apply Loads" and "Delete Loads" menus, and so on. Another item for which you can control the menu filtering is the methodology used for structural analysis - h-method, p-method, or LS-DYNA Explicit. By default, ANSYS uses h-method. (See the Structural Analysis Guide for discussions of these structural discipline options.)

You can also change your menu hierarchy and customize it to your needs by using the User Interface Design Language (UIDL), an ANSYS-developed GUI language. (See "Customizing ANSYS and the GUI".)

4.3.5.2. Additional Usability Features

When you open a Main Menu topic, the submenus stay in place until you choose a different Main Menu topic. If you do not see a menu topic, scroll up or down in the Main Menu area until you find the topic you are looking for, or click the boxed - to collapse subtopics you are no longer using.

Individual topics in the Main Menu can be completely expanded to reveal each and every subtopic. Right-mouse click context-sensitive control is available within the Main Menu to expand and collapse the individual topics. Once an individual subtopic is completely expanded, you can selectively close topics to have areas at different locations under each main topic expanded. As you do so, the amount of expansion you access is recorded and replicated the next time you enter that area.

You can set your menus to automatically collapse and expand your subtopics. Use the "Collapse Siblings" feature (found in the right-mouse click menu) to set your menu expansion preferences. When you choose collapse, the subtopics you have open automatically collapse when you choose another main topic.

When many submenus are open, navigating the main menu can become confusing, especially when individual submenus are large enough to push the heading out of the viewing area. The Preprocessor subtopic alone has more than 800 nested subheadings beneath it. You use the same right-mouse click context-sensitive control to configure the main menu for selectable contrasting color display within each nested level. You can designate any color for the menu text at each level, making the transition between levels easily detectable. This makes navigating within a subtopic, and up to higher levels much easier.

4.3.5.3. Main Menu Analysis Functions

Most of the functions in the main menu are "modal" with respect to each other; that is, you must complete one function before starting the next. For example, if you are creating keypoints on the working plane, you cannot simultaneously create lines or mesh volumes. However, you can define or edit scalar parameters in the middle of creating keypoints since parameter functions are "modeless" Utility Menu functions.

Your Main Menu functions will vary according to your product and type of analysis. The following functions are included in the default, non-filtered Main Menu:

  • Preprocessor - Enters the preprocessor (by executing the /PREP7 command) and contains PREP7 functions such as modeling, meshing, and loads.

  • Solution - Enters SOLUTION (by executing the /SOLU command) and contains SOLUTION functions such as analysis type and options, loads, load step options, and solution execution.

  • General Postproc - Enters the general postprocessor (by executing the /POST1 command) and contains POST1 functions such as plotting and listing of results.

  • TimeHist Postpro - Enters the time-history postprocessor (by executing the /POST26 command) and loads the Time History Variable Viewer. Contains POST26 functions such as defining, listing, and plotting of variables.

  • Design Opt - Enters the design optimizer (by executing the /OPT command) and contains OPT functions such as defining the optimization variables, starting the optimization run, and reviewing the resulting design sets.

  • Prob Design - Enters the PDS processor (by executing the /PDS command) and contains Probabilistic Design functions.

  • Radiation Matrix - Enters the radiation matrix generator (by executing the /AUX12 command) and contains AUX12 functions such as defining emissivities and other settings, and writing the radiation matrix.

  • Run-Time Stats - Enters the run-time statistics module (by executing the /RUNST command) and contains RUNSTAT functions such as listing statistics and providing system settings.

4.3.5.4. Additional Main Menu Utilities

The default main menu also contains the following dialog boxes that are available at any time during your analysis.

  • Session Editor - Opens the session editor. See Using the Session Editor to Modify the Database for more information.

  • Finish - Exits the current processor and moves you to the Begin level by executing the FINISH command.

4.3.6. The Graphics Window

The Graphics Window is where all ANSYS graphics displays are drawn and all graphical picking is done. It is usually the largest of the GUI windows. If you change the size of the Graphics Window, ANSYS, Inc. recommends that you maintain the 4:3 width-to-height proportion.

Graphics displays are drawn in the Graphics window when you request a plot (using either the Plot menu or a plot command). In addition, you will see graphics displays that are generated by immediate mode and XOR mode. (These two modes are explained next.)

4.3.6.1. Immediate Mode

An immediate mode plot is one that is drawn automatically when you create, move, reflect, or otherwise manipulate your model. It is only a temporary graphics display meant to give you immediate feedback on the function you just executed. As a result, an immediate mode plot has two drawbacks:

  1. It will be destroyed if you bring up a menu or a dialog on top of it or if you iconify and restore the GUI.

  2. Its scaling is based on the scaling for the last plot request, so if the new entity lies "outside" the boundaries of that scaled image, it will not appear in your Graphics Window. To see the new entity, simply issue a plot request.

Numbers and symbols drawn in immediate mode (such as keypoint numbers and boundary condition symbols) have a similar drawback: they will disappear when you request a plot unless they are explicitly set to "on" via the appropriate functions under the PlotCtrls menu. You can turn off immediate mode using the Immediate Display function under Utility Menu> PlotCtrls> Erase Options.

If you "manually" request a plot (using the Plot menu or a plot command), the ANSYS program calculates the graphics scaling such that the display fills the window. This is more of a "permanent" display in that it stays in place even if it is obscured by a dialog box or a menu or if the Graphics Window is iconified and then restored. See the Basic Analysis Guide for details about ANSYS graphics.

4.3.6.2. XOR Mode

The ANSYS program uses this mode when something needs to be drawn or erased quickly without destroying whatever is currently being displayed in the Graphics Window. For example, XOR mode takes effect during graphical picking to highlight or unhighlight the item being picked. It is also used to display the working plane and for rubber-banding.

The advantage of using XOR mode is that it produces an instantaneous display without affecting the existing plot on the screen. The only drawback is that drawing in the same location a second time erases the display. For example, picking the same node or keypoint a second time erases the highlight. Similarly, with the working plane display on, requesting another plot without erasing the screen erases the working plane.

4.3.6.3. Capture Image Feature

A useful feature that allows you to create "snapshots" of the Graphics Window is the Capture Image function (using the Capture Image button in the Standard Toolbar or Utility Menu> PlotCtrls> Capture Image). After an image is captured (when the "snapshot" is taken), you can save it to a file and then restore it in any ANSYS session. Captured images are useful for comparing different views, sets of results, or other significant images simultaneously on the screen.

4.3.6.4. Right-mouse Button Context-sensitive Menus

You can click the right-mouse button to access many of the functions you use to adjust the Graphics Window display. The available information will vary according to the type of display and the position of your cursor in the window. Along with some of the standard Pan-Zoom-Rotate functions, you can also access many of the window control functions found in the PlotCrtrls section of the Utility Menu. Placing your cursor over the legend areas of the Graphics Window channels the context to access the legend control menus.

4.3.7. The Output Window

The Output Window receives all text output from the program - command responses, notes, warnings, errors, and any other messages. It is usually positioned behind the GUI, but you can raise it to the front when necessary.

Figure 4.19 Output Window

4.3.7.1. Using the Output Window on UNIX Systems

If you enter the ANSYS program via the launcher, the launcher creates the Output Window. It is a terminal window (such as xterm) that is also used to execute the ANSYS executable. If you enter the program by typing in the ANSYS execution command, then the window in which you typed the command becomes the Output Window.

Caution

Using your window manager to close the Output Window terminates the ANSYS session.

4.3.7.2. Sizing and Positioning the Output Window on Windows Systems

If you are running ANSYS on a Windows system, you can save the size and position of the Output Window:

  1. Move the window to the desired location.

  2. Size the window to the desired dimensions.

  3. Select Utility Menu> MenuCtrls> Save Menu Layout.

4.3.8. Creating, Modifying and Positioning Toolbars

When you begin your ANSYS session, the start up routine reads a number of text files and scripts that set parameters and conditions for your ANSYS session. Many of these files can be modified to provide a more customized level of operation. The start110.ans file is one such file. You call up toolbars, set their position and define their content in a similar fashion.

You list the toolbars in the tlbrlst110.ans file. This file contains a list of the toolbars you want to activate at start up. The toolbar filenames are designated as *.TLB files, and each file in the list contains the specifications for the content, appearance and position of the toolbars in the ANSYS GUI. You can add additional toolbars to the GUI, (including a Pan-Zoom-Rotate functionality button bar (ANSYSGRAPHICAL.TLB) that is included with the program), by creating the corresponding *.TLB files and including them in the tlbrlst110.ans file. The default tlbrlst110.ans file loads the Standard Toolbar (see The Standard Toolbar) by calling the file \ANSYSSTANDARD.TLB, and the ANSYS Toolbar (see The ANSYS Toolbar) by calling the file \ANSYSABBR.TLB. These files should be placed in the same directory as your tlbrlst110.ans file, although the files themselves can be placed anywhere as long as the proper path string is designated and remains valid.

4.3.8.1. Creating a Toolbar File

All of the toolbar files listed above are included with ANSYS. Each of these files contains the instructions you need to create a toolbar. You can load the ANSYSGRAPHICAL.TLB toolbar as shipped into your tlbrlst110.ans file, or you can open any of the included *.TLB files to investigate and replicate the construction. The Standard Toolbar (\ANSYSSTANDARD.TLB) contains most of the program calls and definitions you would need to create your own, customized toolbar, and is listed below:

!.============================================================================
!
! Toolbars are structured in a heirarchical fashion starting with the
! name of the file which is used to read in the rest of this file. The
! filename MUST be capitalized and corresponds to the CLASS for resource
! query. The file is loaded by adding it to the tlbrlistNN.ans file.
!
!
! The entry point is the classname attribute which indicates the classnames
! used in this file.  This allows the definition of more than one toolbar
! area for toolbars in a file.
! REQUIRED
*ANSYSSTANDARD.classname: ANS_STD ANS_MAIN
!
!
! The title is displayed when the toolbar is loaded in the output
! and if expcol is 1 will be displayed on the Hide/Show bar.
! REQUIRED
*ANS_STD.title: ANSYS Standard Toolbar
!
!
! The location of the toolbar area can be n, s, e, w as position relative
! to the graphics area.  The toolbars are placed as they are read in,
! so change the order in the TLB file or tlbrlistNN.ans file.
!           n
!     -------------
!     |           |
!  w  | graphics  | e
!     |           |
!     -------------
!           s
!
! REQUIRED
*ANS_STD.location: n
!
!
! If expcol is 1 the toolbar will be displayed in a Hide/Show area so that
! the realestate can be toggled on and off.
! OPTIONAL - default is 0
*ANS_STD.expcol: 0
!
!
! The type of toolbar is either abbr or nonabbr see ANSYSABBR.TLB for
! an abbr type toolbar.
! OPTIONAL - default is nonabbr
*ANS_STD.type: nonabbr
!
! The imagedir is where the icons images will be loaded from this
! must be in Tcl form (e.g. "C:/Company ABC/Toolbar/images") or in
! a form usuable by the Tcl "file join" command.
! REQUIRED
*ANS_STD.imagedir: $env(EUIDL_DIR) gui $::euidl::euidlArray(language) images
!
!
! The toolbars list allows multiple groupings within a single toolbar.
! Each toolbar will have its own frame area.
! REQUIRED
*ANS_STD.toolbars: Standard CmdPrompt UIDLPopWin ResetPicking AnsDynamic
!#
!# Standard Toolbar
!#
!
! The buttonlist indicates the name identifier of each control which will
! belong to this toolbar.
! REQUIRED
*ANS_STD*Standard.buttonlist: new open save sep1 panzomrot sep2 imagecap reportgen help
!
!
! The type is a standard Tcl/Tk widget type.  The least difficult is a
! simple button, others can be used but are more complicated.
! OPTIONAL - default is button
*ANS_STD*Standard.new.type: button
!
!
! The imagefile is the file to use for the icon. The image formats
! supported are: PNG (transparent), GIF, JPEG, BMP (Windows).  The
! file must be placed in the directory specified by imagedir.
! OPTIONAL/REQUIRED - if text is used then not needed
*ANS_STD*Standard.new.imagefile: new16x16.gif
!
!
! Text may be used instead of an imagefile but the imagefile overrides
! OPTIONAL/REQUIRED - if imagefile is used then not needed
*ANS_STD*Standard.new.text: New
!
!
! The command specified will be sent to the EUIDL Tcl/Tk interpreter
! which as interfaces to the ANSYS API.  Most useful would be
! ans_sendcommand to call an ANSYS command, macro, or UIDL.
! REQUIRED
*ANS_STD*Standard.new.command: catch {::euidl::databaseSetup::newAnalysis}
!
!
! The tooltip is a brief description of what this item does and is
! displayed when the mouse pointer is held over the control.
! OPTIONAL - default is no tooltip shows
*ANS_STD*Standard.new.tooltip: New Analysis
!
!
! The anscmd item is used provide a hyperlink into the help system.
! OPTIONAL - default is no hyperlinks to ANSYS help system
*ANS_STD*Standard.new.anscmd: \
 "\tSAVE" {HYPERLINK {ans_loadhelp SAVE}} "\n" {BODY1}\
 "\t/CLEAR" {HYPERLINK {ans_loadhelp /CLEAR}} "\n" {BODY1}\
 "\t/FILNAME" {HYPERLINK {ans_loadhelp /FILNAME}} "\n" {BODY1}
!
!
! What's This allows you to provide detailed information about this item.
! Use standard C formatting:
!     \\ - single slash
!     \n - newline
!     \t - tab
!     \b - backspace
! OPTIONAL - default is no "What's this?" help
*ANS_STD*Standard.new.whatsthis: \
"Saves and clears information about the existing analysis\
 and starts a new analysis.\n" {BODY1}
!
!
! The helpstatus item will show the string in the status area when the mouse
! pointer is held over the control.
! NOT IMPLEMENTED
*ANS_STD*Standard.new.helpstatus: Choose to start a new model clearing the existing one
!
!
!
*ANS_STD*Standard.imagecap.type: button
*ANS_STD*Standard.imagecap.imagefile: hardcopy16x16.gif
*ANS_STD*Standard.imagecap.command: ::euidl::graphics::captureImage::create
*ANS_STD*Standard.imagecap*tooltip: Image Capture
*ANS_STD*Standard.imagecap.anscmd: \
 "\t/UI,Format" {HYPERLINK {ans_loadhelp /UI}} "\n" {BODY1}
*ANS_STD*Standard.imagecap.whatsthis: \
"Allows the current graphic image to be captured to a printer, screen, or a\
 file.\n" {BODY1}
!
!
*ANS_STD*Standard.reportgen.type: button
*ANS_STD*Standard.reportgen.imagefile: reportgenerate16x16.gif
*ANS_STD*Standard.reportgen.command: ::euidl::report::toolbar::create
*ANS_STD*Standard.reportgen*tooltip: Report Generator
*ANS_STD*Standard.reportgen.anscmd: \
 "\tThe Report Generator" {HYPERLINK {ans_loadhelp Hlp_G_BASrstart}} "\n" {BODY1}
*ANS_STD*Standard.reportgen.whatsthis: \
"A tool for creating a report of your analysis.\n" {BODY1}
!
!
*ANS_STD*Standard.open.type: button
*ANS_STD*Standard.open.imagefile: resume16x16.gif
*ANS_STD*Standard.open.command: catch {::euidl::databaseSetup::openAnalysis}
*ANS_STD*Standard.open.tooltip: Open ANSYS File
*ANS_STD*Standard.open.helpstatus: Choose to resume the last saved model database
*ANS_STD*Standard.open.anscmd: \
 "\tRESUME" {HYPERLINK {ans_loadhelp RESUME}} "\n" {BODY1}\
 "\t/FILNAME" {HYPERLINK {ans_loadhelp /FILNAME}} "\n" {BODY1}\
 "\t/INPUT" {HYPERLINK {ans_loadhelp /INPUT}} "\n" {BODY1}
*ANS_STD*Standard.open.whatsthis: \
"Allows ANSYS database files or command input files to be read into ANSYS.\
 The file type determines the operation.  The jobname will be changed to \
 the name of the database file being resumed.\n" {BODY1}
!
*ANS_STD*Standard.undo.type: button
*ANS_STD*Standard.undo.imagefile: refresh16x16.png
*ANS_STD*Standard.undo.command: catch {ans_sendcommand Fnc_UNDO}
*ANS_STD*Standard.undo.tooltip: Session Editor
*ANS_STD*Standard.undo.helpstatus: Choose to restore the last saved model database
!
*ANS_STD*Standard.save.type: button
*ANS_STD*Standard.save.imagefile: save16x16.gif
*ANS_STD*Standard.save.command: catch {ans_sendcommand SAVE}
*ANS_STD*Standard.save.tooltip: Save Analysis
*ANS_STD*Standard.save.helpstatus: Choose to save the model to a database file
*ANS_STD*Standard.save.whatsthis: \
"Saves the current analysis to the current jobaname.db for restoration.\n" {BODY1}
*ANS_STD*Standard.save.anscmd: \
 "\tSAVE" {HYPERLINK {ans_loadhelp SAVE}} "\n" {BODY1}
!
*ANS_STD*Standard.panzomrot.type: button
*ANS_STD*Standard.panzomrot.imagefile: panzoomrotate16x16.gif
*ANS_STD*Standard.panzomrot.command: catch {ans_sendcommand )/UI,VIEW}
*ANS_STD*Standard.panzomrot.tooltip: Pan-Zoom-Rotate
*ANS_STD*Standard.panzomrot.helpstatus: Displays the Pan-Zoom-Rotate dialog
*ANS_STD*Standard.panzomrot.anscmd: \
 "\tPan, Zoom, Rotate" {HYPERLINK {ans_loadhelp Hlp_UI_PanZoom}} "\n" {BODY1}
*ANS_STD*Standard.panzomrot.whatsthis: \
"The Pan-Zoom-Rotate widget allows manipulation of the graphics screen.\n" {BODY1}
!
*ANS_STD*Standard.sep1.widgettype: separator
*ANS_STD*Standard.sep2.widgettype: separator
!
*ANS_STD*Standard.help.type: button
*ANS_STD*Standard.help.imagefile: help16x16.gif
*ANS_STD*Standard.help.command: ans_loadhelp Hlp_UI_ANSYSHelp
*ANS_STD*Standard.help.tooltip: ANSYS Help
*ANS_STD*Standard.help.anscmd: \
 "\tANSYS Help System" {HYPERLINK {ans_loadhelp Hlp_UI_ANSYSHelp}} "\n" {BODY1}
*ANS_STD*Standard.help.whatsthis: \
 "Start the ANSYS Help System.\n" {BODY1}
*ANS_STD*Standard.help.helpstatus: Choose to display help for ANSYS
!
! UIDL Raise Hidden
!
*ANS_STD*UIDLPopWin.buttonlist: uidlpop
!
*ANS_STD*UIDLPopWin.uidlpop.type: button
*ANS_STD*UIDLPopWin.uidlpop.imagefile: uidlpop16x16.png
*ANS_STD*UIDLPopWin.uidlpop.command: ::euidl::raiseWindows
*ANS_STD*UIDLPopWin.uidlpop*tooltip: Raise Hidden
*ANS_STD*UIDLPopWin.uidlpop.whatsthis: \
"Raise hidden windows to the top of the application.\n" {BODY1}
!
! UIDL Reset Picking
!
*ANS_STD*ResetPicking.buttonlist: resetpicking
!
*ANS_STD*ResetPicking.resetpicking.type: button
*ANS_STD*ResetPicking.resetpicking.imagefile: resetpick16x16.gif
*ANS_STD*ResetPicking.resetpicking.command: ::AnsysGUI::resetGUI 0
*ANS_STD*ResetPicking.resetpicking*tooltip: Reset Picking
*ANS_STD*ResetPicking.resetpicking.whatsthis: \
"Resets an unresponsive or missing picking menu.\n" {BODY1}
!
! Ansys Items
!
*ANS_STD*AnsDynamic.buttonlist: cntmng
*ANS_STD*AnsDynamic.availabilityCommand: ::euidl::contact::cntcMngrAvailability
!
! Contact Manager
*ANS_STD*AnsDynamic.cntmng.type: button
*ANS_STD*AnsDynamic.cntmng.imagefile: viewcontact16x16.gif
*ANS_STD*AnsDynamic.cntmng.command: ::euidl::contact::Interface
*ANS_STD*AnsDynamic.cntmng.tooltip: Contact Manager
*ANS_STD*AnsDynamic.cntmng.anscmd: \
 "\tThe Contact Manager" {HYPERLINK {ans_loadhelp Hlp_G_STR_CMAN}} "\n" {BODY1}
*ANS_STD*AnsDynamic.cntmng.whatsthis: \
"Invoke Contact Manager.\n" {BODY1}
!
! Command Prompt
!
*ANS_STD*CmdPrompt.buttonlist: cmdp
!
*ANS_STD*CmdPrompt.cmdp.type: anscmdprompt
*ANS_STD*CmdPrompt.cmdp*helpBackground: #0000AB
*ANS_STD*CmdPrompt.cmdp*helpForeground: #FFFFEE
*ANS_STD*CmdPrompt.cmdp*listHeight: 400
*ANS_STD*CmdPrompt.cmdp*width: 80
*ANS_STD*CmdPrompt.cmdp*tooltip: ANSYS Command Prompt
*ANS_STD*CmdPrompt.cmdp.whatsthis: \
"ANSYS commands may be entered into the command prompt for execution.\n" {BODY1}
!
! ANSYS Main Menu
!
*ANS_MAIN.title: ANSYS Main Menu
*ANS_MAIN.location: w
*ANS_MAIN.expcol: 1
*ANS_MAIN.type: mainmenu

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.2. Activating the GUI 		Up / Home Next
Chapter 5. Graphical Picking


Chapter 5. Graphical Picking

Many functions in the ANSYS program involve graphical picking - using the mouse to identify model entities and coordinate locations. There are three types of graphical picking operations:

  • Locational picking, where you locate the coordinates of a new point.

  • Retrieval picking, where you identify existing entities for subsequent operations.

  • Query picking, where you identify points on the model for querying data.

For additional information on picking, see "Selecting and Components" in the Basic Analysis Guide.

Mouse Button Assignments for Picking

Mouse button assignments during any picking operation are as follows:

  • The left button picks or unpicks the entity or location closest to the mouse pointer. When you press this button, you can interrogate the entity numbers before they are picked, and thus query data. Press and drag the left mouse button to preview the item being picked or unpicked.

  • The middle button (shift-right button on a two-button mouse) is the same as the Apply button on the picker. You can pick a number of items, and no operations will take effect until you hit Apply or OK. If there are no items currently picked, the middle button closes the picker.

  • The right button toggles between pick and unpick mode. This button is the same as the Pick and Unpick toggle buttons on the picking menu.

Hot Spots

Hot spots are the locations on an entity that identify it for retrieval picking. For example, if two elements are adjacent, the element that is picked is the one whose hot spot is closest to the mouse pointer. For areas, volumes, and elements, the hot spot is at a location near the centroid. Lines have three hot spots: one in the middle and one near each end.

If the hot spots of two or more entities are coincident (such as for concentric circles), picking the coincident entities brings up a "Multiple Entities" dialog box (shown in Figure 5.1: "Multiple Entities Dialog Box"). Press the Next or Prev button to "cycle through" the coincident entities until the desired entity is highlighted. Then click OK to pick that entity.

Figure 5.1 Multiple Entities Dialog Box

The following graphical picking topics are available:

  • Locational and Retrieval Picking
  • Query Picking

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.3. Layout of the GUI 		Up / Home Next
5.1. Locational and Retrieval Picking


5.1. Locational and Retrieval Picking

Whenever you use graphical picking (that is, when you click on a menu topic ending with the + symbol), the GUI brings up a picking menu, sometimes known as the picker. The following figure shows the picking menus for locational and retrieval picking. In this example, creating keypoints by picking their locations on the working plane is a locational picking operation, and picking those keypoints to apply a load on them is a retrieval picking operation.

Figure 5.2 Picking Menus for Locational and Retrieval Picking

  • Function Title [1] - Identifies the function being performed.

  • Pick Mode [2] - Allows you to pick or unpick a location or entity. You can use either these toggle buttons or the right mouse button to switch between pick and unpick modes. The mouse pointer is shown as an up arrow for picking and a down arrow for unpicking.

For retrieval picking, you also can choose among single, box, polygon, circle, and loop mode. In single pick mode, each click on the mouse picks one entity. With box, polygon, and circle modes, you press and drag the mouse to enclose a set of entities in a box, polygon, or circle.

Loop mode is available for picking lines and areas only. With loop mode, when you pick on a line (or area), then the complete set of lines (or areas) defining a continuous loop including that line (or area) is also picked. This feature is useful when you want to identify continuous lines in order to make an area (or continuous areas to make a volume). For all modes of retrieval picking, ANSYS shows the picked entities highlighted for visual clarity.

  • Pick Status [3] - Shows the number of items picked ("Count") and the minimum and maximum number of picks required for the function.

  • Picked Data [4] - Shows information about the item being picked. For locational picking, the working plane and global Cartesian coordinates of the point are shown. For retrieval picking, this area shows the entity number. You can see this data by pressing and dragging the mouse in the graphics area. This allows you to preview the information before releasing the mouse button and picking the item.

  • Keyboard Entry Options [5] - In some cases, you may need to enter the required data by keyboard in the picker. For example, to specify a known coordinate location during locational picking, it may be easier to enter the coordinates than to use the mouse. In that case, you can choose between working plane coordinates and global Cartesian coordinates. For retrieval picking, you can choose between entering a list of entity numbers (such as 1,21,343,...) and a range of numbers (such as 1,21,2).

    Note

    You must press enter to accept the selection in the text entry box before clicking OK.

  • Action Buttons [6] - This area of the menu contains buttons that take action on the picked entities, as follows:

OK - Applies the picked items to execute the function and closes the picking menu.

Apply - Applies the picked items to execute the function but does not close the picking menu. You can use this button on the menu or stay in the graphics area and click the middle mouse button to apply.

Reset - Unpicks all picked entities and restores the menu and the graphics area to their state at the last Apply.

Cancel - Cancels the function and closes the picking menu.

Pick All - Picks all entities, executes the selected function, and closes the picking menu. This feature is available for retrieval picking only.

Help - Brings up help information for the function being performed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 5. Graphical Picking 		Up / Home Next
5.2. Query Picking


5.2. Query Picking

You can use the picker to "Query" data on your model at any time during the analysis. Querying means that, for any picked point on the model, ANSYS will retrieve or calculate specified items from the database and display them. This information can be displayed in an output window, or it can be applied to the model as 3-D annotation. Query picking is a retrieval picking function, with the selection box items varying according to the requested data. The model and results query pickers are discussed in the following sections.

5.2.1. The Model Query Picker

The model query picker allows you to access model information by picking displayed entities. It also performs basic computations to provide simple geometric/loading information (force per unit area, angle between lines, etc.). You can use the model query picker to obtain information about the model while you are building it. This is helpful when you are building on to an existing model, or when you wish to apply forces or loads that are dependent on the model data. You access the model query picker by choosing Utility Menu> List> Picked Entities. The model query picker can be accessed at any time during your analysis.

5.2.1.1. Annotation

When you use the model query picker to obtain model information, ANSYS displays the information in a text window. You can also apply that information to the model as 3-D annotation by checking the "Generate 3D Anno" box on the picker. The annotation is applied with the appropriate units displayed, and arrows and leaders are attached where necessary. 3-D annotation, unlike 2-D, will attempt to retain the proper positioning on the appropriate entities, even when the model is rotated or resized.

The overall 3-D dimensions of your model are defined by a bounding box. If portions of your model's bounding box lie outside of the visible area of your graphics window (if you are zoomed in on a specific area of your model), it can affect the placement of your 3-D annotations. Zooming out will usually overcome this problem.

You modify query annotation the same way you do any other ANSYS 3-D annotation (Utility Menu> PlotCtrls> Annotation> Create 3D Annotation). Select "Options" to modify the typeface and move, copy, or resize the annotation.

5.2.1.2. Action Buttons

  • OK - Enters all query data and either displays it in a window or applies it to the model. The model query picker is then closed.

  • Apply - Enters all query data and displays it in a window or applies it to the model. The model query picker is left open for additionals operations.

  • Reset - Clears all query data (restores the graphics display without replotting).

  • Cancel - Clears all query data (restores the graphics display without replotting) and closes the model query picker (same as OK).

  • Pick All - Accesses all of the selected query items on the model.

  • Help - Brings up this screen of help information.

5.2.1.3. Tips on Using the Model Query Picker

The model query picker is accessible at any time (pre, post, solution, etc.) during your analysis. It is useful for determining model database information that would require hand calculations, or exiting a feature, to determine. The computations performed by the picker are not displayed until you hit OK or APPLY.

The items selected by the picker are highlighted before they are actually selected. For complex models, or coincident viewing angles, you can hold the left mouse button down and move the pointer around the model to ensure that the proper entity is selected. You can select multiple items, with no computations being performed or annotation applied until you click OK. The commands and operations performed by the model query picker are not written to the log file.

The annotation that you generate during the preprocessing stage can be displayed at any time during your analysis. This information is not modified or updated during the course of the analysis, and can become invalid. For instance, when a shape is deformed by the applied forces, the area and volume annotations created before applying the force will not change, and the information displayed may be incorrect.

5.2.2. The Results Query Picker

Perhaps the most convenient way to review results for specific points on the model when using the General Postprocessor is by using the results query picker. Querying means that, for any picked point on the model, the ANSYS program will retrieve a specified results data value from the database and display it. You access the results query picker by choosing Main Menu> General Postproc> Query Results. You can query nodal, element, or subgrid (for p-elements) solution data.

When you choose this GUI path, the results query picker for element solution data appears. This menu has most of the same items as the locational and retrieval picking menus:

  • Function Title - Identifies the information being queried; either nodal, element, or subgrid solution data (for example, element solution data).

  • Pick Mode - Allows you to pick or unpick a location on the model to be queried. You can use either these toggle buttons or the right mouse button to switch between pick and unpick modes. The mouse pointer is shown as an up arrow for picking and a down arrow for unpicking.

  • Picked Location - Shows the number and location (in global Cartesian coordinates) of the node, element (coordinates are of the element centroid), or subgrid point being picked for query. You can preview this information by pressing and dragging the mouse in the graphics area. The picked location is highlighted on the model as a square on the displaced shape.

  • Queried Data - Shows the queried solution data for the node, element, or subgrid point at the picked location. Use the Max or Min buttons to automatically obtain the maximum or minimum value of the query data over the entire model.

5.2.2.1. Annotation

The results query picker retrieves solution data from the database and displays it in a text window. You can also apply that information to the model as 3-D annotation by selecting the “Generate 3D Anno” box on the picker. The annotation is applied with the appropriate units displayed, and arrows and leaders are attached where necessary. The overall 3-D dimensions of your model are defined by a bounding box. If portions of your model's bounding box lie outside of the visible area of your graphics window (if you are zoomed in on a specific area of your model), it can affect the placement of your 3-D annotations. Zooming out will usually overcome this problem. Unlike the model query picker, the results query picker displays the actual data on the model as you move the mouse pointer over the different entities. This function is available only from the General Postprocessor.

5.2.2.2. Action Buttons

  • OK - Clears all query data (restores the graphics display without replotting) and closes the results query picker.

  • Apply - Clears all query data (restores the graphics display without replotting) and brings up the Query Solution Data (either Nodal, Element, or Subgrid) dialog box again. You can use this button on the picking menu or stay in the graphics area and click the middle mouse button to achieve the same effect.

  • Reset - Clears all query data (restores the graphics display without replotting).

  • Cancel - Clears all query data (restores the graphics display without replotting) and closes the query picking menu (same as OK).

  • Min - Shows the minimum value of the query data over the entire model.

  • Max - Shows the maximum value of the query data over the entire model.

  • Help - Brings up this screen of help information.

5.2.2.3. Tips on Using the Results Query Picker

  • Query picking is most effective when used in vector mode (in wireframe displays), because you can read the queried data in the Graphics Window, right on top of the model. You access vector mode by choosing Utility Menu> PlotCtrls> Device Options (or by issuing the /DEVICE command).

  • Press and drag the left mouse button around on the model for an easy way to see the queried data for many different points without creating excessive clutter on the screen.

  • Use the Reset button often to clear the screen of queried data and get a "clean" model on which to continue querying.

  • The Min and Max buttons are useful for quickly identifying the location and value of the minimum and maximum query data.

  • The results query picker retrieves data from the database. The operations and functions performed are not written to the log file.

Note

For any picking operation, prompts are displayed in the Input Window. The prompt message indicates exactly which items are expected to be picked, and in what sequence. When in doubt about picking, read the prompt.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.1. Locational and Retrieval Picking 		Up / Home Next
Chapter 6. Customizing ANSYS and the GUI


Chapter 6. Customizing ANSYS and the GUI

You can customize the ANSYS program using a set of coded (ASCII) files. Each file has the extension .ans. Examples are the ANSYS start-up file, start110.ans (discussed in "Running the ANSYS Program" of this manual and in the Basic Analysis Guide), and the ANSYS configuration file, config110.ans.

The program uses the following search paths to find the .ans files:

  • the current directory

  • the home directory

  • the ANSYS APDL directory /ansys_inc/v110/ansys/apdl)

These paths let you customize ANSYS at either the site level or the user level.

Note to Windows Users

Windows systems may not set a home directory by default. To set a home directory in Windows, you need to set a HOMEDRIVE environment variable to the desired drive letter (including the colon) and a HOMEPATH environment variable to the desired path. For example:

HOMEDRIVE=C:
HOMEPATH=\Users\Mine
For more information on setting environment variables, contact your system administrator or consult your Windows operating system documentation.

The following customization topics are available:

  • The Configuration File
  • Splitting Files Across File Partitions
  • Customizing the GUI
  • ANSYS Neutral File Format

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.2. Query Picking 		Up / Home Next
6.1. The Configuration File


6.1. The Configuration File

When it starts up, the ANSYS program searches for its optional configuration file, config110.ans. This file enables you to change certain system-dependent information. Table 6.1: "Configuration File Defaults and Ranges" below lists the parameters in config110.ans and the default, maximum, and minimum values for each parameter.

Although you can modify any of the parameter values in config110.ans, typically the default values are the most efficient. The config110.ans file should contain only the parameters for which you plan to modify values.

Table 6.1 Configuration File Defaults and Ranges

Parameter | Default | Minimum Value | Maximum Value
NUMRESLT | 1000 | 10 | unlimited
NUM_BUFR | 4 | 1 | 32
SIZE_BIO | 16384 | 1024 | 4194304
NUM_VPAG | 4096 for 32-bit machines 8192 for 64-bit machines | 16 | 8192
NUM_DPAG | 1048572 | NUM_VPAG | 1048572
SIZ_VPAG | 16384 | 4096 | 4194304
VIRTM_MB | 512 MB for 32-bit machines 1 GB (1024 MB) for 64-bit machines | 40 Windows 72 UNIX | system dependent[1]
CONTACTS | 1000 | 0 | unlimited

  1. See Platform Certification Specifics in the ANSYS, Inc. UNIX/Linux Installation Guide for more information.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 6. Customizing ANSYS and the GUI 		Up / Home Next
6.2. Splitting Files Across File Partitions


6.2. Splitting Files Across File Partitions

The ANSYS program, by default, creates only one (sometimes large) file for each of the various file types, which is more efficient and less complicated than multiple files. In the past, many systems had smaller disk partitions than were required for some of the very large ANSYS files, or were limited to a maximum single file size of 2 GB. To accommodate this hardware limitation and provide the flexibility to store very large files across multiple disk systems, ANSYS allows you to specify split file sizes and divide files across multiple disks.

By default, the file split size is over 100 GB, so you should almost never see files split. You can, however, set your own file sizes for split files. The split file sizes in ANSYS are defined in units of Mwords (1024*1024 4-byte integer words). The default size for most systems for all non-sparse solver files is 32768 Mwords (128 GB).

You can still use file splitting for ANSYS jobs inadvertently by leaving the FILESPLT directive in your config110.ans file. The default setting inside ANSYS is the recommended option in almost all cases. File splitting will almost always increase run time, particularly if different disks are used for various file partitions. The best way to improve I/O performance on modern systems is by using multiple drives which are configured in a RAID0 striped configuration.

The following guidelines will help you if you still chose to use ANSYS file splitting capabilities.

Using ANSYS's file splitting feature, you first determine a split point for your files. Then, any file types that can be split (see list below) AND are larger than that split point will be split across partitions. It is important that you choose a split point carefully. Split files are less efficient than single files, and to reuse split files, you must match the split points correctly. Therefore, you should not set your split point so low that small files would be unnecessarily split.

Figure 6.1: "Determining Split Points" illustrates one way to determine an appropriate split point. In this figure, if you chose split point 1, all of the file types would be split. If you chose split point 2, however, only three of the five file types need to be split.

Figure 6.1 Determining Split Points

You can split the following ANSYS files. See the Basic Analysis Guide for file descriptions.

  • file.TRI (or .LN11 for the Block Lanczos solver)

  • file.FULL (or .REDM for reduced modal or reduced eigenbuckling)

  • file.EMAT

  • file.EROT

  • file.ESAV

  • file.MASS

  • file.LN07

  • file.SUB

  • file.MODE

  • file.LN09

  • file.RDSP

  • file.RFRQ

  • file.RST

  • file.RTH

  • file.RFL

  • file.RMG

  • file.DSUB

  • file.USUB

  • file.DB

  • file.LN20

  • file.LN21

  • file.LN22

  • file.LN25

  • file.PAGE

To split files across partitions, follow these steps:

  1. Issue the RFILSZ command in the /RUNST module to get an estimate of the file sizes.

  2. Issue the df command in UNIX to determine which partitions will hold the split files. To achieve the most efficiency, create as few split files as possible.

  3. Determine the least amount of space available across those partitions. This number will be the size of each split file. Adjust this number downward to be conservative.

  4. Calculate the split point in terms of megawords (millions of words) by dividing the maximum size of the file to be split in bytes by 4194304 (4x1024x1024).

  5. Place the config110.ans file in the current working directory. The file should contain the following line:

    FILESPLT=xxxx

In the above line, xxxx is the integer value indicating the file split point in megawords. With this config110.ans file in place, the file will be split into a new file every increment of xxxx megawords. These files are all created in the current directory and are named Jobname.XXXnn, where XXX indicates the file extension (see list, above), and nn is a two-digit number from 02 to 99.

To place these files in different partitions, symbolically link the name Jobname.XXXnn to a pathname on another partition with the ln -s command in UNIX. For example, to split a file.TRI and write a second file to a different partition:

ln -s /tmp/file.tri02  file.tri02

The above example puts a second file.TRI into the /tmp partition.

When you finish creating the appropriate symbolic links, you are ready to execute the ANSYS program.

You cannot transport the split files to other systems.

Caution

Unpredictable results can occur if you try to reuse a split file for substructures or restructuring and the split point has changed. ANSYS recommends discarding the split files after the run without reusing them. If you do intend to reuse the split files, the split points must match correctly. Also be aware that using split files can result in a slight performance degradation.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.1. The Configuration File 		Up / Home Next
6.3. Customizing the GUI


6.3. Customizing the GUI

The GUI allows several levels of customization, ranging from a simple change in the sizes of the GUI and the areas in it to a more complex change in the menu hierarchy and design of the dialog boxes. GUI attributes you can change include these items:

  • The size of the GUI and the areas in it

  • Colors and fonts

  • The menus shown at GUI start-up

  • The mouse and keyboard focus

  • The menu hierarchy and dialog boxes.

6.3.1. Changing the GUI Layout

You can resize the ANSYS toolbar, Main Menu, and Graphics Window, as well as the overall size of the GUI. To resize the areas in the GUI, drag one of the borders around the areas of the GUI while holding down the left mouse button.

To change the overall size of the GUI, position the mouse on of the corners of the GUI and drag it diagonally toward the center of the GUI while holding down the left mouse button. You can save your GUI size settings by selecting Utility Menu> MenuCtrls> Save Menu Layout.

Note

The "save layout" feature does not save all windows. However, it saves most of the commonly used windows, such as the picking menu, the Pan, Zoom, Rotate dialog box, and other dialog boxes associated with working plane, Toolbar, selecting, etc. on the Utility Menu.

6.3.2. Changing Colors and Fonts

The system-level fonts determine the default ANSYS GUI font component for both Windows and UNIX systems. On Windows systems, ANSYS uses the fonts that you set at the Display Properties system level. For Windows systems, the fonts in the ANSYS GUI are based on your system font settings, as follows:

ANSYS GUI Items | Windows Item Font Equivalent
Utility Menu | Menu
Main Menu | Icon
Tool Tip | Tool Tip
Dialog | Message Box

On UNIX systems, the HP Common Desktop Environment (CDE) is a standardized windowing environment that provides GUI configurations similar to Windows. For CDE systems, the fonts you designate at the system level are used as the ANSYS default. For non - CDE systems, ANSYS provides a set of fonts for the default settings.

When you modify your system-level fonts, the ANSYS default fonts will change accordingly.

For both Windows and UNIX, you use the Utility Menu> MenuCtrls> Font dialog to modify the GUI fonts. Once you change these settings, use the Utility Menu> MenuCtrls> Save Menu Layout to save the settings. The settings you save will override the system fonts and become the ANSYS default.

You can also modify the Main Menu fonts by using the “right mouse button” - preferences function. At this level, you set specific fonts and colors in the Main Menu at a functional level. That is, you can change the overall fonts, and change the colors according to the progressive level as you open the nested menu items. This process is discussed in The Main Menu section of the GUI discussion earlier in this manual.

Note

On Windows systems, set your Display settings to Small Fonts for all screen resolutions. If you use Large Fonts, your screen may not display the entire contents of large dialog boxes in ANSYS.

Within ANSYS , you can change the font attributes of the numbers and characters appearing on your displays by issuing the /DEVICE,FONT,KEY or /DEVDISP,FONT,KEY command. Each of these commands requires val1 through val6 as arguments. These arguments allow you to indicate the family name of the font that you wish to use (e.g., Courier), the weight of the font (e.g., medium), font size, and other attributes that define font selection. (See the Commands Reference for detailed information about the use of val1 through val6 within the /DEVICE,FONT,KEY or /DEVDISP,FONT,KEY command.)

6.3.3. Changing the GUI Components Shown at Start-Up

By default, the main areas of the GUI (Utility Menu, Main Menu, Standard Toolbar, ANSYS Toolbar, Input Window, Graphics Window, and Output Window) display when you activate the GUI. The /MSTART command allows you to choose which GUI components are shown when the GUI is activated in addition to the main areas. (The /MSTART command has no equivalent GUI path.)

By including a set of /MSTART commands in your start110.ans file, you can ensure that ANSYS displays the same GUI components at the start of every session. For example, to activate the Pan, Zoom, Rotate dialog box at GUI start-up, the commands would be:

/MSTART,ZOOM,ON

The /MSTART command affects only how the GUI is initialized. You can always open additional GUI components once you are in the GUI.

6.3.4. Changing the Mouse and Keyboard Focus

The ANSYS program uses the concept of input focus to determine which window on the screen is active; that is, which window receives input from the mouse and the keyboard. A window may have implicit focus (also known as pointer focus), in which case moving the mouse pointer into that window makes it active. With explicit focus, you need to move the pointer into the window and click the left button for that window to be active.

The ANSYS GUI also gives automatic keyboard focus to the Input Window. This means you can enter a command without first moving the mouse into the Input Window. If you bring up a dialog box, then keyboard focus is automatically redirected to it so you can enter data without moving the mouse. This feature is sometimes called the hot keyboard feature.

6.3.5. Changing the Menu Hierarchy and Dialog Boxes Using UIDL

You can change the menu hierarchy to suit your analysis needs, alter the design of many of the dialog boxes and add your own macros (in the form of dialog boxes) to the menu hierarchy.

The ANSYS program reads a file called menulist110.ans. This file lists the names of files containing the ANSYS menu screens. The menulist110.ans file must be available for the ANSYS program to work.

Usually, the menulist110.ans file resides in the /ansys_inc/v110/ansys/gui/en-us/UIDL directory (UNIX systems) or the Program Files\Ansys Inc\V110\ANSYS\gui\en-us\UIDL subdirectory (Windows systems). However, both your current working and home directories are also searched to allow for user customization of the menu system.

To modify the ANSYS dialog boxes and main menus, you need to learn the ANSYS-developed GUI programming language, called the User Interface Design Language (UIDL). For more information, refer to the ANSYS UIDL Programmer's Guide. (This manual is not part of the standard ANSYS documentation set; you must order it separately.)

6.3.6. Creating Dialog Boxes Using Tcl/Tk

As an alternative to using UIDL to create ANSYS dialog boxes, you can create new GUI components and dialog boxes by using the Tool Command Language and Toolkit, often referred to as Tcl/Tk.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.2. Splitting Files Across File Partitions 		Up / Home Next
6.4. ANSYS Neutral File Format


6.4. ANSYS Neutral File Format

When you want to import a geometry file into ANSYS, you have a number of options. One is to transfer the file to a generic file format such as IGES. Many external CAD packages will export a file in this or a similar format. The IGES (International Graphics Exchange Specification) file format is a vendor-neutral standard format used to exchange geometric models between various CAD and CAE systems. ANSYS provides a number of IGES import options and specialized tools for ensuring a correct and valid model import.

You can also use the specifically-developed CAD connection functionality. These features are separately licensed ANSYS programs that allow you to import the native file format from a number of external CAD and CAE programs. Because this functionality is designed for each specific CAD program, the proprietary file formats are processed differently for each connection. The connection functionality is included on your installation disk, and must be licensed separately. The documentation is available in the ANSYS Connection Users Guide.

6.4.1. Neutral File Specification

If you are working with a proprietary format, or if you are dealing with third party software that is not supported by a connection, you can develop an output file that will allow you to import your model directly into ANSYS. When ANSYS imports an external drawing or part file, the information must be converted to a database. The database of a model must contain both its topology and its geometry. You use the ANSYS Neutral File format to ensure that the geometry data is properly constructed and can be read directly into the ANSYS program database. To “write” directly into the database, the file must follow certain conventions. The following sections contain the specifications for constructing this type of file.

6.4.1.1. Types of Geometric Models

Your model can fall into three geometry classifications, the wireframe, the sheet, and the solid. You define each of these three types with its own specifications and requirements. ANSYS interprets these entities not by how or where they are defined in the file structure (ANSYS reads most of the data for these entities in a “free format”), but by how you manipulate and organize them. You combine various ANSYS functions and data sets to form each of these geometry classifications.

  • The wireframe model consists of the multiple edges of your model, connected at their ends by common vertices. The only geometry information for the model definition is contained in the edge definition.

  • The sheet model is made up of a bounded surface definition of edges. You use a sheet definition to define models where the thickness is defined a property of the sheet. ANSYS uses this structure for its finite element model, using shell elements, and defining the thickness (and other properties) with a real constant.

  • The solid model is a complete and explicit definition of the 3-D model. It is made up of combinations of edges and faces, and defines both the topology (how different entities of the model are tied together) and geometry (mathematical definitions of these different entities).

How these three types of models are used and stored in different CAD/CAE programs varies. Some CAD programs require a unique entry in the database for each of the individual entities that make up a type of geometry, and they cannot be intermixed. Others make no distinction between the different entities, and the way you use them depends on how you manipulate them. ANSYS makes no distinctions. The entities can be individually defined anywhere in the database, and the definitions are manipulated using the ANSYS command structure. When a bounded face is defined in ANSYS, it can be used either as a sheet (for a two-dimensional or shell analysis), or as part of a solid for a three-dimensional analysis. Along these same lines, when you define an edge, you can link it to a common surface, or you can use it as part of the description of a wireframe.

6.4.1.2. The ANSYS Solid Model

ANSYS uses a Boundary Representation (B-rep) scheme to define your solid model. A B-rep model definition is based on the topological assumption that a physical object is bounded by a set of faces. These faces are regions of closed and orientable surfaces. A closed surface is one that is continuous, without breaks. An orientable surface is one that allows you to distinguish between its two sides by using a surface normal to point to the outside of the model. Each surface is bounded by edges, and each edge is bounded by vertices. Thus a B-rep solid (or body) consists of faces, edges, and vertices linked together to ensure the topological consistency of the solid. By definition, an edge must be shared by two faces, and all of the edges bounding a face must share common vertices.

Another important characteristic of a B-rep solid is its geometry. You must delineate each entity with a geometric definition. You define vertices with a set of 3-D coordinates. You define edges with curve data that includes vertices, and you define faces with surface definitions that contain edge definitions. ANSYS recognizes only NURB (Non-Uniform, Rational, B-spline) definitions for both curves and surfaces. A NURB is a parametric definition of a synthetic curve or surface. In additions, the NURB must be non-periodic. That is, the knots used for the definition must have multiplicity in the first and last knot equal to the NURB order. Any other types of geometric definitions you wish to import into an ANSYS database must be converted to a NURB format.

In addition, you must also observe the following restrictions when importing model data into ANSYS:

  • Your underlying surface definition must include all of the edges. This means the underlying surface must be larger than the list of trimming edges.

  • The location of your edge must agree with your surface definition. Each edge is checked to make sure that it lies on the surface within a prescribed tolerance.

  • Periodic or closed curves are not allowed. You cannot have an edge that spans 360 degrees (you must break it into two 180 degree edges) and

  • Periodic or closed surfaces are not allowed. You cannot have a surface that spans 360 degrees. A cylinder (for example) cannot be a single 360 degree surface (it must be broken into two 180 degree face, each having four edges). The underlying curve or surface definition must also be divided accordingly.

The ANSYS database object allows multiple bodies (or solids) to be defined. Also, the geometry of the entities of each body is stored in global 3-D space. No transformations are made or stored in the database. The following table summarizes each solid entity and its nomenclature as used in ANSYS.
Topology | ANSYS Term | Description
Object | Model | A list of bodies or volumes
Body | Volume | A list of Shells (most models will typically have only one shell)
Shell | Shell | A list of Faces
Face | Area | A list of Loops and a surface definition (only one external loop is allowed for each face)
Loop | Loop | A list of Edges
Edge | Line | Defined by a starting point, an ending point and a surface definition
Vertex | Keypoint | X, Y, Z location in Global Space

The ANSYS database also uses the concept of unique integer identifiers (IDs) to store, access and manipulate the geometry data. You can use the same number(s) for different entities, but each number must be unique within the entity. The ANSYS Neutral File uses this concept of unique IDs to guarantee valid topological relationships.

6.4.1.3. ANSYS Neutral File Functions

The four AUX15 utility functions used to transfer geometry data into the ANSYS database are listed below:

KPT

Writes keypoints or vertices into the database.

LCURV

This function is used to write lines or edges into the database. If wireframe geometry is being defined, this function is used to define these items. This command is also used to write the information for the edges of the faces of a volume or solid entity. The keypoints used in the LCURV function refer to specific keypoint entities, individually defined by a prior KPT function.

ASURF

You use this command to write the area or face information into the database. The list of lines in each loop refer to specific line entities that you define individually with an LCURV function. This method is also used to define the sheet geometry.

VBODY

You use this command to actually define a B-rep solid. It is made up of a series of shells that contain the list of area entities. The list of areas in each shell refers to area entities defined by the ASURF functions.

AUX15 Commands to Read Geometry Into the ANSYS database describes the actual makeup of these AUX15 commands and defines specific file structure necessary to transfer geometry into the ANSYS database.

6.4.1.4. Wireframes, Individual Surfaces, and Individual Solids

When you transfer (write) the information from an external application into the ANSYS database, you must decide whether a wireframe, sheet, or a solid model is being transferred. The following points summarize the appropriate commands you will use to accomplish this:

  • If you want to write only wireframe information into the database, the functions KPT and LCURV are used. No actual faces or solids are defined, but the ANSYS lines contain a curve definition. This typically will be used to mesh beam or pipe elements.

  • If you want to write sheet information into the database, the KPT, LCURV, and ASURF commands are used. The ANSYS areas will contain a surface definition, but the thickness of the sheet will not be present. The ANSYS lines will contain a curve identification. You can specify a thickness by using the ANSYS real constant command R. Normally you use this format when you want to mesh shell or 2-D elements.

  • If you want to write the information for a solid model into the database, you must use the KPT, LCURV, ASURF, and VBODY commands to define the geometry. The lines contain the curve definitions and the areas contain the surface definitions. The face definition also includes an expression of the direction normal to the face, so that a valid solid model is defined. This method combination of commands and topology data is used to mesh 3-D solid elements, typically 10-node tetrahedral elements.

6.4.2. AUX15 Commands to Read Geometry Into the ANSYS database

When you generate a file to be read into the ANSYS database, you must follow certain conventions. The following AUX15 commands can be interpreted by ANSYS to import your external geometry into the program. A sample Neutral File is included. Portions of this file are referenced for each command.

6.4.2.1. KPT Command

The KPT command defines a specific keypoint in terms of its X, Y, Z coordinates. The command format is:

LINE 1: | KPT,vnum, X-coord, Y-coord, Z-coord
LINE 2: | CAD ID of edge (up to 40 characters).

LINE 1 contains the command (KPT) and the arguments. The arguments must be separated by commas, and are defined as follows:

vnum

Unique ANSYS ID of vertex (long integer)

X-coord, Y-coord, Z-coord

The global Cartesian X, Y, and Z coordinates of the vertex.

LINE 2 contains a specific CAD identification for the Keypoint. It can be up to 40 characters, and can be made up of characters or integers. The CAD ID is optional, but if none is used, a blank line is required.

Notes

The KPT command explicitly defines a vertex according to the Cartesian coordinates. The keypoint is referred to in subsequent functions by the vnum value. This unique ANSYS ID, unlike the CAD ID, must be specified.

6.4.2.2. The LCURV Command

The LCURV command defines a line or edge for import into the ANSYS database. If wireframe geometry is being defined, this command is used to define these items. This command is also used to define edges belonging to faces. The command is written as a multiple line data set, with the initial command statement addressing the input into the ANSYS database, the curve definition defining the type of curve to be entered, and the subsequent line(s) defining the curve. The curve definition data is entered in a free format, that is, the data is read in sequentially, according to the values expected from the curve definition. The command format is:

LINE 1: | LCURV, enum, crv_typ, start_vrtx, end_vrtx, Start_param, End_Param (see format below).
LINE 2: | CAD ID of edge (up to 40 characters).
LINE 3 to n | CURVE DEFINITION (see format below)

LINE 1 contains the command name (LCURV) and the arguments. The arguments must be separated by commas, and are defined as follows:

enum

The unique ID of the ANSYS edge (long integer).

crv_typ

Type of curve. Only B-spline (1 ) curves are recognized (long integer).

start_vrtx

Vertex ID at beginning of edge, specified with a KPT command (integer).

end_vrtx

Vertex ID at end of edge, specified with a KPT command (integer).

start_param

Curve parameter defining the start of the edge (real number).

end_param

Curve parameter defining the end of the edge (real number).

LINE 2 contains a specific CAD ID for the curve or edge. It can be up to 40 characters and can be made up of characters or integers. The CAD ID is optional, but if none is used, a blank line is required.

LINE 3 AND SUBSEQUENT LINES, contain the five-integer CURVE DEFINITION STATEMENT, followed by the CURVE DEFINITION DATA. This information is read in using a free format – the order of the information determines how it is assigned, regardless of whether it is on one line or many. You can enter these values as one continuous string, separated by spaces, or as discrete values, each entered on its own line.

The first five integers make up the CURVE DEFINITION STATEMENT:

form_number order rational num_knots num_cntrl_pt

The CURVE DEFINITION STATEMENT will define the order in which the CURVE DEFINITION DATA that follows will be organized. The CURVE DEFINITION STATEMENT parameters are defined as follows:

form_number

Acceptable form_number values are listed in the form_number values table for LCURV.

order

This value is related to the order of the polynomial (Basis Function) that will define the curve.

rational

0 = NO, not rational.

1 = YES, rational.

Num_knots

The array of knots will be the first set of values in the CURVE DEFINITION DATA.

num_cntl_pnts

The control points are the Cartesian coordinates for the keypoints along the line, 3 coordinates per point.

The lines that follow are the real numbers that make up the CURVE DEFINITION data. The following table shows the order of the data and the suggested number of items per line.

CURVE DEFINITION DATA (all values are free format)
Array of knots | four knots per line, free format
Array of Control Points | One point per line, 3 coordinates per point
Array of weights | Only used for RATIONAL curves, four weights per line.

NOTES:

The value for crv_typ in the original LCURV command statement (LINE 1) will determine the format for the curve definition on the subsequent lines. A value of 1 denotes a B-spline curve, and the five integer, free format will be used to write the CURVE DEFINITION information into the ANSYS database. ONLY B-SPLINE CURVES ARE SUPPORTED. The form_number signifies the actual curve definition underlying the NURB data.

Table 6.2 form_number values for LCURV

0 | B-spline
1 | Line
2 | Circular Arc
3 | Elliptical Arc
4 | Parabolic Arc
5 | Hyperbolic Arc
6 | Degenerate
7 | Conic Section
8 | Piecewise Conic Section
9 | Piecewise Circular Arc
The form_number signifies the actual curve definition underlying the NURB data.

Below is a complete LCURV input segment, including the Command statement, the ID, the CURVE DEFINITION STATEMENT, and the CURVE DEFINITION DATA (the keypoints were defined previously).

lcurv,2,1,2,3,0.000000,1.000000
4
0 4 0 8 4
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
1.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 3.333333333333333e-001 0.000000000000000e+000
1.000000000000000e+000 6.666666666666667e-001 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 0.000000000000000e+000

6.4.2.3. ASURF Command

The ASURF command defines an area or face for import into the ANSYS database. You use this command to explicitly define an individual sheet, or this face definition may belong to a B-rep solid. The list of lines in each loop refers to specific line entities that you define individually with an LCURV function. The format for an ASURF function is:

LINE 1: | ASURF,FNUM,surf_typ,num_loops,ncrv_max, start_u_parm,end_u_parm,start_v_parm, end_v_parm
LINE 2: | CAD ID of face (up to 40 characters).
LINE 3 to n | LOOP DEFINITION(s)
Line n+1 to m | SURFACE Definition (See Below)

Line 1 contains the command name (ASURF), and the arguments. The arguments must be separated by commas and are defined as follows:

fnum

The unique ID of the ANSYS face

srf_typ

Type of surface. Only B-spline (1) surfaces are recognized (long integer).

num_loop

Number of loops in this surface

ncrv_max

Maximum number of edges in any one loop for this face.

start_u_parm

Minimum _u_ parameter defining the surface.

end_u_parm

Maximum _u_ parameter defining the surface.

start_v_parm

Minimum _v_ parameter defining the surface.

end_v_parm

Maximum _v_ parameter defining the surface.

LINE 2 - This line contains a specific CAD Identification for the face or surface. It can be up to 40 characters and can be made up of characters or integers. The CAD ID is optional, but if none is used, a blank line is required.

LINE (3 to n) - These lines contain a two-digit loop definition (loop type and number of edges) followed by a listing of the edges that make up the face or surface. Because they are free format, the actual number of lines used will vary.

The loop definition is in the form:

loop_typ num_edges

Array of edges

Where:

loop_typ = | Loop type = 0 signifies the external loop, the remaining loops have a value of 1
num_edges = | Number of edges in the loop
Array of edges = | List of edges using the unique ANSYS IDs you defined with the LCURV command. If the direction of the edge is opposite its orientating for this face, then the edge number is negative.

LINE (n+1 to m) - This series of lines starts with the eight-integer SURFACE DEFINITION STATEMENT, followed by the SURFACE DEFINITION DATA. This information is read in using a free format - the order of the information determines how it is assigned, regardless of whether it is on one line or many. You can enter these values as one continuous string, separated by spaces, or as discrete values, each entered on its own line.

The first eight integers make up the SURFACE DEFINITION STATEMENT:

form_number u_order v_order rational u_num_knots v_num_knots u_num_cntr_pts v_num_cntr_pts

The SURFACE DEFINITION STATEMENT will define the order in which the SURFACE DEFINITION DATA that follows will be organized. The SURFACE DEFINITION STATEMENT parameters are defined as follows:

form_number

Acceptable form_number values are listed in form_number values table for ASURF.

u_order

This value is related to the order of the polynomial in the u direction (Basis Function) that will define the surface.

v_ order

This value is related to the order of the polynomial in the v direction (Basis Function) that will define the surface.

rational

0 = NO, not rational.

1 = YES, rational.

u_num_knots

The array of knots in the U direction will be the first set of values in the SURFACE DEFINITION DATA. Typically there are four knots per line, in a free format.

v_num_knots

The array of knots in the U direction follow. Typically there are four knots per line, in a free format.

u_num_cntl_pnts

The control points are the Cartesian coordinates for the keypoints along the line, 3 coordinates per point, one point per line.

v_num_cntl_pnts

The control points are the Cartesian coordinates for the keypoints along the line, 3 coordinates per point, one point per line.

The lines that follow are the real numbers containing the SURFACE DEFINITION DATA. The following table shows their order, and the suggested number per line.

SURFACE DEFINITION DATA (all values are free format)
Array of knots in U direction | Four knots per line, free format
Array of knots in V direction | Four knots per line, free format
Array of Control Points | One point per line, 3 coordinates per point
Array of weights | Only used for RATIONAL curves, four weights per line.

NOTES:

The value for surf_typ in the original ASURF command statement (LINE 1) will determine the format for the curve definition of the subsequent lines. A value of 1 denotes a B-spline surface, and the eight-integer, free format will be used to write the surface definition information into the ANSYS database. The form_number signifies the actual surface definition underlying the NURB data. ONLY B-SPLINE SURFACES ARE SUPPORTED.

Table 6.3 form_number values for ASURF

0 | B-spline
1 | Plane
2 | Right circular cylinder
3 | Cone
4 | Sphere
5 | Torus
6 | Surface of revolution
7 | Tabulated cylinder
8 | Ruled surface
9 | General quadratic surface
10 | Planar, circular capping surface
11 | Planar, quadrilateral surface

An example of a complete ASURF input segment, including the Command Statement, the ID, the SURFACE DEFINITION STATEMENT, and the SURFACE DEFINITION DATA, follows (the keypoints and curves were defined previously).

asurf,1,1,1,4,0,1,0,1
2
0 4
-4 -3 -2 -1
0 4 4 0 8 8 4 4
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
0.000000000000000e+000 3.333333333333333e-001 0.000000000000000e+000
0.000000000000000e+000 6.666666666666667e-001 0.000000000000000e+000
0.000000000000000e+000 1.000000000000000e+000 0.000000000000000e+000
3.333333333333333e-001 0.000000000000000e+000 0.000000000000000e+000
3.333333333333333e-001 3.333333333333333e-001 0.000000000000000e+000
3.333333333333333e-001 6.666666666666667e-001 0.000000000000000e+000
3.333333333333333e-001 1.000000000000000e+000 0.000000000000000e+000
6.666666666666667e-001 0.000000000000000e+000 0.000000000000000e+000
6.666666666666667e-001 3.333333333333333e-001 0.000000000000000e+000
6.666666666666667e-001 6.666666666666667e-001 0.000000000000000e+000
6.666666666666667e-001 1.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 3.333333333333333e-001 0.000000000000000e+000
1.000000000000000e+000 6.666666666666667e-001 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 0.000000000000000e+000

6.4.2.4. The VBODY Command

The VBODY command incorporates a series of previously defined vertices, curves and surfaces to form a volume or body. The command format is:

LINE 1: | VBODY, bnum, num_shells, nsrf_max (see format below).
LINE 2: | CAD ID of body (up to 40 characters).
LINE 3 to n | SHELL DEFINITION (see format below)

LINE 1 contains the command name (VBODY), and the arguments. The arguments must be separated by commas and are defined as follows:

bnum

The unique ID for the ANSYS body (long integer).

num_shells

The number of shells in this body.

nsrf_max

The maximum number of faces in any one shell.

LINE 2 contains a specific CAD identification for he volume or body. It can be up to 40 characters and can be made up of characters or integers. The CAD ID is optional, but if none is used, a blank line is required.

LINE 3 AND SUBSEQUENT LINES contain the two-integer BODY DEFINITION STATEMENT, followed by the BODY DEFINITION DATA. This information is read in using a free format - the order of the information determines how it is assigned, regardless of whether it is on one line or many.

The first two integers make up the BODY DEFINITION STATEMENT:

shell_typ num_faces

shell_typ

For the shell_typ, an external shell is zero, while the internal shells have value of 1.

num_faces

This value denotes the total number of faces in this shell.

The lines that follow make up the BODY DEFINITION DATA. This data contains an array of faces, typically with ten faces specified per line, in a free format. The list of faces uses the unique ANSYS IDs, as defined earlier with the ASURF command. If the normal of the face is opposite of its orientation for this shell, then the face number is negative.

6.4.3. A Sample ANSYS Neutral File Input Listing

The following listing defines a cube, based at the origin of a Cartesian coordinate system, measuring 1 x 1 x 1.

/com,
/com, *** ANSYS GEOMETRY NEUTRAL FILE ***
/com,
/com,     ANSYS57 Connection  for Pro/ENGINEER
/com,     Build Date: 03/01/01
/com,     Model Name: box
/com,     Units: inch
/com,
/title, Model box
/aux15
kpt,1,0.000000000000000e+000,0.000000000000000e+000,0.000000000000000e+000

kpt,2,1.000000000000000e+000,0.000000000000000e+000,0.000000000000000e+000

lcurv,1,1,1,2,0.000000,1.000000
3
0 4 0 8 4
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
3.333333333333333e-001 0.000000000000000e+000 0.000000000000000e+000
6.666666666666667e-001 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
kpt,3,1.000000000000000e+000,1.000000000000000e+000,0.000000000000000e+000

lcurv,2,1,2,3,0.000000,1.000000
4
0 4 0 8 4
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
1.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 3.333333333333333e-001 0.000000000000000e+000
1.000000000000000e+000 6.666666666666667e-001 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 0.000000000000000e+000
kpt,4,0.000000000000000e+000,1.000000000000000e+000,0.000000000000000e+000

lcurv,3,1,3,4,0.000000,1.000000
5
0 4 0 8 4
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 0.000000000000000e+000
6.666666666666667e-001 1.000000000000000e+000 0.000000000000000e+000
3.333333333333333e-001 1.000000000000000e+000 0.000000000000000e+000
0.000000000000000e+000 1.000000000000000e+000 0.000000000000000e+000
lcurv,4,1,4,1,0.000000,1.000000
6
0 4 0 8 4
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
0.000000000000000e+000 1.000000000000000e+000 0.000000000000000e+000
0.000000000000000e+000 6.666666666666667e-001 0.000000000000000e+000
0.000000000000000e+000 3.333333333333333e-001 0.000000000000000e+000
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
asurf,1,1,1,4,0,1,0,1
2
0 4
-4 -3 -2 -1
0 4 4 0 8 8 4 4
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
0.000000000000000e+000 3.333333333333333e-001 0.000000000000000e+000
0.000000000000000e+000 6.666666666666667e-001 0.000000000000000e+000
0.000000000000000e+000 1.000000000000000e+000 0.000000000000000e+000
3.333333333333333e-001 0.000000000000000e+000 0.000000000000000e+000
3.333333333333333e-001 3.333333333333333e-001 0.000000000000000e+000
3.333333333333333e-001 6.666666666666667e-001 0.000000000000000e+000
3.333333333333333e-001 1.000000000000000e+000 0.000000000000000e+000
6.666666666666667e-001 0.000000000000000e+000 0.000000000000000e+000
6.666666666666667e-001 3.333333333333333e-001 0.000000000000000e+000
6.666666666666667e-001 6.666666666666667e-001 0.000000000000000e+000
6.666666666666667e-001 1.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 3.333333333333333e-001 0.000000000000000e+000
1.000000000000000e+000 6.666666666666667e-001 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 0.000000000000000e+000
kpt,5,0.000000000000000e+000,0.000000000000000e+000,1.000000000000000e+000

kpt,6,1.000000000000000e+000,0.000000000000000e+000,1.000000000000000e+000

lcurv,5,1,5,6,0.000000,1.000000
8
0 4 0 8 4
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
0.000000000000000e+000 0.000000000000000e+000 1.000000000000000e+000
3.333333333333333e-001 0.000000000000000e+000 1.000000000000000e+000
6.666666666666667e-001 0.000000000000000e+000 1.000000000000000e+000
1.000000000000000e+000 0.000000000000000e+000 1.000000000000000e+000
kpt,7,0.000000000000000e+000,1.000000000000000e+000,1.000000000000000e+000

lcurv,6,1,7,5,0.000000,1.000000
11
0 4 0 8 4
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
0.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
0.000000000000000e+000 6.666666666666667e-001 1.000000000000000e+000
0.000000000000000e+000 3.333333333333333e-001 1.000000000000000e+000
0.000000000000000e+000 0.000000000000000e+000 1.000000000000000e+000
kpt,8,1.000000000000000e+000,1.000000000000000e+000,1.000000000000000e+000

lcurv,7,1,8,7,0.000000,1.000000
10
0 4 0 8 4
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
6.666666666666667e-001 1.000000000000000e+000 1.000000000000000e+000
3.333333333333333e-001 1.000000000000000e+000 1.000000000000000e+000
0.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
lcurv,8,1,6,8,0.000000,1.000000
9
0 4 0 8 4
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
1.000000000000000e+000 0.000000000000000e+000 1.000000000000000e+000
1.000000000000000e+000 3.333333333333333e-001 1.000000000000000e+000
1.000000000000000e+000 6.666666666666667e-001 1.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
asurf,2,1,1,4,0,1,0,1
7
0 4
8 7 6 5
0 4 4 0 8 8 4 4
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
0.000000000000000e+000 0.000000000000000e+000 1.000000000000000e+000
0.000000000000000e+000 3.333333333333333e-001 1.000000000000000e+000
0.000000000000000e+000 6.666666666666667e-001 1.000000000000000e+000
0.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
3.333333333333333e-001 0.000000000000000e+000 1.000000000000000e+000
3.333333333333333e-001 3.333333333333333e-001 1.000000000000000e+000
3.333333333333333e-001 6.666666666666667e-001 1.000000000000000e+000
3.333333333333333e-001 1.000000000000000e+000 1.000000000000000e+000
6.666666666666667e-001 0.000000000000000e+000 1.000000000000000e+000
6.666666666666667e-001 3.333333333333333e-001 1.000000000000000e+000
6.666666666666667e-001 6.666666666666667e-001 1.000000000000000e+000
6.666666666666667e-001 1.000000000000000e+000 1.000000000000000e+000
1.000000000000000e+000 0.000000000000000e+000 1.000000000000000e+000
1.000000000000000e+000 3.333333333333333e-001 1.000000000000000e+000
1.000000000000000e+000 6.666666666666667e-001 1.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
lcurv,9,1,1,5,0.000000,1.000000
13
0 4 0 8 4
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
0.000000000000000e+000 0.000000000000000e+000 3.333333333333333e-001
0.000000000000000e+000 0.000000000000000e+000 6.666666666666667e-001
0.000000000000000e+000 0.000000000000000e+000 1.000000000000000e+000
lcurv,10,1,2,6,0.000000,1.000000
15
0 4 0 8 4
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
1.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 0.000000000000000e+000 3.333333333333333e-001
1.000000000000000e+000 0.000000000000000e+000 6.666666666666667e-001
1.000000000000000e+000 0.000000000000000e+000 1.000000000000000e+000
asurf,3,1,1,4,0,1,0,1
12
0 4
10 -5 -9 1
0 4 4 0 8 8 4 4
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
0.000000000000000e+000 0.000000000000000e+000 3.333333333333333e-001
0.000000000000000e+000 0.000000000000000e+000 6.666666666666667e-001
0.000000000000000e+000 0.000000000000000e+000 1.000000000000000e+000
3.333333333333333e-001 0.000000000000000e+000 0.000000000000000e+000
3.333333333333333e-001 0.000000000000000e+000 3.333333333333333e-001
3.333333333333333e-001 0.000000000000000e+000 6.666666666666667e-001
3.333333333333333e-001 0.000000000000000e+000 1.000000000000000e+000
6.666666666666667e-001 0.000000000000000e+000 0.000000000000000e+000
6.666666666666667e-001 0.000000000000000e+000 3.333333333333333e-001
6.666666666666667e-001 0.000000000000000e+000 6.666666666666667e-001
6.666666666666667e-001 0.000000000000000e+000 1.000000000000000e+000
1.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 0.000000000000000e+000 3.333333333333333e-001
1.000000000000000e+000 0.000000000000000e+000 6.666666666666667e-001
1.000000000000000e+000 0.000000000000000e+000 1.000000000000000e+000
lcurv,11,1,3,8,0.000000,1.000000
17
0 4 0 8 4
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 3.333333333333333e-001
1.000000000000000e+000 1.000000000000000e+000 6.666666666666667e-001
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
asurf,4,1,1,4,0,1,0,1
14
0 4
11 -8 -10 2
0 4 4 0 8 8 4 4
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
1.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 0.000000000000000e+000 3.333333333333333e-001
1.000000000000000e+000 0.000000000000000e+000 6.666666666666667e-001
1.000000000000000e+000 0.000000000000000e+000 1.000000000000000e+000
1.000000000000000e+000 3.333333333333333e-001 0.000000000000000e+000
1.000000000000000e+000 3.333333333333333e-001 3.333333333333333e-001
1.000000000000000e+000 3.333333333333333e-001 6.666666666666667e-001
1.000000000000000e+000 3.333333333333333e-001 1.000000000000000e+000
1.000000000000000e+000 6.666666666666667e-001 0.000000000000000e+000
1.000000000000000e+000 6.666666666666667e-001 3.333333333333333e-001
1.000000000000000e+000 6.666666666666667e-001 6.666666666666667e-001
1.000000000000000e+000 6.666666666666667e-001 1.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 3.333333333333333e-001
1.000000000000000e+000 1.000000000000000e+000 6.666666666666667e-001
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
lcurv,12,1,4,7,0.000000,1.000000
19
0 4 0 8 4
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
0.000000000000000e+000 1.000000000000000e+000 0.000000000000000e+000
0.000000000000000e+000 1.000000000000000e+000 3.333333333333333e-001
0.000000000000000e+000 1.000000000000000e+000 6.666666666666667e-001
0.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
asurf,5,1,1,4,0,1,0,1
16
0 4
12 -7 -11 3
0 4 4 0 8 8 4 4
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 3.333333333333333e-001
1.000000000000000e+000 1.000000000000000e+000 6.666666666666667e-001
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
6.666666666666667e-001 1.000000000000000e+000 0.000000000000000e+000
6.666666666666667e-001 1.000000000000000e+000 3.333333333333333e-001
6.666666666666667e-001 1.000000000000000e+000 6.666666666666667e-001
6.666666666666667e-001 1.000000000000000e+000 1.000000000000000e+000
3.333333333333333e-001 1.000000000000000e+000 0.000000000000000e+000
3.333333333333333e-001 1.000000000000000e+000 3.333333333333333e-001
3.333333333333333e-001 1.000000000000000e+000 6.666666666666667e-001
3.333333333333333e-001 1.000000000000000e+000 1.000000000000000e+000
0.000000000000000e+000 1.000000000000000e+000 0.000000000000000e+000
0.000000000000000e+000 1.000000000000000e+000 3.333333333333333e-001
0.000000000000000e+000 1.000000000000000e+000 6.666666666666667e-001
0.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
asurf,6,1,1,4,0,1,0,1
18
0 4
9 -6 -12 4
0 4 4 0 8 8 4 4
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
0.000000000000000e+000 1.000000000000000e+000 0.000000000000000e+000
0.000000000000000e+000 1.000000000000000e+000 3.333333333333333e-001
0.000000000000000e+000 1.000000000000000e+000 6.666666666666667e-001
0.000000000000000e+000 1.000000000000000e+000 1.000000000000000e+000
0.000000000000000e+000 6.666666666666667e-001 0.000000000000000e+000
0.000000000000000e+000 6.666666666666667e-001 3.333333333333333e-001
0.000000000000000e+000 6.666666666666667e-001 6.666666666666667e-001
0.000000000000000e+000 6.666666666666667e-001 1.000000000000000e+000
0.000000000000000e+000 3.333333333333333e-001 0.000000000000000e+000
0.000000000000000e+000 3.333333333333333e-001 3.333333333333333e-001
0.000000000000000e+000 3.333333333333333e-001 6.666666666666667e-001
0.000000000000000e+000 3.333333333333333e-001 1.000000000000000e+000
0.000000000000000e+000 0.000000000000000e+000 0.000000000000000e+000
0.000000000000000e+000 0.000000000000000e+000 3.333333333333333e-001
0.000000000000000e+000 0.000000000000000e+000 6.666666666666667e-001
0.000000000000000e+000 0.000000000000000e+000 1.000000000000000e+000
vbody,1,6
cube
1 -2 -3 -4 -5 -6

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.3. Customizing the GUI 		Up / Home Next
Chapter 7. Using the Online Help and Manuals


Chapter 7. Using the Online Help and Manuals

The online help system gives you information on virtually any component in the Graphical User Interface (GUI) and any ANSYS command or concept. It includes the usual features such as a cascading table of contents, index, and full text search capability.

You can access the online help within the GUI in three ways:

  1. Choose Utility Menu> Help> Help Topics and navigating to the desired topic via the table of contents and index.

  2. Press the Help button within dialog boxes.

  3. Enter the HELP command directly in the Input Window. When using the HELP command, ANSYS will dynamically complete the command. For example, to get help on the PLNSOL command, you could type Help,plns.

Note

When help is minimized and you issue another help call from ANSYS, the help window is not automatically restored to its previous size. You must do this manually.

You can also access the help system when in non-GUI mode. You can use either of the following options:

  • Type /MENU,ON to activate the GUI and then use one of the above methods.

  • Type HELP,command, as described above. This command activates the ANSYS help system without entering GUI-mode.

You can also access the help in a standalone format, without running ANSYS. Use the Start menu on Windows or the ANSHELP 110 command.

The following help topics are available:

  • Using Help Features
  • Customizing ANSYS Help

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.4. ANSYS Neutral File Format 		Up / Home Next
7.1. Using Help Features


7.1. Using Help Features

The following help features are discussed:

  • Using Hypertext Links
  • Locating Topics Via Word Search
  • Revisiting Previously-Viewed Topics
  • Printing the Window Contents
  • Using 'What's This' Help

7.1.1. Using Hypertext Links

As you scan a page of text in the navigation window, you will notice certain words or phrases are underlined and appear in a different color. These items are hypertext links. A hypertext link is a text navigation tool that, when clicked, takes you directly to information on that item. Typical items which appear as hypertext links are command names, element types, and manual section references.

For example, a page in the Thermal Analysis Guide manual may contain several commands pertaining to steady-state thermal analysis. Each command is displayed in a color, such as dark blue. Click one of these commands, and the corresponding command description will replace the information currently in the document window. That command description will most likely also contain hypertext links that access further related information. If you return to the page where you selected the hypertext link, you will see that the color has changed. A different color indicates that you have accessed that link.

7.1.2. Locating Topics Via Word Search

You can locate a topic anywhere in the documentation via typical full-text search facilities, accessible within the online documentation itself.

7.1.3. Revisiting Previously-Viewed Topics

As you travel through various sections of the manuals, you may wish to revisit a piece of text that you scanned earlier. Use the history option or the Back button on your browser to review previously viewed topics.

7.1.4. Printing the Window Contents

You can print any currently open html help topic by using the print option on your browser. You can print only the currently open file in UNIX; however, you can print any part of the table of contents "tree" in Windows.

7.1.5. Using 'What's This' Help

Some ANSYS dialog boxes also feature “What's This” help. “What's This” help provides a brief description of a dialog box or an item on a dialog box. Access “What's This” help by positioning the mouse over the item of interest on the dialog box and clicking the right mouse button one time. A small context menu appears next to the mouse cursor or arrow pointer. Click on the “What's This” option and the information appears in a pop-up window on your screen. If “What's This” help is not available, the pop-up window will state that help is not available for this item. Close the “What's This” help window by clicking anywhere in the application.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 7. Using the Online Help and Manuals 		Up / Home Next
7.2. Customizing ANSYS Help


7.2. Customizing ANSYS Help

ANSYS supports two separate levels of customized help.

Corporate Help

This is help that is useful to all ANSYS users in an organization. Help files must be added to the ANSYS help directory, which could require administrative privileges on UNIX machines. On Windows-based systems, the help directory is Program Files\Ansys Inc\V110\CommonFiles\help\en-us. On UNIX, it's /ansys_inc/v110/commonfiles/help/en-us.

User Help

This is help tailored for an individual user. These help files can reside on the user's local machine.

In neither case can you add topics directly to ANSYS help. Your help topics must be maintained as separate files. However, you can interconnect your topics as context-sensitive help accessible from custom ANSYS GUI elements or the ANSYS command line.

ANSYS can call standard HTML files (Windows and UNIX) or compiled help files (Windows only). In either case, ANSYS finds the appropriate help file through a look-up table that matches a context sensitive help string to the URL for the help file. The process of customizing help consists of:

  1. Adding the appropriate help calls to whatever new or customized GUI elements you may need. This step is optional, and only applies if you are also customizing the interface. You can still access your help file by issuing the HELP command from the ANSYS command line.

  2. Creating documentation or help topic files as HTML files.

  3. Adding URLs and the help calling strings to the appropriate look-up table. File names will be resolved relative to the location of the index files.

Note

For Windows systems, a number of commercially available tools can create a compiled HTML Help file. You can also download a free tool, called the HTMLHelp Workshop, from the developer area of the Microsoft website.

Using the above as a guide, you can connect your custom help by adding look-up records to the appropriate index files.

ANSYS, Inc. supports only the functionality as described in the help system as shipped on the distribution media. Any customizations you make to the help system, including content, are solely your responsibility. We recommend that you limit your help customizations to adding additional topics.

ANSYS includes sample HTML and index files on the media, called sample.html and sample.hlp, respectively. The examples in this section match those files. However, the examples in this section show HTML files called directly, and not the use of compiled help (.chm) files. The sample.hlp includes lines demonstrating .chm help files for your reference.

7.2.1. Adding Help Calls to GUI Objects

In general, a help string is connected to a button in a UIDL or Tcl dialog box. The string contents are completely arbitrary; however, the length must not exceed 16 characters and should be made up of letters, numbers, and additional characters such as underbars, dashes, etc. Spaces are not allowed. A typical UIDL help call (called a :H line) looks like this:

:H Hlp_sample
See the ANSYS UIDL Programmer's Guide for more information on the :H line.

In Tcl, the same help call issuing an action for the help button would look like this:

$dialogName.parent.btnHelp configure \
      -command {ans_loadhelp Hlp_sample}

If you want to be able to also call your HTML file from the ANSYS command line (using the HELP,helpstring command), simply use a help string that is all uppercase letters. In fact, you can use this technique to access help files without having them connected to any GUI objects.

7.2.2. Creating HTML Files

You can use virtually any tool that creates ”clean" HTML files to build your HTML files. If you wish to use compiled HTML files (.chm) on Windows systems, you can use any of the commercial help authoring tools or the freeware HTMLHelp Workshop, which can be downloaded from the Microsoft web site.

While the limitations and capabilities of the Microsoft Internet Explorer browser and the related HTMLHelp Viewer are well-known and documented on the Microsoft web site, the capabilities of the ANSYS UNIX help browser are not general knowledge. From a help authoring perspective, the display engine in UNIX is OracleHelp, and specific information can be found on the Oracle web site. In general, the OracleHelp browser supports HTML 4.0, unicode characters, and both CSS 1 and CSS 2.

Where you place your custom help files depends on who you wish to be able to access those files. If the help files should be accessible by all ANSYS users at your site, the custom help files should be placed in the following locations:

  • For Windows, place them in either Program Files\Ansys Inc\V110\CommonFiles\help\en-us or a subdirectory of that directory.

  • For UNIX, place them in the /ansys_inc/v110/commonfiles/help/en-us directory. Placing files here will require administrative authority on that directory.

If you are creating help that is accessible to only an individual user, place the help anywhere on the machine used to run ANSYS. For example, if the user is running a Windows version of ANSYS, place the help files in a directory on that machine. However, if the user is running ANSYS on a remote machine, place the files somewhere on the remote machine.

7.2.3. Updating the Look-Up Table

Regardless of whether you're building online documentation for Windows or UNIX, as far as a help author is concerned ANSYS calls help in largely the same way. Both platforms use a lookup table (called an "index file") to match up a help string with an ANSYS help topic. The help string can be issued by a GUI object, such as a dialog box built in either Tcl or UIDL, or it can be issued by a help,helpstring command. The help topic can be identified with either

  • a URL for an HTML file (all platforms)

  • a specialized URL pointing to an HTML file within a .chm compiled HTML file (Windows HTML Help only)

ANSYS use three look-up files (index files). Two of the index files reside in the following location in the ANSYS installation tree:

/ansys_inc/v110/commonfiles/help/en-us.

  • The first index file is supplied by ANSYS and maps the help calls to the corresponding ANSYS-supplied help topics and is called ansys_Index.hlp on UNIX and win_ansys_Index.hlp on Windows systems. Do not modify this file!

  • The second file controls access to "corporate help" or custom help that will be accessible by all ANSYS users in an organization. It is provided as a template which you can populate. The file maps any customized help calls to their corresponding user-supplied HTML help or standard HTML files. This file is called corp_Index.hlp.

  • The third file, which you must create, is used to point to custom help files intended for an individual users use. The file is called user_Index.hlp. This file is used in conjunction with an environment variable you must set called USERHELP, the value of which should be the complete path to the directory that contains the user help index file. To create this file, simply copy and rename corp_Index.hlp file. For convenience sake, you should place your custom help files in the same directory.

    Note

    Do not set the USERHELP environment variable until you've placed the user help index file in the directory to which USERHELP points. If you do, ANSYS will disable the help system during its current run when it can't find the appropriate index file.

A help string, such as Hlp_sample, must reside in an index file and map to the appropriate topic. In this case, the line could look something like this:

Hlp_sample sample.html

  • The first field contains the ANSYS help string (Hlp_sample).

  • The second field contains the “target” topic within the help system. For UNIX, this is simply the name of the HTML file. For a Windows system, the second field can be either the name of an HTML file or the location of a topic in a compiled help file.

    For example, the target topic for an HTML file for either Windows or UNIX platforms might look like one of these:

    sample.html
    or
    Hlp_sample.html

    The target topic for a compiled help file on Windows platforms would look like this:

    sample.chm::/sample.html

To connect the UIDL help call to the help file, include a line in the index file similar to:

Hlp_sample  sample.html

The index file for the examples shown here would look like this:

4 13 24
Hlp_sample Hlp_sample.html              !Opens a single HTML file from the GUI
Hlp_samplechm sample.chm::/sample.html  !Opens a .chm file from the GUI (Windows only)
SAMPLE Hlp_sample.html                  !Opens a single HTML file from a HELP
command
SAMPLECHM sample.chm::/sample.html      !Opens a .chm file from a HELP command (Windows only)

Note that this file includes comments for each line; the actual file cannot include comments.

The GUI help call for the single HTML file for this example would be:

:H Hlp_sample

When updating the corporate or user index file, note that the first record of the index file (header record) contains three numeric fields:

  • The first number represents the number of lines in the file excluding the header record.

  • The second number is the length of the longest string in field one for the file.

  • The third number is the length of the longest string in field two for the file.

You must update this record before the corporate index file will work properly with ANSYS. When creating customized help, follow these additional guidelines:

  • Each instance of the string in field one must be unique within the file.

  • Each record must map to one and only one HTML file.

  • More than one record can map to the same HTML file.

  • The records in the index file must be sorted on the contents of field one.

The index files are searched in the following order of precedence, and ANSYS uses the first record that matches in its search.

  1. ansys_Index.hlp (or win_ansys_Index.hlp on Windows)

  2. corp_Index.hlp

  3. user_index.hlp

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.1. Using Help Features 		Up / Home Next
Chapter 8. Using the ANSYS Session and Command Logs


Chapter 8. Using the ANSYS Session and Command Logs

The ANSYS program records every command it executes, whether typed in directly or executed by a function in the Graphical User Interface (GUI), in two places: the session log file and the internal database command log.

  • The session log file is a text file which is saved in your working directory.

  • The database command log is saved in the ANSYS database (in memory). You can copy this log to a file at any time by choosing Utility Menu> File> Write DB Log File or by issuing the LGWRITE command.

Both files are command logs that can be used as input to the ANSYS program. (The general term command log file indicates both the session log file and the database command log produced by LGWRITE.)

The following log topics are available:

  • Using the Session Log File
  • Using the Database Command Log
  • Using a Command Log File as Input

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.2. Customizing ANSYS Help 		Up / Home Next
8.1. Using the Session Log File


8.1. Using the Session Log File

Every ANSYS session produces a session log named Jobname.LOG. (Jobname is determined by the jobname defined at ANSYS entry - see "Running the ANSYS Program". The default jobname is FILE or file, depending on the operating system.

The program opens the log file when you first enter the program, and closes it when you exit the program.

The session log file provides a complete record of your ANSYS session (in terms of commands) and is quite valuable as a means of recovering from a system crash or catastrophic user mistake. By reading in a renamed copy of your log file (or by submitting it as a batch file), you can re-execute every command in your log file, recreating your database exactly as it existed previously. (For more information, see Using the Database Command Log.)

Your log file is also useful as a debugging tool that can help to reveal any mistakes you might have made in an ANSYS session. Should you require help from your ASD in debugging an ANSYS session, he or she will almost certainly ask to see a copy of your log file.

Each new ANSYS session appends commands to the existing file Jobname.LOG. (That is, the log file is not overwritten during a new ANSYS session, but added to.) A "time stamp," consisting of the current date and time, is included so that you can identify the start of each session. Use /FILNAME,1 to start a new log file for the session.

You can list your entire log file during an interactive run by picking Utility Menu> List> Files> Log File. Because this file is in ASCII format, you can view and edit it readily using an external text editor.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 8. Using the ANSYS Session and Command Logs 		Up / Home Next
8.2. Using the Database Command Log


8.2. Using the Database Command Log

ANSYS captures commands generated (or typed in) during an ANSYS session not only in the log file but also in memory. This in-memory version of the command history is called the internal database log. When you save the database, the program saves this command log in the database file (Jobname.DB) along with the other database information.

Use either Utility Menu> File> Write DB Log File or the LGWRITE command to write the database command log to a named ASCII file. You can then edit this file, make desired changes, and use the file as command input to the program. This capability is especially useful if you want to use the command history that was created during an interactive session, but have somehow lost or corrupted the session log file (Jobname.LOG) that was associated with your database.

If you create your database in multiple sessions by saving and resuming the database file, the ANSYS program keeps the database log continuous by appending each new command that is processed. Therefore, the internal database log is not fragmented; it will represent the complete database.

Note

The RESUME command is not written to the database log.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.1. Using the Session Log File 		Up / Home Next
8.3. Using a Command Log File as Input


8.3. Using a Command Log File as Input

The procedure for re-executing the commands contained in a Jobname.LOG file or in the database log consists of three main steps:

  1. Establish the command log file.

  2. Edit the command log file as desired.

  3. Read the edited file into your ANSYS session.

Step 1: Establish the Command Log File

The method to do this depends on whether you use the session log file or the database log.

Session Log File

To establish a command log file from the session log file, (Jobname.LOG) perform these steps:

  1. Rename or copy the session log file to a different name. You can do this at the system level or from within the program.

  2. List the log file by choosing Utility Menu> List> Files> Log File.

  3. Choose File> Save as from the Log File window.

Database Command Log

To establish a command log file from the database log, pick Utility Menu> File> Write DB Log File, or use the LGWRITE command. You can specify a file name or use the default name, Jobname.LGW. You also have the option (with the Kedit field) to write all commands (default), essential commands only (Kedit = REMOVE), or essential commands with nonessential commands commented out (Kedit = COMMENT).

Keep these additional points in mind when using the database command log:

  • ANSYS does not store commands that are read from macros in the database command log. In such cases, you cannot use the LGW file to recreate an exact copy of the database unless all of your macros still exist and are accessible.

  • Files that are read with the /INPUT command will be recorded in the database log (and on Jobname.LOG) only if the LOG field on /INPUT is set to 1.

  • Some "nonessential" commands that are filtered out by the Kedit option on LGWRITE may be required for subsequent *GET operations (for example, EXTREM and PLNSOL). Therefore, use Kedit = COMMENT (not Kedit = REMOVE) to write nonessential commands as comment lines. Using a system editor, you can then "uncomment" the commands required by *GET to ensure exact recreation of the database.

  • When you use the RESUME command to load a previously saved database, the program clears the database log and replaces it with the database log that is stored on the resumed database. (The RESUME command itself is not written to the database command log.)

  • The /CLEAR command (Utility Menu> File> Clear & Start New) clears both the ANSYS database and the database log. The ANSYS program stores any commands processed after /CLEAR in the new database that is being created. (The /CLEAR command is not written to the database command log.)

  • When you run ANSYS in batch mode, the program copies all commands in the input file to the database log before any of these commands execute. If the batch input contains one or more /CLEAR commands, the database log will not match the contents of the database that is produced.

Back To Top

Step 2: Edit the Command Log File

Sometimes, you will need to edit your command log file before using it as program input. As you edit your log file, you may want to add comments or indentation to improve its readability. You can add comments to your log file by using comment commands (such as /COM or C***) or by using the comment character (!).

Comments contained in a comment command will appear in both the input and output listings. Comments that follow a ! will appear only in the input listing. You can indent commands to visually group the commands for clarity.

Note

Certain commands, such as FLST and FITEM, are generated by the GUI and are not intended to be typed in directly. You should avoid editing such commands on the log file. Any data change within the FITEM command, for example, could render the data to be invalid, and could cause unpredictable results.

Back To Top

Step 3: Read in the Edited Log File

In an interactive session, pick Utility Menu> File> Read Input from or issue the /INPUT command to read in the edited command log file. In batch mode, you can use the edited command log file as your batch input file.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.2. Using the Database Command Log 		Up / Home Next
Basic Analysis Guide


Basic Analysis Guide

Release 11.0 Documentation for ANSYS

Table of Contents

1. Getting Started with ANSYS
1.1. Building the Model
1.1.1. Specifying a Jobname and Analysis Title
1.1.2. Defining Element Types
1.1.3. Defining Element Real Constants
1.1.4. Defining Material Properties
1.1.5. Creating the Model Geometry
1.2. Applying Loads and Obtaining the Solution
1.2.1. Defining the Analysis Type and Analysis Options
1.2.2. Applying Loads
1.2.3. Specifying Load Step Options
1.2.4. Initiating the Solution
1.3. Reviewing the Results
2. Loading
2.1. What Are Loads?
2.2. Load Steps, Substeps, and Equilibrium Iterations
2.3. The Role of Time in Tracking
2.4. Stepped Versus Ramped Loads
2.5. How to Apply Loads
2.5.1. Solid-Model Loads: Advantages and Disadvantages
2.5.2. Finite-Element Loads: Advantages and Disadvantages
2.5.3. DOF Constraints
2.5.4. Applying Symmetry or Antisymmetry Boundary Conditions
2.5.5. Transferring Constraints
2.5.6. Forces (Concentrated Loads)
2.5.7. Surface Loads
2.5.8. Body Loads
2.5.9. Inertia Loads
2.5.10. Coupled-Field Loads
2.5.11. Axisymmetric Loads and Reactions
2.5.12. Loads to Which the DOF Offers No Resistance
2.5.13. Initial State Loading
2.5.14. Applying Loads Using TABLE Type Array Parameters
2.5.15. Applying Loads Using Function Boundary Conditions
2.6. How to Specify Load Step Options
2.6.1. General Options
2.6.2. Dynamics Options
2.6.3. Nonlinear Options
2.6.4. Output Controls
2.6.5. Biot-Savart Options
2.6.6. Spectrum Options
2.7. Creating Multiple Load Step Files
2.8. Defining Pretension in a Joint Fastener
2.8.1. Applying Pretension to a Fastener Meshed as a Single Piece
2.8.2. Applying Pretension to a Fastener Meshed as Two Pieces
2.8.3. Example Pretension Analysis
2.8.4. Example Pretension Analysis (GUI Method)
3. Solution
3.1. Selecting a Solver
3.2. Types of Solvers
3.2.1. The Sparse Direct Solver
3.2.2. The Preconditioned Conjugate Gradient (PCG) Solver
3.2.3. The Jacobi Conjugate Gradient (JCG) Solver
3.2.4. The Incomplete Cholesky Conjugate Gradient (ICCG) Solver
3.2.5. The Quasi-Minimal Residual (QMR) Solver
3.2.6. The Frontal Solver
3.2.7. The Algebraic Multigrid (AMG) Solver
3.2.8. The Distributed Direct (DSPARSE) Solver
3.2.9. The Automatic Iterative (Fast) Solver Option
3.3. Solver Memory and Performance
3.3.1. Running ANSYS Solvers under Shared Memory
3.3.2. Using ANSYS' Large Memory Capabilities with the Sparse Solver
3.3.3. Disk Space (I/O) and Post-Processing Performance for Large Memory Problems
3.3.4. Memory Usage on Windows 32-bit Systems
3.3.5. Estimating Run Time and File Sizes
3.4. Using Special Solution Controls for Certain Types of Structural Analyses
3.4.1. Using Abridged Solution Menus
3.4.2. Using the Solution Controls Dialog Box
3.4.3. Accessing More Information
3.5. Using the PGR File to Store Data for Postprocessing
3.5.1. PGR File Capability
3.5.2. Selecting Information for the PGR File
3.5.3. PGR Commands
3.6. Obtaining the Solution
3.7. Solving Multiple Load Steps
3.7.1. Using the Multiple SOLVE Method
3.7.2. Using the Load Step File Method
3.7.3. Using the Array Parameter Method
3.8. Terminating a Running Job
3.9. Restarting an Analysis
3.9.1. Singleframe Restart
3.9.2. Multiframe Restart
3.9.3. VT Accelerator Re-run
3.10. Exercising Partial Solution Steps
3.11. Singularities
3.12. Stopping Solution After Matrix Assembly
4. An Overview of Postprocessing
4.1. Postprocessors Available
4.2. The Results Files
4.3. Types of Data Available for Postprocessing
5. The General Postprocessor (POST1)
5.1. Reading Results Data into the Database
5.1.1. Reading in Results Data
5.1.2. Other Options for Retrieving Results Data
5.1.3. Creating an Element Table
5.1.4. Special Considerations for Principal Stresses
5.1.5. Reading in FLOTRAN Results
5.1.6. Resetting the Database
5.2. Reviewing Results in POST1
5.2.1. Displaying Results Graphically
5.2.2. Surface Operations
5.2.3. Integrating Surface Results
5.2.4. Listing Results in Tabular Form
5.2.5. Mapping Results onto a Path
5.2.6. Estimating Solution Error
5.2.7. Using the Results Viewer to Access Your Results File Data
5.3. Using the PGR File in POST1
5.3.1. Specifying a New PGR File in POST1
5.3.2. Appending to an Existing PGR File in POST1
5.4. Additional POST1 Postprocessing
5.4.1. Rotating Results to a Different Coordinate System
5.4.2. Performing Arithmetic Operations Among Results Data
5.4.3. Creating and Combining Load Cases
5.4.4. Mapping Results onto a Different Mesh or to a Cut Boundary
5.4.5. Creating or Modifying Results Data in the Database
5.4.6. Splitting Large Results Files
5.4.7. Magnetics Command Macros
6. The Time-History Postprocessor (POST26)
6.1. The Time-History Variable Viewer
6.2. Entering the Time-History Postprocessor
6.2.1. Interactive
6.2.2. Batch
6.3. Defining Variables
6.3.1. Interactive
6.3.2. Batch
6.4. Processing Your Variables to Develop Calculated Data
6.4.1. Interactive
6.4.2. Batch
6.5. Importing Data
6.5.1. Interactive
6.5.2. Batch Mode
6.6. Exporting Data
6.6.1. Interactive Mode
6.6.2. Batch Mode
6.7. Reviewing the Variables
6.7.1. Plotting Result Graphs
6.7.2. Listing Your Results in Tabular Form
6.8. Additional Time-History Postprocessing
6.8.1. Random Vibration (PSD) Results Postprocessing
6.8.2. Generating a Response Spectrum
6.8.3. Data Smoothing
7. Selecting and Components
7.1. Selecting Entities
7.1.1. Selecting Entities Using Commands
7.1.2. Selecting Entities Using the GUI
7.1.3. Selecting Lines to Repair CAD Geometry
7.1.4. Other Commands for Selecting
7.2. Selecting for Meaningful Postprocessing
7.3. Grouping Geometry Items into Components and Assemblies
7.3.1. Creating Components
7.3.2. Nesting Assemblies
7.3.3. Selecting Entities by Component or Assembly
7.3.4. Adding or Removing Components
7.3.5. Modifying Components or Assemblies
8. Getting Started with Graphics
8.1. Interactive Versus External Graphics
8.2. Identifying the Graphics Device Name (for UNIX)
8.2.1. Graphics Device Names Available
8.2.2. Graphics Drivers and Capabilities Supported on UNIX Systems
8.2.3. Graphics Device Types Supported on UNIX Systems
8.2.4. Graphics Environment Variables
8.3. Specifying the Graphics Display Device Type (for Windows)
8.4. System-Dependent Graphics Information
8.4.1. Adjusting Input Focus
8.4.2. Deactivating Backing Store
8.4.3. Setting Up IBM RS/6000 3-D OpenGL Supported Graphics Adapters
8.4.4. Displaying X11 Graphics over Networks
8.4.5. HP Graphics Drivers
8.4.6. Producing GraphicDisplays on an HP PaintJet Printer
8.4.7. PostScript Hard-Copy Option
8.4.8. IBM RS/6000 Graphics Drivers
8.4.9. Silicon Graphics Drivers
8.4.10. Sun UltraSPARC Graphics Drivers (32 and 64 bit versions)
8.5. Creating Graphics Displays
8.5.1. GUI-Driven Graphics Functions
8.5.2. Command-Driven Graphics Functions
8.5.3. Immediate Mode Graphics
8.5.4. Replotting the Current Display
8.5.5. Erasing the Current Display
8.5.6. Aborting a Display in Progress
8.6. Multi-Plotting Techniques
8.6.1. Defining the Window Layout
8.6.2. Choosing What Entities Each Window Displays
8.6.3. Choosing the Display Used for Plots
8.6.4. Displaying Selected Entities
9. General Graphics Specifications
9.1. Using the GUI to Control Displays
9.2. Multiple ANSYS Windows, Superimposed Displays
9.2.1. Defining ANSYS Windows
9.2.2. Activating and Deactivating ANSYS Windows
9.2.3. Deleting ANSYS Windows
9.2.4. Copying Display Specifications Between Windows
9.2.5. Superimposing (Overlaying) Multiple Displays
9.2.6. Removing Frame Borders
9.3. Changing the Viewing Angle, Zooming, and Panning
9.3.1. Changing the Viewing Direction
9.3.2. Rotating the Display About a Specified Axis
9.3.3. Determining the Model Coordinate System Reference Orientation
9.3.4. Translating (or Panning) the Display
9.3.5. Magnifying (Zooming in on) the Image
9.3.6. Using the Control Key to Pan, Zoom, and Rotate - Dynamic Manipulation Mode
9.3.7. Resetting Automatic Scaling and Focus
9.3.8. Freezing Scale (Distance) and Focus
9.4. Controlling Miscellaneous Text and Symbols
9.4.1. Using Legends in Your Displays
9.4.2. Controlling Entity Fonts
9.4.3. Controlling the Location of the Global XYZ Triad
9.4.4. Turning Triad Symbols On and Off
9.4.5. Changing the Style of the Working Plane Grid
9.4.6. Turning the ANSYS Logo On and Off
9.5. Miscellaneous Graphics Specifications
9.5.1. Reviewing Graphics Control Specifications
9.5.2. Restoring Defaults for Graphics Slash Commands
9.5.3. Saving the Display Specifications on a File
9.5.4. Recalling Display Specifications from a File
9.5.5. Pausing the ANSYS Program
9.6. 3-D Input Device Support
10. PowerGraphics
10.1. Characteristics of PowerGraphics
10.2. When to Use PowerGraphics
10.3. Activating and Deactivating PowerGraphics
10.4. How to Use PowerGraphics
10.5. What to Expect from a PowerGraphics Plot
10.5.1. Viewing Your Element Model
10.5.2. Printing and Plotting Node and Element Results
11. Creating Geometry Displays
11.1. Creating Displays of Solid-Model Entities
11.2. Changing the Specifications for Your Geometry Displays
11.2.1. Changing the Style of Your Display
11.2.2. Applying Styles to Enhance the Model Appearance
11.2.3. Controlling Numbers and Colors
11.2.4. Displaying Loads and Other Special Symbols
12. Creating Geometric Results Displays
12.1. Using the GUI to Display Geometric Results
12.2. Options for Creating Geometric Results Displays
12.3. Changing the Specifications for POST1 Results Displays
12.3.1. Controlling Displaced Shape Displays
12.3.2. Controlling Vector Symbols in Your Results Display
12.3.3. Controlling Contour Displays
12.3.4. Changing the Number of Contours
12.4. Q-Slice Techniques
12.5. Isosurface Techniques
12.6. Controlling Particle Flow or Charged Particle Trace Displays
13. Creating Graphs
13.1. Graph Display Actions
13.2. Changing the Specifications for Graph Displays
13.2.1. Changing the Type, Style, and Color of Your Graph Display
13.2.2. Labeling Your Graph
13.2.3. Defining X and Y Variables and Their Ranges
14. Annotation
14.1. 2-D Annotation
14.2. Creating Annotations for ANSYS Models
14.3. 3-D Annotation
14.4. 3-D Query Annotation
15. Animation
15.1. Creating Animated Displays Within ANSYS
15.2. Using the Basic Animation Commands
15.3. Using One-Step Animation Macros
15.4. Capturing Animated Display Sequences Off-Line
15.5. The Stand Alone ANIMATE Program
15.5.1. Installing the ANIMATE Program
15.5.2. Running the ANIMATE Program
15.6. Animation in the Windows Environment
15.6.1. How ANSYS Supports AVI Files
15.6.2. How the DISPLAY Program Supports AVI Files
15.6.3. Other Uses for AVI Files
16. External Graphics
16.1. External Graphics Options
16.1.1. Printing Graphics in Windows
16.1.2. Exporting Graphics in Windows
16.1.3. Printing Graphics in UNIX
16.1.4. Exporting Graphics in UNIX
16.2. Creating a Neutral Graphics File
16.3. Using the DISPLAY Program to View and Translate Neutral Graphics Files
16.3.1. Getting Started with the DISPLAY Program
16.3.2. Viewing Static Images on a Terminal Screen
16.3.3. Viewing Animated Sequences on a Screen
16.3.4. Capturing Animated Sequences Offline
16.3.5. Exporting Files to Desktop Publishing or Word Processing Programs
16.3.6. Editing the Neutral Graphics File with the UNIX GUI
16.4. Obtaining Hardcopy Plots
16.4.1. Activating the Hardcopy Capability of Your Terminal on UNIX Systems
16.4.2. Obtaining Hardcopy on External Devices Using the DISPLAY Program
16.4.3. Printing Graphics Displays on a Windows-Supported Printer
17. The Report Generator
17.1. Starting the Report Generator
17.1.1. Specifying a Location for Captured Data and Reports
17.1.2. Understanding the Behavior of the ANSYS Graphics Window
17.1.3. A Note About the Graphics File Format
17.2. Capturing an Image
17.2.1. Interactive
17.2.2. Batch
17.3. Capturing Animation
17.3.1. Interactive
17.3.2. Batch
17.4. Capturing a Data Table
17.4.1. Interactive
17.4.2. Batch
17.5. Capturing a Listing
17.5.1. Interactive
17.5.2. Batch
17.6. Assembling a Report
17.6.1. Interactive Report Assembly
17.6.2. Batch Report Assembly
17.6.3. Report Assembly Using the JavaScript Interface
17.7. Setting Report Generator Defaults
18. File Management and Files
18.1. File Management Overview
18.1.1. Executing the Run Interactive Now or DISPLAY Programs from Windows Explorer
18.2. Changing the Default File Name
18.3. Sending Output to Screens, Files, or Both
18.4. Text Versus Binary Files
18.4.1. ANSYS Binary Files over NFS
18.4.2. Files that ANSYS Writes
18.4.3. File Compression
18.5. Reading Your Own Files into the ANSYS Program
18.6. Writing Your Own ANSYS Files from the ANSYS Program
18.7. Assigning Different File Names
18.8. Reviewing Contents of Binary Files (AUX2)
18.9. Operating on Results Files (AUX3)
18.10. Other File Management Commands
19. Memory Management and Configuration
19.1. ANSYS Work and Swap Space Requirements
19.2. How ANSYS Uses its Work Space
19.3. How and When to Perform Memory Management
19.3.1. Allocating Memory to ANSYS Manually
19.3.2. Changing the Amount of ANSYS Work Space
19.3.3. Changing Database Space From the Default
19.4. Using the Configuration File
19.5. Understanding ANSYS Memory Error Messages

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.3. Using a Command Log File as Input 		Up / Home Next
Chapter 1. Getting Started with ANSYS


Chapter 1. Getting Started with ANSYS

The ANSYS program has many finite-element analysis capabilities, ranging from a simple, linear, static analysis to a complex, nonlinear, transient dynamic analysis. The analysis guides in the ANSYS documentation set describe specific procedures for performing analyses for different engineering disciplines.

The process for a typical ANSYS analysis involves three general tasks:

  • Building the Model
  • Applying Loads and Obtaining the Solution
  • Reviewing the Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Basic Analysis Guide 		Up / Home Next
1.1. Building the Model


1.1. Building the Model

Building a finite element model requires more of your time than any other part of the analysis. First, you specify a jobname and analysis title. Then, you use the PREP7 preprocessor to define the element types, element real constants, material properties, and the model geometry.

1.1.1. Specifying a Jobname and Analysis Title

This task is not required for an analysis, but is recommended.

1.1.1.1. Defining the Jobname

The jobname is a name that identifies the ANSYS job. When you define a jobname for an analysis, the jobname becomes the first part of the name of all files the analysis creates. (The extension or suffix for these files' names is a file identifier such as .DB.) By using a jobname for each analysis, you ensure that no files are overwritten.

If you do not specify a jobname, all files receive the name FILE or file, depending on the operating system. You can change the default jobname as follows:

  • By using the initial jobname entry option when you enter the ANSYS program, either via the launcher or on the ANSYS execution command.

  • From within the ANSYS program, you can use either of the following:

    Command(s): /FILNAME
    GUI: Utility Menu> File> Change Jobname

The /FILNAME command is valid only at the Begin level. It lets you change the jobname even if you specified an initial jobname at ANSYS entry. The jobname applies only to files you open after using /FILNAME and not to files that were already open. If you want to start new files (such as the log file, Jobname.LOG, and error file Jobname.ERR) when you issue /FILNAME, set the Key argument on /FILNAME to 1. Otherwise, those files that were already open will still have the initial jobname.

1.1.1.2. Defining an Analysis Title

The /TITLE command (Utility Menu> File> Change Title), defines a title for the analysis. ANSYS includes the title on all graphics displays and on the solution output. You can issue the /STITLE command to add subtitles; these will appear in the output, but not in graphics displays.

1.1.1.3. Defining Units

The ANSYS program does not assume a system of units for your analysis. Except in magnetic field analyses, you can use any system of units so long as you make sure that you use that system for all the data you enter. (Units must be consistent for all input data.)

For micro-electromechanical systems (MEMS), where dimensions are on the order of microns, see the conversion factors in System of Units in the Coupled-Field Analysis Guide.

Using the /UNITS command, you can set a marker in the ANSYS database indicating the system of units that you are using. This command does not convert data from one system of units to another; it simply serves as a record for subsequent reviews of the analysis.

1.1.2. Defining Element Types

The ANSYS element library contains more than 150 different element types. Each element type has a unique number and a prefix that identifies the element category: BEAM4, PLANE77, SOLID96, etc. The following element categories are available:

BEAM
CIRCUit
COMBINation
CONTACt
FLUID
HF (High Frequency)
HYPERelastic
INFINite
INTERface
LINK
MASS
MATRIX
MESH
Multi-Point Constraint
PIPE
PLANE
PRETS (Pretension)
SHELL
SOLID
SOURCe
SURFace
TARGEt
TRANSducer
USER
VISCOelastic (or viscoplastic)

The element type determines, among other things:

  • The degree-of-freedom set (which in turn implies the discipline - structural, thermal, magnetic, electric, quadrilateral, brick, etc.)

  • Whether the element lies in 2-D or 3-D space.

BEAM4, for example, has six structural degrees of freedom (UX, UY, UZ, ROTX, ROTY, ROTZ), is a line element, and can be modeled in 3-D space. PLANE77 has a thermal degree of freedom (TEMP), is an 8-node quadrilateral element, and can be modeled only in 2-D space.

You must be in PREP7, the general preprocessor, to define element types. To do so, you use the ET family of commands (ET, ETCHG, etc.) or their GUI path equivalents; see the Commands Reference for details. You define the element type by name and give the element a type reference number. For example, the commands shown below define two element types, BEAM4 and SHELL63, and assign them type reference numbers 1 and 2 respectively.

ET,1,BEAM4
ET,2,SHELL63

This table of type reference number versus element name is called the element type table. While defining the actual elements, you point to the appropriate type reference number using the TYPE command (Main Menu> Preprocessor> Modeling> Create> Elements> Elem Attributes).

Many element types have additional options, known as KEYOPTs, and are referred to as KEYOPT(1), KEYOPT(2), etc. For example, KEYOPT(9) for BEAM4 allows you to choose results to be calculated at intermediate locations on each element, and KEYOPT(3) for SHELL63 allows you to suppress extra displacement shapes. You can specify KEYOPTs using the ET command or the KEYOPT command (Main Menu> Preprocessor> Element Type> Add/Edit/Delete).

1.1.3. Defining Element Real Constants

Element real constants are properties that depend on the element type, such as cross-sectional properties of a beam element. For example, real constants for BEAM3, the 2-D beam element, are area (AREA), moment of inertia (IZZ), height (HEIGHT), shear deflection constant (SHEARZ), initial strain (ISTRN), and added mass per unit length (ADDMAS). Not all element types require real constants, and different elements of the same type may have different real constant values.

You can specify real constants using the R family of commands (R, RMODIF, etc.) or their equivalent menu paths; see the Commands Reference for further information. As with element types, each set of real constants has a reference number, and the table of reference number versus real constant set is called the real constant table. While defining the elements, you point to the appropriate real constant reference number using the REAL command (Main Menu> Preprocessor> Modeling> Create> Elements> Elem Attributes).

While defining real constants, keep these rules and guidelines in mind:

  • When using one of the R commands, you must enter real constants in the order shown in Table 4.n.1 for each element type in the Elements Reference.

  • For models using multiple element types, use a separate real constant set (that is, a different REAL reference number) for each element type. The ANSYS program issues a warning message if multiple element types reference the same real constant set. However, a single element type may reference several real constant sets.

  • To verify your real constant input, use the RLIST and ELIST commands, with RKEY = 1 (shown below). RLIST lists real constant values for all sets. The command ELIST,,,,,1 produces an easier-to-read list that shows, for each element, the real constant labels and their values.

    Command(s): ELIST
    GUI: Utility Menu> List> Elements> Attributes + RealConst
    Utility Menu> List> Elements> Attributes Only
    Utility Menu> List> Elements> Nodes + Attributes
    Utility Menu> List> Elements> Nodes + Attr + RealConst
    Command(s): RLIST
    GUI: Utility Menu> List> Properties> All Real Constants
    Utility Menu> List> Properties> Specified Real Const

  • For line and area elements that require geometry data (cross-sectional area, thickness, diameter, etc.) to be specified as real constants, you can verify the input graphically by using the following commands in the order shown:

    Command(s): /ESHAPE and
    EPLOT
    GUI: Utility Menu> PlotCtrls> Style> Size and Shape
    Utility Menu> Plot> Elements

ANSYS displays the elements as solid elements, using a rectangular cross-section for link and shell elements and a circular cross-section for pipe elements. The cross-section proportions are determined from the real constant values.

1.1.3.1. Creating Cross Sections

If you are building a model using BEAM44, BEAM188, or BEAM189, you can use the section commands (SECTYPE, SECDATA, etc.) or their GUI path equivalents to define and use cross sections in your models. See "Beam Analysis and Cross Sections" in the Structural Analysis Guide for information on how to use the BeamTool to create cross sections.

1.1.4. Defining Material Properties

Most element types require material properties. Depending on the application, material properties can be linear (see Linear Material Properties) or nonlinear (see Nonlinear Material Properties).

As with element types and real constants, each set of material properties has a material reference number. The table of material reference numbers versus material property sets is called the material table. Within one analysis, you may have multiple material property sets (to correspond with multiple materials used in the model). ANSYS identifies each set with a unique reference number.

While defining the elements, you point to the appropriate material reference number using the MAT command.

1.1.4.1. Linear Material Properties

Linear material properties can be constant or temperature-dependent, and isotropic or orthotropic. To define constant material properties (either isotropic or orthotropic), use one of the following:

Command(s): | MP
GUI: | Main Menu> Preprocessor> Material Props> Material Models

(See Material Model Interface for details on the GUI.)

You also must specify the appropriate property label; for example EX, EY, EZ for Young's modulus, KXX, KYY, KZZ for thermal conductivity, and so forth. For isotropic material you need to define only the X-direction property; the other directions default to the X-direction value. For example:

MP,EX,1,2E11     ! Young's modulus for material ref. no. 1 is 2E11
MP,DENS,1,7800   ! Density for material ref. no. 1 is 7800
MP,KXX,1,43      ! Thermal conductivity for material ref. no 1 is 43

Besides the defaults for Y- and Z-direction properties (which default to the X-direction properties), other material property defaults are built in to reduce the amount of input. For example, Poisson's ratio (NUXY) defaults to 0.3, shear modulus (GXY) defaults to EX/2(1+NUXY)), and emissivity (EMIS) defaults to 1.0. See the Elements Reference for details.

You can choose constant, isotropic, linear material properties from a material library available through the GUI. Young's modulus, density, coefficient of thermal expansion, Poisson's ratio, thermal conductivity and specific heat are available for 10 materials in four unit systems.

Caution

The property values in the material library are provided for your convenience. They are typical values for the materials you can use for preliminary analyses and noncritical applications. As always, you are responsible for all data input to the ANSYS program.

To define temperature-dependent material properties, you can use the MP command in combination with the MPTEMP or MPTGEN command. You also can use the MPTEMP and MPDATA commands. The MP command allows you to define a property-versus-temperature function in the form of a polynomial. The polynomial may be linear, quadratic, cubic, or quartic:

Property = C0 + C1T + C2T2 + C3T3 + C4T4

Cn are the coefficients and T is the temperature. You enter the coefficients using the C0, C1, C2, C3, and C4 arguments on the MP command. If you specify just C0, the material property is constant; if you specify C0 and C1, the material property varies linearly with temperature; and so on. When you specify a temperature-dependent property in this manner, the program internally evaluates the polynomial at discrete temperature points with linear interpolation between points (that is, piecewise linear representation) and a constant-valued extrapolation beyond the extreme points. You must use the MPTEMP or MPTGEN command before the MP command for second and higher-order properties to define appropriate temperature steps.

The second way to define temperature-dependent material properties is to use a combination of MPTEMP and MPDATA commands. MPTEMP (or MPTGEN) defines a series of temperatures, and MPDATA defines corresponding material property values. For example, the following commands define a temperature-dependent enthalpy for material 4:

MPTEMP,1,1600,1800,2000,2325,2326,2335        ! 6 temperatures (temps 1-6)
MPTEMP,7,2345,2355,2365,2374,2375,3000        ! 6 more temps (temps 7-12)
MPDATA,ENTH,4,1,53.81,61.23,68.83,81.51,81.55,82.31    ! Corresponding
MPDATA,ENTH,4,7,84.48,89.53,99.05,112.12,113.00,137.40 ! enthalpy values

If an unequal number of property data points and temperature data points are defined, the ANSYS program uses only those locations having both points defined for the property function table. To define a different set of temperatures for the next material property, you should first erase the current temperature table by issuing MPTEMP (without any arguments) and then define new temperatures (using additional MPTEMP or MPTGEN commands).

The MPPLOT command displays a graph of material property versus temperature. Figure 1.1: "Sample MPPLOT Display" shows a plot of the enthalpy-temperature curve defined in the example above. The MPLIST command lists material properties.

Figure 1.1 Sample MPPLOT Display

Following are some notes about temperature-dependent material properties:

  • To modify a property data point on an existing curve, simply redefine the desired data point by issuing MPDATA with the appropriate location number. For example, to change the ENTH value in location 6 of the above enthalpy-temperature curve from 82.31 to 83.09, the command would be MPDATA,ENTH,4,6,83.09

  • To modify a temperature data point on an existing curve, you need two commands: MPTEMP with the appropriate location number to specify the new temperature value, and MPDRES to associate the new temperature table with the material property. For example, to change the temperature in location 7 of the above enthalpy-temperature curve from 2345 to 2340, the commands would be:

    MPTEMP,7,2340      ! Modifies location 7, retains other locations
MPDRES,ENTH,4      ! Associates ENTH for material 4 with new temps

You need to use the MPDRES command to modify stored properties. Whenever you define a temperature-dependent property, the temperature-property data pairs are immediately stored in the database. Modifying the temperature data points affects only material properties that are subsequently defined, not what is already stored. The MPDRES command forces modification of what is already stored in the database. Two additional fields on MPDRES allow you to modify a stored property and store it under a new label or a new material reference number.

The MPTRES command allows you to replace the current temperature table with that of a previously defined material property in the database. You can then use the previous temperature data points for another property.

For temperature-dependent secant coefficients of thermal expansion (ALPX, ALPY, ALPZ), if the base temperature for which they are defined (the definition temperature) differs from the reference temperature (the temperature at which zero thermal strains exist, defined by MP,REFT or TREF), then use the MPAMOD command to convert the data to the reference temperature. This conversion is not necessary when you input the thermal strains (THSX, THSY, THSZ) or the instantaneous coefficients of thermal expansion (CTEX, CTEY, CTEZ).

ANSYS accounts for temperature-dependent material properties during solution when element matrices are formulated. The materials are evaluated at once (at or near the centroid of the element) or at each of the integration points. For more information about how ANSYS evaluates temperature-dependent material properties, see Linear Material Properties.

You can save linear material properties (whether they are temperature-dependent or constant) to a file or restore them from a text file. (See Using Material Library Files for a discussion of material library files.) You also can use CDWRITE,MAT to write both linear and nonlinear material properties to a file.

Note

If you are using the CDWRITE command in any of the ANSYS-derived products (ANSYS Emag, ANSYS Professional, etc.), you must edit the Jobname.CDB file that CDWRITE creates to remove commands which are not available in the derived product. You must do this before reading the Jobname.CDB file.

1.1.4.2. Nonlinear Material Properties

Nonlinear material properties are usually tabular data, such as plasticity data (stress-strain curves for different hardening laws), magnetic field data (B-H curves), creep data, swelling data, hyperelastic material data, etc. The first step in defining a nonlinear material property is to activate a data table using the TB command (see Material Model Interface for the GUI equivalent). For example, TB,BH,2 activates the B-H table for material reference number 2.

To enter the tabular data, use the TBPT command. For example, the following commands define a B-H curve:

TBPT,DEFI,150,.21
TBPT,DEFI,300,.55
TBPT,DEFI,460,.80
TBPT,DEFI,640,.95
TBPT,DEFI,720,1.0
TBPT,DEFI,890,1.1
TBPT,DEFI,1020,1.15
TBPT,DEFI,1280,1.25
TBPT,DEFI,1900,1.4

You can verify the data table through displays and listings using the TBPLOT or TBLIST commands.

Figure 1.2: "Sample TBPLOT Display" shows a sample TBPLOT (of the B-H curve defined above):

Figure 1.2 Sample TBPLOT Display

1.1.4.3. Anisotropic Elastic Material Properties

Some element types accept anisotropic elastic material properties, which are usually input in the form of a matrix. (These properties are different from anisotropic plasticity, which requires different stress-strain curves in different directions.) Among the element types that allow elastic anisotropy are PLANE13 (the 2-D coupled-field solid), SOLID5 and SOLID98 (the 3-D coupled-field solids).

The procedure to specify anisotropic elastic material properties resembles that for nonlinear properties. You first activate a data table using the TB command (with Lab = ANEL) and then define the terms of the elastic coefficient matrix using the TBDATA command. Be sure to verify your input with the TBLIST command. See Data Tables - Implicit Analysis in the Elements Reference manual and the appropriate element descriptions for more information.

1.1.4.4. Material Model Interface

ANSYS includes an intuitive hierarchical tree structure interface for defining material models. A logical top-down arrangement of material categories guides you in defining the appropriate model for your analysis. You use this material model interface in all ANSYS analyses except for CFD analyses that require the use of any of the FLDATA family of commands.

1.1.4.4.1. Accessing the Interface

You access the material model interface from Main Menu> Preprocessor> Material Props> Material Models. The Define Material Model Behavior dialog box appears, which originally displays the top level of the tree structure, as shown in Figure 1.3: "Material Model Interface Initial Screen".

Figure 1.3 Material Model Interface Initial Screen

1.1.4.4.2. Choosing Material Behavior

The Material Models Available window on the right displays a list of material categories (for example, Favorites, Structural, Thermal, CFD, Electromagnetics).

Note

If you choose an ANSYS LS-DYNA element type, only one category, LS-DYNA appears.

If a category is preceded by a folder icon, there are subcategories available under the main category. When you double-click on the category, the subcategories appear indented, and below the category as shown in Figure 1.4: "Material Model Interface Tree Structure".

Figure 1.4 Material Model Interface Tree Structure

For example, under Structural are categories Linear, Nonlinear, and others. The models are further categorized so that you will eventually see a vertical list of material property sets or material models that are included under that category (for example, under von Mises Plasticity are: Bilinear, Multilinear, and Nonlinear). Once you have decided which material property set or model you will use, you then choose it by double-clicking on the item. A dialog box appears that prompts you for the required input data for that particular model or property set. Details of a data input dialog box are presented in Entering Material Data.

Material Favorites Folder

A Material Favorite is a template of material properties. It is used as a short cut to frequently used properties, instead of navigating through the detailed tree structure each session. You can create a named template based on a currently defined material model through Favorite>New Favorite.You can also delete a named template through Favorite menu. For any consecutive sesisons of ANSYS, you will then be able to access this named template in the Favorites folder shown in the Material Models Available window.

1.1.4.4.3. Entering Material Data

Included in a data input dialog box is a table whose rows and columns you can alter depending on the requirements of the specific material property or model you have chosen. A typical data input dialog box is shown in Figure 1.5: "A Data Input Dialog Box".

Figure 1.5 A Data Input Dialog Box

There are two interaction areas within a material data input dialog box: the data input table, and a series of action buttons that appear at the bottom. Depending on the material item you are defining, the labels in the table vary, as do the number of rows and columns that appear initially. The material item also dictates the number of rows and columns that you are allowed to add or delete. In most cases, the columns represent temperatures, and the rows represent data values (for example, density as a linear isotropic property, or constants for a particular nonlinear model).

Temperature Dependent Data

Initially, the table is set up for temperature independent data so the temperature field is grayed out. At this point, should you decide to enter data for various temperatures, you can quickly add columns of text fields for the data representing each temperature. You can add or delete the temperature dependent data at any time. You do not need to predetermine if the data should be temperature dependent.

Adding and Deleting Columns

To add a column, position the text cursor in any field in the existing column, then click on the Add Temperature button. A new column appears to the right of the existing column, and both temperature fields become active, as shown in Figure 1.6: "Data Input Dialog Box - Added Column".

Figure 1.6 Data Input Dialog Box - Added Column

You then enter the two temperatures and the associated data in the rows. You can add more temperature columns, as needed, by following the same procedure. You can insert columns between existing columns by clicking the text cursor in a field within a column that is to the left of where you want to insert the new column, then clicking on the Add Temperature button. A scroll bar appears across the bottom of the table when the number of columns exceeds the width of the dialog box.

You can delete a temperature column by positioning the text cursor in any field within the column, and clicking on the Delete Temperature button.

Adding and Deleting Rows

You may have the need to add another row of constants or other data for a specific temperature. You add or delete rows in a similar way as is described above for adding or deleting columns. To add a row, click the text cursor in any field in an existing row, then click on the Add Row (or Add Point) button. A new row appears beneath the existing row, as shown in Figure 1.7: "Data Input Dialog Box - Added Row".

Figure 1.7 Data Input Dialog Box - Added Row

You can add more rows, as needed, by following the same procedure. You can insert rows between existing rows by positioning the text cursor in a field in the top row, then clicking on the Add Row (or Add Point) button. A vertical scroll bar appears in the table when the number of rows exceeds the height of the dialog box.

You can delete a row by positioning the text cursor in any field within the row, and clicking on the Delete Row (or Delete Point) button.

Entering/Editing Data in Text Fields

When a data dialog box first appears, one of the text fields is selected (black highlight), meaning that the field is ready to accept and display data as you type. You can use the arrow keys to move the selection status to other text fields. Also, pressing the Tab key allows you to move the selection status to the text field positioned to the right of the field that is currently selected.

When you start typing within a text field, the highlight is replaced by the characters that you type. You can use the left and right arrow keys to position the text cursor anywhere within the field should you need to replace or delete characters in that field.

To edit data, you must first select the text field either by clicking on the field, or using the arrow keys to move the selection status to the particular field.

To copy/paste data, select the text fields whose data you want to copy, use Ctrl-c to copy the data to the clipboard, select the empty destination text fields, then paste the data into these fields using Ctrl-v. You select multiple adjacent text fields either by dragging the mouse from the first field to the last field, or by clicking on the first field, holding down the Shift key, then clicking on the last field. For selecting multiple nonadjacent text fields, click on each field while you hold down the Ctrl key.

Action Buttons

  • Add Temperature: Adds a new column of data entry fields to the right of the column where the text cursor is currently positioned. If the button does not appear, the material item has no temperature dependency.

  • Delete Temperature: Deletes the column of data entry fields where the text cursor is currently positioned. If the button does not appear, the material item has no temperature dependency.

  • Add Row (or Add Point): Adds a new row of data entry fields beneath the row where the text cursor is currently positioned. If the button does not appear, the material item has no provision for adding more data.

  • Delete Row (or Delete Point): Deletes the row of data entry fields where the text cursor is currently positioned. If the button does not appear, the material item requires that all data entry fields must be completed.

  • Graph: Displays a graph of the current data in the ANSYS Graphics window. If required, you can change the data in the table and click on the Graph button again before clicking on the OK button.

  • OK: Commits all data that you have entered to the ANSYS database and removes this dialog box[1]. Material Model Number # appears in the Material Models Defined tree structure window, where # = 1 for the first model, or the number that you specified in the Define Material ID dialog box.

  • Cancel: Cancels all data entered, and removes the dialog box[1].

  • Help: Displays help information that is specific to the particular material property or material constant.

  1. Click on OK or Cancel to remove the data input dialog box. Pressing the Enter key will not remove the dialog box.

If a button appears, but is grayed out, then the function is defined for the particular material property, but you have not yet entered enough data for the function to become active.

Some material data input dialog boxes may include other buttons or interaction components that are necessary for completely defining a material property or model. See A Dialog Box and Its Components in the Operations Guide if you need help on the use of any of these interaction components.

Considerations for a Structural Analysis

When performing a structural analysis, several inelastic material models (listed by double-clicking on the following in the tree structure: Structural, Nonlinear, Inelastic) require you to input values for elastic material properties (elastic modulus and/or Poisson's ratio) in addition to the inelastic constants that are specific to the model (for example, Yield Stress and Tangent Modulus for the Bilinear Isotropic Hardening model). In these instances, you must enter the elastic material properties before you enter the inelastic constants. If you try to enter the inelastic constants first, a Note appears stating that you must first enter the elastic properties. After you click on OK in the Note, a data input dialog box appears that prompts you for the elastic material properties. After you enter these properties and click on OK, another data input dialog box appears that prompts you for the inelastic constants associated with the specific model you chose.

1.1.4.4.4. Logging/Editing Material Data

The Material Models Defined window (the left window in the Define Material Model Behavior dialog box) displays a log of each material model you have specified. After you have chosen OK in the data input dialog box, this window displays a folder icon, and Material Model Number # (the first # is 1 by default), followed by the properties defined for this model. You can define additional models with unique numbers by choosing Material> New Model, then typing a new number in the Define Material ID dialog box. If you double-click on any material model or property (furthest to the right in the tree), the associated data input dialog box appears where you can edit the data, if you choose.

1.1.4.4.5. Example: Defining a Single Material Model

This example and the following two examples show typical uses of the material model interface for use in structural analyses. If your specialty or interest is in performing analyses other than structural analyses, it is recommended that you still read and perform these examples to become familiar with maneuvering within the material model interface. You are then encouraged to try one of your own problems in your particular discipline, or try one of the many sample problems presented throughout the various ANSYS analysis guides. Here is a sampling of these problems:

  • Performing a Steady-State Thermal Analysis (GUI Method) in the Thermal Analysis Guide.

  • Example of a 3-D Static Edge-Based Analysis (GUI Method) in the Low-Frequency Electromagnetic Analysis Guide.

  • Example problems in the High-Frequency Electromagnetic Analysis Guide.

  • Sample Structural-Thermal Harmonic Analysis (Batch or Command Method) in the Coupled-Field Analysis Guide.

The first example below is intended to show you how to completely define a single material model. It steps you through a procedure that uses the material model interface to define a model for simulating nonlinear isotropic hardening, using the Voce law, in a large strain structural analysis at two temperatures.

  1. From the ANSYS Main Menu, click on the following menu path: Preprocessor> Material Props> Material Models. The Define Material Model Behavior dialog box appears.

  2. In the Material Models Available window, double-click on the following options: Structural, Linear, Elastic, Isotropic. A dialog box appears.

  3. Enter values for material properties, as required (EX for elastic modulus, and PRXY for Poisson's ratio). Click on OK. Material Model Number 1 properties appear listed in the Material Models Defined window.

  4. In the Material Models Available window, double-click on the following options: Nonlinear, Inelastic, Rate Independent, Isotropic Hardening Plasticity, von Mises Plasticity, Nonlinear. A dialog box appears that includes a table where you can add temperature columns or add rows for material data, as needed for your application. Note that the temperature field is grayed out. This is because ANSYS assumes a temperature independent application, by default, so you would not need to enter a temperature value. Because this example is temperature dependent (involving two temperatures), you must first add another temperature column, as described in the next step.

  5. Click on the Add Temperature button. A second column appears.

  6. Enter the first temperature in the Temperature row and the T1 column.

  7. Enter the Voce constants required for the first temperature in the rows under the T1 column (see Nonlinear Isotropic Hardening in the Elements Reference).

  8. Enter the second temperature in the Temperature row, and the T2 column.

  9. Enter the Voce constants required for the second temperature in the rows under the T2 column.

    Note that if you needed to input constants for a third temperature, you would position the cursor in the Temperature row of the T2 column, then click on the Add Temperature button again. This would cause a third column to appear.

    This material model only requires four constants per temperature. If you were using another model that allowed more constants, the Add Row button would be active. For those models, the same functionality is included for adding or inserting rows by using the Add Row (or Add Point) button.

  10. Click on OK. The dialog box closes. The properties defined for that material are listed under Material Model Number 1.

1.1.4.4.6. Example: Editing Data in a Material Model

This example shows you how to use some of the basic editing features within the material model interface. It assumes that you have completed the previous example (see Example: Defining a Single Material Model), and that the completed material model is listed in the Material Models Defined window.

Editing data typically falls into two general categories: changing data within an existing material property, and copying an entire material property set to form another model with slightly different properties.

Consider a case where you need to change the constants that you assigned to the Nonlinear Isotropic model. To perform this task:

  1. Double-click on Nonlinear Isotropic. The associated dialog box appears with the existing data displayed in the fields.

  2. Edit the constants in the appropriate fields, and click on OK.

    Note that if you needed to change any of the other material properties, you would double-click on Linear Isotropic in the previous step. This would cause the dialog box associated with linear isotropic properties to appear. You could then edit those properties.

Consider another case where you have the requirement for two material models, where the second model is the same as the first except that it needs to include constants for one more temperature. To perform this task:

  1. In the Define Material Model Behavior dialog box, click on the following menu path: Edit> Copy, then choose 1 for from Material number, and enter 2 for to Material number. Click on OK. The Material Models Defined window now includes Material Model Number 2 in its list. If you double-click on Material Model Number 2, the identical material properties appear below Material Model Number 2 as those listed for Material Model Number 1.

  2. Double-click on Nonlinear Isotropic under Material Model Number 2. The associated dialog box appears.

  3. Move the text cursor to the Temperature row in the column furthest to the right, and click on the Add Temperature button. A T3 column appears.

  4. In the new column, enter the new temperature and the four constants associated with this temperature.

  5. Click on OK. The dialog box closes. If you double-click on Nonlinear Isotropic under Material Model Number 2, the associated dialog box appears and reflects the new temperature data that you added for Material Model Number 2.

1.1.4.4.7. Example: Defining a Material Model Combination

This example is intended to show you how to define a material based on a combination of two material models. It steps you through a procedure that uses the material model interface to define a material for simulating cyclic softening at one temperature. This is accomplished by using the Nonlinear Isotropic model combined with the Chaboche model.

If you performed either of the previous examples in this section, start a new ANSYS session before beginning the following example.

  1. From the ANSYS Main Menu, click on the following menu path: Preprocessor> Material Props> Material Models. The Define Material Model Behavior dialog box appears.

  2. In the Material Models Available window, double-click on the following options: Structural, Linear, Elastic, Isotropic. A dialog box appears.

  3. Enter values for material properties, as required (EX for elastic modulus, and PRXY for Poisson's ratio). Click on OK. Material Model Number 1 and Linear Isotropic appear in the Material Models Defined window.

  4. In the Material Models Available window, double-click on the following options: Nonlinear, Inelastic, Rate Independent, Combined Kinematic and Isotropic Hardening Plasticity, von Mises Plasticity.

  5. Double-click on Chaboche and Nonlinear Isotropic. A dialog box appears for defining the constants for the Chaboche model.

  6. Enter the first three constants associated with the Chaboche model (click on the Help button for information on these constants).

  7. The Chaboche model allows you to specify more constants. If you choose to specify more constants, click on the Add Row button, and enter the next constant.

  8. Repeat the previous step for all the remaining Chaboche constants that you want to define.

  9. Click on OK. The dialog box closes and another dialog box appears for defining the constants for the Nonlinear Isotropic model.

  10. Enter the constants associated with the Nonlinear Isotropic model (click on the Help button for information on these constants).

  11. Click on OK. The dialog box closes. Under Material Model Number 1, the following are listed: Linear Isotropic, Chaboche, and Nonlinear Isotropic. You can then edit any of the data (see Example: Editing Data in a Material Model).

1.1.4.4.8. Material Model Interface - Miscellaneous Items

Other characteristics of the material model interface are the following:

  • Any batch files you use to enter material data will be converted to material models and will appear listed in the Material Models Defined window of the Define Material Model Behavior dialog box.

  • The material model interface does not import data from the ANSYS material library discussed in Using Material Library Files.

1.1.4.5. Using Material Library Files

Although you can define material properties separately for each finite element analysis, ANSYS lets you store a material property set in an archival material library file, then retrieve the set and reuse it in multiple analyses. (Each material property set has its own library file.) The material library files also enable several ANSYS users to share commonly used material property data.

The material library feature offers you other advantages:

  • Because the archived contents of material library files are reusable, you can use them to define other, similar material property sets quickly and with fewer errors. For example, suppose that you have defined material properties for one grade of steel and want to create a material property set for another grade of steel that is slightly different. You can write the existing steel material property set to a material library file, read it back into ANSYS under a different material number, and then, within ANSYS, make the minor changes needed to define properties for the second type of steel.

  • Using the /MPLIB command (Main Menu> Preprocessor> Material Props> Material Library> Library Path), you can define a material library read and write path. Doing this allows you to protect your material data resources in a read-only archive, while giving ANSYS users the ability to write their material data locally without switching paths.

  • You can give your material library files meaningful names that reflect the characteristics of the data they contain. For example, the name of a material library file describing properties of a steel casting might be STEELCST.SI_MPL. (See Creating (Writing) a Material Library File for an explanation of file naming conventions.)

  • You can design your own directory hierarchy for material library files. This enables you to classify and catalog the files by material type (plastic, aluminum, etc.), by units, or by any category you choose.

The next few paragraphs describe how to create and read material library files. For additional information, see the descriptions of the /MPLIB, MPREAD, and MPWRITE commands in the Elements Reference.

1.1.4.6. Format of Material Library Files

Material library files are ANSYS command files. The file format supports both linear and nonlinear properties. You can reuse material library files because the commands in them are written so that, once you read a material property set into the ANSYS database, you can associate that set with any material number you wish.

1.1.4.7. Specifying a Default Read/Write Path for Material Library Files

Before you create any material library files, define a default read path and write path for those files:

Command(s): | /MPLIB,R-W_opt,PATH
GUI: | Main Menu> Preprocessor> Material Props> Material Library> Library Path

Note

The ANSYS-supplied material library is located at <drive:>\Program Files\Ansys Inc\v110\ANSYS\matlib.

In place of R-W_opt, specify READ (to set the read path), WRITE (to set the write path), or STAT to see what read and write paths currently are in use. In place of PATH, specify the path to be used for material library files.

1.1.4.8. Creating (Writing) a Material Library File

To create an archival material library file, perform these steps:

  1. To tell the ANSYS program what system of units you are using, issue the /UNITS command. For example, to specify the international system of units, you would issue the command /UNITS,SI. You cannot access the /UNITS command directly from the GUI.

  2. Define a material property using the MP command (Main Menu> Preprocessor> Material Props> Isotropic). To do so, you must specify a material number and at least one material property value (for example, magnetic permeability or MURX).

  3. From the PREP7 preprocessor, issue the command shown below:

    MPWRITE,Filename,,,LIB,MAT

Filename is the name to assign to the material library file. Issue MPWRITE (Main Menu> Preprocessor> Material Props> Material Library> Export Library) and specify the filename for the material library file.

Issuing MPWRITE writes the material data specified by material number MAT into the named file in the current working directory. (If you previously specified a material library write path by issuing the /MPLIB command (Main Menu> Preprocessor> Material Props> Material Library> Library Path), ANSYS writes the file to that location instead.)

Naming conventions for a material library file are as follows:

  • The name of the file is the name you specify on the MPWRITE command. If you do not specify a filename, the default name is JOBNAME.

  • The extension of a material library filename follows the pattern .xxx_MPL, where xxx identifies the system of units for this material property sets. For example, if the system of units is the CGS system, the file extension is .CGS_MPL. The default extension, used if you do not specify a units system before creating the material library file, is .USER_MPL. (This indicates a user-defined system of units.)

1.1.4.9. Reading a Material Library File

To read a material library file into the ANSYS database, perform these steps:

  1. Use the /UNITS command or its GUI equivalent to tell the ANSYS program what system of units you are using.

    Note

    The default system of units for ANSYS is SI. The GUI lists only material library files with the currently active units.

  2. Specify a new material reference number or an existing number that you wish to overwrite:

    Command(s): MAT
    GUI: Main Menu> Preprocessor> Modeling> Create> Elements> Elem Attributes

    Caution

    Overwriting an existing material in the ANSYS database deletes all of the data associated with it.

  3. To read the material library file into the database, use one of the following:

    Command(s): MPREAD,Filename,,,LIB
    GUI: Main Menu> Preprocessor> Material Props> Material Library> Import Library

The LIB argument supports a file search hierarchy. The program searches for the named material library file first in the current working directory, then in your home directory, then in the read path directory specified by the /MPLIB command, and finally in the ANSYS-supplied directory /ansys110/matlib. If you omit the LIB argument, the programs searches only in the current working directory.

1.1.5. Creating the Model Geometry

Once you have defined material properties, the next step in an analysis is generating a finite element model - nodes and elements - that adequately describes the model geometry. The graphic below shows some sample finite element models:

Figure 1.8 Sample Finite Element Models

There are two methods to create the finite element model: solid modeling and direct generation. With solid modeling, you describe the geometric shape of your model, then instruct the ANSYS program to automatically mesh the geometry with nodes and elements. You can control the size and shape in the elements that the program creates. With direct generation, you "manually" define the location of each node and the connectivity of each element. Several convenience operations, such as copying patterns of existing nodes and elements, symmetry reflection, etc. are available.

Details of the two methods and many other aspects related to model generation - coordinate systems, working planes, coupling, constraint equations, etc. - are described in the Modeling and Meshing Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 1. Getting Started with ANSYS 		Up / Home Next
1.2. Applying Loads and Obtaining the Solution


1.2. Applying Loads and Obtaining the Solution

In this step, you use the SOLUTION processor to define the analysis type and analysis options, apply loads, specify load step options, and initiate the finite element solution. You also can apply loads using the PREP7 preprocessor.

1.2.1. Defining the Analysis Type and Analysis Options

You choose the analysis type based on the loading conditions and the response you wish to calculate. For example, if natural frequencies and mode shapes are to be calculated, you would choose a modal analysis. You can perform the following analysis types in the ANSYS program: static (or steady-state), transient, harmonic, modal, spectrum, buckling, and substructuring.

Not all analysis types are valid for all disciplines. Modal analysis, for example, is not valid for a thermal model. The analysis guide manuals in the ANSYS documentation set describe the analysis types available for each discipline and the procedures to do those analyses.

Analysis options allow you to customize the analysis type. Typical analysis options are the method of solution, stress stiffening on or off, and Newton-Raphson options.

To define the analysis type and analysis options, use the ANTYPE command (Main Menu> Preprocessor> Loads> Analysis Type> New Analysis or Main Menu> Preprocessor> Loads> Analysis Type> Restart) and the appropriate analysis option commands (TRNOPT, HROPT, MODOPT, SSTIF, NROPT, etc.). For GUI equivalents for the other commands, see their descriptions in the Elements Reference.

If you are performing a static or full transient analysis, you can take advantage of the Solution Controls dialog box to define many options for the analysis. For details about the Solution Controls dialog box, see "Solution".

You can specify either a new analysis or a restart, but a new analysis is the choice in most cases. A singleframe restart that allows you to resume a job at its end point or abort point is available for static (steady-state), harmonic (2-D magnetic only), and transient analyses. A multiframe restart that allows you to restart an analysis at any point is available for static or full transient structural analyses. See Restarting an Analysis for complete information on performing restarts. The various analysis guides discuss additional details necessary for restarts. You cannot change the analysis type and analysis options after the first solution.

A sample input listing for a structural transient analysis is shown below. Remember that the discipline (structural, thermal, magnetic, etc.) is implied by the element types used in the model.

ANTYPE,TRANS
TRNOPT,FULL
NLGEOM,ON

Once you have defined the analysis type and analysis options, the next step is to apply loads. Some structural analysis types require other items to be defined first, such as master degrees of freedom and gap conditions. The Structural Analysis Guide describes these items where necessary.

1.2.2. Applying Loads

The word loads as used in ANSYS documentation includes boundary conditions (constraints, supports, or boundary field specifications) as well as other externally and internally applied loads. Loads in the ANSYS program are divided into six categories:

  • DOF Constraints

  • Forces

  • Surface Loads

  • Body Loads

  • Inertia Loads

  • Coupled-field Loads

You can apply most of these loads either on the solid model (keypoints, lines, and areas) or the finite element model (nodes and elements). For details about the load categories and how they can be applied on your model, see "Loading" in this manual.

Two important load-related terms you need to know are load step and substep. A load step is simply a configuration of loads for which you obtain a solution. In a structural analysis, for example, you may apply wind loads in one load step and gravity in a second load step. Load steps are also useful in dividing a transient load history curve into several segments.

Substeps are incremental steps taken within a load step. You use them mainly for accuracy and convergence purposes in transient and nonlinear analyses. Substeps are also known as time steps - steps taken over a period of time.

Note

The ANSYS program uses the concept of time in transient analyses as well as static (or steady-state) analyses. In a transient analysis, time represents actual time, in seconds, minutes, or hours. In a static or steady-state analysis, time simply acts as a counter to identify load steps and substeps.

1.2.3. Specifying Load Step Options

Load step options are options that you can change from load step to load step, such as number of substeps, time at the end of a load step, and output controls. Depending on the type of analysis you are doing, load step options may or may not be required. The analysis procedures in the analysis guide manuals describe the appropriate load step options as necessary. See "Loading" for a general description of load step options.

1.2.4. Initiating the Solution

To initiate solution calculations, use either of the following:

Command(s): | SOLVE
GUI: | Main Menu> Solution> Solve> Current LS Main Menu> Solution> solution_method

When you issue this command, the ANSYS program takes model and loading information from the database and calculates the results. Results are written to the results file (Jobname.RST, Jobname.RTH, Jobname.RMG, or Jobname.RFL) and also to the database. The only difference is that only one set of results can reside in the database at one time, while you can write all sets of results (for all substeps) to the results file.

You can solve multiple load steps in a convenient manner:

Command(s): | LSSOLVE
GUI: | Main Menu> Solution> Solve> From LS Files

"Solution" discusses this and other solution-related topics.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.1. Building the Model 		Up / Home Next
1.3. Reviewing the Results


1.3. Reviewing the Results

After the solution has been calculated, you can use the ANSYS postprocessors to review the results. Two postprocessors are available: POST1 and POST26.

You use POST1, the general postprocessor, to review results at one substep (time step) over the entire model or selected portion of the model. The command to enter POST1 is /POST1 (Main Menu> General Postproc), valid only at the Begin level. You can obtain contour displays, deformed shapes, and tabular listings to review and interpret the results of the analysis. POST1 offers many other capabilities, including error estimation, load case combinations, calculations among results data, and path operations.

You use POST26, the time history postprocessor, to review results at specific points in the model over all time steps. The command to enter POST26 is /POST26 (Main Menu> TimeHist Postpro), valid only at the Begin level. You can obtain graph plots of results data versus time (or frequency) and tabular listings. Other POST26 capabilities include arithmetic calculations and complex algebra. Details of POST1 and POST26 capabilities and how to use them are described in chapters later in this document.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.2. Applying Loads and Obtaining the Solution 		Up / Home Next
Chapter 2. Loading


Chapter 2. Loading

The primary objective of a finite element analysis is to examine how a structure or component responds to certain loading conditions. Specifying the proper loading conditions is, therefore, a key step in the analysis. You can apply loads on the model in a variety of ways in the ANSYS program. With the help of load step options, you can control how the loads are actually used during solution.

The following loading topics are available:

  • What Are Loads?
  • Load Steps, Substeps, and Equilibrium Iterations
  • The Role of Time in Tracking
  • Stepped Versus Ramped Loads
  • How to Apply Loads
  • How to Specify Load Step Options
  • Creating Multiple Load Step Files
  • Defining Pretension in a Joint Fastener

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.3. Reviewing the Results 		Up / Home Next
2.1. What Are Loads?


2.1. What Are Loads?

The word loads in ANSYS terminology includes boundary conditions and externally or internally applied forcing functions, as illustrated in Figure 2.1: "Loads". Examples of loads in different disciplines are:

Structural: displacements, velocities, accelerations, forces, pressures, temperatures (for thermal strain), gravity

Thermal: temperatures, heat flow rates, convections, internal heat generation, infinite surface

Magnetic: magnetic potentials, magnetic flux, magnetic current segments, source current density, infinite surface

Electric: electric potentials (voltage), electric current, electric charges, charge densities, infinite surface

Fluid: velocities, pressures

Figure 2.1 Loads

Boundary conditions, as well as other types of loading, are shown.

Loads are divided into six categories: DOF constraints, forces (concentrated loads), surface loads, body loads, inertia loads, and coupled-field loads.

  • A DOF constraint fixes a degree of freedom (DOF) to a known value. Examples of constraints are specified displacements and symmetry boundary conditions in a structural analysis, prescribed temperatures in a thermal analysis, and flux-parallel boundary conditions.

    In a structural analysis, a DOF constraint can be replaced by its differentiation form, which is a velocity constraint. In a structural transient analysis, an acceleration can also be applied, which is the second order differentiation form of the corresponding DOF constraint.

  • A force is a concentrated load applied at a node in the model. Examples are forces and moments in a structural analysis, heat flow rates in a thermal analysis, and current segments in a magnetic field analysis.

  • A surface load is a distributed load applied over a surface. Examples are pressures in a structural analysis and convections and heat fluxes in a thermal analysis.

  • A body load is a volumetric or field load. Examples are temperatures and fluences in a structural analysis, heat generation rates in a thermal analysis, and current densities in a magnetic field analysis.

  • Inertia loads are those attributable to the inertia (mass matrix) of a body, such as gravitational acceleration, angular velocity, and angular acceleration. You use them mainly in a structural analysis.

  • Coupled-field loads are simply a special case of one of the above loads, where results from one analysis are used as loads in another analysis. For example, you can apply magnetic forces calculated in a magnetic field analysis as force loads in a structural analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 2. Loading 		Up / Home Next
2.2. Load Steps, Substeps, and Equilibrium Iterations


2.2. Load Steps, Substeps, and Equilibrium Iterations

A load step is simply a configuration of loads for which a solution is obtained. In a linear static or steady-state analysis, you can use different load steps to apply different sets of loads - wind load in the first load step, gravity load in the second load step, both loads and a different support condition in the third load step, and so on. In a transient analysis, multiple load steps apply different segments of the load history curve.

The ANSYS program uses the set of elements which you select for the first load step for all subsequent load steps, no matter which element sets you specify for the later steps. To select an element set, you use either of the following:

Command(s): | ESEL
GUI: | Utility Menu> Select> Entities

Figure 2.2: "Transient Load History Curve" shows a load history curve that requires three load steps - the first load step for the ramped load, the second load step for the constant portion of the load, and the third load step for load removal.

Figure 2.2 Transient Load History Curve

Substeps are points within a load step at which solutions are calculated. You use them for different reasons:

  • In a nonlinear static or steady-state analysis, use substeps to apply the loads gradually so that an accurate solution can be obtained.

  • In a linear or nonlinear transient analysis, use substeps to satisfy transient time integration rules (which usually dictate a minimum integration time step for an accurate solution).

  • In a harmonic response analysis, use substeps to obtain solutions at several frequencies within the harmonic frequency range.

Equilibrium iterations are additional solutions calculated at a given substep for convergence purposes. They are iterative corrections used only in nonlinear analyses (static or transient), where convergence plays an important role.

Consider, for example, a 2-D, nonlinear static magnetic analysis. To obtain an accurate solution, two load steps are commonly used. (Figure 2.3: "Load Steps, Substeps, and Equilibrium Iterations" illustrates this.)

  • The first load step applies the loads gradually over five to 10 substeps, each with just one equilibrium iteration.

  • The second load step obtains a final, converged solution with just one substep that uses 15 to 25 equilibrium iterations.

Figure 2.3 Load Steps, Substeps, and Equilibrium Iterations

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.1. What Are Loads? 		Up / Home Next
2.3. The Role of Time in Tracking


2.3. The Role of Time in Tracking

The ANSYS program uses time as a tracking parameter in all static and transient analyses, whether they are or are not truly time-dependent. The advantage of this is that you can use one consistent "counter" or "tracker" in all cases, eliminating the need for analysis-dependent terminology. Moreover, time always increases monotonically, and most things in nature happen over a period of time, however brief the period may be.

Obviously, in a transient analysis or in a rate-dependent static analysis (creep or viscoplasticity), time represents actual, chronological time in seconds, minutes, or hours. You assign the time at the end of each load step (using the TIME command) while specifying the load history curve. To assign time, use one of the following:

Command(s): | TIME
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Time and Substps Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Time - Time Step Main Menu> Solution> Analysis Type> Sol'n Control ( : Basic Tab) Main Menu> Solution> Load Step Opts> Time/Frequenc> Time and Substps Main Menu> Solution> Load Step Opts> Time/Frequenc> Time - Time Step Main Menu> Solution> Load Step Opts> Time/Frequenc> Time and Substps Main Menu> Solution> Load Step Opts> Time /Frequenc> Time - Time Step

In a rate-independent analysis, however, time simply becomes a counter that identifies load steps and substeps. By default, the program automatically assigns time = 1.0 at the end of load step 1, time = 2.0 at the end of load step 2, and so on. Any substeps within a load step will be assigned the appropriate, linearly interpolated time value. By assigning your own time values in such analyses, you can establish your own tracking parameter. For example, if a load of 100 units is to be applied incrementally over one load step, you can specify time at the end of that load step to be 100, so that the load and time values are synchronous.

In the postprocessor, then, if you obtain a graph of deflection versus time, it means the same as deflection versus load. This technique is useful, for instance, in a large-deflection buckling analysis where the objective may be to track the deflection of the structure as it is incrementally loaded.

Time takes on yet another meaning when you use the arc-length method in your solution. In this case, time equals the value of time at the beginning of a load step, plus the value of the arc-length load factor (the multiplier on the currently applied loads). ALLF does not have to be monotonically increasing (that is, it can increase, decrease, or even become negative), and it is reset to zero at the beginning of each load step. As a result, time is not considered a "counter" in arc-length solutions.

The arc-length method is an advanced solution technique. For more information about using it, see "Nonlinear Structural Analysis" in the Structural Analysis Guide.

A load step is a set of loads applied over a given time span. Substeps are time points within a load step at which intermediate solutions are calculated. The difference in time between two successive substeps can be called a time step or time increment. Equilibrium iterations are iterative solutions calculated at a given time point purely for convergence purposes.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.2. Load Steps, Substeps, and Equilibrium Iterations 		Up / Home Next
2.4. Stepped Versus Ramped Loads


2.4. Stepped Versus Ramped Loads

When you specify more than one substep in a load step, the question of whether the loads should be stepped or ramped arises.

  • If a load is stepped, then its full value is applied at the first substep and stays constant for the rest of the load step.

  • If a load is ramped, then its value increases gradually at each substep, with the full value occurring at the end of the load step.

Figure 2.4 Stepped Versus Ramped Loads

The KBC command (, Main Menu> Solution> Load Step Opts> Time/Frequenc> Freq & Substeps: Transient Tab / Main Menu> Solution> Load Step Opts> Time/Frequenc> Time and Substps / Main Menu> Solution> Load Step Opts > Time/Frequenc> Time & Time Step, or Main Menu> Solution> Load Step Opts> Time/Frequenc> Freq & Substeps / Main Menu> Solution> Load Step Opts> Time/Frequenc> Time and Substps / Main Menu> Solution> Load Step Opts> Time/Frequenc> Time & Time Step) is used to indicate whether loads are ramped or stepped. KBC,0 indicates ramped loads, and KBC,1 indicates stepped loads. The default depends on the discipline and type of analysis.

Load step options is a collective name given to options that control load application, such as time, number of substeps, the time step, and stepping or ramping of loads. Other types of load step options include convergence tolerances (used in nonlinear analyses), damping specifications in a structural analysis, and output controls.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.3. The Role of Time in Tracking 		Up / Home Next
2.5. How to Apply Loads


2.5. How to Apply Loads

You can apply most loads either on the solid model (on keypoints, lines, and areas) or on the finite element model (on nodes and elements). For example, you can specify forces at a keypoint or a node. Similarly, you can specify convections (and other surface loads) on lines and areas or on nodes and element faces. No matter how you specify the loads, the solver expects all loads to be in terms of the finite element model. Therefore, if you specify loads on the solid model, the program automatically transfers them to the nodes and elements at the beginning of solution.

2.5.1. Solid-Model Loads: Advantages and Disadvantages

Advantages:

  • Solid-model loads are independent of the finite element mesh. That is, you can change the element mesh without affecting the applied loads. This allows you to make mesh modifications and conduct mesh sensitivity studies without having to reapply loads each time.

  • The solid model usually involves fewer entities than the finite element model. Therefore, selecting solid model entities and applying loads on them is much easier, especially with graphical picking.

Disadvantages:

  • Elements generated by ANSYS meshing commands are in the currently active element coordinate system. Nodes generated by meshing commands use the global Cartesian coordinate system. Therefore, the solid model and the finite element model may have different coordinate systems and loading directions.

  • Solid-model loads are not very convenient in reduced analyses, where loads are applied at master degrees of freedom. (You can define master DOF only at nodes, not at keypoints.)

  • Applying keypoint constraints can be tricky, especially when the constraint expansion option is used. (The expansion option allows you to expand a constraint specification to all nodes between two keypoints that are connected by a line.)

  • You cannot display all solid-model loads.

Notes About Solid-Model Loads

As mentioned earlier, solid-model loads are automatically transferred to the finite element model at the beginning of solution. If you mix solid model loads with finite-element model loads, couplings, or constraint equations, you should be aware of the following possible conflicts:

  • Transferred solid loads will replace nodal or element loads already present, regardless of the order in which the loads were input. For example, DL,,,UX on a line will overwrite any D,,,UX loads on the nodes of that line at transfer time. (DL,,,UX will also overwrite D,,,VELX velocity loads and D,,,ACCX acceleration loads.)

  • Deleting solid model loads also deletes any corresponding finite element loads. For example, SFADELE,,,PRES on an area will immediately delete any SFE,,,PRES loads on the elements in that area.

  • Line or area symmetry or antisymmetry conditions (DL,,,SYMM, DL,,,ASYM, DA,,,SYMM, or DA,,,ASYM) often introduce nodal rotations that could effect nodal constraints, nodal forces, couplings, or constraint equations on nodes belonging to constrained lines or areas.

2.5.2. Finite-Element Loads: Advantages and Disadvantages

Advantages:

  • Reduced analyses present no problems, because you can apply loads directly at master nodes.

  • There is no need to worry about constraint expansion. You can simply select all desired nodes and specify the appropriate constraints.

Disadvantages:

  • Any modification of the finite element mesh invalidates the loads, requiring you to delete the previous loads and re-apply them on the new mesh.

  • Applying loads by graphical picking is inconvenient, unless only a few nodes or elements are involved.

The next few subsections discuss how to apply each category of loads - constraints, forces, surface loads, body loads, inertia loads, and coupled-field loads - and then explain how to specify load step options.

2.5.3. DOF Constraints

Table 2.1: "DOF Constraints Available in Each Discipline" shows the degrees of freedom that can be constrained in each discipline and the corresponding ANSYS labels. Any directions implied by the labels (such as UX, ROTZ, AY, etc.) are in the nodal coordinate system. For a description of different coordinate systems, see the Modeling and Meshing Guide.

Table 2.2: "Commands for DOF Constraints" shows the commands to apply, list, and delete DOF constraints. Notice that you can apply constraints on nodes, keypoints, lines, and areas.

Table 2.1 DOF Constraints Available in Each Discipline

Discipline Degree of Freedom ANSYS Label
Structural[1]
Translations
Rotations
UX, UY, UZ
ROTX, ROTY, ROTZ
Thermal
Temperature
TEMP, TBOT, TE2, . . . TTOP
Magnetic
Vector Potentials
Scalar Potential
AX, AY, AZ
MAG
Electric
Voltage
VOLT
Fluid
Velocities
Pressure
Turbulent Kinetic Energy
Turbulent Dissipation Rate
VX, VY, VZ
PRES
ENKE
ENDS

  1. For structural static and transient analyses, velocities and accelerations can be applied as finite element loads on nodes using the D command. Velocities can be applied in static or transient analyses; accelerations can only be applied in transient analyses. The labels for these loads are as follows:

    VELX, VELY, VELZ - translational velocities
    OMGX, OMGY, OMGZ - rotational velocities
    ACCX, ACCY, ACCZ - translational accelerations
    DMGX, DMGY, DMGZ -rotational accelerations

    Although these are not strictly degree-of-freedom constraints, they are boundary conditions that act upon the translation and rotation degrees of freedom. See the D command for more information.

Table 2.2 Commands for DOF Constraints

Location | Basic Commands | Additional Commands
Nodes | D, DLIST, DDELE | DSYM, DSCALE, DCUM
Keypoints | DK, DKLIST, DKDELE | -
Lines | DL, DLLIST, DLDELE | -
Areas | DA, DALIST, DADELE | -
Transfer | SBCTRAN | DTRAN

Following are some of the GUI paths you can use to apply DOF constraints:

GUI:
Main Menu> Preprocessor> Loads> Define Loads> Apply> load type> On Nodes
Utility Menu> List> Loads> DOF Constraints> On All Keypoints (or On Picked KPs)
Main Menu> Solution> Define Loads> Apply> load type> On Lines

See the Commands Reference for additional GUI path information and for descriptions of the commands listed in Table 2.2: "Commands for DOF Constraints".

2.5.4. Applying Symmetry or Antisymmetry Boundary Conditions

Use the DSYM command to apply symmetry or antisymmetry boundary conditions on a plane of nodes. The command generates the appropriate DOF constraints. See the Commands Reference for the list of constraints generated.

In a structural analysis, for example, a symmetry boundary condition means that out-of-plane translations and in-plane rotations are set to zero, and an antisymmetry condition means that in-plane translations and out-of-plane rotations are set to zero. (See Figure 2.5: "Symmetry and Antisymmetry Boundary Conditions".) All nodes on the symmetry plane are rotated into the coordinate system specified by the KCN field on the DSYM command. The use of symmetry and antisymmetry boundary conditions is illustrated in Figure 2.6: "Examples of Boundary Conditions". The DL and DA commands work in a similar fashion when you apply symmetry or antisymmetry conditions on lines and areas.

You can use the DL and DA commands to apply velocities, pressures, temperatures, and turbulence quantities on lines and areas for FLOTRAN analyses. At your discretion, you can apply boundary conditions at the endpoints of the lines and the edges of areas.

Note

If the node rotation angles that are in the database while you are using the general postprocessor (POST1) are different from those used in the solution being postprocessed, POST1 may display incorrect results. This condition usually results if you introduce node rotations in a second or later load step by applying symmetry or antisymmetry boundary conditions. Erroneous cases display the following message in POST1 when you execute the SET command (Utility Menu> List> Results> Load Step Summary):

*** WARNING ***
Cumulative iteration 1 may have been solved using
different model or boundary condition data than is
currently stored.  POST1 results may be erroneous
unless you resume from a .db file matching this solution.

Figure 2.5 Symmetry and Antisymmetry Boundary Conditions

Figure 2.6 Examples of Boundary Conditions

2.5.5. Transferring Constraints

To transfer constraints that have been applied to the solid model to the corresponding finite element model, use one of the following:

Command(s): | DTRAN
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Operate> Transfer to FE> Constraints Main Menu> Solution> Define Loads> Operate> Transfer to FE> Constraints

To transfer all solid model boundary conditions, use one of the following:

Command(s): | SBCTRAN
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Operate> Transfer to FE> All Solid Lds Main Menu> Solution> Define Loads> Operate> Transfer to FE> All Solid Lds

2.5.5.1. Resetting Constraints

By default, if you repeat a DOF constraint on the same degree of freedom, the new specification replaces the previous one. You can change this default to add (for accumulation) or ignore with the DCUM command (Main Menu> Preprocessor> Loads> Define Loads> Settings> Replace vs. Add> Constraints). For example:

NSEL,...          ! Selects a set of nodes
D,ALL,VX,40       ! Sets VX = 40 at all selected nodes
D,ALL,VX,50       ! Changes VX value to 50 (replacement)
DCUM,ADD          ! Subsequent D's to be added
D,ALL,VX,25       ! VX = 50+25 = 75 at all selected nodes
DCUM,IGNORE       ! Subsequent D's to be ignored
D,ALL,VX,1325     ! These VX values are ignored!
DCUM              ! Resets DCUM to default (replacement)

See the Commands Reference for discussions of the NSEL,D, and DCUM commands.

Any DOF constraints you set with DCUM stay set until another DCUM is issued. To reset the default setting (replacement), simply issue DCUM without any arguments.

2.5.5.2. Scaling Constraint Values

You can scale existing DOF constraint values as follows:

Command(s): | DSCALE
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Operate> Scale FE Loads> Constraints Main Menu> Solution> Define Loads> Operate> Scale FE Loads> Constraints

Both the DSCALE and DCUM commands work on all selected nodes and also on all selected DOF labels. By default, DOF labels that are active are those associated with the element types in the model:

Command(s): | DOFSEL
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Operate> Scale FE Loads> Constraints (or Forces) Main Menu> Preprocessor> Loads> Define Loads> Settings> Replace vs. Add> Constraints (or Forces) Main Menu> Solution> Define Loads> Operate> Scale FE Loads> Constraints (or Forces) Main Menu> Solution> Define Loads> Settings> Replace vs. Add> Constraints (or Forces)

For example, if you want to scale only VX values and not any other DOF label, you can use the following commands:

DOFSEL,S,VX       ! Selects VX label
DSCALE,0.5        ! Scales VX at all selected nodes by 0.5
DOFSEL,ALL        ! Reactivates all DOF labels

DSCALE and DCUM also affect velocity and acceleration loads applied in a structural analysis.

When scaling temperature constraints (TEMP) in a thermal analysis, you can use the TBASE field on the DSCALE command to scale the temperature offset from a base temperature (that is, to scale |TEMP-TBASE|) rather than the actual temperature values. The following figure illustrates this.

Figure 2.7 Scaling Temperature Constraints with DSCALE

2.5.5.3. Resolution of Conflicting Constraint Specifications

You need to be aware of the possibility of conflicting DK, DL, and DA constraint specifications and how the ANSYS program handles them. The following conflicts can arise:

  • A DL specification can conflict with a DL specification on an adjacent line (shared keypoint).

  • A DL specification can conflict with a DK specification at either keypoint.

  • A DA specification can conflict with a DA specification on an adjacent area (shared lines/keypoints).

  • A DA specification can conflict with a DL specification on any of its lines.

  • A DA specification can conflict with a DK specification on any of its keypoints.

The ANSYS program transfers constraints that have been applied to the solid model to the corresponding finite element model in the following sequence:

  1. In ascending area number order, DOF DA constraints transfer to nodes on areas (and bounding lines and keypoints).

  2. In ascending area number order, SYMM and ASYM DA constraints transfer to nodes on areas (and bounding lines and keypoints).

  3. In ascending line number order, DOF DL constraints transfer to nodes on lines (and bounding keypoints).

  4. In ascending line number order, SYMM and ASYM DL constraints transfer to nodes on lines (and bounding keypoints).

  5. DK constraints transfer to nodes on keypoints (and on attached lines, areas, and volumes if expansion conditions are met).

Accordingly, for conflicting constraints, DK commands overwrite DL commands and DL commands overwrite DA commands. For conflicting constraints, constraints specified for a higher line number or area number overwrite the constraints specified for a lower line number or area number, respectively. The constraint specification issue order does not matter.

Note

Any conflict detected during solid model constraint transfer produces a warning similar to the following:

*** WARNING ***
DOF constraint ROTZ from line 8 (1st value=22) is overwriting a D on
node 18 (1st value=0) that was previously transferred from another
DA, DL, or set of DK's.

Changing the value of DK, DL, or DA constraints between solutions may produce many of these warnings at the 2nd or later solid BC transfer. These can be prevented if you delete the nodal D constraints between solutions using DADELE, DLDELE, and/or DDELE.

Note

For conflicting constraints on flow degrees of freedom VX, VY, or VZ, zero values (wall conditions) are always given priority over nonzero values (inlet/outlet conditions). "Conflict" in this situation will not produce a warning.

2.5.6. Forces (Concentrated Loads)

Table 2.3: "Forces Available in Each Discipline" shows a list of forces available in each discipline and the corresponding ANSYS labels. Any directions implied by the labels (such as FX, MZ, CSGY, etc.) are in the nodal coordinate system. (See "Coordinate Systems" in the Modeling and Meshing Guide for a description of different coordinate systems.) Table 2.4: "Commands for Applying Force Loads" lists the commands to apply, list, and delete forces. Notice that you can apply them at nodes as well as keypoints.

Table 2.3 "Forces" Available in Each Discipline

Discipline Force ANSYS Label
Structural
Forces
Moments
FX, FY, FZ
MX, MY, MZ
Thermal
Heat Flow Rate
HEAT, HBOT, HE2, . . . HTOP
Magnetic
Current Segments
Magnetic Flux
Electrical Charge
CSGX, CSGY, CSGZ
FLUX
CHRG
Electric
Current
Charge
AMPS
CHRG
Fluid
Fluid Flow Rate
FLOW

Table 2.4 Commands for Applying Force Loads

Location | Basic Commands | Additional Commands
Nodes | F, FLIST, FDELE | FSCALE, FCUM
Keypoints | FK, FKLIST, FKDELE | -
Transfer | SBCTRAN | FTRAN

Below are examples of some of the GUI paths to use for applying force loads:

GUI:
Main Menu> Preprocessor> Loads> Define Loads> Apply> load type> On Nodes
Utility Menu> List> Loads> Forces> On All Keypoints (or On Picked KPs)
Main Menu> Solution> Define Loads> Apply> load type> On Lines

See the Commands Reference for descriptions of the commands listed in Table 2.4: "Commands for Applying Force Loads".

2.5.6.1. Repeating a Force

By default, if you repeat a force at the same degree of freedom, the new specification replaces the previous one. You can change this default to add (for accumulation) or ignore by using one of the following:

Command(s): | FCUM
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Settings> Replace vs Add> Forces Main Menu> Solution> Define Loads> Settings> Replace vs. Add> Forces

For example:

F,447,FY,3000    ! Applies FY = 3000 at node 447
F,447,FY,2500    ! Changes FY value to 2500 (replacement)
FCUM,ADD         ! Subsequent F's to be added
F,447,FY,-1000   ! FY = 2500-1000 = 1500 at node 447
FCUM,IGNORE      ! Subsequent F's to be ignored
F,25,FZ,350      ! This force is ignored!
FCUM             ! Resets FCUM to default (replacement)

See the Commands Reference for a discussion of the F and FCUM commands.

Any force set via FCUM stays set until another FCUM is issued. To reset the default setting (replacement), simply issue FCUM without any arguments.

2.5.6.2. Scaling Force Values

The FSCALE command allows you to scale existing force values:

Command(s): | FSCALE
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Operate> Scale FE Loads> Forces Main Menu> Solution> Define Loads> Operate> Scale FE Loads> Forces

FSCALE and FCUM work on all selected nodes and also on all selected force labels. By default, force labels that are active are those associated with the element types in the model. You can select a subset of these with the DOFSEL command. For example, to scale only FX values and not any other label, you can use the following commands:

DOFSEL,S,FX       ! Selects FX label
FSCALE,0.5        ! Scales FX at all selected nodes by 0.5
DOFSEL,ALL        ! Reactivates all DOF labels

2.5.6.3. Transferring Forces

To transfer forces that have been applied to the solid model to the corresponding finite element model, use one of the following:

Command(s): | FTRAN
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Operate> Transfer to FE> Forces Main Menu> Solution> Define Loads> Operate> Transfer to FE> Forces

To transfer all solid model boundary conditions, use:

Command(s): | SBCTRAN
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Operate> Transfer to FE> All Solid Lds Main Menu> Solution> Define Loads> Operate> Transfer to FE> All Solid Lds

2.5.7. Surface Loads

Table 2.5: "Surface Loads Available in Each Discipline" shows surface loads available in each discipline and their corresponding ANSYS labels. The commands to apply, list, and delete surface loads are shown in Table 2.6: "Commands for Applying Surface Loads". You can apply them at nodes and elements, as well as at lines and areas.

Table 2.5 Surface Loads Available in Each Discipline

Discipline Surface Load ANSYS Label
Structural
Pressure
PRES[1]
Thermal
Convection
Heat Flux
Infinite Surface
CONV
HFLUX
INF
Magnetic
Maxwell Surface
Infinite Surface
MXWF
INF
Electric
Maxwell Surface
Surface Charge Density
Infinite Surface
MXWF
CHRGS
INF
Fluid
Wall Roughness
Fluid-Structure Interface
Impedance
FSI
IMPD
All
Superelement Load Vector
SELV

  1. Do not confuse this with the PRES degree of freedom

Table 2.6 Commands for Applying Surface Loads

Location | Basic Commands | Additional Commands
Nodes | SF, SFLIST, SFDELE | SFSCALE, SFCUM, SFFUN, SFGRAD
Elements | SFE, SFELIST, SFEDELE | SFBEAM, SFFUN, SFGRAD
Lines | SFL, SFLLIST, SFLDELE | SFGRAD
Areas | SFA, SFALIST, SFADELE | SFGRAD
Transfer | SFTRAN | -

Below are examples of some of the GUI paths to use for applying surface loads.

GUI:
Main Menu> Preprocessor> Loads> Define Loads> Apply> load type> On Nodes
Utility Menu> List> Loads> Surface> On All Elements (or On Picked Elements)
Main Menu> Solution> Define Loads> Apply> load type> On Lines

See the descriptions of the commands listed in Table 2.6: "Commands for Applying Surface Loads" in the Commands Reference for more information.

Note

The ANSYS program stores surface loads specified on nodes internally in terms of elements and element faces. Therefore, if you use both nodal and element surface load commands for the same surface, only the last specification will be used.

ANSYS applies pressures on axisymmetric shell elements or beam elements on their inner or outer surfaces, as appropriate. In-plane pressure load vectors for layered shells (SHELL91 and SHELL99) are applied on the nodal plane. KEYOPT(11) determines the location of the nodal plane within the shell. When you use flat elements to represent doubly curved surfaces, values which should be a function of the active radius of the meridian will be inaccurate.

2.5.7.1. Applying Pressure Loads on Beams

To apply pressure loads on the lateral faces and the two ends of beam elements, use one of the following:

Command(s): | SFBEAM
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Structural> Pressure> On Beams Main Menu> Solution> Define Loads> Apply> Structural> Pressure> On Beams

You can apply lateral pressures, which have units of force per unit length, both in the normal and tangential directions. The pressures may vary linearly along the element length, and can be specified on a portion of the element, as shown in the following figure. You can also reduce the pressure down to a force (point load) at any location on a beam element by setting the JOFFST field to -1. End pressures have units of force.

Figure 2.8 Example of Beam Surface Loads

2.5.7.2. Specifying Node Number Versus Surface Load

The SFFUN command specifies a "function" of node number versus surface load to be used when you apply surface loads on nodes or elements.

Command(s): | SFFUN
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Settings> For Surface Ld> Node Function Main Menu> Solution> Define Loads> Settings> For Surface Ld> Node Function

It is useful when you want to apply nodal surface loads calculated elsewhere (by another software package, for instance). You should first define the function in the form of an array parameter containing the load values. The location of the value in the array parameter implies the node number. For example, the array parameter shown below specifies four surface load values at nodes 1, 2, 3, and 4, respectively.

Assuming that these are heat flux values, you would apply them as follows:

*DIM,ABC,ARRAY,4              ! Declares dimensions of array parameter ABC
ABC(1)=400,587.2,965.6,740    ! Defines values for ABC
SFFUN,HFLUX,ABC(1)            ! ABC to be used as heat flux function
SF,ALL,HFLUX,100              ! Heat flux of 100 on all selected nodes,
                              !  100 + ABC(i) at node i.

See the Commands Reference for a discussion of the *DIM, SFFUN, and SF commands.

The SF command in the example above specifies a heat flux of 100 on all selected nodes. If nodes 1 through 4 are part of the selected set, those nodes are assigned heat fluxes of 100 + ABC(i): 100 + 400 = 500 at node 1, 100 + 587.2 = 687.2 at node 2, and so on.

Note

What you specify with the SFFUN command stays active for all subsequent SF and SFE commands. To remove the specification, simply use SFFUN without any arguments.

2.5.7.3. Specifying a Gradient Slope

You can use either of the following to specify that a gradient (slope) is to be used for subsequently applied surface loads:

Command(s): | SFGRAD
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Settings> For Surface Ld> Gradient Main Menu> Solution> Define Loads> Settings> For Surface Ld> Gradient

You can also use this command to apply a linearly varying surface load, such as hydrostatic pressure on a structure immersed in water.

To create the gradient specification, you specify the type of load to be controlled (the Lab argument), the coordinate system and coordinate direction the slope is defined in (SLKCN and Sldir, respectively), the coordinate location where the value of the load (as specified on a subsequent surface load command) will be in effect (SLZER), and the slope (SLOPE).

For example, the hydrostatic pressure (Lab = PRES) shown in Figure 2.9: "Example of Surface Load Gradient" is to be applied. Its slope can be specified in the global Cartesian system (SLKCN = 0) in the Y direction (Sldir = Y). The pressure (to be specified as 500 on a subsequent SF command) is to have its as-specified value (500) at Y = 0 (SLZER = 0), and will decrease by 25 units per length in the positive Y direction (SLOPE = -25).

Figure 2.9 Example of Surface Load Gradient

The commands would be as follows:

SFGRAD,PRES,0,Y,0,-25   ! Y slope of -25 in global Cartesian
NSEL,...                ! Select nodes for pressure application
SF,ALL,PRES,500         ! Pressure at all selected nodes:
                        !  500 at Y=0, 250 at Y=10, 0 at Y=20

When specifying the gradient in a cylindrical coordinate system (SLKCN = 1, for example), keep some additional points in mind. First, SLZER is in degrees, and SLOPE is in units of load/degree. Second, you need to follow two guidelines:

Guideline 1: Set CSCIR (for controlling the coordinate system singularity location) such that the surface to be loaded does not cross the coordinate system singularity.

Guideline 2: Choose SLZER to be consistent with the CSCIR setting. That is, SLZER should be between +180° if the singularity is at 180° [CSCIR,KCN,0], and SLZER should be between 0° and 360° if the singularity is at 0° [CSCIR,KCN,1].

The following example illustrates why these guidelines are suggested. Consider a semicircle shell as shown in Figure 2.10: "Tapered Load on a Cylindrical Shell", located in a local cylindrical system 11. The shell is to be loaded with an external tapered pressure, tapering from 400 at -90° to 580 at +90°. By default, the singularity in the cylindrical system is located at 180°, therefore the θ coordinates of the shell range from -90° to +90°. The following commands will apply the desired pressure load:

SFGRAD,PRES,11,Y,-90,1  ! Slope the pressure in the theta direction
                        !   of C.S. 11.  Specified pressure in effect
                        !   at -90°, tapering at 1 unit per degree
SF,ALL,PRES,400         ! Pressure at all selected nodes:
                        !  400 at -90°, 490 at 0°, 580 at +90°.

At -90°, the pressure value is 400 (as specified), increasing as θ increases by a slope of 1 unit per degree, to 490 at 0° and 580 at +90°.

Figure 2.10 Tapered Load on a Cylindrical Shell

You might be tempted to use 270°, instead of -90°, for SLZER:

SFGRAD,PRES,11,Y,270,1 ! Slope the pressure in the theta direction
                       !   of C.S. 11.  Specified pressure in effect
                       !   at 270°, tapering at 1 unit per degree
SF,ALL,PRES,400        ! Pressure at all selected nodes:
                       !  400 at -90°, 490 at 0°, 580 at +90°

However, as shown on the left in Figure 2.11: "Violation of Guideline 2 (left) and Guideline 1 (right)", this will result in a tapered load much different than intended. This is because the singularity is still located at 180° (the θ coordinates still range from -90° to +90°), but SLZER is not between -180° and +180°. As a result, the program will use a load value of 400 at 270°, and a slope of 1 unit per degree to calculate the applied load values of 220 at +90°, 130 at 0°, and 40 at -90°. You can avoid this behavior by following the second guideline, that is, choosing SLZER to be between ±180° when the singularity is at 180°, and between 0° and 360° when the singularity is at 0°.

Figure 2.11 Violation of Guideline 2 (left) and Guideline 1 (right)

Suppose that you change the singularity location to 0°, thereby satisfying the second guideline (270° is then between 0° and 360°). But then the θ coordinates of the nodes range from 0° to +90° for the upper half of the shell, and 270° to 360° for the lower half. The surface to be loaded crosses the singularity, a violation of Guideline 1:

CSCIR,11,1              ! Change singularity to 0°
SFGRAD,PRES,11,Y,270,1  ! Slope the pressure in the theta direction
                        !   of C.S. 11.  Specified pressure in effect
                        !   at 270°, tapering at 1 unit per degree
SF,ALL,PRES,400         ! Pressure at all selected nodes:
                        !  400 at 270°, 490 at 360°, 220 at +90°
                        !  and 130 at 0°

Again the program will use a load value of 400 at 270° and a slope of 1 unit per degree to calculate the applied load values of 400 at 270°, 490 at 360°, 220 at 90°, and 130 at 0°. Violating Guideline 1 will cause a singularity in the tapered load itself, as shown on the right in Figure 2.11: "Violation of Guideline 2 (left) and Guideline 1 (right)". Due to node discretization, the actual load applied will not change as abruptly at the singularity as it is shown in the figure. Instead, the node at 0° will have the load value of, in the case shown, 130, while the next node clockwise (say, at 358°) will have a value of 488.

Note

The SFGRAD specification stays active for all subsequent load application commands. To remove the specification, simply issue SFGRAD without any arguments. Also, if an SFGRAD specification is active when a load step file is read, the program erases the specification before reading the file.

Large deflection effects can change the node locations significantly. The SFGRAD slope and load value calculations, which are based on node locations, are not updated to account for these changes. If you need this capability, use SURF153 with face 3 loading or SURF154 with face 4 loading.

2.5.7.4. Repeating a Surface Load

By default, if you repeat a surface load at the same surface, the new specification replaces the previous one. You can change this default to add (for accumulation) or ignore using one of the following:

Command(s): | SFCUM
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Settings> Replace vs. Add> Surface Loads Main Menu> Solution> Define Loads> Settings> Replace vs. Add> Surface Loads

Any surface load you set stays set until you issue another SFCUM command. To reset the default setting (replacement), simply issue SFCUM without any arguments. The SFSCALE command allows you to scale existing surface load values. Both SFCUM and SFSCALE act only on the selected set of elements. The Lab field allows you to choose the surface load label.

2.5.7.5. Transferring Surface Loads

To transfer surface loads that have been applied to the solid model to the corresponding finite element model, use one of the following:

Command(s): | SFTRAN
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Operate> Transfer to FE> Surface Loads Main Menu> Solution> Define Loads> Operate> Transfer to FE> Surface Loads

To transfer all solid model boundary conditions, use the SBCTRAN command. (See DOF Constraints for a description of DOF constraints.)

2.5.7.6. Using Surface Effect Elements to Apply Loads

Sometimes, you may need to apply a surface load that the element type you are using does not accept. For example, you may need to apply uniform tangential (or any non-normal or directed) pressures on structural solid elements, radiation specifications on thermal solid elements, etc. In such cases, you can overlay the surface where you want to apply the load with surface effect elements and use them as a "conduit" to apply the desired loads. Currently, the following surface effect elements are available: SURF151 and SURF153 for 2-D models and SURF152 and SURF154 for 3-D models.

2.5.8. Body Loads

Table 2.7: "Body Loads Available in Each Discipline" shows all body loads available in each discipline and their corresponding ANSYS labels. The commands to apply, list, and delete body loads are shown in Table 2.8: "Commands for Applying Body Loads". You can apply them at nodes, elements, keypoints, lines, areas, and volumes.

Table 2.7 Body Loads Available in Each Discipline

Discipline Body Load ANSYS Label
Structural
Temperature
Fluence
TEMP[1]
FLUE
Thermal
Heat Generation Rate
HGEN
Magnetic
Temperature
Current Density
Virtual Displacement
Voltage Drop
TEMP[1]
JS
MVDI
VLTG
Electric
Temperature
Volume Charge Density
TEMP[1]
CHRGD
Fluid
Heat Generation Rate
Force Density
HGEN
FORC

  1. Do not confuse this with the TEMP degree of freedom.

Table 2.8 Commands for Applying Body Loads

Location | Basic Commands | Additional Commands
Nodes | BF, BFLIST, BFDELE | BFSCALE, BFCUM, BFUNIF
Elements | BFE, BFELIST, BFEDELE | BFESCAL, BFECUM
Keypoints | BFK, BFKLIST, BFKDELE | -
Lines | BFL, BFLLIST, BFLDELE | -
Areas | BFA, BFALIST, BFADELE | -
Volumes | BFV, BFVLIST, BFVDELE | -
Transfer | BFTRAN | -

For the particular body loads that you can apply, list or delete with any of the commands listed in Table 2.8: "Commands for Applying Body Loads", see the Commands Reference

Below are examples of some of the GUI paths to use for applying body loads:

GUI:
Main Menu> Preprocessor> Loads> Define Loads> Apply> load type> On Nodes
Utility Menu> List> Loads> Body> On Picked Elems
Main Menu> Solution> Define Loads> Apply> load type> On Keypoints
Utility Menu> List> Loads> Body> On Picked Lines
Main Menu> Solution> Define Loads> Apply> load type> On Volumes

See the Commands Reference for descriptions of the commands listed in Table 2.8: "Commands for Applying Body Loads".

Note

Body loads you specify on nodes are independent of those specified on elements. For a given element, ANSYS determines which loads to use as follows:

  • It checks to see if you specified elements for body loads.

  • If not, it uses body loads specified for nodes.

  • If no body loads exist for elements or nodes, the body loads specified via the BFUNIF command take effect.

2.5.8.1. Specifying Body Loads for Elements

The BFE command specifies body loads on an element-by-element basis. However, you can specify body loads at several locations on an element, requiring multiple load values for one element. The locations used vary from element type to element type, as shown in the examples that follow. The defaults (for locations where no body loads are specified) also vary from element type to element type. Therefore, be sure to refer to the element documentation online or in the Elements Reference before you specify body loads on elements.

  • For 2-D and 3-D solid elements (PLANEn and SOLIDn), the locations for body loads are usually the corner nodes.

    Figure 2.12 BFE Load Locations

    For 2-D and 3-D Solids

  • For shell elements (SHELLn), the locations for body loads are usually the "pseudo-nodes" at the top and bottom planes, as shown below.

    Figure 2.13 BFE Load Locations for Shell Elements

    SHELL63

  • Line elements (BEAMn, LINKn, PIPEn, etc.) are similar to shell elements; the locations for body loads are usually the pseudo-nodes at each end of the element.

    Figure 2.14 BFE Load Locations for Beam and Pipe Elements

  • In all cases, if degenerate (collapsed) elements are involved, you must specify element loads at all of its locations, including duplicate values at the duplicate (collapsed) nodes. A simple alternative is to specify body loads directly at the nodes, using the BF command.

2.5.8.2. Specifying Body Loads for Keypoints

You can use the BFK command to apply body loads at keypoints. If you specify loads at the corner keypoints of an area or a volume, all load values must be equal for the loads to be transferred to the interior nodes of the area or volume. If you specify unequal load values, they will be transferred (with linear interpolation) to only the nodes along the lines that connect the keypoints. Figure 2.15: "Transfers to BFK Loads to Nodes" illustrates this:

You can use the BFK command to specify table names at keypoints. If you specify table names at the corner keypoints of an area or a volume, all table names must be equal for the loads to be transferred to the interior nodes of the area or volume.

Figure 2.15 Transfers to BFK Loads to Nodes

2.5.8.3. Specifying Body Loads on Lines, Areas and Volumes

You can use the BFL, BFA, and BFV commands to specify body loads on lines, areas, and volumes of a solid model, respectively. Body loads on lines of a solid model are transferred to the corresponding nodes of the finite element model. Body loads on areas or volumes of a solid model are transferred to the corresponding elements of the finite element model.

2.5.8.4. Specifying a Uniform Body Load

The BFUNIF command specifies a uniform body load at all nodes in the model. Most often, you use this command or path to specify a uniform temperature field; that is, a uniform temperature body load in a structural analysis or a uniform starting temperature in a transient or nonlinear thermal analysis. This is also the default temperature at which the ANSYS program evaluates temperature-dependent material properties.

Another way to specify a uniform temperature is as follows:

Command(s): | BFUNIF
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Structural or Thermal> Temperature> Uniform Temp Main Menu> Preprocessor> Loads> Define Loads> Settings> Uniform Temp Main Menu> Solution> Define Loads> Apply> Structural or Thermal> Temperature> Uniform Temp Main Menu> Solution> Define Loads> Settings> Uniform Temp

2.5.8.5. Repeating a Body Load Specification

By default, if you repeat a body load at the same node or same element, the new specification replaces the previous one. You can change this default to ignore using one of the following:

Command(s): | BFCUM, BFECUM
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Settings> Replace vs Add> Nodal Body Ld Main Menu> Preprocessor> Loads> Define Loads> Settings> Replace vs Add> Elem Body Lds Main Menu> Solution> Define Loads> Settings> Replace vs Add> Nodal Body Ld Main Menu> Solution> Define Loads> Settings> Replace vs Add> Elem Body Lds

The settings you specify with either command or its equivalent GUI paths stay set until they are reuse the command or path. To reset the default setting (replacement), simply issue the commands or choose the paths without any arguments.

2.5.8.6. Transferring Body Loads

To transfer body loads that have been applied to the solid model to the corresponding finite element model, use one of the following:

Command(s): | BFTRAN
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Operate> Transfer to FE> Body Loads Main Menu> Solution> Define Loads> Operate> Transfer to FE> Body Loads

To transfer all solid model boundary conditions, use the SBCTRAN command. (See DOF Constraints for a description of DOF constraints.)

2.5.8.7. Scaling Body Load Values

You can scale existing body load values using these commands:

Command(s): | BFSCALE
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Operate> Scale FE Loads> Nodal Body Ld Main Menu> Solution> Define Loads> Operate> Scale FE Loads> Nodal Body Ld
Command(s): | BFESCAL
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Operate> Scale FE Loads> Elem Body Lds Main Menu> Solution> Define Loads> Operate> Scale FE Loads> Elem Body Lds

BFCUM and BFSCALE act on the selected set of nodes, whereas BFECUM and BFESCAL act on the selected set of elements.

2.5.8.8. Resolution of Conflicting Body Load Specifications

You need to be aware of the possibility of conflicting BFK, BFL, BFA, and BFV body load specifications and how the ANSYS program handles them.

BFV, BFA, and BFL specifications transfer to associated volume, area, and line elements, respectively, where they exist. Where elements do not exist, they transfer to the nodes on the volumes, areas, and lines, including nodes on the region boundaries. The possibility of conflicting specifications depends upon how BFV, BFA, BFL and BFK are used as described by the following cases.

CASE A: There are elements for every BFV, BFA, or BFL, and every element belongs to a volume, area or line having a BFV, BFA, or BFL, respectively.

Every element will have its body loads determined by the corresponding solid body load. Any BFK's present will have no effect. No conflict is possible.

CASE B: There are elements for every BFV, BFA, or BFL, but some elements do not belong to a volume area or line having a BFV, BFA, or BFL.

Elements not getting a direct BFE transfer from a BFV, BFA, or BFL are unaffected by them, but will have their body loads determined by the following: (1 - highest priority) directly defined BFE loads, (2) BFK loads, (3) directly defined BF loads, or (4) BFUNIF loads. No conflict among solid model body loads is possible.

CASE C: At least one BFV, BFA, or BFL cannot transfer to elements.

Elements not getting a direct BFE transfer from a BFV, BFA, or BFL will have their body loads determined by the following: (1 - highest priority) directly defined BFE loads, (2) BFK loads, (3) BFL loads on an attached line that did NOT transfer to line elements, (4) BFA loads on an attached area that did NOT transfer to area elements, (5) BFV loads on an attached volume that did NOT transfer to volume elements, (6) directly defined BF loads, or (7) BFUNIF loads.

In "Case C" situations, the following conflicts can arise:

  • A BFL specification can conflict with a BFL specification on an adjacent line (shared keypoint).

  • A BFL specification can conflict with a BFK specification at either keypoint.

  • A BFA specification can conflict with a BFA specification on an adjacent area (shared lines/keypoints).

  • A BFA specification can conflict with a BFL specification on any of its lines.

  • A BFA specification can conflict with a BFK specification on any of its keypoints.

  • A BFV specification can conflict with a BFV specification on an adjacent volume (shared areas/lines/keypoints).

  • A BFV specification can conflict with a BFA specification on any of its areas.

  • A BFV specification can conflict with a BFL specification on any of its lines.

  • A BFV specification can conflict with a BFK specification on any of its keypoints.

The ANSYS program transfers body loads that have been applied to the solid model to the corresponding finite element model in the following sequence:

  1. In ascending volume number order, BFV loads transfer to BFE loads on volume elements, or, if there are none, to BF loads on nodes on volumes (and bounding areas, lines, and keypoints).

  2. In ascending area number order, BFA loads transfer to BFE loads on area elements, or, if there are none, to BF loads on nodes on areas (and bounding lines and keypoints).

  3. In ascending line number order, BFL loads transfer to BFE loads on line elements, or, if there are none, to BF loads on nodes on lines (and bounding keypoints).

  4. BFK loads transfer to BF loads on nodes on keypoints (and on attached lines, areas, and volumes if expansion conditions are met).

Accordingly, for conflicting solid model body loads in "Case C" situations, BFK commands overwrite BFL commands, BFL commands overwrite BFA commands, and BFA commands overwrite BFV commands. For conflicting body loads, a body load specified for a higher line number, area number, or volume number overwrites the body load specified for a lower line number, area number, or volume number, respectively. The body load specification issue order does not matter.

Note

Any conflict detected during solid model body load transfer produces a warning similar to the following:

***WARNING***
Body load TEMP from line 12 (1st value=77) is overwriting a BF on
node 43 (1st value=99) that was previously transferred from another
BFV, BFA, BFL or set of BFK's.

Changing the value of BFK, BFL, BFA, or BFV constraints between solutions may produce many of these warnings at the 2nd or later solid BC transfer. These can be prevented if you delete the nodal BF loads between solutions using BFVDELE, BFADELE, BFLDELE, and/or BFDELE.

2.5.9. Inertia Loads

You use the following commands for inertia loads:

Table 2.9 Inertia Loads Commands

Command
ACEL | CMDOMEGA | DOMEGA
CGLOC | CMOMEGA | IRLF
CGOMGA | DCGOMG | OMEGA

There are no specific commands to list or delete inertia loads. To list them, issue STAT, INRTIA. To remove an inertia load, set the load value to zero. You can set an inertia load to zero, but you cannot delete it. For ramped load steps, inertia loads are ramped to zero. (This is also true when you apply inertia loads.)

The ACEL, OMEGA, and DOMEGA commands specify acceleration, angular velocity, and angular acceleration, respectively, in global Cartesian directions.

Note

The ACEL command applies an acceleration field (not gravity) to a body. Therefore, to apply gravity to act in the negative Y direction, you should specify a positive Y acceleration.

Use the CGOMGA and DCGOMG commands to specify angular velocity and angular acceleration of a spinning body which is itself revolving about another reference coordinate system. The CGLOC command specifies the location of the reference system with respect to the global Cartesian origin. You can use these commands, for example, to include Coriolis effects in a static analysis.

You can also use the CMOMEGA and CMDOMEGA commands to specify the rotational velocity and acceleration effects for element components you define. You either specify an axis and the scalar vector quantity, or define the three components of the rotational value and the point in space you are considering. You can use these commands for Element components only.

Inertia loads are effective only if your model has some mass, which is usually supplied by a density specification. (You can also supply mass to the model by using mass elements, such as MASS21, but density is more commonly used and is more convenient.) As with all other data, the ANSYS program requires you to use consistent units for mass. If you are accustomed to the U. S. Customary system of units, you might sometimes wish to use weight density (lb/in3) instead of mass density (lb-sec2/in/in3), for convenience.

Use weight density in place of mass density only under these conditions:

  • The model will only be used in a static analysis.

  • No angular velocity or angular acceleration is applied.

  • Gravitational acceleration is unity (g = 1.0).

A handy way to specify density so that you can use it readily in either a "convenient," weight-density form or "consistent," mass-density form is to define a parameter for gravitational acceleration, g:

Table 2.10 Ways of Specifying Density

Convenient Form | Consistent Form | Description
g = 1.0 | g = 386.0 | Parameter definition
MP,DENS,1,0.283/g | MP,DENS,1,0.283/g | Density of steel
ACEL,,g | ACEL,,g | Gravity load

2.5.10. Coupled-Field Loads

A coupled-field analysis usually involves applying results data from one analysis as loads in a second analysis. For example, you can apply the nodal temperatures calculated in a thermal analysis as body loads in a structural analysis (for thermal strain). Similarly, you can apply magnetic forces calculated in a magnetic field analysis as nodal forces in a structural analysis. To apply such coupled-field loads, use one of the following:

Command(s): | LDREAD
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> load type> From source Main Menu> Solution> Define Loads> Apply> load type> From source

See the Coupled-Field Analysis Guide for details about how to use this command in different types of coupled-field analyses.

2.5.11. Axisymmetric Loads and Reactions

For constraints, surface loads, body loads, and Y-direction accelerations, you define loads exactly as they would be for any nonaxisymmetric model. However, for concentrated forces the procedure is a little different. For these quantities, input load values of force, moment, etc. are on a "360° basis." That is, the load value is entered in terms of total load around the circumference. For example, if an axisymmetric axial load of 1500 pounds per inch of circumference were applied to a 10” diameter pipe (Figure 2.16: "Concentrated Axisymmetric Loads"), the total load of 47,124 lb. (1500*2 π*5 = 47,124) would be applied to node N as follows:

F,N,FY,-47124

Axisymmetric results are interpreted in the same fashion as their corresponding input loads. That is, reaction forces, moments, etc. are reported on a total load (360°) basis.

Axisymmetric harmonic elements require that their loads be supplied in a form that the program can interpret as a Fourier series. The MODE command (Main Menu> Preprocessor> Loads> Load Step Opts> Other> For Harmonic Ele or Main Menu> Solution> Load Step Opts> Other> For Harmonic Ele), together with other load commands (D, F, SF, etc.), is required for these elements. See the Commands Reference for details.

Figure 2.16 Concentrated Axisymmetric Loads

Defined on a 360° basis

2.5.11.1. Further Hints and Restrictions

Be careful to specify a sufficient number of constraints to prevent unwanted rigid-body motions, discontinuities, or singularities. For instance, for an axisymmetric model of a solid structure such as a solid bar, a lack of UX constraint along the axis of symmetry can potentially allow spurious "voids" to form in a structural analysis. (See Figure 2.17: "Central Constraint for Solid Axisymmetric Structure".)

Figure 2.17 Central Constraint for Solid Axisymmetric Structure

2.5.12. Loads to Which the DOF Offers No Resistance

If an applied load acts on a DOF which offers no resistance to it (i.e. perfectly zero stiffness), the ANSYS program ignores the load. For example, consider a series of connected colinear LINK1 elements. Loads normal to the line of the links are ignored when you apply them to interior DOFs. If, however, the links are under tension and stress stiffening is being used, the loads are not ignored because there is resistance (stiffness) in the direction of the loads. The same principle applies to membrane shell elements.

2.5.13. Initial State Loading

You can specify initial stress as a loading parameter for a structural analysis in ANSYS. Initial stress loading is valid for static or full transient analyses (either linear or nonlinear), and for modal, buckling and harmonic analyses. Initial stresses must be applied in the first load step of an analysis. Initial stress is also available with Distributed Ansys.

You specify and edit your initial stress values via the INISTATE command. The INISTATE command is used to add, modify and delete initial state data. You can also use it to read externally supplied initial stress values from a comma-delimited file, or to export existing values in that same format.

Initial stress is element-based and is available only for current technology elements (see below). Initial Stress is applied to the elements as either an integration-point, or material-based load. For layered elements, you apply initial stress to any combination of layer, section integration point and/or element integration points. For beam elements, initial stress can be applied to different combinations of cell number, section integration and element integration points. For all other elements, it is based on the element integration point only. Initial stress can also be applied to a selected set of elements based on the material ID numbers (for the entire element).

Initial stress capability based on the INISTATE command embraces “Current Element Technology” and the list of available elements differs markedly from the ISTRESS command method. Older, “legacy” elements cannot be used with INISTATE. Only the following elements are available: LINK180, SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SOLSH190, SHELL208, SHELL209, and SHELL281. For more information on current -vs- legacy element technologies see Legacy vs. Current Element Technologies in the Elements Reference

The INISTATE, WRITE command can be used to write a set of initial stress values to a file. You can issue the INISTATE command multiple times in order to modify or overwrite your initial stress values. This command can be used in the /SOLUTION processor only.

2.5.13.1. Examples of Initial Stress Application

Although initial stress is element based, the structure of the INISTATE command is element-type independent. For continuum or link elements, you apply initial stress according to the specific element integration point. For layered elements, you apply initial stress based on the layer number, the layer integration point or the element integration point. Beams allow you to apply initial stress based on the cell number, the section integration point, and/or the element integration point. For reinforced elements, different values of initial stress can be assigned to different reinforcements within the same element. Here are some examples of how initial stress can be applied for these instances.

Constant Initial Stress On The Whole Model
inis,defi,,,,,100,200,300,400,500,600

Apply Constant Stress of SX=100 On Beam Element 1
inis,defi,1,,,,100

Apply a Stress of SX=33.333 at Elem Integration Pt 3 within Element 2
inis,defi,2,3,,,33.3333

Apply Constant Stress Of SX=200 in Cell 2 For All Selected Beam Elements
inis,defi,,2,,,200

Apply Constant Stress Of SX=200 For All Beams In A Model
And Wherever There Is Material=3
inis,set,mat,3
inis,defi,,,,,200

Apply a Stress of SX=100,SY=200,SXY=150 for Layers 1,3,5 and
SX=200,SY=0 for Layers 2,4,6 in a Layered Shell Element. Layer
1,3,5 have material 1 and Layer 2,4,6 have material 2.
inis,defi,,1,,,100,200,150
inis,defi,,2,,,200
inis,defi,,3,,,100,200,150
inis,defi,,4,,,200
inis,defi,,5,,,100,200,150
inis,defi,,6,,,200
        OR
inis,set,mat,1
inis,defi,,,,,100,200,150
inis,set,mat,2
inis,defi,,,,,200

Apply a Stress of SX=33.333 at Reinf 1 for all elements
inis,defi,,1,,,33.3333

2.5.13.2. Initial Stress File Format

Although you can use the INISTATE command repeatedly to assign explicit values to different items, creating an external file simplifies the procedure. You can create a stand alone initial stress file to be read into your analysis using the INISTATE command. The initial stress file must be in a comma-delimited ASCII file format, consisting of individual rows for each stress item. Each of the rows consists of columns that are separated by commas. Your columns will delineate the integration point(s) for the specific elements. See Integration Point Locations in the Theory Reference for ANSYS and ANSYS Workbench for more information on the number and location of available element integration points. Also see "Element Library" in the Theory Reference for ANSYS and ANSYS Workbench for a listing of the integration points for each specific element.

The number of section integration points for beams and cells is dependent upon the associated user input. One element ID number can be repeated on successive lines to specify different stresses at different integration points.

Each line of the initial stress file will have 10 columns:

The element ID Number
The element integration point (for standard elements),
The layer (for layered elements) or the cell number (for beams).
The section integration point (for beams and shells only)
The six stress components
If any parameters for element ID, element integration point, layer number, cell number or section integration point are left blank, “ALL” of the associated parameters are considered.

For example:

 1, , , 100, 0, 0, 0, 0, 0
would apply an equal stress of SX = 100 to all integration points or layers of the element ID = 1.

This line:

 , , , 100, 0, 0, 0, 0, 0
would apply an equal stress of SX = 100 to all integration points or layers to all of the selected elements.

Additional parameters can be supplied by using the /attr,value line in the *.ist file. Currently, the only supported parameter is CSYS. Use CSYS, VALUE to specify the coordinate system to be used for the subsequent data supplied in your *.ist file. The default coordinate system is the global Cartesian system.

Comments and other non-analysis information can be inserted in you *.ist file if they are preceded by an “!”.

2.5.13.3. Using Coordinate Systems With Initial Stress

The INISTATE command provides options to specify data in coordinate systems other than the Material and Element coordinate systems. INISTATE, Set, CSYS, CS is used to define the coordinate system. Available values for CS are MAT or ELEM, or any user-created coordinate system. Shell elements support only material and element coordinate systems. Link elements support only element coordinate systems. The default coordinate systems are 0 (global Cartesian) for solid elements, and ELEM for shell, beam and link elements.

2.5.13.4. A Sample Initial Stress Problem Using the IST File

The following example problem shows how you would define an initial stress file and use INISTATE, READ command to read the data into your analysis.

The following file, istress.ist, contains the initial stresses to be read into ANSYS. Each element has eight integration points in the domain of the element.

/CSYS,0
! ELEM ID   ELEM INTG   LAY/CELL   SECT INTG    SX      SY      SZ      SXY      SYZ      SXZ
     1 ,      1,           ,        ,          100,      0,      0,      0,       0,       0
     1 ,      2,           ,        ,          100,      0,      0,      0,       0,       0
     1 ,      3,           ,        ,          100,      0,      0,      0,       0,       0
     1 ,      4,           ,        ,          100,      0,      0,      0,       0,       0
     1 ,      5,           ,        ,          100,      0,      0,      0,       0,       0
     1 ,      6,           ,        ,          100,      0,      0,      0,       0,       0
     1 ,      7,           ,        ,          100,      0,      0,      0,       0,       0
     1 ,      8,           ,        ,          100,      0,      0,      0,       0,       0

In the following ANSYS input listing, initial stress loading data is read in from the file istress.ist. The data is read in during the first load step, and establishes a preliminary deflection corresponding to a tip loaded cantilever beam with a tip load of 1e5 units.

/prep7
/title, Example of Initial stress import into ANSYS
et,1,182
! Plane stress PLANE182 element
mp,ex,1,1.0e9
mp,nuxy,1,0.3
!
! Define the nodes
!
n,1
n,2,2.0
n,3,4.0
n,4,6.0
n,5,8.0
n,6,10.0
n,7,,1.0
n,8,2.0,1.0
n,9,4.0,1.0
n,10,6.0,1.0
n,11,8.0,1.0
n,12,10.0,1.0
!
! Define the 5 elements
!
e,1,2,8,7
e,2,3,9,8
e,3,4,10,9
e,4,5,11,10
e,5,6,12,11
! Constrain all dofs on all nodes at x=0 to be zero
nsel,s,loc,x,
d,all,all
nall
finish
!
/solu
! Read in the initial stresses from istress.ist file
! as loading in the 1st load step.
! Input stresses correspond to the element integration
! point location. This is done by setting
! the LOC field on ISFILE to 1.
!
inis,read,istress,ist

! List the initial stresses
inis,list
outres,all,all
solve
finish
!
/post1
set,last
prnsol,u
finish

The INISTATE, WRITE command is used to specify the coordinate system into which the data is to be written.

2.5.13.5. A Sample Initial Stress Problem Using INISTATE

Constant stresses can be applied to all selected elements using INISTATE, DEFI, ALL. The INISTATE command is also used to delete stress from individual elements after the stress is applied. INISTATE, LIST is used to list the applied stresses. The following code sample shows how these commands are used.

solution
!
! Apply a constant state of the initial stresses.
!
inis,defi,all,,,,1322.34,2022.21,302.43,4040.32,5076.32,6021.456
!
! Verify the applied stresses then delete those of element #1
!
inis,list
inis,dele
!
! Verify the final result, then solve.
!
inis,list
solve
FINISH

2.5.13.6. A Sample Output Using the WRITE Option

The initial stress file written by the INISTATE, WRITE command has the same format as described (above) for the input file. The stresses in the file are those calculated at the integration points when the convergence occurs in a nonlinear analysis. If the analysis type is linear, the stresses are those calculated when the solution is finished. A sample initial stress file resulting from this command follows:

!***********************************      INITIAL STRESS FILE    *************************
!***********************************           t.ist             *************************
!***********************************      HEADER INFORMATION     *************************
/ETYP,DEFA
/COLINF,ELEM,ELIN,,,SX,SY,SZ,SXY,SYZ,SXZ
/ETYP,LAYE
/COLINF,ELEM,ELIN,LAYE,SECT,SX,SY,SZ,SXY,SYZ,SXZ
/ETYP,BEAM
/COLINF,ELEM,ELIN,CELL,SECT,SX,SY,SZ,SXY,SYZ,SXZ
!****************************     INITIAL STRESS DATA     ********************************
!ELEM ID  ELEM INTG LAY/CELL SECT INTG  SX     SY      SZ            SXY    SYZ     SXZ
 /csys,0
    1,      1,        1,       1,   -3.50063    ,  -23.2768    ,   0.00000    ,  -2.04204
    1,      2,        1,       1,    3.50063    ,  0.607255E-01,   0.0000     ,  -2.04204
    1,      3,        1,       1,    3.50063    ,  0.607255E-01,   0.00000    ,   2.04204
    1,      4,        1,       1,   -3.50063    ,  -23.2768    ,   0.00000    ,   2.04204
 /csys,0
    2,      1,        1,       1,    0.791614   ,   5.26355    ,   0.00000    ,  0.461775
    2,      2,        1,       1,   -0.791614   , -0.138827E-01,   0.00000    ,  0.461775
    2,      3,        1,       1,   -0.791614   , -0.138827E-01,   0.00000    , -0.461775
    2,      4,        1,       1,    0.791614   ,   5.26355    ,   0.00000    , -0.461775
 /csys,0
    3,      1,        1,       1,  -0.179107    ,  -1.19024    ,   0.00000    , -0.104479
    3,      2,        1,       1,   0.179107    ,  0.380702E-02,   0.00000    , -0.104479
    3,      3,        1,       1,   0.179107    ,  0.380702E-02,   0.00000    ,  0.104479
    3,      4,        1,       1,  -0.179107    ,  -1.19024    ,   0.00000    ,  0.104479
 /csys,0
    4,      1,        1,       1,   0.409451E-01,  0.269154    ,   0.00000    ,  0.238847E-01
    4,      2,        1,       1,  -0.409451E-01, -0.381382E-02,   0.00000    ,  0.238847E-01
    4,      3,        1,       1,  -0.409451E-01, -0.381382E-02,   0.00000    , -0.238847E-01
    4,      4,        1,       1,   0.409451E-01,  0.269154    ,   0.00000    , -0.238847E-01
 /csys,0
    5,      1,        1,       1,  -0.112228E-01, -0.608972E-01,   0.00000    , -0.654661E-02
    5,      2,        1,       1,   0.112228E-01,  0.139211E-01,   0.00000    , -0.654661E-02
    5,      3,        1,       1,   0.112228E-01,  0.139211E-01,   0.00000    ,  0.654661E-02
    5,      4,        1,       1,  -0.112228E-01, -0.608972E-01,   0.00000    ,  0.654661E-02

2.5.14. Applying Loads Using TABLE Type Array Parameters

To apply loads using TABLE parameters, you use the appropriate loading commands or menu paths for your analysis. However, instead of specifying an actual value for a particular load, you specify the name of a table array parameter. Not all boundary conditions support tabular loads; please refer to the documentation on the specific loads you are working with to determine if tabular loads are supported.

Note

When defining loads via commands, you must enclose the table name in % symbols: %tabname%. For example, to specify a table of convection values, you would issue a command similar to the following:

SF,all,conv,%sycnv%,tbulk

If your data cannot be conveniently expressed as a table, you may want to use function boundary conditions. See Applying Loads Using Function Boundary Conditions.

If working interactively, you can define a new table at the time you apply the loads by selecting the "new table" option. You will be asked to define the table through a series of dialog boxes. You can also define a table before you apply loads by choosing the menu path Utility Menu> Parameters> Array Parameters> Define/Edit, or by using the *DIM command. Tabular loads can be defined in both the global Cartesian (default) or a local coordinate system you define with the LOCAL command (only Cartesian, spherical and cylindrical coordinate systems are valid). If working in batch mode, you need to define the table before issuing any of the loading commands.

For more information on defining table array parameters (both interactively and via command), see TABLE Type Array Parameters of the ANSYS Parametric Design Language Guide.

2.5.14.1. Defining Primary Variables

When you define the table array parameter, you can define various primary variables, depending on the type of analysis you are doing. Table 2.11: "Boundary Condition Type and Corresponding Primary Variable" lists boundary conditions and their associated primary variables for supported types of analyses. Additional primary variables are available using function boundary conditions. See Using the Function Editor for more information. Primary variables are shown as the valid labels used by the *DIM command. You can apply tabular loads according to a local coordinate system defined via LOCAL, and specified in *DIM.

When defining the tables, the primary variables must be in ascending order in the table indices (as in any table array).

Table 2.11 Boundary Condition Type and Corresponding Primary Variable

Boundary Condition | Primary Variable | Command [1]
Thermal Analyses
Fixed Temperature | TIME, X, Y, Z | D,,(TEMP, TBOT, TE2, TE3, . . ., TTOP)
Heat Flow | TIME, X, Y, Z, TEMP | F,,(HEAT, HBOT, HE2, HE3, . . ., HTOP)
Film Coefficient (Convection) | TIME, X, Y, Z, TEMP, VELOCITY | SF,,CONV SFE,,,CONV
Bulk Temperature (Convection) | TIME, X, Y, Z | SF,,,TBULK SFE,,,TBULK
Heat Flux | TIME, X, Y, Z, TEMP | SF,,HFLUX SFE,,,HFLUX
Heat Generation | TIME, X, Y, Z, TEMP | BFE,,HGEN
Uniform Heat Generation | TIME | BFUNIF,TEMP
Structural Analyses
Displacements | TIME, X, Y, Z, TEMP | D,(UX, UY, UZ, ROTX, ROTY, ROTZ)
Forces and Moments | TIME, X, Y, Z, TEMP, SECTOR | F,(FX, FY, FZ, MX, MY, MZ)
Pressures | TIME, X, Y, Z, TEMP, SECTOR | SF,,PRES SFE,,,PRES
Temperature | TIME | BF,,TEMP
Linear Acceleration | TIME, X, Y, Z | ACEL,ACEL_X, ACEL_Y,ACEL_Z
Translational Acceleration | TIME, X, Y, Z | CMACEL,CMACEL_X, CMACEL_Y,CMACEL_Z
Superelement Load Vector | TIME | SFE,,,SELV
Electrical Analyses
Voltage | TIME, X, Y, Z | D,,VOLT
Current | TIME, X, Y, Z | F,,AMPS
Fluid Analyses
Pressure | TIME, X, Y, Z | D,,PRES
Flow | TIME, X, Y, Z | F,,FLOW
FLOTRAN Analyses
Nodal DOF | TIME, X, Y, Z, TEMP, VELOCITY, PRESSURE | D,,(VX, VY, VZ, PRES, TEMP, ENKE, ENDS, SP01-SP06)
Nodal DOF for ALE formulation | TIME, X, Y, Z, TEMP, VELOCITY, PRES, Xr, Yr, Zr | D,,(UX, UY, UZ)
Heat Flux | TIME, X, Y, Z, TEMP, VELOCITY, PRESSURE | SF,,HFLUX SFE,,,HFLUX
Film Coefficient | TIME, X, Y, Z, TEMP, VELOCITY, PRESSURE | SF,,CONV SFE,,,CONV
Element Heat Generation | TIME, X, Y, Z, TEMP, VELOCITY, PRESSURE | BFE,,HGEN
Nodal Heat Generation | TIME, X, Y, Z, TEMP, VELOCITY, PRESSURE | BF,,HGEN
Nodal Body Force | TIME, X, Y, Z, TEMP, VELOCITY, PRESSURE | BF,,FORCE
Radiation | TIME, X, Y, Z, TEMP, VELOCITY, PRESSURE | SF,,RAD SFE,,,RAD
Fluid Volume | TIME, X, Y, Z, TEMP, VELOCITY, PRESSURE | SF,,VFRC SFE,,,VFRC

  1. Although not normally used in this manner, the following commands also allow tabular loading: BFA, BFK, BFL, BFV, DA, DK, DL, FK, SFA, and SFL.

See the *DIM command for more information on defining your labels.

The VELOCITY label refers to the magnitude of the velocity degrees of freedom or the computed fluid velocity in FLUID116 elements.

In addition, some real constants for elements SURF151, SURF152, and FLUID116 can have associated primary variables.

Table 2.12 Real Constants and Corresponding Primary Variable

Real Constants | Primary Variables
SURF151, SURF152
Rotational Speed | TIME, X, Y, Z
FLUID116
Rotational Speed | TIME, X, Y, Z
Slip Factor | TIME, X, Y, Z

2.5.14.2. Defining Independent Variables

If you need to specify a variable other than one of the primary variables listed, you can do so by defining an independent parameter. To specify an independent parameter, you define an additional table for the independent parameter. That table must have the same name as the independent parameter, and can be a function of either a primary variable or another independent parameter. You can define as many independent parameters as necessary, but all independent parameters must relate to a primary variable.

For example, consider a convection coefficient (HF) that varies as a function of rotational speed (RPM) and temperature (TEMP). The primary variable in this case is TEMP. The independent parameter is RPM, which varies with time. In this scenario, you need two tables: one relating RPM to TIME, and another table relating HF to RPM and TEMP.

*DIM,SYCNV,TABLE,3,3,,RPM,TEMP
SYCNV(1,0)=0.0,20.0,40.0
SYCNV(0,1)=0.0,10.0,20.0,40.0
SYCNV(0,2)=0.5,15.0,30.0,60.0
SYCNV(0,3)=1.0,20.0,40.0,80.0
*DIM,RPM,TABLE,4,1,1,TIME
RPM(1,0)=0.0,10.0,40.0,60.0
RPM(1,1)=0.0,5.0,20.0,30.0
SF,ALL,CONV,%SYCNV%

When defining the tables, the independent variables must be in ascending order in the table indices (as in any table array).

2.5.14.3. Operating on Table Parameters

For convenience, you can multiply table parameters by constants, add one table to another, and add a constant increment for offset. To do so, use the *TOPER command (Utility Menu> Parameters> Array Operations> Table Operations). The two tables must have the same dimensions and must have the same variable names for the rows and columns. The tables must also have identical index values for rows, columns, etc.

2.5.14.4. Verifying Boundary Conditions

If you use table array parameters to define boundary conditions, you may want to verify that the correct table and the correct values from the table were applied. You can do so in several ways:

  • You can look in the Output window. If you apply tabular boundary conditions on finite element or solid model entities, the name of the table, not the numerical value, is echoed in the Output window.

  • You can list boundary conditions. If you list the boundary conditions during /PREP7, table names are listed. Longer table names may be truncated. However, if you list boundary conditions during any of the solution or postprocessing phases at a particular entity or time point, the actual numerical value at the location or time is listed.

  • You can look at the graphical display. Where tabular boundary conditions were applied, the table name and any appropriate symbols (face outlines, arrows, etc.) can be displayed using the standard ANSYS graphic display capabilities (/PBC, /PSF, etc.), provided that table numbering is on (/PNUM,TABNAM,ON).

  • You can look at the numerically-substituted table of values (/PNUM,SVAL) in POST1.

  • You can retrieve a value of a table parameter at any given combination of variables using the *STATUS command (Utility Menu> List> Other> Parameters).

2.5.14.5. Example Analysis Using 1-D Table Array

An example of how to run a steady-state thermal analysis using tabular boundary conditions is described in Performing a Thermal Analysis Using Tabular Boundary Conditions.

2.5.14.6. Example Analysis Using 5-D Table Array

This example shows how to run an analysis using a 5-D table. Note that 4- and 5-D tables cannot be defined interactively; you must use the command method.

This problem consists of a thermal-stress analysis with a pressure that varies as a function of (x,y,z,time,temp). The table and table values are first defined. The table is applied as a pressure boundary condition to the faces of a rectangular beam. Time and temperature are prescribed for two load steps and solved.

/batch,list
/title, Illustrate use of 5D table for SF command (pressure) loading
!!!!
!!!!
                                 !!!! create 5D table for applied pressure
X1=2                             !!!! X dimensionality
Y1=2                             !!!! Y dimensionality
Z1=10                            !!!! Z dimensionality
D4=5                             !!!! time dimensionality
D5=5                             !!!! temperature dimensionality
len=10                           !!!! cantilever beam length
wid=1                            !!!! cantilever beam width
hth=2                            !!!! cantilever beam height

*dim,xval,array,X1               !!!! create 1D arrays to load 5D table
xval(1)=0,20                     !!!! variations per dimension same
*dim,yval,array,Y1               !!!! but will give different values on each
yval(1)=0,20                     !!!! book and shelf
*dim,zval,array,10
zval(1)=10,20,30,40,50,60,70,80,90,100
*dim,tval,array,5
tval(1)=1,.90,.80,.70,.60
*dim,tevl,array,5
tevl(1)=1,1.20,1.30,1.60,1.80

*dim,ccc,tab5,X1,Y1,Z1,D4,D5,X,Y,Z,TIME,TEMP
*taxis,ccc(1,1,1,1,1),1,0,wid			!!! X-Dim
*taxis,ccc(1,1,1,1,1),2,0,hth			!!! Y-Dim
*taxis,ccc(1,1,1,1,1),3,1,2,3,4,5,6,7,8,9,10	!!! Z-Dim
*taxis,ccc(1,1,1,1,1),4,0,10,20,30,40		!!! Time
*taxis,ccc(1,1,1,1,1),5,0,50,100,150,200	!!! Temp
*do,ii,1,2
   *do,jj,1,2
      *do,kk,1,10
         *do,ll,1,5
            *do,mm,1,5
               ccc(ii,jj,kk,ll,mm)=(xval(ii)+yval(jj)+zval(kk))*tval(ll)*tevl(mm)
            *enddo
         *enddo
      *enddo
   *enddo
*enddo

/prep7
block,,wid,,hth,,len            !!!! create beam volume
et,1,5                          !!!! use SOLID5

esize,0.5                       !!!! element size
mshkey,1                        !!!! mapped mesh
vmesh,all

mp,ex,1,1e7                     !!!! material properties
mp,nuxy,1,.3
mp,kxx,1,1

nsel,s,loc,z,0                  !!!! fix end of beam
d,all,all
fini
save                            !!!! save problem for future restart
/solu
antyp,trans
timint,off

asel,u,loc,z,0
sfa,all,1,pres,%ccc%            !!!! apply pressure to all selected areas
alls
time,1e-3                       !!!! first solution at time = "0"
nsub,1
outres,all,all                  !!!! output everything to results file
d,all,temp,0                    !!!! for first problem, temp = 0
solve

time,30				!!!! second solution, time=30
d,all,temp,150			!!!! second solution, temp=150
solve
finish
/post1
/view,1,1,1,1
/psf,press,norm,3,0,1
/pbc,all,0
set,1,1
/title, Pressure distribution; time=0, temp=0
eplot
set,2,1
/title, Pressure distribution; time=30, temp=150
eplot
finish

The following plots illustrate the pressure distribution for the two load cases.

Figure 2.18 Pressure Distribution for Load Case 1

Figure 2.19 Pressue Distribution for Load Case 2

Note the difference in the pressure load in the second load case.

2.5.15. Applying Loads Using Function Boundary Conditions

You can use the Function Tool to apply complicated boundary conditions on a model. The Function Tool has two parts: the Function Editor creates an arbitrary equation or function (multiple equations), and a Function Loader retrieves the functions and loads them as TABLE arrays. They are then applied to a model using the tabular boundary condition process described in Applying Loads Using TABLE Type Array Parameters.

You must define your function and load it as a TABLE array before you try to add it as a load. You can access the Function Editor either via Utility Menu> Parameters> Functions> Define/Edit, or via Main Menu> Solution> Define Loads> Apply> Functions> Define/Edit. You can access the Function Loader either via Utility Menu> Parameters> Functions> Read from file, or via Main Menu> Solution> Define Loads> Apply> Functions> Read file

You should understand these additional points as you work with function boundary conditions:

  • If your data can be conveniently expressed as a table, we recommend that you use tabular boundary conditions. For more information, see Applying Loads Using TABLE Type Array Parameters.

  • Functions are stored in a TABLE array in equation format, not as discrete table values.

  • You cannot use function boundary conditions to circumvent the restrictions on boundary conditions and their corresponding primary variables as supported by tabular boundary conditions. For example, in a structural analysis, the primary variables supported with a pressure load are TIME, X, Y, Z, and TEMP; therefore, when using a function boundary condition, the only primary variables allowed in the equation are TIME, X, Y, Z, and TEMP. The list in Using the Function Editor shows which primary variables are available for each type of operation.

You should be familiar with some specific terms when using the Function Tool.

  • Function: A set of equations that together define an advanced boundary condition.

  • Primary Variable: Independent variables evaluated and used by the program during solution.

  • Regime: A portion of an operating range or design space characterized by a single regime variable. Regimes are partitioned according to lower and upper bounds of the regime variable. The regime variable must be continuous across the entire regime. Each regime contains a unique equation to evaluate the function.

  • Regime Variable: The defining variable that governs which of the set of equations is used to evaluate the function.

  • Equation Variable: A user-specified variable in an equation. The value for this variable is defined when the function is loaded.

2.5.15.1. Using the Function Editor

The Function Editor defines the regimes and equations. You use a set of primary variables, equation variables, and mathematical functions to build the equations. You can build a single equation or you can build a function, which is a series of equations, each of which applies to a particular regime. The equations defined for each regime, taken together, define the function, and the function as a whole is applied as the boundary condition. This process is described in detail in this section.

The function editor works like a calculator. To build the equation, you can:

  • Select a primary variable from the drop-down list. The primary variables you can choose from are:

    • Time* (TIME)

    • X location* (X) in local global coordinates

    • Y location* (Y) in local global coordinates

    • Z location* (Z) in local global coordinates

      (coordinate system applicability is determined by the *DIM command)

    • Temperature* (TEMP degree of freedom)

    • Fluid temperature (TFLUID) (computed fluid temperature in FLUID116 elements for SURF151 or SURF152 elements)

    • Velocity* (VELOCITY) (magnitude of the Velocity degrees of freedom or the computed fluid velocity in FLUID116 elements)

    • Applied surface pressure* (PRES)

    • Tsurf* (TS) (element surface temperature for SURF151 or SURF152 elements)

    • Density (ρ) (material property DENS)

    • Specific heat (material property C)

    • Thermal conductivity (material property kxx)

    • Thermal conductivity (material property kyy)

    • Thermal conductivity (material property kzz)

    • Viscosity (material property μ)

    • Emissivity (material property ε)

    • Reference location* (Xr) (ALE formulations only)

    • Reference location* (Yr) (ALE formulations only)

    • Reference location* (Zr) (ALE formulations only)

    • Contact gap (GAP) (used only to define radiation view factor, real constant RDVF, for contact elements CONTA171, CONTA172, CONTA173, CONTA174, and CONTA175)

    • Rotational speed (OMEGS) (rotational speed for SURF151 or SURF152 elements)

    • Rotational speed (OMEGF) (rotational speed for FLUID116 elements)

    • Slip factor (SLIP) (slip factor for FLUID116 elements)

    Primary variables marked with an asterisk (*) are also available for tabular boundary conditions. The remaining primary variables can be used only with function boundary conditions.

  • Type any variable name into the Function Editor; it is interpreted as an equation variable. You can use any name you want, but we recommend that you not use the same name as one of the primary variables. You can use up to ten user-defined equation variables in a function (up to six regimes). You will define the values for these variables when you actually load the function (described in Using the Function Loader).

  • Click a button on the keypad. The keypad includes the numbers 0-9, parentheses, and a set of mathematical operators. In addition to the default set of operators, you can also click the INV key to access an alternate set of operators.

As you build the equation, it is shown in standard mathematical syntax in the equation box above the keypad. The various components (primary variables, equation variables, mathematical operators, and numbers) are shown in different colors. In this way, you can verify the equation you are entering. You can also graph or list the equation using the GRAPH/LIST button in the Function Editor dialog box. See Graphing BC Functions for details on this feature.

Note

The Function Editor DOES NOT validate the equation construction. You are responsible for ensuring the mathematical validity of any equation you define and that parentheses, operators, etc., are correctly posed. For example, you must ensure that you do not inadvertently create a divide by zero situation.

If you intend to use an equation or part of an equation later in the function (such as in another regime), you can click the STO button to store it. When you click the STO button, the numbers on the keypad change to a series of memory buffers. Click one of them to store the equation in that memory buffer. For example, click STO and then M1 to store the equation in the Memory1 buffer. To retrieve a stored equation, click the INV button and then the INS MEM button followed by the appropriate memory button. The contents of that memory buffer are then displayed in the equation box. You can also recall an abbreviated form of the contents by clicking the RCL button. If you pause the cursor over a memory button, a tool tip displays the contents of that memory buffer.

You must define your function and load it as a TABLE array before you try to add it as a load.

A detailed procedure for using the Function Editor follows.

  1. Open the Function Editor by choosing Utility Menu> Parameters> Functions> Define/Edit or Main Menu> Solution> Define Loads> Apply> Functions> Define/Edit.

  2. Select the function type. Choose either a single equation or a multivalued function. If you choose the latter, you must type in the name of your regime variable. This is the variable that governs the equations in the function. When you select a multivalued function, the six regime tabs become active.

  3. Choose degrees or radians. This selection determines only how the equation is evaluated. This setting has no effect on *AFUN settings.

  4. Define the result equation (if a single equation) or the equation describing the regime variable (if a multivalued function) using primary variables, equation variables, and the keypad. If you are defining a single-equation function, go to Step 10 to comment and save the equation. If you are defining a multivalued function, continue with Step 5.

  5. Click on the Regime 1 tab. Type in the appropriate lower and upper limits for the regime variable you defined under the Function tab.

  6. Define the equation for this regime.

  7. Click on the Regime 2 tab. Note that the lower limit for the regime variable is already defined and cannot be changed. This feature ensures that the regimes remain continuous, with no gaps. Define the upper limit for this regime.

  8. Define the equation for this regime.

  9. Continue this process for up to six regimes. You do not have to store or save the individual equations in each regime, unless you wish to reuse the equation in another regime.

  10. Enter a comment to describe the function (optional). Choose Editor> Comment and type your comment in the area provided.

  11. Save the function. Choose Editor> Save and type in a name. The filename must have a .func extension.

Once the function is defined and saved, it can be used in any applicable ANSYS analysis, or by any user with access to the file. For example, you could create a corporate library of functions and place them in a common directory that all users can access via a network.

To use the function, you must load it, assign values to any equation variables, and provide a table parameter name for use in a particular analysis. All of these tasks are done with the Function Loader.

2.5.15.2. Using the Function Loader

When you are ready to apply specific values to the equation variables, specify a table parameter name, and use the function in an analysis, you need to load the function into the Function Loader.

  1. Open the Function Loader by choosing Utility Menu> Parameters> Functions> Read from file.

  2. Navigate to the directory where you saved the function, select the appropriate file, and open it.

  3. In the Function Loader dialog box, enter a table parameter name. This is the name you will use (%tabname%) when you specify this function as a tabular boundary condition.

  4. On the bottom half of the dialog box, you will see a Function tab and a Regime tab for each regime defined for the function. Click on the Function tab. You will see a data entry area for each equation variable you specified. You will also see a data entry area for material IDs if you used any variable that requires a material ID. Enter the appropriate values in these data entry areas.

    Note

    Only numeric data is supported for the constant values in the Function Loader dialog box. Character data and expressions are not supported as constant values.

  5. Repeat the process for each regime you defined.

  6. Click on Save. You will not be able to save this as a TABLE array parameter until you have provided values for all variables in all regimes in the function.

Once you have saved the function as a named TABLE array parameter using the Function Loader, you can apply it as a tabular boundary condition. See Applying Loads Using TABLE Type Array Parameters for detailed information on using tabular boundary conditions in your analysis.

Note

The function is loaded into the table as a coded equation. This coded equation is processed in ANSYS when the table is called for evaluation.

2.5.15.3. Example

The following example shows you how to create and apply a boundary condition using a function representation. In this example, the convection heat transfer coefficient from a fluid flowing over a flat plate is applied as a function boundary condition, using the correlation for laminar heat transfer coefficient. The figure below shows the flat plate with the applied boundary conditions.

The bottom of the plate is fixed at a constant temperature. The top of the plate, where the convection boundary condition is being applied, is split into two regimes:

Regime 1 is defined for X between 1 [image] X<5, and the convection heat transfer coefficient is given by:

h(x) = 0.332 * (kxx/x) * Re**(1/2) * Pr**(1/3)

Regime 2 is defined for X between 5 < X [image] 10, and the convection heat transfer coefficient is given by:

h(x) = 0.566 * (kxx/x) * Re**(1/2) * Pr**(1/3)

In the above equations, the Reynolds number Re is given by:

Re = (dens*vel*x)/visc

and the Prandtl number PR is given by:

Pr = (visc*c)/kxx

The properties of the fluid over the flat plate are:

Density (dens) = 1, thermal conductivity (kxx) = 10, specific heat (c) = 10, and viscosity (visc) = 0.01

The velocity of the fluid (vel) over the flat plate is equal to 100 for Regime 1 and 50 for Regime 2. Bulk temperature for the fluid for both regimes is 100 degrees.

  1. First, create a rectangle and assign element type PLANE55, define your material properties, and mesh:

    /prep7
rect,1,10,,.5
et,1,55
!Define Fluid Properties
mp,KXX,1.10	!Thermal conductivity
mp,DENS,1,1	!Density
mp,C,1,10	!Specific heat
mp,VISC,1,0.01	!Viscosity
!Define Plate Properties
mp,kxx,2,10
mp,dens,2,10
mp,c,2,5
mat,2
esize,,25
amesh,all

    Next, you will define the convection boundary condition as a function. This is a two step process. First you define the function using the function editor, and then you apply the function as a table parameter using the function loader.

  2. Define the function. Choose Utility Menu> Parameters> Functions> Define/Edit to bring up the function editor. The function boundary condition being applied in this example is a multivalued function, its final value being dependent on the X location in the domain. In the Function Editor dialog box, click on the radio button for “Multivalued function based on regime variable” and type xloc as the name of the regime variable in the text entry box. The name xloc appears as the name of the regime variable. To define xloc, select “X” from the drop down box on the lower half of the dialog box. Your dialog box should look like this:

  3. Now you will define the equations for the heat transfer coefficient in the two regimes. Click on the Regime 1 tab. Under this tab, you will define the equation for the first regime, 1 [image] X [image] 5. Type “1” and “5” in the Regime 1 Limits text entry boxes.

  4. For ease of use, you may want to define those expressions in the equations that you will use more than once or that are part of a very long equation, and store them in memory. In this example, expressions for the Reynold's number and Prandtl number are used repeatedly in both equations; therefore, these are good examples of expressions that can be stored and used throughout the function editor, in all regimes.

    To store the Reynold's number, fill in the Result box as shown below. Select the terms DENS, X, and VISC (shown in {brackets}) from the drop down list on the lower half of the dialog box. Use the keypad to insert the math functions such as * and /. Your dialog box should look like this:

    Now click on STO, then on M0 on the number pad to store the expression in memory location 0.

  5. To store the Prandtl number, clear the Results box by clicking the Clear button and then fill it again as shown below. Select the terms VISC, SPHT, and KXX from the drop down list. Then, click on STO and then on the M1 button. Your dialog box should look like this:

  6. Now define an expression for the heat transfer coefficient for Regime 1. Click on the Clear button to clear the contents of the text entry box. Type in the expression for the heat transfer coefficient for Regime 1 as shown below. Items in brackets ({KXX} and {X}) are selected from the drop down list. The terms M0 and M1 are the terms you stored in memory earlier. To place them in the equation, click on the INV button, and then RCL, then M0 and M1 respectively.

  7. Now you will define the equation for Regime 2. Click on the Regime2 tab. First, enter “10” as the upper limit for the regime variable for which this equation is valid. Notice that the lower limit for this regime is already set as the upper limit from Regime 1. This feature ensures continuity between the regimes. Next, type in the expression for the heat transfer coefficient as shown below. You can use the same stored memory locations M0 and M1 to replace expressions for Reynold's number and Prandtl number, respectively. Your dialog box should look like this:

  8. You can now enter comments for this function. To enter comments, choose File> Comments.

  9. Save the function by choosing File> Save. You must save the function. Function are saved with a .func extension.

    After you have saved the function, you can then load it as a table parameter into ANSYS.

  10. Load the function and apply specific values to the equation variables. To do this, choose Utility Menu> Parameters> Functions> Read from File. Select the .func file that you saved in the previous step. The Function Loader dialog box appears.

  11. Provide a table parameter name that you will use when applying the function as a boundary condition. For this example, type “heatcf” (this parameter name must be seven characters or less). You must then provide values for any variables you defined in the function editor. In the case of this example, the only variable is the velocity “veloc.” Click on the Regime 1 tab and enter “1” for the material ID and enter 100 for the velocity. You are asked the number for material ID only if you have used a material property in your expression. Your dialog box should look like this:

    Note

    Only numeric data is supported for the constant values in the Function Loader dialog box. Character data and expressions are not supported as constant values.

  12. Click on the Regime 2 tab and enter “1” for the material ID and enter 50 for the velocity. Notice that the OK button is not active until all required variables have been entered. Once the OK is active, click OK.

  13. You can now finish the analysis. Use the table name you assigned when you apply this function as a boundary condition.

    nsel,s,loc,y,0
d,all,temp,25
nsel,s,loc,y,0.5
sf,all,conv,%heatcf%,100   Apply the function as a boundary condition
finish
/solu
time,1
deltim,.1
outres,all,all
allsel
solve
finish
/post1
set,last
/psf,conv,hcoe,2,0.e+00,1
/replot	!show surface load symbols
finish

2.5.15.4. Graphing or Listing the Boundary Condition Functions

You can graph the function you enter and see a visual representation of the current boundary condition function, or you can list results of the equation. These allow you to verify that your equation is behaving as you expect.

As shown in the figure below, for either graphing or listing, you need to choose a variable to graph the result against, and you must set an x-axis range and the number of points to graph.

2.5.15.4.1. Graphing BC Functions

From the Plot Information dialog box, choose the Graph button after you set up your plot. An example of a plot is shown below.

You can apply any of the standard graph functionality (for example, fill in under curve using the command input window or the Utility Menu> PlotCtrls> Style> Graphs). You can also save an image for later use (Image Capture).

2.5.15.4.2. Listing BC Functions

When you choose the List option from the Plot Information dialog box, ANSYS generates a table displaying the plot point values. The settings you chose in the Plot Information dialog box are used to generate these values. An example of a list is shown below.

You cannot edit this table, but you can copy and past it into a spreadsheet if needed, or you can save the information to a text file which will contain all the equation data and the calculated coordinates.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.4. Stepped Versus Ramped Loads 		Up / Home Next
2.6. How to Specify Load Step Options


2.6. How to Specify Load Step Options

As mentioned earlier, load step options is a collective name for options that control how loads are used during solution and other options such as output controls, damping specifications, and response spectrum data. Load step options can vary from load step to load step. There are six categories of load step options:

  • General Options

  • Dynamics Options

  • Nonlinear Options

  • Output Controls

  • Biot-Savart Options

  • Spectrum Options

2.6.1. General Options

These include such options as time at the end of a load step in transient and static analyses, number of substeps or the time step size, stepping or ramping of loads, and reference temperature for thermal strain calculations. A brief description of each option follows.

2.6.1.1. Solution Controls Dialog Box

If you are performing a static or full transient analysis, you can use the Solution Controls dialog box to set many of the load step options described on the following pages. Where applicable, the menu path to the Solution Controls dialog box is included. For details about using the Solution Controls dialog box, see "Solution".

2.6.1.2. The Time Option

The TIME command specifies time at the end of a load step in transient and static analyses. In transient and other rate-dependent analyses, TIME specifies actual, chronological time, and you are required to specify a time value. In other, rate-independent analyses, time acts as a tracking parameter. You can never set time to zero in an ANSYS analysis. If you issue TIME,0 or TIME,(blank), or if you do not issue the TIME command at all, ANSYS uses the default time value: 1.0 for the first load step, and 1.0 + previous time for other load steps. To start your analysis at "zero" time, such as in a transient analysis, specify a very small value such as TIME,1E-6.

2.6.1.3. Number of Substeps and Time Step Size

For a nonlinear or transient analysis, you need to specify the number of substeps to be taken within a load step. This is done as follows:

Command(s): | DELTIM
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Time & Time Step Main Menu> Solution> Load Step Opts> Sol'n Control ( : Basic Tab) Main Menu> Solution> Load Step Opts> Time/Frequenc> Time & Time Step Main Menu> Solution> Load Step Opts> Time/Frequenc> Time & Time Step
Command(s): | NSUBST
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Freq & Substeps (or Time and Substps) Main Menu> Solution> Load Step Opts> Sol'n Control ( : Basic Tab) Main Menu> Solution> Load Step Opts> Time/Frequenc> Freq & Substeps (or Time and Substps) Main Menu> Solution> Unabridged Menu> Time/Frequenc> Freq & Substeps (or Time and Substps)

NSUBST specifies the number of substeps, and DELTIM specifies the time step size. By default, the ANSYS program uses one substep per load step.

2.6.1.4. Automatic Time Stepping

The AUTOTS command activates automatic time stepping. Its equivalent GUI paths are:

GUI:
Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Time & Time Step (or Time and Substps)
Main Menu> Solution> Load Step Opts> Sol'n Control ( : Basic Tab)
Main Menu> Solution> Load Step Opts> Time/Frequenc> Time & Time Step (or Time and Substps)
Main Menu> Solution> Load Step Opts> Time/Frequenc> Time & Time Step (or Time and Substps)

In automatic time stepping, the program calculates an optimum time step at the end of each substep, based on the response of the structure or component to the applied loads. When used in a nonlinear static (or steady-state) analysis, AUTOTS determine the size of load increments between substeps.

2.6.1.5. Stepping or Ramping Loads

When specifying multiple substeps within a load step, you need to indicate whether the loads are to be ramped or stepped. The KBC command is used for this purpose: KBC,0 indicates ramped loads, and KBC,1 indicates stepped loads. The default depends on the discipline and type of analysis.

Command(s): | KBC
GUI: | Main Menu> Solution> Load Step Opts> Sol'n Control ( : Transient Tab) Main Menu> Solution> Load Step Opts> Time/Frequenc> Freq & Substeps (or Time and Substps or Time & Time Step) Main Menu> Solution> Load Step Opts> Time/Frequenc> Freq & Substeps (or Time and Substps or Time & Time Step)

Some notes about stepped and ramped loads are:

  • If you specify stepped loads, the program handles all loads (constraints, forces, surface loads, body loads, and inertia loads) in the same manner. They are step-applied, step-changed, or step-removed, as the case may be.

  • If you specify ramped loads, then:

    • All loads applied in the first load step, except film coefficients, are ramped (either from zero or from the value specified via BFUNIF or its GUI equivalent, depending on the type of load; see Table 2.13: "Handling of Ramped Loads (KBC = 0) Under Different Conditions"). Film coefficients are step-applied.

    Note

    The concept of stepped versus ramped loading does not apply to temperature-dependent film coefficients (input as -N on a convection command). These are always applied at the value dictated by their temperature function.

    • All loads changed in later load steps are ramped from their previous values. If a film coefficient is specified using the temperature-dependent format (input as -N) for one load step and then changed to a constant value for the next step, the new constant value is step-applied. Note that in a full harmonic analysis (ANTYPE,HARM with HROPT,FULL), surface and body loads ramp as they do in the first load step and not from their previous values, except for SOLID45, SOLID92, and SOLID95, which do ramp from their previous values.

    • For tabular boundary conditions, loads are never ramped but rather evaluated at the current time. If a load is specified using the tabular format for one load step and then changed to a non-tabular for the next, the load is treated as a newly introduced load and ramped from zero or from BFUNIF and not from the previous tabular value.

    • All loads newly introduced in later load steps are ramped (either from zero or from BFUNIF, depending on the type of load; see Table 2.13: "Handling of Ramped Loads (KBC = 0) Under Different Conditions").

    • All loads deleted in later load steps are step-removed, except body loads and inertia loads. Body loads are ramped to BFUNIF. Inertia loads, which you can delete only by setting them to zero, are ramped to zero.

    • Loads should not be deleted and respecified in the same load step. Ramping may not work the way the user intended in this case.

Table 2.13 Handling of Ramped Loads (KBC = 0) Under Different Conditions

Load Type | Applied in Load Step 1 | Introduced in Later Load Steps
DOF Constraints
Temperatures | Ramped from TUNIF[2] | Ramped from TUNIF[3]
Others | Ramped from zero | Ramped from zero
Forces | Ramped from zero | Ramped from zero
Surface Loads
TBULK | Ramped from TUNIF[2] | Ramped from TUNIF
HCOEF | Stepped | Ramped from zero[4]
Others | Ramped from zero | Ramped from zero
Body Loads
Temperatures | Ramped from TUNIF[2] | Ramped from previous TUNIF[3]
Others | Ramped from BFUNIF[5] | Ramped from previous BFUNIF[3]
Inertia Loads[1] | Ramped from zero | Ramped from zero

  1. For OMEGA loads, OMEGA is ramped linearly; the resulting force will vary quadratically over the load step.

  2. The TUNIF command specifies a uniform temperature at all nodes. Since TUNIF (or BFUNIF,TEMP) is step-applied in the first iteration, you should use BF, ALL, TEMP, Value to ramp on a uniform temperature load.

  3. In this case, the TUNIF or BFUNIF value from the previous load step is used, not the current value.

  4. Temperature-dependent film coefficients are always applied at the value dictated by their temperature function, regardless of the KBC setting.

  5. The BFUNIF command is a generic form of TUNIF, meant to specify a uniform body load at all nodes.

2.6.1.6. Other General Options

You can also specify the following general options:

  • The reference temperature for thermal strain calculations, which defaults to zero degrees. Specify this temperature as follows:

    Command(s): TREF
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Other> Reference Temp
    Main Menu> Preprocessor> Loads> Define Loads> Settings> Reference Temp
    Main Menu> Solution> Load Step Opts> Other> Reference Temp
    Main Menu> Solution> Define Loads> Settings> Reference Temp

  • Whether a new triangularized matrix is required for each solution (that is, each equilibrium iteration). You can do this only in a static (steady-state) or transient analysis, using one of these methods:

    Command(s): KUSE
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Other> Reuse Tri Matrix
    Main Menu> Solution> Load Step Opts> Other> Reuse Tri Matrix

    By default, the program decides whether a new matrix is required, based on such things as changes in DOF constraints, temperature-dependent material properties, and the Newton-Raphson option. If KUSE is set to 1, the program reuses the previous triangularized matrix. This setting is useful during a singleframe restart (it cannot be used during a multiframe restart). If you are restarting an analysis for additional load steps and you know that the existing triangularized matrix (in the file Jobname.TRI) can be reused, you can save a significant amount of computer time by setting KUSE to 1. The command KUSE,-1 forces the triangularized matrix to be reformulated at every equilibrium iteration. Analyses rarely require this; you will use it mainly for debugging purposes.

  • A mode number (the number of harmonic waves around the circumference) and whether the harmonic component is symmetric or antisymmetric about the global X axis. When you use axisymmetric harmonic elements (axisymmetric elements with nonaxisymmetric loading), the loads are specified as a series of harmonic components (a Fourier series). To specify the mode number, use one of the following:

    Command(s): MODE
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Other> For Harmonic Ele
    Main Menu> Solution> Load Step Opts> Other> For Harmonic Ele

    See the Elements Reference for a description of harmonic elements.

  • The type of scalar magnetic potential formulation to be used in a 3-D magnetic field analysis, specified via one of the following:

    Command(s): MAGOPT
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Magnetics> potential formulation method
    Main Menu> Solution> Load Step Opts> Magnetics> potential formulation method

  • The type of solution to be expanded in the expansion pass of a reduced analysis, specified via one of the following:

    Command(s): NUMEXP,
    EXPSOL
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> ExpansionPass> Single Expand> Range of Solu's
    Main Menu> Solution> Load Step Opts> ExpansionPass> Single Expand> Range of Solu's
    Main Menu> Preprocessor> Loads> Load Step Opts> ExpansionPass> Single Expand> By Load Step
    Main Menu> Preprocessor> Loads> Load Step Opts> ExpansionPass> Single Expand> By Time/Freq
    Main Menu> Solution> Load Step Opts> ExpansionPass> Single Expand> By Load Step
    Main Menu> Solution> Load Step Opts> ExpansionPass> Single Expand> By Time/Freq

2.6.2. Dynamics Options

These are options used mainly in dynamic and other transient analyses. They include the following:

Table 2.14 Dynamic and Other Transient Analyses Commands

Command GUI Menu Paths Purpose
TIMINT
Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Time Integration
Main Menu> Solution> Load Step Opts> Sol'n Control ( : Basic Tab)
Main Menu> Solution> Load Step Opts> Time/Frequenc> Time Integration
Main Menu> Solution> Unabridged Menu> Time/Frequenc> Time Integration
Activates or deactivates time integration effects
HARFRQ
Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Freq & Substeps
Main Menu> Solution> Load Step Opts> Time/Frequenc> Freq & Substeps
Specifies the frequency range of the loads in a harmonic response analysis
ALPHAD
Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Damping
Main Menu> Solution> Load Step Opts> Sol'n Control ( : Transient Tab)
Main Menu> Solution> Load Step Opts> Time/Frequenc> Damping
Main Menu> Solution> Unabridged Menu> Time/Frequenc> Damping
Specifies damping for a structural dynamic analysis
BETAD
Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Damping
Main Menu> Solution> Load Step Opts> Sol'n Control ( : Transient Tab)
Main Menu> Solution> Load Step Opts> Time/Frequenc> Damping
Main Menu> Solution> Unabridged Menu> Time/Frequenc> Damping
Specifies damping for a structural dynamic analysis
DMPRAT
Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Damping
Main Menu> Solution> Time/Frequenc> Damping
Specifies damping for a structural dynamic analysis
MDAMP
Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Damping
Main Menu> Solution> Load Step Opts> Time/Frequenc> Damping
Specifies damping for a structural dynamic analysis
TRNOPT
Main Menu> Preprocessor> Loads> Analysis Type> Analysis Options
Main Menu> Preprocessor> Loads> Analysis Type> New Analysis
Main Menu> Solution> Analysis Type> Analysis Options
Main Menu> Solution> Analysis Type> New Analysis
Specifies transient analysis options

2.6.3. Nonlinear Options

These are options used mainly in nonlinear analyses. They include the following:

Table 2.15 Nonlinear Analyses Commands

Command GUI Menu Paths Purpose
NEQIT
Main Menu> Preprocessor> Loads> Load Step Opts> Nonlinear> Equilibrium Iter
Main Menu> Solution> Load Step Opts> Sol'n Control ( : Nonlinear Tab)
Main Menu> Solution> Load Step Opts> Nonlinear> Equilibrium Iter
Main Menu> Solution> Unabridged Menu> Nonlinear> Equilibrium Iter
Specifies the maximum number of equilibrium iterations per substep (default = 25)
CNVTOL
Main Menu> Preprocessor> Loads> Load Step Opts> Nonlinear> Convergence Crit
Main Menu> Solution> Load Step Opts> Sol'n Control ( : Nonlinear Tab)
Main Menu> Solution> Load Step Opts> Nonlinear> Convergence Crit
Main Menu> Solution> Unabridged Menu> Nonlinear> Convergence Crit
Specifies convergence tolerances
NCNV
Main Menu> Preprocessor> Loads> Load Step Opts> Nonlinear> Criteria to Stop
Main Menu> Solution> Sol'n Control ( : Advanced NL Tab)
Main Menu> Solution> Load Step Opts> Nonlinear> Criteria to Stop
Main Menu> Solution> Unabridged Menu> Nonlinear> Criteria to Stop
Provides options for terminating analyses

2.6.4. Output Controls

Output controls, as their name indicates, control the amount and nature of output from an analysis. There are two primary output controls:

Table 2.16 Output Controls Commands

Command GUI Menu Paths Purpose
OUTRES
Main Menu> Preprocessor> Loads> Load Step Opts> Output Ctrls> DB/Results File
Main Menu> Solution> Load Step Opts> Sol'n Control ( : Basic Tab)
Main Menu> Solution> Load Step Opts> Output Ctrls> DB/Results File
Main Menu> Solution> Load Step Opts> Output Ctrls> DB/Results File
Controls what ANSYS writes to the database and results file and how often it is written.
OUTPR
Main Menu> Preprocessor> Loads> Load Step Opts> Output Ctrls> Solu Printout
Main Menu> Solution> Load Step Opts> Output Ctrls> Solu Printout
Main Menu> Solution> Load Step Opts> Output Ctrls> Solu Printout
Controls what is printed (written to the solution output file, Jobname.OUT) and how often it is written.

The example below illustrates using OUTRES and OUTPR:

OUTRES,ALL,5    ! Writes all data every 5th substep
OUTPR,NSOL,LAST  ! Prints nodal solution for last substep only

You can issue a series of OUTPR and OUTRES commands (up to 50 of them combined) to meticulously control the solution output, but be aware that the order in which they are issued is important. For example, the commands shown below will write all data to the database and results file every 10th substep and nodal solution data every fifth substep.

OUTRES,ALL,10
OUTRES,NSOL,5

However, if you reverse the order of the commands (as shown below), the second command essentially overrides the first, resulting in all data being written every 10th substep and nothing every 5th substep.

OUTRES,NSOL,5
OUTRES,ALL,10

As another example,

OUTRES,NSOL,10
OUTRES,NSOL,ALL,TIP

writes the solution at all DOFs every 10th substep and the solution at the node component "TIP" every substep. Again, if you reverse these you will only obtain output at all DOF every 10th substep.

Note

The program default for writing out solution data for all elements depends on analysis type; see the description of OUTRES in the Commands Reference. To restrict the solution data that is written out, use OUTRES to selectively suppress (FREQ = NONE) the writing of solution data, or first suppress the writing of all solution data (OUTRES,ALL,NONE) and then selectively turn on the writing of solution data with subsequent OUTRES commands.

A third output control command, ERESX, allows you to review element integration point values in the postprocessor.

Command(s): | ERESX
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Output Ctrls> Integration Pt Main Menu> Solution> Load Step Opts> Output Ctrls> Integration Pt Main Menu> Solution> Load Step Opts> Output Ctrls> Integration Pt

By default, the ANSYS program extrapolates nodal results that you review in the postprocessor from integration point values for all elements except those with active material nonlinearities (for instance, nonzero plastic strains). By issuing ERESX,NO, you can turn off the extrapolation and instead copy integration point values to the nodes, making those values available in the postprocessor. Another option, ERESX,YES, forces extrapolation for all elements, whether or not they have active material nonlinearities.

2.6.5. Biot-Savart Options

These are options used in a magnetic field analysis. The two commands in this category are as follows:

Table 2.17 Biot-Savart Commands

Command GUI Menu Paths Purpose
BIOT
Main Menu> Preprocessor> Loads> Load Step Opts> Magnetics> Options Only> Biot-Savart
Main Menu> Solution> Load Step Opts> Magnetics> Options Only> Biot-Savart
Calculates the magnetic source field intensity due to a selected set of current sources.
EMSYM
Main Menu> Preprocessor> Loads> Load Step Opts> Magnetics> Options Only> Copy Sources
Main Menu> Solution> Load Step Opts> Magnetics> Options Only> Copy Sources
Duplicates current sources that exhibit circular symmetry.

The Low-Frequency Electromagnetic Analysis Guide explains the use of these commands where appropriate.

2.6.6. Spectrum Options

There are many commands in this category, all meant to specify response spectrum data and power spectral density (PSD) data. You use these commands in spectrum analyses, as described in the Structural Analysis Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.5. How to Apply Loads 		Up / Home Next
2.7. Creating Multiple Load Step Files


2.7. Creating Multiple Load Step Files

All loads and load step options put together form a load step, for which the program can calculate the solution. If you have multiple load steps, you can store the data for each load step on a file, called the load step file, and read it in later for solution.

The LSWRITE command writes the load step file (one file per load step, identified as Jobname.S01, Jobname.S02, Jobname.S03, etc.). Use one of these methods:

Command(s): | LSWRITE
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Write LS File Main Menu> Solution> Load Step Opts> Write LS File

If you are using the Solution Controls dialog box to set your analysis and load step options, you define each load step using the Basic tab. (You can use the Solution Controls dialog box for static and full transient analyses only. For details, see "Solution".)

After all load step files are written, you can use one action command to read in the files sequentially and obtain the solution for each load step (see "Solution").

The sample set of commands shown below defines multiple load steps:

/SOLU               ! Enter SOLUTION
0
!  Load Step 1:
D, ...       ! Loads
SF, ...
 ...
NSUBST, ...        ! Load step options
KBC, ...
OUTRES, ...
OUTPR, ...
 ...
LSWRITE         ! Writes load step file: Jobname.S01
!  Load Step 2:
D, ...        ! Loads
SF, ...
 ...
NSUBST, ...        ! Load step options
KBC, ...
OUTRES, ...
OUTPR, ...
 ...
LSWRITE          ! Writes load step file: Jobname.S02
0

See the Commands Reference for descriptions of the NSUBST, KBC, OUTRES, OUTPR, and LSWRITE commands.

Some notes about the load step file:

  • The load step data are written to the file in terms of ANSYS commands.

  • The LSWRITE command does not capture changes to real constants (R), material properties (MP), couplings (CP), or constraint equations (CE).

  • The LSWRITE command automatically transfers solid-model loads to the finite element model, so all loads are written in the form of finite-element load commands. In particular, surface loads are always written in terms of SFE (or SFBEAM) commands, regardless of how they were applied.

  • To modify data on load step file number n, issue the command LSREAD,n to read in the file, make the desired changes, and then issue LSWRITE,n (which will overwrite the old file n). You can also directly edit the load step file using your system editor, but this is generally not recommended. The GUI equivalents of the LSREAD command are:

    Command(s): LSREAD
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Read LS File
    Main Menu> Solution> Load Step Opts> Read LS File

  • The LSDELE command allows you to delete load step files from within the ANSYS program. The GUI equivalents of LSDELE are:

    Command(s): LSDELE
    GUI: Main Menu> Preprocessor> Loads> Define Loads> Operate> Delete LS Files
    Main Menu> Solution> Define Loads> Operate> Delete LS Files

  • Another useful load step related command is LSCLEAR, which allows you to delete all loads and reset all load step options to their defaults. You can use it, for example, to "clean up" the load step data before reading in a load step file for modifications.

GUI equivalents for LSCLEAR are:

Command(s): | LSCLEAR
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Delete> All Load Data> data type Main Menu> Preprocessor> Loads> Reset Options Main Menu> Preprocessor> Loads> Define Loads> Settings> Replace vs Add Main Menu> Solution> Reset Options Main Menu> Solution> Define Loads> Settings> Replace vs Add> Reset Factors

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.6. How to Specify Load Step Options 		Up / Home Next
2.8. Defining Pretension in a Joint Fastener


2.8. Defining Pretension in a Joint Fastener

Preloads in bolts and other structural components often have significant effect on deflections and stresses. Two ANSYS features, the PRETS179 pretension element and the PSMESH pretension meshing command, can be used for this type of analysis. If the fastener has been meshed in two separate pieces, the pretension elements can be inserted between the pieces using the EINTF command.

The pretension load is used to model a pre-assembly load in a joint fastener. The fastener can be made up of any 2-D or 3-D structural, low- or high-order solid, beam, shell, pipe, or link elements. When using the PSMESH command, the pretension section, across which the pretension load is applied, must be defined inside the fastener (shown in Figure 2.20: "Pretension Definition" for a bolted joint).

2.8.1. Applying Pretension to a Fastener Meshed as a Single Piece

The easiest way to apply pretension elements to a fastener is via the PSMESH command. You can use the command only if the fastener is not meshed in separate pieces. The command defines the pretension section and generates the pretension elements. It automatically cuts the meshed fastener into two parts and inserts the pretension elements. If you decide that you want to remove the pretension elements, they can do so automatically by deleting the pretension section (Main Menu> Preprocessor> Sections> Delete Section). This feature also allows you to “undo” the cutting operation by merging nodes.

Figure 2.20 Pretension Definition

The normal direction is specified via the PSMESH command and is part of the section data. This is in contrast to the previous method (the PTSMESH command), which used real constants to specify the normal direction.

The meshed pretension section does not need to be flat. The elements underlying the pretension section can have almost any shape: line, triangle, quadrilateral, tetrahedron, wedge, or hexahedron. However, there must be coincident nodes on the two sides (A and B) of the pretension section. Sides A and B on the pretension section are connected by one or more pretension elements, one for each coincident node pair.

A pretension node (K) is used to control and monitor the total tension loads. The pretension load direction of the pretension section can be specified relative to side A when the section is created by the PSMESH command. All pretension elements on a specific pretension section must use the same section, and must have the same pretension node K. Node K is the third position for the pretension element definition.

2.8.2. Applying Pretension to a Fastener Meshed as Two Pieces

If the fastener has been meshed in two separate pieces (such as in an existing, legacy model), the pretension elements (PRETS179) can be inserted between the pieces using EINTF,TOLER,K (Main Menu> Preprocessor> Create> elements> pretension> At Coincident Nodes ...). If K is not defined, ANSYS will create it automatically. Before using the EINTF command, the element type ID and section properties must be defined properly. The connecting surfaces (A and B) must have matching mesh patterns with coincident nodes. If some node pairs between the two surfaces are not connected with pretension elements, the resulting analysis can be inaccurate.

2.8.3. Example Pretension Analysis

The following example describes the typical procedure used to perform a pretension analysis using the PSMESH command.

  1. Mesh the bolt joint, then cut the mesh and insert the pretension elements to form the pretension section. For example, the following creates a pretension section called “example” by cutting the mesh and inserting the section into volume 1. Note that a component is created as well (npts) that aids in plotting or selecting the pretension elements.

    psmesh,,example,,volu,1,0,z,0.5,,,,npts

  2. In the first load step, apply a force or displacement to node K. In this case, the load is applied as a force. The force “locks” on the second load step, allowing you to add additional loads. The effect of the initial load is preserved as a displacement after it is locked. This is shown in the following example.

    sload,1,PL01,tiny,forc,100,1,2

  3. Apply other external loads as required using the SLOAD command.

The following example will help you to understand how the pretension procedure works.

Figure 2.21 Initial Meshed Structure

The model represents a 180° slice of two annular plates and a single bolt assembled with an offset. The bolt is carbon steel, and the plates are aluminum. (See Figure 2.21: "Initial Meshed Structure".)

Figure 2.22 Pretension Section

We use the PSMESH operation to separate the elements of the bolt into two unconnected groups, tied together with PRETS179 pretension elements. We then plot the element and node components on the pretension interface. (See Figure 2.22: "Pretension Section".)

Figure 2.23 Pretension Stress

We apply constraints for symmetry and to prevent rigid body motion. Note that the uniform temperature defaults to the reference temperature of 70°F. We apply half the load (this is a half model) to the pretension node created by PSMESH, solve, and plot the normal stress in the axial direction. As we should expect, the axial stress is tensile in the bolt, and compressive in the portion of the plates compressed by the bolt heads. (See Figure 2.23: "Pretension Stress".)

/prep7
/title, Sample application of PSMESH

et,1,92
mp,ex,1,1e7
mp,alpx,1,1.3e-5
mp,prxy,1,0.30
mp,ex,2,3e7
mp,alpx,2,8.4e-6
mp,prxy,2,0.30
tref,70

/foc,,-.09,.34,.42
/dist,,.99
/ang,,-55.8
/view,,.39,-.87,.31
/pnum,volu,1
/num,1
cylind,0.5,,  -0.25,0,  0,180
cylind,0.5,,  1,1.25,   0,180
cylind,0.25,, 0,1,      0,180
wpoff,.05
cylind,0.35,1, 0,0.75, 0,180
wpoff,-.1
cylind,0.35,1, 0.75,1, 0,180
wpstyle,,,,,,,,0
vglue,all
numc,all
vplot
mat,1
smrt,off
vmesh,4,5
mat,2
vmesh,1,3
/pnum,mat,1
eplot
psmesh,,example,,volu,1,0,z,0.5,,,,elems
CM,lines,LINE
/dist,,1.1
cmplot
/solu
eqslve,pcg,1e-8
asel,s,loc,y
da,all,symm
asel,all
dk,1,ux
dk,12,ux
dk,1,uz
sload,1,PL01,tiny,forc,100,1,2
/title,Sample application of PSMESH - preload only
solve
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!Finally, we construct the actual solution of interest. We want to
!know what happens to the preload in the bolt, and the stress field around
!it, when the assembly temperature rises to 150° F.
!Both the preload and the stresses increase because, for a uniform
!temperature rise, there is greater thermal expansion in the aluminum plates
!than in the steel bolt. Any method for applying preload that did not
!allow the load to change would be unable to predict this result.
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
/post1
plnsol,s,z
/solu
antype,,restart
tunif,150
/title,Sample application of PSMESH - uniform 150°
solve

/post1
plnsol,s,z

2.8.4. Example Pretension Analysis (GUI Method)

This section presents a sample pretension analysis using the ANSYS GUI.

2.8.4.1. Set the Analysis Title

  1. Choose Utility Menu> File> Change Title

  2. Enter the text, “Sample Application of PSMESH” and click OK.

2.8.4.2. Define the Element Type

Define SOLID92 as the element type.

  1. Select Main Menu> Preprocessor> Element Type> Add/Edit/Delete. The Element Types dialog box appears.

  2. Click Add. The Library of Elements dialog box appears.

  3. In the scroll box on the left, select Structural, Solid.

  4. Select Tet 10 node 92 in the scroll box on the right and click OK.

  5. Click Close in the Element Types dialog box.

2.8.4.3. Define Material Properties

  1. Select Main Menu> Preprocessor> Material Props> Material Models. The Define Material Model Behavior dialog box appears.

  2. In the Material Models Available window, double click on Structural, Linear, Elastic, and Isotropic. A dialog box appears.

  3. Enter 1E7 for EX, 0.3 for PRXY and click OK. Linear Isotropic appears under Material Model Number 1 in the Material Models Defined window.

  4. Under Structural in the Material Models Available window, double click on Thermal Expansion, Secant Coefficient, Isotropic. A dialog box appears.

  5. Enter 1.3E-5 for ALPX and click OK. Thermal Expansion (secant-iso) appears under Material Model Number 1 in the Material Models Defined window.

  6. Choose Material> New Model, then enter 2 for the new material ID and click OK. Material Model 2 appears in the Material Models Defined window on the left.

  7. Double click on Isotropic under Structural, Linear, Elastic in the Material Models Available window. A dialog box appears.

  8. Enter 3E7 for EX, 0.3 for PRXY and click OK. Linear Isotropic appears under Material Model Number 2 in the Material Models Defined window.

  9. Double click on Isotropic under Structural, Thermal Expansion, Secant Coef in the Material Models Available Window. A dialog box appears.

  10. Enter 8.4E-6 for ALPX and click OK. Thermal Expansion (secant-iso) appears under Material Model Number 2 in the Material Models Defined window.

  11. Choose Material> Exit to close the Define Material Behavior dialog box.

  12. Select Main Menu> Preprocessor> Loads> Define Loads> Settings> Reference Temp.

  13. Enter 70 as the reference temperature and click OK.

2.8.4.4. Set Viewing Options

  1. Select Utility Menu> PlotCtrls> View Settings> Focus Point. The Focus Point dialog box appears.

  2. Choose User Specified.

  3. Enter -.09, .34, and .42 as the User specified locate and click OK.

  4. Select Utility Menu> PlotCtrls> View Settings> Magnification. The Magnification dialog box appears

  5. Choose User Specified.

  6. Enter .99 as the User specified distance and click OK.

  7. Select Utility Menu> PlotCtrls> View Settings> Angle of Rotation. The Angle of Rotation dialog box appears.

  8. Enter -55.8 as the Angle in degrees value and click OK.

  9. Select Utility Menu> PlotCtrls> View Settings> Viewing Direction. The Viewing Direction dialog box appears.

  10. Enter .39, -.87, and .31 as the XV, YV, and ZV values, respectively and click OK.

  11. Select Utility Menu> PlotCtrls> Numbering. Turn on Volume numbers.

  12. Choose Numbering shown with Colors only and click OK.

2.8.4.5. Create Geometry

  1. Select Main Menu> Preprocessor> Modeling> Create> Volumes> Cylinder> By Dimensions. The Create Cylinder by Dimensions dialog box appears.

  2. Enter the following values:

    Outer radius (RAD1): 0.5
    Z-coordinates (Z1, Z2): -0.25, 0
    Ending angle (THETA2): 180

  3. Click Apply to create the cylinder and keep the Create Cylinder by Dimensions dialog box open.

  4. Enter the following values:

    Outer radius (RAD1): 0.5
    Z-coordinates (Z1, Z2): 1, 1.25
    Ending angle (THETA2): 180

  5. Click Apply to create the cylinder and keep the Create Cylinder by Dimensions dialog box open.

  6. Enter the following values:

    Outer radius (RAD1): 0.25
    Z-coordinates (Z1, Z2): 0, 1
    Ending angle (THETA2): 180

  7. Click OK to create the cylinder and close the Create Cylinder by Dimensions dialog box.

  8. Select Utility Menu> WorkPlane> Offset WP by increments

  9. Enter 0.05 in X, Y, Z Offset, press enter, and click OK. This offsets the working plane 0.05 units in the working plane x-direction.

  10. Select Main Menu> Preprocessor> Modeling> Create> Volumes> Cylinder> By Dimensions. The Create Cylinder by Dimensions dialog box appears.

  11. Enter the following values:

    Outer radius (RAD1): 1
    Optional inner radius (RAD2): 0.35
    Z-coordinates (Z1, Z2): 0, 0.75
    Ending angle (THETA2): 180

  12. Click OK to create the cylinder and close the Create Cylinder by Dimensions dialog box.

  13. Select Utility Menu> WorkPlane> Offset WP by increments.

  14. Enter -0.10 in X, Y, Z Offset, press enter, and click OK. This offsets the working plane -0.10 units in the working plane x-direction.

  15. Select Main Menu> Preprocessor> Modeling> Create> Volumes> Cylinder> By Dimensions. The Create Cylinder by Dimensions dialog box appears.

  16. Enter the following values:

    Outer radius (RAD1): 1
    Optional inner radius (RAD2): 0.35
    Z-coordinates (Z1, Z2): 0.75, 1
    Ending angle (THETA2): 180

  17. Click OK to create the cylinder and close the Create Cylinder by Dimensions dialog box.

  18. Select Utility Menu> WorkPlane> Display Working Plane (toggle off).

  19. Select Main Menu> Preprocessor> Modeling> Operate> Booleans> Glue> Volumes.

  20. Pick all (in the picker).

  21. Select Main Menu> Preprocessor> Numbering Ctrls> Compress Numbers.

  22. Select All for Item to be compressed and click OK.

  23. Select Utility Menu> Plot> Volumes.

2.8.4.6. Mesh Geometry

  1. Select Main Menu> Preprocessor> Meshing> Meshtool.

  2. Under Element Attributes, choose Global and click Set.

  3. Set the Material number to 1 and click OK.

  4. Be sure smart sizing is off and click Mesh.

  5. Pick volumes 4 and 5 (the two annular plates) and click OK in the picking menu.

  6. Select Utility Menu> Plot> Volumes.

  7. In the MeshTool dialog box, choose Global and click Set under Element Attributes.

  8. Set the Material number to 2 and click OK.

  9. Click Mesh.

  10. Pick volumes 1, 2, and 3 and click OK in the picking menu.

  11. Close the MeshTool dialog box.

  12. Select Utility Menu> PlotCtrls> Numbering.

  13. Choose Material numbers for Elem/Attrib numbering and clickOK.

  14. Select Utility Menu> Plot> Elements.

  15. Select Main Menu> Preprocessor> Sections> Pretension> Pretensn Mesh> With Options> Divide at Valu> Elements in Volu.

  16. Pick volume 1 and click OK in the picker.

  17. Enter the following information in the dialog box and click OK:

    NAME: Example
    KCN: Global Cartesian
    KDIR: Z-axis
    VALUE: 0.5
    ECOMP: elems

  18. Select Utility Menu> Select> Comp/Assembly> Create Component.

  19. Enter Line for the Component name (Cname).

  20. Choose Lines for the Entity and click OK.

  21. Select Utility Menu> PlotCtrls> View Settings> Magnification.

  22. Choose User Specified.

  23. Enter 1.1 for the User specified distance and click OK.

  24. Select Utility Menu> Plot> Components> Selected Components.

2.8.4.7. Solution: Apply Pretension

  1. Select Main Menu> Solution> Analysis Type> Sol'n Controls.

  2. Click on the Sol'n Options tab.

  3. Choose Precondition CG under Equation Solvers and click OK.

  4. Select Utility Menu> Select> Entities.

  5. Choose Areas, By Location, and Y-coordinates and click OK.

  6. Select Main Menu> Solution> Define Loads> Apply> Structural> Displacement> Symmetry B.C.> On Areas.

  7. Click Pick All.

  8. Select Utility Menu> Select> Entities.

  9. Make sure Areas are still selected and click Sele All.

  10. Click OK.

  11. Select Main Menu> Solution> Define Loads> Apply> Structural> Displacement> On Keypoints.

  12. Pick the middle keypoint on the bottom of the bolt (KeyP No. = 1) and click OK in the picker.

  13. Choose UX and UZ for DOFs to be constrained (Lab2) and click Apply to accept your choices and return to the picker.

  14. Pick the middle keypoint on the top of the bolt (KeyP No. = 12) and click OK in the picker.

  15. Choose UX for DOFs to be constrained (Lab2) and click OK.

  16. Select Main Menu> Solution> Define Loads> Apply> Structural> Pretensn Sectn.

  17. Choose 1 Example under Pretension Sections.

  18. Enter 100 for Force (under Pretension Load) and click OK.

  19. Select Utility Menu> File> Change Title.

  20. Change the title to “Sample Application of PSMESH - Preload Only” and click OK.

  21. Select Main Menu> Solution> Solve> Current LS.

  22. Review the information in the /STATUS Command window and click OK to begin the solution.

  23. Click Close when the Solution is Done message appears.

2.8.4.8. Postprocessing: Pretension Results

  1. Select Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu. The Contour Nodal Solution Data dialog box appears.

  2. Select Stress from the scroll box on the left and Z-direction (SZ) from the scroll box on the right and click OK.

2.8.4.9. Solution: Apply Thermal Gradient

  1. Select Main Menu> Solution> Analysis Type> Restart. Close any warning messages that appear.

  2. Select Main Menu> Solution> Define Loads> Settings> Uniform Temp.

  3. Enter 150 for the uniform temperature and click OK.

  4. Select Utility Menu> File> Change Title.

  5. Change the title to “Sample Application of PSMESH - Uniform 150 deg” and click OK.

  6. Select Main Menu> Solution> Solve> Current LS.

2.8.4.10. Postprocessing: Pretension and Thermal Results

  1. Select Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu. The Contour Nodal Solution Data dialog box appears.

  2. Select Stress from the scroll box on the left and Z-direction (SZ) from the scroll box on the right and click OK.

2.8.4.11. Exit ANSYS

  1. Choose QUIT from the ANSYS Toolbar.

  2. Choose Quit - No Save!

  3. Click on OK.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.7. Creating Multiple Load Step Files 		Up / Home Next
Chapter 3. Solution


Chapter 3. Solution

In the solution phase of an analysis, the computer takes over and solves the simultaneous set of equations that the finite element method generates. The results of the solution are:

  • Nodal degree of freedom values, which form the primary solution

  • Derived values, which form the element solution.

The element solution is usually calculated at the elements' integration points. The ANSYS program writes the results to the database as well as to the results file (.RST, .RTH, .RMG, or .RFL files).

The following solution topics are available:

  • Selecting a Solver
  • Types of Solvers
  • Solver Memory and Performance
  • Using Special Solution Controls for Certain Types of Structural Analyses
  • Using the PGR File to Store Data for Postprocessing
  • Obtaining the Solution
  • Solving Multiple Load Steps
  • Terminating a Running Job
  • Restarting an Analysis
  • Exercising Partial Solution Steps
  • Singularities
  • Stopping Solution After Matrix Assembly

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.8. Defining Pretension in a Joint Fastener 		Up / Home Next
3.1. Selecting a Solver


3.1. Selecting a Solver

Several methods of solving the system of simultaneous equations are available in the ANSYS program: sparse direct solution, Preconditioned Conjugate Gradient (PCG) solution, Jacobi Conjugate Gradient (JCG) solution, Incomplete Cholesky Conjugate Gradient (ICCG) solution, Quasi-Minimal Residual (QMR) solution, frontal direct solution, and an automatic iterative solver option (ITER). In addition to these solvers, the ANSYS Mechanical HPC add-on product includes the Algebraic Multigrid (AMG) solver as well as distributed versions of the PCG, JCG, and Sparse solvers for use in Distributed ANSYS. See the EQSLV command description for details on each solver, defaults, etc.

You can select a solver using one of the following:

Command(s): | EQSLV
GUI: | Main Menu> Preprocessor> Loads> Analysis Type> Analysis Options Main Menu> Solution> Load Step Options> Sol'n Control ( : Sol'n Options Tab) Main Menu> Solution> Analysis Options Main Menu> Solution> Unabridged Menu> Analysis Options

Note

The AMG and distributed solvers are part of ANSYS Mechanical HPC, a separately-licensed product. For detailed information about multiprocessor solvers, see "Using Shared-Memory ANSYS" in the Advanced Analysis Techniques Guide.

The following table provides general guidelines you may find useful in selecting which solver to use for a given problem. MDOF indicates million degrees of freedom.

Table 3.1 Solver Selection Guidelines

Solver | Typical Applications | Ideal Model Size | Memory Use | Disk (I/O) Use
Sparse Direct Solver (direct elimination, shared-memory parallel solver) | When robustness and solution speed are required (nonlinear analysis); for linear analysis where iterative solvers are slow to converge (especially for ill-conditioned matrices, such as poorly shaped elements). | 10,000 to 500,000 DOFs (works well outside this range). | 1 GB/MDOF (optimal out-of-core); 10 GB/MDOF (in-core) | 10 GB/MDOF
PCG Solver (iterative solver) | Reduces disk I/O requirement relative to sparse solver. Best for large models with solid elements and fine meshes. Most robust iterative solver in ANSYS | 50,000 to 10,000,000+ DOFs | 0.3 GB/MDOF w/MSAVE,ON; 1 GB/MDOF without MSAVE | 0.5 GB/MDOF
JCG Solver (iterative solver) | Best for single field problems - (thermal, magnetics, acoustics, and multiphysics). Uses a fast but simple preconditioner with minimal memory requirement. Not as robust as PCG solver. | 50,000 to 10,000,000+ DOFs | 0.5 GB/MDOF | 0.5 GB/MDOF
ICCG Solver (iterative solver) | More sophisticated preconditioner than JCG. Best for more difficult problems where JCG fails. | 50,000 to 1,000,000+ DOFs | 1.5 GB/MDOF | 0.5 GB/MDOF
QMR Solver (iterative solver) | High-frequency electromagnetics. | 50,000 to 1,000,000+ DOFs | 1.5 GB/MDOF | 0.5 GB/MDOF
Frontal Solver (direct elimination solver) | Direct solver predecessor to the direct sparse solver. Uses less memory than sparse solver, always runs out-of-core and is too slow for all but smaller problems (under 50k DOFs). Very robust solver, good for small model nonlinear analyses. | Under 50,000 DOFs | Less than 0.5 GB/MDOF | 10 GB/MDOF
DPCG Solver (distributed solver) | Same as PCG but runs on distributed parallel systems (HPC license required) | 50,000 to 100,000,000+ DOFs | 1.5-2.0 GB/MDOF in total* | 0.5 GB/MDOF
DJCG Solver (distributed solver) | Same as JCG but runs on distributed parallel systems (HPC license required). Not as robust as DPCG or PCG solver. | 50,000 to 10,000,000+ DOFs | 0.5 GB/MDOF | 0.5 GB/MDOF
AMG Solver (iterative solver) | Good shared memory parallel performance. Good preconditioner for ill-conditioned problems where PCG is slow. Requires HPC license but is not a distributed parallel solver. | 50,000 to 1,000,000+ DOFs | 1.5-3.0 GB/MDOF in total* | 0.5 GB/MDOF
DSPARSE Solver (distributed sparse) | Same as sparse solver but runs on distributed parallel systems (requires a HPC license). Scalable up to 16 processors. | 10,000 to 500,000 DOFs. Works well outside this range. | 1.5 GB/MDOF on master machine, 1.0 GB/MDOF on slave machines. Uses more total memory than the sparse solver. | 10 GB/MDOF

* In total means the sum of all processors.

Note

The distributed and AMG solvers are part of ANSYS Mechanical HPC, which is a separately-licensed product. For detailed information on the AMG solver, see "Using Shared-Memory ANSYS" in the Advanced Analysis Techniques Guide. For information on the distributed solvers, see the Distributed ANSYS Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 3. Solution 		Up / Home Next
3.2. Types of Solvers


3.2. Types of Solvers

3.2.1. The Sparse Direct Solver

The sparse direct solver (including the Block Lanczos method for modal analyses) is based on a direct elimination of equations, as opposed to iterative solvers, where the solution is obtained through an iterative process that successively refines an initial guess to a solution that is within an acceptable tolerance of the exact solution. Direct elimination requires the factorization of an initial very sparse linear system of equations into a lower triangular matrix followed by forward and backward substitution using these triangular systems. The lower triangular matrix factors are typically much larger than the initial assembled sparse matrix, hence the large disk or in-core memory requirements for direct methods.

Sparse direct solvers seek to minimize the cost of factorizing the matrix as well as the size of the factor using sophisticated equation reordering strategies. Iterative solvers do not require a matrix factorization and typically iterate towards the solution using a series of very sparse matrix-vector multiplications along with a preconditioning step, both of which require less memory and time per iteration than direct factorization. However, convergence of iterative methods is not guaranteed and the number of iterations required to reach an acceptable solution may be so large that direct methods are faster in some cases.

Because the sparse direct solver is based on direct elimination, poorly conditioned matrices do not pose any difficulty in producing a solution. Direct factorization methods will always give an answer if the equation system is not singular. When the system is close to singular, the solver can usually give a solution (although you will need to verify the accuracy).

The ANSYS sparse solver can run completely in memory if sufficient memory is available. Although the sparse solver can run efficiently in optimal out-of-core mode (default), requiring about the same memory usage as the PCG solver (1 GB per million DOFs), it will require a large disk file to store the factorized matrix, usually 10 GB per million DOFs. The amount of I/O required for a typical static analysis is three times the size of the matrix factorization. Running the factorization in-core (completely in memory) for modal runs can save significant amounts of wall (elapsed) time because modal analyses require repeated factorization and forward/backward substitution. For nonlinear or transient runs with repeated factor/solve steps, running in-core can save hours of elapsed time.

Use the BCSOPTION command to set the memory usage for optimal out-of-core (default), in-core, or minimum out-of-core operation, depending on the availability of memory on the system. Usually, you can just increase the total job memory to increase available memory to the sparse solver (using the -m command option). The ANSYS sparse solver uses sophisticated memory usage heuristics to balance available memory with the specific memory requirements of the sparse solver for each job. Many jobs will automatically run in-core, but larger jobs will most often run in optimal out-of-core mode unless you increase the default memory settings. In some cases, you may want to explicitly set the sparse solver memory mode or size using the BCSOPTION command.

If the available memory on your system is less than that required for in-core, the sparse solver will automatically be run in optimal out-of-core mode. If the available memory is less than that required for optimal out-of-core, the sparse solver will be run in minimum out-of-core mode, which could be two to four times slower than optimal out-of-core mode. It is rare for the sparse solver to run in minimum out-of-core mode; you can usually tune the sparse solver memory to avoid this mode by using the BCSOPTION command, or by just increasing the initial ANSYS memory setting (using the -m command option).

3.2.2. The Preconditioned Conjugate Gradient (PCG) Solver

The PCG solver starts with element matrix formulation. Instead of factoring the global matrix, the PCG solver assembles the full global stiffness matrix and calculates the DOF solution by iterating to convergence (starting with an initial guess solution for all DOFs). The PCG solver uses a proprietary preconditioner that is material property and element-dependent.

  • The PCG solver is usually about 4 to 10 times faster than the JCG solver for structural solid elements and about 10 times faster then JCG for shell elements. Savings increase with the problem size.

  • The PCG solver usually requires approximately twice as much memory as the JCG solver because it retains two matrices in memory:

    • The preconditioner, which is almost the same size as the stiffness matrix

    • The symmetric, nonzero part of the stiffness matrix

You can use the /RUNST command (Main Menu> Run-Time Stats), to determine the memory needed, or use Table 3.1: "Solver Selection Guidelines" as a general memory guideline.

This solver is available only for static or steady-state analyses and transient analyses, or for PCG Lanczos modal analyses. The PCG solver performs well on most static analyses and certain nonlinear analyses. It is valid for elements with symmetric, sparse, definite or indefinite matrices. Contact analyses that use penalty-based or penalty and augmented Lagrangian-based methods work well with the PCG solver as long as contact does not generate rigid body motions throughout the nonlinear iterations. However, Lagrange-formulation contact methods and incompressible u-P formulations cannot be used by the PCG solver and require the sparse solver.

Because they take fewer iterations to converge, well-conditioned models perform better than ill-conditioned models when using the PCG solver. Ill-conditioning often occurs in models containing elongated elements (i.e., elements with high aspect ratios) or contact elements. To determine if your model is ill-conditioned, view the Jobname.PCS file to see the number of PCG iterations needed to reach a converged solution. Generally, static or full transient solutions that require more than 1500 PCG iterations are considered to be ill-conditioned for the PCG solver. When the model is very ill-conditioned (e.g., over 3000 iterations are needed for convergence) a direct solver may be the best choice unless you need to use an iterative solver due to memory or disk space limitations.

For ill-conditioned models, the PCGOPT command can sometimes reduce solution times. You can adjust the level of difficulty (PCGOPT,Lev_Diff) depending on the amount of ill-conditioning in the model. By default, ANSYS automatically adjusts the level of difficulty for the PCG solver based on the model. However, sometimes forcing a higher level of difficulty value for ill-conditioned models can reduce the overall solution time.

The PCG solver primarily solves for displacements/rotations (in structural analysis), temperatures (in thermal analysis), etc. The accuracy of other derived variables (such as strains, stresses, flux, etc.) is dependent upon accurate prediction of primary variables. Therefore, ANSYS uses a very conservative setting for PCG tolerance (defaults to 1.0E-8) The primary solution accuracy is controlled by the PCG. For most applications, setting the PCG tolerance to 1.0E-6 provides a very accurate displacement solution and may save considerable CPU time compared with the default setting. Use the EQSLV command to change the PCG solver tolerance.

Direct solvers (such as the sparse direct solver) produce very accurate solutions. Iterative solvers, such as the PCG solver, require that a PCG convergence tolerance be specified. Therefore, a large relaxation of the default tolerance may significantly affect the accuracy, especially of derived quantities.

The PCG solver is not recommended for models with p-element SHELL150 elements. For these types of problems, use the sparse solver. Also, the PCG solver does not support SOLID62 or MATRIX50 elements.

Note

  • With all iterative solvers, the RIGID command is not applicable, and you must be particularly careful to check that the model is appropriately constrained. No minimum pivot is calculated and the solver will continue to iterate if any rigid body motion exists.

  • In a modal analysis using the PCG solver (MODOPT,LANPCG), the number of modes should be limited to 100 or less for efficiency. PCG Lanczos modal solutions can solve for a few hundred modes, but with less efficiency than Block Lanczos (MODOPT,LANB).

  • When the PCG solver encounters an indefinite matrix, the solver will invoke an algorithm that handles indefinite matrices. If the indefinite PCG algorithm also fails (this happens when the equation system is ill-conditioned; for example, losing contact at a substep or a plastic hinge development), the outer Newton-Raphson loop will be triggered to perform a bisection. Normally the stiffness matrix will be better conditioned after bisection and the PCG solver can eventually solve all the nonlinear steps.

  • The solution time grows linearly with problems size for iterative methods so huge models can still be solved within very reasonable times. For modal analyses of large models (e.g., 10 million DOF or larger), MODOPT,LANPCG is a viable solution method if the number of modes is limited to approximately 100.

Use MSAVE,ON (the default in most cases) for memory savings of up to 70%. The MSAVE command will cause an element-by-element approach (rather than globally assembling the stiffness matrix) for the parts of the structure using SOLID45, SOLID92, SOLID95, SOLID185, SOLID186, and/or SOLID187 elements that have linear material properties. This feature applies only to static analyses or modal analyses using the PCG Lanczos method. (You specify these analysis types using the commands ANTYPE,STATIC, or ANTYPE,MODAL; MODOPT,LANPCG respectively.) When using SOLID186 and/or SOLID187, only small strain (NLGEOM,OFF) analyses are allowed. NLGEOM,ON is valid for SOLID45, SOLID92, and SOLID95. The solution time may be affected depending on the processor speed and manufacturer of your computer, as well as the chosen element options (for example, 2 x 2 x 2 integration for SOLID95) .

3.2.3. The Jacobi Conjugate Gradient (JCG) Solver

The JCG solver also starts with element matrix formulation. Instead of factoring the global matrix, the JCG solver assembles the full global stiffness matrix and calculates the DOF solution by iterating to convergence (starting with an initial guess solution for all DOFs). The JCG solver uses the diagonal of the stiffness matrix as a preconditioner. The JCG solver is typically used for thermal analyses and is best suited for 3-D scalar field analyses that involve large, sparse matrices.

For some cases, the tolerance default value (set via the EQSLV,JCG command) of 1.0E-8 may be too restrictive, and may increase running time needlessly. The value 1.0E-5 may be acceptable in many situations.

The JCG solver is available only for static analyses, full harmonic analyses, or full transient analyses. (You specify these analysis types using the commands ANTYPE,STATIC, HROPT,FULL, or TRNOPT,FULL respectively.) You cannot use this solver for coupled-field applications (SOLID5 or PLANE13).

With all iterative solvers, be particularly careful to check that the model is appropriately constrained. No minimum pivot is calculated and the solver will continue to iterate if any rigid body motion is possible.

3.2.4. The Incomplete Cholesky Conjugate Gradient (ICCG) Solver

The ICCG solver operates similarly to the JCG solver with the following exceptions:

  • The ICCG solver is more robust than the JCG solver for matrices that are not well-conditioned. Performance will vary with matrix conditioning, but in general ICCG performance compares to that of the JCG solver.

  • The ICCG solver uses a more sophisticated preconditioner than the JCG solver. Therefore, the ICCG solver requires approximately twice as much memory as the JCG solver.

The ICCG solver is typically used for electromagnetic analyses and is available only for static analyses, full harmonic analyses [HROPT,FULL], or full transient analyses [TRNOPT,FULL]. (You specify the analysis type using the ANTYPE command.) The ICCG solver is useful for structural and multiphysics applications, and for symmetric, unsymmetric, complex, definite, and indefinite matrices. You cannot use this solver for coupled-field applications (SOLID5 or PLANE13).

3.2.5. The Quasi-Minimal Residual (QMR) Solver

The QMR solver is used for electromagnetic analyses and is available only for full harmonic analyses [HROPT,FULL]. (You specify the analysis type using the ANTYPE command.) You use this solver for symmetric, complex, definite, and indefinite matrices. The QMR solver is more robust than the ICCG solver.

3.2.6. The Frontal Solver

The frontal solver does not assemble the complete global matrix in continuous operation. Instead, ANSYS performs the assembly and solution steps simultaneously as the solver processes each element.

A term frequently mentioned in the context of a frontal solver is wavefront. The wavefront is the number of degrees of freedom retained by the solver during triangularization because they cannot yet be eliminated. As the solver processes each element and its degrees of freedom, the wavefront swells and shrinks, and finally becomes zero when all degrees of freedom have been processed. The highest value of the wavefront is called the maximum wavefront, and the averaged, root-mean-square value is called the RMS wavefront.

The RMS wavefront of a model directly affects solution time: the smaller its value, the less CPU time required for solution. Before solution, therefore, you may wish to reorder the elements for a smaller wavefront. The ANSYS program does this automatically at the beginning of solution unless you have reordered the model yourself or have requested no reordering. (The Modeling and Meshing Guide provides details about element reordering.) The maximum wavefront of a model directly affects memory requirements, in particular the amount of memory allocated for scratch data. See "Memory Management and Configuration" for details about memory management.

3.2.7. The Algebraic Multigrid (AMG) Solver

The Algebraic Multigrid (AMG) solver, which is based on the multi-level method, is an iterative solver that you can use in single- and multiprocessor shared-memory environments. To use this solver, you must have a license for the ANSYS Mechanical HPC advanced task (add-on) for each processor beyond the first two.

In a multiprocessor environment, the AMG solver provides better performance than the PCG and ICCG solvers on shared-memory parallel machines. It also handles indefinite matrix problems for nonlinear analyses. However, the AMG solver typically uses 50 percent more memory than the PCG solver. The AMG solver is also intended for problems in which the PCG and ICCG solvers would have difficulty converging (for example, large, ill-conditioned problems where the ill-conditioning is due to large element aspect ratios within a mesh, or cases in which shell or beam elements are attached to solid elements). In terms of CPU time when used in a single-processor environment, the AMG solver performs better than the PCG and ICCG solvers for ill-conditioned problems, and it delivers about the same level of performance for ordinary problems.

The AMG solver is available only for static analyses and full transient analyses. (These analyses can be linear or nonlinear.) In addition, the efficiency of the AMG solver is limited to single-field structural analyses in which the solution DOFs are combinations of UX, UY, UZ, ROTX, ROTY, and ROTZ. For analyses such as single-field thermal analyses in which the solution DOF is TEMP, the AMG solver is less efficient than the PCG or ICCG.

The AMG solver is accessible from shared-memory parallel ANSYS.

3.2.8. The Distributed Direct (DSPARSE) Solver

The distributed direct sparse solver (DSPARSE) decomposes a large sparse matrix into smaller submatrices (instead of decomposing element domains), and then sends these submatrices to multiple processors on either a shared-memory or a distributed-memory system. To use this solver, you must have a license for the ANSYS Mechanical HPC advanced task (add-on) for each processor beyond the first two.

During the matrix factorization phase, all designated processors factorize their submatrices simultaneously and communicate the necessary information to relevant processors. The shared-memory parallel sparse solver works on one core front at a time, while the DSPARSE solver works on n core fronts at the same time (where n is the total number of processors used). Each core front in the distributed sparse solver is stored in-core (similar to optimal out-of-core mode in shared-memory parallel sparse solver), although the whole DSPARSE solution is in out-of-core mode. Therefore, the total memory usage of the DSPARSE solver is about n times the memory that is needed to hold the core fronts.

By default, the DSPARSE solver runs in this out-of-core mode, with substantial I/O to the local hard drive. As more processors write to the same disk on a machine, the performance of the solver decreases, meaning the total elapsed time of the solver does not decrease as much as expected.

The ideal configuration for the DSPARSE solver when running in out-of-core mode is to run using a single processor on each machine, spreading the I/O across the hard drives of each machine, assuming that a high-speed network such as Infiniband is being used. You can effectively run the DSPARSE solver using multiple processors on one drive if:

  • The problem size is small enough relative to the physical memory on the system that the system buffer cache can hold the DSPARSE solver files in memory.

  • You have a very fast hard drive configuration that can handle multiple I/O requests simultaneously (typically found on proprietary UNIX systems).

  • You use the DSPOPTION,INCORE command to force the DSPARSE solver into an in-core mode.

The DSPARSE solver is mathematically identical to the shared-memory parallel sparse solver and is insensitive to ill-conditioning. It is scalable up to 16 processors. It should be used for problems with which the PCG and JCG have convergence difficulty and on computer systems where large memory is available.

The DSPARSE solver is accessible from Distributed ANSYS and is not available in shared-memory parallel ANSYS. See the Distributed ANSYS Guide for more information.

3.2.9. The Automatic Iterative (Fast) Solver Option

The Automatic Iterative Solver option [EQSLV,ITER] chooses an appropriate iterative solver (PCG, JCG, etc.) based on the physics of the problem being solved. When you use the Automatic Iterative Solver option you must input an accuracy level. The accuracy level is specified as an integer between 1 and 5 and is used for selecting the Iterative Solver tolerance for convergence checking. An accuracy level of 1 corresponds to the fastest setting (less number of iterations) and an accuracy level to 5 corresponds to the slowest setting (accurate, more number of iterations). ANSYS selects the tolerance based on the chosen accuracy level. For example:

  • For linear static or linear full transient structural analysis, an accuracy level of 1 corresponds to a tolerance of 1.0E-4 and an accuracy level of 5 corresponds to a tolerance of 1.0E-8.

  • For steady-state linear or nonlinear thermal analysis, an accuracy level of 1 corresponds to a tolerance of 1.0E-5 and accuracy level of 5 corresponds to a tolerance of 1.0E-9.

  • For transient linear or nonlinear thermal analysis, an accuracy level of 1 corresponds to a tolerance of 1.0E-6 and an accuracy level of 5 corresponds to a tolerance of 1.0E-10.

This solver option is available only for linear static and linear full transient structural analysis and steady-state/transient linear or nonlinear thermal analysis.

Since the solver and tolerance are selected based on the physics and conditions of the problem being solved, it is recommended that this command be issued immediately before solving the problem (once the problem has been completely defined).

When the automatic iterative solver option is chosen and appropriate conditions have been met, neither the Jobname.EMAT nor Jobname.EROT files will be created for structural analysis and thermal analysis. This option is not recommended for thermal analysis involving phase change. When this option is chosen but the appropriate conditions have not been met, ANSYS uses the Frontal solver for the solution and issues a message displaying the solver and tolerance used in the solution.

Note

The EQSLV,ITER option will not select the PCG, JCG, AMG, or DSPARSE solvers, although these solvers work better in parallel processing.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.1. Selecting a Solver 		Up / Home Next
3.3. Solver Memory and Performance


3.3. Solver Memory and Performance

You will get the best performance from ANSYS if you first understand the individual solvers' memory usage and performance under certain conditions. Each solver uses different methods to obtain memory; understanding how memory is used by each solver can help you to avoid problems (such as memory errors) and maximize the problem size you can handle on your system.

3.3.1. Running ANSYS Solvers under Shared Memory

One of the easiest ways to improve ANSYS solvers' performance is to run the solvers on a shared memory architecture, using multiple processors on a single machine. For detailed information on using the shared memory architecture, see Activating Parallel Processing in a Shared-Memory Architecture in the Advanced Analysis Techniques Guide.

The sparse solver has highly tuned computational kernels that are called in parallel for the expensive matrix factorization. The PCG solver has several key computation steps running in parallel. For the PCG and sparse solvers, there is no need to use more than four processors for a single ANSYS job.

See "Using Shared-Memory ANSYS" in the Advanced Analysis Techniques Guide or the Distributed ANSYS Guide for more information on using ANSYS' parallel processing capabilities.

3.3.2. Using ANSYS' Large Memory Capabilities with the Sparse Solver

If you run on a 64-bit workstation or server with at least 8 GB of memory and you use the sparse solver, you can take advantage of ANSYS' large memory capabilities. The biggest performance improvement comes for sparse solver jobs that can use the additional memory to run in-core (meaning that the large LN09 file produced by the sparse solver is kept in memory). You will generally need 10 GB of memory per million degrees of freedom to run in-core. Modal analyses that can run in-core using 6 to 8 GB of memory (500K - 750K DOFs for 100 or more eigenmodes) will show at least a 30 - 40% improvement in time to solution over a 2 GB system.

You can configure memory for sparse solve in-core runs explicitly using the BCSOPTION command, but the easiest way to access this capability is to increase the initial ANSYS memory allocation so that the amount of memory available to the sparse solver exceeds the in-core memory requirement. The performance improvement over a 32-bit system configured with nominal I/O performance can be even more significant when the sparse solver memory requirement for optimal out-of-core operation is larger than a 32-bit system can allocate. In such cases, I/O for the sparse solver factorization can increase factorization time tenfold on 32-bit systems compared to larger memory systems that run either in optimal out-of-core mode or in-core.

An important factor in big memory systems is system configuration. You will always see the best ANSYS performance with processor/memory configurations that maximize the memory per node. An 8-processor, 64 GB system is much more powerful for large memory jobs than a 32-processor 64 GB system. ANSYS cannot effectively use 32 processors for one job but can use 64 GB very effectively to increase the size of models and reduce solution time. You will see the best performance for jobs that run comfortably within a given system configuration. For example, a sparse solver job that requires 7500 MB on a system with 8 GB will not run as well as the same job on a 12-16 GB system. Large memory systems use their memory to hide I/O costs by keeping files resident in memory automatically, so even jobs too large to run in-core benefit from large memory.

A special version of ANSYS, available via the -lm command line option, removes any limitation from the sparse solver memory size. This option is not necessary for machines with less than 16 GB of memory. It is recommended for very large memory machines where you can run a large sparse solver job in-core (such as large modal analysis jobs) for the greatest speed and efficiency. To use this option:

  1. Run ANSYS using the -lm option:

    ansys110 -lm

  2. Increase the initial ANSYS memory allocation via -m (for example, -m 24000). This initial memory setting should be larger than what the sparse solver actually requires to account for memory used prior to the sparse solver.

  3. You can further refine sparse solver memory using the BCSOPTION command.

3.3.3. Disk Space (I/O) and Post-Processing Performance for Large Memory Problems

I/O performance with large memory. One of the hidden system benefits of big memory systems is the ability to cache large I/O requests. Even for modest-sized ANSYS jobs, you can considerably reduce the cost of I/O when the system free memory is larger than the sum of file sizes active in an ANSYS job. This feature, often called buffer cache, is a system-tunable parameter and can effectively move all I/O traffic to memory copy speeds. The system details are different for various vendors; consult your hardware manufacturer for details on their systems. For most Linux versions, including SGI ProPack/Linux versions, and Windows X64 systems, the benefit of the system buffer cache is automatic and does not require tuning. IBM and HP system caches may require some tuning; consult your hardware vendor for details. A large memory system will often perform at almost in-core memory performance with the sparse solver when the system memory size is larger than the matrix factorization file (usually file.LN09 or file.LN07), even when the sparse solver runs in out-of-core mode.

Postprocessing with large memory. For good graphics performance on large models, use PowerGraphics and allow enough memory for the database (-db) so that large models can be rotated and zoomed, and results viewed easily. Even with smaller models, you should finish the solve command, save the results, and enter post processing with a new ANSYS run. The new run allows you to start up ANSYS with a large -db space. You can get page file estimates at the end of a solve run or by observing the size of the Jobname.page in a current run. Increase the -db value at the start of a post processing run to bring the entire database into memory. If a Jobname.page file exists with a length greater than zero, the database is not completely in memory. In this case, the database memory should be increased. You can use -db settings well beyond 16 GB. If large models are post processed with small -db settings, the graphics response can be extremely slow or cumbersome to use.

ANSYS has no limitations on the size of the results file.

3.3.4. Memory Usage on Windows 32-bit Systems

If you are running on a 32-bit Windows system, you may encounter memory problems due to Windows' handling of contiguous memory blocks. Windows 32-bit systems limit the maximum continuous block of memory to 2 GB; setting the /3GB switch will add another gigabyte of memory, but not contiguous with the initial 2 GB.

Running the PCG solver with the /3GB switch set will be sufficient in many situations, as will running the sparse solver with a reasonably large -db setting and a -m setting of just 50 MB more than the -db setting. However, to maximize your system's performance for large models, you need to:

  1. Learn the largest -m you can use on your machine.

  2. Learn how much memory solving your job will require.

  3. Optimize your job and your system to take advantage of your system's capabilities.

Learn your -m limits. To find out the largest -m setting you can use on your machine, use the following procedure. The maximum number you come up with will be the upper bound on the largest contiguous block of memory you can get on your system.

  1. Install ANSYS.

  2. Open a command window and type:

    ansys110 -m 1200 -db 64.

  3. If that command successfully launches ANSYS, close ANSYS and repeat the above command, increasing the -m value by 50 each time, until ANSYS issues an error message that it has insufficient memory and fails to start. Be sure to specify the same -db value each time.

Ideally, you will be able to successfully launch ANSYS with a -m of 1700 or more, although 1400 is more typical. A -m of 1200 indicates that you may have some DLLs in your user space; contact your system administrator for suggestions on cleaning up your user space.

Learn your memory requirements. ANSYS offers the BCSOPTION command to determine how much memory your job will require (when running the shared-memory sparse solver). Use this command as a habit to determine how much memory you need, and set your -m and -db appropriately. Too little memory, and your job will not run. However, setting an unnecessarily high -m will prevent ANSYS from using available memory to reduce I/O time. To use this command, add the following to your input:

BCSOPTION,,,,,,PERFORMANCE

Then run your job and review the output file message to see how much memory you need. If possible, reduce your -db setting and increase -m so that you can get a sufficient memory block for both assembly and solution.

Optimize your job and your system. After you understand your maximum memory settings and the memory required for your job, you can try the following suggestions to further optimize your environment.

  • For large jobs with memory requirements close to your system's limits, run the solution phase as a batch job with minimal -db space (usually 64 MB). Before post-processing, increase the -db and resume the jobname.db file and run interactively.

  • For nonlinear jobs, try some preliminary runs, restricting the number of cumulative iterations using the NCNV command. Be sure to use BCSOPTION and review the output for your performance summary. Based on the performance summary, you can choose to run in-core, optimal out-of-core, or out-of-core.

  • Always try to run comfortably within the system memory resources. If you try to use your entire system maximum memory resources, you will probably require an excessive amount of wall-time to run. A better option is usually to run in optimal out-of-core mode and use less of your system's total available memory.

  • You should have 2 GB of real memory as a minimum if you will be running large jobs. Set the system page file for 3 GB, and use the /3GB switch. However, at the /3GB switch to a separate copied line at the end of the boot.ini file so that you can reboot Windows in normal or /3GB mode.

  • Make sure you have 100 GB of disk space to run ANSYS jobs. Do not put everything on your C:\ drive. Regularly defragment your working directory, and move permanent files to another location after the job runs.

3.3.5. Estimating Run Time and File Sizes

Refer to Table 3.1: "Solver Selection Guidelines" for guidelines on how much memory and disk space your problem will require, based on the size of the model and the solver used.

If you are using the PCG solver for larger models or for analyses with complicated nonlinear options, you can use the RUNSTAT module to estimate how long your analysis will take to solve and how much disk space you will need.

The RUNSTAT module is a processor, or routine, of its own. You can enter it by issuing the /RUNST (Main Menu> Run-Time Stats) command at the Begin level.

The RUNSTAT module estimates run times and other statistics based on information in the database. Therefore, you must define the model geometry (nodes, elements, etc.), loads and load options, and analysis options before you enter RUNSTAT. It is best to use RUNSTAT immediately before solving.

3.3.5.1. Estimating Run Time

To estimate the run time, the ANSYS program needs your computer's performance information: MIPS (millions of instructions per second), MFLOPs (millions of floating point operations per second), etc. To obtain this information, use the RSPEED command (Main Menu> Run-Time Stats> System Settings).

If you do not know such details about your computer, you can execute the macro SETSPEED, which issues the appropriate RSPEED command for you. For more information about the SETSPEED macro, see Estimating ANSYS Run Time in the Operations Guide.

The other piece of information needed to estimate the total run time is the number of iterations (or load steps in a linear, static analysis) for the analysis. To get this information, use either method shown below:

Command(s): | RITER
GUI: | Main Menu> Run-Time Stats> Iter Setting

To obtain an estimate of run time, use one of the following:

Command(s): | RTIMST
GUI: | Main Menu> Run-Time Stats> Individual Stats

Based on information supplied by the RSPEED and RITER commands and the model information in the database, the RTIMST command gives you a run time estimate.

3.3.5.2. Estimating File Size

The RFILSZ command estimates the size of the .ESAV, .EMAT, .EROT, .TRI, .FULL, .RST, .RTH, .RMG, and .RFL files. The GUI equivalent for RFILSZ is the same as for RTIMST. The estimate of the results files is based on one set of results (one substep). You will need to multiply it by the estimated number of results written for the actual results file sizes.

3.3.5.3. Estimating Memory Requirements

The RWFRNT command (Main Menu> Run-Time Stats> Individual Stats) gives wavefront estimates and memory requirements for solution. You can then request that amount of memory using the ANSYS work space entry option. (See "Memory Management and Configuration" for more information about memory management.) The RWFRNT command automatically reorders the elements if no reordering has previously been done.

Other RUNSTAT commands are RSTAT, which gives model statistics (node and element information); RMEMRY, which gives memory statistics; and RALL (Main Menu> Run-Time Stats> All Statistics), which is a convenience command that executes the RSTAT, RWFRNT, RTIMST, and RMEMRY commands. The GUI equivalent for all these commands except for RALL is Main Menu> Run-Time Stats> Individual Stats.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.2. Types of Solvers 		Up / Home Next
3.4. Using Special Solution Controls for Certain Types of Structural Analyses


3.4. Using Special Solution Controls for Certain Types of Structural Analyses

When you are performing certain types of structural analyses, you can take advantage of these special solution tools:

  • Abridged Solution menus, which are available for static, transient (all solution methods), modal, and buckling analyses. See Using Abridged Solution Menus.

  • The Solution Controls dialog box, which is available for static and transient (full solution method only) analyses. See Using the Solution Controls Dialog Box.

3.4.1. Using Abridged Solution Menus

If you are using the GUI to perform a structural static, transient, modal, or buckling analysis, you have the choice of using abridged or unabridged Solution menus:

  • Unabridged Solution menus list all solution options, regardless of whether it is recommended, or even possible, for you to use them in the current analysis. (If it is not possible for you to use an option in the current analysis, the option is listed but is grayed out.)

  • Abridged Solution menus are simpler. They list only those options that apply to the type of analysis that you are performing. For example, if you are performing a static analysis, the Modal Cyclic Sym option does not appear on the abridged Solution menu. Only those options that are valid and/or recommended for the current analysis type appear.

If you are performing a structural analysis, the abridged Solution menu appears by default when you enter the solution processor (Main Menu> Solution).

If your analysis is either static or full transient, you can use the options on the menu to complete the solution phase of your analysis. However, if you select a different analysis type, the default abridged Solution menu that you see above will be replaced by a different Solution menu. The new menu will be appropriate for the analysis type you select.

All variants of the abridged Solution menu contain an Unabridged Menu option. This option is always available for you to select in case you prefer using the unabridged menu.

If you do one analysis and then choose to do a new analysis within the same ANSYS session, ANSYS will (by default) present you with the same type of Solution menu that you used for the first analysis. For example, if you choose to use the unabridged Solution menu to perform a static analysis and then select a new buckling analysis, ANSYS presents you with the unabridged Solution menu that is appropriate for buckling analyses. However, you can toggle between the unabridged and abridged Solution menus at any time during the solution phase of the analysis by selecting the appropriate menu option (Main Menu> Solution> Unabridged Menu or Main Menu> Solution> Abridged Menu).

3.4.2. Using the Solution Controls Dialog Box

If you are performing a structural static or full transient analysis, you can use a streamlined solution interface (called the Solution Controls dialog box) for setting many of your analysis options. The Solution Controls dialog box consists of five tabbed “pages,” each of which contains a set of related solution controls. The dialog box is useful for specifying the settings for each load step of a multiple load step analysis.

As long as you are performing a structural static or full transient analysis, your Solution menu will contain the Sol'n Control option. When you click the Sol'n Control menu item, the Solution Controls dialog box appears. This dialog box provides you with a single interface for setting analysis and load step options. See Figure 3.1: "Solution Controls Dialog Box" for an illustration.

Figure 3.1 Solution Controls Dialog Box

The Basic tab, which is shown above, is active when you access the dialog box. The complete list of tabs, in order from left to right, is as follows:

  • Basic

  • Transient

  • Sol'n Options

  • Nonlinear

  • Advanced NL

Each set of controls is logically grouped on a tab; the most basic controls appear on the first tab, with each subsequent tab providing more advanced controls. The Transient tab contains transient analysis controls; it is available only if you choose a transient analysis and remains grayed out when you choose a static analysis.

Each of the controls on the Solution Controls dialog box corresponds to an ANSYS command. The table below illustrates the relationships between the tabs and the command functionality that you can access from each.

Table 3.2 Relationships Between Tabs of the Solution Controls Dialog Box and Commands

Solution Controls Dialog Box Tab What Does This Tab Let You Do? What Commands Are Related to This Tab?
Basic
Specify the type of analysis that you want to perform.
Control various time settings.
Specify the solution data that you want ANSYS to write to the database.
ANTYPE, NLGEOM, TIME, AUTOTS, NSUBST, DELTIM, OUTRES
Transient
Specify transient options, such as transient effects and ramped vs. stepped loading.
Specify damping options.
Choose time integration method.
Define integration parameters.
TIMINT, KBC, ALPHAD, BETAD, TRNOPT, TINTP
Sol'n Options
Specify the type of equation solver that you want to use.
Specify parameters for performing a multiframe restart.
Specify configuration details for distributed solvers
EQSLV, RESCONTROL,
Nonlinear
Control nonlinear options, such as line search and solution predictor.
Specify the maximum number of iterations that are allowed per substep.
Indicate whether you want to include creep calculation in the analysis.
Control bisections.
Set convergence criteria.
LNSRCH, PRED, NEQIT, RATE, CUTCONTROL, CNVTOL
Advanced NL
Specify analysis termination criteria.
Control activation and termination of the arc-length method.
NCNV, ARCLEN, ARCTRM

Once you are satisfied with the settings on the Basic tab, you do not need to progress through the remaining tabs unless you want to change some of the advanced controls. As soon as you click OK on any tab of the dialog box, the settings are applied to the ANSYS database and the dialog box closes.

Note

Whether you make changes to only one or to multiple tabbed pages, your changes are applied to the ANSYS database only when you click OK to close the dialog box.

3.4.3. Accessing More Information

Discussions of the Solution Controls dialog box are included throughout the ANSYS manual set as applicable.

For additional information, refer to the following:

  • Online help for the Solution Controls dialog box

  • "Structural Static Analysis" in the Structural Analysis Guide

  • "Transient Dynamic Analysis" in the Structural Analysis Guide

  • "Nonlinear Structural Analysis" in the Structural Analysis Guide

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.3. Solver Memory and Performance 		Up / Home Next
3.5. Using the PGR File to Store Data for Postprocessing


3.5. Using the PGR File to Store Data for Postprocessing

In many analyses, a large amount of preliminary graphics information is created in order to obtain specific solution data. This information is often discarded when the final solution criteria is reached, even though you may request it later, during POST1 operations. You can have ANSYS save this information for rapid POST1 access by designating a PGR file. The PGR file is a dedicated ANSYS data storage format that saves this “precooked” data for rapid access in POST1.

You can designate the items to be included in the PGR file during solution and gain up to a 10X performance benefit when you access the information during POST1. You can also create the PGR file in POST1, append new types of data to the PGR file, or create a new PGR file from any existing results file.

You use a dedicated postprocessing tool, The Results Viewer, to access the information you store in the PGR file. The ANSYS results Viewer is a compact toolbar for viewing your analysis results. Although it is designed to display the information in your PGR file, you can use it to access any data from a valid results file (*.RST, *.RFL, *.RTH, *.RMG, etc.). For more information on the Results Viewer, see The Results Viewer Layout later on in this manual.

3.5.1. PGR File Capability

You use the PGR file to rapidly access complex display data during postprocessing. This data is often converted from machine language information to display data (graphical representations) during the Solution phase of your analysis. Although this information is written to the results file as solution parameters, the process of reconverting it for viewing in POST1 can be time consuming. The PGR file preserves modeling and display data as a graphical object, allowing the data to be accessed and displayed in POST1 markedly faster. The PGR uses the existing ANSYS command structure to define, generate and access the data that will be saved and retrieved. See PGR Commands later in this chapter for links to the various PGR commands.

Your PGR file will always contain the nodal solution data defined in the POUTRES command. You can also specify the following items for inclusion in your PGR file:

  • Stress

  • Structural nonlinear data

  • Contact data (3-D only)

  • Total Strain

  • Elastic Strain

  • Thermal Strain

  • Creep Strain

  • Thermal Gradient

  • Thermal Flux

  • Electric Field

  • Electric Flux Density

  • Magnetic Field Intensity

  • Magnetic Flux Density

  • Magnetic Forces

  • Pressure Gradients

  • Body Temperatures

  • Densities for Topological Optimization

Because the PGR file is constructed without resynchronizing the .db file, the following items will not provide valid data to the PGR file:

  • Sourc36 Elements

  • Super Elements

  • Circuit Elements

3.5.2. Selecting Information for the PGR File

The information you choose in Solution will be stored in the PGR file. Although you can create or append a PGR file in POST1 (by accessing the .rst file), choosing the information during Solution will provide the greatest speed/accessibility benefits.

You designate the PGR solution data by accessing the unabridged Solution menu (Main Menu> Solution> Unabridged). From the unabridged solution menu, you select Output Cntrls, and then PGR File. The following PGR File Options dialog box appears:

Figure 3.2 PGR File Options

From this panel, you can designate the location and the name of your PGR file, the type of data you wish to include in the file, the type of averaging scheme(s) for the data, and whether or not to include data from the interior portions of your model. You can change any of the items you wish to include in your PGR file up until the first solution. After you solve (even just one load step) you cannot make changes. See Appending to an Existing PGR File in POST1 for information on how to append your file after solution.

The options available from the PGR File Options panel correspond to the PGWRITE and POUTRES commands, and to some extent, the AVRES command.

You can access the following operations from the PGR File Options Panel :

Write PGR file during solution - Checking this box creates the PGR file. If you are restarting a solution, you will overwrite the existing PGR file.

PGR filename - From this location, you can provide a specific name for your PGR file and designate an alternate directory location to create it in. The default file name is Jobname.pgr, and the default location is the working directory of the current analysis.

Select PGR result items - You use this list box to select the items you want to include in your PGR file. You can hold down the Ctrl key to select multiple items individually, drag your mouse across multiple select items, or use the Shift key to select the boundaries of inclusive lists. The following items can be included in a PGR file (the available items will change according to the context of your analysis):

  • Nodal Solution Data

  • Stress

  • Structural nonlinear data

  • Contact data (3-D only)

  • Total Strain

  • Elastic Strain

  • Thermal Strain

  • Creep Strain

  • Thermal Gradient

  • Thermal Flux

  • Electric Field

  • Electric Flux Density

  • Magnetic Field Intensity

  • Magnetic Flux Density

  • Magnetic Forces

  • Pressure Gradients

  • Body Temperatures

  • Densities for Topological Optimization

Data to save on file - From this location, you can designate whether to store averaged data or averaged plus unaveraged nodal data. You can also specify whether to use the surface data or the surface data in conjunction with the interior data. Averaged data is used with the PLNSOL and PRNSOL commands. Unaveraged data is used with the PLESOL and PRESOL commands.

The averaging scheme used for the “Surface and Interior data” selection will yield stress contours that are similar to those obtained in the Full Model Graphics mode or in PowerGraphics with the AVRES,,FULL command option. The data obtained with the “Surface data only selection will be the same as the data obtained using PowerGraphics with the default AVRES command option (using only the exterior element faces). Interior data can be obtained only when nodal data averaging is enabled. This function cannot be changed if you plan to append your PGR file.

Interior model data - This selection actually saves the interior results data for subsequent displays using slicing, capping, vector display, or isosurface display techniques (see the /TYPE, /CTYPE, and PLVECT commands). The data that is saved when this item is selected can be displayed on the model or ported to data tables and listings. This function cannot be changed if you plan to append your PGR file.

Stresses can only be displayed in the coordinate system that was active when the PGR file was written. If you wish to use the results viewer to view stresses in other coordinate system displays, you must reload your results file (*.RST, *.RFL, *.RTH, *.RMG, etc.) in POST1, in that coordinate system.

3.5.3. PGR Commands

The ANSYS PGR file uses the following commands to create and access the PGR data:

Solution Commands

PGWRITE, POUTRES, and AVRES.

Postprocessing Commands

POUTRES, PGSAVE, PGRAPH, PGRSET, PLESOL, PLNSOL, PLTRAC, and PLVECT.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.4. Using Special Solution Controls for Certain Types of Structural Analyses 		Up / Home Next
3.6. Obtaining the Solution


3.6. Obtaining the Solution

To initiate the solution, use one of the following:

Command(s): | SOLVE
GUI: | Main Menu> Solution> Current LS or Run FLOTRAN

Because the solution phase generally requires more computer resources that the other phases of an analysis, it is better suited to batch (background) mode than interactive mode.

The solver writes output to the output file (Jobname.OUT) and the results file. If you run the solution interactively, the output "file" is actually your screen (window). By using one of the following before issuing SOLVE, you can divert the output to a file instead of the screen:

Command(s): | /OUTPUT
GUI: | Utility Menu> File> Switch Output to> File or Output Window

Data written to the output file consist of the following:

  • Load summary information

  • Mass and moments of inertia of the model

  • Solution summary information

  • A final closing banner that gives total CPU time and elapsed time.

  • Data requested by the OUTPR output control command or its GUI counterpart

In interactive mode, much of the output is suppressed. The results file (.RST, .RTH, .RMG, or .RFL) contains all results data in binary form, which you can then review in the postprocessors.

Another useful file produced during solution is Jobname.STAT, which gives the status of the solution. You can use this file to monitor an analysis while it is running. It is particularly useful in iterative analyses such as nonlinear and transient analyses.

The SOLVE command calculates the solution for the load step data currently in the database.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.5. Using the PGR File to Store Data for Postprocessing 		Up / Home Next
3.7. Solving Multiple Load Steps


3.7. Solving Multiple Load Steps

There are three ways to define and solve multiple load steps:

  • Multiple SOLVE method

  • Load step file method

  • Array parameter method.

3.7.1. Using the Multiple SOLVE Method

This method is the most straightforward. It involves issuing the SOLVE command after each load step is defined. The main disadvantage, for interactive use, is that you have to wait for the solution to be completed before defining the next load step. A typical command stream for the multiple SOLVE method is shown below:

/SOLU
...
! Load step 1:
D,...
SF,...
0
SOLVE           ! Solution for load step 1
! Load step 2
F,...
SF,...
...
SOLVE            ! Solution for load step 2
Etc.

3.7.2. Using the Load Step File Method

The load step file is a convenient method to use when you want to solve problems while you are away from your terminal or PC (for example, overnight). It involves writing each load step to a load step file (via the LSWRITE command or its GUI equivalent) and, with one command, reading in each file and obtaining the solution. See "Loading" for details about creating load step files.

To solve multiple load steps, issue the LSSOLVE command (Main Menu> Solution> From LS Files). LSSOLVE is actually a macro that reads in the load step files sequentially and initiates the solution for each load step. A sample command input for the load step file method is shown below:

/SOLU             ! Enter SOLUTION
...
!  Load Step 1:
D,...                       ! Loads
SF,...
...
NSUBST,...                   ! Load step options
KBC,...
OUTRES,...
OUTPR,...
...
LSWRITE                    ! Writes load step file: Jobname.S01
!  Load Step 2:
D,...                      ! Loads
SF,...
...
NSUBST,...                  ! Load step options
KBC,...
OUTRES,...
OUTPR,...
...
LSWRITE                    ! Writes load step file: Jobname.S02
...
0
LSSOLVE,1,2         ! Initiates solution for load step files 1 and 2

See the Commands Reference for a discussion of the NSUBST, KBC, OUTRES, OUTPR, LSWRITE, and LSSOLVE commands.

3.7.3. Using the Array Parameter Method

This method, mainly intended for transient or nonlinear static (steady-state) analyses, requires knowledge of array parameters and do-loops, which are part of APDL (ANSYS Parametric Design Language). See the ANSYS Parametric Design Language Guide for information about APDL. The array parameter method involves building tables of load versus time using array parameters and is best explained by the following example.

Figure 3.3 Examples of Time-Varying Loads

Suppose that you have a set of time-varying loads such as the ones shown above. There are three load functions, so you need to define three array parameters. All three array parameters must be of type TABLE. The force function has five points, so it needs a 5 x 1 array; the pressure function needs a 6 x 1 array; and the temperature function needs a 2 x 1 array. Notice that all three arrays are one-dimensional. The load values are entered in column 1 and the time values are entered in column zero. (The zeroth column and zeroth row, which normally contain index numbers, must be changed and filled with a monotonically increasing set of numbers if you define the array parameter as a TABLE.)

To define the three array parameters, you first need to declare their type and dimensions. To do so, use either of the following:

Command(s): | *DIM
GUI: | Utility Menu> Parameters> Array Parameters> Define/Edit

For example:

*DIM,FORCE,TABLE,5,1
*DIM,PRESSURE,TABLE,6,1
*DIM,TEMP,TABLE,2,1

You can now use either the array parameter editor (Utility Menu> Parameters> Array Parameters> Define/Edit) or a set of "=" commands to fill these arrays. The latter method is shown below.

FORCE(1,1)=100,2000,2000,800,100  ! Force values in column 1
FORCE(1,0)=0,21.5,50.9,98.7,112   ! Corresponding time values in column 0
FORCE(0,1)=1 ! Zeroth row
PRESSURE(1,1)=1000,1000,500,500,1000,1000
PRESSURE(1,0)=0,35,35.8,74.4,76,112
PRESSURE(0,1)=1
TEMP(1,1)=800,75
TEMP(1,0)=0,112
TEMP(0,1)=1

You have now defined the load histories. To apply these loads and obtain the solution, you need to construct a do-loop (using the commands *DO and *ENDDO) such as the one shown below:

TM_START=1E-6               ! Starting time (must be > 0)
TM_END=112                  ! Ending time of the transient
TM_INCR=1.5                 ! Time increment
*DO,TM,TM_START,TM_END,TM_INCR    ! Do for TM from TM_START to TM_END in
                                  !  steps of TM_INCR
   TIME,TM                  ! Time value
   F,272,FY,FORCE(TM)       ! Time-varying force (at node 272, FY)
   NSEL,...                 ! Select nodes on pressure surface
   SF,ALL,PRES,PRESSURE(TM) ! Time-varying pressure
   NSEL,ALL                 ! Activate all nodes
   NSEL,...                 ! Select nodes for temperature specification
   BF,ALL,TEMP,TEMP(TM)     ! Time-varying temperature
   NSEL,ALL                 ! Activate all nodes
   SOLVE                    ! Initiate solution calculations
*ENDDO

See the Commands Reference for discussions of the *DO, TIME, F, NSEL, SF, BF, and *ENDDO commands.

You can change the time increment (TM_INCR parameter) very easily with this method. With other methods, changing the time increment for such complex load histories would be quite cumbersome.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.6. Obtaining the Solution 		Up / Home Next
3.8. Terminating a Running Job


3.8. Terminating a Running Job

You can terminate a running ANSYS job, if necessary, with the help of system functions such as a system break, issuing a kill signal, or deleting the entry in the batch queue. For nonlinear analyses, however, this is not the preferred method, because a job terminated in this manner cannot be restarted.

To terminate a nonlinear analysis "cleanly" on a multitasking operating system, create an abort file, named Jobname.ABT (or, on some case-sensitive systems, jobname.abt), containing the word nonlinear on the first line, starting in column 1. At the start of an equilibrium iteration, if the ANSYS program finds such a file in the working directory, the analysis will be stopped and can be restarted at a later time.

Note

If commands are being read using a file specified via the /INPUT command (Main Menu> Preprocessor> Material Props> Material Library, or Utility Menu> File> Read Input from), the abort file will terminate the solution, but the program will continue to read commands from the specified input file. Thus, any postprocessing commands included in the input file will execute.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.7. Solving Multiple Load Steps 		Up / Home Next
3.9. Restarting an Analysis


3.9. Restarting an Analysis

Occasionally, you may need to restart an analysis after the initial run has been completed. For example, you may want to add more load steps to the analysis. These may be additional loading conditions in a linear static analysis or additional portions of a time-history loading curve in a transient analysis. Or, you may need to recover from a convergence failure in a nonlinear analysis.

ANSYS allows the singleframe restart and the multiframe restart, both of which can be used for static or (full and mode-superposition) transient structural analyses, thermal analyses, harmonic (2-D magnetic only) analyses, and thermal-structural analyses. Distributed ANSYS supports both singleframe and multiframe restarts for nonlinear and full transient analyses. You can also re-run a VT Accelerator analysis using information available from a previous run.

The singleframe restart allows you to resume a job at the point it stopped.

The multiframe restart can resume a job at any point in the analysis for which information is saved, allowing you to perform multiple analyses of a model and gives you more options for recovering from an abnormal termination.

Rerunning an analysis completed with VT Accelerator can reduce the number of iterations needed to obtain the solution for all load steps and substeps. Rerunning a VT Accelerator analysis is described in VT Accelerator Re-run.

Requirements for Performing an Analysis Restart

The model must meet the following conditions to restart an analysis:

  • The analysis type must be either static (steady-state), harmonic (2-D magnetic only), thermal, thermal-structural, or transient (full and mode superposition methods only). No other analysis can be restarted.

  • At least one iteration must have been completed in the initial run.

  • The initial run should not have stopped due to a "killed" job, system break, or system crash.

  • You performed your initial analysis and generated the restart file under the same ANSYS version number.

3.9.1. Singleframe Restart

A traditional restart requires that certain files from the initial run of the job are present, and requires that you make any changes to the input before the SOLVE command.

3.9.1.1. Singleframe Restart Requirements

When restarting from a static or full transient analysis, the following files must be available from the initial run:

  • Jobname.DB - The database file saved immediately after the initial SOLVE. If you save the database at any point later in the analysis, boundary conditions and other variables may be changed from their initial values, which would prevent the restart from running properly. (For non-converged solutions, the database file is saved automatically; see the note below.)

  • Jobname.EMAT - Element matrices (if created).

  • Jobname.ESAV or .OSAV - Element saved data (.ESAV) or old element saved data (.OSAV). Jobname.OSAV is required only if the .ESAV file is missing, incomplete, or otherwise corrupted because of a diverging solution; because the displacement limit was exceeded; or because of a negative pivot (see Table 3.3: "Restart Information for Nonlinear Analyses"). It is written if KSTOP is set to 1 (default) or 2 on the NCNV command, or if automatic time stepping is active. If the .OSAV file is required, you must rename it as Jobname.ESAV before restarting the analysis.

  • Results file - Not required, but if available, results from the restart run will be appended to it with the proper, sequential load step and substep numbers. If the initial run terminated because the number of results sets on the results file were exceeded, you will need to rename the initial results file to a different name before restarting. To do so, issue the /ASSIGN command (Utility Menu> File> ANSYS File Options).

When restarting from a mode-superposition transient analysis, the following files must be available from the initial run:

  • Jobname.DB -- The database file saved immediately after the initial solve operation (SOLVE). If you save the database at any point later in the analysis, boundary conditions and other variables may be changed from their initial values, which would prevent the restart from running properly.

  • Jobname.RDSP -- The reduced displacement file with information from the last substep of the last load step needed for restart.

Note

In a nonlinear analysis, if the program terminates due to nonconvergence, time limits, the abort file (Jobname.ABT), or other program-detected failure, the database is automatically saved, and the solution output (Jobname.OUT) will list the files and other information required for restarting. See also Table 3.3: "Restart Information for Nonlinear Analyses" for a list of termination causes and the element saved data file needed to restart.

If the files .RDB, .LDHI, or .Rnnn/.Mnnn were accidentally created from a previous run, you must delete them before performing a singleframe restart.

In interactive mode, an existing database file is first written to a backup file (Jobname.DBB). In batch mode, an existing database file is replaced by the current database information with no backup.

Table 3.3 Restart Information for Nonlinear Analyses

Cause of Termination | Element Saved Data File | Required Corrective Action
Normal (i.e., no errors) | Jobname.ESAV | Add more load steps at the end of your job.
Nonconvergence | Jobname.OSAV | Define a smaller time step, change the adaptive descent option, or take other action to enhance convergence. Rename Jobname.OSAV as Jobname.ESAV before restarting.
Nonconvergence due to insufficient equilibrium iterations | Jobname.ESAV | If the solution was converging, allow more equilibrium equations (NEQIT command).
Cumulative iteration limit exceeded (NCNV command) | Jobname.ESAV | Increase ITLIM on NCNV command.
Time limit exceeded (NCNV) | Jobname.ESAV | None (simply restart the analysis). (If you were running the analysis interactively and you want to restart it from within the same ANSYS session, you must reset the time limits before attempting the restart.)
Displacement limit exceeded (NCNV) | Jobname.OSAV | (Same as for nonconvergence.)
Negative pivot | Jobname.OSAV | (Same as for nonconvergence.)
Jobname.ABT

  • if solution was converging

  • if solution was diverging

Jobname.ESAV, Jobname.OSAV Make whatever changes are necessary to address the behavior that caused you to voluntarily terminate the analysis.
"Full" results file (more than 1000 substeps). Time steps output. | Jobname.ESAV | Could indicate a problem - check settings on CNVTOL, DELTIM, and NSUBST, or KEYOPT(7) for contact elements. Or, specify larger number of results allowed on results file [/CONFIG,NRES] before solution or reduce the number of results to be output. Also rename results file (/ASSIGN).
"Killed" job (system break), system crash, or system time-limit exceeded | Not applicable | No restart is possible.

Note

Singleframe restart does not support surface-to-surface, node-to-surface, line-to-line, or line-to-surface contact. Use multiframe restart if your model contains any of the following contact elements: CONTA171, CONTA172, CONTA173, CONTA174, CONTA175, CONTA176, CONTA177.

3.9.1.2. Singleframe Restart Procedure

If you are performing a mode-superposition transient analysis, ANSYS sets up the parameters for a singleframe restart by default.

The procedure for performing the restart analysis is as follows:

  1. Enter the ANSYS program and specify the same jobname that was used in the initial run with /FILNAME (Utility Menu> File> Change Jobname).

  2. Enter the SOLUTION processor using /SOLU (Main Menu> Solution), then resume the database file using RESUME (Utility Menu> File> Resume Jobname.db).

  3. Indicate that this is a restart analysis by issuing ANTYPE,,REST (Main Menu> Solution> Restart).

  4. Specify revised or additional loads as needed. Modified ramped loads start from their previous values. Newly applied ramped loads are ramped from zero; newly applied body loads start from initial values. Deleted loads which are reapplied are treated as new, not modified, loads. In static and full transient analyses, surface and body loads to be deleted should be ramped to zero, or to the initial value, so that the Jobname.ESAV and Jobname.OSAV files are consistent with the database.

    For a mode-superposition transient analysis, steps 5, 6, 7, and 8 below do not apply.

    Take whatever corrective action is necessary if you are restarting from a convergence failure.

  5. If you used the Frontal solver, specify whether the triangularized matrix (Jobname.TRI) is to be reused, using one of the following:

    Command(s): KUSE
    GUI: Main Menu> Preprocessor> Loads> Other> Reuse Tri Matrix
    Main Menu> Solution> Other> Reuse Tri Matrix

    By default, the ANSYS program calculates a new triangularized matrix for the first load step of a restart run. By issuing the KUSE,1 command, you can force the program to reuse the existing matrix, thereby saving a significant amount of computer time. However, you can reuse Jobname.TRI only under certain conditions, in particular if the specified DOF constraints have not changed and it is a linear analysis. See the Theory Reference for ANSYS and ANSYS Workbench for details.

    By issuing KUSE,-1, you can cause ANSYS to redo the element matrices. This can be useful for debugging analyses and for handling error cases.

    Sometimes, you may have to analyze the same model for different constraint conditions, for instance a quarter-symmetry model with symmetry-symmetry (SS), symmetry-antisymmetry (SA), antisymmetry-symmetry (AS), and antisymmetry-antisymmetry (AA) conditions. In such a situation, keep the following points in mind:

    • All four cases (SS, SA, AS, AA) require a new triangularized matrix.

    • You can keep copies of the Jobname.TRI files for the various cases and use them as appropriate.

    • You can use substructuring (with the constrained nodes as master DOF) to minimize computing time. (See "Substructuring" in the Advanced Analysis Techniques Guide.)

  6. Initiate the restart solution by issuing the SOLVE command. (See Obtaining the Solution for details.)

  7. Repeat steps 4, 5, and 6 for additional load steps, if any. For static and full transient analyses, you can also use the load step file method to create and solve multiple load steps (not supported for mode superposition transient analyses). Use the following commands:

    Command(s): LSWRITE
    GUI: Main Menu> Preprocessor> Loads> Write LS File
    Main Menu> Solution> Write LS File
    Command(s): LSSOLVE
    GUI: Main Menu> Solution> From LS Files

  8. Postprocess as desired, then exit the ANSYS program.

A sample restart input listing is shown below.

!  Restart run:
/FILNAME,...       ! Jobname
RESUME
/SOLU
ANTYPE,,REST       ! Specify restart of previous analysis
!
! Specify new loads, new load step options, etc.
! Take appropriate corrective action for nonlinear analyses.
!
SOLVE             ! Initiate restart solution
SAVE              ! Optional SAVE for possible subsequent singleframe restart
FINISH
!
! Postprocess as desired
!
/EXIT,NOSAV

3.9.1.3. Restarting a Nonlinear Analysis From an Incompatible Database

Sometimes, postprocessing is performed prior to a restart. If you issue SET and SAVE commands during this postprocessing, the boundary conditions in your database might be altered and become inconsistent with those needed for a restart. By default, the program saves your file automatically when you exit. At the end of solution, the boundary conditions for the last load step are stored in the database memory. (The database contains only one set of boundary conditions.)

A SET command in POST1 (other than SET,LAST) reads the boundary conditions for the specified results into the database, and overwrites the database stored in memory. If you subsequently save your file or exit, ANSYS overwrites the boundary conditions in the database file with the D's and F's from the current results file. However, to perform a restart which ramps boundary conditions from the last solved substep, you need the boundary conditions for the last successfully solved load substep.

3.9.1.3.1. Re-establishing Boundary Conditions

To re-establish the correct boundary conditions for the restart, first run a "dummy" load step. The procedure is as follows:

  1. Rename Jobname.OSAV as Jobname.ESAV.

  2. Enter the ANSYS program and specify the same jobname that was used in the initial run with /FILNAME (Utility Menu> File> Change Jobname).

  3. Enter the SOLUTION processor using /SOLU (Main Menu> Solution), then resume the database file using RESUME (Utility Menu> File> Resume Jobname.db).

  4. Indicate that this is a restart analysis by issuing ANTYPE,,REST (Main Menu> Solution> Restart).

  5. Respecify boundary conditions from the last substep that was successfully solved. One substep is sufficient since the solution will converge immediately.

  6. Issue SOLVE (Main Menu> Solution> Current LS or Main Menu> Solution> Run FLOTRAN).

  7. Apply final loads and load step options as desired. You will need to adjust the number of substeps (or time step size) if this load step is a "continuation" of the previous (before the dummy) load step. Time step numbering may be altered from your initial intent. Use a small time increment in step 6 if you need to preserve the time step numbering (such as for a transient analysis).

  8. Continue the procedure as outlined in Restarting an Analysis.

3.9.2. Multiframe Restart

If you are performing a nonlinear static or full transient structural analysis, or a static or transient thermal or thermal-structural analysis, ANSYS by default sets up the parameters for a multiframe restart.

Multiframe restart allows you to save analysis information at many substeps during a run, then restart the run at one of those substeps. Before running your initial analysis, you should use the RESCONTROL command to set up the frequency at which restart files are saved within each load step of the run.

When you need to restart a job, use the ANTYPE command to specify the restart point and type of restart. You can continue the job from the restart point (making any corrections necessary), or you can terminate a load step at the restart point (rescaling all of the loading) then continue with the next load step.

If you want to disable the multiframe restart feature and use the singleframe restart, issue the command RESCONTROL,DEFINE,NONE. Upon doing a singleframe restart (ANTYPE,,REST), make sure that any.LDHI, .RDB, and .Rnnn or .Mnnn files are deleted from the current directory.

The sample input listing below shows how to set up the restart file parameters in an analysis then restart the analysis, continuing from a specified load step and substep.

!  Restart run:
/prep7
et,1,42,,,	         !Define nodes and elements
mp,ex,1,10
mp,alpx,1,0.1
mp,alpy,1,0.1
mp,alpx,1,0.1
mp,nuxy,1,0.2
n,1
n,2,1
n,3,1,1
n,4,,1
n,5,2
n,6,2,1
e,1,2,3,4
e,2,5,6,3
finish
/solu
rescontrol,,all,1,5 	   !For all load steps, write the restart
                            !file .Rnnn at every substep, but allow
                            !a maximum of 5 restart files per load step
nlgeom,on       		   !Large strain analysis with temperature loadings
nsubst,2
d,1,all
d,2,uy
outres,all,all
solve
bfe,1,temp,1,1
bfe,2,temp,1,5
solve
rescontrol,file_summary  !List information contained in all the
                            !.Rnnn files for this job
finish
/post1
set,last
presol
finish
/solu
antyp,,rest,1,3   		 !Restart the analysis at load step 1,
                           !substep 3
solve
rescontrol,file_summary
finish
/post1
set,last
prnsol
presol
finish

The sample input listing below shows how to terminate a load step at a particular substep, then continue with the next load step.

/solu
antype,,rest,1,3,endstep !End load step 1 at substep 3
                         !when time (load factor) = 0.6125
                         !ldstep = 1, substep = 3, load
solve                    !execute ENDSTEP, loads are
                         !rescaled to time = 0.6125
rescontrol,file_summary
bfe,1,temp,1,2           !apply higher loads,
bfe,2,temp,1,6
solve                    !execute solve to advance load
                         !factor from previous
                         !time = 0.6125 to time = 1.6125
/post1
set,last
presol
finish

The sample input listing below shows how to restart an analysis with old and new parameters.

/title, Multiframe Restart with Tabular Load.
/prep7
et,1,42         ! Build model
n,1,0.0,0.0
n,2,0.0,0.5
n,3,0.0,1.0
n,4,1.0,0.0
n,5,1.0,0.5
n,6,1.0,1.0
e, 1,4,5,2
e, 2,5,6,3
mp,ex,1,1000.0
mp,nuxy,1,0.3
mp,alpx,1,1.e-4

d,1,all
d,2,ux,0.0
d,3,ux,0.0
d,4,uy,0.0

*dim,ftbl,table,4,1,,time   ! Make tabular point load
ftbl(1,0)=1,2,3,4
ftbl(1,1)=2.5,5.0,7.5,10.0
nsel,all
f,all,fx,%ftbl%             ! Apply it to all nodes
flist

/solu
rescont,,all,all            ! Save all substeps for possible restart
nlgeo,on
time,4
DELTIM,1
outres,all,all
solve                       ! Solve with point loads and the *.RDB file is saved
                            ! at the moment. The parameterized tabular point load
                            ! FTBL is also saved into *.RDB

*dim,temtbl,table,4,1,,time  ! Define table TEMTBL and use it for body load: temperature
temtbl(1,0)=1,2,3,4
temtbl(1,1)=250,500.0,750,1000.
! bf,all,TEMP,%temtbl%       ! May use this to apply the body load table
! bflist
parsave,all,moreload         ! Save all the APDL parameters and tables to file: moreload
                             ! NOTE: *.RDB does not have information of table TEMTBL.
fini

/clear, nostart
/solu
ANTYPE,,RESTART,1,3,endstep  ! Do restart ENDSTEP because we want to apply TEMTBL at
                             ! TIME = 3.5 (LDSTEP=1,SUBSTEP=3) because we want to
                             ! Apply the temperature load from TIME=3.5 onwards.
                             ! Here, RESTART has resumed *.RDB database where the
                             ! Table FTBL is saved.

solve                        ! Activate ENDSTEP

parresu,,moreload            ! For further load step, we want to apply table TEMTBL
                             ! as body force. NOTE: table TEMTBL is not in *.RDB. Therefore,
                             ! we have to use PARRESU command. APDL file "moreload" is
                             ! saved earlier.

*status                      ! List all the ADPL information available at this point
bf,all,TEMP,%temtbl%         ! Apply temperature table load TEMTBL
bflist
time,4                       ! Solve up to TIME = 4.0 because the load step ENDSTEP only
                             ! carries up to TIME = 3.5
solve
fini
/post1
set,last
prdis
prrsol
fini

The sample below demonstrates a restart after changing boundary conditions.

/prep7
et,1,21
r,1,1,1,1,1,1,1
n,1
e,1
fini

/solu
antyp,trans
timint,off
time,.1
nsub,2
kbc,0
d,1,ux,100                 ! to apply initial velocity (IC command is preferred)
solve

timint,on
ddele,1,ux                 ! this requires special handling by multi-frame restart
                                ! if a reaction force exists at this dof, replace it with an equal
                                ! force using the endstop option
time,.2
nsub,5
rescontrol,define,all,1    ! request possible restart from any substep
outres,nsol,1
solve
fini

/solu
antyp,,restart,2,3         ! this command resumes the .rdb database created at the start of solution
                           ! (restart from substep 3)
ddele,1,ux                 ! re-specify boundary condition deleted during solution
solve
fini

/post26
nsol,2,1,ux
prvar,2                    ! results show constant velocity through restart
fini
/exit

Note

If you are using the Solution Controls dialog box to do a static or full transient analysis, you can specify basic multiframe restart options on the dialog's Sol'n Options tab. These options include the maximum number of restart files that you want ANSYS to write for a load step, as well as how frequently you want the files to be written. For an overview of the Solution Controls dialog box, see Using Special Solution Controls for Certain Types of Structural Analyses. For details about how to set options on the Solution Controls dialog box, access the dialog box (Main Menu> Solution> Sol'n Control), select the tab that you are interested in, and click the Help button.

3.9.2.1. Multiframe Restart Requirements

The following files are necessary to do a multiframe restart:

  • Jobname.RDB - This is an ANSYS database file saved automatically at the first iteration of the first load step, first substep of a job. This file provides a complete description of the solution with all initial conditions, and will remain unchanged regardless of how many restarts are done for a particular job. When running a job, you should input all information needed for the solution - including parameters (APDL), components, and mandatory solution setup information - before you issue the first SOLVE. If you do not specify parameters before issuing the first SOLVE command, the parameters will not be saved in the .RDB file. In this case, you must use PARSAV before you begin the solution and PARRES during the restart to save and restore the parameters. If the information stored in the .RDB file is not sufficient to perform the restart, you must input the additional information in the restart session before issuing the SOLVE command.

  • Jobname.LDHI - This is the load history file for the specified job. This file is an ASCII file similar to files created by LSWRITE and stores all loading and boundary conditions for each load step. The loading and boundary conditions are stored for the FE mesh. Loading and boundary conditions applied to the solid model are transferred to the FE mesh before storing in the Jobname.LDHI. When doing a multiframe restart, ANSYS reads the loading and boundary conditions for the restart load step from this file (similar to an LSREAD command). In general, you need the loading and boundary conditions for two contiguous load steps because of the ramped load conditions for a restart. You cannot modify this file because any modifications may cause an unexpected restart condition. This file is modified at the end of each load step or when an ANTYPE,,REST,LDSTEP,SUBSTEP,ENDSTEP command is encountered. For tabular loads or boundary conditions, you should ensure that the APDL parameter tables are available at restart.

  • Jobname.Rnnn - For nonlinear static and full transient analyses. This file contains element saved records similar to the .ESAV or .OSAV files. This file also contains all solution commands and status for a particular substep of a load step. All of the .Rnnn files are saved at the converged state of a substep so that all element saved records are valid. If a substep does not converge, no .Rnnn file will be written for that substep. Instead, an .Rnnn file from a previously converged substep is written.

  • Jobname.Mnnn - For mode-superposition transient analysis. This file contains the modal displacements, velocities, and accelerations records and solution commands for a single substep of a load step

Multiframe restart in nonlinear static and full transient analyses has the following limitations:

  • It does not support KUSE. A new stiffness matrix and the related .TRI file will be regenerated.

  • The .Rnnn file does not save the EKILL and EALIVE commands. If EKILL or EALIVE commands are required in the restarted session, you must reissue these commands.

  • The .RDB file saves only the database information available at the first substep of the first load step. If you input other information after the first load step and need that information for the restart, you must input this information in the restart session. This situation often occurs when parameters are used (APDL). You must use PARSAV to save the parameters during the initial run and use PARRES to restore them in the restart. The situation also occurs when you want to change element REAL constants values. Reissue the R command during the restart session in this case.

  • You cannot restart a job at the equation solver level (for example, the PCG iteration level). The job can only be restarted at a substep level (either transient or Newton-Raphson loop).

  • You cannot restart an analysis with a load step number larger than 9999.

  • Multiframe restart does not support the ENDSTEP option of ANTYPE when the arc-length method is employed.

  • All loading and boundary conditions are stored in the Jobname.LDHI file; therefore, upon restart, removing or deleting solid modeling loading and boundary conditions will not result in the removal of these conditions from the finite element model. You must remove these conditions directly from nodes and elements.

  • You cannot restart an analysis if the job was terminated by a Jobname.ABT file in the GUI.

3.9.2.2. Multiframe Restart Procedure

Use the following procedure to restart an analysis:

  1. Enter the ANSYS program and specify the same jobname that was used in the initial run. To do so, issue the /FILNAME command (Utility Menu> File> Change Jobname). Enter the SOLUTION processor using /SOLU (Main Menu> Solution).

  2. Determine the load step and substep at which to restart by issuing RESCONTROL, FILE_SUMMARY. This command will print the substep and load step information for all .Rnnn files in the current directory.

  3. Resume the database file and indicate that this is a restart analysis by issuing ANTYPE,,REST,LDSTEP,SUBSTEP,Action (Main Menu> Solution> Restart).

  4. Specify revised or additional loads as needed. Be sure to take whatever corrective action is necessary if you are restarting from a convergence failure.

  5. Initiate the restart solution by issuing the SOLVE command. (See Obtaining the Solution for details.) You must issue the SOLVE command when taking any restart action, including ENDSTEP or RSTCREATE.

  6. Postprocess as desired, then exit the ANSYS program.

If the files Jobname.LDHI and Jobname.RDB exist, the ANTYPE,,REST command will cause ANSYS to do the following:

  • Resume the database Jobname.RDB

  • Rebuild the loading and boundary conditions from the Jobname.LDHI file

  • Rebuild the ANSYS solution commands and status from the .Rnnn file, or from the .Mnnn file in the case of a mode-superposition transient analysis.

At this point, you can enter other commands to overwrite input restored by the ANTYPE command.

Note

The loading and boundary conditions restored from the Jobname.LDHI are for the FE mesh. The solid model loading and boundary conditions are not stored on the Jobname.LDHI.

After the job is restarted, the files are affected in the following ways:

  • The .RDB file is unchanged.

  • All information for load steps and substeps past the restart point is deleted from the .LDHI file. Information for each new load step is then appended to the file.

  • All of the .Rnnn or .Mnnn files that have load steps and substeps earlier than the restart point will be kept unchanged. Those files containing load steps and substeps beyond the restart point will be deleted before the restart solution begins in order to prevent file conflicts.

  • For nonlinear static and full transient analyses, the results file .RST is updated according to the restart. All results from load steps and substeps later than the restart point are deleted from the file to prevent conflicts, and new information from the solution is appended to the end of the results file.

  • For a mode-superposition transient analysis, the reduced displacements file .RDSP is updated according to the restart. All results from load steps and substeps later than the restart point are deleted from the file to prevent conflicts, and new information from the solution is appended to the end of the reduced displacements file.

When a job is started from the beginning again (first substep, first load step), all of the restart files (.RDB, .LDHI, and .Rnnnor .Mnnn) in the current directory for the current jobname will be deleted before the new solution begins.

You can issue a ANTYPE,,REST,LDSTEP,SUBSTEP,RSTCREATE command to create a results file for a particular load step and substep of an analysis. Use the ANTYPE command with the OUTRES command to write the results. A RSTCREATE session will not update or delete any of the restart files, allowing you to use RSTCREATE for any number of saved points in a session. The RSTCREATE option is not supported in mode-superposition analysis.

The sample input listing below shows how to create a results file for a particular substep in an analysis.

!  Restart run:
/solu
antype,,rest,1,3,rstcreate	!Create a results file from load
            !step 1, substep 3
outres,all,all		!Store everything into the results file
outpr,all,all		!Optional for printed output
solve			!Execute the results file creation
finish
/post1
set,,1,3		!Get results from load step 1,
            !substep 3
prnsol
finish

3.9.3. VT Accelerator Re-run

Once you have performed an analysis using the VT Accelerator option [STAOPT,VT or TRNOPT,VT], you may rerun the analysis; the number of iterations required to obtain the solution for all load steps and substeps will be greatly reduced. You can make the following types of changes to the model before rerunning:

  • Modified or added/removed loads (constraints may not be changed, although their value may be modified)

  • Materials and material properties

  • Section and real constants

  • Geometry, although the mesh connectivity must remain the same (i.e. the mesh may be morphed)

VT Accelerator allows you to effectively perform parametric studies of nonlinear and transient analyses in a cost-effective manner (as well as to quickly re-run the model, which is typically necessary to get a nonlinear model operational).

3.9.3.1. VT Accelerator Re-run Requirements

When rerunning a VT Accelerator analysis, the following files must be available from the initial run:

  • Jobname.DB – the database file. It may be modified as listed in the previous section.

  • Jobname.ESAV – Element saved data

  • Jobname.RSX – Variational Technology results file

3.9.3.2. VT Accelerator Re-run Procedure

The procedure for rerunning a VT Accelerator analysis is as follows:

  1. Enter the ANSYS program and specify the same jobname that was used in the initial run with /FILNAME (Utility Menu> File> Change Jobname).

  2. Resume the database file using RESUME (Utility Menu> File> Resume Jobname.db) and make any modifications to the data.

  3. Enter the SOLUTION processor using /SOLU (Main Menu> Solution), and indicate that this is a restart analysis by issuing ANTYPE,,VTREST (Main Menu> Solution> Restart).

  4. Because you are re–running the analysis, you must reset the load steps and loads. If resuming a database saved after the first load step of the initial run, you will need to delete the loads and redefine the loads from the first load step.

  5. Initiate the restart solution by issuing the SOLVE command. See Obtaining the Solution for details.

  6. Repeat steps 4, 5, and 6 for the additional load steps, if any.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.8. Terminating a Running Job 		Up / Home Next
3.10. Exercising Partial Solution Steps


3.10. Exercising Partial Solution Steps

When you initiate a solution, the ANSYS program goes through a predefined series of steps to calculate the solution; it formulates element matrices, triangularizes matrices, and so on. Another SOLUTION command, PSOLVE, (Main Menu> Solution> Partial Solu) allows you to exercise each such step individually, completing just a portion of the solution sequence each time. For example, you can stop at the element matrix formulation step and go down a different path to perform inertia relief calculations. Or, you can stop at the Guyan reduction step (matrix reduction) and go on to calculate reduced eigenvalues.

Some possible uses of the PSOLVE approach are listed below.

  • You can use it as a restart tool for singleframe restarts. For instance, you can start from the .EMAT file and perform a different analysis.

  • You can use it to perform a prestressed modal analysis of a large deflection static solution.

  • You can use the results of an intermediate solution step (such as the triangularized matrix) as input to another software package or user-written program.

  • If you are interested just in inertia relief calculations or some such intermediate result, the PSOLVE approach is useful. See the Structural Analysis Guide for more information.

The following examples show how you can use partial solution steps with direct and iterative solvers, respectively:

! This outline describes how to use the PSOLVE commands in combination
! with a direct solver (the Frontal solver in this case).
!
/prep7
!
! define model geometry
! define model materials
!
fini
/solu
!
! apply boundary conditions
! define psolve commands
!
psolve,elform	   ! Note the psolve commands in a single load step
psolve,elprep
psolve,triang
!
fini            ! Finish required to end psolve load step
/solu
kuse,1          ! Needed for stiffness created by the psolve commands used
outres,all,all
solve
fini            ! End of direct solver outline
!
! This outline describes how to use the PSOLVE commands in combination
! with an iterative solver (the JCG solver in this case).
! Although documented to work, using the PSOLVE commands with an
! iterative solver is not likely to decrease solution-processing time.
!
/prep7
!
! Define model geometry
! Define model materials
!
fini
/solu
!
! Apply boundary conditions
! Define psolve commands
!
eqslv,jcg       ! This first load step can be any load step which creates a
solve           ! jobname.full file.  If a jobname.full exists, this load step
fini            ! is unnecessary.
/solu
psolve,cgsol    ! Need jobname.full in place before psolve,cgsol
outres,all,all
fini            ! End of iterative solver outline

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.9. Restarting an Analysis 		Up / Home Next
3.11. Singularities


3.11. Singularities

A singularity exists in an analysis whenever an indeterminate or non-unique solution is possible. A negative or zero equation solver pivot value will yield such a solution. In some instances, it may be desirable to continue the analysis, even though a negative or zero pivot value is encountered. You can use the PIVCHECK command to specify whether or not to stop the analysis when this occurs.

The default value for the PIVCHECK command is ON. With PIVCHECK set to ON, a linear static analysis (in batch mode only) stops when a negative or zero pivot value is encountered. The message "NEGATIVE PIVOT VALUE" or "PIVOTS SET TO ZERO" is displayed. If PIVCHECK is set to OFF, the pivots are not checked. Set PIVCHECK to OFF if you want your batch mode linear static analysis to continue in spite of a zero or negative pivot value. The PIVCHECK setting has no effect for nonlinear analyses, since a negative or zero pivot value can occur for a valid analysis. When PIVCHECK is set to OFF, ANSYS automatically increases any pivot value smaller than machine "zero" to a value between 10 and 100 times that machine's "zero" value. Machine "zero" is a tiny number the machine uses to define "zero" within some tolerance. This value varies for different computers (approx1E-15).

The following conditions may cause singularities in the solution process:

  • Insufficient constraints.

  • Nonlinear elements in a model (such as gaps, sliders, hinges, cables, etc.). A portion of the structure may have collapsed or may have "broken loose."

  • Negative values of material properties, such as DENS or C, specified in a transient thermal analysis.

  • Unconstrained joints. The element arrangements may cause singularities. For example, two horizontal spar elements will have an unconstrained degree of freedom in the vertical direction at the joint. A linear analysis would ignore a vertical load applied at that point. Also, consider a shell element with no in-plane rotational stiffness connected perpendicularly to a beam or pipe element. There is no in-plane rotational stiffness at the joint. A linear analysis would ignore an in-plane moment applied at that joint.

  • Buckling. When stress stiffening effects are negative (compressive) the structure weakens under load. If the structure weakens enough to effectively reduce the stiffness to zero or less, a singularity exists and the structure has buckled. The "NEGATIVE PIVOT VALUE - " message will be printed.

  • Zero Stiffness Matrix (on row or column). Both linear and nonlinear analyses will ignore an applied load if the stiffness is exactly zero.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.10. Exercising Partial Solution Steps 		Up / Home Next
3.12. Stopping Solution After Matrix Assembly


3.12. Stopping Solution After Matrix Assembly

You can terminate the solution process after the assembled global matrix file (.FULL file) has been written by using WRFULL. By doing so, the equation solution process and the process of writing data to the results file are skipped. This feature can then be used in conjunction with HBMAT in /AUX2 to dump any of the assembled global matrices into a new file that is written in Harwell-Boeing format.

Note

The WRFULL command is only valid for linear static, full harmonic, and full transient analyses when the sparse direct solver is selected. WRFULL is also valid for buckling and modal analyses when any mode extraction method is selected. This command is not valid for nonlinear analyses or analyses containing p-elements.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.11. Singularities 		Up / Home Next
Chapter 4. An Overview of Postprocessing


Chapter 4. An Overview of Postprocessing

After building the model and obtaining the solution, you will want answers to some critical questions: Will the design really work when put to use? How high are the stresses in this region? How does the temperature of this part vary with time? What is the heat loss across this face of my model? How does the magnetic flux flow through this device? How does the placement of this object affect fluid flow? The postprocessors in the ANSYS program can help you answer these questions and others.

Postprocessing means reviewing the results of an analysis. It is probably the most important step in the analysis, because you are trying to understand how the applied loads affect your design, how good your finite element mesh is, and so on.

The following postprocessing topics are available:

  • Postprocessors Available
  • The Results Files
  • Types of Data Available for Postprocessing

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.12. Stopping Solution After Matrix Assembly 		Up / Home Next
4.1. Postprocessors Available


4.1. Postprocessors Available

Two postprocessors are available for reviewing your results: POST1, the general postprocessor, and POST26, the time-history postprocessor. POST1 allows you to review the results over the entire model at specific load steps and substeps (or at specific time-points or frequencies). In a static structural analysis, for example, you can display the stress distribution for load step 3. Or, in a transient thermal analysis, you can display the temperature distribution at time = 100 seconds. Following is a typical example of a POST1 plot:

Figure 4.1 A Typical POST1 Contour Display

POST26 allows you to review the variation of a particular result item at specific points in the model with respect to time, frequency, or some other result item. In a transient magnetic analysis, for instance, you can graph the eddy current in a particular element versus time. Or, in a nonlinear structural analysis, you can graph the force at a particular node versus its deflection. Figure 4.2: "A Typical POST26 Graph" is shown below.

Figure 4.2 A Typical POST26 Graph

It is important to remember that the postprocessors in ANSYS are just tools for reviewing analysis results. You still need to use your engineering judgment to interpret the results. For example, a contour display may show that the highest stress in the model is 37,800 psi. It is now up to you to determine whether this level of stress is acceptable for your design.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 4. An Overview of Postprocessing 		Up / Home Next
4.2. The Results Files


4.2. The Results Files

You can use OUTRES to direct the ANSYS solver to append selected results of an analysis to the results file at specified intervals during solution. The name of the results file depends on the analysis discipline:

  • Jobname.RST for a structural analysis

  • Jobname.RTH for a thermal analysis

  • Jobname.RMG for a magnetic field analysis

  • Jobname.RFL for a FLOTRAN analysis

For a FLOTRAN analysis, the file extension is .RFL. For other fluid analyses, the file extension is .RST or .RTH, depending on whether structural degrees of freedom are present. (Using different file identifiers for different disciplines helps you in coupled-field analyses where the results from one analysis are used as loads for another. The Coupled-Field Analysis Guide presents a complete description of coupled-field analyses.)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.1. Postprocessors Available 		Up / Home Next
4.3. Types of Data Available for Postprocessing


4.3. Types of Data Available for Postprocessing

The solution phase calculates two types of results data:

  • Primary data consist of the degree-of-freedom solution calculated at each node: displacements in a structural analysis, temperatures in a thermal analysis, magnetic potentials in a magnetic analysis, and so on (see Table 4.1: "Primary and Derived Data for Different Disciplines"). These are also known as nodal solution data.

  • Derived data are those results calculated from the primary data, such as stresses and strains in a structural analysis, thermal gradients and fluxes in a thermal analysis, magnetic fluxes in a magnetic analysis, and the like. They are typically calculated for each element and may be reported at any of the following locations: at all nodes of each element, at all integration points of each element, or at the centroid of each element. Derived data are also known as element solution data, except when they are averaged at the nodes. In such cases, they become nodal solution data.

Table 4.1 Primary and Derived Data for Different Disciplines

Discipline | Primary Data | Derived Data
Structural | Displacement | Stress, strain, reaction, etc.
Thermal | Temperature | Thermal flux, thermal gradient, etc.
Magnetic | Magnetic Potential | Magnetic flux, current density, etc.
Electric | Electric Scalar Potential | Electric field, flux density, etc.
Fluid | Velocity, Pressure | Pressure gradient, heat flux, etc.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.2. The Results Files 		Up / Home Next
Chapter 5. The General Postprocessor (POST1)


Chapter 5. The General Postprocessor (POST1)

Use POST1, the general postprocessor, to review analysis results over the entire model, or selected portions of the model, for a specifically defined combination of loads at a single time (or frequency). POST1 has many capabilities, ranging from simple graphics displays and tabular listings to more complex data manipulations such as load case combinations.

To enter the ANSYS general postprocessor, issue the /POST1 command (Main Menu> General Postproc).

The following POST1 topics are available:

  • Reading Results Data into the Database
  • Reviewing Results in POST1
  • Using the PGR File in POST1
  • Additional POST1 Postprocessing

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.3. Types of Data Available for Postprocessing 		Up / Home Next
5.1. Reading Results Data into the Database


5.1. Reading Results Data into the Database

The first step in POST1 is to read data from the results file into the database. To do so, model data model data (nodes, elements, etc.) must exist in the database. If the database does not already contain model data, issue the RESUME command (Utility Menu> File> Resume Jobname.db) to read the database file, Jobname.DB. The database should contain the same model for which the solution was calculated, including the element types, nodes, elements, element real constants, material properties, and nodal coordinate systems.

Caution

The database should contain the same set of selected nodes and elements that were selected for the solution. Otherwise, a data mismatch may occur. For more information about data mismatches, see Appending Data to the Database.

After model data are in the database, load the results data from the results file by issuing one of the following commands: SET, SUBSET, or APPEND.

5.1.1. Reading in Results Data

The SET command (Main Menu> General Postproc> Read Results> datatype) reads results data over the entire model from the results file into the database for a particular loading condition, replacing any data previously stored in the database. The boundary condition information (constraints and force loads) is also read in, but only if either element nodal loads or reaction loads are available; see the OUTRES command for more information. If they are not available, no boundary conditions will be available for listing or plotting. Only constraints and forces are read in; surface and body loads are not updated and remain at their last specified value. However, if the surface and body loads have been specified using tabular boundary conditions, they will reflect the values corresponding to this results set. Loading conditions are identified either by load step and substep or by time (or frequency). The arguments specified with the command or path identify the data to be read into the database. For example, SET,2,5 reads in results for load step 2, substep 5. Similarly, SET,,,,,3.89 reads in results at time = 3.89 (or frequency = 3.89 depending on the type of analysis that was run). If you specify a time for which no results are available, the program performs linear interpolation to calculate results at that time.

The default maximum number of substeps in the results file (Jobname.RST) is 1000. When the number of substeps exceeds this limit, you need to issue SET,Lstep,LAST to bring in the 1000th load step. Use /CONFIG to increase the limit.

Caution

For a nonlinear analysis, interpolation between time points usually degrades accuracy. Therefore, take care to postprocess at a time value for which a solution is available.

Some convenience labels are also available on SET:

  • SET,FIRST reads in the first substep. The GUI equivalent is Main Menu> General Postproc> Read Results> First Set.

  • SET,NEXT reads in the next substep. The GUI equivalent is Main Menu> General Postproc> Read Results> Next Set.

  • SET,LAST reads in the last substep. The GUI equivalent is Main Menu> General Postproc> Read Results> Last Set.

  • The NSET field on the SET command (GUI equivalent is Main Menu> General Postproc> Read Results> By Set Number) retrieves data that corresponds to its unique data set number, rather than its load step and substep number. This is extremely useful with FLOTRAN results, because you can have multiple sets of results data with identical load step and substep numbers. Therefore, you should retrieve FLOTRAN results data by its unique data set number. The LIST option on the SET command (or Main Menu> General Postproc> List Results in the GUI) lists the data set number along with its corresponding load step and substep numbers. You can enter this data set number on the NSET field of the next SET command to request the proper set of results.

  • The ANGLE field on SET specifies the circumferential location for harmonic elements (structural - PLANE25, PLANE83, and SHELL61; thermal - PLANE75 and PLANE78).

5.1.2. Other Options for Retrieving Results Data

Other GUI paths or commands also enable you to retrieve results data.

5.1.2.1. Defining Data to be Retrieved

The INRES command (Main Menu> General Postproc> Data & File Opts) in POST1 is a companion to the OUTRES command in the PREP7 and SOLUTION processors. Where the OUTRES command controls data written to the database and the results file, the INRES command defines the type of data to be retrieved from the results file for placement into the database through commands such as SET, SUBSET, and APPEND. Although not required for postprocessing of data, the INRES command limits the amount of data retrieved and written to the database. As a result, postprocessing your data may take less time.

5.1.2.2. Reading Selected Results Information

To read a data set from the results file into the database for the selected portions of the model only, use the SUBSET command (Main Menu> General Postproc> Read Results> By characteristic). Data that has not been specified for retrieval from the results file by the INRES command will be listed as having a zero value.

The SUBSET command behaves like the SET command except that it retrieves data for the selected portions of the model only. It is very convenient to use the SUBSET command to look at the results data for a portion of the model. For example, if you are interested only in surface results, you can easily select the exterior nodes and elements, and then use SUBSET to retrieve results data for just those selected items.

5.1.2.3. Appending Data to the Database

Each time you use SET, SUBSET, or their GUI equivalents, ANSYS writes a new set of data over the data currently in the database. The APPEND command (Main Menu> General Postproc> Read Results> By characteristic) reads a data set from the results file and merges it with the existing data in the database, for the selected model only. The existing database is not zeroed (or overwritten in total), allowing the requested results data to be merged into the database.

You can use any of the commands SET, SUBSET, or APPEND to read data from the results file into the database. The only difference between the commands or paths is how much or what type of data you wish to retrieve. When appending data, be very careful not to generate a data mismatch inadvertently. For example, consider the following set of commands:

/POST1
INRES,NSOL            ! Flag data from nodal DOF solution
NSEL,S,NODE,,1,5      ! Select nodes 1 to 5
SUBSET,1              ! Write data from load step 1 to database

At this point results data for nodes 1 to 5 from load step 1 are in the database.

NSEL,S,NODE,,6,10     ! Select nodes 6 to 10
APPEND,2              ! Merge data from load step 2 into database
NSEL,S,NODE,,1,10     ! Select nodes 1 to 10
PRNSOL,DOF            ! Print nodal DOF solution results

The database now contains data for both load steps 1 and 2. This is a data mismatch. When you issue the PRNSOL command (Main Menu> General Postproc> List Results> Nodal Solution), the program informs you that you will have data from the second load step, when actually data from two different load steps now exist in the database. The load step listed by the program is merely the one corresponding to the most recent load step stored. Of course, appending data to the database is very helpful if you wish to compare results from different load steps, but if you purposely intend to mix data, it is extremely important to keep track of the source of the data appended.

To avoid data mismatches when you are solving a subset of a model that was solved previously using a different set of elements, do either of the following:

  • Do not reselect any of the elements that were unselected for the solution currently being postprocessed.

  • Remove the earlier solution from the ANSYS database. You can do so by exiting from ANSYS between solutions or by saving the database between solutions.

For more information, see the Commands Reference for descriptions of the INRES, NSEL, APPEND, PRNSOL, and SUBSET commands.

If you wish to clear the database of any previous data, use one of the following methods:

Command(s): | LCZERO
GUI: | Main Menu> General Postproc> Load Case> Zero Load Case

Either method sets all current values in the database to zero, therefore giving you a fresh start for further data storage. If you set the database to zero before appending data to it, the result is the same as using the SUBSET command or the equivalent GUI path, assuming that the arguments on SUBSET and APPEND are equivalent.

Note

All of the options available for the SET command are also available for the SUBSET and APPEND commands.

By default, the SET, SUBSET, and APPEND commands look for one of these results files: Jobname.RST, Jobname.RTH, Jobname.RMG, or Jobname.RFL. You can specify a different file name by issuing the FILE command (Main Menu> General Postproc> Data & File Opts) before issuing SET, SUBSET, or APPEND.

5.1.3. Creating an Element Table

In the ANSYS program, the element table serves two functions. First, it is a tool for performing arithmetic operations among results data. Second, it allows access to certain element results data that are not otherwise directly accessible, such as derived data for structural line elements. (Although the SET, SUBSET, and APPEND commands read all requested results items into the database, not all data are directly accessible with commands such as PLNSOL, PLESOL, etc.).

Think of the element table as a spreadsheet, where each row represents an element, and each column represents a particular data item for the elements. For example, one column might contain the average SX stress for the elements, while another might contain the element volumes, while yet a third might contain the Y coordinate of the centroid for each element.

To create or erase the element table, use one of the following:

Command(s): | ETABLE
GUI: | Main Menu> General Postproc> Element Table> Define Table Main Menu> General Postproc> Element Table> Erase Table

5.1.3.1. Filling the Element Table for Variables Identified By Name

To identify an element table column, you assign a label to it using the Lab field (GUI) or the Lab argument on the ETABLE command. This label will be used as the identifier for all subsequent POST1 commands involving this variable. The data to go into the columns is identified by an Item name and a Comp (component) name, the other two arguments on the ETABLE command. For example, for the SX stresses mentioned above, SX could be the Lab, S would be the Item, and X would be the Comp argument.

Some items, such as the element volumes, do not require Comp; in such cases, Item is VOLU and Comp is left blank. Identifying data items by an Item, and Comp if necessary, is called the "Component Name" method of filling the element table. The data which are accessible with the component name method are data generally calculated for most element types or groups of element types.

The ETABLE command documentation lists, in general, all the Item and Comp combinations. However see the "Element Output Definitions" table in each element description in the Elements Reference to see which combinations are valid. Table 5.1: "3-D BEAM4 Element Output Definitions" is an example of such a table for BEAM4. You can use any name in the Name column of the table that contains a colon (:) to fill the element table via the Component Name method. The portion of the name before the colon should be input for the Item argument of the ETABLE command. The portion (if any) after the colon should be input for the Comp argument. The O and R columns indicate the availability of the items in the file Jobname.OUT (O) or in the results file (R): a Y indicates that the item is always available, a number refers to a table footnote which describes when the item is conditionally available, and a - indicates that the item is not available.

Table 5.1 3-D BEAM4 Element Output Definitions

Name | Definition | O | R
EL | Element number | Y | Y
NODES | Element node number (I and J) | Y | Y
MAT | Material number for the element | Y | Y
VOLU: | Element volume | - | Y
CENT:(X, Y, Z) | Global location of the element centroid XC, YC, ZC | - | Y
TEMP | Temperatures at integration points T1, T2, T3, T4, T5, T6, T7, T18 | Y | Y
PRES | Pressure P1 at nodes I,J; OFFST1 at I,J; P2 at I,J; OFFST2 at I,J; P3 at I,J; OFFST3 at I,J; P4 at I; P5 at J | Y | Y
SDI R | Axial direct stress | 1 | 1
SBYT | Bending stress on the element +Y side of the beam | 1 | 1
SBYB | Bending stress on the element -Y side of the beam | 1 | 1
SBZT | Bending stress on the element +Z side of the beam | 1 | 1
SBZB | Bending stress on the element -Z side of the beam | 1 | 1
SMAX | Maximum stress (direct stress + bending stress) | 1 | 1
SMIN | Minimum stress (direct stress - bending stress) | 1 | 1
EPELDIR | Axial elastic strain at the end | 1 | 1
EPELBYT | Bending elastic strain on the element +Y side of the beam | 1 | 1
EPELBYB | Bending elastic strain on the element -Y side of the beam | 1 | 1
EPELBZT | Bending elastic strain on the element +Z side of the beam | 1 | 1
EPELBZB | Bending elastic strain on the element -Z side of the beam | 1 | 1
EPTHDIR | Axial thermal strain at the end | 1 | 1
EPTHBYT | Bending thermal strain on the element +Y side of the beam | 1 | 1
EPTHBYB | Bending thermal strain on the element -Y side of the beam | 1 | 1
EPTHBZT | Bending thermal strain on the element +Z side of the beam | 1 | 1
EPTHBZB | Bending thermal strain on the element -Z side of the beam | 1 | 1
EPINAXL | Initial axial strain in the element | 1 | 1
MFOR:(X,Y,Z) | Member forces in the element coordinate system X, Y, Z directions | 2 | Y
MMOM:(X,Y,Z) | Member moments in the element coordinate system X, Y, Z directions | 2 | Y

  1. The item repeats for end I, intermediate locations (see KEYOPT(9)), and end J.

  2. If KEYOPT(6) = 1.

5.1.3.2. Filling the Element Table for Variables Identified By Sequence Number

You can load data that is not averaged, or that is not naturally single-valued for each element, into the element table. This type of data includes integration point data, all derived data for structural line elements (such as spars, beams, and pipes) and contact elements, all derived data for thermal line elements, layer data for layered elements, etc. These data are listed in the "Item and Sequence Numbers for the ETABLE and ESOL Commands" table with each element type description in the Commands Reference. Table 5.2: "BEAM4 (KEYOPT(9) = 0) Item and Sequence Numbers for the ETABLE and ESOL Commands" is an example of such a table for BEAM4.

The data in the tables is broken down into item groups (such as LS, LEPEL, SMISC, etc.). Each item within the item group has an identifying "sequence" number listed. You load these data into the element table by giving the item group (such as LS, LEPEL, SMISC, etc.) as the Item argument on the ETABLE command, and the sequence number as the Comp argument. This is referred to as the "Sequence Number" method of filling the element table. For example, the maximum stress at node J for BEAM4 is Item = NMISC and Comp = 3, while the initial axial strain (EPINAXL) for the element (E) is Item = LEPTH and Comp = 11.

Table 5.2 BEAM4 (KEYOPT(9) = 0) Item and Sequence Numbers for the ETABLE and ESOL Commands

KEYOPT(9) = 0
Label | Item | E | I | J
SDIR | LS | - | 1 | 6
SBYT | LS | - | 2 | 7
SBYB | LS | - | 3 | 8
SBZT | LS | - | 4 | 9
SBZB | LS | - | 5 | 10
EPELDIR | LEPEL | - | 1 | 6
EPELBYT | LEPEL | - | 2 | 7
EPELBYB | LEPEL | - | 3 | 8
EPELBZT | LEPEL | - | 4 | 9
EPELBZB | LEPEL | - | 5 | 10
SMAX | NMISC | - | 1 | 3
SMIN | NMISC | - | 2 | 4
EPTHDIR | LEPTH | - | 1 | 6
EPTHBYT | LEPTH | - | 2 | 7
EPTHBYB | LEPTH | - | 3 | 8
EPTHBZT | LEPTH | - | 4 | 9
EPTHBZB | LEPTH | - | 5 | 10
EPINAXL | LEPTH | 11 | - | -
MFORX | SMISC | - | 1 | 7
MFORY | SMISC | - | 2 | 8
MFORZ | SMISC | - | 3 | 9
MMOMX | SMISC | - | 4 | 10
MMOMY | SMISC | - | 5 | 11
MMOMZ | SMISC | - | 6 | 12
P1 | SMISC | - | 13 | 14
OFFST1 | SMISC | - | 15 | 16
P2 | SMISC | - | 17 | 18
OFFST2 | SMISC | - | 19 | 20
P3 | SMISC | - | 21 | 22
OFFST3 | SMISC | - | 23 | 24
P4 | SMISC | - | 25 | -
P5 | SMISC | - | - | 26
 |  | Pseudo Node
 |  | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8
TEMP | LBFE | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8

For some line elements, such as BEAM4, KEYOPT settings govern the amount of data calculated. This can change the sequence number of a particular data item. Therefore, in these cases a table for each KEYOPT setting is provided. Table 5.3: "BEAM4 (KEYOPT(9) = 3) Item and Sequence Numbers for the ETABLE and ESOL Commands" shows the same information for BEAM4 as Table 5.2: "BEAM4 (KEYOPT(9) = 0) Item and Sequence Numbers for the ETABLE and ESOL Commands", but with sequence numbers as they look when KEYOPT(9) = 3 (3 intermediate calculation points). For example, with KEYOPT(9) = 0, the member moment (MMOM) in the y direction at end J of the element is sequence number 11 (item SMISC) in Table 5.2: "BEAM4 (KEYOPT(9) = 0) Item and Sequence Numbers for the ETABLE and ESOL Commands", while with KEYOPT(9) = 3 (Table 5.3: "BEAM4 (KEYOPT(9) = 3) Item and Sequence Numbers for the ETABLE and ESOL Commands") the sequence number is 29.

Table 5.3 BEAM4 (KEYOPT(9) = 3) Item and Sequence Numbers for the ETABLE and ESOL Commands

KEYOPT(9) = 3
Label | Item | E | I | IL1 | IL2 | IL3 | J
SDIR | LS | - | 1 | 6 | 11 | 16 | 21
SBYT | LS | - | 2 | 7 | 12 | 17 | 22
SBYB | LS | - | 3 | 8 | 13 | 18 | 23
SBZT | LS | - | 4 | 9 | 14 | 19 | 24
SBZB | LS | - | 5 | 10 | 15 | 20 | 25
EPELDIR | LEPEL | - | 1 | 6 | 11 | 16 | 21
EPELBYT | LEPEL | - | 2 | 7 | 12 | 17 | 22
EPELBYB | LEPEL | - | 3 | 8 | 13 | 18 | 23
EPELBZT | LEPEL | - | 4 | 9 | 14 | 19 | 24
EPELBZB | LEPEL | - | 5 | 10 | 15 | 20 | 25
SMAX | NMISC | - | 1 | 3 | 5 | 7 | 9
SMIN | NMISC | - | 2 | 4 | 6 | 8 | 10
EPTHDIR | LEPTH | - | 1 | 6 | 11 | 16 | 21
EPTHBYT | LEPTH | - | 2 | 7 | 12 | 17 | 22
EPTHBYB | LEPTH | - | 3 | 8 | 13 | 18 | 23
EPTHBZT | LEPTH | - | 4 | 9 | 14 | 19 | 24
EPTHBZB | LEPTH | - | 5 | 10 | 15 | 20 | 25
EPINAXL | LEPTH | 26 | - | - | - | - | -
MFORX | SMISC | - | 1 | 7 | 13 | 19 | 25
MFORY | SMISC | - | 2 | 8 | 14 | 20 | 26
MFORZ | SMISC | - | 3 | 9 | 15 | 21 | 27
MMOMX | SMISC | - | 4 | 10 | 16 | 22 | 28
MMOMY | SMISC | - | 5 | 11 | 17 | 23 | 29
MMOMZ | SMISC | - | 6 | 12 | 18 | 24 | 30
P1 | SMISC | - | 31 | - | - | - | 32
OFFST1 | SMISC | - | 33 | - | - | - | 34
P2 | SMISC | - | 35 | - | - | - | 36
OFFST2 | SMISC | - | 37 | - | - | - | 38
P3 | SMISC | - | 39 | - | - | - | 40
OFFST3 | SMISC | - | 41 | - | - | - | 42
P4 | SMISC | - | 43 | - | - | - | -
P5 | SMISC | - | - | - | - | - | 44
 |  | Pseudo Node
 |  | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8
TEMP | LBFE | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8

5.1.3.3. Notes About Defining Element Tables

  • The ETABLE command works only on the selected elements. That is, only data for the elements you have selected are moved to the element table. By changing the selected elements between ETABLE commands, you can selectively fill rows of the element table.

  • The same Sequence Number combination may mean different data for different element types. For example, the combination SMISC,1 means MFOR(X) for BEAM4 (member force in the element X direction), P1 for SOLID45 (pressure on face 1), and MECHPOWER for TRANS126 (mechanical power). Therefore, if your model has a combination of element types, be sure to select elements of one type (using ESEL or Utility Menu> Select> Entities) before using the ETABLE command.

  • The ANSYS program does not automatically refill (update) the element table when you read in a different set of results (such as for a different load step) or when you alter the results in the database (such as by a load case combination). For example, suppose your model consists of our sample elements, and you issue the following commands in POST1:

SET,1             ! Read in results for load step 1
ETABLE,ABC,lS,6      ! Move SDIR at end J (KEYOPT(9)=0) to the element table
                     !  under heading "ABC"
SET,2                ! Read in results for load step 2

At this point, the "ABC" column in the element table still contains data for load step 1. To refill (update) the column with load step 2 values, you should issue the command ETABLE,REFL, or specify the refill option via the GUI.

  • You can use the element table as a "worksheet" to do calculations among results data. This feature is described in Additional POST1 Postprocessing.

  • To save the element table, issue SAVE,Fname,Ext in POST1 or issue /EXIT,ALL when exiting the ANSYS program. (If you are using the GUI, follow the prompts in the dialog boxes that appear when you choose Utility Menu> File> Save as or Utility Menu> File> Exit.) This saves the table along with the rest of the database onto the database file.

  • To erase the entire element table from memory, issue ETABLE,ERASE (Main Menu> General Postproc> Element Table> Erase Table). (Or issue ETABLE,Lab,ERASE to erase just the Lab column of the element table). The element table will automatically be erased from memory if you issue a RESET command (Main Menu> General Postproc> Reset).

5.1.4. Special Considerations for Principal Stresses

Principal stresses for SHELL61 elements are not readily available for review in POST1. By default, the principal stresses are available for all line elements except in either of the following cases:

  • You have requested an interpolated time point or angle specification on the SET command.

  • You have performed load case operations.

In the above cases (including all cases for SHELL61), you must choose Main Menu> General Postproc> Load Case> Line Elem Stress or issue the command LCOPER,LPRIN in order to calculate the principal stresses. Then you may access this data through ETABLE, or any appropriate printing or plotting command.

5.1.5. Reading in FLOTRAN Results

To read results data from the FLOTRAN "residual" file into the database, issue the FLREAD command (Main Menu> General Postproc> Read Results> FLOTRAN 2.1A). FLOTRAN results (Jobname.RFL) are read with the normal postprocessing functions or commands, such as SET (Utility Menu> List> Results> Load Step Summary).

5.1.6. Resetting the Database

The RESET command (Main Menu> General Postproc> Reset), allows you to re-initialize the POST1 command defaults portion of the database without leaving POST1. The command has the same effect as leaving and re-entering the ANSYS program.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 5. The General Postprocessor (POST1) 		Up / Home Next
5.2. Reviewing Results in POST1


5.2. Reviewing Results in POST1

Once the desired results data are stored in the database, you can review them through graphics displays and tabular listings. In addition, you can map the results data onto a path (for details, see Mapping Results onto a Path).

5.2.1. Displaying Results Graphically

Graphics displays are perhaps the most effective way to review results. You can display the following types of graphics in POST1:

  • Contour displays

  • Deformed shape displays

  • Vector displays

  • Path plots

  • Reaction force displays

  • Particle flow traces.

5.2.1.1. Contour Displays

Contour displays show how a result item (such as stress, temperature, magnetic flux density, etc.) varies over the model. Four commands are available for contour displays:

Command(s): | PLNSOL
GUI: | Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu
Command(s): | PLESOL
GUI: | Main Menu> General Postproc> Plot Results> Contour Plot> Element Solu
Command(s): | PLETAB
GUI: | Main Menu> General Postproc> Plot Results> Contour Plot> Elem Table
Command(s): | PLLS
GUI: | Main Menu> General Postproc> Plot Results> Line Elem Res

The PLNSOL command produces contour lines that are continuous across the entire model. Use either for primary as well as derived solution data. Derived solution data, which are typically discontinuous from element to element, are averaged at the nodes so that continuous contour lines can be displayed.

Sample contour displays of primary data (TEMP) and derived data (TGX) are shown below.

PLNSOL,TEMP             ! Primary data: degree of freedom TEMP

Figure 5.1 Contouring Primary Data with PLNSOL

If PowerGraphics is enabled, you can control averaging of derived data with the following:

Command(s): | AVRES
GUI: | Main Menu> General Postproc> Options for Outp Utility Menu> List> Results> Options

Any of the above allows you to specify whether or not results will be averaged at element boundaries where material and/or real constant discontinuities exist. For more information, see "PowerGraphics".

Caution

If PowerGraphics is disabled, you cannot use the AVRES command to control averaging, and the averaging operation is performed at all nodes of the selected elements without regard to the attributes of the elements connected to them. This can be inappropriate in areas of material or geometric discontinuities. When contouring derived data (which are averaged at the nodes), be sure to select elements of the same material, same thickness (for shells), same element coordinate system orientation, etc.

PLNSOL,TG,X             ! Derived data: thermal gradient TGX

See the PLNSOL command description for further information.

Figure 5.2 Contouring Derived Data with PLNSOL

The PLESOL command produce contour lines that are discontinuous across element boundaries. Use this type of display mainly for derived solution data. For example:

PLESOL,TG,X

Figure 5.3 A Sample PLESOL Plot Showing Discontinuous Contours

The PLETAB command contours data stored in the element table. The Avglab field on the PLETAB command gives you the option of averaging the data at nodes (for continuous contours) or not averaging (the default, for having discontinuous contours). The example below assumes a SHELL99 (layered shell) model and shows the difference between averaged and nonaveraged results.

ETABLE,SHEARXZ,SMISC,9     ! Interlaminar shear (ILSXZ) at bottom of layer 2
PLETAB,SHEARXZ,AVG         ! Averaged contour plot of SHEARXZ

Figure 5.4 Averaged PLETAB Contours

PLETAB,SHEARXZ,NOAVG       ! Unaveraged (default) contour plot of SHEARXZ

Figure 5.5 Unaveraged PLETAB Contours

The PLLS command displays line element results in the form of contours. This command also requires data to be stored in the element table. This type of display is commonly used for shear and moment diagrams in beam analyses. The example below assumes a BEAM3 (2-D beam) model with KEYOPT(9) = 1:

ETABLE,IMOMENT,SMISC,6    ! Bending moment (MMOMZ) at end I, named IMOMENT
ETABLE,JMOMENT,SMISC,18   ! MMOMZ at end J, named JMOMENT
PLLS,IMOMENT,JMOMENT      ! Display results for IMOMENT, JMOMENT

Figure 5.6 Moment Diagram Using PLLS

PLLS simply draws a straight line between values at the I and J nodes of an element without any regard to how the result item varies along the element length. You can use a negative scaling factor to invert the plot.

Notes

  • You can produce isosurface contour displays by first setting Key on the /CTYPE command (Utility Menu> PlotCtrls> Style> Contours> Contour Style) to 1. See "The Time-History Postprocessor (POST26)" for more information about isosurfaces.

  • Averaged principal stresses: By default, principal stresses at each node are calculated from averaged component stresses. You can reverse this, so that principal stresses are first calculated per element, then averaged at the nodes. To do so, use the following:

    Command(s): AVPRIN
    GUI: Main Menu> General Postproc> Options for Outp
    Utility Menu> List> Results> Options

This method is not normally used, but can be useful in special circumstances. Averaging operations should not be done at nodal interfaces of differing materials.

  • Vector sum data: These follow the same practice as the principal stresses. By default, the vector sum magnitude (square root of the sum of the squares) at each node is calculated from averaged components. By using the AVPRIN command, you can reverse this, so that the vector sum magnitudes are first calculated per element, then averaged at the nodes.

  • Shell elements or layered shell elements: By default, results for shell or layered elements are assumed to be at the top surface of the shell or layer. To display results at the top, middle or bottom surface, use the SHELL command (Main Menu> General Postproc> Options for Outp). For layered elements, use the LAYER command (Main Menu> General Postproc> Options for Outp) to indicate layer number.

  • von Mises equivalent strains (EQV): The effective Poisson's ratio used in computing these quantities may be changed using the AVPRIN command.

    Command(s): AVPRIN
    GUI: Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu
    Main Menu> General Postproc> Plot Results> Contour Plot> Element Solu
    Utility Menu> Plot> Results> Contour Plot> Elem Solution

    Typically, you would set the effective Poisson's ratio to the input Poisson's ratio for elastic equivalent strain (item and component EPEL,EQV) and to 0.5 for inelastic strains (item and component EPPL,EQV or EPCR,EQV). For total strains (item and component EPTOT,EQV), you would typically use an effective Poisson's ratio between the input Poisson's ratio and 0.5. As an alternative, you can save the equivalent elastic strains using ETABLE with the effective Poisson's ratio equal to the input Poisson's ratio and save the equivalent plastic strains in another table using 0.5 as the effective Poisson's ratio, then combine the two table entries using SADD to obtain the total equivalent strain.

  • Effect of /EFACET: You may see different plots with different /EFACET settings when viewing continuous contour plots (PLNSOL). If you set /EFACET,1, the contour values for the intermediate locations are interpolated based on the average of the adjacent averaged corner node values. However, if you set /EFACET,2, the midside node values are first calculated within each element, based on the average of the adjacent unaveraged corner node values. The midside node values are then averaged together for a PLNSOL contour plot. If you issue /EFACET,4, ANSYS uses shape functions (except for higher order p-elements) to calculate results values at three subgrid points along each element edge. The subgrid values are first calculated within each element and are then averaged together for PLNSOL plots. Therefore, the contour values at the midside locations will differ with different /EFACET settings.

    In most cases, PLESOL contours will be the same regardless of /EFACET settings. However, you will see differences in PLESOL contour plots if you change /EFACET settings in conjunction with any RSYS setting other than KCN = 0. When a coordinate system other than global Cartesian is chosen (KCN = 1, 2, etc.), the results are first averaged in the global Cartesian coordinate system, and then the averaged results are transformed to the specified results coordinate system.

5.2.1.2. Deformed Shape Displays

You can use these in a structural analysis to see how the structure has deformed under the applied loads. To generate a deformed shape display, use one of the following:

Command(s): | PLDISP
GUI: | Utility Menu> Plot> Results> Deformed Shape Main Menu> General Postproc> Plot Results> Deformed Shape

For example, you might issue the following PLDISP command:

PLDISP,1                ! Deformed shape superimposed over undeformed shape

Figure 5.7 A Sample PLDISP Plot

You can change the displacement scaling by issuing the /DSCALE command (Utility Menu> PlotCtrls> Style> Displacement Scaling).

Be aware that when you enter POST1, all load symbols are automatically turned off. These load symbols remain off if you subsequently re-enter the PREP7 or SOLUTION processors. If you turn the load symbols on in POST1, the resulting display will show the loads on the deformed shape.

5.2.1.3. Vector Displays

Vector displays use arrows to show the variation of both the magnitude and direction of a vector quantity in the model. Examples of vector quantities are displacement (U), rotation (ROT), magnetic vector potential (A), magnetic flux density (B), thermal flux (TF), thermal gradient (TG), fluid velocity (V), principal stresses (S), etc.

To produce a vector display, use one of the following:

Command(s): | PLVECT
GUI: | Main Menu> General Postproc> Plot Results> Vector Plot> Predefined Main Menu> General Postproc> Plot Results> Vector Plot> User-Defined

To scale the arrow lengths, use one of the following:

Command(s): | /VSCALE
GUI: | Utility Menu> PlotCtrls> Style> Vector Arrow Scaling

PLVECT,B                ! Vector display of magnetic flux density

Figure 5.8 PLVECT Vector Plot of Magnetic Field Intensity

You can also create your own vector quantity by specifying two or three components on the PLVECT command.

5.2.1.4. Path Plots

These are graphs that show the variation of a quantity along a predefined path through the model. To produce a path plot, you need to perform these tasks:

  1. Define path attributes using the PATH command (Main Menu> General Postproc> Path Operations> Define Path> Path Status> Defined Paths).

  2. Define the points of the path using the PPATH command (Main Menu> General Postproc> Path Operation> Define Path> Modify Path).

  3. Map the desired quantity on to the path using the PDEF command (Main Menu> General Postproc> Path Operations> Map onto Path)

  4. Use the PLPATH and PLPAGM commands (Main Menu> General Postproc> Path Operations> Plot Path Items) to display the results.

More details on this appear later in Mapping Results onto a Path.

5.2.1.5. Reaction Force Displays

These are similar to boundary condition displays and are activated using the labels RFOR or RMOM on the /PBC command. Any subsequent display (produced by commands such as NPLOT, EPLOT, or PLDISP) will include reaction force symbols at points where DOF constraints were specified. The sum of nodal forces for a DOF belonging to a constraint equation does not include the force passing through that equation. See the Theory Reference for ANSYS and ANSYS Workbench.

Like reactions, you can also display nodal forces using labels NFOR or NMOM on the /PBC command (Utility Menu> PlotCtrls> Symbols). These are forces exerted by an element on its node. The sum of these forces at each node is usually zero except at constrained nodes or at nodes where loads were applied.

By default, the force (or moment) values that are printed and plotted represent the total forces (sum of the static, damping, and inertial components). The FORCE command (Main Menu> General Postproc> Options for Outp) allows you to separate the total force into individual components.

5.2.1.6. Particle Flow and Charged Particle Traces

A particle flow trace is a special form of graphics display that shows how a particle travels in a flowing fluid. A charged particle trace is a graphics display that shows how a charged particle travels in an electric or magnetic field. See "Creating Geometric Results Displays" for more information on graphic displays and see "Animation" for information on particle trace animation. See the Theory Reference for ANSYS and ANSYS Workbench for simplifying assumptions on electromagnetic particle tracing.

A particle flow or charged particle trace requires two functions:

  1. The TRPOIN command (Main Menu> General Postproc> Plot Results> Flow Trace> Defi Trace Pt). Either defines a point on the path trajectory (starting point, ending point, or anywhere in between).

  2. The PLTRAC command (Main Menu> General Postproc> Plot Results> Flow Trace> Plot Flow Tra). Either produces the flow trace on an element display. Up to 50 points can be defined and plotted simultaneously.

A sample PLTRAC plot is shown below.

Figure 5.9 A Sample Particle Flow Trace

The Item and Comp fields on PLTRAC allow you to see the variation of a specified item (such as velocity, pressure, and temperature for a particle flow trace or electric potential for a charged particle trace). The variation of the item is displayed along the path trajectory as a color-contoured ribbon.

Figure 5.10 A Sample Charge Particle Trace in Electric and/or Magnetic Fields

Tracing a particle moving in a pure magnetic field might look like this:

The path of that particle moving through a pure electric field might look like this:

Plotting that same particle in the presence of both the electric and magnetic fields (with E normal to B) would then look like this:

Other commands are:

  • TRPLIS command (Main Menu> General Postproc> Plot Results> Flow Trace> List Trace Pt) - lists trace points.

  • TRPDEL command (Main Menu> General Postproc> Plot Results> Flow Trace> Dele Trace Pt) - deletes trace points.

  • TRTIME command (Main Menu> General Postproc> Plot Results> Flow Trace> Time Interval) - defines the flow trace time interval.

  • ANFLOW command (Utility Menu> PlotCtrls> Animate> Particle Flow) - generates an animated sequence of particle flow.

Notes

  • Three array parameters are created at the time of the particle trace: TRACPOIN, TRACDATA and TRACLABL. These array parameters can be used to put the particle velocity and the elapsed time into path form. The procedure to put the arrays into a path named PATHNAME is as follows:

    *get,npts,PARM,TRACPOIN,DIM,x
PATH,PATHNAME,npts,9,1
PAPUT,TRACPOIN,POINTS
PAPUT,TRACDATA,TABLES
PAPUT,TRACLABL,LABELS
PRPATH,S,T_TRACE,VX_TRACE,VY_TRACE,VZ_TRACE,VS_TRACE

  • Particle flow traces occasionally stop for no apparent reason. This can occur in stagnant flow regions, near wall flow regions, or when a particle is tracking along an element edge. To resolve the problem, adjust the initial particle point slightly in the cross stream direction.

  • For charged particle traces, the variables Chrg and Mass input by the TRPOIN command (Main Menu> General Postproc> Plot Results> Flow Trace> Defi Trace Pt) have units of Coulombs and kilograms, respectively, in the MKS system.

  • The particle tracing algorithm could lead to an infinite loop. For example, a charged particle trace could lead to an infinite circular loop. To avoid infinite loops, the PLTRAC command argument MXLOOP sets a limiting value.

  • Charge particle tracing could be performed after an electrostatic analysis (using only electric field), or after a magnetostatic analysis using only magnetic field or coupled magnetic and electric fields. The latter case could be done using the electric field as a body load applied either with BFE,EF command or with LDREAD,EF command.

5.2.1.7. Cracking and Crushing Plots

If you have SOLID65 elements in your model, you can use the PLCRACK command (Main Menu> General Postproc> Plot Results> Crack/Crush) to determine which elements have cracked and/or crushed. Small circles will be shown where the concrete has cracked, and small octagons will be shown where the concrete has crushed (see Figure 5.11: "Concrete Beam with Cracks"). The cracking and crushing symbols are visible when a non-hidden, vector type of display is used. To specify such a device, issue the command /DEVICE,VECTOR,ON (Utility Menu> PlotCtrls> Device Options).

Figure 5.11 Concrete Beam with Cracks

5.2.2. Surface Operations

You can map any nodal results data onto a user defined surface in POST1. You can then perform mathematical operations on these surface results to calculate meaningful quantities, including total force or average stress for a cross section, net charge inside a closed volume, fluid mass flow rate, heat flow for a cross section, and more. You can also plot contours of the mapped results.

Surface operations are available both interactively (from the GUI), and via batch (command line operations). Each of the commands is referenced below; each process is found in the Main Menu> General Postproc> Surface Operations area of the GUI. A full complement of surface commands are provided to perform surface operations.

Table 5.4 Surface Operations

These POST1 commands are used to define an arbitrary surface and to develop results information for that surface.
SUCALC | Create new result data by operating on two existing result datasets on a given surface.
SUCR | Create a surface.
SUDEL | Delete geometry information as well as any mapped results for specified surface or for all selected surfaces.
SUEVAL | Perform operations on a mapped item and store result in a scalar parameter.
SUGET | Move surface geometry and mapped results to an array parameter.
SUMAP | Map results onto selected surface(s).
SUPL | Plot specified result data on all selected surfaces or on the specified surface.
SUPR | Print surface information.
SURESU | Resume surface definitions from a specified file.
SUSAVE | Save surface definitions and result items to a file.
SUSEL | Select a subset of surfaces
SUVECT | Perform Operations between two mapped result vectors.

Note

You can define surfaces only in models containing 3-D solid elements. Shells, beams and 2-D element types are not supported. Surface creation will operate on selected, valid 3-D solid elements only and ignore other element types if they are present in your model.

The basic steps for surface operations are as follows:

  • Define the surfaces using the SUCR command.

  • Map the results data on the selected surfaces using the SUSEL and SUMAP commands.

  • Operate on the results using the SUEVAL, SUCALC and SUVECT commands.

Once your data is mapped on the surface, you can review the results using the graphical display and tabular listing capabilities found in the SUPL and SUPR commands.

Additional capabilities include archiving the surface data you create to a file or an array parameter, and recalling stored surface data. The following topics relate primarily to surface definition and usage.

5.2.2.1. Defining the Surface

You define your surface using the SUCR command. This command creates your named surface (containing no more than eight characters), according to a specified category (plane, cylinder, or sphere), at a defined refinement level.

The surfaces you create fall into three categories:

  • A cross section you create based on the current working plane

  • A closed surface represented by a sphere at the current working plane origin, with a user-specified radius.

  • A cylindrical surface centered at the working plane origin, and extending infinitely in the positive and negative Z directions

For SurfType = CPLANE, nRefine refers to the number of points that define the surface. If SurfType = CPLANE, and nRefine = 0, the points reside where the cutting plane section cuts through the element. Increasing nRefine to 1 will subdivide each surface facet into 4 subfacets, thus increasing the number of points at which the results can be interpolated. nRefine can vary between 0 and 3. Increasing nRefine can have significant impact on memory and speed of surface operations.

/EFACET operations will add to this refinement, and values greater than 1 can amplify the effect of nRefine. An /EFACET setting greater than 1 divides the elements into subelements, and nRefine then refines the facets of the subelements.

For SurfType = SPHERE, and INFC, nRefine is the number of divisions along a 90° arc of the sphere (default is 90, Min = 10, Max = 90).

Each time you create a surface, the following predefined geometric items are computed and stored.

  • GCX, GCY, GCZ - global Cartesian coordinates at each point on the surface.

  • NORMX, NORMY, NORMZ - components of the unit normal at each point on the surface.

  • DA - contributory area of each point.

These items are used to perform mathematical operations with surface data (for instance, DA is required to calculate surface integrals). Once you create a surface, these quantities (using the predefined labels) are available for all subsequent math operations.

Issue SUPL,SurfName to display your defined surface. A maximum of 100 surfaces can exist within one model, and all operations (mapping results, math operations, etc.) will be carried out on all selected surfaces. You can use the SUSEL command to change the selected surface set.

See the SUCR command for more information of creating surfaces.

Note

When you define a cylinder (INFC), it is terminated at the geometric limits of your model. Also, any facet lying outside of those limits is discarded.

5.2.2.2. Mapping Results Data Onto a Surface

Once you define a surface, use the SUMAP command to map your data onto that surface. Nodal results data in the active results coordinate system is interpolated onto the surface and operated on as a result set. Your result sets can be made up of primary data (nodal DOF solution), derived data (stress, flux, gradients, etc.), FLOTRAN nodal results, and other results values.

You define your mapped data in the SUMAP command by supplying a name for the result set, and then specifying the type of data and the directional properties.

You can make the results coordinate system match the active coordinate system (used to define the path) by issuing the following pair of commands:

*GET,ACTSYS,ACTIVE,,CSYS
RSYS,ACTSYS

The first command creates a user-defined parameter (ACTSYS) that holds the value defining the currently active coordinate system. The second command sets the results coordinate system to the coordinate system specified by ACTSYS.

Results mapped on to a surface do not account for discontinuities (e.g., material discontinuities) but are based on the currently selected set of elements. Selecting the proper set of elements is critical to valid surface operations, and improper selection will either result in failed mapping, or produce invalid results.

To clear result sets from the selected surfaces (except GCX, GCY, GCZ, NORMX, NORMY, NORMZ, DA), issue SUMAP,RSetname,CLEAR. To form additional labeled result sets by operating on existing surface result sets, use the SUEVAL, SUVECT or SUCALC commands.

5.2.2.3. Reviewing Surface Results

You can use the SUPL command to visually display your surface results, or use the SUPR command to get a tabular listing.

SUPL of a single result set item is displayed as a contour plot on the selected surfaces. You can also obtain a vector plot (such as for fluid velocity vector) by using a special result set naming convention. If SetName is a "vector prefix" (i.e., if SetNameX, SetNameY, and SetNameZ exist), ANSYS will plot these vectors on the surface as arrows.

Example for vector plot:

  SUCREATE,SURFACE1,CPLANE     ! create a surface called "SURFACE1"
SUMAP,VELX,V,X        ! map x,y,z velocities with VEL as prefix
SUMAP,VELY,V,Y
SUMAP,VELZ,V,Z
SUPLOT,SURFACE1,VEL     ! this will result in a vector plot of velocities
Display of facet outlines on the surface plots is controlled by /EDGE command similar to other postprocessing plots.

5.2.2.4. Performing Operations on Mapped Surface Result Sets

Three commands are available for mathematical operations among surface result sets:

  • The SUCALC command lets you add, multiply, divide, exponentiate and perform trigonometric operations on all selected surfaces.

  • The SUVECT command calculates the cross or dot product of two result vectors on all selected surfaces.

  • The SUEVAL command calculates surface integral, area weighted average, or sum of a result set on all selected surfaces. The result of this operation is an APDL scalar parameter.

5.2.2.5. Archiving and Retrieving Surface Data to a File

You can store your surface data in a file, so that when you leave POST1, it can be retrieved later. You use the SUSAVE command to store your data. Once you have saved the information for your surface, you use the SURESU command to retrieve it.

You can opt to archive all defined surfaces, all selected surfaces or only a specified surface. When you retrieve surface data, it becomes the currently active surface data. Any existing surface data is cleared.

The following input listings provides examples of archiving and retrieving operations.

/post1
! define spherical surface at WP origin, with a radius of 0.75 and 10 divisions per 90 degree arc
sucreate,surf1,sphere,0.75,10
wpoff,,,-2                                ! offset working plane
! define a plane surface based on the intersection of working plane
! with the currently selected elements
sucreate,surf2,cplane

susel,s,surf1           ! select surface 'surf1'
sumap,psurf1,pres   ! map pressure on surf1. Result set name "psurf1"
susel,all                  ! select all surfaces
sumap,velx,v,x      ! map VX on both surfaces. Result set name "velx"
sumap,vely,v,y      ! map VY on both surfaces. Result set name "vely"
sumap,velz,v,z      ! map VZ on both surfaces. Result set name "velz"

supr                      ! global status of current surface data
supl,surf1,sxsurf1  !  contour plot result set sxsurf1
supl,all,velx,1          ! contour plot result set velx on all surfaces. Plot in context of all elements in
model
supl,surf2,vel        ! vector plot of resultant velocity vector on surface "surf2"

suvect, vdotn,vel,dot,normal    !  dot product of velocity vector and surface normal
                                                 !  result is stored in result set "vdotn"
sueval, flowrate, INTG, vdotn         ! integrate "vdotn" over area to get apdl parameter "flow rate"
susave,all,file,surf                  ! Store defined surfaces in a file
finish

5.2.2.6. Archiving and Retrieving Surface Data to an Array Parameter

Writing surface data to an array allows you to perform APDL operations on your result sets. You use the SUGET command to write either the interpolated results data only (default), or the results data and the geometry data to your defined parameter. The parameter is automatically dimensioned and filled with data.

5.2.2.7. Deleting a Surface

Use the SUDEL command to delete one or more surfaces, along with the mapped results on those surfaces. You can choose to delete all surfaces, or choose to delete individual surfaces by name. Use the SUPR command to review the current list of surface names.

5.2.3. Integrating Surface Results

The INTSRF command (Main Menu> General Postproc> Nodal Calcs> Surface Integrl) allows you to integrate nodal results on a selected surface. You must first select the nodes on the surface where the nodal results are to be integrated.

You may use INTSRF to calculate lift and drag. If the surface is a fluid-solid interface, select only the fluid elements for integration. Then, select the nodes by using the EXT option on the NSEL command (Utility Menu> Select> Entities).

To use INTSRF to calculate lift and drag, you must specify a results coordinate system with the X-axis and Y-axis aligned in the direction of the incoming flow field and the direction of gravity, respectively. Then, the drag force is the force in the X-direction and the lift is the force in the Y-direction. You use INTSRF,PRES and INTSRF,TAUW to obtain the lift and drag forces, respectively. You can use INTSRF,FLOW to obtain both the lift and drag forces, separately. The outcome is written to the output (Jobname.OUT).

Integration results are in the active coordinate system (see the RSYS command). The type of results coordinate system must match the type used in the analysis. However, you may translate and rotate forces and moments as needed. You use the *GET command (Utility Menu> Parameters> Get Scalar Data) to retrieve the results.

5.2.4. Listing Results in Tabular Form

An effective way of documenting analysis results (for reports, presentations, etc.) is to produce tabular listings in POST1. Listing options are available for nodal and element solution data, reaction data, element table data, and more.

Sample Listing of PRESOL,ELEM

 PRINT ELEM ELEMENT SOLUTION PER ELEMENT
 ***** POST1 ELEMENT SOLUTION LISTING *****
  LOAD STEP     1  SUBSTEP=     1
  TIME=    1.0000         LOAD CASE=  0
 EL=     1  NODES=     1     3  MAT=  1                                                                                      BEAM3
 TEMP =    0.00    0.00    0.00    0.00
 LOCATION   SDIR        SBYT        SBYB
  1 (I)   0.00000E+00  130.00     -130.00
  2 (J)   0.00000E+00  104.00     -104.00
 LOCATION   SMAX        SMIN
  1 (I)    130.00     -130.00
  2 (J)    104.00     -104.00
 LOCATION  EPELDIR     EPELBYT     EPELBYB
  1 (I)    0.000000    0.000004   -0.000004
  2 (J)    0.000000    0.000003   -0.000003
 LOCATION  EPTHDIR     EPTHBYT     EPTHBYB
  1 (I)    0.000000    0.000000    0.000000
  2 (J)    0.000000    0.000000    0.000000
 EPINAXL =    0.000000
 EL=     2  NODES=     3     4  MAT=  1                                                                                      BEAM3
 TEMP =    0.00    0.00    0.00    0.00
 LOCATION   SDIR        SBYT        SBYB
  1 (I)   0.00000E+00  104.00     -104.00
  2 (J)   0.00000E+00  78.000     -78.000
 LOCATION   SMAX        SMIN
  1 (I)    104.00     -104.00
  2 (J)    78.000     -78.000
 LOCATION  EPELDIR     EPELBYT     EPELBYB
  1 (I)    0.000000    0.000003   -0.000003
  2 (J)    0.000000    0.000003   -0.000003
 LOCATION  EPTHDIR     EPTHBYT     EPTHBYB
  1 (I)    0.000000    0.000000    0.000000
  2 (J)    0.000000    0.000000    0.000000
 EPINAXL =    0.000000

5.2.4.1. Listing Nodal and Element Solution Data

To list specified nodal solution data (primary as well as derived), use either of the following:

Command(s): | PRNSOL
GUI: | Main Menu> General Postproc> List Results> Nodal Solution

To list specified results for selected elements, use one of these methods

Command(s): | PRESOL
GUI: | Main Menu> General Postproc> List Results> Element Solution

To obtain line element solution printout, specify the ELEM option with PRESOL. The program will list all applicable element results for the selected elements.

Sample Listing of PRNSOL,S
 PRINT S    NODAL SOLUTION PER NODE

 ***** POST1 NODAL STRESS LISTING *****

  LOAD STEP=     5  SUBSTEP=     2
   TIME=    1.0000      LOAD CASE=   0

  THE FOLLOWING X,Y,Z VALUES ARE IN GLOBAL COORDINATES

   NODE    SX          SY          SZ          SXY         SYZ         SXZ
      1   148.01     -294.54      .00000E+00 -56.256      .00000E+00  .00000E+00
      2   144.89     -294.83      .00000E+00  56.841      .00000E+00  .00000E+00
      3   241.84      73.743      .00000E+00 -46.365      .00000E+00  .00000E+00
      4   401.98     -18.212      .00000E+00 -34.299      .00000E+00  .00000E+00
      5   468.15     -27.171      .00000E+00  .48669E-01  .00000E+00  .00000E+00
      6   401.46     -18.183      .00000E+00  34.393      .00000E+00  .00000E+00
      7   239.90      73.614      .00000E+00  46.704      .00000E+00  .00000E+00
      8  -84.741     -39.533      .00000E+00  39.089      .00000E+00  .00000E+00
      9   3.2868     -227.26      .00000E+00  68.563      .00000E+00  .00000E+00
     10  -33.232     -99.614      .00000E+00  59.686      .00000E+00  .00000E+00
     11  -520.81     -251.12      .00000E+00  .65232E-01  .00000E+00  .00000E+00
     12  -160.58     -11.236      .00000E+00  40.463      .00000E+00  .00000E+00
     13  -378.55      55.443      .00000E+00  57.741      .00000E+00  .00000E+00
     14  -85.022     -39.635      .00000E+00 -39.143      .00000E+00  .00000E+00
     15  -378.87      55.460      .00000E+00 -57.637      .00000E+00  .00000E+00
     16  -160.91     -11.141      .00000E+00 -40.452      .00000E+00  .00000E+00
     17  -33.188     -99.790      .00000E+00 -59.722      .00000E+00  .00000E+00
     18   3.1090     -227.24      .00000E+00 -68.279      .00000E+00  .00000E+00
     19   41.811      51.777      .00000E+00 -66.760      .00000E+00  .00000E+00
     20  -81.004      9.3348      .00000E+00 -63.803      .00000E+00  .00000E+00
     21   117.64     -5.8500      .00000E+00 -56.351      .00000E+00  .00000E+00
     22  -128.21      30.986      .00000E+00 -68.019      .00000E+00  .00000E+00
     23   154.69     -73.136      .00000E+00  .71142E-01  .00000E+00  .00000E+00
     24  -127.64     -185.11      .00000E+00  .79422E-01  .00000E+00  .00000E+00
     25   117.22     -5.7904      .00000E+00  56.517      .00000E+00  .00000E+00
     26  -128.20      31.023      .00000E+00  68.191      .00000E+00  .00000E+00
     27   41.558      51.533      .00000E+00  66.997      .00000E+00  .00000E+00
     28  -80.975      9.1077      .00000E+00  63.877      .00000E+00  .00000E+00
 MINIMUM VALUES
 NODE        11           2           1          18           1           1
 VALUE   -520.81     -294.83      .00000E+00 -68.279      .00000E+00  .00000E+00
 MAXIMUM VALUES
 NODE         5           3           1           9           1           1
 VALUE    468.15      73.743      .00000E+00  68.563      .00000E+00  .00000E+00

5.2.4.2. Listing Reaction Loads and Applied Loads

You have several options in POST1 for listing reaction loads and applied loads. The PRRSOL command (Main Menu> General Postproc> List Results> Reaction Solu) lists reactions at constrained nodes in the selected set. The FORCE command dictates which component of the reaction data is listed: total (default), static, damping, or inertia. PRNLD (Main Menu> General Postproc> List Results> Nodal Loads) lists the summed element nodal loads for the selected nodes, except for any zero values.

Listing reaction loads and applied loads is a good way to check equilibrium. It is always good practice to check a model's equilibrium after solution. That is, the sum of the applied loads in a given direction should equal the sum of the reactions in that direction. (If the sum of the reaction loads is not what you expect, check your loading to see if it was applied properly.)

The presence of coupling or constraint equations can induce either an actual or apparent loss of equilibrium. Actual loss of load balance can occur for poorly specified couplings or constraint equations (a usually undesirable effect). Coupled sets created by CPINTF and constraint equations created by CEINTF or CERIG will in nearly all cases maintain actual equilibrium. Also, the sum of nodal forces for a DOF belonging to a constraint equation does not include the force passing through that equation, which affects both the individual nodal force and the nodal force totals. Other cases where you may see an apparent loss of equilibrium are: (a) 4-node shell elements where all 4 nodes do no lie in an exact flat plane, (b) elements with an elastic foundation specified, and (c) unconverged nonlinear solutions. See the Theory Reference for ANSYS and ANSYS Workbench.

Another useful command is FSUM. FSUM calculates and lists the force and moment summation for the selected set of nodes.

Command(s): | FSUM
GUI: | Main Menu> General Postproc> Nodal Calcs> Total Force Sum

Sample FSUM Output
 *** NOTE ***
 Summations based on final geometry and will not agree with solution
  reactions.
 ***** SUMMATION OF TOTAL FORCES AND MOMENTS IN GLOBAL COORDINATES *****
  FX  =   .1147202
  FY  =   .7857315
  FZ  =   .0000000E+00
  MX  =   .0000000E+00
  MY  =   .0000000E+00
  MZ  =   39.82639
 SUMMATION POINT=  .00000E+00  .00000E+00  .00000E+00

The NFORCE command provides the force and moment summation for each selected node, in addition to an overall summation.

Command(s): | NFORCE
GUI: | Main Menu> General Postproc> Nodal Calcs> Sum @ Each Node

Back To Top

Sample NFORCE Output
          ***** POST1 NODAL TOTAL FORCE SUMMATION *****
 LOAD STEP=     3  SUBSTEP=    43
  THE FOLLOWING X,Y,Z FORCES ARE IN GLOBAL COORDINATES
  NODE      FX         FY         FZ
     1  -.4281E-01  .4212      .0000E+00
     2   .3624E-03  .2349E-01  .0000E+00
     3   .6695E-01  .2116      .0000E+00
     4   .4522E-01  .3308E-01  .0000E+00
     5   .2705E-01  .4722E-01  .0000E+00
     6   .1458E-01  .2880E-01  .0000E+00
     7   .5507E-02  .2660E-01  .0000E+00
     8  -.2080E-02  .1055E-01  .0000E+00
     9  -.5551E-03 -.7278E-02  .0000E+00
    10   .4906E-03 -.9516E-02  .0000E+00
 *** NOTE ***
 Summations based on final geometry and will not agree with solution
  reactions.
 ***** SUMMATION OF TOTAL FORCES AND MOMENTS IN GLOBAL COORDINATES *****
  FX  =   .1147202
  FY  =   .7857315
  FZ  =   .0000000E+00
  MX  =   .0000000E+00
  MY  =   .0000000E+00
  MZ  =   39.82639
 SUMMATION POINT=  .00000E+00  .00000E+00  .00000E+00

The SPOINT command defines the point (any point other than the origin) about which moments are summed.

GUI:
Main Menu> General Postproc> Nodal Calcs> Summation Pt> At Node
Main Menu> General Postproc> Nodal Calcs> Summation Pt> At XYZ Loc

5.2.4.3. Listing Element Table Data

To list specified data stored in the element table, use one of the following:

Command(s): | PRETAB
GUI: | Main Menu> General Postproc> Element Table> List Elem Table Main Menu> General Postproc> List Results> Elem Table Data

To list the sum of each column in the element table, use the SSUM command (Main Menu> General Postproc> Element Table> Sum of Each Item).

Sample PRETAB and SSUM Output
***** POST1 ELEMENT TABLE LISTING *****

   STAT    CURRENT     CURRENT     CURRENT
   ELEM    SBYTI       SBYBI       MFORYI
      1   .95478E-10 -.95478E-10 -2500.0
      2  -3750.0      3750.0     -2500.0
      3  -7500.0      7500.0     -2500.0
      4  -11250.      11250.     -2500.0
      5  -15000.      15000.     -2500.0
      6  -18750.      18750.     -2500.0
      7  -22500.      22500.     -2500.0
      8  -26250.      26250.     -2500.0
      9  -30000.      30000.     -2500.0
     10  -33750.      33750.     -2500.0
     11  -37500.      37500.      2500.0
     12  -33750.      33750.      2500.0
     13  -30000.      30000.      2500.0
     14  -26250.      26250.      2500.0
     15  -22500.      22500.      2500.0
     16  -18750.      18750.      2500.0
     17  -15000.      15000.      2500.0
     18  -11250.      11250.      2500.0
     19  -7500.0      7500.0      2500.0
     20  -3750.0      3750.0      2500.0
 MINIMUM VALUES
 ELEM        11           1           8
 VALUE   -37500.     -.95478E-10 -2500.0
 MAXIMUM VALUES
 ELEM         1          11          11
 VALUE    .95478E-10  37500.      2500.0
 SUM ALL THE ACTIVE ENTRIES IN THE ELEMENT TABLE
 TABLE LABEL     TOTAL
 SBYTI     -375000.
 SBYBI      375000.
 MFORYI     .552063E-09

5.2.4.4. Other Listings

You can list other types of results with the following commands:

The PRVECT command (Main Menu> General Postproc> List Results> Vector Data) lists the magnitude and direction cosines of specified vector quantities for all selected elements.

The PRPATH command (Main Menu> General Postproc> List Results> Path Items) calculates and then lists specified data along a predefined geometry path in the model. You must define the path and map the data onto the path; see Mapping Results onto a Path.

The PRSECT command (Main Menu> General Postproc> List Results> Linearized Strs) calculates and then lists linearized stresses along a predefined path.

The PRERR command (Main Menu> General Postproc> List Results> Percent Error) lists the percent error in energy norm for all selected elements.

The PRITER command (Main Menu> General Postproc> List Results> Iteration Summry) lists iteration summary data.

5.2.4.5. Sorting Nodes and Elements

By default, all tabular listings usually progress in ascending order of node numbers or element numbers. You can change this by first sorting the nodes or elements according to a specified result item. The NSORT command (Main Menu> General Postproc> List Results> Sorted Listing> Sort Nodes) sorts nodes based on a specified nodal solution item, and ESORT (Main Menu> General Postproc> List Results> Sorted Listing> Sort Elems) sorts elements based on a specified item stored in the element table. For example:

NSEL,...                ! Selects nodes
NSORT,S,X               ! Sorts nodes based on SX
PRNSOL,S,COMP           ! Lists sorted component stresses

See the NSEL, NSORT, and PRNSOL command descriptions in the Commands Reference for further information.

Sample PRNSOL,S and Output after NSORT
PRINT S    NODAL SOLUTION PER NODE

  ***** POST1 NODAL STRESS LISTING *****

  LOAD STEP=     3  SUBSTEP=    43
   TIME=    6.0000      LOAD CASE=   0

  THE FOLLOWING X,Y,Z VALUES ARE IN GLOBAL COORDINATES

   NODE    SX          SY          SZ          SXY         SYZ         SXZ
    111  -.90547     -1.0339     -.96928     -.51186E-01  .00000E+00  .00000E+00
     81  -.93657     -1.1249     -1.0256     -.19898E-01  .00000E+00  .00000E+00
     51  -1.0147     -.97795     -.98530      .17839E-01  .00000E+00  .00000E+00
     41  -1.0379     -1.0677     -1.0418     -.50042E-01  .00000E+00  .00000E+00
     31  -1.0406     -.99430     -1.0110      .10425E-01  .00000E+00  .00000E+00
     11  -1.0604     -.97167     -1.0093     -.46465E-03  .00000E+00  .00000E+00
     71  -1.0613     -.95595     -1.0017      .93113E-02  .00000E+00  .00000E+00
     21  -1.0652     -.98799     -1.0267      .31703E-01  .00000E+00  .00000E+00
     61  -1.0829     -.94972     -1.0170      .22630E-03  .00000E+00  .00000E+00
    101  -1.0898     -.86700     -1.0009     -.25154E-01  .00000E+00  .00000E+00
      1  -1.1450     -1.0258     -1.0741      .69372E-01  .00000E+00  .00000E+00
 MINIMUM VALUES
 NODE         1          81           1         111         111         111
 VALUE   -1.1450     -1.1249     -1.0741     -.51186E-01  .00000E+00  .00000E+00
 MAXIMUM VALUES
 NODE       111         101         111           1         111         111
 VALUE   -.90547     -.86700     -.96928      .69372E-01  .00000E+00  .00000E+00

To restore the original order of nodes or elements, use the following:

Command(s): | NUSORT
GUI: | Main Menu> General Postproc> List Results> Sorted Listing> Unsort Nodes
Command(s): | EUSORT
GUI: | Main Menu> General Postproc> List Results> Sorted Listing> Unsort Elems

5.2.4.6. Customizing Your Tabular Listings

In some situations you may need to customize result listings to your specifications. The /STITLE command (which has no GUI equivalent) allows you to define up to four subtitles which will be displayed on output listings along with the main title. Other commands available for output customization are: /FORMAT, /HEADER, and /PAGE (also without GUI equivalents). They control such things as the number of significant digits, the headers that appear at the top of listings, the number of lines on a printed page, etc. These controls apply only to the PRRSOL, PRNSOL, PRESOL, PRETAB, and PRPATH commands.

5.2.5. Mapping Results onto a Path

One of the most powerful and useful features of POST1 is its ability to map virtually any results data onto an arbitrary path through your model. This enables you to perform many arithmetic and calculus operations along this path to calculate meaningful results: stress intensity factors and J-integrals around a crack tip, the amount of heat crossing the path, magnetic forces on an object, and so on. A useful side benefit is that you can see, in the form of a graph or a tabular listing, how a result item varies along the path.

Note

You can define paths only in models containing solid elements (2-D or 3-D) or shell elements. They are not available for line elements.

Three steps are involved in reviewing results along a path:

  1. Define the path attributes [PATH command].

  2. Define the path points [PPATH command].

  3. Interpolate (map) results data along the path [PDEF command].

Once the data are interpolated, you can review them using graphics displays [PLPATH or PLPAGM commands] and tabular listings or perform mathematical operations such as addition, multiplication, integration, etc. Advanced mapping techniques to handle material discontinuities and accurate computations are offered in the PMAP command (issue this command prior to PDEF).

Other path operations you can perform include archiving paths or path data to a file or an array parameter and recalling an existing path with its data. The next few topics discuss path definition and usage.

5.2.5.1. Defining the Path

To define a path, you first define the path environment and then the individual path points. Decide whether you want to define the path by picking nodes, by picking locations on the working plane, or by filling out a table of specific coordinate locations. Then create the path by picking or by using both of the commands shown below or one of the following menu paths:

Command(s): | PATH, PPATH
GUI: | Main Menu> General Postproc> Path Operations> Define Path> By Nodes Main Menu> General Postproc> Path Operations> Define Path> On Working Plane Main Menu> General Postproc> Path Operations> Define Path> By Location

Supply the following information for the PATH command:

  • A path name (containing no more than eight characters).

  • The number of path points (between 2 and 1000). Required only in batch mode, or when defining path points using the "By Location" option. When picking is used, the number of path points equals the number of picked points.

  • The number of sets of data which may be mapped to this path. (Four is the minimum; default is 30. There is no maximum.)

  • The number of divisions between adjacent points. (Default is 20; there is no maximum.)

  • When using the "By Location" option, a separate dialog box appears for defining path points (PPATH command). Enter the Global Cartesian coordinate values of the path points. The shape of the interpolated path geometry will follow the currently active CSYS coordinate system. Alternatively, you can specify a coordinate system for geometry interpolation (CS argument on the PPATH command).

Note

To see the status of path settings, choose the PATH,STATUS command.

The PATH and PPATH commands define the path geometry in the active CSYS coordinate system. If the path is a straight line or a circular arc, you need only the two end nodes (unless you want highly accurate interpolation, which may require more path points or divisions).

Note

If necessary, use the CSCIR command (Utility Menu> WorkPlane> Local Coordinate Systems> Move Singularity) to move the coordinate singularity point before defining the path.

To display the path you have defined, you must first interpolate data along the path (see Interpolating Data Along the Path). You then issue the /PBC,PATH,1 command followed by the NPLOT or EPLOT command. Alternatively, if you are using the GUI, choose Main Menu> General Postproc> Path Operations> Plot Paths to display the path on a node plot or choose Utility Menu> Plot> Elements followed by Main Menu> General Postproc> Path Operations> Plot Paths to display the path on an element plot. ANSYS displays the path as a series of straight line segments. The path shown below was defined in a cylindrical coordinate system:

Figure 5.12 A Node Plot Showing the Path

5.2.5.2. Using Multiple Paths

A maximum of 100 paths can exist within one model. However, only one path at a time can be the current path. To change the current path, choose the PATH,NAME command. Do not specify any other arguments on the PATH command. The named path will become the new current path.

5.2.5.3. Interpolating Data Along the Path

The following commands are available for this purpose:

Command(s): | PDEF
GUI: | Main Menu> General Postproc> Path Operations> path operation
Command(s): | PVECT
GUI: | Main Menu> General Postproc> Path Operations> Unit Vector

These commands require that the path be defined first.

Using the PDEF command, you can interpolate virtually any results data along the path in the active results coordinate system: primary data (nodal DOF solution), derived data (stresses, fluxes, gradients, etc.), element table data, FLOTRAN nodal results data, and so on. The rest of this discussion (and in other documentation) refers to an interpolated item as a path item. For example, to interpolate the thermal flux in the X direction along a path, the command would be as follows:

PDEF,XFLUX,TF,X

The XFLUX value is an arbitrary user-defined name assigned to the path item. TF and X together identify the item as the thermal flux in the X direction.

Note

You can make the results coordinate system match the active coordinate system (used to define the path) by issuing the following pair of commands:

*GET,ACTSYS,ACTIVE,,CSYS
RSYS,ACTSYS

The first command creates a user-defined parameter (ACTSYS) that holds the value defining the currently active coordinate system. The second command sets the results coordinate system to the coordinate system specified by ACTSYS.

5.2.5.4. Mapping Path Data

POST1 uses {nDiv(nPts-1) + 1} interpolation points to map data onto the path (where nPts is the number of points on the path and nDiv is the number of path divisions between points [PATH]). When you create the first path item, the program automatically interpolates the following additional geometry items: XG, YG, ZG, and S. The first three are the global Cartesian coordinates of the interpolation points and S is the path length from the starting node. These items are useful when performing mathematical operations with path items (for instance, S is required to calculate line integrals). To accurately map data across material discontinuities, use the DISCON = MAT option on the PMAP command (Main Menu> General Postproc> Path Operations> Define Path> Path Options).

To clear path items from the path (except XG, YG, ZG, and S), issue PDEF,CLEAR. To form additional labeled path items by operating on existing path items, use the PCALC command (Main Menu> General Postproc> Path Operations>operation).

The PVECT command defines the normal, tangent, or position vectors along the path. A Cartesian coordinate system must be active for this command. For example, the command shown below defines a unit vector tangent to the path at each interpolation point.

PVECT,TANG,TTX,TTY,TTZ

TTX, TTY, and TTZ are user-defined names assigned to the X, Y, and Z components of the vector. You can use these vector quantities for fracture mechanics J-integral calculations, dot and cross product operations, etc. For accurate mapping of normal and tangent vectors, use the ACCURATE option on the PMAP command. Issue the PMAP command prior to mapping data.

5.2.5.5. Reviewing Path Items

To obtain a graph of specified path items versus path distance, use one of the following:

Command(s): | PLPATH
GUI: | Main Menu> General Postproc> Path Operations> Plot Path Item

To get a tabular listing of specified path items, use one of the following:

Command(s): | PRPATH
GUI: | Main Menu> General Postproc> List Results> Path Items

You can control the path distance range (the abscissa) for PLPATH and PRPATH (Main Menu> General Postproc> Path Operations> Path Range) or the PRANGE command. Path defined variables may also be used in place of the path distance for the abscissa item in the path display.

You can use two other commands, PLSECT (Main Menu> General Postproc> Path Operations> Linearized Strs) and PRSECT (Main Menu> General Postproc> List Results> Linearized Strs), to calculate and review linearized stresses along a path defined by the first two nodes on the PPATH command. Typically, you use them in pressure vessel applications to separate stresses into individual components: membrane, membrane plus bending, etc. The path is defined in the active display coordinate system.

You can display a path data item as a color area contour display along the path geometry. The contour display offset from the path may be scaled for clarity. To produce such a display, use either of the following:

Command(s): | PLPAGM
GUI: | Main Menu> General Postproc> Plot Results> Plot Path Items> On Geometry

5.2.5.6. Performing Mathematical Operations among Path Items

Three commands are available for mathematical operations among path items:

The PCALC command (Main Menu> General Postproc> Path Operations> operation) lets you add, multiply, divide, exponentiate, differentiate, and integrate path items.

The PDOT command (Main Menu> General Postproc> Path Operations> Dot Product) calculates the dot product of two path vectors.

The PCROSS command (Main Menu> General Postproc> Path Operations> Cross Product) calculates the cross product or two path vectors.

5.2.5.7. Archiving and Retrieving Path Data to a File

If you wish to retain path data when you leave POST1, you must store it in a file or an array parameter so that you can retrieve it later. You first select a path or multiple paths and then write the current path data to a file:

Command(s): | PSEL
GUI: | Utility Menu> Select> Paths
Command(s): | PASAVE
GUI: | Main Menu> General Postproc> Path Operations> Archive Path> Store> Paths in file

To retrieve path information from a file and store the data as the currently active path data, use the following:

Command(s): | PARESU
GUI: | Main Menu> General Postproc> Path Operations> Archive Path> Retrieve> Paths from file

You can opt to archive or fetch only the path data (data mapped to path (PDEF command) or the path points (defined by the PPATH command). When you retrieve path data, it becomes the currently active path data (existing active path data is replaced). If you issue PARESU and have multiple paths, the first path from the list becomes the currently active path.

Sample input and output are shown below.

/post1
path,radial,2,30,35     ! Define path name, No. points, No. sets, No. divisions
ppath,1,,.2             ! Define path by location
ppath,2,,.6
pmap,,mat               ! Map at material discontinuities
pdef,sx,s,x             ! Interpret radial stress
pdef,sz,s,z             ! Interpret hoop stress
plpath,sx,sz            ! Plot stresses
pasave                  ! Store defined paths in a file
finish
/post1
paresu                  ! retrieve path data from file
plpagm,sx,,node         ! plot radial stresses on the path
finish

5.2.5.8. Archiving and Retrieving Path Data to an Array Parameter

Writing path data to an array is useful if you want to map a particle flow or charged particle trace onto a path (PLTRAC). If you wish to retain path data in an array parameter, use the command or one of the GUI paths shown below to write current path data to an array variable:

Command(s): | PAGET, PARRAY, POPT
GUI: | Main Menu> General Postproc> Path Operations> Archive Path> Retrieve> Path from array Main Menu> General Postproc> Path Operations> Archive Path> Retrieve> Paths from file

To retrieve path information from an array variable and store the data as the currently active path data, use one of the following:

Command(s): | PAPUT, PARRAY, POPT
GUI: | Main Menu> General Postproc> Path Operations> Archive Path> Store> Path in array Main Menu> General Postproc> Path Operations> Archive Path> Store> Paths from file

You can opt to archive or fetch only the path data (data mapped to path (PDEF command) or the path points (defined by the PPATH command). The setting for the POPT argument on PAGET and PAPUT determines what is stored or retrieved. You must retrieve path points prior to retrieving path data and labels. When you retrieve path data, it becomes the currently active path data (existing active path data is replaced).

Sample input and output are shown below.

/post1
path,radial,2,30,35     ! Define path name, No. points, No. sets, No. divisions
ppath,1,,.2             ! Define path by location
ppath,2,,.6
pmap,,mat               ! Map at material discontinuities
pdef,sx,s,x             ! Interpret radial stress
pdef,sz,s,z             ! Interpret hoop stress
plpath,sx,sz            ! Plot stresses
paget,radpts,points     ! Archive path points in array "radpts"
paget,raddat,table      ! Archive path data in array "raddat"
paget,radlab,label      ! Archive path labels in array "radlab"
finish
/post1
*get,npts,parm,radpts,dim,x  ! Retrieve number of points from array "radpts"
*get,ndat,parm,raddat,dim,x  ! Retrieve number of data points from array "raddat"
*get,nset,parm,radlab,dim,x  ! Retrieve number of data labels form array "radlab"
ndiv=(ndat-1)/(npts-1)       ! Calculate number of divisions
path,radial,npts,ns1,ndiv    ! Create path "radial" with number of sets ns1>nset
paput,radpts,points          ! Retrieve path points
paput,raddat,table           ! Retrieve path data
paput,radlab,labels          ! Retrieve path labels
plpagm,sx,,node              ! Plot radial stresses on the path
finish

Figure 5.13 A Sample PLPATH Display Showing Stress Discontinuity at a Material Interface

Figure 5.14 A Sample PLPAGM Display

5.2.5.9. Deleting a Path

To delete one or more paths, use one of the following:

Command(s): | PADELE, DELOPT
GUI: | Main Menu> General Postproc> Path Operations> Delete Path Main Menu> General Postproc> Path Operations> Delete Path

You can opt to delete all paths or choose a path to delete by name. To review the current list of path names, issue the command PATH,STATUS.

5.2.6. Estimating Solution Error

One of the main concerns in a finite element analysis is the adequacy of the finite element mesh. Is the mesh fine enough for good results? If not, what portion of the model should be remeshed? You can get answers to such questions with the ANSYS error estimation technique, which estimates the amount of solution error due specifically to mesh discretization. This technique is available only for linear structural and linear/nonlinear thermal analyses using 2-D or 3-D solid elements or shell elements.

In the postprocessor, the program calculates an energy error for each element in the model. The energy error is similar in concept to the strain energy. The structural energy error (labeled SERR) is a measure of the discontinuity of the stress field from element to element, and the thermal energy error (TERR) is a measure of the discontinuity of the heat flux from element to element. Using SERR and TERR, the ANSYS program calculates a percent error in energy norm (SEPC for structural percent error, TEPC for thermal percent error).

Note

Error estimation is based on stiffness and conductivity matrices that are evaluated at the reference temperatures (TREF). Error estimates, therefore, can be incorrect for elements with temperature-dependent material properties if those elements are at a temperature that is significantly different than TREF.

In many cases, you can significantly increase program speed by suppressing error estimation. This improved performance is most evident when error estimation is turned off in a thermal analysis. Therefore, you may want to use error estimation only when needed, such as when you wish to determine if your mesh is adequate for good results.

You may turn error estimation off issuing ERNORM,OFF (Main Menu> General Postproc> Options for Outp). By default, error estimation is active. Since the value set by the ERNORM command is not saved on Jobname.DB, you will need to reissue ERNORM,OFF if you wish to again deactivate error estimation after resuming an analysis .

In POST1 then, you can list SEPC and TEPC for all selected elements using the PRERR command (Main Menu> General Postproc> List Results> Percent Error). The value of SEPC or TEPC indicates the relative error due to a particular mesh discretization. To find out where you should refine the mesh, simply produce a contour display of SERR or TERR and look for high-error regions.

Using this error estimation technique, you can set up an automated scheme whereby the mesh is automatically refined in high-error regions. This is called adaptive meshing. See "Adaptive Meshing" in the Advanced Analysis Techniques Guide. For theoretical details about error estimation, see the Theory Reference for ANSYS and ANSYS Workbench.

5.2.7. Using the Results Viewer to Access Your Results File Data

The following links correspond to the three basic control areas on the Results Viewer:

For the Main Menu, see The Results Viewer Main Menu
For the Toolbar, see The Results Viewer Toolbar
For the Step/Sequence Data Access Control, see The Results Viewer Step/Sequence Data Access Controls

Figure 5.15 The Results Viewer

When you enter POST1, the available operations for the PGR data are “Results Viewer” or “Write PGR File.” The “Write PGR File” options are explained above. Choosing the Results Viewer disables much of the standard ANSYS GUI functionality. Many of these operations are not available because of PowerGraphics limitations. However, a good deal of the POST1 functionality is contained in the Result Viewer menu structure, and in the right and middle mouse button context sensitive menus that are accessible when you use the Results Viewer. The Results Viewer is described in the following paragraphs.

The ANSYS Results Viewer is a compact toolbar for viewing your analysis results. Although it is designed to display the information in your PGR file, you can use it to access any data you have stored in a valid results file (*.RST, *.RFL, *.RTH, *.RMG, etc.). When you open the Results Viewer, it accesses the PGR file you created for your current analysis, if one exists. You also have the option to open other PGR or results files. Because the viewer can access your results data without loading the entire database file, it is an ideal location from which to compare data from many different analyses.

Even if you have loaded other PGR or results files, you are still able to return to your original analysis. You can either reload the original PGR or results file from the current analysis before closing the Results Viewer, or after closing the Results Viewer, issue the PGRAPH,ON,S command, where S is the job name for your current analysis.

5.2.7.1. The Results Viewer Layout

There are three basic control areas on the Results Viewer: The Main Menu, The Toolbar and The Step/Sequence Data Access Control. Each of these areas is described below.

5.2.7.1.1. The Results Viewer Main Menu

The Main Menu is located along the top of the Results Viewer and provides access to the File, Edit, View and Help menus. The following functions can be accessed from each of these headings.

Figure 5.16 The Results Viewer File Menu

File -
Open Results -

You can open any PGR file, or any results file (*.RST, *.RFL, *.RTH, *.RMG, etc.) from any location on your file system.

List Result Information -

This selection displays a list of all results data included in the current file, and information about the current sequence for a PGR file.

Write Results -

You can use the data from your results file to create a new PGR file. This selection brings up the PGR File options dialog box and allows you to specify the creation of a new PGR file from any results file.

Save Animation -

Save an animation file (*.anim, *.avi) to a specified location. Animations created from the Results Viewer are not stored in the PGR file and are not written to the data base.

Close -

This option closes the Results Viewer and reverts back to the standard ANSYS GUI. If you have opened the results or PGR file from another analysis, you should return to your original file before closing the Results Viewer.

Edit -

You can select subsets of the model based on model attributes (material, element type, real ID, and element component). This selection leads to a specialized PGR menu that allows you to select from a list of material identifications, element types, element component designations and real constant values. For the results files, this brings up the appropriate “Element Select” widget, or picking window.

Figure 5.17 The Results Viewer View Menu

View -
Real Data -

You can display the real data from your analysis in the graphics window. This selection is grayed out when only real data exists for your analysis.

Imaginary Data -

You can display the imaginary data for you analysis in the graphics window. This selection is grayed out when no valid imaginary data exists.

Expanded Model -

You can perform all of the periodic/cyclic, modal cyclic and axisymmetric expansions that are available from the /EXPAND command.

Attributes -

The attributes of your model can be accessed according to the conventions in the /PNUM command.

Help -

Selecting help directs you to the list of PGR commands and documentation links located at the beginning of this section. You can then navigate to the appropriate area of the documentation.

5.2.7.1.2. The Results Viewer Toolbar

The Results Viewer toolbar is located across the middle of the Results Viewer. You can choose the type of results data to plot, and designate how the information should be plotted. You can also query results data from the graphics display, create animations, generate results listings, plot or generate file exports of your screen contents, or open the HTML Report Generator to construct a report on the results data.

Figure 5.18 The Results Viewer Toolbar

Element Plot

The first item on the toolbar is the element plot icon. This is the only model display available.

Result Item Selector

This drop down menu allows you to choose from the various types of data. The choices displayed may not always be available in your results file.

Plot Type Selector

You left mouse click and hold down on this button and it produces a “fly out” that allows you to access the four types of results plots available - Nodal, Element, Vector and Trace.

Query Results

You use the query tool to retrieve results data directly from selected areas in the graphics window. The ANSYS picking menu is displayed, allowing you to select multiple items. The information is displayed only for the current view.

Animate Results

You can create animations based on the information you have included in the PGR file. Because this information is created as a separate file, it is not saved within the PGR file. You must save the individual animations using the Results Viewer's Main Menu, Save Animation function.

List Results

The list results button creates a text listing of all of the nodal results values for the selected sequence number and result item. . You can print this data directly, or save it to a file for use in other applications.

Image Capture

You can plot the contents of the graphics window directly to a post script enabled printer, capture the contents to another window that is created automatically, or port the contents to an exportable graphics file in any one of the following popular formats:

PNG - Portable Network Graphics
EPS - Encapsulated Post Script
JPEG - Joint Photographic Exchange Group
WRL - Virtual Reality Meta Language
EPSI - Encapsulated Postscript with TIFF Preview
BMP - Windows Bitmap
WMF - Windows Metafile
EMF - Windows Enhanced Metafile
For Windows (PC) use, you must have a postscript enabled printer installed in order to obtain these export formats. If a postscript printer is not installed, file export is not available.

Report Generator

This function opens the ANSYS Report Generator. You use the report generator to capture your screen contents, animations, and result listings, and save them to a report assembly tool. This tool allows you to organize the data and add text in order to assemble a complete report. For more information on the ANSYS Report Generator, see "The Report Generator" later in this manual for more information on the Report Generator.

5.2.7.2. The Results Viewer Step/Sequence Data Access Controls

When you access a PGR file or a results file, the data is presented according to the sequential data sets of your original analysis. These data sets correspond to a specific time, load step, and substep of your analysis. Data is also stored in a separate sequence when you append the PGR file, or perform additional loading during an existing analysis. You use the following controls to access these different result sets.

NOTE: When you append data to your PGR file, it may disrupt the normal chronological format of the standard ANSYS results file. Time related data access functions may not always be presented in a linear chronological format in your PGR file.

Figure 5.19 The Results Viewer Step/Sequence Data Access Controls

The Data Sequence Slider Bar

The slider bar directly under the Results Viewer Toolbar corresponds to the individual data sequences that are available for the current results file. Each tick mark along the slider represents a data set. The data sequence number is displayed in the text box at the far right of the series of boxes below the slider. You can move to any data set either by moving the slider, or by entering the sequential number of the data set in the box.

Note

Because PGR data is not added chronologically during append operations, the sequential order of the data sets corresponds to when the data is written, not to the time within the actual analysis.

The Play and Stop Buttons

You use these buttons to move through the selected data sequence according to the defined load steps or substeps. The play button will step you through each of the data sets and when the final (maximum) set is reached, begin moving incrementally back down.

Time

This text box displays the time for each data set.

Load Step

Each individual load step number is displayed. You can enter a valid load step number here and that load step will be displayed.

Substep

Each individual load substep number is displayed. You can enter a valid substep number here and that substep will be displayed.

Sequence

The result sets are written sequentially to the results file during an analysis. This displays the sequence number from the results file. You also create additional sequences when you append the PGR file or add new loading data to your original analysis.

5.2.7.3. The Results Viewer Context Sensitive Menus

When you enter the Results Viewer, the rest of the ANSYS GUI is disabled. This prevents conflicts between the limited data available in PGR mode, and the functionality that can be accessed from the other GUI areas. Many of the functions you will need to deal with the results data have been moved to “context sensitive” menus that you access via the right and middle mouse buttons.

The Results Viewer places your cursor in “picking mode” anytime you place the cursor in the graphics window. This allows you to select data sets and other screen operations dynamically, many times without accessing the ANSYS Picking Menu. For the Results Viewer, the standard ANSYS method of using the right mouse button to alternate between picking and unpicking has been moved to the middle mouse button. The middle mouse button allows you to change between picking and unpicking. You can choose the mode of picking desired (selection of points on the working plane, selection of existing entities in the selected set and selection of points on the screen). You can also access entity filters to limit those entities that can be selected. For the two-button PC mouse, the middle button functions are activated by using the SHIFT-RIGHT MOUSE combination.

The right mouse button is used for context menus. These menus present choices that are applicable to the current selection. If you select “Screen Picking,” you will get a legend data context menu if the cursor is over a legend item, and the graphics window context menu anywhere else.

If you select “WP Picking,” and no points have been selected, you will get the legend or graphics context menus. If you have already selected points on the working plane, you will get a context menu that is applicable to the type of analysis you are performing (a FLOTRAN analysis will present a trace point selection menu, etc.). If you select “Entity Picking,” and no entities are selected, you will get the standard Graphics and Legend context menus. If you have selected entities, you will get a context menu that is applicable to the current type of analysis.

Graphics Window Context Menu

The following items are available from the context menu you get when you right mouse click anywhere in the graphics window except over the legend information.

Figure 5.20 Graphics Window Context Menu

Replot -

Replots the screen and integrates any changes you have made.

Display WP -

Toggles the Working Plane display (triad, grid, etc.) on and off.

Erase Displays -

Toggles screen refreshes according to /ERASE - /NOERASE command functionality.

Capture Image -

You can plot the contents of the graphics window directly to a printer, capture the contents to another window that is created automatically, or port the contents to an exportable graphics file in any one of the following popular formats:

PNG - Portable Network Graphics
EPS - Encapsulated Post Script
JPEG - Joint Photographic Exchange Group
WRL - Virtual Reality Meta Language
EPSI - Encapsulated Postscript with TIFF Preview
BMP - Windows Bitmap
WMF - Windows Metafile
EMF - Windows Enhanced Metafile
For Windows (PC) use, you must have a postscript-enabled printer installed in order to obtain these export formats. If a postscript printer is not installed, file export is not available.

Annotation -

You can choose between either static (2-D), or dynamic (3-D) annotations, and you can toggle your annotations on and off.

Display Legend -

Toggles the legend display on and off

Cursor Mode -

When the Results Viewer is selected, the Cursor Mode option allows you to switch between modes of picking, that include: Pointer, Working Plane, and Entities.

View -

Provides a drop-down list of view options: Isometric, Oblique, Front, Right, Top, Back, Left, and Bottom.

Fit -

Fits the extents of the model in the graphics area.

Zoom Back -

Returns to the previous zoom setting.

Window Properties -

You can access limited legend and display property control, along with a number of viewing angle, rotational setting and magnification controls. The Legend Settings allow you to select which legend items will be displayed, and to specify their location in the graphics window. The Display Settings let you specify Hidden, Capped or Q-Slice displays, and to modify the Z-buffering options, including smoothing and directional light source functions or 3-D options.

Graphics Properties -

This selection refers to those settings which affect all windows specified in a multi-window layout (/WINDOW) along with access to the Working Plane Settings and Working Plane Offset widgets, and the Window Layout controls dialog boxes.

Legend Area Context Menus

The legend area context menus will vary according to the location of your cursor in the legend, and the content of the legend data already being displayed. Right mouse clicking on the legend data provides control of the legend information, while clicking on the logo provides control of the date display and other miscellaneous functions. Clicking on the contour legend area provides a complete set of menus to customize your contour legend.

The legend setting and font control menus can be accessed from any of the legend context menus.

5.2.7.4. Associated PGR Commands

The following links lead to the commands associated with creating, appending and reading your PGR file:

Solution Commands

PGWRITE and POUTRES.

POST1 Commands

POUTRES, PGSAVE, PGRAPH, PGRSET, and PGSELE

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.1. Reading Results Data into the Database 		Up / Home Next
5.3. Using the PGR File in POST1


5.3. Using the PGR File in POST1

The PGR file is a specialized graphics object that stores the graphical information you develop during the Solution phase of your analysis. By storing this “precooked” information, you can access it in POST1 markedly (up to 10X) faster. Although the greatest benefit will be achieved when you designate the items to be saved before you initiate the solution, you can generate a PGR file, with all of the same information, from your existing results file(s). You can also append new solution data to your existing PGR file in POST1. For more information on creating your PGR file in Solution, see Using the PGR File to Store Data for Postprocessing in Chapter 3 of this manual.

The three sections that follow cover the operations that are available in POST1. The links below correspond to the appropriate GUI dialog boxes.

Specifying a new PGR file in POST1, see Specifying a New PGR File in POST1, below.

Appending an existing PGR file in POST1, see Appending to an Existing PGR File in POST1, below.

Using the Results Viewer to view results information, see Using the Results Viewer to Access Your Results File Data below.

5.3.1. Specifying a New PGR File in POST1

Although you obtain the greatest speed advantage by specifying the PGR file BEFORE solving your analysis, you can always generate a PGR file AFTER you have completed your solution. This process reads the data from your results file (*.RST, *.RFL, *.RTH, *.RMG, etc.) and generates the display data, basically from scratch. Generating a new PGR file allows you to take advantage of the flexibility of the Results Viewer and the speed of the PGR file data access to view your solution data and generate plots, data tables and animations. The Results Viewer provides an ideal platform from which to review and process various portions of your solution data, or to rapidly access and compare data from multiple solutions.

Once you have completed your solution, or loaded your results file, you can create a PGR file in POST1. You create a PGR file in POST1 by selecting Main Menu> General Postprocessor> Write PGR File. The following dialog box appears:

Figure 5.21 The PGR File Options Dialog Box

From this dialog box you choose between appending to an existing file or creating a new file. The default filename will be Jobname.pgr, and you can use the Browse button to either designate a new PGR file name and location, or to search for an existing PGR file to overwrite or append.

The Select PGR Result Items section of the PGR File Options dialog box lets you designate the data you wish to include in your PGR file. Only data that is available for the current analysis type will be displayed. Additional data can be included by returning to Solution and appending the file. You can specify the following data in PGR file options.

  • Stress

  • Structural nonlinear data

  • Contact data (3-D only)

  • Total Strain

  • Elastic Strain

  • Thermal Strain

  • Creep Strain

  • Thermal Gradient

  • Thermal Flux

  • Electric Field

  • Electric Flux Density

  • Magnetic Field Intensity

  • Magnetic Flux Density

  • Magnetic Forces

  • Pressure Gradients

  • Body Temperatures

  • Densities for Topological Optimization

You can also create a PGR file from the Results Viewer. The Results Viewer file menu links to the PGR File Options dialog box, allowing you to write and append to a PGR file from a results file that is already loaded. You can then take advantage of the speed and flexibility of the Results Viewer and access your data faster, in a subsequent run. See The Results Viewer Main Menu later in this section for more information on writing or appending to your PGR file from the viewer.

Stresses can only be displayed in the coordinate system that was active when the PGR file was written. If you wish to use the results viewer to view stresses in other coordinate displays, you must reload your results file (*.RST, *.RFL, *.RTH, *.RMG, etc.).

The PGR file creation operations are controlled by the PGWRITE command, and can be accessed either via the menu, as described above, or via the command line.

5.3.2. Appending to an Existing PGR File in POST1

In solution, you are given the option to specify the items you want written to your PGR file. Often, you may wish to add additional data to your existing PGR file. You can append your PGR file and access all of the existing data, along with the new solution data, from the same analysis. You can also modify your analysis parameters (loading, step data, constraint data, etc.) and add that information to the PGR file. The only requirements are that you do not change any of the “data to save on file” criteria, and that you do not modify the geometry of your model. If you attempt to append a PGR file with different items in the “data to save on file” area selected, ANSYS will generate an error message and prevent you from proceeding. Once you have changed the information to align with the existing PGR data, you will be allowed to proceed. When you change the geometry of the model, ANSYS will again generate an error message. However, you will not be able to change the PGR parameters to append the file. You must solve the analysis again, and write a new PGR file.

When you choose to append to the PGR file, the current analysis filename is displayed. Changing this filename will create a new PGR file and will prevent appending the data to your existing file. If you have changed the loading on the model, the new data is appended as an additional results set, which can be accessed with the Results Viewer, separately from the other data. If you have selected new PGR results items to be included with the file, this data is added to each of the results sets. The changes to the result item availability are written to each of the existing data sets and are available directly within the PGR file.

The PGR file append operations are controlled by the PGWRITE command, and can be accessed either via the menu, as described above, or via the command line.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.2. Reviewing Results in POST1 		Up / Home Next
5.4. Additional POST1 Postprocessing


5.4. Additional POST1 Postprocessing

This section documents additional methods of POST1 postprocessing.

5.4.1. Rotating Results to a Different Coordinate System

Results data, calculated during solution, consist of displacements (UX, UY, ROTX, etc.), gradients (TGX, TGY, etc.), stresses (SX, SY, SZ, etc.), strains (EPPLX, EPPLXY, etc.), etc. These data are stored in the database and on the results file in either the nodal coordinate system (for the primary, or nodal data) or the element coordinate system (for the derived, or element data). However, results data are generally rotated into the active results coordinate system (which is by default the global Cartesian system) for displays, listings, and element table data storage.

Using the RSYS command (Main Menu> General Postproc> Options for Outp), you can change the active results coordinate system to global cylindrical (RSYS,1), global spherical (RSYS,2), any existing local coordinate system (RSYS,N, where N is the local coordinate system number), or the nodal and element coordinate systems used during solution (RSYS,SOLU). If you then list, display, or operate on the results data, they are rotated to this results coordinate system first. You may also set the results system back to global Cartesian (RSYS,0).

Note

The default coordinate system for certain elements, notably shells, is not global Cartesian and is frequently not aligned at adjacent elements.

The use of RSYS,SOLU with these elements can make nodal averaging of component element results, such as SX, SY, SZ, SXY, SYZ, and SXZ, invalid and is not recommended.

Figure 5.22: "Rotation of Results by RSYS" illustrates how displacements are reported for several different RSYS settings. The displacements are in terms of the nodal coordinate systems (which are always Cartesian systems), but issuing the RSYS command causes those nodal systems to be rotated into the specified system. For example, RSYS,1 causes the results to be rotated parallel to the global cylindrical system such that UX represents a radial displacement and UY represents a tangential displacement. (Similarly, AX and AY in a magnetic analysis and VX and VY in a fluid analysis are reported as radial and tangential values for RSYS,1.)

Figure 5.22 Rotation of Results by RSYS

Caution

Certain element results data are always output in the element coordinate system regardless of the active results coordinate system. These are miscellaneous result items that you would normally expect to be interpreted only in the element coordinate system. They include forces, moments, stresses, and strains for beam, pipe, and spar elements, and member forces and moments for some shell elements.

In most circumstances, such as when working with a single load case or during linear combinations of multiple load cases, rotating results data into the results coordinate system does not affect the final result values. However, most modal combination techniques (PSD, CQC, SRSS, etc.) are performed in the solution coordinate system and involve squaring operations. Since the squaring operation removes the sign associated with the data, some combined results may not appear as expected after being rotated into the results coordinate system. In these cases, you can use RSYS,SOLU to avoid a rotation and to keep the results data in the solution coordinate systems.

As an example of when you would need to change the results coordinate system, consider the case of a cylindrical shell model, in which you may be interested in the tangential stress results. The SY stress contours before and after results coordinate system transformation are shown below for such a case.

PLNSOL,S,Y           ! Display a: SY is in global Cartesian system (default)
RSYS,1
PLNSOL,S,Y           ! Display b: SY is in global cylindrical system

See the RSYS and PLNSOL command descriptions for further information.

Figure 5.23 SY in Global Cartesian and Cylindrical Systems

Plot 1 (top) illustrates SY in global Cartesian system. Plot 2 (bottom) illustrates SY in global cylindrical system (note that nodes and elements are still in global Cartesian system).

Note

In a large deformation analysis (for example, if you have issued the NLGEOM,ON command and the element has large deflection capability), the element coordinate system is first rotated by the amount of rigid body rotation of the element. Therefore, the component stresses and strains and other derived element data include the effect of the rigid body rotation. The coordinate system used to display these results is the specified results coordinate system rotated by the amount of rigid body rotation.

The exceptions to this are continuum elements such as PLANE182, PLANE183, SOLID185, SOLID186, and SOLID187. For these elements, the output of the element component results is by default in the initial global coordinate system, and all component result transformations to other coordinate systems will be relative to the initial global coordinate system.

The primary data (for example, displacements) in a large deformation analysis do not include the rigid body rotation effect, because the nodal coordinate systems are not rotated by the amount of rigid body rotation.

5.4.2. Performing Arithmetic Operations Among Results Data

The earlier discussion of operations among path items was limited to items mapped on to a path. Using commands from the POST1 CALC module, you can perform operations among any results data in the database. The only requirement is that you must use the element table. The element table serves as a "worksheet" that allows arithmetic operations among its columns.

The procedure to do calculations among results data requires three simple steps:

  1. Use the ETABLE command (Main Menu> General Postproc> Element Table> Define Table) to bring one or more result items into the element table or "worksheet."

  2. Perform the desired arithmetic operations using commands from the CALC module (SADD, SMULT, SEXP, etc.).

  3. Review the outcome of the operations using PRETAB (Main Menu> General Postproc> Element Table> List Elem Table) or PLETAB (Main Menu> General Postproc> Element Table> Plot Elem Table).

A discussion of the element table appears earlier in this section. The ETABLE command moves specified results data for all selected elements into the element table. One value is stored per element. For example, if you select 10 elements and issue the command shown below, an average UX value is calculated for each element from the nodal displacements and stored in the element table under the "ABC" column.

ETABLE,ABC,U,X

The element table will be ten rows long (because only ten elements were selected). If you now want to double these displacements, the command would be:

SMULT,ABC2,ABC,,2

For further information, see the SMULT command description in the Commands Reference.

The element table now has a second column, labeled ABC2, containing twice the values in column ABC. To list the element table, simply choose PRETAB (Main Menu> General Postproc> Element Table> List Elem Table).

Sample Output from PRETAB

 PRINT ELEMENT TABLE ITEMS PER ELEMENT
***** POST1 ELEMENT TABLE LISTING *****

   STAT    CURRENT     CURRENT
   ELEM    ABC         ABC2
      1   .21676      .43351
     11   .27032      .54064
     21   .23686      .47372
     31   .47783      .95565
     41   .36171      .72341
     51   .36693      .73387
     61   .13081      .26162
     71   .50835      1.0167
     81   .35024      .70049
     91   .25630      .51260
 MINIMUM VALUES
 ELEM        61          61
 VALUE    .13081      .26162
 MAXIMUM VALUES
 ELEM        71          71
 VALUE    .50835      1.0167

Another example of arithmetic operations is to calculate the total volume of selected elements. To do this, you might store all element volumes in the element table, select the desired elements, and sum them using the SSUM command:

ETABLE,VOLUME,VOLU           ! Store element volumes (VOLU) as VOLUME
ESEL,...                     ! Select desired elements
SSUM                         ! Calculate and print sum of VOLUME column

See the ETABLE, ESEL, and SSUM command descriptions for further information.

Back To Top

Notes

  • All operation commands (SADD, SMULT, SSUM, etc.) work only on the selected elements.

  • ANSYS does not update element table entries automatically when a different set of results is read into the database. An element table output listing displays headers which indicate the status of each column relative to the current database. CURRENT indicates that the column data is from the current database, PREVIOUS indicates that it is from a previous database, and MIXED indicates that it results from an operation between previous and current data. (Once a column is labeled mixed, it will not change status unless you erase or redefine it with all elements selected.) The following commands cause column headers to change from CURRENT to PREVIOUS:

    SET | Main Menu> General Postproc> selection criteria
    LCASE | Main Menu> General Postproc> Load Case> Read Load Case
    LCOPER | Main Menu> General Postproc> Load Case> operation
    LCZERO | Main Menu> General Postproc> Load Case> Zero Load Case
    FLREAD | Main Menu> General Postproc> Read Results> FLOTRAN 2.1A
    DESOL | Main Menu> General Postproc> Define/Modify> Elem Results

  • The ETABLE,REFL option, which refills (updates) the element table with values currently in the database, does not affect calculated items. In the above double-the-UX example, if you read in a different set of results and then issue ETABLE only the ABC column will be updated ("current" status). The ABC2 column remains as is (keeps its "previous" status).

  • You can use the fact that ANSYS does not update the element table automatically after a new SET command to good advantage: for example, to compare element results between two or more load steps, or even between two or more analyses.

  • The following CALC module commands apply to calculations using the element table:

    The SABS command (Main Menu> General Postproc> Element Table> Abs Value Option) causes absolute values to be used in subsequent element table operations.

    The SADD command (Main Menu> General Postproc> Element Table> Add Items) adds two specified columns in the element table.

    The SALLOW command (Main Menu> General Postproc> Safety Factor> factor type) defines allowable stresses for safety factor calculations.

    The SEXP command (Main Menu> General Postproc> Element Table> Exponentiate) exponentiates and multiplies two columns in the element table.

    The SFACT command (Main Menu> General Postproc> Safety Factor> Restore NodeStrs orMain Menu> General Postproc> Safety Factor> SF for Node Strs) defines which safety factor calculations will be performed during subsequent display, select, or sort operations.

    The SFCALC command (Main Menu> General Postproc> Safety Factor> SF for ElemTable) calculates safety factors (for ETABLE items).

    The SMAX command (Main Menu> General Postproc> Element Table> Find Maximum) compares and stores the maximum of two columns.

    The SMIN command (Main Menu> General Postproc> Element Table> Find Minimum) compares and stores the minimum of two columns.

    The SMULT command (Main Menu> General Postproc> Element Table> Multiply) multiplies two specified columns in the element table.

    The SSUM command (Main Menu> General Postproc> Element Table> Sum of Each Item) calculates and prints the sum of each element table column.

    The TALLOW command (Main Menu> General Postproc> Safety Factor> Allowable Strs> Reset Temps or Main Menu> General Postproc> Safety Factor> Allowable Strs> Temp-depend) defines the temperature table for safety factor calculations.

    The VCROSS command (Main Menu> General Postproc> Element Table> Cross Product) calculates the cross product of two vectors stored in the element table.

    The VDOT command (Main Menu> General Postproc> Element Table> Dot Product) calculates the dot product of two vectors stored in the element table.

5.4.3. Creating and Combining Load Cases

In a typical postprocessing session, you read one set of data (load step 1 data, for instance) into the database and process it. Each time you store a new set of data, POST1 clears the results portion of the database and then brings in the new results data. If you want to perform operations between two entire sets of results data (such as comparing and storing the maximum of two sets), you need to create load cases.

A load case is a set of results data that has been assigned an arbitrary reference number. For instance, you can define the set of results at load step 2, substep 5 as load case number 1, the set of results at time = 9.32 as load case number 2, and so on. You can define up to 99 load cases, but you can store only one load case in the database at a time.

Note

You can define a load case at any arbitrary time by using the SET command (to specify the time argument) and then using LCWRITE to create that load case file. The values will be a linear interpolation of the results already available before and after your specified time.

A load case combination is an operation between load cases, typically between the load case currently in the database and a load case on a separate results file (or on the load case file, explained later). The outcome of the operation overwrites the results portion of the database, which permits you to display and list the load case combination.

A typical load case combination involves the following steps:

  1. Define load cases using the LCDEF command (Main Menu> General Postproc> Load Case> Create Load Case).

  2. Read one of the load cases into the database using the LCASE command (Main Menu> General Postproc> Load Case> Read Load Case).

  3. Perform the desired operation using the LCOPER command (Main Menu> General Postproc> Load Case> operation).

As an example, suppose the results file contains results for several load steps, and you want to compare load steps 5 and 7 and store the maximum in memory. The commands to do this would look like this:

LCDEF,1,5               ! Load case 1 points to load step 5
LCDEF,2,7               ! Load case 2 points to load step 7
LCASE,1                 ! Reads load case 1 into memory
LCOPER,MAX,2            ! Compares database with load case 2 and stores the
                        !  maximum in memory

The database now contains the maximum of the two load cases, and you can perform any desired postprocessing function.

Note

Load case operations (LCOPER) are performed only on the raw solution results in the solution coordinate system.

The solution results are:

  • Element component stresses and strains in the element coordinate systems

  • Nodal degree-of-freedom values, forces and reaction forces in the nodal coordinate systems

To have a load case operation act on the principal/equivalent stresses instead of the component stresses, issue the SUMTYPE,PRIN command.

It is important that you know how load case operations are performed. Many load case operations, such as mode combinations, involve squaring, which renders the solution results unsuitable for transformation to the results coordinate system, typically the Global Cartesian, and unsuitable for performing nodal or element averages. A typical postprocessing function such as printing or displaying average nodal stresses [PRNSOL, PLNSOL], for example, involves both a coordinate system transformation to the results coordinate system and a nodal average. Furthermore, unless SUMTYPE,PRIN has been requested, principal/equivalent stresses are not meaningful when computed from squared component values.

To view correct mid-surface results for shells (SHELL,MID), use KEYOPT (8) = 2 (for SHELL93, SHELL181, SHELL208, SHELL209, or SHELL281), or KEYOPT (11) = 2 (SHELL63). These KEYOPT settings write the mid-surface results directly to the results file, and allow the mid-surface results to be directly operated on during squaring operations, instead of averaging the squared TOP and BOTTOM results.

Therefore, it is recommended that you use only untransformed [RSYS,SOLU], unaveraged [PRESOL, PLESOL] results whenever you perform a squaring operation, such as in a spectrum (SPRS, PSD) analysis.

5.4.3.1. Saving a Combined Load Case

By default, the results of a load case combination are stored in memory, overwriting the results portion of the database. To save these results - for later review or for subsequent combinations with other load cases - use one of the following methods:

  • writing the data to a load case file

  • appending the data to the results file.

Use the LCWRITE command (Main Menu> General Postproc> Load Case> Write Load Case) to write the load case currently in memory to a load case file. The file is named Jobname.Lnn, where nn is the load case number you assign. Using nn in subsequent load case combinations will refer to the load case stored on the load case file.

The following example illustrates the use of the LCWRITE command:

LCDEF,1,5               ! Load case 1 points to load step 5
LCDEF,2,7               ! Load case 2 points to load step 7
LCDEF,3,10              ! Load case 3 points to load step 10
LCASE,1                 ! Reads load case 1 into memory
LCOPER,MAX,2            ! Stores max. of database and load case 2 in memory
LCWRITE,12              ! Writes current load case to Jobname.L12
LCASE,3                 ! Reads load case 3 into memory
LCOPER,ADD,12           ! Adds database to load case on Jobname.L12
LCDEF,STAT              ! Results in the following output:
Sample Output from LCDEF,STAT
 LOAD CASE=  1  SELECT= 1  ABS KEY= 0  FACTOR=  1.0000
  LOAD STEP=     5  SUBSTEP=     2  CUM. ITER.=     4  TIME/FREQ=  .25000
  FILE=beam.rst
   Simply supported beam

 LOAD CASE=  2  SELECT= 1  ABS KEY= 0  FACTOR=  1.0000
  LOAD STEP=     7  SUBSTEP=     3  CUM. ITER.=    10  TIME/FREQ=  .75000
  FILE=beam.rst
   Simply supported beam

 LOAD CASE=  3  SELECT= 1  ABS KEY= 0  FACTOR=  1.0000
  LOAD STEP=     10  SUBSTEP=    2  CUM. ITER.=    12  TIME/FREQ=  1.0000
  FILE=beam.rst
   Simply supported beam

 LOAD CASE= 12  SELECT= 1  ABS KEY= 0  FACTOR=  1.0000
  LOAD STEP=     0  SUBSTEP=     0  CUM. ITER.=     0  TIME/FREQ=  .00000E+00
  FILE=beam.l12
   Simply supported beam

Using the RAPPND command (Main Menu> General Postproc> Write Results), you can append the load case currently in memory to the results file. The data are stored on the results file just like any other results data set except that:

  • You, not the program, assign the load step and substep numbers used to identify the data.

  • Only summable and constant data are available by default; non-summable data are not written to the results file unless requested (LCSUM command).

The following example illustrates use of the RAPPND command:

/POST1       !  Following a 2 load step analysis
SET,1              !  Store load step 1
LCDEF,1,2          !  Identify load step 2 as load case 1
LCOPER,ADD,1       !  Add load case 1 to database (ls 1 + ls 2)
RAPPND,3,3         !  Append the combined results to the results file
!  as ls 3, time = 3
SET,LIST           !  Observe addition of new load step to results file

You can use the RAPPND command to combine results from two results files (created with the same database.) You can use the POST1 FILE command (Main Menu> General Postproc> Data & File Opts) to "toggle" between the two results files to alternately store results from one and append to the other.

Back To Top

Notes

  • You can define a load case by setting a pointer to a load case file with the LCFILE command (Main Menu> General Postproc> Load Case> Create Load Case). Then, you can use the LCASE or LCOPER commands to read data from the file into memory.

  • You can erase any load case by issuing LCDEF,LCNO,ERASE, where LCNO is the load case number. To erase all load cases, issue LCDEF,ERASE. These options not only delete all load case pointers, but also delete the appropriate load case files (those with the default file name extensions).

  • To zero the results portion of the database, issue LCZERO (Main Menu> General Postproc> Load Case> Zero Load Case) or LCOPER,ZERO.

  • The LCABS and LCFACT commands (Main Menu> General Postproc> Load Case> Calc Options> Absolut Value and Main Menu> General Postproc> Load Case> Calc Options> Scale Factor), allow you to specify absolute values and scale factors for specific load cases. The program uses these specifications when you issue either LCASE or LCOPER. ANSYS applies scale factors after it calculates absolute values.

  • Results data read into the database from the results file (via SET or LCASE commands) will include boundary condition information (constraints and force loads). However, load cases read in from a load case file will not. Therefore, if boundary conditions appear on graphics displays after you issue an LCASE command (Main Menu> General Postproc> Load Case> Read Load Case), they are from a previously processed load case. The LCASE command does not reset the boundary condition information in memory.

  • After a load case combination is performed for structural line elements, the principal stress data are not automatically updated in the database. Issue LCOPER,LPRIN to recalculate line element principal stresses based on the current component stress values.

  • You can select a subset of load cases using the LCSEL command (Main Menu> General Postproc> Load Case> Calc Options> Sele Ld Cases). Once a subset is selected, you can use the label ALL in place of a load case number on load case operations.

  • You cannot use load case combinations with FLOTRAN results data.

5.4.3.2. Combining Load Cases in Harmonic Element Models

For models with harmonic elements (axisymmetric elements with nonaxisymmetric loads), the loads are frequently applied in a series of load steps based on a Fourier decomposition (See the Elements Reference). To get usable results combine the results of each load step in POST1. You can do so using load case combinations, by saving and summing all results data at a given circumferential angle. The following example illustrates this procedure:

/POST1
SET,1,1,,,,90          ! Read load step 1 with circumferential
                       !  angle of 90°
LCWRITE,1              ! Write load case 1 to load case file
SET,2,1,,,,90          ! Read load case 2, with circumferential
                       !  angle of 90°
LCOPER,ADD,1           ! Use load case operations to add results
                       !  from first load case to second
ESEL,S,ELEM,,1         ! Select element number 1
NSLE,S                 ! Select all nodes on that element
PRNSOL,S               ! Calculate and list component stresses
PRNSOL,S,PRIN          ! Calculate and list principal
                       !  stresses S1, S2, S3; stress intensity
                       !  SINT; and equivalent stress SEQV
FINISH

See the SET, LCWRITE, LCOPER, ESEL, NSLE, and PRNSOL command descriptions in the Commands Reference for further information.

5.4.3.3. Summable, Non-Summable, and Constant Data

By default, when you perform load case combinations in POST1, the ANSYS program combines only data that are valid for linear superposition, such as displacements and component stresses. Other data, such as plastic strains and element volumes, are not combined, because it is not appropriate or meaningful to combine such data. To determine which data should be combined and which should not, result items are grouped into summable, non-summable, and constant data. This grouping applies to the following POST1 database operations:

  • Load case combinations (using LCOPER ).

  • Reading in a load case with active scale factors (using LCFACT or LCASE).

  • Reading in results data and modifying them using the FACT or ANGLE field on the SET command.

Summable data are those that can "participate" in the database operations. All primary data (DOF solutions) are considered summable. Among the derived data, component stresses, elastic strains, thermal gradients and fluxes, magnetic flux density, etc. are considered summable (see Table 5.5: "Examples of Summable POST1 Results"). (For an inclusive list of summable data, see the description of the ETABLE command in the Commands Reference.)

Note

Sometimes, combining "summable" data may result in meaningless results. For example, adding nodal temperatures from two load cases of a linear, pure-conduction analysis gives meaningful results, but if convection is involved, the addition of temperatures is not meaningful. Therefore, exercise your engineering judgement when reviewing combined load cases.

Non-summable data are those that are not valid for linear superposition, such as nonlinear data (plastic strains, hydrostatic pressures), thermal strains, magnetic forces, Joule heat, etc. (see Table 5.6: "Examples of Non-Summable POST1 Results"). These data are simply set to zero when the programs performs a database operation. You may combine non-summable data using LCSUM,ALL before your LCOPER commands, but you are cautioned on interpreting these values appropriately."

Constant data are those that cannot be meaningfully combined, such as element volumes and element centroidal coordinates (see Table 5.7: "Examples of Constant POST1 Results"). These data are held constant (unchanged) when the program performs a database operation.

Table 5.5 Examples of Summable POST1 Results

"Vector" Data
Item | Component | Item | Component | Item | Component
U | X, Y, Z | ROT | X, Y, Z | V | X, Y, Z
A | X, Y, Z | S | X, Y, Z, XY, YZ, XZ | EPEL | X, Y, Z, XY, YZ, XZ
TG | X, Y, Z | TF | X, Y, Z | PG | X, Y, Z
EF | X, Y, Z | D | X, Y, Z | H | X, Y, Z
B | X, Y, Z | F | X, Y, Z | M | X, Y, Z
VF | X, Y, Z | CSG | X, Y, Z | JS | X, Y, Z
LS | (ALL) | LEPEL | (ALL) | SMISC | (ALL)
"Scalar" Data
TEMP | MACH | STRM | NDEN | NVIS | EVIS
TBOT | HEAT | FLOW | AMPS | FLUX | ENDS
TE2 | PRES | VOLT | MAG | ENKE | PTOT
TTOT | HFLU | HFLM | TCON | PCOE | ECON

Table 5.6 Examples of Non-Summable POST1 Results

"Vector" Data
Item | Component | Item | Component | Item | Component
EPPL | X, Y, Z, XY, YZ, XZ | EPTH | X, Y, Z, XY, YZ, XZ | NL | SEPL, SRAT, HPRES, EPEQ, PSV, PLWK
FMAG | X, Y, Z | BFE | TEMP | LEPTH | (ALL)
LEPPL | (ALL) | LEPCR | (ALL) | NLIN | (ALL)
LBFE | (ALL) | NMISC | (ALL) |  |
"Scalar" Data
EPSW SENE KENE JHEAT

Table 5.7 Examples of Constant POST1 Results

"Vector" Data
Item | Component
CENT | X, Y, Z
"Scalar" Data
VOLU

5.4.4. Mapping Results onto a Different Mesh or to a Cut Boundary

Just as the PDEF command (Main Menu> General Postproc> Path Operations> Map onto Path) maps results onto an arbitrary path in the model, POST1 also has the ability to map results on to an entirely new mesh or to a portion of a new mesh. This functionality is mainly used in submodeling, where you initially analyze a coarse mesh, build a finely meshed submodel of a region of interest, and map results data from the coarse model to the fine submodel.

POST1 offers two options for mapping results to a different mesh:

Command(s):

CBDOF

GUI:

Main Menu> General Postproc> Submodeling> Interpolate DOF

Command(s):

BFINT

GUI:

Main Menu> General Postproc> Submodeling> Interp Body Forc

The CBDOF command maps degree-of-freedom results from the coarse model to the cut boundaries of the submodel. BFINT maps body force loads (mainly temperatures for a structural analysis) from the coarse model to the submodel. Both commands require a file of nodes to which results are to be mapped, and both commands write a file of appropriate load commands. These mapping functions or commands do not apply to offsets used with SHELL91 or SHELL99 (KEYOPT(11) ≠ 0]. Details of the submodeling technique are presented in the Advanced Analysis Techniques Guide.

5.4.5. Creating or Modifying Results Data in the Database

You can do postprocessing without ever producing an ANSYS results file. All you need to do is create an ANSYS database containing nodes, elements, and property data, and then put your own results into the database using the following commands:

Command(s): | DESOL
GUI: | Main Menu> General Postproc> Define/Modify> Elem Results
Command(s): | DETAB
GUI: | Main Menu> General Postproc> Define/Modify> ElemTabl Data
Command(s): | DNSOL
GUI: | Main Menu> General Postproc> Define/Modify> Nodal Results

Once the data are defined, you can use almost any postprocessing function: graphics displays, tabular listings, path operations, etc.

Note

Issuing the DNSOL command requires that you have placed the data type (stress/strain) in the element nodal records. To get around this requirement, use the DESOL command to add a "dummy" element stress/strain record.

ANSYS performs all load case combinations in the solution coordinate system, and the data resulting from load case combinations are stored in the solution coordinate system. The resultant data are then transformed to the active results coordinate system when listed or displayed. Therefore, unless RSYS,SOLU is set (no transformation of results data), you may see some unexpected results such as negative values after a square operation or negative values even when you request absolute values.

This feature is mainly intended for reading in data from your own, special-purpose program. By writing output data from that program in the form of the above commands, you can read them into POST1 and process them the same way you would ANSYS results. If you do have an ANSYS results file, it will not be affected by these commands.

5.4.6. Splitting Large Results Files

If you have a results file that is too large for you to postprocess on your local machine (such as from running a large model on a server or cluster), you can split the results file into smaller files based on subsets of the model. You can then process these smaller files on your local machine. For example, if your large model is an assembly, you can create individual results files for each part.

You can also use this capability to create a subset of results for efficient postprocessing. For example, you could take the results file from a large model that had all results written, and create a smaller results file containing only stresses on the exterior surface. This smaller file would load and plot quickly, while not losing any of the detailed data written to the full results file.

When you use this feature, the subset geometry is also written to the results file so that you do not need the database file (no SET required). However, you must not resume any database when postprocessing one of these results files, and your original results file must have the geometry written to it (i.e., do not issue /CONFIG,NORSTGM,1).

To use the results file splitting feature:

Command(s): | RSPLIT
GUI: | Main Menu> General Postproc>
You can use this feature in conjunction with INRES to limit the amount of data written to the results files.

A brief example of how you might use this feature is shown below:

/POST1
FILE,jobname,rst            ! Import *.rst file
ESEL,all
INRES,nsol,strs             ! Write out only nodal solution and stresses
RSPLIT,ext,esel,myexterior  ! Write the results for the exterior of the whole model to a file
                            ! named myexterior.rst
FINISH
/EXIT
...
/POST1
FILE,myexterior
PLNS,s,eqv                   ! Postprocess the myexterior.rst file as usual
PLNS,u,sum
FINISH

5.4.7. Magnetics Command Macros

The following ANSYS magnetic command macros are also available for calculating and plotting results from a magnetic analysis:

  • CURR2D (Main Menu> General Postproc> Elec&Mag Calc> Element Based> Current) calculates current flow in a 2-D conductor.

  • EMAGERR (Main Menu> General Postproc> Elec&Mag Calc > Element Based> Error Eval) calculates the relative error in an electrostatic or electromagnetic field analysis.

  • EMF (Main Menu> General Postproc> Elec&Mag Calc> Path Based> EMF) calculates the electromotive force (emf) or voltage drop along a predefined path.

  • EMFT (Main Menu> General Postproc> Elec&Mag Calc> Path Based> EMF) summarizes electromagnetic forces and torques on a selected set of nodes.

  • FLUXV (Main Menu> General Postproc> Elec&Mag Calc> Path Based> Path Flux) calculates the flux passing through a closed contour.

  • FMAGBC (Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Flag> Comp. Force) applies force boundary conditions to an element component.

  • FMAGSUM (Main Menu>General Postproc>Elec&Mag Calc> Component Based> Force) summarizes electromagnetic force calculations on element components.

  • FOR2D (Main Menu> General Postproc> Elec&Mag Calc> Path Based> Mag Forces) calculates magnetic forces on a body.

  • HFSWEEP (Main Menu> Solution> Solve> Electromagnet> HF Emag> Freq Sweep) performs a harmonic response (over a range of frequencies) for a high-frequency electromagnetic waveguide analysis, and performs postprocessing calculations.

  • HMAGSOLV (Main Menu> Solution> Solve> Electromagnet> Harmonic Analys> Opt&Solv) specifies 2-D harmonic electromagnetic solution options and initiates the solution for a harmonic analysis.

  • IMPD (Main Menu> General Postproc> Elec&Mag Calc> Path Based> Impedance) calculates the impedance of a device at a particular reference plane.

  • LMATRIX (Main Menu> Solution> Solve> Electromagnet> Static Analysis> Induct Matrix) calculates the inductance matrix and the total flux linkage in each coil for an arbitrary set of coils.

  • MAGSOLV (Main Menu> Solution> Solve> Electromagnet> Static Analysis> Opt&Solv) specifies magnetic solution options and initiates the solution for a static analysis.

  • MMF (Main Menu> General Postproc> Elec&Mag Calc> Path Based> MMF) calculates magnetomotive force along a path.

  • PERBC2D (Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Boundary> Vector Poten> Periodic BCs) generates periodic constraints for 2-D planar analysis.

  • PLF2D (Main Menu> General Postproc> Plot Results> Contour Plot> 2D Flux Lines) generates a contour line plot of equipotentials.

  • PMGTRAN (Main Menu> TimeHist Postpro> Elec&Mag> Magnetics) summarizes electromagnetic results from a transient analysis.

  • POWERH (Main Menu> General Postproc> Elec&Mag Calc> Element Based> Power Loss) calculates the RMS power loss in a conducting body.

  • QFACT (Main Menu> General Postproc> Elec&Mag Calc> Cavity> Q-factor) calculates the quality factor for high-frequency electromagnetic resonators from a mode-frequency solution.

  • RACE (Main Menu> Preprocessor> Modeling> Create> Racetrack Coil) defines a "racetrack" current source.

  • REFLCOEF (Main Menu> General Postproc> Elec&Mag Calc> Port> ReflCoeff) calculates the voltage reflection coefficient, standing wave ratio (VSWR), and return loss in a coaxial device.

  • SENERGY (Main Menu> General Postproc> Elec&Mag Calc> Element Based> Energy) determines the stored magnetic energy or co-energy.

  • SPARM (Main Menu> General Postproc> Elec&Mag Calc> Port> S-Parameters) calculates the scattering parameters between two ports of a rectangular waveguide with a TE10 mode excitation or a coaxial waveguide.

  • TORQ2D (Main Menu> General Postproc> Elec&Mag Calc> Path Based> Torque) calculates torque on a body in a magnetic field.

  • TORQC2D (Main Menu> General Postproc> Elec&Mag Calc> Path Based> Circular Torq) calculates torque on a body in a magnetic field based on a circular path.

  • TORQSUM (Main Menu> General Postproc> Elec & Mag Calc> Component Based> Torque) summarizes electromagnetic Maxwell and Virtual work torque calculations on element components for 2-D planar problems.

See "Electric and Magnetic Macros" in the Low-Frequency Electromagnetic Analysis Guide for more information on ANSYS magnetic command macros.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.3. Using the PGR File in POST1 		Up / Home Next
Chapter 6. The Time-History Postprocessor (POST26)


Chapter 6. The Time-History Postprocessor (POST26)

Use the time-history postprocessor to review analysis results at specific locations in the model as a function of time, frequency, or some other change in the analysis parameters that can be related to time. In this mode, you can process results data in many ways. You can construct graphics displays, chart representations or tabular listings, or you can perform math operations on your data sets. A typical time-history task would be to graph result items versus time in a transient analysis, or to graph force versus deflection in a nonlinear structural analysis.

Following is the general process for using the time-history postprocessor:

  1. Start the time-history processor, either interactively or via the command line.

  2. Define time-history variables. This involves not only identifying the variables, but also storing the variables.

  3. Process the variables to develop calculated data or to extract or generate related variable sets.

  4. Prepare output. This can be via graph plots, tabular listings or file output.

The following POST26 topics are available:

  • The Time-History Variable Viewer
  • Entering the Time-History Postprocessor
  • Defining Variables
  • Processing Your Variables to Develop Calculated Data
  • Importing Data
  • Exporting Data
  • Reviewing the Variables
  • Additional Time-History Postprocessing

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.4. Additional POST1 Postprocessing 		Up / Home Next
6.1. The Time-History Variable Viewer


6.1. The Time-History Variable Viewer

You can interactively define variables for time-history postprocessing using the variable viewer. A brief description of the variable viewer follows.

  1. TOOLBAR

    Use the toolbar to control your time-history operations. You can collapse the two expansion bars (2 and 4 below) and retain a compact toolbar that includes these items.

    Add Data | Opens the “Add Time-History Variable” dialog. See Defining Variables, later on in this chapter.
    Delete Data | Clears selected variable from the Variable List
    Graph Data | Graphs up to ten variables according to predefined properties. See Reviewing the Variables, later on in this chapter.
    List Data | Generates lists of data, including extremes, for six variables
    Properties | You can specify selected variable and global properties
    Import Data | Opens dialog for bringing information into the variable space. See Importing Data later on in this chapter
    Export Data | Opens dialog for exporting data to a file or an APDL array. See Exporting Data later on in this chapter.
    Overlay Data | Drop down list for selecting the data for graph overlay. See Importing Data, later in this chapter
    Clear Time-History Data | Clears all variables and returns settings to their default values (RESET).
    Refresh Data | Updates variable list. This function is useful if some variables are defined outside of the variable viewer.
    Results to View | Drop down list for choosing output form of complex variables (i.e. real, imaginary, amplitude or phase).

  2. Hide/Show Variable List

    Clicking anywhere on this bar collapses the variable list in order to temporarily reduce the size of the viewer.

  3. Variable List

    This area will display the defined time-history variables. You can pick from within this list to select and process your variables.

  4. Hide/Show Calculator

    Clicking anywhere on this bar collapses the calculator to reduce the size of the viewer.

  5. Variable Name Input Area

    Enter the name (32 character max.) of the variable to be created.

  6. Expression Input Area

    Enter the expression associated with the variable to be created.

  7. APDL Variable Drop Down List

    Select a currently-defined APDL variable to use in the expression input.

  8. Time-History Variable Drop Down List

    Select from previously-stored variables to use in the expression input.

  9. Calculator Area

    Use the calculator to add standard mathematical operators and functions to the expression input. You click on the buttons to enter the function into the expression input area. Clicking on the INV button enables the alternate selections shown above the buttons. For examples on how to use the calculator functions, see Processing Your Variables to Develop Calculated Data in this chapter.

    PARENTHESIS | Use the parenthesis to set off the hierarchy of operations, just as you would in any algebraic expression. Many functions will automatically insert parenthesis when needed.
    MAX / MIN | Finds the largest of three variables (LARGE ) / Finds the smallest of three variables (SMALL)
    COMPLEX / CONJUGATE | Forms a complex variable / Forms the complex conjugate of a variable (CONJUG).
    LN / e^X | Forms the natural log of a variable (NLOG) / Forms the exponential of a variable (EXP).
    STO / RCL | Stores active information from the expression input area into a memory location / Recalls the memory location for repeated use in an expression.
    CVAR | Computes the covariance between two variables (CVAR). Only available for random vibration (PSD) analyses.
    RPSD | Computes the response power spectral density (RPSD). Only available for random vibration (PSD) analyses.
    RESP | Computes the response power spectrum (RESP) from time history data. Available for transient analyses.
    LOG | Forms the common log of a variable (CLOG).
    ABS / INS MEM | Forms the absolute value of a variable. For a complex number, the absolute value is the magnitude (ABS) / Inserts the contents of a memory location into an expression.
    ATAN | Forms the arctangent of a complex variable (ATAN).
    X^2 / SQRT | Forms the square of a variable (PROD) / Forms the square root of a variable (SQRT) .
    INV | Use this key to make the alternate calculator functions (shown above the buttons) available.
    DERIV / INT | Forms the derivative of a variable (DERIV) / Forms the integral of a variable (INT1).
    REAL / IMAG | Forms a variable using only the real part of a complex variable (REALVAR) / Forms a variable using only the imaginary part of a complex variable (IMAGIN).
    11 KEY NUMBER PAD | Enters real numbers into the expression input area.
    / Computes the quotient of two variables (QUOT).
    * Computes the product of two variables (PROD).
    – Computes the difference between two variables (ADD).
    + Computes the sum of two variables (ADD).
    CLEAR | Clears all data from the variable and expression input area.
    BACKSPACE | Backspace from the current cursor location deleting preceding characters.
    ENTER | Computes the expression in the expression input area and stores the result in the variable specified in the variable input area (STORE).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 6. The Time-History Postprocessor (POST26) 		Up / Home Next
6.2. Entering the Time-History Postprocessor


6.2. Entering the Time-History Postprocessor

You enter the time history processor to process time or frequency related results data. Once you have solved an analysis, ANSYS uses your results data to create a “Results File.” The active results file (*.RST, *.RFL, *.RTH, *.RMG, etc.) is automatically loaded when you enter postprocessing. If the current analysis contains no results file, you are queried for one. You can also use the file option to load any other results file for processing.

6.2.1. Interactive

Selecting Main Menu> TimeHist PostPro starts the time-history postprocessor and loads the time-history variable viewer. The following discussions of interactive mode deal with the variable viewer portion of the Graphical User Interface (GUI). Alternate GUI methods are discussed in the appropriate command descriptions. If you need to reopen the variable viewer while still in the time-history postprocessor, click Variable Viewer in the TimeHist PostPro menu.

6.2.2. Batch

The command /POST26 opens the time-history postprocessor for batch and command line operations.

Notes:

  • You must have your geometry loaded and a valid results file must be available in order to perform time-history post processing (interactive or batch)

  • By default, the time-history processor looks for one of the results files mentioned in The General Postprocessor (POST1). You can specify a different file name using the FILE command (batch) or from the file menu of the variable viewer.

  • The data sets and variable definitions you create in the time history postprocessor are maintained for the current ANSYS session. This allows you to move, for example, between POST1 and POST26 without losing stored information (see the KEEP command for more information).

  • If you define variables outside of the variable viewer, but want to use it for postprocessing, you must refresh the variable viewer by either pressing the F5 button on your keyboard with the variable viewer selected, or by choosing the refresh button in the variable viewer's toolbar.

  • Use the Clear time-history Data button to remove all defined variables and return settings to their default values.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.1. The Time-History Variable Viewer 		Up / Home Next
6.3. Defining Variables


6.3. Defining Variables

Your time-history operations deal with variables, tables of result item versus time (or versus frequency). The result item may be the UX displacement at a node, the heat flux in an element, the force developed at a node, the stress in an element, the magnetic flux in an element, etc. You assign unique identifiers to each of your variables. Up to 200 such variables can be defined. TIME is reserved for the time value, and FREQ is reserved for the frequency value. All other identifiers must be unique, and can be made up of 32 letters and characters. If you don't supply a unique identifier, ANSYS will assign one. In addition to the unique identifiers, ANSYS uses numerical indices (reference numbers) to track and manipulate the variables. These numbers can be used interchangeably with the identifiers at the command level, and in some interactive operations. The numerical index is displayed, along with any name you choose in the data properties dialog box.

6.3.1. Interactive

Follow these steps to enter time-history data using the variable viewer.

  1. Click on the Add Data button.

    Result: The “Add Time-History Variable” data selection dialog appears. Use the result item tree provided in the “Result Item” frame of this dialog to select the type of result you wish to add. Result items are presented in a hierarchical tree fashion from which you can select many standard result items (only result items available in your analysis will be displayed). A “favorites” section is provided to allow you to access previously selected data items. The last fifty entries are stored here.

  2. Specify a name for the result item and provide additional information. The “Variable Name” field in the “Result Item Properties” area will display an ANSYS-assigned name, however, this field can be edited to use any name you choose. You will be asked to overwrite existing data if the name chosen is not unique. Depending on the type of result chosen from the “Result Item” area above, you may provide additional information about the item, such as the appropriate shell surface, force component or layer number information.

  3. Click on the OK button.

    Result: If entity information is required, a picking window will appear, and you can choose the appropriate node and/or element from your model. The “Add Time-History Variable” window then closes and the appropriate variable appears in the variable viewer's variable list area.

    If you wish to enter more than one variable definition, click Apply, and the results data will be defined and entered into the variable list area, while still keeping the “Add Time-History Variable” window open.

  4. (optional) Add or modify properties information.

    You may, depending on the type of results variable, wish to supply additional time-history properties information. Time History Properties include specific variable information, X- axis definition data and list definition data. This information can be edited at any time via the Data Properties button.

Notes:

  • You can see all of your defined variables in the Variable List area. Specific element and node information, along with the appropriate range of values are all displayed here.

  • When you define your variable information with the variable viewer, you can easily modify and change various properties by clicking on the variable and using the Data Properties button. The subsequent “Time History Properties” tabbed dialog box allows you to modify or add specific (Variable) results data properties and also to modify global properties (X-Axis and List).

  • The variable names TIME and FREQ, as well as the reference number 1, are reserved.

  • In interactive mode, the NUMVAR command is automatically set to 200 variables; the variable viewer uses the last 10 of these variables for data manipulation, resulting in 190 variables available for the user.

  • All time points of your results file are automatically stored and made available in interactive mode.

  • If your variables are complex values (e.g. amplitude/phase angle), the MIN and MAX values displayed in the lister window will always be the “REAL” values.

6.3.2. Batch

In Interactive Mode (above), your data is automatically stored when you define it. From the command line, this process is accomplished in two separate parts, Defining and Storing.

You define the variable according to the result item in the results file. This means setting up pointers to the result item and creating labels for the areas where this data will be stored. For example, the following commands define time-history variables two, three and four:

NSOL,2,358,U,X,UX_at_node_358
ESOL,3,219,47,EPEL,X, Elastic_Strain
ANSOL,4,101,S,X ,Avtg_Stress_101

Variable two is a nodal result defined by the NSOL command. It is the UX displacement at node 358. Variable three is an element result defined by the ESOL command. It is the X component of elastic strain at node 47 for element 219. Variable four is an averaged element nodal result defined by the ANSOL command. It is the X-component of averaged element nodal stress at node 101. Any subsequent reference to these result items will be through the reference numbers or labels assigned to them. Defining a new variable with the same number as an existing variable overwrites the existing variable. The following commands are used to define variables:

Commands used to define variables
ANSOL | EDREAD | ESOL | FORCE*
GAPF | LAYERP26* | NSOL | RFORCE
 | SHELL* | SOLU |
* Commands that define result location |  |  |

The second part is storing the variables (the STORE command). Storing means reading the data from the results file into the database. In addition to the STORE command, the program stores data automatically when you issue display commands (PLVAR and PRVAR) or time-history data operation commands (ADD, QUOT, etc.).

An example of using the STORE command follows:

/POST26
NSOL,2,23,U,Y     ! Variable 2 = UY at node 23
SHELL,TOP         ! Specify top of shell results
ESOL,3,20,23,S,X  ! Variable 3 = top SX at node 23 of element 20
PRVAR,2,3         ! Store and then print variables 2 and 3
SHELL,BOT         ! Specify bottom of shell results
ESOL,4,20,23,S,X  ! Variable 4 = bottom SX at node 23 of element 20
STORE             ! By command default, place variable 4 in memory with 2 and 3
PLVAR,2,3,4       ! Plot variables 2,3,4

In some situations, you will need to explicitly request storage using the STORE command (Main Menu> TimeHist Postpro> Store Data). These situations are explained below in the command descriptions. If you use the STORE command after issuing the TIMERANGE command or NSTORE command (the GUI equivalent for both commands is Main Menu> TimeHist Postpro> Settings> Data), then the default is STORE,NEW. Otherwise, it is STORE,MERGE as listed in the command description below. This change in command default is required since the TIMERANGE and NSTORE commands redefine time (or frequency) points and time increment for data storage. You have the following options for storing data:

MERGE

Adds newly defined variables to previously stored variables for the time points stored in memory. This is useful if you wish to store data using one specification (FORCE, SHELL, LAYERP26 commands) and store data using another specification; see the example above.

NEW

Replaces previously stored variables, erases previously calculated variables, and stores newly defined variables with current specifications.

APPEND

Appends data to previously stored variables. That is, if you think of each variable as a column of data, the APPEND option adds rows to each column. This is useful when you want to "concatenate" the same variable from two files, such as in a transient analysis with results on two separate files. Use the FILE command (Main Menu> TimeHist Postpro> Settings> File) to specify result file names.

ALLOC,N

Allocates space for N points (N rows) for a subsequent storage operation. Previously stored variables, if any, are zeroed. You normally do not need this option, because the program determines the number of points required automatically from the results file.

Notes:

  • By default, batch mode allows you to define up to ten variables. Use the NUMVAR command to increase the number of variables up to the available 200.

  • Time or Frequency will always be variable 1

  • By default, the force (or moment) values represent the total forces (sum of the static, damping, and inertial components). The FORCE command allows you to work with the individual components.

    Note

    The FORCE command only affects the output of element nodal forces.

  • By default, results data for shell elements and layered elements are assumed to be at the top surface of the shell or layer. The SHELL command allows you to specify the top, middle or bottom surface. For layered elements, use the LAYERP26 and SHELL commands to indicate layer number and surface location, respectively.

  • Other commands useful when defining variables are:

    • NSTORE - defines the number of time points or frequency points to be stored.

    • TIMERANGE - defines the time or frequency range in which data are to be stored.

    • TVAR - changes the meaning of variable 1 from time to cumulative iteration number.

    • VARNAM - assigns a name (32 character max.) to a variable.

    • RESET - removes all variables and resets all specifications to initial defaults.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.2. Entering the Time-History Postprocessor 		Up / Home Next
6.4. Processing Your Variables to Develop Calculated Data


6.4. Processing Your Variables to Develop Calculated Data

Often, the specific analysis data you obtain in your results file can be processed to yield additional variable sets that provide valuable information. For example, by defining a displacement variable in a transient analysis, you can calculate the velocity and acceleration by taking derivatives with respect to time. Doing so will yield an entirely new variable that you may wish to analyze in conjunction with your other analysis data.

6.4.1. Interactive

The variable viewer provides an intuitive calculator interface for performing calculations. All of the command capability can be accessed from the calculator area. The calculator can be displayed or hidden by clicking on the bar above the calculator area.

Follow these steps to process your time history data using the variable viewer:

  1. Specify a variable in the variable name input area. This must be a unique name, otherwise you will be prompted to overwrite the existing variable of that name.

  2. Define the desired variable expression by clicking on the appropriate keys, or selecting time-history variables or APDL parameters from the drop down lists.

    Result: The appropriate operators, APDL parameters or other variable names appear in the Expression Input Area.

  3. Click the “Enter” button on the calculator portion of the Variable viewer

    Result: The data is calculated and the resultant variable name appears in the variable list area. The expression will be available in the variable viewer for the variable name until the variable viewer is closed.

Notes:

  • To find the derivative of a variable “UYBLOCK” with respect to another variable

    VBLOCK = deriv ({UYBLOCK} , {TIME})

  • To find the amplitude of a complex time-history variable “PRESMID”

    AMPL_MID = abs ({PRESMID})

    OR,

    AMPL_MID = sqrt (real ({PRESMID}) ^2 + imag ({PRESMID}) ^2)

  • To find the phase angle of a complex time-history variable “UYFANTIP”

    PHAS_TIP = atan ({UYFANTIP}) * 180/pi

    Where pi = acos (-1)

  • To multiply a complex time-history variable “PRESMID” with a factor (2 + 3i)

    SCAL_MID = cmplx (2,3)* {PRESMID}

  • To fill a variable with ramped data use the following equation

    RAMP_.25BY_0.5 = .25 + (.05 * ({nset} - 1))

  • To fill a variable as a function of time use the following equation

    FUNC_TIME_1 = 10 * ({TIME} - .25)

  • To find the relative acceleration response PSD for a variable named UZ_4, use the following equation

    RPSD_4 = RPSD({UZ_4},{UZ_4},3,2)

6.4.2. Batch

In batch mode, you use combinations of commands. Some identify the variable and the format for the output, while others identify the variable data to be used to create the new variable. The calculator operations themselves are performed by specific commands.

  • To find the derivative of a variable “UYBLOCK “ with respect to another variable “TIME”

    NSOL,2,100,u,y,UYBLOCK  !Variable 2 is UY of node 100
DERIV, 3,2,1,,VYBLOCK   !Variable 3 is named VYBLOCK It is the
                        !derivative of variable 2 with respect
                        !to variable 1 (time)

  • To find the amplitude of a complex time-history variable PRESMID

    NSOL,2,123,PRES,,PRESMID  !Variable 2 is the pressure at node 123
ABS, 3,2,,,AMPL_MID      !Absolute value of a complex variable
                         !is its amplitude.

  • To find the phase angle (in degrees of a complex time-history variable “UYFANTIP”

    Pi = acos(-1)
ATAN,4,2,,,PHAS_MID,,,180/pi !ATAN function of a complex
                           !variable (a + ib) gives atan (b/a)

  • To multiply a complex POST 26 variable “PRESMID” with a factor (2+3i):

    CFACT,2,3         !Scale factor of 2+3i
ADD,5,2,,,SCAL_MID   !Use ADD command to store variable 2 into
                  !variable 5 with the scale factor of (2+3i)

  • To fill a variable with ramped data

    FILLDATA,6,,,.25,.05,ramp_func  !Fill a variable with
                                !ramp function data.

The following commands are used to process your variables, develop computed relationships and store the data. See the specific command reference for more information on processing your time-history variables.

Variable processing commands
ABS | IMAGIN | SMALL
ADD | INT1 | SQRT
ATAN | LARGE | RPSD
CLOG | NLOG | CVAR
CONJUG | PROD | RESP
DERIV | QUOT |
EXP | REALVAR |

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.3. Defining Variables 		Up / Home Next
6.5. Importing Data


6.5. Importing Data

This feature allows the user to read in set(s) of data from a file into time history variable(s). This enables the user, for instance, to display and compare test results data against the corresponding ANSYS results data.

6.5.1. Interactive

The "Import Data” button in the variable viewer leads the user through the interactive data import process. Clicking on "Import Data" allows the user to browse and select the appropriate file. The data must be in the format below:

# TEST DATA FILE EXAMPLE
# ALL COMMENT LINES BEGIN WITH #
# Blank lines are ignored
#
# The first line without # sign must contain the variable names to be used
# for each column of data read into POST26. NOTE that for complex data only
# one variable name should be supplied per (real, imaginary) pair as shown below.
# The next line can either be left blank or have descriptors for each column
# such as REAL and IMAGINARY
#
# The data itself can be in free format with the columns "comma delimited",
# "tab delimited", or "blank delimited"
#
# The first column of data is always reserved for the independent variable
# (usually TIME or FREQUENCY)
#
    FREQ                 TEST1                          TEST2
                 REAL         IMAGINARY        REAL          IMAGINARY
 1.00000E-02    -128.32        0.17764         5.6480       -4.47762E-03
 2.00000E-02    -150.08        0.36474         5.6712       -8.99666E-03
 3.00000E-02    -163.12        0.57210         5.7097       -1.35897E-02
 4.00000E-02    -147.63        0.81364         5.7629       -1.82673E-02
 5.00000E-02    -133.90         1.1091         5.8298       -2.29925E-02
 6.00000E-02    -172.38         1.4886         5.9080       -2.76290E-02

The user has two choices, depending upon the data in the file.

  • Graph overlay information: This can be used when you are interested in simply overlaying the experimental or theoretical results on top of the Finite Element Analysis results in the same plot. The data set(s) brought in using this method will show up in the "overlay data" drop down list. A data set selected in this drop down list will overlay the current variable graph display. You will need to choose "None" to not overlay the data. The sets of data brought in using this method can be overlaid on a variable graph, allowing a visual comparison of the test data against the finite element result.

  • Linear interpolation into variables: If you want to compare Finite Element Analysis results with your experimental or theoretical results at the same time points, you should use the Interpolate to FEA Time Points option. This option linearly interpolates the test data to calculate test results at the ANSYS time/frequency points. The interpolated data is then stored as a time-history variable(s) and is added to the list of variables in the variable viewer. These variables can then be displayed, listed, or operated on as any other time-history variable. You must ensure that linear interpolation is valid for the data imported. In addition, the non-interpolated “raw” data from the file is available in the “overlay data” drop down list, as explained above.

6.5.2. Batch Mode

You import data from a file into a time history variable using one of the following methods:

  • Use the DATA command to read in a pre-formatted file. The file should be in Fortran format as described in the DATA command.

  • Read the data from a free format, "comma," “blank,” or "tab" delimited file. You can store it as a time history variable using the two step procedure below:

    1. Read the file into a table array using the *TREAD command. This step requires that you know the number of data points in the file since you will need to prespecify the table array size ( *DIM ).

    2. Use the VPUT command to store the array into a time history variable. You can store one array at a time into a time history variable

  • The following two 'external' commands are available to facilitate easy import of data into time-history variables.

    1. ~eui, 'ansys::results::timeHist::TREAD directorypath/filename arrayname'

      The above command will determine the size of the data file, create a table array of name 'arrayname', appropriately dimension it based on the number of data sets in the file, and then read the data into this array. This command must be issued prior to the command shown below.

    2. ~eui,'ansys::results::timeHist::vputData arrayname variablenumber'

      The above command assumes that you have already created a table array 'arrayname' as described in 1) above. This command will put the data stored in the 'arrayname' table into the time history variables starting with variable id 'variable number'.

      For Example:

      ~eui,'ansys::results::timeHist::TREAD  d:\test1\harmonic.prn TESTMID'
~eui,'ansys::results::timeHist::vputData TESTMID 5'

    The first command above will read data set(s) from the file harmonic.prn in the directory d:\test1 and store this data in to the table array 'TESTMID'. The next command will then import the data from TESTMID array into ANSYS time history variable starting from variable number 5. If multiple data sets are in 'harmonic.prn' then the first data set will be stored in variable 5, the next data set in variable 6 and so on. If these variables have already been defined they will be overwritten.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.4. Processing Your Variables to Develop Calculated Data 		Up / Home Next
6.6. Exporting Data


6.6. Exporting Data

This feature allows the user to write out selected time history variable(s) to an ASCII file or to APDL array/table parameter. This enables you to perform several functions such as pass data on to another program for further processing or to archive data in an easily retrievable format.

6.6.1. Interactive Mode

The "Export Data" button is used to export the currently selected variables from the variable viewer's listing window to a file. Clicking on this button provides user with a choice of three export options:

  • Export to file:

    Use this option to export the selected time history variables to an ASCII file, which then can be used by other programs for further processing. The format of this file is identical to the one discussed in Importing Data above. The data in the file can be in one of two formats: Comma separated (file extension csv), or Space delimited (file extension prn). The number of items that can be exported at one time is limited to four variables (if complex) plus time variable or nine variables (if real) plus time variable. The variable names from the variable viewer's list window are used in the column header information line.

  • Export to APDL table:

    This option will store the time history variable data into the table name specified by the user. This option allows the user to operate on time history data with the extensive APDL capabilities available in ANSYS (such as *VFUN, *VOPER, etc.). The index of the table (0th column) is always the independent variable (usually Time or Frequency). If multiple time history variables are exported they will be stored in consecutive columns starting with column 1. If the variables contain complex number data, 2 columns are used per variable, one column of real and one for imaginary data.

    NOTE: When multiple variables are selected in the variable viewer for export, they are stored in the order in which they are displayed in the variable viewer lister box at that time (top to bottom). It is the user's responsibility to note down this order.

  • Export to APDL array:

    This option will store the time history variable data into an array parameter specified by the user. This option allows user to operate on the time history data using the extensive APDL capabilities of ANSYS. The first column of the array is reserved for the independent variable (usually time or frequency). The time history variables are stored starting in column 2 in the order in which they are shown in the variable viewer's list window.

6.6.2. Batch Mode

Exporting data from a time-history variable into a file is a two step process:

  1. Export a time-history variable data to an array parameter. The command VGET allows you to export a single time-history variable into a properly dimensioned ( *DIM ) array parameter. The size of this array can be determined via *GET ,size,vari,,nsets.

  2. Once the array is filled then the data can be written out to a file via *VWRITE command as shown below.

Example:

NSOL,5,55,U,X
STORE,MERGE            ! Store UX at node 55
*GET,size,VARI,,NSETS
*dim,UX55,array,size   ! Create array parameter
VGET,UX55(1),5         ! Store time history data of variable 5 into ux55
*CFOPEN,disp,dat
*VWRITE,UX55(1)        ! Write array in given format to file "disp.dat"
(6x,f12.6)
*CFCLOSE

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.5. Importing Data 		Up / Home Next
6.7. Reviewing the Variables


6.7. Reviewing the Variables

Once the variables are defined, you can review them via graph plots or tabular listings.

6.7.1. Plotting Result Graphs

The description for graph plotting, both with the variable viewer and from the command line follows:

6.7.1.1. Interactive

The "Graph Data" button in the variable viewer allows you to plot all the selected variables. A maximum of 10 variables can be plotted on a single graph. By default, the variable used for the X-axis of the graphs is TIME for static and transient analyses or FREQUENCY for harmonic analysis. You can select a different variable for the X-axis of the graph using the radio button under the column X-AXIS in the list of variables.

When plotting complex data such as from a harmonic analysis, use the 'results to view' drop-down list on the right top corner of the variable viewer to indicate whether to plot Amplitude (default), Phase angle, Real part or Imaginary part.

The variable viewer stores all the time points available on the results file. You can display a portion of this data by selecting a range for the X-axis value. This is useful when you want to focus on the response around a certain time point e.g., around the moment of impact in a drop test analysis. This is available in the "Data Properties" dialog under the X-AXIS tab. Note that this is a global setting i.e. this setting is used for all subsequent graph plots.

6.7.1.2. Batch

The PLVAR command ( Main Menu> TimeHist Postpro> Graph variables) graphs up to 10 variables at a time on a graph. By default, the variable used for the X-axis of the graphs is TIME for static and transient analyses or FREQUENCY for harmonic analysis. You can specify a different variable for the X-axis (e.g. deflection or strain) by using the XVAR command (Main Menu> TimeHist Postpro> Settings> Graph).

When plotting complex data such as from a harmonic analysis, PLVAR plots amplitude by default. You can switch to plotting Phase angle or Real part or Imaginary part via the PLCPLX command (Main menu> TimeHist Postpro> Settings> Graph).

You can display a portion of the stored data by selecting a range for the X-axis values via the /XRANGE command.

Two sample plots are shown below:

Figure 6.1 Time-History Plot Using XVAR = 1 (time)

Figure 6.2 Time-History Plot Using XVAR ≠ 1

For more information on adjusting the look and feel of your graph plots, see "Creating Graphs" later on in this manual.

6.7.2. Listing Your Results in Tabular Form

To create tabular data lists, both interactively and from the command line, use the following procedures.

6.7.2.1. Interactive

The "List Data" button of the variable viewer can be used to list up to six variables in the variable viewer.

When listing complex data such as from a harmonic analysis, use the 'results to view' drop-down list on the right top corner of the variable viewer to indicate whether to printout "amplitude and phase angle" or "real and imaginary parts" in the listing. Select amplitude or phase to list “Amplitude and Phase Angle” results. Select real or imaginary to list “Real and Imaginary” results.

You can restrict data being listed to a range of time or frequency. This and other listing controls are available through the "Lists" tab under Data Properties dialog. In addition to setting the range of time or frequency, this dialog also allows you to:

  • Control the number of lines before repeating headers on the listings.

  • Additionally print the extreme values of the selected. variables.

  • Specify printing every 'n'th data point.

6.7.2.2. Batch

You can use the PRVAR command (Main Menu> TimeHist Postpro> List Variables) to list up to six variables in tabular form. This is useful if you want to find the value of a result item at a specific time or frequency. You can control the times (or frequencies) for which variables are to be printed. To do so, use one of the following:

Command(s): | NPRINT, PRTIME
GUI: | Main Menu> TimeHist Postpro> Settings> List

You can adjust the format of your listing somewhat with the LINES command (Main Menu> TimeHist Postpro> Settings> List). A sample PRVAR output is shown below.

Sample Output from PRVAR

          ***** ANSYS time-history VARIABLE LISTING *****
    TIME         51 UX         30 UY
                  UX            UY
   .10000E-09     .000000E+00   .000000E+00
   .32000         .106832       .371753E-01
   .42667         .146785       .620728E-01
   .74667         .263833       .144850
   .87333         .310339       .178505
   1.0000         .356938       .212601
   1.3493         .352122       .473230E-01
   1.6847         .349681      -.608717E-01

When a complex variable consists of real and imaginary parts, the PRVAR command lists both the real and imaginary parts by default. You can work with real and imaginary, or amplitude and phase angle using the PRCPLX command.

Another useful listing command is EXTREM (Main Menu> TimeHist Postpro> List Extremes), which prints the maximum and minimum Y-variable values within the active X and Y ranges. You can also assign these extreme values to parameters using the *GET command (Utility Menu> Parameters> Get Scalar Data). A sample EXTREM output is shown below.

Back To Top

Sample Output from EXTREM
           time-history SUMMARY OF VARIABLE EXTREME VALUES
 VARI TYPE    IDENTIFIERS   NAME     MINIMUM    AT TIME    MAXIMUM   AT TIME
   1 TIME     1 TIME      TIME       .1000E-09  .1000E-09  6.000      6.000
   2 NSOL    50 UX        UX         .0000E+00  .1000E-09  .4170      6.000
   3 NSOL    30 UY        UY        -.3930      6.000      .2146      1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.6. Exporting Data 		Up / Home Next
6.8. Additional Time-History Postprocessing


6.8. Additional Time-History Postprocessing

The following additional time-history postprocessing topics are available:

  • Random Vibration (PSD) Results Postprocessing
  • Generating a Response Spectrum
  • Data Smoothing

6.8.1. Random Vibration (PSD) Results Postprocessing

Covariance and response PSD are of interest when postprocessing random vibration analysis results. The calculations use Jobname.rst and Jobname.psd files from a random vibration analysis.

6.8.1.1. Interactive

To choose whether to compute the covariance or the response PSD when reviewing the results of a random vibration analysis, follow these steps:

  1. Launch the variable viewer by selecting Main Menu> TimeHist Postpro. If the variable viewer is already open, click the Clear Time-History Data button, located in the toolbar. The Spectrum Usage dialog box appears. (See Figure 6.3: "Spectrum Usage Dialog Box".)

  2. Select “Find the covariance of quantities” or “Create response power spectral density (PSD).”

    Note

    You can improve the “smoothness” of the response PSD curves by specifying the number of points on either side of a natural frequency point (STORE,PSD) with the slider, shown in Figure 6.3: "Spectrum Usage Dialog Box".

  3. Click OK.

Figure 6.3 Spectrum Usage Dialog Box

6.8.1.1.1. Covariance

Follow these steps to calculate covariance using the variable viewer:

  1. Select “Find the covariance of quantities” from the Spectrum Usage dialog box and click OK.

    Note

    If you have performed RPSD calculations, click the Clear Time-History Data button to load the Spectrum Usage dialog box.

  2. Using the Variable Viewer, define the variables between which covariance is to be calculated.

  3. Specify a variable in the variable name input area of the variable viewer. The name must be unique or you will be asked to overwrite the existing variable.

  4. Click the CVAR button in the calculator area of the variable viewer. The following dialog box appears.

  5. Select the variables to operate on from one or both of the pull down lists (corresponds to the IA,IB argument for the CVAR command).

  6. Select the type of response to be calculated (corresponds to the ITYPE argument for the CVAR command).

  7. Choose whether to calculate the covariance with respect to the absolute value or relative to the base (corresponds to the DATUM argument for the CVAR command).

  8. Click OK to save your preferences and close the dialog box. The function cvar(IA,IB,ITYPE,DATUM) will be displayed in the expression area of the calculator.

  9. Click Enter in the calculator portion of the variable viewer to start the evaluation.

When the evaluation is finished, the covariance value is stored; the variable name is displayed in the variable list area for further postprocessing.

6.8.1.1.2. Response PSD

Follow these steps to calculate the Response PSD using the variable viewer.

  1. Select “Create response power spectral density (PSD)” from the Spectrum Usage dialog box and click OK.

  2. Using the Variable Viewer, define the variables for which the Response PSD is to be calculated.

  3. Specify a variable in the variable name input area of the variable viewer. The name must be unique or you will be asked to overwrite the existing variable.

  4. Click the RPSD button in the calculator area of the variable viewer. The following dialog box appears.

  5. Select the variables to be operated on (corresponds to the IA,IB argument for the RPSD command).

  6. Select the type of PSD to be calculated (corresponds to the ITYPE argument for the RPSD command).

  7. Choose whether to calculate the response PSD with respect to the absolute value or relative to the base (corresponds to the DATUM argument for the RPSD command).

  8. Click OK to save your preferences and close the dialog box. The function rpsd(IA,IB,ITYPE,DATUM) will be displayed in the expression area of the calculator.

  9. Click Enter in the calculator portion of the variable viewer to start the evaluation.

When the evaluation is finished, the response PSD value is stored; the variable name is displayed in the variable list area for further postprocessing.

6.8.1.2. Batch

Response PSDs and covariance values can be calculated for any results quantity using Jobname.RST and Jobname.PSD from a random vibration analysis. The procedure for performing this calculation is described in detail in Calculating Response PSDs in POST26 in the Structural Analysis Guide.

6.8.2. Generating a Response Spectrum

This feature allows you to generate a displacement, velocity, or acceleration response spectrum from a given displacement time-history. The response spectrum can then be specified in a spectrum analysis to calculate the overall response of a structure.

6.8.2.1. Interactive

Generating a response spectrum requires two previously-defined variables: one containing frequency values for the response spectrum (corresponding to the LFTAB argument for the RESP command), and the other containing the displacement time-history (corresponding to the LDTAB argument for the RESP command). The frequency values represent the abscissa of the response spectrum curve and the frequencies of the one-degree-of-freedom oscillators used to generate the response spectrum. You can create the frequency variable by using either the calculator portion of the variable viewer to define an equation or the variable viewer's import options.

Note

The displacement time-history values usually result from a transient dynamic analysis. You can also create the displacement variable using the import options (if the displacement time-history is on a file) or add displacement as a variable.

You must have a time variable defined as the first variable in the variable list (variable 1).

Once you have defined the frequency and displacement time history variables, follow these steps to calculate a response spectrum using the variable viewer.

  1. Specify a variable name in the variable name input area. The name must be unique or you will be asked to overwrite the existing variable.

  2. Click the RESP button in the calculator portion of the variable viewer. The following dialog box appears.

  3. Select the reference number of the variable containing the frequency table from the pull down list (corresponds to the LFTAB argument for the RESP command).

  4. Select the reference number of the variable containing the displacement time-history from the pull down list (corresponds to the LDTAB argument for the RESP command).

  5. Select the type of response spectrum to be calculated (corresponds to the ITYPE argument for the RESP command).

  6. Enter the ratio of viscous damping to critical damping as a decimal (corresponds to the RATIO argument for the RESP command).

  7. Enter the integration time step (corresponds to the DTIME argument for the RESP command).

  8. Click OK to save your preferences and close the dialog box. The function resp(LFTAB,LDTAB,ITYPE,RATIO,DTIME) is displayed in the expression area of the calculator.

  9. Click Enter in the calculator portion of the variable viewer to start the evaluation.

When the evaluation is finished, the response spectrum is stored; the variable name is displayed in the variable list area for further postprocessing.

6.8.2.2. Batch

The RESP command in time-history is used to generate the response spectrum, use either of the following:

Command(s): | RESP
GUI: | Main Menu> TimeHist Postpro> Generate Spectrm

RESP requires two previously defined variables: one containing frequency values for the response spectrum (field LFTAB) and the other containing the displacement time-history (field LDTAB). The frequency values in LFTAB represent not only the abscissa of the response spectrum curve, but also the frequencies of the one-degree-of-freedom oscillators used to generate the response spectrum. You can create the LFTAB variable using either the FILLDATA command or the DATA command.

The displacement time-history values in LDTAB usually result from a transient dynamic analysis of a single-DOF system. You can create the LDTAB variable using the DATA command (if the displacement time-history is on a file) or the NSOL command (Main Menu> TimeHist Postpro> Define Variables). A numerical time-integration scheme is used to calculate the response spectrum.

6.8.3. Data Smoothing

If you are working with noisy results data such as from an explicit dynamic analysis, you may want to "smooth" the response. This may allow for better understanding / visualization of the response by smoothing out local fluctuations while preserving the global characteristics of the response. The time-history "smooth" operation allows fitting a 'n'th order polynomial to the actual response.

This operation can be used only on static or transient results i.e., complex data cannot be fitted.

6.8.3.1. Interactive

This capability is available in the variable viewer's calculator through a function smooth (x1,x2,n) where x2 is the dependent time history variable (such as TIME), and x1 is the independent time history variable (such as response at a point), and 'n' is the order of fit. This function is available only by typing in the expression portion of the calculator.

For example to evaluate a second order fit for the UY response at the midpoint of a structure: (smooth variable x1 with respect to variable x2 of order “n”):

Smoothed_response = SMOOTH ({UY_AT_MIDPOINT},{TIME},2)

6.8.3.2. Batch

If you're working with noisy results data, you may want to "smooth" that data to a smoother representative curve.

Four arrays are required for smoothing data. The first two contain the noisy data from the independent and the dependent variables, respectively; the second two will contain the smoothed data (after smoothing takes place) from the independent and dependent variables, respectively. You must always create the first two vectors (*DIM) and fill these vectors with the noisy data (VGET) before smoothing the data. If you are working in interactive mode, ANSYS automatically creates the third and fourth vector, but if you are working in batch mode, you must also create these vectors (*DIM) before smoothing the data (ANSYS will fill these with the smoothed data).

Once these arrays have been created, you can smooth the data using the SMOOTH command (Main Menu> TimeHist Postpro> Smooth Data). You can choose to smooth all or some of the data points using the DATAP field, and you can choose how high the fitting order for the smoothed curve is to be using the FITPT field. DATAP defaults to all points, and FITPT defaults to one-half of the data points. To plot the results, you can choose to plot unsmoothed, smoothed, or both sets of data.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.7. Reviewing the Variables 		Up / Home Next
Chapter 7. Selecting and Components


Chapter 7. Selecting and Components

If you have a large model, it is helpful to work with just a portion of the model data to apply loads, to speed up graphics displays, to review results selectively, and so on. Because all ANSYS data are in a database, you can conveniently choose subsets of the data by selecting them.

Selecting enables you to group subsets of nodes, elements, keypoints, lines, etc. so that you can work with just a handful of entities. The ANSYS program uses a database to store all the data that you define during an analysis. The database design allows you to select only a portion of the data without destroying other data.

Typically, you perform selecting when you specify loads. By selecting nodes on a surface, for example, you can conveniently apply a pressure on all nodes in the subset instead of applying it to each individual node.

Another useful feature of selecting is that you can select a subset of entities and name that subset. For example, you can select all elements that make up the fin portion of a heat exchanger model and call the resulting subset FIN. Such named subsets are called components. You can even group several components into an assembly.

The following topics concerning selecting and components are available:

  • Selecting Entities
  • Selecting for Meaningful Postprocessing
  • Grouping Geometry Items into Components and Assemblies

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.8. Additional Time-History Postprocessing 		Up / Home Next
7.1. Selecting Entities


7.1. Selecting Entities

You can select a subset of entities using a combination of seven basic select functions:

  • Select

  • Reselect

  • Also Select

  • Unselect

  • Select All

  • Select None

  • Invert

These functions are illustrated and described in the following table.

Table 7.1 Selection Functions

Select. Selects items from the full set of data.

Reselect. Selects (again) from the selected subset.

Also Select. Adds a different subset to the current subset.

Unselect. Subtracts a portion of the current subset.

Select All. Restores the full set.

Select None. Deactivates the full set (opposite of Select All).

Invert. Switches between the active and inactive portions of the set.

These functions are available for all entities (nodes, elements, keypoints, lines, areas, and volumes) in the Utility Menu of the Graphical User Interface as well as by command.

For additional information on picking, see "Graphical Picking" in the Operations Guide.

7.1.1. Selecting Entities Using Commands

Table 7.2: "Select Commands" shows a summary of commands available to select subsets of entities. Notice the "crossover" commands: commands that allow you to select one entity based on another entity. For example, you can select all keypoints attached to the current subset of lines. Here is a typical sequence of select commands:

LSEL,S,LOC,Y,2,6   ! Select lines that have center locations between Y=2 and Y=6
LSEL,A,LOC,Y,9,10  ! Add lines with center locations between Y=9 and Y=10
NSLL,S,1           ! Select all nodes on the selected lines
ESLN               ! Select all elements attached to selected nodes

See the LSEL, NSLL, and ESLN command descriptions in the Commands Reference for further information.

Note

Crossover commands for selecting finite element model entities (nodes or elements) from solid model entities (keypoints, areas, etc.) are valid only if the finite element entities were generated by a meshing operation on a solid model that contains the associated solid-model entities.

Table 7.2 Select Commands

Entity | Basic Commands | Crossover Command(s)
Nodes | NSEL | NSLE, NSLK, NSLL, NSLA, NSLV
Elements | ESEL | ESLN, ESLL, ESLA, ESLV
Keypoints | KSEL | KSLN, KSLL
Hard Points | KSEL, ASEL, LSEL | None
Lines | LSEL | LSLA, LSLK
Areas | ASEL | ASLL, ASLV
Volumes | VSEL | VSLA
Components | CMSEL | None

7.1.2. Selecting Entities Using the GUI

The GUI path equivalent to issuing most of the commands listed in Table 7.2: "Select Commands" is Utility Menu> Select> Entities. This GUI choice displays the Select Entities dialog box, from which you choose, among other things, the type of entities you want to select and the criteria by which you will select them. For example, you can choose Elements and By Num/Pick to select elements by number or by picking. You can press the Help button from within the Select Entities dialog box for detailed information about selecting via the GUI; the help is context-sensitive and will reflect any choices you've made in the Select Entities dialog box.

Often, you will want to combine entities into components or assemblies for clarity or ease of reference. The following GUI paths provide selection options for defined components or assemblies:

GUI:
Utility Menu> Select> Comp/Assembly> Select All
Utility Menu> Select> Comp/Assembly> Select Comp/Assembly
Utility Menu> Select> Comp/Assembly> Pick Comp/Assembly
Utility Menu> Select> Comp/Assembly> Select None

7.1.3. Selecting Lines to Repair CAD Geometry

When CAD geometry is imported into ANSYS, the transfer may define the display of short line elements, which are difficult to identify on screen.

By choosing the line selection option, you can find and display these short lines:

Command(s): | LSEL
GUI: | Utility Menu> Select> Entities> Lines> By Length/Radius

Enter the minimum and maximum length or radius in the VMIN and VMAX fields. These fields, as they are used in this option, represent the range of values which corresponds to the length or radius of the short line elements. You should enter reasonable values in VMIN and VMAX to assure that the selected set only includes those short lines that you want to display. When the selected set appears on screen, you can pick individual lines within the set and repair the geometry as necessary.

Note

A line which is not an arc returns a zero radius. RADIUS is only valid for lines that are circular arcs.

7.1.4. Other Commands for Selecting

To restore all entities to their full sets, use one of the following:

Command(s): | ALLSEL
GUI: | Utility Menu> Select> Everything Below> Selected Areas Utility Menu> Select> Everything Below> Selected Elements Utility Menu> Select> Everything Below> Selected Lines Utility Menu> Select> Everything Below> Selected Keypoints Utility Menu> Select> Everything Below> Selected Volumes

This one command has the same effect as issuing a series of NSEL,ALL; ESEL,ALL; KSEL,ALL; etc. commands.

You also can use ALLSEL or its GUI equivalents to select a set of related entities in a hierarchical fashion. For example, given a subset of areas, you can select all lines defining those areas, all keypoints defining those lines, all elements belonging to these areas, lines, and keypoints, and all nodes belonging to these elements, by simply issuing one command: ALLSEL,BELOW,AREA

To select a subset of degree of freedom and force labels, use one of the following:

Command(s): | DOFSEL
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Operate> Scale FE Loads> Constraints Main Menu> Preprocessor> Loads> Define Loads> Operate> Scale FE Loads> Forces Main Menu> Preprocessor> Loads> Define Loads> Settings> Replace vs Add> Constraints Main Menu> Preprocessor> Loads> Define Loads> Settings> Replace vs Add> Forces Main Menu> Solution> Define Loads> Operate> Scale FE Loads> Constraints Main Menu> Solution> Define Loads> Operate> Scale FE Loads> Forces Main Menu> Solution> Define Loads> Settings> Replace vs Add> Constraints Main Menu> Solution> Define Loads> Settings> Replace vs Add> Forces

By selecting a subset of these labels, you can simply use ALL in the Label field of some commands to refer to the entire subset. For instance, the command DOFSEL,S,UX,UZ followed by the command D,ALL,ALL would put UX and UZ constraints on all selected nodes. DOFSEL does not affect the solution degrees of freedom.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 7. Selecting and Components 		Up / Home Next
7.2. Selecting for Meaningful Postprocessing


7.2. Selecting for Meaningful Postprocessing

Selecting can also help you during postprocessing. For instance, in POST1, you can select just a portion of your model to display or list the results. You should always use selecting to obtain meaningful results in POST1 when the model has discontinuities.

When you request contour displays with the PLNSOL command (Utility Menu> Plot> Results> Contour Plot> Nodal Solution), the ANSYS program produces smooth, continuous contours by averaging the data at nodes. This averaging is acceptable as long as the model contains no discontinuities, such as:

  • Two different materials modeled adjacent to each other or a model with different thicknesses. (See Figure 7.1: "Shell Model with Different Thicknesses")

  • Adjacent layered shells having a different number of layers. (See Figure 7.2: "Layered Shell (SHELL91 or SHELL99) with Nodes Located at Midplane" and Figure 7.3: "Layered Shell (SHELL91 or SHELL99) with Nodes Located at Bottom Surface")

When such discontinuities are present, be careful to process each side of the discontinuity separately by using selecting.

Figure 7.1 Shell Model with Different Thicknesses

Figure 7.2 Layered Shell (SHELL91 or SHELL99) with Nodes Located at Midplane

Figure 7.3 Layered Shell (SHELL91 or SHELL99) with Nodes Located at Bottom Surface

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.1. Selecting Entities 		Up / Home Next
7.3. Grouping Geometry Items into Components and Assemblies


7.3. Grouping Geometry Items into Components and Assemblies

Sometimes it is convenient to group portions of the model and give them recognizable names, such as FLANGE, WHEEL2, FIN7, IRONCORE, STATOR, ROTOR, etc. You can then conveniently select all items belonging to, say, WHEEL2, and work with them: apply boundary conditions, mesh them with nodes and elements, produce graphics displays, and so forth.

The groupings may be components or assemblies. A component consists of one type of entity: nodes, elements, keypoints, lines, areas, or volumes.

The Component Manager (Utility Menu> Select> Component Manager) provides convenient access to your component operations. The Component Manager provides a coordinated and integrated interface to the capabilities of the following commands:

CM | CMDELE | CMEDIT
CMGRP | CMLIST | CMMOD
CMPLOT | CMSEL |

You can access each command's capability either through the Component Manager, or through individual GUI paths, as noted. The following sections describe the individual component commands and the function you can perform with them. See the appropriate command documentation for specific capabilities and limitations.

Note

Using the Component Manager toolbar buttons (except Select Component/Assembly and Unselect Component/Assembly will perform the specified operation on the highlighted component(s), but the select status of the entities in the database will not be affected.

7.3.1. Creating Components

Use the CM command (Utility Menu> Select> Comp/Assembly> Create Component) to define a component. For example, you can select all elements that constitute the rotor portion of a motor model and group them into a component:

ESEL,,MAT,,2  ! Select rotor elements (material 2)
CM,ROTOR,ELEM ! Define component ROTOR using all selected elements

The Commands Reference describes the ESEL and CM commands in more detail.

An assembly may consist of any number of components and other assemblies. Use the CMGRP command (Utility Menu> Select> Comp/Assembly> Create Assembly) to define an assembly. For example, you can group the components ROTOR and WINDINGS (both of which must have been previously defined) into an assembly ROTORASM:

NSEL,...                 ! Select appropriate nodes and
ESLN                     ! elements that constitute the windings
CM,WINDINGS,ELEM              ! Define component WINDINGS
CMGRP,ROTORASM,WINDINGS,ROTOR ! Define the assembly ROTORASM

The Commands Reference describes the NSEL, ESLN, CM, and CMGRP commands in more detail.

7.3.2. Nesting Assemblies

You can also nest assemblies up to five levels deep. For example, you can build an assembly named MOTOR from other assemblies and components as shown in the schematic below.

Figure 7.4 Nested Assembly Schematic

Assuming that the assembly ROTORASM and components STATOR, PERMMAG, and AIRGAP have been defined, the commands to define the assembly MOTOR would look like this:

CMGRP,STATASM,STATOR,PERMMAG
CMGRP,MOTOR,STATASM,ROTORASM,AIRGAP

See the Commands Reference for more information about the CMGRP command.

7.3.3. Selecting Entities by Component or Assembly

The main advantage of defining a component or an assembly is that you can conveniently select items that belong to it using a combination of the CMSEL and ALLSEL commands. The CMSEL command selects all entities belonging to a component or assembly by its name. You can then issue ALLSEL,BELOW to select all attached lower entities. For example, you can select all elements belonging to the WINDINGS component, apply a current density loading to all of them, and then select all nodes attached to those elements:

CMSEL,,WINDINGS
BFE,ALL,JS,,-1000
ALLSEL,BELOW,ELEM

You can also use the picker to select components. By choosing Utility Menu> Select> Comp/Assembly> Pick Comp/Assembly, you can select a defined component and all of the items belonging to it. The item is displayed in the prompt window during the select process.

For more information about the CMSEL, BFE and ALLSEL commands, and the CMEDIT, CMDELE, and CMLIST commands mentioned below, see the Commands Reference.

7.3.4. Adding or Removing Components

Issuing the CMEDIT command (Utility Menu> Select> Comp/Assembly> Edit Assembly) allows you to add components to or remove components from an assembly. For example, the following command removes AIRGAP from the assembly MOTOR:

CMEDIT,MOTOR,DELE,AIRGAP

You can delete a component or assembly definition, using the CMDELE command (Utility Menu> Select> Comp/Assembly> Delete Comp/Assembly). You can list the entities that make up a particular component with the CMLIST command (Utility Menu> Select> Comp/Assembly> List Comp/Assembly). You can use CMLIST to generate expanded, detailed listings of the entities that make up specific components by using it along with the CMSEL command.

The CMSEL command also allows you to use components to narrow your selection or increase your selection criteria. Issuing CMSEL,ALL will select all defined components in addition to any items you already have selected.

7.3.5. Modifying Components or Assemblies

You can modify the specification of a component with the CMMOD command.

If an entity is modified (e.g., via the KMODIF command), that entity may be deleted and then redefined. The deletion may cause the entity to be removed from the component. If all of the entities are removed from the component, the component will also be deleted.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.2. Selecting for Meaningful Postprocessing 		Up / Home Next
Chapter 8. Getting Started with Graphics


Chapter 8. Getting Started with Graphics

The ANSYS program (and the associated DISPLAY program) enable you to portray almost any aspect of your model in pictures or graphs that you can view on your terminal screen, store on a file, or plot out as hard copy. ANSYS has numerous features to help you to customize or enhance your graphics displays to suit your needs.

The following graphics topics are available:

  • Interactive Versus External Graphics
  • Identifying the Graphics Device Name (for UNIX)
  • Specifying the Graphics Display Device Type (for Windows)
  • System-Dependent Graphics Information
  • Creating Graphics Displays
  • Multi-Plotting Techniques

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.3. Grouping Geometry Items into Components and Assemblies 		Up / Home Next
8.1. Interactive Versus External Graphics


8.1. Interactive Versus External Graphics

Any discussion of graphics might seem to imply that you are running the ANSYS program interactively and viewing graphics images on your terminal screen. For the most part, this chapter is written for such a scenario. However, you can run the ANSYS program in either interactive or batch mode and store graphics images on a file for later viewing and processing. This process is called creating external graphics. "External Graphics" discusses the procedures for external graphics. Chapter "General Graphics Specifications" through "Animation" pertain to obtaining graphics displays interactively on your screen.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 8. Getting Started with Graphics 		Up / Home Next
8.2. Identifying the Graphics Device Name (for UNIX)


8.2. Identifying the Graphics Device Name (for UNIX)

When using the ANSYS program, one of the first things you must do is specify the graphics device name (sometimes referred to as the graphics driver). ANSYS requires this information to properly direct graphics instructions to your display device. The default graphics device name for most systems is X11. You can change it from X11 to, say, 3D if you have a 3-D graphics device for running ANSYS.

You must define the graphics device name before you activate the Graphical User Interface (GUI). Once you have activated the GUI, you cannot change graphics device names. Refer to the Operations Guide for more information about using the GUI.

The best way to identify the graphics device name is to do so directly at program start-up. You can enter the graphics device name in the launcher from the ANSYS GUI Settings dialog box, accessed by selecting Edit> Preferences> ANSYS GUI Settings. By defining the graphics device name at start-up, you can activate the GUI immediately upon entering the ANSYS program. Alternatively, you can specify the graphics device name using /SHOW command once you have entered the program (but before you have activated the GUI).

8.2.1. Graphics Device Names Available

X11 (or X11C) and 3D are common graphics device names supported by the ANSYS program. Each of these are described briefly below.

8.2.1.1. X11 and X11C

Graphics Device Name = X11: The X11 graphics driver incorporates X - a distributed windowing system developed at Massachusetts Institute of Technology that a variety of platforms support. It provides 2-D graphics capability. The ANSYS program currently supports Version 11 (thus, "X11") Release 6 of the X-Window system.

X separates the functionality of traditional graphics systems into two parts: the X server and the X client. The server is the part of the system that controls the physical display device. A client is a piece of application software, such as the ANSYS or DISPLAY programs. A single server may respond to multiple clients. The server and client may reside on different machines connected to a network. X transparently handles all communication between server and client.

Graphics Device Name = X11C: On 2-D display devices that have more than 16 colors (more than four graphics bit planes; usually eight), the ANSYS program displays the model using light-source shading. Light-source shading means that when the model is viewed obliquely, the display appears to be 3-D. You can activate the extra colors using the NCPL field on the /SHOW command (Utility Menu> PlotCtrls> Device Options).

These devices also offer a 128-contour color option ("C-option"). This option allows contour displays to use the extra colors by adding more colors with a single intensity each. By default, the extra colors are used to display nine contour colors with varying intensities that simulate light-source shading. You activate the 128-contour color option by using X11C for the graphics device name on the /SHOW command.

Individual items can also be selected and displayed with varying degrees of translucency on 2-D devices. Translucent items will show black on the initial replot, since the 2-D driver generates only the visible face. The /SHRINK command (Utility Menu> PlotCtrls> Style> Translucency) will force the hardware to plot all of the faces and provide the desired translucent effect.

8.2.1.2. 3D

Graphics Device Name = 3D: If you have a 3-D graphics device, you should specify 3D as the graphics device name. A 2-D device contains a "flat" 2-D projection of your model (image manipulation is performed in software), but a 3-D device contains a 3-D model in its local memory (image manipulation is performed by the display hardware). As a result, 3-D devices perform certain graphics functions in ANSYS more efficiently, and 2-D devices do not support certain functions. The 3-D functions in ANSYS include "real-time" dynamic transformation (rotation, translation, etc.) of your actual model, translucency, and control of various lighting options, including reflectance, intensity, light direction, and shading. If you are using a 3-D device, you can set certain display option modes using the /DV3D command (Utility Menu> PlotCtrls> Device Options).

8.2.2. Graphics Drivers and Capabilities Supported on UNIX Systems

Table 8.1: "ANSYS-Supported 3-D Drivers and Capabilities for UNIX" lists the capabilities that ANSYS supports in various UNIX environments. The supported capabilities are noted with a Y in the driver column:

Table 8.1 ANSYS-Supported 3-D Drivers and Capabilities for UNIX

 | DEC OpenGL | HP OpenGL | IBM OpenGL | SGI OpenGL | Sun OpenGL
Window Device | Y | Y | Y | Y | Y
Hot Keyboard/Mouse | Y | Y | Y | Y | Y
3-Button Mouse | Y | Y | Y | Y | Y
Remote Network Access | Y[1] | Y | Y | Y | Y
Hidden Line Removal | Y | Y | Y | Y | Y
Translucency | Y | Y | Y | Y | Y
Light Source Shading | Y | Y | Y | Y | Y
3-D Local Transformations | Y | Y | Y | Y | Y
Double Buffering | Y | Y | Y | Y | Y
Degenerate Mode | Y | Y | Y | Y | Y

  1. Remote Network Access is restricted to systems that support OpenGL.

8.2.3. Graphics Device Types Supported on UNIX Systems

Table 8.2: "ANSYS-Supported Graphics Device Types (for UNIX)" summarizes the graphics device types that ANSYS supports in various UNIX environments:

Table 8.2 ANSYS-Supported Graphics Device Types (for UNIX)

Platform | Device | Description
HP AlphaServer (Tru64), HP, IBM, SGI, Sun UltraSPARC | X11 or x11 X11C or x11c | X11Color, X11Color contour
HP AlphaServer (Tru64) | 3D or 3d | 3-D OpenGL Graphics
HP | 3D or 3d | 3-D OpenGL Graphics
IBM (32 and 64 bit) | 3D or 3d | 3-D OpenGL Graphics
SGI | 3D or 3d | 3-D OpenGL Graphics
Sun Solaris UltraSPARC (32 and 64 bit) | 3D or 3d | 3-D OpenGL Graphics

8.2.4. Graphics Environment Variables

Table 8.3: "Graphics Environment Variables" lists the environment variables you can set before executing the ANSYS program or the DISPLAY program. Setting these variables alters the behavior of the X11 device driver and (where explicitly stated) also modifies 3-D graphics behavior.

Table 8.3 Graphics Environment Variables

Environment Variable | Affected Driver | Description/Example
ANSCURS X11 Select cursor style; for example:
setenv ANSCURS 22
ANSCREV | X11 | Reverse cursor color. Used only when ANSCURS is set.
ANSVIS | X11 | ANSYS visual key; instructs ANSYS to use a specific visual.
ANS_SNGLBUF | 3-D | Disables double buffering. Applies to HP and SGI 12-bit plane systems only.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.1. Interactive Versus External Graphics 		Up / Home Next
8.3. Specifying the Graphics Display Device Type (for Windows)


8.3. Specifying the Graphics Display Device Type (for Windows)

For Windows users, ANSYS supports these drivers and capabilities:

  • A window device

  • Hot keyboard/mouse

  • Two- or three-button mouse

  • Hidden line removal

  • Light source shading

Note

On a two-button mouse, the shift-right button functions like the middle button of a three-button mouse.

If you are running the program on Windows platforms, you have three alternatives for specifying the graphics device type:

  • Double-click on the Interactive icon in the ANSYS Program Folder. Click on the down arrow next to Graphics device name and choose the appropriate device.

  • Within the ANSYS program, issue the ANSYS /SHOW command (Utility Menu> PlotCtrls> Device Options).

  • Include the device type on the ANSYS execution command line. The command option -d or -D must precede the device type, as shown below:

    ansys110 -d device_type

    The device type is one of the following:

    • WIN32

    • WIN32c

    • 3D

We recommend using a color setting higher than 256 colors.

Specifying an invalid device type causes ANSYS to divert the graphics to a disk file and inhibits the opening of the ANSYS menu system, even if you included the -g option on the ANSYS execution command.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.2. Identifying the Graphics Device Name (for UNIX) 		Up / Home Next
8.4. System-Dependent Graphics Information


8.4. System-Dependent Graphics Information

This section describes factors affecting how ANSYS graphics display on different hardware systems. You should read this information before you activate the ANSYS graphical user interface.

8.4.1. Adjusting Input Focus

To enable the display, meshing, and listing interrupts to work correctly, you must set the input focus in the text window from which the ANSYS program is executing. You can set the focus in either of two ways:

  • Position the mouse pointer within the text window. (Use this method only if the window manager sets the focus automatically.)

  • Place the mouse pointer on the text window and click the mouse button.

8.4.2. Deactivating Backing Store

When you are using the X11 graphics driver on Sun SPARC systems, backing store is turned on by default. For faster graphics response turn backing store off by issuing the command shown below:

setenv ANSBACK 0

8.4.3. Setting Up IBM RS/6000 3-D OpenGL Supported Graphics Adapters

For 3-D OpenGL, initialize the window manager using the command below:

xinit -- -x abx  -x dbx  -x glx

3-D OpenGL does not apply to Sabine, GT4E, and GT0 graphics adapters.

8.4.4. Displaying X11 Graphics over Networks

You can display X11 graphics within the ANSYS program over the network if the following conditions exist:

  • All computer systems have X11 software installed.

  • The ANSYS program is linked with the X11 driver.

  • A /SHOW device type of x11 or x11c is used. (You can use either uppercase or lowercase characters to specify device types.)

  • The /etc/hosts file on the host machine contains the hostname and the IP address of the remote machine.

  • The environment variable DISPLAY is set to Hostname:0.0, where Hostname is either the host name or the IP address of the machine that will display the graphics.

For example, suppose that you want to run the ANSYS program remotely from another UNIX system for local display of X11 graphics on your workstation monitor. You would perform these steps:

  1. Open a window on your workstation and issue the following command to authorize remote hosts to access the display:

    /usr/bin/X11/xhost +

  2. Log onto a remote host (via Telnet, login, etc.). Type the following command or commands to tell the remote host to display X11 graphics on your workstation.

    C Shell:

    setenv DISPLAY Your_Workstation:0.0

    Bourne or Korn Shell:

    DISPLAY=Your_Workstation:0.0
export DISPLAY

    Your_Workstation is either the host name of the IP address of your workstation.

  3. Execute the ANSYS program and X11 graphics will be displayed on your workstation monitor:

    ansys110 -d x11 -g

8.4.5. HP Graphics Drivers

The X11 and 3-D OpenGL graphics drivers are supported on the HP workstations. You must install the OpenGL libraries on the system to use the OpenGL graphics driver.

CRX and HCRX graphics devices can use only the X11 graphics driver, unless you have installed the PowerShade software on the machine.

If you are running HP CDE, set the color Use option to BLACK AND WHITE. You can do so using the HP Style Manager - Color Option.

8.4.6. Producing GraphicDisplays on an HP PaintJet Printer

You can produce hard copy outputs from within the ANSYS program on a PaintJet printer when running on an HP workstation. To do so, issue this command:

/pcopy,key

To produce a hard copy from within the DISPLAY program, use this command:

term,copy,key

Possible values for key are:

0 | Turn hard copy option off.
1 | Copy each successive display, placing them in a bitmap file named file.pjet.xx.
now | Copy the current display, placing it in a bitmap file named file.pjet.xx.

The xx is a two-digit integer between 00 and 99.

You can send the bitmap file resulting from either of the commands shown above to a PaintJet printer. To print the file.pjet.xx file, use the HP-UX command pcltrans. The format for this command is as follows:

pcltrans -C -p file.pjet.xx > /dev/paintjet

The value /dev/paintjet is the device name for the printer. If the printer is connected to a spooler, use the following command:

pcltrans -C -p file.pjet.xx  |  lp -oraw

The last example assumes that the PaintJet is the default output device.

Notes

  • The -P option expands the plot to fit on the default paper size of the plotter.

  • You may need to use the -k option of pcltrans to remove the black background on plots created using the X11 graphics driver.

  • If the environment variable SB_X_SHARED_CMAP is set to true, the /PCOPY command may not produce correct plots. To avoid this problem, unset this variable before running either the ANSYS program or the DISPLAY program when /PCOPY will be used.

  • When using an HCRX 24 or CRX 24 graphics board, you must set the ANSYS environment variable ANS_SNGLBUF to 1 to produce graphics displays on the HP PaintJet printer.

8.4.7. PostScript Hard-Copy Option

When you are using the PostScript Hard-Copy option on a CRX 24 or HCRX 24 graphics board, set the environment variable ANS_SNGLBUF = 1 to get a higher quality image. This variable disables double buffering. Therefore, set it only before you use the Hard-Copy option.

8.4.8. IBM RS/6000 Graphics Drivers

Both X11 and 3-D graphics drivers are supported on the IBM RS/6000 workstations in the AIX windowing environment. The 3-D driver incorporates the Silicon Graphics licensed software, OpenGL.

8.4.9. Silicon Graphics Drivers

Both X11 and SGI OpenGL graphics drivers are supported on the Silicon Graphics (SGI) workstations.

8.4.10. Sun UltraSPARC Graphics Drivers (32 and 64 bit versions)

If ANSYS is not invoked from the launcher or the ansys110 script, each ANSYS user's .cshrc file must contain the following environment variable definitions in order to use the Solaris graphics drivers:

  • For the X11 and 3-D OpenGL graphics drivers, the required environment variable definitions are:

    For 32 bit:

    setenv OPENWINHOME path/openwin
setenv LD_LIBRARY_PATH
/ansys_inc/v110/ansys/syslib/usparc:/ansys_inc/v110/ansys/lib/usparc:/usr/lib

    For 64 bit:

    setenv OPENWINHOME path/openwin
setenv LD_LIBRARY_PATH
/ansys_inc/v110/ansys/syslib/sun64:/ansys_inc/v110/ansys/lib/sun64:/usr/lib

Note

You must enter the setenv LD_LIBRARY_PATH definition on a continuous line without a carriage return.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.3. Specifying the Graphics Display Device Type (for Windows) 		Up / Home Next
8.5. Creating Graphics Displays


8.5. Creating Graphics Displays

You can create many types of graphics displays: geometry displays (nodes, elements, keypoints, etc.), results displays (temperature or stress contours, etc.), and graphs (stress-strain curves, time-history displays, etc.). Creating any display is a two-step process:

  1. You use graphics specification functions to establish specifications (such as the viewing direction, number and color controls, etc.) for your display.

  2. You use graphics action functions to actually produce the display.

You can perform both types of graphics functions either by using menu functions in the GUI or by typing in commands directly.

8.5.1. GUI-Driven Graphics Functions

When running the ANSYS program interactively, most users will prefer to use the GUI. As you use the GUI functions, you execute commands without actually seeing or editing them. (The program will record all underlying executed commands in your Jobname.LOG file.) You can access graphics specification functions via Utility Menu> PlotCtrls. Graphics action functions reside under Utility Menu> Plot.

8.5.2. Command-Driven Graphics Functions

As an alternative to using the GUI functions, you can type ANSYS commands directly in the Input Window. In general, you enter the graphics specifications using the graphics "slash" commands (for example, /WINDOW, /PNUM, etc.). Graphics action commands are usually either prefixed with PL (PLNSOL, PLVAR, etc.) or are suffixed with PLOT (EPLOT, KPLOT, etc.).

8.5.3. Immediate Mode Graphics

By default in the GUI, your model will immediately be displayed in the Graphics Window as you create new entities (such as areas, keypoints, nodes, elements, local coordinate systems, boundary conditions, etc.). This is called immediate mode graphics. Anything drawn immediately in this way, however, will be destroyed if you bring up a menu or dialog box on top of it. Or, if you iconify the GUI, the immediate mode graphics image will not be shown when you restore the GUI icon.

An immediate image will also be automatically scaled to fit nicely within the Graphics Window - a feature called automatic scaling. Periodically, though, you may need to issue an explicit plot function because you have created new entities which lie "outside" the boundaries of the scaled image already in the Graphics Window and are thus not captured with immediate mode graphics. The plot function will rescale and redraw the image.

To obtain a more "permanent" image, you need to execute one of the plot functions (such as Utility Menu> Plot> Volumes) or a graphics action command (such as VPLOT). An image generated in this way will not be destroyed by menu pop-ups or by iconifying the GUI. Also note that symbols (such as keypoint or node numbers, local coordinate systems, boundary conditions, etc.) are also shown immediately but will not be present on a "permanent" display unless you first "turn on" the appropriate symbol using the functions under Utility Menu> PlotCtrls or the appropriate graphics specification command.

If you prefer not to see things immediately as you define them, you can use the IMMED command (Utility Menu> PlotCtrls> Erase Options> Immediate Display) to turn off immediate mode. When you run the ANSYS program interactively without using the GUI, immediate mode is off by default.

8.5.4. Replotting the Current Display

The /REPLOT command (Utility Menu> Plot> Replot) re-executes the last display action command that was executed. However, the program can execute that command only if it is valid in the current ANSYS routine. For instance, if you issue a PLNSOL command in POST1, then exit that routine and replot while at the Begin level, no contour display will be formed. To save time, you may want to define an abbreviation for the /REPLOT command so that it is available on the Toolbar as a "quick pick."

8.5.5. Erasing the Current Display

You can clear the current graphics display by issuing the ERASE command (Utility Menu> PlotCtrls> Erase Options> Erase Screen). (GUI menus will not be erased, however.)

8.5.6. Aborting a Display in Progress

If you have initiated a display and decide to terminate it before it is completed, invoke your system "break." (Typically, this means moving the mouse pointer to the Output Window and typing Ctrl+C. However, the specific procedure varies from system to system.) You must execute this break while the display is visibly in progress, or else your entire ANSYS session will terminate.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.4. System-Dependent Graphics Information 		Up / Home Next
8.6. Multi-Plotting Techniques


8.6. Multi-Plotting Techniques

The multi-plotting capabilities within ANSYS enable you to display both multiple entities within a window and multiple windows with varying entity types. Defining each window's composition is a four-step process:

  1. Define the window layout.

  2. Choose the entities you want each window to display.

  3. If you are displaying elements or graphs, choose the type of element or graph display used for plots.

  4. Display the entities you selected.

8.6.1. Defining the Window Layout

You need to define how many windows you want the ANSYS program to use for plotting and how those windows appear on your screen. You have the following layout options:

  • One window

  • Two windows (left and right of the screen, or top and bottom)

  • Three windows (two at the top of the screen and one at the bottom, or one window at the top and two windows at the bottom)

  • Four windows (two at the top of the screen and two at the bottom)

To define the window layout, issue the /WINDOW command (Utility Menu> PlotCtrls> MultiWindow Layout). If you choose the GUI path, the program displays a dialog box, in which you click on the layout you prefer. That dialog box also contains a Display upon OK/Apply field, where you also can specify what the ANSYS program displays next. Choices for this field are Multi-Plots, Replot, and No redisplay. When you finish specifying your layout design, click on Apply or OK.

8.6.2. Choosing What Entities Each Window Displays

Once you have designed your window layout, you choose what entities each window will display. To do so, use either of the following:

Command(s): | /GTYPE,WN,Label,KEY
GUI: | Utility Menu> PlotCtrls> Multi-Plot Controls

If you use the GUI path, a dialog box appears. In its Window to edit field, click on either All window or a specific window number (default is window 1). In the Display type field, choose either Entity plots or Graph plots. Then, click on OK. If you choose Entity plots, another dialog box appears, listing the types of entities available for display. (You also can choose the type of plots via the /GCMD command, as described below.) All entity types except GRPH are on by default; to turn an entity type off, click on it.

If you use the /GTYPE command, for the WN argument, either specify ALL to have all windows display the selected entities or choose a specific window number (default is window 1). For Label, specify any of these entity types:

  • NODE (nodes)

  • ELEM (elements)

  • KEYP (keypoints)

  • LINE (lines)

  • AREA (areas)

  • VOLU (volumes)

  • GRPH (graph displays)

When the GRPH entity type is activated, you can display only x-y graphs, and you cannot use the /GCMD command to issue other commands (such as /TYPE) that affect displays. (For more information about /GCMD, see the Commands Reference and Choosing the Display Used for Plots of this manual) If the GRPH type is off, you can display any combination of the other solid model or finite element entity types, and you can use /GCMD to issue other display control commands.

To turn an entity type on via the /GTYPE command, use a KEY value of 1. To turn an entity type off, specify a KEY of 0.

8.6.3. Choosing the Display Used for Plots

When you are displaying either the ELEM or GRPH entity type, you can control the type of element or graph display used for plots. To do so, use either of the following:

Command(s): | /GCMD,WN,Lab1,...Lab12
GUI: | Utility Menu> PlotCtrls> Multi-Plot Controls

You can specify ALL to have all windows use the selected display type, or you can apply that display type only to a specific window (default is window 1). The Lab1 through Lab12 values shown above are labels for commands such as /TYPE and PLNSOL,S,X. (For the Lab arguments, you can specify only commands that have WN (window) arguments.)

Issuing the /GCMD command is the same as choosing the GUI path shown above, then choosing either Entity plots or Graph plots for the Display Type field.

Following are two command-based examples of selecting a type of element or graph display.

  • To display a PLNSOL,S,X command in window 1 when the ELEM entity type is activated, issue the command /GCMD,1,PLNS,S,X.

  • To change from an element display to a von Mises display, issue the command /GCMD,1,PLNS,S,EQV.

8.6.4. Displaying Selected Entities

To display the entities you selected, issue the GPLOT command (Utility Menu> PlotCtrls> Multi-Plots or Utility Menu> Plot> Replot).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.5. Creating Graphics Displays 		Up / Home Next
Chapter 9. General Graphics Specifications


Chapter 9. General Graphics Specifications

Many graphics features apply to any kind of ANSYS graphics display. These general graphics specifications affect such features as multiple ANSYS windows, viewing directions, zooming and panning your image, etc.

The following topics related to graphics specifications are available:

  • Using the GUI to Control Displays
  • Multiple ANSYS Windows, Superimposed Displays
  • Changing the Viewing Angle, Zooming, and Panning
  • Controlling Miscellaneous Text and Symbols
  • Miscellaneous Graphics Specifications
  • 3-D Input Device Support

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.6. Multi-Plotting Techniques 		Up / Home Next
9.1. Using the GUI to Control Displays


9.1. Using the GUI to Control Displays

The most convenient way to create and control your displays is by using the functions available under Utility Menu> Plot and Utility Menu> PlotCtrls. Alternatively, you can use graphics action and control commands, as described elsewhere in this manual and below.

You can exercise the features this chapter describes for any kind of ANSYS display, whether they are geometry displays, results displays, or graphs.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 9. General Graphics Specifications 		Up / Home Next
9.2. Multiple ANSYS Windows, Superimposed Displays


9.2. Multiple ANSYS Windows, Superimposed Displays

An ANSYS window is a rectangular portion of your terminal screen which lies inside the main Graphics Window. ANSYS windows are defined in screen coordinates (Xs, Ys). You can define up to five different windows, which can be placed anywhere within the Graphics Window, and which can overlap. Each window can have different graphics specification settings. However, graphics action commands will apply to every active window.

9.2.1. Defining ANSYS Windows

To define the size and placement of an ANSYS window, use either method shown below. You can use convenience labels in this command to size and place windows in the top half, bottom half, right top quadrant, etc. of the Graphics Window.

Command(s): | /WINDOW
GUI: | Utility Menu> PlotCtrls> Window Controls> Window Layout

9.2.2. Activating and Deactivating ANSYS Windows

You can activate and deactivate existing ANSYS windows by entering ON or OFF in the XMIN field on the /WINDOW command (Utility Menu> PlotCtrls> Window Controls> Window On or Off).

9.2.3. Deleting ANSYS Windows

To delete a window, either enter DELE in the XMIN field on the /WINDOW command (Utility Menu> PlotCtrls> Window Controls> Delete Window).

9.2.4. Copying Display Specifications Between Windows

Use the NCOPY field on the /WINDOW command (Utility Menu> PlotCtrls> Window Controls> Copy Window Specs) to copy a set of display specifications (/VIEW, /DIST, etc.) from one window to another window.

9.2.5. Superimposing (Overlaying) Multiple Displays

If you want to display dissimilar items in separate ANSYS windows, you must issue a sequence of different action commands as you activate and deactivate appropriate windows, while protecting the displays in your deactivated windows from being erased. The key to this operation is the /NOERASE command (Utility Menu> PlotCtrls> Erase Options> Erase Between Plots), which prevents the normal screen erase from occurring as new displays are created. Once your multiple display has been created, you can return to normal erasing mode by issuing the /ERASE command.

9.2.6. Removing Frame Borders

The FRAME label on the /PLOPTS command enables you to turn all your ANSYS window border lines on and off.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.1. Using the GUI to Control Displays 		Up / Home Next
9.3. Changing the Viewing Angle, Zooming, and Panning


9.3. Changing the Viewing Angle, Zooming, and Panning

Using these display specifications is similar to using a camera. The following sketch illustrates the concepts of focus point, viewpoint, and viewing distance, discussed below.

Figure 9.1 Focus Point, Viewpoint, and Viewing Distance

9.3.1. Changing the Viewing Direction

The viewing direction is established by a vector directed from the viewpoint to the display coordinate system origin. You use the /VIEW command to define the position of the viewpoint in the display coordinate system.

Command(s): | /VIEW
GUI: | Utility Menu> PlotCtrls> Pan, Zoom, Rotate Utility Menu> PlotCtrls> View Settings> Viewing Direction

You can also specify /VIEW,WN,WP to align the view perpendicular to the current working plane.

Use the following shortcut to pan, zoom, and rotate a graphics display: Press the CONTROL key and hold it down. You are now in Dynamic Manipulation Mode. Notice that the cursor assumes a different shape. Still holding the CONTROL key down, use the mouse buttons to manipulate your view of the display. When you want to leave Dynamic Manipulation Mode, simply release the CONTROL key.

You can also remap your mouse buttons to match the operation (in dynamic mode only) of other programs. The command /UIS,BORD,LEFT,MIDDLE,RIGHT can be used. See the /UIS command for more information on dynamic mode mouse button remapping.

Note

If you are a Windows ANSYS user performing dynamic manipulation (panning, zooming, rotating), do not use the 256-color setting, which is the default on many systems and which slows down computer performance. To change the color setting, select the Start button in the bottom left-hand corner of the terminal screen and choose Settings> Control Panel> Display> Settings. Change the Color Palette drop-down list to True Color, or, at least, the 650536 value. Increase resolution to the maximum value allowed for that setting. Also note that even though you can now run 3-D graphics without a 3-D card, it is highly recommended that you use a 3-D accelerated card to improve dynamic rotation and other plotting speed.

9.3.2. Rotating the Display About a Specified Axis

To rotate the graphics display about the screen axes or about the global Cartesian axes, use any of the following. (The right-hand rule defines positive angular rotation about any axis.)

Command(s): | /ANGLE, /XFRM
GUI: | Utility Menu> PlotCtrls> Pan, Zoom, Rotate Utility Menu> PlotCtrls> View Settings> Angle of Rotation Utility Menu> PlotCtrls> View Settings> Rotational Center> By Pick Utility Menu> PlotCtrls> View Settings> Rotational Center> By Location Utility Menu> PlotCtrls> View Settings> Rotational Center> Reset to Focus Point

9.3.3. Determining the Model Coordinate System Reference Orientation

The /VUP command (Utility Menu> PlotCtrls> View Settings> Viewing Direction) determines the "starting" orientation of your display. For instance, with the viewpoint and rotation at their default settings, /VUP,WN,X orients the display such that the positive X axis is vertical pointing upward, Y is horizontal pointing to the left of the screen, and Z points out of the screen.

9.3.4. Translating (or Panning) the Display

The focus point is that point on your model that appears at the center of your ANSYS windows. You can define or redefine the focus point (in terms of the global Cartesian coordinate system) as follows:

Command(s): | /FOCUS
GUI: | Utility Menu> PlotCtrls> Pan, Zoom, Rotate Utility Menu> PlotCtrls> View Settings> Focus Point

This same command also allows you to translate the focus point along the screen axes or along the global Cartesian axes.

9.3.5. Magnifying (Zooming in on) the Image

The viewing distance represents the distance between the observer and the focus point, and determines the magnification of your image. Smaller viewing distances magnify the image (zoom in), and larger distances shrink the image (zoom out). To change the viewing distance:

Command(s): | /DIST
GUI: | Utility Menu> PlotCtrls> Pan, Zoom, Rotate Utility Menu> PlotCtrls> View Settings> Magnification

9.3.6. Using the Control Key to Pan, Zoom, and Rotate - Dynamic Manipulation Mode

Press the CONTROL key and hold it down to enter Dynamic Manipulation Mode. Notice that the cursor assumes a different shape. You can now use your mouse buttons to pan, zoom, and rotate the graphics display. When you want to leave Dynamic Manipulation Mode, simply release the CONTROL key.

9.3.7. Resetting Automatic Scaling and Focus

Anytime that you change the viewing distance or focus point, your explicitly-defined settings become "frozen." That is, automatic scaling or centering of the image are turned off for subsequent displays. ("Frozen" parameters are preceded with an asterisk in the legend column of the display.) To restore automatic scaling and focus, use one of the methods shown below:

Command(s): | /AUTO
GUI: | Utility Menu> PlotCtrls> Pan, Zoom, Rotate Utility Menu> PlotCtrls> View Settings> Automatic Fit Mode

9.3.8. Freezing Scale (Distance) and Focus

By default, your display will be automatically scaled and centered such that the image of your model will just fill your ANSYS windows. If you want to "freeze" these automatically-generated scale and focus settings, use one of these methods:

Command(s): | /USER
GUI: | Utility Menu> PlotCtrls> View Settings> Automatic Fit Mode

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.2. Multiple ANSYS Windows, Superimposed Displays 		Up / Home Next
9.4. Controlling Miscellaneous Text and Symbols


9.4. Controlling Miscellaneous Text and Symbols

You can control the display of different symbols and text entries in your graphics window. These items can help to clarify the way your data is displayed. Although many of these items are controlled by commands, the GUI provides an interfaces to many of the commands to allow the selection and placement of the items you desire.

9.4.1. Using Legends in Your Displays

You can use legends to help define and clarify the data in your display. The Window Options Dialog Box is the “master” legend control. It controls whether or not the legend is displayed, the type of legend display, and in some cases, the content of your legend. The position of the Triad is also controlled from this dialog box. See Figure 9.2: "The Window Options Dialog Box" below.

The INFO pull down window provides control for the type of legend. It allows you to turn legend displays on and off, and also to access either the Auto Legend or the Multi-Legend display. The on and off settings control the display of all legend items, for all types of legends.

The Legend On and Auto legend selections control the display of the documentation column. The documentation column display places all of your legend data along the right side of the graphics window and resizes your model area appropriately. Legend On displays the documentation data at all times, while Auto Legend displays the appropriate data, only when it is applicable.

The Multi Legend provides placement options for your text and contour scales within the model area of your graphics window. The Multi Legend options are discussed below.

Figure 9.2 The Window Options Dialog Box

The default, legend setting is the user-defined “Multi-Legend.” (Utility Menu> Plot Ctrls> Window Controls> Window Options> MultiLegend - /PLOPTS,INFO,3 ).

9.4.1.1. Controlling the Content of Your Legends

The window options dialog box shown above in Figure 9.2: "The Window Options Dialog Box" controls the type of legend, along with the content of the documentation column. You control the content of the Multi Legend via dialog boxes found at Utility Menu> Plot Ctrls> Style> Multi Legend Options. The Text Legend dialog box shown in Figure 9.3: "The Multi Legend Text Legend" provides control of the content and placement of the various text items available for the Multi Legend option. This dialog box corresponds to the controls and priorities listed in the /UDOC command.

Figure 9.3 The Multi Legend Text Legend

9.4.1.2. Controlling the Placement of Your Contour Legend

The Multi Legend setting allows you to place your contour scales along the four sides of the graphics window. You access this control via Utility Menu> Plot Ctrls> Style> MultiLegend Options> Contour Legend. The Contour Legend Dialog box is shown in Figure 9.4: "The Multi Legend Contour Legend". This dialog box corresponds to the controls and priorities listed in the /UDOC command.

Figure 9.4 The Multi Legend Contour Legend

Note

The settings in the Window Options dialog box will in many cases take precedence over your Multi Legend Options settings. See the command documentation for /UDOC and /PLOPTS for a complete discussion of these dependencies.

9.4.2. Controlling Entity Fonts

You can change the appearance of the fonts that are used to produce the numbers and characters that are shown on your displays. Through the ANSYS GUI, choose the DISPLAY Program or Utility Menu> PlotCtrls> Font Controls, or issue either the /DEVICE,FONT,KEY or /DEVDISP,FONT,KEY command. Each of these commands requires Val1 through Val6 as arguments. These arguments allow you to indicate the family name of the font that you wish to use (e.g., Courier), the weight of the font (e.g., medium), font size, and other attributes which define font selection. (See the Commands Reference for more information about the requirements of the /DEVICE,FONT,KEY and /DEVDISP,FONT,KEY commands.)

9.4.3. Controlling the Location of the Global XYZ Triad

The /TRIAD command (Utility Menu> PlotCtrls> Window Controls> Window Options) enables you to change the location of the global triad symbol on your display. (The actual mathematical position of the global origin will not change.)

9.4.4. Turning Triad Symbols On and Off

Use the /TRIAD command to turn the global triad on and off. Use the /PSYMB command (Utility Menu> PlotCtrls> Symbols) to control the local, nodal, and element coordinate system triads. Use one of the following to control the working plane triad:

Command(s): | WPSTYL
GUI: | Utility Menu> List> Status> Working Plane Utility Menu> WorkPlane> Display Working Plane Utility Menu> WorkPlane> Display Working Plane> Offset WP by Increments Utility Menu> WorkPlane> Display Working Plane> Show WP Status Utility Menu> WorkPlane> Display Working Plane> WP settings

9.4.5. Changing the Style of the Working Plane Grid

You can display the working plane grid as a triad only, grid only, or both triad and grid. Use WPSTYL to change from one style to another. There are two methods of turning the working plane on for displays:

  • Issuing WPSTYL with no arguments toggles the working plane grid, asterisk, and triad on and off immediately, as an "overlay" image on the existing display.

  • /PLOPTS,WP,ON specifies that the working plane be turned on for subsequent displays. In this case, the working plane is drawn as part of the display (not just an overlaid image as in WPSTYL). For this reason, this method is best used in combination with a hidden-line technique for viewing the location of the working plane with respect to a 3-D model. WPSTYL and its GUI equivalents control whether the working plane is displayed as a triad only, grid only, or both.

9.4.6. Turning the ANSYS Logo On and Off

By issuing /PLOPTS,VERS,1, you cause the ANSYS logo to appear in the upper right corner of the screen (along with the version number).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.3. Changing the Viewing Angle, Zooming, and Panning 		Up / Home Next
9.5. Miscellaneous Graphics Specifications


9.5. Miscellaneous Graphics Specifications

ANSYS includes a number of miscellaneous graphics commands that let you manipulate your graphics environment.

9.5.1. Reviewing Graphics Control Specifications

Issuing the /PSTATUS command (Utility Menu> List> Status> Graphics> General) lists the current graphics control specifications. To see the graphics specifications for one window only, specify the window number instead of General.

9.5.2. Restoring Defaults for Graphics Slash Commands

Use the /RESET command (Utility Menu> PlotCtrls> Reset Plot Ctrls) to restore the default settings of /WINDOW, /TYPE, /VIEW, and other graphics "slash" commands.

9.5.3. Saving the Display Specifications on a File

Choose the /GSAVE command (Utility Menu> PlotCtrls> Save Plot Ctrls) to write a copy of your graphics "slash" command settings on an ASCII text file.

9.5.4. Recalling Display Specifications from a File

You can read graphics "slash" commands from an ASCII text file, using the /GRESUME command (Utility Menu> PlotCtrls> Restore Plot Ctrls), or by issuing /INPUT,Filename (Utility Menu> File> Read Input from) where Filename is the file of graphics specifications.

9.5.5. Pausing the ANSYS Program

If you prepare an input file for demonstration or presentation purposes, you might find it useful to pause the program after creating a display, to allow the display to be viewed for a reasonable length of time. You can do so by adding /WAIT commands to your input stream after the display action commands. The /WAIT command has no GUI equivalent.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.4. Controlling Miscellaneous Text and Symbols 		Up / Home Next
9.6. 3-D Input Device Support


9.6. 3-D Input Device Support

ANSYS provides integrated support for the Spaceball and Spacemouse 3-D input devices. These devices detect slight fingertip pressures and resolve them into X, Y, and Z translations, rotation components, and movements of your 3-D images. This provides smooth, dynamic, interactive, simultaneous six-degree-of-freedom control of 3-D graphical images or objects. These devices are designed to be used in conjunction with the mouse, not in place of it.

The requisite developer's kit software had been included in the applicable ANSYS code, and drivers for the system you are installing to are available at http://www.3dconnexion.com/downlink.asp.

If problems are encountered, you should try loading different drivers for the devices, either older drivers, or drivers from similar operating systems. Legacy drivers, for older models of these devices are also available. Please contact the appropriate manufacturer if you have any questions, or require any additional information on these devices.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.5. Miscellaneous Graphics Specifications 		Up / Home Next
Chapter 10. PowerGraphics


Chapter 10. PowerGraphics

Two methods are available for displaying graphics:

  • The Full Model display method. Invoke this method via the /GRAPHICS,FULL command (Utility Menu> PlotCtrls>Style> Hidden-Line Options).

  • The PowerGraphics display method. Invoke this method via the /GRAPHICS,POWER command (Utility Menu> PlotCtrls> Style> Hidden-Line Options).

The PowerGraphics method is the default when the ANSYS GUI is active and is valid for all element types except for circuit elements. The Full Model method is valid for all element types.

The display method you choose depends upon the size of your model and the type of elements used in the model. If your model contains circuit elements, for example, select the Full Model method. (If you select the PowerGraphics method for a model containing circuit elements, ANSYS automatically uses Full Model instead.) If you are creating a large model containing element types supported by PowerGraphics, the PowerGraphics method offers significantly faster performance than Full Model.

The following PowerGraphics topics are available:

  • Characteristics of PowerGraphics
  • When to Use PowerGraphics
  • Activating and Deactivating PowerGraphics
  • How to Use PowerGraphics
  • What to Expect from a PowerGraphics Plot

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.6. 3-D Input Device Support 		Up / Home Next
10.1. Characteristics of PowerGraphics


10.1. Characteristics of PowerGraphics

  • Displays for large models are plotted at a much greater speed than with the Full Model method.

  • PowerGraphics plots quadratic (curved) surfaces for midside node elements.

  • This method can display discontinuous results due to material type and real constant discontinuities.

  • Shell element results are displayed at both top and bottom layers, simultaneously.

  • You can use the Query picking option to query subgrid results for some elements in the Graphical User Interface.

  • PowerGraphics is not available for circuit elements.

  • When requested results data are not supported by PowerGraphics, the results are output using the Full Model method.

  • Results averaging occurs using only the data at the model surface.

  • Minimum and maximum values are valid only for data at the model surface.

  • PowerGraphics supports only the results coordinate system for plotting results data. (The elements-based coordinate system is not supported.)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 10. PowerGraphics 		Up / Home Next
10.2. When to Use PowerGraphics


10.2. When to Use PowerGraphics

Using the PowerGraphics display method has distinct advantages, since graphics displays are plotted at a much faster rate of speed than with the Full Model method. In addition, PowerGraphics produces more realistic results at material type and real constant discontinuities in the model. See the description of the /GRAPHICS command (in the Commands Reference) for more information.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.1. Characteristics of PowerGraphics 		Up / Home Next
10.3. Activating and Deactivating PowerGraphics


10.3. Activating and Deactivating PowerGraphics

There are two ways to activate and deactivate the PowerGraphics display method: Through the Graphical User Interface (GUI), and through the /GRAPHICS command.

  • PowerGraphics is the default method when the ANSYS GUI is active. You can switch to the Full Model method, however, by taking one of the following actions:

    1. Click on the POWRGRPH button in the Toolbar of the Graphical User Interface. This selection opens a dialog box which allows you to turn PowerGraphics off or on.

    2. Deactivate or activate PowerGraphics by selecting Utility Menu> PlotCtrls> Style> Hidden-Line Options

  • You can deactivate PowerGraphics by issuing the command /GRAPHICS,FULL, or you can activate PowerGraphics by issuing the command /GRAPHICS,POWER.

Note

Issuing the /PMETH,ON command activates PowerGraphics unless you issued a prior /GRAPHICS,FULL command. Similarly, /PMETH,OFF deactivates PowerGraphics unless /GRAPHICS,POWER has been previously issued.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.2. When to Use PowerGraphics 		Up / Home Next
10.4. How to Use PowerGraphics


10.4. How to Use PowerGraphics

When the PowerGraphics method for graphics displays is active, it is used for element, area, volume, line, and result displays and result data listings. PowerGraphics does not support the graphics display or listing for circuit elements; for such cases, ANSYS automatically activates the Full Model graphics method and uses it for that display or listing. See the /GRAPHICS command description for more information.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.3. Activating and Deactivating PowerGraphics 		Up / Home Next
10.5. What to Expect from a PowerGraphics Plot


10.5. What to Expect from a PowerGraphics Plot

Since PowerGraphics plots or listings are given for the exterior surface of the model, you can expect to see differences in these results, compared to those given when using the Full Model method. The averaging calculations for PowerGraphics include results for only the model surface. The averaging calculations, plots, and listings for the Full Model method include results for the entire model (interior and exterior surfaces). Therefore, the PowerGraphics and Full Model methods display results values differently for nodal results (but not for element results).

PowerGraphics makes the EPLOT, APLOT, VPLOT, LPLOT, PLDISP, PLNSOL, and PRNSOL commands behave differently than with the Full Model method. For details, see these commands' descriptions in the Commands Reference.

10.5.1. Viewing Your Element Model

The subgrid approach used by PowerGraphics allows you to control the amount of displayed element curvature. You can plot varying degrees of curvature in your model by specifying the number of facets to be used for element display. Facets are piecewise linear approximations of the actual curve represented by the element face or edge. You specify the number of facets per element edge using one of the following:

Command(s): | /EFACET
GUI: | Main Menu> General Postproc> Options for Outp Utility Menu> List> Results> Options Utility Menu> PlotCtrls> Style> Size and Shape

The more facets you specify, the smoother the representation of the element surface for PowerGraphics plots.

The subgrid approach affects both the display of geometric curvature and the display and printout of results quantities (displacements, stresses, etc.). However, when you use PowerGraphics in POST1 for derived quantities on solid elements, the maximum value on the plot and the maximum value in the printout may not agree. PowerGraphics displays do not average at geometric discontinuities. The printouts in PowerGraphics will, however, provide averaging information at geometric discontinuities if the models do not contain shell elements. Carefully inspect the data you obtain at geometric discontinuities.

10.5.2. Printing and Plotting Node and Element Results

You can list displacements, stresses, and strains at all node locations (both corner and midside nodes), using the PRNSOL command (Utility Menu> List> Results> Nodal Solution). For shell elements, you can list results and plot them at the top/bottom and middle layer locations. Likewise, these nodal values can be contoured for display purposes using the PLNSOL command (Utility Menu> Plot> Results> Contour Plot> Nodal Solution). The number of facets per element edge that you specify determines contour resolutions.

Note that results values for shell elements are displayed simultaneously for the top and bottom layers.

When viewing nodal results using PowerGraphics (PRNSOL, PLNSOL, or the GUI Query function), you can average results in various ways. To choose how results are averaged, use the AVRES command (Main Menu> General Postproc> Options for Outp or Utility Menu> List> Results> Options). ( AVRES has no effect on the Degree of Freedom solution values (UX, UY, TEMP, etc.). You can average results at all boundaries (default), or at all boundaries except where real constant and/or material discontinuities exist. Results are not averaged at geometric discontinuities.

Note

In Full Graphics mode, it is possible to deselect an individual node, select all elements (including the element that contains that node), and then perform postprocessing calculations on those elements and have that unselected node not be considered in those calculations. However, if PowerGraphics is active postprocessing always displays based on selected elements.

The minimum and maximum results values reported for your PowerGraphics plot will be based on the surface data. For stresses and strains, these values will usually be acceptable. Some thermal results, however, will have internal minimum or maximum values, and erroneous values will be reported. You may need to switch to full model graphics.

Plotting and printing of element results are similar to that for the Full Model graphics method; you use the PLESOL or PRESOL command, or one of the following GUI paths:

Command(s): | PLESOL, PRESOL
GUI: | Main Menu> General Postproc> Plot Results> Contour Plot> Element Solu Utility Menu> Plot> Results> Contour Plot> Elem Solution Main Menu> General Postproc> List Results> Element Solution Utility Menu> List> Results> Element Solution

The program unaverages nodal results and sorts them by element number. Averaging results does not affect element results plots. Results are for all nodal locations on the model surface. If you issued the /EFACET,1 command, the results for the midside nodes are not listed.

PowerGraphics does not support safety factor calculations.

Caution

In unusual cases, your model may contain element types having different results data sets. If so, be sure to unselect those element types which do not have the data set you are reviewing. This prevents zero values from being averaged with valid results. For example, if your model contains FLUID30 (Acoustic Fluid) and SOLID45 (Structural Solid) elements, unselect all SOLID45 elements before viewing a pressure gradient.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.4. How to Use PowerGraphics 		Up / Home Next
Chapter 11. Creating Geometry Displays


Chapter 11. Creating Geometry Displays

A geometry display is a display of your model's geometric features (keypoints, areas, nodes, elements, loads, etc.). This is the kind of display that you might produce during the model-generation and load-definition phases of your analysis. This figure shows a typical geometry display:

Many ANSYS users find that the most convenient way to create and control geometry displays is by using the functions available under Utility Menu> Plot and Utility Menu> PlotCtrls. Alternatively, you can use graphics action and control commands, as described in the following subsections.

The following geometry display topics are available:

  • Creating Displays of Solid-Model Entities
  • Changing the Specifications for Your Geometry Displays

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.5. What to Expect from a PowerGraphics Plot 		Up / Home Next
11.1. Creating Displays of Solid-Model Entities


11.1. Creating Displays of Solid-Model Entities

The following commands create displays of solid-model entities:

Table 11.1 Commands for Displaying Solid-Model Entities

Command | GUI Menu Paths | Purpose
APLOT
Main Menu> Preprocessor> Modeling> Operate> Show Degeneracy> Plot Degen Areas
Utility Menu> Plot> Areas
Utility Menu> Plot> Specified Entities> Areas
Displays a plot of areas
EPLOT | Utility Menu> Plot> Elements | Displays a plot of elements
KPLOT
Utility Menu> Plot> Keypoints
Utility Menu> Plot> Specified Entities> Keypoints
Displays a plot of keypoints
LAYPLOT | Utility Menu> Plot> Layered Elements | Displays the layer stacking sequence and layer angle orientation of layered element types such as SOLID46 and SHELL91
LPLOT
Utility Menu> Plot> Lines
Utility Menu> Plot> Specified Entities> Lines
Displays a plot of lines
NPLOT | Utility Menu> Plot> Nodes | Displays a plot of nodes
/REPLOT | Utility Menu> Plot> Replot | Re-executes the last display action executed
VPLOT

Main Menu> Modeling> Preprocessor> Operate>
Show Degeneracy> Plot Degen Volus

Displays a plot of degenerated volumes

The controls you establish before you invoke these actions can also cause your displays to contain other information, such as lower-order entity numbers (for instance, node numbers associated with selected elements), loads, etc.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 11. Creating Geometry Displays 		Up / Home Next
11.2. Changing the Specifications for Your Geometry Displays


11.2. Changing the Specifications for Your Geometry Displays

In addition to the features listed below, also see "Getting Started with Graphics" for general graphics specifications that apply to any type of display, including geometry displays.

11.2.1. Changing the Style of Your Display

The following sections describe a number of ways to change the way your models are displayed.

11.2.1.1. Displaying Line and Shell Elements as Solids

If your model consists of line elements (such as beams and pipes) or shell elements, you can use the following to display many of them as solids:

Command(s): | /ESHAPE
GUI: | Utility Menu> PlotCrls> Style> Size and Shape

The ANSYS program uses a rectangular cross section for beams and shells, and uses circular cross sections for pipes. The element real constants are used to proportion the cross section.

You can also use the /ESHAPE command to show the orientation of reinforcing (rebar) in SOLID65 elements (see Figure 11.1: "Element Plot of SOLID65 Concrete Elements"). For the rebar to be visible, you must enable vector mode using the /DEVICE command (Utility Menu> PlotCtrls> Device Options). You must also activate a basic plot type using the /TYPE command (Utility Menu> PlotCtrls> Style> Hidden-Line Options). To view the rebar, issue these commands in the following order:

/ESHAPE,1
/TYPE,,BASIC
/DEVICE,VECTOR.ON
EPLOT

Figure 11.1 Element Plot of SOLID65 Concrete Elements

11.2.1.2. Displaying Only the Edges of an Object

While working with displays, you might want to see only the edges of an object; that is, you might want to remove element outlines from the interior of the object. To see only the edges of non-contour displays (EPLOT), issue /EDGE, ,1 (Utility Menu> PlotCtrls> Style> Edge Options). On contour displays (PLESOL, PLETAB, PLNSOL, PLTRAC), edges are displayed by default (/EDGE, ,0).

11.2.1.3. Displaying the Interior Element Edges of an Object

While working with displays, you might prefer to see the interior element edges, or detail, of an object. If you are working with non-contour displays (EPLOT), the interior element edges are displayed by default (/EDGE, ,0). To see the interior element edges of contour displays (PLESOL, PLETAB, PLNSOL, PLTRAC), issue /EDGE, ,1.

An edge, as used in the above context, is the common line between adjacent faces that are not coplanar. The ANGLE field on the /EDGE command allows you to specify the "degree of coplanarity" at which an edge should be displayed. That is, if ANGLE = 45° (which is the default value), an edge is displayed only if the two adjacent faces deviate from coplanarity by more than 45°. If ANGLE = 0°, even the slightest deviation from coplanarity causes the edge to be displayed. The default value of 45° is particularly helpful in displaying a cylindrical shell model as a smooth cylinder rather than as a "faceted" cylinder.

11.2.1.4. Using Dashed Element Outlines

You can switch the style of element outlines from solid line to dashed line by using the /GLINE command (Utility Menu> PlotCtrls> Style> Edge Options). This command allows you to remove element outlines entirely.

11.2.1.5. Shrinking Entities for Clarity

The /SHRINK command (Utility Menu> PlotCtrls> Style> Size and Shape) shrinks displayed elements, lines, areas, and volumes by a specified percentage so that adjacent entities are separated for clarity. ANSYS ignores a request to shrink the display when the edge option is active.

11.2.1.6. Changing the Display Aspect Ratio

You can artificially distort your display's geometry in a particular direction with the /RATIO command (Utility Menu> PlotCtrls> Style> Size and Shape). This can be useful for displaying details within a long, skinny object more clearly.

11.2.1.7. Changing the Number of Facets

Area and volume raster displays are made up of numerous small facets (or polygons). Occasionally, you might want to obtain a more precise representation of your areas or volumes by increasing the number of facets used to create these displays. To switch between two different facet densities, use either of the following:

Command(s): | /FACET
GUI: | Utility Menu> PlotCtrls> Style> Solid Model Facets

11.2.1.8. Changing Facets for PowerGraphics Displays

When PowerGraphics is enabled, you can display varying degrees of curvature in your model by specifying the number of facets per element edge to be used for element display. Facets are piecewise linear approximations of the actual curve represented by the element face or edge. The greater the number of facets, the smoother the representation of the element surface for element plots.

To specify the number of facets per edge, use one of the following:

Command(s): | /EFACET
GUI: | Utility Menu> PlotCtrls> Style> Size and Shape Utility Menu> List> Results> Options Main Menu> General Postproc> Options for Outp

11.2.1.9. Changing Hidden-Line Options

By default, raster displays will be created as Z-buffered displays. See the description of the /TYPE command in the Commands Reference for other "hidden-line" options. All non-Z-buffered hidden-line options produce the same results in vector displays. For area, volume, and p-element Z-buffered displays, you can further specify the type of surface shading (the "smoothness" of the object) using the /SHADE command (Utility Menu> PlotCtrls> Style> Hidden-Line Options). Also, you can use the /GFILE command to set the resolution of Z-buffered displays that are written to graphics files.

11.2.1.10. Section, Slice, or Capped Displays

To view the interior of a 3-D solid element model, you can use section displays, slice displays, or capped displays. (These are all special versions of hidden-line displays controlled by the /TYPE command.) A section display produces an image of a 2-D planar section that is defined by the intersection between your model and the cutting plane (see below for a discussion of cutting planes). A slice display is similar to a section display except the edge lines of the remaining 3-D model are also shown. A capped display produces an image of a 3-D portion of your model with a portion of the model display "cut off" by the cutting plane.

11.2.1.11. Specifying the Cutting Plane

Three types of graphics displays - section, slice, and capped - require a cutting plane. Specify the cutting plane via the /CPLANE command (Utility Menu> PlotCtrls> Style> Hidden-Line Options), and define the plane as either:

  • Normal to the viewing direction and passing through the focus point (default)

  • The working plane.

11.2.1.12. Vector Versus Raster Mode

The /DEVICE command (or /SHOW command) allows you to toggle between vector and raster mode. By default, raster mode is active; that is, polygons are filled with color when they are displayed. This affects area, volume, and element displays, as well as the geometry in postprocessing displays. Vector mode produces "wireframe" displays, which show only the outlines of entities, and which usually take less time to form than do raster displays. To display wireframe outlines for solid model entities only (areas and volumes) when your graphics session is otherwise in raster mode, specify the WIRE option of /FACET.

11.2.1.13. Perspective Displays

By default, ANSYS creates a non-perspective display of your model. To cause a perspective display to be formed, use the /VCONE command (Utility Menu> PlotCtrls> View Settings> Perspective View) to define a view cone angle. (The larger the view cone angle, the more pronounced the perspective effect will be.)

11.2.2. Applying Styles to Enhance the Model Appearance

Often, you will want to highlight portions of your model in order to provide a clearer representation of its structure or to highlight certain areas. You can use the following techniques (found under Utility Menu> PlotCtrls> Style) to enhance and clarify your model.

11.2.2.1. Applying Textures to Selected Items

You can use textures (Utility Menu> PlotCtrls> Style> Texturing) to add realistic effects and differentiate between various items in your model. You must be using a 3-D, Open GL display device, with the appropriate graphics driver loaded. You can apply textures to numbered entities by specifying them on the command line, or you can use graphical picking to select the desired items in your graphics window. Textures are controlled via the /TXTRE command.

Textures can affect the speed of many of your display operations. You can increase the speed by temporarily turning the textures off (Utility Menu> PlotCtrls> Style> Texturing> Display Texturing). This menu selection toggles your textures on and off. When textures are toggled off, all of the texture information is retained so that it can be reapplied when texturing is toggled back on.

The /TXTRE command can be used to apply bitmaps on 2-D devices. Other applications of this command require 3-D capability.

Some 3-D effects will not display properly unless the triangle strip display method is disabled. Tri-stripping provides faster resolution of 3-D displays, and is on by default. You can control tri-stripping via the TRIS option of the /DV3D command. Be sure to reapply the TRIS option after you obtain a satisfactory output.

11.2.2.2. Creating Translucent Displays

On some 2-D and 3-D devices, you can create see-through, translucent images by using the /TRLCY command (Utility Menu> PlotCtrls> Style> Translucency). You can specify the entities to be made translucent either by picking, or by entering the appropriate entity numbers in a fill-in box. The level of translucency can range from opaque to fully transparent.

On 2-D devices, ANSYS displays only the visible faces of the selected items. Using a small value for the /SHRINK command (Utility Menu> PlotCtrls> Style> Size and Shape) will force the hardware to plot the hidden faces and produce the desired effect.

11.2.2.3. Changing Light-Source Shading

Light-source shading will enhance raster displays on 2-D and 3-D devices having at least eight color planes (28 = 256 colors). To specify the number of color planes necessary for light-source shading, use one of these methods:

Command(s): | /SHOW
GUI: | Utility Menu> PlotCtrls> Device Options

On some 3-D devices, you can adjust the intensity of ambient and directional light, change the light direction, and modify the directional light reflectance factor, using the /LIGHT command (Utility Menu> PlotCtrls> Style> Light Source). You can also change the light direction for 2-D devices with /LIGHT when the Z-buffering hidden-line option is used.

11.2.2.4. Adding Background Shading and Textures

Background treatments help to contrast and highlight your model display, while providing a more pleasing output. Background options are available at Utility Menu> PlotCtrls> Style> Background. There are four options that toggle the background on and off and control whether a color, a texture, or a user-specified file is used for the background. The available colors are defined in the /COLOR command, and the progression of the gradients (up and down or left and right) can also be specified.

The available textures are defined in the /TXTRE command. Depending on the pixel size of your user-specified file, it will either be tiled, fill the entire background, or only a portion will be shown. The texture and file backgrounds place a greater load on graphics speed than the color gradients.

External bitmap files can also be used for your background. You can import a sample from another source to create any desired background. The *.bmp, *.png and *.jpg formats are supported for the PC. Unix systems support *.png and *.jpg, along with native XWD format. Your imported bitmaps occupy the number of pixels they were generated at, and cannot be resized in the graphics window. Depending on the size (pixels) of the file, the background will be tiled to produce full coverage. Use an external graphics program to obtain the proper size before you import bitmap files.

The default background for the ANSYS graphics window is blue shading with a gradient progression from top to bottom (/COLOR,PBAK,ON,1,BLUE). You can modify this using the methods above, or disable it using the /UIS,(ON or OFF) option.

11.2.2.5. Using the Create Best Quality Image Capability

Once you have applied the various style attributes to your model, you will want to coordinate their presentation to yield an image that not only conveys the information properly, but also provides a realistic representation. Often, this is a trial-and error procedure, where you apply the various attributes, and then replot to see how the model looks. You can use the “Create Best Quality Image” feature to optimize the use of these effects. You access this feature via Utility Menu> PlotCtrls> Best Quality Image> Create Best Quality.

The “Create Best Quality Image” function is a complex macro that takes into consideration the three dimensional nature of your model, the way the various parts of your model are defined, and how the model's attributes should be displayed. It goes through the model's style attributes, and provides the optimal settings. This dialog box, along with a description of each of the controls, is shown in the following description:

Figure 11.2 Create Best Quality Image Function Box

ANSYS Function

Activates the Best Quality Macro. Running this macro optimizes your color palette, light source, translucency and background shading, providing a simple method to arrive at an optimized model representation.

Plot by

Lets you choose the model attribute upon which to base the graphical optimization. The choices are:

  • Materials: This choice will optimize the model representation according to the defined materials in your model.

  • Type: This choice will optimize the model representation according to the various element types you have defined in your model.

  • Real: This choice will optimize the model representation according to the various real constants you have defined for your model.

  • Items (Entities): This choice will use the defined areas, volumes and elements to provide the basis for optimization.

Show differences by

The model colors will be applied according to the Show differences by selections. A pull-down menu shows the choices for two different color schemes. You can also show the differences according to the textures and translucency styles you have already applied to the model. To modify the color scheme go to Utility Menu> PlotCtrls> Best Quality Image> Modify Colors.

Element Tesselation Resolution

Click on this pull-down menu to display three choices for the resolution of your element displays. The “Normal” resolution choice provides an optimized mix of speed and quality, while the “Coarse” or “Fine” selections provide maximum speed or quality, respectively.

Solid Tessellation Resolution

Click on this pull-down menu to display three choices for the resolution of your solid displays. The “Normal” resolution choice provides an optimized mix of speed and quality, while the “Coarse” or “Fine” selections provide maximum speed or quality, respectively.

Type of Background

The background choices are either blank, shaded, or textured. The shaded or textured backgrounds will correspond to the colors found in the /COLOR command or the textures found in the /TXTRE command. You specify these items in the pull-down menus below the background selections.

Shaded Background Style

This pull-down menu provides four choices for the shading progression of background color.

Shaded Background Color

This pull-down menu allows you to specify the background color according to the color choices listed in the /COLOR command.

Background Texture

This pull-down menu allows you to specify the background texture according to the texture choices listed in the /TXTRE command.

Replot Upon OK/Apply

Controls the application of replot after applying changes.

Note

The Best Quality Image macro modifies the color map. This can affect the color display on subsequent plots. Once you have captured or plotted the image you should reset the color map by activating either the “Reset to Previous” or “Reset to Global” functions found in the initial Best Quality image menu. (Utility Menu> PlotCtrls> Best Quality Image) You must issue a replot for these functions.

11.2.3. Controlling Numbers and Colors

In ANSYS, item numbers and colors are usually related. By default, entities will not be numbered. Numbering (and associated coloring, on appropriate devices) can be turned on and off using the following procedures.

11.2.3.1. Turning Item Numbers On and Off

You can use the /PNUM command (Utility Menu> PlotCtrls> Numbering) to turn numbering on and off for these items:

  • Nodes

  • Elements

  • Element coordinate systems

  • Material types

  • Real types

  • Element types

  • Element locations (for reordered elements)

  • Contour values (integer only; on element displays)

  • Solid-modeling entities (keypoints, lines, areas, and volumes).

Numbers will not be shown in face hidden-line or precise hidden-line displays.

11.2.3.2. Choosing a Format for the Graphical Display of Numbers

You can select the format in which you want floating point numbers to be displayed by issuing the /GFORMAT command Utility Menu> PlotCtrls> Style> Floating Point Format. This command lets you indicate the width of the fields in which numbers are displayed and the number of digits that are displayed for a FORTRAN format type. Other commands that let you tailor the appearance of the display include /PNUM, /PBC, /PBF, and /PSF.

11.2.3.3. Controlling Number and Color Options

Once you have turned numbering on for an item, you can then use the /NUMBER command (which uses the same GUI path as /PNUM) to choose among the four possible "on-off" combinations of numbering and coloring (for instance, show colors and numbers (default); show colors, but not numbers; do not show colors, but show numbers; show neither colors nor numbers).

11.2.3.4. Controlling Color Values

You control the correspondence between specific items or numbers and their associated colors using the /COLOR command (Utility Menu> PlotCtrls> Style> Colors>color option). You can also change the overall color map (edit an existing or store a new color map on a file). See the /CMAP command for more information on this capability.

The CMAP utility allows you to change the assignment options for the colors you use, and to save different assignment protocols in separate files that you can load later. This is especially useful for generating specialized contour plots and intricate component and assembly structures.

When you use the CMAP utility, you should close any other ANSYS window, especially the Annotation, Pan Zoom Rotate, Working Plane and Picker windows.

11.2.4. Displaying Loads and Other Special Symbols

The following sections describe how to manipulate loads and other special symbols.

11.2.4.1. Turning Load Symbols and Contours On and Off

To turn load symbols on or off for degree of freedom constraints and concentrated loads, use the /PBC command (Utility Menu> PlotCtrls> Symbols). /PBC controls both solid-model and finite-element load symbols.

For surface loads symbols or contours, use the /PSF command (Utility Menu> PlotCtrls> Symbols). /PSF activates "immediate" display of surface loads on finite elements, but does not activate "immediate" surface load display on solid model entities.)

For body force load contours, use /PBF (Utility Menu> PlotCtrls> Symbols). /PBF applies to finite-element loads only; body force symbols do not appear in solid model displays. /PBF does not produce an "immediate" display.

You can also use the /PBF command to display your current density magnitude as a vector instead of a contour. /PBF, JS, 2 will display the current density magnitude as vector arrows along the surface. The length of the arrows is proportional to the current density magnitude.

You will typically use the above commands to turn load symbols on for visual verification when you apply the loads in SOLUTION (or PREP7). The ANSYS program automatically turns these symbols off when you enter POST1. See "Creating Geometric Results Displays" for more information on controlling postprocessing displays.

11.2.4.2. Displaying Boundary Condition Values Next to a Symbol

You can display load symbols by using the /PBC command. (See Turning Other Symbols On and Off for information on turning other symbols on and off.) This command also provides an option that lets you display the boundary condition values next to the symbols. Some of the boundary condition values that are associated with this command include reaction force (RFOR), reaction moment (RMOM), displacement (U), and current flow (AMPS).

Since your applied forces/moments can differ by orders of magnitude from your derived forces/moments, you can use the FBCS option of the /PSYMB command to determine the basis of the Force Boundary Conditions Scaling of your display.

See the Commands Reference for more information about the various boundary values that are supported.

11.2.4.3. Displaying Boundary Condition Symbols for Hidden Surfaces

When there are hidden surfaces, 2-D drivers will display your boundary condition symbols, yielding a confusing display. In some instances, however, you may desire to see them. You can use the /HBC command to control BC symbol display. The default setting is to NOT display boundary condition symbols on the hidden surfaces (/HBC, WN, OFF). You can set the display ON or OFF individually for each window of your display. 3-D are not controlled by this command. This function is accessed from the Utility Menu> PlotCtrls> Style> Hidden Line Options area of the GUI.

11.2.4.4. Scaling Vector Load Symbols

/VSCALE (Utility Menu> PlotCtrls> Style> Vector Arrow Scaling) allows you to adjust the scale of vector item symbols (such as the arrows representing concentrated forces, etc.). This same command also allows you to choose a "uniform scaling" option, in which all items' vector symbols have the same length, regardless of their relative magnitudes.

11.2.4.5. Turning Other Symbols On and Off

You can turn symbols for master degrees of freedom, coupled nodes, and nodes in constraint equations on and off with the /PBC command. Use the /PSYMB command (Utility Menu> PlotCtrls> Symbols) to turn symbols on and off for local, nodal, and element coordinate systems, line directions, keypoints/nodes, and layer orientation (for layered elements).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
11.1. Creating Displays of Solid-Model Entities 		Up / Home Next
Chapter 12. Creating Geometric Results Displays


Chapter 12. Creating Geometric Results Displays

In a geometric results display, you can review your solution results in a postprocessing display of your model's elements.

The following geometric results display topics are available:

  • Using the GUI to Display Geometric Results
  • Options for Creating Geometric Results Displays
  • Changing the Specifications for POST1 Results Displays
  • Q-Slice Techniques
  • Isosurface Techniques
  • Controlling Particle Flow or Charged Particle Trace Displays

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
11.2. Changing the Specifications for Your Geometry Displays 		Up / Home Next
12.1. Using the GUI to Display Geometric Results


12.1. Using the GUI to Display Geometric Results

The choice of geometric results displays includes displaced shapes, results contours (including line-element "contours," such as moment diagrams), and vector (arrow) results (such as thermal flux vector displays). These displays are available only within POST1, the general postprocessor. The following figure illustrates a typical geometric results display:

Figure 12.1 Contour Results Plot

The most convenient way to create and control geometric results displays is by using the functions available under Utility Menu> Plot and Utility Menu> PlotCtrls. Alternatively, you can use graphics action and control commands, as described in the following subsections.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 12. Creating Geometric Results Displays 		Up / Home Next
12.2. Options for Creating Geometric Results Displays


12.2. Options for Creating Geometric Results Displays

The following commands create geometric results displays in POST1:

Table 12.1 Commands for Creating Geometric Results Displays

Command GUI Menu Path Purpose
PLDISP
Main Menu> General Postproc> Plot Results> Deformed Shape
Utility Menu> Plot> Results> Deformed Shape
Display displaced shapes
PLESOL
Main Menu> General Postproc> Plot Results> Contour Plot> Element Solu
Utility Menu> Plot> Results> Contour Plot> Elem Solution
Display contours of results, discontinuous across element boundaries
PLETAB
Main Menu> General Postproc> Element Table> Plot Elem Table
Main Menu> General Postproc> Plot Results> Contour Plot> Elem Table
Utility Menu> Plot> Results> Contour Plot> Elem Table Data
Display contours of element table data
PLLS
Main Menu> General Postproc> Plot Results> Contour Plot> Line Elem Res
Display element table items along line elements and 2-D axisymmetric shell elements
PLNSOL
Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu
Utility Menu> Plot> Results> Contour Plot> Nodal Solution
Display continuous results contours
PLTRAC
Main Menu> General Postproc> Plot Results> Flow Tra
Utility Menu> Plot> Results> Flow Trace
Main Menu> General Postproc> Plot Results> Particle Trace
Utility Menu> PlotCtrls> Animate> Particle Flow
Display particle flow or charged particle trace
PLVECT
Main Menu> General Postproc> Plot Results> Vector Plot> Predefined
Main Menu> General Postproc> Plot Results> Vector Plot> User-defined
Utility Menu> Plot> Results> Vector Plot
Display solution results as vectors
/REPLOT
Utility Menu> Plot> Replot
Re-executes the last display action that executed

In Figure 12.2: "A Typical ANSYS Results Plot", a typical geometric results display (in this example, created with a PLNSOL command) illustrates the kinds of information included in such displays.

Figure 12.2 A Typical ANSYS Results Plot

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.1. Using the GUI to Display Geometric Results 		Up / Home Next
12.3. Changing the Specifications for POST1 Results Displays


12.3. Changing the Specifications for POST1 Results Displays

Besides reading about the features listed below, also see "Getting Started with Graphics" for general graphics specifications that you can apply to any kind of display, including geometric results displays.

12.3.1. Controlling Displaced Shape Displays

You can control displaced shape displays in two ways:

  • By superimposing undisplaced and displaced shapes. A display of a structure's displaced shape will often be more meaningful if you can compare the displaced configuration against the original configuration. You can do this by using the KUND argument on the PLDISP command.

  • By multiplying displacements for distortion displays. In most small-deformation structural analyses, the displaced shape is hard to distinguish from the undisplaced shape. The program automatically multiplies the displacements in your results display, so that their effect will be more readily apparent. You can adjust this multiplication factor, using the /DSCALE command (Utility Menu> PlotCtrls> Style> Displacement Scaling). The program interprets exactly zero values of this multiplier (DMULT = 0) as the default setting, which causes the displacements to be scaled automatically to a readily discernible value. Thus, to obtain "zero" displacements (that is, an undistorted display) you must set DMULT = OFF.

12.3.2. Controlling Vector Symbols in Your Results Display

You have two options for controlling vector symbols:

  • Displaying nodal or reaction force symbols. You can add arrow symbols representing nodal and reaction forces (and moments) to your results display with the /PBC command (Utility Menu> PlotCtrls> Symbols).

  • Vector length scaling. You can control the lengths of vector symbols (such as are displayed by PLVECT or /PBC) with either of the following:

    Command(s): /VSCALE
    GUI: Utility Menu> PlotCtrls> Style> Vector Arrow Scaling

12.3.3. Controlling Contour Displays

When light-source shading is on, the colors shown in the contour legend will not exactly match the contour colors used in the shaded model display. You can manipulate contour displays in the following ways:

  • Labeling contours. In both vector and raster mode, your contours will always be automatically color-coded. In vector mode, you can add alphabetic contour labels (and a contour legend), using the /CLABEL command (Utility Menu> PlotCtrls> Style> Contours> Contour Labeling). In raster mode, /CLABEL will add (or remove) the contour legend.

  • Controlling the contour legend. Sometimes, lengthy text in the legend column can cause part of the contour legend to be truncated. You can make more room available for the contour legend by issuing /PLOPTS,LEG1,0 (Utility Menu> PlotCtrls> Window Controls> Window Options). To remove the contour legend from the legend column, issue /PLOPTS,LEG3,0.

  • Changing the number of contour labels. In vector mode, if you apply contour labels, they will, by default, appear in every element crossed by a contour line. You can use /CLABEL to control the number of alphabetic contour labels per element.

  • Changing contour colors. To change the contour colors used in your display, create a new color-map file and read the new color-map file using one of the following:

    Command(s): /CMAP
    GUI: Utility Menu> PlotCtrls> Style> Colors> Load Color Map

    To restore color to contours that are grayed out, issue the command /NUMBER,0.

    Note

    For 2-D drivers (especially Win32c), modifying the color map can produce anomalies, including legend/contour disagreement.

  • Changing isosurface colors. Using the ISURF label in the /COLOR command (Utility Menu> PlotCtrls> Style> Colors>color type) enables you to change isosurface colors.

  • "Inverting" (or reversing) the contour colors. By default, the ANSYS program displays the algebraically greatest results values with a bright red contour color, and the algebraically lowest values, with a blue contour color. In some cases, you may want to invert this order. You can create a reversed color-map file by using the CREATE option of the /CMAP command. You can then read that reversed color map file into the database, also with the /CMAP command.

  • Changing the contour interval. To change the contour interval on your results display, either issue the /CVAL command (Utility Menu> PlotCtrls> Style> Contours> Nonuniform Contours) or the /CONTOUR command (Utility Menu> PlotCtrls> Style> Contours> Uniform Contours).

    These commands change the range of values displayed in contour displays. /CONTOUR produces uniform contour intervals, while /CVAL produces specified contour values (which need not be uniform). If you issue both commands, the program uses the last one specified. For related information, see Section Changing the Number of Contours.

  • Topographic contour displays. You can transform "flat" contour results displays into "3-D" topographic displays with the /SSCALE command (Utility Menu> PlotCtrls> Style> Contours> Contour Style).

  • Displaying numerical results values. To display results values at each node in a contour display, issue /PNUM,SVAL,1 (choose Utility Menu> PlotCtrls> Numbering).

  • Turning "MN" and "MX" symbols on and off. The MN and MX symbols identify the locations of the minimum and maximum contour values. The MINM label on the /PLOPTS command enables you to turn these symbols on and off.

  • Producing 3-D isosurface, particle gradient, or gradient triad displays. Isosurfaces, particle clouds, and gradient triads are tools that can help you visualize the state of response within a 3-D solid body. By issuing the /CTYPE command (Utility Menu> PlotCtrls> Style> Contours> Contour Style), you can change your contour displays to one of these three styles of display.

12.3.4. Changing the Number of Contours

By default, the ANSYS program displays nine contours. To decrease (but not increase) the number of contours, you can either issue the /CVAL command (Utility Menu> PlotCtrls> Style> Contours> Nonuniform Contours). To change (increase or decrease) the number of contours, you can issue the /CONTOUR command (Utility Menu> PlotCtrls> Style> Contours> Uniform Contours). However, one or more of the following factors can prevent ANSYS from displaying more than nine contours:

  • The device name.

  • Whether the display is directed to the screen or to a file.

  • The display mode (vector or raster).

  • The number of color planes.

Any of these factors can override the number of contours you specify via /CONTOUR. You control these factors using either the /SHOW command (Utility Menu> PlotCtrls> Device Options). In any case, the maximum number of contours available is 128.

The paragraphs below explain how device name, display mode, etc. limit the number of contours available to you:

Driver | Contour Display
The X11 driver (screen display) and raster mode | You can display a maximum of nine contours, no matter how many contours the /CONTOUR command specifies.
The X11 driver (screen display) and raster mode | You can display more than nine contours, but the number of contours displayed will be rounded down to the next lowest multiple of nine. For example, if you specify 20 contours, the program displays only 18 contours. In addition, if you specify more than nine contours, contour colors will not be unique (that is, you might have two or more adjacent contour lines with the same color).
The X11C driver (screen display) in either vector or raster mode | If eight graphic planes are available, you can specify any number of contours, up to 128. If your display device does not support eight graphic planes, you are limited to displaying nine contours. If another process has used some of the colors, making fewer than eight graphic planes available, you cannot display more than nine contours. (To verify how many graphic planes are available, issue the /PSTATUS command after a plot command.) To make more graphic planes available, you must exit from the ANSYS program, re-enter, and then issue the /SHOW,X11C-FORC to force selection of the full set of eight graphic planes.
Plotting to an ANSYS neutral graphics file | Nine contours are the maximum, unless you specify the contour range (using VMIN and VMAX in the /CONTOUR command), or unless you explicitly set NCPL to 8 on the /SHOW command).

Note

If the current ANSYS graphics are not displayed as Multi-Plots (Utility Menu> Plot> Multi-Plots), then the following is true:

If the current device is a 3-D device [/SHOW,3D], the model contours in all active windows will be the same, even if separate /CONTOUR commands are issued for each active window.

For efficiency, ANSYS 3-D graphics logic maintains a single data structure (segment), which contains precisely one set of contours. The program displays the same segment in all windows. The view settings of each window constitute the only differences in the contour plots in the active windows.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.2. Options for Creating Geometric Results Displays 		Up / Home Next
12.4. Q-Slice Techniques


12.4. Q-Slice Techniques

Q-slicing is a technique you can use to query the interior or your model via slice planes. To implement Q-slicing, change the hidden surface type to Q-slice using either of these methods:

Command(s): | /TYPE,1,8
GUI: | Utility Menu> PlotCtrls> Style> Hidden-Line Options

By default, the slice plane is perpendicular to the view and is positioned at the focus point. You can set the slice plane via the GUI path shown above or by using the /CPLANE,1 command.

To position the working plane, you can use either of these methods:

  • Choose Utility Menu> WorkPlane> Align WP with> Keypoints.

  • Click on the dynamic mode button in the Offset WP menu. To access this menu, choose Utility Menu> WorkPlane> Offset WP by Increments.

You can animate Q-slices. To do so, choose either of these GUI paths:

GUI:
Utility Menu> PlotCtrls> Animate> Q-Slice Contours
Utility Menu> PlotCtrls> Animate> Q-Slice Vectors

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.3. Changing the Specifications for POST1 Results Displays 		Up / Home Next
12.5. Isosurface Techniques


12.5. Isosurface Techniques

Isosurface displays are surfaces of constant values (for example, stress). To obtain an isosurface display of von Mises stress, perform these steps:

  1. Issue the command /CTYPE,1 (Utility Menu> PlotCtrls> Style> Contours> Contour Style).

  2. Issue the command PLNSOL,S,EQV (Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu).

You can animate isosurfaces. To do so, either invoke the ANISOS macro (Utility Menu> PlotCtrls> Animate> Isosurfaces).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.4. Q-Slice Techniques 		Up / Home Next
12.6. Controlling Particle Flow or Charged Particle Trace Displays


12.6. Controlling Particle Flow or Charged Particle Trace Displays

You can produce graphic displays of how a particle travels in a flowing fluid or how a charged particle travels in an electric or magnetic field. See The General Postprocessor (POST1) for more information on graphic displays and see "Animation" for information on particle trace animation. See the Theory Reference for ANSYS and ANSYS Workbench for simplifying assumptions on electromagnetic particle tracing.

To produce particle flow or charged particle trace displays, use either of the following:

Command(s): | PLTRAC
GUI: | Main Menu> General Postproc> Plot Results> Plot Flow Tra Utility Menu> Plot> Results> Flow Trace Main Menu> General Postproc> Plot Results> Particle Trace Utility Menu> PlotCtrls> Animate> Particle Flow

Such displays require you to select the trace points by number or by picking. To select points, use either method shown below:

Command(s): | TRPOIN
GUI: | Main Menu> General Postproc> Plot Results> Flow Trace> Defi Trace Pt

You can list or delete these points using the commands shown below:

Command(s): | TRPLIS
GUI: | Main Menu> General Postproc> Plot Results> Flow Trace> List Trace Pt
Command(s): | TRPDEL
GUI: | Main Menu> General Postproc> Plot Results> Flow Trace> Dele Trace Pt

Use either of the following to animate the particle flow or charged particle trace to a specified elapsed time.

Command(s): | TRTIME
GUI: | Main Menu> General Postproc> Plot Results> Flow Trace> Time Interval

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.5. Isosurface Techniques 		Up / Home Next
Chapter 13. Creating Graphs


Chapter 13. Creating Graphs

If you want to review your material property curves, trace the time-history response of your system, or examine the relationship between any two items in your analysis, you can often do so most effectively using a graph. ANSYS graphs can be either 2-D (X-Y) or 3-D (X-Y-Z, where Z must always be TIME).

The following figure shows two typical graphs:

Figure 13.1 Typical ANSYS Graphs

The most convenient way to create and control graph displays is by using the GUI operations available under Utility Menu> Plot and Utility Menu> PlotCtrls. Alternatively, you can use graphics action and control commands, as described in the following topics:

  • Graph Display Actions
  • Changing the Specifications for Graph Displays

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.6. Controlling Particle Flow or Charged Particle Trace Displays 		Up / Home Next
13.1. Graph Display Actions


13.1. Graph Display Actions

The commands listed below create graphs anywhere in the ANSYS program (including the BEGIN level):

To display linear material properties (those defined with the MP family of commands) as a function of temperature, use the following:

Command(s): | MPPLOT
GUI: | Utility Menu> Plot> Materials

To display nonlinear data curves (stress-strain, B-H curve, etc. defined with the TB family of commands), use one of the following:

Command(s): | TBPLOT
GUI: | Utility Menu> Plot> Data Tables

To display column vectors of array parameters, use one of the following:

Command(s): | *VPLOT
GUI: | Utility Menu> Plot> Array Parameters

The commands listed below create graphs in POST1 only:

To display a stress item associated with a particular location and event versus loading number (for use in fatigue analyses), use one of the following:

Command(s): | FSPLOT
GUI: | Main Menu> General Postproc> Fatigue> Store Stresses> Plot Stresses

To calculate and graph path items versus path length, choose one of these methods:

Command(s): | PLPATH
GUI: | Main Menu> General Postproc> Path Operations> Plot Path Item Main Menu> General Postproc> Plot Results> Plot Path Item Utility Menu> Plot> Results> Path Plot

To calculate and graph the membrane and membrane plus linearized stresses along a path, use one of these methods:

Command(s): | PLSECT
GUI: | Main Menu> General Postproc> Path Operations> Linearized Strs Main Menu> General Postproc> Plot Results> Plot Path Item> Lineariz Strs

The PLVAR command (Main Menu> TimeHist Postpro> Graph Variables) graphs any predefined variable as a function of TIME (or, for harmonic response analyses, frequency) or some other variable that you define. This command is available in the time-history postprocessor, POST26. A similar PLVAROPT command (Main Menu> Design Opt> Graphs/Tables) is available in OPT, the design optimization processor.

Issue the /REPLOT command (Utility Menu> Plot> Replot) to re-execute the last display action command that was executed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 13. Creating Graphs 		Up / Home Next
13.2. Changing the Specifications for Graph Displays


13.2. Changing the Specifications for Graph Displays

In addition to reading about the features listed below, also see "Getting Started with Graphics" for general graphics specifications that apply to any type of display, including graphs.

13.2.1. Changing the Type, Style, and Color of Your Graph Display

You can alter the appearance of your graph display as follows:

Turning axis divisions (tick marks) on or off. You can control this feature using the AXDV label on the /GROPT command (Utility Menu> PlotCtrls> Style> Graphs).

Turning axis scale numbers on or off. The AXNM label on the /GROPT command controls whether or not your axis scale numbers appear.

Changing the size of axis scale numbers. You can enlarge or reduce the axis scale numbers, using the AXNSC label (and the KEY field) on the /GROPT command.

Changing the number of significant digits used in axis scale numbers. Axis values will, by default, display four significant digits before the decimal point, and three significant digits after the decimal point. You can change these values with the DIG1 and DIG2 labels on the /GROPT command.

Switching between log and linear scales. By default, your graphs will use linear scales. You can switch to log scales on the X and Y axes, using the LOGX and LOGY labels on the /GROPT command. (X and Y axes can be switched independently of each other; Z is always linear.)

Establishing separate Y-axis scales for different curves. If you want to graph two or more different items on one display, you might find that the numerical values of the different graphed items differ so significantly that no meaningful information can be obtained from some of the curves. An example would be a time-history graph of an applied force (with magnitude ~103) superimposed over a time-history graph of a resulting deflection (with magnitude ~10-1). The deflection curve would appear to be a straight line if plotted to the same scale as the applied force.

To solve this problem, use different Y-axis scales for each curve. You can activate such a feature with the /GRTYP command (Utility Menu> PlotCtrls> Style> Graphs). /GRTYP,2 displays up to three separate 2-D curves, while /GRTYP,3 displays up to six separate 3-D curves. You must also make sure that automatic Y-axis scaling is set to its default value of ON (/GROPT,ASCAL,ON) for this feature to work.

Uniform scaling of separate Y axes. If you want to label separate Y-axes distinctly, but want all of them to use the same Y axis scale, you must turn automatic Y-axis scaling off (/GROPT,ASCAL,OFF).

Creating "data slice" graph curves (curves that have Z-direction "thickness"). Separately-scaled curves can be separated and given Z-direction thickness with the /GRTYP,3 command. (To see this effect, you must change your display's viewing angle and distance - for instance, via /VIEW,1,2,2,3 and /DIST,1,.88 (Utility Menu> PlotCtrls> Pan, Zoom, Rotate). The color-fill option must also be set on via the /GROPT,FILL,ON command.)

Setting line thickness for axes, grid lines or graph curve lines. You can accentuate graph items by increasing their line thickness, using the AXIS, GRID, and CURVE labels in the /GTHK command (Utility Menu> Plot Ctrls> Style> Graphs).

Turning the grid on or off (in the XY plane). You can add a grid to your graph displays, using the /GRID command (Utility Menu> Plot Ctrls> Style> Graphs). If you add a grid, it can be either a full grid (horizontal and vertical grid lines) or a partial grid (horizontal or vertical grid lines).

Producing a dashed tolerance curve about the displayed curve. You might want to indicate a range of data spread, tolerance, or uncertainty on your graph curves. You can do so using the SPREAD command (Main Menu> TimeHist Postpro> Settings> Graph).

Color-filling areas under curves. You can enhance the visual impact of your graph curves by using the FILL label on the /GROPT command to fill the areas under the curves with color.

Changing the color of curves (and color-filled areas under curves). The CURVE label on the /COLOR command (Utility Menu> PlotCtrls> Style> Colors> color type) allows you to control the color of each curve in your graph.

Filling the areas under curves with grids. If you have turned on the color-fill option and have also turned on the grid option, then you can cause the grid to appear in the color-filled areas under curves by issuing /GROPT,CGRID,ON.

Coloring the XY, XZ, and/or YZ grid planes. The GRBAK label on the /COLOR command allows you to control the color of the XY, YZ, and ZX planes.

Coloring the window background. The WBAK label on the /COLOR command enables you to control the background color of each window in your display.

13.2.2. Labeling Your Graph

Labeling the axes. You can label the X and Y axes using the /AXLAB command.

Command(s): | /AXLAB
GUI: | Utility Menu> PlotCtrls> Style> Graphs

Labeling the curves. For POST26 plotted-variable graphs, the labels applied to your curves are established when you choose one of the following:

Command(s): | NSOL, ESOL
GUI: | Main Menu> TimeHist Postpro> Define Variables Main Menu> TimeHist Postpro> Elec&Mag> Circuit> Define Variables

For all other types of graphs, including array parameter (*VPLOT) curves, the default label will be the item or parameter name specified in the display action command. For these curves, you can use the /GCOLUMN command (Utility Menu> PlotCtrls> Style> Graphs) to change the curve labels. The /GCOLUMN command allows any text or character string to be used as a curve label.

Adding user-defined graphics and text. You can add extra graphics and text to your displays using the annotation functions by choosing Utility Menu> PlotCtrls> Annotation. See "Annotation" of this manual for additional details.

13.2.3. Defining X and Y Variables and Their Ranges

The following subsections detail how to define X and Y variables and their ranges.

13.2.3.1. Defining the X Variable

In POST26 plotted-variable graphs, by default, the program uses TIME (or, for harmonic response analyses, frequency) for the X variable. TIME does not always have to represent chronological time. In setting up a time-independent analysis, you can arbitrarily define TIME to be equal to the value of some other item of interest (such as input pressure). To define a different parameter (other than TIME) against which the Y variable is to be displayed, use the NSOL, ESOL, and XVAR commands or their GUI equivalents.

13.2.3.2. Defining the Part of the Complex Variable to Be Displayed

When plotting harmonic-response results in POST26, you need to decide what part of the complex variable (amplitude, phase angle, real part, or imaginary part) to display in your graph. Make your choice using the PLCPLX command (Main Menu> TimeHist Postpro> Settings> Graph).

13.2.3.3. Defining the Y Variable

The various graphics "action" commands define the Y variable. Sometimes, these commands refer to labels that have been defined in other commands. For instance, PLPATH uses labels defined in the PDEF, PVECT, PCALC, PDOT, and PCROSS commands. PLVAR also uses labels defined in the NSOL and ESOL commands. PLSECT, FSPLOT, and *VPLOT, on the other hand, identify the Y variable directly. (For the GUI equivalents to these commands, see their descriptions in the Commands Reference.)

13.2.3.4. Setting the X Range

The /XRANGE command (Utility Menu> PlotCtrls> Style> Graph) enables you to graph only a portion of the full range of X-variable data. This command allows you to "zoom" in or out on a particular segment of your curve.

13.2.3.5. Defining the TIME (or, For Harmonic Response Analyses, Frequency) Range

The PLTIME command (Main Menu> TimeHist Postpro> Settings> Graph) enables you to establish a range of TIME for graph displays. ANSYS always displays TIME in the Z-axis direction. If XVAR = 1, TIME is also displayed in the X-axis direction. PLTIME or its equivalent then also sets the abscissa scale range. (A range established by /XRANGE takes precedence over one defined by PLTIME.)

13.2.3.6. Setting the Y Range

By default, your graph will contain the full range of available Y-variable data. Use the /YRANGE command (Utility Menu> PlotCtrls> Style> Graph) to define a smaller or larger range. The NUM argument allows you to selectively define different ranges for different curves (providing you have established separate Y-axis scales).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.1. Graph Display Actions 		Up / Home Next
Chapter 14. Annotation


Chapter 14. Annotation

A common step in the analysis process is presenting model and results data with additional notations applied, such as dimensions, comments, highlights, or other text or artwork. You can enhance the standard ANSYS display with a variety of annotation primitives including text, dimensions, polygons, symbols, and even pie charts. (The “!” and “$” characters are not available for text annotation.)

ANSYS annotation functions are available for both 2-D and 3-D graphics cards. You can apply 3-D annotation even if a 2-D graphics card is installed or a 2-D driver (Win32 or X11) is loaded. For best results, however, ANSYS recommends installing a quality 3-D graphics card is installed and the appropriate 3-D or Open GL device driver.

The following annotation topics are available:

  • 2-D Annotation
  • Creating Annotations for ANSYS Models
  • 3-D Annotation
  • 3-D Query Annotation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.2. Changing the Specifications for Graph Displays 		Up / Home Next
14.1. 2-D Annotation


14.1. 2-D Annotation

2-D text and graphics annotations are formed as a 2-D overlay on the graphics screen. Because this overlay exists as an imaginary plane, when you transform your model (by changing the scaling, focus, viewing angle, magnification, etc.), your carefully-constructed annotation will not move with the model. Because of this, 2-D annotation should be used primarily for finalized output (reports and printouts) and for representations of the model's state at various stages in the analysis. 3-D annotations will remain anchored to a specific location on the model, and are discussed later in this chapter.

You access 2-D annotation functions through the GUI at Utility Menu> PlotCtrls> Annotation> Create 2D Annotation. Every annotation function performed from the GUI places one or more underlying ANSYS command(s) in the log file. This allows you to accurately reproduce the display if the log file is later submitted for batch input. Annotation commands that might appear in such a session log include /ANNOT, /ANUM, /TLABEL, /LINE, /LARC, /LSYMBOL, /POLYGON, /PMORE, /PCIRCLE, /PWEDGE, /TSPEC, /PSPEC, and /LSPEC.

The following annotation primitives are available from the 2-D annotation dialog box:

  • Text

  • Lines

  • Rectangles

  • Circles

  • Arcs

  • Polygons

  • Wedges

  • Arrows

  • Dimensions

  • Pies

  • Symbols

An Options setting is also available. You use the Options setting to copy, move, resize or delete existing annotations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 14. Annotation 		Up / Home Next
14.2. Creating Annotations for ANSYS Models


14.2. Creating Annotations for ANSYS Models

When you choose Utility Menu> PlotCtrls> Annotation> Create 2D Annotation, the text annotation dialog box shown below appears. Text annotation can be applied either as stroke text (line-draw characters created within ANSYS) or as bitmap fonts. Bitmap fonts are available on most systems, with the number and type varying from system to system. Bitmap fonts must be enabled (Utility Menu> PlotCtrls> Annotation> Enable Bitmap Font) before the annotation is created. You cannot use the “!” and “$” characters in ANSYS text annotation.

Figure 14.1 Stroke Text Annotation Dialog Box

The fields and buttons presented in the annotation dialog box change when you reset the annotation entity type. For example, if you reset the annotation entity to arcs, the dialog box shown in Figure 14.1: "Stroke Text Annotation Dialog Box", changes to display the options available for annotation arcs (arc color, solid or dashed lines, and arc width). Regardless of which annotation entity you choose, the annotation dialog box always displays four action buttons:

Undo - Erases the last annotation entity created.

Refresh - Redisplays the annotation, which is useful after move and delete operations.

Close - Closes the annotation dialog box.

Help - Displays online help for the dialog of the currently selected annotation entity.

Once you create annotations, you can control their display by selecting Utility Menu> PlotCtrls> Annotation> Display Annotation. Accessing this menu pick toggles annotation display on and off.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.1. 2-D Annotation 		Up / Home Next
14.3. 3-D Annotation


14.3. 3-D Annotation

3-D text and graphics annotations are assigned XYZ coordinates and exist in 3-D space. When you apply 3-D annotation, you choose from one of the following anchor locations:

  • Nodes

  • Elements

  • Key Points

  • Lines

  • Areas

  • Volumes

  • All

  • At XYZ

  • On View

Because 3-D annotation is applied in relation to the XYZ coordinates of the anchor, you can transform your model, and the annotation will maintain the spatial relationship with the model. This works within reason, and there are instances where changing the perspective or the size of the model will change the apparent relationship between the annotation and the model. The overall 3-D dimensions of your model are defined by a bounding box. If portions of your model's bounding box lie outside of the visible area of your graphics window (if you are zoomed in on a specific area of your model), it can affect the placement of your 3-D annotations. Zooming out will usually overcome this problem. Unlike 2-D annotation, 3-D annotation is valid for the global Cartesian (CSYS,0) coordinate system only.

3-D annotation functions are accessed through the GUI at Utility Menu> PlotCtrls> Annotation> Create 3D Annotation. Every annotation function performed from the GUI places one or more underlying ANSYS command(s) in the log file. This allows you to accurately reproduce the display if the log file is later submitted for batch input.

The following annotation primitives are available from the 3-D annotation dialog box:

  • Text

  • Lines

  • Areas

  • Symbols

  • Arrows

An Options setting is also available. You use the Options setting to copy, move, resize or delete existing annotations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.2. Creating Annotations for ANSYS Models 		Up / Home Next
14.4. 3-D Query Annotation


14.4. 3-D Query Annotation

With Query Annotation, you can retrieve model information directly from the database and apply it to the model. The ANSYS Model and Results Query Pickers provide a “Generate 3-D Anno” check box that enables the annotation function. You can obtain basic model information, results data and even simple geometric/loading information (force per unit area, angle between lines, etc.) by graphically picking the desired items. Like standard 3-D Annotation, you use the Options setting to copy, move, resize or delete 3-D Query Annotations. As with standard 3-D Annotation, 3-D Query Annotation is valid for the Cartesian (CSYS,0) coordinate system only. See "Graphical Picking" in the Operations Guide for more information on Query Annotation.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.3. 3-D Annotation 		Up / Home Next
Chapter 15. Animation


Chapter 15. Animation

Animation is a valuable tool for graphically interpreting many analysis results, especially nonlinear or time-dependent behavior. The ANSYS program provides tools that enable you to animate any type of display.

Many workstations, PCs, and some terminals having local segment memory support animation. However, some hardware platforms do not support online animation well (or at all). An alternative to online animation is to capture a sequence of images offline, frame by frame, on film or videotape.

The following animation topics are available:

  • Creating Animated Displays Within ANSYS
  • Using the Basic Animation Commands
  • Using One-Step Animation Macros
  • Capturing Animated Display Sequences Off-Line
  • The Stand Alone ANIMATE Program
  • Animation in the Windows Environment

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.4. 3-D Query Annotation 		Up / Home Next
15.1. Creating Animated Displays Within ANSYS


15.1. Creating Animated Displays Within ANSYS

The easiest way to perform animation in ANSYS is to use the functions available under Utility Menu> PlotCtrls> Animate. These GUI functions allow you to achieve "push-button animation" effects in ANSYS. The GUI functions internally execute ANSYS animation commands, which you can type in directly if you prefer. Procedures for using commands are discussed next. See "External Graphics" for information on viewing animated sequences in the stand-alone DISPLAY program.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 15. Animation 		Up / Home Next
15.2. Using the Basic Animation Commands


15.2. Using the Basic Animation Commands

You can display several frames in rapid succession to achieve an animation effect, via these commands:

Command(s): | /SEG, ANIM
GUI: | Utility Menu> PlotCtrls> Redirect Plots> Delete Segments Utility Menu> PlotCtrls> Redirect Plots> Segment Status Utility Menu> PlotCtrls> Redirect Plots> To Segment Memory (UNIX) Utility Menu> PlotCtrls> Redirect Plots> To Animation File (Windows) Utility Menu> PlotCtrls> Animate> Replay Animation Utility Menu> PlotCtrls> Animate> Replay Animation

The /SEG command allows you to store graphics data in the terminal's local "segment" (graphics operation) or "pixmap" (screen dot) memory (which may or may not be available, depending on the type of graphics device you are using). The storage occurs at the same time that a graphics action command produces a display. You can then use the ANIM command to display the stored frames in a sequence. A typical command stream for animation would look like this:

/SEG,DELE   ! Deletes all currently stored segments
/SEG,MULTI        ! Stores subsequent displays in segment memory
...               ! Plot-creation commands to generate a sequence of images
...               ! (See below for options)
/SEG,OFF          ! Turns off the frame-capture function
ANIM,15           ! Cycles through the stored sequence 15 times

To create the series of frames for your animation sequence, you can either issue a frame-by-frame series of graphics action commands, or you can invoke a predefined ANSYS macro to automatically generate the sequence. The predefined macros are ANCNTR, ANCUT, ANDATA, ANDSCL, ANFLOW, ANHARM, ANISOS, ANMODE, ANTIME, and ANDYNA.

The available amount of local segment or pixmap memory, and the memory requirements of each frame limit the number of frames you can include in an animated sequence. On most workstations and PCs, the amount of memory required depends on the number of pixels (for example, screen dots) in each frame. On X-window devices, reducing the size of your graphics window reduces the number of pixels, yielding a longer achievable animation run.

Although you can create animations of multiple ANSYS window schemes, animations created with OpenGL display lists (/DV3D, ANIM, 0) do not retain the windowing scheme information. You CAN save multiple windows via the X11/WIN32 drivers, or via the OpenGL driver with /DV3D, ANIM, KEY in effect (where KEY is not zero).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.1. Creating Animated Displays Within ANSYS 		Up / Home Next
15.3. Using One-Step Animation Macros


15.3. Using One-Step Animation Macros

A better alternative to the basic animation commands is to use these specialized "one-step" animation macros:

  • ANCNTR (Utility Menu> PlotCtrls> Animate> Deformed Results) produces an animated sequence of a contoured deformed shape in POST1. Before using the macro, you need to execute a display command that contains deformation, contouring, or both (such as PLNSOL,S,EQV).

  • ANCYC (Utility Menu> PlotCtrls> Animate> Cyc Traveling Wave) applies a traveling wave animation to graphics data in a modal cyclic symmetry analysis in POST1. For more information, see Applying a Traveling Wave Animation to the Cyclic Model.

  • ANCUT (Utility Menu> PlotCtrls> Animate> Q-Slice Contours or Utility Menu> PlotCtrls> Animate> Q-Slice Vectors) produces an animated sequence of a cutting plane through a contoured deformed shape in POST1. Before using this macro, you need to execute a display command that contains contouring.

  • ANDATA (Utility Menu> PlotCtrls> Animate> Over Results) produces a sequential contour animation over a range of results data. This macro allows you to create an animation sequence based on the last plot action command (e.g. PLDISP).

  • ANDSCL (Utility Menu> PlotCtrls> Animate> Deformed Shape) produces an animated sequence of a deformed shape in the POST1 postprocessor. Before you use the ANDSCL macro, you must execute a display command that contains deformation (such as the PLDISP command).

  • ANFLOW (Utility Menu> PlotCtrls> Animate> Particle Flow) produces an animated sequence of particle flow or charged particle motion. Before using this macro, you need to execute a command that produces particle flow trace on an element display (i.e., PLTRAC).

  • ANHARM (Utility Menu> PlotCtrls> Animate> Time-harmonic) produces a time-transient animation of time-harmonic results of the last plot action command (for example, PLNSOL,B,SUM). The animation converts the complex solution variables (real and imaginary sets) into time varying results over one period.

  • ANISOS (Utility Menu> PlotCtrls> Animate> Isosurfaces) produces an animated sequence of an isosurface of contoured deformed shape in POST1. Before using ANISOS, you must execute a display command that contains contouring.

  • ANMODE (Utility Menu> PlotCtrls> Animate> Mode Shape) produces an animated sequence of a deformed mode shape in POST1. Before using ANMODE, you must execute a command that contains deformation.

  • ANMRES (Utility Menu>PlotCtrls>Animate>Animate Over Results) produces an animation of results over multiple results files in an explicit dynamic structural analysis or fluid flow analysis with remeshing in POST1.

  • ANTIME (Utility Menu> PlotCtrls> Animate> Over Time) produces an animated sequence of a contoured deformed shape varying over time in POST1. Before using this macro, you must execute a display command that contains deformation, contouring, or both and you must have a solution containing time variance.

ANDYNA, while still supported by ANSYS, has been replaced by the ANDATA macro.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.2. Using the Basic Animation Commands 		Up / Home Next
15.4. Capturing Animated Display Sequences Off-Line


15.4. Capturing Animated Display Sequences Off-Line

In this procedure, you produce graphics images one at a time, photographing or video-recording them frame by frame. Among this technique's advantages is the fact that when you capture an animated sequence one frame at a time, there is generally no limit on its complexity, and performance does not degrade with increasing numbers of entities.

In general, producing high-quality graphics video recordings is a job for multimedia experts with specialized equipment. Capturing a sequence of individual frames on video requires three separate pieces of equipment:

  • A device that produces a television-style video signal (accomplished through the use of an add-in board, a separate encoder, or a scan converter).

  • A frame controller to control the video recorder as it captures the individual frames. The frame controller receives both the television video signal and a computer input (such as serial RS-232), and sends instructions to capture the frames.

  • A frame-controllable video recorder (which differs considerably from a home VCR).

In addition to specialized hardware requirements, some custom software is also needed for video recording. The /SYS command in ANSYS provides the programming interface between the ANSYS program and these special systems, allowing video system commands to be integrated into your ANSYS session.

Another hardware solution for animation is capturing single frames onto film, using a device known as a film recorder. As with video frame-capture equipment, images are saved onto film under software control. The best of these devices can be expensive, and custom programming may be involved in using them.

A relatively low-cost approach to film recording involves the use of a stationary camera shooting individual frames from a graphics display. These frames are then processed as the individual frames of a film. The resources of photographic technicians are often required to turn still images into acceptable-quality moving film.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.3. Using One-Step Animation Macros 		Up / Home Next
15.5. The Stand Alone ANIMATE Program


15.5. The Stand Alone ANIMATE Program

When you create animations in UNIX, they are stored as ANIM files. This format is not supported outside of ANSYS. You can use the ANIMATE Program (ANIMATE.exe) to conveniently play back your ANIM files on the PC. The ANIMATE program runs on the PC, even if you do not have ANSYS installed. You can also use the ANIMATE program to convert your ANIM files to an AVI format. The AVI animation file format is supported by a number of Windows applications, including Windows Media Player. ANIMATE is especially useful for creating portable files that can be exchanged via the internet, since the AVI file format is significantly smaller than the ANIM format.

The ANIMATE program is included with ANSYS on Windows. The program is located in the bin\intel directory, and requires no license keys or passwords to install. It provides better frame-speed and window-size control than the standard Windows Media Player, and is small enough to be transported or e-mailed with your other analysis files.

15.5.1. Installing the ANIMATE Program

In order to install the ANIMATE program on a Windows system that is not running ANSYS, you must ensure that the proper Dynamic Link Library (DLL) files are present, and that the Windows registry has been modified to recognize those DLLs. To do this, copy the DSGStreamN.dll and ANIMATE.exe files into the same directory on the PC where you want to run ANIMATE. You will find the DLL and ANIMATE.exe files in the Program Files\ANSYS Inc\V110\ANSYS\bin\intel directory for Windows. You cannot copy these files directly from the installation CD; you must copy them from an existing ANSYS installation.

Once you have these files in a common directory, run the regsvr32.exe file, from within that directory, for the DLL file. You do this by running the file using the specific path, which in most cases is C:\winnt\system32 (check to ensure that this is the path for your system).

For example, while in the directory containing the DLL file, run:

C:\winnt\system32\regsvr32 DSGStreamN.dll

15.5.2. Running the ANIMATE Program

In order to convert your UNIX animations, the ANIM files must be transferred to the Windows file system. This can be done using FTP protocols, or with SAMBA or some other file system transfer utility. Once the ANIM files are accessible, they can be opened directly.

The controls provided for the ANIMATE program are nearly identical to those found in the ANSYS animation controller. When you start the program, the panel shown below is displayed.

Figure 15.1 The ANIMATE Program Display

You can access the following operations from the initial program display:

  • File: Allows you to open AVI or ANIM files and to save these files in True Color AVI or 256 Color format.

  • Options: Allows you to pop up the ANIMATION CONTROLLER, and to choose from six different screen sizes for the animation window.

  • View: Allows you to toggle (ON or OFF) the display of the TOOLBAR (icons at the top of the screen) and the display of the STATUS BAR (read out at the bottom).

  • Help: Displays information about the program.

Once you load an animation file, you can use the ANIMATION CONTROLLER for a number of playback options. The ANIMATION CONTROLLER is shown below:

Figure 15.2 The Animation Controller

You can access the following operations from the ANIMATION CONTROLLER panel:

Animation Delay

Use the slider to adjust the speed of animation (that is, how quickly the animation progresses from one frame to the next). The higher the delay setting, the slower the animation speed.

Forward/Backward - Forward Only

Allows you to loop the file either by following a forward run with a reverse run, or by playing it to the end and restarting it.

Action Buttons

  • Start - Stop - Next - Previous: Allows you to play the animation continuously, or to view it frame by frame.

  • Cancel: Dismisses the controller panel.

Note

Although you can create animations of multiple ANSYS window schemes, animations created with OpenGL display lists (/DV3D, ANIM, 0) do not retain the windowing scheme information. You CAN save multiple windows via the X11/WIN32 drivers, or via the OpenGL driver with /DV3D, ANIM, KEY in effect (where KEY is not zero).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.4. Capturing Animated Display Sequences Off-Line 		Up / Home Next
15.6. Animation in the Windows Environment


15.6. Animation in the Windows Environment

The ANSYS and DISPLAY programs on Windows platforms use the Microsoft standard AVI file format to store animation frames (video only) of ANSYS graphics.

The following topics concerning how ANSYS handles AVI files are available:

  • How ANSYS Supports AVI Files
  • How the DISPLAY Program Supports AVI Files
  • Other Uses for AVI Files

15.6.1. How ANSYS Supports AVI Files

In ANSYS, animation capabilities are split among the options in the Utility Menu> PlotCtrls GUI path and the animation macros described earlier in this chapter. If you are animating a deformed shape or different mode shapes of your analysis, the program stores the animation frames in a file called Jobname.AVI, where Jobname is the jobname for the current ANSYS session. After completing this step, ANSYS starts Media Player (located under Accessories). This application has a control panel that closely resembles the controls of a videocassette player.

If you wish to animate contours, ANSYS displays a dialog box from which you can choose animation options. After you supply this data, ANSYS generates the frames and Media Player displays them.

The Replay animation option starts Media Player. If you have stored an animation sequence during the current ANSYS session, the file name associated with it is supplied to Media Player automatically.

You can animate other quantities, or do animation in other parts of ANSYS, via the /SEG command. You can access this command directly through the ANSYS Input Window or Utility Menu> PlotCtrls> Redirect Plots.

AVI files cannot be created directly in batch mode. If you are working in batch mode, you must save multiple images to a single Jobname.GRPH file using the /SHOW command. After the batch run, you can open the resulting Jobname.GRPH file in the DISPLAY program and then create an AVI file.

15.6.2. How the DISPLAY Program Supports AVI Files

If you have stored a series of graphics in an ANSYS graphics file, you can create an animation file of these in the DISPLAY program.

Start the DISPLAY program and choose Display> Animate> Create on the menu bar. The following dialog box appears.

Figure 15.3 ANSYS DISPLAY Program and the Create Animation Sequence Dialog Box

Specify the plots to be used during the animation in the File Name box and the delay time in seconds in the Time Between Frames box. For example, if your Jobname.GRPH file contains 20 plots and you wish to use every other plot in your animation, select 1 (for the beginning plot), 20 (for the end plot), and 2 (for the increment). The Create function stores your animated sequence in the default file ANIM.AVI.

To replay your animation, use the Playback option, which starts Media Player.

Note

If you are doing animation from an AVI type program on an ANSYS animation file, make sure that the graphics window size of the AVI setting is set to "Original Size." To check the setting for window size, click on the AVI icon and click on SETTINGS. You can change the window size here, if necessary.

15.6.3. Other Uses for AVI Files

While you are in Media Player, you can use Media Player's OLE (Object Linking and Embedding) to export your ANSYS animation to other applications. You do this through the "Copy" option under the Edit Menu. Then, you can embed the animation in another OLE-compliant application. For example, you can embed ANSYS animation objects in Microsoft Word or Microsoft Excel.

Once an object is embedded on an application, you can just double-click on the object to start playing back your ANSYS animation sequence. To share your compound document with others, give them the Jobname.AVI file you created in ANSYS or DISPLAY plus a copy of the file containing the embedded animation sequence.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.5. The Stand Alone ANIMATE Program 		Up / Home Next
Chapter 16. External Graphics


Chapter 16. External Graphics

Besides creating and controlling graphics that you view directly in ANSYS, you can export the contents of the graphics window to either to a printer or to a graphics file. You can also generate a neutral graphics file (*.GRPH) and use the stand-alone DISPLAY program to view static or animated screen images, or to convert your file into the appropriate format for printing, plotting, or exporting to word processing or desktop publishing programs.

The following external graphics topics are available:

  • External Graphics Options
  • Creating a Neutral Graphics File
  • Using the DISPLAY Program to View and Translate Neutral Graphics Files
  • Obtaining Hardcopy Plots

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.6. Animation in the Windows Environment 		Up / Home Next
16.1. External Graphics Options


16.1. External Graphics Options

While in ANSYS, you can export the contents of the graphics window (full screen options are also available for some platforms), either to a printer or to a graphics file. The following topics are available:

  • Printing Graphics in Windows
  • Exporting Graphics in Windows
  • Printing Graphics in UNIX
  • Exporting Graphics in UNIX

16.1.1. Printing Graphics in Windows

In ANSYS, you can obtain hard copy output by choosing Utility Menu> PlotCtrls> Hard Copy. You then choose to print the contents of the graphics window, or to create an exportable graphics file. When the To Printer option is selected, the Windows printer dialog box for the designated printer is displayed. Printing options, including page layout, output resolution and document handling can be modified from this, system-controlled panel.

Printer spooling options are commonly used to free up the processor more quickly (especially in Z-buffered mode). In Type 4 or Polygon mode, spooling may cause some elements to not plot, or to be improperly placed. Select the Print Directly to Printer option when these types of printing problems are encountered.

16.1.2. Exporting Graphics in Windows

Selecting Utility Menu> PlotCtrls> Hard Copy and then the To File option displays the Graphics Hard Copy dialog box. This box provides a number of popular file export formats (BMP, EPS, JPEG, TIFF and PNG) along with limited page layout and configuration options. These formats allow you to export your output window (or full screen) contents into a large number of commercially available desk top publishing or presentation software applications. ANSYS JPEG software is based in part on the work of the Independent JPEG Group, Copyright 1998, Thomas G. Lane.

The PNG format is an extremely capable, portable file format that is gaining widespread acceptance in many computer applications, including the web. It is a lossless, true-color image format that minimizes the distortion, mottling and pallet limitations found on other formats, while still retaining excellent compression performance. ANSYS creates PNG files with the assistance of the following LIBPNG and ZLIB packages:

LIBPNG version 1.0.5 - October 1999

Copyright 1995, 1996, Guy Eric Schalnat, Group 42, Inc.

Copyright 1996, 1997 Andreas Dilger

Copyright 1998, 1999 Glenn Randers-Pehrson

ZLIB Version 1.1.3

Copyright 1995 - 1998 Jean Loup Gailly and Mark Adler.

You can also create exportable graphics by selecting Utility Menu> PlotCtrls> Redirect Plots. In addition to the page layout and configuration options found in the Graphics Hard Copy dialog box, this method provides additional position, resolution and scaling options. When you use this option, the output functions for most of these formats are controlled from within ANSYS, instead of by the operating system. This selection also provides HPGL (plotter) and VRML 3-D rendering output, along with screen dump and animation options.

Note

The Redirect Plots export defaults to raster mode, even if vector is the prescribed /DEVICE mode. Ensure that the checkbox in the dialog box is checked for the desired output.

You can also export Windows Metafiles directly from ANSYS (Windows systems only) by selecting Utility Menu> PlotCtrls> Write Metafile. The subsequent dialog boxes provide limited page layout and configuration options.

Because most of the export methods listed above use the system's video output to generate the file format, they will not work unless you are in interactive mode. If you are not in interactive mode, and you want to export any of the above graphics types, use the /SHOW command. This method allows you to generate output files when you run your analysis from a batch file. The Courier and Helvetica font files used for text output within the JPEG, PNG and TIFF batch outputs are not accessed from your operating system. Permission to use these files is granted by Adobe Systems, Inc. and Digital Equipment Corp. in association with these functions only.

16.1.3. Printing Graphics in UNIX

You can print to a post script printer from within ANSYS. Selecting Utility Menu> PlotCtrls> Hard Copy displays the PS Hard Copy dialog box. Print options, including page layout, reverse video and grey scale are available from this dialog box.

The Reverse Video option affects only the background of the display. The black background provided in the ANSYS graphics window is often unsuitable for printing. Selecting Reverse Video will present the graphics on a white background. Contour colors and other colors selected from the ANSYS palette are unaffected by this option.

16.1.4. Exporting Graphics in UNIX

The PS Hard Copy dialog box (Utility Menu> PlotCtrls> Hard Copy) also provides a number of file export formats (EPS, TIFF and JPEG) along with limited page layout options. These files can be used in various word processing and desktop publishing applications.

As in Windows, you must use the /SHOW command in order to generate file exports during batch runs.

To obtain additional export formats, choose Utility Menu> PlotCtrls> Redirect Plots. You can select from GRPH, PSCR, HPGL, HPGL2, JPEG, TIFF and VRML. These formats are suitable for a wide range of applications outside of the ANSYS program. Of special interest is the .GRPH file, a neutral graphics file that uses the ANSYS plotting instructions to recreate the file in applications other than ANSYS.

Note

The Redirect Plots export defaults to raster mode, even if vector is the prescribed /DEVICE mode. Ensure that the checkbox in the dialog box is checked for the desired output.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 16. External Graphics 		Up / Home Next
16.2. Creating a Neutral Graphics File


16.2. Creating a Neutral Graphics File

You can generate a neutral graphics file (*.GRPH) and use the stand-alone DISPLAY program to view static or animated screen images, or to convert your file into the appropriate format for printing, plotting, or exporting to word processing or desktop publishing programs.

The neutral graphics file is a ASCII text file containing the instructions required to produce a graphics display. You can view the displays stored on this file, using the DISPLAY program and the appropriate 2-D graphics driver, on any supported hardware platform. The neutral graphics file is not a bitmap format but an ASCII text format, which means the resolution of a display produced by the DISPLAY program usually will be better than that produced using the Utility Menu> PlotCtrls> Hard Copy.

To route your graphics displays to a neutral graphics file having any valid filename, use one of the choices shown below. (In batch mode, by default, the ANSYS program assigns this filename to Jobname.GRPH)

Command(s): | /SHOW
GUI: | Utility Menu> PlotCtrls> Device Options Utility Menu> PlotCtrls> Redirect Plots> To GRPH File Utility Menu> PlotCtrls> Redirect Plots> To Screen

Each subsequent graphics action command that you issue writes a separate display to this file. (Thus, a neutral graphics file can contain more than one display, with each display being sequentially numbered, beginning with 1.) You can use the ANSYS animation macros, which automatically generate a series of graphics action commands for animation purposes, to create multiple displays on your neutral graphics file. If you wish, you can reissue the /SHOW command with a graphics device name to direct subsequent displays to your terminal screen. This way, you can toggle back and forth between the screen and a file (which is appended, not overwritten) as many times as you wish.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.1. External Graphics Options 		Up / Home Next
16.3. Using the DISPLAY Program to View and Translate Neutral Graphics Files


16.3. Using the DISPLAY Program to View and Translate Neutral Graphics Files

After you have created a neutral graphics file, you can use the stand-alone DISPLAY program to view static or animated screen images, or to translate your file into the appropriate format for printing, plotting, or exporting to word processing and desktop publishing programs. The DISPLAY program creates images directly by using information from a .GRPH file created in a previous ANSYS session.

DISPLAY supports all UNIX screen devices and printers that the ANSYS program supports. It also supports Windows-compatible screen devices and printers and the following hard copy formats:

  • Hewlett-Packard Graphics Language (HPGLx)

  • PostScript (version 1.0 minimally conforming)

  • Metafile Format (WMF or EMF)

  • Interleaf ASCII Format (OPS Version 4.0)

  • ASCII Text Dump

16.3.1. Getting Started with the DISPLAY Program

The DISPLAY program runs independently from the ANSYS program. From Windows, click on the Start button and choose Programs>ANSYS 11.0> Display Utility. From a UNIX prompt, issue the command display110 or xdisplay110 for a GUI similar to the Windows DISPLAY program. You can specify any or all of the following commands options:

-j | Jobname
-d | Device_Type
-s | Read / Noread

These options function exactly as they do in the ANSYS program. The DISPLAY program does not support the memory (-m), database (-db), batch (-b), ANSYS menu (-g), language (-l), product (-p), version (-v), and parameter specification options.

DISPLAY does support the redirection of standard input and output. For example, in the C (csh) shell, the following statement is valid:

display110  -d  X11  -j  demo  <demo.dat>&  demo.out  &

To streamline your use of the DISPLAY program during presentations and demonstrations, you might want to create a start110.dsp file containing any valid DISPLAY commands that you would want to execute automatically at start-up. (Use an external text editor to create start110.DSP.)

The ANSYS program reads the first start110.dsp file it finds in the following search paths:

  • the working directory

  • your home directory

  • the ANSYS apdl directory

If you are running DISPLAY on a Windows System, instead of using a start110.dsp file, you can simply select a file.GRPH file from File Manager, drag it to the DISPLAY window, and drop it there.

16.3.2. Viewing Static Images on a Terminal Screen

Use the following procedure to view static displays on a screen with the DISPLAY program.

Note

The commands discussed in this section, unless otherwise noted, are DISPLAY commands, not ANSYS commands.

  1. Set up your DISPLAY session with the /SHOWDISP and (if desired) /CMAP or NOCOLOR commands. (You can include these commands in a start110.dsp file.)

  2. Using the FILEDISP command, direct the DISPLAY program to read the desired neutral graphics file. If you are using the DISPLAY and ANSYS programs simultaneously, make sure the neutral graphics file is first closed in ANSYS. That is, issue /SHOW,CLOSE (in ANSYS) before reading the file in DISPLAY.

  3. Specify terminal options with the TERM command. For screen display, you might be interested in setting the TERM,LOOP options (the number of loops, NLOOP, and the amount of time to pause between displays, PAUSE).

  4. Issue the PLOT command to cause specified displays to be formed. Recall that your graphics file can contain several different displays. You can call up specific displays by number, or you can instruct the program to display ALL plots found on your file.

  5. Issue FINISH to exit the DISPLAY program.

16.3.3. Viewing Animated Sequences on a Screen

The procedure for creating an animated display in the DISPLAY program is similar to that used in the ANSYS program. By executing /SEG and ANIM commands, you can display several frames in rapid succession to achieve an "animation" effect. (As in the ANSYS program, with the DISPLAY program you cannot use all hardware platforms to produce online animation.)

For the DISPLAY program, the Aviname and DELAY arguments of the /SEG command are ignored.

GUI menu paths to the /SEG and ANIM commands are:

Command(s): | /SEG, ANIM
GUI: | Utility Menu> PlotCtrls> Redirect Plots> Delete Segments Utility Menu> PlotCtrls> Redirect Plots> Segment Status Utility Menu> PlotCtrls> Redirect Plots> To Segment Memory (UNIX) Utility Menu> PlotCtrls> Redirect Plots> To Animation File (Windows)

The same comments regarding memory requirements for ANSYS animation also apply for the DISPLAY program. A typical command stream for animation would look like this:

/SEG,DELE          ! Deletes all currently stored segments
/SEG,MULTI         ! Stores subsequent displays in segment memory
PLOT,4,8,1         ! Plots #4 - #8 (5 frames total) are stored in segment
                   !     memory  (Use PLOT,ALL to include every plot)
/SEG,OFF           ! Turn off the frame-capture function
ANIM,10            ! Cycles through the five frames 10 times

16.3.4. Capturing Animated Sequences Offline

You can use the DISPLAY program to capture animation offline (on film or videotape) in much the same way as you would do for the ANSYS program. See "Animation" for a general discussion of this technique.

16.3.5. Exporting Files to Desktop Publishing or Word Processing Programs

You can use the DISPLAY program to translate ANSYS graphics files into Hewlett Packard Graphics Language (HPGL), Encapsulated PostScript (EPS), or some other external format, for possible use in outside desktop publishing and word processing programs. The Window's version of DISPLAY is also capable of exporting Metafile Graphics (WMF or EMF), in addition to the formats listed above. See your program's documentation for the particular format requirements.

16.3.5.1. Exporting Files on a UNIX System

To create such exportable graphics files, perform these tasks:

  1. Using the DISPLAY program, issue the FILEDISP command to direct the program to read the desired filename. With the /SHOWDISP command, identify which graphics format you desire (HPGL, POSTSCRIPT, INTERLEAF, etc.). The HPGL format includes color HPGL capability, and the POSTSCRIPT format includes Encapsulated Postscript by default.

  2. Still in the DISPLAY program, create one plot per file by typing PLOT,1, PLOT,2, ... etc. (or PLOT,ALL). The DISPLAY program will automatically assign an output filename.

  3. Exit the DISPLAY program (using the FINISH command) and enter the word processing program. Create a graphics box in the document at the size of your choice. (Square boxes are recommended to avoid clipping the ANSYS image.)

  4. Identify the appropriate file (for instance, PSCRnn.GRPH, HPGLnn.GRPH, etc.) and retrieve the image into the box. HPGL files will produce a screen image (bitmapped). You also can set up an EPS file to include a TIFF (Tagged Image File Format) bitmap or an Encapsulated PostScript Interchange Format (EPSI) bitmap for screen previewing. To do so, use the PSCR,TIFF and PSCR,EPSI command options within the DISPLAY program.

16.3.5.2. Exporting Files on a Windows System

The Windows version of DISPLAY provides direct METAFILE graphics export, in addition to the formats listed above. The system must be running in 32 bit mode ( XP or 2000, running win32 or win32C). If the system is operating in Z-buffered mode, it will automatically switch to polygon mode when the file export is requested. A Windows metafile is created and saved in the specified directory by performing the following tasks:

  1. From the FILE menu, select Export ANSYS Graphics.

  2. Select Metafile.

  3. To invert the colors of the graphic, choose the Controls option. The Standard Color option exports the ANSYS display file with a black background and the colors designated in the ANSYS program. The Invert WHITE/BLACK option will provide a white background, but still retain the original colors. Choose OK to continue.

  4. Select the name, location and type of metafile to be exported. The option for WMF or EMF is provided. Each file export is assigned the default filename file00.emf (or wmf), with the "00" field incrementing for each subsequent file export. Older Windows products do not support EMF files.

Windows Metafiles can be exported directly from ANSYS (Windows systems only) by selecting Utility Menu> PlotCtrls> Write Metafile. The subsequent dialog boxes provide the same options listed above.

Windows Metafiles cannot be obtained directly from the UNIX platform (ANSYS or DISPLAY). The DISPLAY utility for Windows must be installed, and the ANSYS graphics files must be exported to the Windows file system in order to be converted. DISPLAY for Windows is shipped with all ANSYS products. Contact your ASD for installation instructions.

16.3.6. Editing the Neutral Graphics File with the UNIX GUI

The UNIX GUI provides an edit dialog box to create a new neutral graphics file from a subset of plots in an existing file. You access this dialog box by choosing File > Edit Plot Sequence.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.2. Creating a Neutral Graphics File 		Up / Home Next
16.4. Obtaining Hardcopy Plots


16.4. Obtaining Hardcopy Plots

The DISPLAY program can generate hard copy through a number of external printer and plotter drivers, or by means of built-in terminal hardcopy capability.

16.4.1. Activating the Hardcopy Capability of Your Terminal on UNIX Systems

If your terminal has built-in hardcopy capability, you can execute /PCOPY (for HP work stations only) or TERM,COPY,NCOPY (in the DISPLAY program) to activate it. This option is available only during interactive sessions, with the /SHOWDISP specification active for terminals having hard copy capability.

16.4.2. Obtaining Hardcopy on External Devices Using the DISPLAY Program

The DISPLAY program supports a variety of printers and plotters via the HPGL, INTERLEAF, and POSTSCRIPT graphics drivers. To activate one of these drivers, first issue the appropriate /SHOWDISP command (such as /SHOWDISP,HPGL), and then set various driver options (using the HPGL, or PSCR commands, as appropriate). If you are using a pen plotter, the TRANS command will read the current neutral graphics file and will create a compressed and more efficient version of the file. Do not apply TRANS to files containing raster-mode hidden line displays, although TRANS will not adversely affect vector-mode hidden line displays.) Subsequent PLOT commands will create graphics files formatted for the desired device. The UNIX xdisplay110 GUI also provides a Postscript only Print dialog box.

16.4.3. Printing Graphics Displays on a Windows-Supported Printer

To produce hard copy versions of ANSYS graphics displays, use the ANSYS Hard Copy menu and the Print menu in the DISPLAY program.

When you are printing to a local (not shared) printer, follow these steps:

  1. Activate the Print Manager.

  2. Select the Properties Menu for the desired printer.

  3. Select the Details Menu.

  4. Select the option Print directly to ports.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.3. Using the DISPLAY Program to View and Translate Neutral Graphics Files 		Up / Home Next
Chapter 17. The Report Generator


Chapter 17. The Report Generator

The report generator allows you to capture graphical and numerical data at any time throughout the analysis process and then assemble an HTML-based report using the captured data.

To capture data, you can use the report generator interactively or in batch mode. To assemble a report using the captured data, you can use any of these tools:

  • The report generator itself (either interactively or in batch mode)

  • A third-party (external) HTML editor

  • Third-party (external) presentation software.

Using the report generator is a straightforward process, as follows:

  1. Start the report generator and specify a directory to store your data and report(s).

  2. Capture data (images, animations, tables and listings) that you want to include in your report.

  3. Assemble your report using the captured data.

The following topics concerning the report generator are available:

  • Starting the Report Generator
  • Capturing an Image
  • Capturing Animation
  • Capturing a Data Table
  • Capturing a Listing
  • Assembling a Report
  • Setting Report Generator Defaults

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.4. Obtaining Hardcopy Plots 		Up / Home Next
17.1. Starting the Report Generator


17.1. Starting the Report Generator

To start the report generator, select Utility Menu> File> Report Generator. Result: The ANSYS Report Generation window appears, as shown:

Figure 17.1 Report Generator GUI

The buttons activate the following functions (from left to right): Image Capture, Animation Capture, Table Capture, Listing Capture, Report Assembler, and Settings. When using the report generator, move the mouse pointer over any button to see a description of that button's function.

17.1.1. Specifying a Location for Captured Data and Reports

Your captured data, and any reports that you assemble, reside in a directory that you specify when you start the report generator. The default directory is jobname_report.

If the directory that you specify does not exist, the report generator creates it (after prompting you to approve the new directory). If the directory already exists, you have the option to append (add) captured data to any existing data in the directory or to overwrite (erase) the contents of the directory and start over.

When you specify a directory for your data and reports, the report generator writes this command to the ANSYS log file:

~eui,'ansys::report::setdirectory directory'

17.1.2. Understanding the Behavior of the ANSYS Graphics Window

The report generator constrains image size to accommodate most printers and paper sizes. When you start the report generator, it resizes the ANSYS Graphics window to obtain the optimum image size.

Note

After starting the report generator, do not adjust the size of the ANSYS Graphics window; otherwise, unpredictable results may occur.

To further facilitate printing, the image foreground changes to black and the background changes to white. (You can modify the report generator's settings to prevent the default color change. For more information, see Setting Report Generator Defaults.)

When you close the report generator, it restores the ANSYS Graphics window's original size and color scheme.

17.1.3. A Note About the Graphics File Format

The report generator uses the Portable Network Graphics (PNG) format to store images. PNG files are small and suffer from little or no color loss. Fast becoming a standard, the PNG format enjoys support by many popular software products including Microsoft Internet Explorer™, Netscape Navigator™, Microsoft PowerPoint™ and Microsoft Word™.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 17. The Report Generator 		Up / Home Next
17.2. Capturing an Image


17.2. Capturing an Image

This section describes how to capture and store a still image, either interactively or within a batch run.

The report generator saves images to the images subdirectory of your specified report directory. The name of each file is imagen.png, where n is a sequential numeric identifier beginning at 1 and incrementing as you capture additional images.

17.2.1. Interactive

Follow these steps to capture a still image using the report generator GUI:

  1. Click on the Image Capture button.

    Result: The Image Capture dialog appears.

  2. Specify a caption for the captured image (for example, “Pentagonal Prism”).

    The caption can contain APDL parameters in the format %parm%. (Specify “%%” if you want to display the “%” character in your caption.)

  3. Click on the OK button.

    Result: The report generator issues this report command to the ANSYS program and saves the image to your report directory:

    ~eui,'ansys::report::imagecapture "caption"'

17.2.2. Batch

The following line must appear near the beginning of your batch code before any report commands:

~eui,'package require ansys'

To capture a still image via a batch run, insert this report command at the point in the run where you want to capture an image:

~eui,'ansys::report::imagecapture "caption"'

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
17.1. Starting the Report Generator 		Up / Home Next
17.3. Capturing Animation


17.3. Capturing Animation

This section describes how to capture and store an animation sequence, either interactively or within a batch run. (Animation capture is possible only in postprocessing after issuing a SET command.)

The report generator saves all individual image files comprising an animation sequence to a subdirectory (of your specified report directory) named animseq_n, where n is a sequential numeric identifier beginning at 1 and incrementing as you capture additional animations. The functions for accessing the animation reside in ansysAnimations.js, a JavaScript file in the report directory.

17.3.1. Interactive

Follow these steps to capture an animation sequence using the report generator GUI:

  1. Click on the Animation Capture button.

    Result: The Animation Capture dialog appears.

  2. Specify a caption for the captured animation (for example, “Prism Deformed Shape Animation Result").

    The caption can contain APDL parameters in the format %parm%. (Specify “%%” if you want to display the “%” character in your caption.)

  3. Specify the type of animation sequence to capture (such as mode shape, deformed shape, etc.) as applicable.

  4. Click on the OK button.

    Result: The report generator issues this report command to the ANSYS program:

    ~eui,'ansys::report::animcapture "caption"'
    Also, the animation settings window associated with the animation type you selected (for example, Animate Mode Shape or Animate Deformed Shape) appears.

  5. Modify the animation settings or accept the default settings, then click on the OK button.

    Result: The report generator saves the animation sequence.

17.3.2. Batch

The following line must appear near the beginning of your batch code before any report commands:

~eui,'package require ansys'

To capture an animation sequence via a batch run via a batch run, insert this report command at the point in the run where you want to capture an animation:

~eui,'ansys::report::animcapture "caption"'

Follow the report command with an ANSYS animation command (for example, ANTIME or ANDATA).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
17.2. Capturing an Image 		Up / Home Next
17.4. Capturing a Data Table


17.4. Capturing a Data Table

This section describes how to capture and store a data table, either interactively or within a batch run.

The report generator appends captured table data to ansysTables.js, a file in your specified report directory containing the JavaScript functions for accessing your table data. (The file contains code to generate HTML as well as comments that hold the table information in a tab-delimited form, allowing you to paste the table data into software other than an HTML document.) The report generator assigns the name table_n to each captured table, where n is a sequential numeric identifier beginning at 1 and incrementing as you capture additional tables.

17.4.1. Interactive

Follow these steps to capture a data table using the report generator GUI:

  1. Click on the Table Capture button.

    Result: The Table Capture dialog appears.

  2. Specify a caption for the captured animation (for example, “Prism Material Properties Table").

    The caption can contain APDL parameters in the format %parm%. (Specify “%%” if you want to display the “%” character in your caption.)

  3. Select a predefined table type from the list. (The report generator filters the list of available table types based on the current analysis.)

    If you select the “Material properties” table type, specify the currently defined materials via the Material Selection field.

    Note

    ANSYS does not display a material property which has no value associated with it.

    If you select the Custom Table option, specify the table size (that is, the number of columns and rows) via the Custom Table Size field.

  4. Click on the OK button.

    Result: The report generator saves your captured table data. However, if you have selected the Custom Table option, see Creating a Custom Table.

17.4.1.1. Creating a Custom Table

If you are creating a custom table, the Custom Table Definition dialog appears after you click on the Table Capture dialog's OK button. The dialog contains an empty table of the dimensions that you specified. For example, assuming that you specified a table of three columns and four rows, the dialog looks like this:

Figure 17.2 Custom Table Definition

Type your custom information, which can include the following valid entries, into each cell:

Valid entry type | Example
Text | Maximum Deflection
Text with HTML tags | Maximum Stress [Kg/mm<SUP>2</SUP>]
An ANSYS *GET command | *get,,node,10,u,y
An ANSYS *GET command with HTML tags | {<B><I>} {*get,,node,10,u,y} {</I></B>} Important: The “{” and “}” characters are necessary for parsing purposes.

After typing entries into each cell, click on the Write button to save your custom table.

17.4.2. Batch

The following line must appear near the beginning of your batch code before any report commands:

~eui,'package require ansys'

To capture a data table via a batch run, insert this report command at the point in the run where you want to capture the table:

~eui,'ansys::report::tablecapture "caption" tableID materialID materialName'

The tableID value is a table identifier representing one of the following predefined table types:

Table ID | Description
1 | Creates a table of the finite element entities used in the analysis
2 | Creates a table of properties for the requested material ID used in the analysis
3 | Creates a table of the loads applied in the analysis
4 | Reaction Forces
5 | Reaction Moments
6 | Max Displacements
7 | Directional Stress
8 | Shear Stress
9 | Principal Stress
10 | Equivalent Stress and Stress Intensity
11 | Thermal Gradients
12 | Thermal Flux
13 | Thermal Temperatures
14 | Natural Frequencies
15 | Rotation
16 | Temperature
17 | Pressure
18 | Electric Potential
19 | Fluid Velocity
20 | Current
21 | Electromotive Force Drop
22 | Turbulent Kinetic Energy
23 | Turbulent Energy Dissipation
24 | Component Total Strain
25 | Shear Total Strain
26 | Principal Total Strain
27 | Total Strain Intensity and Total Equivalent Strain
28 | Component Elastic Strain
29 | Shear Elastic Strain
30 | Principal Elastic Strain
31 | Elastic Strain Intensity and Elastic Equivalent Strain
32 | Component Plastic Strain
33 | Shear Plastic Strain
34 | Principal Elastic Strain
35 | Plastic Strain Intensity and Plastic Equivalent Strain
36 | Component Creep Strain
37 | Shear Creep Strain
38 | Principal Creep Strain
39 | Creep Strain Intensity and Creep Equivalent Strain
40 | Component Thermal Strain
41 | Shear Thermal Strain
42 | Principal Thermal Strain
43 | Thermal Strain Intensity and Thermal Equivalent Strain
44 | Component Pressure Gradient and Sum
45 | Component Electric Field and Sum
46 | Component Electric Flux Density and Sum
47 | Component Magnetic Field Intensity and Sum
48 | Component Magnetic Flux Density and Sum

If tableID is 2 (Material Properties), two additional arguments are required:

  • materialID -- Corresponds to an ANSYS material ID

  • materialName -- The name of the material for the current table.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
17.3. Capturing Animation 		Up / Home Next
17.5. Capturing a Listing


17.5. Capturing a Listing

This section describes how to capture the results of an ANSYS command, either interactively or within a batch run.

The report generator appends listing data to ansysListings.js, a file in your specified report directory containing the JavaScript functions for accessing the listing. (The file contains code to generate HTML as well as comments that hold the list information, allowing you to paste the listing into software other than an HTML document.) The report generator assigns the name listing_n to each captured listing, where n is a sequential numeric identifier beginning at 1 and incrementing as you capture additional listings.

If you intend to use a captured listing in an HTML report (assembled using either the report generator or a third-party HTML tool), be aware that HTML sizes the text smaller if its width is greater than 132 columns; however, all text associated with the listing may still not fit on a printed page.

17.5.1. Interactive

Follow these steps to capture a listing using the report generator GUI:

  1. Click on the Listing Capture button.

    Result: The Listing Data Capture dialog appears.

  2. Specify a caption for the listing (for example, “Prism Model Area Listing”).

  3. Specify the ANSYS command to issue to generate the output text.

  4. Click on the OK button.

    Result: The report generator issues this report command to the ANSYS program and saves the listing:

    ~eui,'ansys::report::datacapture "caption" ansysCommand'

17.5.2. Batch

The following line must appear near the beginning of your batch code before any report commands:

~eui,'package require ansys'

To capture a listing via a batch run, insert this report command at the point in the run where you want to capture a listing:

~eui,'ansys::report::datacapture "caption" ansysCommand'

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
17.4. Capturing a Data Table 		Up / Home Next
17.6. Assembling a Report


17.6. Assembling a Report

This section describes how to assemble your captured image and text data into a report interactively, within a batch run, or manually using the JavaScript interface.

17.6.1. Interactive Report Assembly

Follow these steps to assemble your report using the report generator GUI:

  1. Click on the HTML Report Assembler button.

    Result: The HTML Report Assembler window appears, as shown:

    Figure 17.3 HTML Report Assembler Window

    Click on the buttons and thumbnail images in the left panel to add components to your report. The larger panel on the right is your work area, displaying the components that you have chosen to include in the report.

  2. Assemble the components of your report.

    Click on the buttons and thumbnail images in the left panel to add your captured images and text, and other components, as follows:

    Button or Field | Purpose
    TEXT | Inserts a text area allowing you to type HTML-formatted text into your report.
    HTML FILE | Inserts a specified existing HTML file.
    IMAGE | Inserts a specified image file (in PNG, JPG, JPEG or GIF format). The report assembler copies the image to your specified report directory and inserts a thumbnail image in the work-area panel.
    DYNAMIC DATA | Inserts a text area allowing you to type ANSYS commands, the results of which appear in your report. The dynamic data becomes part of the HTML code written to the ANSYS log file. The report generator also writes the ansys::report::interpdynamicdata command to the log file; the command must process the HTML code in order for the results of the ANSYS command(s) to appear in your report.
    REPORT HEADING | Inserts a specified title, author name and subtitle, and includes the current date. The heading component always appears at the top of your report.
    REPORT IMAGES | Inserts any or all of your captured images and animations. Move the mouse pointer over a thumbnail to see the caption that you assigned to the corresponding image or animation when you captured it. Click on any thumbnail image to insert the image or animation that it represents into your report.
    REPORT TABLES | Inserts a captured data table. A button appearing in this field is labeled with the first 15 characters of the caption that you assigned to the corresponding table when you captured it. Move the mouse pointer over a button to see the caption that you assigned to the corresponding table when you captured it. Click on a button to insert the table that it represents into your report.
    REPORT LISTS | Inserts a captured raw-data output listing. A button appearing in this field is labeled with the first 15 characters of the caption that you assigned to the corresponding listing when you captured it. Move the mouse pointer over a thumbnail to see the caption that you assigned to the corresponding listing when you captured it. Click on a button to insert the listing that it represents into your report.

  3. Preview and clean up your report, as follows:

    To perform this editing task ... | Do this:
    Preview your report Click on this button in the toolbar:

    Delete a report component Select (click on) the component that you want to delete, then click on this button in the toolbar:

    Change the order of the report components Select (click on) the component that you want to move. Click on either of these buttons to move the component up or down, respectively:

    Note

    If your report contains a heading, it remains fixed at the top of the report.

    Change the caption of a report component | Click on the caption field that you want to change to place the cursor within the text. Type your changes directly into the field.
    Prevent Microsoft Internet Explorer (IE) from splitting a component between two pages during printing | Check the box labeled Insert page break for Microsoft IE for the appropriate component. This feature is especially useful after you have printed an initial draft of your report from within IE and determined how your printed report looks.

  4. Save your work.

    Select File> Save periodically (or File> Save and Close to save your report and close the report assembler window).

17.6.2. Batch Report Assembly

Issue the *CREATE command in batch mode to open and append HTML tags to your report file. By default, the report assembler uses the *CREATE command to write the report to the ANSYS log file.

17.6.3. Report Assembly Using the JavaScript Interface

For maximum flexibility and usefulness, the report generator employs JavaScript, a coding language for Web browsers supported by Microsoft Internet Explorer™ and Netscape Navigator™. JavaScript allows easy encapsulation of data and access to that data.

The report generator creates JavaScript functions (in form) as you capture image and text data. Therefore, rather than using the report generator's built-in report assembler, you can use the JavaScript functions to manually assemble your HTML-based report.

17.6.3.1. Inserting an Image

The following example JavaScript code creates an image in the HTML report that you are assembling. If the specified image is not available, your report will contain a message indicating the problem.

<script LANGUAGE="JavaScript1.2" SRC="ansysImages.js"> </script>
<script>
imgName('imgCaption');
</script>

Following is an explanation of the JavaScript code:

<script LANGUAGE="JavaScript1.2" SRC="ansysImages.js"> </script>

Loads the ansysImages.js file to provide the images. You must include this line of code at least once in your HTML document and before calling the imgName function. Typically, this line appears in the <HEAD> section of an HTML document.

<script>

The HTML tag to begin JavaScript code.

imgName

A unique image name as it appears in the ansysImages.js file.

imgCaption

The caption to display for the image. This value is a string and must be enclosed in single quotation marks. It can include HTML tags around the text as well. If not specified, the function uses the default image caption.

</script>

The HTML tag to end JavaScript code.

17.6.3.2. Inserting an Animation

The following example JavaScript code creates an animation sequence in the HTML report that you are assembling. If the specified animation is not available, your report will contain a message indicating the problem.

<script LANGUAGE="JavaScript1.2" SRC="ansysAnimations.js"> </script>
<script>
animName('animCaption',animTime, 'animDirect');
</script>

Following is an explanation of the JavaScript code:

<script LANGUAGE="JavaScript1.2" SRC="ansysAnimations.js"> </script>

Loads the ansysAnimations.js file to provide the animation sequences. You must include this line of code at least once in your HTML document and before calling the animName function. Typically, this line appears in the <HEAD> section of an HTML document.

<script>

The HTML tag to begin JavaScript code.

animName

A unique animation name as it appears in the ansysAnimations.js file.

animCaption

The caption to display for the animation sequence. This value is a string and must be enclosed in single quotation marks. It can include HTML tags around the text as well. If not specified, the function uses the default animation caption.

animTime

The time delay (in milliseconds) between each display of an individual image in the animation sequence. This value is limited by the capabilities of your computer hardware; therefore, a value lower than 500 typically has little effect on the animation. If not specified, the function assumes the default value of 500.

animDirect

The direction of play, as follows:

forward

After displaying the last individual image of the animation sequence, the function repeats the animation from the beginning (that is, starting with the first image and incrementing).

back

After displaying the last individual image of the animation sequence, the function repeats the animation in the opposite direction (that is, starting with the prior image and decrementing). After displaying the first image again, the animation repeats in the forward direction.

If not specified, the function assumes the default value of back.

</script>

The HTML tag to end JavaScript code.

17.6.3.3. Inserting a Data Table

The following example JavaScript code creates a data table in the HTML report that you are assembling. If the specified table is not available, your report will contain a message indicating the problem.

<script LANGUAGE="JavaScript1.2" SRC="ansysTables.js"> </script>
<script>
tableName('tableCaption');
</script>

Following is an explanation of the JavaScript code:

<script LANGUAGE="JavaScript1.2" SRC="ansysTables.js"> </script>

Loads the ansysTables.js file to provide the data table. You must include this line of code at least once in your HTML document and before calling the tableName function. Typically, this line appears in the <HEAD> section of an HTML document.

<script>

The HTML tag to begin JavaScript code.

tableName

A unique data table name as it appears in the ansysTables.js file.

tableCaption

The caption to display for the table. This value is a string and must be enclosed in single quotation marks. It can include HTML tags around the text as well. If not specified, the function uses the default table caption.

</script>

The HTML tag to end JavaScript code.

17.6.3.4. Inserting a Listing

The following example JavaScript code creates an ANSYS output listing in the HTML report that you are assembling. If the specified listing is not available, your report will contain a message indicating the problem.

<script LANGUAGE="JavaScript1.2" SRC="ansysListings.js"> </script>
<script>
listingName('listingCaption');
</script>

Following is an explanation of the JavaScript code:

<script LANGUAGE="JavaScript1.2" SRC="ansysListings.js"> </script>

Loads the ansysListings.js file to provide the listing. You must include this line of code at least once in your HTML document and before calling the listingName function. Typically, this line appears in the <HEAD> section of an HTML document.

<script>

The HTML tag to begin JavaScript code.

listingName

A unique listing name as it appears in the ansysListings.js file.

listingCaption

The caption to display for the listing. This value is a string and must be enclosed in single quotation marks. It can include HTML tags around the text as well. If not specified, the function uses the default listing caption.

</script>

The HTML tag to end JavaScript code.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
17.5. Capturing a Listing 		Up / Home Next
17.7. Setting Report Generator Defaults


17.7. Setting Report Generator Defaults

This section describes how to change settings affecting report generator operation. Click on the Settings button to open the Settings dialog, as shown:

Figure 17.4 Report Generator Settings Dialog

You can control whether or not the report generator:

  • Reverses the foreground and background colors in the ANSYS Graphics window (and hides the background image) when you start the report generator

  • Writes capture commands to the ANSYS log file

  • Writes your assembled report to the ANSYS log file.

You can also use the Settings dialog to set the percentage value that the report generator uses to reduce image sizes for animations.

By default, all options are activated (that is, all check boxes contain check marks) and the report generator uses an image size of 100 percent of the ANSYS Graphics window size for animations. Any changes that you make in the settings window become the new defaults for subsequent report generator sessions until you change them again.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
17.6. Assembling a Report 		Up / Home Next
Chapter 18. File Management and Files


Chapter 18. File Management and Files

The ANSYS program uses many permanent and temporary files during an analysis. The following file-management topics are available to help you understand how ANSYS handles files and what you can do to customize and manage files:

  • File Management Overview
  • Changing the Default File Name
  • Sending Output to Screens, Files, or Both
  • Text Versus Binary Files
  • Reading Your Own Files into the ANSYS Program
  • Writing Your Own ANSYS Files from the ANSYS Program
  • Assigning Different File Names
  • Reviewing Contents of Binary Files (AUX2)
  • Operating on Results Files (AUX3)
  • Other File Management Commands

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
17.7. Setting Report Generator Defaults 		Up / Home Next
18.1. File Management Overview


18.1. File Management Overview

The ANSYS program uses files extensively for data storage and retrieval, especially when solving an analysis. The files are named filename.ext, where filename defaults to the jobname, and ext is a unique two- to four-character value that identifies the contents of the file. The jobname is a name you can specify when entering the ANSYS program via the /FILNAME command (Utility Menu> File> Change Jobname). If you specify no jobname, it defaults to FILE (or file).

File names (both jobname and extension) may appear in lowercase on some systems. For example, if the jobname is bolt, you may have files at the end of an ANSYS analysis which could include:

bolt.db | Database file
bolt.emat | Element matrices
bolt.err | Error and warning messages
bolt.log | Command input history
bolt.rst | Results file

Table 18.1: "Temporary Files Written by the ANSYS Program" and Table 18.2: "Permanent Files Written by the ANSYS Program" show a list of files written by the ANSYS program. Files that are generated and then deleted sometime before the end of the ANSYS session are called temporary files (Table 18.1: "Temporary Files Written by the ANSYS Program"). Files that remain after the ANSYS session are called permanent files (Table 18.2: "Permanent Files Written by the ANSYS Program").

18.1.1. Executing the Run Interactive Now or DISPLAY Programs from Windows Explorer

If you are running ANSYS on a Windows system, you can double-click on the following types of files from the Windows Explorer to execute the Run Interactive Now or DISPLAY programs:

  • Double-click on a .db or .dbb file to execute the Run Interactive Now program. When executed in this way, ANSYS will use the Initial jobname, Total Workspace (-m), and Database (-db) values previously set in the Interactive dialog box. To change these settings, access the Interactive dialog box (select Interactive from the ANSYS folder), change the settings as desired, and click on Close.

  • Double-click on a .grph or .f33 file to execute the DISPLAY program. The first plot that appears in the file will be loaded into DISPLAY automatically.

For more information about the Interactive dialog box, see the Operations Guide. For more information about the DISPLAY program, see Using the DISPLAY Program to View and Translate Neutral Graphics Files in the Basic Analysis Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 18. File Management and Files 		Up / Home Next
18.2. Changing the Default File Name


18.2. Changing the Default File Name

When you activate the ANSYS program, you can change the default jobname from file or FILE to a name that is more meaningful. To do so, activate the program as follows:

ansys110 -j newjobname

The value -j (or -J) is an option indicating that a new jobname, newjobname, follows. Once this command executes, all ANSYS files produced during this run will have a filename of newjobname.ext.

Note

If an ANSYS job is running in the background, do not execute the ANSYS program interactively in the same directory unless you use a different jobname.

ANSYS can process blanks in file and directory names. Be sure the file name is enclosed in a pair of single quotes if a blank appears in the file name. Note that many UNIX commands do not support object names with blank spaces.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
18.1. File Management Overview 		Up / Home Next
18.3. Sending Output to Screens, Files, or Both


18.3. Sending Output to Screens, Files, or Both

One of the files commonly referred to throughout the ANSYS documentation set is the output file (Jobname.OUT). If you are running on a UNIX system and you want to send ANSYS output only to the screen, open the launcher via the launcher110 command. Then select the Preferences tab and select Screen Only for the Send Output To option. The output "file" will be your ANSYS output window. If you choose Screen and File, then an actual text file called Jobname.OUT will also be written in your current working directory.

Note

When you launch ANSYS from the launcher and direct output to both screen and file, ANSYS will not immediately display output in the output window. The I/O buffer must be filled or flushed first. Errors and warnings will flush the I/O buffer. You can also issue certain commands (e.g., /OUTPUT, NLIST, or KLIST) to force flush the I/O buffer.

Windows systems do not support the Screen and File option. The default behavior is to print output to the output window. You can redirect your text output to a file by using the /OUTPUT command.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
18.2. Changing the Default File Name 		Up / Home Next
18.4. Text Versus Binary Files


18.4. Text Versus Binary Files

Depending on how files are used, the program writes them in text (ASCII) form or binary form. For example, ERR and LOG files are text, while DB, EMAT, and RST files are binary. In general, files that you may need to read (and edit) are written in text form, and all other files are written in binary form.

All binary files are external type files. External binary files are transportable between different computer systems.

Below are some tips for using binary files:

  • When transferring files via FTP (File Transfer Protocol), you must set the BINARY option before doing the transfer.

  • Most ANSYS binary files must have write permission to be used, even if the data is only being read from the file. However, the database files (file.DB) and results files (file.RST, file.RTH, etc.) can be read-only. When you save a read-only file.DB, the existing read-only file is saved to a file.DBB. However, you cannot save the read-only file.DB a second time, because it will attempt to write over the file.DBB, which ANSYS will not allow.

Warning

Binary files are not backward-compatible with previous releases of the ANSYS program. For example, you cannot use binary files produced by ANSYS 11.0 with release ANSYS 5.7 or earlier. Attempting to use binary files from later releases with an earlier release can cause serious operating problems in ANSYS. For a list of the files that are upwardly compatible, see Table 18.2: "Permanent Files Written by the ANSYS Program".

18.4.1. ANSYS Binary Files over NFS

You can access ANSYS binary files (for example, file.TRI, file.DB, file.RST) from NFS-mounted disk partitions. However, this usage is discouraged because heavy network traffic may result. Also, network traffic may cause NFS errors, which in turn can cause the ANSYS program to read or write an ANSYS binary file incorrectly.

18.4.2. Files that ANSYS Writes

The following tables list the files that ANSYS writes.

Table 18.1 Temporary Files Written by the ANSYS Program

Identifier | Type | Contents
ANO | Text | Graphics annotation commands [/ANNOT]
BAT | Text | Input data copied from batch input file [/BATCH]
DOn | Text | Do-loop commands for nesting level n
DSCR | Binary | Scratch file (ANTYPE=2, Modal Analysis)
DSPxx | Binary | Scratch files for the distributed sparse solver
EROT | Binary | Rotated element matrices
LOCK | Binary | Prevents more than one ANSYS job with the same name from running in the same directory
LSCR | Binary | Scratch file (ANTYPE=4, Mode Superposition)
LV | Binary | Scratch file from substructure generation pass with more than one load vector.
LNxx | Binary | Scratch files for the sparse solver (x = 1-32)
MASS | Binary | Compressed mass matrix for modal analysis (subspace method)
MMX | Binary | Work matrix for modal analysis (subspace method)
PAGE | Binary | Page file for ANSYS virtual memory (database space)
PCn | Binary | Scratch file for PCG solver (n = 1 to 10)
SCR | Binary | Scratch file for Jacobi Conjugate Gradient solver
SSCR | Binary | Scratch file from substructure generation pass

Many of the permanent ANSYS files are upwardly compatible. Files that generally can be used by future releases of ANSYS have a Y in the Upward column.

Table 18.2 Permanent Files Written by the ANSYS Program

Identifier | Type | Upward | Contents
ANF | Text | - | ANSYS Neutral Format file, written by default by ANSYS after a connection import [1]
BCS | Text | - | Stores performance information when running the sparse solver
BDB | Binary | - | Database for best design (optimization) [OPKEEP]
BFIN | Text | - | Interpolated body forces written as BF commands [BFINT]
BRFL | Binary | - | FLOTRAN results file for best design (optimization) [OPKEEP]
BRMG | Binary | - | Magnetic results file for best design (optimization) [OPKEEP]
BRST | Binary | - | Structural results file for best design (optimization) [OPKEEP]
BRTH | Binary | - | Thermal results file for best design (optimization) [OPKEEP]
CBDO | Text | - | Interpolated DOF data written as D Commands [CBDOF]
CDB | Text | Y | Text database file [CDWRITE]
CMAP | Text | - | Color map file
CMD | Text | Y | Commands written by *CFWRITE
CND | Text | Y | Nonlinear diagnostics file that tracks contact quantities throughout the solution [NLDIAG]
CMS | Binary | Y | Component Mode Synthesis file
DB | Binary | Y | Database file [SAVE, /EXIT]
DBB | Binary | Y | Copy of database file created when a nonlinear analysis terminates abnormally (used for traditional restart)
DBE | Binary | - | Database file from VMESH failure in batch mode
DBG | Text | - | FLOTRAN "debug" file (contains solution information)
DSUB | Binary | Y | Superelement DOF solution from use pass
ELEM | Text | Y | Element definitions [EWRITE]
EMAT | Binary | Y | Element matrices
ERR | Text | - | Error and warning messages
ESAV | Binary | Y | Element saved data ESAV files created by nonlinear analyses may not be upwardly compatible
FATG | Text | - | Fatigue data [FTWRITE]
FULL | Binary | - | Assembled global stiffness and mass matrices
GRPH | Text | Y | Neutral graphics file
IGES | Text | Y | IGES file from ANSYS solid model data [IGESOUT]
LDHI | Text | Y | Loading and boundary conditions of load steps (used for multiframe restart)
LGW | Text | Y | Database command log file [LGWRITE]
Lnn | Binary | Y | Load case file (where nn = load case number) [LCWRITE]
LOG | Text | Y | Command input history
LOOP | Text | - | Optimization looping file
MCF | Text | Y | Modal coordinates from harmonic or transient analysis
MCOM | Text | Y | Mode combination commands from spectrum analysis
Mnnn | Binary | Y | Modal displacements, velocities, and accelerations records and solution commands for a single substep of a load step (used for multiframe restart of a mode superposition transient analysis)
MODE | Binary | Y | Modal matrices (modal or buckling analysis)
MP | Text | Y | Material property definitions [MPWRITE]
NLH | Text | Y | Nonlinear diagnostics file that tracks results or contact quantities throughout the solution [NLHIST]
NODE | Text | Y | Node definitions [NWRITE]
NR | Binary | Y | Stores Newton-Raphson iteration information when the nonlinear diagnostic tool is active [NLDIAG,NRRE,ON]
OPO | Text | - | ANSYS output for last optimization loop
OPT | Text | - | Optimization data
OSAV | Binary | - | Copy of ESAV file from last converged substep
OUT | Text | - | ANSYS output file
PARM | Text | Y | Parameter definitions [PARSAV]
PCS | Text | - | Stores performance information when running the PCG solver
PFL | Text | - | FLOTRAN printout file
PSD | Binary | - | PSD file (modal covariance matrices, etc.)
PVTS | Text | - | Stores pivot information when running the default sparse solver
RCN | Binary | Y | Results file for initial contact state
RDB | Binary | Y | State of the database at the start of the first substep of the first load step (used for multiframe restart)
RDF | Text | - | FLOTRAN residual file [FLDATA,OUTP]
RDSP | Binary | - | Reduced displacements
REDM | Binary | - | Reduced structure matrix
RFL | Binary | Y | FLOTRAN results file
RFRQ | Binary | - | Reduced complex displacements
RMG | Binary | Y | Results file from magnetic field analysis
RMODE | Binary | Y | Calculated residual vectors from a modal analysis.
Rnnn | Binary | Y | Element saved records, solution commands, and status for a single substep of a load step (used for multiframe restart of static and full transient analyses)
RST | Binary | Y | Results file from structural and coupled-field analyses
RSW | Text | - | FLOTRAN "wall" results file
RTH | Binary | Y | Results file from thermal analysis
RUN | Text | - | FLOTRAN run data
SELD | Binary | Y | Superelement load vector data from generation pass
Snn | Text | Y | Load step files (where nn = load step number) [LSWRITE]
SORD | Text | - | Superelement name and number from use pass
STAT | Text | - | Status of an ANSYS batch run
SUB | Binary | Y | Superelement matrix file from generation pass
TB | Text | Y | Hyperelastic material constants
TRI | Binary | - | Triangularized stiffness matrix
USUB | Binary | Y | Renamed DSUB File for input to substructure expansion pass
XBC | Text | - | FLOTRAN boundary condition data (ANSYS to FLOTRAN)
XGM | Text | - | FLOTRAN geometry data (ANSYS to FLOTRAN)
XIC | Text | - | FLOTRAN initial condition data (ANSYS to FLOTRAN)

  1. For more information about the files produced by a connection import, see the ANSYS Connection User's Guide.

18.4.3. File Compression

Many file compression utilities exist for UNIX (e.g., compress, gzip) and Windows (e.g., PKzip, WinZip). ANSYS cannot read compressed files. However, you can compress ANSYS models to save space when archiving, so long as you uncompress the models before trying to read them into ANSYS.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
18.3. Sending Output to Screens, Files, or Both 		Up / Home Next
18.5. Reading Your Own Files into the ANSYS Program


18.5. Reading Your Own Files into the ANSYS Program

In many situations, you will need to read in your own files while using the ANSYS program. The file may be a text file of ANSYS commands or a binary file of ANSYS data.

Use the /INPUT command (Utility Menu> File> Read Input from) to read in a text file containing ANSYS commands. For instance, you can read in the log file (Jobname.LOG) from a previous ANSYS session. For example, the following command causes the ANSYS program to read the file MATERIAL.INP from the current directory.

/INPUT,MATERIAL,INP

Table 18.3: "Commands for Reading in Text Files" lists other commands that you can use to read in text files.

Table 18.3 Commands for Reading in Text Files

Command | GUI Menu Path | Purpose
*USE | Utility Menu> Macro> Execute Data Block | Reads in macros
PARRES | Utility Menu> Parameters> Restore Parameters | Reads in parameters (Jobname.PARM) files
EREAD | Main Menu> Preprocessor> Modeling> Create> Elements> Read Elem File | Reads in element (Jobname.ELEM) files
NREAD | Main Menu> Preprocessor> Modeling> Create> Nodes> Read Node File | Reads in node (Jobname.NODE) files
MPREAD
Main Menu> Preprocessor> Loads> Load Step Opts> Other> Change Mat Props> Read from File
Main Menu> Preprocessor> Material Props> Read from File
Main Menu> Solution> Load Step Opts> Other> Change Mat Props> Read from File
Reads in material property (Jobname.MP) files
ISFILE | Main Menu> Solution> Load Step Opts> Initial Stress> Read IS File | Reads in initial stress (Jobname.IST) files

Table 18.4: "Commands for Reading in Binary Files" lists GUI paths or commands you can use to read in binary data files.

Table 18.4 Commands for Reading in Binary Files

Command | GUI Menu Path | Purpose
RESUME | Utility Menu> File> Resume from Utility Menu> File> Resume Jobname.DB | Reads in database (Jobname.DB) files
SET[1] | Utility Menu> List> Results> Load Step Summary | Reads in results files (Jobname.RST, Jobname.RTH, Jobname.RMG, Jobname.RFL)
OPRESU[2] | Main Menu> Design Opt> Opt Database> Resume | Reads in the optimization data file (Jobname.OPT)

  1. in the POST1 postprocessor

  2. in the OPT postprocessor

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
18.4. Text Versus Binary Files 		Up / Home Next
18.6. Writing Your Own ANSYS Files from the ANSYS Program


18.6. Writing Your Own ANSYS Files from the ANSYS Program

Besides the files that the ANSYS program automatically writes during an analysis, you can also force files to be written as necessary. A commonly used file-write command is /OUTPUT, which allows you to redirect text output from the screen to a file. For example, to redirect POST1 stress printout to a file, the commands would be:

/OUTPUT,STRESS,OUT! Output to file STRESS.OUT
PRNSOL,COMP! Component stresses
/OUTPUT! Output back to screen

GUI equivalents for the /OUTPUT command are:

GUI:
Utility Menu> File> Switch Output to> File
Utility Menu> File> Switch Output to> Output Window

Table 18.5: "Other Commands for Writing Files" lists other file-write commands used during an analysis are:

Table 18.5 Other Commands for Writing Files

Command | GUI Menu Path | Purpose
SAVE | Utility Menu> File> Save as | Writes the database to Jobname.DB
PARSAV | Utility Menu> Parameters> Save Parameters | Writes parameters to Jobname.PARM
EWRITE | Main Menu> Preprocessor> Modeling> Create> Elements> Write Elem File | Writes element definitions to Jobname.ELEM
NWRITE | Main Menu> Preprocessor> Modeling> Create> Nodes> Write Node File | Writes node definitions to Jobname.NODE
MPWRITE | Main Menu> Preprocessor> Loads> Other> Change Mat Props> Write to File Main Menu> Preprocessor> Material Props> Write to File Main Menu> Solution> Load Step Options> Other> Change Mat Props> Write to File | Writes material properties to Jobname.MP

You can also redirect graphics output (plots) from the screen to a neutral graphics file.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
18.5. Reading Your Own Files into the ANSYS Program 		Up / Home Next
18.7. Assigning Different File Names


18.7. Assigning Different File Names

As mentioned earlier, you can use the /FILNAME command at the Begin level to assign a jobname for all subsequently written files. Use the /ASSIGN command (Utility Menu> File> ANSYS File Options) to assign a different name, extension, and directory to a file. For example, the following command reassigns the element matrix file (identifier EMAT) to MYFILE.DAT in the "save_dir" directory:

/ASSIGN,EMAT,MYFILE,DAT,SAVE_DIR/

The "/" is a delimiter that separates the directory name from the file name. It is system-dependent, so you must use the delimiter(s) appropriate for your system. You can assign only a specific set of files. Refer to the /ASSIGN command description (in the Commands Reference) for the complete list.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
18.6. Writing Your Own ANSYS Files from the ANSYS Program 		Up / Home Next
18.8. Reviewing Contents of Binary Files (AUX2)


18.8. Reviewing Contents of Binary Files (AUX2)

The auxiliary processor AUX2 allows you to print ANSYS binary files in readable format. Use it mainly to verify file formats (for debugging purposes). The output from a "dumped" binary file is unlabeled and must be correlated with known formats documented in the Guide to Interfacing with ANSYS. Be aware, though, that a complete file dump may produce many pages of unnecessary printout. The Format argument on the FORM command (Utility Menu> File> List> Binary Files) allows you to control the amount of output.

Use HBMAT to dump any matrix written on the assembled global matrix file (.FULL file) or the superelement matrix file (.SUB file). This matrix is written to a new file (.MATRIX) in the standard Harwell-Boeing format.

Note

The Harwell-Boeing format is column-oriented. That is, non-zero matrix values are stored with their corresponding row indices in a sequence of columns. However, since the ANSYS matrix files are stored by row and not column, when the HBMAT command is used with a non-symmetric matrix, the transpose of the matrix is, in fact, written.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
18.7. Assigning Different File Names 		Up / Home Next
18.9. Operating on Results Files (AUX3)


18.9. Operating on Results Files (AUX3)

The auxiliary processor AUX3 allows you to operate on results files by deleting sets or by changing values such as the load step, load substep, cumulative iteration, or time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
18.8. Reviewing Contents of Binary Files (AUX2) 		Up / Home Next
18.10. Other File Management Commands


18.10. Other File Management Commands

Table 18.6: "Additional File Management Commands and GUI Equivalents" lists other useful file management commands.

Table 18.6 Additional File Management Commands and GUI Equivalents

Command | GUI Path | Purpose
/COPY | Utility Menu> File> File Operations> Copy | Copy existing binary files from within ANSYS
/CLOG | None | Copy the log file during an interactive ANSYS session
/RENAME | Utility Menu> File> File Operations> Rename | Rename files
/DELETE | Utility Menu> File> File Operations> Delete | Delete files
/FDELE | Utility Menu> File> ANSYS File Options | Delete certain files during a solution run (to save disk space)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
18.9. Operating on Results Files (AUX3) 		Up / Home Next
Chapter 19. Memory Management and Configuration


Chapter 19. Memory Management and Configuration

The amount of physical memory (RAM) available on your computer is called real memory. The minimum amount of real memory recommended for the ANSYS program varies from system to system and is listed in your ANSYS, Inc. Installation Guide. It is helpful to understand the ANSYS memory-management scheme and some frequently used terms concerning computer memory.

The following memory-management topics are available:

  • ANSYS Work and Swap Space Requirements
  • How ANSYS Uses its Work Space
  • How and When to Perform Memory Management
  • Using the Configuration File
  • Understanding ANSYS Memory Error Messages

To learn how to improve the performance of the ANSYS program, see "Using Shared-Memory ANSYS" in the Advanced Analysis Techniques Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
18.10. Other File Management Commands 		Up / Home Next
19.1. ANSYS Work and Swap Space Requirements


19.1. ANSYS Work and Swap Space Requirements

The ANSYS program requires some space to reside in memory, plus additional work space. The ANSYS work space defaults to 1 GB (1024 MB) for 64-bit machines, and 512 MB for 32-bit machines (Linux and Windows). As shown in Figure 19.1: "Comparing Available Memory", the total memory required for the ANSYS program usually exceeds the amount of real memory available. The additional memory comes from system virtual memory, which is simply a portion of the computer's hard disk used by the system to supplement physical memory. The disk space used for system virtual memory is called swap space, and the file is called the swap file. On some systems it is referred to as a page file. Other systems maintain multiple files, or even dedicated disk sectors to act as virtual memory. The amount of swap space required for the ANSYS program depends on the amount of real memory available, the size of the ANSYS executable, and the amount of ANSYS work space.

Figure 19.1 Comparing Available Memory

System virtual memory is used to satisfy additional ANSYS memory requirements.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 19. Memory Management and Configuration 		Up / Home Next
19.2. How ANSYS Uses its Work Space


19.2. How ANSYS Uses its Work Space

To understand how ANSYS uses its work space (the shaded portion in Figure 19.1: "Comparing Available Memory"), you need to understand its two components: database space and scratch space, as shown in Figure 19.2: "ANSYS Work Space". Database space is used to work with the ANSYS database (model geometry, material properties, loads, etc.). Scratch space is where all internal calculations are done - element matrix formulation, equation solution, Boolean calculations, and so on. The default total work space for 64-bit machines is 1 GB (1024 MB), of which 512 MB are assigned to database space, and 512 MB are assigned to scratch space. For 32-bit machines, the default work space is 512 MB, of which 256 MB are assigned to database space, and 256 MB are assigned to scratch space. (Part of the scratch space stores binary file buffers; see the description of NUM_BUFR later in this chapter.)

Figure 19.2 ANSYS Work Space

If your model database is too big to fit in the database space, the ANSYS program uses ANSYS virtual memory, which is, again, a portion of the hard disk used for data overflow. The main difference between system virtual memory and ANSYS virtual memory is that the former uses system functions to swap data between memory and disk, whereas the latter uses ANSYS programming instructions. The file used for ANSYS virtual memory is called the page file and has the name Jobname.PAGE. Its size depends entirely on the size of the database. When the page file is first written, the program issues a message to that effect. Use of the page file is not desirable because it is a less efficient way of processing data. You may be able to prevent it by allocating more database space (discussed in How and When to Perform Memory Management).

If internal calculations can't fit in the scratch space, the ANSYS program will attempt to allocate additional memory to meet these requirements. If this occurs, you will see an alert message informing you that the problem has grown beyond the specified memory allocation and that ANSYS has allocated additional memory.

In general, you should have enough real physical memory to comfortably run an ANSYS job. If you are using extra memory beyond physical memory only temporarily (such as for meshing or equation reordering), the performance impact from using virtual memory will be small. However, in a situation such as the matrix storage for the PCG solver exceeding physical memory, the performance can be as much as ten times slower for the solve command.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
19.1. ANSYS Work and Swap Space Requirements 		Up / Home Next
19.3. How and When to Perform Memory Management


19.3. How and When to Perform Memory Management

Normally, there is no need to concern yourself with memory-management issues in ANSYS. The ANSYS memory manager can allocate extra memory from the system when it needs to in almost all cases.

The following sections provide guidance as to when it is likely that you will need to use the -m command line option.

  • Allocating Memory to ANSYS Manually
  • Changing the Amount of ANSYS Work Space
  • Changing Database Space From the Default

19.3.1. Allocating Memory to ANSYS Manually

The -m command line option allows you to manually set the size of the initial block of memory used by ANSYS. Memory allocated via the -m option exists in two contiguous blocks. For example, a -m setting of 1800 with a -db option of 300 instructs ANSYS to first allocate a 300 MB contiguous block of memory for the database and then to allocate a 1500 MB contiguous block of scratch memory (1800 - 300 = 1500).

The current ANSYS default for all 64-bit systems is -m = 1024 and -db = 512. For 32-bit Windows and Linux systems, the defaults are -m = 512 and -db = 256. Ideally, all ANSYS memory will be allocated from within the initial block, allowing efficient reuse of memory blocks during various phases of simulation. When ANSYS needs more memory, it will allocate from the system, automatically growing new blocks that are half the size of the initial scratch memory block or the size of the new memory block allocation, whichever is larger. Changing the default memory settings is only necessary when a job is failing due to insufficient memory that may be caused by fragmented memory.

For example, if a large model requires a contiguous block of 800 MB for the sparse solver, the default memory allocation will be insufficient (-m 1024 MB minus -db 512 MB = 512 MB contiguous memory). ANSYS would try to allocate an additional 800 MB block of contiguous memory to satisfy the sparse solver requirement, bringing the total memory requirement to 1800 MB (1024 default plus 800 additional). This memory requirement may fail on smaller systems, especially 32-bit Windows systems. To accomodate this model within the default memory availability, specify a -db 100, resulting in an initial memory block of 924 MB, which is sufficient to satisfy the sparse solver requirement of 800 MB.

Special Considerations for 32-bit Windows Systems

On a 32-bit Windows system, the total addressable space is limited to 2 GB, or 3 GB if the /3GB switch is used (see the ANSYS, Inc. Windows Installation Guide for information on setting the /3GB switch). When ANSYS starts, different items compete for space within this limited address space, including the ANSYS program itself, various shared libraries (or dynamic link libraries) required to run ANSYS, and other shared libraries required by the operating system. All of these items must reside within the process space given to the ANSYS program. If one or more of these items resides in the middle of the virtual address space given to the ANSYS process, it splits the memory that ANSYS sees into smaller pieces. The exact size allowed on each system depends on the specific operating system and on other system software installed.

It is a good practice to determine experimentally the maximum possible -m setting for a given system. Using a command window, start ANSYS with different -m settings and a fixed -db setting to determine the limit. You should operate well within this limit in most cases. On most 32-bit Windows systems, you should not try for larger than -m 1200 and -db 256. Often for 32-bit Windows systems, the best memory strategy is to start with a small initial memory block (50 MB larger than -db ) and let ANSYS grow memory as needed in smaller pieces. This strategy is the default memory allocation in ANSYS Workbench and works most effectively for jobs that use the PCG solver. However, this strategy is not suitable for large models that use the sparse solver, block Lanczos method, or harmonic analyses where large contiguous blocks of memory are required in one or more places. In these cases, using a large initial memory allocation while minimizing the amount of memory allocated for database is usually the optimal strategy.

19.3.2. Changing the Amount of ANSYS Work Space

The easiest way to do this is to use the work space entry option (-m) while activating the program, either via the ANSYS launcher or via the ANSYS execution command. For example, to request 400 MB of ANSYS work space (instead of the default of 1 GB for 64-bit machines or 512 MB for 32-bit machines), the ANSYS execution command would read:

ansys110 -m 400

(The execution command syntax is system-dependent.)

When you use the -m option, system virtual memory is allocated at run time to achieve the work space requested.

Other ways to change the maximum ANSYS work space are:

  • Specifying the work space size you want on the dialog boxes that appear when you select interactive mode or batch mode from the ANSYS launcher.

  • Using a different VIRTM_MB value in your config110.ans file. A later section in this chapter discusses this file in detail.

Caution

Be careful when specifying a value for the -m option. Entering an amount larger than needed will waste system resources and degrade system performance.

By changing the amount of ANSYS work space, you are in effect changing the available scratch space. This is because the database space is held constant at 512 MB for 64-bit machines or 256 MB for 32-bit machines (as illustrated in the following figure).

Figure 19.3 Changing ANSYS Work Space

Only scratch space is changed, and database space is held constant.

The following list describes situations in which you may need to change ANSYS work space:

  • Boolean operations among several volumes (for example, VADD,ALL). You need more scratch space in such a case. This is an example where a large memory space may be needed temporarily and may be satisfied from system virtual memory.

  • Several users sharing one ANSYS installation (such as in a training class). Because all users share the available memory (real memory plus system virtual memory), having less ANSYS work space requested by each user would allow more users to run simultaneously (with correspondingly smaller model sizes available for each user).

  • Some analyses and analysis options require more work space, including subspace modal analysis, random vibration (PSD) analysis, etc. In the case that such an analysis is right at the limit of physical memory, you should conserve memory by reducing database memory. In cases where you are running up to the physical limits of the machine, increase the initial memory block given to ANSYS in order to maximize the possibility of memory reuse within the ANSYS runs.

  • Large wavefronts. The larger the wavefront of your model, the more scratch space needed. This guideline is only true for frontal solver jobs. Most jobs in ANSYS no longer use the frontal solver.

Most solvers in ANSYS now use approximately 1 GB of memory per million degrees of freedom (DOFs). If models are dominated by 2-D or shell elements, the memory requirement will be lower; if they are dominated by 3-D higher-order brick elements, the memory requirement will be higher. The sparse solver will run larger jobs in out-of-core mode and will require disk space of approximately 10 GB per million DOFs. The disk memory requirement varies in the same increasing manner for shell 2-D models versus solid 3-D models. If the solver memory estimate far exceeds the default memory for ANSYS, try increasing the initial memory allocation for ANSYS.

19.3.3. Changing Database Space From the Default

This is done by requesting more or less database space. Given a fixed amount of ANSYS work space, allocating more database space leaves less for scratch space and vice versa, as illustrated in the following figure.

Figure 19.4 Dividing Work Space

Allocating more database space leaves less for scratch space, and vice versa.

To allocate more or less database space, use the database space entry option (-db) while starting up the program, either on the ANSYS launcher or on the ANSYS execution command. Although all of the above diagrams correspond to a -m value of 512 MB, their -db values correspond to 256, 128 and 384 MB, respectively.

You may need to divide work space differently in these situations:

  • When you are about to solve a large-wavefront model or a computationally intensive analysis such as a subspace modal analysis or random vibration (PSD) analysis. By reducing the amount of database space, you will increase the scratch space, allowing more memory for solution.

  • When you see the message about the page file (Jobname.PAGE) being written. This means that the database space is too small for your model, so you should increase it. Be aware, though, that increasing the database space decreases scratch space, so you also may want to increase total work space if you plan to do memory-intensive operations (Boolean operations, load case combinations, etc.).

  • For large jobs with memory requirements close to your system's limits, run the solution phase as a batch job with minimal -db space (usually 64 MB). Before post-processing, increase the -db and resume the jobname.db file and run interactively.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
19.2. How ANSYS Uses its Work Space 		Up / Home Next
19.4. Using the Configuration File


19.4. Using the Configuration File

When you execute the ANSYS program, it reads a configuration file, config110.ans, if one exists. This file controls system-dependent settings such as the size of each file buffer, maximum number of database pages in memory, etc. On computer systems that support mixed-case file names, such as UNIX systems, the file name is assumed to be in lower case: config110.ans.

ANSYS searches for the config110.ans file first in the current (working) directory, next in the login (home) directory, and finally in the ANSYS /apdl directory. The search path for config110.ans is identical to the start110.ans and stop110.ans files.

The configuration file is a fixed-format file, consisting of a list of keywords followed by an equal (=) sign and a number. The keyword must begin in column 1, the equal sign must be in column 9, and the number must begin in column 10. A sample config110.ans file is shown next, followed by a brief explanation of each of the keywords.

Sample config110.ans File

NUMRESLT=1000
NO_RSTGM=1
NO_ELDBW=0
NUM_BUFR=2
SIZE_BIO=4096
VIRTM_MB=512
NUM_VPAG=128
SIZ_VPAG=16384
NUM_DPAG=8192
MEM_GROW=12
LOCALFIL=0
CONTACTS=1000
ORDERER_=2
MX_NODES=5000
MX_ELEMS=2000
MX_KEYPT=500
MX_LINES=1000
MX_AREAS=300
MX_VOLUS=200
MX_REALS=10
MX_COUPS=10
MX_CEQNS=10
FILESPLT=128

Note

Since many of the values for config110.ans are dependent on the system being used, a range of values for each keyword is provided. Note that on most computer systems, 1 integer word = 4 bytes.

NUMRESLT is the maximum number of result sets (substeps) allowed on the results file: 10 minimum. It defaults to 1000 and can be changed at the Begin level with the /CONFIG,NRES command.

NO_RSTGM is a key that determines whether or not the geometry data will be written to the results file: 0 (write the data) or 1 (do not write the data). This is especially useful for large, complex analyses where the results file would become excessively large during the solution.

NO_ELDBW is a key that determines whether or not to write results into the database after a solution. When VALUE = 0, write results into the database. When VALUE=1, do not write results into the database. It defaults to 0 and can be changed at the Begin level with the /CONFIG,NOELDB command.

NUM_BUFR is the number of buffers per file stored in scratch space: 1 to 32. A buffer is a chunk of space used to "hold" data in memory before they are written to the hard disk. The program waits for the buffer to be completely "filled up" and only then "empties" it onto the hard disk. This prevents frequent disk input-output activity, which can be time consuming.

NUM_BUFR defaults to 4 and can be changed at the Begin level with the /CONFIG,NBUF command. It is used for the EROT, ESAV, EMAT, FULL, and TRI files. On systems with a large amount of real memory, you can increase NUM_BUFR or SIZE_BIO (or both) to keep ANSYS solution files in memory rather than on disk. This can save a significant amount of disk input-output activity and may be practical for small problems with many substeps.

SIZE_BIO is the size of each file buffer: 1024 to 4194304 integer words (4 KB to 16 MB). It defaults to 16384 and can be changed (on most systems) at the Begin level with the /CONFIG,SZBIO command. See NUM_BUFR for details.

VIRTM_MB is the amount of total ANSYS work space requested for the current ANSYS session. It defaults to 1 GB (1024 MB) for 64-bit machines or 512 MB for 32-bit machines; it can be changed with the work space entry option, as explained in the basic concepts section earlier in this chapter. (See Figure 19.5: "Memory Diagram in Terms of Configuration Keywords".) You can also use VIRT_MEM in place of VIRTM_MB to specify the ANSYS work space in integer words.

NUM_VPAG is the maximum number of database pages in memory, ranging from 16 to 8192. The default value is 8192 for 64-bit machines or 4096 for 32-bit machines. You can change NUM_VPAG or SIZ_VPAG (or both) to change the amount of database space; see How and When to Perform Memory Management in this chapter, and Figure 19.5: "Memory Diagram in Terms of Configuration Keywords".

Figure 19.5 Memory Diagram in Terms of Configuration Keywords

SIZ_VPAG is the size of each database page: 4096 to 4194304 integer words (16 KB to 16 MB), defaults to 16384 (64 KB). You can change SIZ_VPAG or NUM_VPAG (or both) to change the amount of database space. SIZ_VPAG also affects the size of the page file; see NUM_DPAG.

NUM_DPAG is the number of database pages on disk: NUM_DPAG defaults to 1048572 (the maximum). This number times SIZ_VPAG determines the maximum size of the page file (Jobname.PAGE), which is written only if the database becomes too large to fit in the database space in memory. If the page file is written, sufficient disk space must be available to accommodate it, or the program will abort.

MEM_GROW is the starting size of the memory block (in MB) that ANSYS will attempt to allocate should a problem grow larger than will fit in the current scratch space allocation. If ANSYS attempts to allocate additional scratch space, it will start with a memory block size equal to MEM_GROW and then reduce this by halves until it can allocate additional memory. If not specified, MEM_GROW defaults to one-half the initial scratch space. To turn off dynamic memory allocation (use a fixed-memory model), set MEM_GROW=0.

LOCALFIL is a key that determines when files are to be closed: 0 (globally closed) or 1 (locally closed). It defaults to 0 (globally closed) and can be changed at the Begin level with the /CONFIG,LOCFL command. This key is applicable only to the EROT, ESAV, EMAT, FULL, and TRI files. Locally closed files (LOCALFIL=1) may be deleted earlier during solution if requested with the /FDELE command. This may be helpful while running large problems. Globally closed files are closed at the end of the run and are not opened and closed each substep. This saves time in analyses with many substeps.

CONTACTS is the number of contact elements that are expected to be in contact at any given time. It defaults to 1000 and can be changed at the Begin level with the /CONFIG,NCONT command. This is not the same as the total number of contact elements in the model.

ORDERER_ is a key that determines the automatic element reordering scheme: 0 (WSORT,ALL), 1 (WAVES), or 2 (both). It defaults to 2 and can be changed at the Begin level with the /CONFIG,ORDER command.

Any of the following nine keywords that you do not specify is set to 100 the first time ANSYS encounters it. Whenever the current maximum is exceeded, the keyword value automatically doubles. The maximum values are dynamically expanded, even at first encounter.

  • MX_NODES is the maximum number of nodes. You can change the value (on most systems) at the Begin level with the /CONFIG,MXND command.

  • MX_ELEMS is the maximum number of elements. You can change the value (on most systems) at the Begin level with the /CONFIG,MXEL command.

  • MX_KEYPT is the maximum number of keypoints. You can change the value (on most systems) at the Begin level with the /CONFIG,MXKP command.

  • MX_LINES is the maximum number of lines. You can change the value (on most systems) at the Begin level with the /CONFIG,MXLS command.

  • MX_AREAS is the maximum number of areas. You can change the value (on most systems) at the Begin level with the /CONFIG,MXAR command.

  • MX_VOLUS is the maximum number of volumes. You can change the value (on most systems) at the Begin level with the /CONFIG,MXVL command.

  • MX_REALS is the maximum number of sets of real constants (element attributes). You can change the value (on most systems) at the Begin level with the /CONFIG,MXRL command.

  • MX_COUPS is the maximum number of sets of coupled degrees of freedom. You can change the value (on most systems) at the Begin level with the /CONFIG,MXCP command.

  • MX_CEQNS is the maximum number of constraint equations. You can change the value (on most systems) at the Begin level with the /CONFIG,FMXCE command.

FILESPLT is the integer value indicating the file split point in megawords. A megaword is 1024*1024 4-byte words, or 4 MB. All files that are eligible for splitting will be split into a new file every increment of xxxx megawords (where xxxx is the value specified with this keyword). You can change the value (on most systems) at the Begin level with the /CONFIG,FSPLIT command. See Splitting Files Across File Partitions in the Operations Guide for more information on splitting files.

You can change many of the configuration settings at program start-up using ANSYS entry options, at the Begin level with the /CONFIG command, or with other ANSYS commands. In most cases, therefore, there is no need to create your own config110.ans file. Also, the default settings for each computer system have been chosen for efficient running of typical models on typical system configurations. Change them only for atypical models or atypical systems.

Note for Distributed ANSYS. Distributed ANSYS sets NO_ELDBW = 1 and NO_RSTGM = 1 and uses the default FSPLIT value. The NO_ELDBW, NO_RSTGM, and FSPLIT options cannot be changed when using Distributed ANSYS.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
19.3. How and When to Perform Memory Management 		Up / Home Next
19.5. Understanding ANSYS Memory Error Messages


19.5. Understanding ANSYS Memory Error Messages

This model requires more scratch space than available. ANSYS has currently allocated YY MB and was not able to allocate enough additional memory in order to proceed. Please increase the virtual memory on your system, and/or increase the work space memory and rerun ANSYS. Problem terminated.

(Sparse or Block Lanczos solvers only): There is not enough memory for the <Sparse or Block Lanczos> solver to proceed. Please increase the virtual memory on your system and/or increase the work space memory and re-run ANSYS. Memory currently allocated for the <Sparse or Block Lanczos> solver = YY MB.

(Sparse or Block Lanczos solvers only): There is not enough memory for the <Sparse or Block Lanczos> solver to proceed. Please increase the virtual memory on your system and/or increase the work space memory and re-run ANSYS. Memory currently allocated for the <Sparse or Block Lanczos> solver = YY MB. Memory currently required for the <Sparse or Block Lanczos> solver to continue = YYY MB.

(Distributed Sparse solver only): There is not enough memory for the Distributed Sparse solver to proceed. Please increase the virtual memory on your system and/or increase the work space memory and re-run ANSYS. Memory currently allocated by ANSYS = YY MB. Memory allocation attempted = YYY MB. Largest block of ANSYS memory available for the Distributed Sparse solver = YYYY MB.

The messages listed above may occur while you are running ANSYS.

This message appears when you are running ANSYS in dynamic memory mode and ANSYS has attempted to allocate additional memory, but it failed because it could not find a large enough "chunk" of memory to proceed.

On either 32-bit or 64-bit systems, specifying a higher -m value on the ANSYS execution command and executing ANSYS again may help. However, if a large enough chunk of memory is still unavailable, changing the -m value will not help. You can also try decreasing the database size to help free up more workspace, allowing you to continue with the analysis. On 64-bit systems, increasing the system virtual memory may help. Try increasing the system virtual memory so that the physical memory (i.e., RAM) plus the virtual memory comfortably exceeds the memory available at the failure point (shown in the error message).

For more information, see Memory Management and Configuration in the Basic Analysis Guide.

The memory (-m) size requested is not currently available. Reenter ANSYS command line with less memory requested.

The database (-db) space requested is not currently available. Reenter ANSYS command line with less database space requested.

Either of these messages may occur at ANSYS startup.

The memory used by ANSYS resides within the system virtual memory. The required system virtual memory for the amount of memory that you requested for either the workspace (-m) or database space (-db) for ANSYS (via either the ANSYS command line or the configuration file) is not currently available. Request less workspace or database space if possible and execute the ANSYS program again. If the initial requested memory is required, then wait until sufficient system virtual memory is free and try again.

Another alternative is to increase the system's virtual memory (use the System icon in the Control Panel on Windows).

Windows 32-bit systems are limited to a maximum workspace or database size of around 2 GB; however, in practice, you often get less than that (e.g., 1400-1500 MB) due to system DLLs fragmenting the memory address space available to ANSYS. This fragmentation decreases the size of the biggest contiguous block of memory available to ANSYS. Thus, on Windows 32-bit systems, closing other programs to increase the system virtual memory or increasing the system virtual memory manually will not resolve this error. The only solution is to decrease the workspace or database size, or both.

The memory (-m) size requested cannot currently be addressed using dynamic memory mode. ANSYS addressing can be changed by turning on fixed memory via the -f command line option.

This message may occur at ANSYS startup.

Include the -f command line option on the ANSYS execution command to remedy the problem.

For more information, see Memory Management and Configuration in the Basic Analysis Guide.

This model requires more scratch space than ANSYS can address in dynamic memory mode. ANSYS addressing can be changed by turning on fixed memory via the -f command line option. Problem terminated.

This message may occur while you are running ANSYS.

Include the -f command line option on the ANSYS execution command to remedy the problem.

For more information, see Memory Management and Configuration in the Basic Analysis Guide.

This model requires more scratch space than available, currently XX words (YY MB). The scratch space may be increased by increasing the work space, currently XX words (YY MB), via the ANSYS command line memory option. Problem terminated.

This message may occur while you are running ANSYS.

If you are running ANSYS in dynamic memory mode and the internal calculations that ANSYS is trying to perform cannot fit in the scratch space, the ANSYS program will attempt to allocate additional memory to meet the requirements. However, this message may still appear if:

  • Some portions of ANSYS cannot use the additional memory that was allocated or allocate the memory when it is needed. The processing that ANSYS was trying to perform when this message appeared took place in one of these portions.

  • You used the -f command line switch so that ANSYS would use a fixed-mode memory addressing scheme. Thus, no dynamic memory allocation is allowed.

If you receive this message, specify a higher -m value on the ANSYS execution command or change your -f command line option and execute ANSYS again.

For more information, see Memory Management and Configuration in the Basic Analysis Guide.

Problem too large. Matrix wavefront of M rows exceeds allowed N.

You have exceeded the maximum wavefront allowed on the version of ANSYS that you are authorized to run. Contact your ANSYS Support Distributor (ASD) for licensing information.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
19.4. Using the Configuration File 		Up / Home Next
Advanced Analysis Techniques Guide


Advanced Analysis Techniques Guide

Release 11.0 Documentation for ANSYS

Table of Contents

1. Design Optimization
1.1. Getting Started with Design Optimization
1.1.1. Design Optimization Terminology
1.1.2. Information Flow for an Optimization Analysis
1.2. Optimizing a Design
1.2.1. Create the Analysis File
1.2.2. Establish Parameters for Optimization
1.2.3. Enter OPT and Specify the Analysis File
1.2.4. Declare Optimization Variables
1.2.5. Choose Optimization Tool or Method
1.2.6. Specify Optimization Looping Controls
1.2.7. Initiate Optimization Analysis
1.2.8. Review Design Sets Data
1.3. Multiple Optimization Executions
1.3.1. Restarting an Optimization Analysis
1.4. Optimization Methods
1.4.1. Subproblem Approximation Method
1.4.2. First Order Method
1.4.3. Random Design Generation
1.4.4. Using the Sweep Tool
1.4.5. Using the Factorial Tool
1.4.6. Using the Gradient Evaluation Tool
1.5. Guidelines for Choosing Optimization Variables
1.5.1. Choosing Design Variables
1.5.2. Choosing State Variables
1.5.3. Choosing the Objective Function
1.6. Hints for Performing Design Optimization
1.6.1. Generating the Analysis File
1.6.2. Fixing Design Variable Values After Execution
1.6.3. Modifying the Optimization Variables After Execution
1.6.4. Local Versus Global Minimum
1.6.5. Minimum Weight Versus Minimum Volume
1.6.6. Mesh Density
1.6.7. Using Substructures
1.7. Sample Optimization Analysis
1.7.1. Problem Description
1.7.2. Problem Specifications
1.7.3. Using a Batch File for the Analysis
1.7.4. Using the GUI for the Analysis
1.7.5. Where to Find Other Examples
2. Topological Optimization
2.1. Understanding Topological Optimization
2.2. Employing Topological Optimization
2.2.1. Define the Structural Problem
2.2.2. Select the Element Types
2.2.3. Specify Optimized and Non-Optimized Regions
2.2.4. Define and Control Your Load Cases or Frequency Extraction
2.2.5. Define and Control the Optimization Process
2.2.6. Review the Results
2.3. A 2-D Multiple-Load Case Optimization Example
2.3.1. Problem Description - First Scenario
2.3.2. Problem Results -- First Scenario
2.3.3. Problem Description -- Second Scenario
2.3.4. Problem Results - Second Scenario
2.4. A 2-D Natural Frequency Maximization Example
2.4.1. Problem Description
2.4.2. Problem Results
2.5. Hints and Comments
2.6. Limitations
3. Probabilistic Design
3.1. Understanding Probabilistic Design
3.1.1. Traditional (Deterministic) vs. Probabilistic Design Analysis Methods
3.1.2. Reliability and Quality Issues
3.2. Probabilistic Design Terminology
3.3. Employing Probabilistic Design
3.3.1. Create the Analysis File
3.3.2. Establish Parameters for Probabilistic Design Analysis
3.3.3. Enter the PDS and Specify the Analysis File
3.3.4. Declare Random Input Variables
3.3.5. Visualize Random Input Variables
3.3.6. Specify Correlations Between Random Variables
3.3.7. Specify Random Output Parameters
3.3.8. Choose a Probabilistic Design Method
3.3.9. Execute Probabilistic Analysis Simulation Loops
3.3.10. Fit and Use Response Surfaces
3.3.11. Review Results Data
3.4. Guidelines for Selecting Probabilistic Design Variables
3.4.1. Choosing and Defining Random Input Variables
3.4.2. Choosing Random Output Parameters
3.5. Probabilistic Design Techniques
3.5.1. Monte Carlo Simulations
3.5.2. Response Surface Analysis Methods
3.6. Postprocessing Probabilistic Analysis Results
3.6.1. Statistical Post-Processing
3.6.2. Trend Postprocessing
3.6.3. Generating an HTML Report
3.7. Multiple Probabilistic Design Executions
3.7.1. Saving the Probabilistic Design Database
3.7.2. Restarting a Probabilistic Design Analysis
3.7.3. Clearing the Probabilistic Design Database
3.8. Sample Probabilistic Design Analysis
3.8.1. Problem Description
3.8.2. Problem Specifications
3.8.3. Using a Batch File for the Analysis
3.8.4. Using the GUI for the PDS Analysis
4. Variational Technology
4.1. Understanding Variational Technology for Parametric Studies
4.2. ANSYS DesignXplorer
4.2.1. What is ANSYS DesignXplorer
4.2.2. Systems Support
4.2.3. Basic Operation
4.2.4. Element Support
4.2.5. Limitations
4.2.6. Complete Discrete Analysis Example
4.2.7. Shell Thickness Example
4.2.8. ANSYS Mesh Morpher Example
4.2.9. Troubleshooting
4.3. Harmonic Sweep Using VT Accelerator
4.3.1. Elements Supporting Frequency-Dependent Property Structural Elements
4.3.2. Harmonic Sweep for High-Frequency Electromagnetic Problems
4.3.3. Harmonic Sweep for Structural Analysis with Frequency-Dependent Material Properties
4.3.4. Limitations
5. Adaptive Meshing
5.1. Prerequisites for Adaptive Meshing
5.2. Employing Adaptive Meshing
5.3. Modifying the Adaptive Meshing Process
5.3.1. Selective Adaptivity
5.3.2. Customizing the ADAPT Macro with User Subroutines
5.3.3. Customizing the ADAPT Macro (UADAPT.MAC)
5.4. Adaptive Meshing Hints and Comments
5.5. Where to Find Examples
6. Manual Rezoning
6.1. When to Use Rezoning
6.2. Rezoning Requirements
6.3. The Rezoning Process
6.4. Selecting the Substep to Initiate Rezoning
6.5. Remeshing
6.5.1. Selecting a Region to Remesh
6.5.2. Mesh Control
6.5.3. Contact Boundaries, Loads, and Boundary Conditions
6.6. Mapping Variables and Balancing Residuals
6.6.1. Mapping Solution Variables
6.6.2. Balancing Residual Forces
6.6.3. Continuing the Solution
6.6.4. Interpreting Mapped Results
6.6.5. Handling Convergence Difficulties
6.7. Repeating the Rezoning Process if Necessary
6.7.1. File Structures for Repeated Rezonings
6.8. Multiframe Restart After Rezoning
6.9. Postprocessing Rezoning Results
6.9.1. The Database Postprocessor
6.9.2. The Time-History Postprocessor
6.10. Rezoning Limitations and Restrictions
6.10.1. Rezoning Restrictions
6.11. Rezoning Example
6.11.1. Initial Input for the Analysis
6.11.2. Rezoning Input for the Analysis
7. Cyclic Symmetry Analysis
7.1. Understanding Cyclic Symmetry Analysis
7.1.1. How ANSYS Automates a Cyclic Symmetry Analysis
7.1.2. Commands Used in a Cyclic Symmetry Analysis
7.2. Cyclic Modeling
7.2.1. The Basic Sector
7.2.2. Edge Component Pairs
7.2.3. Model Verification (Preprocessing)
7.3. Solving a Cyclic Symmetry Analysis
7.3.1. Understanding the Solution Architecture
7.3.2. Supported Analysis Types
7.3.3. Solving a Static Cyclic Symmetry Analysis
7.3.4. Solving a Modal Cyclic Symmetry Analysis
7.3.5. Solving a Linear Buckling Cyclic Symmetry Analysis
7.3.6. Solving a Magnetic Cyclic Symmetry Analysis
7.3.7. Database Considerations After Obtaining the Solution
7.3.8. Model Verification (Solution)
7.4. Postprocessing a Cyclic Symmetry Analysis
7.4.1. Real and Imaginary Solution Components
7.4.2. Expanding the Cyclic Symmetry Solution
7.4.3. Phase Sweep of Repeated Eigenvector Shapes
7.5. Sample Modal Cyclic Symmetry Analysis
7.5.1. Problem Description
7.5.2. Problem Specifications
7.5.3. Input File for the Analysis
7.5.4. Analysis Steps
7.6. Sample Buckling Cyclic Symmetry Analysis
7.6.1. Problem Description
7.6.2. Problem Specifications
7.6.3. Input File for the Analysis
7.6.4. Analysis Steps
7.6.5. Solve For Critical Strut Temperature at Load Factor = 1.0
7.7. Sample Magnetic Cyclic Symmetry Analysis
7.7.1. Problem Description
7.7.2. Problem Specifications
7.7.3. Input file for the Analysis
8. Rotating Structure Analysis
8.1. Understanding Rotating Structure Dynamics
8.2. Using a Stationary Reference Frame
8.2.1. Campbell Diagram
8.2.2. Harmonic Analysis for Unbalance or General Rotating Asynchronous Forces
8.2.3. Orbits
8.3. Using a Rotating Reference Frame
8.4. Choosing the Appropriate Reference Frame Option
8.5. Sample Campbell Diagram Analysis
8.5.1. Problem Description
8.5.2. Problem Specifications
8.5.3. Input for the Analysis
8.5.4. Analysis Steps
8.6. Sample Coriolis Analysis
8.6.1. Problem Description
8.6.2. Problem Specifications
8.6.3. Input for the Analysis
8.6.4. Analysis Steps
8.7. Sample Unbalance Harmonic Analysis
8.7.1. Problem Description
8.7.2. Problem Specifications
8.7.3. Input for the Analysis
8.7.4. Analysis Steps
9. Submodeling
9.1. Understanding Submodeling
9.2. Employing Submodeling
9.2.1. Create and Analyze the Coarse Model
9.2.2. Create the Submodel
9.2.3. Perform Cut-Boundary Interpolation
9.2.4. Analyze the Submodel
9.2.5. Verify the Distance Between the Cut Boundaries and the Stress Concentration
9.3. Sample Analysis Input
9.4. Shell-to-Solid Submodels
9.5. Where to Find Examples
10. Substructuring
10.1. Benefits of Substructuring
10.2. Using Substructuring
10.2.1. Generation Pass: Creating the Superelement
10.2.2. Use Pass: Using the Superelement
10.2.3. Expansion Pass: Expanding Results Within the Superelement
10.3. Sample Analysis Input
10.4. Top-Down Substructuring
10.5. Automatically Generating Superelements
10.6. Nested Superelements
10.7. Prestressed Substructures
10.7.1. Static Analysis Prestress
10.7.2. Substructuring Analysis Prestress
10.8. Where to Find Examples
11. Component Mode Synthesis
11.1. Understanding Component Mode Synthesis
11.1.1. CMS Methods Supported
11.1.2. Solvers Used in Component Mode Synthesis
11.2. Employing Component Mode Synthesis
11.2.1. The CMS Generation Pass: Creating the Superelement
11.2.2. The CMS Use and Expansion Passes
11.2.3. Superelement Expansion in Transformed Locations
11.2.4. Plotting or Printing Mode Shapes
11.3. Sample Component Mode Synthesis Analysis
11.3.1. Problem Description
11.3.2. Problem Specifications
11.3.3. Input for the Analysis: Fixed-Interface Method
11.3.4. Analysis Steps: Fixed-Interface Method
11.3.5. Input for the Analysis: Free-Interface Method
11.3.6. Analysis Steps: Free-Interface Method
11.3.7. Input for the Analysis: Residual-Flexible Free-Interface Method
11.3.8. Analysis Steps: Residual-Flexible Free-Interface Method
11.3.9. Example: Superelement Expansion in a Transformed Location
12. Rigid Body Dynamics and the ANSYS-ADAMS Interface
12.1. Understanding the ANSYS-ADAMS Interface
12.2. Building the Model
12.3. Modeling Interface Points
12.4. Exporting to ADAMS
12.4.1. Exporting to ADAMS via Batch Mode
12.4.2. Verifying the Results
12.5. Running the ADAMS Simulation
12.6. Transferring Loads from ADAMS to ANSYS
12.6.1. Transferring Loads on a Rigid Body
12.6.2. Transferring the Loads of a Flexible Body
12.7. Methodology Behind the ANSYS-ADAMS Interface
12.7.1. The Modal Neutral File
12.7.2. Adding Weak Springs
12.8. Sample Rigid Body Dynamic Analysis
12.8.1. Problem Description
12.8.2. Problem Specifications
12.8.3. Command Input
13. Element Birth and Death
13.1. Elements Supporting Birth and Death
13.2. Understanding Element Birth and Death
13.3. Element Birth and Death Usage Hints
13.3.1. Changing Material Properties
13.4. Employing Birth and Death
13.4.1. Build the Model
13.4.2. Apply Loads and Obtain the Solution
13.4.3. Review the Results
13.4.4. Use ANSYS Results to Control Birth and Death
13.5. Where to Find Examples
14. User-Programmable Features and Nonstandard Uses
14.1. User-Programmable Features (UPFs)
14.1.1. Understanding UPFs
14.1.2. Types of UPFs Available
14.2. Nonstandard Uses of the ANSYS Program
14.2.1. What Are Nonstandard Uses?
14.2.2. Hints for Nonstandard Use of ANSYS
15. Using Shared-Memory ANSYS
15.1. Parallel Processing Methods Available in ANSYS
15.2. Activating Parallel Processing in a Shared-Memory Architecture
15.2.1. System-Specific Considerations

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
19.5. Understanding ANSYS Memory Error Messages 		Up / Home Next
Chapter 1. Design Optimization


Chapter 1. Design Optimization

The ANSYS program can determine an optimum design, a design that meets all specified requirements yet demands a minimum in terms of expenses such as such as weight, surface area, volume, stress, cost, and other factors. An optimum design is one that is as effective as possible.

Virtually any aspect of your design can be optimized: dimensions (such as thickness), shape (such as fillet radii), placement of supports, cost of fabrication, natural frequency, material property, and so on. Any ANSYS item that can be expressed in terms of parameters is a candidate for design optimization. (For a description of ANSYS parameters, see "Using Parameters" in the ANSYS Parametric Design Language Guide.)

The following design optimization topics are available:

  • Getting Started with Design Optimization
  • Optimizing a Design
  • Multiple Optimization Executions
  • Optimization Methods
  • Guidelines for Choosing Optimization Variables
  • Hints for Performing Design Optimization
  • Sample Optimization Analysis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Advanced Analysis Techniques Guide 		Up / Home Next
1.1. Getting Started with Design Optimization


1.1. Getting Started with Design Optimization

This section introduces you to design optimization terminology and information flow.

1.1.1. Design Optimization Terminology

To understand the terminology involved in design optimization, consider the following problem:

Find the minimum-weight design of a beam of rectangular cross section subject to the following constraints:

  • Total stress σ should not exceed σmax [σ < σ max]

  • Beam deflection Δ should not exceed Δmax [Δ < Δmax]

  • Beam height h should not exceed hmax [h < hmax]

Figure 1.1 Example of a Beam for Design Optimization

Design Optimization Term Description

design variables (DVs)

Independent quantities, varied to achieve the optimum design.

Upper and lower limits are specified to serve as "constraints" on the design variables. These limits define the range of variation for the DV. In the above beam example, width b and height h are obvious candidates for DVs. Both b and h cannot be zero or negative, so their lower limit would be b,h > 0.0. Also, h has an upper limit of hmax. Up to 60 DVs may be defined in an ANSYS design optimization problem.

state variables (SVs)

Quantities that constrain the design.

Also known as "dependent variables," they are typically response quantities that are functions of the design variables.

A state variable may have a maximum and minimum limit, or it may be "single sided," having only one limit . Our beam example has two SVs: σ (the total stress) and Δ (the beam deflection).

You can define up to 100 SVs in an ANSYS design optimization problem.

objective function

The dependent variable that you are attempting to minimize.

It should be a function of the DVs (that is, changing the values of the DVs should change the value of the objective function). In the beam example, the total weight of the beam could be the objective function (to be minimized).

You may define only one objective function in an ANSYS design optimization problem.

optimization variables

Collectively, the design variables, state variables, and the objective function.

In an ANSYS optimization, these variables are represented by user-named variables called parameters. You must identify which parameters in the model are DVs, which are SVs, and which is the objective function.

design set or design

A unique set of parameter values representing a given model configuration.

Typically, a design set is characterized by the optimization variable values; however, all model parameters (including those not identified as optimization variables) are included in the set.

feasible design

A design that satisfies all specified constraints (those on the SVs as well as on the DVs.

If any one of the constraints is not satisfied, the design is considered infeasible.

The best design is the one which satisfies all constraints and produces the minimum objective function value. (If all design sets are infeasible, the best design set is the one closest to being feasible, irrespective of its objective function value.)

analysis file

An ANSYS input file containing a complete analysis sequence (preprocessing, solution, and postprocessing).

The file must contain a parametrically defined model, using parameters to represent all inputs and outputs to be used as DVs, SVs, and the objective function.

loop file

An optimization file (named Jobname.LOOP), created automatically via the analysis file.

The design optimizer uses the loop file to perform analysis loops.

loop

A single pass through the analysis file.

Output for the last loop performed is saved in file Jobname.OPO. An (or simply iteration) is

optimization iteration

One or more analysis loops which result in a new design set.

Typically, an iteration equates to one loop; however, for the first order method, one iteration represents more than one loop.

optimization database

contains the current optimization environment, which includes optimization variable definitions, parameters, all optimization specifications, and accumulated design sets. This database can be saved (to Jobname.OPT) or resumed at any time in the optimizer.

1.1.2. Information Flow for an Optimization Analysis

The following figure illustrates the flow of information during an optimization analysis.

Figure 1.2 Optimization Data Flow

The analysis file must exist as a separate entity. The optimization database is not part of the ANSYS model database.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 1. Design Optimization 		Up / Home Next
1.2. Optimizing a Design


1.2. Optimizing a Design

You can approach an ANSYS optimization in two ways: as a batch run or interactively via the graphical user interface (GUI). The approach you take will depend on your ANSYS expertise and your preference for interacting with the ANSYS program.

If you are familiar with ANSYS commands, you can perform the entire optimization by creating an ANSYS command input file and submitting it as a batch job. This may be a more efficient method for complex analyses (for example, nonlinear) that require extensive run time.

Alternatively, the interactive features of optimization offer greater flexibility and immediate feedback for review of loop results. When performing optimization through the GUI, it is important to first establish the analysis file for your model. Then all operations within the optimizer can be performed interactively, allowing the freedom to probe your design space before the actual optimization is done. The insights you gain from your initial investigations can help to narrow your design space and achieve greater efficiency during the optimization process. (The interactive features can also be used to process batch optimization results.)

General Process for Design Optimization

The process involved in design optimization consists of the following general steps. The steps may vary slightly, depending on whether you are performing optimization interactively (through the GUI), in batch mode, or across multiple machines.

  1. Create an analysis file to be used during looping. This file should represent a complete analysis sequence and must do the following:

    • Build the model parametrically (PREP7).

    • Obtain the solution(s) (SOLUTION).

    • Retrieve and assign to parameters the response quantities that will be used as state variables and objective functions (POST1/POST26).

  2. Establish parameters in the ANSYS database which correspond to those used in the analysis file; this step is typical, but not required (Begin or OPT).

  3. Enter OPT and specify the analysis file (OPT).

  4. Declare optimization variables (OPT).

  5. Choose optimization tool or method (OPT).

  6. Specify optimization looping controls (OPT).

  7. Initiate optimization analysis (OPT).

  8. Review the resulting design sets data (OPT) and postprocess results (POST1/POST26).

Details of the optimization process are presented below. Differences in the procedure for a "batch" versus "interactive" approach are indicated, where appropriate.

1.2.1. Create the Analysis File

The analysis file is a key component and crucial to ANSYS optimization. The program uses the analysis file to form the loop file, which is used to perform analysis loops. Any type of ANSYS analysis (structural, thermal, magnetic, etc.; linear or nonlinear) can be incorporated in the analysis file.

Note

An explicit dynamics analysis using ANSYS LS-DYNA cannot be optimized.

In this file, the model must be defined in terms of parameters (which are usually the DVs), and results data must be retrieved in terms of parameters (for SVs and the objective function). Only numerical scalar parameters are used by the design optimizer. See Use ANSYS Parameters in the Modeling and Meshing Guide for a discussion of parameters. See the ANSYS Parametric Design Language Guide for a discussion of the ANSYS Parametric Design Language (APDL).

It is your responsibility to create the analysis file and to verify that it is correct and complete. It must represent a clean analysis that will run from start to finish. Most nonessential commands (such as those that perform graphic displays, listings, status requests, etc.) should be stripped off or commented out of the file. Maintain only those display commands which you would like to see during an interactive session (EPLOT, etc.), or direct desired displays to a graphics file (/SHOW). Keep in mind that the analysis file will be used over and over again during optimization looping. Any commands that do not have direct bearing on the analysis will produce wasted action and therefore decrease looping efficiency.

There are two ways to create an analysis file:

  • Input commands line by line with a system editor.

  • Create the analysis interactively through ANSYS and use the ANSYS command log as the basis for the analysis file.

Both methods have advantages and disadvantages. Creating the file with a system editor is the same as creating a batch input file for the analysis. (If you are performing the entire optimization in batch mode, the analysis file will usually be the first portion of the complete batch input stream.) This method allows you full control of parametric definitions through exact command inputs. It also eliminates the need to clean out unnecessary commands later. However, if you are not moderately familiar with ANSYS commands, this method may be inconvenient.

You may find it easier to perform the initial analysis interactively, and then use the resulting command log as the basis for the analysis file. In this case, final editing of the log file may be required in order to make it suitable for optimization looping. (See Preparing the Analysis File.)

No matter how you intend to create the analysis file, the basic information that it must contain is the same. The steps it must include are explained next.

1.2.1.1. Build the Model Parametrically

PREP7 is used to build the model in terms of the DV parameters. For our beam example, the DV parameters are B (width) and H (height), so the element real constants are expressed in terms of B and H:

...
/PREP7
!  Initialize DV parameters:
B=2.0                        ! Initialize width
H=3.0                        ! Initialize height
!
ET,1,BEAM3                   ! 2-D beam element
AREA=B*H                     ! Beam cross-sectional area
IZZ=(B*(H**3))/12            ! Moment of inertia about Z
R,1,AREA,IZZ,H               ! Real constants in terms of DV parameters
!
! Rest of the model:
MP,EX,1,30E6                 ! Young's modulus
N,1                          ! Nodes
N,11,120
FILL
E,1,2                        ! Elements
EGEN,10,1,-1
FINISH                       ! Leave PREP7
...

As mentioned earlier, you can vary virtually any aspect of the design: dimensions, shape, material property, support placement, applied loads, etc. The only requirement is that the design must be defined in terms of parameters.

The DV parameters (B and H in this example) may be initialized anywhere, but are typically defined in PREP7. The initial values assigned to these parameters represent a starting design, which is later modified by the optimizer.

Caution

If you build your model interactively (through the GUI), you will encounter many situations where data can be input through graphical picking (such as when defining geometric entities). However, some picking operations do not allow parametric input. Therefore, you should avoid these picking operations when defining items that will be used as DVs, SVs, or an objective function. Instead, use menu options that allow direct input of parameters.

1.2.1.2. Obtain the Solution

The SOLUTION processor is used to define the analysis type and analysis options, apply loads, specify load step options, and initiate the finite element solution. All data required for the analysis should be specified: master degrees of freedom in a reduced analysis, appropriate convergence criteria for nonlinear analyses, frequency range for harmonic response analysis, and so on. Loads and boundary conditions may also be DVs.

The SOLUTION input for our beam example could look like this:

...
/SOLU
ANTYPE,STATIC             ! Static analysis (default)
D,1,UX,0,,11,10,UY        ! UX=UY=0 at the two ends of the beam
SFBEAM,ALL,1,PRES,100     ! Transverse pressure (load per unit
                          !  length) = 100
SOLVE
FINISH                    ! Leave SOLUTION

This step is not limited to just one analysis. You can, for instance, obtain a thermal solution and then obtain a stress solution (for thermal stress calculations).

If your solution uses the multiframe restart feature, all changes to the parameter set that are made after the first load step will be lost in a multiframe restart. To ensure that the correct parameters are used in a multiframe restart, you must explicitly save (PARSAV) and resume (PARESU) the parameters for use in the restart. See Basic Analysis Guide for more information on multiframe restarts.

1.2.1.3. Retrieve Results Parametrically

This is where you retrieve results data and assign them to parameters. These parameters usually represent SVs and the objective function. The *GET command (Utility Menu> Parameters> Get Scalar Data), which assigns ANSYS calculated values to parameters, is used to retrieve the data. POST1 is typically used for this step, especially if the data are to be stored, summed, or otherwise manipulated.

In our beam example, the weight of the beam is the objective function (to be minimized). Because weight is directly proportional to volume, and assuming uniform density, minimizing the total volume of the beam is the same as minimizing its weight. Therefore, we can use volume as the objective function. The SVs for this example are the total stress and deflection. The parameters for these data may be defined as follows:

...
/POST1
SET,...
NSORT,U,Y                 ! Sorts nodes based on UY deflection
*GET,DMAX,SORT,,MAX       ! Parameter DMAX = maximum deflection
!
! Derived data for line elements are accessed through ETABLE:
ETABLE,VOLU,VOLU          ! VOLU = volume of each element
ETABLE,SMAX_I,NMISC,1     ! SMAX_I = max. stress at end I of each
                          !  element
ETABLE,SMAX_J,NMISC,3     ! SMAX_J = max. stress at end J of each
                          !  element
!
SSUM                      ! Sums the data in each column of the element
                          !  table
*GET,VOLUME,SSUM,,ITEM,VOLU  ! Parameter VOLUME = total volume
ESORT,ETAB,SMAX_I,,1      ! Sorts elements based on absolute value
                          !  of SMAX_I
*GET,SMAXI,SORT,,MAX      ! Parameter SMAXI = max. value of SMAX_I
ESORT,ETAB,SMAX_J,,1      ! Sorts elements based on absolute value
                          !  of SMAX_J
*GET,SMAXJ,SORT,,MAX      ! Parameter SMAXJ = max. value of SMAX_J
SMAX=SMAXI>SMAXJ          ! Parameter SMAX = greater of SMAXI and
                          !  SMAXJ, that is, SMAX is the max. stress
FINISH
...

Please see the *GET and ETABLE command descriptions for more information.

1.2.1.4. Preparing the Analysis File

So far, we have described what needs to go into the analysis file. If you create this file as you would a batch input file (entering commands with a system editor), then you simply save the file and begin the optimization procedure (see Establish Parameters for Optimization). However, if you choose to create your model interactively in ANSYS, you must derive the analysis file from the interactive session. This can be done one of two ways, using the database command log or the session log file.

Database Command Log - You can create a command log file that represents the model database by using the LGWRITE command (Utility Menu> File> Write DB Log File). LGWRITE writes the internal database command log to a file (Jobname.LGW). The internal log contains all commands that were used to create the current database.

Session Log File - Jobname.LOG contains all commands that are issued during an interactive session. To use Jobname.LOG as the optimization analysis file, you should edit out all nonessential commands with a system editor. Because all commands issued are saved to this file, extensive editing may be needed. Also, if your analysis was performed in several ANSYS sessions, you should piece together the log file segments for each session to create a complete analysis file. (See "Using the ANSYS Session and Command Logs" in the Operations Guide for more information on the session log file and database command log.)

Note

With either method, you may have to exit ANSYS or use the /SYS command in order to edit the analysis file. For more details on creating this file, see Generating the Analysis File.

1.2.2. Establish Parameters for Optimization

At this point, having completed the analysis file, you are ready to begin optimization. (You may have to reenter ANSYS if you edited the analysis file at the system level.) When performing optimization interactively, it is advantageous (but optional) to first establish the parameters from the analysis file in the ANSYS database. (This step is not necessary for optimization performed in batch mode.)

There are two possible reasons for performing this step. The initial parameter values may be required as a starting point for a first order optimization. Also, for any type of optimization run, having the parameters in the database makes them easy to access through the GUI when defining optimization variables. To establish the parameters in the database do one of the following:

  • Resume the database file (Jobname.DB) associated with the analysis file. This establishes your entire model database in ANSYS, including the parameters. To resume the database file, use one of these methods:

    Command(s): RESUME
    GUI: Utility Menu> File> Resume Jobname.db
    Utility Menu> File> Resume from

  • Read the analysis file into ANSYS to perform the complete analysis. This establishes your entire model database in ANSYS, but may be time-consuming for a large model. To read the analysis file, use one of these methods:

    Command(s): /INPUT
    GUI: Utility Menu> File> Read Input from

  • Resume only the parameters into ANSYS from a previously saved parameter file; that is, a parameter file that you saved using either the PARSAV command or the Utility Menu> Parameters> Save Parameters menu path. To resume the parameters, use either of these methods:

    Command(s): PARRES
    GUI: Utility Menu> Parameters> Restore Parameters

  • Recreate the parameter definitions as they exist in the analysis file. Doing this requires that you know which parameters were defined in the analysis file. Use one of these methods:

    Command(s): *SET or =
    GUI: Utility Menu> Parameters> Scalar Parameters

You may choose to do none of the above, and instead depend on the OPVAR command (Main Menu> Design Opt> Design Variables) to define the parameters which you declare as optimization variables (see Declare Optimization Variables ).

Note

The ANSYS database does not need to contain model information corresponding to the analysis file to perform optimization. The model input will be read from the analysis file automatically during optimization looping.

1.2.3. Enter OPT and Specify the Analysis File

The remaining steps are performed within the OPT processor. When you first enter the optimizer, any parameters that exist in the ANSYS database are automatically established as design set number 1. It is assumed that these parameter values represent a potential design solution. To enter the optimizer, use one of these methods:

Command(s): | /OPT
GUI: | Main Menu> Design Opt

In interactive mode, you must specify the analysis file name. The file is used to derive the optimization loop file Jobname.LOOP. There is no default for the analysis file name, therefore it must be input. To specify the analysis file name, use one of these methods:

Command(s): | OPANL
GUI: | Main Menu> Design Opt> Analysis File> Assign

For an optimization run in batch mode, the analysis file is usually the first portion of the batch input stream, from the first line down to the first occurrence of /OPT. In batch mode the analysis file name defaults to Jobname.BAT (a temporary file containing input copied from the batch input file). Therefore, you normally do not need to specify an analysis file name in batch mode. However, if for some reason you have separated the batch optimization input into two files (one representing the analysis and the other containing all optimization operations), then you will need to specify the analysis file (OPANL) after entering the optimizer (/OPT).

Note

In the analysis file, the /PREP7 and /OPT commands must occur as the first nonblank characters on a line (that is, do not use the $ delimiter on a line containing either of these commands). This is required for proper loop file construction.

1.2.4. Declare Optimization Variables

The next step is to declare optimization variables, that is, specify which parameters are DVs, which ones are SVs, and which one is the objective function. As mentioned earlier, up to 60 DVs and up to 100 SVs are allowed, but only one objective function is allowed. To declare optimization variables, use one of these methods:

Command(s): | OPVAR
GUI: | Main Menu> Design Opt> Design Variables Main Menu> Design Opt> State Variables Main Menu> Design Opt> Objective

Minimum and maximum constraints can be specified for SVs and DVs. No constraints are needed for the objective function. Each variable has a tolerance value associated with it, which you may input or let default to a program calculated value.

If the parameter name which you specify on the OPVAR command is not an existing parameter, the parameter is automatically defined in the ANSYS database with an initial value of zero.

You may change a previously declared optimization variable at any time by simply redefining it. You may also delete an optimization variable (OPVAR,Name,DEL). The delete option does not delete the parameter; it simply deactivates the parameter as an optimization variable (see Modifying the Optimization Variables After Execution).

1.2.5. Choose Optimization Tool or Method

In the ANSYS program, several different optimization tools and methods are available. Single loop is the default. To specify a tool or method to be used for subsequent optimization looping, use one of these methods:

Command(s): | OPTYPE
GUI: | Main Menu> Design Opt> Method/Tool

Optimization methods are traditional techniques that strive for minimization of a single function (the objective function) subject to constraints. Two methods are available: the subproblem approximation method and the first order method. In addition, you can supply an external optimization algorithm, in which case the ANSYS algorithm will be bypassed. To use one of these methods, you must have an objective function defined.

  • Subproblem Approximation Method: This is an advanced zero-order method which uses approximations (curve fitting) to all dependent variables (SVs and the objective function). It is a general method that can be applied efficiently to a wide range of engineering problems.

  • First Order Method: This method uses derivative information, that is, gradients of the dependent variables with respect to the design variables. It is highly accurate and works well for problems having dependent variables that vary widely over a large range of design space. However, this method can be computationally intense.

  • User-supplied Method: An external optimization routine (USEROP) can be used instead of the ANSYS optimizer logic.

Optimization tools are techniques used to measure and understand the design space of your problem. Since minimization may or may not be a goal, an objective function is not required for use of the tools. However, design variables must be defined. The following tools are available.

  • Single Loop Run: This tool performs one loop and produces one FEA solution at a time. You can do "what if" studies by using a series of single loop runs, setting different design variable values before each loop.

  • Random Design Generation: Multiple loops are performed, with random design variable values at each loop. A maximum number of loops and a desired number of feasible loops can be specified. This tool is useful for studying the overall design space, and for establishing feasible design sets for subsequent optimization analysis.

  • Sweep Generation: Starting from a reference design set, this tool generates several sequences of design sets. Specifically, it varies one design variable at a time over its full range using uniform design variable increments. This tool makes global variational evaluations of the objective function and of the state variables possible.

  • Factorial Evaluation: This is a statistical tool that is used to generate design sets at all extreme combinations of design variable values. This technique is related to the technology known as design of experiment that uses a 2-level, full and fractional factorial analysis. The primary aim is to compute main and interaction effects for the objective function and the state variables.

  • Gradient Evaluation: At a user-specified reference design set, this tool calculates the gradients of the objective function and the state variables with respect to the design variables. Using this tool, you can investigate local design sensitivities.

  • User-supplied Design Tool: An external routine (USEROP) can be used to bypass the ANSYS logic.

As noted above, you can implement your own method or tool by invoking the USEROP routine. The Guide to ANSYS User Programmable Features contains more details on this user-supplied routine.

1.2.6. Specify Optimization Looping Controls

Each method and tool has certain looping controls associated with it, such as maximum number of iterations, etc. All of the commands that you use to set these controls are accessed by the menu path Main Menu> Design Opt> Method/Tool

The commands for setting controls are as follows:

  • To set controls for the subproblem approximation method, use OPSUBP and OPEQN.

  • To set controls for the first order method, use OPFRST.

  • To set controls for the random design generation tool, use OPRAND.

  • To set controls for the sweep generation tool, use OPSWEEP.

  • To set controls for the factorial evaluation tool, use OPFACT.

  • To set controls for the gradient evaluation tool, use OPGRAD.

  • To set controls for the user optimization tool, use OPUSER.

There are also a number of general controls which affect how data is saved during optimization. They are as follows:

  • To specify the file where optimization data is to be saved (defaults to Jobname.OPT):

    Command(s): OPDATA
    GUI: Main Menu> Design Opt> Controls

  • To activate a detailed summary printout:

    Command(s): OPPRNT
    GUI: Main Menu> Design Opt> Controls

  • To determine whether information from the best design set is saved (by default, the database and results files are saved only for the last design set):

    Command(s): OPKEEP
    GUI: Main Menu> Design Opt> Controls

You can also control various looping characteristics, including how the analysis file is to be read for looping. The file can be read starting from the first line (default) or from the first occurrence of /PREP7, and parameters assigned as DVs can be ignored (default) or processed during looping. In addition, you can specify which type of parameters are to be saved during looping: scalar parameters only (default), or scalar and array parameters. This capability allows for control of parameter values (DV and non-DV) during looping. To control these looping characteristics, use one of these methods:

Command(s): | OPLOOP
GUI: | Main Menu> Design Opt> Controls

Note

The Parms argument on the OPLOOP command controls which parameters are saved during looping. The option to save both scalar and array parameters (Parms = ALL) should typically not be used, except for the case when array parameters defined outside of the analysis file (*DIM) need to be preserved during looping.

1.2.7. Initiate Optimization Analysis

After all appropriate controls have been specified, you can initiate looping:

Command(s): | OPEXE
GUI: | Main Menu> Design Opt> Run

Upon execution of OPEXE, an optimization loop file (Jobname.LOOP) is written from the analysis file. This loop file, which is transparent to the user, is used by the optimizer to perform analysis loops. Looping will continue until convergence, termination (not converged, but maximum loop limit or maximum sequential infeasible solutions encountered), or completion (for example, requested number of loops for random design generation) has been reached.

If a loop is interrupted due to a problem within the model (for example, a meshing failure, a non-converged nonlinear solution, conflicting design variable values, etc.), the optimizer aborts that loop, but can continue looping. In interactive mode, a warning will be issued, and you may choose to continue or terminate looping. In batch mode, looping will automatically continue. (The NCNV command (menu path Main Menu> Solution> Analysis Type> Sol'n Control:Advanced NL Tab, Main Menu> Solution> Unabridged Menu> Nonlinear> Criteria to Stop, or Main Menu> Solution> Load Step Opts> Nonlinear> Criteria to Stop), which specifies program termination controls for nonlinear analyses, is ignored during optimization looping.) The design set for the aborted loop will be saved, but the response quantity parameters for that set will have very large, irrelevant values.

The values of all optimization variables and other parameters at the end of each iteration are stored on the optimization data file (Jobname.OPT). Up to 130 such sets are stored. When the 130th set is encountered, the data associated with the "worst" design are discarded.

Continuing with our beam example, the optimization portion of the input would look like this:

/OPT                       ! Enter OPT
OPANL,...                  ! Analysis file name (not needed for batch)
!
! Declare optimization variables:
OPVAR,B,DV,.5,16.5         ! Parameters B and H are DVs
OPVAR,H,DV,.5,8
OPVAR,DMAX,SV,-0.1,0       ! Parameters DMAX and SMAX are SVs
OPVAR,SMAX,SV,0,20000
OPVAR,VOLUME,OBJ           ! Parameter VOLUME is the obj. function
!
! Specify optimization type and controls
OPTYPE,SUBP                ! Subproblem approximation method
OPSUBP,30                  ! Maximum number of iterations
OPEXE                      ! Initiate optimization looping

Several optimization executions may occur in series. For example, we could perform a sweep generation after the subproblem approximation execution is completed. The following series of commands executes a sweep with respect to the best design set:

OPTYPE,SWEEP                      ! Sweep evaluation tool
OPSWEEP,BEST,5                    ! 5 evaluations per DV at best design set
OPEXE                             ! Initiate optimization looping

See the /OPT, OPANL, OPVAR, OPTYPE, OPSUBP, OPSWEEP, and OPEXE command descriptions for more information.

1.2.8. Review Design Sets Data

After optimization looping is complete, you can review the resulting design sets in a variety of ways using the commands described in this section. These commands can be applied to the results from any optimization method or tool.

To list the values of parameters for specified set numbers:

Command(s): | OPLIST
GUI: | Main Menu> Design Opt> Design Sets> List

You can choose to list all scalar parameters, or only those used as optimization variables.

To graph specified parameters versus set number so you can track how a variable changed from iteration to iteration:

Command(s): | PLVAROPT
GUI: | Main Menu> Design Opt> Graphs/Tables

To change the abscissa of the graph from set number to any other parameter:

Command(s): | XVAROPT
GUI: | Main Menu> Design Opt> Graphs/Tables

To print the values of specified parameters in tabular form (versus the XVAROPT parameter, which defaults to set number):

Command(s): | PRVAROPT
GUI: | Main Menu> Design Opt> Graphs/Tables

For the PLVAROPT and PRVAROPT operations, the design sets are automatically sorted in a sequence corresponding to an ascending order of the XVAROPT parameter.

There are several specialized ways to review results from the sweep, factorial, and gradient tools. For sweep tools, use the OPRSW command to list results and the OPLSW command to plot results. For factorial tools, use the OPRFA command to list results and the OPLFA command to plot results. For gradient tools, use the OPRGR command to list results and the OPLGR command to plot results. (Menu paths appear in detailed discussions of these commands later in this chapter.)

Another way to access optimization data is with the STAT command (Main Menu> Design Opt> Opt Database> Status). When issued within the optimizer, this command lists other current optimization information such as the analysis file name, specified optimization technique, number of existing design sets, optimization variables, etc. Using the STAT command is a good way to check the current optimization environment (at any point in the optimizer) and to verify that all desired settings have been input.

In addition to reviewing the optimization data, you may wish to postprocess the analysis results using POST1 or POST26. By default, results are saved for the last design set in file Jobname.RST (or .RTH, etc., depending on the type of analysis). The results and the database for the best design set will also be available if OPKEEP,ON was issued before looping. The "best results" will be in file Jobname.BRST (.BRTH, etc.), and the "best database" will be in Jobname.BDB.

1.2.8.1. Manipulating Designs Sets

After reviewing the design sets, it may be desirable to manipulate them in some way. For example, after performing a random design execution, you may wish to discard all non-feasible designs, keeping the feasible sets as data points for subsequent optimization. There are several ways in which you can change the design sets.

Two commands are available for discarding unwanted sets.

  • To select a number of best design sets, or all feasible sets:

    Command(s): OPSEL
    GUI: Main Menu> Design Opt> Design Sets> Select/Delete

(All design sets not selected with OPSEL are permanently removed from the optimization database.)

  • To delete the design sets in a specified range, use one of these methods:

    Command(s): OPDEL
    GUI: Main Menu> Design Opt> Design Sets> Select/Delete

For both of these commands, the original set numbers will be retained for the remaining design sets. (Up to 130 design sets can be stored in the optimization database.)

There are other commands that can affect design sets.

  • To form a new design set by adding two existing sets (with scaling factors if desired):

    Command(s): OPADD
    GUI: Main Menu> Design Opt> Design Sets> Combine

  • To create a new design set using the active scalar parameter values (without running an analysis loop):

    Command(s): OPMAKE
    GUI: Main Menu> Design Opt> Analysis File> Create

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.1. Getting Started with Design Optimization 		Up / Home Next
1.3. Multiple Optimization Executions


1.3. Multiple Optimization Executions

There are various reasons why you might wish to do more than one optimization execution. For example, your initial optimization run may not find the desired optimum. Or, you may start by using a design tool and then perform a subsequent optimization (for example, random design generation followed by a subproblem approximation run). The knowledge you gain from the first few runs may prompt you to change your design space and optimize yet again.

If you perform all executions within the same ANSYS session (or within the same batch input stream), the procedure is very straightforward. After an execution, simply redefine all optimization input as desired and initiate the next execution. To initiate the next execution:

Command(s): | OPEXE
GUI: | Main Menu> Design Opt> Run

If you have left the ANSYS program after performing optimization, and would like to continue that optimization analysis at some later time, you can do a restart as described next.

1.3.1. Restarting an Optimization Analysis

To restart an optimization analysis, simply resume the optimization database file (Jobname.OPT):

Command(s): | OPRESU
GUI: | Main Menu> Design Opt> Opt Database> Resume

Once the data is read in, you can respecify optimization type, controls, etc., and initiate looping. (The analysis file corresponding to the resumed database must be available in order to perform optimization.) To initiate looping:

Command(s): | OPEXE
GUI: | Main Menu> Design Opt> Run

A typical restart might look like this:

....
/OPT
OPRESU,....          ! Read named file (defaults to Jobname.OPT)
OPSEL,10             ! Select 10 best designs
OPTYPE,....          ! Specify optimization tool or method
....                 ! Specify other optimization input
....
OPEXE                ! Initiate optimization looping

See the /OPT, OPRESU, OPSEL, OPTYPE, and OPEXE command descriptions for more details.

Note

In addition to optimization data, the ANSYS jobname is saved to the optimization database file (Jobname.OPT). Therefore, when an optimization data file is resumed (OPRESU), the jobname saved in that file overwrites the current jobname (/FILNAME).

You can use the OPRESU command (Main Menu> Design Opt> Opt Database> Resume) in an interactive session to resume optimization data that was created through a batch run, thus allowing convenient interactive viewing of batch optimization results.

If there is data in the optimization database at the time you want to resume, you should first clear the optimization database. When you do this, all settings are reset to their default values, and all design sets are deleted. To clear the optimization database:

Command(s): | OPCLR
GUI: | Main Menu> Design Opt> Opt Database> Clear & Reset

Because the ANSYS database is not affected by the OPCLR command, it may also be necessary to clear the ANSYS database if the resumed optimization problem is totally independent of the previous one. To clear the ANSYS database:

Command(s): | /CLEAR
GUI: | Utility Menu> File> Clear & Start New

A counterpart to the OPRESU command is the OPSAVE command (Main Menu> Design Opt> Opt Database> Save), which writes optimization data to a named file (defaults to Jobname.OPT). Although optimization data is automatically saved at the end of each optimization loop (see the OPDATA command), you can save the optimization data at any time by using the OPSAVE command.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.2. Optimizing a Design 		Up / Home Next
1.4. Optimization Methods


1.4. Optimization Methods

The ANSYS program uses two optimization methods to accommodate a wide range of optimization problems:

  • The subproblem approximation method is an advanced zero-order method that can be efficiently applied to most engineering problems.

  • The first order method is based on design sensitivities and is more suitable for problems that require high accuracy.

For both the subproblem approximation and first order methods, the program performs a series of analysis-evaluation-modification cycles. That is, an analysis of the initial design is performed, the results are evaluated against specified design criteria, and the design is modified as necessary. The process is repeated until all specified criteria are met.

In addition to the two optimization techniques, the ANSYS program offers a set of strategic tools that can be used to enhance the efficiency of the design process. For example, a number of random design iterations can be performed. The initial data points from the random design calculations can serve as starting points to feed the optimization methods described.

The following topics about design optimization methods are available:

  • Subproblem Approximation Method
  • First Order Method
  • Random Design Generation
  • Using the Sweep Tool
  • Using the Factorial Tool
  • Using the Gradient Evaluation Tool

For further information, see "Design Optimization" in the Theory Reference for ANSYS and ANSYS Workbench.

1.4.1. Subproblem Approximation Method

The subproblem approximation method can be described as an advanced zero-order method in that it requires only the values of the dependent variables, and not their derivatives. There are two concepts that play a key role in the subproblem approximation method: the use of approximations for the objective function and state variables, and the conversion of the constrained optimization problem to an unconstrained problem.

1.4.1.1. Approximations

For this method, the program establishes the relationship between the objective function and the DVs by curve fitting. This is done by calculating the objective function for several sets of DV values (that is, for several designs) and performing a least squares fit between the data points. The resulting curve (or surface) is called an approximation. Each optimization loop generates a new data point, and the objective function approximation is updated. It is this approximation that is minimized instead of the actual objective function.

State variables are handled in the same manner. An approximation is generated for each state variable and updated at the end of each loop.

You can control curve fitting for the optimization approximations. You can request a linear fit, quadratic fit, or quadratic plus cross terms fit. By default, a quadratic plus cross terms fit is used for the objective function, and a quadratic fit is used for the SVs. To control curve fitting:

Command(s): | OPEQN
GUI: | Main Menu> Design Opt> Method/Tool

OPEQN also gives you control over how the available design data points are weighted in forming the approximations. See the Theory Reference for ANSYS and ANSYS Workbench for details.

1.4.1.2. Conversion to an Unconstrained Problem

State variables and limits on design variables are used to constrain the design and make the optimization problem a constrained one. The ANSYS program converts this problem to an unconstrained optimization problem because minimization techniques for the latter are more efficient. The conversion is done by adding penalties to the objective function approximation to account for the imposed constraints.

The search for a minimum of the unconstrained objective function approximation is then carried out by applying a Sequential Unconstrained Minimization Technique (SUMT) at each iteration.

1.4.1.3. Convergence Checking

At the end of each loop, a check for convergence (or termination) is made. The problem is said to be converged if the current, previous, or best design is feasible and any of the following conditions are satisfied:

  • The change in objective function from the best feasible design to the current design is less than the objective function tolerance.

  • The change in objective function between the last two designs is less than the objective function tolerance.

  • The changes in all design variables from the current design to the best feasible design are less then their respective tolerances.

  • The changes in all design variables between the last two designs are less than their respective tolerances.

You specify the objective function and design variable tolerances using one of these methods:

Command(s): | OPVAR
GUI: | Main Menu> Design Opt> Design Variables Main Menu> Design Opt> Objective

Convergence does not necessarily indicate that a true global minimum has been obtained. It only means that one of the four criteria mentioned above has been satisfied. Therefore, it is your responsibility to determine if the design has been sufficiently optimized. If not, you can perform additional optimization analyses.

Sometimes the solution may terminate before convergence is reached. This happens if one of the following conditions is true:

  • The number of loops specified (NITR on the OPSUBP command) has been performed.

  • The number of consecutive infeasible designs has reached the specified limit (NINFS on the OPSUBP command). The default number is 7.

1.4.1.4. Special Considerations for Subproblem Approximation

Because approximations are used for the objective function and SVs, the optimum design will be only as good as the approximations. Guidelines to help establish "good" approximations are presented below.

For subproblem approximation, the optimizer initially generates random designs to establish the state variable and objective function approximations. Because these are random designs, convergence may be slow. You can sometimes speed up convergence by providing more than one feasible starting design. Simply run a number of random designs and discard all infeasible designs. To run a number of random designs:

Command(s): | OPTYPE,RAND
GUI: | Main Menu> Design Opt> Method/Tool

To discard all infeasible designs, use one of these methods:

Command(s): | OPSEL
GUI: | Main Menu> Design Opt> Design Sets> Select/Delete

Alternatively, you could create the initial design sets by using multiple single loop runs, specifying a new set of acceptable design variables before each run:

Command(s): | OPTYPE,RUN
GUI: | Main Menu> Design Opt> Method/Tool

(This latter method works best if you have some insight into the nature of your problem.)

Note

Generating many trial designs may be good for the rate of convergence, but if the designs are very similar to each other, that is, if the design data points are "clustered" together, you may be forcing the optimizer to follow a specific path, thereby missing potentially good designs.

If many infeasible designs are being generated by the subproblem approximation method, it may mean that the state variable approximation does not adequately represent the actual state variable function. In that case, you can do the following:

  • Increase the allowable number of consecutive infeasible designs and perform an additional subproblem approximation execution (if it appears likely that a feasible design will be obtained):

    Command(s): OPSUBP,,NINFS
    GUI: Main Menu> Design Opt> Method/Tool

  • Periodically select only the best designs between sequential subproblem approximation runs to force better curve fit approximations:

    Command(s): OPSEL
    GUI: Main Menu> Design Opt> Design Sets> Select/Delete

  • Choose cross terms for the state variable approximations:

    Command(s): OPEQN,,KFSV
    GUI: Main Menu> Design Opt> Method/Tool

1.4.2. First Order Method

Like the subproblem approximation method, the first order method converts the problem to an unconstrained one by adding penalty functions to the objective function. However, unlike the subproblem approximation method, the actual finite element representation is minimized and not an approximation.

The first order method uses gradients of the dependent variables with respect to the design variables. For each iteration, gradient calculations (which may employ a steepest descent or conjugate direction method) are performed in order to determine a search direction, and a line search strategy is adopted to minimize the unconstrained problem.

Thus, each iteration is composed of a number of subiterations that include search direction and gradient computations. That is why one optimization iteration for the first order method performs several analysis loops.

The OPFRST command (Main Menu> Design Opt> Method/Tool) has two input fields which may be used to enhance convergence of the first order solution. You can specify the forward difference applied to the design variable range used to compute the gradient (DELTA), and also the limit on the line search step size (SIZE). Typically, the default values for these two inputs are sufficient. See the Theory Reference for ANSYS and ANSYS Workbench for details.

1.4.2.1. Convergence Checking

First order iterations continue until either convergence is achieved or termination occurs. The problem is said to be converged if, when comparing the current iteration design set to the previous and best sets, one of the following conditions is satisfied:

  • The change in objective function from the best design to the current design is less than the objective function tolerance.

  • The change in objective function from the previous design to the current design is less than the objective function tolerance.

It is also a requirement that the final iteration used a steepest descent search, otherwise additional iterations are performed.

To specify the objective function tolerance:

Command(s): | OPVAR
GUI: | Main Menu> Design Opt> Objective

The problem may terminate before convergence is reached. This occurs if the number of iterations specified by NITR on the OPFRST command has been performed.

1.4.2.2. Special Considerations for the First Order Method

Compared to the subproblem approximation method, the first order method is seen to be more computationally demanding and more accurate. However, high accuracy does not always guarantee the best solution. Here are some situations to watch out for:

  • It is possible for the first order method to converge with an infeasible design. In this case, it has probably found a local minimum, or there is no feasible design space. If this occurs, it may be useful to run a subproblem approximation analysis (OPTYPE,SUBP), which is a better measure of full design space. Also, you may try generating random designs (OPTYPE,RAND) to locate feasible design space (if any exists), then rerun the first order method using a feasible design set as a starting point.

  • The first order method is more likely to hit a local minimum (see Local Versus Global Minimum). This is because first order starts from one existing point in design space and works its way to the minimum. If the starting point is too near a local minimum, it may find that point instead of the global minimum. If you suspect that a local minimum has been found, you may try using the subproblem approximation method or random design generation, as described above.

  • An objective function tolerance that is too tight may cause a high number of iterations to be performed. Because this method solves the actual finite element representation (not an approximation), it will strive to find an exact solution based on the given tolerance.

1.4.3. Random Design Generation

For random design generation (OPTYPE,RAND), the program performs a specified number of analysis loops using random design variable values for each loop. You can use the OPRAND command (Main Menu> Design Opt> Method/Tool) to specify a maximum number of iterations and (if desired) a maximum number of feasible designs. If a number of feasible design sets is specified, looping will terminate when that number is reached, even if the maximum number of iterations has not been reached.

Random design generation is often used as a precursor to a subproblem approximation optimization (as explained earlier). It can also be used to develop trial designs for a variety of purposes. For example, a number of random designs can be generated, then reviewed in order to judge the validity of the current design space.

1.4.4. Using the Sweep Tool

The sweep tool (OPTYPE,SWEEP) is used to perform a global sweep of design space. Exactly n*NSPS design sets are generated, where n is the number of design variables and NSPS is the number of evaluation points per sweep (specified on the OPSWEEP command). For each design variable, the range of the variable is divided into NSPS-1 equal increments, and NSPS loops are performed. The DV in question is incremented for each loop, while the remaining design variables are held fixed at their reference values. The DV reference values correspond to the design set specified by Dset on the OPSWEEP command (Main Menu> Design Opt> Method/Tool).

To graph response variable values versus design variable values, use one of these methods:

Command(s): | OPLSW
GUI: | Main Menu> Design Opt> Tool Results> Graph> Sweeps

The vertical axis shows actual values for the objective function or state variable. The horizontal axis shows normalized values (0 to 1) for the design variables, where the normalization is with respect to the DV maximum and minimum values (OPVAR).

To generate tabular results, use one of these methods:

Command(s): | OPRSW
GUI: | Main Menu> Design Opt> Tool Results> Print

Normalized response values are tabulated against normalized (0 to 1) design variables. The objective function and state variable results are normalized to the values associated with the reference design set (OPSWEEP,Dset). For the design variables, 0 corresponds to its minimum value and 1 to its maximum.

1.4.5. Using the Factorial Tool

The factorial tool (OPTYPE,FACT) employs a 2-level technique to generate design set results at all extreme points (or corners) of design space. (The 2-level technique samples the 2 extreme points of each DV.) Either a full or fractional evaluation will be performed, as specified by the OPFACT command (Main Menu> Design Opt> Method/Tool). For a full evaluation, the program performs 2n loops, where n is the number of design variables. A 1/2 fractional factorial evaluation will perform 2n/2 loops; a 1/4 fractional factorial evaluation will perform 2n/4 loops; etc.

You can display graphics in the form of bar charts and generate tables that show certain effects for either the objective function or any state variable. For example, you may request a graph of the main effect that each design variable has on the objective function. You can also see the effects associated with 2- and 3-variable interactions.

To display graphics in the form of bar charts, use one of these methods:

Command(s): | OPLFA
GUI: | Main Menu> Design Opt> Tool Results> Graph> Factorial

To generate tables that show effects for the objective function or any state variable, use one of these methods:

Command(s): | OPRFA
GUI: | Main Menu> Design Opt> Tool Results> Print

See the Theory Reference for ANSYS and ANSYS Workbench for more information.

1.4.6. Using the Gradient Evaluation Tool

The gradient tool (OPTYPE,GRAD) computes a gradient at a point in design space. Gradient results are useful for studying the sensitivities of the objective function or state variables. To identify the design set where the gradient is to be computed:

Command(s): | OPGRAD
GUI: | Main Menu> Design Opt> Method/Tool

The number of loops performed for this tool equals the number of design variables.

You can graph response variables with respect to design variable values. The vertical axis shows actual values for the objective function or state variable graphed. The horizontal axis shows a plus or minus 1% change in the DVs. To graph response variables:

Command(s): | OPLGR
GUI: | Main Menu> Design Opt> Tool Results> Graph> Gradient

You can also generate tabular results for the objective function and the state variables. Changes in objective function and state variable values are tabulated against plus or minus 1% changes in the design variables. To generate these tabular results:

Command(s): | OPRGR
GUI: | Main Menu> Design Opt> Tool Results> Print

Note

The 1% change in the DVs is with respect to the range of the DV (MAX- MIN value from the OPVAR command) and, therefore, is not based on the current DV values.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.3. Multiple Optimization Executions 		Up / Home Next
1.5. Guidelines for Choosing Optimization Variables


1.5. Guidelines for Choosing Optimization Variables

There are many useful guidelines you can follow in defining your DVs, SVs, and objective function. Some of these are presented below.

1.5.1. Choosing Design Variables

DVs are usually geometric parameters such as length, thickness, diameter, or model coordinates. They are restricted to positive values. Some points to remember about DVs are:

  • Use as few DVs as possible. Having too many design variables increases the chance of converging to a local minimum rather than the true global minimum, or even diverging if your problem is highly nonlinear. Obviously, more DVs demand more iterations and, therefore, more computer time. One way to reduce the number of design variables is to eliminate some DVs by expressing them in terms of others, commonly referred to as design variable linking.

DV linking may not be practical if the DVs are truly independent. However, it may be possible to make judgements about your structure's behavior which allow a logical link between some DVs. For example, if it is thought that an optimum shape will be symmetric, use one DV for symmetric members.

  • Specify a reasonable range of values for the design variables (MIN and MAX on the OPVAR command). Too wide a range may result in poor representation of design space, whereas too narrow a range may exclude "good" designs. Remember that only positive values are allowed, and that an upper limit must be specified.

  • Choose DVs such that they permit practical optimum designs. For example, you can perform weight optimization of a cantilever beam with just one design variable, X1, as shown in Figure 1.3: "Choosing DVs for a Tapered Cantilever Beam" (a). However, this excludes a tapered or curved design that may offer a lower weight. To allow for such a design, you may choose four design variables X1 to X4 (Figure b), but that may result in an undesirable local minimum (Figure c). A different scheme for such a situation would be to relate the DVs as shown in Figure d. Also, avoid choosing DVs that may result in unrealistic or undesirable designs.

Figure 1.3 Choosing DVs for a Tapered Cantilever Beam

1.5.2. Choosing State Variables

SVs are usually response quantities that constrain the design. Examples of SVs are stresses, temperatures, heat flow rates, frequencies, deflections, absorbed energy, elapsed time, and so on. A state variable need not be an ANSYS-calculated quantity; virtually any parameter can be defined as a state variable. Some points to keep in mind while choosing state variables are:

  • When defining SVs (OPVAR command), a blank input in the MIN field is interpreted as "no lower limit." Similarly, a blank in the MAX field is interpreted as "no upper limit." A zero input in either of these fields is interpreted as a zero limit. Example:

    OPVAR,SIG,SV,,1000      ! SIG<=1000
OPVAR,SIG,SV,0,1000     ! 0<=SIG<=1000

  • Choose enough SVs to sufficiently constrain the design. In a stress analysis, for example, choosing the maximum stress as the only SV may not be a good idea because the location of the maximum stress may change from loop to loop. Also avoid the other extreme which would be to choose the stress in every element as a state variable. The preferred method is to define the stresses at a few key locations as state variables.

  • For the subproblem approximation method, if possible, choose SVs that have a linear or quadratic relationship with the DVs. For example, the state variable G = Z1/Z2 subject to G < C (where Z1 and Z2 are design variables and C is a constant) may not lead to a good approximation for G because of its inverse relationship with Z2. By restating the state variable to be G = Z1 - (C x Z2) subject to G < 0, the state variable approximation will be exact.

  • If a state variable has both an upper and lower limit, specify a reasonable range of limit values (MIN and MAX on the OPVAR command). Avoid very small ranges, because feasible designs may not exist. A stress range of 500 to 1000 psi, for example, is better than 900 to 1000 psi.

  • If an equality constraint is to be specified (such as frequency = 386.4 Hz), define two state variables for the same quantity and bracket the desired value, as illustrated below:

    ...
*GET,FREQ,ACTIVE,,SET,FREQ       ! Parameter FREQ = calculated frequency
FREQ1=FREQ
FREQ2=FREQ
...
/OPT
OPVAR,FREQ1,SV,,387              ! Upper limit on FREQ1 = 387
OPVAR,FREQ2,SV,386               ! Lower limit on FREQ2 = 386

    The effective feasible region is now between 386 and 387, but each state variable has a wide enough range for smooth approximations. (Please see the OPVAR command description for more information.)

  • Avoid choosing SVs near singularities (such as concentrated loads) by using selecting before defining the parameters.

1.5.3. Choosing the Objective Function

The objective function is the quantity that you are trying to minimize or maximize. Some points to remember about choosing the objective function are:

  • The ANSYS program always tries to minimize the objective function. If you need to maximize a quantity x, restate the problem and minimize the quantity x1 = C-x or x1 = 1/x, where C is a number much larger than the expected value of x. C-x is generally a better way to define the objective function than 1/x because the latter, being an inverse relationship, cannot be as accurately represented by the approximations used in the subproblem approximation method.

  • The objective function should remain positive throughout the optimization, because negative values may cause numerical problems. To prevent negative values from occurring, simply add a sufficiently large positive number to the objective function (larger than the highest expected objective function value).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.4. Optimization Methods 		Up / Home Next
1.6. Hints for Performing Design Optimization


1.6. Hints for Performing Design Optimization

This section offers some hints that you can employ to enhance design optimization at your site:

  • Generating the Analysis File

  • Fixing Design Variable Values After Execution

  • Modifying the Optimization Variables After Execution

  • Local Versus Global Minimum

  • Minimum Weight Versus Minimum Volume

  • Mesh Density

  • Using Substructures

Design optimization involves a series of analyses (that is, several loops of the preprocessing-solution-postprocessing-optimization cycle). ANSYS recommends, therefore, that you start with a simple problem first and understand fully the optimization procedure. After you understand the various steps involved in the design optimization process, you will find it easier to optimize your own design.

1.6.1. Generating the Analysis File

There are two ways to derive the design optimization analysis file if you built model interactively: from the internal database command log (LGWRITE) (Utility Menu> File> Write DB Log File), or from the session log file (Jobname.LOG). Using the internal database log instead of Jobname.LOG has several advantages.

The LGWRITE command has an option (Kedit field) to exclude nonessential commands, or to write them to the file as comment lines. This option does some automatic cleanup of the log file for you, although you should still do a final review to ensure that the file is appropriate for optimization. Also, the internal database log will represent the complete database so no piecing together of files is necessary. Because the database log is saved in the database file (Jobname.DB), a resumed database will contain its own complete database log. (See Using the Database Command Log in the Operations Guide for more information on using the database command log.)

Caution

Use Kedit = COMMENT (not Kedit = REMOVE) on the LGWRITE command. Some commands that are filtered out by the Kedit option may be required for subsequent *GET operations (for example, EXTREM and PLNSOL). These commands should be uncommented during the final edit of Jobname.LGW.

Note

The /CLEAR command clears the database from memory, and therefore also clears the database log. A /CLEAR is issued automatically at the beginning of each optimization loop. If LGWRITE is issued after optimization looping, the resulting file will not contain a complete command history. Typically, the database log should be written before performing optimization looping.

As stated earlier, you should avoid picking operations when defining items which will be used as optimization variables. If you did use picking because it is more convenient, be aware that picking operations cause special GUI-generated commands (such as FLST and FITEM) to be written to the command log. These commands are documented in the Commands Reference. However, it may be tedious to convert them to parametric input during the final cleanup of the command log file. You should avoid editing such commands on the log file. Any data change within the FITEM command, for example, could render the data to be invalid, and could cause unpredictable results.

1.6.2. Fixing Design Variable Values After Execution

After performing one or more optimization executions (OPEXE), you may decide to eliminate certain design variables (OPVAR,Name,DEL) for subsequent optimization. Typically, you would want these parameters to maintain current values (the values assigned during the last loop, or new values you assign to them), and not to revert back to the original values assigned in the analysis file. Assuming that no reassignment of the parameter value occurs within the loop file, the value of a "deleted" design variable can be fixed as follows:

  1. In the analysis file, initialize the design variable parameters before the /PREP7 command. (Only the parameters which you wish to later fix in value must occur before /PREP7.)

  2. Before the next optimization execution, issue OPLOOP,PREP (Main Menu> Design Opt> Controls) to begin reading the analysis file from the first occurrence of /PREP7.

If you do not perform both steps, each parameter that was previously a design variable will be reset to its initial value during subsequent optimization analyses.

In the following example, we start with two design variables, AREA1 and AREA2, and perform optimization. Then AREA2 is "deleted" (no longer a design variable) and held at its current value (fixed) by following the steps above.

AREA1=5.00           ! AREA1 is first area
AREA2=5.00           ! AREA2 is second area
/PREP7               ! Enter PREP7 preprocessor
! Use AREA1 and AREA2 to build a parametric model
....
FINISH
/SOLVE
! Apply loads, etc. and solve
....
FINISH
/POST1
SET,...
....
*GET,SIG1,....        ! Define parameters which will be SVs and OBJ
*GET,SIG2,....
*GET,TVOL,....
....
FINISH
/OPT                  ! Enter optimization module
OPVAR,AREA1,DV,....   ! Assign parameters AREA1 and AREA2 as DVs
OPVAR,AREA2,DV,....
OPVAR,SIG1,SV,....    ! Assign state variables
OPVAR,SIG2,SV,....
OPVAR,TVOL,OBJ        ! Assign objective function
OPTYPE,SUBP           ! Use subproblem approximation method
OPEXE                 ! Execute
OPVAR,AREA2,DEL       ! Delete design variable AREA2
STATUS                ! Verify current optimization variables
OPLOOP,PREP           ! Read analysis file from first /PREP7
OPTYPE,....           ! Specify desired optimization type
....                  ! Specify other OPT controls
OPEXE                 ! Execute optimization
FINISH

Please see the OPVAR, OPTYPE, OPEXE, and OPLOOP command descriptions for more information.

1.6.3. Modifying the Optimization Variables After Execution

Optimization variables can be modified between executions (OPEXE) by use of the OPVAR command (Main Menu> Design Opt> Design Variables). For example, you may wish to change the tolerance of the objective function, the upper or lower limit of a state variable, or you may decide to delete a design variable or define a new one. Whatever the reason, if optimization variables are modified (or new ones are added) after an optimization analysis, a partial clearing of the optimization database is automatically performed. This does not affect the existing design sets and optimization settings you have defined. Only information relating to the optimization calculations (transparent to the user) is cleared. This is done to eliminate data which might be invalid for the modified optimization variable set.

1.6.4. Local Versus Global Minimum

Sometimes the solution might terminate at a local minimum instead of at the global minimum (see Figure 1.4: "Local and Global Minima"). To verify that this has not happened, you could rerun the problem with a different starting design (that is, different initial DV values). Additional strategies for avoiding local minima are found in Special Considerations for the First Order Method.

Figure 1.4 Local and Global Minima

1.6.5. Minimum Weight Versus Minimum Volume

Avoid specifying material density if it is not necessary for the analysis. This will save some computer time because the mass matrix is not calculated. You can still calculate weight parametrically as weight = density x volume, where volume is the item to be minimized (assuming density is uniform throughout the model).

1.6.6. Mesh Density

In shape optimization problems, where the finite element mesh may change from loop to loop, it is important to verify the adequacy of the mesh. By specifying the mesh divisions in terms of parameters or absolute size, you can vary them appropriately for each loop.

Also, for a linear stress or thermal analysis, you can list the percent error in energy norm (see Estimating Solution Error in the Basic Analysis Guide) in each loop. An interesting extension to this is to run an adaptive meshing loop within a design optimization loop to ensure that the meshing error does not exceed a certain value. Details of adaptive meshing are described in Adaptive Meshing Hints and Comments. To list the percent error, use one of these methods:

Command(s): | PRERR
GUI: | Main Menu> General Postproc> List Results> Percent Error Utility Menu> List> Results> Percent Error

1.6.7. Using Substructures

If only portions of a model change during design optimization, consider substructuring the unchanging portions. The optimization run would then loop through just the use pass (and expansion pass if necessary), resulting in a significant savings in computer time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.5. Guidelines for Choosing Optimization Variables 		Up / Home Next
1.7. Sample Optimization Analysis


1.7. Sample Optimization Analysis

In the following example, you will perform an optimization analysis of a hexagonal steel plate.

1.7.1. Problem Description

You will build a parametric model of a hexagonal steel plate, using thickness t1 and fillet radius fil as the parameters. All other dimensions are fixed.

This example uses a 2-D model and takes advantage of symmetry.

1.7.2. Problem Specifications

The loading for this example is tensile pressure (traction) of 100 MPa at the three flat faces.

The following material properties are used for this analysis:

Thickness = 10 mm
Young's modulus (E) = 2.07e5 MPa
Poisson's ratio (υ) = 0.3

1.7.3. Using a Batch File for the Analysis

You can perform the example optimization analysis of a hexagonal steel plate using the ANSYS commands shown below. Items prefaced with an exclamation point (!) are comments.

The analysis happens in essentially two passes. In the first pass, you create the analysis file. In the second pass, you create the optimization input. If you prefer, you can perform the second pass of the example analysis using the GUI method rather than ANSYS commands. See Using the GUI for the Analysis for details.

!  *******************************************************
!  First Pass:  Create analysis file.
!  *******************************************************
*create,hexplate
!
!  GEOMETRY (in mm)
!-----------------
*afun,deg             ! Degree units for trig. functions
inrad=200*cos(30)-20  ! Inner radius
t1=30                 ! Thickness
fil=10                ! Fillet radius

/prep7
!  Create the three bounding annuli
cyl4,-200,,inrad,-30,inrad+t1,30
cyl4,200*cos(60),200*sin(60),inrad,-90,inrad+t1,-150
cyl4,200*cos(60),200*sin(-60),inrad,90,inrad+t1,150
aplot
aadd,all
adele,all                  ! Delete area, keep lines
lplot
!  Fillets on inner slot
lsel,,radius,,inrad+t1     ! Select inner arcs
l1 = lsnext(0)             ! Get their line numbers
l2 = lsnext(l1)
l3 = lsnext(l2)
lfillet,l1,l2,fil          ! Fillets
lfillet,l2,l3,fil
lfillet,l3,l1,fil
lsel,all
lplot
!  Keep only symmetric portion
wprot,,90
lsbw,all
wprot,,,60
lsbw,all
csys,1
lsel,u,loc,y,0,60
ldele,all,,,1
lsel,all
ksll
ksel,inve
kdele,all                  ! Delete unnecessary keypoints
ksel,all
lplot
!  Create missing lines and combine right edge lines
csys,0
ksel,,loc,y,0
lstr,kpnext(0),kpnext(kpnext(0))  ! Bottom symmetry edge
ksel,all
csys,1
ksel,,loc,y,60
lstr,kpnext(0),kpnext(kpnext(0))  ! 60-deg. symm. edge
ksel,all
csys,0
lsel,,loc,x,100
lcomb,all           ! Add lines at the right edge
lsel,all
!  Create the area
al,all
aplot

! MESHING
! -------
et,1,82,,,3         ! Plane stress with thickness
r,1,10              ! Thickness
mp,ex,1,2.07e5      ! Young's modulus of steel, MPa
mp,nuxy,1,0.3       ! Poisson's ratio
smrt,3
amesh,all
eplot
finish

! LOADING
! -------
/solu
csys,1
lsel,u,loc,y,1,59
dl,all,,symm        !  Symmetry b.c.
csys,0
lsel,,loc,x,100
sfl,all,pres,-50    !  Pressure load (MPa)
lsel,all
lplot

! SOLUTION
! --------
eqslv,pcg
solve

! POSTPROCESSING
! --------------
/post1
plnsol,s,eqv               ! Equivalent stress contours
/dscale,,off               ! Displacement scaling off
/expand,6,polar,half,,60   ! Symmetry expansion
/replot
/expand
!  Retrieve maximum equivalent stress and volume
nsort,s,eqv
*get,smax,sort,,max        ! smax = max. equivalent stress
etable,evol,volu
ssum
*get,vtot,ssum,,item,evol  ! vtot = total volume
finish
*end
!
*use,hexplate	! RUN INITIAL ANALYSIS
!
!  *********************************************************
!  Second Pass:  Create optimization input.
!  *********************************************************

! ENTER OPT AND IDENTIFY ANALYSIS FILE
/opt
opanl,hexplate		!Assign oploop file
! IDENTIFY OPTIMIZATION VARIABLES
opvar,t1,dv,20.5,40   ! DVs: Thickness
opvar,fil,dv,5,15     !      Fillet radius
opvar,smax,sv,,150    ! SV:  Maximum equivalent stress
opvar,vtot,obj,,,1    ! OBJ: Total volume, tolerance = 1.0

! RUN THE OPTIMIZATION
opkeep,on             ! Save best design
optype,subp           ! Subproblem approximation method
opsave,anfile,opt0    ! Save the current opt database
opexe

! REVIEW RESULTS
oplist,all,,,1        ! List all design sets
plvaropt,t1,fil       ! DVs t1 & fil vs. set number
plvaropt,smax         ! SV smax vs. set number
plvaropt,vtot         ! OBJ vtot vs. set number
finish

1.7.4. Using the GUI for the Analysis

Using a Batch File for the Analysis describes this example optimization analysis as consisting of two passes. In the first you create an analysis file, and in the second you create the optimization input. As discussed earlier in this chapter, you should avoid graphical picking operations when defining a parametric model. Thus, the GUI method is not recommended for performing the first pass of the example analysis and will not be presented here. However, it is acceptable to perform the optimization pass of the hexagonal steel plate example using the GUI method instead of the ANSYS commands shown earlier. The GUI procedure for performing the optimization pass follows.

Step 1: Test Analysis File

To test the analysis file, you clear the database and then read input from the hexplate.lgw file.

  1. Choose menu path Utility Menu> File> Clear & Start New. Click on OK.

  2. When the Verify dialog box appears, click Yes.

  3. Change the jobname. Choose menu path Utility Menu> File> Change Jobname. The Change Jobname dialog box appears.

  4. Change the jobname to hexplate and click on OK.

  5. Choose menu path Utility Menu> File> Read Input from. In the Files list, click on hexplate.lgw. Then click on OK. You see a replay of the entire analysis. Click on Close when the “Solution is done!” message appears.

Back To Top

Step 2: Enter the Optimizer and Identify Analysis File

In the next several steps of this problem, you optimize the design. The overdesigned steel plate under tension loading of 100 MPa needs to be optimized for minimum weight subject to a maximum von Mises stress limit of 150 MPa. You are allowed to vary the thickness t1 and fillet radius fil.

First, enter the optimizer and identify the analysis file.

  1. Choose menu path Main Menu> Design Opt> Analysis File> Assign. The Assign Analysis File dialog box appears.

  2. In the Files list, click once on hexplate.lgw and then click on OK.

Back To Top

Step 3: Identify the Optimization Variables

  1. Choose menu path Main Menu> Design Opt> Design Variables. The Design Variables dialog box appears.

  2. Click on Add. The Define a Design Variable dialog box appears.

  3. In the list of parameter names, click on T1. Type 20.5 in the MIN field and 40 in the MAX field. Click on Apply.

  4. In the list of parameter names, click on FIL. Type 5 in the MIN field and 15 in the MAX field. Click on OK.

  5. Click on Close to close the Design Variables dialog box.

  6. Choose menu path Main Menu> Design Opt> State Variables. The State Variables dialog box appears.

  7. Click on Add. The Define a State Variable dialog box appears.

  8. In the list of parameter names, click on SMAX. Type 150 in the MAX field. Click on OK.

  9. Click on Close to close the State Variables dialog box.

  10. Choose menu path Main Menu> Design Opt> Objective. The Define Objective Function dialog box appears.

  11. In the list of parameter names, click on VTOT. Set the TOLER field to 1.0. Click on OK.

Back To Top

Step 4: Run the Optimization

This step involves specifying run time controls and the optimization method, saving the optimization database, and executing the run.

  1. Choose menu path Main Menu> Design Opt> Controls. The Specify Run Time Controls dialog box appears.

  2. Change the OPKEEP setting from “Do not save” to “Save.” Click on OK.

  3. Specify an optimization method. Choose menu path Main Menu> Design Opt> Method/Tool. The Specify Optimization Method dialog box appears.

  4. Choose Sub-Problem. Click on OK. Click OK again.

  5. Save the optimization database. Choose menu path Main Menu> Design Opt> Opt Database> Save. In the Selection field, type hexplate.opt0. Click on OK.

  6. Execute the run. Choose menu path Main Menu> Design Opt> Run. Review the settings and click on OK. (If you receive any warning messages during the run, close them.)

  7. Notes will appear to let you know which design set ANSYS is currently running. When the run converges, review the Execution Summary. Click on OK.

Back To Top

Step 5: Review the Results

In this step, you start by listing design sets, then graph the objective function and state variables versus set number.

  1. Choose menu path Main Menu> Design Opt> Design Sets> List. The List Design Sets dialog box appears.

  2. Verify that the ALL Sets option is selected. Click on OK.

  3. Review the information that appears in the window. Click on Close.

  4. Choose menu path Main Menu> Design Opt> Graphs/Tables. The Graph/List Tables of Design Set Parameters dialog box appears.

  5. For X-variable parameter, select Set number. For Y-variable parameters, select VTOT. Click on OK. Review the graph.

  6. Choose menu path Main Menu> Design Opt> Graphs/Tables. The Graph/List Tables of Design Set Parameters dialog box appears.

  7. For X-variable parameter, select Set number. For Y-variable parameters, select SMAX. Unselect VTOT by clicking on it. Click on OK. Review the graph.

Back To Top

Step 6: Restore the Best Design

In this step, you restore the best design. First, however, save the optimization database to a file.

  1. Choose menu path Main Menu> Design Opt> Opt Database> Save. The Save Optimization Data dialog box appears.

  2. In the Selection field, type hexplate.opt1. Then click on OK.

  3. Choose menu path Main Menu> Finish

  4. Issue the following commands in the ANSYS Input window. After you type each command in the window, press ENTER.

    resume,hexplate,bdb
    /post1
    file,hexplate,brst
    lplot

  5. Choose menu path Main Menu> General Postproc> Read Results> First Set.

  6. Choose menu path Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu. The Contour Nodal Solution Data dialog box appears.

  7. Choose Stress from the list on the left. Choose von Mises SEQV from the list on the right. Click on OK. Review the plot.

  8. Choose menu path Utility Menu> PlotCtrls> Style> Displacement Scaling. For DMULT, select 0.0 (off). Click on OK.

  9. Choose menu path Utility Menu> PlotCtrls> Style> Symmetry Expansion> User-Specified Expansion. The Expansion by Values dialog box appears.

  10. Fill in the 1st Expansion of Symmetry section. For NREPEAT, type 6. For TYPE, choose Polar. For PATTERN, choose Alternate Symm. Type 0, 60, and 0 in the DX, DY, and DZ fields, respectively. Click on OK.

Back To Top

Step 7: Exit ANSYS

Click on Quit in the ANSYS Toolbar. Select an option to save, then click on OK.

1.7.5. Where to Find Other Examples

Several ANSYS publications, particularly the Verification Manual and the Design Optimization Seminar course notes, describe additional optimization analyses.

The Verification Manual consists of test case analyses demonstrating the analysis capabilities of the ANSYS program. While these test cases demonstrate solutions to realistic analysis problems, the Verification Manual does not present them as step-by-step examples with lengthy data input instructions and printouts. However, most ANSYS users who have at least limited finite element experience should be able to fill in the missing details by reviewing each test case's finite element model and input data with accompanying comments.

The Verification Manual contains the following optimization analysis test cases:

VM155 - Shape Optimization of a Cantilever Beam
VM157 - Optimization of a Frame Structure

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.6. Hints for Performing Design Optimization 		Up / Home Next
Chapter 2. Topological Optimization


Chapter 2. Topological Optimization

Topological optimization is a form of "shape" optimization, sometimes referred to as "layout" optimization. The purpose of topological optimization is to find the best use of material for a body such that an objective criterion (such as global stiffness or natural frequency) takes on a maximum/minimum value subject to given constraints (such as volume reduction).

The following topological optimization topics are available:

  • Understanding Topological Optimization
  • Employing Topological Optimization
  • A 2-D Multiple-Load Case Optimization Example
  • A 2-D Natural Frequency Maximization Example
  • Hints and Comments
  • Limitations

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.7. Sample Optimization Analysis 		Up / Home Next
2.1. Understanding Topological Optimization


2.1. Understanding Topological Optimization

Unlike traditional optimization, topological optimization does not require you to explicitly define optimization parameters (that is, independent variables to be optimized). In topological optimization, the material distribution function over a body serves as the optimization parameter. You define the structural problem (material properties, FE model, loads, etc.) and the objective function (the function to be minimized/maximized), then select the state variables (the constrained dependent variables) from among a set of predefined criteria.

The goal of topological optimization--the objective function--is to minimize/maximize the criteria selected (minimize the energy of structural compliance, maximize the fundamental natural frequency, etc.) while satisfying the constraints specified (volume reduction, etc.). This technique uses design variables (ηi) that are internal pseudo-densities assigned to each finite element. The densities are plotted via the PLNSOL,TOPO and PLESOL,TOPO commands (as described in Review the Results).

The standard formulation of topological optimization defines the problem as minimizing the structural compliance while satisfying a constraint on the volume (V) of the structure. Minimizing the compliance is equivalent to maximizing the global structural stiffness. For example, specifying V = 60 means that 60 percent of the material is to be removed in a manner that maximizes the stiffness, with the given load configuration. Figure 2.1: "An Optimization Sample with 60 Percent Volume Reduction" shows a constrained and loaded rectangular area that is to be subjected to topological optimization. Figure (a) shows the loads and boundary conditions and Figure (b) shows the "shape" results in terms of density contours.

Figure 2.1 An Optimization Sample with 60 Percent Volume Reduction

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 2. Topological Optimization 		Up / Home Next
2.2. Employing Topological Optimization


2.2. Employing Topological Optimization

The process for performing a topological optimization consists of the following general steps.

  1. Define the structural problem.

  2. Select the element types.

  3. Specify optimized and non-optimized regions.

  4. Define and control the load cases or frequency extraction.

  5. Define and control the optimization process.

  6. Review the results.

Details of the optimization procedure are presented below. Where appropriate, differences in the procedure for a "batch" versus "interactive" approach are indicated.

2.2.1. Define the Structural Problem

Define the problem as you would for any linear elastic analysis. You need to define material properties (Young's modulus, Poisson's ratio, and possibly the material density). Poisson's ratio must be between 0.1 and 0.4. You then select the proper element types for topological optimization, generate a finite element model, and depending on the criteria you need for your particular topological optimization problem, you will need to apply either:

  • Load and boundary conditions for a single or multiple load case linear structural static analysis, or

  • Boundary conditions for a modal frequency analysis.

See "Getting Started with ANSYS" and "Loading" in the Basic Analysis Guide for more information about defining the problem.

2.2.2. Select the Element Types

Topological optimization supports 2-D planar, 3-D solid, and shell elements. To use this technique, your model must contain only the following element types:

2-D Solids: PLANE82 or PLANE183
3-D Solids: SOLID92 or SOLID95
Shells: SHELL93

The 2-D elements should be used for plane stress or axisymmetric applications.

2.2.3. Specify Optimized and Non-Optimized Regions

Only those elements identified as type 1 (via the TYPE command) undergo topological optimization. Use this rule to control which regions of your model to optimize. For example, if you want to keep material near a hole or a support, you should identify elements in those areas as type 2 or higher:

...
ET,1,SOLID92
ET,2,SOLID92
...
TYPE,1
VSEL,S,NUM,,1,2   ! The volume modeled by these elements will be
VMESH,ALL         ! optimized
TYPE,2
VSEL,S,NUM,,3     ! The volume modeled by these elements will not
VMESH,ALL         ! be optimized
...

You can use any appropriate ANSYS select and modification command to control the type definitions for various elements.

2.2.4. Define and Control Your Load Cases or Frequency Extraction

You can perform topological optimization based on either linear structural static or modal analysis.

2.2.4.1. Linear Structural Static Analysis

When defining the structural compliance as either the objective or constraint for your topological optimization (TOCOMP, TOVAR), you must perform a linear structural static analysis during optimization looping. You can perform topological optimization for a single load case or collectively for several load cases. The single-load case is the simplest.

However, to obtain a single optimization solution from several independent load cases, you must use load case write and solve capabilities. After each load case is defined, you must write that data to a file (use the LSWRITE command). Finally, you need to solve the collection of load cases by using the LSSOLVE command. The TOLOOP command performs this last step for you.

For example, the following input fragment shows how three load cases can be combined for a single topological optimization analysis.

...
...
D,10,ALL,0,,20,1         ! Define Loads and constraints for 1st load case
NSEL,S,LOC,Y,0
SF,
ALLSEL
LSWRITE,1                ! Write 1st load case
DDEL,                    ! Clear and then define 2nd load case
SFDEL,
NSEL,S,LOC,X,0,1
D,ALL,ALL,0
F,212,FX
LSWRITE,2                ! Write 2nd load case
...                      ! Etc.
LSWRITE,3                ! Write 3rd load case
...                      ! Etc.
FINISH
TOCOMP,MCOMP,MULTIPLE,3  ! Define weighted multiple compliance function
                           "MCOMP"
                         ! considering all three load cases
TOVAR,MCOMP,OBJ          ! Define "MCOMP" as topological objective
TOVAR,VOLUME,CON,,10     ! Define "VOLUME" as topological constraint
TODEF                    ! Initialize topo opt.
TOLOOP,20                ! Solve and perform topological optimization

2.2.4.2. Modal Analysis

When defining a natural frequency formulation as an objective for topological optimization (TOFREQ, TOVAR) a modal analysis must be performed during optimization looping. Depending on the frequency model you need to specify the number of frequencies to solve for during modal analysis by using the MODOPT command. You also must specify the number of modes to expand and write by means of MXPAND. Note that the element calculation key must be set to 'YES'. The following input fragment shows the modal analysis setup for topological optimization. When using the TOLOOP command macro, you need only the ANTYPE command because the MODOPT and MXPAND commands are done by the TOLOOP command. Only the Block Lanczos eigensolver is available with the TOLOOP command.

/SOLUTION
ANTYPE,MODAL               ! Switch to modal analysis
FINISH

TOFREQ,MFREQ,RECIPROCAL,3  ! Define reciprocal frequency function "MFREQ"
                           ! for topological optimization
TOVAR,MFREQ,OBJ            ! Define function "MFREQ" as objective for
                             topological
                           ! optimization
TOVAR,VOLUME,CON,,50       ! Define "VOLUME" as constraint for topological
                           ! optimization
TODEF,1.0D-4               ! Initialize topological optimization
                                        (accuracy=1.0d-4)
TOLOOP,20                  ! Solve for first 3 natural frequencies and
                             corresponding
                           ! mode shapes and then perform topological
                             optimization
...

2.2.5. Define and Control the Optimization Process

The topological optimization process consists of four parts: defining optimization functions, defining objective and constraints, initializing optimization, and executing topological optimization. You can run the fourth part, executing topological optimization, in two ways; carefully controlling and executing each iteration, or automatically performing many iterations. ANSYS recommends the latter approach.

Seven ANSYS commands define and execute topological optimization: TOFREQ, TOCOMP, TOVAR, TOTYPE, TODEF, TOEXE, and TOLOOP. The commands TOCOMP and TOFREQ are used to define topological optimization functions. Command TOVAR defines the objective and constraint functions for the optimization problem. The TOTYPE command defines the solution approach employed to solve the optimization problem. The TODEF command defines a tolerance for convergence and initializes the topological optimization process. TOEXE executes a single iteration of optimization. TOLOOP executes several iterations.

Note

To correctly perform topological optimization, after you have defined the optimization parameters, you must solve the problem (SOLVE) before executing one or more optimization iterations (TOEXE). If you do not solve the problem, you will receive an error message when you try to execute an optimization step. The TOLOOP command macro performs the solve steps for you.

2.2.5.1. Defining Optimization Functions

First, you define the optimization functions involved in your topological optimization problem. Use TOCOMP to define a compliance function for single or multiple load case conditions in a linear static structural analysis. In contrast, TOFREQ is intended to define natural frequency type functions. For every topological function, a unique reference name must be specified (note that the reference name "VOLUME" is a predefined name for the total volume function). You may also delete a topological optimization function using TOCOMP,RefName or TOFREQ,RefName (with remaining fields left blank). The delete option also deactivates the function as a topological objective or constraint if the TOVAR command has already been used.

To define a function for topological optimization, use one of these methods:

Command(s): | TOCOMP, TOFREQ
GUI: | Main Menu> Topological Opt> Advanced Opt> Topo Function Main Menu> Topological Opt> Set Up> Basic Opt

To list all topological optimization functions currently defined use:

Command(s): | TOLIST
GUI: | Main Menu> Topological Opt> Advanced Opt> List Functions

2.2.5.2. Defining Objective and Constraints

The next step is to assign the objective and the constraint(s) for the topological optimization problem, that is, specify which functions, previously defined by means of TOCOMP and TOFREQ, are constraints, and which one is the objective function. A predefined topological function "VOLUME" is provided (representing the total volume function), which can be used for either objective or constraint. Note that only the following combinations of objective and constraints are allowed:

Objective | Valid Constraints
Single Compliance (TOCOMP) | VOLUME
Multiple Compliance (TOCOMP) | VOLUME
Single Frequency (TOFREQ) | VOLUME
Weighted mean frequency (TOFREQ) | VOLUME
Reciprocal mean frequency (TOFREQ) | VOLUME
Euclidean norm frequency (TOFREQ) | VOLUME
VOLUME | Single Compliance (TOCOMP), multiple constraint definition allowed
VOLUME | Multiple Compliance (TOCOMP)

To assign the objective and constraint(s) for topological optimization, use one of these methods:

Command(s): | TOVAR
GUI: | Main Menu> Topological Opt> Advanced Opt> Topo Objective Main Menu> Topological Opt> Set Up> Basic Opt

The objective function must be defined before you define constraints. Minimum and maximum bounds can be specified for constraint definition. No constraints are needed for the objective function.

You may change a previously declared objective or constraint at any time by simply redefining it. You may also delete an objective or constraint (TOVAR,RefName,DEL). The delete option does not delete the topological function; it simply deactivates the function as a topological objective or constraint.

For example, the following input fragment shows how a single compliance minimization subject to a volume reduction of 25 percent is defined

...
TOCOMP,COMP,SINGLE,1  ! Define single compliance (load case 1) as
                        topological
                      ! optimization function
                      ! "COMP"
TOVAR,COMP,OBJ        ! Define the compliance function "COMP" as
                        objective for
                      ! topological optimization
TOVAR,VOLUME,CON,,25  ! Define predefined total volume function
                        "VOLUME" as constraint
                      ! for topological optimization; Specify a volume
                        reduction of 25 percent
TODEF,1.0d-4          ! Initialize topological optimization
TOLOOP,10,1           ! Do 10 topological optimization iterations
                        automatically
...

At any time you can query the current active status from TOVAR, TODEF, and TOTYPE by using the command TOSTAT.

Command(s): | TOSTAT
GUI: | Main Menu> Topological Opt> Advanced Opt> Status Main Menu> Topological Opt> Status

2.2.5.3. Solving and Initializing Optimization

After defining your optimization parameters, solve the problem (SOLVE). You must solve the problem before you perform topological optimizations.

Command(s): | SOLVE
GUI: | Main Menu> Solution> Solve> Current LS

After specifying the optimization problem (see Defining Optimization Functions and Defining Objective and Constraints) you may select the solution approach you want employed to solve the optimization problem; TOTYPE allows you to choose Optimality Criteria (OC) or Sequential Convex Programming (SCP). The OC approach is applicable to problems with volume as constraint only. The SCP approach is applicable to all valid combinations of objective and constraints (see Defining Objective and Constraints for a list of valid combinations of objective and constraints).

Command(s): | TOTYPE
GUI: | Main Menu> Topological Opt> Run

As a last preparation step you must initialize the topological optimization process. Here you also define the termination/convergence accuracy.

Command(s): | TODEF
GUI: | Main Menu> Topological Opt> Run

The specification details generated at this point are not saved in the ANSYS database. Therefore, if you want to perform another topological optimization after a RESUME, you need to reissue all of the commands you used to set up the topological optimization problem (TOCOMP, TOFREQ, TOVAR, TOTYPE, and TODEF).

2.2.5.4. Executing a Single Iteration

After defining your optimization parameters, you can launch a single iteration. After execution, you can check convergence and display and/or list your current topological results. You may continue to solve and execute additional iterations until you achieve the desired result. The TOEXE command is not available in the GUI.

Command(s):

TOEXE

The following example demonstrates how you would execute topological optimization one iteration at a time:

...
TOCOMP,COMP,SINGLE,1  ! Define single compliance (load case 1) as topological
                      ! optimization function
                      ! "COMP"
TOVAR,COMP,OBJ        ! Define the compliance function "COMP" as objective for
                      ! topological optimization
TOVAR,VOLUME,CON,,25  ! Define predefined total volume function "VOLUME" as
                        constraint
                      ! for topological optimization; Specify a volume
                        reduction of 25 percent
TOTYPE,OC             ! Use OC approach for optimization problem
TODEF,1.0d-4          ! Initialize topological optimization
/SOLUTION
SOLVE                 ! Perform 1st stress analysis
TOEXE                 ! Perform 1st topological iteration
FINISH
/POST1                ! Enter post processing
PLNSOL,TOPO           ! Plot topological results
*GET,TOPSTAT,TOPO,,CONV   ! Get the topological convergence status
*STAT,TOPSTAT         ! List convergence status
/SOLUTION
SOLVE                 ! Perform 2nd stress analysis
TOEXE                 ! Perform 2nd topological optimization
FINISH
/POST1                    ! Etc.
...

The following is an input fragment showing how you could perform a frequency maximization formulation one iteration at a time.

...
TOFREQ,FREQ1,SINGLE,1  ! Define single frequency as topological optimization
                       ! function "FREQ1"
TOVAR,FREQ1,OBJ        ! Define the frequency function "FREQ1" as objective for
                       ! topological optimization
TOVAR,VOLUME,CON,,25   ! Define predefined total volume function "VOLUME" as
                       ! constraint for topological optimization; Specify a
                         volume
                       ! reduction of 25 percent
TOTYPE,SCP             ! Use SCP approach for optimization problem
TODEF,1.0d-4           ! Initialize topological optimization
/SOLUTION
ANTYPE,MODAL           ! Switch to modal analysis
MODOPT,LANB,1          ! Specify modal analysis options: Choose Block Lanczos
                       ! solver (default); extract 1 eigenmode.
MXPAND,1,,,YES         ! Expand fundamental mode, and set element
                         calculation key to YES.
SOLVE                  ! Perform modal analysis
TOEXE                  ! Perform 1st topological iteration
FINISH
TOPLOT,0               ! Plot topological results
*GET,TOPSTAT,TOPO,,CONV   ! Get the topological convergence status
*STAT,TOPSTAT          ! List convergence status
/SOLUTION
SOLVE                  ! Perform 2nd modal analysis
TOEXE                  ! Perform 2nd topological optimization
FINISH
TOPLOT,0
...                    ! Etc.

One of the main advantages of TOEXE is that you can use it to devise your own iterative macros for automatic optimization looping and plotting. The TOLOOP command is an ANSYS macro that can perform several optimization iterations.

2.2.5.5. Executing Several Iterations Automatically

After defining your optimization parameters, you can launch several iterations to be executed automatically. After all of the iterations have run, you can check convergence and display and/or list your current topology. You may continue to solve and execute additional iterations if you want. The TOLOOP command is an ANSYS macro and, as such, can be copied and customized (see the ANSYS Parametric Design Language Guide).

Command(s): | TOLOOP
GUI: | Main Menu> Topological Opt> Run

The following example demonstrates how you would use the TOLOOP macro to execute multiple iterations (in this case, 20) automatically:

...                   ! Setup, define and
LSWRITE               !   write 1st load case
...                   ! Setup, define and
LSWRITE               !   write 2nd load case
...                   ! Setup, define and
LSWRITE               !   write 3rd load case
...
TOCOMP,MCOMP,MULTIPLE,3    ! Define multiple compliance (3 load cases) as
                             topological
                           ! optimization function "MCOMP"
TOVAR,MCOMP,OBJ       ! Define the compliance function "MCOMP" as objective
                        for
                      ! topological optimization
TOVAR,VOLUME,CON,,80  ! Define predefined total volume function "VOLUME" as
                        constraint for
                      ! topological optimization; Specify a volume reduction
                        of 80 percent
TODEF,0.001           ! Initialize topological optimization with .001
                        convergence tolerance
...
/DSCALE,,OFF           ! Remove distortion
/CONTOUR,,3            ! Request 3 contours for each display
TOLOOP,20,1            ! Perform 20 (max.) iterations. Each iteration solves and
                       ! plots results
...

Each topological iteration executes an LSSOLVE command, a TOEXE command, and a PLNSOL,TOPO display (optional) command. The optimization iteration process terminates once convergence is attained (defined with TODEF) or when the maximum iteration number is achieved (defined with TOLOOP)

2.2.6. Review the Results

After your topological optimization solutions are complete, pertinent results are stored in the ANSYS results file (Jobname.RST) and are available for additional processing. You can use the following postprocessing options. For more information on any of these options, see the Commands Reference for the particular command description, or see The General Postprocessor (/POST1) in the Basic Analysis Guide.

For a nodal listing or plot of the pseudo-densities, use the TOPO argument of the PRNSOL and PLNSOL commands. Or you can use the command TOPLOT,0.

For an element-based listing or plot of pseudo-densities, use the TOPO argument of the PLESOL or PRESOL commands. Or you can use the command TOPLOT,1.

Additionally you may graph or print the history of the topological optimization course over iterations by using the commands TOGRAPH or TOPRINT.

...
/POST1             ! Enter post processor
TOPLOT,1           ! Plot nonaveraged element pseudo-densities
PLNS,TOPO          ! Plot averaged nodal pseudo-densities
TOGRAPH,OBJ        ! Plot iteration history of topological objective
TOGRAPH,CON,VOLUME ! Plot iteration history of topological constraint
                     "VOLUME"
TOPRINT,OBJ        ! Print iteration history of topological objective
TOPRINT,CON        ! Plot iteration history of topological constraint
                     "VOLUME"
...

You can also view the results via ANSYS' tabular capabilities:

...
ETABLE,EDENS,TOPO
PLETAB,EDENS
PRETAB,EDENS
ESEL,S,ETAB,EDENS,0.9,1.0
EPLOT
...

To check the most recent convergence status (that is, the last iteration) and the objective or constraint values, use *GET:

...
*GET,TOPCV,TOPO,,CONV          ! If TOPCV = 1 (converged)
*GET,TITER,TOPO,,ITER          ! TITER = Iteration counter
*GET,TOBJ,TOPO,ITER-1,TOHO     ! TOBJ = objective function value of last
                                 iteration
*GET,TCON,TOPO,ITER-1,TOHC,1   ! TCON = constraint function value of last
                                 iteration
*STAT

For a frequency solution, particularly when using the weighted, reciprocal, or Euclidean formulations, you should look at the true frequencies of the structure at the converged solution by issuing the *GET command:

...
*GET,FREQ1,MODE,1,FREQ    ! First fundamental frequency
*GET,FREQ2,MODE,2,FREQ    ! Second fundamental frequency

You should also look at the mode shapes in /POST1 by using the PLDISP command, and you should review the ifreq.out file. For more information on reviewing results of a modal analysis, see "Modal Analysis" in the Structural Analysis Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.1. Understanding Topological Optimization 		Up / Home Next
2.3. A 2-D Multiple-Load Case Optimization Example


2.3. A 2-D Multiple-Load Case Optimization Example

In the following sample analysis, you will run topological optimization on a beam subjected to two load cases.

2.3.1. Problem Description - First Scenario

A loaded, elastic beam is shown in Figure 2.2: "Beam With Two Load Cases". The beam is fixed along both ends and subjected to two load cases. Notice that one area of the beam is modeled by type 1 (TYPE) finite elements and can therefore be subjected to topological optimization. The other area, identified and modeled by type 2 elements, is not optimized. The goal is to minimize the energy of structural compliances (for each load case independently) subject to a 50 percent reduction in volume of type 1 material.

Figure 2.2 Beam With Two Load Cases

This problem is solved using the ANSYS commands below. Notice that the two load cases are defined and written by the LSWRITE command. Using ANSYS selection commands and logic, type 1 and type 2 PLANE82 elements are used to represent optimized and non-optimized areas, respectively. The TOCOMP command defines a 2 load case compliance function with the reference name MCOMP. TOVAR defines MCOMP as the objective and calls for a 50 percent volume reduction (TOVAR,VOLUME,CON,,50). The TOEXE command is not explicitly used in this example. Instead, up to 12 iterations of topological optimization are specified via the TOLOOP command macro. After the optimization execution, the final objective (compliance) and constraint (volume) histories are graphed and printed, and the optimum weighted compliance value is retrieved from the ANSYS database (*GET).

/TITLE, A 2-D, multiple compliance minimization problem subjected
                        to volume constraint
/PREP7
BLC4,0,0,3,1          ! Create solid model (3 x 1 rectangle)
ET,1,82               ! Use 2-D solids. Type 1 is optimized
ET,2,82               ! Type 2 is not optimized.
MP,EX,1,118E9         ! Linear isotropic, material
MP,NUXY,1,0.3
ESIZE,0.05            ! Use a relatively fine mesh density
TYPE,1
AMESH,ALL             ! Free, rectangular-element meshing
NSEL,S,LOC,X,0,0.4    ! Select region not to be optimized
ESLN
TYPE,2
EMODIF,ALL             ! Define type 2 elements
ALLSEL
NSEL,S,LOC,X,0
D,ALL,ALL,0           ! Fixed at X = 0
NSEL,S,LOC,X,3
D,ALL,ALL,0           ! Fixed at X = 3
FORCE = 1000          ! Value for applied load
NSEL,S,LOC,X,1
NSEL,R,LOC,Y,1
F,ALL,FY,FORCE        ! Define first load case
ALLSEL
LSWRITE,1             ! Write first load case
FDEL,ALL
NSEL,S,LOC,X,2
NSEL,R,LOC,Y,0
F,ALL,FY,-FORCE       ! Define second load case
ALLSEL
LSWRITE,2             ! Write second load case
FDEL,ALL
TOCOMP,MCOMP,MULTIPLE,2  ! Define multiple compliance function
                         ! "MCOMP" for topological optimization
TOVAR,MCOMP,OBJ          ! Define "MCOMP" as topological objective
TOVAR,VOLUME,CON,,50     ! Define "VOLUME" as topological constraint; 50 percent
                           volume reduction
TOTYPE,OC                ! Specify solution approach
TODEF                    ! Initialize topological opt.
/SHOW,topo,grph          ! Put graphics in a file (remove if interactive)
/DSCALE,,OFF
/CONTOUR,,2
TOLOOP,12,1              ! Perform no more than 12 iterations
FINISH
TOGRAPH,OBJ              ! Graph final objective (compliance) history
TOGRAPH,CON              ! Graph final constraint (volume) history
TOPRINT,OBJ              ! Print final objective (compliance) history
TOPRINT,CON              ! Print final constraint (volume) history
*GET,TITER,TOPO,,ITER        ! Get iteration counter
*GET,OCMP,TOPO,TITER-1,TOHO  ! Get final compliance value

2.3.2. Problem Results -- First Scenario

The final optimal shape obtained from the above input stream is shown in Figure 2.3: "Final Topological Shape -- 50 Percent Volume Reduction". Notice that these results were diverted to the topo.grph file for subsequent display. If running ANSYS in an interactive mode, you should remove the /SHOW command so you can view graphical results every iteration.

Figure 2.3 Final Topological Shape -- 50 Percent Volume Reduction

A graph of the objective (compliance) and the constraint (volume) history is shown in Figure 2.4: "History of Objective and Constraint Functions". The final optimal weighted compliance value is 0.6E-04.

Figure 2.4 History of Objective and Constraint Functions

2.3.3. Problem Description -- Second Scenario

In contrast to the first scenario, where we have designed for minimum two-load case compliance subject to 50 percent volume reduction, in this second scenario we will optimize for minimum volume design subject to two compliance constraints. The analysis is based on the same finite element model, boundary and load conditions as in the first scenario. (See Figure 2.3: "Final Topological Shape -- 50 Percent Volume Reduction" and the input fragment in Problem Description - First Scenario.) Here, the topological optimization problem is modeled as follows. We first define the volume of type 1 material as objective function by using command TOVAR. We then specify two single compliance functions, "COMP1" for the first load case and "COMP2" for the second load case by means of command TOCOMP and define them as topological constraints (TOVAR) with an upper bound value of 0.6E-4 (the optimum compliance value for the first scenario). Notice that SCP was selected as the solution approach for the topological optimization problem because this problem cannot be solved with the OC approach.

/TITLE, A 2-D, volume minimization problem subjected to 2 compliance
             constraints
...        ! Same modeling, boundary conditions and load cases as in
             previous listing

TOCOMP,COMP1,SINGLE,1           ! Define single compliance function "COMP1"
                                 (1st load case)
TOCOMP,COMP2,SINGLE,2           ! Define single compliance function "COMP2"
                                 (2nd load case)
TOVAR,VOLUME,OBJ                ! Define "VOLUME" of type 1 material as
                                  topological objective
TOVAR,COMP1,CON,,0.6E-4,ACTUAL  ! Define first constraint "COMP1" with an
                                  actual upper bound of
                                ! 0.6E-4
TOVAR,COMP2,CON,,0.6E-4,ACTUAL  ! Define second constraint "COMP2" with an
                                  actual upper bound of
                                ! 0.6E-4

TOTYPE,SCP                  ! Specify SCP solution approach
TODEF,1.0d-5                ! Initialize topological opt; set accuracy to
                              1.0d-5
/SHOW,topo2,grph            ! Put graphics in a file (remove if interactive)
TOLOOP,25,1                 ! Perform 25 iterations
FINISH
TOPLOT,1                    ! Plot final densities unaveraged
TOGRAPH,OBJ                 ! Graph final objective (compliance) history
TOGRAPH,CON,COMP1           ! Graph final constraint (volume) history
TOGRAPH,CON,COMP2           ! Graph final constraint (volume) history

2.3.4. Problem Results - Second Scenario

The final optimal shape obtained from the above commands are shown in Figure 2.5: "Final Topological Shape for Second Scenario". Notice that these results were diverted to the topo2.grph file for subsequent display. If running ANSYS in an interactive mode, you should remove the /SHOW command in order to view graphical results every iteration.

Figure 2.5 Final Topological Shape for Second Scenario

A graph of the objective (volume) and both constraint (compliances) histories is shown in Figure 2.6: "History of Objective and Constraint Functions for Second Scenario".

Figure 2.6 History of Objective and Constraint Functions for Second Scenario

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.2. Employing Topological Optimization 		Up / Home Next
2.4. A 2-D Natural Frequency Maximization Example


2.4. A 2-D Natural Frequency Maximization Example

In this example analysis, you will run an optimal reinforcement problem of a two-story planar frame as shown in Figure 2.7: "Two-Story Planar Frame".

2.4.1. Problem Description

This is an initial core-structure (type 2 material) with four concentrated masses specified and assumed to be unchanged during the optimization process. As shown in Figure 2.7: "Two-Story Planar Frame", the design domain is specified as a rectangle, 5.0 in horizontal length and 8.0 in vertical height with two fixed supported boundaries at the bottom of the domain. Within the optimization problem, material is added (type 1 area) to reinforce the core-structure subjected to dynamic stiffness. The design domain is filled by a material with a Young's Modulus of E = 100, Poisson's Ratio = 0.3, and density = 1.0D-06. Each concentrated mass is 5.0D-06.

Figure 2.7 Two-Story Planar Frame

In this scenario, we maximize the fundamental frequency, whereas the constraint of the total type 1 volume was specified as V = 14. Thus, we define a single frequency function "FREQ1" using TOFREQ and specify this function to be the objective for topological optimization (TOVAR). We also define the volume constraint with an actual upper bound of 14 (TOVAR,VOLUME,,14,ACTUAL). Again, the TOEXE command is not explicitly used in this example. Instead, a maximum of 40 iterations of topological optimization are selected via the TOLOOP command macro.

/TITLE, 2-D Two-Story reinforcement problem - Maximize fundamental frequency
A=0.25                  ! Prepare Model
B=5
C=0.375
D=8
E=3.75
/PREP7
K,1
K,2,C
K,3,C+A
K,4,B/2
K,5,,E
K,6,C,E
K,7,C+A,E
K,8,B/2,E
KSEL,S,,,5,8
KGEN,2,ALL,,,,A
KSEL,S,,,9,12
KGEN,2,ALL,,,,E
KSEL,S,,,13,16
KGEN,2,ALL,,,,A
ALLSEL
A,1,2,6,5
A,5,6,10,9
A,9,10,14,13
A,13,14,18,17
A,2,3,7,6
A,6,7,11,10
A,10,11,15,14
A,14,15,19,18
A,3,4,8,7
A,7,8,12,11
A,11,12,16,15
A,15,16,20,19

ET,1,82                 ! Define two element type regions
ET,2,82                 ! 1 - optimized region
ASEL,S,,,4,8            ! 2 - non-optimized region
ASEL,A,,,10,12,2
TYPE,2
ESIZE,0.1
AMESH,ALL
ASEL,INVE
TYPE,1
AMESH,ALL
ALLSEL
MP,EX,1,100             ! Material of structure
MP,NUXY,1,0.3
MP,DENS,1,1.0D-6
MP,EX,2,100             ! Material of concentrated masses
MP,NUXY,2,0.3
MP,DENS,2,5.0D-6

ASEL,S,,,6,8,2
ESLA,S,1
EMODIF,ALL,MAT,2        ! Define concentrated masses
ALLSEL
LOCAL,11,0,2.5
ARSYM,X,ALL             ! Full model
NUMM,KP
NUMM,ELEM
NUMM,NODE
LSEL,S,,,14
LSEL,A,,,45
NSLL,S,1
D,ALL,ALL
ALLSEL
FINISH
TOFREQ,FREQ1,SING,1     ! Define single frequency function (1st)
TOVAR,FREQ1,OBJ         ! Define objective for topological optimization
TOVAR,VOLUME,CON, ,14,ACTUAL ! Define volume constraint (upper bound = 14)
TOTYPE,SCP                   ! Select SCP solution approach
TODEF,0.00001,               ! Initialize topological optimization process,
                               accuracy = 0.00001
TOLOOP,40,1                  ! Perform up to 40 iterations
FINISH
TOPLOT,1                     ! Plot final pseudo-densities
TOGRAPH,OBJ                  ! Graph final objective (1st frequency) history
TOGRAPH,CON                  ! Graph final constraint (volume) history

2.4.2. Problem Results

Figure 2.8: "Final Topological Shape for Maximum Fundamental Frequency" shows the optimal shape of the reinforcement optimization problem and Figure 2.9: "History of Fundamental Frequency" the history of the first frequency and volume, respectively (TOGRAPH) over optimization iteration.

Figure 2.8 Final Topological Shape for Maximum Fundamental Frequency

Figure 2.9 History of Fundamental Frequency

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.3. A 2-D Multiple-Load Case Optimization Example 		Up / Home Next
2.5. Hints and Comments


2.5. Hints and Comments

Use the following hints and comments to enhance your topological optimization:

  • Results are sensitive to your load configuration. Small changes to your applied loads or load distributions can lead to significant differences in results.

  • Results are sensitive to the density of the finite element mesh. In general, a very fine mesh will produce "clear" topological results. A coarse mesh will lead to "fuzzier" results. However, a model with a large number of elements will take more time to reach convergence.

  • Under certain circumstance, a truss-like solution will result. This will happen when you request a high volume reduction and a very fine finite element mesh. For example, a large reduction could be 80 percent or more volume removed (set in TOVAR).

  • If you have several load cases, there are many ways to combine your loads and to generate topological results. Consider, for example, what you could do with five different load cases. You may choose to perform five separate topological optimization analyses, or you could perform a single optimization analysis for all five load independent cases. Also, you could combine all five loads into one load case and perform a single topological analysis. In summary, you could produce seven different topological optimization solutions:

    • 5 independent topological solutions (1 for each load case)

    • 1 topological solution for 5 independent load cases

    • 1 topological solution for the combined load cases

Additional results and combination of results are also possible.

  • Results are sensitive to Poisson's ratio but not Young's modulus. However, the effects of the dependence to Poisson's ratio are usually not significant.

  • Maximizing a chosen natural frequency is usually used as the objective in a frequency topological optimization problem. However, in the frequency optimization problem, when one maximizes a lower frequency, higher eigenvalues may fall down to the lower values. This means that if the optimization process is to follow a specified mode of the structure, then the order number of this mode may be changed during the optimization process. For example, at the beginning we may wish to optimize the kth eigenfrequency, but the optimal solution obtained may correspond to the k+p'th mode, where p > 0. Thus the problem can have an unexpected solution. In contrast, if you follow the number of modal order (for example, to optimize the kth eigenfrequency), then the mode being optimized may change to another one. In this case, the sensitivities of the objective function become discontinuous, and may cause oscillation and divergence in the iterative optimization process. To overcome this problem, several mean-frequency functions (see TOFREQ) can be used to smooth out the frequency objective.

  • The specifications set using TOCOMP, TOFREQ, TOVAR, TODEF, TOTYPE, and TOLOOP are not saved in the ANSYS database; therefore, you will need to specify your optimization goals and definitions each time you use topological optimization.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.4. A 2-D Natural Frequency Maximization Example 		Up / Home Next
2.6. Limitations


2.6. Limitations

  • During the initialization process the load vectors must be unequal and/or equivalent to execute a successful multiple load step topological optimization. Equal and opposite load vectors will result in an error message with instructions to perform a solution.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.5. Hints and Comments 		Up / Home Next
Chapter 3. Probabilistic Design


Chapter 3. Probabilistic Design

Probabilistic design is an analysis technique for assessing the effect of uncertain input parameters and assumptions on your model.

A probabilistic analysis allows you to determine the extent to which uncertainties in the model affect the results of a finite element analysis. An uncertainty (or random quantity) is a parameter whose value is impossible to determine at a given point in time (if it is time-dependent) or at a given location (if it is location-dependent). An example is ambient temperature; you cannot know precisely what the temperature will be one week from now in a given city.

In a probabilistic analysis, statistical distribution functions (such as the Gaussian or normal distribution, the uniform distribution, etc.) describe uncertain parameters. (See the Modeling and Meshing Guide for a description of ANSYS parameters.)

The the ANSYS Probabilistic Design System (PDS) allows you to perform a probabilistic design analysis. The following topics are available:

  • Understanding Probabilistic Design
  • Probabilistic Design Terminology
  • Employing Probabilistic Design
  • Guidelines for Selecting Probabilistic Design Variables
  • Probabilistic Design Techniques
  • Postprocessing Probabilistic Analysis Results
  • Multiple Probabilistic Design Executions
  • Sample Probabilistic Design Analysis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.6. Limitations 		Up / Home Next
3.1. Understanding Probabilistic Design


3.1. Understanding Probabilistic Design

Computer models are expressed and described with specific numerical and deterministic values; material properties are entered using certain values, the geometry of the component is assigned a certain length or width, etc. An analysis based on a given set of specific numbers and values is called a deterministic analysis. Naturally, the results of a deterministic analysis are only as good as the assumptions and input values used for the analysis. The validity of those results depend on how correct the values were for the component under real life conditions.

In reality, every aspect of an analysis model is subjected to scatter (in other words, is uncertain in some way). Material property values are different if one specimen is compared to the next. This kind of scatter is inherent for materials and varies among different material types and material properties. For example, the scatter of the Young's modulus for many materials can often be described as a Gaussian distribution with standard deviation of ±3 - 5%. Likewise, the geometric properties of components can only be reproduced within certain manufacturing tolerances. The same variation holds true for the loads that are applied to a finite element model. However, in this case the uncertainty is often due to a lack of engineering knowledge. For example, at elevated temperatures the heat transfer coefficients are very important in a thermal analysis, yet it is almost impossible to measure the heat transfer coefficients. This means that almost all input parameters used in a finite element analysis are inexact, each associated with some degree of uncertainty.

It is neither physically possible nor financially feasible to eliminate the scatter of input parameters completely. The reduction of scatter is typically associated with higher costs either through better and more precise manufacturing methods and processes or increased efforts in quality control; hence, accepting the existence of scatter and dealing with it rather than trying to eliminate it makes products more affordable and production of those products more cost-effective.

To deal with uncertainties and scatter, you can use the ANSYS Probabilistic Design System (PDS) to answer the following questions:

  • If the input variables of a finite element model are subjected to scatter, how large is the scatter of the output parameters? How robust are the output parameters? Here, output parameters can be any parameter that ANSYS can calculate. Examples are the temperature, stress, strain, or deflection at a node, the maximum temperature, stress, strain, or deflection of the model, etc.

  • If the output is subjected to scatter due to the variation of the input variables, then what is the probability that a design criterion given for the output parameters is no longer met? How large is the probability that an unexpected and unwanted event takes place (what is the failure probability)?

  • Which input variables contribute the most to the scatter of an output parameter and to the failure probability? What are the sensitivities of the output parameter with respect to the input variables?

Probabilistic design can be used to determine the effect of one or more variables on the outcome of the analysis. In addition to the probabilistic design techniques available, the ANSYS program offers a set of strategic tools that can be used to enhance the efficiency of the probabilistic design process. For example, you can graph the effects of one input variable versus an output parameter, and you can easily add more samples and additional analysis loops to refine your analysis.

3.1.1. Traditional (Deterministic) vs. Probabilistic Design Analysis Methods

In traditional deterministic analyses, uncertainties are either ignored or accounted for by applying conservative assumptions.

Uncertainties are typically ignored if the analyst knows for certain that the input parameter has no effect on the behavior of the component under investigation. In this case, only the mean values or some nominal values are used in the analysis. However, in some situations the influence of uncertainties exists but is still neglected; for example, the Young's modulus mentioned above or the thermal expansion coefficient, for which the scatter is usually ignored. Let's assume you are performing a thermal analysis and you want to evaluate the thermal stresses (thermal stresses are directly proportional to the Young's modulus as well as to the thermal expansion coefficient of the material). The equation is:

σtherm = E α ΔT

If the Young's modulus alone has a Gaussian distribution with a 5% standard deviation, then there is almost a 16% chance that the stresses are more than 5% higher than what you would think they are in a deterministic case. This figure increases if you also take into account that, typically, the thermal expansion coefficient also follows a Gaussian distribution.

Random Input Variables taken into account | Probability that the thermal stresses are more than 5% higher than expected | Probability that the thermal stresses are more than 10% higher than expected
Young's modulus (Gaussian distribution with 5% standard deviation) | ~16% | ~2.3%
Young's modulus and thermal expansion coefficient (each with Gaussian distribution with 5% standard deviation) | ~22% | ~8%

When a conservative assumption is used, this actually tells you that uncertainty or randomness is involved. Conservative assumptions are usually expressed in terms of safety factors. Sometimes regulatory bodies demand safety factors in certain procedural codes. If you are not faced with such restrictions or demands, then using conservative assumptions and safety factors can lead to inefficient and costly over-design. You can avoid over-design by using probabilistic methods while still ensuring the safety of the component.

Probabilistic methods even enable you to quantify the safety of the component by providing a probability that the component will survive operating conditions. Quantifying a goal is the necessary first step toward achieving it. Probabilistic methods can tell you how to achieve your goal.

3.1.2. Reliability and Quality Issues

Use probabilistic design when issues of reliability and quality are paramount.

Reliability is usually always a concern because product or component failures have significant financial consequences (costs of repair, replacement, warranty, or penalties); worse, a failure can result in injury or loss of life. Although perfection is neither physically possible nor financially feasible, probabilistic design helps you to design safe and reliable products while avoiding costly over-design and conserve manufacturing resources (machining accuracy, efforts in quality control, and so on).

Quality is the perception by a customer that the product performs as expected or better. In a quality product, the customer rarely receives unexpected and unpleasant events where the product or one of its components fails to perform as expected. By nature, those rare "failure" events are driven by uncertainties in the design. Here, probabilistic design methods help you to assess how often "failure" events may happen. In turn, you can improve the design for those cases where the "failure" event rate is above your customers' tolerance limit.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 3. Probabilistic Design 		Up / Home Next
3.2. Probabilistic Design Terminology


3.2. Probabilistic Design Terminology

To understand the terminology involved in probabilistic design, consider the following problem.

Find the scatter of the maximum deflection of a beam under a random load of snow. The snow should have a linear distribution along the length of the beam with a height of H1 at one end and a height of H2 at the other. The beam material is described by various parameters including the Young's modulus, for which a mean value and standard deviation have been derived.

Figure 3.1 A Beam Under a Snow Load

PDS Term Description

random input variables (RVs)

Quantities that influence the result of an analysis.

In probabilistic design, RVs are often called "drivers" because they drive the result of an analysis. You must specify the type of statistical distribution the RVs follow and the parameter values of their distribution functions.

For the beam example, the heights H1 and H2 and the Young's modulus E are clearly the random input variables. Naturally, the heights H1 and H2 cannot be negative and more often there will be little snow and only a few times there will be a lot of snow. Therefore, it might be appropriate to model the height of the snow as an exponential or a lognormal distribution, both of which have the bulk of the data at lower values.

correlation

Two (or more) RVs which are statistically dependent upon each other.

In the beam example, it is unlikely that one side of the roof (beam) supports a great deal of snow while almost no snow exists on the other. It is not necessary that H1 and H2 are exactly identical, but with a lot of snow then H1 and H2 both likely have larger values and with little snowfall then both would be lower. Therefore, H1 and H2 are correlated, although the correlation must not be mistaken for a direct mathematical dependency. In the beam example, no numerical dependency exists but rather a certain trend between the two heights; with this particular H1 and H2 it is unlikely that their values will be drastically different at any given point in time.

Note

Mathematical dependencies have some numerical dependence on each other. For example, a true correlation exists if, when one parameter value doubles, another parameter value also doubles.

random output parameters (RPs)

The results of a finite element analysis.

The RPs are typically a function of the RVs; that is, changing the values of the random input variables should change the value of the random output parameters. In our beam example, the maximum beam deflection is a random output parameter.

probabilistic design variables

The random input variables (RVs) and random output parameters (RPs) are collectively known as probabilistic design variables.

In the ANSYS Probabilistic Design System (PDS), you must identify which parameters in the model are RVs and which are RPs. You can define up to a total of 5,000 RVs and RPs.

sample

A unique set of parameter values that represents a particular model configuration.

A sample is characterized by random input variable values. If you measure the Young's modulus of a given beam, and the snow height on a given day at each end of that beam, then the three values for E, H1, and H2 would constitute one sample.

Think of a sample as one virtual prototype. Every component manufactured represents one sample, because you can measure its particular properties (material, geometry, etc.) and obtain specific values for each.

In statistics, however, sample also has a wider and more general use. For example, any single measured value of any physical property is considered to be one sample. Because a probabilistic analysis is based on a statistical evaluation of the random output parameters (RPs), the values of the RPs are also called samples.

simulation

The collection of all samples that are required or that you request for a given probabilistic analysis.

The simulation contains the information used to determine how the component would behave under real-life conditions (with all the existing uncertainties and scatter); therefore, all samples represent the simulation of the behavior.

analysis file

An ANSYS input file containing a complete analysis sequence (preprocessing, solution, and postprocessing).

The file must contain a parametrically defined model using parameters to represent all inputs and outputs to be used as RVs and RPs.

loop

or

simulation loop

A single pass through the analysis file.

In each loop, the PDS uses the values of the RVs from one sample and executes the user-specified analysis. The PDS collects the values for the RPs following each loop.

loop file

The probabilistic design loop file (Jobname.LOOP), created automatically by ANSYS via the analysis file.

The PDS uses the loop file to perform analysis loops.

probabilistic model

The combination of definitions and specifications for the deterministic model (in the form of the analysis file). The model has these components:

  • Random input variables (RVs)

  • Correlations

  • Random output parameters (RPs)

  • The selected settings for probabilistic method and its parameters.

If you change any part of the probabilistic model, then you will generate different results for the probabilistic analysis (that is, different results values and/or a different number of results). For example, modifying the analysis file may affect the results file. If you add or take away an RV or change its distribution function, you solve a different probabilistic problem (which again leads to different results). If you add an RP, you will still solve the same probabilistic problem, but more results are generated.

probabilistic design database (PDS database)

The database containing the current probabilistic design environment, which includes:

  • Random input variables (RVs)

  • Correlations between RVs

  • Random output parameters (RPs)

  • Settings for probabilistic methods

  • Which probabilistic analyses have been performed and in which files the results are stored

  • Which output parameters of which probabilistic analyses have been used for a response surface fit, the regression model that has been used for the fitting procedure, and the results of that fitting procedure.

The database can be saved (to Jobname.PDS) or resumed at any time. The results of a probabilistic analysis are not stored in the database but in separate files. The samples generated for a fitted response surface are in neither the database nor in files, because they can be regenerated very quickly. (Files consume disk space, and reading the files requires as much time as regenerating the sample data.)

mean value

A measure of location often used to describe the general location of the bulk of the scattering data of a random output parameter or of a statistical distribution function.

Mathematically, the mean value is the arithmetic average of the data. The mean value also represents the center of gravity of the data points. Another name for the mean value is the expected value.

median value

The statistical point where 50% of the data is below the median value and the 50% is above.

For symmetrical distribution functions (Gaussian, uniform, etc.) the median value and the mean value are identical, while for nonsymmetrical distributions they are different.

standard deviation

A measure of variability (dispersion or spread) about the arithmetic mean value, often used to describe the width of the scatter of a random output parameter or of a statistical distribution function.

The larger the standard deviation, the wider the scatter and the more likely it is that there are data values further apart from the mean value.

solution set

The collection of results derived from the simulation loops performed for a given probabilistic analysis.

The solution set includes the values of all random input variables and all random output parameters for all simulation loops of a probabilistic analysis. A unique label identifies each solution set.

response surface set

The collection of response surfaces derived from a fitting procedure (regression analysis) and the results derived from using the response surfaces for a probabilistic analysis.

A response surface set is identified by a unique response surface label.

remote host

A computer in your local area network used to execute a probabilistic analysis in parallel mode.

A remote host can have more than one CPU. In parallel processing, you can use multiple CPUs on remote hosts.

The following figure shows the flow of information during a probabilistic design analysis. Note that the analysis file must exist as a separate entity, and that the probabilistic design database is not part of the ANSYS model database.

Figure 3.2 Probabilistic Design Data Flow

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.1. Understanding Probabilistic Design 		Up / Home Next
3.3. Employing Probabilistic Design


3.3. Employing Probabilistic Design

You can approach an ANSYS probabilistic design as a batch run or interactively through the Graphical User Interface (GUI). The approach you take depends upon your experience and preference for interacting with the ANSYS program.

If you are familiar with ANSYS commands, you may want to perform the entire probabilistic design analysis by creating an ANSYS command input file and submitting it as a batch job. The command method may be more efficient for complex analyses (for example, nonlinear) requiring extensive run time.

The interactive features of probabilistic design offer flexibility and immediate feedback for review of loop results. When performing probabilistic design via the GUI, it is important to first establish the analysis file for your model.

The usual process for probabilistic design consists of the following general steps. The steps may vary slightly, depending on whether you are performing probabilistic design interactively (through the GUI) or in batch mode. The items in parentheses indicate which ANSYS processor is necessary to perform the given task.

  1. Create an analysis file for use during looping. The file should represent a complete analysis sequence and must do the following:

    • Build the model parametrically (PREP7).

    • Obtain the solution(s) (SOLUTION).

    • Retrieve and assign to parameters the quantities that will be used as random input variables and random output parameters (POST1/POST26).

  2. Establish parameters in the ANSYS database which correspond to those used in the analysis file. This step is typical, but not required (Begin or PDS); however, if you skip this step, then the parameter names are not available for selection in interactive mode.

  3. Enter PDS and specify the analysis file (PDS).

  4. Declare random input variables (PDS).

  5. Visualize random input variables (PDS). Optional.

  6. Specify any correlations between the RVs (PDS).

  7. Specify random output parameters (PDS).

  8. Choose the probabilistic design tool or method (PDS).

  9. Execute the loops required for the probabilistic design analysis (PDS).

  10. Fit the response surfaces (if you did not use a Monte Carlo Simulation method) (PDS).

  11. Review the results of the probabilistic analysis (PDS).

Because analyzing complex problems can be time-consuming, ANSYS offers you the option of running a probabilistic analysis on a single processor or distributing the analyses across multiple processors. By using the ANSYS PDS parallel run capabilities, you can run many analysis loops simultaneously and reduce the overall run time for a probabilistic analysis.

3.3.1. Create the Analysis File

The analysis file is crucial to ANSYS probabilistic design. The probabilistic design system (PDS) uses the analysis file to form the loop file, which in turn is used to perform analysis loops. Any type of ANSYS analysis (structural, thermal, magnetic, etc.; linear or nonlinear) may be incorporated into the analysis file.

The model must be defined in terms of parameters (both RVs and RPs). Only numerical scalar parameters are used by the PDS. You can use up to a total of 5000 parameters (RVs and RPs together). See Use ANSYS Parameters in the Modeling and Meshing Guide for a discussion of parameters. See the ANSYS Parametric Design Language Guide for a discussion of the ANSYS Parametric Design Language (APDL).

It is your responsibility to create and verify the analysis file. It must represent a clean analysis that will run from start to finish. Most nonessential commands (such as those that perform graphic displays, listings, status requests, etc.) should be stripped off or commented out of the file. Maintain only those display commands that you want to see during an interactive session (such as EPLOT), or direct desired displays to a graphics file (/SHOW). Because the analysis file will be used iteratively during probabilistic design looping, any commands not essential to the analysis will decrease efficiency.

You can create an analysis file by inputting commands line by line via a system editor, or you can create the analysis interactively in the ANSYS program and use the ANSYS command log as the basis for the analysis file.

Creating the file with a system editor is the same as creating a batch input file for the analysis. (If you are performing the entire probabilistic design in batch mode, the analysis file is usually the first portion of the complete batch input stream.) This method allows you full control of parametric definitions through exact command inputs. It also eliminates the need to clean out unnecessary commands later. If you are unfamiliar with ANSYS commands, however, this method may be inconvenient.

You prefer to perform the initial analysis interactively, and then use the resulting command log as the basis for the analysis file. In this case, you must edit the log file to make it suitable for probabilistic design looping. For more information about using the log files, see "Using the ANSYS Session and Command Logs" in the Operations Guide.

3.3.1.1. Sample Problem Description

The simple beam problem introduced earlier illustrates a probabilistic design analysis.

Figure 3.3 A Beam Under a Snow Load

Young's modulus is 20E4.

3.3.1.2. Build the Model Parametrically

PREP7 is used to build the model in terms of the RV parameters. For our beam example, the RV parameters are H1 (snow height at left end), H2 (snow height at right end), and the Young's modulus E.

...
!  Initialize ANSYS parameters:
H1=100                       ! Initialize snow height H1 @ left end (in mm)
H2=100                       ! Initialize snow height H2 @ right end(in mm)
YOUNG=200.0e3                ! Initialize the Young's modulus (in N/mm**2)
ROOFWDT=1000.0               ! Initialize roof width left and right of beam (in mm)
BWDT=10.0                    ! Initialize beam width (in mm)
BHGT=40.0                    ! Initialize beam height (in mm)
BLEN=3000.0                  ! Initialize beam length (in mm)
SNOWDENS = 200e-9            ! Density of snow (200 kg/m**3)
GRAVACC  = 9.81              ! Earth gravity (in N/kg)
LOAD1 = H1*GRAVACC*ROOFWDT*SNOWDENS  ! Pressure load due to snow @ left end
LOAD2 = H2*GRAVACC*ROOFWDT*SNOWDENS  ! Pressure load due to snow @ right end
DELLOAD = LOAD2-LOAD1
!
! Material definitions:
MP,EX,1,YOUNG                ! Young's modulus
MP,PRXY,1,0.3                ! Poisson's ratio
!
! Create the geometry (a line)
K,1,0,0,0                    ! keypoint at left end
K,2,BLEN,0,0                 ! keypoint at right end
L,1,2,100                    ! line between keypoints
!
! Mesh definitions
ET,1,BEAM3                   ! 2-D beam element
AREA=BWDT*BHGT               ! Beam cross-sectional area
IZZ=(BWDT*(BHGT**3))/12      ! Moment of inertia about Z
R,1,AREA,IZZ,BHGT            ! Real constants in terms of RV parameters
LATT,1,1,1
LMESH,1                      ! mesh the line
FINISH                       ! Leave PREP7
...

As mentioned earlier, you can vary virtually any aspect of the design: dimensions, shape, material property, support placement, applied loads, etc. The only requirement is that the design be defined in terms of parameters. The RV parameters (H1, H2, and E in this example) may be initialized anywhere, but are typically defined in PREP7.

Caution

If you build your model interactively (through the GUI), you will encounter many situations where data can be input through graphical picking (such as when defining geometric entities). Because some picking operations do not allow parametric input (and PDS requires parametric input), you should avoid picking operations. Instead, use menu options that allow direct input of parameters.

3.3.1.3. Obtain the Solution

The SOLUTION processor is used to define the analysis type and analysis options, apply loads, specify load step options, and initiate the finite element solution. All data required for the analysis should be specified: master degrees of freedom in a reduced analysis, appropriate convergence criteria for nonlinear analyses, frequency range for harmonic response analysis, and so on. Loads and boundary conditions may also be RVs as illustrated for the beam example here.

The SOLUTION input for our beam example could look like this:

...
/SOLU
ANTYPE,STATIC                  ! Static analysis (default)
D,1,UX,0,,,,UY                 ! UX=UY=0 at left end of the beam
D,2,UY,0,,,,                   ! UY=0 at right end of the beam
!D,2,UX,0,,,,UY                ! UX=UY=0 at right end of the beam
elem=0
*get,numele,ELEM,,COUNT
*DO,i,1,numele
  elem=elnext(elem)            ! get number of next selected element
  node1=NELEM(elem,1)          ! get the node number at left end
  node2=NELEM(elem,2)          ! get the node number at right end
  x1 = NX(node1)               ! get the x-location of left node
  x2 = NX(node2)               ! get the x-location of rigth node
  ratio1 = x1/BLEN
  ratio2 = x2/BLEN
  p1 = LOAD1 + ratio1*DELLOAD  ! evaluate pressure at left node
  p2 = LOAD1 + ratio2*DELLOAD  ! evaluate pressure at left node
  SFBEAM,elem,1,PRES,p1,p2     ! Transverse pressure varying linearly
                               ! as load per unit length in negative Y
*ENDDO
SOLVE
FINISH                         ! Leave SOLUTION
...

This step is not limited to just one analysis. You can, for instance, obtain a thermal solution and then obtain a stress solution (for thermal stress calculations).

If your solution uses the multiframe restart feature, all changes to the parameter set that are made after the first load step will be lost in a multiframe restart. To ensure that the correct parameters are used in a multiframe restart, you must explicitly save (PARSAV) and resume (PARESU) the parameters for use in the restart. See the Basic Analysis Guide for more information on multiframe restarts.

3.3.1.4. Retrieve Results and Assign as Output Parameters

This is where you retrieve results data and assign them to random output parameters to be used for the probabilistic portion of the analysis. Use the *GET command (Utility Menu> Parameters> Get Scalar Data), which assigns ANSYS calculated values to parameters, to retrieve the data. POST1 is typically used for this step, especially if the data are to be stored, summed, or otherwise manipulated.

In our beam example, the maximum deflection and the maximum stress of the beam are random output parameters (RPs). The parameters for these data may be defined as follows:

...
/POST1
SET,FIRST
NSORT,U,Y               ! Sorts nodes based on UY deflection
*GET,DMAX,SORT,,MIN     ! Parameter DMAX = maximum deflection
!
! Derived data for line elements are accessed through ETABLE:
ETABLE,VOLU,VOLU        ! VOLU = volume of each element
ETABLE,SMAX_I,NMISC,1   ! SMAX_I = max. stress at end I of each
                        !  element
ETABLE,SMAX_J,NMISC,3   ! SMAX_J = max. stress at end J of each
                        !  element
!
ESORT,ETAB,SMAX_I,,1    ! Sorts elements based on absolute value
                        !  of SMAX_I
*GET,SMAXI,SORT,,MAX    ! Parameter SMAXI = max. value of SMAX_I
ESORT,ETAB,SMAX_J,,1    ! Sorts elements based on absolute value
                        !  of SMAX_J
*GET,SMAXJ,SORT,,MAX    ! Parameter SMAXJ = max. value of SMAX_J
SMAX=SMAXI>SMAXJ        ! Parameter SMAX = greater of SMAXI and
                        !  SMAXJ, that is, SMAX is the max. stress
FINISH
...

See the *GET and ETABLE commands for more information.

3.3.1.5. Prepare the Analysis File

If you choose to create your model interactively in ANSYS, you must now derive the analysis file from the interactive session. Use the command log or the session log file to do so. For more information on using these log files, see "Using the ANSYS Session and Command Logs" in the Operations Guide.

Note

Do not use the /CLEAR command in your analysis file as this will delete the probabilistic design database during looping. If this happens, the random input variables are no longer recognized during looping and you will get the same (deterministic) results for all simulation loops. However resume the ANSYS database using the RESUME command as part of your analysis file. For example, this is helpful if the variations of the random input variables do not require that meshing is done in every loop (because the mesh is not effected). In this case you can mesh your model, save the ANSYS database, and resume the database at the beginning of the analysis file.

3.3.2. Establish Parameters for Probabilistic Design Analysis

After completing the analysis file, you can begin the probabilistic design analysis. (You may need to reenter ANSYS if you edited the analysis file at the system level.)

When performing probabilistic design interactively, it is advantageous (but optional) to first establish the parameters from the analysis file in the ANSYS database. (It is unnecessary to do so in batch mode.)

To establish the parameters in the database:

  • Resume the database file (Jobname.DB) associated with the analysis file. This establishes your entire model database in ANSYS, including the parameters. To resume the database file:

    Command(s): RESUME
    GUI: Utility Menu> File> Resume Jobname.db
    Utility Menu> File> Resume from

  • Read the analysis file into ANSYS to perform the complete analysis. This establishes your entire model database in ANSYS, but might be time-consuming for a large model. To read the analysis file:

    Command(s): /INPUT
    GUI: Utility Menu> File> Read Input from

  • Restore only the parameters from a previously saved parameter file; that is, read in a parameter file that you saved using either the PARSAV command or the Utility Menu> Parameters> Save Parameters menu path. To resume the parameters:

    Command(s): PARRES
    GUI: Utility Menu> Parameters> Restore Parameters

  • Recreate the parameter definitions as they exist in the analysis file. Doing this requires that you know which parameters were defined in the analysis file.

    Command(s): *SET
    GUI: Utility Menu> Parameters> Scalar Parameters

You may choose to do none of the above, and instead use the PDVAR command to define the parameters that you declare as probabilistic design variables. See Declare Random Input Variables for information on using PDVAR.

Note

The ANSYS database does not need to contain model information corresponding to the analysis file to perform probabilistic design. The model input is automatically read from the analysis file during probabilistic design looping.

3.3.3. Enter the PDS and Specify the Analysis File

The remaining steps are performed within the PDS processor.

Command(s): | /PDS
GUI: | Main Menu> Prob Design

In interactive mode, you must specify the analysis file name. This file is used to derive the probabilistic design loop file Jobname.LOOP. The default for the analysis file name is Jobname.pdan. You can also specify a name for the analysis file:

Command(s): | PDANL
GUI: | Main Menu> Prob Design> Analysis File> Assign

For a probabilistic design run in batch mode, the analysis file is usually the first portion of the batch input stream, from the first line down to the first occurrence of /PDS. In batch mode, the analysis file name defaults to Jobname.BAT (a temporary file containing input copied from the batch input file). Therefore, you normally do not need to specify an analysis filename in batch mode. However, if for some reason you have separated the batch probabilistic design input into two files (one representing the analysis and the other containing all probabilistic design operations), then you will need to specify the analysis file using PDANL after entering the PDS (/PDS).

Note

In the analysis file, the /PREP7 and /PDS commands must occur as the first nonblank characters on a line. (Do not use the $ delimiter on a line containing either of these commands.) This requirement is necessary for proper loop file construction.

You cannot assign a different analysis file using the PDANL command after a probabilistic analysis has been performed. This ensures the integrity of the previously generated results with the specified probabilistic model.

Of course, ANSYS cannot restrain you from editing the analysis file or exchanging it with system level commands. If you do so, then it is your responsibility to ensure the integrity of the generated results with the definitions in the analysis file. If you are not sure that this integrity is maintained or if you know that it is not, then we recommend that you save the current PDS database via the PDSAVE command and then clear the probabilistic analysis results from the probabilistic design database using the PDCLR, POST command. The PDCLR command does not delete the result files that have been generated; it erases the link to the result files from the database.

In the example of a beam supporting a roof with a snow load you could store the analysis file in a macro called "beam.mac". Here, the analysis is specified with the commands:

...
/PDS
PDANL,beam,mac
...

3.3.4. Declare Random Input Variables

The next step is to declare random input variables, that is, specify which parameters are RVs. As mentioned earlier, the PDS allows for a combined total of 5000 random input variables and random output parameters. To declare random input variables:

Command(s): | PDVAR
GUI: | Main Menu> Prob Design> Prob Definitns> Random Input

If the parameter name that you specify with the PDVAR command is not an existing parameter, the parameter is automatically defined in the ANSYS database with an initial value of zero.

For random input variables you must specify the type of statistical distribution function used to describe its randomness as well as the parameters of the distribution function. For the distribution type, you can select one of the following:

  • Gaussian (Normal) (GAUS):

    You provide values for the mean value μ and the standard deviation σ of the random variable x.

  • Truncated Gaussian (TGAU):

    You provide the mean value μ and the standard deviation σ of the non-truncated Gaussian distribution and the truncation limits xmin and xmax.

  • Lognormal option 1 (LOG1):

    You provide values for the mean value μ and the standard deviation σ of the random variable x. The PDS calculates the logarithmic mean ξ and the logarithmic deviation δ:

  • Lognormal option 2 (LOG2):

    You provide values for the logarithmic mean value ξ and the logarithmic deviation δ. The parameters ξ and δ are the mean value and standard deviation of ln(x):

  • Triangular (TRIA):

    You provide the minimum value xmin, the most likely value limit xmlv and the maximum value xmax.

  • Uniform (UNIF):

    You provide the lower and the upper limit xmin and xmax of the random variable x.

  • Exponential (EXPO):

    You provide the decay parameter λ and the shift (or lower limit) xmin of the random variable x.

  • Beta (BETA):

    You provide the shape parameters r and t and the lower and the upper limit xmin and xmax of the random variable x.

  • Gamma (GAMM):

    You provide the decay parameter λ and the power parameter k.

  • Weibull (Type III smallest) (WEIB):

    You provide the Weibull characteristic value xchr , the Weibull exponent m and the minimum value xmin. Special cases: For xmin = 0 the distribution coincides with a two-parameter Weibull distribution. The Rayleigh distribution is a special case of the Weibull distribution with α = xchr - xmin and m = 2.

You may change the specification of a previously declared random input variable by redefining it. You may also delete a probabilistic design variable (PDVAR,Name,DEL). The delete option does not delete the parameter from the database; it simply deactivates the parameter as a probabilistic design variable.

Note

Changing the probabilistic model by changing a random input variable is not allowed after a probabilistic analysis has been performed. This ensures the integrity of the previously generated results with the specified probabilistic model. If you need to change one or more random input variables (for example, because you learned that some specifications were incorrect after running an analysis), then we recommend that you save the current PDS database (using the PDSAVE command) and then clear the probabilistic analysis results from the probabilistic design database (using the PDCLR,POST command). The PDCLR command does not delete the result files that have been generated, it simply removes the link to the results file from the database.

In the example of a beam supporting a roof with a snow load, you could measure the snow height on both ends of the beam 30 different times. Suppose the histograms from these measurements look like the figures given below.

Figure 3.4 Histograms for the Snow Height H1 and H2

From these histograms you can conclude that an exponential distribution is suitable to describe the scatter of the snow height data for H1 and H2. Suppose from the measured data we can evaluate that the average snow height of H1 is 100 mm and the average snow height of H2 is 200 mm. The parameter λ can be directly derived by 1.0 divided by the mean value which leads to λ1 = 1/100 = 0.01 for H1, and λ1 = 1/200 = 0.005 for H2. From measurements of the Young's modulus you see that the Young's modulus follows a Gaussian distribution with a standard deviation of 5%. Given a mean value of 200,000 N/mm2 for the Young's modulus this gives a standard deviation of 10,000 N/mm2. These definitions can be specified using the following commands:

...
PDVAR,H1,EXPO,0.01
PDVAR,H2,EXPO,0.005
PDVAR,YOUNG,GAUS,200000,10000
...

3.3.5. Visualize Random Input Variables

After you define your random input variables, you should use ANSYS' visual tools to verify them. You can plot individual RVs, and you can obtain specific information about them through an inquiry.

Command(s): | PDPLOT, PDINQR
GUI: | Main Menu> Prob Design> Prob Definitns> Plot Main Menu> Prob Design> Prob Definitns> Inquire

The PDPLOT command plots the probability density function as well as the cumulative distribution function of a defined random input variable. This allows you to visually check that your definitions are correct.

Use the PDINQR command to inquire about specific information for a defined random input variable by retrieving statistical properties or probing the two function curves that are plotted with the PDPLOT command. For example you can inquire about the mean value of a random input variable or evaluate at which value the cumulative distribution function reaches a certain probability. The result of this inquiry is stored in a scalar ANSYS parameter.

3.3.6. Specify Correlations Between Random Variables

In a probabilistic design analysis, random input variables can have specific relationships to each other, called correlations. If two (or more) random input variables are statistically dependent on each other, then there is a correlation between those variables.

To define these correlations:

Command(s): | PDCORR
GUI: | Main Menu> Prob Design> Prob Definitns> Correlation

You specify the two random input variables for which you want to specify a correlation, and the correlation coefficient (between -1 and 1). To remove a correlation, enter DEL in the correlation coefficient field (PDCORR,Name1,Name2,DEL)

In the example of a beam supporting a roof with a snow load, the data for the snow height indicates that there is a correlation between the snow height at one end versus the snow height at the other end. This is due to the fact that it is unlikely that one end of the beam has very little snow (or no snow at all) at the same time that the other end carries a huge amount of snow. In the average the two snow heights tend to be similar. This correlation is obvious if you plot the measured data values for H2 versus the data value for H1. This scatter plot looks like this:

Figure 3.5 A Scatter Plot of Snow Height H1 vs. H2

Performing a statistical evaluation of the data, we can conclude that the linear correlation coefficient between the values of H1 and H2 is about 0.8. You can define this correlation using the commands:

...
PDVAR,H1,EXPO,0.01
PDVAR,H2,EXPO,0.005
PDCORR,H1,H2,0.8
...

You may have a more complex correlation where you have a spatial dependency. If so, you can use the PDCFLD command to calculate a correlation field and store it into an ANSYS array.

Random fields are random effects with a spatial distribution; the value of a random field not only varies from simulation to simulation at any given location, but also from location to location. The correlation field describes the correlation coefficient between two different spatial locations. Random fields can be either based on element properties (typically material) or nodal properties (typically surface shape defined by nodal coordinates). Hence, random fields are either associated with the selected nodes or the selected elements. If a random field is associated with elements, then the correlation coefficients of the random field are calculated based on the distance of the element centroids.

Note that for correlation fields, the “domain distance” D({xi} , {xj}) is not the spatial distance |{xi} - {xj}|, but the length of a path between {xi} and {xj} that always remains inside the finite element domain. However, exceptions are possible in extreme meshing cases. For elements that share at least one node, the PDCFLD evaluates the distance by directly connecting the element centroids with a straight line. If these neighboring elements form a sharp inward corner then it is possible that the “domain distance” path lies partly outside the finite element domain, as illustrated below.

After the correlation coefficients have been calculated and stored in an ANSYS parameter (PDCFLD,ParR), then you can use the PDCORR command to define the correlations between the elements of the random field.

Note

When specifying one variable (A) with correlations to two or more other variables (B, C, etc.), be certain that you consider the relationship implied between the other variables B and C, etc. If you specify high correlations between A and B and A and C, without specifying the relationship between B and C, you might receive an error. Specifying a relatively high correlation between A and B, with only a moderate correlation between A and C might work because the logical correlation between B and C could still be low or nonexistent.

Example

The structure illustrated below is modeled with 12 elements. We will evaluate the domain distances of the element centroids.

First, build the finite element structure:

...
/PREP7
et,1,shell63
! create the nodes
N,1,0,4
N,2,1,4
N,3,2,4
N,4,3,4
N,5,4,4
N,6,0,3
N,7,1,3
N,8,2,3
N,9,3,3
N,10,4,3
N,11,1,2
N,12,2,2
N,13,3,2
N,14,4,2
N,15,0,1
N,16,1,1
N,17,2,1
N,18,3,1
N,19,4,1
N,20,0,0
N,21,1,0
N,22,2,0
N,23,3,0
N,24,4,0
! create the elements
E,1,2,7,6
E,2,3,8,7
E,3,4,9,8
E,4,5,10,9
E,7,8,12,11
E,9,10,14,13
E,11,12,17,16
E,13,14,19,18
E,15,16,21,20
E,16,17,22,21
E,17,18,23,22
E,18,19,24,23
...

Next, calculate the domain distances and store the results in the array “elemdist”:

...
/PDS
PDCFLD,elemdist,ELEM,DIST
...

Finally, get all the element domain distances and print them:

...
*GET,numsel,ELEM,0,COUNT    ! Get the number of selected elements
!
! Outer loop through all selected elements from first to last
index=0
elem1=0
! Pipe output to file
/OUT,elements,dat
*DO,i,1,numsel
  elem1=ELNEXT(elem1)       ! get number of next selected element
  *IF,elem1,EQ,0,CYCLE      ! Leave do loop if no more elements
  !
  ! Inner loop through selected elements from "elem1+1" to last
  elem2=elem1
  *DO,j,i+1,numsel
    elem2=ELNEXT(elem2)     ! get number of next selected element
    *IF,elem2,EQ,0,CYCLE    ! Leave do loop if no more elements
    index=index+1
    !
    ! Print out the element distance
    *MSG,INFO,elem1,elem2,elemdist(index)
    Distance between element %i and %i is %g
  *ENDDO                     ! go to next element for inner loop
*ENDDO                       ! go to next element for outer loop
...

The print out will show that for the structure illustrated above the "domain distance" between the element centroids of elements 1 and 9 is 3.8284 and between the element centroids of elements 1 and 12 it is 4.8284. The paths related to these distances are sketched in the illustration with a solid line and a dashed line respectively. In this example there are 12 elements, thus the array "elemdist" has a length of 12*(12-1) = 66.

3.3.7. Specify Random Output Parameters

After declaring your input variables and correlations among them you must define the random output parameters. The random output parameters (RPs) are results parameters that you are interested in. To define random output parameters:

Command(s): | PDVAR,Name,RESP
GUI: | Main Menu> Prob Design> Prob Definitns> Random Output

3.3.8. Choose a Probabilistic Design Method

In the Probabilistic Design System, several probabilistic design methods are available.

You can select one of two primary methods, the Monte Carlo Simulation (default) or the Response Surface Method.

Options under the Monte Carlo Simulation method include the Latin Hypercube Sampling method (default) and the Direct Monte Carlo Sampling method.

Options under the Response Surface Method include the Central Composite Design and the Box-Behnken Matrix Design method.

Both the Monte Carlo Simulation and the Response Surface Methods allow a user-defined option. See the PDDMCS, PDLHS, and the PDDOEL, commands or Probabilistic Design Techniques for further details about these methods.

To specify a method to be used for probabilistic design looping:

Command(s): | PDMETH
GUI: | Main Menu> Prob Design> Prob Method> Monte Carlo Sims Main Menu> Prob Design> Prob Method> Response Surface

Note

To use Response Surface Methods, the random output parameters must be smooth and continuous functions of the involved random input variables. Do not use Response Surface Methods if this condition is not satisfied.

3.3.8.1. Probabilistic Method Determination Wizard

You can use the Probabilistic Method Determination Wizard to find the fastest method for solving your probabilistic analysis. You should have completed one analysis prior to starting the wizard.

Use Main Menu> Prob Design> Prob Method> Methods Wizard to access the wizard. Answer the questions on the screens as they are presented. Before you start the wizard, you should know:

  • How long did it take to run the analysis file (hours, minutes, seconds)? Or, you should give an estimation of the time it will take if you haven't run the analysis yet.

  • How many CPUs are available to run the probabilistic analysis (if running parallel processing)?

  • Is your output parameter a smooth/continuous function of the input parameters?

  • What results are you interested in evaluating? Options are mean values, standard deviation, sensitivities, or acceptable part failures.

Below is one of the wizard screens, as an example.

Figure 3.6 The PDS Method Determination Wizard

Based on the information you provide, the wizard will tell you the fastest method for solving your probabilistic design problem. The wizard will issue the PDMETH command and either the PDLHS or the PDDOEL command. You will still need to run the analysis, then fit the results to a response surface, etc. to evaluate your results.

3.3.9. Execute Probabilistic Analysis Simulation Loops

You can execute your analysis on your computer alone (serial execution), or using other computers in your network to save running time and speed processing (parallel execution).

If you want to use serial processing only, select the serial option from the Run menu.

If you want to run parallel analyses on multiple CPUs, you must first set the parallel options before performing the analysis. (See PDS Parallel Analysis Runs for more details).

Command(s): | PDEXE
GUI: | Main Menu> Prob Design> Run> Exec Serial> Run Serial Main Menu> Prob Design> Run> Exec Parallel> Run Parallel

Caution

For security reasons ANSYS strongly recommends that you use parallel processing only within the firewall of your local area network.

If you choose serial processing to perform a probabilistic analysis then you will utilize only the CPU of the computer you are working on. If you have access to only one license of ANSYS or if you have access to only one computer, then this is the only way in which you can run a probabilistic analysis. While the simulation loops are running in serial mode, your ANSYS session is locked (you cannot perform other tasks in the same ANSYS session). If you are running your ANSYS session in interactive mode then the simulation loops are also performed in interactive mode. If you are running your ANSYS session in batch mode then the simulation loops are performed in batch mode.

If you choose the PDS parallel-processing option, you can use other CPUs that you have access to for running the probabilistic analysis. PDS parallel processing can distribute the necessary jobs in a local area network. With this option, the simulation loops are sent to CPUs that you can specify, where they are executed in "server mode." This looks the same as a batch run (in other words, there is no interactive visualization during the execution of a simulation loop). While the simulation loops are running in parallel mode, your ANSYS session is locked; however, you can instruct the ANSYS session to start postprocessing the probabilistic results as they are calculated so you can review and visualize the results before all simulation loops are finished.

In parallel processing, you can monitor the running jobs and the completed results.

When using parallel-processing, for n available licenses, n - 1 will be available for PDS solutions, as one license is used as a PDS administrator. For example, if you have 8 licenses available, you will be able to run 7 PDS solutions concurrently.

3.3.9.1. Probabilistic Design Looping

Regardless of whether you opt for serial or parallel processing, ANSYS controls the analysis looping; you cannot modify this process. It does the following:

  • Always reads the analysis file from the beginning.

  • Always ignores the RV settings and replaces their value with the derived value that the probabilistic method has assigned to an RV for a particular loop.

  • Always reads the PDS database after each loop.

For the execution of the simulation loops you must specify a solution label (Slab on the PDEXE command). The solution label is used for several purposes:

  • The results are stored in an ASCII readable file under the name "jobname_Slab.pdrs". Here, Slab is the user-specified solution label.

  • If you want to fit response surfaces to the results of the random output parameters then you need to specify the solution label to indicate which set of results you want to use for the fitting procedure.

  • If you want to postprocess the results generated with the PDEXE command then you must specify the solution label to indicate which results you want to postprocess.

When you execute the probabilistic analysis (PDEXE), ANSYS creates a probabilistic design loop file (Jobname.LOOP) from the analysis file. This loop file is used to perform analysis loops. Looping continues until all parameters have been evaluated.

If a loop is interrupted due to an error in the execution run (for example, a meshing failure, a non-converged nonlinear solution, etc.), ANSYS PDS aborts that loop. Further processing depends if you are in serial or parallel processing mode. If you are using:

  • Serial interactive processing: you can choose to terminate when you receive the error, or continue processing.

  • Serial batch processing: processing terminates at the first error.

  • Parallel processing: processing terminates if the allowed number of failed loops is exceeded (set in PDEXE), otherwise it continues.

Note that for all failed loops (loops with errors), the results for that loop are discarded, no data from that loop is used for post processing.

After the PDEXE command is issued, the PDS generates a file containing the input sample values. The file is called jobname.samp. An example of the content of the file is given below:

TEST1
ITER CYCL     LOOP                X1                X2                X3
   1    1        1  1.619379209e+000  2.364528435e-001  1.470789050e+000
   1    1        2  2.237676559e-001  5.788049712e-001  1.821263115e+000
   1    1        3  7.931615474e+000  8.278689033e-001  2.170793522e+000
  ..   ..       ..               ...               ...               ...
  ..   ..       ..               ...               ...               ...

The first line contains the solution label (the parameter Slab is set via the PDEXE command); the second line contains the headers of the data columns - the iteration number, cycle number, loop number, and the random variable names. The iteration number and cycle number tell the PDS to which group (with specific PDS method and settings) the loops belong. Subsequent lines provide specific iteration, cycle, loop, and input sample values for the defined input variables.

The PDS also creates a file where the results are stored. The name of the results file is jobname_Slab.pdrs. Before the job is executed, the file looks like this:

TEST1
  ITER CYCL     LOOP ERR            X1           X2           X3       RESULT

In the first line, the PDS enters the solution label. In the second line are the headers for the data columns: the first four columns are the iteration, cycle number, loop number, and an error flag. The fifth and subsequent columns are for the random input variable and random output parameter values. If you run a subsequent analysis (same type of analysis with the same solution label), the cycle is incremented, the loop count is reset to 1, and the result file is appended.

For example, the content of the result file could look like this:

TEST1
ITER CYCL     LOOP ERR                X1                X2                X3            RESULT
   1    1        1   0  1.619379209e+000  2.364528435e-001  1.470789050e+000  4.162928057e+000
   1    1        2   0  2.237676559e-001  5.788049712e-001  1.821263115e+000  4.744249212e+000
   1    1        3   0  7.931615474e+000  8.278689033e-001  2.170793522e+000  1.149997825e+001
  ..   ..       ..  ..               ...               ...               ...               ...
  ..   ..       ..  ..               ...               ...               ...               ...

Note

Loops ending with an ANSYS error are deemed "not trustworthy", i.e. if the loop lead to an error, then the calculated results are probably wrong. Those loops will have the error flag in the fourth column set to "1" instead of "0". Those loops will be excluded from the probabilistic post-processing altogether, i.e. the loops will not be used for the response surface fitting and also the statistical analysis in connection with a Monte Carlo simulation will skip those loops.

3.3.9.2. Serial Analysis Runs

Serial execution of the probabilistic analysis is useful for smaller models, or if you have access to only one machine.

Command(s): | PDEXE
GUI: | Main Menu> Prob Design> Run> Exec Serial> Run Serial

3.3.9.3. PDS Parallel Analysis Runs

To save time when analyzing large models with PDS, use the parallel processing option available under the PDEXE command, if you have multiple CPUs available.

To successfully execute a probabilistic analysis in parallel mode you need to follow three steps:

  1. Configure the remote machines that you want to use for parallel processing. See Machine Configurations for details. You must have account privileges on all remote hosts.

  2. Configure the local machine that you want to use for managing the parallel processing. See Configuring the Master Machine for details.

  3. Start the parallel execution.

Each of these steps is explained in detail in the following sections.

An understanding of the following terms will be useful in the discussion of the parallel analysis.

  • Simulation: A simulation is a set of input variables used with the analysis file to produce the output variables

  • Parent Process: The parent process is the ANSYS executable which manages the creation of input parameters, communication with child processes, and postprocessing of output parameters (i.e. this is where the ANSYS session runs, which you started to perform a probabilistic design analysis). There is only one parent process for a parallel analysis.

  • Child Process: A child process is an ANSYS server running on a particular slave machine which processes a simulation. There can be any number of children for a given parent process.

  • Master Machine: This is the machine on which you are running the ANSYS parent process. If this machine has more than one CPU you may want to also use it as a slave machine.

  • Slave Machine: This is the name of the machine on which you are running the ANSYS child process. If the slave machine has more than one CPUyou may want to run more than one child process.

  • ANSYS Nanny: This is a program in the parent process that starts a child process on a slave machine; manages the transfer of files and data between the parent process and child processes and eventually terminates the child processes on the various slave machines and removes temporary files.

  • ANSYS Thin Server: This is an application, which must be running on the slave machine, which is responsible for tranferring files between the master machine and slave machine as well as starting an ANSYS session for each child process. This application may be started automatically (remote shell option) or you can start it manually (connection port option).

  • ANSYS Server: This is the ANSYS application using TCP/IP which receives commands and return information to the parent process (client-server).

  • Connection Port: This is the port on which the ANSYS Thin Server accepts connections from a Master Machine.

  • Communication Port: This is a port on which the ANSYS Thin Server will allow communications from a Master Machine.

Caution

For security reasons, ANSYS recommends that you use parallel processing within your local network protected by a firewall. There is minimal security when using the ANSYS Thin Server. The client that connects to the server has all of the permissions allowed by the person or account starting the ANSYS Thin Server.

3.3.9.3.1. Machine Configurations

The slave machines host one or more child processes. To be able to host a child process the slave machine must have the ANSYS Thin Server running. The ANSYS Thin Server may be started automatically using the remote shell option or manually using the connection port option.

3.3.9.3.1.1. Choosing Slave Machines

You can designate any machine that has a licensed copy of ANSYS installed as a remote host (slave machine) but it is a good practice to follow these guidelines when selecting remote hosts:

  • Use idling computer power. During regular work hours, computers usually have designated "owners" using the machines for interactive work. Using these computers for parallel processing can slow down the machine performance and possibly disturb your colleagues in their work. However, computers are usually idle at night and can then be used without disturbing others.

  • Use machines that are dedicated as computer servers. There might be some computers in your work environment that are not used for interactive work at all. It is fairly safe to use these computers as remote hosts for parallel-processing at all times.

  • Check with your System Administrator for additional guidelines.

3.3.9.3.1.2. Using the Remote Shell Option

With this option the ANSYS Thin Server is started and configured to communicate with the Master machine automatically. To use the remote shell option requires the following on each slave machine:

  • A remote shell daemon must be running

  • An account that the master machines remote shell command can communicate with

  • The master machine and user name must be granted access for the account

  • The installation path for the ANSYS executable must be in the lookup path

  • A valid ANSYS license available for the child process

Remote Shell Daemon

Your system administrator should install and configure your machine to assure that this daemon or service is running. The PC does not ship with a remote shell daemon facility so you will need to acquire one (you may use the connection port ooption instead).

Back To Top

Account

Your system administrator should create an account specifically for you or an account utilized only for PDS parallel.

Back To Top

Account Access

Depending on how and which remote shell daemon is installed it will need to know which master machines and users can access this account. This is typically done using the .rhosts file located in the account's HOME directory, refer to the documentation for your particular remote shell daemon. So for example:

On all slave machines edit/create the ".rhosts"-file in your home directory to include:

MasterMachine1 UserId
MasterMachine2 UserId
MasterMachine3 UserId
MasterMachine4 UserId
…
each on a separate line. This will allow the user with the account user identification UserId to access the slave machine from the master machines listed in the file using the remote shell service.

Back To Top

ANSYS in PATH

To be able to run the parallel process the ANSYS executable and ANSYS Thin Server script must be in your path. The most effective way to determine this is to do the following.

Determining if the ANSYS executable is in your path:

On the master machine use the command "rsh SlaveMachine which ansys110" (replace rsh by remsh if master machine is an HP machine). This should return the string

…/ansys110/bin

Here "…" is for the directory where ANSYS is installed. If you do not get this then you need to modify your PATH variable to contain the installation path. The way this is done depends on the operating system being used, refer to the documentation for your particular O/S environment. Here are some examples for typical uses:

Back To Top

UNIX

To change the PATH requires you to modify a certain system file depending which shell you are running under. To find out which shell you are using, issue the UNIX command

echo $shell or echo $SHELL

If the prompt is "/bin/csh" or similar, then you are running under c-shell. If the prompt is "/bin/ksh" or similar, then you are running under k-shell. If the prompt is "/bin/tcsh" or similar, then you are running under tc-shell, which can be treated the same as c-shell.

If you are running under c-shell (or tc-shell) you need include the following line at the end of your ".cshrc"-file in your home directory:

set path=( .../ansys110/bin $path)

If you are running under k-shell you need include the following line at the end of your ".kshrc"-file in your home directory:

export PATH={ .../ansys110/bin $PATH }

If you don't have a ".cshrc"-file or ".kshrc"-file in your home directory, then you need to create one and include the respective commands mentioned above.

Back To Top

PC

To change the PATH variable go to Control Panel and choose System on the Advanced tab choose Environment Variables and add the ANSYS executable to the PATH under System variables.

Determining if the ANSYS Thin Server script is in your path:

On the master machine issue the command "rsh SlaveMachine which ansysts110". This should return the string

…/ansys110/bin

Here "…" is for the directory where ANSYS is installed. If you do not get this then you need to modify your PATH variable as outlined above.

Back To Top

Licensing

If the licensing is not managed from a license server, but installed locally then the access to the license must be made available. Include the following line at the end of your ".cshrc"-file or ".kshrc-file in your home directory depending which shell you are running under (see above):

setenv ANSYSLMD_LICENSE_FILE. ../shared_files/licensing/FileName.lic

Here "…" is for the directory where ANSYS is installed. The name "FileName.lic" is for the file containing the license key.

3.3.9.3.1.3. Using the Connection Port Option

With this option the communication between the ANSYS Nanny and the ANSYS Thin Server is manually configured and started. The ANSYS Nanny running on a master machine can only make a connection to an ANSYS Thin Server using a specific connection port. The ANSYS Nanny reads the connection port from the "hosts110.ans"-file. When the ANSYS Thin Server is started, with the same specific connection port, it reads the file "AnsysClients" from the same directory it is started within to determine the communication ports and master machines with which it will communicate.

The purpose of these two different port numbers is a two-level authentication mechanism. You can only use an ANSYS Thin Server on a certain slave machine, if you know which connection port it is using and those communication ports from which it will accept communications. If the connection port is not correct, then you will not be able to even make a connection to the ANSYS Thin Server. If the communication port number is incorrect, then the ANSYS Thin Server will refuse the connection.

To use the connection port option requires the following on each slave machine:

  • An account that you have access to

  • The installation path for the ANSYS executable must be in the lookup path

  • Configuring the AnsysClients file

  • A valid ANSYS license available for the child process

  • Start the ANSYS Thin Server

  • Stop the ANSYS Thin Server

Account

Your system administrator should create an account specifically for you.

Back To Top

ANSYS in PATH

See Using the Remote Shell Option for information on how to place the ANSYS executable in your path.

Back To Top

AnsysClients

The AnsysClients file is read by the ANSYS Thin Server on startup and must be in the directory in which you are going to run the ANSYS Thin Server. This file must contain a list of each master machine IP address and the communication port that the ANSYS Thin Server will accept communications from. The master machine's IP address must be used, but may be specified with a wildcard to allow connection from a network domain. The communication port is to be a value between 49512 and 65535. The communication port can also be specified as a range, which allows for that many connections. It is best to always specify a range for the communication port numbers. For example:

10.3.* 59100-59130
10.3.20.1 59200-59230
10.2.5.55 59300-59330
10.1.1.104 59400-59430
192.1.10.34 59500-59530
…
…

Make sure that the port number ranges are not overlapping and are unique for each master machine or network domain. You should make the range at least as wide as the number of possible users connecting from a master machine.

Back To Top

Start the ANSYS Thin Server

Starting on a PC

On a PC open a command prompt window and go to the directory containing the AnsysClients file mentioned above.

Issue the command: ansysts110 connection port

This will start the ANSYS Thin Server using the specific connection port. The value of connection port is the port on which the master machines will connect to the ANSYS Thin Server. The value of "connection_port" should be between 49512 and 65535. For example:

ansysts110 62000

The ANSYS Thin Server will start without any message and will continue running until the command prompt window is closed or using Ctrl-C to stop the process. The command prompt window may be minimized.

Starting on a UNIX Machine

On a UNIX machine go to the directory containing the AnsysClients file mentioned above.

Issue the command: ansysts110 connection_port &

This will start the ANSYS Thin Server using the specific connection port. The value of connection port is the port on which the master machines will connect to the ANSYS Thin Server. The value of "connection_port" should be between 49512 and 65535. For example:

ansysts110 62000&

The ANSYS Thin Server will start without any message and will continue running in the background until the machine is restarted or you kill the process. You may close or minimize the window in which the ANSYS Thin Server was started.

Back To Top

Stop the ANSYS Thin Server

The ANSYS Thin Server should be stopped once the parallel process is complete.

Stopping on a PC

You may stop the process by closing the command prompt window or using Ctrl-C.

Stopping on a UNIX Machine

On a UNIX machine use a "ps -u UserId | grep tclsh" in the command line to find out under which process-id the ANSYS Thin Server is running. Here, UserId is your user account name on the machine. With this "ps" command should get two processes running. Typically, there will be two processes listed, one process for "anstclsh" and another for "tclsh". Use "kill -9 process-id" to kill both processes. Under certain circumstances killing the "anstclsh"-process will also take away the "tclsh"-process (just issue the "ps" command again to verify). If this does not happen, then just kill the "tclsh"-process separately.

3.3.9.3.1.4. Configuring the Master Machine

After you have configured the slave machines you need to configure the master machine for the type of ANSYS Thin Server startup you chose to use on the slave machines. The communication from the master machine to the slave machines is done by the ANSYS Nanny which is a program running in the parent process. It takes care of running the necessary simulations on different slave machines. It will establish the connection to the slave machines, copy the necessary files over to the slave machines, start and monitor the running simulations and clean up the working directories after the entire sequence of simulations is finished. The ANSYS Nanny will be started automatically as you start executing PDS simulations in parallel, distributed mode.

For parallel processing you need to specify the remote hosts you want to use. This information is placed in a file called hosts 110.ans. You can create this file using a text editor or you can use the ANS_ADMIN utility (see the online help available with the ANS_ADMIN utility for more information). This file contains host information for all remote machines on which you may want to run. This file is global and does not contain job-specific information. Typically, your IT administrator would provide this file, including all the information about the slave machines a typical user can use in your network. If you have multiple users running parallel or distributed jobs at your site, you should have one hosts 110.ans file for all users. But you can copy this file to your local working directory and make adjustments. ANSYS searches for this file first in the local directory, followed by the home directory, and finally the apdl directory.

You have two options when setting up the Master Machine to use the ANSYS Thin Server on the slave machines.

Configuration when the Thin Server uses the Remote Shell Option

Let's assume that the slave machine called "MySlaveMachine" has been prepared to work under the remote shell option as outlined above. The slave machine "MySlaveMachine" is an SGI UNIX machine and it has 4 CPUs. On the slave machine we also want to use the directory "/tmp/sdr/pds_runs" as the local directory for the remote simulations to run in. In this case your hosts 110.ans file must include the line:

# |  |  |  |  |  |
# HOST | OS | PORT | CPU | TIME | LocPORT | I/O Directory
MySlaveMachine | SGI64 | 0 | 4 | 15 | 0 | /tmp/sdr/pds_runs

Back To Top

Configuration when the Thin Server uses the Port Option

Let's assume you now want to use the same slave machine "MySlaveMachine" using the ANSYS Thin Server. The ANSYS Thin Server has been started on a slave machine called "MySlaveMachine" using the command "ansysts110 62000as illustrated above. Let us also assume that the file "AnsysClients" looks exactly like shown in the section above, i.e. your master machine "MyMasterMachine" can communicate to the ANSYS Thin Server using the communication port numbers 59400-59430. In this case your hosts 110.ans file must include the line:

# |  |  |  |  |  |
# HOST | OS | PORT | CPU | TIME | LocPORT | I/O Directory
MySlaveMachine | SGI64 | 62000 | 4 | 15 | 59400-59430 | /tmp/sdr/pds_runs

This will make sure that the ANSYS Thin Server on the slave machine will be contacted using the same connection port it has been started with, i.e. 62000 in this case. Also the communication will use the same communication port numbers the ANSYS Thin Server accepts from the machine "MyMasterMachine" where you try to connect from.

A sample hosts110.ans file looks like this:

# This file is used to specify those hosts that the ANSYS Nanny may
# run children on.
#
# Each host entry is to be on its own line.  The host entry consists of
# several fields which are space delimited.
#
#  Field 1 - host IP address or name
#  Field 2 - host machine type
#  Field 3 - execution key (used for Probabilistic Design only):
#        0-Use a remote shell to start the child process;
#          this requires a remote shell server to be
#          running on the host machine.
#    >1024-Use a running ANSYS thin server on the host
#          which is listening on this port number.
#  Field 4 - The default maximum number of jobs to run on this host
#  Field 5 - The time in minutes to check again if the host is available.
#            If this is zero then the host will not be checked again.
#  Field 6 - The local port number to start the communication with the
#            ANSYS Thin Server on. This is tied to authentication on the
#            ANSYS Thin Server.
#  Field 7 - The directory to create the children subdirectories in
#  Field 8 - The cluster type.  Only valid entry is MPI.
#  Field 9 - The speed factor (relative speed to other machines listed).
              Only valid entry is 1.
#  Field 10 - Number of OpenMP threads.  Only valid entry is 1.
# Example:
#
#  UNIX box that has five processors
#  zeus  sgi64    0     5  30    2000     /scratch/wjc
#  Microsoft box using the ANSYS Thin Server
#  wjcpc XP       2010  1  0     2000     C:\TEMP
alpha1   alpha    0      1     15    2000     /scratch/epc   MPI 1 1
athena   sgi64    0      1     15    2000     /scratch/epc   MPI 1 1
rs43p    rs6000   0      1     15    2000     /home/pdstest  MPI 1 1
rs260    rs64     0      1     15    2000     /home/pdstest  MPI 1 1
snoopy   hppa8000 0      1     15    2000     /home/pdstest  MPI 1 1
alpha24  alpha    0      1     15    2000     /home/pdstest  MPI 1 1
hp770    hppa8000 0      1     15    2000     /home/pdstest  MPI 1 1
us60     usparc   0      1     15    2000     /home/pdstest  MPI 1 1
ss60     sun64    0      1     15    2000     /home/pdstest  MPI 1 1
3.3.9.3.1.5. Illustration of the host set-up using port option

The picture below illustrates an example of the set-up of a network with 2 master machines and 4 slave machines using the connection port option. Here, the first master machines uses slave machines 1, 2 and 3, while the second master machine is using only slave machines 2, 3 and 4. In this illustration "NN" represents the revision number of ANSYS.

3.3.9.3.1.6. Host and Product selection for a particular analysis

After the host110.ans file is specified you need to provide specific information that may change from analysis to analysis.

If you are working in interactive mode then select:

Main Menu> Prob Design> Run> Exec Parallel> Host Select

In this menu you can:

  • Select the slave machines you want to use for a particular analysis. This is necessary, for example, if you know that some machines in your network are in use by another user at the time you want to start the analysis.

  • Choose the licenses you want to use for the particular analysis. If there are multiple levels of licenses of ANSYS available in your network, then you should first select the lower license that will be able to run your analysis.

Based on the information provided in this menu a Jobname.hosts file is created or updated as you press OK in the menu.

If you are working in batch mode, you must create this file using a text editor. However, for sake of simplicity it is recommended to let ANSYS create this file using interactive mode and then to proceed with batch mode operation. This file must reside in the directory where you are running ANSYS PDS. This file must include the following information:

  • Remote hosts to be used for this particular parallel run.

  • Number of processes that can run in parallel on each host. If a remote host has more than one CPU, you can use all of the CPUs on the remote host. For performance reasons, we recommend leaving one CPU for system tasks and using only N-1 CPUs for parallel processing (if N is the number of CPUs on the remote host).

  • Directories in which you want the child processes to be executed. It is recommend that you use temporary directories like "/scratch" or "/tmp" on UNIX or "C:\TEMP" on PCs. These remote directories are cleaned up automatically after the parallel processes finish running. Make sure that there is enough disk space in the directory for the files created by the analysis.

A sample jobname.hosts file looks like this:

# This file is used to specify those hosts that the ANSYS Parent may
# run children processes on.
#
# Each host entry is to be on its own line. The host entry consists of
# several fields which are space delimited.
#
# Field 1 - host IP address or name
# Field 2 - username to use for a remote shell to the host
# Field 3 - execution key:
# 0 - Use a remote shell to start the child process
# >1024 - Use a running ANSYS thin server on the host
# which is communicating on this port number
# Field 4 - the product code sequence to attempt to start ANSYS jobs
# on the host with. This is a colon delimited list.
# Field 5 - the number of jobs to run on this host
# Field 6 - The time in minutes to check again if the host is available.
# If this is zero then the host will not be checked again.
# Field 7 - If field 3 is nonzero then this is the local port number
# or range to start the communication with the ANSYS Thin
# Server on. This is tied to the "authentication" on the
# ANSYS Thin Server.
# If field 3 is zero then this should be set to zero.
# Field 8 - directory to create the children subdirectories in
#
# Example:
#
# UNIX box that has five processors and will first attempt to
# run with ANSYS Mechanical Batch Child and then ANSYS Mechanical
# zeus wjc 0 MEBACH:ANSYS 5 30 2000 /scratch/wjc
# XP box running the thin server on port 2010
# wjcpc wjc 2010 ANSYS 1 0 2000 C:\TEMP
alpha1 epc 0 MEBA:MEBACH 1 15 2000 /scratch/epc
athena epc 0 MEBA:MEBACH 1 15 2000 /scratch/epc
rs43p pdstest 0 MEBA:MEBACH 1 15 2000 /home/pdstest
rs260 pdstest 0 MEBA:MEBACH 1 15 2000 /home/pdstest
snoopy pdstest 0 MEBA:MEBACH 1 15 2000 /home/pdstest
hp160 pdstest 0 MEBA:MEBACH 1 15 2000 /home/pdstest
alpha24 pdstest 0 MEBA:MEBACH 2 15 2000 /home/pdstest
hp770 pdstest 0 MEBA:MEBACH 1 15 2000 /home/pdstest
us60 pdstest 0 MEBA:MEBACH 1 15 2000 /home/pdstest
ss60 pdstest 0 MEBA:MEBACH 1 15 2000 /home/pdstest
3.3.9.3.2. Files Needed for Parallel Run

You also need to specify all other files that will be used in the distributed processing run. These files are listed in a separate file called Jobname.ifiles. At a minimum, this file must include the analysis file. Additionally, you may need other files, such as data files or ANSYS macros. You must include all files that the analysis files calls in order for the PDS run to execute successfully. These files, which are typically found only on your local machine, will then be copied to all remote hosts during the PDS run. The Jobname.ifiles must reside in your working directory. If you are working in batch mode, you need to create this file manually. The first file listed must be the analysis file. Other files listed must include the full path.

Command(s): | PDANL
GUI: | Main Menu> Prob Design> Analysis File> Assign

A sample jobname.ifiles file looks like this:

# Files to copy to the ANSYS server for job Jobname
# created on Fri Oct 13 10:33:44 EDT 2000.
pdsrun1.inp
/home/staff/epc/ddts/pds/tags
3.3.9.3.3. Controlling Server Processes

If you are working interactively, you need to complete one additional step. When you select Run Parallel, you see a dialog box listing all remote hosts specified in the Jobname.hosts file, as well as their current status. You can use this dialog box to specify a solution label, set the number of allowed failures (loops leading to an ANSYS error during execution) as well as monitor the processes and remote machines, and stop or start processes on those machines as necessary.

The number of allowed failures is used to automatically stop the parallel execution process if the number of loops leading to an error exceeds the allowed maximum number. In a typical case you don't expect your analysis file to cause an ANSYS error. If in this case there are several loops leading to an error, then this is most likely due to a bug in the APDL programming in the analysis file. Here, the ANSYS PDS automatically terminates the parallel execution if the number of allowed failures (loops with errors) exceeds the allowed maximum.

In certain cases however, you will know that executing the analysis file always leads to an error that can be ignored. An example is a non-linear burst analysis, which terminates with an error as the maximum displacement grows out of proportion. I.e. ultimately all loops will terminate with an error and the result of a burst analysis is the value of the load factor at which this instability happens. In this case you can force the ANSYS PDS to ignore the error and set the error flag in the result file to "0". To do this set the number of allowed failures in the exactly equal to the total number of loops. Since you are bypassing the error checking mechanism it is strongly recommended to thoroughly review of the probabilistic results in the file jobname_Slab.pdrs. It is not recommended to do this as a standard procedure, but only in cases where you are sure that the error generated in the analysis loop can be safely ignored.

The status codes you could see include:

  • DOWN - The remote host is not available (reason unknown).

  • DN-TS - The Thin Server is down.

  • DN-DRF - ANSYS was unable to create the necessary directories on that host.

  • DN-ANS - ANSYS would not start on that host.

  • DN-ATH - Authentication failure (the batch child product was unable to authenticate with the parent product).

  • UP - The Thin Server is up.

  • RUN - The ANSYS simulation is running on that host.

If you want to check diagnostics for a status code in parallel processing mode, choose the Diagnostics button in the Server Process Control dialog. The diagnostics system will show you the status of the slave machine(s), and details to help you address any issues that arise. Suggested actions are presented.

Note

In batch mode, ANSYS will always attempt to start remote processing on all machines listed in the Jobname.hosts file.

3.3.9.3.4. Initiate Parallel Run

You can now activate the parallel execution:

Command(s): | PDEXE
GUI: | Main Menu> Prob Design> Run> Exec Parallel> Run Parallel

Several things happen when you initiate a parallel processing run.

  1. The networked machines are initialized (ANSYS checks for machine permissions, licenses, and directory permissions), and any necessary directories are created.

  2. The relevant files are copied to the networked machines.

  3. ANSYS is launched in server mode on each networked machine.

Simulations are sent to each machine as that machine finishes a previous simulation; faster machines will naturally process more simulations. If a slave machine (for whatever reason) does not complete a simulation, that simulation is automatically sent to another machine to be processed.

When the analyses are finished (either completed or stopped manually), then the PDS removes any files or directories it created and stops any processes it started.

3.3.10. Fit and Use Response Surfaces

After you have executed a probabilistic analysis, you can use the results stored in the result files to fit response surfaces.

If the probabilistic analysis was based on the Response Surface Method, this step is mandatory. The random output parameter values generated using the Response Surface Method are meant to be fitted with a response surface; therefore, the Response Surface Method determines the values of the random input variables such that fitting of a response surface is most efficient (that is, so that it uses the fewest sampling points).

If the probabilistic analysis was based on the Monte Carlo Simulation method, this step is optional and you can go directly to the results postprocessing. If you use Monte Carlo Simulation results to derive response surfaces, then the sampling points are not as efficiently located for the fitting process, so you should accommodate by using more sample points.

  • You should use at least 20% more Monte Carlo Simulation points than what would be required for a Response Surface Method for the same problem. For a list of the number of sampling points required for a Response Surface Method please see Probabilistic Design Techniques.

  • If you cannot determine how many sampling points a Response Surface Method needs (for example, because there are too many random input parameters), then you should have at least two times more sampling points than the number of coefficients of the response surfaces.

3.3.10.1. About Response Surface Sets

The results generated by the response surface fitting procedure as well as the results generated by applying the approximation equation (Monte Carlo Simulation) are combined in a response surface set. Each response surface set includes the following information:

  • A unique name that you provide. This name is used to identify the response surface set during probabilistic postprocessing.

  • The name of the solution set you used for the fitting procedure (containing the data points).

  • The number and the names of the random output parameters for which a response surface has been evaluated. If you have many random output parameters you might not be interested in fitting a response surface for every one, but only for those that are most important.

  • For each random output parameter that was fitted with a response surface, the response surface set includes information about the regression model that was used to fit the response surface (linear, quadratic, or quadratic with cross-terms), as well as the terms and coefficients that were derived as result of the regression analysis.

  • The Monte Carlo Simulation samples created using the response surface equations.

There is a one-to-one relationship between solution sets and response surface sets. For each solution set containing sample points you can have only one response surface set containing the response surfaces fitting these sample points. The reverse is also true, that each response surface set can only contain the response surfaces that are based on the sample points of one solution set.

3.3.10.2. Fitting a Response Surface

To fit a response surface you must specify a name for the response surface set where you want the results to be stored, the solution set you want to use, one random output parameter, the regression model, an output transformation technique (if any), and whether to filter terms.

The regression model describes which regression terms are used for the approximation function of the response surface. In the ANSYS PDS, the following regression models are implemented:

  • Linear approximation function

  • Quadratic approximation function without cross-terms

  • Quadratic approximation function including cross-terms

While you can use all terms included in the regression model, the ANSYS PDS also offers an option that automatically filters out insignificant terms. This technique is called the forward-stepwise regression analysis. For example, where the Young's modulus E and the thermal expansion coefficient are random input variables, a full quadratic regression model reads:

A full regression model uses the available sampling points to determine values for all regression coefficients c0 to c3. Of course the values for c0 to c2 will be zero or very close to zero; taking more coefficients into account than really necessary reduces the degrees of freedom of the algebraic equation to be solved to evaluate the coefficients. This in turn reduces the accuracy of the coefficients that are important for the regression fit. The forward-stepwise regression analysis takes this into account and automatically eliminates terms that are not needed.

The ANSYS PDS offers a variety of transformation functions that can be used to make the random response parameter to be more appropriately described by a quadratic function after the transformation has been applied. These transformation functions can be found in Transformation of Random Output Parameter Values for Regression Fitting in the Theory Reference for ANSYS and ANSYS Workbench.

Here, yi is the value of a random output parameter obtained in the i-th sampling loop and [image] is the corresponding transformed value. The physical nature of the problem should indicate which transformation to use; for example, lifetime parameters (such as the number of cycles until low cycle fatigue occurs) are usually transformed with a logarithmic transformation. If you do not have this kind of information, then you should start with the Box-Cox transformation. The PDS automatically searches for an optimum value for the Box-Cox parameter λ within the interval (-2,2). As guidelines:

  • If λ is close to -1.0 then the data is best transformed by a reciprocal transformation, which is a power transformation with an exponent of -1.0.

  • If λ is close to zero then the data is best transformed by a logarithmic transformation.

  • If λ is close to 0.5 then use the square root transformation.

  • If λ is close to 1.0, then no transformation should be used.

  • If λ is not close to any of these specific values then the Box-Cox transformation is appropriate.

To fit a response surface:

Command(s): | RSFIT
GUI: | Main Menu> Prob Design> Response Surf> Fit Resp Surf

3.3.10.3. Plotting a Response Surface

Whether a response surface is a good representation of the sampling point that it is supposed to fit can be best illustrated by plotting the response surface. The ANSYS PDS plots the sampling points as symbols and the response surface as a contour plot so you can visually compare them. However, you can only plot one random output parameter as a function of two random input variables at a time.

To plot a response surface:

Command(s): | RSPLOT
GUI: | Main Menu> Prob Design> Response Surf> Plt Resp Surf

3.3.10.4. Printing a Response Surface

After using a regression analysis to fit a response surface, ANSYS automatically prints all necessary results in the output window:

  • The transformation function that has been used or has been determined automatically (in case of Box-Cox transformation)

  • Regression terms

  • Regression coefficients

  • Goodness-of-fit measures

The goodness-of-fit measures provide a means to verify the quality of the response surface and whether it is a good representation of the underlying data (in other words, the sample points).

You can request a print out of this data at any time.

Command(s): | RSPRNT
GUI: | Main Menu> Prob Design> Response Surf> Prn Resp Surf

3.3.10.5. Generating Monte Carlo Simulation Samples on the Response Surfaces

After you have generated a response surface set that includes one or more response surfaces for one or more random output parameters then you also need to perform Monte Carlo Simulations using these response surfaces to generate probabilistic results. This is where the PDS generates sampling values for the random input variables in the same way it did for the simulation looping performed using your analysis file. But instead of using the random input variable values in the analysis file and running through the analysis file, it uses the approximation function derived for the response surfaces to calculate approximated response values. The process of calculating an explicitly known equation is much faster than running through the analysis file and performing a finite element analysis, so you can run a large number of simulation loops in a relatively short time. Usually, several thousand simulation loops are performed if you utilize the response surfaces.

After you have generated the Monte Carlo Simulation loops on the response surfaces, you can begin probabilistic postprocessing and review the probabilistic results the same way as you would for Monte Carlo Simulations. However, there is one difference for postprocessing between Monte Carlo results and Monte Carlo results derived from response surface approximations. For Monte Carlo simulation results, the accuracy of the results is determined by the number of simulation loops that are performed. The PDS can visualize the accuracy of Monte Carlo results by means of confidence limits or confidence bounds. For Monte Carlo results derived from response surface approximations, the confidence bounds are suppressed. This is necessary because the accuracy is not determined by the number of simulation loops (as mentioned above, you typically perform a large number of these) but by the goodness-of-fit or the response surface model itself. With increasing numbers of simulation loops the confidence bounds tend to merge with the result curve you are plotting (the width of the confidence band shrinks to zero). This could lead you to conclude that the results are very, very accurate. However, the underlying response surface approximation could have been completely inadequate (for example, using a linear approximation function for a highly nonlinear problem).

Command(s): | RSSIMS
GUI: | Main Menu> Prob Design> Response Surf> RS Simulation

3.3.11. Review Results Data

After probabilistic design looping is complete, you can review the results sets in a variety of ways using the commands described in this section. These commands can be applied to the results from any probabilistic design method or tool.

  • Statistics

    • Sample History

    • Histogram

    • Cumulative Distribution Function

    • Probabilities

    • Inverse Probabilities

  • Trends

    • Scatter Plot

    • Sensitivities

    • Correlation Matrix

  • Report

    • Print HTML Report

3.3.11.1. Viewing Statistics

To postprocess one particular design variable, choose this option. The statistics options are described below.

Plot Sample History

Use the PDSHIS command to request a sample history plot.

Command(s): | PDSHIS
GUI: | Main Menu> Prob Design> Prob Results> Statistics> Sampl History

You must choose the results set you want to use, the design variable you want to review, the plot type to use, and the confidence level.

Back To Top

Plot Histogram

Use the PDHIST command to request a histogram plot of a design variable.

Command(s): | PDHIST
GUI: | Main Menu> Prob Design> Prob Results> Statistics> Histogram

You must choose the results set you want to use, the design variable you want to review, the number of classes/points to use, and the type of histogram.

Back To Top

CumulativeDF

Use the PDCDF command to request a histogram plot of a design variable.

Command(s): | PDCDF
GUI: | Main Menu> Prob Design> Prob Results> Statistics> CumulativeDF

You must choose the results set you want to use, the design variable you want to review, and the confidence level.

The confidence level is a probability expressing the confidence that the values for the cumulative distribution function are in fact between the confidence bounds. The larger the confidence level, the wider the confidence bounds. Plotting of the confidence bounds only makes sense for the postprocessing of Monte Carlo simulation results. Here, the confidence bounds represent the accuracy of the results and with increasing sample size the width of the confidence bounds gets smaller for the same confidence level. For response surface methods the number of simulations done on the response surface is usually very large. Therefore, the accuracy of the results is determined by the goodness of the response surface fit and not by the confidence level.

Back To Top

Probabilities

Use the PDPROB command to request the value of a design variable at an specific point on the cumulative distribution curve.

Command(s): | PDPROB
GUI: | Main Menu> Prob Design> Prob Results> Statistics> Probabilities

You must choose the results set you want to use, the design variable you want to review, the relation (greater than, less than), the limit value, and the confidence level.

Back To Top

Inverse Probabilities

Use the PDPINV command to request the value of a design variable at a specific point on the cumulative distribution curve.

Command(s): | PDPINV
GUI: | Main Menu> Prob Design> Prob Results> Statistics> Inverse Prob

You must choose the results set you want to use, the design variable you want to review, the relation (greater than, less than), the limit value, and the confidence level.

3.3.11.2. Viewing Trends

To postprocess one particular design variable as it relates to another, choose this option. The trend options are described below.

Scatter Plot

Use the PDSCAT command to request a scatter plot showing the correlation between two design variables.

Command(s): | PDSCAT
GUI: | Main Menu> Prob Design> Prob Results> Trends> Scatter Plot

You must select the results set that you want to use, the design variables that you want to review, the type of trendline curve to use (and if plotted, the polynomial order), and the maximum number of point to include in the scatter plot.

Back To Top

Sensitivities

Use the PDSENS command to request the sensitivities of an output parameter to the input variables.

Command(s): | PDSENS
GUI: | Main Menu> Prob Design> Prob Results> Trends> Sensitivities

You must choose the results set and output parameter you want to use, the type of chart to plot, the type of correlation coefficient, and the sensitivity level.

Back To Top

Correlation Matrix

Use the PDCMAT command to calculate the correlation coefficient matrix.

Command(s): | PDCMAT
GUI: | Main Menu> Prob Design> Prob Results> Statistics> Probabilities

You must choose the results set you want to use, which type of design variables you are looking at, the specific design variable names, the type of correlation, the significance level, and whether you want to see the probabilities with the correlation coefficients.

3.3.11.3. Creating Reports

To visualize and summarize all results of a probabilistic analysis, choose this option. Details on specifying a report are described below.

Report Options

Use the PDROPT command to request an HTML report.

Command(s): | PDROPT
GUI: | Main Menu> Prob Design> Prob Results> Report> Report Options

You must choose which statistics and trends to show in the report and in what form you want to see them. See the PDROPT command for details, and see the other probabilistic results options for further details.

Back To Top

Generate Report

Use the PDWRITE command to request the sensitivities of an output parameter to the input variables.

Command(s): | PDWRITE
GUI: | Main Menu> Prob Design> Prob Results> Report> Generate Report

You must enter a name for the report file, your first and last name, and whether links should be generated between your report and the analysis file, each analysis loop, and the response surface output parameter details (if the response surface method was used).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.2. Probabilistic Design Terminology 		Up / Home Next
3.4. Guidelines for Selecting Probabilistic Design Variables


3.4. Guidelines for Selecting Probabilistic Design Variables

This section presents useful guidelines for defining your probabilistic design variables.

3.4.1. Choosing and Defining Random Input Variables

Here are a few tips you can use to determine which random input variable in your finite element model follows which distribution function and what the parameters of the distribution function are.

First, you should know to

  • Specify a reasonable range of values for each random input variable.

  • Set reasonable limits on the variability for each RV.

Note

The values and hints given below are simply guidelines; none are absolute. Always verify this information with an expert in your organization and adapt it as needed to suit your analysis.

3.4.1.1. Random Input Variables for Monte Carlo Simulations

The number of simulation loops that are required for a Monte Carlo Simulation does not depend on the number of random input variables. The required number of simulation loops only depends on the amount of the scatter of the output parameters and the type of results you expect from the analysis. In a Monte Carlo Simulation, it is a good practice to include all of the random input variables you can think of even if you are not sure about their influence on the random output parameters. Exclude only those random input variables where you are very certain that they have no influence. The probabilistic design system will then automatically tell you which random input variables have turned out to be significant and which one are not. The number of simulations that are necessary in a Monte Carlo analysis to provide that kind of information is usually about 50 to 200. However, the more simulation loops you perform, the more accurate the results will be.

3.4.1.2. Random Input Variables for Response Surface Analyses

The number of simulation loops that are required for a Response Surface analysis depends on the number of random input variables. Therefore, you want to select the most important input variable(s), the ones you know have a significant impact on the random output parameters. If you are unsure which random input variables are important, it is usually a good idea to include all of the random variables you can think of and then perform a Monte Carlo Simulation. After you learn which random input variables are important and therefore should be included in your Response Surface Analysis, you can eliminate those that are unnecessary.

3.4.1.3. Choosing a Distribution for a Random Variable

The type and source of the data you have determines which distribution functions can be used or are best suited to your needs.

3.4.1.3.1. Measured Data

If you have measured data then you first have to know how reliable that data is. Data scatter is not just an inherent physical effect, but also includes inaccuracy in the measurement itself. You must consider that the person taking the measurement might have applied a "tuning" to the data. For example, if the data measured represents a load, the person measuring the load may have rounded the measurement values; this means that the data you receive are not truly the measured values. Depending on the amount of this "tuning," this could provide a deterministic bias in the data that you need to address separately. If possible, you should discuss any bias that might have been built into the data with the person who provided that data to you.

If you are confident about the quality of the data, then how to proceed depends on how much data you have. In a single production field, the amount of data is typically sparse. If you have only few data then it is reasonable to use it only to evaluate a rough figure for the mean value and the standard deviation. In these cases, you could model the random input variable as a Gaussian distribution if the physical effect you model has no lower and upper limit, or use the data and estimate the minimum and maximum limit for a uniform distribution. In a mass production field, you probably have a lot of data, in which case you could use a commercial statistical package that will allow you to actually fit a statistical distribution function that best describes the scatter of the data.

3.4.1.3.2. Mean Values, Standard Deviation, Exceedence Values

The mean value and the standard deviation are most commonly used to describe the scatter of data. Frequently, information about a physical quantity is given in the form that its value is; for example, "100±5.5". Often, but not always, this form means that the value "100" is the mean value and "5.5" is the standard deviation. To specify data in this form implies a Gaussian distribution, but you must verify this (a mean value and standard deviation can be provided for any collection of data regardless of the true distribution type). If you have more information (for example, you know that the data must be lognormal distributed), then the PDS allows you to use the mean value and standard deviation for a definition of a lognormal distribution.

Sometimes the scatter of data is also specified by a mean value and an exceedence confidence limit. The yield strength of a material is sometimes given in this way; for example, a 99% exceedence limit based on a 95% confidence level is provided. This means that derived from the measured data we can be sure by 95% that in 99% of all cases the property values will exceed the specified limit and only in 1% of all cases they will drop below the specified limit. The supplier of this information is using mean value, the standard deviation, and the number of samples of the measured data to derive this kind of information. If the scatter of the data is provided in this way, the best way to pursue this further is to ask for more details from the data supplier. Because the given exceedence limit is based on the measured data and its statistical assessment, the supplier might be able to provide you with the details that were used.

If the data supplier does not give you any further information, then you could consider assuming that the number of measured samples was large. If the given exceedence limit is denoted with x1 - α/2 and the given mean value is denoted with xμ then the standard deviation can be derived from the equation:

where the values for the coefficient C are:

Exceedence Probability | C
99.5% | 2.5758
99.0% | 2.3263
97.5% | 1.9600
95.0% | 1.6449
90.0% | 1.2816
3.4.1.3.3. No Data

In situations where no information is available, there is never just one right answer. Below are hints about which physical quantities are usually described in terms of which distribution functions. This might help you with the particular physical quantity you have in mind. Also below is a list of which distribution functions are usually used for which kind of phenomena. Keep in mind that you might need to choose from multiple options.

Geometric Tolerances

  • If you are designing a prototype, you could assume that the actual dimensions of the manufactured parts would be somewhere within the manufacturing tolerances. In this case it is reasonable to use a uniform distribution, where the tolerance bounds provide the lower and upper limits of the distribution function.

  • Sometimes the manufacturing process generates a skewed distribution; for example, one half of the tolerance band is more likely to be hit than the other half. This is often the case if missing half of the tolerance band means that rework is necessary, while falling outside the tolerance band on the other side would lead to the part being scrapped. In this case a Beta distribution is more appropriate.

  • Often a Gaussian distribution is used. The fact that the normal distribution has no bounds (it spans minus infinity to infinity), is theoretically a severe violation of the fact that geometrical extensions are described by finite positive numbers only. However, in practice this is irrelevant if the standard deviation is very small compared to the value of the geometric extension, as is typically true for geometric tolerances.

Back To Top

Material Data

  • Very often the scatter of material data is described by a Gaussian distribution.

  • In some cases the material strength of a part is governed by the "weakest-link-theory". The "weakest-link-theory" assumes that the entire part would fail whenever its weakest spot would fail. for material properties where the "weakest-link" assumptions are valid, then the Weibull distribution might be applicable.

  • For some cases, it is acceptable to use the scatter information from a similar material type. Let's assume that you know that a material type very similar to the one you are using has a certain material property with a Gaussian distribution and a standard deviation of ±5% around the measured mean value; then let's assume that for the material type you are using, you only know its mean value. In this case, you could consider using a Gaussian distribution with a standard deviation of ±5% around the given mean value.

  • For temperature-dependent materials it is prudent to describe the randomness by separating the temperature dependency from the scatter effect. In this case you need the mean values of your material property as a function of temperature in the same way that you need this information to perform a deterministic analysis. If M(T) denotes an arbitrary temperature dependent material property then the following approaches are commonly used:

    • Multiplication equation:

      M(T)rand = Crand [image] (T)

    • Additive equation:

      M(T)rand = [image] (T) + ΔMrand

    • Linear equation:

      M(T)rand = Crand [image] (T) + ΔMrand

    Here, [image] (T) denotes the mean value of the material property as a function of temperature. In the "multiplication equation" the mean value function is scaled with a coefficient Crand and this coefficient is a random variable describing the scatter of the material property. In the "additive equation" a random variable ΔMrand is added on top of the mean value function [image] (T). The "linear equation" combines both approaches and here both Crand and ΔMrand are random variables. However, you should take into account that in general for the "linear equation" approach Crand and ΔMrand are, correlated.

Deciding which of these approaches is most suitable to describing the scatter of the temperature dependent material property requires that you have some raw data about this material property. Only by reviewing the raw data and plotting it versus temperature you can tell which approach is the better one.

Back To Top

Load Data

  • For loads, you usually only have a nominal or average value. You could ask the person who provided the nominal value the following questions: If we have 1000 components that are operated under real life conditions, what would the lowest load value be that only one of these 1000 components is subjected to and all others have a higher load? What would the most likely load value be, i.e. the value that most of these 1000 components have (or are very close to)? What would the highest load value be that only one of the 1000 components is subjected to and all others have a lower load? To be safe you should ask these questions not only of the person who provided the nominal value, but also to one or more experts who are familiar with how your products are operated under real-life conditions. From all the answers you get, you can then consolidate what the minimum, the most likely, and the maximum value probably is. As verification you can compare this picture with the nominal value that you would use for a deterministic analysis. If the nominal value does not have a conservative bias to it then it should be close to the most likely value. If the nominal value includes a conservative assumption (is biased), then its value is probably close to the maximum value. Finally, you can use a triangular distribution using the minimum, most likely, and maximum values obtained.

  • If the load parameter is generated by a computer program then the more accurate procedure is to consider a probabilistic analysis using this computer program as the solver mechanism. Use a probabilistic design technique on that computer program to assess what the scatter of the output parameters are, and apply that data as input to a subsequent analysis. In other words, first run a probabilistic analysis to generate an output range, and then use that output range as input for a subsequent probabilistic analysis.

    Here, you have to distinguish if the program that generates the loads is ANSYS itself or your own in-house program. If you have used ANSYS to generate the loads (for example, FLOTRAN analysis calculating fluid loads on a structure or a thermal analysis calculating the thermal loads of a structure) then we highly recommend that you include these load calculation steps in the analysis file (and therefore in the probabilistic analysis). In this case you also need to model the input parameters of these load calculation steps as random input variables. If you have used your own in-house program to generate the loads, you can still integrate the load calculation program in the analysis file (see the /SYS command for details), but you must have an interface between that program and ANSYS that allows the programs to communicate with each other and thus automatically transfer data.

You also have to distinguish if the load values are random fields or single random variables. If the load is different from node to node (element to element) then it is most appropriate to include the program calculating the load in the analysis file. If the load is described by one or very few constant values then you can also consider performing a probabilistic analysis with the program calculating these load values. Again you need to provide an interface to transfer input data to this program and get output data (the loads) back to ANSYS. If there is more than just one single load value generated by the program then you should also check for potential correlations.

3.4.1.4. Distribution Functions

Beta Distribution

The Beta distribution is very useful for random variables that are bounded at both sides. If linear operations are performed on random variables that are all subjected to a uniform distribution then the results can usually be described by a Beta distribution. An example is if you are dealing with tolerances and assemblies, where the components are assembled and the individual tolerances of the components follow a uniform distribution. In this case the overall tolerances of the assembly are a function of adding or subtracting the geometrical extension of the individual components (a linear operation). Hence, the overall tolerances of the assembly can be described by a Beta distribution. Also, as previously mentioned, the Beta distribution can be useful for describing the scatter of individual geometrical extensions of components as well. The uniform distribution is a special case of the Beta distribution.

Back To Top

Exponential Distribution

The exponential distribution is useful in cases where there is a physical reason that the probability density function is strictly decreasing as the random input variable value increases. The distribution is mostly used to describe time-related effects; for example, it describes the time between independent events occurring at a constant rate. It is therefore very popular in the area of systems reliability and lifetime-related systems reliability, and it can be used for the life distribution of non-redundant systems. Typically, it is used if the lifetime is not subjected to wear-out and the failure rate is constant with time. Wear-out is usually a dominant life-limiting factor for mechanical components, which would preclude the use of the exponential distribution for mechanical parts. However in cases where preventive maintenance exchanges parts before wear-out can occur, then the exponential distribution is still useful to describe the distribution of the time until exchanging the part is necessary.

Back To Top

Gamma Distribution

The Gamma distribution is again a more time-related distribution function. For example it describes the distribution of the time required for exactly k events to occur under the assumption that the events take place at a constant rate. It is also used to describe the time to failure for a system with standby components.

Back To Top

Gaussian (Normal) Distribution

The Gaussian or normal distribution is a very fundamental and commonly used distribution for statistical matters. It is typically used to describe the scatter of the measurement data of many physical phenomena. Strictly speaking, every random variable follows a normal distribution if it is generated by a linear combination of a very large number of other random effects, regardless which distribution these random effects originally follow. The Gaussian distribution is also valid if the random variable is a linear combination of two or more other effects if those effects also follow a Gaussian distribution.

Back To Top

Lognormal Distribution

The lognormal distribution is a basic and commonly used distribution. It is typically used to describe the scatter of the measurement data of physical phenomena, where the logarithm of the data would follow a normal distribution. The lognormal distribution is very suitable for phenomena that arise from the multiplication of a large number of error effects. It is also correct to use the lognormal distribution for a random variable that is the result of multiplying two or more random effects (if the effects that get multiplied are also lognormally distributed). If is often used for lifetime distributions; for example, the scatter of the strain amplitude of a cyclic loading that a material can endure until low-cycle-fatigue occurs is very often described by a lognormal distribution.

Back To Top

Uniform Distribution

The uniform distribution is a very fundamental distribution for cases where no other information apart from a lower and an upper limit exists. If is very useful to describe geometric tolerances. It can also be used in cases where there is no evidence that any value of the random variable is more likely than any other within a certain interval. In this sense it can be used for cases where "lack of engineering knowledge" plays a role.

Back To Top

Triangular Distribution

The triangular distribution is most helpful to model a random variable when actual data is not available. It is very often used to cast the results of expert-opinion into a mathematical form, and is often used to describe the scatter of load parameters. However, regardless of the physical nature of the random variable you want to model, you can always ask some experts questions like "What is the one-in-a-thousand minimum and maximum case for this random variable? and other similar questions. You should also include an estimate for the random variable value derived from a computer program, as described earlier. This is also described in more detail above for load parameters in Choosing a Distribution for a Random Variable.

Back To Top

Truncated Gaussian Distribution

The truncated Gaussian distribution typically appears where the physical phenomenon follows a Gaussian distribution, but the extreme ends are cut off or are eliminated from the sample population by quality control measures. As such, it is useful to describe the material properties or geometric tolerances.

Back To Top

Weibull Distribution

In engineering, the Weibull distribution is most often used for strength or strength-related lifetime parameters, and it is the standard distribution for material strength and lifetime parameters for very brittle materials (for these very brittle material the "weakest-link-theory" is applicable). For more details see Choosing a Distribution for a Random Variable.

3.4.2. Choosing Random Output Parameters

Output parameters are usually parameters such as length, thickness, diameter, or model coordinates.

The ANSYS PDS does not restrict you with regard the number of random output parameters, provided that the total number of probabilistic design variables (that is random input variables and random output parameters together) does not exceed 5000.

ANSYS recommends that you include all output parameters that you can think of and that might be useful to you. The additional computing time required to handle more random output parameters is marginal when compared to the time required to solve the problem. It is better to define random output parameters that you might not consider important before you start the analysis. If you forgot to include a random output parameter that later turns out to be important, you must redo the entire analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.3. Employing Probabilistic Design 		Up / Home Next
3.5. Probabilistic Design Techniques


3.5. Probabilistic Design Techniques

Understanding the algorithm used by a computer program is always helpful; this is particularly true in the case of probabilistic design. This section presents details on the method types and the sampling options associated with each. See the Theory Reference for ANSYS and ANSYS Workbench for more information.

3.5.1. Monte Carlo Simulations

The Monte Carlo Simulation method is the most common and traditional method for a probabilistic analysis. This method lets you simulate how virtual components behave the way they are built. One simulation loop represents one manufactured component that is subjected to a particular set of loads and boundary conditions.

For Monte Carlo simulations, you can employ either the Direct Sampling method or the Latin Hypercube Sampling method.

When you manufacture a component, you can measure its geometry and all of its material properties (although typically, the latter is not done because this can destroy the component). In the same sense, if you started operating the component then you could measure the loads it is subjected to. Again, to actually measure the loads is very often impractical. But the bottom line is that once you have a component in your hand and start using it then all the input parameters have very specific values that you could actually measure. With the next component you manufacture you can do the same; if you compared the parameters of that part with the previous part, you would find that they vary slightly. This comparison of one component to the next illustrates the scatter of the input parameters. The Monte Carlo Simulation techniques mimic this process. With this method you “virtually” manufacture and operate components or parts one after the other.

The advantages of the Monte Carlo Simulation method are:

  • The method is always applicable regardless of the physical effect modeled in a finite element analysis. It not based on assumptions related to the random output parameters that if satisfied would speed things up and if violated would invalidate the results of the probabilistic analysis. Assuming the deterministic model is correct and a very large number of simulation loops are performed, then Monte Carlo techniques always provide correct probabilistic results. Of course, it is not feasible to run an infinite number of simulation loops; therefore, the only assumption here is that the limited number of simulation loops is statistically representative and sufficient for the probabilistic results that are evaluated. This assumption can be verified using the confidence limits, which the PDS also provides.

  • Because of the reason mentioned above, Monte Carlo Simulations are the only probabilistic methods suitable for benchmarking and validation purposes.

  • The individual simulation loops are inherently independent; the individual simulation loops do not depend on the results of any other simulation loops. This makes Monte Carlo Simulation techniques ideal candidates for parallel processing.

The Direct Sampling Monte Carlo technique has one drawback: it is not very efficient in terms of required number of simulation loops.

3.5.1.1. Direct Sampling

Direct Monte Carlo Sampling is the most common and traditional form of a Monte Carlo analysis. It is popular because it mimics natural processes that everybody can observe or imagine and is therefore easy to understand. For this method, you simulate how your components behave based on the way they are built. One simulation loop represents one component that is subjected to a particular set of loads and boundary conditions.

The Direct Monte Carlo Sampling technique is not the most efficient technique, but it is still widely used and accepted, especially for benchmarking and validating probabilistic results. However, benchmarking and validating requires many simulation loops, which is not always feasible. This sampling method is also inefficient due to the fact that the sampling process has no "memory."

For example, if we have two random input variables X1 and X2 both having a uniform distribution ranging from 0.0 to 1.0, and we generate 15 samples, we could get a cluster of two (or even more) sampling points that occur close to each other if we graphed the two variables (see figure below). While in the space of all random input variables, it can happen that one sample has input values close to another sample, this does not provide new information and insight into the behavior of a component in a computer simulation if the same (or almost the same) samples are repeated.

Figure 3.7 Graph of X1 and X2 Showing Two Samples with Close Values

To use Direct Monte Carlo Sampling, do the following

Command(s): | PDMETH,MCS,DIR PDDMCS
GUI: | Main Menu> Prob Design> Prob Method> Monte Carlo Sims

In this sampling method, you set the number of simulations, whether to stop simulations loops when certain criteria are met (accuracy for mean values and standard deviations), and the seed value for randomizing input variable sample data.

3.5.1.2. Latin Hypercube Sampling

The Latin Hypercube Sampling (LHS) technique is a more advanced and efficient form for Monte Carlo Simulation methods. The only difference between LHS and the Direct Monte Carlo Sampling technique is that LHS has a sample "memory," meaning it avoids repeating samples that have been evaluated before (it avoids clustering samples). It also forces the tails of a distribution to participate in the sampling process. Generally, the Latin Hypercube Sampling technique requires 20% to 40% fewer simulations loops than the Direct Monte Carlo Simulation technique to deliver the same results with the same accuracy. However, that number is largely problem dependent.

Figure 3.8 Graph of X1 and X2 Showing Good Sample Distribution

To use the Latin Hypercube Sampling technique:

Command(s): | PDMETH,MCS,LHS PDLHS
GUI: | Main Menu> Prob Design> Prob Method> Monte Carlo Sims

In this sampling method, you set the number of simulations and repetitions, the location in the interval for the sample, whether the simulations stop when certain criteria are met (accuracy of mean values and standard deviations), and random number seed for variability in the sample input variable data.

3.5.1.3. User-Defined Sampling

For this method, you provide the file containing the samples.

Command(s): | PDMETH,MCS,USER PDUSER
GUI: | Main Menu> Prob Design> Prob Method> Monte Carlo Sims

By using this option you have complete control over the sampling data. You are required to give the file name and path.

If user-specified sampling methods are requested with the PDMETH,MCS,USER command or the PDMETH,RSM,USER command, then you need to specify which file contains the sample data. The sample data is a matrix, where the number of columns is equal to the number of defined random variables and the number of lines is equal to the number of simulation loops requested. This data must be contained in an ASCII file and the content must obey the following notations and format requirements:

  • Column separators allowed: blank spaces, commas, semicolons, and tabs.

  • Multiple blank spaces and multiple tabs placed directly one after the other are allowed and are considered as one single column separator.

  • Multiple commas or semicolons placed directly one after the other are not allowed; for example, two commas with no data between them (just blanks) are read as an empty column, which leads to an error message.

  • The first line of the file must contain a solution label. No additional data is allowed on the first line, and if found, will lead to an error message. An error message is also issued if the solution label is missing.

  • The solution label is just a placeholder. For consistency, you should use the same solution label you specify in the PDEXE command, but if they are different, you will always use the solution label specified in the PDEXE command for postprocessing. The PDS system does not check if the solution label in the user-specified file and the one given in the PDEXE command match.

  • The second line of the file must contain the headers of the data columns. The first three column headers must be “ITER”, “CYCL”, and “LOOP”, respectively; then subsequent columns should contain the names of the random variables. You must use one of the allowed separators as described above between the column headers. No additional data is allowed on this line, and if found, will prompt an error message. An error message is also issued if any of the required column headers are missing.

  • The random variable names in your file must match the names of the defined random variables. The variable names that you specify must consist of all uppercase characters (regardless of the case used in the defined variable names).

  • Columns four to n can be in arbitrary order. The ANSYS PDS tool determines the order for the random variable data based on the order of the random variable names in the second line.

  • The third and subsequent lines must contain the order number for the iteration, cycle, and simulation loop, then the random variable values for that loop. The iteration, cycle, and simulation loop numbers must be in the first, second, and third columns respectively, followed by the random variable values. The iteration and cycle numbers are used by the ANSYS PDS (internally) and for a user-defined sampling method you will typically use a value of "1" for all simulation loops. The loop number is an ascending number from 1 to the total number of loops requested. Additional data is not allowed, and if found, will lead to an error message. An error message is also issued if any of the data columns are missing.

  • You must be sure that the order of the random variable values in each line is identical to the order of the random variable names in the second line.

  • The user-specified sampling file must contain a minimum of one data line for the random variable values.

When the PDUSER command is issued, the PDS checks that the specified file exists, then verifies it for completeness and consistency. Consistency is checked according to the possible minimum and maximum boundaries of the distribution type of the individual random variables. An error message is issued if a random variable value is found in the file that is below the minimum boundary or above the maximum boundary of the distribution of that random variable. This also means that any value will be accepted for a random variable if its distribution has no minimum or maximum boundary; for example, this is the case for the Gaussian (normal) distribution. Apart from this check, it is your responsibility to provide values for the random variables that are consistent with their random distribution.

Note

It is your responsibility to ensure that parameters defined as random input variables are actually input parameters for the analysis defined with the PDANL command. Likewise, you must ensure that parameters defined as random output parameter are in fact results generated in the analysis file.

Example

An excerpt of the content of a user-specified sampling file is given below. This example is based on three random variables named X1, X2, and X3. A total of 100 simulation loops are requested.

USERSAMP
ITER CYCL     LOOP                X1                X2                X3
   1    1        1  1.619379209e+000  2.364528435e-001  1.470789050e+000
   1    1        2  2.237676559e-001  5.788049712e-001  1.821263115e+000
   1    1        3  7.931615474e+000  8.278689033e-001  2.170793522e+000
  ..   ..       ..               ...               ...               ...
  ..   ..       ..               ...               ...               ...
   1    1       98  1.797221666e+000  3.029471373e-001  1.877701081e+000
   1    1       99  1.290815540e+001  9.271606216e-001  2.091047328e+000
   1    1      100  4.699281922e+000  6.526505821e-001  1.901013985e+000

3.5.2. Response Surface Analysis Methods

For Response Surface Analysis, you can choose from three sampling methods: Central Composite Design, Box-Behnken Matrix, and user-defined.

Response Surface Methods are based on the fundamental assumption that the influence of the random input variables on the random output parameters can be approximated by mathematical function. Hence, Response Surface Methods locate the sample points in the space of random input variables such that an appropriate approximation function can be found most efficiently; typically, this is a quadratic polynomial. In this case the approximation function [image] is described by

where c0 is the coefficient of the constant term, ci, i = 1,...NRV are the coefficients of the linear terms and cij, i = 1,...NRV and j = i, ...,NRV are the coefficients of the quadratic terms. To evaluate these coefficients a regression analysis is used and the coefficients are usually evaluated such that the sum of squared differences between the true simulation results and the values of the approximation function is minimized.

Hence, a response surface analysis consists of two steps:

  1. Performing the simulation loops to calculate the values of the random output parameters that correspond to the sample points in the space of random input variables.

  2. Performing a regression analysis to derive the terms and the coefficients of the approximation function.

The fundamental idea of Response Surface Methods is that once the coefficients of a suitable approximation function are found, then we can directly use the approximation function instead of looping through the finite element model. To perform a finite element analysis might require minutes to hours of computation time; in contrast, evaluating a quadratic function requires only a fraction of a second. Hence, if using the approximation function, we can afford to evaluate the approximated response parameter thousands of times.

A quadratic polynomial is sufficient in many cases of engineering analysis (for example, the evaluation of the thermal stress mentioned above). For that evaluation, the Young's modulus and the thermal expansion coefficient both have a linear effect on the thermal stresses, which is taken into account in a quadratic approximation by the mixed quadratic terms. However, there are cases where a quadratic approximation is not sufficient; for example, if the finite element results are used to calculate the lifetime of a component. For this evaluation, the lifetime typically shows an exponential behavior with respect to the input parameters; thus the lifetime results cannot be directly or sufficiently described by a quadratic polynomial. But often, if you apply a logarithmic transformation to the lifetime results, then these transformed values can be approximated by a quadratic polynomial. The ANSYS PDS offers a variety of transformation functions that you can apply to the response parameters, and the logarithmic transformation function is one of them.

Assuming the approximation function is suitable for your problem, the advantages of the Response Surface Method are:

  • It often requires fewer simulation loops than the Monte Carlo Simulation method.

  • It can evaluate very low probability levels. This is something the Monte Carlo Simulation method cannot do unless you perform a great number of simulation loops.

  • The goodness-of-fit parameters tell you how good the approximation function is (in other words, how accurate the approximation function is that describes your "true" response parameter values). The goodness-of-fit parameters can warn you if the approximation function is insufficient.

  • The individual simulation loops are inherently independent (the individual simulation loops do not depend on the results of any other simulation loops). This makes Response Surface Method an ideal candidate for parallel processing.

The disadvantages of the Response Surface Method are:

  • The number of required simulation loops depends on the number of random input variables. If you have a very large number of random input variables (hundreds or even thousands), then a probabilistic analysis using Response Surface Methods would be impractical.

  • This method is not usually suitable for cases where a random output parameter is a non-smooth function of the random input variables. For example, a non-smooth behavior is given if you observe a sudden jump of the output parameter value even if the values for the random input variables vary only slightly. This typically occurs if you have instability in your model (such as bulking). The same might happen if the model includes a sharp nonlinearity such as a linear-elastic-ideal-plastic material behavior. Or, if you are analyzing a contact problem, where only a slight variation in your random input variables can change the contact situation from contact to non-contact or vice versa, then you also might have problems using the Response Surface Method.

Note

To use Response Surface Methods, the random output parameters must be smooth and continuous functions of the involved random input variables. Do not use Response Surface Methods if this condition is not satisfied.

3.5.2.1. Central Composite Design Sampling

A central composite design consists of a central point, the N axis point plus 2N-f factorial points located at the corners of an N-dimensional hypercube. Here, N is the number of random input variables and f is the fraction of the factorial part of the central composite design. A fraction f = 0 is a called a full factorial design, f = 1 gives a half-factorial design, and so on. The PDS gradually increases the fraction f as you increase the number of random input variables. This keeps the number of simulation loops reasonable. The fraction f is automatically evaluated such that a resolution V design is always maintained. A resolution V design is a design where none of the second order terms of the approximation function are confined with each other. This ensures a reasonable accuracy for the evaluation of the coefficients of the second order terms.

The locations of the sampling points for a problem with three random input variables is illustrated below.

Figure 3.9 Locations of Sampling Points for Problem with Three Input Variables for CCD

The number of sample points (simulation loops) required for a central composite design as a function of the number of random input variables is given in the table below:

Number of random input variables | Number of coefficients in a quadratic function (with cross-terms) | Factorial number f | Number sample points (simulation loops)
1 | 3 | N/A | N/A
2 | 6 | 0 | 9
3 | 10 | 0 | 15
4 | 15 | 0 | 25
5 | 21 | 1 | 27
6 | 28 | 1 | 45
7 | 36 | 1 | 79
8 | 45 | 2 | 81
9 | 55 | 2 | 147
10 | 66 | 3 | 149
11 | 78 | 4 | 151
12 | 91 | 4 | 281
13 | 105 | 5 | 283
14 | 120 | 6 | 285
15 | 136 | 7 | 287
16 | 153 | 8 | 289
17 | 171 | 9 | 291
18 | 190 | 9 | 549
19 | 210 | 10 | 551
20 | 231 | 11 | 553

To use the Response Surface Method with a Central Composite Design, do the following:

Command(s): | PDMETH,RSM,CCD PDDOEL,Name,CCD,...
GUI: | Main Menu> Prob Design> Prob Method> Response Surface

PDDOEL allows you to specify design of experiment options.

See the Theory Reference for ANSYS and ANSYS Workbench for more details.

3.5.2.2. Box-Behnken Matrix Sampling

A Box-Behnken Design consists of a central point plus the midpoints of each edge of an N-dimensional hypercube.

The location of the sampling points for a problem with three random input variables is illustrated below.

Figure 3.10 Location of Sampling Points for Problem with Three Input Variables for BBM

The number of sample points (simulation loops) required for a Box-Behnken design as a function of the number of random input variables is given in the table below:

Number of random input variables | Number of coefficients in a quadratic function (with cross-terms) | Number sample points (simulation loops)
1 |  | N/A
2 | 6 | N/A
3 | 10 | 12
4 | 15 | 25
5 | 21 | 41
6 | 28 | 49
7 | 36 | 57
8 | 45 | 65
9 | 55 | 121
10 | 66 | 161
11 | 78 | 177
12 | 91 | 193

To use Response Surface Analysis with the Box-Behnken design option, do the following:

Command(s): | PDMETH,RSM,BBM PDDOEL,Name,BBM,...
GUI: | Main Menu> Prob Design> Prob Method> Response Surface

PDDOEL allows you to specify design of experiment options.

See the Theory Reference for ANSYS and ANSYS Workbench for more details.

3.5.2.3. User-Defined Sampling

For this method, you provide the file containing the samples.

Command(s): | PDMETH,RSM,USER PDUSER
GUI: | Main Menu> Prob Design> Prob Method> Response Surface

By using this option, you have complete control over the sampling data. You are required to give the file name and path.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.4. Guidelines for Selecting Probabilistic Design Variables 		Up / Home Next
3.6. Postprocessing Probabilistic Analysis Results


3.6. Postprocessing Probabilistic Analysis Results

There are two groups of postprocessing functions in the probabilistic design system: statistical and trend.

A statistical analysis is an evaluation function performed on a single probabilistic design variable; for example, a histogram plot of a random output parameter. The ANSYS PDS allows statistical evaluation of either random output parameters or random input variables.

A trend analysis typically involves two or more probabilistic design variables; for example, a scatter plot of one probabilistic design variable versus another.

Probabilistic postprocessing is generally based on result sets. A result set is either a solution set generated by a probabilistic analysis run (PDEXE) or a response surface set (RSFIT). With a few exceptions, you can perform the same type of probabilistic postprocessing operations regardless of whether you postprocess the results of a solution set or the results of a response surface set.

3.6.1. Statistical Post-Processing

Statistical postprocessing allows you several options for reviewing your results.

3.6.1.1. Sample History

The most fundamental form of postprocessing is directly reviewing the simulation loop results as a function for the number of simulation loops. Here, you can review the simulation values (for either response surface or Monte Carlo methods), or for Monte Carlo Simulations only, the mean, minimum, or maximum values, or the standard deviations.

It is most helpful to review the mean values and standard deviation history for Monte Carlo Simulation results if you want to decide if the number of simulation loops was sufficient. If the number of simulation loops was sufficient, the mean values and standard deviations for all random output parameters should have converged. Convergence is achieved if the curve shown in the respective plots approaches a plateau. If the curve shown in the diagram still has a significant and visible trend with increasing number of simulation loops then you should perform more simulation loops. In addition, the confidence bounds plotted for the requested history curves can be interpreted as the accuracy of the requested curve. With more simulation loops, the width of the confidence bounds is reduced.

Typically, postprocessing Monte Carlo results based on response surfaces is based on a very large number of simulation loops using the response surface equations. Therefore, the accuracy of the results is not a function of the number of simulation loops, but rather the goodness-of-fit measures of the individual response surfaces. As one example, suppose the goodness-of-fit measures indicate a very poor quality of a response surface fit, but the mean value and standard deviation history indicate that the results have converged (because of the large number of loops) and the accuracy is excellent (again because confidence bounds shrink with increasing number of loops). This could lead you to an incorrect conclusion. This is why the PDS only allows you to visualize the sample value history directly, but not the mean value history and so on.

To review the simulation loop results:

Command(s): | PDSHIS
GUI: | Main Menu> Prob Design> Prob Results> Statistics> Sampl History

You need to select the results set label and the design variable, choose a plot type, and set the confidence level.

3.6.1.2. Histogram

A histogram plot is most commonly used to visualize the scatter of a probabilistic design variable. A histogram is derived by dividing the range between the minimum value and the maximum value into intervals of equal size. Then the PDS determines how many samples fall within each interval, that is, how many "hits" landed in the intervals.

Most likely, you will use histograms to visualize the scatter of your random output parameters. The ANSYS PDS also allows you to plot histograms of your random input variables so you can double check that the sampling process generated the samples according to the distribution function you specified. For random input variables, the PDS not only plots the histogram bars, but also a curve for values derived from the distribution function you specified. Visualizing histograms of the random input variables is another way to make sure that enough simulation loops have been performed. If the number of simulation loops is sufficient, the histogram bars will:

  • Be close to the curve that is derived from the distribution function

  • Be "smooth" (without large “steps”)

  • Not have major gaps

A major gap is given if you have no hits in an interval where neighboring intervals have many hits. However, if the probability density function is flattening out at the far ends of a distribution (for example, the exponential distribution flattens out for large values of the random input variable) then there might logically be gaps. Hits are counted only as positive integer numbers and as these numbers gradually get smaller, a zero hit can happen in an interval.

To plot histograms:

Command(s): | PDHIST
GUI: | Main Menu> Prob Design> Prob Results> Statistics> Histogram

3.6.1.3. Cumulative Distribution Function

The cumulative distribution function is a primary review tool if you want to assess the reliability or the failure probability of your component or product. Reliability is defined as the probability that no failure occurs. Hence, in a mathematical sense reliability and failure probability are two sides of the same coin and numerically they complement each other (are additive to 1.0). The cumulative distribution function value at any given point expresses the probability that the respective parameter value will remain below that point. The figure below shows the cumulative distribution function of the random property X:

Figure 3.11 Cumulative Distribution Function of X

The value of the cumulative distribution function at the location x0 is the probability that the values of X stay below x0. Whether this probability represents the failure probability or the reliability of your component depends on how you define failure; for example, if you design a component such that a certain deflection should not exceed a certain admissible limit then a failure event occurs if the critical deflection exceeds this limit. Thus for this example, the cumulative distribution function is interpreted as the reliability curve of the component. On the other hand, if you design a component such that the eigenfrequencies are beyond a certain admissible limit then a failure event occurs if an eigenfrequency drops below this limit. Thus for this example, the cumulative distribution function is interpreted as the failure probability curve of the component.

The cumulative distribution function also lets you visualize what the reliability or failure probability would be if you chose to change the admissible limits of your design.

Often you are interested in visualizing low probabilities and you want to assess the more extreme ends of the distribution curve. In this case plotting the cumulative distribution function in one of the following ways is more appropriate:

  • As a Gauss plot (also called a "normal plot"). If the probabilistic design variable follows a Gaussian distribution then the cumulative distribution function is displayed as a straight line in this type of plot.

  • As a lognormal plot. If the probabilistic design variable follows a lognormal distribution then the cumulative distribution function is displayed as a straight line in this type of plot

  • As a Weibull plot. If the probabilistic design variable follows a Weibull distribution then the cumulative distribution function is displayed as a straight line in this type of plot.

The advantage of these plots is that the probability axis is scaled in a nonlinear fashion such that the extreme ends of the distribution function are emphasized and more visible.

To plot the cumulative distribution function:

Command(s): | PDCDF
GUI: | Main Menu> Prob Design> Statistics> Prob Results> CumulativeDF

3.6.1.4. Print Probabilities

The PDS offers a function where you can determine the cumulative distribution function at any point along the axis of the probabilistic design variable, including an interpolation function so you can evaluate the probabilities between sampling points. This feature is most helpful if you want to evaluate the failure probability or reliability of your component for a very specific and given limit value.

To print probabilities:

Command(s): | PDPROB
GUI: | Main Menu> Prob Design> Prob Results> Statistics> Probabilities

3.6.1.5. Print Inverse Probabilities

The PDS offers a function where you can probe the cumulative distribution function by specifying a certain probability level; the PDS tells you at which value of the probabilistic design variable this probability will occur. This is helpful if you want to evaluate what limit you should specify to not exceed a certain failure probability, or to specifically achieve a certain reliability for your component.

To print inverse probabilities:

Command(s): | PDPINV
GUI: | Main Menu> Prob Design> Prob Results> Statistics> Inverse Prob

3.6.2. Trend Postprocessing

Trend postprocessing allows you several options for reviewing your results.

3.6.2.1. Sensitivities

Probabilistic sensitivities are important in allowing you to improve your design toward a more reliable and better quality product, or to save money while maintaining the reliability or quality of your product. You can request a sensitivity plot for any random output parameter in your model.

There is a difference between probabilistic sensitivities and deterministic sensitivities. Deterministic sensitivities are mostly only local gradient information. For example, to evaluate deterministic sensitivities you can vary each input parameters by ±10% (one at a time) while keeping all other input parameters constant, then see how the output parameters react to these variations. As illustrated in the figure below, an output parameter would be considered very sensitive with respect to a certain input parameter if you observe a large change of the output parameter value.

Figure 3.12 Sensitivities

These purely deterministic considerations have various disadvantages that are taken into consideration for probabilistic sensitivities, namely:

  • A deterministic variation of an input parameter that is used to determine the gradient usually does not take the physical range of variability into account. An input parameter varied by ±10% is not meaningful for the analysis if ±10% is too much or too little compared with the actual range of physical variability and randomness. In a probabilistic approach the physical range of variability is inherently considered because of the distribution functions for input parameters. Probabilistic sensitivities measure how much the range of scatter of an output parameter is influenced by the scatter of the random input variables. Hence, two effects have an influence on probabilistic sensitivities: the slope of the gradient, plus the width of the scatter range of the random input variables. This is illustrated in the figures below. If a random input variable has a certain given range of scatter, then the scatter of the corresponding random output parameter is larger, and the larger the slope of the output parameter curve is (first illustration). But remember that an output parameter with a moderate slope can have a significant scatter if the random input variables have a wider range of scatter (second illustration).

    Figure 3.13 Range of Scatter

  • Gradient information is local information only. It does not take into account that the output parameter may react more or less with respect to variation of input parameters at other locations in the input parameter space. However, the probabilistic approach not only takes the slope at a particular location into account, but also all the values the random output parameter can have within the space of the random input variables.

  • Deterministic sensitivities are typically evaluated using a finite-differencing scheme (varying one parameter at a time while keeping all others fixed). This neglects the effect of interactions between input parameters. An interaction between input parameters exists if the variation of a certain parameter has a greater or lesser effect if at the same time one or more other input parameters change their values as well. In some cases interactions play an important or even dominant role. This is the case if an input parameter is not significant on its own but only in connection with at least one other input parameter. Generally, interactions play an important role in 10% to 15% of typical engineering analysis cases (this figure is problem dependent). If interactions are important, then a deterministic sensitivity analysis can give you completely incorrect results. However, in a probabilistic approach, the results are always based on Monte Carlo simulations, either directly performed using you analysis model or using response surface equations. Inherently, Monte Carlo simulations always vary all random input variables at the same time; thus if interactions exist then they will always be correctly reflected in the probabilistic sensitivities.

To display sensitivities, the PDS first groups the random input variables into two groups: those having a significant influence on a particular random output parameter and those that are rather insignificant, based on a statistical significance test. This tests the hypothesis that the sensitivity of a particular random input variable is identical to zero and then calculates the probability that this hypothesis is true. If the probability exceeds a certain significance level (determining that the hypothesis is likely to be true), then the sensitivity of that random input variable is negligible. The PDS will plot only the sensitivities of the random input variables that are found to be significant. However, insignificant sensitivities are printed in the output window. You can also review the significance probabilities used by the hypothesis test to decide which group a particular random input variable belonged to.

The PDS allows you to visualize sensitivities either as a bar chart, a pie chart, or both. Sensitivities are ranked so the random input variable having the highest sensitivity appears first.

In a bar chart the most important random input variable (with the highest sensitivity) appears in the leftmost position and the others follow to the right in the order of their importance. A bar chart describes the sensitivities in an absolute fashion (taking the signs into account); a positive sensitivity indicates that increasing the value of the random input variable increases the value of the random output parameter for which the sensitivities are plotted. Likewise, a negative sensitivity indicates that increasing the random input variable value reduces the random output parameter value. In a pie chart, sensitivities are relative to each other.

In a pie chart the most important random input variable (with the highest sensitivity) will appear first after the 12 o'clock position, and the others follow in clockwise direction in the order of their importance.

Using a sensitivity plot, you can answer the following important questions.

How can I make the component more reliable or improve its quality?

If the results for the reliability or failure probability of the component do not reach the expected levels, or if the scatter of an output parameter is too wide and therefore not robust enough for a quality product, then you should make changes to the important input variables first. Modifying an input variable that is insignificant would be waste of time.

Of course you are not in control of all random input parameters. A typical example where you have very limited means of control are material properties. For example, if it turns out that the environmental temperature (outdoor) is the most important input parameter then there is probably nothing you can do. However, even if you find out that the reliability or quality of your product is driven by parameters that you cannot control, this has importance — it is likely that you have a fundamental flaw in your product design! You should watch for influential parameters like these.

If the input variable you want to tackle is a geometry-related parameter or a geometric tolerance, then improving the reliability and quality of your product means that it might be necessary to change to a more accurate manufacturing process or use a more accurate manufacturing machine. If it is a material property, then there is might be nothing you can do about it. However, if you only had a few measurements for a material property and consequently used only a rough guess about its scatter and the material property turns out to be an important driver of product reliability and quality, then it makes sense to collect more raw data. In this way the results of a probabilistic analysis can help you spend your money where it makes the most sense — in areas that affect the reliability and quality of your products the most.

Back To Top

How can I save money without sacrificing the reliability or the quality of the product?

If the results for the reliability or failure probability of the component are acceptable or if the scatter of an output parameter is small and therefore robust enough for a quality product then there is usually the question of how to save money without reducing the reliability or quality. In this case, you should first make changes to the input variables that turned out to be insignificant, because they do not effect the reliability or quality of your product. If it is the geometrical properties or tolerances that are insignificant, you can consider applying a less expensive manufacturing process. If a material property turns out to be insignificant, then this is not typically a good way to save money, because you are usually not in control of individual material properties. However, the loads or boundary conditions can be a potential for saving money, but in which sense this can be exploited is highly problem dependent.

Command(s): | PDSENS
GUI: | Main Menu> Prob Design> Prob Results> Trends> Sensitivities

3.6.2.2. Scatter Plots

While the sensitivities point indicate which probabilistic design parameters you need to modify to have an impact on the reliability or failure probability, scatter plots give you a better understanding of how and how far you should modify the input variables. Improving the reliability and quality of a product typically means that the scatter of the relevant random output parameters must be reduced.

The PDS allows you to request a scatter plot of any probabilistic design variable versus any other one, so you can visualize the relationship between two design variables (input variables or output parameters). This allows you to verify that the sample points really show the pattern of correlation that you specified (if you did so). Typically, random output parameters are correlated as because they are generated by the same set of random input variables. To support the process of improving the reliability or quality of your product, a scatter plot showing a random output parameter as a function of the most important random input variable can be very helpful.

When you display a scatter plot, the PDS plots the sampling points and a trendline. For this trendline, the PDS uses a polynomial function and lets you chose the order of the polynomial function. If you plot a random output parameter as a function of a random input variable, then this trendline expresses how much of the scatter on the random output parameter (Y-axis) is controlled by the random input variable (X-axis). The deviations of the sample points from the trendline are caused and controlled by all the other random input variables. If you want to reduce the scatter of the random output parameter to improve reliability and quality, you have two options:

  • Reduce the width of the scatter of the most important random input variable(s) (that you have control over).

  • Shift the range of the scatter of the most important random input variable(s) (that you have control over).

The effect of reducing and shifting the scatter of a random input variable is illustrated in the figures below. "Input range before" denotes the scatter range of the random input variable before the reduction or shifting, and "input range after" illustrates how the scatter range of the random input variable has been modified. In both cases, the trendline tells how much the scatter of the output parameter is affected and in which way if the range of scatter of the random input variable is modified.

Figure 3.14 Effects of Reducing and Shifting Range of Scatter

It depends on your particular problem if either reducing or shifting the range of scatter of a random input variable is preferable. In general, reducing the range of scatter of a random input variable leads to higher costs. A reduction of the scatter range requires a more accurate process in manufacturing or operating the product — the more accurate, the more expensive it is. This might lead you to conclude that shifting the scatter range is a better idea, because it preserves the width of the scatter (which means you can still use the manufacturing or operation process that you have). Below are some considerations if you want to do that:

  • Shifting the scatter range of a random input variable can only lead to a reduction of the scatter of a random output parameter if the trendline shows a clear nonlinearity. If the trendline indicates a linear trend (if it is a straight line), then shifting the range of the input variables anywhere along this straight line doesn't make any difference. For this, reducing the scatter range of the random input variable remains your only option.

  • It is obvious from the second illustration above that shifting the range of scatter of the random input variable involves an extrapolation beyond the range where you have data. Extrapolation is always difficult and even dangerous if done without care. The more sampling points the trendline is based on the better you can extrapolate. Generally, you should not go more than 30-40% outside of the range of your data. But the advantage of focusing on the important random input variables is that a slight and careful modification can make a difference.

Note

ANSYS strongly recommends that you redo the entire probabilistic analysis using the new and modified random input variables if you have reduced of shifted the scatter range of any input variables using the procedure and recommendations above. To redo the probabilistic analysis, save the probabilistic model using the PDSAVE command and clear the current probabilistic analysis results using the PDCLR,POST command. Then you can modify the random input variable definitions and redo the probabilistic analysis.

Command(s): | PDSCAT
GUI: | Main Menu> Prob Design> Prob Results> Trends> Scatter

3.6.2.3. Correlation Matrix

Probabilistic sensitivities are based on a statistical correlation analysis between the individual probabilistic design variables. The PDS lets you review the correlation data that has been used to derive sensitivities and decide if individual sensitivity values are significant or not. This information is collected in the correlation matrix of the random output parameters versus the random input variables. The PDS also lets you review the correlations that have been sampled between random input variables, which is stored in the random input variables correlation matrix. The correlations between random output parameters are important if you want to use the probabilistic results of your probabilistic analysis as input for another probabilistic analysis.

To print out a correlation matrix:

Command(s): | PDCMAT
GUI: | Main Menu> Prob Design> Prob Results> Trends> Correl Matrix

3.6.3. Generating an HTML Report

The ANSYS probabilistic design system automatically generates an HTML report for all probabilistic analyses that you performed with your probabilistic model. The report explains the problem you analyzed, which probabilistic methods were used, and the results. The report uses pictures as well as verbal description and explanations to document all this. The report is a predefined HTML document that you can modify and add to using an HTML editor. However, you can also influence the contents of the report to some extent.

To generate an HTML report for probabilistic design:

Command(s): | PDROPT, PDWRITE
GUI: | Main Menu> Prob Design> Prob Results> Report> Report Options Main Menu> Prob Design> Prob Results> Report> Generate Report

Use the PDROPT command to choose the items you want to include in your report, then use the PDWRITE command to generate it.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.5. Probabilistic Design Techniques 		Up / Home Next
3.7. Multiple Probabilistic Design Executions


3.7. Multiple Probabilistic Design Executions

There are various reasons why you may wish to perform more than one probabilistic design execution. For example, your initial probabilistic design run may not contain enough samples or loops to find the desired probability limits. Or, you may start by using one probabilistic design analysis method, then try another method to compare or validate results. The knowledge you gain from the first few loops may prompt you to change the method you use or other analysis settings.

If you run a probabilistic analysis using a new probabilistic methods make sure that you also provide a new solution label in the PDEXE command. If you want to add data to an existing solution set then make sure that you use the same probabilistic method as the one that has been used in the existing solution set. In this case please also note, that if the existing solution set has already a response surface set associated to it, then all response surface sets will be deleted and need to redifined using the RSFIT command.

If you perform all executions within the same ANSYS session (or within the same batch input stream), the procedure is very straightforward. After an execution, redefine the probabilistic design input as desired and initiate the next execution. To initiate the execution:

Command(s): | PDEXE
GUI: | Main Menu> Prob Design> Run> Exec Serial> Run Serial Main Menu> Prob Design> Run> Exec Parallel> Run Parallel

For more information on these execution options, see Execute Probabilistic Analysis Simulation Loops. If you left the ANSYS program after performing an analysis and would like to continue your probabilistic design analysis at some later time, you can do a save and restart as described next.

3.7.1. Saving the Probabilistic Design Database

Because the probabilistic database is completely separate from the ANSYS database, if you save the ANSYS database using the command SAVE it does not save the probabilistic design database. An exception is when you leave the ANSYS session and choose the "Save Everything" button in the "EXIT from ANSYS" menu, in which case the PDS database is also saved. If you already saved the probabilistic database to a specific file, then the "Save Everything" command will cause the current PDS database to overwrite the data in that file; otherwise, the data is written to jobname.pds in your current working directory.

The probabilistic design data is automatically saved at the end of each probabilistic design analysis loop. You can save the probabilistic design data at any time by using the PDSAVE command.

To save a probabilistic design analysis:

Command(s): | PDSAVE
GUI: | Main Menu> Prob Design> Prob Database> Save

Caution

Currently, you must use the Save and Resume commands on the Prob Design menu to save your work if interrupted or if you simply want to resume the project later.

3.7.2. Restarting a Probabilistic Design Analysis

The probabilistic database is maintained completely separate from the ANSYS database. This means that if you resume the ANSYS database then the probabilistic design database is not also resumed.

To restart a probabilistic design analysis, resume the probabilistic design database file (Jobname.PDS):

Command(s): | PDRESU
GUI: | Main Menu> Prob Design> Prob Database> Resume

Once the data is read in, you can respecify probabilistic design type, controls, etc., and initiate looping. (The analysis file corresponding to the resumed database must be available in order to perform probabilistic design.) Note that the previous results are not loaded into the database until a probabilistic postprocessing command is issued.

See the /PDS, PDRESU, PDSAVE, and PDEXE command descriptions for more details.

Note

In addition to probabilistic design data, the ANSYS jobname is saved to the probabilistic design database file (Jobname.PDS). Therefore, when a probabilistic design data file is resumed (PDRESU), the jobname saved in that file will overwrite the current jobname (/FILNAME).

You can use the PDRESU command (Main Menu> Prob Design> Prob Database> Resume) in an interactive session to resume probabilistic design data that was created through a batch run, thus allowing convenient interactive viewing of batch probabilistic design results.

3.7.3. Clearing the Probabilistic Design Database

The probabilistic database is completely separate from the ANSYS database. This usually means that saving and resuming the ANSYS database has no effect on saving and resuming the PDS database. However, if you issue the /CLEAR command to clear the ANSYS database, then the PDS database is also cleared. For this reason you should never use the /CLEAR command as part of your PDS analysis file. Clearing the PDS database has no effect on the ANSYS database.

For clearing the probabilistic database you have two options. You can clear the entire PDS database or just the results and solution portion. The latter maintains the probabilistic model definition (the random input variable definitions, correlations, and random output parameter definitions). Clearing only the solution and results part of the PDS database is helpful if you want to modify the probabilistic model (change RVs, set correlations between RVs or RPs, etc.). After you have performed a probabilistic analysis, the PDS will not allow you to change any of the probabilistic model details. This ensures consistency of the probabilistic model with the results.

To clear the probabilistic design database:

Command(s): | PDCLR
GUI: | Main Menu> Prob Design> Prob Database> Clear & Reset

Because the ANSYS database is not affected by the PDCLR command, it may also be necessary to clear the ANSYS database if the resumed probabilistic design problem is totally independent of the previous one. See the /CLEAR command for details.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.6. Postprocessing Probabilistic Analysis Results 		Up / Home Next
3.8. Sample Probabilistic Design Analysis


3.8. Sample Probabilistic Design Analysis

In the following example, you will perform a probabilistic design analysis of a simple indeterminate three-bar truss. This analysis uses the Direct Monte Carlo method.

3.8.1. Problem Description

You will analyze the effect of variation in the 3-bar truss cross-section that is subjected to a force with both vertical and horizontal components.

3.8.2. Problem Specifications

The loading for this example is a force of 20000 lbs. located at the vertex of the three truss members. The force acts at a 45° angle from the vertical direction.

The following material property is used for this analysis:

Young's modulus (E) = 30E6 psi

The following geometric properties are used for this analysis. These properties are the initial cross-sectional areas for each truss member:

ARE1 = 5.0
ARE2 = 5.0
ARE3 = 5.0

3.8.2.1. Problem Sketch

Figure 3.15 The Simple Indeterminate 3-Bar Truss for the Sample Problem

3.8.3. Using a Batch File for the Analysis

You can perform the example probabilistic design analysis of this 3-bar truss using the ANSYS commands shown below.

The analysis file is created for use during the probabilistic analysis. It is a parametric model of the problem geometry, materials, and loads. Within the analysis file, input variables are initialized and output variables are retrieved. If you prefer, you can perform the second pass of the example analysis using the GUI method rather than ANSYS commands. See Using the GUI for the PDS Analysis for details.

The following input listing sets up the analysis file for the 3-bar truss.

/com
/com, Create an analysis file to be used during looping
/com
*create,pds3bar,pdan
*SET,ARE1,5.00             !INITIALIZE CROSS SECTIONAL AREAS
*SET,ARE2,5.00
*SET,ARE3,5.00
/PREP7
/title, PROBABILISTIC ANALYSIS OF A SIMPLE INDETERMINATE 3-BAR TRUSS
ET,1,1
EX,1,30E6
R,1,ARE1
R,2,ARE2
R,3,ARE3
N,1
N,2,10
N,3,20
N,4,10,-10,,-45            ! ROTATE TIPNODE 45°
REAL,1
E,1,4
REAL,2
E,2,4
REAL,3
E,3,4
D,1,ALL,,,3
F,4,FX,20000
FINISH
/SOLU
SOLVE
FINISH
/POST1
SET,1
ETABLE,VOLU,VOLU            ! STORE MEMBER VOLUMES
ETABLE,AXST,LS,1            ! STORE MEMBER AXIAL STRESSES
*GET,SIG1,ELEM,1,ETAB,AXST  ! SIG1 IS DEFINED TO BE AXIAL STRESS IN ELEMENT 1
*GET,SIG2,ELEM,2,ETAB,AXST  ! SIG2 IS DEFINED TO BE AXIAL STRESS IN ELEMENT 2
*GET,SIG3,ELEM,3,ETAB,AXST  ! SIG3 IS DEFINED TO BE AXIAL STRESS IN ELEMENT 3
SSUM
*GET,TVOL,SSUM,,ITEM,VOLU
FINI
*end

After the analysis file has been created, you can proceed with the probabilistic design analysis. You can do this though ANSYS commands or though the GUI. If you prefer using commands, the following input sets up the probabilistic analysis for the 3-bar truss example.

/inp,pds3bar,pdan
/com
/com, Enter PDS and specify the analysis file
/com
/PDS                        ! enter probabilistic design system
pdanl,pds3bar,pdan
/com
/com, Declare random input variables
/com
PDVAR,ARE1,GAUS,5,0.5       ! define area1 with Gaussian distribution
                            ! having mean of 5 and std. dev of 0.5
PDVAR,ARE2,tria,10,11,12    ! define area2 with triangular distribution
                            ! having low bound of 10, most likely point of 11
                            ! and high bound of 12
PDVAR,ARE3,unif,5,6         ! define area3 with uniform distribution
                            ! with low bound of 5 and high bound of 6
/com
/com, Specify any correlations between the random variables
/com
PDCOR,ARE1,ARE3,0.25        ! define a correlation coef of 0.25 between ARE1 and ARE3
/com
/com, Declare random output variables
/com
PDVAR,SIG1,resp             ! define SIG1 a response parameter
PDVAR,SIG2,resp             ! define SIG2 a response parameter
PDVAR,SIG3,resp             ! define SIG3 a response parameter
PDVAR,TVOL,resp             ! define TVOL a response parameter
/com
/com, Choose the probabilistic design tool or method
/com
PDMETH,MCS,DIR              ! specify direct Monte Carlo simulation
PDDMCS,100,NONE,ALL,,,,123457 ! use all 100 samples, initial seed of 123457
/com
/com, Execute the loops required for the probabilistic design analysis
/com
PDEXE,mcs3bar              ! run analysis and define solution label 3bar_mcs
/com
/com, Review the results of the probabilistic analysis
/com
PDSENS,MCS3BAR,TVOL,BOTH,RANK,0.025 !Create Sensitivity plot
fini
/exit

3.8.4. Using the GUI for the PDS Analysis

Because of the parametric definition of some variables in the analysis file, the GUI method is not recommended for analysis file creation and is not presented here. It is acceptable, however, to perform the probabilistic design analysis of the 3-bar truss example via the GUI method. The GUI procedure for performing the probabilistic design analysis follows. Using a Batch File for the Analysis describes how to create an analysis file. The GUI procedure for performing the probabilistic design analysis pass follows.

Step 1: Test Analysis File

To test the analysis file, you clear the database and then read input from the pdbeam.lgw file.

  1. Choose menu path Utility Menu> File> Clear & Start New. Click on OK.

  2. In the Verify dialog box, click Yes.

  3. Change the jobname. Choose menu path Utility Menu> File> Change Jobname. The Change Jobname dialog box appears.

  4. Change the jobname to pds3bar.pdan and click on OK.

  5. Choose menu path Utility Menu> File> Read Input from. In the Files list, click on pds3bar.pdan. Then click on OK. You see a replay of the entire analysis. Click on Close when the “Solution is done!” message appears.

In the next several steps of this problem, you explore the effects of variation in the parameters.

Back To Top

Step 2: Enter the Probabilistic Design Module and Identify Analysis File

First, enter the optimizer and identify the analysis file.

  1. Choose menu path Main Menu> Prob Design> Analysis File> Assign. The Assign Analysis File dialog box appears.

  2. In the Files list, click once on pds3bar.pdan and then click on OK.

Back To Top

Step 3: Identify the Probabilistic Design Variables

  1. Choose menu path Main Menu> Design Opt> Design Variables. The Design Variables dialog box appears.

  2. Click on Add. The Define a Random Variable dialog box appears.

  3. In the list of parameter names, click on ARE1. Select GAUSS in the distribution type list. Click on OK.

  4. Type 5 in the MEAN VALUE field and 0.5 in the STANDARD DEVIATION field. Click on OK.

  5. Click on Add. The Define a Random Variable dialog box appears.

  6. In the list of parameter names, click on ARE2. Select TRIANGULAR in the distribution type list. Click on OK.

  7. Type 10 in the LOWER BOUNDARY field, 11 in the MOST LIKELY VALUE field, and 12 in the UPPER BOUNDARY field. Click on OK.

  8. Click on Add. The Define a Random Variable dialog box appears.

  9. In the list of parameter names, click on ARE3. Select UNIFORM in the distribution type list. Click on OK.

  10. Type 5 in the LOW BOUND field, and 6 in the HIGH BOUND field. Click on OK.

  11. Click on Close to close the Define a Random Variable dialog box.

  12. Choose menu path Main Menu> Prob Design> Prob Definitions> Correlation. The Add/Edit or Delete Correlation dialog box appears.

  13. Select ARE1 and ARE2 from the list of variable names. Click on OK. Type 0.25 in the Correlation Coeff field.

  14. Choose menu path Main Menu> Prob Design> Prob Definitions> Random Output. The Random Output Parameters dialog box appears.

  15. Click on Add. The Define a Random Output Parameter dialog box appears. In the list of parameter names, click on SIG1. Click on OK.

  16. Click on Add. The Define a Random Output Parameter dialog box appears. In the list of parameter names, click on SIG2. Click on OK.

  17. Click on Add. The Define a Random Output Parameter dialog box appears. In the list of parameter names, click on SIG3. Click on OK.

  18. Click on Close to close the Random Output Parameters dialog box.

Back To Top

Step 4: Run the Probabilistic Design Analysis

This step involves specifying the probabilistic design method, executing the run, and saving the data.

  1. Choose menu path Main Menu> Prob Design> Prob Method> Monte Carlo Sims. The Monte Carlo Simulation dialog box appears.

  2. Select Direct Sampling from the Sampling Methods.

  3. Type 100 in the Number of Simulations field. Choose Use 123457 from the Random Seed Option. Click on OK.

  4. Choose menu path Main Menu> Prob Design> Run> Exec Serial> Run Serial. Type mcs3bar in the Solution Set Label field. Click on OK.

  5. The Run Monte Carlo Simulations dialog box appears. Click on OK.

  6. Choose menu path Main Menu> Prob Design> Prob Database> Save. Type mcs3bar in the selection field. Click on OK.

When the data is saved, you are ready to review the results.

Back To Top

Step 5: Review the Probabilistic Results

In this step, you visualize the probabilistic results.

  1. Choose menu path Main Menu> Prob Design> Prob Results> Trends> Sensitivities. The Sensitivity of a Response Parameter dialog box appears.

  2. Select MCS3BAR in the Select Results Set field. Select TVOL in the Select Response Parameter field. Click on OK.

  3. A Rank-Order Correlation Sensitivity bar and pie chart is shown in the ANSYS Graphics window.

Back To Top

Step 6: Exit ANSYS

  1. Click on Quit in the ANSYS Toolbar.

  2. Select an option to save, then click on OK.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.7. Multiple Probabilistic Design Executions 		Up / Home Next
Chapter 4. Variational Technology


Chapter 4. Variational Technology

Within the ANSYS family of products, Variational Technology applies to two distinct types of mathematical problems: parametric studies and solver speed-up.

Variational Technology for Parametric Studies

The first Variational Technology implementation, available via ANSYS DesignXplorer, deals with parametric inputs and from those providing a response surface, an explicit approximation function of the finite-element results expressed as a function of all selected input variables. To determine the response surfaces, the higher order derivatives of the finite-element results are evaluated relative to the selected input variables, where the order of the derivatives corresponds to the order of the approximation function. The ANSYS implementation of Variational Technology automatically calculates all necessary derivatives of any order within one single finite-element analysis. Because the derivatives are also calculated, this "extended" finite-element analysis may take longer than a regular solve. However, the time required for this single "extended" analysis is substantially less than the time required for multiple solution runs that are typically required for "what-if-studies" or for Design of Experiments sampling. Although this implementation results in an “extended” solution with a corresponding “extended” solution time, it provides data for a wide range of parametric inputs.

Variational Technology for Solver Speed-up

The second Variational Technology implementation speeds up the solution itself and has been applied to two distinct types of mathematical problems: Nonlinear solutions for structural and thermal analyses, and harmonic analysis. These capabilities are referred to as VT Accelerator. VT Accelerator provides a 2X-5X speedup for the initial solutions depending on the hardware, model, and type of analysis. VT Accelerator makes re-solves 3X to 10X faster for parameter changes, allowing for effective simulation driven parametric studies of nonlinear and transient analyses in a cost-effective manner. You can make the following types of changes to the model before a VT Accelerator re-solve:

  • Modify, add, or remove loads (constraints may not be changed, although their value may be modified)

  • Change materials and material properties

  • Change section data and real constants

  • Change geometry, although the mesh connectivity must remain the same (i.e., the mesh must be morphed)

To enable any of the VT Accelerator techniques, you need an ANSYS Mechanical HPC license for each processor running the analysis.

VT Accelerator for Nonlinear Solution Speed-Up. VT Accelerator for nonlinear solutions speeds up the solution of applicable nonlinear analysis types by reducing the total number of iterations. Examples include:

  • Nonlinear structural static or transient analyses not involving contact or plasticity

  • Nonlinear thermal static or transient analyses

VT Accelerator for Harmonic Analysis. The harmonic sweep feature of VT Accelerator provides a high-performance solution for forced-frequency simulations in high-frequency electromagnetic problems and structural analysis.

For a structural harmonic analysis, VT Accelerator provides a harmonic analysis over a range of user-defined frequencies. The structural material may have frequency dependent elasticity or damping.

For a high-frequency electromagnetic harmonic analysis, VT Accelerator provides a high-frequency analysis over a range of user-defined frequencies. The module computes S-parameters over the entire frequency range. In practice, the harmonic sweep feature of VT Accelerator completes one normal ANSYS run at the mid-frequency of the specified frequency range. It then performs accurate approximations of the results across the frequency range (in user-specified steps). In addition to controlling the steps and the frequency range, you can also specify the accuracy of the approximations. Two harmonic sweep solution methods are available: Variational Technology and Variational Technology Perfect Absorber. The Variational Technology Perfect Absorber method provides about a 20% faster solution but it is somewhat less accurate.

The following Variational Technology topics are available:

  • Understanding Variational Technology for Parametric Studies
  • ANSYS DesignXplorer
  • Harmonic Sweep Using VT Accelerator

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.8. Sample Probabilistic Design Analysis 		Up / Home Next
4.1. Understanding Variational Technology for Parametric Studies


4.1. Understanding Variational Technology for Parametric Studies

Variational Technology allows a much more efficient approach to testing the response of different input values. It provides a response surface, an explicit approximation function of the finite-element results expressed as a function of all selected input variables. Among other approaches, these approximation functions can be derived from ROMS, Taylor series, or Padé approximation, as follows:

  • ROMS approximation is based on a series of polynomial functions. It is available for Static Structural and linear Steady-State Thermal analysis for which it is the recommended approximation type. It works with discrete input variables, supports multiple input variables per element and supports shape (geometry) input variables. If the Solution Type is Full, the maximum number of input parameters is 10 for continuous and 20 for discretes..

  • Taylor series approximation is based on a series of polynomial functions. A recommended (problem-dependent) upper limit is 10 input variables. It allows for the finite elements in the model to be affected by more than one input variable or by shape (geometry) parameters. Taylor series approximation is recommended for eigenfrequency analysis with shape (geometry) input variables.

  • Padé approximation is based on a series of rational functions. It can therefore better deal with highly nonlinear cases such as response quantities that have singularities. A recommended (problem-dependent) upper limit is 100 input variables. It works with discrete input variables and is the faster and least expensive method. However, it does not allow for any single finite element in the model to be affected by more than one input variable. Padé approximation is recommended for eigenfrequency analysis with discrete input variables.

The default value AUTO of the VTMETH command allows DesignXplorer to determine automatically the most appropriate method to use. This is the recommended option.

Both the Taylor series expansion technique as well as the Padé approximation depends on the order of the approximation function. Naturally, the higher the order of the approximation the more accurate the approximation will be. Variational Technology as implemented in the ANSYS environment automatically determines the necessary order of the approximation based on the requested accuracy of the expected results.

To determine the response surfaces it is necessary to evaluate higher order derivatives of the finite-element results with respect to the selected input variables, where the order of the derivatives corresponds to the order of the approximation function. It is a unique key feature of Variational Technology implemented in the ANSYS environment that all necessary derivatives of any order are calculated automatically within one single finite-element analysis. Because the derivatives are also calculated, this "extended" finite-element analysis may take longer than a regular solve. However, this one "extended" finite-element analysis will take a considerably shorter time if compared to the many solution runs that are required for the "what-if-study" mentioned above. Depending on the analysis problem, typical speed-up factors may be in the order of ten or even up to several thousands.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 4. Variational Technology 		Up / Home Next
4.2. ANSYS DesignXplorer


4.2. ANSYS DesignXplorer

The following Variational Technology topics are available for ANSYS DesignXplorer:

  • What is ANSYS DesignXplorer
  • Systems Support
  • Basic Operation
  • Element Support
  • Limitations
  • Complete Discrete Analysis Example
  • Shell Thickness Example
  • ANSYS Mesh Morpher Example
  • Troubleshooting

4.2.1. What is ANSYS DesignXplorer

ANSYS DesignXplorer is an add-on module for the ANSYS environment that provides a wide range of accurate, rapid, derived results for structural static analysis with linear elastic materials, and static linear heat transfer analysis. ANSYS DesignXplorer supports varying the following design parameters:

  • Discrete elements and element components. Typical examples of such features would be stiffeners or holes. You can then see the effects of removing these various components from the model. See Element Support for a complete list of supported elements for this application.

    In a discrete element analysis, you must first create element components of the features that you wish to consider as discrete variables. For holes, you must create the elements that define the hole; that is, the geometry that represents the hole must be filled with elements which will be suppressed. For information concerning setting up element components, see Selecting and Components in the Basic Analysis Guide.

    Note

    Discrete parameters are not allowed for heat transfer analysis.

  • Material properties, including elastic modulus, material density, and minor Poisson's ratio for structural analysis, thermal conductivities for heat transfer analysis. See Element Support for a list of supported element types. Note that for orthotropic materials, variations of Young's modulus (Ex, Ey, Ez), shear modulus (Gxy, Gyz, Gzx), and Poisson's ratio (νxy, νyz, νzx), thermal conductivity (Kxx, Kyy, Kzz) are supported.

  • The following real constants or section definition parameters:

    • Shell thickness for SHELL181

    • Mass for MASS21

    • Stiffness for COMBIN14

  • Temperature change for thermal stress analysis.

  • Geometry: Using ANSYS Mesh Morpher, you can define some shape parameters that can be used as variables.

  • Inertia loads.

  • Pressure loads on SURF153 and SURF154 elements, Bulk temperature, Film coefficient and heat flux on SURF152, SURF151.

Results are viewed in a separate postprocessor application, called the SolutionViewer, which can be launched from within the ANSYS environment. You can use the SolutionViewer to interactively evaluate and optimize product behavior. This can all be done without the time required for additional finite-element solutions.

The SolutionViewer provides the following tools for design evaluation and optimization:

  • Design Curves

  • Design Handbooks, consisting of families of design curves.

  • Histograms

  • Response Surfaces

  • Design Sweeps

  • Tolerance Analyses

  • Contour Plots

The SolutionViewer includes its own help system, accessible from within the application or by opening SXP_index.html located at n:\Program Files\Ansys Inc\V110\CommonFiles\help\en-us\solviewer on Windows and /ansys_inc/v110/commonfiles/help/en-us/solviewer on UNIX/Linux.

4.2.2. Systems Support

DesignXplorer is supported on the Windows platform, the Unix platform, and the Linux 64-bit platform with the AMD Opteron processor. With respect to postprocessing, the SolutionViewer is supported on the following platforms:

Intel IA-32 bit / Windows XP (Build 2600) Version 5.1
Intel IA-32 bit / Windows 2000 Version 5.0 (Build 2195)
HP PA8000 / HP-UX B.11.11
HP Itanium / HP-UX B.11.23
IBM AIX64 64-bit / AIX 5.3
SGI /IRIX64 6.5.23m
Sun UltraSPARC / Solaris 9, UltraSPARC III and IV / Solaris 9
Fujitsu PrimePower / Solaris 8
Linux Intel IA-32 / RH AS 3.0
Linux Intel IA-64 / RH AS 3.0
The SolutionViewer is not supported of the following platforms:
Intel EM64T,AMD64 / Windows XP x64 Edition Version 2003
Linux Intel Xeon EM64T / RH AS 3.0
Linux AMD Opteron 64
HP AlphaServer / Tru64 UNIX V5.1
A complete list of operating system requirements is included in the ANSYS, Inc. Installation Guides.

4.2.3. Basic Operation

For discrete analyses, you must first create the element components for the discrete variables. For information concerning setting up element components, see Selecting and Components in the Basic Analysis Guide.

4.2.3.1. Good Practices

Run a Traditional ANSYS Solution Before a ANSYS DesignXplorer analysis: Running a single, traditional ANSYS analysis first helps "weed out" any problems that might cause the ANSYS DesignXplorer analysis to fail. For example, this will help locate such problems as poorly applied loads, distorted elements, or coincident nodes not merged. You should eliminate any such problems before performing an ANSYS DesignXplorer analysis.

Meshing: Having a good mesh is just as important for the ANSYS DesignXplorer analyses as it is for traditional ANSYS analyses.

Model Size: While there is no theoretical size limitation on the model used in an ANSYS DesignXplorer analysis, there is the practical consideration that very large models may also consume very large amounts of memory. Experience has shown that based on various sizes of a three thickness shell model, the memory required is about twice as large as for a single sparse solution.

Number of Input Variables: ANSYS DesignXplorer can easily handle a combination of 50 to 100 input variables using the Padé approximation, and 5 to 10 input variables using the Taylor series approximation, and up to 10 variables for ROMS approximation. While adding significant numbers of input variables will require more memory usage, and more time to arrive at a solution, it will still be many, many times faster than a traditional analysis.

Solving: To perform a static analysis in the ANSYS environment after a solve with Variational Technology, you must use the STAOPT,DEFA command. After a solution based on ANSYS DesignXplorer with the SOLVE command, your model is frozen insomuch you cannot add or delete input variables.

4.2.3.2. General Procedure for Using ANSYS DesignXplorer

expand Use the following as a general guideline.

  1. Issue the VT processor command (/VT) .

  2. If desired, clear the previous results from memory with the VTCLR command. Setup from previous solutions isn't cleared from memory unless you issue this command. It is a good practice to clear memory before running a new solution that includes different input or results variables.

  3. If desired, overwrite the previous results file or specify a new results file using the VTRFIL command. This can be quite important as Variational Technology results files can be very large and are not overwritten (merely appended).

    The results file name that you specify with this command is the only results files that can loaded into the SolutionViewerr (through the VTPOST command). To load a pre-existing results file into the SolutionViewer, you must first specify it with this command before issuing VTPOST.

  4. Choose the Padé or Taylor series approximation function, and the types of derivatives to be evaluated, using the VTMETH.

  5. Define the design variables for the analysis using the following commands:

    VTDISC

    Defines a discrete (element or element components) variable as an input variable.

    VTMP

    Defines a material property as an input variable.

    VTREAL

    Defines real constant as an input variable.

    VTSEC

    Defines a section property as an input variable for the harmonic sweep capability of VT Accelerator or for the DesignXplorer.

    VTTEMP

    Defines the temperature as input variable for the DesignXplorer.

    VTSFE

    Defines surface load input parameters for the DesignXplorer.

    VTIN

    Defines body load input parameters for the DesignXplorer.

  6. Define the result quantities with one or more VTRSLT commands. The variables that you define depend on the type of analysis.

  7. Set the Variational Technology solution method depending on the analysis type. For a static analysis (ANTYPE,STATIC), set the solution method using the STAOPT command. For a modal analysis (ANTYPE,MODAL), set the solution method using the MODOPT command.

  8. Solve.

  9. Review results with the VTPOST command. This command launches the SolutionViewer.

  10. Export the results from the SolutionViewer to either a JPEG file or to a text file for use in other applications, such as Microsoft Excel.

  11. An alternative to using VTPOST is to use the POST1 processor with VTVMOD and VTEVAL commands. VTEVAL will evaluate the results for parametric values specified for VTVMOD and load them into memory. Displacements, reaction forces and stresses can be printed or plotted.

  12. Do not issue a set command when using VTEVAL as it will use results from the RST file and overwrite them in memory.

4.2.3.3. Additional VT Commands

In addition to the commands used directly in setting up an analysis, there are additional commands for the following tasks:

Checking the Status of ANSYS DesignXplorer Settings

You can use the VTSTAT command to print the status of all ANSYS DesignXplorer command settings in a separate, scrollable window.

Selecting a Subset of Elements Undergoing Variation

The VTSL command allows you to select a subset of elements based on an VT variable name.

Modifying ANSYS DesignXplorer Input Variables

To modify an ANSYS DesignXplorer input variable created through the VTMP, VTDISC, VTGEOM, VTIN, VTSEC, VTREAL, VTIN, VTSFE, or VTRSLT commands, you can simply reissue the command with the same input variable name. However, to deactivate, activate, or delete variables, you must use the VTVMOD command. Use the VTSTAT command to list the names of the input variables.

4.2.3.4. Using ANSYS DesignXplorer Interactively

You can perform ANSYS DesignXplorer analyses interactively as well. Each of the ANSYS DesignXplorer commands has a corresponding dialog box. These are available under DesignXplorer in the Main Menu. The following illustrations map each of the menu items to the appropriate ANSYS DesignXplorer command.

Frequency | VTFREQ
Temperature Load | VTTEMP
Material Property | VTMP
Real Constant | VTREAL
Section Property | VTSEC
Discrete Variable | VTDISC
Body Load | VTIN
Surface Load | VTSFE
Result Quantity | VTRSLT
Modify | VTVMOD
Results File | VTRFIL
Solution Method | VTMETH
Solve | SOLVE
SolutionViewer | VTPOST
Status | VTSTAT
Clear Database | VTCLR

Setting up ANSYS DesignXplorer analyses interactively is considerably easier, as the dialog boxes (at least to some extent) guide you in choosing the proper command settings. For example, the Define Material Properties dialog box displays the proper material property labels based on the main material selection. Also, you don't need to specify Variational Technology with the STAOPT or MODOPT commands. This is done automatically when you select Solve under DesignXplorer> Solution in the Main Menu.

4.2.4. Element Support

The following table lists the elements currently supported by ANSYS DesignXplorer.

Table 4.1 Elements For Use With ANSYS DesignXplorer

Element | Material Properties (defined using VTMP) | Real Constants | Discrete (defined using VTDISC) | Results[a] (as stated in VTRSLT)
LINK180 | EX, EY, EZ, NUXY, NUYZ, NUXZ, GXY, GYZ, GXZ, DENS |  | X | MASS, RF, U
SHELL181 | EX, EY, EZ, NUXY, NUYZ, NUXZ, GXY, GYZ, GXZ, DENS per layer | TK per layer (defined using VTREAL or VTSEC) | X | MASS, S, RF, U
PLANE182 | EX, EY, EZ, NUXY, NUYZ, NUXZ, GXY, GYZ, GXZ, DENS |  | X | MASS, S, RF, U
PLANE183 | EX, EY, EZ, NUXY, NUYZ, NUXZ, GXY, GYZ, GXZ, DENS |  | X | MASS, S, RF, U
SOLID185 | EX, EY, EZ, NUXY, NUYZ, NUXZ, GXY, GYZ, GXZ, DENS |  | X | MASS, S, RF, U
SOLID186 | EX, EY, EZ, NUXY, NUYZ, NUXZ, GXY, GYZ, GXZ, DENS |  | X | MASS, S, RF, U
SOLID187 | EX, EY, EZ, NUXY, NUYZ, NUXZ, GXY, GYZ, GXZ, DENS |  | X | MASS, S, RF, U
BEAM188 | EX, EY, EZ, NUXY, NUYZ, NUXZ, GXY, GYZ, GXZ, DENS |  | X | MASS, RF, U
BEAM189 | EX, EY, EZ, NUXY, NUYZ, NUXZ, GXY, GYZ, GXZ, DENS |  | X | MASS, RF, U
COMBIN14 |  | STIFF (defined using VTREAL) | X | RF, U
MASS21 |  | MASS (defined using VTREAL) | X | MASS, RF, U
SOLID70 | KXX, KYY, KZZ |  |  | TEMP, TG, TF
SOLID87 | KXX, KYY, KZZ |  |  | TEMP, TG, TF
SOLID90 | KXX, KYY, KZZ |  |  | TEMP, TG, TF
SURF151 |  | HFILM, HFLUX, TBULK using VTSFE |  | None
SURF152 |  | HFILM, HFLUX, TBULK using VTSFE |  | None
SURF153 |  | PRES using VTSFE |  | None
SURF154 |  | PRES using VTSFE |  | None
SURF156 |  | PRES using VTSFE |  | None
[a] Beam elements have no stress results.

When pressures and forces are applied to surfaces using SFE on SURF153 (2-D) or SURF154 (3-D), if the shape of the model is varied by a VTGEOM parameters, the total force applied to the element will be held constant unless the SFE load key option specifies that the load is to be applied normal to the surface.

4.2.5. Limitations

  • An element cannot belong to more than one variable specification; that is, an element cannot be part of both a thickness and material property variable definition using VTMETH,,PADE.

  • For Normal Modes analysis:

    • Non-zero prescribed displacements are not supported.

    • The result type MASS cannot be selected.

  • VTTEMP cannot be used with the following elements:

    • LINK180

    • BEAM188

    • BEAM189

    • COMBIN14

    • MASS21

  • On an element which has both suppressed DOFs and prescribed DOFs, the calculation of reaction forces is incorrect.

  • ANSYS DesignXplorer does not support Poisson's ratio parameter (PR or NU) with orthotropic materials.

4.2.6. Complete Discrete Analysis Example

The following example builds a cantilever model with a pressure load. The example uses both continuous and discrete variables. Continuous variables are characterized by a non-interrupted range of values, such as thickness, force, or temperature. Discrete variables are valid only at particular values, such as the number of holes or number of weld points. In this example, the flange and web thicknesses are continuous input variables. The four stiffening ribs are set as discrete variables, allowing you to experiment with the effects caused by removing individual ribs. Note that this requires creating an element component for each of the ribs.

A standard analysis is then performed in the ANSYS environment. Then, a DesignXplorer analysis is performed following the steps outlined in the table below that shows both the GUI paths and the equivalent ANSYS commands.

Task | GUI Input | Command Input
1. | Enter the ANSYS DesignXplorer Preprocessor. | No action required. Occurs automatically at Step 2 or 3. | /VT
2. Define the results file where the DesignXplorer results are to be stored.

  • Main Menu> DesignXplorer> Solution> Results File

  • Browse ... and pick, or type file.rsx (include path)

  • OK

VTRFIL,FILE,RSX
3. Identify discrete variables.

  • Main Menu> DesignXplorer> Setup> Discrete Variable

  • “Name for the variable” = rib1

  • OK

  • “Sel Elem Comp Name” = RIB1

  • Apply

VTDISC,RIB1,RIB1

  • “Name for the variable” = rib2

  • OK

  • “Sel Elem Comp Name” = RIB2

  • Apply

VTDISC,RIB2,RIB2

  • “Name for the variable” = rib3

  • OK

  • “Sel Elem Comp Name” = RIB3

  • Apply

VTDISC,RIB3,RIB3

  • “Name for the variable” = rib4

  • OK

  • “Sel Elem Comp Name” = RIB4

  • OK

VTDISC,RIB4,RIB4
4. Identify desired element and nodal result items.

  • Main Menu> DesignXplorer> Setup> Result Quantity

  • “Name of result quantity” = defl

  • “Type Comp” = Nodal Results (left), Displacements U (right)

  • OK

  • Apply

VTRSLT,DEFL,NODE,U,ALL,,

  • “Name of result quantity” = stress

  • “Type Comp” = Element Results (left), Stresses S (right)

  • OK

  • Apply

VTRSLT,STRESS,ELEM,S,ALL,,

  • “Name of result quantity” = mass

  • “Type Comp” = Element Results (left), Mass (right)

  • OK

  • OK

VTRSLT,MASS,ELEM,MASS,ALL,,
5. Review input status listing and obtain a ANSYS DesignXplorer solution.

  • Main Menu> DesignXplorer> Solution> Solve

  • File> Close after reviewing

  • OK

  • Review solution progress in the Output Window.

VTSTAT

FINISH

/SOLU

STAOPT,VT

SOLVE

FINISH

6. Open the SolutionViewer to review ANSYS DesignXplorer results.

  • Main Menu> DesignXplorer> Postprocessing> SolutionViewer

  • OK

VTPOST
7. Create Histogram.

  • Highlight file.rsx in Objects list.

  • Add histogram

  • then pick Rib1, Rib2, Rib3and Rib4

  • OK

  • Add criterion then pick Max VonMises Stress

  • OK

  • Review Property list, then [image] Evaluate to produce histogram.

VTPOST
8. Create Contour Plot

  • Highlight file.rsx in Objects list.

  • Add contour plot

  • Add parameter then pick Rib1

  • OK

  • Add criterion then pick displacement

  • OK

  • Review Property list, then [image] Evaluate to produce contour plot.

VTPOST

Histogram

Back To Top

Contour Plot

Back To Top

Discrete Example Input Listing

/PREP7
/TITLE, VTREAL & VTDISC for SHELL181

/PREP7

/COM, Model generation
*SET,a , 1   !Cell length
*SET,b , 1   !Cell Height
*SET,c,1     !Cell Depth
*SET,d,5     !Number of Cells

k,1,0,0
k,2,a,0
k,3,a,b
k,4,0,b
k,5,a,0,c
k,6,0,0,c
a,1,2,3,4
a,1,2,5,6
a,2,3,5
aplot
agen,5,1,2,1,a
agen,d-1,3,3,,a
aplot
aglue,all

/COM, Material generation
MP, EX,        1,  2.068000E+08
MP, NUXY,      1,  2.900000E-01
MP, DENS,      1,  7.820000E-01
MP, GXY,       1,  8.015504E+07
MP, ALPX,      1,  1.170000E-05
MP, KXX,       1,  4.500000E+04
MP, MU,        1,  0.000000E+00
MP, HF,        1,  0.000000E+00
MP, EMIS,      1,  1.000000E+00
MP, QRATE,     1,  0.000000E+00
MP, VISC,      1,  0.000000E+00

/COM, Element generation
et,1,181
r,1,0.2
et,2,181
r,2,0.2
et,3,181
r,3,0.2
asel,s,loc,z
type,1
real,1

esize,,8

amesh,all
asel,s,loc,y
type,2
real,2
amesh,all
asel,all
type,3
real,3
amesh,all

nsel,s,loc,x,a[1]
esln,,1
cm,rib1,elem

nsel,s,loc,x,2*a
esln,,1
cm,rib2,elem

nsel,s,loc,x,3*a
esln,,1
cm,rib3,elem

nsel,s,loc,x,4*a
esln,,1
cm,rib4,elem

allsel
finish

/solu

FLST,2,5,5,ORDE,5
FITEM,2,1
FITEM,2,18
FITEM,2,20
FITEM,2,22
FITEM,2,24
SFA,P51X,1,PRES,200, ,
allsel,

nsel,s,loc,x,
d,all,all
nsel,s,loc,x,5*a
nsel,r,loc,y,0
nsel,r,loc,z,0

! f,all,mx,10000
! d,all,rotx,10000
allsel
solve
finish

!  /post1
!  set,last,
!  pldisp,1
!  finish

/vt[2]
VTRFIL,file,rsx[3]
VTDISC,Rib1,rib1[4]
VTDISC,Rib2,rib2
VTDISC,Rib3,rib3
VTDISC,Rib4,rib4

VTRSLT,defl,NODE,U,ALL,,[5]
VTRSLT,stress,ELEM,S,ALL,,
VTRSLT,mass,ELEM,MASS,ALL,,
finish

/solution
STAOPT,vt[6]
solve
finish

1 - This begins the set of commands to create the element components. Each rib must be defined as an element component for later reference by the VTDISC command.

2 - Enter the VT processor with the /VT command.

3 - The ANSYS DesignXplorer results file is named file.rsx.

4 - Each of the previously defined element components is now set as a "discrete" input variable using the VTDISC command.

5 - The results variables are defined with the VTRSLT command.

6 - The ANSYS DesignXplorer solution is selected with the STAOPT command.

4.2.7. Shell Thickness Example

In this example, seven real constant sets (1 through 7) defining shell thickness have previously been defined. The following is an example of that code that defines each, in this case real constant set 1.

R,1,4.,,,,0.,
RMORE,0.,0.,0.,0.,0.,0.
ET,   1, 181,   0,   0,   0,   0,   0,   0
KEYOPT,     1,  7,     0
KEYOPT,     1,  8,     0
KEYOPT,     1,  9,     0
KEYOPT,     1, 10,     0

Material properties were also previously defined, for example:

/COM MATERIAL DEFINITION
/COM
MP, EX,        1,  2.068000E+08
MP, NUXY,      1,  2.900000E-01
MP, DENS,      1,  7.820000E-06
MP, GXY,       1,  8.015504E+07
MP, ALPX,      1,  1.170000E-05
MP, KXX,       1,  4.500000E+04
MP, MU,        1,  0.000000E+00
MP, HF,        1,  0.000000E+00
MP, EMIS,      1,  1.000000E+00
MP, QRATE,     1,  0.000000E+00
MP, VISC,      1,  0.000000E+00

Assume also that the model is adequately constrained and a force applied. The following shows the commands used to set up the input variables based on the previously defined shell thicknesses (Thick1 through Thick7) and a material property input variable based on Young's Modulus. The results variables must be defined as well, for use by the results viewer.

/VT[1]
VTRFIL,test2,rsx[2]
VTREAL,Thick1,0.5,7.5,CONT,TK,1,,VAL[3]
VTREAL,Thick2,0.5,7.5,CONT,TK,2,,VAL
VTREAL,Thick3,0.5,7.5,CONT,TK,3,,VAL
VTREAL,Thick4,0.5,7.5,CONT,TK,4,,VAL
VTREAL,Thick5,0.5,7.5,CONT,TK,5,,VAL
VTREAL,Thick6,0.5,7.5,CONT,TK,6,,VAL
VTREAL,Thick7,0.5,7.5,CONT,TK,7,,VAL
VTMP,Young0,1.034E+08,3.102E+08,CONT,EX,2,,VAL[4]

VTRSLT,deplacement,NODE,U,ALL,,ALL[5]
VTRSLT,reactions,NODE,RF,ALL,,ALL
VTRSLT,mass,ELEM,MASS,ALL,
VTRSLT,sigma,ELEM,S,ALL,,ALL
FINI

/SOLUTION
STAOPT,VT[6]

1 - Enter the VT processor with the /VT command.

2 - Specify the results file name with the VTRFIL command.

3 - Specify the input variables based on thickness with the VTREAL command.

4 - Specify the input variable based on material property with the VTMP command.

5 - Specify the results variables with VTRSLT command.

6 - Specify a Variational Technology solution with the STAOPT command.

4.2.8. ANSYS Mesh Morpher Example

  1. To define geometry parameters for Variational Technology, start to write a .cdb file using the CDWRITE,DB command.

  2. Import the file in ANSYS Mesh Morpher and define your parameters. In this example, the parameters are called "width" and "height."

  3. Save the ANSYS Mesh Morpher file. In this example, the file is called VTexample.van. You should save the file first with the .van extension, then make a copy of it with the .rsx extension.

  4. Declare the shape variable and the filename for DX in ANSYS. This can also be done selecting Generate DXVT Template from the File menu in ANSYS Mesh Morpher.

    /VT
VTRFIL,VTexample,rsx
VTGEOM,width
VTGEOM,height
FINI

  5. Define the results as usual.

    /VT
VTRSLT,mass,ELEM,MASS,ALL,
VTRSLT,sigma,ELEM,S,ALL,,ALL
FINI

/SOLUTION
STAOP,VT
SOLVE

4.2.9. Troubleshooting

If you encounter problems running the ANSYS DesignXplorer:

  1. Make certain that you are using supported elements. Refer to Table 4.1: "Elements For Use With ANSYS DesignXplorer" for a list of elements and supported features.

  2. Make sure that the CADOE_LIBDIR110 environment variable has been set. It should point to the n\Program Files\Ansys Inc\V110\CommonFiles\Language\en-us directory in Windows and the /ansys_inc/v110/commonfiles/language/en-us directory in UNIX.

If you encounter problems running the SolutionViewer help, make sure that the CADOE_DOCDIR110 environment variable has been set. It should point to n:\Program Files\Ansys Inc\V110\CommonFiles\help\en-us\solviewer on Windows and /ansys_inc/v110/commonfiles/help/en-us/solviewer on UNIX/Linux.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.1. Understanding Variational Technology for Parametric Studies 		Up / Home Next
4.3. Harmonic Sweep Using VT Accelerator


4.3. Harmonic Sweep Using VT Accelerator

The harmonic sweep feature of VT Accelerator provides a high-performance solution for forced-frequency simulations in high-frequency electromagnetic problems and structural analysis when the material properties are frequency dependent and no modal responses can be used.

High-frequency electromagnetic problems use ANSYS high-frequency elements HF119 or HF120 only.

The following Variational Technology topics are available for harmonic sweep:

  • Elements Supporting Frequency-Dependent Property Structural Elements
  • Harmonic Sweep for High-Frequency Electromagnetic Problems
  • Harmonic Sweep for Structural Analysis with Frequency-Dependent Material Properties
  • Limitations

4.3.1. Elements Supporting Frequency-Dependent Property Structural Elements

Frequency-dependent property structural elements can be used with the following elements:

Element | Frequency dependent Material Properties (defined using TB,ELAS and TB,SDAMP commands)
PLANE182 | EX, SDAMP
PLANE183 | EX, SDAMP
SOLID185 | EX, SDAMP
SOLID186 | EX, SDAMP
SOLID187 | EX, SDAMP

4.3.2. Harmonic Sweep for High-Frequency Electromagnetic Problems

The harmonic sweep feature of VT Accelerator provides a high-frequency analysis over a range of user-defined frequencies. The module computes S-parameters over the entire frequency range. (For more information, see the SPSWP command description.)

In practice, the harmonic sweep feature of VT Accelerator completes one normal ANSYS run at the mid-frequency of the specified frequency range. It then performs accurate approximations of the results across the frequency range (in user-specified steps). In addition to controlling the steps and the frequency range, you can also specify the accuracy of the approximations.

There are two harmonic sweep solution methods available: Variational Technology and Variational Technology Perfect Absorber. The Variational Technology Perfect Absorber method provides about a 20% faster solution but it is somewhat less accurate. To specify the solution method use the SPSWP command and set SwpOpt to 0 or 2 or the HROPT command and set Method to VT or VTPA.

S-parameters are stored in a Touchstone format file, called jobname.snp, where n is the number of ports.

expand To compute a matrix of S-parameters for waveguide ports

  1. Define the port regions (flags) and boundary conditions. Use the

    • BFA, BFL, or BF commands for interior waveguide.

    • SF or SFA commands for exterior waveguide ports.

  2. Define the waveguide port type and excitation using the HFPORT command.

  3. Compute the matrix of S-parameters using the SPSWP command.

  4. Display the S-parameters using the PLSP command.

expand To compute a matrix of S-parameters for transmission line ports

  1. Define the transmission line port (flags) and options.

  2. Define a port excitation using BF, BFL, or BFA and a current density source. Offset this excitation from the transmission line port plane.

  3. Define a voltage path from the central conductor to the ground on the transmission line port plane using the PATH command. Save the path using the PASAVE command.

  4. Specify transmission line inputs using the HFPORT command.

  5. Compute the matrix of S-parameters using the SPSWP command.

  6. Display the S-parameters using the PLSYZ command.

Note

A large number of frequency steps will produce a very large database file.

4.3.2.1. Transmission Line Example Problem

/batch,list
/TITLE, Example for SPSWP macro with transmission line ports
/com, Brick structure: 3 x 1.5 x 7 cm^3 with material step
/prep7
! ---------- geometry parametrs ------------
ch=0.015   $ cw=0.03   $ cl=0.0375
!
! ---------- define elements and material properties -------
et,11,200,7                      ! temporary element
et,1,120,1                       ! brick 1st order
et,2,120,1,,,1                   ! PML elemnts
mp,murx,1,1
mp,perx,1,1
mp,murx,2,1
mp,perx,2,4
! ---------- define geometry and mesh the model ----------
numel=6
rect,-cw/2,cw/2,-ch/2,ch/2
type,11
esize,,cw/numel
amesh,1
type,1                           ! create brick mesh by extrusion
esize,,8
mat,1
asel,s,loc,z,0.
vext,all,,,0,0,-0.8*cl
mat,2
asel,s,loc,z,0.
vext,all,,,0,0,0.8*cl
type,2                           ! create PML elements
esize,,4
mat,1
asel,s,loc,z,-0.8*cl
vext,all,,,0,0,-0.4*cl
mat,2
asel,s,loc,z,0.8*cl
vext,all,,,0,0,0.4*cl
asel,s,loc,z,0.
aclear,all
alls
! ---------- assign PEC boundary conditions ----------
nsel,s,loc,y,-ch/2
nsel,a,loc,y,ch/2
d,all,ax,0.
! ---------- assign PEC BC on PML exterior -----------
nsel,s,loc,z,-cl*1.2
nsel,a,loc,z,cl*1.2
d,all,ax,0.
nsel,all
! ---------- create transmission line port #1 -------------
nsel,s,loc,z,-0.4*cl             ! select port nodes
bf,all,port,1                    ! flag port nodes
hfport,1,tline,,v1,sext,188.36   ! specify port options (wave impedance Z=188.36)
nsel,s,loc,z,-0.6*cl
bf,all,js,0,1,0,-1               ! define excitation
! ---------- create transmission line port #2 -------------
nsel,s,loc,z,0.4*cl              ! select port nodes
bf,all,port,2                    ! flag port nodes
hfport,2,tline,,v2,sext,94.18    ! specify port options (wave impedance Z=94.18)
nsel,s,loc,z,0.6*cl              ! define excitation
bf,all,js,0,1,0,-2
alls
! ---------- define paths for transmission line ports ------
x1=-cw/2 $x2=cw/2 $z1=-0.4*cl $z2=0.4*cl $y1=-ch/2 $y2=ch/2
path,v1,2                        ! voltage path for port 1
ppath,1,,0,y2,z1
ppath,2,,0,y1,z1
path,v2,2                        ! voltage path for port 2
ppath,1,,0,y2,z2
ppath,2,,0,y1,z2
pasave,all                       ! save paths in file.path
fini
/solu
alls
spswp,1.e9,5.e9,1.e9,0   ! run frequency sweep using Variational Technology
fini

Results in Touchstone Format.

 !  ANSYS S-parameter Data for 2 Ports (Transmission Line).

 # GHz S MA R 188.36 94.18.
 ! Freq     |S11|   <|S11|    |S21|   <|S21|    |S12|   <|S12|    |S22|   <|S22|
  1.0000    0.322  142.788    0.945  -52.364    0.947  -53.791    0.326  -69.987
  2.0000    0.339  109.259    0.935 -107.633    0.948 -106.050    0.337 -141.146
  3.0000    0.329   69.074    0.932  197.701    0.959  200.509    0.323  141.352
  4.0000    0.334   36.978    0.921  145.595    0.966  146.452    0.332   66.997
  5.0000    0.345    0.070    0.905   95.776    0.964   93.750    0.368    7.834

4.3.2.2. Waveguide Example Problem

Figure 4.1 Element Plot for Waveguide Example

/batch,list
/title, Dielectric Post in a Rectangular Waveguide
/com, Waveguide Dimension: 22.86 x 10.16 mm^2 (Cutoff Frequency: 6.56 GHz)
/com, Dielectric Post: 12 x 10.16 x 6 mm^3 at the center of waveguide
/com,                  epsr = 8.2
/com, Frequency Range: 8 - 12 GHz for TE10 mode
/com, PML Parameter: 5 Layers with -50 dB
/com, Mesh Size: Free Space Wavelength/15 at 12 GHz
/com, Numerical Model: IMPD Driven Port; PML Output Port
/com, Solution Target: S11 over frequency range using series expansion method

/prep7
ch=10.16e-3			! waveguide height
cw=22.86e-3			! waveguide width
c=12e-3		     	! post width
d=6e-3					! post length
epsr=8.2				! Dielectric constant

freq=10.e9				! Analysis frequency
fmesh=12e9				! Mesh frequency
lamda=3.e8/fmesh	! wavelength
h1=lamda/8				! mesh parameter
cl=5*d					! waveguide length

et,1,HF119,1
et,2,HF119,1,,,1	! PML option
mp,murx,1,1.
mp,perx,1,1.
mp,murx,2,1.
mp,perx,2,epsr		! Dielectric

block,-cw/2,cw/2,-ch/2,ch/2,-cl/2,cl/2
block,-c/2,c/2,-ch/2,ch/2,-d/2,d/2
vsbv,1,2,,delete,keep
block,-cw/2,cw/2,-ch/2,ch/2,cl/2,cl/2+lamda/5
vglue,all

esize,h1
type,1
mat,2						! Dielectric region
vmesh,2
mat,1						! Air region
vmesh,4
type,2					! PML region
vmesh,1

! Tangential E is zero on all side walls

nsel,s,loc,y,-ch/2
nsel,a,loc,y,ch/2
nsel,a,loc,x,-cw/2
nsel,a,loc,x,cw/2
nsel,a,loc,z,cl/2+lamda/5
d,all,ax,0.

nsel,s,loc,z,-cl/2	! locate rectangular port
sf,all,port,1
hfport,1,rect,,te10,impd,cw,ch,1
alls
fini

/solu
alls
spswp,8.e9,12.e9,0.1e9,0 ! run frequency sweep using Variational Technology option
FINISH
/post1
plsyz,file,s1p,s,db,1,1  ! plot magnitude of S11 (dB)
plsyz,file,s1p,s,ang,1,1 ! plot phase angle (Deg)
finish

Figure 4.2 Graph of Phase Angle

Figure 4.3 Graph of Magnitude

4.3.3. Harmonic Sweep for Structural Analysis with Frequency-Dependent Material Properties

Using the harmonic sweep feature of VT Accelerator module, you can define the material elastic properties as being frequency-dependent and efficiently compute the frequency response over an entire frequency range. For more information, see TB,ELAS and TB,SDAMP. To use this formulation, use the hysteretic damping formulation with the HROPT command.

Note

If you define the damping ratio (TB,SDAMP) as being a linear function of the frequency, the damping behaves like a viscous damping. See the Theory Reference for ANSYS and ANSYS Workbench for more information on the hysteretic and structural damping formulations.

Limitations: The frequency-dependent tables (defined by the TB,ELAS and TB,SDAMP commands) define piecewise linear functions. These are used to define the stiffness and damping matrices, which in turn are fitted with a polynomial over the entire frequency range. To compute their derivatives as a function of frequency. Hence, if the piecewise linear approximation of the material properties is too coarse, the results will be poor.

4.3.3.1. Beam Example

Consider a cantilever beam, with a Young's modulus of 20e6 psi for static condictions and 30e6 for 500Hz.

ETYPE=186
LF = 10               ! STARTING FREQUENCY
UF = 500              ! ENDING FREQUENCY
N = 50                   ! NUMBER OF SUBSTEP
/PREP7
!*
ET,1,ETYPE

/com, * ==============================================
/com, *
/com, *    Frequency dependent material properties
/com, *
/com, * ==============================================

TB,ELASTIC,1,,2	        ! Elastic data table

TBFIELD , FREQ,1	! First frequency value
TBDATA,1,20e6,0.3	! E and m

TBFIELD ,FREQ,500	! Fifth frequency value
TBDATA,1,30e6,0.3

TB,SDAMP,1, ,1	        ! damping data table

TBFIELD , FREQ,1	! First frequency value
TBDATA,1, 0.02	        ! Damping co.

TBFIELD ,FREQ,500     ! Fifth frequency value
TBDATA,1, 0.01

MP,DENS,1,.10

BLOCK,0,10,0,2,0,2
LSEL,S,LOC,X,-.5,0.5
LESIZE,ALL,,,2
LSEL,S,LOC,X,9.5,10.5
LESIZE,ALL,,,2
LSEL,S,LOC,X,2,8
LESIZE,ALL,,,5
VMESH,ALL
FINISH
/SOL
LSEL,S,LOC,X,-.5,0.5
DL,all,,all
KSEL,S,LOC,X,8,12
KSEL,R,LOC,Y,-.5,.5
FK,ALL,FY,1000
ASEL,S,LOC,Y,1.8,2.2
SFA,ALL,,PRES,1000,
allsel
FINI

/com, * ==============================================
/com, *
/com, *             VT Harmonic Analysis
/com, *
/com, * ==============================================
/VT
VTCLR,ALL
VTRFIL
VTFREQ,frq,LF,UF,N
VTRSLT,disp,NODE,U,ALL,0.01,ALL
FINISH
/SOLU
ANTY,HARM
HROUT,OFF                 ! Print complex displacements as amplitude and phase angle
KBC,1
HROPT,VT,,,,HYST
Solve
FINISH

/show,post
/post26
nsol,10,57,u,y,d1
prvar,10

The graph below shows the difference in the Y displacement at the end of the beam, taking constant material properties for 0Hz, constant properties for 500 Hz, and variable properties. Note that the first peak is higher on the variable curve than the other two. This is because of the frequency step used to create the frequency response.

4.3.4. Limitations

  • For the harmonic sweep:

    • LUMPM,ON is not supported.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.2. ANSYS DesignXplorer 		Up / Home Next
Chapter 5. Adaptive Meshing


Chapter 5. Adaptive Meshing

The ANSYS program provides approximate techniques for estimating mesh discretization error for certain types of analyses. Using this measure of mesh discretization error, the program can then determine if a particular mesh is fine enough. If not, the program will automatically refine the mesh so that the measured error will decrease. This process of automatically evaluating mesh discretization error and refining the mesh, called adaptive meshing, continues through a series of solutions until the measured error drops below some user-defined value (or until a user-defined limit on the number of solutions is reached).

The following adaptive meshing topics are available:

  • Prerequisites for Adaptive Meshing
  • Employing Adaptive Meshing
  • Modifying the Adaptive Meshing Process
  • Adaptive Meshing Hints and Comments
  • Where to Find Examples

For more information about error-value approximation, see The General Postprocessor (POST1) in the Basic Analysis Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.3. Harmonic Sweep Using VT Accelerator 		Up / Home Next
5.1. Prerequisites for Adaptive Meshing


5.1. Prerequisites for Adaptive Meshing

The ANSYS program includes a prewritten macro, ADAPT.MAC, to perform adaptive meshing. Your model must meet certain criteria before you can successfully activate the ADAPT macro. (In some cases, models not conforming to the criteria can be adaptively meshed using a modified procedure, as discussed below.) The requirements include the following:

  • The standard ADAPT procedure is valid only for single-solution linear static structural and linear steady-state thermal analyses.

  • Use only one material type, as the error calculations are based in part on average nodal stresses, and would thus often be invalid at the material interfaces. Also, an element's error energy is affected by its elastic modulus; therefore, even if the stress discontinuity is the same in two adjoining elements, their error energy will be different if they have different material properties. You should also avoid abrupt changes in shell thickness, as such discontinuities will cause similar stress-averaging problems.

  • Use meshable solid model entities. (Avoid characteristics that will cause meshing failure.)

  • Use element types that support error calculations.

Table 5.1 Element Types That Can Be Used in Adaptive Meshing

Type Element Description
2-D Structural Solids
PLANE25
PLANE42
PLANE82
PLANE83
PLANE183
Axisymmetric Harmonic 4-Node Structural Solid
2-D Structural Solid
2-D 8-Node Structural Solid
Axisymmetric Harmonic 8-Node Structural Solid
2-D 8-Node Structural Solid
3-D Structural Solids
SOLID45
SOLID92
SOLID95
3-D Structural Solid
3-D 10-Node Tetrahedral Structural Solid
3-D 20-Node Structural Solid
3-D Structural Shells
SHELL43
SHELL63
SHELL93
4-Node Plastic Large Strain Shell
Elastic Shell
8-Node Structural Shell
2-D Thermal Solids
PLANE35
PLANE75
PLANE55
PLANE77
PLANE78
2-D 6-Node Triangular Thermal Solid
Axisymmetric-Harmonic 4-Node Thermal Solid
2-D Thermal Solid
2-D 8-Node Thermal Solid
Axisymmetric-Harmonic 8-Node Thermal Solid
3-D Thermal Solids
SOLID70
SOLID87
SOLID90
3-D Thermal Solid
3-D 10-Node Tetrahedral Thermal Solid
3-D 20-Node Thermal Solid
3-D Thermal Shells
SHELL57
Thermal Shell

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 5. Adaptive Meshing 		Up / Home Next
5.2. Employing Adaptive Meshing


5.2. Employing Adaptive Meshing

The general process for running the adaptive meshing macro follows:

  1. As in any linear static structural or steady state thermal analysis, enter the preprocessor (/PREP7 command or menu path Main Menu> Preprocessor) and specify the element type, real constants, and material properties (according to the prerequisites).

  2. Model your system using solid modeling procedures, creating meshable areas or volumes describing the geometry of your system. It is not necessary to specify element sizes, nor do you need to mesh these areas and volumes; the ADAPT macro initiates meshing automatically. (If you need to mesh your model with both area and volume elements, create an ADAPTMSH.MAC subroutine.

  3. You can either proceed to SOLUTION (/SOLU or menu path Main Menu> Solution) or remain in PREP7 to specify analysis type, analysis options, loads, and load step options. Apply only solid model loads and inertia loads (accelerations, rotational accelerations, and rotational velocities) in a single load step. (Finite element loads, coupling, and constraint equations can be introduced through the ADAPTBC.MAC subroutine. Multiple load steps can be introduced through the ADAPTSOL.MAC subroutine.)

  4. If in /PREP7, exit the preprocessor (FINISH). (You can invoke the ADAPT macro from either SOLUTION or the Begin level.)

  5. Invoke the adaptive solution. To do so, use one of these methods:

    Command(s): ADAPT
    GUI: Main Menu> Solution> Solve> Adaptive Mesh

    You can use the ADAPT macro in either a thermal or a structural analysis, but you cannot combine the two disciplines in one adaptive solution. As the adaptive meshing iterations proceed, element sizes are adjusted (within the limits set by FACMN and FACMX) to decrease and increase the elemental error energies until the error in energy norm matches the target value (or until the specified maximum number of solutions has been used).

    After you have invoked the adaptive solution, this macro controls all program operations until the solution is completed. The ADAPT macro will define element sizes, generate the mesh, solve, evaluate errors, and iterate as necessary till the target value of error in energy norm is met. All these steps are performed automatically, with no further input required from you.

  6. When adaptive meshing has converged, the program automatically turns element shape checking on (SHPP,ON). It then returns to the SOLUTION phase or to the Begin level, depending on which phase you were in when you invoked ADAPT. You can then enter /POST1 and postprocess as desired, using standard techniques.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.1. Prerequisites for Adaptive Meshing 		Up / Home Next
5.3. Modifying the Adaptive Meshing Process


5.3. Modifying the Adaptive Meshing Process

This section describes how to modify adaptive meshing by employing selective adaptivity, enhancing the ADAPT macro's functionality via user subroutines, and customizing the ADAPT macro itself via the UADAPT macro.

5.3.1. Selective Adaptivity

If you know that mesh discretization error (measured as a percentage) is relatively unimportant in some regions of your model (for instance, in a region of low, slowly-changing stress), you can speed up your analysis by excluding such regions from the adaptive meshing operations. Also, you might want to exclude regions near singularities caused by concentrated loads. Selecting logic provides a way of handling such situations.

Figure 5.1 Selective Adaptivity

Selective adaptivity can improve the performance of models having concentrated loads.

If you select a set of keypoints, the ADAPT macro will still include all your keypoints (that is, the ADAPT macro will modify the mesh at both selected and non-selected keypoints), unless you also set KYKPS = 1 in the ADAPT command (Main Menu> Solution> Solve> Adaptive Mesh).

If you select a set of areas or volumes, the ADAPT macro will adjust element sizes only in those regions that are in the selected set. You will have to mesh your entire model in PREP7 before executing ADAPT.

5.3.2. Customizing the ADAPT Macro with User Subroutines

The standard ADAPT macro might not always be applicable to your particular analysis needs. For instance, you might need to mesh both areas and volumes, which is not possible with the standard macro. For this and other such situations, you can modify the ADAPT macro to suit your analysis needs. By using a macro to perform the adaptive meshing task, we have intentionally given you access to the logic involved, and have thereby furnished you with the capability for modifying the technique as you might desire.

Fortunately, you do not always need to change the coding within the ADAPT macro to customize it. Three specific portions of the macro can be readily modified by means of user subroutines, which are separate user files that you can create and that will be called by the ADAPT macro. The three features that can be modified by user subroutines are:

  • the meshing command sequence

  • the boundary condition command sequence,

  • the solution command sequence

The corresponding user subroutine files must be named ADAPTMSH.MAC, ADAPTBC.MAC, and ADAPTSOL.MAC, respectively.

5.3.2.1. Creating a Custom Meshing Subroutine (ADAPTMSH.MAC)

By default, if your model contains one or more selected volumes, the ADAPT macro will mesh only volumes (no area meshing will be done). If you have no selected volumes, then the ADAPT macro will mesh only areas. If you desire to mesh both volumes and areas, you can create a user subroutine, ADAPTMSH.MAC, to perform all the desired operations. You will need to clear any specially-meshed entities before remeshing. Such a subroutine might look like this:

C*** Subroutine ADAPTMSH.MAC - Your name - Job Name - Date Created
TYPE,1         ! Set element TYPE attribute for area meshing
ACLEAR,3,5,2   ! Clear areas and volumes to be meshed by this subroutine
VCLEAR,ALL
AMESH,3,5,2    ! Mesh areas 3 and 5 (no other areas will be meshed by ADAPT)
TYPE,2         ! Change element type for volume mesh
VMESH,ALL      ! Mesh all volumes

Please see the TYPE, ACLEAR, VCLEAR, AMESH, and VMESH command descriptions for more information.

We strongly recommend that you include a comment line (C***) to identify your macro uniquely. This comment line will be echoed in the job printout, and will provide assurance that the ADAPT macro has used the correct user subroutine.

5.3.2.2. Creating a Custom Subroutine for Boundary Conditions (ADAPTBC.MAC)

The ADAPT macro clears and remeshes with every new solution loop. As a result, your model's nodes and elements will be repeatedly changing. This situation generally precludes the use of finite element loads, DOF coupling, and constraint equations, all of which must be defined in terms of specific nodes and elements. If you need to include any of these finite-element-supported items, you can do so by writing a user subroutine, ADAPTBC.MAC. In this subroutine, you can select nodes by their location, and can then define finite element loads, DOF coupling, and constraint equations for the selected nodes. A sample ADAPTBC.MAC subroutine follows:

C*** Subroutine ADAPTBC.MAC - Your name - Job Name - Date Created
NSEL,S,LOC,X,0   ! Select nodes @ X=0.0
D,ALL,UX,0       ! Specify UX=0.0 for all selected nodes
NSEL,S,LOC,Y,0   ! Select nodes @ Y=0.0
D,ALL,UY,0       ! Specify UY=0.0 for all selected nodes
NSEL,ALL         ! Select all nodes

5.3.2.3. Creating a Custom Solution Subroutine (ADAPTSOL.MAC)

The default solution command sequence included in the ADAPT macro is simply:

/SOLU
SOLVE
FINISH

This default sequence will solve only a single load step. You might be able to implement other solution sequences by incorporating them into the user subroutine ADAPTSOL.MAC.

5.3.2.4. Some Further Comments on Custom Subroutines

You can create the ADAPTMSH.MAC, ADAPTBC.MAC, and ADAPTSOL.MAC subroutine files as you would any user files.

You can use either the APDL command *CREATE (Utility Menu> Macro> Create Macro), the APDL command *END, or an third-party text editor. When the ADAPT macro calls the subroutines, the program will search first through the ANSYS root directory, then through your root directory, and last through the current directory. Thus, you should take care to ensure that no identically-named files from another directory will be read in place of your intended files. The comment lines (C***) shown in the example subroutines above would be echoed in your printout, and would provide one means of checking that the proper files were used. Additionally, executing /PSEARCH,OFF (Utility Menu> Macro> Macro Search Path) before running the ADAPT macro would restrict the file search to the ANSYS root directory and your current directory, reducing somewhat the possibility that the wrong file will be used.

No matter where they reside, the subroutines will be accessed only if you set KYMAC = 1 on the ADAPT command (Main Menu> Solution> Solve> Adaptive Mesh). See the Guide to ANSYS User Programmable Features for more information on user subroutines and the ANSYS Parametric Design Language Guide for more information on APDL.

5.3.3. Customizing the ADAPT Macro (UADAPT.MAC)

For those cases when you need to modify the ADAPT macro but are unable to do so via separate user subroutines, you can modify the main body of the macro.

To maintain the integrity of the ADAPT macro, ANSYS does not recommend modifying the ADAPT.MAC file directly. Instead, use the UADAPT.MAC file (an identical copy of ADAPT.MAC), provided on the ANSYS installation media.

If you modify the UADAPT.MAC file, it is a good idea to rename the modified file (especially to denote the specific version that you have created). Afterwards, instead of issuing the command ADAPT, call the modified adaptive meshing procedure by issuing the new file name.

Be aware that if you use the new file name as an "unknown command," the program will first search through the high-level directory, then through the login directory, and finally through the working directory, until the macro is found. If a modified adaptive procedure is to be accessible by a single user, it makes sense to store the file in a directory no higher than the user's login directory. If the macro file is stored in such a low-level directory, the file search can be streamlined by calling the macro using the *USE command (Utility Menu> Macro> Execute Data Block) in place of the unknown command format.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.2. Employing Adaptive Meshing 		Up / Home Next
5.4. Adaptive Meshing Hints and Comments


5.4. Adaptive Meshing Hints and Comments

Use the following hints to enhance your implementation of adaptive meshing:

  • No initial element sizes are required, but they may be specified to aid the adaptive convergence when desired. If you specify initial element sizes at keypoints, the ADAPT macro will use these sizes in its first loop, and will adjust these sizes as appropriate in subsequent loops. To specify initial element sizes, use one of these methods:

    Command(s): KESIZE
    GUI: Main Menu> Preprocessor> Meshing> Size Cntrls> ManualSize> Keypoints> All KPs
    Main Menu> Preprocessor> Meshing> Size Cntrls> ManualSize> Keypoints> Picked KPs

If you specify line divisions or spacing ratios, the ADAPT macro will use these values in every loop. (That is, line divisions or spacing ratios that you specify will not be changed by the ADAPT macro.) If you do not specify mesh divisions of any kind, default element sizing (SMRTSIZE and DESIZE) will be used for the initial mesh. To specify line divisions or spacing ratios, use one of these methods:

Command(s): | LESIZE
GUI: | Main Menu> Preprocessor> Meshing> Size Cntrls> ManualSize> Lines> All Lines Main Menu> Preprocessor> Meshing> Size Cntrls> ManualSize> Lines> Picked Lines

  • Mapped meshing (all quadrilaterals) is available for 2-D solid and 3-D shell analyses. The benefits of using mapped area meshing are usually minimal, however.

  • Mapped meshing (all hexahedral bricks) is available for 3-D solid analyses. Mapped volume meshing, if possible for a given model, will probably give superior performance, compared to tetrahedral meshing.

  • In general, midside-node elements will perform better than linear elements in an adaptive meshing operation.

  • Do not use concentrated loads or other singularities (such as sharp re-entrant corners), because the ADAPT procedure cannot show energy value convergence with mesh refinement in the vicinity of these singularities. If a concentrated loading condition is present in your model, replace it with an equivalent pressure load, applied over a small area. (Or, exclude the region of the concentrated load from adaptive modification using the select options discussed previously.)

  • For many problems, it could be preferable to use a number of relatively small, simple regions in place of fewer large, complicated regions, for best meshing performance.

  • If the location of maximum response is known or suspected beforehand, then a keypoint should be placed near that location.

  • If the ADAPT procedure is used in an interactive run and the ANSYS program aborts abruptly without issuing the proper error message, then the output file for the adaptive meshing portion of your run (Jobname.ADPT) should be reviewed to determine the cause.

  • Similarly, if the ADAPT procedure is used in a batch run, then Jobname.ADPT should be saved and examined in case of an abrupt abort.

  • If a model has an excessive curvature in some region, then your model might experience mesh failure. In this case, use the SIZE field on the KESIZE command (Main Menu> Preprocessor> Meshing> Size Cntrls> ManualSize> Keypoints> Picked KPs) to define the maximum element edge length settings at keypoints near the excessive curvature region. FACMX should also be set equal to 1 (in the ADAPT command) so that element size will not be permitted to grow in the vicinity of the excessive curvature.

  • You should save the results file (Jobname.RST or Jobname.RTH). In case of a program abort in the middle of the ADAPT procedure, the results file will still have the entire analysis data from the previous solution completed by the ADAPT procedure.

  • You should issue a SAVE (Utility Menu> File> Save as Jobname.db) before starting the adaptive meshing operation. In case of system abort, Jobname.DB can then be used to restart the analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.3. Modifying the Adaptive Meshing Process 		Up / Home Next
5.5. Where to Find Examples


5.5. Where to Find Examples

The Verification Manual describes several analyses that demonstrate adaptive meshing.

The Verification Manual consists of test case analyses demonstrating the analysis capabilities of the ANSYS program. While these test cases demonstrate solutions to realistic analysis problems, the Verification Manual does not present them as step-by-step examples with lengthy data input instructions and printouts. However, most ANSYS users who have at least limited finite element experience should be able to fill in the missing details by reviewing each test case's finite element model and input data with accompanying comments.

The Verification Manual contains the following adaptive meshing test cases:

VM193 - Adaptive Analysis of 2-D Heat Transfer with Convection
VM205 - Adaptive Analysis of an Elliptic Membrane Under a Uniformly Distributed Load

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.4. Adaptive Meshing Hints and Comments 		Up / Home Next
Chapter 6. Manual Rezoning


Chapter 6. Manual Rezoning

In a finite large-deformation analysis, mesh distortion reduces simulation accuracy, causes convergence difficulties, and can eventually terminate an analysis. Rezoning allows you to repair the distorted mesh and continue the simulation.

You can select one or more parts, or regions, of the mesh to repair at the same time. You can also perform rezoning multiple times in an analysis.

The term manual rezoning means that you decide when to use rezoning and what region(s) to rezone, then generate a new mesh on the selected region(s). During the rezoning process, ANSYS updates the database as necessary, generates contact elements if needed, transfers boundary conditions and loads from the original mesh, and maps all solved variables (node and element solutions) to the new mesh automatically. Afterwards, with equilibrium achieved based on the mapped variables, you can continue solving using the new mesh.

The following rezoning topics are available:

  • When to Use Rezoning
  • Rezoning Requirements
  • The Rezoning Process
  • Selecting the Substep to Initiate Rezoning
  • Remeshing
  • Mapping Variables and Balancing Residuals
  • Repeating the Rezoning Process if Necessary
  • Multiframe Restart After Rezoning
  • Postprocessing Rezoning Results
  • Rezoning Limitations and Restrictions
  • Rezoning Example

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.5. Where to Find Examples 		Up / Home Next
6.1. When to Use Rezoning


6.1. When to Use Rezoning

Even when an analysis terminates due to severe mesh distortion, rezoning allows you to continue the analysis and complete the simulation. You can also use rezoning to improve analysis accuracy and convergence when the mesh is distorted but does not terminate the analysis.

To illustrate how rezoning works in a case where the analysis terminates, assume that the following initial mesh and boundary conditions exist:

The simulation terminates at TIME = 0.44. Rezoning begins on the deformed mesh at substep 7 (TIME = 0.40):

After remeshing the selected region, an acceptable new mesh is ready:

Based on the new mesh, the simulation concludes successfully at TIME = 1.0:

For a more detailed example, see Rezoning Example.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 6. Manual Rezoning 		Up / Home Next
6.2. Rezoning Requirements


6.2. Rezoning Requirements

ANSYS supports manual rezoning for 2-D analyses. Rezoning requires that all multiframe restart files are available. Following are the supported analysis types, elements, materials, loads, boundary conditions, and other rezoning requirements:

Support Category Requirements

Solid elements

  • PLANE182 -- B-bar method only (KEYOPT(1) = 0).

  • PLANE183

  • All stress states (KEYOPT(3)) allowed: plane strain, plane stress, axisymmetric, and generalized plane strain.

  • Pure displacement formulation (KEYOPT(6) = 0) or mixed u-P formulation (KEYOPT(6) = 1) is allowed.

Contact elements

  • TARGE169

  • CONTA171 and CONTA172 with any of the following valid KEYOPT settings:

    KEYOPT (1) = 0

    KEYOPT (2) = 0, 3, 4

    KEYOPT (3) = 0

    KEYOPT (4) = 0, 1, 2

    KEYOPT (5) = 0, 1

    KEYOPT (7) = 0

    KEYOPT (8) = 0

    KEYOPT (9) = 0

    KEYOPT (10) = 0, 1

    KEYOPT (11) = 0

    KEYOPT (12) = 0, 1, 2, 3, 4, 5, 6

Contact pair behavior

  • Rigid-flexible -- Target elements and pilot node cannot be remeshed.

  • Flexible-flexible contact.

  • Self-contact.

Materials

  • All hyperelastic materials (TB,HYPER).

  • Plastic materials defined by TB,BISO, TB,BKIN, TB,MISO, TB,NLISO, and TB,PLASTIC with TBOPT = MISO.

Analysis types

  • Static analysis with geometric nonlinearity (NLGEOM,ON and SOLCONTROL,ON).

Loads and boundary conditions (BCs)

  • Displacements, forces, pressures, and nodal temperatures (applied via a BF,TEMP command). No tabular values.

Region to be remeshed

  • The selected nodes inside the region must have the same nodal coordinate system.

  • Boundary nodes can have different nodal coordinate systems.

  • Elements must be of the same element type, material, element coordinate system, and real constant.

  • If two regions with different attributes require remeshing, you must remesh the regions separately. For more information, see Remeshing Multiple Regions at the Same Substep.

Files

  • .rdb, .rst, .rxxx, and .ldhi.

The conditions specified apply only to the region to be remeshed. No limitations exist for other regions, although the analysis type itself must support rezoning.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.1. When to Use Rezoning 		Up / Home Next
6.3. The Rezoning Process


6.3. The Rezoning Process

Rezoning is based on an existing solution. To start rezoning, the initial solution must have terminated.

To investigate the reason(s) why the solution terminated, you can:

  • Enter the general postprocessor (/POST1) to review analysis results.

  • Use the ANSYS GUI to select a substep for which restart files are available but results are not saved in a results file, generate the results for the selected substep, and review the results in /POST1.

If termination occurred because of a mesh distortion, determine the substep at which you intend to activate rezoning.

The following flowchart illustrates the general process and key ANSYS commands involved in manual rezoning:

Clear the database (/CLEAR) first, before reentering the solution processor (/SOLU) and starting the rezoning process.

When you initiate rezoning, (REZONE,MANUAL), ANSYS verifies that the necessary files (.rdb, .rst, .rxxx, and .ldhi) exist for the specified substep and rebuilds the data environment at that substep. ANSYS updates all nodes to the deformed geometry in preparation for remeshing.

You can remesh more than one region at the same specified substep during the rezoning process.

After remeshing (REMESH,FINISH), ANSYS generates contact elements (if any) and transfers loads and boundary conditions (BCs) automatically.

The MAPSOLVE command maps the solved nodal and element solutions and achieves equilibrium on the new mesh.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.2. Rezoning Requirements 		Up / Home Next
6.4. Selecting the Substep to Initiate Rezoning


6.4. Selecting the Substep to Initiate Rezoning

For manual rezoning, it is important to select a suitable substep at which to start rezoning. You must select a converged substep where the restart files are available.

The last converged substep is often a natural choice for initiating rezoning because there is typically less of a remaining load to apply. However, the last converged substep may have more severely distorted elements which can cause larger errors when mapping solution variables (MAPSOLVE), in turn requiring more mapping substeps to balance residual forces or convergence failures. Rezoning from a substep with an extremely distorted mesh may also reduce the accuracy of the final solution, and can even cause the automatic transfer of boundary conditions after remeshing (REMESH,FINISH) to fail.

Typically, the best choice is the first, second, or third converged substep preceding the last converged substep. To determine the best possible substep to initiate rezoning, you may need to enter the general postprocessor (/POST1) to examine the deformed element shapes, and stress and strain distributions.

If no results data exists for a substep in the results file, you can use ANSYS restart features to generate results data for the substep, and then enter /POST1 to examine the deformed shape; afterwards, you can reenter the solution processor and initiate rezoning as usual.

Hints for selecting a substep to initiate rezoning:

  • The substep should have an obvious mesh distortion but should contain no element having an internal angle too closely approaching, equal to, or exceeding 180 degrees for 2-D quadrilateral elements.

  • The substep should have minimal penetration in contact.

  • If an error occurs when ANSYS transfers boundary conditions and loads after remeshing (REMESH,FINISH) and the old mesh is severely distorted, try the substep preceding the one most recently chosen.

  • The best substep is often not the last converged substep, but rather one of the several preceding the last one.

  • If the last few converged substeps are separated by very small time increments and you have already tried one or more of those substeps unsuccessfully, select a converged substep that is separated from the others by a larger time increment.

  • If you are still having difficulty obtaining a mesh of reasonable quality because the old mesh is too distorted, try the substep preceding the one most recently chosen.

  • If the mapping operation (MAPSOLVE) fails to converge even if you allow up to 500 substeps, try the substep preceding the one most recently chosen.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.3. The Rezoning Process 		Up / Home Next
6.5. Remeshing


6.5. Remeshing

After starting the remeshing operation (REMESH,START), you can select any region in the deformed domain to generate a new mesh for rezoning.

During remeshing, your analysis temporarily exits the /SOLU solution processor and enters a special mode of the /PREP7 preprocessor, where a limited number of preprocessing commands are available for mesh control. To exit the special preprocessing mode and reenter the solution processor at any time, issue a REMESH,FINISH command.

The following remeshing topics are available:

  • Selecting a Region to Remesh
  • Mesh Control
  • Contact Boundaries, Loads, and Boundary Conditions

6.5.1. Selecting a Region to Remesh

A region that you select for remeshing can contain the entire deformed domain or a portion of it. A selected region should consist of the same:

  • Material type

  • Element type (including the coordinate system and KEYOPT settings)

  • Thickness (real constant) for plane stress

  • Nodal coordinate system (except for boundary nodes which can have different nodal coordinate systems).

A selected region should contain all of the highly distorted elements. For a 2-D mesh, the region should encompass elements with very large or very small internal angles and large aspect ratios.

If the boundary nodes are distributed too unevenly, the elements attached to the nodes should also be included. The selected region's boundary can have any shape.

A selected region that is too large may introduce mapping errors and require more processing time. If the selected region is too small to contain all of the highly distorted mesh areas, the new model after rezoning may not be of sufficient quality to achieve convergence.

If more than one region requires rezoning, or if elements that you intend to remesh exist on both sides of a contact boundary, see Remeshing Multiple Regions at the Same Substep.

Using the ANSYS GUI

Select a region to remesh using either of the following methods available via the ANSYS Main Menu:

  • In the solution processor (/SOLU): Solution>Manual Rezoning>Select Rezone Elements

  • In the postprocessor (/POST1): General Postproc>Manual Rezoning>Create Rezone Component

    Select elements and group them into a component. During rezoning, import the component after remeshing starts (REMESH,START).

6.5.1.1. Preparing the Area for the New Mesh

Based on the selected region, the AREMESH command creates an area to generate the new mesh. ANSYS validates the selected region and creates an area on that region for the new mesh. ANSYS maintains compatibility with neighboring regions, and nodes with applied loads and boundary conditions remain intact.

How ANSYS creates the boundary lines affects the new mesh quality and mesh density on the area; therefore, specify AREMESH command options carefully. The boundary lines are based on the element edges on the boundary of the selected region, as follows:

  • Line combining (AREMESH,0) allows you to redistribute the new nodes on the boundary and provides more control over the new element size. New elements can be larger or smaller. If the boundary is highly curved, however, the new element edges may constitute a slightly different boundary.

  • If line segments are not combined (AREMESH,-1), the new boundary will match the old one. In this case, you cannot control the positions of old nodes on the boundary (which may result in an unacceptable new mesh), and elements on the boundary can only be the same size or smaller.

To maintain compatibility, ANSYS does not combine line segments connected to elements outside the selected remeshing region (even if you specify line combining). Also, two segments are not combined if an old node is located between them and that node:

  • Has applied force or displacements, or

  • Is the starting and ending point of applied pressures, distributed displacements, or contact boundaries.

Using Nodes From the Old Mesh

If necessary, you can retain some old nodes on the boundaries of the selected region to use on the new mesh. To do so, select the nodes that you want to keep and group them into a nodal component named _ndnocmb_rzn (CM,_ndnocmb_rzn,NODE) before issuing the AREMESH command.

It is best to avoid using nodes from the old mesh whenever possible. Retaining old nodes introduces more constraints when generating the new mesh and makes it more difficult to create a new mesh of better quality.

6.5.1.2. Remeshing Multiple Regions at the Same Substep

The rezoning process allows you to create a new mesh for more than one region in the same deformed domain. Remeshing two or more regions at the same specified substep is called horizontal multiple rezoning.

After starting the remeshing operation (REMESH,START), select a region, generate the area for the new mesh (AREMESH), and create the new mesh (AMESH). Then, select another region (being careful not to overlap regions), generate the area for its new mesh, and create the new mesh on that region. You can repeat the process for as many regions as you wish, but only after issuing the REMESH,START command and before issuing a REMESH,FINISH command (as shown in The Rezoning Process).

When remeshing two regions or areas that contact each other, it is best to select them as a single region. If two connected regions must be treated separately, create the mesh for the first region (AMESH) before remeshing (AREMESH) the second one.

You must use horizontal multiple rezoning if you intend to remesh:

  • Two regions with different materials, element coordinate systems, nodal coordinate systems, or real constants

  • The elements on both sides of a contact boundary

  • Two groups of highly distorted, noncontiguous elements.

6.5.2. Mesh Control

Creating a better mesh is the key to successful rezoning. The new mesh should be better than the old mesh; otherwise, rezoning cannot improve convergence, and can even worsen convergence problems if the new mesh is worse.

Generally, a good mesh of 2-D elements has these characteristics:

  • The element internal angle is closer to 90 degree for quad elements and 60 degree for triangle elements.

  • The opposite edges or faces of quadrilaterals have less cross angle (that is, they are closer to parallel with each other).

  • Boundary nodes are more evenly distributed.

  • The elements have a better aspect ratio.

For purposes of creating a good mesh, satisfactory internal angles are a more important consideration than whether aspect ratios may be too high or too low. Avoid triangle elements when possible; however, if quadrilateral elements have very large internal angles, it is preferable to accept some triangle elements with more acceptable internal angles instead.

The quality of the new mesh is fully dependent on the shape of the selected region, neighboring elements, and boundary nodes with applied loads and boundary conditions; therefore, no single ANSYS command can guarantee a successful new mesh. You may need to experiment with various command combinations to obtain the best mesh possible.

After generating the area (AREMESH) for the new mesh, several preprocessing (/PREP7) commands are available to help you create a good mesh on the selected region:

Figure 6.1 /PREP7 Commands Available in Rezoning

Type of Mesh Control Desired | Applicable ANSYS Commands
Element size | AESIZE, DESIZE, ESIZE, KESIZE, LESIZE, and SMRTSIZE
Element shape | MOPT, MSHAPE, and MSHKEY
Element internal angles | SHPP,MODIFY to reset the shape parameter limits. Specify input values of 11~14 and 17~18 depending on the element type.
Boundary node distribution | Boundary nodes require special attention. Use the LESIZE command to space the nodes as uniformly as possible without disturbing other characteristics of the mesh.
Refining | AREFINE, EREFINE, KREFINE, LREFINE, NREFINE,
Other ACLEAR, AMESH, KSCON, LCCALC, MSHMID

Note

For rezoning, ACLEAR applies only to the area generated via the AREMESH command.

The commands are available at any point after issuing a REMESH,START command and before issuing a REMESH,FINISH command.

Nodes at which force or isolated displacements are applied remain during remeshing, as do nodes at the beginning or ending point of distributed displacements, pressures, or contact/target boundaries. The new elements have the same attributes as the old elements, such as element type, material, real constant, and element coordinate system. ANSYS rotates the new nodes to the same angles as the old nodes in the region or on the boundary, as the case may be.

After creating the new mesh, verify that the new elements cover the entire selected region and are compatible with neighboring regions. (If another region requires remeshing, you can do so, but do not issue another REMESH,START command. For more information, see Remeshing Multiple Regions at the Same Substep.)

6.5.3. Contact Boundaries, Loads, and Boundary Conditions

After generating the new mesh (AMESH), exit remeshing (REMESH,FINISH). ANSYS automatically generates the target/contact elements if the underlying solid elements are remeshed, then transfers all applied boundary conditions (BCs) and loads to the new mesh. Use plot or list commands to verify that the newly generated target/contact elements, and the transferred BCs and loads, are complete and correct.

The following related topics are available:

  • Contact Boundaries
  • Pressure and Contiguous Displacements
  • Forces and Isolated Applied Displacements
  • Nodal Temperatures
  • Other Boundary Conditions and Loads

6.5.3.1. Contact Boundaries

Because rigid target elements are not deformable, remeshing is not necessary for those elements. Deformable target elements and all contact elements are always attached to solid elements; therefore, provided that the underlying solid elements are remeshed, ANSYS creates the target/contact elements automatically after exiting remeshing (REMESH,FINISH). ANSYS passes all specified element options, real constants, and materials from the old target/contact elements to the new ones automatically.

Be sure to verify that the new elements on the contact boundary are complete and correct.

6.5.3.2. Pressure and Contiguous Displacements

During remeshing, ANSYS maintains the nodes on the boundary of the region where pressures or contiguous displacements are applied. For 2-D problems, the boundary consists of only the starting and ending points.

You can redistribute nodes inside the region (between starting and ending points). If you do so, ANSYS employs linear interpolation to apply the pressures and displacements at the new node locations. If the starting and ending points are rotated, the new nodes are also rotated with the angle determined by linear interpolation of the angles of the old nodes. If the original distribution is not linear, the interpolation may introduce a small degree of error, although the error should not be significant if both the original mesh and the new mesh are sufficiently dense.

The following illustration shows how ANSYS applies displacements before and after remeshing.

6.5.3.3. Forces and Isolated Applied Displacements

If a force or isolated (applied only at one node) displacement is applied at a node, ANSYS maintains that node, its rotation angle (if any), and the applied forces and displacements, during rezoning.

6.5.3.4. Nodal Temperatures

ANSYS transfers only nodal temperatures applied via the BF command to the new nodes (by interpolation with shape functions) from the old nodes.

If the remeshed region crosses the boundary where one side has old nodes with applied temperatures and the other side does not, the interpolation may cause different temperature distributions at the new nodes close to the boundary. Therefore, avoid remeshing the region crossing the boundary and use horizontal multiple rezoning instead.

6.5.3.5. Other Boundary Conditions and Loads

Any other loads and boundary conditions (such as acceleration, coupling, and constraint equations) are not valid in the remeshed region and are lost during rezoning, which may result in a solution that does not converge or a solution that is very different from the one expected.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.4. Selecting the Substep to Initiate Rezoning 		Up / Home Next
6.6. Mapping Variables and Balancing Residuals


6.6. Mapping Variables and Balancing Residuals

After remeshing, the MAPSOLVE command maps the solved node and element solutions automatically from the original mesh to the new mesh. The mapping operation introduces extra substeps to balance the residuals and achieve equilibrium. Assuming that you intend to continue the solution, MAPSOLVE is required and is the only rezoning command that you can issue after remeshing (REMESH,FINISH).

The following mapping topics are available for rezoning:

  • Mapping Solution Variables
  • Balancing Residual Forces
  • Continuing the Solution
  • Interpreting Mapped Results
  • Handling Convergence Difficulties

6.6.1. Mapping Solution Variables

ANSYS maps the solution variables (such as nodal displacements, and element stresses and strains) from the old mesh to the new mesh at the rezoned substep. The mapped variables must satisfy the strain-displacement relationships, constitutive laws, and the equilibrium equations. Algorithms inherent in the mapping scheme handle the first two conditions, but the mapped stress field is usually not in equilibrium due to the different mesh. Therefore, the out-of-balance forces (the residual forces) must be balanced. Balancing occurs via additional substeps.

6.6.2. Balancing Residual Forces

Additional substeps are introduced automatically to reduce residuals to zero. During this stage, the time is increased by only a tiny amount (TIME * 10-6, where TIME = the time of the current load step). Therefore, you can consider external loading to be unchanged.

ANSYS always attempts to balance the residual forces within one substep. If it cannot, ANSYS employs bisection logic (automatically, regardless of any manual settings) to use more substeps. A rebalance factor measures the balanced residuals and acts as the control factor during bisection (unlike a standard solution where time is the control factor.) A rebalance factor of zero means that no residuals are balanced yet, and a factor of 1 means that all residuals are balanced and the stress field is in equilibrium.

You can specify the maximum number of substeps--the default is five--to use during mapping (MAPSOLVE). Most problems should achieve balanced residual forces within a few substeps. If contact is included, more substeps may be necessary.

Output File

In the output file, ANSYS presents MAPSOLVE command data as shown:

                       S O L U T I O N   O P T I O N S

   PROBLEM DIMENSIONALITY. . . . . . . . . . . . .2-D
   DEGREES OF FREEDOM. . . . . . UX   UY   ROTZ
   ANALYSIS TYPE . . . . . . . . . . . . . . . . .STATIC (STEADY-STATE)
      MAPSOLVE FOR REZONING. . . . . . . . . . . .YES
   NONLINEAR GEOMETRIC EFFECTS . . . . . . . . . .ON
   STRESS-STIFFENING . . . . . . . . . . . . . . .ON
   EQUATION SOLVER OPTION. . . . . . . . . . . . .SPARSE
   NEWTON-RAPHSON OPTION . . . . . . . . . . . . .PROGRAM CHOSEN
   GLOBALLY ASSEMBLED MATRIX . . . . . . . . . . .SYMMETRIC

                      L O A D   S T E P   O P T I O N S

   LOAD STEP NUMBER. . . . . . . . . . . . . . . .     1
   TIME AT END OF THE LOAD STEP. . . . . . . . . .  1.0000
   AUTOMATIC TIME STEPPING . . . . . . . . . . . .    ON
      INITIAL NUMBER OF SUBSTEPS . . . . . . . . .    10
      MAXIMUM NUMBER OF SUBSTEPS . . . . . . . . .   100
      MINIMUM NUMBER OF SUBSTEPS . . . . . . . . .     5
      MAXIMUM NUMBER OF SUBSTEPS FOR MAPSOLVE. . .    50
   MAXIMUM NUMBER OF EQUILIBRIUM ITERATIONS. . . .    15
   STEP CHANGE BOUNDARY CONDITIONS . . . . . . . .    NO
   STRESS-STIFFENING . . . . . . . . . . . . . . .    ON
   TERMINATE ANALYSIS IF NOT CONVERGED . . . . . .YES (EXIT)
   CONVERGENCE CONTROLS. . . . . . . . . . . . . .USE DEFAULTS
   PRINT OUTPUT CONTROLS . . . . . . . . . . . . .NO PRINTOUT
   DATABASE OUTPUT CONTROLS
      ITEM     FREQUENCY   COMPONENT
       ALL        ALL

Mapping Substeps

The number of substeps used for mapping appears as follows:

 *** LOAD STEP     1   SUBSTEP    10  COMPLETED.    CUM ITER =    101
 *** TIME =  0.399110         REBALANCE FACTOR =   1.00000

 *** ANSYS BINARY FILE STATISTICS
  BUFFER SIZE USED= 16384
        0.375 MB WRITTEN ON ELEMENT SAVED DATA FILE: RznExample.esav
        0.125 MB WRITTEN ON ASSEMBLED MATRIX FILE: RznExample.full
        0.375 MB WRITTEN ON RESULTS FILE: RznExample.rst

 MAPSOLVE IS DONE SUCCESSFULLY IN    3 SUBSTEPS FOR MANUAL REZONING.

Monitor File

The 6th and 7th columns of the monitor file indicate the rebalance factor (rather than the time) for each mapping substep, as shown:

 SOLUTION HISTORY INFORMATION FOR JOB: RznExample.mntr

ANSYS RELEASE  9.0                     13:06:16    09/20/2004

 LOAD  SUB-  NO.   NO.  TOTL  INCREMENT  TOTAL      VARIAB 1  VARIAB 2  VARIAB 3
 STEP  STEP  ATTMP ITER ITER  REBALANCE  REBALANCE  MONITOR   MONITOR   MONITOR
                              FACTOR     FACTOR     CPU       MxDs      MxPl

   1      8    2     7    93  0.35000   0.35000     5.4300   -.64291   0.78886E-30
   1      9    1     4    97  0.35000   0.70000     8.0600   -.81383   0.78886E-30
   1     10    1     4   101  0.30000    1.0000     11.260   -.93615   0.78886E-30

Although multiple substeps may be necessary to balance all residuals, ANSYS generates the restart file and saves the result in a results file for only the last converged mapping substep. (Only the last substep gives the balanced solution.) ANSYS ignores any preexisting output specifications (set via OUTRES or RESCONTROL commands, for example).

6.6.3. Continuing the Solution

After successfully mapping solved variables from the old mesh to the new mesh, ANSYS exits the solution processor automatically. You can check the mapped results and continue the solution based on the new mesh via a standard multiframe restart from the last mapping (MAPSOLVE) substep (that is, the substep at which you initiated rezoning plus the number of substeps required by the mapping operation).

6.6.4. Interpreting Mapped Results

The mapped (MAPSOLVE) results are not simply the solution variables interpolated from the old mesh, but balanced results mapped from the old mesh. If the new mesh topology or density is very different from the old mesh, the mapped results may also be very different.

The reported stresses and strains represent the total stresses and strains from TIME = 0. However, the reported displacements are from the rezoned time or substep (when the element coordinates were updated via the REZONE command).

After the MAPSOLVE command has executed, the new mesh may be somewhat distorted, and the distortion may be even more significant if the residual forces are large. In such a case, more careful region selection and better remeshing are necessary.

6.6.5. Handling Convergence Difficulties

If the rezoning process encounters convergence difficulties during the mapping (MAPSOLVE) stage of the rezoning process, try the following:

  • Specify a larger maximum number of mapping substeps (although no more than 500) via the MAPSOLVE command.

  • Minimize the differences in mesh density and topology between the old and new mesh, especially in the elements on boundaries.

  • Rezone from an earlier substep (so that you can start with a slightly less distorted original mesh).

  • Enhance the quality of the new mesh.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.5. Remeshing 		Up / Home Next
6.7. Repeating the Rezoning Process if Necessary


6.7. Repeating the Rezoning Process if Necessary

More than one rezoning may be necessary if a mesh distortion still exists in the domain despite a previous rezoning. You can rezone a domain that you have already rezoned by selecting a region (or regions) in the same domain at a different time and substep than that of the initial rezoning.

To rezone again, a region that you select for remeshing can be the same region that you selected in a previous rezoning or a different region. As in the initial rezoning, you can employ horizontal multiple rezoning to select more than one region for remeshing.

Although no theoretical limit on the number of allowable rezonings in the same domain exists, ANSYS allows up to 99 rezonings in a single job. In practice, two or three rezonings in a given domain should be sufficient.

To perform another rezoning, simply repeat the rezoning process. No special ANSYS command is necessary, and the rezoning process remains the same.

6.7.1. File Structures for Repeated Rezonings

When multiple rezonings occur in the same domain during the same analysis, each creates a different finite element model. To make restarting and rezoning from any substep possible, ANSYS saves the .rdb files for the initial model and for each rezoned model. Similarly, different .rst files are created for each model to postprocess the results.

Following is the file structure after more than one rezoning has occurred:

File type | Rezone 0 (standard run) | Rezone 1 | Rezone 2 | ... | Rezone 11 | ... | Rezone nn
.rdb | .rdb | .rd01 | .rd02 | ... | .rd11 | ... | .rdnn
.rxxx | .rxxx | .rxxx | .rxxx | ... | .rxxx | ... | .rxxx
.ldhi | .ldhi
.rst | .rst | .rs01 | .rs02 | ... | .rs11 | ... | .rsnn

The maximum number of .rdb files and .rst files is 99. The .ldhi load history file contains information for all models created as a result of multiple rezonings.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.6. Mapping Variables and Balancing Residuals 		Up / Home Next
6.8. Multiframe Restart After Rezoning


6.8. Multiframe Restart After Rezoning

After rezoning, perform a standard multiframe restart to continue the solution using the new mesh. Even if you have rezoned several times in the same domain, you can still perform a standard multiframe restart.

You can restart from any substep at which the .rxxx file, .rdb file, and .ldhi load history file exist. You need only to specify the substep to restart. ANSYS detects the necessary .rdb file, and the .rst file to modify, then finds the corresponding load history information from the .ldhi file.

After the restart, ANSYS deletes all .rdb, .rst, and .rxxx files on the substeps subsequent to the specified restart substep.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.7. Repeating the Rezoning Process if Necessary 		Up / Home Next
6.9. Postprocessing Rezoning Results


6.9. Postprocessing Rezoning Results

For rezoning, the /POST1 postprocessor is the primary postprocessing tool and most of its capability is available. Animation is also available via the ANDATA macro. Output from the /POST26 time-history postprocessor is restricted to the data contained in any one results file.

Each time rezoning occurs, the mesh changes, so new .rdb and .rst files are necessary. For example, if you have employed rezoning twice during the same analysis, ANSYS writes the following results files: .rst, .rs01, and .rs02, and the following database file: .rdb, .rd01, and .rd02. (For more information, see File Structures for Repeated Rezonings.) Most /POST1 postprocessing operations proceed seamlessly from one file to the next automatically. Therefore, do not delete the .rst or .rdb file, nor any .rsnn or .rdnn files, until you have completed postprocessing.

Displacement output for the rezoned model reports values as of the most recent rezoning, so the displacement will not seem to be continuous over rezonings.

6.9.1. The Database Postprocessor

Before accessing the POST1 database postprocessor (/POST1), consider how ANSYS should handle postprocessing data files, as follows:

  • ANSYS treats all postprocessing data files as a single file automatically (assuming that all necessary files are present). If you exited ANSYS after the solution phase of the analysis and now want to perform postprocessing on your rezoning results, issue the /FILNAME command to specify the appropriate jobname before entering the POST1 processor. This is the preferred method for postprocessing rezoning results.

  • If you must examine only one postprocessing data file--because some files are very large or some are missing, for example--resume (RESUME) the appropriate database to obtain the correct plot, then issue the FILE command within POST1. (For example, to check the results in postprocessing data file .rs02, resume database file .rd02.)

List Results Files Summary

After entering the POST1 processor, it is helpful to issue the SET,LIST command. For rezoning, the output list generated by the command includes an additional column indicating which postprocessing data file contains each saved substep of each load step. Further, to emphasize the change of file, the first use of the new file is flagged with the word “rezone.” Following is an example output list from a SET,LIST command:

*****  INDEX OF DATA SETS ON RESULTS FILE  *****
     SET   TIME/FREQ   LOAD STEP   SUBSTEP  CUMULATIVE   FILE SUFFIX
      1 0.1000000          1         1         2            rst
      2 0.2000000          1         2         4            rst
      3 0.3500000          1         3         6            rst
      4 0.5500000          1         4         8            rst
      5 0.7500000          1         5        10            rst
      6 0.7500010          1         6        13            rs01   rezone
      7 0.8750000          1         7        15            rs01
      8  1.000000          1         8        17            rs01
      ...

The output from a SET,LIST command is also useful for simply determining what information is available. For non-rezoning runs, for example, you can select substeps for further study by load step and substep number, time, or set number.

Although ANSYS creates multiple postprocessing data files for rezoning, you can consider them a single file for POST1 processing (assuming that the appropriate jobname is already specified) because there is no need to access individual files directly. ANSYS automatically detects the specific file needed according to the SET command issued, after which most of the usual postprocessing command capability (PLESOL, PRNSOL, etc.) is available.

Animation

Animation for rezoning is available via the ANDATA macro. Assuming that the appropriate jobname is already specified, the program proceeds from one postprocessing data file to the next automatically, using the data in each to generate the animation. During the macro's initial scan, ANSYS stores the view location and size of every saved substep. The program then combines the information to provide one fixed view (by internally setting the /FOCUS and /DIST commands to fixed values).

Results Viewer

The Results Viewer does not support results viewing across all rezoning results files automatically. When you open one file, you can view only the results data set in that file. To view results in another file, you must open the specific file manually. To open any .rsxx file in the Results Viewer (for example, .rs01):

  1. Select File>Open Results....

  2. Specify the All File Types (*.*) option in the Files of type field.

  3. Select the .rsxx results file of interest.

6.9.2. The Time-History Postprocessor

When using the POST26 time-history postprocessor (/POST26) on a model that you have rezoned, all of the usual information is available. However, because POST26 works directly with the postprocessing data files and database files, you must open each results file separately.

For each file that you want to open:

  1. Reset (RESET) the postprocessor specifications to initial defaults, erase all defined variables, and clear the data storage space.

  2. Resume (RESUME) the appropriate database file. (For example, to check the results in postprocessing data file .rs02, resume database file .rd02.)

  3. Issue a FILE command to open the desired file.

Only the output information from the requested file is available for output at any given time because elements and nodes that exist in one file do not always exist in another file.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.8. Multiframe Restart After Rezoning 		Up / Home Next
6.10. Rezoning Limitations and Restrictions


6.10. Rezoning Limitations and Restrictions

The purpose of rezoning is to repair a distorted mesh in order to overcome convergence problems caused by the distortion. However, rezoning is effective only when the mesh distortion is caused by a large, non-uniform deformation. Rezoning cannot help if divergence occurs because of unstable material, unstable structures, numerical instabilities, or for any other reason.

Unstable Material

Most nonlinear material models, especially those employing hyperelastic materials, have their own applicable ranges. When a deformation is too large or a stress state exceeds the applicable range, the material may become unstable. The instability can manifest itself as a mesh distortion, but rezoning cannot help in such cases. While it is sometimes difficult to determine when material is unstable, you can check the strain values, stress states, and convergence patterns. A sudden convergence difficulty could mean that material is no longer stable. ANSYS also issues a warning at the beginning of the solution indicating when hyperelastic material could be unstable, although such a warning is very preliminary and applies only to cases involving simple stress states.

Unstable Structures

For some geometries and loads, a deformation may cause a "snap-through," or local buckling. Such behavior can also manifest itself as a mesh distortion, but one that rezoning cannot repair. The effect is usually easy to detect by closely checking the deformed region or the load-versus- time (displacement) curve.

Numerical Instabilities

A condition of numerical instability can occur when a problem is nearly overconstrained. The constraints can include kinematic constraints such as applied displacements, CP, and CE, and volumetric constraints introduced by fully incompressible material in mixed u-P elements. In many cases, numerical instability is apparent even in the early stages of an analysis.

For a successful rezoning, the new mesh must be of a higher quality than the old mesh. If the new mesh is not better than the original mesh, rezoning cannot improve convergence, and can even worsen convergence problems if the new mesh is worse.

6.10.1. Rezoning Restrictions

After you initiate the rezoning process (REZONE), and until you map the solved variables from the old mesh to the new mesh (MAPSOLVE) at the conclusion of the rezoning process, you cannot exit the solution processor (/SOLU). If you exit the solution processor (via a FINISH command), you will lose your rezoning work, even if you save (SAVE) before exiting and then resume (RESUME) after returning to the solution processor.

The /POST1 load-case combination commands (such as LCASE, LCDEF, LCOPER, and LCSEL) are not available.

Rezoning is not available in Distributed ANSYS.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.9. Postprocessing Rezoning Results 		Up / Home Next
6.11. Rezoning Example


6.11. Rezoning Example

This example simulation of a sealing assembly problem introduces you to the ANSYS product's rezoning capabilities.

A rubber seal has an initial rectangular shape and consists of a hyperelastic material modeled with two parameters as a Mooney-Rivlin model. A shaft has a circular cross section and is assumed to be rigid. The shaft moves down vertically. The simulation plots the element strain in the y direction.

Given the initial input, the simulation terminates at substep 10 (TIME = 0.44) because of a mesh distortion. After rezoning, which occurs at substep 7, the simulation concludes successfully with the new mesh.

The following demo is presented as an animated GIF. Please view online if you are reading the PDF version of the help. Interface names and other components shown in the demo may differ from those in the released product.

6.11.1. Initial Input for the Analysis

This input results in a deformed mesh and causes the analysis to terminate:

/batch,list
/filnam,RznExample

/prep7

/com define parameters
h=20
b=10
el=b/8
xc=17.5
yc=32.99038
rc=15
PilotMove= -13

c10=62.3584129
c01=-37.8485452
dd=1e-4

/com define element types, material and etc.
et,1,182
keyopt,1,3,2
keyopt,1,6,1

et,2,169
et,3,172
keyopt,3,9,0
keyopt,3,10,1

et,4,169
et,5,172
keyopt,5,9,0
keyopt,5,10,1

tb,hyper,1,,2,mooney
tbdata,1,c10,c01,dd

mp,mu,2,0.0

r,3
r,4

/com define geometry
k,1,xc,yc
k,2,xc,yc,yc
k,3,xc-rc,yc
k,4,0.0,0.0
k,5,2*rc,0.0
rect,0,b,0,h
circle,1,rc,2,3,360,1
/pnum,line,1
lplot
l,4,5
lplot
aplot

/com create solid elements
esize,el
mat,1
type,1
real,1
amesh,1

/com generate the 1st contact pair
mat,2
real,3
type,2

esize,h
lmesh,5,7
*get,PilotID,node,,num,max
PilotID=PilotID+1
nkpt,PilotID,1
tshap, pilo
e,PilotID

type,3
lsel,,,,2,3
nsll,,1
esln,,0
esurf
alls

/com generate the 2nd contact pair
real,4
type,4

lmesh,8
lsel,,,,8
esll
esurf,,reverse
alls

type,5
lsel,,,,1,2
nsll,,1
esln,,0
esurf
alls

/com apply boundary conditions and loads
d,PilotID,ux,0.0
d,PilotID,uy,PilotMove
d,PilotID,rotz,0.0

lsel,,,,4
nsll,,1
d,all,ux,0.0
alls

lsel,,,,8
nsll,,1
d,all,uy,0.0
alls

nlist
elist
dlist

/com check the contact definition
cncheck
fini

/solution
rescontrol,,all,1
pred,off
nlgeom,on
time,1
NSUBST,10,100,5
outres,all,all
solv
fini

/post1
prns,u,comp
prns,s,comp
prns, cont
fini

6.11.2. Rezoning Input for the Analysis

This input employs rezoning to remesh the deformed region and allow the analysis to proceed using the new mesh:

/batch,list
/clear,nostart
/filnam,RznExample
/solution

rezone,manual,1,7  ! specify the substep to rezone

remesh,start       ! start remeshing process
esel,,,,65,128     ! select region to remesh
aremesh,-1         ! create area for new mesh
shpp,modify,11,45  ! control shapes of new mesh
shpp,modify,12,45
amesh,2            ! create the new mesh
esel,all
nsel,all
remesh,fini        ! finish remeshing process

elist              ! check the new model, BC and loads
dlist

mapsolve,50        ! map solutions

finish

/solution          ! restart
antype,,restart
solve
finish
/exit,save

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.10. Rezoning Limitations and Restrictions 		Up / Home Next
Chapter 7. Cyclic Symmetry Analysis


Chapter 7. Cyclic Symmetry Analysis

A component or assembly is cyclically symmetric if it has a correspondence in form or arrangement of parts (that is, repetitive patterns) centered around an axis.

A fan wheel is a typical example of a cyclically symmetric structure, as is a spur gear. Another example is this model of a hydro rotor created in ANSYS:

Figure 7.1 Hydro Rotor -- ANSYS Model of a Cyclically Symmetric Structure

The following cyclic symmetry analysis topics are available:

  • Understanding Cyclic Symmetry Analysis
  • Cyclic Modeling
  • Solving a Cyclic Symmetry Analysis
  • Postprocessing a Cyclic Symmetry Analysis
  • Sample Modal Cyclic Symmetry Analysis
  • Sample Buckling Cyclic Symmetry Analysis
  • Sample Magnetic Cyclic Symmetry Analysis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.11. Rezoning Example 		Up / Home Next
7.1. Understanding Cyclic Symmetry Analysis


7.1. Understanding Cyclic Symmetry Analysis

If a structure exhibits cyclic symmetry, you can perform an ANSYS-automated static, modal or buckling analysis on the structure. Automated cyclic symmetry analysis is available in the ANSYS Multiphysics, ANSYS Mechanical and ANSYS Structural products.

The following topics help you to understand cyclic symmetry analysis:

  • How ANSYS Automates a Cyclic Symmetry Analysis
  • Commands Used in a Cyclic Symmetry Analysis

7.1.1. How ANSYS Automates a Cyclic Symmetry Analysis

An ANSYS-automated cyclic symmetry analysis conserves time and CPU resources and allows you to view analysis results on the entire structure. ANSYS automates cyclic symmetry analysis by:

  • Solving for the behavior of a single symmetric sector (part of a circular component or assembly)

  • Using the single-sector solution to construct the response behavior of the full circular component or assembly (as a postprocessing step).

For example, by analyzing a single 10° sector of a 36-blade turbine wheel assembly, you can obtain the complete 360° model solution via simple postprocessing calculations. Using twice the usual number of degrees of freedom (DOFs) in this case, the single sector represents a 1/18th part of the model.

7.1.2. Commands Used in a Cyclic Symmetry Analysis

The most important command in an automated cyclic symmetry analysis is CYCLIC, which initiates a cyclic analysis and configures the database accordingly. The command automatically detects cyclic symmetry model information such as edge components, the number of sectors, the sector angles, and the corresponding cyclic coordinate system.

The ANTYPE command specifies the analysis type (for example, static, modal or buckling), and the SOLVE command obtains the cyclic solution.

Other cyclic-specific commands include:

  • CYCOPT for specifying solution options

  • /CYCEXPAND for graphically expanding displacements, stresses and strains of a cyclically symmetric model

  • CYCPHASE for determining minimum and maximum possible result values from frequency couplets during postprocessing (/POST1).

Depending upon the type of cyclic symmetry analysis that you want to perform and your specific needs, it may be necessary to issue other ANSYS commands. For example:

  • In a prestressed modal cyclic symmetry analysis, you must issue the PSTRES,ON command during the static portion of the analysis to apply the prestress effects.

  • During postprocessing, you may want to issue the ANCYC command to apply a traveling wave animation to your cyclic model.

The sections of this document describing various cyclic symmetry analyses mention such commands as necessary. For more information, see Solving a Cyclic Symmetry Analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 7. Cyclic Symmetry Analysis 		Up / Home Next
7.2. Cyclic Modeling


7.2. Cyclic Modeling

This section describes how to set up a cyclic sector model, discusses important considerations for edge component pairs, and shows how to verify the cyclically symmetric model.

The following cyclic modeling topics are available:

  • The Basic Sector
  • Edge Component Pairs
  • Model Verification (Preprocessing)

7.2.1. The Basic Sector

A cyclic symmetry analysis requires that you model a single sector, called the basic sector. A proper basic sector represents one part of a pattern that, if repeated N times in cylindrical coordinate space, yields the complete model, as shown:

Figure 7.2 A Basic Sector in a Cyclically Symmetric Structure

Define a basic sector model that is cyclically symmetric in any global or user-defined cylindrical coordinate system. (For information about creating a model, see the Modeling and Meshing Guide.)

The angle θ (in degrees) spanned by the basic sector should be such that Nθ = 360, where N is an integer. The basic sector can consist of meshed or unmeshed geometry. ANSYS allows user-defined coupling and constraint equations on nodes that are not on the low or high edges of the cyclic sector. (For more information about the cyclic sector's low and high edges, see Edge Component Pairs.)

If meshed, the basic sector may have matching (as shown in Figure 7.3: "Basic Sector Definition") or unmatched lower and higher angle edges. Matching means that corresponding nodes exist on each edge, offset geometrically by the sector angle θ. The edges may be of any shape and need not be "flat" in cylindrical coordinate space. For more information, see Identical vs. Dissimilar Edge Node Patterns.

Figure 7.3 Basic Sector Definition

7.2.2. Edge Component Pairs

The cyclic sector has two edges that align along the surfaces of cyclic symmetry. The edge having the algebraically lower θ in the R-Theta (cylindrical) coordinate system is called the low edge and the one having the higher θ is called the high edge. The angle α between the two successive surfaces of cyclic symmetry is called the sector angle.

When setting up a cyclic symmetry analysis, the CYCLIC command defines edge components automatically, assigning them a default root name of “CYCLIC.”

Optionally, you can use the CYCLIC command to define the edges and the component names manually. If you do so, you must specify a root name for the sector low- and high-edge components (line, area, or node components). A root name that you specify can contain up to 11 characters. The naming convention for each low- and high-edge component pair is either of the following:

name_mxxl, name_mxxh

(potentially matched node patterns)

name_uxxl, name_uxxh

(potentially unmatched node patterns)

The name value is the default (“CYCLIC”) or specified root name, and xx is the component pair ID number (sequential, starting at 01).

7.2.2.1. Identical vs. Dissimilar Edge Node Patterns

Automated Matching

The AMESH and VMESH commands perform automated matching. Other meshing-operation commands (for example, VSWEEP) do not.

If you employ a meshing operation other than AMESH or VMESH, ensure that node and element face patterns match, if desired. The CYCLIC command output indicates whether each edge-component pair has or can produce a matching node pair.

To ensure the most accurate solution, it is preferable to have identical node and element face patterns on the low and high edges of the cyclic sector. If you issue the CYCLIC command before meshing the cyclic sector (via the AMESH or VMESH command only), the mesh will, if possible, have identical node and element face patterns on the low and high edges.

ANSYS allows dissimilar node patterns on the low and high edges of the cyclic sector, useful when you have only finite-element meshes for your model but not the geometry data necessary to remesh it to obtain identical node patterns. In such cases, it is possible to obtain solution (SOLVE) results, although perhaps at the expense of accuracy. A warning message appears because results may be degraded near the cyclic sector edges.

7.2.2.2. Unmatched Nodes on Edge-Component Pairs

Unmatched nodes on the low- and high-edge components produce approximate cyclic symmetry solutions (as compared to matched-node cases). ANSYS employs an unmatched-node algorithm (similar to that of the CEINTF command) to connect dissimilar meshes.

In unmatched cases, the eigenvector shapes exhibit discontinuity across segment boundaries when expanded (via the /CYCEXPAND command). The discontinuity is an expected behavior; in the expansion process, the low edge of sector 2 lies adjacent to the high edge of sector 1, and so on throughout the full 360°.

For information about expanding the solution results of a cyclic symmetry analysis, see Expanding the Cyclic Symmetry Solution.

7.2.2.3. Identifying Matching Node Pairs

To identify matching node pairs, you can issue a *STATUS command to list the cyclic parameter array Name_xref_n (where Name is the root name of the low- and high-edge components specified via the CYCLIC command).

The cyclic parameter array is generated internally during element plotting with cyclic expansion activated (/CYCEXPAND,,ON).

In the cyclic parameter array listing, the matching node pairs appear as a pair of node numbers with the low-edge node number having a negative value.

7.2.3. Model Verification (Preprocessing)

If the CYCLIC command's default automatic detection capability accepts your model for cyclic analysis, ANSYS will have already verified the following two essential conditions for a cyclic analysis:

  • When your model rotates by the cyclic angle about the local Z axis of the cyclic coordinate system, the edges identified as "low" occupy the same space as those identified by "high" prior to the rotation.

  • The cyclic angle divides evenly into 360°.

If you specify edge components and cyclic quantities manually, you must verify the two conditions yourself.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.1. Understanding Cyclic Symmetry Analysis 		Up / Home Next
7.3. Solving a Cyclic Symmetry Analysis


7.3. Solving a Cyclic Symmetry Analysis

ANSYS solves for the full cyclically symmetric model using the basic sector model that you have set up during preprocessing with the appropriate boundary conditions, loading, and any coupling and constraint equations. (For more information, see Cyclic Modeling.)

This section provides specific information for obtaining the solution to various types of cyclic symmetry analyses and covers the following topics:

  • Understanding the Solution Architecture
  • Supported Analysis Types
  • Solving a Static Cyclic Symmetry Analysis
  • Solving a Modal Cyclic Symmetry Analysis
  • Solving a Linear Buckling Cyclic Symmetry Analysis
  • Solving a Magnetic Cyclic Symmetry Analysis
  • Database Considerations After Obtaining the Solution
  • Model Verification (Solution)

7.3.1. Understanding the Solution Architecture

At the solution (SOLVE) stage of a cyclic symmetry analysis, ANSYS applies the appropriate cyclic symmetry boundary conditions for each nodal-diameter solution requested (via the CYCOPT command) and solves. ANSYS performs each nodal-diameter solution as a separate load step.

The following solution architecture topics are available for cyclic symmetry analysis:

  • The Duplicate Sector
  • Coupling and Constraint Equations (CEs)
  • Non-Cyclically Symmetric Loading

7.3.1.1. The Duplicate Sector

The architecture of the cyclic symmetry solution process depends upon how the compatibility and equilibrium conditions of the cyclic sector are enforced in the matrix-solution process. The two most commonly employed solution methods are Duplicate Sector and Complex Hermitian. For faster performance, ANSYS employs the Duplicate Sector method.

During the solution stage, ANSYS generates a duplicate sector of elements at the same geometric location as the basic sector. (Duplicate sector creation occurs automatically and transparently.) ANSYS applies all loading, boundary conditions, and coupling and constraint equations present on the basic sector to the duplicate sector.

7.3.1.2. Coupling and Constraint Equations (CEs)

ANSYS enforces cyclic symmetry compatibility conditions for each nodal-diameter solution via coupling and/or constraint equations (CEs) connecting the nodes on the low- and high-edge components on the basic and duplicate sectors. ANSYS deletes the coupling and/or constraint equations after each nodal-diameter solution, preserving any internal coupling and constraint equations that you may have defined on the basic sector. The constraint equations for edge-component nodes have the form shown in (Equation 7–1).

Note

During the solution stage of a cyclic symmetry analysis, ANSYS automatically rotates the nodal coordinate systems of all nodes on the low and high sector edges to be parallel with the cyclic coordinate system.

Figure 7.4 Connecting Low and High Edges of Basic and Duplicate Sectors

(7–1)

where,

k = Harmonic index -- (0,1,2,…,N / 2) when N is even, (0,1,2,…,(N-1) / 2) when N is odd. (N is an integer representing the number of sectors in 360°.)
α = Sector angle (2π / N)
U = Vector of displacement and rotational degrees of freedom
UALow represents the basic sector low side edge
UAHigh represents the basic sector high side edge
UBLow represents the duplicate sector low side edge
UBHigh represents the duplicate sector high side edge

The equation is a function of harmonic index k generating different sets of constraint equations for each harmonic index. Therefore, for each harmonic index solution requested, ANSYS creates the appropriate constraint equations automatically, connects the edge-component nodes on basic sector A and duplicate sector B, and solves.

Constraint equations that tie together the low and high edges of your model are generated from the low- and high-edge components, and nowhere else. You should verify that automatically detected components are in the correct locations and that you are able to account for all components; to do so, you can list (CMLIST) or plot (CMPLOT) the components.

7.3.1.3. Non-Cyclically Symmetric Loading

A load is non-cyclic when it varies between sectors and involves at least one harmonic index greater than zero. ANSYS supports linear static cyclic symmetry analyses with non-cyclic loading. Support is also available for a cyclic analysis having some combination of cyclic and non-cyclic loading.

For non-cyclic loading, ANSYS considers the arbitrary forces acting on the full system as the sum of a finite number of spatial Fourier harmonics. The program analyzes the structure for each spatial harmonic index by applying constraint equations between the basic sector and duplicate sector. For each spatial harmonic of force, the program solves a corresponding equation, then expands and sums the calculated harmonics of the response to give the response for each substructure. For more information, see Cyclic Symmetry Transformations in the Theory Reference for ANSYS and ANSYS Workbench.

Table 7.1 Valid Non-Cyclically Symmetric Loads

Non-Cyclic Load Type | Commands | Constraints | Comments
Nodal DOF Constraints | D, DA, DK, DL | UX, UY, UZ, ROTX, ROTY, and ROTZ constraints follow sector-restricted loading (CYCOPT,LDSECT,n where n > 0). | Always in sector coordinates. Same as nodal coordinates for sector 1, rotated by sector angle * (N - 1) for sector N. Constraint always acts on given DOF for all sectors.
Nodal Loads | F, K | FX, FY, and FZ constraints follow sector-restricted loading (CYCOPT,LDSECT,n where n > 0). | HFLOW is blocked for sector-restricted loading but can follow afterwards. All other nodal loads are blocked for sector-restriced loading.
Surface Loads | SF, SFA, SFE, SFL | PRES follows sector-restricted loading (CYCOPT,LDSECT,n where n > 0). | CONV is blocked for sector-restriced loading but can follow afterwards. All other surface loads are blocked for sector-restriced loading.
Inertia Loads | ACEL, DOMEGA, CMDOMEGA, CMOMEGA, OMEGA | Apply to all sectors. (Not affected by sector-restriction via CYCOPT,LDSECT,n where n > 0.) Default action in global X, Y, and Z on all sectors. | May require harmonic index 0 and/or 1 only.
7.3.1.3.1. Specifying Non-Cyclic Loading

Specify non-cyclically symmetric loading via the the CYCOPT command' s LDSECT (load-on-sector) value. A value greater than 0 (the default, indicating that the loads are identical on all sectors) restricts subsequently defined DOF constraint values, force loads, and surface loads to the specified sector. The restriction remains in effect until you change or reset it.

When non-cyclic loading applies, ANSYS creates or modifies the required SECTOR tabular boundary condition (BC) data to apply on the appropriate sector. Therefore, it is not necessary to manipulate tables for situations where the applied BC is not a function of other tabular BC variables such as TIME, X, Y, Z, and so on.

If a SECTOR-varying table exists on an entity-BC combination (for example, node 17 FZ) and you enter another value for the same entity-BC combination (perhaps specifying a different sector on which to apply the load), the following conditions occur:

  • ANSYS modifies the existing table to accommodate the new specification.

  • The table cannot reference any other independent variable (for example, TEMP). You must manually define any BC table requiring more than one independent variable.

If a table exists for an entity-BC combination and you enter another table for the same entity-BC combination, but the table does not reference SECTOR, the new table reference replaces the existing one.

During preprocessing, all tabular BCs referencing SECTOR list table names only. During solution or postprocessing, all tabular BCs referencing SECTOR list per sector as they would be applied when solving (SOLVE).

Any tabular data X, Y, or Z variation applied to a cyclic model may not be applied in the same manner in which such a variation would occur for an equivalent full model (the exception being a variation in the axial direction). For example, if a tabular value of a nodal force is applied as function of the tabular variable Y, ANSYS applies it to the designated cyclic sectors using values based upon the Y values of the basic sector only.

A given high-edge node is usually the same location in the structure as the corresponding low-edge node of the adjacent sector; therefore, it is necessary to apply constraints consistently. ANSYS can trap inconsistent constraints only for matched-node cases; however, for tabular BCs, you must perform the consistency verification yourself. Because inconsistent constraints are impossible to satisfy if the solution remains cyclic, the results can be unpredictable.

Because edge nodes are rotated into the cyclic coordinate system during solution, any applied displacements or forces on sector edges will be in the cyclic coordinate system.

Example 7.1 Non-Cyclic Loading via Automatically-Defined Tabular Load

CYCOPT,LDSECT,1 ! LOADS ON SECTOR 1 ONLY

SFL,ALL,PRES,10000

For DOF constraints, force loads, and body forces, any non-tabular load is cyclic. Any tabular load that does not reference the variable SECTOR is cyclic. ANSYS assumes any tabular load referencing SECTOR to be non-cyclic (although it could be identical on all sectors).

Example 7.2 Non-Cyclic Loading via User-Defined Tabular Load

*DIM,S1PRES,TABLE,5,1,1,SECTOR

*SET,S1PRES(1,0,1),1,2,3,4,5

*SET,S1PRES(1,1,1),10000,0,0,0,0  ! PRESSURE ON SECTOR 1 ONLY

SFL,ALL,PRES,%S1PRES%

When combined with other independent variables, SECTOR can be in positions 1, 2, or 3 only. Other independent variables operate as they do for non-cyclic data. (Think of X, Y, and Z as “ghost” coordinates, behaving as though all sectors have been modeled with actual nodes and elements.)

Example 7.3 Deleting a Sector Load

CYCOPT,LDSECT,3

F,10,UX,value   ! Apply a load (value) on node 10 at sector 3

...

FDELE,10,UX     ! Delete the load on node 10 at sector 3

To delete a previously applied load on a specified sector, issue an FDELE command.

7.3.1.3.2. Commands Affected by Non-Cyclic Loading

When non-cyclic loading applies, the following ANSYS commands are affected: D, DA, DK, DL, FK, SF, SFA, SFE, SFL.

The commands do not allow a table name in any value position. You must manually define any boundary condition or loading table requiring more than one independent variable (for example, SECTOR and some other variable).

The SF and SFE commands do not allow nodal pressure values to vary over an element face.

7.3.1.3.3. Plotting and Listing Non-Cyclic Boundary Conditions

You can plot non-cyclic boundary conditions (BCs) on the sector on which the BC (F, D, SF) is applied. By expanding the cyclic sector model plot to the full 360 degrees (via the /CYCEXPAND command), you can view a BC on the sector on which it is applied.

Issue BC-listing commands FLIST, DLIST, and SFLIST to list non-cyclic BCs. The list indicates the value of the BC and the sector on which it is applied.

7.3.1.3.4. Graphically Picking Non-Cyclic Boundary Conditions

You can use graphical picking via the ANSYS GUI to apply non-cyclic BCs on any sector. The graphical picking option is available after expanding the cyclic model (/CYCEXPAND). Applicable BCs are:

  • Surface pressure (SF, SFL, SFA)

  • Force (F, FK)

  • Displacement (D, DK, DL, DA)

BCs applied by graphical picking ignore the current CYCOPT,LDSECT setting when cyclic expansion (/CYCEXPAND) is active. When cyclic expansion is not active, BCs are applied to the sector specified by CYCOPT,LDSECT (or all sectors if CYCOPT,LDSECT,ALL).

The mathematical characteristics of a cyclic symmetry solution require that displacement BCs (D, DK, DL, DA) apply to all sectors; however, the value of a constrained displacement can vary between sectors.

7.3.2. Supported Analysis Types

ANSYS supports static, modal and buckling analysis types for a cyclic symmetry solution, as follows:

  • Static analysis

    For cyclically symmetric loading, support is available for linear static and large-deflection nonlinear static solution options. For non-cyclically symmetric loading, ANSYS supports linear static analysis only. For more information, see Solving a Static Cyclic Symmetry Analysis.

    ANSYS also supports static analyses involving magnetic cyclic symmetry. For more information, see Solving a Magnetic Cyclic Symmetry Analysis.

  • Modal analysis

    ANSYS supports modal analyses with or without prestress effects. In the case of a prestressed modal analysis, the prestress state of the sector may be from a linear static or large-deflection nonlinear static analysis. For more information, see Solving a Stress-Free Modal Analysis and Solving a Prestressed Modal Analysis.

    For a large-deflection prestressed modal cyclic symmetry analysis, partial solution steps employing the PSOLVE command are necessary; however, no separate expansion (via PSOLVE,EIGEXP) is needed because ANSYS expands the eigenvectors out to the results file automatically. Alternatively, you can simply issue the SOLVE command; in this case, ANSYS performs the partial solution step (via PSOLVE,EIGLANB or PSOLVE,EIGLANPCG) automatically and expands the eigenvectors out to the results file. For more information, see Solving a Large-Deflection Prestressed Modal Analysis.

  • Linear buckling analysis

    Support is available for linear eigenvalue buckling analyses with prestress effects. ANSYS recommends the Block Lanczos mode-extraction method (via BUCOPT,LANB). You can also employ the subspace option (via BUCOPT,SUBS); however, extracting negative buckling loads may be more difficult. For more information, see Solving a Linear Buckling Cyclic Symmetry Analysis, and Buckling Analysis in the Structural Analysis Guide.

7.3.3. Solving a Static Cyclic Symmetry Analysis

For cyclically symmetric loading, support is available for linear static and large-deflection nonlinear static solution options. (Cyclically symmetric loading implies any load applied on the cyclic sector representing a loading pattern that is repetitive at sector angle increments around the 360° structure.)

The following flowchart illustrates the process involved in a static (linear or large-deflection) cyclic symmetry analysis with cyclic loading.

Figure 7.5 Process Flow for a Static Cyclic Symmetry Analysis (Cyclic Loading)

Only a nodal-diameter zero solution is valid for a static solution with cyclic loading.

For non-cyclically symmetric loading, ANSYS supports linear static analysis only. The following flowchart illustrates the process involved in a static cyclic analysis with non-cyclic loading.

Figure 7.6 Process Flow for a Static Cyclic Symmetry Analysis (Non-Cyclic Loading)

For more information, see Non-Cyclically Symmetric Loading.

7.3.4. Solving a Modal Cyclic Symmetry Analysis

This section describes harmonic indices in relation to modal cyclic symmetry analyses and provides information necessary for solving several types of modal analyses. The following pages cover these topics:

  • Understanding Harmonic Index and Nodal Diameter

  • Solving a Stress-Free Modal Analysis

  • Solving a Prestressed Modal Analysis

  • Solving a Large-Deflection Prestressed Modal Analysis

7.3.4.1. Understanding Harmonic Index and Nodal Diameter

To understand the process involved in a modal cyclic symmetry analysis, it is necessary to understand the concepts of harmonic indices and nodal diameters.

The nodal diameter refers to the appearance of a simple geometry (for example, a disk) vibrating in a certain mode. Most mode shapes contain lines of zero out-of-plane displacement which cross the entire disk, as shown in these examples:

Figure 7.7 Examples of Nodal Diameters (i)

For a complicated structure exhibiting cyclic symmetry (for example, a turbine wheel), lines of zero displacement may not be observable in a mode shape.

The harmonic index is an integer that determines the variation in the value of a single DOF at points spaced at a circumferential angle equal to the sector angle. For a harmonic index equal to nodal diameter d, the function cos(d*θ) describes the variation. This definition allows a varying number of waves to exist around the circumference for a given harmonic index, provided that the DOF at points separated by the sector angle vary by cos(d*θ). For example, a harmonic index of 0 and a 60° sector produce modes with 0, 6, 12, ... , 6N waves around the circumference.

The nodal diameter is the same as the harmonic index in only some cases. The solution of a given harmonic index may contain modes of more than one nodal diameter.

The following equation represents the relationship between the harmonic index k and nodal diameter d for a model consisting of N sectors:

(7–2)
where m = 0, 1, 2, 3, ...,

For example, if a model has seven sectors (N = 7) and the specified harmonic index k = 2, ANSYS solves for nodal diameters 2, 5, 9, 12, 16, 19, 23, ....

The following table illustrates (Equation 7–2), showing how the harmonic index, nodal diameter and number of sectors relate to one another:

Harmonic Index (k) | Nodal Diameter (d)
0 | 0 | N | N | 2N | 2N | ...
1 | 1 | N-1 | N + 1 | 2N - 1 | 2N + 1 | ...
2 | 2 | N - 2 | N + 2 | 2N - 2 | 2N + 2 | ...
3 | 3 | N - 3 | N + 3 | 2N - 3 | 2N + 3 | ...
4 | 4 | N - 4 | N + 4 | 2N - 4 | 2N + 4 | ...
... | ... | ... | ... | ... | ... | ...
N / 2 (N is even) | N / 2 | N / 2 | 3N / 2 | 3N / 2 | 5N / 2 | ...
(N - 1) / 2 (N is odd) | (N - 1) / 2 | (N + 1) / 2 | (3N - 1) / 2 | (3N + 1) / 2 | (5N - 1) / 2 | ...

Note

To avoid confusion, be aware that in some references mode refers to harmonic index as defined here and nodal diameter describes the actual number of observable waves around the structure.

Harmonic Index in an Electromagnetic Analysis. For electromagnetic analyses, only the EVEN and ODD harmonic index settings are valid (for symmetric and antisymmetric solutions, respectively).

7.3.4.2. Solving a Stress-Free Modal Analysis

The following flowchart illustrates the process involved in a stress-free modal cyclic symmetry analysis.

Figure 7.8 Process Flow for a Stress-Free Modal Cyclic Symmetry Analysis

A modal cyclic symmetry analysis allows only cyclically symmetric applied boundary constraints and applied loads. Applied loads are not used in a modal analysis (which is a free-vibration problem). Eigensolutions are performed, looping on the number of harmonic indices specified (via the CYCOPT command) at each load step.

7.3.4.3. Solving a Prestressed Modal Analysis

The process for a prestressed modal cyclic symmetry analysis is essentially the same as that for a stress-free case, except that a static solution is necessary to calculate the prestress in the basic sector. The prestress state of the sector may be from a linear static or a large-deflection nonlinear static analysis. If the model is spinning, you can include spin-softening effects (via the OMEGA command's KSPIN option) in the modal solution if necessary.

The following flowchart illustrates the process involved in a prestressed modal cyclic symmetry analysis.

Figure 7.9 Process Flow for a Prestressed Modal Cyclic Symmetry Analysis

The modal cyclic symmetry solution occurs after the static cyclic symmetry solution. The modal solution uses the same low- and high-edge components defined in the static cyclic analysis stage (via the CYCLIC command). The analysis yields the eigenvectors of the structure in the prestressed state.

7.3.4.4. Solving a Large-Deflection Prestressed Modal Analysis

Geometric nonlinearity occurs when the deflections are large enough to cause significant changes in the geometry of the structure. In such cases, the equations of equilibrium must account for the deformed configuration. (For more information, see the Theory Reference for ANSYS and ANSYS Workbench.) When a nonlinearity is present, ANSYS employs an iterative process to obtain the solution.

To calculate the frequencies and mode shapes of a highly deformed structure, you can perform a prestressed modal analysis of cyclic structures after first performing a large-deflection (NLGEOM,ON) static analysis. In the cyclic modal analysis that follows the large-deflection static analysis, the PSTRES,ON command applies the prestress effects. If the model is spinning, you can include spin-softening effects (via the OMEGA command's KSPIN option) in the modal solution if necessary.

To obtain the modal solution, two options are available:

  • Issue the SOLVE command to update the geometry and solve.

    In this case, ANSYS obtains the solution automatically (via calls to the PSOLVE,EIGLANB and UPCOORD,1,ON commands).

  • Update the geometry (via the UPCOORD command) and issue the PSOLVE,EIGLANB command.

The following flowchart illustrates both methods for solving a large-deflection prestressed modal cyclic symmetry analysis.

Figure 7.10 Process Flow for a Large-Deflection Prestressed Modal Cyclic Symmetry Analysis

Solving a large-deflection prestressed modal cyclic symmetry analysis is similar to solving a prestressed modal cyclic analysis in that the modal solution requires a linear static cyclic solution. The differences are as follows:

  • The large-deflection key (via the NLGEOM command) in the static cyclic analysis stage

  • The partial solutions logic (via the PSOLVE command) in the modal cyclic analysis stage.

7.3.5. Solving a Linear Buckling Cyclic Symmetry Analysis

The process for a linear buckling analysis is essentially the same as that for a prestressed modal cyclic symmetry analysis, with the exception that buckling options (ANTYPE,BUCKLE and BUCOPT,LANB) are necessary to calculate buckling loads and the corresponding buckled mode shapes. The following flowchart illustrates the process involved in an eigenvalue buckling cyclic symmetry analysis.

Figure 7.11 Process Flow for a Linear Buckling Cyclic Symmetry Analysis

You can specify the SET command's ORDER option to sort the harmonic index results in ascending order of buckling load multipliers.

7.3.6. Solving a Magnetic Cyclic Symmetry Analysis

Most magnetic analysis problems can be defined with flux parallel and/or flux normal boundary conditions. With problems such as electrical machines, however, cyclic boundary conditions best represent the periodic nature of the structure and excitation, and have the advantage of being able to use a less computation-intensive partial model, rather than a full model.

You can analyze only one sector of the full model to take advantage of this kind of symmetry. The full model consists of as many sectors as the number of poles. In Sample Magnetic Cyclic Symmetry Analysis, the number of sectors is two; the analysis can be done on a half model.

The cyclic boundary condition is between matching degrees of freedom on corresponding symmetry faces. The studied sector is bounded by two faces called the low edge and high edge, respectively. In Figure 7.18: "Two-Phase Electric Machine – Half Model", the low edge face is the y = 0, x >= 0 plane; the high edge is the y = 0, x <= 0 plane.

The simplest case is when the node-matching interface of the low edge is the same as the high edge. In this case, for every node, there is one and only one matching node on the high edge; moreover the pertinent geometry and connectivity are the same. In this case, the cyclic boundary condition for the edge formulation could be formulated as

Az(low entity) = - Az(high entity)

This is an anti-symmetric condition which is called ODD symmetry.

The analysis could be carried out on a 360/p sector (where p is the number of poles), in which case the cyclic condition would be:

Az(low entity) = + Az(high entity)

which is a symmetric condition called EVEN symmetry.

In Sample Magnetic Cyclic Symmetry Analysis, the ODD model is smaller and thus more practical. For some problems, depending on geometry and excitation, EVEN symmetry may be more practical. ANSYS supports both ODD and EVEN cyclic symmetry.

In a more general case, the mesh on the low and high end may be different. In this case, more general cyclic symmetry conditions can be established by interpolation on the pertinent faces. ANSYS handles this process automatically via the CYCLIC command.

ANSYS requires node-matching only for SOLID117 magnetic edge elements; however, you will typically obtain greater accuracy using node-matching for any element type.

The geometry of the low- and high-end cyclic faces may be more general than a simple plane surface. Thus, for example, a skewed slot of an electric machine may constitute the cyclic sector modeled.

Cyclic Modeling discusses cyclic modeling in detail.

The following restrictions apply to a magnetic cyclic symmetry analysis:

  • For SOLID117 elements, the low and high edges must have node-matching conditions.

  • Cyclic conditions can be restricted to specific degrees of freedom (DOFs) via the DOF option. DOF restrictions may be useful, for example, in cases involving circuit-/voltage-fed solenoidal edge elements (SOLID117 with KEYOPT(1) = 5 or 6).

  • Multiphysics coupling must use the same EVEN/ODD condition.

  • Circuit coupling is not supported for cyclic symmetry except solenoidal SOLID97 and SOLID117.

  • Harmonic and transient analyses are not supported.

  • By default, plotting displays the partial solution only. To see the full model solution, issue the /CYCEXPAND command. For magnetic cyclic symmetry, the /CYCEXPAND command produces contour plots but not vector plots.

Figure 7.5: "Process Flow for a Static Cyclic Symmetry Analysis (Cyclic Loading)" shows the process for a cyclic symmetry analysis. The process is virtually identical for a magnetic cyclic symmetry analysis; simply disregard the step for a large-deflection solution.

Magnetic cyclic boundary conditions can be applied to the following element types:

  • Nodal magnetic vector potential elements: PLANE13, PLANE53, SOLID97

  • Magnetic edge elements, classical or solenoidal: SOLID117

  • Magnetic scalar potential elements: SOLID5, SOLID96, SOLID98

  • Electrostatic elements: PLANE121, SOLID122, SOLID123

7.3.7. Database Considerations After Obtaining the Solution

At the conclusion of the cyclic symmetry solution, exit the solution processor via the FINISH command.

If you intend to exit the ANSYS program at this point (before postprocessing), save the database (file.db). The saved database allows you to perform postprocessing on the analysis results at a later time.

7.3.8. Model Verification (Solution)

The cyclic solution reports the number of constraint equations generated for each harmonic index solution and information about how they were created. The information should match what you already know about the analysis model; if not, try to determine the reason for the discrepancy. The following extracts (from a batch output file or an interactive output window) are typical:

NUMBER OF CONSTRAINT EQUATIONS GENERATED =   124
(USING THE MATCHED NODES ALGORITHM --
                  MAX NODE LOCATION ERROR NEAR ZERO)

Meaning: 124 constraint equations are created, used, and then deleted to enforce cyclic symmetry conditions between the low- and high-edge nodes. Every node on the low edge is precisely matched to a corresponding node on the high edge, representing the best possible situation.

NUMBER OF CONSTRAINT EQUATIONS GENERATED =   124
(USING THE MATCHED NODES ALGORITHM --
                  MAX NODE LOCATION ERROR = 0.73906E-02)

Meaning: 124 constraint equations are created, used, and then deleted to enforce cyclic symmetry conditions between the low- and high-edge nodes. Every node on the low edge is matched to a corresponding node on the high edge within the current tolerance setting, but not all matches are precise. The largest position mismatch is 0.0073906.

NUMBER OF CONSTRAINT EQUATIONS GENERATED =   504
(USING THE UNMATCHED NODES ALGORITHM)

Meaning: 504 constraint equations are created, used, and then deleted to enforce cyclic symmetry conditions between the low- and high-edge nodes. At least one node on the low edge does not match any node on the high edge within the current tolerance setting, so ANSYS uses the unmatched nodes algorithm.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.2. Cyclic Modeling 		Up / Home Next
7.4. Postprocessing a Cyclic Symmetry Analysis


7.4. Postprocessing a Cyclic Symmetry Analysis

This section describes how to perform postprocessing on the solution results obtained from a cyclic symmetry analysis.

The following postprocessing topics are available for cyclic symmetry analysis:

  • Real and Imaginary Solution Components
  • Expanding the Cyclic Symmetry Solution
  • Phase Sweep of Repeated Eigenvector Shapes

If you exited the ANSYS program after obtaining the cyclic symmetry solution, use the database (file.db) that you saved for postprocessing. For more information, see Database Considerations After Obtaining the Solution.

7.4.1. Real and Imaginary Solution Components

A cyclic symmetry solution typically has multiple load step results depending upon the harmonic index solutions requested.

The real (basic sector) and imaginary (duplicate sector) parts of the solution reside in the results file. However, the solution does not yet represent the actual displacements, stresses, or reaction forces for any part of the actual structure.

Note

Listing or plotting the sector results causes ANSYS to issue a warning message such as PLNSOL is displaying the unprocessed real and imaginary parts of this cyclic symmetry solution. Furthermore, the basic and duplicate sectors overplot each other if displayed, providing yet another indication that a problem exists.

To transform the real and imaginary cyclic symmetry solution results to the actual structure solution, three postprocessing (/POST1) commands are available:

  • /CYCEXPAND

  • EXPAND

  • CYCPHASE

For information about /CYCEXPAND and EXPAND command usage, see Expanding the Cyclic Symmetry Solution. For information about CYCPHASE command usage, see Phase Sweep of Repeated Eigenvector Shapes.

7.4.2. Expanding the Cyclic Symmetry Solution

This section describes the capabilities of the /CYCEXPAND and EXPAND commands and explains their differences. Use the commands to expand the solution results of your cyclic symmetry analysis to the full model.

7.4.2.1. Using the /CYCEXPAND Command

The /CYCEXPAND command is the preferred operation for viewing expanded cyclic symmetry results. The command does not modify the geometry, nodal displacements or element stresses stored in the database. Issue the command to expand your basic sector model and obtain the full 360° model displacement, stress, or strain response.

After the expansion, you can plot (PLESOL or PLNSOL) or print (PRNSOL) the results. Other commands (such as NSEL and NSORT) continue to operate on the unprocessed real and imaginary parts of the solution.

Using the cyclic symmetry solution of the basic and duplicate sectors (illustrated in Figure 7.4: "Connecting Low and High Edges of Basic and Duplicate Sectors"), the /CYCEXPAND command combines the solutions from the two sectors by performing computations on the selected load step (specified via the SET command) to combine the results of the two sectors. ANSYS employs the following response equation for the full structure or assembly:

(7–3)

where,

Uj = Response of the full structure or assembly (displacement, stress, or strain) for sector number j
UA = Basic sector solution
UB = Duplicate sector solution
j = Sector number for response expansion -- j = 1,2,3,…,N
k = Harmonic index -- (0,1,2,…,N / 2) when N is even, (0,1,2,…,(N-1) / 2) when N is odd. (N is an integer representing the number of sectors in 360°.)
α = Sector angle (2π/N)

The equation applies when expanding the static cyclic solution as well as the modal cyclic eigenvector solution.

If cyclic expansion via the /CYCEXPAND command is active for a static cyclic symmetry analysis, the PLNSOL and PRNSOL commands have summation of all required harmonic index solutions by default. (You can override the default behavior if necessary.)

A SET,LIST command lists the range of load step numbers in the group containing each solution. Each load step post data header contains the first, last, and count of load steps from the given SOLVE command, as shown:

        *****  INDEX OF DATA SETS ON RESULTS FILE  *****
SET  TIME/FREQ  LOAD STEP  SUBSTEP  CUMULATIVE  HRM-INDEX  GROUP
1    1.0000     1          1        1           0          1-3
2    2.0000     2          1        2           1          1-3
3    3.0000     3          1        3           2          1-3
4    1.0000     1          1        1           0          4-6
5    2.0000     2          1        2           1          4-6
6    3.0000     2          1        3           2          4-6
...

The SET command establishes which SOLVE load step group should display. Summation via /CYCEXPAND is automatic (although you can override the default behavior). Plots and printed output show the summation status.

Accumulation occurs at the first applicable PLNSOL or PRNSOL command. After accumulation, the last load step number of the current group becomes the new current load step number.

7.4.2.1.1. Applying a Traveling Wave Animation to the Cyclic Model

After you have completed a modal cyclic symmetry analysis, you can apply an animated traveling wave to the cyclic model by issuing the ANCYC command (which employs /CYCEXPAND functionality). The traveling wave capability applies only to modal cyclic symmetry analyses. For more information, see the description of the ANCYC command in the Commands Reference.

Figure 7.12: "Traveling Wave Animation Example" illustrates the ANCYC command's effect. To view the input file used to create the model shown, see Sample Modal Cyclic Symmetry Analysis.

The following demo is presented as an animated GIF. Please view online if you are reading the PDF version of the help. Interface names and other components shown in the demo may differ from those in the released product.

Figure 7.12 Traveling Wave Animation Example

7.4.2.2. Using the EXPAND Command

The EXPAND command offers an alternate method for displaying the results of a modal cyclic symmetry analysis. It is a specification command that causes a SET operation to transform and expand the data it is reading before storing it in the database. If you request two or more sector repetitions, the command creates additional nodes and elements to provide space for the extra results.

After the real-space results are stored in the database, you can plot (PLESOL or PLNSOL), print (PRNSOL) or process them as you would those for a non-cyclic model, a convenience if you want to process the results in a manner unsupported by the /CYCEXPAND command. The database can become very large, however, negating the inherent model-size advantage of a cyclic symmetry analysis.

Caution

Do not confuse the EXPAND command with /EXPAND.

7.4.3. Phase Sweep of Repeated Eigenvector Shapes

In a modal cyclic symmetry analysis, repeated eigenfrequencies are obtained at solutions corresponding to harmonic indices k, greater than 0 and less than N/2. The repeated modes are a consequence of the cyclically symmetric geometry of the structure or assembly being modeled by the cyclic sector.

The eigenvector shapes corresponding to the repeated eigenfrequencies are non-unique. That is, for the repeated eigenfrequencies fi = fi+1, the mode shapes corresponding to fi and fi+1 can be linearly combined to obtain a mode shape that is also a valid mode shape solution for the frequencies fi and fi+1. A valid linear combination of the eigenvectors is:

(7–4)

where,

c1 and c2 = Arbitrary constants
Ui and Ui+1 = Eigenvectors corresponding to fi and fi+1, respectively

The orientation of the combined mode shape U will be along a nodal diametral line that is neither along that of Ui nor Ui+1. Because the full structure may have stress-raising features (such as bolt holes), determining the eigenvector orientation that causes the most severe stresses, strains, or displacements on the structure or assembly is critical.

To determine the peak value of stress, strain or displacement in the full structure or assembly, it is necessary to calculate U at all possible angular orientations φ in the range of 0 through 360°. In the general postprocessor, the CYCPHASE command performs the computational task.

Because c1 and c2 are arbitrary constants, the CYCPHASE calculation rewrites (Equation 7–4) as follows:

(7–5)

Using the cyclic symmetry expansion of (Equation 7–3) in (Equation 7–5), the simplified phase-sweep equation that operates on the cyclic sector solution (rather on the computation-intensive full-structure expression in (Equation 7–5)) is:

(7–6)

A phase sweep using the CYCPHASE command provides information about the peak values of stress, strain and/or displacement components and the corresponding phase angle values. Using the phase angle value further, you can expand the mode shape at that phase angle to construct the eigenvector shape that produces the peak stress, strain and/or displacement. The expansion expression with the phase angle used by the /CYCEXPAND command is:

(7–7)

where,

j = 1,2,3,...,N

Example:

To determine the eigenvector orientation that causes the highest equivalent stress, perform a phase sweep on the stress via the CYCPHASE,STRESS command. Obtain a summary of the phase sweep via the CYCPHASE,STAT command to determine the value of φ at which maximum equivalent stress occurred. You can shift the mode shape to that angle via the /CYCEXPAND,,PHASEANG command and plot the expanded mode shape via the PLNSOL,S,EQV command.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.3. Solving a Cyclic Symmetry Analysis 		Up / Home Next
7.5. Sample Modal Cyclic Symmetry Analysis


7.5. Sample Modal Cyclic Symmetry Analysis

This section introduces you to the ANSYS product's automated cyclic symmetry analysis capabilities by way of example. The sample modal cyclic symmetry analysis presents a simplified ring-strut-ring structure used in many rotating-machinery applications.

7.5.1. Problem Description

The component is a simplified fan inlet case for a military aircraft engine. As part of the design process for the assembly, you must determine the vibration characteristics (natural frequencies and mode shapes) of the inlet case.

7.5.2. Problem Specifications

The geometric properties for this analysis are as follows:

The material properties for this analysis are as follows:

Young's modulus (E) = 10e6
Poisson's ratio (υ) = 0.3
Density = 1e-4
All applicable degrees of freedom are used for the cyclic symmetry edge-component pairs. The first six mode shapes for all applicable harmonic indices are requested.

7.5.3. Input File for the Analysis

Use this input file (named cyc_symm.inp) to perform the example modal cyclic symmetry analysis. The file contains the complete geometry, material properties and solution options for the finite element model.

! Modal Cyclic Symmetry Analysis Example
! Ring-Strut-Ring Configuration

! STEP #1
! Start an ANSYS interactive session

! STEP #2
! Read in this input file: cyc_symm.inp

finish
/clear

r1=5
r2=10
d1=2
nsect=24
alpha_deg=360/nsect
alpha_rad=2*acos(-1)/nsect

/view,1,1,1,2
/plopts,minm,0
/plopts,date,0
/pnum,real,1
/number,1

/prep7
csys,1
k,1,0,0,0
k,2,0,0,d1
k,3,r1,0,0
k,4,r1,0,d1
l,3,4
arotat,1,,,,,,1,2,alpha_deg/2
k,7,r2,0,0
k,8,r2,0,d1
l,7,8
arotat,5,,,,,,1,2,alpha_deg/2
arotat,2,,,,,,1,2,alpha_deg/2
arotat,6,,,,,,1,2,alpha_deg/2
a,5,6,10,9
mshkey,1
et,1,181
r,1,0.20
r,2,0.1
mp,ex,1,10e6
mp,prxy,1,0.3
mp,dens,1,1e-4
esize,0.5
asel,,,,1,4
aatt,,1
asel,,,,5
aatt,,2
allsel
finish

/solution
antype,modal
modopt,lanb,6
mxpand,6,,,yes
dk,5,uz,0
finish

aplot
/prep7

/eof

! STEP #3
! Configure the database for a cyclic symmetry analysis

cyclic

! STEP #4
! Mesh the areas

amesh,all

! STEP #5
! Turn on cyclic symmetry graphical expansion

/cycexpand,,on

! STEP #6
! Plot the elements

eplot

! STEP #7
! List the cyclic status

cyclic,status

! STEP #8
! List the cyclic solution option settings

cycopt,status

! STEP #9
! Solve the modal cyclic symmetry analysis

/solution
solve

! STEP #10
! Specify global cylindrical as the results coordinate system

/post1
rsys,1

! STEP #11
! Read results for "load step 1 - substep 4 - harmonic index 0"

set,2,6

! STEP #12
! Plot the tangential displacement contour

plns,u,y

! STEP #13
! Read results for "load step 13 - substep 1 - harmonic index 12"

set,13,1

! STEP #14
! Plot the tangential displacement contour

plns,u,y

! STEP #15
! Read results for "load step 2 - substep 5 - harmonic index 1"

set,2,5

! STEP #16
! Plot the tangential displacement contour

plns,u,y

7.5.4. Analysis Steps

The following table describes the input listing and the steps involved in the sample modal cyclic symmetry analysis in more detail.

Step | Description | ANSYS Command
1.

Start an ANSYS interactive session.

---

2.

Read the input file: cyc_symm.inp

/INPUT,CYC_SYMM.INP
3.

Specify a cyclic symmetry analysis and configure the database accordingly.

CYCLIC
4.

Mesh the areas.

AMESH,ALL
5.

Activate cyclic symmetry graphical expansion.

/CYCEXPAND,,ON
6.

Plot the elements.

EPLOT
7.

List the cyclic status.

CYCLIC,STATUS
8.

List the cyclic solution option settings.

CYCOPT,STATUS
9.

Solve the modal cyclic symmetry analysis.

/SOLU
SOLVE
10.

Specify the global cylindrical coordinate system.

/POST1
RSYS,1
11.

Read results for “load step 1 - substep 4 - harmonic index 0.”

SET,2,6
12.

Plot the tangential displacement contour.

Executing this step causes the struts of the assembly to bend “in phase.”

PLNSOL,U,Y
13. | Read results for “load step 13 - substep 1 - harmonic index 12.” | SET,13,1
14.

Plot the tangential displacement contour.

Executing this step causes the struts of the assembly to bend “out of phase.”

PLNSOL,U,Y
15.

Read results for “load step 2 - substep 5 - harmonic index 1.”

SET,2,5
16.

Plot the tangential displacement contour.

----

This step completes the sample modal cyclic symmetry analysis. Your results should match those shown in Figure 7.13: "Sample Modal Cyclic Symmetry Analysis Results".

PLNSOL,U,Y

The results of your analysis should match those shown here:

Figure 7.13 Sample Modal Cyclic Symmetry Analysis Results

Note

Mode shape values may vary slightly depending on your computer system.

To view a traveling wave animation of your model, issue the ANCYC,24,,0.1 command. For more information, see Applying a Traveling Wave Animation to the Cyclic Model.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.4. Postprocessing a Cyclic Symmetry Analysis 		Up / Home Next
7.6. Sample Buckling Cyclic Symmetry Analysis


7.6. Sample Buckling Cyclic Symmetry Analysis

This section introduces you to the ANSYS product's automated cyclic symmetry analysis capabilities by way of example. The sample buckling cyclic symmetry analysis presents a simplified ring-strut-ring structure used in many rotating-machinery applications.

7.6.1. Problem Description

The object is a simplified structure that experiences a thermal load emanating outward from the center. The inner ring is kept at a constant 600° F temperature and the outer ring is kept at a constant 0° F. A linear eigenvalue buckling analysis determines when the struts will buckle as the temperature in the struts increases from 100° F to 500° F.

7.6.2. Problem Specifications

The geometric properties for this analysis are as follows:

The material properties for this analysis are as follows:

Poisson's ratio (υ) = 0.3
Density = 1e-4
Coefficient of thermal expansion (α) = 5e-5
Young's modulus (E) = 10e6 (at 0° F)
Young's modulus (E) = 4e6 (at 600° F)
The Young's modulus value varies linearly between 0 and 600° F. All applicable degrees of freedom (DOFs) are used for the cyclic symmetry edge-component pairs. The first six mode shapes for all applicable harmonic indices are requested.

7.6.3. Input File for the Analysis

Use this input file (named buck_cyc_sym.inp) to perform the buckling cyclic symmetry analysis example. The file contains the complete geometry, material properties and solution options for the finite element model.

! Cyclic Symmetry Buckling Example
! Ring-Strut-Ring Configuration

! STEP #1
! Start an ANSYS interactive session

! STEP #2
! Read in the input file: buck_cyc_sym.inp

r1=5
r2=15
d1=4
nsect=6
alpha_deg=360/nsect
alpha_rad=2*acos(-1)/nsect

/view,1,1,1,2
/plopts,minm,0
/plopts,date,0
/pnum,real,1
/number,1

/prep7
csys,1
k,1,0,0,0
k,2,0,0,d1
k,3,r1,0,0
k,4,r1,0,d1
l,3,4
arotat,1,,,,,,1,2,alpha_deg/2
k,7,r2,0,0
k,8,r2,0,d1
l,7,8
arotat,5,,,,,,1,2,alpha_deg/2
arotat,2,,,,,,1,2,alpha_deg/2
arotat,6,,,,,,1,2,alpha_deg/2
a,5,6,10,9
mshkey,1
et,1,181
r,1,0.20
r,2,0.1
mptemp,1,0
mptemp,2,600
mpdata,ex,1,1,10e6
mpdata,ex,1,2,4e6
mp,prxy,1,0.3,0.0
mp,dens,1,1e-4
mp,alpx,1,5e-5
tref,0
esize,1.0
asel,,loc,x,r1
bfa,all,temp,600
asel,a,loc,x,r2
aatt,,1
asel,inve
bfa,all,temp,100
aatt,,2
allsel
amesh,all
lsel,,loc,z,d1/2
lsel,r,loc,y,alpha_deg/2
ksll
nslk
nrotate,all
dk,all,uz,0
dk,all,uy,0
allsel
finish
aplot
/prep7

/eof

! STEP #3
! Configure the database for a cyclic symmetry analysis

cyclic

! STEP #4
! Turn on cyclic symmetry graphical expansion

/cycexpand,,on

! STEP #5
! Plot the elements

eplot

! STEP #6
! List the cyclic status

cyclic,status

! STEP #7
! List the cyclic solution option settings

cycopt,status

! STEP #8
! Specify static analysis type with prestress effects

/solution
antype,static
pstres,on

! STEP #9
! Solve the prestress static analysis

solve

! STEP #10
! Specify buckling analysis type

finish
/solution
antype,buckle

! STEP #11
! Specify buckling analysis options

bucopt,lanb,3

! STEP #12
! Specify mode expansion options

mxpand,3,,,yes

! STEP #13
! Solve the buckling analysis

solve

! STEP #14
! Read results for the smallest load factor

finish
/post1
set,first,,,,,,,order

! STEP #15
! Plot the buckled mode shape

plnsol,u,sum

7.6.4. Analysis Steps

The following table describes the input listing and the steps involved in the sample buckling cyclic symmetry analysis in more detail.

Step | Description | ANSYS Command
1.

Start an ANSYS interactive session.

---

2.

Read in the input file: buck_cyc_sym.inp

/INPUT,buck_cyc_sym.inp
3.

Specify a cyclic symmetry analysis and configure the database accordingly.

CYCLIC
4.

Activate cyclic symmetry graphical expansion.

/CYCEXPAND,,ON
5.

Plot the elements.

EPLOT
6.

List the cyclic status.

CYCLIC,STATUS
7.

List the cyclic solution option settings.

CYCOPT,STATUS
8.

Specify a static analysis type with prestress effects.

/SOLU
ANTYPE,STATIC
PSTRES, ON
9.

Solve the prestress static analysis.

SOLVE

10.

Specify a buckling analysis type.

FINISH
/SOLU
ANTYPE,BUCKLE
11.

Specify buckling analysis options

BUCOPT, LANB, 3
12.

Specify mode expansion options.

MXPAND, 3, , , YES
13. | Solve the buckling analysis. | SOLVE
14. Read the results from the smallest load factor. (This should correspond to the smallest frequency.)
FINISH
/POST1
SET, FIRST , , , , , , , ORDER
15.

Plot the buckled mode shape.

----

This step completes the sample buckling cyclic symmetry analysis. Your results should match those shown in Figure 7.14: "Sample Buckling Cyclic Symmetry Analysis Results".

PLNSOL, U, SUM

The results of your analysis should match those shown here:

Figure 7.14 Sample Buckling Cyclic Symmetry Analysis Results

7.6.5. Solve For Critical Strut Temperature at Load Factor = 1.0

You can automatically solve for the critical strut temperature by iterating on the variable loads until the eigenvalue becomes 1.0 (or nearly 1.0 within some tolerance). The iterations ensure that the eigenvalue solution does not factor the stress stiffness matrix from the constant loads. The following flowchart illustrates the process:

Figure 7.15 Buckling Cyclic Symmetry Results: Load Factor Iterations

Use the /PREP7 portion of the previous input file (buck_cyc_sym.inp) to construct your model. After defining the model parameters--but before activating cyclic symmetry--define the arrays and the programming operations, as follows:

*dim,Tstrut,array,10
*dim,Tfact,array,10

*do,I,1,10

  /prep7

  *if,I,eq,1,then
    Tstrut(I)=100
  *else
    Tstrut(I)=Tstrut(I-1)*Tfact(I-1)
    cyclic,undouble
  *endif

  asel,,real,,2
  bfa,all,temp,Tstrut(I)
  allsel

After you have defined the iterative parameters, proceed with the cyclic symmetry portion of the analysis:

  cyclic
  /cycexpand,,on
  eplot
  cyclic,status
  cycopt,status
  /solution
  antype,static
  pstres,on
  solve
  finish
  /solution
  antype,buckle
  bucopt,lanb,3
  mxpand,3,,,yes
  solve
  finish
  /post1
  set,first,,,,,,,order
  plnsol,u,sum

  *get,loadmult,active,,set,freq
  Tfact(I)=loadmult

*enddo

ANSYS then plots the data to determine the critical strut temperature:

*dim,data,table,10,2
data(0,1)=1
data(0,2)=2

*do,I,1,10

  data(I,0)=I
  data(I,1)=Tstrut(I)
  data(I,2)=Tfact(I)

*enddo

/AXLAB,X,Strut Temperature
/AXLAB,Y,Load Factor
/GROPT,DIVX,5
/GROPT,DIVY,5
/XRANGE,100,200
/YRANGE,0.9,1.4
/GTHK,CURVE,1
/GMARKER,1,3

*VPLOT,data(1,1),data(1,2)

The eigenvalues (frequencies) calculated for the buckling analysis represent the buckling load factors. The eigenvalues represent load factors for all applied loads.

The iteration strategy yields the following results:

Table 7.2 Buckling Cyclic Symmetry: Load Factor Iteration Results

Iteration | T° (Strut) | Load Factor
1 | 100.00 | 1.3039
2 | 130.39 | 1.1845
3 | 154.44 | 1.0972
4 | 169.45 | 1.0461
5 | 177.27 | 1.0206
6 | 180.91 | 1.0089
7 | 182.52 | 1.0038
8 | 183.21 | 1.0016
9 | 183.50 | 1.0007
10 | 183.62 | 1.0003

A graph of the results shows the convergence at Load Factor = 1.0:

Figure 7.16 Buckling Cyclic Symmetry Results: Load Factor Results Graph

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.5. Sample Modal Cyclic Symmetry Analysis 		Up / Home Next
7.7. Sample Magnetic Cyclic Symmetry Analysis


7.7. Sample Magnetic Cyclic Symmetry Analysis

This section further explains ANSYS' magnetic cyclic symmetry capabilities via an example. This example presents a simplified electrical machine where the model size can be reduced with cyclic boundary conditions.

7.7.1. Problem Description

Figure 7.17: "Two-Phase Electric Machine – Full Model" shows a typical example, the full model of a 2-phase electrical machine.

In the full model, flux parallel boundary conditions can be formulated at the outer surface of the stator frame. If only phase A were excited, the magnetic flux would point in the y direction at x=0 plane; flux parallel condition could be formulated at the x=0 plane, allowing an analysis on a half model in the x>=0 space. Similarly, if only phase B were excited, the magnetic flux would have only x component on the y=0 plane; again, flux parallel could be applied to a half model in the y>=0 plane.

Typically, however, both coils are excited, and no flux parallel conditions could be formulated over the x=0 or y=0 planes. However, due to the cyclic nature of the field, the field pattern repeats itself after 180 degrees. In particular, on the y=0 plane:

By(x) = By(-x)

A similar pattern can be observed in Figure 7.18: "Two-Phase Electric Machine – Half Model", where the flux lines (equi vector potential lines) are plotted:

Az(x) = - Az(-x)

In this example, the field has a two pole pattern. In general, there are 2p poles; the repetition would take place after 180/p degrees.

Figure 7.17 Two-Phase Electric Machine – Full Model

Figure 7.18 Two-Phase Electric Machine – Half Model

7.7.2. Problem Specifications

The material properties for this analysis are as follows:

Iron relative permeability: 1000

Iron electrical resistivity: 9.579E-8

Aluminum relative permeability: 1.0

Aluminum electrical resistivity: 2.65E-8

Copper relative permeability: 1.0

Copper electrical resistivity: 1.74E-8

7.7.3. Input file for the Analysis

Use this input file to perform the example magnetic cyclic symmetry analysis. This file contains the complete geometry, material properties, and solution options for the finite element model. Magnetic cyclic symmetry commands of particular interest are preceded by the comment:

!!!  Apply Cylic
/title,Cyclic Symmetry Model for EMAG Analysis (Dual Coils with Iron Yoke)
/com
/com ***** Quarter Symmetry Model Expanded to Half Then to Full *****
/com
/com
/com
/nopr
/out,scratch

!!! Setup Model Parameters

_geomgen=1
p=1                      ! Use for number of quarter sectors
                         !  (i.e. 1 = 1 90deg sector, 2 = 2 sectors in 90deg)
alpha=22.5/p             ! angle up to the end of first coil
beta=alpha+(45/p)        ! angle from coil1 to coil2
gamma=beta+(22.5/p)      ! angle from beginning of coil2 to end of sector
r1=3
r2=4.5
r3=5
r4=7
r5=11
ncoil=(4*p)
i1=1
i2=2

*dim,alpha1,,ncoil
*dim,alpha2,,ncoil
*dim,current,,ncoil
*dim,coilname,string,ncoil

coilname(1) = 'coil1'
coilname(2) = 'coil2'
coilname(3) = 'coil3'
coilname(4) = 'coil4'

*do,i,1,ncoil

alpha1(i) = -alpha + (i-1)*(90/p)
alpha2(i) = alpha + (i-1)*(90/p)

*enddo

ii=0

*do,i,1,p

 ii = ii + 1
 current(ii) = i2
 ii = ii + 1
 current(ii) = i1
 ii = ii + 1
 current(ii) = -i2
 ii = ii + 1
 current(ii) = -i1

*enddo

/prep7

ET,1,13,4	                 ! Use PLANE13 Elements (DOFset = UX,UY,TEMP,AZ)

!!! Setup Model using Parameters

PCIRC,r1, ,0,alpha,
PCIRC,r1, ,0,beta
PCIRC,r1, ,0,gamma
PCIRC,r2, ,0,alpha
PCIRC,r2, ,0,beta
PCIRC,r2, ,0,gamma
PCIRC,r3, ,0,alpha
PCIRC,r3, ,0,beta
PCIRC,r3, ,0,gamma
PCIRC,r4, ,0,alpha
PCIRC,r4, ,0,beta
PCIRC,r4, ,0,gamma
PCIRC,r5, ,0,alpha
PCIRC,r5, ,0,beta
PCIRC,r5, ,0,gamma
AOVLAP,ALL

!!! Setup Material Properties

! IRON
MP,MURX,1,1000
MP,RSVX,1,9.579E-8

! AL
MP,MURX,2,1
MP,RSVX,2,2.65E-8

! Copper
MP,MURX,3,1
MP,RSVX,3,1.74E-8

! Air
MP,MURX,4,1
MP,RSVX,4,0

!!! Setup Components and Atributes

! Iron Core
CSYS,1                   ! Enter Cylindrical Mode
ASEL,S,LOC,X,0,r1
CM,Inner_Iron,AREA
AATT,1,,1,

! Al Core
ASEL,S,LOC,X,r1,r2
CM,Outer_AL,AREA
AATT,2,,1,

! Air Gap
ASEL,S,LOC,X,r2,r3
CM,AIR,AREA
AATT,4,,1

! Coil 1
ASEL,S,LOC,X,r3,r4
ASEL,R,LOC,Y,0,alpha
CM,COIL1,AREA
AATT,3,,1

! Coil 2
ASEL,S,LOC,X,r3,r4
ASEL,R,LOC,Y,beta,gamma
CM,COIL2,AREA
AATT,3,,1

! Iron Yoke
ASEL,S,LOC,X,r3,r4
ASEL,R,LOC,Y,alpha,beta
ASEL,A,LOC,X,r4,r5
CM,YOKE,AREA
AATT,1,,1
ALLSEL
CSYS,0                   ! Enter Cartesian Mode

!!! Setup and Mesh Model

MSHKEY,1
CSYS,1
LSEL,S,LOC,Y,0
LSEL,A,LOC,Y,gamma
LESIZE,ALL,,,6,,1,,,1,
CMSEL,S,Inner_Iron
AMESH,ALL
CMSEL,S,Outer_AL
AMESH,ALL
CMSEL,S,Air
AMESH,ALL
CMSEL,S,Coil1
AMESH,ALL
CMSEL,S,Coil2
AMESH,ALL
CMSEL,S,Yoke
AMESH,ALL
ALLSEL
CSYS,0

!!! Reflect Model across X-axis
!!  Create HALF model from QUARTER model

arsym,x,all

/prep7
save,magtest,db         ! save half model for cyclic

arsym,y,all               ! create full model reflecting on y axis
nummrg,all

csys,1
nsel,s,loc,x,r5
CM,extnode,NODE

! Apply BFE Current loads to each coil

*do,i,1,ncoil

 asel,s,loc,x,r3,r4
 asel,r,loc,y,alpha1(i),alpha2(i)
 esla,s
 cm,coilname(i),element
 bfe,all,js,,,,current(i)

*enddo

csys,0

allsel
cmsel,s,extnode
d,all,az,0
d,all,temp,25
allsel
FINISH

/solu
/out,scratch

antype,static
allsel
solve

FINISH

/post1

!!! Plot Out Result Plots
plvect,b,,,,VECT,ELEM,ON,0

FINISH
parsav,all
/clear,nostart
resume,magtest,db       ! Resume half Model
parres,new

!! Delete Bottom half of model and all loading attatched to bottom nodes

/prep7

allsel
nummrg,all

csys,1
nsel,s,loc,x,r5
D,all,az,0  ! AZ = 0 on outside nodes of arc
D,all,temp,25

!! Define Coils on Half Model

! Coil 1
ASEL,S,LOC,X,r3,r4
ASEL,R,LOC,Y,0,alpha
esla,s
CM,COIL1,ELEMENT
! Coil 2
ASEL,S,LOC,X,r3,r4
ASEL,R,LOC,Y,beta,(180-beta)
esla,s
CM,COIL2,ELEMENT
! Coil 3
ASEL,S,LOC,X,r3,r4
ASEL,R,LOC,Y,(180-alpha),180
esla,s
CM,COIL3,ELEMENT

!! Apply bfe loads to Half Model coils

cmsel,s,COIL1
bfe,all,js,,,,i2
cmsel,s,COIL2
bfe,all,js,,,,i1
cmsel,s,COIL3
bfe,all,js,,,,(-i2)

!!!  Apply cyclic - create cyclic model with two sectors

allsel
csys,0
cyclic,2

/solution

cycopt,hindex,odd         ! Odd Symmetry for half model
solve
FINISH

/post1
/out

!!! Plot Out Result Plots
/vscale,1,1,1
plvect,b,,,,VECT,ELEM,ON,0    ! See figure for B field plot.

!!! Plot Out Contour Line Plot of Equipotentials
plf2d

FINISH

Figure 7.19 Vector Plot of Cyclic Flux Density (B) - Half Model

Figure 7.20 Contour Line Plot of Equipotentials

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.6. Sample Buckling Cyclic Symmetry Analysis 		Up / Home Next
Chapter 8. Rotating Structure Analysis


Chapter 8. Rotating Structure Analysis

In a dynamic analysis involving a rotating structure, ANSYS can take inertia effects into account. The following topics related to rotating structure analysis are available:

  • Understanding Rotating Structure Dynamics
  • Using a Stationary Reference Frame
  • Using a Rotating Reference Frame
  • Choosing the Appropriate Reference Frame Option
  • Sample Campbell Diagram Analysis
  • Sample Coriolis Analysis
  • Sample Unbalance Harmonic Analysis

For additional information, see Coriolis Matrix and Coriolis Force in the Theory Reference for ANSYS and ANSYS Workbench.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.7. Sample Magnetic Cyclic Symmetry Analysis 		Up / Home Next
8.1. Understanding Rotating Structure Dynamics


8.1. Understanding Rotating Structure Dynamics

You can observe inertia effects, applied via the CORIOLIS command, in either a stationary reference frame or a rotating reference frame. In both cases, you specify angular velocity by issuing an OMEGA or CMOMEGA command.

The dynamic equation incorporating the effect of rotation is given by

where [M], [C] and [K] are the structural mass, damping, and stiffness matrices, respectively. [Kc] is the spin softening matrix (described in Spin Softening in the Theory Reference for ANSYS and ANSYS Workbench.) [G] is a “damping” matrix contribution due to the rotation of the structure specified via the OMEGA or CMOMEGA command (described in Rotating Structures in the Theory Reference for ANSYS and ANSYS Workbench).

Without the inertia effect applied via the CORIOLIS command, ANSYS does not generate the [G] matrix, and the usual effect of the angular rotation velocity specified by the OMEGA or CMOMEGA command applies (as described in Acceleration Effect in the Theory Reference for ANSYS and ANSYS Workbench). An exception exists, however, involving a nonlinear transient analysis using elements MASS21, BEAM188, and BEAM189; in this case, the inertia effect due to rotation applied via an IC command (or a D command over an incremental time) is included without having to issue CORIOLIS and OMEGA or CMOMEGA commands.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 8. Rotating Structure Analysis 		Up / Home Next
8.2. Using a Stationary Reference Frame


8.2. Using a Stationary Reference Frame

The primary application for a stationary (rather than a rotating) frame of reference is in the field of rotordynamics where a rotating structure (rotor) is modeled along with a stationary support structure. Examples of such an application include a gas turbine engine rotor-stator assembly or an electric turbo generator, where the rotor spins inside a specially designed housing.

The rotating part of the structure to be modeled must be axisymmetric. The gyroscopic damping matrix generated is valid only for a linear analysis.

ANSYS computes the displacement field with respect to the global coordinate system (CORIOLIS,Option = ON,,,RefFrame = ON), referred to as the stationary reference frame.

Elements Supported

Elements that are part of the rotating structure generate the gyroscopic matrix that arises due to the rotational angular velocity. The gyroscopic matrix is available for the following elements: BEAM4, PIPE16, MASS21, SOLID45, SOLID95, SOLID185, SOLID186, SOLID187, BEAM188, and BEAM189.

For a beam element, the angular velocity vector is aligned along the length and the point mass is aligned along one of the principal axes. The rotating structure must be axisymmetric about the spin axis.

Analysis Types Supported

The following analysis types support rotating structure analysis using a stationary reference frame:

  • Modal (ANTYPE,MODAL)

  • Transient (ANTYPE,TRANS)

  • Harmonic (ANTYPE,HARMIC) --

For transient and harmonic analyses, the full (TRNOPT,FULL) and mode-superposition (TRNOPT,MSUP) methods are supported. For the mode-superposition method, only the QR Damp mode-extraction method (MODOPT,QRDAMP) is supported.

To include unbalance or general asynchronous rotating forces in a harmonic analysis, use the SYNCHRO command.

For a transient analysis involving a rotating structure with a stationary reference frame, support for a start or stop simulation is available. Issue the KBC command to ramp the rotational velocity.

For a prestressed analysis that includes gyroscopic effects, issue the CORIOLIS, ON,,,ON command in the static prestress portion of the analysis.

Postprocessing

Besides general results, the following specific outputs are available:

  • Campbell diagram (PRCAMP and PLCAMP) see 8.2.1

    Note

    For a prestressed structure, set the Campbell key (CAMPBELL,ON) in the first solution pass. Doing so allows a Campbell diagram analysis.

  • Orbits (PRORB and PLORB) see 8.2.3

  • Animation of the whirl (ANHARM)

8.2.1. Campbell Diagram

In a modal analysis with multiple load steps corresponding to different angular velocities ω, a Campbell diagram (PLCAMP or PRCAMP) shows the evolution of the natural frequencies.

ANSYS determines eigenfrequencies at each load step. The plot showing the variation of eigenfrequency with respect to rotational speed may not be readily apparent. For example, if the gyroscopic effect is significant on an eigenmode, its frequency tends to split so much that it crosses the other frequency curves as the speed increases. For more information, see Generating a Successful Campbell Diagram below.

Critical Speeds

The PRCAMP command also prints out the critical speeds for a rotating synchronous (unbalanced) or asynchronous force. The critical speeds correspond to the intersection points between frequency curves and the added line F=s.ω (where s represents SLOPE > 0 as specified via PRCAMP). Because the critical speeds are determined graphically, their accuracy depends upon the quality of the Campbell diagram.

To retrieve and store critical speeds as parameters, use the *GET command.

Whirls and Stability

As eigenfrequencies split with increasing spin velocity, ANSYS identifies forward (FW) and backward (BW) whirls, and unstable frequencies. To obtain more information to help you determine how a particular frequency becomes unstable, issue the PLCAMP or PRCAMP command and specify a stability value (STABVAL) of 1. You can also view the logarithmic decrements by specifying STABVAL = 2. For more information about complex eigenvalues and corresponding logarithmic decrements, see Damped Method in the Theory Reference for ANSYS and ANSYS Workbench.

To retrieve and store frequencies and whirls as parameters, use the *GET command.

Prestressed Structure

For a prestressed structure, set the Campbell key (CAMPBELL,ON) in the static solution portion of the analysis. Doing so modifies the result file so that it can accommodate a subsequent Campbell diagram analysis. In this case, static and modal solutions are calculated alternately and only the modal solutions are retained.

Generating a Successful Campbell Diagram

To help you obtain a good Campbell diagram plot or printout, the sorting option is active by default (PLCAMP,ON or PRCAMP,ON). ANSYS compares complex mode shapes and pairs similar mode shapes. (Because eigenmodes at zero velocity are real modes, ANSYS does not pair them with complex modes.)

If the plot is unsatisfactory even with sorting enabled, try the following:

  • Start the Campbell analysis with a non-zero rotational velocity.

    Modes at zero rotational velocity are real modes and may be difficult to pair with complex modes obtained at non-zero rotational velocity.

  • Increase the number of load steps.

    It helps if the mode shapes change significantly as the spin velocity increases.

  • Change the frequency window.

    To do so, use the shift option (PLCAMP,,,FREQB or PRCAMP,,,FREQB). It helps if some modes fall outside the default frequency window.

Overcoming Memory Problems

To run the Campbell analysis (PRCAMP or PLCAMP), the scratch memory needed may be important as complex mode shapes are read from the result file for two consecutive load steps. If your computer has insufficient scratch memory, try the following:

  • Decrease the number of extracted modes (MODOPT,,NMODE)

  • Generate the result file for a reduced set of selected nodes (for example, nodes on the axis of rotation). Issue OUTRES,ALL,NONE and then OUTRES,Item,Freq,Cname where Item=NSOL, Freq=ALL and Cname is the name of a node-based component.

    For the sorting process and whirl calculation to be successful, the set of selected nodes must represent the dynamics of the structure. In general, nodes on the spin axis contribute to the bending mode shapes that are needed in the Campbell analysis.

Example Analysis

For an example of a rotating structure analysis using a stationary reference frame, see Sample Campbell Diagram Analysis.

8.2.2. Harmonic Analysis for Unbalance or General Rotating Asynchronous Forces

Some forces may rotate synchronously (for example, unbalance) or asynchronously with the structure. In such cases, use the SYNCHRO command to update the amplitude of the rotational velocity vector with the frequency of excitation at each frequency step of the harmonic analysis.

Forces are defined as static (F), as shown in this example where X is the assumed spin axis:

Force | Real (VALUE) | Imaginary (VALUE2)
FY | F0cosα | -F0sinα
FZ | -F0sinα | -F0cosα

where:

F0 is the amplitude of the force. For unbalance, the amplitude is equal to the mass times the distance of the unbalance mass to the spin axis.

α is the phase of the force, needed only when several such forces, each with a different relative phase, are defined.

If the forces are caused by an unbalance mass, multiplication of the amplitude of the static forces (F) by the square of the spin velocity is unnecessary. ANSYS performs the calculation automatically at each frequency step.

Because the rotational velocity commands (OMEGA and CMOMEGA) define only the orientation of the spin axis, a harmonic analysis using the SYNCHRO command requires that you define the frequency of excitation (HARFRQ) instead. For example, if the frequency of excitation is f, then:

ω = 2πf/RATIO

where:

ω is the new magnitude of the rotational velocity vector used to calculate the gyroscopic matrices.

RATIO is the ratio between the frequency of excitation and the frequency of the rotational velocity of the structure, as specified via the SYNCHRO command. If no RATIO value is specified, an unbalance force is assumed; in all other cases, a general rotating force is assumed.

Example Analysis

For an example of a harmonic analysis for unbalance forces, see Sample Unbalance Harmonic Analysis.

8.2.3. Orbits

When a structure is rotating about an axis and undergoes vibration motion, the trajectory of a node executed around the axis is generally an ellipse designated as a whirl orbit.

In a local coordinate system xyz where x is the spin axis, the ellipse at node I is defined by semi-major axis A, semi-minor axis B, and phase ψ (PSI), as shown:

Angle φ (PHI) defines the initial position of the node (at t = 0). To compare the phases of two nodes of the structure, you can examine the sum ψ + φ.

Values YMAX and ZMAX are the maximum displacements along y and z axes, respectively.

You can print out the A, B, PSI, PHI, YMAX, and ZMAX values via a PRORB (print orbits) command. Angles are in degrees and within the range of -180 through +180. The position vector of local axis y in the global coordinate system is printed out along with the elliptical orbit characteristics. You can also animate the orbit (ANHARM) for further examination. For a typical usage example of these commands, see Sample Unbalance Harmonic Analysis.

To retrieve and store orbits characteristics as parameters, use the *GET command after issuing the PRORB command.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.1. Understanding Rotating Structure Dynamics 		Up / Home Next
8.3. Using a Rotating Reference Frame


8.3. Using a Rotating Reference Frame

The primary application for a rotating (rather than a stationary) frame of reference is in the field of flexible body dynamics where, generally, the structure has no stationary parts and the entire structure is rotating. Analyses of this type, therefore, consider only the Coriolis force.

ANSYS computes the displacement field with respect to the coordinate system attached to the structure and rotating with it at the specified angular velocity (CORIOLIS,Option = ON,,,RefFrame = OFF).

Elements Supported

The Coriolis matrix and forces are available for the following structural elements: MASS21, SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SOLSH190, and SHELL281. The Coriolis matrix and forces are also available for PLANE223, SOLID226, and SOLID227 coupled-field analyses with structural degrees of freedom.

Analysis Types Supported

The following analysis types support rotating structure analysis using a rotating reference frame:

  • Static (ANTYPE,STATIC)

    Inertia effects are forces computed by multiplying the Coriolis damping matrix by the velocity of the structure.

    If you issue the CORIOLIS command in a prestressed analysis, ANSYS does not take the Coriolis force into account in the static portion of the analysis.

    • In a large-deflection prestressed analysis (NLGEOM,ON and PSTRES,ON), ANSYS generates the Coriolis matrix and uses it in the subsequent prestressed modal, harmonic, or transient analysis.

    • In a small-deflection prestressed analysis (PSTRES,ON only), ANSYS does not generate the Coriolis matrix but still takes the Coriolis force into account in the subsequent prestressed modal, harmonic, or transient analysis.

  • Modal (ANTYPE,MODAL)

    Support is also available for prestressed modal analysis.

  • Transient (ANTYPE,TRANS)

  • Harmonic (ANTYPE,HARMIC)

Spin Softening

In a dynamic analysis, the Coriolis matrix and the spin-softening matrix contribute to the gyroscopic moment in the rotating reference frame; therefore, ANSYS includes the spin-softening effect by default in dynamic analyses whenever you apply the Coriolis effect in the rotating reference frame (CORIOLIS,ON).

If your analysis necessitates ignoring spin-softening effects, set the KSPIN = 0 option when issuing the OMEGA or CMOMEGA command to specify angular velocity.

Supercritical Spin Softening

As shown by equations (3-77) through (3-79) in the Theory Reference for ANSYS and ANSYS Workbench, the diagonal coefficients in the stiffness matrix become negative when the rotational velocity is larger than the resonant frequency.

In such cases, the solver may be unable to properly handle the negative definite stiffness matrix. Additional details follow:

  • In a static (ANTYPE,STATIC), a full transient (ANTYPE,TRANS with TRNOPT,FULL), or a full harmonic (ANTYPE,HARM with TRNOPT,FULL) analysis, the spin-softening effect is more accurately accounted for by large deflections (NLGEOM,ON). If the stiffness matrix becomes negative definite, ANSYS issues a warning message about the negative pivot.

  • In a modal analysis (ANTYPE,MODAL), apply a negative shift (MODOPT,,, FREQB) to extract the possible negative eigenfrequencies.

  • If negative frequencies exist, mode-superposition transient and harmonic analyses are not supported .

Campbell Diagram

Because natural frequencies are subject to sudden changes around critical speeds in a rotating frame, ANSYS recommends using a stationary reference frame to create a Campbell diagram (PRCAMP or PLCAMP).

Example Analysis

For examples of a rotating structure analysis using a rotating reference frame, see Sample Coriolis Analysis in this guide and Sample Piezoelectric Analysis with Coriolis Effect in the Coupled-Field Analysis Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.2. Using a Stationary Reference Frame 		Up / Home Next
8.4. Choosing the Appropriate Reference Frame Option


8.4. Choosing the Appropriate Reference Frame Option

The rotating and stationary reference frame approaches have their benefits and limitations. Use this table to choose the best option for your application:

Reference Frame Considerations
Stationary Reference Frame | Rotating Reference Frame
Not applicable to a static analysis (ANTYPE,STATIC). | In a static analysis, a Coriolis force vector is given by where [image] represents the nodal velocity vector (specified via the IC command).
You can generate Campbell plots for computing rotor critical speeds. | Campbell plots are not applicable for computing rotor critical speeds.
Structure must be axisymmetric about the spin axis. | Structure need not be axisymmetric about the spin axis.
Rotating structure can be part of a stationary structure in an analysis model (such as a gas turbine engine rotor-stator assembly). The stationary structure and supports (such as bearings) need not be axisymmetric. | Rotating structure must be the only part of an analysis model (such as a gas turbine engine rotor).
Supports more than one rotating structure spinning at different rotational speeds about different axes of rotation (such as a multi-spool gas turbine engine). | Supports only a single rotating structure (such as a single-spool gas turbine engine).
Supported in these elements: BEAM4, PIPE16, MASS21, SOLID45, SOLID95, SOLID185, SOLID186, SOLID187, BEAM188, and BEAM189. | Supported in these elements: MASS21, SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SOLSH190, and SHELL281.

Natural Frequencies

Natural frequencies differ according to the reference frame type. In most cases, natural frequencies are known in a stationary reference frame through analytical expressions or experiment, for example. ANSYS therefore recommends using the stationary reference frame for modal analyses.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.3. Using a Rotating Reference Frame 		Up / Home Next
8.5. Sample Campbell Diagram Analysis


8.5. Sample Campbell Diagram Analysis

Following is a modal analysis of a rotating structure using a stationary reference frame. The analysis generates a Campbell diagram (PLCAMP).

8.5.1. Problem Description

The model is a simply supported beam spinning at up to 30,000 rd/s.

8.5.2. Problem Specifications

The geometric properties for this analysis are as follows:

Length: 8m
Diameter: 0.2m

The material properties for this analysis are as follows:

Young's modulus (E) = 2e+11 N/m2
Poisson's ratio (υ) = 0.3
Density = 7800 kg/m3

8.5.3. Input for the Analysis

Use this input file to perform the example modal analysis of a rotating structure using a stationary reference frame.

/batch,list
/title, Spinning simply supported beam
!* Parameters
lx=8			! length
dia=0.2	! diameter
!*
/PREP7
ET,1,16
R,1, dia, dia/2
MP,EX,1,2e+11
MP,DENS,1,7800
MP,PRXY,1,0.3
n,1
n,9,lx
fill,1,9
e,1,2
egen,8,1,-1
d,1,uy,,, ,,uz      ! simply supported left end
d,9,uy,,, ,,uz      ! simply supported right end
d,all,ux            ! supress axial motion
d,all,rotx          ! supress torsion
finish
!*
/SOLU
antype,modal
!
! Use the QRDAMP eigensolver, request 8 modes,
!   and specify complex eigensolutions
modopt,qrdamp,8,,,on
!
! Apply Coriolis effect and specify
!   stationary reference frame
coriolis,on,,,on
!
omega,0.
mxpand,8
solve
omega,30000.
mxpand,8
solve
finish
!*
/POST1
! Plot Campbell Diagram
plcamp,on
finish

8.5.4. Analysis Steps

The following table describes the input listing and the general process involved in the example analysis in more detail:

Step | Description | ANSYS Command(s)
1. | Set parameters. | lx=8 dia=0.2
2. | Define nodes, elements, and material properties. | ET,… R,… MP,... N,… E,…
3. | Set boundary conditions. | D,...
4. | Set the analysis type (modal in this case). Use the QRDAMP eigensolver, request 8 modes, and specify complex eigensolutions. | ANTYPE,MODAL MODOPT,QRDAMP,8,,,ON
5. | Include the Coriolis effect in a stationary reference frame. | CORIOLIS,ON,,,ON
6. | For each load step, define the rotation velocity, the number of modes expanded, and then solve. | OMEGA,… MXPAND,… SOLVE
7. | Plot the Campbell diagram. | PLCAMP

The results of your analysis should be similar to those shown here:

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.4. Choosing the Appropriate Reference Frame Option 		Up / Home Next
8.6. Sample Coriolis Analysis


8.6. Sample Coriolis Analysis

Following is an example modal analysis with Coriolis force applied (CORIOLIS) in a rotating reference frame.

8.6.1. Problem Description

The model is a thick cylindrical shell rotating about its center axis at an angular velocity ω = 50 Hz.

8.6.2. Problem Specifications

The geometric properties for this analysis are as follows:

Length: 0.254m
Radius: 0.09525m
Thickness: 0.0381m.

The material properties for this analysis are as follows:

Young's modulus (E) = 2.07 x 1011 N/m2
Poisson's ratio (υ) = 0.28
Density = 7.86 x 103 Kg/m3

8.6.3. Input for the Analysis

Use this input file to perform the example modal analysis of a rotating structure using a rotating reference frame.

/batch,list
/PREP7
!*
et,1,185
keyopt,1,2,2
mp,ex,1,2.07e11
mp,nuxy,1,0.28
mp,dens,1,7860
!* Parameters
thick1 = 0.03810
thick  = thick1
hthick = thick/2.0
radius = 0.09525
inradius = radius - hthick
outradius = radius + hthick
length = 0.254
!*
cylind,inradius,outradius,0,length,0,90
cylind,inradius,outradius,0,length,90,180
cylind,inradius,outradius,0,length,180,270
cylind,inradius,outradius,0,length,270,360
nummrg,kp
esize,thick
vmesh,all
nsel,all
finish
!*
/SOLU
antype,modal
modopt,qrdamp,20
omega,0,0,314.16,1
!
! Apply Coriolis effect and use default
!   rotating reference frame
coriolis,on
!
solve
finish

8.6.4. Analysis Steps

The following table describes the input listing and the general process involved in the example analysis in more detail.

Step | Description | ANSYS Command(s)
1. | Define elements and material properties. | ET,… MP,…
2. | Set parameters. | thick1 = 0.03810 thick = thick1 hthick = thick/2.0 radius = 0.09525 inradius = radius - hthick outradius = radius + hthick length = 0.254
3. | Set boundary conditions. | CYLIND,... NUMMRG,... ESIZE,... VMESH,... NSEL,...
4. | Set the analysis type (modal in this case) and use the QRDAMP eigensolver. Get 20 complex eigensolutions. | ANTYPE,MODAL MODOPT,QRDAMP,20
6. | Define the angular rotation velocity and the number of modes expanded. | OMEGA,… MXPAND,…
5. | Include the Coriolis effect in a rotating reference frame. | CORIOLIS,ON
7. | Solve. | SOLVE

The non-zero complex frequencies should match the following:

                      With Coriolis    Without Coriolis
                      Effect Applied   Effect Applied
----------------------------------------------------------
  0.0000000           2661.9384        2700.8924        j
  0.0000000           2740.4150        2700.8924        j
  0.0000000           3043.0948        3078.1392        j
  0.0000000           3113.5872        3078.1392        j
  0.0000000           6342.7190        6362.7716        j
  0.0000000           6365.8292        6362.7716        j
  0.0000000           6382.8876        6366.7082        j
  0.0000000           6593.8155        6626.0560        j
  0.0000000           6658.4573        6626.0560        j
  0.0000000           7183.0372        7216.0329        j

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.5. Sample Campbell Diagram Analysis 		Up / Home Next
8.7. Sample Unbalance Harmonic Analysis


8.7. Sample Unbalance Harmonic Analysis

Following is an example harmonic analysis with unbalance force. It illustrates the use of the SYNCHRO command and the following postprocessing capabilities:

  • Orbits plotting (PLORB)

  • Whirl animation (ANHARM)

8.7.1. Problem Description

The structure is a two-spool rotor on symmetric bearings. Both spools have two rigid disks. The inner spool rotates at up to 14,000 RPM and the outer spool rotates 1.5 times faster.

Disks are not visible in the plot because they are MASS21 elements.

8.7.2. Problem Specifications

The unbalance is located on the second disk of the inner spool and harmonic response is calculated.

Outputs are as follows:

  • Amplitude at nodes 7 and 12 as a function of the frequency

  • Orbit plot at a given frequency

  • Animation of the whirl at a given frequency

8.7.3. Input for the Analysis

Use this input file to perform the example unbalance harmonic analysis of rotating structure using a stationary reference frame.

/batch,list
/title, twin spools - unbalance (inner spool) response
/PREP7
mp,EX  ,1,2.1e+11
mp,DENS,1,7800
mp,PRXY,1,0.3
! shaft
et,1,188,,,2
sectype,1,beam,csolid
secdata,0.01524,32
sectype,2,beam,ctube
secdata,0.0254,0.03048,32
! disks
et,2,21
r,3,10.51,10.51,10.51,8.59e-2,4.295e-2,4.295e-2
r,4,7.01 ,7.01 ,7.01 ,4.29e-2,2.145e-2,2.145e-2
r,5,3.5  ,3.5  ,3.5  ,2.71e-2,1.355e-2,1.355e-2
r,6,7.01 ,7.01 ,7.01 ,6.78e-2,3.390e-2,3.390e-2
! bearings
et,3,214,,1
r,7 ,2.63e+7 ,2.63e+7
r,8 ,1.75e+7 ,1.75e+7
r,9 ,0.875e+7,0.875e+7
r,10,1.75e+7 ,1.75e+7
! nodes
n,1
n,2 ,0.0762
n,3 ,0.1524
n,4 ,0.2413
n,5 ,0.32385
n,6 ,0.4064
n,7 ,0.4572
n,8 ,0.508
n,9 ,0.1524
n,10,0.2032
n,11,0.2794
n,12,0.3556
n,13,0.4064
! bearings second nodes
n,101,      ,0.05
n,108,0.508 ,0.05
n,109,0.1524,0.05
! components elements
type,1
secn,1
e,1,2
egen,7,1,1
type,2
real,3
e,2
real,6
e,7
cm,inSpool,elem
type,1
secn,2
e,9,10
egen,4,1,10
type,2
real,4
e,10
real,5
e,12
esel,u,,,inSpool
cm,outSpool,elem
allsel
! bearings
type,3
real,7
e,1,101
real,8
e,9,109
real,9
e,6,13
real,10
e,8,108
! boundary conditions
d,all,ux,,,,,rotx
d,101,all
d,108,all
d,109,all
! unbalance forces (eccentric mass * radius)
f0 = 70e-6
f,7,fy,f0
f,7,fz,,-f0
fini
/SOLU
antype,harmic
synchro,,inSpool
nsubst,500
harfrq,,14000/60  ! implicitly defines OMEGA for Coriolis calculation
kbc,1
dmprat,0.01
cmomega,inSpool,100.
cmomega,outSpool,150.
coriolis,on,,,on
solve
fini
! output: amplitude at nodes 7 and 12 as a function of the frequency
/POST26
nsol,2,7,U,Y,UY
nsol,3,7,U,Z,UZ
realvar,4,2,,,UYR
realvar,5,3,,,UZR
prod,6,4,4,,UYR_2
prod,7,5,5,,UZR_2
add,8,6,7,,UYR_2+UZR_2
sqrt,9,8,,,AMPL7
!
nsol,2,12,U,Y,UY
nsol,3,12,U,Z,UZ
realvar,4,2,,,UYR
realvar,5,3,,,UZR
prod,6,4,4,,UYR_2
prod,7,5,5,,UZR_2
add,8,6,7,,UYR_2+UZR_2
sqrt,10,8,,,AMPL12
!
/gropt,logy,1
/yrange,1.e-7,1.e-3
plvar,9,10
fini
! output: orbit plot at the given frequency
/POST1
set,1,262
/view,,1,1,1
plorb
! output: animation of the whirl at the given frequency
/eshape,1
/gline,,-1
plnsol,u,sum
anharm

8.7.4. Analysis Steps

The following table describes the input listing and the general process involved in the example analysis in more detail.

Step Description ANSYS Command(s)
1.

Define material properties.

MP,EX,1,2.1e+11

MP,DENS,1,7800

MP,PRXY,1,0.3

2.

Define element types, sections, real and nodes.

ET,…

SECTYPE,…

SECDATA,…

R,…

N,…

3.

Define first component named inSpool.

TYPE,1

SECNUM,1

E,1,2

EGEN,7,1,1

TYPE,2

REAL,3

E,2

REAL,6

E,7

CM,inSpool,ELEM

4.

Define second component named outSpool.

TYPE,1

SECNUM,2

E,9,10

EGEN,4,1,10

TYPE,2

REAL,4

E,10

REAL,5

E,12

ESEL,u,,,inSpool

CM,outSpool,ELEM

ALLSEL

6.

Define bearing elements.

TYPE,3

REAL,7

E,1,101

REAL,8

E,9,109

REAL,9

E,6,13

REAL,10

E,8,108

5.

Set boundary conditions.

D,...

7.

Define the unbalance forces (eccentric mass * radius) at node 7.

f0 = 70e-6

F,7,FY,f0

F,7,FZ,,-f0

8.

Set the solution options.

  • Harmonic analysis

  • Unbalance on component inSpool

  • 500 substeps

  • Frequency at end of range is 14000/60 Hz

  • Step loading

  • Damping ratio is 1%

  • Rotational velocity of component inSpool

  • Rotational velocity of component outSpool

  • Coriolis force in stationary reference frame

Note

The rotational velocities (CMOMEGA) are not applied in the usual way. Rather, ANSYS considers only their direction cosines and the velocity ratio between spools. For more information, see the documentation for the SYNCHRO command.

ANTYPE,HARMIC

SYNCHRO,,inSpool

NSUBST,500

HARFRQ,,14000/60

KBC,1

DMPRAT,0.01

CMOMEGA,inSpool,100.

CMOMEGA,outSpool,150.

CORIOLIS,ON,,,ON

SOLVE

9.

First output (in POST26).

  • The maximum amplitude of the displacement of nodes 7 (AMPL7) is calculated in variable 9.

  • The maximum amplitude of the displacement of nodes 12 (AMPL12) is calculated in variable 10.

  • Set logY scale.

  • Set a specific scale range in Y.

  • Plot variables 9 and 10.

/POST26

NSOL,2,7,U,Y,UY

NSOL,3,7,U,Z,UZ

REALVAR,4,2,,,UYR

REALVAR,5,3,,,UZR

PROD,6,4,4,,UYR_2

PROD,7,5,5,,UZR_2

ADD,8,6,7,,UYR_2+UZR_2

SQRT,9,8,,,AMPL7

!

NSOL,2,12,U,Y,UY

NSOL,3,12,U,Z,UZ

REALVAR,4,2,,,UYR

REALVAR,5,3,,,UZR

PROD,6,4,4,,UYR_2

PROD,7,5,5,,UZR_2

ADD,8,6,7,,UYR_2+UZR_2

SQRT,10,8,,,AMPL12

!

/GROPT,LOGY,1

/YRANGE,1.e-7,1.e-3

PLVAR,9,10

10.

Second output (in POST1).

  • Read load step 1 and substep 262 from results file.

  • Change the view.

  • Plot the orbits at each rotating node.

/POST1

SET,1,262

/VIEW,,1,1,1

PLORB

11.

Third output.

  • Display takes dimensions into account.

  • No element outline.

  • Display the displacements as contours.

  • Animate the displays (defined by the last set command and last display command).

/ESHAPE,1

/GLINE,,-1

PLNSOL,U,SUM

ANHARM

The outputs of your analysis should match those shown here:

You can obtain the two critical frequencies (at which the amplitudes are largest) via PRCAMP with SLOPE = 1.0.

Orbits are represented in different colors. Orbits from the inner spool appear in sky blue, and from the outer spool in purple. Spool lines appear in dark blue.

The following demo is presented as an animated GIF. Please view online if you are reading the PDF version of the help. Interface names and other components shown in the demo may differ from those in the released product.

The animation of the whirls shown here is the third output resulting from the sample harmonic analysis with unbalance.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.6. Sample Coriolis Analysis 		Up / Home Next
Chapter 9. Submodeling


Chapter 9. Submodeling

Submodeling is a finite element technique that you can use to obtain more accurate results in a particular region of a model. A finite element mesh may be too coarse to produce satisfactory results in a given region of interest. The results away from this region, however, may be satisfactory.

Reanalyzing the entire model using a greater mesh refinement in order to obtain more accurate results in one particular region is time-consuming and costly. Instead, you can use submodeling to generate an independent, more finely meshed model of only the region (submodel) of interest and then analyze it.

The following submodeling topics are available:

  • Understanding Submodeling
  • Employing Submodeling
  • Sample Analysis Input
  • Shell-to-Solid Submodels
  • Where to Find Examples

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.7. Sample Unbalance Harmonic Analysis 		Up / Home Next
9.1. Understanding Submodeling


9.1. Understanding Submodeling

In finite element analysis, the finite element mesh is sometimes too coarse to produce satisfactory results in a specific region of interest, such as a stress concentration region in a stress analysis as shown in Figure 9.1: "Submodeling of a Pulley". The figure illustrates how to deal with the problem by using submodeling to create a finer mesh on the region (submodel) of interest.

Figure 9.1 Submodeling of a Pulley

Submodeling of a pulley hub and spokes: (a) coarsely meshed model, and (b) finely meshed submodel (shown superimposed over coarse model)

Submodeling is also known as the cut-boundary displacement method or the specified boundary displacement method. The cut boundary is the boundary of the submodel which represents a cut through the coarse model. Displacements calculated on the cut boundary of the coarse model are specified as boundary conditions for the submodel.

Submodeling is based on St. Venant's principle, which states that if an actual distribution of forces is replaced by a statically equivalent system, the distribution of stress and strain is altered only near the regions of load application. The principle implies that stress concentration effects are localized around the concentration; therefore, if the boundaries of the submodel are far enough away from the stress concentration, reasonably accurate results can be calculated in the submodel.

The ANSYS program does not restrict submodeling to structural (stress) analyses only. Submodeling can be used effectively in other disciplines as well. For example, in a magnetic field analysis, you can use submodeling to calculate more accurate magnetic forces in a region of interest.

Aside from the obvious benefit of giving you more accurate results in a region of your model, the submodeling technique has other advantages:

  • It reduces, or even eliminates, the need for complicated transition regions in solid finite element models.

  • It enables you to experiment with different designs for the region of interest (different fillet radii, for example).

  • It helps you in demonstrating the adequacy of mesh refinements.

Some restrictions for the use of submodeling are:

  • It is valid only for solid elements and shell elements.

  • The principle behind submodeling assumes that the cut boundaries are far enough away from the stress concentration region. You must verify that this assumption is adequately satisfied.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 9. Submodeling 		Up / Home Next
9.2. Employing Submodeling


9.2. Employing Submodeling

The process for using submodeling is as follows:

  1. Create and analyze the coarse model.

  2. Create the submodel.

  3. Perform cut boundary interpolation.

  4. Analyze the submodel.

  5. Verify that the distance between the cut boundaries and the stress concentration is adequate.

The steps are explained in detail next.

9.2.1. Create and Analyze the Coarse Model

The first step is to model the entire structure and analyze it.

Note

To easily identify this initial model, we will refer to it as the coarse model. This does not mean that the mesh refinement has to be coarse, only that it is relatively coarse compared to the submodel.

The analysis type may be static (steady-state) or transient and follows the same procedure as described in the individual analysis guides. Some additional points to keep in mind are listed below.

Jobname - You should use different jobnames for the coarse model and the submodel. This way, you can keep files from being overwritten. Also, you can easily refer to files from the coarse model during cut boundary interpolation. To specify a jobname, use one of these methods:

Command(s): | /FILNAME
GUI: | Utility Menu> File> Change Jobname

Element Types -- Only solid and shell elements support the submodeling technique. Your analysis may include other element types (such as beams added as stiffeners), but the cut boundary should only pass through the solids or shells.

A special submodeling technique called shell-to-solid submodeling allows you to build your coarse model with shell elements and your submodel with 3-D solid elements. This technique is discussed in Shell-to-Solid Submodels.

Modeling -- In many cases, the coarse model need not include local details such as fillet radii, as shown in the following figure. However, the finite element mesh must be fine enough to produce a reasonably accurate degree of freedom solution. This is important because the results of the submodel are almost entirely based on interpolated degree of freedom results at the cut boundary.

Figure 9.2 Coarse Model

Initial, coarse model may not need to include many details

Files - Both the results file (Jobname.RST, Jobname.RMG, etc.) and the database file (Jobname.DB, containing the model geometry) are required from the coarse-model analysis. Be sure to save the database before going on to create the submodel. To save the database, use one of these methods:

Command(s): | SAVE
GUI: | Utility Menu> File> Save as Utility Menu> File> Save as Jobname.db

9.2.2. Create the Submodel

The submodel is completely independent of the coarse model. Therefore, the first step after the initial analysis is to clear the database at the Begin level. (Another way is to leave and re-enter the ANSYS program.) To clear the database at the Begin level, use one of these methods:

Command(s): | /CLEAR
GUI: | Utility Menu> File> Clear & Start New

Also, be sure to use a different jobname for the submodel so that the coarse-model files are not overwritten. To specify a jobname, use one of these methods:

Command(s): | /FILNAME
GUI: | Utility Menu> File> Change Jobname

Then enter PREP7 and build the submodel. Some points to remember are:

  • Use the same element type (solid or shell) that was used in the coarse model. Also, specify the same element real constants (such as shell thickness) and material properties. (Another type of submodeling - shell-to-solid submodeling - allows you to switch from shell elements in the coarse model to 3-D solid elements in the submodel; see Figure 9.9: "3-D Solid Submodel Superimposed on Coarse Shell Model".)

  • The location of the submodel (with respect to the global origin) must be the same as the corresponding portion of the coarse model, as shown in Figure 9.3: "Submodel Superimposed Over Coarse Model".

    Figure 9.3 Submodel Superimposed Over Coarse Model

  • Specify appropriate node rotations. Node rotation angles on cut boundary nodes should not be changed after they have been written to the node file in interpolation step 1 (see Perform Cut-Boundary Interpolation). To specify node rotations, use one of these methods:

    Command(s): NROTAT
    GUI: Main Menu> Preprocessor> Modeling> Create> Nodes> Rotate Node CS> To Active CS
    Main Menu> Preprocessor> Modeling> Move/Modify> Rotate Node CS> To Active CS

Be aware that node rotation angles might be changed by application of nodal constraints [DSYM], by transfer of line constraints [SFL], or by transfer of area constraints [SFA], as well as by more obvious methods [NROTAT and NMODIF].

The presence or absence of node rotation angles in the coarse model has no effect upon the submodel.

Loads and boundary conditions for the submodel will be covered in the next two steps.

9.2.3. Perform Cut-Boundary Interpolation

This is the key step in submodeling. You identify the nodes along the cut boundaries, and the ANSYS program calculates the DOF values (displacements, potentials, etc.) at those nodes by interpolating results from the full (coarse) model. For each node of the submodel along the cut boundary, the ANSYS program uses the appropriate element from the coarse mesh to determine the DOF values. These values are then interpolated onto the cut boundary nodes using the element shape functions.

The following tasks are involved in performing the cut boundary interpolation:

  1. Identify and write the cut-boundary nodes of the submodel to a file (Jobname.NODE by default). You can do this in PREP7 by selecting nodes along the cut boundaries and then using one of these methods to write the nodes to a file:

    Command(s): NWRITE
    GUI: Main Menu> Preprocessor> Modeling> Create> Nodes> Write Node File

    Here is an example of issuing the NWRITE command:

    NSEL,...          ! Select nodes along cut boundaries
NWRITE            ! Writes all selected nodes to Jobname.NODE

    Figure 9.4 Cut Boundaries on the Submodel

    At this point, it is worthwhile to discuss temperature interpolation. In an analysis with temperature-dependent material properties, or in a thermal-stress analysis, the temperature distribution must be the same between the coarse model and the submodel. For such cases, you must also interpolate the temperatures from the coarse model to all nodes in the submodel. To do this, select all submodel nodes and write them to a different file using NWRITE,Filename,Ext. Be sure to specify a file name; otherwise, your file of cut boundary nodes will be overwritten! Step 7 shows the command to do temperature interpolation.

  2. Restore the full set of nodes, write the database to Jobname.DB, and leave PREP7. You must write the database to Jobname.DB because you need to continue with the submodel later.

    To restore the full set of nodes, use one of these methods:

    Command(s): ALLSEL
    GUI: Utility Menu> Select> Everything

    To write the database to Jobname.DB, use one of these methods:

    Command(s): SAVE
    GUI: Utility Menu> File> Save as Jobname.db

  3. To do the cut boundary interpolation (and the temperature interpolation), the database must contain the geometry for the coarse model. Therefore, you must resume the database using one of the methods shown below, making sure to identify the name of the coarse-model database file:

    Command(s): RESUME
    GUI: Utility Menu> File> Resume from

    For example, if the jobname for the coarse-model analysis was COARSE, issue the command RESUME,COARSE,DB.

  4. Enter POST1, which is the general postprocessor (/POST1 or menu path Main Menu> General Postproc). Interpolation can only be performed in POST1.

  5. Point to the coarse results file (FILE or menu path Main Menu> General Postproc> Data & File Opts).

  6. Read in the desired set of data from the results file (SET or menu path Main Menu> General Postproc> Read Results> option).

  7. Initiate cut-boundary interpolation. To do so, use one of these methods:

    Command(s): CBDOF
    GUI: Main Menu> General Postproc> Submodeling> Interpolate DOF

    By default, the CBDOF command assumes that the cut boundary nodes are on file Jobname.NODE. The ANSYS program will then calculate the cut boundary DOF values and write them in the form of D commands to the file Jobname.CBDO.

    To do temperature interpolation, use one of these methods, being sure to identify the name of the file containing all submodel nodes:

    Command(s): BFINT
    GUI: Main Menu> General Postproc> Submodeling> Interp Body Forc

    Interpolated temperatures are written in the form of BF commands to the file Jobname.BFIN.

    Note

    If real and imaginary data are involved, steps 6 and 7 will need to be done twice. First issue the SET command to get the real data, followed by the interpolation step [CBDOF and/or BFINT]. Then issue the SET command with the field set to 1 to get the imaginary data, and repeat the interpolation step, this time writing the interpolated imaginary data to a different file.

  8. All interpolation work is now done, so leave POST1 [FINISH] and restore the submodel database (RESUME or menu path Utility Menu> File> Resume from). (Be sure to use the submodel database jobname.)

9.2.4. Analyze the Submodel

In this step, you define the analysis type and analysis options, apply the interpolated DOF values (and temperatures), define other loads and boundary conditions, specify load step options, and obtain the submodel solution.

The first step is to enter SOLUTION (/SOLU or menu path Main Menu> Solution).

Then define the appropriate analysis type (usually static) and analysis options.

To apply the cut boundary DOF constraints, simply read in the file of D commands (created by CBDOF) using one of these methods (for example, /INPUT,,CBDO):

Command(s): | /INPUT
GUI: | Utility Menu> File> Read Input from

Similarly, to apply the interpolated temperatures, read in the file of BF commands (created by BFINT) using one of these methods (for example, /INPUT,,BFIN):

Command(s): | /INPUT
GUI: | Utility Menu> File> Read Input from

If real and imaginary data are involved, first read in the file(s) containing the real data, specify whether DOF constraint values and/or nodal body force loads are to be accumulated, and then read in the file containing the imaginary data.

Specify that DOF constraint values are to be accumulated:

Command(s): | DCUM,ADD
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Settings> Replace vs Add> Constraints Main Menu> Solution> Define Loads> Settings> Replace vs Add> Constraints

Specify that nodal body force loads are to be accumulated:

Command(s): | BFCUM,,ADD
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Settings> Replace vs Add> Nodal Body Ld Main Menu> Solution> Define Loads> Settings> Replace vs Add> Nodal Body Ld

Be sure to reset the DCUM and BFCUM commands to their default status before proceeding.

It is important that you duplicate on the submodel any other loads and boundary conditions that existed on the coarse model. Examples are symmetry boundary conditions, surface loads, inertia forces (such as gravity), concentrated force loads, etc. (see Figure 9.5: "Loads on the Submodel").

Then specify load step options (such as output controls) and initiate solution calculations using one of these methods:

Command(s): | SOLVE
GUI: | Main Menu> Solution> Solve> Current LS Main Menu> Solution> Run FLOTRAN

After the solution is obtained, leave SOLUTION [FINISH].

The overall data flow for submodeling (without temperature interpolation) is shown in Figure 9.6: "Data Flow Diagram for Submodeling (Without Temperature Interpolation)".

Figure 9.5 Loads on the Submodel

Figure 9.6 Data Flow Diagram for Submodeling (Without Temperature Interpolation)

9.2.5. Verify the Distance Between the Cut Boundaries and the Stress Concentration

The final step is to verify that the cut boundaries of the submodel are far enough away from the concentration. You can do this by comparing results (stresses, magnetic flux density, etc.) along the cut boundaries with those along the corresponding locations of the coarse model. If the results are in good agreement, it indicates that proper cut boundaries have been chosen. Otherwise, you will need to recreate and reanalyze the submodel with different cut boundaries further away from the region of interest.

An effective way to compare results is to obtain contour displays and path plots, as shown in Figure 9.7: "Contour Plots to Compare Results" and Figure 9.8: "Path Plots to Compare Results".

Figure 9.7 Contour Plots to Compare Results

Figure 9.8 Path Plots to Compare Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.1. Understanding Submodeling 		Up / Home Next
9.3. Sample Analysis Input


9.3. Sample Analysis Input

A sample input listing for a submodeling analysis is shown below:

!  Start with coarse model analysis:
/FILNAME,coarse       ! Jobname = coarse
/PREP7                ! Enter PREP7
...
...                   ! Generate coarse model
...
FINISH
/SOLU                 ! Enter SOLUTION
ANTYPE,...            ! Analysis type and analysis options
...
D,...                 ! Loads and load step options
DSYMM,...
ACEL,...
...
SAVE                  ! Coarse model database file coarse.db
SOLVE                 ! Coarse model solution
                      ! Results are on coarse.rst (or rmg, etc.)
FINISH
!  Create submodel:
/CLEAR                ! Clear the database (or exit ANSYS and re-enter)
/FILNAME,submod       ! New jobname = submod
/PREP7                ! Re-enter PREP7
...
...                   ! Generate submodel
...
!  Perform cut boundary interpolation:
NSEL,...              ! Select nodes on cut boundaries
NWRITE                ! Write those nodes to submod.node
ALLSEL                ! Restore full sets of all entities
NWRITE,temps,node     ! Write all nodes to temps.node (for
                      !   temperature interpolation)
SAVE                  ! Submodel database file submod.db
FINISH
RESUME,coarse,db      ! Resume coarse model database (coarse.db)
/POST1                ! Enter POST1
FILE,coarse,rst       ! Use coarse model results file
SET,...               ! Read in desired results data
CBDOF                 ! Reads cut boundary nodes from submod.node and
                      !   writes D commands to submod.cbdo
BFINT,temps,node      ! Reads all submodel nodes from temps.node and
                      !   writes BF commands to submod.bfin (for
                      !   temperature interpolation)
FINISH                ! End of interpolation
RESUME                ! Resume submodel database (submod.db)
/SOLU                 ! Enter SOLUTION
ANTYPE,...            ! Analysis type and options
...
/INPUT,submod,cbdo    ! Cut boundary DOF specifications
/INPUT,submod,bfin    ! Interpolated temperature specifications
DSYMM,...             ! Other loads and load step options
ACEL,...
...
SOLVE                 ! Submodel solution
FINISH
/POST1                ! Enter POST1
...
...                   ! Verify submodel results
...
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.2. Employing Submodeling 		Up / Home Next
9.4. Shell-to-Solid Submodels


9.4. Shell-to-Solid Submodels

In the shell-to-solid submodeling technique, the coarse model is a shell model, and the submodel is a 3-D solid model. A sample is shown in Figure 9.9: "3-D Solid Submodel Superimposed on Coarse Shell Model".

Figure 9.9 3-D Solid Submodel Superimposed on Coarse Shell Model

The procedure for shell-to-solid submodeling is essentially the same as that for solid-to-solid submodeling, with these exceptions:

  • Shell-to-solid submodeling is activated by setting KSHS to 1 on the CBDOF command (Main Menu> General Postproc> Submodeling> Interpolate DOF) and the BFINT command (Main Menu> General Postproc> Submodeling> Interp Body Forc). This feature is not applicable to offsets used with SHELL91 (KEYOPT(11) ≠ 0), SHELL99 (KEYOPT(11) ≠ 0), SHELL181 (SECOFFSET), or SHELL281 (SECOFFSET).

  • Cut boundaries on the submodel are the end planes that are normal to the shell plane (see Figure 9.10: "Node Rotations"). Nodes on these cut boundaries are written to the node file [NWRITE] (Main Menu> Preprocessor> Modeling> Create> Nodes> Write Node File).

  • To determine the DOF values at a cut boundary node [CBDOF], the program first projects the node onto the nearest element in the shell plane. The DOF values of this projected point are then calculated by interpolation and assigned to the corresponding node. Interpolated temperatures [BFINT] are calculated based on the average temperature at the midplane of the nearest shell element.

    Note

    The nodes on the cut boundary must lie within a distance of 0.75 times the average thickness of the nearest shell element, as shown in Figure 9.10: "Node Rotations". That is, the submodel should be approximately centered on the coarse model.

  • In a structural analysis, only translational displacements are calculated for the cut boundary nodes, but their values are based on both the translations and rotations of the projected point. Also, the node is rotated such that the nodal UY direction is always perpendicular to the shell plane, as shown in Figure 9.10: "Node Rotations". A UY constraint will be calculated only for nodes that are within 10% of the average shell element thickness from the shell plane. This prevents over-constraint of the submodel in the transverse direction.

    Figure 9.10 Node Rotations

    Node rotations: (a) before CBDOF command, (b) after CBDOF command

  • The .CBDO file written by the CBDOF command will consist of two blocks:

    • a block of NMODIF commands (indicating node rotation angles) and DDELE commands (to delete UY constraints)

    • a block of D commands (to apply the interpolated DOF values).

The two blocks are separated by a /EOF command and a :CBnn label (where nn is the cumulative iteration number of the results set used).

  • You must read in the .CBDO file in PREP7, because the NMODIF command is only valid in PREP7. To do so, enter the preprocessor, then use one of these methods:

    Command(s): /INPUT
    GUI: Utility Menu> File> Read Input from

Also, you will have to read in the .CBDO file twice, because the two blocks of commands are separated by a /EOF command. The second time you read in the file, use the LINE field on /INPUT ("Optional line number or label" in the GUI) to instruct the program to read the file starting with the :CBnn label, as shown below:

/PREP7! The .CBDO file must be read in PREP7
/INPUT,,cbdo        ! Reads Jobname.cbdo up to the /EOF command
/INPUT,,cbdo,,:cb1  ! Reads same file from the label :cb1

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.3. Sample Analysis Input 		Up / Home Next
9.5. Where to Find Examples


9.5. Where to Find Examples

The Verification Manual consists of test case analyses demonstrating the analysis capabilities of the ANSYS program. While these test cases demonstrate solutions to realistic analysis problems, the Verification Manual does not present them as step-by-step examples with lengthy data input instructions and printouts. However, most ANSYS users who have at least limited finite element experience should be able to fill in the missing details by reviewing each test case's finite element model and input data with accompanying comments.

The Verification Manual contains the following submodeling test case:

VM142 - Stress Concentration at a Hole in a Plate

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.4. Shell-to-Solid Submodels 		Up / Home Next
Chapter 10. Substructuring


Chapter 10. Substructuring

Substructuring is a procedure that condenses a group of finite elements into one element represented as a matrix. The single-matrix element is called a superelement. You can use a superelement in an analysis as you would any other ANSYS element type. The only difference is that you first create the superelement by performing a substructure generation analysis.

Substructuring is available in the ANSYS Multiphysics, the ANSYS Mechanical, and the ANSYS Structural products.

The following substructing topics are available:

  • Benefits of Substructuring
  • Using Substructuring
  • Sample Analysis Input
  • Top-Down Substructuring
  • Automatically Generating Superelements
  • Nested Superelements
  • Prestressed Substructures
  • Where to Find Examples

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.5. Where to Find Examples 		Up / Home Next
10.1. Benefits of Substructuring


10.1. Benefits of Substructuring

Substructuring reduces computer time and allows solution of very large problems with limited computer resources. Nonlinear analyses and analyses of structures containing repeated geometrical patterns are typical candidates for employing substructuring. In a nonlinear analysis, you can substructure the linear portion of the model so that the element matrices for that portion need not be recalculated at every equilibrium iteration. In a structure with repeated patterns (such as the four legs of a table), you can generate one superelement to represent the pattern and simply make copies of it at different locations, thereby saving a significant amount of computer time.

You can also use substructuring on models with large rotations. For these models, ANSYS assumes each substructure to rotate about its mass center. In 3-D cases, the substructures contain three rigid body rotations and three translational motions. With a large rotation model, you do not constrain the substructure until the use pass because each substructure is treated as a single finite element that should allow rigid body motions.

An example is an analysis that is too large for the computer in terms of wavefront size or disk space requirements. In such a situation, you can analyze the model in pieces, where each piece is a superelement small enough to fit on the computer.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 10. Substructuring 		Up / Home Next
10.2. Using Substructuring


10.2. Using Substructuring

A substructure analysis involves three distinct steps, called passes:

  1. Generation pass

  2. Use pass

  3. Expansion pass.

Figure 10.1: "Applicable Solvers in a Typical Substructuring Analysis" shows the data flow for a complete substructure analysis and some of the files involved.

Figure 10.1 Applicable Solvers in a Typical Substructuring Analysis

The three passes are explained in detail next.

Note

Perform each step while using the same version of ANSYS. Do not go from one version of ANSYS to another while performing these steps.

10.2.1. Generation Pass: Creating the Superelement

The generation pass is where you condense a group of "regular" finite elements into a single superelement. The condensation is done by identifying a set of master degrees of freedom, used mainly to define the interface between the superelement and other elements and to capture dynamic characteristics for dynamic analyses. Figure 10.2: "Example of a Substructuring Application" shows a plate-like structure that is to be analyzed with contact (interface) elements. Since the contact elements require an iterative solution, substructuring the plate portion can result in a significant savings in computer time. The master DOF required in this case are the degrees of freedom that connect the plate to the contact elements.

Figure 10.2 Example of a Substructuring Application

The procedure to generate a superelement consists of two main steps:

  1. Build the model.

  2. Apply loads and create the superelement matrices.

10.2.1.1. Building the Model

In this step, you specify the jobname and analysis title and then use /PREP7 to define the element types, element real constants, material properties, and the model geometry. These tasks are common to most analyses and are described in the Basic Analysis Guide. For the generation pass, you should keep in mind the following additional points:

Jobname-This takes on special significance in a substructure analysis. By using jobnames effectively, you can eliminate much of the file handling inherent in a three-pass analysis.

Use one of these methods to specify the jobname:

Command(s): | /FILNAME
GUI: | Utility Menu> File> Change Jobname

For example,

/FILNAME,GEN

gives the jobname GEN to all files produced by the generation pass. The default jobname is file or whatever name was specified while entering the ANSYS program.

Element Types - Most ANSYS element types can be used to generate a substructure. In general, the only restriction is that elements within the superelement are assumed to be linear and cannot use Lagrange multipliers. If you include bilinear elements, they will be treated as linear elements (in their initial state).

Caution

Coupled-field elements used in a direct method coupled-field analysis with load vector coupling are not valid in a substructure analysis. Other elements in the same shape family should be used instead. See the Coupled-Field Analysis Guide for details. In addition, elements with Lagrange multipliers cannot be used in substructuring. These type of elements include MPC184, CONTA171, CONTA172, CONTA173, CONTA174, CONTA175, CONTA176, CONTA177, and CONTA178 with appropriate KEYOPT(2) setting, and elements PLANE182, PLANE183, SOLID185, SOLID186, and SOLID187 when using KEYOPT(6) > 0.

Material Properties - Define all necessary material properties. For example, if the mass matrix is to be generated, density (DENS) (or mass in some form) must be defined; if the specific heat matrix is to be generated, the specific heat (C) must be defined; and so on. Again, because a superelement is linear, any nonlinear material properties will be ignored.

Model Generation - In the generation pass, you are mainly concerned with creating the superelement portion of the model. The nonsuperelement portion, if any, is defined later in the use pass. However, you should plan the modeling approach for both portions before you start building the model. In particular, decide on how you want to connect the superelement to the other elements. To ensure the connection, use the same node numbers at the interface. (Other methods requiring less effort on your part are discussed in the use pass section later in this chapter.)

Edge Outline - Adjust the edge outline used to plot the superelement in the use pass [/EDGE]. A smaller angle will produce more edges.

One approach might be to develop the entire model, save it on a named database file, and select only the portion to be substructured for the generation pass. In the use pass then, you can RESUME (Utility Menu> File> Resume from) from the named database file, unselect the portion that was substructured and replace it with the superelement matrix.

10.2.1.2. Applying Loads and Creating the Superelement Matrices

The "solution" from a substructure generation pass consists of the superelement matrix (or matrices). As with any other analysis, you define the analysis type and options, apply loads, specify load step options, and initiate the solution. Details of how to do these tasks are explained below.

Enter SOLUTION using either of these methods.

Command(s): | /SOLU
GUI: | Main Menu> Solution

Define the analysis type and analysis options. The applicable options are explained below.

Analysis Type - Choose a substructure generation using one of these methods:

Command(s): | ANTYPE
GUI: | Main Menu> Solution> Analysis Type> New Analysis

New analysis or restart - If you are starting a new analysis, choosing the analysis type (as described above) is all you need to do. However, if the run is a restart, you must also indicate this by setting STATUS = REST on the ANTYPE command (Main Menu> Solution> Analysis Type> Restart). A restart is applicable if you need to generate additional load vectors. (The files Jobname.EMAT, Jobname.ESAV, and Jobname.DB from the initial run must be available for the restart.)

Note

Restarting a substructuring analysis is valid only if the backsubstitution method is chosen. You cannot restart a run if the full resolve option is selected using the SEOPT command.

Name of the superelement matrix file - Specify the name (Sename) to be assigned to the superelement matrix file. The program will automatically assign the extension SUB, so the complete file name will be Sename.SUB. The default is to use the jobname [/FILNAME]. To specify the name of the superelement matrix file:

Command(s): | SEOPT
GUI: | Main Menu> Solution> Analysis Type> Analysis Options

Equation Solver to Use - Specify which equation solver to use (SPARSE (default) or FRONTAL) during the generation pass of the substructure analysis. To specify an equation solver:

Command(s): | EQSLV
GUI: | Main Menu> Solution> Analysis Type> Analysis Options

Matrices to be generated - You can request generation of just the stiffness matrix (or conductivity matrix, magnetic coefficient matrix, etc.); stiffness and mass matrices (or specific heat, etc.); or stiffness, mass, and damping matrices. The mass matrix is required if the use pass is a structural dynamic analysis or if you need to apply inertia loads in the use pass. For the thermal case, the specific heat matrix is required only if the use pass is a transient thermal analysis. Similar considerations apply to other disciplines and to the damping matrix. To make your request, use the SEOPT command as described above.

Matrices to be printed - This option allows you to print out the superelement matrices. You can request listing of both matrices and load vectors, or just the load vectors. The default is not to print any matrices. To print out the matrices, use the SEOPT command:

Expansion Pass Method - Allows you to select the expansion pass method you plan to use during subsequent expansion passes with this superelement. The backsubstitution method (default) saves the triangularized matrix files needed to perform a backsubstitution of the master DOF solution during the expansion pass. The full resolve method does not save any triangularized matrix files. Triangularized matrix files are Sename.tri for the frontal solver and Sename.LNxx for the sparse solver.

Note

Triangularized matrix files can become very large as the problem size increases, but are not needed if the full resolve method is chosen during the expansion pass.

During the expansion pass, the full resolve method reforms the elements used to create the superelement, reassembles the global stiffness matrix, and applies the master DOF solution as displacement boundary conditions internally.

Note

You cannot restart a substructure analysis with the full resolve expansion pass method chosen.

Mass matrix formulation - Applicable only if you want the mass matrix to be generated. You can choose between the default formulation (which depends on the element type) and a lumped mass approximation. We recommend the default formulation for most applications. However, for dynamic analyses involving "skinny" structures, such as slender beams or very thin shells, the lumped mass approximation has been shown to give better results. To specify a lumped mass approximation, use one of these methods:

Command(s): | LUMPM
GUI: | Main Menu> Solution> Analysis Type> Analysis Options

Modes to be used - For superelements being used in a subsequent dynamic analysis [ANTYPE,MODAL, HARMONIC, or TRANSIENT], you may include mode shapes as extra degrees of freedom to obtain better accuracy [CMSOPT]. See the chapter on Component Mode Synthesis for more information.

Define master degrees of freedom using one of these methods.

Command(s): | M
GUI: | Main Menu> Solution> Master DOFs> User Selected> Define

In a substructure, master DOFs serve three purposes:

  • They serve as the interface between the superelement and other elements. Be sure to define master DOFs at all nodes that connect to nonsuperelements, as shown in Figure 10.2: "Example of a Substructuring Application". All degrees of freedom at these nodes should be defined as master DOFs (Lab = ALL on the M command). Master DOFs must be defined even if you plan to have no elements in the model other than a superelement.

  • If the superelement is to be used in a dynamic analysis, master DOFs characterize the dynamic behavior of the structure if the Component Mode Synthesis method [CMSOPT] is not used. See "Modal Analysis" in the Structural Analysis Guide for guidelines.

  • If constraints [D] or force loads [F] are to be applied in the use pass, master DOFs must be defined at those locations with the M command.

If this superelement is to be transformed [SETRAN] later in the use pass or used in a large deflection analysis [NLGEOM,ON], then all nodes that have master DOFs must have all six DOFs (UX, UY, UZ, ROTX, ROTY, ROTZ) defined and active.

For large deflections, master DOFs are typically defined at the joints of the flexible body and are at the nodes connected to a joint element (MPC184), another rigid or flexible body node, or ground. At least two master DOFs must be defined for each substructure, as the average rotation of the superelement is computed from the average rotation of its master DOF. If only one node is a joint node, then another must be chosen at the free end. See the Multibody Analysis Guide for more details.

Apply loads on the model. You can apply all types of loads in a substructure generation pass (see Table 10.1: "Loads Applicable in a Substructure Analysis"), but keep in mind the following points:

  • The program will generate a load vector that includes the effect of all applied loads. One load vector per load step is written to the superelement matrix file. This load vector is the equivalent load for the combined loads in the load step. A maximum of 31 load vectors are allowed.

  • Nonzero DOF constraints can be used in the generation pass and will become part of the load vector. (In the expansion pass, if the load step being expanded contains nonzero DOF constraints, the database must have matching DOF values. If it does not, the DOF constraints must be respecified [D] in the expansion pass.)

  • Application of constraints [D] or force loads [F] can be postponed until the use pass, but master DOF must be defined at those locations with the M command or corresponding GUI path.

    Note

    If a mass matrix is generated, apply the degree of freedom constraints in the use pass at the master DOF (defined in the generation pass) to ensure that all mass is accounted for in the substructure. For analyses with acceleration loadings, the load should be applied in the generation pass and used in the use pass for greater accuracy, rather than apply the acceleration load on the reduced mass matrix.

  • Similarly, application of linear and angular accelerations can be postponed until the use pass, but only if a mass matrix is generated. This is recommended if you plan to rotate the superelement in the use pass, because load vector directions are "frozen" and rotated with the superelement.

  • The Maxwell force flag (MXWF label on the SF family of commands) is normally used in a magnetic analysis to flag element surfaces on which the magnetic force distribution is to be calculated. This flag has no effect (and therefore should not be used) for a superelement in a magnetic analysis.

  • If you intend to create an imaginary force vector, you should generate it as a real load vector, then use it as an imaginary load vector in the use pass (SFE,,,,KVAL = 2) and expansion pass (SEEXP,,,ImagKy = ON).

For large rotation analyses - Do not apply constraints to the model in this pass. You will apply constraints for large rotation analyses in the use pass.

Table 10.1 Loads Applicable in a Substructure Analysis

Load Name | Load Category | Commands[1]
 |  | Solid Model Loads | Finite Element Loads
Displacement Temperature Mag. Potential ... | Constraints | DK, DKLIST, DKDELE, DL, DLLIST, DLDELE, DA, DALIST, DADELE, DTRAN | D, DSYM, DLIST, DDELE, DSCALE, DCUM
Force Heat Flow Rate Mag. Flux ... | Forces | FK, FKLIST, FKDELE, FTRAN | F, FLIST, FDELE, FSCALE, FCUM
Pressure Convection Maxwell Surface ... | Surface Loads | SFL, SFLLIST, SFLDELE, SFA, SFALIST, SFADELE, SFGRAD, SFTRAN | SF, SFLIST, SFDELE, SFE, SFELIST, SFEDELE, SFBEAM, SFGRAD, SFFUN, SFSCALE, SFCUM
Temperature Heat Generation Rate Current Density ... | Body Loads | BFK, BFKLIST, BFKDELE, BFL, BFLLIST, BFLDELE, BFA, BFALIST, BFADELE, BFV, BFVLIST, BFVDELE, BFTRAN | BF, BFLIST, BFDELE, BFE, BFELIST, BFEDELE, BFSCALE, BFCUM
Gravity, Linear and Angular Acceleration | Inertia Loads |  | ACEL, DOMEGA

  1. The menu path used to access each command in the GUI will vary depending on the engineering discipline of the analysis (structural, magnetic, etc.). For a list of menu paths, see the description of individual commands in the Commands Reference.

Specify load step options. The only options valid for the substructure generation pass are dynamics options (damping).

Damping (Dynamics Options) - Applicable only if the damping matrix is to be generated.

To specify damping in the form of alpha (mass) damping:

Command(s): | ALPHAD
GUI: | Main Menu> Solution> Load Step Opts> Time/Frequenc> Damping

To specify damping in the form of beta (stiffness) damping:

Command(s): | BETAD
GUI: | Main Menu> Solution> Load Step Opts> Time/Frequenc> Damping

To specify damping in the form of material-dependent beta damping:

Command(s): | MP,DAMP
GUI: | Main Menu> Preprocessor> Material Props> Material Models> Structural> Damping

Save a backup copy of the database on a named file. Doing this is required because you need to work with the same database in the expansion pass. To save a backup copy, use one of these methods:

Command(s): | SAVE
GUI: | Utility Menu> File> Save as Jobname.db

Start solution calculations using one of these methods:

Command(s): | SOLVE
GUI: | Main Menu> Solution> Solve> Current LS Output from the solution consists of the superelement matrix file, Sename.SUB, where Sename is the name assigned as an analysis option [SEOPT] or the jobname [ /FILNAME]. The matrix file includes a load vector calculated based on the applied loads. (The load vector will be zero if no loads are defined.)

Repeat for additional load steps (that is, to generate additional load vectors). The load vectors are numbered sequentially (starting from 1) and appended to the same superelement matrix file. See "Loading" in the Basic Analysis Guide for other methods for multiple load steps.

Leave SOLUTION using one of these methods.

Command(s): | FINISH
GUI: | Main Menu> Finish

10.2.2. Use Pass: Using the Superelement

The use pass is where you use the superelement in an analysis by making it part of the model. The entire model may be a superelement or, as in the plate example, the superelement may be connected to other nonsuperelements (see Figure 10.2: "Example of a Substructuring Application"). The solution from the use pass consists only of the reduced solution for the superelement (that is, the degree of freedom solution only at the master DOF) and complete solution for nonsuperelements.

The use pass can involve any ANSYS analysis type (except a FLOTRAN or explicit dynamics analysis). The only difference is that one or more of the elements in the model is a superelement that has been previously generated. The individual analysis guides contain detailed descriptions about performing various analyses. In this section, we will concentrate on the steps you need to make the superelement a part of your model.

10.2.2.1. Clear the Database and Specify a New Jobname

The use pass consists of a new model and new loads. Therefore, the first step is to clear the existing database. This has the same effect as leaving and re-entering the ANSYS program. To clear the database, use one of these methods:

Command(s): | /CLEAR
GUI: | Utility Menu> File> Clear & Start New

By default, clearing the database causes the START.ANS file to be reread. (You can change this setting if you so desire.)

Caution

If you are using the command input method to clear the database, additional commands may not be stacked on the same line (using the $ delimiter) as the /CLEAR command.

Be sure to define a jobname that is different from the one used for the generation pass. This way, you can ensure that no generation pass files will be overwritten. To define a jobname, use one of these methods:

Command(s): | /FILNAME
GUI: | Utility Menu >File> Change Jobname

10.2.2.2. Build the Model

This step is performed in PREP7 and consists of the following tasks:

  1. Define MATRIX50 (the superelement) as one of the element types. Use one of these methods:

    Command(s): ET
    GUI: Main Menu> Preprocessor> Element Type> Add/Edit/Delete

  2. Define other element types for any nonsuperelements. Nonlinear behavior may or may not be allowed, depending on the type of analysis to be performed.

  3. Define element real constants and material properties for the nonsuperelements. Nonlinear properties may or may not be allowed, depending on the type of analysis to be performed.

  4. Define the geometry of the nonsuperelements. Take special care in defining the interfaces where the nonsuperelements connect to the superelements. The interface node locations must exactly match the locations of the corresponding master nodes on the superelements (see Figure 10.3: "Node Locations").

    There are three ways to ensure connectivity at these interfaces:

    • Use the same node numbers as the ones in the generation pass.

    • Use the same node number increment (or offset) between interface nodes in the generation pass and interface nodes in the use pass. (Use SETRAN, as described below in step 5b.)

    • Couple the two sets of nodes in all degrees of freedom using the CP family of commands [CP, CPINTF, etc.]. This method is helpful if you cannot use one of the above two methods. For example, to define a set of coupled degrees of freedom use one of the following:

      Command(s): CP
      GUI: Main Menu> Preprocessor> Coupling/Ceqn> Couple DOFs
      If the superelement is not connected to any other elements, you do not need to define any nodes in the use pass.

    Figure 10.3 Node Locations

    Interface nodes between superelement and nonsuperelement must exactly match the master node locations.

  5. Define the superelement by pointing to the proper element type reference number and reading in the superelement matrix. To point to the element type:

    Command(s): TYPE
    GUI: Main Menu> Preprocessor> Modeling> Create> Elements> Elem Attributes

    Now read in the superelement matrix using one of these methods (you may first need to use other commands to modify the matrix, as explained below):

    Command(s): SE
    GUI: Main Menu> Preprocessor> Modeling> Create> Elements> Superelements> From .SUB File

    1. If there are no nonsuperelements in the model, or if there are nonsuperelements and the interface nodes have the exact same node numbers as the master nodes on the superelement, then simply read in the superelement using the SE command:

      TYPE,...! Element type reference number
SE,GEN! Reads in superelement from file GEN.SUB

      The Sename field on the SE command shown above identifies the name of the superelement matrix file. The extension .SUB is assumed, so the complete file name is Sename.SUB (GEN.SUB in the above example). The superelement is given the next available element number.

    2. If there are nonsuperelements in the model and the interface nodes have a constant node number offset from the master nodes, you must first create a new superelement matrix with new node numbers and then read in the new matrix.

      To create a new superelement matrix, use one of these methods:

      Command(s): SETRAN
      GUI: Main Menu> Preprocessor> Modeling> Create> Elements> Superelements> By CS Transfer
      Main Menu> Preprocessor> Modeling> Create> Elements> Superelements> By Geom Offset

      To read in the new matrix, use one of these methods:

      Command(s): SE
      GUI: Main Menu> Preprocessor> Modeling> Create> Elements> Superelements> From .SUB File

      For example, given an existing superelement matrix file GEN.SUB and a node number offset of 2000, the commands would be:

      SETRAN,GEN,,2000,GEN2,SUB   ! Creates new superelement GEN2.SUB with
                            !   node offset = 2000
TYPE,...                    ! Element type reference number
SE,GEN2                     ! Reads in new superelement from file GEN2.SUB

    3. If there are nonsuperelements in the model and the interface nodes have no relationship with the master nodes (as would be the case with automatically meshed models), first observe the following caution.

      Caution

      It is quite likely that the node numbers of the master nodes from the generation pass overlap with node numbers in the use pass model. In such cases, reading in the superelement [SE] will cause existing use pass nodes to be overwritten by the superelement's master nodes. To avoid overwriting existing nodes, use a node number offset [SETRAN] before reading in the superelement. In any case, save the database [SAVE] before issuing the SE command.

      Thus you should first save the database [SAVE], use the SETRAN command to create a new superelement matrix with a node number offset, and then use the SE command to read in the new matrix. The CPINTF command (Main Menu> Preprocessor> Coupling/Ceqn> Coincident Nodes) can then be used to connect the pairs of nodes at the interface. For example, given a superelement matrix file called GEN.SUB:

      *GET,MAXNOD,NODE,,NUM,MAX    ! MAXNOD = maximum node number
SETRAN,GEN,,MAXNOD,GEN2,SUB  ! Creates new superelement with
                             !   node offset = MAXNOD, name = GEN2.SUB
SE,GEN2                      ! Reads in new superelement
NSEL,...                     ! Select all nodes at the interface
CPINTF,ALL                   ! Couples each pair of interface nodes in
                             ! all DOF
NSEL,ALL

    4. If the superelement is to be transformed - moved or copied to a different position, or symmetrically reflected - you must first use the SETRAN command or SESYMM command (Main Menu> Preprocessor> Modeling> Create> Elements> Superelements> By Reflection), with the appropriate node number offsets, to create new superelement matrix files and then use SE to read in the new matrices. Connecting the superelements to the nonsuperelements is done the same way as above - by using common node numbers, a constant node number offset, or the CPINTF command.

    Note

    If you use SETRAN to transfer the superelement to a different coordinate system, the superelement's master nodes are rotated with it by default. This is typically useful if the original superelement's master nodes are rotated, into a cylindrical system for example. (In this case, the transfer does not effect the superelement stiffness matrix.) If the original superelement has no rotated nodes, it is likely that the transferred superelement will not need rotated nodes either. You can prevent node rotation in such cases by setting the NOROT field on SETRAN to 1. (The superelement stiffness matrix and load vector are modified by the program for this type of transfer.)

  6. Verify the location of the superelement using graphics displays and listings. Superelements are represented by an edge outline display, the data for which are written to the matrix file in the generation pass. To produce a graphics display:

    Command(s): EPLOT
    GUI: Utility Menu> Plot> Elements

    To produce a listing:

    Command(s): SELIST
    GUI: Utility Menu> List> Other> Superelem Data

  7. Save the complete model database:

    Command(s): SAVE
    GUI: Utility Menu> File> Save as Jobname.db

    Leave PREP7 using one of these methods:

    Command(s): FINISH
    GUI: Main Menu> Finish

10.2.2.3. Apply Loads and Obtain the Solution

This step is performed during the solution phase of the analysis. The procedure to obtain the use-pass solution depends on the analysis type. As mentioned earlier, you can subject a superelement to any type of analysis. You should, of course, have the appropriate matrices generated during the generation pass. For example, if you intend to do a structural dynamic analysis, the mass matrix must be available. The procedure is as follows:

  1. Enter SOLUTION using one of these methods:

    Command(s): /SOLU
    GUI: Main Menu> Solution

  2. Define the analysis type and analysis options.

    For large rotation analyses - turn large deformation effects on [NLGEOM,ON], and define the proper number of substeps for the nonlinear analysis.

  3. Apply loads on the nonsuperelements. These may consist of DOF constraints and symmetry conditions [D family of commands], force loads [F family], surface loads [SF family], body loads [BF family], and inertia loads [ACEL, etc.]. Remember that inertia loads will affect the superelement only if its mass matrix was generated in the generation pass.

    Note

    For large rotation analyses, be sure to apply the proper constraints in this step.

  4. Apply superelement load vectors (if any) using one of these methods:

    Command(s): SFE
    GUI: Main Menu> Solution> Define Loads> Apply> Load Vector> For Superelement

    One load vector per load step (created during the generation pass) is available on the superelement matrix file, and is identified by its reference number:

    SFE,63,1,SELV,0,0.75

    applies, on element number 63, load vector number 1, with the load applied as a real load and with a scale factor of 0.75. Thus the ELEM field represents the element number of the superelement, LKEY represents the load vector number (default = 1), Lab is SELV, KVAL is for a real or imaginary load vector, and VAL1 represents the scale factor (default = 0.0). (See the SFE command description for more information.)

    Note

    The load vector orientation is fixed (frozen) to the superelement, so if the superelement is used in a rotated position, the load vector rotates with it. The same applies to the degree of freedom directions (UX, UY, ROTY, etc.). They too are fixed to the superelement and will rotate with the superelement if it is rotated (unless NOROT = 1 on the SETRAN command, in which case the nodal coordinate systems will not be rotated).

  5. Specify load step options that are appropriate for the analysis type. Use the EQSLV command to select an appropriate equation solver based on the chosen analysis type and the physics of the problem.

    Note

    Some solvers, such as the PCG solver, are not available for the use pass.

  6. Initiate the solution:

    Command(s): SOLVE
    GUI: Main Menu> Solution> Solve> Current LS

    Results from the solution consist of the complete solution for nonsuperelements and the reduced solution - DOF solution at masters - for the superelements. The complete solution for nonsuperelements is written to the results file (Jobname.RST, RTH, or RMG), which you can postprocess using normal postprocessing procedures.

    The reduced solution is written to the file Jobname.DSUB. You can review this file using one of these methods:

    Command(s): SEDLIST
    GUI: Main Menu> General Postproc> List Results> Superelem DOF
    Utility Menu> List> Results> Superelem DOF Solu To expand the reduced solution to all elements within the superelement, you will need to perform the expansion pass, explained next.

  7. Leave SOLUTION:

    Command(s): FINISH
    GUI: Main Menu> Finish

10.2.3. Expansion Pass: Expanding Results Within the Superelement

The expansion pass is where you start with the reduced solution and calculate the results at all degrees of freedom in the superelement. If multiple superelements are used in the use pass, a separate expansion pass will be required for each superelement.

The procedure for the expansion pass assumes that the .EMAT, .ESAV, .SUB, .LN22, .DB, and .SELD files from the generation pass and the .DSUB file from the use pass are available. For larger substructures, the files .LN09 and .LN20 will also be required if they were created in the generation pass. If the frontal solver was selected, then the .TRI file is required instead of the .LNxx files. The expansion pass logic automatically detects which, if any, triangularized matrix files are available and chooses the appropriate expansion pass method and solver accordingly. For example, if the .LN22 exists, the frontal solver and backsubstitution method will be selected. If an offset of node numbers was used in the use pass [SETRAN or SESYMM], it will automatically be taken into account in the expansion pass.

The backsubstitution method uses the reduced solution from the use pass and substitutes it back into the available triangularized matrix file to calculate the complete solution. The full resolve solution reforms the element stiffness matrices originally used to create the superelement. The global stiffness matrix for these elements is then assembled. The reduced solution is applied to the model as displacement boundary conditions, and the complete solution within the superelement is solved.

Note

The displacement boundary conditions are automatically applied internally at the master degrees of freedom during the expansion pass solution and are not deleted when the solution completes. If any subsequent analyses are to be performed, users must be aware these boundary conditions exist in the model, and delete them, if necessary.

The expansion pass logic for substructuring analyses first searches for the superelement .LN22 file and, if found, chooses the sparse solver to perform a backsubstitution (the EQSLV command is ignored). If the .LN22 file is not found, it searches for the superelement .TRI file and, if found, chooses the frontal solver to perform a backsubstitution (the EQSLV command is ignored).

If neither the .LN22 nor the .TRI files are detected for the specified superelement, the full resolve method is chosen. The PCG solver is chosen by default for the full resolve method. You can select the frontal or sparse solver using the EQSLV command to override the default. Other equation solvers cannot be used with the full resolve method.

  1. Clear the database:

    Command(s): /CLEAR
    GUI: Utility Menu> File> Clear & Start New

    This has the same effect as leaving and re-entering the ANSYS program.

  2. Change the jobname to what it was during the generation pass. This way, the program can easily identify the files required for the expansion pass:

    Command(s): /FILNAME
    GUI: Utility Menu> File> Change Jobname

  3. Restore the generation pass database:

    Command(s): RESUME
    GUI: Utility Menu> File> Resume Jobname.db

  4. Enter SOLUTION using one of these methods:

    Command(s): /SOLU
    GUI: Main Menu> Solution

  5. Activate the expansion pass and its options:

    Command(s): EXPASS
    GUI: Main Menu> Solution> Load Step Opts> ExpansionPass

    Expansion pass on or off - Choose "on."

    Name of superelement to be expanded - Specify the name (Sename):

    Command(s): SEEXP
    GUI: Main Menu> Solution> Load Step Opts> ExpansionPass> Expand Superelem

    (The complete name of the file is assumed to be Sename.SUB.)

    Name of the reduced solution file from use pass - Specify the name (Usefil) using the SEEXP command (or the menu path shown above). The complete name of the file is assumed to be Usefil.DSUB.

    Real or imaginary component of displacement - Applicable only if the use pass was a harmonic response analysis. Use the SEEXP command (or the menu path shown above).

  6. Identify the use pass solution(s) to be expanded. You can either expand a single solution [EXPSOL] or a range of solutions (including all) [NUMEXP]:

    Single Solution - use either the load step and substep numbers or the time (or frequency) to identify a solution:

    Command(s): EXPSOL
    GUI: Main Menu> Solution> Load Step Opts> ExpansionPass> Single Expand> By Load Step
    Main Menu> Solution> Load Step Opts> ExpansionPass> Single Expand> By Time/Freq

    Note

    If the load step being expanded contains nonzero DOF constraints, the database must have matching DOF values. If it does not, the DOF constraints must be respecified [D] in the expansion pass.

    Range of Solutions - Identify the number of solution and time or frequency range:

    Command(s): NUMEXP
    GUI: Main Menu> Solution> Load Step Opts> ExpansionPass> Range of Solu's

  7. Specify load step options. The only options valid for a substructure expansion pass are output controls:

    Output Controls - These options control printed output, database and results file output, and extrapolation of results.

    If you want to include any results data on the printed output file (Jobname.OUT):

    Command(s): OUTPR
    GUI: Main Menu> Solution> Load Step Opts> Output Ctrls> Solu Printout

    If you want to control the data on the results file (Jobname.RST):

    Command(s): OUTRES
    GUI: Main Menu> Solution> Load Step Opts> Output Ctrls> DB/Results File

    If you want to review element integration point results by copying them to the nodes instead of extrapolating them (default):

    Command(s): ERESX
    GUI: Main Menu> Solution> Load Step Opts> Output Ctrls> Integration Pt

  8. Start expansion pass calculations:

    Command(s): SOLVE
    GUI: Main Menu> Solution> Solve> Current LS

  9. Repeat steps 6 to 8 for additional use pass solutions to be expanded. If you need to expand the solution for a different superelement, you will need to leave and re-enter SOLUTION.

    Note

    If the superelement to be expanded contains contact elements and has multiple use passes, use separate expansions (repeating steps 1 through 7) or issue the NUMEXP command to expand multiple load steps together.

  10. Finally, leave SOLUTION:

    Command(s): FINISH
    GUI: Main Menu> Finish

  11. Postprocess results in the superelement using standard techniques.

Note

An expansion pass is not valid if the use pass was a PSD analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.1. Benefits of Substructuring 		Up / Home Next
10.3. Sample Analysis Input


10.3. Sample Analysis Input

A sample command input listing for a substructuring analysis is shown below. This example assumes a single superelement which is possibly combined with nonsuperelements.

!       GENERATION PASS
! Build the model (superelement portion)
/FILNAME,GEN         ! Jobname = GEN (for example)
/TITLE,...
/PREP7               ! Enter PREP7
---
---                  ! Generate superelement portion of model
FINISH
! Apply loads and create the superelement matrices
/SOLU                ! Enter SOLUTION
ANTYPE,SUBST         ! Substructure analysis
SEOPT,GEN,...        ! Superelement name and other substructure analysis options
M,...                ! Master DOF
D,...                ! Loads.  A load vector will be generated and
---                  !   written to the superelement matrix file
---                  ! Load step options
SAVE                 ! Save the database for later expansion pass
SOLVE                ! Initiate solution -- creates GEN.SUB file
                     !   containing superelement matrix and load vector
---                  ! Loads for second load vector (D and M may not changed)
SOLVE                ! Add load vector 2
---                  ! Repeat loading and SOLVE sequence for additional load vectors
---                  !    (Up to 31 total)
FINISH
!       USE PASS
! Build the model
/CLEAR               ! Clear the database (or exit and re-enter ANSYS)
/FILNAME,USE         ! Jobname = USE (for example)
/PREP7               ! Enter PREP7
ET,1,MATRIX50        ! MATRIX50 is the superelement type
ET,2,...             ! Element type for nonsuperelements
---                  ! Generate nonsuperelement model
---
TYPE,1               ! Point to superelement type reference number
SETRAN,...           ! May be required for node number offset
SE,...               ! Read in the superelement created by SETRAN
EPLOT                ! Verify location of superelement
NSEL,...             ! Select nodes at interface
CPINTF,ALL           ! Couple node pairs at interface (required if
                     !   node numbers at interface don't match)
NSEL,ALL
FINISH
! Apply loads and obtain the solution
/SOLU                ! Enter SOLUTION
ANTYPE,...           ! Analysis type and analysis options
---
---
D,...                ! Loads on nonsuperelements
---
---
SFE,...              ! Apply superelement load vector
---                  ! Load step options
---
SAVE                 ! Save database before solution
SOLVE                ! Initiate solution -- calculates complete solution
                     !   for nonsuperelements (USE.RST, RTH or RMG) and
                     !   reduced solution for superelements (USE.DSUB)
FINISH
! ... Review results in nonsuperelements
!       EXPANSION PASS
/CLEAR               ! Clear the database
/FILNAME,GEN         ! Change jobname back to generation pass jobname
RESUME               ! Restore generation pass database
/SOLU                ! Enter SOLUTION
EXPASS,ON            ! Activate expansion pass
SEEXP,GEN,USE...     ! Superelement name to be expanded (GEN, unless SETRAN used)
---                  ! Load step options (mainly output controls)
---
SOLVE                ! Initiate expansion pass solution.  Full
                     !   superelement solution written to GEN.RST (or
                     !   RTH or RMG).
FINISH
! ... Review results in superelements

For more information, see the ANTYPE, SEOPT, M, ET, SETRAN, SE, CPINTF, EXPASS, and SEEXP command descriptions.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.2. Using Substructuring 		Up / Home Next
10.4. Top-Down Substructuring


10.4. Top-Down Substructuring

The substructuring procedure described in the previous section is called bottom-up substructuring, meaning that each superelement is separately generated in an individual generation pass, and all superelements are assembled together in the use pass. This method is suitable for very large models which are divided into smaller superelements so that they can "fit" on the computer.

For substructuring of smaller models or of systems with global project geometry controls, and for isolated component analysis, you can use a slightly different technique known as top-down substructuring. This method is suitable, for instance, for substructuring of the linear portion of nonlinear models that are small enough to fit on the computer. An advantage of this method is that the results for multiple superelements can be assembled in postprocessing. The procedure for top-down substructuring is briefly explained below, and is followed by a sample input.

  1. First build the entire model, including both the superelement and nonsuperelement portions. Save this model on a named database file (for example, FULL.DB). The full model database is later required for the expansion pass. It will also be required for the use pass if the model consists of nonsuperelements.

  2. Perform the generation pass on a selected subset of the entire model. Because the full model has already been built, all you need to do is to select the elements for the superelement portion, apply the desired loads (for the load vector), and create the superelement with the SOLVE command (Main Menu> Solution> Solve> Current LS).

    The use of components may be helpful for this. To group items into a component, use the CM command (Utility Menu> Select> Comp/Assembly> Create Component).

    If multiple superelements are to be generated, you will need to exit and re-enter SOLUTION each time and repeat the select-load-solve steps. Be sure to use a different jobname for each superelement.

  3. Perform the use pass. Enter PREP7 and start by restoring the full model database and then selecting only the nonsuperelement portion of the model. Next, define the superelement type [ET, TYPE] and read in the appropriate superelement matrices. In most cases, you don't need to worry about the connecting nodes between the superelements, because they were all generated from a single model.

    Enter SOLUTION and define the analysis type and analysis options. Apply loads on the nonsuperelements, read in load vectors (if any), specify load step options, and initiate the use pass solution.

  4. Perform the expansion pass. Start by restoring the full model database, with all elements and nodes active. Then expand each superelement separately, using the appropriate jobnames and exiting and re-entering SOLUTION each time. You can then review the results in each superelement using normal postprocessing procedures. Use of the full database, FULL.DB, allows the reading in of multiple superelement results:

RESUME,FULL,DB
/POST1
FILE,GEN1
SET,...
FILE,GEN2
SET,...!Will not clear previous superelement results

A sample input for top-down substructuring follows. This example assumes a model with one superelement and other nonsuperelements.

!             Sample input for top-down substructuring
!
!     BUILD THE FULL MODEL
!
/FILNAME,FULL        ! Jobname = FULL (for example)
/TITLE,...
/PREP7               ! Enter PREP7
---
---                  ! Generate entire model, including both the
---                  !   superelement and nonsuperelement portions
---
SAVE                 ! Save the full model database.  It is required for
                     !   the (use pass and) expansion pass.
FINISH
!     GENERATION PASS

!

/FILNAME,GEN         ! Jobname = GEN (for example)
/SOLU                ! Enter SOLUTION
ANTYPE,SUBSTR        ! Substructure analysis type
SEOPT,GEN,...        ! Analysis options
ESEL,...             ! Select elements and
NSLE                 !   nodes in the superelement portion
M,...                ! Master DOF
D,...                ! Loads.  A load vector will be generated and written to the
---                  !   superelement matrix file
---                  ! Load step options
---
SOLVE                ! Initiate solution -- creates superelement
                     !   matrix file GEN.SUB.
---                  ! Loads for second load vector (D and M may not changed)
SOLVE                ! Add load vector 2
---                  ! Repeat loading and SOLVE sequence for additional load vectors
---                  !    (Up to 31 total)
FINISH
!     USE PASS
!
/CLEAR               ! Clear database for use pass
/FILNAME,USE         ! Jobname = USE (for example)
RESUME,FULL,DB       ! Restore full model database (for nonsuperelements)
ESEL,...             ! Select elements and
NSLE                 !   nodes in the nonsuperelement portion
/PREP7
ET,...,MATRIX50      ! Superelement type (type number not used by nonsuperelements)
TYPE,...             ! Point to superelement type reference number
SE,GEN               ! Read in superelement matrix (GEN.SUB created above)
EPLOT
FINISH
/SOLU
ANTYPE,...           ! Analysis type and analysis options
---
D,...                ! Loads on nonsuperelements
---
---
SFE,...              ! Superelement load vector
---
---                  ! Load step options
---
SOLVE                ! Initiates solution -- calculates complete
                     !   solution for nonsuperelements (USE.RST, etc.)
                     !   and reduced solution for superelement (USE.DSUB)
FINISH
!     EXPANSION PASS
!
/CLEAR               ! Clear database for expansion pass
/FILNAME,GEN         ! Change jobname back to generation pass jobname
RESUME,FULL,DB       ! Restore full model database
/SOLU                ! Enter SOLUTION
ANTYPE,SUBSTR
EXPASS,ON            ! Activate expansion pass
EXPSOL,...           ! Specifies the solution to be expanded
SEEXP,GEN,USE,...    ! Superelement name to be expanded
---                  ! Load step options (mainly output controls)
---
SOLVE                ! Initiate expansion pass solution.  Full
                     !   superelement solution written to GEN.RST (or
                     !   RTH or RMG).
FINISH
! ... Review results in superelement

Please see the ANTYPE, SEOPT, M, ET, SE, EXPASS, and SEEXP command descriptions for more information.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.3. Sample Analysis Input 		Up / Home Next
10.5. Automatically Generating Superelements


10.5. Automatically Generating Superelements

When creating multiple superelements, the two methods described in the previous sections (bottom-up substructuring and top-down substructuring) both require repeating a set of /SOLU commands for each superelement you want to create. These methods also require a master DOF to be defined for each superelement. If any superelements connect to each other, then the master DOF must be chosen carefully on the interface(s) between each connecting superelement.

When creating multiple superelements, use the following automatic superelement generation process to quickly create superelements (.SUB files), as well as the master DOF necessary on the interfaces between each superelement. This simplifies the creation of the superelements and it efficiently breaks a larger model into smaller models, for example, to be used in a nonlinear analysis.

To automatically generate superelements:

  1. If using the bottom-up substructuring method first create the part of the model that will become superelements. If using the top-down substructuring method, first create whole model, then select the part of the model that will become superelements.

  2. Perform the generation pass using SEOPT and any other /SOLU commands to define any necessary options for the substructuring analysis.

  3. Use SEGEN to define the options for the automatic superelement generation process. If stopStage = PREVIEW is selected, then the model is only broken into domains (superelements). No reduced matrices are created and the superelements (.SUB files) are not actually created. You can then graphically (visually) preview each domain by using /PNUM,DOMAIN. By default, master DOFs are automatically defined at each of the following locations: all DOFs on the interfaces between each superelement, all DOFs associated with contact elements (TARGE169 to CONTA177), and at all DOFs associated with nodes having a point load defined. The option to manually define the master DOF only makes sense AFTER a 'preview pass' has been made, as the exact number of superelements and the superelement boundaries for each superelement cannot be known until the process is completed at least once.

    Note

    Due to the heuristics in the automatic domain decomposer, which is used to create the domains that will become superelements, the number of defined superelements may exceed the number of requested superelements.

    After completing a preview pass, you can then add master DOFs or remove master DOFs that were automatically defined during the preview pass. At least one master DOF must be defined for each superelement. Then set stopStage = GEN, and if any master DOFs were added or removed, set mDof = YES, and solve the model.

  4. Use SOLVE to either preview or generate the automatically created superelements. Note that multiple load steps are not supported with automatic superelement generation.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.4. Top-Down Substructuring 		Up / Home Next
10.6. Nested Superelements


10.6. Nested Superelements

A powerful substructuring feature available in the ANSYS program is the ability to use nested superelements (one superelement containing another). When you generate a superelement, one of the elements in the generation pass may be a previously generated superelement.

For example, suppose that you have a superelement named PISTON. You can generate another superelement named CYLINDER which contains the superelement PISTON. Now, for a complete analysis of the cylinder and its piston, you will need to perform one use pass and two expansion passes. The use pass calculates the reduced solution for the master DOF in the superelement CYLINDER. The first expansion pass calculates the complete solution for CYLINDER and the reduced solution for PISTON. The second expansion pass then gives you the complete solution for PISTON.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.5. Automatically Generating Superelements 		Up / Home Next
10.7. Prestressed Substructures


10.7. Prestressed Substructures

In modeling a system's behavior properly, it may be important to consider its stress state. That stress state will influence the values of the stiffness matrix terms. The stress state from a previous structural solution may be included when the stiffness matrix is formed in a superelement generation pass. Stress stiffening can provide strength in a structure which would normally not have any resistance to certain loadings. For example, a stretched cable can resist a normal loading while a slack cable cannot. Stress stiffening can also change the response frequencies of a system which impacts both modal and transient dynamic problems.

Two different approaches can be used to generate prestressed substructures. These approaches are a static analysis prestress and a substructuring analysis prestress.

10.7.1. Static Analysis Prestress

  1. Build the model, define a static analysis (ANTYPE command or menu path Main Menu> Solution> Analysis Type> New Analysis) and apply the stiffening load.

  2. Specify that prestress effects be calculated (PSTRES command or menu path Main Menu> Solution> Analysis Type> Analysis Options or Main Menu> Solution> Unabridged Menu> Analysis Type> Analysis Options).

  3. Specify that the File.EMAT be written (EMATWRITE command; not available via the GUI)

  4. Initiate the static analysis (SOLVE command or menu path Main Menu> Solution> Solve> Current LS).

  5. Perform the generation pass. Include the prestress effects from the static analysis by issuing the PSTRES command. (It is important to have the prestress effects active during the static analysis and the generation pass.)

  6. Perform the use and expansion passes.

  7. Review the results.

10.7.2. Substructuring Analysis Prestress

Note

This method does not require a static analysis on the full DOF model.

  1. Build the model and perform the generation pass. Make sure to reserve space for the stress stiffening matrix by setting SESST = 1 on the SEOPT command (Main Menu> Solution> Analysis Type> Analysis Options).

  2. Apply loads and perform the static use pass.

  3. Perform the expansion pass using the PSTRES command (Main Menu> Solution> Analysis Type> Analysis Options) to calculate prestress effects.

  4. Repeat the generation pass for a new substructure generation, while continuing the prestress effects using PSTRES.

  5. Solve the second generation pass and perform the use pass.

  6. Perform the expansion pass and review the results.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.6. Nested Superelements 		Up / Home Next
10.8. Where to Find Examples


10.8. Where to Find Examples

The Verification Manual presents test-case analyses demonstrating the analysis capabilities of the ANSYS program. While these test cases demonstrate solutions to realistic analysis problems, the Verification Manual does not present them as step-by-step examples with lengthy data-input instructions and printouts; however, most ANSYS users with at least limited finite-element experience should be able to fill in the missing details by reviewing each test case's finite element model and input data with accompanying comments.

The Verification Manual contains the following substructuring cases:

VM125 - Radiation Heat Transfer Between Concentric Cylinders
VM141 - Diametrical Compression of a Disk
VM147 - Gray-Body Radiation within a Frustum of a Cone
VM153 - Nonaxisymmetric Vibration of a Stretched Circular Membrane (Using Cyclic Symmetry)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.7. Prestressed Substructures 		Up / Home Next
Chapter 11. Component Mode Synthesis


Chapter 11. Component Mode Synthesis

Component mode synthesis (CMS) is a form of substructure coupling analysis frequently employed in structural dynamics.

CMS allows you to derive the behavior of the entire assembly from its constituent components. First, the dynamic behavior of each of the components is formulated. Then, by enforcing equilibrium and compatibility along component interfaces, ANSYS forms the dynamic characteristics of the full system model.

CMS is available in the ANSYS Mechanical and ANSYS Structural products.

The following CMS topics are available:

  • Understanding Component Mode Synthesis
  • Employing Component Mode Synthesis
  • Sample Component Mode Synthesis Analysis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.8. Where to Find Examples 		Up / Home Next
11.1. Understanding Component Mode Synthesis


11.1. Understanding Component Mode Synthesis

Although breaking up a single large problem into several reduced-order problems via substructuring saves time and processing resources, component mode synthesis (CMS) offers the following additional advantages:

  • More accurate than a Guyan reduction for modal, harmonic and transient analyses. CMS includes truncated sets of normal mode generalized coordinates defined for components of the structural model.

  • The ability to include experimental results, as the substructure model need not be purely mathematical.

A typical use of CMS involves a modal analysis of a large, complicated structure (such as an aircraft or nuclear reactor) where various teams each design an individual component of the structure. With CMS, design changes to a single component affect only that component; therefore, additional computations are necessary only for the modified substructure.

Finally, CMS supports these substructuring features:

  • Top-down substructuring

  • Nested superelements

  • Prestressed substructures (static analysis prestress approach only).

11.1.1. CMS Methods Supported

ANSYS supports these component mode synthesis methods:

  • Fixed-interface (CMSOPT,FIX)

  • Free-interface (CMSOPT,FREE)

  • Residual-flexible free-interface (CMSOPT,RFFB)

For most analyses, the fixed-interface CMS method is preferable. The free-interface method and the residual-flexible free-interface method are useful when your analysis requires more accurate eigenvalues computed at the mid- to high-end of the spectrum. The following table describes the primary characteristics of each interface method:

CMS Methods Supported |  |
Fixed (CMSOPT,FIX) | Free (CMSOPT,FREE) | Residual-Flexible Free (CMSOPT,RFFB)
Interface nodes are constrained during the CMS superelement generation pass. | Interface nodes remain free during the CMS superelement generation pass. | Interface nodes remain free during the CMS superelement generation pass.
No requirement to specify rigid body modes. | You must specify the number of rigid body modes (CMSOPT). | If rigid body motion exists, you must specify pseudo-constraints (D).
Generally recommended when accuracy on only the lower modes of the assembled structure (use pass) is necessary. | Generally recommended when accuracy on both lower and higher modes of the assembled structure (use pass) is required. | Generally recommended when accuracy on both lower and higher modes of the assembled structure (use pass) is required.

For more information, see the discussion of component mode synthesis theory and methods in the Theory Reference for ANSYS and ANSYS Workbench.

11.1.2. Solvers Used in Component Mode Synthesis

Following are the solvers and files used in a typical component mode synthesis analysis:

Figure 11.1 Applicable CMS Solvers and Files

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 11. Component Mode Synthesis 		Up / Home Next
11.2. Employing Component Mode Synthesis


11.2. Employing Component Mode Synthesis

As in substructuring, a component mode synthesis (CMS) analysis involves three distinct steps, called passes:

  1. Generation pass (SEOPT, CMSOPT)

  2. Use pass (SETRAN, SESYMM, CPINTF)

  3. Expansion pass (EXPASS, SEEXP, EXPSOL, NUMEXP)

The CMS generation pass condenses a group of finite elements into a single CMS superelement, which includes a set of master degrees of freedom (DOFs) and truncated sets of normal mode generalized coordinates. The master DOFs serve to define the interface between the superelements or other elements.

The following CMS usage topics are available:

  • The CMS Generation Pass: Creating the Superelement
  • The CMS Use and Expansion Passes
  • Superelement Expansion in Transformed Locations
  • Plotting or Printing Mode Shapes

CMS Wizard

A user-friendly wizard is available to help you better understand the CMS process as well as to guide you through the generation, use, and expansion passes for the fixed-interface (CMSOPT,FIX) and free-interface (CMSOPT,FREE) methods for modal analyses. The wizard also provides file organization and management support as files are generated by a CMS analysis. Use the Solution (/SOLU) processor to access the CMS Wizard.

11.2.1. The CMS Generation Pass: Creating the Superelement

The process for generating a CMS superelement consists of two primary tasks:

  1. Building the model

    This step is identical to building the model for a substructuring analysis. Define density (DENS)--or mass in some form--because CMS must generate both stiffness and mass matrices.

  2. Creating the superelement matrices

    The "solution" from a CMS generation pass consists of the superelement matrices (generalized stiffness and mass matrix). This flowchart illustrates the process necessary for creating the superelement matrix file:

    Figure 11.2 Process Flow for Creating a CMS Superelement Matrix

    Specifying the CMS method. When specifying the CMS method, also specify the number of modes and, optionally, the frequency range used to generate the superelement. ANSYS supports the fixed-interface (CMSOPT,FIX), free-interface (CMSOPT,FREE), and residual-flexible free-interface (CMSOPT,RFFB) CMS methods. If employing the free-interface method, also specify the rigid body modes (CMSOPT,,,,FBDDEF). If employing the residual-flexible free-interface method, specify pseudo-constraints (D,,,SUPPORT).

    Naming the superelement matrix file. ANSYS assigns the extension SUB to the superelement matrix file name that you specify (SEOPT,Sename); therefore, the complete file name is Sename.SUB. The default file name is the Jobname (/FILNAME).

    Specifying the lumped mass matrix formulation. Specify the lumped mass matrix formulation (LUMPM) if necessary. For most applications, ANSYS recommends the default formulation (depending upon the element type); however, for dynamic analyses involving "skinny" structures such as slender beams or very thin shells, the lumped mass approximation typically yields better results.

    Defining master DOFs. In a substructure, master degrees of freedom (DOFs) serve as the interface between the superelements or other elements. Define master DOFs (M) at all nodes that connect to non-superelements (Lab1 = ALL), as shown in Example of a Substructuring Application. You must define master DOFs even if you intend to have no elements in the model other than a superelement.

    If this superelement is to be transformed (SETRAN) later in the use pass or used in a large deflection analysis (NLGEOM,ON), all nodes that have master DOFs must have all six DOFs (UX, UY, UZ, ROTX, ROTY, ROTZ) defined and active.

    For large deflections, master DOFs are typically defined at the joints of the flexible body and are at the nodes connected to a joint element (MPC184), another rigid or flexible body node, or ground. At least two master DOFs must be defined for each substructure, as the average rotation of the superelement is computed from the average rotation of its master DOF. If only one node is a joint node, then another must be chosen at the free end. See the Multibody Analysis Guide for more details.

    Specifying pseudo-constraints. Required for the residual-flexible free-interface method (CMSOPT,RFFB). For each superelement where rigid-body modes exist, specify pseudo-constraints. Apply only the minimum number of displacement constraints (D,,,SUPPORT) necessary to prevent rigid body motion: three constraints (or fewer, depending on the element type) for 2-D models and six (or fewer) for 3-D models.

    Saving a copy of the database. Saving a copy of the database (SAVE) is necessary because you must work with the same data in the expansion pass.

    Obtaining the CMS generation pass solution. Output from the solution (SOLVE) consists of the superelement matrix file (Sename.SUB), where Sename is the file name you assigned (via the SEOPT command).

After obtaining the CMS superelement matrices, proceed to the use pass and then the expansion pass, as you would in a substructuring analysis.

For a detailed example of how to employ CMS, see Sample Component Mode Synthesis Analysis.

11.2.2. The CMS Use and Expansion Passes

The CMS use pass and expansion pass are identical to those in a substructuring analysis. The CMS use pass supports the following analysis types:

  • Modal (ANTYPE,MODAL)

  • Static (ANTYPE,STATIC)

  • Transient (ANTYPE,TRANS) -- full or mode superposition method

  • Harmonic (ANTYPE,HARMIC) -- full or mode superposition method

  • Spectrum (ANTYPE,SPECT)

The use pass also supports substructuring analysis prestress.

As in substructuring, the generation and expansion passes occur for each part (CMS superelement) of the entire structure, and the use pass occurs only once because it uses all superelements together to build the full model. The use pass extracts the eigenvalues of the full model (but not the eigenvectors, because the expansion pass recovers them).

In a modal analysis using the free-interface CMS method, the use pass may not always extract all of the modes requested via the MODOPT command. In such cases, increase or decrease the number of modes to extract and run the use pass eigensolution again.

11.2.3. Superelement Expansion in Transformed Locations

When creating a new CMS superelement from an existing superelement (via the SESYMM or SETRAN command) during the use pass, you can specify an offset value to the node or element IDs in the FE geometry record saved in the .rst results file. The command to do so is RSTOFF.

With appropriate offsets, you can write additional results files with unique node or element IDs and thus display the entire model, even if the original superelements have overlapping node or element sets. Results files containing the offset node or element IDs are incompatible with the .db database files saved at the generation pass.

After performing the use pass and expansion pass for all CMS superelements, the mode shape display of the entire assembled structure shows the offset superelements in their transformed locations.

For more information, see Example: Superelement Expansion in a Transformed Location.

11.2.4. Plotting or Printing Mode Shapes

Plotting or printing the mode shapes of the assembled structure occurs during postprocessing. The postprocessor (/POST1) uses the results files generated by the CMS superelements to display shape results. Issue the CMSFILE command to import the CMS superelement results files into the postprocessor where you can view the assembled structure. (You can issue the command as often as needed to include all or some of the component results files.)

If you created new CMS superelements from existing superelements (via SESYMM or SETRAN commands) during the use pass, you can issue the SEEXP command to expand the results with the offset superelements appearing in their transformed locations.

Set the desired mode shape of the assembled structure via the SET command, then plot (PLNSOL) or print (PRNSOL) the mode shapes.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
11.1. Understanding Component Mode Synthesis 		Up / Home Next
11.3. Sample Component Mode Synthesis Analysis


11.3. Sample Component Mode Synthesis Analysis

This section introduces you to the ANSYS product's component mode synthesis (CMS) analysis capabilities by way of example. The sample component mode synthesis presents a modal analysis of a 2D tuning fork.

11.3.1. Problem Description

The model is an unconstrained stainless steel tuning fork. After dividing the fork into three CMS superelements, you must determine the vibration characteristics (natural frequencies and mode shapes) of the entire model.

11.3.2. Problem Specifications

The geometric properties for this analysis follow.

The fork is divided into three CMS superelements:

The three interfaces are as follows:

The material properties for this analysis are as follows:

Young's modulus (E) = 190e9
Poisson's ratio (υ) = 0.3
Density = 7.7e3
The first 10 eigenfrequencies are extracted, and the fourth mode shape (the first non-rigid body mode) is expanded.

11.3.3. Input for the Analysis: Fixed-Interface Method

Use this input file (named cms_sample.inp) to perform the example CMS analysis via the fixed-interface method. The file contains the complete geometry, material properties, and components (nodes and elements).

/batch,list
/title, 2D Tuning Fork
! Component Mode Synthesis - 2-D example
! The Structure is divided into 3 CMS Superelements

! STEP #1
! Start an ANSYS interactive session

! STEP #2
! Read in this input file: cms_sample.inp

finish
/clear

/filnam,full
/units,si
blen=0.035
radi=0.025
tlen=0.1
tthk=0.005

/plopts,minm,0
/plopts,date,0
/pnum,real,1
/number,1

/prep7
k,1,-tthk/2
k,2,tthk/2
k,3,-tthk/2,blen
k,4,tthk/2,blen
local,11,1,,blen+tthk+radi
k,5,radi+tthk,-180
k,6,radi,-180
kgen,2,3,4,1,-tthk
k,9,radi
k,10,radi+tthk
a,5,6,7,3
a,3,7,8,4
a,4,8,9,10
csys,0
a,1,2,4,3
k,11,-radi-tthk,blen+tthk+radi+tlen
k,12,-radi,blen+tthk+radi+tlen
k,13,radi,blen+tthk+radi+tlen
k,14,radi+tthk,blen+tthk+radi+tlen
a,5,6,12,11
a,9,10,14,13
eshape,2
esize,tthk/3.5
et,1,plane42,,,3
r,1,tthk
amesh,all
mp,ex,1,190e9
mp,dens,1,7.7e3
mp,nuxy,1,0.3
nsel,s,,,38
nsel,a,,,174,176
nsel,a,,,170
cm,interface1,node
nsel,s,,,175
nsel,a,,,168
nsel,a,,,180,182
nsel,a,,,38,176,138
cm,interface2,node
nsel,s,,,175
nsel,a,,,168
nsel,a,,,180,182
nsel,a,,,170,174,4
cm,interface3,node
esel,s,,,273,372
cm,part1,elem
esel,s,,,373,652
esel,a,,,1,129
esel,a,,,130
esel,a,,,133,134
esel,a,,,137,138
esel,a,,,141,142
cm,part2,elem
cmsel,s,part1
cmsel,a,part2
esel,inve
cm,part3,elem
allsel,all
save
finish

/eof

! STEP #3 (a. through j.)
! Generation pass

! Generation pass 1

! a.
! Change the active jobname which will become the superelement name

/filnam,part1

! b.
! Specify the analysis type as substructuring

/solu
antype,substr

! c.
! Specifies the name to be assigned to superelement matrix file
! Strongly suggested to be the same as the active jobname

seopt,part1,2

! d.
! Specifies CMS options

cmsopt,fix,10

! e.
! Selects element component named "part1"

cmsel,s,part1

! f.
! Selects node component named "interface1"

cmsel,s,interface1

! g.
! All the active DOFs (that is, on the nodes which belong to "interface1")
! are set as masters

m,all,all

! h.
! Selects all the nodes attached to the selected elements
! (that is, elements which belong to "part1")

nsle

! i.
! solve the first CMS generation pass

solve
finish

! j.
! Save the generation pass 1 database

save

! Repeat the generation pass for "part2"

! Generation pass 2

/filnam,part2
/solu
antype,substr
seopt,part2,2
cmsopt,fix,10
cmsel,s,part2
cmsel,s,interface2
m,all,all
nsle
solve
finish
save

! Repeat the generation pass for "part3"

! Generation pass 3

/filnam,part3
/solu
antype,substr
seopt,part3,2
cmsopt,fix,10
cmsel,s,part3
cmsel,s,interface3
m,all,all
nsle
solve
finish
save

! STEP #4 (a. through i.)
! Use pass

! a.
! Clears the database

/clear,nostart

! b.
! Change the active jobname which will become the use pass name

/filnam,use

! c.
! A superelement element type is created

/prep7
et,1,matrix50

! d.
! Element type attribute pointer set to 1

type,1

! e.
! Brings in the three superelements created above

se,part1
se,part2
se,part3
finish

! f.
! A modal analysis is performed

/solu
antype,modal

! g.
! Specifies modal analysis options

modopt,lanb,10

! h.
! Expands 10 modes

mxpand,10

! i.
! Solve the modal analysis

solve
finish

! STEP #5 (a. through g.)
! Expansion pass

! Expansion pass 1

! a.
! Clears the database

/clear,nostart

! b.
! Changes the jobname to superelement 1 name

/filnam,part1

! c.
! resume the database

resume

! d.
! Specifies the expansion pass

/solu
expass,on

! e.
! Specifies superelement name and use pass name

seexp,part1,use

! f.
! Specifies the loadstep and substep to be expanded

expsol,1,4

! g.
! Solve the first expansion pass

solve
finish

! Repeat the expansion pass for "part2"

! Expansion pass 2

/clear,nostart
/filnam,part2
resume
/solu
expass,on
seexp,part2,use
expsol,1,4
solve
finish

! Repeat the expansion pass for "part3"

! Expansion pass 3

/clear,nostart
/filnam,part3
resume
/solu
expass,on
seexp,part3,use
expsol,1,4
solve
finish

! STEP #6 (a. through c.)
! Reads results for "load step 1 - substep 4"

! a.
! Specifies the data file where results are to be found

/post1
cmsfile,add,part1,rst
cmsfile,add,part2,rst
cmsfile,add,part3,rst

! b.
! Reads the first data set

set,first

! c.
! Plots the displacement contour in the x direction

plnsol,u,x
finish

11.3.4. Analysis Steps: Fixed-Interface Method

The following table describes the input listing and the steps involved in the example fixed-interface CMS analysis in more detail.

Step | Description | ANSYS Command(s)
1. | Start an ANSYS interactive session.
2. | Read the input file: cms_sample.inp | /INPUT,CMS_SAMPLE.INP
3. | Perform the generation pass.
 | a. Change the Jobname to PART1. | /FILNAME,PART1
 | b. Specify the analysis type as substructuring. | /SOLU ANTYPE,SUBSTR
 | c. Assign a name to the superelement matrix file. | SEOPT,PART1,2
 | d. Specify CMS options. | CMSOPT,FIX,10
 | e. Select element component PART1. | CMSEL
 | f. Select node component INTERFACE1. | CMSEL,S,INTERFACE1
 | g. Set all active DOFs as masters. | M,ALL,ALL
 | h. Select all nodes attached to the selected elements. | NSLE
 | i. Solve the current analysis. | SOLVE
 | j. Save the database. ---- As coded in the input file, generation passes for the remaining parts PART2 and PART3 occur here. Steps a through j are repeated for PART2 and again for PART3. (The Jobname and superelement matrix file name change accordingly.) Also, for passes 2 and 3, the node component is INTERFACE2 and INTERFACE3, respectively. | SAVE
4. | Perform the use pass.
 | a. Clear the database. | /CLEAR,NOSTART
 | b. Change the Jobname to USE. | /FILNAME,USE
 | c. Define the element type. | /PREP7 ET,1,MATRIX50
 | d. Define the element type attribute pointer. | TYPE,1
 | e. Define the three superelements to use in the model (PART1, PART2 and PART3). | SE,PART1 SE,PART2 SE,PART3 FINISH
 | f. Specify the analysis type as modal. | /SOLU ANTYPE,MODAL
 | g. Specify modal analysis options. | MODOPT,LANB,10
 | h. Expand 10 modes. | MXPAND,10
 | i. Solve the current analysis. | SOLVE FINISH
5. | Perform the expansion pass.
 | a. Clear the database. | /CLEAR,NOSTART
 | b. Change the Jobname to PART1. | /FILNAME,PART1
 | c. Resume the database. | RESUME
 | d. Perform the expansion. | /SOLU EXPASS,ON
 | e. Name the superelement and use pass. | SEEXP,PART1,USE
 | f. Specify the loadstep and substep to expand. | EXPSOL,1,4
 | g. Solve the current analysis. ---- As coded in the input file, expansion passes for the remaining parts PART2 and PART3 occur here. Steps a through g are repeated for PART2 and again for PART3. (The Jobname and superlement name change accordingly.) | SOLVE FINISH
6. | Read the results.
 | a. Specify the superelement matrix file containing the results. | /POST1 CMSFILE,ADD,PART1,RST CMSFILE,ADD,PART2,RST CMSFILE,ADD,PART3,RST
 | b. Read the first data set. | SET,FIRST
 | c. Plot the displacement contour in the X direction. ---- This step completes the sample fixed-interface CMS analysis. Your results should match those shown in Figure 11.3: "Sample CMS Analysis Results: Fixed-Interface Method". | PLNSOL,U,X FINISH

The results of your fixed-interface CMS analysis should match those shown here:

Figure 11.3 Sample CMS Analysis Results: Fixed-Interface Method

11.3.5. Input for the Analysis: Free-Interface Method

This input file fragment shows how to set up the generation pass to perform the example CMS analysis via the free-interface method. (All other input remains the same, as shown in Input for the Analysis: Fixed-Interface Method.)

.
.
.
! STEP #3 (a. through j.)
! Generation pass

! Generation pass 1

! a.
! Change the active jobname which will become the superelement name

/filnam,part1

! b.
! Specify the analysis type as substructuring

/solu
antype,substr

! c.
! Specifies the name to be assigned to superelement matrix file
! Strongly suggested to be the same as the active jobname

seopt,part1,2

! d.
! Specifies CMS options

cmsopt,FREE,10,,,FNUM,3
! If not otherwise specified, the CMSOPT command default behavior
! is to automatically determine rigid body modes in the calculation

! e.
! Selects element component named "part1"

cmsel,s,part1

! f.
! Selects node component named "interface1"

cmsel,s,interface1

! g.
! All the active DOFs (that is, on the nodes which belong to "interface1")
! are set as masters

m,all,all

! h.
! Selects all the nodes attached to the selected elements
! (that is, elements which belong to "part1")

nsle

! i.
! solve the first CMS generation pass

solve
finish

! j.
! Save the generation pass 1 database

save

! Repeat the generation pass for "part2"

! Generation pass 2

/filnam,part2
/solu
antype,substr
seopt,part2,2
cmsopt,free,10,,,FNUM,3
cmsel,s,part2
cmsel,s,interface2
m,all,all
nsle
solve
finish
save

! Repeat the generation pass for "part3"

! Generation pass 3

/filnam,part3
/solu
antype,substr
seopt,part3,2
cmsopt,free,10,,,FNUM,3
cmsel,s,part3
cmsel,s,interface3
m,all,all
nsle
solve
finish
save
.
.
.

11.3.6. Analysis Steps: Free-Interface Method

The following table describes the input code fragment for the generation pass used in a free-interface CMS analysis. (All other analysis steps remain the same, as shown in Analysis Steps: Fixed-Interface Method.)

Step | Description | ANSYS Command(s)
1. | ...
2. | ...
3. | Perform the generation pass.
 | a. Change the Jobname to PART1. | /FILNAME,PART1
 | b. Specify the analysis type as substructuring. | /SOLU ANTYPE,SUBSTR
 | c. Assign a name to the superelement matrix file. | SEOPT,PART1,2
 | d. Specify CMS options. | CMSOPT,FREE,10,,,FNUM,3
 | e. Select element component PART1. | CMSEL
 | f. Select node component INTERFACE1. | CMSEL,S,INTERFACE1
 | g. Set all active DOFs as masters. | M,ALL,ALL
 | h. Select all nodes attached to the selected elements. | NSLE
 | i. Solve the current analysis. | SOLVE
 | j. Save the database. ---- As coded in the input file, generation passes for the remaining parts PART2 and PART3 occur here. Steps a through j are repeated for PART2 and again for PART3. (The Jobname and superelement matrix file name change accordingly.) Also, for passes 2 and 3, the node component is INTERFACE2 and INTERFACE3, respectively. | SAVE
4. | ...
5. | ...
6. | ...

11.3.7. Input for the Analysis: Residual-Flexible Free-Interface Method

This input file fragment shows how to set up the generation pass to perform the example CMS analysis via the residual-flexible free-interface method. (All other input remains the same, as shown in Input for the Analysis: Fixed-Interface Method.)

.
.
.
! STEP #3 (a. through j.)
! Generation pass

! Generation pass 1

! a.
! Change the active jobname which will become the superelement name

/filnam,part1

! b.
! Specify the analysis type as substructuring

/solu
antype,substr

! c.
! Specifies the name to be assigned to superelement matrix file
! Strongly suggested to be the same as the active jobname

seopt,part1,2

! d.
! Specifies CMS options

cmsopt,rffb,10

! e.
! Selects element component named "part1"

cmsel,s,part1

! f.
! Selects node component named "interface1"

cmsel,s,interface1

! g.
! All the active DOFs (that is, on the nodes which belong to "interface1")
! are set as masters

m,all,all

! h.
! Selects all the nodes attached to the selected elements
! (that is, elements which belong to "part1")

nsle

! i.
! Specify only the minimum number of displacement constraints necessary
! to prevent rigid body motion: three constraints (or fewer, depending
! on the element type) for 2-D models and six (or fewer) for 3-D models.
d,430,all,support
d,440,ux,support

! j.
! solve the first CMS generation pass

solve

finish

! k.
! Save the generation pass 1 database

save

! Repeat the generation pass for "part2"

! Generation pass 2

/filnam,part2
/solu
antype,substr
seopt,part2,2
cmsopt,rffb,10
cmsel,s,part2
cmsel,s,interface2
m,all,all
nsle
d,705,all,support
d,715,ux,support
solve
finish
save

! Repeat the generation pass for "part3"

! Generation pass 3

/filnam,part3
/solu
antype,substr
seopt,part3,2
cmsopt,rffb,10
cmsel,s,part3
cmsel,s,interface3
m,all,all
nsle
d,1050,all,support
d,1060,ux,support
solve
finish
save
.
.
.

11.3.8. Analysis Steps: Residual-Flexible Free-Interface Method

The following table describes the input code fragment for the generation pass used in a residual-flexible free-interface CMS analysis. (All other analysis steps remain the same, as shown in Analysis Steps: Fixed-Interface Method.)

Step | Description | ANSYS Command(s)
1. | ...
2. | ...
3. | Perform the generation pass.
 | a. Change the Jobname to PART1. | /FILNAME,PART1
 | b. Specify the analysis type as substructuring. | /SOLU ANTYPE,SUBSTR
 | c. Assign a name to the superelement matrix file. | SEOPT,PART1,2
 | d. Specify CMS options. | CMSOPT,RFFB,10
 | e. Select element component PART1. | CMSEL
 | f. Select node component INTERFACE1. | CMSEL,S,INTERFACE1
 | g. Set all active DOFs as masters. | M,ALL,ALL
 | h. Select all nodes attached to the selected elements. | NSLE
 | i. Specify pseudo-constraints. ---- Specify only the minimum number of displacement constraints necessary to prevent rigid body motion: three constraints (or fewer, depending on the element type) for 2-D models and six (or fewer) for 3-D models. | D,,,SUPPORT
 | j. Solve the current analysis. | SOLVE
 | k. Save the database. ---- As coded in the input file, generation passes for the remaining parts PART2 and PART3 occur here. Steps a through j are repeated for PART2 and again for PART3. (The Jobname and superelement matrix file name change accordingly.) Also, for passes 2 and 3, the node component is INTERFACE2 and INTERFACE3, respectively. | SAVE
4. | ...
5. | ...
6. | ...

11.3.9. Example: Superelement Expansion in a Transformed Location

This input file fragment shows how to create a superelement from an existing superelement, apply offsets to the node and element IDs, and then expand it in the transformed location. (All other input remains the same, as shown in Input for the Analysis: Fixed-Interface Method.)

.
.
.
! STEP #3
! Generation pass

! Generation pass 1

/filnam,part1
/solu
antype,substr
seopt,part1,2
cmsopt,fix,10
cmsel,s,part1
cmsel,s,interface1
m,all,all
nsle
solve
finish
save

! Generation pass 2

/filnam,part2
/solu
antype,substr
seopt,part2,2
cmsopt,fix,10
cmsel,s,part2
cmsel,s,interface2
m,all,all
nsle
solve
finish
save

! No generation pass is necessary for PART3. We will
! create the third component of the model from the existing
! superelement PART2 and name it PART2SYM

! STEP #4
! Use pass

/clear,nostart
/filnam,use

/prep7
et,1,matrix50
type,1

! Define the three superelements to use in the model

se,part1
se,part2
*get,nmax,node,,num,max
sesymm,part2,x,nmax,part2sym,sub
se,part2sym
cpintf,all,0.001
finish

/solu
antype,modal
modopt,lanb,10
mxpand,10

solve
finish

! STEP #5
! Expansion pass

! Expansion pass 1

/clear,nostart
/filnam,part1
resume
/solu
expass,on
seexp,part1,use
expsol,1,4
solve
finish

! Expansion pass 2

/clear,nostart
/filnam,part2
resume
/solu
expass,on
seexp,part2,use
expsol,1,4
solve
finish

! Obtain the third part of the model from PART2
! Expand the solution in the transformed location

/assign,rst,part2sym,rst
/solu
expass,on
seexp,part2sym,use,,on
!     Offset node and element IDs in the new superelement
rstoff,node,10000
rstoff,elem,10000
expsol,1,4
solve
finish

! STEP #6
! Reads results for "load step 1 - substep 4"

! Specify the data file where results are to be found

/post1
cmsfile,add,part1,rst
cmsfile,add,part2,rst
cmsfile,add,part2sym,rst
.
.
.

11.3.9.1. Analysis Steps: Superelement Expansion in a Transformed Location

The following table describes the input code fragments used to create a superelement from an existing superelement, apply offsets to the node and element IDs, and then expand it in the transformed location. All other analysis steps remain the same, as shown in Analysis Steps: Fixed-Interface Method.)

Step Description ANSYS Command(s)

1.

...

2.

...

3.

Perform the generation pass.

As coded in the input file, generation passes for PART1 and PART2 occur here. (The Jobname and superelement matrix file names change accordingly.) Also, for passes 1 and 2, the node component is INTERFACE1 and INTERFACE2, respectively.

A third generation pass to generate PART3 is unnecessary. Instead, the third component of the model (named PART2SYM) will be created from the existing superelement PART2.

4.

Perform the use pass.

...

Define the three superelements to use in the model (PART1, PART2 and PART2SYM).

----

The PART2SYM superelement is created from the existing PART2 superelement.

SE,PART1

SE,PART2

*GET,NMAX,NODE,,NUM,MAX

SESYMM,PART2,X,NMAX,PART2SYM,SUB

SE,PART2SYM

CPINTF,ALL,0.001

FINISH

...

5.

Perform the expansion pass.

As coded in the input file, expansion passes for parts PART1 and PART2 occur here. (The Jobname and superelement name change accordingly.)

Obtain the third component of the model (named PART2SYM) from PART2.

/ASSIGN,RST,PART2SYM,RST

/SOLU

EXPASS,ON

SEEXP,PART2SYM,USE,,ON

Offset node and element IDs.

RSTOFF,NODE,10000

RSTOFF,ELEM,10000

Expand and solve.

EXPSOL,1,4

SOLVE

FINISH

6.

Read the results.

Specify the superelement matrix file containing the results.

/POST1

CMSFILE,ADD,PART1,RST

CMSFILE,ADD,PART2,RST

CMSFILE,ADD,PART2SYM,RST

...
...

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
11.2. Employing Component Mode Synthesis 		Up / Home Next
Chapter 12. Rigid Body Dynamics and the ANSYS-ADAMS Interface


Chapter 12. Rigid Body Dynamics and the ANSYS-ADAMS Interface

The ADAMS software marketed by MSC Software is one of several special-purpose programs used to simulate the dynamics of multibody systems.

One drawback of the ADAMS program is that all components are assumed to be rigid. In the ADAMS program, tools to model component flexibility exist only for geometrically simple structures. To account for the flexibility of a geometrically complex component, ADAMS relies on data transferred from finite-element programs such as ANSYS. The ANSYS-ADAMS Interface is a tool provided by ANSYS, Inc. to transfer data from the ANSYS program to the ADAMS program.

The following ANSYS-ADAMS interface topics are available:

  • Understanding the ANSYS-ADAMS Interface
  • Building the Model
  • Modeling Interface Points
  • Exporting to ADAMS
  • Running the ADAMS Simulation
  • Transferring Loads from ADAMS to ANSYS
  • Methodology Behind the ANSYS-ADAMS Interface
  • Sample Rigid Body Dynamic Analysis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
11.3. Sample Component Mode Synthesis Analysis 		Up / Home Next
12.1. Understanding the ANSYS-ADAMS Interface


12.1. Understanding the ANSYS-ADAMS Interface

Use the ANSYS-ADAMS Interface whenever you want to include flexibility of a body in an ADAMS simulation. Flexibility can be an important aspect in a multibody system, for example, to recognize resonances or to accurately simulate forces and movements of the components. Often, the flexibility of a system is not negligible. A typical example is the model of a piston moving in an engine. The movement of the piston significantly depends on the flexibility of the crankshaft and/or the connecting rod. Because the geometry of a connecting rod can be complex, the ANSYS-ADAMS Interface can be used to account for the connecting rod flexibility.

To use the ANSYS-ADAMS Interface, you first model a flexible component using standard ANSYS commands. While building the model, you must give special attention to modeling interface points where joints will be defined in ADAMS. The next step is to use the ANSYS-ADAMS Interface to write a modal neutral file (Jobname.MNF) that contains the flexibility information for the component. This file is written in the format required by ADAMS/Flex, an add-on module available for ADAMS. See Exporting to ADAMS for details on how to use the ANSYS-ADAMS Interface to create the .MNF file. For a complete description of the method used to create the modal neutral file and the information it contains, see The Modal Neutral File.

After performing the dynamic simulation in ADAMS, you can use the export capabilities of ADAMS to create an ANSYS input file containing accelerations and rotational velocities of the rigid part and forces acting in the joints of the component. You can then import this file into ANSYS to perform a stress analysis. See Transferring Loads from ADAMS to ANSYS for details on how to import the loads and perform a subsequent static structural analysis.

The process for transferring flexible components to ADAMS and forces back to ANSYS consists of these general steps:

  1. Build the model.

  2. Model interface points.

  3. Export to ADAMS (and create the modal neutral file).

  4. Run the ADAMS simulation using the modal neutral file.

  5. Transfer resulting loads from ADAMS to ANSYS and perform a static analysis.

For more information and an example analysis, see Methodology Behind the ANSYS-ADAMS Interface and Sample Rigid Body Dynamic Analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 12. Rigid Body Dynamics and the ANSYS-ADAMS Interface 		Up / Home Next
12.2. Building the Model


12.2. Building the Model

In order to use the ANSYS-ADAMS Interface, you must first create a complete finite element model in ANSYS. To build the model, you specify the jobname and analysis title, and use the /PREP7 preprocessor to define the element types, element real constants, material properties, and the model geometry. These tasks are common to most analyses and are described in Building the Model in the Basic Analysis Guide. For further details on how to create the geometry and mesh, see the Modeling and Meshing Guide.

When building your model, remember these points:

  • The interface is designed to support most element types that have displacement degrees of freedom. Exceptions are axisymmetric elements (for example, PLANE25) and explicit dynamic elements (for example, SOLID164).

  • Only linear behavior is allowed in the model. If you specify nonlinear elements, they are treated as linear. For example, if you include nonlinear springs (like COMBIN39), their stiffnesses are calculated based on their initial status and never change.

  • Material properties can be linear, isotropic or orthotropic, constant or temperature-dependent. You must define both Young's modulus (EX, or stiffness in some form) and density (DENS, or mass in some form) for the analysis. Nonlinear properties are ignored.

  • Damping is ignored when the interface computes the modal neutral file (Jobname.MNF). Damping of the flexible component can be added later in the ADAMS program.

  • The ADAMS program requires a lumped mass approach (LUMPM,ON). This requirement results in the following special considerations.

    • For most structures that have a reasonably fine mesh, this approximation is acceptable. If a model has a coarse mesh, the inertia properties may have errors. To determine what the effect will be, start a modal analysis with and without LUMPM,ON and compare the frequencies.

    • When using SHELL63, set KEYOPT(3) = 2 to activate a more realistic in-plane rotational stiffness. If the elements are warped, use SHELL181 with KEYOPT(3) = 2 instead.

    • When using two dimensional elements, the corresponding ADAMS model must lie in the X-Y-plane. Remember that ADAMS models are always three dimensional. The 2-D flexible component transferred will not have any component in the Z-direction.

    • Nodes of a plane element only have two degrees of freedom: translations in the X- and Y-direction. Thus, no moment loads (forces, joints) can be applied in the ADAMS analysis. Likewise, nodes of a solid element only have translational degrees of freedom.

  • You cannot apply constraints (D command) to the model. Also, make sure that no master degrees of freedom (M or TOTAL commands) were defined in an earlier analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.1. Understanding the ANSYS-ADAMS Interface 		Up / Home Next
12.3. Modeling Interface Points


12.3. Modeling Interface Points

When building a model that will be used in an ADAMS simulation, an important consideration is how to represent interface points within the structure. An interface point is a node that will have an applied joint or force in the ADAMS program. Keep in mind that, in ADAMS, the forces can only be applied to interface points.

The number of interface points used will determine the number of constraint modes for the model. Constraint modes are the static shapes assumed by the component when one degree of freedom of an interface point is given a unit deflection while holding all other interface degrees of freedom fixed. The number of constraint modes is equal to the number of degrees of freedom of all interface points. (For 3-D models, the interface points have 6 DOF; therefore, each interface point has 6 constraint modes.)

You must pay special attention to modeling interface points for these reasons:

  • An interface point must have six degrees of freedom (except for 2-D elements).

  • Force (applied directly or via a joint) should be applied to the structure by distributing it over an area rather than applying it at a single node.

  • If there is no node in the structure where you can apply the force or joint in ADAMS (for example, a pin center), you need to create a geometric location for that point.

Use the following guidelines to determine the best way to model the interface points for your structure:

  • To ensure that all your loads will be projected on the deformation modes in the ADAMS simulation, you must define all nodes where you are going to apply a joint or a force as interface points.

  • Interface points in ANSYS must always have 6 degrees of freedom, except for 2-D elements. If your model consists of solid elements, use constraint equations or a spider web of beam elements (as shown in Figure 12.1: "Connecting a Structure to an Interface Point") to ensure that the interface node has 6 degrees of freedom.

  • A good practice for modeling interface points is to reinforce the area using beam elements or constraint equations. Using one of these techniques will distribute the force over an area rather than applying it to a single node, which would be unrealistic.

  • If you use a spider web of beam elements, use a high stiffness and a small mass for the beams. Otherwise, you will alter the stiffness and mass of your model, which could result in eigenmodes and frequencies that do not represent the original model.

  • You may use constraint equation commands such as CE and CERIG to attach the interface node (for example, CERIG,MASTE,SLAVE,UXYZ, where MASTE is the interface node). Avoid the RBE3 command since problems can occur with the master degrees of freedom. If you use constraint equations, mesh the interface point with a MASS21 element (use KEYOPT(3) = 0) that has small (negligible) inertias.

  • Do not define interface points that lie next to each other and are connected by constraint equations or short beams. This type of connection would require too many eigenmodes and result in a model that is not well conditioned.

Figure 12.1: "Connecting a Structure to an Interface Point" shows three different ways that you may attempt to attach an interface point to a structure. The first two examples (a and b) demonstrate valid methods of attachment. The third example (c) demonstrates a poor method of attachment that should not be used.

Figure 12.1 Connecting a Structure to an Interface Point

Each method depicted in the figure is described below.

  • a) Constraint equations are connecting the interface point to the structure. This method is recommended because:

    • Force is distributed over an area.

    • A MASS21 element is used to define the six degrees of freedom of the interface point.

    • Moment loads are transmitted.

  • b) A spider web of beams is connecting the interface point to the structure. This method is recommended (and preferred) because:

    • Force is distributed over an area.

    • No MASS21 element is necessary (because the beams supply the six degrees of freedom).

    • Moment loads are transmitted.

  • c) One beam is used to connect the interface point to the structure. This is not recommended because:

    • The force is applied to the structure at a single node.

    • Solid elements do not have rotational degrees of freedom. Therefore, moments will not be properly transmitted from the interface point to the structure (a spider web scheme should be used).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.2. Building the Model 		Up / Home Next
12.4. Exporting to ADAMS


12.4. Exporting to ADAMS

After building the model in ANSYS (including all interface points), the next step is to invoke the ANSYS-ADAMS Interface to create the modal neutral file, Jobname.MNF. Creation of this file is driven by an ANSYS command macro called ADAMS.MAC.

To start the interface, select the following GUI path.

Main Menu> Solution> ADAMS Connection> Export to ADAMS

The Select Interface Points dialog box appears first. From this dialog box, you must select two or more interface points.

Note

Do not choose too many interface points since one point gives rise to 6 degrees of freedom in ADAMS. Too many interface points may lead to huge files and models.

After you confirm your selection by picking OK, the Export to ADAMS dialog box appears.

Figure 12.2 Export to ADAMS Dialog Box

Complete the following steps using this dialog box.

  1. System of Model Units: The units used for the model is important to the ADAMS program, whereas ANSYS only requires that you use a consistent set of units. The units chosen will be written to the .MNF file and can be recalled with the ADAMS/Flex module. If no units are specified, ADAMS assumes that the same units were used in ANSYS as the ones chosen in the ADAMS model. See the /UNITS command for details. If you specify user defined units, a Define User Units dialog box will appear for you to input the conversion factors (for length, mass, force, and time) between SI units and your chosen units. Below is an example of user defined units in which the component has been modeled using millimeter, tonne (metric ton), newton, and second.

    Length Factor = | 1 meter/millimeter | = 1000
    Mass Factor = | 1 kilogram/tonne | = 0.001
    Force Factor = | 1 newton/newton | = 1
    Time Factor = | 1 second/second | = 1

  2. Number of Modes to Extract: Input the number of normal modes to compute. Normal modes are the eigenmodes of the component with all degrees of freedom of all interface points fixed. The number of normal modes depends on the frequency range of the excitation you will apply in your ADAMS model. You must choose a sufficient number of modes to represent your structure in that frequency range. In ADAMS, if you have chosen too many normal modes, you are able to deactivate eigenmodes based on the frequency or an energy criterion.

  3. Element Results: Specify whether or not the program should write stress and/or strain results. This option has no effect on the output for beam elements. If you want to output stress and strain for only a subset of nodes, you should create a node component named "STRESS" before running the ADAMS command macro.

  4. Shell Element Result Output Control: Specify the shell element output location (top, middle, bottom). This option has no effect on the output for solid elements and beam elements.

  5. Filename: Specify a filename for the modal neutral file. The default name is Jobname.MNF. If a file with the chosen name exists, it will be moved to a file named filename.MNFBAK.

  6. Export to ADAMS: Choose “Solve and create export file to ADAMS” to initiate the solution sequence. Static and normal modes are computed and all information required by ADAMS is written to the .MNF file specified above. Only the selected elements are considered. The current model is written to the database file Jobname.DBMNF.

Note

Note that the algorithm used to compute the .MNF file adds constraints to the interface points. If you create the .MNF file a second time using the same model in the same run, be sure to delete all constraints on the interface points (or resume the database file Jobname.DBMNF) before you run it again.

12.4.1. Exporting to ADAMS via Batch Mode

If you prefer to work in batch mode, you may choose to run the ADAMS command macro by command input. After building the model and defining interface points, use the following commands to compute the .MNF file.

/UNITS,Label        ! Specify the units chosen for modeling
NSEL,...            ! Select two or more interface points
SAVE                ! Save the model for a possible resume from
                    ! this point
ADAMS,NMODES,...    ! Activate ADAMS.MAC to compute the .MNF file

See the ADAMS command description for more information. When you use command input to compute the .MNF file, there is no option to change the file name. The default name of Jobname.MNF will be used.

12.4.2. Verifying the Results

It is a good practice to verify the correctness of the results after the .MNF file is created. Below are guidelines you can use to complete this task.

  • Check the number of orthonormalized eigenmodes in the ANSYS output window. These eigenmodes are the result of an orthonormalization of the normal modes and the constraint modes. You should observe the following:

    • The number of modes equals the number of normal modes plus the number of constraint modes.

    • The first six modes are rigid body modes. These are marked with “(probable rigid body mode).” If there is a mode close to a rigid body mode but not marked, you may deactivate it later in the ADAMS program.

    • If a mode is marked with “Infinity. Possible mass singularity. Ignored,” check your model carefully. There might be a problem with the Interface points.

    • The first few modes are equal to the free-free eigenmodes of the component. You might want to verify this by doing a modal analysis: Set analysis option to ANTYPE,MODAL with MODOPT,LANB (Block Lanczos); activate the lumped mass approach with LUMPM,ON.

  • Review the normal modes (load step 1) and the constraint modes (load step 2) in the General Postprocessor.

  • Verify the transfer by doing a modal analysis of the component in ADAMS with all interface degrees of freedom fixed. Compare the results with the normal modes computed in ANSYS (load step 1).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.3. Modeling Interface Points 		Up / Home Next
12.5. Running the ADAMS Simulation


12.5. Running the ADAMS Simulation

After you have verified that the .MNF file contains accurate information, you are ready to run an ADAMS simulation with a flexible component. Import the .MNF file into your ADAMS model and attach it to the rigid bodies using joints. To keep any numerical imbalance between inertia and external loads small, make sure you simulate your ADAMS model with high accuracy.

For general information about the ADAMS program and how to import flexible bodies, refer to the ADAMS manuals (provided by Mechanical Dynamics, Inc.), especially the documentation provided for the ADAMS/Flex product.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.4. Exporting to ADAMS 		Up / Home Next
12.6. Transferring Loads from ADAMS to ANSYS


12.6. Transferring Loads from ADAMS to ANSYS

There are two ways to transfer loads and/or deformations from ADAMS to ANSYS:

  • If the component is assumed to be rigid in ADAMS, you can transfer joint and external forces, accelerations, and rotational velocity acting on the component as described in Transferring Loads on a Rigid Body.

  • If the component is flexible, you can transfer the deformed shape of the component using the MSR toolkit from ADAMS. This type of transfer is not supported by the ANSYS-ADAMS Interface. See Transferring the Loads of a Flexible Body for more information on this transfer method.

12.6.1. Transferring Loads on a Rigid Body

If you model your component as a rigid body in ADAMS, you can use the Export FEA Loads feature in ADAMS to export the loads to a file. This file can then be imported into ANSYS for a subsequent stress analysis.

If you model your component as a flexible body, ADAMS allows you to use the Export FEA Loads feature to transfer the loads, but the loads will be incomplete. Therefore, this load transfer procedure should generally not be used for flexible bodies. The transfer of loads may work, however, if the flexible bodies experience only small dynamic effects. If this is not the case, you may want to change the component temporarily to a rigid body (using the Modify utility in ADAMS) and run another simulation before you transfer the loads.

12.6.1.1. Exporting Loads in ADAMS

After performing an ADAMS simulation, you can export loads on a specific component at specific times. In ADAMS, choose File> Export> FEA Loads to access the ADAMS Export FEA Loads dialog box.

Figure 12.3 ADAMS Export FEA Loads Dialog Box

Complete the following steps in this dialog box.

  1. File Type: Choose FEA Loads

  2. File Format: Choose ANSYS

  3. File Name: Specify a name for the load file. The default extension is .LOD.

  4. Specify whether you want to export loads on a rigid body or a flexible body.

    • Rigid body: You must define a marker on the body that has the same position and orientation relative to the body as the global origin does in the ANSYS model.

    • Flexible body: The marker is set automatically since this information is known from the .MNF file.

  5. Click on “Add Load Points to Nodes Table.”

    • If you chose a rigid body, you can input the Node IDs of the nodes where the loads have to be applied in ANSYS.

    • If you chose a flexible body, ADAMS will automatically input the correct Node IDs.

  6. Output at times: Specify at what time steps you want to export the loads.

  7. Finally, ADAMS will ask you about the units. The units for export must be the same as those chosen for building the ANSYS model. If they are not the same, change them temporarily to the ANSYS units or scale the loads in the load file later.

Every time step in ADAMS is treated as a load step in ANSYS. In ADAMS versions up to 11.0.0, ADAMS writes the LSWRITE command before the load commands. Therefore, if you are using ADAMS version 11.0.0 or earlier, you must use a text editor to move the LSWRITE command to the end of each time step in the .LOD file.

The following loads will be included in the load file:

Joint forces (F command)
External forces (F command)
Accelerations and rotational velocities (ACEL, OMEGA, DOMEGA commands)

12.6.1.2. Importing Loads into ANSYS

After exporting the load file from ADAMS, you can use the ANSYS-ADAMS Interface to import the load file and initiate a static structural analysis. To access the Import from ADAMS dialog box, pick:

Main Menu> Solution> ADAMS Connection> Import fr ADAMS

Figure 12.4 Import from ADAMS Dialog Box

Complete the following steps in the dialog box:

  1. Import file from ADAMS: Enter the name of the load file that was exported from ADAMS.

  2. Import option: Theoretically, external forces and inertia forces are in equilibrium. Due to numerical errors or due to mass discrepancies between ADAMS and ANSYS, this is insufficient to prevent a rigid body motion of the component. Hence, you must constrain the component against rigid body motion in order to do a static structural analysis. The ANSYS-ADAMS Interface offers two import options to achieve this.

    • Import loads only. The program applies inertia loads and external forces to the structure according to the load file. For this option, you must manually add constraints to the ANSYS model that are compatible with the constraints used in the ADAMS model (if possible), or use common engineering sense to prevent rigid body motion.

    • Add weak springs: The program adds weak springs (COMBIN14 elements) to the corners of the bounding box of the component. (For more information, see the WSPRINGS command documentation). The weak springs prevent rigid body motion without influencing the stress results. (See Adding Weak Springs for more information on how the program adds weak springs to the model.)

  3. Import button: When you pick the Import button, one load step file is written per time step exported from ADAMS; existing load step files are deleted. If you chose the “Import loads only” option, you will have to start the static solution manually by issuing the SOLVE command for each load step. If you chose the “Add weak springs” option, inertia relief is activated (IRLF,1) to compute accurate acceleration loads, and the static analysis is started automatically.

Note

If you use the import procedure a second time with the “Add weak springs” option, additional weak springs will be added to the model. This will have only a small influence on the results.

12.6.1.3. Importing Loads via Commands

If you prefer to work in batch mode, you may choose to import the load file and initiate the solution by command input. After exporting the load file from ADAMS, use the following commands to read the load file and initiate the static solution.

/INPUT,...              ! Read the load file from ADAMS
WSPRINGS (or D)         ! Apply weak springs (or use D commands to
                        ! apply rigid body constraints)
*DO,par,ival,fval,inc   ! Specify load steps to solve
  IRLF,1                ! Activate inertial relief to achieve higher accuracy
                        ! (this step is optional)
  LSREAD,par            ! Read load step
  SOLVE                 ! Solve model
*ENDDO

Every subsequent call of the WSPRINGS command will apply weak springs. Therefore, this command may be omitted when importing new loads.

12.6.1.4. Reviewing the Results

When the structural analysis is complete, you review the results as you would for any linear structural analysis.

When using the weak springs option with inertia relief check that:

  • The accelerations ANSYS computed for inertia relief are small compared to the applied acceleration loads from ADAMS (ACEL, OMEGA, DOMEGA). Issue the command IRLIST to view the inertia relief accelerations (translational and rotational).

  • The forces in the springs are small compared to the external forces. The forces in the springs can be viewed by listing the reaction forces. Use the PRRSOL command to list reaction forces.

The external forces have to be balanced by the applied inertia forces only. If one of the above is not true, there is an imbalance in your model that must be removed. Check your ANSYS and ADAMS models, respectively.

12.6.2. Transferring the Loads of a Flexible Body

If you want to model a flexible component in the ADAMS program and perform a subsequent stress analysis, you may want to use the Modal Stress Recovery (MSR) toolkit provided by Mechanical Dynamics, Inc. Using the features of this toolkit, it is possible to transfer the loads of a flexible component from ADAMS to ANSYS for stress analysis. This toolkit provides several strategies for interfacing with ANSYS:

  • Export Time-Domain Displacements: If you have only a few time steps to analyze, this is a fast option. The displacement of every node of the component is written directly into an ANSYS input file. This file can then be imported using the /INPUT command. A simple static analysis can be started in ANSYS after the import of this file.

  • Export Mode Shapes: The toolkit writes an ANSYS input file that can be used to compute the orthonormalized or unorthonormalized eigenmodes of the component. By using the Export of Modal Coordinates option, these eigenmodes can be scaled in ANSYS, and the stresses in the component can be computed for every time step.

  • Export Nodal Loads: Using this feature, you can write an ANSYS input file to perform stress recovery as a superposition of unit force load steps. This method ignores the inertia load contribution to the flexible body deformation, so it may be inaccurate when interpreting dynamic effects.

Note

The MSR toolkit features described here are not supported by the ANSYS-ADAMS Interface.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.5. Running the ADAMS Simulation 		Up / Home Next
12.7. Methodology Behind the ANSYS-ADAMS Interface


12.7. Methodology Behind the ANSYS-ADAMS Interface

Some tasks performed by the ANSYS-ADAMS Interface involve substantial “behind-the-scenes” work. Two tasks in particular fall in this category: the creation of the modal neutral file (Jobname.MNF) and the addition of weak springs via the WSPRINGS command. The following sections provide details on how ANSYS performs those tasks.

12.7.1. The Modal Neutral File

The algorithm used to create the modal neutral file (.MNF) is based on a formulation called component mode synthesis (also known as dynamic substructuring). ADAMS uses the approach of Craig Bampton with some slight modifications. According to this theory, the motion of a flexible component with interface points is spanned by the interface constraint modes and the interface normal modes. Constraint modes and interface normal modes together are referred to as component modes.

Because the algorithm relies on the component mode synthesis method, which is based on the modal analysis, only linear properties are considered during the formation of the modal neutral file. All geometric and physical nonlinearities are ignored. If significant geometric nonlinear effects are present in your component, you must subdivide the component into several smaller components and transfer each one separately. You can then assemble the subdivided components in ADAMS to form a flexible component with geometric nonlinearity.

The modal neutral file contains the following information:

  • Header information: date, ANSYS version, title, .MNF version, units

  • Body properties: mass, moments of inertia, center of mass

  • Reduced stiffness and mass matrices in terms of the interface points

  • Interface normal modes (the user requests the number of modes generated)

  • Interface constraint modes

To supply the above information, ANSYS does a sequence of analyses through a macro file called ADAMS.MAC (see the ADAMS command) in order to generate the required interface constraint modes and interface normal modes.

12.7.2. Adding Weak Springs

During the import of loads from ADAMS to ANSYS, you can instruct ANSYS to add weak springs to the model via the WSPRINGS command. The weak springs are added to the corners of the bounding box of the component. The stiffnesses of the springs are many orders of magnitude less than the stiffness of the structure, and hence prevent rigid body motion without influencing the stress results. The program takes the following steps when adding weak springs:

  • To define the bounding box, the algorithm finds the nodes with the maximum and minimum coordinates. Six nodes are created by this approach. These nodes define the bounding box of the component. Because a three dimensional model is required for this approach, simple beam models that only have an extension in one dimension cannot be handled by the weak springs options.

  • COMBIN14 elements are used to link the six nodes of the bounding box to the ground in all three translational directions. The stiffness of the spring element is computed as k = (Emean)(10–6), where Emean is the mean value of all moduli of elasticity defined. This is a very rough approach, but one which has proven to be effective in practical applications. If the stress results are influenced by the springs, you can change the stiffness by changing the corresponding COMBIN14 real constant.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.6. Transferring Loads from ADAMS to ANSYS 		Up / Home Next
12.8. Sample Rigid Body Dynamic Analysis


12.8. Sample Rigid Body Dynamic Analysis

This sample analysis demonstrates how to model a flexible component in ANSYS and export the flexible body information to a file for use in ADAMS. The example also provides brief instructions on how to perform the rigid body dynamic analysis in ADAMS, and details on how to transfer the loads from ADAMS to ANSYS in order to perform a stress analysis.

12.8.1. Problem Description

In the linkage assembly shown below, Link3 is a flexible component. Link3 is modeled as a rectangular rod in ANSYS using SOLID45 elements. The joints in ADAMS will be attached to interface points (nodes) at the middle of the holes at either end of Link3. These middle points are connected to the cylindrical joint surfaces by a spider web of BEAM4 elements.

Figure 12.5 Linkage Assembly

12.8.2. Problem Specifications

The figure below shows the Link3 component as it is modeled in ANSYS.

Figure 12.6 Link3 Component

The following are dimensions and properties for the Link3 component.

Radius of holes (radh) = 6mm
Width of rectangular rod (width) = 25mm
Thickness of rectangular rod (thick) = 10mm
Length of rectangular rod (length) = 300mm + 4*Radius of holes = 324mm
Young's modulus for rod = 7.22 x 104 MPa
Poisson's ratio for rod = 0.34
Density of rod = 2.4 x 10-9 tons/mm3
Young's modulus for beams = 2.1 x 105 MPa
Poisson's ratio for beams = 0.3
Density of beams = 0.1 x 10-9 tons/mm3

12.8.3. Command Input

/BATCH,list
/FILNAME,adamsout        ! Define jobname
/TITLE,Export flexible component to ADAMS
!
/PREP7             ! Enter preprocessor
!
! Define Parameters of rectangular rod
radh=6             ! Radius of the holes in the rod
thick=10           ! Rod thickness
width=25           ! Rod width
length=300+4*radh  ! Rod length
! Build geometry
RECTNG,0,length,0,width
CYL4,2*radh,width/2,radh
CYL4,length-2*radh,width/2,radh
ASBA,1,2
ASBA,4,3
VEXT,1, , ,0,0,thick
!
ET,1,solid45       ! Define SOLID45 as element type 1
ET,2,beam4         ! Define BEAM4 as element type 2
!
MP,EX,1,7.22e4     ! Material of the rectangular rod
MP,PRXY,1,0.34
MP,DENS,1,2.4e-9
!
MP,EX,2,2.1e5      ! Material of the beams used for the spider web
MP,PRXY,2,0.3
MP,DENS,2,0.1e-9
!
R,1,78.528,490.67,490.67,10,10    ! Real constant for BEAM4
RMORE,,,0.85716,0.85716,
!
TYPE,1             ! Set element type attribute pointer to 1
MAT1,1             ! Set material attribute pointer to 1
ESIZE,thick/3,0,   ! Define global element size
VSWEEP,1           ! Mesh rod
!
! Define interface points: numbers must be higher than highest
! node number already defined
N,100000,2*radh,width/2,thick/2          ! Define interface point 1
N,100001,length-2*radh,width/2,thick/2   ! Define interface point 2
!
NWPAVE,100000      ! Set working plane to interface point 1
WPSTYL,,,,,,1      ! Set working plane type to cylindrical
CSYS,4             ! Activate working plane
NSEL,S,LOC,X,radh  ! Select nodes on cylindrical hole
NSEL,A,,,100000    ! Also select interface node
!
! Generate spider web of beams
*GET,nmin,node,,num,min
*GET,nnum,node,,count
*SET,jj,0
TYPE,2
MAT,2
REAL,1
*DO,jj,1,nnum-2
    E,100000,nmin
    NSEL,u,,,nmin
    *GET,nmin,node,,num,min
*ENDDO
!
ALLS
!
NWPAVE,100001      ! Set working plane to interface point 2
WPSTYL,,,,,,1      ! Set working plane type to cylindrical
CSYS,4             ! Activate working plane
NSEL,S,LOC,X,radh  ! Select nodes on cylindrical hole
NSEL,A,,,100001    ! Also select interface node
!
! Generate spider web of beams
*GET,nmin,node,,num,min
*GET,nnum,node,,count
*SET,jj,0
TYPE,2
MAT,2
REAL,1
*DO,jj,1,nnum-2
    E,100001,nmin
    NSEL,u,,,nmin
    *GET,nmin,node,,num,min
*ENDDO
!
ALLS
!
/UNITS,MPA                       ! Define units used: millimeter
                                 ! megagram, second, newton
SAVE                             ! Save database
NSEL,s,,,100000,100001           ! Select interface points
ADAMS,20,1                      ! Start ADAMS macro,
! adamsout.mnf is written
FINISH
/EXIT,nosave

At this point you may import the adamsout.mnf file into your ADAMS model and perform a rigid body dynamics simulation. The ADAMS model should consist of the components shown in Figure 12.5: "Linkage Assembly". After the simulation is done, export the loads acting on the Link3 component at five arbitrary time steps. Name the load file loads.lod.

Once you have exported the load file, you can perform a stress analysis for Link3 in ANSYS using the command input shown below.

RESUME,adamsout,db      ! Resume model
/FILNAM,adamsin         ! Change jobname
/TITLE,Import loads from ADAMS	    ! Change title
!
WSPRINGS                ! Create weak springs
!
! Enter Solution and solve all load steps
/SOLU
/INPUT,loads,lod        ! Read in 5 load steps written by ADAMS
*DO,i,1,5               ! Use a do loop to solve each load step
  LSREAD,i              ! Read in load step
  IRLF,1	                ! Activate inertia relief
  SOLVE                 ! Solve current load step
*ENDDO
!
/POST1                  ! Enter the general postprocesser
! Write deformation and equivalent stress to graphics file
/VIEW,1,1,1,1
/AUTO,1
EPLOT
/TYPE,1,4
/SHOW,
EPLOT
*DO,i,1,5
  SET,i
  PLNSOL,u,sum
  PLNSOL,s,eqv
*ENDDO
/SHOW,term
FINISH
/EXIT,nosave

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.7. Methodology Behind the ANSYS-ADAMS Interface 		Up / Home Next
Chapter 13. Element Birth and Death


Chapter 13. Element Birth and Death

If material is added to or removed from a system, certain elements in your model may become "existent" or "nonexistent.” In such cases, you can employ element birth and death options to deactivate or reactivate selected elements, respectively.

The element birth and death feature is useful for analyzing excavation (as in mining and tunneling), staged construction (as in shored bridge erection), sequential assembly (as in fabrication of layered computer chips), and many other applications in which you can easily identify activated or deactivated elements by their known locations.

The birth and death feature is available in the ANSYS Multiphysics, ANSYS Mechanical, and ANSYS Structural products.

The following element birth and death topics are available:

  • Elements Supporting Birth and Death
  • Understanding Element Birth and Death
  • Element Birth and Death Usage Hints
  • Employing Birth and Death
  • Where to Find Examples

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.8. Sample Rigid Body Dynamic Analysis 		Up / Home Next
13.1. Elements Supporting Birth and Death


13.1. Elements Supporting Birth and Death

The following ANSYS elements support the birth and death feature:

LINK1 | PLANE25 | PIPE59 | SOLID90 | SHELL157 | SOLID186
BEAM3 | MATRIX27 | PIPE60 | SOLID92 | TARGE169 | SOLID187
BEAM4 | LINK31 | SOLID62 | SHELL93 | TARGE170 | BEAM188
SOLID5 | LINK32 | SHELL63 | SOLID95 | CONTA171 | BEAM189
LINK8 | LINK33 | SOLID65 | SOLID96 | CONTA172 | SOLSH190
LINK10 | LINK34 | PLANE67 | SOLID97 | CONTA173 | FOLLW201
LINK11 | PLANE35 | LINK68 | SOLID98 | CONTA174 | SHELL208
PLANE13 | SHELL41 | SOLID69 | PLANE121 | CONTA175 | SHELL209
COMBIN14 | PLANE42 | SOLID70 | SOLID122 | CONTA176 | PLANE230
PIPE16 | SHELL43 | MASS71 | SOLID123 | CONTA177 | SOLID231
PIPE17 | BEAM44 | PLANE75 | SHELL131 | LINK180 | SOLID232
PIPE18 | SOLID45 | PLANE77 | SHELL132 | SHELL181 |
PIPE20 | PLANE53 | PLANE78 | SURF151 | PLANE182 |
MASS21 | BEAM54 | PLANE82 | SURF152 | PLANE183 |
BEAM23 | PLANE55 | PLANE83 | SURF153 | MPC184-Link/Beam |
BEAM24 | SHELL57 | SOLID87 | SURF154 | SOLID185 |

User elements may also be given the birth and death capability. See the Guide to ANSYS User Programmable Features for more information about user elements.

In some circumstances, an element's birth and death status depend upon an ANSYS-calculated quantity, such as temperature, stress, strain, etc. You can issue commands such as ETABLE and ESEL to determine the value of such quantities in selected elements, and to change the status (melted, solidified, ruptured, etc.) of those elements accordingly. This capability is useful for modeling effects due to phase changes (as in welding processes, when structurally inactive molten material solidifies and becomes structurally active), failure-surface propagation, and other analysis-dependent element changes.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 13. Element Birth and Death 		Up / Home Next
13.2. Understanding Element Birth and Death


13.2. Understanding Element Birth and Death

To achieve the "element death" effect, the ANSYS program does not actually remove "killed" elements. Instead, it deactivates them by multiplying their stiffness (or conductivity, or other analogous quantity) by a severe reduction factor (ESTIF). This factor is set to 1.0E-6 by default, but can be given other values. (For more information, see Apply Loads and Obtain the Solution.)

Element loads associated with deactivated elements are zeroed out of the load vector, however, they still appear in element-load lists. Similarly, mass, damping, specific heat, and other such effects are set to zero for deactivated elements. The mass and energy of deactivated elements are not included in the summations over the model. An element's strain is also set to zero as soon as that element is killed.

In like manner, when elements are "born," they are not actually added to the model; they are simply reactivated. You must create all elements, including those to be born in later stages of your analysis, while in PREP7. You cannot create new elements in SOLUTION. To "add" an element, you first deactivate it, then reactivate it at the proper load step.

When an element is reactivated, its stiffness, mass, element loads, etc. return to their full original values. Elements are reactivated with no record of strain history (or heat storage, etc.); however, initial strain defined as a real constant (for elements such as LINK1) will not be affected by birth and death operations.

Unless large-deformation effects are activated (NLGEOM,ON), some element types will be reactivated in their originally specified geometric configuration. (Large-deformation effects should be included to obtain meaningful results.)

Thermal strains are computed for newly-activated elements based on the current load step temperature and the reference temperature. Thus, newborn elements with thermal loads may not be stress-free as intended. The material property REFT can be used instead of the global TREF to specify material-dependent reference temperatures, allowing you to specify the activation temperature as a stress-free temperature.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.1. Elements Supporting Birth and Death 		Up / Home Next
13.3. Element Birth and Death Usage Hints


13.3. Element Birth and Death Usage Hints

The following guidelines apply to analyses employing the element birth and death capability of ANSYS:

  • Constraint equations (CE, CEINTF, etc.) cannot be applied to inactive DOFs. Inactive DOFs occur when a node has no active ("alive") elements attached to it.

  • You can model stress-relieving operations (such as annealing) by deactivating and then reactivating elements.

  • In nonlinear analyses, be careful not to deactivate or reactivate elements in such a way as to create singularities (such as sharp re-entrant corners in a structural analysis) or sudden large changes in stiffness. Such situations are likely to cause convergence difficulties.

  • If the model is entirely linear--that is, if the model has no contact or other nonlinear element present and the material is linear--except for birth and death elements, ANSYS treats the analysis as linear and will therefore not activate optimized defaults (SOLCONTROL,ON) applicable to nonlinear solutions.

  • Killing contact/target elements or their underlying elements will cause the status of the contact pair to change to far field contact (open and not near contact), even for bonded contact. You may need to kill both the contact/target elements and their underlying elements to reestablish the pre-death contact status when the elements are later reactivated.

  • The full Newton-Raphson option with adaptive descent activated (NROPT,FULL,,ON) often yields good results in analyses employing element birth and death.

  • You can retrieve a parameter whose value will indicate the status (active or inactive) of an element (*GET,Par,ELEM, n, ATTR, LIVE) This parameter could be used in APDL logical branching (*IF, etc.) or in other applications for which you need to monitor the birth-and-death status of an element.

  • Since a Multiframe restart will recreate the database using the *.rdb file, the elements selected in /POST1 can not be killed in a multiframe restart. In this instance, singleframe restart must be used. (see Sample Input for Deactivating Elements for an example).

  • The load-step file method (LSWRITE) for solving multiple load steps cannot be used with the birth-death option, because it will not write the status of deactivated or reactivated elements to the load step file. Birth and death analyses having multiple load steps must therefore be performed using a series of explicit SOLVE commands.

13.3.1. Changing Material Properties

You might be tempted to deactivate or reactivate elements by changing their material properties via the MPCHG command.

You must proceed cautiously if you attempt such a procedure. The safeguards and restrictions applying to "killed" elements do not apply to elements that have had their material properties changed in the solution phase of the analysis. (Element forces will not be automatically zeroed out; nor will strains, mass, specific heat, etc.) Many problems can result from careless use of the MPCHG command. For example, if you reduce an element's stiffness to almost zero, but retain its mass, it could result in a singularity if subjected to acceleration or inertial effects.

One application of the MPCHG command would be in modeling construction sequences in which the strain history of a "born" element is maintained. Using MPCHG in such cases will enable you to capture the initial strain experienced by elements as they are fitted into the displaced nodal configuration.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.2. Understanding Element Birth and Death 		Up / Home Next
13.4. Employing Birth and Death


13.4. Employing Birth and Death

You can apply element birth and death behavior to most static and nonlinear transient analyses using the same basic procedures described in the various analysis guides.

Modify your basic analysis procedure as follows to incorporate the element birth and death feature:

13.4.1. Build the Model

While in /PREP7, create all elements - even those that will not be activated until later load steps. You cannot create new elements outside of /PREP7.

13.4.2. Apply Loads and Obtain the Solution

For all analyses employing element birth and death, perform the following actions in the solution (SOLU) phase:

13.4.2.1. Define the First Load Step

In the first load step, you must choose the analysis type and all appropriate analysis options via the ANTYPE command.

For a structural analysis, activate large-deflection effects via the NLGEOM,ON command.

For all birth and death applications, set the Newton-Raphson option to full explicitly in the first load step via the NROPT command. (The ANSYS program cannot predict the presence of an EKILL command in a subsequent load step.) Deactivate (EKILL) all of the initially inactive elements that you intend to add (reactivate) in later load steps.

Elements are deactivated (or activated) in the first substep of the load step, and maintain that status through the rest of the load step. The default reduction factor used as a stiffness multiplier might not suffice for some problems; sometimes, you may need to use a more severe reduction factor. To provide a new value for the reduction factor, issue the ESTIF command.

Nodes not connected to any active elements may "float," or pick up stray degree-of-freedom (DOF) responses. You may want to constrain inactive DOFs (D, CP, etc.) in some cases to reduce the number of equations to be solved and to avoid ill-conditioning. Constraining inactive DOFs can become more important for cases in which you want to reactivate elements with a specific shape (or temperature, etc.). If so, remove the artificial constraints when you reactivate elements, and remove nodal loads from inactive DOFs (that is, at nodes not connected to any active elements). Similarly, you must specifically add nodal loads (if any) to reactivated DOFs.

13.4.2.1.1. Sample Input for First Load Step

Part of your input listing could look like this for your first load step:

! First load step
TIME,...           ! Sets TIME value (optional for static analyses)
NLGEOM,ON          ! Turns large-deflection effects on
NROPT,FULL         ! You must explicitly set the Newton-Raphson option
ESTIF,...          ! Sets non-default reduction factor (optional)
ESEL,...           ! Selects elements to be deactivated in this load step
EKILL,...          ! Deactivates selected elements
ESEL,S,LIVE        ! Selects all active elements
NSLE,S             ! Selects all active nodes
NSEL,INVE          ! Selects all inactive nodes (those not attached to any
                   ! active elements)
D,ALL,ALL,0        ! Constrains all inactive DOFs (optional)
NSEL,ALL           ! Selects ALL nodes
ESEL,ALL           ! Selects ALL elements
D,...              ! Adds constraints as appropriate
F,...              ! Adds nodal loads to active DOFs as appropriate
SF,...             ! Adds element loads as appropriate
BF,...             ! Adds body loads as appropriate
SAVE
SOLVE

13.4.2.2. Define Subsequent Load Steps

In the remaining load steps, you can deactivate and reactivate elements as desired. As before, be sure to apply and delete constraints and nodal loads as appropriate.

To deactivate and reactivate elements, issue the EKILL and EALIVE commands, respectively.

13.4.2.2.1. Sample Input for Subsequent Load Steps

The following simplified input listing demonstrates how you might deactivate and reactivate elements:

! Second (or subsequent) load step:
TIME,...
ESEL,...
EKILL,...                  ! Deactivates selected elements
ESEL,...
EALIVE,...                 ! Reactivates selected elements
...
FDELE,...                  ! Deletes nodal loads at inactive DOFs
D,...                      ! Constrains inactive DOFs
...
F,...                      ! Adds nodal loads as appropriate to active DOFs
DDELE,...                  ! Deletes constraints from reactivated DOFs
SAVE
SOLVE

13.4.3. Review the Results

Typically, you will follow standard procedures when postprocessing an analysis containing deactivated or reactivated elements.

Be aware that "killed" elements are still present in your model, even though they make an insignificant contribution to the stiffness (conductivity, etc.) matrix; therefore, they are included in element displays, output listings, etc. For example, deactivated elements are included in nodal results averaging (via the PLNSOL command) and will "smear" the results. Ignore the entire element printout for deactivated elements because many items computed make little physical sense.

To remove deactivated elements for element displays and other postprocessing operations, issue the ESEL command.

13.4.4. Use ANSYS Results to Control Birth and Death

At times, you will not explicitly know the location of elements that you need to deactivate or reactivate. For example, if you want to "kill" melted elements in a thermal analysis (that is, to model the removal of melted material), you will not know the location of those elements beforehand; you will need to identify them on the basis of their ANSYS-calculated temperatures. When the decision to deactivate or reactivate an element depends on the value of an ANSYS result item (such as temperature, stress, strain, etc.), you can use commands to identify and select the critical elements.

To identify the critical elements, issue the ETABLE command. To select the critical elements, issue the ESEL command.

You could then deactivate or reactivate the selected elements. To deactivate the selected elements, issue the EKILL,ALL command. To reactivate the selected elements, issue the EALIVE,ALL command.

Note

You could also use the ANSYS Parametric Design Language to write a macro to perform such an operation. See the ANSYS Parametric Design Language Guide for more information.

13.4.4.1. Sample Input for Deactivating Elements

The following simplified input listing demonstrates how you might deactivate elements that rupture when their total strain has exceeded some critical value:

/SOLU                   ! Enter SOLUTION
RESCONTROL,DEFINE,NONE  ! Use single-frame restart
..                     ! Typical solution procedure
SOLVE
FINISH
!
/POST1                  ! Enter POST1
SET,...
ETABLE,STRAIN,EPTO,EQV  ! Store total equivalent strain in ETABLE
ESEL,S,ETAB,STRAIN,0.20 ! Select all elements with total equivalent strain
                        !  greater than or equal to 0.20
FINISH
!
/SOLU                   ! Re-enter SOLUTION
ANTYPE,,REST
EKILL,ALL               ! Deactivate selected (overstrained) elements
ESEL,ALL                ! Restore full element set
...                     ! Continue with solution

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.3. Element Birth and Death Usage Hints 		Up / Home Next
13.5. Where to Find Examples


13.5. Where to Find Examples

The Verification Manual consists of test case analyses demonstrating the analysis capabilities of the ANSYS program. While these test cases demonstrate solutions to realistic analysis problems, the Verification Manual does not present them as step-by-step examples with lengthy data input instructions and printouts; however, if you have even limited finite-element experience, you should have no trouble understanding the problems by reviewing each test case's finite-element model, input data and accompanying comments.

The Verification Manual contains the following test case featuring element birth and death:

VM194 - Element Birth/Death in a Fixed Bar with Thermal Loading

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.4. Employing Birth and Death 		Up / Home Next
Chapter 14. User-Programmable Features and Nonstandard Uses


Chapter 14. User-Programmable Features and Nonstandard Uses

The ANSYS program's open architecture allows you to link it to your own FORTRAN routines and subroutines. In fact, some standard ANSYS features began as user-programmed features.

Typically, you can obtain good results with the ANSYS program when you exercise documented features using standard, recommended procedures. In some cases, however, you may need to employ nonstandard procedures that ANSYS, Inc. Quality Assurance has not or cannot fully test.

The following topics concerning the ANSYS program's open architecture are available:

  • User-Programmable Features (UPFs)
  • Nonstandard Uses of the ANSYS Program

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.5. Where to Find Examples 		Up / Home Next
14.1. User-Programmable Features (UPFs)


14.1. User-Programmable Features (UPFs)

User-programmable features (UPFs) are ANSYS capabilities for which you can write your own FORTRAN routines. UPFs allow you to customize the ANSYS program to your needs, which may be a user-defined material-behavior option, element, failure criterion (for composites), and so on. You can even write your own design-optimization algorithm that calls the entire ANSYS program as a subroutine. UPFs are available in the ANSYS Multiphysics, ANSYS Mechanical, ANSYS Structural, ANSYS PrepPost, and ANSYS Academic (Associate, Research, Teaching Advanced, and Teaching Mechanical versions) products. For detailed information, see the Guide to ANSYS User Programmable Features.

Caution

By linking in your own FORTRAN routines, you are creating a custom, site-specific version of the ANSYS program. When you use UPFs, you are using ANSYS in a nonstandard way, one that ANSYS, Inc. verification testing does not cover. You are responsible for verifying that the results produced are accurate and that the routines you link to ANSYS do not adversely affect other, standard areas of the program.

Exercise care when using UPFs on parallel systems. Do not use the /CONFIG command or a config110.ans file to activate parallelism on a system with UPFs.

The following topics concerning UPFs are available:

  • Understanding UPFs
  • Types of UPFs Available

14.1.1. Understanding UPFs

UPFs can range from a simple element output routine for custom output to a much more complex user element or user-optimization algorithm; therefore, it is difficult to present the process without describing specific programming details. This section presents a general sequence of steps to follow. The Guide to ANSYS User Programmable Features contains more detail on UPFs.

A typical UPF involves the following steps:

  1. Design and program the desired user routine in FORTRAN 90. The source codes for all user routines are available on your ANSYS distribution medium. Most of them demonstrate at least simple functionality.

  2. Compile and link your user routine into the ANSYS program. The Guide to ANSYS User Programmable Features describes how to do this on your system.

  3. Verify that the changes you have made do not affect other, standard ANSYS features. (One way to do so is by running a set of Verification Manual problems.)

  4. Verify the user routine using whatever procedures you feel are adequate.

The ANSYS program activates some UPFs (such as user elements) automatically when you use them. For example, to activate a user element, all you need to do is specify it as one of the element types in the model (via the ET command), set the element type attribute pointer (via the TYPE command) ), and define elements using the solid modeling (AMESH, VMESH, etc.) or direct generation (ET, etc.) method.

For other UPFs, you must issue the USRCAL command to activate them. If you fail to issue the command, standard ANSYS logic applies by default.

For example, when you apply a convection load, the default is to use standard ANSYS logic even if you have linked a user convection routine. You must activate the appropriate user routine with the USRCAL command if you want the user convection routine to be used. Refer to the USRCAL command description for a list of user routines affected by the command. Use the NSVR command to define the number of extra variables that need to be saved for such user-programmable element options as user plasticity. (The NSVR command has no equivalent GUI path.)

Another useful command is /UCMD, which allows you to create your own command from a user routine. Suppose you link in a user routine for a parabolic distribution of pressure. If you name the routine USERnn (where nn = 01 to 10), you can create your own command to call the routine:

/UCMD,PARAB,1

PARAB now becomes a valid ANSYS command that simply calls the user routine USER01. You can call up to ten such user routines as commands. By including /UCMD commands in your start-up file (start110.ans), you can make the user routines available in all of your ANSYS sessions.

14.1.2. Types of UPFs Available

Many UPFs are available in the ANSYS program. Following is a brief description of each:

User-Programmable Features Available in ANSYS
User-defined elements | Allows you to define your own element type. You can add it to the ANSYS element library and use it as you would any other element. See User-Defined Elements.
User element coordinate system orientation | Available for the following element types: SHELL43, SHELL63, SHELL91, SHELL93, SHELL99 , SHELL181, and SOLID46. For the layered elements (SOLID46, SHELL91, and SHELL99), you can also customize the orientation of a given layer.
User real constants | Elements COMBIN7 and COMBIN37 allow the input real constants to be modified based upon your own nonlinear function.
User thickness | Available for SHELL181, SHELL208, SHELL209, and SHELL281.
User stresses | Available for PLANE42, SOLID45, PLANE82, SOLID92, SOLID95, LINK180, SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, BEAM188, BEAM189, SHELL208, SHELL209, and SHELL281.
User plasticity law | Allows you to calculate plastic strains and form the tangent stress-strain matrix at an integration point based on your own plasticity law.
User creep equation | Allows you to specify your own creep equation.
User swelling law | If you need to account for swelling in an analysis (due to neutron bombardment, for example), you must write the appropriate swelling law as a user routine. No built-in swelling laws are available in the ANSYS program.
User hygrothermal growth | Allows you to induce growth caused by moisture content, and is available for the SHELL91 element.
User failure criteria | Available for the layered elements (such as SOLID46, SOLID185 Layered Solid, SOLID186 Layered Solid, SHELL99, and SHELL281). Up to six user-defined failure criteria can be supplied.
User viscosity | You can define viscosity as a function of pressure, temperature, position, time, velocity, and velocity gradients for FLUID141 and FLUID142.
User loads | Body loads such as temperatures, heat generations, and fluences (such as neutron flux), as well as surface loads such as pressures, convections, heat fluxes and charge density may be defined by way of user-written logic.
User load vector | Allows you to create a complex load vector for the frequency domain logic of the PIPE59 element. You can use it to represent hydrodynamic forces.
ANSYS as a subroutine | You can call the entire ANSYS program as a subroutine in your own program, such as a user-written design optimization algorithm.
User optimization | You can replace the ANSYS optimization logic with your own algorithm and termination logic.
User access at the beginning and end of each ANSYS run solution, load step, substep, and equilibrium iteration | Allows you to evaluate results and perform any desired calculations during solution.
USRSURF116 | Allows you to modify SURF151 and SURF152 film coefficients and bulk temperatures based on information from FLUID116.

14.1.2.1. User-Defined Elements

You can define your own element type that you can add to the ANSYS element library and use as you would any other element. ANSYS provides two methods for creating a user-defined element:

  • The user-defined element API

  • Accessing ANSYS database and files directly

ANSYS recommends the user-defined element API in most cases. The direct-access method is generally for special-purpose use only, or if you are already using preexisting elements created with this method.

For information about creating your own element, see the Programmer’s Manual for ANSYS.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 14. User-Programmable Features and Nonstandard Uses 		Up / Home Next
14.2. Nonstandard Uses of the ANSYS Program


14.2. Nonstandard Uses of the ANSYS Program

The ANSYS program endures a rigorous verification testing plan before its release. You can be reasonably assured of obtaining good results when you exercise documented features using standard, recommended procedures. In some situations, however, you may need to employ nonstandard procedures or techniques that have not been or cannot be fully tested by ANSYS, Inc. because of their very nature. (An example is employing user-programmable features.) Be aware that verifying the results in such cases is your responsibility.

14.2.1. What Are Nonstandard Uses?

The results of nonstandard uses of the ANSYS program cannot be predicted; therefore, ANSYS, Inc.'s testing cannot fully cover such uses. Although ANSYS, Inc. does not discourage nonstandard uses, you must exercise caution and use your engineering judgment when doing so. For example, if you program your own element and use it in an ANSYS analysis, the results depend primarily on how well you programmed the element. In such cases, you must verify the results and make sure that other, standard areas of the program are not adversely affected.

Following is a partial list of nonstandard ANSYS features and uses:

  • User programmable features (UPFs) - writing your own user routines, linking them into the ANSYS executable, and using them in an analysis. UPFs are described earlier in this chapter.

  • Reading into the ANSYS program an ANSYS file which was created or modified external to the ANSYS program, for example, a results file or a superelement file created by you or by another program.

  • High-risk capabilities such as the following:

    • Changing element real constants during the solution phase in between load steps. Depending on the element type being used, the element may not properly use the updated real constant value.

    • Deactivating the cross-reference checking of the solid model (via the MODMSH,NOCHECK command).

    • Turning off element shape-checking (via the SHPP,OFF command).

  • Using undocumented features, such as an element option not documented in the Elements Reference or a command argument not mentioned in the Commands Reference. Undocumented features are, by definition, unsupported and unverified; use them with caution.

If the ANSYS program can detect the use of a nonstandard feature, it will often issue a warning message to that effect.

14.2.2. Hints for Nonstandard Use of ANSYS

Follow these guidelines when you need to use the ANSYS program in a nonstandard manner:

  • Use your engineering judgment and carefully review the analysis results.

  • Do not assume that other, standard areas of the program are not affected. Run a few test problems to verify.

  • If you need to contact ANSYS Technical Support concerning an analysis involving nonstandard use of the ANSYS program, be sure to mention the nature and extent of the nonstandard feature that you employed.

For detailed information on UPFs, see the Guide to ANSYS User Programmable Features.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.1. User-Programmable Features (UPFs) 		Up / Home Next
Chapter 15. Using Shared-Memory ANSYS


Chapter 15. Using Shared-Memory ANSYS

Solving a large model with millions of DOFs can require many CPU hours. To decrease solution time, ANSYS allows you to distribute model-solving power over multiple processors using the High Performance Computing (HPC) add-on, a powerful tool for solving large (10 million or more DOFs) models over multiple processors. ANSYS solves parts of the model in parallel, reducing the total solution time.

The following parallel performance topics are available:

  • Parallel Processing Methods Available in ANSYS
  • Activating Parallel Processing in a Shared-Memory Architecture

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.2. Nonstandard Uses of the ANSYS Program 		Up / Home Next
15.1. Parallel Processing Methods Available in ANSYS


15.1. Parallel Processing Methods Available in ANSYS

ANSYS offers two parallel processing methods:

  • Distributed ANSYS: Distributed ANSYS can run over a cluster of machines or use multiple processors on a single machine and works by splitting the model into different parts and distributing those parts to each machine/processor. By solving only a portion of the entire model on each machine/processor, the processing time and memory requirements can be reduced.

    With Distributed ANSYS, the entire solution (/SOLU) phase runs in parallel, including the stiffness matrix generation, linear equation solving, and results calculations. For more information on running Distributed ANSYS, see the Distributed ANSYS Guide.

  • Shared-memory ANSYS: Shared-memory ANSYS uses the shared-memory architecture in ANSYS, meaning using multiple processors on a single machine. Most, but not all, of the solution phase runs in parallel when using the shared-memory architecture. Many solvers in ANSYS can use the shared-memory architecture in ANSYS. Shared-memory architecture is discussed here. For a complete description of all solvers, see the Basic Analysis Guide

Both Distributed ANSYS and the solvers running under shared-memory ANSYS require ANSYS Mechanical HPC licenses. For Distributed ANSYS or shared-memory ANSYS, you must have an HPC license for each processor beyond the first two.

Note

Occasionally, memory limitations can prevent ANSYS from solving very large models. For greater control over running deferred jobs and recovering from systems failures during deferred jobs, ANSYS recommends using a batch-management product such as LSF/Batch from Platform Computing.

The shared-memory options in ANSYS for running over shared-memory architecture include:

  • ANSYS solvers such as the Sparse, PCG, or ICCG, run over multiple processors but sharing the same memory address. While these solvers feature greater ease-of-use, they have limited scalability (typically two to four processors).

  • The AMG solver. Use this option to solve static or transient analyses over multiple processors on the same system to speed up processing time, or to solve ill-conditioned problems that have difficulty converging with the conventional PCG or ICCG solvers. The AMG solver typically has better scalability than the other ANSYS solvers running in a shared-memory architecture.

ANSYS LS-DYNA. If you are running ANSYS LS-DYNA, you can use LS-DYNA's parallel processing (MPP or SMP) capabilities. Use the command line method and options as described in the Distributed ANSYS Guide to run LS-DYNA MPP. Also see LS-DYNA Parallel Processing Capabilities in the ANSYS LS-DYNA User's Guide for more information on both the SMP and MPP capabilities.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 15. Using Shared-Memory ANSYS 		Up / Home Next
15.2. Activating Parallel Processing in a Shared-Memory Architecture


15.2. Activating Parallel Processing in a Shared-Memory Architecture

  1. Before activating parallel processing in a shared-memory architecture, you must have sufficient ANSYS Mechanical HPC licenses. You must have one HPC license for every processor beyond the first two. For example, if you want to use four processors, you will need two HPC licenses.

  2. Open the ANSYS launcher:

    Windows:

    Start >Programs >ANSYS 11.0 >ANSYS Product Launcher

    UNIX:
    launcher110

  3. Select the correct environment and license.

  4. Go to the High Performance Computing Setup tab. Select Use Shared-Memory Parallel (SMP). Specify the number of processors to use.

  5. Alternatively, you can specify the number of processors to use via the -np command line option:

    ansys110 -np N

    where N represents the number of processors to use.

    For large multiprocessor servers, ANSYS recommends setting N to a value no higher than the number of available processors minus one. For example, on an eight-processor system, set N to 7. However, on multiprocessor workstations, You may want to use all available processors to improve the total solution time.

  6. If working from the launcher, click Run to launch ANSYS.

  7. Set up and run your analysis as you normally would.

With shared-memory architecture, shared-memory parallel processing mainly occurs in three separate operations: element matrix generation, equation solving, and element results calculations. Operational randomness and numerical round off inherent to shared-memory parallel mode can cause slightly different results between runs on the same machine using the same number of processors. With shared-memory architecture, you can use the PSCONTROL command to control which of these operations actually use parallel behavior. For example, you could use this command to show that the element matrix generation running in parallel is causing a nonlinear job to converge to a slightly different solution each time it runs (even on the same machine with no change to the input data).

For optimal performance when solving a large model, close down all other applications before launching ANSYS with a multiprocessor solver. ANSYS recommends running a distributed analysis when the network is not busy, such as at night and on weekends.

For a complete and up-to-date list of systems on which ANSYS supports parallel processing, point your Web browser to the following URL:

http://www.ansys.com/services/hardware_support/parallel/index.htm

15.2.1. System-Specific Considerations

For the shared-memory architecture methods, the number of processors that the ANSYS program uses is limited to the lesser of one of the following:

  • The number of ANSYS Mechanical HPC licenses available after the first two

  • The number of processors indicated via the -np command line argument

  • The actual number of CPUs available

  • On SGI systems, the number of processors is limited to the lesser of the actual quantity of CPUs and the value of the environment variable MP_SET_NUMTHREADS (if used).

You can specify multiple settings for the number of CPUs to use during an ANSYS session. However, ANSYS recommends that you issue the /CLEAR command before resetting the number of processors for subsequent analyses.

On IBM AIX systems, verify that the host.list file is consistent with the number of processors specified. For more information, see the IBM Parallel Environment for AIX documentation, Operation and Use, Volume 1, Using the Parallel Operating Environment.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.1. Parallel Processing Methods Available in ANSYS 		Up / Home Next
Modeling and Meshing Guide


Modeling and Meshing Guide

Release 11.0 Documentation for ANSYS

Table of Contents

1. Understanding Model Generation
1.1. What Is Model Generation?
1.2. Typical Steps Involved in Model Generation Within ANSYS
1.2.1. Comparing Solid Modeling and Direct Generation
1.3. Importing Solid Models Created in CAD systems
2. Planning Your Approach
2.1. Choosing a Model Type (2-D, 3-D, etc.)
2.2. Choosing Between Linear and Higher Order Elements
2.2.1. Linear Elements (No Midside Nodes)
2.2.2. Quadratic Elements (Midside Nodes)
2.3. Limitations on Joining Different Elements
2.4. Finding Ways to Take Advantage of Symmetry
2.4.1. Some Comments on Axisymmetric Structures
2.5. Determining How Much Detail to Include
2.6. Determining the Appropriate Mesh Density
3. Coordinate Systems
3.1. Global and Local Coordinate Systems
3.1.1. Global Coordinate Systems
3.1.2. Local Coordinate Systems
3.1.3. The Active Coordinate System
3.1.4. Surfaces
3.1.5. Closed Surfaces and Surface Singularities
3.2. Display Coordinate System
3.3. Nodal Coordinate Systems
3.3.1. Data Interpreted in the Nodal Coordinate System
3.4. Element Coordinate Systems
3.5. The Results Coordinate System
4. Using Working Planes
4.1. Creating a Working Plane
4.1.1. Defining a New Working Plane
4.1.2. Controlling the Display and Style of the Working Plane
4.1.3. Moving the Working Plane
4.1.4. Rotating the Working Plane
4.1.5. Recreating a Previously-defined Working Plane
4.2. Working Plane Enhancements
4.2.1. Snap Increment
4.2.2. Display Grid
4.2.3. Retrieval Tolerance
4.2.4. Coordinate Type
4.2.5. Working Plane Tracking
5. Solid Modeling
5.1. An Overview of Solid Modeling Operations
5.2. Creating Your Solid Model from the Bottom Up
5.2.1. Keypoints
5.2.2. Hard Points
5.2.3. Lines
5.2.4. Areas
5.2.5. Volumes
5.3. Creating Your Solid Model from the Top Down: Primitives
5.3.1. Creating Area Primitives
5.3.2. Creating Volume Primitives
5.4. Sculpting Your Model with Boolean Operations
5.4.1. Boolean Operation Settings
5.4.2. Entity Numbering After Boolean Operations
5.4.3. Intersect
5.4.4. Pairwise Intersect
5.4.5. Add
5.4.6. Subtract
5.4.7. Working Plane Subtract
5.4.8. Classify
5.4.9. Overlap
5.4.10. Partition
5.4.11. Glue (or Merge)
5.4.12. Alternatives to Boolean Operations
5.5. Updating after Boolean Operations
5.6. Moving and Copying Solid Model Entities
5.6.1. Generating Entities from a Pattern
5.6.2. Generating Entities by Symmetry Reflection
5.6.3. Transferring a Pattern of Entities to a Coordinate System
5.7. Scaling Solid Model Entities
5.8. Solid Model Loads
5.8.1. Transferring Solid Model Loads
5.8.2. Displaying Load Symbols
5.8.3. Turning Off Large Symbols for Node and Keypoint Locations
5.8.4. Selecting a Format for the Graphical Display of Numbers
5.8.5. Listing Solid Model Loads
5.9. Mass and Inertia Calculations
5.10. Considerations and Cautions for Solid Modeling
5.10.1. Representation of Solid Model Entities
5.10.2. When a Boolean Operation Fails
5.10.3. Graphically Identifying Degeneracies
5.10.4. Listing the Keypoints Associated with Degeneracies
5.10.5. Some Suggested Corrective Actions
5.10.6. Other Hints
6. Importing Solid Models from IGES Files
6.1. Working With IGES Files
6.1.1. Using the SMOOTH Option
6.1.2. Using the FACETED Option
7. Generating the Mesh
7.1. Free or Mapped Mesh
7.2. Setting Element Attributes
7.2.1. Creating Tables of Element Attributes
7.2.2. Assigning Element Attributes Before Meshing
7.3. Mesh Controls
7.3.1. The ANSYS MeshTool
7.3.2. Element Shape
7.3.3. Choosing Free or Mapped Meshing
7.3.4. Controlling Placement of Midside Nodes
7.3.5. Smart Element Sizing for Free Meshing
7.3.6. Default Element Sizes for Mapped Meshing
7.3.7. Local Mesh Controls
7.3.8. Interior Mesh Controls
7.3.9. Creating Transitional Pyramid Elements
7.3.10. Converting Degenerate Tetrahedral Elements to Their Non-degenerate Forms
7.3.11. Doing Layer Meshing
7.3.12. Setting Layer Meshing Controls via the GUI
7.3.13. Setting Layer Meshing Controls via Commands
7.3.14. Listing Layer Mesh Specifications on Lines
7.4. Controls Used for Free and Mapped Meshing
7.4.1. Free Meshing
7.4.2. Mapped Meshing
7.5. Meshing Your Solid Model
7.5.1. Generating the Mesh Using xMESH Commands
7.5.2. Generating a Beam Mesh With Orientation Nodes
7.5.3. Generating a Volume Mesh From Facets
7.5.4. Additional Considerations for Using xMESH Commands
7.5.5. Generating a Volume Mesh By Sweeping
7.5.6. Generating an Interface Mesh for Gasket Simulations
7.5.7. Aborting a Mesh Operation
7.5.8. Element Shape Checking
7.5.9. Mesh Validity Checking
7.6. Changing the Mesh
7.6.1. Remeshing the Model
7.6.2. Using the Mesh Accept/Reject Prompt
7.6.3. Clearing the Mesh
7.6.4. Refining the Mesh Locally
7.6.5. Improving the Mesh (Tetrahedral Element Meshes Only)
7.7. Meshing Hints
7.8. Using CPCYC and MSHCOPY Commands
7.8.1. CPCYC Example
7.8.2. CPCYC Results
7.8.3. MSHCOPY Example
7.8.4. Low Sector Boundary
7.8.5. Area Elements from MSHCOPY and AMESH
7.8.6. Meshing the Sector Volume(s)
8. Revising Your Model
8.1. Refining a Mesh Locally
8.1.1. How to Refine a Mesh
8.1.2. Refinement Commands and Menu Paths
8.1.3. Transfer of Attributes and Loads
8.1.4. Other Characteristics of Mesh Refinement
8.1.5. Restrictions on Mesh Refinement
8.2. Moving and Copying Nodes and Elements
8.3. Keeping Track of Element Faces and Orientations
8.3.1. Controlling Area, Line, and Element Normals
8.4. Revising a Meshed Model: Clearing and Deleting
8.4.1. Clearing a Mesh
8.4.2. Deleting Solid Model Entities
8.4.3. Modifying Solid Model Entities
8.5. Understanding Solid Model Cross-Reference Checking
8.5.1. Circumventing Cross-Reference Checking (A Risky Activity)
9. Direct Generation
9.1. Nodes
9.1.1. Reading and Writing Text Files That Contain Nodal Data
9.2. Elements
9.2.1. Prerequisites for Defining Element Attributes
9.2.2. Defining Elements
9.2.3. Reading and Writing Text Files That Contain Element Data
9.2.4. A Note About Overlapping Elements
9.2.5. Modifying Elements By Changing Nodes
9.2.6. Modifying Elements By Changing Element Attributes
9.2.7. A Note About Adding and Deleting Midside Nodes
10. Piping Models
10.1. What the Piping Commands Can Do for You
10.2. Modeling Piping Systems with Piping Commands
10.2.1. Specify the Jobname and Title
10.2.2. Set Up the Basic Piping Data
10.2.3. Define the Piping System's Geometry
10.3. Sample Input
11. Number Control and Element Reordering
11.1. Number Control
11.1.1. Merging Coincident Items
11.1.2. Compressing Item Numbers
11.1.3. Setting Starting Numbers
11.1.4. Adding Number Offsets
11.2. Element Reordering
12. Coupling and Constraint Equations
12.1. What Is Coupling?
12.2. How to Create Coupled Degree of Freedom Sets
12.2.1. Creating and Modifying Coupled Sets at Specified Nodes
12.2.2. Coupling Coincident Nodes
12.2.3. Generating More Coupled Sets
12.2.4. Listing and Deleting Coupled Sets
12.3. Additional Considerations for Coupling
12.4. What Are Constraint Equations?
12.5. How to Create Constraint Equations
12.5.1. The Direct Method
12.5.2. Modifying Constraint Equations
12.5.3. Direct vs. Automatic Constraint Equation Generation
12.5.4. Listing and Deleting Constraint Equations
12.5.5. Program Modification of Constraint Equations
12.5.6. Troubleshooting Problems with Constraint Equations
12.6. Additional Considerations for Constraint Equations
13. Combining and Archiving Models
13.1. Combining Models
13.2. Archiving Models
13.2.1. Log File (File.LOG)
13.2.2. Database File (File.DB)
13.2.3. CDWRITE File(s)
14. Interfaces With Other Programs
14.1. Interfacing With Computer Aided Design (CAD) Products
14.2. Other Interfaces

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.2. Activating Parallel Processing in a Shared-Memory Architecture 		Up / Home Next
Chapter 1. Understanding Model Generation


Chapter 1. Understanding Model Generation

The ultimate purpose of a finite element analysis is to recreate mathematically the behavior of an actual engineering system. In other words, the analysis must be an accurate mathematical model of a physical prototype. In the broadest sense, this model comprises all the nodes, elements, material properties, real constants, boundary conditions, and other features that are used to represent the physical system.

The following model-generation topics are available:

  • What Is Model Generation?
  • Typical Steps Involved in Model Generation Within ANSYS
  • Importing Solid Models Created in CAD systems

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Modeling and Meshing Guide 		Up / Home Next
1.1. What Is Model Generation?


1.1. What Is Model Generation?

In ANSYS terminology, model generation usually takes on the narrower meaning of generating the nodes and elements that represent the spatial volume and connectivity of the actual system. Thus, model generation in this discussion means the process of defining the geometric configuration of the model's nodes and elements. The ANSYS program offers the following approaches to model generation:

  • Creating a solid model within ANSYS.

  • Using direct generation.

  • Importing a model created in a computer-aided design (CAD) system.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 1. Understanding Model Generation 		Up / Home Next
1.2. Typical Steps Involved in Model Generation Within ANSYS


1.2. Typical Steps Involved in Model Generation Within ANSYS

A common modeling session might follow this general outline (detailed information on italicized subjects can be found elsewhere in this guide):

  • Begin by planning your approach. Determine your objectives, decide what basic form your model will take, choose appropriate element types, and consider how you will establish an appropriate mesh density. You will typically do this general planning before you initiate your ANSYS session.

  • Enter the preprocessor (PREP7) to initiate your model-building session. Most often, you will build your model using solid modeling procedures.

  • Establish a working plane.

  • Generate basic geometric features using geometric primitives and Boolean operators.

  • Activate the appropriate coordinate system.

  • Generate other solid model features from the bottom up. That is, create keypoints, and then define lines, areas, and volumes as needed.

  • Use more Boolean operators or number controls to join separate solid model regions together as appropriate.

  • Create tables of element attributes (element types, real constants, material properties, and element coordinate systems).

  • Set element attribute pointers.

  • Set meshing controls to establish your desired mesh density if desired. This step is not always required because default element sizes exist when you enter the program (see "Generating the Mesh"). (If you want the program to refine the mesh automatically, exit the preprocessor at this point, and activate adaptive meshing.)

  • Create nodes and elements by meshing your solid model.

  • After you have generated nodes and elements, add features such as surface-to-surface contact elements, coupled degrees of freedom, and constraint equations.

  • Save your model data to Jobname.DB.

  • Exit the preprocessor.

Note

The solid modeling features of ANSYS are known to have robustness issues. By careful planning and use of alternative strategies, you can successfully create the model required for analysis. However, you may be better served using your CAD modeler to create your model or using DesignModeler under the ANSYS Workbench environment to create your model.

1.2.1. Comparing Solid Modeling and Direct Generation

You can use two different methods to generate your model: solid modeling and direct generation. With solid modeling, you describe the geometric boundaries of your model, establish controls over the size and desired shape of your elements, and then instruct the ANSYS program to generate all the nodes and elements automatically. By contrast, with the direct generation method, you determine the location of every node and the size, shape, and connectivity of every element prior to defining these entities in your ANSYS model.

Although some automatic data generation is possible, the direct generation method is essentially a hands-on, "manual" method that requires you to keep track of all your node numbers as you develop your finite element mesh. This detailed bookkeeping can become tedious for large models, contributing to the potential for modeling errors. Solid modeling is usually more powerful and versatile than direct generation, and is commonly the preferred method for generating your model.

In spite of the many advantages of solid modeling, you might occasionally encounter circumstances where direct generation will be more useful. You can easily switch back and forth between direct generation and solid modeling, using the different techniques as appropriate to define different parts of your model.

Detailed discussions of solid modeling and direct generation can be found in "Solid Modeling" and "Direct Generation", respectively. To help you judge which method might be more suitable for a given situation, the relative advantages and disadvantages of the two approaches are summarized here.

1.2.1.1. Solid Modeling

On the plus side, solid modeling

  • Is generally more appropriate for large or complex models, especially 3-D models of solid volumes.

  • Allows you to work with a relatively small number of data items.

  • Allows geometric operations (such as dragging and rotations) that cannot be done with nodes and elements.

  • Supports the use of "primitive" areas and volumes (such as polygonal areas and cylindrical volumes) and Boolean operations (intersections, subtractions, etc.) for "top down" construction of your model.

  • Facilitates your use of the ANSYS program's design optimization features.

  • Is required for adaptive meshing.

  • Is required in order to do area mesh refinement after loads have been applied (solid model loads are also required).

  • Readily allows modifications to geometry.

  • Facilitates changes to element distribution; you are not bound to one analysis model.

However, solid modeling

  • Can sometimes require large amounts of CPU time.

  • Can (for small, simple models) sometimes be more cumbersome, requiring more data entries than direct generation.

  • Can sometimes "fail" (the program will not be able to generate the finite element mesh) under certain circumstances.

1.2.1.2. Direct Generation

On the plus side, direct generation

  • Is convenient for small or simple models.

  • Provides you with complete control over the geometry and numbering of every node and every element.

However, direct generation

  • Is usually too time consuming for all but the simplest models; the volume of data you must work with can become overwhelming.

  • Cannot be used with adaptive meshing.

  • Makes design optimization less convenient.

  • Makes it difficult to modify the mesh (tools such as area mesh refinement, SmartSizing, etc. cannot be used).

  • Can become tedious, requiring you to pay more attention to every detail of your mesh; tedium can sometimes cause you to become more prone to committing errors.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.1. What Is Model Generation? 		Up / Home Next
1.3. Importing Solid Models Created in CAD systems


1.3. Importing Solid Models Created in CAD systems

As an alternative to creating your solid models within ANSYS, you can create them in your favorite CAD system and then import them into ANSYS for analysis, by saving them in the IGES file format or in a file format supported by an ANSYS Connection product. Creating a model using a CAD package has the following advantages:

  • You avoid a duplication of effort by using existing CAD models to generate solid models for analysis.

  • You use more familiar tools to create models.

However, models imported from CAD systems may require extensive repair if they are not of suitable quality for meshing.

For more information on importing solid models from IGES files, see "Importing Solid Models from IGES Files". For more information on importing solid models from other types of files, see the ANSYS Connection User's Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.2. Typical Steps Involved in Model Generation Within ANSYS 		Up / Home Next
Chapter 2. Planning Your Approach


Chapter 2. Planning Your Approach

As you begin to create your model, you will make a number of decisions that determine how you will mathematically simulate the physical system. For example: What are the objectives of your analysis? Will you model all, or just a portion, of the physical system? How much detail will you include in your model? What kinds of elements will you use? How dense should your finite element mesh be?

In general, you will attempt to balance computational expense (such as CPU time) against precision of results as you answer these questions. The decisions you make in the planning stage of your analysis will largely govern the success or failure of your analysis efforts.

This first step of your analysis relies not on the capabilities in the ANSYS program, but on your own education, experience, and professional judgment. Only you can determine what the objectives of your analysis must be. The objectives you establish at the start will influence the remainder of your choices as you generate the model.

The following model-planning topics are available:

  • Choosing a Model Type (2-D, 3-D, etc.)
  • Choosing Between Linear and Higher Order Elements
  • Limitations on Joining Different Elements
  • Finding Ways to Take Advantage of Symmetry
  • Determining How Much Detail to Include
  • Determining the Appropriate Mesh Density

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.3. Importing Solid Models Created in CAD systems 		Up / Home Next
2.1. Choosing a Model Type (2-D, 3-D, etc.)


2.1. Choosing a Model Type (2-D, 3-D, etc.)

Your finite element model may be categorized as being 2-D or 3-D, and as being composed of point elements, line elements, area elements, or solid elements. Of course, you can intermix different kinds of elements as required (taking care to maintain the appropriate compatibility among degrees of freedom). For example, you might model a stiffened shell structure using 3-D shell elements to represent the skin and 3-D beam elements to represent the ribs. Your choice of model dimensionality and element type will often determine which method of model generation will be most practical for your problem.

LINE models can represent 2-D or 3-D beam or pipe structures, as well as 2-D models of 3-D axisymmetric shell structures. Solid modeling usually does not offer much benefit for generating line models; they are more often created by direct generation methods.

2-D SOLID analysis models are used for thin planar structures (plane stress), "infinitely long" structures having a constant cross section (plane strain), or axisymmetric solid structures. Although many 2-D analysis models are relatively easy to create by direct generation methods, they are usually easier to create with solid modeling.

3-D SHELL models are used for thin structures in 3-D space. Although some 3-D shell analysis models are relatively easy to create by direct generation methods, they are usually easier to create with solid modeling.

3-D SOLID analysis models are used for thick structures in 3-D space that have neither a constant cross section nor an axis of symmetry. Creating a 3-D solid analysis model by direct generation methods usually requires considerable effort. Solid modeling will nearly always make the job easier.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 2. Planning Your Approach 		Up / Home Next
2.2. Choosing Between Linear and Higher Order Elements


2.2. Choosing Between Linear and Higher Order Elements

The ANSYS program's element library includes two basic types of area and volume elements: linear (with or without extra shapes), and quadratic. These basic element types are represented schematically in Figure 2.1: "Area and Volume Types". Let's examine some of the considerations involved in choosing between these two basic element types:

Basic area and volume types available in the ANSYS program
(a) Linear isoparametric
(b) Linear isoparametric with extra shapes
(c) Quadratic

Figure 2.1 Area and Volume Types

2.2.1. Linear Elements (No Midside Nodes)

For structural analyses, these corner node elements with extra shape functions will often yield an accurate solution in a reasonable amount of computer time. When using these elements, it is important to avoid their degenerate forms in critical regions. That is, avoid using the triangular form of 2-D linear elements and the wedge or tetrahedral forms of 3-D linear elements in high results-gradient regions, or other regions of special interest. You should also take care to avoid using excessively distorted linear elements. In nonlinear structural analyses, you will usually obtain better accuracy at less expense if you use a fine mesh of these linear elements rather than a comparable coarse mesh of quadratic elements.

Figure 2.2 Comparable Grids

Examples of (a) linear and (b) quadratic elements are shown in Figure 2.2: "Comparable Grids".

When modeling a curved shell, you must choose between using curved (that is, quadratic) or flat (linear) shell elements. Each choice has its advantages and disadvantages. For most practical cases, the majority of problems can be solved to a high degree of accuracy in a minimum amount of computer time with flat elements. You must take care, however, to ensure that you use enough flat elements to model the curved surface adequately. Obviously, the smaller the element, the better the accuracy. It is recommended that the 3-D flat shell elements not extend over more than a 15° arc. Conical shell (axisymmetric line) elements should be limited to a 10° arc (or 5° if near the Y axis).

For most non-structural analyses (thermal, magnetic, etc.), the linear elements are nearly as good as the higher order elements, and are less expensive to use. Degenerate elements (triangles and tetrahedra) usually produce accurate results in non-structural analyses.

2.2.2. Quadratic Elements (Midside Nodes)

For linear structural analyses with degenerate element shapes (that is, triangular 2-D elements and wedge or tetrahedral 3-D elements), the quadratic elements will usually yield better results at less expense than will the linear elements. However, in order to use these elements correctly, you need to be aware of a few peculiar traits that they exhibit:

  • Distributed loads and edge pressures are not allocated to the element nodes according to "common sense," as they are in the linear elements. (See Figure 2.3: "Equivalent Nodal Allocations".) Reaction forces from midside-node elements exhibit the same nonintuitive interpretation.

  • 3-D thermal elements with midside nodes subject to convection loading inherently distribute the heat flow such that it flows in one direction at the midside node and in the other direction at the corner nodes.

  • Since the mass at the midside nodes is also greater than at the corner nodes, it is usually better to pick master degrees of freedom (for reduced analyses) at the midside nodes.

    Equivalent nodal allocations of a unit uniform surface load

    (a) 2-D elements
    (b) 3-D elements
    (c) triangular 3-D elements

    Figure 2.3 Equivalent Nodal Allocations

  • In dynamic analyses where wave propagation is of interest, midside-node elements are not recommended because of the nonuniform mass distribution.

  • Do not define nodal-based contact elements (CONTAC12, COMBIN40, CONTAC52, CONTA175, and CONTA178) at, or connect gap elements to, faces with midside nodes. Similarly for thermal problems, do not apply radiation links or nonlinear convection surfaces to edges with midside nodes. Where nodal-based contact is necessary on surfaces with midside nodes, the midside nodes should be removed, if possible. This caution does not apply to the surface-to-surface, line-to-line, and line-to-surface contact elements (TARGE169, TARGE170, CONTA171, CONTA172, CONTA173, CONTA174, CONTA176, and CONTA177). Meshing of solid models provides ways to omit certain midside nodes.

    Figure 2.4 Avoid Midside Nodes at Gaps and Nodal-based Contact Surfaces

  • When constraining degrees of freedom at an element edge (or face), all nodes on the face, including the midside nodes, must be constrained.

  • The corner node of an element should only be connected to the corner node, and not the midside node of an adjacent element. Adjacent elements should have connected (or common) midside nodes.

    Figure 2.5 Avoid Midside-to-Corner Node Connections Between Elements

  • For elements having midside nodes, it is generally preferred that each such node be located at the straight-line position halfway between the corresponding corner nodes. There are, however, situations where other locations may be more desirable:

    • Nodes following curved geometric boundaries will usually produce more accurate analysis results - and all ANSYS meshers place them there by default.

    • Even internal edges in some meshes may have to curve to prevent elements from becoming inverted or otherwise overly distorted. ANSYS meshers sometimes produce this type of curvature.

    • It is possible to mimic a crack-tip singularity with "quarter point" elements, with midside nodes deliberately placed off-center. You can produce this type of specialized area mesh in ANSYS by using the KSCON command (Main Menu> Preprocessor> Meshing> Size Cntrls> Concentrat KPs> Create).

  • Midside node positions are checked by the element shape test described below. (For information about controlling element shape checking, see "Generating the Mesh" of this manual.)

    • All solid and shell elements except 3-node triangles and 4-node tetrahedra are tested for uniformity of the mapping between "real" 3-D space and the element's own "natural" coordinate space. A large Jacobian ratio indicates excessive element distortion, which may or may not be caused by poorly located midside nodes. For details about Jacobian ratio tests, refer to the section on element shape testing in the Theory Reference for ANSYS and ANSYS Workbench.

  • If you do not assign a location for a midside node, the program will automatically place that node midway between the two corner nodes, based on a linear Cartesian interpolation. Nodes located in this manner will also have their nodal coordinate system rotation angles linearly interpolated.

  • Connecting elements should have the same number of nodes along the common side. When mixing element types it may be necessary to remove the midside node from an element. For example, node N of the 8-node element shown below should be removed (or given a zero-node number when the element is created [E]) when the element is connected to a 4-node element.

    Figure 2.6 Avoid Mismatched Midside Nodes at Element Interconnections

    Note

    The program will automatically remove midside nodes along the common sides of linear and quadratic elements in the following situation: one area (or volume) is meshed [AMESH, VMESH, FVMESH] with linear elements, then an adjacent area (or volume) is meshed with quadratic elements. Midside nodes will not be removed if the order of meshing is reversed (quadratic elements followed by linear elements).

  • A removed midside node implies that the edge is and remains straight, resulting in a corresponding increase in the stiffness. It is recommended that elements with removed nodes be used only in transition regions and not where simpler linear elements with added shape functions will do. If needed, nodes may be added or removed after an element has been generated, using one of the following methods:

    Command(s): EMID,
    EMODIF
    GUI: Main Menu> Preprocessor> Modeling> Move/Modify> Elements> Add Mid Nodes
    Main Menu> Preprocessor> Modeling> Move/Modify> Elements> Remove Mid Nd
    Main Menu> Preprocessor> Modeling> Move/Modify> Elements> Modify Nodes

  • A quadratic element has no more integration points than a linear element. For this reason, linear elements will usually be preferred for nonlinear analyses.

  • One-element meshes of higher-order quadrilateral elements such as PLANE82 and SHELL93 may produce a singularity due to zero energy deformation.

  • In postprocessing, the program uses only corner nodes for section and hidden line displays. Similarly, nodal stress data for printout and postprocessing are available only for the corner nodes.

  • In graphics displays, midside-node elements, which actually use a curved edge in the element formulation, are displayed with straight-line segments (unless PowerGraphics is used). Models will therefore look "cruder" than they actually are.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.1. Choosing a Model Type (2-D, 3-D, etc.) 		Up / Home Next
2.3. Limitations on Joining Different Elements


2.3. Limitations on Joining Different Elements

You must be careful when you directly join elements that have differing degrees of freedom (DOFs), because there will be inconsistencies at the interface. When elements are not consistent with each other, the solution may not transfer appropriate forces or moments between different elements.

To be consistent, two elements must have the same DOFs; for example, they must both have the same number and type of displacement DOFs and the same number and type of rotational DOFs. Furthermore, the DOFs must overlay (be tied to) each other; that is, they must be continuous across the element boundaries at the interface.

Consider three examples of the use of inconsistent elements:

  • Elements having a different number of DOFs are inconsistent. SHELL63 and BEAM4 elements have three displacement and three rotational DOFs per node. SOLID45 elements have three displacement DOFs per node, but lack rotational DOFs. If a SOLID45 element is joined to either a SHELL63 or BEAM4 element, the nodal forces corresponding to displacement DOFs will be transmitted to the solid element. However, the nodal moments corresponding to the rotational DOFs of the SHELL63 and BEAM4 elements will not be transmitted to the SOLID45 element.

  • Elements having the same number of DOFs may nevertheless be inconsistent. BEAM3 (2-D elastic beam) elements and SHELL41 (membrane shell) elements each have three DOFs per node. However, the shell element has three displacement DOFs (UX, UY and UZ), while the beam element has only two (UX and UY). Therefore, the UZ result will reflect the stiffness of the shell element, only. Furthermore, the shell element does not have the rotational DOF (ROTZ) that the beam element has. The nodal moment corresponding to the beam element's rotational DOF will not be transmitted to the shell element. The interface will behave as if the beam was "pinned."

  • Both 3-D beam elements and 3-D shell elements have 6 DOFs per node. However, the ROTZ degree of freedom of the shell element (the drilling mode) is associated with the in-plane rotational stiffness. This is normally a fictitious stiffness; that is, it is not the result of a mathematical calculation of the true stiffness. Thus, the ROTZ degree of freedom of the shell element is not a true DOF. (The exception is when the Allman Rotational Stiffness is activated for SHELL43 or SHELL63 elements (KEYOPT(3) = 2 for both).) Therefore, it is not consistent to connect only one node of a 3-D beam element to a 3-D shell element such that a rotational DOF of the beam element corresponds to the ROTZ of the shell element. You should not join beams to shells in this manner.

Similar inconsistencies may exist between other elements with differing number and/or types of DOFs.

These types of problems may not invalidate the analysis, but you should at least be aware of the conditions at the interface between two different element types.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.2. Choosing Between Linear and Higher Order Elements 		Up / Home Next
2.4. Finding Ways to Take Advantage of Symmetry


2.4. Finding Ways to Take Advantage of Symmetry

Many objects have some kind of symmetry, be it repetitive symmetry (such as evenly spaced cooling fins on a long pipe), reflective symmetry (such as a molded plastic container), or axisymmetry (such as a light bulb). When an object is symmetric in all respects (geometry, loads, constraints, and material properties), you can often take advantage of that fact to reduce the size and scope of your model.

Figure 2.7 Examples of Symmetry

2.4.1. Some Comments on Axisymmetric Structures

Any structure that displays geometric symmetry about a central axis (such as a shell or solid of revolution) is an axisymmetric structure. Examples would include straight pipes, cones, circular plates, domes, and so forth.

Models of axisymmetric 3-D structures may be represented in equivalent 2-D form. You may expect that results from a 2-D axisymmetric analysis will be more accurate than those from an equivalent 3-D analysis.

By definition, a fully axisymmetric model can only be subjected to axisymmetric loads. In many situations, however, axisymmetric structures will experience non-axisymmetric loads. You must use a special type of element, known as an axisymmetric harmonic element, to create a 2-D model of an axisymmetric structure with nonaxisymmetric loads. See Axisymmetric Elements with Nonaxisymmetric Loads in the Elements Reference for details.

2.4.1.1. Some Special Requirements for Axisymmetric Models

Special requirements for axisymmetric models include:

  • The axis of symmetry must coincide with the global Cartesian Y-axis.

  • Negative nodal X-coordinates are not permitted.

  • The global Cartesian Y-direction represents the axial direction, the global Cartesian X-direction represents the radial direction, and the global Cartesian Z-direction corresponds to the circumferential direction.

  • Your model should be assembled using appropriate element types:

    • For axisymmetric models, use applicable 2-D solids with KEYOPT(3) = 1, and/or axisymmetric shells. In addition, various link, contact, combination, and surface elements can be included in a model that also contains axisymmetric solids or shells. (The program will not realize that these "other" elements are axisymmetric unless axisymmetric solids or shells are present.) If the Elements Reference does not discuss axisymmetric applications for a particular element type, do not use that element type in an axisymmetric analysis.

    • For axisymmetric harmonic models, use only axisymmetric harmonic elements.

  • The SHELL61 element cannot lie on the global Y-axis.

  • For models containing 2-D solid elements in which shear effects are important, at least two elements through the thickness should be used.

2.4.1.2. Some Further Hints and Restrictions

If your structure contains a hole along the axis of symmetry, don't forget to provide the proper spacing between the Y-axis and the 2-D axisymmetric model. (See Figure 2.8: "An X-direction Offset Represents an Axisymmetric Hole".) See "Loading" in the Basic Analysis Guide for a discussion of axisymmetric loads.

Figure 2.8 An X-direction Offset Represents an Axisymmetric Hole

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.3. Limitations on Joining Different Elements 		Up / Home Next
2.5. Determining How Much Detail to Include


2.5. Determining How Much Detail to Include

Small details that are unimportant to the analysis should not be included in the solid model, since they will only make your model more complicated than necessary. However, for some structures, "small" details such as fillets or holes can be locations of maximum stress, and might be quite important, depending on your analysis objectives. You must have an adequate understanding of your structure's expected behavior in order to make competent decisions concerning how much detail to include in your model.

In some cases, only a few minor details will disrupt a structure's symmetry. You can sometimes ignore these details (or, conversely, treat them as being symmetric) in order to gain the benefits of using a smaller symmetric model. You must weigh the gain in model simplification against the cost in reduced accuracy when deciding whether or not to deliberately ignore unsymmetric features of an otherwise symmetric structure.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.4. Finding Ways to Take Advantage of Symmetry 		Up / Home Next
2.6. Determining the Appropriate Mesh Density


2.6. Determining the Appropriate Mesh Density

A question that frequently arises in a finite element analysis is, "How fine should the element mesh be in order to obtain reasonably good results?" Unfortunately, no one can give you a definitive answer to this question; you must resolve this issue for yourself. Some of the techniques you might employ to resolve this question include:

  • Use adaptive meshing to generate a mesh that meets acceptable energy error estimate criteria. (This technique is available only for linear static structural or steady state thermal problems. Your judgement as to what constitutes an "acceptable" error level will depend on your analysis requirements.) Adaptive meshing requires solid modeling.

  • Compare the results of a preliminary analysis with independently derived experimental or known accurate analytical results. Refine the mesh in regions where the discrepancy between known and calculated results is too great. (For all area meshes and for volume meshes composed of tetrahedra, you can refine the mesh locally with the NREFINE, EREFINE, KREFINE, LREFINE, and AREFINE commands (Main Menu> Preprocessor> Meshing> Modify Mesh> Refine At> entity type).)

  • Perform an initial analysis using what seems to you to be a "reasonable" mesh. Reanalyze the problem using twice as many elements in critical regions, and compare the two solutions. If the two meshes give nearly the same results, then the mesh is probably adequate. If the two meshes yield substantially different results, then further mesh refinement might be required. You should keep refining your mesh until you obtain nearly identical results for succeeding meshes.

  • If mesh-refinement testing reveals that only a portion of your model requires a finer mesh, you can use submodeling to "zoom in" on critical regions.

Mesh density is extremely important. If your mesh is too coarse, your results can contain serious errors. If your mesh is too fine, you will waste computer resources, experience excessively long run times, and your model may be too large to run on your computer system. To avoid such problems, always address the issue of mesh density before you begin your model generation.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.5. Determining How Much Detail to Include 		Up / Home Next
Chapter 3. Coordinate Systems


Chapter 3. Coordinate Systems

The ANSYS program uses several types of coordinate systems, each used for a different purpose:

  • Global and local coordinate systems are used to locate geometry items (nodes, keypoints, etc.) in space.

  • The display coordinate system determines the system in which geometry items are listed or displayed.

  • The nodal coordinate system defines the degree of freedom directions at each node and the orientation of nodal results data.

  • The element coordinate system determines the orientation of material properties and element results data.

  • The results coordinate system is used to transform nodal or element results data to a particular coordinate system for listings, displays, or general postprocessing operations (POST1).

The working plane, which is separate from the coordinate systems discussed here, is for locating geometric primitives during the modeling process. See "Using Working Planes" for more information about the working plane.

The following coordinate system topics are available:

  • Global and Local Coordinate Systems
  • Display Coordinate System
  • Nodal Coordinate Systems
  • Element Coordinate Systems
  • The Results Coordinate System

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.6. Determining the Appropriate Mesh Density 		Up / Home Next
3.1. Global and Local Coordinate Systems


3.1. Global and Local Coordinate Systems

Global and local coordinate systems are used to locate geometry items. By default, when you define a node or a keypoint, its coordinates are interpreted in the global Cartesian system. For some models, however, it may be more convenient to define the coordinates in a system other than global Cartesian. The ANSYS program allows you to input the geometry in any of three predefined (global) coordinate systems, or in any number of user defined (local) coordinate systems.

3.1.1. Global Coordinate Systems

A global coordinate system can be thought of as an absolute reference frame. The ANSYS program provides three predefined global systems: Cartesian, cylindrical, and spherical. All three of these systems are right-handed and, by definition, share the same origin. They are identified by their coordinate system (C.S.) numbers: 0 for Cartesian, 1 for cylindrical, and 2 for spherical. (See Figure 3.1: "Global Coordinate Systems".)

Figure 3.1 Global Coordinate Systems

  • (a) Cartesian (X, Y, Z components) coordinate system 0 (C.S.0)

  • (b) Cylindrical (R, θ, Z components) coordinate system 1 (C.S.1)

  • (c) Spherical (R, θ, φ components) coordinate system 2 (C.S.2)

  • (d) Cylindrical (R, θ, Y components) coordinate system 5 (C.S.5)

3.1.2. Local Coordinate Systems

In many cases, it may be necessary to establish your own coordinate system, whose origin is offset from the global origin, or whose orientation differs from that of the predefined global systems. (See Figure 3.2: "Euler Rotation Angles" for an example of a coordinate system defined by used for local, nodal, or working plane coordinate system rotations.) Such user defined coordinate systems, known as local coordinate systems, can be created in the following ways:

  • Define the local system in terms of global Cartesian coordinates.

    Command(s): LOCAL
    GUI: Utility Menu> WorkPlane> Local Coordinate Systems> Create Local CS> At Specified Loc

  • Define the local system in terms of existing nodes.

    Command(s): CS
    GUI: Utility Menu> WorkPlane> Local Coordinate Systems> Create Local CS> By 3 Nodes

  • Define the local system in terms of existing keypoints.

    Command(s): CSKP
    GUI: Utility Menu> WorkPlane> Local Coordinate Systems> Create Local CS> By 3 Keypoints

  • Define the local system to be centered at the origin of the presently defined working plane.

    Command(s): CSWPLA
    GUI: Utility Menu> WorkPlane> Local Coordinate Systems> Create Local CS> At WP Origin

  • Define the local system in terms of the active coordinate system with the CLOCAL command (see The Active Coordinate System). (There is no GUI equivalent for the CLOCAL command.)

When a local coordinate system is defined, it becomes the active coordinate system. As you create a local system, you assign it a C.S. identification number (which must be 11 or greater). You can create (or delete) local coordinate systems in any phase of your ANSYS session. To delete a local system, use one of the following methods:

Command(s): | CSDELE
GUI: | Utility Menu> WorkPlane> Local Coordinate Systems> Delete Local CS

To view the status of all global and local coordinate systems, use one of the following methods:

Command(s): | CSLIST
GUI: | Utility Menu> List> Other> Local Coord Sys

Your local coordinate systems can be Cartesian, cylindrical, or spherical, similar in form to the three predefined global systems. Note that you may define local cylindrical and spherical coordinate systems in either circular or elliptical configuration. Additionally, you can define a toroidal local coordinate system, as illustrated in Figure 3.3: "Coordinate System Types".

Note

Solid modeling operations in a toroidal coordinate system are not recommended. Areas or volumes generated may not be what you expect.

Figure 3.2 Euler Rotation Angles

Figure 3.3 Coordinate System Types

3.1.3. The Active Coordinate System

You may define as many coordinate systems as you like, but only one of these systems may be active at a time. The choice of active coordinate system is determined as follows: Initially, the global Cartesian system is active by default. Each time you define a local coordinate system, that newly-defined system then automatically becomes the active one. If you want to activate one of the global coordinate systems or some other previously defined coordinate system, use one of the following methods:

Command(s): | CSYS
GUI: | Utility Menu> WorkPlane> Change Active CS to> Global Cartesian Utility Menu> WorkPlane> Change Active CS to> Global Cylindrical Utility Menu> WorkPlane> Change Active CS to> Global Spherical Utility Menu> WorkPlane> Change Active CS to> Specified Coord Sys Utility Menu> WorkPlane> Change Active CS to> Working Plane

You can activate a coordinate system in any phase of your ANSYS session. That same coordinate system will remain active in all subsequent phases until you change it explicitly.

Note

When you define a keypoint or a node, the program response labels the coordinates as X, Y, and Z, regardless of which coordinate system is active. You should make the appropriate mental substitutions if the active coordinate system is not Cartesian (R, θ, Z for cylindrical and R, θ, Φ for spherical or toroidal).

3.1.4. Surfaces

Specifying a constant value for a single coordinate implies a surface. For example, X = 3 represents the Y-Z plane (or surface) at X = 3 in a Cartesian system. Implied surfaces are used with various operations, such as selecting (xSEL commands) and moving (MOVE, KMOVE, etc.) entities. Some surfaces of constant value (C) are illustrated in the following figures. These surfaces may be located in either global or local coordinate systems to allow for any desired orientation. Note that for surfaces in elliptical coordinate systems, a constant R value (R = C) represents the value of R along the X-axis.

Figure 3.4 Surfaces of Constant Value

Figure 3.5 Meshed Surfaces of Constant Value

3.1.5. Closed Surfaces and Surface Singularities

Open surfaces are assumed to be infinite. Cylindrical circular surfaces have a singularity at θ = ± 180°, as shown in Figure 3.6: "Singularity Points", so that a fill generation of a string of nodes [FILL] or keypoints [KFILL] does not cross the 180° line. A fill operation defined from A to C will pass through B. A fill operation from A to D will pass through E. A fill operation from C to D will pass through B, A, and E.

For a specified cylindrical coordinate system, you can move the singularity point to θ = 0° (or 360°) so that a fill operation from C to D will not pass through B, A, or E. To move the singularity point, use one of the following methods:

Command(s): | CSCIR
GUI: | Utility Menu> WorkPlane> Local Coordinate Systems> Move Singularity

Figure 3.6 Singularity Points

A similar singularity occurs in the toroidal coordinate system at Φ = ± 180° and can also be moved by the above methods. Singularities also occur in the spherical coordinate system at Φ = ± 90°, such that these locations should not be used.

Note that solid model lines will not be affected by these singularity locations. A curved line between two keypoints will take the shortest path in the angular direction, without regard to the location of the singularity point. (As a result, curved lines cannot span an arc of more than 180°.) Thus, in the figure above, circular lines from B to D or from D to B will pass through C.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 3. Coordinate Systems 		Up / Home Next
3.2. Display Coordinate System


3.2. Display Coordinate System

By default, a listing of nodes or keypoints always shows their global Cartesian coordinates, even if they were defined in a different coordinate system. You can change the display coordinate system used in such listings by one of the following methods:

Command(s): | DSYS
GUI: | Utility Menu> WorkPlane> Change Display CS to> Global Cartesian Utility Menu> WorkPlane> Change Display CS to> Global Cylindrical Utility Menu> WorkPlane> Change Display CS to> Global Spherical Utility Menu> WorkPlane> Change Display CS to> Specified Coord Sys

Changing the display coordinate system will also affect your graphical displays. Unless you desire a specific effect in your displays, you should usually reset the display coordinate system to C.S. 0 (the global Cartesian system) before issuing any graphics display action commands (such as NPLOT, EPLOT, etc.). (Keypoint plots [KPLOT], line plots [LPLOT], area plots [APLOT], and volume plots [VPLOT] are not affected by DSYS.)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.1. Global and Local Coordinate Systems 		Up / Home Next
3.3. Nodal Coordinate Systems


3.3. Nodal Coordinate Systems

While global and local coordinate systems locate geometry items, the nodal coordinate system orients the degree of freedom directions at each node. Each node has its own nodal coordinate system, which, by default, is parallel to global Cartesian (regardless of the active coordinate system in which the node was defined). You can rotate the nodal coordinate system at any node to a desired orientation using one of the following methods:

  • Rotate the nodal coordinate system into the active coordinate system. That is, the nodal X-axis is rotated to be parallel to the X or R axis of the active system, the nodal Y-axis is rotated to be parallel to the Y or θ axis of the active system, and the nodal Z-axis is rotated to be parallel to the Z or Φ axis of the active system.

    Command(s): NROTAT
    GUI: Main Menu> Preprocessor> Modeling> Create> Nodes> Rotate Node CS> To Active CS
    Main Menu> Preprocessor> Modeling> Move/Modify> Rotate Node CS> To Active CS

  • Rotate the nodal coordinate system by known rotation angles. (Since you will usually not know these rotation angles explicitly, you will probably find the NROTAT method to be more useful.) You can define the rotation angles at the time the node is created [N], or you can specify rotation angles for existing nodes [NMODIF].

    Command(s): N
    GUI: Main Menu> Preprocessor> Modeling> Create> Nodes> In Active CS
    Command(s): NMODIF
    GUI: Main Menu> Preprocessor> Modeling> Create> Nodes> Rotate Node CS> By Angles
    Main Menu> Preprocessor> Modeling> Move/Modify> Rotate Node CS> By Angles

  • Rotate the nodal coordinate system by direction cosine components.

    Command(s): NANG
    GUI: Main Menu> Preprocessor> Modeling> Create> Nodes> Rotate Node CS> By Vectors
    Main Menu> Preprocessor> Modeling> Move/Modify> Rotate Node CS> By Vectors

  • Rotate the nodal coordinate system to surface normal.

    Command(s): NORA
    GUI: Main Menu> Preprocessor> Modeling> Move/Modify> RotateNode> To Surf Norm> On Areas

You can list the nodal coordinate rotation angles with respect to the global Cartesian system using one of the following methods:

Command(s): | NLIST
GUI: | Utility Menu> List> Nodes Utility Menu> List> Picked Entities> Nodes

Figure 3.7 Nodal Coordinate Systems

3.3.1. Data Interpreted in the Nodal Coordinate System

Input data that are interpreted in the nodal coordinate system include component values of the following:

  • Degree of freedom constraints

  • Forces

  • Master DOF

  • Coupled nodes

  • Constraint equations

The following results data are reported in the nodal coordinate system on the output file and in POST26:

  • Degree of freedom solution

  • Nodal loads

  • Reaction loads

In POST1, results data are reported in terms of the results coordinate system [RSYS], not the nodal coordinate system.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.2. Display Coordinate System 		Up / Home Next
3.4. Element Coordinate Systems


3.4. Element Coordinate Systems

Every element has its own coordinate system, the element coordinate system, that determines the direction of orthotropic material properties, applied pressures, and results (such as stresses and strains) for that element. All element coordinate systems are right-handed orthogonal systems.

The default orientations for most elements' coordinate systems fit the following patterns:

  • Line elements usually have the element X-axis directed from their node I toward their node J.

  • Shell elements usually have the element X-axis similarly directed (from I toward J), the Z-axis normal to the shell surface (with the positive direction determined by the right-hand rule around the element from node I to J to K), and the Y-axis perpendicular to the X and Z axes.

  • For 2-D and 3-D solid elements, the element coordinate system is usually parallel to the global Cartesian system.

However, not all elements correspond to these patterns; see specific element descriptions in the Elements Reference for the default element coordinate system orientation for such elements.

Many element types have key options (KEYOPTs; input at the time the element is defined [ET] or on the KEYOPT command) that allow you to change the default element coordinate system orientation. For area and volume elements, you can also change the orientation to align the element coordinate system with a previously defined local system by using one of the following methods:

Command(s): | ESYS
GUI: | Main Menu> Preprocessor> Meshing> Mesh Attributes> Default Attribs Main Menu> Preprocessor> Modeling> Create> Elements> Elem Attributes

If you specify both KEYOPTs and ESYS, the ESYS definition overrides. For some elements, you can define a further rotation, relative to the previous orientation, by entering an angle as a real constant. (See, for example, the real constant THETA in the SHELL63 description.)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.3. Nodal Coordinate Systems 		Up / Home Next
3.5. The Results Coordinate System


3.5. The Results Coordinate System

Results data are calculated during solution and consist of displacements (UX, UY, ROTX, etc.), gradients (TGX, TGY, etc.), stresses (SX, SY, SZ, etc.), strains (EPPLX, EPPLXY, etc.), etc. These data are stored in the database and on the results file in either the nodal coordinate system (for the primary, or nodal data) or the element coordinate system (for the derived, or element data). However, results data are generally rotated into the active results coordinate system (which is by default the global Cartesian system) for displays, listings, and element table data storage [ETABLE].

You can change the active results coordinate system to another system (such as the global cylindrical system or a local coordinate system), or to the coordinate systems used during solution (i.e., the nodal and element coordinate systems). If you then list, display, or operate on the results data, they are rotated to this results coordinate system first. Use one of the following methods to change the results coordinate system:

Command(s): | RSYS
GUI: | Main Menu> General Postproc> Options for Output Utility Menu> List> Results> Options

See The General Postprocessor (POST1) of the Basic Analysis Guide for details on rotating results to a different coordinate system for postprocessing.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.4. Element Coordinate Systems 		Up / Home Next
Chapter 4. Using Working Planes


Chapter 4. Using Working Planes

Although your cursor appears as a point on your screen, it actually represents a line through space, normal to the screen. In order to be able to pick a point with your cursor, you first need to define an imaginary plane that, when intersected by the normal line of your cursor, will yield a unique point in space. This imaginary plane is called a working plane. Another way to think of the interaction between your cursor and your working plane is to picture your cursor as a point that moves around on your working plane. The working plane, then, acts as a "tablet" on which you write with your cursor. (The working plane need not be parallel to your display screen.)

Figure 4.1 Relationships Among Display Screen, Cursor, Working Plane, and Picked Point

A working plane is an infinite plane with an origin, a 2-D coordinate system, a snap increment, and a display grid. You can define only one working plane at a time. (Creating a new working plane eliminates your existing working plane.) The working plane is separate from the coordinate systems; for example, the working plane can have a different point of origin and rotation than the active coordinate system. To learn how to force the active coordinate system to track the working plane, see Working Plane Tracking.

The following working plane topics are available:

  • Creating a Working Plane
  • Working Plane Enhancements

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.5. The Results Coordinate System 		Up / Home Next
4.1. Creating a Working Plane


4.1. Creating a Working Plane

By default, when you initiate your ANSYS session, there is a working plane located on the global Cartesian X-Y plane, with its x and y axes colinear with the global Cartesian X and Y axes.

The following topics are available to help you create and use a working plane:

  • Defining a New Working Plane
  • Controlling the Display and Style of the Working Plane
  • Moving the Working Plane
  • Rotating the Working Plane
  • Recreating a Previously-defined Working Plane

4.1.1. Defining a New Working Plane

You can define a new working plane by using any of these methods:

  • To define a working plane by three points, or by locating it on the plane normal to a viewing vector at a specified point, use one of these methods:

    Command(s): WPLANE
    GUI: Utility Menu> WorkPlane> Align WP with> XYZ Locations

  • To define a working plane by three nodes, or by locating it on the plane normal to a viewing vector at a specified node, use one of these methods:

    Command(s): NWPLAN
    GUI: Utility Menu> WorkPlane> Align WP with> Nodes

  • To define a working plane by three keypoints, or by locating it on the plane normal to a viewing vector at a specified keypoint, use one of these methods:

    Command(s): KWPLAN
    GUI: Utility Menu> WorkPlane> Align WP with> Keypoints

  • To define a working plane by locating it on the plane normal to a viewing vector at a specified point on a line, use one of these methods:

    Command(s): LWPLAN
    GUI: Utility Menu> WorkPlane> Align WP with> Plane Normal to Line

  • To define a working plane by locating it on the X-Y (or R-θ) plane of an existing coordinate system, use one of these methods:

    Command(s): WPCSYS
    GUI: Utility Menu> WorkPlane> Align WP with> Active Coord Sys
    Utility Menu> WorkPlane> Align WP with> Global Cartesian
    Utility Menu> WorkPlane> Align WP with> Specified Coord Sys

4.1.2. Controlling the Display and Style of the Working Plane

To obtain the current status (that is, the location, orientation, and enhancements) of the working plane, use one of these methods:

Command(s): | WPSTYL,STAT
GUI: | Utility Menu> List> Status> Working Plane

To reset the working plane to its default location and style, use the command WPSTYL,DEFA.

4.1.3. Moving the Working Plane

You can move a working plane to a new location (that is, a new origin) using any of the following methods (all of which translate the working plane to a new location parallel to its original location):

  • To move the working plane origin to the average location of keypoints, use one of these methods:

    Command(s): KWPAVE
    GUI: Utility Menu> WorkPlane> Offset WP to> Keypoints

  • To move the working plane origin to the average location of nodes, use one of these methods:

    Command(s): NWPAVE
    GUI: Utility Menu> WorkPlane> Offset WP to> Nodes

  • To move the working plane origin to the average of specified points, use one of these methods:

    Command(s): WPAVE
    GUI: Utility Menu> WorkPlane> Offset WP to> Global Origin
    Utility Menu> WorkPlane> Offset WP to> Origin of Active CS
    Utility Menu> WorkPlane> Offset WP to> XYZ Locations

  • To offset the working plane, use one of these methods:

    Command(s): WPOFFS
    GUI: Utility Menu> WorkPlane> Offset WP by Increments

4.1.4. Rotating the Working Plane

You can rotate your working plane to a new orientation in two ways: by rotating the working plane's x-y coordinate system within the plane, or by rotating the entire plane to a new position. (If you do not know the rotation angles explicitly, you might find it easier to simply define a new working plane at the correct orientation using one of the methods described above.) To rotate the working plane, use one of these methods:

Command(s): | WPROTA
GUI: | Utility Menu> WorkPlane> Offset WP by Increments

4.1.5. Recreating a Previously-defined Working Plane

Although you cannot actually "save" a working plane, you can create a local coordinate system at the working plane origin, and then use this local coordinate system to recreate a previously-defined working plane.

  • To create a local coordinate system at the working plane origin, use one of these methods:

    Command(s): CSWPLA
    GUI: Utility Menu> WorkPlane> Local Coordinate Systems> Create Local CS> At WP Origin

  • To use the local coordinate system to recreate a previously-defined working plane, use one of these methods:

    Command(s): WPCSYS
    GUI: Utility Menu> WorkPlane> Align WP with> Active Coord Sys
    Utility Menu> WorkPlane> Align WP with> Global Cartesian
    Utility Menu> WorkPlane> Align WP with> Specified Coord Sys

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 4. Using Working Planes 		Up / Home Next
4.2. Working Plane Enhancements


4.2. Working Plane Enhancements

Using the WPSTYL command or GUI path described earlier, you can enhance your working plane with a snap increment, a display grid, retrieval tolerance, and coordinate type. Then, you can force your coordinate system to follow your working plane as the working plane is moved using one of these methods:

Command(s): | CSYS
GUI: | Utility Menu> WorkPlane> Change Active CS to> Global Cartesian Utility Menu> WorkPlane> Change Active CS to> Global Cylindrical Utility Menu> WorkPlane> Change Active CS to> Global Spherical Utility Menu> WorkPlane> Change Active CS to> Specified Coordinate Sys Utility Menu> WorkPlane> Change Active CS to> Working Plane Utility Menu> WorkPlane> Offset WP to> Global Origin

The following additional topics are available to help you refine your working plane:

  • Snap Increment
  • Display Grid
  • Retrieval Tolerance
  • Coordinate Type
  • Working Plane Tracking

4.2.1. Snap Increment

It is difficult, if not impossible, to position your cursor at a precisely defined spot on the working plane. In order to pick with precision, you can use the WPSTYL command or GUI path to establish a snap increment. Once a snap increment is defined, any point that you create by picking will be located at the nearest snap point in your working plane. Stated mathematically, when your cursor falls within the range

N*SNAP - SNAP/2 [image] X < N*SNAP + SNAP/2

for any integer N, the x coordinate picked is assigned the value

xp = N*SNAP.

(The same snap increment is used for both x and y coordinates, where x and y are in terms of the working plane coordinate system.) You can visualize the snap increment as creating a pattern of square boxes, as shown below. Any locational pick you make will "snap" to the center of its box.

Figure 4.2 Snap Increment

4.2.2. Display Grid

You can create a square display grid to help you visualize the location and orientation of your working plane. The grid spacing, style, and boundaries are established with the WPSTYL command. (This grid is not related in any way to your snap points.) By issuing WPSTYL without arguments, you can toggle the display of the grid on and off.

4.2.3. Retrieval Tolerance

An existing entity that you want to pick might lie close to, but not exactly on, your working plane. By specifying a retrieval tolerance with the WPSTYL command or GUI path, you can instruct the program to consider entities that are within that tolerance to be on the working plane. This tolerance, in effect, gives "thickness" to your working plane, for retrieval picking purposes.

4.2.4. Coordinate Type

There are two types of working planes that you can choose from: Cartesian and polar. Discussion up to this point has concentrated on Cartesian working planes but polar working planes may be used if your geometry is easily described in polar (radius, theta) coordinates. Figure 4.3: "Polar Working Plane Grid" shows a polar working plane grid that was activated with the WPSTYL command. Picking with a polar working plane works the same way as picking on a Cartesian working plane. Grid point locations for the snap feature are located by specifying the radial distance between snap points (SNAP on WPSTYL) and the angle between snap points (SNAPANG).

Figure 4.3 Polar Working Plane Grid

4.2.5. Working Plane Tracking

If you've used working planes in conjunction with coordinate systems to define your geometry, you've probably discovered that working planes are completely separate from coordinate systems. When you change or move the working plane, for instance, the coordinate system does not change to reflect the new working plane type or location. This can be frustrating if you are using a combination of picking (based on the working plane), and keyboard input of entities such as keypoints (based on active coordinate system). For instance, if you move the working plane from its default position, then wish to define a keypoint at the new origin of the working plane with keyboard input (that is K,1205,0,0,0), you'll find that the keypoint is located at the coordinate system origin rather than the working plane origin (see Figure 4.4: "Working Plane/Coordinate System Mismatch").

Figure 4.4 Working Plane/Coordinate System Mismatch

If you find yourself forcing the active coordinate system to follow the working plane around as you model, consider using an option on the CSYS command or GUI path to do this automatically. The command CSYS,WP or CSYS,4 will force the active coordinate system to be of the same system type (for example, Cartesian) and in the same location as the working plane. Then, as long as you leave the active coordinate system be WP or 4, as you move the working plane, the coordinate system will move with it. The coordinate system is also updated if you change the type of working plane that you are using. For instance, if you change the working plane from Cartesian to polar, the active coordinate system will change from Cartesian to cylindrical.

To revisit the example discussed above, suppose that you wish to place a keypoint at the origin of your working plane after you've moved that plane. You moved your plane, as before, but this time you activated working plane tracking (CSYS,WP) before you moved the plane. Now, when you use the keyboard to locate your keypoint (that is K,1205,0,0,0), the keypoint is placed at the origin of the working plane because the coordinate system is in the same location as the working plane (see Figure 4.5: "Matched Working Plane Coordinate System (CSYS,WP)").

Figure 4.5 Matched Working Plane Coordinate System (CSYS,WP)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.1. Creating a Working Plane 		Up / Home Next
Chapter 5. Solid Modeling


Chapter 5. Solid Modeling

The purpose of using a solid model is to relieve you of the time-consuming task of building a complicated finite element model by direct generation. Some solid modeling and meshing operations can help you to speed up the creation of your final analysis model

The solid modeling features of ANSYS are known to have robustness issues. With careful planning and alternative strategies, you can successfully create the model required for analysis. However, you may be better served using your CAD modeler or ANSYS DesignModeler under the ANSYS Workbench environment to create your model.

The followng solid modeling topics are available:

  • An Overview of Solid Modeling Operations
  • Creating Your Solid Model from the Bottom Up
  • Creating Your Solid Model from the Top Down: Primitives
  • Sculpting Your Model with Boolean Operations
  • Updating after Boolean Operations
  • Moving and Copying Solid Model Entities
  • Scaling Solid Model Entities
  • Solid Model Loads
  • Mass and Inertia Calculations
  • Considerations and Cautions for Solid Modeling

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.2. Working Plane Enhancements 		Up / Home Next
5.1. An Overview of Solid Modeling Operations


5.1. An Overview of Solid Modeling Operations

The points that define the vertices of your model are called keypoints and are the "lowest-order" solid model entities. If, in building your solid model, you first create your keypoints, and then use those keypoints to define the "higher-order" solid model entities (that is, lines, areas, and volumes), you are said to be building your model "from the bottom up." Models built from the bottom up are defined within the currently active coordinate system.

Figure 5.1 Bottom Up Construction

Building your model from the top down: The ANSYS program also gives you the ability to assemble your model using geometric primitives, which are fully-defined lines, areas, and volumes. As you create a primitive, the program automatically creates all the "lower" entities associated with it. If your modeling effort begins with the "higher" primitive entities, you are said to be building your model "from the top down." You can freely combine bottom up and top down modeling techniques, as appropriate, in any model. Remember that geometric primitives are built within the working plane while bottom up techniques are defined against the active coordinate system. If you are mixing techniques, you may wish to consider using the CSYS,WP or CSYS, 4 command to force the coordinate system to follow the working plane.

Figure 5.2 Top Down Constructions (Primitives)

Note

Solid modeling operations in a toroidal coordinate system are not recommended. Areas or volumes generated may not be what you expect.

Using Boolean operators: You can "sculpt" your solid model using intersections, subtractions, and other Boolean operations. Booleans allow you to work directly with higher solid model entities to create complex shapes. (Both bottom up and top down creations can be used in Boolean operations.)

Figure 5.3 Create Complex Shapes With Boolean Operations

Dragging and rotating: Boolean operators, although convenient, can be computationally expensive. Sometimes a model can be constructed more efficiently by dragging, or rotating.

Figure 5.4 Dragging an Area to Create a Volume (VDRAG)

Moving and copying solid model entities: A complicated area or volume that appears repetitively in your model need only be constructed once; it can then be moved, rotated, and copied to a new location on your model. You might also find it more convenient to place geometric primitives in their proper location by moving them, rather than by changing the working plane.

Figure 5.5 Copying an Area

Meshing: Your ultimate objective in building a solid model is to mesh that model with nodes and elements. Once you have completed the solid model, set element attributes, and established meshing controls, you can then turn the ANSYS program loose to generate the finite element mesh. By taking care to meet certain requirements, you can request a "mapped" mesh containing all quadrilateral, all triangular, or all brick elements.

Figure 5.6 Free and Mapped Meshes

Moving and copying nodes and elements: Automatic meshing is a huge improvement over direct generation of nodes and elements, but it can sometimes be computationally time consuming. If your model contains repetitive features, you might find that the most efficient approach to model generation would be to model and mesh a pattern region of your model, then generate copies of that meshed region. (Copying a mesh in this manner will generally be faster than separately meshing repeated features.)

Figure 5.7 Copying a Meshed Area

Solid model loads: In the ANSYS program, loads are normally associated with nodes and elements. However, using solid modeling, you will often find it inconvenient to define loads at nodes and elements. Fortunately, you may assign loads directly to the solid model; when you initiate the solution calculations (with a SOLVE command), the program will automatically transfer these solid model loads to the finite element model.

Revising your model (clearing and deleting): Before you can revise your model, you need to be aware of the hierarchy of solid model and finite element model entities. A lower order entity cannot be deleted if it is attached to a higher-order entity. Thus, a volume cannot be deleted if it has been meshed, a line cannot be deleted if it is attached to an area, and so forth. If an entity is attached to any loads, deleting or redefining that entity will delete the attached loads from the database. The hierarchy of modeling entities is as listed below:

Highest | Elements (and Element Loads)
 | Nodes (and Nodal Loads)
 | Volumes (and Solid-Model Body Loads)
 | Areas (and Solid-Model Surface Loads)
 | Lines (and Solid-Model Line Loads)
Lowest | Keypoints (and Solid-Model Point Loads)

If you need to revise a solid model after it has been meshed, you must usually first delete all the nodes and elements in the portion of the model to be revised, using the xCLEAR commands (Main Menu> Preprocessor> Meshing> Clear). Once the solid model is cleared, you can delete (from the top down) and redefine solid model entities to revise your model. As an alternative to clearing, deleting, and redefining, you can sometimes consider modifying the keypoints directly, using one of these methods:

Command(s): | KMODIF
GUI: | Main Menu> Preprocessor> Modeling> Move/Modify> Keypoints> Set of KPs Main Menu> Preprocessor> Modeling> Move/Modify> Keypoints> Single KP

By using KMODIF, you automatically clear and redefine the attached lines, areas, and volumes. After you have revised your solid model, you will need to remesh the portions that were cleared.

Figure 5.8 Revising a Meshed Solid Model

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 5. Solid Modeling 		Up / Home Next
5.2. Creating Your Solid Model from the Bottom Up


5.2. Creating Your Solid Model from the Bottom Up

Any solid model, whether assembled from the bottom up or from the top down, is defined in terms of keypoints, lines, areas, and volumes. Figure 5.9: "Basic Solid Model Entities" illustrates these entities.

Figure 5.9 Basic Solid Model Entities

Keypoints are the vertices, lines are the edges, areas are the faces, and volumes are the interior of the object. Notice that there is a hierarchy in these entities: volumes, the highest-order entities, are bounded by areas, which are bounded by lines, which in turn are bounded by keypoints.

Caution

Solid modeling operations in a toroidal coordinate system are not recommended. Areas or volumes generated may not be what you expect.

In bottom up construction, you first create keypoints and use those keypoints to define higher-order solid model entities (lines, areas, and volumes).

5.2.1. Keypoints

When building your model from the bottom up, you begin by defining the lowest-order solid model entities, keypoints. Keypoints are defined within the currently active coordinate system. You can then define lines, areas, and volumes connecting these keypoints. You do not always have to explicitly define all entities in ascending order to create higher-order entities: you can define areas and volumes directly in terms of the keypoints at their vertices. The intermediate entities will then be generated automatically as needed. For example, if you define a brick-like volume in terms of the eight keypoints at its corners, the program will automatically generate the bounding areas and lines.

To define individual keypoints, use one of the methods listed in the following table. See the Commands Reference for more information on the individual commands.

Define a Keypoint | Command | GUI
in the active coordinate system | K | Main Menu> Preprocessor> Modeling> Create> Keypoints> In Active CS Main Menu> Preprocessor> Modeling> Create> Keypoints> On Working Plane
at a given location on an existing line | KL | Main Menu> Preprocessor> Modeling> Create> Keypoints> On Line Main Menu> Preprocessor> Modeling> Create> Keypoints> On Line w/Ratio

Once you create an initial pattern of keypoints, you can generate additional keypoints and work with existing keypoints using the methods described in the following table. Many Boolean operations (see Sculpting Your Model with Boolean Operations) will also create keypoints.

 | Command | GUI
create a keypoint between two existing keypoints | KEBTW | Main Menu> Preprocessor> Modeling> Create> Keypoints> KP between KPs
generate keypoints between two keypoints | KFILL | Main Menu> Preprocessor> Modeling> Create> Keypoints> Fill between KPs
create a keypoint at the center of a circular arc defined by three locations | KCENTER | Main Menu> Preprocessor> Modeling> Create> Keypoints> KP at Center
generate additional keypoints from a pattern of keypoints | KGEN | Main Menu> Preprocessor> Modeling> Copy> Keypoints
generate a scaled pattern of keypoints from a given keypoint pattern | KSCALE | This command cannot be accessed from a menu.
generate a reflected set of keypoints | KSYMM | Main Menu> Preprocessor> Modeling> Reflect> Keypoints
transfer a pattern of keypoints to another coordinate system | KTRAN | Main Menu> Preprocessor> Modeling> Move/Modify> Transfer Coord> Keypoints
define a default location for undefined nodes or keypoints | SOURCE | This command cannot be accessed from a menu.
calculate and move a keypoint to an intersection | KMOVE | Main Menu> Preprocessor> Modeling> Move/Modify> Keypoint> To Intersect
define a keypoint at an existing node location | KNODE | Main Menu> Preprocessor> Modeling> Create> Keypoints> On Node
calculate the distance between two keypoints | KDIST | Main Menu> Preprocessor> Modeling> Check Geom> KP distances
modify the coordinates defining a keypoint [1] | KMODIF | Main Menu> Preprocessor> Modeling> Move/Modify> Keypoints> Set of KPs Main Menu> Preprocessor> Modeling> Move/Modify> Keypoints> Single KP

  1. Modifying the coordinates will automatically clear any meshed region attached to the specified keypoint, and will also redefine the higher-order entities attached to that keypoint. (A keypoint can also be redefined using the K command, but only if it is still "free"; that is, not yet attached to a line, nor meshed.)

You can maintain keypoints using the methods listed in the following table.

Maintenance | Command | GUI
list defined keypoints | KLIST | Utility Menu> List> Keypoint> Coordinates +Attributes Utility Menu> List> Keypoint> Coordinates only Utility Menu> List> Keypoint> Hard Points
select keypoints | KSEL | Utility Menu> Select> Entities
display selected keypoints | KPLOT | Utility Menu> Plot> Keypoints> Keypoints Utility Menu> Plot> Specified Entities> Keypoints
delete unmeshed keypoints | KDELE | Main Menu> Preprocessor> Modeling> Delete> Keypoints

If you have issued the command /PNUM,KP,1 (Utility Menu> PlotCtrls> Numbering), keypoint numbers will also appear in line, area, and volume displays [LPLOT, APLOT, and VPLOT] for keypoints attached to these higher-order entities.

5.2.2. Hard Points

Hard points are actually a special type of keypoints. You can use hard points to apply loads or obtain data from arbitrary points on lines and areas within your model. Hard points do not modify either the geometry or topology of your model. Most of the keypoint commands, such as FK, KLIST, and KSEL, can be applied to hard points. In addition, hard points have their own set of commands and extension in the GUI.

If you issue any commands that update the geometry of an entity, such as Boolean or simplification commands, any hard points associated with that entity are deleted. Therefore, you should add any hard points after completing the solid model. If you delete an entity that has associated hard points, those hard points are either

  • Deleted along with the entity (if the hard point is not associated with any other entities).

  • Detached from the deleted entity (if the hard point is associated with additional entities).

You cannot manipulate hard points with commands to copy, move, modify, or modify keypoints. Hard points have their own suite of commands and GUI controls. Mapped meshing is not supported when hard points are used. Hard point information cannot be written to the IGES file. The Jobname.cdb file can be written with the CDWRITE,DB option.

You can define hard points on existing lines or areas. In both cases, you can define the location of hard points on such entities by

  • Picking (unavailable for models imported from IGES files).

  • Specifying ratios (available for lines only).

  • Specifying global X, Y, and Z coordinates.

To create hard points, use one of the methods listed in the following table.

Define individual hard points | Command | GUI
on an existing line | HPTCREATE, LINE | Main Menu> Preprocessor> Modeling> Create> Keypoints> Hard PT on line> Hard PT by ratio Main Menu> Preprocessor> Modeling> Create> Keypoints> Hard PT on line> Hard PT by coordinates Main Menu> Preprocessor> Modeling> Create> Keypoints> Hard PT on line> Hard PT by picking
on an existing area | HPTCREATE, AREA | Main Menu> Preprocessor> Modeling> Create> Keypoints> Hard PT on line> Hard PT by coordinates Main Menu> Preprocessor> Modeling> Create> Keypoints> Hard PT on line> Hard PT by picking

You can select hard points or geometric entities with associated hard points using any of the methods described in the following table.

Select | Command | GUI
hard points | KSEL | Utility Menu> Select> Entities [1]
lines with associated hard points | LSEL | Utility Menu> Select> Entities [2]
areas with associated hard points | ASEL | Utility Menu> Select> Entities [3]

  1. Choose both Keypoints and By Hard Points in the Select Entities dialog box.

  2. Choose both Lines and By Hard Points in the Select Entities dialog box.

  3. Choose both Areas and By Hard Points in the Select Entities dialog box.

You can maintain hard points using the methods described in the table below.

Maintenance | Command | GUI
list hard points | KLIST | Utility Menu> List> Keypoint> Hard Points
list lines with associated hard points | LLIST | This command cannot be accessed from a menu.
list areas with associated hard points | ALIST | This command cannot be accessed from a menu.
display hard points | KPLOT | Utility Menu> Plot> Keypoints> Hard Points
delete hard points | HPTDELETE | Main Menu> Preprocessor> Modeling> Delete> Hard Points

5.2.3. Lines

Lines are mainly used to represent the edges of an object. As with keypoints, lines are defined within the currently active coordinate system. You do not always need to define all lines explicitly, because the program will generate the necessary lines in many instances when an area or volume is defined. Lines are required if you want to generate line elements (such as beams) or to create areas from lines.

If you need to explicitly define a line, you can use one of the methods described in the following table.

Generate a | Command | GUI
“straight” or cubic line between two specified keypoints | L | Main Menu> Preprocessor> Modeling> Create> Lines> Lines> In Active Coord
circular line through three keypoints (or between two keypoints if you specify a radius) | LARC | Main Menu> Preprocessor> Modeling> Create> Lines> Arcs> By End KPs & Rad Main Menu> Preprocessor> Modeling> Create> Lines> Arcs> Through 3 KPs
cubic line from a spline fit to a series of keypoints | BSPLIN | Main Menu> Preprocessor> Modeling> Create> Lines> Splines> Spline thru KPs Main Menu> Preprocessor> Modeling> Create> Lines> Splines> Spline thru Locs Main Menu> Preprocessor> Modeling> Create> Lines> Splines> With Options> Spline thru KPs Main Menu> Preprocessor> Modeling> Create> Lines> Splines> With Options> Spline thru Locs
circular arc line | CIRCLE | Main Menu> Preprocessor> Modeling> Create> Lines> Arcs> By Cent & Radius Main Menu> Preprocessor> Modeling> Create> Lines> Arcs> Full Circle
segmented spline through a series of keypoints | SPLINE | Main Menu> Preprocessor> Modeling> Create> Lines> Splines> Segmented Spline Main Menu> Preprocessor> Modeling> Create> Lines> Splines> With Options> Segmented Spline
straight line at an angle with a line | LANG | Main Menu> Preprocessor> Modeling> Create> Lines> Lines> At Angle to Line Main Menu> Preprocessor> Modeling> Create> Lines> Lines> Normal to Line
line at an angle with two existing lines | L2ANG | Main Menu> Preprocessor> Modeling> Create> Lines> Lines> Angle to 2 Lines Main Menu> Preprocessor> Modeling> Create> Lines> Lines> Norm to 2 Lines
line at the end of, and tangent to, an existing line | LTAN | Main Menu> Preprocessor> Modeling> Create> Lines> Lines> Tan to 2 Lines
line tangent to two lines | L2TAN | Main Menu> Preprocessor> Modeling> Create> Lines> Lines> Tan to 2 Lines
shortest line between two keypoints on an area | LAREA | Main Menu> Preprocessor> Modeling> Create> Lines> Lines> Overlaid on Area
line by sweeping a keypoint pattern along a path [1] | LDRAG | Main Menu> Preprocessor> Modeling> Operate> Extrude> Lines> Along Lines
circular line by rotating a keypoint pattern about an axis | LROTAT | Main Menu> Preprocessor> Modeling> Operate> Extrude> Lines> About Axis
fillet line between two intersecting lines | LFILLT | Main Menu> Preprocessor> Modeling> Create> Lines> Line Fillet
truly straight line no matter what coordinate system is active | LSTR | Main Menu> Preprocessor> Create> Lines> Lines> Straight Line

  1. For best results when using drag operations (LDRAG), minimize the distance (shown as distance "d" in Figure 5.10: "Drag Operation Suggestions") from the drag path plane to the entities to be dragged. Also the entity plane should be as close to parallel to the drag path plane as possible. Both of these guidelines can be met if the entities to be dragged are in the drag path plane. The drag path plane is automatically defined to be orthogonal to and located at the start of the drag path.

    Figure 5.10 Drag Operation Suggestions

For those commands that create a "straight" line, the actual shape of the line will be determined by the active coordinate system. Thus, for a "straight" line in a Cartesian coordinate system, dX/dL, dY/dL, and dZ/dL will each be constant along the length (L) of that line, producing a line that is truly straight. For a "straight" line in a cylindrical coordinate system, dR/dL, dθ/dL, and dZ/dL will each be constant, producing a line that could be a helical spiral (if all three components of slope were nonzero).

Copy a pattern of lines to generate additional lines using any of the methods described in the following table.

 | Command | GUI
generate additional lines from a pattern of lines | LGEN | Main Menu> Preprocessor> Modeling> Copy> Lines Main Menu> Preprocessor> Modeling> Move/Modify> Lines
generate lines from a line pattern by symmetry reflection | LSYMM | Main Menu> Preprocessor> Modeling> Reflect> Lines
transfer a pattern of lines to another coordinate system | LTRAN | Main Menu> Preprocessor> Modeling> Move/Modify> Transfer Coord> Lines

You can modify an existing line by redefining it (by reissuing the L command) or by using one of the methods described in the following table.

Modification | Command | GUI
divide up a line into smaller lines | LDIV | Main Menu> Preprocessor> Modeling> Operate> Booleans> Divide> Line into 2 Ln's Main Menu> Preprocessor> Modeling> Operate> Booleans> Divide> Line into N Ln's Main Menu> Preprocessor> Modeling> Operate> Booleans> Divide> Lines w/ Options
combine a line with a second line | LCOMB | Main Menu> Preprocessor> Modeling> Operate> Booleans> Add> Lines
extend a line at one end | LEXTND | Main Menu> Preprocessor> Modeling> Operate> Extend Line

You can also use several geometric primitives and Boolean commands to generate or modify lines. See Creating Your Solid Model from the Top Down: Primitives for more information on geometric primitives and Sculpting Your Model with Boolean Operations for more information on Boolean operations.

You can maintain lines using the methods listed in the following table.

Maintenance | Command | GUI
list lines | LLIST | Utility Menu> List> Lines Utility Menu> List> Picked Entities> Lines
display lines | LPLOT | Utility Menu> Plot> Lines Utility Menu> Plot> Specified Entities> Lines
select lines | LSEL | Utility Menu> Select> Entities
delete lines | LDELE | Main Menu> Preprocessor> Modeling> Delete> Line and Below Main Menu> Preprocessor> Modeling> Delete> Lines Only

Only unmeshed lines that are not attached to an area can be redefined, modified, or deleted. LDIV, LCOMB, and LFILLT provide exceptions to this rule. You can use these three commands to modify unmeshed lines, even if they are attached to areas. The attached areas will be updated, even if they are attached to volumes.

If you have issued the command /PNUM,Line,1 (Utility Menu> PlotCtrls> Numbering), line numbers will also appear in area and volume displays (APLOT and VPLOT) for lines that are attached to these higher-order entities.

5.2.4. Areas

Flat areas are used to represent 2-D solid objects (such as flat plates or axisymmetric solids). Curved as well as flat areas are used to represent 3-D surfaces, such as shells, and the faces of 3-D solid objects. Areas are required if you wish to use area elements or if you wish to create volumes from areas. Most commands that create areas will also automatically generate the necessary lines and keypoints; similarly, many areas can be conveniently generated by defining volumes.

You can use any of the methods described in the following table to explicitly define areas. Several geometric primitives and Boolean commands can also be used to generate or modify areas. See Creating Your Solid Model from the Top Down: Primitives for more information on geometric primitives and Sculpting Your Model with Boolean Operations for more information on Boolean operations.

Define an area | Command | GUI
in terms of its vertices (through keypoints) | A | Main Menu> Preprocessor> Modeling> Create> Areas> Arbitrary> Through KPs
in terms of its boundaries (a set of lines defining the perimeter) | AL | Main Menu> Preprocessor> Modeling> Create> Areas> Arbitrary> By Lines
by “sweeping” a line along a characteristic path [1] | ADRAG | Main Menu> Preprocessor> Modeling> Operate> Extrude> Along Lines
by rotating a line pattern about an axis | AROTAT | Main Menu> Preprocessor> Modeling> Operate>Extrude> About Axis
of constant fillet radius at the intersection of two areas [2] | AFILLT | Main Menu> Preprocessor> Modeling> Create> Areas> Area Fillet
by “skinning” a surface through guiding lines | ASKIN | Main Menu> Preprocessor> Modeling> Create> Areas> Arbitrary> By Skinning
by offsetting an existing area (similar to what happens when a balloon is inflated or deflated) [3] | AOFFST | Main Menu> Preprocessor> Modeling> Create> Areas> Arbitrary> By Offset

  1. For best results when using drag operations (ADRAG), minimize the distance (shown as distance "d" in Figure 5.10: "Drag Operation Suggestions") from the drag path plane to the entities to be dragged. Also the entity plane should be as close to parallel to the drag path plane as possible. Both of these guidelines can be met if the entities to be dragged are in the drag path plane. The drag path plane is automatically defined to be orthogonal to and located at the start of the drag path.

  2. You might experience difficulties due to the underlying Boolean operations used by this command. You may wish to use rotate or extrude operations (VROTAT or VEXT) to perform the same operations. See When a Boolean Operation Fails for additional information.

  3. You might experience difficulties if you attempt to "deflate" an area by a distance that equals or exceeds its least radius of curvature. Using this process will not generate a new surface when such problems arise (you will receive a warning if the process fails).

Figure 5.11: "Area Command Operations" for examples of the operations you can perform with the AROTAT, ADRAG, AFILLT, ASKIN, and AOFFST commands.

Figure 5.11 Area Command Operations

You can copy existing areas to generate additional areas using the methods described in the following table. Several geometric primitives and Boolean commands can also be used to generate or modify areas. See Creating Your Solid Model from the Top Down: Primitives for more information on geometric primitives and Sculpting Your Model with Boolean Operations for more information on Boolean operations.

 | Command | GUI
Generate additional areas from a pattern of areas | AGEN | Main Menu> Preprocessor> Modeling> Copy> Areas Main Menu> Preprocessor> Modeling> Move/Modify> Areas> Areas
Generate areas form an area pattern by symmetry reflection | ARSYM | Main Menu> Preprocessor> Modeling> Reflect> Areas
Transfer a pattern of areas to another coordinate system | ATRAN | Main Menu> Preprocessor> Modeling> Move/Modify> Transfer Coord> Areas
Copy a portion of an area | ASUB | Main Menu> Preprocessor> Modeling> Create> Areas> Arbitrary> Overlaid on Area

Use the methods listed in the following table to maintain areas. Only unmeshed areas that are not attached to a volume can be redefined or deleted.

Maintenance | Command | GUI
List defined areas [1] | ALIST | Utility Menu> List> Areas Utility Menu> List> Picked Entities> Areas
Display areas | APLOT | Utility Menu> Plot> Areas Utility Menu> Plot> Specified Entities> Areas
Select areas | ASEL | Utility Menu> Select> Entities
Delete areas | ADELE | Main Menu> Preprocessor> Modeling> Delete> Area and Below Main Menu> Preprocessor> Modeling> Delete> Areas Only

  1. The area (topographical measure) of an area (solid model entity) will be included in an ALIST only if you previously executed ASUM (Main Menu> Preprocessor> Operate> Calc Geom Items). The "loop" numbers shown refer to the closed strings of lines that define the boundaries of an area, as illustrated in Figure 5.12: "Loops Bound an Area".

Figure 5.12 Loops Bound an Area

NO.LOOP      LINES               AREA      #NODES #ELEM   MAT  REAL  TYP ESYS
  1  1     1     2     3     4   N/A            0     0     0     0    0    0
     2    12    13    11
     3     5    10     9     8
           7     6

5.2.5. Volumes

Volumes are used to represent 3-D objects, and are required only if you wish to use volume elements. Most commands that create volumes will also automatically generate the necessary lower-order entities.

To define volumes, use any of the methods described in the following table.Several geometric primitives and Boolean commands can also be used to generate or modify areas. See Creating Your Solid Model from the Top Down: Primitives for more information on geometric primitives and Sculpting Your Model with Boolean Operations for more information on Boolean operations.

Define a volume | Command | GUI
in terms of its vertices (through keypoints) | V | Main Menu> Preprocessor> Modeling> Create> Volumes> Arbitrary> Through KPs
in terms of its boundaries (in terms of a set of areas defining the surfaces) | VA | Main Menu> Preprocessor> Modeling> Create> Volumes> Arbitrary> By Areas
by “sweeping” an area pattern along a characteristic path [1] | VDRAG | Main Menu> Preprocessor> Operate> Extrude> Along Lines
by rotating an area pattern about an axis | VROTAT | Main Menu> Preprocessor> Modeling> Operate> Extrude> About Axis
by offsetting an area | VOFFST | Main Menu> Preprocessor> Modeling> Operate> Extrude> Areas> Along Normal
by extruding and scaling a pattern of areas in the active coordinate system | VEXT | Main Menu> Preprocessor> Modeling> Operate> Extrude> Areas> By XYZ Offset

  1. For best results when using drag operations (VDRAG), minimize the distance (shown as distance "d" in Figure 5.10: "Drag Operation Suggestions") from the drag path plane to the entities to be dragged. Also the entity plane should be as close to parallel to the drag path plane as possible. Both of these guidelines can be met if the entities to be dragged are in the drag path plane. The drag path plane is automatically defined to be orthogonal to and located at the start of the drag path.

Figure 5.13: "Volume Command Operations" illustrates the VOFFST and VEXT command operations.

Figure 5.13 Volume Command Operations

To generate additional volumes from existing volumes, use the methods described in the following table.

Generate volumes | Command | GUI
from a pattern of volumes | VGEN | Main Menu> Preprocessor> Modeling> Copy> Volumes Main Menu> Preprocessor> Modeling> Move/Modify> Volumes
from a volume pattern by symmetry reflection | VSYMM | Main Menu> Preprocessor> Modeling> Reflect> Volumes
transfer a pattern of volumes to another coordinate system | VTRAN | Main Menu> Preprocessor> Modeling> Move/Modify> Transfer Coord> Volumes

You can maintain volumes using the methods described in the following table. Note that only unmeshed volumes can be redefined or deleted.

Maintenance | Command | GUI
list volumes [1] | VLIST | Utility Menu> List> Picked Entities> Volumes Utility Menu> List> Volumes
display volumes | VPLOT | Utility Menu> Plot> Specified Entities> Volumes Utility Menu> Plot> Volumes
select volumes | VSEL | Utility Menu> Select> Entities
delete volumes | VDELE | Main Menu> Preprocessor> Modeling> Delete> Volume and Below Main Menu> Preprocessor> Modeling> Delete> Volumes Only

  1. A volume listing indicates that the volumes are composed of a number of shells. A shell is the volumetric equivalent of a loop - a set of entities that define a continuous closed boundary.

5.2.5.1. Extruding Volumes

If the area that is being extruded (used as the pattern for the resulting volume) with the VROTAT, VEXT, VOFFST, or VDRAG command is meshed (or belongs to a meshed volume), that mesh will be used as a pattern for the mesh of the volume that is created . (Compare these commands to the VSWEEP command, which is described in Sweeping Volumes.)

Follow these steps to extrude your mesh:

  1. Mesh the area that is to be extruded, dragged, offset, or rotated (using MESH200 elements).

  2. Select an appropriate 3-D element type [ET] (match the shape and number of nodes to the MESH200 element). Activate the selection [TYPE].

  3. Specify the desired number of element divisions in the extruded, rotated, or offset direction (NDIV argument on ESIZE command). If using VDRAG, specify the number of element divisions on the drag path line(s) (LESIZE or ESIZE,,NDIV).

  4. Issue the VROTAT, VEXT, VOFFST, or VDRAG command.

Concatenated areas [ACCAT] or areas that have concatenated lines [LCCAT] cannot be extruded. You can get around the concatenated line limitation by first meshing the area(s), then deleting the concatenated lines, and finally extruding the area(s) into meshed volume(s).

If element attributes have been associated with the pattern area via the ACCAT command, the opposite area generated by the VDRAG, VEXT, VOFFST, or VROTAT operation will also have those attributes (i.e., the element attributes from the pattern area are copied to the opposite area). Note that only the area opposite the pattern area will have the same attributes as the pattern area; the areas adjacent to the pattern area will not.

Use the EXTOPT command (Main Menu> Preprocessor> Modeling> Operate> Extrude> Elem Ext Opts or Main Menu> Preprocessor> Meshing> Mesh> Volume Sweep> Sweep Opts) to make the generation of meshed volumes from 2–D models easier. EXTOPT controls options relating to the generation of volume elements from area elements using the VEXT, VROTAT, VOFFST, VDRAG, and VSWEEP commands. It enables carryover of material attributes, real constant attributes, and element coordinate system attributes of the pattern area elements to the created volume elements (except for VSWEEP as noted below).

The EXTOPT control options include the following:

  • When using VEXT, VROTAT, VOFFST, or VDRAG, you can set controls to carryover material attributes, real constant attributes, and element coordinate attributes of the pattern area elements to the meshed volume elements. (When using VSWEEP, since the volume already exists, use the VATT command to assign attributes before sweeping.)

  • When using VEXT, VROTAT, VOFFST, or VDRAG, you can set controls to carryover particular attributes (materials, real constants or element coordinate systems) of the pattern area elements to the generated volume elements or you can set controls to use particular attributes (material, real constants or element coordinate systems) of the current MAT, REAL, and ESYS command settings for the generated volume elements.

  • You can set controls to set the number of element divisions and spacing ratio in the direction of volume generation.

  • When using VEXT, VROTAT, VOFFST, or VDRAG, you can set controls to clear the pattern area mesh when volume generations are done. (When you are using VSWEEP, if selected, the area meshes on the pattern (source), target, and/or side areas clear when volume sweeping is done.)

The carryover of the attributes of the pattern area elements saves you time that would otherwise be required to prepare the 3-D model extrusion of multiple areas with differing attributes.

Figure 5.14 Extruding (and Scaling) Meshed Areas Into Meshed Volumes

5.2.5.2. Sweeping Volumes

Use the VSWEEP command (Main Menu> Preprocessor> Meshing> Mesh> Volume Sweep> Sweep) to fill an existing unmeshed volume with elements by sweeping the mesh from an adjacent area through the volume.

When you use the VROTAT, VEXT, VOFFST, and VDRAG commands to extrude a meshed area into a meshed volume, ANSYS creates the volume and the volume mesh simultaneously. In contrast, you use the VSWEEP command in an existing unmeshed volume. Thus VSWEEP is particularly useful when you are importing a solid model that was created in a CAD program.

For detailed information about volume sweeping, see Generating a Volume Mesh By Sweeping of this manual, as well as the description of the VSWEEP command in the Commands Reference.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.1. An Overview of Solid Modeling Operations 		Up / Home Next
5.3. Creating Your Solid Model from the Top Down: Primitives


5.3. Creating Your Solid Model from the Top Down: Primitives

In top down construction, you use geometric primitives (fully-defined lines, areas, and volumes) to assemble your model. As you create a primitive, the program automatically creates all the “lower” entities associated with it. A geometric primitive is a commonly used solid modeling shape (such as a sphere or regular prism) that can be created with a single ANSYS command.

Because primitives are higher-order entities that can be constructed without first defining any keypoints, model generation that uses primitives is sometimes referred to as "top down" modeling. (When you create a primitive, the program automatically creates all the necessary lower-order entities, including keypoints.) Geometric primitives are created within the working plane.

You can freely combine bottom up and top down modeling techniques, as appropriate, in any model. Remember that geometric primitives are built within the working plane while bottom up techniques are defined against the active coordinate system. If you are mixing techniques, you may wish to consider using the CSYS,WP or CSYS, 4 command to force the coordinate system to follow the working plane.

Caution

Solid modeling operations in a toroidal coordinate system are not recommended. Areas or volumes generated may not be what you expect.

5.3.1. Creating Area Primitives

Any area primitives you create will lie flat on the working plane and will be oriented according to the working plane coordinate system. Area primitives must have surface areas greater than zero (that is, you cannot create a degenerate area as a means of defining a line).

The interface between two touching primitives will create a seam of discontinuity in the finite element model, unless you take steps to "weld" that seam shut, using commands such as NUMMRG, AADD, or AGLUE.

You can define area primitives using the methods described in the following table.

Create a | Command | GUI
rectangular area anywhere on the working plane | RECTNG | Main Menu> Preprocessor> Modeling> Create> Areas> Rectangle> By Dimensions
rectangular area by corner points | BLC4 | Main Menu> Preprocessor> Modeling> Create> Areas> Rectangle> By 2 Corners
rectangular area by center and corner points | BLC5 | Main Menu> Preprocessor> Modeling> Create> Areas> Rectangle> By Centr & Cornr
circular area centered about the working plane origin | PCIRC | Main Menu> Preprocessor> Modeling> Create> Circle> By Dimensions
circular area anywhere on the working plane | CYL4 | Main Menu> Preprocessor> Modeling> Create> Circle> Annulus or > Partial Annulus or > Solid Circle
circular area by end points | CYL5 | Main Menu> Preprocessor> Modeling> Create> Circle> By End Points
regular polygonal area centered about the working plane origin | RPOLY | Main Menu> Preprocessor> Modeling> Create> Polygon> By Circumscr Rad or > By Inscribed Rad or > By Side Length
regular polygonal area anywhere on the working plane | RPR4 | Main Menu> Preprocessor> Modeling> Create> Polygon> Hexagon or > Octagon or > Pentagon or > Septagon or > Square or > Triangle
arbitrary polygonal area based on working plane coordinate pairs | POLY [1] | This command cannot be accessed from a menu.

  1. You must use the PTXY command to define coordinate pairs before issuing the POLY command.

When you define an arc segment of a circular geometric primitive (PCIRC and CYL4 discussed above, or CONE, CYLIND, SPHERE, and TORUS discussed in the next section on volume primitives) the arc sector begins at the algebraically smaller angle, extends in a positive angular direction, and ends at the larger angle. (The input order of THETA1, THETA2 on these commands does not define the starting and ending angles of the arc sector.) The following figure illustrates how these commands work:

Figure 5.15 Arc Sectors of Circular Geometric Primitives

5.3.2. Creating Volume Primitives

Volume primitives are positioned relative to the working plane as outlined in their command descriptions.

The interface between two touching primitives will create a seam of discontinuity in the finite element model, unless you take steps to "weld" that seam shut, using commands such as NUMMRG, VGLUE, or VADD.

You can define volume primitives using the methods described in the following table.

Create a | Command | GUI
block volume based on working plane coordinates | BLOCK | Main Menu> Preprocessor> Modeling> Create> Volumes> Block> By Dimensions
block volume by corner points | BLC4 | Main Menu> Preprocessor> Modeling> Create> Volumes> Block> By 2 Corners & Z
block volume by center and corner points | BLC5 | Main Menu> Preprocessor> Modeling> Create> Volumes> Block> By Centr,Cornr,Z
cylindrical volume centered about the working plane origin | CYLIND | Main Menu> Preprocessor> Modeling> Create> Volumes> Cylinder> By Dimensions
cylindrical volume anywhere on the working plane | CYL4 | Main Menu> Preprocessor> Modeling> Create> Volumes> Cylinder> Hollow Cylinder or > Partial Cylinder or > Solid Cylinder
cylindrical volume by end points | CYL5 | Main Menu> Preprocessor> Modeling> Create> Volumes> Cylinder> By End Pts & Z
regular prism volume centered about the working plane origin | RPRISM | Main Menu> Preprocessor> Modeling> Create> Volumes> Prism> By Circumscr Rad or > By Inscribed Rad or > By Side Length
prism volume anywhere on the working plane | RPR4 | Main Menu> Preprocessor> Modeling> Create> Volumes> Prism> Hexagonal or > Octagonal or > Pentagonal or > Septagonal or > Square or > Triangular
arbitrary prism based on working plane coordinate pairs | PRISM [1] | This command cannot be accessed from a menu.
spherical volume centered about the working plane origin | SPHERE | Main Menu> Preprocessor> Modeling> Create> Volumes> Sphere> By Dimensions
spherical volume anywhere on the working plane | SPH4 | Main Menu> Preprocessor> Modeling> Create> Volumes> Sphere> Hollow Sphere or > Solid Sphere
spherical volume by diameter end points | SPH5 | Main Menu> Preprocessor> Modeling> Create> Volumes> Sphere> By End Points
conical volume centered about the working plane origin | CONE | Main Menu> Preprocessor> Modeling> Create> Volumes> Cone> By Dimensions
conical volume anywhere on the working plane | CON4 | Main Menu> Preprocessor> Modeling> Create> Volumes> Cone> By Picking
toroidal volume [2] | TORUS | Main Menu> Preprocessor> Modeling> Create> Volumes> Torus

  1. You must use the PTXY command to define coordinate pairs before issuing the PRISM command.

  2. See Creating a Torus or Toroidal Sector for more information on toroidal volumes.

5.3.2.1. Creating a Torus or Toroidal Sector

You can use the TORUS,RAD1,RAD2,RAD3,THETA1,THETA2 command to create either a torus or a toroidal sector. To create a torus, you do not need to specify values for THETA1 or THETA2. You must specify three values to define the radii of the torus (RAD1, RAD2, and RAD3). You can specify the radii in any order. The smallest of the values is the inner minor radius, the intermediate value is the outer minor radius, and the largest value is the major radius. (There is one exception regarding the order of the radii values - if you want to create a solid torus, specify zero or blank for the inner minor radius, in which case the zero or blank must occupy either the RAD1 or RAD2 position.) At least two of the values that you specify must be positive values; they will be used to define the outer minor radius and the major radius.

To create the torus shown in Figure 5.16: "Torus Primitive", the command TORUS,5,1,2 was issued. Due to the sizes of the specified radii values relative to one another, 5, 1, and 2 were used to define the major radius, inner minor radius, and outer minor radius of the torus, respectively. Since no values for THETA1 and THETA2 were specified, the default values of 0 and 360 were used as the starting and ending angles of the torus. (See Figure 5.17: "Toroidal Sector" for a view of a toroidal sector showing all radii.)

See the description of the TORUS command in the Commands Reference for additional details.

Figure 5.16 Torus Primitive

To create the toroidal sector shown in Figure 5.17: "Toroidal Sector", the command TORUS,5,1,2,0,180 was issued; where 5, 1, and 2 are the major radius, inner minor radius, and outer minor radius of the torus; and 0 and 180 are the starting and ending angles of the torus.

Figure 5.17 Toroidal Sector

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.2. Creating Your Solid Model from the Bottom Up 		Up / Home Next
5.4. Sculpting Your Model with Boolean Operations


5.4. Sculpting Your Model with Boolean Operations

Boolean algebra provides a means for combining sets of data, using such logical operators as intersect, union, subtract, etc. The ANSYS program allows you to apply these same Boolean operators to your solid model, so that you can modify your solid model constructions more easily.

You can apply Boolean operations to almost any solid model construction, whether it was created from the top down or from the bottom up. The only exceptions are that Boolean operations are not valid for entities created by concatenation (see Free or Mapped Mesh) and that some Boolean operations cannot always be performed on entities that contain degeneracies. (See Solid Model Loads later in this chapter.)

Also, all solid-model loads and element attributes should be defined after you complete your Boolean operations. If you are using Booleans to modify an existing model, you should take care to redefine your element attributes and solid-model loads.

Note

Boolean operations and other solid modeling operations can be unreliable, either failing to work or corrupting/contaminating the database. You should SAVE a copy of your database before a Boolean operation in order to cleanly recover from a failure. See Considerations and Cautions for Solid Modeling for additional information.

5.4.1. Boolean Operation Settings

You can specify Boolean operation options using the BOPTN command (Main Menu> Preprocessor> Modeling> Operate> Booleans> Settings).

When you perform a Boolean operation on two (or more) entities, you are faced with the decision of whether or not you want to keep the original entities. You can control this action with the KEEP label of the BOPTN,Lab,Value command, as illustrated schematically in Figure 5.18: "Boolean Keep Options":

Figure 5.18 Boolean Keep Options

Boolean operations on lower-order entities that are attached to higher-order entities are generally permitted.

Boolean operations cannot be performed on meshed entities. You must clear the mesh from the entity before performing the Boolean operation.

The label NWARN on the BOPTN command allows you to control warning messages. A value of "0" will result in a warning message if a Boolean operation has no effect. A value of "1" will suppress all warning or error messages if a Boolean operation has no effect. A value of "-1" will allow error messages if a Boolean operation has no effect. The default value of this label is "0".

The VERSION label can be used to control which numbering scheme ANSYS will use to number the entities produced by Boolean operations. By default, ANSYS will number entities using the Revision 5.2 numbering scheme, but you can force ANSYS to use the Revision 5.1 numbering scheme instead. Normally, you will want to use the default numbering scheme when running Revision 5.2 or newer versions. However, if you are reading input that was created at Revision 5.1, you should activate Revision 5.1 numbering [BOPTN,VERSION,RV51] before reading in the file [/INPUT] so that the input will run properly.

Note

A command input stream created at Revision 5.1 may produce different entity numbering at Revision 5.2 or Revision 5.3 unless the Revision 5.1 numbering scheme is specified [BOPTN,VERSION,RV51].

The label DEFA will reset all BOPTN settings to default values. The label STAT lists the status of present settings.

5.4.2. Entity Numbering After Boolean Operations

The numbering scheme assigns numbers to Boolean output entities based on information relating to their topology and geometry. The topology information used for an area, for example, includes the number of loops it is defined by, the number of lines (that is, 3-sided area, 4-sided area, etc.) making up the area, the line numbers of any original lines (lines existing before the Boolean operation) in the area, keypoint numbers of any original keypoints, etc. The geometry information used for an area consists of the coordinates of its centroid, endpoints, and other "control points" relative to some arbitrary reference coordinate system. "Control points" are defined by the NURBS used to parametrically describe your model. The numbering scheme first assigns numbers (beginning with the next available number) to those output entities that can be uniquely identified by their topology. Any remaining entities are then assigned numbers based on their geometry. Unfortunately, entity numbering based on geometry may not be consistent across design optimization loops, especially if the geometry changes from loop to loop. Therefore, when geometry-based entity numbering occurs, the program issues the following warning message:

*** WARNING ***

Entity numbers from the Boolean operation were assigned based on geometry.
If you are planning to do optimization, (or input looping), do not rely
on the entity numbers for loads, etc.  To suppress this warning, issue "BOPT,NWARN,0".

5.4.3. Intersect

An intersection defines a new set of entities which is common to every original entity included in the operation. In other words, an intersection represents the region of overlap of two or more entities. The new set can be of the same or lower dimension as the original entities. For instance, the intersection of two lines can be a keypoint (or a set of keypoints), or it can be a line (or set of lines). The Boolean intersect commands are as follows:

Create the intersection of | Command | GUI
lines | LINL | Main Menu> Preprocessor> Modeling> Operate> Booleans> Intersect> Common> Lines
areas | AINA | Main Menu> Preprocessor> Modeling> Operate> Booleans> Intersect> Common> Areas
volumes | VINV | Main Menu> Preprocessor> Modeling> Operate> Booleans> Intersect> Common> Volumes
a line with an area | LINA | Main Menu> Preprocessor> Modeling> Operate> Booleans> Intersect> Line with Area
an area with a volume | AINV | Main Menu> Preprocessor> Modeling> Operate> Booleans> Intersect> Area with Volume
a line with a volume | LINV | Main Menu> Preprocessor> Modeling> Operate> Booleans> Intersect> Line with Volume

5.4.3.1. Illustrations of Intersection Operations

The following figures illustrate the intersection operations listed above:

Figure 5.19 LINL (Line Intersect Line)

Figure 5.20 AINA (Area Intersect Area)

Figure 5.21 VINV (Volume Intersect Volume)

Figure 5.22 LINA (Line Intersect Area)

Figure 5.23 AINV (Area Intersect Volume)

Figure 5.24 LINV (Line Intersect Volume)

5.4.4. Pairwise Intersect

A pairwise intersection defines a new set of entities which is any overlapping set of entities included in the operation. In other words, a pairwise intersection represents the region of overlap of at least any two of the original entities. The new set can be of the same or lower dimension as the original entities. For instance, the pairwise intersection of a set of lines can be a keypoint (or a set of keypoints), or it can be a line (or set of lines). The Boolean pairwise intersect commands are as follows:

Find the pairwise intersection of | Command | GUI
lines | LINP | Main Menu> Preprocessor> Modeling> Operate> Booleans> Intersect> Pairwise> Lines
areas | AINP | Main Menu> Preprocessor> Modeling> Operate> Booleans> Intersect> Pairwise> Areas
volumes | VINP | Main Menu> Preprocessor> Modeling> Operate> Booleans> Intersect> Pairwise> Volumes

5.4.4.1. Illustrations of Pairwise Intersection Operations

Figure 5.25: "LINP (Line Intersect Pairwise)", Figure 5.26: "AINP (Area Intersect Pairwise)", and Figure 5.27: "VINP (Volume Intersect Pairwise)" illustrate the pairwise intersection operations listed above:

Figure 5.25 LINP (Line Intersect Pairwise)

Figure 5.26 AINP (Area Intersect Pairwise)

Figure 5.27 VINP (Volume Intersect Pairwise)

5.4.5. Add

An addition of entities defines a new entity that includes all parts of the originals. (This operation is also known mathematically as a union, joining, or summation.) The resulting entity is a single seamless whole, containing no internal divisions. (As a practical matter, "added" entities will often not mesh as well as will "overlapped" entities.) Only volumes or coplanar 2-D areas can be added in the ANSYS program. Areas added may contain holes within the area; that is, internal loops. The Boolean add commands are as follows:

Add | Command | GUI
separate areas to create a single area | AADD | Main Menu> Preprocessor> Modeling> Operate> Booleans> Add> Areas
separate volumes to create a single volume | VADD | Main Menu> Preprocessor> Modeling> Operate> Booleans> Add> Volumes

5.4.5.1. Illustrations of Addition Operations

The following figures illustrate the add operations listed above.

Figure 5.28 AADD (Add Areas)

Figure 5.29 VADD (Add Volumes)

5.4.6. Subtract

If you subtract one entity (E2) from another (E1), you will obtain one of two results: Either you will create a new entity or entities (E1 - E2 [image] E3) that is of the same dimensionality as E1 and that contains no overlap with E2, or, if the overlap is of a lower dimensionality, you will simply divide E1 into two or more new entities (E1 - E2 [image] E3 and E4).

If the command field SEPO on the subtract command is set to blank (default), the subtraction of entities can result in lines with a common end point, or areas with a common line boundary, or volumes sharing a common boundary area. If the command field is set to "SEPO", the resulting entities will no longer share common boundaries but have distinct but coincident boundaries. This latter operation is not valid if the overlap of entities does not divide one of the input entities into at least two distinct lines, areas, or volumes. The Boolean subtract commands (and their corresponding GUI paths) are as follows:

Subtract | Command | GUI
lines from lines | LSBL | Main Menu> Preprocessor> Modeling> Operate> Booleans> Subtract> Lines Main Menu> Preprocessor> Modeling> Operate> Booleans> Subtract> With Options> Lines Main Menu> Preprocessor> Modeling> Operate> Booleans> Divide> Line by Line Main Menu> Preprocessor> Modeling> Operate> Booleans> Divide> With Options> Line by Line
areas from areas | ASBA | Main Menu> Preprocessor> Modeling> Operate> Booleans> Subtract> Areas Main Menu> Preprocessor> Modeling> Operate> Booleans> Subtract> With Options> Areas Main Menu> Preprocessor> Modeling> Operate> Booleans> Divide> Area by Area Main Menu> Preprocessor> Modeling> Operate> Booleans> Divide> With Options> Area by Area
volumes from volumes | VSBV | Main Menu> Preprocessor> Modeling> Operate> Booleans> Subtract> Volumes Main Menu> Preprocessor> Modeling> Operate> Booleans> Subtract> With Options> Volumes
areas from lines | LSBA | Main Menu> Preprocessor> Modeling> Operate> Booleans> Divide> Line by Area Main Menu> Preprocessor> Modeling> Operate> Booleans> Divide> With Options> Line by Area
volumes from lines | LSBV | Main Menu> Preprocessor> Modeling> Operate> Booleans> Divide> Line by Volume Main Menu> Preprocessor> Modeling> Operate> Booleans> Divide> With Options> Line by Volume
volumes from areas | ASBV | Main Menu> Preprocessor> Modeling> Operate> Booleans> Divide> Area by Volume Main Menu> Preprocessor> Modeling> Operate> Booleans> Divide> With Options> Area by Volume
lines from areas | ASBL [1] | Main Menu> Preprocessor> Modeling> Operate> Booleans> Divide> Area by Line Main Menu> Preprocessor> Modeling> Operate> Booleans> Divide> With Options> Area by Line
areas from volumes | VSBA | Main Menu> Preprocessor> Modeling> Operate> Booleans> Divide> Volume by Area Main Menu> Preprocessor> Modeling> Operate> Booleans> Divide> With Options> Volume by Area

  1. The SEPO field is not available on the ASBL command.

You can subtract multiple entities from a single entity. All entity subtraction commands are of the form eSBe, where "e" represents multiple or single entities.

You can set either entity field value of the subtract operation to ALL . If ALL is used in the minuend field, the entity or entities listed or picked in the subtrahend field will be removed from all selected entities. If ALL is used in the subtrahend field, all selected entities will be subtracted from those listed in the minuend field. If ALL is used in both minuend and subtrahend fields for subtraction of like entities, nothing will happen; that is, the result will be your input entities.

The KEEP(X) argument fields of the entity subtraction commands allow you to selectively keep or delete entities. For instance, the KEEPA and KEEPL arguments on the ASBL command allow you to keep or delete the areas and/or lines used in an ASBL operation. This is in contrast to the BOPTN,KEEP,Value command which demands you either keep or delete all input entities. The KEEPL and KEEPA arguments override previous settings made with the BOPTN command (Main Menu> Preprocessor> Modeling> Operate> Booleans> Settings). If these two fields are left blank, the default settings are controlled by the BOPTN command. The default setting for BOPTN is to delete all entities that are used as inputs to entity subtraction commands.

5.4.6.1. Illustrations of Subtraction Operations

Figure 5.30: "LSBL (Line Subtract Line)" through Figure 5.37: "VSBA (Volume Subtract Area)" illustrate simple entity subtraction operations. See the descriptions of the LSBL, ASBA, VSBV, LSBA, LSBV, ASBV, ASBL, and VSBA commands in the Commands Reference for more information.

Figure 5.30 LSBL (Line Subtract Line)

Figure 5.31 ASBA (Area Subtract Area)

Figure 5.32 VSBV (Volume Subtract Volume)

Figure 5.33 LSBA (Line Subtract Area)

Figure 5.34 LSBV (Line Subtract Volume)

Figure 5.35 ASBV (Area Subtract Volume)

Figure 5.36 ASBL (Area Subtract Line)

Figure 5.37 VSBA (Volume Subtract Area)

The entity subtraction commands can have multiple inputs. You can subtract one entity from multiple entities, or you can subtract multiple entities from one entity. You may also subtract multiple entities from multiple entities. Figure 5.38: "LSBL (Multiple Line Subtract a Line)" to Figure 5.45: "VSBA (Single Volume Subtract Multiple Areas)" illustrate multiple entity subtractions.

Figure 5.38 LSBL (Multiple Line Subtract a Line)

Figure 5.39 ASBA (Multiple Area Subtract an Area)

Figure 5.40 VSBV (Multiple Volume Subtract a Volume)

Figure 5.41 LSBA (Multiple Line Subtract an Area)

Figure 5.42 LSBV (Multiple Line Subtract a Volume)

Figure 5.43 ASBV (Multiple Area Subtract a Volume)

Figure 5.44 ASBL (Multiple Area Subtract a Line)

Figure 5.45 VSBA (Single Volume Subtract Multiple Areas)

5.4.7. Working Plane Subtract

The working plane can be subtracted from an entity to divide it into two or more entities. The working plane can be subtracted from lines, areas, and volumes by using the commands and GUI paths described below. For each of these subtract commands, the SEPO field can be used to determine whether the entities produced will have shared or coincident but separate boundaries. The KEEP field can be used to retain or delete input entities regardless of the setting of the BOPTN command (Main Menu> Preprocessor> Modeling> Operate> Booleans> Settings).

The working plane is often used to cut up an existing model prior to map meshing. You can use any of the methods described in the following table to subtract the working plane from an entity.

Subtract the intersection of the working plane from | Command | GUI
lines | LSBW | Main Menu> Preprocessor> Modeling> Operate> Booleans> Divide> Line by WrkPlane Main Menu> Preprocessor> Modeling> Operate> Booleans> Divide> With Options> Line by WrkPlane
areas | ASBW | Main Menu> Preprocessor> Operate> Divide> Area by WrkPlane Main Menu> Preprocessor> Modeling> Operate> Booleans> Divide> With Options> Area by WrkPlane
volumes | VSBW | Main Menu> Preprocessor> Modeling> Operate> Booleans> Divide> Volu by WrkPlane Main Menu> Preprocessor> Modeling> Operate> Booleans> Divide> With Options> Volu by WrkPlane

5.4.7.1. Illustrations of Working Plane Subtraction Operations

The following figures illustrate the working plane subtraction operations listed above:

Figure 5.46 LSBW (Line Subtract Working Plane)

Figure 5.47 ASBW (Area Subtract Working Plane)

Figure 5.48 VSBW (Volume Subtract Working Plane)

5.4.8. Classify

Classification is similar to subtraction, except that both the original entities are replaced by new entities. At present, only line-line classification is possible in the ANSYS program. To perform line-line classification, use the LCSL command. You cannot access the LCSL command directly in the GUI. The following figure illustrates the classification operation.

Figure 5.49 LCSL (Line Classify Line)

5.4.9. Overlap

The overlap commands will join two or more entities to create three or more new entities that encompass all parts of the originals. The end result is similar to an "add" operation, except that boundaries will be created around the overlap zone. Thus, the overlap operation produces a number of relatively uncomplicated regions, as compared to the single relatively complicated region created by the add operation. For this reason, overlapped entities will often mesh better than added entities.

Overlapping is valid only if the overlap region has the same dimensionality as the original entities. The Boolean overlap commands (and their corresponding GUI paths) are as follows:

Overlap | Command | GUI
lines | LOVLAP | Main Menu> Preprocessor> Modeling> Operate> Booleans> Overlap> Lines
areas | AOVLAP | Main Menu> Preprocessor> Modeling> Operate> Booleans> Overlap> Areas
volumes | VOVLAP | Main Menu> Preprocessor> Modeling> Operate> Booleans> Overlap> Volumes

5.4.9.1. Illustrations of Overlap Operations

The following figures illustrate the overlap operations listed above:

Figure 5.50 LOVLAP (Line Overlap Line)

Figure 5.51 AOVLAP (Area Overlap Area)

Figure 5.52 VOVLAP (Volume Overlap Volume)

5.4.10. Partition

The partition commands will join two or more entities to create three or more new entities that encompass all parts of the originals. The end result is similar to an "overlap" operation if the overlap is of the same dimensionality as the original entities. However, unlike the overlap operations, non-overlapping input entities will not be deleted. The Boolean partition commands are as follows:

Partition | Command | GUI
lines | LPTN | Main Menu> Preprocessor> Modeling> Operate> Booleans> Partition> Lines
areas | APTN | Main Menu> Preprocessor> Modeling> Operate> Booleans> Partition> Areas
volumes | VPTN | Main Menu> Preprocessor> Modeling> Operate> Booleans> Partition> Volumes

5.4.10.1. Illustrations of Partition Operations

Figure 5.53: "LPTN (Line Partition)", Figure 5.54: "APTN (Area Partition)", and Figure 5.55: "VPTN (Volume Partition)" illustrate partition operations. See the descriptions of the LPTN, APTN, and VPTN commands in the Commands Reference for more information.

Figure 5.53 LPTN (Line Partition)

Figure 5.54 APTN (Area Partition)

Figure 5.55 VPTN (Volume Partition)

5.4.11. Glue (or Merge)

Glue is similar to overlap, except that it applies only to cases in which the intersection between entities occurs at a boundary, and is one dimension lower than the original entities. The entities maintain their individuality (they are not "added"), but they become connected at their intersection (they "talk" to each other), as shown in the illustrations below. The Boolean glue commands (and their corresponding GUI paths) are as follows:

Generate new | Command | GUI
lines by “gluing” lines | LGLUE | Main Menu> Preprocessor> Modeling> Operate> Booleans> Glue> Lines
areas by “gluing” areas | AGLUE | Main Menu> Preprocessor> Modeling> Operate> Booleans> Glue> Areas
volumes by “gluing” volumes | VGLUE | Main Menu> Preprocessor> Modeling> Operate> Booleans> Glue> Volumes

5.4.11.1. Illustrations of Glue Operations

The following figures illustrate the glue operations listed above:

Figure 5.56 LGLUE (Line Glue Line)

Figure 5.57 AGLUE (Area Glue Area)

Figure 5.58 VGLUE (Volume Glue Volume)

5.4.12. Alternatives to Boolean Operations

Boolean operations can sometimes be relatively slow and expensive. As a general guideline, if you can replace a Boolean command with another, similarly convenient command, do so. Some of the alternative procedures that can sometimes be used in place of Booleans are described below.

Dragging and Rotating: A complicated prismatic or cylindrical volume might be defined just as conveniently, but more efficiently, using VDRAG and VROTAT (as described below) in place of Boolean operations. A good example would be a model of a block with a number of holes drilled through it.

Extruding and Offsetting: A 2-D cross section can also be offset or extruded into a 3-D volume using VEXT and VOFFST (as described below). See Creating Your Solid Model from the Bottom Up earlier in this chapter, which also discusses how to extrude, offset, rotate, or drag meshed areas into meshed volumes.

Utilizing the Options on Primitive Commands: A number of primitive commands allow you to define a relatively complicated shape in a single command. For example, you can create a hollow spherical segment of specified wall thickness, using a single SPHERE command (Main Menu> Preprocessor> Modeling> Create> Volumes> Sphere> By Dimensions):

Figure 5.59 Hollow Spherical Segment Created With One Command

It is clear from this example how exercising the full ability of one primitive command can sometimes save the expense of performing several Boolean operations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.3. Creating Your Solid Model from the Top Down: Primitives 		Up / Home Next
5.5. Updating after Boolean Operations


5.5. Updating after Boolean Operations

Some Boolean commands will automatically update entities after the Boolean operation is performed on attached lower-order entities. For instance, if you use an AADD Boolean operation (Main Menu> Preprocessor> Modeling> Operate> Booleans> Add> Areas) to add several areas together that are attached to a single volume, that volume will be updated by replacing the original areas with the newly produced area. This releases you from the work of deleting the higher-order entity (volume in this case) and rebuilding it with bottom up techniques. The following commands perform automatic updating of higher-order entities:

Table 5.1 Commands That Automatically Update Entities

Command | Entities directly modified by command | Entities that can be updated
AADD | Areas | Volumes
ASBA | Areas and Lines | Areas and Volumes
ASBV | Areas and Lines | Areas and Volumes
ASBL | Areas and Lines | Areas and Volumes
AFILLT | N/A | Areas and Volumes
LSBL | Lines | Areas
LSBA | Lines | Areas
LSBV | Lines | Areas
LCSL | Lines | Areas

Updating can occur only if the Boolean operation produces entities that are equal to the original entity. For instance, if an ASBA operation (Main Menu> Preprocessor> Modeling> Operate> Booleans> Divide> Area by Area, and so on) cuts an area into two pieces, the two new pieces will replace the original area, and the underlying volume will be updated to include the new areas. However, if the ASBA operation cuts a piece out of the original area (to create a hole for instance), no entities can be updated.

Figure 5.60: "Automatic Boolean Updating With AFILLT" shows an example of automatic Boolean updating. In this example, a fillet area [AFILLT] (Main Menu> Preprocessor> Modeling> Create> Areas> Area Fillet) is placed between two intersecting volumes. The Boolean fillet operation creates the fillet area, but also automatically updates the areas on the surfaces of the volumes, and the volumes are updated to replace the two original surface areas with the four new surface areas.

Figure 5.60 Automatic Boolean Updating With AFILLT

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.4. Sculpting Your Model with Boolean Operations 		Up / Home Next
5.6. Moving and Copying Solid Model Entities


5.6. Moving and Copying Solid Model Entities

If your model repetitively uses a relatively complicated area or volume, you need construct that part only once; you can then generate copies of that part in new locations and new orientations as needed. For example, the elongated voids in the plate shown below can be copied from a single such void.

Figure 5.61 Copying an Area

Geometric primitives can also be considered to be "parts." As you create geometric primitives, their location and orientation will be determined by the current working plane. Because it is not always particularly convenient to redefine the working plane for each new primitive that you create, you might find it more practical to allow a primitive to be created at the "wrong" location, and then move that primitive to its correct position. Of course, this operation is not limited to geometric primitives: any solid model entity can be copied or moved.

The commands that you can use to move or copy solid model entities include the xGEN commands, the xSYM(M) commands, and the xTRAN commands (and their corresponding GUI paths). Of these, the xGEN and xTRAN commands will probably be the most useful for moving and rotating a copy of an entity. (Copying a higher-order entity will automatically cause all the lower-order entities associated with it to be copied as well. In addition, if you copy an entity's elements (NOELEM = 0), all elements associated with lower-order entities attached to it will also be copied.) You can move an entity to a new location by setting IMOVE = 1 in the appropriate xGEN, xSYM(M), or xTRAN command.

5.6.1. Generating Entities from a Pattern

ANSYS provides the following xGEN commands and GUI paths:

  • To generate additional keypoints from a pattern of keypoints:

    Command(s): KGEN
    GUI: Main Menu> Preprocessor> Modeling> Copy> Keypoints

  • To generate additional lines from a pattern of lines:

    Command(s): LGEN
    GUI: Main Menu> Preprocessor> Modeling> Copy> Lines
    Main Menu> Preprocessor> Modeling> Move/Modify> Lines

  • To generate additional areas from a pattern of areas:

    Command(s): AGEN
    GUI: Main Menu> Preprocessor> Modeling> Copy> Areas
    Main Menu> Preprocessor> Modeling> Move/Modify> Areas> Areas

  • To generate additional volumes from a pattern of volumes:

    Command(s): VGEN
    GUI: Main Menu> Preprocessor> Modeling> Copy> Volumes
    Main Menu> Preprocessor> Modeling> Move/Modify> Volumes

5.6.2. Generating Entities by Symmetry Reflection

ANSYS provides the following xSYM(M) commands and GUI paths:

  • To generate a reflected set of keypoints:

    Command(s): KSYMM
    GUI: Main Menu> Preprocessor> Modeling> Reflect> Keypoints

  • To generate lines from a line pattern by symmetry reflection:

    Command(s): LSYMM
    GUI: Main Menu> Preprocessor> Modeling> Reflect> Lines

  • To generate areas from an area pattern by symmetry reflection:

    Command(s): ARSYM
    GUI: Main Menu> Preprocessor> Modeling> Reflect> Areas

  • To generate volumes from a volume pattern by symmetry reflection:

    Command(s): VSYMM
    GUI: Main Menu> Preprocessor> Modeling> Reflect> Volumes

5.6.3. Transferring a Pattern of Entities to a Coordinate System

ANSYS provides the following xTRAN commands and GUI paths:

  • To transfer a pattern of keypoints to another coordinate system:

    Command(s): KTRAN
    GUI: Main Menu> Preprocessor> Modeling> Move/Modify> Transfer Coord> Keypoints

  • To transfer a pattern of lines to another coordinate system:

    Command(s): LTRAN
    GUI: Main Menu> Preprocessor> Modeling> Move/Modify> Transfer Coord> Lines

  • To transfer a pattern of areas to another coordinate system:

    Command(s): ATRAN
    GUI: Main Menu> Preprocessor> Modeling> Move/Modify> Transfer Coord> Areas

  • To transfer a pattern of volumes to another coordinate system:

    Command(s): VTRAN
    GUI: Main Menu> Preprocessor> Modeling> Move/Modify> Transfer Coord> Volumes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.5. Updating after Boolean Operations 		Up / Home Next
5.7. Scaling Solid Model Entities


5.7. Scaling Solid Model Entities

It is possible to scale defined entities up or down. The xSCALE family of commands can be used to scale a single entity or a pattern of entities in the active coordinate system.

Scale factors are applied to the X, Y, and Z keypoint coordinates for each of the four scaling commands. If you are working in a cylindrical coordinate system when doing a scaling operation, X, Y, and Z will be interpreted as R, θ, Z, where θ is an angular offset. In spherical coordinates, X, Y, and Z will be interpreted as R, θ, Φ, where θ and Φ are both angular offsets.

  • To generate a scaled set of (meshed) keypoints from a pattern of keypoints:

    Command(s): KPSCALE
    GUI: Main Menu> Preprocessor> Modeling> Operate> Scale> Keypoints

  • To generate a scaled set of lines from a pattern of lines:

    Command(s): LSSCALE
    GUI: Main Menu> Preprocessor> Modeling> Operate> Scale> Lines

  • To generate a scaled set of areas from a pattern of areas:

    Command(s): ARSCALE
    GUI: Main Menu> Preprocessor> Modeling> Operate> Scale> Areas

  • To generate a scaled set of volumes from a pattern of volumes:

    Command(s): VLSCALE
    GUI: Main Menu> Preprocessor> Modeling> Operate> Scale> Volumes

Samples of scaled entities are shown in Figure 5.62: "Scaling Entities".

Figure 5.62 Scaling Entities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.6. Moving and Copying Solid Model Entities 		Up / Home Next
5.8. Solid Model Loads


5.8. Solid Model Loads

You can define loads directly on the solid model at any time before you actually initiate the solution. Thus, solid model loads may be defined before or after finite element meshing. (Details of how to define solid model loads are discussed in "Loading" in the Basic Analysis Guide.) The remainder of this section describes other functions related to solid model loads.

5.8.1. Transferring Solid Model Loads

Solid model loads will be transferred to the finite element model automatically when you begin the solution calculations (when you issue a SOLVE command (Main Menu> Solution> Solve> Current LS)), or you may transfer them "manually" using the following methods:

  • To transfer solid model loads and boundary conditions to the finite element model:

    Command(s): SBCTRAN
    GUI: Main Menu> Preprocessor> Loads> Define Loads> Operate> Transfer to FE> All Solid Lds
    Main Menu> Solution> Define Loads> Operate> Transfer to FE> All Solid Lds

  • To transfer solid model body force loads to the finite element model:

    Command(s): BFTRAN
    GUI: Main Menu> Preprocessor> Loads> Define Loads> Operate> Transfer to FE> Body Loads
    Main Menu> Solution> Define Loads> Operate> Transfer to FE> Body Loads

  • To transfer solid model DOF constraints to the finite element model:

    Command(s): DTRAN
    GUI: Main Menu> Preprocessor> Loads> Define Loads> Operate> Transfer to FE> Constraints
    Main Menu> Solution> Define Loads> Operate> Transfer to FE> Constraints

  • To transfer solid model forces to the finite element model:

    Command(s): FTRAN
    GUI: Main Menu> Preprocessor> Loads> Define Loads> Operate> Transfer to FE> Forces
    Main Menu> Solution> Define Loads> Operate> Transfer to FE> Forces

  • To transfer solid model surface loads to the finite element model:

    Command(s): SFTRAN
    GUI: Main Menu> Preprocessor> Loads> Define Loads> Operate> Transfer to FE> Surface Loads
    Main Menu> Solution> Define Loads> Operate> Transfer to FE> Surface Loads

5.8.2. Displaying Load Symbols

Solid model loads may be displayed at any time after you have turned on the appropriate load symbols:

  • To show boundary condition symbols on displays, use the /PBC command. This command includes an option to display boundary condition values, as well as symbols. (Turning off /VSCALE scaling before issuing the /PBC command may help.)

  • To show body force loads as contours on displays, use the /PBF command.

  • To show surface load symbols on model displays, use the /PSF command.

All of these commands can be accessed in the GUI by picking Utility Menu> PlotCtrls> Symbols.

5.8.3. Turning Off Large Symbols for Node and Keypoint Locations

Large symbols for node and keypoint locations are displayed by default (/PSYMB,DOT,1).

  • To display smaller symbols for node and keypoint locations, use one of the following methods:

    Command(s): /PSYMB,DOT,0
    GUI: Utility Menu> PlotCtrls> Symbols

5.8.4. Selecting a Format for the Graphical Display of Numbers

You can indicate the field length and the number of digits that are displayed for the numbers appearing on a model.

  • To specify a format for the display of numbers, use the following command:

    Command(s):

    /GFORMAT

5.8.5. Listing Solid Model Loads

You can list all solid model loads or you can list separate types of solid model loads using the following methods:

  • To list all solid model loads:

    Command(s): SBCLIST
    GUI: Utility Menu> List> Loads> Solid Model Loads

  • To list the body force loads at keypoints:

    Command(s): BFKLIST
    GUI: Utility Menu> List> Loads> Body> On All Keypoints
    Utility Menu> List> Loads> Body> On Picked KPs

  • To list the DOF constraints at keypoints:

    Command(s): DKLIST
    GUI: Utility Menu> List> Loads> DOF Constraints> On All Keypoints
    Utility Menu> List> Loads> DOF Constraints> On Picked KPs

  • To list the DOF constraints on a line:

    Command(s): DLLIST
    GUI: Utility Menu> List> Loads> DOF Constraints> On All Lines
    Utility Menu> List> Loads> DOF Constraints> On Picked Lines

  • To list the DOF constraints on an area:

    Command(s): DALIST
    GUI: Utility Menu> List> Loads> DOF Constraints> On All Areas
    Utility Menu> List> Loads> DOF Constraints> On Picked Areas

  • To list the forces at keypoints:

    Command(s): FKLIST
    GUI: Utility Menu> List> Loads> Forces> On All Keypoints
    Utility Menu> List> Loads> Forces> On Picked KPs

  • To list the surface loads on lines:

    Command(s): SFLLIST
    GUI: Utility Menu> List> Loads> Surface Loads> On All Lines
    Utility Menu> List> Loads> Surface Loads> On Picked Lines

  • To list the surface loads on areas:

    Command(s): SFALIST
    GUI: Utility Menu> List> Loads> Surface Loads> On All Areas
    Utility Menu> List> Loads> Surface Loads> On Picked Areas

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.7. Scaling Solid Model Entities 		Up / Home Next
5.9. Mass and Inertia Calculations


5.9. Mass and Inertia Calculations

The xSUM commands calculate and print geometry items associated with solid model entities. See the Theory Reference for ANSYS and ANSYS Workbench for details.

Note

For very narrow (sliver) areas or very thin volumes, such that the ratio of the minimum to the maximum dimension is less than 0.01, the ASUM and VSUM commands can provide erroneous area or volume information. To ensure that such calculations are accurate, make certain that you subdivide such areas and volumes so that the ratio of the minimum to the maximum is at least 0.05.

  • To calculate and print the center of mass location, moments of inertia, and so on, associated with selected keypoints:

    Command(s): KSUM
    GUI: Main Menu> Preprocessor> Modeling> Operate> Calc Geom Items> Of Keypoints

  • To calculate and print the length, center of mass location, moments of inertia, and so on, for selected lines:

    Command(s): LSUM
    GUI: Main Menu> Preprocessor> Modeling> Operate> Calc Geom Items> Of Lines

  • To calculate and print the area, center of mass location, moments of inertia, and so on, for selected areas:

    Command(s): ASUM
    GUI: Main Menu> Preprocessor> Modeling> Operate> Calc Geom Items> Of Areas

  • To calculate and print the volume, center of mass location, moments of inertia, and so on, for selected volumes:

    Command(s): VSUM
    GUI: Main Menu> Preprocessor> Modeling> Operate> Calc Geom Items> Of Volumes

  • To calculate and print all of the previously mentioned keypoint, line, area, and volume geometry items at one time:

    Command(s): GSUM
    GUI: Main Menu> Preprocessor> Modeling> Operate> Calc Geom Items> Of Geometry

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.8. Solid Model Loads 		Up / Home Next
5.10. Considerations and Cautions for Solid Modeling


5.10. Considerations and Cautions for Solid Modeling

5.10.1. Representation of Solid Model Entities

During the solid modeling process, it is helpful to understand the underlying mathematical operations used by ANSYS. This knowledge is particularly useful when you encounter degeneracies and discontinuities. For example, an error stating that a degeneracy has been detected in a solid model Boolean operation may occur. Knowledge of the mathematical terminology involved can aid in overcoming such an error.

Internally, solid model entities are mathematically represented by trimmed parametric surfaces. Trimmed parametric surfaces consist of two components: parametric geometry and topology. Parametric geometry defines the underlying surface of a model. The term "parametric" refers to the parametric space that mathematically represents the geometric space. Refer to Figure 5.63: "Cone Surface Maps to a Parametric Square" for an illustration of the relationship between the geometric model and the parametric model. Nonuniform Rational B-splines, or NURBS, are used in the definition of the parametric geometry. The term "topology" refers to the trimming surfaces that bound a model's geometry.

5.10.2. When a Boolean Operation Fails

Boolean operators provide a powerful set of tools that enable you to create complicated geometries with a minimum amount of input. However, you might encounter situations in which a Boolean operation will have difficulties. If this happens, you can still sometimes work around the problem to achieve the desired solid model. Let's examine some of the causes of and cures for Boolean failures.

5.10.2.1. Degeneracies

Boolean operations can fail due to degeneracies. Knowing what constitutes a degeneracy, how a degeneracy is formed, and why degeneracies sometimes cause Booleans to fail can help you overcome such errors. Degeneracies can arise due to issues in geometry or topology. ANSYS will classify degeneracies (which cause a Boolean failure) as either parametric (geometry) or topological.

Parametric degeneracies result from the representation of geometric space with an underlying parametric space. When this "shadow world" of the parametric representation is not in dimensional harmony with the real world of the geometric model, a degeneracy is created. For example, at the apex of a cone, a single point on the geometric model is represented by an edge in the parametric representation (see Figure 5.63: "Cone Surface Maps to a Parametric Square"). Such a point is termed a degenerate edge, or more simply, a degeneracy. Figure 5.65: "Examples of Degeneracies" illustrates several common degeneracies formed during modeling.

A degeneracy of this kind is not harmful in and of itself. A model that contains a degeneracy can often be used in Boolean operations, can be meshed successfully, and can yield excellent analysis results. It is only when a degeneracy happens to cause a problem in a Boolean operation that you even need to be aware of its existence.

Figure 5.63 Cone Surface Maps to a Parametric Square

5.10.3. Graphically Identifying Degeneracies

Degeneracies in areas or volumes can be graphically identified using the methods described below. If you are using the command input method, including the DEGEN label will place a red star at keypoints associated with degeneracies (see Figure 5.64: "Plotting of Geometric Degeneracies").

  • To display degeneracies in areas:

    Command(s): APLOT, , , ,DEGE
    GUI: Main Menu> Preprocessor> Modeling> Operate> Booleans> Show Degeneracy> Plot Degen Areas

  • To display selected volumes:

    Command(s): VPLOT, , , ,DEGE
    GUI: Main Menu> Preprocessor> Modeling> Operate> Booleans> Show Degeneracy> Plot Degen Volus

5.10.4. Listing the Keypoints Associated with Degeneracies

You may also choose to list the keypoints associated with degeneracies:

  • To list keypoints of an area that lie on a parametric degeneracy:

    Command(s): ADGL
    GUI: Main Menu> Preprocessor> Modeling> Operate> Booleans> Show Degeneracy> List Degen Areas

  • To list keypoints of a volume that lie on a parametric degeneracy:

    Command(s): VDGL
    GUI: Main Menu> Preprocessor> Modeling> Operate> Booleans> Show Degeneracy> List Degen Volus

Figure 5.64 Plotting of Geometric Degeneracies

Another kind of degeneracy can be detected if a Boolean operation attempts to create a degenerate boundary during any phase of its operation. A degenerate boundary is an incomplete or zero-area loop, or an incomplete or zero-volume shell. This type of degeneracy is commonly referred to as a topological degeneracy. A Boolean operation will produce an error message if a degeneracy of this nature is detected. Topological degeneracies cannot be plotted since they do not exist prior to a Boolean operation. Examples of topological degeneracies are illustrated in Figure 5.66: "Topologically Degenerate Loop" and Figure 5.67: "Examples of Topologically Degenerate Loops and Shells". An example of a Boolean operation resulting in failure is shown in Figure 5.66: "Topologically Degenerate Loop". In this example, the triangular prism cannot be subtracted [VSBV] from the block, because a degenerate loop would be formed on the top surface of the block. Other Boolean operations such as VADD, VOVLAP, etc. would also fail for these volumes due to this degeneracy.

Figure 5.65 Examples of Degeneracies

A topologically degenerate loop will be created during VSBV, VADD, VOVLAP, or other Boolean operations involving these volumes

Figure 5.66 Topologically Degenerate Loop

Figure 5.67 Examples of Topologically Degenerate Loops and Shells

5.10.4.1. Discontinuities

Generally, discontinuities are sharp "kinks" in solid model entities. They can result from the combination of lines [LCOMB] with inconsistent end tangents or from an IGES import. See Figure 5.68: "Lines and Areas Containing Discontinuities" for an illustration of entities containing discontinuities.

Figure 5.68 Lines and Areas Containing Discontinuities

Many solid model operations will support entities containing discontinuities. However, Boolean operations do not directly support discontinuities. Boolean operations will split or divide entities at points or along lines of discontinuities prior to the Boolean operation. For example, Figure 5.69: "Boolean Operation Involving Entities With Discontinuities" shows an area containing a discontinuity involved in a Boolean subtract operation. Prior to the subtract operation area 1 along with lines 1 and 3 are split at discontinuities.

Figure 5.69 Boolean Operation Involving Entities With Discontinuities

Note

Discontinuities can be associated with both direction and magnitude of tangent vectors. Boolean operations will detect both types of discontinuities.

5.10.4.2. Other Causes of Boolean Failures

Boolean operations can fail due to other circumstances besides degeneracies. For instance, intersections at tangent points can sometimes be difficult for the Boolean operations to handle, particularly with non-primitive constructions. Also, entities that share a boundary (such as two volumes with bounding areas on the same surface) can potentially cause problems in a Boolean operation. Problems might also be encountered if your geometry contains small regions with very high curvatures, or regions with very sharp angles or transitions.

5.10.5. Some Suggested Corrective Actions

If a Boolean operation fails, you can try using one or more of the following procedures to work around the problem.

You need not always follow these guidelines as you first build your model. You can often create a model any way you like, and never encounter a Boolean failure. These guidelines are provided as suggested ways to try to recover from a Boolean failure.

Adjust the input geometries, using the following guidelines:

  • Whenever possible, try to use geometric primitives as you create your solid model. The results of Boolean operations on non-primitives can sometimes be less accurate and efficient.

  • Try to avoid creating geometries that contain degeneracies, if the degeneracy will lie on a potential intersection curve. A few specific examples of such geometries would include:

    • An untruncated cone primitive. (See Figure 5.63: "Cone Surface Maps to a Parametric Square".)

    • A 3-sided area that is neither planar nor lies on a constant-coordinate surface in the active coordinate system. (See Figure 5.65: "Examples of Degeneracies" (a).)

    • A fillet area [AFILLT] that tapers to a point. (See Figure 5.65: "Examples of Degeneracies" (b).)

    • A skinned area [ASKIN] for which two or more guiding lines intersect. (See Figure 5.65: "Examples of Degeneracies" (c).)

    • An area or volume created by rotation [AROTAT, VROTAT] about an axis that intersects any of the input entities. (See Figure 5.65: "Examples of Degeneracies" (d).)

    • An area or volume created by dragging [ADRAG, VDRAG] along a path that has a center of curvature that intersects any of the input entities. (See Figure 5.65: "Examples of Degeneracies" (e).)

  • Try to avoid performing Boolean operations on entities that are tangent to each other. Similarly, try to avoid Boolean operations on entities that have coincident boundaries.

  • If your Boolean operation included more than two input entities, break the operation into a series of operations with fewer input entities. For example, replace AADD,ALL with the series (AADD,1,2; AADD,5,3; AADD,1,4). (See Figure 5.70: "Decompose a Single Operation into a Series of Operations".) You will have to keep track of the numbers assigned to new Boolean output entities created throughout the series of commands.

    Figure 5.70 Decompose a Single Operation into a Series of Operations

  • If a failure occurs in a series of Boolean operations, try changing the order of operations. For instance, replace the series (AADD,1,2; AADD,5,3; AADD,1,4) with a reordered series, such as (AADD,4,3; AADD,5,2; AADD,3,1). (See Figure 5.71: "Change the Order of a Series of Operations".)

    Figure 5.71 Change the Order of a Series of Operations

  • If the Boolean operation fails, you may receive an error message suggesting you loosen (increase) the tolerance from the default value of 1.0 x 10-4 (1.0E-4). This tolerance affects the precision with which Boolean constructions are formed. Sometimes, simply changing this tolerance and reissuing the Boolean command will suffice. At other times, you might find that you need to retrace your steps, recreating the Boolean's input entities using a changed tolerance, before you can successfully proceed with the Boolean operation.

You can loosen the tolerance with the BTOL,PTOL command, where PTOL is the new tolerance:

Command(s): | BTOL,PTOL
GUI: | Main Menu> Preprocessor> Modeling> Operate>Settings

Once you have loosened the tolerance and re-executed the operation successfully, you should return the tolerance to its default value. Doing so will assure precise Boolean constructions later in your modeling effort.

If the geometry is unworkable (no Boolean will work or it cannot be meshed), or if you have encountered a "database corruption" (or contamination) message, then as a work-around use CDWRITE to write out the geometry (CDWRITE,COMB) using the ANF option (CDOPT,ANF) and CDREAD to read it back in (after exiting and re-entering ANSYS) to obtain clean geometry.

5.10.6. Other Hints

5.10.6.1. Avoid Regions that Cross over Themselves

You must take care not to define an area or volume that crosses over itself. (You might inadvertently create such an entity by means of an ADRAG or VDRAG command, for instance.) The ANSYS program cannot always detect such a defect before meshing, but an area or volume that crosses over itself will usually reveal itself in a meshing failure.

5.10.6.2. Use ANSYS Parameters

Use ANSYS parameters for dimensions that might change or that have a lot of digits. Typing a number like 2.8574639 over and over is tedious and is likely to lead to input errors.

5.10.6.3. Consider Alternatives to Boolean Commands

When appropriate, use reasonable alternatives to Boolean commands to overcome Boolean failures or simply to reduce run times. (For example, dragging or rotating might sometimes be preferred over comparable Boolean modeling operations.)

5.10.6.4. Work with Lower-Dimension Constructions

Modeling sessions can sometimes be made more efficient, both with respect to run times and memory requirements, if Boolean operations can be performed using lower-dimension entities. For instance, replacing a line-volume subtraction [LSBV] with a series of line-area subtractions [LSBA] and a deletion [LDELE] might yield the same results at less cost. Switching to lower-dimension operations can sometimes save CPU time and memory requirements. (See Figure 5.72: "Switching to Lower-Dimension".) Of course, you must weigh the loss of convenience against any gain that you might realize. Switching to lower-dimension operations will probably not be justified unless you are experiencing out-of-memory errors, extremely long run times, or other such problems.

Figure 5.72 Switching to Lower-Dimension

5.10.6.5. Create Complex Models in Pieces

Consider creating complex solid models in pieces and combining them using the RESUME command (Utility Menu> File> Resume from) and CDREAD command (Main Menu> Preprocessor> Archive Model> Read) in the preprocessor (PREP7). The following is an example of this procedure:

/PREP7
RESUME,MODEL1,DB
CDWRITE,SOLID         !Write out just solid model (to file.iges)
RESUME,MODEL2,DB      !Note that this 2nd RESUME clears MODEL1 from the
                      !database and reads MODEL2
CDREAD,SOLID          !Reads in the solid model (from file.iges)

!Solid models from MODEL1 and MODEL2 are now
!in the current database

SAVE,MODEL3,DB        !Save combined model to separate file
FINISH

The CDREAD command automatically renumbers new entities to avoid conflicts with other solid model entities that already exist in the database. In addition, this command automatically executes a NUMMRG,KP command to merge duplicate solid-model entities.

5.10.6.6. Don't Forget to SAVE

Make it a habit to save your database [SAVE] (Utility Menu> File> Save as) before attempting a new or risky operation. This way, if an operation causes your system to hang or crash, or produces some other undesired result, you will have preserved a clean copy of your database to help you recover from such trouble.

5.10.6.7. Tessellation Errors

It is possible, although unlikely, that you might encounter the following error message at times as you are building your solid model:

 *** WARNING ***

Error in surface tessellation for area N.  This area can only be
displayed with /FACET,WIRE, and cannot be part of a V, VA, VSUM,
or ASUM operation.

Tessellation is the subdividing of an area for purposes of display (that is, surface faceting), area calculation (as in ASUM), and volume integration (as in V, VA, or VSUM). A tessellation error produces a warning message instead of an error message because an area that cannot be tessellated might still mesh successfully.

The types of situations that can cause tessellation errors include: areas having sharp knife edges, areas having too many holes, or areas having holes on extremely warped surfaces.

Note

For very narrow (sliver) areas or very thin volumes, such that the ratio of the minimum to the maximum dimension is less than 0.01, the ASUM and VSUM commands can provide erroneous area or volume information. To ensure that such calculations are accurate, make certain that you subdivide such areas and volumes so that the ratio of the minimum to the maximum is at least 0.05.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.9. Mass and Inertia Calculations 		Up / Home Next
Chapter 6. Importing Solid Models from IGES Files


Chapter 6. Importing Solid Models from IGES Files

As an alternative to creating a solid model directly in ANSYS, you can first create a solid model in your favorite CAD system, save that model as an IGES file, and then import that model into ANSYS. Once successfully imported, you can mesh the model just as you would for any model created in ANSYS.

The topics here cover the native IGES translation filter, not the connection functionality such as the connection for SAT. The connections are separately licensed and separately documented features that are included on the ANSYS installation CD. See the ANSYS Connection User's Guide for more information.

The following IGES-import topics are available

  • Working With IGES Files

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.10. Considerations and Cautions for Solid Modeling 		Up / Home Next
6.1. Working With IGES Files


6.1. Working With IGES Files

The Initial Graphics Exchange Specification (IGES) is a vendor neutral standard format used to exchange geometric models between various CAD and CAE systems. The filter can import partial files, so you can generally import at least part of your file. You can also import multiple files into the same model, but you must use the same import option for every file.

ANSYS provides the following two options for importing IGES files. Instructions for using these options appear later in this chapter.

  • SMOOTH (NURBS-based or RV52)--This option uses the standard ANSYS geometry database. The SMOOTH option has no capabilities for automatically creating volumes and models imported through this translator will require manual repair. You must use the standard PREP7 geometry tools to repair your model. The topological and geometric repair tools available with the FACETED option are not available for models imported through this translator.

  • FACETED (or RV53) --This option uses a defeaturing database. The conversion includes automatic merging and the creation of volumes to prepare the models for meshing. If the FACETED option encounters problems translating the IGES file, ANSYS will alert you to this and activate a suite of topological and geometric tools designed specifically for interactive repair of imported models. This option is not recommended for large, complex geometries.

Be sure you set the import option before you import or create your model. You cannot change this option once your model has been imported or created. If you must change the import option, clear the database using the /CLEAR command (or exit and restart ANSYS), set the correct option, and re-import or recreate the model. Changing the import option will result in mixed mode geometry, creating a corrupt database.

6.1.1. Using the SMOOTH Option

Use the SMOOTH option's robust import and modeling features to import the model and prepare it for analysis or, if necessary, for defeaturing using the FACETED option. You may also wish to use the SMOOTH option in the following instances:

  • To export your model to an IGES file.

  • To create new modeling entities on top of the imported model.

Always attempt to import the model using the SMOOTH option first. If you cannot repair the imperfections in the model using the tools that are available to you, attempt to import and repair the model using the FACETED option.

6.1.1.1. Importing IGES files using the SMOOTH Option

To set the options for importing an IGES file:

Command(s): | IOPTN
GUI: | Utility Menu> File> Import> IGES

  • Select the SMOOTH option.

To select the IGES file:

Command(s): | IGESIN
GUI: | File picker dialog box that follows after setting IGES options.

Respond Yes when ANSYS asks if the IGES command should be executed.

6.1.1.2. Guidelines for Using the SMOOTH Option

If you use the SMOOTH option to import the IGES model, you should be aware of the following guidelines.

6.1.1.2.1. While Building the Model in the CAD System

  • Observe ANSYS solid modeling procedures with regard to planning, symmetry, and the amount of detail needed for a finite element analysis. For example, for axisymmetric models, the ANSYS program requires that the global Y axis be the axis of rotation. Refer to "Planning Your Approach".

  • Avoid creating closed curves (that is, a line that starts and ends at the same point and closed surfaces (such as a surface that starts and ends at the same edge). ANSYS can't store closed curves or closed surfaces (it requires at least two keypoints). If a closed curve, closed surface, or "trimmed" closed surface--defined by IGES entities 120 and 144 or 128 and 144--is encountered while reading an IGES file, ANSYS will attempt to split it into two or more entities.

  • As much as possible, write to the IGES file by data that the ANSYS program supports (see the description of the IOPTN command in the Commands Reference).

6.1.1.2.2. While Writing the IGES File From the CAD Program

  • Transfer only the portion of the geometry required for the analysis. A finite element analysis may not need as much detail as a CAD model requires.

  • For trimmed surface transfer, include global XYZ data along with UV data in the IGES file.

  • If the model to be analyzed is very large, use the CAD program's selection capabilities to create several IGES files, each containing a portion of the model. The ANSYS program will use the next available entity number as each file is read. You can then use the PREP7 merge feature (NUMMRG command or menu path Main Menu> Preprocessor> Numbering Ctrls> Merge Items) to merge coincident entities.

  • Write the IGES file in ASCII format, with 80 characters per record.

  • For the Pro/ENGINEER program, use these additional guidelines:

    • Set the Config.pro option "iges_out_trim_xyz" to "yes."

    • Set the accuracy to 1E-6 and regenerate the model.

6.1.1.2.3. While Reading the IGES File into ANSYS:

  • Pay attention to the messages issued by the ANSYS program. Warning messages give details such as IGES entities not transferred and the corresponding ANSYS entity numbers.

  • If any IGES entities were not transferred, reconstruct them using ANSYS solid modeling commands. The SMOOTH IGES filter is capable of reading in any rational B-spline curve entity (type 126), or rational B-spline surface entity (type 128) with a degree less than or equal to 20. Attempts to read in B-spline curve or surface entities of degree higher than 20 may result in error messages.

  • Duplicate lines and keypoints are possible when transferring a model in from an IGES file. This often happens with CAD models due to the tolerances and practices that they were created with. You sometimes need to "clean up" these solid models with ANSYS commands that merge duplicate entities together (NUMMRG command or menu path Main Menu> Preprocessor> Numbering Ctrls> Merge Items).

Merging is done automatically when an IGES file is read into ANSYS [IGESIN] in AUX15. Default tolerances are used to determine if keypoints should be merged together into a single keypoint. Sometimes the default tolerances are not adequate and must be adjusted.

6.1.1.2.4. While Writing an IGES File from ANSYS:

  • Set the system of units [/UNITS] before writing the IGES file. This information is captured on the IGES file and is read by many programs that read IGES files. (You cannot access the /UNITS command directly in the GUI.)

  • Select all lower level solid modeling entities before writing the file (ALLSEL,BELOW,ALL or menu path Utility Menu> Select> Everything Below).

  • If you wish to write out a portion of your model, select only those entities (areas) to be written and all corresponding lower level entities (lines and keypoints). Then unselect any higher level entities (volumes) before writing the file.

6.1.2. Using the FACETED Option

Use the FACETED option to defeature your model and repair any imperfections it might have that cannot be repaired using the solid modeling tools available with the SMOOTH option. When using the FACETED option, keep in mind that it has the following limitations.

  • You cannot switch from the FACETED to the SMOOTH option after importing the file, thus bottom-up model creation is not allowed.

  • The option won't translate data such as dimensions, text, annotation entities, structure entities. Also, ANSYS ignores any IGES entities that the option doesn't recognize. However, the option will translate all IGES topological and geometric entities.

  • When a model imported with the FACETED method is meshed, you can archive the model (using the CDWRITE command) using only the DB, GEOM, CM, MAT and LOAD options.

  • ANSYS won't merge keypoints (NUMMRG,KP); merging is automatically done during the import operation.

  • ANSYS won't concatenate lines and areas. However, area and line merging are possible.

  • Curved surfaces that are imported using the FACETED option are internally represented by a grid of flat facets. Nodes that are meshed onto those surfaces (on area interiors) may not follow the original surface as accurately as those at keypoints or those interior to lines, nor as accurately as they would if they had been imported using the SMOOTH option. In a few cases, this could adversely affect analysis results.

While the FACETED option's defeaturing database provides robust capabilities for simplifying models, you should take advantage of the SMOOTH options import and modeling capabilities to import and repair any imperfections in your model. If you need to further simplify your geometry, you can then defeature the model using the FACETED option's defeaturing CAD repair tools. The following briefly covers the process you should follow when defeaturing a model:

  1. Import the IGES file in SMOOTH mode.

  2. Repair and enhance the geometry through the creation of geometric primitives and the use of Boolean operations. Do not mesh the model.

  3. Save the database created for the imported or created model.

  4. Export the model as an ANSYS IGES file.

  5. Clear the database using the /CLEAR command (or exit and restart ANSYS).

  6. Set IOPTN to FACETED.

  7. Import the IGES file you created.

    Note

    You cannot revert back to the SMOOTH mode once you import the file. Be sure you have completed all of the modeling you wish to do using the standard ANSYS geometry database before you import using the FACETED option.

  8. Simplify geometry (defeature) to remove problem features from the model.

  9. Attempt to mesh the model . If you encounter problems in meshing, you may need to further simplify the geometry.

Note

Not all geometry problems can be solved with defeaturing. If you are unsuccessful, attempt to correct your geometry problems in the original CAD program.

The following sections cover the above tasks in detail.

6.1.2.1. Repair and Enhance the Geometry

While still in SMOOTH mode, use the geometry enhancement tools to create additional entities or enhancements. These tools were designed to work in conjunction with the Boolean tools and can be used to add through holes or enhance the model with geometric primitives. These tools are a subset of the standard, PREP7 geometry tools available in ANSYS. See Chapter 5, "Solid Modeling", for more information on these tools.

6.1.2.2. Importing IGES files using the FACETED Option

For IGES files imported through the FACETED option, the main area mesher (Riemann space mesher) is the default mesher. If the main mesher fails to mesh a given model, ANSYS will automatically switch to the alternate area mesher without requiring user interaction.

To set the options for importing an IGES file:

Command(s): | IOPTN
GUI: | Utility Menu> File> Import> IGES

  • Select the FACETED option.

  • Set Merge coincident keypoints to Yes (default)

  • Set Create solid if applicable to Yes (default)

To select the IGES file:

Command(s): | IGESIN
GUI: | File picker dialog box that follows after setting IGES options.

There are several circumstances when you may wish to set the import options differently than above. You should not merge coincident keypoints or create solids if:

  • There are geometric entities in the model that you know you will want to delete after transfer.

  • The model contains surfaces which you know are not properly "trimmed." You should eliminate these surfaces in ANSYS before merging.

  • The IGES model is very large. In such cases, it is often a good practice to import the model into ANSYS without these options active before attempting to merge keypoints and create solids.

  • The model contains surfaces which don't share common boundaries. In such cases you may wish to separately mesh individual surfaces.

  • The model you are importing is not a solid model.

Note

If your model does not import successfully, the GTOLER option can sometimes help. In particular, setting a large multiplier value can help to eliminate small features in the model. Conversely, if your model is missing many small (but important) features, using a small multiplier value can restore these features. For most cases, using the GTOLER option is not recommended.

While the FACETED option for IGES import generally requires more memory than the SMOOTH option, it is even more so for models that do not import "cleanly." Models that do not import cleanly or require manual repair to create a model that can be easily meshed will require more memory. Here are the general recommendations.

  1. Import the model with automatic merging and volume creation turned on (the default conditions).

  2. General indications that a model requires manual cleanup include failure during merging or ANSYS requesting unreasonable amounts of memory. In general, if the file contains unnecessary (or infinite) entities, automatic merging will fail or ask for more memory. You can continue to the topological repair stage to delete the entities and continue with merging. Otherwise, you must

    • Import the file without merging and volume creation.

    • Go through the topological and geometry repair procedures to delete unwanted entities.

    • Merge the model.

    • Create lines and areas to replace missing entities.

    • Create volumes.

  3. If ANSYS detects that the model contains multiple volumes which are connected together, the program turns volume creation off and you must create the multiple volumes.

Some reasons for import problems are:

  • The CAD program may define entities in a manner that does not conform with a particular format.

  • The CAD file may have been created in a way which is visually correct but causes problems for a finite element analysis tool (such as gaps, overlaps, etc., between areas).

  • The CAD file may contain physical features that are difficult to mesh, such as "sliver" areas.

6.1.2.3. Using the Geometry Simplification Tools

Use the geometry simplification tools to eliminate disproportionately small geometric entities (such as very small lines or loops), extraneous features, or areas with disproportionate size in one dimension (sliver areas). Such entities can cause problems when meshing the model. The simplification tools work best when a volume is already created. It is recommended that you complete the volume creation operations before simplification.

Caution

Editing an entity with these tools removes any attached loads or boundary conditions. Simplify the model before attaching loads and boundary conditions.

ANSYS provides functions to plot small areas, lines, and loops to help you identify problem features. These features can also be found by a visual inspection of the model or by meshing the model and then examining the error log and the resultant mesh.

The simplification tools only work on entities that have not been meshed. If you wish to apply these tools after meshing, you must first clear the mesh from the target entities.

6.1.2.3.1. Visual Inspection for Problem Features

The following illustration (Figure 6.1: "Meshing Problems") shows many of the features which can cause problems in meshing.

Figure 6.1 Meshing Problems

Figure 6.2: "Mesh Results" shows the resultant mesh from the model in Figure 6.1: "Meshing Problems". Note the rapid transition from large to small elements and the irregular mesh.

Figure 6.2 Mesh Results

6.1.2.3.2. Locating Small Features

Small features can cause poor results from meshing. ANSYS has a set of plotting and listing commands to help you locate such features. Each location command has a variety of preference settings which you can use to define what constitutes "small." Refer to the information in the Commands Reference for a complete description of each command and its preferences.

To locate small lines:

Command(s): | SLSPLOT
GUI: | Main Menu> Preprocessor> Modeling> Simplify> Detect/Display> Small Lines

To locate small loops:

Command(s): | SLPPLOT
GUI: | Main Menu> Preprocessor> Modeling> Simplify> Detect/Display> Small Loops

To locate small areas:

Command(s): | SARPLOT
GUI: | Main Menu> Preprocessor> Modeling> Simplify> Detect/Display> Small Areas

The following figures show sample output from the various small feature plotting commands. Figure 6.3: "Output of the SARPLOT Command " shows an area that is disproportionately long in one dimension. Figure 6.4: "Output of the SLSPLOT Command" shows small lines. A section of output from Figure 6.5: "Output from the SLPPLOT Command" shows several small loops

Figure 6.3 Output of the SARPLOT Command

Figure 6.4 Output of the SLSPLOT Command

Figure 6.5 Output from the SLPPLOT Command

After locating problem entities, you can use the geometry simplification tools to remove those entities.

6.1.2.3.3. Merging Lines

When practical, merge short lines to form larger lines.

Two lines can be merged together only if

  • They are adjacent to each other.

  • No other line is connected to them at the common point.

When working from a selection list, the command automatically determines the lines that can be merged together, forms a possible merging set, and then merges the lines. However, to preserve the regularity of the model, it is recommended that you merge two lines at a time.

To merge lines into a single line:

Command(s): | LNMERGE
GUI: | Main Menu> Preprocessor> Modeling> Simplify> Toolkit> Merge Lines

The example in Figure 6.6: "The Result of a Line Merging Operation" shows a model (a) with lines that can be merged to form a much simpler model (b). For a model with such regular shapes and limited areas, you could merge all of the lines by using the LNMERGE, ALL command. However, you should normally merge lines "two-at-a-time."

Figure 6.6 The Result of a Line Merging Operation

6.1.2.3.4. Merging Adjacent Areas

When practical, remove excessively small areas from your model. One method is to merge the area with a neighboring area. Merge areas in such a way that they maintain a regular shape (one area is a "nice" extension of the other) to avoid parameterization problems. If completing the merge would result in highly abnormal parameterization, the command will fail. Figure 6.7: "Maintaining a Regular Shape" provides a simplified example of maintaining a four-sided quadrilateral shape.

Note

Area merge does not work for areas that contain internal loops (multiply-connected areas).

Note

Failure in area merge or failure in meshing as a result of poor area parameterization can sometimes be eliminated by deleting the area and recreating it using the ARFILL command.

Figure 6.7 Maintaining a Regular Shape

To merge adjacent areas:

Command(s): | ARMERGE
GUI: | Main Menu> Preprocessor> Modeling> Simplify> Toolkit> Merge Areas

6.1.2.3.5. Collapsing Lines

You can collapse a selected line to any one of its keypoints (the keypoint must be contained in the selected line). This is a powerful command for removing extraneous lines; however, it can change the geometry of the model and should be used with care. In particular, line and area collapse does not check for entity intersection and any collapse that results in entity penetration must be avoided.

To collapse a line to a keypoint:

Command(s): | LNCOLLAPSE
GUI: | Main Menu> Preprocessor> Modeling> Simplify> Toolkit> Collapse Lines

The example shown in Figure 6.8: "Use of the LNCOLLAPSE Command" shows the result of the LNCOLLAPSE command used to eliminate a small line and make the surrounding areas into more regular shapes. The figure shows only portions of the surrounding areas.

Figure 6.8 Use of the LNCOLLAPSE Command

6.1.2.3.6. Collapsing Areas

By collapsing areas, you can change the geometry of your model to eliminate features that cause problems in meshing. Collapsing an area is different from merging areas in that ANSYS draws the minimum lines to extend the neighboring area to fill the "space" left by the area you collapsed. In addition to parameter changes, collapsing also changes the shape of the model enabling complete removal of undesirable features. Figure 6.9: "Sequence of Area Collapse Operations" details a series of areas collapsed to lines. Note that you could further simplify this model by merging the two remaining areas on the front face (shown in Figure [d]).

Figure 6.9 Sequence of Area Collapse Operations

When collapsing an area, you must first pick the area and then the line to which the area will collapse. Try to collapse an area to a longer (rather than shorter) line, and avoid collapsing an area with too many lines. It is sometimes advantageous to collapse the lines before collapsing the area. Also, area collapse does not work for areas with internal loops (multiply-connected areas).

To collapse an area

Command(s): | ARCOLLAPSE
GUI: | Main Menu> Preprocessor> Modeling> Simplify> Toolkit> Collapse Areas

6.1.2.3.7. Splitting Lines

You can add an additional keypoint to any line, splitting the line into two lines that share the new keypoint as an end point. The new keypoint is given the next available key point number.

The most common use of this tool is to define a pair of new keypoints that can be used to split an area.

To split a line

Command(s): | LNSPLIT
GUI: | Main Menu> Preprocessor> Modeling> Simplify> Toolkit> Split Lines

6.1.2.3.8. Splitting Areas

You can split an area by choosing pair of keypoints which will create a bisection line within the area. The line is the shortest path between two existing keypoints contained within that area. If keypoints do not exist at the appropriate places on the area boundary lines, you can create them with the LNSPLIT command.

Caution

The command will allow you to create a split line that falls outside of the area and you should avoid creating such lines.

You should consider splitting areas in the following cases:

  • To remove a "sliver area." To actually eliminate the sliver, you'll need to carry out additional steps (these steps are outlined in "Putting It All Together" toward the end of this chapter).

  • To simplify a multi-sided area into a 4-sided (regular geometry) area.

To split an area:

Command(s): | ARSPLIT
GUI: | Main Menu> Preprocessor> Modeling> Simplify> Toolkit> Split Areas

6.1.2.3.9. Removing Area Loops

You can simplify a 2-D model by removing areas loops (such as holes). You must select the set of lines that define the area loop.

To remove an area loop:

Command(s): | ALPFILL
GUI: | Main Menu> Preprocessor> Modeling> Simplify> Toolkit> Fill Loops

6.1.2.3.10. Removing Cavities and Bosses

Small cavities (depressions and through-holes) and bosses in a solid model can cause problems in meshing. You can eliminate these from your model, including all attached areas, with a single operation. You must select all areas related to the feature before it can be eliminated, and the order in which those areas are selected can be important. If the boss or cavity is attached to an area, the area must be the last area selected in the list. If the attached area is not the last area in the selection list the command may distort the geometry of the model.

Note

ANSYS will ignore this command if its result would cause excessive distortion or invalid model representations.

To remove a cavity or though-hole:

Command(s): | VCVFILL
GUI: | Main Menu> Preprocessor> Modeling> Simplify> Toolkit> Fill Cavity

To remove a boss:

Command(s): | VCVFILL
GUI: | Main Menu> Preprocessor> Modeling> Simplify> Toolkit> Remove Boss

Figure 6.10 Two Through-Holes Removed by the VCVFILL Command

Figure 6.11 A Boss Removed with the VCVFILL Command

6.1.2.3.11. Putting It All Together

To correct or simplify a model's geometry, you will often need to use a variety of the geometry repair or simplification tools in conjunction. The example shown in Figure 6.12: "Remove a Feature" (a) details the procedure for removing a "sliver," which can be difficult to mesh, from an area. The procedure to eliminate the sliver contains the following steps:

  1. Create two keypoints by splitting lines in the area (b).

  2. Create a new area containing only the sliver by splitting the original area at the two new keypoints (c).

  3. Collapse the sliver area to a single line (d).

  4. Collapse the remaining line from the sliver to a keypoint (e).

  5. Collapse the lower line on the left side to a keypoint (f) to create a four-sided area (g).

This is just one example of how the simplification commands are used together.

Figure 6.12 Remove a Feature

6.1.2.4. Modeling in the FACETED Mode

If you cannot repair the imperfections in your model using the modeling tools available with the SMOOTH option, you can attempt to repair the model using the tools available with the FACETED option. The following sections describe the tasks you may need to perform to repair your model in the FACETED mode.

6.1.2.4.1. Repairing Topology

You can access the topological repair tools through the Menu> Preprocessor> Modeling> Topo Repair menu. You can use these tools to repair small gaps in your model by "sewing" neighboring entities together. You must merge open edges or line segments to the adjacent areas to produce closed volumes.

No other geometry tools are available while the topology repair tools are active. Many problems with an imported model can be repaired by the topology tools alone.

6.1.2.4.1.1. Set Preferences for Gap Plotting and Listing

Before locating any gaps in the model, you should set the preferences for the plotting and listing tools. You can set preferences through:

Command(s): | GAPOPT
GUI: | Main Menu> Preprocessor> Modeling> Topo Repair> Preferences
There are two preference settings:

  • TOLER - This sets the merging tolerance factor for the GAPPLOT, GAPLIST, and GAPMERGE commands.

  • OESELE - This sets the types of open edges (gaps) that are shown by the listing and plotting commands.

See the Commands Reference for a full description of the GAPOPT command and its preferences.

6.1.2.4.1.2. Finding Gaps

You can find gaps in your model either by listing them in tabular form or displaying them in a line plot.

Using the Listing Functions

To list open edges (gaps) that can be merged at the current tolerance setting:

Command(s): | GAPLIST
GUI: | Main Menu> Preprocessor> Modeling> Topo Repair> Lst Model Gaps> Open edges

To list all closed edges:

Command(s): | GAPLIST
GUI: | Main Menu> Preprocessor> Modeling> Topo Repair> Lst Model Gaps> Closed edges

Using the Plotting Functions

You can use the plotting functions to locate open and closed edges. You can also distinguish between open edges that can be closed at the current merging tolerance. The following explains the colors used in these plots and their meaning:

  • Blue -- closed edges.

  • Red -- open edges that will remain open if the GAPMERGE command were issued with the current GAPOPT tolerance setting (note that the GAPOPT tolerance must be set separately).

  • Yellow -- open edges that will be closed if the GAPMERGE command were issued with the current GAPOPT tolerance setting (note that the GAPOPT tolerance must be set separately).

You can use the plotting commands for the following tasks.

To plot all open edges that can be merged at the current tolerance setting:

Command(s): | GAPPLOT
GUI: | Main Menu> Preprocessor> Modeling> Topo Repair> Plt Model Gaps> Open Edges

To plot all closed edges:

Command(s): | GAPPLOT
GUI: | Main Menu> Preprocessor> Modeling> Topo Repair> Plt Model Gaps> Closed Edges

To plot both all open edges, disregarding the tolerance setting, and all closed edges:

Command(s): | GAPPLOT
GUI: | Main Menu> Preprocessor> Modeling> Topo Repair> Plt Model Gaps> Opn & Closed

Open and closed plot showing gaps (see Figure 6.13: "Open and Closed Plot"), shown as darker (red on the display) lines. These gaps are very narrow and appear as lines at this zoom level.

Figure 6.13 Open and Closed Plot

6.1.2.4.1.3. Deleting Geometric Entities

The topological repair menu includes functions for deleting keypoints, lines, and areas. You can use the deletion functions for the following tasks:

To delete keypoints not attached to a line:

Command(s): | KDELE
GUI: | Main Menu> Preprocessor> Modeling> Topo Repair> Delete> Keypoints

To delete lines not attached to an area:

Command(s): | LDELE
GUI: | Main Menu> Preprocessor> Modeling> Topo Repair> Delete> Lines Only

To delete lines not attached to an area as well as all keypoints attached only to that line:

Command(s): | LDELE
GUI: | Main Menu> Preprocessor> Modeling> Topo Repair> Delete> Lines and Below

To delete areas:

Command(s): | ADELE
GUI: | Main Menu> Preprocessor> Modeling> Topo Repair> Delete> Areas Only

To delete areas and all attached lines and keypoints (not shared with other areas):

Command(s): | ADELE
GUI: | Main Menu> Preprocessor> Modeling> Topo Repair> Delete> Areas and Below

6.1.2.4.1.4. Merging Gaps

There are two methods for merging gaps: manually (specifying a tolerance) and automatically (using the iterative merging tool). For most models, you should use the automatic method. With either method, saving the database first allows you to "undo" the merge operation if it provides undesirable results.

Using the Automatic Merging Function

The automatic merging tool iteratively attempts to merge all gaps, starting at the lowest tolerance (the default is 1) and increasing through each tolerance level until it reaches the maximum (the default is 10). Saving the database before you merge allows you to "undo" the automatic merge operation if it provides undesirable results.

To automatically merge all gaps at the lowest possible tolerance:

Command(s): | GAPMERGE
GUI: | Main Menu> Preprocessor> Modeling> Topo Repair> Mrg Model Gaps> Iterative

Using the Manual Merging Function

If you wish to use the manual merging function, use the lowest possible tolerance setting to merge gaps. Using an unnecessarily high tolerance value can result in distorted surfaces. Saving the database before each merge allows you to “undo” the merge if it provides distorted results. Before merging, make sure you set the tolerance through the GAPOPT command (Main Menu> Preprocessor> Modeling> Topo Repair> Preferences).

To merge gaps at set tolerance value:

Command(s): | GAPMERGE
GUI: | Main Menu> Preprocessor> Modeling> Topo Repair> Mrg Model Gaps> By Tolerance

What If I Can't Merge All of the Gaps?

It is possible that you will not be able to merge all of the gaps in your model. If this occurs, you will need to repair the remaining gaps with the modeling tools after you exit from the topology repair tools.

Exiting From Topology Repair

When you have merged all of the gaps that you wish to repair (or find that some gaps can't be merged at this stage), you can exit from topology repair. After exiting, you cannot return to the Topo Repair menu or issue the GAPMERGE command unless you either import the model again through the FACETED IGES translator or resume the model from a previously saved version.

To exit from topology repair:

Command(s): | GAPFINISH
GUI: | Main Menu> Preprocessor> Modeling> Topo Repair> Finish

6.1.2.4.2. Repairing Incomplete Entities

ANSYS provides a large suite of tools that you can use to repair the geometry of imported models. Use the geometry repair tools to fill large gaps (too large or ambiguous to automatically merge). To do this, you may need to create lines to complete continuous boundaries and then create areas within those boundaries. You can also detach unnecessary lines and areas from neighboring entities. You will need to use these tools if the topology repair merge operation can't complete all of the boundaries.

The general procedure you'll follow to complete a volume is

  1. Find the holes or incomplete boundaries (gaps) in the model

  2. Approximate missing geometric entities.

  3. Create volumes using the completed areas.

6.1.2.4.2.1. Find Incomplete Boundaries

Use the following methods to locate incomplete boundaries.

To list open boundaries:

Command(s): | GAPLIST
GUI: | Main Menu> Preprocessor> Modeling> Geom Repair> Lst Model Gaps> Open edges

To list all closed boundaries:

Command(s): | GAPLIST
GUI: | Main Menu> Preprocessor> Modeling> Geom Repair> Lst Model Gaps> Closed edges

To plot all open boundaries (open edges plot in red):

Command(s): | GAPPLOT
GUI: | Main Menu> Preprocessor> Modeling> Geom Repair> Plt Model Gaps> Open Edges

To plot all closed boundaries (closed edges plot in blue):

Command(s): | GAPPLOT
GUI: | Main Menu> Preprocessor> Modeling> Geom Repair> Plt Model Gaps> Closed Edges

To plot both all open edges (red) and all closed edges (blue):

Command(s): | GAPPLOT
GUI: | Main Menu> Preprocessor> Modeling> Geom Repair> Plt Model Gaps> Opn & Closed

6.1.2.4.2.2. Completing Boundaries

After locating the incomplete boundaries, you can create lines or finish loops to create boundaries by creating lines between existing keypoints. You cannot create keypoints in space.

To create a line between two keypoints:

Command(s): | LNFILL
GUI: | Main Menu> Preprocessor> Modeling> Geom Repair> Fill Lines

Figure 6.14 An Open Boundary

Figure 6.14: "An Open Boundary" shows a simple open boundary that can be closed by using the LNFILL command and selecting the two designated keypoints.

6.1.2.4.2.3. Completing Areas

When you have completed a boundary, you can generate the minimum area for that boundary. You do not need to pick a complete set of continuous lines to define the boundary; ANSYS will automatically find the continuous lines if they exist. The command will fail if any of the lines in the boundary are attached to more than one area. This command will also fail if applied to multiply-connected areas (areas with internal loops).

To create an area from a set of lines:

Command(s): | ARFILL
GUI: | Main Menu> Preprocessor> Modeling> Geom Repair> Fill Areas

6.1.2.4.2.4. Detaching Non-manifold Entities

Non-manifold lines are lines attached to an area that serve no purpose and, if allowed to remain, would cause problems when creating volumes.

Figure 6.15 A Non-Manifold Line Attached to an Area

To detach a non-manifold line from an area:

Command(s): | LNDETACH
GUI: | Main Menu> Preprocessor> Modeling> Geom Repair> Detach Lines

To delete a detached non-manifold line:

Command(s): | LDELE
GUI: | Main Menu> Preprocessor> Modeling> Delete> Lines Only

To delete a detached non-manifold line as well as all keypoints attached only to that line:

Command(s): | LDELE
GUI: | Main Menu> Preprocessor> Modeling> Delete> Lines and Below

Non-manifold areas are similar to non-manifold lines, and must be detached from their neighboring areas and then deleted.

Figure 6.16 A Non-Manifold Area

To detach a non-manifold area:

Command(s): | ARDETACH
GUI: | Main Menu> Preprocessor> Modeling> Geom Repair> Detach Areas

To delete a detached non-manifold area:

Command(s): | ADELE
GUI: | Main Menu> Preprocessor> Modeling> Delete> Areas Only

To delete a detached non-manifold area as well as all attached lines and keypoints (not shared with other areas):

Command(s): | ADELE
GUI: | Main Menu> Preprocessor> Modeling> Delete> Areas and Below

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 6. Importing Solid Models from IGES Files 		Up / Home Next
Chapter 7. Generating the Mesh


Chapter 7. Generating the Mesh

The process for generating a mesh of nodes and elements consists of three general steps:

  1. Set the element attributes.

  2. Set mesh controls (optional). ANSYS offers a large number of mesh controls from which you can choose as needs dictate.

  3. Meshing the model.

It is not always always necessary to set mesh controls because the default mesh controls are appropriate for many models. If no controls are specified, the program will use the default settings (DESIZE) to produce a free mesh. Alternatively, you can use the SmartSize feature to produce a better quality free mesh.

The following mesh-generation topics are available:

  • Free or Mapped Mesh
  • Setting Element Attributes
  • Mesh Controls
  • Controls Used for Free and Mapped Meshing
  • Meshing Your Solid Model
  • Changing the Mesh
  • Meshing Hints
  • Using CPCYC and MSHCOPY Commands

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.1. Working With IGES Files 		Up / Home Next
7.1. Free or Mapped Mesh


7.1. Free or Mapped Mesh

Before meshing the model, and even before building the model, it is important to think about whether a free mesh or a mapped mesh is appropriate for the analysis. A free mesh has no restrictions in terms of element shapes, and has no specified pattern applied to it. A mapped mesh is restricted in terms of the element shape it contains and the pattern of the mesh. A mapped area mesh contains either only quadrilateral or only triangular elements, while a mapped volume mesh contains only hexahedron elements. In addition, a mapped mesh typically has a regular pattern, with obvious rows of elements. If you want this type of mesh, you must build the geometry as a series of fairly regular volumes and/or areas that can accept a mapped mesh.

Figure 7.1 Free and Mapped Meshes

You use the MSHKEY command or the equivalent GUI path (both of which are described later) to choose a free or a mapped mesh.

Keep in mind that the mesh controls you use will vary depending on whether a free or mapped mesh is desired. The details of free and mapped meshing will be explained later.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 7. Generating the Mesh 		Up / Home Next
7.2. Setting Element Attributes


7.2. Setting Element Attributes

Before you generate a mesh of nodes and elements, you must first define the appropriate element attributes. That is, you must specify the following:

  • Element type (for example, BEAM3, SHELL61, etc.)

  • Real constant set (usually comprising the element's geometric properties, such as thickness or cross-sectional area)

  • Material properties set (such as Young's modulus, thermal conductivity, etc.)

  • Element coordinate system

  • Section ID (for BEAM44, BEAM188, and BEAM189 elements only see Generating a Beam Mesh With Orientation Nodes)

Note

For beam meshing only, you may also specify orientation keypoints as attributes of a line. Generating a Beam Mesh With Orientation Nodes describes beam meshing in detail.

7.2.1. Creating Tables of Element Attributes

To assign attributes to your elements, you must first build tables of element attributes. Typical models include element types (ET command or menu path Main Menu> Preprocessor> Element Type> Add/Edit/Delete), real constants (R command or menu path Main Menu> Preprocessor> Real Constants), and material properties (MP and TB family of commands, menu path Main Menu> Preprocessor> Material Props> material option).

A table of coordinate systems can also be assembled using commands such as LOCAL, CLOCAL, etc. (Utility Menu> WorkPlane> Local Coordinate Systems> Create Local CS> option). This table can be used to assign element coordinate systems to elements. (Not all element types can be assigned a coordinate system in this manner. See Element Coordinate Systems of this manual for information about element coordinate systems. For element descriptions, see the Elements Reference.)

For beam meshing with BEAM44, BEAM188, or BEAM189 elements, you can build a table of sections using the SECTYPE and SECDATA commands (Main Menu> Preprocessor> Sections).

Note

Orientation keypoints are attributes of a line; they are not element attributes. You cannot create tables of orientation keypoints. See Assigning Element Attributes Before Meshing for more information.

The element attribute tables described above can be visualized as shown in Figure 7.2: "Element Attribute Tables". (For more information on creating your element attribute tables, see "Getting Started with ANSYS" in the Basic Analysis Guide.)

Figure 7.2 Element Attribute Tables

You can review the contents of the element type, real constant, and material tables by issuing the ETLIST (TYPE table), RLIST (REAL table), or MPLIST (MAT table) commands (or by choosing the equivalent menu path Utility Menu> List> Properties> property type). You can review the coordinate system table by issuing CSLIST (Utility Menu> List> Other> Local Coord Sys). You can review the section table by issuing SLIST (Main Menu> Preprocessor> Sections> List Sections).

7.2.2. Assigning Element Attributes Before Meshing

Once the attribute tables are assembled, you can assign element attributes to different parts of your model by "pointing" to the appropriate entries in the tables. The pointers are simply a set of reference numbers that include a material number (MAT), a real constant set number (REAL), an element type number (TYPE), a coordinate system number (ESYS) and, for beam meshing with BEAM44, BEAM188, or BEAM189, a section ID number (SECNUM). You can either assign the attributes directly to selected solid model entities, or define a default set of attributes that will be used for elements created in subsequent meshing operations.

Note

As stated earlier, although you can assign orientation keypoints as attributes of a line for beam meshing, you cannot build tables of orientation keypoints. Therefore, to assign orientation keypoints as attributes, you must assign them directly to selected lines; you cannot define a default set of orientation keypoints to be used in subsequent meshing operations. See Generating a Beam Mesh With Orientation Nodes for details about assigning orientation keypoints.

7.2.2.1. Assigning Attributes Directly to the Solid Model Entities

Assigning the element attributes to the solid model entities allows you to preassign attributes for each region of your model. By using this method, you can avoid having to reset attributes in the middle of meshing operations. (Clearing a solid model entity of its nodes and elements will not delete attributes assigned directly to the entity.)

Use the commands and GUI paths listed below to assign attributes directly to solid model entities.

  • To assign attributes to keypoints:

    Command(s): KATT
    GUI: Main Menu> Preprocessor> Meshing> Mesh Attributes> All Keypoints
    Main Menu> Preprocessor> Meshing> Mesh Attributes> Picked KPs

  • To assign attributes to lines:

    Command(s): LATT
    GUI: Main Menu> Preprocessor> Meshing> Mesh Attributes> All Lines
    Main Menu> Preprocessor> Meshing> Mesh Attributes> Picked Lines

  • To assign attributes to areas:

    Command(s): AATT
    GUI: Main Menu> Preprocessor> Meshing> Mesh Attributes> All Areas
    Main Menu> Preprocessor> Meshing> Mesh Attributes> Picked Areas

  • To assign attributes to volumes:

    Command(s): VATT
    GUI: Main Menu> Preprocessor> Meshing> Mesh Attributes> All Volumes
    Main Menu> Preprocessor> Meshing> Mesh Attributes> Picked Volumes

7.2.2.2. Assigning Default Attributes

You can assign a set of default attributes by simply pointing to various entries in the attribute tables. The pointers that are in effect at the time you create your elements (that is, when you initiate meshing) are used by the program to assign attributes from the tables to the solid model and to the elements. Attributes assigned directly to the solid model entities (as described above) will override the default attributes. Also, if you clear a solid model entity of its nodes and elements, any attributes that were assigned through default attributes will be deleted.

To assign a set of default attributes:

Command(s): | TYPE, REAL, MAT, ESYS, SECNUM
GUI: | Main Menu> Preprocessor> Meshing> Mesh Attributes> Default Attribs Main Menu> Preprocessor> Modeling> Create> Elements> Elem Attributes

7.2.2.3. Automatic Selection of the Dimensionally Correct Element Type

In certain cases, the ANSYS program can choose the correct element type for a meshing or extrusion operation, eliminating the need for you to manually switch between element types when the correct choice is obvious.

Specifically, if you fail to assign an element type directly to a solid model entity [xATT] and the default element type [TYPE] is not dimensionally correct for the operation that you want to perform, but there is only one dimensionally correct element type in the currently defined element attribute tables, ANSYS will automatically use that element type to proceed with the operation.

The meshing and extrusion operations affected by this feature are KMESH, LMESH, AMESH, VMESH, FVMESH, VOFFST, VEXT, VDRAG, VROTAT, and VSWEEP.

7.2.2.4. Defining a Variable Thickness at Nodes

You can define a thickness at nodes for shell elements.

To define the variable thickness, use either of these methods:

Command(s): | RTHICK
GUI: | Main Menu> Preprocessor> Real Constants> Thickness Func

Shell elements are capable of modeling complex distributions of thickness. SHELL63, for example, permits different thicknesses to be assigned at each of its four corner nodes. Each individual element assumes a smooth variation between the given corner values.

Defining a complicated thickness variation on a group of elements can be a challenge. In the worst case, every element needs its own unique set of real constant thicknesses. For some of these situations, using RTHICK can simplify the model definition.

This procedure is illustrated by the sample input listing and figure that appears below, which show the creation of a 10 x 10 rectangle filled with 0.5 x 0.5 square SHELL63 elements.

/TITLE, RTHICK Example
/PREP7
ET,1,63
RECT,,10,,10
ESHAPE,2
ESIZE,,20
AMESH,1
EPLO

Figure 7.3 Original Elements

The thickness should vary according to the formula: thickness = 0.5 + 0.2x + 0.02y2.

To accomplish this variation, you can create an array parameter that maps thickness to node number. (In other words, the Nth member of the array is the desired thickness at node N.)

*GET,MXNODE,NODE,,NUM,MAXD
*DIM,THICK,,MXNODE
*DO,NODE,1,MXNODE
   *IF,NSEL(NODE),EQ,1,THEN
      THICK(node) = 0.5 + 0.2*NX(NODE) + 0.02*NY(NODE)**2
   *ENDIF
*ENDDO
NODE = $ MXNODE =

Finally, assign the thickness in the array parameter to the elements using the RTHICK function.

RTHICK,THICK(1),1,2,3,4
/ESHAPE,1.0  $ /USER,1  $ /DIST,1,7
/VIEW,1,-0.75,-0.28,0.6  $ /ANG,1,-1
/FOC,1,5.3,5.3,0.27  $ EPLO

Figure 7.4 Shell Elements with Thickness Shown

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.1. Free or Mapped Mesh 		Up / Home Next
7.3. Mesh Controls


7.3. Mesh Controls

The default mesh controls that the ANSYS program uses may produce a mesh that is adequate for the model you are analyzing. In this case, you will not need to specify any mesh controls. However, if you do use mesh controls, you must set them before meshing your solid model.

Mesh controls allow you to establish such factors as the element shape, midside node placement, and element size to be used in meshing the solid model. This step is one of the most important of your entire analysis, for the decisions you make at this stage in your model development will profoundly affect the accuracy and economy of your analysis. (See "Planning Your Approach" of this manual for more detailed discussions of some of the factors you should consider as you set mesh controls.)

7.3.1. The ANSYS MeshTool

The ANSYS MeshTool (Main Menu> Preprocessor> Meshing> MeshTool) provides a convenient path to many of the most common mesh controls, as well as to the most frequently performed meshing operations. The MeshTool is an interactive "tool box," not only because of the numerous functions (or tools) that it contains, but also because once you open it, it remains open until you either close it or you exit PREP7.

Although all of the functions available via the MeshTool are also available via the traditional ANSYS commands and menus, using the MeshTool is a valuable shortcut.

The many functions available via the MeshTool include:

  • Controlling SmartSizing levels

  • Setting element size controls

  • Specifying element shape

  • Specifying meshing type (free or mapped)

  • Meshing solid model entities

  • Clearing meshes

  • Refining meshes

This guide covers all of these functions in detail. For details about the MeshTool, access it using the path listed above and click on its Help button.

7.3.2. Element Shape

At a minimum, you should set the allowable element shapes if you plan on meshing with an element type that can take on more than one shape. For instance, many area elements can be both triangular and quadrilateral shaped within the same meshed area. Volume elements can often be either hexahedral (brick) or tetrahedral shaped, but a mixture of the two shapes in the same model is not recommended. (An exception to this involves the use of transitional pyramid elements, which is described in Creating Transitional Pyramid Elements of this manual.)

7.3.2.1. A Note About Degenerate Element Shapes

This chapter assumes that you are somewhat familiar with the concept of degenerate element shapes. For example, consider the PLANE82 element, which is a 2-D structural solid element having eight nodes (I, J, K, L, M, N, O, P). By default, PLANE82 has a quadrilateral shape. However, a triangular-shaped element can be formed by defining the same node number for nodes K, L, and O. Thus PLANE82 can be "degenerated" into a triangle. See Figure 7.5: "An Example of a Degenerate Element Shape" for an illustration of PLANE82 in both its default and degenerate forms.

Figure 7.5 An Example of a Degenerate Element Shape

Although it can be helpful for you to understand this concept, when specifying element shapes before meshing, you do not have to concern yourself with whether a shape is the default or degenerate shape of a particular element. Instead, you can think in more simpler terms of the desired element shape itself (quadrilateral, triangle, hexahedra, or tetrahedra).

For details about degenerate element shapes, see the Elements Reference.

7.3.2.2. Element Shape Specification

To specify element shapes, use either of these methods:

Command(s): | MSHAPE,KEY,Dimension
GUI: | Main Menu> Preprocessor> Meshing> MeshTool Main Menu> Preprocessor> Meshing> Mesher Opts Main Menu> Preprocessor> Meshing> Mesh> Volumes> Mapped> 4 to 6 sided

There are two factors to consider when specifying element shape: the desired element shape and the dimension of the model to be meshed.

7.3.2.2.1. Command Method

If you are using the MSHAPE command, the value of the Dimension argument (2-D or 3-D) indicates the dimension of the model to be meshed. The value of the KEY argument (0 or 1) indicates the element shape to be used in the mesh:

  • When KEY = 0, ANSYS meshes with quadrilateral-shaped elements if Dimension = 2-D and with hexahedral-shaped elements if Dimension = 3-D (as long as the element type supports quadrilateral or hexahedral element shapes, respectively).

  • When KEY = 1, ANSYS meshes with triangle-shaped elements if Dimension = 2-D and with tetrahedral-shaped elements if Dimension = 3-D (as long as the element type supports triangle or tetrahedral element shapes, respectively).

7.3.2.2.2. GUI Method (Via the MeshTool)

For increased productivity, the MeshTool (described earlier in this chapter) is the recommended method for specifying element shape. You access the MeshTool via the following GUI path: Main Menu> Preprocessor> Meshing> MeshTool. Using the MeshTool, you simply click on the desired element shape that you want ANSYS to use to mesh the model. From the MeshTool, you can also click on the type of meshing (free or mapped) that you want ANSYS to use. (For more information, see Choosing Free or Mapped Meshing, "Choosing Free or Mapped Meshing.") Using the MeshTool makes selecting the shape simple, because it presents only those shapes that are compatible with the type of meshing that you are requesting, as well as with the dimension of the model you are meshing. (See Table 7.1: "Supported Combinations of Element Shape and Meshing Type" for the combinations of element shapes and meshing types that ANSYS supports.)

Note

Since element shape specification is closely related to the type of meshing that you request (free or mapped), it may help you to read Choosing Free or Mapped Meshing of this manual ("Choosing Free or Mapped Meshing") before specifying element shape.

In some cases, the MSHAPE command and the appropriate meshing command (AMESH, VMESH, or the equivalent menu path Main Menu> Preprocessor> Meshing> Mesh> meshing option) are all that you will need to mesh your model. The size of each element will be determined by default element size specifications [SMRTSIZE or DESIZE]. For instance, the model below in Figure 7.6: "Default Element Sizes" (left) can be meshed with one VMESH command to produce the mesh shown on the right:

Figure 7.6 Default Element Sizes

The element sizes that the program chose for the above model may or may not be adequate for the analysis, depending on the physics of the structure. One way to change the mesh would be to change the default SmartSize level [SMRTSIZE] and remesh. For details, see Smart Element Sizing for Free Meshing of this manual.

7.3.3. Choosing Free or Mapped Meshing

In addition to specifying element shape, you may also want to specify the type of meshing (free or mapped) that should be used to mesh your model. You do this by setting the meshing key:

Command(s): | MSHKEY
GUI: | Main Menu> Preprocessor> Meshing> MeshTool Main Menu> Preprocessor> Meshing> Mesher Opts

As described in Element Shape Specification you can use the MeshTool (Main Menu> Preprocessor> Meshing> MeshTool) to specify meshing type. The MeshTool is the recommended method. Refer to Element Shape Specification for related information.

Together, the settings for element shape [MSHAPE] and meshing type [MSHKEY] affect the resulting mesh. Table 7.1: "Supported Combinations of Element Shape and Meshing Type" shows the combinations of element shape and meshing type that the ANSYS program supports.

Table 7.1 Supported Combinations of Element Shape and Meshing Type

Element Shape | Free Meshing | Mapped Meshing | Mapped If Possible; Otherwise Free Mesh With SmartSizing On
Quadrilateral | Yes | Yes | Yes
Triangle | Yes | Yes | Yes
Hexahedral | No | Yes | No
Tetrahedral | Yes | No | No

Table 7.2: "Failure to Specify Element Shape and/or Meshing Type" explains what happens when you fail to specify values for these settings.

Table 7.2 Failure to Specify Element Shape and/or Meshing Type

Your Action ... | How it Affects the Mesh ...
You issue the MSHAPE command with no arguments. | ANSYS uses quadrilateral-shaped or hexahedral-shaped elements to mesh the model, depending on whether you are meshing an area or a volume.
You do not specify an element shape, but you do specify the type of meshing to be used. | ANSYS uses the default shape of the element to mesh the model. It uses the type of meshing that you specified.
You specify neither an element shape nor the type of meshing to be used. | ANSYS uses the default shape of the element to mesh the model. It uses whichever type of meshing is the default for that shape.

See the descriptions of the MSHAPE and MSHKEY commands in the Commands Reference for more information.

7.3.4. Controlling Placement of Midside Nodes

When meshing with quadratic elements, you can control the placement of midside nodes. Your choices for midside node placement are:

  • Midside nodes (if any) of elements on a region boundary follow the curvature of the boundary line or area. This is the default.

  • Place midside nodes of all elements so that element edges are straight. This option allows a coarse mesh along curves. However, the curvature of the model is not matched.

  • Do not create midside nodes (elements have removed midside nodes).

To control midside node placement:

Command(s): | MSHMID
GUI: | Main Menu> Preprocessor> Meshing> Mesher Opts

7.3.5. Smart Element Sizing for Free Meshing

Smart element sizing (SmartSizing) is a meshing feature that creates initial element sizes for free meshing operations. SmartSizing gives the mesher a better chance of creating reasonably shaped elements during automatic mesh generation. This feature, which is controlled by the SMRTSIZE command, provides a range of settings (from coarse to fine mesh) for meshing both h-Method and p-Method models.

By default, the DESIZE method of element sizing will be used during free meshing (see Default Element Sizes for Mapped Meshing). However, it is recommended that SmartSizing be used instead for free meshing. To turn SmartSizing on, simply specify an element size level on the SMRTSIZE command (see the discussion on basic controls below).

Note

If you use SmartSizing on a model that contains only an area, ANSYS uses the area to calculate the guiding element size that it should use to mesh the model. On the other hand, if you use SmartSizing on a model that contains both an area and a volume, ANSYS uses the volume to calculate the guiding element size for the model. Even if the area in the first model (area only) and the area in the second model (area and volume) are exactly the same, and the SmartSizing setting is the same, the elements that ANSYS uses to mesh the first model will usually not be as coarse as the elements that it uses to mesh the second model. ANSYS does this to prevent volumes from being meshed with too many elements. (However, if you have specified a global element size [ESIZE], the size of the elements will be the same for both models, because ANSYS will use the size that you specified as the guiding element size.)

Note

When you use SmartSizing, we recommend that in most cases you specify the desired SmartSizing settings [SMRTSIZE] and then mesh the entire model at once [AMESH,ALL or VMESH,ALL], rather than SmartSizing area by area or volume by volume. This gives SmartSizing the opportunity to reduce element sizes near small features in adjacent regions. However, you should not try to SmartSize in a single operation areas or volumes that just touch (rather than sharing common keypoints, lines, or areas), such as might exist in a model prepared for contact analysis. The near zero proximity can cause SmartSizing to compute very small element sizes and produce an unreasonably fine mesh, with a huge number of nodes and elements. You should mesh each contiguous piece of such a model as a separate group of areas or volumes.

7.3.5.1. The Advantages of SmartSizing

The SmartSizing algorithm first computes estimated element edge lengths for all lines in the areas or volumes being meshed. The edge lengths on these lines are then refined for curvature and proximity of features in the geometry. Since all lines and areas are sized before meshing begins, the quality of the generated mesh is not dependent on the order in which the areas or volumes are meshed. (Remember that for best results, all areas or volumes should be meshed at the same time.)

If quadrilateral elements are being used for area meshing, SmartSizing tries to set an even number of line divisions around each area so that an all-quadrilateral mesh is possible. Triangles will be included in the mesh only if forcing all quadrilaterals would create poorly shaped elements, or if odd divisions exist on boundaries.

7.3.5.2. SmartSizing Controls - Basic versus Advanced

There are two categories of SmartSizing controls: basic and advanced.

7.3.5.2.1. Basic Controls

To use the basic controls, you simply specify a mesh size level from 1 (fine mesh) to 10 (coarse mesh). The program automatically sets a series of individual control values that are used to produce the requested size level. To specify the size level, use one of the following methods:

Command(s): | SMRTSIZE,SIZLVL
GUI: | Main Menu> Preprocessor> Meshing> MeshTool Main Menu> Preprocessor> Meshing> Size Cntrls> SmartSize> Basic

Figure 7.7: "Varying SmartSize Levels for the Same Model" shows a model meshed with several different SmartSize settings, including the default size level of 6.

Figure 7.7 Varying SmartSize Levels for the Same Model

7.3.5.2.2. Advanced Controls

You may prefer to use the advanced method, which involves setting the individual control quantities manually. This allows you to "tweak" the mesh to better fit your needs. You can change such things as the small hole and small angle coarsening keys, and the mesh expansion and transition factors (see the description of the SMRTSIZE command for a complete list of advanced controls). In addition, you can set a starting element size for SmartSizing with the ESIZE command.

Use one of the following methods to set advanced SmartSizing controls:

Command(s): | SMRTSIZE and ESIZE
GUI: | Main Menu> Preprocessor> Meshing> Size Cntrls> SmartSize> Adv Opts

7.3.5.3. Interaction with Other Mesh Controls

Local element sizing controls (discussed later in Local Mesh Controls) can be used in conjunction with SmartSizing. However, if conflicting element sizes are set, the SmartSizing algorithm will handle them as follows:

  • Any element size specifications at areas (AESIZE command or menu path Main Menu> Preprocessor> Meshing> Size Cntrls> Areas> option) will be considered, but may be overridden to accommodate curvature and proximity of features.

  • Any element size specifications on lines (LESIZE command or menu path Main Menu> Preprocessor> Meshing> Size Cntrls> Lines> option) will be optionally used as defined. (The KYNDIV argument on LESIZE allows you to assign specifications that can be overwritten where needed.)

  • Any element size specifications at keypoints (KESIZE command or menu path Main Menu> Preprocessor> Meshing> Size Cntrls> Keypoints> option) will be considered, but may be overridden to accommodate curvature and proximity of features.

  • If a global element size is set (ESIZE command or menu path Main Menu> Preprocessor> Meshing> Size Cntrls> Global> Size), it will be overridden as necessary to accommodate curvature and proximity of features. If a consistent element size is desired, set the global element size and turn SmartSizing off (SMRTSIZE,OFF or menu path Main Menu> Preprocessor> Meshing> Size Cntrls> SmartSize> Basic).

  • Default element sizes specified with the DESIZE command (Main Menu> Preprocessor> Meshing> Size Cntrls> Global> Other) are ignored when SmartSizing is on.

7.3.6. Default Element Sizes for Mapped Meshing

The DESIZE command allows you to modify such defaults as: the minimum and maximum number of elements that will be attached to an unmeshed line, maximum spanned angle per element, and minimum and maximum edge length. The DESIZE command (Main Menu> Preprocessor> Meshing> Size Cntrls> Global> Other) is always used to control element sizing for mapped meshing. DESIZE settings are also used by default for free meshing. However, it is recommended that you use SmartSizing [SMRTSIZE] instead for free meshing operations.

As an example, the mapped mesh on the left in Figure 7.8: "Changing Default Element Sizes" was produced with the element size defaults that exist when you enter the program. The mesh on the right was produced by modifying the minimum number of elements (MINL) and the maximum spanned angle per element (ANGL) on the DESIZE command.

Figure 7.8 Changing Default Element Sizes

For larger models, it may be wise to preview the default mesh that will result from the DESIZE specifications. This can be done by viewing the line divisions in a line display. The steps for previewing a default mesh are as follows:

  1. Build solid model.

  2. Select element type.

  3. Select allowable element shapes [MSHAPE].

  4. Select mesher (free or mapped) for meshing [MSHKEY].

  5. Issue LESIZE,ALL (this adjusts line divisions based on DESIZE specifications).

  6. Request a line plot [LPLOT].

For instance:

·
·
·
ET,1,45 		! 8-node hexahedral-shaped element
MSHAPE,0 		! Use hexahedra
MSHKEY,1		! Use mapped meshing
LESIZE,ALL 	! Adjust line divisions based on DESIZE
LPLOT

Figure 7.9 Previewing the Default Mesh

If the resulting mesh looks as though it will be too coarse, it can be changed by altering the element size defaults:

·
·
·
DESIZE,5,,30,15 	! Change default element sizes
LESIZE,ALL,,,,,1 	! Adjust line divisions based on DESIZE, force adjustments
LPLOT

Figure 7.10 Previewing the Modified Mesh

7.3.7. Local Mesh Controls

In many cases, the mesh produced by default element sizes is not appropriate due to the physics of the structure. Examples include models with stress concentrations or singularities. In these cases, you will have to get more involved with the meshing process. You can take more control by using the following element size specifications:

  • To control the global element size in terms of the element edge length used on surface boundaries (lines) or the number of element divisions per line:

    Command(s): ESIZE
    GUI: Main Menu> Preprocessor> Meshing> Size Cntrls> Global> Size

  • To control the element sizes near specified keypoints:

    Command(s): KESIZE
    GUI: Main Menu> Preprocessor> Meshing> Size Cntrls> Keypoints> All KPs
    Main Menu> Preprocessor> Meshing> Size Cntrls> Keypoints> Picked KPs
    Main Menu> Preprocessor> Meshing> Size Cntrls> Keypoints> Clr Size

  • To control the number of elements on specified lines:

    Command(s): LESIZE
    GUI: Main Menu> Preprocessor> Meshing> Size Cntrls> Lines> All Lines
    Main Menu> Preprocessor> Meshing> Size Cntrls> Lines> Picked Lines
    Main Menu> Preprocessor> Meshing> Size Cntrls> Lines> Clr Size

Note

When you use the GUI method to set the number of elements on specified lines, and any of those lines is connected to one or more meshed lines, areas, or volumes, ANSYS prompts you to determine whether you want to clear the meshed entities. If you answer yes to the prompt, ANSYS clears the meshed entities. (This occurs only when you perform this operation via the GUI; ANSYS does not prompt you when you use the command method [LESIZE].)

All of the size specifications described above can be used together. If conflicting element sizes are set using more than one of the above commands, a specific hierarchy is observed. The hierarchy will vary slightly, depending on whether the DESIZE or SMRTSIZE method of default element sizing is used.

  • Hierarchy used for DESIZE element sizing. For any given line, element sizes along the line are established as follows:

    • Line divisions specified with LESIZE are always honored.

    • If line divisions have not been set for the line, KESIZE specifications at its keypoints (if any) are used.

    • If there are no size specifications on the line or on its keypoints, element sizes are established by the ESIZE specification.

    • If none of the above size specifications are set, DESIZE settings will control element sizes for the line.

  • Hierarchy used for SMRTSIZE element sizing. For any given line, element sizes along the line are established as follows:

    • Line divisions specified with LESIZE are always honored.

    • If line divisions have not been set for the line, KESIZE specifications at its keypoints (if any) are used, but may be overridden to account for curvature and small geometric features.

    • If there are no size specifications on the line or on its keypoints, ESIZE specification will be used as a starting element size, but may be overridden to account for curvature and small geometric features.

    • If none of the above size specifications are set, SMRTSIZE settings will control element sizes for the line.

Note

Line divisions that have been established by KESIZE or ESIZE and a meshing operation will show up as negative numbers in a line listing [LLIST], while line divisions that you set via LESIZE show up as positive numbers. The signs of these numbers affect how ANSYS treats the line divisions if you clear the mesh later (ACLEAR, VCLEAR, etc., or menu path Main Menu> Preprocessor> Meshing> Clear> entity). If the number of line divisions is positive, ANSYS does not remove the line divisions during the clearing operation; if the number is negative, ANSYS removes the line divisions (which will then show up as zeros in a subsequent line listing).

If you are performing a linear static structural or linear steady-state thermal analysis, you can let the program establish meshing controls automatically as it adapts element sizes to drive the estimated error in the analysis below a target value. This procedure, known as adaptive meshing, is described in "Adaptive Meshing" in the Advanced Analysis Techniques Guide.

7.3.8. Interior Mesh Controls

The discussion on meshing specifications has focused thus far on the setting of element sizes on the boundaries of the solid model (LESIZE, ESIZE, etc.). However, you can also control the mesh on the interior of an area where there are no lines to guide the size of the mesh. To do so, use one of the following methods:

Command(s): | MOPT
GUI: | Main Menu> Preprocessor> Meshing> Size Cntrls> Global> Area Cntrls

7.3.8.1. Controlling Mesh Expansion

The Lab = EXPND option on the MOPT command can be used to guide the mesh from a fine mesh on the boundary of an area to a coarse mesh on the interior (see Figure 7.11: "Area Mesh Without and With Mesh Expansion").

Figure 7.11 Area Mesh Without and With Mesh Expansion

In Figure 7.11: "Area Mesh Without and With Mesh Expansion", mesh (a) was created based only on the setting of the ESIZE command (Main Menu> Preprocessor> Meshing> Size Cntrls> Global> Size). Notice that the elements are well shaped, but that 698 elements are required to fill the area since the elements are uniformly sized. (The model is made of a single area.) Using the expand option (Lab = EXPND) on the MOPT command, mesh (b) was created with far fewer elements because the mesh is allowed to expand from the small element sizes on the boundaries of the area to much larger elements in the interior. Some of the elements of this mesh, however, have poor aspect ratios (for example, those around the small holes). Another weakness of mesh (b) is that the elements change in size (transition) from the small elements to the larger elements, especially near the small holes.

Note

Although this discussion is limited to area mesh expansion [Lab = EXPND], you can also use the MOPT command to control tetrahedra mesh expansion [Lab = TETEXPND]. See the description of the MOPT command in the Commands Reference for more information.

7.3.8.2. Controlling Mesh Transitioning

To improve mesh (b) above, a more gradual transition from small elements on the boundaries to large elements on the interior is needed. The Lab = TRANS option on the MOPT command can be used to control the rate of transitioning from fine to coarse elements. Figure 7.12: "Area Mesh With Expansion and Transition Control (MOPT Command)" shows the same area meshed with MOPT,TRANS,1.3 used in addition to the MOPT setting which produced the previous mesh. This mesh has far fewer elements than mesh (a) of Figure 7.11: "Area Mesh Without and With Mesh Expansion", yet the transition from small elements to larger elements is fairly smooth. Also, the element aspect ratios are significantly better than the elements in mesh (b) of Figure 7.11: "Area Mesh Without and With Mesh Expansion".

Figure 7.12 Area Mesh With Expansion and Transition Control (MOPT Command)

7.3.8.3. Controlling Which Mesher ANSYS Uses

You can also use the MOPT command to control which surface meshers (triangle and quadrilateral) and which tetrahedra mesher ANSYS uses to perform a meshing operation [AMESH, VMESH]. The MOPT command also allows you to set the order of meshing so smaller areas are meshed first (MOPT,AORDER,ON). For large or complex volumes (including those imported from CAD packages) where SMRTSIZE proves inefficient, MOPT,AORDER,ON can be used instead.

Note

Quadrilateral surface meshes will differ based on which triangle surface mesher is selected. This is true because all free quadrilateral meshing algorithms use a triangle mesh as a starting point.

Command(s): | MOPT
GUI: | Main Menu> Preprocessor> Meshing> Mesher Opts

Note

The menu path provided above takes you to the Mesher Options dialog box. References to the Mesher Options dialog box appear throughout this section.

7.3.8.3.1. Surface Meshing Options

If you need to mesh multiple volumes, you should consider using the AORDER meshing option in the Mesher Opts dialog box (or issuing the MOPT,AORDER,ON command) so your mesh is created in the smallest area first. This helps ensure that your mesh is adequately dense in smaller areas and that the mesh is of a higher quality.

The following options for triangle surface meshing are available:

  • Let ANSYS choose which triangle surface mesher to use. This is the recommended setting and the default. In most cases, ANSYS will choose the main triangle mesher, which is the Riemann space mesher. If the chosen mesher fails for any reason, ANSYS invokes the alternate mesher and retries the meshing operation.

    To choose this option, issue the command MOPT,AMESH,DEFAULT. In the GUI, access the Mesher Options dialog box and choose Program Chooses in the Triangle Mesher option menu.

  • Main triangle surface mesher (Riemann space mesher). ANSYS uses the main mesher, and it does not invoke an alternate mesher if the main mesher fails. The Riemann space mesher is well suited for most surfaces.

    To choose this option, issue the command MOPT,AMESH,MAIN. In the GUI, access the Mesher Options dialog box and choose Main from the Triangle Mesher option menu.

  • First alternate triangle surface mesher (3-D tri mesher). ANSYS uses the first alternate triangle mesher, and it does not invoke another mesher if this mesher fails. This option is not recommended due to speed considerations. However, for surfaces with degeneracies in parametric space, this mesher often provides the best results. We also recommend that you use this mesher when meshing highly anisotropic regions.

    To choose this option, issue the command MOPT,AMESH,ALTERNATE. In the GUI, access the Mesher Options dialog box and choose Alternate from the Triangle Mesher option menu.

  • Second alternate triangle surface mesher (2-D parametric space mesher). ANSYS uses the second alternate triangle mesher, and it does not invoke another mesher if this mesher fails. This option is not recommended for use on surfaces with degeneracies (spheres, cones, and so on) or on poorly parameterized surfaces because poor meshes may be created.

    To choose this option, issue the command MOPT,AMESH,ALT2. In the GUI, access the Mesher Options dialog box and choose Alternate 2 from the Triangle Mesher option menu.

The options listed below are available for quadrilateral surface meshing. Keep in mind that quadrilateral surface meshes will differ based on which triangle surface mesher is selected. This is true because all free quadrilateral meshing algorithms use a triangle mesh as a starting point.

  • Let ANSYS choose which quadrilateral surface mesher to use. This is the recommended setting and the default. In most cases, ANSYS will choose the main quadrilateral mesher, which is the Q-Morph (quad-morphing) mesher. For very coarse meshes, ANSYS may choose the alternate quadrilateral mesher instead. If either mesher fails for any reason, ANSYS invokes the other mesher and retries the meshing operation.

    To choose this option, issue the command MOPT,QMESH,DEFAULT. In the GUI, access the Mesher Options dialog box and choose Program Chooses from the Quad Mesher option menu.

  • Main quadrilateral surface mesher (Q-Morph mesher). ANSYS uses the main mesher, and it does not invoke the alternate mesher if the main mesher fails.

    In most cases, the Q-Morph mesher results in higher quality elements (see Figure 7.13: "Quadrilateral and Q-Morph Mesher"). The Q-Morph mesher is particularly beneficial to users whose applications require boundary sensitive, highly regular nodes and elements.

Figure 7.13 Quadrilateral and Q-Morph Mesher

Mesh (a) shows a surface that was meshed with the alternate quadrilateral mesher; mesh (b) shows the same surface, this time meshed with the Q-Morph mesher.

Notice that although both meshes shown contain one triangle element (the triangle elements are shaded in the figure), the triangle element in Figure (a) occurs on the boundary of the area. The triangle element in Figure (b) is an internal element, which is a more desirable location for it in the mesh.

For the Q-Morph mesher to be able to generate an all-quadrilateral mesh of an area, the total number of line divisions on the boundaries of the area must be even. (In most cases, turning on SmartSizing [SMRTSIZE,SIZLVL] will result in an even total number of line divisions on the boundaries.)

A triangle element (or elements) will result in the area mesh if any of these statements is true:

  1. The total number of line divisions on the boundaries of the area is odd.

  2. Quadrilateral element splitting is turned on for error elements [MOPT,SPLIT,ON or MOPT,SPLIT,ERR] and a quadrilateral element in violation of shape error limits would be created if ANSYS did not split the element into triangles. (Splitting is on for error elements by default.)

  3. Quadrilateral splitting is turned on for both error and warning elements [MOPT,SPLIT,WARN], and a quadrilateral element in violation of shape error and warning limits would be created if ANSYS did not split the element into triangles.

  4. Quadrilateral element splitting is turned on for either a) error elements or b) error and warning elements, and the area contains a small angle (< 30°) between adjacent boundary intervals. See Figure 7.14: "Results of Quadrilateral Splitting".

To choose this option (Q-Morph mesher), issue the command MOPT,QMESH,MAIN. In the GUI, access the Mesher Options dialog box and choose Main from the Quad Mesher option menu.

Figure 7.14 Results of Quadrilateral Splitting

  • Alternate quadrilateral surface mesher. ANSYS uses the alternate mesher, and it does not invoke the main mesher if the alternate mesher fails.

    For this mesher to be able to generate an all-quadrilateral mesh of an area, the total number of line divisions on the boundaries of the area must be even, and quadrilateral splitting must be turned off [MOPT,SPLIT,OFF].

    To choose this option, issue the command MOPT,QMESH,ALTERNATE. In the GUI, access the Mesher Options dialog box and choose Alternate in the Quad Mesher option menu. To use this mesher, you must also select either the first alternate or the second alternate triangle surface mesher.

7.3.8.3.2. Tetrahedral Element Meshing Options

The following options for tetrahedral element meshing are available:

  • Let ANSYS choose which tetrahedra mesher to use. This is the default. With this setting, ANSYS uses the main tetrahedra mesher when it can; otherwise, it uses the alternate tetrahedra mesher. (ANSYS always uses the alternate tetrahedra mesher when meshing with p-elements.)

    To choose this option, issue the command MOPT,VMESH,DEFAULT. In the GUI, access the Mesher Options dialog box and choose Program Chooses in the Tet Mesher option menu.

  • Main tetrahedra mesher (Delaunay technique mesher). For most models, this mesher is significantly faster than the alternate mesher.

    To choose the main tetrahedra mesher, issue the command MOPT,VMESH,MAIN. In the GUI, access the Mesher Options dialog box and choose Main in the Tet Mesher option menu.

  • Alternate tetrahedra mesher (advancing front mesher from Revision 5.2). This mesher does not support the generation of a tetrahedral volume mesh from facets [FVMESH]. If this mesher is selected and you issue the FVMESH command, ANSYS uses the main tetrahedra mesher to create the mesh from facets and issues a warning message to notify you.

    To choose the alternate tetrahedra mesher, issue the command MOPT,VMESH,ALTERNATE. In the GUI, access the Mesher Options dialog box and choose Alternate in the Tet Mesher option menu.

7.3.8.4. Controlling Tetrahedral Element Improvement

You can use the MOPT command to control the level of tetrahedra improvement that ANSYS performs when the next free volume meshing operation is initiated [VMESH, FVMESH].

Command(s): | MOPT,TIMP,Value
GUI: | Main Menu> Preprocessor> Meshing> Mesher Opts

Levels for tetrahedra improvement range from 1 to 6, with level 1 offering only minimal improvement, level 5 offering the maximum amount of improvement for linear tetrahedral meshes, and level 6 offering the maximum amount of improvement for quadratic tetrahedral meshes. The minimal level of improvement [MOPT,TIMP,1] is supported by the main tetrahedra mesher only [MOPT,VMESH,MAIN]. If the alternate tetrahedra mesher [MOPT,VMESH,ALTERNATE] is invoked when improvement is set to level 1, ANSYS automatically performs tetrahedra improvement at level 3 instead. You can also turn tetrahedra improvement off, but doing so is not recommended because it often leads to poorly shaped elements and meshing failures. For more details about each improvement level, see the description of the MOPT command in the Commands Reference.

Note

In most cases, the default levels that ANSYS uses for tetrahedra improvement will give you satisfactory results. However, there may be times when you want to request additional improvement of a given tetrahedral element mesh by using the VIMP command. See Improving the Mesh (Tetrahedral Element Meshes Only) for details about how to request additional improvement and when doing so would benefit you.

7.3.9. Creating Transitional Pyramid Elements

While some regions of a volume may be easy to divide into map-meshable parts, other regions may be geometrically complex. You may use hexahedral elements to fill the map-meshable regions of a volume, and tetrahedral elements to fill the remainder. In some cases, high-gradient regions may require hexahedral elements to capture detail, while for other, less critical regions, tetrahedral elements may be sufficient.

Unfortunately, using a mix of hexahedral and tetrahedral element shapes leads to nonconformities in a mesh, and the finite element method requires that elements within a mesh conform. You can avoid the problems that may arise from this situation by following the guidelines outlined below. By instructing ANSYS to automatically create pyramid elements at their interface, you can easily maintain mathematical continuity between hexahedral and tetrahedral element types.

7.3.9.1. Situations in which ANSYS Can Create Transitional Pyramids

ANSYS can create transitional pyramid elements in any of these situations:

  • You are ready to mesh a volume with tetrahedral elements. The volume immediately adjacent to that volume has already been meshed with hexahedral elements. The two volumes have been glued together [VGLUE]. (Two volumes for which you want to create transitional pyramids must share a common area; the quadrilateral faces from the hexahedral elements must be located on that common area.)

  • At least one of the areas on a volume has been meshed with quadrilateral elements. In this situation you simply mesh the volume with tetrahedral elements, and ANSYS forms the pyramids directly from the quadrilateral elements. If you want, you can then mesh any adjacent volumes with hexahedral elements.

  • Where detached quadrilateral-shaped elements are used as input to the FVMESH command.

Figure 7.15: "Creation of Transitional Pyramid Elements at an Interface" illustrates the creation of transitional pyramids at the interface of tetrahedral and hexahedral elements. In this example, a simple block is divided by an arbitrary cutting plane. The cutting plane serves as the interface between two volumes - one in which tetrahedral elements were generated, and the other in which hexahedral elements were generated Figure (a). Figure (b) provides an exploded view of the transitional pyramids; the tetrahedral elements have been removed.

Figure 7.15 Creation of Transitional Pyramid Elements at an Interface

7.3.9.2. Prerequisites for Automatic Creation of Transitional Pyramid Elements

In order for transitional pyramid elements to be created when you mesh a volume with tetrahedral elements, you must meet these prerequisites:

  • When you set your element attributes, be sure that the element type you assign to the volume is one that can be degenerated into a pyramid shape; currently, this list includes SOLID62, VISCO89, SOLID90, SOLID95, SOLID96, SOLID97, SOLID117, HF120, SOLID122, FLUID142, and SOLID186. ANSYS does not support transitional pyramids for any other element types. (See Assigning Element Attributes Before Meshing for information about the methods you can use to set attributes.)

  • When you set your meshing controls, activate transitioning and indicate that you want to degenerate 3-D elements.

To activate transitioning (the default), use one of the following methods:

Command(s): | MOPT,PYRA,ON
GUI: | Main Menu> Preprocessor> Meshing> Mesher Opts

To degenerate 3-D elements, use one of the following methods:

Command(s): | MSHAPE,1,3D
GUI: | Main Menu> Preprocessor> Meshing> Mesher Opts

If these prerequisites are met and you now mesh the volume with tetrahedral elements [VMESH], the ANSYS program automatically:

  • Determines where transitional pyramid elements are appropriate

  • Combines and rearranges tetrahedral elements to create pyramid elements

  • Inserts the pyramid elements into the mesh

ANSYS creates transitional pyramid elements by default; if you prefer not to have transitional pyramid elements inserted into your mesh, issue the MOPT,PYRA,OFF command.

Note

For quadratic pyramid elements that are immediately adjacent to linear hexahedral elements, ANSYS automatically drops midside nodes at the interface. This, in fact, occurs when meshing any quadratic element if linear elements are adjacent in a neighboring volume.

Also, after pyramid transitioning, if there are selected elements, the number of selected elements may be greater than the number of elements originally selected (before the transition).

7.3.10. Converting Degenerate Tetrahedral Elements to Their Non-degenerate Forms

After creating transitional pyramid elements in a model, you can convert the 20-node degenerate tetrahedral elements in the model to their 10-node non-degenerate counterparts.

7.3.10.1. Benefits of Converting Degenerate Tetrahedral Elements

The process described in Creating Transitional Pyramid Elements permits the formation of pyramids only when you use an element type that supports degenerate tetrahedral and pyramidal shapes. Depending on your application, you may find that this prerequisite is too limiting.

For example, if you are working on a structural application, you are limited to using SOLID95 elements wherever transitional pyramid elements are required. Solving an analysis that involves 20-node, degenerate SOLID95 elements (and storing those elements) uses more solution time and memory than would the same analysis using SOLID92 elements. (SOLID92 elements are the 10-node, non-degenerate counterpart to SOLID95 elements.)

In this example, converting SOLID95 elements to SOLID92 elements provides these benefits:

  • Less random access memory (RAM) is required per element.

  • When you are not using the Preconditioned Conjugate Gradient (PCG) equation solver, the files that ANSYS writes during solution are considerably smaller.

  • Even when you are using the PCG equation solver, you gain a modest speed advantage.

  • If you are using the PCG solver with MSAVE,ON, you may be able to obtain a significant performance gain with using SOLID92 elements compared to using degenerate SOLID95 elements. The MSAVE,ON command can only be used when doing a static analyses or modal analyses using the PCG Lanczos method. MSAVE,ON results in a memory savings of up to 70% for the part of the model that meets the criteria, although the solution time may vary depending on the processor speed and the manufacturer of your computer, as well as the chosen element options (for example, reduced 2 x 2 x 2 integration for SOLID95).

7.3.10.2. Performing a Conversion

To convert 20-node degenerate tetrahedral elements to their 10-node non-degenerate counterparts:

Command(s): | TCHG,ELEM1,ELEM2,ETYPE2
GUI: | Main Menu> Preprocessor> Meshing> Modify Mesh> Change Tets

Regardless of whether you use the command or the GUI method, you are limited to converting the combinations of elements that are presented in Table 7.3: "Allowable Combinations of ELEM1 and ELEM2".

Table 7.3 Allowable Combinations of ELEM1 and ELEM2

Physical Properties | Value of ELEM1 | Value of ELEM2
Structural Solid | SOLID95 or 95 | SOLID92 or 92
Thermal Solid | SOLID90 or 90 | SOLID87 or 87
Electrostatic Solid | SOLID122 or 122 | SOLID123 or 123

If you are using the TCHG command to perform the conversion, specify values for the following arguments:

  • Use the ELEM1 argument to identify the type of element that you want to convert. For example, to convert SOLID95 elements, you must specify either SOLID95 or 95 for the value of ELEM1

  • Use the ELEM2 argument to identify the type of element that is the counterpart to the ELEM1 element. For example, to convert SOLID95 elements, you must specify either SOLID92 or 92 for the value of ELEM2.

  • Optionally, you can use the ETYPE2 argument to specify the element TYPE number for ELEM2. To continue with our example, to assign element TYPE number 2 to the newly-converted SOLID92 elements, specify 2 for the value of ETYPE2. (An element type's TYPE number is the number assigned to that element type in the element attribute tables; it is based on the element type's location in the element attribute tables.) If you do not specify a value for ETYPE2, ANSYS uses the next available location in the element attribute tables to determine the element TYPE number for ELEM2 or, if ELEM2 already appears in the element attribute tables, ANSYS uses ELEM2's existing element TYPE number for ETYPE2. To continue with our example,

Also see the description of the TCHG command in the Commands Reference.

If you are using the ANSYS GUI to perform the conversion, follow these steps:

  1. Choose menu path Main Menu> Preprocessor> Meshing> Modify Mesh> Change Tets. The Change Selected Degenerate Hexes to Non-degenerate Tets dialog box appears.

  2. Using the Change From option menu, select a combination of elements.

  3. In the TYPE number for ELEM2 field, select the appropriate element TYPE number for ELEM2. (A single-selection list containing all of the currently defined element types, along with their corresponding element TYPE numbers, appears on the dialog box to help you make your selection.) To make your selection, you can do any one of the following:

    • Choose NEXT AVAIL TYPE# from the selection list and click on OK, and ANSYS uses the next available location in the element attribute tables to determine the element TYPE number for ELEM2 or, if ELEM2 already appears in the element attribute tables, ANSYS uses ELEM2's existing element TYPE number for ETYPE2.

    • Choose USER SPECIFIED from the selection list and click on OK. A second dialog box appears, where you must enter an element TYPE number and click on OK. ANSYS assigns the element TYPE number that you enter to ELEM2.

    • Choose a valid element TYPE number (if one is available) from the selection list. Remember that even though all of the currently defined element types and their assigned element TYPE numbers appear in the list, not all of them are valid choices (for example, if you are converting SOLID95 elements to SOLID92 elements, you must choose the TYPE number for the defined SOLID92 element from the selection list). If no SOLID92 elements are currently defined, then you have to use one of the other selection methods described above. Assuming that a valid element TYPE number is available and you select it, ANSYS will assign that TYPE number to the newly-converted elements.

7.3.10.3. Other Characteristics of Degenerate Tetrahedral Element Conversions

Other characteristics of degenerate tetrahedral element conversions include the following:

  • As a result of the conversion operation, only selected elements of type ELEM1 are converted to type ELEM2. ANSYS ignores any elements that are type ELEM1 but are not degenerate tetrahedra; for instance, ANSYS will ignore SOLID95 elements that have a hexahedral, pyramidal, or prism shape. For example, assume that you have a simple model that contains only SOLID95 elements. Some of these elements are hexahedral, some are tetrahedral, and some are pyramidal. If you issue the command TCHG,95,92,2, ANSYS converts only the tetrahedral SOLID95 elements to SOLID92 elements; it leaves the hexahedral and pyramidal SOLID95 elements untouched. Since you specified 2 as the value of ETYPE2, ANSYS assigns element TYPE number 2 to the SOLID92 elements.

  • Performing a conversion is likely to create circumstances in which more than one element type is defined for a single volume. Currently, ANSYS has no way of storing more than one element type per volume. This limitation may result in incorrect information when you perform a volume listing operation [VLIST command]. The output listing will fail to indicate that the element type of the converted elements has changed. Instead, it will indicate the element TYPE number that was originally assigned to those elements. (On the other hand, the output of an element listing operation [ELIST command] will indicate the new element TYPE number.) If you plan to perform a conversion, we recommend that the conversion be your last step in the modeling and meshing process; that is, complete any desired mesh refinement, moving or copying of nodes and elements, and any other desired modeling and meshing revision processes prior to beginning the conversion.

7.3.11. Doing Layer Meshing

The ANSYS program's layer meshing feature (currently, for 2-D areas only) enables you to generate line-graded free meshes having either of the following:

  • Uniform (or moderately varying) element size along the line.

  • Steep transitions in element size and number in the direction normal to the line.

Such meshes are suitable for simulating CFD boundary layer effects, electromagnetic skin layer effects, etc.

7.3.12. Setting Layer Meshing Controls via the GUI

If you are using the ANSYS GUI, you set layer mesh controls on a picked set of lines by choosing Main Menu> Preprocessor> Meshing> Mesh Tool, which displays the MeshTool panel. Pressing the Set button next to "Layer" opens a picking dialog for selecting lines, followed by the "Area Layer Mesh Controls on Picked Lines" dialog box. On it, you may specify any of the following.

  • The desired element size on the line, either by setting the element size directly (SIZE), or by setting the number of line divisions (NDIV).

  • The line spacing ratio (SPACE, normally 1.0 for layer meshing).

  • The thickness of the inner mesh layer (LAYER1). Elements in this layer will be uniformly-sized, with edge lengths equal to the specified element size on the line. LAYER1's thickness may be specified with either a factor on the element size for the line (size factor = 2 produces two rows of uniformly-sized elements along the line; size factor = 3, three rows, etc.), or with an absolute length.

  • The thickness of the outer mesh layer (LAYER2). The size of elements in this layer will gradually increase from those in LAYER1 to the global element size. LAYER2's thickness may be specified with either a mesh transition factor (transition factor = 2 produces elements which approximately double in size as the mesh front progresses normal to the line; transition factor = 3, triple in size, etc.), or with an absolute length.

Note

The thickness of LAYER1 should be greater than or equal to the specified element size for the line. If you use a size factor to specify LAYER1, it must be greater than or equal to 1.0.

Note

LAYER2's "thickness" is really the distance over which mesh transition must occur between elements of LAYER1 size and the global size. Appropriate values for LAYER2 thus depend on the magnitude of the global-to-LAYER1 size ratio. If you use a mesh transition factor to specify LAYER2, it must be greater than 1.0 (implying the next row's size must be larger than the previous) and, for best results, should be less than 4.0.

Note

For a picked set of lines, layer mesh controls may be set or cleared without altering the existing line divisions or spacing ratio settings for those lines. In fact, within this dialog box, blank or zero settings for SIZE/NDIV, SPACE, LAYER1, or LAYER2 will remain the same (that is, they will not be set to zero or default values).

The figures below illustrate a line-graded layer mesh showing uniform element size along the line and steep transitions in element size and number normal to the line

Figure 7.16 Line-Graded Layer Mesh

To delete layer mesh control specifications from a picked set of lines, choose the Clear button beside "Layer" on the MeshTool. Existing line divisions and spacing ratios for the set of lines will remain the same.

7.3.13. Setting Layer Meshing Controls via Commands

The LESIZE command specifies layer meshing controls and other element size characteristics. For information about this command, see the Commands Reference.

7.3.14. Listing Layer Mesh Specifications on Lines

To view or print layer meshing size specifications on lines, use one of the following:

Command(s): | LLIST
GUI: | Utility Menu> List> Lines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.2. Setting Element Attributes 		Up / Home Next
7.4. Controls Used for Free and Mapped Meshing


7.4. Controls Used for Free and Mapped Meshing

In the previous sections, we have described various meshing controls that are available to you. Now we will focus on which controls are appropriate for free meshing, and which are appropriate for mapped meshing.

7.4.1. Free Meshing

In free meshing operations, no special requirements restrict the solid model. Any model geometry, even if it is irregular, can be meshed.

The element shapes used will depend on whether you are meshing areas or volumes. For area meshing, a free mesh can consist of only quadrilateral elements, only triangular elements, or a mixture of the two. For volume meshing, a free mesh is usually restricted to tetrahedral elements. Pyramid-shaped elements may also be introduced into the tetrahedral mesh for transitioning purposes. (See Creating Transitional Pyramid Elements for information about pyramid-shaped elements.)

If your chosen element type is strictly triangular or tetrahedral, the program will use only that shape during meshing. However, if the chosen element type allows more than one shape (for example, PLANE82 or SOLID95), you can specify which shape (or shapes) to use by one of the following methods:

Command(s): | MSHAPE
GUI: | Main Menu> Preprocessor> Meshing> Mesher Opts

You must also specify that free meshing should be used to mesh the model:

Command(s): | MSHKEY,0
GUI: | Main Menu> Preprocessor> Meshing> Mesher Opts

For area elements that support more than one shape, a mixed shape mesh (which is usually quad-dominant) will be produced by default. An all triangle mesh can be requested [MSHAPE,1,2D and MSHKEY,0], but is not recommended if lower-order elements are being used.

Note

There may be times when it is important to you to have an all-quadrilateral mesh. Free meshing of an area results in an all-quadrilateral mesh when the total number of line divisions on the boundaries of the area is even, and the quality of the quadrilateral elements produces no errors. You can increase the chances that the area's boundaries will have an even total number of line divisions by turning SmartSizing on and letting it determine the appropriate element divisions (rather than setting the number of element divisions on any of the boundaries manually [LESIZE]). You should also make sure that quadrilateral splitting is off [MOPT,SPLIT,OFF] to keep ANSYS from splitting poorly shaped quadrilateral elements into triangles. (Quadrilateral splitting is turned on for error elements by default. See the description of the MOPT command for details.)

To achieve a free volume mesh, you should choose an element type that allows only a tetrahedral shape, or use an element that supports multiple shapes and set the shape option to tetrahedral only [MSHAPE,1,3D and MSHKEY,0].

For free meshing operations, element sizes are produced based on the current settings of the DESIZE command, along with ESIZE, KESIZE, and LESIZE. If SmartSizing is turned on, the element sizes will be determined by the SMRTSIZE command along with ESIZE, KESIZE, and LESIZE. (SmartSizing is recommended for free meshing.) You can find all of these meshing controls under both Main Menu> Preprocessor> Meshing> MeshTool and Main Menu> Preprocessor> Meshing> Size Cntrls.

7.4.1.1. Fan Type Meshing and the TARGE170 Element

A special type of free meshing, called fan type meshing, is available for certain contact analysis cases that involve the meshing of 3-sided areas with the TARGE170 element. When two of the three sides have only one element division, and the third side has any number of divisions, the result will be a fan type mesh. (The LESIZE command is used to set element divisions.) Fan type meshing ensures that ANSYS uses the minimum number of triangles to fill the area, which is important for contact problems. Consider the example shown in Figure 7.17: "Example of Fan Type Meshing", in which two of the sides have only one element division, while the third side has four.

Figure 7.17 Example of Fan Type Meshing

7.4.1.1.1. Conditions for Fan Type Meshing

Remember that to use fan type meshing, the following conditions must be satisfied:

  • You must be meshing a 3-sided area. Two of the sides must have only one element division; the third side can have any number of divisions.

  • You must be meshing with the TARGE170 element.

  • You must specify that free meshing be used [MSHKEY,0 or MSHKEY,2].

For more information, see the Contact Technology Guide and the description of the TARGE170 element in the Elements Reference.

7.4.2. Mapped Meshing

You can specify that the program use all quadrilateral area elements, all triangle area elements, or all hexahedral (brick) volume elements to generate a mapped mesh. Mapped meshing requires that an area or volume be "regular", that is, it must meet certain criteria.

For mapped meshing, element sizes are produced based on the current settings of DESIZE, along with ESIZE, KESIZE, LESIZE and AESIZE settings (Main Menu> Preprocessor> Meshing> Size Cntrls> option). SmartSizing [SMRTSIZE] cannot be used for mapped meshing.

Note

Mapped meshing is not supported when hard points are used.

7.4.2.1. Area Mapped Meshing

An area mapped mesh consists of either all quadrilateral elements or all triangular elements.

Note

Mapped triangle meshing refers to the process in which ANSYS takes a map-meshable area and meshes it with triangular elements, based on a pattern you specify. This type of meshing is particularly useful for analyses that involve the meshing of rigid contact elements. (See the Contact Technology Guide for details about contact analyses.)

For an area to accept a mapped mesh, the following conditions must be satisfied:

  1. The area must be bounded by either three or four lines (with or without concatenation).

  2. The area must have equal numbers of element divisions specified on opposite sides, or have divisions matching one of the transition mesh patterns (see Figure 7.24: "Applicable Transition Patterns-Transition Mapped Quadrilateral Meshes").

  3. If the area is bounded by three lines, the number of element divisions must be even and equal on all sides.

  4. The meshing key must be set to mapped [MSHKEY,1]. This setting results in a mapped mesh of either all quadrilateral elements or all triangle elements, depending on the current element type and/or the setting of the element shape key [MSHAPE].

  5. If your goal is a mapped triangle mesh, you can also specify the pattern ANSYS uses to create the mesh of triangular elements [MSHPATTERN]. If you do not specify a pattern, ANSYS chooses one for you. See the MSHPATTERN command description in the Commands Reference for an illustration of the available patterns.

Figure 7.18: "Area Mapped Meshes" shows a basic area mapped mesh of all quadrilateral elements, and a basic area mapped mesh of all triangular elements.

Figure 7.18 Area Mapped Meshes

If an area is bounded by more than four lines, it cannot be map meshed. However, some of the lines can be combined or "concatenated" to reduce the total number of lines to four. Line concatenation is discussed later in this section.

A suggested alternative to using line concatenation is to use the AMAP command to map mesh an area by picking three or four corners of the area. This method internally concatenates all lines between the keypoints. (Simplified area mapped meshing is described later in this section.)

7.4.2.1.1. Line Divisions for Mapped Meshing

You must specify equal numbers of line divisions on opposite edges of the area (or define line divisions to match one of the transition patterns) to achieve a mapped mesh. You do not necessarily have to specify line divisions on all lines. As long as mapped meshing has been requested [MSHKEY,1], the program will transfer line divisions from one line to the opposite line, and on into adjacent areas being meshed [AMESH]. The program will also produce matched line divisions from AESIZE, “soft” LESIZE, KESIZE or ESIZE specifications, when possible.

The same hierarchy that applied to LESIZE, ESIZE, etc. will also apply to transferred line divisions. Thus, in the example shown in Figure 7.19: "Transferred Hard LESIZE Controls Override ESIZE Controls", LESIZE line divisions transferred from line 1 to line 3 will override explicitly defined ESIZE line divisions.

Figure 7.19 Transferred Hard LESIZE Controls Override ESIZE Controls

MSHKEY,1! mapped mesh
ESIZE,,10! 10 divisions set by ESIZE
LESIZE,1,,,20! 20 divisions specified for line 1
AMESH,1! 20 line divisions will be transferred onto line 3

Please see the MSHKEY, ESIZE, AESIZE, LESIZE, and AMESH command descriptions for more information.

7.4.2.1.2. Line Concatenation

If an area is bounded by more than four lines, you can combine [LCOMB] or concatenate [LCCAT] some of the lines to reduce the total number of lines to four. Whenever LCOMB is permitted (that is, when lines are tangent and are attached to the same areas), it is generally preferred over LCCAT. LCOMB can also be used for non-tangent lines, but a node will not necessarily be generated at the kink in the line.

To concatenate lines:

Command(s): | LCCAT
GUI: | Main Menu> Preprocessor> Meshing> Mesh> Areas> Mapped> Concatenate> Lines

Note

The LCCAT command is not supported for models that you import using the IGES defeaturing function [IOPTN,IGES,FACETED]. However, you can use the LNMERGE command to concatenate lines in models imported from CAD files.

To combine lines:

Command(s): | LCOMB
GUI: | Main Menu> Preprocessor> Modeling> Operate> Booleans> Add> Lines

Consider the example of Figure 7.20: "Line Combination and Concatenation Can Enable Mapped Meshing", in which an area is bounded by six lines. Two of the lines can be combined, and two others concatenated, to produce an area bounded by four lines, suitable for mapped meshing.

Figure 7.20 Line Combination and Concatenation Can Enable Mapped Meshing

A node will be generated wherever there is a keypoint attached to a line, area, or volume. Therefore, a concatenated line will have at least as many divisions as are defined implicitly by the keypoints on that line. The program will not allow you to transfer a smaller number of divisions onto such a line. Also, if a global element size [ESIZE] is specified, it applies to your original lines, not to your concatenated lines.

Figure 7.21 ESIZE Applies to Original (Not Concatenated) Lines

Line divisions cannot be directly assigned to concatenated lines. However, divisions can be assigned to combined lines [LCOMB]. Therefore, there is some advantage to using line combination instead of concatenation.

7.4.2.1.3. Simplified Area Mapped Meshing

The AMAP command offers the easiest way to obtain a mapped mesh. AMAP (Main Menu> Preprocessor> Meshing> Mesh> Areas> Mapped> By Corners) uses specified keypoints as corners and internally concatenates all lines between the keypoints. The area is automatically meshed with all quadrilateral or all triangular elements (a MSHKEY specification is not required). The same rules about meshing controls apply for AMAP as for mapped meshing by line concatenation.

Consider the example presented earlier for concatenation, but now meshed with the AMAP method. Notice that there are multiple lines between several of the picked keypoints. After picking the area, keypoints 1, 3, 4, and 6 can be picked in any order, and the mapped mesh is automatically created.

Figure 7.22 Simplified Mapped Meshing (AMAP)

No line concatenation is needed prior to the AMAP operation; the concatenation is done internally and then deleted. The area's line list is left unchanged.

Note

The AMAP command is not supported for models that you import using the IGES defeaturing import function [IOPTN,IGES,FACETED].

7.4.2.1.4. Transition Mapped Quadrilateral Meshing

Another way to create a mapped area mesh is to specify line divisions on opposite sides of the area such that the divisions permit a transition mapped quadrilateral mesh. Transition mapped quadrilateral meshing is only applicable to four-sided areas (with or without concatenation). Some examples are shown in Figure 7.23: "Examples of Transition Mapped Quadrilateral Meshes".

Figure 7.23 Examples of Transition Mapped Quadrilateral Meshes

To achieve a transition mapped quadrilateral mesh, you must use an element type that supports a quadrilateral shape, set the meshing key to mapped [MSHKEY,1], and set the shape specification to allow quadrilaterals [MSHAPE,0,2D]. (If you want a transition mapped triangle mesh, see the next section.) In addition, specified line divisions must match one of the patterns shown in Figure 7.24: "Applicable Transition Patterns-Transition Mapped Quadrilateral Meshes".

Figure 7.24 Applicable Transition Patterns-Transition Mapped Quadrilateral Meshes

The quad-dominant free mesher [MSHAPE,0 and MSHKEY,0] automatically looks for four-sided regions that match these transition patterns. If a match is found, the area is meshed with a transition mapped quadrilateral mesh, unless the resulting elements are of poor quality (in which case a free mesh will be produced).

7.4.2.1.5. Transition Mapped Triangle Meshing

Transition mapped meshing is also valid for mapped area meshes of triangle elements. As with transition mapped quadrilateral meshing, transition mapped triangle meshing is only applicable to four-sided areas, and the specified line divisions must match one of the patterns shown in Figure 7.24: "Applicable Transition Patterns-Transition Mapped Quadrilateral Meshes". To achieve a transition mapped triangle mesh, you must also use an element type that supports a triangular shape, set the meshing key to mapped [MSHKEY,1], and set the shape specification to allow triangles [MSHAPE,1,2D].

The relationship between a transition mapped quadrilateral mesh and a transition mapped triangle mesh can be seen in Figure 7.25: "Mapped Meshes". Figure (b) illustrates a transition mapped triangle mesh. When you request a mapped triangle mesh, ANSYS actually begins by map meshing the area with quadrilateral elements, and then it automatically splits the quadrilateral elements into triangles. Figure (a) shows the quadrilateral mesh that was used as the basis for the triangle mesh shown in Figure (b). Figure (c) illustrates the triangle mesh, with the quadrilateral elements superimposed over it. The dotted lines represent the boundaries of the quadrilateral elements that ANSYS split into triangles.

Figure 7.25 Mapped Meshes

7.4.2.2. Volume Mapped Meshing

To mesh a volume with all hexahedron elements, the following conditions must be satisfied:

  1. The volume must take the shape of a brick (bounded by six areas), wedge or prism (five areas), or tetrahedron (four areas).

  2. The volume must have equal numbers of element divisions specified on opposite sides, or have divisions matching one of the transition mesh patterns for hexahedral meshes. See Figure 7.26: "Examples of Element Divisions for Mapped Volume Meshing" for examples of element divisions that will produce a mapped mesh for different volume shapes. Transition mesh patterns for hexahedral meshes are described later in this section.

  3. The number of element divisions on triangular areas must be even if the volume is a prism or tetrahedron.

Figure 7.26 Examples of Element Divisions for Mapped Volume Meshing

7.4.2.2.1. Area Concatenation

As with lines, you can add [AADD] or concatenate [ACCAT] areas if you need to reduce the number of areas bounding a volume for mapped meshing. If there are also lines bounding the concatenated areas, the lines must be concatenated as well. You must concatenate the areas first, then follow with line concatenations. This procedure is illustrated by the sample input listing that appears below:

! first, concatenate areas for mapped volume meshing:
ACCAT,...
! next, concatenate lines for mapped meshing of bounding areas:
LCCAT,...
LCCAT,...
VMESH,...

Note

Whenever AADD is permitted (that is, when areas are flat and coplanar), it is generally preferred over ACCAT. (Line divisions will be transferred from one edge to another as described earlier.)

As shown in the sample input listing above, line concatenations [LCCAT] are normally required after area concatenations [ACCAT]. However, if both areas that are concatenated are bounded by four lines (no concatenated lines), the line concatenation operations will be done automatically. Thus, because the areas in Figure 7.27: "Area Concatenation" are both bounded by four lines, line concatenation [LCCAT] is not required. Also note that deleting the concatenated area does not automatically delete the associated concatenated lines.

Area concatenation used for mapped volume meshing are shown in Figure 7.27: "Area Concatenation". The lines are automatically concatenated by the area concatenation operation [ACCAT] because both areas are bounded by four lines.

Figure 7.27 Area Concatenation

To concatenate areas, use one of the following methods:

Command(s): | ACCAT
GUI: | Main Menu> Preprocessor> Meshing> Concatenate> Areas Main Menu> Preprocessor> Meshing> Mesh> Areas> Mapped

Note

The ACCAT command is not supported for models that you import using the IGES defeaturing import function [IOPTN,IGES,FACETED]. However, you can use the ARMERGE command to merge two or more areas in models imported from CAD files. Be aware that when you use the ARMERGE command in this way, locations of deleted keypoints between combined lines are unlikely to have nodes on them!

To add areas, use one of the following methods:

Command(s): | AADD
GUI: | Main Menu> Preprocessor> Modeling> Operate> Booleans> Add> Areas

Please see the ACCAT, LCCAT, and VMESH command descriptions for more information.

7.4.2.2.2. Transition Mapped Hexahedral Meshing

You can create a mapped volume mesh by specifying line divisions on opposite edges of the volume such that the divisions permit a transition mapped hexahedral mesh. Transition mapped hexahedral meshing is only applicable to six-sided volumes (with or without concatenation). Some examples are shown in Figure 7.28: "Examples of Transition Mapped Hexahedral Meshes".

Figure 7.28 Examples of Transition Mapped Hexahedral Meshes

To achieve a transition mapped hexahedral mesh, you must use an element type that supports a hexahedral shape. If you previously set the element shape specification to mesh with tetrahedral-shaped elements [MSHAPE,1,3D], you must now set the shape specification to allow hexahedron [MSHAPE,0,3D]. In addition, specified line divisions must match one of the patterns shown in Figure 7.29: "Applicable Transition Patterns-Transition Mapped Hexahedral Meshes".

Note

Even if you specify free meshing [MSHKEY,0], ANSYS automatically looks for six-sided volumes that match these transition patterns. If a match is found, the volume will be meshed with a transition mapped hexahedral mesh, unless the resulting elements are of poor quality (in which case the mesh will fail).

Note

As indicated in Figure 7.29: "Applicable Transition Patterns-Transition Mapped Hexahedral Meshes", some of the edges of the volumes are hidden (edges N5, N9, and N10). Edge N5 is opposite edge N8; edge N9 is opposite edge N1; and edge N10 is opposite edge N2.

Figure 7.29 Applicable Transition Patterns-Transition Mapped Hexahedral Meshes

7.4.2.3. Some Notes about Concatenated Lines and Areas

Concatenation is solely intended to be used as an aid to mapped meshing; it is not a Boolean "add" operation. Concatenation should be the last step you undertake before you execute a mapped mesh of your solid model, because the output entity obtained from a concatenation cannot be used in any subsequent solid modeling operation (other than meshing, clearing, or deleting). For example, a line created by an LCCAT operation cannot have any solid model loads applied to it; nor can it be part of any Boolean operation; nor can it be copied, dragged, rotated [xGEN, xDRAG, xROTAT], etc.; nor can it be used in another concatenation.

You can readily "undo" a concatenation by simply deleting the line or area produced by the concatenation:

  • The fastest way to delete concatenated lines or areas is by choosing menu path Main Menu> Preprocessor> Modeling> Delete> Del Concats> Lines or Main Menu> Preprocessor> Modeling> Delete> Del Concats> Areas.

    Caution

    When you use this method, ANSYS automatically selects all concatenated lines (or areas) and deletes them without prompting you.

  • If you want more control over which concatenated lines or areas are selected and deleted, use one of these methods:

    Command(s): LSEL,Type,LCCA,,,,,KSWP or
    ASEL,Type,ACCA,,,,,KSWP
    GUI: Utility Menu> Select> Entities

If you are using the Select Entities dialog box, choose both Lines and Concatenated to select concatenated lines. Choose both Areas and Concatenated to select concatenated areas. If desired, use the other controls in the dialog box to refine your selection.

You can then delete all of the selected lines or areas [LDELE,ALL or ADELE,ALL] as necessary.

Although you need to be aware of the restrictions on output entities listed earlier in this section, no such restrictions affect the input entities in a concatenation. However, the input entities will become "lost" or "detached," so far as higher-level entities are concerned. That is, if an area is bounded by five lines (L1-L5), and two of those lines are concatenated (LCCAT,1,2 [image] L6), the program will no longer recognize lines L1 and L2 as being attached to that area. However, you can reattach L1 and L2 to the area by deleting L6 to undo the concatenation. (See Figure 7.30: "Input Lines in a Concatenation".)

Input lines in a concatenation become detached until the concatenation is undone

Figure 7.30 Input Lines in a Concatenation

If you find that concatenation becomes too restrictive for your intended modeling operations, you can usually obtain a mapped mesh by some other means, such as by subdividing an area or volume into appropriately-bounded entities. Boolean operations will often be helpful for subdividing an entity in this fashion.

See the descriptions of the ASEL, LSEL, ACCAT, LCCAT, ADELE, and LDELE commands in the Commands Reference for details.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.3. Mesh Controls 		Up / Home Next
7.5. Meshing Your Solid Model


7.5. Meshing Your Solid Model

Once you have built your solid model, established element attributes, and set meshing controls, you are ready to generate the finite element mesh. First, however, it is usually good practice to save your model before you initiate mesh generation:

Command(s): | SAVE
GUI: | Utility Menu> File> Save as Jobname.db

You may also want to turn on the "mesh accept/reject" prompt by picking Main Menu> Preprocessor> Meshing> Mesher Opts. This feature, which is available only through the GUI, allows you to easily discard an undesirable mesh. (For more information, see Changing the Mesh.)

If you are meshing multiple volumes or areas at one time, you should consider using the meshing option By Size (or issuing the MOPT,ORDER,ON command) so the mesh is created in the smallest volume or area first. This helps ensure that your mesh is adequately dense in smaller volumes or areas and that the mesh is of a higher quality.

7.5.1. Generating the Mesh Using xMESH Commands

To mesh the model, you must use a meshing operation that is appropriate for the entity type being meshed. You can mesh keypoints, lines, areas, and volumes using the commands and GUI paths described below.

  • To generate point elements (such as MASS21) at keypoints:

    Command(s): KMESH
    GUI: Main Menu> Preprocessor> Meshing> Mesh> Keypoints

  • To generate line elements (such as LINK31) on lines:

    Command(s): LMESH
    GUI: Main Menu> Preprocessor> Meshing> Mesh> Lines

Also see Generating a Beam Mesh With Orientation Nodes for information about special beam meshing procedures.

  • To generate area elements (such as PLANE82) on areas:

    Command(s): AMESH,
    AMAP
    GUI: Main Menu> Preprocessor> Meshing> Mesh> Areas> Mapped> 3 or 4 sided
    Main Menu> Preprocessor> Meshing> Mesh> Areas> Free
    Main Menu> Preprocessor> Meshing> Mesh> Areas> Target Surf
    Main Menu> Preprocessor> Meshing> Mesh> Areas> Mapped> By Corners

If you need to mesh multiple areas at one time, you should consider issuing the MOPT,ORDER,ON command so the mesh is created in the smallest area first. This helps ensure that your mesh is adequately dense in smaller areas and that the mesh is of a higher quality.

  • To generate volume elements (such as SOLID90) in volumes:

    Command(s): VMESH
    GUI: Main Menu> Preprocessor> Meshing> Mesh> Volumes> Mapped> 4 to 6 sided
    Main Menu> Preprocessor> Meshing> Mesh> Volumes> Free

Also see Generating a Volume Mesh From Facets and Generating a Volume Mesh By Sweeping for information about special volume meshing procedures.

  • To generate interface elements (such as INTER192) of uniform thickness along lines or areas:

    Command(s): IMESH
    GUI: Main Menu> Preprocessor> Meshing> Mesh> Interface Mesh> 2D Interface
    Main Menu> Preprocessor> Meshing> Mesh> Interface Mesh> 3D Interface

Also see Generating an Interface Mesh for Gasket Simulations for information about special gasket meshing procedures.

7.5.2. Generating a Beam Mesh With Orientation Nodes

You can assign orientation keypoints as attributes of a line for beam meshing, just as you would assign a real constant set number, or a material property set number. The orientation keypoints are independent of the line that is to be meshed. Based on the location of these keypoints, ANSYS will automatically create orientation nodes along with the beam elements. Line meshing with automatic generation of orientation nodes is supported for elements BEAM4, BEAM24, BEAM44, BEAM161, BEAM188, and BEAM189.

To assign orientation keypoints as attributes of a line:

Command(s): | LATT
GUI: | Main Menu> Preprocessor> Meshing> Mesh Attributes> All Lines Main Menu> Preprocessor> Meshing> Mesh Attributes> Picked Lines

7.5.2.1. How ANSYS Determines the Location of Orientation Nodes

If a line is bounded by two keypoints (KP1 and KP2) and two orientation keypoints (KB and KE) have also been defined as attributes of the line, the orientation vector at the beginning of the line extends from KP1 to KB, and the orientation vector at the end of the line extends from KP2 to KE. ANSYS computes the orientation nodes by interpolating the orientation as given by the above two orientation vectors.

Note

Although this discussion refers to them as "orientation nodes," elsewhere you may see this type of node referred to as an off-node, third node (for linear beam elements only), or fourth node (for quadratic beam elements only).

7.5.2.2. Benefits of Beam Meshing With Orientation Nodes

The direction in which beam sections are oriented will affect the beam element mesh and the analysis results. Beam meshing with orientation nodes gives you control over these effects. Examples of Beam Meshing With Orientation Nodes provides examples of various ways to align the beam sections.

If your analysis uses BEAM44, BEAM188, or BEAM189 elements, you can use the ANSYS program's cross section data definition, analysis, and visualization capabilities for these elements. (Visualization capabilities are not applicable to BEAM44 elements.) You can assign a section ID number as an attribute of a line [LATT]. The section ID number identifies the cross section used by the beam elements that will be generated when you mesh the line. The orientation nodes, which ANSYS automatically generates based on orientation keypoints that you specify [LATT], determine the section orientations for the beam elements. For detailed information about beam analysis and cross sections, see "Beam Analysis and Cross Sections" in the Structural Analysis Guide.

7.5.2.3. Generating a Beam Mesh With Orientation Nodes

This section describes how to generate a beam mesh with orientation nodes, using either command input or the ANSYS GUI. It assumes that you have already defined the geometry and element attribute tables for your model, and you are now ready to assign specific attributes to a line for beam meshing. This section does not attempt to cover other aspects of a typical beam analysis. For detailed information about beam analysis and a sample problem illustrating the generation of a beam mesh with orientation nodes, see "Beam Analysis and Cross Sections" in the Structural Analysis Guide.

If you are using the command method to generate the beam mesh, include these commands in your input:

  1. Use the LSEL command to select the lines that you want to mesh with orientation nodes.

  2. Use the LATT command to associate element attributes with the selected, unmeshed line(s). Specify values for the MAT, REAL, TYPE, ESYS, KB, KE, and SECNUM arguments.

    • When specifying a value for the TYPE argument on the LATT command, be sure that the element type you assign to the line is one that supports beam meshing with orientation. Currently, this list includes BEAM4, BEAM24, BEAM44, BEAM161, BEAM188, and BEAM189.

    • Use the KB and KE arguments on the LATT command to assign beginning and ending orientation keypoints. If you are meshing with BEAM24, BEAM161, BEAM188, or BEAM189 elements, you are required to define at least one orientation keypoint when you set your attributes for meshing. When ANSYS generates the mesh [LMESH], each beam element along the line will have two end nodes and one orientation node. Specifying orientation keypoints when meshing with BEAM4 and BEAM44 elements is optional. If you specify orientation keypoints for these elements, each beam element along the meshed line will have two end nodes and one orientation node. If you do not specify orientation keypoints for BEAM4 and BEAM44, each beam element will have two end nodes, but no orientation node (that is, ANSYS will generate the mesh using standard line meshing).

    • If you are meshing a circular arc with beams, and if that arc spans more than 90°, the beam orientation is twisted at the 90° point as shown in Figure 7.31: "LMESH of an Arc":

      Figure 7.31 LMESH of an Arc

      To prevent the beam orientation from twisting, set the ending orientation keypoint (KE) to be the same as KB, or split the line into 90° arcs.

    • If you are using BEAM44, BEAM188, or BEAM189 elements, use the SECNUM argument on the LATT command to assign a section ID number.

    See Examples of Beam Meshing With Orientation Nodes for examples that illustrate various ways of assigning orientation keypoints. See "Beam Analysis and Cross Sections" in the Structural Analysis Guide for details about cross sections.

  3. Set the number of element divisions to be generated along the line mesh [LESIZE].

  4. Use the LMESH command to mesh the line(s).

  5. After meshing a beam, always use the /ESHAPE,1 command to verify the beam's orientation graphically.

  6. You can use the LLIST,,,,ORIENT command to list the selected line(s), along with any assigned orientation keypoints and section data.

If you are using the ANSYS GUI to generate the beam mesh, follow these steps:

  1. Choose menu path Main Menu> Preprocessor> Meshing> MeshTool. The MeshTool appears.

  2. In the Element Attributes section of the MeshTool, select Lines from the option menu on the left and then click on Set. The Line Attributes picker appears.

  3. In the ANSYS Graphics window, click the line(s) to which you want to assign attributes (including orientation keypoints) and then click on OK in the Line Attributes picker. The Line Attributes dialog box appears.

  4. In the Line Attributes dialog box, assign MAT, REAL, TYPE, ESYS, and/or SECT attributes as desired, click the Pick Orientation Keypoint(s) option so that Yes appears, and click on OK. The Line Attributes picker reappears.

  5. In the ANSYS Graphics window, pick the orientation keypoint(s) and then click on OK in the Line Attributes picker.

  6. Back in the MeshTool, set any desired element size controls. Then initiate the line mesh operation by choosing Lines from the Mesh option menu and clicking on MESH. The Mesh Lines picker appears.

  7. In the ANSYS Graphics window, pick the line(s) that you want to mesh and then click on OK in the Mesh Lines picker. ANSYS meshes the beam.

  8. After the beam is meshed, always verify the beam's orientation graphically. Choose menu path Utility Menu> PlotCtrls> Style> Size and Shape. Click the /ESHAPE option to turn it on and click on OK. The meshed beam appears.

  9. You can list the selected line(s), along with any defined orientation keypoints and section data. To do so, choose menu path Utility Menu> List> Lines. The LLIST Listing Format dialog box appears. Choose Orientation KP and then click on OK.

7.5.2.4. Examples of Beam Meshing With Orientation Nodes

You can define one orientation keypoint or two orientation keypoints as attributes of a line. If you define two, you can assign both of them to the same location in your model.

Figure 7.32: "Placement of Orientation Keypoints and Element Orientation" shows three examples. For each example, a beginning orientation keypoint and an ending orientation keypoint have been defined at the same location. The examples illustrate how you can assign different orientation keypoints to align selected beam sections within a structure in different directions.

Figure 7.32 Placement of Orientation Keypoints and Element Orientation

If you specify one orientation keypoint for a line, ANSYS generates beam elements along the line with a constant orientation. If you specify different orientation keypoints at each end of the line, ANSYS generates a pre-twisted beam.

Figure 7.33: "Constant Orientation vs. Pre-Twist" illustrates some differences between beam meshing with constant orientation as opposed to beam meshing with pre-twist.

  • In Figure (a), only a beginning orientation keypoint was assigned. The keypoint is 0° from the y axis at a distance of 10 units in the y direction. The beam exhibits constant orientation.

  • In Figure (b), only a beginning orientation keypoint was assigned. The keypoint is 30° from the y axis at a radius of 10 units. The beam exhibits constant orientation.

  • In Figure (c), both a beginning and an ending orientation keypoint were assigned. The keypoints are 90° apart, causing a 90° twist in the beam. Due to the linear interpolation that is used to determine the location of the orientation nodes, a line biasing with small divisions at each end was used to cause the nodes to be located closer to the vectors made by the keypoints.

  • In Figure (d), the orientation keypoints are 180° apart, and this time the beam flips. Assigning these keypoints causes a discontinuity because the interpolation of the two vectors is linear.

  • Figure (e) provides a remedy to the problem illustrated in Figure (d). Here one line was divided into two, with the ending orientation keypoint for L1 and the beginning orientation keypoint for L2 being assigned to the same keypoint. A 180° twist is achieved.

Figure 7.33 Constant Orientation vs. Pre-Twist

7.5.2.5. Other Considerations for Beam Meshing With Orientation Nodes

Other things to consider when meshing beams with orientation nodes include the following:

  • Since orientation is not required for 2-D beam elements, the beam meshing procedure described in this section does not support 2-D beam elements.

  • Any operation on a line (copying the line, moving the line, and so on) will destroy the keypoint attributes.

  • If an orientation keypoint is deleted, ANSYS issues a warning message.

  • If an orientation keypoint is moved, it remains an orientation keypoint. However, if an orientation keypoint is redefined (K,NPT,X,Y,Z), ANSYS no longer recognizes it as an orientation keypoint.

Caution

If you issue the CDWRITE command after generating a beam mesh with orientation nodes, the database file will contain all of the nodes for every beam element, including the orientation nodes. However, the orientation keypoints that were specified for the line [LATT] are no longer associated with the line and are not written out to the geometry file. The line does not recognize that orientation keypoints were ever assigned to it, and the orientation keypoints do not "know" that they are orientation keypoints. Thus, the CDWRITE command does not support (for beam meshing) any operation that relies on solid model associativity. For example, meshing the areas adjacent to the meshed line, plotting the line that contains orientation nodes, or clearing the line that contains orientation nodes may not work as expected. This limitation also exists for the IGESOUT command. See the descriptions of the CDWRITE command and the IGESOUT command in the Commands Reference for more information.

7.5.3. Generating a Volume Mesh From Facets

In addition to using VMESH to generate volume elements, you can generate a volume mesh from a set of detached exterior area elements (facets). For example, this capability is useful in situations where you cannot mesh a particular area. In such a situation, first mesh the areas that can be meshed. Next, define the remaining area elements using direct generation. (Elements that you define using direct generation are considered to be detached elements, because they have no solid model associativity.) Finally, use one of the methods below to generate nodes and tetrahedral volume elements from the detached area elements:

Command(s): | FVMESH
GUI: | Main Menu> Preprocessor> Meshing> Mesh> Tet Mesh From> Area Elements

Note

The main tetrahedra mesher [MOPT,VMESH,MAIN] is the only tetrahedra mesher that supports the generation of a volume mesh from facets; the alternate tetrahedra mesher [MOPT,VMESH,ALTERNATE] does not.

Note

The FVMESH command and its corresponding menu path do not support multiple "volumes." If you have multiple volumes in your model, select the surface elements for one "volume," while making sure that the surface elements for the other volumes are deselected. Then use FVMESH to generate a mesh for the first volume. Continue this procedure by selecting one volume at a time and meshing it, until all of the volumes in the model have been meshed.

7.5.4. Additional Considerations for Using xMESH Commands

Additional considerations for using xMESH commands include the following:

  • Sometimes you may need to mesh the solid model with a variety of elements of different dimensionalities. For example, you may need to "reinforce" a shell model (area elements) with beams (line elements), or overlay one of the faces of a 3-D solid model (volume elements) with surface effect (area) elements. You can do so by using the appropriate meshing operations [KMESH, LMESH, AMESH, and VMESH] in any desired order. Make sure, however, that you set the appropriate element attributes (discussed earlier in this chapter) before meshing.

  • No matter which volume mesher you choose [MOPT,VMESH,Value], it may produce different meshes on different hardware platforms when meshing volumes with tetrahedral elements [VMESH, FVMESH]. Therefore, you should be cautious when evaluating results at a specific node or element. The location of these entities may change if the input created on one platform is later run on a different platform.

  • The adaptive meshing macro [ADAPT] is an alternative meshing method that automatically refines the mesh based on mesh discretization errors. See "Adaptive Meshing" in the Advanced Analysis Techniques Guide for more information on this feature.

7.5.5. Generating a Volume Mesh By Sweeping

Using volume sweeping, you can fill an existing unmeshed volume with elements by sweeping the mesh from a bounding area (called the "source area") throughout the volume. If the source area mesh consists of quadrilateral elements, the volume is filled with hexahedral elements. If the area consists of triangles, the volume is filled with wedges. If the area consists of a combination of quadrilateral and triangular elements, the volume is filled with a combination of hexahedral and wedge elements. The swept mesh is fully associated with the volume.

7.5.5.1. Benefits of Volume Sweeping

Volume sweeping provides these benefits:

  • Unlike other methods for extruding a meshed area into a meshed volume [VROTAT, VEXT, VOFFST, and VDRAG commands], volume sweeping [VSWEEP] is intended for use in existing unmeshed volumes. Thus it is particularly useful in these situations:

    • You have imported a solid model that was created in another program, and you want to mesh it in ANSYS.

    • You want to create a hexahedral mesh for an irregular volume. You only have to break up the volume into a series of discrete sweepable regions.

    • You either want to create a different mesh than the one that was created by one of the other extrusion methods, or you forgot to create a mesh during one of those operations.

    • If you do not mesh the source area prior to volume sweeping, ANSYS meshes it for you when you invoke the volume sweeper. The other extrusion methods require you to mesh the area yourself before you invoke them. If you do not, the other extrusion methods create the volume, but no area or volume mesh is generated.

7.5.5.2. What to Do Before You Sweep a Volume

Follow these steps before you invoke the volume sweeper:

  1. Determine how many volumes need to be swept by VSWEEP. VSWEEP will sweep either a single volume, all selected volumes (VSWEEP,ALL) or a component of volumes (VSWEEP,CMVL where CMVL is the name of a volume component.)

  2. Determine whether the volume's topology can be swept. The volume cannot be swept if any of these statements is true:

    • If LESIZE is used with the “hard” option, and the source and target areas contain hard division which are the not the same for each respective line, then the volume is not sweepable.

    • The volume contains more than one shell; in other words, there is an internal void within the volume. (A shell is the volumetric equivalent of an area loop - a set of entities that defines a continuous closed boundary. The SHELL column in a volume listing [VLIST] indicates the number of shells in the volume.)

    • The source area and the target area are not opposite one another in the volume's topology. (By definition, the target area must be opposite the source area.)

    • There is a hole in the volume that does not penetrate the source and/or target areas.

      Note

      Even if you have satisfied these requirements, there may be times when the shape of a volume causes the volume sweeper to create poorly shaped elements. For help, see Strategies for Avoiding Shape Failures During Volume Sweeping.

    If the volume is not sweepable, try to cut the volume into sweepable sub-volumes before using the VSWEEP command.

  3. Make sure that you have defined the appropriate 2-D and 3-D element types [ET]. For example, if you are going to pre-mesh the source area, and you want the swept volume to contain quadratic hexahedral elements, you should mesh the source area with quadratic 2-D elements.

  4. Determine how you want to control the number of element layers that will be created during the sweeping operation; that is, the number of elements that will be created along the length of the sweep direction (see Figure 7.34: "Specifying Volume Sweeping"). You can use any of these methods to control this number:

    • Use ESIZE,SIZE to specify a guiding element size for the sweeper. VSWEEP uses this value to internally compute the number of element layers. This is the preferred method for setting this value.

    • Use the EXTOPT,ESIZE,Val1,Val2 command to specify the number of element layers (and if desired, the spacing ratio or bias) to be used along the volume's side lines (where Val1 is the number of element layers and Val2 is the bias). Note that the number of element layers and bias that you specify with EXTOPT will apply to all of the volume's unmeshed side lines. For any side line that has been pre-meshed or that has other sizing specifications associated with it (via LESIZE), the values set by EXTOPT are ignored.

      Command(s): EXTOPT,ESIZE,Val1,Val2
      GUI: Main Menu> Preprocessor> Meshing> Mesh> Volume Sweep> Sweep Opts

    • On one or more of the volume's side lines, use the LESIZE command to specify the number of element divisions for that particular line. This method also permits you to specify a bias that the volume sweeper will honor [LESIZE,,,,,SPACE]; however, the bias applies only to the line that you identify on the LESIZE command.

    • Generate a mapped mesh on one or more of the side areas or within a volume or area that is adjacent to a side area or side line.

    • Generate a mesh of beam elements on one or more of the side lines [LMESH].

    • Turn on Smart sizing (via SMRT). VSWEEP will use smart sizing parameters to internally compute the number of element layers. Note that because of the constrained nature of Hexahedral Elements, and because smart sizing attempts to transition element sizes in different regions of the model, smart sizing does not always yield the highest quality elements. Although using the ESIZE,SIZE method mentioned above usually generates more elements, for Hex meshing they will normally be higher quality.

    If the number of element layers is not specified with one of the methods listed above, VSWEEP will use DESIZE parameters to internally compute it.

    Figure 7.34 Specifying Volume Sweeping

  5. Optionally, determine which of the areas bounding the volume will be the source area, and which will be the target area. ANSYS uses the pattern of the area elements on the source area (which can be quadrilateral and/or triangular elements) to fill the volume with hexahedral and/or wedge elements. (If you have not pre-meshed the area prior to volume sweeping, ANSYS automatically generates "temporary" area elements. It does not save these area elements in the database; they are discarded as soon as the pattern for the swept volume is determined.) The target area is simply the area that is opposite the source area. See Figure 7.34: "Specifying Volume Sweeping" above, which illustrates one way that a user might set the number of element layers, source area, and target area for a volume sweeping operation. If more than one volume is being swept any user specified source and targets are ignored.

    If no source and/or target area(s) are specified by the user, VSWEEP will attempt to automatically determine which bounding areas should be used as the source or target. If VSWEEP cannot determine the source/target automatically, VSWEEP will stop. When using the GUI, you can turn on auto source and target detection with the EXTOPT,VSWE,AUTO command.

  6. Optionally, mesh the source, target, and/or side area(s).

    The results of a volume sweeping operation will differ depending on whether you have meshed any of the areas (source, target, and/or side areas) in your model prior to sweeping.

    Typically, you will generate a mesh for the source area yourself, before you sweep the volume. If you have not meshed the source area, ANSYS will mesh it internally when you invoke the volume sweeping operation (as described above in Step 4.

Consider the following information when deciding whether to "pre-mesh" before sweeping:

  • If you do not pre-mesh, ANSYS uses the element shape setting [MSHAPE] to determine the element shape it uses to mesh the source area (MSHAPE,0,2D results in quadrilateral elements; MSHAPE,1,2D results in triangular elements). The exception to this is if you sweep multiple volumes with a single call to VSWEEP. In this case the source area is always meshed with quadrilaterals.

  • If you want the source area meshed with a KSCON specification, pre-mesh the source area.

  • The sweeping operation will fail if hard points are present on an area or line that is associated with the volume, unless you pre-mesh the area or line containing the hard point.

  • If you pre-mesh both the source area and the target area, the area meshes must match. However, the source area mesh and the target area mesh do not have to be mapped meshes.

See Other Characteristics of Volume Sweeping for more information about the characteristics of the volume sweeping feature.

Figure 7.35: "Sweeping Adjacent Volumes" (a) shows an example of a model that contains two volumes adjacent to one another. Because of the model's geometry, it is necessary to sweep the volumes in different directions, as shown in Figure (b).

Figure 7.35 Sweeping Adjacent Volumes

7.5.5.3. Invoking the Volume Sweeper

To invoke the volume sweeper:

Command(s): | VSWEEP,VNUM,SRCA,TRGA,LSMO
GUI: | Main Menu> Preprocessor> Meshing> Mesh> Volume Sweep> Sweep

If you are using the VSWEEP command to sweep a volume, specify values for the following arguments:

  • Use the VNUM argument to identify the volume or volumes that you want to sweep.

  • Optionally, use the SRCA argument to identify the source area.

  • Optionally, use the TRGA argument to identify the target area.

  • Optionally, use the LSMO argument to specify whether ANSYS should perform line smoothing during the sweeping operation.

See the description of the VSWEEP command in the Commands Reference for details about these arguments.

If you are using the ANSYS GUI to call VSWEEP, the process depends on the setting of EXTOPT,VSWE,AUTO. If EXTOPT,VSWE,AUTO is ON (the default), follow these steps:

  1. Choose menu path Main Menu> Preprocessor> Meshing> Mesh> Volume Sweep> Sweep. The Volume Sweeping picker appears.

  2. Pick the volume or volumes to sweep and click OK to close the picker.

If EXTOPT,VSWE,AUTO is OFF, follow these steps:

  1. Choose menu path Main Menu> Preprocessor> Meshing> Mesh> Volume Sweep> Sweep. The Volume Sweeping picker appears.

  2. Pick the volume you want to sweep and click Apply.

  3. Pick the source area and click Apply.

  4. Pick the target area. Click OK to close the picker.

Note

When using the ANSYS GUI to sweep a volume, you cannot control whether line smoothing occurs. ANSYS does not perform line smoothing when volume sweeping is invoked from the GUI.

7.5.5.4. Strategies for Avoiding Shape Failures During Volume Sweeping

If a volume sweeping operation fails due to bad element shapes, try one or more of the strategies listed below. We recommend that you try these strategies in the order in which they are listed. Hereafter in this section, all references to a figure are specific to Figure 7.36: "Strategies for Avoiding Stretched Elements".

  1. If you did not specify a source and target, specify them and try the volume sweeper again.

  2. Switch the source and target areas and re-invoke the volume sweeper. For example, if you specify area A1 as your source area and area A2 as your target area, and the sweep operation fails, try again using A2 as the source area and A1 as the target area.

  3. Choose an entirely different set of source and target areas and re-invoke the volume sweeper. (Some volumes can be swept in more than one direction.) For example, if area A1 and area A2 do not work, try using A5 and A6.

  4. Use shape checking as a diagnostic tool to determine which region of the model is causing the sweep failure. To do this, reduce the shape checking level to warning mode [SHPP,WARN], so that elements that violate error limits result in warning messages rather than element failures. Then re-invoke the sweeping operation. Use the resulting warning messages to identify the region of the model that contains the bad elements, and then clear the bad element mesh [VCLEAR]. Turn shape checking back on [SHPP,ON]. Next, modify the region of the model that contained the bad elements. Finally, mesh the volume again with a subsequent sweep operation. Here are some suggestions for modifying the model:

    • If one of the lines in the region of poor elements appears to have too many or too few divisions, manually specify a different number of divisions for that line using LESIZE.

    • Try using a smaller element size specification (ESIZE,SIZE) or a different number of element layers.

    • Divide the volume into two or more volumes [VSBA,VSBW], which will shorten the length of the sweep direction. Try dividing the volume near the region where the poorly shaped elements occur. Afterwards, invoke VSWEEP for each of the resulting volumes.

    • If the elements flagged by SHPP,WARN appear to be stretched within thin sections of the target area as in Figure (c), try dividing the side areas in that region along the direction of the sweep. Use these steps:

      1. Clear the mesh [VCLEAR].

      2. Divide one of the lines on the source area and one of the lines on the target area by adding keypoints at the desired division locations [LDIV]. See Figure (e).

      3. Copy the line divisions from the new lines on the source area to the corresponding new lines on the target area as described in Figure (e). (The "new lines" are those that were created by Step 2.) You can copy line divisions easily via the MeshTool. Choose menu path Main Menu> Preprocessor> Meshing> MeshTool. On the MeshTool, press the Copy button to open the picker. Use the picker to copy the line divisions - including spacing ratios - from one line to the other.

      4. Manually map mesh the side area that was affected by Step 2. See Figure (f).

      5. Re-invoke the volume sweeper.

  5. If the elements flagged by SHPP,WARN are stretched within thin sections of the target area, but the previous strategy does not work, clear the mesh and then re-invoke the volume sweeper with line smoothing turned on [VSWEEP,,,,1]. See Figure (d). (This setting is not recommended for large models due to speed considerations.)

Figure (c), (d), and (g) show the results of three different sweeping operations, and illustrate how you can use some of the strategies described above to affect the quality of a swept mesh. In all three cases, the user started with the same volume, which is shown in Figure (a). Figure (b) illustrates the source mesh that was used during the sweep. Again, in all three cases, the user generated this source mesh prior to invoking volume sweeping.

The differences in the results are due to the additional actions (if any) that the user took prior to sweeping. To get the results shown in Figure (c), the user invoked volume sweeping without using any of the strategies described above. Notice the stretched elements that appear on the target area. For the results shown in Figure (d), the user invoked volume sweeping with line smoothing turned on [VSWEEP,,,,1]. In this case, the element shapes are better than those shown in Figure (c); however, they are not as good as those shown in Figure (g). For the results in Figure (g), the user divided lines [LDIV] on the source and target area and map meshed the affected side area prior to sweeping. Notice the significant improvement in the shape of the elements on the target area.

Figure 7.36 Strategies for Avoiding Stretched Elements

7.5.5.5. Other Characteristics of Volume Sweeping

Other characteristics of volume sweeping include the following:

  • The source area and the target area do not have to be flat or parallel.

  • If the topology of the source area and the topology of the target area are the same, the sweeping operation will often succeed even if the shape of the source area is different from the shape of the target area. However, drastically different shapes can cause element shape failures.

  • During volume sweeping, ANSYS can create either linear or quadratic elements. It can sweep quadratic area elements into linear volume elements, and it can sweep linear area elements into quadratic volume elements. (However, when ANSYS sweeps linear area elements into quadratic volume elements, mid-nodes are not added to the edges of the source area. This will result in an element shape failure if you are using quadratic volume elements that do not support dropped mid-nodes.)

  • If no source and target is provided, any values specified EXTOPT, ESIZE, NDIV, BIAS are ignored because they are direction dependent.

  • If you have pre-meshed the source, target, and/or side areas, you can issue the EXTOPT,ACLEAR,1 command prior to sweeping and ANSYS will automatically clear the area elements from any selected source, target, or side area after the swept volume mesh is created. (In the GUI, choose menu path Main Menu> Preprocessor> Meshing> Mesh> Volume Sweep> Sweep Opts to access a dialog box where you can toggle this clearing option on and off.) The areas that you want to clear must be selected for clearing of the area meshes to occur.

  • Volume sweeping does not require your model to have a constant cross section. However, if the cross section varies, it should vary linearly from one end of the sweep to the other for best results.

  • During volume sweeping, if you do not pre-mesh the source area, ANSYS will use the SMRTSIZE, KESIZE, ESIZE, or DESIZE command setting (as appropriate) to mesh the source area. Also note the following information about the ESIZE command. The ESIZE,,NDIV setting may be used to determine the number of element layers that will be created along the volume's side lines during sweeping. However, this is not the preferred method because if the source area is not pre-meshed, the number of element divisions specified by NDIV will apply to all of the source area lines as well. If you want a specified number of element layers, the preferred method is to use the EXTOPT command (as described earlier).

  • VSWEEP can sweep about a zero radius axis (i.e. the source and target areas are adjacent) if the user specifies which areas are to be used as the source and target (see figure below).

    Figure 7.37 Sweep About Zero-Radius Axis

    If the user does not specify a source and target on a volume requiring a zero radius axis, VSWEEP will not succeed. In addition, the element type used by VSWEEP must support wedges if sweeping a quad mesh and pyramids and tets if sweeping a tri mesh. You cannot perform a sweep about a zero-radius axis on defeaturable models.

7.5.6. Generating an Interface Mesh for Gasket Simulations

You must generate an interface mesh as part of the overall meshing procedure for simulating a gasket joint. This type of simulation involves using one of the 2-D or 3-D linear or quadratic interface elements layered between structural elements that have the same characteristics. Meshing of the interface element is done through the IMESH command for the gasket layer, and meshing of the structural elements is done through either the AMESH or VMESH command. The specific order of the meshing procedure is shown below, in reference to the following figure:

Figure 7.38 Components of an Interface Mesh

  1. Define interface and structural elements that have corresponding characteristics. See Element Selection in the Structural Analysis Guide for element selection guidelines.

  2. Mesh the structural component element that contains the source face using either the AMESH or VMESH command.

  3. Mesh the gasket layer component element using either IMESH,LINE or IMESH,AREA; or VDRAG.

  4. Mesh the structural component element that contains the target face using either the AMESH or VMESH command.

See the Notes sections of the IMESH, VDRAG, and EGEN command descriptions for special gasket meshing requirements.

Also, see Meshing Interface Elements in the Structural Analysis Guide for a sample input listing that includes the IMESH command, and graphics representing various meshes of interface and structural elements.

7.5.7. Aborting a Mesh Operation

When meshing is initiated, an ANSYS status window appears. The window displays a message concerning the current status of the meshing operation, and also displays a scale showing the percentage of the meshing operation that is complete. Both the message and the percentage scale are updated periodically as the operation proceeds.

A STOP button is located at the bottom of the status window. Picking the STOP button aborts the mesh operation and causes incomplete meshes to be discarded. Areas or volumes that are completely meshed before STOP is picked will be retained. The solid model and finite element model will be left as they were before meshing was initiated.

You will see the meshing status window only when working in GUI mode. (Status windows will appear by default, but can be turned off by issuing /UIS,ABORT,OFF.) In non-GUI mode, a mesh abort is triggered by the system "break" function (CTRL-C or CTRL-P on most systems).

Note

If a session log file (Jobname.LOG) from an interactive session that included an intentional mesh abort is used as input for another ANSYS session, the results will not likely be the same as they were for the interactive session since the abort will not be reproduced in the subsequent runs.

7.5.8. Element Shape Checking

"Badly shaped" elements can, on occasion, cause very poor analytical results. For this reason, the ANSYS program performs element shape checking to warn you whenever any operation creates an element having a poor shape. Unfortunately, however, there are few universal criteria that can be used to identify a "poorly shaped" element. In other words, an element that gives poor results in one analysis might give perfectly acceptable results in another analysis. Thus, you must realize that the criteria that the ANSYS program uses to identify poor element shapes are somewhat arbitrary. The fact that you receive even hundreds of element shape warnings does not necessarily mean that element shapes will cause any inaccuracy of results. (Conversely, if you do not receive any warnings about element shapes, that does not guarantee accurate results.) As in so many aspects of finite element analysis, the final determination of whether or not your element shapes are acceptable for your application remains your responsibility.

At releases 5.6 and later, ANSYS detects and flags all element shape warning and error conditions at the time of element creation, before storing each element. This is in contrast to ANSYS 5.3 and earlier releases, in which much of the testing occurred just prior to solution.

Although ANSYS performs element shape checking by default, a number of options for controlling element shape checking are available. Although most of the options are described in the sections that follow, you should refer to the SHPP command description in the Commands Reference for additional information. Use either of these methods to modify shape checking:

Command(s): | SHPP
GUI: | Main Menu> Preprocessor> Checking Ctrls> Shape Checking Main Menu> Preprocessor> Checking Ctrls> Toggle Checks

The sections that follow cover how to:

  • Turn element shape checking off entirely or to warning-only mode

  • Turn individual shape tests off and on

  • View a summary of shape test results

  • View current shape parameter limits

  • Change shape parameter limits

  • Retrieve element shape parameter data

  • Understand the circumstances under which ANSYS retests existing elements, and why doing so is necessary

  • Decide whether element shapes are acceptable

Caution

The existence of badly shaped elements in a model may lead to certain computational errors that can cause your system to abort during ANSYS solution. Therefore, you run the risk of a system abort during solution any time that you turn element shape checking off entirely, run shape checking in warning-only mode, turn off individual shape checks, or loosen shape parameter limits.

Note

The Theory Reference for ANSYS and ANSYS Workbench provides detailed information about the shape tests that ANSYS performs and explains the logic that was used to determine each test's default warning and error limits.

7.5.8.1. Turning Element Shape Checking Off Entirely or to Warning-Only Mode

As stated above, ANSYS performs element shape checking by default. When element shape checking occurs, any new element - regardless of how it was created - is tested against existing shape parameter warning and error limits. If the element violates any of the error limits, it not only produces an error message, but also either (a) causes a meshing failure, or (b) for element creation other than AMESH or VMESH, is not stored.

In certain cases, it may be desirable to turn element shape checking off, or to turn it on in warning-only mode. Turning element shape checking off [SHPP,OFF,ALL] deactivates shape checking entirely. When element shape checking is turned on in warning-only mode [SHPP,WARN], shape checking occurs, but elements that violate error limits now only give warnings and do not cause either a meshing or element storage failure.

In the GUI, you can run shape checking in warning-only mode or turn it off entirely by choosing menu path Main Menu> Preprocessor> Checking Ctrls> Shape Checking. When the Shape Checking Controls dialog box appears, choose either "On w/Warning msg" or "Off"; then click on OK.

Situations in which we recommend that you turn shape checking off or run it in warning-only mode include:

  • When you are generating an area mesh [AMESH], but your ultimate intention is to generate a volume mesh [VMESH] of quadratic tetrahedrons with that area as one of the volume's faces. Note that the tetrahedra mesher can fix meshes in which area elements have poor Jacobian ratios. Thus, if you are generating an area mesh for an area that will be a face on a volume in a subsequent volume meshing operation, it may make sense to turn element shape checking to warning-only mode, mesh the area, turn element shape checking on, and then mesh the volume.

  • When you are importing a mesh [CDREAD]. If "bad" elements exist in a mesh that you want to import and element shape checking is turned on, ANSYS may bring the mesh into the database with "holes" where the bad elements should be (or it may not import the mesh at all). Since neither of these outcomes is desirable, you may want to turn element shape checking either off or to warning-only mode prior to importing a mesh. After you import, we suggest that you turn shape checking back on and recheck the elements [CHECK,ESEL,WARN or CHECK,ESEL,ERR].

    Note

    Once elements are in the database, performing element shape checking will not delete them. If any elements in violation of error limits are selected when you initiate a solution [SOLVE], ANSYS issues an error message and does not process the solution.

  • When you are using direct generation and you are creating elements that you know will be temporarily invalid. For example, you may be creating a wedge-shaped element that has coincident nodes. You know that you need to merge the coincident nodes [NUMMRG] in order to get valid elements. In this case, it would make sense to turn off element shape checking, complete the desired operations (such as merging nodes in this example), turn element shape checking on, and then check the elements for completeness [CHECK].

7.5.8.2. Turning Individual Shape Tests Off and On

Rather than turn off shape checking entirely, you can selectively control which tests are off and which are on.

To use the command method to toggle the tests off and on, issue the command SHPP,Lab,VALUE1:

  • Use the Lab argument to indicate whether you want to turn tests off or on. Specify OFF to turn tests off; specify ON to turn tests on.

  • Use the VALUE1 argument to indicate which tests you want to turn off or on. You can specify ANGD (SHELL28 corner angle deviation tests), ASPECT (aspect ratio tests), PARAL (deviation from parallelism of opposite edges tests), MAXANG (maximum corner angle tests), JACRAT (Jacobian ratio tests), or WARP (warping factor tests). You can also specify ALL to turn all tests off or on.

For example, the command SHPP,OFF,WARP turns off all warping factor tests.

In the GUI, you can toggle the tests off and on by choosing menu path Main Menu> Preprocessor> Checking Ctrls> Toggle Checks. When the Toggle Shape Checks dialog box appears, click the individual tests off or on as desired; then click on OK.

7.5.8.3. Viewing a Summary of Shape Test Results

The output below, which is from the SHPP,SUMMARY command, provides a summary of shape test results for all selected elements.

In the GUI, you can view a summary listing by choosing menu path Main Menu> Preprocessor> Checking Ctrls> Shape Checking. When the Shape Checking Controls dialog box appears, choose "Summary" in the option menu; then click on OK.

SUMMARIZE SHAPE TESTING FOR ALL SELECTED ELEMENTS

 ------------------------------------------------------------------------------
            <<<<<<          SHAPE TESTING SUMMARY           >>>>>>
            <<<<<<        FOR ALL SELECTED ELEMENTS         >>>>>>
 ------------------------------------------------------------------------------
                    --------------------------------------
                    |  Element count       214 PLANE82   |
                    --------------------------------------

  Test                Number tested  Warning count  Error count    Warn+Err %
  ----                -------------  -------------  -----------    ----------
  Aspect Ratio                214              0             0         0.00 %
  Maximum Angle               214             59             0        27.57 %
  Jacobian Ratio              214              0             0         0.00 %

  Any                         214             59             0        27.57 %
 ------------------------------------------------------------------------------

7.5.8.4. Viewing Current Shape Parameter Limits

The output below, which is from the SHPP,STATUS command, lists the element shape parameters and default shape parameter limits. By default, when an element's shape falls outside of these limits, a warning or error condition occurs. See Changing Shape Parameter Limits for information about how to change the limits.

In the GUI, you can view a status listing by choosing menu path Main Menu> Preprocessor> Checking Ctrls> Shape Checking. When the Shape Checking Controls dialog box appears, choose "Status" in the option menu; then click on OK.

Note

As stated above, this output shows the default shape parameter limits in ANSYS. If you modify any of these limits or turn off any of the individual shape tests, your output will differ accordingly.

Note

In most cases in the output below, "FACE" also means "cross-section of solid element." For example, the ASPECT RATIO limits apply to both faces and cross-sections of tetrahedra, hexahedra (bricks), pyramids, and wedges.

 ASPECT RATIO (EXCEPT FLOTRAN OR EMAG)
    QUAD OR TRIANGLE ELEMENT OR FACE
         WARNING TOLERANCE ( 1) =   20.00000
         ERROR TOLERANCE   ( 2) =   1000000.
 DEVIATION FROM 90° CORNER ANGLE
    SHELL28 SHEAR/TWIST PANEL
         WARNING TOLERANCE ( 7) =   5.000000
         ERROR TOLERANCE   ( 8) =   30.00000
 DEVIATION FROM PARALLEL OPPOSITE EDGES IN DEGREES    (EXCEPT FLOTRAN OR EMAG)
    QUAD ELEMENT OR FACE WITHOUT MIDSIDE NODES
         WARNING TOLERANCE (11) =   70.00000
         ERROR TOLERANCE   (12) =   150.0000
    QUAD OR QUAD FACE WITH MIDSIDE NODES
         WARNING TOLERANCE (13) =   100.0000
         ERROR TOLERANCE   (14) =   170.0000
 MAXIMUM CORNER ANGLE IN DEGREES (EXCEPT FLOTRAN OR EMAG)
    TRIANGLE ELEMENT OR FACE
         WARNING TOLERANCE (15) =   165.0000
         ERROR TOLERANCE   (16) =   179.9000
    QUAD ELEMENT OR FACE WITHOUT MIDSIDE NODES
         WARNING TOLERANCE (17) =   155.0000
         ERROR TOLERANCE   (18) =   179.9000
    QUAD ELEMENT OR FACE WITH MIDSIDE NODES
         WARNING TOLERANCE (19) =   165.0000
         ERROR TOLERANCE   (20) =   179.9000
 JACOBIAN RATIO
    h-METHOD ELEMENT
         WARNING TOLERANCE (31) =   30.00000
         ERROR TOLERANCE   (32) =   1000.000
    p-METHOD ELEMENT
         WARNING TOLERANCE (33) =   30.00000
         ERROR TOLERANCE   (34) =   40.00000
 QUAD ELEMENT OR FACE WARPING FACTOR
    SHELL43, SHELL163, SHELL181
         WARNING TOLERANCE (51) =   1.000000
         ERROR TOLERANCE   (52) =   5.000000
    INFIN47, INTER115, SHELL131, SHELL57, SHELL157,
    SHELL63 WITH NLGEOM OFF AND KEYOPT1 NOT = 1
         WARNING TOLERANCE (53) =  0.1000000
         ERROR TOLERANCE   (54) =   1.000000
    SHELL41, OR SHELL63 WITH KEYOPT1=1
         WARNING TOLERANCE (55) =  0.4000000E-04
         ERROR TOLERANCE   (56) =  0.4000000E-01
    SHELL28
         WARNING TOLERANCE (57) =  0.1000000
         ERROR TOLERANCE   (58) =   1.000000
    SHELL63 WITH NLGEOM ON AND KEYOPT1 NOT = 1
         WARNING TOLERANCE (59) =  0.1000000E-04
         ERROR TOLERANCE   (60) =  0.1000000E-01
    3D SOLID ELEMENT FACE
         WARNING TOLERANCE (67) =  0.2000000
         ERROR TOLERANCE   (68) =  0.4000000
 ELEMENT SHAPE CHECKING IS ON WITH DEFAULT LIMITS

7.5.8.5. Changing Shape Parameter Limits

If the ANSYS program's default shape parameter limits do not suit your purposes, you can change them by using either the command method [SHPP,MODIFY,VALUE1,VALUE2] or the GUI.

For information about how to use the command method, see the description of the SHPP command in the Commands Reference.

The GUI method is the simplest, and thus preferred, method for changing shape parameter limits. Follow these steps:

  1. Choose menu path Main Menu> Preprocessor> Checking Ctrls> Shape Checking. The Shape Checking Controls dialog box appears.

  2. Click the Change Settings option so that Yes appears.

  3. Click on OK. The Change Shape Check Settings dialog box appears.

  4. For any limit that you wish to change, enter a new limit. Use the scroll bar to move up and down within the list of limits.

  5. When finished entering new limits, click on OK.

7.5.8.5.1. Examples of Changing Shape Parameter Limits

The ANSYS program's element shape checking controls provide the flexibility to fit varied analysis needs. For example:

  • Perhaps you are not particularly concerned about aspect ratio measures. You can turn off all aspect ratio testing by including the command SHPP,OFF,ASPECT in your start110.ans file. If that seems too drastic for your situation, you may choose to specify SHPP,MODIFY,1,1000 instead. Doing so radically loosens the warning limit for aspect ratio tests, without turning off the tests entirely.

  • Suppose that you are using the sequential method of coupled-field analysis to perform a thermal-stress analysis. You plan to use SHELL57 (or SHELL131) elements for the thermal analysis first, and then SHELL63 elements (with nonlinear geometry on) for the structural analysis. If you build your model initially with SHELL57 elements, ANSYS will test the elements against loose warping limits (that is, a warning tolerance of 0.1, and an error tolerance of 1.0 - refer to the sample output provided in Viewing Current Shape Parameter Limits for a complete list of default limits). In contrast, the default warping limits for SHELL63 elements with nonlinear geometry on are very tight (a warning tolerance of 0.00001, and an error tolerance of 0.01). Since ANSYS will test the elements against loose limits for the thermal analysis, the tests may not turn up any elements that are in violation of the nonlinear SHELL63 limits. However, for the structural analysis, ANSYS will test the elements again when you switch the element type to SHELL63 [ETCHG,TTS] and turn on nonlinear geometry [NLGEOM,ON]. Because the limits will be much tighter for the second analysis, elements that caused no problems for the thermal analysis may produce warnings or errors in the structural analysis. You might be faced with a choice between a) accepting poor structural elements, which could compromise the quality of your analysis results, or b) revising the mesh and starting over with a new thermal solution. One way to prevent this situation is to build the model initially with SHELL63 elements with NLGEOM,ON; switch to SHELL57 elements for the thermal solution; then switch back to SHELL63 elements for the structural solution. Another alternative is for you to reset the warping limits for SHELL57 elements as tight as those for SHELL63 elements with NLGEOM,ON. You could accomplish this with the commands SHPP,MODIFY,53,0.00001 and SHPP,MODIFY,54,0.01.

7.5.8.6. Retrieving Element Shape Parameter Data

You can use the *GET and *VGET commands to retrieve element shape parameter data:

Command(s):
*GET, Par, ELEM, ENTNUM, SHPAR, IT1NUM
*VGET, ParR, ELEM, ENTNUM, SHPAR, IT1NUM,,, KLOOP

Note

You cannot use the GUI paths for these commands to retrieve element shape parameter data.

For example, the command *GET,A,ELEM,3,SHPAR,ASPE returns the calculated aspect ratio of element number 3 and stores it in a parameter named A. The command *VGET,A(1),ELEM,3,SHPAR,ASPE returns the aspect ratio of element number 3 and stores it in the first location of A. Retrieval continues with elements numbered 4, 5, 6, and so on, until successive array locations are filled.

See the descriptions of the *GET and *VGET commands in the Commands Reference for more information.

7.5.8.7. Understanding Circumstances Under Which ANSYS Retests Existing Elements

Certain types of changes that you make to defined elements can invalidate prior element shape testing. ANSYS is designed to trap these types of changes and retest the affected elements automatically. Circumstances under which ANSYS retests existing elements include:

  • When you change the element type [ET,,Ename or ETCHG,Cnv] or one of its key options [KEYOPT].

  • When you change the element TYPE number of an element [EMODIF].

  • When you change the large deformation key [NLGEOM,Key] for SHELL63 elements.

  • When you define a shell thickness [R] after you define an element, or you change an existing shell thickness [RMODIF] or the REAL number of a shell element [EMODIF].

Note

There is a distinction between the element type and that element type's TYPE number. The element type is the true name of the element (for example, BEAM4 or SHELL63, sometimes shortened to simply 4 or 63). The element type's TYPE number is an arbitrary number that is locally assigned to a particular element type; you use the TYPE number to reference the element type when assigning attributes to your model.

7.5.8.8. Deciding Whether Element Shapes Are Acceptable

Here are some suggestions to help you decide whether you should be concerned about an element shape warning:

  • Never ignore an element shape warning. Always investigate the effect that a "poorly" shaped element might have on your analysis results.

  • Recognize that structural stress analyses that have the goal of determining stress at particular locations will typically suffer more severe effects from "poorly" shaped elements than will other types of analyses (deflection or nominal stress, modal, thermal, magnetic, etc.).

  • If any "poorly" shaped elements are located in a critical region (such as near a critical stress point), their effect is more likely to be detrimental.

  • "Poorly" shaped higher-order (midside-node) elements will generally produce better results than will similarly shaped linear elements. The default ANSYS shape parameter limits are more restrictive on linear elements than on higher-order elements.

  • Verification of analysis results by comparison with other analyses, test data, or hand calculations is essential regardless of whether elements produce shape warnings. If such verification indicates that you have high-quality results, there is little reason to worry about shape warnings.

  • Some of the best quantitative measures of an element's acceptability are the error measures based on the element-to-element discontinuity in a stress or thermal gradient field. (See The General Postprocessor (POST1) in the Basic Analysis Guide. An element that produces shape warnings and shows a high error measure compared to its neighbors is suspect.)

To check element shapes in an existing mesh (an ANSYS mesh or a mesh imported from a CAD program), use the CHECK command (Main Menu> Preprocessor> Meshing> Check Mesh> Connectivity> Sel Bad Elems).

Refer to the description of the SHPP command in the Commands Reference for more information about element shape checking.

7.5.9. Mesh Validity Checking

There are times when the CHECK command will fail to detect potential problems in a mesh. The CHECK command is designed to examine each individual selected element and report warnings or errors based on specified shape criteria. It will not detect overlapping or poorly-connected elements. The MCHECK command is designed to detect potential problems with how elements are connected to each other. Figure 7.39: "Flawed Mesh (elements “folded”)" shows an example of a flawed mesh that would not be detected by the CHECK command. All elements in this mesh are of acceptable quality. The MCHECK command, however, would detect the potential connectivity problem and report an error.

The MCHECK command will perform a number of validity checks on the selected elements, including

1. Normal check: Wherever two area elements share a common edge, MCHECK verifies that the ordering of the nodes on each element is consistent with their relative normals.
2. Volume check: Wherever two volume elements share a common face, MCHECK verifies that the sign of the integrated volume of each element is consistent.
3. Closed surface check: MCHECK verifies that the element exterior faces form simply-connected closed surfaces (this may detect unintended cracks in a mesh).
4. Check for holes in the mesh: MCHECK warns if the number of element faces surrounding an interior void in the mesh is small enough to suggest one or more accidentally omitted elements, rather than a deliberately formed hole. For this test, the number of faces around the void is compared to the smaller of a) three times the number of faces on one element, or b) one-tenth the total number of element faces in the model.

Similar to the CHECK command, MCHECK provides the option of unselecting all valid elements, so that the potential problem elements can be identified visually. Use Lab=ESEL to unselect valid elements.

To check mesh connectivity:

Command(s): | MCHECK,Lab
GUI: | Main Menu> Preprocessor> Meshing> Check Mesh> Ck Connectivity

Figure 7.39 Flawed Mesh (elements “folded”)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.4. Controls Used for Free and Mapped Meshing 		Up / Home Next
7.6. Changing the Mesh


7.6. Changing the Mesh

If you decide that the generated mesh is not appropriate, you can easily change the mesh by one of the following methods:

  • Remesh with new element size specifications.

  • Use the accept/reject prompt to discard the mesh, then remesh.

  • Clear the mesh, redefine mesh controls, and remesh.

  • Refine the mesh locally.

  • Improve the mesh (for tetrahedral element meshes only).

Details of these methods are discussed below.

7.6.1. Remeshing the Model

You can remesh a meshed model by resetting element size controls and initiating the meshing operation [AMESH or VMESH]. This is the simplest way to change your mesh. The accept/reject prompt is not required, and the mesh does not need to be cleared in order to remesh it.

However, there are some restrictions to using this method. You can change element size specifications controlled by the KESIZE, ESIZE, SMRTSIZE, and DESIZE commands, but you cannot change size specifications assigned directly to lines [LESIZE]. If you want the option of changing LESIZE settings before remeshing, use the mesh accept/reject prompt instead of this method.

This remesh option is available only when meshing is performed interactively through the GUI. If you are using command input, you must first clear the mesh before remeshing (see Clearing the Mesh for more information).

7.6.2. Using the Mesh Accept/Reject Prompt

As mentioned earlier, you can activate the mesh accept/reject prompt in the GUI by picking Main Menu> Preprocessor> Meshing> Mesher Opts before meshing. (The prompt is turned off by default.) When activated, the prompt appears after each meshing operation and allows you to either accept or reject the generated mesh. If the mesh is rejected, all nodes and elements will be cleared from the meshed entities. You can then reset any of the meshing controls and remesh the model.

The accept/reject prompt is available for area and volume meshing. The advantage of using the prompt is that you do not have to manually clear the mesh [ACLEAR and VCLEAR].

7.6.3. Clearing the Mesh

Clearing the mesh of nodes and elements is not always required before remeshing. However, you do have to clear the mesh in order to respecify LESIZE settings. You also have to clear the mesh if you want to change the underlying solid model.

To clear the mesh from keypoints [KCLEAR], lines [LCLEAR], areas [ACLEAR], or volumes [VCLEAR], pick Main Menu> Preprocessor> Meshing> Clear> entity type in the GUI. (For more information on the clearing operation, see Clearing a Mesh of this manual.)

7.6.4. Refining the Mesh Locally

If you are generally satisfied with a mesh but would like to have more elements in a particular region, you can refine the mesh locally around selected nodes [NREFINE], elements [EREFINE], keypoints [KREFINE], lines [LREFINE], or areas [AREFINE]. The elements surrounding the chosen entities will be split to create new elements. You control the refinement process by specifying:

  • The level of refinement to be done (in other words, the desired size of the elements in the refinement region, relative to the size of the original elements)

  • The depth of surrounding elements that will be remeshed, in terms of the number of elements outward from the selected entity

  • The type of postprocessing to be done after the original elements are split (smoothing and cleaning, smoothing only, or neither)

  • Whether triangles can be introduced into the mesh during the refinement of an otherwise all-quadrilateral mesh

You can access local mesh refinement in the GUI by picking Main Menu> Preprocessor> Meshing> Modify Mesh> Refine At> entity. You can also do overall refinement by using the command ESEL,ALL or by picking the menu path Main Menu> Preprocessor> Meshing> Modify Mesh> Refine At> All. See "Revising Your Model" of this manual for details on refining a mesh locally.

7.6.5. Improving the Mesh (Tetrahedral Element Meshes Only)

The tetrahedral mesh improvement feature enables you to improve a given tetrahedral mesh. ANSYS performs this improvement through face swapping, node smoothing, and other techniques that it uses to reduce the number of poorly-shaped tetrahedral elements (in particular, the number of sliver tetrahedral elements) - as well as the overall number of elements - in the mesh. It also improves the overall quality of the mesh.

7.6.5.1. Automatic Invocation of Tetrahedral Mesh Improvement

In many cases, you won't need to take any action to obtain the benefits offered by the tetrahedral mesh improvement feature. As described earlier in Controlling Tetrahedral Element Improvement, the ANSYS program invokes the feature automatically as a postprocessing step of its volume meshers. Tetrahedral mesh improvement also occurs automatically during the creation of transitional pyramid elements (described in Creating Transitional Pyramid Elements) and the refinement of tetrahedral element meshes (described in "Revising Your Model").

7.6.5.2. User Invocation of Tetrahedral Mesh Improvement

Although tetrahedral mesh improvement often occurs automatically, there are certain situations in which you'll find it useful to request additional improvement for a given tetrahedral mesh:

  • When tetrahedra improvement is invoked automatically during a volume meshing operation [VMESH], ANSYS uses a linear tetrahedral shape metric for improvement. This means that ANSYS ignores midside nodes that may be present within the elements. However, when you request tetrahedra improvement of a given mesh as documented below, ANSYS takes the midside nodes into account. Thus, for meshes of quadratic (midside-node) tetrahedral elements, requesting additional tetrahedra improvement [VIMP] after the mesh is created [VMESH] can help to remove, or at least reduce, the number of element shape test warning messages that are produced and to improve the overall quality of the mesh.

  • Since imported tetrahedral meshes have not received the benefits of the tetrahedral mesh improvement that ANSYS often performs automatically, imported tetrahedral meshes are likely candidates for user-invoked improvement.

Tetrahedral mesh improvement is an iterative process. Each time that processing completes, a special window appears to report the improvement statistics from that iteration, along with diagnostic messages. If you want to try to improve the mesh further, you can reissue your request repeatedly, until either the statistics indicate a satisfactory mesh, or until it converges and no more noticeable improvement is made.

You can request improvement of two "types" of tetrahedral elements:

  • You can request improvement of tetrahedral elements that are not associated with a volume. (Typically, this option is useful for an imported tetrahedral mesh for which no geometry information is attached.) Use one of these methods:

    Command(s): TIMP
    GUI: Main Menu> Preprocessor> Meshing> Modify Mesh> Improve Tets> Detached Elems

  • You can request improvement of tetrahedral elements that are in a selected volume or volumes. (You might want to use this option to further improve a volume mesh created in ANSYS [VMESH].) Use one of these methods:

    Command(s): VIMP
    GUI: Main Menu> Preprocessor> Meshing> Modify Mesh> Improve Tets> Volumes

7.6.5.3. Restrictions on Tetrahedral Mesh Improvement

The following restrictions apply to tetrahedral mesh improvement:

  • The mesh must consist of either all linear elements or all quadratic elements.

  • For all of the elements in the mesh to be eligible for tetrahedral mesh improvement, they must all have the same attributes, including element type. (The element type must be tetrahedral, but the tetrahedral elements may be the degenerated form of hexahedral elements.) After tetrahedral mesh improvement, ANSYS reassigns the attributes from the old set of elements to the new set of elements.

    Note

    Tetrahedral mesh improvement is possible in a mesh of mixed element shapes (as opposed to types). For example, as stated earlier, improvement occurs automatically during the creation of transitional pyramid elements at the interface between hexahedral and tetrahedral element types. However, in a mixed mesh, only the tetrahedral elements are improved.

  • Loading has an effect on whether tetrahedral mesh improvement is possible. Tetrahedral mesh improvement is possible when loading occurs in either of these ways:

    • When loads have been applied to the element faces or nodes on the boundary of the volume only

    • When loads have been applied to the solid model (and have been transferred to the finite element mesh)

    Tetrahedral mesh improvement is not possible when loading occurs in either of these ways:

    • When loads have been applied to the element faces or nodes within the interior of a volume

    • When loads have been applied to the solid model (and have been transferred to the finite element mesh), but have also been applied to the element faces or nodes within the interior of a volume

    Note

    In the last two loading situations, ANSYS issues a warning message to notify you that you must remove the loads if you want tetrahedral mesh improvement to occur.

  • If node or element components are defined, you will be asked whether you want to proceed with mesh improvement. If you choose to proceed, you must update any affected components.

7.6.5.4. Other Characteristics of Tetrahedral Mesh Improvement

Other characteristics of tetrahedral mesh improvement include:

  • Element numbering and node numbering are modified.

  • Generally, if ANSYS encounters an error or a user abort occurs, it leaves the mesh unchanged. However, ANSYS may save a partially improved mesh after an abort if you verify the save when ANSYS prompts you. If you have requested improvement for multiple volumes [VIMP], the abort applies only to the current volume mesh that is being improved; all previously improved volume meshes are already saved. (The same applies when an error occurs after the first of multiple volumes is improved.)

Please see the TIMP and VIMP command descriptions for more information.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.5. Meshing Your Solid Model 		Up / Home Next
7.7. Meshing Hints


7.7. Meshing Hints

Consider the hints and cautions in this section if you are having difficulty obtaining a good mesh.

Flattened regions or regions having excessively sharp corners: Areas or volumes that are flattened or have a sharp interior corner can commonly experience a meshing failure.

Figure 7.40 Avoiding Sharp Corners

Extreme element size transition: Poor element quality will often occur if you specify too extreme a transition in element sizes.

Figure 7.41 Avoiding Extreme Element Size Transitions

Excessive element curvature: When using midside-node structural elements to model a curved boundary, you should usually make sure that you make your mesh dense enough that no single element spans more than 15° of arc per element length. If you do not need detailed stress results in the vicinity of a curved boundary, you can force the creation of straight-sided elements [MSHMID,1] in a coarse mesh along curved edges and faces. In cases where a curved-sided element will create an inverted element, the tetrahedra mesher automatically changes it to a straight-sided element and outputs a warning.

Figure 7.42 Use of MSHMID,1 to Force Straight-Sided Elements

Tetrahedron meshing failure: A tetrahedron meshing failure can be quite time-consuming. One relatively quick way that you can make a preliminary check for a possible tetrahedron meshing failure is by meshing the surfaces of a volume with 6-node triangles. If this surface triangle mesh contains no sudden size transitions (admittedly often a difficult judgement) and produces no curvature or aspect ratio warnings, tetrahedron meshing failure is much less likely than if these conditions are not met. (Be sure to clear or deactivate the triangle elements before using the analysis model.)

Subtracting meshed entities: Avoid subtracting meshed entities from your model whenever possible. However, if you subtract entities that have been meshed and an undesirable mesh mismatch results, you can recover by clearing the mesh and remeshing the entities.

High- and low-order elements in adjacent entities: When you use high- and low-order elements in adjacent entities (for example, high-order elements in one volume and low-order elements in an adjacent volume, or high-order elements in an area and low-order elements in a volume attached to the area), ANSYS recommendeds that you perform the low-order mesh first, followed by the high-order mesh. Reversing this order can cause database corruption when the entity containing the high-order mesh is cleared without first clearing the low-order mesh.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.6. Changing the Mesh 		Up / Home Next
7.8. Using CPCYC and MSHCOPY Commands


7.8. Using CPCYC and MSHCOPY Commands

7.8.1. CPCYC Example

The cyclic sector model shown below represents 1/20 (18° of arc) of a disk. For loadings which are the same on every sector, we can obtain a correct solution by coupling the degrees of freedom on the “low” sector boundary and the corresponding DOF on the “high” boundary. Cyclic sector models are typically referred to the global cylindrical coordinate system. Moving from the “low” boundary in the +θ direction passes through the sector toward the “high” boundary. Cyclic coupling requires identical node and element patterns on the low and high sector boundaries. The MSHCOPY operation allows convenient generation of such a matching mesh.

Figure 7.43 Prior to Coupling

7.8.2. CPCYC Results

The CPCYC operation will couple the DOF on the low boundary to the corresponding DOF on the high boundary. It will also rotate the nodal DOF into the cylindrical system you use to specify the angle spanned by the sector. (This is needed to couple radial deflection to radial deflection, axial to axial, and circumferential to circumferential.)

Figure 7.44 After Coupling

7.8.3. MSHCOPY Example

The cyclic sector model shown below represents 1/20 (18° of arc) of a disk.

If loads are symmetric about the cut planes, the left and right faces can be treated as symmetry surfaces. In such cases, equally good results could be obtained by slicing the model in half through the center of the hole, including only 9° of arc.

For more complex loadings, or for cyclic sector models having non-flat cut surfaces, symmetry boundary conditions are not correct, and may produce misleading results. There are several approaches to obtaining correct solutions for such cases, all of which require establishing a relationship between solution degrees of freedom on the “low” sector boundary and corresponding DOF on the “high” boundary. (Cyclic sector models are typically referred to the global cylindrical coordinate system. Moving from the “low” boundary in the +θ direction passes through the sector toward the “high” boundary. For example, see CPCYC.) These methods all require identical node and element patterns on the low and high sector boundaries. The MSHCOPY operation allows convenient generation of such a matching mesh.

Figure 7.45 Illustration of High and Low Boundary Sector Boundaries

7.8.4. Low Sector Boundary

The first step is to mesh the low sector boundary areas. MESH200 is a good choice.

Figure 7.46 Illustration of Low Sector Boundary

7.8.5. Area Elements from MSHCOPY and AMESH

The second step is to use MSHCOPY to duplicate the low sector boundary elements onto the high sector boundary. If you intend to perform a modal cyclic symmetry analysis, be sure to allow MSHCOPY to create the low and high node components.

Figure 7.47 Low and High Sector Boundaries Selected

7.8.6. Meshing the Sector Volume(s)

The third step is to mesh the sector volume(s). The volume elements will use the area element connectivity already in place on the sector boundaries.

Figure 7.48 Illustration of Meshed Volume(s)

The final step is to make sure that the area elements do not affect the solution, by one of the following methods:

  • Use MESH200 elements to mesh the sector boundaries. They have no DOF, and cannot affect a solution, or

  • Clear all area elements after creating the volume mesh, or

  • Unselect all area elements before solution. This method will cause a warning at solution about the unselected elements. You also run the risk that someone may inadvertently activate them during a later solution using the same analysis model.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.7. Meshing Hints 		Up / Home Next
Chapter 8. Revising Your Model


Chapter 8. Revising Your Model

ANSYS offers various methods for revising and refining your model. The following topics are available:

  • Refining a Mesh Locally
  • Moving and Copying Nodes and Elements
  • Keeping Track of Element Faces and Orientations
  • Revising a Meshed Model: Clearing and Deleting
  • Understanding Solid Model Cross-Reference Checking

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.8. Using CPCYC and MSHCOPY Commands 		Up / Home Next
8.1. Refining a Mesh Locally


8.1. Refining a Mesh Locally

There are generally two situations in which you may want to refine a mesh in a local region:

  • You have meshed a model and you would like a finer mesh in specific regions of the model, or

  • You have completed the analysis and, based on the results, would like a more detailed solution in a region of interest.

For all area meshes and for volume meshes composed of tetrahedra, the ANSYS program allows you to refine the mesh locally around specified nodes, elements, keypoints, lines, or areas. Meshes composed of volume elements other than tetrahedra (for example, hexahedra, wedges, and pyramids) cannot be locally refined.

The following mesh-refinement topics are available:

  • How to Refine a Mesh
  • Refinement Commands and Menu Paths
  • Transfer of Attributes and Loads
  • Other Characteristics of Mesh Refinement
  • Restrictions on Mesh Refinement

8.1.1. How to Refine a Mesh

You must follow these two steps to refine a mesh:

  1. Select the entity (or set of entities) around which refinement will be done.

  2. Specify the level of refinement to be done (in other words, the desired size of the elements in the refinement region, relative to the size of the original elements). The refined elements will always be smaller than the original elements; the local mesh refinement process does not provide mesh coarsening (LEVEL).

8.1.1.1. Advanced Controls

If you prefer to have more control over the refinement process, you can also set values for any of the following advanced options:

  • You can specify the depth of the mesh refinement region in terms of the number of elements outward from the indicated entities (DEPTH).

  • You can specify the type of postprocessing to be done after the original elements are split. Postprocessing may include both smoothing and cleaning, smoothing only, or neither one (POST).

  • You can specify whether triangles can be introduced into the mesh during the refinement of an otherwise all-quadrilateral mesh. In other words, you can indicate whether quadrilateral elements must be retained (RETAIN).

8.1.2. Refinement Commands and Menu Paths

Use the following xREFINE commands and menu paths to select entities for refinement and to set refinement controls. (The refinement controls are described in detail below.)

  • To refine around a selected set of nodes, use one of the following methods:

    Command(s): NREFINE
    GUI: Main Menu> Preprocessor> Meshing> Modify Mesh> Refine At> Nodes

  • To refine around a selected set of elements, use one of the following methods:

    Command(s): EREFINE
    GUI: Main Menu> Preprocessor> Meshing> Modify Mesh> Refine At> Elements
    Main Menu> Preprocessor> Meshing> Modify Mesh> Refine At> All

  • To refine around a selected set of keypoints, use one of the following methods:

    Command(s): KREFINE
    GUI: Main Menu> Preprocessor> Meshing> Modify Mesh> Refine At> Keypoints

  • To refine around a selected set of lines, use one of the following methods:

    Command(s): LREFINE
    GUI: Main Menu> Preprocessor> Meshing> Modify Mesh> Refine At> Lines

  • To refine around a selected set of areas, use one of the following methods:

    Command(s): AREFINE
    GUI: Main Menu> Preprocessor> Meshing> Modify Mesh> Refine At> Areas

Figure 8.1: "Examples of Local Mesh Refinement" shows examples of mesh refinement around a node [NREFINE], element [EREFINE], keypoint [KREFINE], and line [LREFINE].

Figure 8.1 Examples of Local Mesh Refinement

Figure 8.2: "Tetrahedral Mesh Refinement Around an Area" illustrates the use of the AREFINE command to perform tetrahedral mesh refinement around an area.

Figure 8.2 Tetrahedral Mesh Refinement Around an Area

8.1.2.1. Specifying the Level of Refinement

Use the LEVEL argument to specify how much refinement is to be done. The value of LEVEL must be an integer from 1 to 5, where a value of 1 provides minimal refinement, and a value of 5 provides maximum refinement. When LEVEL = 1, the resulting element edges in the refined region are approximately 1/2 the original edge lengths; when LEVEL = 5, the resulting element edges are approximately 1/9 the original edge lengths. The table below lists all of the possible settings of LEVEL, along with the approximate resulting edge length for each setting.

Value of LEVEL Argument | Approximate Edge Length
1 | 1/2
2 | 1/3
3 | 1/4
4 | 1/8
5 | 1/9

Values of LEVEL from 1 to 5 attempt to provide gradually decreasing element edge lengths. However, be aware that when RETAIN = ON, different values of LEVEL may provide the same refinement. (For more information, see the explanation of the RETAIN argument below.) Elements in the layer just outside of the refinement region (that is, beyond the specified DEPTH) may also be split in order to transition to the refinement elements.

Note

All values of LEVEL result in smaller elements in the refinement region. The local mesh refinement process does not provide mesh coarsening.

8.1.2.2. Specifying the Depth of Refinement

By default, the mesh is refined one element outward from the chosen entities (except for element refinement, which uses DEPTH = 0 as the default), and the elements are split one time (that is, the element edges are divided in half, since LEVEL = 1 by default).

8.1.2.3. Specifying Postprocessing for the Refinement Region: Smoothing and Cleanup

As part of the refinement process, you can specify the type of postprocessing ANSYS does after the original elements are split. You can choose smoothing and cleaning (the default), smoothing only, or neither one.

  • If you want ANSYS to do smoothing and cleaning, set POST = CLEAN (or choose Cleanup & Smooth in the GUI).

  • If you want ANSYS to do only smoothing, set POST = SMOOTH (or choose Smooth in the GUI).

  • If you do not want ANSYS to do either type of postprocessing, set POST = OFF (or choose Off in the GUI).

Smoothing: By default, nodes in the refinement region are smoothed (that is, their locations are adjusted) to improve the element shapes. Node locations will be adjusted subject to the following constraints:

  • Nodes at keypoints will not move.

  • Nodes on lines will move only on the line.

  • Nodes within areas will remain on the surface.

  • If the mesh has been detached from the solid model (MODMSH,DETACH or menu path Main Menu> Preprocessor> Checking Ctrls> Model Checking), smoothing will not be done.

You can turn node smoothing off for all nodes by setting POST = OFF for the refinement command being used. (Doing so turns cleanup off as well.)

Cleanup: When cleanup is turned on (POST = CLEAN), the ANSYS program performs cleanup operations (in 2-D models) on all of the elements that are associated with any affected geometric entities. In 3-D models, ANSYS performs cleanup only on those elements that are in or directly adjacent to the refinement region. Cleanup operations improve the quality of the elements. If the mesh has been detached from the solid model, (MODMSH,DETACH or menu path Main Menu> Preprocessor> Checking Ctrls> Model Checking), cleanup will not be done on area meshes, but it will be done on tetrahedral volume meshes.

When you are refining a quadrilateral mesh, cleanup operations attempt to eliminate triangles from the refinement transition region. If poorly-shaped quadrilateral elements remain after the cleanup operations have optimized element quality, ANSYS splits the elements into triangles. You can prevent this splitting of quadrilateral elements by setting RETAIN = ON (the default). Figure 8.3: "All-Quadrilateral Mesh" illustrates the cleanup of an all-quadrilateral mesh.

Note

You can turn cleanup off by setting POST = OFF or POST = SMOOTH for the refinement command being used.

Figure 8.3 All-Quadrilateral Mesh

8.1.2.4. Specifying Whether Quadrilateral Elements Should Be Retained

Note

The ANSYS program ignores the RETAIN argument when you are refining anything other than a quadrilateral mesh.

By default, RETAIN = ON, which means that the refinement process will not introduce triangular elements into an otherwise all-quadrilateral mesh. When RETAIN = OFF and POST = SMOOTH or OFF, the resulting refinement region may contain triangles in order to maintain transitioning. When RETAIN = OFF and POST = CLEAN, triangles are minimized; however, they may not be completely eliminated - a minimal number of triangles may remain in the transition region in order to provide good element quality.

Note

If an area is meshed with a mixture of quadrilateral and triangular elements, the quadrilateral elements will not be maintained in the refinement region even when RETAIN = ON.

Since quadrilateral meshes are much more constrained than triangular meshes, increasing or decreasing the value of the LEVEL argument may not provide the desired increase or decrease in the level of refinement when RETAIN = ON. In addition, even when quadrilateral elements can be maintained, the quality of some of them may be poor, especially with a higher value of LEVEL. By setting RETAIN = OFF, however, some triangles may be introduced into the mesh. This may not be desirable, especially if you are using lower-order elements. You can keep these triangles out of the point of interest by doing one of the following:

  • Refine with a larger DEPTH; that is, at a larger radius from the point of interest.

  • Refine with POST = CLEAN. This setting for the POST argument minimizes the number of triangles as much as possible.

  • Refine using another method (for example, use local mesh controls and remesh).

8.1.3. Transfer of Attributes and Loads

Element attributes associated with the "parent" element are automatically transferred to all of the "child" elements. These attributes include element type, material properties, real constants, and element coordinate systems (see "Generating the Mesh" for details on element attributes).

Loads and boundary conditions applied to the solid model are transferred to nodes and elements when the solution is initiated (or when loads are manually transferred with the SBCTRAN or DTRAN commands). Therefore, solid model loads will be correctly applied to the new nodes and elements created during refinement. However, loads and boundary conditions applied at the node and element level (finite element loads) cannot be transferred to new nodes and elements created during refinement. If you have such loads in a region selected for refinement, the program will not allow refinement to take place unless the loads are first deleted. Therefore, it is recommended that you apply loads only to the solid model rather than directly to nodes and elements if you anticipate using mesh refinement.

Note

Since solid model loading is not applicable for an explicit dynamics analysis (that is, the ANSYS LS-DYNA product), mesh refinement must be performed before the application of loads in this type of analysis.

8.1.4. Other Characteristics of Mesh Refinement

Other characteristics of mesh refinement include the following:

  • The new elements and nodes created during refinement (including midside nodes) are projected to the underlying solid model geometry. (See Figure 8.4: "Nodes and Elements are Projected to Underlying Geometry".)

  • When using the option to refine around nodes [NREFINE], midside nodes that are included in the selected set are ignored.

  • Mesh refinement will not cross area and volume boundaries. That is, if the specified DEPTH goes beyond the edges of the meshed area or volume, the adjacent area and/or volume meshes won't change (see Figure 8.5: "Mesh Refinement Will Not Cross Area Boundaries"). However, if an entity picked for refinement (node, element, keypoint, or line) is on the boundary, or entities are picked on both sides of the boundary, then refinement will extend into the adjacent area or volume.

  • Mesh refinement will take place only in elements that are currently selected (see Figure 8.6: "Only Selected Elements are Refined").

  • Refinement can be used on a mesh that has been detached from the solid model (MODMSH,DETACH or menu path Main Menu> Preprocessor> Checking Ctrls> Model Checking). In this case, the refinement will not be stopped by area boundaries. Also, the nodes and elements will not be projected to the solid model and none of the postprocessing specified with the POST argument will be done.

  • When cleanup is turned on (POST = CLEAN) during the refinement of a tetrahedral mesh, ANSYS automatically performs a high level of cleanup operations (that is, a level equivalent to VIMP,,,2) in the refinement region only. If you receive shape error messages during refinement, turn off shape checking [SHPP,OFF], perform refinement again [xREFINE], and then request tetrahedral element improvement at the highest level [VIMP,,,3].

  • If you use the LESIZE command to specify divisions for lines and those lines are later affected by the refinement process, ANSYS will change the line divisions for the affected lines (that is, the numbers of divisions on the lines not only increase, but also show up as negative numbers in a subsequent line listing [LLIST]).

Note

The presence of the negative sign affects how ANSYS treats the line divisions if you clear the mesh later (ACLEAR, VCLEAR, etc., or menu path Main Menu> Preprocessor> Meshing> Clear> entity). If the number of line divisions is positive, ANSYS does not remove the line divisions during the clearing operation; if the number is negative, ANSYS removes the line divisions (which will then show up as zeros in a subsequent line listing).

Figure 8.4 Nodes and Elements are Projected to Underlying Geometry

Figure 8.5 Mesh Refinement Will Not Cross Area Boundaries

Figure 8.6 Only Selected Elements are Refined

8.1.5. Restrictions on Mesh Refinement

The following restrictions apply to mesh refinement:

  • Although local refinement can be used for all area meshes, it can be used for only those volume meshes that are composed of tetrahedra. Meshes composed of volume elements other than tetrahedra (for example, hexahedra, wedges, and pyramids) cannot be locally refined.

  • If the model contains contact elements in the region selected to refine, you cannot use local mesh refinement. In this case, refine the mesh before defining contact elements (or, delete the contact elements, refine the mesh, then reapply the contact elements).

  • Local mesh refinement does not support elements that are generated on the free faces of existing elements [ESURF]. Instead of using refinement on these elements, delete the surface elements, refine the underlying elements, and then generate the surface elements again.

  • If beam elements exist adjacent to the refinement region, refinement cannot be done. In order to refine in this area, the beam elements should be deleted and redefined after refinement is performed.

  • If loads are applied directly to the nodes and elements in a model, refinement cannot be done. In this case, you must delete the loads in order to refine the mesh. (To avoid this situation, it is recommended that you apply loads to the solid model instead of the finite element model.)

  • Local mesh refinement cannot be done if initial conditions at nodes [IC], coupled nodes [CP family of commands], or constraint equations [CE family of commands] exist in the model. If any of these exist, you must remove them before refinement can be done.

  • Local mesh refinement is not recommended for an explicit dynamics model (that is, when using the ANSYS LS-DYNA product) since the small elements resulting from refinement may dramatically reduce the time step size.

  • The KSCON command is not supported. For any area that was meshed with the KSCON command, midside nodes will be placed at the middle of the edges when refinement is done.

  • If element or node components are defined, you will be asked whether you want to proceed with the refinement. If you choose to proceed, you must update any affected components.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 8. Revising Your Model 		Up / Home Next
8.2. Moving and Copying Nodes and Elements


8.2. Moving and Copying Nodes and Elements

In the normal solid modeling procedure, you will ordinarily complete your entire solid model before generating your finite element mesh. However, if repetitive geometric features appear in your model, you might sometimes find it more efficient to model and mesh just one representative portion of your model, and then copy that meshed region as many times as needed to complete the model. (It is usually much less expensive to copy an existing mesh than to generate a new mesh.) A certain amount of forethought is generally required if you are to accomplish this procedure successfully.

The general procedure for copying a meshed region is to use the commands for generating and transferring areas and volumes, which are described below. When a meshed solid model entity is copied using one of these commands, all the attached lower-order entities, as well as the node and element mesh, are copied along with that entity.

  • To generate additional areas from a pattern of areas, use one of the following methods:

    Command(s): AGEN
    GUI: Main Menu> Preprocessor> Modeling> Copy> Areas
    Main Menu> Preprocessor> Modeling> Move/Modify> Areas> Areas

  • To generate additional volumes from a pattern of volumes, use one of the following methods:

    Command(s): VGEN
    GUI: Main Menu> Preprocessor> Modeling> Copy> Volumes
    Main Menu> Preprocessor> Modeling> Move/Modify> Volumes

  • To generate areas from an area pattern by symmetry reflection, use one of the following methods:

    Command(s): ARSYM
    GUI: Main Menu> Preprocessor> Modeling> Reflect> Areas

  • To generate volumes from a volume pattern by symmetry reflection, use one of the following methods:

    Command(s): VSYMM
    GUI: Main Menu> Preprocessor> Modeling> Reflect> Volumes

  • To transfer a pattern of areas to another coordinate system, use one of the following methods:

    Command(s): ATRAN
    GUI: Main Menu> Preprocessor> Modeling> Move/Modify> Transfer Coord> Areas

  • To transfer a pattern of volumes to another coordinate system, use one of the following methods:

    Command(s): VTRAN
    GUI: Main Menu> Preprocessor> Modeling> Move/Modify> Transfer Coord> Volumes

You must plan ahead to ensure that the interfaces between copied regions will match up node for node. For example, if you freely meshed a volume, the pattern of nodes on the right end would not necessarily match the pattern of nodes on the left end. If the original part and its copy were to be joined such that the right end of one part interfaced with the left end of the other part, a seam of discontinuity would be created where the two mismatched faces touched.

It is relatively easy to create matching node patterns along the line edges of meshed areas: simply specify the same number of line divisions and division spacings on both sides of the original part. Volumes are not so straightforward, however. You will need to use a trick to force matching node patterns on two faces of a meshed volume. Before meshing with volume elements, mesh one of the matching faces with dummy area elements, then copy that meshed area to the other matching face. (Depending on how you originally created your volume, you might or might not have some cleaning up to do at this point. If you wind up with duplicate coincident areas, you should redefine your volume in terms of the new meshed area, and delete the original volume.) The volume can then be meshed with solid elements. After the volume meshing is complete, you should delete the dummy area elements. (You can do this fairly cleanly using selecting and either the ACLEAR command or menu path Main Menu> Preprocessor> Meshing> Clear> Areas.)

Having created meshed regions which will match up at their interfaces, you can now copy the part, such that the repeated regions just touch. Even though these regions will have matching nodes at the interfaces, the degrees of freedom at these nodes will remain independent; that is, a seam of discontinuity will exist in your model at the interface. You should execute NUMMRG,ALL to eliminate this discontinuity. It is usually good practice to follow these operations with a NUMCMP command (Main Menu> Preprocessor> Numbering Ctrls> Compress Numbers).

Figure 8.7 Generating Meshed Volumes With Matching Node Patterns at Interfaces

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.1. Refining a Mesh Locally 		Up / Home Next
8.3. Keeping Track of Element Faces and Orientations


8.3. Keeping Track of Element Faces and Orientations

If your model contains shell elements, and if you apply surface loads, you will need to keep track of the element faces in order to be able to define the proper direction for your loads. In general, shell surface loads will be applied to element face one, and will be positive in accordance with the right-hand rule (following the I, J, K, L nodal sequence, as illustrated below). If you create your shell elements by meshing a solid model area, the normal direction of the elements will be consistent with the normal direction of the area (the area's normal direction can be determined by issuing the ALIST command or by executing menu path Utility Menu> List> Areas; the direction of the sequence of lines defining that area will define the normal direction by the right-hand rule).

Figure 8.8 Positive Normal Direction as Defined by the Right-Hand Rule

There are several ways that you can conduct graphical checks:

  • You can conduct a quick graphical check of the positive normal direction for shell elements by issuing a /NORMAL command (Utility Menu> PlotCtrls> Style> Shell Normals), followed by an EPLOT command (Utility Menu> Plot> Elements).

  • You can turn PowerGraphics ON. PowerGraphics displays the "top" and "bottom" of shells with different colors.

  • You can apply your surface loads with the assumed correct sign, and then verify their direction by turning on the surface load symbol [/PSF,Item,Comp,2] before executing EPLOT.

8.3.1. Controlling Area, Line, and Element Normals

Inconsistent normal directions can lead to problems in your model. For example, if adjacent shell elements have inconsistent normal directions, you could encounter difficulties in postprocessing of stress and strain results. Clearly, if a surface of your model contains both top and bottom shell element faces, averaged nodal stresses and strains could be incorrect. However, PowerGraphics [/GRAPHICS,POWER] accounts for the mismatched normal directions and can produce proper nodal stress plots. (PowerGraphics is the default when the GUI is on.)

ANSYS provides various tools that you can use to control area, line, and element normals:

Command(s): | ENORM, ANORM, ENSYM, LREVERSE, AREVERSE
GUI: | Main Menu> Preprocessor> Modeling> Move/Modify> Elements> Shell Normals Main Menu> Preprocessor> Modeling> Move/Modify> Areas> Area Normals Main Menu> Preprocessor> Modeling> Move/Modify> Reverse Normals> of Shell Elems Main Menu> Preprocessor> Modeling> Move/Modify> Reverse Normals> of Lines Main Menu> Preprocessor> Modeling> Move/Modify> Reverse Normals> of Areas

The sections that follow describe how you can use these tools to:

  • Reorient shell element normals so that they are consistent with that of a specified element [ENORM]

  • Reorient area normals so that they are consistent with that of a specified area [ANORM]

  • Reverse the normals of existing shell elements [ENSYM]

  • Reverse the normal of a line [LREVERSE]

  • Reverse the normal of an area [AREVERSE]

Note

You cannot use the tools described in this section to change the normal direction of any element that has a body or surface load. We recommend that you apply all of your loads only after ensuring that the element normal directions are acceptable.

Caution

Real constants (such as nonuniform shell thickness and tapered beam constants) may be invalidated by an element reversal.

8.3.1.1. Reorienting Shell Element Normals

If you find that your elements have inconsistent positive normal directions, you can reorient them uniformly to match a specified element. (Element coordinate systems, if defined by the I, J, K nodes, might also be reoriented by this operation.)

To use the command method to reorient shell element normals, issue the command ENORM,ENUM:

  • Use the ENUM argument to identify the number of the element having the normal direction that the reoriented elements are to match.

For example, the command ENORM,3 reorients the normals of all selected shell elements so that they are consistent with the normal direction of element number 3. See the description of the ENORM command in the Commands Reference for details.

In the GUI, you can reorient shell element normals by choosing menu path Main Menu> Preprocessor> Modeling> Move/Modify> Elements> Shell Normals. When the Reorient Shell Normals picker appears, pick the element having the normal direction that the reoriented elements are to match and click on OK.

8.3.1.2. Reorienting Area Normals

If a group of areas has inconsistent normal directions, you can reorient them uniformly to match the normal direction of a specified area.

To use the command method to reorient area normals, issue the command ANORM,ANUM,NOEFLIP:

  • Use the ANUM argument to identify the number of the area having the normal direction that the reoriented areas are to match.

  • Use the NOEFLIP argument to indicate whether you want to change the normal direction of any existing elements on the reoriented area(s) so that they are consistent with the new normal direction. Specify 0 if you want to make the normals consistent; specify 1 if you do not.

For example, the command ANORM,5,0 reorients the normals of all selected areas so that they are consistent with the normal direction of area number 5, and also makes any area elements on the areas consistent with that normal direction. See the description of the ANORM command in the Commands Reference for details.

In the GUI, you can reorient area normals by choosing menu path Main Menu> Preprocessor> Modeling> Move/Modify> Areas> Area Normals. When the Reorient Area Normals picker appears, pick the area having the normal direction that the reoriented areas are to match and click on OK in the picker. Then, in the Make area normals consistent dialog box, indicate whether you want any existing area elements to be consistent with the new normal direction and click on OK in the dialog box.

8.3.1.3. Reversing the Normals of Existing Shell Elements

To use the command method to reverse the normals of existing shell elements, issue the command ENSYM,,,,IEL1,IEL2,IEINC:

  • Use the IEL1, IEL2, and IEINC arguments to reverse the normals of elements from IEL1 to IEL2 (defaults to IEL1) in steps of IEINC (defaults to 1).

For example, the command ENSYM,,,,1,50 reverses the normals of shell elements numbered 1 through 50.

In the GUI, you can reverse the normals of existing shell elements by choosing menu path Main Menu> Preprocessor> Modeling> Move/Modify> Reverse Normals> of Shell Elems. When the Reverse Shell Normals picker appears, pick the shell elements whose normals are to be reversed and click on OK.

8.3.1.4. Reversing the Normal of a Line

To use the command method to reverse the normal of a line, issue the command LREVERSE,LNUM,NOEFLIP:

  • Use the LNUM argument to identify the number of the line whose normal is to be reversed.

  • Use the NOEFLIP argument to indicate whether you want to change the normal direction of the existing elements on the line so that they are consistent with the reversed line's new normal direction. Specify 0 if you want to make the normals consistent; specify 1 if you do not.

For example, the command LREVERSE,1,1 reverses the direction of line 1, but does not make any line elements on the line consistent with the new direction. See the description of the LREVERSE command in the Commands Reference for details.

In the GUI, you can reverse the normal of a line by choosing menu path Main Menu> Preprocessor> Modeling> Move/Modify> Reverse Normals> of Lines. When the Reverse Line Normals picker appears, pick the line whose normal is to be reversed and click on OK in the picker. Then, in the Make line normals consistent dialog box, indicate whether you want any existing line elements to be consistent with the new normal direction and click on OK in the dialog box.

8.3.1.5. Reversing the Normal of an Area

To use the command method to reverse the normal of an area, issue the command AREVERSE,ANUM,NOEFLIP:

  • Use the ANUM argument to identify the number of the area whose normal is to be reversed.

  • Use the NOEFLIP argument to indicate whether you want to change the normal direction of the existing elements on the area so that they are consistent with the reversed area's new normal direction. Specify 0 if you want to make the normals consistent; specify 1 if you do not.

For example, the command AREVERSE,7,0 reverses the normal direction of area 7 and makes any existing area elements on it consistent with the new normal direction. See the description of the AREVERSE command in the Commands Reference for details.

In the GUI, you can reverse the normal of an area by choosing menu path Main Menu> Preprocessor> Modeling> Move/Modify> Reverse Normals> of Areas. When the Reverse Area Normals picker appears, pick the area whose normal is to be reversed and click on OK in the picker. Then, in the Reverse area normals dialog box, indicate whether you want any existing area elements to be consistent with the new normal direction and click on OK in the dialog box.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.2. Moving and Copying Nodes and Elements 		Up / Home Next
8.4. Revising a Meshed Model: Clearing and Deleting


8.4. Revising a Meshed Model: Clearing and Deleting

Because of the solid modeling cross-reference checking that the ANSYS program performs, you cannot delete meshed solid model entities, nor can you use EDELE or NDELE to delete elements and nodes that are associated with solid model entities. In order to revise your model, you generally need to clear solid model entities of their meshes by using the mesh clearing commands. These clearing commands can be thought of as the inverse of the meshing commands. After clearing your model, you can proceed to modify your solid model as desired.

8.4.1. Clearing a Mesh

The mesh clearing commands delete the nodes and elements associated with the corresponding solid model entity. When you clear a higher level entity, all lower level entities will be automatically cleared, unless those lower entities are themselves meshed with elements. Nodes on the boundary of an entity shared by an adjoining meshed entity are not deleted as a result of clearing.

  • To delete nodes and point elements associated with selected keypoints, use one of the following methods:

    Command(s): KCLEAR
    GUI: Main Menu> Preprocessor> Meshing> Clear> Keypoints

  • To delete nodes and line elements associated with selected lines, use one of the following methods:

    Command(s): LCLEAR
    GUI: Main Menu> Preprocessor> Meshing> Clear> Lines

  • To delete nodes and area elements associated with selected areas, use one of the following methods:

    Command(s): ACLEAR
    GUI: Main Menu> Preprocessor> Meshing> Clear> Areas

  • To delete nodes and volume elements associated with selected volumes, use one of the following methods:

    Command(s): VCLEAR
    GUI: Main Menu> Preprocessor> Meshing> Clear> Volumes

The program will report how many of each kind of entity have been cleared after a mesh clearing operation. An entity is considered to have been "cleared" if either its elements or its nodes have been cleared.

Figure 8.9 Nodes at Boundary of Two Areas

If the elements/nodes being cleared are at the end of the element/node lists, then the next available element/node ID is reset accordingly. (You can suppress this resetting with a MOPT,CLEAR,OFF command.)

As was discussed earlier, element attributes that were assigned to the solid model by TYPE, REAL, MAT, and ESYS commands followed by a meshing command [AMESH, VMESH, etc.] will be cleared by a mesh clearing command. These "clearable" attributes are designated by negative attribute numbers in the output from listing commands [ALIST, VLIST, etc.]. The mesh clearing commands do not affect attributes that were assigned by an attribute association command [AATT, VATT, etc.]. In either case, issuing new attribute association commands will overwrite whatever element attributes were previously associated with the cleared solid model.

8.4.1.1. Modifying Element Attributes

There are several reasons why you might want to modify element attributes after meshing: you might have simply committed an error in assigning attributes, you might need to change your design, or you might be converting your model from one analysis discipline to another (such as in a sequential thermal-stress analysis). The techniques available for modifying element attributes include the following:

8.4.1.2. The Brute Force Method

You can clear your mesh using mesh clearing commands; set new attributes using either attribute association commands or commands such as TYPE, REAL, etc.; and then remesh using meshing commands. Because remeshing can sometimes be expensive, this approach should probably be avoided if the mesh itself is acceptable. Note what happens when a mesh clearing command is executed: solid model attributes set by a meshing command (identified by negative attribute numbers in listings produced by ALIST, VLIST, etc.) will be deleted; solid model attributes set by an attribute association command [AATT, VATT, etc.] will not be changed. Thus, because the attribute association commands override the TYPE, REAL, MAT, and ESYS commands, you will not be able to reassign solid model attributes with the TYPE, REAL, MAT, and ESYS commands if you initially assigned attributes by using attribute association commands. (You will need to issue a new attribute association command.) Upon remeshing, the attributes associated with the solid model entities will be assigned to the elements generated on those entities.

Direct Element Modification: Element attributes can also be modified without the expense of remeshing: you can select the elements to be modified; reset attributes (using, in this procedure, the TYPE, REAL, MAT, and ESYS commands); and execute EMODIF,ALL or menu path Main Menu> Preprocessor> Modeling> Move/Modify> Elements> Modify Attrib. This procedure modifies the element attributes directly, without affecting the corresponding solid model attributes. This procedure, although convenient, can be dangerous, because the element attributes in your finite element model will no longer match the element attributes in your solid model. Also, you could conceivably change element attributes to inappropriate values, without receiving any kind of warning. For these reasons, you must proceed cautiously if you decide to attempt to change element attributes by direct element modification.

Another way of directly modifying the material number of specified elements is by using the MPCHG command or menu path Main Menu> Preprocessor> Material Props> Change Mat Num. (Unlike other element-modification commands, which are valid only within PREP7, MPCHG is valid within both PREP7 and SOLUTION. Thus, this command can be used to change element properties between solutions.)

Attribute Table Modification: Another possibility would be to change entries in the attribute tables after meshing, but before entering SOLUTION. A warning will be issued if the REAL set or the MAT set contain unused entries (such as could happen if a REAL property set for a beam were assigned to a spar element). No remeshing is required with this procedure.

A Note About Adding and Deleting Midside Nodes: For any of these procedures, if you change the element TYPE attribute to substitute midside-node elements for non-midside-node elements, you will also need to use one of the following methods to add the extra midside nodes as required:

Command(s): | EMID
GUI: | Main Menu> Preprocessor> Modeling> Move/Modify> Elements> Add Mid Nodes

EMID must be preceded by execution of a MODMSH,DETACH command or menu path Main Menu> Preprocessor> Checking Ctrls> Model Checking. Also, in order to delete midside nodes, you must first remove them from the midside-node elements by issuing EMID,-1.

8.4.2. Deleting Solid Model Entities

You can delete solid model entities with the entity deletion commands described below. Lower level entities cannot be independently deleted if they are attached to a higher level entity. Thus, if you have created a block using a geometric primitive command, you cannot selectively delete a keypoint that is associated with that block, unless you first delete, in descending hierarchical order, all the higher level entities (lines, areas, and volumes) that are attached to that keypoint.

  • To delete unmeshed areas, use one of these methods:

    Command(s): ADELE
    GUI: Main Menu> Preprocessor> Modeling> Delete> Area and Below
    Main Menu> Preprocessor> Modeling> Delete> Areas Only

  • To delete unmeshed keypoints, use one of these methods:

    Command(s): KDELE
    GUI: Main Menu> Preprocessor> Modeling> Delete> Keypoints

  • To delete unmeshed lines, use one of these methods:

    Command(s): LDELE
    GUI: Main Menu> Preprocessor> Modeling> Delete> Line and Below
    Main Menu> Preprocessor> Modeling> Delete> Lines Only

  • To delete unmeshed volumes, use one of these methods:

    Command(s): VDELE
    GUI: Main Menu> Preprocessor> Modeling> Delete> Volume and Below
    Main Menu> Preprocessor> Modeling> Delete> Volumes Only

Conversely, by activating the "sweep" option (that is, setting KSWP = 1) on the LDELE, ADELE, or VDELE commands, you can direct the program to delete all the associated lower level entities automatically. (Such lower level entities will not be deleted if they are attached to another higher level entity, however.) For example, if you decide to delete an unmeshed sphere volume, you can issue a single VDELE command, with KSWP set to 1, to delete the volume and all its associated areas, lines, and keypoints.

8.4.3. Modifying Solid Model Entities

You can modify the geometry of a solid model by changing the position of its keypoints using one of the following methods:

Command(s): | KMODIF
GUI: | Main Menu> Preprocessor> Modeling> Move/Modify> Keypoints> Set of KPs Main Menu> Preprocessor> Modeling> Move/Modify> Keypoints> Single KP

Any meshed regions attached to modified keypoints will be automatically cleared of nodes and elements. All lines, areas, and volumes attached to the modified keypoint will then be automatically redefined using the active coordinate system.

Unmeshed solid model entities may also be redefined by reissuing the commands that originally defined them. For example, consider the following sequence, in which a second K command is used to modify a keypoint:

CSYS,0
K,1,5.0,6.0,7.0         ! Create KP 1 at X=5.0, Y=6.0, Z=7.0
CSYS,1
K,1,5.0,6.0,7.0         ! Redefine KP 1 at R=5.0,  θ=6.0, Z=7.0

Keypoint 1 could only be redefined in this way if it was not attached to any higher level entities. Lines, areas, and volumes can be similarly redefined, but only if they are not attached to any higher level entities.

You can modify unmeshed lines using the operations described below. These operations will also update attached unmeshed areas, even if these areas are attached to volumes.

  • To divide a single line into two or more lines, use one of the following methods:

    Command(s): LDIV
    GUI: Main Menu> Preprocessor> Modeling> Operate> Booleans> Divide> Line into 2 Ln's
    Main Menu> Preprocessor> Modeling> Operate> Booleans> Divide> Line into N Ln's
    Main Menu> Preprocessor> Modeling> Operate> Booleans> Divide> Lines w/ Options

  • To combine adjacent lines into one line, use one of the following methods:

    Command(s): LCOMB
    GUI: Main Menu> Preprocessor> Modeling> Operate> Booleans> Add> Lines

  • To generate a fillet line between two intersecting lines, use one of the following methods:

    Command(s): LFILLT
    GUI: Main Menu> Preprocessor> Modeling> Create> Lines> Lines> Line Fillet

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.3. Keeping Track of Element Faces and Orientations 		Up / Home Next
8.5. Understanding Solid Model Cross-Reference Checking


8.5. Understanding Solid Model Cross-Reference Checking

The previous sections alluded to several conditions that restrict you as you modify your meshed solid model. These restrictions arise due to the cross-reference checking that has been incorporated into the ANSYS program to prevent contamination of the solid model and finite element model data. They may be summarized as follows:

  • Meshed keypoints, lines, areas, or volumes may not be deleted or moved.

  • Nodes or elements associated with keypoints, lines, areas, or volumes may not be moved. They can be deleted only with the mesh clearing commands.

  • Areas contained in volumes may not be deleted or changed.

  • Lines contained in areas may not be deleted or changed (except by LDIV, LCOMB, or LFILLT, as discussed previously).

  • Keypoints contained in lines may not be deleted. They can be moved only with the KMODIF command, which revises and clears (if meshed) attached lines, areas, and volumes.

The basic reasoning behind these rules might be visualized from the following sketch. Schematically, your completed model can be thought of as a stack of blocks, in which the bottommost block represents your keypoints, the next block represents lines, and so forth. If you were to change a lower entity (a line, for instance), you would disturb the entities that are stacked on top of it. (Admittedly, this illustration somewhat oversimplifies the dependence of higher level entities on lower entities.)

Figure 8.10 Why We Have Solid Model Cross-Reference Checking

These rules are not as restrictive as they might appear. Furthermore, for those few instances when they absolutely prevent you from performing an operation that you need, you can deactivate them, as is discussed in the next few paragraphs. Be aware, however, that in deactivating these rules, you lose the protections that they provide, and thereby increase the chances of irrevocably damaging your model's database.

8.5.1. Circumventing Cross-Reference Checking (A Risky Activity)

Cross-reference checking of the solid model usually serves only to help you avoid corrupting your model's database. There are occasions, however, when you might have good reason to attempt a "forbidden" operation. The MODMSH command (Main Menu> Preprocessor> Checking Ctrls> Model Checking) exists for this purpose. MODMSH has three options: DETACH, NOCHECK, and CHECK.

MODMSH,DETACH detaches the finite element model from the solid model, which will allow the finite element model to be modified by node and element commands. This detachment keeps the database "clean," in that there will be no recognized database conflicts. Consider, for instance, a single keypoint and its associated node. Following a MODMSH,DETACH, the program will no longer recognize the associativity between these two entities, so that you can now move the node to a new location without creating a conflict in the database. Once you have detached your model, you cannot perform such operations as selecting or defining the finite element model in terms of the solid model, clearing the mesh, or transferring solid model boundary conditions to the finite element model.

MODMSH,NOCHECK is very dangerous. It deactivates all cross-reference checking, and makes it startlingly easy to get the database so fouled up that hardly any solid modeling operations are possible. Its utility is that it allows you to use commands such as EMODIF, NMODIF, EDELE, NDELE, etc. to modify elements and nodes that were generated with the mesh commands. Activating this option will cause the program to warn you that cross-reference checking is bypassed whenever you initiate a solution or issue a PFACT or SOLVE command. Use this option only if you are completely sure of what you are doing, for the havoc you can inflict on your database with the NOCHECK option on will often make it impossible for the ANSYS customer support staff to help you recover from any trouble you get yourself into.

MODMSH,CHECK restores cross-reference checking after it has been inhibited. However, since the database integrity could have been compromised while the checking was off, the program will continue to warn you whenever you initiate a solution or issue a PFACT or SOLVE command. The only way to get rid of this warning message is to start over with a "clean" database.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.4. Revising a Meshed Model: Clearing and Deleting 		Up / Home Next
Chapter 9. Direct Generation


Chapter 9. Direct Generation

Direct generation is the approach in which you define the nodes and elements of a model directly. Despite the many convenience commands that allow you to copy, reflect, scale, etc. a given pattern of nodes or elements, direct generation can commonly require about ten times as many data entries to define a model as compared to solid modeling.

This documentations's earlier discussions concerning planning ("Planning Your Approach"), coordinate systems ("Coordinate Systems"), and working planes ("Using Working Planes") apply to direct generation as well as to solid modeling.

A model assembled by direct generation is defined strictly in terms of nodes and elements. Even though node and element generation operations can be interspersed, no one element can be defined until after all of its nodes have been created.

The following topics related to direct generation are available:

  • Nodes
  • Elements

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.5. Understanding Solid Model Cross-Reference Checking 		Up / Home Next
9.1. Nodes


9.1. Nodes

This section describes various tasks related to the direct generation of nodes. Topics include:

  • Defining nodes

  • Generating additional nodes from existing nodes

  • Maintaining (list, view and delete) nodes

  • Moving nodes

  • Rotating a node's coordinate system

  • Reading and writing text files that contain nodal data

You can use any of the methods described in the following table to define nodes.

Table 9.1 Defining Nodes

Define | Command | GUI
individual nodes in the active coordinate system [1] | N | Main Menu> Preprocessor> Modeling> Create> Nodes> In Active CS or > On Working Plane
a node at an existing keypoint | NKPT | Main Menu> Preprocessor> Modeling> Create> Nodes> On Keypoint

  1. If using ANSYS interactively, you can define a working plane snap increment and use picking [N, P] to generate nodes graphically. (For more information on the working plane, see "Using Working Planes".)

Once you have created an initial pattern of nodes, you can generate additional nodes using the methods described in the following table.

Table 9.2 Generating Additional Nodes from Existing Nodes

 | Command | GUI
generate a line of nodes between two existing nodes | FILL | Main Menu> Preprocessor> Modeling> Create> Nodes> Fill between Nds
generate additional nodes from a pattern of nodes | NGEN | Main Menu> Preprocessor> Modeling> Copy> Nodes> Copy
generate a set of nodes from a pattern of nodes | NSCALE | Main Menu> Preprocessor> Modeling> Copy> Nodes> Scale & Copy or > Scale & Move Main Menu> Preprocessor> Modeling> Operate> Scale> Nodes> Scale & Copy or > Scale Move
generate a quadratic line of nodes from three nodes | QUAD | Main Menu> Preprocessor> Modeling> Create> Nodes> Quadratic Fill
generate a reflected set of nodes | NSYM | Main Menu> Preprocessor> Modeling> Reflect> Nodes
transfer a pattern of nodes to another coordinate system | TRANSFER | Main Menu> Preprocessor> Modeling> Move/Modify> Transfer Coord> Nodes
define a node at the center of a curvature of an arc of nodes [1] | CENTER | Main Menu> Preprocessor> Modeling> Create> Nodes> At Curvature Ctr

  1. If a local cylindrical coordinate system is defined [CS] at the center of curvature, you can use the FILL command (Main Menu> Preprocessor> Modeling> Create> Nodes> Fill between Nds) to generate additional nodes on the arc. If a radius of curvature is given, the center of curvature is automatically calculated to be along the perpendicular bisector of the NODE1-NODE2 line in the plane of NODE1, NODE2, and NODE3.

You can use any of the methods described in the following table to maintain nodes.

Table 9.3 Maintaining Nodes

Maintenance | Command | GUI
list nodes | NLIST | Utility Menu> List> Nodes Utility Menu> List> Picked Entities> Nodes
display nodes [1] | NPLOT | Utility Menu> Plot> Nodes
delete nodes [2] | NDELE | Main Menu> Preprocessor> Modeling> Delete> Nodes

  1. Node numbers will also be displayed in EPLOT displays (Utility Menu> Plot> Elements) for nodes attached to elements, if you have issued the proper /PNUM command (Utility Menu> PlotCtrls> Numbering).

  2. Deleting a node also deletes any boundary conditions (such as displacements, forces, etc.) as well as any coupling or constraint equations containing the deleted node.

You can move a node by overwriting it with the N command (or any other node-generating command) or by using one of the methods in the following table.

Table 9.4 Moving Nodes

 | Command | GUI
modify one or all of the coordinates defining a node | NMODIF | Main Menu> Modeling> Preprocessor> Create> Nodes> Rotate Node CS> By Angles Main Menu> Preprocessor> Modeling> Move/Modify> Rotate Node CS> By Angles or > Set of Nodes or > Single Node
move a node to an intersection of coordinate system surfaces | MOVE | Main Menu> Preprocessor> Modeling> Move/Modify> Nodes> To Intersect

Use the NDIST (Main Menu> Preprocessor> Modeling> Check Geom> ND distances) command to calculate the distance between two nodes.

You can use any of the methods described in the following table to rotate a node's coordinate system. The nodal coordinate system is parallel to the global Cartesian coordinate system by default. See Nodal Coordinate Systems for more information.

Table 9.5 Rotating a Node's Coordinate System

Rotate a Nodal Coordinate System | Command | GUI
into the active coordinate system | NROTAT | Main Menu> Preprocessor> Modeling> Create> Nodes> Rotate Node CS> To Active CS Main Menu> Preprocessor> Modeling> Move/Modify> Rotate Node CS> To Active CS
by direction cosines | NANG | Main Menu> Preprocessor> Modeling> Create> Nodes> Rotate Node CS> By Vectors Main Menu> Preprocessor> Modeling> Move/Modify> Rotate Node CS> By Vectors
by angles | N; NMODIF | Main Menu> Preprocessor> Modeling> Create> Nodes> In Active CS or > On Working Plane Main Menu> Modeling> Preprocessor> Create> Nodes> Rotate Node CS> By Angles Main Menu> Preprocessor> Modeling> Move/Modify> Rotate Node CS> By Angles or > Set of Nodes or > Single Node

9.1.1. Reading and Writing Text Files That Contain Nodal Data

You can read a text file containing nodal data. This ability could be useful if you are importing ASCII nodal data from another mesh generator, a CAD/CAM program, or another ANSYS session. You can also write such an ASCII file for export to another program (which must be able to read this ANSYS file) or to another ANSYS session. You will not normally need to read or write nodal data in a standard ANSYS model generation session. If you do need to read or write nodal data you can use any of the methods described in the following table.

Table 9.6 Reading and Writing Files Containing Nodal Data

 | Command | GUI
specify a range of nodes to be read from a node file | NRRANG | Main Menu> Preprocessor> Modeling> Create> Nodes> Read Node File
read nodes from a file | NREAD | Main Menu> Preprocessor> Modeling> Create> Nodes> Read Node File
write nodes to a file | NWRITE | Main Menu> Preprocessor> Modeling> Create> Nodes> Write Node File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 9. Direct Generation 		Up / Home Next
9.2. Elements


9.2. Elements

This section describes various tasks related to the direct generation of elements. Topics include:

  • Prerequisites for defining elements

  • Assembling element tables

  • Pointing to entries in element tables

  • Reviewing the contents of element tables

  • Defining elements

  • Maintaining (list, view, and delete) elements

  • Generating additional elements from existing elements

  • Using special methods for generating elements

  • Reading and writing text files that contain element data

  • Modifying elements by changing nodes

  • Modifying elements by changing element attributes

9.2.1. Prerequisites for Defining Element Attributes

Before you directly generate elements, you must have already defined the minimum number of nodes required for that element and must have specified the proper element attributes.

You assemble tables of element attributes using the methods described in the following table and various coordinate system commands. See "Generating the Mesh" in the Modeling and Meshing Guide for more information on creating element attribute tables.

Table 9.7 Assembling Element Tables

Define | Command | GUI
an element type from the element library | ET | Main Menu> Preprocessor> Element Type> Add/Edit/Delete
the element real constants | R | Main Menu> Preprocessor> Real Constants
a linear material property | MP, MPDATA, MPTEMP | Main Menu> Preprocessor> Material Props> Material Models> analysis type

Once the element attribute tables are in place, you can "point" to various entries in the element tables. The values of these pointers that are in effect at the time that you create your elements are used by the program to assign attributes from the tables to the elements. Use one of the methods shown in the following table to set attribute pointers.

Table 9.8 Pointing to Entries in Element Tables

Set | Command | GUI
element type attribute pointer | TYPE | Main Menu> Preprocessor> Modeling> Create> Elements> Elem Attributes
element real constant set attribute pointer | REAL | Main Menu> Preprocessor> Modeling> Create> Elements> Elem Attributes
element material attribute pointer | MAT | Main Menu> Preprocessor> Modeling> Create> Elements> Elem Attributes
element coordinate system attribute pointer | ESYS | Main Menu> Preprocessor> Modeling> Create> Elements> Elem Attributes

You can review the contents of element table using one of the methods described in the following table.

Table 9.9 Reviewing the Contents of Element Tables

List | Command | GUI
currently defined element types | ETLIST | Utility Menu> List> Properties> Element Types
real constant sets | RLIST | Utility Menu> List> Properties> All Real Constants or > Specified Real Constants
linear material properties | MPLIST | Utility Menu> List> Properties> All Materials or > All Matls, All Temps or > All Matls, Specified Temp or > Specified Matl, All Temps
data tables | TBLIST | Main Menu> Preprocessor> Material Props> Material Models Utility Menu> List> Properties> Data Tables
coordinate systems | CSLIST | Utility Menu> List> Other> Local Coord Sys

9.2.2. Defining Elements

After you have defined the necessary nodes and set the element attributes, you can proceed to define your elements. You can define an element by identifying its nodes using the E command (Main Menu> Preprocessor> Modeling> Create> Elements> Auto Numbered> Thru Nodes or Main Menu> Preprocessor> Modeling> Create> Elements> User Numbered> Thru Nodes). The number of nodes required for each element and the order in which they must be input are determined by the element type. BEAM3, the 2-D beam element, for example, requires two nodes (I, J), and SOLID45, the 3-D brick element, requires eight nodes (I, J, K, L for one face and M, N, O, P for the opposite face). The order in which nodes are defined determines the element normal direction. See Keeping Track of Element Faces and Orientations in the Modeling and Meshing Guide for more information.

If you are working interactively, you can use graphical picking (that is, pick nodes) to generate the elements by choosing one of the GUI paths associated with the E command.

If you are using command input, only eight nodes can be input on the E command. For element types that require more than eight nodes, use the EMORE command to define the additional nodes. For example, SOLID95, the 3-D 20-node brick element, will require two EMORE commands in addition to the E command. (The EMORE command is not necessary if graphical picking is used to create the elements.)

Caution

If you create overlapping elements (that is, elements attached to the same nodes and occupying the same space), various ANSYS features such as graphics, surface loads, selecting logic, etc. might not function as expected. It is best to avoid the use of overlapping elements altogether; if this is not possible, use extreme caution whenever you employ overlapping elements.

Once you have created your elements, use the methods described in the following table to maintain elements.

Table 9.10 Maintaining Elements

Maintenance | Command | GUI
list elements | ELIST | Utility Menu> List> Elements Utility Menu> List> Picked Entities> Elements
display elements [1] | EPLOT | Utility Menu> Plot> Elements
delete elements [2] | EDELE | Main Menu> Preprocessor> Modeling> Delete> Elements

  1. Element numbers will be shown in your EPLOT display if you turn them on with the /PNUM command (menu path Utility Menu> PlotCtrls> Numbering). In most instances, the program will automatically assign element numbers, using the next available unused number. (The first E command defines element number 1, the second E command defines element number 2, and so on.)

  2. Deleting elements creates "blanks" in your element-numbering sequence. The automatic numbering procedure will not reuse these blank numbers, even if they are at the end of your sequence. (If you define 10 elements, then delete them all, the next E command will define element number 11. Numbers 1-10 will remain blank.) You can control element numbering through the number control commands (see "Number Control and Element Reordering" in the Modeling and Meshing Guide), or through the EN command Main Menu> Preprocessor> Modeling> Create> Elements> User Numbered> Thru Nodes), which allows you to define an element's number directly.

Once you have created an initial pattern of elements, you can generate additional elements using the methods described in the following table. Please note these commands do not generate nodes; you must generate the necessary nodes before you generate additional elements. Also, the element attributes (MAT, TYPE, REAL, and ESYS) for the generated elements are based upon the elements in the original pattern and not upon the current specification settings.

Table 9.11 Generating Additional Elements From Existing Elements

Generate Elements | Command | GUI
from an existing pattern | EGEN | Main Menu> Preprocessor> Modeling> Copy> Elements> Auto Numbered
from an existing pattern with explicitly incremented element numbers | ENGEN | Main Menu> Preprocessor> Modeling> Copy> Elements> User Numbered
from a pattern by symmetry reflection | ESYM | Main Menu> Preprocessor> Modeling> Reflect> Elements> Auto Numbered
by symmetry reflection with explicitly assigned element numbers | ENSYM | Main Menu> Preprocessor> Modeling> Reflect> Elements> User Numbered Main Menu> Preprocessor> Modeling> Move/Modify> Reverse Normals> of Shell Elements

Some elements can be generated using the special methods described in the following table.

Table 9.12 Using Special Methods for Generating Elements

Generate | Command | GUI
“surface” elements over the exterior faces of existing elements | ESURF [1] | Main Menu> Preprocessor> Modeling> Create> Elements> Surf/Contact> option
“surface” elements overlaid on the edges of existing plane elements and assign the extra node as the closest fluid element node | LFSURF [2] | Main Menu> Preprocessor> Modeling> Create> Elements> Surf/Contact> Surface Effect> Attach to Fluid> Line to Fluid
"surface" elements overlaid on the surface of existing solid elements and assign the extra node as the closest fluid element node | AFSURF [3] | Main Menu> Preprocessor> Modeling> Create> Elements> Surf/Contact> Surf Effect> Attach to Fluid> Area to Fluid
"surface" elements overlaid on the surface of the existing elements and assign the extra node as the closest fluid element node | NDSURF [4] | Main Menu> Preprocessor> Modeling> Create> Elements> Surf/Contact> Surf Effect> Attach to Fluid> Node to Fluid
two-node elements between coincident or offset nodes | EINTF | Main Menu> Preprocessor> Modeling> Create> Elements> Auto Numbered> At Coincid Nd

  1. Use ESURF,XNODE to generate SURF151or SURF152, elements with the "optional" node used in some thermal analyses.

  2. Use LFSURF to generate SURF151 elements with the "optional" node used in some thermal analyses.

  3. Use AFSURF to generate SURF152 elements with the "optional" node used in some thermal analyses.

  4. Use NDSURF to generate SURF151 or SURF152 elements with the "optional" node used in some thermal analyses.

9.2.3. Reading and Writing Text Files That Contain Element Data

You can read or write a text file that contains element data. These capabilities can be useful for transferring data to and from another program (or another ANSYS session). You will not normally need to use these capabilities in a standard ANSYS model generating session. If you do need to read or write element data you can use any of the methods described in the following table.

 | Command | GUI
specify a range of elements to be read from an element file | ERRANG | Main Menu> Preprocessor> Modeling> Create> Elements> Read Elem File
read elements from a file | EREAD | Main Menu> Preprocessor> Modeling> Create> Elements> Read Elem File
write elements to a file | EWRITE | Main Menu> Preprocessor> Modeling> Create> Elements> Write Elem File

9.2.4. A Note About Overlapping Elements

Be advised that if you create overlapping elements (that is, elements attached to the same nodes and occupying the same space), various ANSYS features such as graphics, surface loads, selecting logic, etc. might not function as expected. It is best to avoid the use of overlapping elements altogether; if this is not possible, use extreme caution whenever you employ overlapping elements.

9.2.5. Modifying Elements By Changing Nodes

You can redefine an element in terms of different nodes, taking care that the element attribute pointers are set to the appropriate values. The element attribute settings that are in place when you execute these commands or GUI paths will control the element type, real constants, material properties, and for some element types, the element coordinate system that are assigned to the redefined elements.

To modify a previously defined element, use the EMODIF command (Main Menu> Preprocessor> Modeling> Move/Modify> Elements> Modify Nodes).

To redefine an element by its number and node connectivity, use the EN command (Main Menu> Preprocessor> Modeling> Create> Elements> User Numbered> Thru Nodes).

You can also use the ENGEN and ENSYM commands and GUI paths, which are described earlier in this chapter, to overwrite and redefine groups of elements.

9.2.6. Modifying Elements By Changing Element Attributes

There are several ways of changing the attributes of an element after it has been created.

To change the material number of a specified element within either PREP7 or SOLUTION, use the MPCHG command. (See the MPCHG command description in the Commands Reference for a list of menu paths associated with this command.)

The combination of the EMODIF and *REPEAT commands provide another versatile method of redefining the attributes of existing elements (within PREP7 only). You cannot access the *REPEAT command directly in the GUI. The following program listing illustrates the use of the EGEN, EMODIF, and *REPEAT commands. See their individual command descriptions in the Commands Reference for more information.

E,1,2                   ! Element 1
REAL,3                  ! REAL set pointer = 3
E,2,3                   ! Element 2 (REAL=3)
EGEN,40,1,2             ! Generate 40 elements from el. 2 (all with REAL=3)
EMODIF,5,REAL,4         ! Redefine element 5 with REAL set 4
*REPEAT,18,2            ! Redefine els. 7-39 in steps of 2 (with REAL=4)

Alternatively, you can change the entries in the attribute tables after creating an element, but before entering SOLUTION. A warning will be issued if the REAL set or MAT set contain unused entries (such as could happen if a REAL property set for a beam were assigned to a spar element).

Another way of changing your element attributes is by deleting your elements using the EDELE command (Main Menu> Preprocessor> Modeling> Delete> Elements), redefining your pointers, and recreating your elements using the EN command (Main Menu> Preprocessor> Modeling> Create> Elements> User Numbered> Thru Nodes).

9.2.7. A Note About Adding and Deleting Midside Nodes

For any of these procedures, if you change the element TYPE attribute to substitute midside-node elements for non-midside-node elements, you will also need to use the EMID command (Main Menu> Preprocessor> Modeling> Move/Modify> Elements> Add Mid Nodes or > Remove Mid Nd) to add the extra midside nodes as required. Also, in order to delete midside nodes, you must first remove them from the midside-node elements by issuing de-node elements for non-midside-node elements, you will also need to use EMID,-1.

When defining midside-node elements using the direct generation method (that is, the E, EN, and similar commands), midside nodes are created and located according to the following scheme:

  • Some higher-order elements permit the removal of midside nodes. For such elements, if a zero value (or blank) is used for a midside node when a higher-order element is defined, the corresponding midside node is removed from the element. This results in some or all of the quadratic terms (depending on the number of removed midside nodes) in the element's shape functions being ignored, thus forcing the element edge(s) to be and remain straight. In the extreme case of an element with all of its midside nodes removed, the element will use linear shape functions thus producing results similar to the analogous lower-order (non-midside-node) element type.

  • When defining a higher-order element, if a node number is used for a midside node and that node has not yet been defined (N, NGEN, FILL, NSYM, and similar commands), then the node will be automatically defined and given a geometric location that is the calculated midpoint (linearly interpolated in Cartesian coordinates) between its respective corner nodes. Nodal rotations for such nodes will also be automatically calculated by linearly interpolating between the nodal rotation angles of the corner nodes. This allows for the convenience of creating midside-node elements without the need to explicitly define the geometric locations for midside nodes located midway between the corner nodes.

Note that this behavior applies only to the direct model generation method. Controls regarding midside nodes in meshed models are provided in the ANSYS meshing controls.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.1. Nodes 		Up / Home Next
Chapter 10. Piping Models


Chapter 10. Piping Models

The ANSYS Multiphysics, ANSYS Mechanical, ANSYS Structural, and ANSYS Professional products offer you a special group of commands that enable you to model piping systems and their loads in terms of conventional piping input data, instead of in terms of standard ANSYS direct-generation modeling operations. As you input piping commands, the program internally converts your piping data to direct-generation model data, then stores the converted information in the database. Once this information is stored, you can list it, display it, modify it, redefine it, etc., using any of the standard direct-generation commands.

The following topics concerning piping are available:

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.2. Elements 		Up / Home Next
10.1. What the Piping Commands Can Do for You


10.1. What the Piping Commands Can Do for You

Some special features of the piping module are:

  • Creates a line model of a piping network using straight pipe (PIPE16) and curved pipe (PIPE18) elements. Node and element geometry is defined in terms of incremental run lengths and bend radii, rather than in terms of absolute coordinates.

  • Automatically calculates tangency points for bends.

  • Relates standard piping designations (such as nominal diameter and schedule) to geometric values.

  • Assigns pipe specifications to element real constants.

  • Calculates and assigns flexibility and stress intensification factors based on the pressures and the temperatures specified in the pipe module before the creation of the piping elements as appropriate for each element type. The flexibility factors will not be changed automatically if the pipe pressures or temperatures are subsequently revised.

  • Determines drag pressure loads from a pressure vs. height relationship.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 10. Piping Models 		Up / Home Next
10.2. Modeling Piping Systems with Piping Commands


10.2. Modeling Piping Systems with Piping Commands

The procedure for building a model with the piping commands consists of three main steps:

  1. Specify the jobname and title.

  2. Set up the basic piping data.

  3. Define the piping system's geometry.

Further steps required for a piping system analysis include applying additional loads [D, F], etc., obtaining the solution, and reviewing the results. See the Basic Analysis Guide for more information about these other steps.

10.2.1. Specify the Jobname and Title

You perform this step at the Begin level.

  • First, specify the jobname you want to use for all files that are subsequently created by the analysis [/FILNAME] (Utility Menu> File> Change Jobname).

  • Next, write an analysis file [/TITLE] (Utility Menu> File> Change Title).

  • Finally, to write a "reminder" to yourself about the system of units you intend to use, use the /UNITS command. (You cannot access the /UNITS command directly in the GUI.) Remember that /UNITS simply serves as a record for subsequent reviews of the analysis; it does not convert data from one system of units to another.

10.2.2. Set Up the Basic Piping Data

In this step, you take these actions:

  • To enter PREP7, use one of these methods:

    Command(s): /PREP7
    GUI: Main Menu> Preprocessor

  • To define the material properties for all materials referenced by the model, use one of these methods:

    Command(s): MP,
    MPTEMP, etc.
    GUI: Main Menu> Preprocessor> Material Props> material option

  • To select a system of units (if other than consistent), use one of these methods:

    Command(s): PUNIT
    GUI: Main Menu> Preprocessor> Modeling> Create> Piping Models> Specifications

    PUNIT determines how the program interprets the data input for the PDRAG, BRANCH, RUN, BEND, MITER, REDUCE, VALVE, BELLOW, FLANGE, PSPRNG, PGAP, /PSPEC, PINSUL, and PCORRO commands, which are described in the remainder of this chapter. (Note the difference between PUNIT and /UNITS: the PUNIT command affects how the program behaves, whereas /UNITS does not.)

  • Define the pipe specifications. These specifications will be applied to the elements as they are generated with the RUN command (menu path Main Menu> Preprocessor> Modeling> Create> Piping Models> Define Pipes> Pipe Run).

    • To define pipe material and dimensions, use one of these methods:

      Command(s): PSPEC
      GUI: Main Menu> Preprocessor> Modeling> Create> Piping Models> Specifications

      Note

      The menu path is the same for all of the pipe specification commands discussed in this section (PSPEC, PFLUID, PINSUL, and PCORRO).

    • To define the contained fluid density for a piping run, use the PFLUID command or the equivalent GUI path.

    • To define the external insulation constants in a piping run, use the PINSUL command or the equivalent GUI path.

    • To specify the allowable exterior corrosion thickness for a piping run, use the PCORRO command or the equivalent GUI path.

  • To select the piping analysis standard, use one of these methods:

    Command(s): POPT
    GUI: Main Menu> Preprocessor> Modeling> Create> Piping Models> Specifications

    The program will calculate and assign flexibility and stress intensification factors for curved pipe elements based on the pressures and the temperatures specified in the pipe module before the creation of the piping elements as appropriate for each element type. The flexibility factors and stress intensification factors will not be changed retroactively if the pipe pressures or temperatures are subsequently revised.

  • Select the pipe loadings.

    • To define the pipe wall temperatures in a piping run, use one of these methods:

      Command(s): PTEMP
      GUI: Main Menu> Preprocessor> Modeling> Create> Piping Models> Loads

      Note

      The menu path is the same for all of the pipe loading commands discussed in this section (PTEMP, PPRES, and PDRAG).

  • To define the internal pressure for a piping run, use the PPRES command or the equivalent GUI path.

  • To define the external fluid drag loading for a piping run, use the PDRAG command or the equivalent GUI path.

10.2.3. Define the Piping System's Geometry

Define the basic skeleton layout of your piping model.

  • First, to specify the starting point of your piping system, use one of these methods:

    Command(s): BRANCH
    GUI: Main Menu> Preprocessor> Modeling> Create> Piping Models> Start Branch> At Node
    Main Menu> Preprocessor> Modeling> Create> Piping Models> Start Branch> At XYZ Loc

  • Then, follow up with a series of RUN commands (or use the GUI) to define incremental "straight" runs of pipe. (Pipe elements will be generated "straight" in the active coordinate system. See the discussion of "Lines" in "Solid Modeling" of this guide.) Each RUN command uses length dimensions in the format specified by the PUNIT command to generate a node and a PIPE16 element (along with its real constants, material properties, and loads).

    Command(s): RUN
    GUI: Main Menu> Preprocessor> Modeling> Create> Piping Models> Define Pipes> Pipe Run

Insert bends and other components (tees, valves, reducers, flanges, bellows, and spring restraints) into the model at existing nodes that are shared by two or more existing pipe elements. The program automatically updates your model's geometry to account for the inserted components. Inserted pipe components take their specifications and loadings from the adjacent straight pipes.

  • To define a bend in a piping run, use one of these methods:

    Command(s): BEND
    GUI: Main Menu> Preprocessor> Modeling> Create> Piping Models> Define Pipes> Elbow

  • To define a mitered bend in a piping run, use one of these methods:

    Command(s): MITER
    GUI: Main Menu> Preprocessor> Modeling> Create> Piping Models> Define Pipes> Miter

  • To define a tee in a piping run, use one of these methods:

    Command(s): TEE
    GUI: Main Menu> Preprocessor> Modeling> Create> Piping Models> Define Pipes> Pipe Tee

  • To define a valve in a piping run, use one of these methods:

    Command(s): VALVE
    GUI: Main Menu> Preprocessor> Modeling> Create> Piping Models> Define Pipes> Valve

  • To define a reducer in a piping run, use one of these methods:

    Command(s): REDUCE
    GUI: Main Menu> Preprocessor> Modeling> Create> Piping Models> Define Pipes> Reducer

  • To define a flange in a piping run, use one of these methods:

    Command(s): FLANGE
    GUI: Main Menu> Preprocessor> Modeling> Create> Piping Models> Define Pipes> Flange

  • To define a bellows in a piping run, use one of these methods:

    Command(s): BELLOW
    GUI: Main Menu> Preprocessor> Modeling> Create> Piping Models> Define Pipes> Bellows

  • To define a spring constraint in a piping run, use one of these methods:

    Command(s): PSPRNG
    GUI: Main Menu> Preprocessor> Modeling> Create> Piping Models> Spring Support

  • To define a spring-gap constraint in a piping run, use one of these methods:

    Command(s): PGAP
    GUI: Main Menu> Preprocessor> Modeling> Create> Piping Models> Spring-Gap Supp

Another BRANCH command will define the junction point from which another run of pipe branches off of the previously defined run. Subsequent RUN commands will define, in incremental fashion, another run of "straight" pipe elements, starting from the last junction point. The BRANCH and RUN commands and their GUI paths are described earlier in this section.

10.2.3.1. Review and Modify Your Piping Model

Once you have completed your piping data input, you can then review the information that has been stored in the database, using the usual listing and displaying commands [NLIST, NPLOT, ELIST, EPLOT, SFELIST, BFELIST, etc.]. If necessary, you can also modify the data, using standard procedures for revising your model and your loads. (See "Revising Your Model" of this guide and "Loading" in the Basic Analysis Guide for details.)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.1. What the Piping Commands Can Do for You 		Up / Home Next
10.3. Sample Input


10.3. Sample Input

Consider the following sample piping data input:

! Sample piping data input
!
/FILNAM,SAMPLE
/TITLE, SAMPLE PIPING INPUT
/UNITS,BIN         ! A reminder that consistent units are U. S. Customary inches
!
/PREP7
! Define material properties for pipe elements
MP,EX,1,30e6
MP,PRXY,1,0.3
MP,ALPX,1,8e-6
MP,DENS,1,.283
PUNIT,1            ! Units will be read as ft+in+fraction and converted to
                   ! decimal inches
PSPEC,1,8,STD      ! 8" standard pipe
POPT,B31.1         ! Piping analysis standard: ANSI B31.1
PTEMP,200          ! Temperature = 200°
PPRES,1000         ! Internal pressure = 1000 psi
PDRAG,,,-.2        ! Drag = 0.2 psi in -Z direction at any height (Y)
BRANCH,1,0+12,0+12 ! Start first pipe run at (12",12",0")
RUN,,7+4           ! Run 7'-4" in +Y direction
RUN,9+5+1/2        ! Run 9'-5 1/2" in +X direction
RUN,,,-8+4         ! Run 8'-4" in -Z direction
RUN,,8+4           ! Run 8'-4" in +Y direction
/PNUM,NODE,1
/VIEW,1,1,2,3
EPLOT              ! Identify node number at which 2nd run starts
BRANCH,4           ! Start second pipe run at node 4
RUN,6+2+1/2        ! Run 6'-2 1/2" in +X direction
TEE,4,WT           ! Insert a tee at node 4
/PNUM,DEFA
/PNUM,ELEM,1
EPLOT              ! Identify element numbers for bend and miter inserts
BEND,1,2,SR        ! Insert a "short-radius" bend between elements 1 and 2
MITER,2,3,LR,2     ! Insert a two-piece miter between elements 2 and 3
/PNUM,DEFA
/PNUM,NODE,1
! Zoom in on miter bend to identify nodes for spring hangers
/ZOOM,  1,  242.93    ,  206.62    , -39.059    ,  26.866
PSPRNG,14,TRAN,1e4,,0+12     ! Insert Y-direction spring at node 14
PSPRNG,16,TRAN,1e4,,0+12     ! Insert Y-direction spring at node 16
! List and display interpreted input data
/AUTO
/PNUM,DEFA
EPLOT
NLIST
ELIST
SFELIST
BFELIST

See the descriptions of the PUNIT, /PSPEC, POPT, PTEMP, PPRES, PDRAG, BRANCH, TEE, /PNUM, MITER, /ZOOM, PSPRNG, /AUTO, SFELIST, and BFELIST commands in the Commands Reference for more information.

Note

While two hangers are provided, more restraints are needed before proceeding to solution.

Figure 10.1 Sample Piping Input

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.2. Modeling Piping Systems with Piping Commands 		Up / Home Next
Chapter 11. Number Control and Element Reordering


Chapter 11. Number Control and Element Reordering

You can control the numbering of keypoints, lines, areas, volumes, elements, nodes, element types, real constant sets, materials, coupled DOF sets, constraint equations, and coordinate systems. Control of the numbering is useful when combining separately modeled portions of a model into one. Likewise, allowing the ANSYS program to reorder elements automatically at the start of a direct frontal solution is typically the preferred approach; however, other methods are available for controlling element reordering. The following topics are available:

  • Number Control
  • Element Reordering

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.3. Sample Input 		Up / Home Next
11.1. Number Control


11.1. Number Control

The commands and GUI paths described here give you control of the numbering of keypoints, lines, areas, volumes, elements, nodes, element types, real constant sets, materials, coupled DOF sets, constraint equations, and coordinate systems. Control of the numbering is useful, and sometimes essential, when combining separately modeled portions of a model into one.

Caution

The numbering of Boolean output entities is not 100% predictable. That is, sometimes the same Boolean operation, when performed on different computer systems, will assign different numbers to output entities. If you plan to generate an input stream file interactively on one machine and rerun that input stream on another system, you should avoid using entity identification numbers in your command stream. Instead, use selecting logic to identify specific entities as needed.

11.1.1. Merging Coincident Items

If two separate entities have the same location, you can merge these entities together into a single entity using one of these methods:

Command(s): | NUMMRG
GUI: | Main Menu> Preprocessor> Numbering Ctrls> Merge Items

Note

Use of the NUMMRG command or its equivalent GUI path does not cause changes to a model's geometry; only the topology is affected.

For example, suppose that you have two separate but coincident nodes. If you use the command NUMMRG,NODE (or the equivalent GUI path) to merge the nodes, the higher numbered node will be deleted and will be replaced with the lower numbered coincident node. Two coincident nodes will thus be replaced by a single node.

If two regions that have already been meshed are to be joined, you need to execute three separate merge operations. If, for example, you are using the command input method, you would first issue a merge command for nodes [NUMMRG,NODE], then one for elements [NUMMRG,ELEM], and last, one for all solid model entities [NUMMRG,KP]. (Or, you could simply use NUMMRG,ALL to merge all selected coincident items in the proper sequence. NUMMRG,ALL will also merge non-geometric items such as MAT, CE, etc.)

Caution

When merging entities in a model that has already been meshed, the order in which you issue multiple NUMMRG commands is significant. If you want to merge two adjacent meshed regions that have coincident nodes and keypoints, always merge nodes [NUMMRG,NODE] before merging keypoints [NUMMRG,KP] (as described above). Merging keypoints before nodes can result in some of the nodes becoming "orphaned"; that is, the nodes lose their association with the solid model. The orphaned nodes can cause certain operations (such as boundary condition transfers, surface load transfers, and so on) to fail.

Many solid modeling operations create coincident keypoints, lines, and/or areas. You can use NUMMRG,KP (or the equivalent GUI path) to merge such coincident items. Keypoint locations are used as the basis for merging. Once coincident keypoints are merged, any higher order solid model entities (lines, areas, and volumes) attached to those keypoints are automatically considered for merging. The definition of coincident changes depending on the tolerances used. By default, merging of keypoints attached to lines is done when the distance between keypoints falls within the following criteria:

  1. 1E-4 units of each other (see Figure 11.1: "Default Merge Tolerances"), and

  2. 1E-5 times the length of the longest line connected to the keypoints in consideration

Criterion 1 above describes the consideration tolerance field (TOLER) on NUMMRG. TOLER is a consideration tolerance. If a keypoint is withinTOLER of another keypoint, then those two keypoints are candidates to be merged. If when "moving" the higher numbered keypoint, the distance exceeds the internal relative solid model tolerance (criterion 2 above), the keypoints will not be merged. Lines, areas, and volumes are considered for merging in a similar manner. Criterion 2 describes the default internal relative solid model tolerance, a tolerance designed to protect you from eliminating tiny lines in the model by the merge operation. Both criteria must be satisfied for keypoints to be merged.

Figure 11.1 Default Merge Tolerances

The internal relative tolerance (criterion 2) can be overridden by an option to specify a global solid model tolerance (GTOLER) on NUMMRG. GTOLER is a global, absolute tolerance, rather than a relative tolerance. If GTOLER is used, the size of the lines attached to keypoints is no longer considered and it is fairly easy to defeature your model by using too large a value for GTOLER. You should save your database before attempting to merge, especially when using the GTOLER option.

The following example, which corresponds to Figure 11.2: "Example of NUMMRG Application", illustrates the use of NUMMRG to merge entities:

PCIRC,...	! Create a partial circle
RECTNG,...	! Create a rectangle
NUMMRG,KP	! Default merge tolerances used

For a model having coincident keypoints, the NUMMRG operation will probably be more economical (that is, faster) than AGLUE (Main Menu> Preprocessor> Modeling> Operate> Booleans> Glue> Areas).

Figure 11.2 Example of NUMMRG Application

If you merge keypoints that are very nearly coincident, any very short line connecting those keypoints will be deleted. If the keypoints are too far apart to be merged, you can use the LCOMB command (Main Menu> Preprocessor> Modeling> Operate> Booleans> Add> Lines) to eliminate the very short line. LCOMB will produce a continuous (but not necessarily smooth) line. If the resulting line is kinked, it cannot be used as a drag path [ADRAG, VDRAG], nor can it be used in any Boolean operations.

11.1.2. Compressing Item Numbers

As you build your model, you might, by deleting, clearing, merging, or performing other operations, create unused slots in the numbering sequence for various items. These slots will remain empty for some items (such as elements) but will be filled in for other items (such as keypoints) as new items are created. To save data storage space (by eliminating otherwise empty numbers) or to preserve desired sequencing (by forcing newly-created items to be assigned numbers greater than those of existing items), you can eliminate these gaps by "compressing" your numbering, using one of these methods:

Command(s): | NUMCMP
GUI: | Main Menu> Preprocessor> Numbering Ctrls> Compress Numbers

The compression operation may be selectively re-executed for chosen item groups (elements, keypoints, etc.), or may be simultaneously applied to all valid items (using NUMCMP,ALL).

The following example demonstrates one application of the NUMCMP command:

VMESH,...
VCLEAR,...    ! Node and element numbers will not be reused.
...
! Change meshing controls, element attributes, etc.
...
VMESH,...     ! Node and element numbering will contain "gaps"
NUMCMP,NODE   ! Optional step - NUMCMP can free up some computer memory
NUMCMP,ELEM   ! by eliminating gaps in numbering sequences.

Please see the description of the NUMCMP command in the Commands Reference for more information.

11.1.3. Setting Starting Numbers

When creating new, automatically-numbered items, you might want to set the starting number of your new series of items higher than the greatest number used by existing items. By doing so, you will ensure that your newly created entities will be consecutively numbered, and will thus be prevented from occupying gaps in the existing numbering sequence. Another reason for specifying a set of starting numbers would be if you were creating portions of your model independently of one another, and you wanted to avoid numbering conflicts when they were combined together into one model. You can specify such user-defined starting numbers using one of these methods:

Command(s): | NUMSTR
GUI: | Main Menu> Preprocessor> Numbering Ctrls> Set Start Number

If using command input, you must issue this command for each separate class of items (nodes, elements, keypoints, etc.).

This example demonstrates the command input method:

! Create one portion of model:
...
...
! Create a separate, distinctly-numbered portion of your model:
NUMSTR,KP,100
NUMSTR,LINE,100
NUMSTR,AREA,100
NUMSTR,VOLU,100

For more information, see the description of the NUMSTR command in the Commands Reference.

11.1.4. Adding Number Offsets

If you wish to combine two independently created portions of a model and want to prevent numbering conflicts, you can renumber all selected items by adding an offset value to their existing numbers. Use one of these methods:

Command(s): | NUMOFF
GUI: | Main Menu> Preprocessor> Numbering Ctrls> Add Num Offset

You must re-execute this operation for each item group (nodes, elements, keypoints, etc.) that is to be renumbered.

The CDWRITE command (Main Menu> Preprocessor> Archive Model> Write), which writes all selected model data to a text file, automatically puts a series of NUMOFF commands at the beginning of the file to push any existing data out of the way when the file is read. Gaps in numbering that may result from these NUMOFF commands can be removed with the NUMCMP command.

Solid model data (in IGES format) can be written to a text file in PREP7. You can also transfer solid model data from an externally-generated IGES file into the ANSYS database.

  • To write solid model data to a file, use one of these methods:

    Command(s): IGESOUT
    GUI: Utility Menu> File> Export

  • To transfer IGES data from a file into ANSYS PREP7 data, use one of these methods:

    Command(s): IGESIN
    GUI: Utility Menu> File> Import

New solid model entities created (in the AUX15 processor) by the IGESIN command (or GUI path) will automatically be numbered to avoid conflicts with other solid model entities that already exist in the database. If an IGES file is read into an empty database, ANSYS solid modeling entity numbering will not necessarily start at 1. This is because intermediate entities might be created (and later deleted) in the translation process. See "Importing Solid Models from IGES Files" for more information on the IGES interface.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 11. Number Control and Element Reordering 		Up / Home Next
11.2. Element Reordering


11.2. Element Reordering

At the start of a direct frontal solution, the ANSYS program will automatically reorder your elements to reduce the maximum wavefront size. This operation does not affect the element numbers used to identify elements in pre- and postprocessing of your database. In most cases, allowing the ANSYS program to reorder elements automatically is the preferred approach. If you do not want the program to perform automatic reordering, you can re-establish the original element ordering using one of these methods:

Command(s): | NOORDER
GUI: | Main Menu> Preprocessor> Numbering Ctrls> Element Reorder> Reset Elem Order

For more hands-on control of element reordering, use any of the methods listed below to initiate reordering within PREP7. (For any of these operations, the program knows not to overwrite your "manual" reordering with an automatic reordering.)

  • To initiate element reordering based upon a geometric sort, use one of these methods:

    Command(s): WSORT
    GUI: Main Menu> Preprocessor> Numbering Ctrls> Element Reorder> Reorder by XYZ

  • To define a starting wave list, use one of these methods:

    Command(s): WSTART
    GUI: Main Menu> Preprocessor> Numbering Ctrls> Element Reorder> Define Wave List

  • To add more nodes to the starting wave list, use one of these methods:

    Command(s): WMORE
    GUI: Main Menu> Preprocessor> Numbering Ctrls> Element Reorder> Extend Wave List

  • To erase all reordering wave lists, use one of these methods:

    Command(s): WERASE
    GUI: Main Menu> Preprocessor> Numbering Ctrls> Element Reorder> Erase Wave List

  • To initiate reordering, use one of these methods:

    Command(s): WAVES
    GUI: Main Menu> Preprocessor> Numbering Ctrls> Element Reorder> Reorder by List

  • To obtain an estimate of the wavefront statistics for your model, as currently ordered, use one of these methods:

    Command(s): WFRONT
    GUI: Main Menu> Preprocessor> Numbering Ctrls> Element Reorder> Est. Wavefront

You should avoid placing point elements (for example, MASS21 and MASS71) on element midside nodes if you intend to reorder your elements using the WAVES command; otherwise, the WAVES command may fail.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
11.1. Number Control 		Up / Home Next
Chapter 12. Coupling and Constraint Equations


Chapter 12. Coupling and Constraint Equations

When generating your model, you typically define the relationships among different degrees of freedom by using elements to connect the nodes. However, you sometimes need to be able to model distinctive features (rigid regions, pinned structural joints, sliding symmetry boundaries, periodic conditions, and other special internodal connections) which cannot be adequately described with elements. You can establish such special associations among nodal degrees of freedom by using coupling and constraint equations (CEs). Using these techniques enables you to link degrees of freedom in ways that elements cannot.

The following topics concerning coupling and CEs are available:

  • What Is Coupling?
  • How to Create Coupled Degree of Freedom Sets
  • Additional Considerations for Coupling
  • What Are Constraint Equations?
  • How to Create Constraint Equations
  • Additional Considerations for Constraint Equations

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
11.2. Element Reordering 		Up / Home Next
12.1. What Is Coupling?


12.1. What Is Coupling?

When you need to force two or more degrees of freedom (DOFs) to take on the same (but unknown) value, you can couple these DOFs together. A set of coupled DOFs contains a prime DOF, and one or more other DOFs. Coupling will cause only the prime DOF to be retained in your analysis' matrix equations, and will cause all the other DOFs in a coupled set to be eliminated. The value calculated for the prime DOF will then be assigned to all the other DOFs in a coupled set.

Typical applications for coupled DOFs include: 1) maintaining symmetry on partial models, 2) forming pin, hinge, universal, and slider joints between two coincident nodes, and 3) forcing portions of your model to behave as rigid bodies (see this chapter's discussion of constraint equations for more general rigid region capability).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 12. Coupling and Constraint Equations 		Up / Home Next
12.2. How to Create Coupled Degree of Freedom Sets


12.2. How to Create Coupled Degree of Freedom Sets

12.2.1. Creating and Modifying Coupled Sets at Specified Nodes

To define (or modify) a set of coupled degrees of freedom, use one of these methods:

Command(s): | CP
GUI: | Main Menu> Preprocessor> Coupling/Ceqn> Couple DOFs

After creating a coupled set of nodes, you can include more nodes in that set by simply performing an additional coupling operation (be sure to use the same set reference number). You can also use selecting logic to couple "ALL" of the selected nodes. Nodes can be deleted from a coupled set by inputting them as negative node numbers on the CP command. To modify a coupled DOF set (that is, add or delete nodes, or change the DOF label), use the CPNGEN command. (You cannot access the CPNGEN command directly in the GUI.)

12.2.2. Coupling Coincident Nodes

The CPINTF command couples coincident nodes in a model by generating one coupled set for each specified DOF label at every pair of coincident nodes. This operation is useful for "buttoning" together several pairs of nodes (such as at a seam).

Command(s): | CPINTF
GUI: | Main Menu> Preprocessor> Coupling/Ceqn> Coincident Nodes

Instead of coupling coincident nodes, you can use one of these alternative methods to force the nodes to behave in the same way:

  • If all DOFs are to be coupled for coincident nodes, it is usually more efficient to simply merge those nodes together by using the NUMMRG command (Main Menu> Preprocessor> Numbering Ctrls> Merge Items).

  • You can connect coincident pairs of nodes by creating 2-node elements between them by using the EINTF command (Main Menu> Preprocessor> Modeling> Create> Elements> Auto Numbered> At Coincid Nd).

  • To tie together two regions having dissimilar mesh patterns, use the CEINTF command (Main Menu> Preprocessor> Coupling/Ceqn> Adjacent Regions). This operation generates constraint equations that connect the selected nodes of one region to the selected elements of the other region.

12.2.3. Generating More Coupled Sets

Once one or more coupled sets exist, additional sets can be generated using these methods:

  • To generate new coupled sets using the same node numbers, but different DOF labels, as an existing "pattern" set, use one of these methods:

    Command(s): CPLGEN
    GUI: Main Menu> Preprocessor> Coupling/Ceqn> Gen w/Same Nodes

  • To generate new coupled sets using different (uniformly incremented) node numbers, but the same DOF labels as an existing set, use one of these methods:

    Command(s): CPSGEN
    GUI: Main Menu> Preprocessor> Coupling/Ceqn> Gen w/Same DOF

12.2.4. Listing and Deleting Coupled Sets

You can perform two other operations to help you manage your coupled sets:

  • To list coupled DOF sets, use one of these methods:

    Command(s): CPLIST
    GUI: Utility Menu> List> Other> Coupled Sets> All CP nodes selected
    Utility Menu> List> Other> Coupled Sets> Any CP node selected

  • To delete coupled DOF sets, use one of these methods:

    Command(s): CPDELE
    GUI: Main Menu> Preprocessor> Coupling/Ceqn> Del Coupled Sets

This operation deletes entire sets; you must use the CPNGEN command or the CP command (or its GUI path) to delete specific nodes from coupled sets.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.1. What Is Coupling? 		Up / Home Next
12.3. Additional Considerations for Coupling


12.3. Additional Considerations for Coupling

Coupling operates in the nodal coordinate system of each node coupled. You should usually keep your nodal coordinate systems consistent.

Degrees of freedom are coupled within a set but are not coupled between sets. You must not allow a degree of freedom to appear in more than one coupled set.

"Grounded" degrees of freedom (that is, DOFs with values specified by D or other constraint commands) must not be included in the coupled set.

In a reduced analysis, if master degrees of freedom are to be chosen from coupled DOF sets, only prime DOFs may be designated as master degrees of freedom. (You must not designate any eliminated DOF in a coupled set as a master degree of freedom.)

In a structural analysis, coupling DOFs to create a rigid region can sometimes cause apparent violations of equilibrium. A set of coupled nodes which are not coincident or are not in line with the coupled displacement direction may produce an applied moment that will not appear in the reaction forces.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.2. How to Create Coupled Degree of Freedom Sets 		Up / Home Next
12.4. What Are Constraint Equations?


12.4. What Are Constraint Equations?

Linear constraint equations provide a more general means of relating degree of freedom values than is possible with simple coupling. Constraint equations must have the form:

where U(I) is the degree of freedom of term (I), and N is the number of terms in the equation.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.3. Additional Considerations for Coupling 		Up / Home Next
12.5. How to Create Constraint Equations


12.5. How to Create Constraint Equations

You can use several different methods to create constraint equations. These include the CE command (the direct method) and other commands such as CEINTF, CERIG, and RBE3. These methods of generating constraint equations are discussed in the following sections.

In addition to the methods discussed here, you can use the internal multipoint constraint (MPC) feature of certain contact elements (CONTA171, CONTA172, CONTA173, CONTA174, CONTA175, CONTA176, and CONTA177) to model contact assemblies and kinematic constraints. By this method, the program builds MPC equations internally based on the contact kinematics. See "Multipoint Constraints and Assemblies" in the Contact Technology Guide for more information on how to use this feature.

12.5.1. The Direct Method

You can create constraint equations directly, using one of these methods:

Command(s): | CE
GUI: | Main Menu> Preprocessor> Coupling/Ceqn> Constraint Eqn

The following example illustrates a typical application of a constraint equation, in which moment transfer capability is created for a connection between a BEAM3 element and PLANE42 elements (PLANE42 elements have no in-plane rotational degree of freedom):

Figure 12.1 Establishing Relationships Between Rotational and Translational DOF

In this example, node 2 acts as a hinge if no constraint equations are used. To transfer moment between the beam and the plane-stress elements, you can use the following equation:

ROTZ2 = (UY3 - UY1)/10

This equation would be rewritten in the required format and entered into the program as:

0 = UY3 - UY1 - 10*ROTZ2

CE,1,0,3,UY,1,1,UY,-1,2,ROTZ,-10

The first unique degree of freedom in the equation is eliminated in terms of all other degrees of freedom in the equation. A unique degree of freedom is one which is not specified in any other constraint equation, coupled node set, specified displacement set, or master degree of freedom set. You should make the first term of the equation be the degree of freedom to be eliminated. Although you may, in theory, specify the same degree of freedom in more than one equation, you must be careful to avoid over-specification. You must also take care to ensure that each node and degree of freedom exists in the model. (Remember that for a degree of freedom to be present at a node, that node must be connected to an element which supplies the necessary degree of freedom.)

12.5.1.1. Periodic Conditions

Often in field analysis, it is desirable to take advantage of antisymmetric or periodic field variation to limit the model size. For static magnetic analyses, this can be accomplished by using ANSYS cyclic symmetry capabilities. See Solving a Magnetic Cyclic Symmetry Analysis for more information. For harmonic or transient magnetic analyses, use the constraint equation method explained here.

A periodic condition is a boundary for which neither the flux-parallel nor flux-normal conditions hold, but rather the potential at one point is of equal magnitude but of opposite sign to that of a point in another location. This condition arises in the analysis of symmetry sectors of motors, for example, where the potentials one pole pitch apart are equal but opposite in sign. In Figure 12.2: "Example of Specifying a Periodic Condition", suppose node 129 in the outlined symmetry sector is to be constrained as described above with node 363 on the opposite pole pitch.

Figure 12.2 Example of Specifying a Periodic Condition

The constraint equation would read:

A129 = - A363

0 = A129 + A363

The CE command used to input this constraint equation would appear as follows:

CE,1,0,129,MAG,1,363,MAG,1

To automatically apply groups of periodic boundary conditions (CP and CE commands) for 2-D magnetic analyses, use the PERBC2D command macro (refer to "Electric and Magnetic Macros" in the Low-Frequency Electromagnetic Analysis Guide for a discussion of this modeling aide):

Command(s): | PERBC2D
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Boundary> Flux Normal> Periodic BCs Main Menu> Solution> Define Loads> Apply> Magnetic> Boundary> Flux Normal> Periodic BCs

Note

Periodic boundary conditions can also be represented in a structural analysis (for example, in a turbine blade model) using CP commands on nodes rotated into the cylindrical coordinate system.

12.5.2. Modifying Constraint Equations

To change the constant term of a constraint equation in either PREP7 or SOLUTION, use one of these methods:

Command(s): | CECMOD
GUI: | Main Menu> Preprocessor> Coupling/Ceqn> Modify ConstrEqn Main Menu> Preprocessor> Loads> Load Step Opts> Other> Modify ConstrEqn Main Menu> Solution> Load Step Opts> Other> Modify ConstrEqn

If you need to change any of the other terms of a constraint equation, you must use the CE command (or the corresponding GUI path) in PREP7, before you start your solution.

12.5.3. Direct vs. Automatic Constraint Equation Generation

An example that appeared earlier in this chapter illustrated how you can use the CE command to create constraint equations directly, one at a time.

Three other operations, described below, automatically generate multiple constraint equations for you.

12.5.3.1. Creating a Rigid Region

The CERIG command defines a "rigid region" by writing constraint equations to define rigid lines linking a designated retained (or "master") node to a number of removed (or "slave") nodes. (The term "master node" as applied to this operation is not the same as a master degree of freedom for a reduced analysis.)

Command(s): | CERIG
GUI: | Main Menu> Preprocessor> Coupling/Ceqn> Rigid Region

By setting Ldof to ALL on the CERIG command (default), this operation will generate three equations for each pair of constrained nodes in 2-D space. These equations define the three rigid body motions in global Cartesian space (UX, UY, ROTZ). In order to create a rigid region on a 2-D model, you must make sure that the X-Y plane is the rigid plane and that UX, UY, and ROTZ degrees of freedom are available at each constrained node. This operation will similarly generate six equations for each pair of constrained nodes in 3-D space. All six degrees of freedom (UX, UY, UZ, ROTX, ROTY, and ROTZ) must be available at each constrained node.

Entering other labels in the Ldof field will create different effects. If this field is set to UXYZ, the program will write two constraint equations in 2-D (X, Y) space and three constraint equations in 3-D (X, Y, Z) space. These equations will be written in terms of the slave nodes' translational degrees of freedom, and in terms of the master node's translational and rotational degrees of freedom. Similarly, the RXYZ label allows you to generate a partial set of equations that omit the slave nodes' translational degrees of freedom. The other available Ldof labels will generate other types of constraint equations.

In general, your slave nodes need have only the degrees of freedom called for by Ldof, but your master node must have all applicable translational and rotational degrees of freedom (that is, UX, UY, ROTZ for 2-D; UX, UY, UZ, ROTX, ROTY, ROTZ for 3-D). For models that are made up of elements having no rotational degree of freedom, you might consider adding a dummy beam element to provide rotational degrees of freedom at the master node.

12.5.3.2. Tying Dissimilarly Meshed Regions Together

You can tie dissimilarly meshed regions together via the CEINTF command, or you can use contact elements with the internal multipoint constraint (MPC) algorithm.

12.5.3.2.1. Using the CEINTF Command

You can generate constraint equations connecting the selected nodes of one region to the selected elements of another region via the CEINTF command (Main Menu> Preprocessor> Coupling/Ceqn> Adjacent Regions). This operation ties together regions with dissimilar mesh patterns. At the interface location between two regions, select the nodes from the denser mesh region, A, and select the elements from the sparser mesh region, B. The degrees of freedom of region A nodes are interpolated with the corresponding degrees of freedom of the nodes on the region B elements, using the shape functions of the region B elements. Constraint equations are then written that relate region A and B nodes at the interface. ANSYS allows two tolerances on the location of these nodes. Nodes which are outside the element by more than the first tolerance are not accepted as being on the interface. Nodes that are closer than the second tolerance to an element surface are moved to that surface. See the Theory Reference for ANSYS and ANSYS Workbench for details.

Certain limitations affect the CEINTF command: stress or thermal flux might not be continuous across the interface. Nodes in the interface region must not have specified displacements.

12.5.3.2.2. Using Contact Elements

To learn more about tying dissimilarly meshed regions together via contact elements and the internal MPC algorithm, see "Multipoint Constraints and Assemblies".

12.5.3.3. Generating Sets of Constraint Equations from Existing Sets

You can issue the CESGEN command to generate sets of constraint equations from existing sets. All node numbers within the existing sets are then incremented to generate the additional sets. The labels and coefficients of the additional sets remain the same as those of the original sets.

Command(s): | CESGEN
GUI: | Main Menu> Preprocessor> Coupling/Ceqn > Gen w/same DOF

12.5.4. Listing and Deleting Constraint Equations

You can list and delete your constraint equations.

  • To list constraint equations, use one of these methods:

    Command(s): CELIST
    GUI: Utility Menu> List> Other> Constraint Eqns> All CE nodes selected
    Utility Menu> List> Other> Constraint Eqns> Any CE node selected

  • To delete constraint equations, use one of these methods:

    Command(s): CEDELE
    GUI: Main Menu> Preprocessor> Coupling/Ceqn> Del Constr Eqn

12.5.5. Program Modification of Constraint Equations

During the solution, the user-defined constraint equations (CEs) may be modified as follows:

  • CEs that are applied to DOFs which are not active (for example, a CE relating rotational DOFs on nodes with only translational DOFs) are deleted.

  • CEs for which all DOFs are constrained (D command) are deleted.

  • CEs that have DOFs in another equation have their terms reordered so that they all have a common retained DOF.

  • CEs which are chained together are merged into a single CE.

  • CEs which are internal to the solution process are generated by MPC contact and by cyclic symmetry. These CEs cannot be listed or deleted.

12.5.6. Troubleshooting Problems with Constraint Equations

Overconstrained problems for which there is no unique DOF that can be solved typically generate an error message similar to one of the following:

  • Constraint equation set is defective.

  • Constraint equation is circular.

  • Constraint equation has no unique degree of freedom.

  • Contact overconstraint may occur.

In addition to CE-specific error messages, you may also notice "small (or zero) pivot" messages from the solver. Such overconstraints may be caused by one of the following conditions:

  • Duplicate CEs are specified for the same DOFs.

    Work-around: Delete any duplicate specifications, or issue an NUMMRG,CE command to compress them out.

  • DOFs in a CE are also present in a coupled (CP) set.

    Work-around: Delete the CP set and include the DOF in the CE to obtain the desired response.

  • CEs are chained together in such a way that they form a "circular" set.

    Typically, this condition occurs when you define CEINTF and/or MPC contact on adjacent surfaces.

    Work-around: Perform the CEINTF operation, or specify the contact region encompassing both surfaces simultaneously rather than individually.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.4. What Are Constraint Equations? 		Up / Home Next
12.6. Additional Considerations for Constraint Equations


12.6. Additional Considerations for Constraint Equations

All constraint equations are based on small rotation theory. Therefore, their use in large-rotation analyses [NLGEOM] should be restricted to cases where the directions of the DOF included in constraint equations do not change significantly.

The presence of constraint equations can produce unexpected reaction and nodal force results. Please see The General Postprocessor (POST1) in the Basic Analysis Guide for a related discussion.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.5. How to Create Constraint Equations 		Up / Home Next
Chapter 13. Combining and Archiving Models


Chapter 13. Combining and Archiving Models

It is sometimes necessary to combine two or more separate models, and it is necessary to know how to archive the models that you have made or the analyses you have performed. The following related topics are available:

  • Combining Models
  • Archiving Models

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.6. Additional Considerations for Constraint Equations 		Up / Home Next
13.1. Combining Models


13.1. Combining Models

You may need to combine two or more separate models if you are working on a portion of a model while another person works on a different portion of the same model. Or perhaps you have subdivided a large modeling task into smaller separate tasks, which created several separate models. One way to combine these models would be to merge all the input (commands) together, if you have kept copies of the input files. Conflicts may result with this method, however, because entities on different files may share the same number, material properties may overlap, etc.

One alternative method is to use the CDWRITE command to write out ASCII files that you can combine with the CDREAD command:

  • To write data to an ASCII file, use one of these methods:

    Command(s): CDWRITE
    GUI: Main Menu> Preprocessor> Archive Model> Write

  • To read the data back in, use one of these methods:

    Command(s): CDREAD
    GUI: Main Menu> Preprocessor> Archive Model> Read

The advantage of this method is that the combination of the write and read operations takes care of conflicting data by automatically writing appropriate NUMOFF commands to each file that is produced. When these files are read in, the NUMOFF commands prevent conflicts in data numbers by offsetting existing data numbers. The data that is being read in retains its original numbering. You can use the NUMCMP command (Main Menu> Preprocessor> Numbering Ctrls> Compress Numbers) to remove gaps in numbering that can result from these NUMOFF operations.

On large models, you can save time by writing out only the portion of the models that you wish to combine. For instance, with the CDWRITE operation, you have the capability of writing out only the solid model information or only the database information. The database information consists of the finite element model without any solid model or solid model loading information. If you are planning on combining two unmeshed solid models, consider saving only the solid model information with the CDWRITE operation. You can then use the CDREAD operation to read in the solid model files.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 13. Combining and Archiving Models 		Up / Home Next
13.2. Archiving Models


13.2. Archiving Models

What is the best way to keep, or archive the models that you have made or the analyses you have performed? You can save your model , a single load case, and a set of solution option settings by saving the log file, the database file, or the file(s) produced by the write operation [CDWRITE]. Multiple solutions and postprocessing steps can be archived by saving the log file. There are advantages and disadvantages to each type of file; they are described below.

13.2.1. Log File (File.LOG)

13.2.1.1. Pros

This file is probably the best file to save in terms of compactness. Also, this file is a record of the commands you used to create your model, so you will probably recognize the steps that you used, and why you did operations in a particular order. Also, since the file is saved in text file format (normally ASCII), you can transfer it from one machine to another through such methods as E-mail, etc. In addition, since you can modify these files with any text editor, you can change your model by changing this file, and you can add /COM commands (comment lines) to describe your input. This will help you understand the input at a later date. Parametric models (and thus models used in optimization analyses) can be archived using the log file. Finally, this is the best file to give to other people (perhaps your ASD) who are helping you with questions or problems.

Note

File.LOG is automatically created during an ANSYS session. If this file is lost or corrupted, you can write a command log file for the current ANSYS database using the LGWRITE command (Utility Menu> File> Write DB Log File). See the Operations Guide for more information on using LGWRITE.

13.2.1.2. Cons

You will have to rerun the input in this file in order to get a database. Because such things as entity numbering, meshes, etc. can change between different hardware systems or between releases of ANSYS, you'll probably need to rerun the input at the same release of the program that you originally used to create the model. Also, if you created your model interactively, you may have difficulty running the input on this file in batch mode to recreate the model. If there are any errors in the input, they can terminate a batch run, which means that your model will not be built completely. If you encounter this problem, run your input interactively with the /INPUT command (Utility Menu> File> Read Input from).

13.2.2. Database File (File.DB)

13.2.2.1. Pros

The database file can be resumed [RESUME] within the ANSYS version that the file was created in. As long as you are resuming the file into the same ANSYS version that it was created in, you do not need to manipulate or modify the file in any way.

Note

Although not guaranteed, you can also usually resume a database file created in the previous version of ANSYS into the current version. For example, you can probably resume an ANSYS 5.2 database file into ANSYS 5.3 without encountering problems. However, ANSYS is not expected to resume an ANSYS 5.2 database file into ANSYS 5.4 or later.

13.2.2.2. Cons

Large models can produce large database files, which can soon cause you to run out of disk space. Also, because this file is saved in binary format (IEEE), transfer from one machine to another is sometimes more difficult than with a text file.

13.2.3. CDWRITE File(s)

13.2.3.1. Pros

Relatively compact text file(s) (with the .cdb extension) are produced by the CDWRITE operation. Since CDWRITE saves the current model in terms of geometric and finite element entities (rather than the commands used to create the model), nearly all hardware platforms and or program release dependencies are eliminated. CDWRITE files can typically be used to recreate a model on any hardware platform and in any upward compatible release of the program. Also, because these files can be modified with a text editor, you can put descriptive comments in these files to help you identify and understand them at a later date. Imported files used to create the model need not be saved.

13.2.3.2. Cons

Files produced by CDWRITE are essentially a text file format dump of the database. While ANSYS commands (and possibly IGES information) are contained in the files, they may not be the same commands that you used to create your model, and they will not be in the same order as the commands that you used. For this reason, it is difficult (and not recommended) to modify these files when you are trying to change a model. Parametric model information is not saved, so changing the model by modifying parameter values is not possible. For this reason, it is also not possible to save a model to be used for an optimization analysis using CDWRITE. Also, to recreate your model, you must read these files in with the CDREAD command, which can take a moderate amount of time for large models.

Note that, if a set of data exists prior to the CDREAD operation, that data set is offset upward to allow the new data to fit without overlap. The NOOFFSET command allows this offset to be ignored on a set by set basis, causing the existing data set to be overwritten with the new data set

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.1. Combining Models 		Up / Home Next
Chapter 14. Interfaces With Other Programs


Chapter 14. Interfaces With Other Programs

Interface software allows you to exchange data between the ANSYS program and other application programs. The software may be made available as an independent package or built into the application programs. The following topics are available:

  • Interfacing With Computer Aided Design (CAD) Products
  • Other Interfaces

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.2. Archiving Models 		Up / Home Next
14.1. Interfacing With Computer Aided Design (CAD) Products


14.1. Interfacing With Computer Aided Design (CAD) Products

Many CAD programs have direct interfaces with the ANSYS program through software written by ANSYS, Inc. or by the CAD vendors. See the ANSYS Connection User's Guide for information on ANSYS connection functionality. For other programs, consult your CAD software vendor.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 14. Interfaces With Other Programs 		Up / Home Next
14.2. Other Interfaces


14.2. Other Interfaces

Interface software is also available for software in the following categories:

  • Kinematics

  • Computational Fluid Dynamics (CFD). A fully integrated CFD capability is available within the ANSYS program, using the FLOTRAN CFD module.

  • Graphics and publishing

  • Preprocessing and postprocessing

  • Injection molding analysis

  • Acoustics and noise reduction

  • Experimental modal analysis

  • Fracture and fatigue

  • Multibody systems

  • Crash analysis and metal forming

  • Dynamics

Typically, the interface software for such applications is available from the respective vendors.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.1. Interfacing With Computer Aided Design (CAD) Products 		Up / Home Next
Distributed ANSYS Guide


Distributed ANSYS Guide

Release 11.0 Documentation for ANSYS

Table of Contents

1. Overview of Distributed ANSYS
2. Configuring and Starting Distributed ANSYS
2.1. Prerequisites for Running Distributed ANSYS
2.1.1. MPI Software
2.1.2. ANSYS Software
2.2. Setting Up the Environment for Distributed ANSYS
2.2.1. Optional Setup Tasks
2.2.2. Using the mpitest Program
2.2.3. Interconnect Configuration
2.2.4. Other Considerations
2.3. Starting Distributed ANSYS
2.3.1. Starting Distributed ANSYS via the Launcher
2.3.2. Starting Distributed ANSYS via Command Line
2.3.3. Starting Distributed ANSYS via the Job Scheduler
2.3.4. Starting Distributed ANSYS via Remote Solve in ANSYS Workbench
2.3.5. Using MPI appfiles
2.3.6. Files that Distributed ANSYS Writes
3. Running Distributed ANSYS
3.1. Supported Analysis Types
3.2. Supported Features
3.3. Running a Distributed Analysis
3.4. Restarts in Distributed ANSYS
3.5. Understanding the Working Principles and Behavior of Distributed ANSYS
3.6. Example Problems
3.6.1. Example: Running Distributed ANSYS on Linux
3.6.2. Example: Running Distributed ANSYS on Windows
3.7. Troubleshooting

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.2. Other Interfaces 		Up / Home Next
Chapter 1. Overview of Distributed ANSYS


Chapter 1. Overview of Distributed ANSYS

Solving a large model with millions of DOFs can require many CPU hours. To decrease processing time, ANSYS offers different options for distributing model-solving power using multiple processors.

It is important to fully understand the terms we use, both relating to our software and to the physical hardware. The terms Distributed ANSYS and shared-memory ANSYS refer to our software offerings, which run on shared memory or distributed hardware configurations (described below).

Both Distributed ANSYS and shared-memory ANSYS require ANSYS Mechanical HPC licenses for each processor beyond the first two. For example, if you want to run four processors, you will need two HPC licenses.

Shared-memory ANSYS

Shared-memory ANSYS refers to running ANSYS across multiple processors on a single machine. Most, but not all, of the solution phase runs in parallel when using the shared-memory architecture. Many solvers in ANSYS can use the shared-memory architecture in ANSYS. For more information on running shared-memory ANSYS, see "Using Shared-Memory ANSYS" of the Advanced Analysis Techniques Guide.

Distributed ANSYS

With Distributed ANSYS, the entire /SOLUTION phase runs in parallel, including the stiffness matrix generation, linear equation solving, and results calculations. With multiple processors, you can see significant speedup in the time it takes to run your analysis. This document describes using Distributed ANSYS.

Shared Memory Environment

Shared memory environment refers to the physical hardware configuration in which a single shared memory address space is accessible by all processors. Therefore each CPU “shares” the memory with the others. A common example of a shared memory system would be an IA-32 bit Windows machine with two processors. Both processors share the same main memory space through a common bus architecture.

Distributed Memory Environment

In a distributed memory environment, each CPU or computing node has its own memory address space which is not shared by other CPUs or computing nodes. Communication between machines is by MPI (Message Passing Interface) software on the network. A common example of a distributed memory system would be any collection of desktop workstations linked by a network. When the collection of linked processors is a dedicated computing engine for a given period of time and is not used during that time for everyday tasks such as email or browsing, it is called a cluster.

Mixed Memory Environment

Mixed memory indicates that the cluster is using a combination of both shared and distributed memory. A common example of a mixed memory system would be a cluster of CPUs with two processors in each physical box sharing that memory, but with a number of these units connected to each other by a network. The Distributed ANSYS solvers support the mixed memory scenario by treating the shared memory as if it were distributed memory. The AMG solver does not support the mixed memory scenario as it is a shared-memory only solver.

The following table shows how the various solvers, element formulation, and results calculation behave under Distributed ANSYS and shared-memory ANSYS. You can run Distributed ANSYS in either distributed parallel mode (across multiple machines) or in shared-memory parallel mode (using multiple processors on a single machine). However, while both modes will see a speedup in CPU time, only distributed parallel mode will allow you to take advantage of increased memory availability across the multiple machines.

Table 1.1 Solver Availability in Shared-Memory and Distributed ANSYS

Solvers/Feature | Shared-Memory | Distributed ANSYS
PCG | Y | Y
JCG | Y | Y
Distributed sparse | -- | Y
AMG | Y | --
Sparse | Y | Y*
ICCG | Y | --
Element formulation, results calculation | Y | Y

*Runs in shared-memory parallel mode on the local machine only; element formulation and results calculation will still run in distributed-memory parallel mode.

In ANSYS, the solution time is typically dominated by three parts: the time spent to create the element matrices and form the global matrices or global systems of equations, the time to solve the linear system of equations, and the time spent post-processing the solution (i.e., calculating derived quantities such as stress and strain).

Shared-memory architecture runs a solution over multiple processors on a single, multiprocessor machine. When using shared-memory ANSYS, you can reduce each of the three main parts of the overall solution time by using multiple processors. However, this architecture is limited by the memory bandwidth; you typically see very little reduction in solution time beyond two to four processors.

The distributed-memory architecture of Distributed ANSYS runs a solution over multiple processors on a single machine or on multiple machines. It decomposes large problems into smaller domains, transfers the domains to each processor, solves each domain, and creates a complete solution to the model. Because each of the three main parts of the overall solution time are running in parallel, the whole model solution time is significantly reduced. The memory required is also distributed over multiple systems. This memory-distribution method allows you to solve very large problems on a cluster of machines with limited memory.

Distributed ANSYS works by launching ANSYS on multiple machines. The machine that ANSYS is launched on is called the master or host machine and the other machines are called the slave machines. (If you launch Distributed ANSYS using multiple processors on the same machine, you would use the same terminology when referring to the processors, e.g., the master and slave processors). All pre-processing and post-processing commands are executed only on the master machine. Only the SOLVE command and any necessary supporting commands (e.g., /SOLU, FINISH, /EOF, /EXIT, etc.) are sent to the slave machines to be processed.

Files generated by Distributed ANSYS are named JobnameN.ext, where N is the process number. The master process is always 0, and the slave processes are 1, 2, etc. When the solution is complete and you issue the FINISH command in /SOLU, Distributed ANSYS combines all JobnameN.rst files into a single Jobname.rst file, located on the master machine.

The remaining chapters explain how to configure your environment to run Distributed ANSYS, how to run a Distributed ANSYS analysis, and what features and analysis types are supported in Distributed ANSYS. You should read these chapters carefully and fully understand the process before attempting to run a distributed analysis. The proper configuration of your environment and the installation and configuration of the appropriate MPI software are critical to successfully running a distributed analysis.

ANSYS LS-DYNA. If you are running ANSYS LS-DYNA, you can use LS-DYNA's parallel processing (MPP or SMP) capabilities. Use the command line method and options as described in "Configuring and Starting Distributed ANSYS" to run LS-DYNA MPP. Also see LS-DYNA Parallel Processing Capabilities in the ANSYS LS-DYNA User's Guide for more information on both the SMP and MPP capabilities. You will need an ANSYS LS-DYNA Parallel license for every processor beyond the first one.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Distributed ANSYS Guide 		Up / Home Next
Chapter 2. Configuring and Starting Distributed ANSYS


Chapter 2. Configuring and Starting Distributed ANSYS

Before running a Distributed ANSYS analysis, you must configure your system properly. Your system must meet specified criteria. You must have supported MPI software correctly installed, and the machines running Distributed ANSYS must be properly configured.

The following topics are available for configuring and starting Distributed ANSYS:

  • Prerequisites for Running Distributed ANSYS
  • Setting Up the Environment for Distributed ANSYS
  • Starting Distributed ANSYS

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 1. Overview of Distributed ANSYS 		Up / Home Next
2.1. Prerequisites for Running Distributed ANSYS


2.1. Prerequisites for Running Distributed ANSYS

Your system must meet the following requirements to run Distributed ANSYS.

  • Homogeneous network: All machines must be the same type, OS level, chip set, and interconnects.

  • You must be able to remotely log in to all machines, and all machines in the cluster must have identical directory structures (including the ANSYS installation, MPI installation, and on some systems, working directories). Do not change or rename directories after you've launched ANSYS. For more information on files that are written and their location, see Files that Distributed ANSYS Writes in the Distributed ANSYS Guide.

  • All machines in the cluster must have ANSYS installed, or must have an NFS mount to the ANSYS installation. If not installed on a shared file system, ANSYS must be installed in the same directory path on all systems.

  • You will need an ANSYS Mechanical HPC license for each processor after the first two to run Distributed ANSYS. For example, if you want to run on four processors, you will need two ANSYS Mechanical HPC licenses.

  • All machines must have the same version of MPI software installed and running. The table below shows the MPI software and version level supported for each platform.

    If you plan to use only the AMG solver in shared-memory ANSYS, MPI software is not required. If you are using only the AMG solver, skip the rest of this document and continue with Using the ANSYS Mechanical HPC Add-On in the Advanced Analysis Techniques Guide.

2.1.1. MPI Software

The MPI software you use depends on the platform. The following table lists the type of MPI software required for each platform. HP MPI is included on the Linux installation media and is installed automatically when you install ANSYS. For questions regarding the installation and configuration of the native MPI software versions, please contact your MPI or hardware vendor.

Distributed ANSYS runs on the following platforms:

HP PA8000 / HP IA-64 (native MPI)
SGI (native MPI)
Intel IA-32 Linux (HP MPI)
Intel IA-64 Linux (HP MPI)
SGI Altix 64-bit Linux (MPI MPT)
AMD Opteron 64-bit Linux (HP MPI)
Intel Xeon EM64T 64-bit Linux (HP MPI)
Sun - single box, multiple processor only (native MPI only)
Fujitsu - single box, multiple processor only (native MPI only)
IBM - single box, multiple processor only (native MPI only)
Windows 32-bit (MPICH2)
Windows 64-bit (MPICH2 (default), MS MPI)

Table 2.1 Platforms and MPI Software

Platform | MPI Software | More Information
HP PA8000 64-bit / HP-UX 11.11 (64-bit) | HP MPI B.2.0 | http://h21007.www2.hp.com/dspp/tech/ tech_TechSoftwareDetailPage_IDX/1,1703,3438,00.html
HP IA-64 / HP-UX 11.23 | HP MPI 2.1.1 | http://h21007.www2.hp.com/dspp/tech/ tech_TechSoftwareDetailPage_IDX/1,1703,3438,00.html
IBM AIX64 64-bit / AIX 5.3 | POE 4.2.2.3 | Contact your IBM vendor. Earlier or later versions of POE may not work correctly with Distributed ANSYS.
SGI 64-bit /IRIX64 6.5.23m and SGI Altix 64-bit Linux | MPI 4.3 (MPT 1.8) with array services 3.5 | http://www.sgi.com/products/software/mpt/
Sun UltraSPARC 64-bit / Solaris 9 UltraSPARC III and IV 64-bit / Solaris 9 | HPC CLUSTERTOOLS 5.0 | http://www.sun.com/hpc/communitysource/
Linux Intel (including EM64T) and AMD (32- and 64-bit) | HP MPI 2.2.2 | http://docs.hp.com/en/T1919-90007/index.html
Fujitsu SPARC64 IV / Solaris 8 | Parallelnavi 2.1 | Contact your Fujitsu vendor
Windows 32-bit / Windows XP and Windows 2000 Windows 64-bit / Windows XP x64 | MPICH2 |
Windows 64-bit / Windows Server 2003 x64 and Windows Compute Cluster Server 2003 | Microsoft Compute Cluster Pack (MS MPI) |

ANSYS LS-DYNA. If you are running ANSYS LS-DYNA, you can use LS-DYNA's parallel processing (MPP or SMP) capabilities. Use the command line method and options as described in Starting Distributed ANSYS via Command Line in the Distributed ANSYS Guide to run LS-DYNA MPP. You cannot run the MPP version from the launcher. To run LS-DYNA's MPP version with ANSYS, you need to use the MPI versions listed here. MPP is not available for 32-bit Windows systems or 64-bit Windows systems using MPICH2. It is available for 64-bit Windows systems using MS MPI. For more information on using ANSYS LS-DYNA in general, and its parallel processing capabilities specifically, see the ANSYS LS-DYNA User's Guide.

2.1.2. ANSYS Software

To run Distributed ANSYS, you must install ANSYS on all machines in the cluster, or have an NFS mount to the ANSYS installation. You will need an HPC license for each processor after the first two to run Distributed ANSYS. Install ANSYS following the instructions in the ANSYS, Inc. Installation Guide for your platform. Be sure to complete the installation, including all required post-installation procedures. On Windows systems, you must use the Universal Naming Convention (UNC) for all file and path names for Distributed ANSYS to work correctly.

Installing MPICH2 (Windows 32-bit)

MPICH2 is included on the ANSYS media under Program Files\Ansys Inc\V110\ANSYS\MPICH2\mpich2-1.0.3-1-win32-ia32.msi. Follow the instructions below to install it on your system. You will need to install MPICH2 on all systems to be used in the distributed run. See http://www-unix.mcs.anl.gov/mpi/mpich/ for more information.

.NET Requirement. You must also have the .NET framework installed on your machines. To download the .NET framework, go to www.microsoft.com and search downloads for .NET framework.

  1. Insert the DVD in your DVD drive. Choose Start>Run and type D:\Program Files\Ansys Inc\V110\ANSYS\MPICH2\mpich2-1.0.3-1-win32-ia32.msi (replace D with the letter of your DVD drive).

  2. Exit all running Windows programs and click Next.

  3. The Software License Agreement screen appears. Read the agreement, and if you accept, click Yes.

  4. Choose the destination for installation. To choose the default installation location, click Next. To change the default installation location, click Browse to navigate to the desired location, and click Next.

  5. On the Select Components screen, select the default options, then click Next.

  6. On the Start Copying Files screen, verify that the information is correct and click Next to continue the installation.

  7. The Setup Complete dialog box appears. Click Finish.

  8. Run C:\Program Files\MPICH2\bin\wmpiregister.exe and enter your login and password.

MPICH2 Channels. If you are running a Windows XP machine with more than four processors and will be running Distributed ANSYS via the GUI, you must set the following environment variable, regardless of how many Distributed ANSYS processes you request:

MPICH2_CHANNEL=sock

Do not set this environment variable if running in batch mode.

When the -mpifile or -machines command line option is used, the default MPICH2 channel is ssm. When -mpifile or -machines is NOT used, the default MPICH2 channel is shm. Please see your MPICH2 documentation for further information regarding MPICH2 channel modes.

Back To Top

Installing MPICH2 (Windows XP x64 Edition)

MPICH2 is included on the ANSYS media under Program Files\Ansys Inc\V110\ANSYS\MPICH2\mpich2-1.0.3-1-win64-x86-64.zip. Follow the instructions below to install it on your system. You will need to install MPICH2 on all systems to be used in the distributed run. See http://www-unix.mcs.anl.gov/mpi/mpich/ for more information.

.NET Requirement. You must also have the .NET framework installed on your machines. To download the .NET framework, go to www.microsoft.com and search downloads for .NET framework.

  1. Insert the DVD in your DVD drive. Unzip the file to a location of your choice, for example, C:\Program Files\MPICH2.

  2. In the bin directory, execute smpd.exe -install to install the process manager.

  3. Copy all of the dlls in the lib directory to the Windows\system32 directory.

  4. Repeat this procedure on each machine.

    You may also just copy smpd.exe to each machine and execute smpd.exe -install.

  5. See the C:\Program Files\MPICH2\readme.win64.txt file for further installation instructions.

  6. Run C:\Program Files\MPICH2\bin\wmpiregister.exe and enter your login and password.

MPICH2 Channels. If you are running a Windows XP machine with more than four processors and will be running Distributed ANSYS via the GUI, you must set the following environment variable, regardless of how many Distributed ANSYS processes you request:

MPICH2_CHANNEL=sock

Do not set this environment variable if running in batch mode.

When the -mpifile or -machines command line option is used, the default MPICH2 channel is ssm. When -mpifile or -machines is NOT used, the default MPICH2 channel is shm. Please see your MPICH2 documentation for further information regarding MPICH2 channel modes.

Back To Top

Installing Microsoft Compute Cluster Pack (Windows Compute Cluster Server)

You must install and configure Microsoft Compute Cluster Pack (Windows Compute Cluster Server, or CCS) according to the Microsoft documentation.

The ANSYS installation directory should be shared, e.g.,

ANSYS110_DIR=\\NODE0\Ansys Inc\AWPNCV110\ANSYS

Microsoft CCS examples are located in Program Files\Ansys Inc\V110\ANSYS\MSCCS. The XML templates may require modification depending on the number of processors in your cluster. Jobs are submitted to the Microsoft CCS Job Manager either from the command line or the Job Manager GUI.

To submit a job via the command line, use the following syntax:

job submit /jobfile:MyJob.xml

To submit a job via the GUI, go to Start> All Programs> Microsoft Compute Cluster Pack> Compute Cluster Job Manager. Then click on File> Submit Job with Template...

If you are using an InfiniBand interconnect, set the following environment variables on ALL nodes.

MPICH_DISABLE_SHM=1
MPICH_SOCKET_BUFFER_SIZE=0

However, when running Distributed ANSYS in a shared memory environment, the MPICH_DISABLE_SHM environment variable should NOT be set.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 2. Configuring and Starting Distributed ANSYS 		Up / Home Next
2.2. Setting Up the Environment for Distributed ANSYS


2.2. Setting Up the Environment for Distributed ANSYS

After you've ensured that your cluster meets the prerequisites and you have ANSYS and the correct version of MPI installed, you need to configure your distributed environment using the following procedure.

On Windows systems, you must use the Universal Naming Convention (UNC) for all ANSYS environment variables for Distributed ANSYS to work correctly. For example:

ANSYS110_DIR=\\NODE0\ANSYS Inc\v110\ANSYS
ANSYSLIC_DIR=\\NODE0\ANSYS INC\SHARED FILES\LICENSING

  1. Obtain the machine name for each machine on the cluster.

    Windows:

    Right-click on My Computer, left-click on Properties, and select the Network Identification or Computer Name tab. The full computer name will be listed. Note the name of each machine (not including the domain).

    UNIX/Linux:

    Type hostname on each machine in the cluster. Note the name of each machine. You will need this name to set up the .rhosts file, as well as for the ANS_ADMIN utility.

  2. (UNIX/Linux only) Set up the .rhosts file on each machine. The .rhosts file lists all machines in the cluster. The machines should be listed using their complete system name, as taken from hostname. For example, an .rhosts file for a two-machine cluster might look like this:

    golinux1.ansys.com jqd
golinux2 jqd

    Change/verify .rhosts file permissions on all machines by issuing:

    chmod 600 .rhosts

    Verify communication between machines via rsh or ssh (e.g., rsh golinux2 ls). You should not be prompted for a password. If you are, check the .rhosts permissions and machine names for correctness. For more information on using remote shells, see the man pages for rsh or ssh.

  3. If you want the list of machines to be populated in the ANSYS Launcher, you need to configure the hosts110.ans file. You can use the ANS_ADMIN utility to configure this file. You can manually modify the file later, but we strongly recommend that you use ANS_ADMIN to create this file initially to ensure that you establish the correct format.

    Windows:

    Start >Programs >ANSYS 11.0 >Utilities >ANS_ADMIN

    Choose Configuration options, and then Configure Cluster to configure the hosts110.ans file.

    1. Specify the directory in which the hosts110.ans will be configured: Select the Configure a hosts110.ans file in a directory you specify option and click OK. Enter a working directory. Click OK.

    2. Enter the system name (from Step 1) in the Machine hostname field and click Add. On the next dialog box, enter the system type in the Machine type drop-down, and the number of processors in the Max number of jobs/processors field and click OK for each machine in the cluster. When you are finished adding machines, click Close, then Exit.

      An example hosts110.ans file where machine1 has 2 processors and machine2 has 4 processors would look like this:

      machine1 intel 0 2 0 0 MPI 1 1
machine2 intel 0 4 0 0 MPI 1 1
    UNIX/Linux:
    /ansys_inc/v110/ansys/bin/ans_admin110

    Choose ANSYS/Workbench Configuration, and then click Configure Cluster. Under Select file to configure, choose the hosts110.ans file to be configured and choose Configure for Distributed ANSYS. Click OK. Then enter the system name (from Step 1) in the Machine hostname field and click Add. On the next dialog box, enter the system type in the Machine type drop-down, and the number of processors in the Max number of jobs/processors field for each machine in the cluster. Click Add. When you are finished adding machines, click Close.

    The hosts110.ans should be located in your current working directory, your home directory, or the apdl directory.

  4. (Windows only) Add C:\Program Files\MPICH2\bin to the PATH environmental variable on all Windows machines (assuming MPICH2 was installed on the C:\ drive). This line must be in your path for distributed processing to work correctly.

2.2.1. Optional Setup Tasks

The tasks explained in this section are optional. They are not required to get Distributed ANSYS to run correctly, but they may be useful for achieving the most usability and efficiency, depending on your system configuration.

  • On UNIX/Linux systems, you can also set the following environment variables:

    • ANSYS_NETWORK_START - This is the time, in seconds, to wait before timing out on the start-up of the client (default is 15 seconds).

    • ANSYS_NETWORK_COMM - This is the time to wait, in seconds, before timing out while communicating with the client machine (default is 5 seconds).

    • ANS_SEE_RUN_COMMAND - Set this ANSYS environment variable to 1 to display the actual mpirun command issued from ANSYS.

    On HP or Linux systems running HP MPI:

    • MPI_REMSH - This is the path to the remote shell (ssh or rsh). Set this environment variable to specify a full path to a remote shell. For example, setting MPI_REMSH = /usr/bin/ssh will use ssh instead of the default remote shell (rsh). Note that selecting the Use Secure Shell instead of Remote Shell option on the launcher will override MPI_REMSH, if MPI_REMSH is not set or is set to a different location. You can also issue the - usessh command line option to use ssh instead of rsh. The command line option will override the environment variable setting as well.

    • MPI_WORKDIR - Set this environment variable to specify a working directory on either the master and all nodes, or on specific nodes individually. For more information, see Files that Distributed ANSYS Writes.

    • MPI_IC_ORDER - Set this environment variable to specify the order in which the interconnects on the system are to be used. The interconnects will be tried in the order listed from left to right. If an interconnect is listed in uppercase, no interconnects listed after that one will be tried. If MPI_IC_ORDER is not set, the fastest interconnect available on the system is used. See the HP MPI documentation for more details.

    • MPI_ICLIB_<interconnect> - Set this environment variable to the interconnect location if the interconnect is not installed in the default location, especially on AMD Opteron systems using the GM (Myrinet) interconnect:

      setenv MPI_ICLIB_GM <path>/lib64/libgm.so
      See the HP MPI documentation for the specific interconnect names (e.g., MPI_ICLIB_GM).

    • MPIRUN_OPTIONS - Set this environment variable to -prot to display a grid of interconnects among the systems being used for distributed processing.

    • ANS_HPMPI_SRUN_OPTIONS - Use this environment variable to define the -n (specifies the number of processes and assigns ranks in a block allocation) and -N (specifies the number of nodes allocated to the job and assigns ranks in a cyclic allocation) values for -srun. For example, to specify two machines with two processes on each node, you would set this environment variable as follows:

      setenv ANS_HPMPI_SRUN_OPTIONS "-n4 -N2"

      You cannot specify -srun or its options directly on the Distributed ANSYS command line. Valid only for HP XC clusters. See the HP-MPI User's Guide for details on -srun.

    • ANS_HPMPI_PRUN_OPTIONS - Use this environment variable to define the -n (specifies the number of processes and assigns ranks in a block allocation) and -N (specifies the number of nodes allocated to the job and assigns ranks in a cyclic allocation) values for -prun. For example, to specify two machines with two processes on each node, you would set this environment variable as follows:

      setenv ANS_HPMPI_PRUN_OPTIONS "-n4 -N2"

      You cannot specify -prun or its options directly on the Distributed ANSYS command line. Valid only for MPI on an Elan (Quadrics) interconnect. See the HP-MPI User's Guide for details on -srun.

      If you set the ANS_HPMPI_PRUN_OPTIONS environment variable and also specify -np on the Distributed ANSYS command line, the environment variable will override the -np setting. If you have -prun on your system and you use the -np command line option but do not set this environment variable, Distributed ANSYS will use the specified number of processors on a single machine (i.e., shared-memory parallel mode). If the number of processors specified with -np exceeds the number of processors available on a single machine, Distributed ANSYS will then use multiple machines connected via the Elan interconnect until the specified number of processors is reached.

      When running jobs on HP XC clusters (-srun) or clusters that use the Quadrics interconnect (-prun), ANSYS highly recommends that you run from jobs in a writable directory that is visible from all hosts to ensure proper location and execution of files for your job.

    • ANS_HPMPI_ELAN_OFF - Set this environment variable to ignore the Elan (Quadrics) interconnect.

    On IBM systems:

    • LIBPATH - on IBM, if POE is installed in a directory other than the default (/usr/lpp/ppe.poe), you must supply the installed directory path via the LIBPATH environment variable:

      export LIBPATH=nondefault-directory-path/lib

    On SGI systems:

    • On SGI, in some cases, the default settings for environment variables MPI_MSGS_PER_PROC and MPI_REQUEST_MAX may be too low and may need to be increased. See the MPI documentation for SGI for more information on settings for these and other environment variables.

    • On SGI, when you install the SGI MPI software, you must also install the array 3.5 software (available from the Message Passing Toolkit 1.8 distribution). The array daemon must be running on each system you plan to use for Distributed ANSYS. Update the /usr/lib/arrayd.conf file to list each system on which you plan to run Distributed ANSYS. The local hostname of the machine must be listed first in this file.

    To verify that these environment variables are set correctly on each machine, run:

    rsh machine1 env

2.2.2. Using the mpitest Program

The mpitest program is a ping program to verify that MPI is set up correctly. The mpitest program should start without errors. If it does not, check your paths, .rhosts file, and permissions; correct any errors, and rerun. Additional communication tests are performed on HP MPI systems; if you are running HP MPI, be sure to review any messages carefully.

When running the mpitest programs, you must use an even number of nodes.

On UNIX:

Issue the following command.

mpitest110 -machines machine1:2

You can use any of the same command line arguments (such as -machines) with the mpitest program as you can with full Distributed ANSYS.

On Windows:

Issue the following command to run a local test on Windows using MPICH2:

ansys110 -np 2 -mpitest

Use the following procedure to run a distributed test on Windows using MPICH2:

  1. Create a file named machines in your local/home directory. Open the machines file in an editor.

  2. Add your master and slave machines in your cluster. For example, in this cluster of two machines, the master machine is gowindows1. List the machine name separately for each processor (CPU) on that machine. For example, if gowindows1 has four processors and gowindows2 has two, the machines file would look like this:

    gowindows1
    gowindows1
    gowindows1
    gowindows1
    gowindows2
    gowindows2

  3. From a command prompt, navigate to your working directory. Run the following:

    ansys110 -mpifile machines -mpitest

2.2.3. Interconnect Configuration

Low-end hardware, such as interconnects and cables, can reduce the speed improvements you see in a distributed analysis. We typically recommend that you use an interconnect with a communication speed of 200 megabits/second (20 megabytes/second) or higher.

Distributed ANSYS supports the following interconnects. Not all interconnects are available on all platforms; see http://www.ansys.com/services/ss-hardware-support.asp for a current list of supported interconnects. Other interconnects may work but have not been tested.

  • Elan (Quadrics) (recommended)

  • InfiniBand (recommended)

  • Myrinet (recommended)

  • GigE (minimum recommended)

  • Ethernet (not recommended)

Interconnects plug into a PCI (Peripheral Component Interconnect), PCI-X (extended), or PCIe (PCI Express) slot on the system. You will need a PCI-X or a PCIe slot for the faster interconnects to accommodate the higher speeds.

Hardware for specific types of interconnects is generally incompatible with other proprietary interconnect types (except Ethernet and GiGE).

Systems can have a network of several different types of interconnects. Each interconnect must be assigned a unique hostname and IP address.

On Windows x64 systems, use the Network Wizard in the Compute Cluster Administrator to configure your interconnects. See the Compute Cluster Pack documentation for specific details on setting up the interconnects. You may need to ensure that Windows Firewall is disabled for Distributed ANSYS to work correctly.

See Optional Setup Tasks for environment variables specific to the Elan (Quadrics) interconnect or refer to the HP-MPI documentation at http://docs.hp.com.

2.2.4. Other Considerations

Other factors can also affect your distributed analysis.

  • A single 64-bit machine with multiple processors running under shared memory typically works as well as a cluster (multiple machines), and can often be faster. This type of comparison requires evaluating many parameters, such as the network speed, the model being solved, the distributed solver being used, and the hardware involved. The PCG solver performs very little I/O; therefore, running multiple processors on one machine works very well because the multiple processors can communicate rapidly with each other. However, the DSPARSE solver runs in out-of-core mode by default, with high I/O. Running multiple processors on a single machine with the DSPARSE solver may not work well if the hard drive cannot quickly handle the multiple I/O requests generated by the DSPARSE processes. For better performance in this case, run the DSPARSE solver using a single processor on multiple machines, assuming that you are using a high-speed network to quickly handle the communication between machines. See the PCG and DSPARSE solver descriptions in the Basic Analysis Guide for more information.

  • PCG considerations: Review the following guidelines if you will be using the PCG solver in distributed mode. Note that these are not steadfast rules, but rather recommendations to help you get started.

    • The master machine needs more memory than the slave machines.

    • Deploy 64-bit platforms such as Linux on Itanium or AMD chips.

    • Use the /3GB switch on 32-bit platforms on Windows systems.

    • As a broad guideline, use the following formula to get a general idea of memory usage for the DPCG solver. In this formula, n is the total number of CPU processors used, and MDOF is million degrees of freedom.

      Master machine (Machine 0): MDOF(maximum) = Machine(0) Memory(GB) / (0.1 + 1.0/No. of machines)

      Slave machines (Machine 1 - n): MDOF(maximum) = Machines (1...n)Memory(GB)* n

      For example, if you have a master machine that is a 32-bit Windows machine with 2.2 GB available RAM, using the /3GB switch, and a total of four machines in the cluster, you could solve a problem up to 6.3 MDOF:

      MDOF = 2.2 GB / (0.1 + 1 / 4) = 6.3 MDOF

      In this scenario, the slave machines must have 6.3 / 4 or about 1.5 GB of available memory.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.1. Prerequisites for Running Distributed ANSYS 		Up / Home Next
2.3. Starting Distributed ANSYS


2.3. Starting Distributed ANSYS

After you've completed the configuration steps, you can use several methods to start Distributed ANSYS: We recommend that you use the ANSYS launcher to ensure the correct settings. All methods are explained here.

  • Use the launcher

  • Use the command line

  • Use the Job Scheduler on Windows x64 systems to run across multiple machines

  • Use Remote Solve in ANSYS Workbench.

Important Points. You can use an NFS mount to the ANSYS installation; however, we do not recommend NFS-mounting the working directories. Doing so can result in significant declines in performance.

On all systems, Distributed ANSYS will not delete any files from the slave nodes when the analysis is completed. Distributed ANSYS creates the same basic files as ANSYS (see Files that ANSYS Writes in the Basic Analysis Guide for more information), except that Jobname becomes JobnameN. You can delete these files from the slave nodes when your analysis is complete (including any restarts that you may wish to perform). If you do not wish to have the files necessary for a restart saved, you can issue RESCONTROL,NORESTART.

2.3.1. Starting Distributed ANSYS via the Launcher

Use the following procedure to start Distributed ANSYS via the launcher.

  1. Open the ANSYS launcher:

    Windows:

    Start >Programs >ANSYS 11.0 >ANSYS Product Launcher

    UNIX:
    launcher110

  2. Select the correct environment and license.

  3. Go to the High Performance Computing Setup tab. Select Use Distributed ANSYS.

    Specify the MPI type to be used for this distributed run (Windows x64 only). MPI types for Windows x64 systems include:

    • MPICH2 (default)

    • MS MPI

    If you choose MS MPI, you cannot specify multiple hosts or an MPI file.

    All other platforms allow only one type of MPI. See Table 2.1: "Platforms and MPI Software" for the specific MPI version for each platform.

    Choose whether you want to run on a local machine, specify multiple hosts, or specify an existing MPI file (such as a host.list or an HP MPI appfile):

    • If local machine, specify the number of processors on that machine.

    • If multiple hosts, select the machines you want to use from the list of available hosts. The list of available hosts is populated from the hosts110.ans file. Click on the machines you want to use and click Add to move them to the Selected Hosts list to use them for this run. If you click Add more than once for a machine, the number of processors for that machine will increment each time, up to the maximum allowed in the hosts110.ans file.

      You can also add or remove a host, but be aware that adding or removing a host from here will modify only this run; the hosts110.ans file will not be updated with any new information from this dialog box.

    • If specifying an MPI file, type in the full path to the file, or browse to the file. If typing in the path, you must use the absolute path.

    Additional Options for HP or Linux systems using HP MPI. On these systems, you can choose to use secure shell (SSH) instead of remote shell (RSH). This option will override MPI_REMSH, if the path to SSH is different. See Optional Setup Tasks for more information on MPI_REMSH. ANSYS uses RSH as the default, whereas HP MPI uses SSH as the default.

    If you are using the launcher, you can select the Use launcher-specified working directory on all nodes option on the High Performance Computing Setup tab. This option uses the working directory as specified on the File Management tab as the directory structure on the master and all nodes. If you select this option, all machines will require the identical directory structure matching the working directory specified on the launcher. This option will override any existing MPI_WORKDIR settings on the master or the nodes.

  4. Click Run to launch ANSYS.

2.3.2. Starting Distributed ANSYS via Command Line

You can also start Distributed ANSYS via the command line using the following procedures.

These procedures are also used for running LS-DYNA's MPP version with ANSYS. To run the MPP version, substitute lsdyna110 for ansys110 in the examples below. Only the command line options specific to Distributed ANSYS apply to MPP (i.e., -dis, -np, -machines, -mpifile). MPP is not available on 32-bit Windows systems or 64-bit Windows systems running MPICH2. It is available on 64-bit Windows systems running MS MPI. See LS-DYNA Parallel Processing Capabilities in the ANSYS LS-DYNA User's Guide for a detailed explanation on using ANSYS LS-DYNA's parallel processing capabilities.

Running on a Local Host. If you are running distributed ANSYS locally (i.e., running across multiple processors on a single local machine), you need to specify the number of processors:

ansys110 -dis -np n

For example, if you run a job in batch mode on a local host using four processors with an input file named input1 and an output file named output1, the launch command would be:

On UNIX:

ansys110 -dis -np 4 -b < input1 > output1

On Windows 32-bit or 64-bit systems running MPICH2:

ansys110 -dis -np 4 -b -i input1 -o output1

On Windows 64-bit systems running MS MPI:

ansys110 -dis -np 4 -mpi msmpi -b -i input1 -o output1

Running on Multiple Hosts. If you are running distributed ANSYS across multiple hosts, you need to specify the number of processors on each machine:

ansys110 -dis -machines machine1:np:machine2:np:machine3:np

For example, if you run a job in batch mode using two machines (one with four processors and one with two processors), with an input file named input1 and an output file named output1, the launch command would be:

On UNIX:

ansys110 -dis -b -machines machine1:4:machine2:2 < input1 > output1

On Windows 32-bit or 64-bit systems running MPICH2:

ansys110 -dis -b -machines machine1:4:machine2:2 -i input1 -o output1

On Windows 4-bit systems running MS MPI:

ansys110 -dis -mpi msmpi -b -machines machine1:4:machine2:2 -i input1 -o output1

The first machine specified with -machines in a Distributed ANSYS run must be the host machine and must contain any files necessary for the initiation of your job (i.e., input file, database file, etc.).

If both the -np and -machines options are used on a single command line, the -np will be ignored.

Note

Do not run Distributed ANSYS in the background via the command line (i.e., do not append an ampersand (&) to the command line).

Note

If you are running on a Fujitsu system, you must use -i and -o (instead of < and >) to indicate your input and output filenames.

2.3.3. Starting Distributed ANSYS via the Job Scheduler

If you are running on Windows x64 systems using MS MPI, you need to use the Job Scheduler to start Distributed ANSYS. The Job Scheduler allows you to enter job information such as name, priority, number of processors to use. You will also need to enter the command line to be submitted. Use the command line format as described in Starting Distributed ANSYS via Command Line. The MPI command specified on the command line must include the full UNC path to its location on the head node. After you enter the command line, you may need to choose Edit to add information such as output file, error file, and working directory. Use the Job Scheduler's status feature to display the status of the job on each processor as the analysis runs.

2.3.4. Starting Distributed ANSYS via Remote Solve in ANSYS Workbench

If you are running ANSYS Workbench, you can start a Distributed ANSYS job via the Remote Solve Manager. In Simulation, go to Tools > Solve Process Settings. Select the remote solve process you want to use and click the Advanced button. You will need to select Distribute ANSYS Solution (if possible) and enter the command line arguments to be submitted, such as -machines. Use the options as described in Starting Distributed ANSYS via Command Line. If Distribute ANSYS Solution (if possible) is selected, you will not need to specify the -dis flag on the command line.

If you are running a remote solution on multiple machines, use the -machines option to specify the machines and processors on which to run the job. If you are running a remote solution on one machine with multiple processors, specify the number of processors in the Max Number of Utilized Processors field. You will not need to add any command line arguments.

2.3.5. Using MPI appfiles

You can specify an existing MPI file (such as an HP MPI appfile) on the command line, rather than typing out multiple hosts or a complicated command line:

ansys110 -dis -mpifile  appfile name

The format of the appfile is system-dependent.

If the file is not in the current working directory, you will need to include the full path to the file. The file must reside on the local machine.

You cannot use the -mpifile option in conjunction with the -np (local host) or -machines (multiple hosts) options.

If the Specify Multiple Hosts launcher option or the -machines command line option was used, ANSYS generates a default appfile named host.list. You can rename this file, move it, or modify it for future runs if necessary. See the documentation for your vendor/MPI type for details on working with the appfile.

Using the HP MPI appfile. HP MPI uses an appfile to define the machines in the array (or the local host). A typical appfile might look like this:

-h mach1 -np 2 /ansys_inc/v110/ansys/bin/ansysdis110 -dis
-h mach2 -np 2 /ansys_inc/v110/ansys/bin/ansysdis110 -dis

See the HP MPI user documentation for details on working with the MP MPI appfile.

Using the SGI MPT appfile. A typical SGI MPT appfile might look like this:

mach1 -np 2 /ansys_inc/v110/ansys/bin/ansysdis110 -dis  :  mach2 -np 2
     /ansys_inc/v110/ansys/bin/ansysdis110 -dis

Using Other appfiles. A typical appfile for other UNIX machines might look like this:

mach1
   mach1
   mach2
   mach2

2.3.6. Files that Distributed ANSYS Writes

Distributed ANSYS writes files to the master and slave nodes as the analysis progresses. Depending on the system you're running on, you will have varying levels of control over the location of those files.

If you are running on SGI, Sun, Fujitsu, IBM, or SGI Linux Altix systems, you must have identical working directory structures set up on the master and all slaves. Distributed ANSYS will always use the current working directory on the master node and will expect identical directory structures to exist on all slave nodes. If you are using the launcher, the working directory specified on the File Management tab is the directory that Distributed ANSYS will expect.

If you are running on HP (including Alpha) or Linux systems running HP MPI, you have additional controls over the location of the files:

  • By default, Distributed ANSYS uses the current working directory on the master node and the login ($HOME) directory on the slave nodes.

  • You can set the MPI_WORKDIR environment variable on the master node to any directory. Distributed ANSYS will then expect that exact directory structure to exist on all of the slave nodes.

  • You can set the MPI_WORKDIR environment variable on any or all of the slave nodes but NOT the master node. In this scenario, Distributed ANSYS will then use the directory specified by MPI_WORKDIR on the nodes where it is set, and will use the current working directory on the master node and the login ($HOME) directory on any slave nodes that do not have MPI_WORKDIR set.

  • If you are using the launcher, you can select the Use launcher-specified working directory on all nodes option on the High Performance Computing Setup tab. This option uses the working directory as specified on the File Management tab as the directory structure on the master and all nodes. If you select this option, all machines will require the identical directory structure matching the working directory specified on the launcher. This option will override any existing MPI_WORKDIR settings on the master or the nodes.

  • All working directories that are specified must exist before running a job.

If you do not want the files necessary for a restart to be saved, you can issue the RESCONTROL,NORESTART command. If you use this command, the remote processors will not have files such as .ESAV, .OSAV, .RST, or .x000, in the directory at the end of the run. The host processor will not have files such as .ESAV, .OSAV, .x000, .RDB, or .LDHI at the end of the run. Distributed ANSYS will remove all the above scratch files at the end of the solution phase (FINISH or /EXIT ). This option is applicable to both singleframe and multiframe restart control and is useful for file clean-up on remote or host processors.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.2. Setting Up the Environment for Distributed ANSYS 		Up / Home Next
Chapter 3. Running Distributed ANSYS


Chapter 3. Running Distributed ANSYS

In Distributed ANSYS, the entire /SOLUTION phase runs in parallel, including the stiffness matrix generation, linear equations solving, and results calculations. As a result, it is scalable from 2 to 16 processors, with up to 8X speedup when using a sufficient number of processors.

You can run one job in Distributed ANSYS on a single machine with multiple processors or, on certain platforms, on multiple machines with one or more processors in each machine.

The processor you use to launch the run will do preprocessing in Distributed ANSYS, as well as any postprocessing. During /SOLUTION, each processor creates its own JOBNAME.RST or .RTH file. These files are then automatically merged for postprocessing.

The following topics on running Distributed ANSYS are available:

  • Supported Analysis Types
  • Supported Features
  • Running a Distributed Analysis
  • Restarts in Distributed ANSYS
  • Understanding the Working Principles and Behavior of Distributed ANSYS
  • Example Problems
  • Troubleshooting

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.3. Starting Distributed ANSYS 		Up / Home Next
3.1. Supported Analysis Types


3.1. Supported Analysis Types

The following analysis types are supported by Distributed ANSYS:

  • Static linear or nonlinear analyses for single field structural problem (DOFs: UX,UY,UZ,ROTX,ROTY,ROTZ,WARP) and

  • Single field thermal analyses (DOF: TEMP)

  • Full transient analyses for single field structural and single field thermal analysis, including HHT transient analyses

  • Modal analyses using the Block Lanczos and PCG Lanczos solutions (MODOPT,LANB or LANPCG). Note that the Block Lanczos eigensolver is not a distributed eigensolver. Therefore, you will not see the full performance improvements that you would with a fully-distributed solution. When possible, you should use the PCG Lanczos option.

  • Structural harmonic analyses

  • Low-frequency electromagnetic analysis using only the following elements: SOLID96, SOLID97, SOLID122, SOLID123, SOLID231, SOLID232, and SOURC36 (when used in a model with the above elements only)

  • Coupled-field analyses using only the following elements: PLANE223, SOLID226, SOLID227

Spectrum analyses and cyclic symmetry analyses are not supported. FLOTRAN and high-frequency electromagnetics analyses (including Multi-field and ROM) are not supported.

Analyses that result in the use of unsymmetric stiffness matrices (e.g., frictional contact or elements with pressure loading for which the NROPT,UNSYM command is used) are allowed; however, such analyses require the SPARSE solver, which is not a distributed solver. Therefore, you will not see the full performance improvements that you would with a fully-distributed analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 3. Running Distributed ANSYS 		Up / Home Next
3.2. Supported Features


3.2. Supported Features

The following nonlinearities are supported by Distributed ANSYS:

  • Large deformations (NLGEOM,on)

  • Line search (LNSRCH,on)

  • Auto time stepping (AUTOTS,on)

  • Solution controls

  • Initial conditions (IC)

  • Initial state (INISTATE)

  • Nonlinear material properties specified by the TB command

  • Gasket elements and pre-tension elements

  • u-P formulations introduced by the 18n elements and TARGE169 - CONTA178

  • Contact nonlinearity (TARGE169 - CONTA178, CONTAC52), with the following restrictions for the CONTA17x elements:

    • KEYOPT(1) = 0, 2 only

    • KEYOPT(10) = 0, 1, 2 only

    All other KEYOPTS are supported as documented in the element descriptions.

  • The radiosity solver, except for surface elements SURF251 and SURF252

  • Single- and multi-frame restarts

The following ANSYS features are not supported by Distributed ANSYS:

  • p-Elements

  • Superelements/automatic substructuring

  • MPC184 elements with KEYOPT(2) = 0

  • REINF265 elements

  • SURF151 and SURF153 elements with KEYOPT(3) = 10

  • Element morphing

  • Arc-length method (ARCLEN)

  • Inertia relief (IRLF)

  • Prestress effects (PSTRES)

  • Partial solution (PSOLVE)

  • Fast thermal solution option (THOPT)

  • MAGOPT with VALUE = 3 (use the previously stored H field solution and calculate the complete H field).

  • Variational Technology options on the STAOPT, MODOPT, and TRNOPT commands

  • Expansion pass (EXPASS)

  • Transient mode superposition analyses (TRNOPT,MSUP)

  • Harmonic mode superposition analyses (HROPT,MSUP)

  • Spectrum analyses (ANTYPE,SPECTRUM)

Note

You may, however, use Distributed ANSYS for the modal analysis phase and use ANSYS for the subsequent mode superposition, spectrum, and expansion analyses. You will need the files Jobname.DB, .FULL, .ESAV, and .RST (not Jobname0) generated by the master process.

Optimization and probabilistic design are not supported under Distributed ANSYS. The PGR file is not supported. User-defined elements are not supported.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.1. Supported Analysis Types 		Up / Home Next
3.3. Running a Distributed Analysis


3.3. Running a Distributed Analysis

The following steps assume that you have set up your distributed environment and launched ANSYS following the steps in "Configuring and Starting Distributed ANSYS". After you have your distributed environment correctly configured, you run a distributed analysis in Distributed ANSYS the same way you do in shared-memory ANSYS. You can also perform a single- or multi-frame restart as described in the Basic Analysis Guide.

  1. Set up your analysis (geometry, loads, etc.) as you normally would.

  2. Specify your solution output using OUTRES. We recommend that you not use OUTPR.

  3. Set your analysis options by running the Solution Controls dialog: Main Menu> Solution> Analysis Type> Sol'n Controls and click on the Sol'n Options tab. Choose the solver you want to use and click OK. You can use one of the following solvers. See the EQSLV command description for more information on each of the solvers, default settings, etc.

    • Distributed sparse (EQSLV,DSPARSE): This solver performs factorization of the matrix and back/forward substitution in distributed parallel mode, and has demonstrated the best performance, with speed improvements of 6 - 8X using 12-16 processors. However, you cannot use this solver for nonsymmetric matrices.

    • Sparse (EQSLV,SPARSE): Can be run sequentially or in shared memory parallel mode. This solver will generally solve most models. However, your particular model may be better suited to one of the other solvers (such as the PCG solver), depending on the particular configuration. Read the solver descriptions carefully when selecting a solver. If you have sufficient memory in the system, you may want to try the distributed sparse solver using EQSLV,DSPARSE.

    • PCG (EQSLV,PCG)

    • JCG (EQSLV,JCG) (not available from the Solution Controls gui.)

    Choosing the PCG or JCG solver when you're running Distributed ANSYS will automatically run the distributed version of these solvers.

    Other solvers (ICCG, frontal, etc.) will not work in a distributed environment.

  4. Solve the analysis.

    Command(s): SOLVE
    GUI: Main Menu> Solution> Solve> Current LS

  5. After the solution completes, specify the set of results to be read from the results file. Note that a SET command is required as not all solution data is in the database.

    Command(s): SET
    GUI: Main Menu> General Postproc>Read Results

  6. Postprocess your results as you would for any analysis.

Notes on Running Distributed ANSYS:

Only the master machine reads the config.ans file.

Distributed ANSYS ignores the /CONFIG,noeldb command.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.2. Supported Features 		Up / Home Next
3.4. Restarts in Distributed ANSYS


3.4. Restarts in Distributed ANSYS

Distributed ANSYS supports both singleframe and multiframe restarts for nonlinear and full transient analyses. The procedures and command controls are the same as described in the Basic Analysis Guide; however, restarts in Distributed ANSYS have additional limitations:

  • The job launch procedure (or script) used when restarting Distributed ANSYS must not be altered following the first loadstep and first substep, i.e., you must use the same number of machines (or processors) and the same host and slave relationships among these machines (or processors) in the restart job that follows.

    For example, if you use the following launch script for loadstep one and substep one:

    ansys110 –dis –machines mach3:1:mach2:1:mach4:1 –i jobone –o output1

    where the slave machines are mach2 and mach4, the host machine is mach3 (the host machine always appears first in the machine list), the input file is jobone and output file output1, then for the restart (both singleframe and multiframe), you must use the following job launch script:

    ansys110 –dis –machines mach3:1:mach2:1:mach4:1 –i restartjob –o output2

    which uses the same -machines description to ensure consistency. Any alterations in the -machines field will result in restart failure.

  • The files needed for a restart must not be removed from the host or slave machines when performing a restart. Each machine (or processor) has its own restart files that are written from the previous run. The restart process needs to use these local files to perform the correct match.

    Table 3.1 Required Files for Singleframe Restarts

    Host Machine | Slave Machines
    Jobname.DB - -
    Jobname0.ESAV | JobnameN.ESAV
    Jobname0.OSAV (required when Jobname0.ESAV is not there) | JobnameN.OSAV (required when JobnameN.ESAV is not there)
    Jobname0.EMAT | JobnameN.EMAT
    Jobname0.RST (this is the local .RST file for this domain) | JobnameN.RST (this is the local .RST file for this domain)

    Table 3.2 Required Files for Multiframe Restarts

    Host Machine | Slave Machines
    Jobname.LDHI - -
    Jobname.RDB - -
    Jobname0.xnnn | JobnameN.xnnn
    Jobname0.RST (this is the local .RST file for this domain) | JobnameN.RST (this is the local .RST file for this domain)

In all restarts, the result file Jobname.RST (or Jobname.RTH or Jobname.RMG) on the host machine is re-created in each restart by merging the JobnameN.RST again. The input deck (or interactive session) for a restart should reside on the host machine.

If you do not require a restart, issue RESCONTROL,NORESTART in the run to remove or to not write the necessary restart files on the host and slave machines. This option is useful for file clean-up and control.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.3. Running a Distributed Analysis 		Up / Home Next
3.5. Understanding the Working Principles and Behavior of Distributed ANSYS


3.5. Understanding the Working Principles and Behavior of Distributed ANSYS

The fundamental difference between Distributed ANSYS and shared-memory ANSYS is that n number of ANSYS jobs will be running at the same time (where n is the total number of CPU processors used) for one model. These n jobs are not aware of each other's existence unless the individual CPU processors are communicating (sending messages). Distributed ANSYS is the method by which the CPU processors communicate with each other in the right location and at the appropriate time.

Before entering the /SOLUTION phase, Distributed ANSYS automatically decomposes the problem into n CPU domains so that each CPU processor works on only a portion of the model. When the existing /SOLUTION phase ends (e.g., FINISH is issued), Distributed ANSYS works on the entire model again (i.e., it behaves like shared-memory ANSYS).

Following is a summary of behavioral differences between Distributed ANSYS and shared-memory ANSYS.

Database Jobname Conventions

The master processor will create database files with the prefix Jobname and slaves Jobname1 through Jobnamen. When you RESUME from the default file, ANSYS reads first from Jobname.DB. If Jobname.DB is not found, it will then try to read Jobname0.DB. All actions in PREP7 or POST while in Distributed ANSYS will work on Jobname.DB by default. If a non-default file is specified, then Distributed ANSYS behaves the same as shared-memory ANSYS.

General Jobname Conventions

The master processor will create files with the prefix Jobname0 and slaves Jobname1 through Jobnamen. When you issue commands such as PASAVE, CDWRITE, or LSWRITE to write to the default file name (by leaving the file name field blank), Distributed ANSYS will save all of these to Jobname0 with the appropriate extension. When you PARESU, CDREAD, or LSREAD from the default file, ANSYS reads first from Jobname0.EXT. If Jobname0.EXT is not found, it will then try to read Jobname.EXT. All actions in PREP7 or POST while in Distributed ANSYS will work on Jobname0.EXT by default. If a non-default file is specified, then Distributed ANSYS behaves the same as shared-memory ANSYS.

Post-Processing Files and Filenames

During the /SOLUTION phase, Distributed ANSYS creates Jobnamen.RST or Jobnamen.RTH files, as well as Jobname.MODE and Jobname.IST files if appropriate, in each CPU processor (you may see these working files in the directory). At the successful completion of the run, Distributed ANSYS automatically merges the Jobnamen files into a single file called Jobname.RST (or .RTH, .MODE, or .IST). From that point, postprocessing is the same as in shared-memory ANSYS.

Use of APDL

In pre- and post-processing, APDL works the same in Distributed ANSYS as in shared-memory ANSYS. However, in /SOLUTION, Distributed ANSYS does not support certain *GET items. In general, Distributed ANSYS supports global solution *GET results such as total displacements and reaction forces. It does not support element level results specified by ESEL, ESOL, and ETABLE labels. Unsupported items will return a *GET value of zero.

Batch and Interactive Mode

You can launch Distributed ANSYS in either interactive or batch mode on the master processor. However, the slave processor is always in batch mode. The slave process cannot read the START110.ANS or STOP110.ANS files. The master process sends all /CONFIGURE,LABEL commands to the slave processors as needed.

Condensed Data Input

Multiple commands entered in an ANSYS input file can be condensed into a single line if the commands are separated by the $ character (see Condensed Data Input in the Commands Reference). Distributed ANSYS cannot properly handle condensed data input. Each command must be placed on its own line in the input file for a Distributed ANSYS run.

Postprocessing with Database File and SET Commands

Shared-memory ANSYS can postprocess using the Jobname.DB file (if the solution results were saved), as well as using the Jobname.RST file. Distributed ANSYS, however, can only postprocess using the Jobname.RST file and cannot use the Jobname.DB file as no solution results are written to the database. You will need to issue a SET command before postprocessing.

Print Output (OUTPR Command)

In Distributed ANSYS, the OUTPR command prints NSOL and RSOL in the same manner as in shared-memory ANSYS. However, for other items such as ESOL, Distributed ANSYS prints only the element solution on the CPU domain of the master processor. Therefore, OUTPR, ESOL has incomplete information and is not recommended. Also, the order of elements is different from that of shared-memory ANSYS due to domain decomposition. A direct one-to-one element comparison with shared-memory ANSYS will be different if using OUTPR.

ASCII Job Output Files

When a Distributed ANSYS job is executed, the output for the master processor is written to the screen by default. If you specified an output file via the launcher or the -o command line option, the output is written to that file. Distributed ANSYS automatically outputs the ASCII files from each slave processor to Jobnamen.OUT. Normally these slave output files have little value because all of the job information is on the master processor (Jobname0.OUT). The same principle also applies to the other ANSYS ASCII files such as Jobname0.ERR, Jobname0.MNTR, etc. However, if the job hangs, you may be able to determine the cause by studying the contents of the slave output and/or error files.

Error Handling and Job Hanging

When an error occurs in one of the CPU processors during the Distributed ANSYS execution, the processor sends an error message to all other CPU processors so that the entire run exits gracefully. However, if an error message fails to send, the job may hang, and you will need to manually kill all the processes. You can view each Jobnamen.ERR and/or Jobnamen.OUT file if you suspect that one of the jobs hung. This action should rarely be required.

Large Number of CE/CP and Contact Elements

In all HPC products (both shared-memory ANSYS and Distributed ANSYS), the program can handle a large number of coupling and constraint equations (CE/CP) and contact elements. However, specifying too many of these items can force Distributed ANSYS to communicate more among each CPU processor, resulting in longer elapsed time to complete a distributed parallel job. You should reduce the number of CE/CP if possible and make potential contact pairs in a smaller region to achieve non-deteriorated performance.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.4. Restarts in Distributed ANSYS 		Up / Home Next
3.6. Example Problems


3.6. Example Problems

This section contains tutorials for running Distributed ANSYS on Linux and Windows platforms.

This tutorial is divided into two parts.

The first part walks you through setting up your distributed environment and running a test to verify that communication between systems is occurring correctly. Running this part is optional (though strongly recommended), and need only be done when you initially configure your environment, or when you change your environment by adding, removing, or changing machines.

The second part of the tutorial walks you through setting up your distributed environment and then directly running a sample problem. The tutorial is designed so that you can modify settings (such as the number of machines in the cluster, number of processors on each machine, etc.), but we strongly recommend that the first time you run this tutorial, you follow the steps exactly. Once you're familiar with the process, you can then modify the tutorial to more closely match your particular environment. You can then use the files generated in future GUI or batch runs.

Sample inputs to use for each example problem are included on the media under Program Files\Ansys Inc\V110\ansys\Data\models (Windows) or /ansys_inc/v110/ansys/data/models (UNIX/Linux). Static and modal examples are provided. The problem setup for each platform is the same whether you run the static or the modal example.

3.6.1. Example: Running Distributed ANSYS on Linux

The following tutorial walks you through the setup of your distributed solver environment, and is applicable only to systems running ANSYS 11.0 on a 64-bit Linux cluster (RH 3.0) under HP MPI 2.2.2. ANSYS 11.0 includes HP MPI 2.2.2.

One of the sample problems, tutor1_carrier_linux.inp (static) or tutor2_carrier_modal.inp (modal), is required to complete the tutorial. Save this file to your working directory before beginning the tutorial. You can run either sample problem using the problem setup described here.

expand Part A: Setup and Run mpitest

  1. Set up identical installation and working directory structures on all machines (master and slaves) in the cluster.

  2. Type hostname on each machine in the cluster. Note the name of each machine. You will need this name to set up both the .rhosts file and the Configure Cluster option of the ANS_ADMIN utility.

    Set up the .rhosts file on each machine. The .rhosts file lists each machine in the cluster, followed by your username. The machines should be listed using their complete system name, as taken from uname. For example, each .rhosts file for our two-machine cluster looks like this (where golinux1 and golinux2 are example machine names, and jqd is an example username):

    golinux1.jqd
golinux2.jqd

    Change/verify .rhosts file permissions on all machines by issuing:

    chmod 600 .rhosts

    Navigate to your working directory. Run the following:

    /ansys_inc/v110/ansys/bin/mpitesthpmpi110

The mpitest program should start without errors. If it does not, check your paths, .rhosts file, and permissions; correct any errors; and rerun.

expand Part B: Setup and Run a Distributed Solution

  1. Set up identical installation and working directory structures on all machines (master and slaves) in the cluster.

  2. Install ANSYS 11.0 on the master machine, following the typical installation process.

  3. Install ANSYS 11.0 on the slave machines. Steps 2 and 3 above will install all necessary components on your machines, including HP MPI 2.2.2.

  4. Type hostname on each machine in the cluster. Note the name of each machine. You will need this name to set up both the .rhosts file and the Configure Cluster option of the ANS_ADMIN utility.

  5. Set up the .rhosts file on each machine. The .rhosts file lists each machine in the cluster, followed by your username. The machines should be listed using their complete system name, as taken from uname. For example, each .rhosts file for our two-machine cluster looks like this (where golinux1 and golinux2 are example machine names, and jqd is an example username):

    golinux1.jqd
golinux2.jqd

  6. Change/verify .rhosts file permissions on all machines by issuing:

    chmod 600 .rhosts

  7. Verify communication between machines via rsh. If the communication between machines is happening correctly, you will not need a password.

  8. Run the ANS_ADMIN utility:

    /ansys_inc/v110/ansys/bin/ans_admin110

  9. Choose ANSYS/Workbench Configuration, and then click Configure Cluster. Under Select file to configure, choose the hosts110.ans file to be configured and choose Configure for Distributed ANSYS. Click OK. Then enter the system name (from Step 4) in the Machine hostname field and click Add.

    On the next dialog box, enter the system type in the Machine type drop-down, and the number of processors in the Max number of jobs/processors field for each machine in the cluster. Click OK. When you are finished adding machines, click Close and then click Exit to leave the ANS_ADMIN utility. The resulting hosts110.ans file using our example machines would look like this:

    golinux1 linem64t 0 1 0 0 /home/jqd MPI 1 1
golinux2 linem64t 0 1 0 0 /home/jqd MPI 1 1

  10. Start ANSYS using the launcher:

    launcher110

  11. Select the correct environment and license.

  12. Go to the High Performance Computing Setup tab. Select Use Distributed ANSYS. You must also specify either local machine or multiple hosts. For multiple hosts, select the machines you want to use from the list of available hosts. The list of available hosts is populated from the hosts110.ans file. Click on the machines you want to use and click Add to move them to the Selected Hosts list to use them for this run. You can also add or remove a host, but be aware that adding or removing a host from here will modify only this run; the hosts110.ans file will not be updated with any new information from this dialog box.

    If necessary, you can also run secure shell (ssh) by selecting Use Secure Shell instead of Remote Shell (ssh instead of rsh).

  13. Click Run to launch ANSYS.

  14. In ANSYS, select File>Read Input From and navigate to tutor1_carrier_linux.inp or tutor2_carrier_modal.inp.

  15. The example will progress through the building, loading, and meshing of the model. When it stops, select Main Menu>Solution>Analysis Type>Sol'n Controls.

  16. On the Solution Controls dialog box, click on the Sol'n Options tab.

  17. Select the Pre-Condition CG solver.

  18. Click OK on the Solution Controls dialog box.

  19. Solve the analysis. Choose Main Menu>Solution>Solve>Current LS. Click OK.

  20. When the solution is complete, you can postprocess your results as you would with any analysis. For example, you could select Main Menu>General Postproc>Read Results>First Set and select the desired result item to display.

3.6.2. Example: Running Distributed ANSYS on Windows

The following tutorial walks you through the setup of your distributed solver environment, and is applicable only to systems running ANSYS 11.0 on a Windows cluster under MPICH2.

One of the sample problems, tutor1_carrier_win.inp (static) or tutor2_carrier_modal.inp (modal), is required to complete the tutorial. Save this file to your working directory before beginning the tutorial. You can run either sample problem using the problem setup described here.

  1. Set up identical installation and working directory structures on all machines (master and slaves) in the cluster.

  2. Install ANSYS 11.0 on the master machine, following the typical installation process.

  3. Install ANSYS 11.0 on the slave machines.

  4. Install and register MPICH2 on both machines following the instructions in Prerequisites for Running Distributed ANSYS.

  5. Add C:\Program Files\MPICH2\bin to the PATH environmental variable on both machines (assuming MPICH2 was installed on the C:\ drive). This line must be in your path for the mpirun command to be recognized.

  6. On each machine, right-click on My Computer, left-click on Properties, and select the Network Identification or Computer Name tab. The full computer name will be listed. Note the name of each machine (not including the domain). You will need this name to set up the Configure Cluster option of the ANS_ADMIN utility.

  7. Run the ANS_ADMIN utility on the master machine: Start >Programs >ANSYS 11.0 >Utilities >ANS_ADMIN.

  8. Choose Configuration options, and then Configure Cluster to configure the hosts110.ans file.

    1. Specify the directory in which the hosts110.ans will be configured: Select the Configure a hosts110.ans file in a directory you specify option. Enter the working directory you set up in step 1. Click OK.

    2. Enter the system name (from Step 6) in the Machine hostname field and click Add. On the next dialog box, enter the system type in the Machine type drop-down, and the number of processors in the Max number of jobs/processors field and click OK for each machine in the cluster. When you are finished adding machines, click Close and then Exit. The resulting hosts110.ans file using our example machines where machine1 has 2 processors and machine2 has 4 processors would look like this:

      machine1 intel 0 2 0 0 MPI 1 1
machine2 intel 0 4 0 0 MPI 1 1

  9. Start ANSYS using the launcher: Start >Programs >ANSYS 11.0 > ANSYS Product Launcher.

  10. Select ANSYS Batch as the Simulation Environment, and choose a license. Specify tutor1_carrier_win.inp or tutor2_carrier_modal.inp as your input file. Both of these examples use the PCG solver. You must specify your working directory to be the location where this file is located.

  11. Go to the High Performance Computing Setup tab. Select Use Distributed ANSYS. You must specify either local machine or multiple hosts. For multiple hosts, select the machines you want to use from the list of available hosts. The list of available hosts is populated from the hosts110.ans file. Click on the machines you want to use and click Add to move them to the Selected Hosts list to use them for this run. Click on a machine in Selected Hosts and click Edit if you wish to add multiple processors for that host. You can also add or remove a host, but be aware that adding or removing a host from here will modify only this run; the hosts110.ans file will not be updated with any new information from this dialog box.

  12. Click Run.

  13. When the solution is complete, you can postprocess your results as you would with any analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.5. Understanding the Working Principles and Behavior of Distributed ANSYS 		Up / Home Next
3.7. Troubleshooting


3.7. Troubleshooting

This section describes problems which you may encounter while using the ANSYS Mechanical HPC add-on, as well as methods for overcoming these problems. Some of these problems are specific to a particular system, as noted.

To aid in troubleshooting, you may need to view the actual mpirun command line. To do so, set the ANS_SEE_RUN_COMMAND environment variable to 1.

On Windows x64 systems, use the Performance Monitor to view the individual processor performance.

Restarting stopped jobs

You must restart a job from the beginning; it is impossible to restart a job from the point where it ended.

Recovering from a computer or network crash

Be sure to kill any lingering processes (UNIX: type kill -9 from command level) on all processors and start the job again.

No permission to system

This error can occur if you do not have login access to a remote system where the distributed solver is supposed to run. If you use UNIX, you can experience this problem if you have not set permissions on the .rhosts file properly. Before starting a distributed solver run, be sure you have access to all the remote systems you have specified (i.e., you should be able to rsh to those systems) and that the control node is included in its own .rhosts file. If you run on UNIX, be sure you have run the following command:

chmod 600 .rhosts

Distributed ANSYS hangs on IBM systems

On IBM systems, if Distributed ANSYS hangs when using < for input, verify that the input file contains a complete last line. An incomplete last line can be generated by the emacs editor or by a bad file transfer. Open the file in a vi editor and re-save it. You may also see the last line of the input file repeated over and over again in the output because the input never finishes reading, causing a hang and eventual crash.

Distributed ANSYS fails to launch when running from a fully-qualified pathname.

Distributed ANSYS will fail if the ANSYS installation path contains a space followed by a dash if %ANSYS110_DIR%\Bin\Platform is not in the system PATH. Add %ANSYS110_DIR%\Bin\Platform to the system PATH and invoke ansys110 (without the fully qualified pathname). For example, if your installation path is:

C:\Program Files\Ansys -Inc\v110\Bin\Platform

The following command to launch Distributed ANSYS will fail:

"C:\Program Files\Ansys -Inc\v110\Bin\Platform\ansys110.exe” -g

However, if you add C:\Program Files\Ansys -Inc\v110\Bin\Platform to the system PATH, you can successfully launch Distributed ANSYS by using the following command:

ansys110 -g

Slave Machine Name:_desktop failed.

User name unable to CreatProcess for \\pathname\<solver executable>

The directory name is invalid.

Local Machine Name: Process exited with code 1

Local Machine Name: Process exited with code 1

Check that the directory structures on subsequent machines are identical to those on the host machine. (Windows only)

Machine Name: Access violation

This can be caused when more than one host tries to access the same machine while using an older version of MPI/Pro. The version of MPI/Pro provided with ANSYS Release 11.0 resolves this problem. (Windows, Linux only)

mpid: MPI BUG: requested interconnect not available

The default locations for GM (Myrinet) and its libraries are /opt/gm and /opt/gm/lib, respectively. If the libraries are not found, you may see this message. To specify a different location for the GM libraries, set the MPI_ICLIB_GM environment variable:

setenv MPI_ICLIB_GM <path>/lib/libgm.so

AMD Opteron and other 64-bit systems may have a specific 64-bit library subdirectory, /lib64. On these systems, you need to point to this location:

setenv MPI_ICLIB_GM <path>/lib64/libgm.so

Note

The environment variable needs to be set on each system (such as in the .cshrc or .login files).

The required licmsgs.dat file, which contains licensing-related messages, was not found or could not be opened. The following path was determined using environment variable ANSYS110_DIR. This is a fatal error - - exiting.

You must use UNC pathnames when setting up licensing (Windows only). Be sure that you have specified your licensing directory using UNC pathnames instead of a drive letter. Use the ANS_ADMIN utility's Configure a Machine option to re-specify your licensing path using UNC pathnames instead of mapped drive letters. You will need to reboot your machine for MPICH2 to reload the environment variable.

If you are working through the ANSYS Launcher instead of the command line and encounter this situation, ANSYS could crash with no error message. Proceed with the workaround described above.

Solver aborts

If you try to access more nodes than available, the solver will hang. (IBM only)

*** MPI has run out of PER_PROC message headers.

In some cases, the default settings for environment variables MPI_MSGS_PER_PROC and MPI_REQUEST_MAX may be too low and may need to be increased. See the MPI documentation for SGI for more information on settings for these and other environment variables. (SGI only)

Other systems may have additional environment variables that need to be adjusted for running very large models as well. If you encounter problems with system-dependent variables, please see your systems support staff or contact your MPI vendor.

no_mp_jobs: Not enough resources available

This can happen when you request more processors than are available. This happens if -np is greater than the number of available processors. Use

mpinfo -N
to check the number of available processors. (Sun only)

MPI: could not run executable

If you encounter this message, verify that you have the correct version of MPI installed correctly, and verify that you have a .rhosts file on each machine. If not, create a .rhosts file on all machines where you will run Distributed ANSYS, make sure the permissions on the file are 600, and include an entry for each hostname where you will run Distributed ANSYS.

mpid: Cannot set work directory: No such file or directory mpid: MPI_WORKDIR=<dir>

You will see this message if you set the MPI_WORKDIR environment variable but the specified directory doesn't exist. If you set MPI_WORKDIR on the master, this message could also appear if the directory doesn't exist on one of the slaves. In Distributed ANSYS, if you set the MPI_WORKDIR environment variable on the master node, Distributed ANSYS will expect all slave nodes to have the same directory.

pfloader: Error: failed to open file '<directory>/host.list': No such file or directory

If you are using a Quadrics interconnect with the -machines option, you may see this or a similar message if the host.list file does not exist in the working directory on each node on the cluster. The host.list file needs to exist on the master as well as on each of the slave nodes. For the -machines option to function as expected using Quadrics, a shared working directory should be used. The -np option is the preferred method when running Quadrics.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.6. Example Problems 		Up / Home Next
Structural Analysis Guide


Structural Analysis Guide

Release 11.0 Documentation for ANSYS

Table of Contents

1. Overview of Structural Analyses
1.1. Types of Structural Analysis
1.2. Elements Used in Structural Analyses
1.3. Material Model Interface
1.4. Solution Methods
2. Structural Static Analysis
2.1. Linear vs. Nonlinear Static Analyses
2.2. Performing a Static Analysis
2.2.1. Build the Model
2.2.2. Set Solution Controls
2.2.3. Set Additional Solution Options
2.2.4. Apply the Loads
2.2.5. Solve the Analysis
2.2.6. Review the Results
2.3. A Sample Static Analysis (GUI Method)
2.3.1. Problem Description
2.3.2. Problem Specifications
2.3.3. Problem Sketch
2.4. A Sample Static Analysis (Command or Batch Method)
2.5. Where to Find Other Examples
3. Modal Analysis
3.1. Uses for Modal Analysis
3.2. Process Involved in a Modal Analysis
3.3. Building the Model for a Modal Analysis
3.4. Applying Loads and Obtain the Solution
3.4.1. Enter the Solution Processor
3.4.2. Define Analysis Type and Options
3.4.3. Define Master Degrees of Freedom
3.4.4. Apply Loads
3.4.5. Specify Load Step Options
3.4.6. Participation Factor Table Output
3.4.7. Solve
3.4.8. Exit the Solution Processor
3.5. Expanding the Modes
3.5.1. File and Database Requirements
3.5.2. Expanding the Modes
3.6. Reviewing the Results
3.6.1. Points to Remember
3.6.2. Reviewing Results Data
3.6.3. Option: Listing All Frequencies
3.6.4. Option: Display Deformed Shape
3.6.5. Option: List Master DOF
3.6.6. Option: Line Element Results
3.6.7. Option: Contour Displays
3.6.8. Option: Tabular Listings
3.6.9. Other Capabilities
3.7. A Sample Modal Analysis (GUI Method)
3.7.1. Problem Description
3.7.2. Problem Specifications
3.7.3. Problem Sketch
3.8. A Sample Modal Analysis (Command or Batch Method)
3.9. Where to Find Other Examples
3.10. Prestressed Modal Analysis
3.11. Prestressed Modal Analysis of a Large-Deflection Solution
3.12. Prestressed Modal in a Brake Squeal Analysis
3.13. Comparing Mode-Extraction Methods
3.13.1. Block Lanczos Method
3.13.2. PCG Lanczos Method
3.13.3. Subspace Method
3.13.4. Reduced Method
3.13.5. Unsymmetric Method
3.13.6. Damped Method
3.13.7. QR Damped Method
3.14. Matrix Reduction
3.14.1. Theoretical Basis of Matrix Reduction
3.15. Residual Vector Method
3.15.1. Understanding the Residual Vector Method
3.15.2. Using the Residual Vector Method
4. Harmonic Response Analysis
4.1. Uses for Harmonic Response Analysis
4.2. Commands Used in a Harmonic Response Analysis
4.3. Three Solution Methods
4.3.1. The Full Method
4.3.2. The Reduced Method
4.3.3. The Mode Superposition Method
4.3.4. Restrictions Common to All Three Methods
4.4. Performing a Harmonic Response Analysis
4.4.1. Full Harmonic Response Analysis
4.4.2. Build the Model
4.4.3. Apply Loads and Obtain the Solution
4.4.4. Review the Results
4.5. Sample Harmonic Response Analysis (GUI Method)
4.5.1. Problem Description
4.5.2. Problem Specifications
4.5.3. Problem Diagram
4.6. Sample Harmonic Response Analysis (Command or Batch Method)
4.7. Where to Find Other Examples
4.8. Reduced Harmonic Response Analysis
4.8.1. Apply Loads and Obtain the Reduced Solution
4.8.2. Review the Results of the Reduced Solution
4.8.3. Expand the Solution (Expansion Pass)
4.8.4. Review the Results of the Expanded Solution
4.8.5. Sample Input
4.9. Mode Superposition Harmonic Response Analysis
4.9.1. Obtain the Modal Solution
4.9.2. Obtain the Mode Superposition Harmonic Solution
4.9.3. Expand the Mode Superposition Solution
4.9.4. Review the Results
4.9.5. Sample Input
4.10. Additional Harmonic Response Analysis Details
4.10.1. Prestressed Harmonic Response Analysis
5. Transient Dynamic Analysis
5.1. Preparing for a Transient Dynamic Analysis
5.2. Three Solution Methods
5.2.1. Full Method
5.2.2. Mode-Superposition Method
5.2.3. Reduced Method
5.3. Performing a Full Transient Dynamic Analysis
5.3.1. Build the Model
5.3.2. Establish Initial Conditions
5.3.3. Set Solution Controls
5.3.4. Set Additional Solution Options
5.3.5. Apply the Loads
5.3.6. Save the Load Configuration for the Current Load Step
5.3.7. Repeat Steps 3-6 for Each Load Step
5.3.8. Save a Backup Copy of the Database
5.3.9. Start the Transient Solution
5.3.10. Exit the Solution Processor
5.3.11. Review the Results
5.3.12. Sample Input for a Full Transient Dynamic Analysis
5.4. Performing a Mode-Superposition Transient Dynamic Analysis
5.4.1. Build the Model
5.4.2. Obtain the Modal Solution
5.4.3. Obtain the Mode-Superposition Transient Solution
5.4.4. Expand the Mode-Superposition Solution
5.4.5. Review the Results
5.4.6. Sample Input for a Mode-Superposition Transient Dynamic Analysis
5.5. Performing a Reduced Transient Dynamic Analysis
5.5.1. Obtain the Reduced Solution
5.5.2. Review the Results of the Reduced Solution
5.5.3. Expand the Solution (Expansion Pass)
5.5.4. Review the Results of the Expanded Solution
5.6. Sample Reduced Transient Dynamic Analysis (GUI Method)
5.6.1. Problem Description
5.6.2. Problem Specifications
5.6.3. Problem Sketch
5.6.4. Solve the Next Load Step
5.7. Sample Reduced Transient Dynamic Analysis (Command or Batch Method)
5.8. Performing a Prestressed Transient Dynamic Analysis
5.8.1. Prestressed Full Transient Dynamic Analysis
5.8.2. Prestressed Mode-Superposition Transient Dynamic Analysis
5.8.3. Prestressed Reduced Transient Dynamic Analysis
5.9. Transient Dynamic Analysis Options
5.9.1. Guidelines for Integration Time Step
5.9.2. Automatic Time Stepping
5.9.3. Damping
5.10. Where to Find Other Examples
6. Spectrum Analysis
6.1. Understanding Spectrum Analysis
6.1.1. Response Spectrum
6.1.2. Dynamic Design Analysis Method (DDAM)
6.1.3. Power Spectral Density
6.1.4. Deterministic vs. Probabilistic Analyses
6.2. Steps in a Single-Point Response Spectrum (SPRS) Analysis
6.2.1. Build the Model
6.2.2. Obtain the Modal Solution
6.2.3. Obtain the Spectrum Solution
6.2.4. Expand the Modes
6.2.5. Combine the Modes
6.2.6. Review the Results
6.3. Sample Spectrum Analysis (GUI Method)
6.3.1. Problem Description
6.3.2. Problem Specifications
6.3.3. Problem Sketch
6.3.4. Procedure
6.4. Sample Spectrum Analysis (Command or Batch Method)
6.5. Where to Find Other Examples
6.6. Performing a Random Vibration (PSD) Analysis
6.6.1. Expand the Modes
6.6.2. Obtain the Spectrum Solution
6.6.3. Combine the Modes
6.6.4. Review the Results
6.6.5. Sample Input
6.7. Performing a DDAM Spectrum Analysis
6.8. Performing a Multi-Point Response Spectrum (MPRS) Analysis
7. Buckling Analysis
7.1. Types of Buckling Analyses
7.1.1. Nonlinear Buckling Analysis
7.1.2. Eigenvalue Buckling Analysis
7.2. Commands Used in a Buckling Analysis
7.3. Performing a Nonlinear Buckling Analysis
7.3.1. Applying Load Increments
7.3.2. Automatic Time Stepping
7.3.3. Unconverged Solution
7.3.4. Hints and Tips for Performing a Nonlinear Buckling Analysis
7.4. Performing a Post-Buckling Analysis
7.5. Procedure for Eigenvalue Buckling Analysis
7.5.1. Build the Model
7.5.2. Obtain the Static Solution
7.5.3. Obtain the Eigenvalue Buckling Solution
7.5.4. Expand the Solution
7.5.5. Review the Results
7.6. Sample Buckling Analysis (GUI Method)
7.6.1. Problem Description
7.6.2. Problem Specifications
7.6.3. Problem Sketch
7.7. Sample Buckling Analysis (Command or Batch Method)
7.8. Where to Find Other Examples
8. Nonlinear Structural Analysis
8.1. Causes of Nonlinear Behavior
8.1.1. Changing Status (Including Contact)
8.1.2. Geometric Nonlinearities
8.1.3. Material Nonlinearities
8.2. Basic Information About Nonlinear Analyses
8.2.1. Conservative versus Nonconservative Behavior; Path Dependency
8.2.2. Substeps
8.2.3. Load Direction in a Large-Deflection Analysis
8.2.4. Rotations in a Large-Deflection Analysis
8.2.5. Nonlinear Transient Analyses
8.3. Using Geometric Nonlinearities
8.3.1. Stress-Strain
8.3.2. Stress Stiffening
8.3.3. Spin Softening
8.4. Modeling Material Nonlinearities
8.4.1. Nonlinear Materials
8.4.2. Material Model Combinations
8.5. Running a Nonlinear Analysis in ANSYS
8.6. Performing a Nonlinear Static Analysis
8.6.1. Build the Model
8.6.2. Set Solution Controls
8.6.3. Set Additional Solution Options
8.6.4. Apply the Loads
8.6.5. Solve the Analysis
8.6.6. Review the Results
8.6.7. Terminating a Running Job; Restarting
8.7. Performing a Nonlinear Transient Analysis
8.7.1. Build the Model
8.7.2. Apply Loads and Obtain the Solution
8.7.3. Review the Results
8.8. Sample Input for a Nonlinear Transient Analysis
8.9. Restarts
8.10. Using Nonlinear (Changing-Status) Elements
8.10.1. Element Birth and Death
8.11. Unstable Structures
8.11.1. Understanding Nonlinear Stabilization
8.11.2. Using the Arc-Length Method
8.11.3. Nonlinear Stabilization vs. the Arc-Length Method
8.12. Tips and Guidelines for Nonlinear Analysis
8.12.1. Starting Out with Nonlinear Analysis
8.12.2. Overcoming Convergence Problems
8.13. Sample Nonlinear Analysis (GUI Method)
8.13.1. Problem Description
8.13.2. Problem Specifications
8.13.3. Problem Sketch
8.14. Sample Nonlinear Analysis (Command or Batch Method)
8.15. Where to Find Other Examples
9. Material Curve Fitting
9.1. Applicable Material Behavior Types
9.2. Hyperelastic Material Curve Fitting
9.2.1. Using Curve Fitting to Determine Your Hyperelastic Material Behavior
9.3. Creep Material Curve Fitting
9.3.1. Using Curve Fitting to Determine Your Creep Material Behavior
9.3.2. Tips For Curve Fitting Creep Models
9.4. Viscoelastic Material Curve Fitting
9.4.1. Using Curve Fitting to Determine the Coefficients of Viscoelastic Material Model
10. Gasket Joints Simulation
10.1. Performing a Gasket Joint Analysis
10.2. Finite Element Formulation
10.2.1. Element Topologies
10.2.2. Thickness Direction
10.3. ANSYS Family of Interface Elements
10.3.1. Element Selection
10.3.2. Applications
10.4. Material Definition
10.4.1. Material Characteristics
10.4.2. Input Format
10.4.3. Temperature Dependencies
10.4.4. Plotting Gasket Data
10.5. Meshing Interface Elements
10.6. Solution Procedure and Result Output
10.6.1. Typical Gasket Solution Output Listing
10.7. Reviewing the Results
10.7.1. Points to Remember
10.7.2. Reviewing Results in POST1
10.7.3. Reviewing Results in POST26
10.8. Sample Gasket Element Verification Analysis (Command or Batch Method)
11. Interface Delamination and Failure Simulation
11.1. Modeling Interface Delamination with Interface Elements
11.1.1. Analyzing Interface Delamination
11.1.2. ANSYS Family of Interface Elements
11.1.3. Material Definition
11.1.4. Meshing and Boundary Conditions
11.1.5. Solution Procedure and Result Output
11.1.6. Reviewing the Results
11.2. Modeling Interface Delamination with Contact Elements
11.2.1. Analyzing Debonding
11.2.2. Contact Elements
11.2.3. Material Definition
11.2.4. Result Output
12. Fracture Mechanics
12.1. Introduction to Fracture
12.1.1. Fracture Modes
12.1.2. Fracture Mechanics Parameters
12.1.3. Crack Growth Simulation
12.2. Solving Fracture Mechanics Problems
12.2.1. Modeling the Crack Tip Region
12.2.2. Calculating Fracture Parameters
12.3. Numerical Evaluation of Fracture Mechanics Parameters
12.3.1. The J-Integral Calculation
12.3.2. Stress-Intensity Factors Calculation
12.4. Fracture Meshing
12.5. Setting Crack Tip Mesh Options (CTMOPT Macro)
12.6. Learning More About Fracture Mechanics
13. Composites
13.1. Modeling Composites
13.1.1. Selecting the Proper Element Type
13.1.2. Defining the Layered Configuration
13.1.3. Specifying Failure Criteria
13.1.4. Composite Modeling and Postprocessing Tips
13.2. The FiberSIM-ANSYS Interface
13.2.1. Understanding the FiberSIM XML File
13.2.2. Using FiberSIM Data in ANSYS
13.2.3. FiberSIM-to-ANSYS Translation Details
14. Fatigue
14.1. How ANSYS Calculates Fatigue
14.2. Fatigue Terminology
14.3. Evaluating Fatigue
14.3.1. Enter POST1 and Resume Your Database
14.3.2. Establish the Size, Fatigue Material Properties, and Locations
14.3.3. Store Stresses and Assign Event Repetitions and Scale Factors
14.3.4. Activate the Fatigue Calculations
14.3.5. Review the Results
14.3.6. Other Approaches to Range Counting
14.3.7. Sample Input
15. p-Method Structural Static Analysis
15.1. Benefits of the p-Method
15.2. Using the p-Method
15.2.1. Select the p-Method Procedure
15.2.2. Build the Model
15.2.3. Additional Information for Building Your Model
15.2.4. Apply Loads and Obtain the Solution
15.2.5. Helpful Hints for Common Problems
15.2.6. Review the Results
15.2.7. Querying Subgrid Results
15.2.8. Printing and Plotting Node and Element Results
15.3. Sample p-Method Analysis (GUI Method)
15.3.1. Problem Description
15.3.2. Problem Specifications
15.3.3. Problem Diagram
15.4. Sample p-Method Analysis (Command or Batch Method)
16. Beam Analysis and Cross Sections
16.1. Overview of Cross Sections
16.2. How to Create Cross Sections
16.2.1. Defining a Section and Associating a Section ID Number
16.2.2. Defining Cross Section Geometry and Setting the Section Attribute Pointer
16.2.3. Meshing a Line Model with BEAM44, BEAM188, or BEAM189 Elements
16.3. Creating Cross Sections
16.3.1. Using the Beam Tool to Create Common Cross Sections
16.3.2. Creating Custom Cross Sections with a User-defined Mesh
16.3.3. Creating Custom Cross Sections with Mesh Refinement and Multiple Materials
16.3.4. Defining Composite Cross Sections
16.3.5. Defining a Tapered Beam
16.4. Using Nonlinear General Beam Sections
16.4.1. Defining a Nonlinear General Beam Section
16.4.2. Considerations for Employing Nonlinear General Beam Sections
16.5. Managing Cross Section and User Mesh Libraries
16.6. Sample Lateral Torsional Buckling Analysis (GUI Method)
16.6.1. Problem Description
16.6.2. Problem Specifications
16.6.3. Problem Sketch
16.6.4. Eigenvalue Buckling and Nonlinear Collapse
16.6.5. Set the Analysis Title and Define Model Geometry
16.6.6. Define Element Type and Cross Section Information
16.6.7. Define the Material Properties and Orientation Node
16.6.8. Mesh the Line and Verify Beam Orientation
16.6.9. Define the Boundary Conditions
16.6.10. Solve the Eigenvalue Buckling Analysis
16.6.11. Solve the Nonlinear Buckling Analysis
16.6.12. Plot and Review the Results
16.6.13. Plot and Review the Section Results
16.7. Sample Problem with Cantilever Beams, Command Method
16.8. Where to Find Other Examples
17. Shell Analysis and Cross Sections
17.1. Understanding Cross Sections
17.2. How to Create Cross Sections
17.2.1. Defining a Section and Associating a Section ID Number
17.2.2. Defining Layer Data
17.2.3. Overriding Program Calculated Section Properties
17.2.4. Specifying a Shell Thickness Variation (Tapered Shells)
17.2.5. Setting the Section Attribute Pointer
17.2.6. Associating an Area with a Section
17.2.7. Using the Shell Tool to Create Sections
17.2.8. Managing Cross Section Libraries
17.3. Using Preintegrated General Shell Sections
17.3.1. Defining a Preintegrated Shell Section
17.3.2. Considerations for Employing Preintegrated Shell Sections

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.7. Troubleshooting 		Up / Home Next
Chapter 1. Overview of Structural Analyses


Chapter 1. Overview of Structural Analyses

Structural analysis is probably the most common application of the finite element method. The term structural (or structure) implies not only civil engineering structures such as bridges and buildings, but also naval, aeronautical, and mechanical structures such as ship hulls, aircraft bodies, and machine housings, as well as mechanical components such as pistons, machine parts, and tools.

The following structural analysis topics are available:

  • Types of Structural Analysis
  • Elements Used in Structural Analyses
  • Material Model Interface
  • Solution Methods

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Structural Analysis Guide 		Up / Home Next
1.1. Types of Structural Analysis


1.1. Types of Structural Analysis

The seven types of structural analyses available in the ANSYS family of products are explained below. The primary unknowns (nodal degrees of freedom) calculated in a structural analysis are displacements. Other quantities, such as strains, stresses, and reaction forces, are then derived from the nodal displacements.

Structural analyses are available in the ANSYS Multiphysics, ANSYS Mechanical, ANSYS Structural, and ANSYS Professional programs only.

You can perform the following types of structural analyses. Each of these analysis types are discussed in detail in this manual.

Static Analysis--Used to determine displacements, stresses, etc. under static loading conditions. Both linear and nonlinear static analyses. Nonlinearities can include plasticity, stress stiffening, large deflection, large strain, hyperelasticity, contact surfaces, and creep.

Modal Analysis--Used to calculate the natural frequencies and mode shapes of a structure. Different mode extraction methods are available.

Harmonic Analysis--Used to determine the response of a structure to harmonically time-varying loads.

Transient Dynamic Analysis--Used to determine the response of a structure to arbitrarily time-varying loads. All nonlinearities mentioned under Static Analysis above are allowed.

Spectrum Analysis--An extension of the modal analysis, used to calculate stresses and strains due to a response spectrum or a PSD input (random vibrations).

Buckling Analysis--Used to calculate the buckling loads and determine the buckling mode shape. Both linear (eigenvalue) buckling and nonlinear buckling analyses are possible.

Explicit Dynamic Analysis--This type of structural analysis is only available in the ANSYS LS-DYNA program. ANSYS LS-DYNA provides an interface to the LS-DYNA explicit finite element program. Explicit dynamic analysis is used to calculate fast solutions for large deformation dynamics and complex contact problems. Explicit dynamic analysis is described in the ANSYS LS-DYNA User's Guide.

In addition to the above analysis types, several special-purpose features are available:

  • Fracture mechanics

  • Composites

  • Fatigue

  • p-Method

  • Beam Analyses

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 1. Overview of Structural Analyses 		Up / Home Next
1.2. Elements Used in Structural Analyses


1.2. Elements Used in Structural Analyses

Most ANSYS element types are structural elements, ranging from simple spars and beams to more complex layered shells and large strain solids. Most types of structural analyses can use any of these elements.

Note

Explicit dynamics analysis can use only the explicit dynamic elements (LINK160, BEAM161, PLANE162, SHELL163, SOLID164, COMBI165, MASS166, LINK167, and SOLID168).

Table 1.1 Structural Element Types

Category | Element Name(s)
Spars | LINK1, LINK8, LINK10, LINK180
Beams | BEAM3, BEAM4, BEAM23, BEAM24, BEAM44, BEAM54, BEAM188, BEAM189
Pipes | PIPE16, PIPE17, PIPE18, PIPE20, PIPE59, PIPE60
2-D Solids | PLANE25, PLANE42, PLANE82, PLANE83, VISCO88, VISCO106, VISCO108, PLANE145, PLANE146, PLANE182, PLANE183
3-D Solids | SOLID45, SOLID46, SOLID65, VISCO89, SOLID92, SOLID95, VISCO107, SOLID147, SOLID148, SOLID185, SOLID186, SOLID187, SOLID191, SHELL281
Shells | SHELL28, SHELL41, SHELL43, SHELL61, SHELL63, SHELL91, SHELL93, SHELL99, SHELL150, SHELL181, SHELL208.
Solid-Shell | SOLSH190
Interface | INTER192, INTER193, INTER194, INTER195
Contact | CONTAC12, CONTAC52, TARGE169, TARGE170, CONTA171, CONTA172, CONTA173, CONTA174, CONTA175, CONTA176, CONTA177, CONTA178
Coupled-Field | SOLID5, PLANE13, FLUID29, FLUID30, FLUID38, SOLID62, FLUID79, FLUID80, FLUID81, SOLID98, FLUID129, INFIN110, INFIN111, FLUID116, FLUID130
Specialty | COMBIN7, LINK11, COMBIN14, MASS21, MATRIX27, COMBIN37, COMBIN39, COMBIN40, MATRIX50, SURF153, SURF154
Explicit Dynamics | LINK160, BEAM161, PLANE162, SHELL163, SOLID164, COMBI165, MASS166, LINK167, SOLID168

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.1. Types of Structural Analysis 		Up / Home Next
1.3. Material Model Interface


1.3. Material Model Interface

For analyses described in this guide, if you are using the GUI, you must specify the material you will be simulating using an intuitive material model interface. This interface uses a hierarchical tree structure of material categories, which is intended to assist you in choosing the appropriate model for your analysis. See Material Model Interface in the Basic Analysis Guide for details on the material model interface.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.2. Elements Used in Structural Analyses 		Up / Home Next
1.4. Solution Methods


1.4. Solution Methods

Two solution methods are available for solving structural problems in the ANSYS family of products: the h-method and the p-method. The h-method can be used for any type of analysis, but the p-method can be used only for linear structural static analyses. Depending on the problem to be solved, the h-method usually requires a finer mesh than the p-method. The p-method provides an excellent way to solve a problem to a desired level of accuracy while using a coarse mesh. In general, the discussions in this manual focus on the procedures required for the h-method of solution. "p-Method Structural Static Analysis" discusses procedures specific to the p-method.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.3. Material Model Interface 		Up / Home Next
Chapter 2. Structural Static Analysis


Chapter 2. Structural Static Analysis

A static analysis calculates the effects of steady loading conditions on a structure, while ignoring inertia and damping effects, such as those caused by time-varying loads. A static analysis can, however, include steady inertia loads (such as gravity and rotational velocity), and time-varying loads that can be approximated as static equivalent loads (such as the static equivalent wind and seismic loads commonly defined in many building codes).

Static analysis determines the displacements, stresses, strains, and forces in structures or components caused by loads that do not induce significant inertia and damping effects. Steady loading and response conditions are assumed; that is, the loads and the structure's response are assumed to vary slowly with respect to time. The types of loading that can be applied in a static analysis include:

  • Externally applied forces and pressures

  • Steady-state inertial forces (such as gravity or rotational velocity)

  • Imposed (nonzero) displacements

  • Temperatures (for thermal strain)

  • Fluences (for nuclear swelling)

More information about the loads that you can apply in a static analysis appears in Apply the Loads.

The following topics are available for structural static analysis:

  • Linear vs. Nonlinear Static Analyses
  • Performing a Static Analysis
  • A Sample Static Analysis (GUI Method)
  • A Sample Static Analysis (Command or Batch Method)
  • Where to Find Other Examples

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.4. Solution Methods 		Up / Home Next
2.1. Linear vs. Nonlinear Static Analyses


2.1. Linear vs. Nonlinear Static Analyses

A static analysis can be either linear or nonlinear. All types of nonlinearities are allowed - large deformations, plasticity, creep, stress stiffening, contact (gap) elements, hyperelastic elements, and so on. This chapter focuses on linear static analyses, with brief references to nonlinearities. Details of how to handle nonlinearities are described in "Nonlinear Structural Analysis".

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 2. Structural Static Analysis 		Up / Home Next
2.2. Performing a Static Analysis


2.2. Performing a Static Analysis

The procedure for a static analysis consists of these tasks:

  1. Build the Model

  2. Set Solution Controls

  3. Set Additional Solution Options

  4. Apply the Loads

  5. Solve the Analysis

  6. Review the Results

2.2.1. Build the Model

See Building the Model in the Basic Analysis Guide. For further details, see the Modeling and Meshing Guide.

2.2.1.1. Points to Remember

Keep the following points in mind when doing a static analysis:

  • You can use both linear and nonlinear structural elements.

  • Material properties can be linear or nonlinear, isotropic or orthotropic, and constant or temperature-dependent.

    • You must define stiffness in some form (for example, Young's modulus (EX), hyperelastic coefficients, and so on).

    • For inertia loads (such as gravity), you must define the data required for mass calculations, such as density (DENS).

    • For thermal loads (temperatures), you must define the coefficient of thermal expansion (ALPX).

Note the following information about mesh density:

  • Regions where stresses or strains vary rapidly (usually areas of interest) require a relatively finer mesh than regions where stresses or strains are nearly constant (within an element).

  • While considering the influence of nonlinearities, remember that the mesh should be able to capture the effects of the nonlinearities. For example, plasticity requires a reasonable integration point density (and therefore a fine element mesh) in areas with high plastic deformation gradients.

2.2.2. Set Solution Controls

Setting solution controls involves defining the analysis type and common analysis options for an analysis, as well as specifying load step options for it. When you are doing a structural static analysis, you can take advantage of a streamlined solution interface (called the Solution Controls dialog box) for setting these options. The Solution Controls dialog box provides default settings that will work well for many structural static analyses, which means that you may need to set only a few, if any, of the options. Because the streamlined solution interface is the recommended tool for setting solution controls in a structural static analysis, it is the method that is presented in this chapter.

If you prefer not to use the Solution Controls dialog box (Main Menu> Solution> Analysis Type> Sol'n Controls), you can set solution controls for your analysis using the standard set of ANSYS solution commands and the standard corresponding menu paths (Main Menu> Solution> Unabridged Menu> option). For a general overview of the Solution Controls dialog box, see Using Special Solution Controls for Certain Types of Structural Analyses in the Basic Analysis Guide.

2.2.2.1. Access the Solution Controls Dialog Box

To access the Solution Controls dialog box, choose menu path Main Menu> Solution> Analysis Type> Sol'n Controls. The following sections provide brief descriptions of the options that appear on each tab of the dialog box. For details about how to set these options, select the tab that you are interested in (from within the ANSYS program), and then click the Help button. "Nonlinear Structural Analysis" also contains details about the nonlinear options introduced in this chapter.

2.2.2.2. Using the Basic Tab

The Basic tab is active when you access the dialog box.

The controls that appear on the Basic tab provide the minimum amount of data that ANSYS needs for the analysis. Once you are satisfied with the settings on the Basic tab, you do not need to progress through the remaining tabs unless you want to adjust the default settings for the more advanced controls. As soon as you click OK on any tab of the dialog box, the settings are applied to the ANSYS database and the dialog box closes.

You can use the Basic tab to set the options listed in Table 2.1: "Basic Tab Options". For specific information about using the Solution Controls dialog box to set these options, access the dialog box, select the Basic tab, and click the Help button.

Table 2.1 Basic Tab Options

Option For more information on this option, see:
Specify analysis type [ANTYPE, NLGEOM]

  • Defining the Analysis Type and Analysis Options in the Basic Analysis Guide

  • "Nonlinear Structural Analysis" in the Structural Analysis Guide

  • Restarting an Analysis in the Basic Analysis Guide

Control time settings, including: time at end of load step [TIME], automatic time stepping [AUTOTS], and number of substeps to be taken in a load step [NSUBST or DELTIM]

  • The Role of Time in Tracking in the Basic Analysis Guide

  • General Options in the Basic Analysis Guide

Specify solution data to write to database [OUTRES]

  • Output Controls in the Basic Analysis Guide

Special considerations for setting these options in a static analysis include:

  • When setting ANTYPE and NLGEOM, choose Small Displacement Static if you are performing a new analysis and you want to ignore large deformation effects such as large deflection, large rotation, and large strain. Choose Large Displacement Static if you expect large deflections (as in the case of a long, slender bar under bending) or large strains (as in a metal-forming problem). Choose Restart Current Analysis if you want to restart a failed nonlinear analysis, if you have previously completed a static analysis and you want to specify additional loads, or if you wish to use the Jobname.RSX information from a previous VT Accelerator run. Note that in a VT Accelerator run, you cannot restart a job in the middle; you can only rerun the job from the beginning with changes in the input parameters.

  • When setting TIME, remember that this load step option specifies time at the end of the load step. The default value is 1.0 for the first load step. For subsequent load steps, the default is 1.0 plus the time specified for the previous load step. Although time has no physical meaning in a static analysis (except in the case of creep, viscoplasticity, or other rate-dependent material behavior), it is used as a convenient way of referring to load steps and substeps (see "Loading" in the Basic Analysis Guide).

  • When setting OUTRES, keep this caution in mind:

    Caution

    By default, only 1000 results sets can be written to the results file (Jobname.RST). If this number is exceeded (based on your OUTRES specification), the program will terminate with an error. Use the command /CONFIG,NRES to increase the limit (see "Memory Management and Configuration" in the Basic Analysis Guide).

2.2.2.3. The Transient Tab

The Transient tab contains transient analysis controls; it is available only if you choose a transient analysis and remains grayed out when you choose a static analysis. For these reasons, it is not described here.

2.2.2.4. Using the Sol'n Options Tab

You can use the Sol'n Options tab to set the options listed in Table 2.2: "Sol'n Options Tab Options". For specific information about using the Solution Controls dialog box to set these options, access the dialog box, select the Sol'n Options tab, and click the Help button.

Table 2.2 Sol'n Options Tab Options

Option For more information about this option, see the following section(s) in the Basic Analysis Guide:
Specify equation solver [EQSLV]

  • Selecting a Solver through The Automatic Iterative (Fast) Solver Option

Specify parameters for multiframe restart [RESCONTROL]

  • Multiframe Restart

Special considerations for setting these options in a static analysis include:

  • When setting EQSLV, specify one of these solvers:

    • Program chosen solver (ANSYS selects a solver for you, based on the physics of the problem)

    • Sparse direct solver (default for linear and nonlinear, static and full transient analyses)

    • Preconditioned Conjugate Gradient (PCG) solver (recommended for large models/high wavefronts, bulky structures)

    • Algebraic Multigrid (AMG) solver (applicable in the same situations as the PCG solver, but provides parallel processing; for faster turnaround times when used in a multiprocessor environment)

    • Iterative solver (auto-select; for linear static/full transient structural or steady-state thermal analyses only; recommended)

    • Frontal direct solver

Note

The AMG solver is part of ANSYS Mechanical HPC, which is a separately-licensed product. See "Using Shared-Memory ANSYS" in the Advanced Analysis Techniques Guide for more information about using the AMG solver.

2.2.2.5. Using the Nonlinear Tab

You can use the Nonlinear tab to set the options listed in Table 2.3: "Nonlinear Tab Options". For specific information about using the Solution Controls dialog box to set these options, access the dialog box, select the Nonlinear tab, and click the Help button.

Table 2.3 Nonlinear Tab Options

Option For more information about this option, see the following section(s) in the Structural Analysis Guide:
Activate line search [LNSRCH]

  • Line Search Option

  • Line Search

Activate a predictor on the DOF solution [PRED]

  • Predictor-Corrector Option

Activate an advanced predictor (STAOPT)

  • VT Accelerator

Specify the maximum number of iterations allowed per substep [NEQIT]

  • Maximum Number of Equilibrium Iterations

Specify whether you want to include creep calculation [RATE]

  • Creep

  • Creep Criteria

Set convergence criteria [CNVTOL]

  • Convergence Criteria

Control bisections [CUTCONTROL]

  • Cutback Criteria

2.2.2.6. Using the Advanced NL Tab

You can use the Advanced NL tab to set the options listed in Table 2.4: "Advanced NL Tab Options". For specific information about using the Solution Controls dialog box to set these options, access the dialog box, select the Advanced NL tab, and click the Help button.

Table 2.4 Advanced NL Tab Options

Option For more information about this option, see the following section(s) in the Structural Analysis Guide:
Specify analysis termination criteria [NCNV]

  • Maximum Number of Equilibrium Iterations

Control activation and termination of the arc-length method [ARCLEN, ARCTRM]

  • Using the Arc-Length Method

  • "Loading" in the Basic Analysis Guide

2.2.3. Set Additional Solution Options

This section discusses additional options that you can set for the solution. These options do not appear on the Solution Controls dialog box because they are used very infrequently, and their default settings rarely need to be changed. ANSYS menu paths are provided in this section to help you access these options for those cases in which you choose to override the ANSYS-assigned defaults.

Many of the options that appear in this section are nonlinear options, and are described further in "Nonlinear Structural Analysis".

2.2.3.1. Stress Stiffening Effects

Some elements, including those in the 18x family of elements, include stress stiffening effects regardless of the SSTIF command setting. To determine whether an element includes stress stiffening, refer to the appropriate element description in the Elements Reference.

By default, stress stiffening effects are ON when NLGEOM is ON. Specific situations in which you can turn OFF stress stiffening effects include:

  • Stress stiffening is relevant only in nonlinear analyses. If you are performing a linear analysis [NLGEOM,OFF], you can turn stress stiffening OFF.

  • Prior to the analysis, you know that the structure is not likely to fail because of buckling (bifurcation, snap through).

Including stress stiffness terms, in general, accelerates nonlinear convergence characteristics. Keeping in mind the points listed above, you may choose to turn stress stiffening OFF for specific problems in which convergence difficulties are seen; for example, local failures.
Command(s): | SSTIF
GUI: | Main Menu> Solution> Unabridged Menu> Analysis Options

2.2.3.2. Newton-Raphson Option

Use this analysis option only in a nonlinear analysis. This option specifies how often the tangent matrix is updated during solution. You can specify one of these values:

  • Program-chosen (default)

  • Full

  • Modified

  • Initial stiffness

  • Full with unsymmetric matrix

Command(s): | NROPT
GUI: | Main Menu> Solution> Unabridged Menu> Analysis Options

2.2.3.3. Prestress Effects Calculation

Use this analysis option to perform a prestressed analysis on the same model, such as a prestressed modal analysis. The default is OFF.

Note

The stress stiffening effects and the prestress effect calculation both control the generation of the stress stiffness matrix, and therefore should not be used together in an analysis. If both are specified, the last option specified will override the previous setting.

Command(s): | PSTRES
GUI: | Main Menu> Solution> Unabridged Menu> Analysis Options

2.2.3.4. Mass Matrix Formulation

Use this analysis option if you plan to apply inertial loads on the structure (such as gravity and spinning loads). You can specify one of these values:

  • Default (depends on element type)

  • Lumped mass approximation

Note

For a static analysis, the mass matrix formulation you use does not significantly affect the solution accuracy (assuming that the mesh is fine enough). However, if you want to do a prestressed dynamic analysis on the same model, the choice of mass matrix formulation may be important; see the appropriate dynamic analysis section for recommendations.

Command(s): | LUMPM
GUI: | Main Menu> Solution> Unabridged Menu> Analysis Options

2.2.3.5. Reference Temperature

This load step option is used for thermal strain calculations. Reference temperature can be made material-dependent with the MP,REFT command.

Command(s): | TREF
GUI: | Main Menu> Solution> Load Step Opts> Other> Reference Temp

2.2.3.6. Mode Number

This load step option is used for axisymmetric harmonic elements.

Command(s): | MODE
GUI: | Main Menu> Solution> Load Step Opts> Other> For Harmonic Ele

2.2.3.7. Creep Criteria

This nonlinear load step option specifies the creep criterion for automatic time stepping.

Command(s): | CRPLIM
GUI: | Main Menu> Solution> Unabridged Menu> Load Step Opts> Nonlinear> Creep Criterion

2.2.3.8. Printed Output

Use this load step option to include any results data on the output file (Jobname.OUT).

Command(s): | OUTPR
GUI: | Main Menu> Solution> Unabridged Menu> Load Step Opts> Output Ctrls> Solu Printout

Caution

Proper use of multiple OUTPR commands can sometimes be a little tricky. See Output Controls in the Basic Analysis Guide for more information on how to use this command.

2.2.3.9. Extrapolation of Results

Use this load step option to review element integration point results by copying them to the nodes instead of extrapolating them (default when no material nonlinearities are present).

Command(s): | ERESX
GUI: | Main Menu> Solution> Unabridged Menu> Load Step Opts> Output Ctrls> Integration Pt

2.2.4. Apply the Loads

After you set the desired solution options, you are ready to apply loads to the model.

2.2.4.1. Load Types

All of the following load types are applicable in a static analysis.

2.2.4.1.1. Displacements (UX, UY, UZ, ROTX, ROTY, ROTZ)

These are DOF constraints usually specified at model boundaries to define rigid support points. They can also indicate symmetry boundary conditions and points of known motion. The directions implied by the labels are in the nodal coordinate system.

2.2.4.1.2. Velocities (VELX, VELY, VELZ, OMGX, OMGY, OMGZ)

The displacement constraints can be replaced by the equivalent differentiation forms, which are the corresponding velocity loads. If a velocity load is present, the displacement constraint at the current time step is calculated as the displacement constraint at the previous time step plus the input velocity value times the time step. For example, if VELX is input the ux constraint is: ux(t+dt) = ux(t) + v(t)*dt.

The directions implied by the velocity load labels are in the nodal coordinate system.

2.2.4.1.3. Forces (FX, FY, FZ) and Moments (MX, MY, MZ)

These are concentrated loads usually specified on the model exterior. The directions implied by the labels are in the nodal coordinate system.

2.2.4.1.4. Pressures (PRES)

These are surface loads, also usually applied on the model exterior. Positive values of pressure act towards the element face (resulting in a compressive effect).

2.2.4.1.5. Temperatures (TEMP)

These are applied to study the effects of thermal expansion or contraction (that is, thermal stresses). The coefficient of thermal expansion must be defined if thermal strains are to be calculated. You can read in temperatures from a thermal analysis [LDREAD], or you can specify temperatures directly, using the BF family of commands.

2.2.4.1.6. Fluences (FLUE)

These are applied to study the effects of swelling (material enlargement due to neutron bombardment or other causes) or creep. They are used only if you input a swelling or creep equation.

2.2.4.1.7. Gravity, Spinning, Etc.

These are inertia loads that affect the entire structure. Density (or mass in some form) must be defined if inertia effects are to be included.

2.2.4.2. Apply Loads to the Model

Except for inertia loads (which are independent of the model) and velocity loads, you can define loads either on the solid model (keypoints, lines, and areas) or on the finite element model (nodes and elements). You can also apply boundary conditions via TABLE type array parameters (see Applying Loads Using TABLE Type Array Parameters) or as function boundary conditions (see Applying Loads Using Function Boundary Conditions).

Table 2.5: "Loads Applicable in a Static Analysis" summarizes the loads applicable to a static analysis. In an analysis, loads can be applied, removed, operated on, or listed.

Table 2.5 Loads Applicable in a Static Analysis

Load Type | Category | For details on commands and menu paths for defining these loads, see...
Displacement (UX, UY, UZ, ROTX, ROTY, ROTZ) | Constraints | DOF Constraints in the Basic Analysis Guide
Velocities (VELX, VELY, VELZ, OMGX, OMGY, OMGZ) | Constraints | DOF Constraints in the Basic Analysis Guide
Force, Moment (FX, FY, FZ, MX, MY, MZ) | Forces | Forces (Concentrated Loads) in the Basic Analysis Guide
Pressure (PRES) | Surface Loads | Surface Loads in the Basic Analysis Guide
Temperature (TEMP), Fluence (FLUE) | Body Loads | Body Loads in the Basic Analysis Guide
Gravity, Spinning, and so on | Inertia Loads | Inertia Loads in the Basic Analysis Guide
2.2.4.2.1. Applying Loads Using TABLE Type Array Parameters

You can also apply loads using TABLE type array parameters. For details on using tabular boundary conditions, see Applying Loads Using TABLE Type Array Parameters in the Basic Analysis Guide.

In a structural analysis, valid primary variables are TIME, TEMP, and location (X, Y, Z).

When defining the table, TIME must be in ascending order in the table index (as in any table array).

You can define a table array parameter via command or interactively. For more information on defining table array parameters, see the ANSYS Parametric Design Language Guide.

2.2.4.3. Calculating Inertia Relief

You can use a static analysis to perform inertia relief calculations, which calculate the accelerations that will counterbalance the applied loads. You can think of inertia relief as an equivalent free-body analysis.

Your model should meet the following requirements:

  • The model should not contain axisymmetric or generalized plane strain elements, or nonlinearities. Models with a mixture of 2-D and 3-D element types are not recommended.

  • The effects of offsets and tapering are ignored for beam elements (BEAM23, BEAM24, BEAM44, and BEAM54) as well as for layered elements (SHELL91, SHELL99, SOLID46, and SOLID191). The effects of unsymmetrical layups for layered elements are also ignored. (Breaking up each tapered element into several elements will give a more accurate solution.)

  • Data required for mass calculations (such as density) must be specified.

  • Specify only the minimum number of displacement constraints - those required to prevent rigid-body motion. Three constraints (or fewer, depending on the element type) are necessary for 2-D models and six (or fewer) are necessary for 3-D models. Additional constraints, such as those required to impose symmetry conditions, are permitted, but check for zero reaction forces at all the constraints to make sure that the model is not overconstrained for inertia relief.

  • The loads for which inertia relief calculations are desired should be applied.

Issue the IRLF command before the SOLVE command as part of the inertia load commands.

Command(s): | IRLF,1
GUI: | Main Menu> Solution> Load Step Opts> Other> Inertia Relief

Inertia Relief for Substructures

For substructures, inertia relief calculations (MATRIX50) use the equations described in Inertia Relief in the Theory Reference for ANSYS and ANSYS Workbench. ANSYS obtains the mass matrix of a substructure via matrix reduction to condense it to the master nodes (MASTER). The inertia relief calculations in a substructure are therefore consistent with the reduced mass contribution at the master nodes.

The IRLF command has no effect in the generation pass of a substructure. If you intend to perform inertia relief calculations on a substructure, do not apply DOF constraints (D) on the substructure during its generation pass; instead, apply them during the use pass. (Otherwise, the substructure reduction logic condenses out the mass associated with the constrained DOFs in the generation pass, and the inertia relief calculations in the use pass of the substructure reflect the condensed mass distribution.)

In the expansion pass, precalculation of masses for summary printout (IRLF,-1) occurs only on elements that are part of the substructure.

2.2.4.3.1. Inertia Relief Output

Use the IRLIST command to print the output from inertia relief calculations. This output consists of the translational and rotational accelerations required to balance the applied loads and can be used by other programs to perform kinematics studies. The summary listing of mass and moments of inertia (produced during solution) is accurate, not approximate. The reaction forces at the constraints will be zero because the calculated inertia forces balance the applied forces.

Inertia relief output is stored in the database rather than in the results file (Jobname.RST). When you issue IRLIST, ANSYS pulls the information from the database, which contains the inertia relief output from the most recent solution [SOLVE or PSOLVE].

Command(s): | IRLIST
GUI: | No GUI equivalent.

2.2.4.3.2. Partial Inertia Relief Calculations

You can also do a partial inertia relief calculation. Use the partial solution method [PSOLVE], as shown in the command input below:

/PREP7
 ...
 ...
MP,DENS,...         ! Generate model, define density
 ...
 ...
FINISH

/SOLU
D,...               ! Specify only minimum no. of constraints
F,...               ! Other loads
SF,...
OUTPR,ALL,ALL       ! Activates printout of all items
IRLF,1              ! Can also be set to -1 for precise mass and
                    !  load summary only, no inertia relief
PSOLVE,ELFORM       ! Calculates element matrices
PSOLVE,ELPREP       ! Modifies element matrices and calculates
                    !  inertia relief terms
IRLIST              ! Lists the mass summary and total load summary tables
FINISH

See the Commands Reference for discussions of the OUTPR, IRLF, IRLIST, and PSOLVE commands.

2.2.4.3.3. Using a Macro to Perform Inertia Relief Calculations

If you need to do inertia relief calculations frequently, you can write a macro containing the above commands. Macros are described in the ANSYS Parametric Design Language Guide.

2.2.5. Solve the Analysis

You are now ready to solve the analysis.

  1. Save a backup copy of the database to a named file. You can then retrieve your model by reentering the ANSYS program and issuing RESUME.

    Command(s): SAVE
    GUI: Utility Menu> File> Save as

  2. Start solution calculations.

    Command(s): SOLVE
    GUI: Main Menu> Solution> Solve> Current LS

  3. If you want the analysis to include additional loading conditions (that is, multiple load steps), you will need to repeat the process of applying loads, specifying load step options, saving, and solving for each load step. (Other methods for handling multiple load steps are described in "Loading" in the Basic Analysis Guide.)

  4. Leave SOLUTION.

    Command(s): FINISH
    GUI: Close the Solution menu.

2.2.6. Review the Results

Results from a static analysis are written to the structural results file, Jobname.RST. They consist of the following data:

  • Primary data:

    • Nodal displacements (UX, UY, UZ, ROTX, ROTY, ROTZ)

  • Derived data:

    • Nodal and element stresses

    • Nodal and element strains

    • Element forces

    • Nodal reaction forces

    • and so on

2.2.6.1. Postprocessors

You can review these results using POST1, the general postprocessor, and POST26, the time-history processor.

  • POST1 is used to review results over the entire model at specific substeps (time-points). Some typical POST1 operations are explained below.

  • POST26 is used in nonlinear static analyses to track specific result items over the applied load history. See "Nonlinear Structural Analysis" for the use of POST26 in a nonlinear static analysis. For a complete description of all postprocessing functions, see "An Overview of Postprocessing" in the Basic Analysis Guide.

2.2.6.2. Points to Remember

  • To review results in POST1 or POST26, the database must contain the same model for which the solution was calculated.

  • The results file (Jobname.RST) must be available.

2.2.6.3. Reviewing Results Data

  1. Read in the database from the database file.

    Command(s): RESUME
    GUI: Utility Menu> File> Resume from

  2. Read in the desired set of results. Identify the data set by load step and substep numbers or by time. (If you specify a time value for which no results are available, the ANSYS program will perform linear interpolation on all the data to calculate the results at that time.)

    Command(s): SET
    GUI: Main Menu> General Postproc> Read Results> By Load Step

  3. Perform the necessary POST1 operations. Typical static analysis POST1 operations are explained below.

2.2.6.4. Typical Postprocessing Operations

Option: Display Deformed Shape

Use the PLDISP command to display a deformed shape (Main Menu> General Postproc> Plot Results> Deformed Shape). The KUND field on PLDISP gives you the option of overlaying the undeformed shape on the display.

Option: List Reaction Forces and Moments

The PRRSOL command lists reaction forces and moments at the constrained nodes (Main Menu> General Postproc> List Results> Reaction Solu).

To display reaction forces, issue /PBC,RFOR,,1 and then request a node or element display [NPLOT or EPLOT]. (Use RMOM instead of RFOR for reaction moments.)

Option: List Nodal Forces and Moments

Use the PRESOL,F (or M) command to list nodal forces and moments (Main Menu> General Postproc> List Results> Element Solution).

You can list the sum of all nodal forces and moments for a selected set of nodes. Select a set of nodes and use this feature to find out the total force acting on those nodes:

Command(s): | FSUM
GUI: | Main Menu> General Postproc> Nodal Calcs> Total Force Sum

You can also check the total force and total moment at each selected node. For a body in equilibrium, the total load is zero at all nodes except where an applied load or reaction load exists:

Command(s): | NFORCE
GUI: | Main Menu> General Postproc> Nodal Calcs> Sum @ Each Node

The FORCE command (Main Menu> General Postproc> Options for Outp) dictates which component of the forces is being reviewed:

  • Total (default)

  • Static component

  • Damping component

  • Inertia component

For a body in equilibrium, the total load (using all FORCE components) is zero at all nodes except where an applied load or reaction load exists.

Option: Line Element Results

For line elements, such as beams, spars, and pipes, use ETABLE to gain access to derived data (stresses, strains, and so on) (Main Menu> General Postproc> Element Table> Define Table). Results data are identified by a combination of a label and a sequence number or component name on the ETABLE command. See the ETABLE discussion in The General Postprocessor (POST1) in the Basic Analysis Guide for details.

Option: Error Estimation

For linear static analyses using solid or shell elements, use the PRERR command to list the estimated solution error due to mesh discretization (Main Menu> General Postproc> List Results> Percent Error). This command calculates and lists the percent error in structural energy norm (SEPC), which represents the error relative to a particular mesh discretization.

Option: Structural Energy Error Estimation

Use PLESOL,SERR to contour the element-by-element structural energy error (SERR) (Main Menu> General Postproc> Plot Results> Contour Plot> Element Solu). Regions of high SERR on the contour display are good candidates for mesh refinement. (You can activate automatic mesh refinement by means of the ADAPT command - see the Modeling and Meshing Guide for more information.) See Estimating Solution Error in the Basic Analysis Guide for more details about error estimation.

Option: Contour Displays

Use PLNSOL and PLESOL to contour almost any result item, such as stresses (SX, SY, SZ...), strains (EPELX, EPELY, EPELZ...), and displacements (UX, UY, UZ...) (Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu or Element Solu).

The KUND field on PLNSOL and PLESOL gives you the option of overlaying the undeformed shape on the display.

Use PLETAB and PLLS to contour element table data and line element data (Main Menu> General Postproc> Element Table> Plot Element Table and Main Menu> General Postproc> Plot Results> Contour Plot> Line Elem Res).

Caution

Derived data, such as stresses and strains, are averaged at the nodes by the PLNSOL command. This averaging results in "smeared" values at nodes where elements of different materials, different shell thicknesses, or other discontinuities meet. To avoid the smearing effect, use selecting (described in "Selecting and Components" in the Basic Analysis Guide) to select elements of the same material, same shell thickness, and so on before issuing PLNSOL. Alternatively, use PowerGraphics with the AVRES command (Main Menu> General Postproc> Options for Outp) to not average results across different materials and/or different shell thicknesses.

Option: Vector Displays

Use PLVECT to view vector displays (Main Menu> General Postproc> Plot Results> Vector Plot> Predefined) and PRVECT to view vector listings (Main Menu> General Postproc> List Results> Vector Data).

Vector displays (not to be confused with vector mode) are an effective way of viewing vector quantities, such as displacement (DISP), rotation (ROT), and principal stresses (S1, S2, S3).

Option: Tabular Listings

Use these commands to produce tabular listings:

Command(s): | PRNSOL (nodal results), PRESOL (element-by-element results) PRRSOL (reaction data), and so on
GUI: | Main Menu> General Postproc> List Results> solution option

Use the NSORT and ESORT commands to sort the data before listing them (Main Menu> General Postproc> List Results> Sorted Listing> Sort Nodes or Sort Elems).

Other Postprocessing Capabilities

Many other postprocessing functions - mapping results onto a path, load case combinations, and so on - are available in POST1. See "An Overview of Postprocessing" in the Basic Analysis Guide for details.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.1. Linear vs. Nonlinear Static Analyses 		Up / Home Next
2.3. A Sample Static Analysis (GUI Method)


2.3. A Sample Static Analysis (GUI Method)

In this sample analysis, you will run a static analysis of an Allen wrench.

2.3.1. Problem Description

An Allen wrench (10 mm across the flats) is torqued by means of a 100 N force at its end. Later, a 20 N downward force is applied at the same end, at the same time retaining the original 100 N torquing force. The objective is to determine the stress intensity in the wrench under these two loading conditions.

2.3.2. Problem Specifications

The following dimensions are used for this problem:

Width across flats = 10 mm

Configuration = hexagonal

Length of shank = 7.5 cm

Length of handle = 20 cm

Bend radius = 1 cm

Modulus of elasticity = 2.07 x 1011 Pa

Applied torquing force = 100 N

Applied downward force = 20 N

2.3.3. Problem Sketch

Figure 2.1 Diagram of Allen Wrench

2.3.3.1. Set the Analysis Title

  1. Choose menu path Utility Menu> File> Change Title.

  2. Type the text "Static Analysis of an Allen Wrench" and click on OK.

2.3.3.2. Set the System of Units

  1. Click once in the Input Window to make it active for text entry.

  2. Type the command /UNITS,SI and press ENTER. Notice that the command is stored in the history buffer, which can be accessed by clicking on the down arrow at the right of the input window.

  3. Choose menu path Utility Menu> Parameters> Angular Units. The Angular Units for Parametric Functions dialog box appears.

  4. In the drop down menu for Units for angular parametric functions, select "Degrees DEG."

  5. Click on OK.

2.3.3.3. Define Parameters

  1. Choose menu path Utility Menu> Parameters> Scalar Parameters. The Scalar Parameters dialog box appears.

  2. Type the following parameters and their values in the Selection field. Click on Accept after you define each parameter. For example, first type “exx = 2.07e11” in the Selection field and then click on Accept. Continue entering the remaining parameters and values in the same way.

    Parameter | Value | Description
    EXX | 2.07E11 | Young's modulus is 2.07E11 Pa
    W_HEX | .01 | Width of hex across flats = .01 m
    W_FLAT | W_HEX* TAN(30) | Width of flat = .0058 m
    L_SHANK | .075 | Length of shank (short end) .075 m
    L_HANDLE | .2 | Length of handle (long end) .2 m
    BENDRAD | .01 | Bend radius .01 m
    L_ELEM | .0075 | Element length .0075 m
    NO_D_HEX | 2 | Number of divisions along hex flat = 2
    TOL | 25E-6 | Tolerance for selecting node = 25E-6 m

    Note

    You can type the labels in upper- or lowercase; ANSYS always displays the labels in uppercase.

  3. Click on Close.

  4. Click on SAVE_DB on the ANSYS Toolbar.

2.3.3.4. Define the Element Types

  1. Choose menu path Main Menu> Preprocessor> Element Type> Add/Edit/Delete.

  2. Click on Add. The Library of Element Types dialog box appears.

  3. In the scroll box on the left, click once on "Structural Solid."

  4. In the scroll box on the right, click once on "Brick 8node 45."

  5. Click on Apply to define it as element type 1.

  6. Scroll up the list on the right to "Quad 4node 42." Click once to select it.

  7. Click on OK to define Quad 4node42 as element type 2. The Library of Element Types dialog box closes.

  8. Click on Close in the Element Types dialog box.

2.3.3.5. Define Material Properties

  1. Choose menu path Main Menu> Preprocessor> Material Props> Material Models. The Define Material Model Behavior dialog box appears.

  2. In the Material Models Available window, double-click on the following options: Structural, Linear, Elastic, Isotropic. A dialog box appears.

  3. Type the text EXX in the EX field (for Young's modulus), and .3 for PRXY.

    Click on OK. This sets Young's modulus to the parameter specified above. Material Model Number 1 appears in the Material Models Defined window on the left.

  4. Choose menu path Material> Exit to remove the Define Material Model Behavior dialog box.

2.3.3.6. Create Hexagonal Area as Cross-Section

  1. Choose menu path Main Menu> Preprocessor> Modeling> Create> Areas> Polygon> By Side Length. The Polygon by Side Length dialog box appears.

  2. Enter 6 for number of sides.

  3. Enter W_FLAT for length of each side.

  4. Click on OK. A hexagon appears in the ANSYS Graphics window.

2.3.3.7. Create Keypoints Along a Path

  1. Choose menu path Main Menu> Preprocessor> Modeling> Create> Keypoints> In Active CS. The Create Keypoints in Active Coordinate System dialog box appears.

  2. Enter 7 for keypoint number. Type a 0 in each of the X, Y, Z location fields.

  3. Click on Apply.

  4. Enter 8 for keypoint number.

  5. Enter 0,0,-L_SHANK for the X, Y, Z location, and click on Apply.

  6. Enter 9 for keypoint number.

  7. Enter 0,L_HANDLE,-L_SHANK for the X, Y, Z location, and click on OK.

2.3.3.8. Create Lines Along a Path

  1. Choose menu path Utility Menu> PlotCtrls> Window Controls> Window Options. The Window Options dialog box appears.

  2. In the Location of triad drop down menu, select "At top left."

  3. Click on OK.

  4. Choose menu path Utility Menu> PlotCtrls> Pan/Zoom/Rotate. The Pan-Zoom-Rotate dialog box appears.

  5. Click on "Iso" to generate an isometric view and click on Close.

  6. Choose menu path Utility Menu> PlotCtrls> View Settings> Angle of Rotation. The Angle of Rotation dialog box appears.

  7. Enter 90 for angle in degrees.

  8. In the Axis of rotation drop down menu, select "Global Cartes X."

  9. Click on OK.

  10. Choose menu path Utility Menu> PlotCtrls> Numbering. The Plot Numbering Controls dialog box appears.

  11. Click the Keypoint numbers radio button to turn keypoint numbering on.

  12. Click the Line numbers radio button to turn line numbering on.

  13. Click on OK.

  14. Choose menu path Main Menu> Preprocessor> Modeling> Create> Lines> Lines> Straight Line. The Create Straight Line picking menu appears.

  15. Click once on keypoints 4 and 1 to create a line between keypoints 1 and 4. (If you have trouble reading the keypoint numbers in the ANSYS Graphics window, use the controls on the Pan-Zoom-Rotate dialog box (Utility Menu> PlotCtrls> Pan/Zoom/Rotate) to zoom in.)

  16. Click once on keypoints 7 and 8 to create a line between keypoints 7 and 8.

  17. Click once on keypoints 8 and 9 to create a line between keypoints 8 and 9.

  18. Click on OK.

2.3.3.9. Create Line from Shank to Handle

  1. Choose menu path Main Menu> Preprocessor> Modeling> Create> Lines> Line Fillet. The Line Fillet picking menu appears.

  2. Click once on lines 8 and 9.

  3. Click on OK in the picking menu. The Line Fillet dialog box appears.

  4. Enter BENDRAD for Fillet radius and click on OK.

  5. Click on SAVE_DB on the ANSYS Toolbar.

2.3.3.10. Cut Hex Section

In this step, you cut the hex section into two quadrilaterals. This step is required to satisfy mapped meshing.

  1. Choose menu path Utility Menu> PlotCtrls> Numbering. The Plot Numbering Controls dialog box appears.

  2. Click the Keypoint numbers radio button to Off.

  3. Click on OK.

  4. Choose menu path Utility Menu> Plot> Areas.

  5. Choose menu path Main Menu> Preprocessor> Modeling> Operate> Booleans> Divide> With Options> Area by Line. The Divide Area by Line picking menu appears.

  6. Click once on the shaded area, and click on OK.

  7. Choose menu path Utility Menu> Plot> Lines.

  8. Click once on line 7. (If you have trouble reading the line numbers in the ANSYS Graphics window, use the controls on the Pan-Zoom-Rotate dialog box (Utility Menu> PlotCtrls> Pan/Zoom/Rotate) to zoom in.)

  9. Click on OK. The Divide Area by Line with Options dialog box appears. In the Subtracted lines will be drop down menu, select Kept. Click OK.

  10. Choose menu path Utility Menu> Select> Comp/Assembly> Create Component. The Create Component dialog box appears.

  11. Enter BOTAREA for component name.

  12. In the Component is made of drop down menu, select "Areas."

  13. Click on OK.

2.3.3.11. Set Meshing Density

  1. Choose menu path Main Menu> Preprocessor> Meshing> Size Cntrls> Lines> Picked Lines. The Element Size on Picked Lines picking menu appears.

  2. Enter 1,2,6 in the picker, then press ENTER.

  3. Click on OK in the picking menu. The Element Sizes on Picked Lines dialog box appears.

  4. Enter NO_D_HEX for number of element divisions and click on OK.

2.3.3.12. Set Element Type for Area Mesh

In this step, set the element type to PLANE42, all quadrilaterals for the area mesh.

  1. Choose menu path Main Menu> Preprocessor> Modeling> Create> Elements> Elem Attributes. The Element Attributes dialog box appears.

  2. In the Element type number drop down menu, select “2 PLANE42” and click on OK.

  3. Choose menu path Main Menu> Preprocessor> Meshing> Mesher Opts. The Mesher Options dialog box appears.

  4. In the Mesher Type field, click on the Mapped radio button and then click on OK. The Set Element Shape dialog box appears.

  5. Click on OK to accept the default of Quad for 2-D shape key.

  6. Click on SAVE_DB on the ANSYS Toolbar.

2.3.3.13. Generate Area Mesh

In this step, generate the area mesh you will later drag.

  1. Choose menu path Main Menu> Preprocessor> Meshing> Mesh> Areas> Mapped> 3 or 4 sided. The Mesh Areas picking box appears.

  2. Click on Pick All.

  3. Choose menu path Utility Menu> Plot> Elements.

2.3.3.14. Drag the 2-D Mesh to Produce 3-D Elements

  1. Choose menu path Main Menu> Preprocessor> Modeling> Create> Elements> Elem Attributes. The Element Attributes dialog box appears.

  2. In the Element type number drop down menu, select “1 SOLID45” and click on OK.

  3. Choose menu path Main Menu> Preprocessor> Meshing> Size Cntrls> Global> Size. The Global Element Sizes dialog box appears.

  4. Enter L_ELEM for element edge length and click on OK.

  5. Choose menu path Utility Menu> PlotCtrls> Numbering.

  6. Click the Line numbers radio button to on if it is not already selected.

  7. Click on OK.

  8. Choose menu path Utility Menu> Plot> Lines.

  9. Choose menu path Main Menu> Preprocessor> Modeling> Operate> Extrude> Areas> Along Lines. The Sweep Areas along Lines picking box appears.

  10. Click on Pick All. A second picking box appears.

  11. Click once on lines 8, 10, and 9 (in that order).

  12. Click on OK. The 3-D model appears in the ANSYS Graphics window.

  13. Choose menu path Utility Menu> Plot> Elements.

  14. Click on SAVE_DB on the ANSYS Toolbar.

2.3.3.15. Select BOTAREA Component and Delete 2-D Elements

  1. Choose menu path Utility Menu> Select> Comp/Assembly> Select Comp/Assembly. The Select Component or Assembly dialog appears.

  2. Click on OK to accept the default of select BOTAREA component.

  3. Choose menu path Main Menu> Preprocessor> Meshing> Clear> Areas. The Clear Areas picking menu appears.

  4. Click on Pick All.

  5. Choose menu path Utility Menu> Select> Everything.

  6. Choose menu path Utility Menu> Plot> Elements.

2.3.3.16. Apply Displacement Boundary Condition at End of Wrench

  1. Choose menu path Utility Menu> Select> Comp/Assembly> Select Comp/Assembly. The Select Component or Assembly dialog appears.

  2. Click on OK to accept the default of select BOTAREA component.

  3. Choose menu path Utility Menu> Select> Entities. The Select Entities dialog box appears.

  4. In the top drop down menu, select "Lines."

  5. In the second drop down menu, select "Exterior."

  6. Click on Apply.

  7. In the top drop down menu, select "Nodes."

  8. In the second drop down menu, select "Attached to."

  9. Click on the "Lines, all" radio button to select it.

  10. Click on OK.

  11. Choose menu path Main Menu> Solution> Define Loads> Apply> Structural> Displacement> On Nodes. The Apply U,ROT on Nodes picking menu appears.

  12. Click on Pick All. The Apply U,ROT on Nodes dialog box appears.

  13. In the scroll list for DOFs to be constrained, click on "ALL DOF."

  14. Click on OK.

  15. Choose menu path Utility Menu> Select> Entities.

  16. In the top drop down menu, select "Lines."

  17. Click on the "Sele All" button, then click on Cancel.

2.3.3.17. Display Boundary Conditions

  1. Choose menu path Utility Menu> PlotCtrls> Symbols. The Symbols dialog box appears.

  2. Click on the "All Applied BCs" radio button for Boundary condition symbol.

  3. In the Surface Load Symbols drop down menu, select "Pressures."

  4. In the “Show pres and convect as” drop down menu, select "Arrows."

  5. Click on OK.

2.3.3.18. Apply Pressure on Handle

In this step, apply pressure on the handle to represent 100 N finger force.

  1. Choose menu path Utility Menu> Select> Entities. The Select Entities dialog appears.

  2. In the top drop down menu, select "Areas."

  3. In the second drop down menu, select "By Location."

  4. Click on the "Y coordinates" radio button to select it.

  5. Enter BENDRAD,L_HANDLE for Min, Max, and click on Apply.

  6. Click on "X coordinates" to select it.

  7. Click on Reselect.

  8. Enter W_FLAT/2,W_FLAT for Min, Max, and click on Apply.

  9. In the top drop down menu, select "Nodes."

  10. In the second drop down menu, select "Attached to."

  11. Click on the "Areas, all" radio button to select it.

  12. Click on the "From Full" radio button to select it.

  13. Click on Apply.

  14. In the second drop down menu, select "By Location."

  15. Click on the "Y coordinates" radio button to select it.

  16. Click on the "Reselect" radio button.

  17. Enter L_HANDLE+TOL,L_HANDLE-(3.0*L_ELEM)-TOL for Min, Max.

  18. Click on OK.

  19. Choose menu path Utility Menu> Parameters> Get Scalar Data. The Get Scalar Data dialog box appears.

  20. In the scroll box on the left, scroll to "Model Data" and select it.

  21. In the scroll box on the right, scroll to "For selected set" and select it.

  22. Click on OK. The Get Data for Selected Entity Set dialog box appears.

  23. Enter "minyval" for the name of the parameter to be defined.

  24. In the scroll box on the left, click once on "Current node set" to select it.

  25. In the scroll box on the right, click once on "Min Y coordinate" to select it.

  26. Click on Apply.

  27. Click on OK again to select the default settings. The Get Data for Selected Entity Set dialog box appears.

  28. Enter "maxyval" for the name of the parameter to be defined.

  29. In the scroll box on the left, click once on "Current node set" to select it.

  30. In the scroll box on the right, click once on "Max Y coordinate" to select it.

  31. Click on OK.

  32. Choose menu path Utility Menu> Parameters> Scalar Parameters. The Scalar Parameters dialog box appears.

  33. Type the text PTORQ=100/(W_HEX*(MAXYVAL-MINYVAL)) in the Selection text box and click on Accept.

  34. Click on Close.

  35. Choose menu path Main Menu> Solution> Define Loads> Apply> Structural> Pressure> On Nodes. The Apply PRES on Nodes picking menu appears.

  36. Click on Pick All. The Apply PRES on Nodes dialog box appears.

  37. Enter PTORQ for Load PRES value and click on OK.

  38. Choose menu path Utility Menu> Select> Everything.

  39. Choose menu path Utility Menu> Plot> Nodes.

  40. Click on SAVE_DB on the ANSYS Toolbar.

2.3.3.19. Write the First Load Step

  1. Choose menu path Main Menu> Solution> Load Step Opts> Write LS File. The Write Load Step File dialog appears.

  2. Enter 1 for load step file number n.

  3. Click on OK.

2.3.3.20. Define Downward Pressure

In this step, you define the downward pressure on top of the handle, representing 20N (4.5 lb) of force.

  1. Choose menu path Utility Menu> Parameters> Scalar Parameters. The Scalar Parameters dialog box appears.

  2. Type the text PDOWN=20/(W_FLAT*(MAXYVAL-MINYVAL)) in the Selection text box and click on Accept.

  3. Click on Close.

  4. Choose menu path Utility Menu> Select> Entities. The Select Entities dialog appears.

  5. In the top drop down menu, select "Areas."

  6. In the second drop down menu, select "By Location."

  7. Click on the "Z coordinates" radio button to select it.

  8. Click on the "From Full" radio button to select it.

  9. Enter -(L_SHANK+(W_HEX/2)) for Min, Max.

  10. Click on Apply.

  11. In the top drop down menu, select "Nodes."

  12. In the second drop down menu, select "Attached to."

  13. Click on the Areas, all radio button to select it, and click on Apply.

  14. In the second drop down menu, select "By Location."

  15. Click on the "Y coordinates" radio button to select it.

  16. Click on the "Reselect" radio button.

  17. Enter L_HANDLE+TOL,L_HANDLE-(3.0*L_ELEM)-TOL for Min, Max.

  18. Click on OK.

  19. Choose menu path Main Menu> Solution> Define Loads> Apply> Structural> Pressure> On Nodes. The Apply PRES on Nodes picking menu appears.

  20. Click on Pick All. The Apply PRES on Nodes dialog box appears.

  21. Enter PDOWN for Load PRES value and click on OK.

  22. Choose menu path Utility Menu> Select> Everything.

  23. Choose menu path Utility Menu> Plot> Nodes.

2.3.3.21. Write Second Load Step

  1. Choose menu path Main Menu> Solution> Load Step Opts> Write LS File. The Write Load Step File dialog box appears.

  2. Enter 2 for Load step file number n, and click on OK.

  3. Click on SAVE_DB on the ANSYS Toolbar.

2.3.3.22. Solve from Load Step Files

  1. Choose menu path Main Menu> Solution> Solve> From LS Files. The Solve Load Step Files dialog box appears.

  2. Enter 1 for Starting LS file number.

  3. Enter 2 for Ending LS file number, and click on OK.

  4. Click on the Close button after the Solution is done! window appears.

2.3.3.23. Read First Load Step and Review Results

  1. Choose menu path Main Menu> General Postproc> Read Results> First Set.

  2. Choose menu path Main Menu> General Postproc> List Results> Reaction Solu. The List Reaction Solution dialog box appears.

  3. Click on OK to accept the default of All Items.

  4. Review the information in the status window, and click on Close.

  5. Choose menu path Utility Menu> PlotCtrls> Symbols. The Symbols dialog box appears.

  6. Click on the "None" radio button for Boundary condition symbol, and click on OK.

  7. Choose menu path Utility Menu> PlotCtrls> Style> Edge Options. The Edge Options dialog box appears.

  8. In the Element outlines for non-contour/contour plots drop down menu, select "Edge Only/All."

  9. Click on OK.

  10. Choose menu path Main Menu> General Postproc> Plot Results> Deformed Shape. The Plot Deformed Shape dialog box appears.

  11. Click on the "Def + undeformed" radio button and click on OK.

  12. Choose menu path Utility Menu> PlotCtrls> Save Plot Ctrls. The Save Plot Controls dialog box appears.

  13. Type "pldisp.gsa" in the Selection box, and click on OK.

  14. Choose menu path Utility Menu> PlotCtrls> View Settings> Angle of Rotation. The Angle of Rotation dialog box appears.

  15. Enter 120 for Angle in degrees.

  16. In the Relative/absolute drop down menu, select "Relative angle."

  17. In the Axis of rotation drop down menu, select "Global Cartes Y."

  18. Click on OK.

  19. Choose menu path Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu. The Contour Nodal Solution Data dialog box appears.

  20. In the scroll box on the left, click on "Stress." In the scroll box on the right, click on "Intensity SINT."

  21. Click on OK.

  22. Choose menu path Utility Menu> PlotCtrls> Save Plot Ctrls. The Save Plot Controls dialog box appears.

  23. Type "plnsol.gsa" in the Selection box, and click on OK.

2.3.3.24. Read the Next Load Step and Review Results

  1. Choose menu path Main Menu> General Postproc> Read Results> Next Set.

  2. Choose menu path Main Menu> General Postproc> List Results> Reaction Solu. The List Reaction Solution dialog box appears.

  3. Click on OK to accept the default of All Items.

  4. Review the information in the status window, and click on Close.

  5. Choose menu path Utility Menu> PlotCtrls> Restore Plot Ctrls.

  6. Type "pldisp.gsa" in the Selection box, and click on OK.

  7. Choose menu path Main Menu> General Postproc> Plot Results> Deformed Shape. The Plot Deformed Shape dialog box appears.

  8. Click on the "Def + undeformed" radio button if it is not already selected and click on OK.

  9. Choose menu path Utility Menu> PlotCtrls> Restore Plot Ctrls.

  10. Type "plnsol.gsa" in the Selection box, and click on OK.

  11. Choose menu path Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu. The Contour Nodal Solution Data dialog box appears.

  12. In the scroll box on the left, click on "Stress." In the scroll box on the right, scroll to "Intensity SINT" and select it.

  13. Click on OK.

2.3.3.25. Zoom in on Cross-Section

  1. Choose menu path Utility Menu> WorkPlane> Offset WP by Increments. The Offset WP tool box appears.

  2. Enter 0,0,-0.067 for X, Y, Z Offsets and click on OK.

  3. Choose menu path Utility Menu> PlotCtrls> Style> Hidden Line Options. The Hidden-Line Options dialog box appears.

  4. In the drop down menu for Type of Plot, select "Capped hidden."

  5. In the drop down menu for Cutting plane is, select "Working plane."

  6. Click on OK.

  7. Choose menu path Utility Menu> PlotCtrls> Pan-Zoom-Rotate. The Pan-Zoom-Rotate tool box appears.

  8. Click on "WP."

  9. Drag the Rate slider bar to 10.

  10. On the Pan-Zoom-Rotate dialog box, click on the large round dot several times to zoom in on the cross section.

2.3.3.26. Exit ANSYS

  1. Choose QUIT from the ANSYS Toolbar.

  2. Choose Quit - No Save!

  3. Click on OK.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.2. Performing a Static Analysis 		Up / Home Next
2.4. A Sample Static Analysis (Command or Batch Method)


2.4. A Sample Static Analysis (Command or Batch Method)

You can perform the example static analysis of an Allen wrench using the ANSYS commands shown below instead of GUI choices. Items prefaced with an exclamation point (!) are comments.

/FILNAME,pm02!     Jobname to use for all subsequent files
/TITLE,Static analysis of an Allen wrench
/UNITS,SI        ! Reminder that the SI system of units is used
/SHOW            ! Specify graphics driver for interactive run; for batch
                 ! run plots are written to pm02.grph

! Define parameters for future use

EXX=2.07E11      ! Young's modulus (2.07E11 Pa = 30E6 psi)
W_HEX=.01        ! Width of hex across flats (.01m=.39in)
*AFUN,DEG        ! Units for angular parametric functions
W_FLAT=W_HEX*TAN(30)   ! Width of flat
L_SHANK=.075     ! Length of shank (short end) (.075m=3.0in)
L_HANDLE=.2      ! Length of handle (long end) (.2m=7.9 in)
BENDRAD=.01      ! Bend radius of Allen wrench (.01m=.39 in)
L_ELEM=.0075     ! Element length (.0075 m = .30 in)
NO_D_HEX=2       ! Number of divisions on hex flat
TOL=25E-6        ! Tolerance for selecting nodes (25e-6 m = .001 in)

/PREP7
ET,1,SOLID45     ! Eight-node brick element
ET,2,PLANE42     ! Four-node quadrilateral (for area mesh)
MP,EX,1,EXX      ! Young's modulus for material 1
MP,PRXY,1,0.3    ! Poisson's ratio for material 1
RPOLY,6,W_FLAT   ! Hexagonal area
K,7              ! Keypoint at (0,0,0)
K,8,,,-L_SHANK   ! Keypoint at shank-handle intersection
K,9,,L_HANDLE,-L_SHANK    ! Keypoint at end of handle
L,4,1            ! Line through middle of hex shape
L,7,8            ! Line along middle of shank
L,8,9            ! Line along handle
LFILLT,8,9,BENDRAD    ! Line along bend radius between shank and handle
/VIEW,,1,1,1     ! Isometric view in window 1
/ANGLE,,90,XM    ! Rotates model 90 degrees about X
/PNUM,LINE,1     ! Line numbers turned on
LPLOT
/PNUM,LINE,0     ! Line numbers off
L,1,4            ! Hex section is cut into two quadrilaterals
ASBL,1,7,,,KEEP  !  to satisfy mapped meshing requirements for bricks
CM,BOTAREA,AREA  ! Component name BOTAREA for the two areas

! Generate area mesh for later drag

LESIZE,1,,,NO_D_HEX     ! Number of divisions along line 1
LESIZE,2,,,NO_D_HEX
LESIZE,6,,,NO_D_HEX
TYPE,2                  ! PLANE42 elements to be meshed first
MSHAPE,0,2D             ! Mapped quad mesh
MSHKEY,1
SAVE                    ! Save database before meshing
AMESH,ALL
/TITLE,Meshed hex wrench end to be used in vdrag
EPLOT

! Now drag the 2-D mesh to produce 3-D elements

TYPE,1                 ! Type pointer set to SOLID45
ESIZE,L_ELEM           ! Element size
VDRAG,2,3,,,,,8,10,9   ! Drag operation to create 3-D mesh
/TYPE,,HIDP            ! Precise hidden line display
/TITLE,Meshed hex wrench
EPLOT
CMSEL,,BOTAREA         ! Select BOTAREA component and
ACLEAR,ALL             !    delete the 2-D elements
ASEL,ALL
FINISH

! Apply loads and obtain the solution

/SOLU
ANTYPE,STATIC          ! Static analysis (default)
/TITLE,Allen wrench -- Load step 1

! First fix all nodes around bottom of shank

CMSEL,,BOTAREA         ! Bottom areas of shank
LSEL,,EXT              ! Exterior lines of those areas
NSLL,,1                ! Nodes on those lines
D,ALL,ALL              ! Displacement constraints
LSEL,ALL
/PBC,U,,1              ! Displacement symbols turned on
/TITLE,Boundary conditions on end of wrench
NPLOT

!Now apply pressure on handle to represent 100-N (22.5-lb) finger force

ASEL,,LOC,Y,BENDRAD,L_HANDLE    ! Areas on handle
ASEL,R,LOC,X,W_FLAT/2,W_FLAT    ! Two areas on one side of handle...
NSLA,,1                         !  ...and all corresponding nodes
NSEL,R,LOC,Y,L_HANDLE+TOL,L_HANDLE-(3.0*L_ELEM)-TOL   ! Reselects nodes at
                                ! back end of handle (3 element lengths)
*GET,MINYVAL,NODE,,MNLOC,Y      ! Get minimum Y value of selected nodes
*GET,MAXYVAL,NODE,,MXLOC,Y      ! Get maximum Y value of selected nodes
PTORQ=100/(W_HEX*(MAXYVAL-MINYVAL))   ! Pressure equivalent to 100 N
SF,ALL,PRES,PTORQ               ! PTORQ pressure on all selected nodes
ALLSEL                          ! Restores full set of all entities
/PSF,PRES,,2                    ! Pressure symbols turned on
/TITLE,Boundary conditions on wrench for load step 1
NPLOT
LSWRITE                         ! Writes first load step
/TITLE, Allen wrench -- load step 2

! Downward pressure on top of handle, representing 20-N (4.5 -lb) force

PDOWN=20/(W_FLAT*(MAXYVAL-MINYVAL))

ASEL,,LOC,Z,-(L_SHANK+(W_HEX/2))   ! Area on top flat of handle...
NSLA,,1                            !  ...and all corresponding nodes
NSEL,R,LOC,Y,L_HANDLE+TOL,L_HANDLE-(3.0*L_ELEM)-TOL   ! Reselects nodes at
                                ! back end of handle (3 element lengths)
SF,ALL,PRES,PDOWN               ! PDOWN pressure at all selected nodes
ALLSEL
/TITLE,Boundary conditions on wrench for load step 2
NPLOT
LSWRITE                         ! Writes second load step
SAVE                            ! Save database before solution
LSSOLVE,1,2              ! Initiates solution for load step files 1 and 2
FINISH

!Review the results

/POST1
SET,1                   ! Reads load step 1 results
PRRSOL                  ! Reaction solution listing
/PBC,DEFA               ! No BC symbols
/PSF,DEFA               ! No surface load symbols
/EDGE,,1                ! Edges only, no interior element outlines
/TITLE,Deformed allen wrench caused by torque
PLDISP,2                ! Deformed shape overlaid with undeformed edge plot
/GSAVE,pldisp,gsav      ! Saves graphics specifications on pldisp.gsav
/PLOPTS,INFO,ON         ! Turns on entire legend column
/PLOPTS,LEG1,OFF        ! Turns off legend header
/ANGLE,,120,YM,1        ! Additional rotation about model Y (to see high stress areas)
/TITLE,Stress intensity contours caused by torque
PLNSOL,S,INT            ! Stress intensity contours
/GSAVE,plnsol,gsav      ! Saves graphics specifications to plnsol.gsav
SET,2                   ! Reads load step 2 results
PRRSOL                  ! Reaction solution listing
/GRESUME,pldisp,gsav    ! Resumes graphics specifications from pldisp.gsav
/TITLE,Deformed allen wrench caused by torque and force
PLDISP,2
/GRESUME,plnsol,gsav    ! Resumes graphics specifications from plnsol.gsav
/TITLE,Stress intensity contours caused by torque and force
PLNSOL,S,INT
WPOF,,,-0.067           ! Offset the working plane for cross-section view
/TYPE,1,5               ! Capped hidden display
/CPLANE,1               ! Cutting plane defined to use the WP
/VIEW, 1 ,WP            ! View will be normal to the WP
/DIST,1,.01             ! Zoom in on the cross section
/TITLE,Cross section of the allen wrench under torque and force loading
PLNSOL,S,INT
FINISH
/EXIT,ALL

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.3. A Sample Static Analysis (GUI Method) 		Up / Home Next
2.5. Where to Find Other Examples


2.5. Where to Find Other Examples

Several ANSYS publications, particularly the Verification Manual and the ANSYS Tutorials, describe additional structural static analyses.

The Verification Manual consists of test case analyses demonstrating the analysis capabilities of the ANSYS family of products. While these test cases demonstrate solutions to realistic analysis problems, the Verification Manual does not present them as step-by-step examples with lengthy data input instructions and printouts. However, most ANSYS users who have at least limited finite element experience should be able to fill in the missing details by reviewing each test case's finite element model and input data with accompanying comments.

The Verification Manual includes the following structural static analysis test cases:

VM1 - Statically Indeterminate Reaction Force Analysis
VM2 - Beam Stresses and Deflections
VM4 - Deflection of a Hinged Support
VM11 - Residual Stress Problem
VM12 - Combined Bending and Torsion
VM13 - Cylindrical Shell Under Pressure
VM16 - Bending of a Solid Beam
VM18 - Out-of-plane Bending of a Curved Bar
VM20 - Cylindrical Membrane Under Pressure
VM25 - Stresses in a Long Cylinder
VM29 - Friction on a Support Block
VM31 - Cable Supporting Hanging Loads
VM36 - Limit Moment Analysis
VM39 - Bending of a Circular Plate with a Center Hole
VM41 - Small Deflection of a Rigid Beam
VM44 - Bending of an Axisymmetric Thin Pipe Under Gravity Loading
VM53 - Vibration of a String Under Tension
VM59 - Lateral Vibration of an Axially Loaded Bar
VM63 - Static Hertz Contact Problem
VM78 - Transverse Shear Stresses in a Cantilever Beam
VM82 - Simply Supported Laminated Plate Under Pressure
VM127 - Buckling of a Bar with Hinged Ends
VM135 - Bending of a Beam on an Elastic Foundation
VM141 - Diametric Compression of a Disk
VM148 - Bending of a Parabolic Beam
VM183 - Harmonic Response of a Spring-Mass System
VM199 - Viscoplastic Analysis of a Body Undergoing Shear Deformation
VM201 - Rubber Cylinder Pressed Between Two Plates
VM206 - Stranded Coil with Voltage Excitation
VM211 - Rubber Cylinder Pressed Between Two Plates
VM216 - Lateral Buckling of a Right-Angle Frame

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.4. A Sample Static Analysis (Command or Batch Method) 		Up / Home Next
Chapter 3. Modal Analysis


Chapter 3. Modal Analysis

Use modal analysis to determine the vibration characteristics (natural frequencies and mode shapes) of a structure or a machine component while it is being designed. It can also serve as a starting point for another, more detailed, dynamic analysis, such as a transient dynamic analysis, a harmonic response analysis, or a spectrum analysis.

The following modal analysis topics are available:

  • Uses for Modal Analysis
  • Process Involved in a Modal Analysis
  • Building the Model for a Modal Analysis
  • Applying Loads and Obtain the Solution
  • Expanding the Modes
  • Reviewing the Results
  • A Sample Modal Analysis (GUI Method)
  • A Sample Modal Analysis (Command or Batch Method)
  • Where to Find Other Examples
  • Prestressed Modal Analysis
  • Prestressed Modal Analysis of a Large-Deflection Solution
  • Prestressed Modal in a Brake Squeal Analysis
  • Comparing Mode-Extraction Methods
  • Matrix Reduction
  • Residual Vector Method

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.5. Where to Find Other Examples 		Up / Home Next
3.1. Uses for Modal Analysis


3.1. Uses for Modal Analysis

You use modal analysis to determine the natural frequencies and mode shapes of a structure. The natural frequencies and mode shapes are important parameters in the design of a structure for dynamic loading conditions. They are also required if you want to do a spectrum analysis or a mode superposition harmonic or transient analysis.

You can do modal analysis on a prestressed structure, such as a spinning turbine blade. Another useful feature is modal cyclic symmetry, which allows you to review the mode shapes of a cyclically symmetric structure by modeling just a sector of it.

Modal analysis in the ANSYS family of products is a linear analysis. Any nonlinearities, such as plasticity and contact (gap) elements, are ignored even if they are defined. You can choose from several mode-extraction methods: Block Lanczos, subspace, PCG Lanczos, reduced, unsymmetric, damped, and QR damped. The damped and QR damped methods allow you to include damping in the structure. The QR Damped method also allows for unsymmetrical damping and stiffness matrices. Details about mode-extraction methods are covered later in this section.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 3. Modal Analysis 		Up / Home Next
3.2. Process Involved in a Modal Analysis


3.2. Process Involved in a Modal Analysis

The general process for a modal analysis consists of these primary steps:

  1. Build the model.

  2. Apply loads and obtain the solution.

  3. Expand the modes.

  4. Review the results.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.1. Uses for Modal Analysis 		Up / Home Next
3.3. Building the Model for a Modal Analysis


3.3. Building the Model for a Modal Analysis

When building your model with the intention of performing a modal analysis, the following conditions apply:

  • Only linear behavior is valid in a modal analysis.

    If you specify nonlinear elements, ANSYS treats them as linear. For example, if you include contact elements, their stiffnesses are calculated based on their initial status and never change.

  • Material properties can be linear, isotropic or orthotropic, and constant or temperature-dependent.

    Define both Young's modulus (EX) (or stiffness in some form) and density (DENS) (or mass in some form). ANSYS ignores nonlinear properties.

  • If applying element damping, define the required real constants for the specific element type (COMBIN7, COMBIN14, COMBIN37, and so on).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.2. Process Involved in a Modal Analysis 		Up / Home Next
3.4. Applying Loads and Obtain the Solution


3.4. Applying Loads and Obtain the Solution

In this step you define the analysis type and options, apply loads, specify load step options, and begin the finite element solution for the natural frequencies.

3.4.1. Enter the Solution Processor

  1. Enter the ANSYS solution processor.

    Command(s): /SOLU
    GUI: Main Menu> Solution

3.4.2. Define Analysis Type and Options

After you have entered the solution processor, you define the analysis type and analysis options. ANSYS offers the options listed in Table 3.1: "Analysis Types and Options" for a modal analysis. Each of the options is explained in detail below.

Table 3.1 Analysis Types and Options

Option | Command | GUI Path
New Analysis | ANTYPE | Main Menu> Solution> Analysis Type> New Analysis
Analysis Type: Modal (see Note below) | ANTYPE | Main Menu> Solution> Analysis Type> New Analysis> Modal
mode-extraction Method | MODOPT | Main Menu> Solution> Analysis Type> Analysis Options
Number of Modes to Extract | MODOPT | Main Menu> Solution> Analysis Type> Analysis Options
No. of Modes to Expand (see Note below) | MXPAND | Main Menu> Solution> Analysis Type> Analysis Options
Mass Matrix Formulation | LUMPM | Main Menu> Solution> Analysis Type> Analysis Options
Prestress Effects Calculation | PSTRES | Main Menu> Solution> Analysis Type> Analysis Options

Note

When you specify a modal analysis, a Solution menu that is appropriate for modal analyses appears. The Solution menu will be either “abridged” or “unabridged,” depending on the actions you took prior to this step in your ANSYS session. The abridged menu contains only those solution options that are valid and/or recommended for modal analyses. If you are on the abridged Solution menu and you want to access other solution options (that is, solution options that are valid for you to use, but their use may not be encouraged for this type of analysis), select the Unabridged Menu option. For details, see Using Abridged Solution Menus in the Basic Analysis Guide.

Note

In the single point response spectrum (SPOPT,SPRS) and Dynamic Design analysis method (SPOPT,DDAM), the modal expansion can be performed after the spectrum analysis, based on the significance factor SIGNIF on the MXPAND command. If you want to perform modal expansion after the spectrum analysis use MXPAND,-1.

3.4.2.1. Option: New Analysis (ANTYPE)

Choose New Analysis.

Note

Restarts are not valid in a modal analysis. If you need to apply different sets of boundary conditions, do a new analysis each time (or use the "partial solution" procedure described in "Solution" in the Basic Analysis Guide).

3.4.2.2. Option: Analysis Type: Modal (ANTYPE)

Use this option to specify a modal analysis.

3.4.2.3. Option: Mode-Extraction Method (MODOPT)

Choose one of the extraction methods listed below. (For more detailed information, see Comparing Mode-Extraction Methods.)

  • Block Lanczos method

    The Block Lanczos method is used for large symmetric eigenvalue problems. You can use this method for the same types of problems for which you use the subspace method, but you achieve a faster convergence rate. The Block Lanczos method uses the sparse matrix solver, overriding any solver specified via the EQSLV command.

  • PCG Lanczos method

    The PCG Lanczos method is used for very large symmetric eigenvalue problems (500,000+ DOFs), and is especially useful to obtain a solution for the lowest modes to learn how the model will behave. The PCG Lanczos method uses the PCG iterative solver and therefore has the same limitations (e.g., does not support superelements, Lagrange multiplier option on contact elements, mixed u-P formulation elements, etc.)

    The PCG Lanczos method works with the various Lev_Diff values on the PCGOPT command. This method also works with MSAVE to reduce memory usage.

    By default, the PCG Lanczos method does not perform a Sturm sequence check. However, internal heuristics have been developed to guard against missing modes. If a Sturm sequence check is absolutely necessary, it can be turned on using the PCGOPT command.

    The PCG Lanczos method is the only eigenvalue solver that is optimized to run in a distributed manner in Distributed ANSYS.

  • Subspace method

    The subspace method is used for large symmetric eigenvalue problems. Several solution controls are available to control the subspace iteration process.

    When doing a modal analysis with a large number of constraint equations, use the subspace method with the frontal solver instead of the JCG solver, or use the Block Lanczos or PCG Lanczos mode-extraction method.

  • Reduced (Householder) method

    The reduced method is faster than the subspace method because it uses reduced (condensed) system matrices to calculate the solution. However, it is less accurate because the reduced mass matrix is approximate. (See Comparing Mode-Extraction Methods.)

  • Unsymmetric method

    The unsymmetric method is used for problems with unsymmetric matrices, such as fluid-structure interaction problems.

  • Damped method

    The damped method is used for problems where damping cannot be ignored, such as bearing problems.

  • QR Damped method

    The QR damped method is faster and achieves better calculation efficiency than the damped method. It uses the reduced modal damped matrix to calculate complex damped frequencies in modal coordinates.

For most applications, you will use the Block Lanczos, PCG Lanczos, subspace, or reduced method. The unsymmetric, damped, and QR damped methods are meant for special applications.

When you specify a mode-extraction method, ANSYS automatically chooses the appropriate equation solver.

Note

The damped, unsymmetric, and QR damped methods are not available in the ANSYS Professional program.

3.4.2.4. Option: Number of Modes to Extract (MODOPT)

This option is required for all mode-extraction methods except the reduced method.

For the unsymmetric and damped methods, requesting a larger number of modes than necessary reduces the possibility of missed modes, but results in more solution time.

3.4.2.5. Option: Number of Modes to Expand (MXPAND)

This option is required for the reduced, unsymmetric, and damped methods only. However, if you want element results, you need to turn on the "Calculate elem results" option, regardless of the mode-extraction method. In the single point response spectrum (SPOPT,SPRS) and Dynamic Design analysis method (SPOPT,DDAM), the modal expansion can be performed after the spectrum analysis, based on the significance factor SIGNIF on the MXPAND command. If you want to perform modal expansion after the spectrum analysis use MXPAND,-1. If you want the mode shapes normalized to unity for the Block Lanczos, PCG Lanczos, or subspace methods, you will need to expand the modes as well.

In Distributed ANSYS, you must use the MXPAND command at the same time that the mode and mode shapes are computed if you want to expand the modes. In a Distributed ANSYS run, MXPAND is not supported during an expansion pass (EXPASS).

3.4.2.6. Option: Mass Matrix Formulation (LUMPM)

Use this option to specify the default formulation (which is element-dependent) or lumped mass approximation. We recommend the default formulation for most applications. However, for some problems involving "skinny" structures such as slender beams or very thin shells, the lumped mass approximation often yields better results. Also, the lumped mass approximation can result in a shorter run time and lower memory requirements.

3.4.2.7. Option: Prestress Effects Calculation (PSTRES)

Use this option to calculate the modes of a prestressed structure. By default, no prestress effects are included; that is, the structure is assumed to be stress-free. To include prestress effects, element files from a previous static (or transient) analysis must be available; see Prestressed Modal Analysis. If prestress effects are turned on, the lumped mass setting [LUMPM] in this and subsequent solutions must be the same as it was in the prestress static analysis.

Note

You can use only axisymmetric loads for prestressing harmonic elements such as PLANE25 and SHELL61.

3.4.2.8. Additional Modal Analysis Options

After you complete the fields on the Modal Analysis Options dialog box, click OK. A dialog box specific to the selected extraction method appears. You see some combination of the following fields: FREQB, FREQE, PRMODE, Nrmkey, RIGID, SUBOPT. Refer to the MODOPT and RIGID command descriptions for the meaning of these fields.

3.4.3. Define Master Degrees of Freedom

In a modal analysis, you also need to define master degrees of freedom. These are required only for the reduced mode-extraction method.

Master degrees of freedom (MDOF) are significant degrees of freedom that characterize the dynamic behavior of the structure. You should choose at least twice as many MDOF as the number of modes of interest. We recommend that you define as many MDOF as you can based on your knowledge of the dynamic characteristics of the structure [M,MGEN], and also let the program choose a few additional masters based on stiffness-to-mass ratios [TOTAL]. You can list the defined MDOF [MLIST], and delete extraneous MDOF [MDELE]. For more details about master degrees of freedom, see Matrix Reduction.

Command(s): | M
GUI: | Main Menu> Solution> Master DOFs> User Selected> Define

3.4.4. Apply Loads

After defining master degrees of freedom, apply loads on the model. The only "loads" valid in a typical modal analysis are zero-value displacement constraints. (If you input a nonzero displacement constraint, the program assigns a zero-value constraint to that DOF instead.) Other loads can be specified, but are ignored (see Note below). For directions in which no constraints are specified, the program calculates rigid-body (zero-frequency) as well as higher (nonzero frequency) free body modes. Table 3.2: "Loads Applicable in a Modal Analysis" shows the commands to apply displacement constraints. Notice that you can apply them either on the solid model (keypoints, lines, and areas) or on the finite element model (nodes and elements). For a general discussion of solid-model loads versus finite-element loads, see "Loading" in the Basic Analysis Guide.

Note

Other loads - forces, pressures, temperatures, accelerations, and so on - can be specified in a modal analysis, but they are ignored for the mode-extraction. However, the program will calculate a load vector and write it to the mode shape file (Jobname.MODE) so that it can be used in a subsequent mode-superposition harmonic or transient analysis.

Table 3.2 Loads Applicable in a Modal Analysis

Load Type | Category | Cmd Family | GUI Path
Displacement (UX, UY, UZ, ROTX, ROTY, ROTZ) | Constraints | D | Main Menu> Solution> Define Loads> Apply> Structural> Displacement

In an analysis, loads can be applied, removed, operated on, or listed.

3.4.4.1. Applying Loads Using Commands

Table 3.3: "Load Commands for a Modal Analysis" lists all the commands you can use to apply loads in a modal analysis.

Table 3.3 Load Commands for a Modal Analysis

Load Type | Solid Model or FE | Entity | Apply | Delete | List | Operate | Apply Settings
Displacement | Solid Model | Keypoints | DK | DKDELE | DKLIST | DTRAN | -
 | Solid Model | Lines | DL | DLDELE | DLLIST | DTRAN | -
 | Solid Model | Areas | DA | DADELE | DALIST | DTRAN | -
 | Finite Elem | Nodes | D | DDELE | DLIST | DSCALE | DSYM, DCUM

3.4.4.2. Applying Loads Using the GUI

All loading operations (except List; see Listing Loads) are accessed through a series of cascading menus. From the Solution menu, you select the operation (apply, delete, and so on), then the load type (displacement, force, and so on), and then the object to which you are applying the load (keypoint, line, node, and so on).

For example, to apply a displacement load to a line, follow this GUI path:

GUI:

Main Menu> Solution> Define Loads> Apply> Structural> Displacement> On lines

3.4.4.3. Listing Loads

To list existing loads, follow this GUI path:

GUI:

Utility Menu> List>Loads> load type

3.4.5. Specify Load Step Options

The only load step options available for a modal analysis are damping options.

Table 3.4 Load Step Options

Option | Command
Damping (Dynamics) Options
Alpha (mass) Damping | ALPHAD
Beta (stiffness) Damping | BETAD
Material-Dependent Damping Ratio | MP,DAMP
Element Damping (applied via element real constant) | R
Constant Material Damping Coefficient | MP,DMPR

Damping is valid only for the damped and QR damped mode-extraction methods. Damping is ignored for the other mode-extraction methods; see the Note below.

If you include damping and specify the damped mode-extraction method, the calculated eigenvalues and eigenvectors are complex. If you include damping and specify the QR damped mode-extraction method, the eigenvalues are complex. However, the real eigenvectors are used for the mode superposition analysis. See Comparing Mode-Extraction Methods for details. Also see the section Damping in "Transient Dynamic Analysis" for more information on damping.

Only the QR damped method supports the constant material damping coefficient application in a downstream mode superposition harmonic analysis. The QR damped eigen analysis itself, however, does not include the effect of the constant material damping coefficient. The corresponding modal damping matrix is formulated during modal harmonic analysis.

Note

Damping can be specified in a non-damped modal analysis if a single-point response spectrum analysis is to follow the modal analysis. Although the damping does not affect the eigenvalue solution, it is used to calculate an effective damping ratio for each mode, which is then used to calculate the response to the spectrum. Spectrum analyses are discussed in "Spectrum Analysis".

3.4.6. Participation Factor Table Output

The participation factor table lists participation factors, mode coefficients, and mass distribution percentages for each mode extracted. The participation factors and mode coefficients are calculated based on an assumed unit displacement spectrum in each of the global Cartesian directions and rotation about each of these axes. The reduced mass distribution is also listed. Rotational participation factors will be calculated when a real eigensolver mode-extraction method (such as Block Lanczos, subspace, or QRDAMP) is used.

Note

You can retrieve a participation factor or mode coefficient by issuing a *GET command. The factor or coefficient is valid for the excitation (assumed unit displacement spectrum) directed along the last of the applicable coordinates (rotation about the Z axis for a 3-D analysis). To retrieve a participation factor or mode coefficient for another direction, perform a spectrum analysis with the excitation set (SED) to the desired direction, then issue another *GET command.

3.4.7. Solve

Before you solve, you should save (SAVE) a back-up copy of the database to a named file. You can then retrieve your model by reentering the ANSYS program and issuing RESUME.

Now start the solution calculations.

Command(s): | SOLVE
GUI: | Main Menu> Solution> Solve> Current LS

3.4.7.1. Output

The output from the solution consists mainly of the natural frequencies, which are printed as part of the printed output (Jobname.OUT) and also written to the mode shape file (Jobname.MODE). The printed output may include reduced mode shapes and the participation factor table, depending on your analysis options and output controls. No mode shapes are written to the database or to the results file, so you cannot postprocess the results yet. To do this, you need to expand the modes (explained next).

3.4.7.1.1. Output From Subspace Mode-Extraction Method

If you use the subspace mode-extraction method, you might see the following warning in the solution printout: "STURM number = n should be m," where n and m are integer numbers. This indicates that a mode has been missed, or that the mthand nth mode gave the same frequencies and only m modes were requested.

There are two methods that you can use to investigate the missed mode: use more iteration vectors, or change the shift point used in the eigenvalue extraction. Both methods are briefly described below. (See the Theory Reference for ANSYS and ANSYS Workbench for more information.)

To use more iteration vectors, you can issue the SUBOPT,,NPAD command. If you prefer to use the GUI to adjust the number of iteration vectors, follow these steps:

  1. Choose menu path Main Menu> Solution> Analysis Type> Analysis Options. The Modal Analysis dialog box appears.

  2. Choose “Subspace” as the mode-extraction method and specify the number of modes to extract; then click OK. The Subspace Modal Analysis dialog box appears.

  3. Change the value of the NPAD field and click OK.

To change the shift point that was used in the eigenvalue extraction, you can issue the MODOPT,,,FREQB command. If you prefer to use the GUI to change the shift point, follow these steps:

  1. Choose menu path Main Menu> Solution> Analysis Type> Analysis Options. The Modal Analysis dialog box appears.

  2. Choose “Subspace” as the mode-extraction method and specify the number of modes to extract; then click OK. The Subspace Modal Analysis dialog box appears.

  3. Change the value of the FREQB field and click OK.

If you use the damped mode-extraction method, the eigenvalues and eigenvectors are complex. The imaginary part of the eigenvalue represents the natural frequency, and the real part is a measure of the stability of the system. If you use the QR damped mode-extraction method, the eigenvalues are complex. However, the real eigenvectors are used for the mode superposition analysis.

3.4.8. Exit the Solution Processor

You must now exit the solution processor.

Command(s): | FINISH
GUI: | Main Menu> Finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.3. Building the Model for a Modal Analysis 		Up / Home Next
3.5. Expanding the Modes


3.5. Expanding the Modes

In its strictest sense, the term "expansion" means expanding the reduced solution to the full DOF set. The "reduced solution" is usually in terms of master DOF. In a modal analysis, however, the term "expansion" means writing mode shapes to the results file. That is, "expanding the modes" applies not just to reduced mode shapes from the reduced mode-extraction method, but to full mode shapes from the other mode-extraction methods as well. Thus, if you want to review mode shapes in the postprocessor, you must expand them (that is, write them to the results file).

Note

The full extraction methods also write the mode shapes to the results file by default during the modal analysis irrespective of the MXPAND command. To not write the mode shapes with MODOPT,LANB only, use MXPAND,-1.

Expanded modes are also required for subsequent spectrum analyses. In the single point response spectrum (SPOPT,SPRS) and dynamic design analysis method (SPOPT,DDAM), the modal expansion can be performed after the spectrum analysis, based on the significance factor SIGNIF on the MXPAND command. If you want to perform modal expansion after the spectrum analysis use MXPAND,-1. No expansion is necessary for subsequent mode superposition analyses.

3.5.1. File and Database Requirements

The mode shape file (Jobname.MODE), and the Jobname.EMAT, Jobname.ESAV, and Jobname.TRI (if reduced method) files must be available.

The database must contain the same model for which the modal solution was calculated.

3.5.2. Expanding the Modes

  1. Reenter the ANSYS solution processor.

    Command(s): /SOLU
    GUI: Main Menu> Solution

    Note

    You must explicitly leave SOLUTION (using the FINISH command) and reenter (/SOLU) before performing the expansion pass.

  2. Activate the expansion pass and its options. ANSYS offers these options for the expansion pass:

    Table 3.5 Expansion Pass Options

    Option | Command | GUI Path
    Expansion Pass On/Off | EXPASS | Main Menu> Solution> Analysis Type> ExpansionPass
    No. of Modes to Expand | MXPAND | Main Menu> Solution> Load Step Opts> ExpansionPass> Single Expand> Expand Modes
    Freq. Range for Expansion | MXPAND | Main Menu> Solution> Load Step Opts> ExpansionPass> Single Expand> Expand Modes
    Stress Calc. On/Off | MXPAND | Main Menu> Solution> Load Step Opts> ExpansionPass> Single Expand> Expand Modes

    Each of these options is explained in detail below.

    Expansion Pass On/Off [EXPASS]

    Choose ON.

    EXPASS is not valid in a Distributed ANSYS analysis.

    Number of Modes to Expand [MXPAND, NMODE]

    Specify the number. Remember that only expanded modes can be reviewed in the postprocessor. Default is no modes expanded.

    Frequency Range for Expansion [MXPAND,, FREQB, FREQE]

    This is another way to control the number of modes expanded. If you specify a frequency range, only modes within that range are expanded.

    Stress Calculations On/Off [MXPAND,,,, Elcalc]

    Choose ON only if you plan to do a subsequent spectrum analysis and are interested in stresses or forces to do the spectrum. "Stresses" from a modal analysis do not represent actual stresses in the structure, but give you an idea of the relative stress distributions for each mode. Default is no stresses calculated.

    In a Distributed ANSYS analysis, you must use the MXPAND command at the same time that the mode and mode shapes are computed if you want to expand the modes. In a Distributed ANSYS run, MXPAND is not supported during an expansion pass (EXPASS).

  3. Specify load step options. The only options valid in a modal expansion pass are output controls:

    • Printed output

      Use this option to include any results data (expanded mode shapes, stresses, and forces) on the printed output file (Jobname.OUT).

      Command(s): OUTPR
      GUI: Main Menu> Solution> Load Step Opts> Output Ctrls> Solu Printout

    • Database and results file output

      Use this option to control the data on the results file (Jobname.RST). The FREQ field on OUTRES can be only ALL or NONE; that is, the data are written for all modes or no modes. For example, you cannot write information for every other mode.

      Command(s): OUTRES
      GUI: Main Menu> Solution> Load Step Opts> Output Ctrls> DB/Results File

  4. Start expansion pass calculations.

    The output consists of expanded mode shapes and, if requested, relative stress distributions for each mode.

    Command(s): SOLVE
    GUI: Main Menu> Solution> Solve> Current LS

  5. Repeat steps 2, 3, and 4 for additional modes to be expanded (in different frequency ranges, for example). Each expansion pass is stored as a separate load step on the results file.

    Caution

    Spectrum analyses expect all expanded modes to be in one load step. In the single point response spectrum (SPOPT,SPRS) and Dynamic Design analysis method (SPOPT,DDAM), the modal expansion can be performed after the spectrum analysis, based on the significance factor SIGNIF on the MXPAND command. If you want to perform modal expansion after the spectrum analysis use MXPAND,-1..

  6. Leave SOLUTION. You can now review results in the postprocessor.

    Command(s): FINISH
    GUI: Close the Solution menu.

Note

The expansion pass has been presented here as a separate step. However, if you include the MXPAND command in the modal solution step, the program not only extracts the eigenvalues and eigenvectors, but also expands the specified mode shapes.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.4. Applying Loads and Obtain the Solution 		Up / Home Next
3.6. Reviewing the Results


3.6. Reviewing the Results

Results from a modal analysis (that is, the modal expansion pass) are written to the structural results file, Jobname.RST. Results consist of:

  • Natural frequencies

  • Expanded mode shapes

  • Relative stress and force distributions (if requested).

You can review these results in POST1 [/POST1], the general postprocessor. Some typical postprocessing operations for a modal analysis are described below. For a complete description of all postprocessing functions, see "An Overview of Postprocessing" in the Basic Analysis Guide.

3.6.1. Points to Remember

  • If you want to review results in POST1, the database must contain the same model for which the solution was calculated.

  • The results file (Jobname.RST) must be available.

3.6.2. Reviewing Results Data

  1. Read in results data from the appropriate substep. Each mode is stored on the results file as a separate substep. If you expand six modes, for instance, your results file will have one load step consisting of six substeps.

    Command(s): SET,SBSTEP
    GUI: Main Menu> General Postproc> Read Results> substep

  2. Perform any desired POST1 operations. Typical modal analysis POST1 operations are explained below:

3.6.3. Option: Listing All Frequencies

You may want to list the frequencies of all modes expanded. A sample output from this command is shown below.

  *****  INDEX OF DATA SETS ON RESULTS FILE  *****
   SET   TIME/FREQ    LOAD STEP   SUBSTEP  CUMULATIVE
     1  22.973             1         1         1
     2  40.476             1         2         2
     3  78.082             1         3         3
     4  188.34             1         4         4
Command(s): | SET,LIST
GUI: | Main Menu> General Postproc> List Results

3.6.4. Option: Display Deformed Shape

Command(s): | PLDISP
GUI: | Main Menu> General Postproc> Plot Results> Deformed Shape

Use the KUND field on PLDISP to overlay the nondeformed shape on the display.

3.6.5. Option: List Master DOF

Command(s): | MLIST,ALL
GUI: | Main Menu> Solution> Master DOFs> User Selected> List All

Note

To display the master DOFs graphically, plot the nodes (Utility Menu> Plot> Nodes or command NLIST).

3.6.6. Option: Line Element Results

Command(s): | ETABLE
GUI: | Main Menu> General Postproc> Element Table> Define Table

For line elements, such as beams, spars, and pipes, use the ETABLE command to access derived data (stresses, strains, and so on). Results data are identified by a combination of a label and a sequence number or component name on the ETABLE command. See the ETABLE discussion in The General Postprocessor (POST1) in the Basic Analysis Guide for details.

3.6.7. Option: Contour Displays

Command(s): | PLNSOL or PLESOL
GUI: | Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu or Element Solu

Use these options to contour almost any result item, such as stresses (SX, SY, SZ...), strains (EPELX, EPELY, EPELZ...), and displacements (UX, UY, UZ...).

The KUND field on PLNSOL and PLESOL gives you the option of overlaying the nondeformed shape on the display.

You can also contour element table data and line element data:

Command(s): | PLETAB, PLLS
GUI: | Main Menu> General Postproc> Element Table> Plot Element Table Main Menu> General Postproc> Plot Results> Contour Plot> Line Elem Res

Caution

Derived data, such as stresses and strains, are averaged at the nodes by the PLNSOL command. This averaging results in "smeared" values at nodes where elements of different materials, different shell thicknesses, or other discontinuities meet. To avoid the smearing effect, use selecting (described in "Selecting and Components" in the Basic Analysis Guide) to select elements of the same material, same shell thickness, and so on before issuing PLNSOL.

3.6.8. Option: Tabular Listings

Command(s): | PRNSOL (nodal results) PRESOL (element-by-element results) PRRSOL (reaction data), and so on NSORT, ESORT
GUI: | Main Menu> General Postproc> List Results> solution option Main Menu> General Postproc> List Results> Sorted Listing> Sort Nodes Main Menu> General Postproc> List Results> Sorted Listing> Sort Elems

Use the NSORT and ESORT commands to sort the data before listing them.

3.6.9. Other Capabilities

Many other postprocessing functions - mapping results onto a path, load case combinations, and so on - are available in POST1. See The General Postprocessor (POST1) in the Basic Analysis Guide for details.

See the Commands Reference for a discussion of the ANTYPE, MODOPT, M, TOTAL, EXPASS, MXPAND, SET, and PLDISP commands.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.5. Expanding the Modes 		Up / Home Next
3.7. A Sample Modal Analysis (GUI Method)


3.7. A Sample Modal Analysis (GUI Method)

In this example, you perform a modal analysis on the wing of a model plane to demonstrate the wing's modal degrees of freedom.

3.7.1. Problem Description

This is a modal analysis of a wing of a model plane. The wing is of uniform configuration along its length, and its cross-sectional area is defined to be a straight line and a spline, as shown. It is held fixed to the body on one end and hangs freely at the other. The objective of the problem is to demonstrate the wing's modal degrees of freedom.

3.7.2. Problem Specifications

The dimensions of the wing are shown in the problem sketch. The wing is made of low density polyethylene with the following values:

Young's modulus = 38x103 psi
Poisson's ratio = .3
Density = 8.3e-5 lb-sec2/in4

3.7.3. Problem Sketch

Figure 3.1 Diagram of a Model Airplane Wing

The detailed step-by-step procedure for this example, Modal Analysis of a Model Airplane Wing, is included in the Modal Tutorial.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.6. Reviewing the Results 		Up / Home Next
3.8. A Sample Modal Analysis (Command or Batch Method)


3.8. A Sample Modal Analysis (Command or Batch Method)

You can perform the example modal analysis of a model airplane wing using the ANSYS commands shown below instead of GUI choices. Items prefaced with an exclamation point (!) are comments.

You may receive warning messages when you run this problem. The version of the problem that appears in the Modal Tutorial contains an explanation of the warnings.

/FILNAM,MODAL
/TITLE,Modal Analysis of a Model Airplane Wing

/PREP7
ET,1,PLANE42               ! Define PLANE42 as element type 1
ET,2,SOLID45               ! Define SOLID45 as element type 2
MP,EX,1,38000
MP,DENS,1,8.3E-5
MP,NUXY,1,.3
K,1                        ! Define keypoint 1 at 0,0,0
K,2,2                      ! Define keypoint 2 at 2,0,0
K,3,2.3,.2                 ! Define keypoint 3 at 2.3,.2,0
K,4,1.9,.45                ! Define keypoint 4 at 1.9,.45,0
K,5,1,.25                  ! Define keypoint 5 at 1,.25,0
LSTR,1,2                   ! Create a straight line between keypoints 1 and 2
LSTR,5,1                   ! Create a straight line between keypoints 5 and 1
BSPLIN,2,3,4,5,,,-1,,,-1,-.25   ! Create a B-spline
AL,1,3,2
ESIZE,.25
AMESH,1
ESIZE,,10
TYPE,2
VEXT,ALL,,,,,10
/VIEW,,1,1,1
/ANG,1
/REP
EPLOT
FINISH

/SOLU
ANTYPE,MODAL          ! Choose modal analysis type
MODOPT,SUBSP,5        ! Choose the subspace mode-extraction method,
                      ! extracting 5 modes
ESEL,U,TYPE,,1        ! Unselect element type 1
NSEL,S,LOC,Z,0
D,ALL,ALL
NSEL,ALL
MXPAND,5
SOLVE
FINISH

/POST1
SET,LIST,2
SET,FIRST
PLDISP,0
ANMODE,10,.5E-1
SET,NEXT
PLDISP,0
ANMODE,10,.5E-1
SET,NEXT
PLDISP,0
ANMODE,10,.5E-1
SET,NEXT
PLDISP,0
ANMODE,10,.5E-1
SET,NEXT
PLDISP,0
ANMODE,10,.5E-1
FINISH
/EXIT

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.7. A Sample Modal Analysis (GUI Method) 		Up / Home Next
3.9. Where to Find Other Examples


3.9. Where to Find Other Examples

Several ANSYS publications, particularly the Verification Manual, describe additional modal analyses.

The Verification Manual consists of test case analyses demonstrating the analysis capabilities of the ANSYS family of products. While these test cases demonstrate solutions to realistic analysis problems, the Verification Manual does not present them as step-by-step examples with lengthy data input instructions and printouts. However, most ANSYS users who have at least limited finite element experience should be able to fill in the missing details by reviewing each test case's finite element model and input data with accompanying comments.

The Verification Manual includes variety of modal analysis test cases:

VM45 - Natural Frequency of a Spring-mass System
VM47 - Torsional Frequency of a Suspended Disk
VM48 - Natural Frequency of a Motor-generator
VM50 - Fundamental Frequency of a Simply Supported Beam
VM52 - Automobile Suspension System Vibrations
VM53 - Vibration of a String Under Tension
VM54 - Vibration of a Rotating Cantilever Blade
VM55 - Vibration of a Stretched Circular Membrane
VM57 - Torsional Frequencies of a Drill Pipe
VM59 - Lateral Vibration of an Axially-loaded Bar
VM60 - Natural Frequency of a Cross-ply Laminated Spherical Shell
VM61 - Longitudinal Vibration of a Free-free Rod
VM62 - Vibration of a Wedge
VM66 - Vibration of a Flat Plate
VM67 - Radial Vibrations of a Circular Ring from an Axisymmetric Model
VM68 - PSD Response of a Two DOF Spring-mass System
VM69 - Seismic Response
VM70 - Seismic Response of a Beam Structure
VM76 - Harmonic Response of a Guitar String
VM89 - Natural Frequencies of a Two-mass-spring System
VM151 - Nonaxisymmetric Vibration of a Circular Plate
VM152 - Nonaxisymmetric Vibration of a Stretched Circular Membrane (Harmonic Els)
VM153 - Nonaxisymmetric Vibration of a Stretched Circular Membrane (Modal)
VM154 - Vibration of a Fluid Coupling
VM175 - Natural Frequency of a Piezoelectric Transducer
VM181 - Natural Frequency of a Flat Circular Plate with a Clamped Edge
VM182 - Transient Response of a Spring-mass System
VM183 - Harmonic Response of a Spring-mass System
VM202 - Transverse Vibrations of a Shear Beam
VM203 - Dynamic Load Effect on Simply-supported Thick Square Plate
VM212 - Modal Analysis of a Rectangular Cavity

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.8. A Sample Modal Analysis (Command or Batch Method) 		Up / Home Next
3.10. Prestressed Modal Analysis


3.10. Prestressed Modal Analysis

Use a prestressed modal analysis to calculate the frequencies and mode shapes of a prestressed structure, such as a spinning turbine blade. The procedure to do a prestressed modal analysis is essentially the same as a regular modal analysis, except that you first need to prestress the structure by doing a static analysis:

  1. Build the model and obtain a static solution with prestress effects turned on [PSTRES,ON]. The same lumped mass setting [LUMPM] used here must also be used in the later prestress modal analysis. "Structural Static Analysis" describes the procedure to obtain a static solution. Use EMATWRITE, YES if you want to look at strain energies from the modal analysis.

  2. Reenter SOLUTION and obtain the modal solution, also with prestress effects turned on (reissue PSTRES,ON). Files Jobname.EMAT (if ANSYS creates it) and Jobname.ESAV from the static analysis must be available. Hence, if another analysis is performed between the static and prestressed modal analyses, the static analysis will need to be rerun. If the model is spinning, include spin-softening effects (via the OMEGA command's KSPIN option) if necessary.

  3. Expand the modes and review them in the postprocessor.

Step 1 above can also be a transient analysis. In such a case, save the EMAT and ESAV files at the desired time point.

If the deformed shape from the static solution differs significantly from its nondeformed shape, you can perform a prestressed modal analysis of a large-deflection solution instead.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.9. Where to Find Other Examples 		Up / Home Next
3.11. Prestressed Modal Analysis of a Large-Deflection Solution


3.11. Prestressed Modal Analysis of a Large-Deflection Solution

You can also perform a prestressed modal analysis following a large deflection (NLGEOM,ON) static analysis in order to calculate the frequencies and mode shapes of a highly deformed structure. Use the prestressed modal analysis procedure, but use the PSOLVE command (rather than the SOLVE command) to obtain the modal solution, as shown in the sample input listing below.

Along with the PSOLVE command, you must issue the UPCOORD command to update the coordinates necessary for obtaining the correct stresses.

This procedure uses the element matrices and element load vectors (for example, from pressures, temperature or acceleration loads) from a previous static analysis. These loads will be passed through to a subsequent mode superposition analysis if specified (LVSCALE command).

Prestress must be applied (PSTRES,ON) during the static portion of the analysis. However, in cases where stress-stiffening helps convergence:

  • Stress-stiffening (SSTIF,ON) must be applied instead. (This requirement applies to elements outside of the 18x family of elements only.)

  • The EMATWRITE,YES command is also necessary to write the element matrices to File.EMAT.

Issuing either a PSTRES,OFF or SSTIF,OFF command prevents all previously specified prestressing from being applied.

If the model is spinning, include spin-softening effects (via the OMEGA command's KSPIN option) in the modal solution if necessary.

! Initial, large deflection static analysis
!
/PREP7
...
FINISH
/SOLU
ANTYPE,STATIC          ! Static analysis
NLGEOM,ON              ! Large deflection analysis
PSTRES,ON              ! Flag to calculate the prestress matrix
...
SOLVE
FINISH
!
! Prestressed modal analysis
!
/SOLU
ANTYPE,MODAL       ! Modal analysis
UPCOORD,1.0,ON     ! Display mode shapes relative to deformed geometry
                   !   in the postprocessor.
PSTRES,ON          ! Prestress effects ON
MODOPT,...         ! Select eigensolver
MXPAND,...         ! Specify the number of modes to expand, if desired.
PSOLVE,EIGxxxx     ! Calculate the eigenvalues and eigenvectors.
                   !  Use EIGLANB or EIGFULL to match MODOPT command.
FINISH
/SOLU              !Additional solution step for expansion.
EXPASS,ON
PSOLVE,EIGEXP      ! Expand the eigenvector solution. (Required if you
                   !   want to review mode shapes in the postprocessor.)
FINISH

Note

You may also use one of the other eigensolvers (PSOLVE,EIGSYM, PSOLVE,EIGUNSYM, PSOLVE,EIGDAMP or PSOLVE,EIGREDUC). See the PSOLVE documentation for details on when a PSOLVE,TRIANG command must precede some PSOLVE,EIGxxx commands.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.10. Prestressed Modal Analysis 		Up / Home Next
3.12. Prestressed Modal in a Brake Squeal Analysis


3.12. Prestressed Modal in a Brake Squeal Analysis

Automobile disc brakes can generate several kinds of noises. Among them is a squeal, a noise in the 1-12kHz range. It is commonly accepted that brake squeal is initiated by instability due to the friction forces leading to self-excited vibrations. The instability is often referred to as a geometrically-induced or kinematic constraint.

To predict the onset of instability, perform a modal analysis of the prestressed structure. A non-symmetric stiffness matrix is a result of the friction coupling and may lead to complex eigenfrequencies. If the real part of the complex frequency is positive, then the system is unstable as the vibrations grow exponentially over time.

Use the finite element analysis method illustrated by the following example:

/prep7
!
! Create the brake model and apply force normal to contact surface to
! simulate contact pressure between brake pad and disc
!
…
…
!
fini
!
/solu
!
! Non-linear prestress static analysis
!
antype,static
pstres,on
nlgeom,on
nropt,unsym
ematwrite,yes
solve
!
! Pseudo rotation of disc and contact elements
! (this step generates the non-symmetric [K] in contact elements)
!
! Create an element component (for example, BrakeCM) consisting of brake
! pad and contact element
…
…
!
cmrot, BrakeCM, ROTATX, ROTATY, ROTATZ
nsub, 1
solve
fini
!
/solu
/solu
antype,modal
!
! Use QR damp eigensolver
!
modopt,qrdamp
pstres,on
psolve,eigqrda
solve
fini

For further information, see "Surface-to-Surface Contact" in the Contact Technology Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.11. Prestressed Modal Analysis of a Large-Deflection Solution 		Up / Home Next
3.13. Comparing Mode-Extraction Methods


3.13. Comparing Mode-Extraction Methods

The basic equation solved in a typical undamped modal analysis is the classical eigenvalue problem:

where:

[K] = stiffness matrix
{Φi} = mode shape vector (eigenvector) of mode i
Ωi = natural circular frequency of mode i ( [image] is the eigenvalue)
[M] = mass matrix

Many numerical methods are available to solve the above equation. ANSYS offers these methods:

  • Block Lanczos method

  • PCG Lanczos method

  • Subspace method

  • Reduced (Householder) method

  • Unsymmetric method

  • Damped method (The damped method solves a different equation; see the Theory Reference for ANSYS and ANSYS Workbench for more information.)

  • QR damped method (The QR damped method solves a different equation; see the Theory Reference for ANSYS and ANSYS Workbench for more information.)

Note

The damped, unsymmetric, and QR damped methods are not available in the ANSYS Professional program.

The first four methods (Block Lanczos, PCG Lanczos, subspace, and reduced) are the most commonly used. Table 3.6: "Symmetric System Eigensolver Choices" compares these four mode-extraction methods. Following the table is a brief description of each mode-extraction method.

Table 3.6 Symmetric System Eigensolver Choices

Eigensolver | Application | Memory Required | Disk Required
Block Lanczos | To find many modes (about 40+) of large models. Recommended when the model consists of poorly shaped solid and shell elements. This solver performs well when the model consists of shells or a combination of shells and solids. Works faster but requires about 50% more memory than subspace. | Medium | Low
PCG Lanczos | To find few modes (up to about 100) of very large models (500,000+ DOFs). This solver performs well when the lowest modes are sought for models that are dominated by well-shaped 3-D solid elements (i.e., models that would typically be good candidates for the PCG iterative solver for a similar static or full transient analysis). | Medium | Low
Subspace | To find few modes (up to about 40) of large models. Recommended when the model consists of well-shaped solid and shell elements. Works well if memory availability is limited. | Low | High
Reduced | To find all modes of small to medium models (less than 10K DOF). Can be used to find few modes (up to about 40) of large models with proper selection of master DOF, but accuracy of frequencies depends on the master DOF selected. | Low | Low

3.13.1. Block Lanczos Method

The Block Lanczos eigenvalue solver uses the Lanczos algorithm where the Lanczos recursion is performed with a block of vectors. This method is as accurate as the subspace method, but faster. The Block Lanczos method uses the sparse matrix solver, overriding any solver specified via the EQSLV command.

The Block Lanczos method is especially powerful when searching for eigenfrequencies in a given part of the eigenvalue spectrum of a given system. The convergence rate of the eigenfrequencies will be about the same when extracting modes in the midrange and higher end of the spectrum as when extracting the lowest modes. Therefore, when you use a shift frequency (FREQB) to extract n modes beyond the starting value of FREQB, the algorithm extracts the n modes beyond FREQB at about the same speed as it extracts the lowest n modes.

3.13.2. PCG Lanczos Method

The PCG Lanczos method internally uses the Lanczos algorithm, combined with the PCG iterative solver. This method will be significantly faster than either the subspace or the Block Lanczos methods for the following cases:

  • Large models that are dominated by 3-D solid elements and do not have ill-conditioned matrices due, for example, to poorly shaped elements

  • Only a few of the lowest modes are requested

Having ill-conditioned matrices or asking for many modes (e.g., more than 100 modes) can lead to an inefficient solution time with this method.

The PCG Lanczos method finds only the lowest eigenvalues. If a range of eigenfrequencies is requested on the MODOPT command, the PCG Lanczos method will find all of the eigenfrequencies below the lower value of the eigenfrequency range as well as the number of requested eigenfrequencies in the given eigenfrequency range. Thus the PCG Lanczos method is not recommended for problems when the lower value of the input eigenfrequency range is far from zero.

The PCG Lanczos method is the only eigenvalue solver that is optimized to run in a distributed manner in Distributed ANSYS.

3.13.3. Subspace Method

The subspace method uses the subspace iteration technique, which internally uses the generalized Jacobi iteration algorithm. It is highly accurate because it uses the full [K] and [M] matrices. For the same reason, however, the subspace method is slower than the reduced method. This method is typically used in cases where high accuracy is required or where selecting master DOF is not practical.

When doing a modal analysis with a large number of constraint equations, use the subspace method with the frontal solver instead of the JCG solver, or use the Block Lanczos mode-extraction method. Using the JCG solver when your analysis has many constraint equations could result in an internal element stiffness assembly that requires large amounts of memory.

3.13.4. Reduced Method

The reduced method uses the HBI algorithm (Householder-Bisection-Inverse iteration) to calculate the eigenvalues and eigenvectors. It is relatively fast because it works with a small subset of degrees of freedom called master DOF. Using master DOF leads to an exact [K] matrix but an approximate [M] matrix (usually with some loss in mass). The accuracy of the results, therefore, depends on how well [M] is approximated, which in turn depends on the number and location of masters. Matrix Reduction presents guidelines to select master DOFs.

3.13.5. Unsymmetric Method

The unsymmetric method, which also uses the full [K] and [M] matrices, is meant for problems where the stiffness and mass matrices are unsymmetric (for example, acoustic fluid-structure interaction problems). It uses the Lanczos algorithm which calculates complex eigenvalues and eigenvectors if the system is non-conservative (for example, a shaft mounted on bearings). The real part of the eigenvalue represents the natural frequency and the imaginary part is a measure of the stability of the system - a negative value means the system is stable, whereas a positive value means the system is unstable. Sturm sequence checking is not available for this method. Therefore, missed modes are a possibility at the higher end of the frequencies extracted.

3.13.6. Damped Method

The damped method (MODOPT,DAMP) is meant for problems where damping cannot be ignored, such as rotor dynamics applications. It uses full matrices ([K], [M], and the damping matrix [C]). It uses the Lanczos algorithm and calculates complex eigenvalues and eigenvectors (as described below). Sturm sequence checking is not available for this method. Therefore, missed modes are a possibility at the higher end of the frequencies extracted.

3.13.6.1. Damped Method-Real and Imaginary Parts of the Eigenvalue

The imaginary part of the eigenvalue, Ω, represents the steady-state circular frequency of the system. The real part of the eigenvalue, σ, represents the stability of the system. If σ is less than zero, then the displacement amplitude will decay exponentially, in accordance with EXP(σ). If σ is greater than zero, then the amplitude will increase exponentially. (Or, in other words, negative σ gives an exponentially decreasing, or stable, response; and positive σ gives an exponentially increasing, or unstable, response.) If there is no damping, the real component of the eigenvalue will be zero.

Note

The eigenvalue results reported by ANSYS are actually divided by 2* π. This gives the frequency in Hz (cycles/second). In other words:

Imaginary part of eigenvalue, as reported = Ω/(2* π)
Real part of eigenvalue, as reported = σ/(2* π)

3.13.6.2. Damped Method-Real and Imaginary Parts of the Eigenvector

In a damped system, the response at different nodes can be out of phase. At any given node, the amplitude will be the vector sum of the real and imaginary components of the eigenvector.

3.13.7. QR Damped Method

The QR damped method (MODOPT,QRDAMP) combines the advantages of the Block Lanczos method with the complex Hessenberg method. The key concept is to approximately represent the first few complex damped eigenvalues by modal transformation using a small number of eigenvectors of the undamped system. After the undamped mode shapes are evaluated by using the real eigensolution (Block Lanczos method), the equations of motion are transformed to these modal coordinates.

Using the QR algorithm, a smaller eigenvalue problem is then solved in the modal subspace. This approach gives good results for lightly damped systems and can also apply to any arbitrary damping type (proportional or non-proportional symmetric damping or nonsymmetrical gyroscopic damping matrix). This approach also supports nonsymmetrical stiffness if present in the model.

The QR Damp eigensolver applies to models having an unsymmetrical global stiffness matrix where only a few elements contribute nonsymmetrical element stiffness matrices (for example, a brake-friction problem wherein the local part of a model with friction contacts is creating a nonsymmetrical stiffness matrix in contact elements.

The QR Damp eigensolver works best when there is a larger “modal subspace” to converge and is therefore the best option for larger models. Because the accuracy of this method is dependent on the number of modes used in the calculations, a sufficient number of fundamental modes should be present (especially for highly damped systems) to provide good results. The QR damped method is not recommended for critically damped or overdamped systems. This method outputs both the real and imaginary eigenvalues (frequencies), but outputs only the real eigenvectors (mode shapes). When requested however, complex mode shapes of damped systems are computed.

In general, ANSYS recommends using the Damp eigensolver for small models. It produces more accurate eigensolutions than the QR Damp eigensolver for damped systems.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.12. Prestressed Modal in a Brake Squeal Analysis 		Up / Home Next
3.14. Matrix Reduction


3.14. Matrix Reduction

Matrix reduction is a way to reduce the size of the matrices of a model and perform a quicker and cheaper analysis. It is mainly used in dynamic analyses such as modal, harmonic, and transient analyses. Matrix reduction is also used in substructure analyses to generate a superelement.

Matrix reduction allows you to build a detailed model, as you would for a static stress analysis, and use only a "dynamic" portion of it for a dynamic analysis. You choose the "dynamic" portion by identifying key degrees of freedom, called master degrees of freedom, that characterize the dynamic behavior of the model. The ANSYS program then calculates reduced matrices and the reduced DOF solution in terms of the master DOF. You can then expand the solution to the full DOF set by performing an expansion pass. The main advantage of this procedure is the savings in CPU time to obtain the reduced solution, especially for dynamic analyses of large problems.

3.14.1. Theoretical Basis of Matrix Reduction

The ANSYS program uses the Guyan Reduction procedure to calculate the reduced matrices. The key assumption in this procedure is that for the lower frequencies, inertia forces on the slave DOF (those DOF being reduced out) are negligible compared to elastic forces transmitted by the master DOF. Therefore, the total mass of the structure is apportioned among only the master DOF. The net result is that the reduced stiffness matrix is exact, whereas the reduced mass and damping matrices are approximate. For details about how the reduced matrices are calculated, refer to the Theory Reference for ANSYS and ANSYS Workbench.

3.14.1.1. Guidelines for Selecting Master DOF

Choosing master DOF is an important step in a reduced analysis. The accuracy of the reduced mass matrix (and hence the accuracy of the solution) depends on the number and location of masters. For a given problem, you can choose many different sets of master DOF and will probably obtain acceptable results in all cases.

You can choose masters using M and MGEN commands, or you can have the program choose masters during solution using the TOTAL command. We recommend that you do both: choose a few masters yourself, and also have the ANSYS program choose masters. This way, the program can pick up any modes that you may have missed. The following list summarizes the guidelines for selecting master DOF:

  • The total number of master DOF should be at least twice the number of modes of interest.

  • Choose master DOF in directions in which you expect the structure or component to vibrate. For a flat plate, for example, you should choose at least a few masters in the out-of-plane direction (see Figure 3.2: "Choose Master DOF" (a)). In cases where motion in one direction induces a significant motion in another direction, choose master DOF in both directions (see Figure 3.2: "Choose Master DOF" (b)).

    Figure 3.2 Choose Master DOF

    (a) Possible out-of-plane masters for a flat plate(b) Motion in X induces motion in Y

  • Choose masters at locations having relatively large mass or rotary inertia and relatively low stiffness (see Figure 3.3: "Choosing Master DOFs"). Examples of such locations are overhangs and "loosely" connected structures. Conversely, do not choose masters at locations with relatively small mass, or at locations with high stiffness (such as DOF close to constraints).

    Figure 3.3 Choosing Master DOFs

    Choose masters at locations with (a) large rotary inertia, (b) large mass

  • If your primary interest is in bending modes, you can neglect rotational and "stretching" DOF.

  • If the degree of freedom to be chosen belongs to a coupled set, choose only the first (primary) DOF of the coupled set.

  • Choose master DOF at locations where forces or nonzero displacements are to be applied.

  • For axisymmetric shell models (SHELL61 or SHELL208), choose as masters the global UX degree of freedom at all nodes on those sections of the model that are parallel to or nearly parallel to the center line, so oscillatory motions between master DOF can be avoided (see Figure 3.4: "Choosing Masters in an Axisymmetric Shell Model"). This recommendation can be relaxed if the motion is primarily parallel to the centerline. For axisymmetric harmonic elements with MODE = 2 or greater, choose as masters both UX and UZ degrees of freedom.

Figure 3.4 Choosing Masters in an Axisymmetric Shell Model

The best way to check the validity of the master DOF set is to rerun the analysis with twice (or half) the number of masters and to compare the results. Another way is to review the reduced mass distribution printed during a modal solution. The reduced mass should be, at least in the dominant direction of motion, within 10-15 percent of the total mass of the structure.

3.14.1.2. A Note About Program-Selected Masters

If you let the ANSYS program select masters [TOTAL], the distribution of masters selected will depend on the order in which elements are processed during the solution. For example, different master DOF sets may be selected depending on whether the elements are processed from left to right or from right to left. However, this difference usually yields insignificant differences in the results.

For meshes with uniform element sizes and properties (for example, a flat plate), the distribution of masters will, in general, not be uniform. In such cases, you should specify some master DOF of your own [M, MGEN]. The same recommendation applies to structures with an irregular mass distribution, where the program-selected master DOF may be concentrated in the higher-mass regions.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.13. Comparing Mode-Extraction Methods 		Up / Home Next
3.15. Residual Vector Method


3.15. Residual Vector Method

The residual vector method improves the accuracy of a mode-superposition transient or mode-superposition harmonic analysis.

A mode-superposition solution tends to be less accurate when the applied dynamic loads excite the higher resonant frequency modes of a structure. Many modes are often necessary to render an accurate mode-superposition solution.

The residual vector method can help in such cases. The method's improved convergence properties require fewer natural frequencies and modes from the eigensolution.

3.15.1. Understanding the Residual Vector Method

To use the residual vector method, you must first calculate residual vectors in the modal analysis. You can use either of these modal analysis mode-extraction methods:

  • Block Lanczos (MODOPT,LANB)

  • PCG Lanczos (MODOPT,LANPCG)

ANSYS stores the calculated residual vectors in the .rmode file (a permanent, binary file) and uses them in the subsequent mode-superposition or mode-superposition harmonic analysis.

3.15.2. Using the Residual Vector Method

Following is the general process for calculating residual vectors:

  1. Build the model.

  2. Specify the mode-extraction method (MODOPT,LANB or MODOPT,LANPCG).

  3. Activate residual vector calculation (RESVEC,ON).

  4. Specify pseudo-constraints (D,,,SUPPORT) if rigid body motion is present.

  5. Specify the load vectors (F, BF, SF, etc.).

  6. Solve the modal analysis. (ANSYS generates an .rmode file containing the residual vectors.)

  7. Issue a FINISH command.

  8. Set up a mode-superposition transient or harmonic analysis, and include the previously calculated residual vectors (RESVEC,ON).

    Note

    A load vector is also generated in Step 6 above. Be sure that you do not duplicate any loading.

  9. Solve the mode-superposition transient or harmonic analysis. ANSYS includes the residual vectors in those calculations.

Specifying Pseudo-Constraints

If rigid body motion exists, specify only the minimum number of displacement constraints necessary to prevent rigid body motion: three constraints (or fewer, depending on the element type) for 2-D models and six (or fewer) for 3-D models.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.14. Matrix Reduction 		Up / Home Next
Chapter 4. Harmonic Response Analysis


Chapter 4. Harmonic Response Analysis

Any sustained cyclic load will produce a sustained cyclic response (a harmonic response) in a structural system. Harmonic response analysis gives you the ability to predict the sustained dynamic behavior of your structures, thus enabling you to verify whether or not your designs will successfully overcome resonance, fatigue, and other harmful effects of forced vibrations.

The following harmonic response analysis topics are available:

  • Uses for Harmonic Response Analysis
  • Commands Used in a Harmonic Response Analysis
  • Three Solution Methods
  • Performing a Harmonic Response Analysis
  • Sample Harmonic Response Analysis (GUI Method)
  • Sample Harmonic Response Analysis (Command or Batch Method)
  • Where to Find Other Examples
  • Reduced Harmonic Response Analysis
  • Mode Superposition Harmonic Response Analysis
  • Additional Harmonic Response Analysis Details

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.15. Residual Vector Method 		Up / Home Next
4.1. Uses for Harmonic Response Analysis


4.1. Uses for Harmonic Response Analysis

Harmonic response analysis is a technique used to determine the steady-state response of a linear structure to loads that vary sinusoidally (harmonically) with time. The idea is to calculate the structure's response at several frequencies and obtain a graph of some response quantity (usually displacements) versus frequency. "Peak" responses are then identified on the graph and stresses reviewed at those peak frequencies.

This analysis technique calculates only the steady-state, forced vibrations of a structure. The transient vibrations, which occur at the beginning of the excitation, are not accounted for in a harmonic response analysis (see Figure 4.1: "Harmonic Response Systems").

Figure 4.1 Harmonic Response Systems

Typical harmonic response system. Fo and Ω are known. uo and Φ are unknown (a). Transient and steady-state dynamic response of a structural system (b).

Harmonic response analysis is a linear analysis. Some nonlinearities, such as plasticity will be ignored, even if they are defined. You can, however, have unsymmetric system matrices such as those encountered in a fluid-structure interaction problem (see "Acoustics" in the Coupled-Field Analysis Guide). Harmonic analysis can also be performed on a prestressed structure, such as a violin string (assuming the harmonic stresses are much smaller than the pretension stress). See Prestressed Full Harmonic Response Analysis for more information on prestressed harmonic analyses.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 4. Harmonic Response Analysis 		Up / Home Next
4.2. Commands Used in a Harmonic Response Analysis


4.2. Commands Used in a Harmonic Response Analysis

You use the same set of commands to build a model and perform a harmonic response analysis that you use to do any other type of finite element analysis. Likewise, you choose similar options from the graphical user interface (GUI) to build and solve models no matter what type of analysis you are doing.

Sample Harmonic Response Analysis (GUI Method) and Sample Harmonic Response Analysis (Command or Batch Method) show a sample harmonic response analysis done via the GUI and via commands, respectively.

For detailed, alphabetized descriptions of the ANSYS commands, see the Commands Reference.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.1. Uses for Harmonic Response Analysis 		Up / Home Next
4.3. Three Solution Methods


4.3. Three Solution Methods

Three harmonic response analysis methods are available: full, reduced, and mode superposition. (A fourth, relatively expensive method is to do a transient dynamic analysis with the harmonic loads specified as time-history loading functions; see "Transient Dynamic Analysis" for details.) The ANSYS Professional program allows only the mode superposition method. Before we study the details of how to implement each of these methods, let's explore the advantages and disadvantages of each method.

4.3.1. The Full Method

The full method is the easiest of the three methods. It uses the full system matrices to calculate the harmonic response (no matrix reduction). The matrices may be symmetric or unsymmetric. The advantages of the full method are:

  • It is easy to use, because you don't have to worry about choosing master degrees of freedom or mode shapes.

  • It uses full matrices, so no mass matrix approximation is involved.

  • It allows unsymmetric matrices, which are typical of such applications as acoustics and bearing problems.

  • It calculates all displacements and stresses in a single pass.

  • It accepts all types of loads: nodal forces, imposed (nonzero) displacements, and element loads (pressures and temperatures).

  • It allows effective use of solid-model loads.

A disadvantage is that this method usually is more expensive than either of the other methods when you use the frontal solver. However, when you use the JCG solver or the ICCG solver, the full method can be very efficient.

4.3.2. The Reduced Method

The reduced method enables you to condense the problem size by using master degrees of freedom and reduced matrices. After the displacements at the master DOF have been calculated, the solution can be expanded to the original full DOF set. (See Matrix Reduction, for a more detailed discussion of the reduction procedure.) The advantages of this method are:

  • It is faster and less expensive compared to the full method when you are using the frontal solver.

  • Prestressing effects can be included.

The disadvantages of the reduced method are:

  • The initial solution calculates only the displacements at the master DOF. A second step, known as the expansion pass, is required for a complete displacement, stress, and force solution. (However, the expansion pass might be optional for some applications.)

  • Element loads (pressures, temperatures, etc.) cannot be applied.

  • All loads must be applied at user-defined master degrees of freedom. (This limits the use of solid-model loads.)

4.3.3. The Mode Superposition Method

The mode superposition method sums factored mode shapes (eigenvectors) from a modal analysis to calculate the structure's response. Its advantages are:

  • It is faster and less expensive than either the reduced or the full method for many problems.

  • Element loads applied in the preceding modal analysis can be applied in the harmonic response analysis via the LVSCALE command.

  • It allows solutions to be clustered about the structure's natural frequencies. This results in a smoother, more accurate tracing of the response curve.

  • Prestressing effects can be included.

  • It accepts modal damping (damping ratio as a function of frequency).

Disadvantages of the mode superposition method are:

  • Imposed (nonzero) displacements cannot be applied.

4.3.4. Restrictions Common to All Three Methods

All three methods are subject to certain common restrictions:

  • All loads must be sinusoidally time-varying.

  • All loads must have the same frequency.

  • No nonlinearities are permitted.

  • Transient effects are not calculated.

You can overcome any of these restrictions by performing a transient dynamic analysis, with harmonic loads expressed as time-history loading functions. "Transient Dynamic Analysis" describes the procedure for a transient dynamic analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.2. Commands Used in a Harmonic Response Analysis 		Up / Home Next
4.4. Performing a Harmonic Response Analysis


4.4. Performing a Harmonic Response Analysis

We will first describe how to do a harmonic response analysis using the full method, and then list the steps that are different for the reduced and mode superposition methods.

4.4.1. Full Harmonic Response Analysis

The procedure for a full harmonic response analysis consists of three main steps:

  1. Build the model.

  2. Apply loads and obtain the solution.

  3. Review the results.

4.4.2. Build the Model

See Building the Model in the Basic Analysis Guide. For further details, see the Modeling and Meshing Guide.

4.4.2.1. Points to Remember

  • Both Young's modulus (EX) (or stiffness in some form) and density (DENS) (or mass in some form) must be defined. Material properties may be linear, isotropic or orthotropic, and constant or temperature-dependent. Nonlinear material properties, if any, are ignored.

  • Only linear behavior is valid in a harmonic response analysis. Nonlinear elements, if any, will be treated as linear elements. If you include contact elements, for example, their stiffnesses are calculated based on their initial status and are never changed.

  • For a full harmonic response analysis, you can define frequency-dependent elastic material properties by using TB,ELASTIC and TBFIELD; use TB,SDAMP and TBFIELD to define your structural damping coefficients. SDAMP specifies damping in terms of the loss factor, which is equal to 2 times the damping ratio.

4.4.3. Apply Loads and Obtain the Solution

In this step, you define the analysis type and options, apply loads, specify load step options, and initiate the finite element solution. Details of how to do these tasks are explained below.

Note

Peak harmonic response occurs at forcing frequencies that match the natural frequencies of your structure. Before obtaining the harmonic solution, you should first determine the natural frequencies of your structure by obtaining a modal solution (as explained in "Modal Analysis").

4.4.3.1. Enter the ANSYS Solution Processor

Command(s): | /SOLU
GUI: | Main Menu> Solution

4.4.3.2. Define the Analysis Type and Options

ANSYS offers these options for a harmonic response analysis:

Table 4.1 Analysis Types and Options

Option | Command | GUI Path
New Analysis | ANTYPE | Main Menu> Solution> Analysis Type> New Analysis
Analysis Type: Harmonic Response | ANTYPE | Main Menu> Solution> Analysis Type> New Analysis> Harmonic
Solution Method | HROPT | Main Menu> Solution> Analysis Type> Analysis Options
Solution Listing Format | HROUT | Main Menu> Solution> Analysis Type> Analysis Options
Mass Matrix Formulation | LUMPM | Main Menu> Solution> Analysis Type> Analysis Options
Equation Solver | EQSLV | Main Menu> Solution> Analysis Type> Analysis Options

Each of these options is explained in detail below.

  • Option: New Analysis (ANTYPE)

    Choose New Analysis. Restarts are not valid in a harmonic response analysis; if you need to apply additional harmonic loads, do a new analysis each time.

  • Option: Analysis Type: Harmonic Response (ANTYPE)

    Choose Harmonic Response as the analysis type.

  • Option: Solution Method (HROPT)

    Choose one of the following solution methods:

    • Full method

    • Reduced method

    • Mode superposition method

  • Option: Solution Listing Format (HROUT)

    This option determines how the harmonic displacement solution is listed in the printed output (Jobname.OUT). You can choose between real and imaginary parts (default), and amplitudes and phase angles.

  • Option: Mass Matrix Formulation (LUMPM)

    Use this option to specify the default formulation (which is element dependent) or lumped mass approximation. We recommend the default formulation for most applications. However, for some problems involving "skinny" structures such as slender beams or very thin shells, the lumped mass approximation often yields better results. Also, the lumped mass approximation can result in a shorter run time and lower memory requirements.

    After you complete the fields on the Harmonic Analysis Options dialog box, click on OK to reach a second Harmonic Analysis dialog box, where you choose an equation solver.

  • Option: Equation Solver (EQSLV)

    You can choose the frontal solver, the sparse direct solver (SPARSE), the Jacobi Conjugate Gradient (JCG) solver, or the Incomplete Cholesky Conjugate Gradient (ICCG) solver. See the EQSLV command description or Selecting a Solver in the Basic Analysis Guide for details on selecting a solver.

4.4.3.3. Apply Loads on the Model

A harmonic analysis, by definition, assumes that any applied load varies harmonically (sinusoidally) with time. To completely specify a harmonic load, three pieces of information are usually required: the amplitude, the phase angle, and the forcing frequency range (see Figure 4.2: "Relationship Between Real/Imaginary Components and Amplitude/Phase Angle").

Figure 4.2 Relationship Between Real/Imaginary Components and Amplitude/Phase Angle

The amplitude is the maximum value of the load, which you specify using the commands shown in Table 4.2: " Applicable Loads in a Harmonic Response Analysis".

The phase angle is a measure of the time by which the load lags (or leads) a frame of reference. On the complex plane (see Figure 4.2: "Relationship Between Real/Imaginary Components and Amplitude/Phase Angle"), it is the angle measured from the real axis. The phase angle is required only if you have multiple loads that are out of phase with each other. For example, the unbalanced rotating antenna shown in Figure 4.3: "An Unbalanced Rotating Antenna" will produce out-of-phase vertical loads at its four support points. The phase angle cannot be specified directly; instead, you specify the real and imaginary components of the out-of-phase loads using the VALUE and VALUE2 fields of the appropriate displacement and force commands. Pressures and other surface and body loads can only be specified with a phase angle of 0 (no imaginary component) with the following exceptions: nonzero imaginary components of pressures can be applied using the SURF153 and SURF154 elements in a full harmonic response analysis, or using a mode superposition harmonic response analysis if the mode-extraction method is Block Lanczos or PCG Lanczos (see the SF and SFE commands). Figure 4.2: "Relationship Between Real/Imaginary Components and Amplitude/Phase Angle" shows how to calculate the real and imaginary components.

The forcing frequency range is the frequency range of the harmonic load (in cycles/time). It is specified later as a load step option with the HARFRQ command.

Figure 4.3 An Unbalanced Rotating Antenna

An unbalanced rotating antenna will produce out-of-phase vertical loads at its four support points.

Note

A harmonic analysis cannot calculate the response to multiple forcing functions acting simultaneously with different frequencies (for example, two machines with different rotating speeds running at the same time). However, POST1 can superimpose multiple load cases to obtain the total response.

Table 4.2: " Applicable Loads in a Harmonic Response Analysis" summarizes the loads applicable to a to a harmonic response analysis. Except for inertia loads, you can define loads either on the solid model (keypoints, lines, and areas) or on the finite element model (nodes and elements). For a general discussion of solid-model loads versus finite element loads, see "Loading" in the Basic Analysis Guide.

Table 4.2 Applicable Loads in a Harmonic Response Analysis

Load Type | Category | Cmd Family | GUI Path
Displacement (UX, UY, UZ, ROTX, ROTY, ROTZ) | Constraints | D | Main Menu> Solution> Define Loads> Apply> Structural> Displacement
Force, Moment (FX, FY, FZ, MX, MY, MZ) | Forces | F | Main Menu> Solution> Define Loads> Apply> Structural> Force/Moment
Pressure (PRES) | Surface Loads | SF | Main Menu> Solution> Define Loads> Apply> Structural> Pressure
Temperature (TEMP), Fluence (FLUE) | Body Loads | BF | Main Menu> Solution> Define Loads> Apply> Structural> Temperature
Gravity, Spinning, etc. | Inertia Loads | - | Main Menu> Solution> Define Loads> Apply> Structural> Other

In an analysis, loads can be applied, removed, operated on, or listed.

4.4.3.3.1. Applying Loads Using Commands

Table 4.3: "Load Commands for a Harmonic Response Analysis" lists all the commands you can use to apply loads in a harmonic response analysis.

Table 4.3 Load Commands for a Harmonic Response Analysis

Load Type | Solid Model or FE | Entity | Apply | Delete | List | Operate | Apply Settings
Displacement | Solid Model | Keypoints | DK | DKDELE | DKLIST | DTRAN | -
 | Solid Model | Lines | DL | DLDELE | DLLIST | DTRAN | -
 | Solid Model | Areas | DA | DADELE | DALIST | DTRAN | -
 | Finite Elem | Nodes | D | DDELE | DLIST | DSCALE | DSYM, DCUM
Force | Solid Model | Keypoints | FK | FKDELE | FKLIST | FTRAN | -
 | Finite Elem | Nodes | F | FDELE | FLIST | FSCALE | FCUM
Pressure | Solid Model | Lines | SFL | SFLDELE | SFLLIST | SFTRAN | SFGRAD
 | Solid Model | Areas | SFA | SFADELE | SFALIST | SFTRAN | SFGRAD
 | Finite Elem | Nodes | SF | SFDELE | SFLIST | SFSCALE | SFGRAD, SFCUM
 | Finite Elem | Elements | SFE | SFEDELE | SFELIST | SFSCALE | SFGRAD, SFBEAM, SFFUN, SFCUM
Temperature, Fluence | Solid Model | Keypoints | BFK | BFKDELE | BFKLIST | BFTRAN | -
 | Solid Model | Lines | BFL | BFLDELE | BFLLIST | BFTRAN | -
 | Solid Model | Areas | BFA | BFADELE | BFALIST | BFTRAN | -
 | Solid Model | Volumes | BFV | BFVDELE | BFVLIST | BFTRAN | -
 | Finite Elem | Nodes | BF | BFDELE | BFLIST | BFSCALE | BFCUM , BFUNIF , TBUNIF
 | Finite Elem | Elements | BFE | BFEDELE | BFELIST | BFSCALE | BFCUM
Inertia | - | - | ACEL, OMEGA, DOMEGA, CGLOC, CGOMGA, DCGOMG | - | - | - | -
4.4.3.3.2. Applying Loads and Listing Loads Using the GUI

These steps for a harmonic analysis are the same as those for most other analyses. See Applying Loads Using the GUI and Listing Loads for more information.

4.4.3.4. Specify Load Step Options

The following options are available for a harmonic response analysis:

Table 4.4 Load Step Options

Option | Command | GUI Path
General Options
Number of Harmonic Solutions | NSUBST | Main Menu> Solution> Load Step Opts> Time/Frequenc> Freq and Substeps
Stepped or Ramped Loads | KBC | Main Menu> Solution> Load Step Opts> Time/Frequenc> Time - Time Step or Freq and Substeps
Dynamics Options
Forcing Frequency Range | HARFRQ | Main Menu> Solution> Load Step Opts> Time/Frequenc> Freq and Substeps
Damping | ALPHAD, BETAD, DMPRAT | Main Menu> Solution> Load Step Opts> Time/Frequenc> Damping
 | MP,DAMP, MP,DMPR | Main Menu> Solution> Load Step Opts> Other> Change Mat Props> Material Models> Structural> Damping
Output Control Options
Printed Output | OUTPR | Main Menu> Solution> Load Step Opts> Output Ctrls> Solu Printout
Database and Results File Output | OUTRES | Main Menu> Solution> Load Step Opts> Output Ctrls> DB/ Results File
Extrapolation of Results | ERESX | Main Menu> Solution> Load Step Opts> Output Ctrls> Integration Pt
4.4.3.4.1. General Options

General options include the following:

  • Number of Harmonic Solutions ( NSUBST)

    You can request any number of harmonic solutions to be calculated. The solutions (or substeps) will be evenly spaced within the specified frequency range (HARFRQ). For example, if you specify 10 solutions in the range 30 to 40 Hz, the program will calculate the response at 31, 32, 33, ..., 39, and 40 Hz. No response is calculated at the lower end of the frequency range.

  • Stepped or Ramped Loads ( KBC)

    The loads may be stepped or ramped. By default, they are ramped, that is, the load amplitude is gradually increased with each substep. By stepping the loads (KBC,1), the same load amplitude will be maintained for all substeps in the frequency range.

    Note

    Surface and body loads do not ramp from their previous load step values, except for those applied to SOLID45, SOLID92, and SOLID95 element types. The remaining element types always ramp from zero or from the value specified via BFUNIF.

4.4.3.4.2. Dynamics Options

Dynamics options include the following:

  • Forcing Frequency Range (HARFRQ)

    The forcing frequency range must be defined (in cycles/time) for a harmonic analysis. Within this range, you then specify the number of solutions to be calculated.

  • Damping

    Damping in some form should be specified; otherwise, the response will be infinity at the resonant frequencies. ALPHAD and BETAD result in a frequency-dependent damping ratio, whereas DMPRAT specifies a constant damping ratio to be used at all frequencies. Damping can also be specified for individual materials using MP,DAMP and MP,DMPR. See Damping for further details.

    Note

    If no damping is specified in a direct harmonic analysis (full or reduced), the program uses zero damping by default.

  • Alpha (Mass) Damping (ALPHAD)

  • Beta (Stiffness) Damping (BETAD)

  • Constant Damping Ratio (DMPRAT)

  • Material Dependent Damping Multiplier (MP,DAMP)

  • Constant Material Damping Coefficient (MP,DMPR)

4.4.3.4.3. Output Controls

Output control options include the following:

  • Printed Output ( OUTPR)

    Use this option to include any results data on the output file (Jobname.OUT).

  • Database and Results File Output ( OUTRES)

    This option controls the data on the results file (Jobname.RST).

  • Extrapolation of Results ( ERESX)

    Use this option to review element integration point results by copying them to the nodes instead of extrapolating them (default).

4.4.3.5. Save a Backup Copy of the Database to a Named File

You can then retrieve your model by reentering the ANSYS program and issuing RESUME.

Command(s): | SAVE
GUI: | Utility Menu> File> Save as

4.4.3.6. Start Solution Calculations

Command(s): | SOLVE
GUI: | Main Menu> Solution> Solve> Current LS

4.4.3.7. Repeat for Additional Load Steps

Repeat the process for any additional loads and frequency ranges (that is, for additional load steps). If you plan to do time-history postprocessing (POST26), the frequency ranges should not overlap from one load step to the next. Another method for multiple load steps, which allows you to store the load steps on files and then solve them at once using a macro, is described in the Basic Analysis Guide.

4.4.3.8. Leave SOLUTION

Command(s): | FINISH
GUI: | Close the Solution menu.

4.4.4. Review the Results

The results data for a harmonic analysis are the same as the data for a basic structural analysis with the following additions: If you defined damping in the structure, the response will be out-of-phase with the loads. All results are then complex in nature and are stored in terms of real and imaginary parts. Complex results will also be produced if out-of-phase loads were applied. See Review the Results in "Structural Static Analysis".

4.4.4.1. Postprocessors

You can review these results using either POST26 or POST1. The normal procedure is to first use POST26 to identify critical forcing frequencies - frequencies at which the highest displacements (or stresses) occur at points of interest in the model - and to then use POST1 to postprocess the entire model at these critical forcing frequencies.

  • POST1 is used to review results over the entire model at specific frequencies.

  • POST26 allows you to review results at specific points in the model over the entire frequency range.

Some typical postprocessing operations for a harmonic response analysis are explained below. For a complete description of all postprocessing functions, see "An Overview of Postprocessing" in the Basic Analysis Guide.

4.4.4.2. Points to Remember

The points to remember for a harmonic analysis are the same as those for most structural analyses. See Points to Remember in "Structural Static Analysis".

4.4.4.3. Using POST26

POST26 works with tables of result item versus frequency, known as variables. Each variable is assigned a reference number, with variable number 1 reserved for frequency.

  1. Define the variables using these options:

    Command(s): NSOL,
    ESOL,
    RFORCE
    GUI: Main Menu> TimeHist Postpro> Define Variables

    Note

    The NSOL command is for primary data (nodal displacements), the ESOL command for derived data (element solution data, such as stresses), and the RFORCE command for reaction force data. To specify the total force, static component of the total force, damping component, or the inertia component, use the FORCE command.

  2. Graph the variables (versus frequency or any other variable). Then use PLCPLX to work with just the amplitude, phase angle, real part, or imaginary part.

    Command(s): PLVAR,
    PLCPLX
    GUI: Main Menu> TimeHist Postpro> Graph Variables
    Main Menu> TimeHist Postpro> Settings> Graph

  3. Get a listing of the variable. To list just the extreme values, use the EXTREM command. Then use the PRCPLX command to work with amplitude and phase angle or real and imaginary part.

    Command(s): PRVAR,
    EXTREM,
    PRCPLX
    GUI: Main Menu> TimeHist Postpro> List Variables> List Extremes
    Main Menu> TimeHist Postpro> List Extremes
    Main Menu> TimeHist Postpro> Settings> List

Many other functions, such as performing math operations among variables (in complex arithmetic), moving variables into array parameters, moving array parameters into variables, etc., are available in POST26; see "The Time-History Postprocessor (POST26)" in the Basic Analysis Guide for details.

By reviewing the time-history results at strategic points throughout the model, you can identify the critical frequencies for further POST1 postprocessing.

4.4.4.4. Using POST1

  1. Read in results for the desired harmonic solution. You can use the SET command for this purpose, but it will read in either the real component or the imaginary component, not both at the same time. The true magnitude of the results is given by an SRSS (square-root-of-sum-of-squares) combination of the real and imaginary components (see Figure 4.2: "Relationship Between Real/Imaginary Components and Amplitude/Phase Angle") and can be done for specific points in the model in POST26.

  2. Display the deformed shape of the structure, contours of stresses, strains, etc., or vector plots of vector items (PLVECT). To obtain tabular listings of data, use PRNSOL, PRESOL, PRRSOL, etc.

    • Option: Display Deformed Shape

      Command(s): PLDISP
      GUI: Main Menu> General Postproc> Plot Results> Deformed Shape

    • Option: Contour Displays

      Command(s): PLNSOL or
      PLESOL
      GUI: Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu or Element Solu

      Use these options to contour almost any result item, such as stresses (SX, SY, SZ...), strains (EPELX, EPELY, EPELZ...), and displacements (UX, UY, UZ...).

      The KUND field on PLNSOL and PLESOL gives you the option of overlaying the undeformed shape on the display.

    • Option: Vector Plots

      Command(s): PLVECT
      GUI: Main Menu> General Postproc> Plot Results> Vector Plot> Predefined

      Use PLNSOL or PLESOL to contour almost any result item, such as stresses (SX, SY, SZ...), strains (EPELX, EPELY, EPELZ...), and displacements (UX, UY, UZ...).

    • Option: Tabular Listings

      Command(s): PRNSOL (nodal results)
      PRESOL (element-by-element results)
      PRRSOL (reaction data) etc.
      NSORT,
      ESORT
      GUI: Main Menu> General Postproc> List Results> Nodal Solution
      Main Menu> General Postproc> List Results> Element Solution
      Main Menu> General Postproc> List Results> Reaction Solution

      Use the NSORT and ESORT commands to sort the data before listing them.

Many other functions, such as mapping results on to a path, transforming results to different coordinate systems, load case combinations, etc., are available in POST1; see "Solution" in the Basic Analysis Guide for details.

See the Commands Reference for a discussion of the ANTYPE, HROPT, HROUT, HARFRQ, DMPRAT, NSUBST, KBC, NSOL, ESOL, RFORCE, PLCPLX, PLVAR, PRCPLX, PRVAR, PLDISP, PRRSOL, and PLNSOL commands.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.3. Three Solution Methods 		Up / Home Next
4.5. Sample Harmonic Response Analysis (GUI Method)


4.5. Sample Harmonic Response Analysis (GUI Method)

In this sample problem, you will determine the harmonic response of a two-mass-spring system.

4.5.1. Problem Description

Determine the response amplitude (Xi) and phase angle (Φi) for each mass (mi) of the system shown below when excited by a harmonic force (F1sin Ωt) acting on mass m1.

4.5.2. Problem Specifications

Material properties for this problem are:

m1 = m2 = 0.5 lb-sec2/in

k1 = k2 = kc = 200 lb/in

Loading for this problem is:

F1 = 200 lb

The spring lengths are arbitrarily selected and are used only to define the spring direction. Two master degrees of freedom are selected at the masses in the spring direction. A frequency range from zero to 7.5 Hz with a solution at 7.5/30 = 0.25 Hz intervals is chosen to give an adequate response curve. POST26 is used to get an amplitude versus frequency display.

4.5.3. Problem Diagram

Figure 4.4 Two-Mass-Spring-System

4.5.3.1. Set the Analysis Title

  1. Choose menu path Utility Menu> File> Change Title.

  2. Type the text "Harmonic Response of Two-Mass-Spring System" and click on OK.

4.5.3.2. Define the Element Types

  1. Choose menu path Main Menu> Preprocessor> Element Type> Add/Edit/Delete.

  2. Click on Add. The Library of Element Types dialog box appears.

  3. Scroll down the list on the left to "Combination" and select it.

  4. Click once on "Spring-damper 14" in the list on the right.

  5. Click on Apply.

  6. Scroll up the list on the left to "Structural Mass" and select it.

  7. Click once on "3D mass 21" in the list on the right.

  8. Click on OK. The Library of Element Types dialog box closes.

  9. Click on Close in the Element Types dialog box.

4.5.3.3. Define the Real Constants

  1. Choose menu path Main Menu> Preprocessor> Real Constants.

  2. Click on Add. The Element Type for Real Constants dialog box appears.

  3. Click once on Type 1 to highlight it.

  4. Click on OK. The Real Constants for COMBIN14 dialog box appears.

  5. Enter 200 for the spring constant (K). Click on OK.

  6. Repeat steps 2-4 for Type 2, MASS21.

  7. Enter .5 for mass in X direction and click on OK.

  8. Click on Close to close the Real Constants dialog box.

4.5.3.4. Create the Nodes

  1. Choose menu path Main Menu> Preprocessor> Modeling> Create> Nodes> In Active CS.

  2. Enter 1 for node number.

  3. Enter 0, 0, 0 for the X, Y, and Z coordinates, respectively.

  4. Click on Apply.

  5. Enter 4 for node number.

  6. Enter 1, 0, 0 for the X, Y, and Z coordinates, respectively.

  7. Click on OK.

  8. Choose menu path Utility Menu> PlotCtrls> Numbering. The Plot Numbering Controls dialog box appears.

  9. Click once on "Node numbers" to turn node numbers on.

  10. Click on OK.

  11. Choose menu path Main Menu> Preprocessor> Modeling> Create> Nodes> Fill between Nds. A picking menu appears.

  12. In the ANSYS Graphics window, click once on nodes 1 and 4 (on the left and right sides of the screen). A small box appears around each node.

  13. Click on OK on the picking menu. The Create Nodes Between 2 Nodes dialog box appears.

  14. Click on OK to accept the default of 2 nodes to fill. Nodes 2 and 3 appear in the graphics window.

4.5.3.5. Create the Spring Elements

  1. Choose menu path Main Menu> Preprocessor> Modeling> Create> Elements> Auto Numbered> Thru Nodes. A picking menu appears.

  2. In the graphics window, click once on nodes 1 and 2.

  3. Click on Apply. A line appears between the selected nodes.

  4. Click once on nodes 2 and 3.

  5. Click on Apply. A line appears between the selected nodes.

  6. Click once on nodes 3 and 4.

  7. Click on OK. A line appears between the selected nodes.

4.5.3.6. Create the Mass Elements

  1. Choose menu path Main Menu> Preprocessor> Modeling> Create> Elements> Elem Attributes.

  2. Enter 2 for element type number.

  3. Enter 2 for real constant set number and click on OK.

  4. Choose menu path Main Menu> Preprocessor> Modeling> Create> Elements> Auto Numbered> Thru Nodes. A picking menu appears.

  5. In the graphics window, click once on node 2.

  6. Click on Apply.

  7. Click once on node 3 and click on OK.

4.5.3.7. Specify the Analysis Type, MDOF, and Load Step Specifications

  1. Choose menu path Main Menu> Solution> Analysis Type> New Analysis.

  2. Click once on "Harmonic" and click on OK.

  3. Choose menu path Main Menu> Solution> Analysis Type> Analysis Options.

  4. Click once on "Full" to select the solution method.

  5. Click once on "Amplitud + phase" to select the DOF printout format and click on OK.

  6. Click OK in the Full Harmonic Analysis dialog box.

  7. Choose menu path Main Menu> Solution> Load Step Opts> Output Ctrls> Solu Printout.

  8. Click on "Last substep" to set the print frequency and click on OK.

  9. Choose menu path Main Menu> Solution> Load Step Opts> Time/Frequenc> Freq and Substeps.

  10. Enter 0 and 7.5 for the harmonic frequency range.

  11. Enter 30 for the number of substeps.

  12. Click once on "Stepped" to specify stepped boundary conditions.

  13. Click on OK.

4.5.3.8. Define Loads and Boundary Conditions

  1. Choose menu path Main Menu> Solution> Define Loads> Apply> Structural> Displacement> On Nodes. A picking menu appears.

  2. Click on Pick All. The Apply U, ROT on Nodes dialog box appears.

  3. In the scroll box for DOFs to be constrained, click once on "UY" to highlight it (make sure no other selections are highlighted).

  4. Click on OK.

  5. Choose menu path Main Menu> Solution> Define Loads> Apply> Structural> Displacement> On Nodes. A picking menu appears.

  6. In the graphics window, click once on nodes 1 and 4.

  7. Click on OK. The Apply U, ROT on Nodes dialog box appears.

  8. In the scroll box for DOFs to be constrained, click once on "UX" to highlight it and click once on "UY" to deselect it.

  9. Click on OK.

  10. Choose menu path Main Menu> Solution> Define Loads> Apply> Structural> Force/ Moment> On Nodes. A picking menu appears.

  11. In the graphics window, click once on node 2.

  12. Click on OK. The Apply F/M on Nodes dialog box appears.

  13. In the scroll box for direction of force/moment, click once on "FX."

  14. Enter 200 for the real part of force/moment and click on OK.

4.5.3.9. Solve the Model

  1. Choose menu path Main Menu> Solution> Solve> Current LS.

  2. Review the information in the status window and click on Close.

  3. Click on OK on the Solve Current Load Step dialog box to begin the solution.

  4. When the solution is finished, a dialog box stating "Solution is done!" appears. Click on Close.

4.5.3.10. Review the Results

For this sample, you will review the time-history results of nodes 2 and 3.

  1. Choose menu path Main Menu> TimeHist Postpro> Define Variables. The Defined Time-History Variables dialog box appears.

  2. Click on Add. The Add Time-History Variable dialog box appears.

  3. Click on OK to accept the default of Nodal DOF result. The Define Nodal Data dialog box appears.

  4. Enter 2 for reference number of variable.

  5. Enter 2 for node number.

  6. Enter 2UX for the user-specified label.

  7. In the scroll box on the right, click once on "Translation UX" to highlight it.

  8. Click on OK.

  9. Click on Add in the Defined Time-History Variables dialog box. The Add Time-History Variable dialog box appears.

  10. Click on OK to accept the default of Nodal DOF result. The Define Nodal Data dialog box appears.

  11. Enter 3 for reference number of variable.

  12. Enter 3 for node number.

  13. Enter 3UX for the user-specified label.

  14. In the scroll box on the right, click once on "Translation UX" to highlight it.

  15. Click on OK.

  16. Click on Close.

  17. Choose menu path Utility Menu> PlotCtrls> Style> Graphs. The Graph Controls dialog box appears.

  18. In the scroll box for type of grid, scroll to "X and Y lines" to select it.

  19. Click on OK.

  20. Choose menu path Main Menu> TimeHist Postpro> Graph Variables. The Graph Time-History Variables dialog box appears. Your graph should look like this:

  21. Enter 2 for 1st variable to graph.

  22. Enter 3 for 2nd variable to graph.

  23. Click on OK. A graph appears in the graphic window.

4.5.3.11. Exit ANSYS

You are now finished with this sample problem.

  1. In the ANSYS Toolbar, click on Quit.

  2. Choose the save option you want and click on OK.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.4. Performing a Harmonic Response Analysis 		Up / Home Next
4.6. Sample Harmonic Response Analysis (Command or Batch Method)


4.6. Sample Harmonic Response Analysis (Command or Batch Method)

You can perform the example harmonic response analysis of a two-mass-spring system by using the following ANSYS commands instead of the GUI.

/PREP7
/TITLE, Harmonic response of a two-mass-spring system
ET,1,COMBIN14,,,2
ET,2,MASS21,,,4
R,1,200                   ! Spring constant = 200
R,2,.5                    ! Mass = 0.5
N,1
N,4,1
FILL
E,1,2
E,2,3                     ! Spring element
E,3,4                     ! Spring element
TYPE,2
REAL,2
E,2                       ! Mass element
E,3                       ! Mass element
FINISH

/SOLU
ANTYPE,HARMIC             ! Harmonic response analysis
HROPT,FULL                ! Full harmonic response
HROUT,OFF                 ! Print results as amplitudes and phase angles
OUTPR,BASIC,1
NSUBST,30                 ! 30 Intervals within freq. range
HARFRQ,,7.5               ! Frequency range from 0 to 7.5 HZ
KBC,1                     ! Step boundary condition
D,1,UY,,,4                ! Constrain all 44 DOF
D,1,UX,,,4,3              ! Constrain nodes 1 and 4 in UX
F,2,FX,200
SOLVE
FINISH

/POST26
NSOL,2,2,U,X,2UX          ! Store UX Displacements
NSOL,3,3,U,X,3UX
/GRID,1                   ! Turn grid on
/AXLAB,Y,DISP             ! Y-axis label disp
PLVAR,2,3                 ! Display variables 2 and 3
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.5. Sample Harmonic Response Analysis (GUI Method) 		Up / Home Next
4.7. Where to Find Other Examples


4.7. Where to Find Other Examples

Several ANSYS publications, particularly the Verification Manual, describe additional harmonic analyses.

The Verification Manual consists of test case analyses demonstrating the analysis capabilities of the ANSYS family of products. While these test cases demonstrate solutions to realistic analysis problems, the Verification Manual does not present them as step-by-step examples with lengthy data input instructions and printouts. However, most ANSYS users who have at least limited finite element experience should be able to fill in the missing details by reviewing each test case's finite element model and input data with accompanying comments.

The Verification Manual includes a variety of harmonic analysis test cases:

VM19 - Random Vibration Analysis of a Deep Simply-Supported Beam
VM76 - Harmonic Response of a Guitar String
VM86 - Harmonic Response of a Dynamic System
VM87 - Equivalent Structural Damping
VM88 - Response of an Eccentric Weight Exciter
VM90 - Harmonic Response of a Two-Mass-Spring System
VM176 - Frequency Response of Electrical Input Admittance for a Piezoelectric Transducer
VM177 - Natural Frequency of a Submerged Ring
VM183 - Harmonic Response of a Spring-Mass System
VM203 - Dynamic Load Effect on Simply-Supported Thick Square Plate

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.6. Sample Harmonic Response Analysis (Command or Batch Method) 		Up / Home Next
4.8. Reduced Harmonic Response Analysis


4.8. Reduced Harmonic Response Analysis

The reduced method, as its name implies, uses reduced matrices to calculate the harmonic solution. The procedure for a reduced harmonic analysis consists of five main steps:

  1. Build the model.

  2. Apply the loads and obtain the reduced solution.

  3. Review the results of the reduced solution.

  4. Expand the solution (expansion pass).

  5. Review the results of the expanded solution.

Of these, the first step is the same as for the full method. Details of the other steps are explained below.

4.8.1. Apply Loads and Obtain the Reduced Solution

By reduced solution, we mean the degree of freedom solution calculated at the master DOF. The tasks required to obtain the reduced solution are as follows:

  1. Enter the ANSYS solution processor.

    Command(s): /SOLU
    GUI: Main Menu> Solution

  2. Define the analysis type and options. Options for the reduced solution are the same as described for the full method except for the following differences:

    • Choose the reduced solution method.

    • You can include prestress effects (PSTRES). This requires element files from a previous static (or transient) analysis that also included prestress effects. See Prestressed Harmonic Response Analysis for details.

  3. Define master degrees of freedom. Master DOF are essential or dynamic degrees of freedom that characterize the dynamic behavior of the structure. For a reduced harmonic response dynamic analysis, master DOF are also required at locations where you want to apply forces or nonzero displacements. See Matrix Reduction for guidelines to choose master DOF.

  4. Apply loads on the model. Harmonic loading is the same as described for the full method, except for the following restrictions:

    • Only displacements and forces are valid. Element loads such as pressures, temperatures, and accelerations are not allowed.

    • Forces and nonzero displacements must be applied only at master DOF.

  5. Specify load step options. These are the same as described for the full method except that the OUTRES and ERESX commands are not available, and the constant material damping coefficient (MP,DMPR) is not applicable for the reduced method. The OUTPR command controls the printout of the nodal solution at the master DOF (OUTPR,NSOL,ALL (or NONE)).

  6. Save a copy of the database.

    Command(s): SAVE
    GUI: Utility Menu> File> Save as

  7. Start solution calculations.

    Command(s): SOLVE
    GUI: Main Menu> Solution> Solve> Current LS

  8. Repeat steps 4 through 7 for any additional loads and frequency ranges (that is, for additional load steps). If you plan to do time-history postprocessing (POST26), the frequency ranges should not overlap from one load step to the next. Another method for multiple load steps, which allows you to store the load steps on files and then solve them at once using a macro, is described in the Basic Analysis Guide.

  9. Leave SOLUTION.

    Command(s): FINISH
    GUI: Close the Solution menu.

4.8.2. Review the Results of the Reduced Solution

Results from the reduced harmonic solution are written to the reduced harmonic displacement file, Jobname.RFRQ. They consist of displacements at the master DOF, which vary harmonically at each forcing frequency for which the solution was calculated. As with the full method, these displacements will be complex in nature if damping was defined or if out-of-phase loads were applied. You can review the master DOF displacements as a function of frequency using POST26. (POST1 cannot be used, because the complete solution at all DOF is not available.)

The procedure to use POST26 is the same as described for the full method, except for the following differences:

  • Before defining the POST26 variables, use the FILE command to specify that data are to be read from Jobname.RFRQ. For example, if HARMONIC is the jobname, the FILE command would be: FILE,HARMONIC,RFRQ. (By default, POST26 looks for a results file, which is not written by a reduced harmonic solution.)

  • Only nodal degree of freedom data (at master DOF) are available for processing, so you can use only the NSOL command to define variables.

4.8.3. Expand the Solution (Expansion Pass)

The expansion pass starts with the reduced solution and calculates the complete displacement, stress, and force solution at all degrees of freedom. These calculations are done only at frequencies and phase angles that you specify. Therefore, before you begin the expansion pass, you should review the results of the reduced solution (using POST26) and identify the critical frequencies and phase angles.

An expansion pass is not always required. For instance, if you are interested mainly in displacements at specific points on the structure, then the reduced solution could satisfy your requirements. However, if you want to determine displacements at non-master DOF, or if you are interested in the stress solution, then you must perform an expansion pass.

4.8.3.1. Points to Remember

  • The .RFRQ, .TRI, .EMAT, and .ESAV files from the reduced solution must be available.

  • The database must contain the same model for which the reduced solution was calculated.

4.8.3.2. Expanding the Modes

  1. Reenter the ANSYS solution processor.

    Command(s): /SOLU
    GUI: Main Menu> Solution

    Note

    You must explicitly leave SOLUTION (using the FINISH command) and reenter (/SOLU) before performing the expansion pass.

  2. Activate the expansion pass and its options. ANSYS offers these options for the expansion pass:

    Table 4.5 Expansion Pass Options

    Option | Command | GUI Path
    Expansion Pass On/Off | EXPASS | Main Menu> Solution> Analysis Type> ExpansionPass
    No. of Solutions to Expand | NUMEXP | Main Menu> Solution> Load Step Opts> ExpansionPass> Single Expand> Range of Solu's
    Freq. Range for Expansion | NUMEXP | Main Menu> Solution> Load Step Opts> ExpansionPass> Singe Expand> Range of Solu's
    Phase Angle for Expansion | HREXP | Main Menu> Solution> Load Step Opts> ExpansionPass> Singe Expand> Range of Solu's
    Stress Calculations On/Off | NUMEXP, EXPSOL | Main Menu> Solution> Load Step Opts> ExpansionPass> Singe Expand> Range of Solu's
    Nodal Solution Listing Format | HROUT | Main Menu> Solution> Analysis Type> Analysis Options

    Each of these options is explained in detail below.

    • Option: Expansion Pass On/Off (EXPASS)

      Choose ON.

    • Option: Number of Solutions to Expand (NUMEXP,NUM)

      Specify the number. This number of evenly spaced solutions will be expanded over a frequency range (specified next). For example, NUMEXP,4,1000,2000 specifies four solutions in the frequency range 1000 to 2000 (that is, expanded solutions at 1250, 1500, 1750, and 2000).

    • Option: Frequency Range for Expansion (NUMEXP, BEGRNG, ENDRNG)

      Specify the frequency range. See the example above. If you do not need to expand multiple solutions, you can use EXPSOL to identify a single solution for expansion (either by its load step and substep numbers or by its frequency value).

    • Option: Phase Angle for Expansion (HREXP)

      If multiple solutions are to be expanded over a frequency range (NUMEXP), we suggest that you request both the real and imaginary parts to be expanded (HREXP,ALL). This way, you can easily combine the two parts in POST26 to review the peak values of displacements, stresses, and other results.

      If, on the other hand, a single solution is to be expanded (EXPSOL), you can specify the phase angle at which peak displacements occurred using HREXP,angle.

    • Option: Stress Calculations On/Off (NUMEXP or EXPSOL)

      You can turn off stress and force calculations if you are not interested in them. Default is to calculate stresses and forces.

    • Option: Nodal Solution Listing Format (HROUT)

      Determines how the harmonic displacement solution is listed in the printed output (Jobname.OUT). You can choose between real and imaginary parts (default), and amplitudes and phase angles.

  3. Specify load step options. The only options valid for a harmonic expansion pass are output controls:

    • Printed Output

      Use this option to include any results data on the printed output file (Jobname.OUT).

      Command(s): OUTPR
      GUI: Main Menu> Solution> Load Step Opts> Output Ctrls> Solu Printout

    • Database and Results File Output

      Use this option to control the data on the results file (Jobname.RST).

      Command(s): OUTRES
      GUI: Main Menu> Solution> Load Step Opts> Output Ctrls> DB/Results File

    • Extrapolation of Results

      Use this option to review element integration point results by copying them to the nodes instead of extrapolating them (default).

      Note

      The FREQ field on OUTPR and OUTRES can be only ALL or NONE.

      Command(s): ERESX
      GUI: Main Menu> Solution> Load Step Opts> Output Ctrls> Integration Pt

  4. Start expansion pass calculations.

    Command(s): SOLVE
    GUI: Main Menu> Solution> Solve> Current LS

  5. Repeat steps 2, 3, and 4 for additional solutions to be expanded. Each expansion pass is stored as a separate load step on the results file.

    Caution

    Subsequent spectrum analyses expect all expanded modes to be in one load step.

  6. Leave SOLUTION. You can now review results in the postprocessor.

    Command(s): FINISH
    GUI: Close the Solution menu.

4.8.4. Review the Results of the Expanded Solution

This step is the same as the corresponding step in a basic structural analysis with the following additions: You can review the results using POST1. (If you expanded solutions at several frequencies, you can also use POST26 to obtain graphs of stress versus frequency, strain versus frequency, etc.)

The procedure to use POST1 (or POST26) is the same as described for the full method, except for one difference: if you requested expansion at a specific phase angle (HREXP,angle), there is only one solution available for each frequency. Use the SET command to read in the results.

See Review the Results in "Structural Static Analysis".

4.8.5. Sample Input

A sample input listing for a reduced harmonic response analysis is shown below:

!  Build the Model
/FILNAM,...                    ! Jobname
/TITLE,...                     ! Title
/PREP7                         ! Enter PREP7
---
---! Generate model
---
FINISH
!  Apply Loads and Obtain the Reduced Solution
/SOLU                          ! Enter SOLUTION
ANTYPE,HARMIC                  ! Harmonic analysis
HROPT,REDU                     ! Reduced method
HROUT,...                      ! Harmonic analysis output options
M,...                          ! Master DOF
TOTAL,...
D,...                          ! Constraints
F,...                          ! Loads (real and imaginary components)
HARFRQ,...                     ! Forcing frequency range
DMPRAT,...                     ! Damping ratio
NSUBST,...                     ! Number of harmonic solutions
KBC,...                        ! Ramped or stepped loads
SAVE
SOLVE                          ! Initiate multiple load step solution
FINISH

!  Review the Results of the Reduced Solution
/POST26
FILE,,RFRQ                     ! Postprocessing file is Jobname.RFRQ
NSOL,...                       ! Store nodal result as a variable
PLCPLX,...                     ! Define how to plot complex variables
PLVAR,...                      ! Plot variables
PRCPLX,...                     ! Define how to list complex variables
PRVAR,...                      ! List variables
FINISH

!  Expand the Solution
/SOLU                          ! Reenter SOLUTION
EXPASS,ON                      ! Expansion pass
EXPSOL,...                     ! Expand a single solution
HREXP,...                      ! Phase angle for expanded solution
OUTRES,...
SOLVE
FINISH

! Review the Results of the Expanded Solution
/POST1
SET,...                       ! Read results for desired frequency
PLDISP,...                    ! Deformed shape
PRRSOL,...                    ! List reactions
PLNSOL,...                    ! Contour plot of nodal results
---
---! Other postprocessing as desired
---
FINISH

See the Commands Reference for a discussion of the ANTYPE, HROPT, HROUT, M, TOTAL, HARFRQ, DMPRAT, NSUBST, KBC, FILE, NSOL, PLCPLX, PLVAR, PRCPLX, PRVAR, EXPASS, EXPSOL, HREXP, PLDISP, PRRSOL, and PLNSOL commands.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.7. Where to Find Other Examples 		Up / Home Next
4.9. Mode Superposition Harmonic Response Analysis


4.9. Mode Superposition Harmonic Response Analysis

The mode superposition method sums factored mode shapes (obtained from a modal analysis) to calculate the harmonic response. It is the only method allowed in the ANSYS Professional program. The procedure to use the method consists of five main steps:

  1. Build the model.

  2. Obtain the modal solution.

  3. Obtain the mode superposition harmonic solution.

  4. Expand the mode superposition solution.

  5. Review the results.

Of these, the first step is the same as described for the full method. The remaining steps are described below.

4.9.1. Obtain the Modal Solution

"Modal Analysis" describes how to obtain a modal solution. Following are some additional hints:

  • The mode-extraction method should be Block Lanczos, PCG Lanczos, subspace, reduced, or QR damped. (The other methods, unsymmetric and damped, do not apply to mode superposition.) If your model has damping and/or an unsymmetric stiffness matrix, use the QR Damp mode-extraction method (MODOPT,QRDAMP).

  • Be sure to extract all modes that may contribute to the harmonic response.

  • For the reduced mode-extraction method, include those master degrees of freedom at which harmonic loads will be applied.

  • If you use the QR damped mode-extraction method, you must specify any damping (ALPHAD, BETAD, MP,DAMP, or element damping including gyroscopic) that you want to include during preprocessing or in the modal analysis. (ANSYS ignores damping specified during the mode superposition harmonic analysis.) You can set a constant damping ratio (DMPRAT), define constant material damping coefficients (MP,DMPR), or define the damping ratio as a function of mode (MDAMP) in a modal superposition harmonic analysis.

  • If you need to apply harmonically varying element loads (pressures, temperatures, accelerations, and so on), specify them in the modal analysis. ANSYS ignores the loads for the modal solution, but calculates a load vector and writes it to the mode shape file (Jobname.MODE). You can then use the load vector for the harmonic solution. Only forces, accelerations applied via the ACEL command, and the load vector created in the modal analysis are valid. Use the LVSCALE command to apply both the real and imaginary (if they exist) components of the load vector from the modal solution.

  • The modes need not be expanded for the mode superposition solution. (If you want to review mode shapes, however, you must expand the mode shapes.)

  • Do not change the model data (for example, nodal rotations) between the modal and harmonic analyses.

4.9.2. Obtain the Mode Superposition Harmonic Solution

In this step, the program uses mode shapes extracted by the modal solution to calculate the harmonic response. The mode shape file (Jobname.MODE) must be available, and the database must contain the same model for which the modal solution was obtained. If the modal solution was performed using the subspace or Block Lanczos method using the default mass formulation (not the lumped mass approximation), the full file (Jobname.FULL) must also be available. The following tasks are involved:

  1. Enter SOLUTION.

    Command(s): /SOLU
    GUI: Main Menu> Solution

  2. Define the analysis type and analysis options. These are the same as described for the full method, except for the following differences:

    • Choose the mode superposition method of solution (HROPT).

    • Specify the modes you want to use for the solution (HROPT). This determines the accuracy of the harmonic solution. Generally, the number of modes specified should cover about 50 percent more than the frequency range of the harmonic loads.

    • To include the contribution of higher frequency modes, add the residual vectors calculated in the modal analysis (RESVEC,ON).

    • Optionally, cluster the solutions about the structure's natural frequencies (HROUT) for a smoother and more accurate tracing of the response curve.

    • Optionally, at each frequency, print a summary table that lists the contributions of each mode to the response (HROUT). Note, OUTPR,NSOL must be specified to print mode contributions at each frequency.

  3. Apply loads on the model. Harmonic loading is the same as described for the full method, except for the following restrictions:

    • Only forces, accelerations, and the load vector created in the modal analysis are valid. Use the LVSCALE command to apply the load vector from the modal solution. Note that ALL loads from the modal analysis are scaled, including forces and accelerations. To avoid load duplication, delete any loads that were applied in the modal analysis.

    • If mode shapes from a reduced modal solution are being used, forces may be applied only at master DOF.

  4. Specify load step options. These are the same as described for the reduced method except that you can also specify modal damping (MDAMP). In addition, if the QR damped method is specified, constant material damping coefficients (MP,DMPR) can be defined.

    The NSUBST command specifies the number of solutions on each side of a natural frequency if the clustering option (HROUT) is chosen. The default is to calculate four solutions, but you can specify any number of solutions from 2 through 20. (Any value over this range defaults to 10 and any value below this range defaults to 4.)

  5. If you used the Block Lanczos, PCG Lanczos, or the subspace option for the modal analysis (MODOPT,LANB or LANPCG or SUBSP), you may use a nodal component with the OUTRES,NSOL command to limit the displacement data written to the reduced displacement file Jobname.RFRQ. The expansion pass will only produce valid results for those nodes and for those elements in which all of the nodes of the elements have been written to the .RFRQ file. To use this option, first suppress all writing by invoking OUTRES,NSOL,NONE, then specify the item(s) of interest by invoking OUTRES,NSOL,ALL,component. Repeat the OUTRES command for any additional nodal components that you want to write to the .RFRQ file.

  6. Save a copy of the database.

    Command(s): SAVE
    GUI: Utility Menu> File> Save as

  7. Start solution calculations.

    Command(s): SOLVE
    GUI: Main Menu> Solution> Solve> Current LS

  8. Repeat steps 3 to 7 for any additional loads and frequency ranges (that is, for additional load steps). If you plan to do time-history postprocessing (POST26), the frequency ranges should not overlap from one load step to the next.

  9. Leave SOLUTION.

    Command(s): FINISH
    GUI: Close the Solution menu.

The mode superposition harmonic solution is written to the reduced displacement file, Jobname.RFRQ, regardless of whether the subspace, Block Lanczos, PCG Lanczos, reduced, or QR damped method was used for the modal solution. You will therefore need to expand the solution if you are interested in stress results.

4.9.3. Expand the Mode Superposition Solution

The procedure for the expansion pass is the same as described for the reduced method. Jobname.TRI from the modal analysis is needed only if the reduced eigenvalue extraction method was used. The output from the expansion pass includes the structural results file, Jobname.RST, containing expanded results. See Expand the Solution (Expansion Pass).

4.9.4. Review the Results

Results consist of harmonically varying displacements, stresses, and reaction forces at each forcing frequency for which the solution was calculated. You can review these results using POST26 or POST1, as explained for the reduced method.

4.9.5. Sample Input

A sample input listing for a mode superposition harmonic response analysis is shown below:

!  Build the Model
/FILNAM,...                  ! Jobname
/TITLE,...                   ! Title
/PREP7                       ! Enter PREP7
---
---                          ! Generate model
---
FINISH

!  Obtain the Modal Solution
/SOLU                       ! Enter SOLUTION
ANTYPE,MODAL                ! Modal analysis
MODOPT,REDU                 ! Reduced method
M,...                       ! Masters
TOTAL,..
D,...                       ! Constraints
SF,...                      ! Element loads
SAVE
SOLVE                       ! Initiate modal solution
FINISH

!  Obtain the Mode Superposition Harmonic Solution
/SOLU                      ! Enter SOLUTION

ANTYPE,HARMIC              ! Harmonic analysis
HROPT,MSUP,...             ! Mode superposition method; number of modes to use
HROUT,...                  ! Harmonic analysis output options; cluster option
LVSCALE,...                ! Scale factor for loads from modal analysis
F,...                      ! Nodal loads
HARFRQ,...                 ! Forcing frequency range
DMPRAT,...                 ! Damping ratio
MDAMP,...                  ! Modal damping ratios
NSUBST,...                 ! Number of harmonic solutions
KBC,...                    ! Ramped or stepped loads
SAVE
SOLVE                      ! Initiate solution
FINISH

!  Review the Results of the Mode Superposition Solution
/POST26
FILE,,RFRQ                 ! Postprocessing file is Jobname.RFRQ
NSOL,...                   ! Store nodal result as a variable
PLCPLX,...                 ! Define how to plot complex variables
PLVAR,...                  ! Plot variables
FINISH

!  Expand the Solution (for Stress Results)
/SOLU! Re-enter SOLUTION
EXPASS,ON                  ! Expansion pass
EXPSOL,...                 ! Expand a single solution
HREXP,...                  ! Phase angle for expanded solution
SOLVE
FINISH

! Review the Results of the Expanded Solution
/POST1
SET,...                   ! Read results for desired frequency
PLDISP,...                ! Deformed shape
PLNSOL,...                ! Contour plot of nodal results
---
FINISH

See the Commands Reference for a discussion of the ANTYPE, MODOPT, M, TOTAL, HROPT, HROUT, LVSCALE, F, HARFRQ, DMPRAT, MDAMP, NSUBST, KBC, FILE, NSOL, PLCPLX, PLVAR, EXPASS, EXPSOL, HREXP, SET, and PLNSOL commands.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.8. Reduced Harmonic Response Analysis 		Up / Home Next
4.10. Additional Harmonic Response Analysis Details


4.10. Additional Harmonic Response Analysis Details

4.10.1. Prestressed Harmonic Response Analysis

A prestressed harmonic response analysis calculates the dynamic response of a prestressed structure, such as a violin string. It is assumed that the harmonically varying stresses (which are superimposed on the prestress) are much smaller than the prestress itself.

4.10.1.1. Prestressed Full Harmonic Response Analysis

The procedure to do a prestressed full harmonic analysis is essentially the same as that for any other full harmonic analysis except that you first need to prestress the structure by doing a static analysis:

  1. Build the model and obtain a static solution with prestress effects turned on (PSTRES,ON). The procedure to obtain the static solution is explained in "Structural Static Analysis".

  2. Reenter SOLUTION and obtain the full harmonic solution, also with prestress effects turned on (reissue PSTRES,ON). Files Jobname.EMAT and Jobname.ESAV from the static analysis must be available. Hence, if another analysis is performed between the static and prestressed harmonic response analyses, the static analysis will need to be rerun.

    If thermal body forces were present during the static prestress analysis, these thermal body forces must not be deleted during the full harmonic analysis or else the thermal prestress will vanish. Hence, any temperature loads used to define the thermal prestress must also be used in the full harmonic response analysis as sinusoidally time-varying temperature loads. You should be aware of this limitation and exercise some judgement about whether or not to include temperature loads in their static prestress analysis.

4.10.1.2. Prestressed Reduced Harmonic Response Analysis

The procedure to do a prestressed reduced harmonic analysis is essentially the same as that for any other reduced harmonic analysis except that you first need to prestress the structure by doing a static analysis:

  1. Build the model and obtain a static solution with prestress effects turned on (PSTRES,ON). The procedure to obtain the static solution is explained in "Structural Static Analysis".

  2. Reenter SOLUTION and obtain the reduced harmonic solution, also with prestress effects turned on (reissue PSTRES,ON). Files Jobname.EMAT and Jobname.ESAV from the static analysis must be available. Hence, if another analysis is performed between the static and prestressed harmonic response analyses, the static analysis will need to be rerun.

4.10.1.3. Prestressed Mode Superposition Harmonic Response Analysis

To include prestress effects in a mode superposition analysis, you must first perform a prestressed modal analysis. See "Modal Analysis" for details. Once prestressed modal analysis results are available, proceed as for any other mode superposition analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.9. Mode Superposition Harmonic Response Analysis 		Up / Home Next
Chapter 5. Transient Dynamic Analysis


Chapter 5. Transient Dynamic Analysis

Transient dynamic analysis (sometimes called time-history analysis) is a technique used to determine the dynamic response of a structure under the action of any general time-dependent loads. You can use this type of analysis to determine the time-varying displacements, strains, stresses, and forces in a structure as it responds to any combination of static, transient, and harmonic loads. The time scale of the loading is such that the inertia or damping effects are considered to be important. If the inertia and damping effects are not important, you might be able to use a static analysis instead (see "Structural Static Analysis").

The basic equation of motion solved by a transient dynamic analysis is

(M){ [image]} + (C){ [image]} + (K){u} = {F(t)}

where:

(M) = mass matrix
(C) = damping matrix
(K) = stiffness matrix
{ [image]} = nodal acceleration vector
{ [image]} = nodal velocity vector
{u} = nodal displacement vector
{F(t)} = load vector

At any given time, t, these equations can be thought of as a set of "static" equilibrium equations that also take into account inertia forces ((M){ [image]}) and damping forces ((C){ [image]}). The ANSYS program uses the Newmark time integration method or an improved method called HHT to solve these equations at discrete time points. The time increment between successive time points is called the integration time step.

The following topics are available for transient dynamic analysis:

  • Preparing for a Transient Dynamic Analysis
  • Three Solution Methods
  • Performing a Full Transient Dynamic Analysis
  • Performing a Mode-Superposition Transient Dynamic Analysis
  • Performing a Reduced Transient Dynamic Analysis
  • Sample Reduced Transient Dynamic Analysis (GUI Method)
  • Sample Reduced Transient Dynamic Analysis (Command or Batch Method)
  • Performing a Prestressed Transient Dynamic Analysis
  • Transient Dynamic Analysis Options
  • Where to Find Other Examples

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.10. Additional Harmonic Response Analysis Details 		Up / Home Next
5.1. Preparing for a Transient Dynamic Analysis


5.1. Preparing for a Transient Dynamic Analysis

A transient dynamic analysis is more involved than a static analysis because it generally requires more computer resources and more of your resources, in terms of the "engineering" time involved. You can save a significant amount of these resources by doing some preliminary work to understand the physics of the problem. For example, you can:

  1. Analyze a simpler model first. A model of beams, masses, and springs can provide good insight into the problem at minimal cost. This simpler model may be all you need to determine the dynamic response of the structure.

  2. If you are including nonlinearities, try to understand how they affect the structure's response by doing a static analysis first. In some cases, nonlinearities need not be included in the dynamic analysis.

  3. Understand the dynamics of the problem. By doing a modal analysis, which calculates the natural frequencies and mode shapes, you can learn how the structure responds when those modes are excited. The natural frequencies are also useful for calculating the correct integration time step.

  4. For a nonlinear problem, consider substructuring the linear portions of the model to reduce analysis costs. Substructuring is described in the Advanced Analysis Techniques Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 5. Transient Dynamic Analysis 		Up / Home Next
5.2. Three Solution Methods


5.2. Three Solution Methods

Three methods are available to do a transient dynamic analysis: full, mode-superposition , and reduced. The ANSYS Professional program allows only the mode-superposition method. Before we study the details of how to implement each of these methods, we will examine the advantages and disadvantages of each.

5.2.1. Full Method

The full method uses the full system matrices to calculate the transient response (no matrix reduction). It is the most general of the three methods because it allows all types of nonlinearities to be included (plasticity, large deflections, large strain, and so on).

Note

If you do not want to include any nonlinearities, you should consider using one of the other methods because the full method is also the most expensive method of the three.

The advantages of the full method are:

  • It is easy to use, because you do not have to worry about choosing master degrees of freedom or mode shapes.

  • It allows all types of nonlinearities.

  • It uses full matrices, so no mass matrix approximation is involved.

  • All displacements and stresses are calculated in a single pass.

  • It accepts all types of loads: nodal forces, imposed (nonzero) displacements (although not recommended), and element loads (pressures and temperatures) and allows tabular boundary condition specification via TABLE type array parameters.

  • It allows effective use of solid-model loads.

The main disadvantage of the full method is that it is more expensive than either of the other methods.

For procedural information about using the full method, see Performing a Full Transient Dynamic Analysis.

5.2.2. Mode-Superposition Method

The mode-superposition method sums factored mode shapes (eigenvectors) from a modal analysis to calculate the structure's response. This is the only method available in the ANSYS Professional program. Its advantages are:

  • It is faster and less expensive than the reduced or the full method for many problems.

  • Element loads applied in the preceding modal analysis can be applied in the transient dynamic analysis via the LVSCALE command.

  • It accepts modal damping (damping ratio as a function of mode number).

The disadvantages of the mode-superposition method are:

  • The time step must remain constant throughout the transient, so automatic time stepping is not allowed.

  • The only nonlinearity allowed is simple node-to-node contact (gap condition).

  • It does not accept imposed (nonzero) displacements.

For procedural information about using the mode-superposition method, see Performing a Mode-Superposition Transient Dynamic Analysis.

5.2.3. Reduced Method

The reduced method condenses the problem size by using master degrees of freedom and reduced matrices. After the displacements at the master DOF have been calculated, ANSYS expands the solution to the original full DOF set. (See Matrix Reduction for a more detailed discussion of the reduction procedure.) The advantage of the reduced method is:

  • It is faster and less expensive than the full method.

The disadvantages of the reduced method are:

  • The initial solution calculates only the displacements at the master DOF. A second step, known as the expansion pass, is required for a complete displacement, stress, and force solution. (However, the expansion pass might not be needed for some applications.)

  • Element loads (pressures, temperatures, and so on) cannot be applied. Accelerations, however, are allowed.

  • All loads must be applied at user-defined master degrees of freedom. (This limits the use of solid-model loads.)

  • The time step must remain constant throughout the transient, so automatic time stepping is not allowed.

  • The only nonlinearity allowed is simple node-to-node contact (gap condition).

For procedural information about using the reduced method, see Performing a Reduced Transient Dynamic Analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.1. Preparing for a Transient Dynamic Analysis 		Up / Home Next
5.3. Performing a Full Transient Dynamic Analysis


5.3. Performing a Full Transient Dynamic Analysis

Note - Before reading this section, you are encouraged to become familiar with the concepts presented in "Structural Static Analysis".

We will first describe how to do a transient dynamic analysis using the full method. We will then list the steps that are different for the mode-superposition and reduced methods.

The procedure for a full transient dynamic analysis (available in the ANSYS Multiphysics, ANSYS Mechanical, and ANSYS Structural products) consists of these steps:

  1. Build the Model

  2. Establish Initial Conditions

  3. Set Solution Controls

  4. Set Additional Solution Options

  5. Apply the Loads

  6. Save the Load Configuration for the Current Load Step

  7. Repeat Steps 3-6 for Each Load Step

  8. Save a Backup Copy of the Database

  9. Start the Transient Solution

  10. Exit the Solution Processor

  11. Review the Results

5.3.1. Build the Model

See Building the Model in the Basic Analysis Guide. For further details, see the Modeling and Meshing Guide.

5.3.1.1. Points to Remember

Keep the following points in mind when building a model for a full transient dynamic analysis:

  • You can use both linear and nonlinear elements.

  • Both Young's modulus (EX) (or stiffness in some form) and density (DENS) (or mass in some form) must be defined. Material properties may be linear or nonlinear, isotropic or orthotropic, and constant or temperature-dependent.

Some comments on mesh density:

  • The mesh should be fine enough to resolve the highest mode shape of interest.

  • Regions where stresses or strains are of interest require a relatively finer mesh than regions where only displacements are of interest.

  • If you want to include nonlinearities, the mesh should be able to capture the effects of the nonlinearities. For example, plasticity requires a reasonable integration point density (and therefore a fine element mesh) in areas with high plastic deformation gradients.

  • If you are interested in wave propagation effects (for example, a bar dropped exactly on its end), the mesh should be fine enough to resolve the wave. A general guideline is to have at least 20 elements per wavelength along the direction of the wave.

5.3.2. Establish Initial Conditions

Before you can perform a full transient dynamic analysis on a model, you need to understand how to establish initial conditions and use load steps.

A transient analysis, by definition, involves loads that are functions of time. To specify such loads, you need to divide the load-versus-time curve into suitable load steps. Each "corner" on the load-time curve may be one load step, as shown in Figure 5.1: "Examples of Load-Versus-Time Curves".

Figure 5.1 Examples of Load-Versus-Time Curves

The first load step you apply is usually to establish initial conditions. You then specify the loads and load step options for the second and subsequent transient load steps. For each load step, you need to specify both load values and time values, along with other load step options such as whether to step or ramp the loads, use automatic time stepping, and so on. You then write each load step to a file and solve all load steps together. Establishing initial conditions is described below; the remaining tasks are described later in this chapter.

The first step in applying transient loads is to establish initial conditions (that is, the condition at Time = 0). A transient dynamic analysis requires two sets of initial conditions (because the equations being solved are of second order): initial displacement (uo) and initial velocity ( [image]). If no special action is taken, both uo and [image] are assumed to be zero. Initial accelerations ( [image]) are always assumed to be zero, but you can specify nonzero initial accelerations by applying appropriate acceleration loads over a small time interval.

The following paragraphs describe how to apply different combinations of initial conditions.

Zero initial displacement and zero initial velocity - These are the default conditions, that is, if uo = [image] = 0, you do not need to specify anything. You may apply the loads corresponding to the first corner of the load-versus-time curve in the first load step.

Nonzero initial displacement and/or nonzero initial velocity - You can set these initial conditions with the IC command.

Command(s): | IC
GUI: | Main Menu> Solution> Define Loads> Apply> Initial Condit'n> Define

Caution

Be careful not to define inconsistent initial conditions. For instance, if you define an initial velocity at a single DOF, the initial velocity at every other DOF will be 0.0, potentially leading to conflicting initial conditions. In most cases, you will want to define initial conditions at every unconstrained DOF in your model. If these conditions are not the same at every DOF, it is usually much easier to define initial conditions explicitly, as documented below (rather than by using the IC command).

See the Commands Reference for a discussion of the TIMINT and IC commands.

Zero initial displacement and nonzero initial velocity - The nonzero velocity is established by applying small displacements over a small time interval on the part of the structure where velocity is to be specified. For example if [image] = 0.25, you can apply a displacement of 0.001 over a time interval of 0.004, as shown below.

...
TIMINT,OFF                ! Time integration effects off
D,ALL,UY,.001             ! Small UY displ. (assuming Y-direction velocity)
TIME,.004                 ! Initial velocity = 0.001/0.004 = 0.25
LSWRITE                   ! Write load data to load step file (Jobname.S01)
DDEL,ALL,UY               ! Remove imposed displacements
TIMINT,ON                 ! Time integration effects on
...

Nonzero initial displacement and nonzero initial velocity - This is similar to the above case, except that the imposed displacements are actual values instead of "small" values. For example, if uo = 1.0 and [image] = 2.5, you would apply a displacement of 1.0 over a time interval of 0.4:

...
TIMINT,OFF               ! Time integration effects off
D,ALL,UY,1.0             ! Initial displacement = 1.0
TIME,.4                  ! Initial velocity = 1.0/0.4 = 2.5
LSWRITE                  ! Write load data to load step file (Jobname.S01)
DDELE,ALL,UY             ! Remove imposed displacements
TIMINT,ON                ! Time integration effects on
...

Nonzero initial displacement and zero initial velocity - This requires the use of two substeps (NSUBST,2) with a step change in imposed displacements (KBC,1). Without the step change (or with just one substep), the imposed displacements would vary directly with time, leading to a nonzero initial velocity. The example below shows how to apply uo = 1.0 and [image] = 0.0:

...
TIMINT,OFF       ! Time integration effects off for static solution
D,ALL,UY,1.0     ! Initial displacement = 1.0
TIME,.001        ! Small time interval
NSUBST,2         ! Two substeps
KBC,1            ! Stepped loads
LSWRITE          ! Write load data to load step file (Jobname.S01)
!  Transient solution
TIMINT,ON        ! Time-integration effects on for transient solution
TIME,...         ! Realistic time interval
DDELE,ALL,UY     ! Remove displacement constraints
KBC,0            ! Ramped loads (if appropriate)
!  Continue with normal transient solution procedures
...

Nonzero initial acceleration - This can be approximated by specifying the required acceleration (ACEL) over a small interval of time. For example, the commands to apply an initial acceleration of 9.81 would look like this:

...
ACEL,,9.81        ! Initial Y-direction acceleration
TIME,.001         ! Small time interval
NSUBST,2          ! Two substeps
KBC,1             ! Stepped loads
!  The structure must be unconstrained in the initial load step, or
!  else the initial acceleration specification will have no effect.
DDELE, ...        ! Remove displacement constraints (if appropriate)
LSWRITE           ! Write load data to load step file (Jobname.S01)

!  Transient solution
TIME, ...         ! Realistic time interval
NSUBST, ...       ! Use appropriate time step
KBC,0             ! Ramped loads (if appropriate)
D, ...            ! Constrain structure as desired
!  Continue with normal transient solution procedures
LSWRITE           ! Write load data to load step file (Jobname.S02)
...

See the Commands Reference for discussions of the ACEL, TIME, NSUBST, KBC, LSWRITE, DDELE, and KBC commands.

5.3.3. Set Solution Controls

This step for a transient dynamic analysis is the same as for a basic structural analysis (see Set Solution Controls in "Structural Static Analysis") with the following additions:

If you need to establish initial conditions for the full transient dynamic analysis (as described in Establish Initial Conditions), you must do so for the first load step of the analysis. You can then cycle through the Solution Controls dialog box additional times to set individual load step options for the second and subsequent load steps (as described in Repeat Steps 3-6 for Each Load Step).

5.3.3.1. Access the Solution Controls Dialog Box

To access the Solution Controls dialog box, choose menu path Main Menu> Solution> Analysis Type> Sol'n Control. The following sections provide brief descriptions of the options that appear on each tab of the dialog box. For details about how to set these options, select the tab that you are interested in (from within the ANSYS program), and then click the Help button. "Nonlinear Structural Analysis" also contains details about the nonlinear options introduced in this chapter.

5.3.3.2. Using the Basic Tab

The Basic tab is active when you access the dialog box.

The controls that appear on the Basic tab provide the minimum amount of data that ANSYS needs for the analysis. Once you are satisfied with the settings on the Basic tab, you do not need to progress through the remaining tabs unless you want to adjust the default settings for the more advanced controls. As soon as you click OK on any tab of the dialog box, the settings are applied to the ANSYS database and the dialog box closes.

You can use the Basic tab to set the options listed in Table 2.1: "Basic Tab Options". For specific information about using the Solution Controls dialog box to set these options, access the dialog box, select the Basic tab, and click the Help button.

Special considerations for setting these options in a full transient analysis include:

  • When setting ANTYPE and NLGEOM, choose Small Displacement Transient if you are performing a new analysis and you want to ignore large deformation effects such as large deflection, large rotation, and large strain. Choose Large Displacement Transient if you expect large deflections (as in the case of a long, slender bar under bending) or large strains (as in a metal-forming problem). Choose Restart Current Analysis if you want to restart a failed nonlinear analysis, if you have previously completed a static prestress or a full transient dynamic analysis and you want to extend the time-history, or if you wish to use the Jobname.RSX information from a previous VT Accelerator run. Note that in a VT Accelerator run, you cannot restart a job in the middle; you can only rerun the job from the beginning with changes in the input parameters.

  • When setting AUTOTS, remember that this load step option (which is also known as time-step optimization in a transient analysis) increases or decreases the integration time step based on the response of the structure. For most problems, we recommend that you turn on automatic time stepping, with upper and lower limits for the integration time step. These limits, specified using DELTIM or NSUBST, help to limit the range of variation of the time step; see Automatic Time Stepping for more information. The default is ON.

  • NSUBST and DELTIM are load step options that specify the integration time step for a transient analysis. The integration time step is the time increment used in the time integration of the equations of motion. You can specify the time increment directly or indirectly (that is, in terms of the number of substeps). The time step size determines the accuracy of the solution: the smaller its value, the higher the accuracy. You should consider several factors in order to calculate a "good" integration time step; see Guidelines for Integration Time Step for details.

  • When setting OUTRES, keep this caution in mind:

    Caution

    By default, only the last substep (time-point) is written to the results file (Jobname.RST) in a full transient dynamic analysis. To write all substeps, set the Frequency so that it writes all of the substeps. Also, by default, only 1000 results sets can be written to the results file. If this number is exceeded (based on your OUTRES specification), the program will terminate with an error. Use the command /CONFIG,NRES to increase the limit (see "Memory Management and Configuration" in the Basic Analysis Guide).

5.3.3.3. Using the Transient Tab

You can use the Transient tab to set the options listed in Table 5.1: "Transient Tab Options". For specific information about using the Solution Controls dialog box to set these options, access the dialog box, select the Transient tab, and click the Help button.

Table 5.1 Transient Tab Options

Option For more information about this option, see:
Specify whether time integration effects are on or off (TIMINT)

  • Performing a Nonlinear Transient Analysis in the Structural Analysis Guide

Specify whether to ramp the load change over the load step or to step-apply the load change (KBC)

  • Stepped Versus Ramped Loads in the Basic Analysis Guide

  • Stepping or Ramping Loads in the Basic Analysis Guide

Specify mass and stiffness damping (ALPHAD, BETAD)

  • Damping in the Structural Analysis Guide

Choose the time integration method, Newmark or HHT (TRNOPT)

  • Transient Analysis in the Theory Reference for ANSYS and ANSYS Workbench

Define integration parameters (TINTP)

  • Theory Reference for ANSYS and ANSYS Workbench

Special considerations for setting these options in a full transient analysis include:

  • TIMINT is a dynamic load step option that specifies whether time integration effects are on or off. Time integration effects must be turned on for inertia and damping effects to be included in the analysis (otherwise a static solution is performed), so the default is to include time integration effects. This option is useful when beginning a transient analysis from an initial static solution; that is, the first load steps are solved with the time integration effects off.

  • ALPHAD (alpha, or mass, damping) and BETAD (beta, or stiffness, damping) are dynamic load step options for specifying damping options. Damping in some form is present in most structures and should be included in your analysis. See Damping Option for other damping options.

  • TRNOPT (TINTOPT) specifies the time integration method to be used. The default is Newmark method.

  • TINTP is a dynamic load step option that specifies transient integration parameters. Transient integration parameters control the nature of the Newmark and HHT time integration techniques.

5.3.3.4. Using the Remaining Solution Controls Tabs

The options on the remaining tabs in the Solution Controls dialog box for a full transient analysis are the same as the ones you can set for a static structural analysis. See the following sections of "Structural Static Analysis" for a list of these options:

  • Using the Sol'n Options Tab

  • Using the Nonlinear Tab

  • Using the Advanced NL Tab. Exception: You cannot use arc-length options in a full transient analysis.

5.3.4. Set Additional Solution Options

The additional solution options that you can set for a full transient analysis are mostly the same as the ones you can set for a static structural analysis. For a general description of what additional solution options are, along with descriptions of those options that are the same, see the following sections of "Structural Static Analysis":

  • Set Additional Solution Options

  • Stress Stiffening Effects

  • Newton-Raphson Option

  • Creep Criteria

  • Printed Output

  • Extrapolation of Results

Additional solution options for a full transient analysis that differ from those for a static analysis, or have different descriptions are presented in the following sections.

You may also use the NLHIST command to monitor results of interest in real time during solution. Before starting the solution, you can request nodal data such as displacements or reaction forces at specific nodes. You can also request element nodal data such as stresses and strains at specific elements to be graphed. Pair-based contact data are also available. The result data are written to a file named Jobname.nlh.

For example, a reaction force-deflection curve could indicate when possible buckling behavior occurs. Nodal results and contact results are monitored at every converged substep while element nodal data are written as specified via the OUTRES setting.

You can also track results during batch runs. To execute, either access the ANSYS Launcher and select File Tracking from the Tools menu, or type nlhist110 at the command line. Use the supplied file browser to navigate to your Jobname.nlh file, and click on it to invoke the tracking utilty. You can use this utilty to read the file at any time, even after the solution is complete.

To use this option, use either of these methods:

Command(s): | NLHIST
GUI: | Main Menu> Solution> Results Tracking

5.3.4.1. Prestress Effects

You may include prestress effects in your analysis. This requires element files from a previous static (or transient) analysis; see Performing a Prestressed Transient Dynamic Analysis for details.

Command(s): | PSTRES
GUI: | Main Menu> Solution> Unabridged Menu> Analysis Type> Analysis Options

5.3.4.2. Damping Option

Use this load step option to include damping. Damping in some form is present in most structures and should be included in your analysis. In addition to setting ALPHAD and BETAD on the Solution Controls dialog box (as described in Using the Transient Tab), you can specify the following additional forms of damping for a full transient dynamic analysis:

  • Material-dependent beta damping (MP,DAMP)

  • Element damping (COMBIN7, and so on)

To use the MP form of damping:

Command(s): | MP,DAMP
GUI: | Main Menu> Solution> Load Step Opts> Other> Change Mat Props> Material Models> Structural> Damping

Note that constant material damping coefficient (MP,DMPR) is not applicable in transient analysis. See Damping for further details.

5.3.4.3. Mass Matrix Formulation

Use this analysis option to specify a lumped mass matrix formulation. We recommend the default formulation for most applications. However, for some problems involving "skinny" structures, such as slender beams or very thin shells, the lumped mass approximation might provide better results. Also, the lumped mass approximation can result in a shorter run time and lower memory requirements.

To use this option:

Command(s): | LUMPM
GUI: | Main Menu> Solution> Unabridged Menu> Analysis Type> Analysis Options

5.3.5. Apply the Loads

You are now ready to apply loads for the analysis. The loads shown in Table 2.5: "Loads Applicable in a Static Analysis" are also applicable to a transient dynamic analysis. In addition to these, you can apply acceleration loads in a transient analysis (see DOF Constraints in the Basic Analysis Guide for more information).

Except for inertia loads, velocity loads, and acceleration loads, you can define loads either on the solid model (keypoints, lines, and areas) or on the finite element model (nodes and elements). In an analysis, loads can be applied, removed, operated on, or deleted. For a general discussion of solid-model loads versus finite-element loads, see "Loading" in the Basic Analysis Guide.

You can also apply time-dependent boundary conditions by defining a one-dimensional table (TABLE type array parameter). See Applying Loads Using TABLE Type Array Parameters.

5.3.6. Save the Load Configuration for the Current Load Step

As described in Establish Initial Conditions, you need to apply loads and save the load configuration to a load step file for each corner of the load-versus-time curve. You may also want to have an additional load step that extends past the last time point on the curve to capture the response of the structure after the transient loading.

Command(s): | LSWRITE
GUI: | Main Menu> Solution> Load Step Opts> Write LS File

5.3.7. Repeat Steps 3-6 for Each Load Step

For each load step that you want to define for a full transient dynamic analysis, you need to repeat steps 3-6. That is, for each load step, reset any desired solution controls and options, apply loads, and write the load configuration to a file.

For each load step, you can reset any of these load step options: TIMINT, TINTP, ALPHAD, BETAD, MP,DAMP, TIME, KBC, NSUBST, DELTIM, AUTOTS, NEQIT, CNVTOL, PRED, LNSRCH, CRPLIM, NCNV, CUTCONTROL, OUTPR, OUTRES, ERESX, and RESCONTROL.

An example load step file is shown below:

TIME, ...           	! Time at the end of 1st transient load step
Loads  ...     			! Load values at above time
KBC, ...         		! Stepped or ramped loads
LSWRITE            	! Write load data to load step file
TIME, ...           	! Time at the end of 2nd transient load step
Loads  ...         	! Load values at above time
KBC, ...           	! Stepped or ramped loads
LSWRITE          		! Write load data to load step file
TIME, ...           	! Time at the end of 3rd transient load step
Loads  ...         	! Load values at above time
KBC, ...           	! Stepped or ramped loads
LSWRITE            	! Write load data to load step file
Etc.

5.3.8. Save a Backup Copy of the Database

Save a copy of the database to a named file. You can then retrieve your model by reentering the ANSYS program and issuing RESUME.

Command(s): | SAVE
GUI: | Utility Menu> File> Save as

5.3.9. Start the Transient Solution

Use one of these methods to start the transient solution:

Command(s): | LSSOLVE
GUI: | Main Menu> Solution> Solve> From LS Files

For additional ways to create and solve multiple load steps (the array parameter method and the multiple SOLVE method), see Solving Multiple Load Steps in the Basic Analysis Guide.

5.3.10. Exit the Solution Processor

Use one of these methods to exit the solution processor:

Command(s): | FINISH
GUI: | Close the Solution menu.

5.3.11. Review the Results

You review results for a full transient analysis in the same way that you review results for most structural analyses. See Review the Results in "Structural Static Analysis".

5.3.11.1. Postprocessors

You can review these results using either POST26, which is the time-history postprocessor, or POST1, which is the general postprocessor.

  • POST26 is used to review results at specific points in the model as functions of time.

  • POST1 is used to review results over the entire model at specific time points.

Some typical postprocessing operations for a transient dynamic analysis are explained below. For a complete description of all postprocessing functions, see Postprocessors Available in the Basic Analysis Guide.

5.3.11.2. Points to Remember

The points to remember for a full transient analysis are the same as those for most structural analyses. See Points to Remember in "Structural Static Analysis".

5.3.11.3. Using POST26

POST26 works with tables of result item versus time, known as variables. Each variable is assigned a reference number, with variable number 1 reserved for time.

  1. Define the variables.

    Command(s): NSOL (primary data, that is, nodal displacements)
    ESOL (derived data, that is, element solution data, such as stresses)
    RFORCE (reaction force data)
    FORCE (total force, or static, damping, or inertia component of total force)
    SOLU (time step size, number of equilibrium iterations, response frequency, and so on)
    GUI: Main Menu> TimeHist Postpro> Define Variables

    Note

    In the mode-superposition or reduced methods, only static force is available with the FORCE command.

  2. Graph or list the variables. By reviewing the time-history results at strategic points throughout the model, you can identify the critical time points for further POST1 postprocessing.

    Command(s): PLVAR (graph variables)
    PRVAR,
    EXTREM (list variables)
    GUI: Main Menu> TimeHist Postpro> Graph Variables
    Main Menu> TimeHist Postpro> List Variables
    Main Menu> TimeHist Postpro> List Extremes

5.3.11.4. Other Capabilities

Many other postprocessing functions, such as performing math operations among variables, moving variables into array parameters, and moving array parameters into variables, are available in POST26. See "The Time-History Postprocessor (POST26)" in the Basic Analysis Guide for details.

5.3.11.5. Using POST1

  1. Read in model data from the database file.

    Command(s): RESUME
    GUI: Utility Menu> File> Resume from

  2. Read in the desired set of results. Use the SET command to identify the data set by load step and substep numbers or by time.

    Command(s): SET
    GUI: Main Menu> General Postproc> Read Results> By Time/Freq

  3. Perform the necessary POST1 operations. The typical POST1 operations that you perform for a transient dynamic analysis are the same as those that you perform for a static analysis. See Typical Postprocessing Operations for a list of these operations.

    Note

    If you specify a time for which no results are available, the results that are stored will be a linear interpolation between the two nearest time points.

5.3.12. Sample Input for a Full Transient Dynamic Analysis

A sample input listing for a full transient analysis is shown below:

!  Build the Model
/FILNAM,...               ! Jobname
/TITLE,...                ! Title
/PREP7                    ! Enter PREP7
---
---! Generate model
---
FINISH

!  Apply Loads and Obtain the Solution
/SOLU                      ! Enter SOLUTION
ANTYPE,TRANS               ! Transient analysis
TRNOPT,FULL                ! Full method
D,...                      ! Constraints
F,...                      ! Loads
SF,...
ALPHAD,...                 ! Mass damping
BETAD,...                  ! Stiffness damping
KBC,...                    ! Ramped or stepped loads
TIME,...                   ! Time at end of load step
AUTOTS,ON                  ! Auto time stepping
DELTIM,...                 ! Time step size
OUTRES,...                 ! Results file data options
LSWRITE                    ! Write first load step
---
---! Loads, time, etc. for 2nd load step
---
LSWRITE                    ! Write 2nd load step
SAVE
LSSOLVE,1,2                ! Initiate multiple load step solution
FINISH
!
!  Review the Results
/POST26
SOLU,...                   ! Store solution summary data
NSOL,...                   ! Store nodal result as a variable
ESOL,,,,                   ! Store element result as a variable
RFORCE,...                 ! Store reaction as a variable
PLVAR,...                  ! Plot variables
PRVAR,...                  ! List variables
FINISH

/POST1
SET,...                    ! Read desired set of results into database
PLDISP,...                 ! Deformed shape
PRRSOL,...                 ! Reaction loads
PLNSOL,...                 ! Contour plot of nodal results
PRERR                      ! Global percent error (a measure of mesh adequacy)
---
---! Other postprocessing as desired
---
FINISH

See the Commands Reference for discussions of the ANTYPE, TRNOPT, ALPHAD, BETAD, KBC, TIME, AUTOTS, DELTIM, OUTRES, LSWRITE, LSSOLVE, SOLU, NSOL, ESOL, RFORCE, PLVAR, PRVAR, PLDISP, PRRSOL, PLNSOL, and PRERR commands.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.2. Three Solution Methods 		Up / Home Next
5.4. Performing a Mode-Superposition Transient Dynamic Analysis


5.4. Performing a Mode-Superposition Transient Dynamic Analysis

The mode-superposition method scales the mode shapes obtained from a modal analysis and sums them to calculate the dynamic response. For more detailed information, see Mode Superposition Method in the Theory Reference for ANSYS and ANSYS Workbench.

This method is available in the ANSYS Multiphysics, ANSYS Mechanical, ANSYS Structural, and ANSYS Professional products. The procedure to use the method consists of five main steps:

  1. Build the model.

  2. Obtain the modal solution.

  3. Obtain the mode-superposition transient solution.

  4. Expand the mode-superposition solution.

  5. Review the results.

5.4.1. Build the Model

Building the model for a mode-superposition transient dynamic analysis is the same as that described for the full method. See Build the Model for more information.

5.4.2. Obtain the Modal Solution

"Modal Analysis" describes how to obtain a modal solution. Following are some additional hints:

  • The mode-extraction method should be Block Lanczos, PCG Lanczos, reduced, subspace, or QR damped. (The other methods, unsymmetric and damped, do not apply to mode-superposition .) If your model has damping and/or an unsymmetric stiffness matrix, use the QR Damp mode-extraction method (MODOPT,QRDAMP).

  • Be sure to extract all modes that may contribute to the dynamic response.

  • For the reduced mode-extraction method, include those master degrees of freedom at those nodes at which forces and gap conditions are to be defined.

  • If you use the QR damped mode-extraction method, you must specify any damping (ALPHAD, BETAD, MP,DAMP, or element damping including gyroscopic) that you want to include during preprocessing or in the modal analysis. (ANSYS ignores damping specified during the mode-superposition harmonic analysis.) You can set a constant damping ratio (DMPRAT) or define the damping ratio as a function of mode (MDAMP) in a modal superposition harmonic analysis. Note that constant material damping coefficient (MP,DMPR) is not applicable in transient analysis.

  • Specify displacement constraints, if any. These constraints will be ignored if they are specified in the mode-superposition transient solution instead of in the modal solution.

  • If you need to apply element loads (pressures, temperatures, accelerations, and so on) in the transient dynamic analysis, you must specify them in the modal analysis. The loads are ignored for the modal solution, but a load vector will be calculated and written to the mode shape file (Jobname.MODE). You can then use this load vector for the transient solution.

  • The modes need not be expanded for the mode-superposition solution. (If you want to review mode shapes from a reduced modal solution, however, you must expand the mode shapes.)

  • The model data (for example, nodal rotations) should not be changed between the modal and transient analyses.

5.4.3. Obtain the Mode-Superposition Transient Solution

In this step, the program uses mode shapes extracted by the modal solution to calculate the transient response. The following requirements apply:

  • The mode shape file (Jobname.MODE) must be available.

  • The full file (Jobname.FULL) if linear acceleration (ACEL) is present.

  • The residual vector file (Jobname.RMODE) if residual vectors are taken into account (RESVEC).

  • The database must contain the same model for which the modal solution was obtained.

5.4.3.1. Obtaining the Solution

The procedure to obtain the mode-superposition transient solution is described below:

  1. Enter SOLUTION.

    Command(s): /SOLU
    GUI: Main Menu> Solution

  2. Define the analysis type and analysis options. These are the same as the analysis options described for the full method (in Set Solution Controls and Set Additional Solution Options), except for the following differences:

    • You cannot use the Solution Controls dialog box to define analysis type and analysis options for a mode-superposition transient analysis. Instead, you must set them using the standard set of ANSYS solution commands (which are listed in Set Solution Controls and Set Additional Solution Options) and the standard corresponding menu paths.

    • Restarts are available (ANTYPE).

    • Choose the mode-superposition method of solution (TRNOPT).

    • When you specify a mode-superposition transient analysis, a Solution menu appropriate for the specified analysis type appears. The Solution menu will be either “abridged” or “unabridged,” depending on the actions you took prior to this step in your ANSYS session. The abridged menu contains only those solution options that are valid and/or recommended for mode-superposition transient analyses. If you are on the abridged Solution menu and you want to access other solution options (that is, solution options that are valid for you to use, but their use may not be encouraged for this type of analysis), select the Unabridged Menu option from the Solution menu. For details, see Using Abridged Solution Menus in the Basic Analysis Guide.

    • Specify the number of modes you want to use for the solution (TRNOPT). This determines the accuracy of the transient solution. At a minimum, you should use all modes that you think will contribute to the dynamic response. If you expect higher frequencies to be excited, for example, the number of modes specified should include the higher modes. The default is to use all modes calculated in the modal solution.

    • To include the contribution of higher frequency modes, add the residual vectors calculated in the modal analysis (RESVEC,ON).

    • If you do not want to use rigid body (0 frequency) modes, use MINMODE on the TRNOPT command to skip over them.

    • Nonlinear options (NLGEOM, SSTIF, NROPT) are not available.

  3. Define gap conditions, if any. They can only be defined between two master degree of freedom (DOF) nodes or between master DOF nodes and ground. When a non-reduced mode-extraction method is used, a master DOF implies an unconstrained, active DOF. If you used the QR damped mode-extraction method, gap conditions are not supported. More details about gap conditions are presented in Gap Conditions.

    Command(s): GP
    GUI: Main Menu> Solution> Dynamic Gap Cond> Define

  4. Apply loads to the model. The following loading restrictions apply in a mode-superposition transient dynamic analysis:

    • Only nodal forces (F) and accelerations applied via the ACEL command are available.

    • A load vector created in the modal analysis can be included via the LVSCALE command (Main Menu> Solution> Define Loads> Apply> Load Vector> For Mode Super) to apply the load vector from the modal solution. You can use such a load vector to apply element loads (pressures, temperatures, and so on) on the model. If you use LVSCALE, ensure that all nodal forces (F) defined in the modal analysis solution are removed in the transient analysis. Generally, you should apply nodal forces in the transient part of the analysis.

    • ANSYS ignores imposed nonzero displacements.

    • If mode shapes from a reduced modal solution are being used, forces may be applied only at master DOF.

    Multiple load steps are usually required to specify the load history in a transient analysis. The first load step is used to establish initial conditions, and second and subsequent load steps are used for the transient loading, as explained next.

  5. Establish initial conditions. In modal superposition transient analyses, a first solution is done at TIME = 0. This establishes the initial condition and time step size for the entire transient analysis. Generally, the only load applicable for the first load step is initializing nodal forces. For this pseudo-static analysis, the mode-superposition method may yield poor results at TIME = 0 if nonzero loads are applied.

    The following load step options are available for the first load step:

    Table 5.2 Options for the First Load Step: Mode-Superposition Analysis

    Option | Command | GUI Path
    Dynamics Options
    Transient Integration Parameters | TINTP | Main Menu> Solution> Load Step Opts> Time/Frequenc> Time Integration
    Damping ALPHAD, BETAD, DMPRAT, MP, MDAMP
    Main Menu> Solution> Load Step Opts> Time/Frequenc> Damping
    Main Menu> Solution> Load Step Opts> Other> Change Mat Props> Material Models> Structural> Damping
    General Options
    Integration Time Step | DELTIM | Main Menu> Solution> Load Step Opts> Time/Frequenc> Time-Time Step
    Output Control Options
    Printed Output | OUTPR | Main Menu> Solution> Load Step Opts> Output Ctrls> Solu Printout

    • Dynamics options include the following:

      • Transient Integration Parameters (TINTP)

        Transient integration parameters control the nature of the Newmark time integration technique. The default is to use the constant average acceleration scheme; see your Theory Reference for ANSYS and ANSYS Workbench for further details.

      • Damping

        Damping in some form is present in most structures and should be included in your analysis. You can specify five forms of damping in a mode-superposition transient dynamic analysis:

        • Alpha (mass) damping (ALPHAD)

        • Beta (stiffness) damping (BETAD)

        • Constant damping ratio (DMPRAT)

        • Material-dependent beta damping (MP,DAMP)

        • Modal damping (MDAMP)

          Remember that, as described earlier in Obtain the Modal Solution, any damping that you specify in the mode-superposition transient analysis is ignored if you used the QR damped mode-extraction method. Constant material damping coefficient (MP,DMPR) is not applicable in transient analysis. See Damping for further details.

    • The only valid general option for the first load step is integration time step (DELTIM), which is assumed to be constant throughout the transient. By default, the integration time step is assumed to be 1/(20f), where f is the highest frequency chosen for the solution. The DELTIM command is valid only in the first load step and is ignored in subsequent load steps.

      Note

      If you do issue the TIME command in the first load step, it will be ignored. The first solution is always a static solution at TIME = 0.

    • The output control option for the first load step is printed output (OUTPR). Use this option to control printout of the displacement solution at the master DOF.

  6. Specify loads and load step options for the transient loading portion.

    • General options include the following:

      • Time Option (TIME)

        This option specifies time at the end of the load step.

      • Stepped or Ramped Loads (KBC)

        This option indicates whether to ramp the load change over the load step (KBC) or to step-apply the load change (KBC,1). The default is ramped.

    • Output control options include the following:

      • Printed Output (OUTPR)

        Use this option to control printed output.

      • Database and Results File Output (OUTRES)

        This option controls the data on the reduced displacement file.

      The only valid label on these commands is NSOL (nodal solution). The default for OUTRES is to write the solution for every fourth time-point to the reduced displacement file (unless there are gap conditions defined, in which case the default is to write every solution).

  7. If you used the Block Lanczos, PCG Lanczos, or subspace options for the modal analysis (MODOPT,LANB or MODOPT,LANPCG or MODOPT,SUBSP), you may use a nodal component with the OUTRES,NSOL command to limit the displacement data written to the reduced displacement file Jobname.RDSP. The expansion pass will only produce valid results for those nodes and for those elements in which all of the nodes of the elements have been written to the .RDSP file. To use this option, first suppress all writing by invoking OUTRES,NSOL,NONE, then specify the item(s) of interest by invoking OUTRES,NSOL,FREQ,COMP. Repeat the OUTRES command for any additional nodal components that you want to write to the .RDSP file. Only one output frequency is allowed - ANSYS uses the last frequency specified by OUTRES.

  8. Save a backup copy of the database to a named file.

    Command(s): SAVE
    GUI: Utility Menu> File> Save as

  9. Leave SOLUTION.

    Command(s): FINISH
    GUI: Close the Solution menu.

Note

As an alternative method of resolution, you can issue the LSWRITE command to write each load step to a load step file (Jobname.S01) and then issue LSSOLVE to start the transient solution.

The mode-superposition transient solution is written to the reduced displacement file, Jobname.RDSP, regardless of whether the subspace, Block Lanczos, PCG Lanczos, reduced, or QR damped method was used for the modal solution. You will therefore need to expand the solution if you are interested in stress results.

5.4.4. Expand the Mode-Superposition Solution

The procedure for the expansion pass is the same as described for the reduced method (see Expand the Solution (Expansion Pass)). Jobname.TRI is needed only if the reduced method was used for the modal solution. The output from the expansion pass includes the structural results file, Jobname.RST, containing expanded results.

5.4.5. Review the Results

Results consist of displacements, stresses, and reaction forces at each time-point for which the solution was expanded. You can review these results using POST26 or POST1, as explained for the full method (see Review the Results).

5.4.6. Sample Input for a Mode-Superposition Transient Dynamic Analysis

A sample input listing for a mode-superposition transient analysis is shown below:

!  Build the Model
/FILNAM,...          ! Jobname
/TITLE,...           ! Title
/PREP7               ! Enter PREP7
---
---! Generate model
---
FINISH

!  Obtain the Modal Solution
/SOLU                ! Enter SOLUTION
ANTYPE,MODAL         ! Modal analysis
MODOPT,LANB          ! Block Lanczos
D,...                ! Constraints
SF,...               ! Element loads
ACEL,...
SAVE
SOLVE
FINISH

!  Obtain the Mode-Superposition Transient Solution
/SOLU                ! Reenter SOLUTION
ANTYPE,TRANS         ! Transient analysis
TRNOPT,MSUP,...      ! Mode-superposition method
LVSCALE,...          ! Scale factor for element loads
F,...                ! Nodal Loads
MDAMP,...            ! Modal damping ratios
DELTIM,...           ! Integration time step sizes
SOLVE                ! Solve 1st load step
---                  ! Remember: The 1st load step is
---                  !      solved statically at time=0.
---
---! Loads, etc. for 2nd load step
TIME,...             ! Time at end of second load step
KBC,...              ! Ramped or stepped loads
OUTRES,...           ! Results-file data controls
---
SOLVE                ! Solve 2nd load step (first transient load step)
FINISH

!  Review results of the mode-superposition solution
/POST26              ! Enter POST26
FILE,,RDSP           ! Results file is Jobname.RDSP
SOLU,...             ! Store solution summary data
NSOL,...             ! Store nodal result as a variable
PLVAR,...            ! Plot variables
PRVAR,...            ! List variables
FINISH

!  Expand the Solution
/SOLU                ! Reenter SOLUTION
EXPASS,ON            ! Expansion pass
NUMEXP,...           ! No. of solutions to expand; time range
OUTRES,...           ! Results-file data controls
SOLVE
FINISH

!  Review the Results of the Expanded Solution
/POST1
SET,...              ! Read desired set of results into database
PLDISP,...           ! Deformed shape
PRRSOL,...           ! Reaction loads
PLNSOL,...           ! Contour plot of nodal results
PRERR                ! Global percent error (a measure of mesh adequacy)
---
---! Other postprocessing as desired
---
FINISH

See the Commands Reference for discussions of the ANTYPE, MODOPT, M, TOTAL, ACEL, TRNOPT, LVSCALE, MDAMP, DELTIM, TIME, KBC, OUTRES, LSSOLVE, FILE, SOLU, NSOL, PLVAR, PRVAR, EXPASS, NUMEXP, OUTRES, PLDISP, PRRSOL, PLNSOL, and PRERR commands.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.3. Performing a Full Transient Dynamic Analysis 		Up / Home Next
5.5. Performing a Reduced Transient Dynamic Analysis


5.5. Performing a Reduced Transient Dynamic Analysis

The reduced method, as its name implies, uses reduced matrices to calculate the dynamic response. It is available in the ANSYS Multiphysics, ANSYS Mechanical, and ANSYS Structural products. You should consider using this method if you do not want to include nonlinearities (other than simple node-to-node contact) in the analysis.

The procedure for a reduced transient dynamic analysis consists of these main steps:

  1. Build the model.

  2. Obtain the reduced solution.

  3. Review the results of the reduced solution.

  4. Expand the solution (expansion pass).

  5. Review the results of the expanded solution.

Of these, the first step is the same as for the full method, except that no nonlinearities are allowed (other than simple node-to-node contact, which is specified in the form of a gap condition instead of an element type). Details of the other steps are explained below.

5.5.1. Obtain the Reduced Solution

By reduced solution, we mean the degree of freedom solution calculated at the master DOF. The tasks required to obtain the reduced solution are explained in the following sections. For the following tasks, you need to first enter the SOLUTION processor.

Command(s): | /SOLU
GUI: | Main Menu> Solution

5.5.1.1. Define the Analysis Type and Options

These are the same as the analysis options that are described for the full method (in Set Solution Controls and Set Additional Solution Options) except for the following differences:

  • You cannot use the Solution Controls dialog box to define analysis type and analysis options for a reduced transient dynamic analysis. Instead, you must set them using the standard set of ANSYS solution commands (which are listed in Set Solution Controls and Set Additional Solution Options) and the standard corresponding menu paths.

  • Restarts are not available (ANTYPE).

  • Choose the reduced method of solution (TRNOPT).

  • When you specify a reduced transient analysis, a Solution menu that is appropriate for that specific type of analysis appears. The Solution menu will be either “abridged” or “unabridged,” depending on the actions you took prior to this step in your ANSYS session. The abridged menu contains only those solution options that are valid and/or recommended for reduced transient analyses. If you are on the abridged Solution menu and you want to access other solution options (that is, solution options that are valid for you to use, but their use may not be encouraged for this type of analysis), select the Unabridged Menu option from the Solution menu. For details, see Using Abridged Solution Menus in the Basic Analysis Guide.

  • Nonlinear options (NLGEOM, SSTIF, NROPT) are not available.

5.5.1.2. Define Master Degrees of Freedom

Master DOF are essential degrees of freedom that characterize the dynamic behavior of the structure. For a reduced transient dynamic analysis, master DOF are also required at locations where you want to define gap conditions, forces, or nonzero displacements. You can list the defined master DOF or delete master DOF as well. See Matrix Reduction for guidelines to choose master DOF.

Command(s): | M, MGEN, TOTAL, MLIST, MDELE
GUI: | Main Menu> Solution> Master DOFs> User Selected> Define Main Menu> Solution> Master DOFs> User Selected> Copy Main Menu> Solution> Master DOFs> Program Selected Main Menu> Solution> Master DOFs> User Selected> List All Main Menu> Solution> Master DOFs> User Selected> Delete

5.5.1.3. Define Gap Conditions

Define any gap conditions.

Command(s): | GP
GUI: | Main Menu> Solution> Dynamic Gap Cond> Define

You can also list the defined gaps and delete gaps.

Command(s): | GPLIST, GPDELE
GUI: | Main Menu> Solution> Dynamic Gap Cond> List All Main Menu> Solution> Dynamic Gap Cond> Delete

5.5.1.3.1. Gap Conditions

Gap conditions can only be defined between two master degree of freedom (DOF) nodes or between master DOF nodes and ground, as shown in the following figure.

Figure 5.2 Examples of Gap Conditions

Gap conditions are similar to gap elements and are specified between surfaces that are expected to contact (impact) each other during the transient. The ANSYS program accounts for the gap force, which develops when the gap closes, by using an equivalent nodal load vector.

Some guidelines to define gap conditions are presented below:

  • Use enough gap conditions to obtain a smooth contact stress distribution between the contacting surfaces.

  • Define a reasonable gap stiffness. If the stiffness is too low, the contacting surfaces may overlap too much. If the stiffness is too high, a very small time step will be required during impact. A general recommendation is to specify a gap stiffness that is one or two orders of magnitude higher than the adjacent element stiffness. You can estimate the adjacent element stiffness using AE/L, where A is the contributing area around the gap condition, E is the elastic modulus of the softer material at the interface, and L is the depth of the first layer of elements at the interface.

  • The nonlinear gap damping provided through the DAMP field of the GP command runs faster than a full transient analysis using a gap element COMBIN40. Only TRNOPT = MSUP allows the nonlinear gap damping action. Damping conditions are ignored for the reduced transient analysis method.

5.5.1.4. Apply Initial Conditions to the Model

The following loading restrictions apply in a reduced transient dynamic analysis:

  • Only displacements, forces, and translational accelerations (such as gravity) are valid. Acceleration loading is not allowed if the model contains any master DOF at any nodes with rotated nodal coordinate systems.

  • Forces and nonzero displacements must be applied only at master DOF.

As mentioned for the full method, multiple load steps are usually required to specify the load history in a transient analysis. The first load step is used to establish initial conditions, and second and subsequent load steps are used for the transient loading, as explained next.

  • Establish initial conditions. The only initial condition that may be explicitly established is the initial displacement (uo); that is, initial velocity and acceleration must be zero ( [image] = 0, [image] = 0). Displacements cannot be deleted in subsequent load steps, therefore they cannot be used to specify an initial velocity. In a reduced transient analysis, a static solution is always performed as the first solution, using the loads given, to determine uo.

  • Specify load step options for the first load step. Valid options appear in Table 5.3: "Options for the First Load Step-Reduced Analysis".

    Table 5.3 Options for the First Load Step-Reduced Analysis

    Option | Command | GUI Path
    Dynamics Options
    Transient Integration Parameters | TINTP | Main Menu> Solution> Load Step Opts> Time/Frequenc> Time Integration
    Damping ALPHAD, BETAD, MP,DAMP
    Main Menu> Solution> Load Step Opts> Time/Frequenc> Damping
    Main Menu> Solution> Load Step Opts> Other> Change Mat Props> Material Models> Structural> Damping
    General Options
    Integration Time Step | DELTIM | Main Menu> Solution> Load Step Opts> Time/Frequenc> Time- Time Step
    Output Control Options
    Printed Output | OUTPR | Main Menu> Solution> Load Step Opts> Output Ctrls> Solu Printout

5.5.1.4.1. Dynamics Options

Dynamic options include the following:

  • Transient Integration Parameters (TINTP)

    Transient integration parameters control the nature of the Newmark time integration technique. The default is to use the constant average acceleration scheme; see the Theory Reference for ANSYS and ANSYS Workbench for further details.

  • Damping

    Damping in some form is present in most structures and should be included in your analysis. You can specify four forms of damping in a reduced transient dynamic analysis:

    • Alpha (mass) damping (ALPHAD)

    • Beta (stiffness) damping (BETAD)

    • Material-dependent beta damping (MP,DAMP)

    • Element damping (COMBIN7, and so on)

    See Damping for further details.

5.5.1.4.2. General Options

The only valid general option is Integration Time Step (DELTIM). The integration time step is assumed to be constant throughout the transient.

Note

If you do issue the TIME command for the first load step, it will be ignored. The first solution is always a static solution at TIME = 0.

5.5.1.4.3. Output Control Options

Use the Printed Output (OUTPR) option to output the displacement solution at the master DOF.

5.5.1.5. Write the First Load Step to a Load Step File

Write the first load step to a load step file (Jobname.S01).

Command(s): | LSWRITE
GUI: | Main Menu> Solution> Load Step Opts> Write LS File

5.5.1.6. Specify Loads and Load Step Options

Specify loads and load step options for the transient loading portion, writing each load step to a load step file (LSWRITE).

The following load step options are valid for the transient load steps:

  • General Options

    • Time (specifies the time at the end of the load step) (TIME)

    • Stepped (KBC,1) or ramped loads (KBC)

  • Output Controls

    • Printed output (OUTPR)

    • Reduced displacement file (OUTRES)

    The only valid label on these commands is NSOL (nodal solution). The default for OUTRES is to write the solution for every fourth time-point to the reduced displacement file (unless there are gap conditions defined, in which case the default is to write every solution).

5.5.1.7. Obtaining the Solution

Solving a reduced transient dynamic analysis involves the same steps as those involved in solving a full transient analysis. See the following sections for a description of those steps:

  • Save a Backup Copy of the Database

  • Start the Transient Solution

  • Exit the Solution Processor

5.5.2. Review the Results of the Reduced Solution

Results from the reduced transient dynamic solution are written to the reduced displacement file, Jobname.RDSP. They consist of time-varying displacements at the master DOF. You can review the master DOF displacements as a function of time using POST26. (POST1 cannot be used, because the complete solution at all DOF is not available.)

The procedure to use POST26 is the same as described for the full method, except for the following differences:

  • Before defining the POST26 variables, use the FILE command (Main Menu> TimeHist Postpro> Settings> File) to specify that data are to be read from Jobname.RDSP. For example, if the jobname is TRANS, the FILE command would be: FILE,TRANS,RDSP. (By default, POST26 looks for a results file, which is not written by a reduced transient solution.)

  • Only nodal degree of freedom data (at master DOF) are available for processing, so you can use only the NSOL command to define variables.

5.5.3. Expand the Solution (Expansion Pass)

The expansion pass starts with the reduced solution and calculates the complete displacement, stress, and force solution at all degrees of freedom. These calculations are done only at time points that you specify. Before you begin the expansion pass, therefore, you should review the results of the reduced solution (using POST26) and identify the critical time points.

Note

An expansion pass is not always required. For instance, if you are interested mainly in displacements at specific points on the structure, then the reduced solution could satisfy your requirements. However, if you want to determine displacements at non-master DOF, or if you are interested in the stress or force solution, then you must perform an expansion pass.

5.5.3.1. Points to Remember

  • The .RDSP, .EMAT, .ESAV, .DB, and .TRI files from the reduced solution must be available.

  • The database must contain the same model for which the reduced solution was calculated.

The procedure for the expansion pass is explained below.

5.5.3.2. Expanding the Solution

  1. Reenter SOLUTION.

    Command(s): /SOLU
    GUI: Main Menu> Solution

    Note

    You must explicitly leave SOLUTION (using the FINISH command) and reenter (/SOLU) before performing the expansion pass.

  2. Activate the expansion pass and its options.

    Table 5.4 Expansion Pass Options

    Option | Command | GUI Path
    Expansion Pass On/Off | EXPASS | Main Menu> Solution> Analysis Type> ExpansionPass
    No. of Solutions to be Expanded | NUMEXP | Main Menu> Solution> Load Step Opts> ExpansionPass> Range of Solu's
    Single Solution to Expand | EXPSOL | Main Menu> Solution> Load Step Opts> ExpansionPass> Single Expand> By Time/Freq

    • Option: Expansion Pass On/Off (EXPASS)

      Choose ON.

    • Option: Number of Solutions to be Expanded (NUMEXP)

      Specify the number. This number of evenly spaced solutions will be expanded over the specified time range. The solutions nearest these times will be expanded. Also specify whether to calculate stresses and forces (default is to calculate both).

    • Option: Single Solution to Expand (EXPSOL)

      Use this option to identify a single solution for expansion if you do not need to expand multiple solutions in a range. You can specify it either by load step and substep number or by time. Also specify whether to calculate stresses and forces (default is to calculate both).

  3. Specify load step options. The only options valid for a transient dynamic expansion pass are output controls:

    • Output Controls

      • Printed Output (OUTPR)

        Use this option to include any results data on the output file (Jobname.OUT).

      • Database and Results File Output (OUTRES)

        This option controls the data on the results file (Jobname.RST).

      • Extrapolation of Results (ERESX)

        Use this option to review element integration point results by copying them to the nodes instead of extrapolating them (default).

      Note

      The FREQ field on OUTPR and OUTRES can only be ALL or NONE. ERESX allows you to review element integration point results by copying them to the nodes instead of extrapolating them (default).

  4. Start expansion pass calculations.

    Command(s): SOLVE
    GUI: Main Menu> Solution> Solve> Current LS

  5. Repeat steps 2, 3, and 4 for additional solutions to be expanded. Each expansion pass is stored as a separate load step on the results file.

  6. Leave SOLUTION.

    Command(s): FINISH
    GUI: Close the Solution window.

5.5.4. Review the Results of the Expanded Solution

You review results for an expansion pass in the same way that you review results for most structural analyses. See Review the Results in "Structural Static Analysis".

You can review these results using POST1. (If you expanded solutions at several time points, you can also use POST26 to obtain graphs of stress versus time, strain versus time, and so on.) The procedure to use POST1 (or POST26) is the same as described for the full method.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.4. Performing a Mode-Superposition Transient Dynamic Analysis 		Up / Home Next
5.6. Sample Reduced Transient Dynamic Analysis (GUI Method)


5.6. Sample Reduced Transient Dynamic Analysis (GUI Method)

In this example, you will perform a transient dynamic analysis using the reduced method to determine the transient response to a constant force with a finite rise in time. In this problem, a steel beam supporting a concentrated mass is subjected to a dynamic load.

5.6.1. Problem Description

A steel beam of length [image] and geometric properties shown in Problem Specifications is supporting a concentrated mass, m. The beam is subjected to a dynamic load F(t) with a rise time tr and a maximum value F1. If the weight of the beam is considered to be negligible, determine the time of maximum displacement response tmax and the response ymax. Also determine the maximum bending stress σbend in the beam.

The beam is not used in this solution and its area is arbitrarily input as unity. The final time of 0.1 sec allows the mass to reach its largest deflection. One master degree of freedom is selected at the mass in the lateral direction. A static solution is done at the first load step. Symmetry could have been used in this model. The time of maximum response (0.092 sec) is selected for the expansion pass calculation.

5.6.2. Problem Specifications

The following material properties are used for this problem:

E = 30 x 103 ksi
m = 0.0259067 kips-sec2/in

The following geometric properties are used for this problem:

l = 800.6 in4
h = 18 in
= 20 ft = 240 in.

Loading for this problem is:

F1 = 20 kips
tr = 0.075 sec

5.6.3. Problem Sketch

Figure 5.3 Model of a Steel Beam Supporting a Concentrated Mass

5.6.3.1. Specify the Title

  1. Choose menu path Utility Menu> File> Change Title.

  2. Enter the text "Transient response to a constant force with a finite rise time."

  3. Click on OK.

5.6.3.2. Define Element Types

  1. Choose menu path Main Menu> Preprocessor> Element Type> Add/Edit/Delete. The Element Types dialog box appears.

  2. Click on Add. The Library of Element Types dialog box appears.

  3. In the left scroll box, click on "Structural Beam."

  4. In the right scroll box, click on "2D elastic 3," and click on Apply.

  5. In the left scroll box, click on "Structural Mass."

  6. In the right scroll box, click on "3D mass 21," and click on OK.

  7. In the Element Types dialog box, click once on "Type 2," and click on Options.

  8. In the scroll box for Rotary inertia options, scroll to "2D w/o rot iner" and select it.

  9. Click on OK and click on Close in the Element Types dialog box.

5.6.3.3. Define Real Constants

  1. Choose menu path Main Menu> Preprocessor> Real Constants> Add/Edit/Delete. The Real Constants dialog box appears.

  2. Click on Add. The Element Type for Real Constants dialog box appears.

  3. Click on Type1 BEAM3 then Click on OK. The Real Constants for BEAM3 dialog box appears.

  4. Enter 1 for Area, 800.6 for IZZ, and 18 for Height.

  5. Click on OK.

  6. In the Real Constants dialog box, click on Add.

  7. Click on Type 2 MASS21 and click on OK. The Real Constant Set Number 2, for MASS21 dialog box appears.

  8. Enter .0259067 in the 2-D mass field and click on OK.

  9. Click on Close in the Real Constants dialog box.

5.6.3.4. Define Material Properties

  1. Choose menu path Main Menu> Preprocessor> Material Props> Material Models. The Define Material Model Behavior dialog box appears.

  2. In the Material Models Available window, double-click on the following options: Structural, Linear, Elastic, Isotropic. A dialog box appears.

  3. Enter 30e3 for EX (Young's modulus), enter 0.3 for PRXY, and click on OK. Material Model Number 1 appears in the Material Models Defined window on the left.

  4. Choose menu path Material> Exit to remove the Define Material Model Behavior dialog box.

5.6.3.5. Define Nodes

  1. Choose menu path Main Menu> Preprocessor> Modeling> Create> Nodes> In Active CS. The Create Nodes in Active Coordinate System dialog box appears.

  2. Enter 1 for node number and click on Apply to define node 1 at 0,0,0.

  3. Enter 3 for node number.

  4. Enter 240,0,0 for X, Y, Z coordinates and click on OK.

  5. Choose menu path Main Menu> Preprocessor> Modeling> Create> Nodes> Fill between Nds. The Fill between Nds picking menu appears.

  6. Click once on nodes 1 and 3 in the ANSYS Graphics window, and click on OK in the picking menu. The Create Nodes Between 2 Nodes dialog box appears.

  7. Click on OK to accept the default settings.

5.6.3.6. Define Elements

  1. Choose menu path Main Menu> Preprocessor> Modeling> Create> Elements> Auto Numbered> Thru Nodes. The Elements from Nodes picking menu appears.

  2. Click once on nodes 1 and 2, and click on Apply.

  3. Click once on nodes 2 and 3, and click on OK.

  4. Choose menu path Main Menu> Preprocessor> Modeling> Create> Elements> Elem Attributes. The Element Attributes dialog box appears.

  5. In the Element type number drop down menu, select “2 MASS21.”

  6. In the Real constant set number drop down menu, select 2 and click OK.

  7. Choose menu path Main Menu> Preprocessor> Modeling> Create> Elements> Auto Numbered> Thru Nodes. The Elements from Nodes picking menu appears.

  8. Click once on node 2 and click OK.

  9. Click on SAVE_DB on the ANSYS Toolbar.

5.6.3.7. Define Analysis Type and Analysis Options

  1. Choose menu path Main Menu> Solution> Analysis Type> New Analysis.

  2. Click on "Transient" to select it, and click on OK. The Transient Analysis dialog box appears.

  3. Click on "Reduced" and click on OK.

  4. Choose menu path Main Menu> Solution> Analysis Type> Analysis Options. The Reduced Transient Analysis dialog box appears.

  5. In the drop down menu for Damping effects, select "Ignore."

  6. Click on OK.

5.6.3.8. Define Master Degrees of Freedom

  1. Choose menu path Main Menu> Solution> Master DOFs> User Selected> Define. The Define Master DOFs picking menu appears.

  2. Click on node 2 and click on OK. The Define Master DOFs dialog box appears.

  3. In the drop down menu for 1st degree of freedom, select "UY."

  4. Click on OK.

5.6.3.9. Set Load Step Options

  1. Choose the menu path Main Menu> Solution> Load Step Opts> Time/Frequenc> Time-Time Step. The Time and Time Step Options dialog box appears.

  2. Enter .004 for Time step size and click on OK.

5.6.3.10. Apply Loads for the First Load Step

  1. Choose menu path Main Menu> Solution> Define Loads> Apply> Structural> Displacement> On Nodes. The Apply U,ROT on Nodes picking menu appears.

  2. Click on node 1 and click on Apply. The Apply U,ROT on Nodes dialog box appears.

  3. Click on "UY" to select it and click on Apply. The Apply U,ROT on Nodes picking menu appears.

  4. Click on node 3, and click on OK. The Apply U,ROT on Nodes dialog box appears.

  5. Click on "UX" to select it. "UY" should remain selected. Click on OK.

  6. Choose menu path Main Menu> Solution> Define Loads> Apply> Structural> Force/Moment> On Nodes. The Apply F/M on Nodes picking menu appears.

  7. Click on node 2 and click on OK. The Apply F/M on Nodes dialog box appears.

  8. In the drop down menu for Direction of force/mom, select "FY." Leave the value as blank (zero) for the initial static solution.

  9. Click on OK, and click on SAVE_DB on the ANSYS Toolbar.

5.6.3.11. Specify Output

  1. Choose menu path Main Menu> Solution> Load Step Opts> Output Ctrls> DB/Results File. The Controls for Database and Results File Writing dialog box appears.

  2. Click on the "Every substep" radio button and click on OK.

5.6.3.12. Solve the First Load Step

  1. Choose menu path Main Menu> Solution> Solve> Current LS.

  2. Review the information in the status window, and click on Close.

  3. Click on OK on the Solve Current Load Step dialog box to begin the solution.

  4. Click on Close when the Solution is done! window appears.

5.6.3.13. Apply Loads for the Next Load Step

  1. Choose menu path Main Menu> Solution> Load Step Opts> Time/Frequenc>Time-Time Step. The Time and Time Step Options dialog box appears.

  2. Enter .075 for Time at end of load step and click on OK.

  3. Choose menu path Main Menu> Solution> Define Loads> Apply> Structural> Force/Moment> On Nodes. The Apply F/M on Nodes picking menu appears.

  4. Click on node 2 and click on OK. The Apply F/M on Nodes dialog box appears.

  5. Enter 20 for Force/moment value and click on OK.

5.6.4. Solve the Next Load Step

  1. Choose menu path Main Menu> Solution> Solve> Current LS.

  2. Review the information in the status window, and click on Close.

  3. Click on OK on the Solve Current Load Step dialog box to begin the solution.

  4. Click on Close when the Solution is done! window appears

5.6.4.1. Set the Next Time Step and Solve

  1. Choose menu path Main Menu> Solution> Load Step Opts> Time/Frequenc> Time-Time Step. The Time and Time Step Options dialog box appears.

  2. Enter .1 for Time at end of load step and click on OK.

  3. Choose menu path Main Menu> Solution> Solve> Current LS.

  4. Review the information in the status window, and click on Close.

  5. Click on OK on the Solve Current Load Step dialog box to begin the solution.

  6. Click on Close when the Solution is done! window appears.

  7. Choose menu path Main Menu> Finish.

5.6.4.2. Run the Expansion Pass and Solve

  1. Choose menu path Main Menu> Solution> Analysis Type> ExpansionPass. Set the Expansion pass radio button to On and click on OK.

  2. Choose menu path Main Menu> Solution> Load Step Opts> ExpansionPass> Single Expand> By Time/Freq. The Expand Single Solution by Time/Frequency dialog box appears.

  3. Enter 0.092 for Time-point/Frequency and click on OK.

  4. Choose menu path Main Menu >Solution> Solve> Current LS.

  5. Review the information in the status window, and click on Close.

  6. Click on OK on the Solve Current Load Step dialog box to begin the solution.

  7. Click on Close when the Solution is done! window appears.

5.6.4.3. Review the Results in POST26

  1. Choose menu path Main Menu> TimeHist Postpro> Settings> File. The File Settings dialog box appears.

  2. Click browse and select "file.rdsp" and click on open then OK.

  3. Choose menu path Main Menu> TimeHist Postpro> Define Variables. The Defined Time-History Variables dialog box appears.

  4. Click on Add. The Add Time-History Variable dialog box appears.

  5. Click on OK to accept the default of Nodal DOF result. The Define Nodal Data picking menu appears. Pick node 2 and click OK.

  6. Accept the default of 2 for the reference number of the variable.

  7. Make sure that 2 is entered for node number.

  8. Enter NSOL for user-specified label.

  9. In the right scroll box, click on "Translation UY" to select it.

  10. Click on OK, then click on Close in the Defined Time-History Variables dialog box.

  11. Choose menu path Main Menu> TimeHist Postpro> Graph Variables.

  12. Enter 2 for 1st variable to graph and click on OK. The graph appears in the ANSYS Graphics window.

  13. Choose menu path Main Menu> TimeHist Postpro> List Variables.

  14. Enter 2 for 1st variable to list and click on OK.

  15. Review the information in the status window and click on Close.

5.6.4.4. Review the Results in POST1

  1. Choose menu path Main Menu> General Postproc> Read Results> First Set.

  2. Choose menu path Main Menu> General Postproc> Plot Results> Deformed Shape. The Plot Deformed Shape dialog box appears.

  3. Click on "Def + undeformed" and click on OK.

5.6.4.5. Exit ANSYS

  1. Choose QUIT from the ANSYS Toolbar.

  2. Click on the save option you want, and click on OK.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.5. Performing a Reduced Transient Dynamic Analysis 		Up / Home Next
5.7. Sample Reduced Transient Dynamic Analysis (Command or Batch Method)


5.7. Sample Reduced Transient Dynamic Analysis (Command or Batch Method)

You can perform the example transient dynamic analysis of a bracket using the ANSYS commands shown below instead of GUI choices. Items prefaced with an exclamation point (!) are comments.

/PREP7
/TITLE, Transient Response to a Constant Force with a Finite Rise Time
ET,1,BEAM3              ! 2-D beam
ET,2,MASS21,,,4         ! 2-D mass
R,1,1,800.6,18          ! Beam area = 1, I = 800.6, h = 18
R,2,.0259067            ! Mass
MP,EX,1,30e3
N,1
N,3,240
FILL
E,1,2! Beam elements
EGEN,2,1,1
TYPE,2
REAL,2
E,2                    ! Type 2 element with real constant 2
M,2,UY                 ! Master DOF in Y direction at middle of beam
FINISH

/SOLU
ANTYPE,TRANS           ! Transient dynamic analysis
TRNOPT,REDUC,,NODAMP   ! Reduced transient analysis, ignore damping
DELTIM,.004            ! Integration time step size
D,1,UY
D,3,UX,,,,,UY
OUTPR,BASIC,1
OUTRES,ALL,1
F,2,FY,0               ! Force = 0 at Time = 0
SOLVE
TIME,.075              ! Time at end of load step
F,2,FY,20              ! Force is ramped to 20
SOLVE
TIME,.1                ! Constant force until time = 0.1
SOLVE
FINISH

/SOLU
! The following is the expansion pass using BEAM3 and MASS21 elements
EXPASS,ON              ! Expansion pass on
EXPSOL,,,0.092         ! Time of maximum response
SOLVE
FINISH

/POST26
NUMVAR,0
FILE,file,rdsp
NSOL,2,2,U,Y,NSOL      ! Define the variables
PLVAR,2                ! Graph the variables
PRVAR,2                ! List the variables
FINISH

/POST1
SET,FIRST              ! Read in results
PLDISP,1               ! Display deformed and undeformed shape
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.6. Sample Reduced Transient Dynamic Analysis (GUI Method) 		Up / Home Next
5.8. Performing a Prestressed Transient Dynamic Analysis


5.8. Performing a Prestressed Transient Dynamic Analysis

A prestressed transient dynamic analysis calculates the dynamic response of a prestressed structure, such as a heat-treated part with residual thermal stresses. Prestressed-analysis procedures vary, depending on the type of transient dynamic analysis being performed.

5.8.1. Prestressed Full Transient Dynamic Analysis

You can include prestressing effects in a full transient dynamic analysis by applying the prestressing loads in a preliminary static load step. (Do not remove these loads in subsequent load steps.) The procedure consists of two steps:

  1. Build your model, enter SOLUTION, and define a transient analysis type (ANTYPE,TRANS).

    • Apply all prestressing loads.

    • Turn time integration effects off (TIMINT,OFF).

    • Turn stress stiffening effects on (SSTIF,ON).

    • Set time equal to some small dummy value (TIME).

    • Write your first load step to Jobname.S01 (LSWRITE).

    If prestressing effects develop because of nonlinear behavior (as in the case of residual thermal stresses in a casting), several load steps might be required to complete the static prestressing phase of your analysis. In the case of geometric nonlinearities (large deformation effects), you can capture the prestressing effect by issuing NLGEOM,ON.

  2. For all subsequent load steps, turn time integration effects on (TIMINT,ON), and proceed using the full transient dynamic analysis procedures described previously. Once all load steps are written to files (LSWRITE), you can initiate the multiple load step solution (LSSOLVE).

Note

If you intend to define initial conditions (IC), perform the static prestress solution as a separate solution. To activate the gyroscopic damping matrix in a prestressed transient analysis, perform a separate static solution with Coriolis effects activated (CORIOLIS,ON,,,ON) in a stationary reference frame.

(Main Menu> Solution> Define Loads> Apply> Initial Condit'n> Define)

The IC command is valid only in the first load step.

5.8.2. Prestressed Mode-Superposition Transient Dynamic Analysis

In order to include prestress effects in a mode-superposition analysis, you must first do a prestressed modal analysis. See "Modal Analysis" for details. Once prestressed modal analysis results are available, proceed as for any other mode-superposition analysis.

5.8.3. Prestressed Reduced Transient Dynamic Analysis

The procedure to do a prestressed reduced transient dynamic analysis requires that you first prestress the structure in a separate static analysis, as explained below. It is assumed that the transient (time-varying) stresses (which are superimposed on the prestress) are much smaller than the prestress itself. If they are not, you should use the full transient dynamic analysis.

  1. Build the model and obtain a static solution with prestress effects turned on (PSTRES,ON). The procedure to obtain a static solution is explained in "Structural Static Analysis".

  2. Reenter SOLUTION (/SOLU) and obtain the reduced transient solution, also with prestress effects turned on (PSTRES,ON). Files Jobname.DB, Jobname.EMAT, and Jobname.ESAV from the static analysis must be available. Hence, if another analysis is performed between the static and the prestressed reduced transient dynamic analyses, the static analysis will need to be rerun.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.7. Sample Reduced Transient Dynamic Analysis (Command or Batch Method) 		Up / Home Next
5.9. Transient Dynamic Analysis Options


5.9. Transient Dynamic Analysis Options

The following sections provide additional details about defining integration time step, automatic time stepping, and damping.

5.9.1. Guidelines for Integration Time Step

The accuracy of the transient dynamic solution depends on the integration time step: the smaller the time step, the higher the accuracy. A time step that is too large introduces an error that affects the response of the higher modes (and hence the overall response). A time step that is too small wastes computer resources. To calculate an optimum time step, adhere to the following guidelines:

  1. Resolve the response frequency. The time step should be small enough to resolve the motion (response) of the structure. Since the dynamic response of a structure can be thought of as a combination of modes, the time step should be able to resolve the highest mode that contributes to the response. For the Newmark time integration scheme, it has been found that using approximately twenty points per cycle of the highest frequency of interest results in a reasonably accurate solution. That is, if f is the frequency (in cycles/time), the integration time step (ITS) is given by

    ITS = 1/(20f)

    Smaller ITS values may be required if acceleration results are needed.

    The following figure shows the effect of ITS on the period elongation of a single-DOF spring-mass system. Notice that 20 or more points per cycle result in a period elongation of less than 1 percent.

    Figure 5.4 Effect of Integration Time Step on Period Elongation

    For the HHT time integration method, the same guidelines for time step should be applied. Note that if the same time step and time integration parameters are used, the HHT method will be more accurate compared to the Newmark method.

    An alternative way to select time step size is to use the midstep residual criterion. When this criterion is used, the response frequency criterion is disabled by default. You have the option to enable the response frequency criterion along with the midstep residual criterion (see item 6 below).

  2. Resolve the applied load-versus-time curve(s). The time step should be small enough to "follow" the loading function. The response tends to lag the applied loads, especially for stepped loads, as shown in Figure 5.5: "Transient Input vs. Transient Response". Stepped loads require a small ITS at the time of the step change so that the step change can be closely followed. ITS values as small as 1/180f may be needed to follow stepped loads.

    Figure 5.5 Transient Input vs. Transient Response

  3. Resolve the contact frequency. In problems involving contact (impact), the time step should be small enough to capture the momentum transfer between the two contacting surfaces. Otherwise, an apparent energy loss will occur and the impact will not be perfectly elastic. The integration time step can be determined from the contact frequency (fc) as:

    where k is the gap stiffness, m is the effective mass acting at the gap, and N is the number of points per cycle. To minimize the energy loss, at least thirty points per cycle of (N = 30) are needed. Larger values of N may be required if acceleration results are needed. For the reduced and mode-superposition methods, N must be at least 7 to ensure stability.

    You can use fewer than thirty points per cycle during impact if the contact period and contact mass are much less than the overall transient time and system mass, because the effect of any energy loss on the total response would be small.

  4. Resolve the wave propagation. If you are interested in wave propagation effects, the time step should be small enough to capture the wave as it travels through the elements. See Build the Model for a discussion of element size.

  5. Resolve the nonlinearities. For most nonlinear problems, a time step that satisfies the preceding guidelines is sufficient to resolve the nonlinearities. There are a few exceptions, however: if the structure tends to stiffen under the loading (for example, large deflection problems that change from bending to membrane load-carrying behavior), the higher frequency modes that are excited will have to be resolved.

  6. Satisfy the time step accuracy criterion. Satisfaction of the dynamics equations at the end of each time step ensures the equilibrium at these discrete points of time. The equilibrium at the intermediate time is usually not satisfied. If the time step is small enough, it can be expected that the intermediate state should not deviate too much from the equilibrium. On the other hand, if the time step is large, the intermediate state can be far from the equilibrium. The midstep residual norm provides a measure of the accuracy of the equilibrium for each time step. You can use the MIDTOL command to choose this criterion. See the MIDTOL command description for suggested tolerance values. See also Midstep Residual for Structural Dynamic Analysis in the Theory Reference for ANSYS and ANSYS Workbench.

After calculating the time step using the appropriate guidelines, use the minimum value for your analysis. By using automatic time stepping, you can let the ANSYS program decide when to increase or decrease the time step during the solution. Automatic time stepping is discussed next.

Caution

Avoid using exceedingly small time steps, especially when establishing initial conditions. Exceedingly small numbers can cause numerical difficulties. Based on a problem time scale of unity, for example, time steps smaller than 10-10 could cause numerical difficulties.

5.9.2. Automatic Time Stepping

Automatic time stepping, also known as time step optimization, attempts to adjust the integration time step during solution based on the response frequency and on the effects of nonlinearities. The main benefit of this feature is that the total number of substeps can be reduced, resulting in computer resource savings. Also, the number of times that you might have to rerun the analysis (adjusting the time step size, nonlinearities, and so on) is greatly reduced. If nonlinearities are present, automatic time stepping gives the added advantage of incrementing the loads appropriately and retreating to the previous converged solution (bisection) if convergence is not obtained. You can activate automatic time stepping with the AUTOTS command. (For more information on automatic time stepping in the context of nonlinearities, see "Nonlinear Structural Analysis".)

Although it seems like a good idea to activate automatic time stepping for all analyses, there are some cases where it may not be beneficial (and may even be harmful):

  • Problems that have only localized dynamic behavior (for example, turbine blade and hub assemblies), where the low-frequency energy content of part of the system may dominate the high-frequency areas

  • Problems that are constantly excited (for example, seismic loading), where the time step tends to change continually as different frequencies are excited

  • Kinematics (rigid-body motion) problems, where the rigid-body contribution to the response frequency term may dominate

5.9.3. Damping

Damping is present in most systems and should be specified in a dynamic analysis. The following forms of damping are available in the ANSYS program:

  • Alpha and Beta Damping (Rayleigh Damping)

  • Material-Dependent Damping

  • Constant Material Damping Coefficient

  • Constant Damping Ratio

  • Modal Damping

  • Element Damping

Only the constant damping ratio and modal damping are available in the ANSYS Professional program. You can specify more than one form of damping in a model. The program will formulate the damping matrix (C) as the sum of all the specified forms of damping. The constant material damping coefficient is only applicable in full and modal harmonic analyses.

Table 5.5: "Damping for Different Analysis Types" shows the types of damping available for different structural analyses.

Table 5.5 Damping for Different Analysis Types

Analysis Type | Alpha, Beta Damping ALPHAD, BETAD | Material-Dependent Damping MP,DAMP | Constant Damping Ratio DMPRAT | Modal Damping MDAMP | Element Damping(3) COMBIN7, and so on | Constant Material Damping Coefficient MP,DMPR
Static | N/A | N/A | N/A | N/A | N/A | N/A
Modal |  |  |  |  |  |
Undamped | No(5) | No(5) | No(5) | No | No | No
Damped | Yes | Yes | No | No | Yes | No(7)
Harmonic |  |  |  |  |  |
Full | Yes | Yes | Yes | No | Yes | Yes
Reduced | Yes | Yes | Yes | No | Yes | No
Mode Sup | Yes(6) | Yes(4,6) | Yes | Yes | Yes(6) | Yes(7)
Transient |  |  |  |  |  |
Full | Yes | Yes | No | No | Yes | No
Reduced | Yes | Yes | No | No | Yes | No
Mode Sup | Yes(6) | Yes(4,6) | Yes | Yes | Yes(6) | No
Spectrum |  |  |  |  |  |
SPRS, MPRS(2) | Yes(1) | Yes | Yes | Yes | No | No
DDAM(2) | Yes(1) | Yes | Yes | Yes | No | No
PSD | Yes | Yes(4) | Yes | Yes | No | No
Buckling | N/A | N/A | N/A | N/A | N/A | N/A
Substructure | Yes | Yes | No | No | Yes | No
N/A Not applicable

  1. β damping only, no α damping

  2. Damping is used only for mode combination and not for computation of mode coefficients

  3. Includes superelement damping matrix

  4. If converted to modal damping by expansion of modes

  5. If specified, an effective damping ratio is calculated for subsequent spectrum analyses

  6. The QR damped eigensolver supports damping that may be present in the system (applied via the various damping specification methods available in ANSYS). However, the damping must be applied in the modal analysis portion of the mode-superposition analysis.

  7. Only the QR damped method supports the constant material damping coefficient application in a downstream mode-superposition harmonic analysis

Alpha damping and Beta damping are used to define Rayleigh damping constants α and β. The damping matrix (C) is calculated by using these constants to multiply the mass matrix (M) and stiffness matrix (K):

(C) = α(M) + β(K)

The ALPHAD and BETAD commands are used to specify α and β, respectively, as decimal numbers. The values of α and β are not generally known directly, but are calculated from modal damping ratios, ξi. ξi is the ratio of actual damping to critical damping for a particular mode of vibration, i. If ωi is the natural circular frequency of mode i, α and β satisfy the relation

ξi = α/2ωi + βωi/2

In many practical structural problems, alpha damping (or mass damping) may be ignored (α = 0). In such cases, you can evaluate β from known values of ξi and ωi, as

β = 2 ξi/ωi

Only one value of β can be input in a load step, so choose the most dominant frequency active in that load step to calculate β.

To specify both α and β for a given damping ratio ξ, it is commonly assumed that the sum of the α and β terms is nearly constant over a range of frequencies (see Figure 5.6: "Rayleigh Damping"). Therefore, given ξ and a frequency range ωi to ωj, two simultaneous equations can be solved for α and β.

Figure 5.6 Rayleigh Damping

Alpha damping can lead to undesirable results if an artificially large mass has been introduced into the model. One common example is when an artificially large mass is added to the base of a structure to facilitate acceleration spectrum input. (You can use the large mass to convert an acceleration spectrum to a force spectrum.) The alpha damping coefficient, which is multiplied by the mass matrix, will produce artificially large damping forces in such a system, leading to inaccuracies in the spectrum input, as well as in the system response.

Beta damping and material damping can lead to undesirable results in a nonlinear analysis. These damping coefficients are multiplied by the stiffness matrix, which is constantly changing in a nonlinear analysis. The resulting change in damping can sometimes be opposite to the actual change in damping that can occur in physical structures. For example, whereas physical systems that experience softening due to plastic response will usually experience a corresponding increase in damping, an ANSYS model that has beta damping will experience a decrease in damping as plastic softening response develops.

Material-dependent damping allows you to specify beta damping (β) as a material property (MP,DAMP). Note, however, that MP,DAMP in a spectrum analysis (ANTYPE,SPECTR) specifies a material-dependent damping ratio ξ, not β. Also note that for multi-material elements such as SOLID46, SOLID65, SHELL91, and SHELL99, β can only be specified for the element as a whole, not for each material in the element. In these cases, β is determined from the material pointer for the element (set with the MAT command), rather than the material pointed to by any real constant MAT for the element. MP,DAMP is not assumed to be temperature-dependent, and is always evaluated at T = 0.0.

The constant material damping coefficient is available only for full and modal harmonic analyses.

The constant damping ratio is the simplest way of specifying damping in the structure. It represents the ratio of actual damping to critical damping, and is specified as a decimal number with the DMPRAT command. DMPRAT is available only for spectrum, harmonic response, and mode-superposition transient dynamic analyses.

Modal damping gives you the ability to specify different damping ratios for different modes of vibration. It is specified with the MDAMP command and is available only for the spectrum and mode-superposition method of solution (transient dynamic and harmonic response analyses).

Element damping involves using element types having viscous damping characteristics, such as COMBIN7, COMBIN14, COMBIN37, COMBIN40, and so on.

If you are running a mode-superposition analysis and used the QR damping solution method for the modal solution, alpha (ALPHAD), beta (BETAD), material-dependent, and element damping must be defined in the QR damping modal solution for the damping to be available in a subsequent mode-superposition analysis.

For more information about damping, see the Theory Reference for ANSYS and ANSYS Workbench.

The explicit mathematical expressions that form the damping matrix in different analysis options are shown in Table 5.6: "Damping Matrix Formulation with Different Damping Coefficients". These expressions define how each of the damping options in Table 5.5: "Damping for Different Analysis Types" is handled in a dynamic analysis.

Table 5.6 Damping Matrix Formulation with Different Damping Coefficients

Analysis Type | Full Harmonic & Transient Analysis | Modal Analysis LANB(1) | Mode-Superposition Harmonic Analysis(1) | Mode-Superposition Transient Analysis(1) | Spectrum Analysis(1) (modal damping ratio)
Modal Analysis QRDA(1)
ALPHAD α | α[M] | No | ΦTα[M]Φ = α | ΦTα[M]Φ = α | No
α[M]
BETAD β | β[K] | No
β[K] | No
MP,DAMP No No No
See (Equation 17–120) in the Theory Reference for ANSYS and ANSYS Workbench
No
DMPRAT ξ | Harmonic | No | 2ξωi | 2ξωi | ξ
No
MDAMP | No | No
No
Element Damping | No | No | No | No
MP,DMPR | Harmonic | No | No | No | No

Note

  1. For modal, mode-superposition , and spectrum analyses the boxes are split where applicable with the top indicating the Lanczos method and the bottom indicating the QR damped method.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.8. Performing a Prestressed Transient Dynamic Analysis 		Up / Home Next
5.10. Where to Find Other Examples


5.10. Where to Find Other Examples

Several ANSYS publications, particularly the Verification Manual, describe additional transient dynamic analyses.

The Verification Manual consists of test case analyses demonstrating the analysis capabilities of the ANSYS program. While these test cases demonstrate solutions to realistic analysis problems, the Verification Manual does not present them as step-by-step examples with lengthy data input instructions and printouts. However, most ANSYS users who have at least limited finite element experience should be able to fill in the missing details by reviewing each test case's finite element model and input data with accompanying comments.

The Verification Manual includes a variety of transient dynamic analysis test cases:

VM9 - Large Lateral Deflection of Unequal Stiffness Springs
VM40 - Large Deflection and Rotation of a Beam Pinned at One End
VM65 - Transient Response of a Ball Impacting a Flexible Surface
VM71 - Transient Response of a Spring, Mass, Damping System
VM72 - Logarithmic Decrement
VM73 - Free Vibration with Coulomb Damping
VM74 - Transient Response to an Impulsive Excitation
VM75 - Transient Response to a Step Excitation
VM77 - Transient Response to a Constant Force with a Finite Rise Time
VM79 - Transient Response of a Bilinear Spring Assembly
VM80 - Plastic Response to a Suddenly Applied Constant Force
VM81 - Transient Response of a Drop Container
VM84 - Displacement Propagation along a Bar with Free Ends
VM85 - Transient Displacements in a Suddenly Stopped Moving Bar
VM91 - Large Rotation of a Swinging Pendulum
VM156 - Natural Frequency of Nonlinear Spring-Mass System
VM158 - Motion of a Bobbing Buoy
VM179 - Dynamic Double Rotation of a Jointed Beam
VM182 - Transient Response of a Spring-Mass System

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.9. Transient Dynamic Analysis Options 		Up / Home Next
Chapter 6. Spectrum Analysis


Chapter 6. Spectrum Analysis

A spectrum analysis is one in which the results of a modal analysis are used with a known spectrum to calculate displacements and stresses in the model. It is mainly used in place of a time-history analysis to determine the response of structures to random or time-dependent loading conditions such as earthquakes, wind loads, ocean wave loads, jet engine thrust, rocket motor vibrations, and so on.

The following spectrum analysis topics are available:

  • Understanding Spectrum Analysis
  • Steps in a Single-Point Response Spectrum (SPRS) Analysis
  • Sample Spectrum Analysis (GUI Method)
  • Sample Spectrum Analysis (Command or Batch Method)
  • Where to Find Other Examples
  • Performing a Random Vibration (PSD) Analysis
  • Performing a DDAM Spectrum Analysis
  • Performing a Multi-Point Response Spectrum (MPRS) Analysis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.10. Where to Find Other Examples 		Up / Home Next
6.1. Understanding Spectrum Analysis


6.1. Understanding Spectrum Analysis

The spectrum is a graph of spectral value versus frequency that captures the intensity and frequency content of time-history loads. Three types of spectra are available for a spectrum analysis:

  • Response Spectrum

    • Single-Point Response Spectrum (SPRS)

    • Multi-Point Response Spectrum (MPRS)

  • Dynamic Design Analysis Method (DDAM)

  • Power Spectral Density (PSD)

SPRS is the only method available in the ANSYS Professional program.

6.1.1. Response Spectrum

A response spectrum represents the response of single-DOF systems to a time-history loading function. It is a graph of response versus frequency, where the response might be displacement, velocity, acceleration, or force. Two types of response spectrum analysis are possible: single-point response spectrum and multi-point response spectrum.

6.1.1.1. Single-Point Response Spectrum (SPRS)

In a single-point response spectrum (SPRS) analysis, you specify one response spectrum curve (or a family of curves) at a set of points in the model, such as at all supports, as shown in Figure 6.1: "Single-Point and Multi-Point Response Spectra" (a).

6.1.1.2. Multi-Point Response Spectrum (MPRS)

In a multi-point response spectrum (MPRS) analysis, you specify different spectrum curves at different sets of points, as shown in Figure 6.1: "Single-Point and Multi-Point Response Spectra" (b).

Figure 6.1 Single-Point and Multi-Point Response Spectra

6.1.2. Dynamic Design Analysis Method (DDAM)

The Dynamic Design Analysis Method (DDAM) is a technique used to evaluate the shock resistance of shipboard equipment. The technique is essentially a response spectrum analysis in which the spectrum is obtained from a series of empirical equations and shock design tables provided in the U.S. Naval Research Laboratory Report NRL-1396.

6.1.3. Power Spectral Density

Power spectral density (PSD) is a statistical measure defined as the limiting mean-square value of a random variable. It is used in random vibration analyses in which the instantaneous magnitudes of the response can be specified only by probability distribution functions that show the probability of the magnitude taking a particular value.

A PSD is a statistical measure of the response of a structure to random dynamic loading conditions. It is a graph of the PSD value versus frequency, where the PSD may be a displacement PSD, velocity PSD, acceleration PSD, or force PSD. Mathematically, the area under a PSD-versus-frequency curve is equal to the variance (square of the standard deviation of the response).

Similar to response spectrum analysis, a random vibration analysis may be single-point or multi-point. In a single-point random vibration analysis, you specify one PSD spectrum at a set of points in the model. In a multi-point random vibration analysis, you specify different PSD spectra at different points in the model.

6.1.4. Deterministic vs. Probabilistic Analyses

Response spectrum and DDAM analyses are deterministic analyses because both the input to the analyses and output from the analyses are actual maximum values. Random vibration analysis, on the other hand, is probabilistic in nature, because both input and output quantities represent only the probability that they take on certain values.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 6. Spectrum Analysis 		Up / Home Next
6.2. Steps in a Single-Point Response Spectrum (SPRS) Analysis


6.2. Steps in a Single-Point Response Spectrum (SPRS) Analysis

The procedure for a single-point response spectrum analysis consists of six main steps:

  1. Build the model.

  2. Obtain the modal solution.

  3. Obtain the spectrum solution.

  4. Expand the modes.

  5. Combine the modes.

  6. Review the results.

The modal solution is required because the structure's mode shapes and frequencies must be available to calculate the spectrum solution. Also, by performing the spectrum solution ahead of mode expansion, you can expand only the significant modes that contribute to the final solution.

6.2.1. Build the Model

See Building the Model in the Basic Analysis Guide. For further details, see the Modeling and Meshing Guide.

6.2.1.1. Points to Remember

  • Only linear behavior is valid in a spectrum analysis. Nonlinear elements, if any, are treated as linear. If you include contact elements, for example, their stiffnesses are calculated based on their initial status and are never changed.

  • Both Young's modulus (EX) (or stiffness in some form) and density (DENS) (or mass in some form) must be defined. Material properties can be linear, isotropic or orthotropic, and constant or temperature-dependent. Nonlinear properties, if any, are ignored.

6.2.2. Obtain the Modal Solution

The modal solution - natural frequencies and mode shapes - is needed to calculate the spectrum solution. The procedure to obtain the modal solution is described in "Modal Analysis", but you should keep in mind the following additional points:

  • Use the Block Lanczos, PCG Lanczos, subspace, or reduced method to extract the modes. The other methods - unsymmetric, damped, and QR damped - are not valid for subsequent spectrum analysis.

  • The number of modes extracted should be enough to characterize the structure's response in the frequency range of interest.

  • Use MXPAND,-1 so that modes are not expanded at this time, but can be expanded selectively in a separate solution pass. (See the use of the SIGNIF field on the MXPAND command.) Otherwise, choose YES to expand all the modes at this phase.

  • If material-dependent damping is to be included in the spectrum analysis, it must be specified in the modal analysis.

  • Be sure to constrain those DOF where you want to apply a base excitation spectrum.

  • At the end of the solution, leave the SOLUTION processor.

6.2.3. Obtain the Spectrum Solution

The procedure to obtain the spectrum solution is explained below. The mode file and the full file (jobname.MODE, jobname.FULL) from the modal analysis must be available, and the database must contain the model data.

  1. Enter SOLUTION.

    Command(s): /SOLU
    GUI: Main Menu> Solution

  2. Define the analysis type and analysis options. ANSYS offers the following analysis options for a spectrum analysis. Not all modal analysis options and not all eigenvalue extraction techniques work with all spectrum analysis options.

    Table 6.1 Analysis Types and Options

    Option | Command | GUI Path
    New Analysis | ANTYPE | Main Menu> Solution> Analysis Type> New Analysis
    Analysis Type: Spectrum | ANTYPE | Main Menu> Solution> Analysis Type> New Analysis> Spectrum
    Spectrum Type: SPRS | SPOPT | Main Menu> Solution> Analysis Type> Analysis Options
    No. of Modes to Use for Solution | SPOPT | Main Menu> Solution> Analysis Type> Analysis Options

    • Option: New Analysis [ANTYPE]

      Choose New Analysis.

    • Option: Analysis Type: Spectrum [ANTYPE]

      Choose analysis type spectrum.

    • Option: Spectrum Type: Single-point Response Spectrum [SPOPT]

      Choose Single-point Response Spectrum (SPRS).

    • Option: Number of Modes to Use for Solution [SPOPT]

      Choose enough modes to cover the frequency range spanned by the spectrum and to characterize the structure's response. The accuracy of the solution depends on the number of modes used: the larger the number, the higher the accuracy. Make sure to choose YES on the SPOPT command if you want to calculate element stresses.

  3. Specify load step options. The following options are available for single-point response spectrum analysis:

    Table 6.2 Load Step Options

    Option | Command | GUI Path
    Spectrum Options
    Type of Response Spectrum | SVTYP | Main Menu> Solution> Load Step Opts> Spectrum> Single Point> Settings
    Excitation Direction | SED | Main Menu> Solution> Load Step Opts> Spectrum> Single Point> Settings
    Spectral-value- vs-frequency Curve | FREQ, SV | Main Menu> Solution> Load Step Opts> Spectrum> Single Point> Freq Table or Spectr Values
    Damping (Dynamics Options)
    Beta (Stiffness) Damping | BETAD | Main Menu> Solution> Load Step Opts> Time/Frequenc> Damping
    Constant Damping Ratio | DMPRAT | Main Menu> Solution> Load Step Opts> Time/Frequenc> Damping
    Modal Damping | MDAMP | Main Menu> Solution> Load Step Opts> Time/Frequenc> Damping

    • Spectrum Options

      These data include the following:

      • Type of Response Spectrum [SVTYP]

        The spectrum type can be displacement, velocity, acceleration, force, or PSD. All except the force spectrum represent seismic spectra; that is, they are assumed to be specified at the base. The force spectrum is specified at non-base nodes with the F or FK command, and the direction is implied by labels FX, FY, FZ. The PSD spectrum [SVTYP,4] is internally converted to a displacement response spectrum and is limited to flat, narrowband spectra; a more robust random vibration analysis procedure is described in Performing a Random Vibration (PSD) Analysis.

      • Excitation Direction [SED]

      • Spectral-Value-Versus-Frequency Curve [FREQ, SV]

        SV and FREQ commands are used to define the spectral curve. You can define a family of spectral curves, each curve for a different damping ratio. Use the STAT command to list current spectrum curve values. Another command, ROCK, allows you to specify a rocking spectrum.

    • Damping (Dynamics Options)

      If you specify more than one form of damping, the ANSYS program calculates an effective damping ratio at each frequency. The spectral value at this effective damping ratio is then calculated by log-log interpolation of the spectral curves. If no damping is specified, the spectral curve with the lowest damping is used. For further details about the different forms of damping, see Damping in "Transient Dynamic Analysis".

      The following forms of damping are available:

      • Beta (stiffness) Damping [BETAD]

        This option results in a frequency-dependent damping ratio.

      • Constant Damping Ratio [DMPRAT]

        This option specifies a constant damping ratio to be used at all frequencies.

      • Modal Damping [MDAMP]

        Note

        Material-dependent damping ratio [MP,DAMP] is also available but only if specified in the modal analysis. MP,DAMP also specifies a material-dependent constant damping ratio (and not material-dependent beta damping, as used in other analyses).

  4. Start solution calculations.

    Command(s): SOLVE
    GUI: Main Menu> Solution> Solve> Current LS

    The output from the solution includes the participation factor table. The participation factor table, which is part of the printed output, lists the participation factors, mode coefficients (based on lowest damping ratio), and the mass distribution for each mode. To obtain the maximum response of each mode (modal response), multiply the mode shape by the mode coefficient. You do this by retrieving the mode coefficient with the *GET command and using it as a scale factor in the SET command.

  5. Repeat steps 3 and 4 for additional response spectra, if any. Note that solutions are not written to the file.rst at this time.

  6. Leave the SOLUTION processor.

    Command(s): FINISH
    GUI: Close the Solution menu.

6.2.4. Expand the Modes

  1. Click on the expansion pass option button on the Expansion Pass dialog box to signify YES for an expansion pass.

    Command(s): MXPAND
    GUI: Main Menu> Solution> Analysis Type> New Analysis> Modal
    Main Menu> Solution> Analysis Type> Expansion Pass
    Main Menu> Solution> Load Step Opts> Expansion Pass> Expand Modes

  2. You must expand modes regardless of whether you used the Block Lanczos, PCG Lanczos, subspace, or reduced extraction method. Details of how to expand the modes are explained in "Modal Analysis" under "Expand the Modes" as a separate solution pass, but you should keep in mind the following points:

    • Only significant modes can be selectively expanded. (See the use of the SIGNIF field on the MXPAND command.) If you want to selectively expand modes use MXPAND,-1. You then perform mode expansion as a separate solution pass after performing the spectrum solution.

    • Only expanded modes are used for the mode combination operation in the subsequent mode combination pass.

    • If you are interested in stresses caused by the spectrum, be sure to request stress calculations here. By default, no stresses are calculated in the expansion pass, which means no stresses are available for the spectrum analysis.

    • If you want to expand all the modes, you can include the mode expansion steps in the modal solution pass by issuing the MXPAND command. If you are using the GUI method and want to expand all the modes, choose YES for mode expansion on the dialog box for the modal analysis options [MODOPT] in the modal solution step. But if you want to expand only the significant modes, you must perform mode expansion as a separate solution pass after performing the spectrum solution.

Note that modal analysis solutions are written to the results file (Jobname.RST) only if the mode expansion is performed.

6.2.5. Combine the Modes

Combine the modes in a separate solution phase. A maximum of 1000 modes can be combined. The procedure is as follows:

  1. Enter SOLUTION.

    Command(s): /SOLU
    GUI: Main Menu> Solution

  2. Define analysis type.

    Command(s): ANTYPE
    GUI: Main Menu> Solution> Analysis Type> New Analysis

    • Option: New Analysis [ANTYPE]

      Choose New Analysis.

    • Option: Analysis Type: Spectrum [ANTYPE]

      Choose analysis type spectrum.

  3. Choose one of the mode combination methods.

    ANSYS offers five different mode combination methods for the single-point response spectrum analysis:

    • Square Root of Sum of Squares (SRSS)

    • Complete Quadratic Combination (CQC)

    • Double Sum (DSUM)

    • Grouping (GRP)

    • Naval Research Laboratory Sum (NRLSUM)

    The NRLSUM method is typically used in the context of the Dynamic Design and Analysis Method (DDAM) spectrum analysis.

    The following commands are used to invoke different methods of mode combinations:

    Command(s): SRSS,
    CQC,
    DSUM,
    GRP,
    NRLSUM
    GUI: Main Menu> Solution> Analysis Type> New Analysis> Spectrum
    Main Menu> Solution> Analysis Type> Analysis Opts> Single-pt resp
    Main Menu> Load Step Opts> Spectrum> Spectrum-Single Point-Mode Combine

    These commands allow computation of three different types of responses:

    • Displacement (label = DISP)

    Displacement response refers to displacements, stresses, forces, etc.

    • Velocity (label = VELO)

    Velocity response refers to velocities, "stress velocities," "force velocities," etc.

    • Acceleration (label = ACEL)

    Acceleration response refers to accelerations, "stress accelerations," "force accelerations," etc.

    The DSUM method also allows the input of time duration for earthquake or shock spectrum.

    Note

    You must specify damping if you use the Complete Quadratic Combination method of mode combination (CQC). In addition, if you use material-dependent damping [MP,DAMP,...], you must request that element results be calculated in the modal expansion. (Elcalc = YES on the MXPAND command.)

  4. Start solution.

    Command(s): SOLVE
    GUI: Main Menu> Solution> Solve> Current LS

    The mode combination phase writes a file of POST1 commands (Jobname.MCOM). Read in this file in POST1 to do the mode combinations, using the results file (Jobname.RST) from the modal expansion pass.

    The file Jobname.MCOM contains POST1 commands that combine the maximum modal responses by using the specified mode combination method to calculate the overall response of the structure.

    The mode combination method determines how the structure's modal responses are to be combined:

    • If you selected displacement as the response type (label = DISP), displacements and stresses are combined for each mode on the mode combination command.

    • If you selected velocity as the response type (label = VELO), velocities and stress velocities are combined for each mode on the mode combination command.

    • If you selected acceleration as the response type (label = ACEL), accelerations and stress accelerations are combined for each mode on the mode combination command.

  5. Leave the SOLUTION processor.

    Command(s): FINISH
    GUI: Close the Solution menu.

    Note

    If you want to compute velocity or acceleration in addition to displacement, repeat the mode combination step after postprocessing the displacement solution by using the VELO or ACEL label on the mode combination commands (SRSS, CQC, GRP, DSUM, NRLSUM). Remember that the existing Jobname.MCOM file is overwritten by the additional mode combination step(s).

6.2.6. Review the Results

Results from a single-point response spectrum analysis are written to the mode combination file, Jobname.MCOM, in the form of POST1 commands. These commands calculate the overall response of the structure by combining the maximum modal responses in some fashion (specified by one of the mode combination methods). The overall response consists of the overall displacements (or velocities or accelerations) and, if placed on the results file during the expansion pass, the overall stresses (or stress velocities or stress accelerations), strains (or strain velocities or strain accelerations), and reaction forces (or reaction force velocities or reaction force accelerations).

You can use POST1, the general postprocessor, to review the results.

Note

If you want a direct combination of the derived stresses (S1, S2, S3, SEQV, SI) from the results file, issue the SUMTYPE,PRIN command before reading in the Jobname.MCOM file. With the PRIN option, component stresses are not available.

Note that the command default (SUMTYPE,COMP) is to directly operate only on the unaveraged element component stresses and compute the derived quantities from these. Refer to Creating and Combining Load Cases in the Basic Analysis Guide. Also, see the Commands Reference for a description of the SUMTYPE command.

  1. Read the commands on Jobname.MCOM.

    Command(s): /INPUT
    GUI: Utility Menu> File> Read Input From

    For example, issue /INPUT with the following arguments:

    /INPUT,FILE,MCOM!Assumes the default jobname FILE

  2. Display results.

    • Option: Display Deformed Shape

      Command(s): PLDISP
      GUI: Main Menu> General Postproc> Plot Results> Deformed Shape

    • Option: Contour Displays

      Command(s): PLNSOL or
      PLESOL
      GUI: Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu or Element Solu

      Use PLNSOL or PLESOL to contour almost any result item, such as stresses (SX, SY, SZ ...), strains (EPELX, EPELY, EPELZ ...), and displacements (UX, UY, UZ ...). If you previously issued the SUMTYPE command, the results of the PLNSOL or PLESOL command are affected by the particular SUMTYPE command option (SUMTYPE,COMP or SUMTYPE,PRIN) that you selected.

      Use the PLETAB command to contour element table data and PLLS to contour line element data.

      Caution

      Derived data, such as stresses and strains, are averaged at the nodes by the PLNSOL command. This averaging results in "smeared" values at nodes where elements of different materials, different shell thicknesses, or other discontinuities meet. To avoid the smearing effect, use selecting (described in "Selecting and Components" in the Basic Analysis Guide) to select elements of the same material, same shell thickness, etc. before issuing PLNSOL.

      You can view correct membrane results for shells (SHELL, MID) by using KEYOPT(8) = 2 (for SHELL93, SHELL181, SHELL208, SHELL209, and SHELL281) or KEYOPT(11) = 2 (SHELL63). These KEYOPTS write the mid-surface node results directly to the results file, and allow the membrane results to be directly operated on during squaring operations. The default method of averaging the TOP and BOT squared values to obtain a MID value can possibly yield incorrect MID values.

    • Option: Vector Displays

      Command(s): PLVECT
      GUI: Main Menu> General Postproc> Plot Results> Vector Plot> Predefined

    • Option: Tabular Listings

      Command(s): PRNSOL (nodal results)
      PRESOL (element-by-element results)
      PRRSOL (reaction data)
      GUI: Main Menu> General Postproc> List Results> Nodal Solution
      Main Menu> General Postproc> List Results> Element Solution
      Main Menu> General Postproc> List Results> Reaction Solution

    • Other Capabilities

      Many other postprocessing functions, such as mapping results onto a path, transforming results to different coordinate systems, and load case combinations, are available in POST1. See The General Postprocessor (POST1) in the Basic Analysis Guide for details.

If you are using batch mode, note the following:

  • The modal solution and spectrum solution passes can be combined into a single modal analysis [ANTYPE,MODAL] solution pass, with spectrum loads [SV, SVTYP, SED, FREQ].

  • The mode expansion and mode combination solution passes can be combined into a single modal analysis [ANTYPE,MODAL and EXPASS,ON] solution pass with a mode combination command.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.1. Understanding Spectrum Analysis 		Up / Home Next
6.3. Sample Spectrum Analysis (GUI Method)


6.3. Sample Spectrum Analysis (GUI Method)

In this sample problem, you determine the seismic response of a beam structure. This problem is the same as VM70 in the Verification Manual.

6.3.1. Problem Description

A simply supported beam of length [image], mass per unit length m, and section properties shown in Problem Specifications, is subjected to a vertical motion of both supports. The motion is defined in terms of a seismic displacement response spectrum. Determine the nodal displacements, reactions forces, and the element solutions.

6.3.2. Problem Specifications

The following material properties are used for this problem:

E = 30 x 106 psi
m = 0.2 lb-sec2/in2

The following geometric properties are used for this problem:

I = (1000/3) in4
A = 273.9726 in2
= 240 in
h = 14 in

6.3.3. Problem Sketch

Figure 6.2 Simply Supported Beam with Vertical Motion of Both Supports

Response Spectrum
Frequency, Hz | Displacement, in.
0.1 | 0.44
10.0 | 0.44

6.3.4. Procedure

6.3.4.1. Set the Analysis Title

  1. Choose menu path Utility Menu> File> Change Title.

  2. Type the text "Seismic Response of a Beam Structure" and click on OK.

6.3.4.2. Define the Element Type

  1. Choose menu path Main Menu> Preprocessor> Element Type> Add/Edit/Delete. The Element Types dialog box appears.

  2. Click on Add. The Library of Element Types dialog box appears.

  3. Scroll down the list on the left to "Structural Beam" and select it.

  4. Click on "2D elastic 3" in the list on the right.

  5. Click on OK. The Library of Element Types dialog box closes.

  6. Click on Close in the Element Types dialog box.

6.3.4.3. Define the Real Constants

  1. Choose menu path Main Menu > Preprocessor > Real Constants > Add/Edit/Delete. The Real Constants dialog box appears.

  2. Click on Add. The Element Type for Real Constants dialog box appears.

  3. Click on OK. The Real Constants for BEAM3 dialog box appears.

  4. Enter 273.9726 for cross-sectional area.

  5. Enter (1000/3) for area moment of inertia.

  6. Enter 14 for total beam height and click on OK.

  7. Click on Close to close the Real Constants dialog box.

6.3.4.4. Define Material Properties

  1. Choose menu path Main Menu> Preprocessor> Material Props> Material Models. The Define Material Model Behavior dialog box appears.

  2. In the Material Models Available window, double-click on the following options: Structural, Linear, Elastic, Isotropic. A dialog box appears.

  3. Enter 30E6 for EX (Young's modulus), 0.30 for PRXY (Poisson's ratio), and then click on OK. Material Model Number 1 appears in the Material Models Defined window on the left.

  4. Double-click on Density. A dialog box appears.

  5. Enter 73E-5 for DENS (density), and click on OK.

  6. Choose menu path Material> Exit to remove the Define Material Model Behavior dialog box.

6.3.4.5. Define Keypoints and Line

  1. Choose menu path Main Menu> Preprocessor> Modeling> Create> Keypoints> In Active CS. The Create Keypoints in Active Coordinate System dialog box appears.

  2. Enter 1 for keypoint number.

  3. Click on Apply to accept the default X, Y, Z coordinates of 0,0,0.

  4. Enter 2 for keypoint number.

  5. Enter 240,0,0 for X, Y, and Z coordinates, respectively.

  6. Click on OK.

  7. Choose menu path Utility Menu> PlotCtrls> Numbering. The Plot Numbering Controls dialog box appears.

  8. Click on "keypoint numbers" to turn keypoint numbering on.

  9. Click on OK.

  10. Choose menu path Main Menu> Preprocessor> Modeling> Create> Lines> Lines> Straight Line. A picking menu appears.

  11. Click on keypoint 1, and then on keypoint 2. A straight line appears between the two keypoints.

  12. Click on OK. The picking menu closes.

6.3.4.6. Set Global Element Density and Mesh Line

  1. Choose menu path Main Menu > Preprocessor > Meshing > Size Cntrls > ManualSize > Global > Size. The Global Element Sizes dialog box appears.

  2. Enter 8 for the number of element divisions and click on OK. The Global Element Sizes dialog box closes.

  3. Choose menu path Main Menu> Preprocessor> Meshing> Mesh> Lines. A picking menu appears.

  4. Click on Pick All. The picking menu closes.

6.3.4.7. Set Boundary Conditions

  1. Choose menu path Main Menu> Solution> Define Loads> Apply> Structural> Displacement> On Nodes. A picking menu appears.

  2. In the graphics window, click once on the node at the left end of the beam.

  3. Click on OK. The Apply U,ROT on Nodes dialog box appears.

  4. In the scroll box of DOFs to be constrained, click once on "UY" to highlight it.

  5. Click on OK.

  6. Repeat steps 1-3 and select the node at the right end of the beam.

  7. In the scroll box of DOFs to be constrained, click once on "UX." Both "UX" and "UY" should be highlighted.

  8. Click on OK. The Apply U,ROT on Nodes dialog box closes.

6.3.4.8. Specify Analysis Type and Options

  1. Choose menu path Main Menu> Solution> Analysis Type> New Analysis. The New Analysis dialog box appears.

  2. Click on "Modal" to select it and click on OK. The New Analysis dialog box closes.

  3. Choose menu path Main Menu> Solution> Analysis Type> Analysis Options. The Modal Analysis dialog box appears.

  4. Click on "Reduced" as the mode extraction method [MODOPT].

  5. Enter 1 for the number of modes to expand.

  6. Click on the Calculate elem. results dialog button [MXPAND] to specify YES.

  7. Click on OK. The Modal Analysis dialog box closes, and the Reduced Modal Analysis dialog box appears.

  8. Enter 3 for the No. of modes to print and click on OK. The Reduced Modal Analysis dialog box closes.

  9. Choose menu path Main Menu> Solution> Master DOFs> User Selected> Define. The picking menu appears.

  10. Choose Pick All. The Define Master DOFs dialog box appears.

  11. Select UY for the 1st degree of freedom and click on OK. The Define Master DOFs dialog box closes.

6.3.4.9. Solve the Modal Analysis

  1. Choose menu path Main Menu> Solution> Solve> Current LS. The Solve Current Load Step dialog box appears, along with a status window.

  2. Carefully review the information in the status window, and then click on Close.

  3. Click on OK on the Solve Current Load Step dialog box to start the solution.

  4. When the solution is finished, a dialog box stating "Solution is done!" appears. Click on Close.

6.3.4.10. Set Up the Spectrum Analysis

  1. Choose menu path Main Menu> Solution> Analysis Type> New Analysis. The New Analysis dialog box appears, along with a warning message that states: "Changing the analysis type is only valid within the first load step. Pressing OK will cause you to exit and reenter SOLUTION. This will reset load step count to 1." Click on CLOSE to close the warning message box.

  2. Click on "Spectrum" to select it, and click on OK. The New Analysis dialog box closes.

  3. Choose menu path Main Menu> Solution> Load Step Opts> Spectrum> Single Point> Settings. The Settings for Single-point Response Spectrum dialog box appears.

  4. Select "Seismic displac" in the scroll box as the type of response spectrum.

  5. Enter 0,1,0 for excitation direction into the excitation direction input windows and click on OK.

6.3.4.11. Define Spectrum Value vs. Frequency Table

  1. Choose menu path Main Menu> Solution> Load Step Opts> Spectrum> Single Point> Freq Table. The Frequency Table dialog box appears.

  2. Enter 0.1 for FREQ1, enter 10 for FREQ2, and click on OK.

  3. Choose menu path Main Menu> Solution> Load Step Opts> Spectrum> Single Point> Spectr Values. The Spectrum Values - Damping Ratio dialog box appears.

  4. Click on OK to accept the default of no damping. The Spectrum Values dialog box appears.

  5. Enter 0.44 and 0.44 for FREQ1 and FREQ2, respectively.

  6. Click on OK. The Spectrum Values dialog box closes.

6.3.4.12. Solve Spectrum Analysis

  1. Choose menu path Main Menu> Solution> Solve> Current LS. The Solve Current Load Step dialog box appears, along with a status window.

  2. Carefully review the information in the status window, and then click on Close.

  3. Click on OK on the Solve Current Load Step dialog box to start the solution.

  4. When the solution is finished, a dialog box stating "Solution is done!" appears. Click on Close.

6.3.4.13. Set up the Expansion Pass

  1. Choose menu path Main Menu> Solution> Analysis Type> New Analysis. The New Analysis dialog box appears, along with a warning message that states: "Changing the analysis type is only valid within the first load step. Pressing OK will cause you to exit and reenter SOLUTION. This will reset load step count to 1." Click on CLOSE to close the warning message box.

  2. Click on "Modal" to select it, and click on OK. The New Analysis dialog box closes.

  3. Choose menu path Main Menu> Solution> Analysis Type> Expansion Pass. The Expansion Pass dialog box appears.

  4. Click on the expansion pass dialog button to turn it ON and click on OK. The Expansion Pass dialog box closes.

6.3.4.14. Expand the Modes

  1. Choose menu path Main Menu > Solution > Load Step Opts > Expansion Pass > Single Expand > Expand Modes. The Expand Modes dialog box appears.

  2. Enter 10 for the number of modes to expand and enter 0.005 for the significant threshold.

  3. Click on the calculate element results dialog button to specify YES for element results calculation.

  4. Click on OK. The Expand Modes dialog box closes.

6.3.4.15. Start Expansion Pass Calculation

  1. Choose menu path Main Menu> Solution> Solve> Current LS. The Solve Current Load Step dialog box appears, along with a status window.

  2. Carefully review the information in the status window, and then click on Close.

  3. Click on OK on the Solve Current Load Step dialog box to start the solution.

  4. When the solution is finished, a dialog box stating "Solution is done!" appears. Click on Close.

6.3.4.16. Set Up Mode Combination for Spectrum Analysis

  1. Choose menu path Main Menu> Solution> Analysis Type> New Analysis. The New Analysis dialog box appears, along with a warning message that states: "Changing the analysis type is only valid within the first load step. Pressing OK will cause you to exit and reenter SOLUTION. This will reset load step count to 1." Click on CLOSE to close the warning message box.

  2. Click on "Spectrum" to select it, and click on OK. The New Analysis dialog box closes.

  3. Choose menu path Main Menu> Solution> Analysis Type> Analysis Options. The Spectrum Analysis dialog box appears.

  4. Accept the default spectrum type single-point response. Click on OK. The Spectrum Analysis dialog box closes.

6.3.4.17. Select Mode Combination Method

  1. Choose menu path Main Menu> Solution> Load Step Opts> Spectrum> Single Point> Mode Combine. The Mode Combination Methods dialog box appears.

  2. Select SRSS as the mode combination method.

  3. Enter 0.15 for the significant threshold.

  4. Select displacement for the type of output. Click OK. The Mode Combination Methods dialog box closes.

6.3.4.18. Combine the Modes

  1. Choose menu path Main Menu> Solution> Solve> Current LS. The Solve Current Load Step dialog box appears, along with a status window.

  2. Carefully review the information in the status window, and then click on Close.

  3. Click on OK on the Solve Current Load Step dialog box to start the solution.

  4. When the solution is finished, a dialog box stating "Solution is done!" appears. Click on Close.

6.3.4.19. Postprocessing: Print Out Nodal, Element, and Reaction Solutions

  1. Choose menu path Main Menu > General Postproc > Results Summary. The SET Command listing window appears.

  2. Review the information in the listing window, and click on Close. The SET Command listing window closes.

  3. Choose menu path Utility Menu> File> Read Input From. The Read File dialog box appears.

  4. From the left side of the Read File dialog box, select the directory containing your results from the scroll box.

  5. From the right side of the Read File dialog box, select the jobname.mcom file from the scroll box.

  6. Click on OK. The Read File dialog box closes.

  7. Issue a PRNSOL,DOF command.

  8. Issue a PRESOL,ELEM command.

  9. Issue a PRRSOL,F command.

6.3.4.20. Exit ANSYS

  1. In the ANSYS Toolbar, click on Quit.

  2. Choose the save option you want and click on OK.

You are now finished with this sample problem.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.2. Steps in a Single-Point Response Spectrum (SPRS) Analysis 		Up / Home Next
6.4. Sample Spectrum Analysis (Command or Batch Method)


6.4. Sample Spectrum Analysis (Command or Batch Method)

You can perform the example spectrum analysis using the ANSYS commands shown below instead of GUI choices. Items prefaced by an exclamation point (!) are comments.

/PREP7
/TITLE Seismic Response of a Beam Structure
ET,1,BEAM3
R,1,273.9726,(1000/3),14   ! A = 273.9726, I = (1000/3), H = 14
MP,EX,1,30E6
MP,PRXY,1,0.30
MP,DENS,1,73E-5
K,1
K,2,240
L,1,2
ESIZE,,8
LMESH,1
NSEL,S,LOC,X,0
D,ALL,UY
NSEL,S,LOC,X,240
D,ALL,UX,,,,,UY
NSEL,ALL
FINISH
/SOLU
ANTYPE,MODAL              ! Mode-frequency analysis
MODOPT,REDUC,,,,3         ! Householder, print first 3 reduced mode shapes
MXPAND,1,,,YES            ! Expand first mode shape, calculate element stresses
M,ALL,UY
OUTPR,BASIC,1
SOLVE
FINISH
/SOLU
ANTYPE,SPECTR             ! Spectrum analysis
SPOPT,SPRS                ! Single point spectrum
SED,,1                    ! Global Y-axis as spectrum direction
SVTYPE,3                  ! Seismic displacement spectrum
FREQ,.1,10                ! Frequency points for SV vs. freq. table
SV,,.44,.44               ! Spectrum values associated with frequency points
SOLVE
FINISH
/SOLU
ANTYPE,MODAL              ! Mode-frequency analysis
EXPASS,ON
MXPAND,10,,,YES,0.005     ! Expand 10 mode shapes, calculate element stresses
                          ! set signif=0.005
SOLVE
FINISH
/SOLU
ANTYPE,SPECTR
SRSS,0.15,DISP    ! Square Root of Sum of Squares Mode combination
                  ! with signif=0.15 and displacement solution requested
SOLVE
FINISH
/POST1
SET,LIST
/INP,,mcom
PRNSOL,DOF                ! Print nodal solution
PRESOL,ELEM               ! Print element solution in element format
PRRSOL,F                  ! Print reaction solution
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.3. Sample Spectrum Analysis (GUI Method) 		Up / Home Next
6.5. Where to Find Other Examples


6.5. Where to Find Other Examples

Several ANSYS publications, particularly the Verification Manual, describe additional spectrum analyses.

The Verification Manual consists of test case analyses demonstrating the analysis capabilities of the ANSYS program. While these test cases demonstrate solutions to realistic analysis problems, the Verification Manual does not present them as step-by-step examples with lengthy data input instructions and printouts. However, most ANSYS users who have at least limited finite element experience should be able to fill in the missing details by reviewing each test case's finite element model and input data with accompanying comments.

The Verification Manual includes a variety of spectrum analysis test cases:

VM19 - Random Vibration Analysis of a Deep Simply-Supported Beam
VM68 - PSD Response of a Two DOF Spring-Mass System
VM69 - Seismic Response
VM70 - Seismic Response of a Beam Structure
VM203 - Dynamic Load Effect on Simply-Supported Thick Square Plate

See the Commands Reference for a discussion of the ANTYPE, MODOPT, D, EXPASS, MXPAND, SPOPT, SVTYP, SED, FREQ, SV, SRSS, CQC, DSUM, GRP, NRLSUM, and DMPRAT commands.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.4. Sample Spectrum Analysis (Command or Batch Method) 		Up / Home Next
6.6. Performing a Random Vibration (PSD) Analysis


6.6. Performing a Random Vibration (PSD) Analysis

The procedure for a PSD analysis consists of six main steps:

  1. Build the model.

  2. Obtain the modal solution.

  3. Expand the modes.

  4. Obtain the spectrum solution.

  5. Combine the modes.

  6. Review the results.

Of these, the first two steps are the same as described for a single-point response spectrum analysis. The procedure for the remaining four steps is explained below. Random vibration analysis is not available in the ANSYS Professional program.

In the GUI method, the dialog box for the modal analysis options [MODOPT] contains an option for mode expansion [MXPAND]. Choose YES for mode expansion. You then follow the instructions in Expand the Modes. The procedures for obtaining the modal solution and expanding the nodes are combined into a single step.

6.6.1. Expand the Modes

You must expand modes regardless of whether you used the subspace, Block Lanczos, PCG Lanczos, or reduced extraction method. Details about expanding the modes are explained in Expanding the Modes, but keep in mind the following additional points:

  • Only expanded modes are used for the mode combination step.

  • If you are interested in stresses caused by the spectrum, be sure to request stress calculations here. By default, no stresses are calculated in the expansion pass, which means no stresses are available at the end of the spectrum solution.

  • The mode expansion can be performed as a separate step, or can be included in the modal analysis phase.

  • At the end of the expansion pass, leave SOLUTION with the FINISH command. If you want to exit ANSYS after running the modal analysis, you must save the database at this point.

As explained in "Modal Analysis", you can combine the modal solution and mode expansion steps by including the MXPAND command in the modal analysis step (GUI and batch modes).

6.6.2. Obtain the Spectrum Solution

To obtain the PSD spectrum solution, the database must contain the model data as well as the modal solution data. If you leave ANSYS after running the modal analysis, you must save the database. In addition, the following files from the modal solution must be available: Jobname.MODE, .ESAV, .EMAT, .FULL (only for subspace, Block Lanczos, and PCG Lanczos methods), .RST.

  1. Enter SOLUTION.

    Command(s): /SOLU
    GUI: Main Menu> Solution

  2. Define the analysis type and analysis options:

    • For spectrum type [SPOPT], choose Power Spectral Density (PSD).

    • Specify stress calculations ON [SPOPT] if you are interested in stress results. Stresses caused by the spectrum are calculated only if they were also requested during the modal expansion pass.

  3. Specify load step options. The following options are available for a random vibration analysis:

    • Spectrum Data

      • Type of PSD

        Command(s): PSDUNIT
        GUI: Main Menu> Solution> Load Step Opts> Spectrum> PSD> Settings

        The PSD type can be displacement, velocity, force, pressure, or acceleration. Whether it is a base excitation or a nodal excitation is specified in Steps 4 and 5. If a pressure PSD is to be applied, the pressures should be applied in the modal analysis itself.

      • PSD-versus-frequency table

        Define a piecewise-linear (in log-log scale) PSD versus frequency table. Since a curve-fitting polynomial is used for the closed-form integration of the curve, you should graph the input, which is overlaid with the fitted curve, to ensure a good fit. If the fit is not good, you should add one or more intermediate points to the table until you obtain a good fit.

        Command(s): PSDFRQ,
        PSDVAL,
        PSDGRAPH
        GUI: Main Menu> Solution> Load Step Opts> Spectrum> PSD> PSD vs Freq
        Main Menu> Solution> Load Step Opts> Spectrum> PSD> Graph PSD Tables

        PSDFRQ and PSDVAL are used to define the PSD-versus-frequency table. Step 6 describes how to apply additional PSD excitations (if any).

        You can issue STAT to list PSD tables and issue PSDGRAPH to graph them.

    • Damping (Dynamics Options)

      The following forms of damping are available: ALPHAD, BETAD, and MDAMP result in a frequency-dependent damping ratio, whereas DMPRAT specifies a constant damping ratio to be used at all frequencies. If you specify more than one form of damping, ANSYS calculates an effective damping ratio at each frequency.

      Note

      If no damping is specified in a PSD analysis, a default DMPRAT of 1 percent is used.

      Note

      Material-dependent damping ratio [MP,DAMP] is also available but only if specified in the modal analysis. MP,DAMP also specifies a material-dependent constant damping ratio (and not material-dependent beta damping, as used in other analyses).

      • Alpha (Mass) Damping

        Command(s): ALPHAD
        GUI: Main Menu> Solution> Load Step Opts> Time/Frequenc> Damping

      • Beta (Stiffness) Damping

        Command(s): BETAD
        GUI: Main Menu> Solution> Load Step Opts> Time/Frequenc> Damping

      • Constant Damping Ratio

        Command(s): DMPRAT
        GUI: Main Menu> Solution> Load Step Opts> Time/Frequenc> Damping

      • Frequency-Dependent Damping Ratio

        Command(s): MDAMP
        GUI: Main Menu> Solution> Load Step Opts> Time/Frequenc> Damping

    The remaining steps are specific to a random vibration analysis:

  4. Apply the PSD excitation at the desired nodes.

    Use a value of 1.0 to indicate points where the PSD excitation applies. A value of 0.0 (or blank) can be used to remove a specification. The excitation direction is implied by the UX, UY, UZ labels on the D command (for base excitation), and by FX, FY, FZ on the F command (for nodal excitation). For nodal excitation, values other than 1.0 can be used to scale the participation factors. For pressure PSD, bring in the load vector from the modal analysis (LVSCALE). You can use the scale factor.

    Note

    You can apply base excitations only at nodes that were constrained in the modal analysis.

    Command(s): D (or
    DK,
    DL, or
    DA) for base excitation
    F (or
    FK) for nodal excitation
    LVSCALE for pressure PSD
    GUI: Main Menu> Solution> Define Loads> Apply> Structural> Spectrum> Base PSD Excit> On Nodes

  5. Begin participation factor calculations for the above PSD excitation.

    Use the TBLNO field to indicate which PSD table to use, and Excit to specify whether the calculations are for a base or nodal excitation.

    Command(s): PFACT
    GUI: Main Menu> Solution> Load Step Opts> Spectrum> PSD> Calculate PF

  6. If you need to apply multiple PSD excitations on the same model, repeat steps 3, 4, and 5 for each additional PSD table. Then define, as necessary, the degree of correlation between the excitations, using any of the following commands:

    Command(s): COVAL for cospectral values,
    QDVAL for quadspectral values,
    PSDSPL for a spatial relationship,
    PSDWAV for a wave propagation relationship,
    PSDGRAPH to graph the data overlaid with the fitted curve
    GUI: Main Menu> Solution> Load Step Opts> Spectrum> PSD> Correlation
    Main Menu> Solution> Load Step Opts> Spectrum> PSD> Graph Tables

    When you use the PSDSPL or PSDWAV command, you must use SPATIAL or WAVE, respectively, for Parcor on the PFACT command. PSDSPL and PSDWAV relationships might be quite CPU intensive for multi-point base excitations. Nodal excitation and base excitation input must be consistent when using PSDWAV and PSDSPL (for example, FY cannot be applied to one node and FZ be applied to another). The PSDSPL and PSDWAV commands are not available for a pressure PSD analysis.

  7. Specify the output controls.

    The only valid output control command for this analysis is PSDRES, which specifies the amount and form of output written to the results file. Up to three sets of solution quantities can be calculated: displacement solution, velocity solution, or acceleration solution. Each of these can be relative to the base or absolute.

    Command(s): PSDRES
    GUI: Main Menu> Solution> Load Step Opts> Spectrum> PSD> Calc Controls

    Table 6.3: "Solution Items Available in a PSD Analysis" shows a summary of the possible solution sets. To limit the amount of data written to the results file, use OUTRES at the mode expansion step. Using OUTPR,NSOL,ALL provides a summary table of the significant modal covariance terms.

    Table 6.3 Solution Items Available in a PSD Analysis

    Solution | Items | Form
    Displacement Solution (label DISP on PSDRES) | Displacements, stresses, strains, forces | Relative, absolute, or neither
    Velocity Solution (label VELO on PSDRES) | Velocities, stress velocities, force velocities, etc. | Relative, absolute, or neither
    Acceleration Solution (label ACEL on PSDRES) | Accelerations, stress accl's, force accl's, etc. | Relative, absolute, or neither

  8. Start solution calculations.

    Command(s): SOLVE
    GUI: Main Menu> Solution> Solve> Current LS

  9. Leave the SOLUTION processor.

    Command(s): FINISH
    GUI: Close the Solution menu.

6.6.3. Combine the Modes

The modes can be combined in a separate solution phase. A maximum of 1000 modes can be combined. The procedure is as follows:

  1. Enter Solution.

    Command(s): /SOLU
    GUI: Main Menu> Solution

  2. Define analysis type.

    • Option: New Analysis [ANTYPE]

      Choose New Analysis.

    • Option: Analysis Type: Spectrum [ANTYPE]

      Choose analysis type spectrum.

  3. Only the PSD mode combination method is valid in a random vibration analysis. This method triggers calculation of the one-sigma displacements, stresses, etc., in the structure. If you do not issue the PSDCOM command, the program does not calculate the one-sigma response of the structure.

    Command(s): PSDCOM
    GUI: Main Menu> Solution> Load Step Opts> Spectrum> PSD> Mode Combin

    The SIGNIF and COMODE fields on the PSD mode combination method [PSDCOM] offer options to reduce the number of modes to be combined (see the description of PSDCOM command). If you want to exercise these options, it is prudent to print the modal covariance matrices in Obtain the Spectrum Solution to first investigate the relative contributions of the modes toward the final solution.

  4. Start the solution.

    Command(s): SOLVE
    GUI: Main Menu> Solution> Solve> Current LS

  5. Leave the SOLUTION processor.

    Command(s): FINISH
    GUI: Close the Solution menu.

6.6.4. Review the Results

Results from a random vibration analysis are written to the structural results file, Jobname.RST. They consist of the following quantities:

  1. Expanded mode shapes from the modal analysis

  2. Static solution for base excitation [PFACT,,BASE]

  3. The following output, if mode combinations are requested [PSDCOM] and based on the PSDRES setting:

    • 1 σ displacement solution (displacements, stresses, strains, and forces)

    • 1 σ velocity solution (velocities, stress velocities, strain velocities, and force velocities)

    • 1 σ acceleration solution (accelerations, stress accelerations, strain accelerations, and force accelerations)

You can review these results in POST1, the general postprocessor, and then calculate response PSDs in POST26, the time-history postprocessor.

6.6.4.1. Reviewing the Results in POST1

To review results in POST1, you first need to understand how the results data are organized on the results file. Table 6.4: "Organization of Results Data from a PSD Analysis" shows the organization.

Note

Load step 2 is left blank if you specify only nodal PSD excitation. Also, if you suppress the displacement, velocity, or acceleration solution using the PSDRES command, the corresponding load step is left blank. Also, the superelement displacement file (.DSUB) is not written for load steps 3, 4, or 5 in a PSD analysis.

Table 6.4 Organization of Results Data from a PSD Analysis

Load Step | Substep | Contents
1 | 1 | Expanded modal solution for 1st mode
 | 2 | Expanded modal solution for 2nd mode
 | 3 | Expanded modal solution for 3rd mode
 | Etc. | Etc.
2 (Base excit. only) | 1 | Unit static solution for PSD table 1
 | 2 | Unit static solution for PSD table 2
 | Etc. | Etc.
3 | 1 | 1 sigma displacement solution
4 | 1 | 1 sigma velocity solution (if requested)
5 | 1 | 1 sigma acceleration solution (if requested)
6.6.4.1.1. Read the Desired Set of Results into the Database

For example, to read in the 1 σ displacement solution, issue the command:

SET,3,1
Command(s): | SET
GUI: | Main Menu> General Postproc> Read Results> First Set

6.6.4.1.2. Display the Results

Use the same options available for the SPRS analysis.

Note

Nodal stress averaging performed by the PLNSOL command may not be appropriate in a random vibration analysis because the "stresses" are not actual stresses but stress statistics.

6.6.4.2. Calculating Response PSDs in POST26

You can calculate and display response PSDs for any results quantity available on the results file (displacements, velocities, and/or accelerations) if the Jobname.RST and Jobname.PSD files are available.

The procedure to calculate the response PSD is as follows:

  1. Enter POST26, the time-history postprocessor.

    Command(s): /POST26
    GUI: Main Menu> TimeHist PostPro

  2. Store the frequency vector. NPTS is the number of frequency points to be added on either side of natural frequencies in order to "smooth" the frequency vector (defaults to 5). The frequency vector is stored as variable 1.

    Command(s): STORE,PSD,NPTS
    GUI: Main Menu> TimeHist Postpro> Store Data

  3. Define the variables in which the result items of interest (displacements, stresses, reaction forces, etc.) are to be stored.

    Command(s): NSOL,
    ESOL, and/or
    RFORCE
    GUI: Main Menu> TimeHist Postpro> Define Variables

  4. Calculate the response PSD and store it in the desired variable. The PLVAR command can then be used to plot the response PSD.

    Command(s): RPSD
    GUI: Main Menu> TimeHist Postpro> Calc Resp PSD

6.6.4.3. Calculating Covariance in POST26

You can compute the covariance between two quantities available on the results file (displacements, velocities, and/or accelerations), if the Jobname.RST and Jobname.PSD files are available.

The procedure to calculate the covariance between two quantities is as follows:

  1. Enter POST26, the time-history postprocessor.

    Command(s): /POST26
    GUI: Main Menu> TimeHist PostPro

  2. Define the variables in which the result items of interest (displacements, stresses, reaction forces, etc.) are to be stored.

    Command(s): NSOL,
    ESOL, and/or
    RFORCE
    GUI: Main Menu> TimeHist Postpro> Define Variables

  3. Calculate the contributions of each response component (relative or absolute response) and store them in the desired variable. The PLVAR command can then be used to plot the modal contributions (relative response) followed by the contributions of pseudo-static and mixed part responses to the total covariance.

    Command(s): CVAR
    GUI: Main Menu> TimeHist Postpro> Calc Covariance

  4. Obtain the covariance.

    Command(s): *GET,NameVARI,n,EXTREM,CVAR
    GUI: Utility Menu> Parameters> Get Scalar Data

6.6.5. Sample Input

A sample input listing for a random vibration (PSD) analysis is shown below:

!  Build the Model
/FILNAM,                        ! Jobname
/TITLE,                         ! Title
/PREP7                          ! Enter PREP7
 ...
 ...                            ! Generate model
 ...
FINISH
!
!  Obtain the Modal Solution
/SOLU                           ! Enter SOLUTION
ANTYPE,MODAL                    ! Modal analysis
MODOPT,REDU                     ! Reduced method
M, ...                          ! Master DOF
TOTAL, ...
D, ...                          ! Constraints
SAVE
SOLVE                           ! Initiates solution
FINISH
!  Expand the Modes
/SOLU                           ! Reenter SOLUTION
EXPASS,ON                       ! Expansion pass
MXPAND, ...                     ! Number of modes to expand
SOLVE
FINISH
!
!  Obtain the Spectrum Solution
/SOLU! Reenter SOLUTION
ANTYPE,SPECTR                   ! Spectrum analysis
SPOPT,PSD, ...                  ! Power Spectral Density; No. of modes;
                                !      Stress calcs. on/off
PSDUNIT, ...                    ! Type of spectrum
PSDFRQ, ...                     ! Frequency pts. (for spectrum values vs.
                                !       frequency tables)
PSDVAL, ...                     ! Spectrum values
DMPRAT, ...                     ! Damping ratio
D,0                             ! Base excitation
PFACT, ...                      ! Calculate participation factors
PSDRES, ...                     ! Output controls
SAVE
SOLVE
FINISH
!
!  Combine modes using PSD method
/SOLU                           ! Re-enter SOLUTION
ANTYPE,SPECTR                   ! Spectrum analysis
PSDCOM,SIGNIF,COMODE            ! PSD mode combinations with significance factor and
                                !      option for selecting a subset of modes for
                                !      combination
SOLVE
FINISH
!
!  Review the Results
/POST1                          ! Enter POST1
SET, ...                        ! Read results from appropriate load step, substep
 ...! Postprocess as desired
 ...! (PLDISP; PLNSOL; NSORT; PRNSOL; etc.)
 ...
FINISH
!
! Calculate Response PSD
/POST26                         ! Enter POST26
STORE,PSD                       ! Store frequency vector (variable 1)
NSOL,2,...                      ! Define variable 2 (nodal data)
RPSD,3,2,,...                   ! Calculate response PSD (variable 3)
PLVAR,3                         ! Plot the response PSD
 ...
! Calculate Covariance
RESET                           ! Reset all POST26 specifications to initial defaults.
NSOL,2                          ! Define variable 2 (nodal data).
NSOL,3                          ! Define variable 3 (nodal data).
CVAR,4,2,3,1,1                  ! Calculate covariance between displacement
                                !     at nodes 2 and 3.
*GET,CVAR23U,VARI,4,EXREME,CVAR ! Obtain covariance.
FINISH

See the Commands Reference for a discussion of the ANTYPE, MODOPT, M, TOTAL, D, EXPASS, MXPAND, SPOPT, PSDUNIT, PSDFRQ, PSDVAL, DMPRAT, PFACT, PSDCOM, SUMTYPE, and PSDRES commands.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.5. Where to Find Other Examples 		Up / Home Next
6.7. Performing a DDAM Spectrum Analysis


6.7. Performing a DDAM Spectrum Analysis

The procedure for a DDAM spectrum analysis is the same as that for a single-point response spectrum (SPRS) analysis (including file requirements), with the following exceptions:

  • Use the U. S. Customary system of units [inches (not feet), pounds, etc.] for all input data - model geometry, material properties, element real constants, etc.

  • Choose DDAM instead of SPRS as the spectrum type [SPOPT command].

  • Use the ADDAM and VDDAM commands instead of SVTYP, SV, and FREQ to specify the spectrum values and types. Specify the global direction of excitation using the SED command. Based on the coefficients specified in the ADDAM and VDDAM commands, the program computes the mode coefficients according to the empirical equations given in the Theory Reference for ANSYS and ANSYS Workbench.

  • The most applicable mode combination method is the NRL sum method [NRLSUM]. Mode combinations are done in the same manner as for a single-point response spectrum. Mode combinations require damping.

  • No damping needs to be specified for solution because it is implied by the ADDAM and VDDAM commands. If damping is specified, it is used for mode combinations but ignored for solution.

Note

As in the Single-point Response Spectrum analysis, DDAM spectrum analysis requires six steps to systematically perform the analysis.

If you are using batch mode, note the following:

  • The modal solution and DDAM spectrum solution passes can be combined into a single modal analysis [ANTYPE,MODAL] solution pass with DDAM spectrum loads [ADDAM, VDDAM, SED].

  • The mode expansion and mode combination solution passes can be combined into a single modal analysis [ANTYPE,MODAL and EXPASS,ON] solution pass with a mode combination command.

DDAM spectrum analysis is not available in the ANSYS Professional program.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.6. Performing a Random Vibration (PSD) Analysis 		Up / Home Next
6.8. Performing a Multi-Point Response Spectrum (MPRS) Analysis


6.8. Performing a Multi-Point Response Spectrum (MPRS) Analysis

The procedure for a multi-point response spectrum analysis is the same as that for random vibration (PSD) analysis (including file requirements), with the following exceptions:

  • Choose MPRS instead of PSD as the type of spectrum [SPOPT command].

  • The "PSD-versus-frequency" tables now represent spectral values versus frequency.

  • You cannot specify any degree of correlation between the spectra (i.e., they are assumed to be uncorrelated).

  • Only relative results (relative to the base excitation) not absolute values, are calculated.

  • All mode combination methods are available except PSDCOM.

  • Results from a multi-point response spectrum analysis are written to the mode combination file, Jobname.MCOM, in the form of POST1 commands. The commands calculate the overall response of the structure by combining the maximum modal responses in some fashion (specified by the mode combination command in SOLUTION). The overall response consists of the overall displacements and, if placed on the results file during the modal expansion pass, the overall stresses, strains, and reaction forces. If Label = VELO or ACEL on the mode combination command (SRSS, CQC, GRP, DSUM, or NRLSUM) during SOLUTION, the corresponding velocity or acceleration responses are written to the mode combination file.

Multi-point response spectrum analysis is not available in the ANSYS Professional program.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.7. Performing a DDAM Spectrum Analysis 		Up / Home Next
Chapter 7. Buckling Analysis


Chapter 7. Buckling Analysis

Buckling analysis is a technique used to determine buckling loads (critical loads at which a structure becomes unstable) and buckled mode shapes (the characteristic shape associated with a structure's buckled response).

The following buckling analysis topics are available:

  • Types of Buckling Analyses
  • Commands Used in a Buckling Analysis
  • Performing a Nonlinear Buckling Analysis
  • Performing a Post-Buckling Analysis
  • Procedure for Eigenvalue Buckling Analysis
  • Sample Buckling Analysis (GUI Method)
  • Sample Buckling Analysis (Command or Batch Method)
  • Where to Find Other Examples

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.8. Performing a Multi-Point Response Spectrum (MPRS) Analysis 		Up / Home Next
7.1. Types of Buckling Analyses


7.1. Types of Buckling Analyses

Two techniques are available in the ANSYS Multiphysics, ANSYS Mechanical, ANSYS Structural, and ANSYS Professional programs for predicting the buckling load and buckling mode shape of a structure: nonlinear buckling analysis, and eigenvalue (or linear) buckling analysis. Because the two methods can yield dramatically different results, it is necessary to first understand the differences between them.

7.1.1. Nonlinear Buckling Analysis

Nonlinear buckling analysis is usually the more accurate approach and is therefore recommended for design or evaluation of actual structures. This technique employs a nonlinear static analysis with gradually increasing loads to seek the load level at which your structure becomes unstable, as depicted in Figure 7.1: "Buckling Curves" (a).

Using the nonlinear technique, your model can include features such as initial imperfections, plastic behavior, gaps, and large-deflection response. In addition, using deflection-controlled loading, you can even track the post-buckled performance of your structure (which can be useful in cases where the structure buckles into a stable configuration, such as "snap-through" buckling of a shallow dome).

7.1.2. Eigenvalue Buckling Analysis

Eigenvalue buckling analysis predicts the theoretical buckling strength (the bifurcation point) of an ideal linear elastic structure. (See Figure 7.1: "Buckling Curves" (b).) This method corresponds to the textbook approach to elastic buckling analysis: for instance, an eigenvalue buckling analysis of a column will match the classical Euler solution. However, imperfections and nonlinearities prevent most real-world structures from achieving their theoretical elastic buckling strength. Thus, eigenvalue buckling analysis often yields unconservative results, and should generally not be used in actual day-to-day engineering analyses.

Figure 7.1 Buckling Curves

(a) Nonlinear load-deflection curve, (b) Linear (Eigenvalue) buckling curve

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 7. Buckling Analysis 		Up / Home Next
7.2. Commands Used in a Buckling Analysis


7.2. Commands Used in a Buckling Analysis

You use the same set of commands to build a model and perform a buckling analysis that you use to do any other type of finite element analysis. Likewise, you choose similar options from the graphical user interface (GUI) to build and solve models no matter what type of analysis you are doing.

Sample Buckling Analysis (GUI Method) and Sample Buckling Analysis (Command or Batch Method) show you how to perform an example eigenvalue buckling analysis via the GUI or via commands, respectively. For detailed, alphabetized descriptions of the ANSYS commands, see the Commands Reference.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.1. Types of Buckling Analyses 		Up / Home Next
7.3. Performing a Nonlinear Buckling Analysis


7.3. Performing a Nonlinear Buckling Analysis

A nonlinear buckling analysis is a static analysis with large deflection active (NLGEOM,ON), extended to a point where the structure reaches its limit load or maximum load. Other nonlinearities such as plasticity may be included in the analysis. The procedure for a static analysis is described in "Structural Static Analysis", and nonlinearities are described in "Nonlinear Structural Analysis".

7.3.1. Applying Load Increments

The basic approach in a nonlinear buckling analysis is to constantly increment the applied loads until the solution begins to diverge. Be sure to use a sufficiently fine load increment as your loads approach the expected critical buckling load. If the load increment is too coarse, the buckling load predicted may not be accurate. Turn on bisection and automatic time stepping (AUTOTS,ON) to help avoid this problem.

7.3.2. Automatic Time Stepping

With automatic time stepping on, the program automatically seeks out the buckling load. If automatic time stepping is ON in a static analysis having ramped loading and the solution does not converge at a given load, the program bisects the load step increment and attempts a new solution at a smaller load. In a buckling analysis, each such convergence failure is typically accompanied by a "negative pivot" message indicating that the attempted load equals or exceeds the buckling load. You can usually ignore these messages if the program successfully obtains a converged solution at the next, reduced load. If stress stiffness is active (SSTIF,ON), you should run without adaptive descent active (NROPT,FULL,,OFF) to ensure that a lower bound to the buckling load is attained. The program normally converges to the limiting load as the process of bisection and resolution continues to the point at which the minimum time step increment (specified by DELTIM or NSUBST) is achieved. The minimum time step will directly affect the precision of your results.

7.3.3. Unconverged Solution

An unconverged solution does not necessarily mean that the structure has reached its maximum load. It could also be caused by numerical instability, which might be corrected by refining your modeling technique. Track the load-deflection history of your structure's response to decide whether an unconverged load step represents actual structural buckling, or whether it reflects some other problem. Perform a preliminary analysis using the arc-length method (ARCLEN) to predict an approximate value of buckling load. Compare this approximate value to the more precise value calculated using bisection to help determine if the structure has indeed reached its maximum load. You can also use the arc-length method itself to obtain a precise buckling load, but this method requires you to adjust the arc-length radius by trial-and-error in a series of manually directed reanalyses.

7.3.4. Hints and Tips for Performing a Nonlinear Buckling Analysis

If the loading on the structure is perfectly in-plane (that is, membrane or axial stresses only), the out-of-plane deflections necessary to initiate buckling will not develop, and the analysis will fail to predict buckling behavior. To overcome this problem, apply a small out-of-plane perturbation, such as a modest temporary force or specified displacement, to begin the buckling response. (A preliminary eigenvalue buckling analysis of your structure may be useful as a predictor of the buckling mode shape, allowing you to choose appropriate locations for applying perturbations to stimulate the desired buckling response.) The imperfection (perturbation) induced should match the location and size of that in the real structure. The failure load is very sensitive to these parameters.

Consider these additional hints and tips as you perform a nonlinear buckling analysis:

  • Forces (and displacements) maintain their original orientation, but surface loads will "follow" the changing geometry of the structure as it deflects. Therefore, be sure to apply the proper type of loads.

  • Carry your stability analysis through to the point of identifying the critical load in order to calculate the structure's factor of safety with respect to nonlinear buckling. Merely establishing the fact that a structure is stable at a given load level is generally insufficient for most design practice; you will usually be required to provide a specified safety factor, which can only be determined by establishing the actual limit load.

  • For those elements that support the consistent tangent stiffness matrix (BEAM4 and SHELL63), activate the consistent tangent stiffness matrix (KEYOPT(2) = 1 and NLGEOM,ON) to enhance the convergence behavior of your nonlinear buckling analyses and improve the accuracy of your results. This element KEYOPT must be defined before the first load step of the solution and cannot be changed once the solution has started.

  • Many other elements (such as BEAM188, BEAM189, SHELL181, and SHELL281) provide consistent tangent stiffness matrix with NLGEOM,ON.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.2. Commands Used in a Buckling Analysis 		Up / Home Next
7.4. Performing a Post-Buckling Analysis


7.4. Performing a Post-Buckling Analysis

A post-buckling analysis is a continuation of a nonlinear buckling analysis. After a load reaches its buckling value, the load value may remain unchanged or it may decrease, while the deformation continues to increase. For some problems, after a certain amount of deformation, the structure may start to take more loading to keep deformation increasing, and a second buckling can occur. The cycle may even repeat several times.

Because the post-buckling stage is unstable, special techniques must be used. Nonlinear stabilization can help with local and global buckling, and the arc-length method is useful for global buckling. For more information, see Unstable Structures.

Nonlinear stabilization analysis is more straightforward for a post-buckling analysis. Because the buckling load is unknown at the beginning of an analysis, you can do perform a nonlinear analysis as usual using automatic time stepping. When the buckling load is reached or a convergence problem occurs, you can activate stabilization during a multiframe restart and continue the analysis. If the deformation becomes stable later, you can deactivate stabilization until the next buckling occurs.

If only local buckling exists, the total load could still increase when buckling occurs because the total loading is distributed differently. For these cases, nonlinear stabilization is the only applicable technique.

Because nonlinear stabilization cannot detect the negative slope of a load-vs.-displacement curve, it may yield less accurate results for history-dependent materials, and the maximum loads (buckling loads) may not be obvious. For such cases, use the arc-length method.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.3. Performing a Nonlinear Buckling Analysis 		Up / Home Next
7.5. Procedure for Eigenvalue Buckling Analysis


7.5. Procedure for Eigenvalue Buckling Analysis

Again, remember that eigenvalue buckling analysis generally yields unconservative results, and should usually not be used for design of actual structures. If you decide that eigenvalue buckling analysis is appropriate for your application, follow this procedure:

  1. Build the model.

  2. Obtain the static solution.

  3. Obtain the eigenvalue buckling solution.

  4. Expand the solution.

  5. Review the results.

7.5.1. Build the Model

See Building the Model in the Basic Analysis Guide. For further details, see the Modeling and Meshing Guide.

7.5.1.1. Points to Remember

  • Only linear behavior is valid. Nonlinear elements, if any, are treated as linear. If you include contact elements, for example, their stiffnesses are calculated based on their status after the static prestress run and are never changed.

  • Young's modulus (EX) (or stiffness in some form) must be defined. Material properties may be linear, isotropic or orthotropic, and constant or temperature-dependent. Nonlinear properties, if any, are ignored.

7.5.2. Obtain the Static Solution

The procedure to obtain a static solution is the same as described in "Structural Static Analysis", with the following exceptions:

  • Prestress effects (PSTRES) must be activated. Eigenvalue buckling analysis requires the stress stiffness matrix to be calculated.

  • Unit loads are usually sufficient (that is, actual load values need not be specified). The eigenvalues calculated by the buckling analysis represent buckling load factors. Therefore, if a unit load is specified, the load factors represent the buckling loads. All loads are scaled. (Also, the maximum permissible eigenvalue is 1,000,000 - you must use larger applied loads if your eigenvalue exceeds this limit.)

  • It is possible that different buckling loads may be predicted from seemingly equivalent pressure and force loads in a eigenvalue buckling analysis. The difference can be attributed to the fact that pressure is considered as a “follower” load. The force on the surface depends on the prescribed pressure magnitude and also on the surface orientation. Forces are not considered as follower loads. As with any numerical analysis, it is recommended to use the type of loading which best models the in-service component. See Pressure Load Stiffness of the Theory Reference for ANSYS and ANSYS Workbench for more details.

  • Note that eigenvalues represent scaling factors for all loads. If certain loads are constant (for example, self-weight gravity loads) while other loads are variable (for example, externally applied loads), you need to ensure that the stress stiffness matrix from the constant loads is not factored by the eigenvalue solution.

    One strategy that you can use to achieve this end is to iterate on the eigensolution, adjusting the variable loads until the eigenvalue becomes 1.0 (or nearly 1.0, within some convergence tolerance). Design optimization could be useful in driving this iterative procedure to a final answer.

    Consider, for example, a pole having a self-weight W0, which supports an externally-applied load, A. To determine the limiting value of A in an eigenvalue buckling solution, you could solve repetitively, using different values of A, until by iteration you find an eigenvalue acceptably close to 1.0.

    Figure 7.2 Adjusting Variable Loads to Find an Eigenvalue of 1.0

  • You can apply a nonzero constraint in the prestressing pass as the static load. The eigenvalues found in the buckling solution will be the load factors applied to these nonzero constraint values. However, the mode shapes will have a zero value at these degrees of freedom (and not the nonzero value specified).

  • At the end of the solution, leave SOLUTION (FINISH).

7.5.3. Obtain the Eigenvalue Buckling Solution

This step requires files Jobname.EMAT and Jobname.ESAV from the static analysis. Also, the database must contain the model data (issue RESUME if necessary). Follow the steps below to obtain the eigenvalue buckling solution.

  1. Enter the ANSYS solution processor.

    Command(s): /SOLU
    GUI: Main Menu> Solution

  2. Specify the analysis type.

    Command(s): ANTYPE,BUCKLE
    GUI: Main Menu> Solution> Analysis Type> New Analysis

    Note

    Restarts are not valid in an eigenvalue buckling analysis.

    Note

    When you specify an eigenvalue buckling analysis, a Solution menu that is appropriate for buckling analyses appears. The Solution menu will be either "abridged" or "unabridged", depending on the actions you took prior to this step in your ANSYS session. The abridged menu contains only those solution options that are valid and/or recommended for buckling analyses. If you are on the abridged Solution menu and you want to access other solution options (that is, solution options that are valid for you to use, but their use may not be encouraged for this type of analysis), select the Unabridged Menu option from the Solution menu. For details, see Using Abridged Solution Menus in the Basic Analysis Guide.

  3. Specify analysis options.

    Command(s): BUCOPT, Method, NMODE, SHIFT
    GUI: Main Menu> Solution> Analysis Type> Analysis Options

    Regardless of whether you use the command or GUI method, you can specify values for these options:

    • For Method, specify the eigenvalue extraction method. You can choose subspace iteration or Block Lanczos. The Block Lanczos and subspace iteration methods use the full system matrices. See Option: Mode-Extraction Method (MODOPT) in this manual for more information about these solution methods.

    • For NMODE, specify the number of eigenvalues to be extracted. This argument defaults to one, which is usually sufficient for eigenvalue buckling.

    • For SHIFT, specify the point (load factor) about which eigenvalues are calculated. The shift point is helpful when numerical problems are encountered (due to negative eigenvalues, for example). Defaults to 0.0.

  4. Specify load step options.

    The only load step options valid for eigenvalue buckling are output controls and expansion pass options.

    Command(s): OUTPR,NSOL,ALL
    GUI: Main Menu> Solution> Load Step Opts> Output Ctrls> Solu Printout

    You can make the expansion pass a part of the eigenvalue buckling solution or perform it as a separate step. In this document, we treat the expansion pass as a separate step. See Expand the Solution for details.

  5. Save a backup copy of the database to a named file.

    Command(s): SAVE
    GUI: Utility Menu> File> Save As

  6. Start solution calculations.

    Command(s): SOLVE
    GUI: Main Menu> Solution> Solve> Current LS

    The output from the solution mainly consists of the eigenvalues, which are printed as part of the printed output (Jobname.OUT). The eigenvalues represent the buckling load factors; if unit loads were applied in the static analysis, they are the buckling loads. No buckling mode shapes are written to the database or the results file, so you cannot postprocess the results yet. To do this, you need to expand the solution (explained next).

    Sometimes you may see both positive and negative eigenvalues calculated. Negative eigenvalues indicate that buckling occurs when the loads are applied in an opposite sense.

  7. Exit the SOLUTION processor.

    Command(s): FINISH
    GUI: Close the Solution menu.

7.5.4. Expand the Solution

If you want to review the buckled mode shape(s), you must expand the solution regardless of which eigenvalue extraction method is used. In the case of the subspace iteration method, which uses full system matrices, you may think of "expansion" to simply mean writing buckled mode shapes to the results file.

7.5.4.1. Points to Remember

  • The mode shape file (Jobname.MODE) from the eigenvalue buckling solution must be available.

  • The database must contain the same model for which the solution was calculated.

7.5.4.2. Expanding the Solution

The procedure to expand the mode shapes is explained below.

  1. Reenter SOLUTION.

    Command(s): /SOLU
    GUI: Main Menu> Solution

    Note

    You must explicitly leave SOLUTION (using the FINISH command) and reenter (/SOLU) before performing the expansion pass.

  2. Specify that this is an expansion pass.

    Command(s): EXPASS,ON
    GUI: Main Menu> Solution> Analysis Type> ExpansionPass

  3. Specify expansion pass options.

    Command(s): MXPAND, NMODE, , , Elcalc
    GUI: Main Menu> Solution> Load Step Opts> ExpansionPass> Expand Modes

    Regardless of whether you use the command or GUI method, the following options are required for the expansion pass:

    • For NMODE, specify the number of modes to expand. This argument defaults to the total number of modes that were extracted.

    • For Elcalc, indicate whether you want ANSYS to calculate stresses. "Stresses" in an eigenvalue analysis do not represent actual stresses, but give you an idea of the relative stress or force distribution for each mode. By default, no stresses are calculated.

  4. Specify load step options.

    The only options valid in a buckling expansion pass are the following output controls:

    • Printed Output

      Use this option to include any results data on the output file (Jobname.OUT).

      Command(s): OUTPR
      GUI: Main Menu> Solution> Load Step Opts> Output Ctrl> Solu Printout

    • Database and Results File Output

      This option controls the data on the results file (Jobname.RST).

      Command(s): OUTRES
      GUI: Main Menu> Solution> Load Step Opts> Output Ctrl> DB/Results File

      Note

      The FREQ field on OUTPR and OUTRES can only be ALL or NONE, that is, the data can be requested for all modes or no modes - you cannot write information for every other mode, for instance.

  5. Start expansion pass calculations.

    The output consists of expanded mode shapes and, if requested, relative stress distributions for each mode.

    Command(s): SOLVE
    GUI: Main Menu> Solution> Solve> Current LS

  6. Leave the SOLUTION processor. You can now review results in the postprocessor.

    Command(s): FINISH
    GUI: Close the Solution menu.

    Note

    The expansion pass has been presented here as a separate step. You can make it part of the eigenvalue buckling solution by including the MXPAND command (Main Menu> Solution> Load Step Opts> ExpansionPass> Expand Modes) as one of the analysis options.

7.5.5. Review the Results

Results from a buckling expansion pass are written to the structural results file, Jobname.RST. They consist of buckling load factors, buckling mode shapes, and relative stress distributions. You can review them in POST1, the general postprocessor.

Note

To review results in POST1, the database must contain the same model for which the buckling solution was calculated (issue RESUME if necessary). Also, the results file (Jobname.RST) from the expansion pass must be available.

  1. List all buckling load factors.

    Command(s): SET,LIST
    GUI: Main Menu> General Postproc> Results Summary

  2. Read in data for the desired mode to display buckling mode shapes. (Each mode is stored on the results file as a separate substep.)

    Command(s): SET,SBSTEP
    GUI: Main Menu> General Postproc> Read Results> load step

  3. Display the mode shape.

    Command(s): PLDISP
    GUI: Main Menu> General Postproc> Plot Results> Deformed Shape

  4. Contour the relative stress distributions.

    Command(s): PLNSOL or
    PLESOL
    GUI: Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solution
    Main Menu> General Postproc> Plot Results> Contour Plot> Element Solution

See the Commands Reference for a discussion of the ANTYPE, PSTRES, D, F, SF, BUCOPT, EXPASS, MXPAND, OUTRES, SET, PLDISP, and PLNSOL commands.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.4. Performing a Post-Buckling Analysis 		Up / Home Next
7.6. Sample Buckling Analysis (GUI Method)


7.6. Sample Buckling Analysis (GUI Method)

In this sample problem, you will analyze the buckling of a bar with hinged ends.

7.6.1. Problem Description

Determine the critical buckling load of an axially loaded long slender bar of length [image] with hinged ends. The bar has a cross-sectional height h, and area A. Only the upper half of the bar is modeled because of symmetry. The boundary conditions become free-fixed for the half-symmetry model. The moment of inertia of the bar is calculated as I = Ah2/12 = 0.0052083 in4.

7.6.2. Problem Specifications

The following material properties are used for this problem:

E = 30 x 106 psi

The following geometric properties are used for this problem:

= 200 in
A = 0.25 in2
h = 0.5 in

Loading for this problem is:

F = 1 lb.

7.6.3. Problem Sketch

Figure 7.3 Bar with Hinged Ends

7.6.3.1. Set the Analysis Title

After you enter the ANSYS program, follow these steps to set the title.

  1. Choose menu path Utility Menu> File> Change Title.

  2. Enter the text "Buckling of a Bar with Hinged Ends" and click on OK.

7.6.3.2. Define the Element Type

In this step, you define BEAM3 as the element type.

  1. Choose menu path Main Menu> Preprocessor> Element Type> Add/Edit/Delete. The Element Types dialog box appears.

  2. Click on Add. The Library of Element Types dialog box appears.

  3. In the scroll box on the left, click on "Structural Beam" to select it.

  4. In the scroll box on the right, click on "2D elastic 3" to select it.

  5. Click on OK, and then click on Close in the Element Types dialog box.

7.6.3.3. Define the Real Constants and Material Properties

  1. Choose menu path Main Menu> Preprocessor> Real Constants> Add/Edit/Delete. The Real Constants dialog box appears.

  2. Click on Add. The Element Type for Real Constants dialog box appears.

  3. Click on OK. The Real Constants for BEAM3 dialog box appears.

  4. Enter .25 for area, 52083e-7 for IZZ, and .5 for height.

  5. Click on OK.

  6. Click on Close in the Real Constants dialog box.

  7. Choose menu path Main Menu> Preprocessor> Material Props> Material Models. The Define Material Model Behavior dialog box appears.

  8. In the Material Models Available window, double-click on the following options: Structural, Linear, Elastic, Isotropic. A dialog box appears.

  9. Enter 30e6 for EX (Young's modulus), and click on OK. Material Model Number 1 appears in the Material Models Defined window on the left.

  10. Choose menu path Material> Exit to remove the Define Material Model Behavior dialog box.

7.6.3.4. Define Nodes and Elements

  1. Choose menu path Main Menu> Preprocessor> Modeling> Create> Nodes> In Active CS. The Create Nodes in Active Coordinate System dialog box appears.

  2. Enter 1 for node number.

  3. Click on Apply. Node location defaults to 0,0,0.

  4. Enter 11 for node number.

  5. Enter 0,100,0 for the X, Y, Z coordinates.

  6. Click on OK. The two nodes appear in the ANSYS Graphics window.

    Note

    The triad, by default, hides the node number for node 1. To turn the triad off, choose menu path Utility Menu> PlotCtrls> Window Controls> Window Options and select the "Not Shown" option for Location of triad. Then click OK to close the dialog box.

  7. Choose menu path Main Menu> Preprocessor> Modeling> Create> Nodes> Fill between Nds. The Fill between Nds picking menu appears.

  8. Click on node 1, then 11, and click on OK. The Create Nodes Between 2 Nodes dialog box appears.

  9. Click on OK to accept the settings (fill between nodes 1 and 11, and number of nodes to fill 9).

  10. Choose menu path Main Menu> Preprocessor> Modeling> Create> Elements> Auto Numbered> Thru Nodes. The Elements from Nodes picking menu appears.

  11. Click on nodes 1 and 2, then click on OK.

  12. Choose menu path Main Menu> Preprocessor> Modeling> Copy> Elements> Auto Numbered. The Copy Elems Auto-Num picking menu appears.

  13. Click on Pick All. The Copy Elements (Automatically-Numbered) dialog box appears.

  14. Enter 10 for total number of copies and enter 1 for node number increment.

  15. Click on OK. The remaining elements appear in the ANSYS Graphics window.

7.6.3.5. Define the Boundary Conditions

  1. Choose menu path Main Menu> Solution> Unabridged Menu> Analysis Type> New Analysis. The New Analysis dialog box appears.

  2. Click OK to accept the default of "Static."

  3. Choose menu path Main Menu> Solution> Analysis Type> Analysis Options. The Static or Steady-State Analysis dialog box appears.

  4. In the scroll box for stress stiffness or prestress, scroll to "Prestress ON" to select it.

  5. Click on OK.

  6. Choose menu path Main Menu> Solution> Define Loads> Apply> Structural> Displacement> On Nodes. The Apply U,ROT on Nodes picking menu appears.

  7. Click on node 1 in the ANSYS Graphics window, then click on OK in the picking menu. The Apply U,ROT on Nodes dialog box appears.

  8. Click on "All DOF" to select it, and click on OK.

  9. Choose menu path Main Menu> Solution> Define Loads> Apply> Structural> Force/Moment> On Nodes. The Apply F/M on Nodes picking menu appears.

  10. Click on node 11, then click OK. The Apply F/M on Nodes dialog box appears.

  11. In the scroll box for Direction of force/mom, scroll to "FY" to select it.

  12. Enter -1 for the force/moment value, and click on OK. The force symbol appears in the ANSYS Graphics window.

7.6.3.6. Solve the Static Analysis

  1. Choose menu path Main Menu> Solution> Solve> Current LS.

  2. Carefully review the information in the status window, and click on Close.

  3. Click on OK in the Solve Current Load Step dialog box to begin the solution.

  4. Click on Close in the Information window when the solution is finished.

7.6.3.7. Solve the Buckling Analysis

  1. Choose menu path Main Menu> Solution> Analysis Type> New Analysis.

    Note

    Click on Close in the Warning window if the following warning appears: Changing the analysis type is only valid within the first load step. Pressing OK will cause you to exit and reenter SOLUTION. This will reset the load step count to 1.

  2. In the New Analysis dialog box, click the "Eigen Buckling" option on, then click on OK.

  3. Choose menu path Main Menu> Solution> Analysis Type> Analysis Options. The Eigenvalue Buckling Options dialog box appears.

  4. Click on the "Block Lanczos" option, and enter 1 for number of modes to extract.

  5. Click on OK.

  6. Choose menu path Main Menu> Solution> Load Step Opts> ExpansionPass> Expand Modes.

  7. Enter 1 for number of modes to expand, and click on OK.

  8. Choose menu path Main Menu> Solution> Solve> Current LS.

  9. Carefully review the information in the status window, and click on Close.

  10. Click on OK in the Solve Current Load Step dialog box to begin the solution.

  11. Click on Close in the Information window when the solution is finished.

7.6.3.8. Review the Results

  1. Choose menu path Main Menu> General Postproc> Read Results> First Set.

  2. Choose menu path Main Menu> General Postproc> Plot Results> Deformed Shape. The Plot Deformed Shape dialog box appears.

  3. Click the "Def + undeformed" option on. Click on OK. The deformed and undeformed shapes appear in the ANSYS graphics window.

7.6.3.9. Exit ANSYS

  1. In the ANSYS Toolbar, click on Quit.

  2. Choose the save option you want and click on OK.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.5. Procedure for Eigenvalue Buckling Analysis 		Up / Home Next
7.7. Sample Buckling Analysis (Command or Batch Method)


7.7. Sample Buckling Analysis (Command or Batch Method)

You can perform the example buckling analysis of a bar with hinged ends using the ANSYS commands shown below instead of GUI choices. Items prefaced by an exclamation point (!) are comments.

/PREP7
/TITLE, BUCKLING OF A BAR WITH HINGED SOLVES
ET,1,BEAM3                ! Beam element
R,1,.25,52083E-7,.5       ! Area,IZZ, height
MP,EX,1,30E6              ! Define material properties
N,1
N,11,,100
FILL
E,1,2
EGEN,10,1,1
FINISH

/SOLU
ANTYPE,STATIC             ! Static analysis
PSTRES,ON                 ! Calculate prestress effects
D,1,ALL                   ! Fix symmetry ends
F,11,FY,-1                ! Unit load at free end
SOLVE
FINISH

/SOLU
ANTYPE,BUCKLE             ! Buckling analysis
BUCOPT,LANB,1             ! Use Block Lanczos solution method, extract 1 mode
MXPAND,1                  ! Expand 1 mode shape
SOLVE
FINISH
/POST1
SET,FIRST
PLDISP,1
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.6. Sample Buckling Analysis (GUI Method) 		Up / Home Next
7.8. Where to Find Other Examples


7.8. Where to Find Other Examples

Several ANSYS publications, particularly the Verification Manual, describe additional buckling analyses.

The Verification Manual consists of test case analyses demonstrating the analysis capabilities of the ANSYS program. While these test cases demonstrate solutions to realistic analysis problems, the Verification Manual does not present them as step-by-step examples with lengthy data input instructions and printouts. However, most ANSYS users who have at least limited finite element experience should be able to fill in the missing details by reviewing each test case's finite element model and input data with accompanying comments.

The Verification Manual contains a variety of buckling analysis test cases:

VM17 - Snap-Through Buckling of a Hinged Shell
VM127 - Buckling of a Bar with Hinged Ends (Line Elements)
VM128 - Buckling of a Bar with Hinged Ends (Area Elements)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.7. Sample Buckling Analysis (Command or Batch Method) 		Up / Home Next
Chapter 8. Nonlinear Structural Analysis


Chapter 8. Nonlinear Structural Analysis

Structural nonlinearities occur on a routine basis. For example, whenever you staple two pieces of paper together, the metal staples are permanently bent into a different shape, as shown in Figure 8.1: "Common Examples of Nonlinear Structural Behavior" (a). If you heavily load a wooden shelf, it will sag more and more as time passes, as shown in Figure (b). As weight is added to a car or truck, the contact surfaces between its pneumatic tires and the underlying pavement change in response to the added load, as shown in Figure (c). If you were to plot the load-deflection curve for each example, you would discover that they exhibit the fundamental characteristic of nonlinear structural behavior: a changing structural stiffness.

Figure 8.1 Common Examples of Nonlinear Structural Behavior

The following nonlinear structural analysis topics are available:

  • Causes of Nonlinear Behavior
  • Basic Information About Nonlinear Analyses
  • Using Geometric Nonlinearities
  • Modeling Material Nonlinearities
  • Running a Nonlinear Analysis in ANSYS
  • Performing a Nonlinear Static Analysis
  • Performing a Nonlinear Transient Analysis
  • Sample Input for a Nonlinear Transient Analysis
  • Restarts
  • Using Nonlinear (Changing-Status) Elements
  • Unstable Structures
  • Tips and Guidelines for Nonlinear Analysis
  • Sample Nonlinear Analysis (GUI Method)
  • Sample Nonlinear Analysis (Command or Batch Method)
  • Where to Find Other Examples

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.8. Where to Find Other Examples 		Up / Home Next
8.1. Causes of Nonlinear Behavior


8.1. Causes of Nonlinear Behavior

Nonlinear structural behavior arises from a number of causes, which can be grouped into these principal categories:

  • Changing status

  • Geometric nonlinearities

  • Material nonlinearities

8.1.1. Changing Status (Including Contact)

Many common structural features exhibit nonlinear behavior that is status-dependent. For example, a tension-only cable is either slack or taut; a roller support is either in contact or not in contact. Status changes might be directly related to load (as in the case of the cable), or they might be determined by some external cause.

Situations in which contact occurs are common to many different nonlinear applications. Contact forms a distinctive and important subset to the category of changing-status nonlinearities.

See the Contact Technology Guide for detailed information on performing contact analyses using ANSYS.

8.1.2. Geometric Nonlinearities

If a structure experiences large deformations, its changing geometric configuration can cause the structure to respond nonlinearly. An example would be the fishing rod shown in Figure 8.2: "A Fishing Rod Demonstrates Geometric Nonlinearity". Geometric nonlinearity is characterized by "large" displacements and/or rotations.

Figure 8.2 A Fishing Rod Demonstrates Geometric Nonlinearity

8.1.3. Material Nonlinearities

Nonlinear stress-strain relationships are a common cause of nonlinear structural behavior. Many factors can influence a material's stress-strain properties, including load history (as in elastoplastic response), environmental conditions (such as temperature), and the amount of time that a load is applied (as in creep response).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 8. Nonlinear Structural Analysis 		Up / Home Next
8.2. Basic Information About Nonlinear Analyses


8.2. Basic Information About Nonlinear Analyses

ANSYS employs the "Newton-Raphson" approach to solve nonlinear problems. In this approach, the load is subdivided into a series of load increments. The load increments can be applied over several load steps. Figure 8.3: "Newton-Raphson Approach" illustrates the use of Newton-Raphson equilibrium iterations in a single DOF nonlinear analysis.

Figure 8.3 Newton-Raphson Approach

Before each solution, the Newton-Raphson method evaluates the out-of-balance load vector, which is the difference between the restoring forces (the loads corresponding to the element stresses) and the applied loads. The program then performs a linear solution, using the out-of-balance loads, and checks for convergence. If convergence criteria are not satisfied, the out-of-balance load vector is reevaluated, the stiffness matrix is updated, and a new solution is obtained. This iterative procedure continues until the problem converges.

A number of convergence-enhancement and recovery features, such as line search, automatic load stepping, and bisection, can be activated to help the problem to converge. If convergence cannot be achieved, then the program attempts to solve with a smaller load increment.

In some nonlinear static analyses, if you use the Newton-Raphson method alone, the tangent stiffness matrix may become singular (or non-unique), causing severe convergence difficulties. Such occurrences include nonlinear buckling analyses in which the structure either collapses completely or "snaps through" to another stable configuration. For such situations, you can activate an alternative iteration scheme, the arc-length method, to help avoid bifurcation points and track unloading.

The arc-length method causes the Newton-Raphson equilibrium iterations to converge along an arc, thereby often preventing divergence, even when the slope of the load vs. deflection curve becomes zero or negative. This iteration method is represented schematically in Figure 8.4: "Traditional Newton-Raphson Method vs. Arc-Length Method".

Figure 8.4 Traditional Newton-Raphson Method vs. Arc-Length Method

To summarize, a nonlinear analysis is organized into three levels of operation:

  • The "top" level consists of the load steps that you define explicitly over a "time" span (see the discussion of "time" in "Loading" in the Basic Analysis Guide). Loads are assumed to vary linearly within load steps (for static analyses).

  • Within each load step, you can direct the program to perform several solutions (substeps or time steps) to apply the load gradually.

  • At each substep, the program will perform a number of equilibrium iterations to obtain a converged solution.

Figure 8.5: "Load Steps, Substeps, and Time" illustrates a typical load history for a nonlinear analysis. Also see the discussion of load steps, substeps, and equilibrium iterations in "Loading" in the Basic Analysis Guide.

Figure 8.5 Load Steps, Substeps, and Time

The ANSYS program gives you a number of choices when you designate convergence criteria: you can base convergence checking on forces, moments, displacements, or rotations, or on any combination of these items. Additionally, each item can have a different convergence tolerance value. For multiple-degree-of-freedom problems, you also have a choice of convergence norms.

You should almost always employ a force-based (and, when applicable, moment-based) convergence tolerance. Displacement-based (and, when applicable, rotation-based) convergence checking can be added, if desired, but should usually not be used alone.

8.2.1. Conservative versus Nonconservative Behavior; Path Dependency

If all energy put into a system by external loads is recovered when the loads are removed, the system is said to be conservative. If energy is dissipated by the system (such as by plastic deformation or sliding friction), the system is said to be nonconservative. An example of a nonconservative system is shown in Figure 8.6: "Nonconservative (Path-Dependent) Behavior".

An analysis of a conservative system is path independent: loads can usually be applied in any order and in any number of increments without affecting the end results. Conversely, an analysis of a nonconservative system is path dependent: the actual load-response history of the system must be followed closely to obtain accurate results. An analysis can also be path dependent if more than one solution could be valid for a given load level (as in a snap-through analysis). Path dependent problems usually require that loads be applied slowly (that is, using many substeps) to the final load value.

Figure 8.6 Nonconservative (Path-Dependent) Behavior

8.2.2. Substeps

When using multiple substeps, you need to achieve a balance between accuracy and economy: more substeps (that is, small time step sizes) usually result in better accuracy, but at a cost of increased run times. ANSYS provides automatic time stepping that is designed for this purpose.

Automatic time stepping adjusts the time step size as needed, gaining a better balance between accuracy and economy. Automatic time stepping activates the ANSYS program's bisection feature.

Bisection provides a means of automatically recovering from a convergence failure. This feature will cut a time step size in half whenever equilibrium iterations fail to converge and automatically restart from the last converged substep. If the halved time step again fails to converge, bisection will again cut the time step size and restart, continuing the process until convergence is achieved or until the minimum time step size (specified by you) is reached.

8.2.3. Load Direction in a Large-Deflection Analysis

Consider what happens to loads when your structure experiences large deflections. In many instances, the loads applied to your system maintain constant direction no matter how the structure deflects. In other cases, forces will change direction, "following" the elements as they undergo large rotations.

The ANSYS program can model both situations, depending on the type of load applied. Accelerations and concentrated forces maintain their original orientation, regardless of the element orientation. Pressure loads always act normal to the deflected element surface, and can be used to model "following" forces. Figure 8.7: "Load Directions Before and After Deflection" illustrates constant-direction and following forces.

Note

Nodal coordinate system orientations are not updated in a large deflection analysis. Calculated displacements are therefore output in the original directions.

Figure 8.7 Load Directions Before and After Deflection

8.2.4. Rotations in a Large-Deflection Analysis

The rotation components of the output displacements (ROTX, ROTY, and ROTZ) are simply the sum of all the incremental rotations. They cannot, in general, be interpreted as a pseudovector or rotation vector.

Applying an imposed rotation (D command) in a load step (presuming stepped or a linear ramp of the rotation; always true for non-tabular specification) is specified in "rotation vector" form, where the magnitude and rotation direction are given by the values of the ROTX, ROTY, and ROTZ components on the D command(s).

For compound rotations imposed over multiple load steps, each set of rotations is applied sequentially to the previous deformed configuration. For example, rotating a body about a nodal x-axis first then rotating it about a nodal y-axis is done simply as:

D,node,ROTX,value
SOLVE
D,node,ROTY,value
SOLVE
This simplifies the specification of compound motion such as a robotic arm.

8.2.5. Nonlinear Transient Analyses

The procedure for analyzing nonlinear transient behavior is similar to that used for nonlinear static behavior: you apply the load in incremental steps, and the program performs equilibrium iterations at each step. The main difference between the static and transient procedures is that time-integration effects can be activated in the transient analysis. Thus, "time" always represents actual chronology in a transient analysis. The automatic time stepping and bisection feature is also applicable for transient analyses.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.1. Causes of Nonlinear Behavior 		Up / Home Next
8.3. Using Geometric Nonlinearities


8.3. Using Geometric Nonlinearities

Small deflection and small strain analyses assume that displacements are small enough that the resulting stiffness changes are insignificant.

In contrast, large strain analyses account for the stiffness changes that result from changes in an element's shape and orientation. By issuing NLGEOM,ON (GUI path Main Menu> Solution> Analysis Type> Sol'n Control ( : Basic Tab) or Main Menu> Solution> Unabridged Menu> Analysis Type> Analysis Options), you activate large strain effects in those element types that support this feature. The large strain feature is available in most of the solid elements (including all of the large strain elements), as well as in most of the shell and beam elements. Large strain effects are not available in the ANSYS Professional program. However, large deflection effects (NLGEOM command) are supported for shell and beam elements in ANSYS Professional, if indicated as such in the Elements Reference.

The large strain procedure places no theoretical limit on the total rotation or strain experienced by an element. (Certain ANSYS element types will be subject to practical limitations on total strain - see below.) However, the procedure requires that strain increments must be restricted to maintain accuracy. Thus, the total load should be broken into smaller steps.

8.3.1. Stress-Strain

In large strain solutions, all stress-strain input and results will be in terms of true stress and true (or logarithmic) strain. (In one dimension, true strain would be expressed as ε = ln ( [image] / [image] 0). For small-strain regions of response, true strain and engineering strain are essentially identical.) To convert strain from small (engineering) strain to logarithmic strain, use εln = ln (1 + εeng). To convert from engineering stress to true stress, use σtrue = σeng (1 + εeng). (This stress conversion is valid only for incompressible plasticity stress-strain data.)

8.3.1.1. Large Deflections with Small Strain

This feature is available in all beam and most shell elements, as well as in a number of the nonlinear elements. Issue NLGEOM,ON (Main Menu> Solution> Analysis Type> Sol'n Control ( : Basic Tab) or Main Menu> Solution> Unabridged Menu> Analysis Type> Analysis Options) to activate large deflection effects for those elements that are designed for small strain analysis types that support this feature.

8.3.2. Stress Stiffening

The out-of-plane stiffness of a structure can be significantly affected by the state of in-plane stress in that structure. This coupling between in-plane stress and transverse stiffness, known as stress stiffening, is most pronounced in thin, highly stressed structures, such as cables or membranes. A drumhead, which gains lateral stiffness as it is tightened, would be a common example of a stress-stiffened structure.

Even though stress stiffening theory assumes that an element's rotations and strains are small, in some structural systems (such as in Figure 8.8: "Stress-Stiffened Beams" (a)), the stiffening stress is only obtainable by performing a large deflection analysis. In other systems (such as in Figure 8.8: "Stress-Stiffened Beams" (b)), the stiffening stress is obtainable using small deflection, or linear, theory.

Figure 8.8 Stress-Stiffened Beams

To use stress stiffening in the second category of systems, you must issue PSTRES,ON (GUI path Main Menu> Solution> Unabridged Menu> Analysis Type> Analysis Options) in your first load step.

Large strain and large deflection procedures include initial stress effects as a subset of their theory. For most elements, initial stiffness effects are automatically included when large deformation effects are activated [NLGEOM,ON] (GUI path Main Menu> Solution> Analysis Type> Sol'n Control ( : Basic Tab) or Main Menu> Solution> Unabridged Menu> Analysis Type> Analysis Options).

8.3.3. Spin Softening

Spin softening adjusts (softens) the stiffness matrix of a rotating body for dynamic mass effects. The adjustment approximates the effects of geometry changes due to large deflection circumferential motion in a small deflection analysis. It is usually used in conjunction with prestressing [PSTRES] (GUI path Main Menu> Solution> Unabridged Menu> Analysis Type> Analysis Options), which is caused by centrifugal force in the rotating body. It should not be used with the other deformation nonlinearities, large deflection, or large strain. Spin softening is activated by the KSPIN field on the OMEGA and CMOMEGA commands (GUI path Main Menu> Preprocessor> Loads> Define Loads> Apply> Structural> Inertiav Angular Velocity).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.2. Basic Information About Nonlinear Analyses 		Up / Home Next
8.4. Modeling Material Nonlinearities


8.4. Modeling Material Nonlinearities

A number of material-related factors can cause your structure's stiffness to change during the course of an analysis. Nonlinear stress-strain relationships of plastic, multilinear elastic, and hyperelastic materials will cause a structure's stiffness to change at different load levels (and, typically, at different temperatures). Creep, viscoplasticity, and viscoelasticity will give rise to nonlinearities that can be time-, rate-, temperature-, and stress-related. Swelling will induce strains that can be a function of temperature, time, neutron flux level (or some analogous quantity), and stress. Any of these kinds of material properties can be incorporated into an ANSYS analysis if you use appropriate element types. Nonlinear constitutive models (TB command, except for TB,FAIL) are not applicable for the ANSYS Professional program.

8.4.1. Nonlinear Materials

If a material displays nonlinear or rate-dependent stress-strain behavior, then you must use the TB family of commands [TB, TBTEMP, TBDATA, TBPT, TBCOPY, TBLIST, TBPLOT, TBDELE] (GUI path Main Menu> Preprocessor> Material Props> Material Models> Structural> Nonlinear) to define the nonlinear material property relationships in terms of a data table. The exact form of these commands varies depending on the type of nonlinear material behavior being defined. The different material behavior options are described briefly below. See Data Tables - Implicit Analysis in the Elements Reference for specific details for each material behavior type.

8.4.1.1. Plasticity

Most common engineering materials exhibit a linear stress-strain relationship up to a stress level known as the proportional limit. Beyond this limit, the stress-strain relationship will become nonlinear, but will not necessarily become inelastic. Plastic behavior, characterized by nonrecoverable strain, begins when stresses exceed the material's yield point. Because there is usually little difference between the yield point and the proportional limit, the ANSYS program assumes that these two points are coincident in plasticity analyses (see Figure 8.9: "Elastoplastic Stress-Strain Curve").

Plasticity is a nonconservative, path-dependent phenomenon. In other words, the sequence in which loads are applied and in which plastic responses occur affects the final solution results. If you anticipate plastic response in your analysis, you should apply loads as a series of small incremental load steps or time steps, so that your model will follow the load-response path as closely as possible. The maximum plastic strain is printed with the substep summary information in your output (Jobname.OUT).

Figure 8.9 Elastoplastic Stress-Strain Curve

The automatic time stepping feature [AUTOTS] (GUI path Main Menu> Solution> Analysis Type> Sol'n Control ( : Basic Tab) or Main Menu> Solution> Unabridged Menu> Load Step Opts> Time/Frequenc>Time and Substps) will respond to plasticity after the fact, by reducing the load step size after a load step in which a large number of equilibrium iterations was performed or in which a plastic strain increment greater than 15% was encountered. If too large a step was taken, the program will bisect and resolve using a smaller step size.

Other kinds of nonlinear behavior might also occur along with plasticity. In particular, large deflection and large strain geometric nonlinearities will often be associated with plastic material response. If you expect large deformations in your structure, you must activate these effects in your analysis with the NLGEOM command (GUI path Main Menu> Solution> Analysis Type> Sol'n Control ( : Basic Tab) or Main Menu> Solution> Unabridged Menu> Analysis Type> Analysis Options). For large strain analyses, material stress-strain properties must be input in terms of true stress and logarithmic strain.

8.4.1.1.1. Plastic Material Options

The available options for describing plasticity behavior are described in this section. Use the links in the following table to navigate to the appropriate section:

Bilinear Kinematic Hardening | Multilinear Kinematic Hardening | Nonlinear Kinematic Hardening
Bilinear Isotropic Hardening | Multilinear Isotropic Hardening | Nonlinear Isotropic Hardening
Anisotropic | Hill Anisotropy | Drucker-Prager
Extended Drucker Prager | Gurson Plasticity | Cast Iron

You may incorporate other options into the program by using User Programmable Features (see the Guide to ANSYS User Programmable Features).

Bilinear Kinematic Hardening.

The Bilinear Kinematic Hardening (BKIN) option assumes the total stress range is equal to twice the yield stress, so that the Bauschinger effect is included (see Figure 8.11: "Bauschinger Effect"). This option is recommended for general small-strain use for materials that obey von Mises yield criteria (which includes most metals). It is not recommended for large-strain applications. You can combine the BKIN option with creep and Hill anisotropy options to simulate more complex material behaviors. See Material Model Combinations in the Elements Reference for the combination possibilities. Also, see Material Model Combinations in this chapter for sample input listings of material combinations. Stress-strain-temperature data are demonstrated in the following example. Figure 8.10: "Kinematic Hardening"(a) illustrates a typical display [TBPLOT] of bilinear kinematic hardening properties.

MPTEMP,1,0,500            ! Define temperatures for Young's modulus
MP,EX,1,12E6,-8E3         ! C0 and C1 terms for Young's modulus
TB,BKIN,1,2               ! Activate a data table
TBTEMP,0.0                ! Temperature = 0.0
TBDATA,1,44E3,1.2E6       ! Yield = 44,000; Tangent modulus = 1.2E6
TBTEMP,500                ! Temperature = 500
TBDATA,1,29.33E3,0.8E6    ! Yield = 29,330; Tangent modulus = 0.8E6
TBLIST,BKIN,1             ! List the data table
/XRANGE,0,0.01            ! X-axis of TBPLOT to extend from varepsilon=0 to 0.01
TBPLOT,BKIN,1             ! Display the data table

See the MPTEMP, MP, TB, TBTEMP, TBDATA, TBLIST, /XRANGE, and TBPLOT command descriptions for more information.

Figure 8.10 Kinematic Hardening

(a) Bilinear kinematic hardening, (b) Multilinear kinematic hardening

Figure 8.11 Bauschinger Effect

Multilinear Kinematic Hardening.

The Multilinear Kinematic Hardening (KINH and MKIN) options use the Besseling model, also called the sublayer or overlay model, so that the Bauschinger effect is included. KINH is preferred for use over MKIN because it uses Rice's model where the total plastic strains remain constant by scaling the sublayers. KINH allows you to define more stress-strain curves (40 vs. 5), and more points per curve (20 vs. 5). Also, when KINH is used with LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, BEAM188, BEAM189, SHELL208, and SHELL209, you can use TBOPT = 4 (or PLASTIC) to define the stress vs. plastic strain curve. For either option, if you define more than one stress-strain curve for temperature dependent properties, then each curve should contain the same number of points. The assumption is that the corresponding points on the different stress-strain curves represent the temperature dependent yield behavior of a particular sublayer. These options are not recommended for large-strain analyses. You can combine either of these options with the Hill anisotropy option to simulate more complex material behaviors. See Material Model Combinations in the Elements Reference for the combination possibilities. Also, see Material Model Combinations in this chapter for sample input listings of material combinations. Figure 8.10: "Kinematic Hardening"(b) illustrates typical stress-strain curves for the MKIN option.

A typical stress-strain temperature data input using KINH is demonstrated by this example.

TB,KINH,1,2,3                             ! Activate a data table
TBTEMP,20.0                               ! Temperature = 20.0
TBPT,,0.001,1.0                           ! Strain = 0.001, Stress = 1.0
TBPT,,0.1012,1.2                          ! Strain = 0.1012, Stress = 1.2
TBPT,,0.2013,1.3                          ! Strain = 0.2013, Stress = 1.3
TBTEMP,40.0                               ! Temperature = 40.0
TBPT,,0.008,0.9                           ! Strain = 0.008, Stress = 0.9
TBPT,,0.09088,1.0                         ! Strain = 0.09088, Stress = 1.0
TBPT,,0.12926,1.05                        ! Strain = 0.12926, Stress = 1.05

In this example, the third point in the two stress-strain curves defines the temperature-dependent yield behavior of the third sublayer.

A typical stress- plastic strain temperature data input using KINH is demonstrated by this example.

TB,KINH,1,2,3,PLASTIC                   ! Activate a data table
TBTEMP,20.0                             ! Temperature = 20.0
TBPT,,0.0,1.0                           ! Plastic Strain = 0.0000, Stress = 1.0
TBPT,,0.1,1.2                           ! Plastic Strain = 0.1000, Stress = 1.2
TBPT,,0.2,1.3                           ! Plastic Strain = 0.2000, Stress = 1.3
TBTEMP,40.0                             ! Temperature = 40.0
TBPT,,0.0,0.9                           ! Plastic Strain = 0.0000, Stress = 0.9
TBPT,,0.0900,1.0                        ! Plastic Strain = 0.0900, Stress = 1.0
TBPT,,0.129,1.05                        ! Plastic Strain = 0.1290, Stress = 1.05

Alternatively, the same plasticity model can also be defined using TB, PLASTIC, as follows:

TB,PLASTIC,1,2,3,KINH                  ! Activate a data table
TBTEMP,20.0                            ! Temperature = 20.0
TBPT,,0.0,1.0                          ! Plastic Strain = 0.0000, Stress = 1.0
TBPT,,0.1,1.2                          ! Plastic Strain = 0.1000, Stress = 1.2
TBPT,,0.2,1.3                          ! Plastic Strain = 0.2000, Stress = 1.3
TBTEMP,40.0                            ! Temperature = 40.0
TBPT,,0.0,0.9                          ! Plastic Strain = 0.0000, Stress = 0.9
TBPT,,0.0900,1.0                       ! Plastic Strain = 0.0900, Stress = 1.0
TBPT,,0.129,1.05                       ! Plastic Strain = 0.1290, Stress = 1.05

In this example, the stress - strain behavior is the same as the previous sample, except now the strain value is the plastic strain. The plastic strain can be converted from total strain as follows:

Plastic Strain = Total Strain - (Stress/Young's Modulus).

A typical stress-strain temperature data input using MKIN is demonstrated by this example.

MPTEMP,1,0,500                             ! Define temperature-dependent EX,
MP,EX,1,12E6,-8E3                          ! as in BKIN example
TB,MKIN,1,2                                ! Activate a data table
TBTEMP,,STRAIN                             ! Next TBDATA values are strains
TBDATA,1,3.67E-3,5E-3,7E-3,10E-3,15E-3     ! Strains for all temps
TBTEMP,0.0                                 ! Temperature = 0.0
TBDATA,1,44E3,50E3,55E3,60E3,65E3          ! Stresses at temperature = 0.0
TBTEMP,500                                 ! Temperature = 500
TBDATA,1,29.33E3,37E3,40.3E3,43.7E3,47E3   ! Stresses at temperature = 500
/XRANGE,0,0.02
TBPLOT,MKIN,1

Please see the MPTEMP, MP, TB, TBPT, TBTEMP, TBDATA, /XRANGE, and TBPLOT command descriptions for more information.

Nonlinear Kinematic Hardening.

The Nonlinear Kinematic Hardening (CHABOCHE) option uses the Chaboche model, which is a multi-component nonlinear kinematic hardening model that allows you to superpose several kinematic models. See the Theory Reference for ANSYS and ANSYS Workbench for details. Like the BKIN and MKIN options, you can use the CHABOCHE option to simulate monotonic hardening and the Bauschinger effect. This option also allows you to simulate the ratcheting and shakedown effect of materials. By combining the CHABOCHE option with isotropic hardening model options BISO, MISO, and NLISO, you have the further capability of simulating cyclic hardening or softening. You can also combine this option with the Hill anisotropy option to simulate more complex material behaviors. See Material Model Combinations in the Elements Reference for the combination possibilities. Also, see Material Model Combinations in this chapter for sample input listings of material combinations. The model has 1 + 2 x n constants, where n is the number of kinematic models, and is defined by NPTS in the TB command. See the Theory Reference for ANSYS and ANSYS Workbench for details. You define the material constants using the TBTEMP and TBDATA commands. This model is suitable for large strain analysis.

The following example is a typical data table with no temperature dependency and one kinematic model:

TB,CHABOCHE,1             ! Activate CHABOCHE data table
TBDATA,1,C1,C2,C3         ! Values for constants C1, C2, and C3

The following example illustrates a data table of temperature dependent constants with two kinematic models at two temperature points:

TB,CHABOCHE,1,2,2                ! Activate CHABOCHE data table
TBTEMP,100                       ! Define first temperature
TBDATA,1,C11,C12,C13,C14,C15     ! Values for constants C11, C12, C13,
                                 ! C14, and C15 at first temperature
TBTEMP,200                       ! Define second temperature
TBDATA,1,C21,C22,C23,C24,C25     ! Values for constants C21, C22, C23,
                                 ! C24, and C25 at second temperature

Please see the TB, TBTEMP, and TBDATA command descriptions for more information.

Bilinear Isotropic Hardening.

The Bilinear Isotropic Hardening (BISO) option uses the von Mises yield criteria coupled with an isotropic work hardening assumption. This option is often preferred for large strain analyses. You can combine BISO with Chaboche, creep, viscoplastic, and Hill anisotropy options to simulate more complex material behaviors. See Material Model Combinations in the Elements Reference for the combination possibilities. Also, see Material Model Combinations in this chapter for sample input listings of material combinations.

Multilinear Isotropic Hardening.

The Multilinear Isotropic Hardening (MISO) option is like the bilinear isotropic hardening option, except that a multilinear curve is used instead of a bilinear curve. This option is not recommended for cyclic or highly nonproportional load histories in small-strain analyses. It is, however, recommended for large strain analyses. The MISO option can contain up to 20 different temperature curves, with up to 100 different stress-strain points allowed per curve. Strain points can differ from curve to curve. You can combine this option with nonlinear kinematic hardening (CHABOCHE) for simulating cyclic hardening or softening. You can also combine the MISO option with creep, viscoplastic, and Hill anisotropy options to simulate more complex material behaviors. See Material Model Combinations in the Elements Reference for the combination possibilities. Also, see Material Model Combinations in this chapter for sample input listings of material combinations. The stress-strain-temperature curves from the MKIN example would be input for a multilinear isotropic hardening material as follows:

/prep7
MPTEMP,1,0,500               ! Define temperature-dependent EX,
MPDATA,EX,1,,14.665E6,12.423e6
MPDATA,PRXY,1,,0.3

TB,MISO,1,2,5                ! Activate a data table
TBTEMP,0.0                   ! Temperature = 0.0
TBPT,DEFI,2E-3,29.33E3    ! Strain, stress at temperature = 0
TBPT,DEFI,5E-3,50E3
TBPT,DEFI,7E-3,55E3
TBPT,DEFI,10E-3,60E3
TBPT,DEFI,15E-3,65E3
TBTEMP,500                   ! Temperature = 500
TBPT,DEFI,2.2E-3,27.33E3    ! Strain, stress at temperature = 500
TBPT,DEFI,5E-3,37E3
TBPT,DEFI,7E-3,40.3E3
TBPT,DEFI,10E-3,43.7E3
TBPT,DEFI,15E-3,47E3
/XRANGE,0,0.02
TBPLOT,MISO,1

Alternatively, the same plasticity model can also be defined using TB, PLASTIC, as follows:

/prep7
MPTEMP,1,0,500               ! Define temperature-dependent EX,
MPDATA,EX,1,,14.665E6,12.423e6
MPDATA,PRXY,1,,0.3

TB,PLASTIC,1,2,5,MISO        ! Activate TB,PLASTIC data table
TBTEMP,0.0                   ! Temperature = 0.0
TBPT,DEFI,0,29.33E3          ! Plastic strain, stress at temperature = 0
TBPT,DEFI,1.59E-3,50E3
TBPT,DEFI,3.25E-3,55E3
TBPT,DEFI,5.91E-3,60E3
TBPT,DEFI,1.06E-2,65E3
TBTEMP,500                   ! Temperature = 500
TBPT,DEFI,0,27.33E3          ! Plastic strain, stress at temperature = 500
TBPT,DEFI,2.02E-3,37E3
TBPT,DEFI,3.76E-3,40.3E3
TBPT,DEFI,6.48E-3,43.7E3
TBPT,DEFI,1.12E-2,47E3
/XRANGE,0,0.02
TBPLOT,PLASTIC,1

See the MPTEMP, MP, TB, TBTEMP, TBPT, /XRANGE, and TBPLOT command descriptions for more information.

Nonlinear Isotropic Hardening.

The Nonlinear Isotropic Hardening (NLISO) option is based on either the Voce hardening law or the power law (see the Theory Reference for ANSYS and ANSYS Workbench for details). The NLISO Voce hardening option is a variation of BISO where an exponential saturation hardening term is appended to the linear term (see Figure 8.12: "NLISO Stress-Strain Curve").

Figure 8.12 NLISO Stress-Strain Curve

The advantage of this model is that the material behavior is defined as a specified function which has four material constants that you define through the TBDATA command. You can obtain the material constants by fitting material tension stress-strain curves. Unlike MISO, there is no need to be concerned about how to appropriately define the pairs of the material stress-strain points. However, this model is only applicable to the tensile curve like the one shown in Figure 8.12: "NLISO Stress-Strain Curve". This option is suitable for large strain analyses. You can combine NLISO with Chaboche, creep, viscoplastic, and Hill anisotropy options to simulate more complex material behaviors. See Material Model Combinations in the Elements Reference for the combination possibilities. Also, see Material Model Combinations in this chapter for sample input listings of material combinations.

The following example illustrates a data table of temperature dependent constants at two temperature points:

TB,NLISO,1                       ! Activate NLISO data table
TBTEMP,100                       ! Define first temperature
TBDATA,1,C11,C12,C13,C14         ! Values for constants C11, C12, C13,
                                 ! C14 at first temperature
TBTEMP,200                       ! Define second temperature
TBDATA,1,C21,C22,C23,C24         ! Values for constants C21, C22, C23,
                                 ! C24 at second temperature

Please see the TB, TBTEMP, and TBDATA command descriptions for more information.

Anisotropic.

The Anisotropic (ANISO) option allows for different bilinear stress-strain behavior in the material x, y, and z directions as well as different behavior in tension, compression, and shear. This option is applicable to metals that have undergone some previous deformation (such as rolling). It is not recommended for cyclic or highly nonproportional load histories since work hardening is assumed. The yield stresses and slopes are not totally independent (see the Theory Reference for ANSYS and ANSYS Workbench for details).

To define anisotropic material plasticity, use MP commands (Main Menu> Solution> Load Step Opts> Other> Change Mat Props) to define the elastic moduli (EX, EY, EZ, NUXY, NUYZ, and NUXZ). Then, issue the TB command [TB,ANISO] followed by TBDATA commands to define the yield points and tangent moduli. (See Nonlinear Stress-Strain Materials in the Elements Reference for more information.)

Hill Anisotropy.

The Hill Anisotropy (HILL) option, when combined with other material options simulates plasticity, viscoplasticity, and creep - all using the Hill potential. See Material Model Combinations in the Elements Reference for the combination possibilities. Also, see Material Model Combinations in this chapter for sample input listings of material combinations. The Hill potential may only be used with the following elements: PLANE42, SOLID45, PLANE82, SOLID92, SOLID95, LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, BEAM188, BEAM189, SHELL208, and SHELL209.

Drucker-Prager.

The Drucker-Prager (DP) option is applicable to granular (frictional) material such as soils, rock, and concrete, and uses the outer cone approximation to the Mohr-Coulomb law.

MP,EX,1,5000
MP,NUXY,1,0.27
TB,DP,1
TBDATA,1,2.9,32,0    ! Cohesion = 2.9 (use consistent units),
                     ! Angle of internal friction = 32 degrees,
                     ! Dilatancy angle = 0 degrees

See the MP, TB, and TBDATA command descriptions for more information.

Extended Drucker Prager.

The Extended Drucker Prager (EDP) option is also available for granular materials. This option allows you to specify both the yield functions and the flow potentials using the complex expressions defined in Extended Drucker-Prager the Elements Reference.

!Extended DP Material Definition
/prep7
mp,ex,1,2.1e4
mp,nuxy,1,0.45

!Linear Yield Function
tb,edp,1,,,LYFUN
tbdata,1,2.2526,7.894657

!Linear Plastic Flow Potential
tb,edp,1,,,LFPOT
tbdata,1,0.566206

tblist,all,all

See the EDP argument and associated specifications in the TB command, the Extended Drucker-Prager in the Elements Reference and also The Extended Drucker-Prager Model in the Theory Reference for ANSYS and ANSYS Workbench for more information.

Gurson Plasticity.

The Gurson Plasticity (GURSON) option is used to model porous metals. This option allows you to incorporate microscopic material behaviors, such as void dilatancy, void nucleation, and void coalescence into macroscopic plasticity models. The microscopic behaviors of voids are described using the porosity variables defined in Gurson's Model in the Elements Reference

!The Gurson PLASTICITY Material Definition
/prep7
!!! define linear elasticity constants
mp,ex,1,2.1e4	! Young modulus
mp,nuxy,1,0.3	! Poison ratio
    !!! define parameters related to Gurson model with
!!! the option of strain controlled nucleation with
!!! coalescence (COA1)
f_0=0.005          ! initial porosity
q1=1.5             ! first Tvergaard constant
q2=1.0             ! second Tvergaard constant
f_c=0.15           ! critical porosity
f_F=0.20           ! failure porosity
f_N=0.04           ! nucleation porosity
s_N=0.1            ! standard deviation of mean strain
strain_N=0.3       ! mean strain
sigma_Y=50.0       ! initial yielding strength
power_N=0.1        ! power value for nonlinear isotropic
                   ! hardening power law (POWE)
!!! define Gurson material
tb,GURS,1,,8,COA1
tbdata,1,f_0,q1,q2,f_c,f_F
tbdata,6,f_N,s_N,strain_N
tb,nliso,1,,2,POWE
tbdata,,sigma_Y,power_N
tblist,all,all

See the GURSON argument and associated specifications in the TB command, and also Gurson's Model in the Theory Reference for ANSYS and ANSYS Workbench for more information.

Cast Iron.

The Cast Iron (CAST, UNIAXIAL) option assumes a modified von Mises yield surface, which consists of the von Mises cylinder in compression and a Rankine cube in tension. It has different yield strengths, flows, and hardenings in tension and compression. Elastic behavior is isotropic, and is the same in tension and compression. The TB,CAST command is used to input the plastic Poisson's ration in tension, which can be temperature dependent. Use the TB,UNIAXIAL command to enter the yield and hardening in tension and compression.

Note

Cast Iron is intended for monotonic loading only and cannot be used with any other material model.

TB,CAST,1,,,ISOTROPIC
TBDATA,1,0.04

TB,UNIAXIAL,1,1,5,TENSION
TBTEMP,10
TBPT,,0.550E-03,0.813E+04
TBPT,,0.100E-02,0.131E+05
TBPT,,0.250E-02,0.241E+05
TBPT,,0.350E-02,0.288E+05
TBPT,,0.450E-02,0.322E+05

TB,UNIAXIAL,1,1,5,COMPRESSION
TBTEMP,10
TBPT,,0.203E-02,0.300E+05
TBPT,,0.500E-02,0.500E+05
TBPT,,0.800E-02,0.581E+05
TBPT,,0.110E-01,0.656E+05
TBPT,,0.140E-01,0.700E+05

Figure 8.13: "Cast Iron Plasticity" illustrates the idealized response of gray cast iron in tension and compression.

Figure 8.13 Cast Iron Plasticity

See the TB and TBPT command descriptions for more information.

8.4.1.2. Multilinear Elasticity

The Multilinear Elastic (MELAS) material behavior option describes a conservative (path-independent) response in which unloading follows the same stress-strain path as loading. Thus, relatively large load steps might be appropriate for models that incorporate this type of material nonlinearity. Input format is similar to that required for the multilinear isotropic hardening option, except that the TB command now uses the label MELAS.

8.4.1.3. User Defined Material

The User Defined (USER) material option describes input parameters for defining a material model based on either of two subroutines, which are ANSYS user-programmable features (see the Guide to ANSYS User Programmable Features). The choice of which subroutine to use is based on which element you are using.

The USER option works with the USERMAT subroutine in defining any material model (except incompressible materials), when you use any of the following elements: LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, BEAM188, BEAM189, SHELL208, and SHELL209.

The USER option works with the USERPL subroutine in defining plasticity or viscoplasticity material models, when you use any of the following elements: LINK1, LINK8, PIPE20, BEAM23, BEAM24, PLANE42, SHELL43, SOLID45, PIPE60, SOLID62, SOLID65, PLANE82, SHELL91, SOLID92, SHELL93, SOLID95, and PLANE183.

To access the user material option, issue the TB,USER command to define the material number, the number of temperatures, and the number of data points. Then define the temperatures and material constants using the TBTEMP and TBDATA commands.

The following example illustrates defining a material with two temperatures and four data points:

TB,USER,1,2,4                    ! Define material 1 as user
                                 ! material with 2
                                 ! temperatures and 4 data
                                 ! points at each
                                 ! temperature point.
TBTEMP,1.0                       ! First temperature.
TBDATA,1,19e5,0.3,1e3,100,       ! 4 material constants for
                                 ! first temperature.
TBTEMP,2.0                       ! Second temperature.
TBDATA,1,21e5,0.3,2e3,100,       ! 4 material constants for
                                 ! second temperature.

If you use state variables in the USERMAT subroutine, you must first define the number of state variables using the TB,STATE command. You then use the TBDATA command to initialize the value of the state variables, as shown in the following example:

TB,STATE,1,,4,                   ! Define material 1, which
                                 ! has 4 state variables.
TBDATA,1,C1,C2,C3,C4,            ! Initialize the 4 state variables.

You cannot use TB,STATE in the USERPL subroutine.

See the TB, and TBDATA command descriptions for more information.

8.4.1.4. Hyperelasticity

A material is said to be hyperelastic if there exists an elastic potential function (or strain energy density function), which is a scalar function of one of the strain or deformation tensors, whose derivative with respect to a strain component determines the corresponding stress component.

Hyperelasticity can be used to analyze rubber-like materials (elastomers) that undergo large strains and displacements with small volume changes (nearly incompressible materials). Large strain theory is required [NLGEOM,ON]. A representative hyperelastic structure (a balloon seal) is shown in Figure 8.14: "Hyperelastic Structure".

Figure 8.14 Hyperelastic Structure

All of the 18x family of elements except the link and beam elements are suitable for simulating hyperelastic materials (SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, SHELL208, and SHELL209). For more information, see Mixed u-P Formulation Elements in the Elements Reference.

The material response in ANSYS hyperelastic models can be either isotropic or anisotropic, and it is assumed to be isothermal. Because of this assumption, the strain energy potentials are expressed in terms of strain invariants. Unless indicated otherwise, the hyperelastic materials are also assumed to be nearly or purely incompressible. Material thermal expansion is also assumed to be isotropic.

ANSYS supports several options of strain energy potentials for the simulation of incompressible or nearly incompressible hyperelastic materials. All options are applicable to elements SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, SHELL208, and SHELL209. Access these options through the TBOPT argument of TB,HYPER.

One of the options, the Mooney-Rivlin option, is also applicable to explicit dynamics elements PLANE162, SHELL163, SOLID164, and SOLID168. To access the Mooney-Rivlin option for these elements, use TB,MOONEY.

ANSYS provides tools to help you determine the coefficients for all of the hyperelastic options defined by TB,HYPER. The TBFT command allows you to compare your experimental data with existing material data curves and visually “fit” your curve for use in the TB command. All of the TBFT command capability is available via either batch or interactive (GUI) mode. See Material Curve Fitting (also in this manual) for more information.

Each of the hyperelastic options is presented in the following sections.

8.4.1.4.1. Mooney-Rivlin Hyperelastic Option (TB,HYPER)

Note that this section applies to using the Mooney-Rivlin option with elements SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, SHELL208, and SHELL209.

The Mooney-Rivlin option (TB,HYPER,,,,MOONEY), which is the default, allows you to define 2, 3, 5, or 9 parameters through the NPTS argument of the TB command. For example, to define a 5 parameter model you would issue TB,HYPER,1,,5,MOONEY.

The 2 parameter Mooney-Rivlin option has an applicable strain of about 100% in tension and 30% in compression. Compared to the other options, higher orders of the Mooney-Rivlin option may provide better approximation to a solution at higher strain.

The following example input listing shows a typical use of the Mooney-Rivlin option with 3 parameters:

TB,HYPER,1,,3,MOONEY     !Activate 3 parameter Mooney-Rivlin data table
TBDATA,1,0.163498        !Define c10
TBDATA,2,0.125076        !Define c01
TBDATA,3,0.014719        !Define c11
TBDATA,4,6.93063E-5      !Define incompressibility parameter
                         !(as 2/K, K is the bulk modulus)

Refer to Mooney-Rivlin Hyperelastic Material (TB,HYPER) in the Elements Reference for a description of the material constants required for this option.

8.4.1.4.2. Ogden Hyperelastic Option

The Ogden option (TB,HYPER,,,,OGDEN) allows you to define an unlimited number of parameters through the NPTS argument of the TB command. For example, to define a 3 parameter model, use TB,HYPER,1,,3,OGDEN.

Compared to the other options, the Ogden option usually provides the best approximation to a solution at larger strain levels. The applicable strain level can be up to 700%. A higher parameter value can provide a better fit to the exact solution. It may however cause numerical difficulties in fitting the material constants, and it requires enough data to cover the whole range of deformation for which you may be interested. For these reasons, a high parameter value is not recommended.

The following example input listing shows a typical use of the Ogden option with 2 parameters:

TB,HYPER,1,,2,OGDEN      !Activate 2 parameter Ogden data table
TBDATA,1,0.326996        !Define μ1
TBDATA,2,2               !Define α1
TBDATA,3,-0.250152       !Define μ2
TBDATA,4,-2              !Define α2
TBDATA,5,6.93063E-5      !Define incompressibility parameter
                         !(as 2/K, K is the bulk modulus)
                         !(Second incompressibility parameter d2 is zero)

Refer to Ogden Hyperelastic Material Constants in the Elements Reference for a description of the material constants required for this option.

8.4.1.4.3. Neo-Hookean Hyperelastic Option

The Neo-Hookean option (TB,HYPER,,,,NEO) represents the simplest form of strain energy potential, and has an applicable strain range of 20-30%.

An example input listing showing a typical use of the Neo-Hookean option is presented below.

TB,HYPER,1,,,NEO         !Activate Neo-Hookean data table
TBDATA,1,0.577148        !Define mu shear modulus
TBDATA,2,7.0e-5          !Define incompressibility parameter
                         !(as 2/K, K is the bulk modulus)

Refer to Neo-Hookean Hyperelastic Material in the Elements Reference for a description of the material constants required for this option.

8.4.1.4.4. Polynomial Form Hyperelastic Option

The polynomial form option (TB,HYPER,,,,POLY) allows you to define an unlimited number of parameters through the NPTS argument of the TB command. For example, to define a 3 parameter model you would issue TB,HYPER,1,,3,POLY.

Similar to the higher order Mooney-Rivlin options, the polynomial form option may provide a better approximation to a solution at higher strain.

For NPTS = 1 and constant c01 = 0, the polynomial form option is equivalent to the Neo-Hookean option (see Neo-Hookean Hyperelastic Option for a sample input listing). Also, for NPTS = 1, it is equivalent to the 2 parameter Mooney-Rivlin option. For NPTS = 2, it is equivalent to the 5 parameter Mooney-Rivlin option, and for NPTS = 3, it is equivalent to the 9 parameter Mooney-Rivlin option (see Mooney-Rivlin Hyperelastic Option (TB,HYPER) for a sample input listing).

Refer to Polynomial Form Hyperelastic Material Constants in the Elements Reference for a description of the material constants required for this option.

8.4.1.4.5. Arruda-Boyce Hyperelastic Option

The Arruda-Boyce option (TB,HYPER,,,,BOYCE) has an applicable strain level of up to 300%.

An example input listing showing a typical use of the Arruda-Boyce option is presented below.

TB,HYPER,1,,,BOYCE      !Activate Arruda-Boyce data table
TBDATA,1,200.0           !Define initial shear modulus
TBDATA,2,5.0             !Define limiting network stretch
TBDATA,3,0.001           !Define incompressibility parameter
                         !(as 2/K, K is the bulk modulus)

Refer to Arruda-Boyce Hyperelastic Material Constants in the Elements Reference for a description of the material constants required for this option.

8.4.1.4.6. Gent Hyperelastic Option

The Gent option (TB,HYPER,,,,GENT) has an applicable strain level of up to 300%.

An example input listing showing a typical use of the Gent option is presented below.

TB,HYPER,1,,,GENT      !Activate Gent data table
TBDATA,1,3.0            !Define initial shear modulus
TBDATA,2,42.0           !Define limiting I1 - 3
TBDATA,3,0.001          !Define incompressibility parameter
                        !(as 2/K, K is the bulk modulus)

Refer to Gent Hyperelastic Material Constants in the Elements Reference for a description of the material constants required for this option.

8.4.1.4.7. Yeoh Hyperelastic Option

The Yeoh option (TB,HYPER,,,,YEOH) is a reduced polynomial form of the hyperelasticity option TB,HYPER,,,,POLY. An example of a 2 term Yeoh model is TB,HYPER,1,,2,YEOH.

Similar to the polynomial form option, the higher order terms may provide a better approximation to a solution at higher strain.

For NPTS = 1, the Yeoh form option is equivalent to the Neo-Hookean option (see Neo-Hookean Hyperelastic Option for a sample input listing).

The following example input listing shows a typical use of the Yeoh option with 2 terms and 1 incompressibility term:

TB,HYPER,1,,2,YEOH      !Activate 2 term Yeoh data table
TBDATA,1,0.163498            !Define C1
TBDATA,2,0.125076            !Define C2
TBDATA,3,6.93063E-5          !Define first incompressibility parameter

Refer to Yeoh Hyperelastic Material Constants in the Elements Reference for a description of the material constants required for this option.

8.4.1.4.8. Blatz-Ko Foam Hyperelastic Option

The Blatz-Ko option (TB,HYPER,,,,BLATZ) is the simplest option for simulating the compressible foam type of elastomer. This option is analogous to the Neo-Hookean option of incompressible hyperelastic materials.

An example input listing showing a typical use of the Blatz-Ko option is presented below.

TB,HYPER,1,,,BLATZ      !Activate Blatz-Ko data table
TBDATA,1,5.0            !Define initial shear modulus

Refer to Blatz-Ko Foam Hyperelastic Material Constants in the Elements Reference for a description of the material constants required for this option.

8.4.1.4.9. Ogden Compressible Foam Hyperelastic Option

The Ogden compressible foam option (TB,HYPER,,,,FOAM) simulates highly compressible foam material. An example of a 3 parameter model is TB,HYPER,1,,3,FOAM. Compared to the Blatz-Ko option, the Ogden foam option usually provides the best approximation to a solution at larger strain levels. The higher the number of parameters, the better the fit to the experimental data. It may however cause numerical difficulties in fitting the material constants, and it requires sufficient data to cover the whole range of deformation for which you may be interested. For these reasons, a high parameter value is not recommended.

The following example input listing shows a typical use of the Ogden foam option with 2 parameters:

TB,HYPER,1,,2,FOAM      !Activate 2 parameter Ogden foam data table
TBDATA,1,1.85              !Define μ1
TBDATA,2,4.5               !Define α1
TBDATA,3,-9.20             !Define μ2
TBDATA,4,-4.5              !Define α2
TBDATA,5,0.92              !Define first compressibility parameter
TBDATA,6,0.92              !Define second compressibility parameter

Refer to Ogden Compressible Foam Hyperelastic Material Constants in the Elements Reference for a description of the material constants required for this option.

8.4.1.4.10. User-Defined Hyperelastic Option

The User option (TB,HYPER,,,,USER) allows you to use the subroutine USERHYPER to define the derivatives of the strain energy potential with respect to the strain invariants. Refer to the Guide to ANSYS User Programmable Features for a detailed description on writing a user hyperelasticity subroutine.

8.4.1.5. Anisotropic Hyperelasticity

You can use anisotropic hyperelasticity to model the directional differences in material behavior. This is especially useful when modeling elastomers with reinforcements, or for biomedical materials such as muscles or arteries. You use the format TB,AHYPER,,,,TBOPT to define the material behavior.

The TBOPT field allows you to specify the isochoric part, the material directions and the volumetric part for the material simulation. You must define one single TB table for each option.

You can enter temperature dependent data for anisotropic hyperelastic material with the TBTEMP command. For the first temperature curve, you issue TB, AHYPER,,,TBOPT, then input the first temperature using the TBTEMP command. The subsequent TBDATA command inputs the data.

See the TB command, and Anisotropic Hyperelasticity in the Theory Reference for ANSYS and ANSYS Workbench for more information.

The following example shows the definintion of material constants for an anisotropic hyperelastic material option.

! defininig material constants for anistoropic hyperelastic option
tb,ahyper,1,1,31,poly
!a1,a2,a3
tbdata,1,10,2,0.1
b1,b2,b3
tbdata,4,5,1,0.1
!c1,c2,c3,c4,c5,c6
tbdata,7,1,0.02,0.002,0.001,0.0005
!d2,d3,d4,d5,d6
tbdata,12,1,0.02,0.002,0.001,0.0005
!e1,e2,e3,e4,e5,e6
tbdata,17,1,0.02,0.002,0.001,0.0005
f1,f2,f3,f4,f5,f6
tbdata,22,1,0.02,0.002,0.001,0.0005
g1,g2,g3,g4,g5,g6
tbdata,22,1,0.02,0.002,0.001,0.0005

!compressibility parameter d
tb,ahyper,1,1,1,pvol
tbdata,1,1e-3

!orientation vector A=A(x,y,z)
tb,ahyper,1,1,3,avec
tbdata,1,1,0,0
!orientation vector B=B(x,y,z)
tb,ahyper,1,1,3,bvec
tbdata,1,1/sqrt(2),1/sqrt(2),0

8.4.1.6. Creep

Creep is a rate dependent material nonlinearity in which the material continues to deform under a constant load. Conversely, if a displacement is imposed, the reaction force (and stresses) will diminish over time (stress relaxation; see Figure 8.15: "Stress Relaxation and Creep"(a)). The three stages of creep are shown in Figure 8.15: "Stress Relaxation and Creep"(b). The ANSYS program has the capability of modeling the first two stages (primary and secondary). The tertiary stage is usually not analyzed since it implies impending failure.

Figure 8.15 Stress Relaxation and Creep

Creep is important in high temperature stress analyses, such as for nuclear reactors. For example, suppose you apply a preload to some part in a nuclear reactor to keep adjacent parts from moving. Over a period of time at high temperature, the preload would decrease (stress relaxation) and potentially let the adjacent parts move. Creep can also be significant for some materials such as prestressed concrete. Typically, the creep deformation is permanent.

ANSYS analyzes creep using two time integration methods. Both are applicable to static or transient analyses.The implicit creep method is robust, fast, accurate, and recommended for general use. It can handle temperature dependent creep constants, as well as simultaneous coupling with isotropic hardening plasticity models. The explicit creep method is useful for cases where very small time steps are required. Creep constants cannot be dependent on temperature. Coupling with other plastic models is available by superposition only.

Note

The terms “implicit” and “explicit” as applied to creep, have no relationship to “explicit dynamics,” or any elements referred to as “explicit elements.”

The implicit creep method supports the following elements: PLANE42, SOLID45, PLANE82, SOLID92, SOLID95, LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, BEAM188, BEAM189, SHELL208, and SHELL209.

The explicit creep method supports the following elements: LINK1, LINK8, PIPE20, BEAM23, BEAM24, PLANE42, SHELL43, SOLID45, PIPE60, SOLID62, SOLID65, PLANE82, SOLID92, SOLID95, and PLANE183.

The creep strain rate may be a function of stress, strain, temperature, and neutron flux level. Libraries of creep strain rate equations are built into the ANSYS program for primary, secondary, and irradiation induced creep. (See Creep Equations in the Elements Reference for discussions of, and input procedures for, these various creep equations.) Some equations require specific units. In particular, for the explicit creep option, temperatures used in the creep equations should be based on an absolute scale.

8.4.1.6.1. Implicit Creep Procedure

The basic procedure for using the implicit creep method involves issuing the TB command with Lab = CREEP, and choosing a creep equation by specifying a value for TBOPT. The following example input shows the use of the implicit creep method. TBOPT = 2 specifies that the primary creep equation for model 2 will be used. Temperature dependency is specified using the TBTEMP command, and the four constants associated with this equation are specified as arguments with the TBDATA command.

TB,CREEP,1,1,4,2
TBTEMP,100
TBDATA,1,C1,C2,C3,C4

You can input other creep expressions using the user programmable feature and setting TBOPT = 100. You can define the number of state variables using the TB command with Lab = STATE. The following example shows how five state variables are defined.

TB,STATE,1,,5

You can simultaneously model creep [TB,CREEP] and isotropic, bilinear kinematic, and Hill anisotropy options to simulate more complex material behaviors. See Material Model Combinations in the Elements Reference for the combination possibilities. Also, see Material Model Combinations in this chapter for sample input listings of material combinations.

To perform an implicit creep analysis, you must also issue the solution RATE command, with Option = ON (or 1). The following example shows a procedure for a time hardening creep analysis (See Figure 8.16: "Time Hardening Creep Analysis").

Figure 8.16 Time Hardening Creep Analysis

The user applied mechanical loading in the first load step, and turned the RATE command OFF to bypass the creep strain effect. Since the time period in this load step will affect the total time thereafter, the time period for this load step should be small. For this example, the user specified a value of 1.0E-8 seconds. The second load step is a creep analysis. The RATE command must be turned ON. Here the mechanical loading was kept constant, and the material creeps as time increases.

/SOLU                 !First load step, apply mechanical loading
RATE,OFF              !Creep analysis turned off
TIME,1.0E-8           !Time period set to a very small value
...
SOLV                  !Solve this load step
                      !Second load step, no further mechanical load
RATE,ON               !Creep analysis turned on
TIME,100              !Time period set to desired value
...
SOLV                  !Solve this load step

The RATE command works only when modeling implicit creep with either von Mises or Hill potentials.

When modeling implicit creep with von Mises potential, you can use the RATE command with the following elements: LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, BEAM188, BEAM189, SHELL208, and SHELL209.

When modeling anisotropic creep (TB,CREEP with TB,HILL), you can use the RATE command with the following elements: PLANE42, SOLID45, PLANE82, SOLID92, SOLID95, LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, BEAM188, BEAM189, SHELL208, and SHELL209.

For most materials, the creep strain rate changes significantly at an early stage. Because of this, a general recommendation is to use a small initial incremental time step, then specify a large maximum incremental time step by using solution command DELTIM or NSUBST. For implicit creep, you may need to examine the effect of the time increment on the results carefully because ANSYS does not enforce any creep ratio control by default. You can always enforce a creep limit ratio using the creep ratio control option in commands CRPLIM or CUTCONTROL,CRPLIMIT. A recommended value for a creep limit ratio ranges from 1 to 10. The ratio may vary with materials so your decision on the best value to use should be based on your own experimentation to gain the required performance and accuracy. For larger analyses, a suggestion is to first perform a time increment convergence analysis on a simple small size test.

ANSYS provides tools to help you determine the coefficients for all of the implicit creep options defined in TB,CREEP. The TBFT command allows you to compare your experimental data with existing material data curves and visually “fit” your curve for use in the TB command. All of the TBFT command capability is available via either batch or interactive (GUI) mode. See Material Curve Fitting (also in this manual) for more information.

8.4.1.6.2. Explicit Creep Procedure

The basic procedure for using the explicit creep method involves issuing the TB command with Lab = CREEP and choosing a creep equation by adding the appropriate constant as an argument with the TBDATA command. TBOPT is either left blank or = 0. The following example input uses the explicit creep method. Note that all constants are included as arguments with the TBDATA command, and that there is no temperature dependency.

TB,CREEP,1
TBDATA,1,C1,C2,C3,C4, ,C6

For the explicit creep method, you can incorporate other creep expressions into the program by using User Programmable Features (see the Guide to ANSYS User Programmable Features).

For highly nonlinear creep strain vs. time curves, a small time step must be used with the explicit creep method. Creep strains are not computed if the time step is less than 1.0e-6. A creep time step optimization procedure is available [AUTOTS and CRPLIM] for automatically adjusting the time step as appropriate.

8.4.1.7. Shape Memory Alloy

The Shape Memory Alloy (SMA) material behavior option describes the super-elastic behavior of nitinol alloy. Nitinol is a flexible metal alloy that can undergo very large deformations in loading-unloading cycles without permanent deformation. As illustrated in Figure 8.17: "Shape Memory Alloy Phases", the material behavior has three distinct phases: an austenite phase (linear elastic), a martensite phase (also linear elastic), and the transition phase between these two.

Figure 8.17 Shape Memory Alloy Phases

Use the MP command to input the linear elastic behavior of the austenite phase, and the TB,SMA command to input the behavior of the transition and martensite phases. Use the TBDATA command to enter the specifics (data sets) of the alloy material. You can enter up to six sets of data.

SMAs can be specified for the following elements: PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, and SOLSH190.

A typical ANSYS input listing (fragment) will look similar to this:

MP,EX,1,60.0E3                                   ! Define austenite elastic properties
MP,NUXY,1.0.3                                    !

TB,SMA,1,2                                       ! Define material 1 as SMA,
                                                 ! with two temperatures
TBTEMP,10                                        ! Define first starting temp
TBDATA,1,520.0,600.0,300.0,200.0,0.07,0.12       ! Define SMA parameters
                                                 !
TBTEMP,20                                        ! Define second starting temp
TBDATA,1,420.0,540.0,300.0,200.0,0.10,0.15       ! Define SMA parameters

See TB, and TBDATA for more information.

8.4.1.8. Viscoplasticity

Viscoplasticity is a time-dependent plasticity phenomenon, where the development of the plastic strains are dependent on the rate of loading. The primary applications are high-temperature metal forming processes such as rolling and deep drawing, which involve large plastic strains and displacements with small elastic strains (see Figure 8.18: "Viscoplastic Behavior in a Rolling Operation"). The plastic strains are typically very large (for example, 50% or greater), requiring large strain theory [NLGEOM,ON].

Viscoplasticity is modeled with element types VISCO106, VISCO107, and VISCO108, using Anand's model for material properties as described in Nonlinear Stress-Strain Materials in the Elements Reference.

Figure 8.18 Viscoplastic Behavior in a Rolling Operation

Viscoplasticity is defined by unifying plasticity and creep via a set of flow and evolutionary equations. A constraint equation is used to preserve volume in the plastic region.

The Rate-Dependent Plasticity (Viscoplasticity) or TB,RATE option allows you to introduce the strain rate effect in material models to simulate the time-dependent response of materials. Two material options are available, the Perzyna model and the Peirce model (see the Theory Reference for ANSYS and ANSYS Workbench for details). In contrast to other rate-dependent material options in ANSYS such as Creep or Anand's model, the Perzyna and Peirce models also include a yield surface. The plasticity and thus the strain rate hardening effect are active only after plastic yielding. You must use the models in combination with the BISO, MISO, or NLISO material options to simulate viscoplasticity. Further, you can simulate anisotropic viscoplasticity by also combining the HILL option. See Material Model Combinations in the Elements Reference for the combination possibilities. Also, see Material Model Combinations in this chapter for sample input listings of material combinations. For isotropic hardening, the intent is for simulating the strain rate hardening of materials rather than softening. This option is also suitable for large strain analysis, and is applicable to the following elements: PLANE42, SOLID45, PLANE82, SOLID92, SOLID95, LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, BEAM188, BEAM189, SHELL208, and SHELL209. Some typical applications of these material options are metal forming and micro-electromechanical systems (MEMS).

8.4.1.9. Viscoelasticity

Viscoelasticity is similar to creep, but part of the deformation is removed when the loading is taken off. A common viscoelastic material is glass. Some plastics are also considered to be viscoelastic. One type of viscoelastic response is illustrated in Figure 8.19: "Viscoelastic Behavior (Maxwell Model)".

Figure 8.19 Viscoelastic Behavior (Maxwell Model)

Viscoelasticity is modeled with element types VISCO88 and VISCO89 for small deformation viscoelasticity and LINK180, SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, BEAM188, BEAM189, SHELL208, and SHELL209 for small and large deformation viscoelasticity. You must input material properties using the TB family of commands. For SHELL181, SHELL281, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, SHELL208, and SHELL209, the underlying elasticity is specified by either the MP command (hypoelasticity) or by the TB,HYPER command (hyperelasticity). For LINK180, BEAM188, and BEAM189, the underlying elasticity is specified using the MP command (hypoelasticity) only. The elasticity constants correspond to those of the fast load limit. Use the TB,PRONY and TB,SHIFT commands to input the relaxation property (see the TB command description for more information).

!Small Strain Viscoelasticity
mp,ex,1,20.0E5	!elastic properties
mp,nuxy,1,0.3

tb,prony,1,,2,shear	!define viscosity parameters (shear)
tbdata,1,0.5,2.0,0.25,4.0
tb,prony,1,,2,bulk	!define viscosity parameters (bulk)
tbdata,1,0.5,2.0,0.25,4.0

!Large Strain Viscoelasticity
tb,hyper,1,,,moon	!elastic properties
tbdata,1,38.462E4,,1.2E-6

tb,prony,1,,1,shear	!define viscosity parameters
tbdata,1,0.5,2.0
tb,prony,1,,1,bulk	!define viscosity parameters
tbdata,1,0.5,2.0

See Viscoelastic Material Constants in the Elements Reference and the Theory Reference for ANSYS and ANSYS Workbench for details about how to input viscoelastic material properties using the TB family of commands.

ANSYS provides tools to help you determine the coefficients for all of the viscoelastic options defined by TB,PRONY. The TBFT command allows you to compare your experimental data with existing material data curves and visually “fit” your curve for use in the TB command. All of the TBFT command capability is available via either batch or interactive (GUI) mode. See Material Curve Fitting (also in this manual) for more information.

8.4.1.10. Swelling

Certain materials respond to neutron flux by enlarging volumetrically, or swelling. In order to include swelling effects, you must write your own swelling subroutine, USERSW. (See the Guide to ANSYS User Programmable Features for a discussion of User-Programmable Features.) Swelling Equations in the Elements Reference discusses how to use the TB family of commands to input constants for the swelling equations. Swelling can also be related to other phenomena, such as moisture content. The ANSYS commands for nuclear swelling can be used analogously to define swelling due to other causes.

8.4.2. Material Model Combinations

You can combine several material model options discussed in this chapter to simulate complex material behaviors. Material Model Combinations in the Elements Reference presents the model options you can combine along with the associated TB command labels and links to sample input listings. These sample input listings are presented below in sections identified by the TB command labels.

8.4.2.1. BISO and CHAB Example

This input listing illustrates an example of combining bilinear isotropic hardening plasticity with Chaboche nonlinear kinematic hardening plasticity.

MP,EX,1,185.0E3                   ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,CHAB,1                         ! CHABOCHE TABLE
TBDATA,1,180,100,3

TB,BISO,1                         ! BISO TABLE
TBDATA,1,180,200

For information on the BISO option, see Bilinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

For information on the CHAB option, see Nonlinear Kinematic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.2. MISO and CHAB Example

This input listing illustrates an example of combining multilinear isotropic hardening plasticity with Chaboche nonlinear kinematic hardening plasticity.

MP,EX,1,185E3                     ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,CHAB,1                         ! CHABOCHE TABLE
TBDATA,1,180,100,3                ! THIS EXAMPLE ISOTHERMAL

TB,MISO,1                         ! MISO TABLE
TBPT,,9.7E-4,180
TBPT,,1.0,380

For information on the MISO option, see Multilinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

For information on the CHAB option, see Nonlinear Kinematic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.3. PLAS (Multilinear Isotropic Hardening) and CHAB Example

In addition to the TB,MISO example (above), you can also use material plasticity. The multilinear isotropic hardening option - TB,PLAS, , , ,MISO is combined with Chaboche nonlinear kinematic hardening in the following example:

MP,EX,1,185E3                     ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,CHAB,1                         ! CHABOCHE TABLE
TBDATA,1,180,100,3                ! THIS EXAMPLE ISOTHERMAL

TB,PLAS,,,,MISO                   ! MISO TABLE
TBPT,,0.0,180
TBPT,,0.99795,380

For information on the MISO option, see Multilinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

For information on the CHAB option, see Nonlinear Kinematic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.4. NLISO and CHAB Example

This input listing illustrates an example of combining nonlinear isotropic hardening plasticity with Chaboche nonlinear kinematic hardening plasticity.

MP,EX,1,20.0E5                    ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,CHAB,1,3,5                     ! CHABOCHE TABLE
TBTEMP,20,1                       ! THIS EXAMPLE TEMPERATURE DEPENDENT
TBDATA,1,500,20000,100,40000,200,10000
TBDATA,7,1000,200,100,100,0
TBTEMP,40,2
TBDATA,1,880,204000,200,43800,500,10200
TBDATA,7,1000,2600,2000,500,0
TBTEMP,60,3
TBDATA,1,1080,244000,400,45800,700,12200
TBDATA,7,1400,3000,2800,900,0

TB,NLISO,1,2                       ! NLISO TABLE
TBTEMP,40,1
TBDATA,1,880,0.0,80.0,3
TBTEMP,60,2
TBDATA,1,1080,0.0,120.0,7

For information on the NLISO option, see Nonlinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

For information on the CHAB option, see Nonlinear Kinematic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.5. PLAS (Multilinear Isotropic Hardening) and EDP Example

You can use the TB,PLAS capability in conjunction with Extended Drucker-Prager plasticity. The multilinear isotropic hardening option - TB,PLAS, , , ,MISO is combined with Extended Drucker-Prager plasticity in the following example:

/prep7
mp,ex,1,2.1e4			! Elastic Properties
mp,nuxy,1,0.1

ys=7.894657
sl=1000.0

tb,edp,1,,,LYFUN
tbdata,1,2.2526,ys

tb,edp,1,,,LFPOT
tbdata,1,0.566206

tb,plas,1,,4,miso
tbpt,defi,0.0,7.894
tbpt,defi,1,1007.894

For information on the MISO option, see Multilinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

For information on the EDP option, see Extended Drucker-Prager in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.6. MISO and EDP Example

The TB,MISO option can also be used to combine multilinear isotropic hardening with Extended Drucker-Prager plasticity, as shown in the following example:

/prep7
mp,ex,1,2.1e4			! Elastic Properties
mp,nuxy,1,0.1

ys=7.894657
sl=1000.0

tb,edp,1,,,LYFUN
tbdata,1,2.2526,ys

tb,edp,1,,,LFPOT
tbdata,1,0.566206

tb,plas,1,,4,miso
tbpt,defi,0.0,7.894
tbpt,defi,1,1007.894

For information on the MISO option, see Multilinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

For information on the EDP option, see Extended Drucker-Prager in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.7. GURSON and BISO Example

The TB,BISO option can also be used to combine bilinear isotropic hardening with Gurson plasticity, as shown in the following example:

q1=1.5
q2=1
q3=q1*q1
sigma_Y=E/300.0
Yield=1.0/sigma_Y
rone=1.0
rthree=3.0
f_0= 0.04
f_N= 0.04
S_N=0.1
strain_N=0.3
Power_N=0.1

tb,GURS,1,,5,BASE                ! Gurson's BASE model
tbdata,1,sigma_Y,f_0,q1,q2,q3

tb,GURS,1,,3,SNNU                ! Gurson's SNNU model
tbdata,1,f_N,strain_N,S_N

TB,BISO,1                         ! BISO TABLE
TBDATA,1,Yield, Power_N

For information on the BISO option, see Bilinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

For information on the GURSON option, see Gurson's Model in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.8. GURSON and MISO Example

The TB,MISO option can also be used to combine multilinear isotropic hardening with Gurson plasticity, as shown in the following example:

Young=1000000
sigma_Y=Young/300.0
yield=1.0d0/sigma_Y/3.1415926
! define elastic Properties
mp,ex,1,Young
mp,nuxy,1,0.3
! Define Gurson's coefficients
q1=1.5
q2=1
q3=q1*q1
f_0= 0.000000
f_N= 0.04
S_N=0.1
strain_N=0.3
Power_N=0.1
f_c=0.15
f_F=0.25
! Gurson Model
tb,gurs,1,,5,BASE		! BASE DEFINED
tbdata,1,sigma_Y,f_0,q1,q2,q3

tb,gurs,1,,3,SNNU		! SNNU DEFINED
tbdata,1,f_N,strain_N,S_N

tb,gurs,1,,2,COAL		! COAL DEFINED
tbdata,1,f_c,f_F

tb,miso,,,6
tbpt,,0.003333333,  3333.333333
tbpt,,0.018982279,  3966.666667
tbpt,,0.103530872,  4700
tbpt,,0.562397597,  5566.666667
tbpt,,1.006031106,  5900
tbpt,,2.934546576,  6566.666667

For information on the MISO option, see Multilinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

For information on the GURSON option, see Gurson's Model in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.9. Gurson and PLAS (Multilinear Isotropic Hardening)

The TB,PLAS ,,, MISO option can also be used to combine multilinear isotropic hardening with Gurson plasticity, as shown in the following example:

q1=1.5
q2=1
q3=q1*q1
sigma_Y=E/300.0
Yield=1.0/sigma_Y
rone=1.0
rthree=3.0
f_0= 0.04
f_N= 0.04
S_N=0.1
strain_N=0.3
Power_N=0.1

tb,GURS,1,,5,BASE                ! Gurson's BASE model
tbdata,1,sigma_Y,f_0,q1,q2,q3

tb,GURS,1,,3,SNNU                ! Gurson's SNNU model
tbdata,1,f_N,strain_N,S_N

tb,plas,1,,4,miso
tbpt, defi, 0.0, Yield
tbpt, defi, 1, 10.0*Yield

For information on the MISO option, see Multilinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

For information on the GURSON option, see Gurson's Model in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.10. NLISO and GURSON Example

The TB,NLISO option can also be used to combine nonlinear isotropic hardening with Gurson plasticity, as shown in the following example:

q1=1.5
q2=1
q3=q1*q1
sigma_Y=E/300.0
Yield=1.0/sigma_Y
rone=1.0
rthree=3.0
f_0= 0.04
f_N= 0.04
S_N=0.1
strain_N=0.3
Power_N=0.1

tb,GURS,1,,5,BASE                ! Gurson's BASE model
tbdata,1,sigma_Y,f_0,q1,q2,q3

tb,GURS,1,,3,SNNU                ! Gurson's SNNU model
tbdata,1,f_N,strain_N,S_N

tb,nliso,1,1,2,5
tbdata,1,sigma_Y,power_N

For information on the NLISO option, see Nonlinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

For information on the GURSON option, see Gurson's Model in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.11. BISO and RATE Example

This input listing illustrates an example of combining bilinear isotropic hardening plasticity with the TB,RATE command to model viscoplasticity.

MP,EX,1,20.0E5                   ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,BISO,1                        ! BISO TABLE
TBDATA,1,9000,10000

TB,RATE,1,,,PERZYNA              ! RATE TABLE
TBDATA,1,0.5,1

For information on the BISO option, see Bilinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

For information on the RATE option, see Rate-Dependent Viscoplastic Materials in the Elements Reference, and Viscoplasticity in this chapter.

8.4.2.12. MISO and RATE Example

This input listing illustrates an example of combining multilinear isotropic hardening plasticity with the TB,RATE command to model viscoplasticity.

MP,EX,1,20.0E5                   ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,MISO,1                        ! MISO TABLE
TBPT,,0.015,30000
TBPT,,0.020,32000
TBPT,,0.025,33800
TBPT,,0.030,35000
TBPT,,0.040,36500
TBPT,,0.050,38000
TBPT,,0.060,39000

TB,RATE,1,,,PERZYNA              ! RATE TABLE
TBDATA,1,0.5,1

For information on the MISO option, see Multilinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

For information on the RATE option, see Rate-Dependent Viscoplastic Materials in the Elements Reference, and Viscoplasticity in this chapter.

8.4.2.13. PLAS (Multilinear Isotropic Hardening) and RATE Example

In addition to the TB,MISO example (above), you can also use material plasticity. The multilinear isotropic hardening option - TB,PLAS, , , ,MISO is combined with RATE-dependent viscoplasticity in the following example:

MP,EX,1,20.0E5                   ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,PLAS,,,,MISO                  ! MISO TABLE
TBPT,,0.00000,30000
TBPT,,4.00E-3,32000
TBPT,,8.10E-3,33800
TBPT,,1.25E-2,35000
TBPT,,2.18E-2,36500
TBPT,,3.10E-2,38000
TBPT,,4.05E-2,39000

TB,RATE,1,,,PERZYNA              ! RATE TABLE
TBDATA,1,0.5,1

For information on the MISO option, see Multilinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

For information on the RATE option, see Rate-Dependent Viscoplastic Materials in the Elements Reference, and Viscoplasticity in this chapter.

8.4.2.14. NLISO and RATE Example

This input listing illustrates an example of combining nonlinear isotropic hardening plasticity with the TB,RATE command to model viscoplasticity.

MP,EX,1,20.0E5                   ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,NLISO,1                       ! NLISO TABLE
TBDATA,1,30000,100000,5200,172

TB,RATE,1,,,PERZYNA              ! RATE TABLE
TBDATA,1,0.5,1

For information on the NLISO option, see Nonlinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

For information on the RATE option, see Rate-Dependent Viscoplastic Materials in the Elements Reference, and Viscoplasticity in this chapter.

8.4.2.15. BISO and CREEP Example

This input listing illustrates an example of combining bilinear isotropic hardening plasticity with implicit creep.

MP,EX,1,20.0E5                   ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,BISO,1                        ! BISO TABLE
TBDATA,1,9000,10000

TB,CREEP,1,,,2                   ! CREEP TABLE
TBDATA,1,1.5625E-14,5.0,-0.5,0.0

For information on the BISO option, see Bilinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

For information on the CREEP option, see Implicit Creep Equations in the Elements Reference, and Implicit Creep Procedure in this chapter.

8.4.2.16. MISO and CREEP Example

This input listing illustrates an example of combining multilinear isotropic hardening plasticity with implicit creep.

MP,EX,1,20.0E5                   ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,MISO,1                        ! MISO TABLE
TBPT,,0.015,30000
TBPT,,0.020,32000
TBPT,,0.025,33800
TBPT,,0.030,35000
TBPT,,0.040,36500
TBPT,,0.050,38000
TBPT,,0.060,39000

TB,CREEP,1,,,2                   ! CREEP TABLE
TBDATA,1,1.5625E-14,5.0,-0.5,0.0

For information on the MISO option, see Multilinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

For information on the CREEP option, see Implicit Creep Equations in the Elements Reference, and Implicit Creep Procedure in this chapter.

8.4.2.17. PLAS (Multilinear Isotropic Hardening) and CREEP Example

In addition to the TB,MISO example (above), you can also use material plasticity. The multilinear isotropic hardening option - TB,PLAS, , , ,MISO is combined with implicit CREEP in the following example:

MP,EX,1,20.0E5                   ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,PLAS,,,,MISO                  ! MISO TABLE
TBPT,,0.00000,30000
TBPT,,4.00E-3,32000
TBPT,,8.10E-3,33800
TBPT,,1.25E-2,35000
TBPT,,2.18E-2,36500
TBPT,,3.10E-2,38000
TBPT,,4.05E-2,39000

TB,CREEP,1,,,2                   ! CREEP TABLE
TBDATA,1,1.5625E-14,5.0,-0.5,0.0

For information on the MISO option, see Multilinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

For information on the CREEP option, see Implicit Creep Equations in the Elements Reference, and Implicit Creep Procedure in this chapter.

8.4.2.18. NLISO and CREEP Example

This input listing illustrates an example of combining nonlinear isotropic hardening plasticity with implicit creep.

MP,EX,1,20.0E5                   ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,NLISO,1                       ! NLISO TABLE
TBDATA,1,30000,100000,5200,172

TB,CREEP,1,,,2                   ! CREEP TABLE
TBDATA,1,1.5625E-14,5.0,-0.5,0.0

For information on the NLISO option, see Nonlinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

For information on the CREEP option, see Implicit Creep Equations in the Elements Reference, and Implicit Creep Procedure in this chapter.

8.4.2.19. BKIN and CREEP Example

This input listing illustrates an example of combining bilinear kinematic hardening plasticity with implicit creep.

MP,EX,1,1e7                   ! ELASTIC CONSTANTS
MP,NUXY,1,0.32

TB,BKIN,1,                    ! BKIN TABLE
TBDATA,1,42000,1000

TB,CREEP,1,,,6                ! CREEP TABLE
TBDATA,1,7.4e-21,3.5,0,0,0,0

For information on the BKIN option, see Bilinear Kinematic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

For information on the CREEP option, see Implicit Creep Equations in the Elements Reference, and Implicit Creep Procedure in this chapter.

8.4.2.20. HILL and BISO Example

This input listing illustrates an example of modeling anisotropic plasticity with bilinear isotropic hardening.

MP,EX,1,20.0E5                        ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,HILL,1,2                           ! HILL TABLE
TBTEMP,100
TBDATA,1,1,1.0402,1.24897,1.07895,1,1
TBTEMP,200
TBDATA,1,0.9,0.94,1.124,0.97,0.9,0.9

TB,BISO,1,2                           ! BISO TABLE
TBTEMP,100
TBDATA,1,461.0,374.586
TBTEMP,200
TBDATA,1,400.0,325.0

For information on the HILL option, see Hill's Anisotropy in the Elements Reference, and Plastic Material Options in this chapter.

For information on the BISO option, see Bilinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.21. HILL and MISO Example

This input listing illustrates an example of modeling anisotropic plasticity with multilinear isotropic hardening.

MP,EX,1,20.0E5                   ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,MISO,1                        ! MISO TABLE
TBPT,,0.015,30000
TBPT,,0.020,32000
TBPT,,0.025,33800
TBPT,,0.030,35000
TBPT,,0.040,36500
TBPT,,0.050,38000
TBPT,,0.060,39000

TB,HILL,1                        ! HILL TABLE
TBDATA,1,1.0,1.1,0.9,0.85,0.9,0.80

For information on the HILL option, see Hill's Anisotropy in the Elements Reference, and Plastic Material Options in this chapter.

For information on the MISO option, see Multilinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.22. HILL and PLAS (Multilinear Isotropic Hardening) Example

In addition to the TB,MISO example (above), you can also use material plasticity. The multilinear isotropic hardening option - TB,PLAS, , , ,MISO is combined with HILL anisotropic plasticity in the following example:

MP,EX,1,20.0E5                   ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,PLAS,,,,MISO                  ! MISO TABLE
TBPT,,0.00000,30000
TBPT,,4.00E-3,32000
TBPT,,8.10E-3,33800
TBPT,,1.25E-2,35000
TBPT,,2.18E-2,36500
TBPT,,3.10E-2,38000
TBPT,,4.05E-2,39000

TB,HILL,1                        ! HILL TABLE
TBDATA,1,1.0,1.1,0.9,0.85,0.9,0.80

For information on the MISO option, see Multilinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

For information on the HILL option, see Hill's Anisotropy in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.23. HILL and NLISO Example

This input listing illustrates an example of modeling anisotropic plasticity with nonlinear isotropic hardening.

MP,EX,1,20.0E5                   ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,NLISO,1                       ! NLISO TABLE
TBDATA,1,30000,100000,5200,172

TB,HILL,1                        ! HILL TABLE
TBDATA,1,1.0,1.1,0.9,0.85,0.9,0.80

For information on the HILL option, see Hill's Anisotropy in the Elements Reference, and Plastic Material Options in this chapter.

For information on the NLISO option, see Nonlinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.24. HILL and BKIN Example

This input listing illustrates an example of modeling anisotropic plasticity with bilinear kinematic hardening.

MP,EX,1,20.0E5                   ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,BKIN,1                        ! BKIN TABLE
TBDATA,1,9000,10000

TB,HILL,1                        ! HILL TABLE
TBDATA,1,1.0,1.1,0.9,0.85,0.9,0.80

For information on the HILL option, see Hill's Anisotropy in the Elements Reference, and Plastic Material Options in this chapter.

For information on the BKIN option, see Bilinear Kinematic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.25. HILL and MKIN Example

This input listing illustrates an example of modeling anisotropic plasticity with multilinear kinematic hardening.

MPTEMP,1,20,400,650,800,950      ! ELASTIC CONSTANTS

MPDATA,EX,1,1,30.00E6,27.36E6,25.20E6,23.11E6,20.76E6
MPDATA,EY,1,1,30.00E6,27.36E6,25.20E6,23.11E6,20.76E6
MPDATA,EZ,1,1,30.00E6,27.36E6,25.20E6,23.11E6,20.76E6

MPDATA,PRXY,1,1,0.351,0.359,0.368,0.375,0.377
MPDATA,PRYZ,1,1,0.351,0.359,0.368,0.375,0.377
MPDATA,PRXZ,1,1,0.351,0.359,0.368,0.375,0.377

MPDATA,GXY,1,1,1.190E4,1.160E4,1.110E4,1.080E4,1.060E4
MPDATA,GYZ,1,1,1.190E4,1.160E4,1.110E4,1.080E4,1.060E4
MPDATA,GXZ,1,1,1.190E4,1.160E4,1.110E4,1.080E4,1.060E4

TB,MKIN,1,5,5                    ! MKIN TABLE
TBTEMP,,strain
TBDATA,1,0.0015,0.006,0.04,0.08,0.1
TBTEMP,20
TBDATA,1,45000,60000,90000,115000,120000
TBTEMP,400
TBDATA,1,41040,54720,82080,104880,109440
TBTEMP,650
TBDATA,1,37800,50400,75600,96600,100800
TBTEMP,800
TBDATA,1,34665,46220,69330,88588,92440
TBTEMP,950
TBDATA,1,31140,41520,62280,79580,83040

TB,HILL,1,5                      ! HILL TABLE
TBTEMP,20.0
TBDATA,1,1.0,1.0,1.0,0.93,0.93,0.93
TBTEMP,400.0
TBDATA,1,1.0,1.0,1.0,0.93,0.93,0.93
TBTEMP,650.0
TBDATA,1,1.0,1.0,1.0,0.93,0.93,0.93
TBTEMP,800.0
TBDATA,1,1.0,1.0,1.0,1.00,1.00,1.00
TBTEMP,950.0
TBDATA,1,1.0,1.0,1.0,1.00,1.00,1.00

For information on the HILL option, see Hill's Anisotropy in the Elements Reference, and Plastic Material Options in this chapter.

For information on the MKIN option, see Multilinear Kinematic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.26. HILL and KINH Example

This input listing illustrates an example of modeling anisotropic plasticity with multilinear kinematic hardening.

MP,EX,1,20E6                         ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,KINH,1,,3                         ! KINH TABLE
TBPT,,5E-5,1E3
TBPT,,0.01,2E3
TBPT,,0.60,6E4

TB,HILL,1                            ! HILL TABLE
TBDATA,1,1.0,1.1,0.9,0.85,0.90,0.95

For information on the HILL option, see Hill's Anisotropy in the Elements Reference, and Plastic Material Options in this chapter.

For information on the KINH option, see Multilinear Kinematic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.27. HILL, and PLAS (Kinematic Hardening) Example

In addition to the TB,KINH example (above), you can also use material plasticity. The kinematic hardening option - TB,PLAS, , , ,KINH is combined with HILL anisotropic plasticity in the following example:

MP,EX,1,20E6                         ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,PLAS,,,,KINH                      ! KINH TABLE
TBPT,,0.00000,1E3
TBPT,,9.90E-3,2E3
TBPT,,5.97E-1,6E4

TB,HILL,1

For information on the HILL option, see Hill's Anisotropy in the Elements Reference, and Plastic Material Options in this chapter.

For information on the KINH option, see Multilinear Kinematic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.28. HILL and CHAB Example

This input listing illustrates an example of modeling anisotropic plasticity with Chaboche nonlinear kinematic hardening.

MP,EX,1,185E3                    ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,CHAB,1                        ! CHABOCHE TABLE
TBDATA,1,180,400,3,0

TB,HILL,1                        ! HILL TABLE
TBDATA,1,1.0,1.1,0.9,0.85,0.9,0.80

For information on the HILL option, see Hill's Anisotropy in the Elements Reference, and Plastic Material Options in this chapter.

For information on the CHAB option, see Nonlinear Kinematic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.29. HILL and BISO and CHAB Example

This input listing illustrates an example of modeling anisotropic plasticity with bilinear isotropic hardening and Chaboche nonlinear kinematic hardening.

MP,EX,1,185E3                       ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,CHAB,1                           ! CHABOCHE TABLE
TBDATA,1,180,100,3

TB,BISO,1                           ! BISO TABLE
TBDATA,1,180,200

TB,HILL,1                           ! HILL TABLE
TBDATA,1,1.0,1.1,0.9,0.85,0.9,0.80

For information on the HILL option, see Hill's Anisotropy in the Elements Reference, and Plastic Material Options in this chapter.

For information on the BISO option, see Bilinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

For information on the CHAB option, see Nonlinear Kinematic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.30. HILL and MISO and CHAB Example

This input listing illustrates an example of modeling anisotropic plasticity with multilinear isotropic hardening and Chaboche nonlinear kinematic hardening.

MP,EX,1,185E3                       ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,CHAB,1                           ! CHABOCHE TABLE
TBDATA,1,185,100,3

TB,MISO,1                           ! MISO TABLE
TBPT,,0.001,185
TBPT,,1.0,380

TB,HILL,1                           ! HILL TABLE
TBDATA,1,1.0,1.1,0.9,0.85,0.9,0.80

For information on the HILL option, see Hill's Anisotropy in the Elements Reference, and Plastic Material Options in this chapter.

For information on the MISO option, see Multilinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

For information on the CHAB option, see Nonlinear Kinematic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.31. HILL and PLAS (Multilinear Isotropic Hardening) and CHAB Example

In addition to the TB,MISO example (above), you can also use material plasticity. The multilinear isotropic hardening option - TB,PLAS, , , ,MISO is combined with HILL anisotropic plasticity and Chaboche nonlinear kinematic hardening in the following example:

MP,EX,1,185E3                       ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,CHAB,1                           ! CHABOCHE TABLE
TBDATA,1,185,100,3

TB,PLAS,,,,MISO                     ! MISO TABLE
TBPT,,0.001,185
TBPT,,0.998,380

TB,HILL,1                           ! HILL TABLE
TBDATA,1,1.0,1.1,0.9,0.85,0.9,0.80

For information on the MISO option, see Multilinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

For information on the HILL option, see Hill's Anisotropy in the Elements Reference, and Plastic Material Options in this chapter.

For information on the CHAB option, see Nonlinear Kinematic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.32. HILL and NLISO and CHAB Example

This input listing illustrates an example of combining anisotropic plasticity with nonlinear isotropic hardening and Chaboche nonlinear kinematic hardening.

MPTEMP,1,20,200,400,550,600,650            ! ELASTIC CONSTANTS
MPTEMP,,700,750,800,850,900,950
!
MPDATA,EX,1,1,1.250E4,1.210E4,1.140E4,1.090E4,1.070E4,1.050E4
MPDATA,EX,1,,1.020E4,0.995E4,0.963E4,0.932E4,0.890E4,0.865E4
!
MPDATA,EY,1,1,1.250E4,1.210E4,1.140E4,1.090E4,1.070E4,1.050E4
MPDATA,EY,1,,1.020E4,0.995E4,0.963E4,0.932E4,0.890E4,0.865E4
!
MPDATA,EZ,1,1,1.250E4,1.210E4,1.140E4,1.090E4,1.070E4,1.050E4
MPDATA,EZ,1,,1.020E4,0.995E4,0.963E4,0.932E4,0.890E4,0.865E4
!
MPDATA,PRXY,1,1,0.351,0.359,0.368,0.375,0.377,0.380
MPDATA,PRXY,1,,0.382,0.384,0.386,0.389,0.391,0.393
!
MPDATA,PRYZ,1,1,0.351,0.359,0.368,0.375,0.377,0.380
MPDATA,PRYZ,1,,0.382,0.384,0.386,0.389,0.391,0.393
!
MPDATA,PRXZ,1,1,0.351,0.359,0.368,0.375,0.377,0.380
MPDATA,PRXZ,1,,0.382,0.384,0.386,0.389,0.391,0.393
!
MPDATA,GXY,1,1,1.190E4,1.160E4,1.110E4,1.080E4,1.060E4,1.040E4
MPDATA,GXY,1,,1.020E4,1.000E4,0.973E4,0.946E4,0.908E4,0.887E4
!
MPDATA,GYZ,1,1,1.190E4,1.160E4,1.110E4,1.080E4,1.060E4,1.040E4
MPDATA,GYZ,1,,1.020E4,1.000E4,0.973E4,0.946E4,0.908E4,0.887E4
!
MPDATA,GXZ,1,1,1.190E4,1.160E4,1.110E4,1.080E4,1.060E4,1.040E4
MPDATA,GXZ,1,,1.020E4,1.000E4,0.973E4,0.946E4,0.908E4,0.887E4

TB,NLISO,1                                ! NLISO TABLE
TBDATA,1,180,0.0,100.0,5

!

TB,CHAB,1                                 ! CHABOCHE TABLE
TBDATA,1,180,100,3

TB,HILL,1,5                               ! HILL TABLE
TBTEMP,750.0
TBDATA,1,1.0,1.0,1.0,0.93,0.93,0.93
TBTEMP,800.0
TBDATA,1,1.0,1.0,1.0,0.93,0.93,0.93
TBTEMP,850.0
TBDATA,1,1.0,1.0,1.0,0.93,0.93,0.93
TBTEMP,900.0
TBDATA,1,1.0,1.0,1.0,1.00,1.00,1.00
TBTEMP,950.0
TBDATA,1,1.0,1.0,1.0,1.00,1.00,1.00

For information on the HILL option, see Hill's Anisotropy in the Elements Reference, and Plastic Material Options in this chapter.

For information on the NLISO option, see Nonlinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

For information on the CHAB option, see Nonlinear Kinematic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.33. HILL and RATE and BISO Example

This input listing illustrates an example of modeling anisotropic viscoplasticity with bilinear isotropic hardening plasticity.

MPTEMP,1,20,400,650,800,950      ! ELASTIC CONSTANTS
!
MPDATA,EX,1,1,30.00E6,27.36E6,25.20E6,23.11E6,20.76E6
!
MPDATA,EY,1,1,30.00E6,27.36E6,25.20E6,23.11E6,20.76E6
!
MPDATA,EZ,1,1,30.00E6,27.36E6,25.20E6,23.11E6,20.76E6
!
MPDATA,PRXY,1,1,0.351,0.359,0.368,0.375,0.377
!
MPDATA,PRYZ,1,1,0.351,0.359,0.368,0.375,0.377
!
MPDATA,PRXZ,1,1,0.351,0.359,0.368,0.375,0.377
!
MPDATA,GXY,1,1,1.190E4,1.160E4,1.110E4,1.080E4,1.060E4
!
MPDATA,GYZ,1,1,1.190E4,1.160E4,1.110E4,1.080E4,1.060E4
!
MPDATA,GXZ,1,1,1.190E4,1.160E4,1.110E4,1.080E4,1.060E4

TB,BISO,1,                       ! BISO TABLE
TBDATA,1,45000,760000

TB,RATE,1,2,,PERZYNA             ! RATE TABLE
TBTEMP,20
TBDATA,1,0.1,0.3
TBTEMP,950
TBDATA,1,0.3,0.5

TB,HILL,1,5                      ! HILL TABLE
TBTEMP,750.0
TBDATA,1,1.0,1.0,1.0,0.93,0.93,0.93
TBTEMP,800.0
TBDATA,1,1.0,1.0,1.0,0.93,0.93,0.93
TBTEMP,850.0
TBDATA,1,1.0,1.0,1.0,0.93,0.93,0.93
TBTEMP,900.0
TBDATA,1,1.0,1.0,1.0,1.00,1.00,1.00
TBTEMP,950.0
TBDATA,1,1.0,1.0,1.0,1.00,1.00,1.00

For information on the HILL option, see Hill's Anisotropy in the Elements Reference, and Plastic Material Options in this chapter.

For information on the RATE option, see Rate-Dependent Viscoplastic Materials in the Elements Reference, and Viscoplasticity in this chapter.

For information on the BISO option, see Bilinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.34. HILL and RATE and MISO Example

This input listing illustrates an example of modeling anisotropic viscoplasticity with multilinear isotropic hardening plasticity.

MP,EX,1,20.0E5                   ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,MISO,1                        ! MISO TABLE
TBPT,,0.015,30000
TBPT,,0.020,32000
TBPT,,0.025,33800
TBPT,,0.030,35000
TBPT,,0.040,36500
TBPT,,0.050,38000
TBPT,,0.060,39000

TB,HILL,1                        ! HILL TABLE
TBDATA,1,1.0,1.1,0.9,0.85,0.9,0.80

TB,RATE,1,,,PERZYNA              ! RATE TABLE
TBDATA,1,0.5,1

For information on the HILL option, see Hill's Anisotropy in the Elements Reference, and Plastic Material Options in this chapter.

For information on the RATE option, see Rate-Dependent Viscoplastic Materials in the Elements Reference, and Viscoplasticity in this chapter.

For information on the MISO option, see Bilinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.35. HILL and RATE and NLISO Example

This input listing illustrates an example of modeling anisotropic viscoplasticity with nonlinear isotropic hardening plasticity.

MP,EX,1,20.0E5                   ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,NLISO,1                       ! NLISO TABLE
TBDATA,1,30000,100000,5200,172

TB,HILL,1                        ! HILL TABLE
TBDATA,1,1.0,1.1,0.9,0.85,0.9,0.80

TB,RATE,1,,,PERZYNA              ! RATE TABLE
TBDATA,1,0.5,1

For information on the HILL option, see Hill's Anisotropy in the Elements Reference, and Plastic Material Options in this chapter.

For information on the RATE option, see Rate-Dependent Viscoplastic Materials in the Elements Reference, and Viscoplasticity in this chapter.

For information on the NLISO option, see Nonlinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.36. HILL and CREEP Example

This input listing illustrates an example of modeling anisotropic implicit creep.

MPTEMP,1,20,200,400,550,600,650           ! ELASTIC CONSTANTS
MPTEMP,,700,750,800,850,900,950
!
MPDATA,EX,1,1,1.250E4,1.210E4,1.140E4,1.090E4,1.070E4,1.050E4
MPDATA,EX,1,,1.020E4,0.995E4,0.963E4,0.932E4,0.890E4,0.865E4
!
MPDATA,EY,1,1,1.250E4,1.210E4,1.140E4,1.090E4,1.070E4,1.050E4
MPDATA,EY,1,,1.020E4,0.995E4,0.963E4,0.932E4,0.890E4,0.865E4
!
MPDATA,EZ,1,1,1.250E4,1.210E4,1.140E4,1.090E4,1.070E4,1.050E4
MPDATA,EZ,1,,1.020E4,0.995E4,0.963E4,0.932E4,0.890E4,0.865E4
!
MPDATA,PRXY,1,1,0.351,0.359,0.368,0.375,0.377,0.380
MPDATA,PRXY,1,,0.382,0.384,0.386,0.389,0.391,0.393
!
MPDATA,PRYZ,1,1,0.351,0.359,0.368,0.375,0.377,0.380
MPDATA,PRYZ,1,,0.382,0.384,0.386,0.389,0.391,0.393
!
MPDATA,PRXZ,1,1,0.351,0.359,0.368,0.375,0.377,0.380
MPDATA,PRXZ,1,,0.382,0.384,0.386,0.389,0.391,0.393
!
MPDATA,GXY,1,1,1.190E4,1.160E4,1.110E4,1.080E4,1.060E4,1.040E4
MPDATA,GXY,1,,1.020E4,1.000E4,0.973E4,0.946E4,0.908E4,0.887E4
!
MPDATA,GYZ,1,1,1.190E4,1.160E4,1.110E4,1.080E4,1.060E4,1.040E4
MPDATA,GYZ,1,,1.020E4,1.000E4,0.973E4,0.946E4,0.908E4,0.887E4
!
MPDATA,GXZ,1,1,1.190E4,1.160E4,1.110E4,1.080E4,1.060E4,1.040E4
MPDATA,GXZ,1,,1.020E4,1.000E4,0.973E4,0.946E4,0.908E4,0.887E4

TB,CREEP,1,,,2                           ! CREEP TABLE
TBDATA,1,5.911E-34,6.25,-0.25

TB,HILL,1,5                              ! HILL TABLE
TBTEMP,750.0
TBDATA,1,1.0,1.0,1.0,0.93,0.93,0.93
TBTEMP,800.0
TBDATA,1,1.0,1.0,1.0,0.93,0.93,0.93
TBTEMP,850.0
TBDATA,1,1.0,1.0,1.0,0.93,0.93,0.93
TBTEMP,900.0
TBDATA,1,1.0,1.0,1.0,1.00,1.00,1.00
TBTEMP,950.0
TBDATA,1,1.0,1.0,1.0,1.00,1.00,1.00

For information on the HILL option, see Hill's Anisotropy in the Elements Reference, and Plastic Material Options in this chapter.

For information on the CREEP option, see Implicit Creep Equations in the Elements Reference, and Implicit Creep Procedure in this chapter.

8.4.2.37. HILL, CREEP and BISO Example

This input listing illustrates an example of modeling anisotropic implicit creep with bilinear isotropic hardening plasticity.

MPTEMP,1,20,200,400,550,600,650            ! ELASTIC CONSTANTS
MPTEMP,,700,750,800,850,900,950
!
MPDATA,EX,1,1,1.250E4,1.210E4,1.140E4,1.090E4,1.070E4,1.050E4
MPDATA,EX,1,,1.020E4,0.995E4,0.963E4,0.932E4,0.890E4,0.865E4
!
MPDATA,EY,1,1,1.250E4,1.210E4,1.140E4,1.090E4,1.070E4,1.050E4
MPDATA,EY,1,,1.020E4,0.995E4,0.963E4,0.932E4,0.890E4,0.865E4
!
MPDATA,EZ,1,1,1.250E4,1.210E4,1.140E4,1.090E4,1.070E4,1.050E4
MPDATA,EZ,1,,1.020E4,0.995E4,0.963E4,0.932E4,0.890E4,0.865E4
!
MPDATA,PRXY,1,1,0.351,0.359,0.368,0.375,0.377,0.380
MPDATA,PRXY,1,,0.382,0.384,0.386,0.389,0.391,0.393
!
MPDATA,PRYZ,1,1,0.351,0.359,0.368,0.375,0.377,0.380
MPDATA,PRYZ,1,,0.382,0.384,0.386,0.389,0.391,0.393
!
MPDATA,PRXZ,1,1,0.351,0.359,0.368,0.375,0.377,0.380
MPDATA,PRXZ,1,,0.382,0.384,0.386,0.389,0.391,0.393
!
MPDATA,GXY,1,1,1.190E4,1.160E4,1.110E4,1.080E4,1.060E4,1.040E4
MPDATA,GXY,1,,1.020E4,1.000E4,0.973E4,0.946E4,0.908E4,0.887E4
!
MPDATA,GYZ,1,1,1.190E4,1.160E4,1.110E4,1.080E4,1.060E4,1.040E4
MPDATA,GYZ,1,,1.020E4,1.000E4,0.973E4,0.946E4,0.908E4,0.887E4
!
MPDATA,GXZ,1,1,1.190E4,1.160E4,1.110E4,1.080E4,1.060E4,1.040E4
MPDATA,GXZ,1,,1.020E4,1.000E4,0.973E4,0.946E4,0.908E4,0.887E4

TB,BISO,1                                ! BISO TABLE
TBDATA,1,180,200

TB,CREEP,1,,,2                           ! CREEP TABLE
TBDATA,1,5.911E-34,6.25,-0.25

TB,HILL,1,5                              ! HILL TABLE
TBTEMP,750.0
TBDATA,1,1.0,1.0,1.0,0.93,0.93,0.93
TBTEMP,800.0
TBDATA,1,1.0,1.0,1.0,0.93,0.93,0.93
TBTEMP,850.0
TBDATA,1,1.0,1.0,1.0,0.93,0.93,0.93
TBTEMP,900.0
TBDATA,1,1.0,1.0,1.0,1.00,1.00,1.00
TBTEMP,950.0
TBDATA,1,1.0,1.0,1.0,1.00,1.00,1.00

For information on the HILL option, see Hill's Anisotropy in the Elements Reference, and Plastic Material Options in this chapter.

For information on the CREEP option, see Implicit Creep Equations in the Elements Reference, and Implicit Creep Procedure in this chapter.

For information on the BISO option, see Bilinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.38. HILL and CREEP and MISO Example

This input listing illustrates an example of modeling anisotropic implicit creep with multilinear isotropic hardening plasticity.

MP,EX,1,20.0E5                   ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,MISO,1                        ! MISO TABLE
TBPT,,0.015,30000
TBPT,,0.020,32000
TBPT,,0.025,33800
TBPT,,0.030,35000
TBPT,,0.040,36500
TBPT,,0.050,38000
TBPT,,0.060,39000

TB,HILL,1                        ! HILL TABLE
TBDATA,1,1.0,1.1,0.9,0.85,0.9,0.80

TB,CREEP,1,,,2                   ! CREEP TABLE
TBDATA,1,1.5625E-14,5.0,-0.5,0.0

For information on the HILL option, see Hill's Anisotropy in the Elements Reference, and Plastic Material Options in this chapter.

For information on the CREEP option, see Implicit Creep Equations in the Elements Reference, and Implicit Creep Procedure in this chapter.

For information on the MISO option, see Multilinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.39. HILL, CREEP and PLAS (Multilinear Isotropic Hardening) Example

In addition to the TB,MISO example (above), you can also use material plasticity. The multilinear isotropic hardening option - TB,PLAS, , , ,MISO is combined with HILL anisotropic plasticity and implicit CREEP in the following example:

MP,EX,1,20.0E5                   ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,PLAS,1,,7,MISO                ! MISO TABLE
TBPT,,0.00000,30000
TBPT,,4.00E-3,32000
TBPT,,8.10E-3,33800
TBPT,,1.25E-2,35000
TBPT,,2.18E-2,36500
TBPT,,3.10E-2,38000
TBPT,,4.05E-2,39000

TB,HILL,1                        ! HILL TABLE
TBDATA,1,1.0,1.1,0.9,0.85,0.9,0.80

TB,CREEP,1,,,2                   ! CREEP TABLE
TBDATA,1,1.5625E-14,5.0,-0.5,0.0

For information on the HILL option, see Hill's Anisotropy in the Elements Reference, and Plastic Material Options in this chapter.

For information on the CREEP option, see Implicit Creep Equations in the Elements Reference, and Implicit Creep Procedure in this chapter.

For information on the MISO option, see Multilinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.40. HILL and CREEP and NLISO Example

This input listing illustrates an example of modeling anisotropic implicit creep with nonlinear isotropic hardening plasticity.

MP,EX,1,20.0E5                   ! ELASTIC CONSTANTS
MP,NUXY,1,0.3

TB,NLISO,1                       ! NLISO TABLE
TBDATA,1,30000,100000,5200,172

TB,HILL,1                        ! HILL TABLE
TBDATA,1,1.0,1.1,0.9,0.85,0.9,0.80

TB,CREEP,1,,,2                   ! CREEP TABLE
TBDATA,1,1.5625E-14,5.0,-0.5,0.0

For information on the HILL option, see Hill's Anisotropy in the Elements Reference, and Plastic Material Options in this chapter.

For information on the CREEP option, see Implicit Creep Equations in the Elements Reference, and Implicit Creep Procedure in this chapter.

For information on the NLISO option, see Nonlinear Isotropic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.41. HILL and CREEP and BKIN Example

This input listing illustrates an example of modeling anisotropic implicit creep with bilinear kinematic hardening plasticity.

MP,EX,1,1e7                     ! ELASTIC CONSTANTS
MP,NUXY,1,0.32

TB,BKIN,1                       ! BKIN TABLE
TBDATA,1,42000,1000

TB,CREEP,1,,,6                  ! CREEP TABLES
TBDATA,1,7.4e-21,3.5,0,0,0,0

TB,HILL,1                       ! HILL TABLE
TBDATA,1,1.15,1.05,1.0,1.0,1.0,1.0

For information on the HILL option, see Hill's Anisotropy in the Elements Reference, and Plastic Material Options in this chapter.

For information on the CREEP option, see Implicit Creep Equations in the Elements Reference, and Implicit Creep Procedure in this chapter.

For information on the BKIN option, see Bilinear Kinematic Hardening in the Elements Reference, and Plastic Material Options in this chapter.

8.4.2.42. Hyperelasticity and Viscoelasticity (Implicit) Example

This input listing illustrates the combination of implicit hyperelasticity and viscoelasticity.

      c10=293
      c01=177
      TB,HYPER,1,,,MOON               !!!! type 1 is Mooney-Rivlin
      TBDATA,1,c10,c01
      a1=0.1
      a2=0.2
      a3=0.3
      t1=10
      t2=100
      t3=1000
      tb,prony,1,,3,shear          ! define Prony constants
      tbdata,1,a1,t1,a2,t2,a3,t3

For information on hyperelasticity, see Hyperelastic Material Constants in the Elements Reference, and Hyperelasticity in this chapter.

For information on the viscoelasticity, see Viscoelastic Material Constants in the Elements Reference, and Viscoelasticity in this chapter.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.3. Using Geometric Nonlinearities 		Up / Home Next
8.5. Running a Nonlinear Analysis in ANSYS


8.5. Running a Nonlinear Analysis in ANSYS

ANSYS employs an automatic solution control method that, based on the physics of your problem, sets various nonlinear analysis controls to the appropriate values. If you are not satisfied with the results obtained with these values, you can manually override the settings. The following commands are set to optimal defaults:

ARCLEN | EQSLV | NROPT
AUTOTS | KBC | NSUBST
CDWRITE | LNSRCH | OPNCONTROL
CNVTOL | LSWRITE | PRED
CUTCONTROL | MONITOR | SSTIF
DELTIM | NEQIT | TINTP

These commands and the settings they control are discussed in later sections. You can also refer to the individual command descriptions in the Commands Reference.

If you do choose to override the ANSYS-specified settings, or if you wish to use an input list from a previous release of ANSYS, issue SOLCONTROL,OFF in the /SOLU phase. See the SOLCONTROL command description for more details.

ANSYS' automatic solution control is active for the following analyses:

  • Single-field nonlinear or transient structural and solid mechanics analysis where the solution DOFs are combinations of UX, UY, UZ, ROTX, ROTY, and ROTZ.

  • Single-field nonlinear or transient thermal analysis where the solution DOF is TEMP.

Note

The Solution Controls dialog box, which is described later in this chapter, cannot be used to set solution controls for a thermal analysis. Instead, you must use the standard set of ANSYS solution commands and the standard corresponding menu paths.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.4. Modeling Material Nonlinearities 		Up / Home Next
8.6. Performing a Nonlinear Static Analysis


8.6. Performing a Nonlinear Static Analysis

The procedure for performing a nonlinear static analysis consists of these tasks:

  • Build the Model

  • Set Solution Controls

  • Set Additional Solution Options

  • Apply the Loads

  • Solve the Analysis

  • Review the Results

8.6.1. Build the Model

This step is essentially the same for both linear and nonlinear analyses, although a nonlinear analysis might include special elements or nonlinear material properties. See Using Nonlinear (Changing-Status) Elements, and Modeling Material Nonlinearities, for more details. If your analysis includes large-strain effects, your stress-strain data must be expressed in terms of true stress and true (or logarithmic) strain. For more information on building models in ANSYS, see the Modeling and Meshing Guide.

After you have created a model in ANSYS, you set solution controls (analysis type, analysis options, load step options, and so on), apply loads, and solve. A nonlinear solution will differ from a linear solution in that it often requires multiple load increments, and always requires equilibrium iterations. The general procedure for performing these tasks follows. See Sample Nonlinear Analysis (GUI Method) for a sample problem that walks you through a specific nonlinear analysis.

8.6.2. Set Solution Controls

Setting solution controls for a nonlinear analysis involves the same options and method of access (the Solution Controls dialog box) as those used for a linear structural static analysis. For a nonlinear analysis, the default settings in the Solution Controls dialog box are essentially the same settings employed by the automatic solution control method described in Running a Nonlinear Analysis in ANSYS. See the following sections in "Structural Static Analysis", with exceptions noted:

  • Set Solution Controls

  • Access the Solution Controls Dialog Box

  • Using the Basic Tab

  • The Transient Tab

  • Using the Sol'n Options Tab

  • Using the Nonlinear Tab

  • Using the Advanced NL Tab

8.6.2.1. Using the Basic Tab: Special Considerations

Special considerations for setting these options in a nonlinear structural static analysis include:

  • When setting ANTYPE and NLGEOM, choose Large Displacement Static if you are performing a new analysis. (But, keep in mind that not all nonlinear analyses will produce large deformations. See Using Geometric Nonlinearities for further discussion of large deformations.) Choose Restart Current Analysis if you want to restart a failed nonlinear analysis. You cannot change this setting after the first load step (that is, after you issue your first SOLVE command). You will usually choose to do a new analysis, rather than a restart. Restarts are discussed in the Basic Analysis Guide.

  • When working with time settings, remember that these options can be changed at any load step. See "Loading" in the Basic Analysis Guide for more information on these options. Advanced time/frequency options, in addition to those available on the Solution Controls dialog box, are discussed in Advanced Load Step Options You Can Set on the Solution Controls Dialog Box.

    A nonlinear analysis requires multiple substeps (or time steps; the two terms are equivalent) within each load step so that ANSYS can apply the specified loads gradually and obtain an accurate solution. The NSUBST and DELTIM commands both achieve the same effect (establishing a load step's starting, minimum, and maximum step size), but by reciprocal means. NSUBST defines the number of substeps to be taken within a load step, whereas DELTIM defines the time step size explicitly. If automatic time stepping is off [AUTOTS], then the starting substep size is used throughout the load step.

  • OUTRES controls the data on the results file (Jobname.RST). By default, only the last substep is written to the results file in a nonlinear analysis.

    Only 1000 results sets (substeps) can be written to the results file, but you can use the command /CONFIG,NRES to increase the limit (see the Basic Analysis Guide).

8.6.2.2. Advanced Analysis Options You Can Set on the Solution Controls Dialog Box

The following sections provide more detail about some of the advanced analysis options that you can set on the Solution Controls dialog box.

8.6.2.2.1. Equation Solver

ANSYS' automatic solution control activates the sparse direct solver (EQSLV,SPARSE) for most cases. The sparse direct solver is the default, except for the generation pass of a substructure analysis (which uses the frontal direct solver). Other options include the frontal direct and PCG solvers. For applications using solid elements (for example, SOLID92 or SOLID45), the PCG solver may be faster, especially for 3-D modeling.

If using the PCG solver, you may be able to reduce memory usage via the MSAVE command. The MSAVE command triggers an element-by-element approach for the parts of the model that use SOLID45, SOLID92, SOLID95, SOLID185, SOLID186, and/or SOLID187 elements with linear material properties. (MSAVE does not support the layered option of the SOLID185 and SOLID186 elements.) To use MSAVE, you must be performing a static or a modal analysis with PCG Lanczos enabled. When using SOLID185, SOLID186, and/or SOLID187, only small strain (NLGEOM,OFF) analyses are allowed. Other parts of the model that do not meet the above criteria are solved using global assembly for the stiffness matrix. MSAVE,ON can result in a memory savings of up to 70 percent for the part of the model that meets the criteria, although the solution time may increase depending on the capabilities of your computer and the element options selected.

The sparse direct solver, in sharp contrast to the iterative solvers included in ANSYS, is a robust solver. Although the PCG solver can solve indefinite matrix equations, when the PCG solver encounters an ill-conditioned matrix, the solver will iterate to the specified number of iterations and stop if it fails to converge. When this happens, it triggers bisection. After completing the bisection, the solver continues the solution if the resulting matrix is well-conditioned. Eventually, the entire nonlinear load step can be solved.

Use the following guidelines for selecting either the sparse or the PCG solver for nonlinear structural analysis:

  • If it is a beam/shell or beam/shell and solid structure, choose the sparse direct solver.

  • If it is a 3-D solid structure and the number of DOF is relatively large (that is, 200,000 or more DOF), choose the PCG solver.

  • If the problem is ill-conditioned (triggered by poor element shapes), or has a big difference in material properties in different regions of the model, or has insufficient displacement boundary constraints, choose the sparse direct solver.

8.6.2.3. Advanced Load Step Options You Can Set on the Solution Controls Dialog Box

The following sections provide more detail about some of the advanced load step options that you can set on the Solution Controls dialog box.

8.6.2.3.1. Automatic Time Stepping

ANSYS' automatic solution control turns automatic time stepping on [AUTOTS,ON]. An internal auto-time step scheme ensures that the time step variation is neither too aggressive (resulting in many bisection/cutbacks) nor too conservative (time step size is too small). At the end of a time step, the size of the next time step is predicted based on four factors:

  • Number of equilibrium iterations used in the last time step (more iterations cause the time step size to be reduced)

  • Predictions for nonlinear element status change (time step sizes are decreased when a status change is imminent)

  • Size of the plastic strain increment

  • Size of the creep strain increment

8.6.2.3.2. Convergence Criteria

The program will continue to do equilibrium iterations until the convergence criteria [CNVTOL] are satisfied (or until the maximum number of equilibrium equations is reached [NEQIT]). You can define custom criteria if the default settings are not suitable.

ANSYS' automatic solution control uses L2-norm of force (and moment) tolerance (TOLER) equal to 0.5%, a setting that is appropriate for most cases. In most cases, an L2-norm check on displacement with TOLER equal to 5% is also used in addition to the force norm check. The check that the displacements are loosely set serves as a double-check on convergence.

By default, the program will check for force (and, when rotational degrees of freedom are active, moment) convergence by comparing the square root sum of the squares (SRSS) of the force imbalances against the product of VALUE*TOLER. The default value of VALUE is the SRSS of the applied loads (or, for applied displacements, of the Newton-Raphson restoring forces), or MINREF (which defaults to 0.01), whichever is greater. The default value of TOLER is 0.005. If SOLCONTROL,OFF, TOLER defaults to 0.001 and MINREF defaults to 1.0 for force convergence.

You should almost always use force convergence checking. You can also add displacement (and, when applicable, rotation) convergence checking. For displacements, the program bases convergence checking on the change in deflections (Δu) between the current (i) and the previous (i-1) iterations: Δu=ui-ui-1.

Note

If you explicitly define any custom convergence criteria [CNVTOL], the entire default criteria will be overwritten. Thus, if you define displacement convergence checking, you will have to redefine force convergence checking. (Use multiple CNVTOL commands to define multiple convergence criteria.)

Using tighter convergence criteria will improve the accuracy of your results, but at the cost of more equilibrium iterations. If you want to tighten (or loosen, which is not recommended) your criteria, you should change TOLER by one or two orders of magnitude. In general, you should continue to use the default value of VALUE; that is, change the convergence criteria by adjusting TOLER, not VALUE. You should make certain that the default value of MINREF = 0.001 makes sense in the context of your analysis. If your analysis uses certain sets of units or has very low load levels, you might want to specify a smaller value for MINREF.

Also, we do not recommend putting two or more disjointed structures into one model for a nonlinear analysis because the convergence check tries to relate these disjointed structures, often producing some unwanted residual force.

Checking Convergence in a Single and Multi-DOF System

To check convergence in a single degree of freedom (DOF) system, you compute the force (and moment) imbalance for the one DOF, and compare this value against the established convergence criteria (VALUE*TOLER). (You can also perform a similar check for displacement (and rotation) convergence for your single DOF.) However, in a multi-DOF system, you might want to use a different method of comparison.

The ANSYS program provides three different vector norms to use for convergence checking:

  • The infinite norm repeats the single-DOF check at each DOF in your model.

  • The L1 norm compares the convergence criterion against the sum of the absolute values of force (and moment) imbalance for all DOFs.

  • The L2 norm performs the convergence check using the square root sum of the squares of the force (and moment) imbalances for all DOFs. (Of course, additional L1 or L2 checking can be performed for a displacement convergence check.)

Example

For the following example, the substep will be considered to be converged if the out-of-balance force (checked at each DOF separately) is less than or equal to 5000*0.0005 (that is, 2.5), and if the change in displacements (checked as the square root sum of the squares) is less than or equal to 10*0.001 (that is, 0.01).

CNVTOL,F,5000,0.0005,0
CNVTOL,U,10,0.001,2
8.6.2.3.3. Maximum Number of Equilibrium Iterations

ANSYS' automatic solution control sets the value of NEQIT to between 15 and 26 iterations, depending upon the physics of the problem. The idea is to employ a small time step with fewer quadratically converging iterations.

This option limits the maximum number of equilibrium iterations to be performed at each substep (default = 25 if solution control is off). If the convergence criteria have not been satisfied within this number of equilibrium iterations, and if auto time stepping is on [AUTOTS], the analysis will attempt to bisect. If bisection is not possible, then the analysis will either terminate or move on to the next load step, according to the instructions you issue in the NCNV command.

8.6.2.3.4. Predictor-Corrector Option

ANSYS' automatic solution control will set PRED,ON if there are no beam or shell elements present. If the time step size is reduced greatly in the current substep, PRED is turned off. For transient analysis, the predictor is also turned off.

You can activate a predictor on the DOF solution for the first equilibrium iteration of each substep. This feature accelerates convergence and is particularly useful if nonlinear response is relatively smooth. It is not so helpful in analyses that incorporate large rotations or viscoelasticity. Using the predictor for large rotations can cause divergence and thus is not recommended for problems with large rotations.

8.6.2.3.5. VT Accelerator

This option selects an advanced predictor-corrector algorithm based on Variational Technology to reduce the overall number of iterations [STAOPT,VT for static analyses, TRNOPT,VT for transient]. This option requires an HPC license. It is applicable to analyses that include large deflection [NLGEOM], hyperelasticity, viscoelasticity, and creep nonlinearities. Rate-independent plasticity and nonlinear contact analyses may not show any improvement in convergence rates; however, you may choose this option with these nonlinearities if you wish to rerun the analysis with changes to the input parameters later.

8.6.2.3.6. Line Search Option

ANSYS' automatic solution control will toggle line search on and off as needed. For most contact problems, LNSRCH is toggled on. For most non-contact problems, LNSRCH is toggled off.

This convergence-enhancement tool multiplies the calculated displacement increment by a program-calculated scale factor (having a value between 0 and 1), whenever a stiffening response is detected. Because the line search algorithm is intended to be an alternative to the adaptive descent option [NROPT], adaptive descent is not automatically activated if the line search option is on. We do not recommend activating both line search and adaptive descent simultaneously.

When an imposed displacement exists, a run cannot converge until at least one of the iterations has a line search value of 1. ANSYS scales the entire ΔU vector, including the imposed displacement value; otherwise, a "small" displacement would occur everywhere except at the imposed DOF. Until one of the iterations has a line search value of 1, ANSYS does not impose the full value of the displacement.

8.6.2.3.7. Cutback Criteria

For finer control over bisections and cutback in time step size, use [CUTCONTROL, Lab, VALUE, Option]. By default, for Lab = PLSLIMIT (maximum plastic strain increment limit), VALUE is set to 15%. This field is set to such a large value for avoiding unnecessary bisections caused by high plastic strain due to a local singularity which is not normally of interest to the user. For explicit creep (Option = 0), Lab = CRPLIM (creep increment limit) and VALUE is set to 10%. This is a reasonable limit for creep analysis. For implicit creep (Option = 1), there is no maximum creep criteria by default. You can however, specify any creep ratio control. The number of points per cycle for second order dynamic equations (Lab = NPOINT) is set to VALUE = 13 by default to gain efficiency at little cost to accuracy.

8.6.3. Set Additional Solution Options

This section discusses additional options that you can set for the solution. These options do not appear on the Solution Controls dialog box because they are used infrequently, and their default settings rarely need to be changed. ANSYS menu paths are provided in this section to help you access these options for those cases in which you choose to override the ANSYS-assigned defaults.

8.6.3.1. Advanced Analysis Options You Cannot Set on the Solution Controls Dialog Box

The following sections describe some advanced analysis options that you can set for your analysis. As noted above in Set Additional Solution Options, you cannot use the Solution Controls dialog box to set the options described below. Instead, you must set them using the standard set of ANSYS solution commands and the standard corresponding menu paths.

8.6.3.1.1. Stress Stiffness

To account for buckling, bifurcation behavior, ANSYS includes stress stiffness in all geometrically nonlinear analyses. If you are confident of ignoring such effects, you can turn stress stiffening off (SSTIF,OFF). This command has no effect when used with several ANSYS elements; see the Elements Reference for the description of the specific elements you are using.

Command(s): | SSTIF
GUI: | Main Menu> Solution> Unabridged Menu> Analysis Type> Analysis Options

8.6.3.1.2. Newton-Raphson Option

ANSYS' automatic solution control will use the FULL Newton-Raphson option with adaptive descent off if there is a nonlinearity present. However, when node-to-node, node-to-surface contact elements are used for contact analysis with friction, then adaptive descent is automatically turned on (for example, PIPE20, BEAM23, BEAM24, and PIPE60). The underlying contact elements require adaptive descent for convergence.

Command(s): | NROPT
GUI: | Main Menu> Solution> Unabridged Menu> Analysis Type> Analysis Options

Use this option only in a nonlinear analysis. This option specifies how often the tangent matrix is updated during solution. If you choose to override the default, you can specify one of these values:

  • Program-chosen (NROPT,AUTO): The program chooses which of the options to use, based on the kinds of nonlinearities present in your model. Adaptive descent will be automatically activated, when appropriate.

  • Full (NROPT,FULL): The program uses the full Newton-Raphson procedure, in which the stiffness matrix is updated at every equilibrium iteration.

    If adaptive descent is on (optional), the program will use the tangent stiffness matrix only as long as the iterations remain stable (that is, as long as the residual decreases, and no negative main diagonal pivot occurs). If divergent trends are detected on an iteration, the program discards the divergent iteration and restarts the solution, using a weighted combination of the secant and tangent stiffness matrices. When the iterations return to a convergent pattern, the program will resume using the tangent stiffness matrix. Activating adaptive descent will usually enhance the program's ability to obtain converged solutions for complicated nonlinear problems but is supported only for elements indicated under "Special Features" in the Input Summary table (Table 4.n.1 for an element, where n is the element number) in the Elements Reference.

  • Modified (NROPT,MODI): The program uses the modified Newton-Raphson technique, in which the tangent stiffness matrix is updated at each substep. The matrix is not changed during equilibrium iterations at a substep. This option is not applicable to large deformation analyses. Adaptive descent is not available.

  • Initial Stiffness (NROPT,INIT): The program uses the initial stiffness matrix in every equilibrium iteration. This option can be less likely to diverge than the full option, but it often requires more iterations to achieve convergence. It is not applicable to large deformation analyses. Adaptive descent is not available.

  • Full with unsymmetric matrix (NROPT,UNSYM): The program uses the full Newton-Raphson procedure, in which the stiffness matrix is updated at every equilibrium iteration. In addition, it generates and uses unsymmetric matrices that you can use for any of the following:

    • If you are running a pressure-driven collapse analysis, an unsymmetric pressure load stiffness might be helpful in obtaining convergence. You can include pressure load stiffness using SOLCONTROL,INCP.

    • If you are defining an unsymmetric material model using TB,USER, you would need NROPT,UNSYM to fully use the property you defined.

    • If you are running a contact analysis, an unsymmetric contact stiffness matrix would fully couple the sliding and the normal stiffnesses. See Determining Contact Stiffness and Allowable Penetration in the Contact Technology Guide for details.

    You should first try NROPT,FULL; then try NROPT,UNSYM if you experience convergence difficulties. Note that using an unsymmetric solver requires more computer time to obtain a solution, than if you use a symmetric solver.

  • If a multistatus element is in the model, however, it would be updated at the iteration in which it changes status, irrespective of the Newton-Raphson option.

8.6.3.2. Advanced Load Step Options You Cannot Set on the Solution Controls Dialog Box

The following sections describe some advanced load step options that you can set for your analysis. As noted above in Set Additional Solution Options, you cannot use the Solution Controls dialog box to set the options described below. Instead, you must set them using the standard set of ANSYS solution commands and the standard corresponding menu paths.

8.6.3.2.1. Creep Criteria

If your structure exhibits creep behavior, you can specify a creep criterion for automatic time step adjustment [CRPLIM,CRCR, Option]. (If automatic time stepping [AUTOTS] is off, this creep criterion will have no effect.) The program will compute the ratio of creep strain increment (Δεcr, the change in creep strain in the last time step) to the elastic strain (εel), for all elements. If the maximum ratio is greater than the criterion CRCR, the program will then decrease the next time step size; if it is less, the program might increase the next time step size. (The program will also base automatic time stepping on the number of equilibrium iterations, impending element status change, and plastic strain increment. The time step size will be adjusted to the minimum size calculated for any of these items.) For explicit creep (Option = 0), if the ratio Δεcr / εel is above the stability limit of 0.25, and if the time increment cannot be decreased, a divergent solution is possible and the analysis will be terminated with an error message. This problem can be avoided by making the minimum time step size sufficiently small [DELTIM and NSUBST]. For implicit creep (Option = 1), there is no maximum creep limit by default. You can however, specify any creep ratio control.

Command(s): | CRPLIM
GUI: | Main Menu> Solution> Unabridged Menu> Load Step Opts> Nonlinear> Creep Criterion

Note

If you do not want to include the effects of creep in your analysis, use the RATE command with Option = OFF, or set the time steps to be longer than the previous time step, but not more than 1.0e-6 longer.

8.6.3.2.2. Time Step Open Control

This option is available for thermal analysis. (Remember that you cannot perform a thermal analysis using the Solution Controls dialog box; you must use the standard set of ANSYS solution commands or the standard corresponding menu paths instead.) This option's primary use is in unsteady state thermal analysis where the final temperature stage reaches a steady state. In such cases, the time step can be opened quickly. The default is that if the TEMP increment is smaller than 0.1 in three (NUMSTEP = 3) contiguous substeps, the time step size can be "opened-up" (value = 0.1 by default). The time step size can then be opened continuously for greater solution efficiency.

Command(s): | OPNCONTROL
GUI: | Main Menu> Solution> Unabridged Menu> Load Step Opts> Nonlinear> Open Control

8.6.3.2.3. Solution Monitoring

This option provides a facility to monitor a solution value at a specified node in a specified DOF. The command also provides a means to quickly review the solution convergence efficiency, rather than attempting to gather this information from a lengthy output file. For instance, if an excessive number of attempts were made for a substep, the information contained in the file provides hints to either reduce the initial time step size or increase the minimum number of substeps allowed through the NSUBST command to avoid an excessive number of bisections.

Command(s): | MONITOR
GUI: | Main Menu> Solution> Unabridged Menu> Load Step Opts> Nonlinear> Monitor

Additionally, the NLHIST command allows you to monitor results of interest in real time during solution. Before starting the solution, you can request nodal data such as displacements or reaction forces at specific nodes. You can also request element nodal data such as stresses and strains at specific elements to be graphed. Pair-based contact data are also available. The result data are written to a file named Jobname.nlh.

For example, a reaction force-deflection curve could indicate when possible buckling behavior occurs. Nodal results and contact results are monitored at every converged substep while element nodal data are written as specified via the OUTRES setting.

You can also track results during batch runs. To execute, either access the ANSYS Launcher and select File Tracking from the Tools menu, or type nlhist110 in the command line. Use the supplied file browser to navigate to your Jobname.nlh file, and select it to invoke the tracking utilty. You can use this utilty to read the file at any time, even after the solution is complete.

Command(s): | NLHIST
GUI: | Main Menu> Solution> Results Tracking

Note

Results tracking is not available with FLOTRAN analyses.

8.6.3.2.4. Birth and Death

Specify birth and death options as necessary. You can deactivate [EKILL] and reactivate [EALIVE] selected elements to model the removal or addition of material in your structure. As an alternative to the standard birth and death method, you can change the material properties for selected elements [MPCHG] between load steps.

Command(s): | EKILL, EALIVE
GUI: | Main Menu> Solution> Load Step Opts> Other> Birth & Death> Kill Elements Main Menu> Solution> Load Step Opts> Other> Birth & Death> Activate Elem

The program "deactivates" an element by multiplying its stiffness by a very small number (which is set by the ESTIF command), and by removing its mass from the overall mass matrix. Element loads (pressure, heat flux, thermal strains, and so on) for inactive elements are also set to zero. You need to define all possible elements during preprocessing; you cannot create new elements in SOLUTION.

Those elements to be "born" in later stages of your analysis should be deactivated before the first load step, and then reactivated at the beginning of the appropriate load step. When elements are reactivated, they have a zero strain state, and (if NLGEOM,ON) their geometric configuration (length, area, and so on) is updated to match the current displaced positions of their nodes. See the Advanced Analysis Techniques Guide for more information on birth and death.

Another way to affect element behavior during solution is to change the material property reference number for selected elements:

Command(s): | MPCHG
GUI: | Main Menu> Solution> Load Step Opts> Other> Change Mat Props> Change Mat Num

Note

Use MPCHG with caution. Changing material properties in a nonlinear analysis may produce unintended results, particularly if you change nonlinear [TB] material properties.

8.6.3.2.5. Output Control

In addition to OUTRES, which you can set on the Solution Controls dialog box, there are several other output control options that you can set for an analysis:

Command(s): | OUTPR, ERESX
GUI: | Main Menu> Solution> Unabridged Menu> Load Step Opts> Output Ctrls> Solu Printout Main Menu> Solution> Unabridged Menu> Load Step Opts> Output Ctrls> Integration Pt

Printed output [OUTPR] includes any results data on the output file (Jobname.OUT).

Extrapolation of results [ERESX] copies an element's integration point stress and elastic strain results to the nodes instead of extrapolating them, if nonlinear strains (plasticity, creep, swelling) are present in the element. The integration point nonlinear strains are always copied to the nodes.

See "Loading" in the Basic Analysis Guide for more information on these options.

8.6.4. Apply the Loads

Apply loads on the model. See "Structural Static Analysis" in this guide and "Loading" in the Basic Analysis Guide for load information. Remember that inertia and point loads will maintain constant direction, but surface loads will "follow" the structure in a large-deformation analysis. You can apply complex boundary conditions by defining a one-dimensional table (TABLE type array parameter). See Applying Loads Using TABLE Type Array Parameters in this guide for more information.

8.6.5. Solve the Analysis

You solve a nonlinear analysis using the same commands and procedure as you do in solving a linear static analysis. See Solve the Analysis in "Structural Static Analysis". If you need to define multiple load steps, you must respecify time settings, load step options, and so on, and then save and solve for each of the additional load steps. Other methods for multiple load steps - the load step file method and the array parameter method - are described in the Basic Analysis Guide.

8.6.6. Review the Results

Results from a nonlinear static analysis consist mainly of displacements, stresses, strains, and reaction forces. You can review these results in POST1, the general postprocessor, or in POST26, the time-history postprocessor.

Remember that in POST1, only one substep can be read in at a time, and that the results from that substep should have been written to Jobname.RST. (The load step option command OUTRES controls which substep results are stored on Jobname.RST.) A typical POST1 postprocessing sequence is described below.

8.6.6.1. Points to Remember

  • To review results in POST1, the database must contain the same model for which the solution was calculated.

  • The results file (Jobname.RST) must be available.

8.6.6.2. Reviewing Results in POST1

  1. Verify from your output file (Jobname.OUT) whether or not the analysis converged at all load steps.

    • If not, you probably will not want to postprocess the results, other than to determine why convergence failed.

    • If your solution converged, then continue postprocessing.

  2. Enter POST1. If your model is not currently in the database, issue RESUME.

    Command(s): /POST1
    GUI: Main Menu> General Postproc

  3. Read in results for the desired load step and substep, which can be identified by load step and substep numbers or by time. (Note, however, that arc-length results should not be identified by time.)

    Command(s): SET
    GUI: Main Menu> General Postproc> Read Results> load step

    You can also use the SUBSET or APPEND commands to read in or merge results data for selected portions of the model only. The LIST argument on any of these commands lists the available solutions on the results file. You can also limit the amount of data written from the results file to the database through the INRES command. Additionally, you can use the ETABLE command to store result items for selected elements. See the individual command descriptions in the Commands Reference for more information.

    Caution

    If you specify a TIME value for which no results are available, the ANSYS program performs a linear interpolation to calculate the results at that value of TIME. Realize that this interpolation usually causes some loss of accuracy in a nonlinear analysis (see Figure 8.20: "Linear Interpolation of Nonlinear Results Can Introduce Some Error"). Therefore, for a nonlinear analysis, you should usually postprocess at a TIME that corresponds exactly to the desired substep.

    Figure 8.20 Linear Interpolation of Nonlinear Results Can Introduce Some Error

  4. Display the results using any of the following options:

    Option: Display Deformed Shape

    Command(s): PLDISP
    GUI: Main Menu> General Postproc> Plot Results> Deformed Shape
    In a large deformation analysis, you might prefer to use a true scale display [/DSCALE,,1].

    Option: Contour Displays

    Command(s): PLNSOL or
    PLESOL
    GUI: Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu or Element Solu

    Use these options to display contours of stresses, strains, or any other applicable item. If you have adjacent elements with different material behavior (such as can occur with plastic or multilinear elastic material properties, with different material types, or with adjacent deactivated and activated elements), you should take care to avoid nodal stress averaging errors in your results. Selecting logic (described in the Basic Analysis Guide) provides a means of avoiding such errors.

    The KUND field on PLNSOL and PLESOL gives you the option of overlaying the undeformed shape on the display.

    You can also contour element table data and line element data:

    Command(s): PLETAB,
    PLLS
    GUI: Main Menu> General Postproc> Element Table> Plot Element Table
    Main Menu> General Postproc> Plot Results> Contour Plot> Line Elem Res
    Use PLETAB to contour element table data and PLLS to contour line element data.

    Option: Tabular Listings

    Command(s): PRNSOL (nodal results)
    PRESOL (element-by-element results)
    PRRSOL (reaction data)
    PRETAB
    PRITER (substep summary data), and so on.
    NSORT
    ESORT
    GUI: Main Menu> General Postproc> List Results> Nodal Solution
    Main Menu> General Postproc> List Results> Element Solution
    Main Menu> General Postproc> List Results> Reaction Solution
    Use the NSORT and ESORT commands to sort the data before listing them.

    Other Capabilities

    Many other postprocessing functions - mapping results onto a path, report quality listings, and so on - are available in POST1. See The General Postprocessor (POST1) in the Basic Analysis Guide for details. Load case combinations usually are not valid for nonlinear analyses.

8.6.6.3. Reviewing Results in POST26

You can also review the load-history response of a nonlinear structure using POST26, the time-history postprocessor. Use POST26 to compare one ANSYS variable against another. For instance, you might graph the displacement at a node versus the corresponding level of applied load, or you might list the plastic strain at a node and the corresponding TIME value. A typical POST26 postprocessing sequence might follow these steps:

  1. Verify from your output file (Jobname.OUT) whether or not the analysis converged at all desired load steps. You should not base design decisions on unconverged results.

  2. If your solution converged, enter POST26. If your model is not currently in the database, issue RESUME.

    Command(s): /POST26
    GUI: Main Menu> TimeHist Postpro

  3. Define the variables to be used in your postprocessing session. The SOLU command will cause various iteration and convergence parameters to be read into the database, where you can incorporate them into your postprocessing.

    Command(s): NSOL,
    ESOL,
    RFORCE
    GUI: Main Menu> TimeHist Postpro> Define Variables

  4. Graph or list the variables.

    Command(s): PLVAR (graph variables)
    PRVAR
    EXTREM (list variables)
    GUI: Main Menu> TimeHist Postpro> Graph Variables
    Main Menu> TimeHist Postpro> List Variables
    Main Menu> TimeHist Postpro> List Extremes

Other Capabilities

Many other postprocessing functions are available in POST26. See "The Time-History Postprocessor (POST26)" in the Basic Analysis Guide for details.

See the NLGEOM, SSTIF, NROPT, TIME, NSUBST, AUTOTS, KBC, CNVTOL, NEQIT, NCNV, PRED, OUTRES, and SOLU command descriptions for more information.

8.6.7. Terminating a Running Job; Restarting

You can stop a nonlinear analysis by creating an "abort" file (Jobname.ABT). See "Solution" in the Basic Analysis Guide for details. The program will also stop upon successful completion of the solution, or if a convergence failure occurs.

You can often restart an analysis if it successfully completed one or more iterations before it terminated. Restart procedures are covered in Restarting an Analysis in the Basic Analysis Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.5. Running a Nonlinear Analysis in ANSYS 		Up / Home Next
8.7. Performing a Nonlinear Transient Analysis


8.7. Performing a Nonlinear Transient Analysis

Many of the tasks that you need to perform in a nonlinear transient analysis are the same as (or similar to) those that you perform in nonlinear static analyses (described in Performing a Nonlinear Static Analysis) and linear full transient dynamic analyses (described in "Structural Static Analysis"). However, this section describes some additional considerations for performing a nonlinear transient analysis.

Remember that the Solution Controls dialog box, which is the method described in Performing a Nonlinear Static Analysis, cannot be used to set solution controls for a thermal analysis. Instead, you must use the standard set of ANSYS solution commands and the standard corresponding menu paths.

8.7.1. Build the Model

This step is the same as for a nonlinear static analysis. However, if your analysis includes time-integration effects, be sure to include a value for mass density [MP,DENS]. If you want to, you can also define material-dependent structural damping [MP,DAMP].

8.7.2. Apply Loads and Obtain the Solution

  1. Specify transient analysis type and define analysis options as you would for a nonlinear static analysis:

    • New Analysis or Restart [ANTYPE]

    • Analysis Type: Transient [ANTYPE]

    • Large Deformation Effects [NLGEOM]

    • Large Displacement Transient (if using the Solution Controls dialog box to set analysis type)

  2. Apply loads and specify load step options in the same manner as you would for a linear full transient dynamic analysis. A transient load history usually requires multiple load steps, with the first load step typically used to establish initial conditions (see the Basic Analysis Guide). The general, nonlinear, birth and death, and output control options available for a nonlinear static analysis are also available for a nonlinear transient analysis.

    In a nonlinear transient analysis, time must be greater than zero. See "Transient Dynamic Analysis" for procedures for defining nonzero initial conditions.

    For a nonlinear transient analysis, you must specify whether you want stepped or ramped loads [KBC]. See the Basic Analysis Guide for further discussion about ramped vs. stepped loads.

    You can also specify dynamics options: alpha and beta damping, time integration effects, and transient integration parameters.

    Command(s): ALPHAD,
    BETAD,
    TIMINT,
    TINTP
    GUI: Main Menu> Solution> Analysis Type> Sol'n Control ( : Transient Tab)
    Main Menu> Solution> Unabridged Menu> Load Step Opts> Time/Frequenc> Damping
    Main Menu> Solution> Unabridged Menu> Load Step Opts> Time/Frequenc> Time Integration

    An explanation of the dynamics options follows.

    • Damping

      Rayleigh damping constants are defined using the constant mass [ALPHAD] and stiffness [BETAD] matrix multipliers. In a nonlinear analysis the stiffness may change drastically - do not use BETAD, except with care. See Damping for details about damping.

    • Time Integration Effects [TIMINT]

      Time integration effects are ON by default in a transient analysis. For creep, viscoelasticity, viscoplasticity, or swelling, you should turn the time integration effects off (that is, use a static analysis). These time-dependent effects are usually not included in dynamic analyses because the transient dynamic time step sizes are often too short for any significant amount of long-term deformation to occur.

      Except in kinematic (rigid-body motion) analyses, you will rarely need to adjust the transient integration parameters [TINTP], which provide numerical damping to the Newmark and HHT methods. (See your Theory Reference for ANSYS and ANSYS Workbench for more information about these parameters.)

      ANSYS' automatic solution control sets the defaults to a new time integration scheme for use by first order transient equations. This is typically used for unsteady state thermal problems where θ = 1.0 (set by SOLCONTROL, ON); this is the backward Euler scheme. It is unconditionally stable and more robust for highly nonlinear thermal problems such as phase changes. The oscillation limit tolerance defaults to 0.0, so that the response first order eigenvalues can be used to more precisely determine a new time step value.

    Note

    If you are using the Solution Controls dialog box to set solution controls, you can access all of these options [ALPHAD, BETAD, KBC, TIMINT, TINTP, TRNOPT] on the Transient tab.

  3. Write load data for each load step to a load step file.

    Command(s): LSWRITE
    GUI: Main Menu> Solution> Load Step Opts> Write LS File

  4. Save a backup copy of the database to a named file.

    Command(s): SAVE
    GUI: Utility Menu> File> Save As

  5. Start solution calculations. Other methods for multiple load steps are described in "Getting Started with ANSYS" in the Basic Analysis Guide.

    Command(s): LSSOLVE
    GUI: Main Menu> Solution> Solve> From LS Files

  6. After you have solved all load steps, leave SOLUTION.

    Command(s): FINISH
    GUI: Close the Solution menu.

8.7.3. Review the Results

As in a nonlinear static analysis, you can use POST1 to postprocess results at a specific moment in time. Procedures are much the same as described previously for nonlinear static analyses. Again, you should verify that your solution has converged before you attempt to postprocess the results.

Time-history postprocessing using POST26 is essentially the same for nonlinear as for linear transient analyses. See the postprocessing procedures outlined in "Transient Dynamic Analysis".

More details of postprocessing procedures can be found in the Basic Analysis Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.6. Performing a Nonlinear Static Analysis 		Up / Home Next
8.8. Sample Input for a Nonlinear Transient Analysis


8.8. Sample Input for a Nonlinear Transient Analysis

A sample input listing for a nonlinear transient analysis is shown below:

!  Build the Model:
/PREP7
---                     ! Similar to a linear full transient model, with
---                     ! these possible additions: nonlinear material
---                     ! properties, nonlinear elements
---
FINISH
!
!  Apply Loads and Obtain the Solution:
/SOLU
ANTYPE,TRANS
!  TRNOPT,FULL by default
---                     ! Establish initial conditions as in linear full
---                     ! transient analysis
LSWRITE                 ! Initial-condition load step
NLGEOM,ON               ! Nonlinear geometric effects (large deformations)
SSTIF,ON                ! Stress stiffening effects
!  NROPT=AUTO by default: Program will choose appropriate Newton-Raphson and
                        ! Adaptive Descent options, depending on
                        ! nonlinearities encountered
!  Loads:
F,...
D,...
!  Load Step Options:
TIME,...                ! TIME at end of load step
DELTIM,...              ! Time step controls (starting, min, max)
AUTOTS,ON               ! Automatic time stepping, including bisection
!  KBC=0 by default (ramped loading)
!  Dynamic Options:
ALPHAD,...              ! Mass damping
TIMINT,ON               ! TIMINT,ON by default, unless you turned it OFF for
                        ! initial-condition load step
!  Nonlinear Options:
CNVTOL,...              ! Convergence criteria
!  NEQIT=25 by default
NCNV,,,...              ! Nonconvergence termination controls
PRED,ON                 ! Predictor ON
OUTRES,ALL,ALL          ! Results for every substep written to database
LSWRITE                 ! First "real" transient load step
---                     ! Additional load steps, as needed
---
LSSOLVE,1,3             ! Initiate multiple l.s. solution
SAVE
FINISH
!
!  Review the Results:
/POST26                 ! Time-History Postprocessor
SOLU,2,CNVG             ! Check convergence
SOLU,3,FOCV
PRVAR,2,3
NSOL,...                ! Store results (displacements, stresses, etc.) as
                        ! variables
PLVAR,...               ! Graph results vs. TIME to evaluate general quality
                        ! of analysis, determine critical time step, etc.
FINISH
!
/POST1                  ! General Postprocessor
SET,...                 ! Read results from desired time step
PLDISP,...              ! Postprocess as desired
PLNSOL,...
NSORT,...
PRNSOL,...
FINISH

See the ANTYPE, TRNOPT, LSWRITE, NLGEOM, SSTIF, NROPT, TIME, DELTIM, AUTOTS, KBC, ALPHAD, TIMINT, CNVTOL, NEQIT, NCNV, PRED, OUTRES, LSSOLVE, and SOLU command descriptions for more information.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.7. Performing a Nonlinear Transient Analysis 		Up / Home Next
8.9. Restarts


8.9. Restarts

Restart procedures for a transient analysis are essentially the same as for a static analysis; see Restarting an Analysis in the Basic Analysis Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.8. Sample Input for a Nonlinear Transient Analysis 		Up / Home Next
8.10. Using Nonlinear (Changing-Status) Elements


8.10. Using Nonlinear (Changing-Status) Elements

Nonlinear elements display an abrupt change in stiffness when they experience a change in status. For example, when a cable goes slack, its stiffness suddenly drops to zero. When two separate bodies come into contact, their overall stiffness changes drastically. These and other status-dependent stiffness changes can be modeled by using nonlinear elements (described below), by applying birth and death options to applicable elements (see the Advanced Analysis Techniques Guide), or by changing material properties [MPCHG]. Some of the nonlinear element features described below are available only in the ANSYS Multiphysics, ANSYS Mechanical, and ANSYS Structural products only. See the Elements Reference for details.

  • COMBIN7

  • COMBIN14

  • COMBIN37

  • COMBIN39

  • COMBIN40

  • CONTAC12 and CONTAC52

  • TARGE169, TARGE170, CONTA171, CONTA172, CONTA173, CONTA174, CONTA175, CONTA176, CONTA177, and CONTA178

  • LINK10

  • SHELL41

  • SOLID65

8.10.1. Element Birth and Death

Sometimes, an element's status changes between "existent" and "nonexistent." The birth and death options [EKILL, EALIVE, ESTIF] (Main Menu> Solution> Load Step Opts> Other) can be used to deactivate or reactivate selected elements in such cases. The birth and death feature is discussed in detail in "Element Birth and Death" in the Advanced Analysis Techniques Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.9. Restarts 		Up / Home Next
8.11. Unstable Structures


8.11. Unstable Structures

A structure can become unstable when a load reaches its buckling value or when nonlinear material becomes unstable. It is more common in slender structures than in bulky structures. The instability could be global (such as a snap-through of a plate) or local (such as failure of a stiffener). Instability problems usually pose convergence difficulties and therefore require the application of special nonlinear techniques.

With ANSYS, you can apply three techniques to solve instability problems:

  • Nonlinear stabilization

    A tool for dealing with local instabilities as well as global instability. You can use it together with nearly any other nonlinear solution technique, such as line search and automatic time stepping (although not with the arc-length method).

  • Arc-length method

    This method can circumvent global instability when forces are applied. More importantly, it can simulate the negative slope portion of a load-vs.-displacement curve.

  • Running a static problem as a "slow dynamic" analysis

    This method is not strictly a different technique; rather, you use a dynamic effect to prevent divergence. This method is not especially easy to use because the analysis type changes, so you must input mass, apply a damping factor if necessary, and use proper time-integration parameters. ANSYS therefore recommends trying nonlinear stabilization or the arc-length method first.

Alternative methods are available to help achieve convergence. For example, you could apply displacements instead of forces, or apply artificial stiffness (COMBIN37), to the unstable DOFs. However, such methods are generally unreliable, sometimes impractical to use, or simply not applicable.

8.11.1. Understanding Nonlinear Stabilization

Convergence difficulty due to an unstable problem is usually the result of a large displacement for smaller load increments. Nonlinear stabilization in ANSYS can be understood as adding an artificial damper or dashpot element at each node of an element that supports this technique.

To better conceptualize the artificial dashpot element, think of it as having two nodes: one is the node of the FE model that you create, the other is fixed on the ground. ANSYS calculates the damping force such that it is proportional to the relative pseudo velocity of the two nodes of the artificial element, which is equal to the velocity of the node belonging to the FE model.

The pseudo velocity is calculated as a displacement increment divided by the time increment of the substep. Therefore, any DOF that tends to be unstable has a large displacement increment causing a large damping (stabilization) force; this force, in turn, reduces the displacements at the DOF so that stabilization is achieved.

For the DOFs that are stable, the dashpot elements have little effect on the results because the displacements and the stabilization forces are small relative to the physical forces.

The coefficient used to calculate the damping (stabilization) force is the damping factor. Although it has the same physical meaning and unit as physical damping, it is purely numerical in nonlinear stabilization. ANSYS calculates a damping factor based on the energy dissipation ratio that you specify, or you can input the damping factor value directly.

8.11.1.1. Input for Stabilization

The only command necessary for using nonlinear stabilization is STABILIZE. The command activates or deactivates stabilization from one load step to another, or after a multiframe restart during a load step.

ANSYS assumes that the first substep of a load step is stable and calculates the basic properties of the artificial dashpot elements based on this substep. Therefore, ANSYS does not apply stabilization for the first substep unless you specify that it should do so (via the command's SubStpOpt option).

The following topics describe how to use the STABILIZE command in a nonlinear analysis:

  • Controlling the Stabilization Force
  • Applying a Constant or Reduced Stabilization Force
  • Using the Options for the First Substep
8.11.1.1.1. Controlling the Stabilization Force

Two methods are available for controlling the stabilization force:

  • Applying an energy dissipation ratio (STABILIZE,,ENERGY,,,)

  • Applying a damping factor (STABILIZE,,DAMPING,,,)

Energy Dissipation Ratio

The energy dissipation ratio is the ratio of work done by stabilization forces to element potential energy.

The energy dissipation ratio should be between 0 and 1. Because the value is used with predicted energies, ANSYS allows an input value greater than 1, but use it with caution. The greater the value of the energy ratio or damping factor, the greater the stabilization force (assuming that the specified number of substeps and time remain unchanged) so that the system has a stiffer response.

The specified value should be large enough to circumvent the divergence, but small enough to avoid excessive stiffness. The ideal value is fully dependent on the specific problem, the time of the load step, and the number of substeps.

You may need a few tries to determine the best value. Generally, use a smaller value for local instability and a larger value for global instability. The smaller value should be used for solid elements and the larger value should be used for shell, beam, and link elements. Use a smaller value if the specified time for a load step is small and a larger value if the specified time for a load step is large.

With the energy dissipation method, ANSYS calculates the damping factor (based on the input energy dissipation ratio) during the first substep after the command executes. ANSYS uses the calculated damping factor by predicting the element potential energy and stabilization energy at the end of the load step based on the data of the current substep, then setting the energy dissipation ratio equal to or smaller than the specified value. This prediction could be inaccurate when the problem is highly nonlinear. It is a good practice to examine the energies after the solution has completed because the energy dissipation ratio of the solution could be greater than the ratio initially specified via the STABILIZE command.

Damping Factor

The numerical damping factor is the value that ANSYS uses to calculate stabilization forces for all subsequent substeps. The damping factor is highly dependent on the element size, shape, material, and other factors including the size of the load step and time used in the load step. The damping factor therefore varies from element to element.

During a run using the energy dissipation method, ANSYS calculates the damping factor and reports an element volume weighted average value in the .out file. The value reported provides a reference value for you to specify if you want to apply a damping factor as the stabilization control in a subsequent run. When you input a damping factor as the stabilization control, ANSYS uses that value for all applicable elements; therefore, the results can differ from those of a run where you use the energy dissipation method exclusively.

The value used as a damping factor can usually have a much wider range of variance than the value used for the energy dissipation ratio (which can only change from 0 to 1 in most analyses). If it becomes apparent that your analysis is too sensitive to the energy dissipation ratio value, try using the damping factor.

8.11.1.1.2. Applying a Constant or Reduced Stabilization Force

When stabilization is active, ANSYS can apply the stabilization force in two ways: constant (STABILIZE,CONSTANT) or reduced (STABILIZE,REDUCE). The constant option keeps the damping factor (calculated or input) unchanged during each substep of a load step. The reduced option reduces the damping factor linearly to zero at the end of the load step.

Although the constant option works well in most cases, some stabilization forces usually remain at the end of the load step. Unless the stabilization forces are very small, convergence difficulties may occur if stabilization is deactivated in the next load step. It may be difficult to converge for the first substep of the following load step because the stabilization forces suddenly becomes zero. In such a case, use the reduced option for the previous load step.

Example

Convergence difficulties when using the constant option can occur in an analysis of creep phenomena, where the load is usually applied quickly in the first load step, but no new load is applied at the second load step (which usually has a very long time span). The stabilization forces could be large at the end of the first load step because the time is short and pseudo velocity is high at the first load step. In this case, if stabilization is needed for the first load step, the reduced option is best. The second load step is usually stable so that stabilization is unnecessary.

8.11.1.1.3. Using the Options for the First Substep

When stabilization is active, you can activate artificial dashpot elements (STABILIZE) for the first substep of a load step.

In most analyses, stabilization is unnecessary because the structure is initially stable, so the first substep should converge if the substep size is reasonable. When SubStpOpt = NO, ANSYS calculates all necessary data for stabilization more accurately and achieves convergence more easily; therefore, ANSYS recommends using this option whenever possible.

Convergence Problems at the First Substep

There are some situations where convergence is an issue at the first substep. For such cases, you can specify substep option (STABILIZE,,,,SubStpOpt) MINTIME or ANYTIME.

The MINTIME option activates stabilization only when the time increment reaches the minimum time increment and the analysis still has not converged. Use this option for the first load step only.

The ANYTIME option activates stabilization for any time increment tried for the first substep. Use this option for any load step other than the first load step where constant stabilization is active (STABILIZE,CONSTANT).

ANSYS uses the damping factor calculated at the previous load step to calculate the stabilization forces for the first substep. If no such value is available, ANSYS assumes a deformation mode for the first substep and calculate a damping factor for the first substep. In either case, ANSYS recalculates the damping factor after a successful convergence based on the solution of the first substep and uses the new value for all subsequent substeps.

Use caution with either substep option and check the final result to verify that the stabilization forces and energies are not excessive.

Example

Specify SubStpOpt = ANYTIME for the current load step after you have applied a constant stabilization force (STABILIZE,CONSTANT) in the previous load step and the first substep did not converge, yet the current load step also requires stabilization. This option is especially useful if you do not want to rerun the previous load step using the reduced method (STABILIZE,REDUCE).

8.11.1.2. Checking Results After Applying Stabilization

Stabilization can help with convergence problems, but it can also affect accuracy if the stabilization energy or forces are too large. It is therefore very important to check the stabilization energy and forces to determine whether or not they are excessive.

Stabilization energy, the work done by stabilization forces, should be compared to element potential energy. The energies can be output in the .OUT file (via the OUTPR command). You can also access the energies as follows:

  • In POST1, via PRENERGY, PRESOL, PLESOL, and ETABLE commands.

  • In POST26 by ENERSOL and ESOL commands.

If the stabilization energy (which could be larger than that specified via the STABILIZE command) is much less than the potential energy (for example, within a 1.0 percent tolerance), the result should be acceptable and there should be no need to check the stabilization forces further.

When stabilization energy is large, check the stabilization forces at each DOF for all substeps. If the stabilization forces are much smaller than the applied loads and reaction forces (for example, within a 0.5 percent tolerance), the results are still acceptable. Such a case could occur when an elastic system is loaded first, then unloaded significantly. It is possible that the final element potential energy is small and stabilization energy is relatively large, but all stabilization forces are small. Currently, stabilization forces are accessible in the .OUT file (via OUTPR ).

Even when both stabilization energy and forces are too large, the results could still be valid. Such a scenario is possible when a large part of an elastic structure undergoes large rigid body motion (as in a snap-through simulation). In such a case, the stabilization energy could be large as well as the stabilization force for some DOFs at some substeps, but the results could still be acceptably accurate. Nevertheless, consider the results along with other support data and use your own discretion.

8.11.1.3. Tips for Using Stabilization

You can use nonlinear stabilization to achieve convergence in an analysis of unstable nonlinear problems such as post-buckling, snap-through simulation, and analyses where material is unstable. Although you can activate nonlinear stabilization at the beginning of the solution, it is more efficient and accurate in most cases to activate stabilization in a multiframe restart.

If you wish to activate stabilization after a restart, do not restart from the last converged substep. Rather, restart from the next-to-last converged substep or at some other substep prior to the last converged substep. (ANSYS needs one substep to prepare the data for stabilization.)

Because it is usually impossible to know when a system will become unstable during loading before an analysis starts, ANSYS recommends running the nonlinear analysis as usual while saving restart files for at least the last two converged substeps. If the analysis fails to converge because of instability, restart the analysis with stabilization activated from the next-to-last converged substep or at some other substep prior to the last converged substep. (ANSYS needs one substep to prepare the data for stabilization.)

If the behavior of a problem is well known from a previous analysis and the structure loses stability very soon after you begin to apply loads, you can activate stabilization at the beginning of the analysis.

Be aware that when stabilization is active, the results could vary if the number of substeps changes. The behavior occurs because the pseudo velocity is different, which in turn causes different stabilization forces. The more stable the system, the less significant the difference.

If restarting from a different substep, using a damping factor (STABILIZE,,DAMPING) can yield more consistent results because the energy prediction may be different from substep to substep, which may necessitate quite different damping factors.

Deactivating Stabilization

Each time that stabilization is deactivated (STABILIZE,OFF), the stabilization forces change suddenly, which may cause convergence problems. Before completely deactivating stabilization in such cases, use the reduced method of stabilization (STABILIZE,REDUCE) and specify the damping factor used for the previous load step.

Example

Assume that load step 1 is unstable but solvable with stabilization. Load step 2 is stable and requires no stabilization, yet does not converge if you deactivate stabilization (STABILIZE,OFF). In this scenario, you can add a pseudo load step (STABILIZE,REDUCE,DAMPING,VALUE). The damping factor should be the value from load step 1. Do not apply any new loads. This technique should help with convergence.

8.11.2. Using the Arc-Length Method

The arc-length method (ARCLEN and ARCTRM) is another way to solve unstable problems. The method is restricted to static analyses with proportional (ramped) loads only and cannot be used with rate-dependent materials, such as viscoelastic, viscoplastic, and creep materials. The arc-length method cannot be used with tabular loads.

ANSYS calculates the reference arc-length radius from the load (or displacement) increment of the first iteration of the first substep, using the following formula:

where NSBSTP is the number of substeps specified via the NSUBST command.

When choosing the number of substeps, consider that more substeps result in a longer solution time. Ideally, you want the minimum number of substeps required to produce an optimally efficient solution. You might have to make an educated guess of the desired number of substeps, and adjust and re-analyze as needed.

When the arc-length method is active, do not use line search (LNSRCH), the predictor (PRED), adaptive descent (NROPT,,,ON), automatic time stepping (AUTOTS, TIME, DELTIM), or time-integration effects (TIMINT). Likewise, do not try to base convergence on displacement (CNVTOL,U); instead, use the force criteria (CNVTOL,F).

To help minimize the solution time, the maximum number of equilibrium iterations in a single substep (NEQIT) should be less than or equal to 15.

If an arc-length solution fails to converge within the prescribed maximum number of iterations (NEQIT), the program automatically bisects and continue the analysis. Bisection continues until a converged solution is obtained or until the minimum arc-length radius is used. (The minimum radius is defined by NSBSTP (NSUBST) and MINARC (ARCLEN).

In general, you cannot use this method to obtain a solution at a specified load or displacement value because the value changes (along the spherical arc) as equilibrium is achieved. Figure 8.4: "Traditional Newton-Raphson Method vs. Arc-Length Method" illustrates how the specified load [image] is used only as a starting point. The actual load at convergence is somewhat less. Similarly, it can be difficult to determine a value of limiting load or deflection within some known tolerance when using the arc-length method in a nonlinear buckling analysis. Generally, you must adjust the reference arc-length radius (NSUBST) by trial-and-error to obtain a solution at the limit point. It may be more convenient to use standard Newton-Raphson iterations with bisection (AUTOTS) to determine values of nonlinear buckling loads.

Avoid using the JCG solver (EQSLV) with the arc-length method. The arc-length procedure can result in a negative definite stiffness matrix (negative pivot), which can cause a solution failure with the solver.

You can freely switch from the Newton-Raphson iteration method to the arc-length method at the start of any load step. However, to switch from arc-length to Newton-Raphson iterations, you must terminate the analysis and restart, deactivating the arc-length method in the first load step of the restart (ARCLEN,OFF).

An arc-length solution terminates under these conditions:

  • When limits defined by the ARCTRM or NCNV commands are reached

  • When the solution converges at the applied load

  • When you use an abort file (Jobname.ABT)

See the Basic Analysis Guide for information about termination and restart procedures.

Use the load-deflection curve as a guide for evaluating and adjusting your analysis to help you achieve the desired results. It is usually good practice to graph your load-deflection curve (using POST26 commands) with every analysis.

Often, an unsuccessful arc-length analysis can be traced to an arc-length radius that is either too large or too small. Driftback (where the analysis retraces its steps along the load-deflection curve) is a typical difficulty caused by using a too large or too small arc-length radius. To better understand this problem, examine the load-deflection curve; you can then adjust the arc-length radius size and range as needed (NSUBST and ARCLEN).

The total arc-length load factor (SOLU,,ALLF) can be either positive or negative. Similarly, TIME, which in an arc-length analysis is related to the total arc-length load factor, can also be either positive or negative. Negative values of ALLF or TIME indicate that the arc-length feature is applying load in the reverse direction in order to maintain stability in the structure. Negative ALLF or TIME values are commonly seen in various snap-through analyses.

8.11.2.1. Checking Arc-Length Results

When reading arc-length results into the database for POST1 postprocessing (SET), always reference the desired results data set by its load step and substep number (LSTEP and SBSTEP) or by its data set number (NSET).

Do not reference results by a TIME value, because TIME in an arc-length analysis is not always monotonically increasing. (A single value of TIME might reference more than one solution.) Additionally, the program cannot correctly interpret negative TIME values (which might be encountered in a snap-through analysis).

If TIME becomes negative, define an appropriate variable range (/XRANGE or /YRANGE) before creating any POST26 graphs.

8.11.3. Nonlinear Stabilization vs. the Arc-Length Method

You can use nonlinear stabilization for both local and global instability with few limitations related to compatibility with other algorithms and materials. However, nonlinear stabilization cannot detect the negative-slope portion of a load-vs.-displacement curve problem with global instability (if any).

Although the results obtained before the negative slope portion of the problem are always correct, the results for the substeps after the negative-slope portion are also correct if the materials are not deformation-history-dependent. (Consider the results to be questionable if the materials are deformation-history-dependent.)

The arc-length method can detect the negative-slope portion of a load-vs.-displacement curve, but it cannot solve problems with local instability and material softening. Other limitations exist, related mostly to compatibility with certain algorithms and materials.

To help you understand when to use either method, the following table compares both methods and their applications:

Nonlinear Stabilization vs. Arc-Length
Analysis Problem | Nonlinear Stabilization | Arc-Length
Local instability or local buckling | Yes | No
Global instability or global buckling | Yes | Yes
Negative slope of load-vs.-displacement curve | Cannot detect this part of the curve, but other parts can be simulated for deformation-history-independent materials, and the preceding part can be simulated for deformation- history-dependent materials | Yes
Rate-dependent materials and creep | Yes | No
Line search | Yes | No
Substep predictor (PRED,ON) | Yes [1] | No
Automatic time stepping | Yes | Different algorithm
Displacements as load | Yes | No
Activate/deactivate from load step to load step, or within a load step | Yes | Limited
Linear solver use | No restrictions | Restricted
Time at converged substep | Positive | Positive or negative

  1. Solid elements only.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.10. Using Nonlinear (Changing-Status) Elements 		Up / Home Next
8.12. Tips and Guidelines for Nonlinear Analysis


8.12. Tips and Guidelines for Nonlinear Analysis

This section describes tips and guidelines that can help you to perform a nonlinear analysis.

8.12.1. Starting Out with Nonlinear Analysis

By taking your time and proceeding with reasonable caution, you can avoid many difficulties commonly associated with nonlinear analyses. The following suggestions should be useful.

8.12.1.1. Understanding Your Program and Structure Behavior

If you have not used a particular nonlinear feature before, construct a very simple model (containing only a few elements), and make sure you understand how to handle this feature before you use it in a large, complicated model.

Gain preliminary insight into your structure's behavior by analyzing a preliminary simplified model first. For nonlinear static models, a preliminary linear static analysis can reveal which regions of your model will first experience nonlinear response, and at what load levels these nonlinearities will come into play. For nonlinear transient dynamic analyses, a preliminary model of beams, masses, and springs can provide insight into the structure's dynamics at minimal cost. Preliminary nonlinear static, linear transient dynamic, and/or modal analyses can also help you to understand various aspects of your structure's nonlinear dynamic response before you undertake the final nonlinear transient dynamic analysis.

Read and understand the program's output messages and warnings. At a minimum, before you try to postprocess your results, verify that your problem converged. For path-dependent problems, the printout's equilibrium iteration record can be especially important in helping you to determine if your results are valid or not.

8.12.1.2. Keep It Simple

Keep your final model as simple as possible. If you can represent your 3-D structure as a 2-D plane stress, plane strain, or axisymmetric model, do so. If you can reduce your model size through the use of symmetry or antisymmetry surfaces, do so. (However, if your model is loaded antisymmetrically, you can generally not take advantage of antisymmetry to reduce a nonlinear model's size. Antisymmetry can also be rendered inapplicable by large deflections.) If you can omit a nonlinear detail without affecting results in critical regions of your model, do so.

Model transient dynamic loading in terms of static-equivalent loads whenever possible.

Consider substructuring the linear portions of your model to reduce the computational effort required for intermediate load or time increments and equilibrium iterations.

8.12.1.3. Use an Adequate Mesh Density

Recognize that regions undergoing plastic deformation require a reasonable integration point density (mesh density is particularly important in plastic-hinge regions). Higher-order elements use only the corner integration points for nonlinear analyses, thus lower-order elements provide the same accuracy as higher-order elements. However, the 18x elements are recommended for nonlinear analyses.

Provide an adequate mesh density on contact surfaces to allow contact stresses to be distributed in a smooth fashion. Likewise, provide a mesh density adequate for resolving stresses; areas where stresses or strains are of interest require a relatively fine mesh compared to that needed for displacement or nonlinearity resolution.

Use a mesh density adequate to characterize the highest mode shape of interest. The number of elements needed depends on the elements' assumed displacement shape functions, as well as on the mode shape itself. Also, use a mesh density adequate to resolve any transient dynamic wave propagation through your structure; if wave propagation is important, then provide at least 20 elements to resolve one wavelength.

8.12.1.4. Apply the Load Gradually

For nonconservative, path-dependent systems, you need to apply the load in small enough increments to ensure that your analysis will closely follow the structure's load-response curve.

You can sometimes improve the convergence behavior of conservative systems by applying the load gradually, so as to minimize the number of Newton-Raphson equilibrium iterations required.

8.12.2. Overcoming Convergence Problems

When performing a nonlinear analysis you may encounter convergence difficulties due to a number of reasons. Some examples may be initially open contact surfaces causing rigid body motion, large load increments causing nonconvergence, material instabilities, or large deformations causing mesh distortion that result in element shape errors. Solution control (SOLCONTROL) automatically adjusts solution parameters and attempts to obtain a robust, accurate solution. In addition, several tools are available in ANSYS that can help you identify potential problems before, during, and after a solution.

CHECK, MCHECK, and CNCHECK commands help you verify if there are any obvious problems with the model before you start the solution. The CHECK command does an overall verification of the model, including missing elastic properties, unconstrained model, and element shape checks. The MCHECK command can help you identify defects in the mesh such as holes or cracks, especially when the mesh is imported from a third party software. The CNCHECK command provides the initial contact status of contact pairs, identifying whether the contacts are initially open or closed. If, for example, a part in your model is constrained only through contact with other parts and if the contact surfaces are open, the CNCHECK command can help you identify this potential error condition.

When you analyze models with large deformations, some portions of the initial mesh can become highly distorted. Highly distorted elements can take on unacceptable shapes, providing inaccurate results. This can cause your nonlinear solution to stop. When this happens, use the ESCHECK command to perform shape checking of deformed elements in the postprocessor (based on the current set of results in database). This deformed-shape checker will help you to identify the portions of your model that require different meshing, thereby allowing them to retain acceptable shapes. Using ESCHECK at different time points will help you to identify the load conditions that cause mesh deterioration.

A convergence failure can also indicate a physical instability in the structure, or it can merely be the result of some numerical problem in the finite element model.

The following sections detail some of the techniques that you can use to attempt to improve the convergence performance of your analysis.

8.12.2.1. Performing Nonlinear Diagnostics

The nonlinear diagnostics tool NLDIAG can help you find problems in your model when an analysis will not converge.

Identify Regions of High Residual Forces. Issue the NLDIAG,NRRE command to write the Newton-Raphson residuals from equilibrium iterations to a file (Jobname.nrxxx). You can then contour plot the residual forces via the PLNSOL,NRRE command, which will help to identify regions of high residual forces.

Such a capability can be useful when you experience convergence difficulties in the middle of a load step, where the model has a large number of contact surfaces and other nonlinearities. You can restart the analysis and issue an NLDIAG,NRRE command to write out the residuals. By tracking the way the residuals change over several equilibrium iterations you can identify a portion of your model where large residuals persist. You can then focus on the nonlinearities in that area (for example, a contact pair's properties) instead of having to deal with the entire model.

Identify Problem Elements. Typically, nonlinear analyses fail to converge for the following reasons:

  • Too large a distortion

  • Elements contain nodes that have near zero pivots (nonlinear analyses)

  • Too large a plastic or creep strain increment

  • Elements where mixed u-P constraints are not satisfied (mixed u-P option of 18x solid elements only)

ANSYS has default limits which, when exceeded, determine when convergence criteria have been violated. Some limits are user-controlled; for example, the CUTCONTROL command sets the maximum plastic/creep strain increments allowed in an iteration. Other limits are fixed.

The NLDIAG,EFLG command identifies elements that violate the above criteria and records them in a file (Jobname.ndxxx).

Note

Convergence problems may occur when material algorithms fail (e.g. local element level Newton-Raphson convergence failure, or extreme element distortion). The Ansys error message identifies the corresponding element number and/or the material ID for these cases. Be sure to read any error messages generated during solution.

Process the Tracked Results. Issue the NLDPOST command to process the .nd xxx nonlinear diagnostics files. The command creates components of elements that violate a certain criterion for a particular equilibrium iteration (or iterations).

Identify contact pairs causing convergence difficulties. Issue the NLDIAG,CONT command to write various contact information for all defined contact pairs to a single Jobname.cnd text file. The file is written during solution at a user-specified frequency (each iteration, substep, or load step).

Information stored in this file will help identify when and how contact occurs, determine the regions where contact is unstable, and identify the corresponding contact parameters. You can then focus on the specific settings for those particular contact pairs that need attention.

Monitor the Diagnostics Results in Real Time. The NLHIST command allows you to monitor results of interest in real time during solution. Before starting the solution, you can request nodal data such as displacements or reaction forces at specific nodes. You can also request element nodal data such as stresses and strains at specific elements to be graphed. Pair-based contact data are also available. The result data are written to a file named Jobname.nlh.

For example, a reaction force-deflection curve could indicate when possible buckling behavior occurs. Nodal results and contact results are monitored at every converged substep while element nodal data are written as specified via the OUTRES setting.

You can also track results during batch runs. Either access the ANSYS Launcher and select File Tracking from the Tools menu, or type nlhist110 at the command line. Use the supplied file browser to navigate to your Jobname.nlh file, and click on it to invoke the tracking utility. You can use this utility to read the file at any time, even after the solution is complete (the data in the file must be formatted correctly).

8.12.2.2. Tracking Convergence Graphically

As a nonlinear structural analysis proceeds, ANSYS computes convergence norms with corresponding convergence criteria each equilibrium iteration. Available in both batch and interactive sessions, the Graphical Solution Tracking (GST) feature displays the computed convergence norms and criteria while the solution is in process. By default, GST is ON for interactive sessions and OFF for batch runs. To turn GST on or off, use either of the following:

Command(s): | /GST
GUI: | Main Menu> Solution> Load Step Opts> Output Ctrls> Grph Solu Track

Figure 8.21: "Convergence Norms Displayed By the Graphical Solution Tracking (GST) Feature" shows a typical GST display:

Figure 8.21 Convergence Norms Displayed By the Graphical Solution Tracking (GST) Feature

8.12.2.3. Automatic Time Stepping

Place an upper limit on the time step size (DELTIM or NSUBST), especially for complicated models. Doing so ensures that all of the modes and behaviors of interest will be accurately included. This can be important in the following situations:

  • Problems that have only localized dynamic behavior (for example, turbine blade and hub assemblies) in which the low-frequency energy content of the system could dominate the high-frequency areas.

  • Problems with short ramp times on some of their loads. If the time step size is allowed to become too large, ramped portions of the load history may be inaccurately characterized.

  • Problems that include structures that are continuously excited over a range of frequencies (for example, seismic problems).

Exercise caution when modeling kinematic structures (systems with rigid-body motions). These following guidelines can usually help you to obtain a good solution:

  • Incorporate significant numerical damping (0.05 < γ < 0.1 on the TINTP command) into the solution to filter out the high frequency noise, especially if a coarse time step is used. Do not use α-damping (mass matrix multiplier, ALPHAD command) in a dynamic kinematic analysis, as it will dampen the rigid body motion (zero frequency mode) of the system.

  • Avoid imposed displacement history specifications, because imposed displacement input has (theoretically) infinite jumps in acceleration, which causes stability problems for the Newmark time-integration algorithm.

8.12.2.4. Line Search

Line search [LNSRCH] can be useful for enhancing convergence, but it can be expensive (especially with plasticity). You might consider setting line search on in the following cases:

  • When your structure is force-loaded (as opposed to displacement-controlled).

  • If you are analyzing a "flimsy" structure which exhibits increasing stiffness (such as a fishing pole).

  • If you notice (from the program output messages) oscillatory convergence patterns.

8.12.2.5. Nonlinear Stabilization

You can use the nonlinear stabilization method to solve both locally and globally unstable problems, and to overcome convergence for general problems. For more information, see Understanding Nonlinear Stabilization.

8.12.2.6. Arc-Length Method

You can use the arc-length method (ARCLEN and ARCTRM) to obtain numerically stable solutions for many physically unstable structures. For more information, see Using the Arc-Length Method.

8.12.2.7. Artificially Inhibit Divergence in Your Model's Response

If you do not want to use both nonlinear stabilization and the arc-length method to analyze a force-loaded structure that starts at, or passes through, a singular (zero stiffness) configuration, you can sometimes use other alternatives to artificially inhibit divergence in your model's response:

  • In some cases, you can use imposed displacements instead of applied forces. This approach can be used to start a static analysis closer to the equilibrium position, or to control displacements through periods of unstable response (for example, snap-through or postbuckling).

  • Another technique that can be effective in circumventing problems due to initial instability is running a static problem as a "slow dynamic" analysis (that is, using time-integration effects in an attempt to prevent the solution from diverging in any one load step).

  • You can also apply temporary artificial stiffness to unstable DOFs, using control elements (such as COMBIN37), or using the birth and death option on other elements. The idea here is to artificially restrain the system during intermediate load steps in order to prevent unrealistically large displacements from being calculated. As the system displaces into a stable configuration, the artificial stiffness is removed.

8.12.2.8. Use the Rezoning Feature

If the solution fails to converge and the mesh is severely distorted, consider using manual rezoning. Rezoning allows you to repair the distorted mesh and continue the simulation. The rezoning capability is available for the PLANE182 and PLANE183 elements. For more information, see "Manual Rezoning" in the Advanced Analysis Techniques Guide.

8.12.2.9. Dispense with Extra Element Shapes

ANSYS provides "incompatible" modes" formulation (also referred to as "extra shapes") for modeling bending applications. If your problem is predominantly bulk deformation, then you may choose to turn extra shapes off to reduce CPU/storage requirements and enhance convergence. However, doing so precludes the ability to model any bending.

8.12.2.10. Using Element Birth and Death Wisely

Realize that any sudden change in your structure's stiffness matrix is likely to cause convergence problems. When activating or deactivating elements, try to spread the changes out over a number of substeps. (Use a small time step size if necessary to accomplish this.) Also be aware of possible singularities (such as sharp reentrant corners) that might be created as you activate or deactivate elements. Such singularities can cause convergence problems.

8.12.2.11. Read Your Output

Remember that the ANSYS program performs a nonlinear analysis as a series of linear approximations with corrections. The program printout gives you continuous feedback on the progress of these approximations and corrections. (Printout either appears directly on your screen, is captured on Jobname.OUT, or is written to some other file [/OUTPUT].) You can examine some of this same information in POST1, using the PRITER command, or in POST26, using the SOLU and PRVAR commands. You should make sure that you understand the iteration history of your analysis before you accept the results. In particular, do not dismiss any program error or warning statements without fully understanding their meaning. A typical nonlinear output listing is shown in Figure 8.22: "Typical Nonlinear Output Listing".

Figure 8.22 Typical Nonlinear Output Listing

SOLVE command echo
*****  ANSYS SOLVE    COMMAND  *****
Checking Logic
*** NOTE ***                            CP=     13.891   TIME= 11:09:22
 Nonlinear analysis, NROPT set to 1 (full Newton-Raphson solution
 procedure) for all DOFs.
Load step summary table
                      L O A D   S T E P   O P T I O N S

   LOAD STEP NUMBER. . . . . . . . . . . . . . . .     2
   TIME AT END OF THE LOAD STEP. . . . . . . . . .  200.00
   AUTOMATIC TIME STEPPING . . . . . . . . . . . .    ON
      INITIAL NUMBER OF SUBSTEPS . . . . . . . . .   100
      MAXIMUM NUMBER OF SUBSTEPS . . . . . . . . . 10000
      MINIMUM NUMBER OF SUBSTEPS . . . . . . . . .    10
   MAXIMUM NUMBER OF EQUILIBRIUM ITERATIONS. . . .    15
   STEP CHANGE BOUNDARY CONDITIONS . . . . . . . .    NO
   TERMINATE ANALYSIS IF NOT CONVERGED . . . . . .YES (EXIT)
   CONVERGENCE CONTROLS. . . . . . . . . . . . . .USE DEFAULTS
   PRINT OUTPUT CONTROLS . . . . . . . . . . . . .NO PRINTOUT
   DATABASE OUTPUT CONTROLS
      ITEM     FREQUENCY   COMPONENT
      BASI        -10
Load step 2 substep 1
 FORCE CONVERGENCE VALUE  = 0.2006E+06  CRITERION=  1125.
    EQUIL ITER   1 COMPLETED.  NEW TRIANG MATRIX.  MAX DOF INC=  0.1272E-01
     LINE SEARCH PARAMETER =   1.000     SCALED MAX DOF INC =  0.1272E-01
     FORCE CONVERGENCE VALUE  =  4267.      CRITERION=  480.2
    EQUIL ITER   2 COMPLETED.  NEW TRIANG MATRIX.  MAX DOF INC= -0.9019E-03
     LINE SEARCH PARAMETER =   1.000     SCALED MAX DOF INC = -0.9019E-03
     FORCE CONVERGENCE VALUE  =  1751.      CRITERION=  488.2
    EQUIL ITER   3 COMPLETED.  NEW TRIANG MATRIX.  MAX DOF INC=  0.1746E-03
     LINE SEARCH PARAMETER =   1.000     SCALED MAX DOF INC =  0.1746E-03
     FORCE CONVERGENCE VALUE  =  778.5      CRITERION=  497.7
    EQUIL ITER   4 COMPLETED.  NEW TRIANG MATRIX.  MAX DOF INC=  0.6943E-04
     LINE SEARCH PARAMETER =   1.000     SCALED MAX DOF INC =  0.6943E-04
     FORCE CONVERGENCE VALUE  =  347.4      CRITERION=  507.7     <<< CONVERGED
    >>> SOLUTION CONVERGED AFTER EQUILIBRIUM ITERATION   4
 *** LOAD STEP     2   SUBSTEP     1  COMPLETED.    CUM ITER =      7
 *** TIME =   101.000         TIME INC =   1.00000
Load step 2 substep 2
FORCE CONVERGENCE VALUE  = 0.6674E+05  CRITERION=  594.3
    EQUIL ITER   1 COMPLETED.  NEW TRIANG MATRIX.  MAX DOF INC=  0.4318E-02
     LINE SEARCH PARAMETER =   1.000     SCALED MAX DOF INC =  0.4318E-02
     FORCE CONVERGENCE VALUE  =  626.2      CRITERION=  502.9
    EQUIL ITER   2 COMPLETED.  NEW TRIANG MATRIX.  MAX DOF INC=  0.8570E-04
     LINE SEARCH PARAMETER =   1.000     SCALED MAX DOF INC =  0.8570E-04
     FORCE CONVERGENCE VALUE  =  77.87      CRITERION=  512.9     <<< CONVERGED
    >>> SOLUTION CONVERGED AFTER EQUILIBRIUM ITERATION   2
 *** LOAD STEP     2   SUBSTEP     2  COMPLETED.    CUM ITER =      9
 *** TIME =   102.000         TIME INC =   1.00000
Load step 2 substep 3 Equilbrium iteration summaries
FORCE CONVERGENCE VALUE  = 0.1333E+05  CRITERION=  575.4
    EQUIL ITER   1 COMPLETED.  NEW TRIANG MATRIX.  MAX DOF INC= -0.5329E-02
     LINE SEARCH PARAMETER =   1.000     SCALED MAX DOF INC = -0.5329E-02
     FORCE CONVERGENCE VALUE  =  8237.      CRITERION=  534.2
    EQUIL ITER   2 COMPLETED.  NEW TRIANG MATRIX.  MAX DOF INC=  0.3628E-02
     LINE SEARCH PARAMETER =   1.000     SCALED MAX DOF INC =  0.3628E-02
     FORCE CONVERGENCE VALUE  =  3905.      CRITERION=  532.9
    EQUIL ITER   3 COMPLETED.  NEW TRIANG MATRIX.  MAX DOF INC=  0.1451E-02
     LINE SEARCH PARAMETER =   1.000     SCALED MAX DOF INC =  0.1451E-02
     FORCE CONVERGENCE VALUE  =  1135.      CRITERION=  540.3
    EQUIL ITER   4 COMPLETED.  NEW TRIANG MATRIX.  MAX DOF INC=  0.1034E-03
     LINE SEARCH PARAMETER =  0.9578     SCALED MAX DOF INC =  0.9905E-04
     FORCE CONVERGENCE VALUE  =  41.95      CRITERION=  551.4     <<< CONVERGED
    >>> SOLUTION CONVERGED AFTER EQUILIBRIUM ITERATION   4
Substep summary
      *** LOAD STEP     2   SUBSTEP     3  COMPLETED.    CUM ITER =     13
      *** TIME =   103.500         TIME INC =   1.50000

8.12.2.12. Graph the Load and Response History

This verification technique may be considered to be a graphical combination of two other techniques: checking for reasonableness, and reviewing the iteration history. POST26 graphs of load and response histories should agree with your informed expectations about your structure's behavior. The results of interest (displacements, reaction forces, stresses, and so on) should show relatively smooth response histories. Any non-smoothness may indicate that too coarse of a time step was used.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.11. Unstable Structures 		Up / Home Next
8.13. Sample Nonlinear Analysis (GUI Method)


8.13. Sample Nonlinear Analysis (GUI Method)

In this sample analysis, you will run a nonlinear analysis of an elastic-plastic circular plate under the action of a dead load and a cyclic point load. You will define a kinematic hardening plasticity curve, as well as load step options, the maximum and minimum number of substeps for a load step, and the various load steps that describe externally applied loads. You will also learn how to interpret the monitor file that ANSYS writes for a nonlinear analysis.

ANSYS uses an incremental solution procedure to obtain a solution to a nonlinear analysis. In this example, the total external load within a load step is applied in increments over a certain number of substeps. As described earlier in this chapter, ANSYS uses a Newton-Raphson iterative procedure to solve each substep. You must specify the number of substeps for each load step, since this number controls the size of the initial load increment applied in the first substep of the each load step. ANSYS automatically determines the size of the load increment for each subsequent substep in a load step. You can control the size of the load increment for these subsequent substeps by specifying the maximum and minimum number of substeps. If you define the number of substeps, the maximum and minimum number of substeps all to be the same, then ANSYS uses a constant load increment for all substeps within the load step.

8.13.1. Problem Description

In this example, you will use an axisymmetric model for the plate, using four-node PLANE42 elements with the axisymmetric option to mesh the model. You will perform a geometrically nonlinear analysis. Specify the kinematic constraints as follows: The nodes located at the center of the plate are constrained to have zero radial displacement. The nodes located at the outer edge are constrained to have zero radial and axial displacement. You will apply the dead load in load step 1 and the cyclic point load in six subsequent load steps. See Problem Sketch.

You will specify 10 substeps for the first load to ensure that the increment of the dead load applied over the first substep is 1/10 of the total load of 0.125 N/m2. You will also specify a maximum of 50 and a minimum of 5 substeps to ensure that if the plate exhibits a severe nonlinear behavior during the solution, then the load increment can be cut back to 1/50 the total load. If the plate exhibits mild nonlinear behavior, then the load increment can be increased up to 1/5 the size of the total load.

For the subsequent six load steps that apply the cyclic point load, you will specify 4 substeps, with a maximum of 25 and a minimum of 2 substeps.

For this example, you will monitor the history over the entire solution of the vertical displacement of the node at the location where the point cyclic load is applied and the reaction force at the node located at the bottom of the clamped edge.

8.13.2. Problem Specifications

The circular plate has a radius of 1.0 m and a thickness of 0.1 m. The following material properties are used for this problem:

EX = 16911.23 Pa

PRXY = 0.3

The kinematic hardening plasticity curve for the material is:

Log Strain | True Stress (Pa)
0.001123514 | 19.00
0.001865643 | 22.80
0.002562402 | 25.08
0.004471788 | 29.07
0.006422389 | 31.73

The plate has a dead load acting as a uniform pressure of 0.125N/m2. The history of the cyclic point load is shown here:

Figure 8.23 Cyclic Point Load History

8.13.3. Problem Sketch

8.13.3.1. Set the Analysis Title and Jobname

  1. Choose menu path Utility Menu> File> Change Title.

  2. Type the text "Cyclic loading of a fixed circular plate."

  3. Click on OK.

  4. Choose menu path Utility Menu> File> Change Jobname. The Change Jobname dialog box appears.

  5. Type the text “axplate” in the entry box and click OK.

8.13.3.2. Define the Element Types

  1. Choose menu path Main Menu> Preprocessor> Element Type> Add/Edit/Delete.

  2. Click on Add. The Library of Element Types dialog box appears.

  3. In the list on the left, click once on "Structural Solid."

  4. In the list on the right, click once on "Quad 4node 42."

  5. Click on OK. The Library of Element Types dialog box closes.

  6. Click on Options. The PLANE42 element type options dialog box appears.

  7. In the scroll box for element behavior, scroll to "Axisymmetric" and select it.

  8. Click on OK.

  9. Click on Close in the Element Types dialog box.

8.13.3.3. Define Material Properties

  1. Choose menu path Main Menu> Preprocessor> Material Props> Material Models. The Define Material Model Behavior dialog box appears.

  2. In the Material Models Available window, double-click on the icons next to the following options: Structural, Linear, Elastic, Isotropic. A dialog box appears.

  3. Enter 16911.23 for EX (Young's modulus).

  4. Enter .3 for PRXY (Poisson's ratio).

  5. Click on OK. Material Model Number 1 appears in the Material Models Defined window on the left.

8.13.3.4. Specify the Kinematic Hardening material model (KINH)

  1. In the Material Models Available window, double-click on the following options: Nonlinear, Inelastic, Rate Independent, Kinematic Hardening Plasticity, von Mises Plasticity, Multilinear (General). A dialog box appears.

  2. Enter the following Strain/Stress value pair in the table: 0.001123514, 19.00

  3. Click on the Add Point button, and enter the next Strain/Stress value pair: 0.001865643, 22.80

  4. Repeat the previous step to enter the following Strain/Stress value pairs: 0.002562402, 25.08; 0.004471788, 29.07; 0.006422389, 31.73.

  5. Click on OK.

  6. Choose menu path Material> Exit to remove the Define Material Model Behavior dialog box.

8.13.3.5. Label Graph Axes and Plot Data Tables

  1. Choose menu path Utility Menu> PlotCtrls> Style> Graphs> Modify Axes. The Axes Modifications for Graph Plots dialog box appears.

  2. Enter Total Strain for the X-axis label.

  3. Enter True Stress for the Y-axis label and click OK.

  4. Choose menu path Main Menu> Preprocessor> Material Props> Material Models. The Define Material Model Behavior dialog box appears.

  5. In the Material Models Defined window, double-click in Material Model Number 1, and Multilinear Kinematic (General). The dialog box appears that includes the Strain/Stress data pairs that you entered.

  6. Click on the Graph button. A graph of the data table values appears in the Graphics window. If necessary, revise the stress/strain values and click on the Graph button again. Repeat revisions and graphing as needed until you are satisfied with the graphed results. Click on OK.

  7. Choose menu path Material> Exit to remove the Define Material Model Behavior dialog box.

  8. Click on SAVE_DB on the ANSYS Toolbar.

8.13.3.6. Create Rectangle

  1. Choose menu path Utility Menu> Parameters> Scalar Parameters. The Scalar Parameters dialog box appears.

  2. Type "radius=1.0" in the Selection field and click Accept. This value is the radius of the plate.

  3. Type "thick=0.1" in the Selection field and click Accept. This value is the thickness of the plate. Click Close.

  4. Choose menu path Main Menu> Preprocessor> Modeling> Create> Areas> Rectangle> By Dimensions. The Create Rectangle by Dimensions dialog box appears.

  5. Enter "0, radius" for X-coordinates.

  6. Enter "0, thick" for Y-coordinates and click on OK. A rectangle appears in the ANSYS Graphics window.

  7. Choose menu path Utility Menu> Plot> Lines.

8.13.3.7. Set Element Size

  1. Choose menu path Main Menu> Preprocessor> Meshing> MeshTool. The MeshTool dialog box appears.

  2. Click Size Controls> Lines> Set. The Element Size on Picked Lines picking menu appears. Click on the two vertical lines (2 and 4). Click OK on the picking menu. The Element Sizes on Picked Lines dialog box appears.

  3. Enter 8 for number of element divisions and click on OK.

  4. Repeat these steps (1-3), but choose horizontal lines 1 and 3, and specify 40 element divisions.

8.13.3.8. Mesh the Rectangle

  1. On the MeshTool, pick Quad and Map, then click MESH. The Mesh Areas picking menu appears.

  2. Click on Pick All.

  3. Click on SAVE_DB on the ANSYS Toolbar.

  4. Click on Close on the MeshTool.

8.13.3.9. Assign Analysis and Load Step Options

  1. Choose menu path Main Menu> Solution> Unabridged Menu> Analysis Type> Analysis Options. The Static or Steady-State Analysis dialog box appears.

  2. Turn large deformation effects ON and click OK.

  3. Choose menu path Main Menu> Solution> Load Step Opts> Output Ctrls> DB/Results File. The Controls for Database and Results File Writing dialog box appears.

  4. Verify that All items are selected, and choose Every substep for the File write frequency. Click OK.

8.13.3.10. Monitor the Displacement

In this step, you monitor the displacement of the node located at the axes of symmetry, as well as the reaction force at the fixed end of the plate.

  1. Choose menu path Utility Menu> Parameters> Scalar Parameters. The Scalar Parameters dialog box appears.

  2. Type "ntop = node(0,thick,0.0)" in the Selection field and click Accept.

  3. Type "nright = node(radius,0.0,0.0)" in the Selection field and click Accept, then Close.

  4. Choose menu path Main Menu> Solution> Load Step Opts> Nonlinear> Monitor. The Monitor picking menu appears.

  5. Type "ntop" in the picker and press RETURN. Click OK in the picking menu. The Monitor dialog box appears.

  6. In the scroll box for Quantity to be monitored, scroll to "UY" and select it. Click OK.

  7. Choose menu path Main Menu> Solution> Load Step Opts> Nonlinear> Monitor. The Monitor picking menu appears.

  8. Type "nright" in the picker and press RETURN. Click OK in the picking menu. The Monitor dialog box appears.

  9. In the scroll box for Variable to redefine, scroll to "Variable 2" and select it. In the scroll box for Quantity to be monitored, scroll to "FY" and select it. Click OK.

8.13.3.11. Apply Constraints

  1. Choose menu path Utility Menu> Select> Entities. The Select Entities dialog box appears.

  2. Select Nodes and By Location in the first two selection boxes. Verify that X coordinates are selected, and enter "radius" in the Min, Max field. Click OK.

  3. Choose menu path Main Menu> Solution> Define Loads> Apply> Structural> Displacement> On Nodes. The Apply U,ROT on Nodes picking menu appears.

  4. Click Pick All. The Apply U,ROT on Nodes dialog box appears.

  5. Click on "All DOF" for DOFs to be constrained. Click OK.

  6. Choose menu path Utility Menu> Select> Entities. The Select Entities dialog box appears. Verify that Nodes, By Location, and X coordinates are selected. Enter "0" in the Min, Max field and click OK. This will select the nodes at the X=0 position.

  7. Choose menu path Main Menu> Solution> Define Loads> Apply> Structural> Displacement> On Nodes. The Apply U,ROT on Nodes picking menu appears.

  8. Click Pick All. The Apply U,ROT on Nodes dialog box appears.

  9. Click on "UX" for DOFs to be constrained. Click on All DOF to deselect it.

  10. Enter "0.0" as the Displacement value. Click OK.

  11. Choose menu path Utility Menu> Select> Entities. The Select Entities dialog box appears. Verify that Nodes and By Location are selected.

  12. Click on Y coordinates and enter "thick" in the Min, Max field. Click OK.

  13. Choose menu path Main Menu> Solution> Define Loads> Apply> Structural> Pressure> On Nodes. The Apply PRES on Nodes picking menu appears.

  14. Click on Pick All. The Apply PRES on nodes dialog box appears.

  15. Enter "0.125" in the Load PRES value field and click OK.

  16. Choose menu path Utility Menu> Select> Everything.

  17. Click on SAVE_DB on the ANSYS Toolbar.

8.13.3.12. Solve the First Load Step

  1. Choose menu path Main Menu> Solution> Load Step Opts> Time/Frequenc> Time and Substps. The Time and Substep Options dialog appears.

  2. Enter 10 as the number of substeps, enter 50 as the maximum number of substeps, and enter 5 as the minimum number of substeps. Click OK.

  3. Choose menu path Main Menu> Solution> Solve> Current LS. Review the information in the /STAT window, and click on Close.

  4. Click on OK on the Solve Current Load Step dialog box.

  5. Click on Close on the Information dialog box when the solution is done.

  6. Choose Utility Menu> Plot> Elements.

8.13.3.13. Solve the Next Six Load Steps

  1. Choose Utility Menu> Parameters> Scalar Parameters. The Scalar Parameters dialog box appears.

  2. Enter "f = 0.010" in the Selection field and click on Accept. Click on Close.

  3. Choose menu path Main Menu> Solution> Load Step Opts> Time/Frequenc> Time and Substps. The Time and Substep Options dialog appears.

  4. Enter "4" for the number of substeps, "25" for the maximum number of substeps, and "2" for the minimum number of substeps. Click OK.

  5. Choose menu path Main Menu> Solution> Define Loads> Apply> Structural> Force/Moment> On Nodes. The Apply F/M on Nodes picking menu appears.

  6. Enter "ntop" in the picker and press RETURN. Click OK in the Apply F/M on Nodes picking menu. The Apply F/M on Nodes dialog box appears.

  7. Select "FY" in the Direction of force/mom selection box. Enter "-f" in the Force/moment value field. Click OK.

  8. Choose menu path Main Menu> Solution> Solve> Current LS. Review the information in the /STAT window, and click on Close.

  9. Click on OK on the Solve Current Load Step dialog box.

  10. Click on Close on the Information dialog box when the solution is done.

  11. Repeat Steps 5-10, entering "f" in the Force/moment value field at Step 7.

  12. Repeat Steps 5-11 two more times, for a total of three cycles (six substeps).

  13. Click on SAVE_DB on the ANSYS Toolbar.

8.13.3.14. Review the Monitor File

  1. Choose menu path Utility Menu> List> Files> Other. The List File dialog box appears. Select the axplate.mntr file and click on OK.

  2. Review the time step size, vertical displacement, and reaction force evolution over the entire solution.

  3. Click Close.

8.13.3.15. Use the General Postprocessor to Plot Results.

  1. Choose menu path Main Menu> General Postproc> Read Results> Last Set.

  2. Choose menu path Main Menu> General Postproc> Plot Results> Deformed Shape. The Plot Deformed Shape dialog box appears.

  3. Click on Def + undef edge for items to be plotted. Click OK. The deformed mesh appears in the ANSYS Graphics window.

  4. Choose menu path Main Menu> General Postproc> Plot Results> Contour Plot> Element Solu. The Contour Element Solution Data dialog box appears.

  5. In the selection box on the left, choose Strain-plastic. In the selection box on the right, choose Eqv plastic EPEQ. Click OK. The contour plot appears in the Graphics window.

  6. Choose Utility Menu> Plot> Elements.

8.13.3.16. Define Variables for Time-History Postprocessing

  1. Choose menu path Utility Menu> Select> Entities. The Select Entities dialog box appears.

  2. Verify that Nodes and By Num/Pick are selected in the first two boxes. Click OK. The Select nodes picking menu appears.

  3. Type "ntop" in the picker and press RETURN. Click OK.

  4. Choose menu path Utility Menu> Select> Entities. The Select Entities dialog box appears. Choose Elements in the first drop-down selection box. Choose Attached to in the second drop-down selection box. Verify that Nodes is selected. Click OK.

  5. Choose Utility Menu> Select> Everything.

  6. Choose Main Menu> TimeHist Postpro> Define Variables. The Defined Time-History Variables dialog box appears. Click on Add. The Add Time-History Variable dialog box appears.

  7. Click on Element results. Click OK. The Define Elemental Data picking menu appears.

  8. Click on the top left element in the ANSYS Graphics window. Click OK on the picking menu. The Define Nodal Data picking menu appears.

  9. Click on the top left node of the top left element. Click OK on the picking menu. The Define Element Results Variable dialog box appears.

  10. Verify that the reference number of the variable is 2.

  11. Choose Stress in the selection list on the left. Choose Y-direction SY in the selection list on the right. Click OK. The Defined Time-History Variables dialog box reappears, with a second variable listed (ESOL). The dialog box should show element number 281, node number 50, item S, component Y, and name SY.

  12. Click on Add. Repeat steps 7-10, with variable reference number 3.

  13. In the Define Element Results Variable dialog box, choose Strain-elastic in the selection list on the left. Choose Y-dir'n EPEL Y in the selection list on the right. Click OK.

  14. Click on Add. Repeat steps 7-10, with variable reference number 4.

  15. In the Define Element Results Variable dialog box, choose Strain-plastic in the selection list on the left. Choose Y-dir'n EPPL Y in the selection list on the right. Click OK.

  16. Click on Close on the Defined Time-History Variables dialog box.

  17. Choose menu path Main Menu> TimeHist Postpro> Math Operations> Add. The Add Time-History Variables dialog box appears.

  18. Enter 5 for the reference number for result, enter 3 as the 1st variable, and enter 4 as the 2nd variable. Click OK. This adds the elastic and plastic strains that you stored as variables 3 and 4. Their sum is the total strain, and it is stored as variable 5.

8.13.3.17. Plot Time-History Results

  1. Choose menu path Main Menu> TimeHist Postpro> Settings> Graph. The Graph Settings dialog box appears.

  2. Click on Single variable for the X-axis variable and enter 5 as the single variable number. Click OK.

  3. Choose menu path Utility Menu> PlotCtrls> Style> Graphs> Modify Axes. The Axes Modifications for Graph Plots dialog box appears.

  4. Enter Total Y-Strain as the X-axis label.

  5. Enter Y-Stress as the Y-axis label. Click OK.

  6. Choose menu path Main Menu> TimeHist Postpro> Graph Variables. The Graph Time-History Variables dialog box appears.

  7. Enter 2 as the first variable to graph. Click OK.

8.13.3.18. Exit ANSYS

  1. Choose QUIT from the ANSYS Toolbar.

  2. Click on the save option you want, and click on OK.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.12. Tips and Guidelines for Nonlinear Analysis 		Up / Home Next
8.14. Sample Nonlinear Analysis (Command or Batch Method)


8.14. Sample Nonlinear Analysis (Command or Batch Method)

You can perform the example nonlinear static analysis of a copper cylinder impacting a rigid wall using the ANSYS commands shown below instead of GUI choices. Items prefaced by an exclamation point (!) are comments.

/BATCH,LIST
/title, Cyclic loading of a fixed circular plate
/filnam,axplate
/prep7
radius=1.0                     ! Radius of the plate (m)
thick=0.1                      ! Thickness of plate (m)
YM=16911.23
et,1,PLANE42,,,1               ! PLANE42 axisymmetric element
mp,ex,1,YM
mp,nuxy,1,0.3

! Define a Kinematic Hardening Plasticity curve using the KINH material model

tb,KINH,1,1,5

! Define the true stress vs. total log strain curve for this material model
! using 5 points. First point defines the elastic limit

tbpt,,0.001123514,19.00
tbpt,,0.001865643,22.80
tbpt,,0.002562402,25.08
tbpt,,0.004471788,29.07
tbpt,,0.006422389,31.73

! Set the axles labels for the stress-strain curve plot

/axlab,X,Log Strain (N/m^2)
/axlab,Y,True Stress (N/m^2)

tbpl,KINH,1                  ! Plot and verify the material stress-strain curve

! Define a rectangle which is the axisymmetric cross section of the plate.
! The rectangle has a length equal to the radius of the plate and a height equal
! to the thickness of the plate

rect,,radius,,thick

! Select the left and right bounding lines of the created rectangle and set
! the line division to 8 (8 elements through the thickness of the plate)

FLST,5,2,4,ORDE,2
FITEM,5,2
FITEM,5,4
CM,_Y,LINE
LSEL, , , ,P51X
!*
CM,_Y1,LINE
CMSEL,,_Y
LESIZE,_Y1, , ,8,1,
CMDEL,_Y
CMDEL,_Y1
!*

! Select the top and bottom bounding lines of the created rectangle and set
! the line division to 40 (40 elements through the radius of the plate)

FLST,5,2,4,ORDE,2
FITEM,5,1
FITEM,5,3
CM,_Y,LINE
LSEL, , , ,P51X
!*
CM,_Y1,LINE
CMSEL,,_Y
LESIZE,_Y1, , ,40,1,
CMDEL,_Y
CMDEL,_Y1
!*
CM,_Y,AREA
ASEL, , , ,       1
CM,_Y1,AREA
CHKMSH,'AREA'
CMSEL,S,_Y

amesh,all
CMDEL,_Y
CMDEL,_Y1
CMDEL,_Y2
fini
/solve

nlgeom,on! Turn on geometric nonlinearity

! Get the node numbers for the nodes located at the top
! of the axis of symmetry and at bottom right of the model

ntop = node(0,thick,0)
nright = node(radius,0,0)

! Activate the monitoring of the displacement and reaction force histories
! during the analysis. This will be written out to the monitor file ratch.mntr

monitor,1,ntop,uy
monitor,2,nright,fy

outres,all,all           ! Output all the results for all substeps to the
                         ! results file for later postprocessing

! Select the nodes located at right end and constrain their radial (x) and
! axial (y) direction displacement to be zero.

nsel,s,loc,x,radius
d,all,all

! Select the nodes located at left end and constrain their radial (x) direction
! displacement to be zero.

nsel,s,loc,x,0.0
d,all,ux,0.0

! Define the load for Load Step 1.
! Select the nodes located at top surface of plate and apply a uniform pressure
! of 0.125 N/m^2 as dead load on the plate.

nsel,s,loc,y,thick
sf,all,pres,0.125

alls! Select all nodes

! Define the number of substeps (10). Also define maximum number of
! substeps (50), and the minimum number of substeps (5) for the automatic
! time stepping algorithm.

nsub,10,50,5
solve                            ! Solve load step 1

f = 0.01                       ! Define the parameter, f, used to apply
                                 ! the cyclic point load.

! Over six load steps apply a cyclic point load of magnitude f = 0.01 units
! applied at the center of the plate over three cycles

! Start Cycle 1
! ----------------
nsel,s,node,,ntop
f,all,fy,-f                      ! Define load for load step 2
nsel,all
nsubst,4,25,2                    ! Set the number of substeps, max and min number
                                 ! of substeps
solve                            ! Solve load step 2

nsel,s,node,,ntop
f,all,fy,f                       ! Define load for load step 3
nsel,all
nsubst,4,25,2                    ! Set the number of substeps, max and min number
                                 ! of substeps
solve                            ! Solve load step 3

! Start Cycle 2
! ----------------

nsel,s,node,,ntop
f,all,fy,-f                      ! Define load for load step 4
nsel,all
nsubst,4,25,2                    ! Set the number of substeps, max and min number
                                 ! of substeps
solve                            ! Solve load step 4

nsel,s,node,,ntop
f,all,fy,f                       ! Define load for load step 5
nsel,all
nsubst,4,25,2                    ! Set the number of substeps, max and min number
                                 ! of substeps
solve                            ! Solve load step 5

! Start Cycle 3
! ----------------

nsel,s,node,,ntop
f,all,fy,-f                      ! Define load for load step 6
nsel,all
nsubst,4,25,2                    ! Set the number of substeps, max and min number
                                 ! of substeps
solve                            ! Solve load step 6
nsel,s,node,,ntop
f,all,fy,f                       ! Define load for load step 7
nsel,all
nsubst,4,25,2                    ! Set the number of substeps, max and min number
                                 ! of substeps.
solve                            ! Solve load step 7
save
fini

/post1
set,last                         ! Read in the results from the last substep of
                                 ! the last step.
! (final state)
pldi,2                           ! Plot the deformed mesh with the undeformed
                                 ! edge only
ples,nl,epeq                     ! Plot the total accumulated equivalent
                                 ! plastic strains
fini

/post26
eplo                             ! Plot the mesh
nsel,s,node,,ntop                ! Select the node where the point load is attached
esln                             ! Select the element attached to this node
elem=elnext(0)                   ! Get the number of this element
alls                             ! Select back everything in the model

! Define variable 2 to be Y component of stress at the node where the point
! load is applied

ESOL,2,elem,ntop,S,Y,

! Define variable 3 to be Y component of elastic strain at the node where the
! point load is applied

ESOL,3,elem,ntop,EPEL,Y,

! Define variable 4 to be Y component of plastic strain at the node where the
! point load is applied

ESOL,4,elem,ntop,EPPL,Y,

! Add the elastic and plastic strains in variables 3 and 4 and store the total
! strain in variable 5.

ADD,5,3,4, , , , ,1,1,0,

xvar,5                     ! Set the axes for subsequent x-y plot to be variable 5

! Define the x and y axes labels for subsequent x-y plot
/axlab,x,Total Y-Strain
/axlab,y,Y-Stress

plvar,2                    ! Plot the Y-stress stored in variable 2
fini
/eof
/exit,nosav

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.13. Sample Nonlinear Analysis (GUI Method) 		Up / Home Next
8.15. Where to Find Other Examples


8.15. Where to Find Other Examples

Several ANSYS publications, particularly the Verification Manual, describe additional nonlinear analyses.

The Verification Manual consists of test case analyses demonstrating the analysis capabilities of the ANSYS program. While these test cases demonstrate solutions to realistic analysis problems, the Verification Manual does not present them as step-by-step examples with lengthy data input instructions and printouts. However, most ANSYS users who have at least limited finite element experience should be able to fill in the missing details by reviewing each test case's finite element model and input data with accompanying comments.

The Verification Manual includes a variety of nonlinear analysis test cases:

VM7 - Plastic Compression of a Pipe Assembly
VM11 - Residual Stress Problem
VM24 - Plastic Hinge in a Rectangular Beam
VM38 - Plastic Loading of a Thick-Walled Cylinder Under Pressure
VM56 - Hyperelastic Thick Cylinder Under Internal Pressure
VM78 - Transverse Shear Stresses in a Cantilever Beam
VM80 - Plastic Response to a Suddenly Applied Constant Force
VM104 - Liquid-Solid Phase Change
VM124 - Discharge of Water from a Reservoir
VM126 - Heat Transferred to a Flowing Fluid
VM132 - Stress Relaxation of a Bolt Due to Creep
VM133 - Motion of a Rod Due to Irradiation Induced Creep
VM134 - Plastic Bending of a Clamped I-Beam
VM146 - Bending of a Reinforced Concrete Beam
VM185 - Current Carrying Ferromagnetic Conductor
VM198 - Large Strain In-Plane Torsion Test
VM199 - Viscoplastic Analysis of a Body Undergoing Shear Deformation
VM200 - Viscoelastic Sandwich Seal Analysis
VM218 - Hyperelastic Circular Plate
VM220 - Eddy Current Loss in Thick Steel Plate

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.14. Sample Nonlinear Analysis (Command or Batch Method) 		Up / Home Next
Chapter 9. Material Curve Fitting


Chapter 9. Material Curve Fitting

You use material curve fitting to derive coefficients from experimental data that you supply for your material. Curve fitting involves comparing your experimental data to certain nonlinear material models built into ANSYS. With this feature, you compare experimental data versus ANSYS-calculated data for different nonlinear models. Based on these comparisons, you decide which material model to use during solution.

Curve fitting is based on the data table configurations outlined in the TB command. The data manipulations and constructions are performed by the TBFT command.

The following material curve fitting topics are available:

  • Applicable Material Behavior Types
  • Hyperelastic Material Curve Fitting
  • Creep Material Curve Fitting
  • Viscoelastic Material Curve Fitting

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.15. Where to Find Other Examples 		Up / Home Next
9.1. Applicable Material Behavior Types


9.1. Applicable Material Behavior Types

ANSYS supports curve fitting for hyperelastic, creep and viscoelastic material behavior. Temperature dependency is supported for all three behaviors.

  • Hyperelastic Material Curve Fitting

    For hyperelastic material models, your stress-strain curves can be converted to any of the available ANSYS-supported hyperelastic models, including Mooney-Rivlin, Ogden, Neo-Hookean, Polynomial, Arruda-Boyce, Gent, and Yeoh. Compressible hyperelastic Ogden hyper-foam and Blatz-Ko models are also supported.

  • Creep Material Curve Fitting

    For creep material models, your creep strain rate or creep strain as a function of time, stress or temperature can be converted to any of the thirteen ANSYS-supported implicit creep models.

  • Viscoelastic Material Curve Fitting

    For viscoelastic material models, your shear modulus vs. time and/or bulk modulus vs. time data is converted to ANSYS-supported Prony series format.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 9. Material Curve Fitting 		Up / Home Next
9.2. Hyperelastic Material Curve Fitting


9.2. Hyperelastic Material Curve Fitting

Hyperelastic curve fitting is a tool for estimating your material constants by inputting your experimental data and comparing it to the ANSYS-supported hyperelastic material models. You perform curve fitting either interactively (GUI) or via batch commands. You input your experimental data, choose a model from one of nine supplied hyperelastic models, perform a regression analysis, graphically view the curve fitting results, compare the fits to the experimental data, and write the fitted coefficients to the database as ANSYS nonlinear data table commands for the subsequent finite element analyses.

ANSYS hyperelastic models can define three types of behavior: purely incompressible, nearly incompressible, and compressible. Hyperelastic curve fitting is based on the HYPER option of the TB command.

9.2.1. Using Curve Fitting to Determine Your Hyperelastic Material Behavior

The steps for hyperelastic curve fitting are defined as follows:

1 | Prepare Experimental Data | The experimental data must be a plain text file delimited by a space or a comma.
2 | Input the Data into ANSYS | The experimental data can be read into ANSYS by browsing to the file location (GUI) or by specifying the filename and path (batch) on the command line.
3 | Select a Material Model Option | The material options for the applicable curve fitting regimen are defined in the TB command. ANSYS supports nine hyperelastic models. Once you pick a model, you can still change to another model if an ideal fit is not realized.
4 | Initialize the Coefficients | Depending on the model, hyperelastic curve fitting can be a linear or nonlinear regression process. The hyperelastic material models, along with the associated process for each are listed in Table 9.3: "Hyperelastic Curve Fitting Model Types".
5 | Specify Control Parameters and Solve | You will specify the type of error norm to be used to generate the curve fit.
6 | Plot Your Experimental Data and Analyze | You review and verify the results by comparing the experimental data and the regression errors. If the results you obtain are not acceptable, repeat steps 3 to 5 to perform a new curve fitting solution.
7 | Write Data to TB Command | Write your curve fitting results to the database in the TB command table format.

9.2.1.1. Prepare Experimental Data

Curve fitting requires experimental test data. Your hyperelastic curve fitting data needs to be a comma or space delimited file, referencing your stress vs. strain values.

Hyperelastic curve fitting supports three main behaviors:

  • Case 1 - Totally Incompressible Models (see Table 9.1: "Experimental Details for Case 1 and 2 Models and Blatz-Ko")

  • Case 2 - Nearly Incompressible Models (see Table 9.1: "Experimental Details for Case 1 and 2 Models and Blatz-Ko")

  • Case 3 - Compressible Models (see Table 9.2: "Experimental Details for Case 3 Models")

The types of data required for each of these cases is defined in the tables below.

Table 9.1 Experimental Details for Case 1 and 2 Models and Blatz-Ko

Experimental Type | Column 1 | Column 2 | Column 3
Uniaxial Test | Engineering Strain | Engineering Stress |
Biaxial Test | Engineering Strain | Engineering Stress |
Planar/Shear Test | Engineering Strain (in loading direction) | Engineering Stress |
Simple Shear Test | Engineering Shear Strain | Engineering Shear Stress | (Optional) Engineering Normal Stress (normal to the edge of shear stress)
Volumetric Test | Volume Ratio (J) | Hydrostatic Pressure |

Table 9.2 Experimental Details for Case 3 Models

Experiment Type | Column 1 | Column 2 | Column 3
Uniaxial Test | Engineering Strain | Lateral Direction Engineering Strain | Engineering Stress
Biaxial Test | Engineering Strain | Engineering Strain (in thickness direction) | Engineering Stress
Shear Test | Engineering Strain (in loading direction) | Engineering Strain (in thickness direciton) | Engineering Stress
Simple Shear Test | Engineering Shear Strain | Engineering Shear Stress | (Optional) Engineering Normal Stress (normal to the edge of shear stress)
Volumetric Test | Volume Ratio (J) | Hydrostatic Pressure |

Note

J is the ratio of current volume to the original volume.

All stresses output by ANSYS in POST1/POST26 are true stresses and logarithmic strains.

9.2.1.2. Input the Data into ANSYS

Use the EADD option of the TBFT command to input your data files. First, designate whether they are uniaxial, biaxial, shear, simple shear, or volumetric, and then designate the location in the Option2, Option3, and Option4 fields. All of the stress values will be engineering stress, except for the volumetric option (true stress). The file should be a simple, delimited set of stress and strain values similar to the following:

0.9703 60.00
0.9412 118.2
0.9127 175.2
0.8847 231.1

For temperature dependent curve fitting, specify your temperature values at the top of the experimental data using the

/temp,value
line. This header format specifies the attribute (temp) and its value (100). An example of a typical data input using these attributes follows:
/temp,100
0.9703 60.00
0.9412 118.2
0.9127 175.2
0.8847 231.1
Adding this header introduces a temperature attribute of 100 degrees. You can add additional data sets at other temperatures, in additional files. One file can have data at only one temperature.

9.2.1.2.1. Batch
TBFT,EADD,ID,Option1,Option2,Option3,Option4
Option1 = UNIA, BIAX, SHEA, SSHE or VOLU
Option2 = name of file containing experimental data
Option3 = file name extension
Option4 = file directory
9.2.1.2.2. GUI

The Material Properties GUI provides an input field where you can type in the filename of your data file, and also include the appropriate path. You can also browse to a file in a specified location. Separate input is performed for each Option1 value (UNIA, BIAX, SHEA, etc.).

9.2.1.3. Select a Material Model Option

Use the FADD option of the TBFT command to define your constitutive model. Table 9.3: "Hyperelastic Curve Fitting Model Types" below lists the models that are available for hyperelastic curve fitting. When volumetric data is supplied, a compressible or nearly incompressible model is implied, and only the designated options will be available. When no volumetric data is supplied, the model is understood to be incompressible, and those model options will be available. Supplying zero coefficients for the volumetric data field will also denote an incompressible model.

Table 9.3 Hyperelastic Curve Fitting Model Types

Model Name | Abbreviation | Order/Options | No. of Coefficients [1] | Linear/Nonlinear Fitting
Mooney-Rivlin | moon | 2, 3, 5, 9 | 2/3/5/9+1 | Linear
Polynomial | poly | 1 to N | see below [2] | Linear
Yeoh | yeoh | 1 to N | N+N | Linear
Neo-Hookean | neoh | - | 1+1 | Linear
Ogden | ogde | 1 to N | 2*N+N | Nonlinear
Arruda-Boyce | boyc | - | 2+1 | Nonlinear
Gent | gent | - | 2+1 | Nonlinear
Blatz-Ko | blat | - | 1 | Nonlinear
Ogden Hyper-foam | foam | 1 to N | 2*N+N | Nonlinear

  1. The number of coefficients is usually the sum of the number of deviatoric coefficients and the number of volumetric coefficients.

  2. The number of coefficients for a polynomial will be dependent on the polynomial order N.

Blatz-Ko and Ogden hyper-foam are compressible models. For Ogden hyper-foam, the experimental data you supply will require additional fields.

More information on the hyperelastic models ANSYS supplies for curve fitting can be found in Hyperelastic Material Constants.

9.2.1.3.1. Batch
TBFT,FADD,ID,HYPER,Option2,Option3
Option2 = model name, as specified in Table 9.3: "Hyperelastic Curve Fitting Model Types" (above)
Option3 = order or number of coefficients, where applicable. Table 9.3: "Hyperelastic Curve Fitting Model Types" (above) specifies the number and type of coefficient(s) necessary for each hyperelastic model type.
9.2.1.3.2. GUI

A pull-down selection menu in the material GUI allows you to pick the applicable material model option. The options displayed will be dependent on the format of your experimental data file.

9.2.1.4. Initialize the Coefficients

Depending on the model you choose, hyperelastic curve fitting can be a linear or a nonlinear regression process. In both cases, the initial coefficients you supply will determine how accurate and efficient your curve fit will be. The initial values of the coefficients generally come from experience, and also from studying the function that defines the model you are attempting to compare/fit your data to. For most hyperelastic models, 1 or -1 is a good starting point. However, coefficient values can vary greatly depending on the model chosen. The Gent model, for instance, provides good fit with initial coefficient values as high as 1000.

You can also fix (hold constant) your coefficients. You specify a value for a coefficient and keep it unchanged, while allowing the other coefficients to be operated on. You can then release the coefficient you fixed and operate on it after the others are optimized. By default, all of the coefficients are free to vary.

For temperature dependent experimental data, you turn temperature dependency on and specify a reference temperature before you solve for the coefficients. You can set the reference temperature only to values specified using the /temp,value header line in the experimental data.

You can also specify tref = all and initiate multiple solves to evaluate coefficients at all available discrete temperature values. In this case, for data at three temperatures (t1, t2, and t3), a single TBFT, SOLVE entry will initiate three different solve operations at those three discrete temperatures.

With temperature dependency on and the reference temperature set to a particular value, a TBFT, SOLVE command solves for coefficients only at that temperature. To solve for coefficients at other temperatures, you set the reference temperature to each desired discrete temperature value and solve again.

You can initialize the coefficients before or after turning temperature dependency on. If the coefficients are initialized before turning temperature dependency on, the specified coefficients will become the initial coefficients for all future solves for that particular model. These coefficients are, however, overridden when temperature dependency is turned on and another set of initial values are specified at discrete temperature values. The curve fitting tool looks for the initial coefficients at a particular temperature. If no coefficients are specified at a discrete temperature, the initial coefficients set before temperature dependency was turned on are used.

9.2.1.4.1. Batch
TBFT,SET,ID,HYPER,Option2,Option3,Option4,Option5
Option2 = model name (see Table 9.3: "Hyperelastic Curve Fitting Model Types" (above) for the available models)
Option3 = order, if applicable
Option4 = index of coefficient
Option5 = value of the coefficient

To set Option4 for a reference temperature, or for temperature dependency:

TBFT,SET,ID,HYPER,Option2,Option3,Option4,Option5
Option2 = model name. See Table 9.3: "Hyperelastic Curve Fitting Model Types" (above) for the available models.
Option3 = order, if applicable
Option4 = tdep or tref
Option5 = If Option4 = tdep, Option5 = 1 turns on temperature dependency, and Option5 = 0 turns it off. If Option4 = tref, Option5 will be either “all,” or the reference temperature.
TBFT,FIX,ID,HYPER,Option2,Option3,Option4,Option5
Option2 = model name See Table 9.3: "Hyperelastic Curve Fitting Model Types" (above) for the available models.
Option3 = not applicable
Option4 = index of coefficient
Option5 = 1 for fixed and 0 to vary
9.2.1.4.2. GUI

The GUI automatically updates your coefficient tables depending on the model you pick. You can modify individual coefficients to initialize them at values you believe are more appropriate.

9.2.1.5. Specify Control Parameters and Solve

Depending on the model, your hyperelastic curve fitting will be either a linear or nonlinear regression process (see Table 9.3: "Hyperelastic Curve Fitting Model Types" (above) for details). Your error norms can be either normalized or unnormalized. Normalized error norms (the default regression option) generally give better results than the unnormalized error norms, since normalized error gives equal weight to all of your data points.

The solution control parameters of a nonlinear regression include:

  1. number of iterations

  2. residual tolerance

  3. coefficient change tolerance

The solution stops when both the residual tolerance and the coefficient change tolerance of your error norm are met, or if the number of iterations criteria is met. When you use nonlinear regression, you must initialize your coefficients.

9.2.1.5.1. Batch
TBFT,SOLVE,ID,HYPER,Option2,Option3,Option4, ..., Option7
Option2 = model name. See Table 9.3: "Hyperelastic Curve Fitting Model Types" (above) for the models available.
Option3 = order or number of your coefficients. See Table 9.3: "Hyperelastic Curve Fitting Model Types" (above) for possible values.
Option4 = curve fitting procedure: 0 = unnormalized least squares, 1 = normalized least squares
Option5 = maximum number of iterations
Option6 = tolerance of residual changes
Option7 = tolerance of coefficient changes

Other solution parameters are available. See the TBFT command for details.

9.2.1.5.2. GUI

The GUI lets you specify all of your control parameters (error norm, solution control parameters, and the solver options) interactively. You select the appropriate options from the provided menus, and solve to generate the coefficients. You can change the parameters and repeat the solution as necessary to ensure an accurate result. The unused options are disabled whenever necessary.

9.2.1.6. Plot Your Experimental Data and Analyze

After you initiate Solve, the coefficient tables will contain the fitted coefficients and also the residual errors. You can then plot your data and visually interpret the results. The first column is always your X- axis, with each additional column plotted separately as a function of column one.

You should try to reserve column one for the variable that you would like to see vary in the plot. For example, if your data contains time, temperature, stress, and creep strain, and you wish to see the creep strain vary as a function of time at different temperatures and stresses in the plot, you add your experimental data using multiple TBFT,EADD commands (or the corresponding GUI operations) by splitting the file into multiple experimental files as prescribed earlier, one for each combination of temperature and stress.

9.2.1.6.1. Batch
TBFT,PLOT,ID,Option1,HYPER,Option3,Option4
Option1 = UNIA, BIAX, SHEA, SSHE or VOLU
Option3 = model name. See Table 9.3: "Hyperelastic Curve Fitting Model Types" (above) for the models available.
Option4 = order or number of your coefficients. See Table 9.3: "Hyperelastic Curve Fitting Model Types" (above) for possible values.

You use the /WINDOW command to configure the graphs for each of the resultant curves for the individual stress types.

9.2.1.6.2. GUI

Use the GRAPH button to plot the data. Your plots will show columns 2 and above as separate curves, plotted as a function of column 1. The data in column 1 is always the X-axis. By default, all the experiments are plotted in the GUI window. To view specific data and its corresponding fitting result, you can click the right mouse button (RMB) on the specific data set, and pick a desired option to view the results. Other RMB plotting utilities can be found for different data fields in the curve fitting GUI window.

Use RMB functions to Zoom, Fit, Save Plot to File, View/Hide Legend and View/Hide Grid. Two or more fitted functions can also be compared in the same plot. For example, you can view Mooney2 Uniaxial and Mooney9 Uniaxial plots directly on top of each other, provided you have already solved for both of these functions. RMB also allows you to set the number of points used to generate the plot, and also change the minimum X value and the maximum X value in a plot. You can also hide a particular curve within a graph, turn the legend and/or axis displays on and off, and switch the scales between log scale and regular scale. Use the middle-mouse button to eliminate a specific curve and clarify or refine the remaining curve.

9.2.1.6.3. Review/Verify

The two factors you consider in determining results acceptability are visual fit and the error norm/residual values. When you plot the curve, the error norm/residual values are printed in the curve fitting GUI window. Error norm values help you determine the quality of curve fitting and whether to accept the results, but are not always the best indicator of a valid curve fit. Plotting the curves and visually assessing the result is usually the best indication. If the results are unacceptable, you may want to go back to step 3 and solve again, either by picking a different model, increasing the order, or redefining your initial values of the coefficients or other control parameters. You can continue to use your original experimental data, repeating step 3 through step 7 until you get an acceptable solution.

9.2.1.7. Write Data to TB Command

After you are satisfied with your curve fitting results, you can write the curve fitting data to the ANSYS database using TBFT, FSET. Both the GUI and the command line convert the coefficients to the appropriate form before writing to ANSYS TB tables. ANSYS stores the data as part of the material property set for use in subsequent analyses.

9.2.1.7.1. Batch
TBFT,FSET,ID,HYPER,Option2,Option3
Option2 = model name. See Table 9.3: "Hyperelastic Curve Fitting Model Types" (above) for the models available.
Option3 = order or number of your coefficients. See Table 9.3: "Hyperelastic Curve Fitting Model Types" (above) for possible values.
9.2.1.7.2. GUI

Once you complete the process and update your material data properties with the representative curve data, you are returned to the material properties dialog. The curve data can now be accessed for the full range of material behavior.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.1. Applicable Material Behavior Types 		Up / Home Next
9.3. Creep Material Curve Fitting


9.3. Creep Material Curve Fitting

ANSYS provides thirteen creep models, along with the tools to generate and fit derived coefficients to your experimental data. Interactive (GUI) or command line (batch) input is available. You input your experimental data, choose a model from one of the supplied creep models, and then perform a regression analysis. You then graphically view the curve fitting result, and compare it for fit with your experimental data. If the curve is acceptable, you write the fitted coefficients to the database as ANSYS nonlinear data table commands (ANSYS TB command format) for the subsequent finite element analyses.

9.3.1. Using Curve Fitting to Determine Your Creep Material Behavior

The steps for creep curve fitting are defined as follows:

1 | Prepare Experimental Data | The experimental data must be a plain text file with headers to describe the data types and attributes. The test data must be delimited by a space or a comma.
2 | Input the Data into ANSYS | The experimental data can be read into ANSYS by browsing to the file location in the GUI or by specifying the location on the command line.
3 | Select a Material Model Option | The material options for the applicable curve fitting regimen are defined in the TB command. ANSYS supports thirteen implicit creep models. Once you pick a model, you can still switch to another model if an ideal fit is not realized.
4 | Initialize the Coefficients | Creep curve fitting is a nonlinear regression; the initial values of the coefficients to be determined can be very important for a successful solution.
5 | Specify Control Parameters and Solve | You choose the error norm to be used for an acceptable curve fit.
6 | Plot the Experimental Data and Analyze | You review and verify the results by comparing them with the experimental data and the regression errors. If they are not acceptable, repeat steps 3 to 5 to obtain a new curve fitting solution.
7 | Write Data to TB Command | Write curve fitting results in the TB command format to the ANSYS database.

9.3.1.1. Prepare Experimental Data

You need to provide accurate experimental test data in order to achieve valid curve fitting results. For creep analyses, you use either the creep strain value or creep strain rate, derived as a function of time, temperature, stress, and/or creep strain. The type of data you need to provide will depend on the creep model you choose. The experimental data is named "creep" to distinguish it from other types of data, such as uniaxial, tension, biaxial, etc. The creep data must be a plain text file that contains the headers and the test data in table form, delimited by a space or a comma.

The header is used to describe the data types that characterize the test data columns or attributes of the data. There are five different creep data types; see Table 9.4: "Creep Data Types and Abbreviations".

Table 9.4 Creep Data Types and Abbreviations

Time | time
Equivalent Creep Strain | creq
Equivalent Creep Strain Rate | dcreq
Equivalent Stress | seqv
Temperature | temp

The header format to define each column's data-type is /n, abbr, where n is the index of the data column in the file, and abbr is the abbreviation for the type of data in the column, as described in Table 9.4: "Creep Data Types and Abbreviations".

A typical data input is shown below:

/1,seqv		! indicates first column is stress
/2,creq		! indicates second column is creep strain
/3,temp		! indicates third column is temperature
/4,dcreq	! indicates fourth column is creep strain rate
4000    0.00215869	100    0.000203055
4000    0.00406109	100    0.000181314
4000    0.00664691	100    0.000165303
4000    0.0102068	100    0.000152217
4000    0.0151416	100    0.000140946

When a particular column is unchanged over the loading history, you can define it as an attribute. For instance, in the above example, the stress and temperature are constant throughout the range. You define this data as an attribute.

The header format to define a data attribute is /attr, value, where attr is the data-type abbreviation, and value is the value of the attribute. The constant stress and temperature values above can be written into the file header, as follows:

/seqv,4000	! indicate this creep has a constant stress of 4000
/temp,100	! indicate this creep data is at a constant temperature of 100
/1,creq		! indicate first column is creep strain
/2,dcreq	! indicate second column is creep strain rate
0.00215869 0.000203055
0.00406109 0.000181314
0.00664691 0.000165303
0.0102068 0.000152217
0.0151416 0.000140946
0.0220102 0.000130945

ANSYS provides thirteen model types for creep curve fitting. The model you choose will determine the experimental data required for the curve fitting process. The following table describes the creep data required to perform curve fitting for each model type. Note that for strain hardening and modified strain hardening, you need to input both creep strain and creep strain rate in the experimental data.

Table 9.5 Creep Model and Data/Type Attribute

Creep Model | creq | dcreq | time | seqv | temp
Strain Hardening | x | x |  | x | x
Time Hardening |  | x | x | x | x
Generalized Exponential |  | x | x | x | x
Generalized Graham |  | x | x | x | x
Generalized Blackburn |  | x | x | x |
Modified Time Hardening | x |  | x | x | x
Modified Strain Hardening | x | x |  | x | x
Generalized Garofalo |  | x |  | x | x
Exponential Form |  | x |  | x | x
Norton |  | x |  | x | x
Prim+Sec Time Hardening | x |  | x | x | x
Prim+Sec Rational Polynomial |  | x | x | x |
Generalized Time Hardening | x |  | x | x | x

9.3.1.2. Input the Data into ANSYS

The experimental data must be read into ANSYS from a plain text file. You prepare this file according to the previous section, including both header information and formatted test data. The header portion is required for creep analyses. Each file is viewed as a data set in ANSYS, and can be a complete set of experimental test data or a part of a series of files of experimental test data. You can include several data sets, such as tests performed at different stress levels and/or temperatures, when you perform creep curve fitting. There are two ways to input the experimental data.

9.3.1.2.1. Batch

The EADD argument of the TBFT command is used to identify and specify the location of your data files. The command syntax is:

TBFT,EADD,ID,Option1,Option2,Option3,Option4
Option1 = creep
Option2 = name of file containing experimental data
Option3 = file name extension
Option4 = file directory
9.3.1.2.2. GUI

In interactive mode, you can input experimental data by typing the filename (with the appropriate path if the file is not in the default directory) into the appropriate area. You can also browse to a file in a particular location. Use the Add Data Set button to add additional data sets for creep curve fitting. There is no restriction on the number of data sets you can add.

9.3.1.3. Select a Material Model Option

The thirteen models available for creep curve fitting are defined in Table 9.6: "Creep Models and Abbreviations". Pick the one that best satisfies your requirements, and use the creep model abbreviation from the table in subsequent fitting operations. You'll find it helpful to view the formula before you solve. It will help you determine the initial coefficients you might use and also help you determine the format of your experimental data. Also see Table 9.6: "Creep Models and Abbreviations" to determine a starting point for the initial creep model coefficients.

9.3.1.3.1. Batch
TBFT,FADD,ID,CREEP,Option2,Option3
Option2 = creep model abbreviation. See Table 9.6: "Creep Models and Abbreviations".
Option3 = not used for creep curve fitting.

The following table describes the creep models available and their abbreviated names for Option2 (above).

Table 9.6 Creep Models and Abbreviations

Model Number | Name | Fitting Name/Option2
1 | Strain Hardening | shar
2 | Time Hardening | thar
3 | Generalized Exponential | gexp
4 | Generalized Graham | ggra
5 | Generalized Blackburn | gbla
6 | Modified Time Hardening | mtha
7 | Modified Strain Hardening | msha
8 | Generalized Garofalo | ggar
9 | Exponential Form | expo
10 | Norton | nort
11 | Prim+Sec Time Hardening | psth
12 | Prim+Sec Rational Polynomial | psrp
13 | Generalized Time Hardening | gtha

Note

The experimental data must be consistent with the creep model you choose. See Table 9.5: "Creep Model and Data/Type Attribute" for the data types required for each creep model.

9.3.1.3.2. GUI

You can pick the appropriate model option from a menu in the data entry area. All of the options and constraints listed for batch input apply.

9.3.1.4. Initialize the Coefficients

Creep curve fitting is a nonlinear regression process. A successful curve fit depends greatly on the initial coefficient values; certain variances will prevent your curve fit from converging. When a solution doesn't converge, you can adjust the initial value of specific coefficients and rerun the problem (you do not need to input the data again). In general, the more parameters a model has, the more difficult it is to get the solution to converge.

Models with many parameters will sometimes converge more easily if you fix (hold constant) your coefficients. You specify a value for a coefficient and keep it unchanged, while allowing the other coefficients to be operated on. You can then release the fixed coefficients to obtain a solution. By default, all of the coefficients are free to vary.

Although some creep models implicitly address temperature dependency, other models lack this capability. For both types of models, you can account for temperature dependency by generating coefficients at discrete temperature values.

You solve for separate coefficients at each of your desired discrete temperatures. If the equation implicitly supports temperature dependency already, that portion is eliminated by appropriately fixing the coefficient to a specific value. For example, if you have e(-C*T), then C is set to 0 to eliminate this term. To do this, you turn on temperature dependency by setting the tdep parameter to 1.

For temperature dependent experimental data, you turn temperature dependency on and specify a reference temperature before you solve for the coefficients. You can set the reference temperature only to values specified using the /temp,value header line in the experimental data.

You can also specify tref = all and initiate multiple solves to evaluate coefficients at all available discrete temperature values. In this case, for data at three temperatures (t1, t2, and t3), a single TBFT, SOLVE entry will initiate three different solve operations at those three discrete temperatures.

With temperature dependency on and the reference temperature set to a particular value, a TBFT, SOLVE command solves for coefficients only at that temperature. To solve for coefficients at other temperatures, you set the reference temperature to each of the desired discrete temperature values and solve again.

You can initialize the coefficients before or after turning temperature dependency on. If the coefficients are initialized before turning temperature dependency on, the specified coefficients will become the initial coefficients for all future solves for that particular model. These coefficients are, however, overridden when temperature dependency is turned on and another set of initial values is specified at discrete temperatures. The curve fitting tool looks for the initial coefficients at a particular temperature. If no coefficients are specified at discrete temperatures, the initial coefficients set before temperature dependency was turned on are used.

9.3.1.4.1. Batch

You define your coefficient values and temperature dependency using the SET option of the TBFT command, as follows:

TBFT,SET,ID,CREEP,Option2,Option3,Option4,Option5
Option2 = creep model name
Option3 = order, if applicable
Option4 = index of coefficient
Option5 = value of coefficient
Then you can modify the coefficients with the FIX option of the TBFT command.
TBFT,FIX,ID,CREEP,Option2,Option3,Option4,Option5
Option2 = creep model name
Option3 = order, if applicable
Option4 = index of coefficient
Option5 = 0 variable, 1 fixed
TBFT,SET,ID,CREEP,Option2,Option3,Option4,Option5
Option2 = creep model name
Option3 = order, if applicable
Option4 = tdep or tref
Option5 = For Option4 = tdep, 1 to turn on, 0 to turn off. For Option4 = tdep, a specific temp value, or “all.”
9.3.1.4.2. GUI

The models listed in Table 9.6: "Creep Models and Abbreviations" are available directly from the GUI. When you pick a model from the choices, ANSYS automatically configures the coefficients for the model. You can then make modifications, including initializing and/or fixing certain coefficients.

9.3.1.5. Specify Control Parameters and Solve

Your error norm, your maximum number iterations allowed, and your error tolerance will affect the accuracy of your results. There are two available error norms available for the regression. The default error norm calculation option is normalized curve fitting. It usually yields better results than unnormalized curve fitting, since normalized fitting gives equal weight to all data points when minimizing the error norms.

Other available solve criteria are number of iterations, residual tolerance, and coefficient change tolerance. The solution stops when both residual tolerance and coefficient change tolerance is met or if the number of iterations criteria is met. The coefficients are updated after every iteration during the solve process.

9.3.1.5.1. Batch

The batch command is:

TBFT,SOLVE,ID,CREEP,Option2,Option3,Option4, ..., Option7
Option2 = creep function name (See Table 9.6: "Creep Models and Abbreviations")
Option3 = not applicable for creep models
Option4 = error norm: 0 = unnormalized, 1 = normalized (default)
Option5 = maximum number of iterations
Option6 = tolerance of residual changes
Option7 = tolerance of coefficient changes

Other solving parameters are available. See the TBFT command for details.

9.3.1.5.2. GUI

After you fill in the last set of coefficient values, the analysis moves automatically to the solution phase. Each of the options specified in the command line description is presented as a pull down menu or fill in box, and each option must be specified before Solve will begin. The coefficients are updated in the GUI after the solution is complete.

9.3.1.6. Plot the Experimental Data and Analyze

After you initiate Solve, the coefficient tables will contain the fitted coefficients and also the residual errors. You can then plot your data and visually interpret the results. Column one is your X- axis, with each additional column plotted separately as a function of column one.

You should reserve column one for the variable that you would like to see vary in the plot. For example, if your data contains time, temperature, stress and creep strain, you may wish to see the creep strain vary as a function of time, at different temperatures and stresses in the plot. Add your experimental data using multiple TBFT,EADD commands (or the corresponding GUI method). Split the file into multiple experimental fields as prescribed earlier, one for each combination of temperature and stress.

Right mouse button (RMB) functions allow you to Zoom, Fit, Save Plot to File, View/Hide Legend and View/Hide Grid. Two or more fitted functions can also be compared in the same plot. For example, you can view Mooney2 Uniaxial and Mooney9 Uniaxial plots right on top of each other, provided both of these function are already solved for. RMB also allows you to see the number of points used to generate the plot, and also change the Minimum X Value and the Maximum X Value in a plot. You can use the middle-mouse button (context sensitive) to hide a particular curve within a graph.

9.3.1.6.1. Batch
TBFT,PLOT,ID,Option1,Option2,Option3,Option4
Option1 = CREEP
Option3 = creep model name
Option4 = not used
9.3.1.6.2. GUI

You can simultaneously display many data sets for each function plotted. Each window of your display can be used to display each one of the data sets you are plotting against column one.

9.3.1.6.3. Analyze Your Curves for Proper Fit

You use the GUI to graphically review the curve fitting result and ensure a good fit throughout the range of data. Use the plotted curve fitting results both to determine the degree of fit at various locations and to verify the error norm/residual value. You can then determine the quality of a curve fitting and decide whether to accept the results. If the results are unacceptable, you may want to go back to step 3, and then solve again with a new model, redefining certain initial values of the coefficients, and also modifying some of the other control parameters. You can continue to use your experimental data, repeating step 3 through step 6 until you obtain a satisfactory solution.

9.3.1.7. Write Data to TB Command

After you are satisfied with your curve fitting results, you can write the curve fitting data to the ANSYS database using TBFT, FSET. The GUI or the command line converts the coefficients to the appropriate form before writing to ANSYS TB tables. ANSYS stores the data as part of the material property set for use in subsequent analyses.

9.3.1.7.1. Batch
TBFT,FSET,ID,CREEP,Option2,Option3
Option2 = creep model abbreviation
Option3 = not applicable
9.3.1.7.2. GUI

When you complete the process, click the Write to Database button to write the fitted coefficients of your creep model as a creep data table in ANSYS material database. You are then returned to the material properties dialog. The curve data can now be accessed for the full range of material behavior.

9.3.2. Tips For Curve Fitting Creep Models

The following tips will help to ensure successful curve fitting. They are only suggestions, and do not represent a singular method or strategy. Also, following them does not guarantee a solution. Refer to Creep Equations for additional details on each implicit creep model.

 | Name | Notes
1 | Strain Hardening | Strain hardening has 4 coefficients, with C4 dedicated to temperature dependency. If you do not have temperature dependent data, set C4 to zero. If you have difficulty solving temperature dependent data, use experimental data for only one temperature and fix C4 to zero. Solve, and then add data for your other temperatures. Then release C4 and solve for all coefficients. You can also solve for just C4 by fixing the C1, C2 and C3 values.
2 | Time Hardening | Time hardening has 4 coefficients, with C4 dedicated to temperature dependency. If you do not have temperature dependent data, set C4 to zero. If you have difficulty solving temperature dependent data, use experimental data for only one temperature and fix C4 to zero. Solve, and then add data for your other temperatures. Then release C4 and solve for all coefficients. You can also solve for just C4 by fixing the C1, C2 and C3 values.
3 | Generalized Exponential | Generalized exponential has 5 coefficients, with C4 dedicated to temperature dependency. If you do not have temperature dependent data, set C4 to zero. Use a low value for C5 (e.g., 1e-3) to avoid floating-point overflows in the exponential term. If you have difficulty solving for temperature dependent data, use experimental data for only one temperature, fix C4 to zero, then solve. Then add data for your other temperatures, release C4 and solve for all coefficients. You can also solve for just C4 by fixing C1, C2 and C3.
4 | Generalized Graham | Generalized Graham has 8 coefficients. You use C8 for temperature dependency. If you do not have temperature dependent data, set C8 to zero. If you have difficulty solving temperature dependent data, use experimental data for only one temperature, fix C8 to zero, and solve. Then add data for other temperatures, release C8 and solve for the remaining coefficients individually.
5 | Generalized Blackburn | Generalized Blackburn has 7 coefficients. It is advisable to look at the exponential terms and try to keep them from floating-point overflows. To keep eC2σ within floating-point range, make sure the initial value of C2 is such that C2σ is close to 1. Similarly try to keep σ/C4 and C7σ close to 1.
6 | Modified Time Hardening | Modified time hardening has 4 coefficients. C4 is for temperature dependency. If you do not have temperature dependent data, fix C4 to zero.
7 | Modified Strain Hardening | Modified Strain Hardening has 3 coefficients. This model can be complex for curve fitting. To keep the [image] term from going negative, C1 is replaced with C12 but converted to the proper form before beings written to the ANSYS database.
8 | Generalized Garofalo | Generalized Garofalo has 4 coefficients, with C4 dedicated to temperature dependency. If you do not have temperature dependent data, set C4 to zero. To keep the Sinh term within floating-point range, keep c2σ close to one when you initialize the coefficients.
9 | Exponential Form | Exponential form has 3 coefficients, with C3 dedicated to temperature dependency. If you do not have temperature dependent data, set C3 to zero. To keep eσC2 within floating-point range, keep σ/C2 close to one.
10 | Norton | Norton model has 3 coefficients, with C3 dedicated to temperature dependency. If you do not have temperature dependent data, set C3 to zero.
11 | Prim+Sec Time Hardening | Time hardening has 7 coefficients. This is a complex model. Here it is advisable to solve for temperature independent data first and then introduce temperature related data.
12 | Prim+Sec Rational Polynomial | Rational polynomial is a very complex model for curve fitting, with 10 coefficients. If you find it hard to fit this data, it is advisable that you split the experimental data into primary creep data and secondary creep data. Primary creep data is the initial part of the curve that covers the nonlinearity in the strain rate. Fit only the secondary data by fixing C1 to 1 and then set all other coefficients except C2, C3 and C4 to zero. Use a low value of C3 to keep 10C3σ within floating-point range. Coefficients C5 to C10 in curve fitting refers to coefficients C7 to C12 in the implicit creep equation. Then add the primary creep data, release all coefficients, and solve.
13 | Generalized Time Hardening | Generalized time hardening has 6 coefficients. Set C6 to zero if you have temperature independent data. When initializing coefficients set C5σ close to 1 to avoid floating-point overflows.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.2. Hyperelastic Material Curve Fitting 		Up / Home Next
9.4. Viscoelastic Material Curve Fitting


9.4. Viscoelastic Material Curve Fitting

Viscoelastic material curve fitting determines your material constants by relating your experimental data to the Prony series expansion for both the shear and bulk modulus of the ANSYS hypoviscoelastic material option. Curve fitting is performed either interactively or via batch commands. You input the experimental data, define the order of Prony series expansion, perform nonlinear regression, view the curve fitting results graphically, compare the experimental data, and write the fitted coefficients to the database as ANSYS nonlinear data table commands for the subsequent finite elements analyses. Current tools allow you to fit shear modulus and/or bulk modulus and/or shift functions, along with discrete temperature dependencies for multiple data sets.

9.4.1. Using Curve Fitting to Determine the Coefficients of Viscoelastic Material Model

The steps for Viscoelastic Curve Fitting are defined as follows:

1 | Prepare Experimental Data | The experimental data must be a plain text file delimited by a space or a comma.
2 | Input the Data into ANSYS | The experimental data can be read into ANSYS from the GUI or via batch commands, as a plain text file.
3 | Select a Material Model Option | This includes Prony series expansion of shear and/or bulk moduli as well as shift function. The supported shift functions include WLF and TN.
4 | Initialize the Coefficients | Viscoelastic curve fitting is a nonlinear regression; the initial value of your coefficients is very important for a successful solution.
5 | Specify Control Parameters and Solve | Specify the error norm to be used, the solution control parameters, and perform the nonlinear regression.
6 | Plot the Experimental Data and Analyze | Graphically view the curve fitting results. Review and verify the results by comparing them with the experimental data and the regression errors. If any factor is not acceptable, repeat steps 3 to 7 to obtain a new curve fitting solution.
7 | Write Data to TB Command | Write your curve fitting results in TB command format to the ANSYS database.

9.4.1.1. Prepare Experimental Data

Curve fitting requires experimental test data. For curve fitting viscoelastic materials, the experimental data must be shear modulus and/or bulk modulus as a function of time and temperature. The experimental data is named sdec or bdec to distinguish it from other data types, such as hyperelastic or creep. This also makes documenting your analyses more convenient.

Your viscoelastic test data must be a plain text file with headers to define the test data. The data file should be in table form, delimited by a space or a comma. The header defines the test data type and the temperature for your test data. For viscoelastic curve fitting with multiple temperatures, you can evaluate coefficients at each discrete temperature point and write it as a temperature-dependent Prony data table, or you can use the Williams-Landau-Ferry (WLF) or Tool-Narayanaswamy (TN) shift functions to account for the temperature dependency (see Shift Functions in the Theory Reference for ANSYS and ANSYS Workbench). A separate data file must be provided for each discrete temperature. The viscoelastic test data can be any of 4 data types, see Table 9.7: "Viscoelastic Data Types and Abbreviations".

Table 9.7 Viscoelastic Data Types and Abbreviations

Time | time
Shear modulus | smod
Bulk modulus | bmod
Temperature | temp

The headers are used to describe the data types that characterize the test data columns or attributes of the data.

The following listing contains the appropriate headers, followed by the delimited data:

/temp,100	! define temperature attribute
0.01	2992.53
1		2978.514207
2		2965.45541
4		2942.293214
6		2922.530649
8		2905.612202
10		2891.073456
20		2842.506984
40		2798.142793
60		2772.383729
80		2750.631843
100		2730.398114
200		2643.125432
400		2517.475394
600		2431.262053
800		2366.580897
1000	  2313.955396
2000	  2117.922594
4000	   1833.734397
6000	   1627.199197
8000	   1470.6806
10000	 1347.264527
20000	 964.0141125
40000	586.1405449
60000	392.186777
80000	277.2706253
100000	202.0025278
200000	46.87056342
400000	2.669209118
600000	0.156653269
800000	0.0137224
1000000	0.005591539

9.4.1.2. Input the Data into ANSYS

You use the EADD option of the TBFT command to input your data files. The experimental data must be read into ANSYS from a plain text file. The experimental data must be prepared as discussed in the previous section, and include both the header information and the formatted test data. Each file is viewed as a data set in ANSYS, and can be the complete set of experimental test data or a part of an experimental test data.

You can include several data sets, including tests performed at different temperatures. Although different data sets can have the same/or different temperature, each file can have only one temperature. Multiple temperature data sets must be input with multiple files.

Two types of data may be required for viscoelastic curve fitting, either shear modulus vs. time and/or bulk modulus vs. time. The data can also be a function of temperature, which can then be accounted for by either WLF or TN shift function. You can use the GUI or batch command to input your experimental data.

9.4.1.2.1. Batch
TBFT,EADD,ID,Option1,Option2,Option3,Option4
ID = index corresponding to the ANSYS material number
Option1 = experimental data type, either sdec or bdec
Option2 = name of file containing experimental data
Option3 = file name extension
Option4 = file directory

Note

"sdec" refers to the shear modulus as a function of time and “bdec” refers to the bulk modulus as a function of time.

9.4.1.2.2. GUI

Click on the Add Dataset button and type the filename into the area provided. You can also browse to a file in a specified location. Separate input is performed for each data type (Option1 = sdec, or bdec)

9.4.1.3. Select a Material Model Option

The TBFT command provides the curve fitting tools for viscoelastic material modeling. You represent your viscoelastic material behavior by a set of Prony-series expansions of shear and/or bulk moduli to characterize the shear and the bulk deformation of the material. You can also use the shift functions to characterize the material's temperature dependency.

First you define a case casename to associate the set of coefficients for the Prony expansions with the shift functions that characterize the material behavior. You can use the casename to define several different options that characterize the same test data, and then to compare the curve fitting results. To define the material model, you must first define a casename, and then specify the order of shear and bulk moduli and the type of the shift function(s), if required. You need to create an additional case to define different shear order, bulk order or shift options. Once you create a case, the number of shear terms, bulk terms, or shift options cannot be changed.

9.4.1.3.1. Batch

You define a viscoelastic material with the Prony series expansion by creating a case and setting the order of shear modulus, bulk modulus, and shift options. You create the case with the TBFT, FCASE command. The first line will include FCASE, ID, NEW. Then you specify the number of shear terms, bulk terms, and the shift function. The case is actually created only after the option is issued. The following syntax examples and argument descriptions illustrate the relationship of these activities.

TBFT,FCASE,ID,NEW,Option2,Option3
Option2 = PVHE (refers to Prony Viscohypoelastic)
Option3 = user specified casename
TBFT,FADD,ID,CATEGORY,Option2,Option3
CATEGORY = VISCO
Option2 = pshear or pbulk or shift
Option3 = dependent on Option2 as follows:

  • Option2 = pshear or bulk, Option3 = NONE, or 1 to N

  • Option2 = shift, Option3 = NONE or TN or WLF

TBFT,FCASE,ID,FINI
9.4.1.3.2. GUI

You can use the GUI to interactively navigate the tree structure of the curve fitting window. Each of the shear, bulk and shift options can be selected, and you can fill in the appropriate casename in a text box field. As you choose the options, the coefficient table is automatically created.

9.4.1.4. Initialize the Coefficients

The initial values you choose for your coefficients will determine the success of your viscoelastic curve fitting operations. A complete model has (2*NG+1)+(2* Nk +1)+ NS number of the coefficients. NG is the order of the Prony series expansion of the shear modulus. Nk is the order of the Prony series expansion of the bulk modulus. NS is the number of coefficients of the shift function (NS = 2 for the TN option and NS =3 for the WLF option). The coefficients are ordered as shear terms first, then the bulk terms, and then the shift function. The coefficients are ordered as α0G, α1G, τ1G, α2G, τ2G, … αnG, and τnG for shear modulus, and α0K, α1K, τ1K, α2K, τ2K, … αnK, and τnK for bulk modulus. A shift function must be used together with your shear and/or bulk modulus for temperature dependent experimental data. The default coefficient is set to “one,” but you should redefine the initial values before solving. When initializing your coefficients, you should set αnKs to 1 and τnKs to time values that are equally distributed in the log scale, spanning the data range from minimum to maximum time. For example, in the shear decay versus time data file, if the time values vary from 1 to 10000, and if you use 3rd order Prony, logical guesses for τ1G , τ2G and τ3G that span this range could be τ1G = 1, τ2G = 100, and τ3G = 10,000 (also (1), (10) and (10,000) or (1), (1,000) and (10,000), respectively). You should also note that αnG used in curve fitting is the square root of the αnG used in ANSYS TB tables. This was done to keep all αnG used in the TB tables positive.

A good guess for the WLF or TN parameter is the reference temperature you used during your partial solve for shear and bulk. The index of the reference/base temperatures is the sum of NumShear + NumBulk + 1.

You can also fix (hold constant) your coefficients. You specify a value for a coefficient and keep it unchanged, while allowing the other coefficients to be operated on. You can then release the fixed coefficient later if desired. By default, all of the coefficients are free to vary.

You estimate coefficients for temperature dependent data either by using the shift function, as described in the next section, or by turning the temperature dependency flag on and setting a reference temperature before you solve for the coefficients. You can set the reference temperature only to values specified using the /temp,value header line in the experimental data.

You can also specify tref = all and initiate multiple solves to evaluate coefficients at all available discrete temperature values. In this case, for data at three temperatures (t1, t2, and t3), a single TBFT, SOLVE entry will initiate three separate solve operations at those three discrete temperature values, and generate data at three corresponding discrete temperatures.

With temperature dependency on and the reference temperature set to a particular value, a TBFT, SOLVE command solves for coefficients only at that discrete temperature. To solve for coefficients at other temperatures, you set the reference temperature to each of the desired discrete temperature values and solve again.

You can initialize the coefficients before or after turning temperature dependency on. If the coefficients are initialized before turning temperature dependency on, the specified coefficients will become the initial coefficients for all future solves for that particular model. These coefficients are, however, overridden when temperature dependency is turned on and another set of values is specified at a discrete temperature value. The curve fitting tool looks for the initial coefficients at a particular temperature. If no coefficients are specified at discrete temperature values, the initial coefficients set before temperature dependency was turned on are used.

9.4.1.4.1. Batch
TBFT,SET,ID,CASE,Option2,Option3,Option4,Option5
Option2 = casename
Option3 = not applicable
Option4 = index of coefficient
Option5 = value of coefficient

For example:

TBFT,SET,1, myvisco1,,1,1.2	! Initialize the first coefficient to 1.2
TBFT,SET,1, myvisco1,,2,1.5	! Initialize the second coefficient to 1.5

Use the TBFT,FIX command to fix a coefficient to a value set by the TBFT, SET command or to release a previously fixed coefficient. By default, coefficients are not fixed.

TBFT,FIX,ID,CASE,Option2,Option3,Option4,Option5
Option2 = casename
Option3 = not applicable
Option4 = index of coefficient
Option5 = 1 to fix, 0 to vary

For example:

TBFT,FIX,1, myvisco1,,1,1.! Fix the first coefficient to a value set via TBFT,SET
TBFT,FIX,1, myvisco1,,2,1 ! Fix the second coefficient to a value set via TBFT,SET

Temperature dependency uses Option4, and references data files you entered with the appropriate “temp” header.

TBFT,SET,ID,VISCO,Option2,Option3,Option4,Option5
Option2 = model name. See Table 9.7: "Viscoelastic Data Types and Abbreviations" (above) for the models available.
Option3 = not applicable
Option4 = tdep or tref
Option5 = If Option 4 = tdep, then 1 turns temperature dependency on and 0 turns it off. If Option 4 = tref, this value will be a specific temperature, or “all.”

9.4.1.4.2. GUI

The coefficients table is automatically updated in the viscoelastic curve fitting GUI window when the order of shear modulus and/or bulk modulus and/or shift function are defined. Specify values for your coefficients in the coefficients table in the curve fitting GUI window, and check the appropriate boxes to fix them or allow them to vary.

9.4.1.5. Specify Control Parameters and Solve

Viscoelastic curve fitting is a nonlinear regression process. You can use either normalized or unnormalized error norm for the regression. The normalized error norm is the default regression option for calculating the error. This error norm generally gives better results than the unnormalized error norm, since the normalized error gives equal weight to all data points.

The solution control parameters for nonlinear regression include number of iterations, residual tolerance, and coefficient change tolerance. The solution stops when both residual tolerance of error norm and coefficient change tolerance is met or if the number of iterations criteria is met. The coefficients are updated when the solution is completed. In general it is very difficult to directly solve a complete case including coefficients of the shear modulus, the bulk modulus and the shift function. Three solver options including shear modulus only, bulk modulus, and shift function (or all) are provided to allow you to solve only Prony coefficients of the shear modulus, Prony coefficients of the bulk modulus, and coefficients of the shift function. In many cases, however, the coefficients of shift function can't be solved until the shear or bulk modulus are solved. It is normal for a solution to not converge at first, but to stop when the maximum iterations criteria is reached. At that point, you should examine the curve fitting results and the solution history before proceeding any further. You can then adjust parameters and resolve the problem whenever it is necessary.

9.4.1.5.1. Temperature Dependent Solves Using the Shift Function

For viscoelastic curve fitting using the shift function, follow these three steps to perform the regression:

  1. Solve the shear coefficients (if there are any):

    Set the partial solve option using TBFT, SET,,,,,COMP, PSHEAR.

    Set the reference temperature at which your partial solution will be performed using TBFT, SET,,,,,TREF, TX. Only data at temperature TX will be used to estimate shear coefficients

    Solve

  2. Solve the bulk coefficients (if there are any):

    Set the partial solve option using TBFT, SET,,,,,COMP, PBULK.

    Set the reference temperature at which your partial solution will be performed using TBFT, SET,,,,,TREF, TX. The reference temperature should be the same for both shear and bulk. Only data at temperature TX will be used to estimate shear coefficients

    TBFT,SOLVE

  3. Solve the shift function (or all) coefficients:

    Set the partial solve option using TBFT, SET,,,,,COMP, PVHE.

    TREF is not used when you solve for all parameters. All temperature data is used to estimate the coefficients.

    TBFT,SOLVE

Note

For GUI operations, when only the shear and bulk buttons are checked, only your shear coefficients are solved. To solve for both shear and bulk, you must check all three buttons.

9.4.1.5.2. Temperature Dependent Solves Without the Shift Function

If you do not use the shift function, discrete data must be supplied to account for temperature dependency. Follow these steps to perform the regression:

  1. Turn the temperature dependency flag on using the command TBFT, SET,,,,,TDEP,1.

  2. Solve the shear coefficients (if there are any):

    Set the partial solve option using TBFT, SET,,,,,COMP, PSHEAR.

    Set the reference temperature at which your partial solution will be performed using TBFT, SET,,,,,TREF, TX. Only data at temperature TX will be used to estimate shear coefficients

    Initialize the coefficients.

    TBFT,SOLVE

    Repeat the above steps for all temperatures.

  3. Solve the bulk coefficients (if there are any):

    Set the partial solve option using TBFT, SET,,,,,COMP, PBULK.

    Set the reference temperature at which your partial solution will be performed using TBFT, SET,,,,,TREF, TX. Only data at temperature TX will be used to estimate the shear coefficients.

    Initialize the coefficients.

    TBFT,SOLVE

    Repeat the above steps for all temperatures.

Alternatively, you can solve for both shear and bulk data at the same time.

  1. Turn the temperature dependency flag on using the command TBFT, SET,,,,,TDEP,1.

  2. Solve for ALL coefficients.

    Set the partial solve option using TBFT, SET,,,,,COMP, PVHE.

    Set the reference temperature at which your partial solution will be performed using TBFT, SET,,,,,TREF, TX. Only data at temperature TX will be used to estimate shear and bulk coefficients

    Initialize the coefficients.

    TBFT,SOLVE

    Repeat the above steps for all of the desired temperatures.

9.4.1.5.3. Batch

Solution option command is:

TBFT,SET,ID,CASE,Option2,Option3,Option4,Option5
Option2 = casename
Option3 = not applicable
Option4 = comp
Option5 = pshea (for Shear only) or pbulk (for bulk only)

The SOLVE option allows you to specify procedure types, tolerances, and number of iterations.

TBFT,SOLVE,ID,CASE,Option2,Option3,Option4, ..., Option7
Option2 = visco function name (See Table 9.7: "Viscoelastic Data Types and Abbreviations".)
Option3 = not applicable
Option4 = curve fitting procedure: 0 = unnormalized least squares, 1 = normalized least squares (default)
Option5 = maximum number of iterations
Option6 = tolerance of residual changes
Option7 = tolerance of coefficient changes

Other solving parameters are available. See the TBFT command for details.

9.4.1.5.4. GUI

The GUI provides access for you to choose your error norm, solution control parameters, and solver options. Once you complete these specifications and SOLVE, you can go back and modify your parameters as necessary to obtain a good curve fit.

9.4.1.6. Plot the Experimental Data and Analyze

The best way to verify a good fit between your experimental data and the provided curves is to plot your curves and visually inspect them.

9.4.1.6.1. Batch

You enter the plotting parameters from the command line as follows:

TBFT,PLOT,ID,ExpIndex,CASE,Option3
Option3 = casename
9.4.1.6.2. GUI

The Graph button provides direct means to plot the data.

9.4.1.6.3. Analyze Your Curves for Proper Fit

All of your data is plotted as a function of column 1 for the X-axis. Columns 2 and above are each plotted in a separate graph, in a separate window, with the corresponding fitted data as a function of column 1. By default, all the shear data sets and/or the bulk data sets as well as the corresponding fitting results are plotted in two separated graphs in a GUI window. To view a specific data and its corresponding fitting result, you click the right mouse button (RMB) on the specific data set, and pick a desired option. You can also use the right mouse button to turn the legend and/or axis on and off. The scales can be also switched between log scale and regular scale. With the middle button, you can eliminate certain curves from each window's display in order to see the remaining data more clearly.

Right mouse button (RMB) functions allow you to Zoom, Fit, Save Plot to File, View/Hide Legend, and View/Hide Grid. Two or more fitted functions can also be compared in the same plot. RMB also allows you to see the number of points used to generate the plot, and also change the minimum X value and the maximum X value in a plot. You can use the middle-mouse button (context sensitive) to hide a particular curve within a graph.

Reviewing your curve fitting result graphically is the only way to ensure a good fit. After plotting the curve fitting results, you can then review multiple plots and also verify the error norm/residual value that is printed in the curve fitting GUI window. This information helps you determine the quality of a curve fit and decide whether to accept the results. If not, you may want to go back to step 3, solve again by changing the order of the Prony series, redefining certain initial values of the coefficients, and possibly other control parameters. You can continue to use your original data, repeating step 3 through step 6 until you are satisfied with the solution.

9.4.1.7. Write Data to TB Command

After a successful curve fitting, the last step is to write the curve fitting data as ANSYS Prony data table (the TB,Prony command) to the ANSYS database. The GUI or the command line converts the coefficients to the appropriate form before writing TB commands.

The curve fitting tool calculates coefficients that differ from those shown in the TB,Prony table. The following equations are used to convert the calculated coefficients to the TB,Prony format:

Curve Fitted Equation:

ANSYS Prony Equation:

Ai and βi (i = 1 to N) are the Prony coefficients entered in the TB,Prony command. A0 is not entered in the Prony table.

Conversion Procedure:

9.4.1.7.1. Batch
TBFT,FSET,ID,Option2,Option3
Option2 = case
Option3 = casename
9.4.1.7.2. GUI

Click the Write to Database button and the fitted coefficients are automatically written to the ANSYS material database according Prony data table. Please note that the coefficients you see in the curve fitting module are different from those in the TB tables. The τ values remain the same, but the α values are different. The α values shown in ANSYS are the square of the α values derived during curve fitting. They are also normalized to make α at time 0 = 1.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.3. Creep Material Curve Fitting 		Up / Home Next
Chapter 10. Gasket Joints Simulation


Chapter 10. Gasket Joints Simulation

Gasket joints are essential components in most structural assemblies. Gaskets as sealing components between structural components are usually very thin and made of various materials, such as steel, rubber and composites.

From a mechanics perspective, gaskets act to transfer force between components. The primary deformation of a gasket is usually confined to one direction, namely, through thickness. The stiffness contributions from membrane (in plane) and transverse shear are much smaller in general compared to the through thickness. The stiffness contribution therefore is assumed to be negligible, although the TB command provides options to account for transverse shear.

A typical example of a gasket joint is in engine assemblies. A thorough understanding of the gasket joint is critical in engine design and operation. This includes an understanding of the behavior of gasket joint components themselves in an engine operation, and the interaction of the gasket joint with other components.

Elements within the ANSYS family of interface element are used to model gaskets. By default, these elements are designed to account for gasket through-thickness behavior. However, you can account for transverse shear behavior by using an element Keyopt setting and transverse shear option of the gasket material data table. See the TB command documentation and the specific element documentation for more information.

The following topics concerning gasket joint simulation are available:

  • Performing a Gasket Joint Analysis
  • Finite Element Formulation
  • ANSYS Family of Interface Elements
  • Material Definition
  • Meshing Interface Elements
  • Solution Procedure and Result Output
  • Reviewing the Results
  • Sample Gasket Element Verification Analysis (Command or Batch Method)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.4. Viscoelastic Material Curve Fitting 		Up / Home Next
10.1. Performing a Gasket Joint Analysis


10.1. Performing a Gasket Joint Analysis

A gasket joint analysis involves the same overall steps that are involved in any ANSYS nonlinear analysis procedure. Most of these steps however warrant special considerations for a gasket joint analysis. Presented below are the overall steps with the special considerations noted, along with links to applicable sections where more detailed information is included on that topic.

  1. Build or import the model. There are no special considerations for building or importing the model for a gasket joint analysis. You perform this step as you would in any typical ANSYS analysis. See Building the Model in the Basic Analysis Guide. For further details on building the model, see the Modeling and Meshing Guide.

  2. Define element type. To properly simulate gasket joints, you must define structural element types and corresponding interface element types. See ANSYS Family of Interface Elements in this chapter for more details on this topic, and in particular, see Element Selection for a table of corresponding structural and interface elements.

  3. Define material. Use TB,GASKET to define the gasket joint material. You can use TB,GASKET to define four types of data input: general parameters, transverse shear stiffness, compression (loading), and tension (unloading). You specify the type using TBOPT. You then input the sets of data using the TBDATA and TBPT commands, as applicable. You can also plot most of the gasket data types using the TBPLOT command. See Material Definition in this chapter for more details on this topic.

  4. Mesh the model. Use the AMESH or VMESH commands to mesh the structural element types, and use the IMESH command to mesh the gasket layer. Special restrictions apply to the IMESH command in terms of matching the source and target. Also, the order in which you execute these commands is critical. You can also mesh interface layers using the VDRAG command, and can generate interface elements directly using the EGEN command. Each of these commands involve special considerations for interface elements. See Meshing Interface Elements in this chapter for more details on this topic.

  5. Solve. There are special solving considerations when you perform a gasket joint analysis. These are primarily concerned with the gasket element stiffness loss, and the gasket element's use with contact elements. See Solution Procedure and Result Output in this chapter for more details on this topic.

  6. Review Results. You can print or plot any of four gasket output items: stresses (also pressure), total closure, total inelastic closure, and thermal closure, using the PRESOL, PRNSOL, PLESOL, PLNSOL, or ESOL commands. You can also use these items with the *GET command in POST1. See Reviewing the Results in this chapter for more details on this topic.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 10. Gasket Joints Simulation 		Up / Home Next
10.2. Finite Element Formulation


10.2. Finite Element Formulation

The primary deformation behavior of gasket joints is through-thickness deformation. It is therefore difficult to use solid continuum elements to effectively model gasket joints. The interface elements, which are based on the relative deformation of the top and bottom surfaces, offer a direct means to quantify through-thickness deformation of the gasket joints. Thus the pressure versus closure behavior can be directly applied to characterize the gasket material.

The element formulation is based on a corotational procedure. Refer to Gasket Material in the Theory Reference for ANSYS and ANSYS Workbench for further details.

10.2.1. Element Topologies

An interface element is composed of bottom and top surfaces. ANSYS provides several types of interface elements for the analysis of the gasket joints. Figure 10.1: "Element Topology of a 3-D 8-Node Interface Element" shows the geometry of a 3-D 8-node interface element available in ANSYS. An element midplane is created by averaging the coordinates of node pairs from the bottom and top surfaces of the elements. The numerical integration of interface elements is performed in the element midplane. The Gauss integration scheme is used for the numerical integration.

Figure 10.1 Element Topology of a 3-D 8-Node Interface Element

10.2.2. Thickness Direction

The thickness direction is defined as the normal direction of the mid plane of the element at the integration point, and computed inside of ANSYS. The positive direction is defined by the right-hand rule going around the nodes in the midplane. The through thickness deformation is quantified by the relative deformation of bottom and top surfaces along the thickness direction. The thickness direction is then noted as the X-direction according to the ANSYS notation convention. No ESYS coordinate system is allowed for the elements.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.1. Performing a Gasket Joint Analysis 		Up / Home Next
10.3. ANSYS Family of Interface Elements


10.3. ANSYS Family of Interface Elements

ANSYS offers 4 types of elements to simulate gaskets. They are referred to as interface elements and are summarized as follows:

  • INTER192 - 2-D, 4-node, linear element.

  • INTER193 - 2-D, 6-node, quadratic element.

  • INTER194 - 3-D, 16-node, quadratic element.

  • INTER195 - 3-D, 8-node, linear element

The 2-D elements, INTER192 and INTER193, use a KEYOPT to define various stress state options.

10.3.1. Element Selection

The simulation of an entire gasket joint assembly, consisting of the gasket and the structural elements on either side of the gasket, involves choosing interface elements and structural elements that have the same characteristics. Use the following table as a guideline for choosing interface and structural elements that have the same characteristics:

For elements with these characteristics: | ... use this interface element: | ... with one of these structural elements:
2-D, linear | INTER192 | PLANE42, VISCO106, PLANE182
2-D, quadratic | INTER193 | PLANE82, VISCO88, PLANE183
3-D, quadratic | INTER194 | VISCO89, SOLID92, SOLID95, SOLID96, SOLID186, SOLID187
3-D, linear | INTER195 | SOLID45, SOLID46, SOLID62, SOLID65, SOLID185, SOLSH190
Proper element type is chosen based on the stress states of interest and structural element types used.

Element selection is done by the element type command, ET, for example,

ET,1,195

defines element type 1 as element INTER195.

10.3.2. Applications

In general, linear and quadratic elements are chosen for the following reasons:

  • Fewer nodes produce a smaller model that runs faster with less computer resources.

  • Quadratic elements are necessary if stress gradients are present in surrounding bodies.

  • If elements are to follow a curved boundary closely, quadratic elements are ideal because their edges are arcs.

  • With a free mesh (tetrahedral elements) the mid-node (quadratic) is required for an accurate solution.

When a surrounding structure can be considered as a 2-D structure, for example, plane stress / strain / axisymmetric, 2-D elements are the ideal choice. A good example of the use of 2-D element INTER192 or INTER193 is the gasket between the "flanged" ends of pipe line. In this case the gasket properties do not vary significantly with geometric location.

For a 3-D structure such as an internal combustion engine, 3-D element INTER194 or INTER195 is a good choice for simulating the gasket between the cylinder head and block. In this case there is no "nice" geometry because the gasket must fill in between two complicated surfaces, in between cylinders, and around other holes and passages. Also the gasket properties can vary in different zones. For example in a cylinder head, there is usually a much stiffer zone immediately around the cylinder to contain combustion pressure (called the "fire ring"). The remainder of the gasket is much softer.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.2. Finite Element Formulation 		Up / Home Next
10.4. Material Definition


10.4. Material Definition

10.4.1. Material Characteristics

The TB command option GASKET allows gasket joints to be simulated with the ANSYS interface elements, in which there is only one element through the thickness, and the through thickness deformation is decoupled from the in plane deformation. The gasket material is usually under compression. The material under compression is highly nonlinear. The gasket material also exhibits quite complicated unloading behavior when compression is released. The GASKET option allows you to directly input data for the experimentally measured complex pressure closure curve for the material model (compression curve), and also for several unloading pressure closure curves. When no unloading curves are defined, the material behavior follows the compression curve while it is unloaded.

As it is a joint component, there often exists an initial gap or void. On the other hand, from a modeling point of view, it is a lot easier to fill the spaces or volumes between the adjacent components with the interface meshes, and then set an initial gap for the gasket material to account for it. As long as the closure is less than the initial gap, no pressure is acted on the gaskets. Also, when it is under tension loading, there will be an open gap. Therefore, gasket joints generally do not have tension pressure. A stress cap is used to restrict tension pressure in the gasket joint elements.

The GASKET material option must be used with interface elements INTER192, INTER193, INTER194, and INTER195.

Figure 10.2: "Pressure vs. Closure Behavior of a Gasket Material" shows the experimental pressure vs. closure (relative displacement of top and bottom gasket surfaces) data for a graphite composite gasket material. The sample was unloaded and reloaded 5 times along the loading path and then unloaded at the end of the test to determine the materials unloading stiffness.

Figure 10.2 Pressure vs. Closure Behavior of a Gasket Material

10.4.2. Input Format

You input gasket material data using TB,GASKET. The material data consists of 2 main parts: general parameters and pressure closure behaviors. The general parameters define initial gasket gap, stable stiffness for numerical stabilization, and stress cap for a gasket in tension. The pressure closure behavior includes gasket compression (loading) and tension data (unloading).

The TB command specification for defining a gasket material is:

TB,GASKET,MAT,NTEMP,NPTS,TBOPT

where TBOPT = one of the following types of gasket material data:

  • PARA: gasket material general parameters.

  • COMP: gasket compression data.

  • LUNL: gasket linear unloading data.

  • NUNL: gasket nonlinear unloading data.

  • TSS: gasket transverse shear stiffness data.

You input the general parameters using the TBDATA command, then input the compression and unloading data using the TBPT command.

Presented in the following sections are examples of inputs for the various types of gasket data.

10.4.2.1. Define General Parameters

(TBOPT = PARA)

The gasket material general parameters include the initial gap, stable stiffness and the maximum tension stress cap. These parameters are defined as C1, C2, and C3 in the following example:

TB,GASKET,MAT,NTEMP,NPTS,PARA
TBDATA,1,C1,C2,C3

Refer to Gasket Materials in the Elements Reference for further details on these parameters.

10.4.2.2. Define Compression Load Closure Curve

(TBOPT = COMP)

The compression pressure closure curve gasket material definition option is defined as follows:

TB,GASKET,MAT,NTEMP,NPTS,COMP
TBPT,,x1,y1
TBPT,,x2,y2

TBPT,,xi,yi

where: xi, yi are pairs of closure and pressure values.

The following input listing is an example defining a compressive pressure vs. closure behavior of a gasket joint material with 10 data points.

TB,GASKET,1, ,10,COMP               ! define compression data
TBPT,, 0.20000E-04, 0.54000E+08
TBPT,, 0.40000E-04, 0.15150E+09
TBPT,, 0.60000E-04, 0.24900E+09
TBPT,, 0.78000E-04, 0.30000E+09
TBPT,, 0.12000E-03, 0.37200E+09
TBPT,, 0.19000E-03, 0.47400E+09
TBPT,, 0.28600E-03, 0.58500E+09
TBPT,, 0.35800E-03, 0.67350E+09
TBPT,, 0.43200E-03, 0.78000E+09
TBPT,, 0.50500E-03, 0.89550E+09

10.4.2.3. Define Linear Unloading Data

(TBOPT = LUNL)

The linear unloading gasket material definition option is a simple way to define the gasket unloading behavior. Several unloading slopes can be defined to accommodate the comprehensive unloading behavior as follows:

TB,GASKET,MAT,NTEMP,NPTS,LUNL
TBPT,,x1,y1
TBPT,,x2,y2

TBPT,,xi,yi

where: NPTS is the number of unloading points; xi is the closure where unloading started, and yi is unloading slope.

The following input listing is an example showing the linear unloading behavior of a gasket joint material with 3 unloading points

TB,GASKET,1, ,3,LUNL     ! define linear unloading data
TBPT,, 0.78000E-04, 0.25100E+12
TBPT,, 0.28600E-03, 0.25500E+12
TBPT,, 0.50500E-03, 0.10600E+13

A sample plot representing linear unloading curves is shown in Figure 10.3: "Gasket Material Input: Linear Unloading Curves".

Figure 10.3 Gasket Material Input: Linear Unloading Curves

10.4.2.4. Define Nonlinear Unloading Data

(TBOPT = NUNL)

The nonlinear unloading gasket material definition option provides a more comprehensive way of defining gasket material unloading behavior. The input listing format is:

TB,GASKET,MAT,NTEMP,NPTS,NUNL
TBPT,,x1,y1
TBPT,,x2,y2

TBPT,,xi,yi

where: xi, yi are pairs of closure and pressure values. Several unloading curves can be defined.

An example showing the nonlinear unloading behavior of a gasket joint material with 3 unloading points is as follows:

TB,GASKET,1, ,5,NUNL      ! define first nonlinear unloading data
TBPT,, 0.78000E-04, 0.30000E+09
TBPT,, 0.66900E-04, 0.24750E+08
TBPT,, 0.63100E-04, 0.82500E+07
TBPT,, 0.54100E-04, 0.15000E+07
TBPT,, 0.00000E+00, 0.00000E+00

TB,GASKET,1, ,5,NUNL                 ! define second nonlinear unloading data
TBPT,, 0.28600E-03, 0.58500E+09
TBPT,, 0.26400E-03, 0.22350E+08
TBPT,, 0.26100E-03, 0.90000E+07
TBPT,, 0.25600E-03, 0.15000E+07
TBPT,, 0.00000E+00, 0.00000E+00

TB,GASKET,1, ,5,NUNL                 ! define third nonlinear unloading data
TBPT,, 0.50500E-03, 0.89550E+09
TBPT,, 0.47800E-03, 0.33900E+08
TBPT,, 0.47500E-03, 0.13500E+08
TBPT,, 0.46800E-03, 0.15000E+07
TBPT,, 0.00000E+00, 0.00000E+00

A sample plot representing nonlinear unloading curves is shown in Figure 10.4: "Gasket Material Input: Nonlinear Unloading Curves".

Figure 10.4 Gasket Material Input: Nonlinear Unloading Curves

10.4.3. Temperature Dependencies

Inputting temperature dependent gasket material properties follows the standard ANSYS procedure for inputting temperature dependent data for other materials. The following format shows this procedure.

TB,GASKET,MAT,NTEMP,NPTS,LUNL
TBTEMP,T1
TBPT,,x1,y1
TBPT,,x2,y2

TBTEMP,T2
TBPT,,x1,y1
TBPT,,x2,y2

ANSYS will automatically interpolate the temperature data to the material points using linear interpolation. When the temperature is out of the specified range, the closest temperature point is used.

The following is an example input listing defining a compressive pressure vs. closure behavior of a gasket joint material with 5 temperature points and up to 10 data points for each temperature point, and 3 nonlinear unloading curves with each curve having 5 temperatures and 5 data points.

TB,GASKET,1, 5,10,COMP      ! define compression data with 5 temperatures
TBTEMP,   100.000
TBPT,, 0.20000E-04, 0.54000E+08
TBPT,, 0.40000E-04, 0.15150E+09
TBPT,, 0.60000E-04, 0.24900E+09
TBPT,, 0.78000E-04, 0.30000E+09
TBPT,, 0.12000E-03, 0.37200E+09
TBPT,, 0.19000E-03, 0.47400E+09
TBPT,, 0.28600E-03, 0.58500E+09
TBPT,, 0.35800E-03, 0.67350E+09
TBPT,, 0.43200E-03, 0.78000E+09
TBPT,, 0.50500E-03, 0.89550E+09

TBTEMP,   200.000
TBPT,, 0.20000E-04, 0.18000E+08
TBPT,, 0.40000E-04, 0.50500E+08
TBPT,, 0.60000E-04, 0.83000E+08
TBPT,, 0.78000E-04, 0.10000E+09
TBPT,, 0.12000E-03, 0.12400E+09
TBPT,, 0.19000E-03, 0.15800E+09
TBPT,, 0.28600E-03, 0.19500E+09
TBPT,, 0.35800E-03, 0.22450E+09
TBPT,, 0.43200E-03, 0.26000E+09
TBPT,, 0.50500E-03, 0.29850E+09

TBTEMP,   300.000
TBPT,, 0.20000E-04, 0.90000E+07
TBPT,, 0.40000E-04, 0.25250E+08
TBPT,, 0.60000E-04, 0.41500E+08
TBPT,, 0.78000E-04, 0.50000E+08
TBPT,, 0.12000E-03, 0.62000E+08
TBPT,, 0.19000E-03, 0.79000E+08
TBPT,, 0.28600E-03, 0.97500E+08
TBPT,, 0.35800E-03, 0.11225E+09
TBPT,, 0.43200E-03, 0.13000E+09
TBPT,, 0.50500E-03, 0.14925E+09

TBTEMP,   400.000
TBPT,, 0.20000E-04, 0.36000E+07
TBPT,, 0.40000E-04, 0.10100E+08
TBPT,, 0.60000E-04, 0.16600E+08
TBPT,, 0.78000E-04, 0.20000E+08
TBPT,, 0.12000E-03, 0.24800E+08
TBPT,, 0.19000E-03, 0.31600E+08
TBPT,, 0.28600E-03, 0.39000E+08
TBPT,, 0.35800E-03, 0.44900E+08
TBPT,, 0.43200E-03, 0.52000E+08
TBPT,, 0.50500E-03, 0.59700E+08

TBTEMP,   500.000
TBPT,, 0.20000E-04, 0.18000E+07
TBPT,, 0.40000E-04, 0.50500E+07
TBPT,, 0.60000E-04, 0.83000E+07
TBPT,, 0.78000E-04, 0.10000E+08
TBPT,, 0.12000E-03, 0.12400E+08
TBPT,, 0.19000E-03, 0.15800E+08
TBPT,, 0.28600E-03, 0.19500E+08
TBPT,, 0.35800E-03, 0.22450E+08
TBPT,, 0.43200E-03, 0.26000E+08
TBPT,, 0.50500E-03, 0.29850E+08

TB,GASKET,1, 5,5,NUNL  ! define first nonlinear unloading data with 5 temperatures
TBTEMP,   100.000
TBPT,, 0.78000E-04, 0.30000E+09
TBPT,, 0.66900E-04, 0.24750E+08
TBPT,, 0.63100E-04, 0.82500E+07
TBPT,, 0.54100E-04, 0.15000E+07
TBPT,, 0.00000E+00, 0.00000E+00

TBTEMP,   200.000
TBPT,, 0.78000E-04, 0.10000E+09
TBPT,, 0.66900E-04, 0.82500E+07
TBPT,, 0.63100E-04, 0.27500E+07
TBPT,, 0.54100E-04, 0.50000E+06
TBPT,, 0.00000E+00, 0.00000E+00

TBTEMP,   300.000
TBPT,, 0.78000E-04, 0.50000E+08
TBPT,, 0.66900E-04, 0.41250E+07
TBPT,, 0.63100E-04, 0.13750E+07
TBPT,, 0.54100E-04, 0.25000E+06
TBPT,, 0.00000E+00, 0.00000E+00

TBTEMP,   400.000
TBPT,, 0.78000E-04, 0.20000E+08
TBPT,, 0.66900E-04, 0.16500E+07
TBPT,, 0.63100E-04, 0.55000E+06
TBPT,, 0.54100E-04, 0.10000E+06
TBPT,, 0.00000E+00, 0.00000E+00

TBTEMP,   500.000
TBPT,, 0.78000E-04, 0.10000E+08
TBPT,, 0.66900E-04, 0.82500E+06
TBPT,, 0.63100E-04, 0.27500E+06
TBPT,, 0.54100E-04, 0.50000E+05
TBPT,, 0.00000E+00, 0.00000E+00

TB,GASKET,1, 5,5,NUNL  ! define second nonlinear unloading data with 5 temperatures
TBTEMP,   100.000
TBPT,, 0.28600E-03, 0.58500E+09
TBPT,, 0.26400E-03, 0.22350E+08
TBPT,, 0.26100E-03, 0.90000E+07
TBPT,, 0.25600E-03, 0.15000E+07
TBPT,, 0.00000E+00, 0.00000E+00

TBTEMP,   200.000
TBPT,, 0.28600E-03, 0.19500E+09
TBPT,, 0.26400E-03, 0.74500E+07
TBPT,, 0.26100E-03, 0.30000E+07
TBPT,, 0.25600E-03, 0.50000E+06
TBPT,, 0.00000E+00, 0.00000E+00

TBTEMP,   300.000
TBPT,, 0.28600E-03, 0.97500E+08
TBPT,, 0.26400E-03, 0.37250E+07
TBPT,, 0.26100E-03, 0.15000E+07
TBPT,, 0.25600E-03, 0.25000E+06
TBPT,, 0.00000E+00, 0.00000E+00

TBTEMP,   400.000
TBPT,, 0.28600E-03, 0.39000E+08
TBPT,, 0.26400E-03, 0.14900E+07
TBPT,, 0.26100E-03, 0.60000E+06
TBPT,, 0.25600E-03, 0.10000E+06
TBPT,, 0.00000E+00, 0.00000E+00

TBTEMP,   500.000
TBPT,, 0.28600E-03, 0.19500E+08
TBPT,, 0.26400E-03, 0.74500E+06
TBPT,, 0.26100E-03, 0.30000E+06
TBPT,, 0.25600E-03, 0.50000E+05
TBPT,, 0.00000E+00, 0.00000E+00

TB,GASKET,1, 5,5,NUNL  ! define third nonlinear unloading data with 5 temperatures
TBTEMP,   100.000
TBPT,, 0.50500E-03, 0.89550E+09
TBPT,, 0.47800E-03, 0.33900E+08
TBPT,, 0.47500E-03, 0.13500E+08
TBPT,, 0.46800E-03, 0.15000E+07
TBPT,, 0.00000E+00, 0.00000E+00

TBTEMP,   200.000
TBPT,, 0.50500E-03, 0.29850E+09
TBPT,, 0.47800E-03, 0.11300E+08
TBPT,, 0.47500E-03, 0.45000E+07
TBPT,, 0.46800E-03, 0.50000E+06
TBPT,, 0.00000E+00, 0.00000E+00

TBTEMP,   300.000
TBPT,, 0.50500E-03, 0.14925E+09
TBPT,, 0.47800E-03, 0.56500E+07
TBPT,, 0.47500E-03, 0.22500E+07
TBPT,, 0.46800E-03, 0.25000E+06
TBPT,, 0.00000E+00, 0.00000E+00

TBTEMP,   400.000
TBPT,, 0.50500E-03, 0.59700E+08
TBPT,, 0.47800E-03, 0.22600E+07
TBPT,, 0.47500E-03, 0.90000E+06
TBPT,, 0.46800E-03, 0.10000E+06
TBPT,, 0.00000E+00, 0.00000E+00

TBTEMP,   500.000
TBPT,, 0.50500E-03, 0.29850E+08
TBPT,, 0.47800E-03, 0.11300E+07
TBPT,, 0.47500E-03, 0.45000E+06
TBPT,, 0.46800E-03, 0.50000E+05
TBPT,, 0.00000E+00, 0.00000E+00

Sample plots of compression and unloading curves for gasket data to two temperatures is shown in Figure 10.5: "Gasket Compression and Unloading Curves at Two Temperatures".

Figure 10.5 Gasket Compression and Unloading Curves at Two Temperatures

10.4.4. Plotting Gasket Data

You can plot gasket compression, linear unloading and nonlinear unloading data using the TBPLOT command. The use of this command to plot gasket data is as follows:

TBPLOT,GASKET,MAT,TBOPT,TEMP,SEGN

where TBOPT specifies the gasket material option to be plotted, TEMP specifies plotting either all of the temperature dependent data curves, or a curve at a specified temperature, and SEGN specifies whether or not to add the segment numbers to the curves.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.3. ANSYS Family of Interface Elements 		Up / Home Next
10.5. Meshing Interface Elements


10.5. Meshing Interface Elements

Three options are available for meshing interface elements:

  • For meshing gasket layers as an area or volume, use the IMESH command.

  • For meshing gasket layers by dragging an area mesh along a path, use the VDRAG command.

  • For generating interface elements directly from a pattern, use the EGEN command.

There are special requirements for meshing interface elements. See Generating an Interface Mesh for Gasket Simulations in the Modeling and Meshing Guide for further details on this type of meshing.

The following example input listing shows the use of the IMESH command.

/batch,list
/title, Test to demonstrate the use of IMESH command
/com, ************************************************************
/com, *                                                          *
/com, * This is a simple test to demonstrate the use of IMESH    *
/com, * command to generate gasket elements. The model consists  *
/com, * of two blocks with gasket elements (INTER194) defined    *
/com, * between them.                                            *
/com, *                                                          *
/com, ************************************************************

/prep7

!*+++++++++++++++++++++++++++++++++++++++
!* Define Element Types
!*+++++++++++++++++++++++++++++++++++++++
et,1,187                ! Solid tetrahedral element
et,2,194	        ! Interface layer element

!*+++++++++++++++++++++++++++++++++++++++
!* Define Parameters
!*+++++++++++++++++++++++++++++++++++++++
EH=1.0
IH=0.1
DX=0
DY=0
DZ=IH
Z1=EH
Z2=Z1+IH
Z3=Z2+EH

!*+++++++++++++++++++++++++++++++++++++++
!* Generate Keypoints
!*+++++++++++++++++++++++++++++++++++++++
k,1,0,0
k,2,1,0
k,3,1,1
k,4,0,1
k,5,0,0,z1
k,6,1,0,z1
k,7,1,1,z1
k,8,0,1,z1
k,9,0,0,z2
k,10,1,0,z2
k,11,1,1,z2
k,12,0,1,z2
k,13,0,0,z3
k,14,1,0,z3
k,15,1,1,z3
k,16,0,1,z3

!*+++++++++++++++++++++++++++++++++++++++
!* Generate First Volume
!*+++++++++++++++++++++++++++++++++++++++
v,1,2,3,4,5,6,7,8

!*+++++++++++++++++++++++++++++++++++++++
!* Generate Second Volume
!*+++++++++++++++++++++++++++++++++++++++
v,9,10,11,12,13,14,15,16

!*+++++++++++++++++++++++++++++++++++++++
!* Generate Middle Volume
!*+++++++++++++++++++++++++++++++++++++++
v,5,6,7,8,9,10,11,12

!*+++++++++++++++++++++++++++++++++++++++
!* Define Element Size
!*+++++++++++++++++++++++++++++++++++++++
esize,,4	             !

!*+++++++++++++++++++++++++++++++++++++++
!* Mesh First Volume with Element Type 1
!*+++++++++++++++++++++++++++++++++++++++
type,1
mat,1
vmesh,1

!*++++++++++++++++++++++++++++++++++++++++++++
!* Generate Interface Layer with IMESH command
!* using Element Type 2 (INTER194)
!*++++++++++++++++++++++++++++++++++++++++++++
type,2
mat,2
imesh,area,6,7,0,DX,DY,DZ,TOL

!*+++++++++++++++++++++++++++++++++++++++
!* Mesh Second Volume with Element Type 1
!*+++++++++++++++++++++++++++++++++++++++
type,1
mat,1
vmesh,2

!*+++++++++++++++++++++++++++++++++++++++
!* Plot Elements
!*+++++++++++++++++++++++++++++++++++++++
/view,1  ,1,1,1
eplot
finish

Figure 10.6: "Gasket Finite Element Model Geometry" shows the geometry of the finite element model, a thin interface layer between two block volumes. Figure 10.7: "Whole Model Mesh with Brick Element" shows the mesh with solid brick element, SOLID185, in top and bottom of block volumes, and Figure 10.8: "Interface Layer Mesh" shows the mesh of interface element, INTER195, in the interface layer between the two blocks. Figure 10.9: "Whole Model Tetrahedral Mesh" shows the mesh with solid tetrahedral element, SOLID187, in top and bottom of block volumes, and Figure 10.10: "Interface Layer Mesh with Degenerated Wedge Elements" shows the mesh of interface element (degenerated wedge), INTER194, in the interface layer between the two blocks.

Figure 10.6 Gasket Finite Element Model Geometry

Figure 10.7 Whole Model Mesh with Brick Element

Figure 10.8 Interface Layer Mesh

Figure 10.9 Whole Model Tetrahedral Mesh

Figure 10.10 Interface Layer Mesh with Degenerated Wedge Elements

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.4. Material Definition 		Up / Home Next
10.6. Solution Procedure and Result Output


10.6. Solution Procedure and Result Output

Gasket material behavior is highly nonlinear. The full Newton-Raphson solution procedure (the standard ANSYS nonlinear method), is the default method for performing this type of analysis. Other solution procedures for gasket solutions are not recommended. Like most nonlinear problems, convergence behavior of a gasket joint analysis depends strongly on the particular problem to be solved. ANSYS has provided a comprehensive solution hierarchy, therefore it is always recommended that you use the ANSYS default solution options, unless you are sure about the benefits of the changes.

Some special considerations for solving a gasket problem are as follows:

  • By default a zero stress cap has been enforced on the gasket. When the element goes into tension, it will lose its stiffness and may cause numerical instability.

  • It is always a good practice to place the lower and upper limit on the time step size using the DELTIM or NSUBST commands, and to start with a small time step, then subsequently ramp it up. This ensures that all of the modes and behaviors of interest will be accurately included and that the problem is solved effectively.

  • Gasket elements must be configured to support transverse shear. Even if you do so, errors can result, especially for contact and other nonlinear applications. You should not use gasket elements with contact elements unless you configure the elements accordingly, and ascertain the mesh compatibility of the gasket layer and its mating components. If you must use contact elements with gaskets elements, setting nodal detection normal to target is highly recommended (see Selecting Location of Contact Detection).

Like any other type of nonlinear analysis, the ANSYS program performs a series of linear approximations with corrections. A convergence failure can indicate a physical instability in the structure, or it can merely be the result of some numerical problem in the finite element model. The program printout gives you continuous feedback on the progress of these approximations and corrections. (The printout either appears directly on your screen, is captured on Jobname.OUT, or is written to some other file [/OUTPUT].) You can examine some of this same information in POST1, using the PRITER command, or in POST26, using the SOLU and PRVAR commands. You should make sure that you understand the iteration history of your analysis before you accept the results. In particular, do not dismiss any program error or warning statements without fully understanding their meaning. A typical output listing with gasket nonlinearity only is shown in Typical Gasket Solution Output Listing. When other types of nonlinearity such as contact or materials are included, additional information will be printed out.

10.6.1. Typical Gasket Solution Output Listing

                       S O L U T I O N   O P T I O N S

   PROBLEM DIMENSIONALITY. . . . . . . . . . . . .3-D
   DEGREES OF FREEDOM. . . . . . UX   UY   UZ
   ANALYSIS TYPE . . . . . . . . . . . . . . . . .STATIC (STEADY-STATE)
   PLASTIC MATERIAL PROPERTIES INCLUDED. . . . . .YES
   NEWTON-RAPHSON OPTION . . . . . . . . . . . . .PROGRAM CHOSEN

  *** NOTE ***                            CP=      0.000   TIME= 00:00:00
 Present time 0 is less than or equal to the previous time.
   Time will default to 1.

 *** NOTE ***                            CP=      0.000   TIME= 00:00:00

 Nonlinear analysis, NROPT set to the FULL Newton-Raphson
 solution procedure for ALL DOFs.

  *** NOTE ***                            CP=      0.000   TIME= 00:00:00

 The conditions for direct assembly have been met.  No .emat or .erot
files will be produced.

                       L O A D   S T E P   O P T I O N S

   LOAD STEP NUMBER. . . . . . . . . . . . . . . .     1
   TIME AT END OF THE LOAD STEP. . . . . . . . . .  1.0000
   AUTOMATIC TIME STEPPING . . . . . . . . . . . .    ON
      INITIAL NUMBER OF SUBSTEPS . . . . . . . . .   200
      MAXIMUM NUMBER OF SUBSTEPS . . . . . . . . . 20000
      MINIMUM NUMBER OF SUBSTEPS . . . . . . . . .    20
   MAXIMUM NUMBER OF EQUILIBRIUM ITERATIONS. . . .    15
   STEP CHANGE BOUNDARY CONDITIONS . . . . . . . .    NO
   TERMINATE ANALYSIS IF NOT CONVERGED . . . . . .YES (EXIT)
   CONVERGENCE CONTROLS. . . . . . . . . . . . . .USE DEFAULTS
   COPY INTEGRATION POINT VALUES TO NODE . . . . .YES, FOR ELEMENTS WITH
                                                  ACTIVE MAT. NONLINEARITIES
   PRINT OUTPUT CONTROLS . . . . . . . . . . . . .NO PRINTOUT
   DATABASE OUTPUT CONTROLS
      ITEM     FREQUENCY   COMPONENT
       ALL        ALL
      SVAR        ALL

 Range of element maximum matrix coefficients in global coordinates
 Maximum= 4.326388889E+11 at element 0.
 Minimum= 388758681 at element 0.

    *** ELEMENT MATRIX FORMULATION TIMES
  TYPE  NUMBER   ENAME      TOTAL CP  AVE CP

     1       2  SOLID185      0.000   0.000000
     2       1  INTER195      0.000   0.000000
 Time at end of element matrix formulation CP= 0.

 ALL CURRENT ANSYS DATA WRITTEN TO FILE NAME=
  FOR POSSIBLE RESUME FROM THIS POINT
     FORCE CONVERGENCE VALUE  = 0.4200E+07  CRITERION= 0.2143E+05

 SPARSE MATRIX DIRECT SOLVER.
  Number of equations =     24,    Maximum wavefront =      0
  Memory available (MB) =   0.0    ,  Memory required (MB)  =   0.0

      DISP CONVERGENCE VALUE   = 0.1130E-04  CRITERION= 0.2000E-06
    EQUIL ITER   1 COMPLETED.  NEW TRIANG MATRIX.  MAX DOF INC= -0.4000E-05

     FORCE CONVERGENCE VALUE  = 0.1367E-08  CRITERION=  51.35     <<< CONVERGED
     DISP CONVERGENCE VALUE   = 0.3257E-20  CRITERION= 0.2000E-06 <<< CONVERGED
    EQUIL ITER   2 COMPLETED.  NEW TRIANG MATRIX.  MAX DOF INC = -0.2234E-20
    >>> SOLUTION CONVERGED AFTER EQUILIBRIUM ITERATION   2

   *** ELEMENT RESULT CALCULATION TIMES

  TYPE  NUMBER   ENAME      TOTAL CP  AVE CP

      1       2  SOLID185      0.000   0.000000
      2       1  INTER195      0.000   0.000000

    *** NODAL LOAD CALCULATION TIMES
  TYPE  NUMBER   ENAME      TOTAL CP  AVE CP

     1       2  SOLID185      0.000   0.000000
     2       1  INTER195      0.000   0.000000

 *** LOAD STEP     1   SUBSTEP     1  COMPLETED.    CUM ITER =      2
 *** TIME =  0.500000E-02     TIME INC =  0.500000E-02
 *** AUTO STEP TIME:  NEXT TIME INC = 0.50000E-02  UNCHANGED

     FORCE CONVERGENCE VALUE  = 0.7716E-09  CRITERION=  100.6
     DISP CONVERGENCE VALUE   = 0.1951E-20  CRITERION= 0.2000E-06 <<< CONVERGED
    EQUIL ITER   1 COMPLETED.  NEW TRIANG MATRIX.  MAX DOF INC=  0.1642E-20
     FORCE CONVERGENCE VALUE  = 0.4624E-09  CRITERION=  102.7     <<< CONVERGED
    >>> SOLUTION CONVERGED AFTER EQUILIBRIUM ITERATION   1
 *** LOAD STEP     1   SUBSTEP     2  COMPLETED.    CUM ITER =      3
 *** TIME =  0.100000E-01     TIME INC =  0.500000E-02
 *** AUTO TIME STEP:  NEXT TIME INC = 0.75000E-02  INCREASED (FACTOR = 1.5000)

     FORCE CONVERGENCE VALUE  = 0.1964E-08  CRITERION=  176.1
     DISP CONVERGENCE VALUE   = 0.3748E-20  CRITERION= 0.3000E-06 <<< CONVERGED
    EQUIL ITER   1 COMPLETED.  NEW TRIANG MATRIX.  MAX DOF INC= -0.2744E-20
     FORCE CONVERGENCE VALUE  = 0.8307E-09  CRITERION=  179.7     <<< CONVERGED
    >>> SOLUTION CONVERGED AFTER EQUILIBRIUM ITERATION   1

 *** LOAD STEP     1   SUBSTEP     3  COMPLETED.    CUM ITER =      4
 *** TIME =  0.175000E-01     TIME INC =  0.750000E-02
 *** AUTO TIME STEP:  NEXT TIME INC = 0.11250E-01  INCREASED (FACTOR = 1.5000)

     FORCE CONVERGENCE VALUE  = 0.3713E-08  CRITERION=  289.4
     DISP CONVERGENCE VALUE   = 0.7198E-20  CRITERION= 0.4500E-06 <<< CONVERGED
    EQUIL ITER   1 COMPLETED.  NEW TRIANG MATRIX.  MAX DOF INC= -0.4503E-20
     FORCE CONVERGENCE VALUE  = 0.1468E-08  CRITERION=  295.3     <<< CONVERGED
    >>> SOLUTION CONVERGED AFTER EQUILIBRIUM ITERATION   1
 *** LOAD STEP     1   SUBSTEP     4  COMPLETED.    CUM ITER =      5
 *** TIME =  0.287500E-01     TIME INC =  0.112500E-01
 *** AUTO TIME STEP:  NEXT TIME INC = 0.16875E-01  INCREASED (FACTOR = 1.5000)

     FORCE CONVERGENCE VALUE  = 0.1833E-07  CRITERION=  459.2
     DISP CONVERGENCE VALUE   = 0.3753E-19  CRITERION= 0.6750E-06 <<< CONVERGED
    EQUIL ITER   1 COMPLETED.  NEW TRIANG MATRIX.  MAX DOF INC=  0.1800E-19
     FORCE CONVERGENCE VALUE  = 0.3550E-08  CRITERION=  468.6     <<< CONVERGED
    >>> SOLUTION CONVERGED AFTER EQUILIBRIUM ITERATION   1
 *** LOAD STEP     1   SUBSTEP     5  COMPLETED.    CUM ITER =      6
 *** TIME =  0.456250E-01     TIME INC =  0.168750E-01
 *** AUTO TIME STEP:  NEXT TIME INC = 0.25313E-01  INCREASED (FACTOR = 1.5000)

     FORCE CONVERGENCE VALUE  = 0.2322E-07  CRITERION=  714.0
     DISP CONVERGENCE VALUE   = 0.4656E-19  CRITERION= 0.1013E-05 <<< CONVERGED
    EQUIL ITER   1 COMPLETED.  NEW TRIANG MATRIX.  MAX DOF INC= -0.2664E-19
     FORCE CONVERGENCE VALUE  = 0.6406E-08  CRITERION=  728.5     <<< CONVERGED
    >>> SOLUTION CONVERGED AFTER EQUILIBRIUM ITERATION   1
 *** LOAD STEP     1   SUBSTEP     6  COMPLETED.    CUM ITER =      7
 *** TIME =  0.709375E-01     TIME INC =  0.253125E-01
 *** AUTO TIME STEP:  NEXT TIME INC = 0.37969E-01  INCREASED (FACTOR = 1.5000)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.5. Meshing Interface Elements 		Up / Home Next
10.7. Reviewing the Results


10.7. Reviewing the Results

Results from a gasket joint analysis consist mainly of displacements, stresses, strains and reaction forces of the structural components and the gasket joint layer information (gasket pressure, closure, etc.). You can review these results in POST1, the general postprocessor, or in POST26, the time-history postprocessor. See the Output Data sections of the element descriptions for any of the interface elements (for example INTER192) for a description of the available output components.

Note that in POST1, only one substep can be read in at a time, and that the results from that substep should have been written to Jobname.RST. (The load step option command OUTRES controls which substep results are stored on Jobname.RST.) A typical POST1 postprocessing sequence is described below.

10.7.1. Points to Remember

  • To review results in POST1, the database must contain the same model for which the solution was calculated.

  • The results file (Jobname.RST) must be available.

10.7.2. Reviewing Results in POST1

  1. Verify from your output file (Jobname.OUT) whether or not the analysis converged at all load steps.

    • If not, you probably won't want to postprocess the results, other than to determine why convergence failed.

    • If your solution converged, then continue postprocessing.

  2. Enter POST1. If your model is not currently in the database, issue RESUME.

    Command(s): /POST1
    GUI: Main Menu> General Postproc

  3. Read in results for the desired load step and substep, which can be identified by load step and substep numbers or by time.

    Command(s): SET
    GUI: Main Menu> General Postproc> Read Results> load step

  4. Display the results using any of the following options. Note that gasket results, such as pressure and closure, are always displayed and listed in the local coordinate system.

    Option: Display Deformed Shape

    Command(s): PLDISP
    GUI: Main Menu> General Postproc> Plot Results> Deformed Shape

    Option: Contour Displays

    Command(s): PLNSOL or
    PLESOL
    GUI: Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu or
    Element Solu

    Use these options to display contours of stresses, strains, or any other applicable item. When displaying the gasket pressure distribution, if other structural mating components are not included, ANSYS will plot the geometry of those components in gray. To have a better visualization of a gasket pressure plot, it is better for you to select gasket elements only.

Option: Tabular Listings

Command(s): | PRNSOL (nodal results) PRESOL (element-by-element results) PRRSOL (reaction data) PRITER (substep summary data), etc.
GUI: | Main Menu> General Postproc> List Results> Nodal Solution Main Menu> General Postproc> List Results> Element Solution Main Menu> General Postproc> List Results> Reaction Solution

Option: Animation

You can also animate gasket results over time:

Command(s): | ANTIME
GUI: | Utility Menu> PlotCtrls> Animate> Over Time

Other Capabilities

Many other postprocessing functions are available in POST1. See The General Postprocessor (POST1) in the Basic Analysis Guide for details. Load case combinations usually are not valid for nonlinear analyses.

10.7.3. Reviewing Results in POST26

You can also review the load-history response of a nonlinear structure using POST26, the time-history postprocessor. Use POST26 to compare one ANSYS variable against another. For instance, you might graph the gasket closure vs. gasket pressure, which should correspond to the material behavior defined by TB,GASKET. You might also graph the displacement at a node versus the corresponding level of applied load, or you might list the gasket pressure at a node and the corresponding TIME value. A typical POST26 postprocessing sequence for a gasket analysis is the same as the sequence for a typical nonlinear analysis. See steps 1 through 4 in Reviewing Results in POST26 included in "Nonlinear Structural Analysis".

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.6. Solution Procedure and Result Output 		Up / Home Next
10.8. Sample Gasket Element Verification Analysis (Command or Batch Method)


10.8. Sample Gasket Element Verification Analysis (Command or Batch Method)

This is a simple finite element model created to demonstrate the gasket material simulation. Two block elements with element type SOLID185 were generated as supporters and a gasket element INTER195 was created. The whole system is fixed along one side of each axes to prevent rigid body motion. A prescribed displacement is placed on top of the supporter element. The gasket material is assumed to have a nonlinear compression behavior with 5 different linear unloading slopes. A pressure stress cap of 1.0e-5 is imposed so that no tension stress is generated. Two load steps were used.

The ANSYS commands are shown below.

/batch,list
/title, Test to Verify Gasket Material and Element
/com, **************************************************************
/com, *                                                            *
/com, * This is a simple test case to verify gasket material and   *
/com, * element.                                                   *
/com, *                                                            *
/com, * The test case is set up with two solid SOLID185 elements   *
/com, * with gasket element (INTER195) defined between them.       *
/com, * Displacement is applied to one SOLID185 element while the  *
/com, * other SOLID185 element is fixed.                           *
/com, * The problem is solved in two load steps. In the first      *
/com, * load step negative z-displacement is applied to one        *
/com, * SOLID195 element causing compression of gasket elements.   *
/com, * Then, in the second load step, a reverse displacement is   *
/com, * applied causing the unloading (tension) of gasket element. *
/com, * A Stress Cap of 1.0E-05 is enforced so that there is no    *
/com, * tension pressure in gasket material.                       *
/com, *                                                            *
/com, **************************************************************

/prep7
!*+++++++++++++++++++++
!* Define Element Types
!*+++++++++++++++++++++
et,1,185
et,2,195

!*++++++++++++++++++++++++++++++++++++++
!* Define Linear Elastic Material Type 1
!*++++++++++++++++++++++++++++++++++++++
mp,ex,1,2.1E12
mp,nuxy,1,0.0

!*+++++++++++++++++++++++++++++++++++++++++++++++++
!* Define Initial Gap, Stable Stiffness, Stress Cap
!*+++++++++++++++++++++++++++++++++++++++++++++++++
delta0 = 0.00e-3
stiff0 = 0.0e7
scap   = 1.0e-5
tb,gasket,2,,,para
tbdata, 1,delta0,stiff0,scap

!*++++++++++++++++++++++++++++++++
!* Define Gasket Compression Curve
!*++++++++++++++++++++++++++++++++
tb,gask,2,1,13,comp
tbpt,,0.460800E-03, 0.161226E+07
tbpt,,0.511600E-03, 0.520884E+07
tbpt,,0.562400E-03, 0.113134E+08
tbpt,,0.613200E-03, 0.200499E+08
tbpt,,0.664000E-03, 0.259960E+08
tbpt,,0.714800E-03, 0.290345E+08
tbpt,,0.765600E-03, 0.357453E+08
tbpt,,0.816400E-03, 0.440064E+08
tbpt,,0.867200E-03, 0.563189E+08
tbpt,,0.918000E-03, 0.748254E+08
tbpt,,0.968800E-03, 0.967287E+08
tbpt,,0.101960E-02, 0.129001E+09
tbpt,,0.109326E-02, 0.157147E+09

!*+++++++++++++++++++++++++++++++++++++
!* Define Gasket Linear Unloading Curve
!*+++++++++++++++++++++++++++++++++++++
tb,gask,2,1,5,lunl
tbpt,,0.460800E-03, 2.430000E+11
tbpt,,0.714800E-03, 3.565000E+11
tbpt,,0.816400E-03, 5.92300E+11
tbpt,,0.968800E-03, 1.088000e+12
tbpt,,0.109326E-02, 1.490000E+12

!*+++++++++++++++++++++++++++
!* List Gasket Material Model
!*+++++++++++++++++++++++++++
tblist,gask,all

!*++++++++++++++++++
!* Define Parameters
!*++++++++++++++++++
n1    =  20
n2    =  n1*100
n3    =  n1
dis1  = -0.0008
dis2  = -0.000001
pres  =  1.0e7
pres2 =  10
pres3 =  1.4E8
dp    = -2.0e7
elb   =  1.0
elg   =  0.1

!*+++++++++++++++
!* Generate Nodes
!*+++++++++++++++
n,1,
n,2,1.0
n,3,1.0,1.0
n,4,0.0,1.0
ngen,2,4,1,4,,0.0,0.0,elb
ngen,2,8,1,4,,0.0,0.0,elb+elg
ngen,2,12,1,4,,0.0,0.0,2*elb+elg

!*+++++++++++++++++++++++++++++++++++++++++
!* Generate Front and Back SOLID185 Element
!*+++++++++++++++++++++++++++++++++++++++++
et,1,185,,1
mat,1
e,1,2,3,4,5,6,7,8
e,9,10,11,12,13,14,15,16

!*+++++++++++++++++++++++++++++++++
!* Generate Middle INTER195 Element
!*+++++++++++++++++++++++++++++++++
et,2,195,,
type,2
mat,2
e,5,6,7,8,9,10,11,12

!*++++++++++++++++++++++++++
!* Define Boundary Condition
!*++++++++++++++++++++++++++
nsel,s,loc,z
d,all,uz
nsel,all
nsel,s,loc,x
d,all,ux
nsel,all
nsel,s,loc,y
d,all,uy
nsel,all
finish

/solu
!*+++++++++++++++++++
!* Apply Displacement
!*+++++++++++++++++++
nsel,s,loc,z,elb*2+elg
d,all,uz,dis1
nsel,all

!*+++++++++++++++++++++++++++++++++++++++++++++
!* Solve First Load Step, Compress the Elements
!*+++++++++++++++++++++++++++++++++++++++++++++
nsubst,n1,n2,n3
outres,all,all
outres,svar,all
solve

!*++++++++++++++++++++++++++++++++++++++++++
!* Solve Second Load Step, Open the Elements
!*++++++++++++++++++++++++++++++++++++++++++
nsubst,n1,n2,n3
outres,all,all
outres,svar,all
nsel,s,loc,z,elb*2+elg
d,all,uz,dis2
nall
solve
finish

!*++++++++++++++++++++++++
!* Postprocess the Results
!*++++++++++++++++++++++++
/post1
set,last
pres,s
pres,epto
pres,epel
prns,epel
finish

!*++++++++++++++++++++++++++++++++++++++++++++++
!* Post26, Print and Plot Gasket Element Results
!*++++++++++++++++++++++++++++++++++++++++++++++
/post26
esol,2,3, ,s,x,press
esol,3,3, ,epel,x,delta
add,4,2, , ,press,,,-1,  	! change sign for plotting
add,5,3,,,delta,,,-1,    	! change sign for plotting
prvar,2,3,4,5
xvar,5
plvar,4

finish
/exit,nosave

Presented below is the POST26 output resulting from this analysis.

------------------------------------------------------------------------

          ***** ANSYS POST26 VARIABLE LISTING *****

    TIME          3 S   X       3 EPELX       4 ADD         5 ADD
                  press         delta         press         delta
  0.50000E-01    -139488.     -0.398672E-04   139488.      0.398672E-04
  0.10000        -278977.     -0.797343E-04   278977.      0.797343E-04
  0.15000        -418465.     -0.119601E-03   418465.      0.119601E-03
  0.20000        -557953.     -0.159469E-03   557953.      0.159469E-03
  0.25000        -697442.     -0.199336E-03   697442.      0.199336E-03
  0.30000        -836930.     -0.239203E-03   836930.      0.239203E-03
  0.35000        -976418.     -0.279070E-03   976418.      0.279070E-03
  0.40000       -0.111591E+07 -0.318937E-03  0.111591E+07  0.318937E-03
  0.45000       -0.125539E+07 -0.358804E-03  0.125539E+07  0.358804E-03
  0.50000       -0.139488E+07 -0.398672E-03  0.139488E+07  0.398672E-03
  0.55000       -0.153437E+07 -0.438539E-03  0.153437E+07  0.438539E-03
  0.60000       -0.278389E+07 -0.477349E-03  0.278389E+07  0.477349E-03
  0.65000       -0.557968E+07 -0.514686E-03  0.557968E+07  0.514686E-03
  0.70000       -0.989280E+07 -0.550578E-03  0.989280E+07  0.550578E-03
  0.75000       -0.152775E+08 -0.585450E-03  0.152775E+08  0.585450E-03
  0.80000       -0.208613E+08 -0.620132E-03  0.208613E+08  0.620132E-03
  0.85000       -0.250737E+08 -0.656120E-03  0.250737E+08  0.656120E-03
  0.90000       -0.277640E+08 -0.693558E-03  0.277640E+08  0.693558E-03
  0.95000       -0.310936E+08 -0.730387E-03  0.310936E+08  0.730387E-03
   1.0000       -0.357955E+08 -0.765909E-03  0.357955E+08  0.765909E-03
   1.0500       -0.227277E+08 -0.738405E-03  0.227277E+08  0.738405E-03
   1.1000       -0.965988E+07 -0.710900E-03  0.965988E+07  0.710900E-03
   1.1500       -0.100000E-04 -0.680150E-03  0.100000E-04  0.680150E-03
   1.2000       -0.100000E-04 -0.640200E-03  0.100000E-04  0.640200E-03
   1.2500       -0.100000E-04 -0.600250E-03  0.100000E-04  0.600250E-03
   1.3000       -0.100000E-04 -0.560300E-03  0.100000E-04  0.560300E-03
   1.3500       -0.100000E-04 -0.520350E-03  0.100000E-04  0.520350E-03
   1.4000       -0.100000E-04 -0.480400E-03  0.100000E-04  0.480400E-03
   1.4500       -0.100000E-04 -0.440450E-03  0.100000E-04  0.440450E-03
   1.5000       -0.100000E-04 -0.400500E-03  0.100000E-04  0.400500E-03
   1.5500       -0.100000E-04 -0.360550E-03  0.100000E-04  0.360550E-03
   1.6000       -0.100000E-04 -0.320600E-03  0.100000E-04  0.320600E-03
   1.6500       -0.100000E-04 -0.280650E-03  0.100000E-04  0.280650E-03
   1.7000       -0.100000E-04 -0.240700E-03  0.100000E-04  0.240700E-03
   1.7500       -0.100000E-04 -0.200750E-03  0.100000E-04  0.200750E-03
   1.8000       -0.100000E-04 -0.160800E-03  0.100000E-04  0.160800E-03
   1.8500       -0.100000E-04 -0.120850E-03  0.100000E-04  0.120850E-03
   1.9000       -0.100000E-04 -0.809000E-04  0.100000E-04  0.809000E-04
   1.9500       -0.100000E-04 -0.409500E-04  0.100000E-04  0.409500E-04
   2.0000       -0.100000E-04 -0.100000E-05  0.100000E-04  0.100000E-05

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.7. Reviewing the Results 		Up / Home Next
Chapter 11. Interface Delamination and Failure Simulation


Chapter 11. Interface Delamination and Failure Simulation

An interface exists anywhere two materials are joined together. The interface between the layers of a composite structure is of special interest, because when this type of structure is subjected to certain types of external loading, the failure process (delamination) takes on a unique character. Interface delamination is traditionally simulated using fracture mechanics methods, such as nodal release technique.

Alternatively, you can use the cohesive zone model to simulate interface delamination and other fracture pheneomenonn. This approach introduces failure mechanisms by using the hardening-softening relationships between the separations and incorporating the corresponding tractions across the interface. This technique is also well suited for modeling the fracture process in a homogenous medium, since fracture can be viewed as a separation process between two surfaces.

An interface delamination and failure simulation is performed by first separating the model into two components or groups of elements. A cohesive zone is then defined between these two groups. ANSYS offers two options to model the interface:

  • Interface elements with a cohesive zone material model

  • Contact elements with a bonded contact option and a cohesive zone material model

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.8. Sample Gasket Element Verification Analysis (Command or Batch Method) 		Up / Home Next
11.1. Modeling Interface Delamination with Interface Elements


11.1. Modeling Interface Delamination with Interface Elements

You can use interface elements to model interface delamination at the interface of two materials. ANSYS offers a set of four interface elements designed specifically to represent the cohesive zone between the interface and to account for the separation across the interface.

11.1.1. Analyzing Interface Delamination

An interface delamination analysis with interface elements involves the same overall steps that are involved in any ANSYS nonlinear analysis procedure. Most of these steps however warrant special considerations for behavior at the cohesive zone. Presented below are the overall steps with the special considerations noted, along with links to applicable sections where more detailed information is included on that topic.

  1. Build or import the model. There are no special considerations for building or importing the model for an interface delamination analysis. You perform this step as you would in any typical ANSYS analysis. See Building the Model in the Basic Analysis Guide. For further details on building the model, see the Modeling and Meshing Guide.

  2. Define element type. To properly simulate the cohesive zone, you must define structural element types and corresponding interface element types. See Element Selection in this chapter for more details on this topic.

  3. Define material. Use TB,CZM with TBOPT = EXPO to define the cohesive zone material that characterizes the separation behavior at the interface. You then input the sets of data using the TBDATA commands, as applicable.

  4. Mesh the model. Use the AMESH or VMESH commands to mesh the structural elements, and use the CZMESH command to mesh the cohesive zone element interface along the layers. Special restrictions apply to the CZMESH command in terms of matching the source and target. Also, the order in which you execute these commands is critical. You can only use CZMESH after the underlying solid model has been meshed. You can also generate interface elements directly using the EGEN command. Each of these commands involves special consideration for interface elements. See Meshing and Boundary Conditions in this chapter for more details on this topic.

  5. Solve. There are special solving consideration when you perform an interface delamination analysis. These are primarily concerned with the interface element stiffness loss or softening. Care should be taken to avoid the numerical instability that may be caused by the delamination and failure of the interface.

  6. Review Results. You can print or plot your cohesive zone output items using the PRESOL, PRNSOL, PLESOL, PLNSOL, or ESOL commands. See Reviewing the Results in this chapter for more details on this topic.

11.1.2. ANSYS Family of Interface Elements

ANSYS offers 4 types of elements to simulate interface delamination and failure. They are summarized as follows:

  • INTER202 - 2-D, 4-node, linear element.

  • INTER203 - 2-D, 6-node, quadratic element.

  • INTER204 - 3-D, 16-node, quadratic element.

  • INTER205 - 3-D, 8-node, linear element

The 2-D elements, INTER202 and INTER203, use a KEYOPT to define various stress state options.

11.1.2.1. Element Definition

An interface element is composed of bottom and top surfaces. Figure 205.1: "INTER205 Geometry" in the Elements Reference shows the geometry of a 3-D 8-node interface element. The element midplane can be created by averaging the coordinates of node pairs from the bottoms and top surfaces of the element. The numerical integration of the interface elements is performed in the element midplane. The Gauss integration scheme is used for the numerical integrations.

11.1.2.2. Element Selection

The simulation of an entire assembly, consisting of the cohesive zone and the structural elements on either side of the cohesive zone, requires that the interface elements and structural elements have the same characteristics. When you issue the CZMESH command, the appropriate interface element(s) will be selected automatically, depending on the adjacent structural elements. You can also manually specify your interface elements. Use the following table as a guideline for choosing interface and structural elements that have the same characteristics:

For elements with these characteristics: | ... use this interface element: | ... with one of these structural elements:
2-D, linear | INTER202 | PLANE42, VISCO106, PLANE182
2-D, quadratic | INTER203 | PLANE82, VISCO88, PLANE183
3-D, quadratic | INTER204 | SOLID92, SOLID95, SOLID186, SOLID187
3-D, linear | INTER205 | SOLID45, SOLID46, SOLID65, SOLID185, SOLSH190
Proper element type is chosen based on the stress states of interest and structural element types used.

Element selection is done by the element type command, ET, for example,

ET,1,205

defines element type 1 as element INTER205.

11.1.3. Material Definition

11.1.3.1. Material Characteristics

The CZM option of the TB command lets you define interface separation behavior with ANSYS interface elements. The interface is represented by a single element set of these elements. The interface deformation is characterized by a traction separation law (see below), with the deformation occurring only within the interface elements (the cohesive zone). The tension or shear deformations within this zone are of primary interest. The surface behavior of the material is highly nonlinear in either case, and the resulting softening or loss of stiffness changes character rapidly as the element separation increases. Unloading behavior is not addressed in this configuration.

11.1.3.2. Material Constants

The cohesive zone model (TB,CZM with TBOPT = EXPO) uses a traction separation law defined as:

for normal traction at the interface, and

for shear traction at the interface, where:

The material constants σmax, [image], and [image] are input as C1, C2, and C3. The input format is

TB,CZM,,,,
TBDATA,1,C1,C2,C3

This CZM material option must be used with interface elements INTER202, INTER203, INTER204, and INTER205.

11.1.4. Meshing and Boundary Conditions

11.1.4.1. Meshing

There are three options available for meshing interface elements:

  • Use the CZMESH command to generate the interface. You must either define the model into two components or groups of elements (between which the cohesive zone interface elements will reside), or specify a coordinate value for the line or plane that will divide the model.

  • Use the E command to directly generate interface elements from a set of nodes.

  • For generating interface elements directly from a pattern, use the EGEN command.

11.1.4.2. Boundary Conditions

The interface delamination and failure process involves the stiffness softening and complete loss of the interface stiffness, which in turn will cause numerical instability of the solution. You should therefore apply your constraints as boundary conditions. Using forces or pressures will generally cause rigid body motion after the fracture, and will result in other solution difficulties.

11.1.5. Solution Procedure and Result Output

Interface traction-separation behavior is highly nonlinear. The full Newton-Raphson solution procedure (the standard ANSYS nonlinear method), is the default method for performing this type of analysis. Other solution procedures for interface analyses are not recommended.

Like most nonlinear problems, convergence behavior of an interface delamination analysis depends strongly on the particular problem to be solved. ANSYS has provided a comprehensive solution control strategy, therefore it is always recommended that you use the ANSYS default solution options, unless you are sure about the benefits of any changes.

Some special considerations for solving an interface delamination problem:

  • When the element breaks apart under external loading, it will lose its stiffness and may cause numerical instability.

  • It is always a good practice to place the lower and upper limit on the time step size using the DELTIM or NSUBST commands, and to start with a small time step, then subsequently ramp it up. This ensures that all of the modes and behaviors of interest will be accurately included and that the problem is solved effectively.

  • When interface elements are under tension, the normal stiffness is exponentially related to the separation. That is, the greater the separation, the lower the normal stiffness of the elements.

  • When interface elements are under compression, you can align contact elements with the interface elements to obtain better penetration control.

A convergence failure can indicate a physical instability in the structure, or it can merely be the result of some numerical problem in the finite element model.

11.1.6. Reviewing the Results

Results from an interface delamination analysis consist mainly of displacements, stresses, strains and reaction forces of the structural components and the cohesive zone layer information (interface tension, separation, etc.). You can review these results in POST1, the general postprocessor, or in POST26, the time-history postprocessor. See the Output Data sections of the element descriptions for any of the interface elements (for example INTER202) for a description of the available output components.

Note that in POST1, only one substep can be read in at a time, and that the results from that substep should have been written to Jobname.RST. (The load step option command OUTRES controls which substep results are stored on Jobname.RST.) A typical POST1 postprocessing sequence is described below.

11.1.6.1. Points to Remember

  • To review results in POST1, the database must contain the same model for which the solution was calculated.

  • The results file (Jobname.RST) must be available.

11.1.6.2. Reviewing Results in POST1

  1. Verify from your output file (Jobname.OUT) whether or not the analysis converged at all load steps.

    • If not, you probably won't want to postprocess the results, other than to determine why convergence failed.

    • If your solution converged, then continue postprocessing.

  2. Enter POST1. If your model is not currently in the database, issue RESUME.

    Command(s): /POST1
    GUI: Main Menu> General Postproc

  3. Read in results for the desired load step and substep, which can be identified by load step and substep numbers or by time.

    Command(s): SET
    GUI: Main Menu> General Postproc> Read Results> load step

  4. Display the results using any of the following options. Note that cohesive zone element results, such as tension and separation, are always displayed and listed in the local coordinate system.

    Option: Display Deformed Shape

    Command(s): PLDISP
    GUI: Main Menu> General Postproc> Plot Results> Deformed Shape

    Option: Contour Displays

    Command(s): PLNSOL or
    PLESOL
    GUI: Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu or
    Element Solu

    Use these options to display contours of stresses, strains, or any other applicable item. When displaying the interface tension distribution, if other structural mating components are not included, ANSYS will plot the geometry of those components in gray. To have a better visualization of an interface tension plot, it is better for you to select the interface elements only.

Option: Tabular Listings

Command(s): | PRNSOL (nodal results) PRESOL (element-by-element results) PRRSOL (reaction data) PRITER (substep summary data), etc.
GUI: | Main Menu> General Postproc> List Results> Nodal Solution Main Menu> General Postproc> List Results> Element Solution Main Menu> General Postproc> List Results> Reaction Solution

Option: Animation

You can also animate interface results over time:

Command(s): | ANTIME
GUI: | Utility Menu> PlotCtrls> Animate> Over Time

Other Capabilities

Many other postprocessing functions are available in POST1. See The General Postprocessor (POST1) in the Basic Analysis Guide for details. Load case combinations usually are not valid for nonlinear analyses.

11.1.6.3. Reviewing Results in POST26

You can also review the load-history response of a nonlinear structure using POST26, the time-history postprocessor. Use POST26 to compare one ANSYS variable against another. For instance, you might graph the interface separation vs. interface tension, which should correspond to the material behavior defined by TB,CZM. You might also graph the displacement at a node versus the corresponding level of applied load, or you might list the interface tension at a node and the corresponding TIME value. A typical POST26 postprocessing sequence for an interface delamination analysis is the same as the sequence for a typical nonlinear analysis. See steps 1 through 4 in Reviewing Results in POST26 included in "Nonlinear Structural Analysis".

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 11. Interface Delamination and Failure Simulation 		Up / Home Next
11.2. Modeling Interface Delamination with Contact Elements


11.2. Modeling Interface Delamination with Contact Elements

Interface delamination with contact elements is referred to as debonding. Debonding is modeled with contact elements which are bonded and have a cohesive zone material model defined. There are several advantages to using debonding to model interface delamination. Existing models with contact definitions can be easily modified to include debonding, and standard contact and debonding can be simulated with the same contact definitions.

11.2.1. Analyzing Debonding

Modeling debonding with contact elements involves the same steps as any other contact analysis. (For a detailed discussion on how to set up a contact analysis, see "Surface-to-Surface Contact".) Therefore, if you are familiar with setting up a contact analysis, you can easily include debonding in your model. You simply add a bonded contact option and a cohesive zone material model for the contact elements.

11.2.2. Contact Elements

Debonding can be defined in any model that includes the following types of contact:

  • Surface-to-surface (CONTA171 through CONTA174)

  • Node-to-surface (CONTA175)

  • Line-to-line (CONTA176)

  • Line-to-surface (CONTA177) contact

The contact elements must use bonded contact (KEYOPT(12) = 4, 5 or 6) with the pure penalty method or augmented Lagrangian method (KEYOPT(2) = 0 or 1). Debonding is activated by associating a cohesive zone material model (input with TB,CZM) with the contact elements.

11.2.3. Material Definition

11.2.3.1. Material Characteristics

ANSYS provides two cohesive zone material models with bilinear behavior to represent debonding. The material behavior, defined in terms of contact stresses (normal and tangential) and contact separation distances (normal gap and tangential sliding), is characterized by linear elastic loading followed by linear softening. The slope of the curve depends on contact stiffness and a debonding parameter which is defined in terms of material constants. Debonding allows three modes of separation:

  • Mode I debonding for normal separation

  • Mode II debonding for tangential separation

  • Mixed mode debonding for normal and tangential separation

Debonding is also characterized by convergence difficulties during material softening. Artificial damping is provided to overcome these problems. An option for tangential slip under compressive normal contact stress for mode II and mixed mode debonding is also provided.

After debonding is completed, the surface interaction is governed by standard contact constraints for normal and tangential directions. Frictional contact is used if friction is specified for the contact elements.

11.2.3.2. Material Constants

The cohesive zone material model with bilinear behavior (TB,CZM with TBOPT = CBDD or CBDE ) is defined as:

and

where:

P = normal contact stress (tension)
τy = tangential contact stress in y direction
τz = tangential contact stress in z direction
Kn = normal contact stiffness
Kt = tangential contact stiffness
un = contact gap
uy = contact slip distance in y direction
uz = contact slip distance in z direction
d = debonding parameter

To model bilinear material behavior with tractions and separation distances, use TB,CZM with TBOPT = CBDD. You also input the following material constants with the TBDATA command:

Constant | Symbol | Meaning
C1 | σmax | maximum normal contact stress
C2 |  | contact gap at the completion of debonding
C3 | τmax | maximum equivalent tangential contact stress
C4 |  | tangential slip at the completion of debonding
C5 | η | artificial damping coefficient
C6 | β | flag for tangential slip under compressive normal contact stress

To model bilinear material behavior with tractions and critical fracture energies, use TB,CZM with TBOPT = CBDE. You also input the following material constants with the TBDATA command:

Constant | Symbol | Meaning
C1 | σmax | maximum normal contact stress
C2 | Gcn | critical fracture energy for normal separation
C3 | τmax | maximum equivalent tangential contact stress
C4 | Gct | critical fracture energy for tangential slip
C5 | η | artificial damping coefficient
C6 | β | flag for tangential slip under compressive normal contact stress

The following is an example of how to define a cohesive zone material with the TB and TBDATA commands:

TB,CZM,,,,CBDD      ! bilinear behavior with tractions and separation distances
TBDATA,1,C1,C2,C3,C4,C5,C6

For more information on defining a cohesive zone material in a contact analysis, see Cohesive Zone Materials for Contact Elements in the Elements Reference.

11.2.4. Result Output

All applicable output quantities for contact elements are also available for debonding:

Output Quantities | Symbol | Meaning
PRES | P | normal contact stress
SFRIC | τt | tangential constant stress
TAUR and TAUS | τy and τz | components (tangential constant stress)
GAP | un | contact gap
SLIDE | ut | tangential slip
TASR and TASS | uy and uz | components (tangential slip)

Additionally, debonding specific output quantities are also available. These are output as NMISC data:

Output Quantities | Symbol | Meaning
DTSTART | (no symbol) | debonding time history
DPARAM | dn, dt, or dm | debonding parameter
DENERI and DENERII | Gn and Gt | fracture energies

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
11.1. Modeling Interface Delamination with Interface Elements 		Up / Home Next
Chapter 12. Fracture Mechanics


Chapter 12. Fracture Mechanics

Cracks and flaws occur in many structures and components for several reasons. The material may be inherently defective. Cracks may be introduced during the manufacturing stage, or later as a result of environmental conditions. The presence of such cracks or flaws can significantly degrade the structural integrity of a component under the action of applied loads and environmental conditions.

Fracture mechanics uses concepts from applied mechanics to develop an understanding of the stress and deformation fields around a crack tip when a crack is present in a structure. A sound knowledge of these stress and deformation fields helps in developing fail-safe and safe-life designs for structures. Such fracture-mechanics-based design concepts are widely used, but are not limited to, the fields of nuclear, aerospace, civil, and mechanical engineering.

The following topics concerning fracture analysis are available:

  • Introduction to Fracture
  • Solving Fracture Mechanics Problems
  • Numerical Evaluation of Fracture Mechanics Parameters
  • Fracture Meshing
  • Setting Crack Tip Mesh Options (CTMOPT Macro)
  • Learning More About Fracture Mechanics

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
11.2. Modeling Interface Delamination with Contact Elements 		Up / Home Next
12.1. Introduction to Fracture


12.1. Introduction to Fracture

Structural design concepts traditionally use a strength-of-material approach for designing a component. This approach does not anticipate the elevated stress levels due to the existence of cracks. The presence of such stresses can lead to catastrophic failure of the structure.

Fracture mechanics accounts for the cracks or flaws in a structure. The fracture mechanics approach to the design of structures includes flaw size as one important variable, and fracture toughness replaces strength of material as a relevant material parameter.

Fracture analysis is typically carried out either using the energy criterion or the stress-intensity-factor criterion. When the energy criterion is used, the energy required for a unit extension of the crack (the energy release rate) characterizes the fracture toughness. When the stress-intensity-factor criterion is used, the critical value of the amplitude of the stress and deformation fields characterizes the fracture toughness. Under certain circumstances, the two criteria are equivalent.

The following additional introductory topics concerning fracture are available:

  • Fracture Modes
  • Fracture Mechanics Parameters
  • Crack Growth Simulation

12.1.1. Fracture Modes

Depending on the failure kinematics (that is, the relative movement of the two surfaces of the crack), three fracture modes are distinguishable, as shown in Figure 12.1: "Schematic of the Fracture Modes":

  • Mode I – Opening or tensile mode

  • Mode II – Shearing or sliding mode

  • Mode III – Tearing or out-of-plane mode

Fracture is generally characterized by a combination of fracture modes.

Figure 12.1 Schematic of the Fracture Modes

12.1.2. Fracture Mechanics Parameters

Typical fracture mechanics parameters describe either the energy-release rate or the amplitude of the stress and deformation fields ahead of the crack tip.

The following parameters are widely used in fracture mechanics analysis:

  • Stress-intensity factor

  • Energy-release rate

  • J-Integral

Stress intensity factors and energy release rates are limited to linear elastic fracture mechanics. The J-Integral is applicable to both linear elastic and nonlinear elastic-plastic materials.

The following additional topics are available concerning fracture mechanics parameters:

  • The Stress-Intensity Factor
  • J-Integral
  • J-Integral as a Stress-Intensity Factor

12.1.2.1. The Stress-Intensity Factor

For a linear elastic material the stress and strain fields ahead of the crack tip are expressed as:

where K is the stress-intensity factor, r and θ are coordinates of a polar coordinate system (as shown in Figure 12.2: "Schematic of a Crack Tip"). These equations apply to any of the three fracture modes.

Figure 12.2 Schematic of a Crack Tip

For a Mode I crack, the stress field is given as:

The stress-intensity factor and the energy-release rate are related by:

where G denotes the energy-release rate,

for plane strain, and

for plane stress. (E is the material Young’s modulus, and ν is the Poisson’s ratio.)

12.1.2.2. J-Integral

J-Integral is one of the most widely accepted parameters for elastic-plastic fracture mechanics. The J-Integral is defined as follows [2]:

where W is the strain energy density, T is the kinematic energy density, σ represents the stresses, u is the displacement vector, and Γ is the contour over which the integration is carried out.

For a crack in a linear elastic material, the J-Integral represents the energy-release rate. Also, the amplitudes of the crack tip stress and deformation fields are characterized by the J-Integral for a crack in a nonlinear elastic material.

12.1.2.3. J-Integral as a Stress-Intensity Factor

Hutchinson [3] and Rice and Rosengren [4] independently showed that the J-Integral characterizes the crack tip field in a nonlinear elastic material. They each assumed a power law relationship between plastic strain and stress. If elastic strain is included, the relationship for uniaxial deformation is given as:

where σ0 is the reference stress (the yield stress of the material), and ε0 = σ0/E, α is a dimensionless constant, and n is the hardening component. They showed that, at a distance very close to the crack tip and well within the plastic zone, the crack tip stress and strain ahead of crack tip can be expressed as:

and

For elastic material, n = 1 and the above equation predicts the [image] singularity which is consistent with linear elastic fracture mechanics.

12.1.3. Crack Growth Simulation

Fracture/crack growth is a phenomenon in which two surfaces are separated from each other, or material is progressively damaged under external loading. ANSYS offers two techniques for simulating such failure.

  • The Cohesive Zone Approach
  • Gurson’s Model

12.1.3.1. The Cohesive Zone Approach

This approach uses interface or contact elements to allow the separation of the surfaces and the cohesive material model to describe the separation behavior of the surfaces. The approach applies to both the simulation of fracture in a homogeneous material as well as interfacial delamination along the interface between two materials. For more information, see "Interface Delamination and Failure Simulation".

12.1.3.2. Gurson’s Model

Gurson's model is a plasticity model (TB,GURSON) used to simulate ductile metal damage. The model is a micromechanics-based ductile damage model incorporating the void volume fraction into plasticity constitutive equation to represent the ductile damage process of void grow, void nucleation, and void coalescence. For more information, see Gurson's Model in the Theory Reference for ANSYS and ANSYS Workbench and TB,GURSON command documentation.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 12. Fracture Mechanics 		Up / Home Next
12.2. Solving Fracture Mechanics Problems


12.2. Solving Fracture Mechanics Problems

A fracture analysis is a combination of stress analysis and fracture mechanics parameter calculation. The stress analysis is a standard ANSYS linear elastic or nonlinear elastic plastic analysis.

Because high stress gradients exist in the region around the crack tip, the finite element modeling of a component containing a crack requires special attention in that region.

The 2-D and 3-D representations of the region around the crack tip and the terminology used is outlined in the following section. ANSYS refers to the edge or tip of the crack as a crack tip in a 2-D model and crack front in a 3-D model, as illustrated in Figure 12.3: "Crack Tip and Crack Front".

Figure 12.3 Crack Tip and Crack Front

(a) 2-D models and (b) 3-D models

The following additional topics related to solving fracture problems are available :

  • Modeling the Crack Tip Region
  • Calculating Fracture Parameters

12.2.1. Modeling the Crack Tip Region

Stress and deformation fields around the crack tip generally have high gradients. The precise nature of these fields depends on the material, geometry, and other factors. To capture the rapidly varying stress and deformation fields, use a refined mesh in the region around the crack tip. For linear elastic problems, the displacements near the crack tip (or crack front) vary as [image], where r is the distance from the crack tip. The stresses and strains are singular at the crack tip, varying as [image]. To produce this singularity in stresses and strains, the crack tip mesh should have certain characteristics:

  • The crack faces should be coincident.

  • The elements around the crack tip (or crack front) should be quadratic, with the midside nodes placed at the quarter points. (Such elements are called singular elements.)

Figure 12.4: "Singular Element Examples" shows examples of singular elements for 2-D and 3-D fracture models.

Figure 12.4 Singular Element Examples

(a) 2-D models and (b) 3-D models

The following additional topics for modeling the crack tip region are available:

  • Modeling 2-D Linear Elastic Fracture Problems
  • Modeling 3-D Linear Elastic Fracture Problems

12.2.1.1. Modeling 2-D Linear Elastic Fracture Problems

The recommended element type for a 2-D fracture model is PLANE183, the 8-node quadratic solid. The first row of elements around the crack tip should be singular, as illustrated in Figure 12.4: "Singular Element Examples" (a).

The PREP7 preprocessor's KSCON command (Main Menu> Preprocessor> Meshing> Size Cntrls> Concentrat KPs> Create), which assigns element division sizes around a keypoint, is particularly useful in a fracture model. It automatically generates singular elements around the specified keypoint. Other fields on the command allow you to control the radius of the first row of elements, the number of elements in the circumferential direction, and more. Figure 12.5: "Fracture Specimen and 2-D FE Model" shows a fracture model generated with the help of KSCON.

Figure 12.5 Fracture Specimen and 2-D FE Model

Take advantage of symmetry where possible. In many cases, you need to model only one half of the crack region, with symmetry or antisymmetry boundary conditions, as shown below.

Figure 12.6 Using Symmetry to Your Advantage

For reasonable results, the first row of elements around the crack tip should have a radius of approximately a / 8 or smaller, where a is the crack length. In the circumferential direction, roughly one element every 30° or 40° is recommended.

The crack tip elements should not be distorted and should take the shape of isosceles triangles.

12.2.1.2. Modeling 3-D Linear Elastic Fracture Problems

The recommended element type for 3-D models is SOLID186, the 20-node brick element. As shown in Figure 12.4: "Singular Element Examples" (b), the first row of elements around the crack front should be singular elements. Notice that the element is wedge-shaped, with the KLPO face collapsed into the line KO.

Generating a 3-D fracture model is considerably more involved than a 2-D model. The KSCON command is not available for 3-D modeling. You must verify that the crack front is along edge KO of the elements.

Element size recommendations are the same as for 2-D models. In addition, aspect ratios should not exceed approximately 4 to 1 in all directions.

For curved crack fronts, the element size along the crack front depends on the amount of local curvature. A general guideline is to have at least one element every 15° to 30° along a circular crack front.

All element edges should be straight, including the edge on the crack front.

12.2.2. Calculating Fracture Parameters

ANSYS allows you to evaluate the following fracture parameters:

  • J-Integral

  • Stress-intensity factors (KI, KII, KIII)

The J-Integral calculation is performed at the solution level and results are stored to ANSYS result file (.rst) for postprocessing. To perform a J-Integral calculation, you need to use the CINT command. The stress-intensity factors are calculated at postprocessing (POST1) with the KCAL command. For more information, see Numerical Evaluation of Fracture Mechanics Parameters.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.1. Introduction to Fracture 		Up / Home Next
12.3. Numerical Evaluation of Fracture Mechanics Parameters


12.3. Numerical Evaluation of Fracture Mechanics Parameters

The following topics are available concerning the numerical evaluation of fracture mechanics parameters:

  • The J-Integral Calculation
  • Stress-Intensity Factors Calculation

12.3.1. The J-Integral Calculation

The J-Integral evaluation in ANSYS is based on the domain integral method by Shih[5]. The domain integration formulation applies area integration for 2-D problems and volume integration for 3-D problems. Area and volume integrals offer much better accuracy than contour integral and surface integrals, and are much easier to implement numerically. The method itself is also very easy to use.

12.3.1.1. The Domain Integral Method

For the 2-D problem, and in the absence of thermal strain, path dependent plastic strains, body forces within the integration of area, and pressure on the crack surface, the domain integral representation of the J-Integral is given by:

where q is referred to as the crack extension vector. The direction of q is the simple x-axis of the local coordinate system ahead of the crack tip. The q vector is chosen as zero at nodes along the contour Γ, and is a unit vector for all nodes inside Γ except the midside nodes, if there are any, that are directly connected to Γ. ANSYS refers to these nodes with a unit q vector as virtual crack extension nodes.

For higher-order elements (such as PLANE183 and SOLID186), the q vector at mid-side nodes takes the averaged values from the corresponding corner nodes. The discretized form of the J-Integral is given by:

where ne is the number of elements to be integrated, wiw is the weight function, and Aie is the area of the element represented by ie.

For the 3-D problem, domain integral representation of the J-Integral becomes a volume integration, which again is evaluated over a group of elements. The implementation becomes more complicated; however, the principal is similar to the 2-D problem.

12.3.1.2. Virtual Crack Extension Nodes and J-Integral Contours

Virtual crack extension nodes are one of the most important input data elements required for J-Integral evaluation. It is also referred to as the crack tip node component.

For the 2-D crack problem, the crack tip node component usually contains one node which is also the crack tip node. The first contour for the area integration of the J-Integral is evaluated over the elements associated with the crack tip node component. The second contour for the area integration of the J-Integral is evaluated over the elements adjacent to the first contour of elements. This procedure is repeated for all contours. To ensure correct results, the elements for the contour integration should not reach the outer boundary of the model (with the exception of the crack surface).

For the 3-D crack problem, the crack tip node component is comprised of the nodes along the crack front. The crack tip node component is not required to be sorted. The 3-D J-Integral contour follows a procedure similar to that of the 2-D contour.

12.3.1.3. Element Selection and Material Behavior

The J-Integral evaluation (accessed via the CINT command) supports the following elements:

  • PLANE182

  • PLANE183

  • SOLID185

  • SOLID186

  • SOLID187

The J-Integral evaluation supports the following material behavior:

  • Linear elasticity

  • Plasticity

12.3.1.4. The J-Integral Evaluation Process

ANSYS calculates the J-Integral evaluation at the solution phase of the analysis after a substep has converged, then stores the value to the results file.

The CINT command initiates the J-Integral calculations and is also used to specify the different parameters that are necessary for the calculation.

The input required for calculating the J-Integral is as follows:

  • Step 1: Initiate a New J-Integral Calculation
  • Step 2: Define Crack Information
  • Step 3: Specify the number of contours to calculate
  • Step 4: Define a Crack Symmetry Condition
  • Step 5: Specify Output Controls

12.3.1.4.1. Step 1: Initiate a New J-Integral Calculation

To start a J-Integral calculation, use the CINT command's NEW option and provide a number to identify the input information for the J-Integral calculation. The command syntax is:

CINT,NEW,n

where n is the number identifying this J-Integral calculation.

For example:

CINT,NEW,1   ! initiate a new J-Integral calculation as # 1

12.3.1.4.2. Step 2: Define Crack Information

The crack tip node component and the crack extension direction are both necessary for a J-Integral calculation. Two methods using the CINT command are available for specifying the values:

  • Define the crack tip node component and the crack plane normal.

    This approach applies for both 2-D crack geometry and 3-D flat crack surfaces. It offers a simple way to define a 3-D J-Integral calculation, as you need only define the crack tip (front) node component and the normal of the crack plane. Use this method when the crack plane is flat.

  • Define the crack extension node component and crack extension direction.

    This approach applies for 3-D curve crack planes, where a unique normal may not exist. However, you must define the crack extension node component and the crack extension direction at each crack tip node location. Use this method when the crack plane is not flat, or when a set of nodes form the crack tip, as in the case of a collapsed crack tip mesh.

12.3.1.4.2.1. Define the Crack Tip Node Component and Crack Plane Normal

For 2-D crack geometry, define a crack tip node component (usually a node located at the crack tip). You can also define a group of nodes around the crack tip, including the node at the crack tip. ANSYS uses this group of nodes as the starting nodes to form the necessary information for the contour integration automatically.

For 3-D flat crack geometry, you must define a crack tip node component that includes all of the nodes along the crack front. At each node location, however, only one node can exist. All nodes in the crack tip node component must be connectable, and they must form a line based on the element connectivity associated with it. This line is the crack front. ANSYS uses it to automatically determine the elements for the contour integration. The procedure is similar to 2-D crack geometry, and is done through all the nodes along the crack front.

The command syntax is:

CINT,CTNC,CMNAME

After the crack tip node component is defined, use the CINT command's NORMAL option to define the normal of the crack plane. ANSYS automatically converts it into the crack extension vector q, based on the element information. The crack extension vector is taken along the perpendicular direction to the plane formed by the crack plane normal and the tangent direction of the crack tip node, and is normalized to a unit vector.

The command syntax is:

CINT,NORMAL,par1,par2

where par1 is the coordinate system number and par2 is the axis of coordinate system par1.

Example 1

!local coordinate system
LOCAL,11,0,,,,
! select nodes located along the crack front and define it as crack front/tip node component
NSEL,S,LOC,X,Xctip
NSEL,R,LOC,Y,Yctip
CM,CRACK_TIP_NODE_CM
! Define a new J-Integral calculation
CINT,NEW,1
CINT,CTNC, CRACK_TIP_NODE_CM
CINT,NORMAL,11,2

Example 2

! select nodes located along the crack front and define it as crack front/tip node component
LSEL,,,,
NSLL
CM,CRACK_FRONT_NODE_CM,NODE
CINT,NEW,1
CINT,CTNC, CRACK_FRONT_NODE_CM,
12.3.1.4.2.2. Define the Crack Extension Node Component and Crack Extension Direction

Use this method when the crack plane is not flat, or when a set of nodes form the crack tip, as in the case of a collapsed crack tip mesh:

  1. Define a node component consisting of one or more nodes forming the crack tip. The node component can have one or more nodes.

    Example: CINT,CENCOMP,CMNAME

  2. Identify the crack tip node separately if the node component has more than one node. If a crack tip node is not identified, then the first node of the node component is taken to be the first node.

    Example: CINT,CENCOMP,CMNAME,node1

  3. Define the crack extension direction.

    Identify the local coordinate system associated with the crack under consideration.

    Identify the local axis (for the above CS) along which the crack is supposed to extend. Example: CINT,CENCOMP,CMNAME,node1,11,2

    Alternatively, define the crack extension direction by directly specifying the global X Y and Z components of the crack extension vector. Example: CINT,CENCOMP,CMNAME,node1, , , compx, compy, compz

Repeat this method for all node locations along the crack front.

Example 1

! local coordinate systems
local,11,0,,,,
local,12,0,,,,
…
local,n,0,,,,

NSEL,S,LOC,X,Xctip1
NSEL,R,LOC,Y,Yctip1
NSEL,R,LOC,Z,Zctip1
CM,CRACK_FRONT_NODE_CM1
NSEL,S,LOC,X,Xctip2
NSEL,R,LOC,Y,Yctip2
NSEL,R,LOC,Z,Zctip2
CM,CRACK_FRONT_NODE_CM2
…
NSEL,S,LOC,X,Xctipn
NSEL,R,LOC,Y,Yctipn
NSEL,R,LOC,Z,Zctipn
CM,CRACK_FRONT_NODE_CMn

CINT,NEW,1
CINT,CENC, CRACK_FRONT_NODE_CM1,,11,2
CINT,CENC, CRACK_FRONT_NODE_CM2,,11,2
…
CINT,CENC, CRACK_FRONT_NODE_CM2,,n,2

Example 2

! Crack extension node component and
! crack extension direction specification using vectors
NSEL,S,LOC,X,Xctip1
NSEL,R,LOC,Y,Yctip1
NSEL,R,LOC,Z,Zctip1
CM,CRACK_FRONT_NODE_CM1
NSEL,S,LOC,X,Xctip2
NSEL,R,LOC,Y,Yctip2
NSEL,R,LOC,Z,Zctip2
CM,CRACK_FRONT_NODE_CM2
…
NSEL,S,LOC,X,Xctipn
NSEL,R,LOC,Y,Yctipn
NSEL,R,LOC,Z,Zctipn
CM,CRACK_FRONT_NODE_CMn

CINT,NEW,1
CINT,CENC, CRACK_FRONT_NODE_CM1, , , ,Vx1,Vy1,Vz1
CINT,CENC, CRACK_FRONT_NODE_CM2, , , ,Vx2,Vy2,Vz2
…
CINT,CENC, CRACK_FRONT_NODE_CM2, , , ,Vxn,Vyn,Vzn
12.3.1.4.3. Step 3: Specify the number of contours to calculate

Specify the number of contours for the J-Integral evaluation, as follows:

CINT,NCONTOUR,n

where n is the number of contours.

For 3-D crack geometry, every node along the crack front has the same number of contours.

Example

CINT,NEW,1
CINT,CTNC,CRACK_FRONT_NODE_SET,NODE
CINT,NCONTOUR,6
12.3.1.4.4. Step 4: Define a Crack Symmetry Condition

If the crack is located along a symmetry plane, and only a half model is created, define a symmetric condition so that ANSYS can account for it:

CINT,SYMM,ON

Example

CINT,NEW,1
CINT,SYMM,ON   ! crack 1 is a symmetrical crack
12.3.1.4.5. Step 5: Specify Output Controls

ANSYS calculates the J-Integral at the solution level and stores it to the results file for postprocessing. J-Integral output uses all the defaults from the OUTRES command. The command OUTRES,ALL includes CINT command results. However, you can issue an OUTRES,CINT command to control the specific output for J-Integral results only.

Example

CINT,NEW,1
CINT,CTNC,CRACK_TIP_NODE_CM
CINT,SYMM,ON
CINT,NCONT,5
OUTRES,CINT,10
! output J-Integral every 10 substeps

12.3.2. Stress-Intensity Factors Calculation

The POST1 KCALC command (Main Menu> General Postproc> Nodal Calcs> Stress Int Factr) calculates the mixed-mode stress-intensity factors KI, KII, and KIII. The command is limited to linear elastic problems with a homogeneous, isotropic material near the crack region. To use KCALC, follow these steps within the POST1 postprocessor:

  1. Define a local crack-tip or crack-front coordinate system.

    The X axis must be parallel to the crack face (perpendicular to the crack front in 3-D models) and the Y axis perpendicular to the crack face (as shown in Figure 12.3: "Crack Tip and Crack Front").

    This coordinate system must be the active model coordinate system (CSYS) and results coordinate system (RSYS) when KCALC executes.

    Command(s): LOCAL (or
    CLOCAL,
    CS,
    CSKP, etc.
    GUI: Utility Menu> WorkPlane> Local Coordinate Systems> Create Local CS> At Specified Loc

  2. Define a path along the crack face.

    The first node on the path should be the crack-tip node. For a half-crack model, two additional nodes are required, both along the crack face. For a full-crack model, where both crack faces are included, four additional nodes are required: two along one crack face and two along the other.

    Command(s): PATH (or
    PPATH)
    GUI: Main Menu> General Postproc> Path Operations> Define Path

    The following figure illustrates the two cases for a 2-D model.

    Figure 12.7 Typical Crack Face Path Definitions

    (a) half-crack model and (b) full-crack model

  3. Calculate KI, KII, and KIII.

    The KPLAN field on the KCALC command specifies whether the model is plane-strain or plane-stress. Except for the analysis of thin plates, the asymptotic or near-crack-tip behavior of stress is usually thought to be that of plane strain. The KCSYM field specifies whether the model is a half-crack model with symmetry boundary conditions, a half-crack model with antisymmetry boundary conditions, or a full-crack model.

    Command(s): KCALC
    GUI: Main Menu> General Postproc> Nodal Calcs> Stress Int Factr

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.2. Solving Fracture Mechanics Problems 		Up / Home Next
12.4. Fracture Meshing


12.4. Fracture Meshing

The CTMOPT macro sets the parameters for meshing the crack tip region of your 3-D fracture analysis. It provides a convenient tool to create the specific crack tip mesh for a crack geometry. More information about CTMOPT is available in Setting Crack Tip Mesh Options (CTMOPT Macro).

After you have defined the crack meshing information, run the CTMESH macro to mesh the area. The CTMESH macro has no arguments (as it meshes based on previously specified CTMOPT parameters). The macro operates on a single volume only and creates the mesh within that volume, although the finite element model is not limited to a single volume.

Although created to allow standard ANSYS-command-style interaction, CTMOPT and CTMESH are not ANSYS commands and are not part of the ANSYS specification set. Inspect the mesh and check the results carefully.

The following example illustrates the use of the CTMOPT and CTMESH macros:

  1. Create or import a 3-D solid model of your entire geometry in ANSYS.

    The location for the crack tip must be “clean” (that is, no crossing lines) and more than thick enough for the crack mesh.

    Figure 12.8 Pump Housing with Minor Flaw

  2. Set options for the crack tip mesh using the CTMOPT macro.

    You can specify whether the analysis involves a surface or through crack, full/half/quarter symmetry, crack dimensions, and more.

  3. Position the working plane on or slightly off of the surface of the solid model.

    Orient the working plane as required for the particular type of crack being modeled. The X-Z plane must also be the crack plane, with the X direction parallel to the direction of the crack extension and the Y axis normal to the crack plane.

    Figure 12.9 Orienting the Working Plane

  4. Issue CTMESH,999 to preview the size, orientation, and position of the crack mesh construction volumes.

    Afterwards, issue a RESUME,ctmesh.db0 command to revert to unmodified geometry before proceeding.

    Hint: For extra safety, save the database (SAVE) under different names after each step in the model-building process.

    Figure 12.10 Potential Mesh Volume with Crack Length and Orientation Defined

  5. Issue CTMESH.

    The crack tip region meshes according to the options previously set via the CTMOPT macro.

    Figure 12.11 The Meshed Volume

After meshing, displacement and stress fields around the crack tip may look something like this.

Figure 12.12 Displacement and Stress in the Crack Tip Region

Following is the entire input necessary for generating the crack tip model shown in this example:

resume, pump_housing,db
/TITLE,Pump housing crack meshing
/PREP7
VLSCAL,1,,,100,100,100, ,0,1  ! METERS TO CM TO HELP BOOLEANS
ET,1,186
KWPLAN,-1,109,107,110
KWPAVE,56,109,110
WPRO,30

! SET CRACK MESH OPTIONS
CTMOPT,VOLU,1
CTMOPT,CONF,SURF
CTMOPT,LENGTH,0.7874
CTMOPT,DEPTH,0.2756

CTMESH     ! CREATE CRACK MESH

! NOW MESH SURROUNDING GEOMETRY
ET,4,187    ! FOR CLARITY (NOT REQUIRED)
TYPE,4
ESIZE
SMRT,7
VMESH,ALL

The ANSYS database file pump_housing.db is available at one of the following locations:

UNIX version:

.../ansys_inc/v110/ansys/data/models

PC version:

...\Program Files\Ansys Inc\V110\ANSYS\data\models

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.3. Numerical Evaluation of Fracture Mechanics Parameters 		Up / Home Next
12.5. Setting Crack Tip Mesh Options (CTMOPT Macro)


12.5. Setting Crack Tip Mesh Options (CTMOPT Macro)

The CTMOPT macro is a tool provided to facilitate meshing operations at the crack tip, and to enhance the quality of the mesh in that area. The macro allows you to input the known data about the crack tip area, to select the appropriate methods, and to complete the meshing operations using the proper elements.

Although the macro is provided in a standard ANSYS command syntax, it is not part of the ANSYS specification set of commands. Exercise case if modifying the macro. Check the resulting mesh and the subsequent analysis results carefully.

- - -

CTMOPT,Option,Val1,Val2

Sets crack tip meshing options for fracture mechanics.

Valid Option values are:

DEFAULT

Resets all options to default values.

STATUS

Lists the current status of all options.

CONFIG

Specifies the crack type and the symmetry condition.

Valid Val1 values:
THROUGH -- Through crack (default)
SURFACE -- Surface crack
Valid Val2 values:
FULL -- Full crack (default)
HALF -- Half crack
QUARTER -- Quarter crack
VOLUME

Val1 -- An existing volume number. A value is required for this option.

LENGTH

Val1 -- Crack length. A value is required for this option.

DEPTH

Val1 -- Crack depth. Valid only for surface (SURFACE) cracks. The default value is half of the crack length (LENGTH / 2).

CNAME

Val1 -- Crack node component. Specify this value in uppercase characters only, enclosed in single quotation marks. Example: 'NODECOMP1'

BLNG

Val1 -- Length of blocks on either side of a through crack (THROUGH). Use this value to sector the length along the sides of the crack into a precise number of elements, or to sector elements of a precise size. The default value is the crack length (LENGTH), where the entire length is devoted to one block.

BWID

Val1 -- Width of blocks on either side of a through crack (THROUGH). The default value is the crack length (LENGTH).

CEXT

Val1 -- Greater-than distance from the working plane to the back of the through crack (THROUGH) crack initial volume. The default value is five times the crack length (5 * LENGTH)

NETH

Val1 -- Number of elements around the crack tip in the THETA direction. The default value derives from the PREP7 command KSCON.

ESCZ

Val1 -- Element size radially outward from crack. The default value is one-tenth of the block width (BWID / 10) for a through crack (THROUGH), or one-tenth of the crack zone radius (radius / 10) for a surface crack (SURFACE).

NROW

Val1 -- Number of rows of elements around the crack tip in a radial direction. The default value is 3.

ETHK

Val1 -- Number of elements through the thickness of a through crack (THROUGH). The default value is 3.

ESZB

Val1 -- Element size along surface crack (SURFACE) zone boundaries. The default value is one-fourth of the crack (LENGTH / 4).

QUAD

Val1 -- Set this value to 1 to generate quad element faces on surface crack (SURFACE) zone boundaries. The default is triangles.

HELP

Lists this helps information.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.4. Fracture Meshing 		Up / Home Next
12.6. Learning More About Fracture Mechanics


12.6. Learning More About Fracture Mechanics

A considerable body of literature exists concerning fracture mechanics. The following list of resources offers a wealth of information but is by no means exhaustive:

  1. Anderson, T. L. Fracture Mechanics -- Fundamentals and Applications. 2nd ed. Boca Raton: CRC, 1994.

  2. Rice, J. R. “A Path Independent Integral and the Approximate Analysis of Strain Concentration by Notched and Cracks.” Journal of Applied Mathematics. 35 (1968): 379-386.

  3. Hutchinson, J. W. “Singular Behavior at the End of a Tensile Crack in a Hardening Material.” Journal of the Mechanics and Physics of Solids. 16, 1 (1968): 13-31.

  4. Rice, J. R. and G. F. Rosengren. “Plane Strain Deformation Near a Crack Tip in a Power Law Hardening Material.” Journal of the Mechanics and Physics of Solids. 16 (1968): 1-12.

  5. Shih, C. F., B. Moran, and T. Nakamura. “Energy Release Rate Along a Three-Dimensional Crack Front in a Thermally Stressed Body.” International Journal of Fracture. 30, 2 (1986): 79-102.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.5. Setting Crack Tip Mesh Options (CTMOPT Macro) 		Up / Home Next
Chapter 13. Composites


Chapter 13. Composites

Composite materials have been used in structures for centuries. In recent times, composite parts have been used extensively in aircraft structures, automobiles, sporting goods, and many consumer products.

Composite materials are those containing more than one bonded material, each with different structural properties. The main advantage of composite materials is the potential for a high ratio of stiffness to weight. Composites used for typical engineering applications are advanced fiber or laminated composites, such as fiberglass, glass epoxy, graphite epoxy, and boron epoxy.

ANSYS allows you to model composite materials with specialized elements called layered elements. After you build your model using these elements, you can perform any structural analysis (including nonlinearities such as large deflection and stress stiffening).

The following topics related to composites are available:

  • Modeling Composites
  • The FiberSIM-ANSYS Interface

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.6. Learning More About Fracture Mechanics 		Up / Home Next
13.1. Modeling Composites


13.1. Modeling Composites

Composites are somewhat more difficult to model than an isotropic material such as iron or steel. Because each layer may have different orthotropic material properties, you must exercise care when defining the properties and orientations of the various layers.

The following composite modeling topics are available:

  • Selecting the Proper Element Type
  • Defining the Layered Configuration
  • Specifying Failure Criteria
  • Composite Modeling and Postprocessing Tips

13.1.1. Selecting the Proper Element Type

The following element types are available to model layered composite materials: SHELL91, SHELL99, SHELL181, SHELL281, SOLSH190, SOLID46, SOLID185 Layered Solid, SOLID186 Layered Solid, and SOLID191.

The element you select depends upon your application and the type of results that must be calculated. See the individual element descriptions to determine if a specific element can be used in your ANSYS product. All layered elements allow failure criterion calculations.

SHELL91 -- Nonlinear Layered Structural Shell Element

Similar to SHELL99, except that it allows up to 100 layers only and does not allow material property matrix input. Unlike SHELL99, however, this element supports plasticity, large-strain behavior, and a special sandwich option. It is also more robust for large-deflection behavior.

SHELL99 -- Linear Layered Structural Shell Element

An 8-node, 3-D shell element with six degrees of freedom at each node. It is designed to model thin to moderately thick plate and shell structures with a side-to-thickness ratio of roughly 10 or greater. For structures with smaller ratios, you may consider using SOLID46. The SHELL99 element allows a total of 250 uniform-thickness layers. Alternately, the element allows 125 layers with thicknesses that may vary bilinearly over the area of the layer. If more than 250 layers are required, you can input your own material matrix. It also has an option to offset the nodes to the top or bottom surface.

SHELL181 -- Finite Strain Shell

A 4-node 3-D shell element with 6 degrees of freedom at each node. The element has full nonlinear capabilities including large strain and allows 255 layers. The layer information is input using the section commands (SECxxxxx) rather than real constants. Failure criteria is available via FC and other FC xxx commands.

SHELL281 -- Finite Strain Shell

An 8-node element with six degrees of freedom at each node. The element is suitable for analyzing thin to moderately-thick shell structures and is appropriate for linear, large rotation, and/or large strain nonlinear applications. The layer information is input using the section commands (SECxxxxx) rather than real constants. Failure criteria is available via FC and other FC xxx commands.

SOLSH190 -- 3-D Layered Structural Solid Shell

An 8-node 3-D solid shell element with three degrees of freedom per node (UX, UY, UZ). The element can be used for simulating shell structures with a wide range of thickness (from thin to moderately thick). The element has full nonlinear capabilities including large strain and allows 250 layers for modeling laminated shells. The layer information is input using the section commands rather than real constants. The element can be stacked to model through-the-thickness discontinuities. Failure criteria is available using the FC commands.

SOLID46 -- 3-D Layered Structural Solid Element

A layered version of the 8-node, 3-D solid SOLID45 element, with three degrees of freedom per node (UX, UY, UZ). You can use it to model thick layered shells or layered solids and allows up to 250 uniform-thickness layers per element. Alternately, the element allows 125 layers with thicknesses that may vary bilinearly over the area of the layer. You can stack several elements to model more than 250 layers to allow through-thickness deformation slope discontinuities. The user-input constitutive matrix option is also available. SOLID46 adjusts the material properties in the transverse direction, permitting constant stresses in the transverse direction. Compared to the 8-node shells, SOLID46 is a lower order element and finer meshes may be necessary for shell applications to obtain the same accuracy as SHELL91 or SHELL99.

SOLID185 Layered Solid -- 3-D Layered Structural Solid Element

A 3-D 8-Node Layered Solid used for 3-D modeling of solid structures. It is defined by eight nodes having three degrees of freedom at each node: translations in the nodal x, y, and z directions. The element has plasticity, hyperelasticity, stress stiffening, creep, large deflection, and large strain capabilities. It also has mixed formulation capability for simulating deformations of nearly incompressible elastoplastic materials, and fully incompressible hyperelastic materials. The element allows for prism and tetrahedral degenerations when used in irregular regions. Various element technologies such as B-bar, uniformly reduced integration, and enhanced strains are supported. Failure criteria is available via FC and other FC xxx commands. Failure criteria is available via FC and other FC xxx commands.

SOLID186 Layered Solid -- 3-D Layered Structural Solid Element

A layered version of the 20-node 3-D solid element SOLID95 with three degrees of freedom per node (UX, UY, UZ). The element has full nonlinear capabilities including large strain and allows 250 layers. The layer information is input using the section commands rather than real constants. The element can be stacked to model through-the-thickness discontinuities. Failure criteria is available via FC and other FC xxx commands.

SOLID191 -- Layered Structural Solid Element

A layered version of the 20-node 3-D solid element SOLID95, with three degrees of freedom per node (UX, UY, UZ). It is designed to model thick layered shells or layered solids and allows up to 100 layers per element. As with SOLID46, this element can be stacked to model through-the-thickness discontinuities. An option is available to adjust the material properties in the transverse direction permitting constant stresses in the transverse direction. Despite its name, the element does not support nonlinear materials or large deflections.

13.1.1.1. Other Element Types with Composite Capabilities

In addition to the layered elements mentioned above, other composite element capabilities exist in ANSYS, but are not considered further here:

  • SOLID95 -- This 20-node structural solid element, with KEYOPT(1) = 1, functions similarly to a single layered SOLID191 including the use of an orientation angle and failure criterion. It allows nonlinear materials and large deflections.

  • SHELL63 -- This 4-node shell element can be used for rough, approximate studies of sandwich shell models. A typical application would be a polymer between two metal plates, where the bending stiffness of the polymer would be small relative to the bending stiffness of the metal plates. The bending stiffness can be adjusted by the real constant RMI to represent the bending stiffness due to the metal plates, and distances from the middle surface to extreme fibers (real constants CTOP, CBOT) can be used to obtain output stress estimates on the outer surfaces of the sandwich shell. It is not used as frequently as SHELL91, SHELL99, SHELL181, or SHELL281, and is not considered for anything other than sandwich structures in this section.

  • SOLID65 -- This 3-D reinforced concrete solid element models an isotropic medium with optional reinforcing in three different user-defined orientations.

  • BEAM188 and BEAM189 -- These 3-D finite strain beam elements can have their sections built up with multiple materials.

13.1.2. Defining the Layered Configuration

The most important characteristic of a composite material is its layered configuration. Each layer may be made of a different orthotropic material and may have its principal directions oriented differently. For laminated composites, the fiber directions determine layer orientation.

Two methods are available for defining the layered configuration:

  • By specifying individual layer properties

  • By defining constitutive matrices that relate generalized forces and moments to generalized strains and curvatures (available only for SOLID46 and SHELL99 )

The following topics related to defining the layered configurationare are available:

  • Specifying Individual Layer Properties
  • Defining the Constitutive Matrices
  • Sandwich and Multiple-Layered Structures
  • Node Offset

13.1.2.1. Specifying Individual Layer Properties

With this method, the layer configuration is defined layer-by-layer from bottom to top. The bottom layer is designated as layer 1, and additional layers are stacked from bottom to top in the positive Z (normal) direction of the element coordinate system. You need to define only half of the layers if stacking symmetry exists.

At times, a physical layer will extend over only part of the model. In order to model continuous layers, these dropped layers may be modeled with zero thickness. Figure 13.1: "Layered Model Showing Dropped Layer" shows a model with four layers, the second of which is dropped over part of the model.

Figure 13.1 Layered Model Showing Dropped Layer

For each layer, the following properties are specified in the element real constant table (R, RMORE, RMODIF) accessed with REAL attributes:

  • Material properties (via a material reference number MAT)

  • Layer orientation angle commands (THETA)

  • Layer thickness (TK)

You can also define layered sections via the Section Tool (Prep>Sections>Shell - Add/edit). For each layer, the following are specified in the section definition via the section commands (SECTYPE, SECDATA) or the Section Tool accessed with the SECNUM attributes.

  • Material properties (via a material reference number MAT)

  • Layer orientation angle commands (THETA)

  • Layer thickness (TK)

  • Number of integration points per layer (NUMPT)

Layer Property Descriptions

Following is more information about each of the layer properties:

  • Material Properties -- As with any other element, the MP command defines the linear material properties, and the TB command is used to define the nonlinear material data tables. (Plasticity is available only for elements SOLID191 and SHELL91). The only difference is that the material attribute number for each layer of an element is specified in the element's real constant table. For the layered elements, the MAT command attribute is used only for the DAMP and REFT arguments of the MP command. The linear material properties for each layer may be either isotropic or orthotropic. Typical fiber-reinforced composites contain orthotropic materials and these properties are most often supplied in the major Poisson's ratio form. Material property directions are parallel to the layer coordinate system, defined by the element coordinate system and the layer orientation angle.

  • Layer Orientation Angle -- Defines the orientation of the layer coordinate system with respect to the element coordinate system. It is the angle (in degrees) between X-axes of the two systems. By default, the layer coordinate system is parallel to the element coordinate system. All elements have a default coordinate system which you can change using the ESYS element attribute (ESYS) . You may also write your own subroutines to define the element and layer coordinate systems (USERAN and USANLY); for more information, see the Guide to ANSYS User Programmable Features.

  • Layer Thickness -- If the layer thickness is constant, you only need to specify TK(I), the thickness at node I. Otherwise, the thicknesses at the four corner nodes must be input. Dropped layers may be represented with zero thickness.

  • Number of integration points per layer -- Allows you to determine in how much detail the program should compute the results. For very thin layers, when used with many other layers, one point would be appropriate. But for laminates with few layers, more would be needed. The default is three points. This feature applies only to sections defined via the SECxxxxx section commands.

Note

The ANSYS GUI allows layer real constant input of up to 100 layers. If more layers are needed for SHELL99 or SOLID46, use the R and RMORE commands.

13.1.2.2. Defining the Constitutive Matrices

This is an alternative to specifying the individual layer properties and is available as an option [KEYOPT(2)] for SOLID46 and SHELL99. The matrices, which represent the force-moment and strain-curvature relationships for the element, must be calculated outside the ANSYS program as outlined in the Theory Reference for ANSYS and ANSYS Workbench. They can be included as part of the solution printout with KEYOPT(10). The main advantages of the matrix approach are:

  • It allows you to incorporate an aggregate composite material behavior.

  • A thermal load vector may be supplied.

  • The matrices may represent an unlimited number of layers.

The terms of the matrices are defined as real constants. Mass effects are incorporated by specifying an average density (real constants AVDENS) for the element. If the matrix approach is used, detailed results in each layer cannot be obtained since individual layer information is not input.

13.1.2.3. Sandwich and Multiple-Layered Structures

Sandwich structures have two thin faceplates and a thick, but relatively weak, core. Figure 13.2: "Sandwich Construction" illustrates sandwich construction.

Figure 13.2 Sandwich Construction

You can model sandwich structures with SHELL63, SHELL91, SHELL181, or SHELL281.

SHELL63 has one layer but permits sandwich modeling through the use of real constants. You can modify the effective bending moment of inertia and the distance from the middle surface to the extreme fibers to account for the weak core.

For SHELL91, the KEYOPT(9) = 1 option specified the sandwich option. The core is assumed to carry all of the transverse shear, while the faceplates carry none; conversely, the faceplates are assumed to carry all (or almost all) of the bending load. Only SHELL91 has this sandwich option.

SHELL181 and SHELL281 model the transverse shear deflection using an energy equivalence method that makes the need for a sandwich option unnecessary.

13.1.2.4. Node Offset

For SHELL181 and SHELL281 using sections defined via the section commands (SECxxxxx), nodes can be offset during the definition of the section via the SECOFFSET command.

For SHELL91 and SHELL99, the node offset option (KEYOPT(11)) locates the element nodes at the bottom, middle, or top surface of the shell. The figures below illustrate how you can conveniently model ply drop-off in shell elements that are adjacent to each other. In Figure 13.3: "Layered Shell With Nodes at Midplane", the nodes are located at the middle surfaces (KEYOPT(11) = 0) and these surfaces are aligned. In Figure 13.4: "Layered Shell With Nodes at Bottom Surface", the nodes are located at the bottom surfaces (KEYOPT(11) = 1) and these surfaces are aligned.

Figure 13.3 Layered Shell With Nodes at Midplane

Figure 13.4 Layered Shell With Nodes at Bottom Surface

13.1.3. Specifying Failure Criteria

Failure criteria are used to learn if a layer has failed due to the applied loads. You can choose from three predefined failure criteria or specify up to six failure criteria of your own (user-written criteria). The three predefined criteria are:

  • Maximum Strain Failure Criterion-- Allows nine failure strains.

  • Maximum Stress Failure Criterion -- Allows nine failure stresses.

  • Tsai-Wu Failure Criterion -- Allows nine failure stresses and three additional coupling coefficients.

The failure strains, stresses, and coupling coefficients may be temperature-dependent. For details about the data required for each criterion, see the Elements Reference .

Failure criteria are orthotropic, so you must input the failure stress or failure strain values for all directions. (The exception is that compressive values default to tensile values.)

If you do not want the failure stress or strain to be checked in a particular direction, specify a large number in that direction.

13.1.3.1. Using the TB and FC Family of Commands

To specify a failure criterion, use either the family of TB commands or the family of FC commands. The TB commands can be used only for SHELL91, SHELL99, SOLID46, or SOLID191. The FC commands can be used for any 2-D or 3-D structural solid element or any 3-D structural shell element.

TB Command Family

The TB commands are TB, TBTEMP, and TBDATA. A typical sequence of commands to specify a failure criterion using these commands is shown below.

TB,FAIL,1,2    ! Data table for failure criterion, material 1,
!  no. of temperatures = 2
TBTEMP,,CRIT        ! Failure criterion key
TBDATA,2,1          ! Maximum Stress Failure Criterion (Const. 2 = 1)
TBTEMP,100          ! Temperature for subsequent failure properties
TBDATA,10,1500,,400,,10000  ! X, Y, and Z failure tensile stresses (Z value
                            !   set to a large number)
TBDATA,16,200,10000,10000   ! XY, YZ, and XZ failure shear stresses
TBLIST
TBTEMP,200          ! Second temperature
TBDATA,...

FC Command Family

The FC commands are FC, FCDELE, and FCLIST. A typical sequence of commands to specify a failure criterion using these commands is shown below.

FC,1,TEMP,,   100,   200  ! Temperatures
FC,1,S,XTEN, 1500,  1200  ! Maximum stress components
FC,1,S,YTEN,  400,   500
FC,1,S,ZTEN,10000,  8000
FC,1,S,XY  ,  200,   200
FC,1,S,YZ  ,10000,  8000
FC,1,S,XZ  ,10000,  8000
FCLIST,      ,100         ! List status of Failure Criteria at 100.0 degrees
FCLIST,      ,150         ! List status of Failure Criteria at 150.0 degrees
FCLIST,      ,200         ! List status of Failure Criteria at 200.0 degrees
PRNSOL,S,FAIL             ! Use Failure Criteria

13.1.3.2. User-Written Failure Criteria

You can specify user-written failure criteria via user subroutines USRFC1 through USRFC6. These subroutines should be linked with the ANSYS program beforehand; see the Advanced Analysis Techniques Guide for a brief description of user-programmable features.

13.1.4. Composite Modeling and Postprocessing Tips

Following are a few helpful hints and tips for modeling and postprocessing composite elements:

  • Dealing with Coupling Effects
  • Obtaining Accurate Interlaminar Shear Stresses
  • Verifying Your Input Data
  • Specifying Results File Data
  • Selecting Elements with a Specific Layer Number
  • Specifying a Layer for Results Processing
  • Transforming Results to Another Coordinate System

13.1.4.1. Dealing with Coupling Effects

Composites exhibit several types of coupling effects, such as coupling between bending and twisting, coupling between extension and bending, etc. This is due to stacking of layers of differing material properties. As a result, if the layer stacking sequence is not symmetric, you may not be able to use model symmetry even if the geometry and loading are symmetric, because the displacements and stresses may not be symmetric.

13.1.4.2. Obtaining Accurate Interlaminar Shear Stresses

Interlaminar shear stresses are usually important at the free edges of a model. For relatively accurate interlaminar shear stresses at these locations, the element size at the boundaries of the model should be approximately equal to the total laminate thickness. For shells, increasing the number of layers per actual material layer does not necessarily improve the accuracy of interlaminar shear stresses. With elements SOLID46, SOLID95, and SOLID191, however, stacking elements in the thickness direction should result in more accurate interlaminar stresses through the thickness. Interlaminar transverse shear stresses in shell elements are based on the assumption that no shear is carried at the top and bottom surfaces of the element. These interlaminar shear stresses are only computed in the interior and are not valid along the shell element boundaries. Use of shell-to-solid submodeling is recommended to accurately compute all of the free edge interlaminar stresses.

13.1.4.3. Verifying Your Input Data

Because a large amount of input data is necessary for composites, it is a good idea to verify the data before proceeding with the solution. The following commands are available for this purpose:

  • ELIST -- Lists the nodes and attributes of all selected elements.

  • EPLOT -- Displays all selected elements. Using the /ESHAPE,1 command before EPLOT causes shell elements to be displayed as solids with the layer thicknesses obtained from real constants or section definition (see Figure 13.5: "Example of an Element Display". This example uses element SHELL99 with /ESHAPE turned on). It also causes SOLID46 elements to be displayed with layers.

  • /PSYMB,LAYR,n followed by EPLOT -- Displays layer number n for all selected layered elements. Use this method to display and verify each individual layer across the entire model.

  • /PSYMB,ESYS,1 followed by EPLOT -- Displays the element coordinate system triad for those elements whose default coordinate system has been changed.

    Figure 13.5 Example of an Element Display

  • LAYLIST -- Lists the layer stacking sequence from real constants and any two material properties for SHELL99, SHELL91, SOLID46, and SOLID191 elements. You can specify a range of layer numbers for the listing.

     LIST LAYERS   1 TO   4 IN REAL SET   1 FOR ELEMENT TYPE   1
 TOTAL LAYERS =   4 LSYM =   1 LP1 =   0 LP2 =   0  EFS  = .000E+00
     NO. ANGLE THICKNESS  MAT
 --- ----- ---------- ---
   1  45.0  0.250       1
   2 -45.0  0.250       2
   3 -45.0  0.250       2
   4  45.0  0.250       1
 ------------------------
 SUM OF THK   1.00

  • LAYPLOT -- Displays the layer stacking sequence from real constants in the form of a sheared deck of cards. (See Figure 13.6: "Sample LAYPLOT Display for [45/-45/ - 45/45] Sequence".) The layers are crosshatched and color coded for clarity. The hatch lines indicate the layer angle (real constant THETA) and the color indicates layer material number (MAT). You can specify a range of layer numbers for the display.

  • SECPLOT -- Displays the section stacking sequence from sections in the form of a sheared deck of cards. (See Figure 13.6: "Sample LAYPLOT Display for [45/-45/ - 45/45] Sequence".) The sections are crosshatched and color coded for clarity. The hatch lines indicate the layer angle (THETA) and the color indicates layer material number (MAT) defined by the SECDATA command. You can specify a range of layer numbers for the display.

13.1.4.4. Specifying Results File Data

By default, only data for the bottom of the first (bottom) layer, top of the last (top) layer, and the layer with the maximum failure criterion value are written to the results file. If you are interested in data for all layers, set KEYOPT(8) = 1. Be aware, though, that this may result in a large results file.

Figure 13.6 Sample LAYPLOT Display for [45/-45/ - 45/45] Sequence

13.1.4.5. Selecting Elements with a Specific Layer Number

Use the ESEL,S,LAYER command to select elements that have a certain layer number. If an element has a zero thickness for the requested layer, the element is not selected.

For energy output, the results are applicable only to the entire element. You cannot get output results for individual layers.

13.1.4.6. Specifying a Layer for Results Processing

Use the LAYER command (in the POST1 postprocessor) or the LAYERP26 (in the POST26 postprocessor) to specify the layer number for which results should be processed.

The SHELL command specifies a TOP, MID, or BOT location within the layer.

The default in POST1 is to store results for the bottom of the bottom layer, and the top of the top layer, and the layer with the maximum failure criterion value. In POST26, the default is layer 1.

If KEYOPT(8) = 1 (data stored for all layers), the LAYER and LAYERP26 commands store the TOP and BOT results for the specified layer number. MID values are then calculated by average TOP and BOT values.

If KEYOPT (8) = 2 is set for SHELL181 or SHELL281 during SOLUTION, then LAYER and LAYERP26 commands store the TOP, BOTTOM, and MID results for the specified layer number. In this case, MID values are directly retrieved from the results file. For transverse shear stresses with KEYOPT(8) = 0, therefore, POST1 can only show a linear variation, whereas the element solution printout or KEYOPT(8) = 2 can show a parabolic variation.

13.1.4.7. Transforming Results to Another Coordinate System

By default, the POST1 postprocessor displays all results in the global Cartesian coordinate system. Issue the RSYS command to transform the results to a different coordinate system. In particular, RSYS,SOLU allows you to display results in the layer coordinate system if LAYER is issued with a nonzero layer number.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 13. Composites 		Up / Home Next
13.2. The FiberSIM-ANSYS Interface


13.2. The FiberSIM-ANSYS Interface

FiberSIM (a product of Vistagy, Inc.) is a fiber draping tool used within popular CAD systems. FiberSIM provides accurate fiber paths for structural analysis, allows you to optimize potential laminate architectures, and generates flat patterns for product definition.

The FiberSIM-ANSYS interface allows you to use the information contained in a FiberSIM .xml file in your ANSYS model. (ANSYS does not use FiberSIM .fml files.) Generated by FiberSIM's draping calculations, the .xml file data contains the order of layers (including dropped layer information) and the layer orientation. In ANSYS, you supplement that information by adding material and thickness information to each layer via ANSYS section (SECxxx) commands.

Elements Supported

The FiberSIM-ANSYS interface applies to the following elements only: SHELL99, SHELL181, SOLID185 Layered Solid, SOLID186 Layered Solid, SOLSH190, and SHELL281. The interface does not support the VT Accelerator or ANSYS DesignXplorer products.

Available Topics

The following FiberSIM-ANSYS interface topics are available:

  • Understanding the FiberSIM XML File
  • Using FiberSIM Data in ANSYS
  • FiberSIM-to-ANSYS Translation Details

13.2.1. Understanding the FiberSIM XML File

The FiberSIM .xml file contains detailed orientation data for each layer in the laminate. Each FiberSIM ply is represented as a triangular facet mesh with node data (X, Y, Z) followed by facet connectivity data (node1, node2, node3, warp, weft). The data is necessary in ANSYS, where the fiber orientation is required over the entire layer surface. You map the FiberSIM .xml data to existing ANSYS elements using the FiberSIM orientation data. The warp and weft are the angles in radians from side node 1 - node 2 of the facet of the two fiber orientations. Hence, warp is used to define the layer orientation. Weft is not used.

For sections incorporating FiberSIM data, the .xml file containing the FiberSIM data must exist in its original format. ANSYS cannot use the data if you have altered the file in any way (for example, by opening the file in an XML editor, making changes, and then saving it again).

ANSYS accepts long ply names (up to 72 characters) if they are present in the FiberSIM file.

In this example, the sample.xml FiberSIM file demonstrates an extremely simple model of a square with five layers, including one partially dropped layer:

<?xml version="1.0"?>
<Laminate_Layup PART_NAME="LAMINATE1">
<Orientation XYZ="0.0 0.0 0.0"/>
<Ply NAME="STEEL">
<Material NAME="PPG-PL-3K-D1" THICKNESS="0.266700" CURED_THICKNESS="0.190500"/>
<Mesh_Point_Table COUNT="4" RECORD="XYZ">
0.000000 0.000000 0.000000<R/>
30.000000 0.000000 0.000000<R/>
0.000000 30.000000 0.000000<R/>
30.000000 30.000000 0.000000<R/>
</Mesh_Point_Table>
<Mesh_Polygon_Table COUNT="2" RECORD="NODES,WARP,WEFT">
1 2 3,0.200000,1.745329<R/>
4 2 3,0.200000,1.745329<R/>
</Mesh_Polygon_Table>
</Ply>
<Ply NAME="ALUM">
<Material NAME="PPG-PL-3K-D1" THICKNESS="0.266700" CURED_THICKNESS="0.170500"/>
<Mesh_Point_Table COUNT="4" RECORD="XYZ">
0.000000 0.000000 0.000000<R/>
30.000000 0.000000 0.000000<R/>
0.000000 30.000000 0.000000<R/>
30.000000 30.000000 0.000000<R/>
</Mesh_Point_Table>
<Mesh_Polygon_Table COUNT="2" RECORD="NODES,WARP,WEFT">
1 2 3,0.400000,1.919862<R/>
4 2 3,0.400000,1.919862<R/>
</Mesh_Polygon_Table>
</Ply>
<Ply NAME="ALUM5">
<Material NAME="PPG-PL-3K-D1" THICKNESS="0.266700" CURED_THICKNESS="0.150500"/>
<Mesh_Point_Table COUNT="4" RECORD="XYZ">
0.000000 0.000000 0.000000<R/>
30.000000 0.000000 0.000000<R/>
0.000000 30.000000 0.000000<R/>
30.000000 30.000000 0.000000<R/>
</Mesh_Point_Table>
<Mesh_Polygon_Table COUNT="2" RECORD="NODES,WARP,WEFT">
1 2 3,0.600000,2.094395<R/>
4 2 3,0.600000,2.094395<R/>
</Mesh_Polygon_Table>
</Ply>
<Ply NAME="ALUM">
<Material NAME="PPG-PL-3K-D1" THICKNESS="0.266700" CURED_THICKNESS="0.130500"/>
<Mesh_Point_Table COUNT="4" RECORD="XYZ">
0.000000 0.000000 0.000000<R/>
30.000000 0.000000 0.000000<R/>
0.000000 30.000000 0.000000<R/>
30.000000 30.000000 0.000000<R/>
</Mesh_Point_Table>
<Mesh_Polygon_Table COUNT="1" RECORD="NODES,WARP,WEFT">
3 4 1,0.800000,2.268928<R/>
</Mesh_Polygon_Table>
</Ply>
<Ply NAME="STEEL">
<Material NAME="PPG-PL-3K-D1" THICKNESS="0.266700" CURED_THICKNESS="0.110500"/>
<Mesh_Point_Table COUNT="4" RECORD="XYZ">
0.000000 0.000000 0.000000<R/>
30.000000 0.000000 0.000000<R/>
0.000000 30.000000 0.000000<R/>
30.000000 30.000000 0.000000<R/>
</Mesh_Point_Table> <Mesh_Polygon_Table COUNT="2" RECORD="NODES,WARP,WEFT">
1 2 3,1.000000,2.443461<R/>
4,2,3,1.000000,2.443461<R/>
</Mesh_Polygon_Table>
</Ply>
</Laminate_Layup>

You may want to examine a FiberSIM .xml file before use to verify that the geometry data in the .xml file and in the ANSYS model use the same system of units and the same coordinate system. An effective method for doing so is to convert each layer to an ANSYS PREP7 input file and then plot it, as follows:

  1. Select the layer of interest and delete the remainder of the file.

  2. Remove the warp and weft angles as well as the <R/> symbols.

  3. Using a spreadsheet program or text editor, convert the nodal and element blocks into ANSYS N and E commands. (Include columns for the command names and commas.)

  4. Add /PREP7 and ET,1,200,4 commands at the beginning of the file.

  5. Run the input file and plot the results.

FiberSIM's XML File Format

Beginning with FiberSIM 5.1, the FiberSIM XML file contains a material-attribute line of code for each ply, similar to the following:

<Material NAME="PPG-PL-3K-D1" THICKNESS="0.266700" CURED_THICKNESS="0.190500"/>

ANSYS uses only the CURED_THICKNESS attribute and ignores the others. ANSYS considers the cured thickness to be the layer thickness when TKFLG = 0 (SECCONTROLS).

Limitations of the FiberSIM XML File

The FiberSIM-ANSYS interface assumes that all layers are built up starting at one side and going through all layers to the other side. FiberSIM has an option where layers are built up from both sides, ending in the middle; however, the interface does not support this option.

The FiberSIM-ANSYS interface supports only “plies,” and not “cores.”

13.2.2. Using FiberSIM Data in ANSYS

The general process for using FiberSIM .xml file data in your ANSYS simulation follows:

  1. Create nodes.

  2. Define material properties.

  3. Specify element types.

  4. Issue section commands (SECTYPE, SECDATA, SECCONTROLS, SECOFFSET, SECREAD, and SLIST) as needed to apply material properties and thickness to flat layers.

  5. Define elements.

  6. Specify nodal DOF constraints as needed.

  7. Solve.

The FiberSIM-ANSYS translation combines the layup order and layer orientations from FiberSIM with the material and thickness information that you provide via ANSYS section (SECxxx) commands.

The following simple input file illustrates each part of the process:

/batch,list
/show,sample,grph
/prep7
/title, Sample FiberSIM input data handling for SHELL99 !
!
! Create nodes
!
n,21
n,22,10
n,23,10,7
n,24,  ,7
!
! Define material properties
!
mp,  ex,1,30e6  ! steel
mp,  ex,2,10e6  ! alum
mp,  ex,3,11e6  ! alum5
mp,prxy,1,.3
mp,prxy,2,.3
mp,prxy,3,.3
mp,dens,1,.00003
mp,dens,2,.00001
mp,dens,3,.00001
!
! Setup for element using section commands and
! FiberSIM data to define layer info !
!
et,2,99,,, ,,1,4
keyopt,2,8,1
sectype,4,shell,fibersim, lamin1
secdata,0.2,1,,,STEEL
secdata,1.0,2,,,ALUM
secdata,0.2,3,,,ALUM5
seccontrols,,,,.05,,,,100,.155,,15,0  !-,-,-,admsua,-,-,-,efs,etol,angtol,debug
secoffset,bot
secread,sample,xml
/com    ==================== issue slist,all
slist,all
!
! Define elements
!
type,2 $real,6 $secn,4 $e,21,22,23,24,25,26,27,28 !
!
! Check information
!
/view,1,4,1,1
/eshape,1
eplot
/com  laylist,1 =========================
laylist,1
/com  layplot,1 =========================
layplot,1
finish
!
! Model is finished
! Apply the loads
!
/solu
outpr,,1
d,all,all
!
! Apply in-plane load
!
d,21,ux,.003
solve
d,all,all
!
! Apply lateral acceleration, acting on the density and added mass !
!
acel,,,100
solve
finish
!
! Examine the results
!
/graphics,power
/post1
nlist,all
set,1,1
layer,5
presol,s,comp
prnsol,s,comp
layer,0
/eshape,1
plnsol,s,x
finish

13.2.3. FiberSIM-to-ANSYS Translation Details

Following is a general description of the process that the ANSYS program uses to convert FiberSIM data for use in an ANSYS simulation:

  1. ANSYS computes the element centroid.

  2. For each layer, ANSYS searches the FiberSIM .xml file to find the first triangular facet that includes the centroid to the tolerances specified via the SECCONTROLS command.

  3. If no facets are found, ANSYS assumes a dropped layer for that element.

  4. If ANSYS finds more than one qualifying facet, it uses only the first one to define the angle of the layer.

  5. If ANSYS finds no facets in any layer, it assumes that an error has occurred and terminates. If you input a non-zero edge tolerance value (SECCONTROLS,,,,,,,,EDGTOL), the error message includes the distance to the nearest FiberSIM triangle.

You can monitor the search process by setting the SECCONTROLS command's NEL option. The option generates debug output for the specified number of elements.

When a layer has darts and the cut ends of the material are brought close together, the layer is not continuous across those parts. Therefore, ensure that a sufficient number of ANSYS elements are defined in those areas so that at least one element across the transition does not include that layer.

For large models, the search process can be time-consuming; therefore, for iterative analyses during the solution phase, ANSYS saves the layer information in the element saved-data file (.ESAV). ANSYS does not save the layer information during preprocessing and postprocessing, however, so operations such as LAYPLOT and PRESOL,S,X may require more time to execute than expected.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.1. Modeling Composites 		Up / Home Next
Chapter 14. Fatigue


Chapter 14. Fatigue

Fatigue is the phenomenon in which a repetitively loaded structure fractures at a load level less than its ultimate static strength. For instance, a steel bar might successfully resist a single static application of a 300 kN tensile load, but might fail after 1,000,000 repetitions of a 200 kN load.

The primary factors that contribute to fatigue failures include:

  • Number of load cycles experienced

  • Range of stress experienced in each load cycle

  • Mean stress experienced in each load cycle

  • Presence of local stress concentrations

A formal fatigue evaluation accounts for each of these factors as it calculates how "used up" a certain component will become during its anticipated life cycle.

The following fatigue-related topics are available:

  • How ANSYS Calculates Fatigue
  • Fatigue Terminology
  • Evaluating Fatigue

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.2. The FiberSIM-ANSYS Interface 		Up / Home Next
14.1. How ANSYS Calculates Fatigue


14.1. How ANSYS Calculates Fatigue

The ANSYS fatigue calculations rely on the ASME Boiler and Pressure Vessel Code, Section III (and Section VIII, Division 2) for guidelines on range counting, simplified elastic-plastic adaptations, and cumulative fatigue summation by Miner's rule.

For fatigue evaluations based on criteria other than those of the ASME Code, you can either write your own macro, or else interface your ANSYS results with an appropriate third-party program (see the ANSYS Parametric Design Language Guide for more information on these two features).

The ANSYS program features the following fatigue-calculation capabilities:

  • You can postprocess existing stress results to determine the fatigue usage factors for any solid-element or shell-element model. (You can also manually input stresses for fatigue evaluation of line-element models.)

  • You can store stresses at a preselected number of locations for a preselected number of events and loadings within the event.

  • You can define stress concentration factors for each location and scale factors for each event.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 14. Fatigue 		Up / Home Next
14.2. Fatigue Terminology


14.2. Fatigue Terminology

A location is a node in your model for which fatigue stresses are to be stored. You would typically choose locations that represent points on the structure that would be susceptible to fatigue damage.

An event is a set of stress conditions that occur at different times during a unique stress cycle. See Guidelines for Obtaining Accurate Usage Factors later in this chapter for more information.

A loading is one of the stress conditions that is part of an event.

The alternating stress intensity is a measure of the difference in stress state between any two loadings. The program does not adjust the alternating stress intensity for mean-stress effects.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.1. How ANSYS Calculates Fatigue 		Up / Home Next
14.3. Evaluating Fatigue


14.3. Evaluating Fatigue

You perform a fatigue evaluation in POST1, the general postprocessor, after you have completed a stress solution. The procedure normally consists of five general steps:

  1. Enter POST1 (/POST1) and resume your database.

  2. Establish the size (the number of locations, events, and loadings), define the fatigue material properties, identify stress locations, and define stress concentration factors.

  3. Store stresses at locations of interest for various events and loadings; assign event repetitions and scale factors.

  4. Activate the fatigue calculations.

  5. Review the results.

The following fatigue-evaluation topics describe each step in detail and provide additional information:

  • Enter POST1 and Resume Your Database
  • Establish the Size, Fatigue Material Properties, and Locations
  • Store Stresses and Assign Event Repetitions and Scale Factors
  • Activate the Fatigue Calculations
  • Review the Results
  • Other Approaches to Range Counting
  • Sample Input

14.3.1. Enter POST1 and Resume Your Database

In order to perform a fatigue evaluation, you need to follow these steps:

  1. Enter POST1.

    Command(s): /POST1
    GUI: Main Menu> General Postproc

  2. Read your database file (Jobname.DB) into active memory. (If your intended fatigue evaluation is a continuation of an ongoing ANSYS session, then Jobname.DB will already be in memory.) A results file (Jobname.RST) with nodal stress results should also be available; you will read results data into memory later.

    Command(s): RESUME
    GUI: Utility Menu> File> Resume from

14.3.2. Establish the Size, Fatigue Material Properties, and Locations

Define the following data:

  • Maximum number of locations, events, and loadings

  • Fatigue material properties

  • Stress locations and stress concentration factors (SCFs)

  1. Define the maximum number of stress locations, events, and loadings.

    By default, your fatigue evaluation can consider up to five nodal locations, ten events, and three loadings within an event. You can use the following option to establish larger dimensions (that is, allow more locations, events, or loadings), if necessary.

    Command(s): FTSIZE
    GUI: Main Menu> General Postproc> Fatigue> Size Settings

  2. Define material fatigue properties.

    In order to calculate usage factors, and to include the effect of simplified elastic-plastic computations, you must define material fatigue properties. The material properties of interest in a fatigue evaluation are:

    • The S-N curve, a curve of alternating stress intensity ((Smax - Smin)/2) versus allowable number of cycles. The ASME S-N curves already account for maximum mean stress effects. You should adjust your S-N curve to account for mean-stress effects, if necessary. If you do not input an S-N curve, alternating stress intensities will be listed in decreasing order for all possible combinations of stress conditions, but no usage factors will be calculated.

      Command(s): FP
      GUI: Main Menu> General Postproc> Fatigue> Property Table> S-N Table

    • The Sm-T curve, a curve of design stress-intensity value versus temperature. This curve is needed if you want the program to detect whether or not the nominal stress range has gone plastic.

      Command(s): FP
      GUI: Main Menu> General Postproc> Fatigue> Property Table> Sm_T Table

    • Elastic-plastic material parameters M and N (strain hardening exponents). These parameters are required only if you desire simplified elastic-plastic code calculations. These parameters' values can be obtained from the ASME Code.

      Command(s): FP
      GUI: Main Menu> General Postproc> Fatigue> Property Table> Elas-plas Par

      The following example illustrates the use of the FP command to input material fatigue properties:

      ! Define the S-N table:
FP,1,10,30,100,300,1000,10000    ! Allowable Cycles, N
FP,7,100000,1000000              !          "
FP,21,650,390,240,161,109,59     ! Alternating Stress-
FP,27,37,26                      ! Intensity Range, S, ksi
! Define the Sm-T table:
FP,41,100,200,300,400,500,600    ! Temperature,°F
FP,47,650,700,750,800            !          "
FP,51,20,20,20,18.7,17.4,16.4    ! "Design Stress-Intensity
FP,57,16.1,15.9.15.5,15.1        ! Value", Sm (=2/3*Sy or
                                 ! 1/3 *Su), ksi
! Define the elastic-plastic material parameters:
FP,61,1.7,.3                     !   M and N

  3. Define stress locations and stress concentration factors.

    The following option allows you to explicitly define a nodal location of interest to your fatigue evaluation, define stress concentration factors (SCFs) for that location, and assign a short (20 character) title to that location.

    Command(s): FL
    GUI: Main Menu> General Postproc> Fatigue> Stress Locations

Note

Not all fatigue analyses will require the FL command. Locations are automatically defined for nodes when FS, FSNODE, or FSSECT are issued (see below). If your model contains sufficient grid detail, your stresses could be accurate enough that you would not need to apply calculated SCFs. (Supplemental SCFs for surface, size, or corrosion effects might still be required, however.) Where only one location is being examined, you could omit a title. If explicit definition of locations, SCFs, or titles are not required, you could forgo the FL command entirely.

Here is an example of some FL commands for a cylinder with a global Y axis, having two wall thicknesses of interest, where SCFs are to be applied (to the axial linearized stresses) at the outside wall.

FL,1,281,,,,Line 1 at inside
FL,2,285,,1.85,,Line 1 at outside
FL,3,311,,,,Line 2 at inside
FL,4,315,,2.11,,Line 2 at outside

Figure 14.1 Cylinder Wall with Stress Concentration Factors (SCFs)

14.3.3. Store Stresses and Assign Event Repetitions and Scale Factors

14.3.3.1. Storing Stresses

In order to perform a fatigue evaluation, the program must know the stresses at different events and loadings for each location, as well as the number of repetitions of each event. You can store stresses for each combination of location, event, and loading, using the following options:

  • Manually stored stresses

  • Nodal stresses from Jobname.RST

  • Stresses at a cross-section

Caution

The program never assumes that a "zero" stress condition exists. If zero stress is one of the conditions to be considered, it must be explicitly input for each event in which it may occur.

The following command sequences schematically illustrate how to store stresses. In some situations, you might prefer to use LCASE instead of SET.

Manually stored stresses: | FS
Nodal stresses retrieved from Jobname.RST: | SET, FSNODE
Stresses at a cross-section: | PATH, PPATH, SET, FSSECT
(Cross-section calculations also require data from Jobname.RST.)

You can use more than one method of storing stresses in an event. Each of these methods is explained in detail below.

14.3.3.1.1. Manually Stored Stresses

You can use this option to store stresses and the temperature "manually" (without direct access to the results file Jobname.RST). In such cases, you are not using the fatigue module in POST1 as a postprocessor, but simply as a fatigue calculator. Line elements, such as beams, must be handled in this way since the fatigue module is not able to access data from a results file other than for solid elements or shell elements.

Command(s): | FS
GUI: | Main Menu> General Postproc> Fatigue> Store Stresses> Specified Val

Command input for this option is demonstrated by the following example:

FS,201,1,2,1,-2.0,21.6,15.2,4.5,0.0,0.0
FS,201,1,2,7,450.3

In this example, only the total stresses (items 1-6) and the temperature (item 7) are input. If the linearized stresses were also to be input, they would follow the temperatures as items 8 through 13.

Note

In the special case of a beam element having only axial stress, you would input only one stress component (SX), leaving the rest of the stress fields blank.

14.3.3.1.2. Nodal Stresses from Jobname.RST

When you use this option, you cause a nodal stress vector containing six stress components to be stored directly from the results database. Stress components stored with this option can be modified with a subsequent FS command.

Note

You must issue a SET command, and possibly a SHELL command, before executing FSNODE. SET will read results for a particular load substep from the results file (Jobname.RST) into the database. SHELL allows you to select results from the top, middle, or bottom surfaces for shell elements (default is the top surface).

Command(s): | FSNODE
GUI: | Main Menu> General Postproc> Fatigue> Store Stresses> From rst File

Input by means of FSNODE is demonstrated by the following example for an event at one nodal location:

SET,1               ! Define data set for load step 1
FSNODE,123,1,1      ! Stress vector at node 123 assigned to event 1,
                    !  loading 1.
SET,2               ! Define data set for load step 2
FSNODE,123,1,2      ! ...event 1, loading 2
SET,3               ! ...load step 3
FSNODE,123,1,3      ! ...event 1, loading 3

Figure 14.2 Three Loadings in One Event

14.3.3.1.3. Stresses at a Cross-Section

This option calculates and stores total linearized stresses at the ends of a section path (as defined by a preceding PATH and PPATH command). Because you will normally want the linearization to take place over a thickness representing the shortest distance between the two surfaces, use only the two surface nodes to describe the path in the PPATH command. This option retrieves stress information from the results database; therefore FSSECT must also be preceded by a SET command. Stress components stored with an FSSECT command can be modified with a subsequent FS command.

Command(s): | FSSECT
GUI: | Main Menu> General Postproc> Fatigue> Store Stresses> At Cross Sect

Input by means of FSSECT is demonstrated in the following example. If node locations are not assigned with an FL command, the FSSECT commands in this example will automatically assign location numbers to the two path nodes, 391 and 395. (See Figure 14.3: "Surface Nodes are Identified by PPATH Prior to Executing FSSECT".)

      PATH,Name,2        ! Define the path using the two surface nodes
      PPATH,1,391
      PPATH,2,395
      SET,1
      FSSECT,,1,1        ! Store stresses at nodes 391 and 395

Figure 14.3 Surface Nodes are Identified by PPATH Prior to Executing FSSECT

14.3.3.2. Listing, Plotting, or Deleting Stored Stresses

Use the following options to list, plot, or delete stored stresses.

  • List the stored stresses per location, per event, per loading, or per stress condition:

    Command(s): FSLIST
    GUI: Main Menu> General Postproc> Fatigue> Store Stresses> List Stresses

  • Display a stress item as a function of loading number for a particular location and event:

    Command(s): FSPLOT
    GUI: Main Menu> General Postproc> Fatigue> Store Stresses> Plot Stresses

  • Delete a stress condition stored for a particular location, event, and loading:

    Command(s): FSDELE
    GUI: Main Menu> General Postproc> Fatigue> Store Stresses> Dele Stresses

  • Delete all stresses at a particular location:

    Command(s): FL
    GUI: Main Menu> General Postproc> Fatigue> Stress Locations

  • Delete all stresses for all loadings in a particular event:

    Command(s): FE
    GUI: Main Menu> General Postproc> Fatigue> Erase Event Data

14.3.3.3. Assigning Event Repetitions and Scale Factors

This option assigns the number of occurrences to the event numbers (for all loadings at all locations of the event). It can also be used to apply scale factors to all of the stresses that make up its loadings.

Command(s): | FE
GUI: | Main Menu> General Postproc> Fatigue> Assign Events

An example of this command usage is given below:

FE,1,-1         ! Erase all parameters and fatigue stresses formerly
                          !  used for event 1.
FE,2,100,1.2    ! Assign 100 occurrences to events 2, 3 and 4,
*REPEAT,3,1     !  and scale by 1.2.
FE,5,500        ! Assign 500 occurrences to event 5.

14.3.3.4. Guidelines for Obtaining Accurate Usage Factors

Structures are usually subjected to a variety of maximum and minimum stresses, which occur in unknown (or even random) order. Therefore, you must take care to achieve an accurate count of the number of repetitions of all possible stress ranges, in order to obtain a valid fatigue usage factor.

The ANSYS program automatically calculates all possible stress ranges and keeps track of their number of occurrences, using a technique commonly known as the "rain flow" range-counting method. At a selected nodal location, a search is made throughout all of the events for the pair of loadings (stress vectors) that produces the most severe stress-intensity range. The number of repetitions possible for this range is recorded, and the remaining number of repetitions for the events containing these loadings is decreased accordingly. At least one of the source events will be "used up" at this point; remaining occurrences of stress conditions belonging to that event will subsequently be ignored. This process continues until all ranges and numbers of occurrences have been considered.

Caution

It can be surprisingly easy to misuse the range-counting feature of the fatigue module. You must take pains to assemble events carefully if you want your fatigue evaluation to yield accurate usage factors.

Consider the following guidelines when assembling events:

  • Understand the internal logic of the ANSYS range-counting algorithm. See the Theory Reference for ANSYS and ANSYS Workbench for more details on how the ANSYS program performs range counting.

  • Because it can be difficult to predict the exact load step at which a maximum (or minimum) 3-D stress state occurs, good practice often requires that you include several clustered loadings in each event, in order to successfully capture the extreme stress state. (See Figure 14.2: "Three Loadings in One Event".)

  • You will obtain consistently conservative results if you include only one extreme stress condition (either a local maximum or a local minimum) in any given event. If you group more than one extreme condition in a single event, you will sometimes generate unconservative results, as illustrated by the following example:

Consider a load history made up of two slightly different cycles:

Load Cycle 1: 500 repetitions of Sx = +50.0 to -50.1 ksi

Load Cycle 2: 1000 repetitions of Sx = +50.1 to -50.0 ksi

These load cycles will obviously sum to 1500 repetitions having an alternating stress intensity of about 50 ksi. However, carelessly grouping these loadings into only two events will result in an inaccurate range count. Let's see how this would happen:

Event 1,
loading 1: Sx = 50.0
loading 2: Sx = -50.1
500 repetitions
Event 2,
loading 1: Sx = 50.1
loading 2: Sx = -50.0
1000 repetitions

The possible alternating stress intensities are:

a. | From E1,L1 to E1,L2: | 50.05 ksi
b. | From E1,L1 to E2,L1: | 0.05 ksi
c. | From E1,L1 to E2,L2: | 50.00 ksi
d. | From E1,L2 to E2,L1: | 50.10 ksi
e. | From E1,L2 to E2,L2: | 0.05 ksi
f. | From E2,L1 to E2,L2: | 50.05 ksi

Sorting these combinations by decreasing alternating stress intensity gives:

d. | From E1,L2 to E2,L1: | 50.10 ksi
a. | From E1,L1 to E1,L2: | 50.05 ksi
f. | From E2,L1 to E2,L2: | 50.05 ksi
c. | From E1,L1 to E2,L2: | 50.00 ksi
b. | From E1,L1 to E2,L1: | 0.05 ksi
e. | From E1,L2 to E2,L2: | 0.05 ksi

The range counting then proceeds as follows:

d. | 500 cycles of E1,L2 to E2,L1 | - this uses up 500 cycles of E1 and E2
a. | 0 cycles of E1,L1 to E1,L2 | - E1 is all used up
f. | 500 cycles of E2,L1 to E2,L2 | - this uses up 500 more cycles of E2
c. | 0 cycles of E1,L1 to E2,L2 | - both events are all used up
b. | 0 cycles of E1,L1 to E2,L1 | - both events are all used up
e | 0 cycles of E1,L2 to E2,L2 | - both events are all used up

Thus, only 1000 repetitions of about 50 ksi range would be counted, instead of the known 1500 cycles. This error results solely from improper assembly of events.

If the loadings had each been described as separate events (such that E1,L1 [image] E1; E1,L2 [image] E2; E2,L1 [image] E3; and E2,L2 [image] E4), then the following range counts would be obtained:

d. | 500 cycles of E2 to E3 | - this uses up 500 cycles of E2 and E3
a. | 0 cycles of E1 to E2 | - E2 is all used up
f. | 500 cycles of E3 to E4 | - uses up 500 more cycles of E3, and 500 of E4
c. | 500 cycles of E1 to E4 | - uses up 500 more cycles of E4
b. | 0 cycles of E1 to E3 | - E3 is all used up
e. | 0 cycles of E2 to E4 | - E2 and E4 are both all used up

Cumulative fatigue damage in this case would properly be calculated for 1500 repetitions of about 50 ksi range.

  • Conversely, using separate events for each maximum and each minimum stress condition could sometimes become too conservative. In such cases, carefully choose those loadings that should be counted together, and group them into the same events. The following example illustrates how some events can appropriately contain multiple extreme stress conditions:

Consider a load history made up of these two load cycles:

  • Load Cycle 1: 500 repetitions of Sx = +100.1 to +100.0 ksi

  • Load Cycle 2: 1000 repetitions of Sx = +50.1 to +50.0 ksi

It is readily apparent that the worst possible combination of these cycles would yield 500 repetitions having alternating stress intensity of about 25 ksi range.

Proceeding as in the above example, grouping these loadings into two events would produce an accurate count of 500 repetitions of about 25 ksi range. Treating each loading as a separate event would yield an over-conservative count of 1000 repetitions of about 25 ksi range.

14.3.4. Activate the Fatigue Calculations

Now that you have locations, stresses, events, and material parameters all specified, you can execute the fatigue calculations at a specified location. The location is specified by either the location number or the node itself.

Command(s): | FTCALC
GUI: | Main Menu> General Postproc> Fatigue> Calculate Fatig

14.3.5. Review the Results

Fatigue calculation results are printed in the output. If you have routed your output [/OUTPUT] to a file (for example Jobname.OUT), then you can review the results by listing that file.

Command(s): | *LIST
GUI: | Utility Menu> List> Files> Other> Jobname.OUT

If you have input an S-N curve, output is in the form of a table of alternating stress intensities (listed in decreasing order) with corresponding pairs of event/loadings, as well as cycles used, cycles allowed, temperature, and partial usage factor. Following that, the cumulative usage factor is shown for that particular location. This information is repeated for all locations.

As has been just mentioned, FTCALC output shows the contributing pairs of events and loadings for any given alternating stress-intensity range. This information can help you isolate the transients (events/loadings) causing the most fatigue damage.

A convenient way to modify your events would be to write all stored fatigue data on Jobname.FATG. (This option could be executed either before or after FTCALC.) Data are written to Jobname.FATG in terms of equivalent fatigue module commands. You can modify your events by editing Jobname.FATG; then use the /INPUT command to reread the modified fatigue commands.

Command(s): | FTWRITE
GUI: | Main Menu> General Postproc> Fatigue> Write Fatig Data

14.3.6. Other Approaches to Range Counting

Earlier, we discussed the "rain flow" range-counting method. This technique is useful whenever the exact time-history of various loadings is not known. However, if in your fatigue analysis the time-history is known, you can avoid the undue conservatism of this procedure simply by running a separate fatigue analysis [FTCALC] for each sequential event and then adding the usage factors manually.

14.3.7. Sample Input

A sample input listing for a fatigue evaluation is shown below:

!  Enter POST1 and Resume the Database:
/POST1
RESUME,...
!  Number of Locations, Events, and Loadings
FTSIZE,...
!  Material Fatigue Properties:
FP,1,....     !  N values
FP,21,...     !  S values
FP,41,...     !  T values
FP,51,...     !  Sm values
FP,61,...     !  Elastic-plastic material parameters
!  Locations, Stress Concentration Factors, and Location Titles
FL,...
!  Store Stresses (3 Different Methods)
  !  Store Stresses Manually:
    FS,...
  !  Retrieve Stresses from the Results File:
    SET,...
    FSNODE,...
  !  Store Stresses at a Cross-Section:
    PPATH,...
    SET,...
    FSSECT,...
!  Event Repetitions and Scale Factors
FE,...
!  Activate the Fatigue Calculations
FTCALC,...
!  Review the Results (List the output file)
FINISH

See the Commands Reference for a discussion of the FTSIZE, FP, FL, FS, FSNODE, PPATH, FSSECT, FE, and FTCALC commands.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.2. Fatigue Terminology 		Up / Home Next
Chapter 15. p-Method Structural Static Analysis


Chapter 15. p-Method Structural Static Analysis

The p-method obtains results such as displacements, stresses, or strains to a user-specified degree of accuracy. To calculate these results, the p-method manipulates the polynomial level (p-level) of the finite element shape functions which are used to approximate the real solution.

The feature works by solving a finite element mesh at a given p-level, increasing the p-level selectively, then solving the mesh again. After each iteration, the results are compared for convergence against a set of convergence criteria. You can specify the convergence criteria to include displacement, rotation, stress or strain at a point (or points) in the model, and global strain energy. The higher the p-level, the better the finite element approximation to the real solution.

Although the p-method is most efficient when meshes are generated with the intention that p-elements will be used, it is not necessary to work only within the confines of p-generated meshes. While you may create and mesh your model using p-elements exclusively, you can also perform a p-method solution using meshes that have been generated with h-elements (generated by ANSYS or your CAD package), if the elements are at least mid-noded; this option allows you to take advantage of the p-method solution option regardless of how the mesh was created. The p-method can improve the results for any mesh automatically.

The following p-method topics are available:

  • Benefits of the p-Method
  • Using the p-Method
  • Sample p-Method Analysis (GUI Method)
  • Sample p-Method Analysis (Command or Batch Method)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.3. Evaluating Fatigue 		Up / Home Next
15.1. Benefits of the p-Method


15.1. Benefits of the p-Method

The p-method solution option offers many benefits for linear structural static analyses that are not available with the more traditional h-method, discussed elsewhere in this documentation. The most convenient benefit is the ability to obtain good results to a desired level of accuracy without rigorous user-defined meshing controls. If you are new to finite element analysis or do not have a solid background in mesh design, you might prefer this method since it relieves you of the task of manually designing an accurate mesh.

In addition, the p-method adaptive refinement procedure offers error estimates that are more precise than those of the h-method, and can be calculated locally as well as globally (for example, stress at a point rather than strain energy). For example, if you need to obtain highly accurate solutions at a point, such as for fracture or fatigue assessments, the p-method offers an excellent means of obtaining these results to the required accuracy.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 15. p-Method Structural Static Analysis 		Up / Home Next
15.2. Using the p-Method


15.2. Using the p-Method

The procedure for a p-method static analysis consists of four main steps:

  1. Select the p-method procedure.

  2. Build the model.

  3. Apply loads and obtain the solution.

  4. Review the results.

Each step is discussed in detail in the following sections.

15.2.1. Select the p-Method Procedure

You can activate the p-method solution procedure in two ways: through the GUI or by defining a p-element [ET].

  • Activating p-method through the GUI:

    Command(s): /PMETH
    GUI: Main Menu> Preferences> p-method

  • Defining a p-element: The p-method solution procedure can also be activated by defining a p-element. If you are working outside of the GUI, the definition of a p-element lets the program know that a p-method solution is to be done; no other commands are necessary to initiate p-method. From within the GUI, you can also issue the ET command in the "Input Window" to activate the p-method procedure. (Remember, the ET command must be entered in the "Input Window," since, by default, only h-elements are displayed in the GUI unless p-method is active.)

    Command(s): ET
    GUI: Main Menu> Preprocessor> Element Type> Add/Edit/Delete

15.2.2. Build the Model

In order to build a model with p-elements, you must follow the procedure listed below.

  1. Define the element types.

  2. Specify material properties and/or real constants.

  3. Define the model geometry.

  4. Mesh the model into solid or shell elements.

The above steps are common to most analyses. The Modeling and Meshing Guide explains those steps in detail. In this section we will explain the techniques that are unique to a p-analysis.

15.2.2.1. Define the Element Types

You can use the following five p-elements to build your model:

  • 2-D Quadrilateral (PLANE145)

  • 2-D Triangle (PLANE146)

  • 3-D Brick (SOLID147)

  • 3-D Tetrahedron (SOLID148)

  • 3-D Shell (SHELL150)

Note

H-elements and p-elements cannot be active at the same time in your model.

15.2.2.1.1. Specifying a p-Level Range

Various options are available for use with p-elements. One important option is the ability to specify, either locally or globally, a range in which the p-level may vary.

The range within which the p-level may vary can be controlled locally through the p-element KEYOPT settings (KEYOPT(1) and KEYOPT(2)), or globally across the entire model with PPRANGE. By default, the p-level range is 2 to 8.

When both KEYOPT values and PPRANGE have been used to specify p-level ranges, the local p-level range [ET] will take precedence over the global p-level range [PPRANGE].

For example, if you set a global p-level range between 3 and 8 with PPRANGE, then define a local p-level range of 4 to 6 for PLANE145 elements (ET,1,145,4,6), the p-level for the PLANE145 elements may only vary between 4 and 6, while the rest of the model may vary between 3 and 8.

At the (default) starting p-level of 2, convergence checking is performed to determine those elements which are converged and may have their p-level fixed at 2. That is, these elements will remain at a p-level of 2, and will be eliminated from any further convergence checking. Additional checking is performed at each iteration to fix the p-levels of the elements which are converged.

Note

Convergence checking for SHELL150 begins at a p-level of 3 instead of a p-level of 2.

Use local p-range control to eliminate regions of little importance from high p-escalation. Use global p-range control for overall control of the p-level. These range controls are not necessary, but p-escalations to high p-levels increase CPU time. Therefore, it is advantageous to have such controls available.

  • Defining a local p-level range:

    Command(s): ET
    GUI: Main Menu> Preprocessor> Element Type> Add/Edit/Delete

  • Defining a global p-level range:

    Command(s): PPRANGE
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> p-Method> Set p-range

See the Elements Reference for complete descriptions of each of the above element types.

15.2.2.2. Specify Material Properties and/or Real Constants

15.2.2.2.1. Material Properties

Material properties for p-elements may be either constant or temperature-dependent, and isotropic or orthotropic. As with other structural analyses, if you plan to apply inertia loads (such as gravity or rotational velocity), you must also specify the density (DENS) that is required for mass calculations. Young's modulus (EX) must be defined, and if thermal loads (temperatures) are to be applied, a coefficient of thermal expansion (ALPX) must be specified.

Command(s): | MP
GUI: | Main Menu> Preprocessor> Material Props> Material Models> Structural> Density Main Menu> Preprocessor> Material Props> Material Models> Structural> Linear> Elastic> Isotropic Main Menu> Preprocessor> Material Props> Material Models> Structural> Thermal Expansion Coef> Isotropic

Caution

Element coordinate systems [ESYS] used for orthotropic material directions are not supported by p-elements. All element coordinate systems are parallel to the global Cartesian coordinate system.

15.2.2.2.2. Real Constants

You may define optional thicknesses for 2-D elements and thicknesses for SHELL150 as real constants. Thicknesses must be defined for SHELL150.

Command(s): | R
GUI: | Main Menu> Preprocessor> Real Constants

15.2.2.3. Define the Model Geometry

You can create your model using any of the various techniques outlined in the Modeling and Meshing Guide, or you can import it from a CAD system using ANSYS Connection product. If you are generating your model from within ANSYS, you can use either solid modeling or direct generation techniques.

Note

Using direct generation is not recommended when you plan to create a p-mesh since all p-elements require that midside nodes be included in their geometric definition. In cases where surface curvature is important, it would not only be tedious, but possibly imprecise to manually define each midside node. In addition, the EMID command does not place nodes on a curved line. It is much more convenient to let the program generate the midside nodes using solid modeling.

You may not drop any midside nodes from p-elements.

If you use direct generation or import your mesh from an outside source, keep the following guidelines in mind:

  • A curved element edge should not cover more than a 30° arc.

  • The angles between adjacent edges should be between 10° and 170°. Element shape checking will warn that adjacent edges should be between 30° and 150°, but it is usually acceptable to have angles in the range of 10° to 170° for p-elements.

  • A good rule of thumb is to keep the aspect ratio (ratio of element length to width) less than 20:1.

15.2.2.4. Mesh the Model into Solid or Shell Elements

15.2.2.4.1. Using Program Defaults

After you have generated your solid model, you are ready to mesh it with p-elements. The general procedure for meshing your solid model is outlined in "Generating the Mesh" in the Modeling and Meshing Guide. Compared to h-elements, the program will generate a coarser mesh under default settings for p-elements. Normally, you will not need to specify any meshing size controls because the program defaults will give you an adequate mesh. In addition, each element's p-level will be manipulated during solution to obtain accurate and efficient results. For engineering design studies, the accuracy obtained with a relatively coarse, ungraded mesh is usually sufficient. (A graded mesh is one where there are more elements near an area of interest. These elements are smaller relative to the other areas of the model, and a transition region occurs from the large to the smaller elements.)

Note

Adaptive meshing is not valid with a p-method analysis.

15.2.2.4.2. Specifying Mesh Controls

By default, the DESIZE command controls automatic element sizing. For free meshing, you have the option of using the SmartSize feature [SMRTSIZE] to control element sizing. SmartSizing generally produces a better quality mesh and is recommended for meshing a p-element model. (SmartSizing is not available for mapped meshing.)

Command(s): | SMRTSIZE
GUI: | Main Menu> Preprocessor> Meshing> Size Cntrls> SmartSize> Basic

or

Command(s): | DESIZE
GUI: | Main Menu> Preprocessor> Meshing> Size Cntrls> Manual Size> Global> Other

Note

Since p-method prefers a coarser mesh, the default element size values for a p-method analysis are different than those used for h-elements. See the SMRTSIZE and DESIZE commands for details.

For fracture or fatigue assessments, you may still need to specify meshing controls because the mesh must be fine enough to obtain the desired accuracy near the areas of interest. In certain cases, such as when there are severe geometric transition regions, you may also need to specify mesh controls to avoid a meshing failure.

You may also want to specify meshing controls for curved geometries, where successful meshes are more difficult to achieve with the default size settings. Under default conditions, badly shaped elements may be produced because of the difficulty of filling a curved domain with as few elements as possible. User-defined meshing controls can make the task less difficult.

15.2.2.4.3. Guidelines for Creating a Good Mesh

  • Subdivide complex geometries, or build them as separate geometries. As a general rule, if you were to stand inside a volume, you should be able to see all of its vertices. If this is not possible, you might wish to consider subdividing the volume into more manageable pieces.

  • The number of divisions on lines "parallel" and near to each other should be fairly equivalent. The SmartSizing method of meshing [SMRTSIZE] handles this situation well. However, if the DESIZE method of element sizing is used, you should set local mesh controls to achieve a good mesh in these areas.

  • For beam-like or shell-like models, use one element through the thickness in the meshed model. SmartSizing will do this automatically. However, if you are using DESIZE for meshing, set the default element size [MINH] to 1 [DESIZE,,1].

Figure 15.1 Fan Model Showing p-Element vs. h-Element Meshes

15.2.3. Additional Information for Building Your Model

15.2.3.1. Viewing your element model

A subgrid approach is used for plotting the model in which the amount of displayed element curvature can be controlled. You may display varying degrees of curvature in your model by specifying the number of facets to be used for element display. Facets are piecewise linear approximations of the actual curve represented by the element face or edge. A greater number of facets will result in a smoother representation of the element surface for p-element plots. PowerGraphics is the default graphics display method used for p-method plots. This method will display the plot at a much faster speed than the Full Model method. See "PowerGraphics" in the Basic Analysis Guide for more information on PowerGraphics. For more information on /EFACET, see the discussion on the p-Element Subgrid later in this section.

Command(s): | /EFACET
GUI: | Utility Menu> PlotCtrls> Style> Size and Shape

15.2.3.2. Coupling

You may couple degrees of freedom (DOFs) between nodes on p-elements to control nodal solution behavior. All coupled nodes are forced to assume the same displacement values in the specified nodal coordinate direction. The amount of this displacement is unknown until the analysis has been completed.

Command(s): | CP
GUI: | Main Menu> Preprocessor> Coupling/Ceqn> Couple DOFs

The first degree of freedom defined on the coupled set is the "prime" degree of freedom. All other degrees of freedom in the coupled set are eliminated from the solution matrices as a result of their relationship to the prime degree of freedom.

Note

For p-elements, only the corner nodes may be defined as prime degrees of freedom if midside nodes are also part of the same coupled set.

For a p-method analysis, only the nodal combinations described below are permitted when coupling, and any deviation from these combinations will most likely result in singularities.

15.2.3.2.1. Coupling of Corner Nodes

  1. Two nodes are coupled within the same element.

    Figure 15.2 Coupled Nodes on One Element

  2. Two nodes are coupled between adjacent element edges/faces.

    Figure 15.3 Nodes Coupled Between Adjacent Elements

15.2.3.2.2. Midside Node Coupling

  1. Both corner nodes on the element's edge or face are part of the same coupled set. Only the corner nodes may be defined as prime degrees of freedom.

    Figure 15.4 Both Corner Nodes are Coupled

  2. All nodes in the coupled set are midside nodes. In this case, a midside node must be defined as the prime degree of freedom, but this is only valid as long as there are no corner nodes defined as part of the same coupled set.

    Figure 15.5 All Coupled Nodes are Midside Nodes

Note

If you have coupled faces or edges on a p-element (that is, all edges of the element's face or all nodes of the element's edge are coupled), the p-level of that edge or face will be held to 2. In addition, constraint equations (used to represent relatively rigid parts) are not available in a p-method analysis.

15.2.4. Apply Loads and Obtain the Solution

In this section you will take the following steps to obtain a solution for your model:

  1. Enter SOLUTION.

    Command(s): /SOLU
    GUI: Main Menu> Solution

  2. Define the analysis options. Choose any of three options to solve the simultaneous equations generated by a p-method analysis. These solvers are discussed at length in "Solution" in the Basic Analysis Guide.

    • Frontal equation solver

    • Jacobian Conjugate Gradient equation solver (JCG)

    • Preconditioned Conjugate Gradient equation solver (PCG) (recommended)

      Command(s): EQSLV
      GUI: Main Menu> Solution> Analysis Type> Sol'n Control ( : Sol'n Options Tab)
      Main Menu> Solution> Unabridged Menu> Analysis Type> Analysis Options

    We generally recommend that you use the PCG solver for a p-element analysis. For most 3-D solid models and for very large 2-D models (usually greater than 40,000 DOF), the PCG solver is usually faster than the JCG and frontal solvers:

    • The PCG solver is about 5 to 10 times faster than the frontal solver for p-elements.

    • The PCG solver is significantly faster than JCG for p-elements.

    • Computer-time savings will be greater with the PCG solver when p-levels of 4 and higher are active.

    In certain cases, such as when your model contains elements with high aspect ratios or material type discontinuities, a greater number of iterations may be required to achieve convergence for the PCG solver. You may increase the maximum number of iterations by using the MULT option on the EQSLV command. This option is only valid when solving with the PCG solver. See the EQSLV command description in the Commands Reference for more information on this capability.

    For more information on the general use of the PCG solver, refer to "Solution" in the Basic Analysis Guide.

  3. Apply the loads to the solid model (keypoints, lines, areas, etc.) or to the finite element model (nodes and elements), except for inertia loads (gravity, rotational velocity, etc.), which are independent of the model. For a general discussion of solid model loads versus finite element loads, see "Loading" in the Basic Analysis Guide.

    Internal Degrees of Freedom and Nodal Coordinate Systems

    In order to correctly apply boundary conditions, you need to understand nodal coordinate systems, and how degrees of freedom (DOFs) which are not attached to a node are handled. DOFs are the allowed motions or deformations of the elements. Those DOFs which are not attached to a node are referred to as internal degrees of freedom.

    • Internal DOFs allow the elements to form a better approximation to the real solution. As the p-level is increased for each loop, more DOFs are added to the elements. Some of these DOFs act on the element boundary (edges and interior faces) resulting in deformations that vary from a polynomial order of 2 to 8. In many cases, the higher the p-level, the more complex the deformation, and the better the approximation to the real solution.

    • Nodal coordinate systems orient the degree of freedom directions at each node. Each node has its own nodal coordinate system, which, by default, is parallel to the global Cartesian system (regardless of the coordinate system in which the node was defined). Nodes may be rotated into a nodal coordinate system [NROTAT] (Main Menu> Preprocessor> Modeling> Move/Modify> Rotate Node CS> To Active CS). The constraints and forces are then applied to the nodes in the nodal coordinate systems. See the Modeling and Meshing Guide for more details about nodal coordinate systems.

    The program aligns the internal DOFs with the nodal coordinate systems as defined by the nodes on the element face or edge.

    Displacement constraints applied to nodes with rotated nodal coordinate systems are applied to the internal DOFs on an element edge or face only if ALL the nodes defining that edge or face are also rotated into that same coordinate system (see Figure 15.6: "Constraints on Rotated Nodes"). Therefore any symmetry/antisymmetry displacement boundary conditions applied to the nodes on adjoining surfaces should reference the same coordinate system. If you apply the symmetry/antisymmetry displacement boundary conditions to areas or lines, you should verify that the constraints all "point" in the same direction on each surface. If they do not, apply the boundary conditions to the individual nodes.

    Caution

    If all of the DOFs of the nodes on an edge (or face) are not fully constrained (are only partially constrained, e.g. only UX is constrained) and the nodal rotations of these nodes are not the same, the stress results at these nodes may be inaccurate if the p-level of the attached elements exceeds 3.

    Nodal coordinate systems which are not necessarily parallel to the global Cartesian system are formed when you invoke symmetry or antisymmetry displacement constraints on model surfaces.

    Figure 15.6 Constraints on Rotated Nodes

    Loads Applicable to a p-Method Analysis

    Table 2.5: "Loads Applicable in a Static Analysis" of this manual describes the loads applicable to a static analysis. The following is a brief discussion of each type of loading.

    Displacements (UX, UY, UZ, ROTX, ROTY, ROTZ) are DOF constraints usually specified at model boundaries to define rigid support points. They are also used to indicate symmetry boundary conditions and points of known motion. The directions implied by the labels are in the nodal coordinate system.

    Displacement boundary conditions that are applied to all nodes on an element edge or face will also constrain the higher-order deformations along that edge or face.

    Conversely, if all of the nodes are not constrained in that direction, then those lower-order deformations will be constrained but not the higher-order ones. Never apply a displacement only at a midside node on an edge. (You may, however, apply a single constraint at a corner node.)

    Imposed motions may only vary linearly over an element edge or face. The program will ignore an imposed quadratic variation.

    Forces (FX, FY, FZ) are concentrated loads usually specified on the model exterior. The directions implied by the labels are in the nodal coordinate system.

    Moments (MX, MY, MZ) are concentrated loads usually specified on the model exterior. The directions implied by the labels are in the nodal coordinate system.

    Caution

    Observe the following cautions:

    • You should avoid applying single-point loads or constraints, since they cause stress singularities. If these loads or constraints are applied, exclude the elements attached to these nodes from the convergence computations. See the "Accounting for Stress Singularities" section later in this chapter.

    • Do not apply forces and moments to the midside nodes. You may only apply these loads at the corner nodes. In addition, out-of-plane (element ROTZ) moments may not be applied to SHELL150.

    Pressures (PRES) are surface loads, also usually applied on the model exterior. Positive values of pressure act towards the element face (resulting in a compressive effect).

    Temperatures (TEMP) are applied to study the effects of thermal expansion or contraction (that is, thermal stresses). The coefficient of thermal expansion must be defined if thermal strains are to be calculated. You can read in temperatures from a thermal analysis, or you can specify temperatures directly on the nodes or the solid model keypoints.

    To obtain temperatures from a thermal analysis:

    • Mesh the p-element model.

    • Convert the p-element types to the following thermal element types: PLANE145 to PLANE77, PLANE146 to PLANE35, SOLID147 to SOLID90, and SOLID148 to SOLID87. There is no thermal equivalent for SHELL150.

    • Run the thermal analysis.

    • Change the element types back to the p-element types in order to perform the p-method structural analysis.

    • For the remainder of the analysis, continue with the same procedure as defined for h-elements (see the Thermal Analysis Guide).

    Gravity, spinning, etc. are inertia loads that affect the entire structure. Density must be defined if inertia effects are to be included.

  4. Specify load step options. The following solution options are available to aid in solving a p-Method analysis:

    • Convergence criteria specifications

    • Specifications for controlling p-levels

    • Accounting for stress singularities

    As mentioned earlier in this section, a p-method analysis works with a series of iterations, or loops, checking for convergence each time. The PPRANGE command is used to specify the overall range where the p-level may vary (somewhere between 2 and 8). For analyses beginning at p=2, each element will have its solution checked for convergence against established criteria [PCONV]. If the solution is within the requested tolerance [PMOPTS], that element will have its p-level held to 2. Those elements that did not converge within the specified criteria (that is, not fixed at p=2 for the first iteration), will have their p-level increased, and another solution (iteration) will then be performed. At each iteration the convergence criteria (strain energy, displacement, stress, etc.) is checked, and if converged, the solution stops. Also, those elements whose individual solutions are considered to be converged will have their p-level held at the current p-level. This process is continued until all specified convergence criteria are met, or the maximum p-range has been reached.

    Convergence Criteria Specifications

    Convergence criteria may be global (for strain energy) or local. If you are specifically interested in the results at certain points in the model, then you should use local convergence criteria. Use this option to specify which areas of your model you would like to monitor for analysis convergence, as well as the type of criteria you would like to use to control convergence. Typically, you should select a few points of interest (nodes), at which to specify the convergence criteria (deflection, stress, strain, etc.). In most cases, the default convergence tolerance (5%) is sufficient for generally good results. You may want to lower this tolerance if you require a more accurate solution, such as for a fatigue evaluation. For a design study or optimization analysis, a higher tolerance will cut down on run times.

    Command(s): PCONV
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> p-Method> Convergence Crit

    For SHELL150, you also have the option to choose a layer (TOP, MID, or BOT) for stress or strain convergence criteria. If you are working with intersecting shells, it is recommended that you choose MID as the layer for convergence checking.

    Caution

    Do not specify stress or strain criteria at nodes where there are singularities or at nodes along material interfaces. These locations will not converge due to the singularity.

    When choosing locations for specifying convergence criteria, you should concentrate your monitoring in the areas of high stress or at the point of maximum displacement rather than where stresses, strains, or displacements are relatively insignificant.

    Specifications for Controlling p-levels

    You may specify the starting (defaults to 2) and maximum (defaults to 8) p-levels that you wish to allow for your analysis [PPRANGE]. You may wish to start at a higher p-level if you have already completed an analysis and you want to perform a re-analysis (for a design change, for instance) and you know the final p-level where convergence will occur for most elements. You may also want to restrict the maximum p-level to less than 8 if conserving disk space or run time.

    Adjust the starting and maximum p-level in portions of your model using element KEYOPT selections.

    Accounting for Stress Singularities

    If the model contains any re-entrant (internal or concave) corners that are not modeled with a fillet radius, or contains point loads or any other areas of stress singularities, you should consider excluding these areas from the convergence computations. All elements that have a node at the singularity should be excluded. One exception applies to fracture mechanics. In that situation, you should not exclude elements at or near the crack tip.

    Command(s): PEXCLUDE
    GUI: Main Menu> Solution> Load Step Opts> p-Method> Strain Energy> Exclude Elems

    You can reassign, or re-include, elements for convergence checking. You may determine which elements have been included or excluded by listing [PINCLUDE,STAT; PEXCLUDE,STAT; or *GET] or plotting elements [EPLOT]. Excluded elements will appear `whited-out' in the plot. You may also select included or excluded elements by issuing the ESEL command directly [ESEL,,PEXC or ESEL,,PINC] (no GUI equivalent). This facilitates using these elements as a component [CM].

    Command(s): PINCLUDE
    GUI: Main Menu> Solution> Load Step Opts> p-Method> Strain Energy> Include Elems

  5. Save a backup copy of the database.

    Command(s): SAVE
    GUI: Utility Menu> File> Save As

  6. Start the p-level iterations and solution process. The output will provide a summary of each loop, indicating the current p-level, the convergence statistics, and the status of how many elements have converged.

    Command(s): SOLVE
    GUI: Main Menu> Solution> Solve> Current LS

15.2.5. Helpful Hints for Common Problems

If the analysis is not successful, try the following steps to identify and correct the cause for failure:

Problem: "Negative Pivot" error encountered.

Possible Cause: Insufficient constraints to prevent rigid-body motion (the component can slide or rotate in one direction because there are no constraints to prevent it from doing so).

Solution: Add enough displacement constraints to prevent any rigid-body motion.

Problem: Solution does not converge to within the requested tolerance.

Possible Causes: There are several possible causes. You may use the general postprocessor [/POST1] to look at this solution in order to determine the difficulty.

Possible Causes | Solution
The convergence criteria is too tight for the maximum allowable p-level and the mesh. | Relax the convergence criteria.
The convergence criterion was specified at a singularity (infinite stress or strain value, such as under a point load) or the elements near the singularity were not excluded. | Do not monitor a singularity point.
The mesh is too coarse, especially in the area where the stress is high. | Refine the mesh.
The maximum p-level was restricted lower than that required for convergence. | Allow the maximum p-level to go higher.
The convergence criterion is at a location where the angle made by adjacent element edges is greater than 55° on a curved boundary. | Refine the mesh in that region.

Caution

You may not restart a p-method analysis.

15.2.6. Review the Results

The fundamental procedures for general postprocessing of results [/POST1] in the ANSYS program are discussed in "An Overview of Postprocessing" in the Basic Analysis Guide. Although most of these capabilities are directly applicable to p-method analyses, some techniques for reviewing results are unique to p-method, such as

  • The p-Element Subgrid

  • Querying Subgrid Results

  • Printing and Plotting Node and Element Results

  • Specialized p-Method Displays and Listings

The results from a p-method analysis are written to the results file, Jobname.RST. They consist of the following data:

Primary data

Nodal displacements (UX, UY, ROTX, etc.)

Derived data

Nodal and element stresses, nodal and element strains, element forces

Note

You must read the results data from the results file (Jobname.RST) into the database [SET] before displacements may be reviewed during postprocessing. Thermal strains are not available on the results file.

The tools used for time-history postprocessing [/POST26] are also applicable to p-method analyses, but have limited functionality, since p-element technology is restricted to linear static analyses. In this section we will explain those procedures that deviate from standard postprocessing, such as some plotting and printing operations, etc. Before reading this section, it would be a good idea to review the chapters on postprocessing in the Basic Analysis Guide for more details on postprocessing, in general.

15.2.6.1. The p-Element Subgrid

As mentioned previously, p-method finite element models generally contain fewer elements than do models meshed with h-elements. Since fewer elements correspond to a coarser mesh, a subgrid approach has been devised for viewing results in POST1. In this approach, each element is divided into smaller, "h-like" elements. Both the display of geometric curvature and the display and printout of field quantities (displacements, stresses, etc.) are affected by this approach. In most cases, a greater number of facets will result in a smoother representation of the element surface and results contours for p-element plots.

The key command involved in the subgrid approach is /EFACET,NUM where NUM represents the number of facets per element edge (GUI path Utility Menu> PlotCtrls> Style> Size and Shape). The example below illustrates how /EFACET subdivides a quadrilateral element. If NUM = 2, the element has 2 facets per edge and is divided into 4 subgrid facets by adding a pseudo node at the "center". If NUM = 4, the element has 4 facets per edge which means two pseudo nodes per edge and 9 interior pseudo nodes are added for each p-element, dividing the quadrilateral into 16 subgrid facets.

Figure 15.7 p-Element Subgrids for Quadrilateral Elements

As a general rule, for a model with a very coarse mesh or any model in which the p-levels are high (p>3) you should consider using NUM = 4 to view your field quantities. Since results are available at each subgrid location, more information will be available at NUM = 4.

15.2.7. Querying Subgrid Results

You have the ability to directly and interactively query subgrid results. You can obtain all subgrid point results (or element results).

Command(s): | No command equivalent.
GUI: | Main Menu> General Postproc> Query Results

You may query stresses, strains, and displacements at all subgrid locations that have previously been activated by the /EFACET command.

15.2.8. Printing and Plotting Node and Element Results

For elements PLANE145, PLANE146, SOLID147, and SOLID148, displacements, stresses, and strains can be listed [PRNSOL] at all node locations (both corner and midside nodes). For SHELL150, results can be listed (as controlled by the SHELL command) and plotted at the top/bottom and middle layer locations. Likewise, these nodal values can be contoured for display purposes [PLNSOL], with the contour resolutions being controlled by the/EFACET command.

Note

Results values for SHELL150 are displayed for the top and bottom layer simultaneously.

When viewing nodal field values across p-element boundaries ([PRNSOL, PLNSOL], or when using the Query function), results may be displayed in various ways. The results data may be averaged along element boundaries with the AVRES command. You can average results at all boundaries (the default), or at all boundaries except where real constant, and/or material type discontinuities exist. If a geometric discontinuity exists, results will not be averaged at those locations.

Note

AVRES has no effect on the nodal degree of freedom solution values (UX, UY, UZ, ROTX, ROTY, ROTZ, etc.).

For all of the p-elements, displacement plots are available with both undisplaced structure and undisplaced edge options [PLDISP]. When using PowerGraphics [/GRAPHICS,POWER], displaced shape plots reflect each calculated element subgrid [/EFACET] displacement.

For PLANE145, PLANE146, SOLID147, and SOLID148, stresses and strains can be listed [PRESOL] at all node locations for each element. Results for SHELL150 are listed for the top, middle, and bottom layers with results for the bottom layer listed first.

Printout is similar to that for h-elements, with nodal results being unaveraged and sorted by element number. Unlike higher order h-element printout, results are for all nodal locations (corner and midside nodes). Results may be printed or plotted for the entire model [/GRAPHICS,FULL] or for the model surface only [/GRAPHICS,POWER].

Note

Issuing the /PMETH,ON command or defining a p-element [ET] will activate PowerGraphics unless a prior /GRAPHICS,FULL command has been issued. Similarly, /PMETH,OFF will deactivate PowerGraphics unless /GRAPHICS,POWER has been issued previously.

15.2.8.1. Specialized p-Method Displays and Listings

There are three commands specifically designed for listing or plotting p-element results data [PRCONV, PLCONV, PPLOT]. You may print [PRCONV] or plot [PLCONV] the previously-specified convergence values [PCONV] versus characteristic p-levels. The characteristic p-level refers to the p-level range from the minimum specified [PPRANGE] to the maximum p-level reached during SOLUTION. Final p-levels that were assigned to individual elements can be viewed by means of the PPLOT command. A convenient way to visualize local convergence criteria at specified locations in the model is to display a symbol at the location of interest, [/PSYMB,PCON], then issue an element or node plot.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.1. Benefits of the p-Method 		Up / Home Next
15.3. Sample p-Method Analysis (GUI Method)


15.3. Sample p-Method Analysis (GUI Method)

Follow the steps below to perform a p-method analysis using the GUI.

15.3.1. Problem Description

In this sample problem, you will perform a p-method analysis on a steel plate with a hole.

15.3.2. Problem Specifications

For this problem, you will use symmetry boundary conditions to constrain the left side and bottom of the model.

This problem uses element type PLANE145. The material is 1/4" thick steel.

Loading for this problem is: P = (100) (10) (.25) = 250 lbs (total force applied on the right side).

15.3.3. Problem Diagram

Figure 15.8 Steel Plate With a Hole

15.3.3.1. Set the Analysis Title

After you enter the ANSYS program, follow these steps to set the title.

  1. Choose menu path Utility Menu> File> Change Title.

  2. Type the text "p-Method Plate with Hole" and click on OK.

15.3.3.2. Select p-Method

  1. Choose menu path Main Menu> Preferences. The Preferences for GUI Filtering dialog box appears.

  2. Click the Structural method on. Click the p-Method Struct. option on.

  3. Click on OK.

15.3.3.3. Define the Element Type and Options

  1. Choose menu path Main Menu> Preprocessor> Element Type> Add/Edit/Delete.

  2. Click on Add. The Library of Element Types dialog box appears.

  3. Click on OK to accept the default of "2D Quad 145."

  4. Click on Options. The PLANE145 element type options dialog box appears.

  5. In the scroll box for Analysis type, scroll down to "Plane Stress+TK" to select it.

  6. Click on OK.

  7. Click on Close in the Element Types dialog box.

15.3.3.4. Define the Real Constants

  1. Choose menu path Main Menu> Preprocessor> Real Constants> Add/Edit/Delete.

  2. Click on Add. The Element Type for Real Constants dialog box appears.

  3. Click on OK. The Real Constants for PLANE145 dialog box appears.

  4. Enter .25 for thickness and click on OK.

  5. Click on Close to close the Real Constants dialog box.

15.3.3.5. Define Material Properties

  1. Choose menu path Main Menu> Preprocessor> Material Props> Material Models. The Define Material Model Behavior dialog box appears.

  2. In the Material Models Available window, double-click on the icons next to the following options: Structural, Linear, Elastic, Isotropic. A dialog box appears.

  3. Enter 30e6 for EX (Young's modulus).

  4. Enter 0.29 for PRXY and click on OK. Material Model Number 1 appears in the Material Models Defined window on the left.

  5. Choose menu path Material> Exit to remove the Define Material Model Behavior dialog box.

15.3.3.6. Create Plate with Hole

  1. Choose menu path Main Menu> Preprocessor> Modeling> Create> Areas> Rectangle> By Dimensions. The Create Rectangle by Dimensions dialog box appears.

  2. Enter 0,20 for the X-coordinates and 0,10 for the Y-coordinates. Use the TAB key to move between fields.

  3. Click on OK. The rectangle appears in the ANSYS Graphics window.

  4. Choose menu path Main Menu> Preprocessor> Modeling> Create> Areas> Circle> By Dimensions. The Circular Area by Dimensions dialog box appears.

  5. Enter 5 for outer radius.

  6. Click on OK. The circle appears on the ANSYS Graphics window, on the lower left corner of the rectangle.

  7. Choose menu path Main Menu> Preprocessor> Modeling> Operate> Booleans> Subtract> Areas. The Subtract Areas picking menu appears.

  8. Click once on the rectangle to select it.

  9. Click on OK in the picking menu. Another Subtract Areas picking menu appears.

  10. Click once on the circle to select it.

  11. Click on OK in the picking menu. A semicircle is removed from the lower left-hand corner of the plate.

15.3.3.7. Mesh the Areas

  1. Choose menu path Main Menu> Preprocessor> Meshing> MeshTool. The MeshTool appears.

  2. Click the SmartSize check box on. Set the SmartSize slider to 5.

  3. In the Mesh section of the MeshTool, choose Areas and Free. Then click the MESH button. The Mesh Areas picking menu appears.

  4. Click on Pick All. A mesh for the plate is created.

  5. Click Close to close the MeshTool.

  6. Click on SAVE_DB on the ANSYS Toolbar.

15.3.3.8. Define Symmetry Boundary Conditions

  1. Choose menu path Utility Menu> Select> Entities.

  2. In the top two menus, pick "Nodes" and "By Location."

  3. Enter 0 for Min, Max and click on OK.

  4. Choose menu path Main Menu> Solution> Define Loads> Apply> Structural> Displacement> Symmetry B.C.> On Nodes. The Apply SYMM on Nodes dialog box appears.

  5. Click on OK to accept the default of symmetric surface normal to X-axis. The displacement symbols appear down the left edge of the drawing.

  6. Choose menu path Utility Menu> Select> Entities.

  7. Click the "Y coordinates" option on. Click OK.

  8. Choose menu path Main Menu> Solution> Define Loads> Apply> Structural> Displacement> Symmetry B.C.> On Nodes. The Apply SYMM on Nodes dialog box appears.

  9. In the drop down menu for Symm surface is normal to, select "Y-axis."

  10. Click OK. The displacement symbols appear along the bottom of the drawing.

15.3.3.9. Define Pressure Load along Right Edge.

  1. Choose menu path Utility Menu> Select> Entities. The Select Entities dialog box appears.

  2. Click the "X coordinates" option on.

  3. Enter 20 for Min, Max and click on OK.

  4. Choose menu path Main Menu> Solution> Define Loads> Apply> Structural> Pressure> On Nodes. The Apply PRES on Nodes picking menu appears.

  5. Click on Pick All. The Apply PRES on Nodes dialog box appears.

  6. Enter 100 for pressure value and click on OK.

  7. Choose menu path Utility Menu> Select> Everything.

15.3.3.10. Define Convergence Criteria

  1. Choose menu path Utility Menu> Parameters> Scalar Parameters. The Scalar Parameters dialog box appears.

  2. In the Selection field, enter NCVG = NODE(0,5,0) and click on Accept.

  3. Click on Close.

  4. In the ANSYS Input window, enter PCONV,1,S,X,NCVG and press ENTER.

15.3.3.11. Solve the Problem

  1. Choose menu path Main Menu> Solution> Solve> Current LS.

  2. Carefully review the information in the status window, and then close it.

  3. Click on OK in the Solve Current Load Step dialog box to begin the solution.

  4. Click on Close when the Solution is done window appears.

15.3.3.12. Review the Results and Exit ANSYS

In this step, you will review results as deformed shape and SX contour plot.

  1. Choose menu path Main Menu> General Postproc> Read Results> First Set.

  2. Choose menu path Main Menu> General Postproc> Plot Results> Deformed Shape. The Plot Deformed Shape dialog box appears.

  3. Click the "Def + undeformed" option on. Click on OK. The deformed and undeformed shapes appear in the ANSYS Graphics window.

  4. Choose menu path Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu. The Contour Nodal Solution Data dialog box appears.

  5. In the scroll box on the left, click once on "Stress" to select it. In the scroll box on the right, click once on "X-direction SX" to select it.

  6. Click on OK. Review the graphic using the legend in the graphics window. Expected results are: Max displacement = .97x10-4 in, and Max stress in X direction = 437 psi.

  7. Click on QUIT on the ANSYS Toolbar.

  8. Choose a save option and click on OK.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.2. Using the p-Method 		Up / Home Next
15.4. Sample p-Method Analysis (Command or Batch Method)


15.4. Sample p-Method Analysis (Command or Batch Method)

You can perform the example p-method analysis of a plate with a hole using the ANSYS commands shown below instead of GUI choices. All items prefaced by an exclamation point (!) are comments.

/TITLE, p-method plate with hole problem
/PREP7
ET,1,PLANE145,,,3
R,1,.25
MP,EX,1,30e6
MP,PRXY,1,0.29
RECTNG,0,20,0,10
PCIRC,5,,0,360
ASBA,1,2
SMRTSIZ,5
AMESH,3
SAVE
FINISH
/SOLU
NSEL,S,LOC,X,0
DSYM,SYMM,X
NSEL,S,LOC,Y,0
DSYM,SYMM,Y
NSEL,S,LOC,X,20
SF,ALL,PRES,-100
ALLSEL
NCVG=NODE(0,5,0)
PCONV,1,S,X,NCVG
SOLVE
/POST1
SET,1
PLNSOL,S,X
PLDISP,1
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.3. Sample p-Method Analysis (GUI Method) 		Up / Home Next
Chapter 16. Beam Analysis and Cross Sections


Chapter 16. Beam Analysis and Cross Sections

Beam elements are used to create a mathematical one-dimensional idealization of a 3-D structure. They offer computationally efficient solutions when compared to solid and shell elements.

The discussions here apply only to BEAM44 (a 3-D tapered unsymmetric beam element), and BEAM188 and BEAM189 (3-D finite strain beams. Compared to other ANSYS beams, these beams provide more robust nonlinear analysis capabilities, and significant improvements in cross section data definition, analysis, and visualization.

The cross section capabilities with BEAM44 elements described here do not apply to tapered sections. Also, the postprocessing visualization capabilities described in this chapter are not applicable to BEAM44 elements. For custom cross sections, the CDWRITE command is invalid.

The following topics are available for beam analysis and cross sections:

  • Overview of Cross Sections
  • How to Create Cross Sections
  • Creating Cross Sections
  • Using Nonlinear General Beam Sections
  • Managing Cross Section and User Mesh Libraries
  • Sample Lateral Torsional Buckling Analysis (GUI Method)
  • Sample Problem with Cantilever Beams, Command Method
  • Where to Find Other Examples

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.4. Sample p-Method Analysis (Command or Batch Method) 		Up / Home Next
16.1. Overview of Cross Sections


16.1. Overview of Cross Sections

A cross section defines the geometry of the beam in a plane perpendicular to the beam axial direction. ANSYS supplies a library of eleven commonly-used beam cross section shapes, and permits user-defined cross section shapes. When a cross section is defined, ANSYS builds a numeric model using a nine node cell for determining the properties (Iyy, Izz, etc.) of the section and for the solution to the Poisson's equation for torsional behavior.

Figure 16.1: "Plot of a Z Cross Section" shows the centroid and shear center of the cross section and the calculated section properties:

Figure 16.1 Plot of a Z Cross Section

Cross sections and user section meshes may be saved and stored in cross section library files. You may assign beam cross sections as attributes of a line using the LATT command. These section definitions will be incorporated into the generated beam elements when the line is meshed with BEAM44, BEAM188, or BEAM189.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 16. Beam Analysis and Cross Sections 		Up / Home Next
16.2. How to Create Cross Sections


16.2. How to Create Cross Sections

The general procedure for creating cross sections consists of the following steps:

  1. Define the section and associate a section ID number with the section subtype.

  2. Define the geometry data for the section.

ANSYS supplies the following commands for creating, viewing, and listing cross sections, and for managing cross section libraries:

Table 16.1 ANSYS Cross Section Commands

Command | Purpose
PRSSOL | Prints beam section results (not supported for BEAM44)
SECTYPE | Associates section Subtype with SECID
SECDATA | Defines section geometry data
SECOFFSET | Defines section offset for beam cross sections
SECCONTROLS | Overrides program calculated properties.
SECNUM | Identifies the SECID to be assigned to an element
SECPLOT | Plots geometry of a beam section to scale
SECWRITE | Creates an ASCII file containing user mesh or a custom cross section
/SECLIB | Sets default section library path for SECREAD
SECREAD | Reads a user defined section library, mesh, or custom cross section
SLIST | Summarizes section properties
SDELETE | Deletes a cross section

For complete documentation of the cross section commands, see the Commands Reference.

16.2.1. Defining a Section and Associating a Section ID Number

Use the SECTYPE command to define a section and associate it with a section ID number. For example, the following command assigns a section identification number (2) to a predefined cross section shape (circular solid):

Command(s): | SECTYPE, 2, BEAM, CSOLID
GUI: | Main Menu> Preprocessor> Sections> Beam> Common Sectns

To define your own cross sections, use the subtype MESH. To define a cross section with integrated properties such as Iyy and Izz, use the subtype ASEC.

16.2.2. Defining Cross Section Geometry and Setting the Section Attribute Pointer

Use the SECDATA command to define the geometry of a cross section. Continuing with the example SECTYPE command shown above, note that the CSOLID subtype has two dimensions: the radius and the number of cells along its circumference. Thus, the SECDATA command shown below specifies 5 as the radius of the circular solid beam, and 8 as the number of cells along its circumference. The SECNUM command sets the element section attribute pointer to 2.

Command(s): | SECDATA, 5, 8 and SECNUM, 2
GUI: | Main Menu> Preprocessor> Sections> Beam> Common Sectns Main Menu> Preprocessor> Meshing> Mesh> Attributes> Default Attribs

16.2.2.1. Determining the Number of Cells to Define

In general, you do not need to set the number of cells when building a cross section. ANSYS will calculate values for the cross section such as the area of the section and the moments of inertia about the coordinate axes using default integration rules and will produce results that are numerically exact.

Since the torsion constant is derived from the mesh, the accuracy of the torsion constant is directly proportional to the mesh size of the cross section. The default mesh used by ANSYS yields acceptable engineering accuracy.

There are two ways to specify the mesh size for common sections:

  • invoking SECTYPE,,,,,REFINEKEY to set the level of mesh refinement for thin-walled sections (CTUBE, CHAN, I, Z, L, T, HATS, and HREC)

  • specifying the number of divisions using SECDATA for solid sections (RECT, QUAD, and CSOLID)

The thin wall sections have a minimum of two integration points through thickness, so results produced using thin wall sections should be acceptable for materially nonlinear analysis.

However, when doing a plasticity analysis, the cell defaults may need to be changed for the solid sections. Here are examples of ANSYS-generated solid section cell meshes and the type of analysis you may wish to use them with.

Figure 16.2 Types of Solid Section Cell Mesh

16.2.3. Meshing a Line Model with BEAM44, BEAM188, or BEAM189 Elements

Before you mesh a line with BEAM44, BEAM188, or BEAM189 elements, some of its attributes must be defined. These attributes include:

  • The material set attribute pointer to be associated with the generated beam elements.

  • The beam element type to be used in meshing the line.

  • The orientation of the cross section with respect to the beam element axis. For detailed information about orientation nodes and beams, see Generating a Beam Mesh With Orientation Nodes in the Modeling and Meshing Guide.

  • The cross section ID to be assigned to the generated beam elements.

Issue the LATT command to associate these attributes with the selected, unmeshed line:

Command(s): | LATT, MAT, , TYPE, , KB, KE, SECNUM
GUI: | Main Menu> Preprocessor> Meshing> Mesh Attributes> Picked LinesSee the LATT command description for the meaning of MAT and TYPE.
The following arguments are described here in terms of their applicability to beams.
KB

Corresponds to any keypoint number in the model. All beam elements generated will have their beam section oriented such that the beam z-axis will lie in the plane defined by two line end keypoints and this keypoint number.

KE

Corresponds to any keypoint number in the model (optional). This keypoint determines the beam orientation at the end of the line as described above. If KE is given, KB determines the beam orientation at the beginning of the line. This is useful for creating twisted beams.

SECNUM

Corresponds to the beam section defined by the SECTYPE command with the section ID number as given by the SECNUM.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.1. Overview of Cross Sections 		Up / Home Next
16.3. Creating Cross Sections


16.3. Creating Cross Sections

There are two main types of beam cross sections:

  • common sections

  • custom sections

Common sections are described by a standard geometry and a single material. Custom sections are defined by an arbitrary geometry and may consist of several isotropic materials.

In addition, you can use defined sections to create tapered beams (for BEAM188 and BEAM189 only). See Defining a Tapered Beam for more information.

16.3.1. Using the Beam Tool to Create Common Cross Sections

The SECTYPE, SECDATA, and SECOFFSET commands (Main Menu> Preprocessor> Sections> Beam> Common Sectns) are all associated with the BeamTool in the GUI. The appearance of the BeamTool varies depending on the cross section subtype you select:

Figure 16.3 BeamTool with Subtypes Drop Down List Displayed

The top part of the BeamTool relates a section ID number to a subtype (and, optionally, a section name) [SECTYPE]. The middle of the BeamTool defines the section offset information, if needed [SECOFFSET]. The bottom contains the fields for section geometry information [SECDATA]. The dimensions defined by the SECDATA command are determined by the subtype selected. For documentation about a particular variant of the BeamTool, select the subtype that you want information about, and then click on the Help button on the BeamTool. The subtype dimensions are also documented in the SECDATA command description.

16.3.2. Creating Custom Cross Sections with a User-defined Mesh

If you need to define a cross section that is not common, you must create a user mesh file. To create a user mesh file, create a 2-D solid model and save it using the SECWRITE command (Main Menu> Preprocessor> Sections> Beam> Custom Sectns> Write From Areas). This procedure is outlined in greater detail below:

  1. Create all areas (Main Menu> Preprocessor> Modeling> Create> Areas).

  2. Overlap the areas (Main Menu> Preprocessor> Modeling> Operate> Booleans> Overlap> Areas) or glue them (Main Menu> Preprocessor> Modeling> Operate> Booleans> Glue> Areas) where appropriate.

  3. Save the model.

  4. Set the number of line divisions for all lines (Main Menu> Preprocessor> Meshing> Size Cntrls> ManualSize> Lines> Picked Lines or use the MeshTool).

  5. Select Main Menu> Preprocessor> Sections> Beam> Custom Sectns> Write From Areas. A picker appears. Pick the area(s) of the cells.

  6. ANSYS creates cells on the areas. ANSYS may display bad shape messages during the mesh - these messages can be ignored. However, you may see an "Unable to mesh area ...." message. If you do, clear the elements from all areas (Main Menu> Preprocessor> Meshing> Clear> Areas) and repeat steps 4 and 5.

  7. Write the .SECT file out to a unique name in the Write Section Library File dialog box and click on OK.

  8. Read in the user mesh file (Main Menu> Preprocessor> Sections> Beam> Custom Sectns> Read Sect Mesh) to calculate the section properties. Material properties must be defined to calculate the cross section shear correction factors, material-weighted centroids and the shear centers.

Note

Even if you have already set LESIZE, you will see the following message:

Line element sizes may need to be specified for desired cross-section mesh. Please refer to the LESIZE command.

If you have already set the line element size, click on the Close button to continue. If you have not already set it, issue LESIZE with the appropriate information.

When creating cells on the area using the GUI, you do not need to define a plane element type. On the other hand, a plane element type must be defined if the user issues the SECWRITE command explicitly. MESH200 with KEYOPT(1) = 7 and PLANE82 are the only valid plane element types.

16.3.3. Creating Custom Cross Sections with Mesh Refinement and Multiple Materials

When performing a plasticity analysis, you may need to refine the cross section mesh. A cross section consisting of more than one material may be defined to represent layers, reinforcements or sensors. When defining a multiple-material cross section, you will need to specify the material that each cross section cell is made of. You can take a previously-created cross section and modify it.

To create a custom cross section with a refined mesh and/or multiple materials, perform the following tasks:

  1. Either read a common section (Main Menu> Preprocessor> Sections> Beam> Custom Sectns> Edit/Built-up> Edit Common) from the ANSYS database or read a custom section from a .SECT file. (Main Menu> Preprocessor> Sections> Beam> Custom Sectns> Edit/Built-up> Edit Custom)

  2. ANSYS displays a MESH200 plot in the Graphics Window.

  3. Refine the section mesh. (Main Menu> Preprocessor> Sections> Beam> Custom Sectns> Edit/Built-up> Refine Mesh)

  4. Modify the cell materials. (Main Menu> Preprocessor> Sections> Beam> Custom Sectns> Edit/Built-up> Modify Material) If you want to create a multiple-material section, define the materials. This is necessary to calculate the shear correction factors and material-weighted centroids.

  5. Save the section to a .SECT file using SECWRITE (Main Menu> Preprocessor> Sections> Beam> Custom Sectns> Edit/Built-up> Save).

  6. To calculate the section properties and use a custom section in the analysis, read in the user mesh file (Main Menu> Preprocessor> Sections> Beam> Custom Sectns> Read Sect Mesh).

Note

If you redefine a material after creating the section, you must reissue the SECTYPE and SECREAD commands to recompute the cross section.

When a cross section has multiple materials, and /ESHAPE is used to produce contour plots of stresses (and other quantities), the element averages the stresses across material boundaries. To limit this behavior, use small cross section cells around the material boundaries.

When using the SECWRITE command explicitly, a section with multiple materials can be created by assigning material attributes to the areas. During meshing, the elements inherit the material attribute from the area and this attribute is written to the .SECT file.

A material number (MAT) specified for a custom section overrides any existing material setting.

16.3.4. Defining Composite Cross Sections

A composite cross section is a cross section consisting of at least two materials and meshed with a user-defined mesh. When creating a composite section, define the materials before running the SECREAD command. This is necessary to calculate the shear correction factors, material-weighted centroids and the shear centers.

Note

If you redefine a material after creating the section, you must reissue the SECREAD command to recompute the cross section.

You can save composite cross sections as custom cross sections. For information on custom cross sections, see Using the Beam Tool to Create Common Cross Sections

16.3.5. Defining a Tapered Beam

For BEAM188 and BEAM189, you can define tapered beams using the TAPER option on the SECTYPE command (Main Menu> Preprocessor> Sections> Beam> Taper Sections). The tapered section varies linearly between two specified locations, (x1, y1, z1) and (x2, y2, z2). Thus, two SECDATA commands are required to define the taper as shown below. At each of these end points, a valid beam section ID must be input (station-1 and station-2 in the example below).

SECTYPE,SECID,TAPER
SECDATA,station-1,x1,y1,z1
SECDATA,station-2,x2,y2,z2

The following is a typical command input stream used to create a tapered cross section:

sectype,1,beam,rect     ! define cross section at first end point
secdata,.0001,0.5
sectype,2,beam,rect     ! define cross section at far end
secdata,3,0.5
sectype,3,taper         ! new Section ID for tapered beam analysis
secdata,1,0.0,0.0       ! section 1 at location (0,0,0)
secdata,2,0.0,20.0      ! section 2 at location (0,20,0)

Continuing with this example, you can then use 3 as the taper section ID when assigning mesh attributes with the SECNUM or LATT command. The resulting beam cross section is (0.0001*0.5) at end 1, and linearly tapers to (3*0.5) at end 2.

The following assumptions apply to tapered beams defined with this method:

  • The end sections must be defined prior to defining the taper.

  • Sections defined at the end points must be topologically identical.

  • A section cannot taper to a point (or zero area) at either end.

  • The arbitrary beam section type (ASEC on the SECTYPE command) is not supported for tapered beams.

The program performs a number of checks (although not completely comprehensive) to ensure topological equality. The following items are compared:

  • number of section nodes

  • number of section elements

  • section type

If both end stations refer to custom cross sections with multiple materials, you must ensure that material IDs for the cells are the same for both ends.

At a Gauss point of integration, the BEAM188 and BEAM189 elements will find the closest point on the line defined by station-1 and station-2. Using this information, a linear interpolation is performed for the cross section mesh. Therefore, it is very important that the Gauss point be located within the end points. ANSYS will produce error messages when this is not the case.

The tapered section treatment is significantly more expensive than a constant cross section (since recomputation is necessary). If this is a concern, use KEYOPT(12) of the beam element to specify the tapered section treatment.

  • KEYOPT(12) = 0 - Linear tapered section analysis (more accurate, but expensive)

  • KEYOPT(12) = 1 - Average cross section analysis (an approximation of the order of the mesh size, but faster)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.2. How to Create Cross Sections 		Up / Home Next
16.4. Using Nonlinear General Beam Sections


16.4. Using Nonlinear General Beam Sections

The nonlinear general beam section (SECTYPE,,GENB) is an abstract cross section type that allows you to define axial, flexural, torsional, and transverse shear behavior as a function of axial strain, bending curvature, twist, and transverse shear strains.

The generalized section form of input does not require cross section geometry data or material data independently. For purposes of evaluating mass matrices, ANSYS assumes a unit area of cross section. This form of data is useful for including an experimentally measured nonlinear response of a beam-like structural component, or for including complex behavior such as cross section distortion (not possible when using normal beam sections).

Nonlinear general beam sections also allow a nonlinear relationship of transverse shear forces to the corresponding transverse shear strains. Often, the input of generalized beam sections may be a result of a prior detailed slice analysis (for example, a segment of pipe analyzed using generalized plane strain elements).

The behavior of beam elements is governed by the generalized-stress/generalized-strain relationship of the form:

where:

N = Axial force
M1 = Bending moment in plane XZ
M2 = Bending moment in plane XY
τ = Torque
S1 = Transverse shear force in plane XZ
S2 = Transverse shear force in plane XY
ε = Axial strain
κ1 = Curvature in plane XZ
κ2 = Curvature in plane XY
χ = Twist of the cross section
γ1 = Transverse shear strain in plane XZ
γ2 = Transverse shear strain in plane XY
AE(ε,T) = Axial stiffness as a function of axial strain and temperature
I1E(κ1,T) = Flexural rigidity as a function of curvature and temperature in plane XZ
I2E(κ2,T) = Flexural rigidity as a function of curvature and temperature in plane XY
JG(χ,T) = Torsional rigidity, as a function of torsion and temperature
A1G(γ1,T) = Transverse shear stiffness as a function of shear strain and temperature in plane XZ
A2G(γ2,T) = Transverse shear stiffness as a function of shear strain and temperature in plane XY
T is the current temperature

Thermal expansion coefficients and mass density for the section as a function of temperature complete the definition of a generalized cross section.

16.4.1. Defining a Nonlinear General Beam Section

Each of the following commands specifies a particular component quantity necessary for defining a nonlinear general beam section:

Table 16.2 ANSYS Commands for Specifying Nonlinear General Beam Section Data

Command | Quantity Defined and Data Specified
BSAX [1] | Axial strain and force ε, N, T
BSM1 [1] | Bending curvature and moment in plane XZ κ1, M1, T
BSM2 [1] | Bending curvature and moment in plane XY κ2, M2, T
BSTQ [1] | Cross section twist and torque χ, τ, T
BSS1 [1] | Transverse shear strain and force in plane XZ γ1, S1, T
BSS2 [1] | Transverse shear strain and force in plane XY γ2, S2, T
BSMD [2] | Mass density of the beam section (assuming a unit area) DENS, T
BSTE [2] | Thermal expansion coefficient ALPHA, T

  1. Repeatable for six independent temperatures, and up to 20 strain values.

  2. Repeatable for six different temperatures.

Temperature dependencies (T). You can define each of the generalized section data components as temperature-dependent. It is possible to specify up to six temperatures (T) by reissuing any command as necessary. If you issue a command for a temperature specified earlier, the most recent data supersedes the previous value.

16.4.1.1. Strain Dependencies

Each component of a nonlinear beam section definition (axial, bending, torque, and transverse shear) can be a nonlinear function of the corresponding strain. The terms generalized stress and generalized strain describe the data defined via the BSAX, BSM1, BSM2, BSTQ, BSS1, and BSS2 commands.

The generalized stress to generalized strain relationship can be nonlinear. The nonlinear response can be either purely elastic--that is, no permanent deformation, and fully recoverable deformation even though the behavior is nonlinear--or elasto-plastic. The option of a purely elastic or elasto-plastic response (SECTYPE) applies to all components of a beam section definition.

The following input illustrates a typical (temperature-independent) nonlinear axial behavior:

sectype,1,genb,plastic   ! Elasto-plastic response
bsax ,0.0008,200         ! Axial strain 0.0008, Force of 200
bsax ,0.001 ,240         ! Axial strain 0.001 , Force of 240
bsax ,0.0014,300         ! Axial Strain 0.0014, Force of 300

ANSYS conventions for defining a uniaxial elasto-plastic response apply. The range of strain values must cover the anticipated maximum deformation of the structure. For all nonlinear beam section specifications, the stiffness disappears if the structural response is beyond the maximum strain value of the section data. You can define a maximum of 20 generalized stress-strain points at each temperature value, and the successive slopes must be smaller than the first slope. Isotropic hardening is assumed for the material response.

For a plastic nonlinear beam section subtype (SECTYPE,,GENB,PLASTIC), you must define all section components with two or more stress-strain points. However, you can define a linear behavior for any section component by specifying a larger maximum strain value. Following is an example where axial behavior is nonlinear, but bending response is linear:

sectype,1,genb,plastic   ! Elasto-plastic response
bsax,0.0008,200
bsax,0.001 ,240
bsax,0.0014,300
! bending
bsm1,0.1,10000
bsm1,1,100000

For an elastic nonlinear beam section subtype (SECTYPE,,GENB,ELASTIC), a single stress-strain point is adequate for defining linear behavior.

16.4.2. Considerations for Employing Nonlinear General Beam Sections

You can define nonlinear general beam sections only when using element BEAM188 or BEAM189. When using nonlinear beam section data, the following conditions apply:

  • The section data defined by each command listed in Table 16.2: "ANSYS Commands for Specifying Nonlinear General Beam Section Data" is associated with the section most recently defined via the SECTYPE command.

  • Beam stresses are not available for output; however, the stress resultants are available as ETABLE quantities.

  • Section offsetting (SECOFFSET) is not available.

  • Only the temperature of the beam axis is relevant.

    Beam section rotary inertia is computed internally based on axial and bending stiffnesses provided. If beam section rotary inertia of a more general form is available, use MASS21 elements (rather than the BSMD command) to define beam section mass and rotary inertia at the beam nodes.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.3. Creating Cross Sections 		Up / Home Next
16.5. Managing Cross Section and User Mesh Libraries


16.5. Managing Cross Section and User Mesh Libraries

Cross section data for common sections such as CHAN and RECT can be stored in cross section libraries. To create standard cross sections for later use, create one or more cross sections, edit the Jobname.LOG file, and copy the appropriate SECTYPE, SECDATA, and SECOFFSET commands into a separate file with a SECT extension. These predefined cross sections can later be read into a model using the /SECLIB command (Main Menu> Preprocessor> Sections> Section Library> Import Library).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.4. Using Nonlinear General Beam Sections 		Up / Home Next
16.6. Sample Lateral Torsional Buckling Analysis (GUI Method)


16.6. Sample Lateral Torsional Buckling Analysis (GUI Method)

You can use BEAM188 and BEAM189 elements to model not only straightforward beam bending and shear response but also to model beam response that involves lateral-torsional buckling. To create this type of model, you will need to create an adequately fine mesh of beam elements. You typically need to model a single beam member using a series of short beam elements, as shown in Figure 16.4: "Lateral-Torsional Buckling of a Cantilever I-Beam".

Figure 16.4 Lateral-Torsional Buckling of a Cantilever I-Beam

Lateral-Torsional Buckling of a Cantilever I-Beam, Modeled With 60 BEAM188 Elements (Displayed Using /ESHAPE)

"Buckling Analysis" in the Structural Analysis Guide documents buckling analysis in detail. This sample problem shows what happens when a cantilever beam is subjected to a concentrated end load, which causes lateral-torsional buckling.

16.6.1. Problem Description

A straight, slender cantilever beam has one fixed end and one free end. A load is applied to the free end. The model is analyzed using eigenvalue buckling calculations, followed by a nonlinear load versus deflection study. The objective is to determine the critical value of the end load (indicated by P in Figure 16.5: "Diagram of a Beam With Deformation Indicated") at which the beam undergoes a bifurcation indicated by a large displacement in the lateral direction.

16.6.2. Problem Specifications

The following material properties are used for this problem:

Young's modulus = 1.0 X 104 psi

Poisson's ratio = 0.0

The following geometric properties are used for this problem:

L = 100 in

H = 5 in

B = .2 in

Loading for this problem is:

P = 1 lb.

16.6.3. Problem Sketch

Figure 16.5 Diagram of a Beam With Deformation Indicated

16.6.4. Eigenvalue Buckling and Nonlinear Collapse

Eigenvalue buckling calculation is a linearized calculation, and is generally valid only for elastic structures. The yielding of materials occurs usually at loads lesser than that predicted by eigenvalue buckling analysis. This type of analysis tends to need less computation time than a full nonlinear buckling analysis.

You can also perform a nonlinear load versus deflection study, which employs an arc length solution strategy to identify critical loads. While the approach is more general, a collapse analysis may be computationally intensive.

The nonlinear collapse analysis must be performed on a structure with imperfections built in to the model, since a perfect model will not show signs of buckling. You can add imperfections by using eigenvectors that result from an eigenvalue buckling analysis. The eigenvector determined is the closest estimate of the actual mode of buckling. The imperfections added should be small when compared to a typical thickness of the beam being analyzed. The imperfections remove the sharp discontinuity in the load-deflection response. It is customary to use one to ten percent of the beam/shell thickness as the maximum imperfection introduced. The UPGEOM command adds displacements from a previous analysis and updates the geometry to the deformed configuration.

16.6.5. Set the Analysis Title and Define Model Geometry

  1. Choose menu path Utility Menu> File> Change Title.

  2. Enter the text "Lateral Torsional Buckling Analysis" and click on OK.

  3. Start the model creation preprocessor and define the keypoints for the beam. Choose menu path Main Menu> Preprocessor> Modeling> Create> Keypoints> In Active CS, and enter these keypoint numbers and the coordinates in the dialog box as indicated:

    Keypoint Number | X Location | Y Location | Z Location | Click This Button to Accept Values
    1 | 0 | 0 | 0 | Apply
    2 | 100.0 | 0 | 0 | Apply
    3 | 50 | 5 | 0 | OK

  4. Create a straight line through keypoints 1 and 2. Choose menu path Main Menu> Preprocessor> Modeling> Create> Lines> Lines> Straight Line. The Create Straight Line picker appears. Select keypoints 1 and 2 in the Graphics window and click on OK in the Create Straight Line picker.

  5. Save the model. Choose menu path Utility Menu> File> Save As. Enter buckle.db in the Save Database to box and click on OK.

16.6.6. Define Element Type and Cross Section Information

  1. Choose menu path Main Menu> Preferences and select the "Structural" check box. Click on OK to continue.

  2. Choose menu path Main Menu> Preprocessor> Element Type> Add/Edit/Delete. The Element Types dialog box appears.

  3. Click on Add ... The Library of Element Types dialog box appears.

  4. In the scroll box on the left, click on "Structural Beam" to select it.

  5. In the scroll box on the right, click on "3D finite strain, 3 node 189" to select BEAM189.

  6. Click on OK, and then click on Close in the Element Types dialog box.

  7. Define a rectangular cross section for the beam. Choose menu path Main Menu> Preprocessor> Sections> Beam> Common Sectns. The BeamTool is displayed. ANSYS sets the section ID to 1, and the subtype to RECT (signified by a rectangle on the subtype button) by default. Since you will be creating a rectangular cross section, there is no need to change the subtype.

  8. In the lower half of the BeamTool, you will see a diagram of the cross section shape with dimension variables labeled. Enter the width of the cross section, 0.2, in the box labeled B. Enter the height of the cross section, 5.0, in the box labeled H. Click on Apply to set the cross section dimensions.

  9. Use the BeamTool to display information about the cross section. Click on the Preview button on the BeamTool. A diagram and data summary of the cross section appear in the Graphics window. You can also preview the mesh of the cross section by selecting the Meshview button. Click on the Close button in the BeamTool to continue.

16.6.7. Define the Material Properties and Orientation Node

  1. Choose menu path Main Menu> Preprocessor> Material Props> Material Models. The Define Material Model Behavior dialog box appears.

  2. In the Material Models Available window on the right, double-click on the following: Structural, Linear, Elastic, Isotropic. A dialog box appears.

  3. Enter 1E4 for EX (Young's modulus).

  4. Enter 0.0 for PRXY (Poisson's ratio), and click on OK. Material Model Number 1 appears in the Material Models Defined window on the left.

  5. Choose menu path Material> Exit to close the Define Material Model Behavior dialog box.

  6. Replot the line by choosing menu path Utility Menu> Plot> Lines.

  7. Select the line and define the orientation node of the line as an attribute. Choose menu path Main Menu> Preprocessor> Meshing> Mesh Attributes> Picked Lines. The Line Attributes picker appears. Select the line in the Graphics window and click on Apply in the Line Attributes picker.

  8. The Line Attributes dialog box appears. ANSYS includes the material attribute pointer to the material set 1, the element type attribute pointer to the local element type 1, and the section attribute pointer to the section ID 1 by default. Click on the radio button beside the Pick Orientation Keypoint(s) label to change it to Yes and click on OK.

  9. The Line Attributes picker reappears. Type 3 in the picker, press the Enter key, and click on OK.

  10. Save the model. Choose menu path Utility Menu> File> Save As. If the buckle.db file is not already selected, select it. Select OK, and when ANSYS prompts you if you want to overwrite the existing file, click on OK.

16.6.8. Mesh the Line and Verify Beam Orientation

  1. Define the mesh size and number of divisions. Choose menu path Main Menu> Preprocessor> Meshing> Size Cntrls> ManualSize> Lines> All Lines. Enter 10 in the No. of Element Divisions box and click on OK.

  2. Mesh the line. Choose menu path Main Menu> Preprocessor> Meshing> MeshTool. Click on MESH on the MeshTool and the Mesh Lines picker appears. Pick the line in the Graphics window, and then click on OK in the Mesh Lines picker. Click on Close in the MeshTool to close it.

  3. Rotate the meshed line. Choose menu path Utility Menu> PlotCtrls> Pan, Zoom, Rotate. The Pan, Zoom, Rotate tool appears. Select ISO and click on Close. The beam is rotated in the Graphics window.

  4. Verify the beam orientation. Choose menu path Utility Menu> PlotCtrls> Style> Size and Shape. Select the radio button next to the /ESHAPE label to turn /ESHAPE on and click on OK.

16.6.9. Define the Boundary Conditions

  1. Define a boundary condition to the fixed end. Choose menu path Main Menu> Solution> Define Loads> Apply> Structural> Displacement> On Keypoints. The Apply U,ROT on KPs picker appears.

  2. Define keypoint 1 as the fixed end. In the picker, type 1, press the Enter key, then click on OK. The Apply U,ROT on KPs dialog box appears.

  3. Click on "All DOF" to select it, and click on OK. The boundary condition information appears in the ANSYS Graphics window at keypoint 1.

  4. Apply a force to the free end. Choose menu path Main Menu> Solution> Define Loads> Apply> Structural> Force/Moment> On Keypoints. The Apply F/M on KPs picker appears.

  5. Identify keypoint 2 as the free end. Type 2 in the picker, press the Enter key, and then click on OK. The Apply F/M on KPs dialog box appears.

  6. In the drop down list for Direction of force/mom, select FY.

  7. Enter 1 for the Force/moment value in the Apply F/M on KPs dialog box, and click on OK. The force symbol appears in the ANSYS Graphics window at keypoint 2.

  8. Save the model. Choose menu path Utility Menu> File> Save As. If the buckle.db file is not already selected, select it. Click on OK and when ANSYS prompts you if you want to overwrite the existing file, click on OK again.

16.6.10. Solve the Eigenvalue Buckling Analysis

  1. Set analysis options. Choose menu path Main Menu> Solution> Unabridged Menu> Analysis Type> Analysis Options. The Static or Steady-State Analysis dialog box appears.

  2. Use the sparse solver for the solution. In the Static or Steady-State Analysis dialog box, make sure that Sparse solver is selected in the drop down box beside the Equation solver label.

  3. Include prestress effect, which will be stored for later use in the eigenvalue buckling calculation. In the drop down list labeled Stress stiffness or prestress, select "Prestress ON." Click on OK to close the Static or Steady-State Analysis dialog box.

  4. Choose menu path Main Menu> Solution> Solve> Current LS. Review the summary information in the /STAT command window, then select Close from its menu bar. Click on OK in the Solve Current Load Step window to begin the solution.

  5. When the Solution is Done! window appears, click on Close to close it.

  6. Choose menu path Main Menu> Finish.

  7. Choose menu path Main Menu> Solution> Analysis Type> New Analysis.

  8. Select the "Eigen Buckling" option, then click on OK.

  9. Choose menu path Main Menu> Solution> Analysis Type> Analysis Options. The Eigenvalue Buckling Options dialog box appears. Select the Block Lanczos option. Enter 4 in the No. of modes to extract box, then click on OK.

  10. Set the element calculation key for the MXPAND command. Choose menu path Main Menu> Solution> Load Step Opts> ExpansionPass> Single Expand> Expand Modes.

  11. In the Expand Modes dialog box, enter 4 in the No. of modes to expand box, change the No to Yes beside the Calculate elem results label, and click on OK.

  12. Choose menu path Main Menu> Solution> Solve> Current LS. Review the summary information in the /STAT command window, then select Close from its menu bar. Click on OK in the Solve Current Load Step window to begin the solution.

  13. When the Solution is Done! window appears, click on Close to close it.

  14. Choose menu path Utility Menu> PlotCtrls> Style> Size and Shape. Be sure the radio button beside the label Display of element shapes ... (/ESHAPE) is set to On and click on OK.

  15. Display the results summary. Choose menu path Main Menu> General Postproc> Results Summary. After you have reviewed the results, click on Close to close the window.

  16. Choose menu path Main Menu> General Postproc> Read Results> First Set.

  17. Plot the first mode shape of the beam. Choose menu path Main Menu> General Postproc> Plot Results> Deformed Shape. The Plot Deformed Shape dialog box appears. Select Def + undef edge and click on OK.

  18. Choose menu path Main Menu> Finish.

16.6.11. Solve the Nonlinear Buckling Analysis

  1. Introduce model imperfections calculated by the previous analysis. Choose menu path Main Menu> Preprocessor> Modeling> Update Geom. In the Update nodes using results file displacements dialog box, enter 0.002 in the Scaling factor box, 1 in the Load step box, 1 in the Substep box, and file.rst in the Selection box. Click on OK.

  2. Choose menu path Main Menu> Solution> Analysis Type> New Analysis.

  3. Select the "Static" option, then click on OK.

  4. Choose menu path Main Menu> Solution> Load Step Opts> Output Ctrls> DB/Results File and be sure the drop down lists display All Items and All entities respectively. Choose the Every substep for the File write frequency radio button and click on OK.

  5. Choose menu path Main Menu> Solution> Analysis Type> Analysis Options. Select the radio button beside Large deform effects, then click on OK.

  6. Set the arc-length method, and set parameters for the termination of the solution. Choose menu path Main Menu> Solution> Load Step Opts> Nonlinear> Arc-Length Opts. Select the Arc-length method on/off radio button and set it to On. Choose the pull down menu next to the Lab label and select Displacement lim. Enter 1.0 in the Max desired U box. Enter 2 in the Node number for VAL box. Choose the pull down menu next to the Degree of freedom label and select UZ. Click on OK.

  7. Define the number of substeps to be run during this load step. Choose menu path Main Menu> Solution> Load Step Opts> Time/Frequenc> Time and Substps. Enter 10000 in the Number of substeps box and click on OK.

  8. Solve the current model. Choose menu path Main Menu> Solution> Solve> Current LS. Review the summary information in the /STAT command window, then select Close from its menu bar. Click on OK in the Solve Current Load Step window to begin the solution. A Nonlinear Solution window with a Stop button appears. A convergence graph is built, and can take several minutes to complete.

  9. You may receive a warning message. You should review the information in the message but you do not need to close it. Continue waiting for the solution to complete. When the Solution is Done! window appears, click on Close to close it.

  10. Choose menu path Main Menu> Finish.

16.6.12. Plot and Review the Results

  1. Replot the beam. Choose menu path Utility Menu> Plot> Elements.

  2. Define the load point deflection to be read from the results file. Choose menu path Main Menu> TimeHist PostPro> Define Variables. When the Defined Time-History Variables dialog box appears, select Add.

  3. When the Add Time-History Variable dialog box appears, be sure the Nodal DOF result option is selected. Click on OK.

  4. The Define Nodal Data picker appears. In the Graphics window, pick node 2 (the end node on the right side of the beam) and click on OK.

  5. The Define Nodal Data dialog box appears. Be sure the Ref number of variable and Node number are both set to 2. Enter TIPLATDI in the User-specified label box. Select Translation UZ from the menu and click on OK.

  6. Define the total reaction force to be read from the results file. Choose Add from the Defined Time-History Variables dialog box.

  7. When the Add Time-History Variable dialog box appears, choose the Reaction forces radio button and then click on OK.

  8. The Define Reaction Force picker appears. Pick the end node on the left side of the beam and click on OK.

  9. The Define Reaction Force Variable dialog box appears. Be sure the Ref number of variable is set to 3 and Node number is set to 1. Select Struct Force FY from the menu and click on OK. Click on Close to close the Defined Time-History Variables dialog box.

  10. Choose menu path Main Menu> TimeHist Postpro> Math Operations> Multiply. In the Multiply Time-History Variables dialog box, enter 4 in the Reference number for result box, -1.0 in the 1st Factor box, and 3 in the 1st Variable box. Click on OK.

  11. Display the X variable. Choose menu path Main Menu> TimeHist Postpro> Settings> Graph. Choose the single variable button, enter 2 in the Single variable no. box, and click on OK.

  12. Plot the load versus deflection curve to confirm the critical load calculated by the eigenvalue method. Choose menu path Main Menu> TimeHist PostPro> Graph Variables. Enter 4 in the 1st variable to graph box. Click on OK.

  13. List the variables versus time. Choose menu path Main Menu> TimeHist PostPro> List Variables. Enter 2 in the 1st variable to list box and 4 in the 2nd variable box and click on OK.

  14. Check the values in the PRVAR Command window to see how they compare against the values generated by the eigenvalue buckling analysis. Expected results are: Critical buckling load, Pcr = 0.01892. Close the PRVAR Command window.

16.6.13. Plot and Review the Section Results

  1. Replot the beam. Choose menu path Utility Menu> Plot> Elements.

  2. Define the compression stress at the base to be read from the results file. Choose menu path Main Menu> TimeHist PostPro> Define Variables. When the Defined Time-History Variables dialog box appears, select Add.

  3. When the Add Time-History Variable dialog box appears, be sure the …by seq no. option is selected. Click on OK.

  4. The Define Element Results picker appears. In the Graphics window, pick element 1 (the end element on the left side of the beam) and click on OK.

  5. The Define Element Results by Seq No. dialog box appears. Be sure the Ref number of variable is set to 5 and Element number is set to 1. Enter BASESX in the User-specified label box. Select LS from the menu.

  6. To retrieve the X component of Stress from the bottom middle of the section (this is node 3, or the 2nd node where stress is stored), type 4 for the Comp Sequence number and click on OK.

  7. Plot variable versus time. Choose menu path Main Menu> TimeHist PostPro> Graph Variables. Enter 5 in the 1st variable to graph box. Click on OK.

  8. List the variable versus time. Choose menu path Main Menu> TimeHist PostPro> List Variables. Enter 5 in the 1st variable to list box and click on OK.

  9. Choose menu path Main Menu> Finish.

  10. In the ANSYS Toolbar, click on Quit.

  11. Choose a save option and click on OK.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.5. Managing Cross Section and User Mesh Libraries 		Up / Home Next
16.7. Sample Problem with Cantilever Beams, Command Method


16.7. Sample Problem with Cantilever Beams, Command Method

Here is the input file for the problem described in the previous section:

/GRAPHICS,POWER
/GST,ON
/SHOW,BUCKLE,GRPH
/PREP7
K,1,0,0,0
K,2,100.0,0,0
K,3,50,5,0
LSTR,1,2
ET,1,BEAM189
SECTYPE,1, BEAM, RECT
SECDATA, 0.2, 5.0
SLIST, 1, 1
MP,EX,1,1E4
MP,NUXY,1,0.0
LSEL,S, , , 1, 1, 1
LATT,1, ,1,0, 3, ,1
LESIZE, all, , ,10
SECNUM,1
LMESH,all
/VIEW,,1,1,1
/ESHAPE,1
EPLOT
DK,1, , , ,0,ALL
FK,2,FY,1.0
FINISH
/SOLU
PSTRES,ON
EQSLV,SPARSE          ! EQSLV,SPARSE is the default for static and full transient
SOLVE
FINISH
/SOLU
ANTYPE,BUCKLE
BUCOPT,LANB,4
MXPAND,4,,,YES
SOLVE
FINISH
/POST1
/ESHAPE,1
/VIEW, 1 ,1,1,1
/ANG, 1
SET,LIST
SET,1,1
PLDISP,2
FINISH
/PREP7
UPGEOM,0.002,1,1,file,rst
/SOLU
ANTYPE,STATIC
OUTRES,ALL,ALL
NLGEOM,ON
ARCLEN,ON,25,0.0001
ARCTRM,U,1.0,2,UZ
NSUBST,10000
SOLVE
FINISH
/POST26
NSOL,2,2,U,Z,TIPLATDI
RFORCE,3,1,F,Y
PROD,4,3, , , , , ,-1.0,1,1
XVAR,2
PLVAR,4
PRVAR,2,4
ESOL,5,1, ,LS,4
PLVAR,5
PRVAR,5
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.6. Sample Lateral Torsional Buckling Analysis (GUI Method) 		Up / Home Next
16.8. Where to Find Other Examples


16.8. Where to Find Other Examples

Several ANSYS publications, particularly the Verification Manual, describe additional beam analyses.

The Verification Manual consists of test case analyses demonstrating the analysis capabilities of the ANSYS program. While these test cases demonstrate solutions to realistic analysis problems, the Verification Manual does not present them as step-by-step examples with lengthy data input instructions and printouts. However, most ANSYS users who have at least limited finite element experience should be able to fill in the missing details by reviewing each test case's finite element model and input data with accompanying comments.

The Verification Manual contains one beam test case:

VM222 - Warped Cantilever Beam

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.7. Sample Problem with Cantilever Beams, Command Method 		Up / Home Next
Chapter 17. Shell Analysis and Cross Sections


Chapter 17. Shell Analysis and Cross Sections

Shell elements are used to create a mathematical 2-D idealization of a 3-D structure. They offer computationally efficient solutions for modelling shell structures when compared to solid elements.

The discussion in this chapter applies to SHELL181 and SHELL281, which are 3-D finite strain shell elements. Compared to other ANSYS shells, these shell elements provide more robust nonlinear analysis capabilities, and significant improvements in cross section data definition, analysis, and visualization.

The method for defining shell sections described here can also be used to define the cross-sectional properties of the layered thermal shell elements SHELL131 and SHELL132. However, information presented here concerning integration points (NUMPT on the SECDATA command) and section properties (SECCONTROLS command) does not apply to SHELL131 and SHELL132.

The following topics are available for shell analysis and cross sections:

  • Understanding Cross Sections
  • How to Create Cross Sections
  • Using Preintegrated General Shell Sections

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.8. Where to Find Other Examples 		Up / Home Next
17.1. Understanding Cross Sections


17.1. Understanding Cross Sections

A cross section defines the geometry of the shell in a plane parallel to the shell x-y plane. Through the section family of commands, you can describe the z direction of the element by defining consecutive layers. Each layer may vary in thickness, material type, orientation (from element x-axis), and number of integration points.

Alternatively, you can define homogenous shell section behavior directly via preintegrated shell sections, a method commonly used in analyses involving laminated composite structures. With preintegrated shell sections, you can directly specify the membrane, bending, and coupling properties. The preintegrated method also allows analysis of complex geometry (with repeated patterns such as corrugated sheets) using equivalent shell section properties. For more information, see Using Preintegrated General Shell Sections.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 17. Shell Analysis and Cross Sections 		Up / Home Next
17.2. How to Create Cross Sections


17.2. How to Create Cross Sections

The general procedure for creating cross sections consists of the following steps:

  1. Define the section and associate a section ID number with the section.

  2. Define the geometry data for the section.

ANSYS supplies the following commands for creating, viewing, and listing cross sections, and for managing cross section libraries:

Table 17.1 ANSYS Cross Section Commands

Command | Purpose
SECTYPE | Associates section with SECID (section number)
SECDATA | Defines section geometry data
SECCONTROLS | Overrides program calculated properties.
SECFUNCTION | Specifies shell section thickness as a tabular function.
SECNUM | Identifies the SECID (section number) to be assigned to an element
SECOFFSET | Defines section offset for shell cross sections
SECPLOT | Plots geometry of a shell section to scale
SLIST | Summarizes section properties
SDELETE | Deletes a cross section

For complete documentation of the cross section commands, see the Commands Reference.

Figure 17.1: "Plot of a Shell Section" shows the layer stacking of a shell section. The layer order, along with material and orientation of each layer, is represented here:

Figure 17.1 Plot of a Shell Section

17.2.1. Defining a Section and Associating a Section ID Number

Use the SECTYPE command to define a section and associate it with a section ID number. For example, the following command assigns a section identification number (2) to a shell section:

Command(s): | SECTYPE, 2, SHELL
GUI: | Main Menu> Preprocessor> Sections> Shell> Add/Edit

17.2.2. Defining Layer Data

Use the SECDATA command to define the layers of a shell section. Each consecutive SECDATA command defines the next layer's thickness, material, orientation, and number of integration points. (The number of integration points input on SECDATA is not used by thermal shell elements.) The layer orientation angle is the angle between the layer coordinate system and the x-axis of the element coordinate system.

You may designate the number of integration points (1, 3, 5, 7, or 9) located thru the thickness of each layer. When only 1, the point is always located midway between the top and bottom surfaces. If 3 or more points, 2 points are located on the top and bottom surfaces respectively and the remaining points are distributed equal distance between the 2 points. An exception occurs when designating 5 points, where the quarter point locations are moved 5 percent toward their nearest layer surface to agree with the locations selected with real constant input. The default for each layer is 3.

If a shell section has only one layer, and the number of section integration points is equal to one, then the shell does not have any bending stiffness. This may result in solver difficulties, and may affect convergence adversely.

Command(s): | SECDATA, 0.5, 1, 45, 3 SECDATA, 0.5, 2, -45, 3 SECDATA, 0.5, 1, 45, 3
GUI: | Main Menu> Preprocessor> Sections> Shell> Add/Edit

17.2.3. Overriding Program Calculated Section Properties

Use the SECCONTROLS command to override the program calculated section properties. By default, the program calculates shear correction factors and mass for each element based on the input section geometry and material properties. Any values input on the SECCONTROLS command will replace the defaults. (SECCONTROLS does not apply to thermal shell elements.)

Command(s): | SECCONTROLS, 0.8, 0.0, 0.8, 1.0
GUI: | Main Menu> Preprocessor> Sections> Shell> Add/Edit

17.2.4. Specifying a Shell Thickness Variation (Tapered Shells)

Use the SECFUNCTION command to associate a tabular thickness variation with the section. A table that describes thickness with respect to the global Cartesian coordinate system may be associated with a shell section. This thickness is interpreted as the total thickness of a shell. The total thickness of a layered shell, and all layer thickness values, will be scaled according to the tabular function.

Command(s): | SECFUNCTION, %table_name%
GUI: | Main Menu> Preprocessor> Sections> Shell> Add/Edit

17.2.5. Setting the Section Attribute Pointer

Use the SECNUM command to associate an element with a particular section. Any element created after the SECNUM command will have this section identification number (2) as its section attribute.

Command(s): | SECNUM, 2
GUI: | Main Menu> Preprocessor> Meshing> Mesh Attributes> Define> Default Attribs

17.2.6. Associating an Area with a Section

Use the AATT command to associate an area with a shell section type. When the area is meshed, the new elements are associated with the section specified on the AATT command. The section specified by the SECNUM command is ignored.

Command(s): | AATT, , , , , 2
GUI: | Main Menu> Preprocessor> Meshing> Mesh Attributes> All Areas Main Menu> Preprocessor> Meshing> Mesh Attributes> Picked Areas

17.2.7. Using the Shell Tool to Create Sections

The SECTYPE, SECDATA, SECOFFSET, SECFUNCTION, and SECCONTROLS commands (Main Menu> Preprocessor> Sections> Shell> Add/Edit) are all associated with the ShellTool in the GUI.

Figure 17.2 Shell Tool With Layup Page Displayed

The top part of the Layup page of the ShellTool relates a section ID number to a Shell section type (and, optionally, a section name) [SECTYPE]. The middle part of the page of the ShellTool defines each layer in the positive Z direction of the element [SECDATA]. Note that the order of the rows in the spreadsheet ascends up the page, resembling that stacking of the layers. (Integration point data for each layer is ignored by thermal shell elements.) The bottom contains the fields for section offset information, if needed [SECOFFSET]. You can define tapered shells by specifying a section function relating thickness to global coordinates [SECFUNCTION].

Figure 17.3 Shell Tool With Section Controls Page Displayed

The transverse shear stiffness, hourglass coefficients and drill stiffness of the sections are calculated from the section geometry and material properties. The default added mass per unit area of the section is always zero. On the Section Controls page, you can override the program calculated quantities [SECCONTROLS]. (The Section Controls page does not apply to thermal shell elements.)

Figure 17.4 Shell Tool With Summary Page Displayed

On the Summary page, you can review the section properties.

17.2.8. Managing Cross Section Libraries

Cross section data for shell sections can be stored in cross section libraries. To create standard cross sections for later use, create one or more cross sections, edit the Jobname.LOG file, and copy the appropriate SECCONTROLS, SECDATA, SECFUNCTION, SECOFFSET, and SECTYPE commands into a separate file with a SECT extension.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
17.1. Understanding Cross Sections 		Up / Home Next
17.3. Using Preintegrated General Shell Sections


17.3. Using Preintegrated General Shell Sections

You can use preintegrated general shell sections (SECTYPE,,GENS) when using the SHELL181 or SHELL281 element, provided that linear elastic material behavior is acceptable. Compared to standard shell usage with independent material and section definitions, preintegration requires fewer system resources because numerical integration through the thickness of the shell is not required.

The behavior of shell elements is governed by the generalized-stress/generalized-strain relationship of the form:

where:

{N} = {N11, N22, N12} are membrane stress resultants per unit length
{M} ={M11, M22, M12} are bending stress resultants per unit length
{ε} = {ε11 , ε22, ε12} are membrane strains
{κ} = {κ11,κ22,κ12} are curvatures
{S} = {S1, S2} are transverse shear forces per unit length
{γ}={γ1,γ2 } are transverse shear strains
[A], [B], [D], and [E] are the section-stiffness matrices for membrane, coupling, bending, and shear behavior, respectively
{MT} are stress resultants caused by a unit rise in temperature on a fully constrained model
{BT} are bending-related stress resultants caused by a unit rise in temperature on a fully constrained model
TI is the stress-free initial temperature
T is the current temperature
(Subscripts 1 and 2 denote shell surface coordinates as employed by the shell element.)

The preintegrated form of input allows you to import homogenous section-stiffness constants evaluated in other analyses or by third-party, special-purpose software tools. For example, defining preintegrated section stiffnesses [A], [B], and [D] is common in analyses of layered composites, corrugated shells, or other complex section construction.

17.3.1. Defining a Preintegrated Shell Section

Each of the following commands specifies a particular component quantity necessary for defining a preintegrated shell section:

Table 17.2 ANSYS Commands for Specifying Preintegrated Shell Section Data

Command | Quantity Defined and Data Specified
SSPA | Membrane stiffness -- Symmetric part of submatrix [A] A11, A21, A31,A22,A32,A33, T
SSPB [1] | Coupling stiffness -- Symmetric part of submatrix [B] B11, B21, B31,B22,B32,B33, T
SSPD [1] | Bending stiffness -- Symmetric part of submatrix [D] D11, D21, D31,D22,D32,D33, T
SSPE [1] | Transverse shear stiffness -- Symmetric part of submatrix [E] E11, E21, E22, T
SSMT | Membrane thermal effects -- {MT} MT11, MT22, MT12, T
SSBT [1] | Bending thermal effects -- {BT} BT11, BT22, BT12, T
SSPM | Mass density of the shell section (assuming a unit thickness) DENS, T

  1. If you are using the SHELL181 or SHELL281 element's Membrane option (KEYOPT(1) = 1), it is not necessary to issue the SSPB, SSPD, SSPE, and SSBT commands. In this case, the only relevant quantities are membrane stiffness (SSPA), membrane thermal effects (SSMT), and density (SSPM).

Temperature dependencies (T). You can define each of the preintegrated shell section data as temperature-dependent. It is possible to specify up to six temperatures (T) by reissuing any command as necessary. If you issue a command for a temperature specified earlier, the most recent data supersedes the previous value.

17.3.2. Considerations for Employing Preintegrated Shell Sections

You can define preintegrated shell sections only when using the SHELL181 or SHELL281 element. When using preintegrated shell section data, the following conditions apply:

  • The section data defined by each command listed in Table 17.2: "ANSYS Commands for Specifying Preintegrated Shell Section Data" is associated with the section most recently defined via the SECTYPE command.

  • You cannot use the shell element with heat-transfer shells.

  • Shell stresses are not available for output; however, the stress resultants are available as ETABLE quantities.

  • The thickness of the shell is assumed to remain constant even in a large-strain analysis.

  • Section offsetting (SECOFFSET) is not available.

  • The preintegrated stiffness components must yield a positive definite section stiffness at analysis time.

If using preintegrated shell sections in a contact analysis, ANSYS recommends the pure Lagrange multiplier method.

For standard layered-shell sections, you can obtain submatrices [A], [B], [D], and [E] via the SLIST command's FULL option.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
17.2. How to Create Cross Sections 		Up / Home Next
Contact Technology Guide


Contact Technology Guide

Release 11.0 Documentation for ANSYS

Table of Contents

1. Contact Overview
1.1. General Contact Classification
1.2. ANSYS Contact Capabilities
1.2.1. Surface-to-Surface Contact Elements
1.2.2. Node-to-Surface Contact Elements
1.2.3. 3-D Line-to-Line Contact
1.2.4. Line-to-Surface Contact
1.2.5. Node-to-Node Contact Elements
2. GUI Aids for Contact Analyses
2.1. The Contact Manager
2.2. The Contact Wizard
2.3. Managing Contact Pairs
3. Surface-to-Surface Contact
3.1. Using Surface-to-Surface Contact Elements
3.2. Steps in a Contact Analysis
3.3. Creating the Model Geometry and Mesh
3.4. Identifying Contact Pairs
3.5. Designating Contact and Target Surfaces
3.5.1. Asymmetric Contact vs. Symmetric Contact
3.6. Defining the Target Surface
3.6.1. Pilot Nodes
3.6.2. Primitives
3.6.3. Element Types and Real Constants
3.6.4. Using Direct Generation to Create Rigid Target Elements
3.6.5. Using ANSYS Meshing Tools to Create Rigid Target Elements
3.7. Defining the Deformable Contact Surface
3.7.1. Element Type
3.7.2. Real Constants and Material Properties
3.7.3. Generating Contact Elements
3.8. Set the Real Constants and Element KEYOPTS
3.8.1. Real Constants
3.8.2. Element KEYOPTS
3.8.3. Selecting a Contact Algorithm (KEYOPT(2))
3.8.4. Determining Contact Stiffness and Allowable Penetration
3.8.5. Choosing a Friction Model
3.8.6. Selecting Location of Contact Detection
3.8.7. Adjusting Initial Contact Conditions
3.8.8. Physically Moving Contact Nodes Towards the Target Surface
3.8.9. Determining Contact Status and the Pinball Region
3.8.10. Avoiding Spurious Contact in Self Contact Problems
3.8.11. Selecting Surface Interaction Models
3.8.12. Modeling Contact with Superelements
3.8.13. Accounting for Thickness Effect
3.8.14. Using Time Step Control
3.8.15. Using the Birth and Death Option
3.9. Controlling the Motion of the Rigid Target Surface (Rigid-to-Flexible Contact)
3.10. Applying Necessary Boundary Conditions to the Deformable Elements
3.11. Defining Solution and Load Step Options
3.12. Solving the Problem
3.13. Reviewing the Results
3.13.1. Points to Remember
3.13.2. Reviewing Results in POST1
3.13.3. Reviewing Results in POST26
4. Node-to-Surface Contact
4.1. The Node-to-Surface Contact Element
4.2. Performing a Node-to-Surface Contact Analysis
4.2.1. CONTA175 KEYOPTS
4.2.2. CONTA175 Real Constants
4.3. Using CONTA175 for Multiphysics Contact
5. 3-D Beam-to-Beam Contact
5.1. The 3-D Line-to-Line Contact Element
5.2. Modeling Beam-to-Beam Contact
5.3. Performing a 3-D Beam-to-Beam Contact Analysis
5.3.1. KEYOPTs and Real Constants
6. Line-to-Surface Contact
6.1. The 3-D Line-to-Surface Contact Element
6.2. Performing a 3-D Line-to-Surface Contact Analysis
6.2.1. KEYOPTs and Real Constants
7. Multiphysics Contact
7.1. Modeling Thermal Contact
7.1.1. Thermal Contact Behavior vs. Contact Status
7.1.2. Free Thermal Surface
7.1.3. Temperature on Target Surface
7.1.4. Modeling Conduction
7.1.5. Modeling Convection
7.1.6. Modeling Radiation
7.1.7. Modeling Heat Generation Due to Friction
7.1.8. Modeling External Heat Flux
7.2. Modeling Electric Contact
7.2.1. Modeling Surface Interaction
7.2.2. Modeling Heat Generation Due to Electric Current
7.3. Modeling Magnetic Contact
7.3.1. Using MCC
7.3.2. Modeling Perfect Magnetic Contact
8. Node-to-Node Contact
8.1. Node-to-Node Contact Elements
8.2. Performing a Node-to-Node Contact Analysis
8.2.1. Creating Geometry and Meshing the Model
8.2.2. Generating Contact Elements
8.2.3. Defining the Contact Normal
8.2.4. Defining the Initial Interference or Gap
8.2.5. Selecting the Contact Algorithm
8.2.6. Applying Necessary Boundary Conditions
8.2.7. Defining the Solution Options
8.2.8. Solving the Problem
8.2.9. Reviewing the Results
9. Multipoint Constraints and Assemblies
9.1. Modeling Solid-Solid and Shell-Shell Assemblies
9.2. Modeling a Shell-Solid Assembly
9.3. Surface-Based Constraints
9.3.1. Defining Surface-Based Constraints
9.3.2. Defining Influence Range (PINB)
9.3.3. Degrees of Freedom of Surface-Based Constraints
9.3.4. Specifying a Local Coordinate System
9.3.5. Additional Guidelines for a Force-Distributed Constraint
9.3.6. Additional Guidelines for A Rigid Surface Constraint
9.3.7. Modeling a Beam-Solid Assembly
9.3.8. Modeling Rigid Bodies
9.4. Restrictions and Recommendations for Internal MPC
10. Spot Welds
10.1. Defining a Spot Weld Set
10.1.1. Creating a Basic Spot Weld Set with SWGEN
10.1.2. The Components of a Spot Weld
10.1.3. Adding Surfaces to a Basic Set
10.2. Listing and Deleting Spot Welds
11. Debonding
11.1. Including Debonding in a Contact Analysis
11.1.1. Cohesive Zone Materials Used for Debonding
11.1.2. Debonding Modes
11.1.3. Other Considerations for Debonding
11.1.4. Postprocessing

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
17.3. Using Preintegrated General Shell Sections 		Up / Home Next
Chapter 1. Contact Overview


Chapter 1. Contact Overview

Contact problems are highly nonlinear and require significant computer resources to solve. It is important that you understand the physics of the problem and take the time to set up your model to run as efficiently as possible.

Contact problems present two significant difficulties. First, you generally do not know the regions of contact until you've run the problem. Depending on the loads, material, boundary conditions, and other factors, surfaces can come into and go out of contact with each other in a largely unpredictable and abrupt manner. Second, most contact problems need to account for friction. There are several friction laws and models to choose from, and all are nonlinear. Frictional response can be chaotic, making solution convergence difficult.

In addition to these two difficulties, many contact problems must also address multi-field effects, such as the conductance of heat, electrical currents, and magnetic flux in the areas of contact.

If you do not need to account for friction in your model, and the interaction between the bodies is always bonded, you may be able to use the internal multipoint constraint (MPC) feature (available for certain contact elements) to model various types of contact assemblies and surface-based constraints (see "Multipoint Constraints and Assemblies" for more information). Another alternative is to use constraint equations or coupled degrees of freedom instead of contact to model these situations (see "Coupling and Constraint Equations" in the Modeling and Meshing Guide for more information). Constraint equations are only available for small strain applications (NLGEOM,off).

In addition to the implicit contact capabilities discussed in this guide, ANSYS also offers explicit contact capabilities with the ANSYS LS-DYNA explicit dynamics product. Explicit capabilities are ideally suited for short-duration contact-impact problems. For more information on the ANSYS LS-DYNA product and its contact capabilities, see the ANSYS LS-DYNA User's Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Contact Technology Guide 		Up / Home Next
1.1. General Contact Classification


1.1. General Contact Classification

Contact problems fall into two general classes: rigid-to-flexible and flexible-to-flexible. In rigid-to-flexible contact problems, one or more of the contacting surfaces are treated as rigid (i.e., it has a much higher stiffness relative to the deformable body it contacts). In general, any time a soft material comes in contact with a hard material, the problem may be assumed to be rigid-to-flexible. Many metal forming problems fall into this category. The other class, flexible-to-flexible, is the more common type. In this case, both (or all) contacting bodies are deformable (i.e., have similar stiffnesses). An example of a flexible-to-flexible contact is bolted flanges.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 1. Contact Overview 		Up / Home Next
1.2. ANSYS Contact Capabilities


1.2. ANSYS Contact Capabilities

ANSYS supports five contact models: node-to-node, node-to-surface, surface-to-surface, line-to-line, and line-to-surface. Each type of model uses a different set of ANSYS contact elements and is appropriate for specific types of problems as shown in the table below.

Table 1.1 ANSYS Contact Capabilities

 | Node-to-Node |  |  | Node-to- Surface | Surface-to-Surface |  | Line-to- Line | Line-to- Surface
Contact Element No. | 12 | 52 | 178 | 175 | 171, 172 | 173, 174 | 176 | 177
Target Element No. |  |  |  | 169, 170 | 169 | 170 | 170 | 170
2-D | Y |  | Y | Y | Y |  |  |
3-D |  | Y | Y | Y |  | Y | Y | Y
Sliding | small | small | small | large | large | large | large | large
Cylindrical Gap | Y |  | Y |  |  |  |  |
Pure Lagrange Multiplier |  |  | Y | Y | Y | Y | Y | Y
Augmented Lagrange Multiplier |  |  | Y | Y | Y | Y | Y | Y
Lagrange Multiplier on Normal and Penalty on Tangent |  |  | Y | Y | Y | Y | Y | Y
Internal Multipoint Constraint (MPC) |  |  |  | Y | Y | Y | Y | Y
Contact Stiffness | user- defined | user- defined | semi-auto | semi-auto | semi-auto | semi-auto | semi-auto | semi-auto
Auto-meshing Tools | EINTF | EINTF | EINTF | ESURF | ESURF | ESURF | ESURF | ESURF
Lower-Order | Y | Y | Y | Y | Y | Y | Y | Y
Higher-Order |  |  |  | Y (2-D only) | Y | Y | Y | Y
Rigid-Flexible | Y | Y | Y | Y | Y | Y | Y | Y
Flexible-Flexible | Y | Y | Y | Y | Y | Y | Y | Y
Thermal Contact |  |  |  | Y | Y | Y |  |
Electric Contact |  |  |  | Y | Y | Y |  |
Magnetic Contact |  |  |  | Y | Y | Y |  |

To model a contact problem, you first must identify the parts to be analyzed for their possible interaction. If one of the interactions is at a point, the corresponding component of your model is a node. If one of the interactions is at a surface, the corresponding component of your model is an element: either a beam, shell, or solid element. The finite element model recognizes possible contact pairs by the presence of specific contact elements. These contact elements are overlaid on the parts of the model that are being analyzed for interaction. The different contact elements that ANSYS uses, and procedures for using them, are described in the remaining chapters of this guide.

An overview of the ANSYS contact elements and their capabilities follows. For detailed information on any of these elements, refer to the Elements Reference and the Theory Reference for ANSYS and ANSYS Workbench.

1.2.1. Surface-to-Surface Contact Elements

ANSYS supports both rigid-to-flexible and flexible-to-flexible surface-to-surface contact elements. These contact elements use a "target surface" and a "contact surface" to form a contact pair.

  • The target surface is modeled with either TARGE169 or TARGE170 (for 2-D and 3-D, respectively).

  • The contact surface is modeled with elements CONTA171, CONTA172, CONTA173, and CONTA174.

To create a contact pair, assign the same real constant number to both the target and contact elements. You can find more details on defining these elements and their shared real constant sets in "Surface-to-Surface Contact".

These surface-to-surface elements are well-suited for applications such as interference fit assembly contact or entry contact, forging, and deep-drawing problems. The surface-to-surface contact elements have several advantages over the node-to-node element CONTA175. These elements:

  • Support lower and higher order elements on the contact and target surfaces (in other words, corner-noded or midside-noded elements).

  • Provide better contact results needed for typical engineering purposes, such as normal pressure and friction stress contour plots.

  • Have no restrictions on the shape of the target surface. Surface discontinuities can be physical or due to mesh discretization.

Using these elements for a rigid target surface, you can model straight and curved surfaces in 2-D and 3-D, often using simple geometric shapes such as circles, parabolas, spheres, cones, and cylinders. More complex rigid forms or general deformable forms can be modeled using special preprocessing techniques (see Defining the Target Surface for more information).

Surface-to-surface contact elements are not well-suited for point-to-point, point-to-surface, edge-to-surface, or 3-D line-to-line contact applications, such as pipe whip or snap-fit assemblies. You should use the node-to-surface, node-to-node, or line-to-line elements in these cases. You also can use surface-to-surface contact elements for most contact regions and use a few node-to-surface contact elements near contact corners.

The surface-to-surface contact elements only support general static and transient analyses, buckling, harmonic, modal or spectrum analyses, or substructure analyses.

1.2.2. Node-to-Surface Contact Elements

CONTA175 is a node-to-surface contact element. It supports large sliding, large deformation, and different meshes between the contacting components. Contact occurs when the element penetrates one of the target segment elements (TARGE169, TARGE170) on a specified target surface. CONTA175 is typically used to model point-to-surface contact applications, such as the corners of snap-fit parts sliding along the mating surface.

You can also use CONTA175 to model surface-to-surface contact, if the contacting surface is defined by a group of nodes and multiple elements are generated. The surfaces can be either rigid or deformable. An example of this type of contact problem is a wire inserted into a slot.

Unlike the node-to-node contact elements, you do not need to know the exact location of the contacting area beforehand, nor do the contacting components need to have a compatible mesh. Large deformation and large relative sliding are allowed, although this capability can also model small sliding.

CONTA175 does not support 3-D higher-order elements on the contact surface side. The element can fail if the target surface is severely discontinuous. No contour plots are available for contact results.

1.2.3. 3-D Line-to-Line Contact

The line-to-line contact element, CONTA176, is typically used to model 3-D beam-to-beam contact (crossing beams or beams that are parallel to each other) or a pipe sliding inside another pipe. Some practical applications are woven fabric and tennis racquet strings.

CONTA176 can be attached to 3-D beam or pipe elements and supports both low-order and higher-order elements on the contact surface. The target surface is modeled with 3-D line segments (TARGE170 straight line or parabolic line elements). This element supports large sliding and large displacement applications. For more information on how to use CONTA176, see " 3-D Beam-to-Beam Contact".

1.2.4. Line-to-Surface Contact

The line-to-surface contact element, CONTA177, can be used to model a 3D beam or shell edge contacting solid or shell elements. CONTA177 supports both low-order and higher-order elements on the contact surface. The target surface is modeled with 3-D target segment elements (TARGE170). This element is also suitable for large sliding and large displacement applications. For more information on how to use CONTA177, see " Line-to-Surface Contact".

1.2.5. Node-to-Node Contact Elements

Node-to-node contact elements are typically used to model point-to-point contact applications. To use node-to-node contact elements, you need to know the location of contact beforehand. These types of contact problems usually involve small relative sliding between contacting surfaces (even in the case of geometric nonlinearities). An example of a node-to-node contact application is the traditional pipe whip model, where the contact point is always located between the pipe tip and the restraint.

Node-to-node contact elements can also be used to solve a surface-to-surface problem if the nodes of the two surfaces line up, the relative sliding deformation is negligible, and deflections (rotations) of the two surfaces remain small. These are typically problems with faceted and simple geometry. An interference fit problem is an example of a surface-to-surface problem where the use of node-to-node contact may be sufficient.

Another use of node-to-node contact elements is in extremely precise analysis of surface stresses, such as in turbine blade analysis.

ANSYS element CONTA178 is the best choice for most node-to-node problems. It offers a wider range of options and solver types than the other elements. CONTAC12 and CONTAC52 are available largely for reasons of backward compatibility with existing models.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.1. General Contact Classification 		Up / Home Next
Chapter 2. GUI Aids for Contact Analyses


Chapter 2. GUI Aids for Contact Analyses

Several GUI aids are available to help you create and manage contact pairs. The Contact Manager allows you to define, view, and edit contact pairs. It provides a convenient way to manage all contact pairs for your entire model. The Contact Wizard, which is accessed from the Contact Manager, leads you through the process of creating contact pairs.

The following contact-related GUI topics are available:

  • The Contact Manager
  • The Contact Wizard
  • Managing Contact Pairs

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.2. ANSYS Contact Capabilities 		Up / Home Next
2.1. The Contact Manager


2.1. The Contact Manager

You can access the Contact Manager via the Contact Manager icon [image] in the ANSYS Standard Toolbar, or via the menu path Preprocessor> Modeling> Create> Contact Pair. The Contact Manager is available at the Begin level and in the following processors: preprocessor (PREP7), solution (SOLU), and general postprocessor (POST1).

The Contact Manager Toolbar provides an intuitive interface for the creation and management of contact pairs. The manager supports surface-to-surface contact analysis, node-to-surface contact analysis (using CONTA175), and the internal multipoint constraint (MPC) method of contact .

Figure 2.1 Contact Manager Toolbar

  • Contact Wizard - Accesses the Contact Wizard GUI described in The Contact Wizard. Allows you to manually define target and contact surfaces. Supports both 2-D and 3-D geometries as well as rigid-flexible (with optional pilot node) or flexible-flexible contact. (Primitives are not supported by contact wizard.) The wizard also supports surface-based constraint contact pairs.

  • Contact Properties - Allows you to specify the properties of the contact pair(s) via real constants and KEYOPTs for the contact elements used.

  • Delete Contact Pairs - Deletes the contact pairs selected in the contact pair list.

  • Contact Selection Options - Specifies display of contact elements, target elements, or both.

  • Plot Elements/Results - Displays the elements of selected contact pairs; or displays the contact results, if available (POST1 only), specified in the Contact Results field for selected contact pairs. Results are displayed if Model Context is specified as "Result-"; otherwise, elements are displayed. The display can be limited to contact, or target, or both as specified in the Contact Selection Options field. (Note that CONTA175 results will not display graphically, but can be listed with the List Elements/Results icon.)

  • Show Normals - Specifies whether or not to display the normals on the elements when plotting contact pairs

  • Flip Normals - Flips the element normals of the selected contact pair. This action is limited to the elements specified in the Contact Selection Options field.

  • Switch Contact and Target - Inverts the target surface and the contact surface with each other. This is applicable only to flexible-to-flexible surface-to-surface contact pairs.

  • List Elements/Results - Lists the elements of the selected contact pairs; or lists the contact results, if available (POST1 only), specified in the Contact Results field for selected contact pairs. Results are listed if Model Context is specified as "Result-"; otherwise, elements are listed. The listing is restricted to the elements specified in the Contact Selection Options field.

  • Model Context - Displays the contact pairs in the context of the entire model using a translucent plot, or shows only the contact pairs. If set to "Result-" (POST1 only), controls display/listing of contact pair results.

  • Check Contact Status - Provides contact status information for selected contact pairs. Several options are available (click and hold down the Check Contact Status button to access these options):

    • Display a detailed listing of status information for each contact pair.

    • Run a partial solution of the initial contact state (CNCHECK,POST command) that can be subsequently postprocessed from the contact manager. (See CNCHECK for more information.)

    • Physically move contact nodes to the target surface (CNCHECK,ADJUST command) in order to close a gap or reduce a penetration (see Physically Moving Contact Nodes Towards the Target Surface.)

    • Reset target element and contact element key options and real constants to their default values (CNCHECK,RESET command).

  • Contact Results - Shows the contact result items for subsequent viewing using the Plot Elements/Results and List Elements/Results icons.

The bar below the toolbar icons minimizes or maximizes the Contact Pair list box below it. The Contact Pair list box displays the defined contact pairs. You can select contact pairs from this list for displaying or editing purposes.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 2. GUI Aids for Contact Analyses 		Up / Home Next
2.2. The Contact Wizard


2.2. The Contact Wizard

This Contact Wizard will lead you through the process of manually creating contact pairs. The wizard supports rigid-flexible (with optional pilot node) and flexible-flexible contact, and supports both surface-to-surface and node-to-surface configurations. (Note that the wizard does not support rigid target primitives.) The Contact Wizard also supports surface-based constraint contact pairs.

To use the Contact Wizard, access the Contact Manager Toolbar and click on the Contact Wizard icon. The wizard steps you through setting up the contact analysis. Below is an example of the screens you will see.

Figure 2.2 Example of a Contact Wizard Dialog

The Contact Wizard remains unavailable (dimmed) if you haven't meshed any portion of your model. If you wish to create a rigid-flexible model, mesh only those parts of the model which will be used as flexible contact surfaces (do not mesh the rigid target surfaces) before launching the wizard. If you wish to create a flexible-flexible model, mesh all parts of the model which will be used as contact surfaces (including target surfaces) before launching the wizard.

You can specify target and contact surfaces using lines, areas, volumes, selected set of nodes, or node components. Note that the wizard allows you to choose more than one area for the target and contact surfaces, thus allowing multiple areas to form a single contact surface. If you specify a rigid target surface, you will then have the option to define a pilot node for that contact pair. (The pilot node step is mandatory if you define a surface-based constraint contact pair by picking the Pilot Node Only option.)

After you specify the target and contact surfaces, you can specify properties of the contact pair (real constants and KEYOPTs) before creating the contact pair. When you finish specifying all the required data, click the Create button to create the contact and target element types, a unique real constant set with the real constant values, and the elements that make up the contact and target surfaces.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.1. The Contact Manager 		Up / Home Next
2.3. Managing Contact Pairs


2.3. Managing Contact Pairs

As discussed in "Surface-to-Surface Contact" it is paramount that the contact elements be oriented correctly for proper contact detection. The contact manager provides tools that help you

  1. Verify that the normals of the contact and target surfaces are in the correct direction

  2. Reverse normals of elements that are not oriented correctly

You can choose to display one or more contact pairs on which to perform the above listed operations. Then you have an additional option of only displaying the contact surface or the target surface when verifying or reversing the element normals. In addition these elements can be displayed independently or in the context of your entire model. In the later case the contact elements are highlighted in a translucent plot of your model.

Another important function is to edit the properties of the contact pair(s) as needed. The properties include real constant values and key option values as discussed earlier. The Contact Properties button in the contact manager provides a simple to use interface that allows the properties of the selected contact pair(s) to be reviewed and modified if needed.

Note that when you have multiple contact pairs, it is possible to have conflicts in the real constant values or in the KEYOPT settings. When you have such conflicts, the properties dialog for those real constants or KEYOPT settings is left blank.

Finally, you can display or list specific contact result items (contact status, penetration, pressure, etc.) for the selected contact pairs. This option is only available in POST1, and only if a result set is available. The contact results can be displayed independently or in the context of your entire model. (For CONTA175, results can be listed but not displayed graphically.)

Note

Prior to displaying or listing result items associated with the initial contact configuration resulting from the CNCHECK,POST command, you need to issue the appropriate FILE and SET,FIRST commands to read the results from the proper results file (see CNCHECK for details).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.2. The Contact Wizard 		Up / Home Next
Chapter 3. Surface-to-Surface Contact


Chapter 3. Surface-to-Surface Contact

You can use the surface-to-surface contact elements to model either rigid-flexible or flexible-flexible contact between surfaces. The Contact Manager provides an easy-to-use interface to help you construct and manage contact definitions. You can access the manager via the Contact Manager icon [image] in the ANSYS Standard Toolbar, or via the menu path Main Menu> Preprocessor> Modeling> Create> Contact Pair. See "GUI Aids for Contact Analyses" for more information on using the Contact Manager.

This chapter explains how to set up a surface-to-surface contact analysis using both the command and GUI approaches. The following topics are available:

  • Using Surface-to-Surface Contact Elements
  • Steps in a Contact Analysis
  • Creating the Model Geometry and Mesh
  • Identifying Contact Pairs
  • Designating Contact and Target Surfaces
  • Defining the Target Surface
  • Defining the Deformable Contact Surface
  • Set the Real Constants and Element KEYOPTS
  • Controlling the Motion of the Rigid Target Surface (Rigid-to-Flexible Contact)
  • Applying Necessary Boundary Conditions to the Deformable Elements
  • Defining Solution and Load Step Options
  • Solving the Problem
  • Reviewing the Results

Note

The procedures described in this chapter also apply to node-to-surface contact analyses using CONTA175, 3-D beam-to-beam contact analyses using CONTA176, and 3-D line-to-surface contact using CONTA177 unless otherwise noted.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.3. Managing Contact Pairs 		Up / Home Next
3.1. Using Surface-to-Surface Contact Elements


3.1. Using Surface-to-Surface Contact Elements

In problems involving contact between two boundaries, one of the boundaries is conventionally established as the "target" surface, and the other as the "contact" surface. For rigid-flexible contact, the target surface is always the rigid surface, and the contact surface is the deformable surface. For flexible-to-flexible contact, both contact and target surfaces are associated with the deformable bodies. These two surfaces together comprise the "contact pair." Use TARGE169 with CONTA171, CONTA172, or CONTA175 to define a 2-D contact pair. For 3-D contact pairs, use TARGE170 with CONTA173, CONTA174, CONTA175, CONTA176, or CONTA177. Each contact pair is identified via the same real constant number.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 3. Surface-to-Surface Contact 		Up / Home Next
3.2. Steps in a Contact Analysis


3.2. Steps in a Contact Analysis

The basic steps for performing a typical surface-to-surface contact analysis are listed below. Each step is then explained in detail in the following sections.

  1. Create the model geometry and mesh

  2. Identify the contact pairs

  3. Designate contact and target surfaces

  4. Define the target surface

  5. Define the contact surface

  6. Set the element KEYOPTS and real constants

  7. Define/control the motion of the target surface (rigid-to-flexible only)

  8. Apply necessary boundary conditions

  9. Define solution options and load steps

  10. Solve the contact problem

  11. Review the results

Each contact-specific step also has a corresponding GUI approach where you use functions and features on the Contact Toolbar.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.1. Using Surface-to-Surface Contact Elements 		Up / Home Next
3.3. Creating the Model Geometry and Mesh


3.3. Creating the Model Geometry and Mesh

First, create solid model entities that represent the geometry of the contacting bodies. Set element types, real constants, and material properties as you would for any ANSYS analysis. Mesh the contacting bodies by meshing the areas or volumes with the element type that you have chosen. For more information, see the Modeling and Meshing Guide.

Command(s): | AMESH, VMESH
GUI: | Main Menu> Preprocessor> Meshing> Mesh

Note

You should avoid midside-noded elements for 3-D contact surfaces when using node-to-surface element CONTA175.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.2. Steps in a Contact Analysis 		Up / Home Next
3.4. Identifying Contact Pairs


3.4. Identifying Contact Pairs

You must identify where contact might occur during the deformation of your model. Once you've identified potential contact surfaces, you define them via target and contact elements, which will then track the kinematics of the deformation process. Target and contact elements that make up a contact pair are associated with each other via a shared real constant set.

The contact zone can be arbitrary; however, for the most efficient solution (primarily in CPU time), you may want to define smaller, localized contacting zones, but be sure your zones are adequate to capture all necessary contact. Different contact pairs must be defined by a different real constant set, even if the element real constant values do not change. There is no limit on the number of surfaces allowed.

Figure 3.1 Localized Contact Zones

Depending on the geometry of the model (and the potential deformation), multiple target surfaces could interact with the same zone of the contact surface. In such cases, you must define multiple contact pairs (using multiple overlapping contact elements), each with its own real constant number. See Figure 3.1: "Localized Contact Zones".

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.3. Creating the Model Geometry and Mesh 		Up / Home Next
3.5. Designating Contact and Target Surfaces


3.5. Designating Contact and Target Surfaces

Contact elements are constrained against penetrating the target surface. However, target elements can penetrate through the contact surface. For rigid-to-flexible contact, the designation is obvious: the target surface is always the rigid surface and the contact surface is always the deformable surface. For flexible-to-flexible contact, the choice of which surface is designated contact or target can cause a different amount of penetration and thus affect the solution accuracy. Consider the following guidelines when designating the surfaces:

  • If a convex surface is expected to come into contact with a flat or concave surface, the flat/concave surface should be the target surface.

  • If one surface has a fine surface mesh and, in comparison, the other has a coarse mesh, the fine mesh should be the contact surface and the coarse mesh should be the target surface.

  • If one surface is stiffer then the other, the softer surface should be the contact surface and the stiffer surface should be the target surface.

  • If higher-order elements underly one of the external surfaces and lower-order elements underly the other surface, the surface with the underlying higher-order elements should be the contact surface and the other surface should be the target. However, for 3-D node-to-surface contact, the lower-order elements should be the contact surface. The higher-order elements should be the target surface.

  • If one surface is markedly larger than the other surface, such as in the instance where one surface surrounds the other surface, the larger surface should be the target surface.

  • In the case of 3-D internal beam-to-beam contact modeled by CONTA176 (a beam or pipe sliding inside another hollow beam or pipe), the inner beam should be considered the contact surface and the outer beam should be the target surface. However, when the inner beam is much stiffer than the outer beam, the inner beam can be the target surface.

These guidelines are true for asymmetric contact; however, asymmetric contact may not perform satisfactorily for your model. The following section details the difference between asymmetric and symmetric contact and outlines some of the situations that require symmetric contact.

3.5.1. Asymmetric Contact vs. Symmetric Contact

3.5.1.1. Background

Asymmetric contact is defined as having all contact elements on one surface and all target elements on the other surface. This is sometimes called "one-pass contact." This is usually the most efficient way to model surface-to-surface contact. However, under some circumstances asymmetric contact does not perform satisfactorily. In such cases, you can designate each surface to be both a target and a contact surface. You can then generate two sets of contact pairs between the contacting surfaces (or just one contact pair; for example, a self-contact case). This is known as symmetric contact (or "two-pass contact"). Obviously, symmetric contact is less efficient than asymmetric contact. However, many analyses will require its use (typically to reduce penetration). Specific situations that require symmetric contact include models where

  • The distinction between the contact and target surfaces is not clear.

  • Both surfaces have very coarse meshes. The symmetric contact algorithm enforces the contact constraint conditions at more surface locations than the asymmetric contact algorithm.

If the meshes on both surfaces are identical and sufficiently refined, the symmetric contact algorithm may not significantly improve performance and may, in fact, be more "expensive" in CPU time. In such circumstances, pick one surface to be the target and the other the contact surface.

For a symmetric contact definition, ANSYS may find one side of a contact surface as closed and the other side of the surface as closed. In this case, it can be difficult to interpret the results. The total contact pressure acting on both sides is the average of the contact pressures on each side of the surface.

3.5.1.2. Using KEYOPT(8)

When there are several contact pairs involved in the model, and the graphical picking of contact and target surfaces is difficult, you can just define the symmetric contact pairs and, by setting KEYOPT(8) = 2, ANSYS will internally select which asymmetric pair is to be used at the solution stage based on the guidelines mentioned above in Designating Contact and Target Surfaces.

Note

In any contact model, you can mix different types of contact pairs: rigid-to-flexible or flexible-to-flexible contact; symmetric contact or asymmetric contact. However, only one type can exist with a contact pair.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.4. Identifying Contact Pairs 		Up / Home Next
3.6. Defining the Target Surface


3.6. Defining the Target Surface

The target surface can be 2-D or 3-D and either rigid or deformable. For deformable target surfaces, you will normally use the ESURF command to generate the target elements along the boundaries of an existing mesh. You can follow the same method to generate the deformable contact surface (see Defining the Deformable Contact Surface for details). You should not use the following rigid target segments for a deformable target surface: ARC, CARC, CIRC, CYL1, CONE, SPHE, or PILO. For rigid target surfaces, the following provides general guidelines.

In 2-D cases, the shape of the target surface is described by a sequence of straight lines, circular arcs, and parabolas, all of which can be represented with the target segment element TARGE169. You can use any combination to define the complex target surface geometry. In 3-D cases, the shape of the target surfaces is described by a sequence of triangles, quadrilaterals, straight lines, parabolas, cylinders, cones, and spheres, which can be represented with TARGE170. You can use any reasonable combination of low/high-order triangles and quadrilaterals to model a target surface with a complex, arbitrary geometry.

3.6.1. Pilot Nodes

The rigid target surface can also be associated with a "pilot node," which is really an element with one node, whose motion governs the motion of the entire target surface. You can think of a pilot node as a handle for the rigid target surface. Forces/moments or rotations/displacements for the entire target surface can be prescribed on just the pilot node. The pilot node can be one of the nodes on the target element or a node at any arbitrary location. The location of the pilot node is important only when rotation or moment loading is required. If you define a pilot node, ANSYS checks for boundary conditions only on the pilot node and ignores any constraints on other nodes.

3.6.2. Primitives

You can use circle, cylinder, cone, and sphere primitives to model the target (which require real constants to define the radius). You can combine primitive segments with general segments (such as lines, parabolas, triangles, and quadrilaterals) to define a target surface. Primitives cannot be defined directly in the Contact Wizard.

3.6.3. Element Types and Real Constants

Before generating the target element, first define the element type (TARGE169 for 2-D or TARGE170 for 3-D):

Command(s): | ET
GUI: | Main Menu> Preprocessor> Element Type> Add/Edit/Delete

3.6.3.1. Defining Target Element Geometry

You define characteristics of the target element geometry through real constants R1 and R2 as follows:

  • For CONTA171 and CONTA172:

    • R1 is the radius if the target shape (TARGE169) is a circle.

    • R2 is the element thickness if the underlying element is a superelement set as plane stress with thickness (KEYOPT(3) = 3). The default value is 1.

  • For CONTA173 and CONTA174 (also applies to node-to-surface element CONTA175, and to line-to-surface element CONTA177):

    • R1 is the radius if the target shape (TARGE170) is a cylinder, cone, or sphere.

    • R2 is the radius of a cone at the second node.

  • For CONTA176, used to model 3-D beam-to-beam contact:

    • R1 is the radius of circular beams on the target side (target radius). Use a positive value when modeling external beam-to-beam contact. Use a negative value to represent the inner radius of the outer beam (or pipe) when modeling internal beam-to-beam contact.

    • R2 is the radius of circular beams on the contact side (contact radius). Use a positive value for both external and internal beam-to-beam contact.

To set the real constant number for the target elements:

Command(s): | REAL
GUI: | Main Menu> Preprocessor> Real Constants

For TARGE169 and TARGE170, you need only set real constants R1 and R2 (if required). For a complete description of the target elements, element shapes, and real constants, see the description of TARGE169 and TARGE170 in the Elements Reference.

Note

Specifying real constants (R1, R2) manually is necessary only if you use direct generation to create your target elements, or if you model 3-D beam-to-beam contact with CONTA176. You can also use the ANSYS meshing tools to create the elements, or use the Contact Manager Toolbar.

3.6.4. Using Direct Generation to Create Rigid Target Elements

To generate target elements directly, use the following command or GUI path:

Command(s): | TSHAP
GUI: | Main Menu> Preprocessor> Modeling> Create> Elements> Elem Attributes

You then specify the element shape. Possible shapes are:

  • Straight line (2-D and 3-D)

  • Parabola (2-D and 3-D)

  • Clockwise arc (2-D)

  • Counterclockwise arc (2-D)

  • Circle (2-D)

  • Three-node triangle (3-D)

  • Six-node triangle (3-D)

  • Four-node quadrilateral (3-D)

  • Eight-node quadrilateral (3-D)

  • Cylinder (3-D)

  • Cone (3-D)

  • Sphere (3-D)

  • Pilot node (2-D and 3-D)

Once you specify a target element shape, all subsequent elements will have that shape until you specify another shape.

Note

You cannot mix 2-D and 3-D target elements on the same target surface.

You cannot mix rigid target elements with deformable target elements on the same target surface. During solution, ANSYS assigns a deformable status to target elements with underlying elements and assigns a rigid status to target elements without underlying elements. If a portion of the underlying elements of a deformable surface are deleted, an error will occur in solution.

You can generate the nodes and elements using standard ANSYS direct generation techniques. For more information on direct generation modeling techniques, see "Direct Generation" in the Modeling and Meshing Guide.

Command(s): | N, E
GUI: | Main Menu> Preprocessor> Modeling> Create> Nodes Main Menu> Preprocessor> Modeling> Create> Elements

You can then verify your element shapes by listing the elements.

Command(s): | ELIST
GUI: | Utility Menu> List> Elements> Nodes + Attributes

3.6.5. Using ANSYS Meshing Tools to Create Rigid Target Elements

You can also let ANSYS generate the elements automatically using the standard ANSYS meshing capabilities. ANSYS will recognize the proper target element shape based on the solid model and will ignore the TSHAP setting.

To generate a pilot node, use the following command or GUI path:

Command(s): | KMESH
GUI: | Main Menu> Preprocessor> Meshing> Mesh> Keypoints

Note

KMESH always creates pilot nodes.

To generate 2-D rigid target elements or 3-D rigid line/parabola segments, use the following command or GUI path. ANSYS creates a single line over each line, parabolic segments over B-splines, and arc segments over each arc and line fillet (see Figure 3.2: "ANSYS Geometric Entities and Their Corresponding Rigid Target Elements"). If all the arcs form a closed circle, ANSYS creates a single circular segment (see Figure 3.3: "A Single Circular Target Segment Created From Arc Line Segments"). However, if the arcs that form a closed circle are created from imported or archived geometry (such as IGES), ANSYS might not create a single circular segment.

Command(s): | LMESH
GUI: | Main Menu> Preprocessor> Meshing> Mesh> Lines

Figure 3.2 ANSYS Geometric Entities and Their Corresponding Rigid Target Elements

Figure 3.3 A Single Circular Target Segment Created From Arc Line Segments

To generate 3-D rigid target elements, use the following command or GUI path.

Command(s): | AMESH
GUI: | Main Menu> Preprocessor> Meshing> Mesh> Areas

If the surface segments on the solid model form a complete sphere, cylinder, or cone, then ANSYS automatically generates a single primitive 3-D target element through the AMESH command. By creating fewer elements, the analysis becomes more computationally efficient. For arbitrary surfaces, you should use AMESH to generate target elements. In these cases, the quality of the meshed target shape is not important. It is more important that the target elements represent the rigid surface geometry well.

We recommend using mapped meshing on all possible areas. If there is no curvature on the edges of the surface, assign one division on that edge. TARGE169 with a rigid specification will always mesh with one element division, per line, ignoring any LESIZE setting. The default target element shape is quadrilateral. If you want a triangular target element shape, use MSHAPE,1. Figure 3.4: "Meshing Patterns for Arbitrary Target Surfaces" shows the meshing patterns for arbitrary target surfaces. The following command or GUI path will generate a mapped mesh wherever possible (otherwise, if not possible, it will generate a free mesh).

Command(s): | MSHKEY,2
GUI: | Main Menu> Preprocessor> Meshing> Mesh> Areas> Target Surf

If the target surface is flat (or nearly flat), you may select low-order target elements (3-node triangular or 4-node quadrilateral elements). If the target surface is curved you should select high-order target elements (6-node triangular or 8-node quadrilateral). By doing so, set KEYOPT(1) = 1 in the target element definition.

Note

Low-order target elements result in "cheaper" CPU usage in getting penetration and gap; however, the meshed surface may not be smooth. Higher-order target elements are more "expensive" to use in getting the penetration and gap, but they need many fewer elements to discretize the whole curved target surface.

Note

If target elements are created via program meshing (through the KMESH, LMESH, or ESURF commands) the TSHAP command is ignored and ANSYS chooses the correct shape codes automatically.

Figure 3.4 Meshing Patterns for Arbitrary Target Surfaces

3.6.5.1. Some Modeling and Meshing Tips

A target surface can be made up of two or more disconnected regions. Where possible, you should localize the contact zone by defining multiple target surfaces (each with a different real constant number). There are no restrictions on the shape of the rigid surfaces. Smoothing is not required. However, you must ensure that the mesh discretization of the curved surfaces on the rigid target surface is adequate. Excessively coarse discretization can cause numerical convergence problems. It can be difficult to obtain a converged solution in a large sliding simulation if the target surface has sharp convex corners. To avoid such modeling problems, use line or area fillet functions on the solid model to smooth out the sharp corner, use a more refined mesh, or use high-order element in the region of abrupt curvature changes (see Figure 3.5: "Smoothing Convex Corner").

Figure 3.5 Smoothing Convex Corner

3.6.5.2. Verifying Nodal Number Ordering (Contact Direction) of Target Surface

The node order of the target surface elements is critical because it defines contact direction. For 2-D contact, the associated (deformable) contact elements must lie to the right of the target surface when moving from the first node to the second node along the target surface line (see Figure 3.6: "Correct Node Ordering").

Figure 3.6 Correct Node Ordering

For 3-D contact, the target element numbering should be such that the rigid surface's outward normal points toward the contact surface. The outward normal is determined by the right-hand rule.

For 3-D line segments, the target nodes must be numbered in a sequence that defines a continuous line. The line can be made up of linear or parabolic segments, depending on whether the underlying beam is made up of first order or second order elements.

To check the direction of the normals, turn on the element coordinate systems.

Command(s): | /PSYMB,ESYS,1
GUI: | Utility Menu> PlotCtrls> Symbols

If the element normals do not point toward the contact surface, select this element and reverse the direction of the surface normals.

Command(s): | ESURF,,REVE
GUI: | Main Menu> Preprocessor> Modeling> Create> Elements> Surf/Contact> Surf to Surf

or, reorient the element normals:

Command(s): | ENORM
GUI: | Main Menu> Preprocessor> Modeling> Move/Modify> Elements> Shell Normals

Note

Contact on target primitives (such as a complete circle, cylinder, cone, or sphere), can occur only on the outside surfaces of such target bodies.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.5. Designating Contact and Target Surfaces 		Up / Home Next
3.7. Defining the Deformable Contact Surface


3.7. Defining the Deformable Contact Surface

To create the deformable contact surface, you must define that surface using one of the following contact elements:

  • CONTA171 or CONTA172 (for 2-D)

  • CONTA173 or CONTA174 (for 3-D)

  • CONTA175 (for 2- or 3-D)

  • CONTA176 or CONTA177 (for 3-D line)

The contact surface is defined by the set of contact elements that comprise the surface of the deformable body. These contact elements have the same geometric characteristics as the underlying elements of the deformable body. The contact surface elements are of the same order as the underlying elements (lower- or higher-order), with compatible nodes along the edges. The higher-order contact elements can match lower-order underlying elements by dropping the midside nodes. The underlying elements can be solid, shell, beam, or pipe elements. The contact surface can be on either side of the shell or beam elements. The underlying elements may also be a superelement. However, axisymmetric harmonic elements may not be used as underlying elements.

As with the target surface elements, you must define the contact surface element type, then select the correct real constant number (the real constant number must be the same as the one used for the target surface for each contact pair), and finally generate the elements.

3.7.1. Element Type

The four surface-to-surface contact element types are shown in the figure below, followed by a brief description of each element. For complete information on these element types, see the Elements Reference.

Figure 3.7 Contact Element Types

  • CONTA171: This is a 2-D, 2-node, lower order line element that can be located on the surfaces of 2-D solid, shell, or beam elements (such as BEAM3, PLANE42, or SHELL208).

  • CONTA172: This is a 2-D, 3-node, higher order parabolic element that can be located on the surfaces of 2-D solid or beam elements with midside nodes (such as PLANE82 or VISCO88).

  • CONTA173: This is a 3-D, 4-node, lower order quadrilateral element that can be located on the surfaces of 3-D solid or shell elements (such as SOLID45 or SHELL181). It can be degenerated to a 3-node triangular element.

  • CONTA174: This is a 3-D, 8-node, higher order quadrilateral element that can be located on the surfaces of 3-D solid or shell elements with midside nodes (such as SOLID92, SOLID95, SHELL93, or SHELL281). It can be degenerated to 3 - 7 node quadrilateral/triangular shapes.

The following elements can also be defined using the method described here.

  • CONTA175: This is a 2- or 3-D, 1-node element that can be located on the surface of 2-D lower order and higher order solid or beam elements or 3-D lower order solid or shell elements. Use CONTA175 for node-to-surface contact.

  • CONTA176: This is a 3-D line element that can be located on the surface of 3-D beam and pipe elements. The element can be a 2-node line or a 3-node parabola, depending on whether the underlying element is lower or higher order. Use CONTA176 to model 3-D beam-to-beam contact.

  • CONTA177: This is a 3-D line element that can be located on the surface of 3-D beam and pipe elements or on the edge of 3-D shell elements. The element can be a 2-node line or a 3-node parabola, depending on whether the underlying element is lower or higher order. Use CONTA177 to model 3-D line-to-surface contact.

Use the following command to define the contact element type.

Command(s): | ET
GUI: | Main Menu> Preprocessor> Element Type> Add/Edit/Delete

3.7.2. Real Constants and Material Properties

After defining the element type, you need to select the correct real constant set. The real constant set for each contact surface must be the same one used for the corresponding target surface for each contact pair. Each contact pair must reference its own real constant number.

ANSYS uses the material properties of the underlying elements to calculate an appropriate contact (or penalty) stiffness. In cases where the underlying element has TB plasticity material properties defined (whether active or not), the contact normal stiffness will be reduced by a factor of 100. ANSYS automatically defines a default value for tangent (sliding) contact stiffness that is proportional to MU and the normal stiffness. If the underlying element is a superelement, the material property set for the contact elements must be the same as that of the original structural elements used during the formation of the superelement.

3.7.3. Generating Contact Elements

You can generate contact elements either through direct generation or by generating the surface automatically from the exterior faces of the underlying elements. We recommend that you use automatic generation; this approach is simpler and more reliable.

To automatically generate contact elements, follow these steps:

  1. Select the nodes on the meshed deformable body. For each surface, view the node list. If you are certain that particular nodes will never come into contact, you can omit those nodes and reduce CPU time. However, you should always include more nodes than you think you'll need so that you don't miss unexpected areas of contact.

    Command(s): NSEL
    GUI: Utility Menu> Select> Entities

  2. Generate the contact elements.

    Command(s): ESURF
    GUI: Main Menu> Preprocessor> Modeling> Create> Elements> Surf/Contact> Surf to Surf

    If the contact surface is attached to areas or volumes that are meshed with solid elements, ANSYS automatically determines the outward normal needed for contact calculations. If the underlying elements are beam or shell elements, you must indicate which surface (top or bottom) is the target surface.

    Command(s): ESURF,,TOP or BOTTOM
    GUI: Main Menu> Preprocessor> Modeling> Create> Elements> Surf/Contact> Surf to Surf

    Use the TOP setting (default) to generate contact elements with their outward normals the same as the beam or shell elements' normals. Use the BOTTOM setting to generate contact elements with their outward normals opposite the beam or shell elements' normals. You must make sure that all elements in the beam or shell element selection have their normals consistently oriented. If the underlying elements are solid elements, then the TOP or BOTTOM setting has no effect.

  3. Check the direction of the outward normals for the contact elements. The direction of the contact surface's outward normal is critical for proper contact detection. For 3-D surface-to-surface contact elements CONTA173 and CONTA174, the node numbering follows the right hand rule to define its outward normal. The contact surface's outward normal should point toward the target surface. Otherwise, ANSYS may detect over-penetration of the surfaces at the beginning of the analysis and have difficulty finding an initial solution. In most of these cases, the analysis will fail immediately. For the 3-D line-to-line contact element CONTA176 and the 3-D line-to-surface contact element CONTA177, the contact nodes must be ordered in a sequence that defines a continuous line. Figure 3.8: "Specification of the Contact Surface's Outward Normal" illustrates both proper and improper specification of the contact surface's outward normal.

    Command(s): /PSYMB,ESYS
    GUI: Utility Menu> PlotCtrls> Symbols

    Figure 3.8 Specification of the Contact Surface's Outward Normal

    If the surface normals are specified incorrectly, you must either change them by reversing the node number order of the selected elements.

    Command(s): ESURF,,REVE
    GUI: Main Menu> Preprocessor> Modeling> Create> Elements> Surf/Contact> Surf to Surf

    Or, you can reorient the element normals.

    Command(s): ENORM
    GUI: Main Menu> Preprocessor> Modeling> Move/Modify> Elements> Shell Normals

Note

ESURF,,TOP or BOTTOM and checking the direction of outward normals will not apply to node-to-surface contact (CONTA175) because it is a single-node element with no surface normal associated with it.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.6. Defining the Target Surface 		Up / Home Next
3.8. Set the Real Constants and Element KEYOPTS


3.8. Set the Real Constants and Element KEYOPTS

ANSYS uses several real constants and KEYOPTs to control contact behavior using surface-to-surface contact elements. For more information in addition to what is presented here, refer to the individual contact element descriptions in the Elements Reference.

If you decide the real constant and KEYOPT settings you have specified for a particular contact pair are not appropriate, you can use the CNCHECK,RESET command to reset all values back to their default settings. Some real constants and key options are not affected by this command; see CNCHECK for details.

3.8.1. Real Constants

Two real constants, R1 and R2, are used to define the geometry of the target surface elements. The remaining are used by the contact surface elements.

  • R1 and R2 define the target element geometry.

  • FKN defines a normal contact stiffness factor.

  • FTOLN is a factor based on the thickness of the element which is used to calculate allowable penetration.

  • ICONT defines an initial closure factor (or adjustment band).

  • PINB defines a "pinball" region.

  • PMIN and PMAX define an allowable penetration range for initial penetration.

  • TAUMAX specifies the maximum contact friction.

  • CNOF specifies the positive or negative offset value applied to the contact surface.

  • FKOP specifies the stiffness factor applied when contact opens or the damping coefficient for standard contact.

  • FKT specifies the tangent contact stiffness factor.

  • COHE specifies the cohesion sliding resistance.

  • TCC specifies the thermal contact conductance coefficient.

  • FHTG specifies the fraction of frictional dissipated energy converted into heat.

  • SBCT specifies the Stefan-Boltzmann constant.

  • RDVF specifies the radiation view factor.

  • FWGT specifies the weight factor for the distribution of heat between the contact and target surfaces for thermal contact or for electric contact.

  • ECC specifies the electric contact conductance or capacitance per unit area.

  • FHEG specifies the fraction of electric dissipated energy converted into heat.

  • FACT specifies the ratio of static to dynamic coefficients of friction.

  • DC specifies the decay coefficient for static/dynamic friction.

  • SLTO controls maximum sliding distance when MU is nonzero and the tangent contact stiffness (FKT) is updated at each iteration (KEYOPT(10) = 1 or 2) or when KEYOPT(2) = 3.

  • TNOP specifies the maximum allowable tensile contact pressure.

  • TOLS adds a small tolerance that extends the edge of the target surface.

  • MCC specifies the magnetic contact permeance (3-D only).

Real constant defaults can vary depending on the environment you are working in. The following table compares the default values between ANSYS and the ANSYS Workbench. See your ANSYS sales representative for more information about ANSYS Workbench.

Table 3.1 Summary of Real Constant Defaults in Different Environments

Real Constants | Description | ANSYS Default | ANSYS Workbench Default
No. | Name
1 R1 Radius associated with target geometry [5]

0

n/a
2 R2

Radius associated with target geometry

Superelement thickness [5]

0

1

n/a
3 | FKN | Normal penalty stiffness factor | 1 | [1]
4 | FTOLN | Penetration tolerance factor | 0.1 | 0.1
5 | ICONT | Initial contact closure | 0 | 0
6 | PINB | Pinball region | [2] | [2]
7 | PMAX | Upper limit of initial penetration | 0 | 0
8 | PMIN | Lower limit of initial penetration | 0 | 0
9 | TAUMAX | Maximum friction stress | 1.00E+20 | 1.00E+20
10 | CNOF | Contact surface offset | 0 | 0
11 FKOP
Contact opening stiffness or
Damping coefficient
1
0
1
0
12 | FKT | Tangent penalty stiffness factor | 1 | 1
13 | COHE | Contact cohesion | 0 | 0
14 | TCC | Thermal contact conductance | 0 | [3]
15 | FHTG | Frictional heating factor | 1 | 1
16 | SBCT | Stefan-Boltzmann constant | 0 | n/a
17 | RDVF | Radiation view factor | 1 | n/a
18 | FWGT | Heat distribution weighing factor | 0.5 | 0.5
19 | ECC | Electric contact conductance | 0 | n/a
20 | FHEG | Joule dissipation weighting factor | 1 | n/a
21 | FACT | Static/dynamic ratio | 1 | 1
22 | DC | Exponential decay coefficient | 0 | 0
23 | SLTO | Allowable elastic slip | 1% | 1%
24 | (blank)
25 | TOLS | Target edge extension factor | [4] | [4]
26 | MCC | Magnetic contact permeance | 0 | n/a

  1. FKN = 10 for bonded. For all other, FKN = 1.0, but if bonded and other contact behavior exists, FKN = 1 for all.

  2. Depends on contact behavior (rigid vs. flex target), NLGEOM,ON or OFF, KEYOPT(9) setting, KEYOPT(12) setting, and the value of CNOF (see Using PINB).

  3. Calculated as a function of highest conductivity and overall model size.

  4. 10% of target length for NLGEOM,OFF.

    2% of target length for NLGEOM,ON.

  5. R1 and R2 are used to define the target element geometry. See Defining Target Element Geometry and the target element descriptions (TARGE169 and TARGE170) for details on how they are used for different geometries.

Command(s): | R
GUI: | Main Menu> Preprocessor> Real Constants

3.8.1.1. Positive and Negative Real Constant Values

For the real constants FKN, FTOLN, ICONT, PINB, PMAX, PMIN, FKOP, FKT, SLTO, and TNOP, you can specify either a positive or negative value. ANSYS interprets a positive value as a scaling factor and interprets a negative value as the absolute value. ANSYS uses the depth of the underlying element as the reference value to be used for ICONT, FTOLN, PINB, PMAX, and PMIN. For example, a positive value of 0.1 for ICONT indicates an initial closure factor of 0.1 x depth of the underlying element. However, a negative value of 0.1 indicates an actual adjustment band of 0.1 units. When KEYOPT(10) = 0, 1, or 2, all the contact related settings (ICONT, FTOLN, PINB, PMAX, PMIN, FKN, FKT, SLTO) are averaged across all contact elements in a contact pair. However, when KEYOPT(10) = 3, 4, or 5, the settings are based on each individual contact element (geometry and material behaviors).

Figure 3.9: "Depth of the Underlying Element" shows the depth of the underlying element for a solid element. If the underlying elements are shell or beam elements, the depth will usually be 4 times the element thickness.

Figure 3.9 Depth of the Underlying Element

When KEYOPT(10) = 0, 1, or 2, each contact pair has a pair-based depth which is obtained by averaging the depth of each contact element across all the contact elements in a contact pair. This can avoid the problem of very different element-based depths when there are meshes with large variations in element sizes.

Note

When the contact pair depth is too small (for example, 10-5), the machine precision may not guarantee the accuracy of penetration to be calculated. You should scale the length unit in the model.

3.8.2. Element KEYOPTS

Each contact element includes several KEYOPTS. We recommend using the default settings, which are suitable for most contact problems. For some specific applications, you can override the defaults. The element KEYOPTS allow you to control several aspects of contact behavior.

  • Degrees of freedom (KEYOPT(1))

  • Contact algorithm (defaults to augmented Lagrangian) (KEYOPT(2))

  • Stress state when superelements are present (KEYOPT(3)) for 2-D surface-to-surface contact (see note below for other meanings of KEYOPT(3))

  • Location of contact detection point (KEYOPT(4))

  • CNOF Automated adjustment (KEYOPT(5))

  • Contact stiffness variation range (KEYOPT(6))

  • Time step control (KEYOPT(7))

  • Asymmetric contact selection (KEYOPT(8))

  • Effect of initial penetration or gap (KEYOPT(9))

  • Contact stiffness update (KEYOPT(10))

  • Shell thickness effect (KEYOPT(11)) (not applicable to CONTA176 or CONTA177)

  • Behavior of contact surface (rough, bonded, etc.) (KEYOPT(12))

Note

For node-to-surface contact (CONTA175), KEYOPT(3) specifies the contact model. For line-to-line contact (CONTA176), KEYOPT(3) specifies the type of beam-to-beam contact. KEYOPT(3) is not used for line-to-surface contact (CONTA177).

KEYOPT defaults can vary depending on the environment you are working in. The following table compares the default values between ANSYS, the ANSYS Contact Wizard, and the ANSYS Workbench. See your ANSYS sales representative for more information about ANSYS Workbench.

Table 3.2 Summary of KEYOPT Defaults in Different Environments

KEYOPT | Description | ANSYS | ANSYS Contact Wizard | ANSYS Workbench Default Linear (bonded, no sep) | ANSYS Workbench, Default Nonlinear (standard, rough)
1 | Selects DOF* | Manual | Auto | Auto | Auto
2 | Contact Algorithm | Aug. Lagr. | Aug. Lagr. | Pure Penalty | Pure Penalty
3 | Stress state when superelement is present | no super elem | no super elem | n/a | n/a
4 | Location of contact detection point | gauss | gauss | gauss | gauss
5 | CNOF/ICONT adjustment | No adjust | No adjust | No adjust | No adjust
6 | Contact stiffnes variation | Use default range | Use default range | Use default range | Use default range
7 | Element level time increment control | No control | No control | No control | No control
8 | Asymmetric contact selection | No action | No action | No action | No action
9 | Effect of initial penetration or gap | Include all | Include all | Exclude all | Include all/ramped
10 | Contact stiffness update | Between load steps | Between iterations | Between load steps | Between load steps
11 | Beam/shell thickness effect | Exclude | Exclude | Exclude | Exclude
12 | Behavior of contact surface | Standard | Standard | Bonded | n/a

*Manual: Requires user to define.

Auto: Selection is based on DOF of underlying element.

Command(s): | KEYOPT, ET
GUI: | Main Menu> Preprocessor> Element Type> Add/Edit/Delete

3.8.3. Selecting a Contact Algorithm (KEYOPT(2))

3.8.3.1. Background

For surface-to-surface contact elements, ANSYS offers several different contact algorithms:

  • Penalty method (KEYOPT(2) = 1)

  • Augmented Lagrangian (default) (KEYOPT(2) = 0)

  • Lagrange multiplier on contact normal and penalty on tangent (KEYOPT(2) = 3)

  • Pure Lagrange multiplier on contact normal and tangent (KEYOPT(2) = 4)

  • Internal multipoint constraint (MPC) (KEYOPT(2) = 2)

The penalty method uses a contact "spring" to establish a relationship between the two contact surfaces. The spring stiffness is called the contact stiffness. This method uses the following real constants: FKN and FKT for all values of KEYOPT(10), plus FTOLN and SLTO if KEYOPT(10) = 1 or 2.

The augmented Lagrangian method (which is the default) is an iterative series of penalty methods. The contact tractions (pressure and frictional stresses) are augmented during equilibrium iterations so that the final penetration is smaller than the allowable tolerance (FTOLN). Compared to the penalty method, the augmented Lagrangian method usually leads to better conditioning and is less sensitive to the magnitude of the contact stiffness. However, in some analyses, the augmented Lagrangian method may require additional iterations, especially if the deformed mesh becomes too distorted.

The pure Lagrange multiplier method enforces zero penetration when contact is closed and "zero slip" when sticking contact occurs. The pure Lagrange multiplier method does not require contact stiffness, FKN and FKT. Instead it requires chattering control parameters, FTOLN and TNOP. This method adds contact traction to the model as additional degrees of freedom and requires additional iterations to stabilize contact conditions. It often increases the computational cost compared to the augmented Lagrangian method.

An alternative algorithm is the Lagrange multiplier method applied on the contact normal and the penalty method (tangential contact stiffness) on the frictional plane. This method enforces zero penetration and allows a small amount of slip for the sticking contact condition. It requires chattering control parameters, FTOLN and TNOP, as well as the maximum allowable elastic slip parameter SLTO.

Another method, the internal multipoint constraint (MPC) algorithm, is used in conjunction with bonded contact (KEYOPT(12) = 5 or 6) and no separation contact (KEYOPT(12) = 4) to model several types of contact assemblies and kinematic constraints. See "Multipoint Constraints and Assemblies" for more information on how to use this feature.

Note

The Lagrange multiplier methods (KEYOPT(2) = 3, 4) and MPC approach (KEYOPT(2) = 2) do not support the Gauss point detection option (KEYOPT(4) = 0) for surface-to-surface contact. They support the nodal detection options for surface-to-surface contact and node-to-surface contact. When using these options, be careful not to overconstrain the model. The model is overconstrained when a contact node has prescribed boundary conditions, CE and CP equations. ANSYS usually detects and eliminates the overconstraints. However, there is no guarantee that the program will eliminate all the cases of overconstraint. You should always verify your model carefully to address this issue. The Lagrange multiplier also introduces more degrees of freedom which may result in spurious modes for modal and linear eigenvalue buckling analyses. The augmented Lagrangian method would be a better choice for these analysis types.

Note

The Lagrange multiplier methods (KEYOPT(2) = 3, 4) introduce zero diagonal terms in the stiffness matrix. Any iterative solver (PCG or AMG) will encounter a preconditioning matrix singularity with these methods. Therefore, you should switch to sparse solver.

Note

If overconstraint occurs in bonded shell-shell assemblies when using the MPC algorithm, you can switch to the penalty method or the augmented Lagrangian method. See Bonded Contact for Shell-Shell Assemblies for more information.

3.8.4. Determining Contact Stiffness and Allowable Penetration

3.8.4.1. Background

For the augmented Lagrangian method and penalty method, normal and tangential contact stiffnesses are required. The amount of penetration between contact and target surfaces depends on the normal stiffness. The amount of slip in sticking contact depends on the tangential stiffness. Higher stiffness values decrease the amount of penetration/slip, but can lead to ill-conditioning of the global stiffness matrix and to convergence difficulties. Lower stiffness values can lead to a certain amount of penetration/slip and produce an inaccurate solution. Ideally, you want a high enough stiffness that the penetration/slip is acceptably small, but a low enough stiffness that the problem will be well-behaved in terms of convergence.

ANSYS provides default values for contact stiffnesses (FKN, FKT), allowable penetration (FTOLN), and allowable slip (SLTO). In most cases, you do not need to define the contact stiffness. In addition, we recommend that you use KEYOPT(10) = 2 to allow the program to update the contact stiffness automatically.

3.8.4.2. Using FKN and FTOLN

For certain contact problems, you may choose to use the real constant FKN to define a normal contact stiffness factor. The usual factor range is from 0.01-1.0, with a default of 1.0. The default value is appropriate for bulk deformation. If bending deformation dominates, we recommend using a smaller value (0.1).

Note

The default contact normal stiffness is affected by defined material properties, regardless of the material property status. If any material with any TB plasticity is defined in the database, the default contact normal stiffness is reduced by a factor of 100, even if the defined material property is not used. If other inelastic TB material properties are defined, other factors may be applied to the default contact normal stiffness (again regardless of the material property status). Thus, unused material properties can affect results. You should confirm that the appropriate contact normal stiffness is used.

Use real constant FTOLN in conjunction with the augmented Lagrangian method. FTOLN is a tolerance factor to be applied in the direction of the surface normal. The range for this factor is less than 1.0 (usually less than 0.2), with a default of 0.1, and is based on the depth of the underlying solid, shell, or beam element (see Figure 3.9: "Depth of the Underlying Element"). This factor is used to determine if penetration compatibility is satisfied. Contact compatibility is satisfied if penetration is within an allowable tolerance (FTOLN times the depth of underlying elements). The depth is defined by the average depth of each individual contact element in the pair. If ANSYS detects any penetration larger than this tolerance, the global solution is still considered unconverged, even though the residual forces and displacement increments have met convergence criteria. You can also define an absolute allowable penetration by specifying a negative value for FTOLN.

Note

When the contact stiffness is too large (for example, 1016), the machine precision may not guarantee good conditioning of the global stiffness matrix. In this case, you should scale the force unit in the model if possible.

Note

FTOLN is also used in the Lagrange multiplier methods (KEYOPT(2) = 3, 4) as a chattering control parameter.

3.8.4.3. Using FKT and SLTO

ANSYS automatically defines a default tangential contact stiffness that is proportional to MU and the normal stiffness FKN. The default tangential stiffness corresponds to a default value of FKT = 1.0. A positive value for FKT is a factor; a negative value indicates an absolute value of tangential stiffness.

For KEYOPT(10) = 1 or 2, or when the Lagrange multiplier on normal and penalty on tangent option is used (KEYOPT(2) = 3), ANSYS updates tangential contact stiffness based on current contact normal pressure, PRES, and maximum allowable elastic slip, SLTO (KT = FKT*MU* PRES/SLTO). The real constant SLTO is used to control maximum sliding distance when FKT is updated at each iteration. ANSYS provides default tolerance values which work well in most cases. You can override the default values for SLTO (1% of average contact length in pair) by defining a scaling factor (positive value when using command input) or an absolute value (negative value when using command input). A larger value will enhance convergence but compromise accuracy. Based on the tolerance, current normal pressure, and friction coefficient, the tangential contact stiffness FKT can be obtained automatically. In certain cases users can override FKT by defining a scaling factor (positive input value) or absolute value (negative input value) (see Positive and Negative Real Constants for more information).

Note

FKN, FTOLN, FKT, and SLTO can be modified from one load step to another. They can also be adjusted in a restart run. Determining a good stiffness value may require some experimentation on your part. To arrive at a good stiffness value, you can try the following procedure as a "trial run":

  1. Use a low value for the contact stiffness to start. In general, it is better to underestimate this value rather than overestimate it. Penetration problems resulting from a low stiffness are easier to fix than convergence difficulties that arise from a high stiffness.

  2. Run the analysis up to a fraction of the final load (just enough to get the contact fully established).

  3. Check the penetration and the number of equilibrium iterations used in each substep. If the global convergence difficulty is caused by too much penetration (rather than by residual forces and displacement increments), FKN may be underestimated or FTOLN may be too small. If the global convergence requires many equilibrium iterations for achieving convergence tolerances of residual forces and displacements rather than the resulting penetration, FKN or FKT may be overestimated.

  4. Adjust FKN, FKT, FTOLN, or SLTO as necessary and run the full analysis. If the penetration control becomes dominant in the global equilibrium iterations (that is, if more iterations were used to converge the problem to within the penetration tolerance than to converge the residual forces), you may increase FTOLN to permit more allowable penetration or increase FKN.

Note

For bonded contact and rough contact, ANSYS uses MU = 1.0 to calculate tangential contact stiffness.

Note

Generally, the contact stiffness, FKN and FKT, has units of FORCE/LENGTH3. However, for contact force-based models the contact stiffness has units FORCE/LENGTH. This applies to CONTA175 with KEYOPT(3) = 0, and to CONTA176 and CONTA177.

3.8.4.4. Using KEYOPT(10)

The normal and tangential contact stiffness can be updated during the course of an analysis, either automatically (due to large strain effects that change the underlying element's stiffness) or explicitly (by user-specified FKN or FKT values). KEYOPT(10) governs how the normal and tangential contact stiffness is updated when the augmented Lagrangian or penalty method is used. In most cases we recommend that you use KEYOPT(10) = 2 to allow the program to update contact stiffnesses automatically. The possible settings for KEYOPT(10) are outlined below.

  • KEYOPT(10) = 0, the contact stiffness will be updated at each load step if FKN or FKT is redefined by the user. Stiffness and other settings (ICONT, FTOLN, SLTO, PINB, PMAX, and PMIN) are averaged across contact elements in a contact pair. The default contact stiffness is determined by underlying element depth and material properties.

  • KEYOPT(10) = 1 (covers KEYOPT(10) = 0), the normal contact stiffness will be updated at every substep based on the mean stress of the underlying elements from the previous substep and the allowable penetration, FTOLN, except in the first substep of the first load step. The default normal contact stiffness for the first substep of the first load step is the same as described for KEYOPT(10) = 0. If bisections occur in the beginning of the analysis, the normal contact stiffness will be reduced by a factor of 0.2 for each bisection. The tangential contact stiffness will be updated at each iteration based on the current contact pressure, MU, and allowable slip (SLTO).

  • KEYOPT(10) = 2 (covers KEYOPT(10) = 1), the normal contact stiffness will be updated at each iteration based on the current mean stress of the underlying elements and the allowable penetration, FTOLN, except in the very first iteration. The default normal contact stiffness for the first iteration is the same as described for KEYOPT(10) = 0. If bisections occur in the beginning of the analysis, the normal contact stiffness will be reduced by a factor of 0.2 for each bisection. The tangential contact stiffness will be updated at each iteration based on the current contact pressure, MU, and allowable slip (SLTO).

  • KEYOPT(10) = 3, same as KEYOPT(10) = 0, except stiffness and settings are not averaged across the contact elements in a contact pair. If bisections occur in the beginning of the analysis, the normal contact stiffness will be reduced by a factor of 0.2 for each bisection.

  • KEYOPT(10) = 4, same as KEYOPT(10) = 1, except stiffness and settings are not averaged across the contact elements in a contact pair.

  • KEYOPT(10) = 5, same as KEYOPT(10) = 2, except stiffness and settings are not averaged across the contact elements in a contact pair.

Note

When a Lagrange multiplier method (KEYOPT(2) = 3, 4) or MPC algorithm (KEYOPT(2) = 2) is used, KEYOPT(10) is ignored.

3.8.4.5. Using KEYOPT(6)

The default method of updating normal contact stiffness is suitable for most applications. However, the variational range of the contact stiffness may not be wide enough to handle certain contact situations. In the case of a very small penetration tolerance (FTOLN), a larger normal contact stiffness is often needed. Furthermore, to stabilize the initial contact condition and to prevent rigid body motion, a smaller normal contact stiffness is required.

The allowed contact stiffness variation is intended to enhance stiffness updating when KEYOPT(10) > 0 by calculating an optimal allowable range in stiffness for use in the updating shceme. To increase the stiffness variational range, set KEYOPT(6) = 1 to make a nominal refinement to the allowable stiffness range, or KEYOPT(6) = 2 to make an aggressive refinement to the allowable stiffness range.

3.8.4.6. Chattering Control Parameters

The Lagrange multiplier methods (KEYOPT(2) = 3, 4) do not require contact stiffness, FKN and FKT. Instead they require chattering control parameters, FTOLN and TNOP, by which ANSYS assumes that the contact status remains unchanged. FTOLN is the maximum allowable penetration and TNOP is the maximum allowable tensile contact pressure.

Note

A negative contact pressure occurs when the contact status is closed. A tensile contact pressure (positive) refers to a separation between the contact surfaces, but not necessarily an open contact status. However, the sign of the contact pressure is switched during postprocessing.

Note

For contact force-based models, TNOP is the maximum allowable tensile contact force. This applies to CONTA175 with KEYOPT(3) = 0, and to CONTA176 and CONTA177.

The behavior can be described as follows:

  • If the contact status from the previous iteration is open and the current calculated penetration is smaller than FTOLN, then contact remains open. Otherwise the contact status switches to closed and another iteration is processed.

  • If the contact status from the previous iteration is closed and the current calculated contact pressure is positive but smaller than TNOP, then contact remains closed. If the tensile contact pressure is larger than TNOP, then the contact status changes from closed to open and ANSYS continues to the next iteration.

ANSYS will provide reasonable defaults for FTOLN and TNOP. FTOLN defaults to the displacement convergence tolerance. TNOP defaults to the force convergence tolerance divided by contact area at contact nodes.

Keep in mind the following when providing values for FTOLN and TNOP:

  • A positive value is a scaling factor applied to the default values.

  • A negative value is used as an absolute value (which overrides the default).

The objective of FTOLN and TNOP is to provide stability to models which exhibit contact chattering due to changing contact status. If the values you use for these tolerances are too small, the solution will require more iterations. However, if the values are too large, the accuracy of the solution will be affected since a certain amount of penetration or tensile contact force is allowed.

3.8.5. Choosing a Friction Model

3.8.5.1. Background

In the basic Coulomb friction model, two contacting surfaces can carry shear stresses up to a certain magnitude across their interface before they start sliding relative to each other. This state is known as sticking. The Coulomb friction model defines an equivalent shear stress τ, at which sliding on the surface begins as a fraction of the contact pressure p (τ = µp + COHE, where µ is the friction coefficient and COHE specifies the cohesion sliding resistance). Once the shear stress is exceeded, the two surfaces will slide relative to each other. This state is known as sliding. The sticking/sliding calculations determine when a point transitions from sticking to sliding or vice versa.

For frictionless, rough, and bonded contact, the contact element stiffness matrices are symmetric. Contact problems involving friction produce unsymmetric stiffnesses. Using an unsymmetric solver is more computationally expensive than a symmetric solver for each iteration. For this reason, ANSYS uses a symmetrization algorithm by which most frictional contact problems can be solved using solvers for symmetric systems. If frictional stresses have a substantial influence on the overall displacement field and the magnitude of the frictional stresses is highly solution dependent, the symmetric approximation to the stiffness matrix may provide a low rate of convergence. In such cases, choose the unsymmetric solution option (NROPT,UNSYM) to improve convergence.

3.8.5.2. Coefficient of Friction

The interface coefficient of friction, MU, is used for the Coulomb friction model. You can input MU as a material property for the contact elements. Use MU = 0 for frictionless contact. For rough or bonded contact (KEYOPT(12) = 1, 3, 5, or 6; see Selecting Surface Interaction Models), ANSYS assumes infinite frictional resistance regardless of the specified value of µ. You can specify MU as a function of temperature. If the underlying element is a superelement (MATRIX50), the material property set must be the same as the one used for the original elements that were assembled into the superelement.

ANSYS provides two models for Coulomb friction: isotropic friction (2-D and 3-D contact) and orthotropic friction (3-D contact). The isotropic friction model is based on a single coefficient of friction, MU. You can use either TB command input (recommended method) or the MP command to specify MU. The orthotropic friction model is based on two coefficients of friction, MU1 and MU2. Use TB command input to specify MU1 and MU2 in two principal directions (see the element descriptions for CONTA173, CONTA174, CONTA175, CONTA176, and CONTA177 for a description of the principal directions for each individual element). See Contact Friction in the Elements Reference for details on how to specify the coefficients of friction.

3.8.5.3. Using TAUMAX, FACT, DC, and COHE

ANSYS provides one extension of classical Coulomb friction: real constant TAUMAX is maximum contact friction with units of stress. This maximum contact friction stress can be introduced so that, regardless of the magnitude of normal contact pressure, sliding will occur if the friction stress reaches this value. You typically use TAUMAX when the contact pressure becomes very large (such as in bulk metal forming processes). TAUMAX defaults to 1.0e20. Empirical data is often the best source for TAUMAX. Its value may be close to [image], where σy is the yield stress of the material being deformed.

Another real constant used for the friction law is the cohesion, COHE (default COHE = 0), which has units of stress. It provides sliding resistance, even with zero normal pressure (see Figure 3.10: "Sliding Contact Resistance").

Figure 3.10 Sliding Contact Resistance

Two other real constants, FACT and DC are involved in specifying static and dynamic friction coefficients, as described in the next section.

3.8.5.4. Static and Dynamic Friction Coefficients

The coefficient of friction can depend on the relative velocity of the surfaces in contact. Typically, the static coefficient of friction is higher than the dynamic coefficient of friction.

ANSYS provides the following exponential decay friction model:

where:

μ = coefficient of friction.
MU = dynamic coefficient of friction.
FACT = ratio of static to dynamic coefficients of friction. It defaults to the minimum value of 1.0
DC = decay coefficient, which has units of time/length. Therefore, time has some meaning in a static analysis. DC defaults to zero. When DC is zero, the equation is rewritten to be μ = MU for the case of sliding and μ = FACT*MU for the case of sticking.
Vrel = slip rate calculated by ANSYS.

For the isotropic friction model, MU is input using the MP command or the TB command as explained above. For orthotropic friction, MU is the equivalent coefficient of friction computed from MU1 and MU2 which are specified with TB command input:

Figure 3.11: "Friction Decay" shows the exponential decay curve where the static coefficient of friction is given by:

Figure 3.11 Friction Decay

You can determine the decay coefficient if you know the static and dynamic coefficients of friction and at least one data point (μ1 ; Vrel1). The equation for friction decay can be rearranged to give:

If you do not specify a decay coefficient and FACT is greater than 1.0, the coefficient of friction will change suddenly from the static to the dynamic value as soon as contact reaches the sliding state. This behavior is not recommended because the discontinuity may lead to convergence difficulties.

3.8.5.5. Forced Frictional Sliding Using Velocity Input

In a static analysis, you can model steady-state frictional sliding between two flexible bodies or between a flexible and a rigid body with different velocities. In this case the sliding velocities no longer follow the nodal displacements, and they are predefined through the CMROTATE command. This command sets the velocities on the nodes of the element component as an initial condition at the start of a load step. This feature is primarily useful for generating sliding contact at frictional contact interfaces in a brake squeal analysis. In this case, the contact pair elements (either the contact elements or the target elements) that are on the brake rotor need to be included in the rotating element component (CM command) that is specified on the CMROTATE command.

3.8.6. Selecting Location of Contact Detection

3.8.6.1. Background

Contact detection points are located at the integration points of the contact elements which are interior to the element surface. The contact element is constrained against penetration into the target surface at its integration points. However, the target surface can, in principle, penetrate through into the contact surface, see Figure 3.12: "Contact Detection Located at Gauss Point".

Figure 3.12 Contact Detection Located at Gauss Point

ANSYS surface-to-surface contact elements use Gauss integration points as a default, which generally provide more accurate results than the nodal detection scheme, which uses the nodes themselves as the integration points. The node-to-surface contact element, CONTA175, the line-to-line contact element, CONTA176, and the line-to-surface contact element, CONTA177, always use the nodal detection scheme.

3.8.6.2. Using KEYOPT(4) and TOLS

The nodal detection algorithms require the smoothing of the contact surface (KEYOPT(4) = 1) or the smoothing of the target surface (KEYOPT(4) = 2), which is quite time consuming. You should use this option only to deal with corner, point-surface, or edge-surface contact (see Figure 3.13: "Contact Detection Point Location at Nodal Point"). KEYOPT(4) = 1 specifies that the contact normal be perpendicular to the contact surface. KEYOPT(4) = 2 specifies that the contact normal be perpendicular to the target surface. Use this option (KEYOPT(4) = 2) when the target surface is smoother than the contact surface.

Figure 3.13 Contact Detection Point Location at Nodal Point

Be aware, however, that using nodes as the contact detection points can lead to other convergence difficulties, such as "node slippage," where the node slips off the edge of the target surface, see Figure 3.14: "Node Slippage Using Nodal Integration KEYOPT(4) = 1 or 2". In order to prevent node slippage, you can use real constant TOLS to extend the target surface when the default setting still cannot avoid the problem. For most point-to-surface contact problems, we recommend using CONTA175; see "Node-to-Surface Contact" later in this guide.

Figure 3.14 Node Slippage Using Nodal Integration KEYOPT(4) = 1 or 2

Smoothing is required for nodal detection algroithms, and it is performed by averaging surface normals connected to the node. As a result, the variation of the surface normal is continuous over the surface, which leads to a better calculation of friction behavior and a better convergence.

Real constant TOLS is used to add a small tolerance that will internally extend the edge of the target surface when you define the contact detection at the nodal point (KEYOPT(4) = 1 or 2). TOLS is useful for problems where contact nodes are likely to lie on the edge of targets (as at symmetry planes or for models generated in a node-to-node contact pattern). In these situations, the contact node may repeatedly "slip" off the target surface and go completely out of contact, resulting in convergence difficulties from oscillations. Units for TOLS are percent (1.0 implies a 1.0% increase in the target edge length). A small value of TOLS will usually prevent this situation from occurring. The default value is 10 for small deflection and 2 for large deflection (NLGEOM, ON).

Note

The definition of KEYOPT(4) in node-to-surface contact element CONTA175 is different. KEYOPT(4) = 1 for surface-to-surface contact is equivalent to KEYOPT(4) = 1 for node-to-surface contact. However, KEYOPT(4) = 2 for surface-to-surface contact is equivalent to KEYOPT(4) = 0 for node-to surface contact. See KEYOPT(4). For the 3-D line-to-line contact element CONTA176 and the 3-D line-to-surface contact element CONTA177, KEYOPT(4) is not used to select the location of contact detection, and the contact normal is always perpendicular to both the contact and target surfaces. For CONTA176 and CONTA177, KEYOPT(4) is used to specify a surface-based constraint type.

3.8.7. Adjusting Initial Contact Conditions

3.8.7.1. Background

Rigid body motion is usually not a problem in dynamic analyses. However, in static analyses, rigid body motion occurs when a body is not sufficiently restrained. "Zero or negative pivot" warning messages and impractical, excessively large displacements indicate unconstrained motion in a static analysis.

In simulations where rigid body motions are constrained only by the presence of contact, you must ensure that the contact pairs are in contact in the initial geometry. In other words, you want to build your model so that the contact pairs are "just touching." However, you can encounter various problems in doing so:

  • Rigid body profiles are often complicated, making it difficult to determine where the first point of contact might occur.

  • Small gaps between element meshes on both sides of the element pair can be introduced by numerical round-off, even if the solid model is built in an initially-contacting state.

  • Small gaps can exist between the integration points of the contact elements and target surface elements.

For the same reasons, too much initial penetration between target and contact surfaces can occur. In such cases, the contact elements may overestimate the contact forces, resulting in nonconvergence or in breaking-away of the components in contact.

The definition of initial contact is perhaps the most important aspect of building a contact analysis model. Therefore, you should always issue the CNCHECK command before starting the solution to verify the initial contact status. You may find that you need to adjust the initial contact conditions. ANSYS offers several ways to adjust the initial contact conditions of a contact pair.

3.8.7.2. Using PMIN, PMAX, CNOF, ICONT, KEYOPT(5), and KEYOPT(9)

The following techniques can be performed independently or in combinations of one or more at the beginning of the analysis. They are intended to eliminate small gaps or penetrations caused by numerical round-off due to mesh generation. They are not intended to correct gross errors in either the mesh or in the geometric data.

  1. Use real constant CNOF to specify a contact surface offset.

    Specify a positive value to offset the entire contact surface towards the target surface. Use a negative value to offset the contact surface away from the target surface.

    Note

    If user-defined values are input for both CNOF and PINB, you must ensure that PINB is greater than CNOF. Otherwise, CNOF will be ignored. However, if a user-defined CNOF is input and the PINB value is left at its default value, the PINB value will be adjusted so that it is larger than the CNOF value, as described in Using PINB.

    Note

    For the CONTA177 line-to-surface element, CNOF can be used to model thickness of the underlying beam elements. Input half of the beam thickness for CNOF to properly model the thickness effects. See Accounting for Thickness Effect (CNOF and KEYOPT(11)) for more information.

    ANSYS can automatically provide the CNOF value to either just close the gap or reduce initial penetration. Set KEYOPT(5) as follows:

    1: Closes the gap

    2: Reduces initial penetration

    3: Either closes the gap or reduces initial penetration

  2. Use the real constant ICONT to specify a small initial contact closure. This is the depth of an "adjustment band" around the target surface. A positive value for ICONT indicates a scaling factor relative to the depth of the underlying elements. A negative value indicates an absolute contact closure value. The value of ICONT defaults to zero if KEYOPT(5) = 0, 1, 2, or 3. (The ICONT default is different when KEYOPT(12) = 6 for bonded-initial contact; see Selecting Surface Interaction Models for more information). If KEYOPT(5) = 4, ANSYS provides a small (but meaningful) value for ICONT according to the geometric dimensions, and prints a warning message stating what value was assigned. Any contact detection points that fall within this adjustment band are internally shifted to be on the target surface (see Figure 3.15: "Contact Surface Adjustment With ICONT"(a)). Only a very small correction is suggested; otherwise, severe discontinuity may occur (see Figure (b)).

    The difference between CNOF and ICONT is that the former shifts the entire contact surface with the distance value CNOF, the latter moves all initially open contact points which are inside of adjustment band ICONT onto the target surface.

    Figure 3.15 Contact Surface Adjustment With ICONT

  3. Use real constants PMIN and PMAX to specify an initial allowable penetration range. When either PMAX or PMIN is specified, ANSYS brings the target surface into a state of initial contact at the beginning of the analysis (see Figure 3.16: "Contact Surface Adjustment (PMIN, PMAX)"). If the initial penetration is larger than PMAX, ANSYS adjusts the target surface to reduce penetration. If the initial penetration is smaller than PMIN (and within the pinball region), ANSYS adjusts the target surface to ensure initial contact. Initial adjustment for contact status is performed only in translational modes.

    Such adjustment of initial contact status will be performed for a rigid target surface that has either prescribed loads or displacements. Similarly, a target surface that has no boundary conditions specified may also be adjusted for initial contact.

    When all the target surface nodes have a prescribed value of zero, the initial adjustment using PMAX and PMIN will not be performed.

    Note that ANSYS treats applicable degrees of freedom for target surface nodes independently. For example, if you specify the UX degree of freedom to be "zero," then no initial adjustment is possible along the X direction. However, the PMAX and PMIN options will still be activated in the Y and Z directions.

    The initial status adjustment is an iterative process. ANSYS uses a maximum of 20 iterations. If the target surface cannot be brought into an acceptable penetration range (i.e., in the range of PMIN to PMAX), the analysis proceeds with the original geometry. ANSYS issues a warning message in such circumstances, and you may need to manually adjust your initial geometry.

    Figure 3.17: "A Scenario in Which Initial Adjustment Will Fail" illustrates a problem in which initial contact adjustment iteration will fail. The UY degree of freedom for the target has been restrained. Therefore, the only possible adjustment for initial contact is in the X direction. However, in this problem, any movement of the rigid target surface in the X direction will not establish initial contact.

    For flexible-to-flexible contact, this technique not only moves the entire target surface but also moves the whole deformable body which attaches to the target surface. Make sure there is no other contact surface or target surface connecting with the deformable body.

    Figure 3.16 Contact Surface Adjustment (PMIN, PMAX)

    Figure 3.17 A Scenario in Which Initial Adjustment Will Fail

  4. Set KEYOPT(9) to adjust initial penetration or gap; see Figure 3.18: "Ignoring Initial Penetration, KEYOPT(9) = 1".

    True initial penetration includes two parts:

    • Penetration or gap due to geometry

    • Penetration or gap due to user-defined contact surface offset (CNOF).

    See Figure 3.19: "Components of True Penetration".

    KEYOPT(9) provides the following capabilities:

    • To include initial penetration from both geometry and contact surface offset, set KEYOPT(9) = 0. This is the default.

    • To ignore initial penetration from both effects, set KEYOPT(9) = 1. When KEYOPT(12) = 4 or 5, this setting for KEYOPT(9) will also ignore the initial force in open-gap springs, thus creating an initially "perfect" contacting surface having no initial forces acting across the contact interface.

    • To include the defined contact surface offset (CNOF) but ignore the initial penetration due to geometry, set KEYOPT(9) = 3. When KEYOPT(12) = 4 or 5, this setting for KEYOPT(9) will also ignore the initial force in open-gap springs, thus creating an initially "perfect" contacting surface having no initial forces acting across the contact interface.

    For problems such as an interference fit, over-penetration is expected. These problems often have convergence difficulties if the initial penetration is step-applied in the first load step. You may overcome convergence difficulties by ramping the initial penetration over the first load step, see Figure 3.20: "Ramping Initial Interference". The following KEYOPT(9) settings provide ramped capabilities:

    • To ramp the total initial penetration (CNOF + the offset due to geometry), set KEYOPT(9) = 2.

    • To ramp the defined contact surface penetration, but ignore the penetration due to geometry, set KEYOPT(9) = 4.

    For both of the above KEYOPT(9) settings, you should also set KBC,0 and not specify any external loads in the first load step. Also, be sure that the pinball region is big enough to capture the initial interference.

You can use the above techniques in conjunction with each other. For example, you may wish to set a very precise initial penetration or gap but the initial coordinates of the finite element nodes may not be able to provide sufficient precision. To accomplish this, you could:

  1. Use ICONT to move the initial open contact points just onto the target surface.

  2. Use CNOF to specify a penetration (positive value) or gap (negative value).

  3. Use KEYOPT(9) = 3 to resolve the initial penetration in the first substep (or KEYOPT(9) = 4 to gradually resolve the initial penetration).

Figure 3.18 Ignoring Initial Penetration, KEYOPT(9) = 1

Figure 3.19 Components of True Penetration

Figure 3.20 Ramping Initial Interference

ANSYS provides a printout (in the output window or file or via the CNCHECK) of the model's initial contact state for each target surface at the beginning of the analysis. This information is helpful for determining the maximum penetration or minimum gap for each target surface.

If no contact is detected for a specific target surface, ANSYS issues a warning. This occurs when the target surface is far from contact (i.e., outside of the pinball region), or when the contact/target elements have been killed.

See Positive and Negative Real Constants for more information on these real constants.

3.8.8. Physically Moving Contact Nodes Towards the Target Surface

The initial contact status can be adjusted to close the gap by defining real constant ICONT or by ignoring the penetration (setting KEYOPT(9) = 1). However the initial contact adjustment is kept during the entire analysis as a rigid zone. The initial contact adjustment can cause a certain amount of residual force if a large rotation appears at the contact surface. This problem can be alleviated by issuing the CNCHECK,ADJUST command, which physically moves contact nodes towards the target surface under the following circumstances:

  • Only when using the nodal detection option (KEYOPT(4) = 1 or 2), or when using CONTA175 or CONTA177, or when using CONTA176 with KEYOPT(3) = 0 (parallel beams).

  • Initially open contact nodes inside the ICONT zone.

  • Initially penetrated nodes with KEYOPT(9) = 1.

After issuing the CNCHECK,ADJUST command, the coordinates of the nodes that have been moved are modified as shown in Figure 3.21: "Effect of Moving Contact Nodes". You can change other contact related settings in PREP7 (for example, set KEYOPT(4) = 0 to use the Gauss detection option) and save the db file. Issuing the SAVE command before issuing the CNCHECK,ADJUST command is recommended in order to resume the .DB file with the original contact configuration.

For those contact pairs whose contact nodes you do not wish to physically move towards target surface, do not define KEYOPT(4) = 1 or 2.

Figure 3.21 Effect of Moving Contact Nodes

3.8.9. Determining Contact Status and the Pinball Region

3.8.9.1. Background

The position and motion of a contact element relative to its associated target surface determines the contact element status. ANSYS monitors each contact element and assigns a status:

  • STAT = 0 Open far-field contact

  • STAT = 1 Open near-field contact

  • STAT = 2 Sliding contact

  • STAT = 3 Sticking contact

A contact element is considered to be in near-field contact when its integration points (Gauss points or nodal points) are within a code-calculated (or user-defined) distance to the corresponding target surface. This distance is referred to as the pinball region. The pinball region is a circle (in 2-D) or a sphere (in 3-D) centered about the Gauss point.

3.8.9.2. Using PINB

Use real constant PINB to specify a scaling factor (positive value for PINB when using command input) or absolute value (negative value for PINB when using command input) for the pinball region. You can specify PINB to have any value. By default, and assuming that large deflection effects apply (NLGEOM,ON), ANSYS defines the pinball region as a circle for 2-D or a sphere for 3-D of radius 4*depth (if rigid-to-flexible contact) or 2*depth (if flexible-to-flexible contact) of the underlying element. (See the discussion of element depth in Positive and Negative Real Constant Values.) If you include no large-deflection effects (NLGEOM,OFF), the default pinball region is half that of the large-deflection case. (For the no-separation (KEYOPT(12) = 4) and bonded-always (KEYOPT(12) = 5 options, the PINB default is different than described here. See Selecting Surface Interaction Models for more information.)

Note

If you input a value for real constant CNOF (contact surface offset) and the default PINB value (as described above) is less than the absolute value of CNOF, the default for PINB will be set to the absolute value of (1.1*CNOF).

The computational cost of searching for contact depends on the size of the pinball region. Far-field contact element calculations are simple and add little computational demands. The near-field calculations (for contact elements that are nearly or actually in contact) are slower and more complex. The most complex calculations occur once the elements are in actual contact.

Setting a proper pinball region is useful to overcome spurious contact definitions if the target surface has several convex regions. However, the default setting should be appropriate for most contact problems.

See Positive and Negative Real Constants for more information on this real constant.

3.8.10. Avoiding Spurious Contact in Self Contact Problems

In some cases of self contact, ANSYS may erroneously assume contact between a contact and target surface that are in very close geometrical position as shown below.

Figure 3.22 Auto Spurious Prevention

ANSYS will alert you when it first detects spurious contact in each load step. If ANSYS encounters such contact on the first load step, you'll see the following error message:

Contact element x has too much penetration related to target element y. We
assume it (may be more elements) is spurious contact.

If ANSYS encounters an abrupt change in contact that it classifies as spurious contact, you'll see the following message:

Contact element x status changed abruptly with target element y. We assume
it (may be more elements) is spurious contact.

ANSYS issues such messages only once per load step. It does not notify you of additional cases of spurious contact that were ignored during the load step.

3.8.11. Selecting Surface Interaction Models

3.8.11.1. Background

The surface-to-surface contact elements support normal unilateral contact models as well as other mechanical surface interaction models.

3.8.11.2. Using KEYOPT(12)

Use KEYOPT(12) to model different contact surface behaviors.

  • KEYOPT(12) = 0 models standard unilateral contact; that is, normal pressure equals zero if separation occurs.

  • KEYOPT(12) = 1 models perfectly rough frictional contact where there is no sliding. This case corresponds to an infinite friction coefficient and ignores the material property MU.

  • KEYOPT(12) = 2 models no separation contact, in which the target and contact surfaces are tied (although sliding is permitted) for the remainder of the analysis once contact is established.

  • KEYOPT(12) = 3 models "bonded" contact, in which the target and contact surfaces are bonded in all directions (once contact is established) for the remainder of the analysis.

  • KEYOPT(12) = 4 models no separation contact, in which contact detection points that are either initially inside the pinball region or that once involve contact always attach to the target surface along the normal direction to the contact surface (sliding is permitted).

  • KEYOPT(12) = 5 models bonded contact, in which contact detection points that are either initially inside the pinball region or that once involve contact always attach to the target surface along the normal and tangent directions to the contact surface (fully bonded).

  • KEYOPT(12) = 6 models bonded contact, in which the contact detection points that are initially in a closed state will remain attached to the target surface and the contact detection points that are initially in an open state will remain open throughout the analysis.

For the no-separation option (KEYOPT(12) = 4), the bonded-always option (KEYOPT(12) = 5), and the bonded-initial option (KEYOPT(12) = 6), separation of contact can be modeled using the debonding feature. For more information, see " Debonding".

For the no-separation option (KEYOPT(12) = 4) and the bonded-always option (KEYOPT(12) = 5), a relatively small PINB value (pinball region) may be used to prevent any false contact. For these KEYOPT(12) settings, the default for PINB is 0.25 (25% of the contact depth) for small deformation analysis (NLGEOM,OFF) and 0.5 (50% of the contact depth) for large deformation analysis (NLGEOM,ON). (The default PINB value may differ from what is described here if CNOF is input. See Using PINB for more information.)

For the bonded-initial option (KEYOPT(12) = 6), a relatively large ICONT value (initial contact closure) may be used to capture the contact. For this KEYOPT(12) setting, the default for ICONT is 0.05 (5% of the contact depth) when KEYOPT(5) = 0 or 4.

See Positive and Negative Real Constants for more information on the real constants mentioned above.

3.8.11.3. Using FKOP

The FKOP real constant can be used in two different ways, depending on the surface interaction model used. For no separation or bonded contact (KEYOPT(12) = 2 through 6), FKOP is the stiffness factor applied when contact opens. For standard or rough contact (KEYOPT(12) = 0 or 1), FKOP represents a contact damping coefficient.

When modeling either no-separation or bonded contact, you may need to set a value for FKOP to apply a stiffness factor when contact opens. If FKOP is a scaling factor (positive value for command input), the true contact opening stiffness equals FKOP times the contact stiffness applied when contact closes. If FKOP is an absolute value (negative value for command input), the value is applied as an absolute contact opening stiffness. The default FKOP value is 1.

No separation and bonded contact generate a "pull-back" force when contact opening occurs, and that force may not completely prevent separation. To reduce separation, define a larger value for FKOP. Also, in some cases separation is expected while connection between the contacting surfaces is required to prevent rigid body motion. In such instances, you can specify a small value for FKOP to maintain the connection between the contact surfaces (this is a "weak spring" effect).

For standard contact (KEYOPT(12) = 0) or rough contact (KEYOPT(12) = 1), you can use FKOP to define a contact damping coefficient. This option is primarily used to damp relative motions between the contact and target surfaces for open contact. It provides certain resistance to reduce the risk of rigid body motion. The damping force is calculated by

where Vrel is the slip rate and Ac is the area domain of the contact surface. The units of the damping coefficient are FORCE/(AREA*VELOCITY). For the contact force-based model, the units are FORCE/VELOCITY. To specify the contact damping coefficient, enter a negative number for FKOP. Positive input will be ignored.

3.8.11.4. Bonded Contact for Shell-Shell Assemblies

The bonded contact options (KEYOPT(12) = 5 or 6) can be used with the MPC approach (KEYOPT(2) = 2) to model various types of assemblies (see "Multipoint Constraints and Assemblies"). When this method is used to model shell-shell assemblies, there may be cases where the MPC approach causes the model to be overconstrained. To alleviate this problem, you can use a penalty based method for shell-shell assemblies. Using the penalty based method constrains rotational DOFs in addition to translational DOFs. This capability is available for contact elements CONTA173, CONTA174, and CONTA175 in conjunction with TARGE170.

To use this method, first set KEYOPT(2) = 0 or 1 (augmented Lagrangian
or penalty function) and KEYOPT(12) = 5 or 6 (bonded always or bonded initial
contact) in the contact elements. Setting KEYOPT(5) = 2 (shell-shell constraint)
for the target elements will cause this penalty based method to be used.

The penalty stiffness used for rotational DOFs is equal to (contact stiffness used for translational DOFs) * (contact length). The contact stiffness for translational DOFs is input by real constant FKN, or defaults to an internal value. The contact length is always calculated internally and it is printed in the output file. The figure below shows the difference in using conventional penalty based shell-shell assembly and this method.

Figure 3.23 Penalty-Based Shell-Shell Assembly

3.8.12. Modeling Contact with Superelements

3.8.12.1. Background

The surface-to-surface contact elements can model a rigid body (or one linear elastic body) contacting another linear elastic body undergoing small motions. These elastic bodies can be modeled using superelements, which greatly reduces the number of degrees of freedom involved in the contact iteration. Remember that any contact or target nodes must be either all master nodes of the superelements or all slave nodes of the superelements. When the contact pair is built in original elements used to generate superelements, the contact status will not change from its initial status.

Because the superelement consists only of a group of retained nodal degrees of freedom, it has no surface geometry on which ANSYS can define a contact and target surface. Therefore, the contact and target surface must be defined on the surface of the original elements before they are assembled into a superelement. Information taken from the superelement includes nodal connection and assembly stiffness, but no material property or stress states (whether axisymmetric, plane stress, or plane strain). One restriction is that the material property set used for the contact elements must be the same as the one used for the original elements before they were assembled into superelements.

3.8.12.2. Using KEYOPT(3)

Use KEYOPT(3) to provide information for the 2-D analysis with superelements. In elements CONTA171 and CONTA172, the options are as follows:

  • No superelement used (KEYOPT(3) = 0)

  • Axisymmetric, use with superelements only (KEYOPT(3) = 1)

  • Plane strain or plane stress with unit thickness, use with superelements only (KEYOPT(3) = 2)

  • Plane stress with thickness input use with superelements only (KEYOPT(3) = 3). Note that for this case, use real constant R2 to specify the thickness.

In 3-D contact analysis, KEYOPT(3) in elements CONTA173 and CONTA174 is ignored. ANSYS will automatically detect whether the underlying element is a superelement.

Note

KEYOPT(3) has different meanings in the node-to surface contact element, CONTA175, and in the line-to-line contact element, CONTA176. KEYOPT(3) is not used for the line-to-surface contact element, CONTA177.

For CONTA175, KEYOPT(3) = 1 defines the contact traction-based model. In this case, all of the real constant inputs and contact result quantities have the same units as the surface-to-surface contact elements. KEYOPT(3) = 0 (default) defines the contact force model. In this model, certain real constants and contact result quantities can have different units (a factor of AREA (Length2) difference). See KEYOPT(3).

For CONTA176, KEYOPT(3) specifies the type of beam-to-beam contact. See Performing a 3-D Beam-to-Beam Contact Analysis.

3.8.13. Accounting for Thickness Effect

3.8.13.1. Background

You can account for the thickness of shells (2-D and 3-D) and beams (2-D) using KEYOPT(11). (This does not apply to 3-D beam-to-beam contact.) For rigid-to-flexible contact, ANSYS will automatically shift the contact surface to the bottom or top of the shell/beam surface. For flexible-to-flexible contact, ANSYS will automatically shift both the contact and target surfaces which are attached to shell/beam elements. By default, ANSYS does not account for the element thickness, and beams and shells are discretized at their mid-surface in which penetration distance is calculated from the mid-surface.

3.8.13.2. Using KEYOPT(11)

When you set KEYOPT(11) = 1 to account for beam or shell thickness, the contact distance is calculated from either the top or the bottom surface as specified previously in Steps in a Contact Analysis.

Note

Only use KEYOPT(11) = 1 to account for thickness when you have shell or beam elements with nodes located at the middle surface (for example, KEYOPT(11) = 0 for SHELL91).

When building your model geometry, if you are going to account for thickness, remember the offsets which may come from either the contact surface or target surface or from both. When you specify a contact offset (CNOF) along with setting KEYOPT(11) = 1, it is defined from the top or bottom of the shell/beam, not the mid-surface. When used with SHELL181, SHELL208, SHELL209, or SHELL281, changes in thickness during deformation are also taken into account.

Note that KEYOPT(11) is not used with the line-to-line contact element (CONTA176). For the line-to-surface contact element (CONTA177) KEYOPT(11) is only used for shell elements on the target side.

3.8.14. Using Time Step Control

3.8.14.1. Background

Time step control is an automatic time stepping feature that predicts when the status of a contact element will change and cuts the current time step back.

3.8.14.2. Using KEYOPT(7)

Use KEYOPT(7) to take one of four actions to control time stepping, where KEYOPT(7) = 0 provides no control (the default), and KEYOPT(7) = 3 provides the most control.

  • KEYOPT(7) = 0: No control. The time step size is unaffected by the prediction. This setting is appropriate for most analyses when automatic time stepping is activated and a small time step size is allowed.

  • KEYOPT(7) = 1: Time step size is bisected if too much penetration occurs during an iteration, or if the contact status changes dramatically.

  • KEYOPT(7) = 2: Predict a reasonable increment for the next substep.

  • KEYOPT(7) = 3: Predict a minimal time increment for the next substep.

3.8.15. Using the Birth and Death Option

The surface-to-surface contact and target elements allow birth and death and also follow the birth and death status of their underlying elements. The elements can be removed for part of an analysis and then reactivated for a later stage. This feature is useful for modeling complex metal forming processes where multiple rigid target surfaces need to interact with the contact surface at different stages of the analysis. Springback modeling often requires removing the rigid tools at the end of the forming processes. This option cannot be used with "no separation" or bonded contact.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.7. Defining the Deformable Contact Surface 		Up / Home Next
3.9. Controlling the Motion of the Rigid Target Surface (Rigid-to-Flexible Contact)


3.9. Controlling the Motion of the Rigid Target Surface (Rigid-to-Flexible Contact)

Rigid target surfaces are defined in their original configuration, and the motion of the entire surface is then defined by the imposed displacements on the pilot node (or the different nodes of the target surface if no pilot node was defined).

You must use a pilot node in any of the following situations to control the boundary conditions (and motion) of the entire target surface:

  • The target surface is subjected to applied forces.

  • The target surface is subjected to rotations.

  • The target surface is connected to other elements (e.g., structural mass element MASS21).

  • The motion of the target surface is adjusted by the equilibrium condition.

The degrees of freedom of the pilot node represent the motion of the entire rigid surface, including two translational and one rotational degree of freedom in 2-D, and three translational and three rotational degrees of freedom in 3-D. You can apply boundary conditions (displacement, initial velocity), concentrated loads, rotations, etc. to the pilot node. To account for a rigid body's mass, define a mass element (MASS21) on the pilot node. You can also define a follower element (FOLLW201) on the pilot node; the element-specified external forces and moments will follow the motion of the pilot node.

Keep in mind the following restrictions on the target surface when using a pilot node:

  • Each target surface can have only one pilot node.

  • ANSYS ignores all boundary conditions on all nodes other than the pilot node.

  • Only the pilot node can connect to other elements. If you need to attach the rigid surface to another element, you must use the pilot node to do so.

  • You cannot use constraint equations (CE) or node coupling (CP) to control the degree of freedom of the target surface when a pilot node has been defined. If you want to apply any loads or constraints on the rigid target surface, you must define a pilot node and apply the loads to that pilot node. If you do not use a pilot node, you can have rigid body motions only.

Note

The pilot node can be one of the nodes on the target elements or a node at any arbitrary location. However, it should not be the node on the contact element. The location of the pilot node becomes important only when rotations or moments are to be applied. For each pilot node, ANSYS will automatically define an internal node and an internal constraint equation. The rotational DOF of the pilot node is connected to the translational DOF of the internal node by the internal constraint equation.

By default, KEYOPT(2) = 0 for the target element, ANSYS checks the boundary conditions for each target surface. If all of the following conditions are met, then ANSYS treats the target nodes along the respective degree of freedom as fixed:

  • There are no explicit boundary conditions or prescribed forces for target surface nodes.

  • Target surface nodes are not connected to other elements.

  • Neither constraint equations nor node coupling have been used to constrain such nodes.

At the end of each load step, ANSYS releases the constraint conditions that were set internally.

The constraint conditions stored in the results file (Jobname.RST) and the database file (Jobname.DB) may be updated due to this change. You should carefully verify whether the current constraint conditions are expected before restarting an analysis or resolving the problem in interactive mode.

If you wish, you can control the constraint conditions of target nodes by setting KEYOPT(2) = 1 in the target element definition.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.8. Set the Real Constants and Element KEYOPTS 		Up / Home Next
3.10. Applying Necessary Boundary Conditions to the Deformable Elements


3.10. Applying Necessary Boundary Conditions to the Deformable Elements

You can now apply any necessary boundary conditions as you would for any ANSYS analysis. For more information on applying boundary conditions, see the appropriate analysis descriptions in the Structural Analysis Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.9. Controlling the Motion of the Rigid Target Surface (Rigid-to-Flexible Contact) 		Up / Home Next
3.11. Defining Solution and Load Step Options


3.11. Defining Solution and Load Step Options

Convergence behavior for contact problems depends strongly on the particular problem. The options listed below are either typical or recommended for most surface-to-surface contact analyses. Please see the Commands Reference for further details.

The time step size must be small enough to capture the proper contact zone. The smooth transfer of contact forces is disrupted if the time step size is too large. The time step size is specified by a number of substeps or the time step size itself. The following commands adjust these parameters.

Command(s): | NSUBST
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Freq and Substps Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Time and Substps Main Menu> Solution> Analysis Type> Sol'n Control ( : Basic Tab) Main Menu> Solution> Unabridged Menu> Load Step Opts> Time/Frequenc> Freq and Substps Main Menu> Solution> Unabridged Menu> Load Step Opts> Time/Frequenc> Time and Substps
Command(s): | DELTIM
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Time-Time Step Main Menu> Solution> Analysis Type> Sol'n Control ( : Basic Tab) Main Menu> Solution> Unabridged Menu> Load Step Opts> Time/Frequenc>Time-Time Step

Note

A reliable way to set an accurate time step size is to turn automatic time stepping on.

The following options are automatically invoked, but may override them if needed.

Command(s): | AUTOTS,ON
GUI: | Main Menu> Solution> Analysis Type> Sol'n Control ( : Basic Tab) Main Menu> Solution> Unabridged Menu> Load Step Opts> Time/Frequenc> Time-Time Step or Time and Substps

If the contact status changes during the iteration process, discontinuity can occur. To avoid a slow convergence rate and use an updated stiffness matrix, set the Newton-Raphson option to FULL.

Command(s): | NROPT,FULL,,OFF
GUI: | Main Menu> Solution> Unabridged Menu> Analysis Type> Analysis Options

Also, do not use adaptive descent. Adaptive descent usually does not provide any help for surface-to-surface contact applications, and we recommend turning it off.

In cases where frictional sliding dominates, set the unsymmetric solver option (NROPT, UNSYM,,OFF) to avoid slow convergence or divergence.

Set the number of equilibrium equations to a number that is appropriate for a reasonable time step size. This command defaults to between 15 and 26 iterations, depending upon the physics of the problem.

Command(s): | NEQIT
GUI: | Main Menu> Solution> Analysis Type> Sol'n Control ( : Nonlinear Tab) Main Menu> Solution> Unabridged Menu> Load Step Opts> Nonlinear> Equilibrium Iter

Because the iterations tend to become unstable for large increments, use the line search option to stabilize the calculations.

Command(s): | LNSRCH
GUI: | Main Menu> Solution> Analysis Type> Sol'n Control ( : Nonlinear Tab) Main Menu> Solution> Unabridged Menu> Load Step Opts> Nonlinear> Line Search

Turn the predictor-corrector option on, except for large rotations or dynamic analyses.

Command(s): | PRED
GUI: | Main Menu> Solution> Analysis Type> Sol'n Control ( : Nonlinear Tab) Main Menu> Solution> Unabridged Menu> Load Step Opts> Nonlinear> Predictor

Many convergence failures in contact analyses are the result of using too large a value for contact stiffness (real constant FKN). Be sure to follow the recommendations given earlier in this chapter for estimating contact stiffness. If such estimated values lead to a convergence failure, reduce the contact stiffness and restart.

Conversely, if overpenetration occurs in your contact analysis, you probably need a larger value of FKN. In this case, gradually increase the contact stiffness value to an appropriate level by redefining it using RMODIF commands over several load steps in a restart.

Note

For most small strains, small displacements, and small sliding problems, set NLGEOM, OFF. This setting will speed up the searching time; however, if the contact problem involves large sliding, set NLGEOM, ON.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.10. Applying Necessary Boundary Conditions to the Deformable Elements 		Up / Home Next
3.12. Solving the Problem


3.12. Solving the Problem

You can now solve the analysis the same as you would for any nonlinear analysis. Keep the following points in mind:

  • Always check the real constant sets which are related to contact pairs and check the constraint conditions on the target surfaces. Any previous "trial runs" could have changed the settings.

  • Always check the target surface contact status in the beginning of the analysis. If you detect any unexpected gap (or no contact) or overestimated penetration, abort the analysis and then check your geometric model. You can issue the CNCHECK command to verify the initial contact status.

  • If your model is experiencing convergence difficulties due to contact, use the NLHIST command as a debugging tool to monitor contact information during the solution. Before starting the solution, issue NLHIST to specify the pair-based contact items (such as contact penetration or gap, contact normal stiffness, etc.) to be tracked. The resulting data are written to a file named Jobname.nlh.

    NLDIAG,CONT can also be used to monitor contact information. When turned on, this feature will track the same contact information available through NLHIST for all defined contact pairs according to the specified writing frequency (each iteration, substep, or load step). The resulting output is stored in a text file called Jobname.cnd.

  • Always check your results carefully using standard engineering guidelines.

See Solve the Analysis in the Structural Analysis Guide.

If you are restarting a contact analysis, follow the normal restart procedures as discussed in Restarting an Analysis in the Basic Analysis Guide. However, be aware that the constraint conditions of target surfaces may have been set internally. Verify the constraints carefully before restarting an analysis. Only the real constants FKN, FTOLN, PINB, and FKOP can be changed, and they can only be changed at the point of restart or at the beginning of a new load step.

Note

Singleframe restart does not support surface-to-surface, node-to-surface, line-to-line, or line-to-surface contact. Use multiframe restart if your model contains any of the following contact elements: CONTA171, CONTA172, CONTA173, CONTA174, CONTA175, CONTA176, CONTA177.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.11. Defining Solution and Load Step Options 		Up / Home Next
3.13. Reviewing the Results


3.13. Reviewing the Results

Results from a contact analysis consist mainly of displacements, stresses, strains, reaction forces, and the contact information (e.g., contact pressure, sliding, etc.). You can review these results in POST1, the general postprocessor, or in POST26, the time-history postprocessor. For contact-related results, you can select CONT as a plotting or list item. While in POST1, you can also review the results from within the Contact Manager (via the Contact Manager icon in the ANSYS Standard Toolbar). See the "Output Data" section of the element descriptions (the Elements Reference) for the available output components.

Remember that in POST1, only one substep can be read in at a time, and that the results from that substep should have been written to Jobname.RST (or Jobname.RCN for the initial contact configuration calculated by CNCHECK,POST). (The load step option command OUTRES controls which substep results are stored on Jobname.RST.) A typical POST1 postprocessing sequence is described below.

3.13.1. Points to Remember

See Points to Remember in the Structural Analysis Guide.

3.13.2. Reviewing Results in POST1

The steps for reviewing results in POST1 are the same as those for a typical nonlinear analysis (see Reviewing Results in POST1 in the Structural Analysis Guide) with the following exceptions:

For step 4, the following shows the various CONT options for the PLNSOL and PLESOL commands.

CONT STAT[1] Contact status:
3-closed and sticking
2-closed and sliding
1-open but near contact
0-open and not near contact
“ PENE Contact penetration
“ PRES Contact pressure
“ SFRIC Contact friction stress
“ STOT Contact total stress (pressure plus friction)
“ SLIDE Contact sliding distance
“ GAP Contact gap distance
“ FLUX Heat flux at contact surface
“ CNOS Total number of contact status changes during substep

  1. Status notation is for all contact elements except CONTAC12 and CONTAC52. If you are using these elements, check the output listing in the corresponding element documentation.

Note

You can set these options through the Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu or Element Solu menu item. Choose Contact for Item, Comp and you'll see a list of the options detailed above.

For rigid-to-flexible contact or asymmetric flexible-to-flexible contact, the contact element provides the true pressure and friction stress. However, for symmetric flexible-to-flexible contact, the true pressure and friction stress is the average of the pressures and friction stresses from both sides of the contact elements.

Note

For the contact force-based model, used for CONTA175 with KEYOPT(3) = 0, CONTA176, and CONTA177, PRES, SFRIC, and STOT are the contact normal force, contact friction force, and total contact force, respectively.

Note that the contact-specific information (CONT) plots as follows. For 2-D contact analyses, the model will plot in gray and the requested item will be contoured as an area (trapezoid) along the edge of the model where the contact elements are located. Use the FACT item to scale 2-D contour size. For 3-D contact analyses, the model will plot in gray and the requested item will be contoured as a 2-D surface where the contact elements overlay the model.

For tabular listings, you may also list contact-specific information by using the CONT label and its arguments with the PRNSOL or PRESOL commands or their related menu items

You can also animate contact results over time. See the ANTIME command for details.

Command(s): | ANTIME
GUI: | Utility Menu> PlotCtrls> Animate> Over Time

If you used CNCHECK,POST to evaluate the initial contact state, you can view the contact results items for the initial contact configuration as you would for any other load step. To do so, you must explicitly read the results of the first load step from the results file Jobname.RCN by issuing the FILE and SET,FIRST commands before postprocessing. Otherwise, the result file may be read improperly.

3.13.3. Reviewing Results in POST26

The steps for reviewing results in POST26 are the same as those for a typical nonlinear analysis See Reviewing Results in POST26 in the Structural Analysis Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.12. Solving the Problem 		Up / Home Next
Chapter 4. Node-to-Surface Contact


Chapter 4. Node-to-Surface Contact

You can use the node-to-surface contact element CONTA175 to model flexible-flexible or rigid-flexible contact between a surface and a node. Additionally, you can use these elements to represent contact between two surfaces by specifying one surface as a group of nodes.

Node-to-surface contact is a phenomenon that occurs in most engineering applications: fasteners (nuts, bolts, rivets, pins), metal forming, rolling operations, dynamic pipe whip, etc. Engineers are interested in the stresses, deflections, forces, and temperature changes that occur due to contact between structural parts.

The following node-to-surface contact topics are available:

  • The Node-to-Surface Contact Element
  • Performing a Node-to-Surface Contact Analysis
  • Using CONTA175 for Multiphysics Contact

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.13. Reviewing the Results 		Up / Home Next
4.1. The Node-to-Surface Contact Element


4.1. The Node-to-Surface Contact Element

Node-to-surface contact is represented in the ANSYS program by following the positions of points on one surface (the contact surface, modeled by CONTA175) relative to lines or areas of another surface (the target surface, modeled by TARGE169 or TARGE170).

CONTA175, in two or three dimensions, is depicted in Figure 4.1: "Node-to-Surface Contact Elements".

Figure 4.1 Node-to-Surface Contact Elements

Presented below are characteristics of CONTA175:

  • Has one node and its target surface is defined by TARGE169 or TARGE170. CONTA175 uses the same real constant set as the surface-to-surface contact elements. See Real Constants for more information.

  • Supports 2-D/3-D rigid-flexible and flexible-flexible contact.

  • Does not support 3-D contact surfaces with midside nodes, but can support 2-D/3-D target surfaces with midside nodes or 2-D contact surfaces with midside nodes.

  • Generates elements using the ESURF command, as do the surface-to-surface contact elements.

  • Supports structural, thermal, electric, and magnetic analyses.

Note

CONTA175 is recommended for point-to-surface or edge-to-surface problems. It can also be used to supplement a surface-to-surface pair at strategic locations where edge contact exists. For general surface-to-surface contact, CONTA171 through CONTA174 are recommended.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 4. Node-to-Surface Contact 		Up / Home Next
4.2. Performing a Node-to-Surface Contact Analysis


4.2. Performing a Node-to-Surface Contact Analysis

CONTA175 follows the contact pair concept used by surface-to-surface elements CONTA171 through CONTA174. CONTA175 is paired off with target elements TARGE169 and TARGE170. See Identifying Contact Pairs for more information. CONTA175 uses most of the same element KEYOPTS and real constants as the surface-to-surface contact elements. These are described below.

You should avoid midside-noded underlying elements of the contact surface, especially in 3-D. The “effective stiffness” at the contact surface nodes is very nonuniform. For instance, for a 20-node brick (SOLID95), the corner nodes have a negative stiffness associated with them. However, the node-to-surface contact algorithm assumes that the stiffness is uniformly distributed across all the surface nodes when contact is made. This condition can lead to convergence difficulties when using midside-noded elements in contact. The midside-noded elements can only be used when bonded or no-separation contact is defined. You can still use midside nodes on 2-D contact surfaces or on 2-D/3-D target surfaces.

The basic steps for performing a node-to-surface contact analysis using CONTA175 are the same as those used for a typical surface-to-surface analysis using CONTA171 through CONTA174. See Steps in a Contact Analysis for details.

The Contact Manager provides an easy-to-use interface to help you construct and manage contact definitions. You can access the manager via the Contact Manager icon [image] in the ANSYS Standard Toolbar, or via the menu path Main Menu> Preprocessor> Modeling> Create> Contact Pair. See "GUI Aids for Contact Analyses" for more information on using the Contact Manager.

As mentioned, CONTA175 uses the ESURF command to generate elements between corresponding contact pairs, similar to the surface-to-surface contact elements. The GUI path is:

Main Menu> Preprocessor> Modeling> Create> Elements> Surf/Contact> Node to Surf

Since CONTA175 is a one node element, you are not able to plot the contact results. However, you can list the results using the PRESOL,CONT or PRETAB commands.

4.2.1. CONTA175 KEYOPTS

CONTA175 uses most of the same KEYOPTS that are used by the surface-to-surface contact elements CONTA171 through CONTA174. KEYOPT(3) and KEYOPT(4) are used but have different meanings when used with CONTA175. See Element KEYOPTS for a listing of the remaining KEYOPTS.

4.2.1.1. KEYOPT(3)

KEYOPT(3) in CONTA175 allows you to choose between a contact force-based model (KEYOPT(3) = 0, default), and a contact traction-based model (KEYOPT(3) = 1). For the contact traction-based model, ANSYS can determine the area associated with the contact node. For the single point contact case, a unit area will be used which is equivalent to the contact force-based model.

When the traction-based model is defined, the real constants FKN, FKT, TCC, ECC, and MCC have the same units used in surface-to-surface contact elements (CONTA171 through CONTA174), as do postprocessing items PRES, TAUR, and TAUS.

When the force-based model is defined, the units of these quantities have a factor of AREA with respect to those used in the traction-based model. For instance, contact stiffness FKN has units FORCE/LENGTH for the force-based model, but FORCE/LENGTH3 for the traction-based model. PRES is the contact normal force in the force-based model, but contact pressure in the traction-based model.

4.2.1.2. KEYOPT(4)

KEYOPT(4) in CONTA175 allows you to choose the contact normal direction. The contact normal can be either perpendicular to the target surface (KEYOPT(4) = 0, default or KEYOPT(4) = 3), or perpendicular to the contact surface (KEYOPT(4) = 1, 2). When contact occurs on the bottom surface of a shell or beam, and shell thickness effect is included (KEYOPT(11) = 1), or CNOF is defined, KEYOPT(4) = 2 or 3 should be used in order to capture the contact.

Real constant TOLS is used to add a small tolerance that will internally extend the edge of the target surface. TOLS is useful for problems where contact nodes are likely to lie on the edge of the target (as at symmetry planes or for models generated in a node-to-node contact pattern). In these situations, the contact node may repeatedly “slip” off the target surface and so completely out of contact, resulting in convergence difficulties from oscillations.

Units for TOLS are percent (1.0 implies a 1.0% increase in the target edge length). A small value of TOLS will usually prevent this situation from occurring. The default value is 10 for small deflection and 2 for large deflection (NLGEOM,ON).

4.2.2. CONTA175 Real Constants

CONTA175 uses the same real constants used by the surface-to-surface contact elements CONTA171 through CONTA174), except the units of TCC, ECC, and MCC for the contact force-based model. See a listing of the real constants in Real Constants.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.1. The Node-to-Surface Contact Element 		Up / Home Next
4.3. Using CONTA175 for Multiphysics Contact


4.3. Using CONTA175 for Multiphysics Contact

You can use node-to-surface contact element CONTA175 to model thermal contact, electric contact, and magnetic contact as you would use the surface-to-surface contact elements. For multiphysics contact, we recommend that you use the contact traction-based model (KEYOPT(3) = 1), which allows you to use real constants TCC, ECC, and MCC consistently with the surface-to-surface contact elements.

If you use the contact force-based model (KEYOPT(3) = 0), you should adjust the values of TCC, ECC, and MCC up or down as you make the element mesh coarser or finer.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.2. Performing a Node-to-Surface Contact Analysis 		Up / Home Next
Chapter 5. 3-D Beam-to-Beam Contact


Chapter 5. 3-D Beam-to-Beam Contact

Contact between beams undergoing large displacements can be encountered in many practical applications. Some examples are hydrogen sensors, water supply lines, nuclear power plant piping, cable wires and coils, woven fabrics, and tennis racquet strings. You can model 2-D beam-to-beam contact by using 2-D surface-to-surface contact elements, CONTA171 and CONTA172. (See "Surface-to-Surface Contact" for details on how to use these elements.) You can model 3-D beam-to-beam contact by using the 3-D line-to-line contact element, CONTA176.

The following beam-to-beam contact topics are available:

  • The 3-D Line-to-Line Contact Element
  • Modeling Beam-to-Beam Contact
  • Performing a 3-D Beam-to-Beam Contact Analysis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.3. Using CONTA175 for Multiphysics Contact 		Up / Home Next
5.1. The 3-D Line-to-Line Contact Element


5.1. The 3-D Line-to-Line Contact Element

3-D line-to-line contact is represented in the ANSYS program by following the positions of lines on the contact surface, modeled by CONTA176 elements, relative to lines on the target surface, modeled by TARGE170 elements. Line-to-line contact in three dimensions is depicted in the figure below.

Figure 5.1 Line-to-Line Contact Elements

The CONTA176 element type:

  • Has two nodes or three nodes.

  • Is paired with a target surface defined by TARGE170 elements.

  • Uses the same real constant set as used for the surface-to-surface contact elements. See Real Constants for more information.

  • Supports 3-D rigid-flexible and flexible-flexible contact.

  • Supports 3-D beams and pipes with or without midside nodes.

  • Can be generated by the ESURF command, similar to the surface-to-surface contact elements.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 5. 3-D Beam-to-Beam Contact 		Up / Home Next
5.2. Modeling Beam-to-Beam Contact


5.2. Modeling Beam-to-Beam Contact

There are three different scenarios for 3-D beam-to-beam contact:

  • Internal contact, where one beam slides inside another hollow beam (Figure 5.2: "Internal Contact (One Beam Sliding Inside Another)").

  • External contact, where two beams are roughly parallel and contact each other along their outer surfaces (Figure 5.3: "External Contact (Two Beams Roughly Parallel)").

  • External contact, where contact between the exterior surfaces of two beams is pointwise (Figure 5.4: "External Contact (Two Beams Cross Each Other)").

Figure 5.2 Internal Contact (One Beam Sliding Inside Another)

Figure 5.3 External Contact (Two Beams Roughly Parallel)

Figure 5.4 External Contact (Two Beams Cross Each Other)

For all three scenarios shown above, use 3-D line segments (straight line or parabola) to define the target surface (TARGE170). You can attach the contact elements and target elements to 3-D beams or pipes, which can be first or second order elements. Both flexible-flexible and rigid-flexible contact between two beams can be considered.

When modeling internal contact, the inner beam (or pipe) should usually be considered the contact surface and the outer beam (or pipe) should be the target surface. The inner beam can be considered as the target surface only when the inner beam is much stiffer than the outer beam. When modeling external contact, the target surface should be associated with the stiffer beam or with the beam having the coarser mesh.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.1. The 3-D Line-to-Line Contact Element 		Up / Home Next
5.3. Performing a 3-D Beam-to-Beam Contact Analysis


5.3. Performing a 3-D Beam-to-Beam Contact Analysis

Contact element CONTA176 follows the contact pair concept used by the surface-to-surface elements (CONTA171 through CONTA174). You must pair CONTA176 with 3-D target line segments (TARGE170) to model 3-D beam-to-beam contact. See Identifying Contact Pairs for more information. CONTA176 uses most of the same element KEYOPTs and real constants as the surface-to-surface contact elements. Any differences are described in the next section.

The basic steps for performing a 3-D beam-to-beam contact analysis are the same as those used for a typical surface-to-surface analysis using CONTA171 through CONTA174. See Steps in a Contact Analysis for details.

Use the ESURF command to generate CONTA176 elements between corresponding contact pairs. (In the GUI, pick Main Menu> Preprocessor> Modeling> Create> Elements> Surf/Contact> Surf to Surf.) This procedure is similar to that used for the surface-to-surface contact elements.

When using the line segments to form the target surface or using line-to-line contact elements to form the contact surface, the nodes must be entered in a sequence that defines a continuous line, as shown in the figure below.

Figure 5.5 Continuous Line Segments

The line can be made up of linear or parabolic segments, depending on whether the attached beam is made up of first order or second order elements. If the nodal ordering of the underlying beam elements is not consistent, you must either change them by reversing the node number order of the selected elements (ESURF,,REVERSE command) or make a consistent element ordering (ENORM command).

You can list the CONTA176 results using the PRESOL,CONT or PRETAB commands. Since CONTA176 is a 3-D line element, you can also use the PLLS command to display element table items.

5.3.1. KEYOPTs and Real Constants

CONTA176 uses most of the same KEYOPTs that are used by the surface-to-surface contact elements, CONTA171 through CONTA174. KEYOPT(3) and KEYOPT(4) differ from the other contact elements, and KEYOPT(11) is not used by CONTA176. See Element KEYOPTS for a listing of the remaining KEYOPTs.

CONTA176 uses the same real constants used by the surface-to-surface contact elements (CONTA171 through CONTA174), except for the units of FKN and FKT. See a listing of the real constants in Real Constants.

5.3.1.1. Real Constants R1, R2

For beam-to-beam contact, an important assumption is that of constant circular beam cross section. The contact radius is assumed to be the same for all CONTA176 elements in the contact pair. Likewise, the target radius is assumed to be the same for all TARGE170 elements in the contact pair. You supply the target and contact radii through real constants R1 and R2, respectively.

For a general beam cross section, you can use an equivalent circular beam in the contact definition (see figure below). Use these guideline to define the equivalent circular cross section:

  • Determine the smallest cross section along the beam axis.

  • Determine the largest circle embedded in that cross section.

Figure 5.6 Equivalent Circular Cross Section

Use the first real constant, R1, to define the radius on the target side (target radius rt). Use the second real constant, R2, to define the radius on the contact side (contact radius rc).

The contact radius R2 is always a positive number. The target radius R1 can be entered as either a negative or positive value. Use a negative value when modeling internal contact (a beam or pipe sliding within another beam or pipe), with the input value equal to the inner radius of the outer beam. Use a positive value when modeling external contact between the exterior surfaces of two cylindrical beams.

For beam-to-beam contact, the thickness effect is accounted for through the contact and target radii. Therefore, KEYOPT(11) (which is used for the surface-to-surface contact elements to include or exclude thickness effects) is not used for CONTA176.

5.3.1.2. KEYOPT(3)

For CONTA176, KEYOPT(3) determines the type of beam-to-beam contact as follows:

  • Use KEYOPT(3) = 0 to model external contact between parallel beams or internal contact between beams (a beam inside a hollow beam or a pipe inside a pipe). For this case, the sign of the target radius, R1, will determine whether you are modeling parallel beams (R1 > 0) or a beam inside a beam (R1 < 0).

  • Use KEYOPT(3) = 1 to model beams that cross. The target radius must be a positive value.

5.3.1.3. Real Constants FKN and FKT

CONTA176 uses the contact force-based model. The units of real constants FKN and FKT have a factor of AREA with respect to those used in the surface-to-surface contact elements. For instance, contact stiffness FKN has units of FORCE/LENGTH in the force-based model, but FORCE/LENGTH3 in the surface-to-surface contact elements. PRES is the contact normal force in the force based model, but contact pressure in CONTA171 to CONTA174.

5.3.1.4. Real Constant TOLS

For CONTA176, the contact normal is uniquely defined and is perpendicular to both the contact and the target surfaces (two contacting beams). Real constant TOLS is used to add a small tolerance that will internally extend the edge of the target surface. TOLS is useful for problems where contact nodes are likely to lie on the edge of the target (as at symmetry planes or for models generated in a node-to-node contact pattern). In these situations, the contact node may repeatedly slip off the target surface and be completely out of contact, resulting in convergence difficulties from oscillations.

Units for TOLS are percent (1.0 implies a 1.0% increase in the target edge length). A small value of TOLS will usually prevent this situation from occurring. The default value is 10 for small deflection and 2 for large deflection (NLGEOM,ON).

5.3.1.5. KEYOPT(4)

You can use CONTA176 with the multipoint constraint (MPC) approach (KEYOPT(2) = 2) to define surface-based constraints. The KEYOPT(4) setting will determine the type of surface-based constraint. Set KEYOPT(4) = 1 for a force-distributed constraint, or set KEYOPT(4) = 0 for a rigid surface constraint. See Surface-based Constraints for more information.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.2. Modeling Beam-to-Beam Contact 		Up / Home Next
Chapter 6. Line-to-Surface Contact


Chapter 6. Line-to-Surface Contact

You can use the 3-D line-to-surface contact element, CONTA177, to model flexible-flexible or rigid-flexible contact between a 3-D beam and a surface or between a shell edge and a surface.

The following line-to-surface contact topics are available:

  • The 3-D Line-to-Surface Contact Element
  • Performing a 3-D Line-to-Surface Contact Analysis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.3. Performing a 3-D Beam-to-Beam Contact Analysis 		Up / Home Next
6.1. The 3-D Line-to-Surface Contact Element


6.1. The 3-D Line-to-Surface Contact Element

3-D line-to-surface contact is represented in the ANSYS program by following the positions of lines on the contact surface, modeled by CONTA177 elements, relative to 3-D surface segments on the target surface, modeled by TARGE170 elements. Line-to-surface contact in three dimensions is depicted in the figure below.

Figure 6.1 Line-to-Surface Contact Elements

The CONTA177 element type:

  • Has two nodes or three nodes.

  • Is paired with a target surface defined by TARGE170 elements.

  • Uses the same real constant set as used for the surface-to-surface contact elements. See Real Constants for more information.

  • Supports 3-D rigid-flexible and flexible-flexible contact.

  • Supports 3-D beams and shell edges with or without midside nodes.

  • Can be generated by the ESURF command (similar to the surface-to-surface contact elements) in many cases. See Performing a 3-D Line-to-Surface Contact Analysis for details.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 6. Line-to-Surface Contact 		Up / Home Next
6.2. Performing a 3-D Line-to-Surface Contact Analysis


6.2. Performing a 3-D Line-to-Surface Contact Analysis

Contact element CONTA177 follows the contact pair concept used by the surface-to-surface elements (CONTA171 through CONTA174). You must pair CONTA177 with 3-D target surface segments (TARGE170) to model 3-D beam-to-surface or 3-D shell edge-to-surface contact. See Identifying Contact Pairs for more information. CONTA177 uses most of the same element KEYOPTs and real constants as the surface-to-surface contact elements. Any differences are described in the next section.

The basic steps for performing a 3-D line-to-surface contact analysis are the same as those used for a typical surface-to-surface analysis using CONTA171 through CONTA174. See Steps in a Contact Analysis for details.

When the underlying lines are meshed with beam elements, you can use the ESURF command to create CONTA177 elements on the beams directly. (In the GUI, pick Main Menu> Preprocessor> Modeling> Create> Elements> Surf/Contact> Surf to Surf.) This procedure is similar to that used for the surface-to-surface contact elements. When the underlying lines are part of a shell edge, you must first mesh the lines with MESH200 elements (using the LMESH or ESURF command) prior to executing ESURF to create the CONTA177 elements.

When using line-to-surface contact elements to form the contact surface, the nodes must be entered in a sequence that defines a continuous line, as shown in the figure below.

Figure 6.2 Continuous Line Segments

The line can be made up of linear or parabolic segments, depending on whether the attached beam or shell edge is made up of first order or second order elements. If the nodal ordering of the underlying beam elements is not consistent, you must either change them by reversing the node number order of the selected elements (ESURF,,REVERSE command) or make a consistent element ordering (ENORM command).

You can list the CONTA177 results using the PRESOL,CONT or PRETAB commands. Since CONTA177 is a 3-D line element, you can also use the PLLS command to display element table items.

6.2.1. KEYOPTs and Real Constants

CONTA177 uses most of the same KEYOPTs that are used by the surface-to-surface contact elements, CONTA171 through CONTA174. KEYOPT(4) differs from the other contact elements. KEYOPT(3) and KEYOPT(8) are not used by CONTA177. See Element KEYOPTS for a listing of the remaining KEYOPTs.

CONTA177 uses the same real constants used by the surface-to-surface contact elements (CONTA171 through CONTA174), except for the units of FKN and FKT. See Real Constants for a complete list.

6.2.1.1. Real Constants FKN and FKT

CONTA177 uses the contact force-based model. (Since this is the only model used for this element, KEYOPT(3) is not used.) The units of real constants FKN and FKT have a factor of AREA with respect to those used in the surface-to-surface contact elements. For instance, contact stiffness FKN has units of FORCE/LENGTH in the force-based model, but FORCE/LENGTH3 in the surface-to-surface contact elements. PRES is the contact normal force in the force based model, but contact pressure in CONTA171 to CONTA174.

6.2.1.2. Accounting for Thickness Effect (CNOF and KEYOPT(11))

For line-to-surface contact, the thickness effect of underlying beam elements (on the contact side) is accounted for through the contact offset real constant, CNOF. The thickness effect of underlying shell elements (on the target side) is accounted for by setting KEYOPT(11).

For the case of a beam contacting a solid, input half of the beam thickness for CNOF; KEYOPT(11) is ignored. For the case of a beam contacting a shell surface, input half of the beam thickness for CNOF and set KEYOPT(11) = 1 to include the shell thickness effect. CNOF remains constant for the entire contact pair during the solution. For more information on using CNOF, see Adjusting Initial Contact Conditions. For more information on using KEYOPT(11), see Using KEYOPT(11).

6.2.1.3. Real Constant TOLS

For CONTA177, the contact normal is uniquely defined and is perpendicular to the target surfaces. Real constant TOLS is used to add a small tolerance that will internally extend the edge of the target surface. TOLS is useful for problems where contact nodes are likely to lie on the edge of the target (as at symmetry planes or for models generated in a node-to-node contact pattern). In these situations, the contact node may repeatedly slip off the target surface and be completely out of contact, resulting in convergence difficulties from oscillations.

Units for TOLS are percent (1.0 implies a 1.0% increase in the target edge length). A small value of TOLS will usually prevent this situation from occurring. The default value is 10 for small deflection and 2 for large deflection (NLGEOM,ON).

6.2.1.4. KEYOPT(4)

You can use CONTA177 with the multipoint constraint (MPC) approach (KEYOPT(2) = 2) to define surface-based constraints. The KEYOPT(4) setting will determine the type of surface-based constraint. Set KEYOPT(4) = 1 for a force-distributed constraint, or set KEYOPT(4) = 0 for a rigid surface constraint. See Surface-based Constraints for more information.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.1. The 3-D Line-to-Surface Contact Element 		Up / Home Next
Chapter 7. Multiphysics Contact


Chapter 7. Multiphysics Contact

Multiphysics applications (involving two or more fields) often require the inclusion of contact interaction between two or more surfaces or between a surface and its surroundings. These contact interactions can be modeled by using the thermal, electric, and magnetic capabiities of the surface-to-surface and node-to-surface contact elements (CONTA171, CONTA172, CONTA173, CONTA174, and CONTA175) .

The following multiphysics contact topics are available:

  • Modeling Thermal Contact
  • Modeling Electric Contact
  • Modeling Magnetic Contact

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.2. Performing a 3-D Line-to-Surface Contact Analysis 		Up / Home Next
7.1. Modeling Thermal Contact


7.1. Modeling Thermal Contact

You can use surface-to-surface contact elements and the node-to-surface contact element, in combination with thermal-structural coupled field solid elements or thermal elements, to model heat transfer that occurs in the contact surface. To activate both the structural and thermal DOFs, set KEYOPT(1) = 1. To activate the thermal DOF only, set KEYOPT(1) = 2.

The following thermal contact features are supported.

  • Thermal contact conduction between two contacting surfaces.

  • Heat convection from a “free surface” to the environment or between two open surfaces separated by small gap (“near field” convection).

  • Heat radiation from a “free surface” to the environment or between two open surfaces separated by a small gap (“near field” radiation).

  • Heat generation due to frictional dissipation.

  • Heat flux input.

Note

When KEYOPT(1) is set to 2 (thermal DOF only), ANSYS ignores heat generation due to friction.

7.1.1. Thermal Contact Behavior vs. Contact Status

Each contact pair can cover one or more thermal contact features. Which feature is active depends on the contact status:

Closed Contact: Thermal contact conduction transfers heat between two contacting surfaces.

Frictional Sliding: Frictional dissipated energy generates the heat to both the contact and target surfaces.

Near-Field Contact: Both heat convection and radiation between the contact and target surfaces are taken into account. The external flux value contributes to the contact surface.

Free-Surface Contact: Heat convection and radiation between the contact surface and the environment are taken into account. The external flux value only contributes to both contact and target surfaces.

7.1.2. Free Thermal Surface

If you wish to model free surface convection, free surface radiation, or a surface with a supplied heat flux value, you can define a “free” thermal surface. A free thermal surface can be a contact surface with no associated target (that is, the contact pair lacks target elements). You can also set KEYOPT(3) = 1 of the target element type definition to define a free thermal surface. When this KEYOPT is set, both free surface radiation and convection are considered as long as open contact is detected. In this case, there is no convective and radiative heat transfer between the contact and target surfaces.

7.1.3. Temperature on Target Surface

For interface heat conduction, near field convection, or near field radiation, a temperature for both the contact and target surfaces is required. For a general target surface, the temperature varies along the surface (see figure below). In this case, the temperature at the intersection between the target surface and the normal from the contact detection point represents the target temperature. For a rigid target, the temperature on the pilot node represents the entire rigid target surface temperature, if the pilot node exists.

Figure 7.1 Target Temperature

7.1.4. Modeling Conduction

To take into account the conductive heat transfer between contact and target surfaces, you need to specify the thermal contact conductance coefficient which is real constant TCC.

7.1.4.1. Using TCC

The conductive heat transfer between two contacting surfaces is defined by

q = TCC X (Tt -Tc)

where:

q: is the heat flux per area.

TCC: is the thermal contact conductance coefficient, having units of HEAT/(TIME * TEMPERATURE) for force-based node-to-surface contact, or units of HEAT/(TIME * TEMPERATURE * AREA) for the traction-based model.

Tt and Tc: are the temperatures of the contact points on the target and contact surfaces.

The TCC value is input through a real constant, which can be made a function of temperature [(Tc + Tt)/2], pressure, time, and location by using the %TABLE% option. TCC has units of heat/(time x area x temp). If contact occurs, a small value of TCC yields a measure amount of imperfect contact and a temperature discontinuity across the interface. For large values of TCC, the resulting temperature discontinuity tends to vanish and perfect thermal contact is approached. When not in contact, however, it is assumed that no heat is transferred across the interface. To model contact conduction between two surfaces where a small gap exists, use KEYOPT(12) = 4 or 5 to define either the “bonded contact” or “no-separation contact” options (see Selecting Surface Interaction Models).

7.1.4.2. Using the Quasi Solver Option

You can take advantage of the fast thermal transient solver option (THOPT,QUASI) in the contact analysis. (See Nonlinear Options in the Thermal Analysis Guide for more information on this solver option.) To do so, you must use the following contact element key options:

KEYOPT(1) = 2 - Temperature DOF only
KEYOPT(12) = 5 or 6 - Bonded always or bonded initial

The following solver options must also be set:

ANTYPE,TRANS
THOPT,QUASI
EQSLV,JCG/ICCG

The following two cases are supported:

  • Thermal conductivity at contact. The only real constant used is TCC, which can be a function of time and temperature.

  • Perfect thermal contact which supports dissimilar meshes on both sides of the contacting interface (TCC = infinity). This case requires the internal MPC approach (KEYOPT(2) = 2) and contact nodal detections (KEYOPT(4) = 1 or 2) or CONTA175.

7.1.5. Modeling Convection

To model convective heat transfer, you must specify the heat convection coefficient CONV using the SFE command. This surface load must be applied to the contact elements. CONV can be a constant value (only uniform is allowed) or a function of temperature, time, or location as specified through tabular input. For free surface convection, you must also specify bulk temperature through the SFE command. You can access this command through the following GUI paths:

Main Menu> Preprocessor> Loads> Define Loads> Apply> Thermal> Convection> On Elements> Uniform
Main Menu> Solution> Define Loads> Apply> Thermal> Convection> On Elements> Uniform

7.1.6. Modeling Radiation

7.1.6.1. Background

To model radiative heat transfer, you need to specify one of the following:

  • Emissivity value EMIS, specified through the material property definition.

  • Stefan-Boltzmann constant SBCT through a real constant.

  • Offset temperature TOFFST. If you define your data in terms of degrees Fahrenheit or degrees Celsius, you must specify a temperature offset using the TOFFST command. You can access this command through the following GUI paths:

    Main Menu> Preprocessor> Loads> Analysis Type> Analysis Options
    Main Menu> Preprocessor> Material Props

  • Radiation view factor RDVF, specified through a real constant.

  • Environment (ambient) temperature. It is only used for free radiation and input on the SFE command with KVAL = 2 and CONV as a table parameter (this is the same as the bulk temperature in free surface convection modeling).

7.1.6.2. Using SBCT and RDVF

When contact is open, heat transfer through radiation can occur. The equation is defined by

q = RDVF x EMIS x SBCT [(Te + TOFFST)4 - (Tc + TOFFST)4]

Where

TOFFST: The temperature offset from absolute zero to zero (defined through the TOFFST command.)

EMIS: The surface emissivity (input as material property).

SBCT: The Stefan-Boltzmann constant (input as a real constant). There is no default for SBCT, and if this is not defined the radiation effect is excluded.

RDVF: The radiation view factor input as a real constant (defaults to 1). RDVF can be defined as a function of temperature, gap distance, time, and location by using the %TABLE% option. It is only used for near field radiation. For far field radiation, RDVF is set to 1.0 and a user-assigned value is ignored. Other free-surface conditions recognize user-specified RDVF.

For “near field” radiation, when an intersection from a contact detection point to the target surface (in the direction of normal to the contact point) is detected, and the gap distance is smaller than the pinball radius, Te is the target temperature at the intersection. The radiation modeling here assumes that the radiative heat transfer occurs in the direction of the normal between two surfaces with a small gap. By defining RDVF as a function of gap, you can account for geometry effects. Use the Radiosity Solver method for more generalized radiation problems (see the Thermal Analysis Guide for more information).

For “free surface” radiation, Te becomes the “ambient” temperature defined by “bulk temperature” input from the SFE command (using KVAL = 2 and CONV as the table).

7.1.7. Modeling Heat Generation Due to Friction

7.1.7.1. Background

In order to model heat generation due to frictional dissipated energy, you should perform a coupled transient thermal-structural analysis. If you wish you can turn off transient effects on structural DOFs by using TIMINT,STRUC,OFF. However, you must include transient effects on the thermal DOF. Two real constants are required:

  • FHTG is the frictional dissipated energy converted into heat.

  • FWGT is the weight factor for the distribution of heat between contact and target surfaces.

7.1.7.2. Using FHTG and FWGT

In the coupled thermal-structural contact modeling, the rate of frictional dissipation is given by

q = FHTG x τ x V

Where

τ: The equivalent frictional stress.

V: The sliding rate.

FHTG: The fraction of frictional dissipated energy converted into heat. This value defaults to 1 and can be input as a real constant. For an input of true 0, you must enter a very small value (for example, 1E-8). If you enter 0, ANSYS interprets this as an input of the default value.

The amount of frictional dissipation on contact and target surfaces is defined by

qc = FWGT x FHTG x τ x V

and

qT = (1 - FWGT) x FHTG x τ x V

Where qc is the contact side and qT is the target side, and FWGT is the weight factor for the distribution of heat between the contact and target surfaces (input as a real constant). By default, FWGT = 0.5. For an input of true 0, you must enter a very small value (for example, 1E-8). If you enter 0, ANSYS interprets this as an input of the default value.

7.1.8. Modeling External Heat Flux

You can apply heat flux on the contact elements through the SFE command. Only uniform flux can be applied. Heat flux cannot be applied on target elements. However, for near field contact, the external flux is applied on contact and will contribute to target elements.

For a free thermal surface, if KEYOPT(3) of the target element is set to 1, the external flux is only applied on the contact side. On a given contact element either CONV or HFLUX (but not both) may be specified. However, you can define two different contact pairs: one models convection and the other models heat flux.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 7. Multiphysics Contact 		Up / Home Next
7.2. Modeling Electric Contact


7.2. Modeling Electric Contact

You can use surface-to-surface contact elements or the node-to-surface contact element, in combination with thermal-electric elements and solid coupled field elements to model electric current conduction. You can also use surface-to-surface contact elements, in combination with piezoelectric and electrostatic elements, to model electric charge across a contacting interface.

KEYOPT(1) provides degree of freedom options for modeling electric contact. For combined structural/thermal/electric contact, set KEYOPT(1) = 3 to activate the structural, thermal, and electric current DOFs. For pure thermal/electric contact, set KEYOPT(1) = 4 to activate the thermal and electric current DOFs. For piezoelectric contact, set KEYOPT(1) = 5 to activate the structural and piezoelectric DOFs. For electrostatic contact, set KEYOPT(1) = 6 to activate the electrostatic DOF.

The electric contact features are:

  • Electric conduction between two contacting surfaces.

  • Heat generation due to electric dissipation.

  • Electric charge across the contacting interface.

7.2.1. Modeling Surface Interaction

7.2.1.1. Background

To take into account the surface interaction for electric contact, you need to specify the electric contact conductance per unit area if you are using the electric current degree of freedom, or the electric contact capacitance per unit area if you are using the piezoelectric or electrostatic degrees of freedom. For either case, this parameter is ECC. You specify ECC through a real constant table. You can use a tabular input to define ECC as a function of contact pressure (pressure as a table), average temperature on contact detection point (temperature as a table), and time. If the “bonded contact” or “no-separation contact” option is set, contact interaction can occur between two surfaces separated by a narrow gap.

7.2.1.2. Using ECC

The interaction between two contacting surfaces is defined by

J = ECC x (Vt - Vc)

where:

J = current density for the electric potential (VOLT) degree of freedom (KEYOPT(1) = 3 or 4), or the electric charge density (KEYOPT(1) = 5, or 6).
ECC = electric contact conductance for the electric potential (VOLT) degree of freedom (KEYOPT(1) = 3 or 4), or the electric contact capacitance per unit area for (KEYOPT(1) = 5, or 6).
Vt and Vc = voltages at the contact points on the target and contact surfaces.

The ECC value is input through a real constant, which can be a function of temperature [(Tt + Tc)/2], pressure, and time, by using the %TABLE% option. For the current conduction option, the electric contact conductance ECC has units of electric conductivity/length. For the piezoelectric and electrostatic options, the electric contact capacitance ECC has units of capacitance per unit area. To model surface interaction between two surfaces where a small gap exists, use KEYOPT(12) = 4 or 5 to define either the “bonded contact” or “no-separation contact” options (see Selecting Surface Interaction Models).

Note

For force-based node-to-surface contact, ECC has units of (electric conductivity)*(LENGTH) or the capacitance.

7.2.2. Modeling Heat Generation Due to Electric Current

For electric current field analyses (KEYOPT(1) = 3 or 4), the heat generation due to electric current is given by

q = FHEG x J x (VT - VC)

Where

FHEG: The fraction of electric dissipated energy converted into heat (Joule heating). This value defaults to 1 and can be input as a real constant. For an input of true 0, you must enter a very small value (for example, 1E-8). If you enter 0, ANSYS interprets this as an input of the default value.

J: The current density.

Vt and Vc: The voltages at the contact points on the target and contact surfaces.

The amount of electric heat dissipation on contact and target surfaces is defined by

qc = FWGT x q

and

qT = (1 - FWGT) x q

Where qc is the contact side and qT is the target side, and FWGT is the weight factor for the contact heat dissipation between the contact and target surfaces (input as a real constant). FWGT is the same real constant used for frictional heat generation. By default, FWGT = 0.5. For an input of true 0, you must enter a very small value (for example, 1E-8). If you enter 0, ANSYS interprets this as an input of the default value.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.1. Modeling Thermal Contact 		Up / Home Next
7.3. Modeling Magnetic Contact


7.3. Modeling Magnetic Contact

You can use surface-to-surface contact elements or the node-to-surface contact element to model magnetic flux across two contacted bodies. The following situations are possible.

  • Non-perfect contact to account for the effects of a small air gap between mating components. This typically occurs at the interface between adjoining bodies. In this situation, there is a gap permeance effect where an MMF drop occurs. You can model this effect by inputting the gap permeance real constant, MCC. This option works best if the magnetic flux is normal to the gap interface.

  • Perfect contact across dissimilar meshes. This is typically used to model the air gap in a machine, for example, where the rotor and stator meshes meet.

For both types of magnetic contact, you must set KEYOPT(1) = 7 to select the degree-of-freedom option. For the 2-D case, the magnetic potential degree of fredom, AZ, is active. For the 3-D case, only the scalar potential degree of freedom, MAG, is active, and scalar potential formulations (reduced (RSP), difference (DSP), or general (GSP)) are available (see MAGOPT).

Note

3-D magnetic contact is not supported for the MVP formulation (AX, AY, AZ), and the edge-based formulation (AZ).

Note

Non-perfect magnetic contact is only available for the 3–D contact elements, CONTA173 and CONTA174.

For more information on which element types should be used for a particular analysis, see the element discussions in the appropriate chapter of the Low-Frequency Electromagnetic Analysis Guide. For information on the use of the AZ degree of freedom, see Specifying Element Types and Options. For more information on the use of the MAG DOF, see Building the Model.

For details on how to set up a contact analysis, see Steps in a Contact Analysis.

For an example input listing showing a 2-D static magnetic contact analysis, see Doing an Example 2-D Static Magnetic Contact Analysis (Command Method).

7.3.1. Using MCC

The magnetic flux across the contacting interface is defined by:

MFLUX = MCC x (Mt - Mc)

where:

MFLUX = magnetic flux density
Mt , Mc = magnetic potential at the contact points on the target and contact surfaces
MCC = contact permeance coefficient (Henries/meters2 in MKS units)

The MCC value is input through a real constant, which can be a function of temperature [(Tt + Tc)/2], pressure, and time, by using the %TABLE% option. MCC values can be approximated as μ/t, where μ is the gap permeability and t is the gap width.

If the "no-separation contact" or "bonded contact" option is set (KEYOPT(12) = 4 or 5), contact interaction can occur between two surfaces separated by a narrow gap.

7.3.2. Modeling Perfect Magnetic Contact

Perfect magnetic contact supports dissimilar meshes on both sides of the contacting interface (MCC = infinity). You must use the internal MPC approach by setting KEYOPT(2) = 2. You must also set KEYOPT(4) = 1 or 2 for contact nodal detection, and KEYOPT(12) = 5, 6 for bonded contact.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.2. Modeling Electric Contact 		Up / Home Next
Chapter 8. Node-to-Node Contact


Chapter 8. Node-to-Node Contact

You can use node-to-node contact elements to model point-to-point contact (flexible-flexible or rigid-flexible). Additionally, you can use these elements to represent contact between two surfaces by specifying individual node-to-node contact between the opposing nodes of each surface. This use requires that the nodes of the two opposing surfaces match up geometrically and that the relative sliding between the two surfaces is negligible. In addition, the deflections (rotations) of the two surfaces must remain small.

The following node-to-node contact topics are available:

  • Node-to-Node Contact Elements
  • Performing a Node-to-Node Contact Analysis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.3. Modeling Magnetic Contact 		Up / Home Next
8.1. Node-to-Node Contact Elements


8.1. Node-to-Node Contact Elements

The most commonly used node-to-node elements are shown in the following figure.

Figure 8.1 Node-to-Node Contact Elements

In terms of solution CPU time, the elements shown are the simplest and least expensive of all contact element types. When modeling conditions warrant their use, they can be an effective tool for modeling a variety of contact situations. CONTA178 offers more features and flexibility than CONTAC12 and CONTAC52. The following lists the features available with CONTA178:

  • More contact algorithms, including the Lagrange method (KEYOPT(2))

  • Semiautomatic contact stiffness (real constants FKN-FKS)

  • More flexibility for defining contact normal

  • More contact behaviors (KEYOPT(10))

  • Cylindrical gap with friction (KEYOPT(4) = 4)

  • Damper (real constants CV1, CV2)

Note

CONTA178 supports only elastic Coulomb friction behavior. For rigid Coulomb friction models, use CONTAC12 and CONTAC52

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 8. Node-to-Node Contact 		Up / Home Next
8.2. Performing a Node-to-Node Contact Analysis


8.2. Performing a Node-to-Node Contact Analysis

The procedure for performing a node-to-node contact analysis is similar to that described for the node-to-surface contact elements in "Node-to-Surface Contact". The following describes the typical steps in a node-to-node contact analysis. Each of these steps is explained in detail.

  1. Create the geometry and mesh the model.

  2. Generate the contact elements.

  3. Define the contact normal.

  4. Define the initial interference or gap.

  5. Select the contact algorithm.

  6. Apply the necessary boundary conditions.

  7. Define the solution options.

  8. Solve the problem.

  9. Review the results.

8.2.1. Creating Geometry and Meshing the Model

Node-to-node contact elements transmit forces at the nodes (compared to surface-to-surface contact elements which transmit pressures at Gauss points). This feature limits their use to low order elements only.

You must identify where contact might occur during the deformation of your model. The nodes on the two surfaces of potential contact must line up. Once you've identified potential contact surfaces and created an adequate mesh you can create the contact elements.

8.2.2. Generating Contact Elements

You can generate node-to-node contact element in one of two ways:

  1. Use the direct generation method:

    Command(s): E
    GUI: Main Menu> Preprocessor> Modeling> Create> Elements> User Numbered> Thru Nodes

  2. Use the EINTF command to generate the contact elements automatically at coincident nodes or offset nodes. This is discussed in detail in the following subsections.

8.2.2.1. Generating Contact Elements Automatically at Coincident Nodes

If the two bodies are in the “just touching” position, you can use the EINTF command to automatically generate the contact elements. In this case, the menu path is Main Menu> Preprocessor> Modeling> Create> Elements> Auto Numbered> At Coincident Nodes. Only nodes within the tolerance value set in the first argument (TOLER) are considered as coincident. If you wish to check a subset of nodes for coincidence, first select all the nodes you wish to check using the NSEL command.

8.2.2.2. Generating Contact Elements Automatically at Offset Nodes

If the two bodies are separated by a gap, the EINTF command can be used to create elements between offset nodes by specifying the node location increments (DX, DY, DZ) in the coordinate system KCN. The GUI path is Main Menu> Preprocessor> Modeling> Create> Elements> Auto Numbered> Offset Nodes.

If KOPT is set to 1, the nodes belonging to the contact elements created are rotated into the coordinate system KCN.

For example, the following figure shows contact between two concentric pipes separated by a gap. In this example, KCN would be a cylindrical coordinate system centered in O, and DX would be set in Δ (Δ± TOLER).

Figure 8.2 Contact Between Two Concentric Pipes

8.2.2.3. Node Ordering

Node ordering can be critical in determining the contact normal. You can use EINTF,,,LOW or EINTF,,,HIGH to control node ordering. When using the LOW argument, the 2-node elements are generated from the lowest numbered node to the highest numbered node. When using HIGH, 2-node elements are generated from the highest to the lowest. To check the contact normal, use /PSYMB,ESYS. If you discover that the ordering is incorrect, you can reverse it using EINTF,,,REVE. To determine which side of the interface contains the I nodes, use the following commands:

ESEL,,ENAME,,178
NSLE,,POS,1
ESLN
NSLE
EPLOT

8.2.3. Defining the Contact Normal

The contact normal direction is of primary importance in a contact analysis with CONTA178. By default [KEYOPT(5) = 0 and NX, NY, NZ = 0], ANSYS will calculate the contact normal direction based on the initial positions of the I and J nodes, such that a positive displacement (in the element coordinate system) of node J relative to node I opens the gap. However, you must specify the contact normal direction for any of the following conditions:

  • If nodes I and J have the same initial coordinates.

  • If the model has an initial interference condition in which the underlying elements' geometry overlaps.

  • If the initial open gap distance is very small.

In the above cases, the ordering of nodes I and J is critical. The correct contact normal usually points from node I toward node J unless contact is initially overlapped.

You can specify the contact normal by means of real constants NX, NY, NZ (direction cosines related to the global Cartesian system) or element KEYOPT(5). The following lists the various options for KEYOPT(5):

KEYOPT(5) = 0

The contact normal is either based on the real constant values of NX, NY, NZ or on node locations when NX, NY, NZ are not defined. For two dimensional contact, NZ = 0.

KEYOPT(5) = 1 (2,3)

The contact normal points in a direction which averages the direction cosines of the X (Y, Z) axis of the nodal coordinates on both nodes I and J. The direction cosines on nodes I and J should be very close. This option may be supported by the NORA and NORL commands, which rotate the X axis of the nodal coordinate system to point to the surface normal of solid models. The GUI paths for these commands are, respectively:

Main Menu> Preprocessor> Modeling> Move/Modify> Rotate Node CS> To Surf Normal> On Areas
Main Menu> Preprocessor> Modeling> Move/Modify> Rotate Node CS> To Surf Normal> On Lines
Main Menu> Preprocessor> Modeling> Move/Modify> Rotate Node CS> To Surf Normal> With Area

Figure 8.3 Two Concentric Pipes, Normals Rotated Properly

For a pipe-within-a-pipe, this portrays the normals rotated properly.

KEYOPT(5) = 4 (5,6)

The contact normal points to X (Y, Z) of the element coordinate system issued by the ESYS command. If you use this option, make sure that the element coordinate system specified by ESYS is the Cartesian system.

Note

For CONTAC12 you can define the orientation of the contact surface with real constant THETA. For CONTAC52, you can use real constants NX, NY, NZ.

8.2.4. Defining the Initial Interference or Gap

With CONTA178, the gap size can be automatically calculated from the GAP real constant plus the node locations (projection of vector points from node I to J on the contact normal). This is the default (KEYOPT(4) = 0) This means that if you want the initial gap to be determined by the node locations only, set KEYOPT(4) = 0 and the real constant GAP to 0.

If KEYOPT(4) = 1, the initial gap size is only based on the real constant GAP (it ignores the node location). A negative value for the gap size can be used to model initial interference.

You can ramp initial interference using KEYOPT(9) = 1. This option isn't supported by CONTAC12 and CONTAC52. Note that CONTAC52's real constant GAP is the opposite of CONTAC12's real constant INTF, which defines an interference. KEYOPT(4) for CONTAC12 and CONTAC52 is also different from CONTA178.

8.2.5. Selecting the Contact Algorithm

You can choose among the following four different contact algorithms for CONTA178:

  • Pure Lagrange Multiplier

  • Lagrange multiplier on the contact normal, penalty on the frictional (tangential) direction.

  • Augmented Lagrange method

  • Pure penalty method.

CONTAC12 and CONTAC52 offer only the pure penalty method, in which you must specify the contact stiffness. The normal stiffness KN should be based upon the stiffness of the surface in contact. However, if you choose to use CONTA178 with the pure penalty method or the augmented Lagrange method, a “semiautomatic” setting is provided for the contact normal and tangential stiffnesses.

ANSYS provides a default normal contact stiffness FKN, which is based on Young's modulus E and the size of the underlying elements. FKN and FKS are factors. If you want to import absolute values for FKN and FKS, use negative values.

8.2.6. Applying Necessary Boundary Conditions

You can now apply necessary boundary conditions as you would do for any ANSYS analysis. For more information on applying boundary conditions, see the appropriate analysis description in the Structural Analysis Guide.

When using the Lagrange multiplier method, be careful not to overconstrain the model. The model is overconstrained when a contact constraint at a node conflicts with a prescribed boundary condition on that degree of freedom at the same node. The following figure illustrates this issue:

Figure 8.4 Example of Overconstrained Contact Problem

Both nodes I and J are fixed in the X direction. The model is overconstrained only when the two bodies are in contact and bonded contact or rough friction has been defined. It can also occur if the contact status is “sticking,” In these cases, the constraint in the X-direction is duplicated which causes an overconstrained model.

“Zero Pivot” and “Numerical Singularity” warning messages indicate overcontraints in a model. Overconstraints can lead to convergence difficulties and/or inaccurate results. They can be easily avoided by changing the contact definition or the boundary conditions.

8.2.7. Defining the Solution Options

Convergence behavior for contact problems depends strongly on the particular problem. The options listed below are either typical or recommended for most node-to-node contact analyses.

  • Set the appropriate auto time step behavior using KEYOPT(7). The SOLCONTROL command turns this off by default.

  • The time step size must be small enough to capture the proper contact zone. The smooth transfer of contact forces is disrupted if the time step size is too large. A reliable way to set an accurate time step size is to turn automatic time stepping on. The SOLCONTROL command turns this on by default.

    Command(s): AUTOTS,ON
    GUI: Main Menu> Solution> Analysis Type> Sol'n Control ( : Basic Tab)
    Main Menu> Solution> Unabridged Menu> Load Step Opts> Time/Frequenc> Time-Time Step
    Main Menu> Solution> Unabridged Menu> Load Step Opts> Time/Frequenc> Time and Substps

  • Set the number of equilibrium equations to a number that is appropriate for a reasonable time step size. With SOLCONTROL,ON, this command defaults to between 15 and 26 iterations, depending upon the physics of the problem.

    Command(s): NEQIT
    GUI: Main Menu> Solution> Analysis Type> Sol'n Control ( : Nonlinear Tab)
    Main Menu> Solution> Unabridged Menu> Load Step Opts> Nonlinear> Equilibrium Iter

  • Turn the predictor-corrector option on, unless you expect large rotations.

    Command(s): PRED
    GUI: Main Menu> Solution> Analysis Type> Sol'n Control ( : Nonlinear Tab)
    Main Menu> Solution> Unabridged Menu> Load Step Opts> Nonlinear> Predictor

  • Set the Newton-Raphson option to FULL, with adaptive descent on.

    Command(s): NROPT,FULL,,ON
    GUI: Main Menu> Solution> Unabridged Menu> Analysis Type> Analysis Options

  • For analysis involving friction, using NROPT, UNSYM is useful (and sometimes required if the coefficient of friction μ is > 0.2) for problems where the normal and tangential (sliding) motions are strongly coupled.

  • NLGEOM, ON is supported but the contact normal is not updated during the analysis. Make sure that only small rotations occur along the contact surfaces (except for the cylindrical gap option).

  • Many convergence failures in contact analysis are the result of using too large a value for contact stiffness (real constant KN). Be sure to follow the recommendations given previously in this section for an initial estimate for contact stiffness. If such estimated values lead to a convergence failure, reduce the contact stiffness and restart. (You must also explicitly define the tangent stiffness - see the Note below.)

  • Conversely, if overpenetration occurred in your contact analysis, you probably used a value of KN that was too small. In this case, gradually increase the contact stiffness value to an appropriate level by redefining it using new R commands over several load steps in a restart. (You must also explicitly define the tangent stiffness - see the Note statement below.)

Note

Although you can change the contact stiffness value (real constant KN), you cannot change any other real constants between load steps. Therefore, if you plan to change KN in a restart (or from one load step to the next), you cannot allow the value of the tangent (or "sticking") contact stiffness (real constant KT) to be defined by default, because the program would then attempt to redefine the tangent stiffness as the contact stiffness changed. You must explicitly define the tangent stiffness whenever you change the contact stiffness to maintain a consistent value for the tangent stiffness throughout all load steps.

8.2.8. Solving the Problem

You can now solve the analysis the same as you would for any linear or nonlinear analysis. See Solve the Analysis in the Structural Analysis Guide.

8.2.9. Reviewing the Results

Postprocessing of contact result items for these elements requires the use of ETABLE commands.

The steps for reviewing results in POST26 are the same as those for a typical nonlinear analysis See Reviewing Results in POST26 in the Structural Analysis Guide.

For general information on post processing, refer to the Basic Analysis Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.1. Node-to-Node Contact Elements 		Up / Home Next
Chapter 9. Multipoint Constraints and Assemblies


Chapter 9. Multipoint Constraints and Assemblies

You can use the internal multipoint constraint (MPC) approach (KEYOPT(2) = 2), in conjunction with certain bonded and no separation contact definitions (KEYOPT(12) = 4, 5, or 6), to define various contact assemblies and kinematic constraints. This capability is available for contact elements CONTA171, CONTA172, CONTA173, CONTA174, CONTA175, CONTA176, and CONTA177. By this method, the program builds MPC equations internally based on the contact kinematics. You can use this method to model the following contact assemblies and surface-based constraints:

  • Solid-solid assembly - both contact and target surfaces paste onto solid element faces

  • Shell-shell assembly - both contact and target surfaces paste onto shell element faces

  • Shell-solid assembly - the contact surface pastes onto shell element faces and the target surfaces paste onto solid element faces

  • Rigid surface constraint - the contact nodes are constrained to the rigid body motion defined by the pilot node (similar to the CERIG command)

  • Force-distributed constraint - the forces or displacements applied to the pilot node are distributed to contact nodes, in an average sense, through shape functions (similar to the RBE3 command)

  • Beam-solid assembly - one beam end-node is the pilot node which connects to the solid or shell surface (use the rigid surface constraint or force-distributed constraint type of MPC)

The internal MPC approach can overcome the drawbacks of the traditional contact algorithms and other multipoint constraint tools available in ANSYS. For example:

  • Degrees of freedom of the contact surface nodes are eliminated, reducing the wave front size of the system equation solver.

  • No contact stiffness is required as input. For a small deformation problem, this represents true linear contact behavior; no iterations are needed to solve the system of equations. For large deformation problems, the MPC equations are updated during each iteration, overcoming the small strain restriction in conventional constraint equations.

  • Both translational and rotational degrees of freedom can be constrained.

  • Generation of internal MPC is simple because it uses contact pair definitions.

  • Shape functions are taken into account automatically; no weight factor is needed for a force-distributed multipoint constraint (which is similar to the RBE3 command) if you use higher order elements or axisymmetric elements. In addition to forces, displacements can be applied on the pilot node for this type of MPC.

The following MPC topics are available:

  • Modeling Solid-Solid and Shell-Shell Assemblies
  • Modeling a Shell-Solid Assembly
  • Surface-Based Constraints
  • Restrictions and Recommendations for Internal MPC

Before using the internal MPC feature, be sure to review the last topic listed above on restrictions and recommendations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.2. Performing a Node-to-Node Contact Analysis 		Up / Home Next
9.1. Modeling Solid-Solid and Shell-Shell Assemblies


9.1. Modeling Solid-Solid and Shell-Shell Assemblies

To define solid-solid or shell-shell assemblies using the internal MPC approach, you must set the following key options on the contact elements:

KEYOPT(2) = 2 | MPC based approach
KEYOPT(12) = 4, 5, or 6 | No separation (see note below), bonded always, or bonded initial
KEYOPT(4) = 1 or 2 | Nodal detection for CONTA171, CONTA172, CONTA173, CONTA174
KEYOPT(4) = 0 or 1 | Contact normal direction for CONTA175

Note

When used with the MPC approach, the no separation option (KEYOPT(12) = 4) is only valid for modeling solid-solid assemblies that represent a slider line or slider plane.

The following key options are ignored: KEYOPT(8) (it is always set to 2 internally), KEYOPT(10).

The following real constants are used: R1, R2, ICONT, PINB, CNOF, PMAX, PMIN, TOLS. All other real constants are ignored.

This function works similarly to the CEINTF command for small deformation analysis (NLGEOM,OFF). Comparing it to the CEINTF command, the contact surface acts as "region A nodes," and the target surface acts as "region B elements."

The contact surface must be defined on the deformable bodies, and the target surface must be defined on either deformable or rigid bodies in the contact pair. In order to prevent over-constraint, only asymmetric contact is supported. If symmetric pairs are defined, ANSYS will automatically pick one pair and ignore the other pair (acting as KEYOPT(8) = 2). The self-contact pair definition is not supported.

If the temperature degree of freedom is active in the model (KEYOPT(1) = 1 or 2), ANSYS will build MPC equations not only for structural degrees of freedom, but also for the temperature DOF. In this case, the real constant TCC is ignored. If only the temperature DOF is set (KEYOPT(1) = 2) and other solution options are defined (ANTYPE,,TRANS; THOPT,QUASI; EQSLV,JCG/ICCG), the internal MPC approach can support fast thermal transient analysis (see Nonlinear Options in the Thermal Analysis Guide). Internal MPC equations for temperature DOF are built to support heat transfer between the two bonded surfaces.

For the bonded always option (KEYOPT(12) = 5) and no separation option (KEYOPT(12) = 4), any contact node that lies inside the pinball region (PINB) can be the constrained node in the MPC definition if an intersection with the target surface is detected in the contact normal direction. This holds true at the beginning of deformation, as well as during the deformation process. A relatively small PINB may be used to prevent any false contact. When KEYOPT(12) is set to the bonded always or no separation option, PINB defaults to 0.25 (25% of the contact depth) for small deformation analysis (NLGEOM,OFF), and 0.5 (50% of the contact depth) for large deformation analysis (NLGEOM,ON). (The default PINB value may differ from what is described here if CNOF is input. See Using PINB for more information.)

For the "bonded initial" option (KEYOPT(12) = 6), only those contact nodes that are initially in contact or have a very small gap but lie inside the adjustment zone (ICONT) are always constrained via internal MPC. Those contact nodes that are initially open will never be constrained, even though they may later penetrate into the target surface during the deformation process. In order to capture contact, you should specify proper ICONT or CNOF values. Use CNCHECK in conjunction with ICONT to move all the contact nodes that are inside the ICONT zone onto the target surface in the initial configuration, without causing any strain. When the "bonded initial" option is set and KEYOPT(5) = 0 or 4, ICONT defaults to 0.05. See Adjusting Initial Contact Conditions for more information on using KEYOPT(5), CNOF, and ICONT.

You can use KEYOPT(4) on the target element (TARGE169 or TARGE170) to control individual degrees of freedom for the constraint. For example, if you are using TARGE170 elements with 3-D contact elements, you might specify that only UX, UY, and ROTZ be used in the constraint. You can do this by entering a six digit value for KEYOPT(4). The first to sixth digits represent ROTZ, ROTY, ROTX, UZ, UY, UX, respectively. The number 1 (one) indicates the DOF is active, and the number 0 (zero) indicates the DOF is not active. Therefore, to specify that UX, UY, and ROTZ be used in the constraint, you would enter 100011 as the KEYOPT(4) value.

For the 3-D case, you can also use KEYOPT(5) of the target element (TARGE170) to explicitly define the type of constraint. In most cases, ANSYS will automatically constrain the translational degrees of freedom for a solid-solid assembly and constrain both translational and rotational degrees of freedom for a shell-shell assembly. The constraint types available through KEYOPT(5) are as follows:

KEYOPT(5) = 0 - Auto constraint type detection (default)
KEYOPT(5) = 1 - Solid-solid constraint (no rotational DOFs are constrained)
KEYOPT(5) = 2 - Shell-shell constraint (both translational and rotational DOFs are constrained)

Keep these important points in mind when determining the type of constraint to use for the assembly:

  • For the 3-D case, if you specify KEYOPT(4), only the degrees of freedom that are common to both the KEYOPT(4) degree-of-freedom set and the KEYOPT(5) degree-of-freedom set will be considered in the constraint equations.

  • When the no separation option (KEYOPT(12) = 4 on the contact element) is used with the MPC approach to model solid-solid assemblies, only the KEYOPT(5) = 0 and 1 options (auto detection or solid-solid constraint) described above are valid. If the auto detection option is set and the program finds a shell-shell or shell-solid constraint in this situation, the solution will terminate.

  • If overconstraint occurs in bonded shell-shell assemblies when using the MPC algorithm, you can switch to the penalty method or the augmented Lagrangian method. See Bonded Contact for Shell-Shell Assemblies for more information.

  • In the case of a shell-shell assembly, spurious rotational energy exists if there are gaps or penetrations between the contact and target surfaces. This can affect the accuracy of the solution. If this is the case, it is recommended that you use the shell-solid constraint type by setting KEYOPT(5) = 3 on the target element. One drawback of using the shell-solid constraint type is that the initial gap or penetration will remain during the solution (similar to setting KEYOPT(9) = 1 on the contact element).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 9. Multipoint Constraints and Assemblies 		Up / Home Next
9.2. Modeling a Shell-Solid Assembly


9.2. Modeling a Shell-Solid Assembly

The 3-D shell-solid assembly provides a transition from a shell element region to a solid element region. This approach is useful when local modeling requires a full three-dimensional model with a relatively fine mesh, but other parts of the structure can be represented by shell elements (see Figure 9.1: "Example of Shell-Solid Assembly"). No alignment is required between the solid element mesh and the shell element mesh. The contact surface or edge must be built on the shell element side. The target surface must be built on the solid elements side.

Figure 9.1 Example of Shell-Solid Assembly

To define a shell-solid assembly using the internal MPC approach, you must set the following key options on the contact elements:

KEYOPT(2) = 2 | MPC-based approach
KEYOPT(12) = 5 or 6 | Bonded always or bonded initial
KEYOPT(4) = 1 or 2 | Nodal detection for CONTA171, CONTA172, CONTA173, CONTA174
KEYOPT(4) = 0 or 1 | Contact normal direction for CONTA175

The following real constants are also used: ICONT, FTOL, PINB, CNOF, PMAX, PMIN, TOLS.

The following key options are ignored: KEYOPT(8), KEYOPT(10), KEYOPT(1) > 0.

In most cases, ANSYS will automatically constrain both translational and rotational degrees of freedom for a shell-solid assembly (see Figure 9.2: "Shell-Solid Assembly (Original Mesh)"). However, you can use KEYOPT(5) of the target element (TARGE170) to explicitly define the type of constraint:

KEYOPT(5) = 0 - Auto constraint type detection (default)
KEYOPT(5) = 1 - Solid-solid constraint; no rotational DOFs are constrained (see Figure 9.3: "Shell-Solid Assembly with Solid-Solid Constraint Option")
KEYOPT(5) = 2 - Shell-shell constraint; both translational and rotational DOFs are constrained (see Figure 9.4: "Shell-Solid Assembly with Shell-Shell Constraint Option")
KEYOPT(5) = 3 - Shell-solid constraint; both translational and rotational DOFs are constrained on shell nodes; only translational DOFs are constrained on solid nodes (see Figure 9.5: "Shell-Solid Assembly with Shell-Solid Constraint Option")
KEYOPT(5) = 4 - Shell-solid constraint, all directions. This option acts the same as KEYOPT(5) = 3 if an intersection is found from the contact normal to the target surface. Otherwise, constraint equations are still built as long as contact nodes and target segments are inside the pinball region. (See Figure 9.6: "Shell-Solid Constraint, All Directions (KEYOPT(5) = 4)" later in this section.)

The solid-solid and shell-shell constraint types (KEYOPT(5) = 1 or 2) may require additional shell elements at the interface. These shell elements can be defined by typical modeling methods, or you can use the SHSD command to generate these elements automatically.

SHSD is a meshing tool used to build solid-solid and shell-shell constraint types. This command can be used only when the contact pair consists of CONTA175 and TARGE170 elements. Additional shell elements (SHELL181) and/or contact elements (CONTA175) are created through this command (see the SHSD command description for more information). For the shell-solid constraint type, no special mesh tool is required.

Figure 9.2 Shell-Solid Assembly (Original Mesh)

Figure 9.3 Shell-Solid Assembly with Solid-Solid Constraint Option

Figure 9.4 Shell-Solid Assembly with Shell-Shell Constraint Option

Figure 9.5 Shell-Solid Assembly with Shell-Solid Constraint Option

For the shell-solid constraint option (KEYOPT(5) = 3 on TARGE170), ANSYS automatically creates an internal set of force-distributed constraints (similar to the RBE3 command) between nodes on the shell edges and nodes on the solid surface. The program uses the pinball region (PINB), initial adjustment zone (ICONT), and influence distance (FTOLN) to determine which nodes on the shell edge will be constrained with which nodes on the solid surface. Each shell node acts as the master node, and associated solid nodes act as slave nodes.

For the bonded always option (KEYOPT(12) = 5), any shell node that lies inside the pinball region (PINB) will be included in the constraint if an intersection with the target surface is detected in the contact normal direction. This holds true at the beginning of deformation, as well as during the deformation process. A relatively small PINB value may be used to prevent any false contact. The default for PINB is 0.25 (25% of the contact depth) for small deformation analysis (NLGEOM,OFF), and 0.5 (50% of the contact depth) for large deformation analysis (NLGEOM,ON). (The default PINB value may differ from what is described here if CNOF is input. See Using PINB for more information.)

For the bonded initial option (KEYOPT(12) = 6), only the shell nodes that initially lie inside the adjustment zone (ICONT) are included in the constraint sets. Shell nodes that lie outside ICONT are not constrained with the solid nodes. The default for ICONT is 0.05 (5% of the contact depth).

The influence distance (FTOLN) is used for the shell-solid constraint option (KEYOPT(5) =3 on TARGE170). Each solid node is included in the constraint set if the perpendicular distance from the solid node to any shell edge is smaller than the influence distance. FTOLN defaults to half the thickness of the shell. A positive FTOLN value represents a scaling factor on the shell half-thickness, and a negative value represents an absolute distance value.

A shell-solid assembly can be used in a substructure analysis. However, if a superelement is defined to represent the shell elements, shell thickness is unknown in the use pass. In this case, you must overwrite the default setting of FTOLN (originally a factor of the shell thickness) to account for the zero thickness of the superelement. Input an absolute value for FTOLN (that is, input a negative value) to capture all constrained nodes when the constraint equations are built.

Among the four constraint types, the shell-shell constraint approach (KEYOPT(5) = 2 on TARGE170) often provides a better solution. The solid-solid constraint (KEYOPT(5) = 1) can result in higher local stresses near the interface between the virtual shell surface and solid surface. The shell-solid constraint (KEYOPT(5) = 3 or 4 ) is not always capable of transmitting all components of the moment at the shell nodes due to transverse shear locking of shell elements. A typical example is the moment component that parallels to the normal of the solid surface. The KEYOPT(5) = 4 option (shell-solid constraint , all directions) is recommended for detecting contact in bodies that do not overlap or intersect (see figure below).

Figure 9.6 Shell-Solid Constraint, All Directions (KEYOPT(5) = 4)

For the solid-solid and shell-shell constraint types (KEYOPT(5) = 1 or 2 on TARGE170), any initial penetration or gap is closed if KEYOPT(9) = 0; the initial penetration or gap remains if KEYOPT(9) = 1. However, for the shell-solid constraint type (KEYOPT(5) = 3 or 4), KEYOPT(9) is ignored, and initial penetration or gap always remains constant. In order to close the initial penetration or gap, issue the command CNCHECK,ADJUST in the beginning of the analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.1. Modeling Solid-Solid and Shell-Shell Assemblies 		Up / Home Next
9.3. Surface-Based Constraints


9.3. Surface-Based Constraints

A surface-based constraint can be used to couple the motion of nodes on the contact surface to a single pilot node on the target surface. The multipoint constraint (MPC) capability of the contact elements (KEYOPT(2) = 2) allows you to define two types of surface-based constraints:

  • Rigid surface constraint - In this type of constraint, the contact nodes are constrained to the rigid body motion defined by the pilot node (see Figure 9.7: "Rigid Surface Constraint"), similar to a constraint defined by the CERIG command.

  • Force-distributed constraint - In this type of constraint, forces or displacements applied on the pilot node are distributed to contact nodes (in an average sense) through shape functions (see Figure 9.8: "Force-Distributed Constraint"), similar to a constraint defined by the RBE3 command.

Figure 9.7 Rigid Surface Constraint

Figure 9.8 Force-Distributed Constraint

These surface-based constraints can be used in the following applications:

  • To apply loads and boundary conditions to the pilot node (such as torque load or drill rotation). Example: a bolt head submitted to a torque force using a force-distributed constraint.

  • To model rigid bodies. Example: rigid body definition in multi-body dynamics.

  • To model rigid end conditions. Example: using a rigid surface constraint to model a rigid end plate or rigid plane section of 3-D solid elements.

  • To model interactions with other joints. Example: two flexible parts linked by a hinge. This can be modeled by two force-distributed constraint definitions whose pilot nodes are connected by a revolute joint element.

  • To define transitions between solid and structure elements. Example: a beam element connected to a solid element face.

9.3.1. Defining Surface-Based Constraints

The contact surface can be generated via the ESURF command. The contact nodes on the contact surface are the slave nodes of the MPC equations. The pilot node is the only target segment on the target surface side. It is the master node of the MPC equations. Forces and displacements can be applied on the pilot node and the contact nodes. You can define a follower element (FOLLW201) on the pilot node so that the element-specified external forces and moments on the follower element will follow the motion of the pilot node.

For a force-distributed constraint, use the following contact element key options:

Force-distributed Constraint KEYOPT Settings
KEYOPT(2) = 2 | MPC based approach
KEYOPT(12) = 5 or 6 | Bonded always or bonded initial
KEYOPT(4) = 1 | Indicates a force-distributed constraint for CONTA171, CONTA172, CONTA173, CONTA174, CONTA175, CONTA176, and CONTA177

For a rigid surface constraint, use the following contact element key options:

Rigid Surface Constraint KEYOPT Settings
KEYOPT(2) = 2 | MPC based approach
KEYOPT(12) = 5 or 6 | Bonded always or bonded initial
KEYOPT(4) = 2 | Indicates a rigid surface constraint for CONTA171, CONTA172, CONTA173, and CONTA174
KEYOPT(4) = 0 | Indicates a rigid surface constraint for CONTA175 , CONTA176, and CONTA177

The following key options are ignored for surface-based constraints: KEYOPT(8), KEYOPT(5), KEYOPT(7), KEYOPT(10).

With the exception of PINB, none of the standard contact real constants are used for surface-based constraints using internal MPC.

9.3.2. Defining Influence Range (PINB)

By default, all the contact nodes are included in the surface-based constraints. You can select a subset of nodes from these contact nodes by defining a radius of influence range, PINB. The nodes that lie within the spherical range (radius = PINB) centered about the pilot node are selected for the definition of the surface-based constraints.

9.3.3. Degrees of Freedom of Surface-Based Constraints

KEYOPT(1) > 0 is ignored for a force-distributed constraint since only structural degree-of-freedom constraints are included. However, for a rigid surface constraint, you can use KEYOPT(1) to include other field degrees of freedom (in addition to the structural DOFs) in the constraint sets.

The pilot node has both translational and rotational degrees of freedom. The active degrees of freedom at the pilot node depend on the defined type of target elements. Use TARGE169 for 2-D surface-based constraints that contain UX, UY, and ROTZ degrees of freedom. Use TARGE170 for 3-D surface-based constraints that contain UX, UY, UZ, and ROTX, ROTY, ROTZ degrees of freedom. Generally, you should always set KEYOPT(2)=1 for the target element to indicate that boundary conditions for rigid target nodes will be user-specified. Otherwise, ANSYS may apply internal constraints on the pilot node.

The degrees of freedom of the surface-based constraints can also be controlled by using KEYOPT(4) of the target element (TARGE169 or TARGE170). For example, for the 3-D case (TARGE170), you might specify that only UX, UY, and ROTZ be used in the constraint. You can do this by entering a six digit value for KEYOPT(4). The first to sixth digits represent ROTZ, ROTY, ROTX, UZ, UY, UX, respectively. The number 1 (one) indicates the DOF is active, and the number 0 (zero) indicates the DOF is not active. Therefore, to specify that UX, UY, and ROTZ be used in the constraint, you would enter 100011 as the KEYOPT(4) value.

The basic formulation for the rigid surface constraint is similar to the MPC184 rigid beam and rigid link elements. However, this constraint type offers additional flexibility when you fully or partially constrain the degrees of freedom. For examples, the following are possible configurations:

  • All six degrees of freedom are selected, which is equivalent to the MPC184 rigid beam.

  • One rotational degree of freedom is excluded, which is equivalent to the MPC184 revolute joint.

  • Only three translational degrees of freedom are selected, which is equivalent to the MPC184 spherical joint or MPC184 rigid link.

9.3.4. Specifying a Local Coordinate System

You can specify the surface-based constraint in a local coordinate system. For the rigid surface constraint, rotate the contact nodes into a local coordinate system. For the force-distributed constraint, rotate the pilot node into a local coordinate system.

When KEYOPT(12) = 5 is set on the contact elements, the coordinate system does not rotate and it keeps its initial configuration. When the rotation is finite and KEYOPT(12) = 6 is set on the contact elements, the coordinate system in which the constrained degrees of freedom are specified will be co-rotated according to the rotation of the pilot node. The degrees of freedom of the surface-based constraints will be assigned with the co-rotated system. This is true even for the constrained degrees of freedom specified in the global coordinate system.

Note

If all degrees of freedom are included in the constraint equations, there will be no difference between the KEYOPT(12) = 5 and KEYOPT(12) = 6 settings.

Figure 9.9: "Slider Link" shows an example of a slider link modeled with contact. A local cylindrical coordinate system is defined at a contact node such that the x-direction is coincident with the line connecting the contact node and pilot node. KEYOPT(4) = 10 is set for the target element type to specify that only the y degree of freedom is constrained and other degrees of freedom are free. The coordinate system at the contact node will be co-rotated according to the rotation of the pilot node.

Figure 9.9 Slider Link

In another example, a cylindrical ring is clamped at one end and loaded by a torque at the other end (Figure 9.10: "Free Radial Expansion Under Torque Load"). A rigid surface constraint is used with all the contact nodes rotated into a cylindrical coordinate system. If the x-direction constraint is free (KEYOPT(4) = 110), the ring is allowed to expand in the radial direction.

Figure 9.10 Free Radial Expansion Under Torque Load

9.3.5. Additional Guidelines for a Force-Distributed Constraint

  • The pilot node is a dependent node (meaning the degrees of freedom for this node are removed). The contact nodes are independent nodes (the degrees of freedom are retained). If the pilot node has constraints applied to it, internally-generated MPC equations are rewritten so that the degrees of freedom of the pilot node are no longer dependent DOF.

  • KEYOPT(4) of TARGE169 and TARGE170 controls the number of degrees of freedom of the pilot node.

  • The number of internally-generated MPCs is equal to the number of degrees of freedom defined by KEYOPT(4) of TARGE169 and TARGE170.

9.3.6. Additional Guidelines for A Rigid Surface Constraint

  • The pilot node is an independent (retained) node in the constraint equation. The contact nodes are the dependent (removed) nodes. Use with great caution when you apply any displacement constraints, coupling (CP command), or constraint equations (CE command) on the contact nodes since redundant constraints are likely to occur.

  • KEYOPT(4) of TARGE169 and TARGE170 controls the DOF set (the number of DOF) of the contact (dependent) nodes used in the internally-generated MPCs.

  • The number of internally-generated MPCs is equal to the number of contact nodes times the number of DOF.

  • The contact surface does not require underlying elements.

9.3.7. Modeling a Beam-Solid Assembly

The surface-based constraint technique can be used to apply transitions between solid and structure elements; for example, a beam element connected to the solid or shell element face. One beam end node must be the pilot node and the solid/shell nodes must be the contact nodes. The rigid surface constraint is generally well-suited for the solid beam to solid surface case (see Figure 9.11: "Beam-Solid Assembly Defined by Rigid Surface Constraint"), and the force-distributed constraint is well-suited for the flexible beam (such as a thin wall beam) to solid/shell surface case (see Figure 9.12: "Beam-Solid Assembly Defined by Force-distributed Constraint").

Figure 9.11 Beam-Solid Assembly Defined by Rigid Surface Constraint

Figure 9.12 Beam-Solid Assembly Defined by Force-distributed Constraint

9.3.8. Modeling Rigid Bodies

Rigid bodies are widely used for numerical simulation of multibody dynamic applications. A rigid body in ANSYS is defined through the definition of rigid surface constraints. The motion of the rigid body is governed by the degrees of freedom at the pilot node which allows accurate representation of the geometry, mass, and rotary inertia of the rigid body. The pilot node can be one of the nodes on the contact elements or a node at any arbitrary location. It can be connected to point mass, follower (FOLLW201), and deformable elements. For transient analysis you should locate the pilot node at the gravity center of the rigid body if the center of mass is known or can be approximated. You can add a point mass element, MASS21, to the gravity center. See Modeling Rigid Bodies in a Multibody Analysis in the Multibody Analysis Guide for more details.

9.3.8.1. Modeling Contact between Rigid Bodies

You can model contact between two rigid bodies by specifying a contact pair consisting of a contact surface on one rigid body and a target surface on another rigid body. These contact and target elements should overlap the existing contact elements defined for the rigid bodies. Use either the augmented Lagrange algorithm or penalty algorithm (KEYOPT(2) on the contact elements) to avoid overconstraint between rigid body constraints and contact constraints.

You cannot use the multipoint constraint (MPC) algorithm (KEYOPT(2) = 2) with bonded or no-separation contact behavior (KEYOPT(12)) to connect two rigid bodies; doing so would cause the model to be overconstrained. Instead, add a third rigid body which connects the first two rigid bodies at their pilot nodes.

MPC bonded contact between a flexible body and a rigid body is allowed. For this case, the contact surface of the MPC bonded contact pair must belong to the flexible body. Otherwise, the MPC bonded constraints and rigid body constraints would be redundant.

It is possible to model two rigid bodies that are connected or overlapping through shared rigid body nodes or pilot nodes. To prevent overconstraint, ANSYS internally merges the two rigid bodies into one rigid body and treats the second pilot node as a regular rigid body node.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.2. Modeling a Shell-Solid Assembly 		Up / Home Next
9.4. Restrictions and Recommendations for Internal MPC


9.4. Restrictions and Recommendations for Internal MPC

The following restrictions and guidelines apply when using the internal MPC approach.

  • Displacement boundary conditions and other constraint equations or coupling equations typically should not be applied on the contact nodes for solid-solid, shell-shell, and shell-solid assemblies, or for the rigid surface constraint MPC. Otherwise, over-constraint can occur because the degrees of freedom of contact nodes are eliminated through internal MPC equations.

  • Sparse, PCG, and AMG solvers are recommended to solve models with constraint equations. In certain cases, the frontal solver may not solve problems containing constraint equations.

  • The MPC-based algorithm must be used with nodal detection (KEYOPT(4) = 1 or 2) for CONTA171, CONTA172, CONTA173, and CONTA174. If nodal detection is not set, ANSYS will issue a warning message and automatically set KEYOPT(4) = 2.

  • The internal MPC option does not support rigid-flexible contact when rigid surfaces are modeled by any primitive segments (such as circle, cylinder, cone, or sphere).

  • The shell-solid assembly is usually used for the case where the solid mesh is fine with respect to the shell thickness. The shell-solid interface should be located in a region of the structure where shell theory is valid for an approximation. The accuracy of local stresses near the shell-solid interface (at least within the shell thickness range) is not guaranteed. We recommend you include at least two solid elements along the layer of the shell-solid interface.

  • Using the force-distributed constraint type of MPC with a large number of contact nodes can result in a large wavefront for the global stiffness matrix. This may significantly increase the peak memory required during element stiffness assembly. Consider reducing the number of contact nodes if real memory or virtual memory is limited.

  • The force-distributed constraint creates internal constraint equations such that the motion of the pilot node is the average of the contact nodes. For the rotations, a least-squares approach is used to define the "average rotation" at the pilot node from the translations of the contact nodes. If the contact nodes are colinear, then one of the rotations on the pilot node that is parallel to the colinear direction can not be determined in terms of the translations of the contact nodes. Therefore, the associated moment component on the pilot node in that direction can not be transmitted. When this case occurs, a warning message is issued.

  • The contact related postprocessing items (ETABLE items, PRESOL,CONT, etc.) are not supported for the internal MPC option.

  • MPC contact only generates internal constraint equations. It does not calculate element internal force and stiffness matrices. Therefore, during postprocessing the option ITEM = CONT is not valid on the PRNLD, NFORCE, and FSUM commands.

  • You can use the CELIST command to list the internally-generated constraint equations associated with MPC contact . You can also use CELIST to convert the internal constraint equations to external constraint equation. (See CELIST for details.)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.3. Surface-Based Constraints 		Up / Home Next
Chapter 10. Spot Welds


Chapter 10. Spot Welds

The traditional way of modeling spot welds involves matching the meshes of different parts at the spot weld connection points, which introduces meshing difficulties and often requires parts to be meshed manually. In addition, this approach does not take into account the effects of the spot weld radius, and it underestimates the strength of the spot weld connection when the radius of the spot weld is the same or lesser order of magnitude than the mesh size.

The ANSYS spot weld feature, based on the internal multipoint constraint (MPC) approach, offers a robust alternative to the traditional method. This feature allows you to easily model thin sheet components that are connected with spot welds, rivets, or fasteners. The spot weld can be located anywhere between the parts that are to be connected, independent of the mesh and the node locations. The figure below shows an example of the spot weld configuration. Each spot weld set connects two or more surfaces.

Figure 10.1 Example Spot Weld Configuration

There are several advantages to using this mesh independent spot weld capability:

  • Parts can be meshed independently.

  • A basic spot weld set can be easily defined by specifying two surfaces to be connected and a single node called the spot weld node near the surfaces. The spot weld node determines the location of the spot weld.

  • This approach takes into account effects of the spot weld radius input by the user. ANSYS will create multipoint constraint equations (MPCs) internally through two contact pair definitions, one on each spot weld surface. The internal constraint equations (force-distributed constraints) couple the motion of the surface nodes to the motion of the spot weld node in an average sense.

  • The spot weld can be rigid (default) or deformable. To specify a deformable spot weld, you simply define a deformable beam element type prior to creating the spot weld.

The following spot weld topics are available:

  • Defining a Spot Weld Set
  • Listing and Deleting Spot Welds

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.4. Restrictions and Recommendations for Internal MPC 		Up / Home Next
10.1. Defining a Spot Weld Set


10.1. Defining a Spot Weld Set

The general procedure for defining a spot weld set consists of the following steps:

  1. Define the basic spot weld set (SWGEN command)

  2. Define any additional surfaces for the existing spot weld set (SWADD command)

In addition, ANSYS supplies the SWLIST and SWDEL commands for listing and deleting spot weld sets.

10.1.1. Creating a Basic Spot Weld Set with SWGEN

Use the SWGEN command to define a basic spot weld set (in the GUI, pick Main Menu> Preprocessor> Modeling> Create> Element > SpotWeld> Create New Set). The required arguments are:

  • Name of the spot weld set

  • Spot weld radius

  • Spot weld surfaces

  • First spot weld node

You can optionally specify the following:

  • Second spot weld node

  • Spot weld projection direction

  • Search radius

  • Contact and target element types

All of these inputs are discussed in detail below.

Spot Weld Set Name (Ecomp):

Use the Ecomp argument to assign a name to a new basic spot weld set. The spot weld set is a component composed of new beam, target, and contact elements. The name entered for the Ecomp argument will be used to list, delete, output, or add new surfaces to the spot weld set.

Spot Weld Surfaces (NCM1, NCM2):

Each basic spot weld set contains two surfaces, surface 1 and surface 2, to be connected together. Use arguments NCM1 and NCM2 to specify these surfaces. You can input the name of a predefined node component or a meshed area number. If no nodal component names matching NCM1 and NCM2 are found, they are assumed to be meshed area numbers.

Spot Weld Nodes (SND1, SND2):

You must specify the first spot weld node, SND1. The location of each spot weld depends on SND1. If you specify the second spot weld node (SND2), it is used to determine the spot weld projection direction. The second node will be generated automatically if it is not specified. You should locate SND1 and SND2 (referred to as node 1 and node 2 in figures that follow) as close to the corresponding surfaces as possible. They can be nodes on the corresponding surfaces or independent nodes in space. If they are not on the corresponding surfaces, node 1 will be moved to surface 1 and node 2 will be moved to surface 2.

ANSYS will determine the actual location for the spot weld nodes by first projecting node 1 onto surface 1 along the spot weld projection direction. Next, ANSYS projects node 2 to surface 2 along the spot weld projection direction. The spot weld nodes are moved to the surfaces in the beginning of the analysis.

Spot Weld Projection Direction:

By default, the projection direction is a surface normal vector from node 1 to surface 1 (see figure below). If you specify node 2 (SND2), the projection direction is in line with the two spot weld nodes. If node 2 is not specified, you can still explicitly define the projection direction with the DIRX, DIRY, and DIRZ arguments.

Figure 10.2 Default Projection Direction for Node 1

Once the actual location of node 1 has been determined, ANSYS will project node 2 to surface 2 along the spot weld projection direction that was used for node 1. The figure below shows the projection locations of nodes 1 and 2 given a default projection normal to surface 1.

Figure 10.3 Default Projection Direction for Nodes 1 and 2

The figure below shows spot weld node 1 projected as specified by the user (either through the input of DIRX, DIRY, and DIRZ, or by the specification of a second spot weld node).

Figure 10.4 User-specified Projection Direction, Node 1

The figure below is another example showing the projection location of spot weld nodes 1 and 2 given a user-specified projection direction.

Figure 10.5 User-specified Projection Direction, Nodes 1 and 2

Spot Weld Radius (SWRD):

Each spot weld is assumed to have a circular projection onto the spot weld surfaces. The projection is defined by the required spot weld radius argument SWRD. For each spot weld surface ANSYS will build 6 force-distributed constraint equations through a contact pair. The spot weld radius determines the influence range of the constraint equations. Each spot weld node couples with a group of nodes on the corresponding surface within the radius. (See Figure 10.7: "Nodes Included in Constraint Equations" later in this section.)

Search Radius (SHRD):

ANSYS will create a contact pair for each spot weld surface. The contact pair contains one contact element defined by the spot weld node, and target elements overlaid fully or partially on the corresponding spot weld surface. Only the surface nodes that fall within a sphere of radius, called the search radius, with its center at the original position of the corresponding spot weld node are used to form target elements (see figure below). The search radius must be larger than the spot weld radius. If the search radius argument (SHRD) is not defined, ANSYS uses a default search radius that is four times the spot weld radius.

Figure 10.6 Search Radius for Spot Weld

Target and Contact Element Types (ITTY, ICTY):

By default, the program automatically creates the target and contact element types required for the spot weld. However, you may use the ITTY and ICTY arguments to specify the target and contact element types, respectively. You must also set certain key options if you specify the element types to be used. See The Components of a Spot Weld for more information.

10.1.2. The Components of a Spot Weld

Each new spot weld set created by the SWGEN command consists of a beam element and two node-to-surface MPC contact pairs (see Modeling a Shell-Solid Assembly for more information). Each node-to-surface pair will generate 6 constraint equations. You can choose either a rigid MPC184 element (the default) or a deformable BEAM188 element to link the spot weld surfaces. Below are detailed explanations of how these items are generated:

  1. Contact Pairs: Two node-to-surface contact pairs are created for each new spot weld set. One pair is for spot weld surface 1 and the other is for surface 2. Each contact pair has only one contact element, CONTA175, which is defined by the associated spot weld node. The target elements (TARGE170) are formed by a group of surface nodes lying within the region of the search radius. ANSYS will create an independent real constant ID for each contact pair, and proper contact and target element type IDs.

    If you prefer, you can specify the contact or target element type IDs to be used. To specify a contact element type, use the ICTY argument on SWGEN and set the following contact element options for that element type: KEYOPT(2) = 2 (MPC approach), KEYOPT(12) = 5 (bonded always). To specify a target element type, use the ITTY argument on SWGEN and set the target element option KEYOPT(5) = 4 (shell-solid constraint) for that element type.

  2. Force-distributed constraint equations: For each contact pair, ANSYS will internally form force-distributed constraint equations that distribute the internal forces of the spot weld node (that is, the contact node) to the surface nodes (that is, the target nodes) lying within the region of the spot weld radius. This includes all elements that fall entirely or partially within the radius (see the figure below). In other words, it couples the motion of certain surface nodes to the motion of the spot weld node (in an average sense). There are six constraint equations generated for each spot weld surface (that is, each contact pair).

    Figure 10.7 Nodes Included in Constraint Equations

  3. Beam element: A beam element is created to connect spot weld surface 1 and surface 2. The two beam end-nodes are the spot weld nodes, node 1 and node 2 (see Figure below). The spot weld set can be rigid or deformable. By default ANSYS will create a rigid beam element (MPC184 with KEYOPT(1)=1) to represent a rigid spot weld. However, if the currently defined element type is BEAM188 with a solid circular cross-section, ANSYS assumes the spot weld set is deformable and a BEAM188 element is created. In this case, you must input the material properties with the MP command and define the geometry of the beam section using the SECTYPE and SECDATA commands (see the example listing below). Generally, BEAM188 is capable of handling a short beam situation.

    Figure 10.8 Beam Element Created for Spot Weld

The following example input shows typical commands used to define a spot weld with a deformable BEAM188 element having a circular cross section.

MP,EX,3,200000000000. ! spot weld material properties
MP,NUXY,3,0.3
SECTYPE,3,beam,csolid ! define a circular solid beam section
SECDATA,2.75e-002     ! beam circular radius
ET,3,188              ! element type for a deformable spot weld
TYPE,3
MAT,3
SECNUM,3
*SET,NODE1,9000       ! define parameter for node number
N,NODE1,0.1,0.5,10.2  ! define spot weld node
SWGEN,SWELD1,2.75e-2,2,3,NODE1 ! Spot weld name = SWELD1
                               ! Radius = 2.75e-2
                               ! Spot weld surfaces = areas 2 and 3

Note

All limitations that are documented for the MPC184 link/beam element in the Element Reference also apply when the element is used in a rigid spot weld definition. Please read the MPC184-Link/Beam description carefully, especially the assumptions and restrictions.

10.1.3. Adding Surfaces to a Basic Set

Once a basic spot weld set has been created, additional surfaces can be added to the existing spot weld set. Use the SWADD command to define the additional surfaces (in the GUI, pick Main Menu> Preprocessor> Modeling> Create> Element > SpotWeld> Add More Surfaces). Each added surface (input as NCM1 through NCM9) can be specified by an existing nodal component name or by a meshed area number.

In the example command below, four surfaces are added to an existing spot weld set named SWELD1. The four surfaces include area number 3, area number 4, nodal component FAC5, and nodal component FAC6. The search radius is 0.8.

SWADD,SWELD1,0.8,3,4,FAC5,FAC6  ! Adds 4 surfaces to spot weld SWELD1.

For each new surface, ANSYS will create a new spot weld node, a new contact pair, and a new beam element (see figure below). The location of the new node is determined by projection of one of the closest existing spot weld nodes onto the newly added surface along the spot weld projection direction. The new node-to-surface contact pair contains the new spot weld node as a single contact node in the pair, and surface nodes within the range of the search radius (SHRD) specified on the SWADD command. The search radius defaults to 4 times the spot weld radius (SWRD) defined for the basic spot weld set. Each new contact pair will create 6 force-distributed constraint equations internally. A new beam is created to link the new surface to the closest existing surface through the spot weld nodes.

Figure 10.9 Surfaces Added to Basic Spot Weld Set

After all spot weld nodes are created, the nodes of the beam elements may be reordered to link every two adjacent spot weld nodes (see Figure below). The ordering is important for the output, which is calculated for each beam in a spot weld set.

Figure 10.10 Node Reordering for Beam Elements

Assuming the basic spot weld set is named SWELD, below is an example of commands that could have produced the above figure.

SWADD,SWELD, ,3	! Add Area 3 to spot weld set SWELD
SWADD,SWELD, ,4	! Add Area 4 (between surfaces 2 and 3) to SWELD

Initially, when spot weld surface 3 was added, a beam was created between surfaces 2 and 3. When surface 4 was added between surfaces 2 and 3, the beam that went between surfaces 2 and 3 was redefined to go between surfaces 2 and 4, and a new beam was created to link surfaces 4 and 3.

You can add more surfaces by repeating the SWADD command. However, the maximum number of allowable surfaces for each spot weld set (including the two surfaces used for the basic set) is 11.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 10. Spot Welds 		Up / Home Next
10.2. Listing and Deleting Spot Welds


10.2. Listing and Deleting Spot Welds

Use the SWLIST command to list the spot weld sets for a specific spot weld or for all spot weld sets (in the GUI, pick Main Menu> Preprocessor> Modeling> Create> Element > SpotWeld> List). The listing will include nodes, beams, and contact pair information. If the SWLIST command is issued in POST1 (in the GUI, pick Main Menu> General Postproc> List Results> SpotWeld Solution), the beam forces and moments, are also output in the beam local coordinate system. The output includes axial force, shear forces, torque, and bending moments. For a deformed spot weld set, axial stress and bending stress are also reported.

Use the SWDEL command to delete a specified spot weld set or all spot weld sets. In the GUI, pick Main Menu> Preprocessor> Modeling> Create> Element > SpotWeld> Delete.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.1. Defining a Spot Weld Set 		Up / Home Next
Chapter 11. Debonding


Chapter 11. Debonding

The debonding capability in ANSYS refers specifically to separation of bonded contact. It can be used to simulate interface delamination where the interface is modeled using bonded contact with the augmented Lagrangian method or the pure penalty method. A cohesive zone material must be used to define the traction separation behavior of the interface. The following contact elements support debonding: CONTA171, CONTA172, CONTA173, CONTA174, CONTA175, CONTA176, and CONTA177.

An alternative method of modeling interface delamination is to use interface elements with a cohesive zone material (see "Interface Delamination and Failure Simulation"). However, debonding with contact elements has the following advantages over delamination with the interface elements:

  • Parts forming the interface can be meshed independently.

  • Existing models with contact definitions can be easily modified for debonding.

  • Standard contact and debonding can be simulated with the same contact definitions.

  • Debonding can be used for various applications; for example, delamination, spot weld failure, and stitch failure.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.2. Listing and Deleting Spot Welds 		Up / Home Next
11.1. Including Debonding in a Contact Analysis


11.1. Including Debonding in a Contact Analysis

Debonding can be defined in any model that includes surface-to-surface (CONTA171 through CONTA174), node-to-surface (CONTA175), line-to-line (CONTA176), or line-to-surface (CONTA177) contact. For a detailed discussion on how to set up a contact analysis, see "Surface-to-Surface Contact".

To activate debonding for a contact pair, the following contact options must be defined for the contact element:

  • Augmented Lagrangian method or pure penalty method (KEYOPT(2) = 0 or 1)

  • Bonded contact (KEYOPT(12) = 4, 5, or 6)

In addition, you must specify a cohesive zone material model with bilinear behavior for the contact elements. Two ways to specify the material data are available:

  • Bilinear material behavior with tractions and separation distances (TB,CZM command with TBOPT = CBDD)

  • Bilinear material behavior with tractions and critical fracture energies (TB,CZM command with TBOPT = CBDE)

This material model is discussed in more detail in the following section.

Once you have defined the required input parameters, you can solve the analysis the same as you would for any nonlinear analysis (see Solving the Problem). After debonding is completed, the surface interaction is governed by standard contact constraints for normal and tangential directions. Frictional contact is used if friction is specified for contact elements.

11.1.1. Cohesive Zone Materials Used for Debonding

A cohesive zone material model is needed to model debonding in a contact analysis. This material is defined using the data table method (TB and TBDATA commands). Temperature dependent data is also allowed (TBTEMP command). On the TB command, use Lab = CZM to denote a cohesive zone material, and use TBOPT = CBDD or CBDE to indicate the specific material data you will provide. The two data definitions are described below. For more information on this material, see Cohesive Zone Material Model in the Theory Reference for ANSYS and ANSYS Workbench.

11.1.1.1. Bilinear Material Behavior with Tractions and Separation Distances (TBOPT = CBDD)

This is a linear elastic material behavior with linear softening characterized by maximum traction and maximum separation. To define this material, use the TB,CZM command with TBOPT = CBDD. Specify the material constants as data items C1 through C6 on the TBDATA command:

Constant | Symbol | Meaning
C1 | σmax | maximum normal contact stress
C2 |  | contact gap at the completion of debonding
C3 | τmax | maximum equivalent tangential contact stress
C4 |  | tangential slip at the completion of debonding
C5 | η | artificial damping coefficient
C6 | β | flag for tangential slip under compressive normal contact stress

Sample command input for this material is shown below.

TB,CZM,1,2,,CBDD
TBDATA,1,σmax,   ,τmax,   ,η,β

11.1.1.2. Bilinear Material Behavior with Tractions and Critical Fracture Energies (TBOPT = CBDE)

This is a linear elastic material behavior with linear softening characterized by maximum traction and critical energy release rate. To define this material, use the TB,CZM command with TBOPT = CBDE. Specify the material constants as data items C1, through C6 on the TBDATA command:

Constant | Symbol | Meaning
C1 | σmax | maximum normal contact stress
C2 | Gcn | critical fracture energy for normal separation
C3 | τmax | maximum equivalent tangential contact stress
C4 | Gct | critical fracture energy for tangential slip
C5 | η | artificial damping coefficient
C6 | β | flag for tangential slip under compressive normal contact stress

Sample command input for this material is shown below.

TB,CZM,1,2,,CBDE
TBDATA,1,σmax,Gcn,τmax,Gct,η,β

11.1.2. Debonding Modes

Debonding involves separation of surfaces forming an interface. The direction of separation determines the debonding mode. ANSYS detects the debonding mode based on material data that you input for normal and tangential directions:

  • Mode I debonding involves separation normal to the interface. It is activated by inputting data items C1, C2, C5, and C6 on the TBDATA command.

  • Mode II debonding involves slip tangent to the interface. It is activated by inputting data items C3, C4, C5, and C6 on the TBDATA command.

  • Mixed mode debonding involves both normal separation and tangential slip. It is activated by inputting data items C1, C2, C3, C4, C5, and C6 on the TBDATA command.

11.1.3. Other Considerations for Debonding

Artificial Damping

Debonding is generally accompanied by convergence difficulties in the Newton-Raphson solution. Artificial damping can be used to stabilize the numerical solution. It is activated by specifying the damping coefficient η (input on TBDATA command as C5 using TB,CZM). The damping coefficient has units of time and is typically chosen to be 0.01 to 0.1 times the smallest time increment to give a numerically stable and fairly accurate solution.

Tangential Slip under Normal Compression

ANSYS provides an option to control tangential slip under compressive normal contact stress for mode II and mixed mode debonding. By default, no tangential slip is allowed for the above mentioned cases, but it can be activated by setting the flag β to 1 (input on TBDATA command as C6 using TB,CZM).

11.1.4. Postprocessing

All applicable output quantities for contact elements are also available for debonding: normal contact stress (PRES), tangential contact stress (TAUR, TAUS, SFRIC), contact gap (GAP), tangential slip (TASR, TASS, SLIDE), etc. In addition, the following debonding specific output quantities are available as NMISC data: debonding time history (DTSTART), debonding parameter (DPARAM), and critical fracture energy (DENERI, DENERII).

Form more information on how to review results in a contact analysis, see Reviewing the Results in "Surface-to-Surface Contact".

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 11. Debonding 		Up / Home Next
Multibody Analysis Guide


Multibody Analysis Guide

Release 11.0 Documentation for ANSYS

Table of Contents

1. Introduction to Multibody Simulation
1.1. Benefits of the Finite Element Method for Modeling Multibody Systems
1.2. Overview of the ANSYS Multibody Analysis Process
1.3. The ANSYS-ADAMS Interface
1.4. Learning More About Multibody Dynamics
2. Modeling in a Multibody Simulation
2.1. Modeling Flexible Bodies in a Multibody Analysis
2.1.1. Element Choices for Flexible Bodies
2.2. Modeling Rigid Bodies in a Multibody Analysis
2.2.1. Defining a Rigid Body
2.2.2. Contact Element Choices for Defining a Rigid Body
2.2.3. Rigid Body Degrees of Freedom
2.2.4. Rigid Body Boundary Conditions
2.2.5. Representing Parts of a Complex Model with Rigid Bodies
2.2.6. Connecting Joint Elements to Rigid Bodies
2.2.7. Modeling Contact with Rigid Bodies
2.3. Connecting Multibody Components with Joint Elements
2.3.1. Joint Element Types
2.3.2. Material Behavior of Joint Elements
2.3.3. Reference Lengths and Angles for Joint Elements
2.3.4. Boundary Conditions for Joint Elements
2.3.5. Connecting Bodies to Joints
3. Performing a Multibody Analysis
3.1. Kinematic Constraints
3.2. Convergence Criteria
3.3. Initial Conditions
3.3.1. Apply Linear Acceleration in a Dummy Transient Analysis
3.3.2. Apply Large Numerical Damping Over a Short Interval
3.4. Damping
3.4.1. Numerical Damping
3.4.2. Structural Damping
3.5. Time-Step Settings
3.6. Solver Options
4. Reviewing Multibody Analysis Results
4.1. Reviewing Results in POST1
4.2. Reviewing Results in POST26
4.3. Output of Joint Element Quantities
4.4. Energy Output
5. Using Component Mode Synthesis Superelements in a Multibody Analysis
5.1. Applicability of CMS Superelements in a Multibody Analysis
5.2. Flexible Body Types
5.3. Substructuring Overview
5.4. Master Degrees of Freedom in a Substructured Multibody Simulation
5.5. Steps for Performing a Substructured Multibody Simulation
5.5.1. Step 1: Prepare the Full Model for a Substructured Multibody Analysis
5.5.2. Step 2: Create the Substructures (Generation Pass)
5.5.3. Step 3: Build the CMS-based Model (Use Pass)
5.5.4. Step 4: Run the Multibody Analysis
5.5.5. Step 5: Expand all Solutions (Expansion Pass)
5.5.6. Step 6: Create the Merged Results File
5.5.7. Step 7: Postprocess the Results
6. Example Multibody Analysis: Crank Slot Mechanism
6.1. Problem Description
6.2. Problem Specifications
6.3. Defining Joints
6.4. Performing the Rigid Body Analysis
6.5. Performing the Flexible Body Analysis
6.6. Using Component Mode Synthesis in the Multibody Analysis
6.7. Using Joint Probes
6.8. Comparing Processing Times
6.9. Input Files Used in This Analysis
7. Troubleshooting a Flexible Multibody Analysis
7.1. Addressing Overconstraint Issues During Modeling
7.1.1. Overconstraints in Rigid Bodies
7.1.2. Overconstraints Caused by User-Defined Constraint Equations
7.2. Resolving Overconstraint Problems

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
11.1. Including Debonding in a Contact Analysis 		Up / Home Next
Chapter 1. Introduction to Multibody Simulation


Chapter 1. Introduction to Multibody Simulation

Multibody simulation consists of analyzing the dynamic behavior of a system of interconnected bodies comprised of flexible and/or rigid components. The bodies may be constrained with respect to each other via a kinematically admissible set of constraints modeled as joints. These systems can represent an automobile, a space structure with antenna deployment capabilities, an aircraft as an assemblage of rigid and flexible parts, a robot with manipulator arms, and so on. In all such cases, the components may undergo large rotation, large displacement, and finite strain effects.

This animated model of an aircraft landing gear is a typical example of a multibody simulation:

The following additional topics offer more information to help you understand multibody simulation and how the ANSYS program supports it:

  • Benefits of the Finite Element Method for Modeling Multibody Systems
  • Overview of the ANSYS Multibody Analysis Process
  • The ANSYS-ADAMS Interface
  • Learning More About Multibody Dynamics

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Multibody Analysis Guide 		Up / Home Next
1.1. Benefits of the Finite Element Method for Modeling Multibody Systems


1.1. Benefits of the Finite Element Method for Modeling Multibody Systems

Multibody systems have conventionally been modeled as rigid body systems with superimposed elastic effects of one or more components. These methods have been well documented in multibody dynamics literature. A major limitation of these methods is that nonlinear large-deformation, finite strain effects, or nonlinear material cannot be incorporated completely into the modeling of the system.

The finite element (FE) method used in ANSYS provides an attractive approach to modeling a multibody system. While the ANSYS multibody analysis method may require more computational resources and modeling time compared to standard analyses, it offers the following advantages:

  • The finite element mesh automatically represents the geometry while the large deformation/rotation effects are built into the finite element formulation.

  • Inertial effects are greatly simplified by the consistent mass formulation or even point mass representations.

  • Interconnection of parts via joints is greatly simplified by considering the finite motions at the two nodes forming the joint element.

  • The parameterization of the finite rotation has been well documented in the literature and can be easily incorporated into the joint element formulations thereby enabling complete simulation of a multibody system.

ANSYS has an extensive library of elements available for modeling the flexible, rigid, and joint components. The material behavior of the flexible components can be modeled using one of the several material models available. ANSYS also provides modal and transient dynamics capabilities to analyze the spatial and temporal effects in a multibody simulation. Extensive postprocessing capabilities are also available to interpret the analysis results.

You can perform multibody simulation on a wide variety of mechanical systems. Typical applications include automobiles and automobile components, aircraft assemblages, spacecraft applications, and robotics.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 1. Introduction to Multibody Simulation 		Up / Home Next
1.2. Overview of the ANSYS Multibody Analysis Process


1.2. Overview of the ANSYS Multibody Analysis Process

A multibody simulation involves the same general steps necessary for any ANSYS nonlinear analysis. The following table describes the multibody analysis process:

Step | Action | Comments
1. Build the model.

A flexible mechanism usually consists of flexible and/or rigid parts connected together with joint elements. You can model the flexible parts with any of the 3-D solid, shell, or beam elements available in the ANSYS element library. (For more information, see Building the Model in the Basic Analysis Guide, and "Modeling in a Multibody Simulation" in this document.)

Rigid bodies are modeled using MPC184 Rigid Link or Rigid Beam elements, or by using the extensive contact capabilities available in ANSYS.

The different flexible and/or rigid parts may be connected together using the MPC184 joint elements. For example, the two parts may be simply connected such that the displacements at the joining position are identical. In other cases, the connection between the two parts may involve a more sophisticated joint such as the planar joint or universal joint. In modeling these joints, suitable kinematic constraints are imposed on the relative motion (displacement and rotation) between the two nodes forming the joint.

An overview of the different types of joint elements used in a multibody analysis is available in Connecting Multibody Components with Joint Elements.

2. Define element types.

To properly simulate the flexible multibody simulation, which involves flexible and rigid components joined together with some form of kinematic constraints, appropriate structural, joint, and contact element types must be defined. For more information about element selection, see "Modeling in a Multibody Simulation".

3. Define materials.

Defining the material properties for multibody components is no different than defining them in any other ANSYS analysis. Define linear and nonlinear material properties via the MP or the TB command. For more information, see Defining Material Properties in the Basic Analysis Guide.

The MPC184 joint elements also allow you to define material properties so that you can control their behavior along the “free” or “unconstrained” DOFs. For example, you can issue a TB,JOIN command to introduce a torsional spring behavior for a revolute joint that models the resistance to the rotation along the revolute axis. For more information, see MPC184 Joint Materials in the Elements Reference.

4. Mesh the model.

Use the ANSYS meshing commands to mesh multibody components. For more information, see the Modeling and Meshing Guide.

Issue the LMESH command to mesh rigid bodies defined by MPC184 Rigid Beam or Rigid Link elements. Use the Contact Wizard to mesh rigid bodies defined via the contact capabilities in ANSYS. For more information, see "Modeling in a Multibody Simulation".

Two nodes define joint elements and no special meshing commands are necessary to define them.

5. Solve the model.

The solution phase of a multibody analysis adheres to the usual ANSYS conventions. For multibody-specific solver information, see Solver Options.

6. | Review the results. | You can use POST1 (the general postprocessor) and POST26 (the time-history postprocessor) to review results. For more information, see "Reviewing Multibody Analysis Results".

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.1. Benefits of the Finite Element Method for Modeling Multibody Systems 		Up / Home Next
1.3. The ANSYS-ADAMS Interface


1.3. The ANSYS-ADAMS Interface

The ADAMS software marketed by MSC Software is one of several special-purpose, third-party programs used to simulate the dynamics of multibody systems.

A drawback of the ADAMS program is that all components are assumed to be rigid. In the ADAMS program, tools to model component flexibility exist only for geometrically simple structures. To account for the flexibility of a geometrically complex component, ADAMS relies on data transferred from finite-element programs such as ANSYS. The ANSYS-ADAMS Interface is a tool provided by ANSYS, Inc. to transfer data from the ANSYS program to the ADAMS program.

For more information, see "Rigid Body Dynamics and the ANSYS-ADAMS Interface" in the Advanced Analysis Techniques Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.2. Overview of the ANSYS Multibody Analysis Process 		Up / Home Next
1.4. Learning More About Multibody Dynamics


1.4. Learning More About Multibody Dynamics

A considerable body of literature exists concerning multibody dynamics simulation. The following list of resources offers a wealth of information but is by no means exhaustive:

Geradin, Michel, and Alberto Cardona. Flexible Multibody Dynamics--A Finite Element Approach. New York: Wiley, 2001.
Shabana, Ahmed A. Dynamics of Multibody Systems. 3rd ed. New York: Cambridge, 1998.
Clough, Ray W., and Joseph Penzien. Dynamics of Structures. Boston: McGraw-Hill, 1975.
Haug, Edward. Computer-Aided Kinematics and Dynamics of Mechanical Systems. Ed. Allyn & Bacon. New Jersey: Prentice Hall, 1989.
Goldstein, Herbert, et al. Classical Mechanics. Boston: Addison-Wesley, 1950.
Kane, Thomas R., and David A. Levinson. Dynamics: Theory and Applications. Boston: McGraw-Hill, 1985.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.3. The ANSYS-ADAMS Interface 		Up / Home Next
Chapter 2. Modeling in a Multibody Simulation


Chapter 2. Modeling in a Multibody Simulation

A variety of issues arise when modeling multibody mechanisms. The finite element modeling of these mechanisms depends on the degree of complexity that you require. For example, it is often possible to create a quick, initial approximation of the flexible and rigid parts of a mechanism using standard beam elements and rigid beam/link elements. Alternatively, you can perform detailed modeling of the flexible part using 3-D solid elements (or shell or solid-shell elements), and the rigid part using the ANSYS program's extensive contact capabilities.

The following topics related to multibody analysis modeling are available:

  • Modeling Flexible Bodies in a Multibody Analysis
  • Modeling Rigid Bodies in a Multibody Analysis
  • Connecting Multibody Components with Joint Elements

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.4. Learning More About Multibody Dynamics 		Up / Home Next
2.1. Modeling Flexible Bodies in a Multibody Analysis


2.1. Modeling Flexible Bodies in a Multibody Analysis

Consider a slider-crank mechanism as shown in the following figure. The crank is considered to be rigid and the connecting link is assumed to be flexible. The link connects the crank to the sliding block (or piston). The simplified finite element model of the slider-crank mechanism is also shown.

Figure 2.1 FE Slider-Crank Mechanism

The slider-crank mechanism has these characteristics:

  • The rigid crank is modeled with an MPC184 Rigid Beam element.

  • The rigid crank is connected to ground with a “grounded” MPC184 Revolute Joint element.

  • The connecting link is flexible and modeled with BEAM188 elements.

  • The rigid crank and the connecting link are connected to each other by a MPC184 Revolute Joint element.

  • The connecting link moves within a “grounded” MPC184 Slot Joint that approximates a slider block.

As a quick first attempt, you can model the flexible mechanism with some simple approximations to the flexible and rigid parts. You can also model the connecting link in detail to study the deformation, stresses, etc.

ANSYS offers an extensive library of beam, shell, solid-shell, and solid elements for modeling the flexible parts, and the extensive contact capability to model the rigid part and any other contact conditions. Joint elements implemented via the Lagrange multiplier method offer the required kinematic connectivity between any two parts or components.

2.1.1. Element Choices for Flexible Bodies

ANSYS offers a rich suite of beam, shell, and solid elements to model the flexible structural components. Each element has a prefix that identifies the element category and a unique number (for example, BEAM188, SHELL181, and SOLID191).

To model mass and rotary inertia, use the MASS21 element. The element is also appropriate for use in a lumped approximation of rigid bodies.

Detailed information about element selection for flexible components is available in the Basic Analysis Guide and the Elements Reference.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 2. Modeling in a Multibody Simulation 		Up / Home Next
2.2. Modeling Rigid Bodies in a Multibody Analysis


2.2. Modeling Rigid Bodies in a Multibody Analysis

Rigid bodies are widely used for numerical simulation of multibody dynamic applications. A rigid body can be connected to other rigid bodies via joint elements. It can also be connected to flexible bodies to model mixed rigid-flexible body dynamics.

In a finite-element model, certain relatively stiff parts can be represented by rigid bodies when stress distributions and wave propagation in such parts are not critical. An advantage of using rigid bodies rather than deformable finite elements is computational efficiency. Elements that belong to the rigid bodies have no associated internal forces or stiffness. The motion of the rigid body is determined by a maximum of six degrees of freedom (DOFs) at the pilot node.

For transient dynamic analyses, stiff bodies can excite high-frequency modes, resulting in a small time increment in order to obtain a stable solution. Rigid bodies do not, however, excite any frequency modes; therefore, using rigid bodies to represent stiff regions may allow a relatively large time increment.

The following topics about rigid body modeling are available:

  • Defining a Rigid Body
  • Contact Element Choices for Defining a Rigid Body
  • Rigid Body Degrees of Freedom
  • Rigid Body Boundary Conditions
  • Representing Parts of a Complex Model with Rigid Bodies
  • Connecting Joint Elements to Rigid Bodies
  • Modeling Contact with Rigid Bodies

2.2.1. Defining a Rigid Body

A rigid body in ANSYS consists of a set of nodes defined by contact elements called rigid body nodes and a single pilot node defined by a target element. The associated contact elements and target element use the same real constant ID which forms a contact pair. The motion of the rigid body is governed by the degrees of freedom (DOFs) at the pilot node, allowing accurate representation of the geometry, mass, and rotary inertia of the rigid body.

The geometry of a rigid body can be 2-D or 3-D and is determined by the type of contact elements assigned to the rigid body.

2.2.1.1. Typical Rigid Body Scenarios

In most applications, rigid bodies start with discretized finite elements. The rigid body can be defined on the exterior of a pre-meshed body discretized by solid, shell, and beam elements (called underlying elements), as shown:

Figure 2.2 Rigid Body Definition With Underlying Elements

The 3-D surface-based (CONTA173 and CONTA174) and 2-D surface-based contact elements (CONTA171 and CONTA172) are often applied on the exterior surface of the rigid body. To generate the contact elements, issue an ESURF command.

The rigid body can also be a simple standalone body when the contact elements do not overlap other elements (that is, have no underlying elements), as shown:

Figure 2.3 Rigid Body Definition Without Underlying Elements

You can generate contact elements CONTA173 and CONTA174 for a standalone 3-D rigid body (AMESH) or contact elements CONTA171 and CONTA172 for a standalone 2-D rigid body (LMESH).

The most efficient rigid body should contain a limited number of nodes which are either connected to other elements or subject to boundary conditions, as shown:

Figure 2.4 Rigid Body with a Limited Number of Nodes

The rigid body contains three nodes which connect five elements (two CONTA176, one TARGE170, one MASS21, and one MPC184revolute).

The node-based (CONTA175) and 3-D line-based contact elements (CONTA176 and CONTA177) are often applied on the rigid body which has limited nodes (where using the ESURF command is either invalid or impractical).

2.2.1.2. Defining a Rigid Body Pilot Node

In addition to the rigid body nodes, each rigid body must be associated with a rigid body pilot node defined by target element TARGE169 or TARGE170. The target element defining the pilot node must use the same real constant ID as the contact elements that constitute the rigid body. The real constant ID identifies each rigid body, and ANSYS builds internal multipoint constraints (surface-based rigid constraints) during solution. In each rigid body definition, no other target segments other than the pilot node can be defined.

The motion of a rigid body is determined entirely by the motion of its pilot node. The pilot node can be one of the nodes on the contact elements or a node at any arbitrary location. It can be connected to point mass, follower, and deformable elements. For a transient analysis, you can simply locate the pilot node at the gravity center of the rigid body if the center of mass is known.

2.2.1.3. Defining Rigid Body Mass and Rotary Inertia Properties

For multibody dynamics, the mass and rotary inertia of the rigid body play important roles in the dynamic response. In ANSYS, the contact and target elements which define rigid bodies do not contribute mass to the finite element system. The most effective way to contribute mass is to add the point mass element MASS21 on the gravity center of the rigid body when the center of mass and rotary inertia properties of the actual rigid body can be estimated. You can specify the rigid body mass and rotary inertia for MASS21. The node of the MASS21 element is usually connected to the pilot node, although it can be connected to any one of the rigid body nodes. The point mass node is often defined in a local coordinate system which is parallel to the rotary principal axes.

Sometimes, the location of gravity center, the mass, and rotary inertia cannot be easily estimated. In such cases, you can use the premeshed body to account for mass distribution for the rigid body (as shown in Figure 2.2: "Rigid Body Definition With Underlying Elements"). The discretized elements can be pure elastic solid, shell, or beam elements.

For each rigid body, you can perform the following steps:

  1. Select the associated elements (ESEL)

  2. Specify the option for precalculating masses (IRLF,-1).

  3. Perform a partial element solution (PSOLVE,ELFORM).

  4. Calculate inertia relief terms and print a summary of the mass properties (PSOLVE,ELPREP)

  5. Get the mass properties (*GET), as follows:

*GET, Par, ELEM, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description | Symbol
MTOT | X, Y, Z | Total mass components. | Mx, My, Mz
MC | X, Y, Z | Mass centroid components. | Xc, Yc, Zc
IPRIN | X, Y, Z | Principal centroidal moments of inertia. | Ixx, Iyy, Izz
IANG | XY, YZ, ZX | Angles of the principal axes. | θxy, θyz, θxz

Based on the precalculated mass properties, you can easily define the point mass element. The node is defined in the local coordinate system, as shown:

Xc, Yc, Zc, θxy, θyz, θxz

The mass properties are specified by real constants:

Mx, My, Mz, Ixx, Iyy, Izz

Set MASS21 KEYOPT(2) = 1 so that the point mass element coordinate system is initially parallel to the nodal coordinate system and rotates with the nodal coordinate rotations during a large-deflection analysis.

2.2.2. Contact Element Choices for Defining a Rigid Body

This table indicates how to assign contact elements to a rigid body to define its geometry:

To define this type of rigid body... | Use this contact element:
2-D or 3-D node-based | CONTA175
2-D line-based | CONTA171 or CONTA172
3-D line-based | CONTA176 or CONTA177
3-D surface-based | CONTA173 or CONTA174

Use the following contact element KEYOPTs for a rigid body:

KEYOPT(2) = 2 | MPC-based approach.
KEYOPT(12) = 5 | Bonded always.
KEYOPT(4) = 2 | Rigid surface constraint for CONTA171, CONTA172, CONTA173, and CONTA174.
KEYOPT(4) = 0 | Rigid surface constraint for CONTA175, CONTA176, and CONTA177.

Each rigid body contains contact elements defined by a same real constant ID. The contact elements can be defined via different element types. You can combine node-based contact elements with line-based and/or surface-based contact elements. However, you cannot combine 2-D with 3-D contact elements.

2.2.3. Rigid Body Degrees of Freedom

The pilot node has both translational and rotational degrees of freedom (DOFs). The active DOFs at the pilot node depend on the defined type of target elements. Use TARGE169 for a 2-D rigid body which contains UX, UY and ROTZ DOFs. Use TARGE170 for 3-D rigid body which contains UX, UY, UZ and ROTX, ROTY, ROTZ DOFs. Generally, it is best to set KEYOPT(2) = 1 for the target element; otherwise, ANSYS may apply internal constraints on the pilot node.

The DOFs of rigid body nodes are based on the DOFs of the connected elements and applied boundary conditions (BCs). Rigid body nodes that connect to solid elements involve only the translational degrees of freedom. Rigid body nodes that connect to shell, beam, follower, and joint elements also involve the rotational DOFs.

For standalone rigid body nodes not connected to any other elements, the associated DOFs are subject to applied boundary conditions, as shown:

Figure 2.5 2-D Rigid Body DOFs Subject to Applied Boundary Conditions

The node has DOF UX if a constraint or a force is applied in the X direction. If there are no applied BCs, the standalone rigid body nodes have no DOFs; in such a case, ANSYS simply updates the position of the nodes based on the kinematics of the rigid body.

The DOFs for a rigid body can also be controlled via KEYOPT(4) of the target element (TARGE169 or TARGE170). The key option offers additional flexibility by fully or partially constraining the DOFs for the rigid body.

Examples

In the following figure, a rigid sphere is defined by CONTA174 elements and a pilot node. Two beam elements are connected to the rigid surface in the XY plane, as shown by the dotted lines. The pilot node is located at the global Cartesian origin and is subjected to rotation ROTZ.

For the DOFs of the rigid body, selecting three rotational DOFs along with three translational DOFs rotates the beams, as shown. Because the beams are fully connected to the rigid sphere, they rotate with the sphere.

Figure 2.6 Rigid Sphere Translational DOFs + Rotational DOFs

Selecting only the three translational DOFs for the rigid body, as shown in the following figure, does not rotate the beams because they are connected only in their translational DOFs; therefore, the connection acts as a hinge.

Figure 2.7 Rigid Body Translational DOFs Only

Determining the DOFs for each rigid body node is important because the internal multipoint constraints are built solely on the resulting DOFs.

2.2.3.1. Rigid Body DOFs in Coupling Fields

You can use KEYOPT(1) on the contact element to include DOFs of other coupling fields (in addition to the structural DOFs) for the rigid body. For example, you can set KEYOPT(1) = 2 to add temperature degrees of freedom so that the rigid body has a uniform temperature distribution. For heat transient analysis, the body temperature can vary with time but not with location.

2.2.4. Rigid Body Boundary Conditions

Constrained boundary conditions (BCs) for the rigid body are usually applied on the rigid body pilot node. Reaction forces can be obtained for DOFs at the constrained nodes. A combination of rigid body constraints and constrained boundary conditions applied to several rigid body nodes other than the pilot node can lead to overconstrained models. In such cases, ANSYS issues overconstraint warnings and attempts to remove the redundant constraints if possible. If the specified BCs are not consistent with the rigid body constraint, the model becomes inconsistently overconstrained. You must verify the overconstrained model and prevent conflicting overconstraints.

2.2.4.1. Defining Rigid Body Loads

You can apply point loads on any rigid body nodes and pilot node. Follower force (FOLLW201) can be defined at those nodes, and the direction of forces is determined by the rotation of the nodes.

You can apply surface loads on surface effect elements SURF153 and SURF154 which fully or partially override loads on the surface of the rigid body.

Loads on a rigid body are assembled from contributions of all loads on nodes and elements connected to the rigid body.

2.2.5. Representing Parts of a Complex Model with Rigid Bodies

Using rigid bodies to represent certain portions of a complex model is more efficient than using flexible finite elements. In the early stage of finite element model development, you can treat certain stiff parts or discretized elements that are far away from the region of interest as the rigid bodies. In a later stage, you can remove the rigid body definition and add the flexible discretized elements back for a detailed and accurate finite element analysis.

By selecting or unselecting contact/target elements or the flexible finite elements, you can easily switch back and forth between rigid body and flexible body definition.

The following table shows the general steps involved when defining a rigid body as compared to defining a flexible body:

Table 2.1 Rigid Body vs. Flexible Body Definition

Rigid Body Definition Process Flexible Body Definition Process

  1. Select the associated finite elements with defined mass density.

  2. Perform a partial element solution to obtain mass properties.

  3. Add a point mass element to the center of rigid body.

  4. Add a target element whose node (pilot node) shares the point mass node.

  5. Generate contact elements on the exterior surface of the pre-mesh body.

  6. Unselect the associated finite elements.

  7. Connect joint elements to contact nodes.

  1. Unselect the relevant point mass, target and contact elements.

  2. Reselect the associated finite elements.

  3. Define the material properties for the flexible body.

  4. Define a pilot node at one end of the joint. The pilot node connects the joint to the rest of the body.

  5. Select the nodes on the exterior surface of the body that you want to connect to this pilot node.

  6. Create contact surface elements on this surface.

For each body-joint connection, repeat steps 4 through 6. For more information, see Connecting Bodies to Joints.

2.2.6. Connecting Joint Elements to Rigid Bodies

Joint elements can be connected to any rigid body nodes and the pilot node. You can define connections between rigid bodies, or between a rigid body and a flexible body.

Caution

Redundant constraints are most likely to occur when two rigid bodies are connected to more than one joint element.

2.2.7. Modeling Contact with Rigid Bodies

Contact between two rigid bodies is modeled by specifying a contact surface on one rigid body and a target surface on another rigid body. Use either the augmented Lagrange algorithm or penalty algorithm (KEYOPT(2) on the contact element) for modeling contact between rigid bodies to avoid redundant overconstraint between rigid body constraints and contact constraints.

You cannot use the multipoint constraint (MPC) algorithm (KEYOPT(2)) and bonded or no-separation contact behavior (KEYOPT(12)) to connect two rigid surfaces; doing so would cause the model to be overconstrained, resulting in an abnormal termination of the analysis. You can simply replace the bonded contact pair by adding an additional rigid body which connects two pilot nodes.

ANSYS allows two rigid bodies that are connected or overlap each other through rigid body nodes or the pilot node. To prevent overconstraints, ANSYS merges two rigid bodies into one rigid body internally and treats the second pilot node as a regular rigid body node.

MPC bonded contact between a flexible body and a rigid body is possible. The contact surface in an MPC bonded contact pair, however, should always belong to the flexible body; otherwise, the MPC bonded constraints and rigid body constraints are redundant.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.1. Modeling Flexible Bodies in a Multibody Analysis 		Up / Home Next
2.3. Connecting Multibody Components with Joint Elements


2.3. Connecting Multibody Components with Joint Elements

The MPC184 family of elements serves to connect the flexible and/or rigid components to each other in a multibody mechanism.

An MPC184 joint element is defined by two nodes with six degrees of freedom at each node (for a total of 12 DOFs). The relative motion between the two nodes is characterized by six relative degrees of freedom. Depending on the application, you can configure different kinds of joint elements by imposing appropriate kinematic constraints on any or some of these six relative degrees of freedom. For example, to simulate a revolute joint, the three relative displacement degrees of freedom and two relative rotational degrees of freedom are constrained, leaving only one relative degree of freedom available (the rotation around the revolute axis). Similarly, constraining the three relative displacement degrees of freedom and one relative rotational degree of freedom can simulate a universal joint. Two rotational degrees of freedom are “unconstrained” in this joint.

The kinematic constraints in the joint elements are imposed using the Lagrange multiplier method. Because the Lagrange multiplier method is used to impose the constraints, the constraint forces are available for output purposes.

The following topics about using joint elements in a multibody analysis are available:

  • Joint Element Types
  • Material Behavior of Joint Elements
  • Reference Lengths and Angles for Joint Elements
  • Boundary Conditions for Joint Elements
  • Connecting Bodies to Joints

2.3.1. Joint Element Types

All joint elements are classified as MPC184 elements. The various elements are available via the MPC184 element's KEYOPT(1) setting and, in some cases, the KEYOPT(4) setting.

The following table lists the different types of joint elements and the required key option settings. The relevant element section in the Elements Reference is also indicated.

Joint Element Type | KEYOPT(1) | KEYOPT(4) | MPC184 Element | Constraints
Revolute | 6 | --- | Revolute Joint | 5
Z-axis revolute | 6 | 1
Universal | 7 | --- | Universal Joint | 4
Slot | 8 | --- | Slot Joint | 2
Point-in-plane | 9 | --- | Point-in-Plane Joint | 1
Translational | 10 | --- | Translational Joint | 5
Cylindrical | 11 | --- | Cylindrical Joint | 4
Z-axis cylindrical | 11 | 1
Spherical | 5 | --- | Spherical Joint | 3
Planar | 12 | --- | Planar Joint | 3
Z-axis planar | 12 | 1
Weld | 13 | --- | Weld Joint | 6
Orient | 14 | --- | Orient Joint | 3
General | 16 | --- | General Joint | Depends on number of fixed relative DOFs Minimum constraints = 0 (No DOF is fixed) Maximum constraints = 6 (All DOFs are fixed)

Following are some examples of joint element types:

Revolute Joint. Constrained degrees of freedom: UX, UY, UZ, ROTX, ROTY

Universal Joint. Constrained degrees of freedom: UX, UY, UZ, ROTY

Slot Joint. Constrained degrees of freedom: UY, UZ

Translational Joint. Constrained degrees of freedom: UY, UZ, ROTX, ROTY, ROTZ

Cylindrical Joint. Constrained degrees of freedom: UX, UY, ROTX, ROTY

Spherical Joint. Constrained degrees of freedom: UX, UY, UZ

Planar Joint. Constrained degrees of freedom: UZ, ROTX, ROTY

2.3.1.1. Joint Element Connectivity Definition

A joint element is typically defined by specifying two nodes, I and J. These nodes may be arbitrarily located in space. There are instances, however, when one of the nodes needs to be considered as a “grounded” node. In such cases, specify either node I or node J appropriately. In cases when the node is grounded, the location of the grounded node is taken to be that of the other specified node.

Example

If the first node of the joint element is a grounded node, then the element definition is: E,,J or EN,ElementNumber,,J

Similarly, if the second node is the grounded node, then the element definition is: E,I, or EN,ElementNumber,I

2.3.1.2. Joint Element Section Definition

Each joint element must have an associated section definition. Use the SECTYPE command to define the section type and subtype.

Example

The universal joint section definition is: SECTYPE,JOINT,UNIV,UNIV-01

2.3.1.3. Local Coordinate System Specification for Joint Elements

Local coordinate systems at the nodes are required to define the kinematic constraints of a joint element. Use the SECJOINT command to do so.

The local coordinate systems and their required orientation vary from one joint element to another. Input data requirements for each joint element differ. Typically, the local coordinate system is always defined at the first node of a joint element.

The local coordinate system at the second node may be optional. If it is not specified, then the local coordinate system at the first node is usually assumed.

The rotational components of the relative motion between the two nodes of the joint elements are quantified in terms of Bryant (or Cardan) angles that are evaluated based on these coordinate systems.

Example

The following figure illustrates the specification of the local coordinate system for a universal joint element:

Figure 2.8 MPC184 Universal Joint Geometry

The local coordinate system specification is:

LOCAL,11,0
. . .
LOCAL,12,0
. . .
SECJOINT,LSYS,11,12

2.3.1.4. Stops or Limits with Joint Elements

You can impose stops or limits on the available components of relative motion between the two nodes of a joint element. The stops or limits essentially constrain the values of the free DOFs within a certain range. To specify minimum and maximum values, issue the SECSTOP command.

The following figure shows how stops can be imposed on a revolute joint such that the motion is constrained. The axis of the revolute is assumed to be perpendicular to the plane of paper and is along the e3 direction.

Figure 2.9 Stops Imposed on a Revolute Joint

The local coordinate system specified at node I is assumed to be fixed in its initial configuration. However, the local coordinate system specified at node J evolves with the rotation of that node. The relative angle of rotation is given by:

Let the link with node J rotate with respect to the link with node I. This characteristic implies that the local coordinate system at node J rotates with respect to the local coordinate system at node I.

For the configuration shown, the initial relative angle of rotation is zero degrees. A counterclockwise motion results in positive angles of rotation. Clockwise motion results in negative angles of rotation.

If stops limit the movement of the link with node J (as shown), the stop conditions are specified as follows:

SECSTOP,6,PHImin ,PHImax

The next figure shows how stops can be imposed in a slot joint which involves displacements in the local eI1 axis of node I. The relative distance between node J and node I is given by:

where xI and xJ are the position vectors of nodes I and J. The initial distance between the nodes I and J is l0 and is a positive value.

Figure 2.10 Stops Imposed on a Slot Joint

The stops are defined as:

SECSTOP,1, [image] min , [image] max

where

min and [image] max are both positive.

The stops are defined as:

SECSTOP,1,- [image] min , [image] max

where

min is negative and [image] max is positive.

2.3.1.5. Joint Mechanism Locks

Locks or locking limits may also be imposed on the available components of relative motion between the two nodes of a joint element. Locks are basically used in joint mechanisms to “freeze” the joint in a desired configuration during the course of deformation. When the locks are activated on a particular component of relative motion, that component remains locked for the rest of the analysis. Issue the SECLOCK command to define lock limits.

Referring to Figure 2.9: "Stops Imposed on a Revolute Joint", the locks for a revolute joint are specified as SECLOCK,6, Phi_Min,Phi_Max

Referring to Figure 2.10: "Stops Imposed on a Slot Joint", the locks for the slot joint are specified as SECLOCK,1,l_Min,l_Max

2.3.2. Material Behavior of Joint Elements

The following topics related to the material behavior of joint elements in a multibody analysis are available:

  • Stiffness and Damping Behavior of Joint Elements
  • Hysteretic Frictional Behavior of Joint Elements

For more information, see MPC184 Joint Materials in the Elements Reference.

2.3.2.1. Stiffness and Damping Behavior of Joint Elements

Linear or nonlinear stiffness and damping behavior can be associated with the free or unrestrained components of relative motion of the joint elements. In the case of linear stiffness or linear damping, the values are specified as coefficients of a 6 x 6 elasticity matrix using the TB,JOIN command with TBOPT = STIF or TBOPT = DAMP. The stiffness and damping values can be temperature-dependent. Depending on the joint element in use, only the appropriate coefficients of the stiffness or damping matrix are used in the joint element constitutive calculations.

The nonlinear stiffness and damping behavior is specified using the TB,JOIN command with an appropriate TBOPT label. In the case of nonlinear stiffness, relative displacement (rotation) versus force (moment) values are specified using the TBDATA command. For nonlinear damping behavior, velocity versus force behavior is specified using the TBDATA command. (See Figure 2.11: "Nonlinear Stiffness and Damping Behavior for Joints" for a representation of the nonlinear stiffness or damping curve.) In either case, these values may be temperature dependent; use the TBTEMP command to define the temperature for the data table.

Figure 2.11 Nonlinear Stiffness and Damping Behavior for Joints

You can specify the linear or nonlinear stiffness or damping behavior independently for each component of relative motion. However, if you specify linear stiffness for an unrestrained component of relative motion, you cannot specify nonlinear stiffness behavior on the same component of relative motion. The damping behavior is similarly restricted. If a joint element has more than one free or unrestrained component of relative motion--for example, the universal joint has two free components of relative motion--then you can independently specify the stiffness or damping behavior as linear or nonlinear for each of the unrestricted components of relative motion.

2.3.2.2. Hysteretic Frictional Behavior of Joint Elements

Frictional behavior along the unrestrained components of relative motion influences the overall behavior of the joints. You can model hysteretic friction for joint elements via the TB,JOIN command with an appropriate TBOPT label.

You can specify a relative displacement (or rotation) versus force (or moment) curve via the TBDATA command. Force values that you specify must be positive.

In the following figure, the user-specified relative displacement (or rotation) versus force (or moment) curve is reflected about the displacement axes such that the hysteretic frictional behavior is limited between the two curves. The behavior is assumed to be elastic between the two limiting curves. When the limiting value of the curve is reached, ANSYS evaluates further force (or moment) along the limiting curve until elastic unloading occurs. For the elastic behavior between the limiting values of the force-displacement curves, use an elastic “stick” stiffness (specified by TBOPT = FRIC on the TB,JOIN command). If you do not specify this value, ANSYS uses a default value.

Figure 2.12 Hysteretic Frictional Behavior in Joints

2.3.3. Reference Lengths and Angles for Joint Elements

The initial configuration of the joint element may be such that nonzero forces or moments is necessary. In such cases, you can define the constitutive behavior with respect to a reference configuration such that these forces or moments are zero. To do so, define a “reference angle” or a “reference length” (SECDATA).

If you do not define reference lengths and angles, ANSYS calculates the values from the initial configuration of the joints. ANSYS uses the reference lengths and angles in the stiffness and frictional behavior calculations.

2.3.4. Boundary Conditions for Joint Elements

Issue the DJ command to impose boundary conditions on the available components of relative motion of the joint element. You can list the imposed values via the DJLIST command. To delete the values, issue the DJDELE command.

To apply concentrated forces on the available components of relative motion of the joint element, issue the FJ command. You can list the imposed values via the FJLIST command. To delete the values, issue the FJDELE command.

2.3.5. Connecting Bodies to Joints

Other than in idealized geometry (such as that shown in Figure 2.1: "FE Slider-Crank Mechanism "), an MPC184 joint element is defined by one or two nodes in space and requires special modeling techniques to connect the joint to the body appropriately.

Figure 2.13: "Pinned Joint Geometry" shows a 3-D model of a pinned joint where the geometry of the joint (the pin) is explicitly modeled. To perform a multibody analysis, the pin geometry is ignored and the behavior replaced by the appropriate MPC184 joint element.

Figure 2.13 Pinned Joint Geometry

Figure 2.14: "Pinned Joint Mesh and Revolute Joint" shows the meshed model including the revolute joint. To connect the bodies to the joint, you must use either elements (such as beams) or constraint equations. The easiest way to do so is to use contact elements to create surface-based constraints (multipoint constraints, or MPCs), as follows:

  1. Define a pilot node at one end of the joint. The pilot node connects the joint to the rest of the body.

  2. Select the nodes on the surface of the body that you want to connect to this pilot node.

  3. Create contact surface elements on this surface. By sharing the same real constant number (REAL,N ), MPCs between the surface nodes and the pilot node are generated during the solution.

Repeat the steps for each body-joint connection.

Figure 2.14 Pinned Joint Mesh and Revolute Joint

Figure 2.15: "Pinned Joint Contact Elements" shows the contact elements and Figure 2.16: "Pinned Joint Constraint Equations" shows the MPCs (constraint equations) created during the solution for the lower body.

Create the pilot node using the TARGE170 element--setting KEYOPT(2) = 1 so as not to allow the program to constrain any DOFs--and issuing the TSHAP,PILO command.

If you mesh the body with elements having no midside nodes (such as SOLID185), use CONTA173 as the element type for the surface mesh. For elements with midside nodes (such as SOLID186 or SOLID187), use CONTA174. Set the following element key options to create the necessary constraints:

KEYOPT(2) = 2 | Constraint (MPC) option.
KEYOPT(4) = 2 | Generate rigid MPC constraints.
KEYOPT(12) = 5 | Bonded behavior between the pilot node and the contact surface.

Figure 2.15 Pinned Joint Contact Elements

Figure 2.16 Pinned Joint Constraint Equations

Instead of the rigid option, you can also choose a flexible (force-distributed or RBE3-type) constraint option by setting KEYOPT(4) = 1. The following figures illustrate the difference in behaviors:

Figure 2.17 Rigid Constraint (KEYOPT(4) = 2)

Figure 2.18 Flexible Constraint (KEYOPT(4) = 1)

Typical Command Sequence

Following is a typical command sequence for connecting bodies to joints:

! Step 1: Define a pilot node at the joint node
et,59,170          ! type ID=59 is an available ID
keyopt,59,2,1      ! do not allow program to constrain DOFs
real,59            ! real ID=59 is an available ID
tshap,pilot
e,9536             ! “9536” is the joint node
! Step 2: Select the nodes of the corresponding surface
csys,15            ! CS at center of pin
nsel,s,loc,x,15    ! nodes at r=15
! Step 3: Create the contact elements on the surface
et,60,173
keyopt,60,2,2      ! constraint (MPC) option
keyopt,60,4,2      ! rigid MPC
keyopt,60,12,5     ! bonded always contact
type,60
real,59            ! same real ID: this connects the pilot
                   !   to this surface
esurf              ! generate the contact elements on the surface
nsel,all

Additional Information

For more information about using contact elements to generate constraints, see Surface-Based Constraints in the Contact Technology Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.2. Modeling Rigid Bodies in a Multibody Analysis 		Up / Home Next
Chapter 3. Performing a Multibody Analysis


Chapter 3. Performing a Multibody Analysis

A multibody in ANSYS refers to a structural system consisting of flexible and rigid components. The following structural analysis types are available for multibody analysis: static, modal, harmonic, transient dynamic, spectrum, and buckling. For more information about each supported structural analysis type, see the Structural Analysis Guide.

The following topics present information necessary for performing a successful multibody analysis:

  • Kinematic Constraints
  • Convergence Criteria
  • Initial Conditions
  • Damping
  • Time-Step Settings
  • Solver Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.3. Connecting Multibody Components with Joint Elements 		Up / Home Next
3.1. Kinematic Constraints


3.1. Kinematic Constraints

Kinematic constraints define how the structural system is held together geometrically. From a physical standpoint, a sufficient number of kinematic constraints including multipoint constraints (MPC), constraint equations (CE), coupling (CP) and boundary conditions (BC) are necessary for the system to be in stable equilibrium.

Providing sufficient kinematic constraints for a finite element model would lead to a full rank system of equations which would give a unique solution. Lack of sufficient kinematic constraints would make the system unstable. A finite element solution for such a system would fail to converge.

If more than sufficient kinematic constraints are specified for the structural system, the system may remain stable or become unstable. If the extra constraints conflict with the basic constraints necessary to keep the system in stable equilibrium, the system becomes unstable and the finite element solution fails with convergence problems. If the extra constraints do not conflict with the basic constraints, the system is consistently overconstrained and the extra constraints become redundant constraints. The system remains stable; however, there is no unique solution. Depending on how the equations for the finite element model are solved, the solution may or may not converge.

To ensure convergence of the finite element solution, the system must not be underconstrained or overconstrained. Checking for either lack of sufficient constraints or overconstraints can be difficult for complex systems, so ANSYS recommends performing a modal analysis on the system. If the modal analysis yields more zero eigenvalues than the rigid body modes of the system, the system lacks sufficient constraints; if there are fewer eigenvalues than rigid body modes, the system is overconstrained. A closer look at the unwanted eigenmodes can point to the missing or extra constraints.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 3. Performing a Multibody Analysis 		Up / Home Next
3.2. Convergence Criteria


3.2. Convergence Criteria

ANSYS provides suitable convergence checks by default, depending on the active degrees of freedom in the problem. You can activate additional convergence checks via the CNVTOL command.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.1. Kinematic Constraints 		Up / Home Next
3.3. Initial Conditions


3.3. Initial Conditions

Initial conditions define the state of the system at the start of the analysis. In structural finite element analyses, initial conditions are defined in terms of initial displacements, velocities, and accelerations at all independent degrees of freedom (DOFs).

Because all time-integration schemes (such as the Newmark method and the HHT method) rely on the history of displacements, velocities and accelerations, it is important to define consistent initial conditions. By default, a zero value is assumed for initial displacements, velocities, and accelerations at DOFs that are not otherwise specified (via the IC command).

Inconsistencies in initial conditions introduce errors into the time-integration scheme and lead to excitation of undesired (spurious) modes. Accumulation of these errors over several time increments adversely affects the solution and very often causes the time-integration scheme to fail. Applying numerical damping or other forms of damping can suppress the growth of these errors. However, such additions also affect the solution, especially, when long term transient behavior is being studied in the analysis.

It is not always possible, however, to have complete information about the initial state of a system being modeled for transient analysis. In such situations, it is helpful to run a dummy load step before the actual transient analysis of interest to bring the system into a consistent initial state. The purpose of such a load step is to eliminate the error introduced by inconsistent initial conditions.

Following are two ways to run a dummy load step:

  • Apply Linear Acceleration in a Dummy Transient Analysis
  • Apply Large Numerical Damping Over a Short Interval

3.3.1. Apply Linear Acceleration in a Dummy Transient Analysis

This technique is useful in cases where initial accelerations are non-zero, are known, and are uniform over the entire model. Applying acceleration loading (via the ACEL command) introduces non-zero accelerations into the system. After the analysis has run through one substep, the actual transient analysis can be carried out without the acceleration loading.

Example

Consider a rigid beam of length l rotating in the x-y plane about a pinned end at a constant angular velocity ω. The free end of the beam has a tangential velocity of ωl and a centripetal acceleration of ω2l. The beam is assumed to have all of its mass concentrated at the free end. To perform the analysis in ANSYS, model the rigid beam using the MPC184 element with Lagrange multipliers to enforce the rigid beam constraints. With one end of the rigid beam pinned, apply initial velocity normal to the beam axis at the free end. To introduce centripetal acceleration, use acceleration loading as illustrated in the following input file:

Transient Analysis of a Rigid 3-D Beam Rotating About a Fixed Node

/title,Transient analysis of a rigid 3-D beam rotating about a fixed node

/prep7

et,1,mass21
keyopt,1,3,2 !3d mass without rotary inertia
et,2,mpc184
keyopt,2,1,1 !rigid beam
keyopt,2,2,1 !lagrange multiplier

n,1,0.0,0.0  !pinned end (node 1)
n,2,1.0,0.0  !free end (node 2)

type,1
real,1
m = 1.0
r,1,m
en,1,2       !3d mass at free end (node 2)

type,2
real,2
en,2,1,2     !rigid beam

finish

/solu

vel = 6.2831853072       !tangential velocity
ic,2,uy,0.0,vel          !initial condition for velocity
antype,trans
time,1.e-9
acel,0.0,-vel*vel,0.0    !apply centripetal acceleration
kbc,1                    !step loading
nlgeom,on
nsub,1,1,1               !use 1 substep for analysis
trnopt,full, , , , ,HHT  !use HHT time integration
tintp,0.0                !no numerical damping
outres,all,all
solve

d,1,all
ddel,1,rotz
d,2,uz
d,2,rotx
d,2,roty

time,6.0
acel,0.0,0.0,0.0         !remove centripetal acceleration
kbc,1
midtol,on,1e2            !automatic time stepping with MIDTOL
nsub,600,1e7,400
trnopt,full, , , , ,HHT
tintp,0.05               !small numerical damping for HHT
outres,all,all
solve

finish

/post26
/xrange,0.,6.0
nsol,2,2,u,x,ux          !x displacement for node 2
nsol,3,2,u,y,uy          !y displacement for node 2
nsol,4,2,v,x,vx          !x velocity for node 2
nsol,5,2,v,y,vy          !y velocity for node 2
nsol,6,2,a,x,ax          !x acceleration for node 2
nsol,7,2,a,y,ay          !y acceleration for node 2
/axlab,x,Time T
/axlab,y,D/V/A
/gropt,divx,10
/gropt,divy,10
/gthk,curve,2
/title,Transient analysis of a rigid 3D beam rotating about a fixed node
plvar,ux,uy,vx,vy,ax,ay

finish

3.3.2. Apply Large Numerical Damping Over a Short Interval

This technique is more general and uses numerical damping to eliminate errors or numerical noise due to inconsistent initial conditions. After the noise has been damped out over several substeps, you can perform the actual transient analysis with smaller numerical damping.

Some potential drawbacks exist in cases where high frequency content of flexible multibody systems is important for analysis. Applying high numerical damping in the dummy analysis can affect the desired high-frequency response. ANSYS recommends using the HHT method for this technique because the integration scheme shows good dissipation properties with numerical damping.

Example

Consider a rigid-flexible double pendulum made up of a rigid and a flexible beam. One end of the rigid beam is pinned and the other end is hinged to the flexible beam. The other end of the flexible beam is free. The rigid beam is assumed to have all of its mass concentrated at the end that is hinged to the flexible beam. The system is given an initial velocity tangential to the flexible beam axis at its free end, as shown in the following input file:

Transient Analysis of a Rigid-Flexible Double Pendulum

/title,Transient analysis of a rigid-flexible double pendulum

/prep7

et,1,mass21
keyopt,1,3,2   !3d mass without rotary inertia
et,2,mpc184
keyopt,2,1,1   !rigid beam
keyopt,2,2,1   !lagrange multiplier
et,3,mpc184
keyopt,3,1,6   !revolute joint between rigid and flexible beam
et,4,beam188   !flexible beam

n,1,0.0,0.0    !pinned (supported) end of rigid beam
n,2,1.0,0.0    !hinged end of rigid beam (node 2)
n,3,1.0,0.0    !hinged end of flexible beam
n,4,1.25,0.0
n,5,1.5,0.0
n,6,1.75,0.0
n,7,2.0,0.0    !free end of flexible beam (node 7)

type,1
real,1
m = 390
r,1,m
en,1,2         !3d mass at the end of rigid beam

type,2
real,2
en,2,1,2       !rigid beam

local, 11, 0, 0.0, 0.0, 0.0, , , 90
sectype, 3, JOIN, REVO, TESTREVO
secjoin, , 11, 11
type,3
real,3
secnum,3
en,3,3,2       !revolute joint

mp,ex,1,2e11   !material properties for flexible beam
mp,nuxy,1,0.3
mp,density,1,7.8e3

sectype,4,beam,csolid
secdata,1,0.1784124116 !c-s area is 0.1
type,4
real,4
secnum,4
mat,1
en,4,3,4       !flexible beam elements
en,5,4,5
en,6,5,6
en,7,6,7

d,1,all
ddel,1,rotz

finish

/solu

vel = 6.2831853072        !tangential velocity
ic,7,uy,0.0,vel           !initial condition for velocity
antype,trans
time,0.1
kbc,1
nlgeom,on
nsub,50,50,50             !use multiple substeps
trnopt,full, , , , ,HHT   !use HHT time integration
tintp,0.2                 !use high numerical damping
outres,all,all
solve

time,6.0
midtol,on,10              !automatic time stepping with MIDTOL
nsub,100,1e6,100
trnopt,full, , , , ,HHT
tintp,0.05                !small numerical damping for HHT
outres,all,all
solve

finish

/post26
nsol,2,7,u,x,ux      !x displacement for node 7
nsol,3,7,u,y,uy      !y displacement for node 7
nsol,4,2,u,x,ux1     !x displacement for node 2
nsol,5,2,u,y,uy1     !y displacement for node 2
nsol,4,3,v,x,vx      !x velocity for node 7
nsol,5,3,v,y,vy      !y velocity for node 7
nsol,6,7,a,x,ax      !x acceleration for node 7
nsol,7,7,a,y,ay      !y acceleration for node 7
/axlab,x,Time T
/axlab,y,D/V/A
/gropt,divx,10
/gropt,divy,10
/gthk,curve,2
/title,Transient analysis of a rigid-flexible double pendulum
plvar,ux,uy,ux1,uy1,vx,vy,ax,ay

finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.2. Convergence Criteria 		Up / Home Next
3.4. Damping


3.4. Damping

You can specify two types of damping in ANSYS:

  • Numerical Damping
  • Structural Damping

3.4.1. Numerical Damping

Numerical damping is associated with the time-stepping schemes used for integrating second-order systems of equations over time. ANSYS provides the Newmark method and the HHT method for transient dynamic analysis of structural systems. Numerical damping for these schemes is determined by the parameter values specified via the TINTP command.

Numerical damping stabilizes the numerical integration scheme by damping out the unwanted high frequency modes. For the Newmark method, numerical damping also affects the lower modes and reduces the accuracy of integration scheme from second order to first order. For the HHT method, numerical damping affects only the higher modes and always maintains second-order accuracy.

ANSYS uses a default value (TINTP,GAMMA) of 0.005. The value that you select should be based on the problem at hand. A sensible value to try initially is 0.1. Use the lowest possible value that damps out nonphysical response without significantly affecting the final solution. Problems involving rigid body translational motion, other forms of damping, or dissipative mechanisms like plasticity or friction typically require smaller values for numerical damping. Larger numerical damping values are usually necessary for problems involving rigid body rotational motion, elastic collisions (dynamic contact/impact), and large deformations with frequent changes in substep size.

3.4.2. Structural Damping

Structural damping refers to physical damping present in the system. You can specify the damping at the material level via viscous material models or dashpots (for example, COMBIN14 elements). At the structural level, you can specify it as modal damping or Rayleigh damping. For more information, see Damping in the Structural Analysis Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.3. Initial Conditions 		Up / Home Next
3.5. Time-Step Settings


3.5. Time-Step Settings

Transient dynamic analyses involving large deformations or large rotations exhibit significant changes in stiffness and inertia properties. The default response-frequency-based automatic time-stepping criterion may not be suitable for such nonlinear analyses. Use the MIDTOL command to automatically adjust the time increment based on convergence at the middle of the substep and convergence at the end of the substep. For more information, see "Nonlinear Structural Analysis" in the Structural Analysis Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.4. Damping 		Up / Home Next
3.6. Solver Options


3.6. Solver Options

Multibody analyses generally involve large rotations in static or transient dynamics analysis, so nonlinear geometric effects must be accounted for. To do so, issue the NLGEOM,ON command.

If rotational degrees of freedom are active in a nonlinear analysis, verify that the predictor is deactivated ([PRED,OFF], the default behavior in ANSYS).

For faster convergence in a full transient dynamic analysis where mass elements such as MASS21 are used, issue the NROPT,UNSYM command. The command activates the Newton-Raphson option for solving the nonlinear equations in the analysis, necessary due to the nonsymmetric stiffness contribution resulting from gyroscopic effects.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.5. Time-Step Settings 		Up / Home Next
Chapter 4. Reviewing Multibody Analysis Results


Chapter 4. Reviewing Multibody Analysis Results

Results from a flexible multibody analysis consist mainly of displacements, velocities, accelerations, stresses, strains, and reaction forces in structural components. Constraint forces, current relative positions, relative velocities, and relative accelerations in joint elements are also available.

Results are available for viewing in POST1, the general postprocessor (/POST1), or in POST26, the time-history postprocessor (/POST26).

For a description of the available output components, see the Output Data sections of the element descriptions for any of the elements that model the flexible components, rigid components, and joint elements.

The following topics concerning how to review flexible multibody analysis results are available:

  • Reviewing Results in POST1
  • Reviewing Results in POST26
  • Output of Joint Element Quantities
  • Energy Output

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.6. Solver Options 		Up / Home Next
4.1. Reviewing Results in POST1


4.1. Reviewing Results in POST1

In POST1, only one substep at a time can be read, and the results from that substep must exist in the Jobname.RST file. The load step option command OUTRES controls which substep results are stored in Jobname.RST.

To review results in POST1:

  • The database must contain the same model for which the solution was calculated.

  • The Jobname.RST results file must be available.

A typical POST1 postprocessing sequence follows:

Step | Action | Comments | Command
1. Verify from your output file (Jobname.OUT) whether the analysis converged at all load steps. If not, you will likely not wish to postprocess the results, other than to determine why convergence failed. If your solution converged, then continue postprocessing. ---
2. | Enter the POST1 postprocessor. | If your model is not currently in the database, first issue a RESUME command. | /POST1
3. | Read the results for the desired load step and substep. | You can identify them by load step and substep numbers or by time. | SET
4. View the results.

Use any of these options:

Display the deformed shape. | PLDISP
Display contours of stresses, strains, or any other applicable item. | PLNSOL or PLESOL
Optional: Examine tabular listings.
PRNSOL (nodal results)
PRESOL (element-by-element results)
PRRSOL (reaction data)
PRITER (substep summary data, etc.)
Optional: Animate the motion of the flexible multibody mechanism results over time. | ANTIME

Many other postprocessing functions are available in POST1. For more information, see "The General Postprocessor (POST1)" in the Basic Analysis Guide.

Load case combinations are usually not valid for nonlinear analyses.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 4. Reviewing Multibody Analysis Results 		Up / Home Next
4.2. Reviewing Results in POST26


4.2. Reviewing Results in POST26

You can review the load-history response of a nonlinear structure using POST26, the time-history postprocessor (/POST26). Use POST26 to compare one ANSYS variable to another. For example, you could graph the relative rotation of a joint element versus time or any other variable.

A typical POST26 postprocessing sequence for a flexible multibody analysis is similar to the sequence for a typical nonlinear analysis, as follows:

Step | Action | Comments | Command
1. Verify from your output file (Jobname.OUT) whether the analysis converged at all load steps. Do not base design decisions on unconverged results. If your solution converged, continue postprocessing. ---
2. | Enter the POST26 postprocessor. | If your model is not currently in the database, first issue a RESUME command. | /POST26
3. Define the variables to be used in your postprocessing session. The SOLU command causes various iteration and convergence parameters to be read into the database, where you can incorporate them into your postprocessing.
NSOL
ESOL
RFORCE
4. Graph or list the variables. ---
PLVAR (graph)
PRVAR (list)
EXTREM (list)

Many other postprocessing functions are available in POST26. For more information, see "The Time-History Postprocessor (POST26)" in the Basic Analysis Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.1. Reviewing Results in POST1 		Up / Home Next
4.3. Output of Joint Element Quantities


4.3. Output of Joint Element Quantities

Several joint element output quantities are available for review purposes. Either POST1 and/or POST26 can be used to review these results.

The solution output associated with the element is in two forms:

  • Nodal displacements included in the overall nodal solution

  • Additional element output to the results file listed below

The following output is available for joint elements as SMISC quantities:

  • Constraint forces and moments

  • Constraint forces (moments) if stop is specified

  • Constraint forces (moments) if lock is specified

  • Stop status

  • Lock status

  • Relative position

  • Constitutive displacements and rotations

  • Joint elastic forces (moments)

  • Joint damping forces (moments)

  • Joint friction forces (moments)

  • Relative displacement and rotations (cumulative)

  • Relative velocities

  • Relative accelerations

  • Average temperature in the element

The following output is available for joint elements as NMISC quantities:

  • The components of the bases vectors at the two nodes in the deformed configuration.

    The bases vectors are specified as the local coordinate systems via the SECJ command and evolve with the rotation of the underlying nodes.

  • The constraint forces and moments in the evolved basis at the first node of the joint element.

The ANSYS Workbench Products generally use NMISC output for postprocessing.

See the MPC184 element documentation and the individual joint element descriptions for details about the SMISC component specification and the use of the ETABLE command.

In POST1, you can print joint element output (such as relative reaction forces, relative displacements, relative rotations, etc.) at the free or unconstrained relative degree of freedom via the PRJSOL command. To obtain the nodal forces at the joint element nodes, issue the PRESOL,FORC command.

In POST26, you can use the JSOL command to specify result items (such as relative displacements, velocities, accelerations, etc.) that must be stored for a joint element. Then, you can plot or print the stored items via the PLVAR or PRVAR command, respectively.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.2. Reviewing Results in POST26 		Up / Home Next
4.4. Energy Output


4.4. Energy Output

You can monitor the total energies of the entire model in POST1 via the PRENERGY command. The total energy consists of elastic, kinetic, artificial hourglass/drill stiffness energy, and so on.

In POST26, you can use the ENERSOL command to store a specific energy item. Then, you can graph or list the specific energy item in the output file via the PLVAR or PRVAR command, respectively.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.3. Output of Joint Element Quantities 		Up / Home Next
Chapter 5. Using Component Mode Synthesis Superelements in a Multibody Analysis


Chapter 5. Using Component Mode Synthesis Superelements in a Multibody Analysis

Obtaining the flexible response of a body or bodies to a dynamic motion event typically involves solving hundreds or thousands of time points. If a flexible body has many degrees of freedom (DOFs), a multibody analysis can be time-consuming. To minimize the necessary computing resources, you can use component mode synthesis (CMS) superelements (substructures) to replace the many thousands of DOFs of the flexible body with tens of DOFs that represent the dynamic response, thereby significantly reducing the required multibody analysis run time.

The following topics describe the approach required to perform a substructure-based multibody analysis, including recovering the time-dependent flexible response:

  • Applicability of CMS Superelements in a Multibody Analysis
  • Flexible Body Types
  • Substructuring Overview
  • Master Degrees of Freedom in a Substructured Multibody Simulation
  • Steps for Performing a Substructured Multibody Simulation

For an example of how to set up and use a substructuring in a multibody analysis, see "Example Multibody Analysis: Crank Slot Mechanism".

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.4. Energy Output 		Up / Home Next
5.1. Applicability of CMS Superelements in a Multibody Analysis


5.1. Applicability of CMS Superelements in a Multibody Analysis

The flexible body to be substructured is assumed to behave in a linear elastic manner, as follows

  • Only linear materials are allowed.

  • Nonlinear elements within the body (such as gasket or contact elements) are treated as linear and in their initial state.

  • The body may consist only of 3-D structural elements. (You can use 2-D elements with care provided that you follow the guidelines given later, particularly with respect to the number of DOFs at the master DOFs.)

  • Element formulations using Lagrange multipliers are not allowed.

  • Density or mass of some form must be present in the body.

The body may undergo large rotations, but the strains and relative rotations within the body are presumed to be small.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 5. Using Component Mode Synthesis Superelements in a Multibody Analysis 		Up / Home Next
5.2. Flexible Body Types


5.2. Flexible Body Types

A multibody simulation supports two types of flexible bodies:

  • Bodies that are excited by the motion of other bodies (rigid or flexible) but do not themselves undergo large motions

    An engine block is an example of this type, where the block is excited dynamically from the crankshaft, pistons, and other moving parts attached or linked to the block. This case is a straightforward application of traditional superelements.

  • Bodies that are undergoing large motions

    A piston rod is an example of a body undergoing large motions; this type also uses superelements but with the additional capability that the superelement can undergo large motions, and large rotations in particular. A large-rotation superelement involves additional considerations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.1. Applicability of CMS Superelements in a Multibody Analysis 		Up / Home Next
5.3. Substructuring Overview


5.3. Substructuring Overview

Substructuring is a technique that condenses a group of finite elements into a single element represented as a matrix. The single-matrix element is called a superelement. You can use the superelement in an analysis as you would any other ANSYS element type.

Substructuring requires three passes:

  • A generation pass, where the group of elements are condensed down to generate the superelement.

  • A use pass, where the superelement is used in the analysis. In our case, in the multibody analysis.

  • An expansion pass, where the results of the superelement in the use pass are expanded to the original group of elements so that their displacements, forces, strains, and stresses are recovered.

In the use pass, ANSYS allows the superelement to rotate with arbitrarily large rotations.

In the generation pass, you define master degrees of freedom (MDOFs). The MDOFs are the DOFs that the superelement uses to interface with, or connect to, the other bodies or joints.

Because the flexible body analysis occurs within a dynamic analysis, you must include the dynamic (mass) effects. Use component mode synthesis (CMS) to augment the superelement static stiffness with mode shapes that characterize the dynamic behavior, much as you would when performing a mode-superposition transient dynamic analysis.

CMS is a form of substructure analysis allowing you to derive the dynamic behavior of the entire assembly from its constituent components. For more information, see "Component Mode Synthesis" in the Advanced Analysis Techniques Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.2. Flexible Body Types 		Up / Home Next
5.4. Master Degrees of Freedom in a Substructured Multibody Simulation


5.4. Master Degrees of Freedom in a Substructured Multibody Simulation

The master degrees of freedom (MDOFs) are the degrees of freedom (DOFs) of the superelement which you intend to use to connect to the DOFs of the remaining bodies and joints. Because you almost always use all the DOFs of a node in the definition of the MDOFs, you can think in terms of master “nodes”; that is, the MDOFs are the nodes of the superelement that connect to the nodes of the remaining joints and bodies.

If the connection occurs at a joint at the center of a hole or slot, you must place a master node there. For more information, see Connecting Bodies to Joints.

Nonrotating Bodies

For nonrotating bodies, master nodes are located at the points where the superelement connects with the other bodies and are typically located at the centers of bolts or other fasteners and bearings. Try to minimize the number of master nodes. Where appropriate, use the techniques presented in Connecting Bodies to Joints to create a single master node that connects to a number of nodes.

Rotating Bodies

For rotating bodies, the idea is to create a beam-like superelement, ideally with two master nodes (but never less than two). You can use more than two master nodes (for example, when modeling a lever or rocker plate), but ANSYS assumes that the rotation of the superelement is the average of the rotations of all master nodes.

All master nodes of a rotating body must have six active structural DOFs: UX, UY, UZ, ROTX, ROTY, and ROTZ. If the master node does not have six DOFs--for example, if it is the node of a 3-D solid element--create a six-DOF node at that location and tie it to the rest of the body appropriately. You can use either of the following techniques, both of which essentially place a six-DOF node connected to a patch of elements superimposed on the existing solid elements.

  • MPC Contact -- Create a pilot node and link it to bonded contact elements overlaid on the patch. For more information, see Connecting Bodies to Joints.

  • Beams -- Overlay beam elements or MPC184 Rigid Beam elements in a “spider web” fashion. The beams should have high stiffness and no mass.

Following is an illustration of both methods:

When “rotating” the created node, the body rotates accordingly.

You can also define MDOFs where loads are to be applied as well as at any points where velocities or accelerations are of interest.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.3. Substructuring Overview 		Up / Home Next
5.5. Steps for Performing a Substructured Multibody Simulation


5.5. Steps for Performing a Substructured Multibody Simulation

The methodology for performing a substructured multibody simulation assumes that you have generated the entire finite element model of the multibodies including the joints--using ANSYS Workbench, for example--and want to take advantage of substructuring to reduce the solution time. ANSYS refers to this method as a top-down approach (as opposed to a bottom-up approach of defining the substructure first and then building the rest of the model around it).

Using substructures to represent some or all of the flexible bodies in a completely defined multibody model requires the following steps:

  • Step 1: Prepare the Full Model for a Substructured Multibody Analysis
  • Step 2: Create the Substructures (Generation Pass)
  • Step 3: Build the CMS-based Model (Use Pass)
  • Step 4: Run the Multibody Analysis
  • Step 5: Expand all Solutions (Expansion Pass)
  • Step 6: Create the Merged Results File
  • Step 7: Postprocess the Results

Before proceeding, prepare the full multibody model (as described in Steps 1 through 4 in Overview of the ANSYS Multibody Analysis Process). Verify that the bodies are connected to the joints as described in Connecting Bodies to Joints.

The multiple passes used in substructuring require that the files created and used in the process are handled appropriately. To aid in file management when performing a substructured multibody simulation, use the /FILNAME command to modify the current jobname as needed.

5.5.1. Step 1: Prepare the Full Model for a Substructured Multibody Analysis

Prepare the full model for a substructured multibody analysis, as follows:

Step | Action | Comments | Command(s)
1.1 | Specify the full jobname. | Example: /FILNAME,FULL | /FILNAME
1.2 | Resume (or build) the full model. | See Overview of the ANSYS Multibody Analysis Process and Connecting Bodies to Joints. | RESUME
1.3 Make components of the flexible body. (Repeat for each flexible body.) Create an element component of the elements of the body, including any contact elements used to connect the body to a joint. (Do not include the joint elements.)
ESEL
CM,Ename,ELEM
1.4 Select the entire model. --- ALLSEL
1.5 Save the model. --- SAVE

5.5.2. Step 2: Create the Substructures (Generation Pass)

Perform the generation pass to create the CMS substructure (in the matrix .SUB file) characterizing the dynamic flexibility of the body.

You must decide how many modes to include in the CMS substructure. The number you determine depends on several factors including:

  • The driving frequency.

  • The frequencies to be excited (such as flexural, axial, torsional, etc.).

  • Whether displacements are of primary interest, or whether stresses/strains (or fatigue) are of primary interest. (The latter require more modes to accurately capture their response.)

  • Whether impact (contact) is included. (Impact tends to excite higher frequencies.)

  • Whether acoustic frequencies are desired.

For most analyses, and particularly for rotating bodies, the fixed-interface method (CMSOPT,FIX) is sufficient. For analyses where higher frequencies are of interest (foe example, those involving acoustics or high-speed equipment), the residual-flexible free-interface method (CMSOPT,RFFB) provides more accuracy. For more information, see CMS Methods Supported in the Advanced Analysis Techniques Guide.

For nonrotating bodies, you can apply constraints (D) in the generation pass to the degrees of freedom (DOFs), but not the master degree of freedom (MDOF). Set KEYOPT(4) = 1 for these superelements in the use pass; otherwise, your analysis will have convergence problems. For rotating bodies, do not apply constraints in the generation pass because the superelement must have six rigid body modes; you can, however, apply constraints to its MDOF in the use pass.

When applying loads, be aware that:

  • The loads rotate with the rotating substructure by default. This behavior is valid for most load types (especially pressure loads). In the use pass, however, you can specify that the load vector not rotate with the substructure; disabling load rotation is useful in some cases, such as those involving nodal forces where you want to maintain their original direction.

  • When to apply gravity and other acceleration loads (such as those applied via ACEL and OMEGA commands) varies depending on whether the body is rotating or not. For a rotating body, apply the loads in the use pass. For a nonrotating body, you can apply the loads in this step and use it in the use pass; however, be careful not to specify it twice (for example, by issuing an ACEL command in the use pass). Issue the CMACEL command to apply the acceleration to the nonsubstructured elements only.

  • By applying a unit load in this step, you can easily scale it in the use pass and make use of tabular loads to apply a complex load-versus-time history in a single load step. ANSYS recommends this approach as it allows for straightforward creation of the full model results file.

Follow these steps to create the superelements for a substructured multibody analysis:

Step | Action | Comments | Command(s)
2.1 | Clear the database. | Required only if performing this step in the same session as the prior step. | /CLEAR
2.2 | Specify the generation pass jobname. | Example: /FILNAME,BODY1 | /FILNAME
2.3 | Resume the full model. | Example: RESUME,FULL.DB | RESUME
2.4 Define the analysis type. The analysis type is substructure.
/SOLU
ANTYPE,SUBSTR
2.5 | Define substructure options. | Substructure name, and generate stiffness and mass, as in this example: SEOPT,BODY1SE,2 | SEOPT,Sename,2
CMS options, including the number of modes. | CMSOPT,FIX,NMODE
2.6 | Select the substructure nodes and elements. | Select the elements defined in Step 1.3. | CMSEL,S,ELEM
Select the interface nodes defined in Step 1.3 | CMSEL,S,NODE
Create master degrees of freedom (MDOFs) at all selected nodes. | M,ALL,ALL
Select the nodes attached to the elements. | NSLE
2.7 Apply loads, if any. These are loads typically interior to the body (that is, not applied to a MDOF).
F
SF
SFE
ACEL
...
2.8 | Create the substructure. | Save the model. | SAVE
Execute the creation. | SOLVE

Repeat the steps above for each flexible body you wish to replace with CMS substructures. Use unique jobnames and substructure names for each flexible body.

Residual-Flexible Free-Interface CMS Method

If you are using the residual-flexible free interface method, use CMSOPT,RFFB,NMODE rather than CMSOPT,FIX,NMODE in Step 2.5. In such a case, you must also define pseudo-constraints (D,,,SUPPORT).

For further information, see The CMS Generation Pass: Creating the Superelement in the Advanced Analysis Techniques Guide.

5.5.3. Step 3: Build the CMS-based Model (Use Pass)

Replace the flexible bodies with their corresponding CMS substructures.

Step | Action | Comments | Command(s)
3.1 | Clear the database. | Required only if performing this step in the same session as the prior step. | /CLEAR
3.2 | Specify the use pass jobname. | Example: /FILNAME,USE | /FILNAME
3.3 | Resume the full model. | Example: RESUME ,FULL.DB | RESUME
3.4 Replace the flexible bodies. Unselect the flexible elements.
/PREP7
CMSEL,U,Ename
Define the substructure element type using an available type number (ITYPE). | ET,ITYPE,50
If any loads were applied in Step 2 and you do not want them to rotate with the substructure, set the appropriate key option. | KEYOPT, ITYPE,3,1
For nonrotating substructures that have constraints applied in the generation pass, set the appropriate key option. | KEYOPT,ITYPE,4,1
Define the substructure.
TYPE,ITYPE
SE,Sename

Repeat the CMSEL,U and SE commands for each flexible body.

Caution

Be careful not to select all elements (for example, via an ALLSEL command) before initiating the solution (SOLVE) in the next step. If you do so, ANSYS solves for both sets of elements.

5.5.4. Step 4: Run the Multibody Analysis

Set up the multibody analysis and run it.

Step | Action | Comments | Command(s)
4.1 Specify the analysis type. Large deflection, transient analysis (multibody analysis).
/SOLU
ANTYPE,TRANS
4.2 Specify the transient analysis options. HHT method with 0.1 numerical damping.
TRNOPT,FULL,,,,,HHT
TINTP,0.1
4.3 Specify boundary conditions. Constraints on motion and initial conditions
D
DJ
IC
…
Applied loads, including applying loads from the generation pass Step 2.7 (SFE,,,SELV)
F
FJ
ACEL
SF
SFE
...
4.4 Specify load step options and solve. Ending time and time step sizes.
TIME
DELTIM or NSUBST
Results file output controls. | OUTRES
Run the analysis. | SOLVE

To dampen out excessive solution noise, particularly in the velocities and accelerations, you typically use numerical damping. For more information, see Damping.

In Step 4.3, use tabular loads to specify complex load-versus-time histories. By default, loads are simply ramped (or step-applied [KBC]) over the time interval from one load step to the next. Tabular loads, however, allow a general load curve. To use multiple load steps to define the loading, repeat Steps 4.3 and 4.4 for each load configuration.

For more information about setting up and performing a multibody analysis, see "Performing a Multibody Analysis".

5.5.5. Step 5: Expand all Solutions (Expansion Pass)

Using the solutions from the prior step (displacements at the MDOFs at each time point), obtain the displacements and stresses (if desired) for all nodes and elements of the flexible bodies.

Step | Action | Comments | Command(s)
5.1 | Clear the database. | Required only if performing this step in the same session as the prior step. | /CLEAR
5.2 | Specify the generation pass jobname from Step 2. | Example: /FILNAME,BODY1 | /FILNAME
5.3 | Resume that jobname's database. | No file name required. | RESUME
5.4 Specify an expansion pass. ---
/SOLU
EXPASS,ON
5.5 | Specify the substructure to expand. | Substructure name and the use pass jobname from Step 3. Example: SEEXP,BODY1SE,USE | SEEXP,Sename,Usefil
5.6 | Specify the solutions to expand, then expand | Expand all time points, and indicate whether or not to compute stresses, strains, and forces. | NUMEXP,ALL,,,Elcalc
Perform the expansion. | SOLVE

Repeat all steps for each substructured body (including clearing the database [/CLEAR]).

5.5.6. Step 6: Create the Merged Results File

Merge all results files (one from the use pass and one from each of the expanded substructures) to create a results file with the full model data. After completing this part of the process, you can perform postprocessing as though you had run the full model in the multibody simulation.

Step | Action | Comments | Command(s)
6.1 | Clear the database. | Required only if performing this step in the same session as the prior step. | /CLEAR
6.2 | Specify the full model jobname from Step 1. | Example: /FILNAME,FULL | /FILNAME
6.3 | Resume that jobname's database. | No file name required. | RESUME
6.4 | Delete the merged results file. | If you fail to delete the merged results file, ANSYS appends the results from this step to that file. | /DELETE
6.5 Merge the results for each time point. Loop through each time point (solution substeps).
/POST1
*DO,J,1,NSUBSTEPS
Bring in the use pass results.
FILE,USE
SET,1,J

Append the expanded substructure results.

Repeat both of these commands for each substructure.

FILE,BODY1
APPEND,1,J
Write the combined results and loop back for the next time point.
RESWRITE,Fname
*ENDDO

Understanding the example commands in this step:

  • NSUBSTEPS is the total number of substeps (time points) in the results files.

  • In the example commands, the jobname from the use pass (Step 3) is USE; therefore, its results file is named USE.RST. Likewise, the jobname from the expansion pass (Step 5) is BODY1; therefore, its results file is named BODY1.RST. Adjust the command arguments accordingly to accommodate your own jobnames.

  • As presented here, the analysis in the use pass is performed in one load step with NSUBSTEPS substeps. If such is not the case in your analysis, modify the *DO loop to use the appropriate SET command.

  • The expansion pass results files always have only one load step with all time points contained as NSUBSTEPS substeps, irrespective of the use pass load stepping and substepping.

5.5.7. Step 7: Postprocess the Results

Postprocess the full model as though you had run a nonsubstructured analysis.

Use the POST1 postprocessor (/POST1) to review the results over the entire model. Use the POST26 postprocessor (/POST26) to obtain time-history listings and plots. For more information, see "Reviewing Multibody Analysis Results" for specific multibody postprocessing.

Step | Action | Comments | Command(s)
7.1 | Specify the full model jobname from Step 1. | Example: /FILNAME,FULL | /FILNAME
7.2 | Resume that jobname's database. | No file name required. | RESUME
7.3 Review results at a specific point in time ---
/POST1
SET,
7.4 Select the entire model. ---

/POST26

Nodal velocity and acceleration nodal results are not available for the substructure interior nodes (non-MDOFs).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.4. Master Degrees of Freedom in a Substructured Multibody Simulation 		Up / Home Next
Chapter 6. Example Multibody Analysis: Crank Slot Mechanism


Chapter 6. Example Multibody Analysis: Crank Slot Mechanism

The example crank slot analysis in this section introduces you to the ANSYS program's multibody analysis capabilities. To facilitate modeling and simulation in a multibody analysis, ANSYS, Inc. suggests using the ANSYS Workbench product along with the ANSYS program to develop your analysis. The input files used to run the crank slot analysis in the ANSYS program were generated by ANSYS Workbench.

The following topics are available for this example multibody analysis of a crank slot mechanism:

  • Problem Description
  • Problem Specifications
  • Defining Joints
  • Performing the Rigid Body Analysis
  • Performing the Flexible Body Analysis
  • Using Component Mode Synthesis in the Multibody Analysis
  • Using Joint Probes
  • Comparing Processing Times
  • Input Files Used in This Analysis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.5. Steps for Performing a Substructured Multibody Simulation 		Up / Home Next
6.1. Problem Description


6.1. Problem Description

The crank slot model consists of several parts connected by joint elements. Perform a simulation using multibody dynamics to study the motion of the crank mechanism and the joint forces when starting the mechanism at one of the joints from rest with a rotational acceleration of 25 rad/sec2. In this problem, it is also important to examine the transient stress results in one of the slider rods.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 6. Example Multibody Analysis: Crank Slot Mechanism 		Up / Home Next
6.2. Problem Specifications


6.2. Problem Specifications

The geometry for the crank slot model consists of a base and two rods. The two rods are attached to each other and the base with three bolts. The material used for all components is structural steel.

The material properties for this analysis are as follows:

Young's modulus (E) = 2e+005 MPa
Poisson's ratio (υ) = 0.3
Density = 7.85e-006 kg/m

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.1. Problem Description 		Up / Home Next
6.3. Defining Joints


6.3. Defining Joints

Define the joints that connect the parts of the crank slot model. Revolute, slot, and cylindrical joints form the moving joints. The base of the model is fixed to the ground via a fixed joint.

The following figure shows the parts of the model, with the joints listed to the right:

Revolute -- Base to Bolt1
Fixed -- Rod1 to Bolt1
Fixed -- Rod1 to Bolt2
Fixed -- Rod2 to Bolt3
Cylindrical -- Rod2 to Bolt2
Slot -- Base to Bolt3
Fixed -- Ground to Base

All joints are available via the MPC184 element's KEYOPT(1) setting and, in some cases, the KEYOPT(4) setting. For more information, see Connecting Multibody Components with Joint Elements.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.2. Problem Specifications 		Up / Home Next
6.4. Performing the Rigid Body Analysis


6.4. Performing the Rigid Body Analysis

Run the crank slot analysis using a rigid body specification. Specifying a body as rigid in ANSYS models it as a combination of:

  • A MASS21 element at the center of gravity (CG) of the parts, and

  • MPC184 elements for the joints connected to each other via contact elements.

For more information, see Modeling Rigid Bodies in a Multibody Analysis. The input file CrankSlot_Rigid.inp (available on the ANSYS distribution media) is used to perform the rigid body portion of the analysis.

The following figures show the finite element (FE) representation of the model and the time-history plot of the total displacement of the rigid Rod2 part:

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.3. Defining Joints 		Up / Home Next
6.5. Performing the Flexible Body Analysis


6.5. Performing the Flexible Body Analysis

Run the crank slot analysis using a flexible approximation for the Rod2 part. After defining Rod2 as a flexible body, mesh it using ANSYS 3-D SOLID186 elements. (At this stage, the remaining parts are still considered to be rigid.)

For more information, see Modeling Flexible Bodies in a Multibody Analysis. The input file CrankSlot_Flexible.inp (available on the ANSYS distribution media) is used to perform the flexible body portion of the analysis.

The following figures show the FE representation of the flexible Rod2 part and a representation of the entire model:

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.4. Performing the Rigid Body Analysis 		Up / Home Next
6.6. Using Component Mode Synthesis in the Multibody Analysis


6.6. Using Component Mode Synthesis in the Multibody Analysis

CMS a Powerful Tool

Using CMS for static and transient nonlinear analysis reduces problem size and minimizes CPU-resource requirements. You can convert parts of a model which exhibit linear behavior (such as Rod2 in this case) to a superelement using CMS with large rotation. You can restrict all geometric, contact, and material nonlinearity to those parts of the model which require nonlinear behavior.

For more information, see "Using Component Mode Synthesis Superelements in a Multibody Analysis" and "Component Mode Synthesis" in the Advanced Analysis Techniques Guide.

Using the flexible body created previously, create a component mode synthesis (CMS) model with large rotation. Using CMS for the multibody analysis consists of:

  1. Creating a superelement of the flexible body (generation pass).

  2. Using the superelement in the transient analysis (use pass).

  3. Recovering stress and displacement results for the entire model (expansion pass).

The results are similar to those of the flexible model, as shown:

To leverage the advantage of a CMS analysis for large rotation, define another part of the model, Rod1, as a flexible body. Define the other flexible part, Rod2, as a CMS part. The input file CrankSlot_FlexibleCMS.inp (available on the ANSYS distribution media) is used to perform the CMS portion of the analysis.

The CMS part Rod2 assumes linear behavior with large rotations, whereas the flexible part Rod1 retains all geometric and material nonlinearity in the model, as shown:

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.5. Performing the Flexible Body Analysis 		Up / Home Next
6.7. Using Joint Probes


6.7. Using Joint Probes

In addition to information about the displacement and stress in the structure, you can use the joint probes to obtain specific results information about the various joints in the model. Here the total force at a single joint is plotted as a function of time:

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.6. Using Component Mode Synthesis in the Multibody Analysis 		Up / Home Next
6.8. Comparing Processing Times


6.8. Comparing Processing Times

Comparison of the CPU times shows the advantage of using CMS even for a simple model such as the crank slot. The benefits of CMS for large-rotation and nonlinear analyses can multiply in cases involving larger and more complex models, especially those exhibiting more nonlinear behavior.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.7. Using Joint Probes 		Up / Home Next
6.9. Input Files Used in This Analysis


6.9. Input Files Used in This Analysis

The following ANSYS input files (available on the ANSYS distribution media) are used in the example analysis of the crank slot mechanism described in this section. The files were generated by the ANSYS Workbench product.

CrankSlot_Rigid.inp
CrankSlot_Flexible.inp
CrankSlot_FlexibleCMS.inp

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.8. Comparing Processing Times 		Up / Home Next
Chapter 7. Troubleshooting a Flexible Multibody Analysis


Chapter 7. Troubleshooting a Flexible Multibody Analysis

A successful flexible multibody simulation involves proper element selection, appropriate material behavior, and proper application of load and boundary conditions. To troubleshoot problems, debugging must occur at all levels of the analysis. Typical questions requiring answers include:

  • Is the choice of elements appropriate for this analysis? (For more information, see Element Choices for Flexible Bodies, Contact Element Choices for Defining a Rigid Body, and Connecting Multibody Components with Joint Elements.)

  • Does the chosen material model correctly represent the actual material behavior?

  • Are the loading and boundary conditions appropriately modeled?

  • Are overconstraint conditions causing convergence problems?

  • Do the problem's physics indicate global or local buckling issues that must be addressed?

Although other topics in this document provide guidelines for element selection, modeling, and solver options while setting up your multibody analysis, the following troubleshooting topics are available to help you achieve a successful multibody simulation:

  • Addressing Overconstraint Issues During Modeling
  • Resolving Overconstraint Problems

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.9. Input Files Used in This Analysis 		Up / Home Next
7.1. Addressing Overconstraint Issues During Modeling


7.1. Addressing Overconstraint Issues During Modeling

Careful Setup Is Essential

ANSYS cannot detect overconstraints automatically. You are responsible for ensuring that the model is not overconstrained. Overconstrained models most often result in nonconvergence of the solution with small solver pivot warnings, and in some cases may yield incorrect results. It is vital that you exercise care when setting up your multibody simulation model.

Overconstraint means that more constraints than necessary have been applied to the degrees of freedom (DOFs) at a node.

For example, the following conditions can result in overconstraints:

  • Imposing boundary conditions on the DOFs at a given node if they are constrained via the CE or CP command.

  • Contact modeling using the Lagrange multiplier method with improper boundary conditions on the contact nodes.

7.1.1. Overconstraints in Rigid Bodies

Overconstraints may arise when rigid bodies are joined together using multiple joint elements. The overconstraints can occur due to redundant joints performing the same function or contradictory motion resulting from improper use of joints connecting different bodies.

The following examples illustrate scenarios in which overconstraint conditions can occur.

7.1.1.1. Standard Four-Bar Mechanism

In this scenario, all components are rigid. The example shows how overconstraint can occur even in simple models.

Consider the standard 3-D four-bar mechanism shown here. (See Geradin and Cardona in Learning More About Multibody Dynamics.) The mechanism consists of four rigid links and four revolute joints.

Figure 7.1 Overconstrained System: Standard 3-D Four-Bar Mechanism

Solution: Replace three of the revolute joints with spherical joints.

With six DOFs available for each rigid body, the four rigid bodies yield a total of 6 * 4 = 24 DOFs. A revolute joint has only one free DOF and five constraints. Thus, the four revolute joints impose a total of 5 * 4 = 20 constraints. If one of the rigid links is fixed in space, then an additional six constraints are imposed. If a rotation is applied at one of the revolute joints (thereby adding one more constraint), the number of overconstraints is 24 - (20 + 6 + 1) = -3. As modeled, therefore, this mechanism is overconstrained.

In this case, you case resolve the overconstraints by replacing three of the revolute joints with spherical joints. Each spherical joint imposes only three constraints; after replacing the joint type, a DOF count indicates that the system is no longer overconstrained. While the overconstraint in this model can be resolved fairly easily, this is not a typical case. It is therefore vital that you exercise care when setting up your model. For more information, see Resolving Overconstraint Problems.

7.1.1.2. Redundant Rigid Bodies

This simple example illustrates overconstraints caused by redundant rigid components.

Figure 7.2 Overconstraint Due to Redundant Rigid Components

The figure shows a plate modeled with shell elements. A portion of the plate is made rigid by adding MPC184 Rigid Beam elements (represented by the thick lines in the figure). The addition of rigid beams AB and BC is redundant and leads to an overconstrained model.

In ANSYS, if the MPC184 Rigid Beam elements with direct elimination option are used to model this type of problem, the redundant constraints are eliminated automatically. However, if MPC184 Rigid Beam with the Lagrange multiplier option is used, the solution may not converge.

7.1.1.3. Redundant Boundary Conditions

Redundant boundary conditions can lead to overconstraint. In some cases, the multibody mechanism may actually end up as a “structure” with zero mobility if improper boundary conditions are applied.

In some cases involving MPC184 Rigid Beam elements with the direct elimination option (which is based on all DOFs at a node), redundant boundary conditions can result in an overconstrained system.

Consider a cylindrical tube with one end fixed and subjected to a bending moment at the other end. A quarter of the cylinder is modeled with appropriate symmetry and antisymmetry boundary conditions as shown in the following figure. MPC184 Rigid Beam elements with the direct elimination option connect all the nodes of the tube to a center point, and a moment is applied at the center node.

Figure 7.3 Overconstrained System: Cylindrical Tube Subjected to Bending at One End

Because of the symmetry and antisymmetry boundary conditions, the system of internal constraint equations generated due to the MPC184 Rigid Beam element results in an overconstrained system.

7.1.2. Overconstraints Caused by User-Defined Constraint Equations

User-defined constraint equations (created via the CE and CP commands) can conflict with the internal constraint equations generated for the rigid bodies using the contact MPC capability or the joint elements. ANSYS recommends avoiding user-defined CEs and/or CPs while performing a flexible multibody simulation.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 7. Troubleshooting a Flexible Multibody Analysis 		Up / Home Next
7.2. Resolving Overconstraint Problems


7.2. Resolving Overconstraint Problems

Overconstraint problems frequently arise in multibody system models containing rigid bodies. Overconstraints in the model can result in nonconvergence, slow convergence, solver small pivot messages, and in some cases an incorrect solution. Often, overconstraint problems are not readily identifiable. For example, even adding flexibility to the model may not completely resolve an overconstraint problem. It is therefore vital that you address overconstraint issues during the modeling phase if possible instead of trying to resolve overconstraint problems afterwards.

ANSYS does not resolve overconstraints automatically. To check for overconstraints, model the multibody mechanism as a rigid mechanism using a rigid body solver.

Following are some hints to help you resolve overconstraint problems:

  • Perform a DOF count in the mechanism. Various methods are available for evaluating the number of free DOFs in a given rigid body mechanism. See Learning More About Multibody Dynamics.

  • Know the number of constraints for each joint element. In some cases, replacing one type of joint with another may resolve an overconstraint issue. Check the number of constraints for a given joint and replace it with a simpler one if possible. For example, a revolute joint (which imposes five constraints) can possibly be replaced by a cylindrical joint (which imposes only four constraints). For more information, see Joint Element Types.

  • A translational joint fixes five DOFs while allowing motion in only one direction. You may be able to replace it with a slot joint which allows more free relative DOFs.

  • The local axes specified at the joint element nodes must be defined properly. Improper definitions result in unanticipated motion or constraints. For example, if you define the four-bar mechanism in Figure 7.1: "Overconstrained System: Standard 3-D Four-Bar Mechanism "in a plane other than one of the global Cartesian planes, verify that the joint coordinate systems for each joint align.

  • Perform a modal analysis to ensure that appropriate modes are present in the idealized model of the mechanism. Overconstraints can lead to modes that are not usually present in the actual system.

  • Use more flexible components in the model. Avoid models with only rigid bodies, which can lead to solver difficulties.

  • Avoid external (user-defined) constraint equations (CE and CP). They may conflict with those generated internally by ANSYS for contact with MPC and the joint elements.

  • Check the model for redundant boundary conditions.

  • Do not mix MPC184 Rigid Beam/Link and MPC184 Joint elements implemented using the Lagrange multiplier method with those implemented using the direct elimination method.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.1. Addressing Overconstraint Issues During Modeling 		Up / Home Next
Thermal Analysis Guide


Thermal Analysis Guide

Release 11.0 Documentation for ANSYS

Table of Contents

1. Analyzing Thermal Phenomena
1.1. How ANSYS Treats Thermal Modeling
1.1.1. Convection
1.1.2. Radiation
1.1.3. Special Effects
1.1.4. Far-Field Elements
1.2. Types of Thermal Analysis
1.3. Coupled-Field Analyses
1.4. About GUI Paths and Command Syntax
2. Steady-State Thermal Analysis
2.1. Available Elements for Thermal Analysis
2.2. Commands Used in Thermal Analyses
2.3. Tasks in a Thermal Analysis
2.4. Building the Model
2.4.1. Using the Surface Effect Elements
2.4.2. Creating Model Geometry
2.5. Applying Loads and Obtaining the Solution
2.5.1. Defining the Analysis Type
2.5.2. Applying Loads
2.5.3. Using Table and Function Boundary Conditions
2.5.4. Specifying Load Step Options
2.5.5. General Options
2.5.6. Nonlinear Options
2.5.7. Output Controls
2.5.8. Defining Analysis Options
2.5.9. Saving the Model
2.5.10. Solving the Model
2.6. Reviewing Analysis Results
2.6.1. Primary data
2.6.2. Derived data
2.6.3. Reading In Results
2.6.4. Reviewing Results
2.7. Example of a Steady-State Thermal Analysis (Command or Batch Method)
2.7.1. The Example Described
2.7.2. The Analysis Approach
2.7.3. Commands for Building and Solving the Model
2.8. Performing a Steady-State Thermal Analysis (GUI Method)
2.9. Performing a Thermal Analysis Using Tabular Boundary Conditions
2.9.1. Running the Sample Problem via Commands
2.9.2. Running the Sample Problem Interactively
2.10. Where to Find Other Examples of Thermal Analysis
3. Transient Thermal Analysis
3.1. Elements and Commands Used in Transient Thermal Analysis
3.2. Tasks in a Transient Thermal Analysis
3.3. Building the Model
3.4. Applying Loads and Obtaining a Solution
3.4.1. Defining the Analysis Type
3.4.2. Establishing Initial Conditions for Your Analysis
3.4.3. Specifying Load Step Options
3.4.4. Nonlinear Options
3.4.5. Output Controls
3.5. Saving the Model
3.5.1. Solving the Model
3.6. Reviewing Analysis Results
3.6.1. How to Review Results
3.6.2. Reviewing Results with the General Postprocessor
3.6.3. Reviewing Results with the Time History Postprocessor
3.7. Reviewing Results as Graphics or Tables
3.7.1. Reviewing Contour Displays
3.7.2. Reviewing Vector Displays
3.7.3. Reviewing Table Listings
3.8. Phase Change
3.9. Example of a Transient Thermal Analysis
3.9.1. The Example Described
3.9.2. Example Material Property Values
3.9.3. Example of a Transient Thermal Analysis (GUI Method)
3.9.4. Commands for Building and Solving the Model
3.10. Where to Find Other Examples of Transient Thermal Analysis
4. Radiation
4.1. Analyzing Radiation Problems
4.2. Definitions
4.3. Using LINK31, the Radiation Link Element
4.4. Modeling Radiation Between a Surface and a Point
4.5. Using the AUX12 Radiation Matrix Method
4.5.1. Procedure
4.5.2. Recommendations for Using Space Nodes
4.5.3. General Guidelines for the AUX12 Radiation Matrix Method
4.6. Using the Radiosity Solver Method
4.6.1. Procedure
4.6.2. Further Options for Static Analysis
4.7. Advanced Radiosity Options
4.8. Example of a 2-D Radiation Analysis Using the Radiosity Method (Command Method)
4.8.1. The Example Described
4.8.2. Commands for Building and Solving the Model
4.9. Example of a 2-D Radiation Analysis Using the Radiosity Method with Decimation and Symmetry (Command Method)
4.9.1. The Example Described
4.9.2. Commands for Building and Solving the Model

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.2. Resolving Overconstraint Problems 		Up / Home Next
Chapter 1. Analyzing Thermal Phenomena


Chapter 1. Analyzing Thermal Phenomena

A thermal analysis calculates the temperature distribution and related thermal quantities in a system or component. Typical thermal quantities of interest are:

  • The temperature distributions

  • The amount of heat lost or gained

  • Thermal gradients

  • Thermal fluxes.

Thermal simulations play an important role in the design of many engineering applications, including internal combustion engines, turbines, heat exchangers, piping systems, and electronic components. In many cases, engineers follow a thermal analysis with a stress analysis to calculate thermal stresses (that is, stresses caused by thermal expansions or contractions).

The following thermal analysis topics are available:

  • How ANSYS Treats Thermal Modeling
  • Types of Thermal Analysis
  • Coupled-Field Analyses
  • About GUI Paths and Command Syntax

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Thermal Analysis Guide 		Up / Home Next
1.1. How ANSYS Treats Thermal Modeling


1.1. How ANSYS Treats Thermal Modeling

Only the ANSYS Multiphysics, ANSYS Mechanical, ANSYS Professional, and ANSYS FLOTRAN programs support thermal analyses.

The basis for thermal analysis in ANSYS is a heat balance equation obtained from the principle of conservation of energy. (For details, consult the Theory Reference for ANSYS and ANSYS Workbench.) The finite element solution you perform via ANSYS calculates nodal temperatures, then uses the nodal temperatures to obtain other thermal quantities.

The ANSYS program handles all three primary modes of heat transfer: conduction, convection, and radiation.

1.1.1. Convection

You specify convection as a surface load on conducting solid elements or shell elements. You specify the convection film coefficient and the bulk fluid temperature at a surface; ANSYS then calculates the appropriate heat transfer across that surface. If the film coefficient depends upon temperature, you specify a table of temperatures along with the corresponding values of film coefficient at each temperature.

For use in finite element models with conducting bar elements (which do not allow a convection surface load), or in cases where the bulk fluid temperature is not known in advance, ANSYS offers a convection element named LINK34. In addition, you can use the FLOTRAN CFD elements to simulate details of the convection process, such as fluid velocities, local values of film coefficient and heat flux, and temperature distributions in both fluid and solid regions.

1.1.2. Radiation

ANSYS can solve radiation problems, which are nonlinear, in four ways:

  • By using the radiation link element, LINK31

  • By using surface effect elements with the radiation option (SURF151 in 2-D modeling or SURF152 in 3-D modeling)

  • By generating a radiation matrix in AUX12 and using it as a superelement in a thermal analysis.

  • By using the Radiosity Solver method.

For detailed information on these methods, see "Radiation".

1.1.3. Special Effects

In addition to the three modes of heat transfer, you can account for special effects such as change of phase (melting or freezing) and internal heat generation (due to Joule heating, for example). For instance, you can use the thermal mass element MASS71 to specify temperature-dependent heat generation rates.

1.1.4. Far-Field Elements

Far-field elements allow you to model the effects of far-field decay without having to specify assumed boundary conditions at the exterior of the model. A single layer of elements is used to represent an exterior sub-domain of semi-infinite extent. For more information, see Far-Field Elements in the Low-Frequency Electromagnetic Analysis Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 1. Analyzing Thermal Phenomena 		Up / Home Next
1.2. Types of Thermal Analysis


1.2. Types of Thermal Analysis

ANSYS supports two types of thermal analysis:

  1. A steady-state thermal analysis determines the temperature distribution and other thermal quantities under steady-state loading conditions. A steady-state loading condition is a situation where heat storage effects varying over a period of time can be ignored.

  2. A transient thermal analysis determines the temperature distribution and other thermal quantities under conditions that vary over a period of time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.1. How ANSYS Treats Thermal Modeling 		Up / Home Next
1.3. Coupled-Field Analyses


1.3. Coupled-Field Analyses

Some types of coupled-field analyses, such as thermal-structural and magnetic-thermal analyses, can represent thermal effects coupled with other phenomena. A coupled-field analysis can use matrix-coupled ANSYS elements, or sequential load-vector coupling between separate simulations of each phenomenon. For more information on coupled-field analysis, see the Coupled-Field Analysis Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.2. Types of Thermal Analysis 		Up / Home Next
1.4. About GUI Paths and Command Syntax


1.4. About GUI Paths and Command Syntax

Throughout this document, you will see references to ANSYS commands and their equivalent GUI paths. Such references use only the command name, because you do not always need to specify all of a command's arguments, and specific combinations of command arguments perform different functions. For complete syntax descriptions of ANSYS commands, consult the Commands Reference.

The GUI paths shown are as complete as possible. In many cases, choosing the GUI path as shown will perform the function you want. In other cases, choosing the GUI path given in this document takes you to a menu or dialog box; from there, you must choose additional options that are appropriate for the specific task being performed.

For all types of analyses described in this guide, specify the material you will be simulating using an intuitive material model interface. This interface uses a hierarchical tree structure of material categories, which is intended to assist you in choosing the appropriate model for your analysis. See Material Model Interface in the Basic Analysis Guide for details on the material model interface.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.3. Coupled-Field Analyses 		Up / Home Next
Chapter 2. Steady-State Thermal Analysis


Chapter 2. Steady-State Thermal Analysis

The ANSYS Multiphysics, ANSYS Mechanical, ANSYS FLOTRAN, and ANSYS Professional products support steady-state thermal analysis. A steady-state thermal analysis calculates the effects of steady thermal loads on a system or component. Engineer/analysts often perform a steady-state analysis before performing a transient thermal analysis, to help establish initial conditions. A steady-state analysis also can be the last step of a transient thermal analysis, performed after all transient effects have diminished.

You can use steady-state thermal analysis to determine temperatures, thermal gradients, heat flow rates, and heat fluxes in an object that are caused by thermal loads that do not vary over time. Such loads include the following:

  • Convections

  • Radiation

  • Heat flow rates

  • Heat fluxes (heat flow per unit area)

  • Heat generation rates (heat flow per unit volume)

  • Constant temperature boundaries

A steady-state thermal analysis may be either linear, with constant material properties; or nonlinear, with material properties that depend on temperature. The thermal properties of most material do vary with temperature, so the analysis usually is nonlinear. Including radiation effects also makes the analysis nonlinear.

The following steady-state thermal analysis topics are available:

  • Available Elements for Thermal Analysis
  • Commands Used in Thermal Analyses
  • Tasks in a Thermal Analysis
  • Building the Model
  • Applying Loads and Obtaining the Solution
  • Reviewing Analysis Results
  • Example of a Steady-State Thermal Analysis (Command or Batch Method)
  • Performing a Steady-State Thermal Analysis (GUI Method)
  • Performing a Thermal Analysis Using Tabular Boundary Conditions
  • Where to Find Other Examples of Thermal Analysis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.4. About GUI Paths and Command Syntax 		Up / Home Next
2.1. Available Elements for Thermal Analysis


2.1. Available Elements for Thermal Analysis

The ANSYS and ANSYS Professional programs include about 40 elements (described below) to help you perform steady-state thermal analyses.

For detailed information about the elements, consult the Elements Reference. That manual organizes element descriptions in numeric order, starting with element LINK1.

Element names are shown in uppercase. All elements apply to both steady-state and transient thermal analyses. SOLID70 also can compensate for mass transport heat flow from a constant velocity field.

Table 2.1 2-D Solid Elements

Element | Dimens. | Shape or Characteristic | DOFs
PLANE35 | 2-D | Triangle, 6-node | Temperature (at each node)
PLANE55 | 2-D | Quadrilateral, 4-node | Temperature (at each node)
PLANE75 | 2-D | Harmonic, 4-node | Temperature (at each node)
PLANE77 | 2-D | Quadrilateral, 8-node | Temperature (at each node)
PLANE78 | 2-D | Harmonic, 8-node | Temperature (at each node)

Table 2.2 3-D Solid Elements

Element | Dimens. | Shape or Characteristic | DOFs
SOLID70 | 3-D | Brick, 8-node | Temperature (at each node)
SOLID87 | 3-D | Tetrahedron, 10-node | Temperature (at each node)
SOLID90 | 3-D | Brick, 20-node | Temperature (at each node)

Table 2.3 Radiation Link Elements

Element | Dimens. | Shape or Characteristic | DOFs
LINK31 | 2-D or 3-D | Line, 2-node | Temperature (at each node)

Table 2.4 Conducting Bar Elements

Element | Dimens. | Shape or Characteristic | DOFs
LINK32 | 2-D | Line, 2-node | Temperature (at each node)
LINK33 | 3-D | Line, 2-node | Temperature (at each node)

Table 2.5 Convection Link Elements

Element | Dimens. | Shape or Characteristic | DOFs
LINK34 | 3-D | Line, 2-node | Temperature (at each node)

Table 2.6 Shell Elements

Element | Dimens. | Shape or Characteristic | DOFs
SHELL57 | 3-D | Quadrilateral, 4-node | Temperature (at each node)
SHELL131 | 3-D | Quadrilateral, 4-node | Multiple temperatures (at each node)
SHELL132 | 3-D | Quadrilateral, 8-node | Multiple temperatures (at each node)

Table 2.7 Coupled-Field Elements

Element | Dimens. | Shape or Characteristic | DOFs
PLANE13 | 2-D | Thermal-structural, 4-node | Temperature, structural displacement, electric potential, magnetic vector potential
FLUID116 | 3-D | Thermal-fluid, 2-node or 4-node | Temperature, pressure
SOLID5 | 3-D | Thermal-structural and thermal-electric, 8-node | Temperature, structural displacement, electric potential, and magnetic scalar potential
SOLID98 | 3-D | Thermal-structural and thermal-electric, 10-node | Temperature, structural displacement, electric potential, magnetic vector potential
PLANE67 | 2-D | Thermal-electric, 4-node | Temperature, electric potential
LINK68 | 3-D | Thermal-electric, 2-node | Temperature, electric potential
SOLID69 | 3-D | Thermal-electric, 8-node | Temperature, electric potential
SHELL157 | 3-D | Thermal-electric, 4-node | Temperature, electric potential
TARGE169 | 2-D | Target segment element | Temperature, structural displacement, electric potential
TARGE170 | 3-D | Target segment element | Temperature, structural displacement, electric potential
CONTA171 | 2-D | Surface-to-surface contact element, 2-node | Temperature, structural displacement, electric potential
CONTA172 | 2-D | Surface-to-surface contact element, 3-node | Temperature, structural displacement, electric potential
CONTA173 | 3-D | Surface-to-surface contact element, 4-node | Temperature, structural displacement, electric potential
CONTA174 | 3-D | Surface-to-surface contact element, 8-node | Temperature, structural displacement, electric potential
CONTA175 | 2-D/3-D | Node-to-surface contact element, 1 node | Temperature, structural displacement, electric potential
PLANE223 | 2-D | Thermal-structural, thermal-electric, structural-thermoelectric, and thermal-piezoelectric, 8-node | Temperature, structural displacement, electric potential
SOLID226 | 3-D | Thermal-structural, thermal-electric, structural-thermoelectric, and thermal-piezoelectric, 20-node | Temperature, structural displacement, electric potential
SOLID227 | 3-D | Thermal-structural, thermal-electric, structural-thermoelectric, and thermal-piezoelectric, 10-node | Temperature, structural displacement, electric potential

Table 2.8 Specialty Elements

Element | Dimens. | Shape or Characteristic | DOFs
MASS71 | 1-D, 2-D, or 3-D | Mass, one-node | Temperature
COMBIN37 | 1-D | Control element, 4-node | Temperature, structural displacement, rotation, pressure
SURF151 | 2-D | Surface effect element, 2-node to 4-node | Temperature
SURF152 | 3-D | Surface effect element, 4-node to 9-node | Temperature
MATRIX50 | [1] | Matrix or radiation matrix element, no fixed geometry | [1]
INFIN9 [2 ] | 2-D | Infinite boundary, 2-node | Temperature, magnetic vector potential
INFIN47 [2 ] | 3-D | Infinite boundary, 4-node | Temperature, magnetic vector potential
INFIN110 [2 ] | 2-D | Infinite boundary, 4 or 8 nodes | Temperature, magnetic vector potential, electric potential
INFIN111 [2 ] | 3-D | Infinite boundary, 8 or 20 nodes | Temperature, magnetic scalar potential, magnetic vector potential, electric potential
COMBIN14 | 1-D, 2-D, or 3-D | Combination element, 2-node | Temperature, structural displacement, rotation, pressure
COMBIN39 | 1-D | Combination element, 2-node | Temperature, structural displacement, rotation, pressure
COMBIN40 | 1-D | Combination element, 2-node | Temperature, structural displacement, rotation, pressure

  1. As determined from the element types included in this superelement.

  2. For information on modeling the effects of far-field decay, see Far-Field Elements in the Low-Frequency Electromagnetic Analysis Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 2. Steady-State Thermal Analysis 		Up / Home Next
2.2. Commands Used in Thermal Analyses


2.2. Commands Used in Thermal Analyses

Example of a Steady-State Thermal Analysis (Command or Batch Method) and Performing a Steady-State Thermal Analysis (GUI Method) show you how to perform an example steady-state thermal analysis via command and via GUI, respectively.

For detailed, alphabetized descriptions of the ANSYS commands, see the Commands Reference.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.1. Available Elements for Thermal Analysis 		Up / Home Next
2.3. Tasks in a Thermal Analysis


2.3. Tasks in a Thermal Analysis

The procedure for performing a thermal analysis involves three main tasks:

  • Build the model.

  • Apply loads and obtain the solution.

  • Review the results.

The next few topics discuss what you must do to perform these steps. First, the text presents a general description of the tasks required to complete each step. An example follows, based on an actual steady-state thermal analysis of a pipe junction. The example walks you through doing the analysis by choosing items from ANSYS GUI menus, then shows you how to perform the same analysis using ANSYS commands.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.2. Commands Used in Thermal Analyses 		Up / Home Next
2.4. Building the Model


2.4. Building the Model

To build the model, you specify the jobname and a title for your analysis. Then, you use the ANSYS preprocessor (PREP7) to define the element types, element real constants, material properties, and the model geometry. (These tasks are common to most analyses. The Modeling and Meshing Guide explains them in detail.)

For a thermal analysis, you also need to keep these points in mind:

  • To specify element types, you use either of the following:

    Command(s): ET
    GUI: Main Menu> Preprocessor> Element Type> Add/Edit/Delete

  • To define constant material properties, use either of the following:

    Command(s): MP
    GUI: Main Menu> Preprocessor> Material Props> Material Models> Thermal

    The material properties can be input as numerical values or as table inputs for some elements. Tabular material properties are calculated before the first iteration (i.e., using initial values [IC]). See the MP command for more information on which elements can use tabular material properties.

  • To define temperature-dependent properties, you first need to define a table of temperatures. Then, define corresponding material property values. To define the temperatures table, use either of the following:

    Command(s): MPTEMP or
    MPTGEN, and to define corresponding material property values, use
    MPDATA.
    GUI: Main Menu> Preprocessor> Material Props> Material Models> Thermal

Use the same GUI menu choices or the same commands to define temperature-dependent film coefficients (HF) for convection.

Caution

If you specify temperature-dependent film coefficients (HF) in polynomial form, you should specify a temperature table before you define other materials having constant properties.

2.4.1. Using the Surface Effect Elements

You can use the surface effect elements (SURF151, SURF152) to apply heat transfer for convection/radiation effects on a finite element mesh. The surface effect elements also allow you to generate film coefficients and bulk temperatures from FLUID116 elements and to model radiation to a point. You can also transfer external loads (such as from CFX) to ANSYS using these elements.

The guidelines for using surface effect elements follow:

  1. Create and mesh the thermal region as described above.

  2. Use ESURF to generate the SURF151 or SURF152 elements on the surfaces of the finite element mesh.

    Note

    For SHELL131 and SHELL132 models: you must use SURF152. Set KEYOPT(11) = 1 for the top and KEYOPT(11) = 2 for the bottom layer.

    For FLUID116 models: The SURF152 elements can use the extra node option (KEYOPT(5) =1, KEYOPT(6) = 0) to get the bulk temperature from a FLUID116 element (KEYOPT(2) = 1).

  3. Solve.

For information in using surface effect elements to model radiation to a point, see Modeling Radiation Between a Surface and a Point.

For information on transferring external loads from CFX to ANSYS, see the ANSYS CFX-Post help, or the Coupled-Field Analysis Guide.

2.4.2. Creating Model Geometry

There is no single procedure for building model geometry; the tasks you must perform to create it vary greatly, depending on the size and shape of the structure you wish to model. Therefore, the next few paragraphs provide only a generic overview of the tasks typically required to build model geometry. For more detailed information about modeling and meshing procedures and techniques, see the Modeling and Meshing Guide.

The first step in creating geometry is to build a solid model of the item you are analyzing. You can use either predefined geometric shapes such as circles and rectangles (known within ANSYS as primitives), or you can manually define nodes and elements for your model. The 2-D primitives are called areas, and 3-D primitives are called volumes.

Model dimensions are based on a global coordinate system. By default, the global coordinate system is Cartesian, with X, Y, and Z axes; however, you can choose a different coordinate system if you wish. Modeling also uses a working plane - a movable reference plane used to locate and orient modeling entities. You can turn on the working plane grid to serve as a "drawing tablet" for your model.

You can tie together, or sculpt, the modeling entities you create via Boolean operations, For example, you can add two areas together to create a new, single area that includes all parts of the original areas. Similarly, you can overlay an area with a second area, then subtract the second area from the first; doing so creates a new, single area with the overlapping portion of area 2 removed from area 1.

Once you finish building your solid model, you use meshing to "fill" the model with nodes and elements. For more information about meshing, see the Modeling and Meshing Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.3. Tasks in a Thermal Analysis 		Up / Home Next
2.5. Applying Loads and Obtaining the Solution


2.5. Applying Loads and Obtaining the Solution

You must define the analysis type and options, apply loads to the model, specify load step options, and initiate the finite element solution.

2.5.1. Defining the Analysis Type

During this phase of the analysis, you must first define the analysis type:

  • In the GUI, choose menu path Main Menu Solution> Analysis Type> New Analysis> Steady-state (static).

  • If this is a new analysis, issue the command ANTYPE,STATIC,NEW.

  • If you want to restart a previous analysis (for example, to specify additional loads), issue the command ANTYPE,STATIC,REST. You can restart an analysis only if the files Jobname.ESAV and Jobname.DB from the previous run are available. If your prior run was solved with VT Accelerator (STAOPT,VT), you will also need the Jobname.RSX file. You can also do a multiframe restart.

2.5.2. Applying Loads

You can apply loads either on the solid model (keypoints, lines, and areas) or on the finite element model (nodes and elements). You can specify loads using the conventional method of applying a single load individually to the appropriate entity, or you can apply complex boundary conditions as tabular boundary conditions (see Applying Loads Using TABLE Type Array Parameters in the Basic Analysis Guide) or as function boundary conditions (see Applying Loads Using Function Boundary Conditions).

You can specify five types of thermal loads:

2.5.2.1. Constant Temperatures (TEMP)

These are DOF constraints usually specified at model boundaries to impose a known, fixed temperature. For SHELL131 and SHELL132 elements with KEYOPT(3) = 0 or 1, use the labels TBOT, TE2, TE3, . . ., TTOP instead of TEMP when defining DOF constraints.

2.5.2.2. Heat Flow Rate (HEAT)

These are concentrated nodal loads. Use them mainly in line-element models (conducting bars, convection links, etc.) where you cannot specify convections and heat fluxes. A positive value of heat flow rate indicates heat flowing into the node (that is, the element gains heat). If both TEMP and HEAT are specified at a node, the temperature constraint prevails. For SHELL131 and SHELL132 elements with KEYOPT(3) = 0 or 1, use the labels HBOT, HE2, HE3, . . ., HTOP instead of HEAT when defining nodal loads.

Note

If you use nodal heat flow rate for solid elements, you should refine the mesh around the point where you apply the heat flow rate as a load, especially if the elements containing the node where the load is applied have widely different thermal conductivities. Otherwise, you may get an non-physical range of temperature. Whenever possible, use the alternative option of using the heat generation rate load or the heat flux rate load. These options are more accurate, even for a reasonably coarse mesh.

2.5.2.3. Convections (CONV)

Convections are surface loads applied on exterior surfaces of the model to account for heat lost to (or gained from) a surrounding fluid medium. They are available only for solids and shells. In line-element models, you can specify convections through the convection link element (LINK34).

You can use the surface effect elements (SURF151, SURF152) to analyze heat transfer for convection/radiation effects. The surface effect elements allow you to generate film coefficient calculations and bulk temperatures from FLUID116 elements and to model radiation to a point. You can also transfer external loads (such as from CFX) to ANSYS using these elements.

2.5.2.4. Heat Fluxes (HFLUX)

Heat fluxes are also surface loads. Use them when the amount of heat transfer across a surface (heat flow rate per area) is known, or is calculated through a FLOTRAN CFD analysis. A positive value of heat flux indicates heat flowing into the element. Heat flux is used only with solids and shells. An element face may have either CONV or HFLUX (but not both) specified as a surface load. If you specify both on the same element face, ANSYS uses what was specified last.

2.5.2.5. Heat Generation Rates (HGEN)

You apply heat generation rates as "body loads" to represent heat generated within an element, for example by a chemical reaction or an electric current. Heat generation rates have units of heat flow rate per unit volume.

Table 2.9: "Thermal Analysis Load Types" below summarizes the types of thermal analysis loads.

Table 2.9 Thermal Analysis Load Types

Load Type | Category | Cmd Family | GUI Path
Temperature (TEMP, TBOT, TE2, TE3, . . . TTOP) | Constraints | D | Main Menu> Solution> Define Loads> Apply> Thermal> Temperature
Heat Flow Rate (HEAT, HBOT, HE2, HE3, . . . HTOP) | Forces | F | Main Menu> Solution> Define Loads> Apply> Thermal> Heat Flow

Convection (CONV),
Heat Flux (HFLUX)

Surface Loads SF
Main Menu> Solution> Define Loads> Apply> Thermal> Convection
Main Menu> Solution> Define Loads> Apply> Thermal> Heat Flux
Heat Generation Rate (HGEN) | Body Loads | BF | Main Menu> Solution> Define Loads> Apply> Thermal> Heat Generat

Table 2.10: "Load Commands for a Thermal Analysis" lists all the commands you can use to apply, remove, operate on, or list loads in a thermal analysis.

Table 2.10 Load Commands for a Thermal Analysis

Load Type | Solid or FE Model | Entity | Apply | Delete | List | Operate | Settings
Temperature | Solid Model | Keypoints | DK | DKDELE | DKLIST | DTRAN | -
" | Finite Element | Nodes | D | DDELE | DLIST | DSCALE | DCUM, TUNIF
Heat Flow Rate | Solid Model | Keypoints | FK | FKDELE | FKLIST | FTRAN | -
" | Finite Element | Nodes | F | FDELE | FLIST | FSCALE | FCUM
Convection, Heat Flux | Solid Model | Lines | SFL | SFLDELE | SFLLIST | SFTRAN | SFGRAD
" | Solid Model | Areas | SFA | SFADELE | SFALIST | SFTRAN | SFGRAD
" | Finite Element | Nodes | SF | SFDELE | SFLIST | SFSCALE | SFGRAD, SFCUM
" | Finite Element | Elements | SFE | SFEDELE | SFELIST | SFSCALE | SFBEAM, SFCUM, SFFUN, SFGRAD
Heat Generation Rate | Solid Model | Keypoints | BFK | BFKDELE | BFKLIST | BFTRAN | -
" | Solid Model | Lines | BFL | BFLDELE | BFLLIST | BFTRAN | -
" | Solid Model | Areas | BFA | BFADELE | BFALIST | BFTRAN | -
" | Solid Model | Volumes | BFV | BFVDELE | BFVLIST | BFTRAN | -
" | Finite Element | Nodes | BF | BFDELE | BFLIST | BFSCALE | BFCUM
" | " | Elements | BFE | BFEDELE | BFELIST | BFSCALE | BFCUM

You access all loading operations (except List; see below) through a series of cascading menus. From the Solution Menu, you choose the operation (apply, delete, etc.), then the load type (temperature, etc.), and finally the object to which you are applying the load (keypoint, node, etc.).

For example, to apply a temperature load to a keypoint, follow this GUI path:

GUI:

Main Menu> Solution> Define Loads> Apply> Thermal> Temperature> On Keypoints

2.5.3. Using Table and Function Boundary Conditions

In addition to the general rules for applying tabular boundary conditions, some details are information is specific to thermal analyses. This information is explained in this section. For detailed information on defining table array parameters (both interactively and via command), see the ANSYS Parametric Design Language Guide.

There are no restrictions on element types.

Table 2.11: "Boundary Condition Type and Corresponding Primary Variable" lists the primary variables that can be used with each type of boundary condition in a thermal analysis.

Table 2.11 Boundary Condition Type and Corresponding Primary Variable

Thermal Boundary Condition | Cmd. Family | Primary Variable
Fixed Temperature | D | TIME, X, Y, Z
Heat Flow | F | TIME, X, Y, Z, TEMP
Film Coefficient (Convection) | SF | TIME, X, Y, Z, TEMP, VELOCITY
Bulk Temperature (Convections) | SF | TIME, X, Y, Z
Heat Flux | SF | TIME, X, Y, Z, TEMP
Heat Generation | BF | TIME, X, Y, Z, TEMP
Fluid Element (FLUID116 ) Boundary Condition
Flow Rate | SFE | TIME
Pressure | D | TIME, X, Y, Z

If you apply tabular loads as a function of temperature but the rest of the model is linear (e.g., includes no temperature-dependent material properties or radiation ), you should turn on Newton-Raphson iterations (NROPT,FULL) to evaluate the temperature-dependent tabular boundary conditions correctly.

An example of how to run a steady-state thermal analysis using tabular boundary conditions is described in Performing a Thermal Analysis Using Tabular Boundary Conditions.

For more flexibility defining arbitrary heat transfer coefficients, use function boundary conditions. For detailed information on defining functions and applying them as loads, see Applying Loads Using Function Boundary Conditions in the Basic Analysis Guide. Additional primary variables that are available using functions are listed below.

  • Tsurf (TS) (element surface temperature for SURF151 or SURF152 elements)

  • Density (material property DENS)

  • Specific heat (material property C)

  • Thermal conductivity (material property KXX)

  • Thermal conductivity (material property KYY)

  • Thermal conductivity (material property KZZ)

  • Viscosity (material property VISC)

  • Emissivity (material property EMIS)

2.5.4. Specifying Load Step Options

For a thermal analysis, you can specify general options, nonlinear options, and output controls.

Table 2.12 Specifying Load Step Options

Option | Command | GUI Path
General Options
Time | TIME | Main Menu> Solution> Load Step Opts> Time/Frequenc> Time-Time Step
Number of Time Steps | NSUBST | Main Menu> Solution> Load Step Opts> Time/Frequenc> Time and Substps
Time Step Size | DELTIM | Main Menu> Solution> Load Step Opts> Time/Frequenc> Time-Time Step
Stepped or Ramped Loads | KBC | Main Menu> Solution> Load Step Opts> Time/Frequenc> Time-Time Step
Nonlinear Options
Max. No. of Equilibrium Iterations | NEQIT | Main Menu> Solution> Load Step Opts> Nonlinear> Equilibrium Iter
Automatic Time Stepping | AUTOTS | Main Menu> Solution> Load Step Opts> Time/Frequenc> Time-Time Step
Convergence Tolerances | CNVTOL | Main Menu> Solution> Load Step Opts> Nonlinear> Convergence Crit
Solution Termination Options | NCNV | Main Menu> Solution> Load Step Opts> Nonlinear> Criteria to Stop
Line Search Option | LNSRCH | Main Menu> Solution> Load Step Opts> Nonlinear> Line Search
Predictor-Corrector Option | PRED | Main Menu> Solution> Load Step Opts> Nonlinear> Predictor
Output Control Options
Printed Output | OUTPR | Main Menu> Solution> Load Step Opts> Output Ctrls> Solu Printout
Database and Results File Output | OUTRES | Main Menu> Solution> Load Step Opts> Output Ctrls> DB/Results File
Extrapolation of Results | ERESX | Main Menu> Solution> Load Step Opts> Output Ctrls> Integration Pt

2.5.5. General Options

General options include the following:

  • The TIME option.

    This option specifies time at the end of the load step. Although time has no physical meaning in a steady-state analysis, it provides a convenient way to refer to load steps and substeps.

    The default time value is 1.0 for the first load step and 1.0 plus the previous time for subsequent load steps.

  • The number of substeps per load step, or the time step size.

    A nonlinear analysis requires multiple substeps within each load step. By default, the program uses one substep per load step.

  • Stepped or ramped loads.

    If you apply stepped loads, the load value remains constant for the entire load step.

    If you ramp loads (the default), the load values increment linearly at each substep of the load step.

  • Monitor Results in Real Time

    The NLHIST command allows you to monitor results of interest in real time during a solution. Before starting the solution, you can request nodal data such as temperatures or heat flows. You can also request element nodal data such as thermal gradients and fluxes at specific elements to be graphed. The result data are written to a file named Jobname.nlh. Nodal results and contact results are monitored at every converged substep while element nodal data are written as specified via the OUTRES setting. You can also track results during batch runs. To execute, either:

    • Access the ANSYS Launcher and select File Tracking from the Tools menu.

      Or...

    • Type nlhist110 in the command line.

    Use the supplied file browser to navigate to your Jobname.nlh file, and click on it to invoke the tracking utility. You can use this utility to read the file at any time, even after the solution is complete.

    To use this option, use either of these methods:

    Command(s): NLHIST
    GUI: Main Menu> Solution> Results Tracking

2.5.6. Nonlinear Options

Specify nonlinear load step options if nonlinearities are present. Nonlinear options include the following:

  • Number of equilibrium iterations.

    This option specifies the maximum allowable number of equilibrium iterations per substep. The default value of 25 should be enough for most nonlinear thermal analyses.

  • Automatic time stepping.

    For nonlinear problems, automatic time stepping determines the amount of load increment between substeps, to maintain solution stability and accuracy.

  • Convergence tolerances.

    ANSYS considers a nonlinear solution to be converged whenever specified convergence criteria are met. Convergence checking may be based on temperatures, heat flow rates, or both. You specify a typical value for the desired item (VALUE field in the CNVTOL command) and a tolerance about the typical value (TOLER field). The convergence criterion is then given by VALUE x TOLER. For instance, if you specify 500 as the typical value of temperature and 0.001 as the tolerance, the convergence criterion for temperature is 0.5 degrees.

    For temperatures, ANSYS compares the change in nodal temperatures between successive equilibrium iterations ( ΔT = Ti -Ti-1) to the convergence criterion. Using the above example, the solution is converged when the temperature difference at every node from one iteration to the next is less than 0.5 degrees.

    For heat flow rates, ANSYS compares the out-of-balance load vector to the convergence criterion. The out-of-balance load vector represents the difference between the applied heat flows and the internal (calculated) heat flows.

  • Termination settings for unconverged solutions.

    If ANSYS cannot converge the solution within the specified number of equilibrium iterations, ANSYS either stops the solution or moves on to the next load step, depending on what you specify as the stopping criteria.

  • Line search.

    This option enables ANSYS to perform a line search with the Newton-Raphson method.

  • Predictor-corrector option.

    This option activates the predictor-corrector option for the degree of freedom solution at the first equilibrium iteration of each substep.

2.5.6.1. Tracking Convergence Graphically

As a nonlinear thermal analysis proceeds, ANSYS computes convergence norms with corresponding convergence criteria each equilibrium iteration. Available in both batch and interactive sessions, the Graphical Solution Tracking (GST) feature displays the computed convergence norms and criteria while the solution is in process. By default, GST is ON for interactive sessions and OFF for batch runs. To turn GST on or off, use either of the following:

Command(s): | /GST
GUI: | Main Menu> Solution> Load Step Opts> Output Ctrls> Grph Solu Track

Figure 2.1: "Convergence Norms" below shows a typical GST display.

Figure 2.1 Convergence Norms

Displayed by the Graphical Solution Tracking (GST) Feature

2.5.7. Output Controls

The third class of load step options enables you to control output. The options are as follows:

  • Control printed output.

    This option enables you to include any results data in the printed output file (Jobname.OUT).

  • Control database and results file output

    This option controls what data ANSYS writes to the results file (Jobname.RTH).

  • Extrapolate results.

    Use this option to review element integration point results by copying them to the nodes instead of extrapolating them. (Extrapolation is the default.)

2.5.8. Defining Analysis Options

Next, you define the analysis options. Possible options include:

  • The Newton-Raphson option (used only in nonlinear analyses). This option specifies how often the tangent matrix is updated during solution. You can specify one of these values:

    • Program-chosen (default; recommended for thermal analysis)

    • Full

    • Modified

    • Initial conductivity

    Note

    For single-field nonlinear thermal analysis, ANSYS will always use the full Newton-Raphson algorithm.

    To use this option, or to turn Newton-Raphson adaptive descent on or off (valid only for the full Newton-Raphson option), use either of these methods:

    Command(s): NROPT
    GUI: Main Menu> Solution> Analysis Type> Analysis Options

  • VT Accelerator (Variational Technology Accelerator) (used only in nonlinear analyses). This option selects an advanced predictor-corrector algorithm to reduce the overall number of iterations. Note that this option requires an HPC license.

    Command(s): STAOPT
    GUI: Main Menu> Solution> Analysis Type> Analysis Options

  • Select an equation solver. You can specify any of these values:

    • Sparse solver (default for static and full transient analyses)

    • Frontal solver

    • Jacobi Conjugate Gradient (JCG) solver

    • JCG out-of-memory solver

    • Incomplete Cholesky Conjugate Gradient (ICCG) solver

    • Preconditioned Conjugate Gradient solver (PCG)

    • PCG out-of-memory solver

    • Algebraic Multigrid (AMG) solver

    • Iterative (automatic solver selection option)

    Note

    The AMG solver is part of ANSYS Mechanical HPC, which is a separately-licensed product. See "Using Shared-Memory ANSYS" in the Advanced Analysis Techniques Guide for more information about using the AMG solver.

    To select an equation solver, use either of the following:

    Command(s): EQSLV
    GUI: Main Menu> Solution> Analysis Type> Analysis Options

    Note

    You can use the Iterative (Fast Solution) option for any thermal element except superelements (i.e., as created by AUX12 for radiation analysis). It is not recommended for heat transfer problems involving phase change (use either the sparse or frontal solver for these cases). This option suppresses the creation of the Jobname.EMAT and Jobname.EROT files.

  • Specify a temperature offset. This is the difference in degrees between absolute zero and the zero of the temperature system being used. The offset temperature is included internally in the calculations of pertinent elements (such as elements with radiation effects or creep capabilities). It allows you to input temperatures in degrees Celsius (instead of Kelvin) or degrees Fahrenheit (instead of Rankine), and then postprocess temperatures in like fashion. For more information, see "Radiation".

    To specify the offset temperature, use either of the following:

    Command(s): TOFFST
    GUI: Main Menu> Solution> Analysis Type> Analysis Options

Sometimes you may need to restart an analysis after the initial run has been completed. A multiframe restart allows you to save analysis information at many substeps during a run, then restart the run at one of those substeps. Before running your initial analysis, you should use the RESCONTROL command to set up the frequency at which restart files are saved within each load step of the run.

To set the controls for a multiframe restart, issue the following:

Command(s): | RESCONTROL
GUI: | Main Menu> Solution> Load Step Opts> Nonlinear> Restart Control

If your analysis contains material nonlinearities, results from a restart may be different than results from a single run because the stiffness matrices are always recreated in a restart run, but may or may not be in a single run (depending on the behavior resulting from the THOPT,REFORMTOL setting).

2.5.9. Saving the Model

After you have specified the load step and analysis options, you should save a backup copy of the database to prevent your model from being lost if your computer system should fail. Should you ever need to retrieve your model, do so via either of the following:

Command(s): | RESUME
GUI: | Utility Menu> File> Resume Jobname.db Utility Menu> File> Resume from

2.5.10. Solving the Model

To start the solution, use either of the following:

Command(s): | SOLVE
GUI: | Main Menu> Solution> Solve> Current LS

When you need to restart a job, use the ANTYPE command to specify the restart point and type of restart. You can continue the job from the restart point (making any corrections necessary), or you can terminate a load step at the restart point (rescaling all of the loading) then continue with the next load step.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.4. Building the Model 		Up / Home Next
2.6. Reviewing Analysis Results


2.6. Reviewing Analysis Results

ANSYS writes the results from a thermal analysis to the thermal results file, Jobname.RTH. Results contain the following data:

2.6.1. Primary data

  • Nodal temperatures (TEMP, TBOT, TE2, TE3, . . . TTOP)

2.6.2. Derived data

  • Nodal and element thermal fluxes (TFX, TFY, TFZ, TFSUM)

  • Nodal and element thermal gradients (TGX, TGY, TGZ, TGSUM)

  • Element heat flow rates

  • Nodal reaction heat flow rates

  • ...etc.

You can review these results using the general postprocessor, POST1 (The GUI menu path is Main Menu> General Postproc.) Some typical postprocessing operations for a thermal analysis are described below. For a complete description of all postprocessing functions, see the Basic Analysis Guide.

Note

To review results in the general postprocessor, the ANSYS database must contain the same model for which the solution was calculated. (If necessary, use the resume operation or issue the RESUME command to retrieve the model.) In addition, the results file, Jobname.RTH, must be available.

2.6.3. Reading In Results

After you enter POST1, read in results for the desired load step and substep. To do so, use either of the following:

Command(s): | SET
GUI: | Main Menu> General Postproc> Read Results> By Load Step

You can choose the load step to be read by number, or you can request that the first load step be read, the last load step, the next load step, etc. If you are using the GUI, a dialog box presents you with options for choosing the load step to be read.

The TIME field enables you to identify the results data by time. If you specify a time value for which no results are available, ANSYS performs linear interpolation to calculate the results at that time.

2.6.4. Reviewing Results

Once you have read results into memory, you can use the ANSYS graphics displays and tables to review them. To display your results, use the following menu paths. Equivalent commands are shown in parentheses.

For contour displays:

Command(s): | PLESOL , PLETAB, PLNSOL
GUI: | Main Menu> General Postproc> Plot Results> Contour Plot> Element Solu Main Menu> General Postproc> Plot Results> Contour Plot> Elem Table Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu

Figure 2.2: "Contour Results Plot" shows you an example of a contour display:

Figure 2.2 Contour Results Plot

For vector displays:

Command(s): | PLVECT
GUI: | Main Menu> General Postproc> Plot Results> Vector Plot> Pre-defined or Userdefined

Figure 2.3: "Vector Display" shows you an example of a vector display:

Figure 2.3 Vector Display

For table listings:

Command(s): | PRESOL, PRNSOL , PRRSOL
GUI: | Main Menu> General Postproc> List Results> Element Solution Main Menu> General Postproc> List Results> Nodal Solution Main Menu> General Postproc> List Results> Reaction Solu

When you choose one of the GUI paths or issue one of the commands shown above, the ANSYS program displays the results in a text window (not shown here).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.5. Applying Loads and Obtaining the Solution 		Up / Home Next
2.7. Example of a Steady-State Thermal Analysis (Command or Batch Method)


2.7. Example of a Steady-State Thermal Analysis (Command or Batch Method)

This section describes how to do a steady-state thermal stress analysis of a pipe intersection by issuing a sequence of ANSYS commands, either while running ANSYS in batch mode or by issuing the commands manually during an interactive ANSYS session. Performing a Steady-State Thermal Analysis (GUI Method) explains how to perform the same example analysis by choosing options from the ANSYS menus.

2.7.1. The Example Described

In this example, a cylindrical tank is penetrated radially by a small pipe at a point on its axis remote from the ends of the tank. The inside of the tank is exposed to a fluid of 450°F (232°C). The pipe experiences a steady flow of 100°F (38°C) fluid, and the two flow regimes are isolated from each other by a thin tube. The film coefficient in the tank is a steady 250 Btu/hr-ft2-°F (1420 watts/m2-°K). The film coefficient in the pipe varies with the metal temperature and is given in the material property table below.

The purpose of the example is to determine the temperature distribution at the pipe-tank junction.

Note

The example analysis presented here is only one of many possible thermal analyses. Not all thermal analyses follow exactly the same steps or perform those steps in the same sequence. The properties of the material or materials being analyzed and the conditions surrounding those materials determine which steps a specific analysis needs to include.

Material properties are as follows:

Table 2.13 Material Properties for the Sample Analysis

Temperature | 70 | 200 | 300 | 400 | 500 | (°F)
Density | 0.285 | 0.285 | 0.285 | 0.285 | 0.285 | (lb/in3)
Conductivity | 8.35 | 8.90 | 9.35 | 9.80 | 10.23 | (Btu/hr-ft-°F)
Specific Heat | 0.113 | 0.117 | 0.119 | 0.122 | 0.125 | (Btu/lb-°F)
Film Coefficient | 426 | 405 | 352 | 275 | 221 | (Btu/hr-ft2-°F)

Figure 2.4 Pipe-Tank Junction Model

2.7.2. The Analysis Approach

The model in this example uses quarter-symmetry to represent the pipe-tank junction. The tank is assumed to be long enough for its remote end to be held at a constant temperature of 450°F. A similar assumption is made at the Y=0 plane of the tank.

Building the model involves defining two cylinder primitives and a Boolean overlap operation. A mapped (all-brick) mesh is used. The meshing operation produces warnings for a few distorted elements, but you can ignore the warnings because the cited elements are remote from the region of interest (the junction of the pipe and tank).

Because the analysis uses temperature-dependent material properties, the solution requires multiple substeps (50 in this case). Automatic time stepping also is used. After you solve the model, a temperature contour plot and a vector plot of thermal flux enables you to review the results.

2.7.3. Commands for Building and Solving the Model

The following sequence of commands builds and solves the finite element model. Text preceded by an exclamation mark (!) is comment text.

/PREP7
/TITLE,Steady-state thermal analysis of pipe junction
/UNITS,BIN                   ! Use U. S. Customary system of units (inches)
/SHOW,                       ! Specify graphics driver for interactive run
!
ET,1,90                      ! Define 20-node, 3-D thermal solid element
MP,DENS,1,.285               ! Density = .285 lbf/in^3
MPTEMP,,70,200,300,400,500   ! Create temperature table
MPDATA,KXX,1,,8.35/12,8.90/12,9.35/12,9.80/12,10.23/12
                             ! Define conductivity values
MPDATA,C,1,,.113,.117,.119,.122,.125
                             ! Define specific heat values
MPDATA,HF,2,,426/144,405/144,352/144,275/144,221/144
                             ! Define film coefficients

! Define parameters for model generation
RI1=1.3                      ! Inside radius of cylindrical tank
RO1=1.5                      ! Outside radius
Z1=2                         ! Length
RI2=.4                       ! Inside radius of pipe
RO2=.5                       ! Outside pipe radius
Z2=2                         ! Pipe length
!
CYLIND,RI1,RO1,,Z1,,90       ! 90 degree cylindrical volume for tank
WPROTA,0,-90                 ! Rotate working plane to pipe axis
CYLIND,RI2,RO2,,Z2,-90       ! 90 degree cylindrical volume for pipe
WPSTYL,DEFA                  ! Return working plane to default setting
BOPT,NUMB,OFF                ! Turn off Boolean numbering warning
VOVLAP,1,2                   ! Overlap the two cylinders
/PNUM,VOLU,1                 ! Turn volume numbers on
/VIEW,,-3,-1,1
/TYPE,,4
/TITLE,Volumes used in building pipe/tank junction
VPLOT
VDELE,3,4,,1                 ! Trim off excess volumes

! Meshing
ASEL,,LOC,Z,Z1               ! Select area at remote Z edge of tank
ASEL,A,LOC,Y,0               ! Select area at remote Y edge of tank
CM,AREMOTE,AREA              ! Create area component called AREMOTE
/PNUM,AREA,1
/PNUM,LINE,1
/TITLE,Lines showing the portion being modeled
APLOT
/NOERASE
LPLOT                        ! Overlay line plot on area plot
/ERASE
ACCAT,ALL                    ! Concatenate areas and lines
                             ! at remote tank edges
LCCAT,12,7
LCCAT,10,5
LESIZE,20,,,4                ! 4 divisions through pipe thickness
LESIZE,40,,,6                ! 6 divisions along pipe length
LESIZE,6,,,4                 ! 4 divisions through tank thickness
ALLSEL                       ! Restore full set of entities
ESIZE,.4                     ! Set default element size
MSHAPE,0,3D                  ! Choose mapped brick mesh
MSHKEY,1
SAVE                         ! Save database before meshing
VMESH,ALL                    ! Generate nodes and elements within volumes
/PNUM,DEFA
/TITLE,Elements in portion being modeled
EPLOT
FINISH
!
/COM, *** Obtain solution ***
!
/SOLU
ANTYPE,STATIC              ! Steady-state analysis type
NROPT,AUTO                 ! Program-chosen Newton-Raphson option
TUNIF,450                  ! Uniform starting temperature at all nodes
CSYS,1
NSEL,S,LOC,X,RI1           ! Nodes on inner tank surface
SF,ALL,CONV,250/144,450    ! Convection load at all nodes
CMSEL,,AREMOTE             ! Select AREMOTE component
NSLA,,1                    ! Nodes belonging to AREMOTE
D,ALL,TEMP,450             ! Temperature constraints at those nodes
WPROTA,0,-90               ! Rotate working plane to pipe axis
CSWPLA,11,1                ! Define local cylindrical c.s at working plane
NSEL,S,LOC,X,RI2           ! Nodes on inner pipe surface
SF,ALL,CONV,-2,100         ! Temperature-dep. convection load at those nodes
ALLSEL
/PBC,TEMP,,1               ! Temperature b.c. symbols on
/PSF,CONV,,2               ! Convection symbols on
/TITLE,Boundary conditions
NPLOT
WPSTYL,DEFA
CSYS,0
AUTOTS,ON                  ! Automatic time stepping
NSUBST,50                  ! Number of substeps
KBC,0                      ! Ramped loading (default)
OUTPR,NSOL,LAST            ! Optional command for solution printout
SOLVE
FINISH
!
/COM, *** Review results ***
!
/POST1
/EDGE,,1                   ! Edge display
/PLOPTS,INFO,ON            ! Legend column on
/PLOPTS,LEG1,OFF           ! Legend header off
/WINDOW,1,SQUARE           ! Redefine window size
/TITLE,Temperature contours at pipe/tank junction
PLNSOL,TEMP                ! Plot temperature contours
CSYS,11
NSEL,,LOC,X,RO2            ! Nodes and elements at outer radius of pipe
ESLN
NSLE
/SHOW,,,1                  ! Vector mode
/TITLE,Thermal flux vectors at pipe/tank junction
PLVECT,TF                  ! Plot thermal flux vectors
FINISH
/EXIT,ALL

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.6. Reviewing Analysis Results 		Up / Home Next
2.8. Performing a Steady-State Thermal Analysis (GUI Method)


2.8. Performing a Steady-State Thermal Analysis (GUI Method)

This section describes how to use the menus on the ANSYS GUI to perform the same steady-state thermal analysis described in Example of a Steady-State Thermal Analysis (Command or Batch Method). In this version of the sample analysis, instead of issuing commands, you select options from the GUI menus.

Step 1: Give the Analysis a Title

After you have started the ANSYS program and have entered the GUI, you need to begin the analysis by assigning a title to it. To do so, perform these tasks:

  1. Choose Utility Menu> File> Change Title. The Change Title dialog box appears.

  2. Enter the text Steady-state thermal analysis of pipe junction.

  3. Click on OK.

Back To Top

Step 2: Set Measurement Units

You need to specify units of measurement for the analysis. For this pipe junction example, measurements use the U. S. Customary system of units (based on inches). To specify this, type the command /UNITS,BIN in the ANSYS Input window and press ENTER.

Back To Top

Step 3: Define the Element Type

The example analysis uses a thermal solid element. To define it, do the following:

  1. Choose Main Menu> Preprocessor> Element Type> Add/Edit/Delete. The Element Types dialog box appears.

  2. Click on Add. The Library of Element Types dialog box appears.

  3. In the list on the left, scroll down and pick (highlight) "Thermal Solid." In the list on the right, pick "Brick20node 90."

  4. Click on OK.

  5. Click on Close to close the Element Types dialog box.

Back To Top

Step 4: Define Material Properties

To define material properties for the analysis, perform these steps:

  1. Choose Main Menu> Preprocessor> Material Props> Material Models. The Define Material Model Behavior dialog box appears.

  2. In the Material Models Available window, double-click on the following options: Thermal, Density. A dialog box appears.

  3. Enter .285 for DENS (Density), and click on OK. Material Model Number 1 appears in the Material Models Defined window on the left.

  4. In the Material Models Available window, double-click on the following options: Conductivity, Isotropic. A dialog box appears.

  5. Click on the Add Temperature button four times. Four columns are added.

  6. In the T1 through T5 fields, enter the following temperature values: 70, 200, 300, 400, and 500. Select the row of temperatures by dragging the cursor across the text fields. Then copy the temperatures by pressing Ctrl-c.

  7. In the KXX (Thermal Conductivity) fields, enter the following values, in order, for each of the temperatures, then click on OK. Note that to keep the units consistent, each of the given values of KXX must be divided by 12. You can just input the fractions and have ANSYS perform the calculations.

    8.35/12
8.90/12
9.35/12
9.80/12
10.23/12

  8. In the Material Models Available window, double-click on Specific Heat. A dialog box appears.

  9. Click on the Add Temperature button four times. Four columns are added.

  10. With the cursor positioned in the T1 field, paste the five temperatures by pressing Ctrl-v.

  11. In the C (Specific Heat) fields, enter the following values, in order, for each of the temperatures, then click on OK.

    .113
.117
.119
.122
.125

  12. Choose menu path Material> New Model, then enter 2 for the new Material ID. Click on OK. Material Model Number 2 appears in the Material Models Defined window on the left.

  13. In the Material Models Available window, double-click on Convection or Film Coef. A dialog box appears.

  14. Click on the Add Temperature button four times. Four columns are added.

  15. With the cursor positioned in the T1 field, paste the five temperatures by pressing Ctrl-v.

  16. In the HF (Film Coefficient) fields, enter the following values, in order, for each of the temperatures. To keep the units consistent, each value of HF must be divided by 144. As in step 7, you can input the data as fractions and let ANSYS perform the calculations.

    426/144
405/144
352/144
275/144
221/144

  17. Click on the Graph button to view a graph of Film Coefficients vs. temperature, then click on OK.

  18. Choose menu path Material> Exit to remove the Define Material Model Behavior dialog box.

  19. Click on SAVE_DB on the ANSYS Toolbar.

Back To Top

Step 5: Define Parameters for Modeling

  1. Choose Utility Menu> Parameters> Scalar Parameters. The Scalar Parameters window appears.

  2. In the window's Selection field, enter the values shown below. (Do not enter the text in parentheses.) Press ENTER after typing in each value. If you make a mistake, simply retype the line containing the error.

    RI1=1.3   (Inside radius of the cylindrical tank)
RO1=1.5   (Outside radius of the tank)
Z1=2      (Length of the tank)
RI2=.4    (Inside radius of the pipe)
RO2=.5    (Outside radius of the pipe)
Z2=2      (Length of the pipe)

  3. Click on Close to close the window.

Back To Top

Step 6: Create the Tank and Pipe Geometry

  1. Choose Main Menu> Preprocessor> Modeling> Create> Volumes> Cylinder> By Dimensions. The Create Cylinder by Dimensions dialog box appears.

  2. Set the "Outer radius" field to RO1, the "Optional inner radius" field to RI1, the "Z coordinates" fields to 0 and Z1 respectively, and the "Ending angle" field to 90.

  3. Click on OK.

  4. Choose Utility Menu> WorkPlane> Offset WP by Increments. The Offset WP dialog box appears.

  5. Set the "XY, YZ, ZX Angles" field to 0,-90.

  6. Click on OK.

  7. Choose Main Menu> Preprocessor> Modeling> Create> Volumes> Cylinder> By Dimensions. The Create Cylinder by Dimensions dialog box appears.

  8. Set the "Outer radius" field to RO2, the "Optional inner radius" field to RI2, the "Z coordinates" fields to 0 and Z2 respectively. Set the "Starting angle" field to -90 and the "Ending Angle" to 0.

  9. Click on OK.

  10. Choose Utility Menu> WorkPlane> Align WP with> Global Cartesian.

Back To Top

Step 7: Overlap the Cylinders

  1. Choose Main Menu> Preprocessor> Modeling> Operate> Booleans> Overlap> Volumes. The Overlap Volumes picking menu appears.

  2. Click on Pick All.

Back To Top

Step 8: Review the Resulting Model

Before you continue with the analysis, quickly review your model. To do so, follow these steps:

  1. Choose Utility Menu> PlotCtrls> Numbering. The Plot Numbering Controls dialog box appears.

  2. Click the Volume numbers radio button to On, then click on OK.

  3. Choose Utility Menu> PlotCtrls> View Settings> Viewing Direction. A dialog box appears.

  4. Set the "Coords of view point" fields to (-3,-1,1), then click on OK.

  5. Review the resulting model.

  6. Click on SAVE_DB on the ANSYS Toolbar.

Back To Top

Step 9: Trim Off Excess Volumes

In this step, delete the overlapping edges of the tank and the lower portion of the pipe.

  1. Choose Main Menu> Preprocessor> Modeling> Delete> Volume and Below. The Delete Volume and Below picking menu appears.

  2. In the picking menu, type 3,4 and press the ENTER key. Then click on OK in the Delete Volume and Below picking menu.

Back To Top

Step 10: Create Component AREMOTE

In this step, you select the areas at the remote Y and Z edges of the tank and save them as a component called AREMOTE. To do so, perform these tasks:

  1. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  2. In the top drop down menu, select Areas. In the second drop down menu, select By Location. Click on the Z Coordinates radio button.

  3. Set the "Min,Max" field to Z1.

  4. Click on Apply.

  5. Click on the Y Coordinates and Also Sele radio buttons.

  6. Set the "Min,Max" field to 0.

  7. Click on OK.

  8. Choose Utility Menu> Select> Comp/Assembly> Create Component. The Create Component dialog box appears.

  9. Set the "Component name" field to AREMOTE. In the "Component is made of" menu, select Areas.

  10. Click on OK.

Back To Top

Step 11: Overlay Lines on Top of Areas

Do the following:

  1. Choose Utility Menu> PlotCtrls> Numbering. The Plot Numbering Controls dialog box appears.

  2. Click the Area and Line number radio boxes to On and click on OK.

  3. Choose Utility Menu> Plot> Areas.

  4. Choose Utility Menu> PlotCtrls> Erase Options.

  5. Set "Erase between Plots" radio button to Off.

  6. Choose Utility Menu> Plot> Lines.

  7. Choose Utility Menu> PlotCtrls> Erase Options.

  8. Set "Erase between Plots" radio button to On.

Back To Top

Step 12: Concatenate Areas and Lines

In this step, you concatenate areas and lines at the remote edges of the tank for mapped meshing. To do so, follow these steps:

  1. Choose Main Menu> Preprocessor> Meshing> Mesh> Volumes> Mapped> Concatenate> Areas. The Concatenate Areas picking menu appears.

  2. Click on Pick All.

  3. Choose Main Menu> Preprocessor> Meshing> Mesh> Volumes> Mapped> Concatenate> Lines. A picking menu appears.

  4. Pick (click on) lines 12 and 7 (or enter in the picker).

  5. Click on Apply.

  6. Pick lines 10 and 5 (or enter in picker).

  7. Click on OK.

Back To Top

Step 13: Set Meshing Density Along Lines

  1. Choose Main Menu> Preprocessor> Meshing> Size Cntrls> ManualSize>Lines> Picked Lines. The Element Size on Picked Lines picking menu appears.

  2. Pick lines 6 and 20 (or enter in the picker) .

  3. Click on OK. The Element Sizes on Picked Lines dialog box appears.

  4. Set the "No. of element divisions" field to 4.

  5. Click on OK.

  6. Choose Main Menu> Preprocessor> Meshing> Size Cntrls> ManualSize> Lines> Picked Lines. A picking menu appears.

  7. Pick line 40 (or enter in the picker).

  8. Click on OK. The Element Sizes on Picked Lines dialog box appears.

  9. Set the "No. of element divisions" field to 6.

  10. Click on OK.

Back To Top

Step 14: Mesh the Model

In this sequence of steps, you set the global element size, set mapped meshing, then mesh the volumes.

  1. Choose Utility Menu> Select> Everything.

  2. Choose Main Menu> Preprocessor> Meshing> Size Cntrls> ManualSize> Global> Size. The Global Element Sizes dialog box appears.

  3. Set the "Element edge length" field to 0.4 and click on OK.

  4. Choose Main Menu> Preprocessor> Meshing> Mesher Opts. The Mesher Options dialog box appears.

  5. Set the Mesher Type radio button to Mapped and click on OK. The Set Element Shape dialog box appears.

  6. In the 2-D shape key drop down menu, select Quad and click on OK.

  7. Click on the SAVE_DB button on the Toolbar.

  8. Choose Main Menu> Preprocessor> Meshing> Mesh> Volumes> Mapped> 4 to 6 sided. The Mesh Volumes picking menu appears. Click on Pick All. In the Graphics window, ANSYS builds the meshed model. If a shape testing warning message appears, review it and click Close.

Back To Top

Step 15: Turn Off Numbering and Display Elements

  1. Choose Utility Menu> PlotCtrls> Numbering. The Plot Numbering Controls dialog box appears.

  2. Set the Line, Area, and Volume numbering radio buttons to Off.

  3. Click on OK.

Back To Top

Step 16: Define the Solution Type and Options

In this step, you tell ANSYS that you want a steady-state solution that uses a program-chosen Newton-Raphson option.

  1. Choose Main Menu> Solution> Analysis Type> New Analysis. The New Analysis dialog box appears.

  2. Click on OK to choose the default analysis type (Steady-state).

  3. Choose Main Menu> Solution> Analysis Type> Analysis Options. The Static or Steady-State dialog box appears.

  4. Click on OK to accept the default (“Program-chosen”) for "Newton-Raphson option."

Back To Top

Step 17: Set Uniform Starting Temperature

In a thermal analysis, set a starting temperature.

  1. Choose Main Menu> Solution> Define Loads> Apply> Thermal> Temperature> Uniform Temp. A dialog box appears.

  2. Enter 450 for "Uniform temperature." Click on OK.

Back To Top

Step 18: Apply Convection Loads

This step applies convection loads to the nodes on the inner surface of the tank.

  1. Choose Utility Menu> WorkPlane> Change Active CS to> Global Cylindrical.

  2. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  3. Select Nodes and By Location, and click on the X Coordinates and From Full radio buttons.

  4. Set the "Min,Max" field to RI1 and click on OK.

  5. Choose Main Menu> Solution> Define Loads> Apply> Thermal> Convection> On Nodes. The Apply CONV on Nodes picking menu appears.

  6. Click on Pick All. The Apply CONV on Nodes dialog box appears.

  7. Set the "Film coefficient" field to 250/144.

  8. Set the "Bulk temperature" field to 450.

  9. Click on OK.

Back To Top

Step 19: Apply Temperature Constraints to AREMOTE Component

  1. Choose Utility Menu> Select> Comp/Assembly> Select Comp/Assembly. A dialog box appears.

  2. Click on OK to select component AREMOTE.

  3. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  4. Select Nodes and Attached To, and click on the Areas,All radio button. Click on OK.

  5. Choose Main Menu> Solution> Define Loads> Apply> Thermal> Temperature> On Nodes. The Apply TEMP on Nodes picking menu appears.

  6. Click on Pick All. A dialog box appears.

  7. Set the "Load TEMP value" field to 450.

  8. Click on OK.

  9. Click on SAVE_DB on the ANSYS Toolbar.

Back To Top

Step 20: Apply Temperature-Dependent Convection

In this step, apply a temperature-dependent convection load on the inner surface of the pipe.

  1. Choose Utility Menu> WorkPlane> Offset WP by Increments. A dialog box appears.

  2. Set the "XY,YZ,ZX Angles" field to 0,-90, then click on OK.

  3. Choose Utility Menu> WorkPlane> Local Coordinate Systems> Create Local CS> At WP Origin. The Create Local CS at WP Origin dialog box appears.

  4. On the "Type of coordinate system" menu, select "Cylindrical 1" and click on OK.

  5. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  6. Select Nodes, and By Location, and click on the X Coordinates radio button.

  7. Set the "Min,Max" field to RI2.

  8. Click on OK.

  9. Choose Main Menu> Solution> Define Loads> Apply> Thermal> Convection> On Nodes. The Apply CONV on Nodes picking menu appears.

  10. Click on Pick All. A dialog box appears.

  11. Set the "Film coefficient" field to -2.

  12. Set the "Bulk temperature" field to 100.

  13. Click on OK.

  14. Choose Utility Menu> Select> Everything.

  15. Choose Utility Menu> PlotCtrls> Symbols. The Symbols dialog box appears.

  16. On the "Show pres and convect as" menu, select Arrows, then click on OK.

  17. Choose Utility Menu> Plot> Nodes. The display in the Graphics Window changes to show you a plot of nodes.

Back To Top

Step 21: Reset the Working Plane and Coordinates

  1. To reset the working plane and default Cartesian coordinate system, choose Utility Menu> WorkPlane> Change Active CS to> Global Cartesian.

  2. Choose Utility Menu> WorkPlane> Align WP With> Global Cartesian.

Back To Top

Step 22: Set Load Step Options

For this example analysis, you need to specify 50 substeps with automatic time stepping.

  1. Choose Main Menu> Solution> Load Step Options> Time/Frequenc> Time and Substps. The Time and Substep Options dialog box appears.

  2. Set the "Number of substeps" field to 50.

  3. Set "Automatic time stepping" radio button to On.

  4. Click on OK.

Back To Top

Step 23: Solve the Model

  1. Choose Main Menu> Solution> Solve> Current LS. The ANSYS program displays a summary of the solution options in a /STAT command window.

  2. Review the summary.

  3. Choose Close to close the /STAT command window.

  4. Click on OK in the Solve Current Load Step dialog box.

  5. Click Yes in the Verify message window.

  6. The solution runs. When the Solution is done! window appears, click on Close.

Back To Top

Step 24: Review the Nodal Temperature Results

  1. Choose Utility Menu> PlotCtrls> Style> Edge Options. The Edge Options dialog box appears.

  2. Set the "Element outlines" field to "Edge only" for contour plots and click on OK.

  3. Choose Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu. The Contour Nodal Solution Data dialog box appears.

  4. For "Item to be contoured," pick "DOF solution" from the list on the left, then pick "Temperature TEMP" from the list on the right.

  5. Click on OK. The Graphics window displays a contour plot of the temperature results.

Back To Top

Step 25: Plot Thermal Flux Vectors

In this step, you plot the thermal flux vectors at the intersection of the pipe and tank.

  1. Choose Utility Menu> WorkPlane> Change Active CS to> Specified Coord Sys. A dialog box appears.

  2. Set the "Coordinate system number" field to 11.

  3. Click on OK.

  4. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  5. Select Nodes and By Location, and click the X Coordinates radio button.

  6. Set the "Min,Max" field to RO2.

  7. Click on Apply.

  8. Select Elements and Attached To, and click the Nodes radio button.

  9. Click on Apply.

  10. Select Nodes and Attached To, then click on OK.

  11. Choose Main Menu> General Postproc> Plot Results> Vector Plot> Predefined. A dialog box appears.

  12. For "Vector item to be plotted," choose "Flux & gradient" from the list on the left and choose "Thermal flux TF" from the list on the right.

  13. Click on OK. The Graphics Window displays a plot of thermal flux vectors.

Back To Top

Step 26: Exit from ANSYS

To leave the ANSYS program, click on the QUIT button in the Toolbar. Choose an exit option and click on OK.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.7. Example of a Steady-State Thermal Analysis (Command or Batch Method) 		Up / Home Next
2.9. Performing a Thermal Analysis Using Tabular Boundary Conditions


2.9. Performing a Thermal Analysis Using Tabular Boundary Conditions

This section describes how to perform a simple thermal analysis, using a 1-D table to apply loads. This problem is shown twice, once done via commands, and then done interactively using the GUI.

2.9.1. Running the Sample Problem via Commands

Text preceded by an exclamation mark (!) is comment text.

/batch,list
/show
/title, Demonstration of position-varying film coefficient using Tabular BC's.
/com
/com * ------------------------------------------------------------------
/com * Table Support of boundary conditions
/com *
/com * Boundary Condition Type  Primary Variables  Independent Parameters
/com * -----------------------  -----------------  ----------------------
/com * Convection:Film Coefficient  X                      -
/com *
/com * Problem description
/com *
/com * A static Heat Transfer problem. A 2 x 1 rectangular plate is
/com * subjected to temperature constraint at one of its end, while the
/com * remaining perimeter of the plate is subjected to a convection boundary
/com * condition. The film coefficient is a function of X-position and is described
/com * by a parametric table 'cnvtab'.
/com **
*dim,cnvtab,table,5,,,x		! table definition.
cnvtab(1,0) = 0.0,0.50,1.0,1.50,2.0      ! Variable name, Var1 = 'X'
cnvtab(1,1) = 20.0,30.0,50.0,80.0,120.0
/prep7
esize,0.5
et,1,55
rect,0,2,0,1
amesh,1
MP,KXX,,1.0
MP,DENS,,10.0
MP,C,,100.0
lsel,s,loc,x,0
dl,all,,temp,100
alls
lsel,u,loc,x,0
nsll,s,1
sf,all,conv,%cnvtab%,20
alls
/psf,conv,hcoef,2                   ! show convection bc.
/pnum,tabn,on                       ! show table names
nplot
fini
/solu
anty,static
kbc,1
nsubst,1
time,60
tunif,50
outres,all,all
solve
finish
/post1
set,last
sflist,all                          ! Numerical values of convection bc's
/pnum,tabn,off                      ! turn off table name
/psf,conv,hcoef,2                   ! show convection bc.
/pnum,sval,1                        ! show numerical values of table bc's
eplot! convection at t=60 sec.
plns,temp
fini

2.9.2. Running the Sample Problem Interactively

The same problem is shown here using interactive menu selections on the GUI.

Step 1: Define a 1-D table

  1. Choose Utility Menu> Parameters> Array Parameters> Define/Edit. The Array Parameters dialog box appears. Click Add...

  2. The Add New Array Parameter dialog box appears. Type cnvtab in the "Parameter name" field.

  3. Select "Table" for Parameter type.

  4. Enter 5,1,1 as I,J,K values

  5. Enter X as row variable.

  6. Click OK.

  7. In the Array Parameters dialog box, make sure cnvtab is highlighted and click Edit. The Table Array:CNVTAB=f(X) table editor dialog box appears. (See TABLE Type Array Parameters in the ANSYS Parametric Design Language Guide for details about table arrays.)

  8. Two columns appear in the table editor dialog box. The first column is column 0; the second column is column 1. Column 0 contains six boxes. Do not do anything in the first (top) box. In the five other boxes, type 0.0, 0.5, 1.0, 1.5, and 2.0. These are row index values.

  9. Column 1 also contains six boxes. You do not have to enter anything in the blue (top) box, because this table is one-dimensional. In the other five boxes, type 20, 30, 50, 80, and 120.

  10. Choose File> Apply/Quit.

  11. Close the Array Parameters dialog box.

Back To Top

Step 2: Define your element type and material properties

  1. Choose Main Menu> Preprocessor> Element Type> Add/Edit/Delete. The Element Types dialog box appears. Click Add.

  2. The Library of Element Types dialog box appears. Select Thermal Solid from the list on the left, and select Quad 4node 55 from the list on the right.

  3. Click OK.

  4. Close the Element Types dialog box.

  5. Choose Main Menu> Preprocessor> Material Props> Material Models. The Define Material Model Behavior dialog box appears.

  6. In the Material Models Available window, double-click on the following options: Thermal, Density. A dialog box appears.

  7. Enter 10.0 for DENS (density). Click on OK. Material Model Number 1 appears in the Material Models Defined window on the left.

  8. In the Material Models Available window, double-click on the following options: Conductivity, Isotropic. A dialog box appears.

  9. Enter 1.0 for KXX (Thermal conductivity). Click on OK.

  10. In the Material Models Available window, double-click on Specific Heat. A dialog box appears.

  11. Enter 100.0 for C (Specific Heat). Click on OK.

  12. Choose menu path Material> Exit to remove the Define Material Model Behavior dialog box.

Back To Top

Step 3: Build and mesh your model

  1. Choose Main Menu> Preprocessor> Modeling> Create> Areas> Rectangle> By Dimensions. The Create Rectangle by Dimensions dialog box appears.

  2. Enter 0, 2 for X1,X2 coordinates.

  3. Enter 0, 1 for Y1, Y2 coordinates.

  4. Click OK. A rectangular area appears on the screen.

  5. Choose Main Menu> Preprocessor> Meshing> MeshTool.

  6. Under the Size Controls section of the Mesh Tool, click Globl,Set. The Global Element Sizes dialog box appears.

  7. Set the “Element endge length” field to 0.5 and click on OK.

  8. In the Mesh area of the Mesh Tool, choose Areas and Map and verify that Quad and 3/4 sided are selected.

  9. Click on MESH. The Mesh Areas picking menu appears.

  10. Click on Pick All. The mesh appears in the Graphics window.

  11. Close the MeshTool dialog box.

  12. Click on SAVE_DB on the ANSYS Toolbar.

Back To Top

Step 4: Apply Tabular Boundary Conditions

  1. Choose Utility Menu> Plot> Lines.

  2. Choose Main Menu> Solution> Define Loads> Apply> Thermal> Temperature> On Lines. The Apply TEMP on Lines picking menu appears.

  3. In the Graphics window, select the vertical line at x=0 (on the far left of the model). Click OK.

  4. The Apply TEMP on lines dialog box appears.

  5. Enter 100 for VALUE. Click OK.

  6. Choose Main Menu> Solution> Define Loads> Apply> Thermal> Convection> On Lines. The Apply CONV on Lines picking menu appears.

  7. In the Graphics window, select all lines except the line at x = 0.

  8. Click OK. The Apply CONV on lines dialog box appears.

  9. In the drop-down selection box for "Apply Film Coef on lines," select "Existing table."

  10. Remove any value in the VALI field.

  11. Enter 20 in the "VAL2I Bulk temperature" field. Click OK.

  12. A second Apply CONV on lines dialog box appears. Verify that the selection box for "Existing table" shows CNVTAB. Click OK. The ANSYS Graphics Window displays arrows on all lines except the line at x = 0.

  13. Choose Main Menu> Solution> Define Loads> Apply> Thermal> Temperature> Uniform Temp. The Uniform Temperature dialog box appears.

  14. Enter 50 as the uniform temperature. Click OK.

Back To Top

Step 5: Show the applied loads to verify

  1. Choose Utility Menu> PlotCtrls> Symbols. The Symbols dialog box appears.

  2. Select "Convect FilmCoef" in the "Surface Load Symbols" drop down selection box.

  3. Select "Arrows" in the "Show pres and convect as" drop down selection box.

  4. Click OK.

  5. Choose Utility Menu> PlotCtrls> Numbering. The Plot Numbering Controls dialog box appears.

  6. Click Table Names on. Click OK. The table name CNVTAB appears on the arrows on the right side of the Graphics window.

  7. Click on SAVE_DB on the ANSYS Toolbar.

Back To Top

Step 6: Set Analysis Options and Solve

  1. Choose Main Menu> Solution> Analysis Type> New Analysis. The New Analysis dialog box appears.

  2. Verify that “Steady-State” is selected and click OK.

  3. Choose Main Menu> Solution> Load Step Opts> Time/Frequenc> Time and Substps. The Time and Substep Options dialog box appears.

  4. Enter 60 as "Time at end of load step."

  5. Enter 1 as “Number of substeps.”

  6. Choose Stepped. Click OK.

  7. Choose Main Menu> Solution> Load Step Opts> Output Ctrls> DB/Results File. The Controls for Database and Results File Writing dialog appears. Verify that the "Item to be controlled" field shows "All items."

  8. Select "Every substep" for "File write frequency" field. Click OK.

  9. Choose Main Menu> Solution> Solve> Current LS. Review the /STATUS Command dialog box. If OK, click Close.

  10. In the Solve Current Load Step dialog box, click OK to begin the solve. When the solution is done, click Close in the "Solution is done!" information box.

Back To Top

Step 7: Postprocess

  1. Choose Main Menu> General Postproc> Read Results> Last Set.

  2. Choose Utility Menu> List> Loads> Surface Loads> On All Nodes. The SFLIST Command dialog box appears. Review the results and click Close.

  3. Choose Utility Menu> PlotCtrls> Numbering. The Plot Numbering Controls dialog box appears.

  4. Click Table Names display off.

  5. Click Numeric contour values on. Click OK.

  6. Choose Utility Menu> PlotCtrls> Symbols. The Symbols dialog box appears.

  7. In the "Surface Load Symbols" drop down selection box, select "Convect FilmCoef."

  8. In the "Show pres and convect as" drop down selection box, select "Arrows." Click OK.

  9. Choose Utility Menu> Plot> Elements. Observe the numbers over the arrows on the model.

  10. Choose Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu. The Contour Nodal Solution Data dialog box appears.

  11. Verify that DOF Solution is selected in the list on the left, and Temperature is selected in the list on the right. Click OK. Observe the resulting display.

Back To Top

Step 8: Finish

  1. You are now finished with this sample problem. Click QUIT in the ANSYS Toolbar. Choose a save option and click OK.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.8. Performing a Steady-State Thermal Analysis (GUI Method) 		Up / Home Next
2.10. Where to Find Other Examples of Thermal Analysis


2.10. Where to Find Other Examples of Thermal Analysis

Several ANSYS publications, particularly the Verification Manual and the Heat Transfer Training Manual, describe additional examples of steady-state and other types of thermal analyses.

Attending the Heat Transfer seminar may benefit you if your work includes analyzing the thermal response of structures and components such as internal combustion engines, pressure vessels, heat exchangers and furnaces, etc. For more information about this seminar, contact your local ANSYS Support Distributor or telephone the ANSYS Training Registrar at (724) 514-2882.

The Verification Manual consists of test cases demonstrating the analysis capabilities of the ANSYS program. While these test cases demonstrate solutions to realistic thermal analysis problems, the Verification Manual does not present them as step-by-step examples with lengthy data input instructions and printouts. However, you should be able to understand each problem by reviewing the finite element model and input data with accompanying comments.

Here is a list of sample thermal test cases (steady-state, transient, and so on) that the Verification Manual includes:

VM3 - Thermal Loaded Support Structure
VM23 - Thermal-structural Contact of Two Bodies
VM27 - Thermal Expansion to Close a Gap
VM32 - Thermal Stresses in a Long Cylinder
VM58 - Centerline Temperature of a Heat Generating Wire
VM64 - Thermal Expansion to Close a Gap at a Rigid Surface
VM92 - Insulated Wall Temperature
VM93 - Temperature-dependent Conductivity
VM94 - Heat-generating Plate
VM95 - Heat Transfer From a Cooling Spine
VM96 - Temperature Distribution in a Short Solid Cylinder
VM97 - Temperature Distribution Along a Straight Fin
VM98 - Temperature Distribution Along a Tapered Fin
VM99 - Temperature Distribution in a Trapezoidal Fin
VM100 - Heat Conductivity Across a Chimney Section
VM101 - Temperature Distribution in a Short Solid Cylinder
VM102 - Cylinder with Temperature Dependent Conductivity
VM103 - Thin Plate with a Central Heat Source
VM104 - Liquid-solid Phase Change
VM105 - Heat-generation Coil with Temperature Dependent Conductivity
VM106 - Radiant Energy Emission
VM107 - Thermocouple Radiation
VM108 - Temperature Gradient Across a Solid Cylinder
VM109 - Temperature Response of a Suddenly-cooled Wire
VM110 - Transient Temperature Distribution in a Slab
VM111 - Cooling of a Spherical Body
VM112 - Cooling of a Spherical Body
VM113 - Transient Temperature Distribution in an Orthotropic Metal Bar
VM114 - Temperature Response to a Linearly Rising Surface Temperature
VM115 - Thermal Response of a Heat-generating Slab
VM116 - Heat-conducting Plate with Sudden Cooling
VM118 - Centerline Temperature of a Heat Generating Wire
VM119 - Centerline Temperature of an Electrical Wire
VM121 - Laminar Flow through a Pipe with Uniform Heat Flux
VM122 - Pressure Drop in a Turbulent Flowing Fluid
VM123 - Laminar Flow in a Piping System
VM124 - Discharge of Water from a Reservoir
VM125 - Radiation Heat Transfer Between Concentric Cylinders
VM126 - Heat Transferred to a Flowing Fluid
VM147 - Gray-body Radiation Within a Frustrum of a Cone
VM159 - Temperature Controlled Heater
VM160 - Solid Cylinder with Harmonic Temperature Load
VM161 - Heat Flow from an Insulated Pipe
VM162 - Cooling of a Circular Fin of Rectangular Profile
VM164 - Drying of a Thick Wooden Slab
VM192 - Cooling of a Billet by Radiation
VM193 - Adaptive Analysis of 2-D Heat Transfer with Convection

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.9. Performing a Thermal Analysis Using Tabular Boundary Conditions 		Up / Home Next
Chapter 3. Transient Thermal Analysis


Chapter 3. Transient Thermal Analysis

The ANSYS Multiphysics, ANSYS Mechanical, ANSYS Professional, and ANSYS FLOTRAN products support transient thermal analysis. Transient thermal analysis determines temperatures and other thermal quantities that vary over time. Engineers commonly use temperatures that a transient thermal analysis calculates as input to structural analyses for thermal stress evaluations. Many heat transfer applications - heat treatment problems, nozzles, engine blocks, piping systems, pressure vessels, etc. - involve transient thermal analyses.

A transient thermal analysis follows basically the same procedures as a steady-state thermal analysis. The main difference is that most applied loads in a transient analysis are functions of time. To specify time-dependent loads, you can either use the Function Tool to define an equation or function describing the curve and then apply the function as a boundary condition, or you can divide the load-versus-time curve into load steps.

If you use the Function Tool, see Applying Loads Using Function Boundary Conditions in the Basic Analysis Guide for detailed instructions.

If you use individual load steps, each "corner" on the load-time curve can be one load step, as shown in the following sketches.

Figure 3.1 Examples of Load vs. Time Curves

For each load step, you need to specify both load values and time values, along with other load step options such as stepped or ramped loadsautomatic time stepping, etc. You then write each load step to a file and solve all load steps together. To get a better understanding of how load and time stepping work, see the example casting analysis scenario in this chapter.

The following transient thermal analysis topics are available:

  • Elements and Commands Used in Transient Thermal Analysis
  • Tasks in a Transient Thermal Analysis
  • Building the Model
  • Applying Loads and Obtaining a Solution
  • Saving the Model
  • Reviewing Analysis Results
  • Reviewing Results as Graphics or Tables
  • Phase Change
  • Example of a Transient Thermal Analysis
  • Where to Find Other Examples of Transient Thermal Analysis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.10. Where to Find Other Examples of Thermal Analysis 		Up / Home Next
3.1. Elements and Commands Used in Transient Thermal Analysis


3.1. Elements and Commands Used in Transient Thermal Analysis

Transient thermal analyses use the same elements as steady-state thermal analyses. See "Steady-State Thermal Analysis", for brief descriptions of these elements.

For detailed, alphabetized descriptions of ANSYS commands, see the Commands Reference.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 3. Transient Thermal Analysis 		Up / Home Next
3.2. Tasks in a Transient Thermal Analysis


3.2. Tasks in a Transient Thermal Analysis

The procedure for doing a transient thermal analysis has three main tasks:

  • Build the model.

  • Apply loads and obtain the solution.

  • Review the results.

The rest of this chapter explains each task in the transient thermal analysis process. Because not every transient analysis includes exactly the same tasks, the text both provides general descriptions of the tasks and relates them to example analyses. The examples walk you through doing an analysis via ANSYS commands, then show you how to do the same analysis by choosing items from the ANSYS GUI menus.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.1. Elements and Commands Used in Transient Thermal Analysis 		Up / Home Next
3.3. Building the Model


3.3. Building the Model

To build the model, you start by specifying the jobname and a title for your analysis. If you are running ANSYS interactively and using its GUI, you also set preferences for the options you want to display. Then, you use the ANSYS preprocessor (PREP7) to do these tasks:

  1. Define the element types.

  2. If necessary, define element real constants.

  3. Define material properties.

  4. Define the model geometry.

  5. Mesh the model.

These tasks are common to all analyses. The Modeling and Meshing Guide explains them in detail.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.2. Tasks in a Transient Thermal Analysis 		Up / Home Next
3.4. Applying Loads and Obtaining a Solution


3.4. Applying Loads and Obtaining a Solution

In a transient analysis, the first steps in applying transient loads are to define the analysis type and then establish initial conditions for your analysis.

3.4.1. Defining the Analysis Type

To specify the analysis type, do either of the following:

  • In the ANSYS GUI, choose menu path Main Menu> Solution> Analysis Type> New Analysis> Transient.

  • If this is a new analysis, issue the command ANTYPE,TRANSIENT,NEW.

  • If you want to restart a previous analysis (for example, to specify additional loads), issue the command ANTYPE,TRANSIENT,REST. You can restart an analysis only if the files Jobname.ESAV and Jobname.DB from the previous run are available. If your prior run was solved with VT Accelerator (TRNOPT,VT), you will also need the Jobname.RSX file.

    If your analysis contains material nonlinearities, results from a restart may be different than results from a single run because the stiffness matrices are always recreated in a restart run, but may or may not be in a single run (depending on the behavior resulting from the THOPT,REFORMTOL setting).

3.4.2. Establishing Initial Conditions for Your Analysis

To establish the initial conditions, you may need to obtain a steady-state solution, or you simply may need to specify a uniform starting temperature at all nodes.

3.4.2.1. Specifying a Uniform Temperature

If you know that the model starts at ambient temperature, specify that temperature at all nodes. To do so, use either of the following:

Command(s): | TUNIF
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Settings> Uniform Temp

The value you specify via the Uniform Temp dialog box or the TUNIF command defaults to the reference temperature, which in turn defaults to zero. (You specify the reference temperature using either item below:

Command(s): | TREF
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Settings> Reference Temp

Note

Specifying a uniform starting temperature is not the same as applying a temperature DOF constraint (which you do using either item below):

Command(s): | D
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Thermal> Temperature> On Nodes

The uniform starting temperature is the temperature in effect at the beginning of an analysis, while a temperature DOF constraint forces a node to have the specified temperature until it is deleted. (To delete the temperature, you would choose one of the following:

Command(s): | DDELE
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Delete> Thermal> Temperature> On Nodes

3.4.2.2. Specifying a Non-Uniform Starting Temperature

In a transient thermal analysis (but not in a steady-state thermal analysis), you can specify one or more non-uniform starting temperatures at a node or a group of nodes. To do so, use either of the following:

Command(s): | IC
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Initial Condit'n> Define

You can also apply a non-uniform starting temperature to one or more nodes and at the same time have all other nodes use a uniform starting temperature. You simply specify the uniform temperature before applying the non-uniform temperature to selected nodes.

To display a list of the nodes using a non-uniform starting temperature, choose either of the following:

Command(s): | ICLIST
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Initial Condit'n> List Picked

If the initial temperature distribution is not uniform and is not known, you will need to do a steady-state thermal analysis to establish the initial conditions. To do so, perform these steps:

  • Specify the appropriate steady-state loads (such as imposed temperatures, convection surfaces, etc.).

  • Specify TIMINT,OFF,THERM (Main Menu> Preprocessor> Loads> Load Step Opts> Time/ Frequenc> Time-Time Integration) to turn off transient effects.

  • Use the TIME command (Main Menu> Preprocessor> Loads> Load Step Opts> Time/ Frequenc> Time-Time Step) to define a value of time. Typically, the time value is extremely small (e.g. 1E-6 seconds).

  • Specify ramped or stepped loading using the KBC command (Main Menu> Preprocessor> Loads> Load Step Opts> Time/ Frequenc> Time-Time Step). If ramped loading is defined, the effect of the resulting temperature gradients with respect to time should be considered.

  • Write the load data to a load step file using the LSWRITE command (Main Menu> Preprocessor> Loads> Load Step Opts> Write LS File).

For the second load step, remember to delete any imposed temperatures unless you know that those nodes will maintain the same temperatures throughout the transient analysis. Also, remember to issue TIMINT,ON,THERM in the second load step to turn on transient effects. For more information, see the descriptions of the D, DDELE, LSWRITE, SF, TIME, and TIMINT commands in the Commands Reference.

3.4.3. Specifying Load Step Options

For a thermal analysis, you can specify general options, nonlinear options, and output controls.

3.4.3.1. Defining Time-stepping Strategy

You can manage your transient problem either by defining multiple load steps (for stepped or ramped boundary conditions) or by using a single load step and tabular boundary conditions (for arbitrary time-varying conditions) with an array parameter to define your time points. However, you can only apply the table method to heat transfer (only) elements, thermal electric elements, thermal surface effect elements, fluid elements, or some combination of these types.

To use the load step method, follow this procedure:

  1. Specify the time at the end of the load step using one of these methods:

    Command(s): TIME
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Time/ Frequenc> Time-Time Step

  2. Specify whether your loads are stepped or ramped. Use either of the following:

    Command(s): KBC
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Time/ Frequenc> Time-Time Step

  3. Specify the load values at the end of the load step. (This requires various commands or menu paths, as described in Table 2.9: "Thermal Analysis Load Types" and Table 2.10: "Load Commands for a Thermal Analysis" in this document.)

  4. Write information to a load step file using one of these methods:

    Command(s): LSWRITE
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Write LS File

  5. Repeat steps 1 through 4 for the next load step, then the next, and so on until you have finished writing all load step data to the file.

    If you will delete any loads (except temperature constraints), set them to zero over a small time interval instead of deleting them.

To use table parameters, follow this procedure:

  1. Define your loading profile (i.e., load vs. time) using TABLE type array parameters as described in Applying Loads Using TABLE Type Array Parameters in the Basic Analysis Guide.

  2. Specify automatic time stepping on (AUTOTS,ON). Specify either time step size (DELTIM) or number of substeps (NSUBST).

  3. Specify the time step reset option. You can choose to not reset the time stepping during the solution, to reset the time based on an already-defined array of time values (keytimes), or to reset the time based on a new array of keytimes.

    Command(s): TSRES
    GUI: Main Menu> Solution> Load Step Opts> Time/Frequenc> Time-Time Step
    Main Menu> Solution> Load Step Opts> Time/Frequenc> Time and Sub Stps

    If you select new while working interactively, you will be asked to fill in the nx1 array of keytimes at this time. If you are working in batch mode, you must define the array before issuing TSRES, which resets the time step to the initial value as specified on DELTIM or NSUBST.

    If you use an array of time values (FREQ = %array% on the OUTRES command) in conjunction with a time step reset array (TSRES command), you need to ensure that any FREQ array time values exceed the nearest TSRES array value by the initial time step increment specified with DELTIM,DTIME or NSUBST,NSBSTP. For example, if you have a FREQ array with the values 1.5, 2, 10, 14.1, and 15, and a TSRES array with the values 1, 2, 10, 14, and 16 (where the time stepping would restart at those values), and you specify an initial time step increment of DTIME = .2, the program will stop. In this example, the requested FREQ array value of 14.1 does not exist, because the TSRES value specified that the time step be reset at 14 and increment at an interval of .2; therefore, the first available time for the FREQ array would be 14.2.

    Note

    TSRES is used only with AUTOTS,ON. If constant time stepping is used (AUTOTS,OFF), TSRES is ignored.

    Command(s): *DIM
    GUI: Utility Menu> Parameters> Array Parameters> Define/Edit

    When you create a keytime array, the time values in the array must be in ascending order and must not exceed the time at the end of the load step as defined on the TIME command.

    During solution, the time step size will be reset at the keytimes identified in the array. Time step sizes are reset based on initial time step size [DELTIM,DTIME] or number of substep [NSUBST,NSBSTP] settings.

  4. Specify when the information is to be written to the results file using an nx1 array type parameter, just as you did with the keytime array. You can use the same keytime array that you used to reset time stepping, or you can use a different array. If working interactively, you can create the array at this time or use an existing array. If working in batch mode, you must define the array before issuing OUTRES.

    Command(s): OUTRES
    GUI: Main Menu> Solution> Load Step Opts> Ouput Ctrls> DB/Results File

    Note

    You can use the TSRES command and time stepping strategy only if using the following heat transfer (only) elements, thermal electric elements, thermal surface effect elements, fluid element FLUID116, or some combination of these types:

    LINK31 SOLID70 SURF152
    LINK32 MASS71 SHELL157 [2]
    LINK33 PLANE75 TARGE169
    PLANE35 PLANE77 TARGE170
    MATRIX50 SOLID87 CONTA171
    PLANE55 SOLID90 CONTA172
    SHELL57 FLUID116 CONTA173
    PLANE67 [2] SHELL131 CONTA174
    LINK68 [2] SHELL132
    SOLID69 [2] SURF151

3.4.3.2. General Options

General options include the following:

  • Solution control option

    This option turns solution control heuristic ON/OFF for thermal analysis. With this option turned ON, you normally specify the number of substeps (NSUBST) or the time step size (DELTIM), and the time at the end of the load step (TIME). The remainder of the solution control commands then default to their optimal values for the particular thermal problem. See the SOLCONTROL command in the Commands Reference for more details.

    To turn solution control ON or OFF, use either of the following:

    Command(s): SOLCONTROL
    GUI: Main Menu> Solution> Analysis Type> Sol'n Controls

  • The time option

    This option specifies time at the end of the load step.

    The default time value is 1.0 for the first load step. For subsequent load steps, the default is 1.0 plus the time specified for the previous load step.

    To specify time, use either of the following:

    Command(s): TIME
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Time/ Frequenc> Time and Substps
    Main Menu> Preprocessor> Loads> Load Step Opts> Time/ Frequenc> Time-Time Step

  • Number of substeps per load step, or the time step size

    A nonlinear analysis requires multiple substeps within each load step. By default, the program uses one substep per load step.

    In regions of severe thermal gradients during a transient (e.g., surfaces of quenched bodies), there is a relationship between the largest element size in the direction of the heat flow and the smallest time step size that will yield good results. Using more elements for the same time step size will normally give better results, but using more substeps for the same mesh will often give worse results. When using automatic time stepping and elements with midside nodes (quadratic elements), ANSYS recommends that you control the maximum time step size by the description of the loading input and define the minimum time step size (or maximum element size) based on the following relationship:

    ITS = Δ2 / 4 α

    The Δ value is the conducting length of an element (along the direction of heat flow) in the expected highest temperature gradient. The α value is the thermal diffusivity, given by k/ρC. The k value is the thermal conductivity, ρ is the mass density, and C is the specific heat.

    If the above relationship (ITS = Δ2 / 4 α) is violated when using elements with midside nodes, ANSYS typically computes unwanted oscillations and temperatures outside of the physically possible range. When using elements without midside nodes, the unwanted oscillations are unlikely to occur, and the above recommendation for the minimum time step can be considered somewhat conservative.

    Caution

    Avoid using extremely small time steps, especially when establishing initial conditions. Very small numbers can cause calculation errors in ANSYS. For instance, on a problem time scale of unity, time steps smaller than 1E-10 can cause numerical errors.

    To set the number of size of time steps, use either of the following:

    Command(s): NSUBST,
    DELTIM
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Time/ Frequenc> Freq and Substps or Time and Substps
    Main Menu> Preprocessor> Loads> Load Step Opts> Time/ Frequenc> Time-Time Step

    If you apply stepped loads, the load value remains constant for the entire load step. If you ramp loads (the default), the load values increment linearly at each substep (time step) of the load step.

    To step or ramp loads, use either of the following:

    Command(s): KBC
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Time/ Frequenc> Time and Substps
    Main Menu> Preprocessor> Loads> Load Step Opts> Time/ Frequenc> Time-Time Step
    Main Menu> Preprocessor> Loads> Load Step Opts> Time/ Frequenc> Freq and Substps

  • Monitor Results in Real Time

    The NLHIST command allows you to monitor results of interest in real time during a solution. Before starting the solution, you can request nodal data such as temperatures or heat flows. You can also request element nodal data such as thermal gradients and fluxes at specific elements to be graphed. The result data are written to a file named Jobname.nlh. Nodal results and contact results are monitored at every converged substep while element nodal data are written as specified via the OUTRES setting. You can also track results during batch runs. To execute, either:

    • Access the ANSYS Launcher and select File Tracking from the Tools menu.

      Or...

    • Type nlhist100 in the command line.

    Use the supplied file browser to navigate to your Jobname.nlh file, and click on it to invoke the tracking utility. You can use this utility to read the file at any time, even after the solution is complete.

    To use this option, use either of these methods:

    Command(s): NLHIST
    GUI: Main Menu> Solution> Results Tracking

3.4.4. Nonlinear Options

For single-field nonlinear thermal analysis, ANSYS allows a choice of three solution options. The Full option corresponds to the default full Newton-Raphson algorithm. The Quasi option corresponds to only selective reforming of the thermal matrix during solution of the nonlinear thermal problem. The matrix is only reformed if the nonlinear material properties changed by a significant amount (user-controlled). This option performs no equilibrium iterations between time steps. Material properties are evaluated at the temperatures at the beginning of the load step. The Linear option forms only one thermal matrix at the first time step of a load step. This option should only be used to obtain a quick approximate solution.

These options in ANSYS can be selected by the THOPT command. The Quasi and Linear solution options perform direct assembly of the thermal matrix and only the ICCG and JCG solvers support solutions under this option. You can choose either of these solvers using the EQSLV command.

For the Quasi solution option, you have to also specify the material property change tolerance use for matrix reformation. The reform tolerance defaults to .05, corresponding to a 5% change in material properties. The Quasi option sets up a single fast material table, with equal temperature points between a maximum and a minimum temperature for evaluation of temperature-dependent material properties. Using this option you have to also specify the number of points (defaults to 64) and the minimum and maximum temperature (defaults to the minimum and maximum temperature defined by the MPTEMP command) for the fast material table. All other nonlinear load options are valid with the THOPT command.

Command(s): | THOPT
GUI: | Main Menu> Preprocessor> Loads> Analysis Type> Analysis Options

The Full option used with VT Accelerator (TRNOPT,VT) selects an advanced predictor-corrector algorithm to reduce the overall number of iterations. This option requires an HPC license. This option is not available for THOPT,QUASI or LINEAR.

Command(s): | TRNOPT
GUI: | Main Menu> Solution> Analysis Type> Analysis Options

Specify nonlinear load step options only if nonlinearities are present. Nonlinear options include the following:

  • Number of equilibrium iterations

    This option specifies the maximum allowable number of equilibrium iterations per substep. With SOLCONTROL,ON, this command defaults to between 15 and 26 iterations, depending upon the physics of the problem.

    To specify the number of equilibrium iterations, use either of the following:

    Command(s): NEQIT
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Nonlinear> Equilibrium Iter

  • Automatic Time Stepping

    Also called time step optimization in a transient analysis, automatic time stepping allows ANSYS to determine the size of load increments between substeps. It also increases or decreases the time step size during solution, depending on how the model responds. In a transient thermal analysis, the response checked is the thermal eigenvalue. For the THOPT,Quasi option, the time step size is also adjusted based on property change during solution. If the eigenvalue is small, a larger time step is used and vice versa. Other things considered in determining the next time step are the number of equilibrium iterations used for the previous time step, and changes in the status of nonlinear elements.

    For most problems, you should turn on automatic time stepping and set upper and lower limits for the integration time step. The limits, set via the NSUBST command or DELTIM command, or the menu path shown below, help to control how much the time step varies.

    GUI:

    Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Time-Time Step

    To specify automatic time stepping, use either of the following:

    Command(s): AUTOTS
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Time and Substps
    Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Time-Time Step

    To change the default values used for automatic time stepping, use either of the following:

    Command(s): TINTP
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Time Integration

  • Time integration effects

    These load step options determine whether the analysis includes transient effects such as structural inertia and thermal capacitance.

    Note

    The ANSYS program assumes time integration effects to be on in a transient analysis (unless they were turned off to establish initial conditions). If time integration effects are turned off, ANSYS calculates a steady-state solution.

    To specify time integration effects, use either of the following:

    Command(s): TIMINT
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Time Integration

  • Transient integration parameters

    These parameters control the nature of your time integration scheme and specify the criteria for automatic time stepping. Consult the Theory Reference for ANSYS and ANSYS Workbench for details.

    To minimize inaccuracies in a solution, you can set the transient integration parameter (the THETA value) to 1.0.

    To specify transient integration parameters, use either of the following:

    Command(s): TINTP
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Time Integration

  • Convergence tolerances

    The ANSYS program considers a nonlinear solution to be converged whenever specified convergence criteria are met. Convergence checking may be based on temperatures, heat flow rates, or both. You specify a typical value for the desired item (VALUE field on the CNVTOL command) and a tolerance about the typical value (TOLER field). The convergence criterion is then given by VALUE x TOLER. For instance, if you specify 500 as the typical value of temperature and 0.001 as the tolerance, the convergence criterion for temperature is 0.5 degrees.

    For temperatures, ANSYS compares the change in nodal temperatures between successive equilibrium iterations (ΔT = Ti - Ti-1) to the convergence criterion. Using the above example, the solution is converged when the temperature difference at every node from one iteration to the next is less than 0.5 degrees.

    For heat flow rates, ANSYS compares the out-of-balance load vector to the convergence criterion. The out-of-balance load vector represents the difference between the applied heat flows and the internal (calculated) heat flows.

    To specify convergence tolerances, use either of the following:

    Command(s): CNVTOL
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Nonlinear> Convergence Crit

    As nonlinear thermal analysis proceeds, ANSYS computes convergence norms with corresponding convergence criteria each equilibrium iteration. Available in both batch and interactive sessions, the Graphical Solution Tracking (GST) feature displays the computed convergence norms and criteria while the solution is in process. By default, GST is ON for interactive sessions and OFF for batch runs. To turn GST on or off, use either of the following:

    Command(s): /GST
    GUI: Main Menu> Solution> Load Step Opts> Output Ctrls> Grph Solu Track

  • Termination settings for unconverged solutions

    If the ANSYS program cannot converge the solution within the specified number of equilibrium iterations, ANSYS either stops the solution or moves on to the next load step, depending on what you specify as the stopping criteria.

    To halt an unconverged solution, use either of the following:

    Command(s): NCNV
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Nonlinear> Criteria to Stop

  • Line search

    The line search option allows ANSYS to perform a line search with the Newton-Raphson method. To use the line search option, use either of the following:

    Command(s): LNSRCH
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Nonlinear> Line Search

  • Predictor-corrector option

    This option activates the predictor-corrector option for the degree of freedom solution at the first equilibrium iteration of each substep.

    To use the predictor option, use either of the following:

    Command(s): PRED
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Nonlinear> Predictor

3.4.5. Output Controls

This class of load step options enables you to control output. Output controls options are as follows:

  • Control printed output

    This option enables you to include any results data in the printed output file (Jobname.OUT). To control printed output, use either of the following:

    Command(s): OUTPR
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Output Ctrls> Solu Printout

  • Control database and results file output

    This option controls what data goes to the results file (Jobname.RTH). To control database and results file output, use either of the following:

    Command(s): OUTRES
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Output Ctrls> DB/Results File

  • Extrapolate results

    This option allows you to review element integration point results by copying them to the nodes instead of extrapolating them. (Extrapolation is the default.) To extrapolate results, use either of the following:

    Command(s): ERESX
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Output Ctrls> Integration Pt

[2] Thermal DOF only

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.3. Building the Model 		Up / Home Next
3.5. Saving the Model


3.5. Saving the Model

After you have specified the load step options and analysis options, save your database contents to a backup file. To do so, choose one of the methods shown below:

Command(s): | SAVE
GUI: | Utility Menu> File> Save As Utility Menu> File> Save Jobname.db

Backing up your database prevents your model from being lost should your computer system fail. If you need to retrieve your model, choose either of the following:

Command(s): | RESUME
GUI: | Utility Menu> File> Resume Jobname.db Utility Menu> File> Resume from

3.5.1. Solving the Model

To start the solution, choose either of the following:

Command(s): | LSSOLVE
GUI: | Main Menu> Solution> Solve> From LS Files

If you prefer, you can create and solve multiple load steps using array parameters or using the multiple solve method. For information about these methods, see the Basic Analysis Guide.

To finish your solution and exit from the SOLUTION processor, choose either of the following:

Command(s): | FINISH
GUI: | Main Menu> Finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.4. Applying Loads and Obtaining a Solution 		Up / Home Next
3.6. Reviewing Analysis Results


3.6. Reviewing Analysis Results

ANSYS writes the results from a transient thermal analysis to the thermal results file, Jobname.RTH. Results contain the following data (all of which are functions of time):

  • Primary data

    • Nodal temperatures (TEMP)

  • Derived data

    • Nodal and element thermal fluxes (TFX, TFY, TFZ, TFSUM)

    • Nodal and element thermal gradients (TGX, TGY, TGZ, TGSUM)

    • Element heat flow rates

    • Nodal reaction heat flow rates

    • ...etc.

3.6.1. How to Review Results

You can review these results using either of the following:

  • The general postprocessor, POST1. (Main Menu> General Postproc.) POST1 enables you to review results at one time step over the entire model or a selected part of the model.

  • The time history postprocessor, POST26. (Main Menu>TimeHist Postproc.) POST26 lets you review results at specific points in the model over all time steps. Other POST26 capabilities include graph plots of results of data versus time or frequency, arithmetic calculations, and complex algebra.

The next few paragraphs describe some typical postprocessing operations for a transient thermal analysis. For a complete description of all postprocessing functions, see the Basic Analysis Guide.

Note

To review results in either postprocessor, the ANSYS database must contain the same model for which the solution was calculated. (If necessary, retrieve the model.) In addition, the results file, Jobname.RTH, must be available.

3.6.2. Reviewing Results with the General Postprocessor

After you enter POST1, read in results at the desired time point. To do so, use either of the following:

Command(s): | SET
GUI: | Main Menu> General Postproc> Read Results> By Time/Freq

If you specify a time value for which no results are available, the ANSYS program performs linear interpolation to calculate the results at that time. ANSYS uses the last time point if you specify a time that is beyond the time span of the transient.

You also can have ANSYS read results by their load step and substep numbers. To do so, use the following menu path instead of the one shown above: Main Menu> General Postproc> Read Results> By Load Step.

Caution

For a nonlinear analysis, linear interpolation of results data between time points can cause some loss of temporal accuracy. Therefore, take care to specify a time value for which a solution is available.

3.6.3. Reviewing Results with the Time History Postprocessor

The time history postprocessor, POST26, works with tables of result items versus time, known as variables. ANSYS assigns each variable a reference number, with variable number 1 reserved for time.

If you are reviewing your analysis results using POST26, begin by defining the variables.

  • To define variables for primary data, use either method below:

    Command(s): NSOL
    GUI: Main Menu> TimeHist Postproc> Define Variables

  • To define variables for derived data, use the following command or GUI path:

    Command(s): ESOL
    GUI: Main Menu> TimeHist Postproc> Define Variables

  • To define variables for reaction data, use either method below:

    Command(s): RFORCE
    GUI: Main Menu> TimeHist Postproc> Define Variables

    Once your variables are defined, you can convert them to a graph, issue PLVAR (Main Menu> TimeHist Postproc> Graph Variables). Choosing this command or menu path also gives you a listing of the variables.

    To list only the extreme variable values, use either of the following:

    Command(s): EXTREM
    GUI: Main Menu> TimeHist Postproc> List Extremes

By reviewing the time-history results at strategic points throughout the model, you can identify the critical time points for further postprocessing with POST1.

POST26 offers many other functions including performing arithmetic operations among variables, moving variables into array parameters, and moving array parameters into variables. For details, see Basic Analysis Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.5. Saving the Model 		Up / Home Next
3.7. Reviewing Results as Graphics or Tables


3.7. Reviewing Results as Graphics or Tables

Once you have read results in, you can use ANSYS graphics displays and tables to review them. To display your results, use the menu paths shown below. Equivalent commands are shown in parentheses.

For examples of contour and vector displays, see either "Steady-State Thermal Analysis" in this manual or various chapters in the Basic Analysis Guide.

3.7.1. Reviewing Contour Displays

Command(s): | PLESOL
GUI: | Main Menu> General Postproc> Plot Results> Contour Plot> Element Solu
Command(s): | PLETAB
GUI: | Main Menu> General Postproc> Plot Results> Contour Plot> Elem Table
Command(s): | PLNSOL
GUI: | Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu

3.7.2. Reviewing Vector Displays

Command(s): | PLVECT
GUI: | Main Menu> General Postproc> Plot Results> Vector Plot> Pre-defined or User-defined

3.7.3. Reviewing Table Listings

Command(s): | PRESOL
GUI: | Main Menu> General Postproc> List Results> Element Solution
Command(s): | PRNSOL
GUI: | Main Menu> General Postproc> List Results> Nodal Solution
Command(s): | PRRSOL
GUI: | Main Menu> General Postproc> List Results> Reaction Solu

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.6. Reviewing Analysis Results 		Up / Home Next
3.8. Phase Change


3.8. Phase Change

One of the ANSYS program's most powerful features for thermal analysis is its ability to analyze phase change problems, such as a melting or solidifying process. Some of the applications for phase change analysis include:

  • The casting of metals, to determine such characteristics as the temperature distribution at different points during the phase change, length of time for the phase change to occur, thermal efficiency of the mold, etc.

  • Production of alloys, where chemical differences instead of physical differences cause the phase change.

  • Heat treatment problems.

To analyze a phase change problem, you perform a nonlinear transient thermal analysis. The only differences between linear and nonlinear transient analyses are that, in nonlinear analyses:

  • You need to account for the latent heat; that is, heat energy that the system stores or releases during a phase change. To account for latent heat, define the enthalpy of the material as a function of temperature (see below):

Figure 3.2 Sample Enthalpy vs. Temperature Curve

Enthalpy, which has units of heat/volume, is the integral of density times specific heat with respect to temperature:

H = [image] pc(T)dT

  • In nonlinear analysis, you must specify a small enough integration time step for the solution. Also, turn on automatic time stepping so that the program can adjust the time step before, during, and after the phase change.

  • Use lower-order thermal elements, such as PLANE55 or SOLID70. If you have to use higher-order elements, choose the diagonalized specific heat matrix option using the appropriate element KEYOPT. (This is the default for most lower-order elements.)

  • When specifying transient integration parameters, set THETA to 1, so that the Euler backward difference scheme is used for the transient time integration. (THETA defaults to 0.5.)

  • You may find the line search option helpful in phase change analyses. To exercise the line search option, use either of the following:

    Command(s): LNSRCH
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Nonlinear> Line Search

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.7. Reviewing Results as Graphics or Tables 		Up / Home Next
3.9. Example of a Transient Thermal Analysis


3.9. Example of a Transient Thermal Analysis

This section presents an example of a transient thermal analysis.

3.9.1. The Example Described

The example analysis this chapter describes is a transient heat transfer analysis of a casting process.

Note

A pictorial version of this example appears in the Thermal Tutorial.

This example tracks the temperature distribution in the steel casting and the mold during a three-hour solidification process. The casting is made in an L-shaped sand mold with four-inch thick walls. Conduction occurs between the steel and the sand mold, and convection occurs between the sand mold and the ambient air.

The example performs a 2-D analysis of a slice that is one unit thick. Half symmetry is used to reduce the size of the model. The lower half is the portion modeled.

To analyze the entire thickness of the model, use PLANE55 with KEYOPT(3) = 3 and specify the THK real constant. In this case, the temperate results will not be any different than modeling a one-unit thickness, but the heat flow results (PRRSOL, PRRFOR, PRNSOL, PRESOL) will be different.

3.9.2. Example Material Property Values

Sand and steel, the materials used in the sample analysis of the casting, have these properties:

Item | U.S. Customary Measurement Units
Material properties for sand:
Conductivity (KXX) | 0.025 Btu/(hr-in-F)
Density (DENS) | 0.054 lb/in3
Specific heat (C) | 0.28 Btu/(lb- °F)
Material properties for steel: Conductivity (KXX):
at 0 °F | 1.44 Btu/(hr-in- °F)
at 2643 °F | 1.54
at 2750 °F | 1.22
at 2875 °F | 1.22
Enthalpy (ENTH):
at 0 °F | 0.0 Btu/in3
at 2643 °F | 128.1
at 2750 °F | 163.8
at 2875 °F | 174.2
Initial conditions:
Temperature of steel | 2875 °F
Temperature of sand | 80 °F
Convection properties:
Film coefficient | 0.014 Btu/(hr-in2- °F)
Ambient temperature | 80 °F

Material properties for the sand are constant. The steel casting has temperature-dependent thermal conductivity and enthalpy.

The solution method for this example uses automatic time stepping to determine the proper time step increments needed to converge the phase change nonlinearity. The transition from molten to solid steel uses smaller time steps.

3.9.3. Example of a Transient Thermal Analysis (GUI Method)

The example casting solidification analysis is included in the Thermal Tutorial.

3.9.4. Commands for Building and Solving the Model

The following sequence of ANSYS commands builds and solves the casting model. Comments (text preceded by the exclamation mark or ! character) explain what functions the commands perform.

/TITLE,CASTING SOLIDIFICATION !Give the analysis a title
/PREP7
K,1,0,0,0
K,2,22,0,0
K,3,10,12,0
K,4,0,12,0
/TRIAD,OFF                   !Turn triad symbol off
/REPLOT
!
A,1,2,3,4                    !Connect keypoints to define mold area
SAVE
RECTNG,4,22,4,8              !Create a primitive rectangle
APLOT                        !Display areas
AOVLAP,1,2                   !Overlap the areas
ADELE,3,,,1                  !Delete area 3
SAVE
!
MP,DENS,1,0.054              !Define sand properties
MP,KXX,1,0.025
MP,C,1,0.28
!
MPTEMP,1,0,2643,2750,2875,,, !Define steel properties
MPDATA,KXX,2,1,1.44,1.54,1.22,1.22,,,
MPDATA,ENTH,2,1,0,128.1,163.8,174.2
MPPLOT,KXX,2,,,,,            !Plot steel conductivity
MPPLOT,ENTH,2,,,,,           !Plot steel enthalpy
SAVE
!
ET,1,PLANE55                 !Use element PLANE55
!
SAVE
SMRT,5                       !Specify smart element sizing level 5
MSHAPE,0,2D                  !Mesh with quadrilateral-shaped elements
MSHKEY,0                     !Specify free meshing
AMESH,5                      !Mesh mold area, area 5
!
TYPE,1                       !Set element type attribute pointer to 1
MAT,2                        !Set element material attribute pointer to 2
REAL                         !Set element real const set attribute pointer
ESYS,0                       !Set the element coord sys attribute pointer
AMESH,4                      !Mesh casting area, area 4
!
SAVE
SFL,1,CONV,0.014,,80,,       !Apply film coefficient and bulk temperature
SFL,3,CONV,0.014,,80,,
SFL,4,CONV,0.014,,80,,
SAVE
FINISH
/SOLU
!
ANTYPE,4                     !Specify transient analysis
SOLCONTROL,ON,0              !Activate optimized nonlinear solu defaults
!
APLOT
ASEL,S,,,4                   !Select casting area, area 4
NSLA,S,1                     !Select nodes associated with casting area
NPLOT                        !Display casting area nodes
IC,ALL,TEMP,2875             !Apply initial condition of 2875F on casting
NSEL,INVE                    !Select nodes of steel area, area 5
/REPLOT                      !Display mold area nodes
IC,ALL,TEMP,80               !Apply initial condition of 80F on mold
ALLSEL,ALL                   !Select all entities
SAVE
!
TIME,3                       !Set time at end of load step
AUTOTS,-1                    !Program chosen automatic time stepping
DELTIM,0.01,0.001,0.25,1     !Specify time step sizes
KBC,1                        !Specify stepped loading
!
OUTRES,ALL,ALL               !Write to file at every step
SAVE
/STAT,SOLU                   !Display solution options
/REPLOT                      !Display all nodes
APLOT                        !Display areas
SOLVE
FINISH
!
/POST26                      !Time-history postprocessor
EPLOT                        !Display elements
cntr_pt=node(16,6,0)         !Define postprocessing variable
NSOL,2,cntr_pt,TEMP,,center  !Specify nodal data to be stored
PLVAR,2                      !Display nodal temperature versus time
FINISH
/EOF

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.8. Phase Change 		Up / Home Next
3.10. Where to Find Other Examples of Transient Thermal Analysis


3.10. Where to Find Other Examples of Transient Thermal Analysis

Several ANSYS publications, particularly the Verification Manual and the Heat Transfer Training Manual, describe additional examples of transient and other types of thermal analyses.

Attending the Heat Transfer seminar may benefit you if you analyze the thermal response of structures and components such as internal combustion engines, pressure vessels, heat exchangers and furnaces, etc. For more information about this seminar, contact your local ANSYS Support Distributor or telephone the ANSYS Training Registrar at (724) 514-2882.

The Verification Manual consists of test case analyses demonstrating the analysis capabilities of the ANSYS program. While these test cases demonstrate solutions to realistic thermal analysis problems, the Verification Manual does not present them as step-by-step examples with lengthy data input instructions and printouts. However, most ANSYS users who have at least limited finite element experience should be able to fill in the missing details by reviewing each test case's finite element model and input data with accompanying comments.

The Verification Manual contains a variety of transient thermal analysis test cases:

VM28 - Transient Heat Transfer in an Infinite Slab
VM94 - Heat Generating Plate
VM104 - Liquid-Solid Phase Change
VM109 - Temperature Response of a Suddenly Cooled Wire
VM110 - Transient Temperature Distribution in a Slab
VM111 - Cooling of a Spherical Body
VM112 - Cooling of a Spherical Body
VM113 - Transient Temperature Distribution in an Orthotropic Metal Bar
VM114 - Temperature Response to a Linearly Rising Surface
VM115 - Thermal Response of a Heat Generating Slab
VM116 - Heat Conducting Plate with Sudden Cooling
VM159 - Temperature Controlled Heater
VM192 - Cooling of a Billet by Radiation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.9. Example of a Transient Thermal Analysis 		Up / Home Next
Chapter 4. Radiation


Chapter 4. Radiation

Radiation is the transfer of energy via electromagnetic waves. The waves travel at the speed of light, and energy transfer requires no medium. Thermal radiation is just a small band on the electromagnetic spectrum. Because the heat flow that radiation causes varies with the fourth power of the body's absolute temperature, radiation analyses are highly nonlinear.

The following radiation topics are available:

  • Analyzing Radiation Problems
  • Definitions
  • Using LINK31, the Radiation Link Element
  • Modeling Radiation Between a Surface and a Point
  • Using the AUX12 Radiation Matrix Method
  • Using the Radiosity Solver Method
  • Advanced Radiosity Options
  • Example of a 2-D Radiation Analysis Using the Radiosity Method (Command Method)
  • Example of a 2-D Radiation Analysis Using the Radiosity Method with Decimation and Symmetry (Command Method)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.10. Where to Find Other Examples of Transient Thermal Analysis 		Up / Home Next
4.1. Analyzing Radiation Problems


4.1. Analyzing Radiation Problems

The ANSYS program provides four methods for radiation analysis, each meant for a different situation:

  • You can use LINK31, the radiation link element, for simple problems involving radiation between two points or several pairs of points.

  • You can use the surface effect elements, SURF151 and SURF152 for radiation between a surface and a point.

  • You can use the AUX12 Radiation Matrix method for more generalized radiation problems involving two or more surfaces. (Only the ANSYS Multiphysics, ANSYS Mechanical, and ANSYS Professional programs offer Radiation Matrix Generator.)

  • You can also use the Radiosity Solver method for more generalized radiation problems in 3-D/2-D involving two or more surfaces. This method is supported by all 3-D/2-D elements having a temperature degree of freedom. (Only the ANSYS Multiphysics, ANSYS Mechanical, and ANSYS Professional programs offer Radiosity Solver.)

You can use the four radiation analysis methods for either transient or steady-state thermal analyses. Radiation is a nonlinear phenomenon, so you will need an iterative solution to reach a converged solution.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 4. Radiation 		Up / Home Next
4.2. Definitions


4.2. Definitions

The following definitions apply to terms used in radiation analysis.

  • Enclosure: An open or closed enclosure in a radiation problem is a set of surfaces radiating to each other. In ANSYS, you can have many enclosures, with surfaces radiating to each other. ANSYS uses the definition of an enclosure to calculate view factors amongst surfaces belonging to an enclosure. Each open enclosure can have its own space temperature or space node which radiates to the ambient temperature.

  • Radiating Surfaces: An open or closed enclosure can consist of many surfaces radiating to each other. Each radiating surface has an emissivity and a direction of radiation assigned to it. The Emissivity for a surface can be a function of temperature.

  • View Factors: To compute radiation exchange between any two surfaces, you calculate the fraction of the radiation leaving surface i which is intercepted by surface j. This fraction is known as the view factor, form factor, or shape factor. In ANSYS, you can calculate view factors using the hidden/non-hidden method for 2-D and 3-D problems or the Hemicube method for 3-D problems.

  • Emissivity: Emissivity is a surface radiative property defined as the ratio of the radiation emitted by the surface to the radiation emitted by a black body at the same temperature. ANSYS restricts radiation exchange between surfaces to gray-diffuse surfaces. The word grey signifies that emissivity and absorptivity of the surface do not depend on wavelength (either can depend on temperature). The word diffuse signifies that emissivity and absorptivity do not depend on direction. For a gray diffuse surface, emissivity = absorptivity; emissivity + reflectivity = 1. Note that a black body surface has a unit emissivity.

  • Stefan-Boltzmann Constant: Stefan-Boltzmann constant provides the proportionality constant between the radiative heat flux and the forth power of temperature in the radiation model. The units for the constant depends on the absolute temperature units used in the ANSYS model.

  • Temperature Offset: The unit of temperature plays an important role in radiation analysis. You can perform radiation calculations in absolute temperature units. If the model is defined in terms of degrees Fahrenheit or degrees Celsius, you must specify a temperature offset. The temperature offset is 460° for the Fahrenheit system and 273° for the Celsius system.

  • Space Temperature: For an open enclosure problem, ANSYS requires specification of a space temperature for energy balance to the ambient. Each enclosure can have its own space temperature.

  • Space Node: For an open enclosure problem, if the ambient is another body in the model, you can use the temperature of a space node to represent the free-space ambient temperature

  • Radiosity Solver: The Radiosity Solver method accounts for the heat exchange between radiating bodies by solving for the outgoing radiative flux for each surface, when the surface temperatures for all surfaces are known. The surface fluxes provide boundary conditions to the finite element model for the conduction process analysis in ANSYS. When new surface temperatures are computed, due to either a new time step or iteration cycle, new surface flux conditions are found by repeating the process. The surface temperatures used in the computation must be uniform over each surface facet to satisfy the conditions of the radiation model.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.1. Analyzing Radiation Problems 		Up / Home Next
4.3. Using LINK31, the Radiation Link Element


4.3. Using LINK31, the Radiation Link Element

LINK31 is a 2-node, nonlinear line element that calculates the heat flow caused by radiation between two points. The element requires you to specify, in the form of real constants:

  • An effective radiating surface area

  • Form factor

  • Emissivity

  • The Stefan-Boltzmann constant.

Limit your use of the LINK31 analysis method to simple cases where you know, or can calculate easily by hand, the radiation form factors.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.2. Definitions 		Up / Home Next
4.4. Modeling Radiation Between a Surface and a Point


4.4. Modeling Radiation Between a Surface and a Point

A convenient way to model radiation between a surface and a point is to use surface effect elements superimposed on surfaces that emit or receive radiation. ANSYS provides such elements: SURF151 for 2-D models and SURF152 for 3-D models. The element option KEYOPT(9) activates radiation for these elements. The form factor can be specified as a real constant (defaults to 1) using KEYOPT(9) = 1, or you can calculate a cosine effect (using KEYOPT(9) = 2 or 3) from the basic element orientation and the extra node location.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.3. Using LINK31, the Radiation Link Element 		Up / Home Next
4.5. Using the AUX12 Radiation Matrix Method


4.5. Using the AUX12 Radiation Matrix Method

Offered in the ANSYS Multiphysics, ANSYS Mechanical, and ANSYS Professional programs only, this method works for generalized radiation problems involving two or more surfaces receiving and emitting radiation. The method involves generating a matrix of form factors (view factors) between radiating surfaces and using the matrix as a superelement in the thermal analysis. You also can include hidden or partially hidden surfaces, as well as a "space node" that can absorb radiation energy.

The following AUX12 topics are available:

  • Procedure
  • Recommendations for Using Space Nodes
  • General Guidelines for the AUX12 Radiation Matrix Method

4.5.1. Procedure

The AUX12 Radiation Matrix method consists of three steps:

  1. Define the radiating surfaces.

  2. Generate the radiation matrix.

  3. Use the radiation matrix in the thermal analysis.

4.5.1.1. Defining the Radiating Surfaces

To define the radiating surfaces, you create a superimposed mesh of LINK32 elements in 2-D models and SHELL57 elements in 3-D models. To do so, perform the following tasks:

  1. Build the thermal model in the preprocessor (PREP7). Radiating surfaces do not support symmetry conditions, therefore models involving radiating surfaces cannot take advantage of geometric symmetry and must therefore be modeled completely (except for 2-D axisymmetric cases). The radiating surfaces usually are faces of a 3-D model and edges of a 2-D model, as shown below:

    Figure 4.1 Radiating Surfaces for 3-D and 2-D Models

  2. Superimpose the radiating surfaces with a mesh of SHELL57 elements in 3-D models or LINK32 elements in 2-D models, as shown in the graphic below. The best way to do this is to first create a subset of the surface nodes, and then generate the surface elements using one of the following:

    Command(s): ESURF
    GUI: Main Menu> Preprocessor> Modeling> Create> Elements> Surf/Contact> Surf Effect> General Surface> Extra Node
    Main Menu> Preprocessor> Modeling> Create> Elements> Surf/Contact> Surf Effect> General Surface> No extra Node

    Make sure to first activate the proper element type for the surface elements. Also, if the surfaces are to have different emissivities, assign different material reference numbers before creating the elements.

    Figure 4.2 Superimposing Elements on Radiating Surfaces

    Caution

    Radiating surface mesh of SHELL57 or LINK32 elements must match (node for node) the underlying solid element mesh. If it does not match, the resulting thermal solution will be incorrect.

    The orientation of the superimposed elements is important. The AUX12 Radiation Matrix Generator assumes that the "viewing" direction (that is, the direction of radiation) is along +Ze for SHELL57 elements and along +Ye for LINK32 elements (where e denotes the outward normal direction of the element coordinate system). Therefore, you must mesh the superimposed elements so that the radiation occurs from (or to) the proper face. The order in which the element's nodes are defined controls the element orientation, as shown below:

    Figure 4.3 Orienting the Superimposed Elements

  3. Define a space node, which simply is a node that absorbs radiant energy not received by other surfaces in the model. Location of this node is not important. An open system usually requires a space node. However, you should not specify a space node for a closed system.

4.5.1.2. Generating the AUX12 Radiation Matrix

Calculating the radiation matrix requires the following inputs:

  • Nodes and elements that make up the radiating surfaces

  • Model dimensionality (2-D or 3-D)

  • Emissivity and Stefan-Boltzmann constant

  • The method used to calculate the form factors (hidden or visible)

  • A space node, if desired.

To generate the matrix, perform these steps:

  1. Enter AUX12 using one of these methods:

    Command(s): /AUX12
    GUI: Main Menu> Radiation Opt

  2. Select the nodes and elements that make up the radiation surfaces. An easy way to do this is to select elements by type and then select all attached nodes. To perform these tasks, use the GUI path Utility Menu> Select> Entities or the commands ESEL,S,TYPE and NSLE. If you have defined a space node, remember to select it.

  3. Specify whether this is a 2-D model or a 3-D model, using either of the following:

    Command(s): GEOM
    GUI: Main Menu> Radiation Opt> Matrix Method> Other Settings

    The AUX12 Radiation Matrix Generator uses different algorithms to calculate the form factors for 2-D and 3-D models respectively. It assumes a 3-D model by default. The 2-D models may be either planar (NDIV value = 0), or axisymmetric (NDIV value > 0), with planar as the default. Axisymmetric models are expanded internally to a 3-D model, with NDIV representing the number of axisymmetric sections. For example, setting NDIV to 10 indicates ten sections, each spanning 36 degrees.

  4. Define the emissivity using either method shown below. Emissivity defaults to unity (1.0).

    Command(s): EMIS
    GUI: Main Menu> Radiation Opt> Matrix Method> Emissivities

  5. Define the Stefan-Boltzmann constant using either method shown below. The Stefan-Boltzmann constant defaults to 0.119E-10 Btu/hr-in2-R4. (In S.I. Units, the constant has the value 5.67E-8 W/m2-K4.)

    Command(s): STEF
    GUI: Main Menu> Radiation Opt> Matrix Method> Other Settings

  6. Specify how to calculate form factors, using either of the following:

    Command(s): VTYPE
    GUI: Main Menu> Radiation Opt> Matrix Method> Write Matrix

    You can choose between the hidden and non-hidden methods:

    • The non-hidden method calculates the form factors from every element to every other element regardless of any blocking elements.

    • The hidden method (default) first uses a hidden-line algorithm to determine which elements are "visible" to every other element. (A "target" element is visible to a "viewing" element if their normals point toward each other and there are no blocking elements.) Then, form factors are calculated as follows:

      • Each radiating or "viewing" element is enclosed with a unit hemisphere (or a semicircle in 2-D).

      • All target or "receiving" elements are projected onto the hemisphere or semicircle.

      • To calculate the form factor, a predetermined number of rays are projected from the viewing element to the hemisphere or semicircle. Thus, the form factor is the ratio of the number of rays incident on the projected surface to the number of rays emitted by the viewing element. In general, accuracy of the form factors increases with the number of rays. You can increase the number of rays via the NZONE field on the VTYPE command or the Write Matrix menu option; both indicate the number of radial sampling zones.

  7. If necessary, designate the space node using either of the methods shown below:

    Command(s): SPACE
    GUI: Main Menu> Radiation Opt> Matrix Method> Other Settings

  8. Use either the WRITE command or the Write Matrix menu option to write the radiation matrix to the file Jobname.SUB. If you want to write more than one radiation matrix, use a separate filename for each matrix. To print your matrices, issue the command MPRINT,1 before issuing the WRITE command.

  9. Reselect all nodes and elements using either of the following:

    Command(s): ALLSEL
    GUI: Utility Menu> Select> Everything

You now have the radiation matrix written as a superelement on a file.

4.5.1.3. Using the AUX12 Radiation Matrix in the Thermal Analysis

After writing the radiation matrix, re-enter the ANSYS preprocessor (PREP7) and read the matrix in as a superelement. To do so, perform these steps:

  1. Re-enter the preprocessor using one of these methods:

    Command(s): /PREP7
    GUI: Main Menu> Preprocessor Specify MATRIX50 (the superelement) as one of the element types.

  2. Switch the element type pointer to the superelement using either of the following:

    Command(s): TYPE
    GUI: Main Menu> Preprocessor> Modeling> Create> Elements> Elem Attributes

  3. Read in the superelement matrix using one of these methods:

    Command(s): SE
    GUI: Main Menu> Preprocessor> Modeling> Create> Elements> Superelements> From .SUB File

  4. Either unselect or delete the superimposed mesh of SHELL57 or LINK32 elements, using either of the following:

    Command(s): EDELE
    GUI: Main Menu> Preprocessor> Modeling> Delete> Elements

    (The thermal analysis does not require these elements.)

  5. Exit from the preprocessor and enter the SOLUTION processor.

  6. Assign the known boundary condition to the space node using either of the following:

    Command(s): D,
    F
    GUI: Main Menu> Solution> Define Loads> Apply> option

    This boundary typically is a temperature (such as ambient temperature), but also may be a heat flow. The boundary condition value should reflect the actual environmental conditions being modeled.

  7. Proceed with the thermal analysis as explained in the other chapters of this manual.

4.5.2. Recommendations for Using Space Nodes

Although modeling radiation does not always require a space node, the decision to or not to use one can affect the accuracy of your thermal analysis results. Keep the following recommendations about space node usage in mind as you build your model.

4.5.2.1. Considerations for the Non-hidden Method

The non-hidden method of form factor calculation usually is accurate enough for any system without requiring special attention to space nodes. Generally, you should not specify a space node for a closed system, but you should specify one for an open system. Only one situation requires special attention: when modeling an open system which includes gray body radiation (emissivity is less than 1), you must use a space node to ensure accurate results.

4.5.2.2. Considerations for the Hidden Method

For the hidden method of form factor calculation, the accuracy of the form factor calculations within AUX12 can affect the accuracy of the radiation calculated to the space node. Because inaccuracies in the calculations accumulate at the space node, the relative error in the space node form factor can be exaggerated in a closed or nearly closed system.

When using the hidden method, you may need to increase the number of rays used in the form factor calculation and to refine the mesh in order to make the form factors more accurate. If this is not possible, consider the following tips when defining the space node:

  • For a closed system in which all radiating surfaces form an enclosure and do not radiate to space, do not use a space node.

  • If the nature of the problem makes it acceptable to simulate radiation between the radiating surfaces only (ignoring radiation to space), then do not specify a space node. This approach is valid only when modeling black body radiation (where emissivity = 1).

  • For a nearly closed system, if you must account for radiation to space, then mesh the opening and constrain the temperature of the nodes in the opening to the temperature of space. The form factor to space will then be calculated explicitly and more accurately.

  • For an open system where there are significant losses to space, you can use a space node (with a specified boundary condition) to capture the lost radiation with acceptable accuracy using moderate mesh refinement and a moderate number of rays.

4.5.3. General Guidelines for the AUX12 Radiation Matrix Method

Below are some general guidelines for using the AUX12 Radiation Matrix Generator approach to radiation analysis:

  • The non-hidden method should be used if and only if all the radiating surfaces see each other fully. If the non-hidden method is used for cases where any blocking effect exists, there will be significant inaccuracies in view factor calculations, and the subsequent thermal analysis results can be physically inaccurate, or the problem might not even converge.

  • The hidden method requires significantly longer computer time than the non-hidden method. Therefore, use it only if blocking surfaces are present or if surfaces cannot be grouped.

  • In some cases, you may be able to group radiating surfaces so that each group is isolated completely from the other groups in terms of radiation heat transfer. In such cases, you can save significant time by creating a separate radiation matrix for each group using the non-hidden method. (This is true so long as no blocking effects exist within a group.) You can do this by selecting the desired group of radiating surfaces before writing the matrix.

  • For the hidden method, increasing the number of rays usually produces more accurate form factors.

  • For both hidden and non-hidden methods, the finer the mesh of the radiating surface elements, the more accurate are the form factors. However, when hidden method is used, it is particularly important to have a fairly refined mesh in order to obtain the same level of accuracy in view factor computation as the non-hidden method. Event though increasing the number of rays used (controlled by NZONE argument of the VTYPE command) helps in accuracy, for a coarse mesh, increasing NZONE to even its maximum limit might not yield an accurate solution for the hidden method.

  • For axisymmetric models, about 20 axisymmetric sectors provide reasonably accurate form factors. Elements should have reasonable aspect ratios whey they are expanded to a 3-D model.

  • LINK32 elements, which are used as superimposed radiation surface elements in 2-D planar or axisymmetric models, do not directly support the axisymmetric option. In axisymmetric models, therefore, be sure to delete (or unselect) them before doing the thermal analysis.

Theoretically, the summation of view factor from any radiating surface to all other radiating surfaces should be 1.0 for a closed system. This is printed as ***** FORM FACTORS ***** TOTAL = Value for each radiating surface if the view factors for radiating surfaces are printed using the MPRINT,1 command. For open systems, the summation should always be less than 1.0. One way of checking whether the view factor calculations are correct or not is to use the MPRINT,1 command, and check if the summation of view factors for any radiating surface exceeds 1.0. This can happen if the non-hidden method is inadvertently used for calculating view factors between radiating surfaces with blocking effects. For more information, see Radiation Matrix Method in the Theory Reference for ANSYS and ANSYS Workbench.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.4. Modeling Radiation Between a Surface and a Point 		Up / Home Next
4.6. Using the Radiosity Solver Method


4.6. Using the Radiosity Solver Method

Offered in the ANSYS Multiphysics, ANSYS Mechanical, and ANSYS Professional programs only, this method also works for generalized radiation problems involving two or more surfaces receiving and emitting radiation. The method is supported by all 3-D/2-D elements having a temperature degree of freedom.

Elements supported for the radiosity method include:

FLOTRAN.

FLUID141
FLUID142

ANSYS 2-D.

PLANE13
PLANE35
PLANE55
PLANE67
PLANE77

The following radiosity topics are available:

  • Procedure
  • Further Options for Static Analysis

4.6.1. Procedure

The Radiosity Solver method consists of five steps:

  1. Define the radiating surfaces.

  2. Define Solution options.

  3. Define View Factor options.

  4. Calculate and query view factors.

  5. Define load options.

4.6.1.1. Defining the Radiating Surfaces

You define the radiating surfaces by performing the following tasks:

  1. Build the thermal model in the preprocessor (PREP7). Radiating surfaces support symmetry conditions in some cases; see Advanced Radiosity Options for information on modeling symmetry for radiating surfaces. Symmetry conditions are not supported for FLOTRAN analyses using the radiosity method. For the Radiosity Solution Method radiating surfaces are faces of a 3-D model or sides of a 2-D model. In the Radiosity Solver Method, you can have up to ten enclosures, with surfaces radiating to each other.

  2. Flag the radiation surfaces for a given emissivity and enclosure number using the SF, SFA, SFE, or SFL command. For all surface or line facets radiating to each other, issue the same enclosure number.

    To specify temperature dependent emissivity, issue the SF, SFA, SFE, or SFL command with VALUE = -N. Emissivity values are from the EMIS property table for material N [MP]. Negative value of enclosure number is required for FLUID141 and FLUID142 elements to model radiation occurring between surfaces inside the fluid domain. Positive value of enclosure number corresponds to radiation between surfaces in the solid domain.

    Since radiation can pass through a fluid region and impact on a solid, you can apply the surface-to-surface radiation load on a fluid/solid interface, as well as on external model boundaries. In this case, you should apply the RDSF load to either the fluid or solid element faces, or the solid entity defining the interface. If you apply the load to more than one face, FLOTRAN applies the boundary conditions on only one face and issues a message that it skipped duplicate boundary conditions.

  3. Verify the flagged radiation surfaces for properly specified emissivity, enclosure number and direction of radiation:

    Command(s): /PSF
    GUI: Utility Menu> PlotCtrls> Symbols

To apply radiation surface loads on the SHELL57 or SHELL157 elements, you must specify the face number with the exterior or interior orientation to properly flag it. You can use the SF, SFA, or SFE commands to apply these loads. The SF and SFA commands apply the radiation surface loads only on face 1 of the shell element. To apply radiation surface loads on face 2 or on both faces of the shell elements, use the SFE command. See SHELL57 and SHELL157 in the Elements Reference for information on face orientation and numbering.

4.6.1.2. Defining Solution Options

For radiation problems, you must also define the Stefan-Boltzmann constant in the appropriate units:

Command(s): | STEF
GUI: | Main Menu> Preprocessor> Radiation Opts> Solution Opt Main Menu> Radiation Opt> Radiosity Meth> Solution Opt Main Menu> Solution> Radiation Opts> Solution Opt

If you define your model data in terms of degrees Fahrenheit or degrees Celsius, you must specify a temperature offset:

Command(s): | TOFFST
GUI: | Main Menu> Preprocessor> Radiation Opts> Solution Opt Main Menu> Radiation Opt> Radiosity Meth> Solution Opt Main Menu> Solution> Radiation Opts> Solution Opt

Next, select the Radiosity Solver and choose a direct solver or an iterative solver (default). You can also specify a relaxation factor and convergence tolerance for the heat flux:

Command(s): | RADOPT
GUI: | Main Menu> Preprocessor> Radiation Opts> Solution Opt Main Menu> Radiation Opt> Radiosity Meth> Solution Opt Main Menu> Solution> Radiation Opts> Solution Opt

If you are analyzing an open enclosure problem, you must specify the ambient temperature or the ambient node for each enclosure.

Specify the space temperature for the ambient radiation:

Command(s): | SPCTEMP
GUI: | Main Menu> Preprocessor> Radiation Opts> Solution Opt Main Menu> Radiation Opt> Radiosity Meth> Solution Opt Main Menu> Solution> Radiation Opts> Solution Opt

The SPCTEMP command specifies a space temperature for each enclosure. You can also list or delete all specified space temperatures using this command.

To specify a space node for each enclosure, use one of the following:

Command(s): | SPCNOD
GUI: | Main Menu> Preprocessor> Radiation Opts> Solution Opt Main Menu> Radiation Opt> Radiosity Meth> Solution Opt Main Menu> Solution> Radiation Opts> Solution Opt

If the ambient is another body in the model, you must specify the space node for the ambient radiation using the SPCNOD command for each enclosure. The SPCNOD command specifies a space node for each enclosure. The Radiosity Solver retrieves the nodal temperature for the specified node as the ambient temperature. You can also list or delete all specified space nodes using this command.

Note

In FLOTRAN in an axisymmetric radiosity analysis, you need to specify a space node even if the enclosure is closed.

To specify debug level for radiosity convergence output for FLOTRAN, use one of the following.

Command(s): | FLDATA5, OUTP, DRAD
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Additional Out> Print Controls
The debug level defaults to 0 (none). A level of 1 (standard) provides final convergence information. A level of 2 (full) provides complete information for each global iteration.

4.6.1.3. Defining View Factor Options

To calculate new view factors for either 3-D or 2-D geometry, you can specify various options:

Command(s): | HEMIOPT
GUI: | Main Menu> Preprocessor> Radiation Opts> View Factor Main Menu> Radiation Opt> Radiosity Meth> View Factor Main Menu> Solution> Radiation Opts> View Factor

HEMIOPT allows you to set the resolution for 3-D view factor calculation using the Hemicube method. The default resolution is 10. Increasing the value increases the accuracy of the view factor calculation.

Command(s): | V2DOPT
GUI: | Main Menu> Preprocessor> Radiation Opts> View Factor Main Menu> Radiation Opt> Radiosity Meth> View Factor Main Menu> Solution> Radiation Opts> View Factor

V2DOPT allows you to select options for 2-D view factor calculation. The geometry type can be set to either 2-D plane or axisymmetric (defaults to plane). You can also define the number of divisions (defaults to 20) for an axisymmetric geometry.

ANSYS uses different algorithms to calculate the form factors for 2-D and 3-D models respectively. It assumes a 3-D model by default. The 2-D models may be either planar (NDIV value = 0), or axisymmetric (NDIV value > 0), with planar as the default. Axisymmetric models are expanded internally to a 3-D model, with NDIV representing the number of axisymmetric sections. For example, setting NDIV to 10 indicates ten sections, each spanning 36 degrees. This expansion is done only for view factor calculation, and not for the thermal solution.

The V2DOPT command also allows you to select hidden or non-hidden viewing option (defaults to hidden).

  • The non-hidden method calculates the form factors from every element to every other element regardless of any blocking elements.

  • The hidden method (default) first uses a hidden-line algorithm to determine which elements are "visible" to every other element. (A "target" element is visible to a "viewing" element if their normals point toward each other and there are no blocking elements.) Then, form factors are calculated as follows:

    • Each radiating or "viewing" element is enclosed with a unit hemisphere (or a semicircle in 2-D).

    • All target or "receiving" elements are projected onto the hemisphere or semicircle.

    • To calculate the form factor, a predetermined number of rays are projected from the viewing element to the hemisphere or semicircle. Thus, the form factor is the ratio of the number of rays incident on the projected surface to the number of rays emitted by the viewing element. In general, accuracy of the form factors increases with the number of rays. You can increase the number of rays via the NZONE field on the V2DOPT command.

For more information, see the discussion on hidden and non-hidden options and axisymmetric geometry in Using the AUX12 Radiation Matrix Method earlier in this chapter andRadiation Matrix Method in the Theory Reference for ANSYS and ANSYS Workbench

You can specify whether new view factors should be computed or if existing values should be used:

Command(s): | VFOPT
GUI: | Main Menu> Preprocessor> Radiation Opts> View Factor Main Menu> Radiation Opt> Radiosity Meth> View Factor Main Menu> Solution> Radiation Opts> View Factor

VFOPT, Opt allows you to compute view factors and write them to a file (Opt = NEW). If view factors already exist in the database, this command also allows you to deactivate the view factor computation (Opt = OFF). OFF is the default upon encountering the second and subsequent SOLVE commands in /SOLU. After the first SOLVE command, ANSYS uses view factors existing in the database, unless they are overwritten by the VFOPT command.

VFOPT allows you to output view factors in ASCII or binary file format. Binary is the default.

4.6.1.4. Calculating and Querying View Factors

Next, you calculate the view factors. You can also query the view factor database and calculate an average view factor.

Compute and store the view factors:

Command(s): | VFCALC
GUI: | Main Menu> Radiation Opt> Radiosity Meth> Compute

List the calculated view factors for the selected source and target elements by querying the view factor database and calculate the average view factor:

Command(s): | VFQUERY
GUI: | Main Menu> Radiation Opt> Radiosity Meth> Query

You can retrieve the calculated average view factor using *GET,Par,RAD,,VFAVG. For FLOTRAN, you can retrieve the net heat rate lost by an enclosure using *GET,Par,RAD,n,NETHF.

4.6.1.5. Defining Load Options

Next, you specify an initial temperature if your model starts at a uniform temperature. You then specify the number or size of the time steps and specify a ramped boundary condition.

To assign a uniform temperature to all nodes, use one of the following:

Command(s): | TUNIF
GUI: | Main Menu> Solution> Define Loads> Settings> Uniform Temp

Solution accuracy is governed by the time step size you use and the convergence criterion you chose. When using auto-time stepping, review the transient results carefully. The radiosity method works best when there are other forms of heat transfer besides radiation determining the temperature of a body.

Set the number or size of time steps, using one of the following:

Command(s): | NSUBST or DELTIM
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Freq and Substps or Time and Substps Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Time-Time Step

Due to the highly nonlinear nature of radiation, you should specify ramped boundary conditions:

Command(s): | KBC
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Time-Time Step

4.6.2. Further Options for Static Analysis

You can also solve a static problem using a false transient approach.

The analysis would include the following three steps:

  1. Issue a constant density and specific heat for the model using the MP command. You should use a typical value of unit density and specific heat for the approach. The exact value for density and specific heat are not important as the problem finally approaches a steady-state solution.

  2. Specify a transient analysis using one of the following:

    Command(s): ANTYPE
    GUI: Main Menu> Solution> Analysis Type> New Analysis

  3. Run the quasi static radiation analysis to steady-state, using one of the following:

    Command(s): QSOPT
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Quasi-Static

    The QSOPT command is available only when SOLCONTROL is ON. You can set the tolerance for the steady-state temperature using the OPNCONTROL command.

    Depending on the material properties of the model (that is, density, specific heat, and thermal conductivity), temperature changes may be small at the beginning of a transient. With QSOPT on and the final time set to the default value (TIME = 1), you may obtain a solution before the true steady-state is reached. To obtain the true steady-state solution, use one of the following strategies:

    • Tighten the steady-state temperature tolerance on the OPNCONTROL command. Be aware, though, it may take a long time to reach the true steady-state solution.

    • Increase the final time (TIME) and the time step size (DELTIM) so that large temperature changes are captured at later time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.5. Using the AUX12 Radiation Matrix Method 		Up / Home Next
4.7. Advanced Radiosity Options


4.7. Advanced Radiosity Options

Use the advanced radiosity options to reduce the number of surface elements and then use symmetry to reduce the problem size. You must understand ANSYS' basic radiosity capabilities before using the advanced options.

The advanced radiosity options work with the same elements as the basic radiosity capability, except for FLUID141 and FLUID142, which are not supported for these advanced options.

  1. Build the model in the preprocessor.

  2. Select the appropriate set of solid elements to be flagged.

  3. Apply any appropriate radiosity settings.

  4. Specify decimation parameters for the selected solid elements. Decimation allows you to use fewer radiation surface elements than there are underlying solid or shell element faces. Figure 4.4: "Decimation" illustrates this concept.

    Figure 4.4 Decimation

    Command(s): RDEC
    GUI: Main Menu> Solution> Radiation Opt> Advanced Solution Option> Decimation Options> Define Specifications

    Where different parts of the thermal model differ in size significantly, you should decimate these parts separately. Otherwise, smaller parts of the thermal model can be overdecimated.

    You should estimate the number of radiosity surface elements on a decimated mesh before specifying the degree of decimation. The number should be enough to represent the original surface. For example, you would not want to represent a sphere using only five surface elements.

    The goal of decimation is to reduce the time required for view factors calculation, as well as the heat flux calculation. For a small model with a small degree of decimation, the time saved for the view factors calculation could be offset by the amount of time required for the decimation calculations. Therefore, we recommend using decimation only for sufficiently large models.

  5. Specify symmetry options for the selected solid elements.

    Command(s): RSYMM
    GUI: Main Menu> Solution> Radiation Opts> Advanced Solution Option> Radiation Symmetry Options> Clear Symmetry

    Use this command to specify either the plane of symmetry (POS) for planar reflection or the center of rotation (COR) for cyclic repetition. Note that POS reflection is NOT the same as COR repetition. Figure 4.5: "Planar Reflection" illustrates how the original sector is duplicated about a plane. Figure 4.6: "Cyclic Repetition (Two Repetitions Shown)" illustrates how the original sector is duplicated about a center point.

    The figures below show the results of planar and cyclic repetition. Issue RSYMM,,,X for duplication around the X axis (Figure 4.5: "Planar Reflection"). Issue RSYMM,,,,n for a cyclic repetition (Figure 4.6: "Cyclic Repetition (Two Repetitions Shown)" uses RSYMM,,,,11; only 2 repetitions are shown in the figure).

    Figure 4.5 Planar Reflection

    Figure 4.6 Cyclic Repetition (Two Repetitions Shown)

    If you issue RSYMM more than once, each command will be processed in the order issued. For example, you could issue the following to turn condensation on, conduct a planar reflection about the global X axis, and then conduct a planar reflection about the global Y axis:

    rsym,cond,,,,ON
rsym,,,x
rsym,,,y

    Figure 4.7 Multiple RSYMM Commands

  6. Generate the radiosity surface elements, SURF251/SURF252. Select the solid elements that you have flagged (using SF,,RDSF) and issue the following:

    Command(s): RSURF
    GUI: Main Menu> Radiation Opt>

    If you need to regenerate the surface mesh (for example, unsatisfactory degree of decimation, improper symmetry reflection, etc.), delete the unsatisfactory results (RSURF,clear,last), adjust your decimation or symmetry parameters, and reissue the RSURF command. All RSURF commands must be issued after the model is complete (i.e., after all meshing operations are complete).

    The RSURF command applies symmetry reflections only to radiosity surface elements created by the current RSURF command, even if other elements are selected. You must use RSURF to create the surface elements; you cannot create SURF251/SURF252 elements manually using the E, ESURF, or AMESH commands.

  7. Solve the model, and postprocess as usual. You can postprocess radiation heat flux using the NMISC records in SURF251 and SURF252.

If you save your database or model information (either through a SAVE or CDWRITE operation), the mapping information is automatically saved to a .rsm file if SURF251 and SURF252 elements are present in the model. A .rsm is useful for restarting your analysis. Without the .rsm file, you need to issue RSURF,DELE and then reissue RSURF,CREATE to recreate the mapped SURF251 and SURF252 elements. Doing so can be time-consuming for very large models.

To resume an analysis after you've issued a SAVE or CDWRITE and exited the ANSYS session:

  1. Resume your database or .cdb file using RESUME or CDREAD. The mapping information is automatically saved to an .rsm file if SURF251 and SURF252 elements are present in the model. The .rsm file will be located in the directory specified by the SAVE or CDWRITE command.

  2. Solve the model, and postprocess as usual.

You can also create the mapping (.rsm) file manually without issuing SAVE or CDWRITE. Issue the following command:

RSOPT,SAVE,file,ext,dir
where file,ext, and dir are the name, extension, and location of the file.

You can also read the .rsm manually (for example, if the .rsm file is located in a different directory than your database or .cdb file). Issue the following command:

RSOPT,LOAD,file,ext,dir
where file,ext, and dir are the name, extension, and location of the file.

There is no GUI equivalent for the RSOPT command.

Multi-field Restriction: When doing a multi-field analysis, we recommend that you first create all of the physics meshes in the database (either by using MFIM commands or by using meshing commands) and then create the SURF251/SURF252 elements using the appropriate combination of RSYMM, RDEC, and RSURF commands. At this point, you can save the file (via SAVE or CDWRITE), which will create the .rsm file for a later restart.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.6. Using the Radiosity Solver Method 		Up / Home Next
4.8. Example of a 2-D Radiation Analysis Using the Radiosity Method (Command Method)


4.8. Example of a 2-D Radiation Analysis Using the Radiosity Method (Command Method)

This section describes how to do a steady-state thermal radiation analysis of a of a conical fin using the Radiosity Solver method by issuing a sequence of ANSYS commands, either while running ANSYS in batch mode or by issuing the commands manually during an interactive ANSYS session.

4.8.1. The Example Described

In this example, two circular annulus radiating to each other are considered. The outer surface of the inner annulus has an emissivity of 0.9. Its inner surface is maintained at a temperature of 1500°F. The inner surface of the outer annulus has an emissivity of 0.7, and its outer surface is maintained at a temperature of 100°F. The space temperature is maintained at 70°F.

Figure 4.8 Annulus

4.8.2. Commands for Building and Solving the Model

The following sequence of ANSYS commands builds and solves the finite element model. Text preceded by an exclamation mark (!) is comment text.

/TITLE,RADIATION BETWEEN CIRCULAR ANNULUS
! Example for 2-D radiation analysis using the radiosity method
/PREP7
CYL4,0,0,.5,0,.25,180   	! Circular annulus 1
CYL4,0.2,0,1,0,.75,180  	! Circular annulus 2
ET,1,PLANE55				     ! 2-D thermal element
LSEL,S,LINE,,1
SFL,ALL,RDSF,.9, ,1,  		! Radiation boundary condition on inner annulus
LSEL,S,LINE,,7
SFL,ALL,RDSF,.7, ,1,  		! Radiation boundary condition on outer annulus
LSEL,S,LINE,,3
DL,ALL, ,TEMP,1500,1		   ! Temperature on inner annulus
LSEL,S,LINE,,5
DL,ALL, ,TEMP,100,1 		   ! Temperature on outer annulus
ALLSEL
STEF,0.119E-10  			   ! Stefan-Boltzmann constant
TOFFST,460  			        ! Temperature offset
RADOPT,0.5,0.01,0, 		   ! Radiosity solver options
SPCTEMP,1,70			        ! Space temperature for enclosure 1
V2DOPT,0.0,0,0, 			   ! 2-D view factor options
ESIZE,0.05,
AMESH,ALL
MP,KXX,1,.1  				   ! Thermal Conductivity
FINISH
/SOLU
TIME,1
DELTIM,.5,.1,1
NEQIT,1000
SOLVE
FINISH
/POST1
ASEL,S,AREA,,1
NSLA,S,1
PRNSOL,TEMP
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.7. Advanced Radiosity Options 		Up / Home Next
4.9. Example of a 2-D Radiation Analysis Using the Radiosity Method with Decimation and Symmetry (Command Method)


4.9. Example of a 2-D Radiation Analysis Using the Radiosity Method with Decimation and Symmetry (Command Method)

This section describes how to do a steady-state thermal radiation analysis of two parallel planes using decimation and symmetry by issuing a sequence of ANSYS commands, either while running ANSYS in batch mode or by issuing the commands manually during an interactive ANSYS session.

4.9.1. The Example Described

In this example, two parallel planes are considered for radiation. The underlying regions are meshed using PLANE55 elements. The first plane has a temperature of 1000°F and an emissivity of .5, and the second plane has a temperature of 500°F and an emissivity of .25.

Figure 4.9 Problem Geometry

4.9.2. Commands for Building and Solving the Model

The following sequence of ANSYS commands builds and solves the finite element model. Text preceded by an exclamation mark (!) is comment text.

/title,Radiation Problem Using Radiosity Surface Elements
/prep7
w     = 1
thick = 1
h     = 0.06
!
tempoff = 270             ! Conversion to absolute temp
sbc     = 5.67e-8         ! Stefan-Boltzman constant
T1      = 1000
T2      = 500
emiss1  = 0.5
emiss2  = 0.25
!
rectng,-0.5*w,,0.5*h,0.5*h+thick
rectng,-0.5*w,,-0.5*h,-0.5*h-thick
!
et,1,55
mp,kxx,1,1
mshape,0,2D
mshkey,1
esize,0.125
lesize,all,,,,-1.5
amesh,all
!
! Specify temp/emissivity/rdsf on plane 1
!
nsel,s,loc,y,0.5*h
sf,all,rdsf,emiss1,1
d,all,temp,T1
!
! Specify temp/emissivity/rdsf on plane 2
!
nsel,s,loc,y,-0.5*h
sf,all,rdsf,emiss2,1
d,all,temp,T2
nsel,all
allsel                 ! Select PLANE55 nodes/elements for RSURF command

!
! Specify radiation options
!
toffst,tempoff
stef,sbc
radopt,1.0,1.0e-5,0,10000,,0.9
v2dopt,0,0,0,400
spctemp,1,0
vfopt,new,,,,asci
fini
/solu

rdec,,0.5              ! Set decimation to 50 percent reduction
rsymm,,0,x             ! Specify reflection about the x-axis
rsurf                  ! Generate SURF251 elements and store in database

nlist                  ! Includes SURF251 nodes
elist                  ! Includes SURF251 elements
save
time,1
deltim,1

solve
fini
/post1
set,last
nsel,s,loc,y,0.5*h     ! Select nodes of plane 1 and get nodal reaction
prrsol
nsel,s,loc,y,-0.5*h    ! Select nodes of plane 2 and get nodal reaction
prrsol
nsel,all
*get,radnh,RAD,1,nethf ! Get the net outgoing radiant heat flux
                       ! This should equal reaction 1 + reaction 2
*stat

!using nmisc element records to get net heat rate/emissivity/temp/
!enclosure/area/etc.

esel,s,type,,2 !select surf251
etable,elmarea,nmisc,4   ! Get element areas
etable,elmradnf,nmisc,7  ! Get element net outgoing radiant heat flux
smult,elmradnh,elmarea,elmradnf  ! Multiply area*flux, store as heats
etable,elmradnf,erase
ssum                     ! Get net area net heats.
                         ! Net heat should = reaction 1 + reaction 2

!report element centroid & enclosure

etable,elmcenx,nmisc,1   ! Get element centroid x-coord
etable,elmceny,nmisc,2   ! Get element centroid y-coord
etable,elmcenz,nmisc,3   ! Get element centroid z-coord
etable,elmencl,nmisc,18  ! Get element enclosure number
pretab,elmencl,elmcenx,elmceny,elmcenz

!report element avg temp, emiss

etable,elmtemp,nmisc,5   ! Get element average temp
etable,elmemiss,nmisc,6  ! Get element average emissivity
pretab,elmtemp,elmemiss

!report netheatflux = emit+refl-inci

etable,elmradnf,nmisc,7  ! Get element net outgoing radiant heat flux
etable,elmradem,nmisc,8  ! Get element emitted heat flux
etable,elmradre,nmisc,9  ! Get element reflected heat flux
etable,elmradin,nmisc,10 ! Get element radiant heat flux
pretab,elmradnf,elmradem,elmradre,elmradin
fini

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.8. Example of a 2-D Radiation Analysis Using the Radiosity Method (Command Method) 		Up / Home Next
Fluids Analysis Guide


Fluids Analysis Guide

Release 11.0 Documentation for ANSYS

Table of Contents

I. CFD
1. Overview of FLOTRAN CFD Analyses
1.1. Types of FLOTRAN Analyses
1.1.1. Laminar Flow Analysis
1.1.2. Turbulent Flow Analysis
1.1.3. Thermal Analysis
1.1.4. Compressible Flow Analysis
1.1.5. Non-Newtonian Fluid Flow Analysis
1.1.6. Multiple Species Transport Analysis
1.1.7. Free Surface Analysis
1.2. About GUI Paths and Command Syntax
2. The Basics of FLOTRAN Analysis
2.1. Characteristics of the FLOTRAN Elements
2.1.1. Other Element Features
2.2. Considerations and Restrictions for Using the FLOTRAN Elements
2.2.1. Limitations on FLOTRAN Element Use
2.3. Overview of a FLOTRAN Analysis
2.3.1. Determining the Problem Domain
2.3.2. Determining the Flow Regime
2.3.3. Creating the Finite Element Mesh
2.3.4. Applying Boundary Conditions
2.3.5. Setting FLOTRAN Analysis Parameters
2.3.6. Solving the Problem
2.3.7. Examining the Results
2.4. Files the FLOTRAN Elements Create
2.4.1. The Results File
2.4.2. The Print File (Jobname.PFL)
2.4.3. The Nodal Residuals File
2.4.4. The Restart File
2.4.5. The Domain File
2.4.6. Restarting a FLOTRAN Analysis
2.5. Convergence and Stability Tools
2.5.1. Relaxation Factors
2.5.2. Inertial Relaxation
2.5.3. Modified Inertial Relaxation
2.5.4. Artificial Viscosity
2.5.5. DOF Capping
2.5.6. The Quadrature Order
2.6. What to Watch For During a FLOTRAN Analysis
2.6.1. Deciding How Many Global Iterations to Use
2.6.2. Convergence Monitors
2.6.3. Stopping a FLOTRAN Analysis
2.6.4. Pressure Results
2.7. Evaluating a FLOTRAN Analysis
2.8. Verifying Results
3. FLOTRAN Laminar and Turbulent Incompressible Flow
3.1. Activating the Turbulence Model
3.1.1. The Role of the Reynolds Number
3.1.2. Determining Whether an Analysis Is Turbulent
3.1.3. Turbulence Ratio and Inlet Parameters
3.1.4. Turbulence Models
3.2. Meshing Requirements
3.3. Flow Boundary Conditions
3.4. Strategies for Difficult Problems
3.5. Example of a Laminar and Turbulent FLOTRAN Analysis
4. FLOTRAN Thermal Analyses
4.1. Meshing Requirements
4.2. Property Specifications and Control
4.3. Thermal Loads and Boundary Conditions
4.3.1. Applying Loads
4.4. Solution Strategies
4.4.1. Constant Fluid Properties
4.4.2. Forced Convection, Temperature Dependent Properties
4.4.3. Free Convection, Temperature Dependent Properties
4.4.4. Conjugate Heat Transfer
4.5. Heat Balance
4.6. Surface-to-Surface Radiation Analysis Using the Radiosity Method
4.6.1. Procedure
4.6.2. Heat Balances
4.7. Examples of a Laminar, Thermal, Steady-State FLOTRAN Analysis
4.7.1. The Example Described
4.7.2. Doing the Buoyancy Driven Flow Analysis (GUI Method)
4.7.3. Doing the Buoyancy Driven Flow Analysis (Command Method)
4.8. Example of Radiation Analysis Using FLOTRAN (Command Method)
4.9. Where to Find Other FLOTRAN Analysis Examples
5. FLOTRAN Transient Analyses
5.1. Time Integration Method
5.2. Time Step Specification and Convergence
5.3. Terminating and Getting Output from a Transient Analysis
5.4. Applying Transient Boundary Conditions
6. Volume of Fluid (VOF) Analyses
6.1. VFRC Loads
6.1.1. Initial VFRC Loads
6.1.2. Boundary VFRC Loads
6.2. Input Settings
6.2.1. Ambient Conditions
6.2.2. VFRC Tolerances
6.2.3. VOF Time Steps
6.3. Postprocessing
6.4. VOF Analysis of a Dam
6.4.1. The Problem Described
6.4.2. Building and Solving the Model (Command Method)
6.5. VOF Analysis of Open Channel with an Obstruction
6.5.1. The Problem Described
6.5.2. Building and Solving the Model (Command Method)
6.6. VOF Analysis of an Oscillating Droplet
6.6.1. The Problem Described
6.6.2. Results
6.6.3. Building and Solving the Model (Command Method)
6.6.4. Where to Find Other Examples
7. Arbitrary Lagrangian-Eulerian (ALE) Formulation for Moving Domains
7.1. Boundary Conditions
7.2. Mesh Updating
7.3. Remeshing
7.4. Postprocessing
7.5. ALE Analysis of a Simplified Torsional Mirror
7.5.1. The Problem Described
7.5.2. Boundary Conditions
7.5.3. Forces and Moments
7.5.4. Building and Solving the Model (Command Method)
7.6. ALE/VOF Analysis of a Vessel with a Moving Wall
7.6.1. The Problem Described
7.6.2. Results
7.6.3. Building and Solving the Model (Command Method)
7.7. ALE Analysis of a Moving Cylinder
7.7.1. The Problem Described
7.7.2. Results
7.7.3. Building and Solving the Model (Command Method)
8. FLOTRAN Compressible Analyses
8.1. Property Calculations
8.2. Boundary Conditions
8.3. Structured vs. Unstructured Mesh
8.4. Solution Strategies
8.4.1. Inertial Relaxation
8.5. Example of a Compressible Flow Analysis
8.5.1. The Example Described
8.6. Doing the Example Compressible Flow Analysis (GUI Method)
8.7. Doing the Example Compressible Flow Analysis (Command Method)
9. Specifying Fluid Properties for FLOTRAN
9.1. Fluid Property Types
9.1.1. Property Types for Specific Heat
9.1.2. Property Types for Density and Thermal Conductivity
9.1.3. Property Types for Viscosity
9.1.4. Property Types for Surface Tension Coefficient
9.1.5. Property Types for Wall Static Contact Angle
9.1.6. General Guidelines for Setting Property Types
9.1.7. Density
9.1.8. Viscosity
9.1.9. Specific Heat
9.1.10. Thermal Conductivity
9.1.11. Surface Tension Coefficient
9.1.12. Wall Static Contact Angle
9.2. Initializing and Varying Properties
9.2.1. Activating Variable Properties
9.3. Modifying the Fluid Property Database
9.4. Using Reference Properties
9.5. Using the ANSYS Non-Newtonian Flow Capabilities
9.5.1. Activating the Power Law Model
9.5.2. Activating the Carreau Model
9.5.3. Activating the Bingham Model
9.6. Using User-Programmable Subroutines
10. FLOTRAN Special Features
10.1. Coordinate Systems
10.2. Rotating Frames of Reference
10.3. Swirl
10.4. Distributed Resistance/Source
11. FLOTRAN CFD Solvers and the Matrix Equation
11.1. Tri-Diagonal Matrix Algorithm
11.2. Semi-Direct Solvers
11.2.1. Preconditioned Generalized Minimum Residual (PGMR) Solver
11.2.2. Preconditioned BiCGStab (PBCGM) Solver
11.3. Sparse Direct Method
12. Coupling Algorithms
12.1. Algorithm Settings
12.1.1. Advection Scheme
12.1.2. Solver
12.1.3. Relaxation Factors
12.2. Performance
13. Multiple Species Transport
13.1. Mixture Types
13.1.1. Dilute Mixture Analysis
13.1.2. Composite Mixture Analysis
13.1.3. Composite Gas Analysis
13.2. Doing a Multiple Species Analysis
13.2.1. Establish the Species
13.2.2. Choose an Algebraic Species
13.2.3. Adjust Output Format
13.2.4. Set Properties
13.2.5. Specify Boundary Conditions
13.2.6. Set Relaxation and Solution Parameters
13.3. Doing a Heat Exchanger Analysis Using Two Species
13.4. Example Analysis Mixing Three Gases
14. Advection Discretization Options
14.1. Using SUPG and COLG
14.2. Strategies for Difficult Solutions
II. Acoustics
15. Acoustics
15.1. Solving Acoustics Problems
15.2. Building the Model
15.2.1. Harmonic Acoustic Analysis Guidelines
15.3. Meshing the Model
15.3.1. Step 1: Mesh the Interior Fluid Domain
15.3.2. Step 2: Generate the Infinite Acoustic Elements
15.3.3. Step 3: Specify the Fluid-Structure Interface
15.4. Applying Loads and Obtaining the Solution
15.4.1. Step 1: Enter the SOLUTION Processor
15.4.2. Step 2: Define the Analysis Type
15.4.3. Step 3: Define Analysis Options
15.4.4. Step 4: Apply Loads on the Model
15.4.5. Step 5: Specify Load Step Options
15.4.6. Step 6: Back Up Your Database
15.4.7. Step 7: Apply Additional Load Steps (Optional)
15.4.8. Step 8: Finish the Solution
15.5. Reviewing Results
15.6. Fluid-Structure Interaction
15.7. Sample Applications
15.8. Example 1: Fluid-Structure Coupled Acoustic Analysis (Command Method)
15.9. Example 2: Room Acoustic Analysis (Command Method)
III. Thin Film
16. Thin Film Analysis
16.1. Elements for Modeling Thin Films
16.2. Squeeze Film Analysis
16.2.1. Static Analysis Overview
16.2.2. Harmonic Response Analysis Overview
16.2.3. Flow Regime Considerations
16.2.4. Modeling and Meshing Considerations
16.2.5. Analysis Settings and Options
16.2.6. Loads and Solution
16.2.7. Review Results
16.2.8. Example Problem
16.3. Modal Projection Method for Squeeze Film Analysis
16.3.1. Modal Projection Method Overview
16.3.2. Steps in Computing the Damping Parameter Using the Modal Projection Technique
16.3.3. Example Problem Using the Modal Projection Method
16.3.4. Damping Extraction for Large Signal Cases
16.4. Slide Film Damping
16.4.1. Slide Film Damping Example

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.9. Example of a 2-D Radiation Analysis Using the Radiosity Method with Decimation and Symmetry (Command Method) 		Up / Home Next
Part I, CFD


Part I, CFD

Release 11.0 Documentation for ANSYS

Fluids Guide |

CFD

Table of Contents

1. Overview of FLOTRAN CFD Analyses
1.1. Types of FLOTRAN Analyses
1.1.1. Laminar Flow Analysis
1.1.2. Turbulent Flow Analysis
1.1.3. Thermal Analysis
1.1.4. Compressible Flow Analysis
1.1.5. Non-Newtonian Fluid Flow Analysis
1.1.6. Multiple Species Transport Analysis
1.1.7. Free Surface Analysis
1.2. About GUI Paths and Command Syntax
2. The Basics of FLOTRAN Analysis
2.1. Characteristics of the FLOTRAN Elements
2.1.1. Other Element Features
2.2. Considerations and Restrictions for Using the FLOTRAN Elements
2.2.1. Limitations on FLOTRAN Element Use
2.3. Overview of a FLOTRAN Analysis
2.3.1. Determining the Problem Domain
2.3.2. Determining the Flow Regime
2.3.3. Creating the Finite Element Mesh
2.3.4. Applying Boundary Conditions
2.3.5. Setting FLOTRAN Analysis Parameters
2.3.6. Solving the Problem
2.3.7. Examining the Results
2.4. Files the FLOTRAN Elements Create
2.4.1. The Results File
2.4.2. The Print File (Jobname.PFL)
2.4.3. The Nodal Residuals File
2.4.4. The Restart File
2.4.5. The Domain File
2.4.6. Restarting a FLOTRAN Analysis
2.5. Convergence and Stability Tools
2.5.1. Relaxation Factors
2.5.2. Inertial Relaxation
2.5.3. Modified Inertial Relaxation
2.5.4. Artificial Viscosity
2.5.5. DOF Capping
2.5.6. The Quadrature Order
2.6. What to Watch For During a FLOTRAN Analysis
2.6.1. Deciding How Many Global Iterations to Use
2.6.2. Convergence Monitors
2.6.3. Stopping a FLOTRAN Analysis
2.6.4. Pressure Results
2.7. Evaluating a FLOTRAN Analysis
2.8. Verifying Results
3. FLOTRAN Laminar and Turbulent Incompressible Flow
3.1. Activating the Turbulence Model
3.1.1. The Role of the Reynolds Number
3.1.2. Determining Whether an Analysis Is Turbulent
3.1.3. Turbulence Ratio and Inlet Parameters
3.1.4. Turbulence Models
3.2. Meshing Requirements
3.3. Flow Boundary Conditions
3.4. Strategies for Difficult Problems
3.5. Example of a Laminar and Turbulent FLOTRAN Analysis
4. FLOTRAN Thermal Analyses
4.1. Meshing Requirements
4.2. Property Specifications and Control
4.3. Thermal Loads and Boundary Conditions
4.3.1. Applying Loads
4.4. Solution Strategies
4.4.1. Constant Fluid Properties
4.4.2. Forced Convection, Temperature Dependent Properties
4.4.3. Free Convection, Temperature Dependent Properties
4.4.4. Conjugate Heat Transfer
4.5. Heat Balance
4.6. Surface-to-Surface Radiation Analysis Using the Radiosity Method
4.6.1. Procedure
4.6.2. Heat Balances
4.7. Examples of a Laminar, Thermal, Steady-State FLOTRAN Analysis
4.7.1. The Example Described
4.7.2. Doing the Buoyancy Driven Flow Analysis (GUI Method)
4.7.3. Doing the Buoyancy Driven Flow Analysis (Command Method)
4.8. Example of Radiation Analysis Using FLOTRAN (Command Method)
4.9. Where to Find Other FLOTRAN Analysis Examples
5. FLOTRAN Transient Analyses
5.1. Time Integration Method
5.2. Time Step Specification and Convergence
5.3. Terminating and Getting Output from a Transient Analysis
5.4. Applying Transient Boundary Conditions
6. Volume of Fluid (VOF) Analyses
6.1. VFRC Loads
6.1.1. Initial VFRC Loads
6.1.2. Boundary VFRC Loads
6.2. Input Settings
6.2.1. Ambient Conditions
6.2.2. VFRC Tolerances
6.2.3. VOF Time Steps
6.3. Postprocessing
6.4. VOF Analysis of a Dam
6.4.1. The Problem Described
6.4.2. Building and Solving the Model (Command Method)
6.5. VOF Analysis of Open Channel with an Obstruction
6.5.1. The Problem Described
6.5.2. Building and Solving the Model (Command Method)
6.6. VOF Analysis of an Oscillating Droplet
6.6.1. The Problem Described
6.6.2. Results
6.6.3. Building and Solving the Model (Command Method)
6.6.4. Where to Find Other Examples
7. Arbitrary Lagrangian-Eulerian (ALE) Formulation for Moving Domains
7.1. Boundary Conditions
7.2. Mesh Updating
7.3. Remeshing
7.4. Postprocessing
7.5. ALE Analysis of a Simplified Torsional Mirror
7.5.1. The Problem Described
7.5.2. Boundary Conditions
7.5.3. Forces and Moments
7.5.4. Building and Solving the Model (Command Method)
7.6. ALE/VOF Analysis of a Vessel with a Moving Wall
7.6.1. The Problem Described
7.6.2. Results
7.6.3. Building and Solving the Model (Command Method)
7.7. ALE Analysis of a Moving Cylinder
7.7.1. The Problem Described
7.7.2. Results
7.7.3. Building and Solving the Model (Command Method)
8. FLOTRAN Compressible Analyses
8.1. Property Calculations
8.2. Boundary Conditions
8.3. Structured vs. Unstructured Mesh
8.4. Solution Strategies
8.4.1. Inertial Relaxation
8.5. Example of a Compressible Flow Analysis
8.5.1. The Example Described
8.6. Doing the Example Compressible Flow Analysis (GUI Method)
8.7. Doing the Example Compressible Flow Analysis (Command Method)
9. Specifying Fluid Properties for FLOTRAN
9.1. Fluid Property Types
9.1.1. Property Types for Specific Heat
9.1.2. Property Types for Density and Thermal Conductivity
9.1.3. Property Types for Viscosity
9.1.4. Property Types for Surface Tension Coefficient
9.1.5. Property Types for Wall Static Contact Angle
9.1.6. General Guidelines for Setting Property Types
9.1.7. Density
9.1.8. Viscosity
9.1.9. Specific Heat
9.1.10. Thermal Conductivity
9.1.11. Surface Tension Coefficient
9.1.12. Wall Static Contact Angle
9.2. Initializing and Varying Properties
9.2.1. Activating Variable Properties
9.3. Modifying the Fluid Property Database
9.4. Using Reference Properties
9.5. Using the ANSYS Non-Newtonian Flow Capabilities
9.5.1. Activating the Power Law Model
9.5.2. Activating the Carreau Model
9.5.3. Activating the Bingham Model
9.6. Using User-Programmable Subroutines
10. FLOTRAN Special Features
10.1. Coordinate Systems
10.2. Rotating Frames of Reference
10.3. Swirl
10.4. Distributed Resistance/Source
11. FLOTRAN CFD Solvers and the Matrix Equation
11.1. Tri-Diagonal Matrix Algorithm
11.2. Semi-Direct Solvers
11.2.1. Preconditioned Generalized Minimum Residual (PGMR) Solver
11.2.2. Preconditioned BiCGStab (PBCGM) Solver
11.3. Sparse Direct Method
12. Coupling Algorithms
12.1. Algorithm Settings
12.1.1. Advection Scheme
12.1.2. Solver
12.1.3. Relaxation Factors
12.2. Performance
13. Multiple Species Transport
13.1. Mixture Types
13.1.1. Dilute Mixture Analysis
13.1.2. Composite Mixture Analysis
13.1.3. Composite Gas Analysis
13.2. Doing a Multiple Species Analysis
13.2.1. Establish the Species
13.2.2. Choose an Algebraic Species
13.2.3. Adjust Output Format
13.2.4. Set Properties
13.2.5. Specify Boundary Conditions
13.2.6. Set Relaxation and Solution Parameters
13.3. Doing a Heat Exchanger Analysis Using Two Species
13.4. Example Analysis Mixing Three Gases
14. Advection Discretization Options
14.1. Using SUPG and COLG
14.2. Strategies for Difficult Solutions

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Fluids Analysis Guide 		Up / Home Next
Chapter 1. Overview of FLOTRAN CFD Analyses


Chapter 1. Overview of FLOTRAN CFD Analyses

The ANSYS FLOTRAN derived product and the FLOTRAN CFD (Computational Fluid Dynamics) option to the other ANSYS products offer you comprehensive tools for analyzing 2-D and 3-D fluid flow fields. Using either product and the FLOTRAN CFD elements FLUID141 and FLUID142, you can achieve solutions for the following:

  • Lift and drag on an airfoil

  • The flow in supersonic nozzles

  • Complex, 3-D flow patterns in a pipe bend

In addition, you can use the features of ANSYS and ANSYS FLOTRAN to perform tasks including:

  • Calculating the gas pressure and temperature distributions in an engine exhaust manifold

  • Studying the thermal stratification and breakup in piping systems

  • Using flow mixing studies to evaluate potential for thermal shock

  • Doing natural convection analyses to evaluate the thermal performance of chips in electronic enclosures

  • Conducting heat exchanger studies involving different fluids separated by solid regions

The following FLOTRAN CFD analysis topics are available:

  • Types of FLOTRAN Analyses
  • About GUI Paths and Command Syntax

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Part I, CFD 		Up / Home Next
1.1. Types of FLOTRAN Analyses


1.1. Types of FLOTRAN Analyses

You can perform these types of FLOTRAN analyses:

  • Laminar or turbulent

  • Thermal or adiabatic

  • Free surface

  • Compressible or incompressible

  • Newtonian or Non-Newtonian

  • Multiple species transport

These types of analyses are not mutually exclusive. For example, a laminar analysis can be thermal or adiabatic. A turbulent analysis can be compressible or incompressible.

To solve any analysis involving the flow of fluid, use either of the following:

Command(s): | FLDATA1,SOLU,FLOW,TRUE
GUI: | Main Menu> Solution> FLOTRAN Set Up> Solution Options

1.1.1. Laminar Flow Analysis

In these analyses, the velocity field is very ordered and smooth, as it is in highly viscous, slow-moving flows. The flow of some oils also can be laminar.

1.1.2. Turbulent Flow Analysis

Turbulent flow analyses deal with problems where velocities are high enough and the viscosity is low enough to cause turbulent fluctuations. The two-equation turbulence model in ANSYS enables you to account for the effect of the turbulent velocity fluctuations on the mean flow.

Laminar and turbulent flows are considered to be incompressible if density is constant or if the fluid expends little energy in compressing the flow. The temperature equation for incompressible flow neglects kinetic energy changes and viscous dissipation.

1.1.3. Thermal Analysis

Often, the solution for the temperature distribution throughout the flow field is of interest. If fluid properties do not vary with temperature, you can converge the flow field without solving the temperature equation. In a conjugate heat transfer problem, the temperature equation is solved in a domain with both fluid and non-fluid (that is, solid material) regions. In a natural convection problem, the flow results mainly or solely from density gradients brought about by temperature variations. Most natural convection problems, unlike forced convection problems, have no externally applied flow sources.

1.1.4. Compressible Flow Analysis

For high velocity gas flows, changes in density due to strong pressure gradients significantly influence the nature of the flow field. ANSYS uses a different solution algorithm for compressible flow.

1.1.5. Non-Newtonian Fluid Flow Analysis

A linear relationship between the stress and rate-of-strain cannot describe many fluid flows adequately. For such non-Newtonian flows, the ANSYS program provides three viscosity models and a user-programmable subroutine.

1.1.6. Multiple Species Transport Analysis

This type of analysis is useful in studying the dispersion of dilute contaminants or pollutants in the bulk fluid flow. In addition, you can use multiple species transport analysis for heat exchanger studies where two or more fluids (separated by walls) may be involved.

1.1.7. Free Surface Analysis

Free surface analyses deal with problems involving a unconstrained gas-liquid surface. You can use this type of analysis to solve two dimensional planar and axisymmetric problems such as flow over a dam and tank sloshing.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 1. Overview of FLOTRAN CFD Analyses 		Up / Home Next
1.2. About GUI Paths and Command Syntax


1.2. About GUI Paths and Command Syntax

Throughout this document, you will see references to ANSYS commands and their equivalent GUI paths. Such references use only the command name, because you do not always need to specify all of a command's arguments, and specific combinations of command arguments perform different functions. For complete syntax descriptions of ANSYS commands, consult the Commands Reference.

The GUI paths shown are as complete as possible. In many cases, choosing the GUI path as shown will perform the function you want. In other cases, choosing the GUI path given in this document takes you to a menu or dialog box; from there, you must choose additional options that are appropriate for the specific task being performed.

For the thermal related analyses described in this guide, specify the material you will be simulating using an intuitive material model interface. This interface uses a hierarchical tree structure of material categories, which is intended to assist you in choosing the appropriate model for your analysis. See Material Model Interface in the Basic Analysis Guide for details on the material model interface.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.1. Types of FLOTRAN Analyses 		Up / Home Next
Chapter 2. The Basics of FLOTRAN Analysis


Chapter 2. The Basics of FLOTRAN Analysis

Before running a FLOTRAN analysis, you need to understand the behavior of the FLOTRAN elements, the steps to running a FLOTRAN analysis, the tools available, and how to evaluate an analysis.

The following FLOTRAN analysis topics are available:

  • Characteristics of the FLOTRAN Elements
  • Considerations and Restrictions for Using the FLOTRAN Elements
  • Overview of a FLOTRAN Analysis
  • Files the FLOTRAN Elements Create
  • Convergence and Stability Tools
  • What to Watch For During a FLOTRAN Analysis
  • Evaluating a FLOTRAN Analysis
  • Verifying Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.2. About GUI Paths and Command Syntax 		Up / Home Next
2.1. Characteristics of the FLOTRAN Elements


2.1. Characteristics of the FLOTRAN Elements

The ANSYS FLOTRAN elements, FLUID141 and FLUID142, solve for 2-D and 3-D flow, pressure, and temperature distributions in a single phase viscous fluid. For these elements, the ANSYS program calculates velocity components, pressure, and temperature from the conservation of three properties: mass, momentum, and energy.

Table 2.1 2-D Solid Elements

Element | Dimens. | Shape or Characteristic | DOFs
FLUID141 | 2-D | Quadrilateral, four nodes or triangle, three nodes | Fluid velocity, pressure, temperature, turbulent kinetic energy, turbulent energy dissipation, multiple species mass fractions for up to six fluids
FLUID142 | 3-D | Hexahedral, eight nodes or tetrahedral, four nodes or wedge, six nodes or pyramid, five nodes; tetrahedral and hexahedral elements can be combined by pyramids | Fluid velocity, pressure, temperature, turbulent kinetic energy, turbulent energy dissipation, multiple species mass fractions for up to six fluids

2.1.1. Other Element Features

Other features of the FLOTRAN elements include:

  • A two-equation turbulence model for simulating turbulent flows.

  • Derived results, such as Mach number, pressure coefficient, total pressure, shear stress, y plus at walls, and stream function for fluid analyses and heat flux and heat transfer (film) coefficient for thermal analyses.

  • Fluid boundary conditions, including velocities, pressures, and the turbulence quantities kinetic energy and kinetic energy dissipation rate. You may supply specific values of the turbulence quantities at the inlet, but the FLOTRAN default boundary conditions suffice if the entrance is not close to the regions of primary interest.

  • Thermal boundary conditions, including temperature, heat flux, volumetric heat sources, and heat transfer (film) coefficient.

You can solve problems in Cartesian, cylindrical, polar, and axisymmetric coordinate systems. If a problem is axisymmetric, activating a swirl option allows you to calculate a velocity component normal to the axisymmetric plane.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 2. The Basics of FLOTRAN Analysis 		Up / Home Next
2.2. Considerations and Restrictions for Using the FLOTRAN Elements


2.2. Considerations and Restrictions for Using the FLOTRAN Elements

The FLOTRAN elements have some limitations:

  • You cannot change the problem domain during a single analysis.

  • Certain features of the ANSYS program do not work with the FLOTRAN elements.

  • You cannot use certain commands or menu paths with the FLOTRAN elements.

  • If you use the ANSYS GUI, only the features and options called for in the FLOTRAN SetUp portion of the menus and dialog boxes will appear.

2.2.1. Limitations on FLOTRAN Element Use

When you are using the FLOTRAN elements, you should avoid using certain ANSYS features and commands, or if you do choose to use them, be aware that they have slightly different uses with the FLOTRAN elements. This does not mean that every command not listed here will work with FLOTRAN elements. ANSYS informs you if you try to issue a command that is invalid.

When using the FLOTRAN elements, keep the following points in mind:

  • FLOTRAN elements cannot be combined with other elements except when using the ANSYS Multi-field solver.

  • The nodal coordinate system must be identical to the global coordinate system.

  • The /CLEAR command does not destroy an existing FLOTRAN results file (Jobname.RFL), thus preventing you from inadvertently destroying a results file that took much time and effort to create. Existing Jobname.RFL file names will become Jobname.RFO file names if the number of nodes in the model has changed since the Jobname.RFL file creation. You should remove unwanted results files at the system level.

  • In FLOTRAN, the CP command enforces periodic boundary conditions by coupling all degrees of freedom between two nodes. You should not use the CP command to couple more than two nodes or to couple a subset of the degrees of freedom. You should only use this command to couple all degrees of freedom of one node on a periodic boundary face to one other node on another periodic boundary face.

    You cannot couple nodes on the same element, and you may have difficulty coupling nodes on adjacent elements.

  • The ADAPT macro does not work with FLOTRAN.

  • You cannot use the ANTYPE command to invoke a transient analysis with the FLOTRAN element. (See "FLOTRAN Transient Analyses".)

  • FLOTRAN analyses do not support automatic time stepping. For more information, see "FLOTRAN Transient Analyses".

  • If you specify nodal heat generation loads via commands BFCUM, BFDELE, or BFUNIF, ANSYS uses load values specified with the BFE command instead.

  • The commands CE, CECMOD, CEDELE, and CEINTF do not work with FLOTRAN.

  • The CNVTOL command does not set convergence tolerances with FLOTRAN as it does for other analyses. For information about FLOTRAN convergence, see Deciding How Many Global Iterations to Use.

  • The symmetry and antisymmetry conditions that the DSYM command specifies are not appropriate for FLOTRAN. "FLOTRAN Laminar and Turbulent Incompressible Flow" explains how to specify flow symmetry boundary conditions for FLOTRAN.

  • FLOTRAN does not support angular acceleration vectors for rotating coordinate systems.

  • In a FLOTRAN analysis, the command FLDATA4,TIME (rather than the DELTIM command) specifies a time step for a load step.

  • For FLOTRAN, you cannot use the DESOL command or the PRESOL command to modify HEAT, FLOW, or FLUX nodal results.

  • FLOTRAN does not permit extrapolation of integration point results to nodes (via the ERESX command).

  • FLOTRAN does not allow you to generate elements through reflections. Although not recommended, FLOTRAN will execute properly if you generate reflected elements using a different element type and you subsequently switch to the FLOTRAN element type.

  • In FLOTRAN analyses, you cannot ramp loads via the KBC command. The FLOTRAN command FLDATA4,TIME,BC, however, is analogous to the ANSYS command KBC, except that the default for FLOTRAN is a step change.

  • Load case operations, such as those performed by the LCCALC, LCDEF, LCFACT, and LCFILE commands, are not allowed in a FLOTRAN analysis.

  • Do not use the LSWRITE or LSSOLVE command in a FLOTRAN analysis. Use the SOLVE command to start a FLOTRAN solution.

  • The convergence tool invoked with the NCNV command does not apply to the FLOTRAN segregated solver.

  • Do not use the NEQIT command, which defines the number of equilibrium iterations for a nonlinear solution, in a FLOTRAN analysis.

  • FLOTRAN requires the nodal and global Cartesian coordinate systems to be the same. Therefore, you cannot use the rotational fields on the N, NMODIF, and NROTAT commands.

  • In a FLOTRAN analysis, the commands FLDATA2,ITER, FLDATA4,TIME, and FLDATA4A,STEP control items written to the results files (Jobname.RFL and Jobname.PFL

  • FLOTRAN does not permit user programmable elements, such as those specified via the NSVR command.

  • In a FLOTRAN analysis, the commands FLDATA2,ITER and FLDATA4,TIME control items written to the database.

  • The PRNLD command does not apply to FLOTRAN, because it does not store boundary conditions as printable element nodal loads.

  • Node reaction solutions, such as those produced by the PRRSOL command, are not available for FLOTRAN.

  • The partial and predefined solution option (called by the PSOLVE command) does not apply to the FLOTRAN segregated solver.

  • The TIME command, which associates boundary conditions with a particular time value, does not apply to FLOTRAN.

  • FLOTRAN analyses use the FLDATA1,SOLU command instead of the TIMINT command to specify transient load steps.

  • FLOTRAN analyses use the FLDATA4,TIME command instead of the TRNOPT command to specify transient analysis options.

  • The RESCONTROL command does not apply to FLOTRAN. Some of the functionality of RESCONTROL is provided with the FLDATA32,REST command.

  • For FLOTRAN, you cannot use the DK command to define DOF constraints at keypoints.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.1. Characteristics of the FLOTRAN Elements 		Up / Home Next
2.3. Overview of a FLOTRAN Analysis


2.3. Overview of a FLOTRAN Analysis

A typical FLOTRAN analysis consists of several main steps:

  • Determining the Problem Domain
  • Determining the Flow Regime
  • Creating the Finite Element Mesh
  • Applying Boundary Conditions
  • Setting FLOTRAN Analysis Parameters
  • Solving the Problem
  • Examining the Results

2.3.1. Determining the Problem Domain

You need to determine the proper domain for each problem you analyze. Locate the boundaries of the problem where conditions are known. If you do not know precise conditions and must make assumptions about them, do not locate boundaries too close to the regions of greatest interest or near regions that have steep gradients in the solution variables.

Sometimes, you may not realize that steep gradients occur too near the outlet or in some other region until you see the analysis results. Should this happen, you can re-analyze the problem with a different problem domain.

For specific recommendations on determining problem domain, see the sections discussing the various flow phenomena.

2.3.2. Determining the Flow Regime

You need to estimate the character of the flow. The character is a function of the fluid properties, geometry, and the approximate magnitude of the velocity field.

Fluid flow problems that FLOTRAN solves will include gases and liquids, the properties of which can vary significantly with temperature. The flow of gases is restricted to ideal gases. You must determine whether the effect of temperature on fluid density, viscosity, and thermal conductivity is important. In many cases, you can get adequate results with constant properties.

To assess whether you need the FLOTRAN turbulence model, use an estimate of the Reynolds number, which measures the relative strengths of the inertial and viscous forces. (See "FLOTRAN Laminar and Turbulent Incompressible Flow" for more information.)

To determine whether you need to use the compressible option, estimate the Mach number. (See "FLOTRAN Compressible Analyses") The Mach number at any point in the flow field is the ratio of the fluid speed and the speed of sound. At Mach numbers above approximately 0.3, consider using the compressible solution algorithm. At Mach numbers above approximately 0.7, you can expect significant differences between incompressible and compressible results. You may want to compare results from each algorithm for a representative problem.

2.3.3. Creating the Finite Element Mesh

You will need to make assumptions about where the gradients are expected to be the highest, and you must adjust the mesh accordingly. For example, if you are using the turbulence model, then the region near the walls must have a much denser mesh than would be needed for a laminar problem. If it is too coarse, the original mesh may not capture significant effects brought about through steep gradients in the solution. Conversely, elements may have very large aspect ratios with the long sides along directions with very low gradients.

For the most accurate results, use mapped meshing. It more effectively maintains a consistent mesh pattern along the boundary. You can do this by issuing the command MSHKEY,1 (Main Menu> Preprocessor> Meshing> Mesh> entity> Mapped).

In some cases, you may wish to use hexahedral elements to capture detail in high-gradient regions and tetrahedral elements in less critical regions. As described in Creating Transitional Pyramid Elements in the Modeling and Meshing Guide you can instruct ANSYS to automatically create pyramid elements at the interface.

For flow analysis, especially turbulent, you should not use pyramid elements in the region near the walls because it may lead to inaccuracies in the solution.

Wedge elements can be useful when a complex area can be easily meshed with triangles that are then extruded. For a quick solution, you can use wedge elements in the region near the walls. However, for accurate results, you should use hexahedral elements in those regions.

Wedge elements are considered to be degenerate hexahedral elements. When using the ANSYS MeshTool (Main Menu> Preprocessor> Meshing> MeshTool) to sweep triangles into wedges, you must select Hex elements.

2.3.4. Applying Boundary Conditions

You can apply boundary conditions before or after you mesh the domain. Consider every model boundary. If a condition is not specified for a dependent variable, a zero gradient of that value normal to the surface is assumed.

You can change boundary conditions between restarts. If you need to change a boundary condition or accidentally omit it, you do not need to restart your analysis unless the change causes instabilities in the analysis solution.

2.3.5. Setting FLOTRAN Analysis Parameters

In order to use options such as the turbulence model or solution of the temperature equation, you must activate them. Specific items to be set, such as fluid properties, are a function of the type of flow problem at hand. Other sections in this document recommend parameter settings for various types of flow.

2.3.6. Solving the Problem

You can monitor solution convergence and stability of the analysis by observing the rate of change of the solution and the behavior of relevant dependent variables. These variables include velocity, pressure, temperature, and (if necessary) turbulence quantities such as kinetic energy (degree of freedom ENKE), kinetic energy dissipation rate (ENDS), and effective viscosity (EVIS).

An analysis typically requires multiple restarts.

2.3.7. Examining the Results

You can postprocess output quantities and examine the results in the output files. Use your engineering judgment when examining the results to evaluate the plausibility and consistency of the overall analysis approach, how specific properties are used, and the conditions imposed.

Note

Results tracking via the NLHIST command is not available with FLOTRAN analyses.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.2. Considerations and Restrictions for Using the FLOTRAN Elements 		Up / Home Next
2.4. Files the FLOTRAN Elements Create


2.4. Files the FLOTRAN Elements Create

You perform most fluid flow analyses in ANSYS by stopping the analysis job and then restarting it multiple times. Often, analysts change parameters such as relaxation factors or turn options (such as solution of the temperature equation) on or off between restarts. Each time you continue a job, the ANSYS program appends data to all of the files that its FLOTRAN element creates.

The following list explains all files that a FLOTRAN element creates. A discussion of the residual file appears at the end of this section.

  • The results file, Jobname.RFL, contains nodal results.

  • The print file, Jobname.PFL, contains input convergence monitors, and inlet/outlet summaries.

  • The wall file, Jobname.RSW, contains wall shear stress and Y-plus information.

  • The residual file, Jobname.RDF, contains the nodal residuals.

  • The debug file, Jobname.DBG, contains information about algebraic solver performance.

  • The results backup file, Jobname.RFO, contains a copy of the results file data.

  • The restart file, Jobname.CFD, contains FLOTRAN data structures.

  • The domain file, (jobname.pv_0000n) for use by ICEM CFD's PV3 postprocessing visualization tool.

2.4.1. The Results File

The results of a FLOTRAN analysis are not stored in the ANSYS database automatically. At the end of every solution, the ANSYS program adds a set of results to the results file, Jobname.RFL. You have some control over the content of the results file and how often ANSYS updates it. The defaults given in the description of the FLDATA5,OUTP command in the Commands Reference reflect FLOTRAN's determination of what the results file should store based on the options you choose.

The ANSYS program is flexible about how many sets of results you can store for a steady-state FLOTRAN analysis. Keeping sets of results from earlier executions has advantages: you can compare changes that occurred between sets of results, and you can continue an analysis from its earlier stages using different options or relaxation parameters.

The ANSYS program stores a set of results when you begin an analysis (before the first iteration), then stores results again when one of the termination criteria is reached. Between those events, you can append the results to the Jobname.RFL file. Storing intermediate sets of results enables you to continue the analysis from an earlier stage with different options and features activated, for example to enhance stability.

We recommend that you use ANSYS' overwrite frequency option because it allows you to periodically store and update a temporary set of results. Using this option ensures that a useful set of results will exist should you need to restart an analysis after a power failure or other system interruption. The next regularly scheduled output of results overwrites the temporary results set. You can accomplish the same thing by instructing ANSYS to append data to the results file more often; however, this method inflates the size of the results file.

To set the overwrite frequency, use either of the following:

Command(s): | FLDATA2,ITER,OVER,Value
GUI: | Main Menu> Solution> FLOTRAN Set Up> Execution Ctrl

To set the append frequency, use either of the following:

Command(s): | FLDATA2,ITER,APPE,Value
GUI: | Main Menu> Solution> FLOTRAN Set Up> Execution Ctrl

2.4.2. The Print File (Jobname.PFL)

The Jobname.PFL file contains a complete record of all FLOTRAN input parameters, including properties and solution options. This information is recorded each time a SOLVE is issued so as to provide a complete account of the analysis history. In addition, all convergence monitors are recorded for all active values. A results summary, showing maximum and minimum values of each property and degree of freedom, is provided at a user-determined frequency. Average values are also recorded. The mass flow boundaries are identified and a mass balance is calculated. Finally, all heat transfer information is summarized for all heat transfer and heat sources.

2.4.3. The Nodal Residuals File

The nodal residuals file, Jobname.RDF, shows you how well the current solution is converged. At every stage in the solution procedure, the flow, property, and temperature fields are used to calculate coefficient matrices and forcing functions for each DOF. If a solution is converged completely, these matrices and forcing functions will produce the same velocity field used to generate them and the residuals of the matrix equation will be very small. You must request at least one global iteration to obtain a nodal residual file.

If a solution oscillates, however, the magnitude of the residuals shows where the maximum errors are. (The main diagonal entries of the matrix normalize the residuals.) This normalization enables you to compare directly the value of the DOF and the value of its residual.

To calculate residuals for every active degree of freedom and output them to the residuals file, do either of the following:

Command(s): | FLDATA5,OUTP,RESI,TRUE
GUI: | Main Menu> Solution> FLOTRAN SetUp> Additional Out> Residual File

To read the residuals file, either issue the FLREAD command (Main Menu> General Postproc> FLOTRAN 2.1A). The residuals are postprocessed with the label associated with the DOF (for instance, TEMP or PRES for the temperature or pressure residuals).

2.4.4. The Restart File

By default, FLOTRAN calculates data structures at the beginning of a restart of an analysis. These calculations may take considerable time for large models. To avoid recalculation, you can opt to have FLOTRAN store the data structures in the Jobname.CFD file. FLOTRAN creates this file from information in the ANSYS database (but the file is not required for restarts).

To write to or read from the Jobname.CFD file, use either of the following methods before the restart:

Command(s): | FLDATA32,REST,RFIL,T
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Restart Options> CFD Restart File

You can toggle the RFIL state on (TRUE) or off (FALSE). If is on, ANSYS reads the restart file when FLOTRAN begins to execute. If no restart file exists, one will be created.

If you are restarting an analysis with updated boundary conditions, you must overwrite an existing .CFD file in order to use the new conditions. To overwrite the file, use either of the following methods:

Command(s): | FLDATA32,REST,WFIL,T
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Restart Options> CFD Restart File

This will cause FLOTRAN to create a new restart file during the next load step, and automatically sets the RFIL state to False. After the restart that has created the new file completes, issue the FLDATA32,REST,RFIL,TRUE command so that subsequent restarts use the new Jobname.CFD restart file.

2.4.5. The Domain File

Domain files are used by ICEM CFD's PV3 postprocessor visualization tool. In addition to nodal results these files contain information to define the finite element model, including node locations, element topology, element connectivity, and family information concerning predefined ANSYS components. They also contain load step, substep, cumulative iteration, and time point values.

2.4.6. Restarting a FLOTRAN Analysis

You can restart the FLOTRAN analysis from any set of results in the Jobname.RFL file or from a different .RFL file. You can base the restart on the set number (Label = NSET), the global iteration number (Label = ITER), the load step/subset numbers (Label = LSTP), or the transient analysis time (Label = TIME). You determine the restart criteria by doing either of the following:

  • Issue the command FLDATA32,REST,Label,Value. Specify one of the labels listed above in place of Label. The Value argument causes values associated with the other criteria to be zeroed. Once invoked, the behavior is turned off in the database by setting all the criteria to zero. If you are restarting from a different results file, you also need to specify the filename, extension, and directory of that file.

  • Choose menu path Main Menu> Preprocessor> FLOTRAN Set Up> Restart Options> Restart/Iteration (or Restart/Load step, Restart/Set, etc.)

If you specify invalid criteria, ANSYS notifies you and (if the program is operating in batch mode) terminates the analysis.

When you restart an analysis, ANSYS copies the original results file to the file Jobname.RSO and places the restart point, all previous results sets, and all subsequent results sets in the new Jobname.RFL file. If the Value input on the FLDATA32,REST command is negative, creation of the Jobname.RSO file is blocked. FLOTRAN uses the absolute value of the number specified for Value.

If a results file name is entered in the Fname field of the FLDATA32,REST command, FLOTRAN interpolates those results onto the current mesh in the database, regardless of whether or not the mesh has changed. This causes the convergence monitors to start again from zero. This restart is different than a restart without a file name specification. However, the results quickly converge to the original solution.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.3. Overview of a FLOTRAN Analysis 		Up / Home Next
2.5. Convergence and Stability Tools


2.5. Convergence and Stability Tools

2.5.1. Relaxation Factors

The ANSYS program offers several tools to help with convergence and solution stability. The Theory Reference for ANSYS and ANSYS Workbench explains how they are implemented.

The relaxation factor is the fraction of the change between the old solution and the newly calculated solution that is added to the old solution, giving the results for the new global iteration. The relaxation factors for every component must be between 0.0 (resulting in no update to the degree of freedom or property) and 1.0 inclusive. You set relaxation factors via either of the following:

Command(s): | FLDATA25,RELX,Label,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Relax/Stab/Cap> DOF Relaxation Main Menu> Preprocessor> FLOTRAN Set Up> Relax/Stab/Cap> Prop Relaxation Main Menu> Solution> FLOTRAN Set Up> Relax/Stab/Cap> DOF Relaxation Main Menu> Solution> FLOTRAN Set Up> Relax/Stab/Cap> Prop Relaxation

Note

See the description of the FLDATA25,RELX command in the Commands Reference for lists of degree of freedom and property component names.

2.5.2. Inertial Relaxation

Inertial relaxation of the equation set for a DOF provides diagonal dominance to make a solution stable. Hypothetically, when a solution is converged in the absence of round off-error, the inertial relaxation applied does not affect the value of the answer. However, in real situations, some round off-error always occurs, so the inertial relaxation may affect your solution.

You can apply inertial relaxation to the momentum equations (MOME), turbulence equations (TURB), the pressure equation (PRES), and the temperature equation (TEMP). To do so, use either of these methods:

Command(s): | FLDATA26,STAB,Label,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Relax/Stab/Cap> Stability Parms Main Menu> Solution> FLOTRAN Set Up> Relax/Stab/Cap> Stability Parms

The inertial relaxation factor is in the denominator of the term added, so smaller values have a greater effect. Typical useful values range between 1.0 (mild) and 1.0 x 10-7 (severe).

2.5.3. Modified Inertial Relaxation

Modified inertial relaxation adds a local positive value to the diagonal term to guarantee a positive diagonal.

You can apply modified inertial relaxation to the momentum equations (MOME), turbulence equations (TURB), and the temperature equation (TEMP). To do so, use either of these methods:

Command(s): | FLDATA34,MIR,Label,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Relax/Stab/Cap> MIR Stabilization Main Menu> Solution> FLOTRAN Set Up> Relax/Stab/Cap> MIR Stabilization

A larger modified inertial relaxation factor gives a more robust scheme, but it may yield a slower convergence. The recommended range is 0.1 to 1.0.

You should consider inertial relaxation and modified inertial relaxation to be mutually exclusive.

2.5.4. Artificial Viscosity

Artificial viscosity smooths the velocity solution in regions of steep gradients. It has proven useful in aiding convergence of compressible problems and in smoothing velocity solutions in incompressible problems with distributed resistances. For incompressible analyses, you should keep the artificial viscosity within an order of magnitude of the effective viscosity.

To apply artificial viscosity, use either of these methods:

Command(s): | FLDATA26,STAB,VISC,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Relax/Stab/Cap> Stability Parms Main Menu> Solution> FLOTRAN Set Up> Relax/Stab/Cap> Stability Parms

2.5.5. DOF Capping

DOF capping allows you to prevent variables from going out of boundaries you specify. You can limit the velocities, pressure, and temperature degrees of freedom (VY, VY, VZ, PRES, TEMP). To do this, use either of these methods:

Command(s): | FLDATA31,CAPP
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Relax/Stab/Cap> Results Capping Main Menu> Solution> FLOTRAN Set Up> Relax/Stab/Cap> Results Capping

Velocity capping eliminates the effects of velocity spikes on properties, which may occur in the early stages of convergence. Capping is especially suited to compressible analyses, where velocity spikes can cause kinetic energy terms great enough to produce negative static temperatures. When a degree of freedom is capped, ANSYS prints a message along with the convergence monitor printout.

The pressure value calculated by the solution of the pressure equation is capped, not the relaxed value. Therefore, if you introduce pressure capping upon restarting an analysis, pressure values may still be outside the caps.

Capping applies to relative values of pressure and absolute values of temperature.

You should cap the total temperature when performing compressible thermal analyses. It will help ensure negative properties do not enter the calculations.

Caution

When velocities are capped, conservation of mass may not be enforced.

2.5.6. The Quadrature Order

You have control over the quadrature order. In axisymmetric problems, the quadrature order automatically is set to 2 upon solution. This is because quadrature orders of 2 produce more accurate results for problems with irregularly shaped elements. The quadrature order is also automatically set to 2 upon solution for 3-D problems using cylindrical coordinates.

If you notice anomalous results near a region of skewed hexahedral elements, reset the quadrature order to 2. There might be a problem with the results when the included angles of the hexahedra exceed 120 degrees.

You can change the quadrature order for momentum diffusion or source, pressure diffusion or source, thermal diffusion or source, turbulent diffusion or source, using either of the following:

Command(s):

FLDATA30,QUAD,Label,Value

(Label is the element integral to change quadrature for, and Value is the number of integration points).

GUI:
Main Menu> Preprocessor> FLOTRAN Set Up> Mod Res/Quad Ord> CFD Quad Orders
Main Menu> Solution> FLOTRAN Set Up> Mod Res/Quad Ord> CFD Quad Orders

For more information on quadrature order, refer to the description of the FLDATA30,QUAD command in the Commands Reference.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.4. Files the FLOTRAN Elements Create 		Up / Home Next
2.6. What to Watch For During a FLOTRAN Analysis


2.6. What to Watch For During a FLOTRAN Analysis

This section describes what happens in a FLOTRAN analysis and how to evaluate how the analysis is proceeding.

2.6.1. Deciding How Many Global Iterations to Use

A FLOTRAN analysis is nonlinear and uses a sequential solution, so the first thing you must do is decide how many global iterations should be executed. A global iteration is the solution, in sequence, of all relevant governing equations followed by any fluid property updates that are needed.

In a transient simulation, a time step loop exists around the global iteration loop.

During a global iteration, the ANSYS Multiphysics program or ANSYS FLOTRAN obtains approximate solutions to the momentum equation and uses them as forcing functions to solve a pressure equation based on conservation of mass. ANSYS uses the resulting pressures to update the velocities so that the velocity field conserves mass. If you request it, the ANSYS program solves the temperature equation and updates temperature dependent properties.

Finally, if you have activated the turbulence model, the equations are solved and the program uses the turbulent kinetic energy and dissipation rate to calculate the effective viscosity and thermal conductivity. Effective viscosity and thermal conductivity replace, respectively, the laminar viscosity and thermal conductivity to model the effect of turbulence on the mean flow.

To specify how many global iterations a FLOTRAN analysis should execute, use either of the following:

Command(s): | FLDATA2,ITER,EXEC,Value (Value is the number of iterations.)
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Execution Ctrl Main Menu> Solution> FLOTRAN Set Up> Execution Ctrl

2.6.2. Convergence Monitors

As a FLOTRAN simulation proceeds, ANSYS calculates convergence monitors for each degree of freedom every global iteration. Convergence monitors are computed for velocities (VY, VY, VZ), pressure (PRES), temperature (TEMP), turbulent kinetic energy (ENKE), kinetic energy dissipation rate (ENDS), and any active species transport equations (SP01-SP06).

The convergence monitors are a normalized measure of the solution's rate of change from iteration to iteration. Denoting by the general field variable, Φ, any DOF, the convergence monitor is defined as follows:

The convergence monitor represents the sum of changes of the variable calculated from the results between the current kth iteration and the previous (k-1)th iteration, divided by the sum of the current values. The summation is performed over all n nodes, using the absolute values of the differences.

Available in both batch and interactive sessions, the Graphical Solution Tracking (GST) feature displays the computed convergence monitors while the solution is in process. Be default, GST is ON for interactive sessions and OFF for batch runs. To turn GST on or off, use either of the following:

Command(s): | /GST
GUI: | Main Menu> Solution> Load Step Opts> Output Ctrls> Grph Solu Track

Figure 2.1: "Convergence Monitors Displayed by the GST Feature" shows two typical GST displays:

Figure 2.1 Convergence Monitors Displayed by the GST Feature

(a) Steady-state simulation, (b) Transient simulation

In Figure 2.1: "Convergence Monitors Displayed by the GST Feature" (b), a plot of a transient FLOTRAN solution, each "spike" on the plot indicates the beginning of a new time step.

After perhaps some initial fluctuations, convergence monitors will decrease as the analysis approaches convergence. How small the numbers become depends on several factors, such as:

  • Complexity of the geometry

  • Adequacy of the finite element mesh in regions with steep gradients

  • The severity of the turbulence levels, indicated by the flow Reynolds number

  • Development of the flow near outlet boundaries

Points to remember when using graphical solution tracking include:

  • The GST feature is available for FLOTRAN analyses and also for structural, thermal, and electromagnetic analyses containing nonlinearities. For information about using GST to track convergence in non-FLOTRAN analyses, see the Thermal Analysis Guide, the Low-Frequency Electromagnetic Analysis Guide, and the Structural Analysis Guide.

  • GST can display up to ten curves at the same time. (Your model can include more than ten DOFs, but only the first ten will be displayed.)

  • When the GST begins its plotting, ANSYS displays a dialog box with a STOP button. You can stop the solution at any time by clicking on this button. To restart it, issue SOLVE or choose Main Menu> Solution> Run FLOTRAN.

  • The time label which is positioned above the graph reveals the time at the last iteration.

2.6.3. Stopping a FLOTRAN Analysis

You can choose a target value for terminating a FLOTRAN analysis, based on the convergence monitors for each degree of freedom falling below a certain value. To specify these values, use the following:

Command(s): | FLDATA3,TERM,Label,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Execution Ctrl Main Menu> Solution> FLOTRAN Set Up> Execution Ctrl

See the Commands Reference for the default values. Termination checks do not include inactive degrees of freedom or degrees of freedom set to a negative value.

The analysis must satisfy convergence criteria for all active degrees of freedom, or complete the specified number of global iterations requested. FLOTRAN terminates on the first condition satisfied. For information on terminating transient analyses, see "FLOTRAN Transient Analyses".

To stop a FLOTRAN batch or background job in progress, place a file named Jobname.ABT in the subdirectory from which the ANSYS job has been executed. The first line of this file should contain the word "terminate," and should be left-justified. On Windows systems, you should also add a blank line at the end of the Jobname.ABT file. FLOTRAN looks for the Jobname.ABT file during every global iteration. If it finds the file and reads the word "terminate," it will finish that global iteration and terminate normally, writing the results to the Jobname.RFL file and extending the Jobname.PFL file.

2.6.4. Pressure Results

For locked tetrahedral elements (those at a corner where two walls meet) there is a slight pressure anomaly. ANSYS takes those elements out of the solution domain because all the nodes have boundary conditions. The solution is correct in the domain. Use hexahedral elements to avoid this pressure anomaly.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.5. Convergence and Stability Tools 		Up / Home Next
2.7. Evaluating a FLOTRAN Analysis


2.7. Evaluating a FLOTRAN Analysis

The two basic questions an analyst must answer are:

  1. When is the analysis completed?

  2. Has it been done correctly?

These questions are interrelated, since convergence may not be achieved it you have not set up and executed the analysis correctly.

If you have set the input parameters and boundary conditions correctly, the analysis is complete when the convergence monitors for all variables stop decreasing and the average, maximum, and minimum values of the solution variables no longer increase or decrease. There is no guarantee, however, that you will achieve a single exact answer because nature does not guarantee that a single exact answer exists. Oscillatory problems (for example, vortex shedding behind a cylinder) may not yield stationary results from a steady-state or a transient solution algorithm. You may wish to continue executing the analysis to verify whether a solution has a stable or a fluctuating nature.

The ANSYS program stores the average, minimum, and maximum values of the solution variables in the file Jobname.PFL. This file also records the FLOTRAN input plus the convergence monitors which have been calculated. The results summary includes all the DOF, as well as laminar and effective properties. You determine how often ANSYS issues the results summary by using one of these methods:

Command(s): | FLDATA5,OUTP,SUMF,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Additional Out> RFL Out Derived Main Menu> Solution> FLOTRAN Set Up> Additional Out> RFL Out Derived

The Value argument is the number of global iterations that pass before ANSYS issues the next results summary.

You may also want to map your results onto a path through your model. See Mapping Results onto a Path in the Basic Analysis Guide for more information on reviewing results along a path.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.6. What to Watch For During a FLOTRAN Analysis 		Up / Home Next
2.8. Verifying Results


2.8. Verifying Results

You, the analyst, are responsible for verifying results. If your FLOTRAN analysis produces unexpected results, take the actions listed below. You can accomplish many of these actions at the beginning of the analysis. ANSYS creates a Jobname.PFL file and checks inputs even if the number of iterations executed is zero.

  1. Check the mass balance printed as part of the results summary. Internal checks will determine if any mass flow can potentially cross a model boundary. Boundary conditions admitting mass flow are:

    • Specified velocity boundaries

    • Specified pressure boundaries

    • Unspecified boundaries (These can result if you inadvertently omit a boundary condition.)

    The ANSYS program tabulates the number of inlets/outlets, which should correspond to expectations.

  2. Check boundary conditions within ANSYS to ensure that they are accurate.

  3. Check that you specified the properties correctly and that they can vary with temperature and pressure if necessary. The results summary in the Jobname.PFL file is a convenient place to check this.

  4. Check that the length units used to build the model are consistent with those used in specifying properties.

  5. In some cases, you need to verify that equations associated with the options chosen are solved correctly (for instance, the pressure equation in compressible flow).

  6. If the unexpected result of your analysis is divergence, the finite element mesh may not have sufficient resolution, or significant gradients may exist near outlets. To resolve this, you may need to use convergence aids such as relaxation. Later sections in this document discuss various relaxation techniques.

  7. If you get a diverged solution for a particular variable, you can re-initialize that variable to a single value and continue. To do so, use one of these methods:

    Command(s): FLDATA29,MODV
    GUI: Main Menu> Preprocessor> FLOTRAN Set Up> Mod Res/Quad Ord> Modify Results
    Main Menu> Solution> FLOTRAN Set Up> Mod Res/Quad Ord> Modify Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.7. Evaluating a FLOTRAN Analysis 		Up / Home Next
Chapter 3. FLOTRAN Laminar and Turbulent Incompressible Flow


Chapter 3. FLOTRAN Laminar and Turbulent Incompressible Flow

A laminar or turbulent flow analysis calculates the flow and pressure distribution in a 2-D or 3-D geometry. Flow problems require you to specify density and viscosity. Problems may be internal or external in nature. For internal flows, wall or symmetry planes bound the flow (for example, flow in a pipe), except for the inlet and outlet boundaries. (Figure 3.1: "Internal Flow" shows an example). The boundaries of external problems generally are either far-field velocity or pressure boundary conditions. The flow surrounding an airfoil is an external flow (See Figure 3.2: "External Flow").

Figure 3.1 Internal Flow

Figure 3.2 External Flow

The distinction between incompressible and compressible flow lies in both the equation of state and the solution algorithm.

  • In an incompressible flow, density variations can drive the flow only through gravitational acceleration. Temperature changes cause variations of density.

  • In a compressible flow, the density changes caused by pressure variations significantly affect the momentum and temperature equations.

In any event, the incompressible algorithm can measure flow of an ideal gas, complete with small density changes due to pressure. See "FLOTRAN Compressible Analyses" for more information.

The following FLOTRAN laminar and turbulent incompressible flow topics are available:

  • Activating the Turbulence Model
  • Meshing Requirements
  • Flow Boundary Conditions
  • Strategies for Difficult Problems
  • Example of a Laminar and Turbulent FLOTRAN Analysis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.8. Verifying Results 		Up / Home Next
3.1. Activating the Turbulence Model


3.1. Activating the Turbulence Model

The distinction between laminar and turbulent flow lies in the ratio of the inertial transport to the viscous transport. As this ratio increases, instabilities develop and velocity fluctuations begin to occur. A turbulent model accounts for the effect of these fluctuations on the mean flow by using an increased viscosity, the effective viscosity, in the governing equations. The effective viscosity is the sum of the laminar viscosity (which is a property of the fluid) and turbulent viscosity (which is calculated from a turbulence model).

µe = µ + µt

Generally, the more turbulent the flow field, the higher the effective viscosity.

3.1.1. The Role of the Reynolds Number

The dimensionless Reynolds number measures the ratio of inertial and viscous forces to help determine whether or not the turbulence model should be activated. The Reynolds number is defined in terms of the properties of the fluid, a characteristic velocity, and a characteristic dimension:

The density ρ (mass/length3) and absolute viscosity µ (mass/length-time) are properties of the fluid. For internal flow problems, the characteristic dimension is the hydraulic diameter, defined as:

For example, the hydraulic diameter of a pipe is simply the diameter. As a general guideline for internal flow problems such as flow in pipes, the turbulence model should usually be activated if the Reynolds number is in excess of about 2300.

For an external flow problem, such as the flow over an airfoil, the characteristic length is a parameter such as the length of the airfoil (wing cross section for a 2-D analysis).

For flow over a flat plate, the dimension is the length along the plate from the leading edge, with the transition to turbulence occurring at a Reynolds number of approximately 500,000.

For more information, see the Theory Reference for ANSYS and ANSYS Workbench.

3.1.2. Determining Whether an Analysis Is Turbulent

Determining if an analysis is laminar or turbulent is your responsibility. What happens if turbulence is not activated when it should be, or vice versa? What are the indications and the consequences?

If turbulence is needed but not activated, the analysis probably will diverge. If this occurs, the momentum and pressure convergence parameters will approach 1.0 and the values of velocities and pressure will become very large. You should start over with the turbulence model activated.

In some cases, convergence occurs even without the turbulence model. This can happen if no geometrical features such as bends disturb the flow. Physically, some flows retain laminar characteristics unless they are slightly disturbed in some fashion.

Conversely, although the turbulence models are not low Reynolds number models and do not "automatically" resort to laminar behavior at low Reynolds numbers, in such cases the turbulence models predict low values of effective viscosity. If the final average effective viscosity is less than five times greater than the laminar value, you should rerun the case without the turbulence model and evaluate the differences.

You can postprocess the effective viscosity with the label EVIS. It is also tabulated in the results summary output provided in the Jobname.PFL file. Therefore, you can observe the average behavior of effective viscosity as the solution proceeds. You also can postprocess it to see its variation throughout the flow field.

3.1.3. Turbulence Ratio and Inlet Parameters

Be aware that when an analysis begins, the effective viscosity initializes as a multiple of the laminar value. This initialization occurs whether a turbulence model is or is not active. The default value of this multiple (also called the turbulence ratio) is 1000; a reasonable value for most turbulent analyses. The algorithm calculates lower or higher values as conditions dictate. However, the accuracy of the initial estimate affects how long the program takes to compute the final value.

To set the turbulence ratio, use either of these methods:

Command(s): | FLDATA24,TURB,RATI,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Turbulence> Turbulence Param

The two-equation turbulence models require boundary conditions for the turbulent kinetic energy (ENKE) and turbulent kinetic energy dissipation rate (ENDS) at an inlet. If known values are available at the inlet, you can specify ENKE and ENDS, Otherwise, you must specify an inlet intensity (ININ), which is the ratio of the fluctuating velocity to the inlet velocity, and an inlet scale factor (INSF), which is the ratio of a length scale inlet region to the hydraulic diameter of the inlet. ININ and INSF default to 0.01.

To set the inlet intensity and inlet scale factor, you use either of the following:

Command(s): | FLDATA24,TURB,ININ,Value FLDATA24,TURB,INSF,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Turbulence> Turbulence Param

3.1.4. Turbulence Models

FLOTRAN offers several turbulence models:

  • Standard k-epsilon Model (default)
  • Zero Equation Turbulence Model (ZeroEq)
  • Re-Normalized Group Turbulence Model (RNG)
  • k-epsilon Model Due to Shih (NKE)
  • Nonlinear Model of Girimaji (GIR)
  • Shih, Zhu, Lumley Model (SZL)
  • k-omega Turbulence Model
  • Shear Stress Transport Model (SST)

Turbulence modeling is activated by either of the following:

Command(s): | FLDATA1,SOLU,TURB,T
GUI: | Main Menu> Preprocessor> FLOTRAN Setup> Solution Options Main Menu> Solution> FLOTRAN Setup> Solution Options

To select a model, you use either of the following:

Command(s): | FLDATA24,TURB,MODL,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Setup> Turbulence> Turbulence Model Main Menu> Solution> FLOTRAN Setup> Turbulence> Turbulence Model

Normally, the Standard k-ε Model is the first model to apply. It usually provides a realistic picture of the flow. It is fine for the analysis of turbulent flow in pipes and channels. However, it over predicts the amount of turbulence in a number of situations. For example, the flow in a converging nozzle undergoes significant normal strain and the Standard k-ε Model over predicts the amount of turbulence. The resulting kinetic energy is over predicted, and the resulting effective viscosity prevents simulation of shock waves in some cases.

In general, the RNG, NKE, GIR, and SZL turbulence models produce significantly more realistic and reliable results in regions of large strain. This is particularly important for cases where the flow is strongly accelerated or decelerated (e.g. a converging nozzle) or where there is significant separation or recirculation (e.g. a duct that goes through a 180 degree change of direction). Other situations where the Standard k-ε Model encounters difficulties include flows with stagnation points.

The RNG, NKE, GIR, and SZL turbulence models control the excess turbulence by applying adjustments to C µ and the source term of the dissipation equation. The adjustments are made in accordance with the local rate of strain.

The k-ω turbulence model has the advantage near the walls to accurately predict the turbulence length scale in the presence of an adverse pressure gradient. The k-ω model is much more sensitive to the free-stream turbulence levels than the k-ε model. The Shear Stress Transport model (SST) combines the k-ω model near the wall and the k-ε model away from the wall to overcome the deficiencies of both models.

See the Commands Reference and the Theory Reference for ANSYS and ANSYS Workbench for more information on the models.

3.1.4.1. Standard k-epsilon Model (default)

The Standard k-ε Model, the Zero Equation Turbulence Model, and the k-ω Model are the simplest models. The other models are all extensions of the Standard k-ε Model and the k-ω Model. The Standard k-ε Model is the default model.

To select the Standard k-ε Model, you use either of the following:

Command(s): | FLDATA24,TURB,MODL,1
GUI: | Main Menu> Preprocessor> FLOTRAN Setup> Turbulence> Turbulence Model Main Menu> Solution> FLOTRAN Setup> Turbulence> Turbulence Model

Cµ, C1, C2, SCTK, and SCTD are Standard k-ε Model constants that are defined as follows:

Cµ - Value is the k-ε turbulence model constant

which is used in the update of the turbulent viscosity.

C1 - Value is the k-ε turbulence model C1 constant. It is the multiplier of the shear rate generation term of the turbulent kinetic energy dissipation rate equation.

C2 - Value is the k-ε turbulence model C2 constant. It is the multiplier of the dissipation source term in the turbulent kinetic energy dissipation rate equation.

SCTK - Value is the Schmidt number for the turbulent kinetic energy. The diffusion term in the turbulent kinetic energy equation is divided by this factor.

SCTD - Value is the Schmidt number for the kinetic energy dissipation rate. The diffusion term in the dissipation rate equation is divided by this factor.

To set the Standard k-ε Model constants Cµ, C1, C2, SCTK, and SCTD, you use either of the following:

Command(s): | FLDATA24,TURB,Label,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Setup> Turbulence> Turbulence Model Main Menu> Solution> FLOTRAN Setup> Turbulence> Turbulence Model

The following five wall parameters control turbulence wall modeling. The wall parameters apply for all turbulence models except the Zero Equation Turbulence Model.

KAPP - Value is the law of the wall constant. It is the slope of the plot of normalized shear velocity (u+) versus the nondimensionalized distance from the wall (y+). See Theory Reference for ANSYS and ANSYS Workbench for details.

EWLL - Value is the law of the wall constant. It is related to the y intercept value for a plot of normalized shear velocity (u+) versus the nondimensionalized distance from the wall (y+). See the Theory Reference for ANSYS and ANSYS Workbench for more details.

WALL - Value is the choice of wall conductivity model. The default model is the Van Driest model (Value = VAND), used most often for high Prandtl number fluids. The second choice is the Spalding model (Value = SPAL), applicable to low Prandtl number fluids. The third choice is the Equilibrium model (Value = EQLB). The equilibrium model is also automatically invoked for the wall viscosity by this command.

VAND - Value is the constant in the Van Driest wall conductivity model. See the Theory Reference for ANSYS and ANSYS Workbench for details.

TRAN - Value is the magnitude of y+ marking the outer boundary of the laminar sublayer. Used only for the Equilibrium Wall model.

To set the wall parameters KAPP, EWILL, WALL, VAND and TRAN, you use either of the following:

Command(s): | FLDATA24,TURB,Label,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Setup> Turbulence> Wall Parameters Main Menu> Solution> FLOTRAN Setup> Turbulence> Wall Parameters

The following three buoyancy terms control buoyancy modeling. The buoyancy terms apply for all turbulence models except the Zero Equation Turbulence Model.

BUC3 - Value is the k-ε buoyancy model constant. A value of zero means that there is no contribution to the turbulent kinetic energy dissipation rate equation. The default value of one is appropriate for stable thermally stratified flows. A value of zero is appropriate for unstable thermally stratified flows.

BUC4 - Value is the k-ε multiplier applied to the buoyancy term of the turbulent kinetic energy equation. A value of 1.0 is appropriate for the calculation of stable thermally stratified flows. The default value is zero.

BETA - Value is β, the coefficient of thermal expansion

This term is used in the buoyancy terms of the k-ε model.

To set the buoyancy terms BUC3, BUC4, and BETA, you use either of the following:

Command(s): | FLDATA24,TURB,Label,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Setup> Turbulence> Buoyancy Terms Main Menu> Solution> FLOTRAN Setup> Turbulence> Buoyancy Terms

See the Theory Reference for ANSYS and ANSYS Workbench and the Commands Reference for more information.

3.1.4.2. Zero Equation Turbulence Model (ZeroEq)

The Zero Equation Turbulence Model (ZeroEq) is the simplest and fastest turbulence model. It applies to problems with fairly simple geometry and flow characteristics. The model does not give accurate results if there is significant separation or recirculation.

To select the Zero Equation Turbulence Model, you use either of the following:

Command(s): | FLDATA24,TURB,MODL,2
GUI: | Main Menu> Preprocessor> FLOTRAN Setup> Turbulence> Turbulence Model Main Menu> Solution> FLOTRAN Setup> Turbulence> Turbulence Model

The Zero Equation Turbulence Model contains an automatic calculation of the length scale or you can specify the length scale. Generally, the turbulence ratio can be set to 2.0 when you are using the Zero Equation Turbulence Model.

See the Theory Reference for ANSYS and ANSYS Workbench and the Commands Reference for more information.

3.1.4.3. Re-Normalized Group Turbulence Model (RNG)

The Re-Normalized Group Turbulence Model (RNG) is effective where the geometry has a strong curvature (e.g., a duct that goes through a 180 degree change in direction. If you have tried the SZL Model and the results are unsatisfactory, it is generally recommended that you try the RNG Model.

To select the RNG Model, you use either of the following:

Command(s): | FLDATA24,TURB,MODL,3
GUI: | Main Menu> Preprocessor> FLOTRAN Setup> Turbulence> Turbulence Model Main Menu> Solution> FLOTRAN Setup> Turbulence> Turbulence Model

To set the constants for the RNG Model, you use either the FLDATA24A,RNGT command or the foregoing GUI.

The RNG Model is an extension of the Standard k-ε Model. Seven constants are assigned values. The Cµ, C1, C2, SCTK, and SCTD constants are assigned values that are separate from the Standard k-ε Model. The following two constants are added:

BETA -Value is the RNG model constant,

ETAI -Value is the asymptotic value of the strain rate parameter eta.

Inlet parameters and wall parameters are the same as the Standard k-ε Model.

See the Theory Reference for ANSYS and ANSYS Workbench and the Commands Reference for more information.

3.1.4.4. k-epsilon Model Due to Shih (NKE)

The k-ε Model due to Shih (NKE) features a variable Cµ term which helps to reduce the excess normal strain terms in the Standard k-ε Model. The NKE model also employs a different dissipation source term than the Standard k-ε Model.

The NKE and GIR models are recommended for rotating flows.

To select the NKE Model, you use either of the following:

Command(s): | FLDATA24,TURB,MODL,4
GUI: | Main Menu> Preprocessor> FLOTRAN Setup> Turbulence> Turbulence Model Main Menu> Solution> FLOTRAN Setup> Turbulence> Turbulence Model

To set the constants for the NKE Model, you use either the FLDATA24B,NKET command or the foregoing GUI.

The NKE Model is an extension of the Standard k-ε Model. Four constants are assigned values. The C2, SCTK, and SCTD constants are assigned values that are separate from the Standard k-ε Model. The following constant is added:

C1MX - Value is the maximum allowed value of the C1 constant in the turbulent kinetic energy dissipation rate equation.

Inlet parameters and wall parameters are the same as the Standard k-ε Model.

See the Theory Reference for ANSYS and ANSYS Workbench and the Commands Reference for more information.

3.1.4.5. Nonlinear Model of Girimaji (GIR)

The Nonlinear Model of Girimaji (GIR) is suggested for cases with secondary vortices in the flow. The GIR and NKE models are recommended for rotating flows.

To select the GIR Model, you use either of the following:

Command(s): | FLDATA24,TURB,MODL,5
GUI: | Main Menu> Preprocessor> FLOTRAN Setup> Turbulence> Turbulence Model Main Menu> Solution> FLOTRAN Setup> Turbulence> Turbulence Model

To set the constants for the GIR Model, you use either the FLDATA24C,GIRT command or the foregoing GUI.

The GIR Model is an extension of the Standard k-ε Model. Seven constants are assigned values. The SCTK, and SCTD constants are assigned values that are separate from the Standard k-ε Model. The following five constants are added:

G0 - Value is the [image] constant.
G1 - Value is the [image] constant.
G2 - Value is the C2 constant.
G3 - Value is the C3 constant.
G4 - Value is the C4 constant.

Inlet parameters and wall parameters are the same as the Standard k-ε Model.

See the Theory Reference for ANSYS and ANSYS Workbench and the Commands Reference for more information.

3.1.4.6. Shih, Zhu, Lumley Model (SZL)

The SZL Model is simpler than the NKE and GIR models. It produces the lowest level of turbulence. The SZL model is numerically efficient, but in some cases the resulting low effective viscosity has an adverse effect on stability. Generally, if the SZL model does not give satisfactory results, it is recommended that you try the RNG model.

If conditions of large strain exist in the flow field, you may want to try the SZL Model after trying the RNG, NKE or GIR models. If the SZL Model gives significantly different results, it is recommended that you refine the mesh in the regions where the turbulence field is strongly altered.

To select the SZL Model, you use either of the following:

Command(s): | FLDATA24,TURB,MODL,6
GUI: | Main Menu> Preprocessor> FLOTRAN Setup> Turbulence> Turbulence Model Main Menu> Solution> FLOTRAN Setup> Turbulence> Turbulence Model

To set the constants for the SZL Model, you use either the FLDATA24D,SZLT command or the foregoing GUI.

The SZL Model is an extension of the Standard k-ε Model. Five constants are assigned values. The SCTK, and SCTD constants are assigned values that are separate from the Standard k-ε Model. The following three constants are added:

SZL1 - Value is the numerator constant used in the calculation of Cµ. It is the Aszl1 constant.
SZL2 - Value is the denominator constant used in the calculation of Cµ. It is the Aszl2 constant.
SZL3 - Value is the strain rate multiplier. It is the Aszl3 constant.
Inlet parameters and wall parameters are the same as the Standard k-ε Model.

See the Theory Reference for ANSYS and ANSYS Workbench and the Commands Reference for more information.

3.1.4.7. k-omega Turbulence Model

The k-ω model is one of the simplest turbulence models. It provides better modeling of the turbulent boundary layer than the standard k-ε model, but is more sensitive to the free-stream turbulence levels.

To select the k-ω Model, you use either of the following:

Command(s): | FLDATA24,TURB,MODL,7
GUI: | Main Menu> Preprocessor> FLOTRAN Setup> Turbulence> Turbulence Model Main Menu> Solution> FLOTRAN Setup> Turbulence> Turbulence Model

To set the constants for the k-ω Model, use either the FLDATA24E,SKWT command or the foregoing GUI.

The k-ω Model solves for the ω equation rather than the ε equation in the standard k-ε Model. Four constants are assigned values. The SCTK constant is an assigned value that is separate from the Standard k-ε Model. The following three constants are added:

SCTW - Value is the Schmidt number for the specific dissipation rate.
BETA - Value is the BETA factor.
GAMA - Value is the GAMMA factor.

Inlet parameters and wall parameters are the same as the Standard k-ε Model.

See the Theory Reference for ANSYS and ANSYS Workbench and the Commands Reference for more information.

3.1.4.8. Shear Stress Transport Model (SST)

The SST Model combines advantages of both the Standard k-ε Model and the k-ω Model. It automatically switches to the k-ω Model in the near region and the Standard k-ε Model away from the walls.

To select the SST Model, you use either of the following:

Command(s): | FLDATA24,TURB,MODL,8
GUI: | Main Menu> Preprocessor> FLOTRAN Setup> Turbulence> Turbulence Model Main Menu> Solution> FLOTRAN Setup> Turbulence> Turbulence Model

To set the constants for the SST Model, use the FLDATA24F,SST1, FLDATA24G,SST1 and FLDATA24H,SST2 commands, or the foregoing GUI. Similar to the k-ω Model, the SST Model solves for the ω equation rather than the ε equation in the Standard k-ε Model. Nine constants are assigned values. The SCTK1 and the SCTK2 constants are assigned values that are separate from the Standard k-ε Model. The following seven constants are added.

CLMT - Value is the turbulent production clip factor.
SCTW1 - Value is the Schmidt number for the specific dissipation rate in the k-ω regime.
SCTW2 - Value is the Schmidt number for the specific dissipation rate in the k-ε regime.
BETA1 - Value is the BETA factor in the k-ω regime.
BETA2 - Value is the BETA factor in the k-ε regime.
GAMA1 - Value is the GAMMA factor in the k-ω regime.
GAMA2 - Value is the GAMMA factor in the k-ε regime.

Inlet parameters and wall parameters are the same as the Standard k-ε Model.

See the Theory Reference for ANSYS and ANSYS Workbench and the Commands Reference for more information.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 3. FLOTRAN Laminar and Turbulent Incompressible Flow 		Up / Home Next
3.2. Meshing Requirements


3.2. Meshing Requirements

The meshing requirements for turbulence are more restrictive than those for laminar flow. The most important areas obviously are those with the higher gradients, in particular the regions near walls.

Structured meshes, as contrasted with free meshes, can provide more consistent representation at the walls. Figure 3.3: "Structured Mesh" and Figure 3.4: "Unstructured Mesh" compare the structured and unstructured meshes for a region near the wall.

Figure 3.3 Structured Mesh

This mesh was produced with MSHAPE,0,2D and MSHKEY,1 commands.

Figure 3.4 Unstructured Mesh

This mesh was produced with MSHAPE,1,2D and MSHKEY,0 commands.

You can evaluate the adequacy of the mesh near the walls. Applying the turbulence model near walls involves the "Log Law of the Wall," the relationship between a nondimensionalized distance from the wall Y+, and the log of a nondimensionalized velocity in a region near the wall. This law calculates a near wall viscosity that is consistent with experimentally determined velocity profiles near the wall. Values of Y+ are relevant only for wall nodes and are available for postprocessing (YPLU).

Optimum values of Y+ are between approximately 30 and 1000. If the pressure is decreasing in the direction of flow, values up to 5000 are acceptable. FLOTRAN handles the case where Y+ is less than 30 for the near wall node by assuming that the near wall node is in the laminar sublayer or the overlap region. In the former case, the near wall viscosity is simply the laminar value.

If Y+ is very small, perhaps below 1, more elements than necessary are being used to resolve the flow distribution field. If Y+ is greater than 5000, decrease the mesh spacing near the wall.

Caution

Use enough elements to resolve the flow field in the regions of interest. You should use at least four elements to span the cross sections of long thin channels. Use more than four elements where thin channels connect to larger regions.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.1. Activating the Turbulence Model 		Up / Home Next
3.3. Flow Boundary Conditions


3.3. Flow Boundary Conditions

Each boundary of the problem domain requires treatment. You specify some combination of DOF (VX, VY, VZ and PRES) at the boundary types listed below. (If suitable values are available, you can specify turbulent kinetic energy (ENKE) and turbulent kinetic energy dissipation rate (ENDS) at an inlet.) The derivative of all dependent variables normal to the surface is zero if you apply no conditions at the boundary surface.

To set DOF constraints at nodes, use either of the following:

Command(s): | D
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> boundary condition type

You can set boundary conditions on the solid model using any of the following:

Command(s): | DA and DL
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> boundary condition type> On Areas Main Menu> Solution> Define Loads> Apply> boundary condition type> On Areas Main Menu> Preprocessor> Loads> Define Loads> Apply> boundary condition type> On Lines Main Menu> Solution> Define Loads> Apply> boundary condition type> On Lines

This enables you to redo the analysis with a different mesh, without reapplying boundary conditions on a nodal basis. These commands or GUI paths allow you to specify the condition on the endpoints of a line or the edge of an area.

Take care to ensure that the proper conditions are applied at intersecting boundaries. You have control over whether or not boundary conditions are applied at the ends of lines or at the edges of areas. A nonzero velocity component at the end of a line or at the edge of an area will not replace an existing zero velocity condition at the associated nodes. Where a wall intersects an inlet, the wall condition will automatically prevail.

If you apply new (and different) boundary conditions to a solid model of a finite element mesh, you should delete existing nodal boundary conditions before transferring the new loads.

Specified Flow: You specify all velocity components at the boundary. Use this method to specify a flow at an inlet. Knowledge of the mass flow at the inlet requires you to know the density.

Specified Pressure: Typically, you apply a relative pressure (usually zero) as an outlet boundary condition. In the absence of gravity and a rotating reference frame, the absolute pressure is the sum of the FLOTRAN (relative) pressure and the reference pressure. See the Theory Reference for ANSYS and ANSYS Workbench for a more complete discussion of pressure. A problem may also be pressure driven, in which case one of the pressure boundaries is an inlet.

Note

If significant gradients are calculated near a boundary, a mass imbalance can occur. This is due to the implied condition of fully developed flow for a constant pressure boundary. If the flow has not fully developed, FLOTRAN is forced to adjust it across the last row of elements to satisfy the boundary condition. Occasionally, this adjustment may cause a mass imbalance.

To prevent this from occurring, you can add a development length to the exit. This addition does not actually need to match the physical flow geometry. You can subtract the pressure drop in this "chimney" to obtain the desired pressure drop. The pressure drop in the "chimney" will vary over its full cross section. You will have to choose a representative value of the pressure drop to match the desired outlet conditions. You will not know this pressure drop, of course, until after you examine the results from the chimney. You can opt to apply an exit pressure profile, based on these results, to the original geometry.

You can calculate the required length of the chimney (L) using the characteristic diameter (D) from the development length formula:

Laminar flow: L/D ~ 0.06 Re
Turbulent flow: L/D ~ 4.4 Re1/6

Typically, a chimney 20 to 25 diameters long will be sufficient. Although the mesh in this region may be coarse, you should avoid drastic changes in element size by using a size ratio in the chimney. The important feature is the chimney length, not the number of nodes in it.

Symmetry Boundary: The velocity component normal to the boundary is specified as zero. Leave all other degrees of freedom unspecified.

Generalized Symmetry Boundary Conditions: You can also apply generalized symmetry boundary conditions. Velocity components are set tangential to the symmetry surface if the ALE formulation is not activated. They are set equal to the mesh velocity if the ALE formulation is activated. To apply generalized symmetry boundary conditions, use one of the following commands or the GUI equivalent:

D,NODE,ENDS,-1
DL,LINE,AREA,ENDS,-1,Value2
DA,AREA,ENDS,-1,Value2

With one exception, if any velocity component is specified at the same boundary, the generalized symmetry boundary conditions are overwritten. In a 2-D swirl problem, specification of a velocity component VZ does not overwrite generalized symmetry conditions.

Stationary Wall: This is also referred to as a no-slip condition. All the velocity components are set to zero.

Moving Wall: Specify the velocity component tangent to the wall and set all other velocity components to zero. As a flag to indicate this is a moving wall, set the turbulent kinetic energy to -1 on a moving wall. This specification is as a flag only; it does not affect the performance of the wall turbulence model. If you are using the GUI, indicate a moving wall when specifying the velocities.

Unspecified Boundary: In this case, neither the relative pressure nor the velocities are known. The most common application for this is at downstream boundaries in compressible supersonic flow.

Periodic Boundary: Conditions are unknown but identical at two boundaries. You select the nodes at one boundary and then issue the macro PERI,DX, DY, DZ, where DX, DY, and DZ are the offsets of the second boundary from the first. The offsets are input in the established FLOTRAN coordinate system. The meshes at the two boundaries must be identical.

Intersections: At the intersection of surfaces where two different boundary conditions are applied, either the boundary conditions are merged or one takes precedence over the other. The following table provides guidance on what boundary conditions are applied at the intersection.

Table 3.1 Boundary Conditions at Intersections

Intersecting Boundary 1 | Intersecting Boundary 2 | Action
Inflow: VX, VY, VZ values specified | Wall: VX, VY, VZ = 0 | Overwrite inflow with wall
Inflow: VX, VY, VZ values specified | Symmetry: VX or VY or VZ = 0 | Combine inflow with symmetry
Inflow: VX, VY, VZ values specified | Outflow: P = 0 | Enforce inflow condition, not outflow
Symmetry: VX or VY or VZ = 0 | Outflow: P = 0 | Combine symmetry and outflow
Symmetry: VX or VY or VZ = 0 | Wall: X, VY, VZ = 0 | Overwrite symmetry with the wall
Wall: VX, VY, VZ = 0 | Outflow: P = 0 | Combine wall and outflow conditions
Generalized Symmetry | Outflow: P = 0 | Combine the generalized symmetry and outflow conditions

Note

Inflow, symmetry , and wall boundary conditions all overwrite generalized symmetry conditions.

Inlet Values: If you activate the turbulence model, boundary conditions are required. The ANSYS program supplies default values based on the inlet velocity and a scale factor. Given an inlet velocity magnitude V, the inlet kinetic energy is specified as:

The default value of the factor ININ is 0.01, corresponding to a level of turbulence of 1 percent at the inlet. The inlet value of the kinetic energy dissipation rate ε is calculated from:

The INSF value is a user-controlled scale factor. To specify the factors ININ and INSF, use either of the following methods:

Command(s): | FLDATA24,TURB,ININ,Value and FLDATA24,TURB,INSF,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Turbulence> Turbulence Param Main Menu> Solution> FLOTRAN Set Up> Turbulence> Turbulence Param

You can set specific values of the turbulent kinetic energy (ENKE) or the dissipation rate (ENDS) using either the FLDATA24 command or the menu paths in Determining Whether an Analysis Is Turbulent.

Occasionally, you may wish to activate the turbulence model for the case, but deactivate it for certain regions. To deactivate the turbulence model in regions, set the kinetic energy (ENKE) to zero and the dissipation rate (ENDS) to 1.0. It is never valid to set the dissipation rate to zero, and FLOTRAN prohibits it. ENDS will be set to 1.0, if ENKE is set to zero.

Wall Roughness:

The FLOTRAN default condition is smooth walls. To specify wall roughness values, you must use the equilibrium wall turbulence model. You activate it using the FLDATA24,TURB,WALL,EQLB command.

To apply a uniform wall roughness in length units to all walls, you can use the FLDATA24,TURB,KS,Value command. In addition to being the actual roughness, the KS parameter determines the regime of roughness (smooth, transitional, or fully rough). The default value of 0.0 implies a smooth wall.

You can also apply an empirical dimensionless factor (CKS) between 0.5 and 1.0 that specifies the degree of nonuniformity of the surface. The default value of 0.5 means that the roughness signified by KS is uniformly distributed. Higher values increase the roughness losses without changing the flow regime implied by the value of KS. You can use the FLDATA24,TURB,CKS,Value command to specify this factor.

The following two methods are available if you have surfaces that require different roughness values.

The first method utilizes real constants for all the wall elements. You apply suitable KS and CKS values to the near wall elements as real constants. A different real constant set will exist for each set of wall roughnesses. Note that roughness constants applied to elements that are not near wall will be ignored. Also, any KS and CKS values specified by the FLDATA24,TURB command will be ignored.

The second method is for cases where most of the surfaces have the same roughness condition and only a few are different. First, set the values appropriate for most of the surfaces with the FLDATA24,TURB command. Then use real constants to apply roughnesses to the walls that have different conditions. The real constants will overwrite the FLDATA24,TURB values. Note that if the same value of CKS is applied to all the surfaces (as is typical), it can be controlled with the FLDATA24,TURB command and the real constant can be omitted.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.2. Meshing Requirements 		Up / Home Next
3.4. Strategies for Difficult Problems


3.4. Strategies for Difficult Problems

The most common problems are divergence or oscillation of the pressure and/or velocity field.

The following strategies have proven helpful in getting difficult turbulent problems to converge.

  1. Activate the turbulence option if you have not done so.

    Turbulence modeling is activated by either of the following:

    Command(s): FLDATA1,SOLU,TURB,T
    GUI: Main Menu> Preprocessor> FLOTRAN Setup> Solution Options
    Main Menu> Solution> FLOTRAN Setup> Solution Options

  2. Use a mapped mesh if a free mesh has given poor results. Resolve the boundary layer so that the value of Y+ is less than 5000.

    To set the Y+ output option, use the following:

    Command(s): FLDATA5,OUTPUT,YPLU,Value
    GUI: Main Menu> Preprocessor> FLOTRAN Setup> Additional Out> RFL Out Derived
    Main Menu> Solution> FLOTRAN Setup> Additional Out> RFL Out Derived

  3. Set the turbulence inertial relaxation factor to 1.0. Values as low as 1.0-2 may help. (For incompressible flow problems, you may not need to vary this factor.)

    To set the turbulence inertial relaxation factor, use the following:

    Command(s): FLDATA26,STAB,TURB,Value
    GUI: Main Menu> Preprocessor> FLOTRAN Set Up> Relax/Stab/Cap> Stability Parms
    Main Menu> Solution> FLOTRAN Set Up> Relax/Stab/Cap> Stability Parms

  4. Use pressure and momentum relaxation factors less than 0.5. If values as low as 0.2 do not help, going lower probably will not help either.

    To set the pressure and momentum relaxation factors, use the following:

    Command(s): FLDATA25,RELX,PRES,Value
    FLDATA25,RELX,VX (or VY, VZ),Value
    GUI: Main Menu> Preprocessor> FLOTRAN Set Up> Relax/Stab/Cap> DOF Relaxation
    Main Menu> Solution> FLOTRAN Set Up> Relax/Stab/Cap> DOF Relaxation

  5. Begin the problem with a higher turbulence ratio (meaning a higher initial effective viscosity). Do not set values for this parameter, which takes effect only at problem startup, above 1.0 x 107. The ratio set controls the initial effective viscosity no matter when you activate the turbulence model.

    To set the turbulence ratio, use either of these methods:

    Command(s): FLDATA24,TURB,RATI,Value
    GUI: Main Menu> Preprocessor> FLOTRAN Set Up> Turbulence> Turbulence Param
    Main Menu> Solution> FLOTRAN Set Up> Turbulence> Turbulence Param

  6. After initializing with the correct properties, solve the problem with a higher viscosity and the turbulence model turned off. When the flow field is partially converged, the turbulence model is activated. You may need to reduce the relaxation factor of the effective viscosity to 0.1 or 0.0 for some global iterations to allow partial convergence of the turbulence equations. Refer to the foregoing strategies for command information.

  7. Difficulties can involve large changes in properties due to large fluctuations in pressure or temperature. Preventing property variations early in the analysis (until the large fluctuations calm down) can stabilize the analysis significantly.

    You also can invoke velocity capping to prevent large values of velocities or pressures. This is particularly useful in compressible analyses, where velocity spikes can cause negative static temperatures.

    To implement velocity capping, use either of the following methods:

    Command(s): FLDATA31,CAPP,Label,Value
    GUI: Main Menu> Preprocessor> FLOTRAN Set Up> Relax/Stab/Cap> Results Capping
    Main Menu> Solution> FLOTRAN Set Up> Relax/Stab/Cap> Results Capping

    If you use the FLDATA31 command, Label represents a capping parameter such as VELO (velocity), or TEMP (temperature). Value is either the capping flag (T or F) or the capping parameter value. Pressure capping applies to relative values of pressure. Temperature capping applies to absolute values of temperature.

  8. Problems involving pyramid, wedge or in particular tetrahedral element shapes may require tighter convergence of the pressure equation. Values as low as 1.E-18 may be required (FLDATA21,CONV,PRES,1.E-18). You should reduce the convergence criterion until, from one global iteration to the next, the number of iterations required to solve the equation varies by less than 10 percent (as per the Jobname.DBG file).

  9. The solution of the pressure equation may affect the mass balance. The mass balance may be incorrect (as per the Jobname.PFL file) if large aspect ratio elements are near significant flow area changes. Mass imbalances may also occur if inlet or outlet regions are too coarsely meshed or if the flow tends to exit at an angle at outlets.

  10. If FLOTRAN displays a message stating that the coefficient matrix has a negative diagonal and the solution is probably divergent, try turning on modified inertial relaxation in the momentum equation or turbulence equation. Set the Value between 0.1 and 1.0. To achieve a faster convergence rate, use the smallest Value possible.

    To set the turbulence inertial relaxation factor, use the following:

    Command(s): FLDATA34,MIR,Label,Value
    GUI: Main Menu> Preprocessor> FLOTRAN Set Up> Relax/Stab/Cap> MIR Stabilization
    Main Menu> Solution> FLOTRAN Set Up> Relax/Stab/Cap> MIR Stabilization

  11. If you notice anomalous results for 3-D problems, you should increasing the quadrature order to 2.

  12. Specifying the Streamline Upwind/Petrov-Galerkin (SUPG) approach for momentum may help convergence. Specifying the SUPG approach for temperature may also yield more accurate energy solutions and hence more accurate energy balances. For more information on the SUPG approach, see "Advection Discretization Options".

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.3. Flow Boundary Conditions 		Up / Home Next
3.5. Example of a Laminar and Turbulent FLOTRAN Analysis


3.5. Example of a Laminar and Turbulent FLOTRAN Analysis

Access the CFD Tutorial to perform an example analysis of laminar and turbulent flow in a 2–D duct.

Before you begin the laminar/turbulent example, note the following:

  • The example problem is only one of many possible FLOTRAN analyses. It does not illustrate every technique you might use in a FLOTRAN analysis, and is intended only to show the kinds of tasks a FLOTRAN analysis typically requires.

  • You can use many techniques in a FLOTRAN analysis that are not shown in this problem. For example, you can integrate pressure and shear stress on an airfoil to determine the lift and drag forces (see the description of the INTSRF command in Integrating Surface Results in the Basic Analysis Guide).

  • The values you enter in this example are specific values for this example only. The characteristics of the individual problem you are solving dictate what values you should specify for a particular FLOTRAN analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.4. Strategies for Difficult Problems 		Up / Home Next
Chapter 4. FLOTRAN Thermal Analyses


Chapter 4. FLOTRAN Thermal Analyses

In a thermal analysis, you solve the temperature equation to determine temperature. Even if the temperature itself is not important, the variation of fluid properties with temperature may be important enough to warrant a thermal analysis.

In addition to calculating a temperature field, a thermal analysis provides heat fluxes at problem boundaries and heat transfer coefficients based on an assumed bulk or ambient temperature.

You activate solution of the temperature equation via one of the following:

Command(s): | FLDATA1,SOLU,TEMP,TRUE
GUI: | Main Menu> Solution> FLOTRAN Set Up> Solution Options

FLOTRAN automatically includes viscous heating for compressible flows. For information on activating viscous heating for incompressible flows, see Forced Convection, Temperature Dependent Properties and the description of the FLDATA1 command in the Commands Reference.

The following FLOTRAN thermal analysis topics are available:

  • Meshing Requirements
  • Property Specifications and Control
  • Thermal Loads and Boundary Conditions
  • Solution Strategies
  • Heat Balance
  • Surface-to-Surface Radiation Analysis Using the Radiosity Method
  • Examples of a Laminar, Thermal, Steady-State FLOTRAN Analysis
  • Example of Radiation Analysis Using FLOTRAN (Command Method)
  • Where to Find Other FLOTRAN Analysis Examples

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.5. Example of a Laminar and Turbulent FLOTRAN Analysis 		Up / Home Next
4.1. Meshing Requirements


4.1. Meshing Requirements

The ANSYS program has no formal criteria for evaluating the finite element mesh. However, thermal gradients are often extremely high near thermal boundaries, especially heat flux boundaries. Therefore, the mesh should usually be denser near thermal boundaries.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 4. FLOTRAN Thermal Analyses 		Up / Home Next
4.2. Property Specifications and Control


4.2. Property Specifications and Control

In addition to density and viscosity, thermal flow problems require the specification of thermal conductivity and specific heat. You must determine whether or not fluid properties should vary with temperature.

To set properties for non-fluid regions, use one of these methods:

Command(s): | MP
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Other> Change Mat Props Main Menu> Preprocessor> Material Props> Material Models> CFD> Conductivity> Isotropic Main Menu> Preprocessor> Material Props> Material Models> CFD> Specific Heat Main Menu> Solution> Load Step Opts> Other> Change Mat Props

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.1. Meshing Requirements 		Up / Home Next
4.3. Thermal Loads and Boundary Conditions


4.3. Thermal Loads and Boundary Conditions

The ANSYS program supports six types of thermal boundary conditions:

  1. Constant temperatures

  2. Constant heat fluxes

  3. Applied heat transfer (film) coefficients with associated ambient temperatures

  4. Ambient radiation with associated surface emissivities and ambient temperatures

  5. Surface-to-surface radiation with associated emissivities and enclosure number.

  6. Adiabatic boundaries (the default condition)

In addition, constant volumetric heat sources may be located in both fluid and non-fluid regions.

The applicable commands are summarized below.

You can apply your boundary conditions via TABLE type array parameters (see Applying Loads Using TABLE Type Array Parameters in the Basic Analysis Guide). You can also apply your boundary conditions using function boundary conditions (see Applying Loads Using Function Boundary Conditions in the Basic Analysis Guide).

You can define a TABLE type array parameter to apply your boundary conditions in a FLOTRAN analysis. Attempting to use tabular boundary conditions in a FLOTRAN analysis will create erroneous results.

4.3.1. Applying Loads

The table below lists the loads you can apply in a thermal FLOTRAN analysis.

Table 4.1 Command Family and GUI Path Used to Apply Loads

Load Type | Category | Cmd Family | GUI Path
Temperature (TEMP) | Constraints | D | Main Menu> Solution> Define Loads> Apply> Temperature

Convection (CONV),
Heat Flux (HFLU),
Radiation (RAD),
Surface-to-surface
radiation (RDSF)

Surface Loads SF
Main Menu> Solution> Define Loads> Apply> Thermal> Convection
Main Menu> Solution> Define Loads> Apply> Thermal> Heat Flux
Main Menu> Solution> Define Loads> Apply> Thermal> Ambient Rad
Main Menu> Solution> Define Loads> Apply> Thermal> Surface Rad
Heat Generation Rates (HGEN) | Body Loads | BF | Main Menu> Solution> Define Loads> Apply> Fluid/CFD> Heat Generat

In an analysis, you can apply, remove, operate on, or list loads.

4.3.1.1. Applying Loads Using Commands

The table below lists all the commands in detail you can use to apply loads in a FLOTRAN thermal analysis.

Table 4.2 Load Commands for a FLOTRAN Thermal Analysis

Load Type | Solid Model or FE | Entity | Apply | Delete | List | Operate | Apply Settings
Temperature | Finite Element | Nodes | D | DDELE | DLIST | - | -
Convection, Heat Flux, Ambient Radiation, or Surface-to- surface Radiation | Solid Model | Lines | SFL | SFLDELE | - | - | -
 | Solid Model | Areas | SFA | SFADELE | SFALIST | SFTRAN | SFGRAD
 | Finite Element | Nodes | SF | SFDELE | SFLIST | - | -
 | Finite Element | Elements | SFE | SFEDELE | SFELIST | SFSCALE | -
Heat Generation Rates | Finite Element | Elements | SFE | SFEDELE | SFELIST | SFSCALE | -
 | Solid Model | Lines | BFL | BFLDELE | BFLLIST | BFTRAN | -
 | Solid Model | Areas | BFA | BFADELE | BFALIST | BFTRAN | -
 | Solid Model | Volumes | BFV | BFVDELE | BFVLIST | BFTRAN | -
 | Finite Element | Nodes | BF | BFDELE | BFLIST | - | -
 | Finite Element | Elements | BFE | BFEDELE | BFELIST | BFSCALE | -

Note

You must use tabular boundary conditions if you are applying tapered heat flux or convection loads.

4.3.1.2. Applying Loads Using the GUI

You access all operations except List through a series of cascading menus. From the Solution Menu, you choose the operation (Apply, Delete, etc.), then the load type (temperature, heat flux, etc.), and then the object (node, line, or area) to which you are applying the load.

For example, to apply a temperature load to lines, follow this GUI path:

Main Menu> Solution> Define Loads> Apply> Thermal> Temperature> On Lines

To list loads, follow this GUI path:

Utility Menu> List> Loads> load type

4.3.1.3. Solutions

The following list describes what is known and what is calculated as a function of the type of boundary specified.

  • For temperature boundary conditions, heat flux and heat transfer coefficient are calculated.

  • For heat flux boundary conditions, temperature and heat transfer coefficient are calculated.

  • For ambient radiation boundary conditions, temperature and heat flux are calculated.

  • For surface-to-surface radiation boundary conditions, temperature and heat flux are calculated.

  • For heat transfer boundary conditions, temperature and heat flux are calculated.

  • For adiabatic boundary conditions, temperature is calculated.

When you apply a heat transfer (film) coefficient, you also specify an associated ambient temperature. The ANSYS program uses this along with the surface temperature to calculate the heat flux at that boundary.

You specify heat flux and heat transfer coefficients at external model boundaries. You cannot specify them at general internal surfaces. You can specify heat flux and heat transfer coefficients at internal boundary faces (such as fluid/solid interface surfaces), but FLOTRAN will issue a warning because they are probably incorrect. In a standard FLOTRAN analysis the heat transfer at a fluid/solid boundary is a desired result, not a boundary condition. If you wish to apply a heat flux or a heat transfer coefficient, you should apply it at the external solid material boundary, or at the edge of the fluid region without modeling the solid material in the analysis. If you specify a film coefficient or a heat flux at an internal fluid/solid interface, FLOTRAN interprets it to be a line/area heat source or sink. You can prescribe temperatures anywhere.

In cases where you must calculate the heat transfer coefficient at a surface, ANSYS uses the surface temperature along with the bulk temperature you specify using either of the following methods:

Command(s): | FLDATA14,TEMP,BULK,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Flow Environment> Ref Conditions Main Menu> Solution> FLOTRAN Set Up> Flow Environment> Ref Conditions

If the analysis is compressible, boundary condition temperatures are in terms of total temperature, and the temperature equation is formulated and solved in terms of total temperature.

The FLOTRAN ambient radiation load simulates radiation heat transfer to space at a constant temperature. You specify the constant temperature with the SF command. You specify the Stefan-Boltzmann constant with the STEF command (defaults to 0.119E-10 Btu/hr/in2/ °R4). The form factor is 1.0 by assumption.

Since radiation can pass through a fluid region and impact on a solid, you can apply the ambient radiation load on a fluid/solid interface, as well as on external model boundaries. In this case, you should apply the surface load to either the fluid or solid element faces, or the solid model entity defining the interface. If you apply the load to more than one face, FLOTRAN applies the boundary conditions on only one face and issues a message that it skipped duplicate boundary conditions.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.2. Property Specifications and Control 		Up / Home Next
4.4. Solution Strategies


4.4. Solution Strategies

The most efficient way to solve thermal-flow problems depends on the degree to which the fluid properties depend on the temperature.

4.4.1. Constant Fluid Properties

In this case, the flow solution does not depend at all on the temperature field and can be converged without activating the temperature equation solution.

Once the flow solution is complete, the temperature equation become linear. You can then solve it in one global iteration after you set the relaxation factor for temperature to 1 using either method shown below:

Command(s): | FLDATA25,RELX,TEMP,1.0
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Relax/Stab/Cap/DOF Relaxation Main Menu> Preprocessor> FLOTRAN Set Up> Relax/Stab/Cap/Prop Relaxation Main Menu> Solution> FLOTRAN Set Up> Relax/Stab/Cap/DOF Relaxation Main Menu> Solution> FLOTRAN Set Up> Relax/Stab/Cap/Prop Relaxation

This is often best accomplished with a semi-direct solution algorithm.

See "FLOTRAN CFD Solvers and the Matrix Equation" for more information.

The flow equations need not be solved during the solution of the temperature equation. Executing two global iterations should result in a very small change, if any, in the answer during the second calculation. This will be reflected in a large decrease in the convergence monitors for temperature in the second iteration.

4.4.2. Forced Convection, Temperature Dependent Properties

The flow pattern will be a mild function of the temperature field. You can choose to solve the temperature equation every global iteration or converge the flow field calculations before activating solution of the temperature equation. In the latter case, you will still need to solve the flow and temperature equations together to refine the flow field with the property variations. If difficulties with the temperature equation are encountered early in the solution, it is then best to start over and partially converge the flow solution before allowing the properties to vary with temperature.

For incompressible flows, viscous heating is generally not important for cases with low Prandtl numbers or low to moderate velocities. However, you should turn on viscous heating whenever the Prandtl number is greater than 2 or the velocities are high (e.g., greater than 100 m/s in air). FLOTRAN automatically includes viscous heating for compressible flows. To include viscous heating for incompressible flows, use one of the following:

Command(s): | FLDATA1,SOLU,IVSH,T
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Solution Options Main Menu> Solution> FLOTRAN Set Up> Solution Options

For information on the energy units required for thermal quantities when an incompressible analysis includes viscous heating, refer to Fluid Property Types.

4.4.3. Free Convection, Temperature Dependent Properties

In this case, the driving force for the flow is the density change brought about by temperature variations. You must turn on both options.

You also must do the following:

  • Specify acceleration due to gravity, using one of the following:

    Command(s): ACEL
    GUI: Main Menu> Preprocessor> FLOTRAN Set Up> Flow Environment> Gravity
    Main Menu> Solution> FLOTRAN Set Up> Flow Environment> Gravity

  • Activate the variable density option using one of the following:

    Command(s): FLDATA13,VARY,Label,TRUE (Label = fluid property)
    GUI: Main Menu> Preprocessor> FLOTRAN Set Up> Fluid properties
    Main Menu> Solution> FLOTRAN Set Up> Fluid properties

Buoyancy property types, which use a constant pressure to evaluate the density from the ideal gas law are provided for AIR. (See "Specifying Fluid Properties for FLOTRAN".) Pressure fluctuations are thus prevented from causing instabilities in density calculations. Natural convection cases converge slowly, and may be more stable if the TDMA algorithm is used for pressure and temperature. The number of sweeps used may be set to Number of Nodes/10, but should be at least 100.

4.4.4. Conjugate Heat Transfer

When the thermal properties of the non-fluid material are several orders of magnitude different from those of the fluid, this is called an ill-conditioned conjugate heat transfer problem. In this situation, the TDMA method probably will not yield useful results, no matter how many sweeps you specify. You access the TDMA method using either of the following:

Command(s): | FLDATA18,METH,TEMP,1
GUI: | Main Menu> Solution> FLOTRAN Set Up> CFD Solver Controls> Temp Solver CFD

The Conjugate Residual method offers more functionality and requires little more memory than the Tri-Diagonal Matrix Algorithm (TDMA) method. To access it, use either of the following:

Command(s): | FLDATA18,METH,TEMP,2
GUI: | Main Menu> Solution> FLOTRAN Set Up> CFD Solver Controls> Temp Solver CFD

You can control several parameters, such as convergence criteria and the number of search vectors used, to enhance performance. (See the discussion of FLDATA18 in the Commands Reference for more information about these parameters.) However, the conjugate residual method, although fairly fast, is not suited for difficult problems.

A more robust choice for solving ill-conditioned heat transfer problems is the Preconditioned Conjugate Residual method, which requires much more memory than either the TDMA or Conjugate Residual methods. The PCR method allows you to control the number of search vectors used, up to a maximum of 30. To use it, use either of the following:

Command(s): | FLDATA18,METH,TEMP,3
GUI: | Main Menu> Solution> FLOTRAN Set Up> CFD Solver Controls> Temp Solver CFD

Note

For nodes connected only to solid nodes, the value stored in the Jobname.RFL file under the density (DENS) label is the product of the density and specific heat.

You can evaluate performance of the Conjugate Residual and Preconditioned Conjugate Residual methods by looking at the Jobname.DBG file (described in "FLOTRAN CFD Solvers and the Matrix Equation").

The most robust, but most memory-intensive, method for solving conjugate heat transfer problems is the Preconditioned Generalized Minimum Residual method. You can access it via either of the following:

Command(s): | FLDATA18,METH,TEMP,4
GUI: | Main Menu> Solution> FLOTRAN Set Up> CFD Solver Controls> Temp Solver CFD

The Preconditioned Generalized Minimum Residual (PGMR) solution method is the default choice for temperature.

Although the same user controls exist for the PGMR method as for the PCCR solver, the default values are different. For PGMR, the least restrictive convergence criterion allowed is 1.E-10. If you try to use a less restrictive convergence criterion, FLOTRAN will change it to 1.E-10. A convergence criterion as low as 1.E-20 may be necessary for some problems. In addition, you should use at least 12 search vectors, and FLOTRAN ensures this. For the PGMR solver, 12 search vectors is the default and the allowable range is 12 to 20.

FLOTRAN non-fluid elements support both temperature dependence and orthotropic variation. That is, KXX, KYY, and KZZ can assume different values and temperature variations. FLOTRAN considers conductivity as an element quantity, evaluated at the quadrature points in the element. However, in fluid elements, FLOTRAN considers thermal conductivity to be a nodal quantity.

To specify the variable and orthotropic conductivities, you use the following commands or GUI paths:

Command(s): | MP or MPDATA
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Other> Change Mat Props Main Menu> Preprocessor> Material Props> Material Models> CFD> Conductivity> Orthotropic Main Menu> Solution> Load Step Opts> Other> Change Mat Props Main Menu> Preprocessor> Loads> Load Step Opts> Other> Change Mat Props

Note

Thermal analysis problems having variable thermal conductivity are nonlinear and require multiple iterations to solve. Variable solid thermal conductivities are not relaxed.

For a conjugate heat transfer problem, it is wise to obtain an initial temperature solution before solving the coupled energy/momentum equations. To achieve the temperature solution, use the following:

Command(s): | FLDATA1,SOLU,FLOW,F
GUI: | Main Menu> Solution> FLOTRAN Set Up> Solution Options
Command(s): | FLDATA1,SOLU,TEMP,T
GUI: | Main Menu> Solution> FLOTRAN Set Up> Solution Options
Command(s): | FLDATA25,RELX,TEMP,1.0
GUI: | Main Menu> Solution> FLOTRAN Set Up> Relax/Stab/Cap> DOF Relaxation
Command(s): | FLDATA2,ITER,EXEC,1
GUI: | Main Menu> Solution> FLOTRAN Set Up> Execution Ctrl
Command(s): | FLDATA18,METH,TEMP,3
GUI: | Main Menu> Solution> FLOTRAN Set Up> CFD Solver Contr> TEMP Solver CFD

In the above steps, an initial temperature solution is obtained from a solution of the heat conduction equation.

FLOTRAN can calculate film coefficients at walls in conjugate heat transfer problems. Two algorithms are available for this purpose: the conductivity matrix algorithm and the temperature field algorithm. The conductivity matrix algorithm uses the thermal conductivity matrix to calculate heat fluxes and film coefficients. It is the default. Generally, it produces satisfactory results for well shaped elements. However, if the elements are not well shaped, it can produce non-smooth results. You should then switch to the temperature field algorithm. It calculates film coefficients directly from thermal gradients. To set the algorithm, use the following:

Command(s): | FLDATA37,ALGR,HFLM,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Algorithm Ctr Main Menu> Solution> FLOTRAN Set Up> Algorithm Ctr

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.3. Thermal Loads and Boundary Conditions 		Up / Home Next
4.5. Heat Balance


4.5. Heat Balance

Using information in the Jobname.PFL file, you can calculate a heat balance for your problem. For any flow problem with the thermal option activated, the energy flow into and out of the problem domain at the inlets/outlets is calculated and tabulated. Also calculated for the flow boundaries is the heat conduction across the boundary faces. The difference between the energy flow into the system and out of the system at the flow boundaries should equal the total energy added through sources and sinks.

The accuracy of the energy balance depends on the approach used to discretize the advection term in the energy equation. In general, the Streamline Upwind/Petrov-Galerkin (SUPG) approach provides a more accurate energy balance than the Monotone Streamline Upwind (MSU) approach. If you desire an exact energy balance, use the Collocated Galerkin (COLG) approach. For steady-state incompressible flows, it provides an exact energy balance, even with a coarse mesh. However, SUPG or COLG may suffer from oscillatory thermal solution near walls with a coarse mesh. Use the FLDATA40,WADV command to minimize such spatial oscillation.

Energy flowing into or out of the system at mass flow boundaries is equal to the product of the mass flow, the specific heat, and the temperature. A temperature offset specified by the TOFFST command does not enter this calculation. Positive numbers mean heat flows into the system.

Energy sources include volumetric heat sources in either fluids or solids. Specified wall temperatures and specified film coefficient boundaries are either sources or sinks, depending on the temperature gradient. Heat fluxes are sources or sinks depending on the sign.

Heat transfer to/from wall faces refers to boundaries of fluid regions which are not inlets or outlets.

Heat transfer at wall faces refers to fluid boundaries, regardless of whether or not the boundary is a no-fluid element or simply a no-slip condition. Positive numbers mean heat flows into the fluid.

Volumetric heat generation can be applied to solid regions or fluid regions. Be careful, when calculating the energy balance to avoid accounting for heat generation in solids twice.

For example, suppose a conjugate heat transfer problem featured a volumetric heat source in a solid region which is cooled by a fluid flow. The difference between the energy flow in and out should equal heat transfer to wall faces. This number should also match the volumetric heat generation in the solid.

For all cases, the difference between the energy flowing into the system at flow boundaries and flowing out at the boundaries should equal heat transfer to wall faces plus fluid volumetric heat sources plus the heat conduction effects normal to the flow direction at the flow boundaries.

Essentially, FLOTRAN performs a heat balance on the fluid region only. Heat fluxes and film coefficients are solution outputs for the external fluid boundaries only. Heat fluxes applied on external boundaries are not part of the solution output.

The effects of viscous dissipation on a heat balance are not explicitly tabulated. The associated heat generation is manifested in terms of an increased temperature, which in turn affects the energy departure at the outlet and the heat transfer at wall faces if applicable. With adiabatic walls, for example, the temperature of the fluid will increase from viscous dissipation, even though no heat sources will be apparent.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.4. Solution Strategies 		Up / Home Next
4.6. Surface-to-Surface Radiation Analysis Using the Radiosity Method


4.6. Surface-to-Surface Radiation Analysis Using the Radiosity Method

Surface-to-surface radiation analysis in FLOTRAN can be used for solving generalized radiation problems involving two or more radiating surfaces in single or multiple open or closed enclosures. The method is supported for both 3-D and 2-D FLOTRAN elements FLUID141 and FLUID142. The thermal solution option has to be on for radiation analysis. You can switch radiation analysis off using the FLDATA1, SOLU, RDSF command. The command defaults to on.

Surface-to-surface radiation analysis in 2-D is supported for planar and axisymmetric geometry about YR and XR coordinate systems. Radiation analysis is not supported for 3-D/2-D compressible flow thermal analysis and for R-θ and R-θ-Z coordinate system in 2-D and 3-D analysis respectively.

Elements supported for the radiosity method include:

FLOTRAN.

FLUID141
FLUID142

4.6.1. Procedure

The Radiosity Solution method consists of four steps:

  1. Define the radiating surfaces.

  2. Define Solution options.

  3. Define View Factor options.

  4. Calculate and query view factors.

See Using the Radiosity Solver Method in the Thermal Analysis Guide for a detailed explanation of these steps.

4.6.2. Heat Balances

Jobname.PFL file provides information of the net positive and negative radiation heat transfer from both solid and fluid surfaces.

See Example of Radiation Analysis Using FLOTRAN (Command Method)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.5. Heat Balance 		Up / Home Next
4.7. Examples of a Laminar, Thermal, Steady-State FLOTRAN Analysis


4.7. Examples of a Laminar, Thermal, Steady-State FLOTRAN Analysis

This chapter describes a laminar, thermal, steady-state fluid flow problem and two ways to solve it: by choosing items on the ANSYS GUI menus or by issuing a series of ANSYS commands.

Before you begin reading about the example, note the following:

  • The example problem described is only one of many possible FLOTRAN analyses. It does not illustrate every technique you might use in a FLOTRAN analysis, and is intended only to show the kinds of tasks a FLOTRAN analysis typically requires.

  • The values you enter in this example via commands or dialog boxes are specific values for this example only. The characteristics of the individual problem you are solving dictate what values you should specify for a particular FLOTRAN analysis.

4.7.1. The Example Described

This example evaluates buoyancy-driven flow in a square cavity with differentially heated vertical sides. It is a laminar steady-state analysis that uses the FLUID141 2-D element. The physics modeled in this problem govern a number of practical problems, including solar energy collection, the ventilation of rooms, and so on.

Figure 4.1 Diagram of the Square Cavity

Density variations resulting from the temperature difference across the cavity drive the laminar flow. The Rayleigh number for this flow is 1.01E+05, and is defined as follows:

Ra = g β ΔTL3 ρ2Cp/k µ

The symbols in this equation are:

g = gravitational acceleration
β = 1/T
ΔT = THOT - TCOLD
L = cavity length
ρ = density
Cp = specific heat
k = thermal conductivity
µ = viscosity

Other example analysis conditions are:

  • Cavity: dimensions 0.03m x 0.03m; gravitational acceleration 9.81 m/s2

  • Operating conditions: nominal temperature 193K; reference pressure 1.0135E+05 Pa

  • Fluid: Air in SI units

  • Loads: no slip walls (Vx = Vy = 0); left wall of cavity maintained at THOT = 320K; right wall of cavity maintained at TCOLD = 280K

4.7.2. Doing the Buoyancy Driven Flow Analysis (GUI Method)

To do the example buoyancy-driven flow analysis using the menus, perform the steps discussed in the next few sections.

Step 1: Establish an Analysis Title and Preferences

When you have entered the ANSYS program, do these tasks:

  1. Choose menu path Utility Menu> File> Change Title. The Change Title dialog box appears.

  2. Enter the text "Buoyancy driven flow in a square cavity."

  3. Click on OK.

  4. Choose menu path Main Menu> Preferences. The Preferences for GUI Filtering dialog box appears.

  5. Click the button for FLOTRAN CFD to "On."

  6. Click on OK. You have just instructed the ANSYS program to do a FLOTRAN analysis.

Back To Top

Step 2: Define Element Types

Next, you need to specify which elements your analysis will use. The example uses only one element, FLUID141. To define it:

  1. Choose menu path Main Menu> Preprocessor> Element Type> Add/Edit/Delete. The Element Types dialog box appears.

  2. Click on Add. The Library of Element Types dialog box appears.

  3. In the two scrollable lists, highlight (click on) FLOTRAN CFD and "2D FLOTRAN 141."

  4. Click on OK. ANSYS returns you to the Element Types dialog box.

  5. Click on Close.

Back To Top

Step 3: Create Areas

Next, create the areas you need. Our example requires an area representing the square cavity. To create it, perform these tasks:

  1. Choose menu path Main Menu> Preprocessor> Modeling> Create> Areas> Rectangle> By Dimensions. The Create Rectangle by Dimensions dialog box appears.

  2. Enter the X coordinates from 0.0 to 0.03.

  3. Enter the Y coordinates from 0.0 to 0.03.

  4. Click on OK. The square area you have just created will appear in the Graphics Window.

Back To Top

Step 4: Define Lines, Mesh, and Plot Elements

This step meshes the square cavity area so that you can apply temperature loads to it. Follow these steps:

  1. Choose menu path Main Menu> Preprocessor> Meshing> MeshTool. Under the Size Controls section of the MeshTool, click Lines,Set. The Element Size on Picked Lines picking menu appears.

  2. Click Pick All. The Element Size on Picked Lines dialog box appears.

  3. Set the number of element divisions to 25.

  4. Click on OK.

  5. In the MeshTool, select Areas from the Mesh drop down menu. Then click Quad and Free. Then click MESH. The Mesh Areas picking menu appears.

  6. Click on Pick All to generate the mesh.

  7. Click on Close on the MeshTool.

  8. Click SAVE_DB on the ANSYS Toolbar.

Back To Top

Step 5: Apply Velocity Boundary Conditions

In this step and Step 6, you apply boundary conditions to your model, starting with the exterior nodes. Do the following:

  1. Choose menu path Utility Menu> Select> Entities. The Select Entities dialog box appears.

  2. Select Nodes and Exterior.

  3. Click on OK.

  4. Choose menu path Main Menu> Preprocessor> Loads> Define Loads> Apply> Fluid/CFD> Velocity> On Nodes. The Apply V on Nodes picking menu appears.

  5. On the picking menu, click on Pick All. The Velocity Constraints on Nodes dialog box appears.

  6. Set the VX velocity component and VY velocity component fields to 0.

  7. Click on OK.

Back To Top

Step 6: Apply Thermal Boundary Conditions

Now you need to apply temperature loads on the left and right edges of the model. To do so:

  1. Choose menu path Main Menu> Preprocessor> Loads> Define Loads> Apply> Thermal> Temperature> On Nodes. The Apply TEMP on Nodes picking menu appears.

  2. Click on Box. Doing this enables you to select the nodes to which you are applying loads by drawing a box around them.

  3. Press and drag your left mouse button to draw a box around the nodes on the left edge of the meshed area.

  4. Click on OK.

  5. In the Apply TEMP on Nodes dialog box, enter 320 as the temperature value.

  6. Click on OK.

  7. Choose menu path Main Menu> Preprocessor> Loads> Define Loads> Apply> Thermal> Temperature> On Nodes. The Apply TEMP on Nodes picking menu appears.

  8. On the menu, click on Box. Doing this enables you to select the nodes to which you are applying loads by drawing a box around them.

  9. Press and drag your left mouse button to draw a box around the nodes on the right edge of the meshed area.

  10. Click on OK.

  11. In the Apply TEMP on Nodes dialog box, enter 280 as the temperature value.

  12. Click on OK.

  13. Choose menu path Utility Menu> Select> Everything. This step is important; it ensures that ANSYS includes all nodes and elements in the analysis.

  14. Click on the SAVE_DB button on the Toolbar.

Back To Top

Step 7: Set FLOTRAN Solution Options and Execution Controls

In this step and the next few steps, you set up conditions for the FLOTRAN analysis. You first specify what type of FLOTRAN analysis you are doing and what values will control FLOTRAN execution.

  1. Choose menu path Main Menu> Preprocessor> FLOTRAN Set Up> Solution Options. The FLOTRAN Solution Options dialog box appears.

  2. Set the "Adiabatic or thermal?" field to Thermal.

  3. Click on OK.

  4. Choose menu path Main Menu> Preprocessor> FLOTRAN Set Up> Execution Ctrl. The Steady State Control Settings dialog box appears.

  5. Set the Global Iterations (EXEC) field to 200.

  6. Set the .RFL File Overwrite Freq field to 50.

  7. Set the Output summary frequency (SUMF) field to 50.

  8. Click on OK.

Back To Top

Step 8: Set Fluid Properties

To set the fluid properties for the example analysis, do the following:

  1. Choose menu path Main Menu> Preprocessor> FLOTRAN Set Up> Fluid Properties. The Fluid Properties dialog box appears.

  2. Set the "Density," "Viscosity," "Conductivity," and "Specific heat" fields to AIR-SI.

  3. Set the "Allow density variations?" field to Yes.

  4. Click on Apply. The CFD Flow Properties dialog box appears.

  5. Read the information about how coefficients will be calculated, then click on OK.

Back To Top

Step 9: Set FLOTRAN Flow Environment Parameters

To set the flow environment parameters, follow these steps:

  1. Choose menu path Main Menu> Preprocessor> FLOTRAN Set Up> Flow Environment> Gravity. The Gravity Specification dialog box appears.

  2. Set the "Accel in Y direction" field to 9.81.

  3. Click on OK.

Back To Top

Step 10: Solve the Problem

Set controls for the FLOTRAN solver before you initiate the solution process. Follow these steps:

  1. Choose menu path Main Menu> Preprocessor> FLOTRAN Set Up> CFD Solver Contr> PRES Solver CFD. The PRES Solver CFD dialog box appears.

  2. Choose TDMA.

  3. Click on OK. The TDMA Pressure dialog box appears.

  4. Make sure that the value of the "No. of TDMA sweeps for pressure" field is 100. If so, click on OK.

  5. Click on the SAVE_DB button in the Toolbar.

  6. Choose menu path Main Menu> Solution> Run FLOTRAN.

  7. Wait for the solution to finish, then review the information in the ANSYS Output Window. Click Close in the Solution is done window.

Back To Top

Step 11: Read In Results and Plot the Temperature Solution

Perform these steps:

  1. Choose menu path Main Menu> General PostProc> Read Results> Last Set.

  2. Choose menu path Main Menu> General PostProc> Plot Results> Contour Plot> Nodal Solu. The Contour Nodal Solution Data dialog box appears.

  3. In the "Item to be Contoured" list, click on (highlight) DOF Solution.

  4. In the scrollable list, scroll down and choose TEMP.

  5. Click on OK. The Graphics Window shows you the following contour plot:

Figure 4.2 Plot of the Temperature Solution

Back To Top

Step 12: Plot Streamline Contours

  1. Choose menu path Main Menu> General PostProc> Plot Results> Contour Plot> Nodal Solu. The Contour Nodal Solution Data dialog box appears.

  2. Click on (highlight) "Other quantities."

  3. In the scrollable list, select "Strm func2D STRM" (stream function).

  4. Click on OK. The Graphics Window shows you the following contour plot:

Figure 4.3 Plot of Streamline Contours

Back To Top

Step 13: Plot Velocity Vectors

For better viewing of the analysis results for the example, switch to vector plotting as described below:

  1. Choose menu path Utility Menu> PlotCtrls> Device Options. The Device Options dialog box appears.

  2. Set Vector mode (wireframe) to "On."

  3. Click on OK.

  4. Choose menu path Main Menu> General PostProc> Plot Result> Vector Plot> Predefined. The Vector Plot of Predefined Vectors dialog box appears.

  5. Verify that the items "DOF solution" and "Velocity" are highlighted. If so, click on OK. The display in the Graphics Window now looks similar to the one below.

Figure 4.4 Plot of Velocity Vectors

Back To Top

Step 14: Plot Particle Traces Contoured by Temperature

In the example analysis, the dimensions of the problem are small (.03 x .03). Therefore, before plotting particle trace points, you should change the working plane to give a better view from which to choose those points.

  1. Choose menu path Utility Menu> WorkPlane> WP Settings. The WP Settings dialog box appears.

  2. Set Snap Increment to 0.0005.

  3. Set Spacing to 0.0001.

  4. Set Tolerance to 0.00005.

  5. Click on OK.

  6. Choose menu path Utility Menu> Plot> Elements.

  7. Choose menu path Main Menu> General Postproc> Plot Results> Flow Trace> Defi Trace Pt.

  8. Using your mouse, pick five or six points anywhere within the upper half of the problem domain.

  9. Click on OK in the picking menu.

  10. Choose menu path Main Menu> General Postproc> Plot Results> Flow Trace> Plot Flow Trace. The Plot Flow Trace dialog box appears.

  11. In the scrollable list, click on (highlight) "Temperature TEMP".

  12. Click on OK. The Graphics Window shows a plot that resembles the plot shown below. Your plot may look different, depending on the location of the points you picked. If a warning message appears telling you that the maximum number of loops has been exceeded, review it and click Close. For the purposes of this problem, the particle trace is stuck in a loop by definition, so you can ignore this message.

Figure 4.5 Plot of Flow Trace

Back To Top

Step 15: Plot Particle Traces Contoured by Velocity Magnitude

  1. Choose menu path Main Menu> General PostProc> Plot Results> Flow Trace> Plot Flow Trace. The Plot Flow Trace dialog box appears.

  2. In the scrollable list, choose "VSUM."

  3. Click on OK. The plot shown in the Graphics Window is now contoured by velocity magnitude. How your plot looks will depend on the location of the points you picked. If you receive another warning message about the maximum number of loops being exceeded, click Close.

  4. If you wish, you can use animation to enhance your analysis of particle flow. Choose menu path Utility Menu> PlotCtrls> Animate> Particle Flow. When the Animate Flow Trace dialog box appears, enter the desired animation data and click OK. (To animate particle flow, you must have at least one trace point defined. To complete the sample analysis, simply take the defaults and click on OK.)

  5. When you are done viewing the animation, click Stop and then Close in the Animation Controller. If additional warning messages appear, close them.

  6. To exit ANSYS, click Quit on the ANSYS Toolbar. Choose an exit option and then click on OK.

See Section 5.10, Doing the Sample Analysis (Command Method), for an example problem.

4.7.3. Doing the Buoyancy Driven Flow Analysis (Command Method)

To do the example buoyancy-driven flow analysis, you issue these ANSYS commands:

/TITLE,Buoyancy driven flow in a square cavity
/PREP7
ET,1,FLUID141                    ! Set 2-D fluid element type
RECTNG,,0.03,,0.03               ! Create square area
LPLOT
LESIZE,ALL, , ,25,1,0            ! Define line divisions and mesh area
AMESH,1
EPLOT
NSEL,S,EXT                       ! Apply velocity b.c. on exterior nodes
D,ALL,,,,,,VX,VY
NSEL,S,NODE,,1                   ! Apply thermal b.c. on left edge
NSEL,A,NODE,,52
NSEL,A,NODE,,77,100
D,ALL,TEMP,320
NSEL,S,NODE,,2                   ! Apply thermal b.c. on right edge
NSEL,A,NODE,,27,51
D,ALL,TEMP,280
NSEL,ALL
ESEL,ALL
FLDATA1,SOLU,TEMP,1              ! Set solution option to thermal
FLDATA2,ITER,EXEC,200            ! Set FLOTRAN execution controls
FLDATA2,ITER,OVER,50
FLDATA5,OUTP,SUMF,50
!*
FLDATA13,VARY,DENS,1             ! Set fluid properties
FLDATA7,PROT,DENS,AIR-SI
FLDATA7,PROT,VISC,AIR-SI
FLDATA7,PROT,COND,AIR-SI
FLDATA8,NOMI,COND,-1
FLDATA7,PROT,SPHT,AIR-SI
!*
ACEL,0,9.81,0                    ! Set flow environment gravity
FLDATA18,METH,PRES,1             ! Set FLOTRAN solver controls
FLDATA19,TDMA,PRES,100
FINISH
/SOLU
SOLVE                            ! Solve model
FINISH
/POST1
SET,LAST
PLNSOL,TEMP                      ! Plot temperature solution
PLNSOL,STRM                      ! Plot streamline contours
/DEVICE,VECTOR,1
!*
PLVECT,V, , , ,VECT,ELEM         ! Plot velocity vectors
wpstyle,0.0005,0.0001,-1,1,0.00005,0,2,,5
EPLOT
TRPOIN,P                         ! The P argument enables graphical picking
                                 ! of trace points via the GUI
PLTRAC,FLUID,TEMP                ! Plot particle traces contoured by
PLTRAC,FLUID,V,SUM               ! temperature and velocity magnitude
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.6. Surface-to-Surface Radiation Analysis Using the Radiosity Method 		Up / Home Next
4.8. Example of Radiation Analysis Using FLOTRAN (Command Method)


4.8. Example of Radiation Analysis Using FLOTRAN (Command Method)

The following is an example of a laminar, thermal, steady-state FLOTRAN analysis with surface-to-surface radiation using the radiosity solution method (command method). In this example a buoyancy-driven flow in a square cavity with differentially heated vertical walls is considered. All walls of the cavity are radiating surfaces with an emissivity of 0.9. The final temperature distribution in the cavity effected by the presence of the radiating walls in the fluid domain.

To do the surface-to-surface radiation problem, you issue these ANSYS commands:

/prep7
et, 1, 141									! 2-D Fluid element
rectng, , .027744, , .027744	! Create square cavity
esize, , 20								! Set number of elements
amesh, all									! Mesh area
nsel, s, ext								! Select external nodes
d, all,,,,,,vx,vy						! Set all external wall velocities to zero
allsel
lsel, s, loc, x, 0.0
nsll, s, 1
d, all, temp, 500						! Set wall temperature at x = 0.0 to 500 K
lsel, s, loc, x, .027744
nsll, s, 1
d, all, temp, 200						! Set wall temperature at x = 0.027744 to 200 K
nsel, all
esel, all
fldata1, solu, temp, 1				! Set solution option to thermal
fldata2, iter, exec, 200			! Set FLOTRAN execution control
fldata2, iter, over, 50
fldata5, outp, sumf, 50
!
fldata13, vary, dens, 1			! Set fluid properties
fldata7, prot, dens, air-si
fldata7, prot, visc, air-si
fldata7, prot, cond, air-si
fldata8, nomi, cond, -1
fldata7, prot, spht, air-si
!
acel, 0, 9.81, 0						! Set flow environment gravity
fldata18, meth, pres, 1
fldata19, tdma, pres, 100
fldata18, meth, temp, 6
stef,5.67e-8								! Set Stefan-Boltzmann constant
toff,0										! Set temperature offset to zero
radopt,.5,0.0001						! Set radiosity solver options
finish
/solu
allsel
nsel,s,ext									! Select all external nodes
sf, all, rdsf, 0.9, -1				! Apply radiation on external faces facing inwards
allsel
solve											! Solve
finish
/post1
set last
plnsol, temp								! Plot temperature solution
plnsol, strm								! Plot streamline contours

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.7. Examples of a Laminar, Thermal, Steady-State FLOTRAN Analysis 		Up / Home Next
4.9. Where to Find Other FLOTRAN Analysis Examples


4.9. Where to Find Other FLOTRAN Analysis Examples

Another example of a FLOTRAN analysis is the CFD Tutorial. Also, the Verification Manual contains several additional examples of FLOTRAN analyses. The Verification Manual examples include:

VM46 - Flow Between Rotating Concentric Cylinders
VM121 - Laminar Flow Through a Pipe with Uniform Heat Flux
VM178 - Plane Poiseuille Flow
VM209 - Multiple Species Flow Entering A Circular Pipe
VM219 - Non-Newtonian Pressure Driven Sector Flow

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.8. Example of Radiation Analysis Using FLOTRAN (Command Method) 		Up / Home Next
Chapter 5. FLOTRAN Transient Analyses


Chapter 5. FLOTRAN Transient Analyses

You activate the transient algorithm by setting the solution option, using one of these methods:

Command(s): | FLDATA1,SOLU,TRAN,TRUE
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Solution Options Main Menu> Solution> FLOTRAN Set Up> Solution Options

You must make decisions regarding the time step, the method of converging the analysis during a time step, the length of execution of the job and the frequency of output.

What you specify via one of the following methods determines the transient execution and output:

Command(s): | FLDATA4,TIME and FLDATA4A,STEP
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Execution Ctrl Main Menu> Solution> FLOTRAN Set Up> Execution Ctrl

The final section of this chapter explains how to apply transient boundary conditions for FLOTRAN.

The following FLOTRAN transient analysis topics are available:

  • Time Integration Method
  • Time Step Specification and Convergence
  • Terminating and Getting Output from a Transient Analysis
  • Applying Transient Boundary Conditions

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.9. Where to Find Other FLOTRAN Analysis Examples 		Up / Home Next
5.1. Time Integration Method


5.1. Time Integration Method

There are two methods available for the time integration: Backward (the default) and Newmark. The Newmark method is more accurate than the Backward method. To specify the Newmark method, use one of the following:

Command(s): | FLDATA4,TIME,METH,NEWM
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Transient Contrl> Time Integration Meth Main Menu> Solution> FLOTRAN Set Up> Transient Contrl> Time Integration Meth

When using the Newmark method, you can introduce numerical damping to stabilize the solution.

Command(s): | FLDATA4,TIME,DELT,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Transient Contrl> Time Integration Meth Main Menu> Solution> FLOTRAN Set Up> Transient Contrl> Time Integration Meth

The Newmark parameter must be [image] 0.5. It defaults to 0.5. The recommended range is 0.5 to 0.6. Higher values are more stable because there is more damping. Lower values result in more accurate results with 0.5 corresponding to second order accuracy. For more information on the Newmark method, see Transient Analysis in the Theory Reference for ANSYS and ANSYS Workbench.

There are two mass types that you can set for the transient analysis: lumped (the default) and consistent. The consistent type is more dissipative than the lumped type. To specify the consistent type, use one of the following:

Command(s): | FLDATA38,MASS,Label,CONS MSMASS,SPNUM,CONS
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Transient Contrl> Mass Type Main Menu> Solution> FLOTRAN Set Up> Transient Contrl> Mass Type Main Menu> Solution> FLOTRAN Set Up> Multiple Species

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 5. FLOTRAN Transient Analyses 		Up / Home Next
5.2. Time Step Specification and Convergence


5.2. Time Step Specification and Convergence

Because the algorithm is implicit in nature, no stability restrictions exist on the time step size. You specify a time step or elect to have FLOTRAN calculate a time step. To do so, use either of the following:

Command(s): | FLDATA4A,TIME,STEP,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Execution Ctrl Main Menu> Solution> FLOTRAN Set Up> Execution Ctrl

The graphical user interface will require you to set the time step if you choose the User Defined option.

The table below shows the values you can specify. A brief description of the FLOTRAN calculation follows the table.

Table 5.1 Specifying Values for Time Steps

Value to Specify | Meaning
Any value > 0 | User Specified Time Step
-1 | Advection Limit
-2 | Pressure Wave Limit
-3 | Smaller of Pressure wave and Advection
-4 | Conduction Limit

The advection limit prevents a particle of fluid from passing completely through a finite element during a time step.

The pressure wave limit means the time step is chosen small enough to prevent a pressure wave from passing all the way through a finite element during a single time step. This option is active only if you choose the compressible solution algorithm.

The choice of -3 (again valid only for compressible analyses) means that the more restrictive (that is, smaller) time step criterion will be imposed.

The conduction limit is calculated to prevent the conductive diffusion of a parcel of energy completely through an element during a time step. The limit applies only to problems that include conduction, and is valid for problems with both fluid and non-fluid elements.

FLOTRAN must execute global iterations to converge within a time step. The time step terminates when either of the following happens:

  • The convergence criteria are met.

  • The maximum number of global iterations allowed per time step executes.

You set the maximum number of global iterations per time step using one of the following:

Command(s): | FLDATA4A,TIME,GLOB,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Execution Ctrl Main Menu> Solution> FLOTRAN Set Up> Execution Ctrl

The convergence criteria are values below which the convergence monitors for each active degree of freedom must drop to cause the time step to terminate. You specify these values using the following commands or menu paths:

Command(s): | FLDATA4,TIME,Label,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Execution Ctrl Main Menu> Solution> FLOTRAN Set Up> Execution Ctrl

As soon as all the convergence criteria are met, the time step terminates. The time step terminates on the number of global iterations allowed if the convergence monitor criteria are not met.

If the problem is adiabatic, only the pressure equation monitor is checked. Both the pressure and temperature equation monitors must be reduced below the convergence criteria values if the temperature equation also is solved.

As soon as the convergence monitor criteria are met, the time step terminates. The time step terminates on the number of global iterations allowed if the convergence monitor criteria are not met.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.1. Time Integration Method 		Up / Home Next
5.3. Terminating and Getting Output from a Transient Analysis


5.3. Terminating and Getting Output from a Transient Analysis

You can either specify an end time for a transient FLOTRAN analysis or have it end after a specified number of time steps. To specify an end time, use either method shown below.

Command(s): | FLDATA4,TIME,TEND,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Execution Ctrl Main Menu> Solution> FLOTRAN Set Up> Execution Ctrl

To specify a number of time steps, either use one of the menu paths listed above or issue the following command:

Command(s):

FLDATA4,TIME,NUMB,Value

The event that occurs first (end time or reaching the time step threshold) terminates the analysis.

You determine how often ANSYS saves the analysis results for processing and how often it writes information to the Jobname.PFL file. You do this by choosing from the following commands or menu paths:

Command(s): | FLDATA4,TIME,Label,Value and FLDATA4A,STEP,Label,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Execution Ctrl Main Menu> Solution> FLOTRAN Set Up> Execution Ctrl

The table below shows you how the values you specify affect analysis output:

Table 5.2 Saving Analysis Results for Processing

Name, Label, Value | Meaning of Value
STEP,APPE,n | Output results to Jobname.RFL every n time steps
TIME,APPE,x | Output results to Jobname.RFL every x seconds
STEP,SUMF,n | Add output summary to Jobname.PFL every n time steps
TIME,SUMF,x | Add output summary to Jobname.PFL every x seconds
STEP,OVER,n | Overwrite the temporary results set every n time steps
TIME,OVER,x | Overwrite the temporary results set every x seconds

If you wish to control the output based on time, you must first defeat the default controls which set APPE and SUMF to ten steps.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.2. Time Step Specification and Convergence 		Up / Home Next
5.4. Applying Transient Boundary Conditions


5.4. Applying Transient Boundary Conditions

When any boundary conditions are changed, FLOTRAN assumes either a step change (default) or a ramp change. The ramp is chosen by setting the BC label in the TIME item to 1 via one in the following:

Command(s): | FLDATA4,TIME,BC,1
GUI: | Main Menu> Preprocessor> FLOTRAN Setup> Execution Control

The ramp will occur for the next execution over the period of time for execution specified by the user. This is the difference between the current time (i.e., the beginning in the execution) and the end time as specified by the following:

Command(s): | FLDATA4,TIME,TEND,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Setup> Execution Control

The ramp is between the "old" boundary conditions and the "new" boundary conditions. A boundary condition is considered old as soon as FLOTRAN has gone through the calculational loop. This means that to use a ramped condition at the beginning of an analysis, a zero iteration execution (which may be accomplished with the FLOCHECK command) should be done with the initial condition (applied as a boundary condition) and then the boundary condition value(s) are changed to those at the end in the ramp.

Note that the ramp is calculated with the value of TEND as specified above, NOT the actual ending time in the case. For this reason, it is recommended that the user terminate the case with the TIME controls rather than the STEP controls. Ensure that the case will not terminate prematurely due to an insufficient number of time steps. If the case terminates before the time specified by TEND, upon restart the boundary conditions will be immediately changed from where they were when the run terminated to what the current boundary condition setting is. If you use the STEP controls in the GUI to set the number of time steps, you need to set TEND in that same dialog box. Otherwise, TEND defaults to 1.0 x 106 and the ramp is almost nonexistent.

Transient boundary conditions on velocity DOF (VX, VY, and VZ) must not be ramped from zero to a nonzero value. A very small velocity must be used instead of zero so that FLOTRAN recognizes the face as an inlet or outlet rather than a wall.

At any time, you can change the applied boundary conditions to the "old" state with one of the following:

Command(s): | FLOCHECK,2
GUI: | Main Menu> Preprocessor> FLOTRAN Setup> Flocheck

FLOCHECK,2 has no effect on the Jobname.RFL file.

Caution

FLOTRAN has no record of boundary conditions at earlier times. That is, if you want to restart from an earlier point in time and simulate a ramped boundary condition it is necessary to apply the boundary condition appropriate for the beginning of the ramp, make it an old condition via the FLOCHECK command, and then apply the condition at the end of the ramp.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.3. Terminating and Getting Output from a Transient Analysis 		Up / Home Next
Chapter 6. Volume of Fluid (VOF) Analyses


Chapter 6. Volume of Fluid (VOF) Analyses

In a Volume of Fluid (VOF) analysis, FLOTRAN uses an advection algorithm for the volume fraction (VFRC) to track the evolution of the free surface. The VFRC value for each element varies from zero to one, where zero denotes an empty or void element and one denotes a full or fluid element. The values between zero and one indicate that the corresponding elements are the partially full or surface elements (henceforth called partial elements), and the free surface can thus be determined by the distribution of the VFRC field.

For the dynamic behavior at the interface between a gas and liquid, FLOTRAN uses a continuum surface force (CSF) method to model the surface tension. Surface tension is an inherent characteristic of material interfaces. It is a localized surface force acting on the interface. FLOTRAN reformulates this surface force into an equivalent volumetric force in the momentum equation. This force consists of two components: a normal component to the interface due to local curvature and a tangential component to the interface due to local variations of the surface tension coefficient.

Currently, VOF capability is available only for quadrilateral elements for two dimensional planar or axisymmetric analyses. For a VOF analysis, boundary conditions are required for boundary nodes that belong to at least one non-empty (partial or full) element.

To activate a VOF analysis in FLOTRAN and model the surface tension effect, use the following commands or GUI menu paths:

Command(s): | FLDATA1,SOLU,VOF,Value FLDATA1,SOLU,SFTS,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Setup> Solution Options Main Menu> Solution> FLOTRAN Setup> Solution Options

In FLOTRAN, the VOF algorithm first computes the motion of the polygon of fluid in a Lagrangian sense and then utilizes the computational geometry of the intersection of two polygons to determine the VFRC fluxes. This method is referred to as the Computational Lagrangian-Eulerian Advection Remap (CLEAR) method. See the Theory Reference for ANSYS and ANSYS Workbench for information on the theoretical background. This CLEAR-VOF method tracks the free surface explicitly in time, and it is therefore necessary to activate the transient solution option for a VOF analysis. Refer to "FLOTRAN Transient Analyses" for information on the selection of the transient parameters, such as the time step, converging method, execution length and the output frequency. For accuracy, you should use the Streamline Upwind Petrov-Galerkin (SUPG) approach described in "Advection Discretization Options". If you encounter a convergence difficulty, the time increment may be reduced, and the modified inertial relaxation (MIR) scheme may also be activated for robustness.

Caution

You should avoid using quadrilateral elements with only one node on the inflow or outflow boundary.

The following VOF topics are available:

  • VFRC Loads
  • Input Settings
  • Postprocessing
  • VOF Analysis of a Dam
  • VOF Analysis of Open Channel with an Obstruction
  • VOF Analysis of an Oscillating Droplet

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.4. Applying Transient Boundary Conditions 		Up / Home Next
6.1. VFRC Loads


6.1. VFRC Loads

When performing a VOF analysis, you need to apply both initial and boundary VFRC loads. In most cases, default values are appropriate.

6.1.1. Initial VFRC Loads

You impose initial conditions for the velocity and other degrees of freedom in the usual manner. For the initial VFRC field, you can define each element as initially full, partially full or empty. Take care when initially setting partial elements. Each partial element must be adjacent to at least one full element and one empty element. During the analysis, if a partial element does not have any full elements as neighbors, it will be reset to empty. You should also include at least one layer of empty elements above the free surface to allow the surface to evolve in time.

To set the initial volume fraction field, use one of the following:

Command(s): | ICE,ELEM,VFRC,Value
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Fluid/CFD> Volume Fract> Init Loads> On Elements Main Menu> Solution> Define Loads> Apply> Fluid/CFD> Volume Fract> Init Loads> On Elements

By default, the volume fraction is zero. Therefore, if there is fluid initially inside the problem domain, you must set the VFRC field accordingly.

To set the initial volume fraction for a given geometry, use one of the following:

Command(s): | ICVFRC,GEOM,VAL1,VAL2,VAL3,VAL4
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Volume Fract> Init Loads> By Geom Main Menu> Solution> Define Loads> Apply> Fluid/CFD> Volume Frac> Init Loads> By Geom
ICVFRC automatically calculates the volume fraction value for all selected elements that are either inside the given geometry or intersect with it. The volume fraction is:

  • One for elements completely within the geometry

  • A fraction equal to the element area within the geometry for elements intersected by the boundary of the geometry

Currently, there are two valid geometries: circle (CIRC) and ellipse (ELPT). For a circle or ellipse, VAL1 and VAL2 are the x and y coordinates of the center, respectively. For a circle, VAL3 is the radius and VAL4 is not used. For an ellipse, VAL3 and VAL4 are the x and y semiaxes, respectively.

To display the initial volume fraction loads, use the following:

Command(s): | /PICE,VFRC,,KEY
GUI: | Utility Menu> PlotCtrls> Symbols
The /PBF and /PSF commands override the /PICE command.

6.1.2. Boundary VFRC Loads

You impose boundary conditions for the velocity and other degrees of freedom in the usual manner. Although boundary conditions outside the fluid region have no physical meaning initially, these conditions will become active if the fluid touches these boundaries. Accordingly, you should apply all appropriate boundary conditions on all boundaries potentially touched by the fluid. FLOTRAN treats unspecified boundaries with natural conditions.

Boundary conditions for VFRC loads consist of the boundary VFRC value and the wetting status. FLOTRAN only allows zero (empty) and one (full) values for the boundary VFRC values. By default, boundary VFRC values are set to one (full). FLOTRAN uses the boundary VFRC values to determine the normal surface direction in the VOF reconstruction stage, when the boundary is adjacent to the surface elements. The wetting status specifies whether the fluid can be advected into the problem domain. A zero value indicates a non-wetting boundary, whereas a unity value indicates a wetting boundary. By default, wetting status is set to zero (non-wetting boundary). On a wetting boundary, fluid advection into the problem domain takes place. The corresponding boundary VFRC value must be set to unity to be meaningful. On a non-wetting boundary, advection of the fluid or void elements into the problem domain does not take place. The boundary VFRC value only acts passively to help determine the normal surface direction.

To set boundary VFRC loads, use one of the following:

Command(s): | SFL,LINE,VFRC,VALI,VALJ,VAL2I,VAL2J SFE,ELEM,LKEY,VFRC,KVAL,VAL1,VAL2,VAL3,VAL4
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Fluid/CFD> Volume Fract> Bound Loads> On Lines Main Menu> Preprocessor> Loads> Define Loads> Apply> Fluid/CFD> Volume Fract> Bound Loads> On Elements Main Menu> Solution> Define Loads> Apply> Fluid/CFD> Volume Fract> Bound Loads> On Lines Main Menu> Solution> Define Loads> Apply> Fluid/CFD> Volume Fract> Bound Loads> On Elements

For the SFL command, VALI specifies the boundary VFRC value and (defaults to 1) VAL2I specifies the wetting status (defaults to non-wetting). If Lab = VFRC, a VAL2I setting of 1 indicates a wetted boundary. For the SFE command, VAL1 specifies the boundary VFRC value (defaults to 1) when KVAL = 0 or 1, and VAL1 specifies the boundary wetting status (defaults to non-wetting) when KVAL = 2. If Lab = VFRC and KVAL = 2, a VAL1 setting of 1 indicates a wetted boundary. At a wetted boundary, the fluid upstream keeps the associated elements full.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 6. Volume of Fluid (VOF) Analyses 		Up / Home Next
6.2. Input Settings


6.2. Input Settings

When performing a VOF analysis, you may set the environmental conditions regarding the ambient conditions, the VFRC tolerances, and the time stepping strategy.

When studying surface tension effects, you need set the proper values for the surface tension coefficient and the wall static contact angle. Refer to "Specifying Fluid Properties for FLOTRAN" for information on these property types.

6.2.1. Ambient Conditions

Set the ambient nodal values outside the fluid region for the following variables:

VX - U velocity
VY - V velocity
VZ - W velocity
TEMP - Temperature
ENKE - Turbulent Kinetic Energy
ENDS - Turbulent Dissipation Rate

using one of the following:

Command(s): | FLDATA36,AMBV, Label,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Setup> VOF Environment> Ambient Condit'n Main Menu> Solution> FLOTRAN Setup> VOF Environment> Ambient Condit'n

When a boundary node with Dirichlet Condition lies outside the fluid region, the assigned ambient values on this node are ignored. The prescribed Dirichlet Condition will become active once its associate element becomes partially full or full. Except for pressure, the ambient values are only set for postprocessing purposes. Pressure acts as an actual boundary condition.

Unlike other FLOTRAN analyses, the pressure field for a VOF analysis will include both the dynamic pressure and the static pressure and the static pressure will be in balance with the gravitational acceleration terms. For example, in a VOF analysis, the pressure contours for a parallel uniform flow with gravity will consist of parallel lines with a gradient balancing gravity, whereas they remain constant for other FLOTRAN analyses.

In a VOF analysis, an outlet can have specified pressures or it can have natural conditions. When outlet pressures are specified, the values will differ from those in other FLOTRAN analyses by the offsets of the static pressure (or elevation head). For natural boundary conditions the outlet pressures will adjust automatically. In that case, if a steady state solution exists, the outlet pressures will converge to the correct values.

6.2.2. VFRC Tolerances

Ideally, a VFRC value of one signifies a full or fluid element and a value of zero signifies an empty or void element. In reality, however, exact values of one and zero are difficult to maintain in the VOF advection algorithm due to various types of error accumulations. Hence, FLOTRAN introduces small cutoff values to determine the full and empty elements. An element is considered full if its VFRC value is greater than or equal to 1 - VOFU, where VOFU is the upper tolerance for the VOF advection algorithm. An element is considered empty if its VFRC value is less than or equal to VOFL, where VOFL is the lower tolerance for the VOF advection algorithm. By default, VOFL and VOFU are both set to 10-5.

In the FLOTRAN solution routines, a nearly empty element adjacent to a nearly full element may introduce an abrupt change in the locally rescaled meshes. This can make the stiffness matrix more ill-conditioned and can adversely affect the quality of the desired solution. To avoid this, FLOTRAN introduces another tolerance to not assemble the finite element equations for those elements with VFRC values less than or equal to LAML for laminar flows and TRBL for turbulent flows, where LAML and TRBL are the lower tolerances for laminar and turbulent flows, respectively. Similarly, elements with VFRC values greater than or equal to 1 - LAMU for laminar flows and 1 - TRBU for turbulent flows are considered full when assembling the finite element equations. You can set any of these tolerance values. By default, LAML and LAMU are set to 10-2 and TRBL and TRBU are set to 10-1.

To set any of the tolerance values, use one of the following:

Command(s): | FLDATA35,VFTOL,Label,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Setup> VOF Environment> VFRC Tolerance Main Menu> Solution> FLOTRAN Setup> VOF Environment> VFRC Tolerance

6.2.3. VOF Time Steps

Because the CLEAR-VOF is explicit in time, it must use a time step for the VOF advection algorithm that corresponds to a CFL number less than one. On the other hand, selecting the time step based on the VOF constraint may be too restrictive sometimes because the FLOTRAN transient solution algorithm is implicit in time, and there is no stability restriction on the time step size. Accordingly, FLOTRAN allows multiple VOF advection steps per solution step. The VOF advection time step is set equal to the solution time step divided by a factor that you specify. If the VOF advection time step is still too large, FLOTRAN will automatically reduce the VOF time step by half. This automatic reduction in the VOF time step continues until the local imbalance of the VFRC field during the VOF advection computations is less than the VOFL tolerance. A good input parameter guess makes the calculation more efficient by removing some checks on the time step.

To set the number of VOF advection time steps per solution time step, use one of the following:

Command(s): | FLDATA4,TIME,NTVF,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Setup> VOF Environment> Time Stepping Main Menu> Solution> FLOTRAN Setup> VOF Environment> Time Stepping

For a VOF analysis, the density is constant. Therefore, mass conservation is equivalent to the conservation of the total fluid volume (or area in two dimensions). Ideally, the difference between the volume coming into the problem domain and going out of the domain should be equal to the increase or decrease of the total volume inside the domain. In an actual finite element analysis, however, continuity satisfaction is expressed in a Galerkin weak form. Therefore, in general, each element has a small mass imbalance. The local mass imbalance is usually of the order of the discretization error, and this error is a major source of the global VFRC imbalance introduced in a VOF analysis. Even though this imbalance may be very small compared to the total volume, it can accumulate exponentially as the number of time steps increases. Hence, FLOTRAN performs a global adjustment of the VFRC field at each VOF time step. It proportionally increases or decreases the VFRC values of the partial elements to guarantee the global VFRC balance. It prints the final VFRC imbalance in the Jobname.PFL file.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.1. VFRC Loads 		Up / Home Next
6.3. Postprocessing


6.3. Postprocessing

The volume fraction is stored as a non-summable miscellaneous record in the element data section of the results file. If you want to view the volume fraction, issue the command:

Command(s):

PLESOL,NMISC,1

Since the volume fraction is essentially an element based quantity, it is discontinuous across elements. If you wish to see a smooth and continuous volume fraction, you should first store the results in an element table, using one of the following:

Command(s): | ETABLE,VFRC,NMISC,1
GUI: | Main Menu> General Postproc> Element Table> Define Table

You can then plot the results with an averaging operation, using one of the following:

Command(s): | PLETAB,VFRC,1
GUI: | Main Menu> General Postproc> Element Table> Plot Elem Table

However, instead of using the foregoing commands, you can use one of the following:

Command(s): | PLVFRC,CONT
GUI: | Main Menu> General Postproc> Plot Results> Contour Plot> Element Solu

The PLVFRC macro issues the ETABLE and PLETAB commands. When CONT = 0, PLVFRC uses contour levels of 0.5 and 1.0 to indicate the free surface and fluid regions. When CONT = 1, it uses the current contour settings.

You can also animate your results. To obtain an animation over a time sequence by interpolation between time steps, use the PLVFRC command macro along with one of the following:

Command(s): | PLVFRC,CONT ANTIME,NFRAM, DELAY, NCYCL, AUTOCNTRKY, RSLTDAT, MIN, MAX
GUI: | Utility Menu> PlotCtrls> Animate> Over Time

To produce an animation based on the time steps without interpolation, use the PLVFRC command macro along with one of the following:

Command(s): | PLVFRC,CONT ANDATA,DELAY,NCYCL, RSCLDAT, MIN, MAX, INCR, FRCLST, AUTOCNTRKY
GUI: | Utility Menu> PlotCtrls> Animate> Over Results

Note that if CONT = 0, the animation is based on two contour levels of 0.5 and 1.0. If CONT = 1, the animation is based on AUTOCNTRKY setting.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.2. Input Settings 		Up / Home Next
6.4. VOF Analysis of a Dam


6.4. VOF Analysis of a Dam

6.4.1. The Problem Described

In this example, two vertical walls confine a rectangular column of stationary water. When the right wall is removed, the water flows out onto a rigid horizontal plane. The ICE command sets the initial volume fraction field.

6.4.2. Building and Solving the Model (Command Method)

The following command stream shows all the relevant parameters and solution strategy. All text prefaced with an exclamation point (!) is a comment.

/BATCH,LIST
/title, broken dam problem by the VOF solution.
/com
/com ------------------------------------------------------------------
/com **  Reference: "Part IV: An Experimental Study of the Collapse of
/com **              Liquid Columns on a Rigid Horizontal Plane"
/com **              By Martin and Moyce, Phil. Trans. Roy. Soc.
/com **              (London,A244, pp. 312-324, 1952.
/com **              "Volume of Fluid (VOF) Method for the Dynamics of
/com **              Free Boundaries" By C.W. Hirt and B.D. Nichols,
/com **              J. Comput. Physics, Vol. 39, pp. 201-225, 1981.
/com **
/prep7
!!!!!   Define some dimensions and gravity
LX = 5.0                   ! X length
LY = 2.5                   ! Y length
DELX = 0.2                 ! X spacing
DELY = 0.05                ! Y spacing
grav = 9.81                ! Gravity
et,1,141
!!!!  meshing
rect,0,LX,0,LY
lsel,s,,,2,4,2
lesize,all,DELY
lsel,s,,,1,3,2
lesize,all,DELX
amesh,all

nsel,s,loc,y,0.0           ! Wall boundary conditions
nsel,a,loc,x,0.0
d,all,vx,0.0
d,all,vy,0.0

nsel,s,loc,x,0.0,1.0       ! Setup initial VFRC
nsel,r,loc,y,0.0,2.0
esln,s,1
ice,all,vfrc,1.0

alls                       ! Initial conditions for vx & vy
ic,all,vx,0
ic,all,vy,0
save
fini

/solu
!!!!  FLOTRAN input
acel,0.0,grav,0
FLDA,NOMI,DENS,1.0e3
FLDA,NOMI,VISC,1.0d-3
FLDA,SOLU,FLOW,T
FLDA,SOLU,TRAN,T
FLDA,SOLU,turb,F
flda,solu,vof,t
flda,time,glob,5
flda,time,numb,70
flda,time,step,0.01
flda,time,appe,0.1
flda,advm,mome,supg
flda,relx,vx,0.5
flda,relx,vy,0.5
flda,relx,pres,1.0
solve
fini
exit,nosa

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.3. Postprocessing 		Up / Home Next
6.5. VOF Analysis of Open Channel with an Obstruction


6.5. VOF Analysis of Open Channel with an Obstruction

6.5.1. The Problem Described

In this example, water flows in an open channel with a semicircular obstruction on the bottom. The computation uses the standard k-ε turbulence model since the turbulence model is not very important for the prediction of the free-surface shape. The solution domain extends five cylinder diameters upstream and five diameters downstream of the obstruction. The fluid starts to fill the domain at the beginning of the simulation. The SFE and SFL commands set a wetting boundary on the left inlet.

6.5.2. Building and Solving the Model (Command Method)

The following command stream shows all the relevant parameters and solution strategy. All text prefaced with an exclamation point (!) is a comment.

/BATCH,LIST
/title, initial development of flow over a bump.
/com
/com ------------------------------------------------------------------
/com **   Initial development of flow over a semicircular bump
/com **   Reference:  "Critical Free-Surface Flow Over a Semi-Circular
/com **               Obstruction" By L.K. Forbes, J. Eng. Math.,
/com **               vol. 22, pp. 3-13, 1998.
/com **               "Computation of free-surface flows using the
/com **               finite-volume method and moving grids",
/com **               By S. Muzaferija and M. Peric, Numerical Heat
/com **               Transfer, Part B, 32:369-384, 1997.
/com ------------------------------------------------------------------
!
!
! Property and parameter input
rho  = 1.0e0      ! Density
grav = 9.81       ! Gravity
mu   = 1.0e-6     ! Viscosity
!
R  = 0.03         ! Bump radius
L  = 2*R
H  = 0.075        ! Inlet height
H0 = R            ! Height above the Inlet
outlen = 5.0*R    ! Outlet length
inlen  = 5.0*R    ! Inlet  length
ny1  = 8          ! Number of elements in line 1
ny2  = 2          ! Number of elements in line 2
ny3  = 4          ! Number of elements in line 3
ry2  = 1.0        ! Ratio of element size in line 2
ry3  = 1.0        ! Ratio of element size in line 3
nx1  = 15         ! Number of elements in line 13
nx2  = 15         ! Number of elements in line 21
nx3  = 20         ! Number of elements in line 17
rx1  = 0.5        ! Ratio of element size in line 13
rx2  = 1.0        ! Ratio of element size in line 25
rx3  = 1.5        ! Ratio of element size in line 17
nr1  = 10         ! Number of elements in radial direction near bump
!!
/prep7
et,1,141
k,1,-inlen,0.0    ! KP 1 - 4 are at the inlet
k,2,-inlen,L
k,3,-inlen,H
k,4,-inlen,H+H0
!
l,1,2             ! Lines 1-3 are the inlet line
l,2,3
l,3,4
!
k,5,-L,0.0        ! KP 5 - 8 are before the bump
k,6,-L,L
k,7,-L,H
k,8,-L,H+H0
!
l,5,6             ! Lines 4-6 before the bump
l,6,7
l,7,8
!
k,9,L,0.0         ! KP 9 - 12 are after the bump
k,10,L,L
k,11,L,H
k,12,L,H+H0
!
l,9,10            ! Lines 7-9 after the bump
l,10,11
l,11,12
!
k,13,outlen,0.0   ! KP 13 - 16 are at the outlet
k,14,outlen,L
k,15,outlen,H
k,16,outlen,H+H0
!
l,13,14           ! Lines 10-12 at the outlet
l,14,15
l,15,16
!
l,1,5             ! Lines 13-16 are horizontal lines near inlet

l,2,6
l,3,7
l,4,8
!
l,9,13            ! Lines 17-20 are horizontal lines near outlet
l,10,14
l,11,15
l,12,16
!
l,6,10            ! Lines 21-23 are horizontal lines near the bump
l,7,11
l,8,12
!
k,17,R,0.0        ! KP 17 to 23 are for the semicircular bump
k,18,0.0,0.0
circle,18,R,,17,180,4
lcomb,25,26,0
!
l,19,9            !  Lines 26, 28-30 in radial direction near bump
l,20,10
l,22,6
l,23,5
!

!   Select lines and establish line divisions
!
lsel,s,,,1,4,3
lesize,all,,,ny1
!
lsel,s,,,2,11,3
lesize,all,,,ny2,ry2
!
lsel,s,,,3,12,3
lesize,all,,,ny3,ry3
!
lsel,s,,,13,16
lesize,all,,,nx1,rx1
!
lsel,s,,,21,23
lesize,all,,,nx2,1.0/rx2
lsel,s,,,25
lesize,all,,,nx2,rx2
!
lsel,s,,,17,20
lesize,all,,,nx3,rx3
!
lsel,s,,,27
lesize,all,,,ny1
!
lsel,s,,,26
lsel,a,,,28,30
lesize,all,,,nr1
!
!   define the y-direction mesh
lsel,s,,,24
lsel,a,,,7
lsel,a,,,10
lesize,all,,,nx2,1.5
!
alls
!   Create areas....
a,1,5,6,2         ! Inlet
a,2,6,7,3
a,3,7,8,4
a,9,13,14,10      ! Outlet
a,10,14,15,11
a,11,15,16,12
a,6,10,11,7       ! Bump
a,7,11,12,8
a,19,9,10,20
a,20,10,6,22
a,5,23,22,6
alls
amesh,all
!
! Inlet boundary condition
lsel,s,,,1,2
nsll,,1
d,all,vx,0.32
d,all,vy,0.0
!
nsel,s,loc,x,-inlen
nsel,r,loc,y,0.0
d,all,vx,0.001
!
! boundary volume fraction (SFL and SFE commands)
sfl,1,vfrc,1,,1
sfl,2,vfrc,1,,1
!!
!!!!      The walls
lsel,s,,,13
lsel,a,,,17
lsel,a,,,24,25
lsel,a,,,27
lsel,a,,,26
lsel,a,,,30
nsll,,1
d,all,vx,0
d,all,vy,0
alls
/solu
!!!!  FLOTRAN Input
acel,0.0,grav,0.0
FLDA,SOLU,VOF,ON
FLDA,SOLU,FLOW,ON
FLDA,SOLU,TRAN,ON
FLDA,SOLU,TURB,ON
FLDA,TIME,GLOB,3
FLDA,TIME,NUMB,50
FLDA,TIME,STEP,1e-2
FLDA,TIME,APPE,0.1
FLDA,TIME,PRES,1.0E-6
FLDA,ADVM,MOME,SUPG
flda,relx,vx,0.5
flda,relx,vy,0.5
flda,relx,pres,1.0
flda,prot,dens,constant       ! Constant density
flda,prot,visc,constant       ! Constant viscosity
flda,nomi,dens,rho            ! Density set earlier
flda,nomi,visc,mu             ! Viscosity set earlier
solve
fini
exit,nosa

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.4. VOF Analysis of a Dam 		Up / Home Next
6.6. VOF Analysis of an Oscillating Droplet


6.6. VOF Analysis of an Oscillating Droplet

6.6.1. The Problem Described

This example examines the interesting phenomenon of a liquid droplet oscillating in an dynamically inactive gas. For small amplitudes, the angular frequency, ω, is given by the following formula from A. Prosperetti, ("Free Oscillations of Drops and Bubbles: The Initial-Value Problem," Journal of Fluid Mechanics, Vol. 100, p. 333, 1980):

where ρ is the density, σ is the surface tension coefficient, and RF is the radius of the drop at its equilibrium state. Here, Re is the Reynolds number given by:

where μ is the dynamic viscosity of the liquid.

When the oscillation is fully damped by the viscosity, the droplet takes a spherical shape and the droplet pressure is given by:

The droplet analyzed here is initially elliptical with major and minor semiaxes of 24.69 mm and 18 mm, respectively. This corresponds to a final radius of RF of 20 mm. The time increment, Δt, is set to 2 x 10-4 ms.

The material properties of the droplet are:

  • ρ = 10−9 mg/(μm)3

  • μ = 10−6 mg/(μm)(ms)

  • σ = 0.073 mg/(ms)2

The Prosperetti formula gives an oscillation frequency of 43.0 kHz.

6.6.2. Results

Figure 6.1: "Instantaneous Pressure Distributions at 0.001 ms" and Figure 6.2: "Instantaneous Pressure Distributions at 0.012 ms" show the instantaneous pressure distributions at 0.001 ms and 0.012 ms, respectively. Rather than a pressure jump across the interface, the pressure is observed to vary smoothly in a thin transition region near the interface. Initially, the maximum pressure occurs at the top and bottom portion of the droplet due to a high local curvature. The resulting pressure gradient forces the fluid inward and redirects it to the sides. As the droplet moves, the pressure starts to rise at the sides due to the increasing local curvature. This slows down the movement of the droplet and eventually forces the fluid back inward from the sides. The pressure distribution controls the droplet oscillation by balancing the kinetic energy and the potential energy due to the surface tension. The simulation produces a free surface profile every 5 time steps. The frequency is 42.6 kHz (two cycles occur in 0.047 ms). This agrees quite well with the 43.0 kHz predicted by the Prosperetti formula. The oscillation amplitude decreases with time and damps out at 0.2 ms due to viscosity. Averaging the pressure values on interior nodes attached to only full elements gives the numerical droplet pressure. The difference between the numerical and the analytical pressure is approximately 1%. There are some noises in the velocity field near the interface due to the so-called parasitic currents inherent in the CSF formulation.

Figure 6.1 Instantaneous Pressure Distributions at 0.001 ms

Figure 6.2 Instantaneous Pressure Distributions at 0.012 ms

6.6.3. Building and Solving the Model (Command Method)

The following command stream shows all the relevant parameters and solution strategy. All text prefaced with an exclamation point (!) is a comment.

/title, oscillating axisymmetric drop problem by the VOF/CSF solution.
/nopr
LX   = 30                  !   x length in micrometer (um)
LY   = 30                  !   y length in micrometer (um)
RadF = 20                  !   radius of the final sphere in micrometer (um)
aRad = 18                  !   x radius in micrometer (um)
bRad = RadF**3/aRad**2     !   y radius in micrometer (um)
DELX = 0.1*RadF            !   x spacing in micrometer (um)
DELY = 0.1*RadF            !   y spacing in micrometer (um)
DELT = 2.0e-4              !   time increment in millisecond (ms)
APPT = DELT*5              !   append time in millisecond (ms)
NDT  = 1000                !   total number of time steps
Sigm = 0.073               !   SFTS coefficient in unit of (mg)/(ms)^2
rho  = 1.0e-9              !   density in unit of (mg)/(um)^3
mu   = 1.0e-6              !   viscosity in unit of (mg)/(um)(ms)
pexact=2*Sigm/RadF         !   theoretical pressure in equilibrium
/prep7
et,1,141,,,1               !   RY geometry
rect,0,LX,-LY,LY
lsel,s,,,2,4,2
lesize,all,DELY
lsel,s,,,1,3,2
lesize,all,DELX
amesh,all

nsel,s,loc,x,0                ! symmetry condition
d,all,vx,0.0

alls
icvf,elpt,0.0,0.0,aRad,bRad     ! initial VFRC
ic,all,vx,0                     ! initial velocity
ic,all,vy,0
save
fini

/solu
flda,solu,tran,t
flda,solu,vof,t
flda,solu,sfts,t
flda,nomi,sfts,sigm
flda,nomi,dens,rho
flda,nomi,visc,mu
flda,time,glob,10
flda,time,numb,NDT
flda,time,step,DELT
flda,advm,mome,supg
flda,mir,mome,1.0
flda,relx,pres,1.0
flda,time,appe,APPT
solve
fini
/post1
set,last
PLVFRC,0
ANDATA,0.1, ,2,1,51,1,0.0,1

set,last
*GET,VFAdvU,FLDA,VFTO,VOFU
VFAdvU=1.0-VFAdvU

alls
*get,elmmax,elem,0,count     !  Get the number of elements
*get,elmi,elem,0,num,min     !  Get the lowest elem number in the set
*get,vfval,elem,elmi,nmis,1  !  Get the VFRC for the element
*IF,vfval,LE,VFAdvU,then
esel,u,,,elmi                !  Remove elmi from the active set
*ENDIF

*do,ilop,2,elmmax            !  Loop over selected elements
 *get,elmn,elem,elmi,nxth    !  Get the next higher elem number in the set
 *get,vfval,elem,elmn,nmis,1 !  Get the VFRC for the element
 *IF,vfval,LE,VFAdvU,then
  esel,u,,,elmn              !  Remove elmn from the active set
 *ELSE
  elmi=elmn
 *ENDIF
*enddo

nsle,s,all                   !  select all node attached to elements
nsel,u,ext                   !  unselect ext. nodes of prev. selected nodes

pavg=0.0
prms=0.0
*get,nodmax,node,0,count     !  Get the number of selected nodes
*do,ilop,1,nodmax            !  Loop over the number of nodes
*get,nodi,node,0,num,min     !  Get the lowest node number in the set
*get,pval,node,nodi,pres     !  Get the y
pavg=pavg+pval               !  pressure sum
prms=prms+(pval-pexact)**2   !  pressure rms
nsel,u,,,nodi                !  Remove node from the active set
*enddo
pavg=pavg/nodmax
prms=sqrt(prms/nodmax)/pexact

/go
*vwrite
(9x,'DelX/Rad ', 3x, 'PRES / Pexact ',3x,'Prms ')
*vwrite,DELX/RadF,pavg/pexact,prms
(3(4x,1pe12.5))
fini
exit,nosa

6.6.4. Where to Find Other Examples

For more examples on the VOF analysis of free surface problems with surface tension, refer to G. Wang, (“Finite Element Simulations of Gas-Liquid Flows with Surface Tension,” International Mechanical Engineering Congress & Exposition, November 5-10, 2000, Orlando, Florida).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.5. VOF Analysis of Open Channel with an Obstruction 		Up / Home Next
Chapter 7. Arbitrary Lagrangian-Eulerian (ALE) Formulation for Moving Domains


Chapter 7. Arbitrary Lagrangian-Eulerian (ALE) Formulation for Moving Domains

Fluid flow problems often involve moving interfaces. The interfaces can be moving internal walls (for example, a solid moving through a fluid), external walls, or free surfaces. In such problems, the fluid domain changes with time and the finite element mesh must move to satisfy the boundary conditions at the moving interfaces. You can use the Arbitrary Lagrangian-Eulerian (ALE) formulation to solve problems of this type.

Figure 7.1: "Torsional Mirror at t = 0 Seconds" illustrates a typical fluid flow problem requiring the ALE formulation. It involves a micro-electromechanical system (MEMS) device with a viscous fluid between two rigid plates. Initially, the plates are parallel and the fluid is at rest.

Figure 7.1 Torsional Mirror at t = 0 Seconds

The top plate begins to oscillate about its centerline setting the fluid in motion. The ALE formulation allows the fluid domain to change with time and the finite element mesh to move to satisfy the boundary conditions at the moving plate. Figure 7.2: "Torsional Mirror at t = 2.5 Seconds" and Figure 7.3: "Torsional Mirror at t = 7.5 Seconds" show the finite element mesh at later times.

Figure 7.2 Torsional Mirror at t = 2.5 Seconds

Figure 7.3 Torsional Mirror at t = 7.5 Seconds

To perform a transient analysis employing the ALE formulation, you must activate the ALE formulation and the transient solution algorithm. To activate the ALE formulation, you use one of the following:

Command(s): | FLDATA1,SOLU,ALE,TRUE
GUI: | Main Menu> Preprocessor> FLOTRAN Setup> Solution Options Main Menu> Solution> FLOTRAN Setup> Solution Options

To activate the transient algorithm, you use one of the following:

Command(s): | FLDATA1,SOLU,TRAN,TRUE
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Solution Options Main Menu> Solution> FLOTRAN Set Up> Solution Options

For more information on transient analyses and the transient algorithm, see "FLOTRAN Transient Analyses".

To do an ALE analysis, you need to use one of the following elements:

FLUID141, KEYOPT(3) = 0 (Cartesian coordinates), 1 (axisymmetric about Y-axis), or 2 (axisymmetic about X-axis).

FLUID142, KEYOPT(3) = 0 (Cartesian coordinates). You cannot use a cylindrical coordinate system (KEYOPT(3) = 3) with ALE.

You will need to activate KEYOPT(4) to specify boundary motions (displacement DOFs). To define the element type, use one of the following:

Command(s): | ET,ITYPE,Ename,KOP1,KOP2,KOP3,KOP4,KOP5,KOP6 KEYOPT,ITYPE,KNUM,VALUE
GUI: | Main Menu> Preprocessor> Element Type> Add/Edit/Delete

Real constants 18 (BDTOL) and 19 (MMFAC) are also used in an ALE analysis.

Currently, free surfaces are not a part of the ALE formulation. However, you can use the Volume of Fluid (VOF) method in conjunction with the ALE formulation to simulate flows involving free surfaces and moving walls. (Refer to "Volume of Fluid (VOF) Analyses".)

The following ALE topics are available:

  • Boundary Conditions
  • Mesh Updating
  • Remeshing
  • Postprocessing
  • ALE Analysis of a Simplified Torsional Mirror
  • ALE/VOF Analysis of a Vessel with a Moving Wall
  • ALE Analysis of a Moving Cylinder

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.6. VOF Analysis of an Oscillating Droplet 		Up / Home Next
7.1. Boundary Conditions


7.1. Boundary Conditions

Generally, either slip or stick boundary conditions apply for moving internal or external walls (See Figure 7.4: "Boundary Conditions for Moving Walls".)

Figure 7.4 Boundary Conditions for Moving Walls

Table 7.1: "Interface Boundary Conditions" shows the required displacement and velocity specifications for slip and stick boundary conditions.

Table 7.1 Interface Boundary Conditions

Boundary Condition | Slip[1] | Stick[1]
Displacement | Specify normal component of displacement for fluid nodes. That is, specify the following: | Specify all displacement components for fluid nodes. That is, specify the following:
 |  | 2-D | 3-D
 |  | or Dx; Dy | or Dx; Dy; Dz
Velocity | Inviscid Flow Specify normal component of velocity for fluid nodes. That is, specify the following: | Viscous Flow Specify all velocity components for fluid nodes. That is, specify the following:
 |  | 2-D | 3-D
 |  | or Vx; Vy | or Vx; Vy; Vz

  1. The time derivative of the normal displacement must be equal to the normal velocity, dDn/dt = Vn.

Slip or stick boundary conditions can apply for displacement. For velocity, slip boundary conditions apply for inviscid flow and stick boundary conditions apply for viscous flow. In all cases, the time derivative of the normal displacement must be equal to the normal velocity. In FLOTRAN, only stick boundary conditions are currently valid.

To set displacement or velocity boundary conditions at nodes, you can use either of the following:

Command(s): | D
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Fluid/CFD> Displacement (or Velocity)> On Nodes Main Menu> Solution> Define Loads> Apply> Fluid/CFD> Displacement (or Velocity)> On Nodes

To set boundary conditions on the solid model, you can use any of the following:

Command(s): | DL and DA
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Fluid/CFD> Displacement (or Velocity)> On Lines Main Menu> Solution> Define Loads> Apply> Fluid/CFD> Displacement (or Velocity)> On Lines Main Menu> Preprocessor> Loads> Define Loads> Apply> Fluid/CFD> Displacement (or Velocity)> On Areas Main Menu> Solution> Define Loads> Apply> Fluid/CFD> Displacement (or Velocity)> On Areas

If a node is part of a distributed resistance or a fan model or part of a solid region composed of FLUID141 or FLUID142 elements, homogenous displacement boundary conditions are automatically applied (that is, D,ALL,UX,0.0 and D,ALL,UY,0.0 for 2-D and D,ALL,UX,0.0, D,ALL,UY,0.0, and D,ALL,UZ,0.0 for 3-D).

You can specify partial displacement boundary conditions to make external nodes move along a global axis. For example, D,ALL,UX,0.0 will make a set of nodes slide along the y-axis in a 2-D model. Currently, normal and tangential components of displacement can not be specified for an external boundary.

You can also specify generalized symmetry boundary conditions. If the ALE formulation is activated, velocity components are then set equal to the mesh velocity. To do so, use one of the following commands or the GUI equivalent:

D,NODE,ENDS,-1
DL,LINE,AREA,ENDS,-1,Value2
DA,AREA,ENDS,-1,Value2

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 7. Arbitrary Lagrangian-Eulerian (ALE) Formulation for Moving Domains 		Up / Home Next
7.2. Mesh Updating


7.2. Mesh Updating

The ALE formulation uses the displacement boundary conditions applied by the D, DL, and DA commands to update the finite element mesh. It determines the displacement at the beginning of each time step relative to the previous time step. For each time step, an elasticity based morphing algorithm updates the mesh. The algorithm ensures that boundary layers are retained (that is, nodes in a fine mesh area move less than nodes in a coarse mesh area).

A transient analysis cannot proceed if morphing fails. If morphing is independent of the fluid flow solution, you can step through the morphing algorithm before doing a fluid flow analysis to determine whether morphing will fail. To do so, issue the following command sequence:

/solu
.
.
.
fldata,solu,turb,f
fldata,solu,temp,f
fldata,solu,spec,f
fldata,solu,ale,t
fldata,solu,flow,f
solve
You cannot check for morphing failure in advance if the time step size depends on the fluid flow variables or the problem involves a free surface.

Mesh morphing is currently available for the following element shapes:

  • Pure quadrilaterals, pure triangles, or a combination for FLUID141

  • Pure hexahedrals, pure tetrahedrals, pure pyramids, pure wedges, or any combination for FLUID142

Sometimes mesh morphing produces poor quality elements (for example, when a fluid domain is extremely squeezed by a moving wall). The birth and death feature can then be useful. To implement this feature, you assign a birth/death tolerance to the candidate elements using the real constant BDTOL. A node is automatically deactivated if the distance from it to the center of any element face on the wall becomes less than the assigned BDTOL. A element is deactivated if all of its nodes are deactivated. Conversely, a node is reactivated if the distance from it to the center of the closest element face on the wall becomes greater than or equal to the assigned BDTOL. A element is reactivated if all of its nodes are reactivated.

Setting the MMFAC (mesh morphing multiplier) real constant on the FLUID141 or FLUID142 elements can affect mesh morphing. If the real constant set number defaults to zero in a third-party mesher, the default value for the multiplier is set to 0.0. In this case, you will need to either set the real constant set number or the MMFAC real constant explicitly if you are not satisfied with the 0.0 default value.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.1. Boundary Conditions 		Up / Home Next
7.3. Remeshing


7.3. Remeshing

Large fluid domain changes can produce poor quality elements and mesh morphing failure. To avoid element failure, you must remesh.

To accomplish remeshing, issue one of the following:

Command(s): | FLDATA39,REMESH
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Remesh Ctrl

FLDATA39,REMESH will automatically remesh the fluid elements and linearly interpolate the nodal solution from the old mesh to the new mesh. Use it to specify one of the following three ways of remeshing:

  • Remesh all defined fluid elements if the quality of the worst defined element falls below any specified quality requirement listed in Table 7.2: "Element Qualities".

    Whole domain remeshing is suitable when the moving boundary affects all of the fluid elements (all the fluid elements may become distorted during solution).

  • Remesh defined fluid elements that have a quality below any specified quality requirement.

    Partial domain remeshing is suitable when the distorted elements are locally distributed and the location of the distorted elements is not known before solution or it changes during solution.

  • Remesh all grouped fluid elements with a specified component name if the quality of the worst selected element falls below any specified quality requirement.

    Selected component remeshing is suitable when the distorted elements are locally distributed, but the location of the distorted elements is known before solution and it does not change during solution.

There are three maximum allowable element qualities that you need to specify for remeshing: aspect ratio, change of element size, and change of element aspect ratio.

Table 7.2 Element Qualities

Element Quality | Triangles | Tetrahedrons
Generalized Aspect Ratio (AR) | AR = ((lavg)2 / A) / 2.3 | AR = ((lavg)3 / V) / 8.48
Change of Element Size (VOCH) | VOCH = exp | log (A(t) / A(0)) | | VOCH = exp | log (V(t) / V(0)) |
Change of Aspect Ratio (ARCH) | ARCH = exp | log (AR(t) / AR(0)) |
where:
lavg = average length of the element edges
A = element area
V = element volume
A(t) and V(t) = element area and volume at time t
A(0) and V(0) = element area and volume at time 0

You may also specify the following remeshing inputs:

  • Elements Excluded

    You can exclude all elements connected to boundary nodes from remeshing. For a fluid-structure interaction analysis, you can exclude the elements connected to fluid-solid interfaces.

  • Element Size

    The element remeshing size defaults to 0. The element size at the nearest boundary is then used for remeshing.

  • Area Expansion or Contraction

    You can size internal elements so that they are approximately the size of the boundary elements times an expansion or contraction factor.

  • Checkpoints

    You can specify element quality checkpoints in three ways: every time step, every Nth time step, or at a single time point. The fluid elements will automatically remesh if any quality requirement is not met at a checkpoint.

After each remesh, new databases and results files are written with the extensions .rfl0n and .dbn, where n is the remesh file number (Jobname.rfl01, Jobname.rfl02, ... and Jobname.db01, Jobname.db02,...). Use the ANMRES command to create an animation across the results files.

Note

The original database file is Jobname.db0. The Jobname.db01, Jobname.db02, ... files have elements that are detached from the solid model.

You can use the FLOTRAN remeshing capability in a pure fluid flow analysis or a fluid-solid interaction analysis. For information on fluid-solid interaction analyses, see "Load Transfer Coupled Physics Analysis" and "The ANSYS Multi-field (TM) Solver - MFS Single-Code Coupling" in the Coupled-Field Analysis Guide.

Some important remeshing limitations are listed in the following table.

Table 7.3 Remeshing Limitations

Limitation | Description
Elements | Remeshing supports models meshed with triangular or tetrahedral elements. It only works for element groups with one element type and one real constant.
Area/Volume Changes | Remeshing will not work for extreme area or volume changes.
Domains | 2-D problems can have multiple domains; 3-D problems require a single domain. Do not allow two separate domains without distance (e.g., when solving a FSI problem with a beam or shell element, at least one side elements connected to the beam or shell elements must be excluded from remeshing).
Loads | Remeshing can treat nodal loads on the boundary, but it cannot treat body loads applied to interior nodes. Fluid-solid interaction is the only valid element based load.
Boundary Nodes | Nodes on the boundary cannot be remeshed. Therefore, remeshing will not work if morphing failed on surface nodes.

See ALE Analysis of a Moving Cylinder for a problem using remeshing.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.2. Mesh Updating 		Up / Home Next
7.4. Postprocessing


7.4. Postprocessing

For postprocessing, you can use the following contour and vector command sequence for the reference domain or the current deformed domain:

set,load step,substep       ! sets the set number for processing
/dscal,,1.0                 ! sets the scaling for display
plns,pres,,0                ! display pressure contours on deformed domain
plve,v,,,,,,,1              ! display velocity vectors on the deformed domain

To view the deformed mesh , issue the following command sequence:

set,load step,substep       ! sets the set number for processing
/dscal,,1.0                 ! sets the scaling for display
pldi,2                      ! display the deformed mesh overlayed with undeformed
                            ! edges

To produce an animated sequence of the results, issue the ANTIME macro with the above commands.

Note

The displacements of non-structural elements are mesh (or grid) displacements to avoid mesh distortion but have no physical meaning except at the interface between the fluid and the structure.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.3. Remeshing 		Up / Home Next
7.5. ALE Analysis of a Simplified Torsional Mirror


7.5. ALE Analysis of a Simplified Torsional Mirror

7.5.1. The Problem Described

This is an Arbitrary Lagrangian-Eulerian (ALE) analysis of a micro-electromechanical system (MEMS) device. The device consists of a viscous fluid between two rigid plates. Initially, the plates are parallel and the fluid is at rest. The top plate begins to oscillate about its centerline setting the fluid in motion. The top plate oscillates with a very small angular amplitude.

You must determine the torque on the moving plate in order to develop a reduced order model for this device.

Figure 7.5 Torsional Mirror Problem Description

7.5.2. Boundary Conditions

This section derives formulas for the displacement and velocity boundary conditions.

The angle of rotation is: θ = θosinωt

Differentiating, the angular velocity is: = ωθocosωt

The position of any point on the plate is given by:

x(t) = xo + Rcosθ
y(t) = yo + Rsinθ

where:

R = xr − xo and xr is the x coordinate on the plate at time equals zero.

Therefore, the displacements of the plate are given by:

UX(t) = x(t) − x(o) = x − xr − R
UY(t) = y(t) − y(o) = y − yo

Substituting the expressions for x and y gives:

UX = R(cosθ − 1)
UY = Rsinθ

Note

As θ approaches 0, UX approaches 0 and UY approaches Rθ.

Differentiating displacements gives the following velocity equations:

Note

As θ approaches 0, VX approaches −Rθ [image] [image] θo2 and VY approaches R [image] [image] θo. Therefore, VX approaches 0 faster than VY.

The command listing in Building and Solving the Model (Command Method) uses the above expressions for UX, UY, VX, and VY in the boundary condition tables.

7.5.3. Forces and Moments

This section derives formulas for the forces and moments acting on the torsional mirror.

Figure 7.6 Torsional Mirror Problem - Boundary Conditions

Assuming the flow is 2-D and neglecting inertia terms, the Navier-Stokes equation reduces to the Reynolds equation for incompressible flow:

where: h = h (x,t) is the gap height and U and V are the velocity components of the moving plate.

Assuming that the angular displacement of the mirror is small gives:

U [image] 0
V [image] R
R [image] x

Substituting these values in the Reynolds equation and assuming that U variations with x are small gives:

Integrating gives:

where C1 and C2 are constants to be determined.

Substituting ho for h for small angular displacements and completing the integration gives:

Substituting p = po at x = ± L/2 gives:

Solving these two equations for C1 and C2 gives:

C2 = po

C1 = −2 μ [image] (L/2)2

Substituting the C1 and C2 values into the pressure equation gives:

Thus, the force and moment on the torsional mirror are given by:

The flow field at any x coordinate is given by:

Accordingly, the shear stress on the torsional mirror is:

Thus, the force and moment due to shearing stresses are:

7.5.4. Building and Solving the Model (Command Method)

The following command stream shows all the relevant parameters and solution strategy. All text prefaced with an exclamation point (!) is a comment. Please refer to Figure 7.5: "Torsional Mirror Problem Description".

/BATCH,LIST
/tit,Torque Mirror Problem
/nopr
LX    = 1.0                           ! Plate Length in X direction
NDX   = 40                            ! Number of X divisions
H     = 0.01                          ! Gap in Y-direction
NDY   = 10                            ! Number of Y divisions
POUT  = 0.0                           ! Outlet relative pressure
RHO   = 1.0000                        ! Fluid density
MU    = 1.00                          ! Fluid viscosity
nts = 40                              ! number of time steps
time = 10.                            ! total simulation time
delta = time/nts                      ! time step size
appf = delta                          ! append results every time step
*AFUN,RAD                             ! angles are in radians
AMAX = (2*H/LX)/8                     ! adjust angular amplitude << 1
OMEGA = 2*3.14159/time                ! complete 1 cycle in given time
X0 = LX/2                             ! pivot point x-coord
Y0 = H                                ! pivot point y-coord
H0 = H

! use function builder/tables (refer to Applying Loads Using Function Boundary Conditions in the Basic Analysis Guide)

! for displacements/velocities of oscillating plate

*DIM,UXTAB,TABLE,6,4,1
UXTAB(0,0,1) = 0.0,-999,  1, X0  ,AMAX, 0.0, 0.0
UXTAB(0,1,1) = 1.0,-1  ,  0, 1.0 , 27 , 2  , 17   ! Radius = XR - X0
UXTAB(0,2,1) = 0.0,-2  ,  9,OMEGA, 1  , 3  , 18   ! Angle=amax*sin(omega*t)
UXTAB(0,3,1) = 0.0,-3  , 10, 1.0 ,-2  , 3  ,-1    ! Radius*cos(Angle)
UXTAB(0,4,1) = 0.0,99  ,  0, 1.0 ,-3  , 2  ,-1    ! Radius*cos(Angle)-Radius
*DIM,UYTAB,TABLE,6,3,1
UYTAB(0,0,1) = 0.0,-999,  1, X0  ,AMAX, 0.0, 0.0
UYTAB(0,1,1) = 1.0,-1  ,  0, 1.0 , 27 , 2  , 17   ! Radius = XR - X0
UYTAB(0,2,1) = 0.0,-2  ,  9,OMEGA, 1  , 3  , 18   ! Angle=amax*sin(omega*t)
UYTAB(0,3,1) = 0.0,99  ,  9, 1.0 ,-2  , 3  ,-1    ! Radius*sin(Angle)
*DIM,VXTAB,TABLE,6,5,1
VXTAB(0,0,1) = 0.0,-999,  1, X0  ,AMAX,OMEGA*AMAX, 0.0
VXTAB(0,1,1) = 1.0,-1  ,  0,-1.0 , 27 , 1  , 17   ! -Radius = -(XR-X0)
VXTAB(0,2,1) = 0.0,-2  ,  9,OMEGA, 1  , 3  , 18   ! Angle=amax*sin(omega*t)
VXTAB(0,3,1) = 0.0,-3  , 10,OMEGA, 1, 3 , 19      ! Angle speed=
                                                  ! amax*omega*cos(omega*t)
VXTAB(0,4,1) = 0.0,-4  ,  9, 1.0 ,-2  , 3  , -1   ! -Radius*sin(angle)
VXTAB(0,5,1) = 0.0,99  ,  0, 1.0 ,-4  , 3  , -3 !-Radius*sin(angle)*angle speed
*DIM,VYTAB,TABLE,6,5,1
VYTAB(0,0,1) = 0.0,-999,  1, X0  ,AMAX,OMEGA*AMAX, 0.0
VYTAB(0,1,1) = 1.0,-1  ,  0, 1.0 , 27 , 2  , 17   !Radius = XR - X0
VYTAB(0,2,1) = 0.0,-2  ,  9,OMEGA, 1  , 3  , 18   !Angle=amax*sin(omega*t)
VYTAB(0,3,1) = 0.0,-3  , 10,OMEGA, 1, 3 , 19      !Angle speed=
                                                  !amax*omega*cos(omega*t)
VYTAB(0,4,1) = 0.0,-4  , 10, 1.0 ,-2  , 3  , -1   !Radius*cos(angle)
VYTAB(0,5,1) = 0.0,99  ,  0, 1.0 ,-4  , 3  , -3 !Radius*cos(angle)*angle speed

/PREP7 $smrt,off
et,1,141                              ! 2-D XY system
keyopt,1,4,1                          ! allow disp. DOFs
esha,2                                ! Quad elements
rect,,LX,,H
lesize,1,,,NDX,
lesize,3,,,NDX,
lesize,2,,,NDY,-10
lesize,4,,,NDY,-10
alls
amesh,all

lsel,s,,,3                            ! Moving top plate
nsll,s,1
d,all,VX,%VXTAB%
d,all,VY,%VYTAB%
d,all,enke,-1
d,all,ux,%UXTAB%
d,all,uy,%UYTAB%

lsel,s,,,2                            ! Left & Right Outlets
lsel,a,,,4
nsll,s,1
d,all,pres,POUT

lsel,s,,,1                            ! Stationary bottom plate
nsll,s,1
d,all,vx,
d,all,vy,
d,all,ux,0.0
d,all,uy,0.0

alls
fini

/SOLU
FLDA,NOMI,DENS,RHO                    ! Nominal density
FLDA,NOMI,VISC,MU                     ! Nominal viscosity
FLDA,OUTP,TAUW,T                      ! Output wall shear stress
flda,quad,momd,2                      ! increased quadrature for deformed
flda,quad,moma,2                      ! elements
flda,quad,moms,2
flda,quad,prsd,2
flda,quad,prss,2
flda,solu,tran,t
flda,time,step,delta
flda,time,numb,nts
flda,time,tend,time
flda,time,glob,25
flda,time,appe,appf
flda,solu,ale,t                       ! Turn ALE on
save
SOLVE
fini

!do the comparison with analytical solution here
/post1
!moving wall
*dim,RES1,,NDX+1,15
*do,j,1,nts,1                            ! loop over the time steps
rsys,0
csys,0
set,1,j                                  ! get the results of step j
*get,curtime,active,0,set,time           ! get the time of this substep
theta = amax*sin(omega*curtime)          ! get the plate angle
thetad = amax*omega*cos(omega*curtime)   ! get plate angular speed
nsel,s,loc,y,H                           ! select moving wall nodes
*do,i,1,NDX+1                            ! loop over these nodes
  *get,XMAX,node,,mxloc,x
  n = node(XMAX,H,0)
  RES1(i,1) = n                       ! Node number
  RES1(i,2) = NX(n)                   ! X-coordinate
  RES1(i,3) = NY(n)                   ! Y-coordinate
  RES1(i,4) = UX(n)                   ! UX
  Rn = NX(n)-X0
  RES1(i,10) = Rn*(cos(theta)-1.0)    ! UX exact
  RES1(i,5) = UY(n)                   ! UY
  RES1(i,11) = Rn*sin(theta)          ! UY exact
  RES1(i,6) = VX(n)                   ! VX
  RES1(i,12) = -Rn*sin(theta)*thetad  ! VX exact
  RES1(i,7) = VY(n)                   ! VY
  RES1(i,13) =  Rn*cos(theta)*thetad  ! VY exact
  RES1(i,8) = PRES(n)                 ! Pressure
  c1 = 2.0*MU*thetad/H0**3
  c2 = NX(n) - X0
  RES1(i,14) = c1*(c2**3 - c2*(LX/2)**2) ! Exact Pressure
  *get,RES1(i,9),node,n,TAUW          	 ! Shear stress
  c0 = NX(n) - X0
  c1 = H0 + theta*c0
  c2 = 3*c0**2 - (LX/2)**2
  RES1(i,15) = ABS(c1*mu*thetad*c2/H0**3)  ! Exact shear stress
  nsel,u,,,n
*enddo
/com Compare disps/velocities/pressures/shears on moving wall(X,H,0)
/com
*status,curtime
*status,theta
*vwrite
(4x,'NODE',7x,'X COOR',12x,'Y COOR',9x,'UX  (FLOTRAN)',5x,'UX  (Exact)')
*vwrite,RES1(1,1),RES1(1,2),RES1(1,3),RES1(1,4),RES1(1,10)
(3x,f5.0,4(1pe17.5))
/com
*vwrite
(4x,'NODE',7x,'X COOR',12x,'Y COOR',9x,'UY  (FLOTRAN)',5x,'UY  (Exact)')
*vwrite,RES1(1,1),RES1(1,2),RES1(1,3),RES1(1,5),RES1(1,11)
(3x,f5.0,4(1pe17.5))
/com
*vwrite
(4x,'NODE',7x,'X COOR',12x,'Y COOR',9x,'VX  (FLOTRAN)',5x,'VX  (Exact)')
*vwrite,RES1(1,1),RES1(1,2),RES1(1,3),RES1(1,6),RES1(1,12)
(3x,f5.0,4(1pe17.5))
/com
*vwrite
(4x,'NODE',7x,'X COOR',12x,'Y COOR',9x,'VY  (FLOTRAN)',5x,'VY  (Exact)')
*vwrite,RES1(1,1),RES1(1,2),RES1(1,3),RES1(1,7),RES1(1,13)
(3x,f5.0,4(1pe17.5))
/com
*vwrite
(4x,'NODE',7x,'X COOR',12x,'Y COOR',9x,'PRE (FLOTRAN)',5x,'PRE (Exact)')
*vwrite,RES1(1,1),RES1(1,2),RES1(1,3),RES1(1,8),RES1(1,14)
(3x,f5.0,4(1pe17.5))
/com
*vwrite
(4x,'NODE',7x,'X COOR',12x,'Y COOR',9x,'TAU (FLOTRAN)',5x,'TAU (Exact)')
*vwrite,RES1(1,1),RES1(1,2),RES1(1,3),RES1(1,9),RES1(1,15)
(3x,f5.0,4(1pe17.5))
/com
nsel,s,loc,y,H             ! select nodes on moving plate
local,11,0,X0,Y0,0         ! setup local coord system for moment calcs
rsys,11
/com compute pressure force/moments on the wall
intsrf,pres
*get,forcex,intsrf,0,item,fx
*get,forcey,intsrf,0,item,fy
*get,forcez,intsrf,0,item,fz
*get,momx,intsrf,0,item,mx
*get,momy,intsrf,0,item,my
*get,momz,intsrf,0,item,mz
*status,forcex
*status,forcey                          ! should be zero
*status,forcez
*status,momx
*status,momy
*status,momz                            ! Flotran
Moment = -0.0166*mu*thetad*LX**5/H0**3  ! Exact
*status,moment
/com compute shear force/moments on the wall should be zero
intsrf,tauw
*get,forcex,intsrf,0,item,fx
*get,forcey,intsrf,0,item,fy
*get,forcez,intsrf,0,item,fz
*get,momx,intsrf,0,item,mx
*get,momy,intsrf,0,item,my
*get,momz,intsrf,0,item,mz
*status,forcex                                ! should be zero
*status,forcey
*status,forcez
*status,momx
*status,momy
*status,momz                                  ! should be zero
*enddo
fini
/exit,nosa

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.4. Postprocessing 		Up / Home Next
7.6. ALE/VOF Analysis of a Vessel with a Moving Wall


7.6. ALE/VOF Analysis of a Vessel with a Moving Wall

7.6.1. The Problem Described

This problem involves a moving wall and a free surface. A square vessel is half filled with liquid and at t = 0 the left wall begins to move to the right. The wall stops moving after a short time and the fluid comes to rest gradually. The total analysis time is 2 seconds. The left wall comes to rest at 0.125 * (time) = 0.125*(2 seconds) = 0.25 seconds. The left wall displacement and velocity are input as tabular boundary conditions (see Figure 7.8: "Left Wall Displacement and Velocity"). The simulation uses the Volume of Fluid (VOF) method in conjunction with the ALE formulation.

Figure 7.7 Square Vessel with a Moving Wall

Figure 7.8 Left Wall Displacement and Velocity

7.6.2. Results

The initial fluid volume is 1/2 H times LX. Since H and LX are both equal to 1, the initial fluid volume is 0.500000000. The calculated final fluid volume is 0.499999673.

7.6.3. Building and Solving the Model (Command Method)

The following command stream shows all the relevant parameters and solution strategy. All text prefaced with an exclamation point (!) is a comment.

/BATCH,LIST
/title,ALE-VOF combination - container with moving wall & free surface
/nopr
LX    = 1.0                           ! Initial width in X direction
NDX   = 10                            ! Number of X divisions
H     = 1.0                           ! Height of container
NDY   = 10                            ! Number of Y divisions
RHO   = 1.0000                        ! Fluid density
MU    = 1.00                          ! Fluid viscosity
LXF = 0.750                           ! Final X-Length
time = 2.                             ! Total simulation time
nts = 200                             ! Total number of time steps
delta = time/nts                      ! Time step size
appf = delta                          ! Results append frequency
VEL = (LX-LXF)/(0.125*time)           ! left wall moves for 12.5% of
                                      ! simulation time with velocity VEL

*dim,timutab,table,3,,,time          ! left wall displacement history
timutab(1,0)=0,0.125*time,time
timutab(1,1)=0,(LX-LXF),(LX-LXF)
*dim,timvtab,table,4,,,time          ! left wall fluid velocity history
timvtab(1,0)=0,0.125*time,0.125*time+0.000001,time
timvtab(1,1)=VEL,VEL,1.e-12,1.e-12

/PREP7 $smrt,off
et,1,141                              ! 2-D XY system
keyopt,1,4,1                          ! enable disp DOFs
esha,2                                ! Quad elements
rect,,LX,,H
lesize,1,,,NDX,-10
lesize,3,,,NDX,-10
lesize,2,,,NDY,
lesize,4,,,NDY,
alls
amesh,all

lsel,s,,,4                            ! Moving left wall
nsll,s,1
d,all,VX,%timvtab%
d,all,VY,
d,all,enke,-1
d,all,ux,%timutab%
d,all,uy,0.0

lsel,s,,,1                           ! bottom wall
nsll,s,1
d,all,vx
d,all,vy

lsel,s,,,3                           ! top  wall
nsll,s,1
d,all,vx
d,all,vy

lsel,s,,,2                            ! Stationary right wall
nsll,s,1
d,all,vx,
d,all,vy,
d,all,ux,0.0
d,all,uy,0.0

alls

nsel,s,loc,y,0,0.5*H                   ! select lower half elements
esln,s,1
ice,all,vfrc,1.0                       ! apply vof initial conditions
allsel

fini

/SOLU
FLDA,NOMI,DENS,RHO                    ! Nominal density
FLDA,NOMI,VISC,MU                     ! Nominal viscosity
acel,,9.8                             ! Apply gravity loading
flda,step,sumf,1
flda,solu,tran,t
flda,time,step,delta
flda,time,numb,nts
flda,time,tend,time
flda,time,glob,25
flda,time,appe,appf
flda,solu,ale,t                       ! Ale on
flda,solu,vof,t                       ! Vof on
save
SOLVE
fini

!do the comparison here for final fluid volume
/post1
set,last
fvol = 0.                ! initialize volume to zero
*do,i,1,NDX*NDY          ! loop over elements
 n1 = nelem(i,1)         ! 4 nodes of this element
 n2 = nelem(i,2)
 n3 = nelem(i,3)
 n4 = nelem(i,4)
 x1 = nx(n1)+ux(n1)      ! current coords of the 4 nodes
 y1 = ny(n1)+uy(n1)
 x2 = nx(n2)+ux(n2)
 y2 = ny(n2)+uy(n2)
 x3 = nx(n3)+ux(n3)
 y3 = ny(n3)+uy(n3)
 x4 = nx(n4)+ux(n4)
 y4 = ny(n4)+uy(n4)
 evol1 =       x1*y2+y1*x3+y3*x2 ! compute volume of triangle 123
 evol1 = evol1-y2*x3-y1*x2-x1*y3
 evol1 = abs(0.5*evol1)          ! first triangle volume
 evol2 =       x1*y4+y1*x3+y3*x4 ! compute volume of triangle 143
 evol2 = evol2-y4*x3-y1*x4-x1*y3
 evol2 = abs(0.5*evol2)          ! second triangle volume
 *get,frac,elem,i,nmisc,1        ! get VOF of this quad
 fvol = fvol + (evol1+evol2)*frac!increment the total fluid volume
*enddo
*status,fvol                     ! print the final fluid volume
target = 0.5*H*LX
*status,target                   ! print the expected fluid volume
/com
fini
/exit,nosa

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.5. ALE Analysis of a Simplified Torsional Mirror 		Up / Home Next
7.7. ALE Analysis of a Moving Cylinder


7.7. ALE Analysis of a Moving Cylinder

7.7.1. The Problem Described

This problem involves a cylinder passing through a channel with a constant velocity VX = 1.0. FLUID141 triangle elements model the fluid. The simulation uses the ALE formulation and remeshing. FLDATA39,REMESH,Label,Value specifies the quality requirements shown in the following table.

Table 7.4 Quality Requirements

Element Quality | FLDATA39,REMESH,Label,Value Command
Aspect Ratio (AR) | FLDATA39,REMESH,ARMA,5.0
Change of Element Size (VOCH) | FLDATA39,REMESH,VOCH,3.0
Change of Aspect Ratio (ARCH) | FLDATA39,REMESH,ARCH,3.0

FLDATA39,REMESH,ELEM,ALL sets the remeshing to all defined fluid elements if the quality of the worst defined element falls below any quality requirement. The total analysis time is 44 seconds.

Figure 7.9 Moving Cylinder

7.7.2. Results

The ten results files are file.rfl01 through file.rfl10. They were created when one of the remeshing criteria were met. The following figures display the remeshed elements at 0, 22, and 44 seconds.

Figure 7.10 Elements at 0 Seconds

Figure 7.11 Elements at 22 Seconds

Figure 7.12 Elements at 44 Seconds

7.7.3. Building and Solving the Model (Command Method)

The following command stream shows all the relevant parameters and solution strategy. All text prefaced with an exclamation point (!) is a comment.

/batch,list
/verify,dv-1101c
/title, dv-1101c, Flotran Remeshing: Cylinder pass through a channel
/COM,****************************************************
/COM,* Cylinder pass through a channel (pure fluid flow)
/COM,* Verify partial domain re-meshing
/COM,****************************************************
r1 = 2.5
l1 = 5.0
l2= 20.0
l3=60.0
h = 10.0
rx0= l1+(l2-l1)/2.0
ry0 = h/2.0
nl1 = 5
nl3 = 10
nr=8
nc=8
/PREP7

*DEL,_FNCNAME
*DEL,_FNCMTID
*DEL,_FNC_C1
*SET,_FNCNAME,'DIS'
*DIM,_FNC_C1,,1
*SET,_FNC_C1(1),1.0
! /INPUT,force.func
*DIM,%_FNCNAME%,TABLE,6,3,1
!
! Begin of equation: a*{TIME}
*SET,%_FNCNAME%(0,0,1), 0.0, -999
*SET,%_FNCNAME%(2,0,1), 0.0
*SET,%_FNCNAME%(3,0,1), %_FNC_C1(1)%
*SET,%_FNCNAME%(4,0,1), 0.0
*SET,%_FNCNAME%(5,0,1), 0.0
*SET,%_FNCNAME%(6,0,1), 0.0
*SET,%_FNCNAME%(0,1,1), 1.0, -1, 0, 1, 17, 3, 1
*SET,%_FNCNAME%(0,2,1), 0.0, 99, 0, 1, -1, 0, 0
*SET,%_FNCNAME%(0,3,1),   0
! End of equation: a*{TIME}
!-->

RECTNG,0,l1,0,h,
RECTNG,l1,l2,0,h,
RECTNG,l2,l3,0,h,
aglue,all

CYl4,rx0,ry0,0,45,r1,135
CYl4,rx0,ry0,0,135,r1,225
CYl4,rx0,ry0,0,225,r1,315
CYl4,rx0,ry0,0,315,r1,405
asel,s,,,2
asel,a,,,3
asel,a,,,6
asel,a,,,7
allsel,below,area
aglue,all
allsel
FLST,3,4,5,ORDE,3
FITEM,3,2
FITEM,3,8
FITEM,3,-10
ASBA,       4,P51X
aplot

et,1,141
KEYOPT,1,4,1
type,1
mat,1
asel,s,,,1
esize,.5
mshape,1,2d
mshkey,0
amesh,all

et,2,141
KEYOPT,2,4,1
type,2
mat,1
asel,s,,,3
esize,.5
mshape,1,2d
mshkey,0
amesh,all

et,3,141
KEYOPT,3,4,1
type,3
mat,1
asel,s,,,5
esize,2.0
mshape,1,2d
mshkey,0
amesh,all
nsel,s,loc,x,0
D,ALL,VX,0.0,
D,ALL,VY, 0.0
D,ALL,UX,0.0,
D,ALL,UY, 0.0
nsel,s,loc,x,l3
D,ALL,pres,0.0
D,ALL,UX,0.0,
D,ALL,UY, 0.0
nsel,s,loc,y,0
D,ALL,vy,0.0
D,ALL,UX,0.0,
D,ALL,UY, 0.0
nsel,s,loc,y,h
D,ALL,vy,0.0
D,ALL,UX,0.0,
D,ALL,UY,0.0,
lsel,s,,,5
lsel,a,,,23
lsel,a,,,25
lsel,a,,,27
nsll,s,1
d,all,UX,%DIS%
d,all,UY,0.0
d,all,VX,1.0
d,all,VY,0.0
allsel
cdwrite,db,fluid,cdb,
fini
! Flotran Setup
/solu
FLDATA30,QUAD,MOMD,2,
FLDATA30,QUAD,MOMS,2,
FLDATA30,QUAD,PRSD,2,
FLDATA30,QUAD,PRSS,2,
FLDATA30,QUAD,THRD,0,
FLDATA30,QUAD,THRS,0,
FLDATA30,QUAD,TRBD,0,
FLDATA30,QUAD,TRBS,2,
/solu
FLDATA4,TIME,NUMB,100000,
FLDATA4,TIME,TEND,44.0,

FLDA,SOLU,ALE,T                ! ALE solution
FLDATA1,SOLU,FLOW,1
FLDATA1,SOLU,TRAN,1
!FLDATA1,SOLU,TURB,1
FLDATA2,TIME,GLOB,5

FLDATA7,PROT,DENS,CONSTANT
FLDATA8,NOMI,DENS,1.0
FLDATA7,PROT,VISC,CONSTANT
FLDATA8,NOMI,VISC,1.0
!FLDA,BULK,BETA,1.0e5
FLDA,TIME,STEP, 2.0
!
!!! Newmark method
!
FLDATA,OUTP,TAUW,T
FLDATA,TIME,METH,NEWM
FLDATA,TIME,DELT,0.5
!
!! Set ANSYS-STRUCTURE commands
SAVE
/COM
/COM  Re-meshing Commands
/COM
FLDATA,REMESH,ELEM,ALL        ! all defined element re-meshing
FLDATA,REMESH,ARMA,10.0       ! maximum aspect ratio
FLDATA,REMESH,VOCH,5.0        ! maximum volume change
FLDATA,REMESH,ARCH,5.0        ! maximum aspect ratio change
SOLVE
SAVE
finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.6. ALE/VOF Analysis of a Vessel with a Moving Wall 		Up / Home Next
Chapter 8. FLOTRAN Compressible Analyses


Chapter 8. FLOTRAN Compressible Analyses

As is true with turbulence, activating the compressible algorithm is at your discretion. You should activate turbulence for virtually all compressible analyses, (although in principle the Reynolds number can be in the laminar range for high Mach numbers). Differences in results (pressure, density, velocity distributions) between the incompressible and compressible algorithms can exist at Mach numbers as low as 0.3, and are quite pronounced when the Mach number is as high as 0.7.

The speed of sound is a function of the equation of state of the fluid and its absolute temperature. For a constant density fluid, the speed of sound is infinite. For an ideal gas, regardless of whether the incompressible or compressible solution algorithm is used, the relationship is:

In the preceding equation:

  • R is the Universal Gas Constant

  • γ is the ratio of specific heats (Cp/Cv)

  • T is the absolute temperature

For 2-D compressible analyses, meshes using quadrilateral elements are highly recommended. Hexagonal elements are recommended for 3-D cases. For more information, see Structured vs. Unstructured Mesh.

The following compressible analysis topics are available:

  • Property Calculations
  • Boundary Conditions
  • Structured vs. Unstructured Mesh
  • Solution Strategies
  • Example of a Compressible Flow Analysis
  • Doing the Example Compressible Flow Analysis (GUI Method)
  • Doing the Example Compressible Flow Analysis (Command Method)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.7. ALE Analysis of a Moving Cylinder 		Up / Home Next
8.1. Property Calculations


8.1. Property Calculations

The compressible algorithm takes into account the kinetic energy changes of the fluid as it accelerates. The formulation is in terms of the total temperature.

In an adiabatic analysis, the total temperature remains constant throughout the problem domain. You specify the temperature using either of the following methods:

Command(s): | FLDATA14,TEMP,TTOT,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Flow Environment> Ref Conditions Main Menu> Solution> FLOTRAN Set Up> Flow Environment> Ref Conditions

The conservation of energy is then a balance between thermal storage (static temperature) and kinetic energy.

The total (stagnation) temperature is the temperature of the fluid after it has been brought isentropically to a zero velocity. Typically, you choose the conditions at the inlet. Knowledge of the static temperature and the velocity magnitude |V| at the inlet enables you to calculate the total temperature via the following equation,

This relationship is sometimes useful when cast in terms of the Mach number (M):

You must specify the specific heat and the ratio of specific heats γ. (To enter this ratio, use one of the following:)

Command(s): | FLDATA17,GAMM,COMP,
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Flow Environment> Ref Conditions Main Menu> Solution> FLOTRAN Set Up> Flow Environment> Ref Conditions

The ANSYS program uses the resulting static temperature and the absolute pressure to calculate the density from the equation of state.

Note

Unlike incompressible analyses, where freezing the density calculation for the early global iterations can be an advantage, compressible analyses automatically involve the variable density option. Another difference between these types of analysis is that for compressible analyses, initial properties are calculated from the calculated static temperature, not from the nominal temperature.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 8. FLOTRAN Compressible Analyses 		Up / Home Next
8.2. Boundary Conditions


8.2. Boundary Conditions

Typically, you will know the Mach number or the velocity or the mass flow along with the static temperature for the inlet. Knowing the velocity or Mach number enables you, using the above equations, to calculate of the appropriate total temperature. If you know only the mass flow rate, you can approximate the pressure at the inlet by the reference pressure and use it with the equation of state to approximate the inlet density and thus the velocity.

For subsonic problems, the boundary condition strategy is similar to that used for incompressible flow problems, that is, velocity or pressure at the inlet and pressure at the outlet. For supersonic problems, however, the nature of the equations changes and the effects of downstream boundary conditions cannot propagate upstream. It is common in such cases to apply both pressure and velocity to upstream locations. Leave the downstream boundary unspecified.

Free stream conditions are often applied as far field boundary conditions for external flow problems. Often specification of pressure at these boundaries helps. However, as the solution develops, phenomena such as shock waves propagate to these boundaries. In this case, you should remove the boundary conditions. Failure to do so could adversely affect the resultant mass balance. Also, if the boundary is too close to the region of interest (e.g. the airfoil the flow is moving past), the velocity solution near the boundary will tend to be greater than the free stream velocity. In such cases, a better choice for the velocity boundary conditions is the symmetry condition (only specify the velocity normal to the boundary as zero).

If the problem is thermal, ANSYS takes all of the applied boundary conditions to be total temperature, not static temperature. Conversely, if a problem is adiabatic, thermal boundary conditions are ignored.

If you use a thermal incompressible solution as a starting point for a thermal compressible problem, you must change the boundary conditions so that they are specified in terms of total temperature.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.1. Property Calculations 		Up / Home Next
8.3. Structured vs. Unstructured Mesh


8.3. Structured vs. Unstructured Mesh

As noted at the beginning of this chapter, for 2-D compressible flow problems, quadrilateral mesh is the best to use. Consider Figure 8.1: "Three Types of Meshing":

Figure 8.1 Three Types of Meshing

(a) Quadrilateral mesh, (b) Triangular mesh with a random pattern, (c) Triangular mesh with a symmetrical pattern

In 2-D compressible analyses, mesh (a), the quadrilateral mesh, produces the most accurate results. Mesh (b) yields 2-D, not 1-D results, and mesh (c) yields 1-D results.

Similarly, in a 3-D compressible analysis, a hexagonal mesh (the equivalent of quadrilateral mesh in 2-D) produces the best results. A tetrahedral mesh with a random pattern (the 3-D equivalent of mesh (b)) yields only 3-D results, not 1-D. And a tetrahedral symmetric mesh, the 3-D equivalent of mesh (c), gives you 1-D results.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.2. Boundary Conditions 		Up / Home Next
8.4. Solution Strategies


8.4. Solution Strategies

You must solve compressible analyses as pseudo-transient or transient problems. This is due to the non-elliptic nature of supersonic problems. The pseudo-transient approach is quite adequate when the time-history of the developing transient is not of interest. In that approach, you apply inertial relaxation to the pressure equation (see Inertial Relaxation).

For an ideal gas, the density is always calculated from an equation of state involving the absolute pressure and the absolute temperature. Because of this, you must prevent negative values of absolute pressure and absolute static temperature from being encountered during the iterative process, as these would lead to a negative density. One way to do this is to use a converged incompressible solution as a starting point. Another way is to use capping to specify a minimum FLOTRAN (relative) pressure. For example, to keep the absolute pressure at a minimum of 1 psi, you would cap the relative pressure at -13.7 psi for a reference pressure of 14.7 psi. Capping is not a stability control and by itself it will not control the solution progression. It only helps prevent negative properties.

Artificial viscosity helps to prevent negative temperatures. You set it at the beginning of the analysis, and must reduce it slowly for subsequent continuations of the analysis. You will probably encounter divergence if you increase the viscosity between runs. The magnitude of the artificial viscosity required can vary greatly. The smaller the starting value, the fewer the global iterations required. But if it is not large enough, you may encounter negative static temperatures. You can use the laminar and effective viscosities to gauge a good starting value. It is typically a couple orders of magnitude higher than the effective viscosity, which in turn is initialized as a multiple of the laminar value. Generally, a value 3 or 4 orders of magnitude higher than the laminar viscosity is a good approximate starting point.

In a compressible problem, the final answer would be a function of the artificial viscosity if it were not removed. Therefore, after stability has been achieved, gradually remove the artificial viscosity during repeated analysis continuations.

8.4.1. Inertial Relaxation

Inertial relaxation helps to stabilize a solution by increasing the magnitude of the main diagonal of the matrix equation along with a corresponding increase in the forcing function. Values used are generally between 1.0 x 10-3 (less relaxation) and 1.0 x 10-6 (more relaxation) for pressure. The smaller values provide more diagonal dominance and thus equation stability. The cost of this is slower convergence since it de-emphasizes the influence of the cross-coupling terms present in the equations.

Unlike artificial viscosity, the inertial relaxation does not affect the answer if the problem is converged and thus does not have to be removed. It is best to reduce the magnitude to the range of 1 x 10-4 later in the analysis. You can measure the effectiveness of the relaxation by observing the performance of the parameter RTR in the Jobname.DBG file.

All the techniques discussed so far involve the steady state algorithm. It is common for supersonic problems, even if they are posed as steady state to be solved with the transient algorithm. An initial velocity field can be imposed as a first guess. The inertial relaxation acts similarly to the transient algorithm and its use is considered redundant in transient analyses. Do note that problems involving moving shocks may lead to inaccurate solutions when using the transient algorithm. With the current set of governing partial differential equations and the discretization techniques used, the transient algorithm has demonstrated solutions that are qualitatively correct but may yield quantitatively inaccurate results.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.3. Structured vs. Unstructured Mesh 		Up / Home Next
8.5. Example of a Compressible Flow Analysis


8.5. Example of a Compressible Flow Analysis

8.5.1. The Example Described

This example evaluates compressible flow in a converging-diverging nozzle. The nozzle is axisymmetric with inlet, throat, and outlet radii of 2.432 cm, 0.5 cm and 0.80 cm, respectively. The nozzle inlet pressure is given as 6.13769e+6 dynes/cm2.

8.5.1.1. Fluid Properties

The analysis uses density, viscosity, thermal conductivity, and specific heat properties for air in units of cm-g-sec.

8.5.1.2. Approach and Assumptions

The compressible flow analysis is a turbulent analysis that uses the FLUID141 2-D Fluid-Thermal element.

The analysis assumes atmospheric pressure conditions at the outlet. It assumes a stagnation temperature of 550 K.

Inlet and outlet pressure boundary conditions are set to 6.13769e+6 dynes/cm2 and 0, respectively. The VY velocity component is set to 0 along the axis of symmetry and the VX and VY velocity components are set to 0 along the outer surface.

The analysis starts with 20 iterations at an artificial viscosity of 10. It then continues for 20 iterations at artificial viscosity values of 1, .1, .01, .001, .0001, and .00001 to give a total of 140 iterations. The analysis then continues for another 160 iterations at an artificial viscosity of 0. After 300 iterations of slowly reducing the viscosity to 0, the analysis continues for 100 iterations with increased momentum and pressure inertial relaxation factors. Finally, the analysis converges to a final solution with the momentum and pressure inertial relaxation factors increased to higher values for 400 iterations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.4. Solution Strategies 		Up / Home Next
8.6. Doing the Example Compressible Flow Analysis (GUI Method)


8.6. Doing the Example Compressible Flow Analysis (GUI Method)

You perform the following steps to analyze the converging diverging nozzle using the GUI Method.

Step 1: Establish an Analysis Title and Preferences

  1. Choose Utility Menu> File> Change Title. The Change Title dialog box appears.

  2. Enter the text "Compressible Flow in a Converging Diverging Nozzle."

  3. Click on OK.

  4. Choose Main Menu> Preferences. The Preferences for GUI Filtering dialog box appears.

  5. Click the button for FLOTRAN CFD to "On."

  6. Click on OK.

Back To Top

Step 2: Define Element Types

  1. Choose Main Menu> Preprocessor> Element Type> Add/Edit/Delete. The Element Types dialog box appears.

  2. Click on Add. The Library of Element Types dialog box appears.

  3. In the two scrollable lists, highlight (click on) "FLOTRAN CFD" and "2D FLOTRAN 141."

  4. Click on OK. ANSYS returns you to the Element Types dialog box.

  5. Click on Close.

Back To Top

Step 3: Create Keypoints

  1. Choose Main Menu> Preprocessor> Modeling> Create> Keypoints> In Active CS. The Create Keypoints in Active Coordinate System dialog box appears.

  2. In the "Keypoint number (NPT)" field enter 1 and in the "Location in active CS (X and Y)" fields enter 0 and 2.432, respectively. Click on Apply.

  3. Repeat the previous substep for the following sets of keypoint numbers and (X, Y) locations: 2 (0, 0), 3 (1, 2.432), 4 (1, 0), 5 (2, 2.232), 6 (2, 0), 7 (5, 0), 8 (5, 0.7), 9 (6, 0), 10 (6, 0.5), 11 (14, 0), 12 (14, 0.8). After entering each set, click on Apply. After entering the last set, click on OK.

  4. Click on SAVE_DB on the ANSYS Toolbar.

Back To Top

Step 4: Create Lines

  1. Choose Utility Menu> PlotCtrls> Numbering. The Plot Numbering Controls dialog box appears.

  2. Click the button for "Line Numbers (LINE)" to "On" and click OK.

  3. Choose Main Menu> Preprocessor> Modeling> Create> Lines> Lines> In Active Coord. The Lines in Active Coord picking menu appears.

  4. Pick the keypoint numbers 2 and 4 and click on Apply.

  5. Repeat steps 3 and 4 for the following sets of keypoint numbers: 3 and 4; 1 and 3; 1 and 2; and 5 and 8. After entering each set, click on Apply. After entering the last set, click on OK.

  6. Choose Main Menu> Preprocessor> Modeling> Create> Lines> Lines> Tan to 2 Lines. The Line Tangent to 2 Lines picking menu appears.

  7. Pick line number 3 and click on Apply. The Line Tangent to 2 Lines picking menu reappears.

  8. Pick keypoint number 3 and click on Apply. The Line Tangent to 2 Lines picking menu reappears.

  9. Pick line number 5 and click on Apply. The Line Tangent to 2 Lines picking menu reappears.

  10. Pick keypoint number 5 and click on OK.

  11. Choose Main Menu> Preprocessor> Modeling> Create> Lines> Lines> In Active Coord. The Lines in Active Coord picking menu appears.

  12. Pick the keypoint numbers 10 and 12 and click on OK.

  13. Choose Main Menu> Preprocessor> Modeling> Create> Lines> Lines> Tan to 2 Lines. The Line Tangent to 2 Lines picking menu appears.

  14. Pick line number 5 and click on Apply. The Line Tangent to 2 Lines picking menu reappears.

  15. Pick keypoint number 8 and click on Apply. The Line Tangent to 2 Lines picking menu reappears.

  16. Pick line number 7 and click on Apply. The Line Tangent to 2 Lines picking menu reappears.

  17. Pick keypoint number 10 and click on OK.

  18. Choose Main Menu> Preprocessor> Modeling> Create> Lines> Lines> In Active Coord. The Lines in Active Coord picking menu appears.

  19. Pick the keypoint numbers 4 and 6 and click on Apply.

  20. Enter the following sets of keypoint number by repeating steps 18 and 19: 6 and 7; 7 and 9; and 9 and 11. After entering each set, click on Apply. After entering the last set, click on OK.

Back To Top

Step 5: Create Areas

  1. Choose Main Menu> Preprocessor> Modeling> Create> Areas> Arbitrary> Through KPs. The Create Area thru KPs picking menu appears.

  2. Pick the keypoint numbers (2, 4, 3, 1) and click on Apply.

  3. Repeat the previous substep for the following sets of keypoint numbers: (4, 6, 5, 3), (6, 7, 8, 5), (7, 9, 10, 8), and (9, 11, 12, 10). After entering each set, click on Apply. After entering the last set, click on OK.

  4. Click on SAVE_DB on the ANSYS Toolbar.

Back To Top

Step 6: Define Scalar Parameters

  1. Choose Utility Menu> Parameters> Scalar Parameters. The Scalar Parameters dialog box appears.

  2. Type in the parameter values shown below. (Press ENTER after entering each value.)

    ntran = 24
    rtran = 10
    na = 10
    nb = 10
    nc = 25
    nd = 10
    ne = 100
    re = -1.5

  3. Click on Close to close the dialog box.

Back To Top

Step 7: Mesh the Model

  1. Choose Main Menu> Preprocessor> Meshing> Size Cntrls> Lines> Picked Lines. The Element Size on Picked Lines picking menu appears.

  2. Pick line number 4 and click on Apply. The Element Sizes on Picked Lines dialog box appears.

  3. In the "No. of element divisions (NDIV)" field, enter ntran, and in the "Spacing ratio (SPACE)" field enter rtran. Click on Apply.

  4. Repeat steps 2 and 3 for line number 2.

  5. Pick line number 13 and click on Apply. The Element Sizes on Picked Lines dialog box appears.

  6. In the "No. of element divisions (NDIV)" field, enter ntran, and in the "Spacing ratio (SPACE)" field enter 1/rtran. Click on Apply.

  7. Repeat steps 5 and 6 for line numbers 14, 15, and 16.

  8. Pick line number 1 and click on Apply. The Element Sizes on Picked Lines dialog box appears.

  9. In the "No. of element divisions (NDIV)" field, enter na, and in the "Spacing ratio (SPACE)" field enter 1. Click on Apply.

  10. Repeat steps 8 and 9 for line number 3.

  11. Pick line number 6 and click on Apply. The Element Sizes on Picked Lines dialog box appears.

  12. In the "No. of element divisions (NDIV)" field, enter nb, and in the "Spacing ratio (SPACE)" field enter 1. Click on Apply.

  13. Repeat steps 11 and 12 for line number 9.

  14. Pick line number 5 and click on Apply. The Element Sizes on Picked Lines dialog box appears.

  15. In the "No. of element divisions (NDIV)" field, enter nc, and in the "Spacing ratio (SPACE)" field enter 1. Click on Apply.

  16. Repeat steps 14 and 15 for line number 10.

  17. Pick line number 8 and click on Apply. The Element Sizes on Picked Lines dialog box appears.

  18. In the "No. of element divisions (NDIV)" field, enter nd, and in the "Spacing ratio (SPACE)" field enter 1. Click Apply.

  19. Repeat steps 17 and 18 for line number 11.

  20. Pick line number 7 and click on Apply. The Element Sizes on Picked Lines dialog box appears.

  21. In the "No. of element divisions (NDIV)" field, enter ne, and in the "Spacing ratio (SPACE)" field enter re. Click on Apply.

  22. Repeat steps 20 and 21 for line number 12 but this time click OK.

  23. Choose Main Menu> Preprocessor> Meshing> Mesh> Areas> Mapped> 3 or 4 sided. A picking menu appears.

  24. Click on Pick All. The meshed model appears.

Back To Top

Step 8: Compress Numbers

  1. Choose Main Menu> Preprocessor> Numbering Ctrls> Compress Numbers. The Compress Numbers dialog box appears.

  2. Select Nodes as the "Item to be compressed" and click on Apply.

  3. Select Elements as the "Item to be compressed" and click on OK.

Back To Top

Step 9: Apply Boundary Conditions

  1. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  2. Choose "Lines" and "By Num/Pick," then click on OK. A Select Lines picking menu appears.

  3. Choose Utility Menu> Plot>Lines.

  4. Pick lines 1, 9, 10, 11, and 12 and click on OK.

  5. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  6. Choose "Nodes" and "Attached to," click on Lines, all, and then click on OK.

  7. Choose Main Menu> Preprocessor> Loads> Define Loads> Apply> Fluid/CFD> Velocity> On Nodes. The Apply V on Nodes picking menu appears.

  8. Click on Pick All. The Velocity Constraints on Nodes dialog box appears.

  9. In the "Velocity component (VY)" field, enter 0, and click on OK.

  10. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  11. Choose "Lines" and "By Num/Pick," then click on the Sele All button. Click on OK. The Select Lines picking menu appears.

  12. Pick line number 4 and click on OK.

  13. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  14. Choose "Nodes" and "Attached to," click on Lines, all, and then click on OK.

  15. Choose Main Menu> Preprocessor> Loads> Define Loads> Apply> Fluid/CFD> Pressure DOF> On Nodes. The Apply PRES on Nodes picking menu appears.

  16. Click on Pick All. The Pressure Constraint on Nodes dialog box appears.

  17. In the "Pressure value (PRES)" field, enter 6.13769e+6, and click on OK.

  18. Choose Utility Menu> Select> Entities.

  19. Choose "Lines" and "By Num/Pick," then click on the Sele All button. Click on OK. The Select Lines picking menu appears.

  20. Pick line numbers 3, 5, 6, 7, and 8 and click on OK.

  21. Choose Utility Menu> Select> Entities.

  22. Choose "Nodes" and "Attached to," click on Lines, all, and then click on OK.

  23. Choose Main Menu> Preprocessor> Loads> Define Loads> Apply> Fluid/CFD> Velocity> On Nodes. The Apply V on Nodes picking menu appears.

  24. Click on Pick All. The Velocity Constraints on Nodes dialog box appears.

  25. In the "Velocity component (VX)" field and in the "Velocity component (VY)" enter 0, and click on OK.

  26. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  27. Choose "Lines" and "By Num/Pick," click on the Sele All button, and then click on OK. The Select Lines picking menu appears.

  28. Pick line number 16 and click on OK.

  29. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  30. Choose "Nodes" and "Attached to," click on Lines, all, and then click on OK.

  31. Choose Main Menu> Preprocessor> Loads> Define Loads> Apply> Fluid/CFD> Pressure DOF> On Nodes. The Apply PRES on Nodes picking menu appears.

  32. Click on Pick All. The Pressure Constraint on Nodes dialog box appears.

  33. In the "Pressure value (PRES)" field, enter 0, and click on OK.

Back To Top

Step 10: Set Fluid Properties

  1. Choose Utility Menu> Select> Everything.

  2. Choose Main Menu> Preprocessor> FLOTRAN Set Up> Fluid Properties. The Fluid Properties dialog box appears.

  3. Set the "Density (DENS)," "Viscosity (VISC)," "Conductivity (COND)," and "Specific heat (SPHT)" fields to AIR-CM.

  4. Set the "Allow density variations?" field to yes.

  5. Click on Apply. The CFD Flow Properties dialog box appears.

  6. Read the information about how coefficients will be calculated, and click on OK.

Back To Top

Step 11: Set Flow Environment Parameters

  1. Choose Main Menu> Preprocessor> FLOTRAN Set Up> Flow Environment> Ref Conditions. The Reference Conditions dialog box appears.

  2. Set the "Reference pressure (REFE)" field to 1.01325e+6 and the "Nominal temperature (NOMI)" and "Stagnation (total) temperature (TTOT)" fields to 550, and then click on OK.

Back To Top

Step 12: Set Solution Options and CFD Solver Controls

  1. Choose Main Menu> Preprocessor> FLOTRAN Set Up> Solution Options. The FLOTRAN Solution Options dialog box appears.

  2. Set the "Laminar or turbulent (TURB)" field to Turbulent and the "Incompress or compress (COMP)" field to Compressible. Click OK.

  3. Choose Main Menu> Preprocessor> FLOTRAN Set Up> CFD Solver Contr> PRES Solver CFD. The PRES Solver CFD dialog box appears.

  4. Choose Precond conj res.

  5. Click on OK. The Semi Direct Solver Options for Pressure dialog box appears.

  6. In the "Convergence criterion" field, enter 1.e-12, and click on OK.

Back To Top

Step 13: Solve

  1. Choose Main Menu> Solution> FLOTRAN Set Up> Relax/Stab/Cap> Prop Relaxation. The Property Relaxation dialog box appears.

  2. Set the "Density relaxation" field to 1.0 and click on OK.

  3. Choose Main Menu> Solution> FLOTRAN Set Up> Relax/Stab/Cap> MIR Stabilization. The Modified Inertial Relaxation (MIR) dialog box appears.

  4. Set the MIR values for the momentum and turbulence equations to 0.2

  5. Choose Main Menu> Solution> FLOTRAN Set Up> Relax/Stab/Cap> Stability Parms. The Stability Parameters dialog box appears.

  6. Set the "Momentum inertia" field to 1.0, the "Pressure inertia" field to 1.e-4, and the "Artificial viscosity" field to 10, and then click on OK.

  7. Choose Main Menu> Solution> FLOTRAN Set Up> Execution Ctrl. The Steady State Control Settings dialog box appears.

  8. Set the "Global iterations (EXEC) field to 20 and click on OK.

  9. Choose Main Menu> Solution> Run FLOTRAN.

  10. After 20 iterations finish, the Solution is done message appears. Close it. Choose Main Menu> Solution> FLOTRAN Set Up> Relax/Stab/Cap> Stability Parms. The Stability Parameters dialog box appears.

  11. Set the "Artificial viscosity" field to 1 and click on OK.

  12. Choose Main Menu> Solution> Run FLOTRAN.

  13. Repeat the previous 3 substeps and continue to reduce the "Artificial viscosity" to .1, .01, .001, .0001, and .00001.

  14. After 140 total iterations finish, the Solution is done message appears. Close it. Choose Main Menu> Solution> FLOTRAN Set Up> Relax/Stab/Cap> Stability Parms. The Stability Parameters dialog box appears.

  15. Set the "Artificial viscosity" field to 0 and click on OK.

  16. Choose Main Menu> Solution> FLOTRAN Set Up> Execution Ctrl. The Steady State Control Settings dialog box appears.

  17. Set the "Global iterations (EXEC) field to 160 and click on OK.

  18. Choose Main Menu> Solution> Run FLOTRAN.

  19. After 300 total iterations finish, the Solution is done message appears. Close it. Choose Main Menu> Solution> FLOTRAN Set Up> Relax/Stab/Cap> Stability Parms. The Stability Parameters dialog box appears.

  20. Set the "Momentum inertia" field to 10, the "Pressure inertia" field to 1.e-2, and then click on OK.

  21. Choose Main Menu> Solution> FLOTRAN Set Up> Execution Ctrl. The Steady State Control Settings dialog box appears.

  22. Set the "Global iterations (EXEC) field to 100 and click on OK.

  23. Choose Main Menu> Solution> Run FLOTRAN.

  24. After 400 total iterations finish, the Solution is done message appears. Close it. Choose Main Menu> Solution> FLOTRAN Set Up> Relax/Stab/Cap> Stability Parms. The Stability Parameters dialog box appears.

  25. Set the "Momentum inertia" field to 1e+15, the "Pressure inertia" field to 1.e+15, and then click on OK.

  26. Choose Main Menu> Solution> FLOTRAN Set Up> Execution Ctrl. The Steady State Control Settings dialog box appears.

  27. Set the "Global iterations (EXEC) field to 400 and click on OK.

  28. Choose Main Menu> Solution> Run FLOTRAN. When the Solution is done message appears, close it.

  29. Click QUIT on the ANSYS Toolbar. Choose an exit option and click OK.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.5. Example of a Compressible Flow Analysis 		Up / Home Next
8.7. Doing the Example Compressible Flow Analysis (Command Method)


8.7. Doing the Example Compressible Flow Analysis (Command Method)

You issue the following ANSYS commands to perform a compressible flow analysis of the converging diverging nozzle. Text preceded by an exclamation point (!) is a comment.

/title, Compressible Flow in a Converging Diverging Nozzle
/prep7
!
! Assign Element Type
!
et,1,141
!
! Create the Model Geometry
!
/pnum,line,1
k,1,0,2.432
k,2,0,0
k,3,1,2.432
k,4,1,0
k,5,2,2.232
k,6,2,0
k,7,5,0
k,8,5,.7
k,9,6,0
k,10,6,.5
k,11,14,0
k,12,14,.8
l,2,4
l,3,4
l,1,3
l,1,2
l,5,8
l2tan,3,5
l,10,12
l2tan,5,7
l,4,6
l,6,7
l,7,9
l,9,11
a,2,4,3,1
a,4,6,5,3
a,6,7,8,5
a,7,9,10,8
a,9,11,12,10
!
! !Mesh the Model and Compress Numbers
!
ntran=24
rtran=10
na=10
nb=10
nc=25
nd=10
ne=100
re=-1.5
lesize,4,,,ntran,rtran
lesize,2,,,ntran,rtran
lesize,13,,,ntran,1/rtran
lesize,14,,,ntran,1/rtran
lesize,15,,,ntran,1/rtran
lesize,16,,,ntran,1/rtran
lesize,1,,,na
lesize,3,,,na
lesize,6,,,nb
lesize,9,,,nb
lesize,5,,,nc
lesize,10,,,nc
lesize,8,,,nd
lesize,11,,,nd
lesize,7,,,ne,re
lesize,12,,,ne,re
amesh,all
numcmp,node
numcmp,elem
!
! Apply Boundary Conditions
!
lsel,s,,,1
lsel,a,,,9,12,1
nsll,,1
d,all,vy,0
lsel,all
lsel,s,,,4
nsll,,1
d,all,pres,6.13769e+6
lsel,all
lsel,s,,,3
lsel,a,,,5,8,1
nsll,,1
d,all,vx,0
d,all,vy,0
lsel,all
lsel,s,,,16
nsll,,1
d,all,pres,0
!
! Set Fluid Properties
!
alls
/solu
flda,prot,dens,air-cm
flda,prot,visc,air-cm
flda,prot,cond,air-cm
flda,prot,spht,air-cm
flda,vary,dens,t
!
! Set Flow Environment Parameters
!
flda,pres,refe,1.01325e+6
flda,temp,ttot,550
flda,temp,nomi,550
!
! Set Solution Options and CFD Solver Controls
!
flda,solu,turb,t
flda,solu,comp,t
flda,meth,pres,3
flda,conv,pres,1e-12
!
! Solve
!
flda,relx,dens,1
flda,mir,mome,0.2
flda,mir,turb,0.2
flda,stab,mome,1
flda,stab,pres,1e-4
flda,stab,visc,10
flda,iter,exec,20
solve
flda,stab,visc,1
solve
flda,stab,visc,.1
solve
flda,stab,visc,.01
solve
flda,stab,visc,.001
solve
flda,stab,visc,.0001
solve
flda,stab,visc,.00001
solve
flda,stab,visc,0
flda,iter,exec,160
solve
flda,stab,mome,10
flda,stab,pres,1e-2
flda,iter,exec,100
solve
flda,stab,mome,1e+15
flda,stab,pres,1e+15
flda,iter,exec,400
solve

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.6. Doing the Example Compressible Flow Analysis (GUI Method) 		Up / Home Next
Chapter 9. Specifying Fluid Properties for FLOTRAN


Chapter 9. Specifying Fluid Properties for FLOTRAN

Every flow analysis requires the fluid properties density and viscosity. Thermal analyses, in addition, require the fluid's thermal conductivity as well as specific heat. Volume of Fluid (VOF) analyses, in addition, might require the fluid properties surface tension coefficient and wall static contact angle. You specify fluid properties using one of the following:

Command(s): | FLDATA7,PROT,Label,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Fluid Properties Main Menu> Solution> FLOTRAN Set Up> Fluid Properties

The command shown above simply sets the fluid property type. After choosing the property type, you may have to set values.

To specify non-fluid properties (density, specific heat, and thermal conductivity), use one of the following:

Command(s): | MP
GUI: | Main Menu> Preprocessor> Loads> Other> Change Mat Props> Polynomial Main Menu> Preprocessor> Material Props> Material Models> Thermal> Density Main Menu> Preprocessor> Material Props> Material Models> Thermal> Specific Heat Main Menu> Preprocessor> Material Props> Material Models> Thermal> Conductivity> Isotropic Main Menu> Solution> Other> Change Mat Props> Polynomial

Non-fluid thermal conductivities can vary with temperature. Orthotropic variation of non-fluid thermal conductivity also is supported. For further information, see the descriptions of the MP and MPDATA commands, and related commands.

ANSYS provides no default values for density or viscosity properties. This prevents default properties from putting the analysis into an unexpected flow regime.

A value of -1 will appear in the user interface for properties that must be set. If you submit an analysis without setting these properties, an error message results and you will be reminded that you must specify properties.

The following fluid property topics are available:

  • Fluid Property Types
  • Initializing and Varying Properties
  • Modifying the Fluid Property Database
  • Using Reference Properties
  • Using the ANSYS Non-Newtonian Flow Capabilities
  • Using User-Programmable Subroutines

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.7. Doing the Example Compressible Flow Analysis (Command Method) 		Up / Home Next
9.1. Fluid Property Types


9.1. Fluid Property Types

A "fluid property type" defines how the particular fluid property will vary with temperature (and pressure, in the case of density for a gas). You choose the fluid property type separately for density, viscosity, thermal conductivity, specific heat, surface tension coefficient, and wall static contact angle.

You must use a consistent set of units for all the data that you enter. All thermal quantities must have the same energy unit as shown in the following table:

Table 9.1 Units for Thermal Quantities

Thermal Quantity | Units
Thermal Conductivity | energy/length-temperature-time
Specific Heat | energy/mass-temperature
Heat Flux | energy/length2-time
Volumetric Heat Source | energy/length3-time
Heat Transfer Coefficient | energy/length2-temperature-time

Except for incompressible flow analyses including viscous heating, you can use any energy unit as long as you use the same unit for all thermal quantities. The metric and English property types defined below use joules and BTUs, respectively, as the energy unit for thermal conductivity and specific heat. For an incompressible analysis including viscous heating, you must use the energy unit for the system as shown in the following table:

Table 9.2 Energy Units for Incompressible Analyses with Viscous Heating

System | Energy Unit[1]
SI (meter-kg-sec) | Joule
CGS (cm-g-sec) | Erg
mm-g-sec | Centi-erg
U. S. Customary (ft-slug-sec) | lbf-ft
PSI | lbf-in

  1. 1 Joule = 1.0E9 Centi-ergs; 1 BTU = 778.26 lbf-ft.

The following property type topics are available:

  • Property Types for Specific Heat
  • Property Types for Density and Thermal Conductivity
  • Property Types for Viscosity
  • Property Types for Surface Tension Coefficient
  • Property Types for Wall Static Contact Angle
  • General Guidelines for Setting Property Types
  • Density
  • Viscosity
  • Specific Heat
  • Thermal Conductivity
  • Surface Tension Coefficient
  • Wall Static Contact Angle

9.1.1. Property Types for Specific Heat

For specific heat, you can choose among the following property types: CONSTANT, CMIX, TABLE, user-defined through a file (floprp.ans), user-programmable subroutine (USER), and the variations of AIR shown below in Table 9.3: "Units for the AIR Property Type".

9.1.2. Property Types for Density and Thermal Conductivity

For density and thermal conductivity, the property types you can choose are CONSTANT, CMIX, TABLE, GAS, LIQUID, user-defined through a file (floprp.ans), and the variations of AIR shown below. (To learn how to add more, see Modifying the Fluid Property Database.) A user-programmable subroutine (USER) also is available. For density only, you have one other property type option: CGAS.

Table 9.3 Units for the AIR Property Type

PROT | Units | Pressure Units | Density Units | Viscosity Units
AIR | meter-kg-sec | Pascals | kg/m3 | kg/m-sec
AIR-SI | meter-kg-sec | Pascals | kg/m3 | kg/m-sec
AIR-CM | cm-g-sec | dynes/cm2 | g/cm3 | g/cm-sec (poise)
AIR-MM | mm-g-sec | Pascals | g/mm3 | g/mm-sec
AIR-FT | ft-slug-sec | lbf/ft2 | slugs/ft3 | slug/ft-sec
AIR-IN | in-(lbf-s2/in)-sec | psi | lbf-sec2/in4 | lbf-s/in2

ANSYS automatically supplies for you, in the property database, the relevant input for the AIR property types.

9.1.3. Property Types for Viscosity

For viscosity, you can choose the property types CMIX, TABLE, CONSTANT, LIQUID, GAS, Power Law (POWL), Bingham (BING), Carreau (CARR), user-defined through a file (floprp.ans), and a user-programmable subroutine (USER or USRV). The AIR and GAS property types assume that the fluid is an ideal gas with constant specific heat. The viscosity and thermal conductivity variations with temperature are assumed to follow Sutherland's laws for gases, the form of which is shown below. A LIQUID assumes up to a second order polynomial for the variation of density with temperature, a constant value for specific heat, and Sutherland's laws for a liquid for viscosity and thermal conductivity.

Viscosity as a function of the velocity gradient is represented by the non-Newtonian viscosity types: Power Law, Bingham, and Carreau. Refer to Using the ANSYS Non-Newtonian Flow Capabilities for more information.

9.1.4. Property Types for Surface Tension Coefficient

For surface tension coefficient, you can choose among the following property types: CONSTANT, LIQUID, and user-programmable subroutine (USER).

9.1.5. Property Types for Wall Static Contact Angle

For wall static contact angle, CONSTANT is the only valid property type.

9.1.6. General Guidelines for Setting Property Types

You must use a consistent set of units (the gravitational constant gc must be unity.) Of course, the proper length unit must be assumed when building the finite element model. Additional choices are available for air as per the table shown below. Units for density are simply mass/volume; the table omits them.

Set the property type using the following:

Command(s): | FLDATA7,PROT,Label,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Fluid Properties Main Menu> Solution> FLOTRAN Set Up> Fluid Properties

For Label, you specify one of the following: DENS (density), VISC (viscosity), COND (thermal conductivity), SPHT (specific heat), or SFTS (surface tension coefficient).

For Value, you specify any of the property types listed in Table 9.4: "Property types for Value", or you can specify a table of fluid properties. To specify a table, enclose the table name in percent signs (%) (for example, FLDATA7,PROT,DENS,%Table%).

9.1.6.1. Using a Fluid Property Table

If working interactively, you define a new table prior to using the table to apply loads. You can define a table interactively via the Utility Menu> Parameters> Array Parameters> Define/Edit menu path, or in batch mode via the *DIM command. If working interactively, you will be asked to define the table through a series of dialog boxes. If working in batch mode, you need to define the table before issuing any of the loading commands.

For more information on defining tables, see the discussion of table array parameters in the ANSYS Parametric Design Language Guide.

When you define the table, you can define the following primary variables:

  • Temperature (TEMP)

  • Pressure (PRESSURE)

  • Time (TIME)

  • X-coordinate (X)

  • Y-coordinate (Y)

  • Z-coordinate (Z)

  • Velocity (VELOCITY)

  • Reference X-coordinate (Xr) (ALE formulation only)

  • Reference Y-coordinate (Yr) (ALE formulation only)

  • Reference Z-coordinate (Zr) (ALE formulation only)

The valid labels used by the *DIM command are shown in parentheses.

If you need to specify a variable other than one of the primary variables listed, you can do so by defining an independent variable. To specify an independent variable, define an additional table for the independent variable. That table must have the same name as the independent variable and can be a function of either a primary variable or another independent variable.

9.1.6.2. Specifying Property Types

The following table describes the property types that you can specify.

Table 9.4 Property types for Value

Property Type | Argument
Constant properties | CONSTANT
Gas properties | GAS
Liquid properties | LIQUID
Table of property values and corresponding temperature values (which you enter using the MPDATAand MPTEMP commands) | TABLE
Air properties in units of meter-kg-sec | AIR or AIR-SI
Air properties in units of meter-kg-sec, with pressure set to the reference pressure for the evaluation of density | AIR_B or AIR-SI_B
Air properties in units of cm-g-sec | AIR-CM
Air properties in units of cm-g-sec, with pressure set to the reference pressure for the evaluation of density | AIR-CM_B
Air properties in units of mm-g-sec | AIR-MM
Air properties in units of mm-g-sec, with pressure set to the reference pressure for the evaluation of density | AIR-MM_B
Air properties in units of fl-slug-sec | AIR-FT
Air properties in unites of fl-slug-sec, with pressure set to the reference pressure for the evaluation of density | AIR-FT_B
Air properties in units of in-(lbf-s**2/in)-sec (results in units of psi for pressure) | AIR-IN
Air properties in units of in-(lbf-s**2/in)-sec (results in units of psi for pressure), with pressure set to the reference pressure for the evaluation of density | AIR-IN_B
Power Law non-Newtonian viscosity type | POWL
Carreau non-Newtonian viscosity type | CARR
Bingham non-Newtonian viscosity type | BING
Property is mass fraction average of the species component | CMIX
User-programmable via subroutines:UserVisLaw for viscosityUserSpht for specific heatUserDens for densityUserCond for conductivityUserSfts for surface tension | USER
A variation of ideal gas law based on species mass fractions. Available for density only. | CGAS

Once you choose property types, you do not need to specify any coefficients for the properties. If the characters _B are added to these property types (as in the AIR types listed above), the pressure in the ideal gas law calculation is at a constant density corresponding to atmospheric pressure. The length and time units of conductivity and specific heat must be consistent with the rest of the properties. The energy units in these quantities are unrestricted.

If using property types CONSTANT, GAS, or LIQUID, you must specify property coefficients. To do so, either issue the commands shown below or choose one of the following menu paths:

Command(s): | FLDATA8,NOMI,Label,Value FLDATA9,COF1,Label,Value FLDATA10,COF2,Label,Value FLDATA11,COF3,Label,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Fluid Properties Main Menu> Solution> FLOTRAN Set Up> Fluid Properties

If you use the commands, you enter the property in the Label field of each command and enter the value itself in each command's Value field.

The format of the equations for GAS and LIQUID input is oriented towards calculating constants based on chosen data points. All cases take COF1 to be the absolute temperature at which the chosen property has the value set by NOMI. (Using Reference Properties discusses the use of relative temperatures and an offset temperature to calculate absolute temperatures.) This is not used in the COF1 specification; COF1 should always be an absolute temperature.

Once values are inserted into the relationships below for NOMI and COF1, the values of COF2 and COF3, if necessary, follow from knowledge of one or two additional data points, respectively. When calculating COF2 and COF3 for GAS and LIQUID property types, you must use absolute temperatures and pressures in these relationships. If COF1 is set to zero, the property will become constant at the value set by NOMI. For GAS and LIQUID property types, the specific heat is constant and therefore the parameters COF1, COF2 and COF3 are not needed. For viscosity types Power Law, Bingham, and Carreau, NOMI, COF1, COF2, and COF3 have different interpretations. This is discussed in the Theory Reference for ANSYS and ANSYS Workbench and in Viscosity.

9.1.7. Density

If the property type choice is CONSTANT, then set the constant value of the property using the FLDATA8,NOMI command or the equivalent menu path. For example, you set the density to 1.205 via:

Command(s):

FLDATA8,NOMI,DENS,1.205

If the property type is GAS, the ideal gas law is used for the density. You specify density for this choice as:

Density = NOMI * (P/COF2) / (T/COF1)

If the choice is LIQUID, then a second order polynomial as a function of temperature is used for density.

Density = NOMI + COF2*(T - COF1) + COF3*(T - COF1)2

If the property type is CMIX, then:

In the equation shown above, N is the defined number of species, Yi is the mass fraction of the ith species, and ρi is the density of the ith species.

If the property is CGAS, then:

In the CGAS equation shown above, N is the defined number of species, Yi is the mass fraction of the ith species, Mi is the molecular weight of the ith species, R is the universal gas constant, and P is the absolute pressure.

If the property type is TABLE, the density is interpolated linearly between the data points provided via the MPTEMP or MPDATA commands (or their GUI equivalents).

If the choice is USER, the density is computed in the user-programmable subroutine UserDens. The four coefficients NOMI, COF1, COF2, and COF3 are available in this routine.

9.1.8. Viscosity

If the property type choice is CONSTANT, then set the constant value of the property using the FLDATA8,NOMI command or the equivalent menu path. For example, you set the viscosity to 1.205 via:

Command(s):

FLDATA8,NOMI,VISC,1.205

If the choice is GAS, Sutherland's law for gases is used for viscosity. You can enter the parameters NOMI, COF1, and COF2.

The ideal gas constant R is defined as (COF2/NOMI*COF1)

Viscosity ("Property"):

Property/NOMI = (T/COF1)1.5 * (COF1 + COF2)/(T + COF2)

As an example of using this relationship, suppose that there are two data points available for the calculation of viscosity as a function of temperature:

Viscosity = 4.18 x 10-5 at T = 760

Viscosity = 5.76 x 10-5 at T = 1010

Consider the first data point as the nominal value. This means that NOMI = 4.18 x 10-5 and COF1 = 760. Using these in the Sutherland relationship yields:

Property/4.18 x 10-5 = (T/760)1.5 (760 + COF2)/(T + COF2)

Use the remaining data point to calculate COF2 by setting "Property" to 5.76 x 10-5 and T = 1010. Thus, the constants are calculated from the data points.

If the choice is LIQUID, then Sutherland's liquid law is used for the viscosity.

Viscosity ("Property"):

Property/NOMI = EXP{COF2*(1/T - 1/COF1) + COF3(1/T - 1/COF1)2}

If the choice is POWL, then the non-Newtonian Power Law model is used for the viscosity:

If the choice is BING, then the non-Newtonian Bingham model is used for the viscosity:

If the choice is CARR, the non-Newtonian Carreau model is used for the viscosity:

If the property type is CMIX, then:

In the equation shown above, N is the defined number of species, Yi is the mass fraction of the ith species, and µi is the viscosity of the ith species.

If the property type is TABLE, the density is interpolated linearly between the data points provided via the MPTEMP or MPDATA commands (or their GUI equivalents).

If the choice is USRV or USER, then the viscosity is computed in the user programmable subroutine UserVisLaw. The four coefficients NOMI, COF1, COF2, and COF3 are available in this routine.

9.1.9. Specific Heat

If the property type choice is CONSTANT, then set the constant value of the property using the FLDATA8,NOMI command or the equivalent menu path. For example, you set the specific heat to 1.205 via:

Command(s):

FLDATA8,NOMI,SPHT,1.205

If the choice is USER, specify specific heat via user-programmable subroutine UserSpht. For specific heat, NOMI, COF1, COF2, and COF3 are available in the user-programmable subroutine UserSpht.

If the property type is CMIX, then:

In the equation shown above, N is the defined number of species, Yi is the mass fraction of the ith species, and [image] is the specific heat of the ith species.

If the property type is TABLE, the specific heat is interpolated linearly between the data points provided via the MPTEMP or MPDATA commands (or their GUI equivalents).

9.1.10. Thermal Conductivity

If the property type choice is CONSTANT, then set the constant value of the property using the FLDATA8,NOMI command or the equivalent menu path. For example, you set the thermal conductivity to 1.205 via:

Command(s):

FLDATA8,NOMI,COND,1.205

If the choice is GAS, Sutherland's law for gases is used for conductivity. You can enter the parameters NOMI, COF1, and COF2.

The ideal gas constant R is defined as (COF2/NOMI*COF1)

Thermal Conductivity ("Property"):

Property/NOMI = (T/COF1)1.5 * (COF1 + COF2)/(T + COF2)

If the choice is LIQUID, then Sutherland's liquid law is used for conductivity.

Thermal Conductivity ("Property"):

Property/NOMI = EXP{COF2*(1/T - 1/COF1) + COF3(1/T - 1/COF1)2}

If the property type is CMIX, then:

In the equation shown above, N is the defined number of species, Yi is the mass fraction of the ith species, and Ki is the conductivity of the ith species.

If the property type is TABLE, the density is interpolated linearly between the data points provided via the MPTEMP or MPDATA commands (or their GUI equivalents).

If the choice is USER, then the thermal conductivity is computed in the user programmable subroutine UserCond. The four coefficients NOMI, COF1, COF2, and COF3 are available in this routine.

9.1.11. Surface Tension Coefficient

If the property type choice is CONSTANT, then set the constant value of the property using the FLDATA8,NOMI command or the equivalent menu path. For example, you set the surface tension coefficient to 73.0 via:

Command(s):

FLDATA8,NOMI,SFTS,73.0

If the choice is LIQUID, then a second order polynomial as a function of temperature is used for surface tension coefficient.

Surface tension coefficient = NOMI + COF2*(T - COF1) + COF3*(T - COF1)2

If the choice is USER, the surface tension coefficient is computed in the user-programmable subroutine UserSfts. The four coefficients NOMI, COF1, COF2, and COF3 are available in this routine.

9.1.12. Wall Static Contact Angle

To set the constant value use the FLDATA8,NOMI command or the equivalent menu path. For example, set the wall static contact angle to 120.0 degrees via:

Command(s):

FLDATA8,NOMI,WSCA,120.0

The wall static contact angle defaults to 90 degrees. Angles less than 90 degrees describe an adhesive wall condition and angles between 90 and 180 degrees describe a nonadhesive wall condition. In reality, the angle is not only a material property of the fluid, but also depends on the local fluid and wall conditions. FLOTRAN treats it as a single input constant for simplicity.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 9. Specifying Fluid Properties for FLOTRAN 		Up / Home Next
9.2. Initializing and Varying Properties


9.2. Initializing and Varying Properties

When an analysis begins, ANSYS calculates properties based on the specified property type and the appropriate constants. To set the initial temperature, choose one of the following:

Command(s): | FLDATA14,TEMP,NOMI,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Flow Environment> Ref Conditions Main Menu> Solution> FLOTRAN Set Up> Flow Environment> Ref Conditions

You can choose to treat this temperature as an absolute or a relative temperature. If it is a relative temperature, the difference between the relative and the absolute temperature is the offset from absolute zero set by one of the following:

Command(s): | TOFFST,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Flow Environment> Ref Conditions Main Menu> Solution> FLOTRAN Set Up> Flow Environment> Ref Conditions

Either way, FLOTRAN initializes the absolute nominal temperature as the sum of the values set by the FLDATA,TEMP,NOMI and TOFFST commands or their equivalent menu paths.

Unless otherwise specified through boundary or initial condition commands, the initial relative pressure is zero. In the absence of gravity and rotation the absolute pressure is the sum of the reference and relative pressures. Therefore, the initial absolute pressure is the reference pressure.

For specific heat, density, surface tension coefficient, and thermal conductivity, the ANSYS program uses initial values of absolute nominal temperature and absolute pressure to calculate the initial properties. However, for non-Newtonian viscosity, you specify initial properties using either the command FLDATA12,PROP,IVISC,Value (Main Menu> Preprocessor> FLOTRAN Set Up> Fluid Properties). If you specify a value less than or equal to zero, the NOMI coefficient described in the previous section is used to initialize the viscosity.

9.2.1. Activating Variable Properties

Once the analysis begins, the properties will vary only between global iterations as the temperature and pressure change if the property variations are activated. This is accomplished with the FLDATA13,VARY,Label,Value command with the labels SPHT, DENS, VISC, SFTS, and COND. Allowable Values are TRUE and FALSE (T or F). The VARY setting has no effect if the property type are set to CONSTANT or COF1 is zero for a GAS or LIQUID.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.1. Fluid Property Types 		Up / Home Next
9.3. Modifying the Fluid Property Database


9.3. Modifying the Fluid Property Database

Choices other than CGAS, CMIX, TABLE, USER, GAS, LIQUID, CONSTANT or AIR for density, thermal conductivity, viscosity, and specific heat imply that all the properties will be obtained from the information in the floprp.ans file (a text file), where the data for AIR resides. This file is provided with ANSYS, and you should make a local copy if you plan additions to it. You can make the copy at the system level with a text editor. The procedure for making additions requires you to:

  1. Choose a property name.

  2. Specify functional form and constants.

    id Integer equation identifier (two digit number)
    n Number of coefficients
    Ci Equation coefficients

You can access the following forms through the property database by specifying the appropriate ID. The variable "y" refers to the value of the property of interest, T is the absolute temperature, and P is the absolute pressure.

Polynomial ID: 01

y = C1 + C2T + C3T2 + ... + CnTn-1

Inverse Polynomial ID: 02

Exponential Polynomial ID: 03

In(y) = C1 + C2T + C3T2 + ... + CnTn-1

Exponential Inverse Polynomial ID: 04

Power Law ID: 05

y = C1TC2

Ideal Gas Law ID: 11

Sutherland's Formula ID: 12

Pressure based variation ID: 15

Non-Newtonian Power Law ID: 16 (applies to viscosity only)

where [image], I2 is the second invariant of the strain rate tensor.

Non-Newtonian Bingham Model ID: 17 (applies to viscosity only)

Carreau Model ID: 18 (applies to viscosity only)

User-programmable subroutine: 19

y = y (C1, C2, C3, C4)

Because you can use the subroutine to describe property variations, you can use the four coefficients in any way within the subroutine.

The format of the property database file floprp.ans is provided in the table below:

Table 9.5 Property Database Format

Line | Description
1 | Fluid Name [A8] and optional comments
2 | nLines [I6]
nLines

Proplab, tProp, nProp

(PropCF(i)=1,nProp)

[A4, 1x, 2I6, 5E12.5/6E 12.5]

Fluid Name=Fluid property type

nLines=Number of properties to be read

Proplab=Property label (one of the following):

SPHT - Specific heat
DENS - Density
VISC - Viscosity
COND - Conductivity
GAMM - Gamma
tProp - Equation identifier for property
nProp - Number of coefficients for property
PropCF - Coefficients for property calculation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.2. Initializing and Varying Properties 		Up / Home Next
9.4. Using Reference Properties


9.4. Using Reference Properties

The following properties are part of the flow environment:

  • The ratio of specific heats, Cp/Cv, known as gamma, is a reference property that applies only to compressible problems. Currently it is a constant. Specify this property using one of these methods:

    Command(s): FLDATA17,GAMM,COMP,VALUE
    GUI: Main Menu> Preprocessor> FLOTRAN Set Up> Flow Environment> Ref Conditions
    File:

    Edit the file floprp.ans and set the value of GAMM.

  • The pressures FLOTRAN calculates are relative pressures. A reference pressure is added to the relative pressure to calculate the absolute pressure. Rotational and gravitational terms also are added as needed. For more information, see "FLOTRAN Special Features".

    To specify the reference pressure, use one of the following:

    Command(s): FLDATA15,PRES,REFE,Value
    GUI: Main Menu> Preprocessor> FLOTRAN Set Up> Flow Environment> Ref Conditions
    Main Menu> Solution> FLOTRAN Set Up> Flow Environment> Ref Conditions

  • You can use a relative temperature (for example, degrees Fahrenheit rather than degrees Rankine). In this case, an offset temperature is set so that property calculations include absolute temperatures. This is necessary, for instance, for calculating densities from the ideal gas law. ANSYS automatically adds the offset temperature to all of the boundary condition temperatures applied.

    To set the offset temperature, use one of the following

    Command(s): TOFFST,Value
    GUI: Main Menu> Preprocessor> FLOTRAN Set Up> Flow Environment> Ref Conditions
    Main Menu> Solution> FLOTRAN Set Up> Flow Environment> Ref Conditions

  • The nominal temperature is that at which the properties initialize. It may be a relative temperature if you use the TOFFST command or an equivalent menu path. If the viscosity is not stored in the results file (the default condition) and is now allowed to vary, ANSYS recalculates it when the analysis continues at the nominal temperature.

    To specify the nominal temperature, use one of the following:

    Command(s): FLDATA14,TEMP,NOMI,Value
    GUI: Main Menu> Preprocessor> FLOTRAN Set Up> Flow Environment> Ref Conditions
    Main Menu> Solution> FLOTRAN Set Up> Flow Environment> Ref Conditions

  • You can specify gravitational accelerations using one of the following:

    Command(s): ACEL,ACELX,ACELY,ACELZ
    GUI: Main Menu> Preprocessor> FLOTRAN Set Up> Flow Environment> Gravity
    Main Menu> Solution> FLOTRAN Set Up> Flow Environment> Gravity

The sign convention of the gravitational acceleration denotes as positive the direction of the reaction force.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.3. Modifying the Fluid Property Database 		Up / Home Next
9.5. Using the ANSYS Non-Newtonian Flow Capabilities


9.5. Using the ANSYS Non-Newtonian Flow Capabilities

The ANSYS program enables you to specify viscosity for non-Newtonian fluid flows. (You can use this capability only with FLUID141 and FLUID142 elements.) You can choose among four types of models:

  • The Power Law model, useful for modeling polymers, blood, rubber solutions, etc.

  • The Carreau model, which removes some of the deficiencies associated with the Power Law model. Use this model when fluid has intermediate values of shear rate but remains bounded for zero/infinite shear rates.

  • The Bingham model, useful for modeling slurries and pastes.

  • A user-programmable subroutine UserVisLaw, which gives you greater flexibility in choosing viscosity models.

Typically, you select one of these models after you have built and meshed the model for your problem and after you have applied the boundary conditions.

9.5.1. Activating the Power Law Model

To activate the Power Law viscosity model, issue the command or use one of the menu paths shown below:

Command(s): | FLDATA7,PROT,VISC,POWL
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Fluid Properties Main Menu> Solution> FLOTRAN Set Up> Fluid Properties

Choosing any of the above automatically issues other commands which set output and storage controls and the property variation flag. For details, see the descriptions of the FLDATA commands in the Commands Reference.

To specify the four coefficients associated with the Power Law model, choose either of the menu paths shown above (and specify the appropriate coefficients), or issue the following commands:

Command(s):
FLDATA8,NOMI,VISC,Value (specifies nominal viscosity)
FLDATA9,COF1,VISC,Value (specifies the cutoff shear rate)
FLDATA10,COF2,VISC,Value (specifies the consistency coefficient)
FLDATA11,COF3,VISC,Value (specifies the power)

The Theory Reference for ANSYS and ANSYS Workbench describes these coefficients.

Once you have specified the coefficients, you can issue the SOLVE command or choose menu path Main Menu> Solution> Run FLOTRAN.

9.5.2. Activating the Carreau Model

To activate the Carreau viscosity model, issue the command or use one of the menu paths shown below:

Command(s): | FLDATA7,PROT,VISC,CARR
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Fluid Properties Main Menu> Solution> FLOTRAN Set Up> Fluid Properties

Choosing one of the above automatically issues commands which set output and storage controls and the property variation flag. For more information about the FLDATA commands, see the Commands Reference.

You need to specify the four coefficients associated with the Carreau model, using either of the menu paths shown above or the following commands:

Command(s):
FLDATA8,NOMI,VISC,Value (specifies the zero shear viscosity)
FLDATA9,COF1,VISC,Value (specifies the infinite shear viscosity)
FLDATA10,COF2,VISC,Value (specifies the time constant)
FLDATA11,COF3,VISC,Value (specifies the power)

The Theory Reference for ANSYS and ANSYS Workbench describes these coefficients. Once you have specified them, you can issue the SOLVE command or choose menu path Main Menu> Solution> Run FLOTRAN.

9.5.3. Activating the Bingham Model

To activate the Bingham viscosity model, issue the command or choose one of the menu paths shown below:

Command(s): | FLDATA7,PROT,VISC,BING
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Fluid Properties Main Menu> Solution> FLOTRAN Set Up> Fluid Properties

Choosing one of the items shown above automatically issues commands that set output and storage controls and the property variation flag.

To set the coefficients associated with the Bingham model, either use one of the menu paths shown above or issue the following commands:

FLDATA8,NOMI,VISC,Value (specifies the plastic viscosity)
FLDATA9,COF1,VISC,Value (specifies the plastic/yield stress)
FLDATA10,COF2,VISC,Value (specifies the Newtonian viscosity)

The Theory Reference for ANSYS and ANSYS Workbench describes these coefficients.

You can also specify an initial viscosity to accelerate convergence. Typically, you can set this to be the Newtonian viscosity (that is, COF2) via one of the following:

Command(s): | FLDATA12,PROP,VISC,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Fluid Properties Main Menu> Solution> FLOTRAN Set Up> Fluid Properties

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.4. Using Reference Properties 		Up / Home Next
9.6. Using User-Programmable Subroutines


9.6. Using User-Programmable Subroutines

User-programmable subroutines are available for specific heat, density, viscosity, surface tension coefficient, and thermal conductivity of fluid regions. Since the procedures are quite similar, only one property will be described in depth here.

If you wish to use the user-programmable viscosity subroutine, USERVISLAW, you will need to customize it for the particular model you are analyzing. You compile the subroutine, link it with the ANSYS libraries, and make an executable copy available. Then, you can resume the model to be analyzed and activate the viscosity model you have defined. To do so, use one of the following:

Command(s): | FLDATA7,PROT,VISC,USRV (or USER)
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Fluid Properties Main Menu> Solution> FLOTRAN Set Up> Fluid Properties

At this point, you may want to specify that properties are updated every iteration and that you want viscosity output to go to the results file. To do so, issue the following commands or use the following menu paths:

Command(s): | FLDATA12,PROP,UFRQ,1 and FLDATA5,OUTP,VISC,T
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Fluid Properties Main Menu> Solution> FLOTRAN Set Up> Fluid Properties

Next, you need to specify the four coefficients associated with the user-defined viscosity model. To do so, use either of the menu paths shown above or issue the following commands:

Command(s):
FLDATA7,NOMI,VISC,Value (specifies coefficient 1)
FLDATA6,COF1,VISC,Value (specifies coefficient 2)
FLDATA9,COF2,VISC,Value (specifies coefficient 3)
FLDATA10,COF3,VISC,Value (specifies coefficient 4)

These coefficients are available within the UserVisLaw subroutine. By default, this subroutine produces a Power Law viscosity model using the coefficients you define. To see a copy of the subroutine, see the Guide to ANSYS User Programmable Features.

You can also specify an initial viscosity to accelerate convergence, via one of the following:

Command(s): | FLDATA12,PROP,IVISC,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Fluid Properties Main Menu> Preprocessor> FLOTRAN Set Up> Fluid Properties

Once you have specified the coefficients, and, optionally, an initial viscosity, you can solve your model by issuing the SOLVE command or choosing Main Menu> Solution> Run FLOTRAN.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.5. Using the ANSYS Non-Newtonian Flow Capabilities 		Up / Home Next
Chapter 10. FLOTRAN Special Features


Chapter 10. FLOTRAN Special Features

The following FLOTRAN special features are available:

  • Coordinate Systems
  • Rotating Frames of Reference
  • Swirl
  • Distributed Resistance/Source

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.6. Using User-Programmable Subroutines 		Up / Home Next
10.1. Coordinate Systems


10.1. Coordinate Systems

You set the coordinate system via one of the following:

Command(s): | KEYOPT
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Flow Environment> FLOTRAN Coor Sys Main Menu> Solution> FLOTRAN Set Up> Flow Environment> FLOTRAN Coor Sys

The table below shows you how to select various coordinate systems and describes the velocities represented by DOFs VX, VY, and VZ in these systems. The default value of the KEYOPT is zero, which selects Cartesian coordinates.

Figure 10.1 Direction of Positive Swirl Velocity VZ for Axisymmetric Models

Table 10.1 Coordinate System Specification

Coordinate System | KEYOPT(3) | VX | VY | VZ
Cartesian | 0 | X | Y | Z
2-D - Axisymmetric about Y axis | 1 | radial | axial | swirl
2-D - Axisymmetric about X axis | 2 | axial | radial | swirl
2-D - Polar Coordinates | 3 | radial | theta | N/A
3-D - Cylindrical Coordinates | 3 | radial | theta | axial

For axisymmetric problems, the sign convention for the swirl (VZ) component conforms to positive rotation about the axis of symmetry, as defined by the right hand rule. Thus, for a model that is axisymmetric about the Y axis, a nonnegative swirl velocity VZ is considered to be pointing "into the page." Similarly, for a model that is axisymmetric about the X axis, a nonnegative swirl velocity VZ is considered to be pointing "out of the page." This should be accounted for when you apply boundary conditions in rotating coordinates.

Note

Based on the definition of directions for the cylindrical coordinate system, gravity is only appropriate for the Z direction when KEYOPT(3) is set to 3.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 10. FLOTRAN Special Features 		Up / Home Next
10.2. Rotating Frames of Reference


10.2. Rotating Frames of Reference

You can choose to solve your problem in a rotating reference frame. In this case, the velocities are calculated and specified with respect to a coordinate system which is rotating at constant angular velocity. Such an approach is useful for pump blade passage analysis. Figure 10.2: "Rotating Flow Problem" shows a schematic of a rotating problem which requires moving coordinate systems. Figure 10.3: "Problem Schematic with Rotating Coordinate" shows the problem schematic in the rotating coordinate system.

The pressures specified by boundary conditions are in terms of the static pressure observable by the stationary analyst, not in terms of the rotating coordinate system. The transformations necessary to solve the equations in the rotating coordinate frame are done internally.

You can set rotational speeds using any of the following:

Command(s): | CGOMGA
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Flow Environment> Rotating Coords Main Menu> Solution> FLOTRAN Set Up> Flow Environment> Rotating Coords

For all but 3-D Cartesian coordinate systems, you must specify the axis of rotation as being about the Z axis. For 2-D axisymmetric systems, the ANSYS program automatically interprets the specified Z-axis rotation as actually acting about the correct axis of symmetry (that is, about either the X or Y axis). For 3-D Cartesian geometries, the rotational axis need not be in the same direction as one of the principal axes of the global coordinate system, and may be offset from the origin of the global coordinate system.

To specify offsets for the axis of rotation, use one of the following:

Command(s): | CGLOC
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Flow Environment> Rotating Coords Main Menu> Solution> FLOTRAN Set Up> Flow Environment> Rotating Coords

Figure 10.2 Rotating Flow Problem

Figure 10.3 Problem Schematic with Rotating Coordinate

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.1. Coordinate Systems 		Up / Home Next
10.3. Swirl


10.3. Swirl

Swirl applies only to axisymmetric problems and refers to motion perpendicular to the X-Y plane. To activate swirl, choose one of the following:

Command(s): | FLDATA1,SOLU,SWIRL,TRUE
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Solution Options Main Menu> Solution> FLOTRAN Set Up> Solution Options

Either a moving wall (for instance, a rotating shaft) or a component of swirl at an inlet can cause the motion in the swirl direction (with velocity component VZ).

In a swirl problem, there are no changes in the "theta" direction since it is axisymmetric.

The swirl component is calculated through solution of the momentum equation in the swirl direction. With no pressure gradient in the swirl direction, nothing contributes to the swirl velocity directly from the velocity update step in the segregated solution algorithm. It is thus sometimes useful to accelerate the convergence of swirl problems by solving the momentum in the swirl direction equation with a relaxation factor of 1.0 for a few global iterations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.2. Rotating Frames of Reference 		Up / Home Next
10.4. Distributed Resistance/Source


10.4. Distributed Resistance/Source

Distributed resistances are macroscopic representations of geometric features not directly concerned with the region of interest and considered too detailed for exact representation. A typical example is pipe flow which encounters a screen.

You apply distributed resistance on an element basis through the use of real constants. See the Elements Reference for the formulation and the list and meaning of the real constants.

Since the distributed resistance parameters will describe the known behavior of the flow in the region, the use of the turbulence model is redundant. You should deactivate it in the distributed resistance region by setting ENKE to 0.0 and ENDS to 1.0.

To do so, choose one of the following:

Command(s): | D
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Fluid/CFD> Turbulence> On Nodes Main Menu> Solution> Define Loads> Apply> Fluid/CFD> Turbulence> On Nodes

The distributed resistances referred to above are used to describe losses to the system. You can model momentum sources in similar fashion. Such sources can be used to represent fans or pumps in a system. Typical characterization of these components is a "Head-Capacity Curve," representing the pressure rise as a function of flow for a constant speed pump. The fan or pump model is not intended to describe the details of the flow in the pump region, but rather to approximate its effects on the rest of the system. You can use any coordinate system or FLOTRAN element shape, but Cartesian coordinate systems with hex shaped elements in three dimensions and quadrilateral elements in two dimensions tend to give more stable results.

The fan model input takes the form of element real constants, and is described in detail in the Elements Reference.

The ANSYS program supports two types of fan model. A "Type Four" fan model acts only along a specific coordinate direction, while a "Type Five" model enables the user to align the fan or pump in an arbitrary direction. Coefficients are assigned for each coordinate direction.

The equation for the fan model is in terms of a pressure gradient applied in the direction of flow. You therefore must know over what length the fan model is to be applied in order to achieve the correct total pressure rise. The relationship defining the momentum source for an arbitrary direction "s" is as follows:

In the above equation, V is the velocity through the fan. If the given data is in terms of volumetric flow, you must know the area of the actual pump. The actual velocity at the outlet of the pump as well as the volumetric flow rate should be preserved. Consistent units must be used, that is, the gravitational conversion constant must be 1.0. If, for example, the pressure drop is in psi, the velocity units are in/sec.

Generally, you determine the fan or pump coefficients by taking three pairs of pressure-velocity points on the "fan curve" and solving for the coefficients. If the flow is to be in the negative direction, the signs of all the coefficients change.

The type 5 model is used for pumps not aligned with one of the coordinate directions. Given V as the velocity in the S arbitrary direction and the pump constants C1, C2, and C3; the directional coefficients can be calculated.

If θx is the angle between the arbitrary direction S and the x coordinate direction, the directional constants are:

Similarly, if θy and θz are defined as the angles between the fan direction and the y and z coordinate direction respectively:

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.3. Swirl 		Up / Home Next
Chapter 11. FLOTRAN CFD Solvers and the Matrix Equation


Chapter 11. FLOTRAN CFD Solvers and the Matrix Equation

In the sequential solution algorithm, you have three options for solving equations sets for degrees of freedom:

  1. A fast, approximate solver

    This solver, the Tri-Diagonal Matrix Algorithm (TDMA), performs a user-specified number of iterations through the problem domain.

  2. "Exact" solvers

    The "exact" methods are semi-direct conjugate direction methods that iterate to a specified convergence criterion.

    These methods are:

    • The Conjugate Residual (CR), Preconditioned Conjugate Residual (PCCR), Preconditioned Generalized Minimum Residual (PGMR), and Preconditioned BiCGStab (PBCGM) methods for non-symmetric matrix equations.

    • The preconditioned conjugate gradient method for the incompressible pressure equation.

  3. Sparse Direct solver

    This solver uses Gaussian elimination to factorize the matrix and then uses backward/forward substitution to solve for the unknowns.

You choose the method for each DOF via one of the following:

Command(s): | FLDATA18,METH,Label,Value (Label = DOF)
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> CFD Solver Controls> PRES Solver CFD Main Menu> Solution> FLOTRAN Set Up> CFD Solver Controls> PRES Solver CFD

Valid choices are: 1 (TDMA), 2 (conjugate residual), 3 (preconditioned conjugate residual or gradient), 4 (preconditioned generalized minimum residual), 5 (sparse direct), or 6 (preconditioned BiCGStab). A choice of 0 indicates that the equation set is not to be solved. The preconditioned conjugate gradient method automatically applies to the incompressible pressure equation for choices 2 or 3.

The default solver (TDMA) for the velocities and the turbulence equations is adequate for virtually every problem encountered. The number of sweeps (iterations) for the velocity is 1. Do not change this value. Experience has shown that the default number of 10 sweeps for the turbulence equations is most efficient although you can increase this number to see if better convergence is attained for a particular application.

In general, the solution of the pressure equation must be accurate and conjugate direction methods are used. However, the TDMA method can be successful for natural convection flows. The sections for the various types of analyses discuss where to use solvers other than the default choices.

The following FLOTRAN CFD solver topics are available:

  • Tri-Diagonal Matrix Algorithm
  • Semi-Direct Solvers
  • Sparse Direct Method

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.4. Distributed Resistance/Source 		Up / Home Next
11.1. Tri-Diagonal Matrix Algorithm


11.1. Tri-Diagonal Matrix Algorithm

You set the number of sweeps for the TDMA solver using one of the following:

Command(s): | FLDATA19,TDMA,Label,Value (Label = DOF)
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> CFD Solver Controls> desired DOF solver Main Menu> Solution> FLOTRAN Set Up> CFD Solver Controls> desired DOF solver

In the GUI, you do not have access to this command unless the TDMA method has been requested for that DOF. It is not available in the GUI at all for velocities.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 11. FLOTRAN CFD Solvers and the Matrix Equation 		Up / Home Next
11.2. Semi-Direct Solvers


11.2. Semi-Direct Solvers

You can gauge the performance of the semi-direct solvers by the behavior during the solution process of the inner product of the residuals, referred to as RTR (or ZTR for the incompressible pressure equation.) RTR should be reduced during the global iteration to a fraction, typically 1.0 x 10-7 of its initial value.

The fraction is the convergence criterion for the semi-direct methods, set with one of the following:

Command(s): | FLDATA21,CONV,Label,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> CFD Solver Controls> desired DOF solver Main Menu> Solution> FLOTRAN Set Up> CFD Solver Controls> desired DOF solver

To set the maximum number of iterations allowed during a global iteration, choose one of the following:

Command(s): | FLDATA22,MAXI,Label,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> CFD Solver Controls> desired DOF solver Main Menu> Solution> FLOTRAN Set Up> CFD Solver Controls> desired DOF solver

Data concerning how the semi-direct solvers are performing appears in the text file Jobname.DBG for every DOF for which they are used, generally PRES, TEMP, or both.

The semi-direct algorithms may conclude in three different ways: convergence is achieved, the maximum number of iterations has been reached without convergence, or the solution has stalled.

If the maximum number has been reached without convergence, more iterations may be required (for example, in a large or ill-conditioned problem). If so, increase the maximum number of iterations. The maximum number also may be reached if the convergence criterion has been set to a very small value (for example, less than 1.0 x 10-15), in which case the convergence criterion should be eased. It may also, however, mean that the solution is diverging. If so, large values of RTR or ZTR (perhaps above 1.0 x 1020) will appear in the debug file; but increasing the number of iterations will not help.

Stall occurs when the new iteration makes no progress towards the solution but the convergence criterion has not been achieved. If the rate of change is small enough the solution process stops.

Note

You specify the rate of change which leads to termination of the solver by using one of the following:

Command(s): | FLDATA23,DELT,Label,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> CFD Solver Controls> desired DOF solver Main Menu> Solution> FLOTRAN Set Up> CFD Solver Controls> desired DOF solver

The label refers to the DOF being solved. Stall can occur in the solution of the compressible pressure equation or in the solution of the temperature equation of some conjugate heat transfer problems. The value of RTR does not decrease significantly and at the last iteration the value of DelMax is less than the value you specified. This means that the solution is essentially not changing, and further computational effort is wasted.

You can resolve a stall situation by increasing the number of search directions or using inertial relaxation. To increase search directions, either use one of the menu paths described above (with the FLDATA23,DELT command), or issue the following command:

Command(s):

FLDATA20,SRCH,Label,Value

The default value is 2, appropriate for well conditioned problems. The number of search directions required may vary widely among problems. Values of 20 may be required, but be aware that each search direction specified requires N compute storage locations in memory. (N is the number of finite element nodes in the problem). The computer storage required for large values of SRCH could exceed the computational resources available, in which case inertial relaxation should be used.

Figure 11.1: "Typical Debug Files" shows typical debug files.

Figure 11.1 Typical Debug Files

11.2.1. Preconditioned Generalized Minimum Residual (PGMR) Solver

The PGMR method uses fill-in when constructing the L and U decomposition matrices. The PGMR method is a version of the generalized minimum residual method that uses an LU preconditioning to transform the system of equations into a set easier to solve. As with the PCCR method, the coefficient matrix is decomposed into an approximate LU product. In the PCCR method, the sparsity pattern of the original matrix is preserved in the L and U matrices.

Accordingly, when you are using the Preconditioned Generalized Minimum Residual (PGMR) solver, you need to specify the amount of fill-in. You must also specify the number of search vectors.

The fill-in value represents the number of extra elements allowed in each row of the L and U decomposition matrices. An extra element is defined as being in addition to the number of nonzero elements in the row of the original matrix.

There are two PGMR algorithms available for FLOTRAN. The choice is automatically made by the program. The difference lies in the "fill-in". It is only required and only available for the PRES and TEMP degrees of freedom.

To specify the amount of fill-in, use either of these methods:

Command(s): | FLDATA20A,PGMR,Label,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> CFD Solver Controls> desired DOF solver Main Menu> Solution> FLOTRAN Set Up> CFD Solver Controls> desired DOF solver

The allowable range for fill-in is 1 to 10. The default value is 6. A single fill-in value is input for all applicable DOF.

For some problems, it is unnecessary to obtain an exact solution to the energy equation every global iteration. To save some time, you can then employ the foregoing command with a Label of MODP. You use it to specify a number of global iterations performed using the TDMA method between global iterations performed using the PGMR method for the temperature DOF.

The number of search directions required may vary widely among problems. If large values of SRCH result in the required computer storage exceeding the computational resources, inertial relaxation should be used. To specify the number of search vectors, use either of these methods:

Command(s): | FLDATA20,SRCH,Label,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> CFD Solver Controls> desired DOF solver Main Menu> Solution> FLOTRAN Set Up> CFD Solver Controls> desired DOF solver

For the PGMR solver, the allowable range of search vectors is 12 to 20. The default value is 12.

The PGMR method is not recommended for velocity DOF.

The output associated with the solver is recorded in the Jobname.OUT file for non-FLOTRAN analyses. The FLOTRAN iterative solver output is recorded in the jobname.dbg file.

The fact that the PGMR solver is being used is indicated in the Jobname.DBG file. The file shows if convergence is reached, the maximum number of iterations is reached without convergence, or the solution is stalled.

The PGMR method output is in the same form as that provided in the jobname.out file for non-FLOTRAN analyses. The NORM referred to in the Jobname.OUT file is the square root of the convergence criterion specified in the FLOTRAN input. For example, a EQSLV command solver tolerance value of 1.E-5 corresponds to the FLOTRAN default convergence criterion value of 1.E-10.

The PGMR method can fail for the following reasons:

  • The problem is ill-conditioned.

  • The problem is improperly formulated.

  • The specified convergence criterion is too tight.

  • An insufficient number of iterations is specified.

If the PGMR method stalls, it may be because the problem is ill-conditioned or improperly formulated. If the problem is ill-conditioned, you can control several parameters to enhance performance. You can increase the amount of fill-in or the number of search vectors. You can also use inertial relaxation. If the problem is improperly formulated, there may be an input error or the boundary conditions may be applied incorrectly. You need to check the input parameters and boundary conditions to ensure that they are accurate.

FLOTRAN does not allow a convergence criterion less restrictive than the default value. You can enter a higher value, but FLOTRAN issues a warning message and changes it to the default value.

If the maximum number of iterations has been reached without convergence, it may mean more iterations are required. This could be the case if you see that the Norm has been lowered, but it is not quite to the target. If so, you can try increasing the maximum number of iterations.

If the PGMR method converges and the results are questionable, reduce the convergence criterion below the default value of 1.E-10. A convergence criterion as low as 1.E-20 may be necessary for some problems.

11.2.2. Preconditioned BiCGStab (PBCGM) Solver

The PBCGM method is a version of the generalized bi-conjugate gradient method that uses two sets of vectors constructed from both the coefficient matrix and its real transpose matrix by making them orthogonal to each other. At each iteration, a new vector is first generated orthogonal to some user-specified number of previous vectors (search directions) from the basis of the real transpose matrix. A minimization procedure is then used to stabilize the numerical procedure. Similar to PGMR, the PBCGM method uses fill-in when constructing the L and U decomposition matrices. This preconditioning procedure transforms the system of equations into a set easier to solve by decomposing the coefficient into an approximate LU product.

Accordingly, when you are using the Preconditioned BiCGStab (PBCGM) solver, you need to specify the amount of fill-in. You must also specify the number of search vectors.

The fill-in value represents the number of extra elements allowed in each row of the L and U decomposition matrices. An extra element is defined as being in addition to the number of nonzero elements in the row of the original matrix.

There are two PBCGM algorithms available for FLOTRAN. The difference lies in the fill-in value. When it is specified to be zero, the algorithm is parallelized except the LU preconditioning part. For other fill-in values, the algorithm is not parallelized at all.

To specify the amount of fill-in, use the following command or menu path:

Command(s): | FLDATA20B,PBCGM,Label,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> CFD Solver Controls> desired DOF solver Main Menu> Solution> FLOTRAN Set Up> CFD Solver Controls> desired DOF solver

The allowable range for fill-in is 0 to 10. The default value is 6. A single fill-in value is input for all applicable DOF.

The number of search directions required may vary widely among problems. If large values of SRCH result in the required computer storage exceeding the computational resources, use inertial relaxation. In practice, you should usually use a value of 1 or 2 in order to save the memory storage. To specify the number of search vectors, use the following command or menu path:

Command(s): | FLDATA20,SRCH,Label,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> CFD Solver Controls> desired DOF solver Main Menu> Solution> FLOTRAN Set Up> CFD Solver Controls> desired DOF solver

For the PBCGM solver, the allowable range of search vectors is 1 to 8. The default value is 2.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
11.1. Tri-Diagonal Matrix Algorithm 		Up / Home Next
11.3. Sparse Direct Method


11.3. Sparse Direct Method

The Sparse Direct method is memory intensive and you should only use it if all other methods have failed. This method produces intermediate files during matrix factorization and it is difficult to predict the memory required. Ensure enough hard disk space exists for intermediate files.

If you choose the Sparse Direct method for the VX, VY, or VZ DOFs, FLOTRAN will reset the method to Preconditioned Conjugate Residual (PCCR). The Sparse Direct method is not suitable for the velocity degrees of freedom.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
11.2. Semi-Direct Solvers 		Up / Home Next
Chapter 12. Coupling Algorithms


Chapter 12. Coupling Algorithms

"FLOTRAN CFD Solvers and the Matrix Equation" describes the linear solvers available to solve each individual equation. To obtain a final solution, you must usually account for the coupling between the individual equations. In FLOTRAN, this nonlinear coupling is handled in a segregated or decoupled manner. The coupling algorithms belong to a general class referred to as the Semi-Implicit Method for Pressure Linked Equations (SIMPLE). For more information on this general class of algorithms, see S.V. Patankar, D.B. Spalding, ("A calculation procedure for heat, mass and momentum transfer in 3-D parabolic flows," International Journal of Heat and Mass Transfer, Vol 15, pp. 1787-1806, 1972).

To handle the coupling between the pressure and momentum equations, there are two segregated solution algorithms: SIMPLEF and SIMPLEN. For many years, SIMPLEF was the sole pressure-velocity coupling algorithm. It was developed by R.J. Schnipke and J.G. Rice ("Application of a new finite element method to convection heat transfer," Fourth International Conference on Numerical Methods in Thermal Problems, Swansea, U.K., July 1985). The SIMPLEF algorithm has been improved by utilizing some ideas from the SIMPLEC algorithm developed by J.P. Van Doormaal and G.D. Raithby ("Enhancements of the SIMPLE method for predicting incompressible fluid flows," Numerical Heat Transfer, Vol. 7, pp. 147-163, 1984). To improve the rate of convergence, the SIMPLEN algorithm has been added to FLOTRAN. It was developed by G. Wang ("A fast and robust variant of the SIMPLE algorithm for finite-element simulations of incompressible flows," Computational Fluid and Solid Mechanics, Vol. 2, pp. 1014-1016, Elsevier, 2001).

SIMPLEF is the default algorithm. To activate the SIMPLEN algorithm, use one of the following:

Command(s): | FLDATA37
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Algorithm Control Main Menu> Solution> FLOTRAN Set Up> Algorithm Control

The following coupling algorithm topics are available:

  • Algorithm Settings
  • Performance

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
11.3. Sparse Direct Method 		Up / Home Next
12.1. Algorithm Settings


12.1. Algorithm Settings

In general, FLOTRAN automatically set defaults suited for the two segregated algorithms. However, for some problems, you may need to reset the advection scheme, solver choice, or relaxation factors.

12.1.1. Advection Scheme

You can discretize the advection term using three approaches: Monotone Streamline Upwind (MSU), Streamline Upwind/Petrov-Galerkin (SUPG), or Collocated Galerkin (COLG). Refer to "Advection Discretization Options" for information on how to select a proper advection scheme.

Refer to the following table for a list of the defaults.

Table 12.1 Advection Scheme Defaults

Transport Equation | SIMPLEF Algorithm | SIMPLEN Algorithm
Momentum | SUPG | SUPG
Turbulence | SUPG | MSU
Pressure | MSU | MSU
Energy | SUPG | SUPG
Species | SUPG | SUPG

12.1.2. Solver

For the SIMPLEF algorithm, the TDMA solver is the default for the momentum and turbulence equations. None of the other solvers will improve the overall rate of convergence. Even when exact solutions are obtained on those individual equations, the overall rate of convergence will not improve. This is due to weak coupling between the pressure and momentum equations.

For the SIMPLEN algorithm, the overall rate of convergence can be improved considerably when more exact solutions are obtained for each individual equation. Therefore, when SIMPLEN is activated, FLOTRAN automatically resets the solver option to the preconditioned BiCGStab method (PBCGM) for the momentum, turbulence and energy equations. Furthermore, it will reset the fill-in parameter for PBCGM to zero for computational efficiency.

12.1.3. Relaxation Factors

Due to the nonlinear coupling between equations, in order to stabilize the overall solution procedure, relaxation is usually necessary to moderate changes from one global iteration to the next. Experience indicates that relaxation factors greater than 0.5 for the velocity and pressure degrees of freedom will generally cause instability and divergence for the SIMPLEF algorithm. On the other hand, the SIMPLEN algorithm provides more consistent coupling between the pressure and velocity degrees of freedom. For incompressible flow problems, SIMPLEN removes the need for relaxation for the pressure equation and allows a relaxation factor close to 1.0 for the momentum equations. For compressible flow problems, relaxation is usually needed for the pressure equation in order to obtain a convergent solution. The default for SIMPLEF is 0.5 for the pressure and velocity degrees of freedom. When SIMPLEN is activated, FLOTRAN automatically resets the relaxation factor to 1.0 for the incompressible pressure equation, 0.5 for the compressible pressure equation, and 0.8 for the momentum equations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 12. Coupling Algorithms 		Up / Home Next
12.2. Performance


12.2. Performance

Table 12.2: "SIMPLEF and SIMPLEN Performance Results" presents results for laminar flow in a 2-D square cavity. The Reynolds number is 100 based on the length of the cavity side and the velocity at the top. The uniform grid consists of 322 = 1024 elements.

Table 12.2 SIMPLEF and SIMPLEN Performance Results

 | SIMPLEF | SIMPLEN
RELX | 0.5 | 0.8 | 0.9 | 0.95 | 0.98 | 0.99
Iter. No. | 325 | 153 | 81 | 66 | 114 | 176
CPU (sec) | 12.9 | 7.2 | 4.0 | 3.3 | 5.7 | 8.9

For the SIMPLEN algorithm , the total number of global iterations and the computational time decrease as the relaxation factor (RELX) increases from 0.8 to 0.95. As RELX increases above 0.95, the iteration number and computational time increase. The optimal RELX value is 0.95. At this value, the SIMPLEN convergence rate is about 4 times faster than SIMPLEF. The SIMPLEN computational time is about 1/4 of the SIMPLEF computational time.

Results for a finer mesh of 1282 = 16,384 elements show an even better SIMPLEN performance. At an optimal RELX value of 0.99, the SIMPLEN computational time is about 1/40 of the SIMPLEF computational time.

SIMPLEN significantly improves the rate of convergence if pressure-velocity coupling dominates the convergence. If other factors affect the overall rate of convergence, SIMPLEN will not increase the rate of convergence as significantly. However, for those problems, SIMPLEN will generally be more robust than SIMPLEF, and it will usually give a better convergence behavior. For more comparisons, see Wang G., "A fast and robust variant of the SIMPLE algorithm for finite-element simulations of incompressible flows," Computational Fluid and Solid Mechanics, vol. 2, pp. 1014-1016, Elsevier, 2001.

Below is the command input listing used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/title, Lid driven cavity flow analysis using SIMPLEF/SIMPLEN algorithms
NDL  = 32                        ! Number of line divisions
MU   = 0.010                     ! Fluid viscosity
RHO  = 1.0
L    = 1.0
sL   = 1.0e-8
Vel  = 1.000
niter = 10000

/PREP7
et,1,141                          ! 2-D XY system
esha,2                            ! Quad elements
rect,,L,,L
lesi,all,,,NDL
amesh,1
alls
! Apply Boundary Conditions
nsel,s,ext                        ! Wall boundary conditions
d,all,vx
d,all,vy
nsel,r,loc,y,L-sL,L+sL            !top
d,all,vx,vel
d,all,vy
d,all,enke,-1
alls
d,1,PRES
fini
save

/SOLU                             ! SIMPLEF algorithm
flda,iter,exec,niter              ! No. of global iterations
flda,nomi,visc,MU
flda,nomi,dens,RHO
flda,term,pres,1.e-6
solve
fini
/delete,,rfl

/SOLU                              ! SIMPLEN algorithm
flda,algr,segr,simplen
solve
fini
/delete,,rfl

/SOLU
flda,relx,vx,0.9
flda,relx,vy,0.9
solve
fini
/delete,,rfl

/SOLU
flda,relx,vx,0.95
flda,relx,vy,0.95
solve
fini
/delete,,rfl

/SOLU
flda,relx,vx,0.98
flda,relx,vy,0.98
solve
fini
/delete,,rfl

/SOLU
flda,relx,vx,0.99
flda,relx,vy,0.99
solve
fini

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.1. Algorithm Settings 		Up / Home Next
Chapter 13. Multiple Species Transport


Chapter 13. Multiple Species Transport

The multiple species transport capability enables you to track several different fluids at once, subject to the limitation that a single momentum equation is solved for the flow field. Transport equations are solved for each species. The properties used in the momentum equation can be those of a "main" fluid, a "bulk" fluid (dilute mixture analysis), or a combination of component fluids. Momentum effects such as advection and diffusion cause the fluid transport.

The following restrictions apply to this type of analysis:

  • Currently, no reactions are modeled among the species.

  • Solid model boundary /initial conditions are not supported for species mass fractions.

  • Also, you must postprocess multiple species results by issuing commands instead of via the GUI.

The following multiple species transport topics are available:

  • Mixture Types
  • Doing a Multiple Species Analysis
  • Doing a Heat Exchanger Analysis Using Two Species
  • Example Analysis Mixing Three Gases

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.2. Performance 		Up / Home Next
13.1. Mixture Types


13.1. Mixture Types

In terms of property variations, the strategies for solving multiple species problems parallel those for thermal problems. The key issue is determining how large a mass fraction of the overall flow field the species to be traced represents. You can choose among three mixture types for analysis: dilute mixture, composite mixture, and composite gas. For each mixture type, the properties may be a function of temperature.

13.1.1. Dilute Mixture Analysis

In a dilute mixture analysis, small mass fractions of species fluids are tracked in a flow field, and the species properties do not significantly influence the flow field. The fluid properties are set and the bulk fluid analysis proceeds as in any other FLOTRAN analysis. You solve the transport equations for species using the bulk density and the velocities from the bulk fluid analysis.

If the analysis problem is isothermal or the properties are assumed not to vary with temperature, you can converge the flow field completely before the species transport option is activated. The number of species to be solved is a feature of the element and is controlled via a key option on the element. The appropriate KEYOPT setting must be defined during the PREP7 phase of the analysis. Once the element type and number of species has been set, the multiple species input commands (e.g., MSSPEC) can be issued from either PREP7 or SOLUTION phases. However, the multiple species menus are accessible only from PREP7.

To activate multiple species transport, use one of the following:

Command(s): | FLDATA1,SOLU,SPEC,T
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Solution Options Main Menu> Solution> FLOTRAN Set Up> Solution Options

13.1.2. Composite Mixture Analysis

A composite mixture analysis calculates the properties used in the solution from a linear combination of the species, weighted by mass fraction as a function of space. The solution of the momentum equation depends on the species distribution, so the momentum and transport equations are strongly coupled.

You initialize the species mass fractions using either the MSNOMF command (which has no GUI menu equivalent) or (typically for a transient analysis) one of the following:

Command(s): | IC,Label,Value
GUI: | Main Menu> Preprocessor> Loads> Analysis Type> Analysis Options Main Menu> Solution> Define Loads> Apply> Initial Condit'n> Define

The mass fractions specified must add up to 1.0. To activate the composite mixture option for an individual property, use one of the following:

Command(s): | FLDATA7,PROT,Label,CMIX
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Fluid Properties Main Menu> Solution> FLOTRAN Set Up> Fluid Properties

13.1.3. Composite Gas Analysis

In a composite gas analysis, at each node the fluid density is calculated as a function of the mass fractions and molecular weights of the gases:

In the equation above:

  • R is the Universal Gas constant. You can set it using one of the following:

    Command(s): MSDATA
    GUI: Main Menu> Preprocessor> FLOTRAN Set Up> Multiple Species

  • Mi is the molecular weight of the ith species. You set this weight using one of the following:

    Command(s): MSSPEC
    GUI: Main Menu> Preprocessor> FLOTRAN Set Up> Multiple Species

  • N is the total number of species defined.

  • P is pressure degree of freedom (PRES).

  • T is the absolute temperature (TEMP).

To invoke the composite gas option for the bulk fluid, use one of the following:

Command(s): | FLDATA7,PROT,DENS,CGAS
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Fluid Properties Main Menu> Solution> FLOTRAN Set Up> Fluid Properties

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 13. Multiple Species Transport 		Up / Home Next
13.2. Doing a Multiple Species Analysis


13.2. Doing a Multiple Species Analysis

The procedure for a multiple species analysis has six steps:

  1. Establish the number of species to model and assign species names.

  2. Designate an algebraic species.

  3. Adjust output format if desired.

  4. Set properties.

  5. Specify boundary conditions and nominal mass fractions.

  6. Set relaxation and solution parameters for the solution of the transport equations (if necessary).

13.2.1. Establish the Species

To set the number of species, use one of these methods:

Command(s): | KEYOPT,1,1,n (n = number of species (at least 2, but no more than 6))
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Multiple Species

To name each species, use the menu paths shown above or the following command:

Command(s):

MSSPEC

FLOTRAN uses these names for assigning boundary conditions and in postprocessing listings and plots. The default names for species are SP01, SP02, and so on.

13.2.2. Choose an Algebraic Species

The transport equations solve for the mass fractions of each species. You must choose one as the algebraic species, using the value set by the ALGEB argument or one of the following:

Command(s): | MSDATA
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Multiple Species

The transport equation for the algebraic species is not solved, but its concentration as a function of space is calculated by ensuring that the mass fractions of all the species add up to 1.0 everywhere.

Note

The MSDATA command also sets the universal gas constant. Every issuance of the command sets both numbers.

13.2.3. Adjust Output Format

You can set the format of the convergence monitors on the file Jobname.PFL to list columns of values for all the degrees of freedom for a single iteration. (This also affects the ANSYS output file.) To adjust output, use one of the following:

Command(s): | FLDATA6
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Additional Out> Print Controls Main Menu> Solution> FLOTRAN Set Up> Additional Out> Print Controls

13.2.4. Set Properties

For a dilute mixture analysis, set the bulk property type as appropriate (CONSTANT, Liquid, etc.).

If the bulk properties are to be a linear combination of the species properties, set the bulk property type to CMIX. For example, you would use the following command:

Command(s):

FLDATA7,PROT,Label,Type

In the preceding command, Label can be DENS, VISC, COND, or SPHT, and Type is CMIX. If Label = DENSE, Type may be CGAS. Using CGAS requires you to enter a molecular weight for the gas via the MSSPEC command or its equivalent GUI path.

You handle individual species property variations the same way, and with the same options as, the bulk fluid. The CONSTANT, LIQUID, and GAS fluid types are available. Specify them, along with coefficients, using one of the following:

Command(s): | MSPROP
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Multiple Species

For all analyses, you must enter the mass diffusion coefficient data for each species. For a dilute mixture, the density is the only other relevant property because the bulk or main fluid properties govern the solution of the momentum equation. For the CMIX and CGAS options, you need to specify density and viscosity using MSPROP or an equivalent menu path. Also specify conductivity if the energy equation is to be solved.

The form of the diffusion term is:

The value Dmi is the diffusion coefficient, and Yi is the mass fraction being solved.

Sometimes, the available data is expressed as a Schmidt number. The following equality enables expression of the diffusion portion of transport in terms of laminar viscosity µ, the density ρ, and the Schmidt number:

Note

The input must be in terms of the mass diffusion coefficient, not the Schmidt number. The Schmidt number relating the diffusion coefficient to the density and viscosity differs from the turbulent Schmidt number discussed below.

In addition, the flow field may be turbulent. Another representation of the diffusion term, this time including the effect of the turbulent viscosity µ, is:

The quantity SCTi is the turbulent Schmidt number, which you specify via one of the following:

Command(s): | MSSPEC
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Multiple Species

The normal default value of 1.0 is sufficient unless you want to regulate explicitly the effect of turbulence on the transport.

13.2.5. Specify Boundary Conditions

The default boundary condition is zero gradient of the mass fraction at the boundaries. You can specify the mass fraction at a boundary, such as the inlet, by entering the species name in the LAB field of one of the following:

Command(s): | D
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Fluid/CFD> Displacement> On Nodes Main Menu> Solution> Define Loads> Apply> Fluid/CFD> Displacement> On Nodes

Initialize the mass fractions for every species, including the algebraic species. The fractions must sum to 1.0.

13.2.6. Set Relaxation and Solution Parameters

Relaxation factors for the property calculations and the mass fraction update default to 0.5. To change the factors, use one of the following:

Command(s): | MSRELAX
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Multiple Species

You can set modified inertial relaxation factors for multiple species. To do so, use one of the following:

Command(s): | MSMIR,SPNUM,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Multiple Species

A larger modified inertial relaxation factor gives a more robust scheme, but it may yield a slower convergence. The recommended range is 0.1 to 1.0.

You can change parameters for the algebraic solvers for the transport equation and choose a solver by using one of the following commands or menu paths:

Command(s): | MSSOLU, MSMETH
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Multiple Species

Activating mass fraction capping is recommended to prevent intermediate calculations from producing unrealistic results. Use either of the following for each species:

Command(s): | MSCAP
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Multiple Species

Finally, you activate the multiple species option using one of the following:

Command(s): | FLDATA1,SOLU,Spec,T
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Solution Options Main Menu> Preprocessor> FLOTRAN Set Up> Solution Options

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.1. Mixture Types 		Up / Home Next
13.3. Doing a Heat Exchanger Analysis Using Two Species


13.3. Doing a Heat Exchanger Analysis Using Two Species

Although FLOTRAN permits only one fluid region to correspond to material number 1 (using the command MAT,1 or an equivalent GUI path), you can simulate multiple fluids within this restriction. To do so, you set all fluid property types to CMIX, then set the appropriate species mass fraction to 1.0 in a particular region. These settings enable all properties in that region to correspond to that of species with mass fraction 1.0. For such multiple fluid simulations, the mass fractions must remain constant throughout the analysis; that is, the analysis should not turn on the species solution.

A typical heat exchanger analysis consists of two fluids flowing in opposite directions, separated by a wall as shown in Figure 13.1: "Environment for a Typical Heat Exchanger Analysis":

Figure 13.1 Environment for a Typical Heat Exchanger Analysis

The sample command stream that follows shows you how to set up the model shown in Figure 13.1: "Environment for a Typical Heat Exchanger Analysis", apply boundary conditions, set up appropriate properties, etc. It is important to note that, although two species are defined, the species transport has not been activated. In addition, all fluid properties must be declared variable so that the initial value (the same in regions 1 and 2) is reset based on the mass fraction.

/BATCH,LIST
/tit,heat exchanger problem
!two different fluids separated by a solid wall
!cartesian geometry, pressure-driven flow
!solve by 2 species
LX    = 10                          ! Length in X direction
NDX   = 10                          ! Number of X divisions
LY1   = 2                           ! fluid 1 width
LY2   = 0.1                         ! solid width
LY3   = 1.0                         ! fluid 2 width
NDY1  = 10
NDY2  = 3
NDY3  = 10
YOFFSET = 0   								   !offset from X-axis
/prep7 $smrt,off
et,1,141                            ! 2-D XY system
!species
keyopt,1,1,2                        ! 2 species
!axisymm
!keyopt,1,3,2                       !use for axisymm RY system only
esha,2                               			   !Quad elements
rect,,LX,YOFFSET,YOFFSET+LY1                  !fluid 1 area
rect,,LX,YOFFSET+LY1,YOFFSET+LY1+LY2   		   !solid area
rect,,LX,YOFFSET+LY1+LY2,YOFFSET+LY1+LY2+LY3` !fluid 2 area
nummrg,all
numcmp,all
lsel,s,,,3,9,3
lsel,a,,,1
lesi,all,,,NDX,

lsel,s,,,2,4,2
lesi,all,,,NDY1,-5.0
lsel,s,,,5,7,2
lesi,all,,,NDY2,-5.0
lsel,s,,,8,10,2
lesi,all,,,NDY3,-5.0
allsel
mat,1             !for fluids material must be 1
amesh,1           !mesh fluid 1 region
amesh,3           !mesh fluid 2 region
mat,2             !for solid set material to 2
amesh,2           !mesh solid region
!inner region 1
!bc inlet
lsel,s,,,4
nsll,s,1
d,all,pres,10     !inlet pressure & temp specified for fluid 1
d,all,temp,100
!bc outlet
lsel,s,,,2
nsll,s,1
d,all,pres,0.     !outlet pressure specified for fluid 1
!symm
lsel,s,,,1
nsll,s,1
d,all,vy,0        !symmetry surface for fluid 1 only
!region 2
!bc inlet
lsel,s,,,8
nsll,s,1
d,all,pres,10.    !inlet pressure & temp specified for fluid 2
d,all,temp,400
!bc outlet
lsel,s,,,10
nsll,s,1
d,all,pres,0.     !outlet pressure specified for fluid 2
!top wall
lsel,s,,,9
nsll,s,1
d,all,vx,0        !wall boundary conditions
d,all,vy,0
allsel
!solid properties
mp,dens,2,5.      !specify solid region 3 properties
mp,kxx,2,100
mp,c,2,13
/SOLU
!ic for species
nsel,s,loc,x,,lx  					  !select nodes for fluid 1
nsel,s,loc,y,o,ly1
ic,all,sp01,1.0    					  !set mass fraction for fluid 1
ic,all,sp02,0.0
nsel,s,loc,x,,lx
nsel,s,loc,y,ly1+ly2,ly1+ly2+ly3  !select nodes for fluid 2
ic,all,sp01,0.0                   !set mass fraction for fluid 2
ic,all,sp02,1.0
allsel
FLDA,ITER,EXEC,200
FLDA,PROT,DENS,CMIX         ! Fluid density
FLDA,PROT,VISC,CMIX         ! Fluid viscosity
FLDA,PROT,COND,CMIX         ! Fluid conductivity
FLDA,PROT,SPHT,CMIX         ! Fluid specific heat
flda,vary,dens,t            !all properties MUST be variable
flda,vary,visc,t
flda,vary,cond,t
flda,vary,spht,t
FLDA,NOMI,DENS,1.0          ! initial density for all fluid region
FLDA,NOMI,VISC,2.0          ! initial viscosity for all fluid region
FLDA,NOMI,COND,3.0          ! initial conductivity for all fluid region
FLDA,NOMI,SPHT,4.0          ! initial specific heat for all fluid region
msprop,1,spht,constant,1    !sp heat for fluid 1
msprop,2,spht,constant,2    !sp heat for fluid 2
msprop,1,dens,constant,1    !density for fluid 1
msprop,2,dens,constant,2    !density for fluid 2
msprop,1,visc,constant,1.0  !viscosity for fluid 1
msprop,2,visc,constant,2.0  !viscosity for fluid 2
msprop,1,cond,constant,.1   !conductivity for fluid 1
msprop,2,cond,constant,.2   !conductivity for fluid 2
FLDA,CONV,PRES,1.0E-10      ! PCCR convergence criterion
FLDA,TERM,PRES,1.E-09
FLDA,OUTP,SP01,T
FLDA,OUTP,SP02,T
save
SOLVE                       !solve for flow only
FLDA,SOLU,ENRG,T
FLDA,SOLU,FLOW,F
FLDA,METH,ENRG,3
FLDA,ITER,EXEC,50
FLDA,RELX,TEMP,1.
SOLVE                       !solve for temperature only
fini
/exit,nosa

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.2. Doing a Multiple Species Analysis 		Up / Home Next
13.4. Example Analysis Mixing Three Gases


13.4. Example Analysis Mixing Three Gases

The following example analysis mixes three gases: oxygen (O2), nitrogen (N2), and hydrogen (H2). The mass fractions of the gases are set at each inlet along with the velocity. For the three inlets:

Top: | Left: | Bottom:
VX = 0 VY = -0.1 TEMP = 300 O2 = 1.0 N2 = 0.0 H2 = 0.0 | VX = 0.1 VY = 0 TEMP = 400 O2 = 0.0 N2 = 1.0 H2 = 0.0 | VX = 0 VY = 0.1 TEMP = 300 O2 = 0.0 N2 =0.0 H2 = 1.0

The command stream for the example (shown below) shows all the relevant properties and the solution strategy.

/batch,list
/filename,spec
/com ** Analysis Types Laminar and Turbulent, Incompressible
/com       2-D - quadrilateral and triangular elements
/com ** Features    Thermal, Multiple Species Transport
/com ** Options   Dilute mixtures, composite property types (CGAS, CMIX)
/com ** Variable laminar properties
/com ** Turbulence
/com ** Construction of geometry
/prep7
!!!!!!!  Define some dimensions - SI units are used
lenin=.3
half=lenin/2.
width=.1
hfwid=width/2.
outlen=1.2
!!!!!!!  Define inlet and outlet rectangles
rect,-lenin,0,-hfwid,hfwid
rect,.2,.3,.25,.25+lenin
rect,.2,.3,-.25,-.25-lenin
rect,.4,.4+outlen,-.15,.15
!!!!!!!  Lines that border the mixing area
l2tan,-3,-8
l2tan,-6,-15
l2tan,-13,-10
l2tan,-12,-1
!!!!!!!  Parameters defined for meshing
nlcurv=16
rlcurv=1
nscurv=9
rscurv=1
nispan=8
rispan=-1.5
nospan=13
rospan=-2
nilen=10
rilen=-2
nolen=24
rolen=4
!!!!!!!
!flst,2,2,4,orde,2
!fitem,2,17
!fitem,2,20
lsel,s,,,17,20,3
lesize,all,,,nlcurv,rlcurv
lsel,s,,,18,19
!fitem,2,18
!fitem,2,-19
lesize,19,,,nscurv,rscurv
!flst,2,3,4,orde,3
!fitem,2,2
!fitem,2,5
!fitem,2,11
lsel,s,,,2,5,3
lsel,a,,,11
lesize,all,,,nispan,1
!flst,2,3,4,orde,3
!fitem,2,4
!fitem,2,7
!fitem,2,9
lsel,s,,,4,7,3
lsel,a,,,9
lesize,all,,,nispan,rispan
!flst,2,6,4,orde,6
!fitem,2,1
!fitem,2,3
!fitem,2,6
!fitem,2,8
!fitem,2,10
!fitem,2,12
lsel,s,,,1,3,2
lsel,a,,,6,12,2
lesize,all,,,nilen,rilen
lsel,s,,,13,16
lesize,13,,,nolen,rolen
lesize,15,,,nolen,1./rolen
lesize,16,,,nospan,rospan
lesize,14,,,nospan,rospan
alls
!!!!!!!  Define the mixing area...
!flst,2,8,3
!fitem,2,2
!fitem,2,12
!fitem,2,11
!fitem,2,13
!fitem,2,16
!fitem,2,6
!fitem,2,5
!fitem,2,3
a,2,12,11,13,16,6,5,3
alls
/com ** CONSTRUCTION OF THE MESH
!!!!!!! Put triangles in the mixing area (5)
asel,s,,,5
et,1,141
mshape,1,2d
amesh,5
!!!!!!! Put a mapped mesh in the rectangles (quads)
asel,s,,,1,4
mshape,0,2d
mshkey,1
amesh,all
/com ** BOUNDARY CONDITIONS
!!!!!!! Wall boundary conditions
lsel,s,,,1,3,2
lsel,a,,,6,12,2
lsel,a,,,13,17,2
lsel,a,,,18,20
nsll,,1
d,all,vx,0
d,all,vy,0
!!!!!!! Define velocities, temperature at top, bottom, left
vtop=.1
vbot=.1
vlef=.1
lsel,s,,,7
nsll
d,all,vx,0
d,all,vy,-vtop
nsll,,1
d,all,temp,300
lsel,s,,,4
nsll
d,all,vx,vlef
d,all,vy,0
nsll,,1
d,all,temp,400
lsel,s,,,9
nsll
d,all,vx,0
d,all,vy,vbot
nsll,,1
d,all,temp,300
lsel,s,,,14
nsll,,1
d,all,pres,0
flda,conv,iter,5
save
finish
alls
/solu
/com **  FLOTRAN INPUT
flda,iter,exec,40
flda,temp,nomi,300      ! Initial temperature field is 300K
flda,prot,dens,air-si   ! Initial solution will be for AIR
flda,vary,dens,true
flda,prot,visc,air-si
flda,vary,visc,true
flda,prot,cond,air-si
flda,vary,cond,true
flda,prot,spht,air-si
save
solve               		 ! Solve 40 iterations with air at 300K
finish              		 ! Prepare for species transport ...
/prep7
flda,prot,dens,cmix  	 ! Composite mixture for density
flda,prot,visc,cmix   	 ! Composite mixture for viscosity
keyopt,1,1,3 		      ! Specify that there are 3 species

flda,solu,spec,t 		    ! Turn on solution for multiple species transport
msdata,2           	    ! Specify species 2 (N2) as the algebraic species
!
!!!!!!!  Species Property Input
msspec,1,o2,31.999
msprop,1,DENS,GAS,1.2998,300,1.01325E+5
msvary,1,dens,t
msnomf,1,.3
msprop,1,VISC,CONSTANT,1.2067E-5
msprop,1,mdif,CONSTANT,2.149E-5
msprop,1,cond,CONSTANT,.02674
mscap,1,1
!
msspec,2,n2,28.018
msprop,2,DENS,GAS,1.1381,300,1.01325E+5
msvary,2,dens,t
msnomf,2,.3
msprop,2,VISC,CONSTANT,1.786E-5
msprop,2,mdif,CONSTANT,1.601E-5
msprop,2,cond,CONSTANT,.02598
mscap,2,1
!
msspec,3,h2,2.016
msprop,3,DENS,GAS,0.0819,300,1.01325E+5
msvary,3,dens,t
msnomf,3,.4
msprop,3,VISC,CONSTANT,8.94E-6
msprop,3,mdif,CONSTANT,4.964E-5
msprop,3,cond,CONSTANT,.1815
mscap,3,1
!
msrelx,1,1.0
msrelx,3,1.0
msmeth,1,3
mssolu,1,,,2,1.e-8
msmeth,3,3
mssolu,3,,,2,1.e-8
alls
!!!!!!!  Species boundary conditions
lsel,s,,,7
nsll,,1
d,all,o2,1.0
d,all,n2,0.0
d,all,h2,0.0
lsel,s,,,4
nsll,,1
d,all,o2,0.0
d,all,n2,1.0
d,all,h2,0.0
lsel,s,,,9
nsll,,1
d,all,o2,0.0
d,all,n2,0.0
d,all,h2,1.0
alls
!!!!!!!  End of species boundary conditions
flda,iter,exec,20           ! Ask for 20 global iterations
flda,conv,outp,land         ! Adjust convergence monitor output style
save
finish
/solu
solve                       ! 20 iterations with species activated
!
!Prepare for energy solution
flda,solu,temp,t            ! Achieve a constant flow temperature solution
flda,solu,flow,f            ! Freeze the flow field
flda,meth,temp,3            ! Activate PCCR solver
flda,conv,temp,1.e-10       ! Convergence criterion for PCCR
flda,iter,exec,5            ! Need only a few iterations for solution...
flda,relx,temp,1.0          ! no relaxation on temperature
save
solve
!! Prepare for coupled solution

flda,iter,exec,35        	   ! Achieve a flow and thermal solution
flda,solu,flow,t
solve
flda,iter,exec,50           ! Run 50 more iterations to refine solution
save
solve

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.3. Doing a Heat Exchanger Analysis Using Two Species 		Up / Home Next
Chapter 14. Advection Discretization Options


Chapter 14. Advection Discretization Options

When momentum, energy, species transport, turbulence or the compressible pressure equations are solved, the advection term plays a significant role in the solution. When the advection term dominates over other terms in the governing equations, it can lead to numerical instabilities. Accordingly, you must be careful with the discretization of this particular term.

You can discretize the advection term using three approaches: monotone streamline upwind (MSU), streamline upwind/Petrov-Galerkin (SUPG), or collocated Galerkin (COLG). For the momentum, energy, turbulence or compressible pressure equations, you specify the approach using one of the following:

Command(s): | FLDATA33,ADVM,Label,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Advection Main Menu> Solution> FLOTRAN Set Up> Advection

For the species transport equation, you specify the approach using one of the following:

Command(s): | MSADV,SPNUM,MTHA
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Multiple Species Main Menu> Solution> FLOTRAN Set Up> Multiple Species

MSU tends to be first order accurate while SUPG and COLG are second order accurate. MSU produces diagonally dominant matrices and is generally quite robust. SUPG and COLG provide less diagonal dominance, but are generally more accurate. COLG provides an exact energy balance for incompressible flows, even with a coarse mesh. Special techniques may be required to achieve convergence using SUPG or COLG.

For more information on the approaches, consult the Theory Reference for ANSYS and ANSYS Workbench.

The following advection topics are available:

  • Using SUPG and COLG
  • Strategies for Difficult Solutions

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.4. Example Analysis Mixing Three Gases 		Up / Home Next
14.1. Using SUPG and COLG


14.1. Using SUPG and COLG

For simple geometries and simple flows, the SUPG or COLG approach provides a convergent solution in a straight forward fashion.

For laminar flow past obstacles, which generally produce regions of recirculation in the wake, you may need to turn on modified inertial relaxation in the momentum equation using one of the following:

Command(s): | FLDATA34,MIR,MOME,Value
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Relax/Stab/Cap> MIR Stabilization Main Menu> Solution> FLOTRAN Set Up> Relax/Stab/Cap> MIR Stabilization

For turbulent problems, FLOTRAN will sometimes display a message stating that the coefficient matrix has a negative diagonal and the solution is probably divergent. You should then try turning on modified inertial relaxation in the momentum equation or turbulence equation.

Command(s):

FLDATA34,MIR,MOME,Value or FLDATA34,MIR,TURB,Value

The modified inertial relaxation Value should be between 0.1 and 1.0. A larger Value leads to more relaxation. To achieve a faster convergence rate, use the smallest Value possible.

For complex geometries with turbulence and complex flow fields, you can employ the following techniques to achieve a convergent solution with SUPG or COLG.

  • Set the turbulence ratio to a high value of 1 x 106 and the effective viscosity relaxation factor to a low value of 0.1 using the following commands. These conditions provide the necessary diagonal dominance until the solution enters the radius of convergence.

    Command(s): FLDATA24,TURB,RATI,1.0E6
    GUI: Main Menu> Preprocessor> FLOTRAN Set Up> Turbulence> Turbulence Model
    Main Menu> Preprocessor> FLOTRAN Set Up> Turbulence> Turbulence Param
    Main Menu> Solution> FLOTRAN Set Up> Turbulence Model
    Main Menu> Solution> FLOTRAN Set Up> Turbulence Param
    Command(s): FLDATA25,RELX,EVIS,0.1
    GUI: Main Menu> Preprocessor> FLOTRAN Set Up> Relax/Stab/Cap> Prop Relaxation
    Main Menu> Solution> FLOTRAN Set Up> Relax/Stab/Cap> Prop Relaxation

  • Achieve a convergent solution using MSU on all variables. Then, using the following command, perform a restart employing SUPG or COLG on the momentum variables only. After achieving a convergent solution, you can perform a restart again employing SUPG or COLG on the turbulence, pressure, temperature and species variables.

    Command(s): FLDATA33,ADVM,MOME,SUPG
    FLDATA33,ADVM,MOME,COLG
    GUI: Main Menu> Preprocessor> FLOTRAN Set Up> Advection
    Main Menu> Solution> FLOTRAN Set Up> Advection

  • Although the foregoing techniques might work on a coarse mesh, both may fail on a fine mesh. In this case, you may have to resort to a transient algorithm which has the necessary diagonal dominance due to the inertia term.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 14. Advection Discretization Options 		Up / Home Next
14.2. Strategies for Difficult Solutions


14.2. Strategies for Difficult Solutions

Although SUPG and COLG are more accurate than MSU, they may lead to spurious oscillations in the solution. This may lead to nonphysical solutions or convergence difficulties. You may encounter negative temperatures in the energy equation solution. In this case, you should refine the mesh in that region. You may also encounter negative turbulence values. Internally, FLOTRAN tries to reset these values to some realistic numbers, but this may lead to a situation where the solution stalls. In this situation, you should try using MSU on turbulence variables while retaining SUPG or COLG on momentum variables. The solution to the species transport equation must be bounded between 0 and 1.0, and oscillations in the SUPG or COLG solution may make this difficult to achieve even though capping has been turned on. If convergence is not achieved, you should then refine the mesh.

A poor mesh, recirculating regions, or a strong swirl might cause the SUPG technique to have strong oscillations in an axisymmetric analysis. Temperatures (or species concentrations) could be higher or lower than any applied boundary conditions. The mesh should be refined or another advection discretization method should be used.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.1. Using SUPG and COLG 		Up / Home Next
Part II, Acoustics


Part II, Acoustics

Release 11.0 Documentation for ANSYS

Fluids Guide |

Acoustics

Table of Contents

15. Acoustics
15.1. Solving Acoustics Problems
15.2. Building the Model
15.2.1. Harmonic Acoustic Analysis Guidelines
15.3. Meshing the Model
15.3.1. Step 1: Mesh the Interior Fluid Domain
15.3.2. Step 2: Generate the Infinite Acoustic Elements
15.3.3. Step 3: Specify the Fluid-Structure Interface
15.4. Applying Loads and Obtaining the Solution
15.4.1. Step 1: Enter the SOLUTION Processor
15.4.2. Step 2: Define the Analysis Type
15.4.3. Step 3: Define Analysis Options
15.4.4. Step 4: Apply Loads on the Model
15.4.5. Step 5: Specify Load Step Options
15.4.6. Step 6: Back Up Your Database
15.4.7. Step 7: Apply Additional Load Steps (Optional)
15.4.8. Step 8: Finish the Solution
15.5. Reviewing Results
15.6. Fluid-Structure Interaction
15.7. Sample Applications
15.8. Example 1: Fluid-Structure Coupled Acoustic Analysis (Command Method)
15.9. Example 2: Room Acoustic Analysis (Command Method)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.2. Strategies for Difficult Solutions 		Up / Home Next
Chapter 15. Acoustics


Chapter 15. Acoustics

Acoustics is the study of the generation, propagation, absorption, and reflection of sound pressure waves in a fluid medium. Applications for acoustics include the following:

  • Sonar - the acoustic counterpart of radar

  • Design of concert halls, where an even distribution of sound pressure is desired

  • Noise minimization in machine shops

  • Noise cancellation in automobiles

  • Underwater acoustics

  • Design of speakers, speaker housings, acoustic filters, mufflers, and many other similar devices.

  • Geophysical exploration

Types of Acoustic Analysis

An acoustic analysis, available in the ANSYS Multiphysics and ANSYS Mechanical programs only, usually involves modeling the fluid medium and the surrounding structure. Typical quantities of interest are the pressure distribution in the fluid at different frequencies, pressure gradient, particle velocity, the sound pressure level, as well as, scattering, diffraction, transmission, radiation, attenuation, and dispersion of acoustic waves. A coupled acoustic analysis takes the fluid-structure interaction into account. An uncoupled acoustic analysis models only the fluid and ignores any fluid-structure interaction.

The ANSYS program assumes that the fluid is compressible, but allows only relatively small pressure changes with respect to the mean pressure. Also, the fluid is assumed to be non-flowing and inviscid (that is, viscosity causes no dissipative effects). Uniform mean density and mean pressure are assumed, with the pressure solution being the deviation from the mean pressure, not the absolute pressure.

The following acoustics topics are available:

  • Solving Acoustics Problems
  • Building the Model
  • Meshing the Model
  • Applying Loads and Obtaining the Solution
  • Reviewing Results
  • Fluid-Structure Interaction
  • Sample Applications
  • Example 1: Fluid-Structure Coupled Acoustic Analysis (Command Method)
  • Example 2: Room Acoustic Analysis (Command Method)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Part II, Acoustics 		Up / Home Next
15.1. Solving Acoustics Problems


15.1. Solving Acoustics Problems

You can solve many acoustics problems by performing a harmonic response analysis. The analysis calculates the pressure distribution in the fluid due to a harmonic (sinusoidally varying) load at the fluid-structure interface. By specifying a frequency range for the load, you can observe the pressure distribution at various frequencies. You can also perform modal and transient acoustic analyses. (See the Structural Analysis Guide for more information on these types of analyses.)

The procedure for a harmonic acoustic analysis consists of three main steps:

  • Build the model.

  • Apply boundary conditions and loads and obtain the solution.

  • Review the results.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 15. Acoustics 		Up / Home Next
15.2. Building the Model


15.2. Building the Model

In this step, you specify the jobname and analysis title and then use the PREP7 preprocessor to define the element types, element real constants, material properties, and the model geometry. These tasks, common to most analyses, are described in the Basic Analysis Guide.

15.2.1. Harmonic Acoustic Analysis Guidelines

For a harmonic acoustic analysis, consider the following points:

Element Types - Four ANSYS element types are specifically designed for acoustic analyses: FLUID29 and FLUID30 are used to model the fluid portion of 2-D and 3-D models respectively. FLUID129 and FLUID130, companion elements to FLUID29 and FLUID30, are used to model an infinite envelope around the FLUID29 and FLUID30 elements. Use these element types to model the fluid portion, and then use a corresponding structural element (PLANE42, SOLID45, etc.) for the solid. Only FLUID29 and FLUID30 elements can be in contact with structural elements (either on the inside or outside of the structure); FLUID129 and FLUID130 can contact only the FLUID29 and FLUID30 elements, and not the structural elements directly.

15.2.1.1. FLUID29 and FLUID30

For acoustic elements that are in contact with the solid, be sure to use KEYOPT(2) = 0, the default setting that allows for fluid-structure interaction. This results in unsymmetric element matrices with UX, UY, UZ, and PRES as the degrees of freedom. For all other acoustic elements, set KEYOPT(2) = 1, which results in symmetric element matrices with the PRES degree of freedom. (See Figure 15.1: "Example of a 2-D Acoustic Model (Fluid Within a Structure)".) Symmetric matrices require much less storage and computer time, so use them wherever possible. For more information on fluid-structure interaction, see the Theory Reference for ANSYS and ANSYS Workbench.

Figure 15.1 Example of a 2-D Acoustic Model (Fluid Within a Structure)

15.2.1.2. FLUID129 and FLUID130

These infinite acoustic elements absorb the pressure waves, simulating the outgoing effects of a domain that extends to infinity beyond the FLUID29 and FLUID30 elements. FLUID129 and FLUID130 provide a second-order absorbing boundary condition so that an outgoing pressure wave reaching the boundary of the model is absorbed with minimal reflections back into the fluid domain.

FLUID129 is used to model the boundary of 2-D fluid regions and as such is a line element. FLUID130 is used to model the boundary of 3-D fluid regions and as such is a plane surface element.

Material Properties - The acoustic elements require density (DENS) and speed of sound (SONC) as material properties (FLUID129 and FLUID130 require only SONC). If sound absorption at the fluid-structure interface exists, use the label MU to specify boundary admittance β (absorption coefficient). Values of β are usually determined from experimental measurements. For the structural elements, specify the Young's modulus (EX), density (DENS), and Poisson's ratio (PRXY or NUXY).

Real Constants - When using FLUID129 and FLUID130, the boundary of the underlying finite element mesh must be circular (2-D and axisymmetric) or spherical (3-D), and the radius of the circular or spherical boundary of the finite domain must be specified as real constant RAD. (See Figure 15.2: "Example of Absorption Element Application".) The center of the circle or sphere is also specified using real constants:

R,3,RAD,X0,Y0!REAL set 3 for FLUID129
R,3,RAD,X0,Y0,Z0!REAL set 3 for FLUID130

If the coordinates (X0, Y0) for the 2-D and axisymmetric cases or (X0, Y0, Z0) for the 3-D case of the center of the circle or sphere are not specified via real constants, ANSYS assumes the center to be the origin of the global coordinate system.

Figure 15.2 Example of Absorption Element Application

Figure 15.3 Submerged Cylindrical Shell

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.1. Solving Acoustics Problems 		Up / Home Next
15.3. Meshing the Model


15.3. Meshing the Model

A typical meshing procedure using the 2-D infinite acoustic elements follows. The procedure is the same with 3-D elements. If you have a structural component as well, the structural elements must lie next to the FLUID29 elements, and cannot lie next to the infinite fluid elements (FLUID129).

This process automatically adds the FLUID129 elements on the boundary of the finite domain. Here an annular structural ring is meshed with PLANE42 structural elements. The layer of fluid elements in touch with PLANE42 elements is modeled using FLUID29 with UX and UY DOFs and with the fluid-structure interface turned on. The outer layers of fluid are modeled using FLUID29 without the UX and UY DOFs. The radius for placing FLUID129 is 0.31242 (see Step 2: Generate the Infinite Acoustic Elements) with X0 = Y0 = 0. You define the FLUID129 elements using:

Command(s): | ESURF
GUI: | Main Menu> Preprocessor> Modeling> Create> Elements> Inf Acoustic

15.3.1. Step 1: Mesh the Interior Fluid Domain

Mesh the interior fluid domain that is bounded by a circular or spherical boundary (PLANE42) with FLUID29 elements.

Figure 15.4 Mesh the Fluid Domain

15.3.2. Step 2: Generate the Infinite Acoustic Elements

Follow these steps:

  1. Select the nodes on the circular or spherical boundary.

    Command(s): NSEL
    GUI: Utility Menu> Select> Entities

  2. Specify FLUID129 as the infinite fluid element type associated with the FLUID29 element.

    Command(s): TYPE,
    REAL
    GUI: Main Menu> Preprocessor> Meshing> Mesh Attributes> Default Attribs
    Main Menu> Preprocessor> Real Constants> Add/Edit/Delete

    The infinite elements perform well for low as well as high frequency excitations. Numerical experiments have determined that the placement of the absorbing elements at a distance of approximately 0.2 λ beyond the region occupied by the structure or source of vibration can produce accurate solutions. Here λ = c/f is the dominant wavelength of the pressure waves. c is the speed of sound (SONC) in the fluid and f is the dominant frequency of the pressure wave. For example, in the case of a submerged circular or spherical shell of diameter D, the radius of the enclosing boundary, RAD, should be at least (D/2) + 0.2 λ. Also, for acoustic analysis in general, the mesh must be fine enough to resolve the smallest dominant frequency.

  3. Generate the absorption elements (FLUID129) on the boundary.

    Command(s): ESURF
    GUI: Main Menu> Preprocessor> Modeling> Create> Elements> Inf Acoustic

Figure 15.5 Add the Absorption Element on the Boundary

15.3.3. Step 3: Specify the Fluid-Structure Interface

Specify the fluid-structure interface:

  1. Select all nodes on the interface.

    Command(s): NSEL
    GUI: Utility Menu> Select Entities

  2. Select the fluid elements attached to this set of nodes.

    Command(s): ESEL
    GUI: Utility Menu> Select> Entities

  3. Specify the selected nodes as fluid-structure interface nodes.

    Command(s): SF
    GUI: Main Menu> Preprocessor> Loads> Define Loads> Apply> Fluid-Struct Intr> On Nodes

    Note

    Be sure to reselect all nodes before solving your analysis.

Figure 15.6 Specify Fluid-Structure Interface

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.2. Building the Model 		Up / Home Next
15.4. Applying Loads and Obtaining the Solution


15.4. Applying Loads and Obtaining the Solution

In this step, you define the analysis type and options, apply loads, specify load step options, and initiate the finite element solution. The next few sections explain how to do these tasks.

15.4.1. Step 1: Enter the SOLUTION Processor

Enter the SOLUTION processor by choosing GUI path Main Menu> Solution or by executing the /SOLU command.

15.4.2. Step 2: Define the Analysis Type

Using either the GUI or a set of commands, define the analysis type and analysis options.

To define the analysis type, use one of the following:

Command(s): | ANTYPE,HARMIC
GUI: | Main Menu> Solution> Analysis Type> New Analysis

You must choose New Analysis because restarts are not valid in a harmonic response analysis. If you need to apply additional harmonic loads, do a new analysis each time (or use the "partial solution" procedure described in the Basic Analysis Guide).

15.4.3. Step 3: Define Analysis Options

To specify the solution method, use one of the following:

Command(s): | HROPT
GUI: | Main Menu> Solution> Analysis Options

Although full, reduced, or mode superposition methods are options, choose the full method because it alone can handle unsymmetric matrices.

To define the solution listing format, use one of the following:

Command(s): | HROUT
GUI: | Main Menu> Solution> Analysis Options

This option determines how ANSYS lists the harmonic degree-of-freedom solution in the printed output (Jobname.OUT).

To specify the equation solver to be used, use one of the following:

Command(s): | EQSLV
GUI: | Main Menu> Solution> Analysis Options

You can choose the frontal solver (default), the sparse direct solver (SPARSE), the Jacobi Conjugate Gradient (JCG) solver, or the Incomplete Cholesky Conjugate Gradient (ICCG) solver. The JCG solver is recommended for most models.

15.4.4. Step 4: Apply Loads on the Model

A harmonic analysis, by definition, assumes that any applied load varies harmonically (sinusoidally) with time. To completely specify a harmonic load in an acoustic analysis, two pieces of information are usually required: the amplitude and the forcing frequency. The amplitude is the maximum value of the load, which you specify using the commands shown in Table 15.2: "Commands for Applying Loads in Acoustic Analysis". The forcing frequency is the frequency of the harmonic load (in cycles/time). You specify it later as a load step option with the HARFRQ command (Main Menu> Solution> Time/Frequenc> Freq & Substeps). Step 5: Specify Load Step Options describes this task.

Table 15.1: "Loads Applicable in an Acoustic Analysis" shows all possible loads for a harmonic acoustic analysis and the commands to define, list, and delete them. Notice that except for inertia loads, you can define loads either on the solid model (keypoints, lines, and areas) or on the finite element model (nodes and elements). For a general discussion of solid-model loads versus finite-element loads, see "Loading" and "Solution" in the Basic Analysis Guide.

Table 15.1 Loads Applicable in an Acoustic Analysis

Load Type Category Cmd Family GUI Path

Displacement (UX,UY,UZ),

Pressure (PRES)

Constraints D
Main Menu> Preprocessor> Define Loads> Apply> Structural> Displacement or Potential
Main Menu> Solution> Define Loads> Apply> Structural> Displacement

Force (FX,FX,FZ),

Moment (MX,MY,MZ),

Flow loading

Forces F
Main Menu> Preprocessor> Define Loads> Apply> Force/Moment
Main Menu> Solution> Define Loads> Apply> Force/Moment

Pressure (PRES)

Impedance boundary flag (IMPD)

Fluid-structure interaction flag (FSI)

Surface Loads SF
Main Menu> Preprocessor> Define Loads> Apply> load type
Main Menu> Solution> Define Loads> Apply> load type
Gravity, Spinning, etc. Inertia Loads ACEL, OMEGA, DOMEGA, CGLOC, CGOMGA, DCGOMG, IRLF
Main Menu> Preprocessor> Define Loads> Apply> load type
Main Menu> Solution> Define Loads> Apply> load type

In an analysis, you can apply, remove, operate on, or list loads.

15.4.4.1. Applying Loads Using the GUI

You access all loading operations except List (see below) through a series of cascading menus. From the Solution menu, you choose the operation (apply, etc.), then the load type (displacement, force, etc.), and then the object (keypoint, etc.) to which you are applying the load.

For example, to apply a displacement load to a line, follow this GUI path: Main Menu> Solution> Define Loads> Apply> Displacement> On Lines

To list loads, use this GUI path: Utility Menu> List> Loads> load type

15.4.4.2. Applying Loads Using Commands

Table 15.2: "Commands for Applying Loads in Acoustic Analysis" lists all the commands you can use to apply loads in an acoustic analysis.

Table 15.2 Commands for Applying Loads in Acoustic Analysis

Load Type | Solid Model or FE | Entity | Apply | Delete | List | Operate | Apply Settings
Displace ment, Pressure | Solid Model | Keypoints | DK | DKDELE | DKLIST | DTRAN | -
 | Solid Model | Lines | DL | DLDELE | DLLIST | DTRAN | -
 | Solid Model | Areas | DA | DADELE | DALIST | DTRAN | -
 | Finite Elem | Nodes | D | DDELE | DLIST | DSCALE | DCUM
Force, Moment | Solid Model | Keypoints | FK | FKDELE | FKLIST | FTRAN | -
 | Finite Elem | Nodes | F | FDELE | FLIST | FSCALE | FCUM
Pressure, Impedance boundary flag, Fluid- Structure Interaction Flag | Solid Model | Lines | SFL | SFLDELE | SFLLIST | SFTRAN | SFGRAD
 | Solid Model | Areas | SFA | SFADELE | SFALIST | SFTRAN | SFGRAD
 | Finite Elem | Nodes | SF | SFDELE | SFLIST | SFSCALE | SFCUM , SFGRAD
 | Finite Elem | Elements | SFE | SFEDELE | SFELIST | SFSCALE | SFBEAM, SFCUM, SFFUN, SFGRAD
Inertia | - | - | ACEL, CGLOC, CGOMGA, DCGOMG, OMEGA, DOMEGA, IRLF | - | - | - | -

15.4.4.3. Load Types

Displacements (UX, UY, UZ) and pressures (PRES)

These are DOF (degree-of-freedom) constraints. For example, you specify zero displacements at a rigid fluid-structure interface. You may also specify nonzero displacements, but remember that they are assumed to be harmonic. You usually specify zero pressures at free fluid boundaries (where the fluid is not enclosed, such as at an opening).

Forces (FX, FY, FZ) and moments (MX, MY, MZ)

Usually, you specify these loads on the solid portion of the model to "excite" the fluid.

Flow Load

This is a mass flow rate per unit time (for example, kg/sec/sec in SI units). It represents a pulsating mass flow rate at a node. Specify it using the FLOW force label:

Command(s): | F,,FLOW
GUI: | Main Menu> Solution> Define Loads> Apply> Structural> Force/Moment> On Nodes

Pressure (PRES)

You can specify surface loads on the solid portion instead of forces and moments.

Impedance boundary flag(IMPD)

These are not really loads but indicate surfaces that absorb sound. Specify the degree of sound absorption as the material property MU (boundary admittance or absorption coefficient).

Fluid-structure interaction flag (FSI)

This denotes an interface surface between the fluid and structure part of the model.

For problems with fluid-structure interaction on both sides of a structure (e.g., a submerged plate), mesh the structure with solid elements to provide two distinct fluid-interaction surfaces. For problems with fluid-structure interaction on only one side of a structure, mesh the structure with shell or solid elements.

15.4.5. Step 5: Specify Load Step Options

You have the following options for a harmonic acoustic analysis:

Table 15.3 Load Step Options for a Harmonic Acoustic Analysis

Option | Command | GUI Path
Dynamics Options
Forcing frequency range | HARFRQ | Main Menu> Solution> Load Step Opts> Time/Frequenc> Freq & Substeps
General Options
Number of harmonic solutions | NSUBST | Main Menu> Solution> Load Step Opts> Time/Frequenc> Freq & Substeps
Stepped or ramped loads | KBC | Main Menu> Solution> Load Step Opts> Time/Frequenc> Freq & Substeps
Output Controls
Control of printed output | OUTPR | Main Menu> Solution> Output Ctrls> Solu Printout
Database and results file output | OUTRES | Main Menu> Solution> Output Ctrls> DB/Results File
Extrapolation of results | ERESX | Main Menu> Solution> Output Ctrls> Integration Pt

15.4.5.1. Dynamics Options

The only valid option in this category is the forcing frequency range, which must be defined (in cycles/time) for a harmonic analysis. Within this range, you then specify the number of solutions to be calculated. (See "General Options.")

15.4.5.2. General Options

You can request any number of harmonic solutions (via the NSUBST command or its equivalent GUI path) to be calculated. The solutions (or substeps) will be evenly spaced within the previously specified frequency range. For example, if you specify 10 solutions in the range 30 to 40 Hz, the program will calculate the response at 31, 32, 33, ..., 39, and 40 Hz. No response is calculated at the lower end of the frequency range.

The loads may be stepped or ramped (via KBC or its GUI counterpart). By default, they are ramped; that is, the load value increases gradually with each substep. By stepping the loads, you maintain the same load value for all substeps in the frequency range.

15.4.5.3. Output Controls

Use OUTPR or its GUI equivalent if you want to include any results data on the printed output file (Jobname.OUT). OUTRES and its GUI counterpart control the data on the results file (Jobname.RST). ERESX and its GUI path allow you to review element integration point results by copying them to the nodes instead of extrapolating them (default).

Note

By default, the program writes only the last substep of each load step to the results file. If you want all substeps (the solution at all frequencies) on the results file, be sure to set the FREQ field on OUTRES to ALL (or 1).

15.4.6. Step 6: Back Up Your Database

Save a backup copy of the database on a named file using Utility Menu> File> Save as or the SAVE command. Doing so enables you to retrieve your model should your computer abort during the solution. (To retrieve a model, reenter ANSYS and then issue the RESUME command or choose Utility Menu> File> Resume.)

15.4.7. Step 7: Apply Additional Load Steps (Optional)

If you wish to apply additional load steps, repeat steps 5 and 6.

15.4.8. Step 8: Finish the Solution

Solve the analysis and then finish.

Command(s): | SOLVE
GUI: | Main Menu> Solution> Solve> Current LS
Command(s): | FINISH
GUI: | Main Menu> Finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.3. Meshing the Model 		Up / Home Next
15.5. Reviewing Results


15.5. Reviewing Results

The ANSYS program writes results from a harmonic acoustic analysis to the structural results file, Jobname.RST. Results consist of the following data, all of which vary harmonically at each forcing frequency for which the solution was calculated:

  • Primary data

    • Nodal pressures

    • Nodal displacements

  • Derived data

    • Nodal and element pressure gradients

    • Nodal and element stresses

    • Element forces

    • Nodal reaction forces

You can review this information using POST1 or POST26.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.4. Applying Loads and Obtaining the Solution 		Up / Home Next
15.6. Fluid-Structure Interaction


15.6. Fluid-Structure Interaction

The interaction of the fluid and the structure at a mesh interface causes the acoustic pressure to exert a force applied to the structure and the structural motions produce an effective "fluid load." The governing finite element matrix equations then become:

[R] is a "coupling" matrix that represents the effective surface area associated with each node on the fluid-structure interface (FSI). The coupling matrix [R] also takes into account the direction of the normal vector defined for each pair of coincident fluid and structural element faces that comprises the interface surface. The positive direction of the normal vector, as the ANSYS program uses it, is defined to be outward from the fluid mesh and in towards the structure. Both the structural and fluid load quantities that are produced at the fluid-structure interface are functions of unknown nodal degrees of freedom. Placing these unknown "load" quantities on the left hand side of the equations and combining the two equations into a single equation produces the following:

The foregoing equation implies that nodes on a fluid-structure interface have both displacement and pressure degrees of freedom.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.5. Reviewing Results 		Up / Home Next
15.7. Sample Applications


15.7. Sample Applications

The two example problems presented here illustrate the application of the acoustic elements. The first example shows the use of the acoustic absorption elements in modeling far-field problems. The second example is a near-field problem showing the use of standing wave prediction in an enclosed space.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.6. Fluid-Structure Interaction 		Up / Home Next
15.8. Example 1: Fluid-Structure Coupled Acoustic Analysis (Command Method)


15.8. Example 1: Fluid-Structure Coupled Acoustic Analysis (Command Method)

In this problem you will determine the first flexural mode (egg mode) frequency of an annular ring submerged in water which extends to infinity. You will perform a harmonic analysis using a frequency sweep between 34 and 38 Hz. The distance from the center of the ring to the infinite elements will at least be equal to (D/2) + 0.2λ where D is the outer diameter of the ring and λ = c/f is the dominant wavelength of the pressure waves. Using 0.26035 for the outer radius of the ring, 1460 for the speed of sound (c), and 36 for the estimated dominant frequency (f), gives (D/2) + 0.2λ = 0.26035 + (0.2)(1460)/36 = 8.37146. However, this is much greater than the distance required when using the acoustic infinite element and a distance of 2 times the outer radius of the ring will be used ( 2 x .26035 = .5207), as shown in the command listing.

/BATCH,LIST
/VERIFY,EV129-1S
/PREP7
/TITLE,AMA,EV129-1S,FLUID129,HARMONIC ANALYSIS
ET,1,PLANE42                   ! structural element
ET,2,FLUID29                   ! acoustic fluid element with ux & uy
et,3,129                       ! acoustic infinite line element
r,3,0.5207,0,0
ET,4,FLUID29,,1,0              ! acoustic fluid element without ux & uy
! material properties
MP,EX,1,2.068e11
MP,DENS,1,7929
MP,NUXY,1,0
MP,DENS,2,1030
MP,SONC,2,1460
! create inner and outer quarter circles
CYL4,0,0,0.254,0,0.26035,90
CYL4,0,0,0.26035,0,0.5207,90
! select, assign attribute to and mesh area 1
ASEL,S,AREA,,1
AATT,1,1,1,0
LESIZE,1,,,16,1
LESIZE,3,,,16,1
LESIZE,2,,,1,1
LESIZE,4,,,1,1
MSHKEY,1
MSHAPE,0,2D                    ! mapped quad mesh
AMESH,1
! select, assign attribute to and mesh area 2
ASEL,S,AREA,,2
AATT,2,1,2,0
LESIZE,5,,,16,1
LESIZE,7,,,16,1
LESIZE,6,,,5
LESIZE,8,,,5
MSHKEY,0
MSHAPE,0,2D                    ! mapped quad mesh
AMESH,2
! reflect quarter circle into semicircle about x-axis
nsym,x,1000,all                ! offset node number by 1000
esym,,1000,all
! reflect semicircle into full circle about y-axis
nsym,y,2000,all                ! offset node number by 2000
esym,,2000,all
NUMMRG,ALL                     ! merge all quantities
! modify outer 2 layers of el29 into type 4
esel,s,type,,1
nsle,s
esln,s,0
nsle,s
esel,inve
nsle,s
emodif,all,type,4
esel,all
nsel,all
! define el129 line element
csys,1
nsel,s,loc,x,0.5207
type,3
real,3
mat,2
esurf
esel,all
nsel,all
! flag interface as fluid-structure interface
nsel,s,loc,x,0.26035
esel,s,type,,2
sf,all,fsi,1
nsel,all
esel,all
FINISH
! enter solution module
/SOLU
ANTYPE,harmic                  ! select harmonic analysis
hropt,full
f,19,fx,1000.
f,1019,fx,-1000.
harfrq,34.,38.
nsubst,100
kbc,1
SOLVE
FINISH
! postprocess
/post26
plcplx,0
nsol,2,1,u,x,d1ux
store
conjug,3,2
prod,4,2,3
sqrt,5,4
*get,uxmx,vari,5,extrem,tmax
/COM -------------------------------------------------------------
/COM                     Expected Result:
/COM
/COM The following "uxmx" should equal 35.24 Hz.
/COM -------------------------------------------------------------
*status,uxmx
finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.7. Sample Applications 		Up / Home Next
15.9. Example 2: Room Acoustic Analysis (Command Method)


15.9. Example 2: Room Acoustic Analysis (Command Method)

This sample problem demonstrates the use of FLUID30 to predict the acoustic standing wave pattern of a typical enclosure representing a room. A sound-absorption material is located at the bottom surface of the enclosure and a vibrating structure with a cylindrical surface is located at the top right hand corner of the enclosure. This problem will determine the acoustic pressure wave pattern when the structure vibrates at an excitation frequency of 80 HZ.

/batch,list
/com, Harmonic Analysis - Room Acoustics

/PREP7
/TITLE,Room Acoustic Analysis
ANTYPE,HARM
ET,1,30     ! Acoustic elements in contact with walls and vibrating surface
ET,2,30,,1  !  Acoustic elements in interior (not in contact with walls)

! Set parameters for mesh generation

XDIV=29          ! Number of divisions along x-axis
YDIV=19          ! Number of divisions along y-axis
ZDIV=1           ! Number of divisions along z-axis
CDIV=2           ! Number of divisions along radius

! Dimensions of the room

LEN=27
HGT=20
RAD=0.9

! Mesh generation

K,1
K,2,LEN
K,3,LEN,HGT
K,4,,HGT
K,5,,,-1
K,6,LEN,,-1
K,7,LEN,HGT,-1
K,8,,HGT,-1
L,1,5,1
L,2,6,1
L,3,7,1
L,4,8,1
CIRC,3,RAD,7,2,90,2
ADRAG,5,6,,,,, 3
PIO4=ATAN(1)
LENC=COS(PIO4)
LENC=LENC*RAD
HGTC=HGT-LENC
LENC=LEN-LENC
K,15,,HGTC
K,16,,HGTC,-1
K,17,LENC
K,18,LENC,,-1
L,1 ,17,XDIV
L,10,15,XDIV
L,11,4 ,XDIV
L,17,10,YDIV
L,15, 1,YDIV
L,2 ,9 ,YDIV
L,5 ,18,XDIV
L,13,16,XDIV
L,14,8 ,XDIV
L,18,13,YDIV
L,16,5 ,YDIV
L,6 ,12,YDIV
ESIZE,,CDIV
V,1 ,17,10,15, 5,18,13,16
V,15,10,11,4 ,16,13,14,8
V,17,2 ,9 ,10,18,6 ,12,13
VMESH,ALL

! Material properties

MP,DENS,1,2.35E-3   ! (Rho) density of air (lb/ft**3)
MP,SONC,1,1100.0    ! (C) speed of sound in air (ft/sec)
MP,MU,1,0.04        ! (Beta) absorption coefficient of the walls
                    ! ('Beta' should be between 0 - 1)
MP,DENS,2,2.35E-3
MP,SONC,2,1100.0
MP,MU,2,0.70        ! (Beta) absorption coefficient of
                    ! the absorbing material on the floor
                    ! ('Beta' should be between 0 -1)
MP,DENS,3,2.35E-3
MP,SONC,3,1100.0
MP,MU,3,0.0     ! (Beta) zero absorption coefficient for interior elements
NSEL,S,LOC,Y,0.0
NSEL,R,LOC,X,12,15
ESLN
MAT,2
EMODIF,ALL      ! Elements which have the absorbing material on the floor

! Boundary conditions

ALLS
NSEL,S,LOC,X,0.0
NSEL,A,LOC,Y,0.0
NSEL,A,LOC,X,LEN
NSEL,A,LOC,Y,HGT
D,ALL,UX,,,,,UY,UZ! Constrain all displacements to zero at the walls
LOCAL,11,1,27,20
NSEL,A,LOC,X,RAD
ESLN
ESEL,INVE
TYPE,2
MAT,3
EMODIF,ALL       ! Interior elements are specified as Type=2 & material=3
ALLS

! Fluid-Structure Interface (FSI)

NSEL,S,LOC,X,RAD ! Select interface (FSI) surface nodes
ESLN             ! Select elements attached to interface surface
SF,ALL,FSI       ! Specify vibrating surface as Fluid-structure interface
NROTAT,ALL
D,ALL,UX,.01     ! Radial vibration amplitude of Vibrating surface
D,ALL,UY,,,,,UZ

! Impedance Surface (IMPD)

CSYS,0
ALLS
NSEL,S,LOC,X,0.0
NSEL,A,LOC,X,LEN
NSEL,A,LOC,Y,0.0
NSEL,A,LOC,Y,HGT
SF,ALL,IMPD,1   ! Specify the walls as Impedance Surface flag
                ! to activate absorption
ALLS
FINISH
/SOLU

! Excitation Frequency for Harmonic Analysis

HARF,80,80     ! Frequency of excitation = 80 Hz
SOLVE
FINISH

! Plot the Standing Wave Pattern (f = 80 Hz)

/POST1
/SHOW,ENCL1,GRPH,1
SET,1,1        ! plot the real part of pressure response
EPLOT
/EDGE,1
/TITLE,-ROOM ACOUSTICS-  * REAL PART OF PRESSURE
PLNS,PRES
SET,1,1,,1     ! plot the imag. part of pressure response
/TITLE,-ROOM ACOUSTICS-  * IMAG. PART OF PRESSURE
PLNS,PRES
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.8. Example 1: Fluid-Structure Coupled Acoustic Analysis (Command Method) 		Up / Home Next
Part III, Thin Film


Part III, Thin Film

Release 11.0 Documentation for ANSYS

Fluids Guide |

Thin Film

Table of Contents

16. Thin Film Analysis
16.1. Elements for Modeling Thin Films
16.2. Squeeze Film Analysis
16.2.1. Static Analysis Overview
16.2.2. Harmonic Response Analysis Overview
16.2.3. Flow Regime Considerations
16.2.4. Modeling and Meshing Considerations
16.2.5. Analysis Settings and Options
16.2.6. Loads and Solution
16.2.7. Review Results
16.2.8. Example Problem
16.3. Modal Projection Method for Squeeze Film Analysis
16.3.1. Modal Projection Method Overview
16.3.2. Steps in Computing the Damping Parameter Using the Modal Projection Technique
16.3.3. Example Problem Using the Modal Projection Method
16.3.4. Damping Extraction for Large Signal Cases
16.4. Slide Film Damping
16.4.1. Slide Film Damping Example

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.9. Example 2: Room Acoustic Analysis (Command Method) 		Up / Home Next
Chapter 16. Thin Film Analysis


Chapter 16. Thin Film Analysis

A thin film is a small gap of fluid between moving surfaces. This thin layer of fluid can alter the structural response of the structure by adding stiffness and/or damping to the system. Movement normal to the gap produces a squeeze film effect. Movement tangential to the gap produces a slide film effect.

Thin film effects are important in macrostructures, but they are particularly critical in microstructures where the damping and stiffening effects of thin layers of air can significantly affect the behavior of devices used in micro-electromechanical systems (MEMS). Squeeze film effects are important in devices such as accelerometers and micromirrors. Slide film effects are important in devices such as comb drives.

One method for assessing the effect of thin films is to use thin film fluid elements based on the Reynolds number (which is known from lubrication technology and rarified gas physics) to calculate the stiffening and damping effects. These effects can then be added to the overall system model. Separate element types are used to assess squeeze and slide film effects.

The governing Reynolds equation limits the application of thin film analyses to structures with lateral dimensions much greater than the gap separation. In addition, the pressure change across the gap must be much smaller than the ambient (i.e., surrounding) pressure, and any viscous heating effects must be ignored. If these three conditions are not satisfied, then the effects of the thin film cannot be assessed using thin film elements. For those situations, the Navier Stokes equations must be solved using FLOTRAN to assess the effect of the fluid.

The following thin film topics are available:

  • Elements for Modeling Thin Films
  • Squeeze Film Analysis
  • Modal Projection Method for Squeeze Film Analysis
  • Slide Film Damping

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Part III, Thin Film 		Up / Home Next
16.1. Elements for Modeling Thin Films


16.1. Elements for Modeling Thin Films

The ANSYS program has three elements for modeling thin film effects. FLUID136 and FLUID138 are used to model squeeze film effects. FLUID139 is used to model slide film effects.

Table 16.1 Thin Film Fluid Elements

Element | Dimens. | Shape or Characteristic | DOF
FLUID136 | 3-D | Quadrilateral, 4 or 8-node | PRES
FLUID138 | 3-D | Line, 2-node | PRES
FLUID139 | 1-D | Line, 2-node | UX or UY or UZ

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 16. Thin Film Analysis 		Up / Home Next
16.2. Squeeze Film Analysis


16.2. Squeeze Film Analysis

Squeeze film analysis simulates the effects of fluid in small gaps between fixed surfaces and structures moving perpendicular to the surfaces. Depending on the operating frequencies, the fluid can add stiffening and/or damping to the system. At low frequencies, the fluid can escape before it compresses. Therefore, the fluid only adds damping to the system. At high frequencies, the fluid compresses before it can escape. Therefore, the fluid adds both stiffening and damping to the system.

A static analysis is used to determine the damping effects at low frequencies. A harmonic analysis is used to determine the stiffening and damping effects at high frequencies.

The FLUID136 element is used to model the fluid domain between a fixed surface and a structure moving normally to that surface. The fluid domain is modeled by overlaying FLUID136 elements on the moving surface of the structure (i.e., lower surface of the structure adjacent to the fixed wall).

Figure 16.1 Moving Plate above a Fixed Wall

The FLUID138 element is used to model the pressure drop through holes in a moving structure. Microstructures are commonly perforated to reduce the damping effects of the fluid layer. FLUID138 elements are used in conjunction with FLUID136 elements to obtain a consistent pressure distribution, including the effects of holes.

Figure 16.2 Perforated Plate Structure

A squeeze film analysis can be performed on structures with known velocities or unknown velocities. If the velocity profile is known, you can apply it directly to the fluid elements. If the velocity profile is not known (or is too complicated), it can be determined from the mode-frequency response of the structure (model projection method). This section deals with directly applying the velocities. Modal Projection Method for Squeeze Film Analysis covers the modal projection method.

The following squeeze film analysis topics are available:

  • Static Analysis Overview
  • Harmonic Response Analysis Overview
  • Flow Regime Considerations
  • Modeling and Meshing Considerations
  • Analysis Settings and Options
  • Loads and Solution
  • Review Results
  • Example Problem

16.2.1. Static Analysis Overview

Use a static analysis to calculate the pressure distribution for low operating frequencies, where the compression of the fluid (and thus the stiffening effect) is negligible. The resulting pressure distribution can then be used to extract a damping coefficient that reflects the damping effect of the fluid.

F is the total pressure force at the fluid structure interface and vz is the normal velocity component of the moving structure. A typical pressure distribution on a rectangular plate is shown in Figure 16.3: "Pressure Distribution on a Plate at a Low Driving Frequency".

Figure 16.3 Pressure Distribution on a Plate at a Low Driving Frequency

16.2.2. Harmonic Response Analysis Overview

Use a harmonic analysis to calculate the complex pressure distribution for high operating frequencies. The complex pressure distribution can be used to extract a damping coefficient and a stiffness coefficient. The phase shift between the pressure and the velocity is caused by compression of the fluid. The real pressure component contributes to the damping of the system. The imaginary pressure component contributes to the stiffening of the system.

FRe is the real component of the pressure force. FIm is the imaginary component of the pressure force. Omega (ω) is the frequency (rad/sec). The damping and stiffness coefficients are frequency-dependent. Figure 16.4: "Damping and Squeeze Stiffness Coefficients vs. Frequency" illustrates the frequency dependency for a typical microsystem application.

Figure 16.4 Damping and Squeeze Stiffness Coefficients vs. Frequency

The DMPEXT command is used to extract frequency-dependent damping parameters for use with the MDAMP, DMPRAT, ALPHAD, and BETAD command inputs.

16.2.3. Flow Regime Considerations

The Reynolds squeeze film approach assumes a continuous fluid flow regime. To ensure a continuous flow regime, the characteristic length (i.e., gap thickness) must be more than one hundred times larger than the mean free path of the fluid particles.

Lm(po) is the mean free path of the fluid at the operating pressure P0, and L0 is the mean path at reference pressure P0. If the fluid is air at atmospheric pressure (1.01325*105), then by definition L0 is approximately 64*10-9 meters (64 μm). So, for continuum theory to be directly applicable (without modification) to air at atmospheric pressure, the gap should be greater than 6.4 μm (64*10-9 meters * 100).

The applicability of the continuum theory is generally assessed using the Knudsen number, which is equal to the mean free fluid path divided by the gap. For continuum theory to be valid, the Knudsen number should be less than 0.01.

For high Knudsen numbers, the continuum theory is not valid. However, the dynamic viscosity can be adjusted to simulate the high Knudsen number flow regime. The default flow regime for FLUID136 and FLUID138 is continuum theory (KEYOPT(1) = 0). Set KEYOPT (1) = 1 to specify the high Knudsen number flow regime.

The type of reflection of the gas molecules at the wall interface is specified using accommodation factors. Squeeze film models assume diffuse reflection of the gas molecules at the wall interface (accommodation factor = 1). This assumption is valid for most metals, but is less accurate for micromachined surfaces, particularly those fabricated from silicon. Materials such as silicon cause specular reflection. Typical accommodation factors for silicon are between 0.80 and 0.90.

16.2.4. Modeling and Meshing Considerations

The methods used to model and mesh the fluid domain depend on the squeeze film analysis method. If the velocities are directly applied to the fluid elements, the fluid elements can be independent of the structure. If the velocities are determined from the mode-frequency response of the structure (modal projection method), the fluid elements cannot be independent of the structure.

In the modal projection method, the FLUID136 elements must lie on the surface of the structural mesh. Use the ESURF command to overlay FLUID136 elements on the surface of an existing structural mesh. FLUID136 supports 4-node and 8-node options, along with degenerative triangles.

The FLUID138 element is used to model the pressure drop in the channels (holes) in a structure as shown in Figure 16.2: "Perforated Plate Structure". The element supports a circular hole configuration and a rectangular hole configuration (KEYOPT(3)). The element works in conjunction with FLUID136 to correctly compute the pressure distribution on the structure's surface and through the channels. To correctly model the FLUID138 element:

  1. Use a single FLUID138 element for each hole.

  2. Align the FLUID138 element at the center of the hole. The element should extend through the depth of the hole and have a length equal to the depth of the hole.

  3. Assume the pressure at the center of the hole (flush with the plate surface in the thin film region) is at the same pressure as the nodes modeled at the periphery of the hole. Couple the nodes of the FLUID136 element at the whole periphery with the node of the FLUID138 element as shown in Figure 16.5: "Coupling of Nodes at the Hole Periphery with the Center Node of a FLUID138 Element".

Figure 16.5 Coupling of Nodes at the Hole Periphery with the Center Node of a FLUID138 Element

16.2.5. Analysis Settings and Options

A thin film analysis using FLUID136 and FLUID138 is a linear solution for both a static and a harmonic response analysis. No special analysis options or load step options are required. See the Basic Analysis Guide for general guidelines on solving a static analysis.

For a harmonic response analysis, you must use the full method.

16.2.6. Loads and Solution

The fluid elements support pressure loads at the nodal PRES degrees of freedom and velocity body loads (FLUE) at the node or element as shown in Table 16.2: "Load Options for Thin Film Fluid Elements". Pressure loads are applied using the D family of commands. The velocity load is applied using the BF family of commands. For the velocity load, a positive velocity load will cause a positive pressure. For a harmonic response analysis, a positive velocity load will cause a positive in-phase pressure load. See Body Loads for details on applying body loads.

Note

Velocity body loads (FLUE) are the velocities of the moving wall in a direction normal to the wall. They are not in-plane velocities of the fluid.

Table 16.2 Load Options for Thin Film Fluid Elements

Load | Type | ANSYS Label
Pressure | Nodal DOF | PRES
Normal Velocity | Body Load | FLUE

The recommended equation solvers for the fluid elements are the Sparse Direct Solver (SPARSE), the Jacobi Conjugate Gradient Solver (JCG) and the Incomplete Cholesky Conjugate Gradient Solver (ICCG).

16.2.7. Review Results

Results from a thin film fluid analysis are stored on the Jobname.RST file. The primary result from the fluid analysis is the nodal pressures. For a harmonic response analysis, the pressures are stored as complex values (Real and Imaginary components). "The General Postprocessor (POST1)" discusses reading results into the database and viewing the nodal degree of freedom (pressure) results.

Each fluid element computes and stores results for the mid-plane fluid velocity (PG) and effective viscosity. Use the element table to retrieve and view these results.

To compute the damping and squeeze stiffness coefficients from the resulting pressure distribution on the surface of a structure, use the element table tools to compute the force on a per-element basis, then sum over all elements to compute the coefficients. The following command sequence demonstrates how to do this task. This example assumes parameters “omega” and “velo” exist (frequency and normal velocity (FLUE loading), respectively).

set,1,1                    ! store Real solution
etable,presR,temp          ! extract "Real" pressure
etable,earea,volu          ! extract element area
smult,forR,presR,earea     ! compute "Real" force
ssum                       ! sum over all elements
*get,Fre,ssum,,item,forR   ! get the total "real" force
set,1,1,,1                 ! store Imaginary solution
etable,presI,temp          ! extract "Imaginary" pressure
smult,forI,presI,earea     ! compute "Imaginary" force
ssum                       ! sum over all elements
*get,Fim,ssum,,item,forI   ! get the total "imaginary" force

K=abs(Fim*omega/velo)      ! Compute squeeze stiffness coefficient
C=abs(Fre/velo)            ! Compute damping coefficient

/com, ** Equivalent squeeze stiffness coefficient **
*stat,K
/com, ** Equivalent damping coefficient **
*stat,C

16.2.8. Example Problem

A rectangular beam with perforated holes under transverse motion is modeled to compute the effective damping and squeeze stiffness coefficients. The thin film surface of the structure is modeled with FLUID136 elements. FLUID138 elements are used to model the hole regions. By altering the boundary condition of the free FLUID138 node, we can simulate different pressure boundary conditions of the hole region. The purpose of the analysis is to compute the equivalent squeeze stiffness and damping coefficient for an assumed uniform plate velocity. A harmonic response analysis is performed at 150 kHz. A previous modal analysis indicated that the pertinent eigenfrequency was 150 kHz. Since the analysis is linear, the magnitude of the velocity can be arbitrary for computing the coefficients.

Three cases were considered:

  1. Holes modeled with no resistance (pressure = 0 at hole location, no FLUID138 elements ).

  2. Holes modeled with finite resistance (FLUID138 elements modeled, pressure set to zero on fluid node at top of plate).

  3. Holes modeled with infinite resistance (no pressure specification at hole location, no FLUID138 elements).

Case 1 is typical for large diameter holes compared to the hole depth. Case 3 is typical for very high flow resistance, which happens in the case of narrow and long holes. Case 2 is the most accurate case where the fluid pressure drop is taken into account by the FLUID138 elements.

Table 16.3: "Beam Model Results Considering Perforated Holes" lists the damping and squeeze coefficient results. Figure 16.6: "Pressure Distribution (Real Component)" and Figure 16.7: "Pressure Distribution (Imaginary Component)" illustrate the real and imaginary pressure distribution. The input file for case 2 is listed.

Table 16.3 Beam Model Results Considering Perforated Holes

Frequency (kHz.) | Hole option | Damping Coefficient | Squeeze stiffness coefficient
150 | Infinite resistance | 2.016e-5 | 1.201
150 | Finite resistance | 1.325e-5 | .5465
150 | No resistance | 1.165e-5 | .4607

Figure 16.6 Pressure Distribution (Real Component)

Figure 16.7 Pressure Distribution (Imaginary Component)

The input file for this example is shown below for the finite-resistance Case 2

/batch,list
/PREP7
/title, Damping and Squeeze film stiffness calculations for a rigid
/com,   plate with holes
/com    uMKS units

ET, 1,136,1     ! 4-node option, High Knudsen Number
ET, 2,138,1     ! Circular hole option, Hugh Knudsen Number

s_l=100                         ! Half Plate length (um)
s_l1=60                         ! Plate hole location
s_w=20                          ! Plate width
s_t=1                           ! Plate thickness
c_r=3                           ! Hole radius
d_el=2                          ! Gap
pamb=.1       	                 ! ambient pressure (MPa)
visc=18.3e-12                   ! viscosity kg/(um)(s)
velo=2000                       ! arbitrary velocity (um/s)
freq=150000                     ! Frequency (Hz.)
pi=3.14159
omega=2*pi*freq			             ! Frequency (rad/sec)
pref=.1                         ! Reference pressure (MPa)
mfp=64e-3	                       ! mean free path (um)
Knud=mfp/d_el                   ! Knudsen number

mp,visc,1,visc  		            ! Dynamic viscosity gap
mp,visc,2,visc			            ! Dynamic viscosity holes

r,1,d_el,,,pamb			            ! Real constants - gap
rmore,pref,mfp

r,2,c_r,,,pamb			            ! Real constants - hole
rmore,pref,mfp

! Build the model

rectng,-s_l,s_l,-s_w,s_w         ! Plate domain
pcirc,c_r                        ! Hole domain
agen,3,2,,,-s_l1/3
agen,3,2,,,s_l1/3
ASBA, 1, all

TYPE, 1
MAT, 1
smrtsize,4
AMESH, all                        ! Mesh plate domain

! Begin Hole generation
*do,i,1,5
 nsel,all
 *GET, numb, node, , num, max     ! Create nodes for link elements
 N, numb+1,-s_l1+i*s_l1/3,,
 N, numb+2,-s_l1+i*s_l1/3,, s_t
 TYPE,2
 MAT, 2
 REAL,2
 NSEL, all
 E, numb+1, numb+2                  ! Define 2-D link element
 ESEL, s, type,,1
 NSLE,s,1
 local,11,1,-s_l1+i*s_l1/3
 csys,11
 NSEL,r, loc, x, c_r      ! Select all nodes on the hole circumference
 NSEL,a, node, ,numb+1
 *GET, next, node, , num, min
 CP, i, pres, numb+1, next
 nsel,u,node, ,numb+1
 nsel,u,node, ,next
 CP, i, pres,all 	        !Coupled DOF set for constant pressure
 csys,0
*enddo
 ! End hole generation

nsel,s,loc,x,-s_l
nsel,a,loc,x,s_l
nsel,a,loc,y,-s_w
nsel,a,loc,y,s_w
nsel,r,loc,z,-1e-9,1e-9
d,all,pres                ! Fix pressure at outer plate boundary
nsel,all

esel,s,type,,2
nsle,s,1
nsel,r,loc,z,s_t
d,all,pres,0              ! P=0 at top of plate
dlist,all

allsel

bfe,all,flue,,velo	        ! Apply arbitrary velocity
fini

finish
/solu
antyp,harm	               ! Full Harmonic analysis
harfrq,freq
solve
finish
/post1
esel,s,type,,1
set,1,1
etable,presR,pres           ! extract "Real" pressure
etable,earea,volu
smult,forR,presR,earea      ! compute "Real" force
ssum
*get,Fre,ssum,,item,forR
set,1,1,,1
etable,presI,pres           ! extract "Imaginary" pressure
smult,forI,presI,earea      ! compute "Imaginary" pressure
ssum
*get,Fim,ssum,,item,forI

K=abs(Fim*omega/velo)       ! Compute equivalent stiffness
C=abs(Fre/velo)             ! Compute equivalent damping

/com, ******* Equivalent stiffness  ************************
*stat,K
/com, ******* Equivalent damping  **************************
*stat,C
finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.1. Elements for Modeling Thin Films 		Up / Home Next
16.3. Modal Projection Method for Squeeze Film Analysis


16.3. Modal Projection Method for Squeeze Film Analysis

Modal projection techniques provide an efficient method for computing damping parameters for flexible bodies. The Modal Projection Technique is the process of calculating the squeeze stiffness and damping coefficients of the fluid using the eigenvectors of the structure. In the modal projection method, the velocity profiles are determined from the mode-frequency response of the structure.

The following modal projection method topics are available:

  • Modal Projection Method Overview
  • Steps in Computing the Damping Parameter Using the Modal Projection Technique
  • Example Problem Using the Modal Projection Method
  • Damping Extraction for Large Signal Cases

16.3.1. Modal Projection Method Overview

For a structure undergoing flexible body dynamics, the displacement and velocity vary along the structure. For a thin-film fluid adjacent to the structure, there is a true dependency between the structural velocity and the fluid pressure. A modal analysis of a structure provides information on the fundamental eigenfrequencies and mode shapes (eigenvectors). For each mode, i, we can impress the distributed eigenvector values as velocity loads and compute the resulting pressure distribution and hence the fluid force acting on mode j. Therefore, we can compute a matrix of modal squeeze stiffness coefficients, Kij, and modal damping coefficients, Cij. The diagonal terms of these matrices are the coefficients of each mode, the off-diagonal terms represent the "cross-talk" coefficients between modes. Figure 16.8: "Modal Projection Technique for Damping Characterization" illustrates the modal projection technique.

Figure 16.8 Modal Projection Technique for Damping Characterization

From the modal squeeze and stiffness coefficients for the main diagonal terms (source mode = target mode), other useful damping parameters can be calculated. For example, the modal damping ratio, ξ , and the modal squeeze to stiffness ratio, kri, can be computed by:

Where mi is the modal mass and ωi the eigenfrequency. The damping ratio can be used to compute ALPHAD and BETAD parameters for Rayleigh damping (see ABEXTRACT command), or to specify constant and modal damping by means of the DMPRAT or MDAMP commands.

The squeeze to stiffness ratio represents the relative stiffening of the mechanical system due to fluid compression and resonance shift. If the squeeze-to-stiffness ratio is small (e.g., <.02), then the squeeze stiffness affects the structural stiffness by less than 2%, which may be negligible. At higher frequencies, the ratio can be much larger, indicating a significant stiffening of the structure.

The stiffness and damping coefficients may be strongly frequency-dependent. Figure 16.9: "Damping and Squeeze Stiffness Parameters for a Rectangular Plate" shows a typical frequency dependency of the squeeze and damping forces on a flat plate, and the resulting stiffness and damping constant. The frequency where the forces intersect is known as the cut-off frequency. Below this frequency, structures may be accurately characterized by a constant damping coefficient, and stiffness effects can be ignored. Structures which operate far above the cut-off can be described by a constant stiffness coefficient, and damping effects can be ignored.

Figure 16.9 Damping and Squeeze Stiffness Parameters for a Rectangular Plate

16.3.2. Steps in Computing the Damping Parameter Using the Modal Projection Technique

The basic steps in performing the analysis are as follows:

  1. Build a structural and thin-film fluid model and mesh.

  2. Perform a modal analysis on the structure.

  3. Extract the desired mode eigenvectors.

  4. Select the desired modes for damping parameter calculations.

  5. Perform a harmonic analysis on the thin-film elements.

  6. Compute the modal squeeze stiffness and damping parameters.

  7. Compute modal damping ratio and squeeze stiffness coefficient.

  8. Display the results.

Steps 4-7 have been automated using the DMPEXT command macro. Step 8 is available through the MDPLOT command macro.

16.3.2.1. Modeling and Meshing

Model preparation for the modal projection method for damping parameter extraction follows very closely to the method outlined in Modeling and Meshing Considerations. Both the structural model and the thin-film fluid model need to be defined simultaneously. Group the fluid nodes on the structure surface into a node component named "FLUN". This component should only include nodes attached to FLUID136 elements. This component defines the nodes for which the eigenvector values will be extracted from the mode-frequency analysis.

16.3.2.2. Perform Modal Analysis

A modal analysis of the structure is required to obtain the eigenvectors of the desired modes. The modal analysis should be set up with the following options:

  1. Use the Block Lanczos or PCG Lanczos (if applicable) method (MODOPT command).

  2. Extract the eigenmodes of interest (MODOPT command).

  3. Expand the eigenmodes of interest (MXPAND command).

The expanded eigenmodes will compute the necessary eigenvectors required for the modal projection technique. Note: The thin-film fluid elements may be left active in the model when performing the modal analysis. These elements will not contribute to the modal solution.

16.3.2.3. Extracting Eigenvectors

The eigenvectors from the modal analysis must be retrieved and stored in a format appropriate for use by the thin-film fluid elements for a subsequent harmonic fluid analysis. Use the RMFLVEC command in POST1 to retrieve the eigenvectors. The data is stored in the file Jobname.EFL.

16.3.2.4. Performing a Harmonic Response Analysis and Extracting Damping Parameters

The command macro DMPEXT performs a harmonic response analysis with the thin-film fluid elements using the eigenvector information for the desired mode(s). The macro also extracts damping parameter information for use in subsequent dynamic structural analysis. Damping parameters extracted include the modal damping coefficient, modal squeeze stiffness coefficient, damping ratio, and the squeeze-to-stiffness ratio.

DMPEXT requires a "source" mode number and a "target" mode number. The source mode is the mode for which the eigenvectors are used to impart a velocity field on the fluid elements. The target mode is the mode which is acted on by the pressure solution (fluid forces). For transverse oscillations and a uniform gap, there is little mode interaction and hence only diagonal terms are required (source mode (i) = target mode (j)). For transverse motion with nonuniform gaps, or asymmetric plate motion, mode interaction effects (cross-talk) can be significant and should be computed (source mode .ne. target mode). Typical cross-talk scenarios are shown in Figure 16.10: "Fluidic Cross-Talk between Transverse and Rotational Motion".

Figure 16.10 Fluidic Cross-Talk between Transverse and Rotational Motion

Damping parameter extraction can be selected over a desired frequency range or at the eigenfrequencies of the structure. Damping results are computed and stored in an array parameter.

Computed damping ratios may be used in subsequent dynamic structural analyses. A constant damping ratio can be applied using DMPRAT for a subsequent harmonic or mode-superposition transient analysis. Mode damping ratios may be applied using the MDAMP command for use in mode-superposition harmonic and transient analyses. Note: Subsequent structural analysis using these damping parameters do not require the thin-film fluid elements in the model.

The command macro ABEXTRACT (like DMPEXT) extracts alpha and beta damping parameters for use in the ALPHAD and BETAD commands. These commands define Rayleigh damping and can be used in time-transient structural analysis to model damping effects. The damping parameters are computed from two modes defined by the user.

The command macro MDPLOT may be used to display the frequency-dependent damping parameters.

16.3.3. Example Problem Using the Modal Projection Method

A rectangular beam with perforated holes is modeled to compute the effective damping coefficient, stiffness coefficient, and damping ratio. The surface of the structure is modeled with FLUID136 elements to represent the thin film. The structure is modeled with SOLID45 elements. This example computes the Rayleigh damping coefficients (α and β) and modal damping ratios ξi for use in a transient dynamic analysis.

The problem is defined as an extension to the earlier squeeze film example. After modeling the fluid domain, the structure of the beam is modeled and meshed with SOLID45 elements. A modal analysis is performed on the structure and the first two eigenvalues and eigenvectors are computed. RMFLVEC is used to extract the eigenvectors for use in the modal projection method to compute the thin-film damping parameters. The command macro ABEXTRACT is used to compute the Rayleigh parameters from the lowest two eigenmodes . Modal damping ratios are also provided by the ABEXTRACT macro for the two eigenmodes.

Table 16.4: "Modal Damping Parameters for First Two Eigenfrequencies" lists the results from the damping parameter extraction. Computed Rayleigh parameters are: ALPHAD=65212, BETAD=1.829e-8. The input file for this example is shown below.

Table 16.4 Modal Damping Parameters for First Two Eigenfrequencies

Frequency (Hz.) | Modal Damping Coefficient | Modal Squeeze Stiffness Coefficient | Damping Ratio | Stiffness Ratio
55294 | 67419 | .2758e9 | .9703e-1 | .2285e-2
157497 | 83123 | .3568e10 | .4200e-1 | .3644e-2

The input file for this example is shown below.

/batch,list
/PREP7
/title, Damping Ratio and Rayleigh Damping Calculations for a Perforated Plate
/com    uMKS units

ET, 1,136,1     ! 4-node option, High Knudsen Number
ET, 2,138,1	    ! Circular hole option, Hugh Knudsen Number
ET,3,45         ! Structural element

s_l=100                         ! Half Plate length (um)
s_l1=60                         ! Plate hole location
s_w=20                          ! Plate width
s_t=1                           ! Plate thickness
c_r=3                           ! Hole radius
d_el=2                          ! Gap
pamb=.1  	                      ! ambient pressure (MPa)
visc=18.3e-12                   ! viscosity kg/(um)(s)
pref=.1                         ! Reference pressure (MPa)
mfp=64e-3			                  ! mean free path (um)
Knud=mfp/d_el                   ! Knudsen number

mp,visc,1,visc  		! Dynamic viscosity gap
mp,visc,2,visc			! Dynamic viscosity holes
mp,ex,3,79e3	                ! Gold
mp,dens,3,19300e-18
mp,nuxy,3,.1

r,1,d_el,,,pamb			! Real constants - gap
rmore,pref,mfp

r,2,c_r,,,pamb			  ! Real constants - hole
rmore,pref,mfp

! Build the model

rectng,-s_l,s_l,-s_w,s_w            ! Plate domain
pcirc,c_r                           ! Hole domain
agen,3,2,,,-s_l1/3
agen,3,2,,,s_l1/3
ASBA, 1, all

TYPE, 1
MAT, 1
smrtsize,4
AMESH, all                          ! Mesh plate domain

! Begin Hole generation
*do,i,1,5
 nsel,all
 *GET, numb, node, , num, max       ! Create nodes for link elements
 N, numb+1,-s_l1+i*s_l1/3,,
 N, numb+2,-s_l1+i*s_l1/3,, s_t
 TYPE,2
 MAT, 2
 REAL,2
 NSEL, all
 E, numb+1, numb+2         ! Define 2-D link element
 ESEL, s, type,,1
 NSLE,s,1
 local,11,1,-s_l1+i*s_l1/3
 csys,11
 NSEL,r, loc, x, c_r       ! Select all nodes on the hole circumference
 NSEL,a, node, ,numb+1
 *GET, next, node, , num, min
 CP, i, pres, numb+1, next
 nsel,u,node, ,numb+1
 nsel,u,node, ,next
 CP, i, pres,all 	!Coupled DOF set for constant pressure
 csys,0
*enddo
 ! End hole generation

esize,,2
type,3
mat,3
real,3
vext,all,,,,,s_t              ! Extrude structural domain

nsel,s,loc,x,-s_l
nsel,a,loc,x,s_l
nsel,a,loc,y,-s_w
nsel,a,loc,y,s_w
nsel,r,loc,z,-1e-9,1e-9
d,all,pres              ! Fix pressure at outer plate boundary
nsel,all

esel,s,type,,2
nsle,s,1
nsel,r,loc,z,s_t
d,all,pres,0           ! P=0 at top of plate
dlist,all

esel,s,type,,1
nsle,s,1
nsel,u,cp,,1,5
cm,FLUN,node
allsel

nsel,s,loc,x,-s_l
nsel,a,loc,x,s_l
d,all,ux
d,all,uy
d,all,uz

allsel

fini

/solu
antype,modal			! Modal analysis
modopt,lanb,2			! Extract lowest two eigenmodes
eqslv,sparse
mxpand,2			     ! Expand lowest two eigenmodes
solve
fini

/post1
RMFLVEC            ! Extract eigenvectors
fini

/solu
abextract,1,2      ! Extract damping ratios and Rayleigh constants
finish

A transient dynamic analysis on the switch can be performed using the extracted damping parameters. The following input illustrates a coupled electrostatic-structural time-transient solution. The electrostatic field is assumed to be normal to the plate in the gap, and fringing effects are ignored. TRANS126 elements are used to model the coupled electrostatic-structural interaction with the switch. The EMTGEN command is used to generate the transducer elements. A step voltage pulse is applied over a short duration (65 micro-seconds) then released. Rayleigh damping parameters, when used, are applied to the global mass (ALPHAD parameter) and stiffness (BETAD parameter) matrices. We want to apply these only to the mass and stiffness matrix of the SOLID45 elements, and not the TRANS126 elements, because doing so may overdamp the system. The TRANS126 elements produce a damping matrix and a stiffness matrix only. Hence, we can use the ALPHAD parameter for the global mass matrix since there is no contribution from the TRANS126 elements. To isolate the SOLID45 elements for beta damping, we can apply the beta damping via a material damping option (MP,DAMP). Figure 16.11: "Time-Transient Response from Voltage Pulse" illustrates the displacement of a node near the center of the plate over time. The maximum amplitude of displacement (0.11 microns) is small enough to ignore large deflection damping effects.

/batch,list
/PREP7
/title, Damped Transient Dynamic Response of an RF MEMS switch
/com    uMKS units
/com,   Small deflection assumption

et,1,200,6
ET,3,45                         ! Structural element

s_l=100                         ! Plate length (um)
s_l1=60                         ! Plate hole location
s_w=20                          ! Plate width
s_t=1                           ! Plate thickness
c_r=3                           ! Hole radius
d_el=2                          ! Gap
pamb=.1  	                       ! ambient pressure (MPa)
visc=18.3e-12                   ! viscosity kg/(um)(s)
pref=.1                         ! Reference pressure (MPa)
mfp=64e-3			                   ! mean free path (um)
Knud=mfp/d_el                   ! Knudsen number

mp,ex,3,79e3	                   ! Gold
mp,dens,3,19300e-18
mp,nuxy,3,.1
mp,damp,1,1.829e-8              ! Material damping (from squeeze film results)
! Build the model

rectng,-s_l,s_l,-s_w,s_w         ! Plate domain
pcirc,c_r                        ! Hole domain
agen,3,2,,,-s_l1/3
agen,3,2,,,s_l1/3
ASBA, 1, all

TYPE, 1
MAT, 1
smrtsize,4
AMESH, all                       ! Mesh plate domain

esize,,2
type,3
mat,3
real,3
vext,all,,,,,s_t                 ! Extrude structural domain

nsel,s,loc,x,-s_l
nsel,a,loc,x,s_l
d,all,ux
d,all,uy
d,all,uz

allsel
aclear,all
save

nsel,s,loc,z
cm,base,nodes
emtgen,'base',,,'uz',-d_el      ! generate Transducer elements
allsel,all
nsel,s,loc,z,-d_el
d,all,uz,0
d,all,volt,0
cmsel,s,base
d,all,volt,10
allsel,all
fini
/solu
antyp,trans
alphad,65211   ! alpha damping computed from Squeeze-film theory
kbc,1
time,.000065
deltime,2.0e-6
outres,all,none
outres,nsol,all
solve
time,.0002
cmsel,s,base
d,all,volt,0
allsel,all
solve
fini
n1=node(0,2,0)
/post26
nsol,2,n1,uz
prvar,2
plvar,2
finish

Figure 16.11 Time-Transient Response from Voltage Pulse

16.3.4. Damping Extraction for Large Signal Cases

If a structure does not undergo significant deformation, the gap between the structure and the fixed wall may be assumed to be constant (small signal case). If the structural deformation in the gap is significant, the change in the gap may effect the damping of the structure (large signal case). The gap is defined as a real constant in the thin-film fluid elements. Use SETFGAP to automatically define and/or update the gap real constants for the thin-film FLUID136 elements. The command can be used to:

  • Create real constant table entries for every selected FLUID136 element (large signal case).

  • Update an existing real constant table according to structural displacements for every FLUID136 element (large signal case).

This option allows you to check the dependence of the damping parameters over the deflection range of the structure.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.2. Squeeze Film Analysis 		Up / Home Next
16.4. Slide Film Damping


16.4. Slide Film Damping

Slide film damping occurs if two surfaces separated by a thin fluid film move tangentially with respect to each other, because energy is dissipated due to viscous flow. Typical applications are damping between the fingers of comb drives and horizontally-moving seismic masses.

FLUID139 is used to model slide film damping. FLUID139 can model Couette and Stokes flow (Figure 16.12: "Slide Film Damping at Low and High Frequencies"). Couette flow assumes a constant velocity gradient across the fluid gap. Tangentially moving surfaces at low frequencies produce a nearly constant velocity gradient in the fluid, so Couette flow is applicable to low frequencies.

Stokes flow assumes that the velocity gradient is not constant across the fluid gap. Tangentially moving surfaces at high frequencies do not produce a constant velocity gradient, so the Stokes flow is applicable to high frequencies. The transition from Couette to Stokes flow occurs near the cut-off frequency.

where ρ is the fluid density, η the dynamic viscosity and d the gap separation.

Couette flow does not occur at high frequencies, because inertial effects are important and viscous friction is only able to accelerate a thin fluid layer near the moving surface. The penetration depth is given by

Figure 16.12 Slide Film Damping at Low and High Frequencies

FLUID139 models the effect of viscous flow in the thin film with a series of mass-damper elements, as shown in Figure 16.13: "Viscous Slide Film Element FLUID139". Couette flow is modeled using a two-node option. Stokes flow is modeled using a 32-node option. In the 32-node option, the end nodes (node 1 and 32) are connected to the structural portion of the model with structural degrees of freedom, and the series of mass-damper elements are contained within "auxiliary" nodes (nodes 2-31).

The gap separation distance (GAP) and the overlap area of the surfaces (AREA) are specified as real constants for FLUID139. If the overlap area changes during the analysis, the area change rate (DADU) must also be specified as a real constant. A changing overlap area is typical in lateral comb drives.

AREA is the initial overlap area, DADU is the change in the overlap area with respect to the surface displacement, and un and ui are the location of the interface nodes (1 and 32). Note: For a constant surface area, DADU is the width of the overlap surface.

FLUID139 may be used for a prestress static analysis in conjunction with a prestress harmonic analysis, as well as a full transient analysis. Prestress analysis is required if the plate area changes due to the structural displacement. A typical command sequence for a prestress harmonic analysis would include the following:

/solu
antyp,static
pstress,on
.
.
solve
fini
/solu
antyp,harmonic
pstress,on
.
.
solve
finish

KEYOPT(3) specifies the continuous flow options. For a no-slip assumption at the wall, use the continuum theory (KEYOPT(3) = 0). For slip flow where the Knudsen number is much less or much greater than 1.0, use the first order slip flow condition (KEYOPT(3) = 1). For slip flow with a Knudsen number of approximately 1.0, use the extended slip flow option (KEYOPT(3) = 2).

Figure 16.13 Viscous Slide Film Element FLUID139

16.4.1. Slide Film Damping Example

Comb drive resonators are a common application for slide film damping. Figure 16.14: "Comb Drive Resonator" illustrates a typical comb drive assembly consisting of fixed and moving comb drives, springs, and a central mass.

Figure 16.14 Comb Drive Resonator

Details on the comb drive geometry are given in the input file listed below. The electrostatic behavior of the moving comb drives are represented by two TRANS126 transducer elements with prescribed Stroke vs. Capacitance data obtained from finite element runs. The structural behavior of the crab legs is modeled by a spring element. The inertial effects of the central mass are modeled with a mass element. Damping occurs between the comb teeth (lateral dimension), and between the comb teeth and the substrate (vertical dimension). Four FLUID139 elements are used to model the lateral and vertical damping (two per comb drive). The cut-off frequency is well below the frequency range for the analysis; therefore, Couette flow is assumed. Since the comb drive effective surface area changes with displacement, the DADU real constant is used (equal to the width of the plate area).

A static prestress analysis is run using a DC bias voltage on the input and output fixed comb drives. A harmonic analysis sweep is then performed using a small AC voltage. The displacement (magnitude and phase angle) of the central mass is shown in Figure 16.15: "Displacement of Central Mass". Figure 16.16: "Real and Imaginary Current" shows the current.

Figure 16.15 Displacement of Central Mass

Figure 16.16 Real and Imaginary Current

/prep7
/title Comb drive resonator with FLUID139 Couette damping

!                         DRIVE COMB
!                             |
!                             |
!    CRAB LEG SPRING --- CENTRAL MASS --- CRAB LEG SPRING
!                             |
!                             |
!                        PICK-UP COMB

! Reference:
! "Microelectromechanical Filters for Signal Processing",
!  Lin, L., Howe, R.T., J. Microelectromechanical Systems,
!  VOL 7, No. 3, Sept 1998

! beam parameters (uMKS units)
E  = 190e3                        !Young modulus
d  = 2.33e-15                     ! density
hb = 2                            ! beam thickness
wb = 2                            ! beam width
Lb = 100                          ! beam length
k  = 5.699                        ! mechanical stiffness

! comb parameter
n= 9                              ! number of finger
np=n*2	                           ! number of finger pairs
x0= 10                            ! initial finger overlap
L0= 26                            ! finger length (stator comb)
L=20                              ! finger length (moving comb)
gi= L0-x0                         ! initial gap
w= 4                              ! finger width
h= hb                             ! finger thickness
gp=3                              ! finger gap (lateral)
g= 3                              ! comb gap (vertical)
Mr = 1.96563e-11                  ! mass

! Lateral gap area
areal=np*h*x0
! Vertical gap area
areav=n*w*x0

! Stroke vs. Capacitance data

x1  = 14
cx1 = 0.97857e-2
x2  = 15
cx2 = 0.96669e-2
x3  = 16
cx3 = 0.95445e-2
x4  = 17
cx4 = 0.94185e-2
x5  = 18
cx5 = 0.93384e-2

! Voltage conditions

Vi  = 40                       ! input dc bias
Vo  = 60                       ! output dc bias
Vac = 10                       ! input ac bias

! Damping parmeters

nu=18.3e-12	                    ! dynamic viscosity
po=0.1		                       ! reference pressure
dens=1.17e-18                   ! density
fc=nu/(2*3.14159*dens*(g**2))   ! cutoff frequency
daduv=w*n	             ! change in plate area - vertical
dadul=h*np            ! change in plate area - lateral

! Model

n,1,0
n,2,0
n,3,0
n,4,0

et,1,126,,0,1        !Trans126, UX-Volt DOF
r,1,,,gi,,
rmore,x1,cx1,x2,cx2,x3,cx3
rmore,x4,cx4,x5,cx5

e,1,2
e,2,3

et,2,21,,,4	                      ! Mass element
r,2,Mr
type,2
real,2
e,2

et,3,14,,1                       ! linear spring, UX DOF
r,3,k
type,3
real,3
e,2,4

! Lateral dampers
et,4,139       ! Slide-film damper, Couette flow, Continuum theory
mp,visc,4,nu
mp,dens,4,dens
r,4,g,areal,-dadul,po
type,4
mat,4
real,4
e,1,2
e,2,3

! Vertical dampers
r,5,g,areav,-daduv,po
real,5
e,1,2
e,2,3

d,1,ux,0
d,3,ux,0
d,4,ux,0
d,2,uy,0
d,2,volt,0

! Prestress static analysis

/solu
d,1,volt,Vi
d,3,volt,Vo
pstres,on
solve
fini

! Harmonic Frequency Sweep

fr0=60000
fr1=120000
/solu
antyp,harm
d,1,volt,Vac                       ! AC voltage component on capacitor
d,3,volt,0
pstres,on                          ! prestress
harfrq,fr0,fr1
nsubs,60
outres,all,all
kbc,1
solve

/post26
nsol,2,2,u,x,ux2
esol,3,2,,nmisc,24,ir
esol,4,2,,nmisc,25,ii

/axlab,x,Frequency (Hz)            ! label of x axis
plcplx,0
/axlab,y, Displacement (um)
plvar,2                   ! plot displacement  versus time (frequency)
plcplx,1
/axlab,y, Phase angle
plvar,2
plcplx,2
/axlab,y, Current (pA)
plvar,3,4
fini

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.3. Modal Projection Method for Squeeze Film Analysis 		Up / Home Next
Low-Frequency Electromagnetic Analysis Guide


Low-Frequency Electromagnetic Analysis Guide

Release 11.0 Documentation for ANSYS

Table of Contents

1. Overview of Magnetic Field Analysis
1.1. How ANSYS Handles Magnetic Analysis
1.2. Types of Static, Harmonic, and Transient Magnetic Analysis
1.3. Comparing Magnetic Formulations
1.3.1. 2-D Versus 3-D Magnetic Analysis
1.3.2. What Is the Magnetic Scalar Potential Formulation?
1.3.3. What Is the Magnetic Vector Potential Formulation?
1.3.4. What Is the Edge Formulation?
1.3.5. Comparing Formulations
1.3.6. Static Analysis
1.4. Summary of Electromagnetic Elements
1.5. About GUI Paths and Command Syntax
2. 2-D Static Magnetic Analysis
2.1. Elements Used in 2-D Static Magnetic Analysis
2.2. Steps in a Static Magnetic Analysis
2.2.1. Creating the Physics Environment
2.2.2. Building and Meshing the Model and Assigning Region Attributes
2.2.3. Applying Boundary Conditions and Loads
2.2.4. Excitation Loads
2.2.5. Flags
2.2.6. Other Loads
2.2.7. Solving the Analysis
2.2.8. Defining the Analysis Type
2.2.9. Defining Analysis Options
2.2.10. Saving a Backup Copy of the Database
2.2.11. Starting the Solution
2.2.12. Tracking Convergence Graphically
2.2.13. Finishing the Solution
2.2.14. Calculating the Inductance Matrix and Flux Linkage
2.2.15. Reviewing Results
2.2.16. Reading in Results Data
2.3. Doing an Example 2-D Static Magnetic Analysis (GUI Method)
2.3.1. The Example Described
2.3.2. Analysis Parameters
2.3.3. Approach and Assumptions
2.4. Doing an Example 2-D Static Magnetic Analysis (Command Method)
2.5. Doing an Example 2-D Static Magnetic Contact Analysis (Command Method)
2.5.1. The Problem Described
2.5.2. Input Listing
2.6. Where to Find Other Examples
3. 2-D Harmonic (AC) Analysis
3.1. Linear Versus Nonlinear Harmonic Analysis
3.2. Elements Used in Harmonic Magnetic Analysis
3.3. Creating a Harmonic 2-D Physics Environment
3.3.1. Using DOFs to Manage Terminal Conditions on Conductors
3.3.2. The AZ Option
3.3.3. The AZ-VOLT Option
3.3.4. The AZ-CURR Option
3.3.5. Characteristics and Settings for Physical Regions of a Model
3.3.6. Velocity Effects
3.4. Building and Meshing the Model and Assigning Region Attributes
3.4.1. Skin Depth Considerations
3.5. Applying Boundary Conditions Loads (Excitation) to Harmonic Problems
3.5.1. Using the PERBC2D Macro
3.5.2. Amplitude, Phase Angle, and Operating Frequency
3.5.3. Applying Source Current Density to Stranded Conductors
3.5.4. Applying Current to Massive Conductors
3.5.5. Applying Voltage Load Across a Stranded Coil
3.5.6. Flags
3.5.7. Other Loads
3.6. Obtain a Solution
3.6.1. Defining the Harmonic Analysis Type
3.6.2. Defining Analysis Options
3.6.3. Selecting the Equation Solver
3.6.4. Setting the Analysis Frequency
3.6.5. Setting General Options
3.6.6. Setting Output Controls
3.6.7. Saving a Backup Copy of the Database
3.6.8. Starting the Solution
3.6.9. HMAGSOLV Command Macro
3.6.10. Tracking Convergence Graphically
3.6.11. Finishing the Solution
3.7. Reviewing Results
3.7.1. Commands or GUI Paths to Help You in Postprocessing
3.7.2. Reading in Results Data
3.8. Doing an Example Harmonic Magnetic Analysis (GUI Method)
3.8.1. The Example Described
3.9. Doing an Example Harmonic Magnetic Analysis (Command Method)
3.10. Doing an Example of a 2-D Nonlinear Harmonic Analysis (Command Method)
3.10.1. The Example Described
3.10.2. The Example Analysis Command Input Stream
3.11. Where to Find Other Examples
4. 2-D Transient Magnetic Analysis
4.1. Elements Used in Transient Magnetic Analysis
4.2. Creating a 2-D Transient Magnetic Physics Environment
4.3. Building a Model, Assigning Region Attributes and Meshing the Model
4.4. Applying Boundary Conditions and Loads (Excitation)
4.4.1. Applying Boundary Conditions
4.4.2. Applying Excitation (Voltage Load)
4.4.3. Applying Current
4.4.4. Other Loads
4.5. Obtaining a Solution
4.5.1. Entering the SOLUTION Processor
4.5.2. Defining the Analysis Type
4.5.3. Defining Analysis Options
4.5.4. Load Step Options
4.5.5. Nonlinear Options
4.5.6. Output Controls
4.5.7. Saving a Backup Copy of the Database
4.5.8. Starting the Solution
4.5.9. Finishing the Solution
4.6. Reviewing Results
4.6.1. Reading Results in POST26
4.6.2. Reading Results in POST1
4.7. Doing an Example Transient Magnetic Analysis (GUI Method)
4.7.1. The Example Described
4.7.2. Analysis Parameters
4.7.3. Approach and Assumptions
4.8. Doing an Example Transient Analysis (Command Method)
4.9. Where to Find Other Examples
5. 3-D Static Magnetic Analysis (Scalar Method)
5.1. Elements Used in 3-D Static Scalar Magnetic Analysis
5.2. Scalar Potential Formulation
5.2.1. Singly Versus Multiply Connected Domains
5.3. Steps in a 3-D Static Scalar Analysis
5.3.1. Creating the Physics Environment
5.3.2. Setting GUI Preferences
5.3.3. Specifying Material Properties
5.3.4. Additional Guidelines for Defining Regional Material Properties and Real Constants
5.3.5. Building the Model
5.3.6. Building a 3-D Racetrack Coil
5.3.7. Applying Boundary Conditions and Loads (Excitation)
5.3.8. Boundary Conditions
5.3.9. Excitation
5.3.10. Flags
5.3.11. Other Loads
5.3.12. Obtaining a Solution
5.3.13. Solving the Analysis (RSP Method)
5.3.14. Solving the Analysis (DSP Method)
5.3.15. Solving the Analysis (GSP Method)
5.3.16. Calculating the Inductance Matrix and Flux Linkage
5.3.17. Reviewing Analysis Results (RSP, DSP, or GSP Method Analysis)
5.4. Example of a 3-D Static Magnetic Analysis (GUI Method)
5.4.1. The Example Described
5.4.2. The Analysis (GUI Method)
5.5. Example of a 3-D Static Magnetic Analysis (Command Method)
5.6. Where to Find Other Examples of 3-D Static Magnetic Analysis
6. 3-D Magnetostatics and Fundamentals of Edge-Based Analysis
6.1. How to Use Edge-Based Analysis
6.1.1. Elements Used in Edge-Based Analysis
6.1.2. Using the Different Formulations
6.1.3. Characteristics and Settings for Physical Regions of a Model
6.2. Using Adaptive Meshing for Edge-Based Analyses
6.2.1. Prerequisites for Adaptive Meshing
6.2.2. Employing Adaptive Meshing in an Edge-Based Analysis
6.3. Performing a Static Edge-Based Analysis
6.4. Reviewing Results
6.4.1. Reading in Results Data
6.5. Example of a 3-D Static Edge-Based Analysis (GUI Method)
6.5.1. The Analysis Described
6.5.2. Analysis Parameters
6.5.3. Target Data
6.5.4. Procedures to Follow
6.6. Example of a 3-D Static Edge-Based Analysis (Command Method)
6.7. Example of a 3-D Static Edge-Based Analysis Using SOURC36 Current Loads (Command Method)
6.7.1. The Analysis Described
6.7.2. Analysis Parameters
6.7.3. Target Data
6.7.4. The Analysis Input
6.8. Example of a 3-D Static Edge-Based Analysis Showing Force and Torque Calculations (Command Method)
6.8.1. The Analysis Described
6.8.2. Analysis Parameters
6.8.3. The Analysis Input
6.9. Example of a Soleniod Analysis with a Current Load (Filament)
6.9.1. The Analysis Described
6.9.2. Analysis Parameters
6.9.3. Target Data
6.9.4. The Analysis Input
6.10. Example Analysis of a Brooks Coil Inductance
6.10.1. The Analysis Described
6.10.2. Analysis Parameters
6.10.3. Target Data
6.10.4. Analysis Input
7. 3-D Harmonic Magnetic Analysis (Edge-Based)
7.1. Characteristics and Settings for Physical Regions of a Model
7.2. Velocity Effects
7.3. Performing a Harmonic Edge-Based Analysis
7.4. Reviewing Results
7.4.1. Commands to Help You in Postprocessing
7.4.2. Reading in Results Data
7.5. Example of a 3-D Harmonic Edge-Based Analysis (Command Method)
7.5.1. The Analysis Described
7.5.2. Analysis Parameters
7.5.3. Target Data
8. 3-D Transient Magnetic Analysis (Edge-Based)
8.1. Performing a Transient Edge-Based Analysis
8.1.1. Time Option
8.1.2. Number of Substeps or Time Step Size
8.1.3. Automatic Time Stepping
8.1.4. Newton-Raphson Options
8.1.5. Number of Equilibrium Iterations
8.1.6. Convergence Tolerances
8.1.7. Terminate an Unconverged Solution
8.1.8. Control Printed Output
8.1.9. Control Database and Results File Output
8.1.10. Saving a Backup Copy of the Database
8.1.11. Starting the Solution
8.2. Reviewing Results
8.2.1. Reading Results in POST26
8.2.2. Reading Results in POST1
9. 3-D Nodal-Based Analyses (Static, Harmonic, and Transient)
9.1. Elements Used in a 3-D Static Magnetic MVP Analysis
9.1.1. Specifying Real Constants
9.1.2. Incorporating Velocity Effects
9.2. Defining Analysis Settings
9.2.1. Defining the Analysis Type
9.2.2. Defining Which Solver to Use
9.3. Performing a 3-D Static Magnetic MVP Analysis
9.3.1. Applying Loads and Obtaining the Solution
9.3.2. Saving a Backup Copy of the Database
9.3.3. Starting the Solution
9.3.4. Finishing the Solution
9.3.5. Calculating the Inductance Matrix and Flux Linkage
9.4. Reviewing Results
9.4.1. Reading in Results Data
9.5. Performing a 3-D Nodal-Based Harmonic Analysis
9.5.1. Creating a Harmonic 3-D Physics Environment
9.6. Applying Loads to and Solving 3-D Nodal-Based Harmonic Analyses
9.7. Reviewing Results from a 3-D Harmonic (Nodal-Based) Analysis
9.8. Performing a 3-D Transient (Nodal-Based) Analysis
9.8.1. Create the 3-D Transient Physics Environment
9.8.2. Apply Loads and Solve the Transient Analysis
9.9. Reviewing Results from a 3-D Transient (Nodal-Based) Analysis
9.10. Combining the Scalar and Vector Potential Methods
9.10.1. Building a Model with Combined Regions
9.10.2. Apply Loads and Solving the Combined Model
9.10.3. Reviewing Results
10. Electric and Magnetic Macros
10.1. Using Electric and Magnetic Macros
10.1.1. Modeling Aids
10.1.2. Solution Aids
10.1.3. Postprocessing Calculations
11. Far-Field Elements
11.1. Tips for Using Far-Field Elements
11.2. Sample Analysis
11.2.1. Problem Description
11.2.2. Results
11.2.3. Command Listing
12. Electric Field Analysis
12.1. Elements Used in Electric Field Analysis
12.2. Element Compatibility
12.3. Current Densities
12.4. Steady-State Current Conduction Analysis
12.4.1. Building the Model
12.4.2. Applying Loads and Obtaining a Solution
12.4.3. Reviewing Results
12.4.4. Extracting Conductance from Multi-Conductor Systems
12.5. Harmonic Quasistatic Electric Analysis
12.5.1. Building the Model
12.5.2. Applying Loads and Obtaining a Solution
12.5.3. Reviewing Results
12.6. Transient Quasistatic Electric Analysis
12.6.1. Building the Model
12.6.2. Applying Loads and Obtaining a Solution
12.6.3. Reviewing Results
12.7. Sample Steady-State Conduction Current Analysis
12.7.1. Problem Description
12.7.2. Results
12.7.3. Command Listing
12.8. Sample Conductance Calculation
12.8.1. Problem Description
12.8.2. Command Listing
12.9. Sample Harmonic Quasistatic Electric Analysis
12.9.1. Problem Description
12.9.2. Results
12.9.3. Command Listing
12.10. Sample Transient Quasistatic Electric Analysis
12.10.1. Problem Description
12.10.2. Results
12.10.3. Command Listing
12.11. Where to Find Current Conduction Analysis Examples
13. Electrostatic Field Analysis (h-Method)
13.1. Elements Used in h-Method Electrostatic Analysis
13.2. Steps in an h-Method Electrostatic Analysis
13.2.1. Building the Model
13.2.2. Applying Loads and Obtaining a Solution
13.2.3. Reviewing Results
13.3. Extracting Capacitance from Multi-conductor Systems
13.3.1. Ground Capacitances and Lumped Capacitances
13.3.2. Procedure
13.4. Trefftz Method for Open Boundary Representation
13.4.1. Overview
13.4.2. Procedure
13.5. Doing an Example h-Method Electrostatic Analysis (GUI Method)
13.5.1. The Example Described
13.5.2. Analysis Assumptions and Modeling Notes
13.5.3. Expected Analysis Results
13.6. Doing an Electrostatic Analysis (Command Method)
13.7. Doing an Example Capacitance Calculation (Command Method)
13.7.1. The Example Described
13.7.2. Modeling Notes
13.7.3. Computed Results
13.7.4. Command Listing
13.8. Doing an Electrostatic Analysis Using Trefftz Method (Command Method)
13.8.1. The Example Described
13.8.2. Modeling Notes
13.8.3. Expected Results
13.8.4. Command Listing
13.9. Doing an Electrostatic Analysis Using Trefftz Method (GUI Method)
14. p-Method Electrostatic Analysis
14.1. Benefits of Using the p-Method
14.2. Using the p-Method
14.2.1. Select the p-Method Procedure
14.2.2. Build the Model
14.2.3. Additional Information for Building Your Model
14.2.4. Apply Boundary Conditions
14.2.5. Apply Loads and Obtain the Solution
14.2.6. Helpful Hints for Common Problems
14.2.7. Review the Results
14.3. Doing an Example p-Electrostatic Analysis (Command Method)
14.3.1. The Example Described
14.3.2. Modeling Notes and Results
14.3.3. Command Listing
15. Electric Circuit Analysis
15.1. Using the CIRCU124 Element
15.1.1. Circuit Components Available in CIRCU124
15.1.2. Load Types for CIRCU124
15.1.3. Coupling the FEA Domain to the Circuit Domain
15.2. Using the CIRCU125 Element
15.3. Using the Circuit Builder
15.3.1. Building a Circuit
15.4. Avoiding Inconsistent Circuits
15.4.1. DC and Harmonic Analyses
15.4.2. Transient Analyses
15.4.3. Inductors and Current Generators Should Not Form a Cut
15.5. Static (DC) Electric Circuit Analysis
15.5.1. Building a Circuit for Static Analysis
15.5.2. Applying Loads and Solving the Static Analysis
15.5.3. Reviewing Results from a Static Circuit Analysis
15.6. Harmonic (AC) Electric Circuit Analysis
15.6.1. Building a Circuit for Harmonic Analysis
15.6.2. Applying Loads and Solving the Analysis
15.6.3. Reviewing Results from a Harmonic Circuit Analysis
15.7. Transient Electric Circuit Analysis
15.7.1. Building a Circuit for Transient Analysis
15.7.2. Applying Loads and Solving the Static Analysis
15.7.3. Reviewing Results from a Transient Circuit Analysis
15.8. Doing an Example Harmonic Circuit Analysis (Command Method)
15.9. A Sample Diode Circuit (Command Method)
15.10. Where to Find Other Examples
16. Alternative Analysis Options and Solution Methods
16.1. Loading Options for 2-D Static Magnetic Analysis
16.1.1. On Keypoints
16.1.2. On Lines
16.1.3. On Areas
16.1.4. On Volumes
16.1.5. On Nodes
16.1.6. On Elements
16.2. Using the Alternative Solution Option for 2-D Static Magnetic Analysis
16.2.1. Specify Load Step Options for the Initial Solution
16.2.2. Write Load Data or Start the Solution
16.2.3. Specify Load Step Options for the Final Solution
16.2.4. Write Load Data or Start the Solution
16.2.5. Initiate the Solution
16.3. Loading Options for 2-D or 3-D Harmonic Magnetic Analysis (MVP Method)
16.4. Load Step Options for 2-D or 3-D Harmonic Magnetic Analysis (MVP Method)
16.4.1. Dynamic Options
16.4.2. General Options
16.4.3. Output Controls
16.5. Loading Options for 2-D or 3-D Transient Magnetic Analysis (MVP Method)
16.6. Load Step Options for Nodal-Based Transient Magnetic Analysis (MVP Method)
16.6.1. Dynamic Options
16.7. Loading Options for 3-D Static Magnetic Analysis (Scalar Method)
16.8. Using the RSP Method for 3-D Static Scalar Magnetic Analysis
16.8.1. Specify Load Step Options
16.8.2. Start the Solution
16.9. Using the DSP Method for 3-D Static Scalar Magnetic Analysis
16.10. Using the GSP Method for 3-D Static Scalar Magnetic Analysis
16.11. Loading Options for 3-D Static Magnetic Analysis (MVP Method)
16.12. The Alternative Solution Option for 3-D Static Magnetic Analysis (MVP Method)
16.12.1. Specify Load Step Options for the Initial Solution
16.12.2. Write Load Data or Start the Solution
16.12.3. Specify Load Step Options for the Final Solution
16.12.4. Write Load Data or Solve the Second Load Step
16.12.5. Initiate the Solution
16.13. Loading Options for an Electric Field (Current Conduction) Analysis
16.14. Load Step Options for an Electric Field (Current Conduction) Analysis
16.15. Loading Options for an Electrostatic Field Analysis
16.16. Load Step Options for Electrostatic Field Analysis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.4. Slide Film Damping 		Up / Home Next
Chapter 1. Overview of Magnetic Field Analysis


Chapter 1. Overview of Magnetic Field Analysis

Magnetic analyses, available in the ANSYS Multiphysics and ANSYS Emag programs, calculate the magnetic field in devices such as:

Power generators | Magnetic tape/disk drives
Transformers | Waveguides
Solenoid actuators | Resonant cavities
Electric motors | Connectors
Magnetic imaging systems | Antenna radiation
Video display device sensors | Filters
Cyclotrons |

Typical quantities of interest in a magnetic analysis are:

Magnetic flux density | Power loss
Magnetic field intensity | Flux leakage
Magnetic forces and torques | S-parameters
Impedance | Quality factor
Inductance | Return loss
Eddy currents | Eigenfrequencies

Magnetic fields may exist as a result of an electric current, a permanent magnet, or an applied external field.

In general, parts/components of an electromagnetic analysis can be categorized by their electric and magnetic properties. Possible electric characteristics are:

  • No current exists in a body

  • Solid conductor, current, no eddy current effects (see Figure 1.3: "Current-Fed Solid Conductor - Current Known", Figure 1.4: "Voltage-Fed Solid Conductor - Voltage Known", and Figure 1.5: "Circuit-Fed Solid Conductor")

  • Stranded conductor, no eddy current (see Figure 1.1: "Current-Fed Stranded Source - Current Density Known" and Figure 1.2: "SOURC36 Current-fed Stranded Conductor")

  • Solid conductor, eddy current present (harmonic or transient analyses only)

Magnetic characteristics include:

  • Non-magnetic: typically air, copper, aluminum

  • Soft magnetic: typically iron or steel

  • Hard magnetic: typically samarium cobalt or Alnico

The use and combination of these electric and material properties in ANSYS is described in How ANSYS Handles Magnetic Analysis.

The following low-frequency electromagnetic topics are available:

  • How ANSYS Handles Magnetic Analysis
  • Types of Static, Harmonic, and Transient Magnetic Analysis
  • Comparing Magnetic Formulations
  • Summary of Electromagnetic Elements
  • About GUI Paths and Command Syntax

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Low-Frequency Electromagnetic Analysis Guide 		Up / Home Next
1.1. How ANSYS Handles Magnetic Analysis


1.1. How ANSYS Handles Magnetic Analysis

The ANSYS program uses Maxwell's equations as the basis for electromagnetic field analysis. The primary unknowns (degrees of freedom) that the finite element solution calculates are magnetic and electric potentials. Other magnetic field quantities such as magnetic field flux density, current density, energy, forces, loss, inductance, and capacitance are derived from these degrees of freedom. Depending on the element type and element option you choose, the degrees of freedom may be scalar magnetic potentials, vector magnetic potentials, or edge flux, as well as non-time integrated and time integrated electric potential.

ANSYS offers several formulations, depending on the type of analysis, the material properties in your analysis, and the overall physics of your analysis. Electromagnetic analysis may be coupled to circuit, heat transfer, mechanical, or fluid dynamics analyses.

Options available for low frequency electromagnetic analyses are summarized in the following figures and tables. High frequency electromagnetic analyses are discussed separately in the High-Frequency Electromagnetic Analysis Guide.

To understand which formulation may be suitable for your analysis, you need to understand how current is introduced into the model. The following graphics show the basic current loading configurations for 3-D models. These configurations are referenced in the tables that follow.

Figure 1.1 Current-Fed Stranded Source - Current Density Known

Where:

J = current density
n = number of turns
i = current in a filament
A = coil cross section area

In this case, the current density is specified on each element via body force loading (BFE,,JS).

Figure 1.2 SOURC36 Current-fed Stranded Conductor

In this case, the current loading is fed in via SOURC36 coil primitives. The coil primitives are simple predefined geometric shapes that you use to locate and prescribe current, without the need to physically create a finite element model and mesh of the coil domain.

Figure 1.3 Current-Fed Solid Conductor - Current Known

Figure 1.4 Voltage-Fed Solid Conductor - Voltage Known

Figure 1.5 Circuit-Fed Solid Conductor

The following tables summarize the physics regions, elements, and loading options available for each of the various formulations.

Table 1.1 Formulation Comparison

Formulation | Conductor Model | Dim. | Applications | Element Types | Analysis Type
MSP | SOURC36 current-fed stranded conductor - coil not meshed, underlying region meshed | 3-D | Magnetostatic without eddy current. | SOLID5, SOLID96, SOLID98 | Static
Nodal MVP | Current, voltage, or circuit-fed solid conductor - Coil meshed as part of model | 2-D, 3-D | Magnetostatic, eddy current. Magnetic regions not recommended. | SOLID97, PLANE53, PLANE13 | Static, harmonic, transient
Edge-Based | Both stranded and solid conductor permitted. Supports SOURC36 loading; current, circuit, and voltage fed, and direct current specification | 3-D | Magnetostatic, eddy current, magnetic allowed. | SOLID117 | Static, harmonic, transient

Table 1.2 3-D Edge Formulation

The 3-D Edge Formulation uses SOLID117 elements, with KEYOPT(1) = 0 unless otherwise noted.
Physical Region | Current | Magnetic Material Props | Electric Material Props | DOFs | Current Loading | Notes
Non-magnetic (air, copper, aluminum) | None | MURX (Y,Z) = 1 |  | AZ | N/A |
Soft Magnetic (typically iron or steel) | None | MURX (Y,Z) > 1 (linear) or B-H curve (nonlinear) |  | AZ | N/A |
Hard Magnetic (such as Alnico or samarium cobalt) | None | MGXX(YY,ZZ)[1], MURX (Y,Z) > 1 (linear) or B-H curve (nonlinear) |  | AZ | N/A |
Stranded Conductor (typically copper) | Current (neglecting eddy current) | Any of above | RSVX, RSVY, RSVZ | AZ | SOURC36 (recommended), BFE,,JS |
Solid Conductor (typically copper, aluminum, etc.) | Current (neglecting eddy current) | Any of above | RSVX, RSVY, RSVZ | AZ, VOLT | F,,AMPS, D,,VOLT, or circuit loading | Uses SOLID117 with KEYOPT(1) = 5, 6
 | Eddy current | Any of above | RSVX, RSVY, RSVZ | AZ, VOLT | F,,AMPS, D,,VOLT | Uses SOLID117 with KEYOPT(1) = 1

Table 1.3 2-D MVP Formulation

The 2-D MVP Formulation uses PLANE53 elements and PLANE13 elements with KEYOPT(1) = 0 unless otherwise noted.
Physical Region | Current | Magnetic Material Props | Electric Material Props | DOFs | Current Loading | Notes
Non-magnetic (air, copper, aluminum) | None | MURX (Y,Z) = 1 |  | AZ | N/A |
Soft Magnetic (typically iron or steel) | None | MURX (Y,Z) > 1 (linear) or B-H curve (nonlinear) |  | AZ | N/A |
Hard Magnetic (such as Alnico or samarium cobalt) | None | MGXX(YY,ZZ)[1], MURX (Y,Z) > 1 (linear) or B-H curve (nonlinear) |  | AZ | N/A |
Stranded Conductor (typically copper) | Current (neglecting eddy current) | Any of above |  | AZ | BFE,,JS |
Solid Conductor (typically copper, aluminum, etc.) | Eddy current | Any of above | RSVX, RSVY, RSVZ | AZ, VOLT | F,,AMPS or circuit loading | Uses PLANE53 with KEYOPT(1) = 1 or PLANE13 with KEYOPT(1) = 6
Stranded Conductor - voltage-fed | Current (neglecting eddy current) | Any of above |  | AZ, CURR | voltage-fed | Uses PLANE53 with KEYOPT(1) = 2
Stranded Conductor - circuit-coupled | Current (neglecting eddy current) | Any of above |  | AZ, CURR, EMF | circuit-coupled | Uses PLANE53 with KEYOPT(1) = 3
Solid Conductor - circuit-coupled | Eddy current | Any of above | RSVX, RSVY, RSVZ | AZ, CURR, EMF | circuit-coupled | Uses PLANE53 with KEYOPT(1) = 4

Table 1.4 3-D Nodal MVP Formulation

The 3-D Nodal MVP Formulation uses SOLID97 elements with KEYOPT(1) = 0 unless otherwise noted.
Physical Region | Current | Magnetic Material Props | Electric Material Props | DOFs | Current Loading | Notes
Non-magnetic (air, copper, aluminum) | None | MURX (Y,Z) = 1 |  | AX, AY, AZ | N/A |
Soft Magnetic (typically iron or steel) | None | MURX (Y,Z) > 1 (linear) or B-H curve (nonlinear) |  | AX, AY, AZ | N/A |
Hard Magnetic (such as Alnico or samarium cobalt) | None | MGXX(YY,ZZ)[1], MURX (Y, Z) > 1 (linear) or B-H curve (nonlinear) |  | AX, AY, AZ | N/A |
Stranded Conductor (typically copper) | Current (neglecting eddy current) | Any of above | RSVX, RSVY, RSVZ | AX, AY, AZ, VOLT | BFE,,JS |
Solid Conductor (typically copper, aluminum, etc.) | Current (neglecting eddy current) | Any of above | RSVX, RSVY, RSVZ | AX, AY, AZ, VOLT | F,,AMPS or circuit loading | Uses SOLID97 with KEYOPT(1) = 5 or 6
 | Eddy current | Any of above | RSVX, RSVY, RSVZ | AZ, VOLT | F,,AMPS, D,,VOLT | Uses SOLID97 with KEYOPT(1) = 1
Stranded Conductor - voltage-fed | Current (neglecting eddy current) | Any of above | RSVX, RSVY, RSVZ | AX, AY, AX, CURR | voltage-fed | Uses SOLID97 with KEYOPT(1) = 2
Stranded Conductor - circuit-coupled | Current (neglecting eddy current) | Any of above | RSVX, RSVY, RSVZ | AX, AY, AX, CURR, EMF | circuit-coupled | Uses SOLID97 with KEYOPT(1) = 3
Solid Conductor - circuit-coupled | Eddy current | Any of above | RSVX, RSVY, RSVZ | AX, AY, AX, VOLT, EMF | circuit-coupled | Uses SOLID97 with KEYOPT(1) = 4

The Nodal MVP formulation is not recommended for soft magnetic or hard magnetic regions due to inaccuracies in permeable domains. It is acceptable for non-magnetic regions.

Table 1.5 3-D Nodal MSP Formulation

The 3-D Nodal MSP Formulation uses SOLID5 with KEYOPT(1) = 10, SOLID96, and SOLID98 with KEYOPT(1) = 10 elements, unless otherwise noted.
Physical Region | Current | Magnetic Material Props | Electric Material Props | DOFs | Current Loading | Notes
Non-magnetic (air, copper, aluminum) | None | MURX (Y,Z) = 1 |  | MAG | N/A |
Soft Magnetic (typically iron or steel) | None | MURX (Y,Z) > 1 (linear) or B-H curve (nonlinear) |  | MAG | N/A |
Hard Magnetic (such as Alnico or samarium cobalt) | None | MGXX(YY,ZZ)[1], MURX (Y, Z) > 1 (linear) or B-H curve (nonlinear) |  | MAG | N/A |
Stranded Conductor (typically copper) | Current (neglecting eddy current) | Any of above | N/A | MAG | SOURC36 |
Solid Conductor (typically copper, aluminum, etc.) | Current (neglecting eddy current) | Any of above | N/A | MAG | SOURC36 | Uses KEYOPT(1) = 1 or 9 on SOLID5 or SOLID98 only

  1. Coercive force in terms of vector components, MGXX, MGYY, MGZZ. Polarization direction is determined by coercion force (magnetization) terms MGXX, MGYY and MGZZ in conjunction with the element coordinate system.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 1. Overview of Magnetic Field Analysis 		Up / Home Next
1.2. Types of Static, Harmonic, and Transient Magnetic Analysis


1.2. Types of Static, Harmonic, and Transient Magnetic Analysis

You can do the following types of static, harmonic, and transient magnetic analysis:

  • 2-D static magnetic analysis, analyzing magnetic fields caused by direct current (DC) or permanent magnets. A 2-D static analyses use a magnetic vector potential (MVP) formulation. See "2-D Static Magnetic Analysis" in this manual for more information.

  • 2-D harmonic magnetic analysis, analyzing magnetic fields caused by low frequency alternating current (AC) or voltage. Permanent magnets are not permitted. This type of analysis uses a MVP formulation. For details about this analysis type, see "2-D Harmonic (AC) Analysis".

  • 2-D transient magnetic analysis, analyzing magnetic fields caused by arbitrary electric current or external field that varies over time. Permanent magnet effects also can be included. This analysis type uses a MVP formulation. "2-D Transient Magnetic Analysis" describes this analysis type in detail.

  • 3-D static magnetic analysis, analyzing magnetic fields caused by direct current (DC) or permanent magnets using a magnetic scalar potential (MSP) formulation. See "3-D Static Magnetic Analysis (Scalar Method)" for more information.

  • 3-D static magnetic analysis, analyzing magnetic fields caused by direct current (DC) or permanent magnets using an edge-based formulation. "3-D Magnetostatics and Fundamentals of Edge-Based Analysis" describes this type of analysis in detail.

  • 3-D harmonic magnetic analysis, analyzing magnetic fields caused by low frequency alternating current (AC), using an edge-based formulation. Permanent magnets are not permitted. The edge-based formulation is recommended for most harmonic magnetic applications. See "3-D Harmonic Magnetic Analysis (Edge-Based)" for a description of this analysis type.

  • 3-D transient magnetic analysis, analyzing magnetic fields caused by arbitrary electric current or external field that varies over time, using an edge-based formulation. Permanent magnet effects also can be included. The edge-based formulation is recommended for most transient magnetic applications. "3-D Transient Magnetic Analysis (Edge-Based)" discusses edge-based transient analysis.

  • 3-D static magnetic analysis, analyzing magnetic fields caused by direct current (DC) or permanent magnets using a MVP formulation. For more information, see "3-D Nodal-Based Analyses (Static, Harmonic, and Transient)".

  • 3-D harmonic magnetic analysis, analyzing magnetic fields caused by low frequency alternating current (AC), using a MVP formulation. Permanent magnets are not permitted. "3-D Nodal-Based Analyses (Static, Harmonic, and Transient)" describes 3-D harmonic magnetic analysis.

  • 3-D transient magnetic analysis, analyzing magnetic fields caused by arbitrary electric current or external field that varies over time, using a MVP formulation. Permanent magnet effects also can be included. See "3-D Nodal-Based Analyses (Static, Harmonic, and Transient)" for more information.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.1. How ANSYS Handles Magnetic Analysis 		Up / Home Next
1.3. Comparing Magnetic Formulations


1.3. Comparing Magnetic Formulations

When should you use a 2-D model or a 3-D model? What are the differences between the scalar and vector potential formulations? How do the edge-based and nodal-based formulations for 3-D magnetic analyses differ? The next few topics provide some answers.

1.3.1. 2-D Versus 3-D Magnetic Analysis

A 3-D analysis uses a 3-D model to represent the geometry of the structure being analyzed. A 3-D model is the most natural way to represent a structure. However, 3-D models usually are more difficult to generate than 2-D models and usually require more computer time to solve. Therefore, you should first consider using a 2-D model for your analysis.

1.3.2. What Is the Magnetic Scalar Potential Formulation?

The magnetic scalar potential (MSP) formulation is recommended for most 3-D static analysis applications. The scalar approach allows you to model current sources as primitives rather than elements; therefore, the current sources do not need to be part of the finite element mesh. The scalar method offers the following:

  • Brick, wedge, pyramid, and tetrahedral element geometries

  • Current sources defined by primitives (coils, bars, and arcs)

  • Permanent magnets

  • Linear and nonlinear permeability

  • Node coupling and constraint equations

In addition, modeling of current sources (current conducting regions) is simpler with the scalar formulation. This is so because you can simply specify current source primitives (coils, bars, and so forth) in the proper locations to account for their magnetic field contribution.

1.3.3. What Is the Magnetic Vector Potential Formulation?

The magnetic vector potential (MVP) formulation is one of the two nodal-based methods for 3-D static, harmonic, and transient analyses which the ANSYS program supports. (The scalar potential formulation is the other nodal-based method.)

The MVP formulation has more (three) degrees of freedom per node than the scalar method: AX, AY, and AZ, the magnetic vector DOFs in the X, Y, and Z directions. Voltage-fed or circuit coupled analysis may add up to three additional degrees of freedom to the magnetic vector DOFs: current (CURR), electromotive force drop (EMF), and electric potential (VOLT). You must use the MVP formulation for a 2-D static magnetic analysis; doing so results in a single magnetic vector potential degree of freedom, AZ.

With the MVP formulation, you model current sources (current conducting regions) as an integral part of the finite element model. However, the MVP formulation runs more slowly than the scalar formulation because of the added DOFs.

You can also use the MVP formulation for 3-D static, harmonic or transient magnetic analysis. If you do, however, you should be cautious when including permeable materials in the model due to a loss of accuracy using the 3-D MVP formulation. (The solution has been found to be inaccurate when the normal component of the vector potential is significant at the interface between elements of different permeability.)

You can include both 3-D MSP and 3-D MVP formulations in the same model by using the INTER115 interface element.

1.3.4. What Is the Edge Formulation?

The edge formulation is similar to the MVP formulation. It associates degrees of freedom (DOFs) with element edges rather than element nodes. The method offers 3-D static and dynamic solution capability for low frequency electromagnetics. You perform 3-D edge-based analyses using essentially the same procedures you use for 3-D nodal-based analyses. The edge-based analysis is not available for 2-D models.

The Theory Reference for ANSYS and ANSYS Workbench discusses the edge formulation in more detail.

1.3.5. Comparing Formulations

The edge formulation is more accurate than the nodal-based formulations in cases where both methods share the same functionality, particularly when models contain iron regions. Edge-based analysis also is more efficient than the nodal-based methods in terms of the active degrees of freedom.

The edge formulation is the recommended method for most 3-D harmonic and transient electromagnetic analyses. However, currently the methods do not support identical capabilities. You should use the MVP formulation in these situations:

  • When your model requires motion effects and circuit coupling

  • When your model requires circuit and velocity effects

  • When you are analyzing a model containing no iron regions.

1.3.6. Static Analysis

You can solve most 3-D static problems using the MSP formulation or a MVP or edge formulation. In accuracy critical applications, it is a good idea to solve your problem using both MSP and MVP or edge formulations. The difference between the MSP and MVP or edge solutions is your best measure of accuracy.

Except for coil regions, you can generally apply the same mesh for MSP and MVP or edge formulations. To switch from MSP formulation to MVP or edge formulation, you switch element type.

Note

You must also switch boundary conditions (flux-normal-flux-parallel).

The following are important additional points to remember about accuracy:

  • Energy is the most accurate quantity.

    The finite element method is a variational procedure minimizing or maximizing the energy stored in the studied domain. Thus, energy is the most accurate single number characterizing a solution. Monitoring the convergence of energy is a prudent way to check accuracy.

    The MSP and MVP or edge formulations converge monotonously to the exact energy from above and below, respectively. Therefore, without knowing the exact energy, you can obtain a good accuracy measure by checking the energy difference between MSP and MVP or edge solutions. If you refine the mesh, this energy difference must theoretically decrease.

    The LMATRIX command macro computes the inductance matrix of a coil system based on the stored energy. Therefore, the difference between MSP and MVP or edge inductance coefficients is also a good accuracy measure.

  • In accuracy critical applications, rely on centroidal field values.

    Field quantities are less accurate than nodal solutions because they are obtained from derivatives of the potential solution. The derivatives are first evaluated at the element integration points then extrapolated to corner nodes. Consequently, integration point field values are more reliable than corner data. Centroidal field values are averaged integration point values.

    The finite element variational procedure converges in the energy space. In most situations the energy convergence implies convergence of local field values. However, field values at special locations, like corners and edges, may not converge.

  • Continuity conditions are a reasonable measure of solution accuracy.

    The satisfaction of continuity conditions is a reasonable measure of solution accuracy. The MSP and MVP or edge formulations must satisfy continuity of tangential magnetic field, Ht, and normal flux density, Bn, respectively. Therefore, the difference in Ht and Bn continuity is a good measure of MSP and MVP or edge convergence, respectively.

  • MMF and flux are better accuracy measures than continuity conditions.

    Although the difference in Ht and Bn is a reasonable measure of the accuracy of a magnetic finite element solution, these values contain differentiation and extrapolation errors, especially when evaluated at element nodes. Integration can smooth these fluctuations.

    MMF (magnetomotive force) is the closed loop integral of Ht. When MMF is evaluated over various loops enclosing the same current, according to Ampere's law, the loop integral should theoretically be equal to the enclosed current. Therefore, the difference in MMF values over different loops enclosing identical current is a good measure of MVP or edge solution accuracy. See the MMF macro for a convenient way to evaluate magnetomotive force.

    The flux is the surface integral of Bn over a closed loop. Since there are no magnetic poles, the flux crossing the surfaces of a flux tube is constant. In general, it is impractical to predict a flux tube. However, for accuracy check purposes, you can select elements on opposite sides of a surface to obtain two faces of a flux tube. The flux difference crossing the same surface is a good measure of MSP solution accuracy.

  • In accuracy critical applications, tighten the Biot Savart tolerance for MSP solutions.

    In MSP solutions, ANSYS applies the Biot Savart integration procedure to evaluate source magnetic field values exited by SOURC36 current source elements. The accuracy of the Biot Savart calculations is most critical at corners and edges. The default tolerance value is satisfactory for most applications. However, in accuracy critical applications, you may need to tighten the tolerance (SOURC36 element real constant EPS).

  • For MSP solutions, apply a pseudo iron material around iron domains.

    To avoid cancellation errors, the MSP formulation applies certain physical assumptions in the iron region. These assumptions may not prove to be good approximations where iron regions are heavily saturated (for example, near corners and edges). Sometimes air regions may behave similar to iron. Violated assumptions may degrade accuracy.

    ANSYS differentiates air and iron regions by the relative permeability. A material with a relative permeability larger than one is considered to be iron. To avoid a violation of the air-iron behavior assumptions, apply a couple layers of pseudo iron material around iron domains. Set the relative permeability to slightly above one (for example 1.0001).

    Note

    Make sure that elements occupying the air space of coils are "real" air elements (that is, the relative permeability is exactly one).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.2. Types of Static, Harmonic, and Transient Magnetic Analysis 		Up / Home Next
1.4. Summary of Electromagnetic Elements


1.4. Summary of Electromagnetic Elements

The ANSYS program includes a variety of elements you can use to model electromagnetic phenomena. Table 1.6: "List of Electromagnetic Elements" summarizes them briefly. For detailed descriptions of the elements and their characteristics (DOFs, KEYOPT options, inputs and outputs, etc.), see the Elements Reference.

Not all elements listed in the table below apply to every type of electromagnetic analysis described in this manual. To see which elements apply to a particular analysis type, read the chapter(s) discussing that analysis type.

Table 1.6 List of Electromagnetic Elements

Element | Dim. | Element Type | No. of Nodes | Shape | DOFs[1] and Other Features
PLANE53 | 2-D | Magnetic solid vector | 8 | Quad | AZ, AZ-VOLT, AZ-CURR, AZ-CURR-EMF
SOURC36 | 3-D | Current source | 3 | n/a | No DOF; coil, bar, and arc shape primitives
SOLID96 | 3-D | Magnetic solid scalar | 8 | Brick | MAG; reduced, difference, general potential formulations
SOLID97 | 3-D | Magnetic solid vector | 8 | Brick | AX, AY, AZ; AX, AY, AZ, VOLT; AX, AY, AZ, CURR; AX, AY, AZ, CURR, EMF; AX, AY, AZ, CURR, VOLT; velocity effects and circuit coupling
INTER115 | 3-D | Interface (vector to scalar domains) | 4 | Quad | AX, AY, AZ, MAG
SOLID117 | 3-D | Low-frequency edge | 20 | Brick | AZ (edge), AZ (edge)-VOLT
CIRCU124 | 1-D | Circuit | 2–6 | Line | VOLT, CURR, EMF; resistor, capacitor, inductor, current source, voltage source, stranded coil, 2-D massive coil, 3-D massive coil, mutual inductor, controlled source
CIRCU125 | 1-D | Diode | 2 | Line | VOLT
PLANE121 | 2-D | Electrostatic solid | 8 | Quad | VOLT
SOLID122 | 3-D | Electrostatic solid | 20 | Brick | VOLT
SOLID123 | 3-D | Electrostatic solid | 10 | Tet | VOLT
SOLID127 | 3-D | Electrostatic solid | 10 | Tet | VOLT
SOLID128 | 3-D | Electrostatic solid | 20 | Brick | VOLT
INFIN9 | 2-D | Infinite boundary | 2 | Line | AZ-TEMP
INFIN110 | 2-D | Infinite solid | 8 | Quad | AZ, VOLT, TEMP
INFIN47 | 3-D | Infinite boundary | 4 | Quad | MAG, TEMP
INFIN111 | 3-D | Infinite solid | 20 | Brick | MAG, AX, AY, AZ, VOLT, TEMP
PLANE67 | 2-D | Thermoelectric solid | 4 | Quad | TEMP-VOLT
LINK68 | 3-D | Thermoelectric bar | 2 | Line | TEMP-VOLT
SOLID69 | 3-D | Thermoelectric solid | 8 | Brick | TEMP-VOLT
SHELL157 | 3-D | Thermoelectric shell | 4 | Quad | TEMP-VOLT
PLANE13 | 2-D | Coupled solid | 4 | Quad | UX, UY, TEMP, AZ UX-UY-VOLT
SOLID5 | 3-D | Coupled solid | 8 | Brick | UX-UY-UZ-TEMP-VOLT-MAG; TEMP-VOLT-MAG UX-UY-UZ; TEMP, VOLT, MAG
SOLID62 | 3-D | Magnetostructural | 8 | Brick | UX-UY-UZ-AX-AY-AZ-VOLT
SOLID98 | 3-D | Coupled tetrahedral | 10 | Tet | UX-UY-UZ-TEMP-VOLT-MAG; TEMP-VOLT-MAG UX-UY-UZ; TEMP, VOLT, MAG
CONTA171 | 2-D | Surface-to-surface contact | 2 | n/a | AZ,VOLT
CONTA172 | 2-D | Surface-to-surface contact | 3 | n/a | AZ,VOLT
CONTA173 | 3-D | Surface-to-surface contact | 4 | n/a | MAG,VOLT
CONTA174 | 3-D | Surface-to-surface contact | 8 | n/a | MAG,VOLT
CONTA175 | 2-D/3-D | Node-to-surface contact | 1 | n/a | AZ, MAG,VOLT
TARGE169 | 2-D | Target segment | n/a | n/a | n/a
TARGE170 | 3-D | Target segment | n/a | n/a | n/a
PLANE230 | 2-D | Electric solid | 8 | Quad | VOLT
SOLID231 | 3-D | Electric solid | 20 | Brick | VOLT
SOLID232 | 3-D | Electric solid | 10 | Tet | VOLT

  1. DOFs available depend on an element's KEYOPT settings.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.3. Comparing Magnetic Formulations 		Up / Home Next
1.5. About GUI Paths and Command Syntax


1.5. About GUI Paths and Command Syntax

Throughout this document, you will see references to ANSYS commands and their equivalent GUI paths. Such references use only the command name, because you do not always need to specify all of a command's arguments, and specific combinations of command arguments perform different functions. For complete syntax descriptions of ANSYS commands, consult the Commands Reference.

The GUI paths shown are as complete as possible. In many cases, choosing the GUI path as shown will perform the function you want. In other cases, choosing the GUI path given in this document takes you to a menu or dialog box; from there, you must choose additional options that are appropriate for the specific task being performed.

For all types of analyses described in this guide, specify the material you will be simulating using an intuitive material model interface. This interface uses a hierarchical tree structure of material categories, which is intended to assist you in choosing the appropriate model for your analysis. See Material Model Interface in the Basic Analysis Guide for details on the material model interface.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.4. Summary of Electromagnetic Elements 		Up / Home Next
Chapter 2. 2-D Static Magnetic Analysis


Chapter 2. 2-D Static Magnetic Analysis

A static magnetic analysis calculates the magnetic fields produced by one of the following:

  • Permanent magnets

  • The steady flow of direct electric current (DC)

  • An applied voltage

  • A moving conductor

  • An applied external field.

Static magnetic analyses do not consider time-dependent effects such as eddy currents. You can model both saturable and non-saturable magnetic materials, as well as permanent magnets in a static magnetic analysis.

The procedure for a static magnetic analysis depends on several factors:

  • Whether your model is 2-D or 3-D.

  • Which method you wish to use for your analysis. If your static analysis is 2-D, you must use the vector potential formulation discussed in this chapter. For a 3-D static analysis, you can choose among a scalar formulation (described in "3-D Static Magnetic Analysis (Scalar Method)"), a vector potential formulation (described in "3-D Nodal-Based Analyses (Static, Harmonic, and Transient)"), or an edge element formulation (explained in "3-D Magnetostatics and Fundamentals of Edge-Based Analysis").

  • Whether you're modeling two contacting bodies with dissimilar meshes (such as the air gap in a rotor/stator configuration). See Modeling Magnetic Contact for more information on modeling contact problems using surface-to-surface or node-to-surface contact elements.

The following 2-D static magnetic analysis topics are available:

  • Elements Used in 2-D Static Magnetic Analysis
  • Steps in a Static Magnetic Analysis
  • Doing an Example 2-D Static Magnetic Analysis (GUI Method)
  • Doing an Example 2-D Static Magnetic Analysis (Command Method)
  • Doing an Example 2-D Static Magnetic Contact Analysis (Command Method)
  • Where to Find Other Examples

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.5. About GUI Paths and Command Syntax 		Up / Home Next
2.1. Elements Used in 2-D Static Magnetic Analysis


2.1. Elements Used in 2-D Static Magnetic Analysis

A 2-D model uses 2-D elements to represent the geometry of the structure. Although all objects and structures are 3-D, you can and often should consider using a 2-D model for your analysis when the geometry lends itself to planar or axisymmetric modeling. This is because a 2-D model usually is much easier to generate and takes less time to solve.

The ANSYS Multiphysics and ANSYS Emag programs include several elements (described below) to help you perform 2-D static magnetic analyses.

For detailed information about the elements, see the Elements Reference.

Table 2.1 2-D Solid Elements

Element | Dimens. | Shape or Characteristic | DOFs | Notes
PLANE13 | 2-D | 4-node quadrilateral or 3-node triangular | Up to four at each node; these can be magnetic vector potential (AZ), displacements, temperature, or time-integrated electric potential | Supported for cyclic symmetry (periodic) analysis.
PLANE53 | 2-D | 8-node quadrilateralor 6-node triangular | Up to four at each node; these can be magnetic vector potential (AZ), time-integrated electric potential, current, or electromotive force drop | Supported for cyclic symmetry (periodic) analysis.

Table 2.2 Far-Field Elements

Element | Dimens. | Shape or Characteristic | DOFs
INFIN9 | 2-D | 2-node line | Magnetic vector potential (AZ)
INFIN110 | 2-D | 4-node or 8-node quadrilateral | Magnetic vector potential (AZ), electric potential, temperature

Table 2.3 General Circuit Elements

Element | Dimens. | Shape or Characteristic | DOFs | Notes
CIRCU124 | None | General circuit element; up to 6 nodes | Up to three at each node; these can be electric potential, current, or electromotive force drop | Used to couple with a magnetic domain

Table 2.4 Contact Elements

Element | Dimens. | Shape or Characteristic | DOFs | Notes
TARGE169 | 2-D | Target segment | n/a | Used to model the target region for a contact analysis
CONTA171 | 2-D | Surface-to-surface contact element (2-node) | AZ | Used to model the contact region for a contact analysis
CONTA172 | 2-D | Surface-to-surface contact element (3-node) | AZ | Used to model the contact region for a contact analysis
CONTA175 | 2-D | Node-to-surface contact element (1-node) | AZ | Used to model the contact region for a contact analysis

The 2-D elements use a magnetic vector potential formulation. (In other words, the degrees of freedom used to solve the problem are vector potentials.) Because the elements are 2-D, each node has only one vector potential degree of freedom: AZ (vector potential in the Z direction). The time-integrated electric potential (VOLT) is used for current-fed massive conductors and for enforcing terminal conditions on conductors.

An additional degree of freedom, current (CURR), is used in the source coil region to make voltage loads easier to apply. CURR, representing the current flowing in each turn of the coil winding, is used for voltage-fed coils and circuit coupling. Applying a voltage or current load through an external circuit requires the AZ, CURR, and EMF (electromotive force drop or potential drop) degrees of freedom along with the CIRCU124 element. (See the Coupled-Field Analysis Guide for more information about electromagnetic-circuit coupling.)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 2. 2-D Static Magnetic Analysis 		Up / Home Next
2.2. Steps in a Static Magnetic Analysis


2.2. Steps in a Static Magnetic Analysis

The procedure for doing a static magnetic analysis consists of five main steps:

  1. Create the physics environment.

  2. Build and mesh the model and assign physics attributes to each region within the model.

  3. Apply boundary conditions and loads (excitation).

  4. Obtain the solution.

  5. Review the results.

The next few topics discuss what you must do to perform these tasks. At the end of this chapter, you will find a 2-D static analysis example based on an actual analysis of a solenoid actuator. The example walks you through doing the analysis by choosing items from ANSYS GUI menus, then shows you how to perform the same analysis using ANSYS commands.

2.2.1. Creating the Physics Environment

In defining the physics environment for an analysis, you enter the ANSYS preprocessor (PREP7) and establish a mathematical simulation model of the physical problem. To do so, you follow the steps listed below. (Subsequent topics discuss each step in more detail.)

  1. Set GUI Preferences.

  2. Define the analysis title (/TITLE card).

  3. Define element types and options (KEYOPT settings).

  4. Define element coordinate systems.

  5. Set real constants and define a system of units.

  6. Define material properties.

2.2.1.1. Setting GUI Preferences

If you are running ANSYS via the GUI, the first thing you should do after the GUI becomes active is choose menu path Main Menu> Preferences. Then, on the dialog box that appears, select Magnetic-Nodal from the list of magnetic analysis types. Because the GUI filters the elements available to you based on the preference you choose, you must set preferences before doing anything else, and you must specify Magnetic-Nodal to ensure that you can use the elements needed for 2-D static analysis.

2.2.1.2. Defining an Analysis Title

Give your analysis a title that reflects the problem being analyzed, such as "2-D solenoid actuator static analysis." Be sure to choose a unique title to distinguish this analysis problem from others that may use similar model geometry or physics. To assign a title, use either of the following:

Command(s): | /TITLE
GUI: | Utility Menu> File> Change Title

2.2.1.3. Specifying Element Types and Options

The tasks you perform to choose element types are the same for a static magnetic analysis as they are for other analysis types, and the Basic Analysis Guide explains these procedures at length.

Element types establish the physics of the problem domain. Depending on the nature of the problem, you may need to define several element types to model the different physics regions in the model. For example, a permeable iron region may require one element type, and a stranded coil may require a different element type. The element types you choose and their options (KEYOPTS, discussed next) define the nature of the domain to be solved. Once you have specified element types and options, you can assign them to different regions of the model.

The tables and figures below show you regions that can exist within a 2-D model. Details on specifying material properties and real constants noted in the tables and figures follow in the next few sections.

Air | DOF: AZ Material Properties: MUr (MURX), rho (RSVX) (if Joule losses are desired)
Iron | DOF: AZ Material Properties: MUr (MURX) or B-H curve (TB command)
Permanent magnet | DOF: AZ Material Properties: MUr (MURX) or B-H curve (TB command); Hc (coercive force in terms of vector components, MGXX, MGYY)

Note

Polarization direction is determined by coercion force (magnetization) terms MGXX and MGYY in conjunction with the element coordinate system.

Current-fed stranded coil DOF: AZ

Material Properties: MUr (MURX)

Special characteristics: Apply source current density, JS (using BFE,,JS command)

Note

Assumes a stranded insulated coil producing a constant DC current, unaffected by surrounding conditions. You can calculate current density from the number of coil turns, the current per turn, and the cross-section area of the coil.

Voltage-fed stranded coil DOFs: AZ, CURR

Material Properties: MUr (MURX), rho (RSVX)

Real constants: CARE, TURN, LENG, DIRZ, FILL

Special characteristics: Apply voltage drop (VLTG) via BFE command; couple CURR DOFs in region

Note

You can use element PLANE53 to model this source. Applied voltage is unaffected by surroundings.

Moving conducting bodies DOFs: AZ

Material Properties: MUr (MURX), or B-H curve (TB command), rho (RSVX)

Real constants: VELOX, VELOY, OMEGAZ, XLOC, YLOC

Note

Moving body must not undergo spatial change in the "material". See Step 1d for more details.

Dissimilar mesh interface DOFs: AZ

Contact elements: TARGE169, CONTA171, CONTA172, CONTA175

CONTA17x KEYOPTS: KEYOPT(1)=7 (AZ), KEYOPT(2)=2 (MPC approach), KEYOPT(4) = 1 or 2 (n/a for CONTA175), KEYOPT(12)=5

Use PLANE13 and PLANE53 elements to represent all interior regions of your model magnetic (permeable) regions, current-conducting regions, permanent (i.e., magnet) regions, and air (free space), etc.

To model an unbounded problem domain, use of either INFIN9, the two-node boundary element for planar analysis, or INFIN110, the four- or eight-node boundary element, for planar or axisymmetric analyses is recommended. INFIN9 or INFIN110 can model the far-field decay in the magnetic field, and will give better results than an assumed flux-parallel or flux-normal boundary condition.

Most element types have additional options known as KEYOPTS, which you use to modify element characteristics. For example, element PLANE53 has the following KEYOPTS:

KEYOPT(1)

Selects the element's DOFs

KEYOPT(2)

Specified whether the element uses the conventional velocity formulation or ignores velocity effects

KEYOPT(3)

Selects plane or axisymmetric option

KEYOPT(4)

Sets the type of element coordinate system

KEYOPT(5)

Specifies print options for the element

KEYOPT(7)

Stores magnetic forces for coupling with either midside node (higher order) or non-midside node structural elements

Each element type uses different KEYOPTS, and the characteristics that KEYOPTS define vary from one element to another. KEYOPT(1) controls the use of additional degrees of freedom. These additional DOFs are used to model different physics in the electromagnetic domain (for example, a stranded conductor, a massive conductor, a circuit-coupled conductor, etc.). To see which KEYOPTS and KEYOPT settings apply to a particular element, see its description in the Elements Reference.

To specify KEYOPT settings, use one of the following:

Command(s): | ET, KEYOPT
GUI: | Main Menu> Preprocessor> Element Type> Add/Edit/Delete

2.2.1.4. Defining the Element Coordinate System

After defining element types and options, if you have laminated materials or permanent magnets aligned in an arbitrary manner you need to identify the element coordinate system or systems to be used. The Global Cartesian coordinate system is the default. You can specify a different coordinate system by specifying its origin location and orientation angles. To do so, use either of the following:

Command(s): | LOCAL
GUI: | Utility Menu> WorkPlane> Local Coordinate Systems> Create Local CS> At Specified Loc

The coordinate system types available are Cartesian, cylindrical (circular or elliptical), spherical (or spheroidal), and toroidal. Once you have defined one or more element coordinate systems, you can set a pointer that identifies the coordinate system to be assigned to subsequently defined elements (area and volume elements only). Set the pointer using one of the following:

Command(s): | ESYS
GUI: | Main Menu> Preprocessor> Meshing> Mesh Attributes> Default Attribs Main Menu> Preprocessor> Modeling> Create> Elements> Elem Attributes

2.2.1.5. Defining Element Real Constants and a System of Units

Element real constants are properties that depend on the element type. You specify real constants using the R family of command (R, RMODIF, etc.) and their equivalent GUI paths. In electromagnetics, you use real constants define stranded coil geometry and winding characteristics, or to describe velocity effects. Observe two rules when defining real constants:

  1. You must enter real constants in the order in which they are listed in the Elements Reference.

  2. For models using multiple element types, use a separate real constant set (that is, a different REAL reference number) for each element type. However, a single element type may reference several real constant sets.

See "Getting Started with ANSYS" in the Basic Analysis Guide for more information about defining real constants.

2.2.1.5.1. Choosing a System of Units for Your Analysis

The default system of units is MKS (meter-ampere-second). You can change this to any other system you prefer using one of the methods shown below. Voltage-fed or circuit-fed conductors may use only the MKS system of units. Once you choose a system of units, all input data must be in that system.

Command(s): | EMUNIT
GUI: | Main Menu> Preprocessor> Material Props> Electromag Units

Based on the input units you specify, the free-space permeability μo is determined automatically as follows:

μo= 4 π x 10-7 H/m in MKS units

or

μo= the value specified with the EMUNIT command or its GUI path equivalent.

2.2.1.6. Specifying Material Properties

Your model may have any or all of the following material regions: air, (free-space) permeable materials, current-conducting regions, and permanent magnets. Each type of material region has certain required material properties.

The ANSYS material library contains definitions of several materials with magnetic properties. Instead of defining material properties from scratch, you can read these material properties into the ANSYS database and, if necessary, modify them to match the materials in your analysis problem more closely.

Materials with magnetic properties defined in the ANSYS material library are as follows:

Material | Material Property File Containing Its Definition
Copper | emagCopper.SI_MPL
M3 steel | emagM3.SI_MPL
M54 steel | emagM54.SI_MPL
SA1010 steel | emagSa1010.SI_MPL
Carpenter (silicon) steel | emagSilicon.SI_MPL
Iron cobalt vanadium steel | emagVanad.SI_MPL

The copper property presents temperature-dependent resistivity and relative permeability. All other properties are B-H curves.

The property definitions in the material library specify properties "typical" for the materials listed. ANSYS, Inc. has extrapolated these properties to cover high saturation conditions. Your actual material values may differ from those supplied; therefore, you may need to modify the ANSYS material library files you use.

2.2.1.6.1. Accessing Material Library Files

The next few paragraphs explain basic procedures for reading and writing material library files. You can find a more detailed discussion of these procedures and the ANSYS material library in "Getting Started with ANSYS" of the Basic Analysis Guide.

To read a material library file into the ANSYS database, do the following:

  1. If you have not already specified the system of units you are using, issue the /UNITS command.

    Note

    The default system of units for ANSYS is MKS. The GUI lists only material library files with the currently active units.

  2. Define the material library read path for the material of interest. (You will need to know which directory path your system administrator has used to store the material library files.) To do so, use either of the following:

    Command(s): /MPLIB,READ,pathdata
    GUI: Main Menu> Preprocessor> Material Props> Material Library> Library Path

  3. Read the material library file into the database using one of the following:

    Command(s): MPREAD,filename...LIB
    GUI: Main Menu> Preprocessor> Material Props> Material Library> Import Library
    Main Menu> Preprocessor> Loads> Load Step Opts> Other> Change Mat Props
    Main Menu> Preprocessor> Material Props> Material Library> Import Library

To write changes to a material library file, perform these steps:

  1. Edit the material property definition using either the MP command (Main Menu> Preprocessor> Material Props> Material Models, Isotropic). Make sure that your revised definition includes a material number and at least one material property value (for example, magnetic permeability or MURX).

  2. From the PREP7 preprocessor, issue the command shown below:

    Command(s): MPWRITE,filename,,,LIB,MAT
    GUI: Main Menu> Preprocessor> Material Props> Material Library> Export Library (material library file)

2.2.1.6.2. Additional Guidelines for Defining Regional Material Properties and Real Constants

The next few paragraphs provide some guidelines for setting up physics regions for your model. In addition, you may want to consult "2-D Harmonic (AC) Analysis"; it pictures and describes the regions that can exist within a 2-D model.

For air regions:

Specify a relative permeability of 1.0. To do so, use one of the following:

Command(s): | MP,MURX
GUI: | Main Menu> Preprocessor> Material Props> Material Models> Electromagnetics> Relative Permeability> Constant

Back To Top

For permeable material regions:

For linear magnetic material, you can specify relative permeability values MURX, MURY, and MURZ using the MP command. To specify a linear isotropic material, you only need to specify MURX. MURY and MURZ default to MURX. Free-space permeability MUZRO is set by the EMUNIT command. Ignoring permanent magnet effects, the B-H equations for linear magnetic materials are:

Bx = (MUZRO) (MURX) (Hx)
By = (MUZRO) (MURY) (Hy)
Bz = (MUZRO) (MURZ) (Hz)

For nonlinear soft magnetic material, specify the B-H curve by reading from a material library or by creating your own B-H curve:

Command(s): | MPREAD,filename, ...
GUI: | Main Menu> Preprocessor> Material Props> Material Library> Import Library
Command(s): | TB, TBPT
GUI: | Main Menu> Preprocessor> Material Props> Material Models> Electromagnetics> BH Curve

If you specify a B-H curve, it should meet the following requirements for the material to be represented accurately:

  • The B values must be unique for each H value, and must start at the origin and monotonically increase with H, as shown in Figure 2.1: "B-H and Reluctivity vs. B Squared Curves"(a). By default, the B-H curve will pass through the origin (that is, the 0.0 point is not to be explicitly defined). You can verify this by plotting B versus H using one of the methods shown below. (For more information, see the Elements Reference.)

    Command(s): TBPLOT
    GUI: Main Menu> Preprocessor> Material Props> Material Models> Electromagnetics> BH Curve

  • The ν-B2 curve that ANSYS calculates internally (where ν is the reluctivity) should be smooth and continuous. You can verify this by plotting ν versus B2 using the TBPLOT command. (See Figure 2.1: "B-H and Reluctivity vs. B Squared Curves"(b).)

  • The B-H curve should cover the complete operating range of the material. If a point beyond the end of the curve is required, the B-H curve is extrapolated with a slope equal to the free-space permeability. You can view values in the extrapolated region by adjusting the X-axis range. To do so, use one of the following together with the TBPLOT command:

    Command(s): /XRANGE
    GUI: Utility Menu> PlotCtrls> Style> Graphs

Figure 2.1 B-H and Reluctivity vs. B Squared Curves

If a nonlinear B-H curve is specified without any relative permeability values, the B-H equations are:

Bx = F(|H|) / (|H|) (Hx)
By = F(|H|) / (|H|) (Hy)
Bz = F(|H|) / (|H|) (Hz)
where:
|H| = {(Hx)2 + (Hy)2 + (Hz)2}1/2

If a nonlinear B-H curve and relative permeability (MURX label) are specified for the same material, the relative permeability will be used.

Orthotropic material relative permeability may be assigned using the MURX, MURY, and MURZ labels on the MP command. A B-H curve may be used in conjunction with relative permeability to model nonlinear effects along any one of the three orthogonal axes (such as for laminated iron material). To invoke the usage of a B-H curve along one of the axes, set the relative permeability for that axis explicitly to zero. For example, assume a B-H curve is defined for material number 2. You want to have the curve active along the Y-axis, while assigning the X and Z axes a relative permeability of 1000. Your input would be:

mp,murx,2,1000
mp,mury,2,0! read B-H curve for material 2
mp,murz,2,1000

If a B-H curve is specified along with zero permeability in two directions and a non-zero permeability in one direction, the B-H curve will be applied to the two axes with zero permeability. For example, if MURX and MURY are zero and MURZ is non-zero, the B-H equations are:

Bx = F(|H|) / (|H|) (Hx)
By = F(|H|) / (|H|) (Hy)
Bz = (MUZRO) (MURZ) (Hz)
where:
|H| = {(Hx)2 + (Hy)2 + (Hz)2}1/2

2.2.1.7. For source conductor regions:

A source conductor is a conductor connected to an external current "generator" that supplies a constant current. Specify resistivity if you wish to have the ANSYS program calculate Joule heating losses. Resistivity may be isotropic or orthotropic. To specify resistivity, use one of the following:

Command(s): | MP,RSVX
GUI: | Main Menu> Preprocessor> Material Props> Material Models> Electromagnetics> Resistivity> Constant

In a static analysis, resistivity is used only for loss calculations.

2.2.1.8. For moving conductor regions:

For a moving conductor analysis (velocity effects), specify isotropic resistivity (using the command or GUI path shown above).

You can solve electromagnetic fields for special cases of moving bodies. Valid special cases are those in which the moving body presents itself as a homogeneous moving body for which the moving "material" undergoes no spatial change. Figure 2.2: "Applicable Configurations for Considering Velocity Effects of Moving Bodies" shows two valid cases:

  • In the first case, a solid rotor is rotating about an axis at a constant rotational speed.

  • In the second case, an "infinitely" long conductor is translating at a constant velocity.

Figure 2.2 Applicable Configurations for Considering Velocity Effects of Moving Bodies

An invalid case would be a "slotted" rotor rotating at constant speed. In this case, the slots in the motor present a discontinuity in material as the body rotates. Another invalid case would be a translating conductor of finite width moving in a magnetic field. Typical valid applications are solid rotor induction machines, linear induction machines, and eddy-current braking systems.

A static analysis requires input to specify the translational velocity or the rotational speed of the conductor. You specify the velocity term and pivot point for angular velocity through element real constants. You activate velocity effects using the element KEYOPT options. Velocity effects are available only for the PLANE53 element.

2.2.1.9. Real Constants for Moving Body Analysis

The following real constants are available for moving body analysis:

  • VELOX, VELOY - Velocity components in the Global Cartesian Coordinate system X and Y direction respectively.

  • OMEGAZ - Angular (rotational) velocity (expressed in cycles/sec. (Hz)) about the Global Cartesian system Z axis, located at the pivot point (XLOC, YLOC).

  • XLOC, YLOC - Global Cartesian coordinate point locations of the rotating body in the X and Y directions respectively.

Accuracy of analysis results for electromagnetic problems with moving bodies depend on the mesh refinement, permeability, conductivity, and velocity. A magnetic Reynolds number is defined to characterize the problem:

Mre = μvd/ρ

In the equation above, μ is permeability, ρ is resistivity, v is velocity, and d is characteristic length (in the directional motion) within a finite element of the conducting body. The magnetic Reynolds number is meaningful only in a static or transient analysis.

The motion formulation is valid and accurate for relatively small values of the Reynolds number, typically on the order of 1.0. Accuracy for higher Reynolds number values will vary from problem to problem. The magnetic Reynolds number is calculated and available in the postprocessor for viewing. In addition to a field solution, the motion solution includes currents in the conductor due to motion. This is available in the postprocessor.

2.2.1.10. For Permanent Magnet Regions:

Requirements are the normal demagnetization B-H curve (or relative permeability, if linear) and components of the magnetic coercive force vector (values MGXX, MGYY, or MGZZ for either of the following):

Command(s): | MP
GUI: | Main Menu> Preprocessor> Material Props> Material Models> Electromagnetics> BH Curve

The demagnetization B-H curve, which normally lies in the second quadrant, must be defined in the first quadrant. To do this, you need to add a constant "shift" to all H values, as shown in Figure 2.3: "Actual and ANSYS (Shifted) Demagnetization Curves". The shift, given by:

represents the magnitude of the coercive force. The coercive force components are used to align the magnetization axis of the magnet with the element coordinate system.

Figure 2.3 Actual and ANSYS (Shifted) Demagnetization Curves

The example below shows a bar magnet that lies along an axis 30o to the global x-Y plane. The elements in the magnet are assumed to be assigned to a local element coordinate system whose X-axis is aligned with the polarization direction. The example also shows the magnet's demagnetization characteristics and the corresponding material property input.

/PREP7
HC=3000             ! Coercive force
BR=4000            ! Residual induction

THETA=30           ! Permanent magnet orientation
*AFUN,DEG          ! Angular parametric functions in degrees
MP,MGXX,2,HC! X component of coercive force
! B-H curve:
TB,BH,2               ! B-H curve for material 2
TBPT,DEFI,-3000+HC,0  ! Shifted B-H curve
TBPT,,-2800+HC,500    ! First field defaults to "DEFI"
TBPT,,-2550+HC,1000
TBPT,,-2250+HC,1500
TBPT,,-2000+HC,1800
TBPT,,-1800+HC,2000
TBPT,,-1350+HC,2500
TBPT,,-900+HC,3000
TBPT,,-425+HC,3500
TBPT,,0+HC,4000
TBPLOT,BH,2           ! Plot of B vs. H

Figure 2.4: "B-H Curve for Bar Magnet Example" shows the B-H curve for the permanent magnet as created in the first quadrant. For more information, read the descriptions of the *AFUN, MP, TB, and TBPLOT commands in the Commands Reference.

Figure 2.4 B-H Curve for Bar Magnet Example

You can represent nonlinear orthotropic materials (laminated structures) by combining a single B-H curve with orthotropic relative permeability. ANSYS will use the B-H curve in each element coordinate system direction where a zero specified value of relative permeability is assigned. (For related information, see the description of the ESYS command in the Commands Reference.)

2.2.1.11. For voltage-fed stranded coil regions:

For voltage-fed stranded coils, specify the electrical resistivity, using one of the following:

Command(s): | MP,RSVX
GUI: | Main Menu> Preprocessor> Material Props> Material Models> Electromagnetics> Resistivity> Constant

You can specify only isotropic resistivity. Stranded coils are coils built from winding a single continuous loop of wire, similar to the example coil constructed of "N" winding turns shown in Figure 2.5: "Stranded Coil Cross-Section":

Figure 2.5 Stranded Coil Cross-Section

Voltage-fed stranded coils (available only for the PLANE53 element) require the following real constants to completely describe the stranded coil:

CARE | Coil cross-sectional area. This constant represents the true physical cross-section of the stranded coil regardless of any symmetry modeling considerations.
TURN | Total number of coil turns. This constant represents the total number of winding turns in a stranded coil regardless of any symmetry modeling considerations.
LENG | Coil length in Z-direction. For 2-D planar problems, this constant represents the true length of the coil and allows for modeling coils of varying length to account for proper electrical characterization.
DIRZ | Current direction. This constant assigns a direction to the current flow. The current can flow either into the coil or out of the coil. For details, see the description of element PLANE53 in the Elements Reference.
FILL | Coil fill factor. The fill factor represents the fraction of the coil cross-section that the coil windings occupy. This factor affects the coil resistance (and you can use it to "adjust" coil resistance).

2.2.2. Building and Meshing the Model and Assigning Region Attributes

To build your model, use the procedures discussed in the Modeling and Meshing Guide. Then, assign attributes to each region in your model. (Attributes are the element types and options, element coordinate systems, real constants, and material properties you defined in Creating the Physics Environment.)

To assign attributes via the GUI, perform these tasks:

  1. Choose Main Menu> Preprocessor> Meshing> Mesh Attributes> Picked Areas. The Meshing Attributes dialog box appears.

  2. Pick the area(s) comprising one of the regions in your model.

  3. On the dialog box, specify the material number, real constant set number, element type number, and element coordinate system to use for the area or areas. Click OK.

  4. Repeat the process for the next region, the region after that, and so on until all regions have defined attributes.

If you are modeling two contacted bodies, follow the steps for a magnetic contact analysis, explained in Modeling Magnetic Contact.

To assign attributes via commands, issue the ASEL command to select a region's area or areas. Then, issue these commands: MAT (specifies the material number), REAL (specifies a real constant set), TYPE (assigns an element type number), and ESYS (assigns an element coordinate system). Issue the same command sequence for each area until all model regions have assigned attributes. (The Commands Reference contains detailed information about the commands.)

When you have assigned all regional attributes, mesh the model using the procedures explained in the Modeling and Meshing Guide.

2.2.3. Applying Boundary Conditions and Loads

You can apply boundary conditions and loads to a 2-D static magnetic analysis either on the solid model (keypoints, lines, and areas) or on the finite element model (nodes and elements). The ANSYS program automatically transfers loads applied to the solid model to the mesh during solution.

You access all loading operations through a series of cascading menus. When you choose Main Menu> Solution> Define Loads> Apply> Magnetic, the ANSYS program lists available boundary conditions and three load categories. You then choose the appropriate category and the appropriate boundary condition or load. The boundary conditions and loads you can choose for a 2-D static analysis are as follows:

-Boundary- | -Excitation- | -Flag- | -Other-
-Vector Poten- | -Curr Density- | Comp. Force | -Curr Segment-
On Keypoints | On Keypoints | -Infinite Surf- | On Keypoints
On Nodes | On Nodes | On Lines | On Nodes
-Flux Par'l- | On Elements | On Areas | -Maxwell Surf-
On Lines | Voltage Drop | On Nodes | On Lines
On Nodes |  |  | On Areas
-Flux Normal- |  |  | On Nodes
On Lines |  |  | -Virtual Disp-
On Nodes |  |  | On Keypoints
Periodic BCs* |  |  | On Nodes

*For periodic boundary conditions, use ANSYS' cyclic symmetry capability.

For example, to apply current density to elements, follow this GUI path:

GUI:

Main Menu> Preprocessor> Define Loads> Apply> Magnetic> Excitation> Curr Density> On Elements

You may see other load types or loads listed on the menus. If they are grayed out, either they do not apply to 2-D static analysis or the appropriate KEYOPT option on the element type has not been set. (However, the grayed-out items will be valid for other types of magnetic analysis; the ANSYS GUI filters menu choices.)

Alternatively, you can issue ANSYS commands to specify loads. See "Alternative Analysis Options and Solution Methods" of this manual for information on how to do so.

To list existing loads, follow this GUI path:

GUI:

Utility Menu> List> Loads> load type

The next few paragraphs describe the loads you can apply.

2.2.3.1. Boundary Conditions

2.2.3.1.1. Magnetic vector potentials (AZ)

These loads specify flux-parallel, far-field, and periodic boundary conditions, as well as an imposed external magnetic field. The following table shows the AZ values required for each type of boundary condition:

Boundary Condition | Value of AZ
Flux-normal | None required (naturally occurring)
Flux-parallel | Specify AZ = 0, using the D command (Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Boundary> Vector Poten or Flux Par'l> On Lines or On Nodes).
Far-field | Uses element INFIN9 (planar analyses only) or element INFIN110
Periodic | For static analyses, use ANSYS' cyclic symmetry capability. For harmonic or transient analyses, use the PERBC2D macro (described in "Electric and Magnetic Macros") to create odd or even symmetry periodic boundary conditions on nodes (only). Or, use GUI path Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Boundary> Vector Poten> Periodic BCs.
Imposed external field | Apply nonzero values of AZ. Use Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Boundary> Vector Poten or Flux Par'l> On Lines or On Nodes.

Flux-parallel boundary conditions force the flux to flow parallel to a surface, while flux-normal boundary conditions force the flux to flow normal to a surface. You do not need to specify far-field zero boundary conditions if you use boundary elements INFIN9 or INFIN110 to represent the "infinite" boundary of the model. Use ANSYS' cyclic symmetry capability to apply periodic boundary conditions in models that take advantage of periodic or repeating flux patterns. For an imposed magnetic field, specify the appropriate nonzero value of AZ.

2.2.4. Excitation Loads

2.2.4.1. Source Current Density (JS)

This specifies applied current to a source conductor. The units of JS are amperes/meter2 in the MKS system. For a 2-D analysis, only the Z component of JS is valid; a positive value indicates current flowing in the +Z direction in the planar case and the -Z (hoop) direction in the axisymmetric case.

Usually, you apply current density directly to the elements. You specify source current density in location number 3 (for the BFE command), using either of the following:

Command(s): | BFE
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Excitation> Curr Density> On Elements

Refer to the Commands Reference for further information.

Alternatively, you can also apply source current densities to areas of the solid model by using the BFA command. You can then transfer the specified source current densities from the solid model to the finite element model by using either the BFTRAN command or the SBCTRAN command.

2.2.4.2. Voltage Drop (VLTG)

This load specifies a voltage drop across a stranded coil. Voltage loading requires you to perform the analysis in MKS units. Voltage-drop loading is available only in the PLANE53 element using the AZ and CURR degrees of freedom. (See the KEYOPT(1) options for PLANE53.)

You can apply voltage-drop loadings directly to the elements by using the BFE command. Alternatively, you can apply voltage-drop loadings to areas of the solid model by using the BFA command. You can then transfer the specified voltage-drop loadings from the solid model to the finite element model by using either the BFTRAN command or the SBCTRAN command.

To obtain a correct solution, you must couple all nodes of the coil together in the CURR degrees of freedom. (Failure to do so will lead to errors in the solution.) This is required, because CURR is a unique number representing the current per turn of the winding and is single-valued.

To define or modify a set of coupled DOFs, use either of the following:

Command(s): | CP
GUI: | Main Menu> Preprocessor> Coupling/Ceqn> Couple DOFs

2.2.5. Flags

2.2.5.1. Force Flags

An ANSYS macro, FMAGBC, is used to identify a body for force and torque calculations. The macro automates applying virtual displacements and the Maxwell surface flag (discussed later). The body must be surrounded by at least one layer of "air" elements. Simply group the elements in the body on which forces or displacements are to be calculated into a component. Then, use either of the following:

Command(s): | FMAGBC,Cnam
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Flag> Comp. Force/Torq

Use the FMAGSUM and TORQSUM macros in POST1 to summarize the force and torque results, respectively.

Note

Lorentz forces are applicable to current carrying conductors and they are calculated automatically. Do not apply Maxwell or virtual displacement flags to any current carrying conductor surfaces.

2.2.5.2. Infinite Surface Flags (INF)

These are not loads, but they are required to flag the surface of an infinite element which is pointing towards the open (infinite) domain.

2.2.6. Other Loads

2.2.6.1. Current Segments (CSGX)

This infrequently-used load type applies nodal current loads. To compute the current segment for an axisymmetric analysis, you must multiply the current at a node by 2 πr. Units for current segments are ampere-meters in the MKS system.

Current flows in the Z direction, consistent with the degree of freedom AZ. You can specify a known sheet current, for example, through current segments. Take care in distributing a current segment load along nodes. For a discussion of load distribution on nodes, see the Modeling and Meshing Guide.

2.2.6.2. Maxwell Surfaces (MXWF)

Maxwell surfaces are not really loads, but indicate surfaces on which the magnetic force distribution is to be calculated. The presence of the label MXWF sets the flag.

Typically, you specify MXWF on the surfaces of air elements adjacent to an air-iron interface. ANSYS calculates forces at the air-iron interface (by the Maxwell stress tensor approach) and stores them in the air elements. You can then review and sum the forces in the POST1 (general) postprocessor to obtain the global forces acting on the body. Then, you can use these forces as loads in a structural analysis if you wish.

You can specify more than one component, but the components must not share adjacent air elements. (Sharing air elements is typical when a single element layer separates two components.)

2.2.6.3. Magnetic Virtual Displacements (MVDI)

These loads initiate the calculation of forces on a body in the model. The MVDI method provides an alternative to the Maxwell force method. The ANSYS program calculates the forces as it processes the solution, using the virtual work approach.

To trigger the calculation, specify MVDI = 1.0 at all nodes in the region of interest and MVDI = 0.0 (default setting) at all adjacent air nodes. You can enter MVDI values greater than 1.0; but normally, you should not do so. Forces will be calculated and stored in the air elements adjacent to the body.

The band of air elements surrounding the region of interest should be uniformly thick. Then, in POST1, you can review and summarize the forces calculated for each air element to get the total force.

Figure 2.6 MVDI Specifications for Virtual Work Force Calculation

2.2.7. Solving the Analysis

This section describes the tasks you perform to solve a 2-D static magnetic analysis problem.

2.2.8. Defining the Analysis Type

Before you define the analysis type and the type of equation solver the analysis will use, you need to enter the SOLUTION processor. To do so, use either of the following:

Command(s): | /SOLU
GUI: | Main Menu> Solution

To specify the analysis type, do either of the following:

  • In the GUI, choose menu path Main Menu> Solution> Analysis Type> New Analysis and then choose a static analysis.

  • If this is a new analysis, issue the command ANTYPE,STATIC,NEW.

If you want to restart a previous analysis (for example, to restart an unconverged solution or to specify additional excitation), issue the command ANTYPE,STATIC,REST. You can restart an analysis only if you previously completed a 2-D static magnetic analysis, and the files Jobname.EMAT, Jobname.ESAV, and Jobname.DB from the previous run are available.

2.2.9. Defining Analysis Options

Next, you define which solver you want to use. You can specify any of these values:

  • Sparse solver (default)

  • Frontal solver

  • Jacobi Conjugate Gradient (JCG) solver

  • JCG out-of-memory solver

  • Incomplete Cholesky Conjugate Gradient (ICCG) solver

  • Preconditioned Conjugate Gradient solver (PCG)

  • PCG out-of-memory solver

To select an equation solver, use either of the following:

Command(s): | EQSLV
GUI: | Main Menu> Solution> Analysis Type> Analysis Options

We recommend that you use either the sparse solver or the frontal solver for 2-D models. However, the JCG or PCG solvers may be more useful for extremely large models. Models that are voltage-fed or that include velocity effects produce unsymmetric matrices and can use only the sparse solver, the frontal solver, the JCG solver, or the ICCG solver. Circuit-fed models can use only the sparse solver or the frontal solver.

2.2.10. Saving a Backup Copy of the Database

Use the SAVE_DB button on the ANSYS Toolbar to save a backup copy of the ANSYS database. This enables you to retrieve your model should your computer fail while analysis is in progress. To retrieve a model, re-enter ANSYS and use one of the following:

Command(s): | RESUME
GUI: | Utility Menu> File> Resume Jobname.db

2.2.11. Starting the Solution

In this step, you specify magnetic solution options and initiate the solution. For a nonlinear analysis, use a two-step solution sequence:

  1. Ramp the loads over three to five substeps, each with one equilibrium iteration.

  2. Calculate the final solution over one substep, with five to 10 equilibrium iterations.

You can specify the two-step solution sequence and initiate the solution using either of the following:

Command(s): | MAGSOLV (with OPT field set to zero)
GUI: | Main Menu> Solution> Solve> Electromagnet> Static Analysis> Opt & Solv

If you like, you can step manually through the two-step solution sequence. See "Alternative Analysis Options and Solution Methods" for the procedure to follow for manual solution.

2.2.12. Tracking Convergence Graphically

As nonlinear electromagnetic analysis proceeds, ANSYS computes convergence norms with corresponding convergence criteria each equilibrium iteration. Available in both batch and interactive sessions, the Graphical Solution Tracking (GST) feature displays the computed convergence norms and criteria while the solution is in process. By default, /GST is ON for interactive sessions and OFF for batch runs. To turn /GST on or off, use either of the following:

Command(s): | /GST
GUI: | Main Menu> Solution> Load Step Opts> Output Ctrls> Grph Solu Track

Figure 2.7: "Convergence Norms Displayed by the Graphical Solution Tracking (GST) Feature" below shows a typical GST display:

Figure 2.7 Convergence Norms Displayed by the Graphical Solution Tracking (GST) Feature

2.2.13. Finishing the Solution

To leave the SOLUTION processor, use either of the following:

Command(s): | FINISH
GUI: | Main Menu> Finish

2.2.14. Calculating the Inductance Matrix and Flux Linkage

For a system of coils, use the LMATRIX macro to calculate the differential inductance matrix and the total flux linkage in each coil.

To initiate the solution use the following:

Command(s): | LMATRIX
GUI: | Main Menu> Solution> Solve> Electromagnet> Static Analysis> Induct Matrix

Computing the differential inductance matrix and the total flux linkage in each coil requires several procedural steps. You must first assign components to coil elements, define nominal currents, and then perform a nominal solution about an operating point using the Frontal equation solver. See "Electric and Magnetic Macros" for procedural details and an example analysis. See the Theory Reference for ANSYS and ANSYS Workbench for theoretical explanations.

2.2.15. Reviewing Results

The ANSYS and ANSYS Emag programs write results from a 2-D static analysis to the magnetic results file, Jobname.RMG. Results include the data listed below:

2.2.15.1. Primary data:

  • Nodal magnetic DOFs (AZ, CURR)

2.2.15.2. Derived data:

  • Nodal magnetic flux density (BX, BY, BSUM)

  • Nodal magnetic field intensity (HX, HY, HSUM)

  • Nodal magnetic forces (FMAG: components X, Y, SUM)

  • Nodal reaction current segments (CSGZ)

  • Element source current density (JSZ)

  • Joule heat per unit volume (JHEAT)

  • ... etc.

Additional data, specific to each element type, also is available. See the Elements Reference for details.

You can review analysis results in POST1, the general postprocessor, by choosing either in the following:

Command(s): | /POST1
GUI: | Main Menu> General Postproc

The following section, "Reading In Results Data," discusses some typical postprocessing operations for a static magnetic analysis. For a complete description of all postprocessing functions, see the Basic Analysis Guide.

2.2.16. Reading in Results Data

To review results in POST1, the ANSYS database must contain the same model for which the solution was calculated. Also, the results file (Jobname.RMG) must be available.

To read the data from the results file into the database, use either in the following:

Command(s): | SET
GUI: | Utility Menu> List> Results> Load Step Summary

If the model is not in the database, restore it using the command or menu path listed below and then use the SET command or its equivalent menu path to read in the desired set of results.

Command(s): | RESUME
GUI: | Utility Menu> File> Resume Jobname.db

To review the solutions available in the results file, specify the LIST option. You can identify the data set by the load step and substep numbers or by time. If you specify a time value for which no results exist, the ANSYS program performs linear interpolation to calculate the results at that time.

2.2.16.1. Flux Lines

Flux lines show lines of constant AZ (or constant radius-times-AZ for axisymmetric problems). Display flux lines using either of the following:

Command(s): | PLF2D
GUI: | Utility Menu> Plot> Results> Flux Lines

2.2.16.2. Contour Displays

You can contour almost any result item (including flux density, field intensity, and total current density (JTZ)) using the following commands or menu paths:

Command(s): | PLNSOL, PLESOL
GUI: | Utility Menu> Plot> Results> Contour Plot> Elem Solution Utility Menu> Plot> Results> Contour Plot> Nodal Solution

Caution

Nodal contour plots for derived data, such as flux density and field intensity, are averaged at the nodes.

In PowerGraphics mode (default), you can visualize nodal averaged contour displays which account for material discontinuities. Should you need to activate PowerGraphics, use either /GRAPHICS,POWER or Utility Menu> PlotCtrls> Style> Hidden-Line Options.

2.2.16.3. Vector Displays

Vector displays (not to be confused with vector mode) offer an effective way to view vector quantities such as B, H, and FMAG. For vector displays, use either of the following:

Command(s): | PLVECT
GUI: | Utility Menu> Plot> Results> Vector Plot

For vector listings, use either method shown below:

Command(s): | PRVECT
GUI: | Utility Menu> List> Results> Vector Data

2.2.16.4. Tabular Listings

You can produce tabular listings of results data, either unsorted or sorted by node or by element. To sort data before listing it, use any of the following:

Command(s): | ESORT, NSORT
GUI: | Main Menu> General Postproc> List Results> Sorted Listing> Sort Nodes Main Menu> General Postproc> List Results> Sorted Listing> Sort Elems

To produce tabular data listings, use any of the following:

Command(s): | PRESOL, PRNSOL, PRRSOL
GUI: | Main Menu> General Postproc> List Results> Element Solution Main Menu> General Postproc> List Results> Nodal Solution Main Menu> General Postproc> List Results> Reaction Solu

2.2.16.5. Magnetic Forces

Three types of magnetic forces are usually available:

  • Lorentz forces (the J x B forces) are calculated automatically for all current carrying elements. (Exercise caution in interpreting Lorentz forces in permeable (μr > 1r ) materials.) To list these forces, select all current-carrying elements and use either the PRNSOL,FMAG command or its equivalent menu path. You can also sum these forces. First, move them to the element table using either of the following:

    Command(s): ETABLE,tablename,FMAG,X (or Y)
    GUI: Main Menu> General Postproc> Element Table> Define Table

    Then, calculate the sum using either method below:

    Command(s): SSUM
    GUI: Main Menu> General Postproc> Element Table> Sum of Each Item

    You can summarize Maxwell and virtual work forces quickly for element components on which those forces were specified as boundary conditions (via the FMAGBC macro or GUI path). To summarize the forces, choose one of the following:

    Command(s): FMAGSUM
    GUI: Main Menu> General Postproc> Elec&Mag Calc> Component Based> Force

  • Maxwell forces are calculated for all elements at which the surface flag MXWF is specified as a surface "load." To list Maxwell forces, select all such elements, then select either of the following:

    Command(s): PRNSOL, FMAG
    GUI: Main Menu> General Postproc> List Results> Nodal Solution

    The sum of these forces gives the total force on the surface. To sum the forces, use the procedure described in the foregoing for Lorentz forces.

  • Virtual work forces are calculated for all air elements with an MVDI specification adjacent to the body of interest. To extract these forces, select these elements and use the ETABLE command along with the sequence number (snum) for the data requested to store the forces from the element NMISC record (see Tables 4.13-3 and 4.53-3 in the Elements Reference). Do so by choosing either of the following:

    Command(s): ETABLE,tablename,NMISC,snum
    GUI: Main Menu> General Postproc> Element Table> Define Table

    Once you move the data to the element table, you can list them using the PRETAB command (shown with its menu path equivalent below) and sum them with the SSUM command or its menu path equivalent. You can also access the force data using the PLESOL and PRESOL commands (or their equivalent menu paths) with the NMISC item label.

    Command(s): PRETAB
    GUI: Main Menu> General Postproc> Element Table> List Elem Table

    The sum of these forces gives the total force on the surface. To sum the forces, use the procedure described in the foregoing for Lorentz forces.

2.2.16.6. Magnetic Torque

Lorentz, Maxwell and virtual work torque computations are usually available:

  • Lorentz torque (the J x B torque) is calculated automatically for all current carrying elements. (Exercise caution in interpreting Lorentz torque values in permeable (mr > 1) materials.) To extract these torque values, select all current-carrying elements and use the ETABLE command along with the sequence number (snum) for the data requested to store the torque values from the element NMISC record (see Tables 4.13-3 and 4.53-3 in the Elements Reference). Do so by choosing either of the following:

    Command(s): ETABLE,tablename,NMISC,snum
    GUI: Main Menu> General Postproc> Element Table> Define Table

    Once you move the data to the element table, you can list the torque values using the following command:

    Command(s): PRETAB
    GUI: Main Menu> General Postproc> Element Table> List Elem Table

    The torque data can also be listed using the PLESOL and PRESOL commands, respectively, with the NMISC item label.

    You can also sum the torque values to obtain the total torque on the body. To calculate the sum use the following:

    Command(s): SSUM
    GUI: Main Menu> General Postproc> Element Table> Sum of Each Item

  • Maxwell torque values are calculated for all elements at which the surface flag MXWF is specified as a surface "load." To extract and sum Maxwell torque values, you can use the procedure described in the foregoing for extracting and summing Lorentz torque values or, if the forces were specified as boundary conditions via the FMAGBC macro, you can quickly obtain the values using either of the following:

    Command(s): TORQSUM
    GUI: Main Menu> General Postproc> Elec&Mag Calc> Component Based> Torque

  • Virtual work torque values are calculated for all air elements with an MVDI specification adjacent to the body of interest. To extract and sum virtual work torque values, you can use the procedure described in the foregoing for extracting and summing Lorentz torque values or, if the forces were specified as boundary conditions via the FMAGBC macro, you can quickly obtain the values using either of the following:

    Command(s): TORQSUM
    GUI: Main Menu> General Postproc> Elec&Mag Calc> Component Based> Torque

2.2.16.7. Coil Resistance and Inductance

For stranded coils with the voltage-fed or circuit-fed options, you can calculate the resistance and inductance of the coil. Each element stores values of resistance and inductance. Summing these values gives the total resistance and inductance of the modeled region of the conductor. To store and sum these values, select the conductor elements using the ETABLE,tablename,NMISC,n command or its equivalent menu path. (For the n value, use 8 for resistance and 9 for inductance.) Use the SSUM command or its menu path equivalent to sum the data.

Inductance values calculated for voltage-fed stranded coils (KEYOPT(1) = 2 for PLANE53) or circuit-coupled stranded coils (KEYOPT(1) = 3 for PLANE53) are only valid under the following conditions:

  • The problem is linear (constant permeability).

  • There are no permanent magnets in the model.

  • Only a single coil exists in the model.

For a system of coils, use the LMATRIX macro to compute the differential inductance matrix and the total flux linkage in each coil. Refer to Calculating the Inductance Matrix and Flux Linkage and LMATRIX for information on the LMATRIX macro.

2.2.16.8. Calculating Other Items of Interest

You can calculate many other items of interest (such as global forces, torque, source input energy, inductance, flux linkages, and terminal voltage) from the data available in the database in postprocessing. The ANSYS command set supplies the following macros for these calculations:

  • The CURR2D macro calculates current flow in a 2-D conductor.

  • The EMAGERR macro calculates the relative error in an electrostatic or electromagnetic field analysis.

  • The FLUXV macro calculates the flux passing through a closed contour.

  • The FMAGSUM macro summarizes electromagnetic force calculations on element components.

  • The FOR2D macro calculates magnetic forces on a body.

  • The MMF macro calculates magnetomotive force along a path.

  • The PLF2D macro generates a contour line plot of equipotentials.

  • The SENERGY macro determines the stored magnetic energy or co-energy.

  • The TORQ2D macro calculates torque on a body in a magnetic field.

  • The TORQC2D macro calculates torque on a body in a magnetic field based on a circular path.

  • The TORQSUM macro summarizes electromagnetic Maxwell and Virtual work torque calculations on element components for 2-D planar problems.

For more discussion of these macros, see "Electric and Magnetic Macros".

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.1. Elements Used in 2-D Static Magnetic Analysis 		Up / Home Next
2.3. Doing an Example 2-D Static Magnetic Analysis (GUI Method)


2.3. Doing an Example 2-D Static Magnetic Analysis (GUI Method)

This section describes a 2-D static magnetic analysis of a solenoid actuator by choosing items from the ANSYS GUI menus. See Doing an Example 2-D Static Magnetic Analysis (Command Method), which explains how to perform the same example analysis by issuing ANSYS commands, either manually during a session or in batch mode.

2.3.1. The Example Described

The example analysis, based on a solenoid actuator, analyzes the actuator as a 2-D axisymmetric model. The example calculates the force on the armature (the moving component of the actuator) and the inductance of the coil. Figure 2.8: "Diagram of a Solenoid Actuator" below shows you the solenoid actuator:

Figure 2.8 Diagram of a Solenoid Actuator

2.3.2. Analysis Parameters

The analysis uses the parameters listed below to model the actuator geometry:

Parameter | Description
n=650 | Number of turns in the coil; used in postprocessing
I=1.0 | Current per turn
ta=.75 | Thickness of inner leg of magnetic circuit
tb=.75 | Thickness of lower leg of magnetic circuit
tc=.50 | Thickness of outer leg of magnetic circuit
td=.75 | Armature thickness
wc=1 | Width of coil
hc=2 | Height of coil
gap=.25 | Gap
space=.25 | Space around coil
ws=wc+2*space |
hs=hc+.75 |
w=ta+ws+tc | Total width of model
hb=tb+hs |
h=hb+gap+td | Total height of model
acoil=wc*hc | Coil area
jdens=n*i/acoil | Current density of coil

2.3.3. Approach and Assumptions

The magnetic flux that the coil current produces is assumed to be small enough that no saturation of the iron occurs. This allows a single iteration linear analysis. To simplify the example model, the flux leakage out of the iron at the perimeter of the model is assumed to be minimal. Under normal conditions, the model would include air surrounding the iron to model the effects of flux leakage.

Because no leakage is assumed at the perimeter of the model, the flux flows parallel to the surface. You enforce this by placing a "flux parallel" condition around the model.

For a static (DC) current, you may enter the current in the form of current density over the area of the coil. The ANSYS APDL is used to compute the current density from the number of turns, the current per turn, and the coil area. The armature is flagged for a force calculation.

In postprocessing, the forces are summarized for the armature, using both a Maxwell stress tensor and a virtual work calculation. Flux density also is displayed. The final postprocessing operation computes the terminal parameters including coil inductance.

Note

The example analysis is only one of many possible 2-D static magnetic analyses. Not all such analyses follow exactly the same steps or perform those steps in the same sequence. The properties of the material or materials being analyzed and the conditions surrounding those materials determine which steps a specific analysis needs to include.

For a detailed step-by-step procedure for the magnetic analysis of a solenoid actuator, see the Electromagnetics Tutorial.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.2. Steps in a Static Magnetic Analysis 		Up / Home Next
2.4. Doing an Example 2-D Static Magnetic Analysis (Command Method)


2.4. Doing an Example 2-D Static Magnetic Analysis (Command Method)

You can perform the example static analysis of a solenoid actuator using the ANSYS commands shown below instead of GUI menu choices. All text prefaced by an exclamation point (!) is a comment.

!/batch,list
/PREP7
/TITLE, 2-D Solenoid Actuator Static Analysis

ET,1,PLANE53                ! Define PLANE 53 as element type
KEYOPT,1,3,1                ! Use axisymmetric analysis option
MP,MURX,1,1                 ! Define material properties (permeability)
MP,MURX,2,1000              ! Permeability of backiron
MP,MURX,3,1                 ! Permeability of coil
MP,MURX,4,2000              ! Permeability of armature

/com,                       ! Set parameter values for analysis
n=650                       ! Number of coil turns
i=1.0                       ! Current per turn
ta=.75                      ! Model dimensions (centimeters)
tb=.75
tc=.50
td=.75
wc=1
hc=2
gap=.25
space=.25
ws=wc+2*space
hs=hc+.75
w=ta+ws+tc
hb=tb+hs
h=hb+gap+td
acoil=wc*hc                 ! Cross-section area of coil (cm**2)
jdens=n*i/acoil             ! Current density (A/cm**2)

/PNUM,AREA,1
RECTNG,0,w,0,tb            ! Create rectangular areas
RECTNG,0,w,tb,hb
RECTNG,ta,ta+ws,0,h
RECTNG,ta+space,ta+space+wc,tb+space,tb+space+hc
AOVLAP,ALL
RECTNG,0,w,0,hb+gap
RECTNG,0,w,0,h
AOVLAP,ALL
NUMCMP,AREA                ! Compress out unused area numbers
APLOT

ASEL,S,AREA,,2             ! Assign attributes to coil
AATT,3,1,1,0
ASEL,S,AREA,,1             ! Assign attributes to armature
ASEL,A,AREA,,12,13
AATT,4,1,1
ASEL,S,AREA,,3,5           ! Assign attributes to backiron
ASEL,A,AREA,,7,8
AATT,2,1,1,0
/PNUM,MAT,1                ! Turn material numbers on
ALLSEL,ALL
APLOT                      ! Plot areas

SMRTSIZE,4                 ! Set smart size meshing level 4 (fine)
AMESH,ALL                  ! Mesh all areas
ESEL,S,MAT,,4              ! Select armature elements
CM,ARM,ELEM                ! Define armature as a component
FMAGBC,'ARM'               ! Apply force boundary conditions to armature
ALLSEL,ALL
ARSCAL,ALL,,,.01,.01,1,,,1 ! Scale model to MKS (meters)
FINISH

/SOLU
ESEL,S,MAT,,3              ! Select coil elements
BFE,ALL,JS,1,,,jdens/.01**2  ! Apply current density (A/m**2)
ESEL,ALL
NSEL,EXT                   ! Select exterior nodes
D,ALL,AZ,0                 ! Set potentials to zero (flux-parallel)
ALLSEL,ALL
FINISH
/SOLU
MAGSOLV                    ! Solve magnetic field
SAVE

FINISH

/POST1
PLF2D                      ! Plot flux lines in the model
FMAGSUM                    ! Summarize magnetic forces
PLVECT,B,,,,VECT,ELEM,ON   ! Plot flux density as vectors
/GRAPHICS,POWER            ! Turn PowerGraphics on
AVRES,2                    ! Don't average results across materials
PLNSOL,B,SUM               ! Plot flux density magnitude
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.3. Doing an Example 2-D Static Magnetic Analysis (GUI Method) 		Up / Home Next
2.5. Doing an Example 2-D Static Magnetic Contact Analysis (Command Method)


2.5. Doing an Example 2-D Static Magnetic Contact Analysis (Command Method)

This example presents a 2-D model of a coil actuator that demonstrates the use of surface-to-surface contact. Contact is typically used when multiple runs are required with re-positioning of a pole piece in a static or transient analysis, or for convenience in meshing regions with non-connecting meshes.

2.5.1. The Problem Described

The contact region is located at the mid-span of the air gap. Two independent meshes are created; one for the lower portion of the model consisting of the back iron, coil, and lower air, and the upper portion consisting of the pole and the upper air. Target elements (TARGE169) are created using the ESURF command on the upper air elements at the air gap (coarser mesh). Contact elements (CONTA172) are created using the ESURF command on the lower air elements at the air gap (finer mesh). The MPC option is selected using bonded contact.

Figure 2.9 Element Plot Showing Independent Meshes

2.5.2. Input Listing

/batch,list
/prep7
/title, Actuator model using surface to surface contact

et,1,53                 ! plane53
et,2,169                ! Target
et,3,172,7,2,,2         ! Contact, MPC option
keyopt,3,12,5           ! Bonded contact

mp,murx,1,1
tb,bh,2,,40             ! BH curve
tbpt,,355,.7
,,405,.8
,,470,.9
,,555,1.
,,673,1.1
,,836,1.2
,,1065,1.3
,,1220,1.35
,,1420,1.4
,,1720,1.45
,,2130,1.5
,,2670,1.55
,,3480,1.6
,,4500,1.65
,,5950,1.70
,,7650,1.75
,,10100,1.8
,,13000,1.85
,,15900,1.9
,,21100,1.95
,,26300,2.
,,32900,2.05
,,42700,2.1
,,61700,2.15
,,84300,2.2
,,110000,2.25
,,135000,2.3
,,200000,2.41
,,400000,2.69
,,800000,3.22
mp,murx,3,1                 ! coil

! create backiron
rectng,0,.06,0,.01
rectng,0,.01,.01,.02
rectng,.05,.06,.01,.02

! create coil
rectng,.02,.04,-.005,0
rectng,.02,.04,.01,.015
aglue,all

! create lower air domain
rectng,-.02,.08,-.01,.021
aovlap,all
numcmp,area
cm,lower,area

! create pole
rectng,0,.06,.022,.032

! create upper air
rectng,-.02,.08,.021,.04
aovlap,7,8
asel,s,area,,7,9
cm,upper,area

asel,s,area,,4,6
aatt,2,1,1		                 ! backiron
asel,s,area,,7
aatt,2,1,1		                 ! pole
asel,s,area,,2,3
aatt,3,1,1		                 ! coil

cmsel,s,lower
esize,.002
amesh,all
cmsel,s,upper
esize,.003
amesh,all

esla,s
nsle,s
nsel,r,loc,y,.021
type,2
esurf			                  ! mesh target elements
cmsel,s,lower
esla,s
nsle,s
nsel,r,loc,y,.021
type,3
esurf			                  ! mesh contact elements
allsel,all

nsel,s,loc,x,-.02
nsel,a,loc,x,.08
nsel,a,loc,y,-.01
nsel,a,loc,y,.04
d,all,az,0		                ! flux parallel

asel,s,area,,3
esla,s
bfe,all,js,,,,5e6            ! coil current density
asel,s,area,,2
esla,s
bfe,all,js,,,,-5e6
allsel,all
finish

/solu
magsolv
finish

Figure 2.10 Flux Line Plot

Figure 2.11 Flux Density Plot

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.4. Doing an Example 2-D Static Magnetic Analysis (Command Method) 		Up / Home Next
2.6. Where to Find Other Examples


2.6. Where to Find Other Examples

Another ANSYS, Inc., publication, the Verification Manual, contains several additional examples of 2-D static magnetic analyses:

VM165 - Current-Carrying Ferromagnetic Conductor
VM172 - Stress Analysis of a Long, Thick, Isotropic Solenoid
VM188 - Force Calculation on a Current Carrying Conductor

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.5. Doing an Example 2-D Static Magnetic Contact Analysis (Command Method) 		Up / Home Next
Chapter 3. 2-D Harmonic (AC) Analysis


Chapter 3. 2-D Harmonic (AC) Analysis

Harmonic magnetic analysis calculates the effects of alternating current (AC) or voltage excitation in electromagnetic devices and moving conductors. These effects include:

  • Eddy currents

  • Skin effects (eddy currents in current conductors carrying an impressed current)

  • Power loss due to eddy currents

  • Forces and torque

  • Impedance and inductance

  • Two contacting bodies with dissimilar meshes (such as the air gap in a rotor/stator configuration).

Typical applications for harmonic analysis are transformers, induction machines, eddy-current braking systems, and most other electromagnetic devices that work on AC.

Permanent magnets are not permitted in a harmonic analysis. Material hysteresis effects are neglected.

The following 2-D harmonic analysis topics are available:

  • Linear Versus Nonlinear Harmonic Analysis
  • Elements Used in Harmonic Magnetic Analysis
  • Creating a Harmonic 2-D Physics Environment
  • Building and Meshing the Model and Assigning Region Attributes
  • Applying Boundary Conditions Loads (Excitation) to Harmonic Problems
  • Obtain a Solution
  • Reviewing Results
  • Doing an Example Harmonic Magnetic Analysis (GUI Method)
  • Doing an Example Harmonic Magnetic Analysis (Command Method)
  • Doing an Example of a 2-D Nonlinear Harmonic Analysis (Command Method)
  • Where to Find Other Examples

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.6. Where to Find Other Examples 		Up / Home Next
3.1. Linear Versus Nonlinear Harmonic Analysis


3.1. Linear Versus Nonlinear Harmonic Analysis

For low saturation cases a linear time-harmonic analysis can be run with assumed constant permeability properties. For moderate to high saturation conditions a nonlinear time-harmonic or time-transient ("2-D Transient Magnetic Analysis") solution should be considered.

In moderate to high saturation cases, an analyst is often most interested in obtaining global electromagnetic force, torque and power losses in a magnetic device under sinusoidal steady state excitation, but less concerned with the actual flux density waveform. Under such circumstances, an approximate nonlinear time-harmonic analysis procedure may be pursued. This procedure can predict the time-averaged torque and power losses with good accuracy, and yet at much reduced computational cost compared to a transient time-stepping procedure.

The basic principle of the nonlinear time-harmonic analysis is to replace the DC B-H curve with a fictitious or effective B-H curve based on an energy equivalence method.

With the effective B-H curve, a nonlinear transient problem can be effectively reduced to a nonlinear time-harmonic one. In this nonlinear analysis, all field quantities are all sinusoidal at a given frequency, similar to the linear harmonic analysis, except that a nonlinear solution is computed.

It should be emphasized that in a nonlinear transient analysis, given a sinusoidal power source, the magnetic flux density B has a non-sinusoidal waveform. While in the nonlinear harmonic analysis, B is assumed sinusoidal. Therefore, it is not the true waveform, but rather represents an approximation to the fundamental time harmonic of the true flux density waveform. The time-averaged global force, torque and loss, which are determined by the approximated fundamental harmonics of fields, are then subsequent approximations to the true values.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 3. 2-D Harmonic (AC) Analysis 		Up / Home Next
3.2. Elements Used in Harmonic Magnetic Analysis


3.2. Elements Used in Harmonic Magnetic Analysis

A harmonic model uses only the vector potential formulation for eddy-current regions. Therefore, you can use only the element types described below to model eddy current domains.

For detailed information about the elements, consult the Elements Reference. That manual organizes element descriptions in numeric order. The Theory Reference for ANSYS and ANSYS Workbench manual also contains information about the elements.

Table 3.1 2-D Solid Elements

Element | Dimens. | Shape or Characteristic | DOFs | Notes
PLANE13 | 2-D | Quadrilateral, four nodes, or triangular, three nodes | Up to four at each node; these can be magnetic vector potential (AZ), displacements, temperature, or time-integrated electric potential | Supported for cyclic symmetry (periodic) analysis, static only.
PLANE53 | 2-D | Quadrilateral, eight nodes, or triangular, six nodes | Up to four at each node; these can be magnetic vector potential (AZ), time-integrated electric potential, current, or electromotive force drop | Supported for cyclic symmetry (periodic) analysis, static only.

Table 3.2 Far-Field Elements

Element | Dimens. | Shape or Characteristic | DOFs
INFIN9 | 2-D | Line, two nodes | Magnetic vector potential (AZ)
INFIN110 | 2-D | Quadrilateral, four or eight nodes | Magnetic vector potential (AZ), electric potential, temperature

Table 3.3 General Circuit Elements

Element | Dimens. | Shape or Characteristic | DOFs
CIRCU124 | None | Six nodes | Up to three at each node; these can be electric potential, current, or electromotive force drop

Table 3.4 Contact Elements

Element | Dimens. | Shape or Characteristic | DOFs | Notes
TARGE169 | 2-D | Target segment | n/a | Used to model the target region for a contact analysis
CONTA171 | 2-D | Surface-to-surface contact element (2-node) | AZ | Used to model the contact region for a contact analysis
CONTA172 | 2-D | Surface-to-surface contact element (3-node) | AZ | Used to model the contact region for a contact analysis
CONTA175 | 2-D | Node-to-surface contact element (1-node) | AZ | Used to model the contact region for a contact analysis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.1. Linear Versus Nonlinear Harmonic Analysis 		Up / Home Next
3.3. Creating a Harmonic 2-D Physics Environment


3.3. Creating a Harmonic 2-D Physics Environment

As in any other type of ANSYS analysis, for harmonic magnetic analyses you create a physics environment, build a model, assign attributes to model regions, mesh the model, apply boundary conditions and loads, obtain a solution, and then review the results. Most of the procedures for conducting a 2-D harmonic magnetic analysis are identical or similar to the procedures for doing 2-D static analyses. This chapter discusses the tasks that are specific to harmonic analysis.

A 2-D harmonic magnetic analysis uses the same procedures to set GUI preferences, the analysis title, element types and KEYOPTS, element coordinate systems, real constants, and a system of units. "2-D Static Magnetic Analysis" describes these procedures.

When specifying material properties, in general use the same methods discussed in "2-D Static Magnetic Analysis". That is, where possible use existing material property definitions from the ANSYS material library or that other ANSYS users at your site have developed.

The next few topics provide some guidelines for setting up physics regions for your model, including an illustrated discussion of terminal conditions you can model within a simulated physical region.

3.3.1. Using DOFs to Manage Terminal Conditions on Conductors

The ANSYS program gives you several options to handle terminal conditions on conductors. These options offer enormous flexibility in modeling, for example, stranded and massive conductors, short circuit and open circuit conditions, and circuit-fed devices. To model each of these entities, you perform these tasks:

  • Add extra degrees of freedom (DOFs) to the conducting region.

  • Assign required real constants, material properties, and special treatments to the DOFs. Element types and options, material properties, real constants and element coordinate systems are defined as "attributes" of the solid model; you assign them using the AATT and VATT commands or equivalent GUI paths.

3.3.2. The AZ Option

Conductors modeled with the AZ DOF simulate short-circuit conditions, due to the absence of electric scalar potential which implies zero voltage drop along the length of the conductor.

3.3.3. The AZ-VOLT Option

The AZ-VOLT option allows you to model massive conductors with various terminal conditions by including an electric potential in the overall electric field calculation:

E = δA/δt - [image] V

Note

In ANSYS, V is replaced by ν = [image] Vdt (time-integrated potential)

This gives you additional flexibility to consider open circuit conditions, current-fed massive conductors, and multiple conductors with end connections, by allowing control over the electric field (VOLT).

The potential, ν, has units of volt-seconds and uses the ANSYS DOF VOLT. In a planar or axisymmetric analysis, ν is constant over the conductor cross-section (that is, the voltage drop is in the out-of-plane direction only). To enforce this requirement, you must couple nodes in each conducting region using one of the following:

Command(s): | CP
GUI: | Main Menu> Preprocessor> Coupling/Ceqn> Couple DOFs

The coupling essentially reduces the unknowns to a single potential drop unknown in the conducting region.

3.3.4. The AZ-CURR Option

You use the AZ-CURR option to model a voltage-fed stranded coil. The CURR DOF represents the current per turn in the coil. You can apply a voltage drop to the coil using one of the methods shown below (this applies to all coil elements):

Command(s): | BFE,VLTG
GUI: | Main Menu> Solution> Define Loads> Apply> Magnetic> Excitation> Voltage drop> On Elements

Alternatively, you can apply voltage-drop loadings to areas of the solid model by using the BFA command. You can then transfer the specified voltage-drop loadings from the solid model to the finite element model by using either the BFTRAN command or the SBCTRAN command.

No eddy currents are calculated in a stranded coil source, because it is assumed that the strands are insulated. The coil is described by "real" constants that the ANSYS program uses to calculate the coil resistance and inductance.

Figure 3.1 Stranded Coil Cross-Section

Voltage-fed stranded coils are available only for the PLANE53 and SOLID97 elements. For them, you must specify real constants which characterize the stranded conductor. All nodes in a stranded coil region must be coupled in the CURR degree of freedom, which will result in a single equation solving for the current flowing in the coil.

3.3.5. Characteristics and Settings for Physical Regions of a Model

The ANSYS program offers several options you can use to handle terminal conditions on conductors in 2-D magnetic analyses. Figure 3.2: "Physical Region With Optional Terminal Conditions for Conductors" below pictures a physical region for a 2-D magnetic analysis and the conditions (options) that can exist within it.

Figure 3.2 Physical Region With Optional Terminal Conditions for Conductors

Short circuit conductor DOFs: AZ

Material Properties: MUr, (MURX), rho (RSVX)

Eddy currents flow in a closed loop; there is no voltage drop due to a short-circuit condition.

Open circuit conductor DOFs: AZ, VOLT

Material Properties: mur (MURX), rho (RSVX)

Special characteristics: Couple VOLT DOF

Note

No net current flows in an open circuit conductor. The axisymmetric case simulates a conductor with a finite cut (slit).

Current-fed massive conductor DOFs: AZ, VOLT

Material Properties: MUr (MURX), rho (RSVX)

Special characteristics: Couple VOLT DOF in region; apply total current (F,,AMPS command) to single node

Assumes a short-circuit condition with a net current flow from a current source generator. Net current is unaffected by surroundings.

Voltage-fed stranded coil DOFs: AZ, CURR

Material Properties: MUr (MURX), rho (RSVX)

Real constants: CARE, TURN, LENG, DIRZ, FILL

Special characteristics: Apply voltage drop (VLTG) using the BFE command (or alternatively using the BFA command and transferring the load to the finite element model by using the BFTRAN or the SBCTRAN command); couple CURR DOFs in region

You can use element PLANE53 to model this source. Applied voltage is unaffected by surroundings.

Multiple massive conductors terminated by a common ground plane DOFs: AZ, VOLT

Material Properties: MUr (MURX), rho (RSVX)

Special characteristics: Couple VOLT DOF of all conductor regions into a single coupled node set.

Note

Used to simulate devices such as squirrel cage rotors where end effects can be ignored.

Current-fed stranded coil DOF: AZ

Material properties: MUr (MURX)

Special characteristics: No eddy currents; can apply source current density (JS ) using BFE,,JS command (or alternatively using the BFL or BFA command and transferring the load to the finite element model by using the BFTRAN or SBCTRAN command)

Note

Assumes a stranded insulated coil producing a constant AC current, unaffected by surrounding conditions. Current density can be calculated from the number of coil turns, the current per turn, and the cross-section area of the coil.

Circuit-fed stranded coil DOFs: AZ, CURR, EMF

Material Properties: MUr (MURX), rho (RSVX)

Real constants: CARE, TURN, LENG, DIRZ, FILL

Special characteristics: Couple CURR DOF and couple EMF DOF in region.

Note

Model stranded coils fed by an external circuit (CIRCU124 element). See the Coupled-Field Analysis Guide for details on electromagnetic-circuit coupling.

Circuit-fed massive conductor DOFs: AZ, CURR, EMF

Material Properties: MUr (MURX), rho (RSVX)

Real Constants: CARE, LENG

Special characteristics: Couple CURR DOF, and couple EMF DOF in region.

Note

Model massive conductor fed by an external circuit (CIRCU124 element). See the Coupled-Field Analysis Guide for details on electromagnetic-circuit coupling.

Laminated iron | DOF: AZ Material Properties: MUr (MURX) or B-H curve Simulating permeable regions where eddy currents can be neglected. Requires only the AZ DOF.
Air | DOF: AZ Material Properties: MUr (MURX = I)
Moving conductor (velocity effects) | You can model velocity effects from conductors moving at constant velocity with the PLANE53 element. For details on moving conductors, see the sections on velocity effects in this chapter and "2-D Static Magnetic Analysis".

3.3.6. Velocity Effects

You may solve electromagnetic fields for special cases of moving bodies under the influence of an AC excitation. Velocity effects are valid for static, harmonic, and transient analyses. "2-D Static Magnetic Analysis" discusses applications and limitations for motion analysis. For harmonic analysis, velocity effects are limited to linear analysis (no B-H curves permitted).

The procedure for solving a 2-D harmonic analysis with a moving conductor is identical to that for a static analysis in terms of element KEYOPT options and real constants. Applied velocities are constant and do not vary sinusoidally (as do the coil or field excitation) in a harmonic analysis.

The magnetic Reynolds number is calculated and available in the postprocessor for viewing. This magnetic Reynolds number characterizes the velocity effect and numerical stability of the problem. The equation used to produce this number is shown below:

Mre = μ νd/ρ

In the above equation, μ is permeability, ρ is resistivity, ν is velocity, and d is characteristic length (in the directional motion) within a finite element of the conducting body. The magnetic Reynolds number is meaningful only in a static or transient analysis.

The motion formulation is valid and accurate for relatively small values of the Reynolds number, typically on the order of 1.0. Accuracy for higher Reynolds number values will vary from problem to problem. The magnetic Reynolds number is calculated and available in the postprocessor for viewing. In addition to a field solution, the motion solution includes currents in the conductor due to motion. This is available in the postprocessor.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.2. Elements Used in Harmonic Magnetic Analysis 		Up / Home Next
3.4. Building and Meshing the Model and Assigning Region Attributes


3.4. Building and Meshing the Model and Assigning Region Attributes

For information on building a model, assigning attributes to regions within the model and meshing the model, see "2-D Static Magnetic Analysis" of this manual and the Modeling and Meshing Guide.

For information on modeling two contacted bodies, see Modeling Magnetic Contact.

3.4.1. Skin Depth Considerations

Electromagnetic field penetration in conducting bodies is a function of frequency, permeability, and conductivity. Calculating the field and Joule heating losses accurately requires that the finite element mesh be fine enough at the surface of the conductor to capture the surface phenomena. In general, you should model one or two elements at a minimum through the skin depth. You can estimate the skin depth from the following equation:

In the equation above, Δ is the skin depth (in meters), f is the frequency (in Hertz), μ is the absolute permeability (in Henries/meters), and σ is conductivity (in Siemens/meter).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.3. Creating a Harmonic 2-D Physics Environment 		Up / Home Next
3.5. Applying Boundary Conditions Loads (Excitation) to Harmonic Problems


3.5. Applying Boundary Conditions Loads (Excitation) to Harmonic Problems

You can apply boundary conditions and loads to a harmonic magnetic analysis either on the solid model (keypoints, lines, and areas) or on the finite element model (nodes and elements). To apply boundary conditions and loads to a 2-D harmonic analysis, use the same GUI paths and macros described for a 2-D static analysis in "2-D Static Magnetic Analysis"

For a harmonic magnetic analysis, you can specify three types of load step options: dynamic, general, and output controls. "Alternative Analysis Options and Solution Methods" describes these load step options.

For static analyses, use the ANSYS cyclic symmetry capability to define periodic boundary conditions. For harmonic or transient analyses, use the PERBC2D macro.

3.5.1. Using the PERBC2D Macro

Using the PERBC2D macro, you can define periodic boundary conditions automatically for a 2-D analysis. PERBC2D writes constraint equations or assigns node coupling necessary for two periodic symmetry planes. To invoke the macro, use either of the following:

Command(s): | PERBC2D
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Boundary> Vector Poten> Periodic BCs

"Electric and Magnetic Macros" discusses and illustrates options for using PERBC2D.

3.5.2. Amplitude, Phase Angle, and Operating Frequency

By definition, a harmonic analysis assumes that any applied load varies harmonically (sinusoidally) with time. Specifying a harmonic load completely usually requires three pieces of information: the amplitude (zero to peak value), the phase angle, and the operating frequency.

3.5.2.1. Amplitude

This is the maximum value of the load (zero-to-peak) which you specify.

3.5.2.2. Phase Angle

Phase angle measures the time by which the load lags (or leads) a frame of reference. On the complex plane (see Figure 3.3: "Relationship Between Real / Imaginary Components and Amplitude / Phase Angle"), phase angle is the angle measures from the real axis. The phase angle is required only if you have multiple loads that are out-of-phase with each other (for instance, in three-phase analysis).

For out-of-phase current densities or voltages, use the PHASE field on the BF, BFE, or BFK commands (or their equivalent menu paths) to specify the phase angle in degrees. For out-of-phase potentials or current segments, use the VALUE and VALUE2 fields on the appropriate load commands or menu paths to specify the real and imaginary components of the complex loads. Figure 3.3: "Relationship Between Real / Imaginary Components and Amplitude / Phase Angle" shows how to calculate the real and imaginary components.

Figure 3.3 Relationship Between Real / Imaginary Components and Amplitude / Phase Angle

3.5.2.3. Operating Frequency

This is the frequency of the alternating current (in Hz). You specify if as a load step option via either method shown below:

Command(s): | HARFRQ
GUI: | Main Menu> Solution> Load Step Opts> Time/Frequenc> Freq and Substps

3.5.3. Applying Source Current Density to Stranded Conductors

To apply source current density (JS) as a load directly to the elements of a stranded conductor, you can use either of the following:

Command(s): | BFE,,JS
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Excitation> Curr Density> On Elements

Alternatively, you can apply source current densities to areas of the solid model by using the BFA command. You can then transfer the specified source current densities from the solid model to the finite element model by using either the BFTRAN command or the SBCTRAN command.

3.5.4. Applying Current to Massive Conductors

Current (AMPS) is a nodal current load that applies only to massive (solid) conductor regions with an impressed current. In 2-D for the PLANE13 and PLANE53 elements, this load requires the AZ-VOLT degree of freedom set in the conductor region. Current represents the total measurable current flow through the conductor (units of current), and you can apply it only to 2-D planar and axisymmetric models.

To apply a uniform current load through a cross-section of the skin-effect region, you must couple the VOLT degree of freedom across that cross-section. To do so, use either of the following:

Command(s): | CP
GUI: | Main Menu> Preprocessor> Coupling/Ceqn> Couple DOFs

In 2-D planar or axisymmetric models, select all nodes in the skin-effect region and couple their VOLT DOFs. Then, apply the current at one node in the cross-section, using one of the following:

Command(s): | F
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Excitation> Impressed Curr> On Nodes

3.5.5. Applying Voltage Load Across a Stranded Coil

This load specifies a voltage drop (magnitude and phase angle) across a stranded coil. Units for voltage drop are always in MKS units. Voltage-drop loading is available only in the PLANE53 element using the AZ and CURR degrees of freedom. To apply voltage drop, use either of the following:

Command(s): | BFE
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Excitation> Voltage drop

Alternatively, you can apply voltage-drop loadings to areas of the solid model by using the BFA command. You can then transfer the specified voltage-drop loadings from the solid model to the finite element model by using either the BFTRAN command or the SBCTRAN command.

To obtain a correct solution, you must couple all nodes of the coil together in the CURR degrees of freedom. (Failure to do so will lead to errors in the solution.) This is required, because CURR is a unique number representing the current per turn of the winding.

3.5.6. Flags

3.5.6.1. Force Flags

An ANSYS command macro, FMAGBC, is used to identify a body for force or torque calculations. The macro automates applying virtual displacements and the Maxwell surface flag (discussed later). The body must be surrounded by at least one layer of "air" elements. Simply group the elements in the body on which forces, torque or displacements are to be calculated into a component. Then, use either of the following:

Command(s): | FMAGBC,Cname
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Flag> Comp. Force/Torq Main Menu> Solution> Define Loads> Apply> Magnetic> Flag> Comp. Force/Torq

Use the FMAGSUM and TORQSUM macros in POST1 to summarize the force and torque results, respectively.

Note

Lorentz forces are applicable to current carrying conductors and they are calculated automatically. Do not apply Maxwell or virtual displacement flags to any current carrying conductor surfaces.

3.5.6.2. Infinite Surface Flags (INF)

These are not loads, but they are required to flag the surface of an infinite element which is pointing towards the open (infinite) domain.

3.5.7. Other Loads

3.5.7.1. Maxwell Surfaces (MXWF)

Maxwell surfaces are not really loads, but indicate surfaces on which the magnetic force or torque distribution is to be calculated. The presence of the label MXWF sets the flag.

Typically, you specify MXWF on the surfaces of air elements adjacent to an air-iron interface. ANSYS calculates forces or torque at the air-iron interface (by the Maxwell stress tensor approach) and stores them in the air elements. You can then review and sum the forces or torque in the POST1 (general) postprocessor to obtain the global forces or torque acting on the body. Then, you can use these forces or torque as loads in a structural analysis if you wish.

You can specify more than one component, but the components must not share adjacent air elements. (Sharing air elements is typical when a single element layer separates two components.)

3.5.7.2. Magnetic Virtual Displacements (MVDI)

These loads initiate the calculation of forces or torque on a body in the model. The MVDI method provides an alternative to the Maxwell method. The ANSYS program calculates the forces or torque as it processes the solution, using the virtual work approach.

To trigger the calculation, specify MVDI = 1.0 at all nodes in the region of interest and MVDI = 0.0 (default setting) at all adjacent air nodes. You can enter MVDI values greater than 1.0; but normally, you should not do so. Forces or torque will be calculated and stored in the air elements adjacent to the body.

The band of air elements surrounding the region of interest should be uniformly thick. Then, in POST1, you can review and summarize the forces or torque calculated for each air element to get the total force or torque.

Figure 3.4 MVDI Specifications for Virtual Work Force Calculation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.4. Building and Meshing the Model and Assigning Region Attributes 		Up / Home Next
3.6. Obtain a Solution


3.6. Obtain a Solution

Most of the tasks you perform to solve a 2-D harmonic magnetic analysis are the same as the tasks described in "2-D Static Magnetic Analysis" for solving a 2-D static magnetic analysis. The main differences are that you specify a different analysis type and that the harmonic analysis yields different results that may require different postprocessing methods.

3.6.1. Defining the Harmonic Analysis Type

To specify the analysis type, do either of the following:

  • In the GUI, choose menu path Main Menu> Solution> Analysis Type> New Analysis and then choose a Harmonic analysis.

  • If this is a new analysis, issue the command ANTYPE,HARMIC,NEW.

If you want to restart a previous analysis (for example, to restart an unconverged solution or to specify additional excitation), issue the command ANTYPE,HARMIC,REST. You can restart an analysis only if you previously completed a harmonic magnetic analysis, and the files Jobname.EMAT, Jobname.ESAV, and Jobname.DB from the previous run are available.

Most 2-D nonlinear harmonic problems run at a single frequency can be set up and solved using either of the following:

Command(s): | HMAGSOLV
GUI: | Main Menu> Solution> Solve> Electromagnet> Harmonic Analys> Opt&Solv

Details on the HMAGSOLV macro are described in HMAGSOLV Command Macro. Defining Analysis Options through Starting the Solution describe the analysis options that can be used if the HMAGSOLV macro is not used. HMAGSOLV is only applicable to a new harmonic analysis.

3.6.2. Defining Analysis Options

You can use the following "Full" method to solve harmonic electromagnetic problems. It is the default method.

First, define the solution method, using either of the following:

Command(s): | HROPT
GUI: | Main Menu> Solution> Analysis Options

Next, define how the harmonic degree of freedom solution is listed in the printed output (the Jobname.OUT file). You can choose either real and imaginary parts (default) or amplitudes and phase angles. This option is used mainly with circuit-coupled problems using the CURR and EMF degrees of freedom. To specify the solution listing format, use either of the following:

Command(s): | HROUT
GUI: | Main Menu> Solution> Analysis Options

3.6.3. Selecting the Equation Solver

You can choose the sparse direct (SPARSE) solver (default), the frontal solver, the Jacobi Conjugate Gradient (JCG) solver, or the Incomplete Cholesky Conjugate Gradient (ICCG) solver.

To select an equation solver, use either of the following:

Command(s): | EQSLV
GUI: | Main Menu> Solution> Analysis Options

Note

You must "OK" the dialog box containing the HROPT and HROUT commands to reach the equation solver dialog box.

For nonlinear problems, the program continues to do equilibrium iterations until the convergence criteria are satisfied (or until the maximum number of equilibrium equations is reached.

To specify the convergence criteria, use either of the following:

Command(s): | CNVTOL
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Nonlinear> Convergence Crit. Main Menu> Solution> Load Step Opts> Nonlinear> Convergence Crit.

You can either use the default convergence criteria or define custom criteria.

  • Default Convergence Criteria

    By default, the program checks for degree of freedom (AZ, VOLT, CURR, EMF) convergence by comparing the square root sum of the squares (SRSS) of the degree of freedom imbalances against the product of VALUE X TOLER. The default value of VALUE is based upon the selected NORM and the current total DOF value (program chosen), or MINREF, whichever is greater. In general, you do not set MINREF. The default value of TOLER is 0.001.

    For degrees of freedom, the program bases convergence checking on the change in degree of freedom (Du) between the current (i) and the previous (i-1) iterations: Du = ui-ui-1.

  • Custom Convergence Criteria

    You can define custom convergence criteria, instead of using the default values.

    Using tighter convergence criteria improves the accuracy of your results, but at the cost of more equilibrium iterations. If you want to tighten (or loosen) your criteria, you change the TOLER by one or two orders of magnitude. In general, you continue to use the default value of VALUE; that is, change the convergence criteria by adjusting TOLER, not VALUE.

3.6.4. Setting the Analysis Frequency

For most electromagnetic problems only a single frequency is used. You set the frequency (in Hz), using either of the following:

Command(s): | HARFRQ
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Freq and Substps

You can input a single frequency in either the FREQB or FREQE field.

3.6.5. Setting General Options

You can specify the number of harmonic solutions to be calculated. The solutions (or substeps) is evenly spaced within the specified frequency range. For example, if you specify 10 solutions in the range 30 to 40 Hz, the program calculates the response at 31, 32, 33, ..., 39, and 40 Hz. No response is calculated at the lower end of the frequency range.

To specify the number of harmonic solutions, use either of the following:

Command(s): | NSUBST
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Freq and Substps

You can specify whether the excitations are stepped or ramped. By default, they are ramped, that is, excitation amplitude is gradually increased with each substep. By stepping the excitations, the same excitation amplitude is maintained for all substeps in the frequency range. For electromagnetic problems excitations are normally stepped. The ramp option is useful for converging nonlinear problems at a single frequency.

To specify whether the excitations are stepped or ramped, use either of the following:

Command(s): | KBC
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequency> Freq and Substps

You can specify the number of equilibrium iterations performed for a nonlinear harmonic analysis at each frequency. The default is 25. It is recommended that the number of equilibrium iterations be set to 50 or higher to ensure convergence.

To specify the number of equilibrium iterations, use either of the following:

Command(s): | NEQIT
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Nonlinear> Equilibrium Iter

3.6.6. Setting Output Controls

You can set output control options.

An option enables you to include any results data in the printed output file (Jobname.OUT). To control printed output, use either of the following:

Command(s): | OUTPR
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Output Ctrls> Solu Printout

Another option controls what data goes to the results file (Jobname.RTH). To control database and results file output, use either of the following:

Command(s): | OUTRES
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Output Ctrls> DB/Results File

3.6.7. Saving a Backup Copy of the Database

Use the SAVE_DB button on the ANSYS Toolbar to save a backup copy of the ANSYS database. To retrieve a model, re-enter ANSYS and use one of the following:

Command(s): | RESUME
GUI: | Utility Menu> File> Resume Jobname.db

3.6.8. Starting the Solution

For linear problems you can initiate a solution using either of the following:

Command(s): | SOLVE
GUI: | Main Menu> Solution> Solve> Current LS

For a nonlinear analysis, a two-step solution sequence at each frequency is recommended to ensure convergence:

  1. Ramp the excitation over three to five substeps, each with one equilibrium iteration.

    To specify a ramped or stepped excitation, you use either of the following:

    Command(s): KBC
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequency> Freq and Substps

    To specify three to five substeps, use either of the following:

    Command(s): NSUBST
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Freq and Substps

    To specify one equilibrium iteration, use the following:

    Command(s): NEQIT
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Nonlinear> Equilibrium Iter

    To initiate a solution, use either of the following:

    Command(s): SOLVE
    GUI: Main Menu> Solution> Solve> Current LS

  2. Calculate the final solution over one substep, with up to 50 equilibrium iterations.

    To specify one substep, use either of the following:

    Command(s): NSUBST
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Freq and Substps

    To specify up to 50 equilibrium iterations, use either of the following:

    Command(s): NEQIT
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Nonlinear> Equilibrium Iter

    To define custom convergence criteria, instead of using the default values, use either of the following:

    Command(s): CNVTOL
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Nonlinear> Convergence Crit.
    Main Menu> Solution> Load Step Opts> Nonlinear> Convergence Crit.

    To initiate a solution, use either of the following:

    Command(s): SOLVE
    GUI: Main Menu> Solution> Solve> Current LS

3.6.9. HMAGSOLV Command Macro

Instead of specifying the two-step solution sequence and initiating the solution manually using the analysis options documented above, you can take advantage of the HMAGSOLV command macro. To do so, use either of the following:

Command(s): | HMAGSOLV
GUI: | Main Menu> Solution> Solve> Electromagnet> Harmonic Analys> Opt&Solv

The HMAGSOLV command macro allows for changing the default convergence criteria for each valid degree of freedom. Due to the nature of the nonlinear harmonic equation set, convergence is slower than it is for a static analysis. The default values should provide adequate solution accuracy.

3.6.10. Tracking Convergence Graphically

As nonlinear electromagnetic analysis proceeds, ANSYS computes convergence norms with corresponding convergence criteria each equilibrium iteration. Available in both batch and interactive sessions, the Graphical Solution Tracking (GST) feature displays the computed convergence norms and criteria while the solution is in process. By default, /GST is ON for interactive sessions and OFF for batch runs. To turn /GST on or off, use either of the following:

Command(s): | /GST
GUI: | Main Menu> Solution> Load Step Opts> Output Ctrls> Grph Solu Track

Figure 3.5: "Convergence Norms Displayed by the Graphical Solution Tracking (GST) Feature" shows a typical GST display:

Figure 3.5 Convergence Norms Displayed by the Graphical Solution Tracking (GST) Feature

3.6.11. Finishing the Solution

To leave the SOLUTION processor, use either of the following:

Command(s): | FINISH
GUI: | Main Menu> Finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.5. Applying Boundary Conditions Loads (Excitation) to Harmonic Problems 		Up / Home Next
3.7. Reviewing Results


3.7. Reviewing Results

The ANSYS Multiphysics and ANSYS Emag programs write results from a harmonic magnetic analysis to the magnetics results file, Jobname.RMG (or to Jobname.RST if the electric potential (VOLT), current (CURR), or EMF degrees of freedom are active). Results include the data listed below, all of which vary harmonically at the operating frequency (or frequencies) for which you calculated the solution:

Primary data: Nodal DOFs (AZ, VOLT, CURR)

Derived data:

  • Nodal magnetic flux density (BX, BY, BSUM)

  • Nodal magnetic field intensity (HX, HY, HSUM)

  • Nodal magnetic forces (FMAG: components X, Y, SUM)

  • Nodal Lorentz magnetic forces (FMAG; components X, Y, SUM)

  • Nodal reaction current segments (CSGZ)

  • Joule heat per unit volume (JHEAT)

Note

For nonlinear time-harmonic analysis, the values of flux density (B) may exceed the values input on the DC B-H curve. These values represent an approximation to the fundamental harmonic component of the true waveform, not the actual measurable value.

Additional data, specific to each element type, also are available. See the Elements Reference for details.

You can review analysis results in POST1, the general postprocessor, or POST26, the time-history postprocessor. The results are out-of-phase with the input loads (that is, they lag the input loads), and therefore are complex. They are calculated and stored in terms of real and imaginary components.

Use POST1 to review results over the entire model at specific frequencies. Use POST26 to review results at specific points in the model over the entire frequency range.

For a harmonic magnetic analysis, the frequency range usually consists of only the AC frequency. Therefore, POST1 is typically used to review the results.

To choose a postprocessor, use one of the following:

Command(s): | /POST1, /POST26
GUI: | Main Menu> General Postproc Main Menu> TimeHist Postpro

3.7.1. Commands or GUI Paths to Help You in Postprocessing

The ANSYS program provides a number of commands or GUI paths (see Table 3.5: "Postprocessing GUI Paths and Commands") which you may find helpful in postprocessing analysis results:

Table 3.5 Postprocessing GUI Paths and Commands

Task | Command(s) | GUI Path
Select the real solution | SET,1,1,,0 | Main Menu> General Postproc> List Results> Results Summary
Select the imaginary solution | SET,1,1,,1 | Main Menu> General Postproc> List Results> Results Summary
Print vector potential DOF (AZ)[5] | PRNSOL,AZ | Main Menu> General Postproc> List Results> Nodal Solution
Print time-integrated potential DOF (VOLT)[5] | PRNSOL,VOLT | Main Menu> General Postproc> List Results> Nodal Solution
Print magnetic flux density at corner nodes[1,5] | PRVECT,B | Main Menu> General Postproc> List Results> Vector Data
Print magnetic field at corner nodes[1,5] | PRVECT,H | Main Menu> General Postproc> List Results> Vector Data
Print total current density at centroids[5] | PRVECT,JT | Main Menu> General Postproc> List Results> Vector Data
Print force at corner nodes[2,6] | PRVECT,FMAG | Main Menu> General Postproc> List Results> Vector Data
Print magnetic flux density at element nodes[5] | PRESOL,B | Main Menu> General Postproc> List Results> Element Solution
Print magnetic field at element nodes[5] | PRESOL,H | Main Menu> General Postproc> List Results> Element Solution
Print total current density at element centroid[5] | PRESOL,JT | Main Menu> General Postproc> List Results> Element Solution
Print force at element nodes[2,6] | PRESOL,FMAG | Main Menu> General Postproc> List Results> Element Solution
Print magnetic energy[3,5] | PRESOL,SENE | Main Menu> General Postproc> List Results> Element Solution
Print Joule heat per unit volume[4,6] | PRESOL,JHEAT | Main Menu> General Postproc> List Results> Element Solution
Create element table item for centroid flux density[5], X component. (Issue similar commands for Y and SUM components.) | ETABLE,Lab,B,X | Main Menu> General Postproc> Element Table> Define Table
Create element table item for centroid magnetic[5] field, X component. (Issue similar commands for Y and SUM components.) | ETABLE,Lab,H,X | Main Menu> General Postproc> Element Table> Define Table
Create element table item for Joule heat per unit volume[4,6] | ETABLE,Lab,JHEAT | Main Menu> General Postproc> Element Table> Define Table
Create element table item for centroid current[5] density, X component. (Issue similar commands for Y and SUM components.) | ETABLE,Lab,JT,X | Main Menu> General Postproc> Element Table> Define Table
Create element table item for magnetic force[2,6] over element, X component. (Issue similar commands for Y and SUM components.) | ETABLE,Lab,FMAG,X | Main Menu> General Postproc> Element Table> Define Table
Create element table item for element stored energy[3] | ETABLE,Lab,SENE | Main Menu> General Postproc> Element Table> Define Table
Print the indicated element table item(s) | PRETAB,Lab,1,... | Main Menu> General Postproc> List Results> Elem Table Data

  1. Average of selected elements adjacent to nodes.

  2. Force is summed over elements and distributed among nodes for coupling purposes.

  3. Magnetic energy is summed over elements.

  4. To obtain power loss, multiply by element volume.

  5. Instantaneous value (real/imaginary, at Ωt = 0 and Ωt = -90) in case of a harmonic analysis.

  6. RMS value: measurable values are stored in the real set. (Velocity effect regions (KEYOPT(2) = 1) require summation of real and imaginary parts to obtain RMS value.)

Note

See the Theory Reference for ANSYS and ANSYS Workbench for more information.

The ETABLE command or its GUI path also allow you to view less frequently-used items.

You can view most of these items graphically. To do so, substitute plotting commands for the commands whose names begin with "PL" (for example, use PLNSOL instead of PRNSOL, as illustrated below):

Command | Substitution | GUI Path
PRNSOL | PLNSOL | Utility Menu> Plot> Results> Contour Plot> Nodal Solution
PRVECT | PLVECT | Utility Menu> Plot> Results> Vector Plot
PRESOL | PLESOL | Utility Menu> Plot> Results> Contour Plot> Elem Solution
PRETAB | PLETAB | Utility Menu> Plot> Results> Contour Plot> Elem Table Data

You also can plot element table items. See the Basic Analysis Guide for more information.

The ANSYS Parametric Design Language (APDL) also contains commands that may be useful in postprocessing, and several magnetics macros also are available for results processing purposes. See the ANSYS Parametric Design Language Guide for more information about APDL. "Electric and Magnetic Macros" describes the macros.

Reading in Results Data discusses some typical POST1 operations for a harmonic magnetic analysis. For a complete description of all postprocessing functions, see the Basic Analysis Guide.

3.7.2. Reading in Results Data

To review results in POST1, the ANSYS database must contain the same model for which the solution was calculated. Also, the results file (Jobname.RMG or Jobname.RST) must be available.

Results from a harmonic magnetic analysis are complex and consist of real and imaginary components. To read either type of component (you cannot read both types at the same time), use either of the following:

Command(s): | SET
GUI: | Utility Menu> List> Results> Load Step Summary

An SRSS combination of the real and imaginary parts gives the true magnitude of the results. You can do this via load case operations.

3.7.2.1. Contour Displays

You can contour almost any result item (including flux density and field intensity) using the following commands or menu paths:

Command(s): | PLNSOL, PLESOL
GUI: | Utility Menu> Plot> Results> Contour Plot> Elem Solution Utility Menu> Plot> Results> Contour Plot> Nodal Solution

Caution

The PLNSOL command or its equivalent menu path average nodal contour plots for derived data, such as flux density and field intensity, at the nodes.

In PowerGraphics mode (default), you can visualize nodal averaged contour displays which account for material discontinuities. Should you need to activate PowerGraphics, use either /GRAPHICS,POWER (Utility Menu> PlotCtrls> Style> Hidden-Line Options).

3.7.2.2. Vector Displays

Vector displays (not to be confused with vector mode) offer an effective way to view vector quantities such as A, B, H, and FMAG. For vector displays, use either of the following:

Command(s): | PLVECT
GUI: | Utility Menu> Plot> Results> Vector Plot

For vector listings, use either method shown below:

Command(s): | PRVECT
GUI: | Utility Menu> List> Results> Vector Data

3.7.2.3. Tabular Listings

You can produce tabular listings of results data, either unsorted or sorted by node or by element. To sort data before listing it, use any of the following:

Command(s): | ESORT, NSORT
GUI: | Main Menu> General Postproc> List Results> Sorted Listing> Sort Nodes Main Menu> General Postproc> List Results> Sorted Listing> Sort Elems

To produce tabular data listings, use any of the following:

Command(s): | PRESOL, PRNSOL, PRRSOL
GUI: | Main Menu> General Postproc> List Results> Element Solution Main Menu> General Postproc> List Results> Nodal Solution Main Menu> General Postproc> List Results> Reaction Solu

3.7.2.4. Magnetic Forces

Lorentz, Maxwell and virtual work force computations are usually available:

  • Time-average Lorentz forces (the JxB forces) are calculated automatically for all current carrying elements. These forces are stored in the "real" data set (see SET command to retrieve "real" results). (Exercise caution in interpreting Lorentz forces in permeable (μr > 1 materials.) To list these forces, select all current-carrying elements and use either the PRNSOL,FMAG command or its equivalent menu path. You can also sum these forces. First, move them to the element table using either of the following:

    Command(s): ETABLE,tablename,FMAG,X (or Y)
    GUI: Main Menu> General Postproc> Element Table> Define Table

    Then, calculate the sum using either of the following:

    Command(s): SSUM
    GUI: Main Menu> General Postproc> Element Table> Sum of Each Item

    For velocity effect regions (KEYOPT(2) = 1), the time-average forces are obtained by summing the data stored in the "real" and "imaginary" data sets.

  • Time-average Maxwell forces are calculated for all elements at which the surface flag MXWF is specified as a surface "load." To list Maxwell forces, select all such elements, read in the "real" data set and then select either of the following:

    Command(s): PRNSOL,FMAG
    GUI: Main Menu> General Postproc> List Results> Nodal Solution

    You can summarize time-average Maxwell forces quickly for element components on which those forces were specified as boundary conditions (via the FMAGBC macro). To summarize the forces, choose one of the following:

    Command(s): FMAGSUM
    GUI: Main Menu> General Postproc> Elec&Mag Calc> Component Based> Force

    To sum the forces, use the procedure described in the foregoing for Lorentz forces.

    Note

    For velocity effect regions (KEYOPT(2) = 1), the time-average forces are obtained by summing the data stored in the "real" and "imaginary" data sets.

  • Time-average virtual work forces are calculated for all air elements with an MVDI specification adjacent to the body of interest. To extract these forces, select all current-carrying elements and use the ETABLE command along with the sequence number (snum) for the data requested to store the forces from the element NMISC record (see PLANE13 Item and Sequence Numbers and Item and Sequence Numbers for ETABLE and ESOL in the Elements Reference). Do so by choosing either of the following:

    Command(s): ETABLE,tablename,NMISC,snum
    GUI: Main Menu> General Postproc> Element Table> Define Table

    Once you move the data to the element table, you can list them using either of the following:

    Command(s): PRETAB
    GUI: Main Menu> General Postproc> Element Table> List Elem Table

    You can summarize time-average virtual work forces quickly for element components on which those forces were specified as boundary conditions (via the FMAGBC macro). To summarize the forces, choose one of the following:

    Command(s): FMAGSUM
    GUI: Main Menu> General Postproc> Elec&Mag Calc> Component Based> Force

    To sum the forces, use the procedure described in the foregoing for Lorentz forces.

    Note

    For velocity effect regions (KEYOPT(2) = 1), the time average-forces are obtained by summing the data stored in the "real" and "imaginary" data sets.

3.7.2.5. Magnetic Torque

Lorentz, Maxwell and virtual work torque computations are usually available:

  • Time-average Lorentz torque (the JxB torque) is calculated automatically for all current carrying elements. These torque values are stored in the "real" data set (see SET command to retrieve "real" results). Exercise caution in interpreting Lorentz torque values in permeable (mr>1) materials.) To extract these torque values, select all current-carrying elements and use the ETABLE command along with the sequence number (snum) for the data requested to store the torque values from the element NMISC record (see PLANE13 Item and Sequence Numbers and Item and Sequence Numbers for ETABLE and ESOL in the Elements Reference). Do so by choosing either of the following:

    Command(s): ETABLE,tablename,NMISC,snum
    GUI: Main Menu> General Postproc> Element Table> Define Table

    Once you move the data to the element table, you can list the torque values using the following command:

    Command(s): PRETAB
    GUI: Main Menu> General Postproc> Element Table> List Elem Table

    The torque data can also be retrieved using the PLESOL and PRESOL commands with the NMISC item label.

    You can also sum the torque values to obtain the total torque on the body. To calculate the sum use the following:

    Command(s): SSUM
    GUI: Main Menu> General Postproc> Element Table> Sum of Each Item

    Note

    For velocity effect regions (KEYOPT(2) = 1), the time-average torque values are obtained by summing the data stored in the "real" and "imaginary" data sets.

  • Maxwell torque values are calculated for all elements at which the surface flag MXWF is specified as a surface "load." To extract and sum Maxwell torque values, you can use the procedure described in the foregoing for extracting and summing Lorentz torque values or, if the torque values were specified as boundary conditions via the FMAGBC macro, you can quickly obtain the values using either of the following:

    Command(s): TORQSUM
    GUI: Main Menu> General Postproc> Elec&Mag Calc> Component Based> Torque

    Note

    For velocity effect regions (KEYOPT(2) = 1), the time-average torque values are obtained by summing the data stored in the "real" and "imaginary" data sets.

  • Time-average virtual work torque values are calculated for all air elements with an MVDI specification adjacent to the body of interest. To extract and sum virtual work torque values, you can use the procedure described in the foregoing for extracting and summing Lorentz torque values or, if the torque values were specified as boundary conditions via the FMAGBC macro, you can quickly obtain the values using either of the following:

    Command(s): TORQSUM
    GUI: Main Menu> General Postproc> Elec&Mag Calc> Component Based> Torque

    Note

    For velocity effect regions (KEYOPT(2) = 1), the time-average torque values are obtained by summing the data stored in the "real" and "imaginary" data sets.

3.7.2.6. Coil Resistance and Inductance

For stranded coils with the voltage-fed or circuit-fed options, you can calculate the resistance and inductance of the coil. Each element stores values of resistance and inductance. Summing these values gives the total resistance and inductance of the modeled region of the conductor. To store and sum these values, select the conductor elements using the ETABLE,tablename,NMISC,n command or its equivalent menu path. (For the n value, use 8 for resistance and 9 for inductance.) Use the SSUM command or its menu path equivalent to sum the data.

Inductance values calculated for voltage-fed stranded coils (KEYOPT(1) = 2 for PLANE53) or circuit-coupled stranded coils (KEYOPT(1) = 3 for PLANE53) are only valid under the following conditions:

  • The problem is linear (constant permeability).

  • There are no permanent magnets in the model.

  • Only a single coil exists in the model.

For a system of coils, use the LMATRIX macro to compute the differential inductance matrix and the total flux linkage in each coil. Refer to Calculating the Inductance Matrix and Flux Linkage and LMATRIX for information on the LMATRIX macro.

3.7.2.7. Calculating Other Items of Interest

You can calculate many other items of interest (such power loss and eddy currents) from the data available in the database in postprocessing. The ANSYS command set supplies the following macros for these calculations:

  • The EMAGERR macro calculates the relative error in an electrostatic or electromagnetic field analysis.

  • The FLUXV macro calculates the flux passing through a closed contour.

  • The MMF macro calculates magnetomotive force along a path.

  • The PLF2D macro generates a contour line plot of equipotentials.

  • The POWERH macro calculates the rms power loss in a conducting body. Time-average (rms) power loss represents the Joule heating losses. The ANSYS program calculates it from real and imaginary total current density when you use the following command macro or GUI path:

    Command(s): POWERH
    GUI: Main Menu> General Postproc> Elec & Mag Calc> Power Loss

For heat transfer coupling, the power loss term is expressed in terms of Joule heat generation rate. You can use it in a thermal analysis; to do so, read the data from the magnetics results file using the LDREAD command (Main Menu> Solution> Define Loads> Apply> Thermal> Heat Generat> From Mag Analy).

  • The SENERGY macro determines the rms stored magnetic energy or co-energy.

For more discussion of these macros, see "Electric and Magnetic Macros".

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.6. Obtain a Solution 		Up / Home Next
3.8. Doing an Example Harmonic Magnetic Analysis (GUI Method)


3.8. Doing an Example Harmonic Magnetic Analysis (GUI Method)

This section describes how to do a harmonic magnetic analysis choosing items from the ANSYS GUI menus. Doing an Example Harmonic Magnetic Analysis (Command Method) explains how to perform the same example analysis by issuing ANSYS commands, either manually during a session or in batch mode.

3.8.1. The Example Described

This example calculates the current that results from an AC voltage being applied to a thick stranded coil in free space. Scalar parameters for this analysis are:

  • n = 500 (coil turns)

  • r = 3*s/2 meters (the mean radius of the coil)

  • S = .02 (meters; the coil winding width and depth).

The example uses three element types:

  • Element PLANE53, representing air.

  • Element PLANE53 with the current and z magnetic vector potential degrees of freedom applied. This represents the voltage forced coil.

  • Element INFIN110, used for far-field elements.

Note

The example analysis presented here is only one of many possible harmonic magnetic analyses. Not all such analyses follow exactly the same steps or perform those steps in the same sequence. The properties of the material or materials being analyzed and the conditions surrounding those materials determine which steps a specific analysis needs to include.

Step 1: Start the Analysis

To begin the example analysis, do the following:

  1. Activate the ANSYS launcher.

  2. Select the ANSYS simulation environment, choose your license, and click Run.

  3. When the Graphical User Interface is fully active, choose Utility Menu> File> Change Title. A dialog box appears.

  4. Enter the title text, Voltage-fed thick stranded coil in free space.

  5. Click on OK.

Back To Top

Step 2: Define Analysis Parameters

  1. In this step, you define parameter values for model geometry and constants.

  2. Choose menu path Utility Menu> Parameters> Scalar Parameters. The Scalar Parameters dialog box appears.

  3. Type in the parameter values shown below. (Press ENTER after typing each value.) If you make a mistake, just retype the parameter definition.

    s = .02 (coil height and width)
    n = 500 (number of coil turns)
    r = 3*s/2 (radius to coil midspan)

  4. Click on Close to close the dialog box.

Back To Top

Step 3: Define Element Types and Options

You now define the elements the analysis will use and how those elements will behave.

  1. Choose Main Menu> Preprocessor> Element Type> Add/Edit/Delete. The Element Types dialog box appears.

  2. Click on Add. The Library of Element Types dialog box appears.

  3. In the scrollable fields, click on (highlight) Magnetic Vector and Vect Quad 8nod53 (PLANE53).

  4. Click on Apply, then click on Apply again to define a second element type with the same element.

  5. In the scrollable fields, click on "InfiniteBoundary" and "2D Inf Quad 110."

  6. Click on OK. ANSYS returns you to the Element Types dialog box.

  7. Choose element type 1, then click on Options. The PLANE53 Element Type Options dialog box appears.

  8. Change the "Element Behavior" field to Axisymmetric, then click on OK.

  9. In the Element Types dialog box, choose element type 2, then click on Options.

  10. Set the "Element degrees of freedom" field to AZ CURR.

  11. Set the "Element Behavior" field to Axisymmetric.

  12. Click on OK.

  13. In the Element Types dialog box, choose element type 3, then click on Options.

  14. Set the "Element Behavior" field to Axisymmetric.

  15. Click on OK.

  16. Click on Close to close the Element Types dialog box.

Back To Top

Step 4: Set Electromagnetic Units

  1. Choose Main Menu> Preprocessor> Material Props> Electromag Units. A dialog box appears.

  2. Click on OK to set the default for “Electromagnetic units” to “MKS System.”

Back To Top

Step 5: Define Material Properties

This step defines material properties for air and aluminum.

  1. Choose menu path Main Menu> Preprocessor> Material Props> Material Models. The Define Material Model Behavior dialog box appears.

  2. In the Material Models Available window, double-click on the following options: Electromagnetics, Relative Permeability, Constant. A dialog box appears.

  3. Enter 1 for MURX (Relative permeability), and click on OK. Material Model Number 1 appears in the Material Models Defined window on the left.

  4. Choose menu path Edit> Copy. Click on OK to copy Material number 1 to Material number 2. Material Model Number 2 appears in the Material Models Defined window on the left.

  5. In the Material Models Defined window, click on Material Model Number 2 to highlight it.

  6. In the Material Models Available window, double-click on the following options: Resistivity, Constant. A dialog box appears.

  7. Enter 3.0E-8 for RSVX (Electrical resistivity), and click on OK.

  8. Choose menu path Material> Exit to remove the Define Material Model Behavior dialog box.

Back To Top

Step 6: Create Areas

In this step, you create the areas that make up the stranded coil, air, and far-field.

  1. Choose GUI path Main Menu> Preprocessor> Modeling> Create> Areas> Rectangle> By Dimensions. The Create Rectangle by Dimensions dialog box appears.

  2. In the "X coordinates" fields, enter s and 2*s.

  3. In the "Y coordinates" fields, enter 0 and s/2.

  4. Click on OK. The ANSYS Graphics Window displays the rectangular area.

  5. Choose Main Menu> Preprocessor> Modeling> Create> Areas> Circle> By Dimensions. The Circular Area by Dimensions dialog box appears.

  6. In the "RAD1 Outer radius" field, enter 6*.

  7. In the "THETA1 Starting angle (degrees)" field, enter 0.

  8. In the "THETA2 Ending angle (degrees)" field, enter .

  9. Click on Apply.

  10. In the "Outer radius" field, enter 12*s.

  11. In the "Starting angle (degrees)" field, enter 0.

  12. In the "Ending angle (degrees)" field, enter 90.

  13. Click on OK.

Back To Top

Step 7: Overlap the Areas

  1. Choose Main Menu> Preprocessor> Modeling> Operate> Booleans> Overlap> Areas. A picking menu appears.

  2. Click on Pick All.

  3. Click SAVE_DB on the ANSYS Toolbar.

Back To Top

Step 8: Set Area Attributes

To set attributes for the voltage forced coil, air, and far-field areas, perform the tasks shown below. (In this step, you also compute the area 1/2 coil cross-section.)

  1. Choose Utility Menu> PlotCtrls> Numbering. The Plot Numbering Controls dialog box appears.

  2. Set the "Area numbers" field to On.

  3. Click on OK.

  4. Choose Main Menu> Preprocessor> Meshing> Mesh Attributes> Picked Areas. A picking menu appears.

  5. In the Graphics Window, use the mouse to pick area 1. (To do this, place the cursor on the area label A1, click on the label, then click on OK in the picking menu.)

  6. From the “Material number” drop down menu, select 2.

  7. From the "Element type number" drop down menu, select 2 PLANE53.

  8. Click on OK.

  9. Choose Main Menu> Preprocessor> Modeling> Operate> Calc Geom Items> Of Areas.

  10. In the Calc Geom of Areas dialog box, make sure that Normal is selected.

  11. Click on OK.

  12. A window listing geometry items appears. Review the information in the window, then choose Close to close the window.

  13. Choose Utility Menu> Parameters> Get Scalar Data. The Get Scalar Data dialog box appears.

  14. Choose "Model data" from the list on the left, then "Areas" from the list on the right.

  15. Click on OK. The Get Area Data dialog box appears.

  16. Set the "Name of parameter to be defined" field to "a."

  17. In the "Area number N" field, enter 1.

  18. Set the "Area data to be retrieved" field to "Area," then click on OK.

  19. Choose menu path Main Menu> Preprocessor> Meshing> Mesh Attributes> Define> Picked Areas. A picking menu appears.

  20. In the Graphics Window, use the mouse to pick area A4.

  21. Click on OK.

  22. From the "Material number" drop down menu, select 1.

  23. From the "Element type number" drop down menu, select 3 INFIN110.

  24. Click on OK.

Back To Top

Step 9: Set Mesh Density

In this example, the mesh density at the radius of the coil is 9*s. To set the density, do the following:

  1. Choose Utility Menu> WorkPlane> Change Active CS to> Global Cylindrical.

  2. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  3. Choose "Lines" and "By Location."

  4. Set the "Min,Max" field to 9*s.

  5. Click on OK.

  6. Choose Main Menu> Preprocessor> Meshing> MeshTool. The MeshTool appears.

  7. Under the Size Controls section of the MeshTool, click Lines,Set. The Element Size on Picked Lines picking menu appears.

  8. Click Pick All. The Element Sizes on Picked Lines dialog box appears.

  9. Set the "No. of element divisions" field to 1 and click on OK.

  10. Under the Size Controls section of the MeshTool, click Globl,Set. The Global Element Sizes dialog box appears.

  11. Set the “No. of element divisions” field to 8 and click on OK.

Back To Top

Step 10: Mesh the Far-Field and Define Coil Constants

  1. In the Mesh area of the MeshTool, choose Areas, Quad, Map, and 3/4 sided; then click MESH. A picking menu appears.

  2. In the Graphics Window, use the mouse to pick Areas 1 and 4.

  3. Click on OK.

  4. In the MeshTool, turn SmartSizing on and move the SmartSize slider to 2.

  5. Under the Size Controls section of the MeshTool, click Globl,Set. The Global Element Sizes dialog box appears.

  6. In the “Element edge length” field, type s/4. Then click OK.

  7. In the MeshTool, choose Areas, Tri, and Free; then click MESH. A picking menu appears.

  8. In the Graphics Window, use the mouse to pick A5. (In order to be able to see the areas, you may need to choose Utility Menu> Plot> Areas.)

  9. Click on OK.

  10. Choose Main Menu> Preprocessor> Real Constants> Add/Edit/Delete. The Real Constants dialog box appears.

  11. Click on Add. The Element Type for Real Constants dialog box appears.

  12. Choose element type 2 and click on OK. Another dialog box appears.

  13. Set the "Coil cross-sectional area (CARE)" field to 2*a, the "Total number of coil turns (TURN)" field to "N", the "Current in z-direction (DIRZ)" field to 1, and the "Coil fill factor (FILL)" field to 1.

  14. Click on OK.

  15. Click on Close to close the Real Constants dialog box. Then click on Close to close the MeshTool.

  16. Click SAVE_DB on the ANSYS Toolbar.

Back To Top

Step 11: Couple the Current DOF in the Coil

In this step, you select nodes and elements on the coil and you couple the current degree of freedom in the coil.

  1. Choose Utility Menu> Parameters> Scalar Parameters. The Scalar Parameters dialog box appears.

  2. Type in the parameter value n1 = node(s,0,0). Press ENTER after typing in the value.

  3. Click on Close to close the dialog box.

  4. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  5. Choose "Elements," "By Attributes," "Material num," and "From Full."

  6. Set the "Min,Max,Inc" field to 2.

  7. Click on OK.

  8. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  9. Choose "Nodes", "Attached to", “Elements”, and "From Full".

  10. Click on OK.

  11. Choose Main Menu> Preprocessor> Coupling/Ceqn> Couple DOFs. A picking menu appears.

  12. Click on Pick All. The Define Coupled DOFs dialog box appears.

  13. In the "Set reference number" field, enter 1.

  14. In the "Degree-of-freedom label" field, choose CURR.

  15. Click on OK.

  16. Choose Utility Menu> Select> Everything.

Back To Top

Step 12: Set the Solution Conditions

In this step, you set up conditions for solving the example coil model:

  • The AZ boundary condition

  • The analysis type (harmonic)

  • The voltage for the coil elements

  • The frequency (60 Hz).

  1. Choose Utility Menu> WorkPlane> Change Active CS to> Global Cylindrical.

  2. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  3. Choose "Nodes, " "By Location," and "X Coordinates."

  4. Set the "Min,Max" field to 12*s.

  5. Click on OK.

  6. Choose Main Menu> Solution> Define Loads> Apply> Magnetic> Flag> Infinite Surf> On Nodes. A picking menu appears.

  7. Click on Pick All.

  8. Choose Utility Menu> WorkPlane> Change Active CS to> Global Cartesian.

  9. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  10. Choose "Nodes," "By Location," and "X Coordinates."

  11. Set the "Min,Max" field to 0.

  12. Click on OK.

  13. Choose Main Menu> Solution> Define Loads> Apply> Magnetic> Boundary> Flux Par'l> On Nodes. A picking menu appears.

  14. Click on Pick All.

  15. Choose Utility Menu> Select> Everything.

  16. Choose Main Menu> Solution> Analysis Type> New Analysis. The New Analysis dialog box appears.

  17. Choose "Harmonic" and click on OK.

  18. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  19. Choose “Elements” and “By Attributes.”

  20. Set the "Min, Max,Inc" field to 2 and click on OK.

  21. Choose Main Menu> Solution> Define Loads> Apply> Magnetic> Excitation> Voltage Drop> On Elements. A picking menu appears.

  22. Click on Pick All. A dialog box appears.

  23. In the "Voltage drop mag (VLTG)," field, enter 12 then click on OK.

  24. Choose Utility Menu> Select> Everything.

  25. Choose Main Menu> Solution> Load Step Opts> Time/Frequenc> Freq and Substps. A dialog box appears.

  26. Set the first value of the "Harmonic freq range" field to 60.

  27. Click on OK.

Back To Top

Step 13: Solve the Model

To solve the example analysis, choose Main Menu> Solution> Solve> Current LS. The ANSYS program displays a window summarizing the solution options. After you finish reviewing this information, click on Close to close the window. Then click OK on the Solve Current Load Step window to start the solution. Click Close when you receive the “Solution is done” message.

Back To Top

Step 14: Review the Results

For this example analysis, you look first at the real component of current and then at the imaginary component of the current. You do this using the general postprocessor, POST1.

  1. Choose Main Menu> General Postproc> Read Results> First Set.

  2. Choose Main Menu> General Postproc> Plot Results> Contour Plot> 2D Flux Lines. The Plot 2D Flux Lines dialog box appears.

  3. Click on OK. The Graphics Window displays a contour plot of the "real" flux lines.

  4. Choose Utility Menu> Parameters> Get Scalar Data. The Get Scalar Data dialog box appears.

  5. Choose "Results data" from the list on the left and "Nodal results" from the list on the right.

  6. Click on OK. The Get Nodal Results Data dialog box appears.

  7. In the "Name of parameter to be defined" field, type "curreal."

  8. In the "Node number N" field, type "n1."

  9. In the "Results data to be retrieved," field, choose "Current CURR" from the list on the right.

  10. Click on OK.

  11. Choose Utility Menu> Parameters> Scalar Parameters. A list of parameters appears.

  12. Look at the value of the "curreal = 1.19" parameter, then click on Close.

  13. Choose Main Menu> General Postproc> Read Results> By Load Step. A dialog box appears.

  14. Set the "Real or imaginary part" field to "Imaginary part" and click on OK.

  15. Choose Main Menu> General Postproc> Plot Results> Contour Plot> 2D Flux Lines. The Plot 2D Flux Lines dialog box appears.

  16. Click on OK. The Graphics Window displays a contour plot of the "imaginary" flux lines.

  17. Choose Utility Menu> Parameters> Get Scalar Data. The Get Scalar Data dialog box appears.

  18. Choose "Results data" from the list on the left and "Nodal results" from the list on the right.

  19. Click on OK. The Get Nodal Results Data dialog box appears.

  20. In the "Name of parameter to be defined" field, type "curimag."

  21. Click on OK to retrieve the imaginary part of the current value.

  22. Choose Utility Menu> Parameters> Scalar Parameters. A list of parameters appears.

  23. Look at the value of the "curimag = -1.62" parameter, then click on Close.

Back To Top

Step 18: Finish the Analysis

To complete the example analysis, click on Quit in the ANSYS Toolbar. Then choose an exit option and click on OK.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.7. Reviewing Results 		Up / Home Next
3.9. Doing an Example Harmonic Magnetic Analysis (Command Method)


3.9. Doing an Example Harmonic Magnetic Analysis (Command Method)

You can perform the example analysis of a voltage-fed stranded coil using the ANSYS commands shown below instead of GUI menu choices. All text prefaced by an exclamation point (!) is a comment.

/batch,list
/prep7
/title, Voltage-fed thick stranded coil in free space
/com,   Calculate the current in the coil from an applied AC voltage
/com,
/com,      Parameters
/com,       n = 500 coil turns
/com,       s = .02 (coil winding width and depth) meters
/com,       r = 3*s/2 meters (mean radius of coil)
/com,
/com,
/nopr
et,1,53,,,1         ! air
et,2,53,2,,1        ! voltage forced coil
et,3,110,,,1        ! far-field
emunit,mks
mp,murx,1,1
mp,murx,2,1
mp,rsvx,2,3.00e-8   ! resistivity of coil
s=.02
n=500
r=3*s/2
rectng,s,2*s,0,s/2
pcirc,0,6*s,0,90
pcirc,0,12*s,0,90
aovlap,all
asel,s,area,,1
aatt,2,1,2
asum
*get,a,area,,area    ! area of 1/2 coil cross-section
asel,s,area,,4
aatt,1,1,3
asel,all
csys,1
lsel,s,loc,x,9*s
lesize,all,,,1
esize,,8
mshape,0,2d   ! mapped mesh with quads
mshkey,1
amesh,1,4,3          ! mesh far-field and coil
smrtsize,2
esize,s/4
mshape,1,2d          ! specify triangle elements
mshkey,0   ! free mesh
amesh,5              ! mesh air region
r,1,2*a,500,,1,1     ! coil constants

n1=node(s,0,0)           ! get a node on the coil
esel,s,mat,,2            ! get coil elements
nsle,s
cp,1,curr,all        ! couple curr dof in coil
allsel,all
csys,1
nsel,s,loc,x,12*s
sf,all,inf           ! set infinite surface flag
csys,0
nsel,s,loc,x,0
d,all,az,0           ! flux-parallel condition
allsel,all
finish
/solu
antype,harm
esel,s,mat,,2
bfe,all,vltg,,12     ! 12 volts load (real)
esel,all
harfrq,60            ! 60 Hz.
solve
finish
/post1
set,1
plf2d                        ! Plot real flux lines
*get,ireal,node,n1,curr
set,1,1,,1
plf2d                        ! Plot imaginary flux lines
*get,imag,node,n1,curr
*status                      ! Imaginary and real components of current
finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.8. Doing an Example Harmonic Magnetic Analysis (GUI Method) 		Up / Home Next
3.10. Doing an Example of a 2-D Nonlinear Harmonic Analysis (Command Method)


3.10. Doing an Example of a 2-D Nonlinear Harmonic Analysis (Command Method)

3.10.1. The Example Described

This example calculates the Joule (eddy current) loss in a semi-infinite steel plate of thickness 5 mm subjected to a coil producing a magnetic field, Hm = 2644.1 A/m2 at 50 Hz as shown in Figure 3.6: "2-D Nonlinear Harmonic Analysis". The target result from the universal loss chart (see reference in command listing) is 1360.68 Watt/m.

Figure 3.6 2-D Nonlinear Harmonic Analysis

The model is a one-half symmetry model through the plate thickness with an arbitrary width of dx. At y = 0, the AZ setting is zero. Nodes are coupled at the top of the coil to represent a flux line. The calculated current density in the coil to produce the desired tangential field (Hm) is J = Hm/dy. The two step nonlinear solution uses the HMAGSOLV macro. Convergence criteria relaxation on the vector potential, AZ, is .01 (appropriate for loss calculation in this case).

3.10.2. The Example Analysis Command Input Stream

Below is the command input stream used to perform the analysis. All text preceded by an exclamation point (!) is a comment.

/batch,list
/title,Eddy current loss in thick steel plate (NL harmonic)
/com,
     ****************************************************************
/com,
/com,  Description:  A semi-infinite steel plate of thickness 5 mm is
/com,    subject to tangential field Hm=2644.1. 50 Hz. sigma=5e6 S/m
/com,    The plate has a B-H curve represented by Frohlich model
/com,    B=H/(alpha + beta |H| with alpha=156, beta=.59.
/com,
/com,  Ref:  K.K. Lim and P. Hammond, "Universal loss chart for the
/com,    calculation of eddy-current losses in thick steel plates,"
/com,    Iee Proc., vol.117, no.4, p.861, April 1970.
/com,
/com,  Test purpose:  Perform a nonlinear harmonic analysis with PLANE53.
/com,    Compare eddy current loss with the target P=1360.68 Watt/m^2
/com,    as obtained from the universal loss chart.
/com,
     *****************************************************************
/com,
/com,
/nopr
!
/prep7
dd=2.5e-3! 1/2 height of plate
Hm=2644.1! imposed H field
sigma=5.0e6! material conductivity
ff=50! frequency (Hz)
dx=dd/6! modeled plate width
dy=dd/6! coil height
!
et,1,plane53
mp,murx,1,1.! coil relative permeability
tb,bh,2,,25! plate B-H curve
tbpt,,100,.46512
tbpt,,200,.72993
tbpt,,300,.90090
tbpt,,400,1.0204
tbpt,,500,1.1086
tbpt,,600,1.1765
tbpt,,700,1.2302
tbpt,,800,1.2739
tbpt,,900,1.3100
tbpt,,1000,1.3405
tbpt,,1400,1.4257
tbpt,,1800,1.4778
tbpt,,2200,1.5131
tbpt,,2600,1.5385
tbpt,,3000,1.5576
tbpt,,3400,1.5726
tbpt,,3800,1.5847
tbpt,,4200,1.5945
tbpt,,4600,1.6028
tbpt,,5000,1.6098
tbpt,,7000,1.6332
tbpt,,9000,1.6465
tbpt,,11000,1.6551
tbpt,,13000,1.6611
tbpt,,15000,1.6656
mp,rsvx,2,1/sigma
!
rect,0,dx,0,dd! plate
rect,0,dx,dd,dd+dy! coil
aglue,all
!
asel,s,loc,y,dd,dd+dy
aatt,1,0,1
asel,s,loc,y,0,dd
aatt,2,0,1
asel,all
amesh,all
!
nsel,s,loc,y,
d,all,az,0.! flux-parallel
nsel,s,loc,y,dd+dy
cp,1,az,all! couple for flux-parallel
nsel,all
fini
!
/solu
antype,harmic
esel,s,mat,,1
bfe,all,JS,,0.,0.,Hm/dy,0.! apply coil current density
esel,all
hmagsolv,ff,,1e-2! solve nonlinear problem
fini
!
/post1
!
! compute losses
!
set,last,1,,0
esel,s,mat,,2
powerh! extract losses in plate (W/m)
pavg=pavg*2/dx! convert to (W/m**2)
*vwrite,pavg
(/`Computed eddy current loss:',f9.4,`Watts/m**2')
finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.9. Doing an Example Harmonic Magnetic Analysis (Command Method) 		Up / Home Next
3.11. Where to Find Other Examples


3.11. Where to Find Other Examples

Another ANSYS, Inc. publication, the Verification Manual, contains other examples of 2-D harmonic magnetic analysis:

VM166 - Long Cylinder in a Sinusoidal Magnetic Field
VM185 - AC Analysis of a Slot Embedded Conductor

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.10. Doing an Example of a 2-D Nonlinear Harmonic Analysis (Command Method) 		Up / Home Next
Chapter 4. 2-D Transient Magnetic Analysis


Chapter 4. 2-D Transient Magnetic Analysis

Transient magnetic analysis is a technique for calculating magnetic fields that vary over time, such as those caused by surges in voltage or current or pulsed external fields. In a transient magnetic analysis, typically the quantities you want to analyze are:

  • Eddy currents

  • Power loss due to eddy currents

  • Magnetic forces induced by eddy currents

  • Two contacting bodies with dissimilar meshes (such as the air gap in a rotor/stator configuration).

A transient magnetic analysis can be either linear or nonlinear.

The following 2-D transient magnetic analysis topics are available:

  • Elements Used in Transient Magnetic Analysis
  • Creating a 2-D Transient Magnetic Physics Environment
  • Building a Model, Assigning Region Attributes and Meshing the Model
  • Applying Boundary Conditions and Loads (Excitation)
  • Obtaining a Solution
  • Reviewing Results
  • Doing an Example Transient Magnetic Analysis (GUI Method)
  • Doing an Example Transient Analysis (Command Method)
  • Where to Find Other Examples

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.11. Where to Find Other Examples 		Up / Home Next
4.1. Elements Used in Transient Magnetic Analysis


4.1. Elements Used in Transient Magnetic Analysis

Only the vector potential formulation (see "2-D Static Magnetic Analysis") is valid in eddy current regions for transient magnetic analysis. Therefore, you can use only the following element types to model eddy current domains.

Table 4.1 2-D Solid Elements

Element | Dimens. | Shape or Characteristic | DOFs | Notes
PLANE13 | 2-D | Quadrilateral, four nodes, or triangular, three nodes | Up to four at each node; these can be magnetic vector potential (AZ), displacements, temperature, or time-integrated electric potential | Supported for cyclic symmetry (periodic) analysis, static only.
PLANE53 | 2-D | Quadrilateral, eight nodes, or triangular, six nodes | Up to four at each node; these can be magnetic vector potential (AZ), time-integrated electric potential, current, or electromotive force drop | Supported for cyclic symmetry (periodic) analysis, static only.

Table 4.2 Far-Field Elements

Element | Dimens. | Shape or Characteristic | DOFs
INFIN9 | 2-D | Line, two nodes | Magnetic vector potential (AZ)
INFIN110 | 2-D | Quadrilateral, four or eight nodes | Magnetic vector potential (AZ), electric potential, temperature

Table 4.3 General Circuit Elements

Element | Dimens. | Shape or Characteristic | DOFs
CIRCU124 | None | General circuit element applicable to circuit simulation, up to six nodes | Up to three at each node; these can be electric potential, current, or electromotive force drop

Table 4.4 Contact Elements

Element | Dimens. | Shape or Characteristic | DOFs | Notes
TARGE169 | 2-D | Target segment | n/a | Used to model the target region for a contact analysis
CONTA171 | 2-D | Surface-to-surface contact element (2-node) | AZ | Used to model the contact region for a contact analysis
CONTA172 | 2-D | Surface-to-surface contact element (3-node) | AZ | Used to model the contact region for a contact analysis
CONTA175 | 2-D | Node-to-surface contact element (1-node) | AZ | Used to model the contact region for a contact analysis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 4. 2-D Transient Magnetic Analysis 		Up / Home Next
4.2. Creating a 2-D Transient Magnetic Physics Environment


4.2. Creating a 2-D Transient Magnetic Physics Environment

As in any other type of ANSYS analysis, for transient magnetic analyses you create a physics environment, build a model, assign attributes to model regions, mesh the model, apply boundary conditions and loads, obtain a solution, and then review the results. Most of the procedures for conducting a 2-D transient magnetic analysis are identical or similar to the procedures for doing 2-D static analyses; this chapter discusses the tasks that are specific to transient analysis.

A 2-D transient magnetic analysis uses the same procedures as a 2-D static analysis to set GUI preferences, element KEYOPTS, and real constants and to choose a system of units. "2-D Static Magnetic Analysis" describes these procedures. When specifying material properties, in general use the same methods discussed in "2-D Static Magnetic Analysis"; that is, where possible, use existing material property definitions from the ANSYS material library or that other ANSYS users at your site have developed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.1. Elements Used in Transient Magnetic Analysis 		Up / Home Next
4.3. Building a Model, Assigning Region Attributes and Meshing the Model


4.3. Building a Model, Assigning Region Attributes and Meshing the Model

The Modeling and Meshing Guide explains techniques for building and meshing models. Once you have built the model, you must assign attributes to each region within it. "Attributes" are the element types and options, material properties, real constants and element coordinate systems you defined in Step 1; you assign attributes using the AATT and VATT commands or equivalent GUI paths. "2-D Static Magnetic Analysis" of this manual provides more details on assigning attributes to regions in your model.

For information on modeling two contacted bodies, see Modeling Magnetic Contact.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.2. Creating a 2-D Transient Magnetic Physics Environment 		Up / Home Next
4.4. Applying Boundary Conditions and Loads (Excitation)


4.4. Applying Boundary Conditions and Loads (Excitation)

You can apply loads to a transient magnetic analysis either on the solid model (keypoints, lines, and areas) or on the finite element model (nodes and elements).

To apply boundary conditions (BCs) and loads to a 2-D transient magnetic analysis, use the same GUI paths used to apply boundary conditions or loads to a 2-D static magnetic analysis. (See "2-D Static Magnetic Analysis" for details.) Optionally, you can apply loads and boundary conditions using ANSYS commands, and you can specify load step options to the 2-D transient magnetic analysis. "Alternative Analysis Options and Solution Methods" discusses both command-based loading and the load step options.

By definition, a transient analysis involves boundary conditions and loads that are functions of time. To specify such loads and BCs, you need to divide the load-versus-time curve into suitable load steps. Each "corner" on the load-time curve can be one load step, as shown in Figure 4.1: "Examples of Load-Versus-Time Curves":

Figure 4.1 Examples of Load-Versus-Time Curves

For each load step, you need to specify both load or BC values and time values, among with other load step options such as stepped or ramped loads, automatic time stepping, and so on. You then write the load data to a file and repeat this process until all load steps are specified.

See "Alternative Analysis Options and Solution Methods" for details about the load step options available for 2-D transient magnetic analysis.

4.4.1. Applying Boundary Conditions

For static analyses, use the ANSYS cyclic symmetry capability to define periodic boundary conditions. However, for transient or harmonic analyses, use the PERBC2D macro.

Using the PERBC2D macro, you can define periodic boundary conditions automatically for a 2-D analysis. PERBC2D writes constraint equations or assigns node coupling necessary for two periodic symmetry planes. To invoke the macro, use either of the following:

Command(s): | PERBC2D
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Boundary> Vector Poten> Periodic BCs

"Electric and Magnetic Macros" discusses and illustrates options for using PERBC2D.

4.4.2. Applying Excitation (Voltage Load)

Voltage load (VLTG) specifies a voltage drop across a stranded coil. Units for voltage load are always in MKS units. Voltage-drop loading is available only in the PLANE53 element using the AZ and CURR degrees of freedom. To apply voltage drop, use either of the following:

Command(s): | BFE
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Excitation> Voltage drop> On Elements

Alternatively, you can apply voltage-drop loadings to areas of the solid model by using the BFA command. You can then transfer the specified voltage-drop loadings from the solid model to the finite element model by using either the BFTRAN command or the SBCTRAN command.

To obtain a correct solution, you must couple all nodes of the coil together in the CURR degrees of freedom. (Failure to do so will lead to errors in the solution.) This is required, because CURR is a unique number representing the current per turn of the winding.

4.4.3. Applying Current

Current (AMPS) is a nodal current load that applies only to massive (solid) conductor regions with an impressed current. It represents the total measurable current flow through the conductor (units of current), and is valid only for 2-D planar and axisymmetric models and 3-D models. For the 2-D elements PLANE13 and PLANE53, this load requires the AZ, VOLT degree of freedom set in the conductor region.

To apply a uniform current load through a cross-section of the skin-effect region, you must couple the VOLT degrees of freedom across that cross-section. To do so, use one of the following:

Command(s): | CP
GUI: | Main Menu> Preprocessor> Coupling/Ceqn> Couple DOFs

In 2-D planar and axisymmetric models, simply select all nodes in the skin effect region and couple their VOLT DOFs. Use one of the methods below to apply the current to a single node in the cross-section:

Command(s): | F,,AMPS
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Excitation> Impressed Current Main Menu> Solution> Define Loads> Apply> Electric> Excitation> Impressed Current

4.4.4. Other Loads

You can apply vector potential loads, time-integrated scalar potential loads, current segment loads, Maxwell surface loads, source current density loads, and virtual displacement loads to a transient magnetic analysis. For descriptions of these loads, see "2-D Static Magnetic Analysis".

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.3. Building a Model, Assigning Region Attributes and Meshing the Model 		Up / Home Next
4.5. Obtaining a Solution


4.5. Obtaining a Solution

The next few topics describe the tasks you perform to solve a 2-D transient magnetic analysis.

4.5.1. Entering the SOLUTION Processor

To enter the SOLUTION processor, use either of the following:

Command(s): | /SOLU
GUI: | Main Menu> Solution

4.5.2. Defining the Analysis Type

To specify the analysis type, do either of the following:

  • In the GUI, choose menu path Main Menu> Solution> Analysis Type> New Analysis and choose a Transient analysis.

  • If this is a new analysis, issue the command ANTYPE,TRANSIENT,NEW.

  • If you want to restart a previous analysis (for example, to restart an unconverged solution or to specify additional excitation), issue the command ANTYPE,TRANSIENT,REST. You can restart an analysis only if you previously completed a transient magnetic analysis, and the files Jobname.EMAT, Jobname.ESAV, and Jobname.DB from the previous run are available.

4.5.3. Defining Analysis Options

Next, you define which solution method and which solver you want to use.

To select a solution method, use either of the following:

Command(s): | TRNOPT
GUI: | Main Menu> Solution> Analysis Type> New Analysis, Transient

Transient magnetic analyses require the full solution method.

To select an equation solver, use either of the following:

Command(s): | EQSLV
GUI: | Main Menu> Solution> Analysis Type> Analysis Options

You can choose any of the following solvers:

  • Sparse solver (default)

  • Frontal solver

  • Jacobi Conjugate Gradient (JCG) solver

  • JCG out-of-memory solver

  • Incomplete Cholesky Conjugate Gradient (ICCG) solver

  • Preconditioned Conjugate Gradient (PCG) solver

  • PCG out-of-memory solver

Voltage-fed models or models including velocity effects produce unsymmetric matrices, and can use only the sparse solver, the frontal solver, the JCG solver, or the ICCG solver. Circuit-fed models can only use the sparse solver or the frontal solver.

4.5.4. Load Step Options

Load step options include the following:

  • Time option

    This option specified time at the end of the load step.

    Command(s): TIME
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Time - Time Step
    Main Menu> Solution> Load Step Opts> Time/Frequenc> Time - Time Step

  • Number of substeps or time step size

    The integration time step is the time increment used in the time integration scheme. You can specify it directly via the DELTIM command or its equivalent menu path, or indirectly via NSUBST or its menu path equivalent.

    Time step size determines the accuracy of your solution. The smaller the time step size, the higher the accuracy. The size of the first integration time step following any large step change in loading conditions is especially critical. You can reduce inaccuracies such as thermal overshoot by reducing the integration time step size.

    Caution

    Avoid using extremely small time steps, especially when establishing initial conditions. Very small numbers can cause calculation errors in ANSYS. For instance, on a problem time scale of unity, time steps smaller that 1E-10 can cause numerical errors.

    If you step-apply loads, ANSYS applies the entire load value at the first substep and holds it constant for the remainder of the load step. If you ramp loads (the default), ANSYS increments the load values at each substep.

    Command(s): NSUBST,
    DELTIM
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Time and Substps
    Main Menu> Solution> Load Step Opts> Time/Frequenc> Time and Substps
    Main Menu> Solution> Load Step Opts> Time/Frequenc> Time - Time Step

  • Automatic Time Stepping

    Also called time step optimization in a transient analysis, automatic time stepping allows ANSYS to determine the size of load increments between substeps. It also increases or decreases the time step size during solution, depending on how the model responds.

    For most problems, you should turn on automatic time stepping and set upper and lower limits for the integration time step. The limits help to control how much the time step varies. However, time step optimization is not available for the CURR degree of freedom (voltage-fed conductors) or the EMF degree of freedom (circuit-fed models).

    Command(s): AUTOTS
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Time and Substps
    Main Menu> Solution> Load Step Opts> Time/Frequenc> Time and Substps
    Main Menu> Solution> Load Step Opts> Time/Frequenc> Time - Time Step

4.5.5. Nonlinear Options

Specify nonlinear load options only if nonlinearities are present. Nonlinear options include the following:

  • Newton-Raphson Options

    These options specify how often the tangent matrix is updated during a nonlinear solution. Available options are:

    • Program-chosen (default)

    • Full

    • Modified

    • Initial-stiffness.

    For a nonlinear analysis, the full Newton-Raphson option is recommended. The adaptive descent option may help convergence in transient problems. To specify Newton-Raphson options, use either of the following:

    Command(s): NROPT
    GUI: Main Menu> Solution> Analysis Type> Analysis Options

  • Number of equilibrium iterations

    This option obtains a converged solution at each substep. The default is up to 25 equilibrium iterations, but you may need to increase the number depending on the degree of nonlinearity. For linear transient analysis, specify one iteration.

    Command(s): NEQIT
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Nonlinear> Equilibrium Iter
    Main Menu> Solution> Load Step Opts> Nonlinear> Equation Iter

  • Convergence tolerances

    ANSYS considers a nonlinear solution to be converged whenever specified convergence criteria are met. Convergence checking may be based on magnetic potential (A), magnetic current segment (CSG), or both. You specify a typical value for the desired item (VALUE field) and a tolerance about the typical value (TOLER field). ANSYS then calculates the convergence criterion via VALUE * TOLER. For example, it you specify 5000 as the typical value for magnetic current segment and 0.001 as the tolerance, the convergence criterion for magnetic flux would be 5.0.

    ANSYS, Inc. recommends that VALUE be left to the default (program-calculated) and that TOLER be set to 1.0E-3.

    For potentials, ANSYS compares the change in nodal potentials between successive equilibrium iterations ΔA = Ai - Ai-1 to the convergence criterion.

    For magnetic current segment, ANSYS compares the out-of-balance load vector to the convergence criterion. If the solution does not converge within the specified number of equilibrium iterations, the program either stops or moves on to the next load step, depending on whether you activated the option to terminate an unconverged solution (see below).

    Command(s): CNVTOL
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Nonlinear> Convergence Crit.
    Main Menu> Solution> Load Step Opts> Nonlinear> Convergence Crit.

  • Terminate an unconverged solution

    If ANSYS cannot converge the solution within the specified number of equilibrium iterations, ANSYS either stops the solution or moves on to the next load step, depending on what you specify as the stopping criteria.

4.5.6. Output Controls

This class of load step options enables you to control output. Output controls options are as follows:

  • Control printed output

    This option enables you to include any results data in the printed output file (Jobname.OUT).

    Command(s): OUTPR
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Output Ctrls> Solu Printout
    Main Menu> Solution> Load Step Opts> Output Ctrls> Solu Printout

  • Control database and results file output

    This option controls what data goes to the results file (Jobname.RMG).

    By default, the ANSYS program writes only the last substep of each load step to the results file. If you want all substeps (that is, the solution at all frequencies) on the results file, specify a frequency or ALL or 1.

    Command(s): OUTRES
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> Nonlinear> Convergence Crit
    Main Menu> Solution> Loads> Load Step Opts> Nonlinear> Convergence Crit

4.5.7. Saving a Backup Copy of the Database

Use the SAVE_DB button on the ANSYS Toolbar to save a backup copy of the ANSYS database. This enables you to retrieve your model should your computer fail while analysis is in progress. To retrieve a model, re-enter ANSYS and use one of the following:

Command(s): | RESUME
GUI: | Utility Menu> File> Resume Jobname.db

4.5.8. Starting the Solution

In this step, you initiate the solution for all loads steps using one of the following:

Command(s): | LSSOLVE
GUI: | Main Menu> Solution> Solve> From LS Files

4.5.9. Finishing the Solution

To leave the SOLUTION processor, use either of the following:

Command(s): | FINISH
GUI: | Main Menu> Finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.4. Applying Boundary Conditions and Loads (Excitation) 		Up / Home Next
4.6. Reviewing Results


4.6. Reviewing Results

The ANSYS and ANSYS Emag programs write results from a transient analysis to the magnetic results file, Jobname.RMG. Results include the data listed below:

Primary data: Nodal DOFs (AZ, CURR, EMF, MAG, VOLT)

Derived data:

  • Nodal magnetic flux density (BX, BY, BSUM)

  • Nodal magnetic field intensity (HX, HY, HSUM)

  • Nodal magnetic forces (FMAG: components X, Y, SUM)

  • Nodal reaction current segments (CSGZ)

  • Joule heat per unit volume (JHEAT)

  • ... etc.

Additional data, specific to each element type, also is available. See the Elements Reference for details.

You can review analysis results in POST1, the general postprocessor, or in POST26, the time-history postprocessor:

  • POST26 enables you to review results at specific points in the model over the entire transient.

  • POST1 enables you to review results over the entire model at specific time points.

To choose a postprocessor, choose one of the following:

Command(s): | /POST1 or /POST26
GUI: | Main Menu> General Postproc Main Menu> TimeHist Postpro

"2-D Harmonic (AC) Analysis" and "3-D Harmonic Magnetic Analysis (Edge-Based)" of this manual discuss ANSYS commands that you may find useful in examining analysis results.

4.6.1. Reading Results in POST26

To review results in POST26, the time-history postprocessor, the ANSYS database must contain the same model for which the solution was calculated, and the Jobname.RMG file (the results file) must be available. If the model is not in the database, restore it using the command or menu path listed below and then use the SET command or its equivalent menu path to read in the desired set of results.

Command(s): | RESUME
GUI: | Utility Menu> File> Resume Jobname.db

POST26 works with tables of result item versus time, known as variables. Each variable is assigned a reference number, with variable number 1 reserved for time. Therefore the first things you need to do is define the variables.

To define primary data variables, use either of the following:

Command(s): | NSOL
GUI: | Main Menu> TimeHist Postpro> Define Variables

To define derived data variables, use either of the following:

Command(s): | ESOL
GUI: | Main Menu> TimeHist Postpro> Define Variables

To define reaction data variable, use either of the following:

Command(s): | RFORCE
GUI: | Main Menu> TimeHist Postpro> Define Variables

Once you have defined these variables, you can graph them (versus time or any variable). To do so, use this command or menu path:

Command(s): | PLVAR
GUI: | Main Menu> TimeHist Postpro> Graph Variables

To list the variables, use this command or menu path:

Command(s): | PRVAR
GUI: | Main Menu> TimeHist Postpro> List Variables

To list only the extreme variable values, use this command or menu path:

Command(s): | EXTREM
GUI: | Main Menu> TimeHist Postpro> List Extremes

By reviewing the time-history results at strategic points throughout the model, you can identify the critical time points for further POST1 postprocessing.

To calculate and summarize electromagnetic forces, power loss, energy, and current on element components (created in the PREP7 preprocessor via the CM command (Utility Menu> Select> Comp/Assembly> Create Comp/Assembly)), you can use either of the following:

Command(s): | PMGTRAN
GUI: | Main Menu> TimeHist Postpro> Elec&Mag> Magnetics

POST26 offers many other functions, such as performing math operations among variables, moving variables into array parameters, etc. For more information, see the Basic Analysis Guide.

4.6.2. Reading Results in POST1

To review results in POST1, the ANSYS database must contain the same model for which the solution was calculated. Also, the results file (Jobname.RMG, or Jobname.RST if either the magnetic scalar potential or electric potential DOFs are active) must be available.

To read results at the desired time point into the database, use either of the following:

Command(s): | SET,,,,,TIME
GUI: | Utility Menu> List> Results> Load Step Summary

If you specify a time value for which no results are available, ANSYS performs linear interpolation to calculate the results at that time. The program uses the last time point if the time specified is beyond the time span of the transient analysis. You can also identify the results to be read by their load step and substep numbers.

You can display contours of potentials (AZ, VOLT) flux density (BX, BY) and field intensity (HX, HY) using either of the following methods:

Command(s): | PLESOL, PLNSOL
GUI: | Main Menu> General Postproc> Plot Results> Contour Plot> Element Solution Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu

You can display vector (arrow) displays of vector quantities such as A, B, and H using either of the following methods:

Command(s): | PLVECT
GUI: | Main Menu> General Postproc> Plot Results> Vector Plot> Predefined Main Menu> General Postproc> Plot Results> Vector Plot> User Defined

4.6.2.1. Coil Resistance and Inductance

For stranded coils with the voltage-fed or circuit-fed options, you can calculate the resistance and inductance of the coil. Each element stores values of resistance and inductance. Summing these values gives the total resistance and inductance of the modeled region of the conductor. To store and sum these values, select the conductor elements using the ETABLE,tablename,NMISC,n command or its equivalent menu path. (For the n value, use 8 for resistance and 9 for inductance.) Use the SSUM command or its menu path equivalent to sum the data.

Inductance values calculated for voltage-fed stranded coils (KEYOPT(1) = 2 for PLANE53) or circuit-coupled stranded coils (KEYOPT(1) = 3 for PLANE53) are only valid under the following conditions:

  • The problem is linear (constant permeability).

  • There are no permanent magnets in the model.

  • Only a single coil exists in the model.

For a system of coils, use the LMATRIX macro to compute the differential inductance matrix and the total flux linkage in each coil. Refer to Calculating the Inductance Matrix and Flux Linkage and LMATRIX for information on the LMATRIX macro.

4.6.2.2. Calculating Other Items of Interest

You can calculate many other items of interest (such as flux lines, eddy currents, torque, and force) from the data available in the database in postprocessing. The ANSYS command set supplies the following macros for these calculations:

  • The CURR2D macro calculates current flow in a 2-D conductor.

  • The EMAGERR macro calculates the relative error in an electrostatic or electromagnetic field analysis.

  • The FLUXV macrocalculates the flux passing through a closed contour.

  • The FMAGSUM macro summarizes electromagnetic force calculations on element components.

  • The FOR2D macro calculates magnetic forces on a body.

  • The MMF macro calculates magnetomotive force along a path.

  • The PLF2D macro generates a contour line plot of equipotentials.

  • The SENERGY macro determines the stored magnetic energy or co-energy.

  • The TORQ2D macro calculates torque on a body in a magnetic field.

  • The TORQC2D macro calculates torque on a body in a magnetic field based on a circular path.

  • The TORQSUM macro summarizes electromagnetic Maxwell and Virtual work torque calculations on element components for 2-D planar problems.

For more discussion of these macros, see "Electric and Magnetic Macros".

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.5. Obtaining a Solution 		Up / Home Next
4.7. Doing an Example Transient Magnetic Analysis (GUI Method)


4.7. Doing an Example Transient Magnetic Analysis (GUI Method)

This section describes how to do a 2-D transient magnetic analysis of a solenoid actuator by choosing items from the ANSYS GUI menus. Doing an Example Transient Analysis (Command Method) explains how to perform the same example analysis by issuing ANSYS commands, either manually during a session or in batch mode.

4.7.1. The Example Described

The analysis, based on a solenoid actuator, analyzes the actuator as a 2-D axisymmetric model. The example calculates the force on the armature (the moving component of the actuator), inductance of the coil, and the coil current in response to a voltage excitation. Figure 4.2: "Diagram of a Solenoid Actuator" below shows you the solenoid actuator:

Figure 4.2 Diagram of a Solenoid Actuator

4.7.2. Analysis Parameters

The analysis uses the parameters listed below to model the actuator geometry:

Parameter | Description
n = 650 | Number of turns in the coil; used in postprocessing
ta = .75 | Thickness of inner leg of magnetic circuit
tb = .75 | Thickness of lower leg of magnetic circuit
tc = .50 | Thickness of outer leg of magnetic circuit
td = .75 | Armature thickness
wc = 1 | Width of coil
hc = 2 | Height of coil
gap = .25 | Gap
space = .25 | Space around coil
ws = wc+2*space |
hs = hc+.75 |
w = ta+ws+tc | Total width of model
hb = tb+hs |
h = hb+gap+td | Total height of model
acoil = wc*hc | Coil area

4.7.3. Approach and Assumptions

The solenoid actuator model for this transient example is identical to the solenoid example described in "2-D Static Magnetic Analysis". Instead of a DC current excitation, the coil is supplied a voltage excitation which varies over time.

The coil is supplied a voltage which ramps from 0 volts to 12 volts over a .01 second time frame. After that, the voltage is held constant and the analysis runs until a time of .06 seconds. The coil requires additional characterization, including cross-section area and fill factor. Resistivity for copper is also provided. The armature is assumed to be solid steel, so it requires the input of electrical resistivity as well.

The purpose of the example analysis is to track the coil current, armature force, and coil inductance over time in response to the applied voltage excitation. (The coil inductance will change slightly due to the eddy currents developed in the armature.)

The solution uses constant time stepping over three load steps ending at .01, .03, and .06 seconds respectively. In the time-history postprocessor (POST26), the desired results are computed for the defined element components using the PMGTRAN command or equivalent GUI menu options. You can review the results graphically using the DISPLAY program from the filemg_trns.plt created by the PMGTRAN command.

Step 1: Begin the Analysis

In this step, you specify a title for the example analysis and set analysis preferences.

  1. Enter the ANSYS program. To do so, use the procedures described in the Operations Guide.

  2. Choose Utility Menu> File> Change Title. The Change Title dialog box appears.

  3. Enter the title 2-D Solenoid Actuator Transient Analysis.

  4. Click on OK.

  5. Choose Main Menu> Preferences. The Preferences for GUI Filtering dialog box appears.

  6. Click the "Magnetic-Nodal" option on.

  7. Click on OK.

Back To Top

Step 2: Define the Element Types

This example uses the preferred higher-order element PLANE53.

  1. Choose Main Menu> Preprocessor> Element Type> Add/Edit/Delete. The Element Types dialog box appears.

  2. Click on Add. The Library of Element Types dialog box appears.

  3. In the scrollable fields, click on (highlight) Magnetic Vector and Vect Quad 8nod53 (PLANE53). Then, check that the element type reference number is set to 1 (default).

  4. Click on Apply. The Element Types dialog box now lists element type 1. In the Library of Element Types dialog box, the PLANE53 element remains selected but the element type reference number will change to 2. (If the element type reference number does not change automatically, set it to 2.)

  5. Click on OK. The Element Types dialog box now lists element type 2 (also PLANE53).

  6. With element type 1 selected, click on Options. The PLANE53 Element Type Options dialog box appears.

  7. Change the "Element Behavior" field to axisymmetric.

  8. Click on OK. ANSYS returns you to the Element Types dialog box.

  9. With element type 2 selected, click on Options. The PLANE53 Element Type Options dialog box appears.

  10. Change the "Element Behavior" field to axisymmetric.

  11. Change the "Element degree(s) of freedom" field to "AZ CURR."

  12. Click on OK.

  13. In the Elements Types dialog box, click Close.

Back To Top

Step 3: Define Material Properties

The material properties for the example analysis are assumed to be linear; they are magnetic permeability of air, iron, coil and armature. (Typically, you specify iron as a nonlinear B-H curve.) The air elements are material 1, material 2 is the iron elements, material 3 represents the coil elements, and material 4 is the armature elements.

  1. Choose Main Menu> Preprocessor> Material Props> Material Models. The Define Material Model Behavior dialog box appears.

  2. In the Material Models Available window, double-click on the following options: Electromagnetics, Relative Permeability, Constant. A dialog box appears.

  3. Enter 1 for MURX (Relative permeability) and click on OK. Material Model Number 1 appears in the Material Models Defined window on the left.

  4. Choose menu path Material> New Model, then enter 2 for the Material ID. Click on OK. Material Model Number 2 appears in the Material Models Defined window on the left.

  5. In the Material Models Available window, double-click on Constant again. Another dialog box appears.

  6. Enter 1000 for MURX (Relative permeability), and click on OK.

  7. Choose menu path Edit> Copy. Choose 1 for from Material number, and enter 3 for to Material number. Click on OK. Material Model Number 3 appears in the Material Models Defined window on the left.

  8. In the Material Models Defined window, click on Material Model Number 3 to highlight it.

  9. In the Material Models Available window, double-click on the following options: Resistivity, Constant. A dialog box appears.

  10. Enter 3e-8 for RSVX (Electrical resistivity), and click on OK.

  11. Choose menu path Edit> Copy. Choose 3 for from Material number, and enter 4 for to Material number. Click on OK. Material Model Number 4 appears in the Material Models Defined window on the left.

  12. In the Material Models Defined window, double-click on Material Model Number 4, and Permeability (constant). A dialog box appears and includes the data specified for this material.

  13. Replace the MURX (Relative permeability) field with 2000, and click on OK.

  14. In the Material Models Defined window, under Material Model Number 4, double-click on Resistivity (constant). A dialog box appears and includes the data specified for this material.

  15. Replace the RSVX field (Electrical resistivity) with 70e-8, and click on OK.

  16. Choose menu path Material> Exit to remove the Define Material Model Behavior dialog box.

Back To Top

Step 4: Define Parameters for Geometry and Load Input

Use of parameters enables you to rerun the analysis from the log file with new parameter values. For convenience, the example enters the solenoid dimensions in centimeters. However, before solving the model, you must scale the geometry to meters because the MKS system of units is required.

  1. Choose Utility Menu> Parameters> Scalar Parameters. The Scalar Parameters dialog box appears.

  2. Type in the parameter values listed below. After typing each value, press the ENTER key. If you make a mistake while entering a parameter, just retype it before you press ENTER. To erase an incorrect parameter after you have entered it, click on it and then click on Delete.

    Parameter | Description
    n = 650 | Number of coil turns
    ta = .75 | Thickness of inner leg of magnetic circuit
    tb = .75 | Thickness of lower leg of magnetic circuit
    tc = .50 | Thickness of outer leg of magnetic circuit
    td = .75 | Armature thickness
    wc = 1 | Width of coil
    hc = 2 | Height of coil
    gap = .25 | Gap
    space = .25 | Space around coil
    ws = wc+2*space
    hs = hc+.75
    w = ta+ws+tc | Total width of model
    hb = tb+hs
    h = hb+gap+td | Total height of model
    acoil = wc*hc | Coil area

  3. Review the parameter values you entered, then click on Close. (If you did not end each parameter definition by pressing ENTER, you can click on Accept instead.)

  4. Click SAVE_DB on the ANSYS Toolbar.

Back To Top

Step 5: Define Real Constants

In this step, you define four real constants for the coil.

  1. Choose Main Menu> Preprocessor> Real Constants> Add/Edit/Delete. The Real Constants dialog box appears.

  2. Click on Add. The Element Type for Real Constants dialog box appears.

  3. Choose element type 2 and click on OK. The Real Constant Set Number 1, for PLANE53 dialog box appears.

  4. Enter the following field values:

    • "Coil cross-sectional area" (CARE) field: enter acoil*(0.01**2)

    • "Total number of coil turns" (TURN) field: enter n (recall that n = 650)

    • "Current in z-direction" (DIRZ) field: enter 1

    • "Coil fill factor" (FILL) field: enter .95

  5. Click on OK. The Real Constants dialog box now lists constant set 1.

  6. Click on Close in the Real Constants dialog box.

Back To Top

Step 6: Create Rectangular Areas

You create the example model by overlapping six rectangles. You can create a rectangle either by entering its dimensions in a dialog box or by picking points on the working plane. (This example uses the "create by dimensions" method.)

  1. Choose Main Menu> Preprocessor> Modeling> Create> Areas> Rectangle> By Dimensions. The Create Rectangle By Dimensions dialog box appears.

  2. Enter the following values in the appropriate fields. You can use the Tab key to move from field to field.

    • X1 field: enter 0

    • X2 field: enter w

    • Y1 field: enter 0

    • Y2 field: enter tb

  3. Click on OK.

  4. Choose Utility Menu> PlotCtrls> Numbering. The Plot Numbering Controls dialog box appears.

  5. Click "Area Numbers" to on.

  6. Click on OK.

  7. Choose Utility Menu> Plot> Areas.

  8. To create the second rectangle, repeat steps 1 and 2. In place of the input values for step 2, enter these:

    • X1 field: enter 0

    • X2 field: enter w

    • Y1 field: enter tb

    • Y2 field: enter hb

  9. Click on Apply.

  10. To create the third rectangle, enter these values:

    • X1 field: enter ta

    • X2 field: enter ta+ws

    • Y1 field: enter 0

    • Y2 field: enter h

  11. Click on Apply.

  12. Create the fourth rectangle by entering these values:

    • X1 field: enter ta+space

    • X2 field: enter ta+space+wc

    • Y1 field: enter tb+space

    • Y2 field: enter tb+space+hc

  13. Click on OK.

  14. Choose Utility Menu> Plot> Replot.

  15. Click SAVE_DB on the ANSYS Toolbar.

Back To Top

Step 7: Overlap the Areas

In this step, a Boolean overlap operation creates new areas at all intersections of the four rectangles and remaining areas.

  1. Choose Main Menu> Preprocessor> Modeling> Operate> Booleans> Overlap> Areas. The Overlap Areas picking menu appears.

  2. Click on Pick All. The display of areas refreshes automatically.

  3. Click on SAVE_DB in the ANSYS Toolbar.

Back To Top

Step 8: Create the Last Two Areas

  1. Choose Main Menu> Preprocessor> Modeling> Create> Areas> Rectangle> By Dimensions. The Create Rectangle By Dimensions dialog box appears.

  2. Create the fifth area by entering the following values:

    • X1 field: enter 0

    • X2 field: enter w

    • Y1 field: enter 0

    • Y2 field: enter hb+gap

  3. Click on Apply.

  4. Create the sixth area by entering the values shown below:

    • X1 field: enter 0

    • X2 field: enter w

    • Y1 field: enter 0

    • Y2 field: enter h

  5. Click on OK.

Back To Top

Step 9: Overlap the Last Two Areas

  1. Choose Main Menu> Preprocessor> Modeling> Operate> Booleans> Overlap> Areas. The Overlap Areas picking menu appears.

  2. Click on Pick All. The display of areas refreshes automatically.

Back To Top

Step 10: Compress Unused Area Numbers

  1. Choose Main Menu> Preprocessor> Numbering Ctrls> Compress Numbers. The Compress Numbers dialog box appears.

  2. Switch “Nodes” to “All” in the Label field. Click on OK.

  3. Choose Utility Menu> Plot> Replot. The new display shows the compressed area number set.

  4. Click on SAVE_DB in the Toolbar.

Back To Top

Step 11: Assign Attributes to the Areas

In this step, you assign attributes first to the coil area, then to the armature, and finally to the iron areas.

  1. Choose Main Menu> Preprocessor> Meshing> Mesh Attributes> Picked Areas. The Area Attributes picking menu appears.

  2. Click on the coil area (Area 2), then click on OK in the picking menu. The Area Attributes dialog box appears.

  3. In the "Material number" drop down menu, set the number to 3.

  4. Set the "Element type number" drop down menu to 2.

  5. Click on Apply. You return to the picking menu.

  6. Click the Box button on.

  7. Press and drag the left mouse button to draw a box around Areas 1,12, and 13.

  8. Click on OK in the picking menu. The Area Attributes dialog box reappears.

  9. Change the material number to 4.

  10. Change the element type number to 1.

  11. Click on Apply.

  12. Click on areas 3, 4, 5, 7, and 8, then click on OK in the picking menu. The Area Attributes dialog box reappears.

  13. Change the material number to 2 and click on OK.

  14. Choose Main Menu> PlotCtrls> Numbering. The Plot Numbering Controls dialog box appears.

  15. Click the "Elem/Attrib numbering" button to "Material numbers," then click on OK.

  16. Click on the SAVE_DB button in the Toolbar.

Back To Top

Step 12: Mesh the Model

In this step, you use the smart meshing feature of ANSYS to specify a uniform (moderately fine) mesh for your model.

  1. Choose Main Menu> Preprocessor> Meshing> MeshTool. The MeshTool appears.

  2. Turn SmartSizing on and move the SmartSize slider to 4.

  3. Choose Areas, Quad, and Free. Then click on MESH. The Mesh Areas picking menu appears.

  4. Click on Pick All. The display changes to show the meshed areas.

  5. Click Close on the MeshTool.

Back To Top

Step 13: Define the Armature as a Component

  1. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  2. Change the "entities to pick" button from Nodes to Elements, and check that the selection method is set to By Num/Pick.

  3. Click on OK. The Select Elements picking menu appears.

  4. Click the Box picking button on.

  5. In the Graphics Window, press and drag the left mouse button to draw a box around the armature, making sure to select only elements in the armature!

  6. In the picking menu, click on OK.

  7. Choose Utility Menu> Select> Comp/Assembly> Create Component. The Create Component dialog box appears.

  8. In the "Component name" field, enter arm.

  9. Change the "Component is made of" field to Elements.

  10. Click on OK.

  11. Choose Utility Menu> Select> Everything.

Back To Top

Step 14: Apply Force Boundary Conditions to the Armature

  1. Choose Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Flag> Comp. Force/Torq. The Apply Magnetic Force Boundary Conditions dialog box appears.

  2. The name arm will appear in the "Component name" field. Click on the name, and then click on OK. A window appears, notifying you that force boundary conditions have been applied. Read the window contents and then click on Close.

Back To Top

Step 15: Defining the Coil as a Component

  1. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  2. Set the "entities to be picked" button to Elements and the picking method button to By Num/Pick.

  3. Click on OK. The Select Elements picking menu appears.

  4. Click the Box picking button on.

  5. Press and drag the left mouse button to draw a box around the coil elements.

  6. Click on OK.

  7. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  8. Change the "entities to be picked" button to Nodes and the picking method button to By Num/Pick. Click OK. The Select Nodes picking menu appears.

  9. Click the Box picking button on.

  10. Press and drag the left mouse button to draw a box around the coil nodes.

  11. Click on OK.

  12. Choose Main Menu> Preprocessor> Coupling/Ceqn> Couple DOFs. The Define Coupled DOFs picking menu appears.

  13. Click the Box picking button on. Press and drag the left mouse button to draw a box around the coil nodes.

  14. Click on OK. The Define Coupled DOFs dialog box appears.

  15. Type 1 in the "Set reference number" field.

  16. Set the "Degree-of-freedom label" field to CURR.

  17. Click on OK.

  18. Choose Utility Menu> Select> Comp/Assembly> Create Component. The Create Component dialog box appears.

  19. In the "Component name" field, type coil.

  20. Change the "Component is made of" field to Elements. Click OK.

  21. Choose Utility Menu> Select> Everything.

Back To Top

Step 16: Scale the Model to MKS Units (Meters)

  1. Choose Main Menu> Preprocessor> Modeling> Operate> Scale> Areas. The Scale Areas picking menu appears.

  2. Click on Pick All. The Scale Areas dialog box appears.

  3. In the fields for RX, RY, and RZ scale factors, enter .01, .01, and 1 respectively.

  4. Leave the "Items to be scaled" field set on Areas and Mesh, but change "Existing areas will be" to Moved.

  5. Click on OK.

Back To Top

Step 17: Apply Loads and Solve the Model

  1. Choose Main Menu> Solution> Analysis Type> New Analysis. The New Analysis dialog box appears.

  2. Click the Transient button on and click on OK.

  3. When the Transient Analysis dialog box appears, click OK to accept the default of Full.

  4. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  5. Set the "entities to be picked" button to Nodes and the picking method button to Exterior.

  6. Click on OK.

  7. Choose Main Menu> Solution> Define Loads> Apply> Magnetic> Boundary> Flux Par'l> On Nodes. The Apply Flux-Parallel Condition on Nodes picking menu appears.

  8. Click on Pick All.

  9. Choose Utility Menu> Select> Comp/Assembly> Select Comp/Assembly. The Select Component or Assembly dialog box appears.

  10. In the "Select entities belonging to Component or Assembly" field, click on COIL.

  11. Click on OK.

  12. Choose Main Menu> Solution> Define Loads> Apply> Magnetic> Excitation> Voltage Drop> On Elements. The Apply VLTG on Elems picking menu appears.

  13. Click on Pick All. The Apply VLTG on Elems dialog box appears.

  14. In the "Voltage drop mag." (VLTG) field, enter 12.

  15. Click on OK.

  16. Choose Utility Menu> Select> Everything.

  17. Choose Main Menu> Solution> Load Step Opts> Time/Frequenc> Time and Substps. The Time and Substep Options dialog box appears.

  18. In the "Time at end of load step" field, enter .01. Click on OK.

  19. Choose Main Menu> Solution> Load Step Opts> Time/Frequenc> Time - Time Step. The Time and Time Step Options dialog box appears.

  20. In the "Time step size" field, enter .002. Click on OK.

  21. Choose Main Menu> Solution> Load Step Opts> Output Ctrls> DB/Results File. The Controls for Database and Results File Writing dialog box appears.

  22. If the "Item to be controlled" field is not set to All Items, set it to that value.

  23. In the "File write frequency" field, click "Every substep" on.

  24. Click on OK.

  25. Choose Main Menu> Solution> Solve> Current LS. Review the information in the /STATUS window; then click on Close to close it. Click OK in the Solve Current Load Step dialog box to start the solution. Click Close when you receive the Solution is done message.

  26. Choose Main Menu> Solution> Load Step Opts> Time/Frequenc> Time and Substps. The Time and Substep Options dialog box appears.

  27. In the "Time at end of load step" field, enter .03. Click on OK.

  28. Choose Main Menu> Solution> Solve> Current LS. Review the information in the /STATUS window; then click on Close to close it. Click OK in the Solve Current Load Step dialog box to start the solution. Click Close when you receive the Solution is done message.

  29. Choose Main Menu> Solution> Load Step Opts> Time/Frequenc> Time - Time Step. The Time and Time Step Options dialog box appears.

  30. In the "Time step size" field, enter .005. Click on OK.

  31. Choose Main Menu> Solution> Load Step Opts> Time/Frequenc> Time and Substps. The Time and Substep Options dialog box appears.

  32. In the "Time at end of load step" field, enter .06. Click on OK.

  33. Choose Main Menu> Solution> Solve> Current LS. Review the information in the /STATUS window; then click on Close to close it. Click OK in the Solve Current Load Step dialog box to start the solution. Click Close when you receive the Solution is done message.

Back To Top

Step 18: Reviewing Analysis Results

In this part of the example, the ANSYS program calculates and summarizes armature force, coil current, and coil inductance.

  1. Choose Main Menu> TimeHist Postpro> Elec&Mag> Magnetics.

  2. Specify arm as the element component for force calculation.

  3. Specify coil as the element component for current and inductance.

  4. Click on OK. The ANSYS program calculates and summarizes the results data you selected, then brings up a window displaying the information. It may take a few minutes for the window to appear.

  5. Review the results summaries, then click on Close.

Back To Top

Step 19: Exit from ANSYS

To leave the ANSYS program, do the following:

  1. Click on Quit in the Toolbar. The Exit from ANSYS dialog box appears.

  2. Choose "Quit - No Save!"

  3. Click on OK.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.6. Reviewing Results 		Up / Home Next
4.8. Doing an Example Transient Analysis (Command Method)


4.8. Doing an Example Transient Analysis (Command Method)

You can perform the example analysis of transient eddy currents using the ANSYS commands shown below. All text prefaced by an exclamation point (!) is a comment.

/batch,list
/PREP7
/TITLE, 2-D Solenoid Actuator Transient Analysis

ET,1,PLANE53,,,1          ! Define element type, set for axisymmetric run
ET,2,PLANE53,2,,1         ! Axisymmetric, voltage-fed coil option
MP,MURX,1,1               ! Define material permeability (air)
MP,MURX,2,1000            ! Permeability (backiron)
MP,MURX,3,1               ! Permeability (coil)
MP,MURX,4,2000            ! Permeability (armature)
MP,RSVX,3,3e-8            ! Define coil resistivity
MP,RSVX,4,70e-8           ! Define armature resistivity

/com                      ! Set parameter values
n=650
ta=.75
tb=.75
tc=.50
td=.75
wc=1
hc=2
gap=.25
space=.25
ws=wc+2*space
hs=hc+.75
w=ta+ws+tc
hb=tb+hs
h=hb+gap+td
acoil=wc*hc                ! Cross-section of coil (cm**2)

R,1,acoil*.01**2,n,,1,.95 ! Coil constants (area, turns, dir., fill factor)
/PNUM,AREA,1
RECTNG,0,w,0,tb            ! Create rectangular areas
RECTNG,0,w,tb,hb
RECTNG,ta,ta+ws,0,h
RECTNG,ta+space,ta+space+wc,tb+space,tb+space+hc
AOVLAP,ALL
RECTNG,0,w,0,hb+gap
RECTNG,0,w,0,h
AOVLAP,ALL
NUMCMP,AREA                ! Compress out unused area numbers
APLOT

ASEL,S,AREA,,2             ! Assign attributes to coil
AATT,3,1,2,0
ASEL,S,AREA,,1             ! Assign attributes to armature
ASEL,A,AREA,,12,13
AATT,4,1,1
ASEL,S,AREA,,3,5           ! Assign attributes to backiron
ASEL,A,AREA,,7,8
AATT,2,1,1,0
/PNUM,MAT,1
ALLSEL,ALL
APLOT

SMRTSIZE,4                 ! Set SmartSize meshing level
AMESH,ALL                  ! Mesh all areas
ESEL,S,MAT,,4              ! Select armature elements
CM,ARM,ELEM                ! Define armature as a component
FMAGBC,'ARM'               ! Apply force boundary conditions to armature
ESEL,S,MAT,,3
NSLE,S
CP,1,CURR,ALL
CM,COIL,ELEM               ! Define coil as a component
ALLSEL,ALL
ARSCAL,ALL,,,.01,.01,1,,0,1  ! Scale model to MKS (meters)
FINISH

/SOLU
ANTYP,TRANS
NSEL,EXT                   ! Select exterior nodes
D,ALL,AZ,0                 ! Set potentials to zero (flux-parallel)
CMSEL,S,COIL
BFE,ALL,VLTG,,12
ALLSEL,ALL
TIME,.01
DELTIM,.002
OUTRES,ALL,ALL
SOLVE
TIME,.03
NSUBST,1
SOLVE
TIME,.03
DELTIM,.005
TIME,.06
NSUBST,1
SOLVE
FINISH

/POST26
PMGTRAN,,,'ARM',,,,,'COIL','COIL'
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.7. Doing an Example Transient Magnetic Analysis (GUI Method) 		Up / Home Next
4.9. Where to Find Other Examples


4.9. Where to Find Other Examples

Another ANSYS, Inc., publication, the Verification Manual, contains an additional example of transient magnetic analysis:

VM186 - Transient Analysis of a Slot-Embedded Conductor

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.8. Doing an Example Transient Analysis (Command Method) 		Up / Home Next
Chapter 5. 3-D Static Magnetic Analysis (Scalar Method)


Chapter 5. 3-D Static Magnetic Analysis (Scalar Method)

Like the 2-D static magnetic analysis described in "2-D Static Magnetic Analysis", a 3-D static magnetic analysis calculates the magnetic fields produced by one of the following:

  • Permanent magnets

  • The steady flow of direct electric current (DC)

  • An applied voltage

  • An applied external field.

Static magnetic analyses do not consider time-dependent effects such as eddy currents. You can model both saturable and non-saturable magnetic materials, as well as permanent magnets in a static magnetic analysis.

However, with a 3-D static magnetic analysis, you can choose among a scalar formulation (described in this chapter), a vector potential formulation (described in "3-D Nodal-Based Analyses (Static, Harmonic, and Transient)"), or an edge element formulation (explained in "3-D Magnetostatics and Fundamentals of Edge-Based Analysis").

The following 3-D static magnetic analysis topics are available:

  • Elements Used in 3-D Static Scalar Magnetic Analysis
  • Scalar Potential Formulation
  • Steps in a 3-D Static Scalar Analysis
  • Example of a 3-D Static Magnetic Analysis (GUI Method)
  • Example of a 3-D Static Magnetic Analysis (Command Method)
  • Where to Find Other Examples of 3-D Static Magnetic Analysis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.9. Where to Find Other Examples 		Up / Home Next
5.1. Elements Used in 3-D Static Scalar Magnetic Analysis


5.1. Elements Used in 3-D Static Scalar Magnetic Analysis

The ANSYS program provides nine element types for a 3-D static magnetic analysis, plus three additional contact elements. For detailed information about the elements, see the Elements Reference. That manual organizes element descriptions in numeric order.

Table 5.1 3-D Solid Elements

Element | Dimens. | Shape or Characteristic | DOFs | Notes
SOLID5 | 3-D | Brick, eight nodes | Up to six at each node; these can be displacements, electric potential, magnetic scalar potential, or temperature | Supported for cyclic symmetry (periodic) analysis.*
SOLID96 | 3-D | Brick, eight nodes | Magnetic scalar potential | Supported for cyclic symmetry (periodic) analysis.*
SOLID98 | 3-D | Tetrahedral, ten nodes | Magnetic scalar potential, displacements, electric potential, temperature | Supported for cyclic symmetry (periodic) analysis.*

* Coils must be modeled in full symmetry by SOURC36 elements.

Table 5.2 3-D Interface Elements

Element | Dimens. | Shape or Characteristic | DOFs
INTER115 | 3-D | Quadrilateral, four nodes | Magnetic vector potential, magnetic scalar potential

Table 5.3 3-D Source Elements

Element | Dimens. | Shape or Characteristic | DOFs
SOURC36 | 3-D Bar, Arc, Coil Primitives | Three nodes | None

Table 5.4 3-D Infinite Elements

Element | Dimens. | Shape or Characteristic | DOFs
INFIN47 | 3-D | Quadrilateral, four nodes or triangle, three nodes | Magnetic scalar potential, temperature
INFIN111 | 3-D | Brick, 8 or 20 nodes | Magnetic vector potential, electric potential, magnetic scalar potential, temperature

Elements SOLID96 and SOLID97 are designed specifically for magnetic applications. SOLID62, SOLID5, and SOLID98 are better suited for coupled-field applications.

Table 5.5 Contact Elements

Element | Dimens. | Shape or Characteristic | DOFs | Notes
TARGE170 | 3-D | Target segment | n/a | Used to model the target region for a contact analysis
CONTA173 | 3-D | Surface-to-surface contact element (2-node) | MAG | Used to model the contact region for a contact analysis
CONTA174 | 3-D | Surface-to-surface contact element (3-node) | MAG | Used to model the contact region for a contact analysis
CONTA175 | 3-D | Node-to-surface contact element (1-node) | MAG | Used to model the contact region for a contact analysis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 5. 3-D Static Magnetic Analysis (Scalar Method) 		Up / Home Next
5.2. Scalar Potential Formulation


5.2. Scalar Potential Formulation

For the scalar potential formulation, you can use three different analysis methods: Reduced Scalar Potential (RSP), Difference Scalar Potential (DSP), and Generalized Scalar Potential (GSP). The type of analysis problem determines which method is best to use:

  • If the model contains no iron regions, or if it has iron regions but does not have current sources, use the RSP method. Do not use the RSP method when the model has both iron regions and current sources, because numerical cancellation errors may produce an inaccurate solution.

  • If you cannot use the RSP method, choose between DSP and GSP. The DSP method is available for models with "singly connected" iron regions, and the GSP method is for models with a "multiply connected" iron region.

5.2.1. Singly Versus Multiply Connected Domains

A singly connected domain is an iron region that does not provide a closed iron loop to magnetic flux that a current source produces. A multiply connected domain provides a closed loop. (see Figure 5.1: "Connected Domains") Figure (a) illustrates a singly connected iron domain (DSP method) and Figure (b) depicts a multiply connected iron domain (GSP method).

Figure 5.1 Connected Domains

Mathematically, you can use Ampere's law in the iron region to check whether the domain is singly or multiply connected. According to Ampere's law, the closed contour integral equals the enclosed current, or magnetomotive force (MMF).

MMF = [image] H(dl)

In a singly connected domain, the MMF drop in the iron should approach zero as the permeability of the iron tends to infinity. Most of the MMF drop occurs in the air gap for a permeable core. In a multiple connected domain, a closed contour integral in the iron linking the coil produces a nonzero MMF for any value of permeability. All of the MMF drop in this case occurs in the iron core.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.1. Elements Used in 3-D Static Scalar Magnetic Analysis 		Up / Home Next
5.3. Steps in a 3-D Static Scalar Analysis


5.3. Steps in a 3-D Static Scalar Analysis

This type of analysis basically has the same steps as a 2-D static analysis:

  1. Create the physics environment.

  2. Build the model, assign attributes to model regions, and mesh the model.

  3. Apply boundary conditions and loads (excitation).

  4. Obtain a solution using the RSP, DSP, or GSP method.

  5. Review the results.

5.3.1. Creating the Physics Environment

To begin, set the analysis preference to Magnetic-Nodal and give the analysis a title. Then, use the ANSYS preprocessor (PREP7) to define the items that comprise the physics environment for the analysis, including element types and KEYOPT settings, material properties, and so on. For a 3-D static analysis, most of these procedures are the same as those described in "2-D Static Magnetic Analysis". The rest of this chapter contains information that is specific to 3-D static analysis.

For a 3-D static analysis, keep these points in mind:

  • You can use the SOLID96 element to represent all interior regions of your model: saturable regions, permanent magnet regions, and air (free space). For current-conducting regions, you need to use current source primitives represented by the SOURC36 element. See Modeling Current Conduction Regions for more details.

  • At the exterior of air elements, use of INFIN47, the four-node boundary element, or INFIN111, the 8- or 20-node boundary element, is recommended. INFIN47 and INFIN111 can model the far-field decay in the magnetic field, and usually give better results than a flux-parallel or flux-normal condition. Of the two elements, the INFIN111 element more accurately models the exterior domain.

  • When using SOLID5, SOLID96, or SOLID98 elements with SOURC36 elements, the source elements should be placed so that the resulting Hs field fulfils boundary conditions for the total field, i.e., the source field created by SOURC36 elements should closely match the boundary conditions on the meshed domain. For example, at unconstrained surfaces of the model where the total field will be parallel, the source field should be approximately parallel.

  • The phenomenon is similar to the treatment of symmetry conditions. Even if the studied domain is only a fraction of the full size problem, you should extend the SOURC36 geometry to the full model to obtain a good solution.

  • The default system of units is MKS (meter-kilogram-second). You can change this to any other system you prefer using one of the methods shown below. Once you choose a system of units, all input data must be in that system. For convenience, you may create your geometry in other units (for example, millimeters or inches) and then scale it to the appropriate analysis units.

    Command(s): EMUNIT
    GUI: Main Menu> Preprocessor> Material Props> Electromag Units

  • Based on the input units you specify, the free space permeability μo is determined automatically as follows:

    μo = 4 π* 10-7 H/m in MKS units, or

    μo = value specified with the EMUNIT command.

5.3.2. Setting GUI Preferences

If you are running ANSYS via the GUI, before you start building your model you should choose menu path Main Menu> Preferences. Then, on the dialog box that appears, select Magnetic-Nodal from the list of magnetic analysis types. Because the GUI filters the elements available to you based on the preference you choose, you must specify Magnetic-Nodal to ensure that you can use the elements needed for 3-D static analysis.

5.3.3. Specifying Material Properties

Your model may have any or all of the following material regions: air, (free-space) permeable materials, current-conducting regions, and permanent magnets. Each type of material region has certain required material properties.

The ANSYS material library contains definitions of several materials with magnetic properties. Instead of defining material properties from scratch, you can read these material properties into the ANSYS database and, if necessary, modify them to match the materials in your analysis problem more closely.

Materials with magnetic properties defined in the ANSYS material library are as follows:

Material | Material Property File Containing Its Definition
Copper | emagCopper.SI_MPL
M3 steel | emagM3.SI_MPL
M54 steel | emagM54.SI_MPL
SA1010 steel | emagSa1010.SI_MPL
Carpenter (silicon) steel | emagSilicon.SI_MPL
Iron cobalt vanadium steel | emagVanad.SI_MPL

The copper property presents temperature-dependent resistivity and relative permeability. All other properties are B-H curves.

The property definitions in the material library specify properties "typical" for the materials listed. ANSYS, Inc. has extrapolated these properties to cover high saturation conditions. Your actual material values may differ from those supplied; therefore, you may need to modify the ANSYS material library files you use.

5.3.3.1. Accessing Material Library Files

The next few paragraphs explain basic procedures for reading and writing material library files. You can find a more detailed discussion of these procedures and the ANSYS material library in "Getting Started with ANSYS" in the Basic Analysis Guide.

To read a material library file into the ANSYS database, do the following:

  1. If you have not already specified the system of units you are using, issue the /UNITS command or its GUI equivalent.

    Note

    The default system of units for ANSYS is MKS. The GUI lists only material library files with the currently active units.

  2. Define the material library read path for the material of interest. (You will need to know which directory path your system administrator has used to store the material library files.) To do so, use either of the following:

    Command(s): /MPLIB,READ,pathdata
    GUI: Main Menu> Preprocessor> Material Props> Material Library> Library Path

  3. Read the material library file into the database using one of the following:

    Command(s): MPREAD,filename...LIB
    GUI: Main Menu> Preprocessor> Material Props> Material Library> Import Library
    Main Menu> Preprocessor> Loads> Load Step Opts> Other> Change Mat Props> Material Library> Import Library

To write changes to a material library file, perform these steps:

  1. Edit the material property definition using either the MP command or the GUI (Main Menu> Preprocessor> Material Props> Material Models> Electromagnetics). Make sure that your revised definition includes a material number and at least one material property value (for example, magnetic permeability or MURX).

  2. From the PREP7 preprocessor, issue the command shown below:

    Command(s): MPWRITE,filename,,,LIB,MAT
    GUI: Main Menu> Preprocessor> Material Props> Material Library> Export Library

5.3.4. Additional Guidelines for Defining Regional Material Properties and Real Constants

The next few paragraphs provide some guidelines for setting up physics regions for your model. In addition, you may want to consult "2-D Harmonic (AC) Analysis"; it pictures and describes the regions that can exist within a 2-D model.

5.3.4.1. For Air Regions:

Specify a relative permeability of 1.0. To do so, use one of the following:

Command(s): | MP,MURX
GUI: | Main Menu> Preprocessor> Material Props> Material Models> Electromagnetics> Relative Permeability> Constant

5.3.4.2. For Free-Space Permeable Material Regions:

Specify the B-H curve by reading from a material library or by creating your own B-H curve:

Command(s): | MPREAD,filename, ...
GUI: | Main Menu> Preprocessor> Material Props> Material Library> Import Library
Command(s): | TB, TBPT
GUI: | Main Menu> Preprocessor> Material Props> Material Models> Electromagnetics> BH Curve

If the material is linear, all you need is the relative permeability μr(which may be isotropic or orthotropic). If you specify a B-H curve, it should meet the following requirements for the material to be represented accurately:

  • The B values must be unique for each H value, and must monotonically increase with H, as shown in Figure 2.1: "B-H and Reluctivity vs. B Squared Curves"(a). By default, the B-H curve will pass through the origin (that is, the 0.0 point is not to be explicitly defined). You can verify this by plotting B versus H using one of the methods shown below. (For more information, see the Elements Reference.)

    Command(s): TBPLOT
    GUI: Main Menu> Preprocessor> Material Props> Material Models> Electromagnetics> BH Curve

  • The μ-H curve that ANSYS calculated internally (where μ is the permeability) should be smooth and continuous. You can verify this by plotting μ versus H using TBPLOT. (See Figure 5.1: "Connected Domains"(b)). The B-H curve should cover the complete operating range of the material. If a point beyond the end of the curve is required, the B-H curve is extrapolated at constant slope. The constant slope should be equal to or greater than μr. You can view values in the extrapolated region by adjusting the x-axis range of your B versus H plot. To adjust the x-axis range, use one of the following:

    Command(s): /XRANGE
    GUI: Utility Menu> PlotCtrls> Style> Graphs

Figure 5.2 B-H and mu-H Curves With Extrapolation

(a) B-H curve with extrapolation; (b) μ-H curve with extrapolation

For permanent magnets and nonlinear orthotropic materials, material input is the same as for 2-D static analysis.

5.3.5. Building the Model

You can find most of the information you need to build a model for a 3-D static scalar magnetic problem in the Modeling and Meshing Guide. For 3-D scalar analyses, however, there are some special considerations for modeling current sources.

For information on modeling two contacted bodies, see Modeling Magnetic Contact. You can use contact to:

  • Model contact between bodies with dissimilar meshes (such as the air gap in a rotor/stator configuration)

  • Model the gap permeance between bodies without having to create a finite mesh of the void region between the bodies.

Dissimilar mesh interface | DOF: MAG Contact elements: TARGE170, CONTA173, CONTA174, CONTA175 CONTA17x Keyoptions: KEYOPT(1)=7 (MAG), KEYOPT(2)=2 (MPC approach), KEYOPT(12)=5
Contact permeance | DOF: MAG Contact elements: TARGE170, CONTA173, CONTA174, CONTA175 Real constant: MCC (contact permeance) (real constant number 26) CONTA17x KEYOPTS: KEYOPT(1)=7 (MAG)

5.3.5.1. Modeling Current Conduction Regions

You can model current conduction regions with primitive sources, so they do not need material properties.

In a 3-D scalar potential analysis, current sources are not modeled as an integral part of the geometry (as they are in a 2-D analysis). Instead, you use a "dummy" finite element, SOURC36, to represent the shape and location of current sources. You can define coils, bars, or arcs at any location in the model. The amount of current and other current-source data are specified as element real constants. Figure 5.3: "A Coil Source Represented by SOURC36 Elements" shows an example of a coil current-source represented with SOURC36 primitives.

Figure 5.3 A Coil Source Represented by SOURC36 Elements

Note

You must model the entire current source even if the rest of the model uses half-symmetry or quarter-symmetry. Coil and arc elements cannot have a zero inside radius.

Because SOURC36 elements are not true finite elements, you can use only direct generation (not solid modeling) to define them. Direct generation uses the following menu paths or equivalent commands:

Command(s): | N
GUI: | Main Menu> Preprocessor> Modeling> Create> Nodes> In Active CS Main Menu> Preprocessor> Modeling> Create> Nodes> In Active CS Main Menu> Preprocessor> Modeling> Create> Nodes> On Working Plane
Command(s): | E
GUI: | Main Menu> Preprocessor> Modeling> Create> Elements> Auto Numbered> Thru Nodes
Command(s): | EGEN
GUI: | Main Menu> Preprocessor> Modeling> Copy> Elements> Auto Numbered

To display current source elements, use the commands or menu paths listed below (in the order shown):

Command(s): | /ESHAPE, EPLOT
GUI: | Utility Menu> PlotCtrls> Style> Size and Shape Utility Menu> Plot> Elements

The following is a command-based example of defining current sources.

/PREP7
ET,2, 36            ! Current source element
EMUNIT,MKS          ! MKS units
! Define convenient parameters:
I=0.025             ! Current (amps)
N=300               ! Turns
S=0.04              ! Solenoid length
R=0.01              ! Solenoid radius
THK=0.002           ! Solenoid thickness
!
R=2,1,N*1,THK,S         ! Real constant set 2:  coil type, current
                        ! thickness, length,
CSYS,1                  ! Global cylindrical system
N,1001,R                ! Nodes for the source element
N,1002,R,90
N,1003
TYPE,2              ! Attributes
REAL,2
E,1001,1002,1003    ! Element definition
/ESHAPE,1
/VIEW,1,2,1,.5
/VUP,1,Z
/TRIAD, LBOT
/TYPE,1,HIDP
EPLOT

The following example demonstrates the use of SOURC36 current source elements using three arcs of 120°.

/title,,,full circle coils against 3x120 and 6x60 degree arcs
/com
/com This example demonstrates the usage of SOURC36 current source elements.
/com It compares results of a full circle coils with
/com 6 arcs of 60 degrees and 3 arcs of 120 degrees
/com
/nopr
!
coil=1
arc=3
cur=10
dr=0.1		! radius of source
dz=dr
eps=0.0005
ri=5		! radius of the coil R >> dr,dz
step=1		! step along Z
pi=3.1415926
n=21		! Z = -10 to +10 by 1

*dim,hhx,array,n,3
*dim,hhy,array,n,3
*dim,hhz,array,n,4	! to store targeted results in the center
*dim,hhs,array,n,3

/com ***** full coil (360 degrees) *****
/prep7
et,1,36
r,1,coil,cur,dr,dz,eps		! define the source
n,10001,ri, 0, 0
n,10002, 0,ri, 0
n,10003, 0, 0, 0
e,10001,10002,10003
et,2,96
mp,murx,1,1
n,1,0,0,-10*step		! define the calculated nodes
ngen,n,1,1,,,,,step
/solv
biot,new
/post1
*do,i,1,n
*get,hx,node,i,hs,x
*get,hy,node,i,hs,y
*get,hz,node,i,hs,z
hh=hx**2+hy**2+hz**2
hh=sqrt(hh)
hhx(i,1)=hx
hhy(i,1)=hy
hhz(i,1)=hz
hhs(i,1)=hh
*enddo
/com 		! to check if hx=hy=0
/com********************** 360-degree coil **********************
/com      Hx             Hy             Hz             Hsum
*vwrite,hhx(1,1),hhy(1,1),hhz(1,1),hhs(1,1)
('H=',4f15.6)
/com*************************************************************
fini

/com *** arcs ***
/prep7
et,1,36
r,1,arc,cur,dr,dz,eps		! define the source
edele,all
ndele,all
n,10001,ri ,  0, 0
n,10002, ri/2, ri*sqrt(3)/2, 0
n,10003,-ri/2, ri*sqrt(3)/2, 0
n,10004,-ri,  0, 0
n,10005, ri/2,-ri*sqrt(3)/2, 0
n,10006,-ri/2,-ri*sqrt(3)/2, 0
n,10007,  0,  0, 0
e,10001,10002,10007
e,10002,10003,10007
e,10003,10004,10007
e,10004,10005,10007
e,10005,10006,10007
e,10006,10001,10007
et,2,96
mp,murx,1,1
n,1,0,0,-10*step		! define the calculated nodes
ngen,n,1,1,,,,,step
/solv
biot,new
/post1
*do,i,1,n
*get,hx,node,i,hs,x
*get,hy,node,i,hs,y
*get,hz,node,i,hs,z
hh=hx**2+hy**2+hz**2
hh=sqrt(hh)
hhx(i,2)=hx
hhy(i,2)=hy
hhz(i,2)=hz
hhs(i,2)=hh
*enddo
/com
/com ****************** 6 times 60-degree arc *******************
/com      Hx             Hy             Hz             Hsum
*vwrite,hhx(1,2),hhy(1,2),hhz(1,2),hhs(1,2)
('H=',4f15.6)
/com*************************************************************
fini

/com *** 3 times 120-degree arcs ***
/prep7
et,1,36
r,1,arc,cur,dr,dz,eps		! define the source
edele,all
ndele,all
n,10001,ri ,  0, 0
n,10002,-ri/2, ri*sqrt(3)/2, 0
n,10003,-ri/2,-ri*sqrt(3)/2, 0
n,10005,  0,  0, 0
e,10001,10002,10005
e,10002,10003,10005
e,10003,10001,10005
et,2,96
mp,murx,1,1
n,1,0,0,-10*step		! define the calculated nodes
ngen,n,1,1,,,,,step
/solv
biot,new
/post1
*do,i,1,n
*get,hx,node,i,hs,x
*get,hy,node,i,hs,y
*get,hz,node,i,hs,z
hh=hx**2+hy**2+hz**2
hh=sqrt(hh)
hhx(i,3)=hx
hhy(i,3)=hy
hhz(i,3)=hz
hhs(i,3)=hh
*enddo
/com
/com ***************** 3 times 120-degree arc *******************
/com      Hx             Hy             Hz             Hsum
*vwrite,hhx(1,3),hhy(1,3),hhz(1,3),hhs(1,3)
('H=',4f15.6)
/com*************************************************************
fini

! target result with Biot-Savart law
*do,i,1,n,1
hhz(i,4) = cur/2*ri**2/(ri**2+(i-11)**2)**(3/2)
*enddo

/com
/com ********************** Biot Savart *************************
/com
/com H(Z) = I/2*R^2/(R^2+Z^2)^(3/2)
/com
/com ************************************************************
/com ******************** 3 cases results ***********************
/com data
*vwrite,cur,dr,ri
(' current = ',f4.2,' Amp, radius section = ',f5.2,', coil radius = ',f5.2)
/com  z= -10 to +10 by 1
/com
/com      360-degree     6*60-degree    3*120-degree   target(B-S)
*vwrite,hhz(1,1),hhz(1,2),hhz(1,3),hhz(1,4)
('H=',4f15.6)
/com ************************************************************
/com
/com good approximation for radius section << coil radius
/com
/com ************************************************************
finish

For further information, see the descriptions of the following commands in the Commands Reference: ET, EMUNIT, R, CSYS, N, TYPE, REAL, E, /ESHAPE, /VIEW, /VUP, /TRIAD, and /TYPE.

5.3.6. Building a 3-D Racetrack Coil

To help you build a 3-D "racetrack" current source, ANSYS provides the RACE command macro. To invoke this macro, use either of the following:

Command(s): | RACE
GUI: | Main Menu> Preprocessor> Modeling> Create> Racetrack Coil Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Excitation> Racetrack Coil

The RACE macro enables you to define a racetrack current source in the working plane coordinate system. The ANSYS program generates the current source from bar and arc source primitives using the SOURC36 element (which is assigned the next available element type number). Current flows in a counterclockwise direction with respect to the working plane. See "Electric and Magnetic Macros" for additional details about this macro and a racetrack coil diagram.

To delete a racetrack coil, you delete individual SOURC36 elements using the EDELE command (Main Menu> Preprocessor> Modeling> Delete> Elements). Before doing so, you should first review the elements to choose the appropriate elements to delete. Review elements using one of the methods shown below:

Command(s): | ELIST
GUI: | Utility Menu> List> Elements> Attributes + RealConst Utility Menu> List> Elements> Attributes Only Utility Menu> List> Elements> Nodes + Attributes Utility Menu> List> Elements> Nodes + Attr + RealConst

5.3.7. Applying Boundary Conditions and Loads (Excitation)

5.3.7.1. Applying Loads to a 3-D Scalar Static Analysis

In addition to applying boundary conditions and loads, you also will need to specify load step options if you opt to step through the analysis manually, See "Alternative Analysis Options and Solution Methods" for details. The next few topics explain how to perform the tasks involved in a routine analysis.

The scalar potential formulation uses different boundary conditions (BCs) and loads than those for the vector potential formulation. Following are the appropriate BCs and loads and the menu paths to define them. (See "Alternative Analysis Options and Solution Methods" for information on applying loads or BCs via ANSYS commands.)

You access all loading operations through a series of cascading menus. When you choose Main Menu> Solution> Define Loads> Magnetic, the ANSYS program lists one BC category and three load categories. You then choose the appropriate category and the appropriate load or BC. The categories and BCs or loads you can choose for a 3-D static analysis are as follows:

-Boundary- | -Excitation- | -Flag- | -Other-
-Scalar Poten- | (none)[1] | Comp. Force | -Magnetic Flux-
On Keypoints |  | -Infinite Surf- | On Keypoints
On Nodes |  | On Lines | On Nodes
On Areas |  | On Areas | -Maxwell Surf-
Flux Parallel |  | On Nodes | On Lines
-Flux Normal- |  |  | On Areas
On Areas |  |  | On Nodes
On Nodes |  |  | -Virtual Disp-
 |  |  | On Keypoints
 |  |  | On Nodes

  1. See Excitation below.

For example, to apply the flux-normal condition on an area, choose this GUI path:

Main Menu> Solution> Define Loads> Apply> Magnetic> Boundary> Flux Normal> On Areas

You may see other load types or BCs or loads listed on the menus. If they are grayed out, either they do not apply to 3-D static analysis or the appropriate KEYOPT option on the element type has not been set. (However, the grayed-out items will be valid for other types of magnetic analysis; the ANSYS GUI filters menu choices.)

5.3.8. Boundary Conditions

5.3.8.1. Magnetic Scalar Potentials

Use magnetic scalar potentials (MAG) to specify flux-normal, flux-parallel, and far-field zero, and cyclic symmetry (periodic) boundary conditions, as well as an imposed external magnetic field. The following table shows the MAG values required for each type of boundary condition:

Boundary Condition | Value of MAG
Flux-normal | MAG = 0 (Use the DSYM,SYMM command (Main Menu> Solution> Define Loads> Apply> Magnetic> Boundary> Scalar Poten> Flux Normal> On Nodes.)
Flux-parallel | None required (occurs naturally)
Far-field | Use element INFIN47 or INFIN111
Far-field zero | MAG = 0
Periodic | Use ANSYS' cyclic symmetry capability.
Imposed external field | Apply nonzero values of MAG.

5.3.9. Excitation

You supply current excitation via the SOURC36 element as noted previously. Invoking the RACE macro simplifies application of this type of coil arrangement.

5.3.10. Flags

5.3.10.1. Component Force

An ANSYS command macro, FMAGBC, automates applying virtual displacements and the Maxwell surface flag for calculating forces and torques on bodies. Simply group the elements in the body on which forces or displacements are to be calculated into a component. (See the CM command description.) Then, use either of the following:

Command(s): | FMAGBC,Cname
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Flag> Comp. Force/Torq

Note

Lorentz forces are applicable to current carrying conductors and they are calculated automatically. Do not apply Maxwell or virtual displacement flags to any current carrying conductor surfaces.

5.3.10.2. Infinite Surface Flags (INF)

These are not loads, but they are required to flag the surface of an infinite element which is pointing towards the open (infinite) domain.

5.3.11. Other Loads

5.3.11.1. Maxwell Surface (MXWF)

These are the same as described for 2-D static magnetic analyses; that is, they are surfaces on which the magnetic force distribution is to be calculated. You can use these loads in a structural analysis.

5.3.11.2. Magnetic Virtual Displacements (MVDI)

These are the same as described for 2-D static magnetic analyses; that is, you use them to calculate the total force on a body in the model (using the virtual work approach).

5.3.12. Obtaining a Solution

This section describes the steps involved in solving a 3-D static scalar magnetic analysis using the three solution methods available. Solution steps for the RSP method are presented first, followed by solution procedures for the DSP method and then the GSP method.

5.3.13. Solving the Analysis (RSP Method)

5.3.13.1. Entering the SOLUTION Processor

To enter the SOLUTION processor, use either of the following:

Command(s): | /SOLU
GUI: | Main Menu> Solution

5.3.13.2. Defining the Analysis Type

To specify the analysis type, do either of the following:

  • In the GUI, choose menu path Main Menu> Solution> Analysis Type> New Analysis and choose a Static analysis.

  • If this is a new analysis, issue the command ANTYPE,STATIC,NEW.

  • If you want to restart a previous analysis (for example, to specify additional loads), issue the command ANTYPE,STATIC,REST. You can restart an analysis only if you previously completed a 3-D static magnetic analysis, and the files Jobname.EMAT, Jobname.ESAV, and Jobname.DB from the previous run are available.

5.3.13.3. Defining Analysis Options

Next, you define which solver you want to use. You can specify any of these values:

  • Sparse solver (default)

  • Frontal solver

  • Jacobi Conjugate Gradient (JCG) solver

  • Incomplete Cholesky Conjugate Gradient (ICCG) solver

  • JCG out-of-memory solver

  • Preconditioned Conjugate Gradient solver (PCG)

  • PCG out-of-memory solver

To select an equation solver, use either of the following:

Command(s): | EQSLV
GUI: | Main Menu> Solution> Analysis Type> Analysis Options

The JCG solver or the PCG solver is recommended for 3-D models.

5.3.13.4. Saving a Backup Copy of the Database

Use the SAVE_DB button on the ANSYS Toolbar to save a backup copy of the ANSYS database. This enables you to retrieve your model should your computer fail while analysis is in progress. To retrieve a model, re-enter ANSYS and use one of the following:

Command(s): | RESUME
GUI: | Utility Menu> File> Resume Jobname.db

Caution

If you use the BIOT option and issue the SAVE command (Utility Menu> File> Save As) after solution or postprocessing, the Biot-Savart calculations are saved to the database, but will be overwritten upon normal exit from the program. To save this data after issuing SAVE, use the /EXIT,NOSAVE command. You can also issue the /EXIT,SOLU command to exit ANSYS and save all solution data, including the Biot-Savart calculations, in the database. Otherwise, when you resume your analysis, the Biot-Savart calculation will be lost (resulting in a zero solution).

5.3.13.5. Starting the Solution

You can initiate the solution using either of the following:

Command(s): | MAGSOLV (with OPT field set to 2)
GUI: | Main Menu> Solution> Solve> Electromagnet> Static Analysis> Opt&Solv

To learn how to step manually through the solution sequence, see "Alternative Analysis Options and Solution Methods".

5.3.13.6. Finishing the Solution

To leave the SOLUTION processor, use either of the following:

Command(s): | FINISH
GUI: | Main Menu> Finish

5.3.14. Solving the Analysis (DSP Method)

The DSP method is recommended only if the model has singly connected iron regions. The DSP method uses the same procedures for building the model and reviewing results as the RSP method uses. (To see descriptions of these procedures, refer to the discussion of the RSP method.) However, for the DSP method you use different procedures to apply loads and obtain a solution.

The DSP method requires a two-step solution sequence:

  • You use the first load step to calculate an approximate air-only solution with iron regions internally set to a near-infinite permeability.

  • Using the second load step, you calculate the final solution with all regions reset to specified material properties.

Follow the steps shown below to perform the solution sequence:

  1. Enter the SOLUTION processor, define the analysis type, define the analysis options, and apply loads according to the procedures described in the discussion of the RSP method.

  2. Save a backup of the ANSYS database to a named file, using either of the following:

    Command(s): SAVE
    GUI: Utility Menu> File> Save as Jobname.db

    Caution

    If you use the BIOT option and issue SAVE after solution or postprocessing, the Biot-Savart calculations are saved to the database, but will be overwritten upon normal exit from the program. To save this data after issuing SAVE, use the /EXIT,NOSAVE command. You can also issue the /EXIT,SOLU command to exit ANSYS and save all solution data, including the Biot-Savart calculations, in the database. Otherwise, when you issue RESUME, the Biot-Savart calculation will be lost (resulting in a zero solution).

  3. Specify magnetic solution options and initiate the two-step solution. To do so, use either of the following:

    Command(s): MAGSOLV (with OPT field set to 3)
    GUI: Main Menu> Solution> Solve> Electromagnet> Static Analysis> Opt and Solv

  4. Specify Main Menu> Finish or issue the FINISH command to end the solution.

5.3.15. Solving the Analysis (GSP Method)

The GSP method is the best method to use if the model has current sources and a multiply connected iron region. The analysis procedures are the same, except for the procedure for solving the model. The GSP method requires a three-step solution sequence where:

  • The first load step calculates an approximate iron-only solution.

  • The second load step calculates an approximate air-only solution.

  • The third load step calculates the final solution.

To obtain a solution for a GSP analysis, perform these steps:

  1. Enter the SOLUTION processor, define the analysis type and options, and apply loads using the procedures described in Reviewing Analysis Results (RSP, DSP, or GSP Method Analysis). Make sure that at least one node in the iron region has a specified scalar potential value of zero.

  2. Save a backup of the ANSYS database to a named file, using either of the following:

    Command(s): SAVE
    GUI: Utility Menu> File> Save as Jobname.db

    Caution

    If you use the BIOT option and issue SAVE after solution or postprocessing, the Biot-Savart calculations are saved to the database, but will be overwritten upon normal exit from the program. To save this data after issuing SAVE, use the /EXIT,NOSAVE command. You can also issue the /EXIT,SOLU command to exit ANSYS and save all solution data, including the Biot-Savart calculations, in the database. Otherwise, when you issue RESUME, the Biot-Savart calculation will be lost (resulting in a zero solution).

  3. Specify magnetic solution options and initiate the three-step solution. To do so, use either of the following:

    Command(s): MAGSOLV (with OPT field set to 4)
    GUI: Main Menu> Solution> Solve> Electromagnet> Static Analysis> Opt and Solv

  4. Specify Main Menu> Finish or issue the FINISH command to end the solution process.

5.3.16. Calculating the Inductance Matrix and Flux Linkage

For a system of coils, use the LMATRIX macro to calculate the differential inductance matrix and the total flux linkage in each coil. See the Theory Reference for ANSYS and ANSYS Workbench for more details.

To initiate the solution use the following:

Command(s): | LMATRIX
GUI: | Main Menu> Solution> Solve> Electromagnet> Static Analysis> Induct Matrix

Computing the differential inductance matrix and the total flux linkage in each coil requires several procedural steps. You must first assign components to coil elements, define nominal currents, then perform a nominal solution about an operating point. See LMATRIX for more information and an example analysis.

5.3.17. Reviewing Analysis Results (RSP, DSP, or GSP Method Analysis)

Results from a 3-D static magnetic analysis (scalar potential formulation) consist of the following data:

Primary data: Nodal magnetic DOFs (MAG)

Derived data:

  • Nodal magnetic flux density (BX, BY, BZ, BSUM)

  • Nodal magnetic field intensity (HX, HY, HZ, HSUM)

  • Nodal magnetic forces (FMAG: components X, Y, Z, SUM)

  • Nodal reaction magnetic flux (FLUX)

  • ... etc.

Additional data also are available. See the Elements Reference for details.

You can review analysis results in POST1, the general postprocessor, by choosing either of the following:

Command(s): | /POST1
GUI: | Main Menu> General Postproc

The following section, "Reading in Results Data," discusses some typical postprocessing operations for a 3-D static magnetic analysis. For a complete description of all postprocessing functions, see the Basic Analysis Guide.

5.3.17.1. Reading in Results Data

To review results in POST1, the ANSYS database must contain the same model for which the solution was calculated. Also, the results file (Jobname.RMG) must be available.

To read the data from the results file into the database, use either of the following:

Command(s): | SET
GUI: | Utility Menu> List> Results

If the model is not in the database, restore it using the command or menu path listed below and then use the SET command to read in the desired set of results.

Command(s): | RESUME
GUI: | Utility Menu> File> Resume Jobname.db

5.3.17.2. Flux Lines

Flux lines are not readily available with the scalar potential formulation. Use vector displays of flux density to visualize flux paths.

5.3.17.3. Vector Displays

Vector displays (not to be confused with vector mode) are an effective way to view vector quantities such as B, H, and FMAG. To produce vector displays, use either method shown below:

Command(s): | PLVECT
GUI: | Main Menu> General Postproc> Plot Results> Vector Plot> User-Defined Main Menu> General Postproc> Plot Results> Vector Plot> Predefined Utility Menu> Plot>Results> Vector Plot

To produce vector listings, use one of the following:

Command(s): | PRVECT
GUI: | Main Menu> General Postproc> List Results> Vector Data Utility Menu> List> Results> Vector Data

5.3.17.4. Contour Displays

You can contour almost any result item, including flux density and field intensity, using the following commands or menu paths:

Command(s): | PLNSOL, PLESOL
GUI: | Utility Menu> Plot> Results> Contour Plot> Elem Solution Utility Menu> Plot> Results> Contour Plot> Elem Solution

Caution

Nodal contour plots for derived data, such as flux density and field intensity, are averaged at the nodes. In PowerGraphics mode (default), you can visualize nodal averaged contour displays which account for material discontinuities.

5.3.17.5. Charged Particle Trace Displays

You can find details on how to graphically display a charged particle traveling in a magnetic field in Particle Flow and Charged Particle Traces and Controlling Particle Flow or Charged Particle Trace Displays in the Basic Analysis Guide. See Electromagnetic Particle Tracing in the Theory Reference for ANSYS and ANSYS Workbench for more details.

5.3.17.6. Tabular Listings

You can produce tabular listings of results data, either unsorted or sorted by node or by element. To sort data before listing it, use any of the following:

Command(s): | ESORT, NSORT
GUI: | Main Menu> General Postproc> List Results> Sorted Listing> Sort Elems Main Menu> General Postproc> List Results> Sorted Listing> Sort Elems

To produce tabular listings, use any of the following:

Command(s): | PRESOL, PRNSOL, PRRSOL
GUI: | Main Menu> General Postproc> List Results> Element Solution Main Menu> General Postproc> List Results> Nodal Solution Main Menu> General Postproc> List Results> Reaction Solu

5.3.17.7. Magnetic Forces

You can summarize Maxwell and virtual work forces quickly for element components on which those forces were specified as boundary conditions using the FMAGSUM macro. To summarize the forces, invoke the FMAGSUM macro using one of the following:

Command(s): | FMAGSUM
GUI: | Main Menu> General Postproc> Elec&Mag Calc> Component Based> Force

To review Maxwell or virtual work forces in more detail use the following approach:

  • Maxwell forces are calculated for all elements at which the surface flag MXWF is specified as a surface "load." To list Maxwell forces, select all such elements, then select either of the following:

    Command(s): PRNSOL,FMAG
    GUI: Main Menu> General Postproc> List Results> Nodal Solution

    The sum of these forces gives the total force on the surface. To sum the forces, select all elements with the Maxwell surface and use the ETABLE command (Main Menu> General Postproc> Element Table> Define Table) to move the forces to the element table. Then issue the SSUM command (Main Menu> General Postproc> Element Table> Sum of Each Item).

  • Virtual work forces are calculated for all air elements with an MVDI specification adjacent to the body of interest. One way to access virtual work forces is via the element's NMISC record. Do so by choosing either of the following:

    Command(s): PRETAB
    GUI: Main Menu> General Postproc> Element Table> List Elem Table

5.3.17.8. Calculating Other Items of Interest

In postprocessing, you can calculate many other items of interest from the data available in the database. The ANSYS command set supplies the following macros to perform calculations for you automatically:

  • The EMAGERR macro calculates the relative error in an electromagnetic or electrostatic field analysis.

  • The SENERGY macro determines the stored magnetic energy.

  • The MMF macro calculates magnetomotive force along a path.

See "Electric and Magnetic Macros" for details on these macros or the Commands Reference.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.2. Scalar Potential Formulation 		Up / Home Next
5.4. Example of a 3-D Static Magnetic Analysis (GUI Method)


5.4. Example of a 3-D Static Magnetic Analysis (GUI Method)

This section shows you how to perform a sample 3-D static magnetic analysis using ANSYS GUI paths. Example of a 3-D Static Magnetic Analysis (Command Method) solves the same example using ANSYS commands.

5.4.1. The Example Described

This example calculates the armature forces and the coil inductance about an operating point for the solenoid actuator shown in Figure 5.4: "Solenoid Actuator". A static (DC) current excites the coil and provides the force to move the armature. The current is 6 amps and there are 500 turns in the coil. The analysis employs a 1/4 symmetry model of the positive x and y quadrant.

Figure 5.4 Solenoid Actuator

5.4.1.1. Material Properties

The analysis uses a relative permeability of 1.0 for the air regions.

The B-H data for the pole and armature steel follows. You will enter the B and H values in this analysis.

H(A/m) | B(T) | H(A/m) | B(T)
355 | 0.70 | 7650 | 1.75
405 | 0.80 | 10100 | 1.80
470 | 0.90 | 13000 | 1.85
555 | 1.00 | 15900 | 1.90
673 | 1.10 | 21100 | 1.95
836 | 1.20 | 26300 | 2.00
1065 | 1.30 | 32900 | 2.05
1220 | 1.35 | 42700 | 2.10
1420 | 1.40 | 61700 | 2.15
1720 | 1.45 | 84300 | 2.20
2130 | 1.50 | 110000 | 2.25
2670 | 1.55 | 135000 | 2.30
3480 | 1.60 | 200000 | 2.41
4500 | 1.65 | 400000 | 2.69
5950 | 1.70 | 800000 | 3.22

5.4.1.2. Approach and Assumptions

The analysis uses a smart sizing level (LVL) of 8. For production work a finer mesh should be used (LVL 6).

The analysis assumes that all surfaces are flux-parallel. This is a natural boundary condition that is satisfied automatically without any prescription of an explicit boundary condition.

The analysis constrains a single node to avoid an ill-conditioned problem.

5.4.1.3. Expected Results

This example uses a smart element sizing (SmartSizing) level of 8.

Computed results:

Virtual Work Force (z direction) = -11.928 N
Maxwell Force (z direction) = -11.214 N
Inductance = 0.012113 h

The computed results are multiplied by a factor of 4 for symmetry. Forces in the x and y directions cancel.

For additional information on the solution to this problem, see M. Gyimesi and D. Ostergaard, “Non-Conforming Hexahedral Edge Elements for Magnetic Analysis,” IEEE Transactions on Magnetics, Vol. 34, No. 5 (1998).

5.4.2. The Analysis (GUI Method)

Step 1: Start the Analysis

  1. Activate the ANSYS launcher.

  2. Select the ANSYS simulation environment, choose your license, and click Run.

  3. When the Graphical User Interface is fully active, choose Utility Menu> File> Change Title. A dialog box appears.

  4. Enter the title text, 3-D Static Force Problem - Tetrahedral.

  5. Click on OK.

  6. Choose Main Menu> Preferences. The Preferences for GUI Filtering dialog box appears. Choose Electromagnetic: Magnetic-Nodal. Then click OK.

Back To Top

Step 2: Define Analysis Parameters

  1. Choose menu path Utility Menu> Parameters> Scalar Parameters. The Scalar Parameters dialog box appears.

  2. Type in the parameter values shown below. (Press ENTER after entering each value.)

    n = 500 (number of coil turns)
    i = 6 (current per turn)

  3. Click on Close to close the dialog box.

Back To Top

Step 3: Define Element Types

  1. Choose Main Menu> Preprocessor> Element Type> Add/Edit/Delete. The Element Types dialog box appears.

  2. Click on Add. The Library of Element Types dialog box appears.

  3. In the scrollable fields, click on (highlight) Magnetic Scalar and Scalar Brick 96 (SOLID96).

  4. Click on OK. ANSYS returns you to the Element Types dialog box.

  5. Click on Close to close the Element Types dialog box.

Back To Top

Step 4: Define Material Properties for Air and Steel

  1. Choose Main Menu> Preprocessor> Material Props> Material Models. The Define Material Model Behavior dialog box appears.

  2. In the Material Models Available window, double-click on the following options: Electromagnetics, Relative Permeability, Constant. A dialog box appears.

  3. Enter 1 for MURX (Relative permeability), and click on OK. Material Model Number 1 appears in the Material Models Defined window on the left.

  4. Choose Material> New Model. Click on OK to define Material ID 2. Material Model Number 2 appears in the Material Models Defined window on the left.

  5. In the Material Models Available window, double-click on B-H curve. A dialog box appears.

  6. Enter the H and B values for steel, as provided in Material Properties. To add an additional row to the table, position the text cursor in the bottom row and click on the Add Point button. Click on OK.

  7. Choose Edit> Copy. Choose 2 for from Material number, and enter 3 for to Material number. Click on OK. Material Model Number 3 appears in the Material Models Defined window on the left.

  8. Choose Material> Exit to remove the Define Material Model Behavior dialog box.

  9. Click on SAVE_DB on the ANSYS Toolbar.

Back To Top

Step 5: Create Pole Volumes

  1. Choose Utility Menu> PlotCtrls> Numbering. The Plot Numbering Controls dialog box appears.

  2. Click the Volume numbers button to On.

  3. Click on OK.

  4. Choose Main Menu> Preprocessor> Modeling> Create> Volumes> Block> By Dimensions. The Create Block by Dimensions dialog box appears.

  5. In the "X coordinates" fields, enter 0 and 63.5; in the "Y coordinates" fields, enter 0 and 25/2; and in the "Z coordinates" fields, enter 0 and 25.

  6. Click on OK. The ANSYS Graphics Window displays a rectangular area.

  7. Choose Utility Menu> PlotCtrls> Pan, Zoom, Rotate. A Pan-Zoom-Rotate dialog box appears.

  8. Click on the Iso button, then click on Close. The ANSYS Graphics Window displays the block.

  9. Choose Main Menu> Preprocessor> Modeling> Create> Volumes> Block> By Dimensions. The Create Block by Dimensions dialog box appears.

  10. In the "X coordinates" fields, enter 38.5 and 63.5; in the "Y coordinates" fields, enter 0 and 25/2; and in the "Z coordinates" fields, enter 25 and 125.

  11. Click on OK. The ANSYS Graphics Window now also displays this block.

  12. Choose Main Menu> Preprocessor> Modeling> Create> Volumes> Block> By Dimensions. The Create Block by Dimensions dialog box appears.

  13. In the "X coordinates" fields, enter 13.5 and 63.5; in the "Y coordinates" fields, enter 0 and 25/2; and in the "Z coordinates" fields, enter 125 and 150.

  14. Click on OK. The ANSYS Graphics Window now also displays this block.

  15. Choose Main Menu> Preprocessor> Modeling> Operate> Booleans> Glue> Volumes. The Glue Volumes picking menu appears.

  16. Click on Pick All.

Back To Top

Step 6: Create Armature and Air Volumes and Compress Numbers

  1. Choose Main Menu> Preprocessor> Modeling> Create> Volumes> Block> By Dimensions. The Create Block by Dimensions dialog box appears.

  2. In the "X coordinates" fields, enter 0 and 12.5; in the "Y coordinates" fields, enter 0 and 5; and in the "Z coordinates" fields, enter 26.5 and 125.

  3. Click on OK. The ANSYS Graphics Window now displays the pole volumes and the armature volume (volume 1).

  4. Choose Utility Menu> Plot> Volumes.

  5. Choose Main Menu> Preprocessor> Modeling> Create> Volumes> Block> By Dimensions. The Create Block by Dimensions dialog box appears.

  6. In the "X coordinates" fields, enter 0 and 13; in the "Y coordinates" fields, enter 0 and 5.5; and in the "Z coordinates" fields, enter 26 and 125.5.

  7. Click on OK. The ANSYS Graphics Window now displays the pole volumes and the volume that is composed of the armature plus the surrounding air region (volume 2).

  8. Choose Main Menu> Preprocessor> Modeling> Operate> Booleans> Overlap> Volumes. The Overlap Volumes picking menu appears.

  9. Pick (or enter in the picker) volumes 1 and 2.

  10. Click on OK.

  11. Choose Utility Menu> Plot> Volumes.

  12. Choose Main Menu> Preprocessor> Numbering Ctrls> Compress Numbers. The Compress Numbers dialog box appears.

  13. Change the "Item to be compressed (Label)" field to Volumes.

  14. Click on OK.

  15. Choose Main Menu> Preprocessor> Modeling> Create> Volumes> Cylinder> Partial Cylinder. The Partial Cylinder picking menu appears.

  16. Set the following values. Click on OK when you are finished, and the ANSYS Graphics Window will display the partial cylinder.

    "Rad-1" field to 0
    "Theta-1" field to 0
    "Rad-2" field to 100
    "Theta-2" field to 90
    "Depth" field to 175

  17. Choose Main Menu> Preprocessor> Modeling> Operate> Booleans> Overlap> Volumes. The Overlap Volumes picking menu appears.

  18. Click on Pick All.

  19. Choose Main Menu> Preprocessor> Numbering Ctrls> Compress Numbers. The Compress Numbers dialog box appears.

  20. Check that the "Item to be compressed (Label)" field is set to Volumes.

  21. Click on OK.

  22. Click on SAVE_DB on the ANSYS Toolbar.

Back To Top

Step 7: Set Volume Attributes

  1. Choose Utility Menu> PlotCtrls> Pan, Zoom, Rotate. A Pan-Zoom-Rotate dialog box appears.

  2. Rotate the model so that the pole and armature plus surrounding air region volumes show for picking.

  3. Close the Pan-Zoom-Rotate dialog box.

  4. Choose Main Menu> Preprocessor> Meshing> Mesh Attributes> Picked Volumes. The Volume Attributes picking menu appears.

  5. Pick (or enter in the picker) the armature volume (volume 1).

  6. Click on OK. The Volume Attributes dialog box appears.

  7. Change the "Material Number (MAT)" field to 3.

  8. Click on OK.

  9. Choose Main Menu> Preprocessor> Meshing> Mesh Attributes> Picked Volumes. The Volume Attributes picking menu appears.

  10. Pick (or enter in the picker) the pole volumes (volumes 3, 4, and 5).

  11. Click on OK. The Volume Attributes dialog box appears.

  12. Change the "Material Number (MAT)" field to 2.

  13. Click on OK.

Back To Top

Step 8: Mesh the Model

  1. Choose Utility Menu> Select> Everything.

  2. Choose Main Menu> Preprocessor> Meshing> MeshTool. The MeshTool appears.

  3. Click SmartSizing on. Set the SmartSizing slider to 8. (For production work, you should use a finer SmartSizing level, such as 6.)

  4. Make sure that Volumes, Tet, and Free are selected in the MeshTool.

  5. Click MESH. The Mesh Volumes picking menu appears.

  6. Click on Pick All. The display changes to show the meshed volumes. If you receive a message asking whether you want to continue, click Yes. Close any warning messages that appear. Click Close to close the MeshTool.

  7. Choose Utility Menu> PlotCtrls> Numbering. For “Elem/Attrib numbering,” select Material numbers. For “Numbering shown with,” select Colors only. Click OK.

  8. Choose Utility Menu> Plot> Elements.

Back To Top

Step 9: Define Armature as a Component and Apply Force Flags

  1. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  2. Change the top box to Elements and the second box to By Attributes, check that Material number is selected, and set the "Min,Max,Inc" field to 3.

  3. Click on OK.

  4. Choose Utility Menu> Select> Comp/Assembly> Create Component. The Create Component dialog box appears.

  5. Enter arm in the "Component name" field and change the "Component is made of" field to Elements.

  6. Click on OK.

  7. Choose Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Flag> Comp. Force/Torque. The Apply Magnetic Force Boundary Conditions dialog box appears.

  8. Highlight arm in the "Component name" field.

  9. Click on OK. A window appears, notifying you that force boundary conditions have been applied.

  10. Read the window contents and then click on Close.

  11. Click on SAVE_DB on the ANSYS Toolbar.

Back To Top

Step 10: Scale the Model to Meters

  1. Choose Utility Menu> Select> Everything.

  2. Choose Main Menu> Preprocessor> Modeling> Operate> Scale> Volumes. The Scale Volumes picking menu appears.

  3. Click on Pick All. The Scale Volumes dialog box appears.

  4. In the fields for RX, RY, and RZ scale factors, enter .001, .001, and .001, respectively.

  5. Leave the "Items to be scaled" field set on Volumes and Mesh, but change the "Existing volumes will be" field to Moved.

  6. Click on OK.

Back To Top

Step 11: Create the Coil

  1. Choose Utility Menu> WorkPlane> Local Coordinate Systems> Create Local CS> At Specified Loc. The Create CS at Location picking menu appears.

  2. Check that the Global Cartesian option is on and type 0,0,75/1000 in the picker. Press ENTER.

  3. Click on OK. The Create Local CS at Specified Location dialog box appears.

  4. Change the "Ref number of new coord sys (KCN)” to 12 and click on OK.

  5. Choose Utility Menu> WorkPlane> Align WP with> Specified Coord Sys. The Align WP with Specified CS dialog box appears.

  6. In the "Coordinate system number (KCN)” field, enter 12, and click on OK.

  7. Choose Main Menu> Preprocessor> Modeling> Create> Racetrack Coil. The "Racetrack" Current Source for 3-D Magnetic Analysis dialog box appears.

  8. Type in the following values:

    In the "X-loc of vertical leg (XC)" field, enter .0285.
    In the "Y-loc of horizontal leg (YC)" field, enter .0285.
    In the "Radius of curvature (RAD)" field, enter .014.
    In the "Total current flow (TCUR)" field, enter n*i.
    In the "In-plane thickness (DY)" field, enter .018.
    In the "Out-of-plane thickness (DZ)" field, enter .0966.
    In the "Component name (Cname)" field, enter coil1.

  9. Click on OK.

  10. Choose Utility Menu> PlotCtrls> Style> Size and Shape. The Size and Shape dialog box appears.

  11. Verify that the Display of element shapes based on real constant descriptions is On.

  12. Click on OK.

  13. Choose Utility Menu> Plot> Elements to display the coil.

Back To Top

Step 12: Apply Boundary Conditions

  1. Choose Main Menu> Solution> Define Loads> Apply> Magnetic> Boundary> Scalar Poten> On Nodes. The Apply MAG on Nodes picking menu appears.

  2. Pick a node (for example, node 2 at Global Cartesian location {x, y, z} = {0, 0, 0}) to constrain.

  3. Click on OK. The Apply MAG on Nodes dialog box appears.

  4. Set the “Scalar poten (MAG) value" field to 0.

  5. Click on OK.

Back To Top

Step 13: Solve

  1. Choose Utility Menu> Select> Everything.

  2. Choose Main Menu> Solution> Solve Electromagnet> Static Analysis> Opt&Solv. The Magnetostatics Options and Solution dialog box appears.

  3. Change the "Formulation option (Option)" field to DSP and change the "Force Biot-Savart Calc. (BIOT)" field to YES.

  4. Click on OK.

  5. Click Close when the Solution Is Done message appears.

Back To Top

Step14: Summarize Armature Force Results

  1. Choose Main Menu> General Postproc> Elec&Mag Calc> Component Based> Force. The Summarize Magnetic Forces dialog box appears.

  2. In the "Component names (s)" field click on (highlight) ARM and click on OK. A pop-up window displays the armature force results.

  3. Review the results and then click on Close. Note that the X and Y components of force will cancel due to the symmetry. The Z component should be multiplied by 4 on account of symmetry.

Back To Top

Step 15: Calculate the Coil Inductance

  1. Choose Utility Menu> Parameters> Array Parameters> Define/Edit. The Array Parameters dialog box appears.

  2. Click on Add. The Add New Array Parameter dialog box appears.

  3. In the "Parameter name (Par)" field, enter cur. Change the "No. of rows (I)" field to 1.

  4. Click on OK. ANSYS returns you to the Array Parameters dialog box.

  5. Click on Edit. The Array Parameter CUR editor dialog box appears.

  6. In the input box, enter i and click on File. The i automatically changes to 6.

  7. Click on Apply/Quit. ANSYS returns you to the Array Parameters dialog box.

  8. Click on Close to close the Array Parameters dialog box.

  9. Choose Main Menu> Solution> Solv> Electromagnet> Static Analysis> Induct Matrix. The Induct Matrix dialog box appears.

  10. In the "Geometric symmetry factor (Symfac)" field, enter 1; in the "Compon. name identifier (Coilname)" field, enter coil; and check that Existing array is selected for the coil currents.

  11. Click on OK. The Existing array with coil currents dialog box appears.

  12. Check that cur is selected for the "Existing array (Cname)" field.

  13. Click on OK. A pop-up window displays the inductance matrix results.

  14. Review the results and then click on Close.

  15. Choose Main Menu> Finish.

  16. Click on QUIT on the ANSYS Toolbar. Choose an exit option and click on OK.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.3. Steps in a 3-D Static Scalar Analysis 		Up / Home Next
5.5. Example of a 3-D Static Magnetic Analysis (Command Method)


5.5. Example of a 3-D Static Magnetic Analysis (Command Method)

You can perform the preceding example of a 3-D static magnetic analysis using the ANSYS commands shown below instead of the GUI menu choices. Text preceded by an exclamation point (!) is a comment.

/batch list
/prep7
/title, 3-D Static Force Problem - Tetrahedral
/com,
!
! define analysis parameters
!
n=500                                        ! coil turns
i=6                                          ! current per turn
!
!define element type
!
et,1,96
!
!define material properties for air and steel
!
mp,murx,1,1
tb,bh,2,,40
tbpt,,355,.7
,,405,.8
,,470,.9
,,555,1.0
,,673,1.1
,,836,1.2
,,1065,1.3
,,1220,1.35
,,1420,1.4
,,1720,1.45
,,2130,1.5
,,2670,1.55
,,3480,1.6
,,4500,1.65
,,5950,1.7
,,7650,1.75
,,10100,1.8
,,13000,1.85
,,15900,1.9
,,21100,1.95
,,26300,2.0
,,32900,2.05
,,42700,2.1
,,61700,2.15
,,84300,2.2
,,110000,2.25
,,135000,2.3
,,200000,2.41
,,400000,2.69
,,800000,3.22
tbcopy,bh,2,3
!
!create pole volumes
!
/pnum,volu
block,0,63.5,0,25/2,0,25
/view,1,1,1,1
/replot
block,38.5,63.5,0,25/2,25,125
block,13.5,63.5,0,25/2,125,150
vglue,all
!
!create armature and air volumes and compress numbers
!
block,0,12.5,0,5,26.5,125                   ! armature
block,0,13,0,5.5,26,125.5                   ! air region
vovlap,1,2
numcmp,volu
cyl4,,,0,0,100,90,175
vovlap,all
numcmp,volu
!
!set volume attributes
!
vsel,s,volu,,1
vatt,3,1,1                                  ! armature
vsel,s,volu,,3,5
vatt,2,1,1                                  ! pole
!
!mesh the model
!
allsel,all
smrt,8  ! for production work a finer mesh should be used, (LVL 6)
mshape,1,3d
mshkey,0
vmesh,all
/pnum,mat,1
/number,1
eplot
!
!define armature as a component and apply force flags
!
esel,s,mat,,3                        ! armature
cm,arm,elem
fmagbc,'arm'
!
!scale the model to meters
!
allsel,all
vlscale,all,,,.001,.001,.001,,0,1
!
!create the coil
!
local,12,0,0,0,75/1000
wpcsys,-1
race,.0285,.0285,.014,n*i,.018,.0966,,,'coil1'
/eshape,1
eplot
save
finish
!
!apply boundary conditions
!
/solu
d,2,mag,0
!
!solve
!
allsel,all
magsolv,3,,,,,1
finish
!
!summarize armature force results
!
/post1
/com,
fmagsum,'arm'
finish
save
!
!calculate the coil inductance
!
/solu
*dim,cur,array,1
cur(1)=i
lmatrix,1,'coil','cur'
finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.4. Example of a 3-D Static Magnetic Analysis (GUI Method) 		Up / Home Next
5.6. Where to Find Other Examples of 3-D Static Magnetic Analysis


5.6. Where to Find Other Examples of 3-D Static Magnetic Analysis

Another ANSYS publication, the Verification Manual, contains other examples of various types of analyses, including the following examples of 3-D static magnetic analysis:

VM168 - Magnetic Field in a Nonferrous Solenoid
VM169 - Permanent Magnetic Circuit with an Air Gap
VM190 - Ferromagnetic Inductor

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.5. Example of a 3-D Static Magnetic Analysis (Command Method) 		Up / Home Next
Chapter 6. 3-D Magnetostatics and Fundamentals of Edge-Based Analysis


Chapter 6. 3-D Magnetostatics and Fundamentals of Edge-Based Analysis

The edge method is a version of the magnetic vector potential where the magnetic degrees of freedom are located on element edge nodes, rather than corner nodes.

You can use the edge method to solve a static analysis when the scalar method is not convenient or efficient. You also can use the edge method for harmonic and transient analyses when the scalar method cannot be used. Compared to the nodal vector potential, the edge method is generally more accurate and efficient. In some cases, you may want to use both and compare the results.

Typical uses for edge-based analysis are as follows:

  • Electric machines

  • Transformers

  • Induction heating

  • Solenoid actuators

  • High-field magnets

  • Nondestructive testing

  • Magnetic stirring

  • Electrolyzing cells

  • Particle accelerators

  • Medical and geophysical instruments.

Various chapters in the Theory Reference for ANSYS and ANSYS Workbench discuss the theory of the edge element formulation. These chapters include a general overview of edge analysis, a discussion of matrix formulation and gauging, and information about edge shape functions.

For SOLID117, the ANSYS edge element, the degree of freedom is the integral of the tangential component of the vector potential A along the element edge. A physical interpretation: if you sum the values of the edge DOF (flux) around a closed loop formed by the edges, you obtain the flux passing through the closed loop. A positive flux value along an element edge indicates that the edge vector is oriented from the lower corner node number to the high corner node number (shared by the element edge). The closed loop orientation and the flux direction is related by the right hand rule.

In ANSYS, the label AZ represents the edge-flux degree of freedom. AZ is expressed in units of Weber (Volt-secs) in the MKS system. SOLID117 is a 20-node brick shape. Its 12 side nodes carry the edge-flux DOF, AZ. The edge is oriented to point from the lower corner node number to the higher node number. The eight corner nodes carry the time-integrated electric potential DOF, VOLT (classical formulation) or the electric potential DOF, VOLT (solenoidal formulation).

The ANSYS program supports 3-D static, harmonic, and transient edge-based analyses. (The solid model remains the same, but some boundary conditions may change when you switch to a different analysis type.) "3-D Harmonic Magnetic Analysis (Edge-Based)" discusses and presents examples of 3-D harmonic edge-based analysis. "3-D Transient Magnetic Analysis (Edge-Based)" describes and demonstrates 3-D transient edge-based analysis.

The following 3-D edge-based static analysis topics are available:

  • How to Use Edge-Based Analysis
  • Using Adaptive Meshing for Edge-Based Analyses
  • Performing a Static Edge-Based Analysis
  • Reviewing Results
  • Example of a 3-D Static Edge-Based Analysis (GUI Method)
  • Example of a 3-D Static Edge-Based Analysis (Command Method)
  • Example of a 3-D Static Edge-Based Analysis Using SOURC36 Current Loads (Command Method)
  • Example of a 3-D Static Edge-Based Analysis Showing Force and Torque Calculations (Command Method)
  • Example of a Soleniod Analysis with a Current Load (Filament)
  • Example Analysis of a Brooks Coil Inductance

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.6. Where to Find Other Examples of 3-D Static Magnetic Analysis 		Up / Home Next
6.1. How to Use Edge-Based Analysis


6.1. How to Use Edge-Based Analysis

6.1.1. Elements Used in Edge-Based Analysis

The ANSYS program provides only one solid element type for low-frequency edge formulation analysis, SOLID117. For a detailed description of SOLID117, see the Elements Reference.

SOLID117 has two formulation options: classical and solenoidal.

If using the classical option for eddy-free stranded conductors, you can apply current loading either directly by specifying the current density with BFE,,JS or by using SOURC36 coil elements. In this case, the current is described as a real constant.

Using SOURC36 (the recommended method), current sources are not modeled as an integral part of the geometry. Instead, you use a "meshless" finite element, SOURC36, to represent the shape and location of current sources. You can define coils, bars, or arcs at any location in the model. The amount of current and other current-source data are specified as element real constants. If using this method, you must model the entire current source (full symmetry) even if the rest of the model uses half-symmetry or quarter-symmetry. Coil and arc elements cannot have a zero inside radius.

It is convenient to use the solenoidal formulation for solid conductors without eddy currents. The “solenoidal” formulation solves for the current density in the conductor so that the current conservation is automatically satisfied. The word “solenoidal” refers to the closed nature of any real current loop. To be solenoidal, there can be no closed surface inside the model for which the surface integral of current density is nonzero. In other words, a conductor cannot end inside the model. Conductors can, however, begin or end at the surface of the model.

Note

Other elements in the model are restricted to the AX, AY, AZ, or VOLT degrees of freedom only. No other DOFs are allowed in the model when running an edge-based analysis using SOLID117.

6.1.2. Using the Different Formulations

For a proper electromagnetic analysis, the continuity equation must be satisfied and the current density must be solenoidal (i.e., div J = 0). This means that the current density must satisfy the law of conservation of matter. That is, the current density cannot have sources or sinks.

2-D planar and axisymmetric problems automatically satisfy the solenoidal condition. However, 3-D problems do not automatically satisfy this condition. For the classical SOLID117 formulations discussed in this chapter, you can directly apply a current density load using the BFE,,JS command, or apply loading via SOURC36 real constants. However, you need to verify that the solenoidal condition is satisfied when prescribing the source current density. If this condition is not satisfied, the classical SOLID117 formulations can produce erroneous solutions. To make sure that the applied current density is solenoidal, perform a preliminary static electric current conduction analysis to obtain the current density distribution (e.g., using electric elements, see "Electric Field Analysis"). Once the currents are determined, bring them into the magnetic analysis using the LDREAD command.

ANSYS offers the following methods to avoid the difficulties of specifying the load directly:

  • Classical formulation for non-conductors or solid conductors with eddy currents

  • Solenoidal formulation for solid conductors with no eddy current

  • SOURC36 load for stranded conductors (a variation of the classical formulation)

The classical and solenoidal formulations correspond to SOLID117 KEYOPT settings. The classical formulation is SOLID117 with KEYOPT(1) = 0 or 1. The solenoidal formulation is SOLID117 with KEYOPT(1) =5 or 6.

The solenoidal formulations automatically satisfy the solenoidal condition by directly solving for current (density) using a coupled current conduction and electromagnetic field solution. The solenoidal formulation is applicable to sources that can be assumed to be eddy current free. The nonlinear symmetric solenoidal formulation (KEYOPT(1) = 5) is applicable to static and transient analyses and the linear unsymmetric solenoidal formulation (KEYOPT(1) = 6) is applicable to harmonic analysis.

Note

All formulations may be used simultaneously, depending on the physics requirements of the model.

6.1.2.1. Settings for Non-Conductors

Use SOLID117 with KEYOPT(1) = 0 to model non-conductor regions, such as air.

6.1.2.2. “Meshless” Coil (SOURC36) Loading for Stranded Conductors

The current loading method (KEYOPT(1) = 0) is applicable for stranded conductor regions without eddy currents. If you know the current density, you can apply a body force load (BFE,,JS) directly to each element. However, an easier method is to use SOURC36 primitives to model the coil. SOLID117 accepts SOURC36 current as an input directly. An advantage of this method is that the coil is not meshed, so there are no meshes between the coil and the surrounding region to match. Also, the coil can be modeled using a few primitives, rather than complicated geometries. See the diagram of a simple DC motor in Characteristics and Settings for Physical Regions of a Model.

  1. Mesh the coil and surrounding region with SOLID117 elements.

  2. Define SOURC36 elements for each coil.

  3. Mesh the SOURC36 elements, specifying the CUR real constant.

  4. Solve. The current loading from SOURC36 will automatically be used by SOLID117.

6.1.2.3. Loading for Solid Conductors with Eddy Currents

To model solid conductor regions with eddy current effects, use SOLID117 with KEYOPT(1) =1. Solid conductors with eddy currents are only valid in a harmonic or transient analysis.

A skin-effect problem may have an external current introduced into the model. Note that the VOLT DOF represents time-integrated potential, with units of volt-sec.

6.1.2.4. Solenoidal Current Loading for Solid Conductors

The solenoidal formulations (KEYOPT(1) = 5, 6, are applicable in solid conductor regions only. These solid conductors are assumed to be free of eddy currents. For an example problem, see Example LMATRIX Calculation for a Coil in a Slot (Command Method).

For current-fed conductors using the solenoidal formulation, you can input current using F,,AMPS. To do so, perform the following steps:

  1. Set the VOLT DOFs to zero at the ground nodes of the coil (D,,VOLT).

  2. Couple the VOLT DOFs at the source nodes of the coil (CP,,VOLT).

  3. Set the current at any source node (F,,AMPS).

The solenoidal formulations are applicable to voltage-fed and circuit-fed conductors as well. For voltage-fed conductors, perform the following steps.

  1. Set the VOLT DOFs to zero at the ground nodes of the coil (D,,VOLT).

  2. Set the VOLT DOFs at the source nodes of the coil (D,,VOLT).

For circuit-fed conductors, perform the following steps:

  1. Set the VOLT DOFs to zero at the ground nodes of the coil (D,,VOLT).

  2. Couple the VOLT DOFs at the source nodes of the coil (CP,,VOLT).

  3. Connect the circuit elements (CIRCU124, CIRCU125, and TRANS126) to the model.

6.1.3. Characteristics and Settings for Physical Regions of a Model

For a static analysis you may model various physical regions including iron, air, permanent magnets, and conductors.

For a detailed comparison of how the various formulations address different physical regions, see How ANSYS Handles Magnetic Analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 6. 3-D Magnetostatics and Fundamentals of Edge-Based Analysis 		Up / Home Next
6.2. Using Adaptive Meshing for Edge-Based Analyses


6.2. Using Adaptive Meshing for Edge-Based Analyses

The ANSYS program provides approximate techniques for estimating mesh discretization error for edge-based electromagnetic analyses using SOLID117 elements. Using this measure of mesh discretization error, the program can then determine if a particular mesh is fine enough. If not, the program will automatically refine the mesh so that the measured error will decrease. This process of automatically evaluating mesh discretization error and refining the mesh, called adaptive meshing, continues through a series of solutions until the measured error drops below some user-defined value (or until a user-defined limit on the number of solutions or refined elements is reached).

6.2.1. Prerequisites for Adaptive Meshing

The ANSYS program includes a prewritten macro, MADAPT.MAC, to perform adaptive meshing. Your model must meet certain criteria before you can successfully activate the MADAPT macro. The requirements include the following:

  • The standard MADAPT procedure is valid only for static edge-based electromagnetic analyses.

  • Use meshable solid model entities. (Avoid characteristics that will cause meshing failure.)

  • Use element type SOLID117.

6.2.2. Employing Adaptive Meshing in an Edge-Based Analysis

The general process for running the adaptive meshing macro in an electromagnetic analysis follows:

  1. Enter the preprocessor (/PREP7 command or menu path Main Menu> Preprocessor) and specify the element type, real constants, and material properties (according to the prerequisites noted above).

  2. Invoke the adaptive solution by issuing the MADAPT macro.

    As the adaptive meshing iterations proceed, element sizes are adjusted (within the limits specified on the MADAPT macro) to decrease and increase the elemental error energies until the error in energy norm matches the target value (or until the specified maximum number of solutions has been used).

    The MADAPT command macro requires a second, user-defined macro, which must be named madaptld.mac and must reside in the same directory where ANSYS is being run. This madaptld macro must contain loads and boundary conditions, based on permanent geometry or solid model features (such as sides or vertices). Loads specified in the madaptld macro cannot be based on node numbers because the node numbers will change throughout the refinement process. This secondary macro is required because the MADAPT macro process must delete all loads and boundary conditions at every refinement step.

    After you have invoked the adaptive solution, this macro controls all program operations until the solution is completed. The MADAPT macro will define element sizes, generate the mesh, solve, evaluate errors, and iterate as necessary till the target value of error in energy norm is met. All these steps are performed automatically, with no further input required from you.

  3. When adaptive meshing has converged, the program automatically returns to the Begin level. You can then enter /POST1 and postprocess as desired, using standard techniques.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.1. How to Use Edge-Based Analysis 		Up / Home Next
6.3. Performing a Static Edge-Based Analysis


6.3. Performing a Static Edge-Based Analysis

To perform a static edge-based magnetic analysis, do the following tasks:

  1. Specify the electromagnetics edge formulation by choosing Main Menu> Preferences> Electromagnetics: Magnetic-Edge from the GUI. Doing so lets you filter out other ANSYS commands not involved in edge analysis.

  2. Define a jobname and title for your analysis. To do so, use the commands shown below:

    Command(s): /FILNAME and
    /TITLE
    GUI: Utility Menu> File> Change Jobname
    Utility Menu> File> Change Title

  3. Enter the ANSYS preprocessor to begin defining your model:

    Command(s): /PREP7
    GUI: Main Menu> Preprocessor

  4. Choose element type SOLID117 (the edge element) via either of the following:

    Command(s): ET, SOLID117
    GUI: Main Menu> Preprocessor> Element Type> Add/Edit/Delete

  5. Select the formulation option suitable for the specified element type and physics region. (For information on formulation options, see Elements Used in Edge-Based Analysis and Characteristics and Settings for Physical Regions of a Model.)

    Command(s): KEYOPT
    GUI: Main Menu> Preprocessor> Element Type> Add/Edit/Delete

  6. Define material properties. "2-D Static Magnetic Analysis" describes the material properties you can use and tells you how to specify them. For a static analysis, you must specify the relative permeability (defined by the MP command) or a B-H curve (defined by the TB command). Permanent magnetic orientation is defined in the element coordinate system, ESYS.

    Command(s): MP
    GUI: Main Menu> Preprocessor> Material Props> Material Models> Electromagnetics> Relative Permeability> Constant
    Command(s): TB
    GUI: Main Menu> Preprocessor> Material Props> Material Models> Electromagnetics> BH Curve

  7. Build the model. (For instructions on building and meshing models, see the Modeling and Meshing Guide.) If you are using the ANSYS GUI, choose Main Menu> Preprocessor> Modeling.

  8. Assign attributes to the volumes (that is, associate the element types, the material properties, etc. with the appropriate volumes).

    GUI:

    Main Menu> Preprocessor> Meshing> Mesh Attributes

  9. Mesh the model, specifying brick (mapped) meshing. This requires the use of six-sided volumes or concatenation.

    Command(s): VMESH
    GUI: Main Menu> Preprocessor> Meshing> Mesh> Volumes> Mapped

  10. Apply flux-parallel and flux-normal solid model boundary conditions to the boundaries.

    Command(s): DA
    GUI: Main Menu> Solution> Define Loads> Apply> Magnetic> Boundary

    For edge-based analyses, the label AZ (when set to zero) applies the flux-parallel boundary condition. No prescription is required to set flux-normal, because it is the natural boundary condition. In the rare case when the AZ = 0 condition is not general enough for flux-parallel conditions, you can prescribe constraints using individual D commands.

  11. Apply source loading. (See Characteristics and Settings for Physical Regions of a Model for information on source loading.)

  12. Apply loading:

    • Classic loading, using BFE,,JS

    • Solenoidal loading, using F,,AMPS, D,,VOLT, or circuit-coupled

    • Current loading, using SOURC36 real constants

    If using the current-loading option, define SOURC36 elements for each coil using the primitives available with SOURC36. Specify the CUR real constant (required) and any other real constants (optional), and mesh the coil. You can also use the RACE macro.

    You can use constraint equations to define cyclic symmetry.

  13. Enter the SOLUTION processor, using either of the following:

    Command(s): /SOLU
    GUI: Main Menu> Solution

  14. Choose the static analysis type.

    Command(s): ANTYPE,STATIC,NEW
    GUI: Main Menu> Solution> Analysis Type> New Analysis> Static

    Note

    To restart a previous analysis (for example, to specify additional loads), issue the command ANTYPE,STATIC,REST. You can restart an analysis only if you previously completed a 3-D edge-based magnetic analysis, and the files Jobname.EMAT, Jobname.ESAV, and Jobname.DB from the previous run are available.

  15. Apply surface flags to calculate Maxwell and virtual work forces and torques on permeable bodies. The body must be surrounded by at least one layer of air elements. First, create a component of elements which make up the part for which forces will be calculated, using either of the following:

    Command(s): CM
    GUI: Utility Menu> Select> Comp/Assembly> Create Component

    Then, apply the surface flags as follows:

    Command(s): FMAGBC
    GUI: Main Menu> Solution> Define Loads> Apply> Magnetic> Flag> Comp. Force/Torq

  16. Choose the solver you wish to use. The sparse solver is recommended. Select an equation solver using either of the following:

    Command(s): EQSLV
    GUI: Main Menu> Solution> Analysis Type> Analysis Options

  17. Choose load step options. ("Alternative Analysis Options and Solution Methods" of this manual describes these options.)

    Note

    SOURC36 current loading option will follow the setting of the KBC command for ramping.

  18. Specify magnetic options.

    Command(s): MAGOPT
    GUI: Main Menu> Solution> Load Step Opts> Magnetics> Options Only> Method

    When using loads from SOURC36 elements, use the MMF option on the MAGOPT command to specify how the SOURC36 load is treated. Use the distributed method (default) to apply a constant current density through the cross section of the current source. Use the filament method to concentrate the current in the center of the source.

    The calculated field outside the current source region is essentially the same with either method. Inside the current source, however, the two methods provide different field distributions. This difference may lead to different inductance coefficients.

    When the internal inductance (due to the energy of the field inside the conductor) is significant compared to the external inductance, the distributed method is recommended together with detailed SOLID117 mesh inside the source region. Typical applications are air coil inductors without iron.

    When the internal inductance is negligible, the filament method is recommended with a coarse SOLID117 mesh inside the conductors. Typical applications are actuators and electric machines when the magnetic flux is conducted by iron and interaction takes place in the air gap.

    With either method, the underlying SOLID117 mesh does not have to match the SOURC36 coil geometry. However, by refining the mesh, the coil source can be captured more accurately. The computed results such as field and forces will be more accurate as well.

    In some circumstances, the distributed method may not capture the applied current coil sources. In these cases, the filament method may capture the applied current coil sources more accurately. Start with one filament in the middle of the coil, and increase the number of filaments to improve accuracy. With the filament method, the mesh refinement does not matter.

    Start with one filament

  19. Solve the model. For a nonlinear analysis, use a two-step solution sequence:

    • Ramp the loads over three to five substeps, each with one equilibrium iteration.

    • Calculate the final solution over one substep, with five to 10 equilibrium iterations.

    When you use the edge-element formulation, by default the ANSYS program gauges the problem domain over all selected elements and nodes. Gauging removes unneeded degrees of freedom by setting them to zero; this in turn enables ANSYS to solve your analysis problem faster. You can control gauging using either of the following:

    Command(s): GAUGE
    GUI: Main Menu> Solution> Load Step Opts> Magnetics> Options Only> Gauging

    Gauging is required for electromagnetic analyses with elements using an edge formulation. Therefore, in most cases you should not turn automatic gauging off. If you do turn gauging off, you must perform manual gauging.

    To initiate the two-step solution sequence, use the following:

    Command(s): SOLVE
    GUI: Main Menu> Solution> Solve

  20. To leave the SOLUTION processor, use one of the following:

    Command(s): FINISH
    GUI: Main Menu> Finish

  21. Do postprocessing and review the analysis results, as described in Reviewing Results.

  22. For a system of coils, use the LMATRIX macro to calculate the differential inductance matrix and the total flux linkage in each coil. See the Theory Reference for ANSYS and ANSYS Workbench for more details.

    To initiate the solution use the following:

    Command(s): LMATRIX
    GUI: Main Menu> Solution> Solve> Electromagnet> Static Analysis> Induct Matrix

    Computing the differential inductance matrix and the total flux linkage in each coil requires several procedural steps. You must first assign components to coil elements, define nominal currents, and then perform a nominal solution about an operating point. See "Electric and Magnetic Macros" for procedural details and an example analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.2. Using Adaptive Meshing for Edge-Based Analyses 		Up / Home Next
6.4. Reviewing Results


6.4. Reviewing Results

The ANSYS and ANSYS Emag programs write results from a 3-D static analysis to the magnetics results file, Jobname.RMG (or Jobname.RST for a dynamic analysis). Results include the data listed below:

Primary data: Magnetic DOFs (AZ, VOLT)

Derived data:

  • Nodal magnetic flux density (BX, BY, BZ, BSUM)

  • Nodal magnetic field intensity (HX, HY, HZ, HSUM)

  • Nodal magnetic forces (FMAG: components X, Y, Z, SUM)

  • Element total current density (JTX, JTY, JTZ)

  • Joule heat rate per unit volume (JHEAT)

  • Element magnetic energy (SENE) (valid for linear materials only)

  • ... etc.

Note that element output (such as Joule heat) will be reported on SOLID117, not on SOURC36 elements.

Additional data also are available. See the Elements Reference for details.

You can review analysis results in POST1, the general postprocessor, by choosing either of the following:

Command(s): | /POST1
GUI: | Main Menu> General Postproc

6.4.1. Reading in Results Data

Postprocessing for 3-D edge-based static magnetic analyses is basically the same as postprocessing for 2-D static analysis. See "2-D Static Magnetic Analysis" for more information. For a summary of the most frequently used commands, see the section on reviewing results in "3-D Harmonic Magnetic Analysis (Edge-Based)" of this manual.

6.4.1.1. Flux Lines

Use vector displays of flux density to visualize flux paths.

6.4.1.2. Contour Displays, Vector Displays, Tabular Listings, and Magnetic Forces

See "2-D Static Magnetic Analysis" for details.

6.4.1.3. Charged Particle Trace Displays

You can find details on how to graphically display a charged particle traveling in a magnetic field in Particle Flow and Charged Particle Traces and Controlling Particle Flow or Charged Particle Trace Displays in the Basic Analysis Guide. See Electromagnetic Particle Tracing in the Theory Reference for ANSYS and ANSYS Workbench for more details.

6.4.1.4. Calculating Magnetic Force and Torque

You can calculate electromagnetic force and torque from the data available in the database in postprocessing. Use the EMFT macro for these calculations.

Three types of magnetic forces are usually available:

  • Current segment force: Force from the finite element boundary domain. Forces and fields here are typically normal to the air gap. To list these forces:

    1. Select the nodes on the body of interest.

    2. Select all elements.

    3. Issue EMFT.

      Command(s): EMFT
      GUI: Main Menu> General Postproc> Elec&Mag Calc> Summarize Force/Torque

  • Reluctance force: Force due to a change in material properties. Here, the direction of the field may be arbitrary with regard to the force. To list this force:

    1. Select the nodes at the interface between the body of interest and the adjacent air elements.

    2. Select all elements.

    3. Issue EMFT.

    This method may use a truncated portion of the body of interest if the body extends past the FE boundary.

    Figure 6.1 Reluctance Force

  • Body forces (including Lorentz forces): This method uses the entire body of interest:

    1. Select the nodes of the body of interest and all elements.

    2. Issue EMFT.

    Exercise caution in interpreting Lorentz forces in permeable (μr > 1r ) materials. If you independently calculate the J x B forces, they may be incomplete, as they do not include the reluctance term. Whereas the J x B forces may be incorrect, the body forces calculated in ANSYS will be correct. For static analyses, the components of the total Lorentz force acting on the element are stored in the element NMISC records (4-7) for SOLID117.

    You can also use the FMAGSUM macro to summarize electromagnetic force calculations on element components. To use FMAGSUM for body forces in this situation, you do not need to first flag the elements using FMAGBC. You can simply select the nodes and elements of interest and issue FMAGSUM. The FMAGSUM method offers different printout reports.

Note

In models that use symmetry, you must select nodes and elements carefully. You need to select the surface nodes on the surfaces interior to the body and then select the elements adjacent to those nodes.

Force results will be reported in the coordinate system specified by RSYS. However, if using a coordinate system other than global Cartesian (RSYS ≠ 0), torque results will take into account the coordinate system shift and rotation only.

You can use the same procedure described above with the LDREAD command to transfer static magnetic forces from SOLID117.

To transfer static magnetic forces acting on selected bodies in the model:

  1. Select nodes of interest as described for the EMFT procedure, above.

  2. Issue LDREAD,FORC.

This procedure is valid for any material properties, and combines Lorentz, reluctance, and CSG forces.

To transfer static body forces acting on current carrying conductors:

  1. Delete force loads using FDELE.

  2. Select nodes (normally all) to load transfer.

  3. Select all elements.

  4. Issue LDREAD,FLRZ.

This procedure is valid when the relative permeability is one (1), and magnetic parts are far from conductors. This method transfers Lorentz forces (F = J * B).

Loads transferred by LDREAD can be listed using FLIS.

6.4.1.5. Calculating Other Items of Interest

You can calculate many other items of interest (such as source input energy, inductance, flux linkages, and terminal voltage) from the data available in the database in postprocessing. The ANSYS command set supplies the following macros for these calculations:

  • The SENERGY macro calculates the stored energy in the electromagnetic field.

  • The MMF macro calculates magnetomotive force along a path.

  • The PMGTRAN macro summarizes electromagnetic results from a transient analysis.

  • The POWERH macro calculates the RMS power loss in a conducting body.

For more discussion of these macros, see "Electric and Magnetic Macros".

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.3. Performing a Static Edge-Based Analysis 		Up / Home Next
6.5. Example of a 3-D Static Edge-Based Analysis (GUI Method)


6.5. Example of a 3-D Static Edge-Based Analysis (GUI Method)

This section describes a sample static edge-based analysis, performed using ANSYS GUI paths. The section immediately following this one explains how to set up and solve the same analysis using ANSYS commands.

6.5.1. The Analysis Described

This example examines the solution in the slot of an electric machine. For a specified current, the analysis calculates the magnetic field, energy, Joule losses, and forces.

Figure 6.2: "Current-Carrying Conductor in a Slot Within an Iron Region" and Figure 6.3: "Volume Model of the Conductor" below illustrate, respectively, the problem domain and a volume model of the conductor within the slot in the domain.

Figure 6.2 Current-Carrying Conductor in a Slot Within an Iron Region

Figure 6.3 Volume Model of the Conductor

The geometry is a block modeling a slot of an electrical machine. The z-axis coincides with the axis of the machine; l = .3 m is the length. The slot, with a depth of d = 0.1 m, is oriented in the x-axis. The width of the slot in the y direction is denoted by w = 0.01 m. A conductor with relative permeability, mur = 1, and resistivity, ρ = 1.0e-8, carries a current, i = 1000 A, in the z direction.

The side and bottom of the slot are ideal iron. This is a flux-normal boundary condition (natural (Neumann) boundary condition); it is satisfied automatically without any prescription of an explicit boundary condition.

At the opening of the slot at x = d and at axial faces z = 0 and z = 1, the flux lines are parallel. This is an essential flux-parallel (Dirichlet) boundary condition; that is, its satisfaction is not automatic. You can prescribe it by setting (constraining) the flux-edge DOFs to a constant value, usually zero.

The example uses MKS units (the default).

6.5.2. Analysis Parameters

You can use the ANSYS Parameter Definition Language (APDL) to define names for data. This enhances readability and allows you to make changes later with ease. Although using APDL is not required, it is highly recommended.

Parameters for the example are as follows:

l = 0.3 | Length
d = 0.1 | Depth
w = 0.01 | Width
i = 1000 | Current
mur = 1 | Relative magnetic permeability
ρ = 1.0e-8 | Electric resistivity (required for Joule loss)
n = 5 | Number of divisions through the slot depth

6.5.3. Target Data

Target data for the example are as follows:

Vt = d w l | = 3e-4 | m^3 - volume
Hy = i/w x/d | = 1e5 x/d | A/m - magnetic field
By = mur mu0 H | = 4e-2 pi x/d | T - flux density
Jz = i/ (d w) | = 1e6 | A/m^2 - current density
JLOSS | = 3.00 | W
Fx = -integral Jz By dV | = -18.85 | N - total force
SENE | = .622 | J - energy

6.5.4. Procedures to Follow

Use the procedures described below to perform the example analysis using ANSYS menus and GUI paths.

Step 1: Begin the Analysis

  1. Choose Utility Menu> File> Change Title. The Change Title dialog box appears.

  2. Type the following text, then press ENTER: DC current in a slot.

  3. Choose Main Menu> Preferences. The Preferences for GUI Filtering dialog box appears.

  4. Choose Magnetic-Edge under "Electromagnetic". Click OK.

Back To Top

Step 2: Define Model Parameters

  1. Choose Utility Menu> Parameters> Scalar Parameters. The Scalar Parameters dialog box appears.

  2. Enter the parameter values listed below. After typing in each parameter, click Accept or press the ENTER key.

    l = 0.3
d = 0.1
w = 0.01
i = 1000
mur = 1
rho = 1.0e-8
ndiv = 5
jx = 0
jy = 0
jz = i/d/w

  3. When you have finished entering the parameter values, click Close.

Back To Top

Step 3: Define the Element Type and Material Properties

  1. Choose Main Menu> Preprocessor> Element Type> Add/Edit/Delete. The Element Types dialog box appears.

  2. Click Add. The Library of Element Types dialog box appears.

  3. Check that the magnetic edge element (3D Brick 117) is highlighted, then click OK. The Element Types dialog box now lists element type 1 as SOLID117.

  4. Click Close to close the dialog box.

  5. Choose Main Menu> Preprocessor> Material Props> Material Models. The Define Material Model Behavior dialog box appears.

  6. In the Material Models Available window, double-click on the following options: Electromagnetics, Relative Permeability, Constant. A dialog box appears.

  7. Enter mur for MURX (Relative permeability), and click on OK. Material Model Number 1 appears in the Material Models Defined window on the left.

  8. In the Material Models Available window, double-click on the following options: Resistivity, Constant. A dialog box appears.

  9. Enter rho for RSVX (Electrical resistivity), and click on OK.

  10. Choose menu path Material>Exit to remove the Define Material Model Behavior dialog box.

  11. Click on SAVE_DB on the ANSYS Toolbar.

Back To Top

Step 4: Build and Mesh the Model

  1. Choose Main Menu> Preprocessor> Modeling> Create> Volumes> Block> By Dimensions. The Create Block by Dimensions dialog box appears.

  2. Enter the values shown below. (Use the TAB key to move between fields.)

    X1: 0 | Y2: w
    X2: d | Z1: 0
    Y1: 0 | Z2: 1

  3. Click OK. The ANSYS Graphics Window will display a long rectangular volume.

  4. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  5. Change the "Nodes" button to "Lines."

  6. Change the "By Num/Pick" button to "By Location."

  7. Click the X coordinates button on.

  8. In the "Min, Max" field, enter d/2.

  9. Click OK.

  10. Choose Main Menu> Preprocessor> Meshing> Size Cntrls> Lines> All Lines. The Element Sizes on All Selected Lines dialog box appears.

  11. In the "No. of element divisions" field, enter ndiv.

  12. Click OK.

  13. Chose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  14. Click the Sele All button; then click Cancel.

  15. Choose Main Menu> Preprocessor> Meshing> Size Cntrls> Manual Size> Global> Size. The Global Element Sizes dialog box appears.

  16. Set the "NDIV" field to 1, then click OK.

  17. Choose Main Menu> Preprocessor> Meshing> Mesh> Volumes> Mapped> 4 to 6 Sided. The Mesh Volumes picking menu appears.

  18. Click Pick All. If a warning message appears, click Close. The display in the Graphics Window changes to show the meshing.

  19. Choose Main Menu> Finish.

Back To Top

Step 5: Apply Boundary Conditions and Loads

  1. Choose Main Menu> Solution.

  2. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  3. Set the top button to "Areas."

  4. Set the button below it to "By Location."

  5. Click the X coordinates button on.

  6. In the "Min, Max" field, enter d.

  7. Click OK.

  8. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  9. Check that the top button is set to "Areas" and the button below it is set to "By Location."

  10. Click the Z coordinates button on. Click the Also Sele Button on.

  11. In the "Min, Max" field, enter 0.

  12. Click OK.

  13. Repeat tasks 8 through 10.

  14. In the "Min, Max" field, enter l.

  15. Click OK.

  16. Choose Main Menu> Solution> Define Loads> Apply> Magnetic> Boundary> Flux Par'l> On Areas. The Apply Flux Parallel picking menu appears.

  17. Click Pick All.

  18. Choose Utility Menu> Select> Everything.

  19. Choose Main Menu> Solution> Define Loads> Apply> Magnetic> Excitation> Curr Density> On Elements. The Apply JS on Elems picking menu appears. Click Pick All. The Apply JS on Elems dialog box appears.

  20. Enter the values shown below:

    VAL1 field: jx
    VAL2 field: jy
    VAL3 field: jz

  21. Click OK.

  22. Click on SAVE_DB on the ANSYS Toolbar.

Back To Top

Step 6: Solve the Analysis

  1. Choose Main Menu> Solution> Solve> Electromagnet> Static Analysis> Opt&Solv. Click OK. Click Close when the Solution is done message appears.

  2. Choose Main Menu> Finish.

  3. If you receive any informational messages, close them.

Back To Top

Step 7: Listing and Printing Analysis Results

  1. Choose Utility Menu> List> Loads> Body Loads> On All Elements. A pop-up window appears, listing all element current densities. Click Close.

  2. Print the magnetic field at the corner nodes of elements. To do so, choose Main Menu> General Postproc> List Results> Element Solution. The List Element Solution dialog box appears.

  3. Select (highlight) the values "Flux and gradient" and "All mag field H."

  4. Click OK. A window appears. Review the information in the window. Then click Close.

  5. To print flux density at the corner nodes, repeat steps 2 through 4, but highlight "All mag Flux Dens B" instead of "All mag field H.” You may have to scroll up in the window to find the correct selection.

  6. A window appears. Review the information in the window and then click Close.

  7. To print current density at element centroids, repeat steps 2 through 4, but highlight "Current Density."

  8. A window appears. Review the information in the window and then click Close.

  9. To print Joule heat per volume in elements, repeat steps 2 through 4, but highlight "Energy" and "Joule heat JHEAT."

  10. A window appears. Review the information in the window and then click Close.

  11. To print magnetic force at the element corner nodes, repeat steps 2 through 4, but highlight "Nodal force data" and "All magForc FMAG." You may have to scroll up in the window to find the correct selection.

  12. A window appears. Review the information in the window and then click Close.

Back To Top

Step 8: Plot Results and Calculate Total Losses

  1. Choose Utility Menu> PlotCtrls> Redirect Plots> to Screen.

  2. Choose Utility Menu> PlotCtrls> View Settings> Viewing Direction. The Viewing Direction dialog box appears.

  3. Enter the following values:

    XV field: 1
    YV field: 0.4
    ZV field: 0.5

  4. Click OK. The Graphics Window displays a 3-D image of the slot.

  5. Choose Utility Menu> Plot> Results> Contour Plot> Nodal Solution. In the list on the left, choose Flux & gradient. In the list on the right, choose HSUM. Click OK

  6. Choose Utility Menu> Plot> Results> Contour Plot> Nodal Solution. In the list on the right, scroll up to select BSUM. Click OK.

  7. Choose Utility Menu> Plot> Results> Vector Plot. A dialog box appears.

  8. Set the "Loc" field to "Elem Nodes."

  9. Set the "Edge Element edges" field to "Displayed."

  10. Click OK.

  11. Choose Main Menu> General Postproc> Element Table> Define Table. The Element Table Data dialog box appears.

  12. Click Add. The Define Additional Element Table Items dialog box appears.

  13. Set the "Lab" field to FX.

  14. In the "Item, Comp Results" scrollable lists, highlight "Nodal force data" and "Mag force FMAGX."

  15. Click OK.

  16. Repeat tasks 12 through 15, except: set the "Lab" field to JHEAT and in the scrollable fields, highlight "Joule heat" and "Joule heat JHEAT."

  17. Repeat tasks 12 through 15, except: set the "Lab" field to VOL and in the scrollable fields, highlight "Geometry" and "Elem Volume VOLU."

  18. Repeat tasks 12 through 15, except: set the "Lab" field to SENE and in the scrollable fields, highlight "Energy" and "Elec energy SENE." You may need to scroll up to see the correct selection.

  19. Click Close on the Element Table Data dialog box.

  20. Choose Main Menu> General Postproc> Element Table> Multiply. The Multiply Element Table Items dialog box appears.

  21. In the "LabR User label for result" field, enter JLOSS.

  22. In the "LAB1" field, choose JHEAT.

  23. In the "LAB2" field, choose VOL, then click OK.

  24. Choose Main Menu> General Postproc> Element Table> Sum of Each Item. A dialog box appears.

  25. Click OK. A pop-up window displays the total losses, calculated by multiplying the Joule heat rate by the volume. The results displayed are summed for the currently selected elements, providing a summed quantity over the problem domain for the element table items. When you are finished reviewing the information, click Close.

Back To Top

Step 9: Finish the Analysis

To finish the analysis, choose Main Menu> Finish. Click QUIT on the ANSYS Toolbar. Select an exit option and click OK.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.4. Reviewing Results 		Up / Home Next
6.6. Example of a 3-D Static Edge-Based Analysis (Command Method)


6.6. Example of a 3-D Static Edge-Based Analysis (Command Method)

The command input stream shown below performs the same edge analysis as the example in the preceding section, using the same geometry, parameters, etc. Text preceded by an exclamation point (!) is a comment.

/BATCH,LIST
/TITLE, DC Current in a Slot
!   The /TITLE command defines the title of a problem. The title is printed
!   on the output file and graphics plots pertinent to the problem.
!
/NOPR
!   Turn off command echo printing otherwise your output file will be large.
!
l=0.3                ! length
d=0.1                ! depth
w=0.01               ! width
i=1000               ! current
mur=1                ! relative magnetic permeability
rho=1.0e-8           ! electric resistivity (required for Joule loss)
n=5                  ! number of divisions through the slot depth
!
! *** Derived parameters
!
jx=0                 ! current density; x, y, z refer to component
jy=0
jz=i/d/w
!
! *** Create Model
!
/PREP7               ! Enter ANSYS preprocessor to define problem
!
ET,1,117             ! Element type #1 is a magnetic edge element, 117.
!                      Element types are used to describe the physical
!                      features of various domains. A more complicated
!                      problem can have many element types. (We use only
!                      one in this example.) An element type is referenced
!                      by its type number. The ET command selects a type
!                      from ANSYS element library. The library id number
!                      of the 3-D magnetic edge element is 117.
!
MP,MURX,1,mur        ! Define relative permeability of material #1.
!                      A studied region may have many media. (Here only 1)
!                      Each material is identified by its material number.
!                      The MP command connects requested material property
!                      features to the selected material. MURX is a label
!                      to describe relative permeability.
!
MP,RSVX,1,rho        ! Define electric resistivity of material #1.
!                      RSVX label is used for electric resistivity.
!
BLOCK,0,d,0,w,0,l    ! Define rectangular block (brick) volume region,
!                      0<x<d, 0<y<w, 0<1<l. ANSYS has several other
!                      primitives to describe simple geometries.
!
LSEL,S,LOC,X,d/2     ! Select lines to specify the number of elements
!                      along the edge of the line.  In this problem the
!                      field varies along the slot depth (x-direction)
!
LESIZE,ALL,,,n       ! Divide the lines along the slot depth for meshing
!                    ! Using a parameter (n) for the meshing allows you to
!                      easily go back and modify the meshing in a future run.
!
LSEL,ALL             ! Select all lines.  This is necessary for continuation
!                    ! of the problem where operations may involve lines
!
ESIZE,,1             ! Solid volume are subdivided into elements by meshing.
!                      The ESIZE command prepares meshing by specifying
!                      the number of parts the lines of the solid model
!                      should be subdivided that were not specified by the
!                      LESIZE command. Here we selected one.
!
VMESH,ALL            ! Mesh solid volumes. Here we have only one volume.
!                      In general many volumes can be meshed with VMESH.
!                      The created elements inherit the actual
!                      type and material number. In our case the actual
!                      element type is #1, which in turn is library
!                      element, 117, the magnetic edge element; its
!                      medium is characterized by material #1 which
!                      in turn has relative permeability, mur, and
!                      electric resistivity, rho.
!
!
FINISH               ! finish preprocessing
!
/SOLU                ! Enter ANSYS solution processing
!                      Assemble and solve equation system for the DOFs
!                      We prescribe boundary conditions and loads here
!                      but you can provide them in /PREP7 if you wish.
!
! *** Apply Flux-parallel boundary condition
!
ASEL,S,LOC,X,d       ! Select areas at the opening of the slot, x=d
!                      The first step in constraining is to select areas
!                      where the boundary condition apply. ANSYS provides
!                      several other ways for selection. A in ASEL refers
!                      to areas (elements, volumes etc. can be selected.)
!                      ASEL,S means select from all areas. There are ways
!                      to unselect, reselect, etc. LOC defines the criterion
!                      of selection - in this case the location. You could
!                      select, for example, according to area numbers.
!                      LOC,X completes the criterion by specifying the
!                      coordinate. The number/parameter in the next slot
!                      is the value, d in our case, for the criterion.
!
ASEL,A,LOC,Z,0       ! Add areas at Z=0 to the selected set.
ASEL,A,LOC,Z,l       ! Add areas at Z=l to the selected set.
!
DA,ALL,AZ,0          ! Apply a zero constraint on selected areas to specify a
!                      flux-parallel condition. This means that
!                      the pertinent DOFs are no longer unknowns. Their
!                      value is set by the DA command. ALL means the command
!                      applies to all selected nodes. You could apply it
!                      to a specific area. AZ tells which DOF the constraint
!                      applies. At solution time, the boundary conditions
!                      are transferred from the solid model to the nodes of
!                      the underlying mesh. ANSYS allows many DOFs for a node.
!                      The magnetic edge element has AZ at side nodes and
!                      VOLT at the corner nodes. The number in the next slot,
!                      0 in our case, is the specified value.
!
ASEL,ALL             ! Select all areas.
!
! *** prescribe current density - body load
!
BFE,ALL,JS,,jx,jy,jz ! apply current density on all selected elements
!
! *** solve equation
!
SOLVE                ! With the created model, prescribed loads and
!                      constraints, ANSYS assembles and solves an
!                      equation system. The solution is carried out
!                      by frontal-solver technique as a default. You can
!                      apply conjugate gradient or sparse solvers, too,
!                      but how is not discussed here.
!
FINI                 ! Finish solution processing
!
! *** Extract solution
!
/POST1               ! Enter ANSYS postprocessor to extract solution data
!
BFELIST              ! List applied body loads of the model
!
!
!
PRESOL,H             ! print magnetic field at the corner nodes of elements
/COM
!
PRESOL,B             ! print flux density at the corner nodes of elements
/COM
!
/COM
!
PRESOL,JT            ! print current density at element centroids
/COM
!
PRESOL,JHEAT         ! print Joule heat per volume in elements
/COM
!
PRESOL,FMAG          ! print magnetic force at the corner nodes of elements
!
!
/VIEW,1,1,.4,.5      ! change the viewing angle for displays
/COM
PLNSOL,H,SUM         ! Plot the H field.  Data from the elements are averaged
!                      at the nodes for display purposes.  For multiple materials,
!                      averaging does not occur across material discontinuities if
!                      PowerGraphics is active (default).
/COM
PLNSOL,B,SUM         ! Display the flux density, B (magnitude)
/COM
PLVECT,H,,,,VECT,NODE,ON  ! Display as a vector the field intensity, H at
!                           nodes of the model
/COM
ETABLE,fe,FMAG,X     ! Use the element table (ETABLE) option to store
!                      data in a table for calculation purposes or print
!                      data in a table format. Element table is convenient
!                      when you need to sum data over the elements for
!                      quantities such as energy, Joule losses, and forces.
!                      Here the x component of element magnetic forces (FMAG)
!                      are stored in table item, fe.
!
ETABLE,hy,H,y        ! Store the y component of the magnetic field in
!                      table item, hy.
!
ETABLE,by,B,y        ! Store the y component of the flux density in
!                      table item, by.
!
ETABLE,jz,JT,z       ! Store the z component of the current density in
!                      table item, jz.
!
ETABLE,pd,JHEAT      ! Store the Joule heat rate per unit volume
!                      (power density) in table item, pd.
!
ETABLE,ve,VOLU       ! Store the element volume in table item, ve.
!
ETABLE,we,SENE       ! Store the element magnetic energy (SENE) in table
!                      item, we. This option is valid for
!                      linear material regions (constant permeability).
!
SMULT,pe,pd,ve       ! Use the SMULT command to multiply the Joule heat
!                      rate by the volume (average power), table items pd
!                      and ve, respectively, in order to calculate total
!                      losses, stored in table item, pe.
!
PRETAB,ve,by,hy,we   ! Print element table items, ve,by,hy,we
!
PRETAB,ve,jz,jh,pe   ! Print element table items, ve,jz,jh,pe
!
PRETAB,ve,jz,by,fe   ! Print element table items, ve,jz,by,fe
!
SSUM                 ! Sum the entries in the element table for the currently
!                    ! selected elements.  This provides a summed quantity
!                    ! over the problem domain for the element table items.
!
*GET,ft,SSUM,,ITEM,fe! Obtain (*GET) the result of the summation (SSUM)
!                      operation of element table item, fe, and store the
!                      the result in parameter variable, ft. (Same symbol
!                      can be used (but not necessary to) as table item and
!                      parameter variable.) The *GET command can be used
!                      to ask questions about ANSYS. You can ask, for example,
!                      the number of nodes, elements, etc., the computed
!                      potential at a given node. Here parameter, ft, stores
!                      the sum of forces acting over the assembly of elements.
!                      At the same time, table item, fe, stores the forces
!                      acting on individual elements.
!
*GET,wt,SSUM,,ITEM,we! Obtain the total energy and store in parameter, wt.
!
*GET,pt,SSUM,,ITEM,pe! Obtain the total power and store in parameter, pt.
!
*GET,vt,SSUM,,ITEM,ve! Obtain the total volume and store in parameter, vt.
!
*VWRITE,vt,ft,wt,pt  ! print parameters, vt, ft, wt and pt in a FORTRAN format
(/'volume=',e10.3,' force=',e10.3,' energy=',e10.3,' loss=',e10.3/)
!
FINISH               ! Exit post processor
!
! *** advanced part: coupling
!
!    Up to this point magnetics was considered only.
!    It is demonstrated below, how the results of a magnetic analysis
!    can be passed to subsequent thermal and/or structural analyses.
!
! *** couple with thermal analysis
!
/PREP7               ! enter preprocessor
!                      nodes and elements defined in the magnetic analysis
!                      are used for the thermal analysis
!
ET,1,90              ! change element type #1, which used to be a magnetic
!                      element to a thermal element
!
LDREAD,HGEN,,,,,,rmg ! Read heat generation (HGEN) load from the result file,
!                      of the magnetic analysis which defaults to Jobname.rmg
!
BFELIST,ALL,HGEN     ! List heat generation (HGEN) element body loads
!                      Compare the list with the element Joule power loss
!
FINI                 ! Exit preprocessor
!                      From this point on follow steps of a thermal analysis
!
! *** couple with structural analysis
!
/PREP7               ! enter preprocessor
!                      nodes and elements defined in the magnetic analysis
!                      are used for the structural analysis
!
ET,1,45              ! change element type #1, which used to be a magnetic
!                      element to a structural element
!
LDREAD,FORC,,,,,,rmg ! Read nodal force (FORCE) load from the result file,
!                      of the magnetic analysis which defaults to Jobname.rmg
!
FLIST                ! List nodal forces
!                      Compare the list with the element nodal magnetic force
!                      (FMAG) printout. Note that a nodal force for the
!                      structural analysis is the sum of nodal magnetic forces
!                      over elements adjacent to the pertinent node.
!
FINI                 ! Exit preprocessor
!                      From this point on follow steps of a structural analysis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.5. Example of a 3-D Static Edge-Based Analysis (GUI Method) 		Up / Home Next
6.7. Example of a 3-D Static Edge-Based Analysis Using SOURC36 Current Loads (Command Method)


6.7. Example of a 3-D Static Edge-Based Analysis Using SOURC36 Current Loads (Command Method)

This example demonstrates a simple transformer model, combining a stranded coil modeled with SOURC36 and a solid conductor using solenoidal (F,,amps) loading. This example problem is intended to compute the main flux of a two coil, single phase transformer. All other results are ignored.

6.7.1. The Analysis Described

The geometry is a block modeling a transformer with two transformer windows and two coils. Each coil has a width of 0.1, as does the core. The thickness of the iron in the Z direction is 0.1. Coil 1 has 10 turns, and coil 2 has 20 turns.

Figure 6.4 Transformer with Two Coils

The surrounding yoke (core) is iron and the transformer windows are air. This problem uses half symmetry to model the two coils and the iron core.

Figure 6.5 Half-Symmetry Model of Coils and Core

The example uses MKS units (the default).

6.7.2. Analysis Parameters

x1 = 0.1 | Width of coil 1
x2 = 0.1 | Width of coil 2
x = 0.1 | Width of core
y = 0.1 | Height of core
z = 0.1 | Thickness of iron in Z direction
nui = 50 | Absolute relativity of iron
n1 = 10 | number of turns in coil 1
n2 = 20 | Number of turns in coil 2

6.7.3. Target Data

Expected results are as follows:

Table 6.1 Expected Results

Item | Result
Flux Linkages
Coil 1 | psi1 ~ 2 N1 x z B0 = 0.1
Coil 2 | psi2 ~ 2 N2 x z B0 = 0.2
Inductances
Self Coil 1 | L11 ~ 2 N12 x z / (y nui) = 0.4
Self Coil 2 | L22 ~ 2 N22 x z / (y nui) = 1.6
Mutual between Coil 1 and Coil 2 | L12 ~ 2 N1 N2 x z / (y nui) = 0.8

6.7.4. The Analysis Input

/batch,list
/title, Edge Analysis Using SOURC36 and Solenoidal Loading
/nopr
/com nominal
/com    magnetic field in the core    : Hn  = (N1 I1 + N2 I2) / y    = 25
/com    flux density   in the core    : Bn  = Hn / nui               = 0.5
/com    absolute energy in the core   : nlene = Hn Bn/2 2xyz         = 0.0125
/com    absolute coenergy in the core : nlcene = Bn Hn 2xyz - nlene  = 0.0125
/com coil1 current incremented by=0.2A
/com    magnetic field in the core    : H11 = Hn + N1 dI1 / y        = 45
/com    flux density   in the core    : B11 = Bn + (H11-Hn) / nui    = 0.9
/com    energy increment in half core : dW11= (B11-Bn)(H11-Hn)/2*xyz = 0.004
/com coil2 current incremented by=0.2A
/com    magnetic field in the core    : H22 = Hn + N2 dI2 / y        = 65
/com    flux density   in the core    : B22 = Bn + (Hn-H22) / nui    = 1.3
/com    energy increment in half core : dW22= (B22-Bn)(H22-Hn)/2*xyz = 0.016
/com both currents incremented by=0.2A
/com    magnetic field in the core    : H12 = Hn + (N1 dI1+N2 dI2)/ y= 85
/com    flux density   in the core    : B12 = Bn + (Hn-H12) / nui    = 1.7
/com    energy increment in half core : dW12= (B12-Bn)(H12-Hn)/2*xyz = 0.036
/com inductances
/com    self coil 1                   : L11 ~ 2 N1^2  x z / (y nui)  = 0.4
/com    self coil 2                   : L22 ~ 2 N2^2  x z / (y nui)  = 1.6
/com    mutual between coil 1 and 2   : L12 ~ 2 N1 N2 x z / (y nui)  = 0.8
/com flux linkages
/com    coil 1                        : psi1 = 2 N1 x z B0           = 0.1
/com    coil 2                        : psi2 = 2 N2 x z B0           = 0.2
/com
!       geometry data
!
n=1                     ! meshing parameter
x1=0.1                  ! width (x size) of coil 1
x2=0.1                  ! width (x size) of coil 2
x=0.1                   ! width (x size) of core
y=0.1                   ! height of core, y size of window
z=0.1                   ! thickness of iron in z direction
nui=50                  ! absolute reluctivity of iron
n1=10                   ! number of turns in coil1
n2=20                   ! number of turns in coil2
!
!      excitation data used by LMATRIX.MAC
!
symfac=2                ! symmetric factor for inductance computation
nc=2                    ! number of coils
*dim,cur,array,nc       ! nominal currents of coils
*dim,coils,char,nc      ! names of coil components
!
cur(1)=0.2              ! nominal current of 1st coil
coils(1)='coil1'        ! name of coil 1 component
!
cur(2)=0.025            ! nominal current of 2nd coil
coils(2)='coil2'        ! name of coil 2 component
!
!      derived auxiliary parameters
!
mu0=3.1415926*4.0e-7
muri=1/nui/mu0          ! relative permeability of iron
x3=x1+x2                ! x coordinate of the right of coil2
x4=x3+x                 ! x coordinate of middle of core (symmetry plane)
!
/prep7
mp,murx,1,1             ! coil1
et,1,117
mp,murx,2,1             ! coil2
mp,rsvx,2,1
et,2,117,5
mp,murx,3,muri          ! iron
et,3,117
block, 0,x1,0,y,0,z     ! coil1
block,x1,x3,0,y,0,z     ! coil2
block,x3,x4,0,y,0,z     ! core
!
vglue,all
!
vsel,s,loc,x,x1/2
vatt,1,1,1               ! coil 1 volume attribute
vsel,s,loc,x,x1+x2/2
vatt,2,2,2               ! coil 2 volume attribute
vsel,s,loc,x,x3+x/2
vatt,3,3,3               ! iron volume attribute
vsel,all
!
esize,,n
vmesh,all
!
nsel,s,loc,x,x4         ! flux parallel Dirichlet at symm plain, x=x4,z=0,z=z
nsel,a,loc,z,0
nsel,a,loc,z,z
d,all,az,0
!                       ! homogeneous Neumann flux norm at yoke, x=0, y=0, y=y
nsel,all
!
!
et,4,36
*get,nmax,node,,num,max
n11=nmax+1
n12=nmax+2
n13=nmax+3
l=1e4                   ! Length = 1e4 (assumed infinite length for coils)
n,n11,x1/2,y/2,-l
n,n12,x1/2,y/2,+l
n,n13,x4+1,y/2,0
!
r,4,2,n1*cur(1),y,x1
type,4
real,4
e,n11,n12,n13

! ---- SOURC36 (return current)
!
n,n13+1,-x1/2,y/2,-l
n,n13+2,-x1/2,y/2,+l
n,n13+3,-x4-1,y/2,0
!
r,5,2,-n1*cur(1),y,x1
type,4
real,5
e,n13+1,n13+2,n13+3

! ---- SOURC36 (return current) - end
!
esel,s,real,,4
esel,a,real,,5           ! select return conductor for LMATRIX
cm,coils(1),elem
esel,all
!
esel,s,real,,2
nsle,r
nsel,r,loc,z,0
d,all,volt,0
nsel,all
!
esel,s,real,,2
nsle,r
nsel,r,loc,z,z
cp,1,volt,all
nsel,all
esel,all
!
nn1amps=node(x1,0,z)
f,nn1amps,amps,-n2*cur(2)
nsel,s,node,,nn1amps
cm,coils(2),node
nlist
nsel,all
!
!
fini
!
/com
/com obtain operating solution
/com
!
/solu
cnvtol,amps,1,1e-6
cnvtol,csg,1,1e-6
solve
fini
!
/post1
/out
!
presol,b
!

! compute inductance
lmatrix,symfac,'coil','cur','ind' ! compute inductance matrix

psi1=ind(1,3)
psi2=ind(2,3)
L11=ind(1,1)
L22=ind(2,2)
L12=ind(1,2)
/com, ******** Computed solution SOURC36 - SOLENOIDAL *******************
/com
*vwrite,psi1
('  psi1  =',f10.4)
*vwrite,psi2
('  psi2  =',f10.4)
*vwrite,L11
('  L11   =',f10.4)
*vwrite,L22
('  L22   =',f10.4)
*vwrite,L12
('  L12   =',f10.4)

finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.6. Example of a 3-D Static Edge-Based Analysis (Command Method) 		Up / Home Next
6.8. Example of a 3-D Static Edge-Based Analysis Showing Force and Torque Calculations (Command Method)


6.8. Example of a 3-D Static Edge-Based Analysis Showing Force and Torque Calculations (Command Method)

This example demonstrates calculation of magnetic energy and forces/torques acting on a coil subjected to a uniform current load.

6.8.1. The Analysis Described

The solid model consists of two blocks of equal size representing an air gap (0 < X < X) and a coil (X < X < 2X). Applied current is parallel to the Z-axis. The resulting magnetic field is along the Y-axis, while the force acting on a coil is parallel to the X-axis.

Figure 6.6 Coil in Air

The example uses MKS units (the default).

6.8.2. Analysis Parameters

x = 4 | Width of coil
y = 3 | Height of coil
z = 2 | Depth of coil
j = 10 | Current density
i | Current
Ht | Target magnetic field
Bt | Target flux density
W | Target magnetic energy
Fc | Target force on coil
Fx | Target reaction (Fx = -Fc)
Txt | Target torque on core
Tx0t | Target reaction torque

6.8.3. The Analysis Input

/title, CSG/body force on coil in air,Js load,torque
/com
/com
/com Notice the usage of EMFT macro reporting magnetic forces
/com - coil    : select coil nodes and adjacent (or all) elements
/com - csg     : select nodes at x=0, and adjacent (or all) elements
/com
/com Target
/com
/com Ht = J / x                    ! magnetic field
/com Bt = mu Ht                    ! flux density
/com w  = 1/2 B H                  ! energy density in air
/com W = 4/3 w V                   ! total energy
/com Fc = - B i z / 2              ! body force on the coil
/com                               ! evaluated with center B
/com F0 = -Fc                      ! current segment force at x=0
/com
/nopr
!
!                                  ! input
sz=1                               ! meshing parameter
x=4                                ! geometry
y=3
z=2
j=10                               ! current density
!
!                                  ! target
pi=3.1415926
mu0=pi*4e-7
i=j*x*y                            ! current
Ht=j*x                             ! magnetic field
Bt=mu0*Ht                          ! flux density
W=Bt*Ht/2*x*y*z*4/3                ! energy
Fc=Bt*i*z/2                        ! body force - with center B
Fx0=-Fc                            ! current segment force at x=0
!
Txt=0                              ! torque on coil
Tyt=z/2*Fc
Tzt=-y/2*Fc
!
Tx0t=0                             ! torque by current segment force
Ty0t=z/2*Fx0
Tz0t=-y/2*Fx0
!
/prep7
block,0,x,0,y,0,z                  ! air
vatt,1
vsel,none
!
block,x,2*x,0,y,0,z                ! coil
vatt,2
!
vsel,all
nummrg,all
!
et,1,117
keyopt,1,11,1
mp,murx,1,1
!
mp,murx,2,1
mp,rsvx,2,1
!
esize,,sz
mshape,1
vmesh,all
!
nsel,s,loc,x,0
nsel,a,loc,z,0
nsel,a,loc,z,z
d,all,az,0
nsel,all
!
esel,s,mat,,2
bfe,all,js,,,,j
esel,all
!
fini
!
/solu
solve
fini
!
/post1
/com #1
!presol,b
!
SENERGY
!
esel,s,mat,,1
!
nsort,b,y
*get,maxb,sort,,max
*get,minb,sort,,min
!
nsort,h,y
*get,maxh,sort,,max
*get,minh,sort,,min
!
esel,s,mat,,2               ! coil
nsle,s
esel,all
EMFT,1
Flc=_Fxsum
Txc=_Txsum
Tyc=_Tysum
Tzc=_Tzsum
!
esel,all                    ! current segment at x=0
nsel,s,loc,x,0
EMFT,1
Fx0c=_Fxsum
Tx0c=_Txsum
Ty0c=_Tysum
Tz0c=_Tzsum
!
/com,
*vwrite,-Bt,-Ht
(1x,'Target:       By     = ',e12.5,' Hy     = ',e12.5)
*vwrite,maxb,maxh
(1x,'Calculated  : By max = ',e12.5,' Hy max = ',e12.5)
*vwrite,minb,minh
(1x,'Calculated  : By min = ',e12.5,' Hy min = ',e12.5)
/com
*vwrite,W,S_ENG
(1x,'Energy : Target = ',e12.5,' Calculated = ',e12.5)
/com,
*vwrite,Fc,Flc
(1x,'force coil  : Target = ',e12.5,' Calculated = ',e12.5)
*vwrite,Fx0,Fx0c
(1x,'force curseg: Target = ',e12.5,' Calculated = ',e12.5)
/com
*vwrite,Txt,Txc
(1x,'torque coil (Tx) : Target = ',e12.5,' Calculated = ',e12.5)
*vwrite,Tyt,Tyc
(1x,'torque coil (Ty) : Target = ',e12.5,' Calculated = ',e12.5)
*vwrite,Tzt,Tzc
(1x,'torque coil (Tz) : Target = ',e12.5,' Calculated = ',e12.5)
/com
*vwrite,Tx0t,Tx0c
(1x,'torque curseg (Tx) : Target = ',e12.5,' Calculated = ',e12.5)
*vwrite,Ty0t,Ty0c
(1x,'torque curseg (Ty) : Target = ',e12.5,' Calculated = ',e12.5)
*vwrite,Tz0t,Tz0c
(1x,'torque curseg (Tz) : Target = ',e12.5,' Calculated = ',e12.5)
!
/com, *********************************************
!
fini

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.7. Example of a 3-D Static Edge-Based Analysis Using SOURC36 Current Loads (Command Method) 		Up / Home Next
6.9. Example of a Soleniod Analysis with a Current Load (Filament)


6.9. Example of a Soleniod Analysis with a Current Load (Filament)

This example demonstrates the calculation of inductance and the resulting uniform magnetic field inside a solenoid due to a current load (filament). The example uses the filament method (MAGOPT,MMF,FILAMENT).

6.9.1. The Analysis Described

The model is 1/4 of a slice of a long solenoid. The solid model consists of an iron core surrounded by an air region and a current-carrying wire. Applied current is parallel to the radius of the core. The resulting magnetic field inside the iron core is nearly uniform and parallel to the z-axis.

This example uses SOLID117 elements to model the air and core regions and SOURC36 elements to model the current-carrying wire.

Figure 6.7 Solenoid with Current Load

6.9.2. Analysis Parameters

r1 = 1 | Radius of iron core
r2 = 2 | Outer radius of solenoid (representing air region)
= 1 | Thickness of a slice of a long solenoid
i = 1 | Current load in the solenoid coil
μiron = 100 | Iron permeability
μair = 1 | Air permeability
Ht | Target magnetic field intensity
Bt | Target magnetic flux density
Wt | Target energy
Lt | Target inductance
Phit | Target flux

6.9.3. Target Data

Expected results are as follows:

Item | Result | Target
H-field | 0.999914296 | 1
B-field | 1.256529363E-04 | 1.25663704E-04
Energy | 2.027429058E-04 | 1.973920813E-04
Inductance | 4.042997058E-04 | 3.947841626E-04
Flux | 4.026778778E-04 | 3.947841626E-04

6.9.4. The Analysis Input

/title, Soleniod Analysis with SOURC36-fed SOLID117
/com
/com, Analyze solenoid, excited by coil, SOURC36-fed
/com, magnetic edge element, SOLID117
/com
/com, ****************************************
/com, 		Input Data
/com, ****************************************
/com, r1=1                            ! iron core outer radius
/com, r2=2                            ! air outer radius
/com, l=1                             ! selenoid thickness
/com, mu=100                          ! core permeability
/com, i=1                             ! current
/com
/com, ****************************************
/com. 		Target Results
/com, ****************************************
/com Lt=mu*mu0*r1**2*pi/l	! inductance
/com phit=Lt*i            	! flux
/com Wt=1/2*Lt*i**2       	! energy
/com Ht=i/l               	! magnetic field
/com Bt=mu*mu0*Ht         	! flux density
/com
/nopr
!
! Input Data
!
r1=1				! coil radius
r2=2                            ! outer solenoid radius
l=1                             ! solenoid thickness
mu=100                          ! core permeability
i=1                             ! current
!
mply = 4
nz=2*mply			                  ! meshing parameters
nt=5*mply
nr=4*mply
!
! Target Results
!
pi=3.1415926
mu0=pi*4e-7
Lt=mu*mu0*r1**2*pi/l            ! inductance
phit=Lt*i                       ! flux
Wt=1/2*Lt*i**2                  ! energy
Ht=i/l                          ! magnetic field
Bt=mu*mu0*Ht                    ! flux density
!
/nopr
/prep7
!
! Solid FE Material Properties
!
et,1,117                        ! air
mp,murx,1,1
et,2,117                        ! iron core
mp,murx,2,mu
!
! Geometry, quarter model
!
cyl4,0,0, 0,0,r1,90,l		         ! iron core
vatt,2,1,2
vsel,none
cyl4,0,0,r1,0,r2,90,l		         ! coil/air
vatt,1,1,1
vsel,all
nummrg,all
!
! Meshing Solid Model
!
csys,1
lsel,s,loc,z,l/2
lesize,all,,,nz
lsel,s,loc,x,r1
lsel,a,loc,x,r2
lsel,u,loc,z,l/2
lesize,all,,,nt
!
lsel,all
lsel,u,loc,z,l/2
lsel,u,loc,x,r1
lsel,u,loc,x,r2
lesize,all,,,nr
lsel,all
csys
vsweep,all
!
! Current carrying coil
!
et,3,36
*get,nmax,node,,num,max
n1=nmax+1
n2=nmax+2
n3=nmax+3
r12=(r1+r2)/2
n,n1,r12,0  ,l/2
n,n2,0  ,r12,l/2
n,n3,0  ,0  ,l/2
r,3,1,i,r2-r1,l
type,3
real,3
e,n1,n2,n3
!
! Boundary Conditions
!
nsel,s,loc,x,0
nsel,a,loc,y,0
d,all,az,0
nsel,all
!
fini
!
! Solution
!
/solu
magopt,mmf,fila		              ! concentrated source current
solve
fini
!
/post1
!
! Retrieve Computed Results
!
etab,H,H,z
etab,B,B,z
!
prvec,h
esel,s,mat,,2
pretab,h,b
!
ee=0
ee=elnext(ee)
!
! Computed Field Results
!
*get,Hc,elem,ee,etab,h
*get,Bc,elem,ee,etab,b
!
er=abs((Bt-Bc)/Bt)*100
!
esel,all
!
fini
!
/post1
!
! Magnetic Energy
!
senergy                         ! quarter model
Wc=4*S_ENG                      ! full model
fini
!
! Computed LMATRIX
!
/prep7
esel,s,type,,3                  ! coil component
cm,coil1,elem
esel,all
fini
!
*dim,cur,array,1                ! Current vector for LMATRIX
cur(1)=i
!
lmatrix,4,'coil','cur'          ! inductance computation
!
Lc=lmatrix(1,1)                 ! retrieve computed inductance data
phic=lmatrix(1,2)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.8. Example of a 3-D Static Edge-Based Analysis Showing Force and Torque Calculations (Command Method) 		Up / Home Next
6.10. Example Analysis of a Brooks Coil Inductance


6.10. Example Analysis of a Brooks Coil Inductance

This example problem demonstrates calculation of inductance of a square cross section of a circular coil as described in "Principles of Electric and Magnetic Fields" by Warren Boast, Harper & Brothers, 1948. pp.247, equation (12.18). This is a special case known as a Brooks Coil.

6.10.1. The Analysis Described

This analysis represents 1/4 of the total Brooks Coil model. The solid model consists of a coil with nturn number of turns and an applied constant current density using the distributed method (MAGOPT,MMF,DIST). The distributed current is applied using the SOURC36 element. The resulting inductance is based on the following equation from Boast:

Lbrook = 1.699x10-6 * R * nturn2

Figure 6.8 Rectangular Cross Section of a Circular Coil

When solving for the inductance using the LMATRIX macro, use a symmetry factor of 4 to obtain the total inductance in the analysis (since this is only a 1/4 model).

This example uses the following elements:

PLANE53: Initial 2-D model which is rotated into a 3-D 1/4 cylinder
SOLID117: Coil and air regions after rotation from 2-D model
SOURC36: Distributed current in the coil

6.10.2. Analysis Parameters

S = 20e-3 | Distance from origin to inner radius of coil AND length AND width of coil
R = 30e-3 | Distance from origin to middle of coil (from reference, R = 3S/2)
RC = 90e-3 | Extent of air region surrounding coil
nturn = 200 | Number of turns in the coil
i = 100 | Current load in coil
μ = 1 | Relative permeability of all regions in the model
Lbrook | Target Inductance

6.10.3. Target Data

Item | Result | Target
Flux linkage of coil 1 | .9690524972e-3 | 1.0194e-3
Self inductance of coil 1 | 1.9441288e-3 | 2.0388e-3

6.10.4. Analysis Input

/title, Brooks Coil Inductance (distributed)
/com
/com, Analyze Brooks Coil excited by SOURC36-fed
/com, magnetic edge element, SOLID117
/com
/com, ******************************************
/com, 		Input Data
/com, ******************************************
/com, curr=100		! current in the coil
/com, nturn=200		! number of turns
/com, rm=30		! center of coil (R)
/com, d=20		! height of coil (S)
/com, rc=90		! extent of air region
/com
/com, ******************************************
/com, 		Target Results
/com, ******************************************
/com, Lbrook = 1.699e-6*R*nturn*nturn
/com, Phibrook = Lbrook*(curr/nturn)
/com
!
! Input Data
!
curr=100                       ! current in the coil
nturn=200                      ! number of turns
rm=30                          ! center of coil
d=20                           ! height of coil
rc=90                          ! extent of air region
!
nth=8                          ! line sizing parameter
n=16                           ! line sizing parameter
sz1=2                          ! element size of inner air region (near coil)
sz2=10                         ! element size outer air region (closure)
!
q=1e-3                         ! multiplier
rm=rm*q
d=d*q
rc=rc*q
!
sz1=sz1*q
sz2=sz2*q
!
r1=rm-d/2
r2=rm+d/2
z1=-d/2
z2=+d/2
r1a=r1-d
r2a=r2+d
z1a=z1-d
z2a=z2+d
!
symfac=4                       ! symmetry factor for LMATRIX analysis
*dim,cur,,1
cur(1)=curr/nturn              ! current applied for LMATRIX analysis
!
! Target Results
!
Lbrook=1.699*1e-6*rm*nturn*nturn
pht = Lbrook*cur(1)
!
! Enter preprocessor
!
/prep7
et,1,53                        ! 2-D 8-node magnetic solid
mp,murx,1,1                    ! closure
mp,murx,2,1                    ! near coil
mp,murx,3,1                    ! coil
!
! Model Geometry
!
rect,r2,r1,z1,z2
rect,r2a,0,z1a,z2a
rect,rc,0,-rc,rc
aovl,all
!
! Line sizing for meshing
!
csys,1
lsel,s,loc,x,rm
lsel,a,loc,z,0
lesize,all,,,n
csys
lsel,inve
lesize,all,,,nth
lsel,all
!
! Meshing Regions
!
mat,3                        ! coil
mshape,0,2d                  ! quad
mshkey,1                     ! mapped
amesh,1
!
mat,2                        ! near coil
mshape,1,2d                  ! tri
mshkey,0                     ! free
esize,sz1
amesh,5
!
mat,1                        ! close
esize,sz2
amesh,4
!
alls
!
! Create 3-D model from 2-D area elements
!
k1 = kp(0,rc,0)             ! keypoints defining axis of rotation
k2 = kp(0,-rc,0)
!
et,2,117                    ! 3-D 20-node magnetic solid
type,2
asel,s,area,,1
allsel,below,area
ksel,a,kp,,k1
ksel,a,kp,,k2
extopt,esize,8	                 ! number of element divisions for new volumes
extopt,attr,1,1,1               ! keep attributes from area mesh (plane53 elements)
extopt,aclear,1                 ! clear PLANE53 elements
vrotat,all,,,,,,k1,k2,-90	     ! rotate area into volume mesh
!
asel,s,area,,5
allsel,below,area
ksel,a,kp,,k1
ksel,a,kp,,k2
extopt,esize,8
extopt,attr,1,1,1
extopt,aclear,1
vrotat,all,,,,,,k1,k2,-90
!
asel,s,area,,4
allsel,below,area
ksel,a,kp,,k1
ksel,a,kp,,k2
extopt,esize,8
extopt,attr,1,1,1
extopt,aclear,1
vrotat,all,,,,,,k1,k2,-90
alls
!
NUMMRG,KP, , , ,LOW
NUMMRG,NODE, , , ,LOW
!
! Boundary Conditions
!
nsel,s,ext
d,all,az,0
nsel,all
!
et,4,36		                   ! SOURC36 element representing the current in the coil
r,4,1,curr,d,d
type,4
real,4
*get,nmax,node,,num,max
n,nmax+1,rm,0 ,0
n,nmax+2,0 ,0,-rm
n,nmax+3,0 ,0 ,0
e,nmax+1,nmax+2,nmax+3
!
esel,s,real,,4	          ! create component called 'coil' for LMATRIX analysis
cm,coil1,elem
esel,all
!
fini
!
/solu
magopt,mmf,dist
eqslv,front
solve
fini
!
/post1
plve,h,,,,vect,elem,on,0
!
nsel,all
esel,all
!
fini
!
! LMATRIX Macro
!
lmatrix,symfac,'coil','cur','induct'
!
_ansind = induct(1,1)	        ! Lmatrix inductance
_ansflx = induct(1,2)	        ! Lmatrix flux
!

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.9. Example of a Soleniod Analysis with a Current Load (Filament) 		Up / Home Next
Chapter 7. 3-D Harmonic Magnetic Analysis (Edge-Based)


Chapter 7. 3-D Harmonic Magnetic Analysis (Edge-Based)

The edge formulation for harmonic analyses has most of the characteristics of static edge-based analysis (see "3-D Magnetostatics and Fundamentals of Edge-Based Analysis"), except that harmonic edge analysis supports only linear material properties. The electric resistivity and magnetic relative permeability may be anisotropic and temperature-dependent.

Harmonic edge method analyses use the SOLID117 element, described in the Elements Reference. See the Theory Reference for ANSYS and ANSYS Workbench for a theoretical description of the SOLID117 element.

For a proper electromagnetic analysis, the continuity equation must be satisfied and the source density must be solenoidal (i.e., div J = 0). This means that the current density must satisfy the law of conservation of matter. That is, the current density cannot have sources or sinks. For more information on the solenoidal condition, see Elements Used in Edge-Based Analysis.

The following edge-based harmonic analysis topics are available:

  • Characteristics and Settings for Physical Regions of a Model
  • Velocity Effects
  • Performing a Harmonic Edge-Based Analysis
  • Reviewing Results
  • Example of a 3-D Harmonic Edge-Based Analysis (Command Method)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.10. Example Analysis of a Brooks Coil Inductance 		Up / Home Next
7.1. Characteristics and Settings for Physical Regions of a Model


7.1. Characteristics and Settings for Physical Regions of a Model

The ANSYS program offers several options you can use to handle terminal conditions on conductors in 3-D magnetic analyses. Figure 7.1: "Physical Region With Optional Terminal Conditions for Conductors" below pictures a physical region for a 3-D magnetic analysis and the conditions (options) that can exist within it.

Figure 7.1 Physical Region With Optional Terminal Conditions for Conductors

Laminated iron | DOF: AZ Material Properties: MUr (MURX)
Air | DOF: AZ Material Properties: MUr (MURX)
Moving conductor (velocity effects) | You can model velocity effects from conductors moving at constant velocity with the SOLID117 element. For details on moving conductors, see the sections on velocity effects in this chapter and "2-D Static Magnetic Analysis".

Current-fed massive conductor

Classical Formulation

DOFs: AZ, VOLT

Material Properties: MUr(MURX), rho (RSVX)

Special characteristics: Couple VOLT DOF in region; apply total current (F,,AMPS command) to single node

Assumes a short-circuit condition with a net current flow from a current source generator. Net current is unaffected by surroundings.

Open circuit conductor

Classical Formulation

DOFs: AZ, VOLT

Material Properties: MUr (MURX), rho (RSVX)

For symmetry structures, set VOLT = 0 at one plane and couple nodes at the other. For general 3-D structures, set VOLT = 0 at one node.

Current-fed stranded coil

Classical Formulation

DOF: AZ

Material Properties: MUr (MURX)

Special characteristics: No eddy currents; can apply source current density, JS

Short circuit conductor

Classical Formulation

DOFs: AZ, VOLT

Material Properties: MUr (MURX), rho (RSVX)

Prescribe VOLT = 0 at symmetry planes of a conductor to indicate no net buildup of potential.

Current-fed solid source conductor

Solenoidal Formulation

DOFs: AZ, VOLT

Material Properties: MUr(MURX), rho (RSVX)

Special characteristics: Couple VOLT DOF in region; apply total current (F,,AMPS command) to single node.

Assumptions: Solid conductor does not model eddy current effects within the conductor and has no back emf effects.

Voltage-fed solid source conductor

Solenoidal Formulation

DOFs: AZ, VOLT

Material Properties: MUr(MURX), rho (RSVX)

Special characteristics: Apply voltage drop (VLTG) via D command.

Assumptions: Solid conductor does not model eddy current effects within the conductor and has no back emf effects.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 7. 3-D Harmonic Magnetic Analysis (Edge-Based) 		Up / Home Next
7.2. Velocity Effects


7.2. Velocity Effects

You may solve electromagnetic fields for special cases of moving bodies under the influence of an AC excitation. Velocity effects are valid for static, harmonic, and transient analyses. "2-D Static Magnetic Analysis" discusses applications and limitations for motion analysis.

The procedure for solving a 3-D harmonic analysis is similar to that for a 2-D harmonic analysis in terms of element KEYOPT options and real constants. Applied velocities are constant and do not vary sinusoidally (as do the coil or field excitation) in a harmonic analysis. The cross section of the moving body perpendicular to the motion should be constant.

You activate the velocity effects by setting the element KEYOPT(2) = 1. A 3-D harmonic analysis with a moving conductor also requires that the moving conductor region include the time-integrated electric DOF (VOLT). You accomplish this by setting KEYOPT(1) = 1 (AZ, VOLT degrees of freedom).

You can specify the following real constants for a moving body analysis:

VELOX, VELOY, VELOZ | Velocity components in the Global Cartesian coordinate system X, Y, and Z directions respectively.
OMEGAX, OMEGAY, OMEGAZ | Angular (rotational) velocity (in Hz) about the Global Cartesian system X, Y, and Z axes respectively, located at the pivot point location (specified by XLOC, YLOC, and ZLOC).
XLOC, YLOC, ZLOC | Global Cartesian coordinate point locations of the rotating body in the X, Y, and Z directions respectively.

You can use a harmonic analysis to simulate a moving conductor under a static (DC) field excitation. To closely approximate the static field, use a very low frequency in the harmonic analysis. Typically, a frequency less than .0001 Hz will yield a "near" static solution. The "static" solution will be stored in the "real" solution set (the KIMG = 0 argument on the SET command). If you use the frontal solver, the frequency can be set much lower (for example 10-8 Hz). However, if you use an iterative solver (JCG or ICCG solver), convergence problems may occur for extremely low frequencies.

Note

Quadratic values such as joule heat and force need to be multiplied by two to obtain the equivalent DC value.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.1. Characteristics and Settings for Physical Regions of a Model 		Up / Home Next
7.3. Performing a Harmonic Edge-Based Analysis


7.3. Performing a Harmonic Edge-Based Analysis

To perform a harmonic edge-based magnetic analysis, do the following tasks:

  1. Specify the electromagnetics edge formulation by choosing Main Menu> Preferences> Electromagnetics: Magnetic-Edge from the GUI. Doing so lets you filter out other ANSYS commands not involved in edge analysis.

  2. Define a jobname and title for your analysis. To do so, use the commands or GUI paths shown below:

    Command(s): /FILNAME and
    /TITLE
    GUI: Utility Menu> File> Change Jobname
    Utility Menu> File> Change Title

  3. Enter the ANSYS preprocessor to begin defining your model:

    Command(s): /PREP7
    GUI: Main Menu> Preprocessor

  4. Choose element type SOLID117 (the edge element) via either of the following:

    Command(s): ET,SOLID117
    GUI: Main Menu> Preprocessor> Element Type> Add/Edit/Delete

  5. Select the formulation option suitable for the specified element type and physics region. (For information on formulation options, see the earlier discussion.)

    Command(s): KEYOPT
    GUI: Main Menu> Preprocessor> Element Type> Add/Edit/Delete

  6. Define material properties. "2-D Static Magnetic Analysis" describes the material properties you can use and tells you how to specify them. For an eddy current region, you must specify the electric resistivity, RSVX.

  7. Build the model. For instructions on building and meshing models, see the Modeling and Meshing Guide.

  8. Assign attributes to the volumes (that is, associate the element types, the conducting and nonconducting regions, the material properties, etc. with the appropriate volumes).

    Command(s): VATT
    GUI: Main Menu> Preprocessor> Meshing> Mesh Attributes

  9. Mesh the model, specifying brick (mapped) meshing. This requires you to use six-sided volumes or concatenation.

    Command(s): VMESH
    GUI: Main Menu> Preprocessor> Meshing> Mesh> Volumes> Mapped

  10. Enter the SOLUTION processor, using either of the following:

    Command(s): SOLU
    GUI: Main Menu> Solution

  11. Apply flux-parallel and flux-normal solid model boundary conditions to the boundaries.

    Command(s): DA
    GUI: Main Menu> Solution> Define Loads> Apply> Magnetic> Boundary

    For edge-based analyses, the label AZ (when set to zero) applies the flux-parallel boundary condition. No prescription is required to set flux-normal, because it is the natural boundary condition. In the rare case where the AZ = 0 condition is not general enough for flux-parallel conditions, you can prescribe constraints using individual D commands (or the equivalent GUI path).

  12. Apply source loading.

  13. Choose the harmonic analysis type and select the frequency of the time change. To specify the analysis type, use either of the following:

    Command(s): ANTYPE,HARMIC,NEW
    GUI: Main Menu> Solution> Analysis Type> New Analysis> Harmonic

    To specify the frequency, use the command or GUI path shown below:

    Command(s): HARFRQ
    GUI: Main Menu> Solution> Load Step Opts> Time/Frequenc> Freq and Substps

  14. Choose the solver you wish to use. Edge formulation analyses can use the sparse direct (SPARSE) solver (default), the frontal solver, the Jacobi Conjugate Gradient (JCG) solver, or the Incomplete Cholesky Conjugate Gradient (ICCG) solver. Select an equation solver using either of the following:

    Command(s): EQSLV
    GUI: Main Menu> Solution> Analysis Type> Analysis Options

    The sparse and ICCG solvers are recommended for harmonic edge analysis.

  15. Choose load step options. ("Alternative Analysis Options and Solution Methods" of this manual describes these options.)

  16. Solve the model by using either of the following:

    Command(s): SOLVE (with OPT field set to zero)
    GUI: Main Menu> Solution> Solve> Current LS

    When you use the edge-element formulation, by default the ANSYS program gauges the problem domain over all selected elements and nodes. Gauging removes unneeded degrees of freedom by setting them to zero; this in turn enables ANSYS to solve your analysis problem faster. You can control gauging using either of the following:

    Command(s): GAUGE
    GUI: Main Menu> Solution> Load Step Opts> Magnetics> Options Only> Gauging

    Gauging is required for electromagnetic analyses with elements using an edge formulation. Therefore, in most cases you should not turn automatic gauging off unless you are an expert ANSYS user and want to do your own gauging. The ANSYS program removes the extra constraints set by gauging after solution; therefore, gauging is transparent to users.

  17. To leave the SOLUTION processor, use one of the following:

    Command(s): FINISH
    GUI: Main Menu> Finish

  18. Do postprocessing and review the analysis results, as described below.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.2. Velocity Effects 		Up / Home Next
7.4. Reviewing Results


7.4. Reviewing Results

The ANSYS and ANSYS Emag programs write results from an edge-based harmonic magnetic analysis to the magnetics results file, Jobname.RMG (or to Jobname.RST if the electric time-integrated potential (VOLT) is active). Results include the data listed below, many of which vary harmonically at the operating frequency (or frequencies) for which the measurable quantities can be computed as the real solution times cosine (Ωt) minus the imaginary solution times sine (Ωt). Ω is the angular frequency. For more details, see the Theory Reference for ANSYS and ANSYS Workbench.

Primary data: Nodal DOFs ( AZ, VOLT)

Derived data:

  • Nodal magnetic flux density (BX, BY, BZ, BSUM)

  • Nodal magnetic field intensity (HX, HY, HZ, HSUM)

  • Nodal Lorentz magnetic forces (FMAG; components X, Y, Z, SUM)

  • Total current density (JTX, JTY, JTZ, JTSUM)

  • Joule heat rate per unit volume (JHEAT)

  • Element magnetic energy (SENE)

Additional data are available. See the Elements Reference for details.

You can review analysis results in POST1, the general postprocessor. The results are out-of-phase with the input loads (that is, they lag the input loads), and therefore are complex. They are calculated and stored in terms of real and imaginary components as detailed above.

Use POST1 to review results over the entire model at specific frequencies. For viewing results over a range of frequencies, use the time-history postprocessor, POST26.

For a harmonic magnetic analysis, the frequency range usually consists of only the AC frequency. Therefore, typically you use POST1 to review the results.

To choose a postprocessor, use one of the following:

Command(s): | /POST1, /POST26
GUI: | Main Menu> General Postproc Main Menu> TimeHist Postpro

7.4.1. Commands to Help You in Postprocessing

ANSYS provides a number of commands (listed below) for Postprocessing:

Table 7.1 Postprocessing Commands

Task | Command(s)
Select the real solution | SET,1,1,,0
Select the imaginary solution | SET,1,1,,1
Print edge-flux DOF (AZ)[5] | PRNSOL,AZ
Print time-integrated potential DOF (VOLT)[5] | PRNSOL,VOLT
Print magnetic flux density at corner nodes[1,5] | PRVECT,B
Print magnetic field at corner nodes[1,5] | PRVECT,H
Print total current density at centroids[5] | PRVECT,JT
Print force at corner nodes[2,6] | PRVECT,FMAG
Print magnetic flux density at element nodes[5] | PRESOL,B
Print magnetic field at element nodes[5] | PRESOL,H
Print total current density at element centroid[5] | PRESOL,JT
Print force at element nodes[2,6] | PRESOL,FMAG
Print magnetic energy[3,5] | PRESOL,SENE
Print Joule heat density[4,6] | PRESOL,JHEAT
Create element table item for centroid flux density[5], X component. (Issue similar commands for Y, Z, and SUM components.) | ETABLE,Lab,B,X
Create element table item for centroid magnetic[5] field, X component. (Issue similar commands for Y, Z, and SUM components.) | ETABLE,Lab,H,X
Create element table item for Joule heat density[4,6] | ETABLE,Lab,JHEAT
Create element table item for centroid current[5] density, X component. (Issue similar commands for Y, Z, and SUM components.) | ETABLE,Lab,JT,X
Create element table item for magnetic force[2,6] over element, X component. (Issue similar commands for Y, Z, and SUM components.) | ETABLE,Lab,FMAG,X
Create element table item for element stored energy[3] | ETABLE,Lab,SENE
Print the indicated element table item(s) | PRETAB,Lab,1,...

  1. Average of selected elements adjacent to nodes.

  2. Force is summed over elements and distributed among nodes for coupling purposes.

  3. Magnetic energy is summed over elements.

  4. To obtain power loss, multiply by element volume.

  5. Instantaneous value (real/imaginary, at Ωt = 0 and Ωt = -90) in case of a harmonic analysis.

  6. RMS value: measurable values are the sum of real and imaginary parts.

Note

See the Theory Reference for ANSYS and ANSYS Workbench for more information on these notations.

The ETABLE command also allows you to view less frequently-used items. The SOLID117 description in the Elements Reference discusses these items.

You can view most of these items graphically. To do so, substitute plotting commands for the commands whose names begin with "PL" (for example, use PLNSOL instead of PRNSOL, as illustrated below):

For this Command... | Substitute this Command... | Or this GUI Path...
PRNSOL | PLNSOL | Utility Menu> Plot> Results> Contour Plot> Nodal Solution
PRVECT | PLVECT | Utility Menu> Plot> Results> Vector Plot
PRESOL | PLESOL | Utility Menu> Plot> Results> Contour Plot> Elem Solution
PRETAB | PLETAB | Utility Menu> Plot> Results> Contour Plot> Elem Table Data

You also can plot element table items. See the Basic Analysis Guide for more information.

The ANSYS Parametric Design Language (APDL) also contains commands that may be useful in postprocessing, and several magnetics macros also are available for results processing purposes. For more information about the APDL, see the ANSYS Parametric Design Language Guide.

The following topic, "Reading In Results Data," discusses some typical POST1 operations for a harmonic magnetic analysis. For a complete description of all postprocessing functions, see the Basic Analysis Guide.

7.4.2. Reading in Results Data

To review results in POST1, the ANSYS database must contain the same model for which the solution was calculated. Also, the results file (Jobname.RMG or Jobname.RST) must be available.

Results from a harmonic magnetic analysis are complex and consist of real and imaginary components. To read either type of component (you cannot read both types at the same time), use either of the following:

Command(s): | SET
GUI: | Utility Menu> List> Results

An SRSS combination of the real and imaginary parts gives the true magnitude of the results. You can do this via load case operations.

7.4.2.1. Contour Displays

You can contour almost any result item (including flux density and field intensity) using the following commands or menu paths:

Command(s): | PLNSOL, PLESOL
GUI: | Utility Menu> Plot> Results> Contour Plot> Elem Solution Utility Menu> Plot> Results> Contour Plot> Nodal Solution

Caution

The PLNSOL command or its equivalent menu path average nodal contour plots for derived data, such as flux density and field intensity, at the nodes. Therefore, be sure to disallow averaging of data across material boundaries, using one of these methods:

Command(s): | AVRES,2
GUI: | Main Menu> General Postproc> Options for Outp

7.4.2.2. Tabular Listings

You can produce tabular listings of results data, either unsorted or sorted by node or by element. To sort data before listing it, use any of the following:

Command(s): | ESORT, NSORT
GUI: | Main Menu> General Postproc> List Results> Sorted Listing> Sort Nodes Main Menu> General Postproc> List Results> Sorted Listing> Sort Elems

To produce tabular data listings, use any of the following:

Command(s): | PRESOL, PRNSOL, PRRSOL
GUI: | Main Menu> General Postproc> List Results> Element Solution Main Menu> General Postproc> List Results> Nodal Solution Main Menu> General Postproc> List Results> Reaction Solu

7.4.2.3. Calculating Other Items of Interest

You can calculate many other items of interest (such as global forces, torque, source input energy, inductance, flux linkages, and terminal voltage) from the data available in the database in postprocessing. The ANSYS command set supplies the following macros for these calculations:

  • The MMF macro calculates magnetomotive force along a path.

  • The POWERH macro calculates the RMS power loss in a conducting body.

For more discussion of these macros, see "Electric and Magnetic Macros".

7.4.2.4. Calculating Time-Average Lorentz Forces

You can calculate the time-average (rms) forces in any conducting region of a harmonic analysis by using the stored force values in the real and imaginary data sets. To do so, issue the following sequence of commands:

esel,s,...! Select elements to calculate force
set,1,1! Store real solution
etable,fxr,fmag,x! Store real part of rms forces
etable,fyr,fmag,y
etable,fzr,fmag,z
set,1,1,,1! Store imaginary solution
etable,fxi,fmag,x! Store imaginary part of rms forces
etable,fyi,fmag,y
etable,fzi,fmag,z
sadd,fxrms,fxr,fxi! Calculate time-average components
sadd,fyrms,fyr,fyi
sadd,fzrms,fzr,fzi
ssum! Sum over all selected elements
*get,fxrms,ssum,,item,fxrms!  Retrieve forces as scalar parameters
*get,fyrms,ssum,,item,fyrms
*get,fzrms,ssum,,item,fzrms

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.3. Performing a Harmonic Edge-Based Analysis 		Up / Home Next
7.5. Example of a 3-D Harmonic Edge-Based Analysis (Command Method)


7.5. Example of a 3-D Harmonic Edge-Based Analysis (Command Method)

This section describes a sample harmonic edge-based analysis, performed using ANSYS commands. The ANSYS GUI path is similar to the problem described in "3-D Magnetostatics and Fundamentals of Edge-Based Analysis" for static analysis.

7.5.1. The Analysis Described

This example examines the solution in the slot of an electric machine. For a specified AC (harmonic) current, the analysis calculates the magnetic field, energy, Joule losses and forces.

Figure 6.2: "Current-Carrying Conductor in a Slot Within an Iron Region" (in "3-D Magnetostatics and Fundamentals of Edge-Based Analysis") and Figure 7.2: "Volume Model of the Conductor" illustrate, respectively, the problem domain and a volume model of the conductor within the slot in the domain.

Figure 7.2 Volume Model of the Conductor

The geometry is a block modeling a slot of an electrical machine. The z-axis coincides with the axis of the machine; l = .3 m is the length. The slot, with a depth of d = 0.1 m, is oriented in the x-axis. The width of the slot in the y direction is denoted by w = 0.01 m. A conductor with relative permeability, µr = 1, and resistivity, ρ = 1.0e-8, carries a current of 2236 A at a phase angle of 26.57° (corresponds in complex terms to 2000 + j1000 A). The analysis frequency is 3 Hz, which corresponds to a 5% slip frequency for a machine operating at 60 Hz.

The side and bottom of the slot are ideal iron. This is a flux-normal boundary condition (natural (Neumann) boundary condition); it is satisfied automatically without any prescription of an explicit boundary condition.

At the opening of the slot at x = d and at axial faces z = 0 and z = 1, the flux lines are parallel. This is an essential flux-parallel (Dirichlet) boundary condition; that is, its satisfaction is not automatic. You can prescribe it by setting (constraining) the flux-edge DOFs to a constant value, usually zero.

The example uses MKS dimensions (the default).

7.5.2. Analysis Parameters

You can use the ANSYS Parameter Definition Language (APDL) to define names for data. This enhances readability and allows you to make changes later with ease. Although using APDL is not required, it is highly recommended.

Parameters for the example are as follows:

l = 0.3 | Length
d = 0.1 | Depth
w = 0.01 | Width
i = 2000 + j1000 | Current
mur = 1 | Relative magnetic permeability
ρ = 1.0e-8 | Electric resistivity (required for Joule loss)
n = 20 | Number of divisions through the slot depth
fr = 3 | Frequency

7.5.3. Target Data

Target data for the example are as follows:

Time-average Force in slot

FXrms = -46.89

Time-average Joule heat loss

PAVG = 25.9 Watts

/BATCH,LIST
/TITLE, harmonic analysis demo of magnetic edge element
/COM
/NOPR
!
! *** Define model parameters
!
l=0.3                 ! length
d=0.1                 ! depth
w=0.01                ! width
mur=1                 ! relative magnetic permeability
rho=1.0e-8            ! electric resistivity (required for Joule loss)
fr=3                  ! rotor frequency at 5% slip
curr=2000.0           ! current real
curi=1000.0           ! current imaginary
n=20                  ! meshing parameter
pi=3.1415926
mu0=pi*4.0e-7         ! free space permeability
!
! *** create model
!
/prep7                ! enter preprocessor
!
ET,1,117,1            ! Element type #1, is a magnetic edge element, 117.
!                       Note there the is a 1 in the next command slot.
!                       This is a key option. Key options are used to
!                       modify/describe features of the default element.
!                       The default edge element has only edge flux, AZ,
!                       degrees of freedom, DOFs, supported by the side nodes.
!                       A harmonic analysis requires the VOLT DOFs at the
!                       corner nodes. This is selected by turning on key option 1.
!                       In general there can be many key options for a
!                       particular element. In case of element 117,
!                       key option 5 can be used for printout control.
!
MP,MURX,1,mur         ! Define relative permeability of material #1
MP,RSVX,1,rho         ! Define electric resistivity of material #1.
!
BLOCK,0,d,0,w,0,l     ! Define rectangular block (brick) volume region,
!
LSEL,S,LOC,X,d/2      ! Select lines to specify the number of elements
LESIZE,ALL,,,n        ! Divide the lines along the slot depth for meshing
LSEL,ALL              ! Select all lines.x
ESIZE,,1              ! Subdivided unmeshed lines into 1 part
!
VMESH,ALL             ! Mesh solid volumes.
FINISH                ! Exit preprocessor
!
/SOLU                 ! Enter solution processing
!
ANTYP,HARM            ! harmonic analysis
!
HARFR,fr              ! specify harmonic frequency
!
! *** Apply Dirichlet boundary condition
!
!     --- The boundary conditions for the edge-flux DOF are the same
!         as in the static case. At the flux parallel boundaries,
!         ,x=d, z=0 and z=l, the edge-flux DOFs, AZ, are set to zero.
!
NSEL,S,LOC,X,d         ! select nodes at x=d
NSEL,A,LOC,Z,0         ! add nodes at z=0 to the selected set
NSEL,A,LOC,Z,l         ! add nodes at z=l to the selected set
D,ALL,AZ,0             ! set AZ DOFs on all selected nodes to zero
!
!     --- In a harmonic analysis boundary condition should be specified
!         for the VOLT DOFs, too. The current density is normal to the
!         faces, z=0 and z=l. z=0 is selected as ground, i.e. VOLT=0 here.
!         The VOLT DOFs are the same at z=l. However, their actual value
!         is not known. This is called as a floating potential condition.
!         This can be prescribed in ANSYS by coupling the DOFs. Instead
!         of many unknowns, ANSYS eliminates all but one in a coupled set.
!         The only remaining unknown DOFs is called the master DOF.
!         After solution is done, the eliminated slave DOFs inherit
!         the computed value of the master DOFs. This procedure is
!         transparent to users.
!
!         There is still one extra DOF, i.e. the master DOF as an
!         extra unknown compared to the number of equations. The missing
!         condition is that the total current of the bar in the slot
!         is given. Since J = - j omega [A + grad V], the impressed
!         current is related to the normal component of the time
!         integrated scalar potential, V. The impressed current can
!         be prescribed by an F command. Whereas a D command is used
!         to specify the actual value of DOFs, the F command describes
!         the normal derivative. (Historically D and F stand for
!         displacement and force, respectively, which are the pertinent
!         variables of volt and current in a structural analysis.)
!
NSEL,S,LOC,Z,0         ! select nodes at z=0
D,ALL,VOLT,0           ! set VOLT DOFs to zero on selected nodes
NSEL,S,LOC,Z,l         ! select nodes at z=l
CP,1,VOLT,ALL          ! couple all selected nodes. This constitutes
!                        coupled set #1. ANSYS allows to define many
!                        coupled sets. This could be explored, for
!                        example, to define currents in several bars.
!                        Her we use only one coupled set.
!
*get,n1,node,,num,min  ! get a node at z=l
F,n1,AMPS,curr,curi    ! impress current at specified node.
!
NSEL,ALL               ! select all nodes
!
! *** assemble and solve equations system
!
SOLVE
!
FINISH                 ! exit solution processing
!
! *** Extract solution
!
/POST1                 ! Enter postprocessor
!
/COM
/COM ********* real part ***************
/COM
SET,1,1                  ! A harmonic analysis provides two result data sets.
!                        The SET command is used to select a data set
!                        to carry out operations upon. The default set
!                        is the real part of the last solution step.
!
! *** Use the element table (ETABLE) option to
!     - store postprocessing items such as volume, centroid coordinates
!          magnetic field, flux density, current density, element energy,
!          Joule loss, magnetic force
!     - print items in a table format
!     - carry out operations over items
!     - obtain totals by summing up element items
!
! --- define element table item
!
ETABLE,fxr,FMAG,X    ! Store x component of time-average force
PRETAB,fxr           ! Print x component of time-average force
!
POWERH               ! calculate time-average power loss
!
SSUM                 ! Sum element items to obtain totals/COM
!
FINISH
!
! *** advanced part: coupling
!
!    Up to this point magnetics was considered only.
!    It is demonstrated below, how the results of a magnetic analysis
!    can be passed to subsequent thermal and/or structural analyses.
!
! *** couple with thermal analysis
!
/PREP7               ! enter preprocessor
!                      nodes and elements defined in the magnetic analysis
!                      are used for the thermal analysis
!
ET,1,90              ! change element type #1, which used to be a magnetic
!                      element to a thermal element
!
LDREAD,HGEN,,,,2,,rst! Read heat generation (HGEN) load from the result file,
!                      of the magnetic analysis which defaults to jobname.rst
!
!                      Note that the result file name changed compared to
!                      a static analysis.
!
!                      The heat generation rate (Joule power loss) is the
!                      sum of Joule heat parts obtained in real and imaginary
!                      result set. This is automatically done if the KIMG
!                      slot of LDREAD is set to 2, as show above.
!
BFELIST,ALL,HGEN     ! List heat generation (HGEN) element body loads
!                      Compare the list with the element Joule power loss
!
FINISH               ! Exit preprocessor
!                      From this point on follow steps of a thermal analysis
!
! *** couple with structural analysis
!
/PREP7               ! enter preprocessor
!                      nodes and elements defined in the magnetic analysis
!                      are used for the structural analysis
!
ET,1,45              ! change element type #1, which used to be a magnetic
!                      element to a structural element
!
LDREAD,FORC,,,,2,,rst! Read nodal force (FORCE) load from the result file,
!                      of the magnetic analysis which defaults to jobname.rst
!
!                      Note that the result file name changed compared to
!                      a static analysis.
!
!                      The heat generation rate (Joule power loss) is the
!                      sum of Joule heat parts obtained in real and imaginary
!                      result set. This is automatically done if the KIMG
!                      slot of LDREAD is set to 2, as show above.
!
FLIST                ! List nodal forces
!                      Compare the list with the element nodal magnetic force
!                      (FMAG) printout. Note that a nodal force for the
!                      structural analysis is the sum of nodal magnetic forces
!                      over elements adjacent to the pertinent node.
!
FINISH               ! Exit preprocessor
!                      From this point on follow steps of a structural analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.4. Reviewing Results 		Up / Home Next
Chapter 8. 3-D Transient Magnetic Analysis (Edge-Based)


Chapter 8. 3-D Transient Magnetic Analysis (Edge-Based)

The 3-D transient analyses the ANSYS program performs with edge elements are essentially the same as the 3-D MVP transient analyses discussed in "3-D Nodal-Based Analyses (Static, Harmonic, and Transient)" of this manual, except that the edge and MVP formulations have different functionality and use different degrees of freedom. Edge-based analyses use the frontal (default), sparse, JCG, and ICCG solvers. The Basic Analysis Guide describes these solvers in more detail.

The ANSYS program supports 3-D static, harmonic, and transient edge-based analyses. The two chapters preceding this chapter discuss 3-D static edge-based analysis and 3-D harmonic edge-based analysis.

The ANSYS program provides only one element type for low-frequency edge formulation analysis, SOLID117. For a detailed description of SOLID117, see the Elements Reference.

For a proper electromagnetic analysis, the continuity equation must be satisfied and the current density must be solenoidal (i.e. div J = 0). This means that the current density must satisfy the law of conservation of matter. That is, the current density cannot have sources or sinks. For more information on the solenoidal condition, see Elements Used in Edge-Based Analysis.

The following edge-based transient analysis topics are available:

  • Performing a Transient Edge-Based Analysis
  • Reviewing Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.5. Example of a 3-D Harmonic Edge-Based Analysis (Command Method) 		Up / Home Next
8.1. Performing a Transient Edge-Based Analysis


8.1. Performing a Transient Edge-Based Analysis

To perform a transient edge-based magnetic analysis, do the following tasks:

  1. Specify the electromagnetics edge formulation by choosing Main Menu> Preferences> Electromagnetics: Magnetic-Edge from the GUI. Doing so lets you filter out other ANSYS commands not involved in edge analysis.

  2. Define a jobname and title for your analysis. To do so, use the commands or GUI paths shown below:

    Command(s): /FILNAME and
    /TITLE
    GUI: Utility Menu> File> Change Jobname
    Utility Menu> File> Change Title

  3. Enter the ANSYS preprocessor to begin defining your model:

    Command(s): /PREP7
    GUI: Main Menu> Preprocessor

  4. Choose element type SOLID117 (the edge element) via either of the following:

    Command(s): ET,,117
    GUI: Main Menu> Preprocessor> Element Type> Add/Edit/Delete

  5. Select the formulation option suitable for the specified element type and physics region. (For information on formulation options, see Using the Different Formulations in "3-D Magnetostatics and Fundamentals of Edge-Based Analysis".)

    Command(s): KEYOPT
    GUI: Main Menu> Preprocessor> Element Type> Add/Edit/Delete

  6. Define material properties. "2-D Static Magnetic Analysis" describes the material properties you can use and tells you how to specify them. For an eddy current region, you must specify the electric resistivity, RSVX.

  7. Build the model. For instructions on building and meshing models, see the Modeling and Meshing Guide.

  8. Assign attributes to the volumes (that is, associate the element types, the conducting and nonconducting regions, the material properties, etc. with the appropriate volumes).

    Command(s): VATT
    GUI: Main Menu> Preprocessor> Meshing> Mesh Attributes> Define

  9. Mesh the model, specifying brick (mapped) meshing. This requires you to use six-sided volumes or concatenation.

    Command(s): VMESH
    GUI: Main Menu> Preprocessor> Meshing> Mesh> Volumes> Mapped

  10. Enter the SOLUTION processor, using either of the following:

    Command(s): /SOLU
    GUI: Main Menu> Solution

  11. Apply flux-parallel and flux-normal solid model boundary conditions to the boundaries.

    Command(s): DA
    GUI: Main Menu> Solution> Define Loads> Apply> Magnetic> Boundary

    For edge-based analyses, the label AZ (when set to zero) applies the flux-parallel boundary condition. No prescription is required to set flux-normal, because it is the natural boundary condition. In the rare case where the AZ = 0 condition is not general enough for flux-parallel conditions, you can prescribe constraints using individual D commands (or the equivalent GUI path).

  12. Apply source loading.

    Note

    You can use constraint equations to define cyclic symmetry.

  13. Choose the transient analysis type.

    Command(s): ANTYPE,TRANSIENT,NEW
    GUI: Main Menu> Solution> Analysis Type> New Analysis> Transient

    To restart a previous analysis (for example, to specify additional loads), issue the command ANTYPE,TRANSIENT,REST. You can restart an analysis only if you previously completed a 3-D edge-based magnetic analysis, and the files Jobname.EMAT, Jobname.ESAV, and Jobname.DB from the previous run are available.

  14. Define analysis options.

    Next, you define which solution method and which solver you want to use.

    To select a solution method, use either of the following:

    Command(s): TRNOPT
    GUI: Main Menu> Solution> Analysis Type> New Analysis>Transient

    Transient magnetic analyses require the full solution method.

    Edge formulation analyses can use the sparse solver (default), the frontal (FRONT) solver, the Jacobi Conjugate Gradient (JCG) solver, or the Incomplete Cholesky Conjugate Gradient (ICCG) solver. Select an equation solver using either of the following:

    Command(s): EQSLV
    GUI: Main Menu> Solution> Analysis Type> Analysis Options

  15. Choose load step options. Load step options are described in the following sections.

8.1.1. Time Option

This option specifies time at the end of the load step.

Command(s): | TIME
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Time - Time Step Main Menu> Solution> Load Step Opts> Time/Frequenc> Time - Time Step

8.1.2. Number of Substeps or Time Step Size

The integration time step is the time increment used in the time integration scheme. You can specify it directly via the DELTIM command or its equivalent menu path, or indirectly via NSUBST or its menu path equivalent.

Time step size determines the accuracy of your solution. The smaller the time step size, the higher the accuracy. The size of the first integration time step following any large step change in loading conditions is especially critical. You can reduce inaccuracies such as thermal overshoot by reducing the integration time step size.

Caution

Avoid using extremely small time steps, especially when establishing initial conditions. Very small numbers can cause calculation errors in ANSYS. For instance, on a problem time scale of unity, time steps smaller that 1E-10 can cause numerical errors.

If you step-apply loads, ANSYS applies the entire load value at the first substep and holds it constant for the remainder of the load step. If you ramp loads (the default), ANSYS increments the load values at each substep.

Command(s): | NSUBST, DELTIM
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Time and Substps Main Menu> Solution> Load Step Opts> Time/Frequenc> Time and Substps Main Menu> Solution> Load Step Opts> Time/Frequenc> Time - Time Step

8.1.3. Automatic Time Stepping

Also called time step optimization in a transient analysis, automatic time stepping allows ANSYS to determine the size of load increments between substeps. It also increases or decreases the time step size during solution, depending on how the model responds.

For most problems, you should turn on automatic time stepping and set upper and lower limits for the integration time step. The limits help to control how much the time step varies.

Command(s): | AUTOTS
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Time and Substps Main Menu> Solution> Load Step Opts> Time/Frequenc>Time and Substps Main Menu> Solution> Load Step Opts> Time/Frequenc>Time - Time Step

8.1.4. Newton-Raphson Options

These options specify how often the tangent matrix is updated during a nonlinear solution. Available options are:

  • Program-chosen (default)

  • Full

  • Modified

  • Initial-stiffness.

For a nonlinear analysis, the full Newton-Raphson option is recommended. The adaptive descent option may help convergence in transient problems. To specify Newton-Raphson options, use either of the following:

Command(s): | NROPT
GUI: | Main Menu> Solution> Analysis Type> Analysis Options

8.1.5. Number of Equilibrium Iterations

This option obtains a converged solution at each substep. The default is up to 25 equilibrium iterations, but you may need to increase the number depending on the degree of nonlinearity. For linear transient analysis, specify one iteration.

Command(s): | NEQIT
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Nonlinear> Equilibrium Iter Main Menu> Solution> Load Step Opts> Nonlinear> Equation Iter

8.1.6. Convergence Tolerances

ANSYS considers a nonlinear solution to be converged whenever specified convergence criteria are met. Convergence checking may be based on magnetic potential (A), magnetic current segment (CSG), or both. You specify a typical value for the desired item (VALUE field) and a tolerance about the typical value (TOLER field). ANSYS then calculates the convergence criterion via VALUE X TOLER. For example, it you specify 5000 as the typical value for magnetic current segment and 0.001 as the tolerance, the convergence criterion for magnetic flux would be 5.0.

ANSYS, Inc. recommends that VALUE be left to the default (program-calculated) and that TOLER be set to 1.0E-3.

For potentials, ANSYS compares the change in nodal potentials between successive equilibrium iterations (ΔA = Ai - Ai-1) to the convergence criterion.

For magnetic current segment, ANSYS compares the out-of-balance load vector to the convergence criterion. If the solution dies not converge within the specified number of equilibrium iterations, the program either stops or moves on to the next load step, depending on whether you activated the option to terminate an unconverged solution (see below).

Command(s): | CNVTOL
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Nonlinear> Convergence Crit. Main Menu> Solution> Load Step Opts> Nonlinear> Convergence Crit.

8.1.7. Terminate an Unconverged Solution

If ANSYS cannot converge the solution within the specified number of equilibrium iterations, ANSYS either stops the solution or moves on to the next load step, depending on what you specify as the stopping criteria.

8.1.8. Control Printed Output

This option enables you to include any results data in the printed output file (Jobname.OUT).

Command(s): | OUTPR
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Output Ctrls> Solu Printout Main Menu> Solution> Load Step Opts> Output Ctrls> Solu Printout

8.1.9. Control Database and Results File Output

This option controls what data goes to the results file (Jobname.RMG).

Note

By default, the ANSYS program writes only the last substep of each load step to the results file. If you want all substeps (that is, the solution at all frequencies) on the results file, specify a frequency or ALL or 1.

Command(s): | OUTRES
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Nonlinear> Convergence Crit Main Menu> Solution> Load Step Opts> Nonlinear> Convergence Crit

8.1.10. Saving a Backup Copy of the Database

Use the SAVE_DB button on the ANSYS Toolbar to save a backup copy of the ANSYS database. This enables you to retrieve your model should your computer fail while analysis is in progress. To retrieve a model, re-enter ANSYS and use one of the following:

Command(s): | RESUME
GUI: | Utility Menu> File> Resume Jobname.db

8.1.11. Starting the Solution

In this step, you initiate the solution for all loads steps using one of the following:

Command(s): | LSSOLVE
GUI: | Main Menu> Solution> Solve> From LS Files

If only a single load step is used, you may use one of the following:

Command(s): | SOLVE
GUI: | Main Menu> Solution> Solve> Current LS

When you use the edge-element formulation, by default the ANSYS program gauges the problem domain over all selected elements and nodes. Gauging removes unneeded degrees of freedom by setting them to zero; this in turn enables ANSYS to solve your analysis problem faster. You can control gauging using either of the following:

Command(s): | GAUGE
GUI: | Main Menu> Solution> Load Step Opts> Magnetics> Options Only> Gauging

Gauging is required for static electromagnetic analyses with elements using an edge formulation. Therefore, in most cases you should not turn automatic gauging off. The GAUGE,OFF command is designed for expert ANSYS users who wish to apply their own gauging. The ANSYS program removes the extra constraints set by gauging after solution; therefore, gauging is transparent to users.

  1. To leave the SOLUTION processor, use one of the following:

    Command(s): FINISH
    GUI: Main Menu> Finish

  2. Do postprocessing and review the analysis results, as described below.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 8. 3-D Transient Magnetic Analysis (Edge-Based) 		Up / Home Next
8.2. Reviewing Results


8.2. Reviewing Results

The ANSYS and ANSYS Emag programs write results from a transient analysis to the magnetic results file, Jobname.RST. Results include the data listed below:

Primary data: Nodal DOFs (AZ, VOLT)

Derived data:

  • Nodal magnetic flux density (BX, BY, BZ, BSUM)

  • Nodal magnetic field intensity (HX, HY, HZ, HSUM)

  • Nodal magnetic forces (FMAG: components X, Y, Z, SUM)

  • Total current density (JTZ, JTY, JTZ, JTSUM)

  • Joule heat per unit volume (JHEAT)

  • Element magnetic energy (SENE)

  • ... etc.

Additional data are available. See the Elements Reference for details.

You can review analysis results in POST1, the general postprocessor, or in POST26, the time-history postprocessor:

  • POST26 enables you to review results at specific points in the model over the entire transient.

  • POST1 enables you to review results over the entire model at specific time points.

To choose a postprocessor, choose one of the following:

Command(s): | /POST1 or /POST26
GUI: | Main Menu> General Postproc Main Menu> TimeHist Postpro

For a complete description of all postprocessing functions, see the Basic Analysis Guide.

8.2.1. Reading Results in POST26

"3-D Magnetostatics and Fundamentals of Edge-Based Analysis" of this manual summarizes the results available for postprocessing.

To review results in POST26, the time-history postprocessor, the ANSYS database must contain the same model for which the solution was calculated, and the Jobname.RST file (the results file) must be available. If the model is not in the database, restore it using the command or menu path listed below and then use the SET command or its equivalent menu path to read in the desired set of results.

Command(s): | RESUME
GUI: | Utility Menu> File> Resume Jobname.db

POST26 works with tables of result item versus time, known as variables. Each variable is assigned a reference number, with variable number 1 reserved for time. Therefore, the first thing you need to do is define the variables.

To define primary data variables, use either of the following:

Command(s): | NSOL
GUI: | Main Menu> TimeHist Postpro> Define Variables

To define derived data variables, use either of the following:

Command(s): | ESOL
GUI: | Main Menu> TimeHist Postpro> Define Variables

To define reaction data variable, use either of the following:

Command(s): | RFORCE
GUI: | Main Menu> TimeHist Postpro> Define Variables

Once you have defined these variables, you can graph them (versus time or any variable). To do so, use this command or menu path:

Command(s): | PLVAR
GUI: | Main Menu> TimeHist Postpro> Graph Variables

To list the variables, use this command or menu path:

Command(s): | PRVAR
GUI: | Main Menu> TimeHist Postpro> List Variables

To list only the extreme variable values, use this command or menu path:

Command(s): | EXTREM
GUI: | Main Menu> TimeHist Postpro> List Extremes

By reviewing the time-history results at strategic points throughout the model, you can identify the critical time points for further POST1 postprocessing.

To calculate and summarize electromagnetic forces, power loss, energy, and current on element components (created in the PREP7 preprocessor via the CM command or Utility Menu> Select> Comp/Assembly> Create Comp/Assembly), you can use either of the following:

Command(s): | PMGTRAN
GUI: | Main Menu> TimeHist Postpro> Elec&Mag> Magnetics

POST26 offers many other functions, such as performing math operations among variables, moving variables into array parameters, etc. For more information, see the Basic Analysis Guide.

8.2.2. Reading Results in POST1

To review results in POST1, the ANSYS database must contain the same model for which the solution was calculated. Also, the results file (Jobname.RST) must be available.

To read results at the desired time point into the database, use either of the following:

Command(s): | SET,,,,,TIME
GUI: | Utility Menu> List> Results> Load Step Summary

If you specify a time value for which no results are available, ANSYS performs linear interpolation to calculate the results at that time. The program uses the last time point if the time specified is beyond the time span of the transient analysis. You can also identify the results to be read by their load step and substep numbers.

You can display contours of scalar potential (VOLT) flux density (BX, BY, BZ) and field intensity (HX, HY, HZ) using either of the following methods:

Command(s): | PLESOL, PLNSOL
GUI: | Main Menu> General Postproc> Plot Results> Contour Plot> Element Solution Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu

8.2.2.1. Calculating Other Items of Interest

You can calculate many other items of interest (such as global forces, torque, source input energy, inductance, flux linkages, and terminal voltage) from the data available in the database in postprocessing. The ANSYS command set supplies the following macros for these calculations:

  • The SENERGY macro determines the stored magnetic energy or co-energy.

  • The FMAGBC macro applies force boundary conditions to an element component.

  • The FMAGSUM macro summarizes electromagnetic force calculations on element components.

  • The MMF macro calculates magnetomotive force along a path.

  • The PMGTRAN macro summarizes electromagnetic results from a transient analysis.

  • The POWERH macro calculates the RMS power loss in a conducting body.

For more discussion of these macros, see "Electric and Magnetic Macros".

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.1. Performing a Transient Edge-Based Analysis 		Up / Home Next
Chapter 9. 3-D Nodal-Based Analyses (Static, Harmonic, and Transient)


Chapter 9. 3-D Nodal-Based Analyses (Static, Harmonic, and Transient)

To perform this type of magnetic analysis, you use the same procedures as in a 2-D static analysis; see Steps in a Static Magnetic Analysis. Select Main Menu> Preferences> Magnetic> Nodal to ensure that the appropriate elements and load options will be available to you. Define the physics environment for the analysis as you would for a 2-D static analysis, with the exceptions discussed next.

The following 3-D nodal-based analysis topics are available:

  • Elements Used in a 3-D Static Magnetic MVP Analysis
  • Defining Analysis Settings
  • Performing a 3-D Static Magnetic MVP Analysis
  • Reviewing Results
  • Performing a 3-D Nodal-Based Harmonic Analysis
  • Applying Loads to and Solving 3-D Nodal-Based Harmonic Analyses
  • Reviewing Results from a 3-D Harmonic (Nodal-Based) Analysis
  • Performing a 3-D Transient (Nodal-Based) Analysis
  • Reviewing Results from a 3-D Transient (Nodal-Based) Analysis
  • Combining the Scalar and Vector Potential Methods

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.2. Reviewing Results 		Up / Home Next
9.1. Elements Used in a 3-D Static Magnetic MVP Analysis


9.1. Elements Used in a 3-D Static Magnetic MVP Analysis

For a 3-D static nodal-based analysis, select SOLID97, the 3-D magnetic vector potential element, instead of 2-D elements. For a detailed description of SOLID97, see the Elements Reference. Use the far-field (infinite boundary) element INFIN111 to represent infinite boundaries for 3-D vector formulations.

KEYOPT(1) allows you to select element formulations for the physics regions in your model. (See Characteristics and Settings for Physical Regions of a Model for more information on the various physical regions that you can model.)

Classical Formulation (Current Density Loading)
KEYOPT(1) = 0: AX, AY, AZ degrees of freedom: static domain, source domain - - supported for cyclic symmetry (periodic) analyses
KEYOPT(1) = 1: AX, AY, AZ, VOLT degrees of freedom: eddy current domain, velocity effect domain
Classical Formulation (Voltage or Circuit Loading)
KEYOPT(1) = 2: AX, AY, AZ, CURR degrees of freedom: voltage-fed stranded coil
KEYOPT(1) = 3: AX, AY, AZ, CURR, EMF degrees of freedom: circuit-coupled stranded coil
KEYOPT(1) = 4: AX, AY, AZ, VOLT, CURR degrees of freedom: circuit-coupled massive conductor
Solenoidal Formulation (Current, Voltage, or Circuit Loading) - - supported for cyclic symmetry (periodic) analyses
KEYOPT(1) = 5: AX, AY, AZ, VOLT degrees of freedom: nonlinear symmetric solenoidal formulation
KEYOPT(1) = 6: AX, AY, AZ, VOLT degrees of freedom: linear unsymmetric solenoidal formulation

Note

For KEYOPT(1) = 1 and 4, the VOLT degree of freedom is time integrated. For KEYOPT(1) = 5 and 6, the VOLT degree of freedom is not time integrated.

For a proper electromagnetic analysis, the continuity equation must be satisfied and the current density must be solenoidal (i.e. div J = 0). This means that the current density must satisfy the law of conservation of matter. That is, the current density cannot have sources or sinks.

2-D planar and axisymmetric problems automatically satisfy the solenoidal condition. However, 3-D problems do not automatically satisfy this condition. For the classical SOLID97 formulations discussed in this chapter, you can directly apply a current density load using the BFE,,JS command. However, you need to verify that the solenoidal condition is satisfied when prescribing the source current density. If this condition is not satisfied, the classical SOLID97 formulations can produce erroneous solutions. To make sure that the applied current density is solenoidal, perform a preliminary static electric current conduction analysis to obtain the current density distribution (e.g. using SOLID5 or SOLID69, see "Electric Field Analysis"). Once the currents are determined, bring them into the magnetic analysis using the LDREAD command.

The solenoidal formulations automatically satisfy the solenoidal condition by directly solving for current (density) using a coupled current conduction and electromagnetic field solution. The nonlinear symmetric solenoidal formulation (KEYOPT(1) = 5) is applicable to static and transient analyses. The linear unsymmetric solenoidal formulation (KEYOPT(1) = 6) is applicable to harmonic analysis.

For current-fed coils using the solenoidal formulation, you input current using F,,AMPS. To do so, perform the following steps:

  1. Set the VOLT DOFs to zero at the ground nodes of the coil (D,,VOLT).

  2. Couple the VOLT DOFs at the source nodes of the coil (CP,,VOLT)

  3. Set the current at any hot node (F,,AMPS).

The solenoidal formulations are applicable to voltage-fed and circuit-fed conductors as well. For voltage-fed conductors, perform the following steps:

  1. Set the VOLT DOFs to zero at the ground nodes of the coil (D,,VOLT).

  2. Set the VOLT DOFs at the source nodes of the coil (D,,VOLT)

For circuit-fed conductors, perform the following steps:

  1. Set the VOLT DOFs to zero at the ground nodes of the coil (D,,VOLT).

  2. Couple the VOLT DOFs at the source nodes of the coil (CP,,VOLT)

  3. Connect the circuit elements (CIRCU124, CIRCU125, and TRANS126) to the model.

The solenoidal formulations are applicable in source conductor regions only. These source conductors are assumed to be free of eddy currents.

The solenoidal formulations are recommended for most problems. For an example problem, see Example LMATRIX Calculation for a Coil in a Slot (Command Method).

9.1.1. Specifying Real Constants

For voltage-fed or circuit-fed stranded coils (available only for the SOLID97 element), you must specify the following real constants to completely describe the stranded coil:

CARE | This constant represents the true physical cross-section of the stranded coil regardless of any symmetry modeling considerations. It also is assumed that this cross-sectional area does not change along the length of the coil.
TURN | This is the total number of winding turns in a stranded coil regardless of any symmetry modeling considerations.
VOLU | This represents the actual volume of the finite element coil region, not the total volume of the full coil.
DIRX, DIRY, DIRZ Components of a vector describing the orientation of the current density. For these elements, the direction constants would be (DIRX, DIRY, DIRZ) = (1,0,0). Figure 9.1: "Stranded Bar and Circular Coil" (b) below illustrates a 90° arc of a stranded conductor model. To specify a THETA-direction current flow, do these steps:

  1. Specify a cylindrical element coordinate system using ESYS (Main Menu> Preprocessor> Modeling> Create> Elements> Elem Attributes).

  2. Modify the elements to inherit the new ESYS attribute, using EMODIF (Main Menu> Preprocessor> Modeling> Move/Modify> Elements> Modify Attrib).

  3. Set the direction constants as (DIRX, DIRY, DIRZ) = (0,1,0).

CSYM | This constant is the coil symmetry factor; the multiplier of the VOLU constant required to represent the total volume of the full coil. CSYM times VOLU equals the total volume of the conductor.
FILL | The coil fill factor represents the fraction of the coil cross-section that the conductor occupies. You can use this factor to adjust coil resistance.

Figure 9.1 Stranded Bar and Circular Coil

9.1.2. Incorporating Velocity Effects

Electromagnetic fields may be solved for special cases of moving bodies. "2-D Static Magnetic Analysis" discusses application and limitations for motion analysis. In 3-D, only the SOLID97 element is available for considering velocity effects using an element KEYOPT option.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 9. 3-D Nodal-Based Analyses (Static, Harmonic, and Transient) 		Up / Home Next
9.2. Defining Analysis Settings


9.2. Defining Analysis Settings

9.2.1. Defining the Analysis Type

You define the analysis type for a 3-D static analysis using the same methods you would use for a 2-D static analysis. That is, you choose either menu path Main Menu> Solution> Analysis Type> New Analysis, the command ANTYPE,STATIC,NEW, or ANTYPE,STATIC,REST to restart a previous 3-D analysis.

If you are using velocity effects, however, you cannot solve a static (DC) field excitation with a moving conductor in 3-D using the static analysis option (ANTYPE,STATIC). Instead, you must use a harmonic analysis (ANTYPE,HARMIC), driven at a very low frequency.

9.2.2. Defining Which Solver to Use

To select an equation solver, use either of the following:

Command(s): | EQSLV
GUI: | Main Menu> Solution> Analysis Type> Analysis Options

The JCG or ICCG solvers are recommended for 3-D models. Models that are voltage-fed or that include velocity effects produce unsymmetric matrices and can use only the sparse solver, the frontal solver, the JCG solver, or the ICCG solver. Circuit-fed models can use only the sparse solver or the frontal solver.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.1. Elements Used in a 3-D Static Magnetic MVP Analysis 		Up / Home Next
9.3. Performing a 3-D Static Magnetic MVP Analysis


9.3. Performing a 3-D Static Magnetic MVP Analysis

9.3.1. Applying Loads and Obtaining the Solution

To enter the SOLUTION processor, use either of the following:

Command(s): | /SOLU
GUI: | Main Menu> Solution

The loads you can specify for a 3-D static MVP analysis are somewhat different from the loads that apply to a 2-D static analysis; however, the GUI paths you use to define them will be the same as those shown in "2-D Static Magnetic Analysis". The next few topics discuss the loads that apply to 3-D static magnetic analysis.

9.3.1.1. Magnetic Vector Potentials (AX, AY, AZ)

These loads specify flux-normal, flux-parallel, far-field, and periodic boundary conditions, as well as an imposed external magnetic field. The following table shows the values required for each type of boundary condition:

Boundary Condition | Value of AX, AY, AZ
Flux-normal | Set the normal component of A to zero, using DSYM,SYMM (Main Menu> Solution> Define Loads> Apply> Magnetic> Boundary> Vector Poten> Flux Normal> On Nodes).
Flux-parallel | Set in-plane components of A to zero.
Far-field | Use element INFIN111.
Far-field zero | Use AX = AY = AZ = 0.
Periodic | Use ANSYS' cyclic symmetry capability.
Imposed external field | A(X,Y,Z) does not equal zero.

Flux-parallel boundary conditions force the flux to flow parallel to a surface, while flux-normal boundary conditions force the flux to flow normal to a surface. You do not need to specify far-field zero boundary conditions if you use boundary element INFIN111 to represent the "infinite" boundary of the model. Use periodic boundary conditions in models that take advantage of periodic or cyclic symmetry; specify them using the CE or CP command or their equivalent menu paths.

For an imposed magnetic field, specify the appropriate nonzero value of AX, AY, or AZ.

9.3.1.2. Force Flags

See Force Flags in "2-D Static Magnetic Analysis" for a discussion on applying Maxwell Surfaces and Virtual Displacements to element components.

9.3.1.3. Voltage Drop (VLTG)

Use these loads to specify a voltage drop across a stranded coil. The units of VLTG are Volts in the MKS system. Voltage-drop loading is available only in the SOLID97 element using the AX, AY, AZ, CURR degree of freedom option.

To obtain a correct solution, you must couple all nodes of the conductor together in the CURR degree of freedom. ANSYS requires this, because CURR represents a unique number denoting the current per turn of the winding. If you do not couple the nodes, your solution will be incorrect.

9.3.1.4. Current Segments (CSG(X,Y,Z))

These apply nodal current loads. Units for current segments are ampere-meters in the MKS system.

Take care in distributing a current segment load along nodes. See the Modeling and Meshing Guide for a discussion of load distribution on nodes.

9.3.1.5. Maxwell Surfaces (MXWF)

See Maxwell Surfaces (MXWF).

9.3.1.6. Source Current Density (JS)

This specifies applied current to a source conductor. The units of JS are amperes/meter2 in the MKS system.

The continuity equation must be satisfied for a proper electromagnetic analysis as explained in the Theory Reference for ANSYS and ANSYS Workbench. For this reason the source current density, JS, must be solenoidal (i.e., [image] (JS) = 0). You should verify that this condition is satisfied when prescribing the source current density load. If this condition is not satisfied, SOLID97 can produce erroneous solutions without warning. (See Elements Used in a 3-D Static Magnetic MVP Analysis for more information on the classical SOLID97 formulations.)

In some cases, the source current density has constant magnitude and direction (e.g. bar, arc) and the solenoidal condition is automatically satisfied. The source current density can then be defined by the BFE command. In more complicated cases, the source current density distribution is not known (e.g. current bending in an elbow connected by two straight bar segments). In such cases, a preliminary static electric current conduction analysis should be performed to obtain the current density distribution (e.g., using SOLID5 or SOLID69, see "Electric Field Analysis"). Once the currents are determined, they may be brought into the magnetic analysis using the LDREAD command.

See Source Current Density (JS) for information on the use of the BFE command.

9.3.1.7. Magnetic Virtual Displacements (MVDI)

See Magnetic Virtual Displacements (MVDI).

9.3.2. Saving a Backup Copy of the Database

Use the SAVE_DB button on the ANSYS Toolbar to save a backup copy of the ANSYS database. This enables you to retrieve your model should your computer fail while analysis is in progress. To retrieve a model, re-enter ANSYS and use one of the following:

Command(s): | RESUME
GUI: | Utility Menu> File> Resume Jobname.db

9.3.3. Starting the Solution

For a nonlinear analysis, use a two-step solution sequence:

  1. Ramp the loads over three to five substeps, each with one equilibrium iteration.

  2. Calculate the final solution over one substep, with five to 10 equilibrium iterations.

You can specify the two-step solution sequence and initiate the solution using either of the following:

Command(s): | MAGSOLV (with OPT field set to zero)
GUI: | Main Menu> Solution> Solve> Electromagnet> Static Analysis> Opt&Solv

To learn how to step manually through the two-step solution sequence, see "Alternative Analysis Options and Solution Methods".

9.3.4. Finishing the Solution

To leave the SOLUTION processor, use either of the following:

Command(s): | FINISH
GUI: | Main Menu> Finish

9.3.5. Calculating the Inductance Matrix and Flux Linkage

For a system of coils, use the LMATRIX macro to calculate the differential inductance matrix and the total flux linkage in each coil. See the Theory Reference for ANSYS and ANSYS Workbench for more details.

To initiate the solution use the following:

Command(s): | LMATRIX
GUI: | Main Menu> Solution> Solve> Electromagnet> Static Analysis> Induct Matrix

Computing the differential inductance matrix and the total flux linkage in each coil requires several procedural steps. You must first assign components to coil elements, define nominal currents, and then perform a nominal solution about an operating point. See "Electric and Magnetic Macros" for procedural details and an example analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.2. Defining Analysis Settings 		Up / Home Next
9.4. Reviewing Results


9.4. Reviewing Results

The ANSYS and ANSYS Emag programs write results from a 3-D static analysis to the magnetics results file, Jobname.RMG. Results include the data listed below:

Primary data: Nodal magnetic potentials (AX, AY, AZ, CURR)

Derived data:

  • Nodal magnetic flux density (BX, BY, BZ, BSUM)

  • Nodal magnetic field intensity (HX, HY, HZ, HSUM)

  • Nodal magnetic forces (FMAG: components X, Y, SUM)

  • Nodal reaction current segments (CSGX, CSGY, CSGZ)

  • Element source current density (JSX, JSY, JSZ)

  • Joule heat per unit volume (JHEAT)

  • ... etc.

Additional data also are available. See the Elements Reference for details.

You can review analysis results in POST1, the general postprocessor, by choosing either of the following:

Command(s): | /POST1
GUI: | Main Menu> General Postproc

9.4.1. Reading in Results Data

Postprocessing for 3-D static magnetic analyses is basically the same as postprocessing for 2-D static analysis. See Reading in Results Data for more information.

9.4.1.1. Flux Lines

Flux lines are not readily available with the 3-D vector potential formulation. Use vector displays of flux density to visualize flux paths.

9.4.1.2. Contour Displays, Vector Displays, Tabular Listings, and Magnetic Forces

See Contour Displays, Vector Displays, Tabular Listings, and Magnetic Forces for more information.

9.4.1.3. Charged Particle Trace Displays

You can find details on how to graphically display a charged particle traveling in a magnetic field in Particle Flow and Charged Particle Traces and Controlling Particle Flow or Charged Particle Trace Displays in the Basic Analysis Guide. See Electromagnetic Particle Tracing in the Theory Reference for ANSYS and ANSYS Workbench for more details.

9.4.1.4. Coil Resistance and Inductance

For stranded coils with the voltage-fed or circuit-fed options, you can calculate the resistance and inductance of the coil. Each element stores values of resistance and inductance. Summing these values gives the total resistance and inductance of the modeled region of the conductor. To store and sum these values, select the conductor elements using the ETABLE,tablename,NMISC,n command. (For the n value, use 16 for resistance and 17 for inductance.) Use the SSUM command or its menu path equivalent to sum the data.

Inductance values calculated for voltage-fed stranded coils (KEYOPT(1) = 2 for SOLID97) or circuit-coupled stranded coils (KEYOPT(1) = 3 for SOLID97) are only valid under the following conditions:

  • The problem is linear (constant permeability).

  • There are no permanent magnets in the model.

  • Only a single coil exists in the model.

For a system of coils, use the LMATRIX macro to compute the differential inductance matrix and the total flux linkage in each coil. Refer to Calculating the Inductance Matrix and Flux Linkage and LMATRIX for information on the LMATRIX macro.

9.4.1.5. Calculating Other Items of Interest

You can calculate many other items of interest (such as global forces, torque, source input energy, inductance, flux linkages, and terminal voltage) from the data available in the database in postprocessing. The ANSYS command set supplies the following macros for these calculations:

  • The EMAGERR macro calculates the relative error in an electrostatic or electromagnetic field analysis.

  • The FLUXV macro calculates the flux passing through a closed contour.

  • The FMAGSUM macro summarizes electromagnetic force calculations on element components.

  • The MMF macro calculates magnetomotive force along a path.

  • The SENERGY macro determines the stored magnetic energy or co-energy.

For more discussion of these macros, see "Electric and Magnetic Macros".

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.3. Performing a 3-D Static Magnetic MVP Analysis 		Up / Home Next
9.5. Performing a 3-D Nodal-Based Harmonic Analysis


9.5. Performing a 3-D Nodal-Based Harmonic Analysis

As in any other type of ANSYS analysis, for harmonic magnetic analyses you define the physics environment, build a model, apply loads and obtain a solution, and then review the results. Most of the procedures for conducting a 3-D harmonic magnetic analysis are identical or similar to the procedures for doing 2-D harmonic analyses; this chapter discusses the tasks that are specific to 3-D nodal-based harmonic analysis.

9.5.1. Creating a Harmonic 3-D Physics Environment

A 3-D harmonic magnetic analysis using the nodal-based method uses the procedures described in "2-D Static Magnetic Analysis", with a few exceptions described here, to perform the tasks involved in defining a physics environment. (These tasks include setting GUI preferences, setting element types and element KEYOPTS, defining real constants, and so on.) For a nodal-based 3-D harmonic analysis, use the SOLID62, SOLID97, and CIRCU124 elements described in the Elements Reference.

You can find additional details in the Basic Analysis Guide and the Modeling and Meshing Guide. When specifying material properties, in general use the same methods discussed in "2-D Static Magnetic Analysis"; that is, where possible, use existing material property definitions from the ANSYS material library or that other ANSYS users at your site have developed.

9.5.1.1. Using DOFs to Manage Terminal Conditions on Conductors in 3-D Analyses

When you perform a 3-D nodal-based harmonic analysis, the ANSYS program gives you several options to handle terminal conditions on conductors. These options involve adding different degrees of freedom (DOFs) in the conducting region. Two DOF options for conductors and terminals (discussed below) exist in 3-D nodal-based analyses

9.5.1.1.1. The AX, AY, AZ, VOLT Option

Conductors modeled with the AZ, AY, AZ, VOLT DOF set simulate both short-circuit and open circuit conditions. The VOLT DOF represents a time-integrated electric potential.

Use this DOF set to establish proper induced (eddy) current direction. Current will flow parallel to unspecified conductor boundaries, and perpendicular to constant VOLT boundaries.

To establish a short-circuit condition, do the following:

  • Prescribe VOLT = 0 at symmetry planes of a conductor. This indicates no net buildup of potential.

  • For general 3-D structures not connected to a circuit, set VOLT = 0 at one node.

  • Assign appropriate magnetic flux-parallel or flux-normal conditions.

To establish an open circuit condition, do the following:

  • For symmetry structures, set VOLT = 0 at one plane and couple the nodes at the other plane.

  • For general 3-D structures, set VOLT = 0 at one node.

  • Assign appropriate magnetic flux-parallel or flux-normal conditions.

To model a massive conductor fed by a current generator, "cut" the conductor and set VOLT = 0 at one cut-plane. Then couple the VOLT DOF at the other plane and drive the current at one node on the plane. To drive the current at one node, use either of the following:

Command(s): | F,,AMPS
GUI: | Main Menu> Solution> Loads> Apply> Electric> Excitation> Impressed Curr

9.5.1.1.2. The AX, AY, AZ, CURR Option

The AX, AY, AZ, CURR option is similar to the 2-D option AZ + CURR. You use it in 3-D analyses to model a voltage-fed stranded conductor. The CURR DOF represents the current flowing in each turn of the coil winding.

Voltage-fed stranded coils are available only for the SOLID97 element. For that element, you must specify real constants which characterize the stranded conductor. For descriptions of most of these real constants, see "2-D Static Magnetic Analysis" and "3-D Static Magnetic Analysis (Scalar Method)". In a 3-D analysis, however, you can specify the following additional coil constants:

  • CARE (Coil cross-sectional area. This constant represents the true physical cross-section of the stranded coil regardless of any symmetry modeling considerations.)

  • TURN (Total number of coil turns. This constant represents the total number of winding turns in a stranded coil regardless of any symmetry modeling considerations.)

  • VOLU (volume of the modeled conductor)

  • DIRX, DIRY, DIRZ (represent unit vectors that describe the direction of current flow)

  • CSYM (multiplier for VOLU to get the true coil volume)

Figure 9.2: "Coil Constants Applied to a Voltage-Fed Stranded Coil" below illustrates application of these coil constants. The figure depicts symmetry about a plane, for which only the top half needs to be modeled.

Figure 9.2 Coil Constants Applied to a Voltage-Fed Stranded Coil

Note

The coil cross-section must not change. You can use the coordinate system specified via the ESYS command (Main Menu> Preprocessor> Modeling> Create> Elements> Elem Attributes) to simplify current direction cosines.

9.5.1.2. Characteristics and Settings for Physical Regions of a Model

The ANSYS program offers several options you can use to handle terminal conditions on conductors in 3-D magnetic analyses. Figure 9.3: "Physical Region With Optional Terminal Conditions for Conductors" below pictures a physical region for a 3-D magnetic analysis and the conditions (options) that can exist within it.

Figure 9.3 Physical Region With Optional Terminal Conditions for Conductors

Laminated iron
Classical Formulation
DOF: AX, AY, AZ
Material properties: MUr (MURX)
Special characteristics; No eddy currents
Air
Classical Formulation
DOF: AX, AY, AZ
Material properties: MUr (MURX)
Special characteristics; No eddy currents
Moving conductor (velocity effects) You can model velocity effects from conductors moving at constant velocity with the SOLID97 element. For details on moving conductors, see the sections on velocity effects in this chapter and "2-D Static Magnetic Analysis".

Current-fed massive conductor
Classical Formulation
DOFs: AX, AY, AZ, VOLT
Material Properties: MUr(MURX), rho (RSVX)
Special characteristics: Couple VOLT DOF in region; apply total current (F,,AMPS) to single node

Note

Assumes a short-circuit condition with a net current flow from a current source generator. Net current is unaffected by surroundings.

Open circuit conductor
Classical Formulation
DOFs: AX, AY, AZ, VOLT
Material properties: MUr (MURX), rho (RSVX)

Note

For symmetry structures, set VOLT = 0 at one plane and couple nodes at the other. For general 3-D structures, set VOLT = 0 at one node.

Current-fed stranded coil
Classical Formulation
DOF: AX, AY, AZ
Material Properties: MUr (MURX)
Special characteristics: No eddy currents; can apply source current density, JS

Short circuit conductor
Classical Formulation
DOFs: AX, AY, AZ, VOLT
Material Properties: MUr (MURX), rho (RSVX)

Note

Prescribe VOLT = 0 at symmetry planes of a conductor to indicate no net buildup of potential.

Voltage-fed stranded coil
Classical Formulation
DOFs: AX, AY, AZ, CURR
Material Properties: MUr (MURX), rho (RSVX)

Note

CURR DOF represents the current per turn in the coil. The CURR DOF must be coupled for all nodes of the coil region.

Current-fed solid source conductor
Solenoidal Formulation
DOFs: AX, AY, AZ, VOLT
Material Properties: MUr(MURX), rho (RSVX)
Special characteristics: Couple VOLT DOF in region; apply total current (F,,AMPS command) to single node.
Assumptions: Solid conductor does not model eddy current effects within the conductor and has no back emf effects.

Voltage-fed solid source conductor
Solenoidal Formulation
DOFs: AX, AY, AZ, VOLT
Material Properties: MUr(MURX), rho (RSVX)
Special characteristics: Apply voltage drop (VLTG) via D command.
Assumptions: Solid conductor does not model eddy current effects within the conductor and has no back emf effects.

9.5.1.3. Velocity Effects

You may solve electromagnetic fields for special cases of moving bodies under the influence of an AC excitation. Velocity effects are valid for static, harmonic, and transient analyses. "2-D Static Magnetic Analysis" discusses applications and limitations for motion analysis.

You can use the following real constants for moving body analysis:

VELOX, VELOY, VELOZ | Velocity components in the Global Cartesian coordinate system X, Y, and Z directions respectively.
OMEGAX, OMEGAY, OMEGAZ | Angular (rotational) velocity (in Hz) about the Global Cartesian system X, Y, and Z axes respectively, located at the pivot point location (specified by XLOC, YLOC, and ZLOC).
XLOC, YLOC, ZLOC | Global Cartesian coordinate point locations of the rotating body in the X, Y, and Z directions respectively.

A 3-D harmonic analysis with a moving conductor requires that the moving conductor region include the time-integrated electric DOF (VOLT). You accomplish this by setting KEYOPT(1) = 1 (AX, AY, AZ, VOLT degrees of freedom).

See "2-D Harmonic (AC) Analysis" for a list of real constants used in moving body analysis.

You can use a harmonic analysis to simulate a moving conductor under a static (DC) field excitation. To closely approximate the static field, use a very low frequency in the harmonic analysis. Typically, a frequency less than .0001 Hz will yield a "near" static solution. The "static" solution will be stored in the "real" solution set (the KIMG = 0 argument on the SET command). If you use the frontal solver, the frequency can be set much lower (for example 10-8 Hz). However, if you use an iterative solver (JCG or ICCG solver), convergence problems may occur for extremely low frequencies.

9.5.1.4. Power Loss

See "2-D Harmonic (AC) Analysis" for details. Be careful in interpreting power loss. You should multiply power loss values by a factor of 2 to represent the DC power loss from a "static" excitation. You can use power loss in the moving conductor to calculate the drag force on the conductor in the direction of motion:

Power loss = Force x Velocity

9.5.1.5. Modeling Aids

The ANSYS program provides the RACE macro to automatically create a racetrack coil from SOURC36 primitives. Although intended for MSP domains, RACE can have MSP elements interfaced with elements constituting an MVP domain using element INTER115. For more information about these macros, see "Electric and Magnetic Macros".

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.4. Reviewing Results 		Up / Home Next
9.6. Applying Loads to and Solving 3-D Nodal-Based Harmonic Analyses


9.6. Applying Loads to and Solving 3-D Nodal-Based Harmonic Analyses

The loads for a 3-D harmonic (nodal-based) magnetic analysis and the procedures and GUI paths you use to apply those loads are identical to the loads and procedures for a 2-D harmonic magnetic analysis, with the two exceptions noted below. "2-D Harmonic (AC) Analysis" describes most of the loads and procedures. For 3-D harmonic loading, the differences are as follows:

  • For the 3-D SOLID62 and SOLID97 elements the load current (AMPS) requires the AX, AY, AZ, VOLT degrees of freedom. Current represents the total measurable current flow through a conductor (units of current).

  • When applying current on a 3-D model, select all nodes that lie in a cross-sectional plane of the skin-effect region where the load is to be applied and couple their VOLT DOFs. Then, apply the current at one node in the cross-section.

See Characteristics and Settings for Physical Regions of a Model for more information on physical regions and terminal conditions for conductors.

To solve a 3-D nodal harmonic analysis, follow the solution procedures described in "2-D Harmonic (AC) Analysis".

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.5. Performing a 3-D Nodal-Based Harmonic Analysis 		Up / Home Next
9.7. Reviewing Results from a 3-D Harmonic (Nodal-Based) Analysis


9.7. Reviewing Results from a 3-D Harmonic (Nodal-Based) Analysis

Follow the postprocessing procedures described in "2-D Harmonic (AC) Analysis".

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.6. Applying Loads to and Solving 3-D Nodal-Based Harmonic Analyses 		Up / Home Next
9.8. Performing a 3-D Transient (Nodal-Based) Analysis


9.8. Performing a 3-D Transient (Nodal-Based) Analysis

To perform a 3-D transient (nodal-based) analysis, follow the steps discussed in the next few topics.

9.8.1. Create the 3-D Transient Physics Environment

Create the physics environment according to the procedures described in "2-D Transient Magnetic Analysis", with the exceptions listed below:

  • Use element types SOLID62, SOLID97, and CIRCU124. For descriptions of these elements, see "3-D Static Magnetic Analysis (Scalar Method)". In-depth descriptions of all elements can be found in the Elements Reference.

  • Use the terminal conditions described in this chapter instead of those discussed in "2-D Harmonic (AC) Analysis".

  • In a 3-D nodal-based transient analysis, SOLID62 also provides displacement DOFs (UX, UY, and UZ).

  • In a 3-D transient nodal-based analysis, you can use a scalar potential element in nonconducting regions together with the vector/scalar interface element, INTER115. See the Elements Reference for more information about this element.

  • To model a circuit-fed coil in 3-D, specify the AX, AY, AZ, EMF, and CURR DOFs. To model massive conductors, use the AX, AY, AZ, VOLT, and CURR DOFs.

  • Voltage-fed stranded coils and velocity effects (available only for SOLID97) require certain real constants to completely describe the stranded coil. See the element's description in the Elements Reference for details.

See Characteristics and Settings for Physical Regions of a Model for more information on the various physical regions that you can model.

9.8.2. Apply Loads and Solve the Transient Analysis

Loading procedures for a 3-D nodal-based transient analysis basically are the same as the procedures for applying loads to a 2-D transient analysis (see "2-D Transient Magnetic Analysis"). For the 3-D analysis, however, note the following:

  • If you apply current as a load on elements SOLID62 or SOLID97, you must specify the AX, AY, AZ, and VOLT DOFs. In addition, select all nodes that lie in a cross-sectional plane of the skin effect regions where the load is to be applied and couple their VOLT DOFs.

  • You can apply voltage load (VLTG) as a load only on the SOLID97 element.

You can specify load step options for both 3-D and 2-D transient analyses. "Alternative Analysis Options and Solution Methods" describes these options.

To solve a 3-D nodal-based transient analysis, follow the procedures described in "2-D Transient Magnetic Analysis".

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.7. Reviewing Results from a 3-D Harmonic (Nodal-Based) Analysis 		Up / Home Next
9.9. Reviewing Results from a 3-D Transient (Nodal-Based) Analysis


9.9. Reviewing Results from a 3-D Transient (Nodal-Based) Analysis

Follow the postprocessing procedures described in "2-D Transient Magnetic Analysis". The Basic Analysis Guide presents additional information about postprocessing.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.8. Performing a 3-D Transient (Nodal-Based) Analysis 		Up / Home Next
9.10. Combining the Scalar and Vector Potential Methods


9.10. Combining the Scalar and Vector Potential Methods

You can combine the scalar and vector potential methods when your model contains some regions best represented by scalar potential domains (scalar potential elements and SOURC36 current sources), but also contains other regions requiring vector potential domains (with corresponding elements and loads).

Combined scalar/vector potential analyses have the same main steps as other analyses: create the physics environment, build the model, apply loads and obtain a solution, and then review the results.

9.10.1. Building a Model with Combined Regions

To build the scalar potential portion of the model, follow the procedures described in Scalar Potential Formulation. (You cannot use the DSP or GSP methods in a combined analysis.) You build the vector potential portion as described in the section of this chapter discussing 3-D static nodal-based analysis. You must interface the scalar potential and vector potential regions of the model with INTER115 elements:

Command(s): | ESURF
GUI: | Main Menu> Preprocessor> Modeling> Create> Elements> Surf/Contact> Surf Effect> Attch to Fluid> Extra Node Main Menu> Preprocessor> Modeling> Create> Elements> Surf/Contact> Surf Effect> General Surface> No extra Node

Caution

Do not place the INTER115 element at the interface of an air-iron boundary. If you do, coupling across the vector-scalar potential interface will be inaccurate, causing the solution also to be inaccurate. For best results, ensure that the interface between the vector and scalar domains occurs within a single homogenous material, such as air.

Set the normal component of the vector potential at the vector-scalar interface, where the INTER115 element is located, to zero, as shown in Figure 9.4: "Normal Component of the Vector Potential".

Figure 9.4 Normal Component of the Vector Potential

Setting A · n = 0 at the interface satisfies the Coulomb gauge condition and ensures that the vector potential solution is unique. You can easily achieve node rotation for Cartesian, cylindrical, spherical, and toroidal boundaries from which you can set the normal component to zero. To do node rotation, use one of the following:

Command(s): | NROTAT
GUI: | Main Menu> Preprocessor> Modeling> Create> Nodes>Rotate Node CS> To Active CS Main Menu> Preprocessor> Modeling> Move/Modify> Rotate Node CS> To Active CS

9.10.1.1. Interfacing Vector and Scalar Domains

In the vector potential region, if a multiply-connected conductor exists, it may not be "cut" by a vector-scalar interface. For example, the air "hole" inside a closed-loop (multiply-connected) conductor cannot contain a vector-scalar interface. In this case, you must enclose the entire conductor and "hole" region with vector potential elements, then encase the entire region with a scalar domain. Figure 9.5: "Proper Element Structuring" below shows the proper element structuring.

Figure 9.5 Proper Element Structuring

The INTER115 element cannot lie on a free surface. However, an element edge may exist at a free surface.

Place SOURC36 elements completely within the scalar potential region, and do not cross into INTER115 or vector potential elements. You can use INTER115 with scalar elements (SOLID5, SOLID96, and SOLID98) and the vector element SOLID97. See the description of INTER115 in the Elements Reference for additional restrictions.

9.10.2. Apply Loads and Solving the Combined Model

When combining the scalar and vector potential methods to solve a problem as shown in Figure 9.6: "Typical Magnetic Problem Domain With Vector-Scalar Interface", keep in mind the following:

  • The scalar potential region of a problem using an INTER115 boundary is limited to the Reduced Scalar Potential (RSP) formulation.

  • Do not include permeable material in the vector potential region.

  • You can locate non-eddy current iron domains in the scalar potential region. However, cancellation errors may occur and you need to check your results carefully.

  • For problems where the above restrictions apply, use SOLID117 (the edge element) to perform your analysis. See "3-D Magnetostatics and Fundamentals of Edge-Based Analysis" for information on SOLID117.

Figure 9.6 Typical Magnetic Problem Domain With Vector-Scalar Interface

To apply loads, follow the directions given in Applying Loads to a 3-D Scalar Static Analysis and in the static analysis section of this chapter. To solve a problem, follow the solution strategy for the vector potential formulation.

9.10.3. Reviewing Results

To review the results of a combined vector-scalar analysis, use the techniques described in this chapter and in the "Using the Reduced Scalar Potential (RSP) Method" section of "Alternative Analysis Options and Solution Methods".

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.9. Reviewing Results from a 3-D Transient (Nodal-Based) Analysis 		Up / Home Next
Chapter 10. Electric and Magnetic Macros


Chapter 10. Electric and Magnetic Macros

Electric and magnetic macros are ANSYS macros designed to help you prepare models and review results of a magnetic field analysis. The following macros currently are available:

  • CMATRIX calculates self and mutual capacitance coefficients between conductors.

  • CURR2D calculates current flow in a 2-D conductor.

  • EMAGERR calculates the relative error in an electrostatic or electromagnetic field analysis.

  • EMF calculates the electromotive force (emf) or voltage drop along a predefined path.

  • EMFT summarizes electromagnetic forces and torques on selected nodes (SOLID117, PLANE121, SOLID122, SOLID123 only).

  • EMTGEN generates a set of TRANS126 elements.

  • FLUXV calculates the flux passing through a closed contour.

  • FMAGBC applies force boundary conditions to an element component.

  • FMAGSUM summarizes electromagnetic force calculations on element components.

  • FOR2D calculates magnetic forces on a body.

  • HMAGSOLV specifies 2-D harmonic electromagnetic solution options and initiates the solution for a harmonic analysis.

  • LMATRIX calculates the differential inductance matrix and total flux linkage in each coil for an arbitrary set of coils.

  • MAGSOLV specifies magnetic solution options and initiates the solution for a static analysis.

  • MMF calculates magnetomotive force along a path.

  • PERBC2D generates periodic constraints for 2-D planar analysis.

  • PLF2D generates a contour line plot of equipotentials.

  • PMGTRAN summarizes electromagnetic results from a transient analysis.

  • POWERH calculates the RMS power loss in a conducting body.

  • RACE defines a "racetrack" current source.

  • SENERGY determines the stored magnetic energy or co-energy.

  • TORQ2D calculates torque on a body in a magnetic field.

  • TORQC2D calculates torque on a body in a magnetic field based on a circular path.

  • TORQSUM summarizes electromagnetic Maxwell and Virtual work torque calculations on element components for 2-D planar problems.

  • TZAMESH meshes the areas of a volume to create Trefftz nodes.

  • TZEGEN generates a Trefftz domain substructure and defines a Trefftz superelement for use in electrostatic analysis.

This chapter describes the macros in some detail. You can find more information about them in the Commands Reference and the Theory Reference for ANSYS and ANSYS Workbench.

Table 10.1: "Application of Electric and Magnetic Macros" shows where you can apply electric and magnetic macros.

Table 10.1 Application of Electric and Magnetic Macros

Magnetic Macros | PREP 7 | Sol | POST 1 | POST 26 | MVP Dom | MSP Dom | 2-D Pla- nar | 2-D Axi- sym | 3-D | Edge Form | Static | Harm | Trans | Elec- tro- stat
CMATRIX | Y | Y | - | - | - | - | Y | Y | Y | - | - | - | - | Y
CURR2D | - | - | Y | - | Y | - | Y | Y | Y | - | Y | Y | Y | -
EMAGERR | - | - | Y | - | Y | Y | Y | Y | Y | Y | Y | Y | Y | -
EMF[1] | - | - | Y | - | - | - | - | - | - | - | - | Y | - | Y
EMFT[1] | - | - | Y | - | - | - | - | - | Y | Y | Y | - | - | Y
EMTGEN | Y | - | - | - | - | - | Y | Y | Y | - | Y | Y | Y | Y
FLUXV | - | - | Y | - | Y | - | Y | Y | Y | - | Y | Y | Y | -
FMAGBC | Y | Y | - | - | Y | Y | Y | Y | Y | Y | Y | - | Y | Y
FMAGSUM[1] | - | Y | Y | - | Y | Y | Y | Y | Y | - | Y | - | Y | Y
FOR2D | - | - | Y | - | Y | - | Y | Y | - | - | Y | - | Y | -
HMAGSOLV | - | Y | - | - | Y | - | Y | Y | - | - | - | Y | - | -
LMATRIX | Y | Y | - | - | Y | Y | Y | Y | Y | Y | Y | - | - | -
MAGSOLV | Y | Y | - | - | Y | Y | Y | Y | Y | Y | Y | - | Y | -
MMF | - | - | Y | - | Y | Y | Y | Y | Y | Y | Y | Y | Y | -
PERBC2D | Y | - | - | - | Y | - | Y | - | - | - | Y | Y | Y | -
PLF2D | - | - | Y | - | Y | - | Y | Y | - | - | Y | Y | Y | -
PMGTRAN | - | - | - | Y | Y | Y | Y | Y | Y | Y | - | - | Y | -
POWERH | - | - | Y | - | Y | - | Y | Y | Y | Y | - | Y | - | -
RACE | Y | - | - | - | - | Y | - | - | Y | - | Y | [2] | [2] | -
SENERGY | - | - | Y | - | Y | Y | Y | Y | Y | Y | Y | Y | Y | -
TORQC2D | - | - | Y | - | Y | - | Y | - | - | - | Y | Y | Y | -
TORQ2D | - | - | Y | - | Y | - | Y | - | - | - | Y | - | Y | -
TORQSUM | - | - | Y | - | Y | - | Y | - | - | - | Y | Y | Y | -
TZAMESH | Y | - | - | - | - | - | - | - | Y | - | Y | Y | - | Y
TZEGEN | Y | - | - | - | - | - | - | - | Y | - | Y | Y | - | Y

  1. These macros also apply to electrostatic field problems.

  2. Can be used in conjunction with an MVP domain interfaced with element INTER115.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.10. Combining the Scalar and Vector Potential Methods 		Up / Home Next
10.1. Using Electric and Magnetic Macros


10.1. Using Electric and Magnetic Macros

The electric and magnetic macros can be grouped into four categories:

  • Modeling Aids
  • Solution Aids
  • Postprocessing Calculations

10.1.1. Modeling Aids

The RACE, PERBC2D, FMAGBC, EMTGEN, TZAMESH, and TZEGEN macros are available as modeling aids.

RACE generates a racetrack shaped current source from bar and arc primitives (SOURC36 elements). To invoke this macro, use one of the following:

Command(s): | RACE
GUI: | Main Menu> Preprocessor> Modeling> Create> Racetrack Coil Main Menu> Preprocessor> Loads> Loads> Apply> Magnetic> Excitation> Racetrack Coil

The RACE macro requires parameters as noted in Figure 10.1: "Racetrack Current Source". The racetrack is located by two parameters XC and YC; these are the distances to the midpoints of the coil thickness along the X and Y axes of the working plane, respectively. As input to the RACE macro, you can assign a component name, Cname, to the group of SOURC36 elements. Cname must be enclosed in single quotes in the RACE command line.

Figure 10.1 Racetrack Current Source

PERBC2D generates periodic boundary conditions by writing constraint equations or assigning node coupling necessary for two periodic symmetry planes. Use this method only for harmonic or transient magnetic analyses. For static analyses, use ANSYS' cyclic symmetry capability. Invoke the macro as follows:

Command(s): | PERBC2D
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Boundary> Vector Poten> Periodic BCs

The diagrams below illustrate the form for three options:

Figure 10.2 Periodic Symmetry at Two Planes at Constant Angles

Figure 10.3 Periodic Symmetry at Two Planes Parallel to the Y Axis

Figure 10.4 Periodic Symmetry at Two Planes Parallel to the X Axis

The odd symmetry option represents a half-period symmetry condition for a device. The even symmetry condition represents a full period condition (repeating structure).

FMAGBC applies Maxwell surface flags and virtual work boundary conditions to an element component. The macro groups elements comprising the object of interest a component. You specify the component name as input on the FMAGBC command or the equivalent GUI path shown below.

Command(s): | FMAGBC
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Flag> Comp. Force/Torq Main Menu> Solution> Define Loads> Apply> Magnetic> Flag> Comp. Force/Torq

EMTGEN generates a distributed set of TRANS126 elements between the surface of a moving structure and a plane (i.e. ground plane). This arrangement allows for fully coupled electrostatic-structural simulations for cases where the gap is small compared to the overall area of the structure. Invoke the macro as follows:

Command(s): | EMTGEN
GUI: | Main Menu> Preprocessor> Modeling> Create> Transducers> Node to Plane

TZAMESH meshes the areas of a volume to create Trefftz nodes. You create the Trefftz nodes by defining a simple solid model object (block, sphere, cylinder or Boolean union of them) that encompasses the modeled device, but is interior to the exterior finite element region. You mesh the simple solid model to create the Trefftz nodes. To do so, use one of the following:

Command(s): | TZAMESH
GUI: | Main Menu> Preprocessor> Trefftz Domain> Mesh TZ Geometry

TZEGEN generates a Trefftz domain substructure and incorporates it into the model as a superelement. Invoke the macro as follows:

Command(s): | TZEGEN
GUI: | Main Menu> Preprocessor> Trefftz Domain> Superelement> Generate TZ

10.1.2. Solution Aids

The MAGSOLV, HMAGSOLV, CMATRIX, and LMATRIX macros are available as solution aids.

10.1.2.1. MAGSOLV

MAGSOLV allows you to specify solution options quickly and initiate the solution for most magnetostatic analyses. It applies to 2-D and 3-D models, scalar, vector, and edge formulations, and linear and nonlinear analyses. The macro eliminates the need to use the MAGOPT command and step through a two-step or three-step solution sequence required for certain situations. It also allows you to specify convergence criteria for nonlinear analyses, and gives you an option to force recalculation of the Biot-Savart integration from current sources.

To invoke the MAGSOLV macro, use one of the following:

Command(s): | MAGSOLV
GUI: | Main Menu> Solution> Solve> Electromagnet> Static Analysis> Opt&Solv

When using MAGSOLV with the solenoidal formulation of SOLID117 (KEYOPT(1) = 5), set the CNVTOL field to specify a convergence tolerance for AMPS.

10.1.2.2. HMAGSOLV

HMAGSOLV allows you to specify solution options quickly and initiate the solution for harmonic electromagnetic analyses. It applies to 2-D models using the magnetic vector potential (MVP) formulation. It applies to linear and nonlinear analyses. The macro eliminates the need to step through a two-step solution sequence that would otherwise be required for nonlinear analyses. It also allows you to specify convergence criteria.

To invoke the HMAGSOLV macro, use one of the following:

Command(s): | HMAGSOLV
GUI: | Main Menu> Solution> Solve> Electromagnet> Harmonic Analys> Opt&Solv

10.1.2.3. CMATRIX

CMATRIX allows you to calculate “ground” and “lumped” capacitance matrices. The “ground” capacitance values relate the charge of one conductor with the conductor's voltage drop (to ground). The “lumped” capacitance values relate the capacitance's between conductors. For more details and an example problem, see Extracting Capacitance from Multi-conductor Systems and Doing an Example Capacitance Calculation (Command Method) of this manual, respectively. See the Theory Reference for ANSYS and ANSYS Workbench for more details.

To invoke the CMATRIX macro, use one of the following:

Command(s): | CMATRIX
GUI: | Main Menu> Solution> Solve> Electromagnet> Static Analysis> Capac Matrix

10.1.2.4. LMATRIX

LMATRIX allows you to calculate the differential inductance matrix and the total flux linkage in each coil for an arbitrary set of coils. See the Theory Reference for ANSYS and ANSYS Workbench for more details.

10.1.2.4.1. Overview

LMATRIX calculates the differential inductance matrix and total flux linkage about an "operating point" of a static magnetic field solution. The "operating point" is defined as a solution obtained with the working (nominal) currents applied to the system. The macro is valid for linear or nonlinear magnetostatic analyses.

The LMATRIX macro relies on files created from the operating point solution. The macro renames the files with a prefix OPER before execution and restores the files after the execution is complete. You may wish to save another copy of the files as a backup.

The macro returns an N x N+1 array parameter. The N x N block contains the differential inductance matrix values for a prescribed N-winding system, where N is the number of coils in the system. The N+1th column contains the total flux linkage, with the ith row corresponding to the ith coil. In addition, the matrix values are written to a text file for external use. The first table in the file shows the total flux linkage for each coil. The matrix row index (I) corresponds to the coil number. The second table shows the upper diagonal terms of the differential inductance matrix. I and J are the row and column indices of the matrix, and Induct is the inductance term for entry (I, J) of the matrix.

To invoke the LMATRIX macro, use one of the following:

Command(s): | LMATRIX
GUI: | Main Menu> Solution> Solve> Electromagnet> Static Analysis> Induct Matrix

10.1.2.4.2. Procedure

You need to assign nominal current values to the coil elements before calling the LMATRIX macro. For a magnetostatic analysis using the Reduced Scalar Potential (RSP), Difference Scalar Potential (DSP), or Generalized Scalar Potential (GSP) method, assign nominal currents to the coil elements by using SOURCE36 real constants. For a magnetostatic analysis using the Magnetic Vector Potential (MVP) or edge formulations, you can assign nominal current (in terms of current density) to the coil elements by using the BFV, BFA, or BFE commands. For 3-D problems using the MVP or edge formulations, you need to verify that a solenoidal condition is satisfied when prescribing the source current density. For more information on the solenoidal condition and how to verify it, see "3-D Magnetostatics and Fundamentals of Edge-Based Analysis" and "3-D Nodal-Based Analyses (Static, Harmonic, and Transient)". A more convenient way to guarantee a solenoidal condition is to use a SOLID97 or SOLID117 solenoidal formulation (see SOLID97 and SOLID117 Solenoidal Formulations).

To use the LMATRIX command macro, you must define a vector array parameter with dimension N (which you enter in the LMATRIX Curname argument) by using the *DIM command, where N is the number of coils. The ith row corresponds to the ith coil. You must set each vector array entry equal to the nominal current per turn in the corresponding coil at the operating point. None of the current values can be zero, but a zero current can be approximated by a negligibly small applied current.

In addition, for the classical formulations, you must group the elements for each coil into a component using the CM command. Each set of independent coil elements must be assigned a component name with a prefix (which you enter in the LMATRIX Coilname argument) followed by the coil number. A coil component may be mixed of scalar (RSP/DSP/GSP) or vector (MVP) elements. The only important factor is that the elements are excited by the same physical coil current described in the current vector. For solenoidal elements, you must make the exciting node with a F,AMPS load a node component using the CM command.

The classical and solenoidal formulations cannot be mixed. For more information on the solenoidal formulations see SOLID97 and SOLID117 Solenoidal Formulations.

You must use the Indname argument to specify an array name for the matrix created by LMATRIX. The Symfac argument of the LMATRIX command allows you to specify symmetry. The fraction of the total device modeled is a multiplying factor applied to the inductance terms.

When the operating point solution is near the elbow of the B-H curve, the tangent permeability will change rapidly. This causes the computed inductance to vary with the convergence tolerance. To obtain an accurate solution, the convergence tolerance needs to be tighter than the default value of 1.0 x 10-3. You should specify a convergence tolerance of 1.0 x 10-4 or 1.0 x 10-5 when you issue MAGSOLV.

Do not apply (or remove) inhomogeneous loads before using the LMATRIX command. Inhomogeneous loads are those created by:

  • Degree of freedom commands (D, DA, etc.) specifying nonzero degrees of freedom values on nodes or solid model entities

  • Any CE command with a nonzero constant term

Do not put any loads (for example, current) on elements not contained in the element component.

Below is an example of commands created for a three coil system with nominal currents of 1.2, 1.5 and 1.7 amps/turn. In this example, the vector array name is assigned the name "cur" and the coil component name prefix is "wind." The computed values of the differential inductance matrix are stored in the parameter array called "ind." Note that these names must be enclosed in single quotes in the LMATRIX command line.

*dim,cur,,3! vector array for 3 coil system
cur(1)=1.2! coil 1 nominal current: 1.2 amps/turn
cur(2)=1.5! coil 2 nominal current: 1.5 amps/turn
cur(3)=1.7! coil 3 nominal current: 1.7 amps/turn
!
esel,s....! select coil 1 elements
cm,wind1,elem! assign elements to component Wind1
esel,s....! select coil 2 elements
cm,wind2,elem! assign elements to component Wind2
esel,s....! select coil 3 elements
cm,wind3,elem! assign elements to component Wind3
!
symfac=2! symmetry factor
!compute differential inductance matrix and total flux linkage
lmatrix,symfac,'wind','cur','ind'
*stat,ind! list entries of inductance and flux matrix, ind
10.1.2.4.3. SOLID97 and SOLID117 Solenoidal Formulations

For a proper electromagnetic analysis, the continuity equation must be satisfied and the current density must be solenoidal (i.e. div J = 0). This means that the current density must satisfy the law of conservation of matter. That is, the current density cannot have sources or sinks.

The SOLID97 and SOLID117 solenoidal formulations (KEYOPT(1) = 5 or 6) automatically satisfy the solenoidal condition. For more information on the solenoidal formulations, see "3-D Magnetostatics and Fundamentals of Edge-Based Analysis" and "3-D Nodal-Based Analyses (Static, Harmonic, and Transient)".

You can perform LMATRIX calculations for conductor coils modeled by the SOLID97 and SOLID117 solenoidal formulations. To do so, follow these steps:

  1. Set the VOLT DOFs to zero at the ground nodes of the coil (D,,VOLT).

  2. Couple the VOLT DOFs at the hot nodes of the coil (CP,,VOLT)

  3. Set the current at any hot node N1 (F,,AMPS).

  4. Include the coil current in the array of currents.

  5. Create a NODE component of the hot node N1.

  6. Include any elements that are not solenoidal elements in the ELEM component.

For an example problem using a solenoidal formulation, see Example LMATRIX Calculation for a Coil in a Slot (Command Method).

10.1.2.5. Example LMATRIX Calculation for an Inductor Device (Command Method)

The following is an example of how to perform an inductance matrix calculation by issuing ANSYS commands. You can also perform the analysis through the ANSYS GUI menus.

10.1.2.5.1. Problem Description

This example calculates the differential inductance matrix and total flux linkage of a two coil system about a nonlinear operating point on a permanent magnet inductor device. Figure 10.5: "Inductor Device" shows you the inductor device and the input data.

Figure 10.5 Inductor Device

10.1.2.5.2. Command Listing

Below is the command input stream used to perform the analysis. All text preceded by an exclamation point (!) is a comment.

/batch,list
/title, Two-coil inductor with a permanent magnet
/nopr
!       geometry data
!
n=1                     ! meshing parameter
x=0.1                   ! width (x size) of core
y=0.1                   ! height of core, y size of window
z=1                     ! thickness of iron in z direction
x1=0.1                  ! width (x size) of coil 1
x2=0.1                  ! width (x size) of coil 2
Hcy=25                  ! coercive magnetic field in y direction
n1=10                   ! number of turns in coil1
n2=20                   ! number of turns in coil2
!
!      excitation data used by LMATRIX.MAC
!
symfac=1                ! symmetric factor for inductance computation
nc=2                    ! number of coils
*dim,cur,array,nc       ! nominal currents of coils
*dim,coils,char,nc      ! names of coil components
!
cur(1)=0.25             ! nominal current of 1st coil
coils(1)='wind1'        ! name of coil 1 component
!
cur(2)=-0.125           ! nominal current of 2nd coil
coils(2)='wind2'        ! name of coil 2 component
!
!      auxiliary parameters
!
mu0=3.1415926*4.0e-7
x3=x1+x2                ! x coordinate right to coil2 left
x4=x3+2*x               ! x coordinate right to core
x5=x4+x2                ! x coordinate right to coil2 right
x6=x5+x1                ! x coordinate right to coil1 right
js1=cur(1)*n1/(x1*y)    ! nominal current density of coil1
js2=cur(2)*n2/(x2*y)    ! nominal current density of coil2
!
/prep7
et,1,53
!
mp,murx,1,1             ! air/coil
mp,mgyy,2,Hcy           ! coercive term
Bs=2                    ! saturation flux density
Hs=100                  ! saturation magnetic field
TB,BH,2                 ! core: H = Hs (B/Bs)^2; BS=2T;HS=100A/m
*do,qqq,1,20
B=qqq/10*Bs
tbpt,,Hs*(B/Bs)**2,B
*enddo
!
rect, 0,x1,0,y          ! coil1 left
rect,x1,x3,0,y          ! coil2 left
rect,x3,x4,0,y          ! core
rect,x4,x5,0,y          ! coil2 right
rect,x5,x6,0,y          ! coil1 right
!
aglue,all
!
asel,s,loc,x,x1/2       ! coil 1 volume attribute
aatt,1,1,1
asel,s,loc,x,x5+x1/2
aatt,1,2,1
asel,s,loc,x,x1+x2/2    ! coil 2 volume attribute
aatt,1,3,1
asel,s,loc,x,x4+x2/2
aatt,1,4,1
asel,s,loc,x,x3+x       ! iron volume attribute
aatt,2,5,1
asel,all
!
esize,,n
amesh,all
!
nsel,s,loc,x,x6         ! flux parallel Dirichlet at symmetry plain, x=x6
!                       ! homogeneous Neumann flux normal at yoke, x=0
d,all,az,0
nsel,all
!
esel,s,real,,1          ! coil 1 left component
bfe,all,JS,,,,js1       ! unite current density in coil 1
!
esel,s,real,,2          ! coil 1 right component
bfe,all,JS,,,,-js1      ! return unite current density in coil 1
!
esel,s,real,,1,2
cm,coils(1),elem
!
esel,s,real,,3          ! coil 2 left component
bfe,all,JS,,,,js2       ! unite current density in coil 2
!
esel,s,real,,4          ! coil 2 right component
bfe,all,JS,,,,-js2      ! return unite current density in coil 2
!
esel,s,real,,3,4
cm,coils(2),elem
!
!
allsel
!
fini
!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
/com
/com obtain operating solution
/com
!
/solu
cnvtol,csg,,1.0e-4
eqslv,front
/out,scratch
solve
fini
!
/post1
!
/out
!
/com,
/com,
senergy,		! Stored electromagnetic energy
savelen=S_ENG
senergy,1		! Co-energy
savelce=C_ENG
!
fini
!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! compute inductance
lmatrix,symfac,'wind','cur','ind', ! compute inductance matrix and flux
!
/com
finish
10.1.2.5.3. Expected Results

You should obtain the following results for this problem:

               SUMMARY OF STORED ENERGY CALCULATION
 Load Step Number:       1.
 Substep Number:         1.
 Time:             0.1000E+01
   Material Number of  Stored Energy        Material Description
    Number  Elements       (J/m)
        1.       4.    0.52360E-05    Linear    Isotrp.      .         .
        2.       1.   -0.33314E+00    Nonlin.   Magnet    Isotrp.
 _____________________________________________________________________
   T O T A L     5.     -0.33313E+00
 Note:
 The energy density for the active elements used in the energy
 calculation is stored in the element item "MG_ENG" for display
 and printing. The total stored energy is saved as parameter (S_ENG)
 _____________________________________________________________________
                   SUMMARY OF CO-ENERGY CALCULATION
 Load Step Number:       1.
 Substep Number:         1.
 Time:             0.1000E+01
   Material Number of     Co-energy          Material Description
    Number  Elements       (J/m)
        1.       4.    0.52360E-05    Linear    Isotrp.      .         .
        2.       1.    0.33314E+00    Nonlin.   Magnet    Isotrp.
 _____________________________________________________________________
   T O T A L     5.      0.33314E+00
 Note:
 The co-energy density for the active elements used in the co-energy
 calculation is stored in the element item "MG_COENG" for display
 and printing. The total co-energy is saved as parameter (C_ENG)
 _____________________________________________________________________
  ________________ LMATRIX SOLUTION SUMMARY ___________________

 Flux linkage of coil     1. =     0.19989E+01
 Flux linkage of coil     2. =     0.39978E+01
 Self inductance of coil  1. =     0.39976E+01
 Self inductance of coil  2. =     0.15989E+02
 Mutual inductance between coils  1. and  2. =     0.79948E+01

 Inductance matrix is stored in array parameter ind     ( 2., 3.)

 Inductance matrix is stored in file ind     .txt

10.1.2.6. Example LMATRIX Calculation for a Coil in a Slot (Command Method)

The following is another example of how to perform an inductance matrix calculation by issuing ANSYS commands. You can also perform the analysis through the ANSYS GUI menus.

10.1.2.6.1. Problem Description

In this example, you analyze a coil in a slot . The analysis consists of two parts: a current-fed analysis and a voltage-fed circuit coupled analysis. The coil is meshed with SOLID117 elements. KEYOPT(1) is set to 5 for the nonlinear symmetric solenoidal formulation.

10.1.2.6.2. Command Listing

Below is the command input stream used to perform the analysis. All text preceded by an exclamation point (!) is a comment.

/batch,list
/title, circuit coupled voltage fed coil inductance by solenoidal edge elem
/com
/com The example demonstrate the simulation of a voltage fed
/com circuit coupled coil in a slot and its stray inductance calculation
/com with 3-D magnetic edge element, 117 fed by f-amps load using
/com solenoidal formulation requested by KEYOPT(1)=5.
/com
/com         ideal       !
/com         iron        !
/com                     !
/com  -------------------
/com  ^    !         Io
/com  ! y  !  slot   rho
/com  v    !         mu
/com  -------------------
/com       !      x      !
/com       !<----------->!
/com       !             !
/com
/com Input data
/com x  : width  (x dimension) = 30e-3       m
/com y  : height (y dimension) = 20e-3       m
/com z  : length (z dimension) = 40e-3       m
/com mu : relative permeability= 2.5/pi
/com rho: electric resistivity = 12e-9       1/Ohm-m
/com Io : current operating    = 40e3        Ampere
/com
/com
/com Target data
/com V  = x y z                 = 24e-6       m^3      - element volume
/com R  = rho z / x / y         = 0.80e-6     Ohm      - resistance
/com L  = mu0*mu*z*x/y/4 4/3    = 20e-9       Henry    - Inductance
/com phi= L Io                  = 0.8e-3      Weber    - magnetic flux
/com
/com Operating solution
/com Jo  = Io / x / y           = 66.7e6      A/m^2    - current density
/com Uo  = Io R                 = 32e-3       Volt     - voltage drop
/com Po  = Uo Io                = 1280        Watt     - power loss
/com Ho  = Io / y / 2           = 1e6         A/m      - average magnetic field
/com Bo  = mu mu0 Ho            = 1           Tesla    - flux density
/com Wo  = Bo Ho V/2 4/3        = 16          Joule    - magnetic energy
/com Fo  = - Bo Io z            = -1600       Newton   - Force
/com
/com Notes:
/com For simplification, the model contains unrealistic data.
/com The 4/3 factor in the formulae originates from integration.
/com Classical formulation with bfe load can be selected by setting sole=0
/com
/com The test consists of two part:
/com (1) current fed coil analysis and inductance computation
/com (2) voltage fed circuit coupled analysis:
/com     A resistor is connected in series with the coil in the slot.
/com     The resistor and coil have the same resistance (for simplicity).
/com
/nopr
/out,scratch
!
! ********************* model parameters **************************
!
!                       Input data
!
n=10                         ! meshing parameter
sole=1                       ! formulation key: 0-classical; 1-solenoidal
!
pi=3.1415926
x=0.03                       ! [m] width  (x dimension)
y=0.02                       ! [m] height (y dimension)
z=0.04                       ! [m] length (z dimension)
mu=2.5/pi                    ! relative permeability
rho=12e-9                    ! [1/Ohm-m] electric resistivity
Io=40e3                      ! [Ampere] current operating
!
!                      Target data
!
mu0=4e-7*pi                  ! free space permeability
V=x*y*z                      ! 24e-6       m^3      - volume
R=rho*z/x/y                  ! 0.80e-6     Ohm      - resistance
L=mu0*mu*z*x/y/3             ! 20e-9       Henry    - Inductance
phi=L*Io                     ! 0.8e-3      Weber    - flux
!
!                            ! Operating solution
Jo=Io/x/y                    ! 66.7e6      A/m^2    - current density
Uo=R*Io                      ! 32e-3       Volt     - voltage drop
Po=Uo*Io                     ! 1280        Watt     - power loss
Ho=Io/y/2                    ! 1e6         A/m      - magnetic field
Bo=Ho*mu*mu0                 ! 1           Tesla    - flux density
Wo=1/2*Bo*Ho*V*4/3           ! 16          Joule    - magnetic energy
Fo=-Bo*Io*z                  !-1600        Newton   - Force
!
! *********** create model for inductance computation *********************
!
/prep7
*if,sole,eq,1,then
et,1,117,5                   ! magnetic edge element, solenoidal formulation
*else
et,1,117                     ! magnetic edge element, classical formulation
*endif
mp,murx,1,mu                 ! permeability
mp,rsvx,1,rho                ! resistivity
!
block,0,x,0,y,0,z            ! slot volume
esize,,n
vmesh,all
!
*if,sole,eq,1,then
nsel,s,loc,z,0               ! ground
d,all,volt,0
!
nsel,s,loc,z,z               ! hot electrode
cp,1,volt,all
!
n111=node(0,0,z)             ! current load on a node of the hot electrode
f,n111,amps,-Io
!
*else
bfe,all,js,,,,Jo             ! current density load
*endif
!
nsel,s,loc,x,x               ! flux parallel boundary conditions
nsel,a,loc,z,0
nsel,a,loc,z,z
d,all,az,0
nsel,all
!
!                            ! prepare lmatrix
*if,sole,eq,1,then
nsel,s,node,,n111            ! node component containing the node
cm,coil1,node                ! of the hot electrode where the
nsel,all                     ! current load is applied with f,amps
!
*else
cm,coil1,elem                ! element component, with bfe,js load
*endif
!
symfac=1                     ! symmetry factor
nc=1                         ! number of coils
*dim,cur,array,nc            ! nominal currents of coils
*dim,coils,char,nc           ! names of coil components
!
cur(1)=Io                    ! nominal current of the coil before Lmatrix
coils(1)='coil1'             ! name of coil component
!
fini
!
! ****************** obtain solution ********************
!
/solu
*if,sole,eq,1,then
cnvtol,amps,1,1e-6           ! convergence tolerance
*endif
cnvtol,csg,1,1e-6
solve
fini
!
! ****************** retrieve results *******************
!
/post1
etable,j,jt,z                ! Current density
etable,h,h,y                 ! Magnetic field
etable,b,b,y                 ! Flux density
etable,f,fmag,x              ! Lorentz force
etable,w,maen                ! Note sene unspecified
etable,jheat,jheat           ! Joule heat
etable,volu,volu             ! volume
smult,p,jheat,volu           ! Power loss
!
!                            ! obtain total and average values
ssum
*get,FF,SSUM,,ITEM,f
*get,PP,SSUM,,ITEM,p
*get,WW,SSUM,,ITEM,w
*get,JJ,SSUM,,ITEM,j
*get,HH,SSUM,,ITEM,h
*get,BB,SSUM,,ITEM,b
!
JJ=JJ/n**3
HH=HH/n**3
BB=BB/n**3
! ****************** report results **********************
/out
/com
/com ************** Current fed coil results *******************
/com
*vwrite,n
(' subdivision parameter, n=',f4.0)
/com
/com # target items - operating solution
/com
*vwrite,Jo,Ho,Bo
(' J=',e12.5,' H=',e12.5,' B=',e12.5)
*vwrite,Wo,Fo,Po
(' W=',e12.5,' F=',e12.5,' P=',e12.5)
/com
/com # computed items - operating solution
/com
*vwrite,JJ,HH,BB
(' J=',e12.5,' H=',e12.5,' B=',e12.5)
*vwrite,WW,FF,PP
(' W=',e12.5,' F=',e12.5,' P=',e12.5)
/out,scratch
fini
!
/out
/com
*vwrite,L,phi
(' Target Inductance=',e12.5,' Flux=',e12.5)
/com
/com Computed Inductance and Flux
lmatrix,symfac,'coil','cur','ind'       ! compute inductance matrix
/out,scratch
!
!
! *****change model for voltage fed circuit coupled computation ******
!
/prep7
et,2,124              ! resistor in series with the coil
r,2,R
n,10000,0,0,2*z
type,2
real,2
e,n111,10000
!
fdele,all             ! delete previous current load on coil
!
d,10000,volt,2*Uo     ! Voltage fed circuit
!
fini
!
! ****************** obtain solution ********************
!
/solu
solve
fini
!
! ****************** retrieve results *******************
!
/post1
set,last
esel,s,type,,1
etable,j,jt,z                ! Current density
etable,h,h,y                 ! Magnetic field
etable,b,b,y                 ! Flux density
etable,f,fmag,x              ! Lorentz force
etable,w,maen                ! Note sene unspecified
etable,jheat,jheat           ! Joule heat
etable,volu,volu             ! volume
smult,p,jheat,volu           ! Power loss
!
!                            ! obtain total and average values
ssum
*get,FF,SSUM,,ITEM,f
*get,PP,SSUM,,ITEM,p
*get,WW,SSUM,,ITEM,w
*get,JJ,SSUM,,ITEM,j
*get,HH,SSUM,,ITEM,h
*get,BB,SSUM,,ITEM,b
!
JJ=JJ/n**3
HH=HH/n**3
BB=BB/n**3
! ****************** report results **********************
/out
/com
/com ********* Voltage fed circuit coupled results *******************
/com
*vwrite,n
(' subdivision parameter, n=',f4.0)
/com
/com # target items - operating solution
/com
*vwrite,Jo,Ho,Bo
(' J=',e12.5,' H=',e12.5,' B=',e12.5)
*vwrite,Wo,Fo,Po
(' W=',e12.5,' F=',e12.5,' P=',e12.5)
/com
/com # computed items - operating solution
/com
*vwrite,JJ,HH,BB
(' J=',e12.5,' H=',e12.5,' B=',e12.5)
*vwrite,WW,FF,PP
(' W=',e12.5,' F=',e12.5,' P=',e12.5)
/out,scratch
fini
!
/out
10.1.2.6.3. Expected Results

You should obtain the following results for this problem:

************** Current fed coil results *******************

 subdivision parameter, n= 10.

 # target items - operating solution

 J= 0.66667E+08 H= 0.10000E+07 B= 0.10000E+01
 W= 0.16000E+02 F=-0.16000E+04 P= 0.12800E+04

 # computed items - operating solution

 J= 0.66667E+08 H= 0.10000E+07 B= 0.10000E+01
 W= 0.15960E+02 F=-0.16000E+04 P= 0.12800E+04

 Target Inductance= 0.20000E-07 Flux= 0.80000E-03

 Computed Inductance and Flux

 *** LMATRIX Command Macro for incremental inductance and flux

  LISTING OF THE DATA ON FILE lmatrix.out

  ________________ LMATRIX SOLUTION SUMMARY ___________________

 Flux linkage of coil     1. =     0.79800E-03
 Self inductance of coil  1. =     0.19950E-07

 Inductance matrix is stored in array parameter ind     ( 1., 2.)

 Inductance matrix is stored in file ind     .txt

  _____________________________________________________________

 ********* Voltage fed circuit coupled results *******************

 subdivision parameter, n= 10.

 # target items - operating solution

 J= 0.66667E+08 H= 0.10000E+07 B= 0.10000E+01
 W= 0.16000E+02 F=-0.16000E+04 P= 0.12800E+04

 # computed items - operating solution

 J=-0.66667E+08 H=-0.10000E+07 B=-0.10000E+01
 W= 0.15960E+02 F=-0.16000E+04 P= 0.12800E+04

10.1.3. Postprocessing Calculations

TORQ2D calculates torque on a body in a magnetic field via a surface integral along a predefined contour (path). This macro requires you to define a path through the air elements surrounding the object of interest, as shown in Figure 10.6: "General Path for Torque Calculation". A counterclockwise ordering of nodes on the PPATH command ( Main Menu> General Postproc> Path Operations> Define Path) will give the correct sign on the torque result. The path should be completely contained within an air domain surrounding the body. You can use the macro for 2-D analysis only.

To invoke the TORQ2D macro, use either of the following:

Command(s): | TORQ2D
GUI: | Main Menu> General Postproc> Elec & Mag Calc> Path Based> Torque

Figure 10.6 General Path for Torque Calculation

TORQC2D calculates the torque on a body in a magnetic field via a surface integral along a circular contour (path) centered about the global origin. It is ideal for analysis of rotating machines. Invoke the macro using either of the following:

Command(s): | TORQC2D
GUI: | Main Menu> General Postproc> Elec & Mag Calc> Path Based> Circular Torq

The path required for the calculation is created by TORQC2D based on a radius (RAD) that you specify. To ensure a correct solution, select only the air elements surrounding the circular object of interest before using the macro. Figure 10.7: "PATH for Circular Calculation" illustrates path selection for a 360° circular path.

Figure 10.7 PATH for Circular Calculation

FOR2D calculates the forces on a body in a magnetic field via a surface integral along a predefined path. This macro requires a path in the air surrounding the object of interest. To invoke FOR2D, use either the following command or GUI path: L

Command(s): | FOR2D
GUI: | Main Menu> General Postproc> Elec & Mag Calc> Path Based> Mag Forces

Figure 10.8: "Sample Paths for Magnetic Force Calculation" illustrates the path selection for two planar analysis cases. A counterclockwise ordering of nodes on the PPATH command will give the correct sign on the force result.

Figure 10.8 Sample Paths for Magnetic Force Calculation

Figure 10.9 MMF Paths

MMF calculates the magnetomotive force, the line integral of magnetic field, H, along a predefined path (defined with the PATH and PPATH command). A counterclockwise ordering of nodes will give the correct sign on the MMF. The MMF macro sets the "ACCURATE" mapping method and "MAT" discontinuity option of the PMAP command. The ANSYS program retains these settings for PMAP after issuing the macro. If the path spans multiple materials, include at least 1 path point in each material (See Figure 10.9: " MMF Paths" (b)).

To invoke the MMF macro, use either of the following:

Command(s): | MMF
GUI: | Main Menu> General Postproc> Elec & Mag Calc> Path Based> MMF

EMF calculates the electromotive force (emf), the line integral of electric field, E, or voltage drop along a path (defined using the PATH command or its GUI counterpart). It can operate in both 2-D and 3-D electric and electrostatic field analysis. The parameter EMF stores the calculated emf value.

Before invoking EMF, you must first define a path. The macro uses calculated values of the electric field (EF), and uses path operations to perform the calculations. All path items are cleared when the macro completes.

The EMF macro sets the "ACCURATE" mapping method and "MAT" discontinuity option of the PMAP command. The ANSYS program retains these settings for PMAP after issuing the macro.

To invoke the EMF macro, use either of the following:

Command(s): | EMF
GUI: | Main Menu> General Postproc> Elec & Mag Calc> Path Based> EMF

POWERH calculates the time-averaged power loss in a conducting body from a harmonic analysis. You must select the elements of the conducting region before invoking the macro. POWERH is most accurate when fine meshes are available in the conducting regions. To invoke the macro, use one of the following:

Command(s): | POWERH
GUI: | Main Menu> General Postproc> Elec & Mag Calc> Element Based> Power Loss

FLUXV calculates the flux passing through a predefined line contour. In a 2-D analysis, at least two nodes must define the path. In a 3-D MVP analysis, the path must be a closed contour; that is, the first and last nodes must be the same. A counterclockwise ordering of nodes on the path will yield the correct sign on flux. Figure 10.10: "Flux Calculations" illustrates the path selection, when invoking FLUXV for both 2-D and 3-D analysis. The macro is valid only with the magnetic vector potential formulation.

To invoke the FLUXV macro, use one of the following:

Command(s): | FLUXV
GUI: | Main Menu> General Postproc> Elec & Mag Calc> Path Based> Path Flux

Figure 10.10 Flux Calculations

(a) 2-D path definition:
(b) 3-D contour definitions:

PLF2D generates a display of equipotential lines with the degree of freedom AZ. In an axisymmetric analysis, the display consists of constant values of radius * AZ. Use this macro for 2-D analysis only. These equipotential lines are parallel to flux lines and provide a good representation of magnetic flux patterns.

To invoke PLF2D, use one of the following:

Command(s): | PLF2D
GUI: | Main Menu> General Postproc> Plot Results> Contour Plot> 2D Flux Lines Utility Menu> Plot Ctrls> Results> Flux Lines

SENERGY calculates the stored magnetic energy or co-energy in the model. The energy calculation is summarized in a table by material number, and the energy density is stored in the element table for displaying and listing.

Figure 10.11 Energy and Co-energy for Nonpermanent Magnets

Figure 10.11: "Energy and Co-energy for Nonpermanent Magnets" illustrates how the magnetic energy and co-energy are determined for nonpermanent magnets. The energy at a point on the curve is the area above the curve bounded by the value of B at that point, and the co-energy is the area under the curve at that point.

Figure 10.12 Energy and Co-energy for Permanent Magnets

For a permanent magnet, energy and co-energy for a point on the curve are calculated as follows:

  • The energy is the area to the right of the curve in the positive B region (see graph (a) in Figure 10.12: "Energy and Co-energy for Permanent Magnets"). Note that the energy is negative for the shown case.

  • The co-energy is the area under the curve (see graph (b) in Figure 10.12: "Energy and Co-energy for Permanent Magnets").

The energy and co-energy of a linear permanent magnet are show in graph (c) in Figure 10.12: "Energy and Co-energy for Permanent Magnets".

SENERGY determines the energy and co-energy using the following B-H relationships:

where B1-H1 is a soft magnetic characteristic of the material and Hc is the coercive force.

For a linear soft magnetic material, the B1-H1 relationship is given by:

where µo is the free-space permeability and µr is the relative permeability specified by the MP command and the MURX, MURY, and MURZ labels.

For a nonlinear soft magnetic material, you input a B1-H1 curve using the TB command with the BH label. You then enter the data points using the TBPT or TBDATA command. The curve must start at the origin and increase monotonically. For the energy calculations, the curve is approximated with a spline fit up to the last data point. Beyond the last data point, it is extrapolated as a straight line with a slope equal to the free-space permeability.

Note

Energy values are undefined for circuit-coupled elements (PLANE53 or SOLID97 with KEYOPT(1) = 3 or 4).

To invoke SENERGY, use one of the following:

Command(s): | SENERGY
GUI: | Main Menu> General Postproc> Elec & Mag Calc> Element Based> Co-Energy Main Menu> General Postproc> Elec & Mag Calc> Element Based> Energy

EMAGERR calculates the relative error in the computed field quantities (B, H) for each element in a model. The error represents the average difference in the element computed field value and a continuous field value. The continuous field is represented by the average nodal field values. Optionally, you can normalize the error value with respect to the highest computed nodal-averaged field value per material. The error measure considers material discontinuities when calculating the average nodal continuous field values.

To invoke EMAGERR, use either of the following:

Command(s): | EMAGERR
GUI: | Main Menu> General Postproc> Elec & Mag Calc> Element Based> Error Eval

CURR2D calculates the total current flowing in a conducting body for 2-D models. The current may be from an applied source current, or induced eddy current. This macro is useful for checking total current flow.

To invoke CURR2D, use either of the following:

Command(s): | CURR2D
GUI: | Main Menu> General Postproc> Elec & Mag Calc> Element Based> Current

EMFT summarizes in tabular form the resulting electromagnetic forces and torques on a set of selected nodes. This command is applicable only to SOLID117 (static analyses only), PLANE121, SOLID122, and SOLID123 elements.

To invoke EMFT, use either of the following:

Command(s): | EMFT
GUI: | Main Menu> General Postproc>

FMAGSUM summarizes in tabular form the resulting Maxwell and virtual work forces on a body. The body must be defined as a named element component. (Typically you use the macro FMAGBC to apply appropriate boundary conditions in the preprocessor to invoke the force calculation during the solution phase.)

To invoke FMAGSUM, use either of the following:

Command(s): | FMAGSUM
GUI: | Main Menu> General Postproc> Elec & Mag Calc> Path Based> Mag Forces

TORQSUM summarizes in tabular form the resulting Maxwell and virtual work forces on a body. The body must be defined as a named element component. (Typically you use the macro FMAGBC to apply appropriate boundary conditions in the preprocessor to invoke the force calculation during the solution phase.)

To invoke TORQSUM, use either of the following:

Command(s): | TORQSUM
GUI: | Main Menu> General Postproc> Elec & Mag Calc> Component Based> Torque

PMGTRAN calculates and summarizes electromagnetic field data on element components for a transient analysis. Calculations may include magnetic forces, power loss, stored energy, or total current. The FMAGBC macro calculates magnetic forces on element components specified in the preprocessor. The SENERGY macro calculates stored energy, and the CURR2D macro calculates total current.

To invoke PMGTRAN, use either of the following:

Command(s): | PMGTRAN
GUI: | Main Menu> TimeHist Postpro> Elec & Mag> Magnetics

The data is summarized in a report as well as written to a file. The ANSYS program automatically prepares display plots of the results as a function of time and saves them in a plot file for use by the DISPLAY program.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 10. Electric and Magnetic Macros 		Up / Home Next
Chapter 11. Far-Field Elements


Chapter 11. Far-Field Elements

A far-field element allows you to model the effects of far-field decay in magnetic, electrostatic, thermal, or electric current conduction analyses without having to specify assumed boundary conditions at the exterior of the model. Consider, for example, a dipole and its 2-D, quarter-symmetry finite element model (see Figure 11.1: "Flux Lines Without Far-Field Elements"). Without far-field elements, you would model the air surrounding the iron core out to an assumed "infinite" location and then specify either flux-parallel or flux-normal boundary conditions at the edge of the "air" elements, effectively truncating the magnetic effects at that edge.

Figure 11.1 Flux Lines Without Far-Field Elements

By using far-field elements (here element INFIN9) instead, you need to model only a portion of the air. The figure shows flux lines in the finite element region modeled with far-field elements at the radial boundary.

Figure 11.2 Flux Lines With Far-Field Elements

How much of the surrounding air should you model? The answer depends on the problem you are solving. For relatively closed flux paths (little leakage to surroundings), not much of the air needs to be modeled, that is, you can place the far-field elements relatively close to the model region of interest. For open-boundary problems, you should extend the air elements well beyond the region of interest before placing the far-field elements.

Far-Field Elements Described

ANSYS offers the following far-field elements.

Table 11.1 2-D Far-Field Elements

Element | Description | Analysis Category | Enclosed Elements | Analysis Type
INFIN9 | 2 Node Line Element Planar Models | Magnetic | PLANE13 PLANE53 | Static Harmonic Transient
 |  | Thermal | PLANE35 PLANE55 PLANE77 | Steady-state Transient
INFIN110 | 4 or 8 Node Quadrilateral Planar or Axisymmetric Models | Magnetic | PLANE13 PLANE53 | Static Harmonic Transient
 |  | Electrostatic | PLANE121 | Static Harmonic
 |  | Thermal | PLANE35 PLANE55 PLANE77 | Steady-state Transient
 |  | Electric Current Conduction | PLANE230 | Steady-state Harmonic Transient

Table 11.2 3-D Far-Field Elements

Element | Description | Analysis Category | Enclosed Elements | Analysis Type
INFIN47 | 4 Node Quadrilateral or 3 Node Triangle | Magnetic | SOLID5 SOLID62 SOLID96 SOLID98 | Static Harmonic Transient
 |  | Thermal | SOLID70 | Steady-state Transient
INFIN111 | 8 or 20 node hexahedral | Magnetic | SOLID5 SOLID96 SOLID98 | Static
 |  |  | SOLID62 SOLID97 | Static Harmonic Transient
 |  | Electrostatic | SOLID122 SOLID123 | Static Harmonic
 |  | Thermal | SOLID70 SOLID87 SOLID90 | Steady-state Transient
 |  | Electric Current Conduction | SOLID231 SOLID232 | Steady-state Harmonic Transient

Note

You can also use far-field elements in a thermal analysis. Refer to the Thermal Analysis Guide for details on thermal analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.1. Using Electric and Magnetic Macros 		Up / Home Next
11.1. Tips for Using Far-Field Elements


11.1. Tips for Using Far-Field Elements

You must place the INFIN9 and INFIN47 elements such that the global origin is located centrally with respect to them. A circular arc of far-field elements at the boundary of the finite element domain usually gives best results.

The infinite elements INFIN110 and INFIN111 give you greater flexibility in modeling far-field effects.

For best results, define INFIN110 and INFIN111 elements with their "poles" (see the Elements Reference) coinciding with centers of disturbances, such as loads. There may be multiple poles, which may or may not fall at the coordinate system origin. Element poles should coincide with nearby disturbances, or with the approximate centroid of disturbances. In contrast to INFIN9 and INFIN47, INFIN110 and INFIN111 need not be placed such that the global origin is located centrally with respect to them.

When using the INFIN110 or INFIN111 elements, you must flag the exterior surface with the INF surface load. To do so, use the SF family of commands or their equivalent menu paths. (See "2-D Transient Magnetic Analysis".)

You can easily define a layer of INFIN111 elements by creating a volume to be meshed, using one of the following:

Command(s): | VEXT
GUI: | Main Menu> Preprocessor> Modeling> Operate> Extrude> Areas> By XYZ offset

The INFIN110 and INFIN111 elements are usually much longer in the infinite direction, resulting in skewed meshes. Therefore, contour plots exclude these elements. Element plots, however, include them.

For optimal performance of either INFIN110 or INFIN111, you must meet one or both of the following conditions.

Boundaries Must Describe a Smooth Curvature

INFIN110 and INFIN111 perform best when the boundary between the finite element (FE) domain and the infinite element (IFE) domain describes a smooth curvature. Figure 11.3: "Interface between FE and Infinite Element Domains" illustrates this point.

Figure 11.3 Interface between FE and Infinite Element Domains

If your model construction does not allow a smooth FE to IFE domain interface, you may do so provided the infinite elements "radiate" from any sharp corners in the FE domain. Only one element edge may be "exposed" to the open exterior. Figure 11.4: "IFE Constructions for Non-Smooth FE to IFE Domain Interface" illustrates this point for both a correct and incorrect IFE construction for a quarter symmetry model.

Figure 11.4 IFE Constructions for Non-Smooth FE to IFE Domain Interface

Figure 11.4: "IFE Constructions for Non-Smooth FE to IFE Domain Interface" also illustrates that only one face of an infinite element may be exposed to infinity. Be careful to assure that one face of the infinite element is exposed to infinity. You should avoid constructions that lead to infinite element with sides converging from the FE interface to the interface with infinity. Figure 11.5: "2-D Infinite Element Structures" illustrates this point.

Figure 11.5 2-D Infinite Element Structures

Examples of correct and incorrect

The accuracy of field calculations at sharp edges of the FE/IFE domain interface will be of lower quality than those achieved at a smooth interface.

Back To Top

Length of Elements Should Equal Depth of Domain

The second condition that improves the performance of INFIN110 and INFIN111 is the relative dimensions of the FE and IFE domains. The relative length of the infinite elements should be approximately equal to the depth of your model's FE domain. Figure 11.6: "Relative Dimensions of FE and IFE Domains" illustrates this relationship for a 2-D quarter symmetry example.

Figure 11.6 Relative Dimensions of FE and IFE Domains

When INFIN9 or INFIN47 elements enclose higher-order elements in a model, remove the midside nodes of the higher-order elements at the interface with the far-field elements (EMID command). When INFIN110 or INFIN111 elements enclose higher-order elements in a model, use the higher-order setting for the far-field elements (KEYOPT(2) = 1).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 11. Far-Field Elements 		Up / Home Next
11.2. Sample Analysis


11.2. Sample Analysis

This example considers the electric conduction problem with infinite boundaries described as problem # 476 in "Worked problems in Applied Mathematics," by N.N. Lebedev, I.P. Skalskaya, Y.S. Ufland, Dover Publications, Inc., NY, p. 226 (1979).

11.2.1. Problem Description

A DC current (I) enters ground of conductivity σ through a plate in the form of a disk of radius a. Find the distribution of electric current under the plate and calculate the resistance of the plate.

Figure 11.7 Grounding Plate with Current Loading

The geometric and electrical parameters are:

Radius a = 1 cm
Applied current I = 5 mA
Soil electrical conductivity σ = 0.5 e-2 S/m

Axisymmetric PLANE230 triangular elements model a rectangular area of width 2a and depth a below the circular electrode. A single layer of axisymmetric INFIN110 quadrilateral elements represents the exterior semi-infinite domain (IFE). The ratio of the IFE domain dimensions to the FE domain dimensions is equal to 1.8 (that is, the length of the infinite elements is approximately equal to the depth of the FE domain). The electrode is defined by coupling the VOLT degrees of freedom of the ground surface. The current load is applied as a concentrated nodal load.

11.2.2. Results

The electric current results are shown in the following figure.

Figure 11.8 Electric Current Distribution

The calculated resistance is 4943 Ohms. The expected result from the above reference is:

R = 1/(4σa) = 5000 Ohms

11.2.3. Command Listing

You can perform this electric conduction analysis using the ANSYS commands shown below. Text prefaced by an exclamation point (!) is a comment.

/title, Current distribution of circular electrode
! Problem parameters
I=5e-3               ! current, A
sig=0.5e-2           ! conductivity of soil, S/m
a=1e-2               ! disk radius, m
w=2*a                ! finite region width
d=a                  ! finite region depth
r=1.8                ! ratio infinite to finite

/prep7
et,1,PLANE230,,,1    ! axisymmetric 8-node electric quad
et,2,INFIN110,3,1,1  ! axisymmetric 8-node infinite electric quad
mp,rsvx,1,1/sig      ! resistivity input

rect,,w,,-d          ! enveloped area
k,5,,r*(-d)
k,6,r*w,r*(-d)
k,7,r*w
a,1,5,6,2
a,2,6,7,3

lesize,3,,,16         ! specify line divisions
lesize,1,,,16
lesize,6,,,16

lesize,4,,,8
lesize,2,,,8
lesize,8,,,8

lesize,9,,,1
lesize,5,,,1

msha,1,2d            ! mesh finite region with triangles
type,1
amesh,1

mshk,1               ! mesh infinite region with quads
msha,0,2d

type,2
amesh,2,3
nummrg,node

lsel,s,line,,6       ! flag exterior surface of INFIN elements
lsel,a,line,,8
sfl,all,INF
lsel,all

nsel,s,loc,y,0       ! define electrode
nsel,r,loc,x,0,a
cp,1,volt,all        ! couple VOLT dof
n_load=ndnext(0)     ! master node
nsel,all
fini

/solu
antype,static
f,n_load,amps,I      ! apply total current
solve
fini

/post1
plesol,jc,sum        ! plot electric current vector sum
/com
/com  Calculated resistance R = %volt(n_load)/I%  Ohm
/com
/com  **************************************************************************
/com   Expected results:  R = %1/(4*sig*a)% Ohm
/com  **************************************************************************
finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
11.1. Tips for Using Far-Field Elements 		Up / Home Next
Chapter 12. Electric Field Analysis


Chapter 12. Electric Field Analysis

Electric field analyses calculate the electric field in conductive or capacitive systems. Typical quantities of interest in an electric field analysis include:

  • Electric field

  • Current density

  • Electric flux density

  • Charge density

  • Joule heat

This chapter describes elements used in all types of electric field analysis. You can use them to model electric effects in lossy dielectrics, high-voltage insulators, microwave passive components, semiconductor devices, micro-electromechanical (MEMS) devices, and biological tissues. This chapter also specifically covers the procedures for performing steady-state current conduction analysis and quasistatic time-harmonic and time-transient electric field analyses.

See "Electrostatic Field Analysis (h-Method)", "p-Method Electrostatic Analysis", and "Electric Circuit Analysis" for a description of the other types of electric field analysis.

ANSYS uses Maxwell's equations as the basis for electric field analysis. Refer to "Electromagnetics" in the Theory Reference for ANSYS and ANSYS Workbench for details. The primary unknowns (nodal degrees of freedom) that the finite element solution calculates are electric scalar potentials (voltages). Other electric field quantities are then derived from the nodal potentials.

This document describes electric-only field analysis, specifically steady-state current conduction analysis, quasistatic time-harmonic and time-transient electric field analyses, electrostatic field analysis, and electric circuit analysis. Some of the elements described can also be used as coupled-field elements. The Coupled-Field Analysis Guide discusses coupled-field analyses.

Electric contact is also available in ANSYS. See Modeling Electric Contact in the Contact Technology Guide for details.

The following electric field topics are available:

  • Elements Used in Electric Field Analysis
  • Element Compatibility
  • Current Densities
  • Steady-State Current Conduction Analysis
  • Harmonic Quasistatic Electric Analysis
  • Transient Quasistatic Electric Analysis
  • Sample Steady-State Conduction Current Analysis
  • Sample Conductance Calculation
  • Sample Harmonic Quasistatic Electric Analysis
  • Sample Transient Quasistatic Electric Analysis
  • Where to Find Current Conduction Analysis Examples

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
11.2. Sample Analysis 		Up / Home Next
12.1. Elements Used in Electric Field Analysis


12.1. Elements Used in Electric Field Analysis

The ANSYS program has a large number of elements available for specific types of electric field analysis. The following tables summarize them to make element type selection easier. These elements enable you to perform the following types of analysis:

  • Steady-state current conduction analysis

  • Quasistatic time-harmonic and time-transient electric field analyses

  • Electrostatic field analysis

  • Electric circuit analysis

Table 12.1 Conducting Bar Elements

Element | Dimens. | Shape or Characteristic | DOFs | Usage Notes
LINK68 | 3-D | Uniaxial, two nodes | Temperature and voltage at each node | Steady-state current conduction analysis; thermal-electric coupled-field analysis

Table 12.2 2-D PlanarElements

Element | Dimens. | Shape or Characteristic | DOFs | Usage Notes
PLANE67 | 2-D | Quadrilateral, four nodes | Temperature and voltage at each node | Steady-state current conduction analysis; thermal-electric coupled-field analysis
PLANE121 | 2-D | Quadrilateral, eight nodes | Voltage at each node | Electrostatic analysis; quasistatic time-harmonic analysis
PLANE230 | 2-D | Quadrilateral, eight nodes | Voltage at each node | Steady-state current conduction analysis; quasistatic time-harmonic and time-transient analyses

Table 12.3 3-D Solid Elements

Element | Dimens. | Shape or Characteristic | DOFs | Usage Notes
SOLID5 | 3-D | Hexahedral, eight nodes | Up to six at each node; the DOFs are structural displacements, temperature, electric potential, and magnetic scalar potential | Steady-state current conduction analysis; thermal-electric coupled-field analysis or coupled-field electromagnetic analysis
SOLID69 | 3-D | Hexahedral, eight nodes | Temperature and voltage at each node | Steady-state current conduction analysis; thermal-electric coupled-field analysis
SOLID98 | 3-D | Tetrahedral, ten nodes | Up to six at each node; the DOFs are structural displacements, temperature, electric potential, and magnetic scalar potential | Steady-state current conduction analysis; thermal-electric coupled-field analysis or coupled-field electromagnetic analysis
SOLID122 | 3-D | Hexahedral, twenty nodes | Voltage at each node | Electrostatic analysis; quasistatic time-harmonic analysis
SOLID123 | 3-D | Tetrahedral, ten nodes | Voltage at each node | Electrostatic analysis; quasistatic time-harmonic analysis
SOLID127 | 3-D | Tetrahedral, ten nodes | Voltage at each node | Electrostatic analysis
SOLID128 | 3-D | Hexahedral, twenty nodes | Voltage at each node | Electrostatic analysis
SOLID231 | 3-D | Hexahedral, twenty nodes | Voltage at each node | Steady-state current conduction analysis; quasistatic time-harmonic and time-transient analyses
SOLID232 | 3-D | Tetrahedral, ten nodes | Voltage at each node | Steady-state current conduction analysis; quasistatic time-harmonic and time-transient analyses

Table 12.4 Shell Elements

Element | Dimens. | Shape or Characteristic | DOFs | Usage Notes
SHELL157 | 3-D | Quadrilateral shell, four nodes | Temperature and voltage at each node | Steady-state current conduction analysis; thermal-electric coupled-field analysis

Table 12.5 Specialty Elements

Element | Dimens. | Shape or Characteristic | DOFs
MATRIX50 | None (super- element) | Depends on the elements that it includes in its structure | Depends on the included element types
INFIN110 | 2-D | Four or eight nodes | One per node; this can be a magnetic vector potential, temperature, or electric potential
INFIN111 | 3-D | Hexahedral, eight or twenty nodes | AX, AY, AZ magnetic vector potential, temperature, electric scalar potential, or magnetic scalar potential

Table 12.6 General Circuit Elements

Element | Dimens. | Shape or Characteristic | DOFs
CIRCU94 | None | Circuit element for use in piezoelectric-circuit analyses, two or three nodes | Voltage at two nodes (plus charge at a third node for an independent voltage source)
CIRCU124 | None | General circuit element applicable to circuit simulation, up to six nodes | Up to three at each node; these can be electric potential, current, or electromotive force drop
CIRCU125 | None | Diode element used in electric circuit analysis, two nodes | Electric potential

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 12. Electric Field Analysis 		Up / Home Next
12.2. Element Compatibility


12.2. Element Compatibility

Your finite element model may intermix certain elements with the VOLT degree of freedom. To be compatible, the elements must have the same reaction solution (see table below). Electric charge reactions must all be positive or negative.

Table 12.7 Reaction Solutions for Elements with VOLT DOF

Element | KEYOPT (1) | DOFs | Material Property Input for VOLT DOF | Reaction Solution
PLANE67 | N/A | TEMP, VOLT | RSVX, RSVY | Electric Current (F label = AMPS)
LINK68 | N/A | TEMP, VOLT | RSVX | Electric Current (F label = AMPS)
SOLID69 | N/A | TEMP, VOLT | RSVX, RSVY, RSVZ | Electric Current (F label = AMPS)
SHELL157 | N/A | TEMP, VOLT | RSVX, RSVY | Electric Current (F label = AMPS)
PLANE53 | 1 | VOLT, AZ | RSVX, RSVY | Electric Current (F label = AMPS)
SOLID97 | 1 | AX, AY, AX, VOLT | RSVX, RSVY, RSVZ | Electric Current (F label = AMPS)
 | 4 | AX, AY, AZ, VOLT, CURR
SOLID117 | 1 | AZ, VOLT | RSVX, RSVY, RSVZ | Electric Current (F label = AMPS)
PLANE121 | N/A | VOLT | RSVX, RSVY, PERX, PERY, LSST | Positive or Negative Electric Charge (F label = CHRG) [1]
SOLID122 | N/A | VOLT | RSVX, RSVY, RSVZ, PERX, PERY, PERZ, LSST | Positive or Negative Electric Charge (F label = CHRG) [1]
SOLID123 | N/A | VOLT | RSVX, RSVY, RSVZ, PERX, PERY, PERZ, LSST | Positive or Negative Electric Charge (F label = CHRG) [1]
SOLID127 | N/A | VOLT | PERX, PERY, PERZ | Positive Electric Charge (F label = CHRG)
SOLID128 | N/A | VOLT | PERX, PERY, PERZ | Positive Electric Charge (F label = CHRG)
PLANE230 | N/A | VOLT | RSVX, RSVY, PERX, PERY, LSST | Electric Current (F label = AMPS)
SOLID231 | N/A | VOLT | RSVX, RSVY, RSVZ, PERX, PERY, PERZ, LSST | Electric Current (F label = AMPS)
SOLID232 | N/A | VOLT | RSVX, RSVY, RSVZ, PERX, PERY, PERZ, LSST | Electric Current (F label = AMPS)
CIRCU94 | 0–5 | VOLT, CURR | N/A | Negative or Positive Electric Charge (F label = CHRG or AMPS) [2]
CIRCU124 | 0–12 | VOLT, CURR, EMF | N/A | Electric Current (F label = AMPS)
CIRCU125 | 0 or 1 | VOLT | N/A | Electric Current (F label = AMPS)
TRANS109 | 0 or 1 | UX, UY, VOLT | PERX | Positive Electric Charge (F label = CHRG) Mechanical Force (F label = FX, FY)
TRANS126 | N/A | UX-VOLT, UY-VOLT, UZ-VOLT | N/A | Electric Current (F label = AMPS) Mechanical Force (F label = FX)
PLANE13 | 6 | VOLT, AZ | RSVX, RSVY | Electric Current (F label = AMPS)
 | 7 | UX, UY, UZ, VOLT | PERX, PERY | Negative Electric Charge (F label = AMPS)
SOLID5 | 0 | UX, UY, UZ, TEMP, VOLT, MAG | RSVX, RSVY, RSVZ | Electric Current (F label = AMPS)
 |  |  | PERX, PERY, PERZ | Negative Electric Charge (F label = AMPS)
 | 1 | TEMP, VOLT, MAG | RSVX, RSVY, RSVZ | Electric Current (F label = AMPS)
 | 3 | UX, UY, UZ, VOLT | PERX, PERY, PERZ | Negative Electric Charge (F label = AMPS)
 | 9 | VOLT | RSVX, RSVY, RSVZ | Electric Current (F label = AMPS)
SOLID98 | 0 | UX, UY, UZ, TEMP, VOLT, MAG | RSVX, RSVY, RSVZ | Electric Current (F label = AMPS)
 |  |  | PERX, PERY, PERZ | Negative Electric Charge (F label = AMPS)
 | 1 | TEMP, VOLT, MAG | RSVX, RSVY, RSVZ | Electric Current (F label = AMPS)
 | 3 | UX, UY, UZ, VOLT | PERX, PERY, PERZ | Negative Electric Charge (F label = AMPS)
 | 9 | VOLT | RSVX, RSVY, RSVZ | Electric Current (F label = AMPS)
SOLID62 | N/A | UX, UY, UZ, AX, AY, AZ, VOLT | RSVX, RSVY, RSVZ | Electric Current (F label = AMPS)
PLANE223 | 101 | UX, UY, VOLT | RSVX, RSVY | Electric Current (F label = AMPS)
 | 1001 | UX, UY, VOLT | PERX, PERY, LSST | Positive or Negative Electric Charge (F label = CHRG) [3]
 | 110 | TEMP, VOLT | RSVX, RSVY, PERX, PERY | Electric Current (F label = AMPS)
 | 111 | UX, UY, TEMP, VOLT | RSVX, RSVY, PERX, PERY | Electric Current (F label = AMPS)
 | 1011 | UX, UY, TEMP, VOLT | PERX, PERY, LSST, DPER | Negative Electric Charge (F label = CHRG)
SOLID226 | 101 | UX, UY, UZ, VOLT | RSVX, RSVY, RSVZ | Electric Current (F label = AMPS)
 | 1001 | UX, UY, UZ, VOLT | PERX, PERY, PERZ, LSST | Positive or Negative Electric Charge (F label = CHRG) [3]
 | 110 | TEMP, VOLT | RSVX, RSVY, RSVZ, PERX, PERY, PERZ | Electric Current (F label = AMPS)
 | 111 | UX, UY, UZ, TEMP, VOLT | RSVX, RSVY, RSVZ, PERX, PERY, PERZ | Electric Current (F label = AMPS)
 | 1011 | UX, UY, UZ, TEMP, VOLT | PERX, PERY, PERZ, LSST, DPER | Negative Electric Charge (F label = CHRG)
SOLID227 | 101 | UX, UY, UZ, VOLT | RSVX, RSVY, RSVZ | Electric Current (F label = AMPS)
 | 1001 | UX, UY, UZ, VOLT | PERX, PERY, PERZ, LSST | Positive or Negative Electric Charge (F label = CHRG) [3]
 | 110 | TEMP, VOLT | RSVX, RSVY, RSVZ, PERX, PERY, PERZ | Electric Current (F label = AMPS)
 | 111 | UX, UY, UZ, TEMP, VOLT | RSVX, RSVY, RSVZ, PERX, PERY, PERZ | Electric Current (F label = AMPS)
 | 1011 | UX, UY, UZ, TEMP, VOLT | PERX, PERY, PERZ, LSST, DPER | Negative Electric Charge (F label = CHRG)
INFIN110 | 1 | VOLT | PERX, PERY | Positive or Negative Electric Charge (F label = CHRG) [1]
INFIN111 | 2 | VOLT | PERX, PERY, PERZ | Positive or Negative Electric Charge (F label = CHRG) [1]

  1. The following apply to electrostatic elements PLANE121, SOLID122, and SOLID123 and far-field elements INFIN110 and INFIN111:

    • If KEYOPT(6) is set to 0, the reaction solution is positive electric charge.

    • If KEYOPT(6) is set to 1, the reaction solution is negative electric charge.

  2. The following apply to circuit element CIRCU94, KEYOPT(1) = 0-4:

    • If KEYOPT(6) is set to 0, the analysis type is piezoelectric-circuit and the reaction solution is negative electric charge.

    • If KEYOPT(6) is set to 1, the analysis type is electrostatic-circuit and the reaction solution is positive electric charge.

  3. The following apply to coupled-field elements PLANE223, SOLID226, and SOLID227, KEYOPT(1) = 1001:

    • If a piezoelectric matrix is specified (TB,PIEZ), the analysis type is piezoelectric and the reaction solution is negative electric charge.

    • If a piezoelectric matrix is not specified, the analysis type is electroelastic and the reaction solution is positive electric charge.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.1. Elements Used in Electric Field Analysis 		Up / Home Next
12.3. Current Densities


12.3. Current Densities

The ANSYS output includes various element current densities (JS, JT, and JC item labels). As shown in the following table, their meaning depends upon the type of low-frequency electromagnetic analysis.

Table 12.8 Current Densities in Low-Frequency Analyses

Current Density Label | Low-Frequency Electric Analysis | Low-Frequency Magnetic Analysis
JS | Total element current density. It is the sum of the element conduction and the displacement current densities. It may be used as a source for a subsequent magnetostatic analysis. | Source current density.
JT | Element conduction current density. | Total measurable element current density.
JC | Nodal conduction current density. | —

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.2. Element Compatibility 		Up / Home Next
12.4. Steady-State Current Conduction Analysis


12.4. Steady-State Current Conduction Analysis

Steady-state current conduction analysis determines the current density and electric potential (voltage) distribution caused by direct current (DC) or potential drop. You can apply two types of loads in this analysis: voltage and electric current. Refer to "Electromagnetics" in the Theory Reference for ANSYS and ANSYS Workbench for more information.

A steady-state current conduction analysis is assumed to be linear. That is, the electric current is proportional to the applied voltage.

The procedure for doing a steady-state current conduction analysis consists of three main steps:

  1. Build the model.

  2. Apply loads and obtain the solution.

  3. Review the results.

The next few topics discuss what you must do to perform these steps.

12.4.1. Building the Model

To build the model, you start by specifying the jobname and a title for your analysis, using the following commands or GUI paths:

Command(s): | /FILNAME, /TITLE
GUI: | Utility Menu> File> Change Jobname Utility Menu> File> Change Title

If you are using the ANSYS GUI , the next step is to set preferences for an electric analysis: Main Menu> Preferences> Electromagnetics> Electric

You must set the preference to Electric to ensure that the elements needed for your analysis will be available. (The ANSYS GUI filters element types based on the preference you choose.)

Once you have set the Electric preference, use the ANSYS preprocessor (PREP7) to define the element types, the material properties, and the model geometry. These tasks are common to most analyses. The Modeling and Meshing Guide explains them in detail.

You can use the following types of elements in a steady-state current conduction analysis:

Table 12.9 Elements Used in a Steady-State Analysis

Element | Dimens. | Type
LINK68 | 3-D | Two node thermal /electric line
PLANE67 | 2-D | Four node thermal/electric quadrilateral
PLANE230 | 2-D | Eight node electric quadrilateral
SOLID5 | 3-D | Eight node structural/thermal/magnetic/electric hexahedral
SOLID69 | 3-D | Eight node thermal//electric hexahedral
SOLID98 | 3-D | Ten node structural/thermal/magnetic/electric tetrahedral
SOLID231 | 3-D | Twenty node electric hexahedral
SOLID232 | 3-D | Ten node electric tetrahedral
SHELL157 | 3-D | Four node thermal/electric shell
MATRIX50 | 3-D | Superelement

You must specify electric resistivity values RSVX, RSVY, and RSVZ using the MP command. These properties may be constant or temperature dependent.

12.4.2. Applying Loads and Obtaining a Solution

In this step, you define the analysis type and options, apply loads to the model, specify load step options, and initiate the finite element solution. The next few topics explain how to perform the following tasks:

  1. Enter the SOLUTION Processor.

  2. Define the analysis type.

  3. Define the analysis options.

  4. Apply loads.

  5. Start the solution.

  6. Finish the solution.

12.4.2.1. Entering the SOLUTION Processor

To enter the SOLUTION processor, use either of the following:

Command(s): | /SOLU
GUI: | Main Menu> Solution

12.4.2.2. Defining Analysis Type

To specify the analysis type, do either of the following:

  • In the GUI, choose menu path Main Menu> Solution> Analysis Type> New Analysis and choose a Steady-state analysis.

  • If this is a new analysis, issue the command ANTYPE,STATIC,NEW.

  • If you want to restart a previous analysis (for example, to specify additional loads), issue the command ANTYPE,STATIC,REST. You can restart an analysis only if you previously completed a steady-state analysis, and the files Jobname.EMAT, Jobname.ESAV, and Jobname.DB from the previous run are available.

12.4.2.3. Defining Analysis Options

Next, you define which solver you want to use. You can use the sparse solver (default), the frontal solver, the Jacobi Conjugate Gradient (JCG) solver, the Incomplete Cholesky Conjugate Gradient (ICCG) solver, or the Preconditioned Conjugate Gradient solver (PCG).

To select an equation solver, use either of the following:

Command(s): | EQSLV
GUI: | Main Menu> Solution> Analysis Type> Analysis Options

12.4.2.4. Applying Loads

You can apply loads to a steady-state analysis either on the solid model (keypoints, lines, and areas) or on the finite element model (nodes and elements). You can specify several types of loads:

12.4.2.4.1. Current

Electric currents (AMPS) are concentrated nodal loads that you usually specify at model boundaries (the label AMPS is just a load label; it does not indicate the units of measurement). A positive value of current indicates current flowing into the node. For a uniform current density distribution, couple the appropriate nodes in the VOLT degree of freedom, and apply the full current at one of the nodes.

To apply current, use one of the following:

Command(s): | F
GUI: | Main Menu> Solution> Define Loads> Apply> Electric> Excitation> Current

12.4.2.4.2. Voltage (VOLT)

Voltages are DOF constraints that you usually specify at model boundaries to apply a known voltage. A typical approach specifies a zero voltage at one end of the conductor (the "ground" end) and a desired voltage at the other end.

To apply voltage, use the following command or GUI path:

Command(s): | D
GUI: | Main Menu> Solution> Define Loads> Apply> Electric> Boundary> Voltage

You can also apply current and voltage loads using the independent current and voltage source options of CIRCU124. For more information, refer to "Electric Circuit Analysis".

Optionally, you can use other commands to apply loads to a steady-state analysis, and you also can specify output controls as load step options. For information about using these commands to apply loads and about the load step options available for steady-state analysis, see "Alternative Analysis Options and Solution Methods".

12.4.2.5. Starting the Solution

In this step, you initiate the solution for all load steps using one of the following:

Command(s): | SOLVE
GUI: | Main Menu> Solution> Solve> Current LS

12.4.2.6. Finishing the Solution

To leave the SOLUTION processor, use either of the following:

Command(s): | FINISH
GUI: | Main Menu> Finish

12.4.3. Reviewing Results

The program writes results from a steady-state current conduction analysis to the results file, Jobname.RTH (or to Jobname.RST if other degrees of freedom are available besides VOLT). Results include the data listed below:

Primary data: Nodal voltages (VOLT).

Derived data:

  • Nodal electric field (EFX, EFY, EFZ, EFSUM).

  • Nodal conduction current densities (JCX, JCY, JCZ, JCSUM). Supported only by PLANE230, SOLID231, and SOLID232.

  • Element conduction current densities (JSX, JSY, JSZ, JSSUM, JTX, JTY, JTZ, JTSUM).

  • Element Joule heat (JHEAT).

  • Nodal reaction currents.

You can review analysis results in POST1, the general postprocessor. To access the postprocessor, choose one of the following:

Command(s): | /POST1
GUI: | Main Menu> General Postproc

For a complete description of all postprocessing functions, see the Basic Analysis Guide.

12.4.3.1. Reviewing Results in POST1

To review results in POST1, the ANSYS database must contain the same model for which the solution was calculated. Also, the results file (Jobname.RTH or Jobname.RST) must be available.

To read results at the desired time point into the database, use either of the following:

Command(s): | SET,,,,,TIME
GUI: | Utility Menu> List> Results> Load Step Summary

If you specify a time value for which no results are available, the program performs linear interpolation to calculate the results at that time.

To identify the results data you want, use a combination of a label and a sequence number or component name.

You can now review the results by obtaining graphics displays and tabular listings. To obtain these, use the following:

Table 12.10 Reviewing Results

Step | Commands | GUI Path
Produce contour displays. | PLESOL, PLNSOL | Main Menu> General Postproc> Plot Results> Contour Plot> Element Solution Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu
Produce vector (arrow) displays. | PLVECT | Main Menu> General Postproc> Plot Results> Vector Plot> Predefined Main Menu> General Postproc> Plot Results> Vector Plot> User Defined
Produce tabular data listings. | PRESOL, PRNSOL, PRRSOL | Main Menu> General Postproc> List Results> Element Solution Main Menu> General Postproc> List Results> Nodal Solution Main Menu> General Postproc> List Results> Reaction Solu

To gain access to certain element results data that are not otherwise directly accessible, you must use the following commands or menu paths after you have read the results into the database:

Table 12.11 ETABLE Results

Step | Commands | GUI Path
Produce contour displays. | ETABLE | Main Menu> General Postproc> Element Table> Define Table
Produce vector (arrow) displays. | PLETAB | Main Menu> General Postproc> Plot Results> Contour Plot> Elem Table Main Menu> General Postproc> Element Table> Plot Elem Table
Produce tabular data listings. | PRETAB | Main Menu> General Postproc> List Results> Elem Table Data Main Menu> General Postproc> Element Table> List Elem Table

POST1 performs many other postprocessing functions, including mapping results onto a path and load case combinations. For more information, see the Basic Analysis Guide manual.

12.4.4. Extracting Conductance from Multi-Conductor Systems

A key parameter from an electric solution is conductance. For multiple conductor systems, this involves extracting self and mutual conductance terms so that equivalent circuit lumped conductors can be defined for use in circuit simulators. The GMATRIX command macro has been developed to extract self and mutual conductance terms for multiple conductor systems.

See the Theory Reference for ANSYS and ANSYS Workbench for more details.

GMATRIX works with the following elements:

  • SOLID5 (KEYOPT(1) = 9)

  • SOLID98 (KEYOPT(1) = 9)

  • LINK68

  • PLANE230

  • SOLID231

  • SOLID232

12.4.4.1. Ground Conductances and Lumped Conductances

Finite element simulation can readily compute and extract a "Ground" conductance matrix of conductance values that relate the current on one conductor with the conductor's voltage drop (to ground). Figure 12.1: "Three Conductor System" illustrates a three-conductor system (one conductor is ground). The following two equations relate currents on electrodes 1 and 2, I1 and I2, with the voltage drops for the electrodes, V1 and V2:

Figure 12.1 Three Conductor System

where Gg represents a matrix of conductances referred to as “ground conductances”. These ground conductances do not represent lumped conductances typically used in a circuit simulator because they do not relate the conductances between conductors. However, the GMATRIX command macro can convert the ground conductance matrix to a lumped conductance matrix which is suitable for use in circuit simulators. Figure 12.2: "Lumped Conductor Equivalence of Three Conductor System" illustrates the lumped conductances between the conductors. The following two equations then relate the currents with the voltage drops:

In the equations above, conductance is in Siemens (1/Ω).

Figure 12.2 Lumped Conductor Equivalence of Three Conductor System

where Gl represents a matrix of conductances referred to as "lumped conductances".

12.4.4.2. Procedure

The GMATRIX command macro will perform multiple simulations and extract both the ground conductance matrix values and the lumped conductance matrix values. To prepare for GMATRIX, you must group the conductor nodes into node components. Do not apply any loads to the model (voltages, current, etc.). The component name applied to the conductor nodes must contain a common prefix, followed by a numerical suffix progressing from 1 to the highest numbered conductor in the system. The last numbered conductor in the system must be the ground conductor (the conductor whose potential is assumed to be zero). The procedure for using GMATRIX is as follows:

  1. Build and mesh the solid model with electric elements. Conductors are assumed to be perfect conductors and hence do not require a finite element mesh within the conductor domain. Only the surrounding conductive regions require a mesh. The resulting nodes on the boundary of the conductors represent the nodes that will be grouped into node components.

  2. Select the nodes on the surface of the each conductor and group them into node components:

    Command(s): CM
    GUI: Utility Menu> Select> Comp/Assembly> Create Component

    Share a command prefix for the component names, and use a numerical value sequencing from 1 to the highest numbered conductor. For example, in Figure 12.2: "Lumped Conductor Equivalence of Three Conductor System", three node components would be defined for each set of conductor nodes. Using a prefix "cond", the node component names would be "cond1", "cond2", and "cond3". The last component, "cond3", would be the nodes representing the ground.

  3. Enter the SOLUTION processor:

    Command(s): SOLU
    GUI: Main Menu> Solution

  4. Select an equation solver (sparse or ICCG solver recommended):

    Command(s): EQSLV
    GUI: Main Menu> Solution> Analysis Type> Analysis Options

  5. Invoke the GMATRIX macro:

    Command(s): GMATRIX
    GUI: Main Menu> General Postproc> Elec&Mag Calc> Component Based> Self/Mutual conductance

    The GMATRIX command macro requires the following input:

    • A symmetry factor (SYMFAC). If there is no symmetry in the model, the symmetry factor is 1 (default). If you wish to model only a portion of the model by taking advantage of symmetry, use the symmetry factor as a multiplier to obtain the correct conductance.

    • The node component prefix name (Condname). This is the prefix of the node component names used to define the conductor node components. In the above example, the prefix name is "cond". The command macro requires that you put single quotes around the prefix name when entering the character string. Thus, the input for this example would be 'cond'. In the GUI, the single quotes are automatically handled by the program.

    • The number of conductor node components (NUMCOND). Insert the total number of conductor node components. In the above example, you would use "3".

    • Enter a name for the stored matrix of conductance values (Matrixname). The command macro stores the computed ground and lumped matrix values in a 3-D array vector where the "i" and "j" columns represent the conductor indices, the "k" column indicates ground (k = 1) or lumped (k = 2) terms. The default name is GMATRIX. For example, the command macro stores the ground terms in GMATRIX(i,j,1) and the lumped terms in GMATRIX(i,j,2). The command macro also creates a text file containing the matrix values and stores it in a file with the stored matrix name and a .TXT extension.

Do not apply inhomogeneous loads before using the GMATRIX command. Inhomogeneous loads are those created by:

  • Degree of freedom commands (D, DA, etc.) specifying nonzero degree of freedom values on nodes or solid model entities

  • Force commands (F, BF, BFE, BFA, etc.) specifying nonzero force values on nodes, elements, or solid model entities

  • Any CE command with a nonzero constant term

GMATRIX executes a series of solutions to compute self and mutual conductance between conductors. The solutions, which are stored in the results file, are available for postprocessing, if desired. At the end of the execution, the command macro presents a summary table.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.3. Current Densities 		Up / Home Next
12.5. Harmonic Quasistatic Electric Analysis


12.5. Harmonic Quasistatic Electric Analysis

A harmonic electric analysis determines the effects of alternating current (AC), charge or voltage excitation in electric devices. In this analysis, the time-harmonic electric and magnetic fields are uncoupled, and the electromagnetic field can be treated as quasistatic. Eddy currents are considered to be negligible, and the electric field is derived from the electric scalar potential. Capacitive effects and displacement current are taken into account. Refer to "Electromagnetics" in the Theory Reference for ANSYS and ANSYS Workbench for more information.

You can use this analysis to determine the voltage, electric field, electric flux density, and electric current density distributions in an electric device as a function of frequency in response to time-harmonic loading.

The procedure for doing a harmonic quasistatic analysis consists of three main steps:

  1. Build the model.

  2. Apply loads and obtain the solution.

  3. Review the results.

The next few topics discuss what you must do to perform these steps.

12.5.1. Building the Model

To build the model, you first specify a jobname and a title for your analysis as described in Steady-State Current Conduction Analysis. If you are using the ANSYS GUI, you set preferences for an electric analysis. You then use the ANSYS preprocessor (PREP7) to define the element types, the material properties, and the model geometry.

To perform a current-based harmonic quasistatic analysis, you can use the following types of elements:

Table 12.12 Elements Used in a Current-Based Harmonic Analysis [1]

Element | Dimens. | Type
PLANE230 | 2-D | Eight node electric quadrilateral
SOLID231 | 3-D | Twenty node electric hexahedral
SOLID232 | 3-D | Ten node electric tetrahedral

  1. The reaction solution is current.

To perform a charge-based harmonic quasistatic analysis, you can use the following types of elements:

Table 12.13 Elements Used in a Charge-Based Harmonic Analysis [1]

Element | Dimens. | Type
PLANE121 | 3-D | Eight node electrostatic quadrilateral
SOLID122 | 3-D | Twenty node electrostatic hexahedral
SOLID123 | 3-D | Ten node electrostatic tetrahedral

  1. The reaction solution is charge.

The default system of units is MKS. In the MKS system of units, free-space permittivity is set to 8.85e-12 Farads/meter. To specify your own system of units and free-space permittivity use one of the following:

Command(s): | EMUNIT
GUI: | Main Menu>Preprocessor>Material props>Electromag Units

To model resistive and capacitive effects, a harmonic electric analysis requires the specification of electrical resistivity and electric permittivity, respectively. Define electrical resistivity values as RSVX, RSVY, and RSVZ on the MP command. Define relative electric permittivity values as PERX, PERY, and PERZ on the MP command.

You can specify losses by defining electrical resistivity (RSVX, RSVY, RSVZ) or a loss tangent (LSST) on the MP command. Resistivity and loss tangent effects are additive.

These properties may be constant or temperature dependent.

12.5.2. Applying Loads and Obtaining a Solution

In this step, you define the analysis type and options, apply loads to the model, specify load step options, and initiate the finite element solution. The next few topics explain how to perform the following tasks:

  1. Enter the SOLUTION processor.

  2. Define the analysis type.

  3. Define the analysis options.

  4. Apply loads.

  5. Start the solution.

  6. Finish the solution.

12.5.2.1. Entering the SOLUTION Processor

To enter the SOLUTION processor, use either of the following:

Command(s): | /SOLU
GUI: | Main Menu> Solution

12.5.2.2. Defining the Analysis Type

To specify the analysis type, do either of the following:

  • In the GUI, choose menu path Main Menu> Solution> Analysis Type> New Analysis and choose a Harmonic analysis.

  • If this is a new analysis, issue the command ANTYPE,HARMONIC,NEW.

  • If you want to restart a previous analysis (for example, to specify additional loads), issue the command ANTYPE,HARMONIC,REST. You can restart an analysis only if you previously completed a harmonic analysis, and the files Jobname.EMAT, Jobname.ESAV, and Jobname.DB from the previous run are available.

12.5.2.3. Defining Analysis Options

Next, you define which solution method and which solver you want to use. Harmonic electric analyses require the full solution method. To select a solution method, use one of the following:

Command(s): | HRNOPT,FULL
GUI: | Main Menu> Solution> Analysis Type> New Analysis> Harmonic

You can use the sparse solver (default), the frontal solver, the Jacobi Conjugate Gradient (JCG) solver, the Incomplete Cholesky Conjugate Gradient (ICCG) solver, or the Preconditioned Conjugate Gradient solver (PCG). To select an equation solver, use one of the following:

Command(s): | EQSLV
GUI: | Main Menu> Solution> Analysis Type> Analysis Options

To specify the frequency range, use any of the following:

Command(s): | HARFRQ
GUI: | Main Menu> Preprocessor> Loads> Load Step opts> Time/Frequency Main Menu> Solution> Loads> Load Step opts> Time/Frequency

To specify the number of harmonic solutions within the load step, use either of the following:

Command(s): | NSUBS
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Freq & and Substps Main Menu> Solution> Load Step Opts> Time/Frequenc> Freq & Substps

When specifying multiple substeps within a load step, you need to indicate whether the loads are to be ramped or stepped. The KBC command is used for this purpose: KBC,0 indicates ramped loads (default), and KBC,1 indicates stepped loads.

Command(s): | KBC
GUI: | Main Menu> Solution> Load Step Opts> Time/Frequenc> Time and Substps (or Time & Time Step) Main Menu> Solution> Load Step Opts> Time/Frequenc> Time and Substps (or Time & Time Step)

To specify results data for the printed output file (Jobname.OUT), use one of the following:

Command(s): | OUTPR
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Output Ctrls> Solu Printout Main Menu> Solution> Load Step Opts> Output Ctrls> Solu Printout

You can also control the solution items sent to the results file (Jobname.RTH). By default, the ANSYS program writes only the last substep of each load step to the results file. If you want all substeps (that is, the solution at all time substeps) on the results file, use one of the following to specify a frequency or ALL or 1.

Command(s): | OUTRES
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Output Ctrls> DB/Results File Main Menu> Solution> Loads> Load Step Opts> Output Ctrls> DB/Results File

12.5.2.4. Applying Loads

You can apply loads in a harmonic analysis either on the solid model (keypoints, lines, and areas) or on the finite element model (nodes and elements). The type of loads you can specify depends on the element type chosen for a harmonic analysis.

Table 12.14 Load Types

Analysis | Element Types | Loads
Current-Based Analysis | PLANE230, SOLID231, SOLID232 | Current Voltage
Charge-Based Analysis | PLANE121, SOLID122, SOLID123 | Charge Surface charge density Volume charge density Voltage
12.5.2.4.1. Current

Electric currents (AMPS) are concentrated nodal loads that you usually specify at model boundaries (the label AMPS is just a load label; it does not indicate the units of measurement). A positive value of current indicates current flowing into the node. For a uniform current density distribution, couple the appropriate nodes in the VOLT degree of freedom, and apply the full current at one of the nodes.

To apply current, use one of the following:

Command(s): | F
GUI: | Main Menu> Solution> Define Loads> Apply> Electric> Excitation> Current

You can also apply current loads using the independent current source option of CIRCU124. For more information, refer to "Electric Circuit Analysis".

12.5.2.4.2. Charge

Electric charges (CHRG) are concentrated nodal force loads. To apply them, use the following command or GUI path:

Command(s): | F
GUI: | Main Menu> Solution> Define Loads> Apply> Electric> Excitation> Charge> On Nodes

12.5.2.4.3. Voltage (VOLT)

Voltages are DOF constraints that you usually specify at model boundaries to apply a known voltage. A typical approach specifies a zero voltage at one end of the conductor (the "ground" end) and a desired voltage at the other end.

To apply voltage, use the following command or GUI path:

Command(s): | D
GUI: | Main Menu> Solution> Define Loads> Apply> Electric> Boundary> Voltage

You can also apply voltage loads using the independent voltage source option of CIRCU124. For more information, refer to "Electric Circuit Analysis".

12.5.2.5. Starting the Solution

In this step, you initiate the solution for all load steps using one of the following:

Command(s): | SOLVE
GUI: | Main Menu> Solution> Solve> Current LS

12.5.2.6. Finishing the Solution

To leave the SOLUTION processor, use either of the following:

Command(s): | FINISH
GUI: | Main Menu> Finish

12.5.3. Reviewing Results

The program writes results from a harmonic electric analysis to the results file, Jobname.RTH. Results include the data listed below:

Primary data: Nodal DOF (VOLT).

Derived data:

Note

Some output quantities depend on the element type used in the analysis.

  • Nodal electric field (EFX, EFY, EFZ, EFSUM).

  • For a current-based analysis using electric elements, nodal conduction current densities (JCX, JCY, JCZ, JCSUM).

  • For a charge-based analysis using electrostatic elements, nodal electric flux densities (DX, DY, DZ, DSUM).

  • Element current densities (JSX, JSY, JSZ, JSSUM). This output item represents the total (that is, sum of conduction and displacement current densities). It can be used as a source for a subsequent magnetic analysis.

  • Element conduction current densities (or total measurable current density) (JTX, JTY, JTZ, JTSUM).

  • Element Joule heat generation rate per unit volume (JHEAT). This is a time-averaged value.

  • Element stored electric energy (SENE). This is a time-averaged value.

  • For a current-based analysis using electric elements, nodal reaction currents.

  • For a charge-based analysis using electrostatic elements, nodal reaction charges.

You can review analysis results in POST1, the general postprocessor, or in POST26, the time-history postprocessor. To access the general postprocessor, choose one of the following:

Command(s): | /POST1
GUI: | Main Menu> General Postproc
To access the time-history postprocessor, choose one of the following:
Command(s): | /POST26
GUI: | Main Menu> TimeHist Postproc

The following table summarizes the applicable labels for the /POST1 and /POST26 commands.

Table 12.15 Command Labels

Output Quantity | Label | Command(s) | Analysis
 |  |  | Current-based [1] | Charge-based [2]
Nodal DOF | VOLT | PRNSOL, PLNSOL, ETABLE, NSOL, | Y | Y
Nodal electric field | EF | PRNSOL, PLNSOL, PRESOL, PLESOL, PRVECT, PLVECT, ETABLE, ESOL | Y | Y
Nodal conduction current density | JC |  | Y | –
Nodal electric flux density | D |  | – | Y
Element total current density | JS [3 ] | PRESOL, PLESOL, PRVECT, PLVECT, ETABLE, ESOL | Y | Y
Element conduction current density | JT [3 ] |  | Y | Y
Element Joule heat generation rate per unit volume (time-averaged) | JHEAT | PRESOL, PLESOL, ETABLE, ESOL | Y | Y
Element stored electric energy (time-averaged) | SENE |  | Y | Y
Nodal reaction current | AMPS | RFORCE, PRRFOR, PRRSOL, PRESOL, PLESOL | Y | –
Nodal reaction charge | CHRG |  | – | Y

  1. PLANE230, SOLID231, and SOLID232 are current-based.

  2. PLANE121, SOLID122, and SOLID123 are charge-based.

  3. Refer to Table 12.8: "Current Densities in Low-Frequency Analyses" for the meaning of this label.

For a complete description of all postprocessing functions, see "The General Postprocessor (POST1)" and "The Time-History Postprocessor (POST26)" in the Basic Analysis Guide.

12.5.3.1. Reviewing Results in POST1

To review results in POST1, the ANSYS database must contain the same model for which the solution was calculated. Also, the results file (Jobname.RTH) must be available.

The procedures for reviewing POST1 harmonic electric analysis results are identical to the procedures described in Steady-State Current Conduction Analysis with the following exception. Results from a harmonic electric analysis are complex and consist of real and imaginary components. Set KIMG=0 or KIMG=1 on the SET command to read the real or imaginary results respectively.

12.5.3.2. Reviewing Results in POST26

To review results in POST26, the time-history postprocessor, the ANSYS database must contain the same model for which the solution was calculated, and the results file (Jobname.RTH) must be available. If the model is not in the database, restore it using one of the following:

Command(s): | RESUME
GUI: | Utility Menu> File> Resume Jobname.db

Then use one of the following to read in the desired set of results.

Command(s): | SET
GUI: | Utility Menu> List> Results> Load Step Summary

POST26 works with tables of result item versus frequency, known as variables. Each variable is assigned a reference number, with variable number 1 reserved for frequency. Therefore the first things you need to do is define the variables using the following commands or GUI paths.

Table 12.16 Defining Variables

Step | Command | GUI Path
Define primary data variables | NSOL | Main Menu> TimeHist Postpro> Define Variables
Define derived data variables | ESOL | Main Menu> TimeHist Postpro> Define Variables
Define reaction data variables. | RFORCE | Main Menu> TimeHist Postpro> Define Variables

Once you have defined these variables, you can graph or list them (versus time or any variable) using the following commands or GUI paths.

Table 12.17 Graphing and Listing Variables

Step | Command | GUI Path
To graph variables. | PLVAR | Main Menu> TimeHist Postpro> Graph Variables
To list variables. | PRVAR | Main Menu> TimeHist Postpro> List Variables
To list only the extreme variables. | EXTREM | Main Menu> TimeHist Postpro> List Extremes

POST26 offers many other functions, such as performing math operations among variables, moving variables into array parameters, etc. For more information, see "The Time-History Postprocessor (POST26)" in the Basic Analysis Guide.

By reviewing the time-history results at strategic points throughout the model, you can identify the critical time points for further POST1 postprocessing.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.4. Steady-State Current Conduction Analysis 		Up / Home Next
12.6. Transient Quasistatic Electric Analysis


12.6. Transient Quasistatic Electric Analysis

A transient electric analysis determines the effects of time-dependent current or voltage excitation in electric devices. In this analysis, the time-varying electric and magnetic fields are uncoupled, and the electromagnetic field can be treated as quasistatic. Eddy currents are considered to be negligible, and the electric field is derived from the electric scalar potential. A transient electric analysis is assumed to be linear. Refer to "Electromagnetics" in the Theory Reference for ANSYS and ANSYS Workbench for more information.

You can use this analysis to determine the voltage, electric field, and electric current density distributions in an electric device as a function of time in response to time-dependent loading. The time scale of the loading is such that the capacitive effects and displacement current are considered to be important. It they are not important, you might be able to use a steady-state current conduction analysis instead.

The procedure for doing a transient quasistatic analysis consists of three main steps:

  1. Build the model.

  2. Apply loads and obtain the solution.

  3. Review the results.

The next few topics discuss what you must do to perform these steps.

12.6.1. Building the Model

To build the model, you first specify a jobname and a title for your analysis as described in Steady-State Current Conduction Analysis. If you are using the ANSYS GUI, you set preferences for an electric analysis. You then use the ANSYS preprocessor (PREP7) to define the element types, the material properties, and the model geometry.

You can use the following types of elements in a transient electric analysis:

Table 12.18 Elements Used in a Transient Analysis

Element | Dimens. | Type
PLANE230 | 2-D | Eight node electric quadrilateral
SOLID231 | 3-D | Twenty node electric hexahedral
SOLID232 | 3-D | Ten node electric tetrahedral

The default system of units is MKS. In the MKS system of units, free-space permittivity is set to 8.85e-12 Farads/meter. To specify your own system of units and free-space permittivity use one of the following:

Command(s): | EMUNIT
GUI: | Main Menu>Preprocessor>Material props>Electromag Units

To model resistive and capacitive effects, a transient electric analysis requires the specification of electrical resistivity and electric permittivity, respectively. Define electrical resistivity values as RSVX, RSVY, and RSVZ on the MP command. Define relative electric permittivity values as PERX, PERY, and PERZ on the MP command. These properties may be constant or temperature dependent.

12.6.2. Applying Loads and Obtaining a Solution

In this step, you define the analysis type and options, apply loads to the model, specify load step options, and initiate the finite element solution. The next few topics explain how to perform the following tasks:

  1. Enter the SOLUTION processor.

  2. Define the analysis type.

  3. Define the analysis options.

  4. Apply loads.

  5. Start the solution.

  6. Finish the solution.

12.6.2.1. Entering the SOLUTION Processor

To enter the SOLUTION processor, use either of the following:

Command(s): | /SOLU
GUI: | Main Menu> Solution

12.6.2.2. Defining the Analysis Type

To specify the analysis type, do either of the following:

  • In the GUI, choose menu path Main Menu> Solution> Analysis Type> New Analysis and choose a Transient analysis.

  • If this is a new analysis, issue the command ANTYPE,TRANSIENT,NEW.

  • If you want to restart a previous analysis (for example, to specify additional loads), issue the command ANTYPE,TRANSIENT,REST. You can restart an analysis only if you previously completed a transient analysis, and the files Jobname.EMAT, Jobname.ESAV, and Jobname.DB from the previous run are available.

12.6.2.3. Defining Analysis Options

Next, you define which solution method and which solver you want to use. Transient electric analyses require the full solution method. To select a solution method, use one of the following:

Command(s): | TRNOPT,FULL
GUI: | Main Menu> Solution> Analysis Type> New Analysis>Transient

You can use the sparse solver (default), the frontal solver, the Jacobi Conjugate Gradient (JCG) solver, the Incomplete Cholesky Conjugate Gradient (ICCG) solver, or the Preconditioned Conjugate Gradient solver (PCG). To select an equation solver, use one of the following:

Command(s): | EQSLV
GUI: | Main Menu> Solution> Analysis Type> Analysis Options

To specify the time at the end of a load step, use any of the following:

Command(s): | TIME
GUI: | Main Menu>Preprocessor>Loads>Load Step opts>Time/Frequency Main Menu>Solution>Loads>Load Step opts>Time/Frequency

The integration time step is the time increment used in the time integration scheme. It determines the accuracy of your solution. The smaller the time step size, the higher the accuracy. The size of the first integration time step following any large step change in loading conditions is especially critical. You can reduce inaccuracies by reducing the integration time step size. You can specify it directly via the DELTIM command or indirectly via the NSUBST command.

Command(s): | DELTIM
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Time & Time Step Main Menu> Solution> Load Step Opts> Time/Frequenc> Time & Time Step
Command(s): | NSUBS
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Time and Substps Main Menu> Solution> Load Step Opts> Time/Frequenc> Time and Substps

When specifying multiple substeps within a load step, you need to indicate whether the loads are to be ramped or stepped. The KBC command is used for this purpose: KBC,0 indicates ramped loads (default), and KBC,1 indicates stepped loads.

Command(s): | KBC
GUI: | Main Menu> Solution> Load Step Opts> Time/Frequenc> Time and Substps (or Time & Time Step) Main Menu> Solution> Load Step Opts> Time/Frequenc> Time and Substps (or Time & Time Step)

To specify results data for the printed output file (Jobname.OUT), use one of the following:

Command(s): | OUTPR
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Output Ctrls> Solu Printout Main Menu> Solution> Load Step Opts> Output Ctrls> Solu Printout

You can also control the solution items sent to the results file (Jobname.RTH). By default, the ANSYS program writes only the last substep of each load step to the results file. If you want all substeps (that is, the solution at all time substeps) on the results file, use one of the following to specify a frequency or ALL or 1.

Command(s): | OUTRES
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Output Ctrls> DB/Results File Main Menu> Solution> Loads> Load Step Opts> Output Ctrls> DB/Results File

12.6.2.4. Applying Loads

You can apply loads in a transient analysis either on the solid model (keypoints, lines, and areas) or on the finite element model (nodes and elements). You can specify current and voltage loads. The procedures and GUI paths you use to apply these loads are identical to those described in Steady-State Current Conduction Analysis.

You can also apply current and voltage loads using the independent current and voltage source options of CIRCU124. For more information, refer to "Electric Circuit Analysis".

12.6.2.5. Starting the Solution

In this step, you initiate the solution for all load steps using one of the following:

Command(s): | SOLVE
GUI: | Main Menu> Solution> Solve> Current LS

12.6.2.6. Finishing the Solution

To leave the SOLUTION processor, use either of the following:

Command(s): | FINISH
GUI: | Main Menu> Finish

12.6.3. Reviewing Results

The program writes results from a transient electric analysis to the results file, Jobname.RTH. Results include the data listed below:

Primary data: Nodal DOF (VOLT).

Derived data:

  • Nodal electric field (EFX, EFY, EFZ, EFSUM).

  • Nodal conduction current densities (JCX, JCY, JCZ, JCSUM).

  • Element current densities (JSX, JSY, JSZ, JSSUM). This output item represents the total (that is, the sum of conduction and displacement current densities). It can be used as a source for a subsequent magnetic analysis.

  • Element conduction current densities (or total measurable current density) (JTX, JTY, JTZ, JTSUM).

  • Element Joule heat generation rate per unit volume (JHEAT).

  • Element stored electric energy (SENE).

  • Nodal reaction currents.

You can review analysis results in POST1, the general postprocessor, or in POST26, the time-history postprocessor. To access the general postprocessor, choose one of the following:

Command(s): | /POST1
GUI: | Main Menu> General Postproc
To access the time-history postprocessor, choose one of the following:
Command(s): | /POST26
GUI: | Main Menu> TimeHist Postproc

For a complete description of all postprocessing functions, see "The General Postprocessor (POST1)" and "The Time-History Postprocessor (POST26)" in the Basic Analysis Guide.

12.6.3.1. Reviewing Results in POST1

To review results in POST1, the ANSYS database must contain the same model for which the solution was calculated. Also, the results file (Jobname.RTH) must be available.

The procedures for reviewing POST1 transient electric analysis results are identical to the procedures described in Steady-State Current Conduction Analysis.

12.6.3.2. Reviewing Results in POST26

To review results in POST26, the time-history postprocessor, the ANSYS database must contain the same model for which the solution was calculated, and the Jobname.RTH file (the results file) must be available. If the model is not in the database, restore it using one of the following:

Command(s): | RESUME
GUI: | Utility Menu> File> Resume Jobname.db

The procedures for reviewing POST26 transient electric analysis results are identical to the procedures described in Harmonic Quasistatic Electric Analysis. Variable number 1 is reserved for time instead of frequency.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.5. Harmonic Quasistatic Electric Analysis 		Up / Home Next
12.7. Sample Steady-State Conduction Current Analysis


12.7. Sample Steady-State Conduction Current Analysis

The following is an example of how to perform a steady-state conduction current analysis by issuing ANSYS commands. You can also perform the analysis through the ANSYS GUI menus.

12.7.1. Problem Description

A current I is applied to a thin disk of radius r = a. As shown in the following figure, the current enters and leaves via point electrodes located at r = b, φ = 0 and r = b, φ = π. Find the potential and dc-current distributions in the disk.

Figure 12.3 Conducting Disk with Current Loading

The geometric and electrical parameters are:

Radius a = 20 cm
Distance from the center to the point electrodes b = 10 cm
Applied Current I = 1 mA
Disk Resistivity ρ = 100 Ωm

To obtain an accurate field distribution, the disc area is densely meshed with triangle-shaped PLANE230 electric elements. A VOLT degree of freedom constraint is applied to the center of the disk. Current loads are applied as concentrated nodal loads. A cylindrical coordinate system is used.

12.7.2. Results

Table 12.19 Electric Potential at Points with Coordinates r = a and φ

φ (degrees) | Electric Potential (V)
 | Computed | Target [1 ]
0 | –.03501 | –.03497
10 | –.03399 | –.03392
20 | –.03124 | –.03110
30 | –.02708 | –.02716
40 | –.02269 | –.02271
50 | –.01814 | –.01810
60 | –.01360 | –.01349
70 | –.00880 | –.00894
80 | –.00438 | –.00445
90 | 0.0 | 0.0

  1. Problem # 286, p.137 in N.N. Lebedev, I.P. Skalskaya, Y.S. Ufland, "Worked problems in Applied Mathematics," Dover Publications, Inc., NY (1979).

The following figures display the potential and dc-current distributions in the disk.

Figure 12.4 Potential Distribution

Figure 12.5 Current Distribution

12.7.3. Command Listing

You can perform this example steady-state analysis using the ANSYS commands shown below. Text prefaced by an exclamation point (!) is a comment.

/batch,list
/title, DC-current distribution in a thin conducting disk
a=20.e-2               ! disk radius, m
b=10.e-2               ! electrode distance from the center, m
I=1.e-3                ! current, A
rho=100                ! resistivity, Ohm*m
/nopr

/PREP7
! Model and meshing
et,1,PLANE230          ! electric element type
mp,rsvx,1,rho          ! resistivity

cyl4,0,0,0,0,a,360     ! circular area
esize,,64
msha,1,2-D             ! mesh with triangles
amesh,1

! Boundary conditions
csys,1                 ! cylindrical coordinate system
d,node(0,0,0),volt,0   ! ground center node

! Nodal current loads
f,node(b,0,0),amps,-I
f,node(b,180,0),amps,I

fini

/solu
antype,static          ! steady-state current conduction
solve
fini

/post1
plnsol,volt            ! plot electric potential
plnsol,jc,sum          ! plot current density vector magnitude

*dim,value,,10,2
*dim,coord,,10,2

*do,i,1,10
! coordinates of solution point
r=a $   phi=(i-1)*10
coord(i,1)=r
coord(i,2)=phi
! ANSYS solution
value(i,1)=volt(node(a,(i-1)*10,0))
*enddo
! Analytical solution
*vfill,value(1,2),data,-0.034969,-0.033923,-0.031098,-0.027163,-0.022709
*vfill,value(6,2),data,-0.018095,-0.013485,-0.008937,-0.004451,0.

/com,----------------  VOLT SOLUTION  ----------------
/com,
/com,    R    |   PHI   |     ANSYS     |    TARGET
/com,
*vwrite,coord(1,1),coord(1,2),value(1,1),value(1,2),
(1X,' ',F6.1,'    ',F6.1,'   ',F11.6,'    ',F11.6)
/com,-------------------------------------------------

fini

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.6. Transient Quasistatic Electric Analysis 		Up / Home Next
12.8. Sample Conductance Calculation


12.8. Sample Conductance Calculation

This problem evaluates conductance between parallel plate electrodes. The following is an example of how to conduct the analysis by issuing ANSYS commands. You can also perform the analysis through the ANSYS GUI menus.

12.8.1. Problem Description

In this example, the objective is to compute the self and mutual conductance coefficients between two parallel plate electrodes.

In this example, the model consists of two parallel plate electrodes, 3 m in length, with a gap of 2 m and a conductivity of 10. One electrode represents the ground, and 100 volts is applied to the other electrode. The target conductance is 15.

Figure 12.6 Problem Geometry

12.8.2. Command Listing

/title,Conductance between parallel plate electrodes using GMATRIX

/com Input data
/com sigma : conductivity
/com g     : gap between electrodes
/com w     : electrode width
/com l     : length
/com
/com Target
/com
/com G = sigma w l / g : conductance between parallel plate electrodes
!
g=2                    ! gap between electrodes
w=3                    ! electrode width
l=1                    ! length
sigma=10	               ! conductivity
!
gt=sigma*w*l/g         ! target conductance
!
/prep7
et,1,230
mp,rsvx,1,1/sigma
!
n,1,0,0
n,2,w,0
n,3,w,g
n,4,0,g
e,1,2,3,4
!
nsel,s,loc,y,g           ! electrode
cm,comp1,node
d,all,volt,100
!
nsel,s,loc,y,0           ! ground
cm,comp2,node
d,all,volt,0
!
nsel,all
!
gmatrix,1,'comp',2,0      ! compute conductance matrix
gc=gmatrix(1,1,1)         ! computed conductance
finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.7. Sample Steady-State Conduction Current Analysis 		Up / Home Next
12.9. Sample Harmonic Quasistatic Electric Analysis


12.9. Sample Harmonic Quasistatic Electric Analysis

12.9.1. Problem Description

A time-harmonic voltage of amplitude Vo is applied to a barium titanate parallel plate capacitor with circular plates of radius a and dielectric thickness d. The dielectric has relative permittivity εr and loss tangent tanδ. Perform a harmonic analysis to determine the capacitor admittance (Y) in the frequency (f) range of 0 to 1 MHz, and find the dissipated power at 1 MHz.

Figure 12.7 Parallel Plate Capacitor with Time-Harmonic Voltage Load

The geometric and electrical parameters are:

Radius a = 9 cm
Thickness d = 0.1 cm
Relative Permittivity εr = 1143
Loss tangent tanδ = 0.0105
Voltage amplitude Vo = 50 volts
Frequency f = 0 to 1 MHz

The capacitor is modeled using the axisymmetric option of PLANE230 electric elements. Electrodes are defined by coupling VOLT degrees of freedom on the major surfaces of the capacitor. The bottom electrode is grounded, and a voltage load Vo is applied to the top electrode.

Figure 12.8 Axisymmetric Model

Electric admittance (Y) is calculated at ten frequencies between 0 and 1 MHz using the reaction current on the loaded electrode. Results are compared with target values obtained from the following analytical expression:

Y = 2πfC(tanδ+j)

where:

and j = imaginary unit.

Power dissipation at f = 1 MHz is calculated in /POST1 by summing up the Joule heat rates over the elements. The result is compared with the following analytical expression for the time-average power dissipated in the capacitor:

12.9.2. Results

As shown in the following table, the ANSYS electric admittance (Y) results agree with those from the analytical expression given above.

Table 12.20 Electric Admittance (Y)

Frequency (MHz) | Admittance Amplitude (S) [1]
0.0 | 0.1618
0.2 | 0.3236
0.3 | 0.4855
0.4 | 0.6473
0.5 | 0.8091
0.6 | 0.9709
0.7 | 1.1327
0.8 | 1.2945
0.9 | 1.4564
1.0 | 1.6182

  1. The phase angle is 89.4 degrees at all ten frequencies.

The power dissipated at a frequency of 1 MHz is 21.2 watts.

12.9.3. Command Listing

You can perform this example harmonic analysis using the ANSYS commands shown below. Text prefaced by an exclamation point (!) is a comment.

Besides commands to perform this analysis using the PLANE230 electric elements, this command listing includes the commands to do the same analysis using PLANE121 electrostatic elements.

/batch,list
/title, Harmonic response of a lossy capacitor
/com,
/com,  Problem parameters:
a=9.e-2                        ! radius, m
d=0.1e-2                       ! thickness, m
epsr=1143                      ! relative permittivity
tand=0.0105                    ! loss tangent
Vo=50                          ! voltage amplitude, V
f1=0                           ! begin frequency, Hz
f2=1.e6                        ! end frequency, Hz
eps0=8.854e-12                 ! free space permittivity, F/m
Pi=acos(-1)
C=epsr*eps0*Pi*a**2/d          ! capacitance, F
P2d=Pi*f2*Vo**2*C*tand         ! power dissipation at freq. f2, Watt

/nopr
/PREP7
et,1,PLANE230,,,1              ! axisymmetric electric element
emunit,epzro,eps0              ! specify free-space permittivity
mp,perx,1,epsr                 ! electric material properties
mp,lsst,1,tand

rect,,a,,d                     ! model and mesh
esize,d/2
amesh,1

! Boundary conditions and loads
nsel,s,loc,y,0
cp,1,volt,all                  ! define bottom electrode
*get,n_grd,node,0,num,min      ! get master node on bottom electrode
nsel,s,loc,y,d
cp,2,volt,all                  ! top electrode
*get,n_load,node,0,num,min     ! get master node on top electrode
nsel,all
d,n_grd,volt,0                 ! ground bottom electrode
d,n_load,volt,Vo               ! apply voltage load to top electrode
fini

/solu
antype,harm                    ! harmonic analysis
harfrq,f1,f2                   ! frequency range
nsubs,10                       ! number of substeps
outres,all,all                 ! write all solution items to the result file
kbc,1                          ! stepped load
solve
fini

/post1
/com,Calculate power dissipation at frequency = %f2%, Hz
set,last                       ! read last data set
etab,jh,jheat                  ! fill etable with Joule heat rates per unit volume
etab,vol,volu                  ! fill etable with element volumes
smult,dpower,jh,vol            ! fill etable with element Joule heat rates
ssum                           ! sum element Joule heat rates
/com,Expected power dissipation = %P2d%, Watt
fini

/post26
rfor,2,n_load,amps             ! reaction current I
prod,3,2,,,Y_ANSYS,,,1/Vo      ! Y_ansys = I/V
prod,4,1,,,,,,2*Pi*C           ! 2*Pi*f*C
cfact,tand,,,1
add,5,4,4,,Y_TARGET            ! Y_target = 2*Pi*f*C*(tand+j)
prcplx,1
prvar,Y_ANSYS,Y_TARGET
fini

/com,
/com, *** Perform same frequency sweep using electrostatic elements
/com,
/PREP7
et,1,PLANE121,,,1              ! axisymmetric electrostatic element
fini

/solu
antype,harm                    ! harmonic analysis
harfrq,f1,f2                   ! frequency range
nsubs,10                       ! number of substeps
outres,all,all                 ! write all solution items to the result file
kbc,1                          ! stepped load
solve
fini

/post1
/com,Calculate power dissipation at frequency = %f2%, Hz
set,last                       ! read last dataset
etab,jh,jheat                  ! fill etable with Joule heat rates per unit volume
etab,vol,volu                  ! fill etable with element volumes
smult,dpower,jh,vol            ! fill etable with element Joule heat rates
ssum                           ! summ up element Joule heat rates
/com,Expected power dissipation = %P2d%, Watt
fini

/post26
rfor,2,n_load,chrg             ! reaction charge Q
cfact,0,2*Pi
prod,3,1,2,,Y_ANSYS,,,,1/Vo    ! Y_ansys = j*2*Pi*Q/Vo
prod,4,1,,,,,,2*Pi*C           ! 2*Pi*f*C
cfact,tand,,,1
add,5,4,4,,Y_TARGET            ! Y_target = 2*Pi*f*C*(tand+j)
prcplx,1
prvar,Y_ANSYS,Y_TARGET
fini

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.8. Sample Conductance Calculation 		Up / Home Next
12.10. Sample Transient Quasistatic Electric Analysis


12.10. Sample Transient Quasistatic Electric Analysis

12.10.1. Problem Description

A parallel plate capacitor filled with a lossy dielectric, characterized by relative permittivity εr and resistivity ρ, is connected, in series with a resistor R, to a source of constant voltage U. The switch closes at time t = 0. Find the electric field and current density distributions in the capacitor as functions of time.

Figure 12.9 Parallel Plate Capacitor Connected to a Voltage Source

The capacitor and circuit parameters are:

Length a = 3 cm
Width b = 1 cm
Thickness d = 0.5 cm
Loss tangent tanδ = 0.0105
Resistivity = 150 Ωm
Resistance R = 1 kΩ
Voltage U = 12 volts

The lossy capacitor is modeled with SOLID231 electric elements. Electrodes are defined by coupling VOLT degrees of freedom on the major surfaces of the capacitor. Lumped circuit components are modeled using CIRCU124 elements and they are connected to the capacitor via the master nodes. A transient analysis is performed to determine the electric field variation in the capacitor with time. Computed results for a selected element are compared in /POST26 to the values derived from the following analytical expression for the electric field:

E(t) = Es{1 - exp (-t/τ)}

where:

Es = steady state electric field, Volts/m

S = capacitor plate area, m2

τ = time constant, seconds

and they are defined by:

S = ab

12.10.2. Results

The following figures display the electric field and current density distributions as functions of time.

Figure 12.10 Computed and Target Electric Fields

Figure 12.11 Current Density (Conduction, Displacement, and Total)

12.10.3. Command Listing

You can perform this example transient analysis using the ANSYS commands shown below. Text prefaced by an exclamation point (!) is a comment.

Besides /POST26 commands to display the electric field and current density, this command listing includes the commands to print electric field, current density, electric flux density, and Joule heat rate. The current density and Joule heat rate output quantities are included to illustrate the coupling to magnetic and thermal analyses using companion magnetic and thermal elements, respectively.

/batch,list
/title, Transient effects in a lossy capacitor
/com,
/com,  Problem parameters:
a=3.e-2           ! length, m
b=1.e-2           ! width, m
S=a*b             ! area, m**2
d=0.5e-2          ! thickness, m
epsr=12           ! relative permittivity of dielectric
eps0=8.854e-12    ! free space permittivity, F/m
rho=150           ! resistivity of dielectric, Ohm*m,
R=1000            ! resistance, Ohm
U=12              ! voltage, V
Es=U/(S*R/rho+d)  ! steady-state electric field, V/m
tau=epsr*eps0*S*R/(S*R/rho+d) ! time constant, s

/nopr
/PREP7
emunit,epzro,eps0 ! Specify free-space permittivity

! Element attributes
et,1,CIRCU124     ! Resistor
et,2,CIRCU124,4   ! Voltage source
et,3,SOLID231     ! 20-node brick electric solid
r,1,R             ! Real constants for circuit elements
r,2,U
mp,rsvx,1,rho     ! Electric properties
mp,perx,1,epsr

! Modeling and meshing
type,3
mat,1
block,,d,,a,,b
esize,d/2
vmesh,1

nsel,s,loc,x,0
cp,1,volt,all           ! Couple nodes to model right electrode
*get,n1,node,0,num,min  ! Get master node on right electrode
nsel,s,loc,x,d
cp,2,volt,all           ! Couple nodes to model left electrode
*get,n2,node,0,num,min  ! Get master node on left electrode
nsel,all

! Circuit mesh
*get,nmax,node,0,num,max
n3=nmax+1
n4=n3+1
n,n3,a/2,-a
n,n4,a/2,-a
type,1                  ! resistor
real,1
e,n1,n3
type,2                  ! voltage source
real,2
e,n3,n2,n4
d,n2,volt,0             ! ground node
fini

/solu
antype,transient        ! transient analysis
t1=6*tau
time,t1                 ! set analysis time
deltim,t1/100           ! set time step
outres,all,5            ! write results at every 5th substep
ic,all,volt,0           ! initial conditions for VOLT
solve
fini

! Select nodes and elements for post-processing
n_post=node(d/2,a/2,b/2)
nsel,s,node,,n_post
esln,s
*get,e_post,elem,0,num,min
allsel

/com, *** Results verification
/post26
numvar,20

! Electric field
esol,2,e_post,,EF,x,EF_ANS
exp,3,1,,,,,,-1/tau,-1         ! -exp(-t/tau)
filldata,4,,,,1                ! 1
add,5,4,3,,EF_TAR,,,Es,Es      ! E=Es*(1-exp(-t/tau))

! Conduction current
esol,6,e_post,,JC,x,JC_ANS
prod,7,5,,,JC_TAR,,,1/rho      ! Jc=E/rho

! Electric flux density
esol,8,e_post,,NMISC,1,D_ANS
prod,9,5,,,D_TAR,,,epsr*eps0   ! D=epsr*eps0*E

! Displacement and total (displacement+conduction) currents
esol,10,e_post,,JS,x,JS_ANS
add,11,10,6,,JD_ANS,,,,-1      ! Jd=Js-Jc
deriv,12,9,1,,JD_TAR           ! Jd=dD/dt
add,13,7,12,,JS_TAR

! Joule heat generation rate per unit volume
esol,14,e_post,,JHEAT,,HGEN_ANS
prod,15,5,7,,HGEN_TAR! Jheat=E*Jc

prvar,EF_ANS,EF_TAR,D_ANS,D_TAR
prvar,JC_ANS,JC_TAR,JD_ANS,JD_TAR,JS_ANS,JS_TAR
prvar,HGEN_ANS,HGEN_TAR

/axlab,x, Time, s
/axlab,y, Electric Field, Volt/m
plvar,EF_ANS,EF_TAR            ! Plot computed and expected EF
/axlab,y, Current density, A/m**2
plvar,JC_ANS,JD_ANS,JS_ANS     ! Plot computed currents
fini

/com, *** Coupling to thermal analysis
/PREP7
et,1,0
et,2,0
et,3,90               ! companion thermal element
esel,s,elem,,e_post
ldread,hgen,,5,,,,rth ! read heat generation from the 5th substep
bfelist,all,hgen
ldread,hgen,,,,,,rth  ! read heat generation from the last substep
bfelist,all,hgen
esel,all
fini

/com, *** Coupling to magnetic analysis
/PREP7
et,3,117              ! companion magnetic element
esel,s,elem,,e_post
ldread,js,,5,,,,rth   ! read current from the 5th substep
bfelist,all,js
ldread,js,,,,,,rth    ! read current from the last substep
bfelist,all,js
esel,all
fini

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.9. Sample Harmonic Quasistatic Electric Analysis 		Up / Home Next
12.11. Where to Find Current Conduction Analysis Examples


12.11. Where to Find Current Conduction Analysis Examples

Another ANSYS, Inc., publication, the Verification Manual, contains several examples of current conduction analysis:

VM117 - Electric Current Flowing in a Network
VM170 - Magnetic Field from a Square Current Loop
VM173 - Centerline Temperature of an Electrical Wire

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.10. Sample Transient Quasistatic Electric Analysis 		Up / Home Next
Chapter 13. Electrostatic Field Analysis (h-Method)


Chapter 13. Electrostatic Field Analysis (h-Method)

Electrostatic field analysis determines the electric field and electric scalar potential (voltage) distribution caused by charge distributions or applied potential. You can apply two types of loads in this analysis: voltage and charge densities.

An electrostatic analysis is assumed to be linear. The electric field is proportional to the applied voltage.

Two electrostatic analyses methods are available: h-Method and p-Method. The traditional h-Method is covered in this chapter and the p-Method is covered in "p-Method Electrostatic Analysis".

Electrostatic contact is also available in ANSYS. See Modeling Electric Contact in the Contact Technology Guide for details.

The following h-Method electrostatic field analysis topics are available:

  • Elements Used in h-Method Electrostatic Analysis
  • Steps in an h-Method Electrostatic Analysis
  • Extracting Capacitance from Multi-conductor Systems
  • Trefftz Method for Open Boundary Representation
  • Doing an Example h-Method Electrostatic Analysis (GUI Method)
  • Doing an Electrostatic Analysis (Command Method)
  • Doing an Example Capacitance Calculation (Command Method)
  • Doing an Electrostatic Analysis Using Trefftz Method (Command Method)
  • Doing an Electrostatic Analysis Using Trefftz Method (GUI Method)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.11. Where to Find Current Conduction Analysis Examples 		Up / Home Next
13.1. Elements Used in h-Method Electrostatic Analysis


13.1. Elements Used in h-Method Electrostatic Analysis

Electrostatic analyses use the following ANSYS elements:

Table 13.1 2-D Solid Elements

Element | Dimens. | Shape or Characteristic | DOFs | Notes
PLANE121 | 2-D | Quadrilateral, eight nodes | Voltage at each node | Supported for cyclic symmetry (periodic) analyses, except for Trefftz method or coupled thermo-electric with VOLT and TEMP.

Table 13.2 3-D Solid Elements

Element | Dimens. | Shape or Characteristic | DOFs | Notes
SOLID122 | 3-D | Brick, 20 nodes | Voltage at each node | Supported for cyclic symmetry (periodic) analyses, except for Trefftz method or coupled thermo-electric with VOLT and TEMP.
SOLID123 | 3-D | Tetrahedral, 10 node | Voltage at each node | Supported for cyclic symmetry (periodic) analyses, except for Trefftz method or coupled thermo-electric with VOLT and TEMP.

Table 13.3 Specialty Elements

Element | Dimens. | Shape or Characteristic | DOFs
MATRIX50 | None (this is a super- element) | Depends on the elements that make up this element | Depends on the included element types
INFIN110 | 2-D | Four or eight nodes | One per node; this can be a magnetic vector potential, temperature, or electric potential
INFIN111 | 3-D | Hexalateral, 8 or 20 nodes | AX, AY, AZ magnetic vector potential, temperature, electric potential, or magnetic scalar potential
INFIN9 | 2-D | Planar, unbounded, two nodes | AZ magnetic vector potential, temperature
INFIN47 | 3-D | Quadrilateral, four nodes or triangle, three nodes | AZ magnetic vector potential, temperature

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 13. Electrostatic Field Analysis (h-Method) 		Up / Home Next
13.2. Steps in an h-Method Electrostatic Analysis


13.2. Steps in an h-Method Electrostatic Analysis

The procedure for doing an electrostatic analysis consists of three main steps:

  1. Build the model.

  2. Apply loads and obtain the solution.

  3. Review the results.

The next few topics discuss what you must do to perform these steps. First, the text presents a general description of the tasks required to complete each step. An example follows, based on an analysis of electrostatic forces between charge spheres. The example walks you through doing the analysis by choosing items from ANSYS' GUI menus, then shows you how to perform the same analysis using ANSYS commands.

13.2.1. Building the Model

To build the model, you start by specifying the jobname and a title for your analysis, using the following commands or GUI paths:

Command(s): | /FILNAME, /TITLE
GUI: | Utility Menu> File> Change Jobname Utility Menu> File> Change Title

If you are using the ANSYS GUI, the next step is to set preferences for an electric analysis: Main Menu> Preferences> Electromagnetics: Electric

You must set the preference to Electric to ensure that the elements needed for your analysis will be available. (The ANSYS GUI filters element types based on the preference you choose.)

Once you have set the Electric preference, use the ANSYS preprocessor (PREP7) to define the element types, the material properties, and the model geometry. These tasks are common to most analyses. The Modeling and Meshing Guide explains them in detail.

For an electrostatic analysis, you must define the permittivity (PERX) material property. It can be temperature dependent, as well as isotropic or orthotropic.

In ANSYS, you must make sure that you use a consistent system of units for all the data you enter. See the EMUNIT command in the Commands Reference for additional information regarding appropriate settings of free-space permeability and permittivity.

For micro-electromechanical systems (MEMS), it is best to set up problems in more convenient units since components may only be a few microns in size. For convenience, see Table 13.4: "Electrical Conversion Factors for MKS to muMKSV" and Table 13.5: "Electrical Conversion Factors for MKS to muMSVfA".

Table 13.4 Electrical Conversion Factors for MKS to muMKSV

Electrical Parameter | MKS Unit | Dimension | Multiply by This Number | To Obtain μMKSV Unit | Dimension
Voltage | V | (kg)(m)2/(A)(s)3 | 1 | V | (kg)(μm)2/(pA)(s)3
Current | A | A | 1012 | pA | pA
Charge | C | (A)(s) | 1012 | pC | (pA)(s)
Conductivity | S/m | (A)2(s)3/(kg)(m)3 | 106 | pS/μm | (pA)2(s)3/(kg)(μm)3
Resistivity | Ωm | (kg)(m)3/(A)2(s)3 | 10-6 | T Ωμm | (kg)(μm)3/(pA)2(s)3
Permittivity[1] | F/m | (A)2(s)4/(kg)(m)3 | 106 | pF/μm | (pA)2(s)2/(kg)(μm)3
Energy | J | (kg)(m)2/(s)2 | 1012 | pJ | (kg)(μm)2/(s)2
Capacitance | F | (A)2(s)4/(kg)(m)2 | 1012 | pF | (pA)2(s)4/(kg)(μm)2
Electric Field | V/m | (kg)(m)/(s)3(A) | 10-6 | V/μm | (kg)(μm)/(s)3(pA)
Electric Flux Density | C/(m)2 | (A)(s)/(m)2 | 1 | pC/(μm)2 | (pA)(s)/(μm)2

  1. Free-space permittivity is equal to 8.854 x 10-6 pF/μm.

Table 13.5 Electrical Conversion Factors for MKS to muMSVfA

Electrical Parameter | MKS Unit | Dimension | Multiply by This Number | To Obtain μMKSVfA Unit | Dimension
Voltage | V | (kg)(m)2/(A)(s)3 | 1 | V | (g)(μm)2/(fA)(s)3
Current | A | A | 1015 | fA | fA
Charge | C | (A)(s) | 1015 | fC | (fA)(s)
Conductivity | S/m | (A)2(s)3/(kg)(m)3 | 109 | fS/μm | (fA)2(s)3/(g)(μm)3
Resistivity | Ωm | (Kg)(m3/(A)2(s)3 | 10-9 | - | (g)(μm)3/(fA)2(s)3
Permittivity[1] | F/m | (A)2(s)4/(kg)(m)3 | 109 | fF/μm | (fA)2(s)2/(g)(μm)3
Energy | J | (kg)(m)2/(s)2 | 1015 | fJ | (g)(μm)2/(s)2
Capacitance | F | (A)2(s)4/(kg)(m)2 | 1015 | fF | (fA)2(s)4/(g)(μm)2
Electric Field | V/m | (kg)(m)/(s)3(A) | 10-6 | V/μm | (g)(μm)/(s)3(fA)
Electric Flux Density | C/(m)2 | (A)(s)/(m)2 | 103 | fC/(μm)2 | (fA)(s)/(μm)2

  1. Free-space permittivity is equal to 8.854 x 10-3 fF/μm.

13.2.2. Applying Loads and Obtaining a Solution

In this step, you define the analysis type and options, apply loads to the model, specify load step options, and initiate the finite element solution. The next few topics explain how to perform these tasks.

13.2.2.1. Entering the SOLUTION Processor

To enter the SOLUTION processor, use either of the following:

Command(s): | /SOLU
GUI: | Main Menu> Solution

13.2.2.2. Defining the Analysis Type

To specify the analysis type, do either of the following:

  • In the GUI, choose menu path Main Menu> Solution> Analysis Type> New Analysis and choose a Static analysis.

  • If this is a new analysis, issue the command ANTYPE,STATIC,NEW.

  • If you want to restart a previous analysis (for example, to specify additional loads), issue the command ANTYPE,STATIC,REST. You can restart an analysis only if you previously completed an electrostatic analysis, and the files Jobname.EMAT, Jobname.ESAV, and Jobname.DB from the previous run are available.

13.2.2.3. Defining Analysis Options

Next, you define which solver you want to use. You can select the sparse solver (default), Preconditioned Conjugate Gradient (PCG) solver, PCG out-of-memory solver, Jacobi Conjugate Gradient (JCG) solver, Incomplete Cholesky Conjugate Gradient (ICCG) solver, or JCG out-of-memory solver.

To select an equation solver, use either of the following:

Command(s): | EQSLV
GUI: | Main Menu> Solution> Analysis Type> Analysis Options

If you choose either the JCG solver or the PCG solver, you can also specify a solver tolerance value. This value defaults to 1.0E-8.

13.2.2.4. Apply Boundary Conditions

These loads specify flux-parallel, flux-normal, far-field, and periodic boundary conditions, as well as an imposed external magnetic field. The following table shows the value of volt required for each type of boundary condition:

Boundary Condition | Value of VOLT
Flux-parallel | None required (naturally occurring).
Flux-normal | Specify a constant value of VOLT using the D command (Main Menu> Solution> Define Loads> Apply> Electric> Boundary> Voltage> J-Normal> On Nodes (On Lines or On Areas).
Far-field | For 2-D analysis, use INFIN9 (planar analyses only) or INFIN110 elements. For 3-D analysis, use the Trefftz formulation or INFIN47 or INFIN111 elements.
Imposed external field | Apply nonzero values of VOLT. Use Main Menu> Solution> Define Loads> Apply> Electric> Boundary> Voltage> On Keypoints (On Nodes, On Lines or On Areas).

Flux-parallel boundary conditions force the flux to flow parallel to a surface, while flux-normal boundary conditions force the flux to flow normal to a surface. You do not need to specify far-field zero boundary conditions if you use the Trefftz formulation or far-field elements to represent the "infinite" boundary of the model. For an imposed external field, specify the appropriate nonzero value of VOLT.

13.2.2.5. Applying Loads

You can apply loads to an electrostatic analysis either on the solid model (keypoints, lines, and areas) or on the finite element model (nodes and elements). You can specify several types of loads:

13.2.2.5.1. Voltage (VOLT)

These loads are DOF constraints that you usually specify at model boundaries to apply a known voltage. To apply voltage, use one of the following:

Command(s): | D
GUI: | Main Menu> Solution> Define Loads> Apply> Electric> Boundary> Voltage

13.2.2.5.2. Charges (CHRG)

These are concentrated nodal force loads. To apply them, use the following command or GUI path:

Command(s): | F
GUI: | Main Menu> Solution> Define Loads> Apply> Electric> Excitation> Charge> On Nodes

13.2.2.5.3. Surface Charge Densities (CHRGS)

These are surface loads you can apply at nodes or elements. To apply them, use the following command or GUI path:

Command(s): | SF
GUI: | Main Menu> Solution> Define Loads> Apply> Electric> Excitation> Surf Chrg Den

13.2.2.5.4. Infinite Surface Flags (INF)

These are not loads, but they indicate the presence of an infinite element. The presence of the label INF sets the flag. To apply infinite surface flags, choose one of the following:

Command(s): | SF
GUI: | Main Menu> Solution> Define Loads> Apply> Electric> Flag> Infinite Surf> option

13.2.2.5.5. Volume Charge Densities (CHRGD)

These are body loads you can apply at nodes or elements. To apply volume charge densities, use the commands or GUI path shown below:

Command(s): | BF, BFE
GUI: | Main Menu> Solution> Define Loads> Apply> Electric> Excitation> Charge Density> option

Alternatively, you can apply volume charge densities to lines, areas, and volumes of the solid model by using the BFL, BFA, and BFV commands, respectively. You can then transfer the specified volume charge densities from the solid model to the finite element model by using either the BFTRAN command or the SBCTRAN command.

13.2.2.6. (Optional): Specifying Load Step Options

For an electrostatic analysis, you can optionally use other commands to apply loads to a current conduction analysis, and you also can specify output controls as load step options. For further information, see "Alternative Analysis Options and Solution Methods".

13.2.2.7. Saving a Backup Copy of the Database

Use the SAVE_DB button on the ANSYS Toolbar to save a backup copy of the ANSYS database. This enables you to retrieve your model should your computer fail while the analysis is in progress. To retrieve a model, re-enter ANSYS and use one of the following:

Command(s): | RESUME
GUI: | Utility Menu> File> Resume Jobname.db

13.2.2.8. Starting the Solution

In this step, you initiate the solution for all loads steps using one of the following:

Command(s): | SOLVE
GUI: | Main Menu> Solution> Solve> Current LS

13.2.2.9. Applying Additional Loads

If you wish to apply any additional loading conditions (load steps), repeat the appropriate steps described in the foregoing.

13.2.2.10. Finishing the Solution

To leave the SOLUTION processor, use either of the following:

Command(s): | FINISH
GUI: | Main Menu> Finish

13.2.3. Reviewing Results

The ANSYS and ANSYS Emag programs write results from an electrostatic analysis to the results file, Jobname.RTH. Results include the data listed below:

Primary data: Nodal voltages (VOLT)

Derived data:

  • Nodal and element electric field (EFX, EFY, EFZ, EFSUM)

  • Nodal electric flux density (DX, DY, DZ, DSUM)

  • Nodal electrostatic forces (FMAG: components X, Y, Z, SUM)

  • Nodal reaction current segments (CSGX, CSGY, CSGZ)

You can review analysis results in POST1, the general postprocessor. To access the postprocessor, choose one of the following:

Command(s): | /POST1
GUI: | Main Menu> General Postproc

For a complete description of all postprocessing functions, see the Basic Analysis Guide.

To review results in POST1, the ANSYS database must contain the same model for which the solution was calculated. Also, the results file (Jobname.RTH) must be available.

To read results at the desired time point into the database, use either of the following:

Command(s): | SET,,,,,TIME
GUI: | Utility Menu> List> Results> Load Step Summary

If you specify a time value for which no results are available, ANSYS performs linear interpolation to calculate the results at that time.

To gain access to derived results, you must use one of the following commands or menu paths after you have read the results into the database:

Command(s): | ETABLE
GUI: | Main Menu> General Postproc> Element Table> Define Table
Command(s): | PLETAB
GUI: | Main Menu> General Postproc> Plot Results> Contour Plot> Elem Table Main Menu> General Postproc> Element Table> Plot Elem Table
Command(s): | PRETAB
GUI: | Main Menu> General Postproc> List Results> Elem Table Data Main Menu> General Postproc> List Results> Elem Table Data

To identify the results data you want, use a combination of a label and a sequence number or component name.

You can now review the results by obtaining graphics displays and tabular listings.

13.2.3.1. Contour Displays

For contour displays, use either of the following methods:

Command(s): | PLESOL, PLNSOL
GUI: | Main Menu> General Postproc> Plot Results> Contour Plot> Element Solution Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu

13.2.3.2. Vector Displays

For vector (arrow) displays, use either of the following methods:

Command(s): | PLVECT
GUI: | Main Menu> General Postproc> Plot Results> Vector Plot> Predefined Main Menu> General Postproc> Plot Results> Vector Plot> User Defined

13.2.3.3. Charged Particle Trace Displays

You can find details on how to graphically display a charged particle traveling in a magnetic field in Particle Flow and Charged Particle Traces and Controlling Particle Flow or Charged Particle Trace Displays in the Basic Analysis Guide. See Electromagnetic Particle Tracing in the Theory Reference for ANSYS and ANSYS Workbench for more details.

13.2.3.4. Tabular Listings

To produce tabular data listings, use any of the following:

Command(s): | PRESOL, PRNSOL, PRRSOL
GUI: | Main Menu> General Postproc> List Results> Element Solution Main Menu> General Postproc> List Results> Nodal Solution Main Menu> General Postproc> List Results> Reaction Solu

POST1 performs many other postprocessing functions, including mapping results onto a path and load case combinations. For more information, see the Basic Analysis Guide.

13.2.3.5. Electrostatic Forces

You can summarize total electrostatic force and torque on a given set of nodes from the data available in the database in postprocessing. Use the EMFT macro for these calculations. The EMFT macro is available only for PLANE121, SOLID122, and SOLID123 elements.

Three types of magnetic forces are usually available:

  • Current segment force: Force from the finite element boundary domain. Forces and fields here are typically normal to the capacitor surface. To list these forces:

    1. Select the electrode nodes.

    2. Select all elements.

    3. Issue EMFT.

      Command(s): EMFT
      GUI: Main Menu> General Postproc> Elec&Mag Calc> Summarize Force/Torque

  • Reluctance force: Force due to a change in material properties. Here, the direction of the field may be arbitrary with regard to the force. To list this force:

    1. Select the nodes at the interface between the body of interest and the adjacent air elements.

    2. Select all elements.

    3. Issue EMFT.

    This method may use a truncated portion of the body of interest if the body extends past the FE boundary.

    Figure 13.1 Reluctance Force

  • Body forces (including Lorentz forces): This method uses the entire body of interest:

    1. Select the nodes of the body of interest and all elements.

    2. Issue EMFT.

    You can also use the FMAGSUM macro to summarize electromagnetic force calculations on element components. To use FMAGSUM for body forces in this situation, you do not need to first flag the elements using FMAGBC. You can simply select the nodes and elements of interest and issue FMAGSUM. The FMAGSUM method offers different printout reports.

Note

In models that use symmetry, you must select nodes and elements carefully. You need to select the surface nodes on the surfaces interior to the body and then select the elements adjacent to those nodes.

Force results will be reported in the coordinate system specified by RSYS. However, if using a coordinate system other than global Cartesian (RSYS ≠ 0), torque results will take into account the coordinate system shift and rotation only.

  1. Select the electrode nodes.

  2. Select the elements adjacent to those nodes.

  3. Issue EMFT:

    Command(s): EMFT
    GUI: Main Menu> General Postproc>

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.1. Elements Used in h-Method Electrostatic Analysis 		Up / Home Next
13.3. Extracting Capacitance from Multi-conductor Systems


13.3. Extracting Capacitance from Multi-conductor Systems

A key parameter from an electrostatic solution is capacitance. For multiple conductor systems, this involves extracting self and mutual capacitance terms so that equivalent circuit lumped capacitors can be defined for use in circuit simulators. The CMATRIX command macro has been developed to extract self and mutual capacitance terms for multiple conductor systems. See the Theory Reference for ANSYS and ANSYS Workbench for more details.

13.3.1. Ground Capacitances and Lumped Capacitances

Finite element simulation can readily compute and extract a "Ground" capacitance matrix of capacitance values that relate the charge on one conductor with the conductor's voltage drop (to ground). Figure 13.2: "Three Conductor System" illustrates a three-conductor system (one conductor is ground). The following two equations relate charges on electrodes 1 and 2, Q1 and Q2, with the voltage drops for the electrodes, U1 and U2:

Q1 = (Cg)11 (U1) + (Cg)12 (U2)

Q2 = (Cg)12 (U1) + (Cg)22 (U2)

Figure 13.2 Three Conductor System

where Cg represents a matrix of capacitances referred to as “ground capacitances”. These ground capacitances do not represent lumped capacitances typically used in a circuit simulator because they do not relate the capacitances between conductors. However, the CMATRIX command macro can convert the ground capacitance matrix to a lumped capacitor matrix which is suitable for use in circuit simulators. Figure 13.3: "Lumped Capacitor Equivalence of Three Conductor System" illustrates the lumped capacitances between the conductors. The following two equations then relate the charges with the voltage drops:

Q1 = (Cl)11 (U1) + (Cl)12 (U1 - U2)

Q2 = (Cl)12 (U1 - U2) + (Cl)22 (U2)

Figure 13.3 Lumped Capacitor Equivalence of Three Conductor System

where Cl represents a matrix of capacitances referred to as “lumped capacitances”.

13.3.2. Procedure

The CMATRIX command macro will perform multiple simulations and extract both the ground capacitance matrix values and the lumped capacitance matrix values. To prepare for CMATRIX, you must group the conductor nodes into node components. Do not apply any loads to the model (voltages, charge, charge density, etc). The component name applied to the conductor nodes must contain a common prefix, followed by a numerical suffix progressing from 1 to the highest numbered conductor in the system. The last numbered conductor in the system must be the ground conductor (the conductor whose potential is assumed to be zero). The procedure for using CMATRIX is as follows:

  1. Build and mesh the solid model with electrostatic elements. Conductors are assumed to be perfect conductors and hence do not require a finite element mesh within the conductor domain. Only the surrounding dielectric regions and air regions require a mesh. The resulting nodes on the boundary of the conductors represent the nodes that will be grouped into node components.

  2. Select the nodes on the surface of the each conductor and group them into node components.

    Command(s): CM
    GUI: Utility Menu> Select> Comp/Assembly> Create Component

    Share a command prefix for the component names, and use a numerical value sequencing from 1 to the highest numbered conductor. For example, in Figure 13.3: "Lumped Capacitor Equivalence of Three Conductor System", three node components would be defined for each set of conductor nodes. Using a prefix "cond", the node component names would be "cond1", "cond2", and "cond3". The last component, "cond3" would be the nodes representing the ground.

  3. Enter the SOLUTION processor, using either of the following:

    Command(s): SOLU
    GUI: Main Menu> Solution

  4. Select an equation solver (JCG recommended), using either of the following:

    Command(s): EQSLV
    GUI: Main Menu> Solution> Analysis Type> Analysis Options

  5. Invoke the CMATRIX macro, using one of the following:

    Command(s): CMATRIX
    GUI: Main Menu> Solution> Solve> Electromagnet> Static Analysis> Capac Matrix

    The CMATRIX command macro requires the following input:

    • A symmetry factor (SYMFAC). If there is no symmetry in the model, the symmetry factor is 1 (default). If you wish to model only a portion of the model by taking advantage of symmetry, use the symmetry factor as a multiplier to obtain the correct capacitance.

    • The node component prefix name (Condname). This is the prefix of the node component name's used to define the conductor node components. In the above example, the prefix name is "cond". The command macro requires that you put single quotes around the prefix name when entering the character string. Thus, the input for this example would be 'cond'. In the GUI, the single quotes are automatically handled by the program.

    • The number of conductor node components (NUMCOND). Insert the total number of conductor node components. In the above example you would use "3".

    • Enter the Ground Key option (GRNDKEY). If your model does not contain an open boundary then the highest numbered node component represents ground. In this case, no special treatment is needed and you would set the ground key to zero (default). If your model contains an open boundary (modeled with infinite elements, or a Trefftz domain) and the far-field is not considered as a conductor, then you would set the ground key to zero (default). In some situations it is necessary to consider the far-field (infinity) as the ground conductor (for example, a single charged sphere in air requires the infinity location as ground in order to preserve a charge balance). When using the INFIN111 element or a Trefftz domain to represent a far-field ground, set the ground key to "1".

    • Enter a name for the stored matrix of capacitance values (Capname). The command macro stores the computed ground and lumped matrix values in a 3-D array vector where the "i" and "j" columns represent the conductor indices, the "k" column indicates ground (k = 1) or lumped (k = 2) terms. The default name is CMATRIX. For example, the command macro stores the ground terms in CMATRIX(i,j,1) and the lumped terms in CMATRIX(i,j,2). The command macro also creates a text file containing the matrix values and stores it in a file with the stored matrix name and a .TXT extension.

Do not apply inhomogeneous loads before using the CMATRIX command. Inhomogeneous loads are those created by:

  • Degree of freedom commands (D, DA, etc.) specifying nonzero degree of freedom values on nodes or solid model entities

  • Force commands (F, BF, BFE, BFA, etc.) specifying nonzero force values on nodes, elements, or solid model entities

  • Any CE command with a nonzero constant term

CMATRIX executes a series of solutions to compute self and mutual capacitance between conductors. The solutions, which are stored in the results file, are available for postprocessing, if desired. At the end of the execution, the command macro presents a summary table.

If infinite elements (INFIN110 and INFIN111) share a common boundary with a conductor (such as a ground plane), you can consider the ground plane and infinite boundary as a single conductor (group only the ground plane nodes into a component).

Figure 13.4: "Modeling Scenarios" illustrates several modeling scenarios for open and closed domain models along with the appropriate settings for NUMCOND and GRNDKEY.

Figure 13.4 Modeling Scenarios

See Doing an Example Capacitance Calculation (Command Method) of this manual for an example problem using CMATRIX.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.2. Steps in an h-Method Electrostatic Analysis 		Up / Home Next
13.4. Trefftz Method for Open Boundary Representation


13.4. Trefftz Method for Open Boundary Representation

In conjunction with the Infinite Elements (INFIN110 and INFIN111) for modeling the open domain of a field problem, another method may be chosen that utilizes a hybrid finite element - Trefftz method (hereafter referred to as the Trefftz method). The Trefftz method bears the name of the founder of boundary element techniques. The Trefftz method combines the efficiency of boundary techniques in open domain treatment with a finite element-like positive definite stiffness matrix. It allows treatment of complex surface geometry, even with high aspect ratios. It offers an easy to generate Trefftz-complete function system. The result is an easy to use, accurate method for handling open boundary domains in electrostatics. For information on the Trefftz Method theory, see the Theory Reference for ANSYS and ANSYS Workbench. For an example problem, see Doing an Electrostatic Analysis Using Trefftz Method (Command Method) in this manual.

13.4.1. Overview

The Trefftz method involves creating a Trefftz domain. The Trefftz domain consists of the following:

  • A set of Trefftz source nodes located within the finite element domain, but not attached to the finite element model.

  • A flagged exterior surface of the finite element region.

  • A substructure matrix created from the Trefftz source nodes and the flagged exterior finite element surfaces.

  • A superelement defined from the substructure.

  • A set of constraint equations generated in conjunction with the substructure.

The Trefftz method has a number of positive features and certain advantages and disadvantages when compared to infinite elements.

The Trefftz method offers the following positive features:

  • The formulation leads to symmetric matrices.

  • The formulation has no theoretical limitations to open boundary treatment.

  • The method does not involve a singular integral.

  • The number of unknowns is minimal. (20-100 unknowns give reasonable results.)

  • The method may be applied to high aspect ratio boundaries.

  • The method allows flexible generation of Green's functions.

  • The Trefftz region can establish relations between isolated FEM domains.

The Trefftz method has the following advantages over infinite elements:

  • It is generally more accurate.

  • It does not require modeling and meshing an infinite element region.

  • It can be used on high aspect ratio finite element regions with good accuracy.

  • It does not require the finite element region to extend as much beyond the modeled region of the device as is required with infinite elements.

The Trefftz method has the following disadvantages compared to infinite elements:

  • It cannot be used if employing symmetry in the model.

  • It is available only for 3-D analysis.

  • It requires that the finite element mesh at the exterior of the model be tetrahedral elements only.

  • It requires the definition of Trefftz source nodes within the finite element domain and the generation of a substructure and constraint equations. (This process, however, has been highly automated.)

The Trefftz method has the following limitations:

  • 10,000 is the maximum number of Trefftz nodes.

  • 10,000,000 is the highest allowable node number.

  • 5,000,000 is the maximum number of nodes allowed on the exterior surface.

  • 5,000,000 is the maximum number of elements (facets) allowed on the exterior surface.

The Trefftz formulation assumes a zero potential at infinity. Accordingly, you must exercise care when applying the Trefftz method to a multi-electrode system of differing applied potentials. However, for capacitance computations using a Trefftz domain, the CMATRIX command properly accounts for a zero or floating potential at infinity.

13.4.2. Procedure

To create a Trefftz domain in a 3-D electrostatic analysis, you perform the following tasks as illustrated in Figure 13.5: "Defining a Trefftz Domain":

  1. Create a finite element model of the electrostatic domain (including conductors, dielectrics, and surrounding air). Apply all necessary boundary conditions to the finite element model (voltages, charge, charge density, etc.).

  2. Flag the exterior surface of the finite element region as an infinite surface. To apply the infinite surface flag (INF label), use one of the following:

    Command(s): SF,
    SFA,
    SFE
    GUI: Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Flag> Infinite Surf> On Nodes
    Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Flag> Infinite Surf> On Areas
    Main Menu> Preprocessor> Trefftz Domain> Infinite Surf> On Areas

  3. Create the Trefftz source nodes. The Trefftz source nodes act as the unknowns of the Trefftz domain. These unknowns represent source charges used in the Trefftz method. The source charges are computed and stored for the Trefftz nodes using the CURR degree of freedom.

    As shown in Figure 13.5: "Defining a Trefftz Domain", Step 3, you should locate the Trefftz source nodes between the modeled device and the exterior of the finite element region. The Trefftz method will be more accurate when the Trefftz nodes are closer to the modeled device than the exterior of the finite element model. Also, a greater accuracy will be obtained the further the Trefftz sources are from the surface of the finite element model. For example, as shown for the x direction, the Trefftz nodes should just encompass the modeled device (b/c>1), and the finite element exterior boundary should be located a greater distance away (a/b>2). You should apply similar rules for the y and z directions. You should not place Trefftz source nodes close to, or on the surface of the finite element domain. This may lead to a near-singular solution and produce inaccurate results.

    You can easily create the Trefftz nodes by defining a simple solid model object (block, sphere, cylinder or Boolean union of them) that encompasses the modeled device, but is interior to the exterior finite element region as shown in Figure 13.5: "Defining a Trefftz Domain".

    Once the simple solid model object is defined, you can mesh the simple solid model to create the Trefftz nodes. To do so, use one of the following:

    Command(s): TZAMESH
    GUI: Main Menu> Preprocessor> Trefftz Domain> Mesh TZ Geometry

    The TZAMESH command meshes the surface areas of the volume and then clears the non-solution element, leaving only the Trefftz nodes. It groups the Trefftz nodes into a node component called TZ_NOD for future use in the generation of the Trefftz substructure.

    The Trefftz method requires only a few source nodes. By default, TZAMESH will create two divisions along each edge of the simple solid model entity. For high aspect ratio geometry's, you may elect to mesh the entity according to a prescribed length. Both options are available with the TZAMESH command. A larger number of Trefftz nodes tends to provide, but does not guarantee, greater accuracy in the solution. Accuracy also is affected by the number of exterior flagged finite elements and their proximity to the Trefftz sources. Typical problems will not require more than 20 to 100 Trefftz nodes.

    If you need to you can delete the Trefftz nodes by issuing the following:

    Command(s): CMSEL,,TZ_NOD
    NDELE,ALL
    CMDELE,TZ_NOD
    GUI: Main Menu> Preprocessor> Trefftz Domain> Delete TZ Nodes

  4. Create the Trefftz substructure, superelement, and constraint equations. The Trefftz method uses the flagged exterior surface facets from the finite element model and the Trefftz nodes to create a substructure matrix. This matrix is brought into the model as a single superelement using the MATRIX50 element type. In addition, a set of constraint equations is required to complete the Trefftz domain. The process of creating the substructure and incorporating it into the model as a superelement as well as defining the constraint equations is entirely automated by using the TZEGEN command macro.

    To create the substructure and incorporate it into the model as a superelement, use one of the following:

    Command(s): TZEGEN
    GUI: Main Menu> Preprocessor> Trefftz Domain> Superelement> Generate TZ

The TZEGEN command also automatically defines the constraint equations.

Once a Trefftz domain is created, you solve a problem using standard solution procedures.

The Trefftz domain should be deleted if any change is made to the finite elements at the surface of the mesh, or if a new Trefftz domain is to be created. Only one Trefftz domain can exist in the model at a time.

To delete the Trefftz superelement, associated constraint equations and all supporting Trefftz files, use one of the following:

Command(s): | TZDELE
GUI: | Main Menu> Preprocessor> Trefftz Domain> Superelement> Delete TZ

TZDELE deletes all the Trefftz files created during the superelement generation. This includes the following:

  • Jobname.TZN - Trefftz source nodes

  • Jobname.TZE - Trefftz surface facets on the finite element boundary

  • Jobname.TZX - Surface nodes on the finite element boundary

  • Jobname.TZM - Trefftz material file

See Doing an Electrostatic Analysis Using Trefftz Method (Command Method) of this manual for an example problem using the Trefftz methodology.

Figure 13.5 Defining a Trefftz Domain

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.3. Extracting Capacitance from Multi-conductor Systems 		Up / Home Next
13.5. Doing an Example h-Method Electrostatic Analysis (GUI Method)


13.5. Doing an Example h-Method Electrostatic Analysis (GUI Method)

This section describes how to do an electrostatic analysis of a shielded microstrip transmission line consisting of a substrate, microstrip, and a shield. The strip is at a potential V1, and the shield is at a potential V0. The object of the problem is to determine the capacitance of the transmission line. See Doing an Electrostatic Analysis (Command Method), to see how to perform the same example analysis by issuing ANSYS commands, either manually during a session or in batch mode.

13.5.1. The Example Described

Material Properties
Air: εr = 1
Substrate: εr = 10
Geometric Properties
a = 10 cm
b = 1 cm
w = 1 cm
Loading
V1 = 10 V
V0 = 1 V

13.5.2. Analysis Assumptions and Modeling Notes

You can calculate the capacitance of the device from electrostatic energy and the applied potential difference as We = 1/2 C (V1-Vo)2 where We is the electrostatic energy and C is the capacitance. To obtain the electrostatic energy, you sum the energies for all the elements in the model in POST1.

Additional postprocessing includes displaying equipotential lines and the electric field as vectors.

13.5.3. Expected Analysis Results

The target results from this example analysis are as follows:

 | Target
Capacitance, pF/m | 178.1

Step 1: Begin the Analysis

  1. Enter the ANSYS program. To do so, use the procedures described in the Operations Guide.

  2. Choose menu path Utility Menu> File> Change Title. The Change Title dialog box appears.

  3. Enter the title “Microstrip transmission line analysis.”

  4. Click OK.

  5. Choose Main Menu> Preferences. The Preferences for GUI Filtering dialog box appears.

  6. Click Magnetic-Nodal and Electric on.

  7. Click OK.

Back To Top

Step 2: Define Parameters

To do so, follow these steps:

  1. Choose Utility Menu> Parameters> Scalar Parameters. A dialog box appears.

  2. Type in the parameter values shown below, following each entry by pressing ENTER. If you make a mistake, just retype the parameter definition.

    V1 = 1.5
    V0 = 0.5

  3. Click Close to close the dialog box.

Back To Top

Step 3: Define the Element Type

  1. Choose Main Menu> Preprocessor> Element Type> Add/Edit/Delete. The Element Types dialog box appears.

  2. Click Add. The Library of Element Types dialog box appears.

  3. Highlight (click on) "Electrostatic" and "2D Quad 121."

  4. Click OK. The Element Types dialog box shows element type 1 (PLANE121) selected.

  5. Click Close.

Back To Top

Step 4: Define Material Properties

  1. Choose Main Menu> Preprocessor> Material Props> Material Models. The Define Material Model Behavior dialog box appears.

  2. In the Material Models Available window, double-click on the following options: Electromagnetics, Relative Permittivity, Constant. A dialog box appears.

  3. Enter 1 for PERX (Relative permittivity), and click on OK. Material Model Number 1 appears in the Material Models Defined window on the left.

  4. Choose menu path Edit>Copy. Click on OK to copy Material number 1 to Material number 2. Material Model Number 2 appears in the Material Models Defined window on the left.

  5. In the Material Models Defined window, double-click on Material Model Number 2, and Permittivity (constant). A completed dialog box appears.

  6. Replace the value in the PERX field with 10, and click on OK.

  7. Choose menu path Material>Exit to remove the Define Material Model Behavior dialog box.

  8. Click SAVE_DB on the ANSYS Toolbar.

Back To Top

Step 5: Create Model Geometry and Compress Numbers

  1. Choose Main Menu> Preprocessor> Modeling> Create> Areas> Rectangle> By Dimensions. The Create Rectangle by Dimensions dialog box appears.

  2. Enter the values shown below. (Use the TAB key to move between fields.)

    X1 field: 0 | Y1 field: 0
    X2 field: .5 | Y2 field: 0

  3. Click Apply. The ANSYS Graphics Window displays the first rectangle.

  4. To create a second rectangle, enter the following values:

    X1 field: .5 | Y1 field: 0
    X2 field: 5 | Y2 field: 1

  5. Click Apply. The ANSYS Graphics Window displays the second rectangle.

  6. To create a third rectangle, enter the following values:

    X1 field: 0 | Y1 field: 1
    X2 field: .5 | Y2 field: 10

  7. Click Apply. The ANSYS Graphics Window displays the third rectangle.

  8. To create a fourth rectangle, enter the following values:

    X1 field: .5 | Y1 field: 1
    X2 field: 5 | Y2 field: 10

  9. Click OK. The ANSYS Graphics Window displays all four rectangles.

  10. To glue all areas together, choose Main Menu> Preprocessor> Modeling> Operate> Booleans> Glue> Areas. A picking menu appears.

  11. Click Pick All.

  12. Choose Main Menu> Preprocessor> Numbering Ctrls> Compress Numbers. A dialog box appears.

  13. Set the "Item to be compressed" field to "Areas."

  14. Click OK.

Back To Top

Step 6: Apply Attributes to Model Regions and Prepare for Meshing

  1. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  2. Change the top button from "Nodes" to "Areas."

  3. Change the button just below it to "By Num/Pick."

  4. Click OK. A picking menu appears.

  5. Pick areas 1 and 2 by clicking on them. (Areas 1 and 2 are the two areas at the bottom of the Graphics Window.) The picked areas should change color.

  6. Click OK.

  7. Choose Main Menu> Preprocessor> Meshing> Mesh Attributes> Picked Areas. Click Pick All. The Area Attributes dialog box appears.

  8. Set the "Material number" field to 2.

  9. Click OK.

  10. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  11. Check that the top two buttons are set to "Areas" and "By Num/Pick."

  12. Click Sele All, then click OK. A picking menu appears.

  13. Click Pick All.

  14. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  15. Change the top button from "Areas" to "Lines."

  16. Change the button below it to "By Location."

  17. Click the Y Coordinates button on.

  18. In the "Min, Max" field, enter 1.

  19. Click Apply. ANSYS should respond by displaying a message about "2 lines" in the output window.

  20. Click the Reselect and X Coordinates buttons on.

  21. In the "Min, Max" field, enter .25.

  22. Click OK. ANSYS should respond by displaying a message about "1 line" in the output window.

Back To Top

Step 7: Mesh the Model

  1. Choose Main Menu> Preprocessor> Meshing> Size Cntrls> Lines> All Lines. The Element Sizes on All Selected Lines dialog box appears.

  2. In the "No. of element divisions" field, enter 8.

  3. Click OK.

  4. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  5. Check that the top button is set to "Lines."

  6. Change the second button to "By Num/Pick."

  7. Click the From Full button on.

  8. Click Sele All, then click OK. A picking menu appears.

  9. Click Pick All.

  10. Choose Main Menu> Preprocessor> Meshing> MeshTool. The MeshTool appears.

  11. Click the Smart Size button on.

  12. Set the SmartSizing slider to 3.

  13. Click the Tri shape button on.

  14. Check that the Mesh button is set to "Areas."

  15. Click the MESH button. A picking menu appears.

  16. Click Pick All. The Graphics Window shows you the meshed model.

  17. Click Close to close the MeshTool.

Back To Top

Step 8: Apply Boundary Conditions and Loads

  1. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  2. Change the top button to "Nodes."

  3. Set the button just below it to "By Location."

  4. Click the Y Coordinates and From Full buttons on.

  5. In the "Min, Max" field, enter 1.

  6. Click Apply.

  7. Click the X Coordinates and Reselect buttons on.

  8. In the "Min, Max" field, enter 0,.5.

  9. Click OK.

  10. Choose Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Boundary> Voltage> On Nodes. A picking menu appears.

  11. Click Pick All. The Apply VOLT on Nodes dialog box appears.

  12. In the "Value of voltage (VOLT)" field, enter V1.

  13. Click OK.

  14. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  15. Check that the two top buttons are set to "Nodes" and "By Location."

  16. Click the Y Coordinates and From Full buttons on.

  17. In the "Min, Max" field, enter 0.

  18. Click Apply.

  19. Click the Also Sele button on.

  20. In the "Min, Max" field, enter 10.

  21. Click Apply.

  22. Click the X Coordinates button on.

  23. In the "Min, Max" field, enter 5.

  24. Click OK.

  25. Choose Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Boundary> Voltage> On Nodes. A picking menu appears.

  26. Click Pick All. The Apply VOLT on Nodes dialog box appears.

  27. In the "Value of voltage (VOLT)" field, enter V0.

  28. Click OK.

Back To Top

Step 9: Scale the Areas

  1. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  2. Check that the top button is set to "Nodes," the next button is set to "By Num/Pick," and the "From Full" button is set on.

  3. Click the Sele All button, then click OK. A picking menu appears. Click Pick All.

  4. Choose Main Menu> Preprocessor> Modeling> Operate> Scale> Areas. A picking menu appears.

  5. Click Pick All. The Scale Areas dialog box appears.

  6. In the "RX, RY, RZ Scale Factors" fields, enter the following values:

    RX field: .01
    RY field: .01
    RZ field: 0

  7. In the "Items to be scaled" field, set the button to "Areas and mesh."

  8. In the "Existing areas will be" field, set the button to "Moved."

  9. Click OK.

  10. Choose Main Menu> Finish.

Back To Top

Step 10: Solve the Analysis

  1. Choose Main Menu> Solution> Solve> Current LS. The Solve Current Load Step dialog box appears, along with a pop-up window listing the load step options.

  2. Review the pop-up window contents, then click Close.

  3. Click OK on the dialog box to start the solution. A pop-up message notifies you when solution is complete. Click Close.

  4. Choose Main Menu> Finish.

Back To Top

Step 11: Store Analysis Results

  1. Choose Main Menu> General Postproc> Element Table> Define Table. The Element Table Data dialog box appears.

  2. Click Add. The Define Additional Element Table Items dialog box appears.

  3. In the "User label for item" field, enter SENE

  4. In the scrollable lists in the "Results data item" field, highlight "Energy." (When you highlight “Energy” in the list on the left, “Elec energy SENE" will be highlighted in the list on the right automatically.)

  5. Click OK.

  6. Click Add.

  7. In the "User label for item" field, enter EFX.

  8. In the "Results data item" field, highlight "Flux & gradient" and "Elec field EFX." (You may have to scroll up to find the correct selections.)

  9. Click OK.

  10. Click Add.

  11. In the "User label for item" field, enter EFY.

  12. In the "Results data item" field, highlight "Flux & gradient" and "Elec field EFY."

  13. Click OK. The Element Table Data dialog box now shows the SENE, EFX, and EFY items defined.

  14. Click Close to close the dialog box.

  15. Click SAVE_DB on the ANSYS Toolbar.

Back To Top

Step 12: Plot Analysis Results

  1. Choose Utility Menu> PlotCtrls> Numbering. The Plot Numbering Controls dialog box appears.

  2. Set the "Numbering shown with" field to "Colors only."

  3. Click OK.

  4. Choose Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu. The Contour Nodal Solution Data dialog box appears.

  5. In the "Item to be contoured" field, highlight "DOF solution" and "Elec poten VOLT."

  6. Click OK. The Graphics Window displays a contour plot of equipotential lines.

  7. Choose Main Menu> General Postproc> Plot Results> Vector Plot> User-defined. The Vector Plot of User-defined Vectors dialog box appears.

  8. In the "Item" field, enter EFX.

  9. In the "Lab2" field, enter EFY

  10. Click OK. The Graphics Window displays a vector plot of the electric field.

Back To Top

Step 13: Perform Capacitance Calculations

  1. Choose Main Menu> General Postproc> Element Table> Sum of Each Item. An informational dialog box appears.

  2. Click OK. A pop-up window shows you all element table entries and their values.

  3. Click Close to close the pop-up window.

  4. Choose Utility Menu> Parameters> Get Scalar Data. The Get Scalar Data dialog box appears.

  5. In the "Type of data to be retrieved" field, highlight "Results data" and "Elem table sums."

  6. Click OK. The Get Element Table Sum Results dialog box appears.

  7. In the "Name of parameter to be defined," field, enter W.

  8. Set the "Element table item" field to "SENE."

  9. Click OK.

  10. Choose Utility Menu> Parameters> Scalar Parameters. The Scalar Parameters dialog box appears.

  11. Type in the following values, pressing ENTER after typing each value:

    C = (w*2)/((V1-V0)**2)
    C = ((C*2)*1e12)

  12. Click Close.

  13. Choose Utility Menu> List> Status> Parameters> Named Parameter. The Named Parameter Status dialog box appears.

  14. In the "Name of parameter" field, highlight C.

  15. Click OK. A pop-up window displays the value of the C parameter (capacitance).

  16. Click Close to close the pop-up window.

Back To Top

Step 14: Finish the Analysis

To finish the analysis, choose Main Menu> Finish. Then click QUIT on the ANSYS Toolbar. Choose an exit option and click OK.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.4. Trefftz Method for Open Boundary Representation 		Up / Home Next
13.6. Doing an Electrostatic Analysis (Command Method)


13.6. Doing an Electrostatic Analysis (Command Method)

You can perform the example analysis of the microstrip transmission line using the ANSYS commands shown below instead of GUI menu choices. All text prefaced by an exclamation point (!) is a comment.

/BATCH,LIST
/PREP7
/TITLE, MICROSTRIP TRANSMISSION LINE ANALYSIS
ET,1,PLANE121                       ! USE 2-D 8-NODE ELECTROSTATIC ELEMENT
V1=1.5                              ! DEFINE STRIP POTENTIAL
V0=0.5                              ! DEFINE GROUND POTENTIAL
MP,PERX,1,1                         ! FREE SPACE RELATIVE PERMITTIVITY
MP,PERX,2,10                        ! SUBSTRATE RELATIVE PERMITTIVITY
RECTNG,0,.5,0,1
RECTNG,.5,5,0,1
RECTNG,0,.5,1,10
RECTNG,.5,5,1,10
AGLUE,ALL
NUMCMP,AREA
ASEL,S,AREA,,1,2

AATT,2
ASEL,ALL                           ! SET AREA ATTRIBUTES FOR AIR
LSEL,S,LOC,Y,1
LSEL,R,LOC,X,.25
LESIZE,ALL,,,8
LSEL,ALL
SMRTSIZE,3
MSHAPE,1                           ! Triangle mesh
AMESH,ALL
NSEL,S,LOC,Y,1                     ! SELECT NODES ON MICROSTRIP
NSEL,R,LOC,X,0,.5
D,ALL,VOLT,V1                      ! APPLY STRIP POTENTIAL
NSEL,S,LOC,Y,0
NSEL,A,LOC,Y,10
NSEL,A,LOC,X,5                     ! SELECT EXTERIOR NODES
D,ALL,VOLT,V0                      ! APPLY GROUND POTENTIAL
NSEL,ALL
ARSCALE,ALL,,,.01,.01,0,,0,1       ! SCALE MODEL TO METERS
FINISH
/SOLUTION
SOLVE
FINISH
/POST1
ETABLE,SENE,SENE                   ! STORE ELECTROSTATIC ENERGY
ETABLE,EFX,EF,X                    ! STORE POTENTIAL FIELD GRADIENTS
ETABLE,EFY,EF,Y
/NUMBER,1
PLNSOL,VOLT                        ! DISPLAY EQUIPOTENTIAL LINES
PLVECT,EFX,EFY                     ! DISPLAY VECTOR ELECTRIC FIELD (VECTOR)
SSUM                               ! SUM ENERGY
*GET,W,SSUM,,ITEM,SENE             ! GET ENERGY AS W
C=(W*2)/((V1-V0)**2)               ! CALCULATE CAPACITANCE (F/M)

C=((C*2)*1E12)                     ! FULL GEOMETRY CAPACITANCE (PF/M)
*STATUS,C                          ! DISPLAY CAPACITANCE
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.5. Doing an Example h-Method Electrostatic Analysis (GUI Method) 		Up / Home Next
13.7. Doing an Example Capacitance Calculation (Command Method)


13.7. Doing an Example Capacitance Calculation (Command Method)

The following is an example of how to perform a capacitance matrix calculation by issuing ANSYS commands. You can also perform the analysis through the ANSYS GUI menus.

For details on extracting capacitance from multi-conductor systems, see Extracting Capacitance from Multi-conductor Systems in this manual.

13.7.1. The Example Described

In this example, two long cylinders sit above an infinite ground plane. The objective is to compute the self and mutual capacitance coefficients between the conductors and ground.

13.7.2. Modeling Notes

The ground plane and the Infinite elements share a common boundary at the outer radius of the model. The Infinite elements by nature can only represent a zero potential at the infinite location. Since the ground plane shares a common boundary with the infinite elements, they together represent the ground conductor. The nodes of the ground plane are sufficient to represent the ground conductor since the infinite element nodes are internally grounded by the program. By grouping the other two cylindrical conductor node sets into node components as well, you arrive at a 3-conductor system.

Figure 13.6: "Model Areas of Capacitance Example Problem" displays the model areas and Figure 13.7: "Elements of Capacitance Example Problem" displays the finite elements.

Figure 13.6 Model Areas of Capacitance Example Problem

Figure 13.7 Elements of Capacitance Example Problem

13.7.3. Computed Results

The computed ground and lumped capacitance results for this example problem are as follows:

(Cg)11 = 0.454E-4 pF | (Cl)11 = 0.354E-4 pF
(Cg)12 = -0.998E-5 pF | (Cl)12 = 0.998E-5 pF
(Cg)22 = 0.454E-4 pF | (Cl)22 = 0.354E-4 pF

13.7.4. Command Listing

You can perform this example capacitance matrix calculation using the ANSYS commands shown below. Text prefaced by an exclamation point (!) is a comment.

/batch,list
/prep7
/title, Capacitance of two long cylinders above a ground plane

a=100                    ! Cylinder inside radius (μm)
d=400                    ! Outer radius of air region
ro=800                   ! Outer radius of infinite elements

et,1,121                 ! 8-node 2-D electrostatic element
et,2,110,1,1             ! 8-node 2-D Infinite element
emunit,epzro,8.854e-6    ! Set free-space permittivity for μMKSV units
mp,perx,1,1

cyl4,d/2,d/2,a,0         ! Create mode in first quadrant
cyl4,0,0,ro,0,,90
cyl4,0,0,2*ro,0,,90

aovlap,all
numcmp,area
smrtsiz,4
mshape,1                 ! Mesh air region
amesh,3

lsel,s,loc,x,1.5*ro
lsel,a,loc,y,1.5*ro
lesize,all,,,1
type,2
mshape,0
mshkey,1
amesh,2                  ! Mesh infinite region
arsymm,x,all             ! Reflect model about y axis
nummrg,node
nummrg,kpoi

csys,1

nsel,s,loc,x,2*ro
sf,all,inf               ! Set infinite flag in Infinite elements

local,11,1,d/2,d/2
nsel,s,loc,x,a
cm,cond1,node            ! Assign node component to 1st conductor
local,12,1,-d/2,d/2
nsel,s,loc,x,a
cm,cond2,node            ! Assign node component to 2nd conductor
csys,0
nsel,s,loc,y,0
cm,cond3,node            ! Assign node component to ground conductor
allsel,all
finish
/solu
cmatrix,1,'cond',3,0     ! Compute capacitance matrix coefficients
finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.6. Doing an Electrostatic Analysis (Command Method) 		Up / Home Next
13.8. Doing an Electrostatic Analysis Using Trefftz Method (Command Method)


13.8. Doing an Electrostatic Analysis Using Trefftz Method (Command Method)

The following is an example of how to create a Trefftz domain to solve an open boundary problem in electrostatics. You can also perform the analysis through the ANSYS GUI menus.

For details on the Trefftz methodology, see Trefftz Method for Open Boundary Representation of this manual.

13.8.1. The Example Described

This is an analysis of a charged spherical conductor in free-space as shown in Figure 13.8: "Charged Spherical Conductor". The objective is to compute the capacitance.

Figure 13.8 Charged Spherical Conductor

13.8.2. Modeling Notes

For this problem, you build a model by subtracting a spherical volume from a solid cube (representing the modeled finite element air region). The nodes at the exterior of the sphere represent the conductor nodes. You then create Trefftz source nodes (TZAMESH) by defining another spherical volume placed between the spherical boundary of the conductor and the exterior volume of air. After creating the Trefftz source nodes, you generate a Trefftz domain using the TZEGEN command. You then compute the capacitance using the CMATRIX command macro.

13.8.3. Expected Results

The target capacitance is 0.0111 pF.

13.8.4. Command Listing

You can perform this example analysis of a charged spherical conductor in free-space using the ANSYS commands shown below. Text prefaced by an exclamation point (!) is a comment.

/batch,list
/title, Sphere to infinity capacitance using a Trefftz Domain
/com ==================================================================
/com
/com   Analytical solution for capacitance is
/com
/com       Cself = 4*Pi*Eps0*EpsR*R1
/com
/com ==================================================================
!
N=5                           ! subdivision parameter
R1=100                        ! radius of the sphere (microns)
R2=300                        ! half side of the cube
R3=125                        ! radius for Trefftz nodes
!
/PREP7                        ! Enter Preprocessor
!
et,1,123                      ! 10 node tetrahedral
!
emunit,epzro,8.854e-6         ! free space permittivity (μMKSV units)
mp,perx,1,1                   ! relative permittivity
!
sphere,0,R1,0,360             ! conductor outer radius
/view,1,1,1,1
/replot
block,-R2,R2,-R2,R2,-R2,+R2   ! exterior FE air region (cube)
vsbv,2,1
!
nummrg,all
!
mshape,1                      ! mesh with tets
mshkey,0                      ! free meshing
esize,,n                      ! mesh control
!
VMESH,ALL                     ! mesh volumes
cm,vol,volu                   ! group FE volumes into a component
sphere,125                    ! create spherical volume for Trefftz nodes
cmsel,u,vol
cm,tvol,volu                  ! Trefftz volume component
!
nsel,s,loc,x,R2               ! select outer nodes of FE domain
nsel,a,loc,x,-R2
nsel,a,loc,y,R2
nsel,a,loc,y,-R2
nsel,a,loc,z,R2
nsel,a,loc,z,-R2
sf,all,inf                    ! infinite surface flag on FE exterior
!
csys,2
nsel,s,loc,x,r1               ! select nodes at the conductor surface
cm,cond1,node                 ! Electrode surface node component for CMATRIX
csys,0
allsel
tzamesh,'tvol',,2             ! Create Trefftz nodes
tzegen                        ! Create Trefftz Domain
!
finish
!
/solu
antyp,static
eqslv,jcg                     ! select JCG solver
!
!  Compute capacitance
!
cmatrix,1,'cond',1,1          ! symmetry=1, no cond=1, ground at infinity
finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.7. Doing an Example Capacitance Calculation (Command Method) 		Up / Home Next
13.9. Doing an Electrostatic Analysis Using Trefftz Method (GUI Method)


13.9. Doing an Electrostatic Analysis Using Trefftz Method (GUI Method)

As shown below, you can use GUI menu paths to perform the example analysis of creating a Trefftz domain to solve an open boundary problem in electrostatics.

Step 1: Start the Analysis

  1. Activate the ANSYS launcher.

  2. Select the ANSYS simulation environment, choose your license, and click Run.

  3. When the Graphical User Interface is fully active, choose Utility Menu> File> Change Title. A dialog box appears.

  4. Enter the title text, Sphere to Infinity Capacitance

  5. Click on OK.

  6. Choose Main Menu> Preferences. The Preference dialog box appears.

  7. Click Electric on.

  8. Click on OK.

Back To Top

Step 2: Define Analysis Parameters

  1. Choose menu path Utility Menu> Parameters> Scalar Parameters. The Parameters dialog box appears.

  2. Type in the parameter values shown below. (Press ENTER after entering each value.)

    n = 5
    r1 = 100
    r2 = 300
    r3 = 125

  3. Click on Close to close the dialog box.

Back To Top

Step 3: Define Element Types

  1. Choose Main Menu> Preprocessor> Element Type> Add/Edit/Delete. The Element Types dialog box appears.

  2. Click on Add. The Library of Element Types dialog box appears.

  3. In the scrollable fields, click on (highlight) Electrostatic and 3D Tet 123 (SOLID123).

  4. Click on OK. ANSYS returns you to the Element Types dialog box.

  5. Click on Close to close the Element Types dialog box.

Back To Top

Step 4: Define Material Properties

  1. Choose Main Menu> Preprocessor> Material Props> Electromag Units. The Electromagnetic Units dialog box appears.

  2. Select the User-Defined option button and click on OK. A Electromagnetics Units text entry box appears.

  3. Enter 8.854e-6 for the free-space permittivity (μMKSV units) and click on OK.

  4. Choose Main Menu> Preprocessor> Material Props> Material Models. The Define Material Model Behavior dialog box appears.

  5. In the Material Models Available window, double-click on the following options: Electromagnetics, Relative Permittivity, Constant. A dialog box appears.

  6. Enter 1 for PERX (Relative permittivity), and click on OK. Material Model Number 1 appears in the Material Models Defined window on the left.

  7. Choose menu path Material>Exit to remove the Define Material Model Behavior dialog box.

Back To Top

Step 5: Create Solid Model

  1. Choose Main Menu> Preprocessor> Modeling> Create> Volumes> Sphere> By Dimensions. The Create Sphere by Dimensions dialog box appears.

  2. In the “RAD1” field, enter r1, in the “RAD2” field, enter 0, in the “THETA1” field, enter 0, in the “THETA2” field, enter 90, and click on OK.

  3. Choose Utility Menu> PlotCtrls> Pan, Zoom, Rotate. A Pan-Zoom-Rotate dialog box appears.

  4. Click on the Iso button, then click on Close. The ANSYS Graphics Window displays the block.

  5. Choose Main Menu> Preprocessor> Modeling> Create> Volumes> Block> By Dimensions. The create Block by Dimensions dialog box appears.

  6. In the “X coordinates” field, enter 0, r2, in the “Y coordinates” field, enter 0, r2, and in the “Z coordinates” field, enter 0, r2.

  7. Choose Main Menu> Preprocessor> Modeling> Operate> Booleans> Subtract> Volumes. The Subtract Volumes picking menu appears.

  8. Pick (or enter in the picker) the block volume (volume 2) and click on OK. The Subtract Volumes picking menu reappears.

  9. Pick (or enter in the picker) the spherical volume (volume 1) and click on OK.

  10. Choose Main Menu> Preprocessor> Modeling> Reflect> Volumes. The Reflected Volumes picking menu appears.

  11. Click on Pick All. The Reflected Volumes dialog box appears.

  12. Check that the Y-Z plane is selected and click on OK.

  13. Choose Main Menu> Preprocessor> Modeling> Reflect> Volumes. The Reflected Volumes picking menu appears.

  14. Click on Pick All. The Reflected Volumes dialog box appears.

  15. Select the X-Z plane and click on OK.

  16. Choose Main Menu> Preprocessor> Modeling> Reflect> Volumes. The Reflected Volumes picking menu appears.

  17. Click on Pick All. The Reflected Volumes dialog box appears.

  18. Select the X-Y plane and click on OK.

  19. Choose Main Menu> Preprocessor> Numbering Ctrls> Merge Items. A Merge Coincident or Equivalently Defined Items dialog box appears.

  20. Set the “Type of Item to be merge (Label)” to All and click on OK.

Back To Top

Step 6: Mesh the Model and Create a Finite Element Model Component

  1. Choose Main Menu> Preprocessor> Meshing> MeshTool. The MeshTool appears.

  2. Click on the Set Global Size Controls button. A Global Element Sizes dialog box appears.

  3. In the “No. of Element Divisions (NDIV)” field, enter n, and click on OK.

  4. Make sure that Volumes, Tet, and Free are selected in the MeshTool.

  5. Click MESH. The Mesh Volumes picking menu appears.

  6. Click on Pick All. The display changes to show the meshed volumes. Click Close to close the MeshTool.

  7. Choose menu path Utility Menu> Select> Comp/Assembly> Create Component. The Create Component dialog box appears.

  8. In the “Component Name (Cname)” field enter vol, set the “Component is made of (Entity)” to volumes, and click on OK.

Back To Top

Step 7: Apply Infinite Surface Flag to Exterior Surface of Finite Element Region

  1. Choose menu path Utility Menu> Select> Entities. The Select Entities dialog box appears.

  2. Set the top box to nodes and the second box to By Location. Enter r2 in the “Min/Max” field, select X coordinates, and click on OK.

  3. Choose menu path Utility Menu> Select> Entities. The Select Entities dialog box appears.

  4. Enter -r2 in the “Min/Max” field, change the selection type radio button to Also Sele, and click on Apply.

  5. Enter r2 in the “Min/Max” field, change the coordinates radio button to Y coordinates, and click on Apply.

  6. Enter -r2 in the “Min/Max” and click on Apply.

  7. Enter r2 in the “Min/Max” field, change the coordinates radio button to Z coordinates, and click on Apply.

  8. Enter -r2 in the “Min/Max” field and click on OK.

  9. Choose menu path Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Flag> Infinite Surf> On Nodes. The Apply INF on Nodes dialog box appears.

  10. Click on Pick All.

Back To Top

Step 8: Create a Spherical Conductor Surface Node Component

  1. Choose menu path Utility Menu> WorkPlane> Change Active CS to> Global Spherical.

  2. Choose menu path Utility Menu> Select> Entities. The Select Entities dialog box appears.

  3. Check that the top box is set to nodes and the second box is set to By Location. Change the coordinates radio button to X coordinates, change the selection type radio button to From Full, enter r1 in the “Min/Max” field, and click on OK.

  4. Choose menu path Utility Menu> Select> Comp/Assembly> Create Component. The Create Component dialog box appears.

  5. In the “Component Name (Cname)” field enter cond1, set the “Component is made of (Entity)” to nodes, and click on OK.

Back To Top

Step 9: Create Trefftz Nodes and Trefftz Domain

  1. Choose menu path Utility Menu> WorkPlane > Change Active CS to> Global Cartesian.

  2. Choose menu path Main Menu> Preprocessor> Trefftz Domain> TZ Geometry> Create> Volume> Sphere> By Dimensions. The Create Sphere by Dimensions dialog box appears.

  3. In the “Outer Radius (RAD1)” field enter r3. Check that the “Starting angle (THETA1) and Ending angle (THETA2) are 0 and 360 degrees, respectively. Click on OK.

  4. Choose menu path Utility Menu> Select> Comp/Assembly> Select Comp/Assembly. The Select Component or Assembly dialog box appears.

  5. In the “Select Entities belonging to Component or Assembly (CMSEL)” field choose VOL, in the “Type of Selection (Type)” field choose Unselect, and click on OK.

  6. Choose menu path Main Menu> Preprocessor> Trefftz Domain> Mesh TZ Geometry. The Mesh TZ Geometry dialog box appears.

  7. Pick the Trefftz volume (volume 5) and click on OK. The Parameters for mesh of Trefftz domain dialog box appears.

  8. Check that the No. of element divisions (NDIV) is set to 2 and click on OK. A pop-up window displays the results for Trefftz nodes.

  9. Review the results, which show 20 Trefftz nodes have been created, and click on Close.

  10. Choose menu path Utility Menu> Select> Everything.

  11. Main Menu> Preprocessor> Trefftz Domain> Superelement> Generate TZ. A pop-up window displays the results for the Trefftz Domain.

  12. Review the results and click on Close.

Back To Top

Step 10: Compute Capacitance

  1. Choose menu path Main Menu> Finish.

  2. Choose menu path Main Menu> Solution> Analysis Type> New Analysis. A New Analysis dialog box appears with Steady-State entered for the “Type of Analysis (ANTYPE).”

  3. Click on OK.

  4. Choose menu path Main Menu> Solution> Analysis Type> Analysis Options. The Static or Steady-State Analysis dialog box appears.

  5. Set the “Equation Solver (EQSLV)” to Jacobi Conj Grad and click on OK.

  6. Choose menu path Main Menu> Solution> Solve> Electromagnet> Static Analysis> Capac Matrix. The Capac Matrix dialog box appears.

  7. In the “Symfac Geometric symmetry factor (Symfac)” field, enter 1, in the “Component name identifier (Condname)” field, enter cond, in the “Number of cond components (Ncond)” field, enter 1, in the “Ground Key (Grndkey)” field, enter 1, and click on OK.

  8. Review the results and click on Close.

  9. Choose menu path Main Menu> Finish.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.8. Doing an Electrostatic Analysis Using Trefftz Method (Command Method) 		Up / Home Next
Chapter 14. p-Method Electrostatic Analysis


Chapter 14. p-Method Electrostatic Analysis

The p-method obtains results such as potential (voltage), electric field, electric flux density, electrostatic force or energy to your required degree of accuracy. To calculate these results, the p-method employs higher order polynomial levels (p-levels) of the finite element shape functions to approximate the real solution.

This feature works by taking a finite element mesh, solving it at a given p-level, increasing the p-level selectively, and then solving the mesh again. After each iteration the results are compared for convergence against a set of convergence criteria. You can specify the convergence criteria to include potential, electric field, or electric flux density at a point (or points) in the model, global-stored energy and global forces on a body (Maxwell Stress Tensor). The higher the p-level, the better the finite element approximation to the real solution.

In order to capitalize on the p-method functionality, you don't have to work only within the confines of p-generated meshes. The p-method is most efficient when meshes are generated considering that p-elements will be used, but this is not a requirement. Of course, you might want to create and mesh your model using p-elements, but you can also perform a p-method solution using meshes that have been generated with h-elements (generated by ANSYS or your CAD package), if the elements are at least mid-noded. This provides you with the flexibility of taking advantage of the p-method solution option independently of how the mesh was created. The p-method can improve the results for any mesh automatically.

The following p-Method electrostatic analysis topics are available:

  • Benefits of Using the p-Method
  • Using the p-Method
  • Doing an Example p-Electrostatic Analysis (Command Method)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.9. Doing an Electrostatic Analysis Using Trefftz Method (GUI Method) 		Up / Home Next
14.1. Benefits of Using the p-Method


14.1. Benefits of Using the p-Method

The p-method solution option offers many benefits for electrostatic analyses that are not available with the traditional h-method, discussed in "Electrostatic Field Analysis (h-Method)". The most convenient benefit is the ability to obtain good results to a desired level of accuracy without rigorous user-defined meshing controls. If you are new to finite element analysis or do not have a solid background in mesh design, you might prefer this method since it relieves you of the task of manually designing an accurate mesh.

In addition, the p-method adaptive refinement procedure offers error estimates that are more precise than those of the h-method, and can be calculated locally as well as globally (for example, total force on a body rather than electrostatic energy). For example, if you need to obtain highly accurate solutions at a point, such as for dielectric breakdown, or forces on a body, the p-method offers an excellent means of obtaining these results to the required accuracy.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 14. p-Method Electrostatic Analysis 		Up / Home Next
14.2. Using the p-Method


14.2. Using the p-Method

The procedure for a p-method static analysis consists of four main steps:

  1. Select the p-method procedure.

  2. Build the model.

  3. Apply loads and obtain the solution.

  4. Review the results.

Each step is discussed in detail in the following sections.

14.2.1. Select the p-Method Procedure

You can activate the p-method solution procedure in two ways: through the GUI or by defining a p-element [ET].

  • Activating p-method through the GUI:

    Command(s): /PMETH
    GUI: Main Menu> Preferences> p-method Electr.

  • Defining a p-element: The p-method solution procedure can also be activated by defining a p-element. If you are working outside of the GUI, the definition of a p-element lets the program know that a p-method solution is to be done; no other commands are necessary to initiate p-method. From within the GUI, you can also issue the ET command in the "Input Window" to activate the p-method procedure. (Remember, the ET command must be entered in the "Input Window," since, by default, only h-elements are displayed in the GUI unless p-method is active.)

    Command(s): ET
    GUI: Main Menu> Preprocessor> Element Type> Add/Edit/Delete

14.2.2. Build the Model

To build a model with p-elements, you may follow the procedure listed below.

  1. Define the element types.

  2. Specify material properties.

  3. Define the model geometry.

  4. Mesh the model into elements.

The above steps are common to most analyses. The Modeling and Meshing Guide explains those steps in detail. In this section we will explain the techniques that are unique to a p-analysis.

14.2.2.1. Define the Element Types

You can use the following two p-elements to build your model:

Table 14.1 Element Types

Element | Dimens. | Shape or Characteristic | DOFs
SOLID127 | 3-D | Tetrahedral, 10 nodes | Voltage at each node
SOLID128 | 3-D | Hexahedral, 20 nodes | Voltage at each node

Note

h-elements and p-elements cannot be active at the same time in your model (except for the MATRIX50 element use as a superelement for a Trefftz domain).

14.2.2.1.1. Specifying a p-Level Range

Various options are available for use with p-elements. One important option is the ability to specify, either locally or globally, a range in which the p-level may vary.

The range within which the p-level may vary can be controlled locally through the p-element KEYOPT settings (KEYOPT(1) and KEYOPT(2)), or globally across the entire model with PPRANGE. By default, the p-level range is 2 to 8.

When both KEYOPT values and PPRANGE have been used to specify p-level ranges, the local p-level range set by KEYOPT(1) and KEYOPT(2) will take precedence over the global p-level range [PPRANGE].

For example, if you set a global p-level range between 3 and 8 with PPRANGE, then define a local p-level range of 4 to 6 for SOLID127 elements (ET,1,127,4,6), the p-level for the SOLID127 elements may only vary between 4 and 6, while the rest of the model may vary between 3 and 8.

At the (default) starting p-level of 2, convergence checking is performed (PEMOPTS command) to determine those elements which are converged and may have their p-level fixed at 2. That is, these elements will remain at a p-level of 2, and will be eliminated from any further convergence checking. Additional checking is performed at each iteration to fix the p-levels of the elements which are converged.

Use local p-range control to eliminate regions of little importance from high p-escalation. Use global p-range control for overall control of the p-level. These range controls are not necessary, but p-escalations to high p-levels increase CPU run time. Therefore, it is advantageous to have such controls available.

  • Defining a local p-level range:

    Command(s): ET,ITYPE,Ename,KOP1,KOP2
    GUI: Main Menu> Preprocessor> Element Type> Add/Edit/Delete

  • Defining a global p-level range:

    Command(s): PPRANGE
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> p-Method> Set p range

See the Elements Reference for complete descriptions of each of the above element types.

14.2.2.2. Specify Material Properties and/or Real Constants

14.2.2.2.1. Units

You may solve electrostatic field problems in a variety of units. ANSYS requires that all geometry dimensions, properties, and input loads (excitations) be consistent with respect to a units system. By default, ANSYS supports the MKS (or MKSV) system of units (meter, kilogram, second, volt, ampere). For microsystems, it may be more advantageous to work in other systems of units such as a µMKSV (micrometer, kilogram, second, volt, pico-ampere) or a µMSVfA (micrometer, second, volt, femto-ampere, gram). For electrostatic analysis, you must select an appropriate value of free-space permittivity consistent with the system of units to be used. This is done via the EMUNIT command. By default, the free-space permittivity is 8.854e-12 Farads/meter (MKSV units). For µMKSV units, you should use 8.854e-6 pico-Farads/micro-meter. For µMSVfA units, you should use 8.854e-3 femto-Farads/micro-meter. See Building the Model for a more complete description of alternate systems of units.

To specify a system of units, issue one of the following:

Command(s): | EMUNIT
GUI: | Main Menu> Preprocessor> Material Props> Electromag Units

14.2.2.2.2. Material Properties

Material properties for p-elements (relative permittivity) may be either constant or temperature-dependent, as well as isotropic or orthotropic.

To define relative permittivity, issue one of the following:

Command(s): | MP
GUI: | Main Menu> Preprocessor> Material Props> Material Models> Electromagnetics> Relative Permittivity> Isotropic

Element coordinate systems [ESYS] may be used for orthotropic material directions. All element results in POST1 however may only be viewed in Global Cartesian Coordinations.

14.2.2.3. Define the Model Geometry

You can create your model using any of the various techniques outlined in the Modeling and Meshing Guide, or you can import it from a CAD system. If you are generating your model from within ANSYS, you can use either solid modeling or direct generation techniques.

Note

Using direct generation is not recommended when you plan to create a p-mesh since all p-elements require that midside nodes be included in their geometric definition. In cases where surface curvature is important, it would not only be tedious, but possibly imprecise to manually define each midside node. In addition, the EMID command does not place nodes on a curved line. It is much more convenient to let the program generate the midside nodes using solid modeling.

You may not drop any midside nodes from p-elements.

Note

If you use direct generation or import your mesh from an outside source, keep the following guidelines in mind:

  • A curved element edge should not cover more than a 30° arc.

  • The angles between adjacent edges should be between 10° and 170°. Element shape checking will warn that adjacent edges should be between 30° and 150°, but it is usually acceptable to have angles in the range of 10° to 170° for p-elements.

  • A good rule of thumb is to keep the aspect ratio (ratio of element length to width) less than 20:1.

14.2.2.4. Mesh the Model into Solid Elements

14.2.2.4.1. Regions to Mesh

For electrostatic field analysis it is not necessary to mesh the conductor region of the model with p-elements since the surface of the conductor is assumed to be at an equipotential. Therefore, only the surrounding dielectric material and the free-space (air) regions require p-element meshing.

The surfaces which make up a conductor do require special treatment. They must either have a specified potential applied, or have the nodes at the surface of the conductor coupled if the voltage is unknown. See Coupling below for details.

14.2.2.4.2. Using Program Defaults

After you have generated your solid model, you are ready to mesh it with p-elements. The general procedure for meshing your solid model is outlined in "Generating the Mesh" in the Modeling and Meshing Guide. Compared to h-elements, the program will generate a coarser mesh under default settings for p-elements. Normally, you will not need to specify any meshing size controls because the program defaults will give you an adequate mesh. In addition, each element's p-level will be manipulated during solution to obtain accurate and efficient results. For engineering design studies, the accuracy obtained with a relatively coarse, ungraded mesh is usually sufficient. (A graded mesh is one where there are more elements near an area of interest. These elements are smaller relative to the other areas of the model, and a transition region occurs from the large to the smaller elements.)

Note

Adaptive meshing is not valid with a p-method analysis.

14.2.2.4.3. Specifying Mesh Controls

By default, the DESIZE command controls automatic element sizing. For free meshing, you have the option of using the SmartSize feature [SMRTSIZE] to control element sizing. SmartSizing generally produces a better quality mesh and is recommended for meshing a p-element model. (SmartSizing is not available for mapped meshing.)

To specify meshing parameters for automatic (smart) element sizing, issue one of the following:

Command(s): | SMRTSIZE
GUI: | Main Menu> Preprocessor> Meshing> Size Cntrls> SmartSize> Basic

To specify default element sizes, issue one of the following:

Command(s): | DESIZE
GUI: | Main Menu> Preprocessor> Meshing> Size Cntrls> Global> Other

Note

Since p-method prefers a coarser mesh, the default element size values for a p-method analysis are different than those used for h-elements. See the SMRTSIZE and DESIZE commands for details.

You may also want to specify meshing controls for curved geometries, where successful meshes are more difficult to achieve with the default size settings. Under default conditions, badly shaped elements may be produced because of the difficulty of filling a curved domain with as few elements as possible. User-defined meshing controls can make the task less difficult.

14.2.2.4.4. Some Guidelines for Creating a Good Mesh:

  • Subdivide complex geometries, or build them as separate geometries. As a general rule, if you were to stand inside a volume, you should be able to see all of its vertices. If this is not possible, you might wish to consider subdividing the volume into more manageable pieces.

  • The number of divisions on lines "parallel" and near to each other should be fairly equivalent. The SmartSizing method of meshing [SMRTSIZE] handles this situation well. However, if the DESIZE method of element sizing is used, you should set local mesh controls to achieve a good mesh in these areas.

14.2.3. Additional Information for Building Your Model

14.2.3.1. Viewing Your Element Model

A subgrid approach is used for plotting the model in which the amount of displayed element curvature can be controlled. You may display varying degrees of curvature in your model by specifying the number of facets to be used for element display. Facets are piece-wise linear approximations of the actual curve represented by the element face or edge. A greater number of facets will result in a smoother representation of the element surface for p-element plots. PowerGraphics is the default graphics display method used for p-method plots. This method will display the plot at a much faster speed than the Full Model method. See "PowerGraphics" in the Basic Analysis Guide for more information on PowerGraphics. For more information on /EFACET, see the discussion on the p-element subgrid later in this section.

To specify the number of facets per element edge for PowerGraphics displays, issue one of the following:

Command(s): | /EFACET
GUI: | Utility Menu> PlotCtrls> Style> Size and Shape

14.2.3.2. Trefftz Method for Open Boundary Representation

The Trefftz method may be used to model the far-field effects at the boundary of the finite element model. The Trefftz method combines the efficiency of boundary techniques in open domain treatment with a finite element-like positive definite stiffness matrix. For the p-method, a Trefftz domain may be used on 3-D models containing no planes of symmetry. Details on setting up and using a Trefftz domain are exactly the same as for the h-method electrostatic elements. For details on this procedure, see Trefftz Method for Open Boundary Representation.

14.2.3.3. Coupling

You may couple degrees of freedom (DOFs) between nodes on p-elements to control nodal solution behavior. All coupled nodes are forced to assume the same electric potential value in the specified nodal coordinate direction. The value of this electric potential is unknown until the analysis has been completed.

To define a set of coupled degrees of freedom, issue one of the following:

Command(s): | CP
GUI: | Main Menu> Preprocessor> Coupling/Ceqn> Couple DOFs

You normally use coupling on conductor surface nodes to prescribe an equipotential surface of unknown voltage or to prescribe a periodic boundary condition on two surfaces of a model with matching node pairs.

The first degree of freedom defined on the coupled set is the "prime" degree of freedom. All other degrees of freedom in the coupled set are eliminated from the solution matrices as a result of their relationship to the prime degree of freedom.

Note

For p-elements, only the corner nodes may be defined as prime degrees of freedom if midside nodes are also part of the same coupled set.

For a p-method analysis, only the nodal combinations described below are permitted when coupling, and any deviation from these combinations will most likely result in singularities.

14.2.3.3.1. Coupling of Corner Nodes is Permitted in the Following Cases:

  1. Two nodes are coupled within the same element.

    Figure 14.1 Coupled Nodes on One Element

  2. Two nodes are coupled between adjacent element edges/faces.

    Figure 14.2 Nodes Coupled Between Adjacent Elements

14.2.3.3.2. Midside Node Coupling is Permitted in the Following Cases:

  1. Both corner nodes on the element's edge or face are part of the same coupled set. Only the corner nodes may be defined as prime degrees of freedom. This is the most common occurrence in electrostatics whereby an entire edge of a model or a conductor is coupled.

    Figure 14.3 Both Corner Nodes are Coupled

  2. All nodes in the coupled set are midside nodes. In this case, a midside node must be defined as the prime degree of freedom, but this is only valid as long as there are no corner nodes defined as part of the same coupled set.

    Figure 14.4 All Coupled Nodes are Midside Nodes

Note

If you have coupled faces or edges on a p-element (that is, all edges of the element's face or all nodes of the element's edge are coupled), the p-level of that edge or face will be held to 2.

14.2.3.4. Constraint Equations

You may write constraint equations between nodes on p-elements to control nodal solution behavior. A constraint equation forces all nodes to a specified relationship. In electrostatics, constraint equations usually prescribe a periodic behavior of the potential from one surface to another surface with matching node pairs. For example, the potential solution on one surface of a model is equal in magnitude but opposite in sign to the potential values on another surface of the model. They are also used with a Trefftz domain to model the far-field. The value of the potential is unknown until the analysis has been completed.

To define a constraint equation relating degrees of freedom, issue one of the following:

Command(s): | CE
GUI: | Main Menu> Preprocessor> Coupling/Ceqn> Constraint Eqn

Constraint equations for p-elements have the following limitations:

  • As shown in Figure 14.5: "Constraint Equations Relating Corner Nodes", you may write VOLT constraint equations relating any corner node to any other corner node. You may not write a constraint equation relating a corner node to a midside node.

    Figure 14.5 Constraint Equations Relating Corner Nodes

  • As shown in Figure 14.6: "Acceptable Constraint Equations Relating Midside Nodes", you may write VOLT constraint equations relating any midside node to any other midside node, if you write VOLT constraint equations for all three nodes on an edge, or all nodes on a face.

    Figure 14.6 Acceptable Constraint Equations Relating Midside Nodes

  • As shown in Figure 14.7: "Unacceptable Constraint Equations Relating Midside Nodes", you may NOT write a constraint equation that only relates midside nodes.

    Figure 14.7 Unacceptable Constraint Equations Relating Midside Nodes

These restrictions come from the fact that in a p-method electrostatic analysis, the VOLT DOF of a corner node represents the electric potential value at the node, while the VOLT DOF of a midside node is the second order hierarchic edge mode value. By following these restrictions, a potential solution of second order (p = 2) can be achieved on the edges or faces with constraint equations defined.

14.2.4. Apply Boundary Conditions

These loads specify flux-parallel, flux-normal, far-field, and periodic boundary conditions, as well as an imposed external magnetic field. The following table shows the value of volt required for each type of boundary condition:

Boundary Condition | Value of VOLT
Flux-parallel | None required (naturally occurring).
Flux-normal | Specify a constant value of VOLT using the D command (Main Menu> Solution> Define Loads> Apply> Electric> Boundary> Voltage> J-Normal> On Nodes (On Lines or On Areas).
Far-field | For 2-D analysis, use INFIN9 (planar analyses only) or INFIN110 elements. For 3-D analysis, use the Trefftz formulation or INFIN47 or INFIN111 elements.
Imposed external field | Apply nonzero values of VOLT. Use Main Menu> Solution> Define Loads> Apply> Electric> Boundary> Voltage> On Keypoints (On Nodes, On Lines or On Areas).

Flux-parallel boundary conditions force the flux to flow parallel to a surface, while flux-normal boundary conditions force the flux to flow normal to a surface. You do not need to specify far-field zero boundary conditions if you use the Trefftz formulation or far-field elements to represent the "infinite" boundary of the model. For an imposed external field, specify the appropriate nonzero value of VOLT.

14.2.5. Apply Loads and Obtain the Solution

In this section you will take the following steps to obtain a solution for your model:

  1. Enter SOLUTION.

    Command(s): /SOLU
    GUI: Main Menu> Solution

  2. Define the analysis options. Choose any of three options to solve the simultaneous equations generated by a p-method analysis. These solvers are discussed at length in "Solution" in the Basic Analysis Guide.

    • Frontal equation solver

    • Jacobian Conjugate Gradient equation solver (JCG) (recommended)

    • Incomplete Cholesky Conjugate Gradient (ICCG)

    • Preconditioned Conjugate Gradient equation solver (PCG)

    To specify the type of equation solver, issue one of the following:

    Command(s): EQSLV
    GUI: Main Menu> Solution> Analysis Type> Analysis Options

    We generally recommend that you use the JCG solver for a p-element analysis. For most 3-D solid models and for very large 2-D models (usually greater than 40,000 DOF), the JCG solver is usually faster than the frontal solver.

    In certain cases, such as when your model contains elements with high aspect ratios or material type discontinuities, a greater number of iterations may be required to achieve convergence for the PCG solver. You may increase the maximum number of iterations by using the MULT option on the EQSLV command. This option is only valid when solving with the PCG solver. See the EQSLV command description in the Commands Reference for more information on this capability.

    For more information on the general use of the PCG solver, refer to "Solution" in the Basic Analysis Guide.

  3. Apply the loads to the solid model (keypoints, lines, areas, etc.) or the finite element model (nodes and elements), except for inertia loads (gravity, rotational velocity, etc.), which are independent of the model. For a general discussion of solid model loads versus finite element loads, see "Loading" in the Basic Analysis Guide.

    Loads Applicable to a p-Method Analysis

    "Electrostatic Field Analysis (h-Method)" of this manual describes the loads applicable to an electrostatic analysis, including the commands associated with each type of loading.

    Potential (VOLT) are DOF constraints that you would usually prescribe at a ground plane, a conductor, or at a far-field boundary. You can also use them to indicate symmetry boundary conditions.

    Potential boundary conditions applied to all nodes of an element edge or face will also constrain the higher order potential variation along that edge or face.

    You should not apply a potential only at a midside node. You may apply a potential at a corner node only.

    Charge (CHRG) are point-wise loads that you would usually specify on a corner node.

    Caution

    Observe the following cautions:

    • You should be cautious applying single-point charge, since they cause field singularities. If these loads are applied, exclude the elements attached to these nodes from the convergence computations. See "Accounting for Singularities" below.

    • Do not apply charge to the midside nodes. You may only apply these loads at the corner nodes.

    Surface Charge Densities (CHRGS) are surface loads, also usually applied on the exterior of a body.

    Volume Charge Densities (CHRGD) are body loads usually applied to elements.

    Maxwell Surface Flag (MXWF) are flags indicating surfaces to compute forces. Surfaces of air elements adjacent to conductors or mechanical structures are usually flagged. Elements with flagged surfaces will have surface forces computed and stored. These forces can be reviewed in the postprocessor, or automatically transferred to a structural analysis (of the conductor or mechanical structure). The total “Global” force on a body may also be used as consequence criteria in the adaptive process.

    You apply surface flags using the SF family of commands. Remember to apply these flags to electrostatic air elements adjacent to the conductor or mechanical body. In a pure electrostatic model, these conductors are not physically represented by elements so application of the surface flags is straightforward. In a multiphysics analysis, you can mesh the conductor region with finite elements which are inactive for the electrostatic run (using the 'null' element type (ET,,0). In this case, you can apply Maxwell surface flags by grouping the conductor elements into an element component (CM command) and calling the FMAGBC command macro.

    The electrostatic p-elements output forces that are compatible with lower and higher order structural h-elements only. Transfer forces from the electrostatic analysis to a structural analysis by using the LDREAD command. Use element KEYOPT(7) for SOLID127 and SOLID128 to prescribe force computations for either lower order or higher order structural elements.

    The structural p-elements (SOLID147 and SOLID148) do not support electrostatic-structural coupling.

    Temperatures (TEMP) are applied to study the effects of temperature dependent permittivity. You can read in temperatures from a thermal analysis, or you can specify temperatures directly on the nodes or the solid model keypoints.

    To obtain temperatures from a thermal analysis:

    • Mesh the p-element model.

    • Convert the p-element types to the following thermal element types: SOLID128 to SOLID90, and SOLID127 to SOLID87.

    • Run the thermal analysis.

    • Change the element types back to the p-element types in order to perform the p-method electrostatic analysis.

    • For the remainder of the analysis, continue with the same procedure as defined for h-elements (see the Thermal Analysis Guide).

  4. Specify load step options. The following solution options are available to aid in solving a p-Method analysis:

    • Convergence criteria specifications

    • Specifications for controlling p-levels

    • Accounting for singularities

    As mentioned earlier in this section, a p-method analysis works with a series of iterations, or p-loops, checking for convergence each time. The PPRANGE command is used to specify the overall range where the p-level may vary (somewhere between 2 and 8). For analyses beginning at p = 2, each element will have its solution checked for convergence against established criteria [PCONV]. If the solution is within the requested tolerance [PEMOPTS], that element will have its p-level held to 2. Those elements that did not converge within the specified criteria (that is, not fixed at p = 2 for the first iteration), will have their p-level increased, and another solution (iteration) will then be performed. At each iteration the convergence criteria (energy, potential, electric field, global forces, etc.) is checked, and if converged, the solution stops. Also, those elements whose individual solutions are considered to be converged will have their p-level held at the current p-level. This process is continued until all specified convergence criteria are met, or the maximum p-range has been reached.

    Convergence Criteria Specifications

    Convergence criteria may be global (for energy or surface Maxwell) forces) or local. Global energy is a good criteria to use when capacitance is the desired result. Electrostatic forces (Maxwell forces) on a body may be used as a convergence criteria. Forces are summed over all flagged surfaces to obtain a global force. This global force is then used as a convergence criteria.

    Caution must be exercised when using the global force (EFORC) criteria. Since all flagged surface forces are summed, only a single body should be flagged. Otherwise, for more than one flagged body, the total force may be meaningless (or in fact, may sum to zero).

    If you are specifically interested in the results at certain points in the model, then you should use local convergence criteria. Use this option to specify which areas of your model you would like to monitor for analysis convergence, as well as the type of criteria you would like to use to control convergence. Typically, you should select a few points of interest (nodes), at which to specify the convergence criteria (potential, electric field, etc.). In most cases, the default convergence tolerance (5%) is sufficient for generally good results. You may want to lower this tolerance if you require a more accurate solution. For a design study or optimization analysis, a higher tolerance will cut down on run times.

    To set convergence values for p-method solutions, issue one of the following:

    Command(s): PCONV
    GUI: Main Menu> Preprocessor> Loads> Load Step Opts> p-Method> Convergence Crit

    Caution

    Do not specify electric field or flux density criteria at nodes where there are singularities. These locations will not converge due to the singularity. Caution must be used in assigning criteria at material discontinuities. In this case, the criteria should only be applied to the continuous component of the field across the material interface.

    Note

    When choosing locations for specifying convergence criteria, you should concentrate your monitoring in the areas of high electric field or at the point of maximum potential rather than locations where the electric field or potential are relatively insignificant.

    Specifications for Controlling p-levels

    You may specify the starting (defaults to 2) and maximum (defaults to 8) p-levels that you wish to allow for your analysis [PPRANGE]. You may wish to start at a higher p-level if you have already completed an analysis and you want to perform a re-analysis (for a design change, for instance) and you know the final p-level where convergence will occur for most elements. You may also want to restrict the maximum p-level to less than 8 if conserving disk space or run time.

    Note

    Adjust the starting and maximum p-level in portions of your model using element KEYOPT selections.

    Accounting for Singularities

    If the model contains any re-entrant (internal or concave) corners that are not modeled with a fillet radius, or contains point charges or any other areas of singularities, you should consider excluding these areas from the convergence computations. All elements that have a node at the singularity should be excluded.

    To specify elements to be excluded from p-level escalations, issue one of the following:

    Command(s): PEXCLUDE
    GUI: Main Menu> Solution> Load Step Opts> p-Method> Stored Energy> Exclude Elems

    You can reassign, or re-include, elements for convergence checking. You may determine which elements have been included or excluded by listing [PINCLUDE,STAT; PEXCLUDE,STAT; or *GET] or plotting elements [EPLOT]. Excluded elements will appear `whited-out' in the plot. You may also select included or excluded elements by issuing the ESEL command directly [ESEL,,PEXC or ESEL,,PINC] (no GUI equivalent). This facilitates using these elements as a component [CM].

    To specify elements to be included in p-level escalations, issue one of the following:

    Command(s): PINCLUDE
    GUI: Main Menu> Solution> Load Step Opts> p-Method> Stored Energy> Include Elems

  5. Save a backup copy of the database.

    Command(s): SAVE
    GUI: Utility Menu> File> Save As

  6. Start the p-level iterations and solution process. The output will provide a summary of each loop, indicating the current p-level, the convergence statistics, and the status of how many elements have converged.

    Command(s): SOLVE
    GUI: Main Menu> Solution> Solve> Current LS

For a p-method electrostatic analysis, ANSYS computes convergence norms for each p-loop. Available in both batch and interactive sessions, the Graphical Solution Tracking (GST) feature displays the computed convergence norms and criteria while the solution is in process. By default, the GST feature is on for interactive sessions and off for batch runs. To turn the GST feature on or off, use either of the following:

Command(s): | /GST
GUI: | Main Menu> Solution> Output Ctrls> Grph Solu Track

Refer to Tracking Convergence Graphically to see a typical GST display.

14.2.6. Helpful Hints for Common Problems

If the analysis is not successful, try the following steps to identify and correct the cause for failure:

Problem: "Negative Pivot" error encountered.
Possible Cause: No constraints on the potential in the model. At least one node must be restrained to a fixed potential.
Solution: Apply a fixed potential to at least one node.
Problem: Solution does not converge to within the requested tolerance.
Possible Causes: There are several possible causes. You may use the general postprocessor [/POST1] to look at this solution in order to determine the difficulty.
Possible Causes | Solution
The convergence criteria is too tight for the maximum allowable p-level and the mesh. | Relax the convergence criteria.
The convergence criterion was specified at a singularity (infinite field value, such as under a point charge) or the elements near the singularity were not excluded. | Do not monitor a singularity point.
The mesh is too coarse, especially in the area where the electric field is high. | Refine the mesh.
The maximum p-level was restricted lower than that required for convergence. | Allow the maximum p-level to go higher.
The convergence criterion is at a location where the angle made by adjacent element edges is greater than 55° on a curved boundary. | Refine the mesh in that region.

Caution

You may not restart a p-method analysis.

14.2.7. Review the Results

The fundamental procedures for general postprocessing of results [/POST1] in the ANSYS program are discussed in "An Overview of Postprocessing" in the Basic Analysis Guide. Although most of these capabilities are directly applicable to p-method analyses, some techniques for reviewing results are unique to p-method, such as

  • p-Element Subgrid Plotting

  • Printing and Plotting Node and Element Results

  • Specialized p-Method Displays and Listings

The results from a p-method analysis are written to the results file, Jobname.RMG. Primary data are the potential (VOLT) results calculated at each node. Derived data are the nodal and element results for electric field, flux density, Maxwell forces, and energy.

Note

You must read the results data from the results file (Jobname.RMG) into the database [SET] before potentials may be reviewed during postprocessing.

14.2.7.1. The p-Element Subgrid Plotting

As mentioned previously, p-method finite element models generally contain fewer elements than do models meshed with h-elements. Since fewer elements correspond to a coarser mesh, a subgrid approach has been devised for viewing results in POST1. In this approach, each element is divided into smaller, "h-like" elements. Both the display of geometric curvature and the display and printout of field quantities (equipotentials, electric field, etc.) are affected by this approach. In most cases, a greater number of facets will result in a smoother representation of the element surface and results contours for p-element plots.

The key command involved in the subgrid approach is /EFACET,NUM where NUM represents the number of facets per element edge (GUI path Utility Menu> PlotCtrls> Style> Size and Shape). The example below illustrates how /EFACET subdivides a quadrilateral element. If NUM = 2, the element has 2 facets per edge and is divided into 4 subgrid facets by adding a pseudo node at the "center". If NUM = 4, the element has 4 facets per edge which means two pseudo nodes per edge and 9 interior pseudo nodes are added for each p-element, dividing the quadrilateral into 16 subgrid facets.

Figure 14.8 p-Element Subgrids for Quadrilateral Elements

As a general rule, for a model with a very coarse mesh or any model in which the p-levels are high (p>3) you should consider using NUM = 4 to view your field quantities. Since results are available at each subgrid location, more information will be available at NUM = 4.

14.2.7.2. Printing and Plotting Node and Element Results

Potentials, electric field, Maxwell forces, and electric flux density can be listed [PRNSOL] at all node locations (both corner and midside nodes). Likewise, these nodal values can be contoured for display purposes [PLNSOL], with the contour resolutions being controlled by the /EFACET command.

When viewing nodal field values across p-element boundaries ([PRNSOL, PLNSOL], or when using the Query function), results may be displayed in various ways. The results data may be averaged along element boundaries with the AVRES command. You can average results at all boundaries (the default), or at all boundaries except where real constant, and/or material type discontinuities exist. If a geometric discontinuity exists, results will not be averaged at those locations.

Note

AVRES has no effect on the nodal potentials (VOLT).

Electric field and electric flux density can be listed [PRESOL] at all node locations for each element.

Printout is similar to that for h-elements, with nodal results being unaveraged and sorted by element number. Unlike higher order h-element printout, results are for all nodal locations (corner and midside nodes). Results may be printed or plotted for the entire model [/GRAPHICS,FULL] or for the model surface only [/GRAPHICS,POWER] (default).

14.2.7.3. Specialized p-Method Displays and Listings

There are three commands specifically designed for listing or plotting p-element results data [PRCONV, PLCONV, PPLOT]. You may print [PRCONV] or plot [PLCONV] the previously-specified convergence values [PCONV] versus characteristic p-levels. The characteristic p-level refers to the p-level range from the minimum specified [PPRANGE] to the maximum p-level reached during SOLUTION. Final p-levels that were assigned to individual elements can be viewed by means of the PPLOT command. A convenient way to visualize local convergence criteria at specified locations in the model is to display a symbol at the location of interest, [/PSYMB,PCON], then issue an element or node plot.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.1. Benefits of Using the p-Method 		Up / Home Next
14.3. Doing an Example p-Electrostatic Analysis (Command Method)


14.3. Doing an Example p-Electrostatic Analysis (Command Method)

This section demonstrates how to do a simple electrostatic analysis using the p-method described in the previous sections.

14.3.1. The Example Described

This is an analysis of a 2-D electrostatic comb drive with one set of fingers. The moving finger (beam) has an applied voltage of 10, while the U-shaped finger is fixed and grounded. The objective is to calculate the electrostatic driving force.

The dimensions are:

tt = 40 µm | gg = 2 µm | wm = 2 µm
wf = 2µm | t1 = 4 µm | t2 = 40 µm

Figure 14.9 Electrostatic Comb Drive

14.3.2. Modeling Notes and Results

The mesh is shown in Figure 14.10: "Wedge Element Mesh".

Figure 14.10 Wedge Element Mesh

The p-method requires that the error for the electrostatic force acting on the moving finger be within 1% between consecutive p-loops. Figure 14.11: "p-Convergence Performance for Electrostatic Force" shows convergence results. The force predicted by the p-method is 27% higher than that obtained with the initial mesh.

Figure 14.11 p-Convergence Performance for Electrostatic Force

14.3.3. Command Listing

You can perform this example analysis of a 2-D electrostatic comb drive with one set of fingers using the ANSYS commands shown below. Text prefaced by an exclamation point (!) is a comment.

/batch,list
/show,combp,grph]
/title, Comb Drive Example
/prep7
! dimensions (microns) / parameters
wf=2                   ! Fixed  finger width
wm=2                   ! Moving finger width
gg=2                   ! Gap
tt=40                  ! Moving length
t1=4                   ! Fixed finger backing
t2=tt                  ! Moving finger length
hh=10                  ! Height
dt=tt/2
V0=10
xx=(2*tt-dt)*2.75
y1=(wm/2)+gg
y2=(wm/2)+gg+wf
x1=tt+t1
! Create Model
cyl4,0,0,xx,0,,360,1
block,-tt,0,y1,y2,0,1
block,(-tt-t1),-tt,-y2,y2,0,1
block,-tt,0,-y1,-y2,0,1
block,-dt,(tt-dt),(-wm/2),(wm/2),0,1
block,(-dt-(gg/2)),(tt-dt+(gg/2)),((-wm/2)-(gg/2)),(wm/2)+(gg/2),0,1
dx=wm*1.1
dy=dx
block,-x1-dx,tt-ddt+dx,-y2-dy,y2+dy,0,1
vovlap,all
/com  ---------------------------------------
/com  Volume  Component
/com  ---------------------------------------
/com  2,8,9   Fixed Finger
/com   5      Moving Finger
/com   11     Air Layer around Moving Finger
/com   12     Air Layer around the Comb Drive
/com   10     Boundary
/com  ---------------------------------------
! 2D mesh
et,11,200,7              ! Use high order tri mesh element
esize,gg/2
mshap,1                  ! Force a traingle mesh
amesh,52                 ! Mesh air layer around moving finger
esize,gg
amesh,54                 ! Mesh air layer around comb drive
esize,(y2+dy)*5
amesh,50                 ! Mesh boundary
! 3D mesh
et,1,128
emunit,epzro,8.854e-6    ! Free space permittivity (uMKSV units)
mp,perx,1,1              ! Set relative permittivity to 1
mat,1
lsel,s,loc,z,.5
lesize,all,,,1           ! Set element size in z-direction to 1
lsel,all
type,1
vsel,s,volu,,10,12,1
vsweep,all               ! Create wedge volume elements from tri mesh
vsel,all
vsel,s,volu,,10          ! Plot model
eslv,s
eplot
allsel
asel,s,loc,z,1           ! Select original areas
aclear,all
etdele,11                ! Remove meshing elements
asel,all
csys,1
nsel,s,loc,x,xx
d,all,VOLT,0             ! Apply volt=0 at outer boundary
nsel,all
csys,0
vsel,s,volu,,5
cm,MFINGER,volu
asel,s,ext
nsla,s,1
d,all,VOLT,0             ! Apply a zero potential on the moving finger
sf,all,mxwf
vsel,s,volu,,2
vsel,a,volu,,8,9,1
cm,FFINGER,volu
asel,s,ext
nsla,s,1
d,all,VOLT,V0            ! Apply 10 Volts on the fixed finger
allsel
! p-convergence control
pemopt,5.0,dual          ! Select Dual Method with tolerance of 5%
pconv,2,efor,x           ! Base convergence on Maxwell forces with tolerance of 2%
/gst,on
save
finish
/solu
eqslv,iccg               ! Set ICCG solver
solve
finish
/post1
set,last                 ! Set the last data step
vsel,s,volu,,11,12
eslv,s
pplot                    ! Plot the p-levels around the fingers
esel,all
plconv,all               ! Plot the convergence curve
etable,fx,fmag,x
etable,fy,fmag,y
etable,fz,fmag,z
ssum
*get,fx,ssum,,item,fx    ! Get summed forces
*get,fy,ssum,,item,fy
*get,fz,ssum,,item,fz
/com,Comb Drive Force
*stat,fx
finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.2. Using the p-Method 		Up / Home Next
Chapter 15. Electric Circuit Analysis


Chapter 15. Electric Circuit Analysis

Electric circuit analysis determines the voltage and current distribution in an electric circuit due to applied source voltages or currents. The type of source determines the type of analysis you do, as follows:

If the source is ... | The analysis type is ...
AC | Harmonic
DC | Static
Time-varying | Transient

Realizing the full potential of FEA simulation in electromagnetics requires complete flexibility in simulating circuit-fed electromagnetic devices. The ANSYS program has the following capabilities for circuit analysis:

  • A modified nodal analysis method for simulating circuits

  • Direct coupling of circuits to stranded coils and massive conductors

  • Coupling for both 2-D and 3-D models

  • Support for DC, AC, and time-transient simulations.

The advanced circuit-coupled simulation available in the ANSYS program allows for accurate simulation of items such as those listed below:

  • Solenoid actuators

  • Transformers

  • AC machines.

The following electric circuit analysis topics are available:

  • Using the CIRCU124 Element
  • Using the CIRCU125 Element
  • Using the Circuit Builder
  • Avoiding Inconsistent Circuits
  • Static (DC) Electric Circuit Analysis
  • Harmonic (AC) Electric Circuit Analysis
  • Transient Electric Circuit Analysis
  • Doing an Example Harmonic Circuit Analysis (Command Method)
  • A Sample Diode Circuit (Command Method)
  • Where to Find Other Examples

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.3. Doing an Example p-Electrostatic Analysis (Command Method) 		Up / Home Next
15.1. Using the CIRCU124 Element


15.1. Using the CIRCU124 Element

ANSYS provides a general circuit element, CIRCU124, for simulating linear circuits. The circuit elements solve for unknown nodal voltages (and currents, in some instances). Electric circuits consist of components such as resistors, inductors, mutual inductors, capacitors, independent current and voltage sources, and dependent current and voltage sources. You can model all of these using CIRCU124.

Note

This chapter describes some of the most important characteristics of CIRCU124. For a complete description of the element, see the Elements Reference.

15.1.1. Circuit Components Available in CIRCU124

How you set KEYOPT(1) for the CIRCU124 element determines which type of circuit component the ANSYS program creates, as shown below in Table 15.1: "Circuit Components Which the CIRCU124 Element Can Model". For example, setting KEYOPT(1) to 2 causes CIRCU124 to model a capacitor. For all circuit components, positive current flows from node I to node J.

Table 15.1 Circuit Components Which the CIRCU124 Element Can Model

Circuit Option and Graphics Label KEYOPT(1) Setting Real Constants
Resistor (R) 0
R1 = Resistance (RES)
Inductor (L) 1
R1 = Inductance (IND)
R2 = Initial inductor current (ILO)
Capacitor (C) 2
R1 = Capacitance (CAP)
R2 = Initial Capacitor Voltage (VCO)
Mutual Inductor (K) 8
R1 = Primary Inductance (IND1)
R2 = Secondary Inductance (IND2)
R3 = Coupling Coefficient (K)
Voltage-controlled Current Source (G) 9
R1 = Transconductance (GT)
Current-Controlled Current Source (F) 12
R1 = Current Gain (AI)
Voltage-Controlled Voltage Source (E) 10
R1 = Voltage Gain (AV)
Current-Controlled Voltage Source (H) 11
R1 = Transresistance (RT)
Stranded Coil Current Source (N) 5
R1 = Factor (SCAL)
2-D Massive Conductor Voltage Source (M) 6
R1 = Factor (SCAL)
3-D Massive Conductor Voltage Source (P) 7
R1 = Factor (SCAL)

Note

For all of the circuit options shown in Table 15.1: "Circuit Components Which the CIRCU124 Element Can Model" and in Figure 15.1: "Circuit Components Available in the CIRCU124 Element" below, the following real constants are created automatically by the ANSYS Circuit Builder: R15 (graphical offset, GOFFST) and R16 (element identification number (ID). See Using the Circuit Builder for a discussion of the Circuit Builder.

Figure 15.1: "Circuit Components Available in the CIRCU124 Element" below shows you the different circuit components created by different KEYOPT(1) settings. Nodes shown next to the component symbol are "floating" nodes (they are not attached to the circuit directly).

Figure 15.1 Circuit Components Available in the CIRCU124 Element

15.1.2. Load Types for CIRCU124

The KEYOPT(2) setting for CIRCU124 lets you specify the type of excitation for the Independent Current Source and Independent Voltage Source options. You can specify a sinusoid, pulse, exponential, or a piece-wise linear excitation for current or voltage. See Load Functions and Corresponding Real Constants for Independent Current and Voltage Sources in the Elements Reference for diagrams of the load functions and the corresponding real constants.

15.1.3. Coupling the FEA Domain to the Circuit Domain

Three circuit components are available to couple the FEA domain to the circuit domain. These components, shown in Figure 15.2: "Coupled Circuit Components", hook directly into conductors in the finite element model. (Direct coupling occurs in matrix form, and thus is linear.)

Figure 15.2 Coupled Circuit Components

No eddy currents can exist in the stranded coil connection. The Magnetic Vector Potential (MVP) and current determine the coil voltage. Expressed as equations, the connection is:

In the equations above, Rc is the coil resistance, nc is the number of coil turns, and Sc is the coil cross-section area.

The massive conductor connections take skin effects into account. In these conductors, the MVP and voltage determine the total current. Expressed as equations, the connection is:

In the two equations above, Lc is the conductor length and ΔV is the voltage drop.

The ANSYS program achieves coupling via two additional degrees of freedom to circuit component and FEA conductor elements. The characteristics of these DOFs are as follows:

  • CURR - The current flowing through the circuit and the modeled conductor

  • EMF - The voltage drop across the modeled conductor (2-D stranded, 2-D massive, and 3-D stranded conductors)

  • VOLT - The electric potential in a 3-D massive conductor

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 15. Electric Circuit Analysis 		Up / Home Next
15.2. Using the CIRCU125 Element


15.2. Using the CIRCU125 Element

You can use the CIRCU125 element to model common and Zener diodes. When using this element, keep in mind the following:

  • At any diode state, the piece-wise linear characterization of the diode I-U curve corresponds to a Norton equivalent circuit with a dynamic resistance (i.e. inverse of the slope at the operating point) and a current generator (where the tangent of the I-U curve intersects the I-axis).

  • The element voltage drop, current, and Joule loss computed data provided in the element miscellaneous records may be loaded with some cancellation error if the voltage drop is much smaller than the nominal voltage level typical for the diode (especially ideal) open state.

    To obtain more accurate results, obtain the element current by retrieving the reaction force on the element and recalculating the voltage according to the diode status and I-U curve.

  • The diode's power and status can be plotted in POST26.

  • Auto time stepping follows standard ANSYS auto time stepping behavior when AUTOTS is turned ON. The time stepping is estimated according to the eigenvalues of the dynamic system. The element issues a signal to decrease step size when a state change is anticipated, similar to the gap closing of a contact element.

  • CIRCU125 elements are highly nonlinear. To obtain convergence, you may have to define convergence criteria, instead of using the default values. Use CNVTOL,VOLT,,0.001,2,1.0E-6 if you need to change the convergence criteria.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.1. Using the CIRCU124 Element 		Up / Home Next
15.3. Using the Circuit Builder


15.3. Using the Circuit Builder

For all circuit analyses, you first need to build a circuit model using the CIRCU124, CIRCU125, TRANS126, COMBIN14, COMBIN39, and MASS21 elements. The preferred method for building the circuit is to use the Circuit Builder, an interactive builder available in the ANSYS graphical user interface (GUI). The Circuit Builder performs the tasks listed below:

  • Enables you to select circuit components and place them at the desired location in the circuit with the help of a mouse

  • Creates a model of the circuit interactively

  • Assigns "real" constants to circuit components and allows you to edit them

  • Assigns excitation to independent sources

  • Verifies excitation graphically

  • Provides an interactive connection to the FEA domain

  • Lets you specify source loads for voltage and current source components.

The Circuit Builder establishes the element types, real constants, and node and element definitions. It sets up multiple element types, one for each circuit element. As with any other GUI feature, the Circuit Builder writes to the log file all the commands used to create the circuit elements.

The GUI offers a special “wire element” option. This option is provided as a convenience tool to connect regions of an electrical circuit with a “wire.” The wire represents a short circuit (infinite conductivity) between the two connection points. A MESH200 element is created for visualization purposes only. The end nodes of the wire are coupled together (using the CP command) to represent the short circuit. If two or more wire elements are connected together, the nodes of these wire elements are all coupled together in one node coupling set with the VOLT degree of freedom. Deleting any one of these wire elements will force an automatic deletion of all the connected wire elements, the node coupling set, and any node that is not attached to a non-wire element.

15.3.1. Building a Circuit

To build a circuit, activate the ANSYS GUI and use the procedure described below. These additional tips also may help you:

  • To set an initial focus and distance in the GUI consistent with the circuit icon size, issue the Circuit Builder's "Center WP" option. To do so, choose Main Menu> Preprocessor> Modeling> Create> Circuit> Center WP. When the “Center WP” option is issued, the WP Settings dialog box will appear as a convenience for turning the working plane grid on or off, adjusting the snap increments, etc.

  • To scale the circuit icons or change the width of the circuit lines, issue the Circuit Builder's “Scale Icon” option. To do so, choose Main Menu> Preprocessor> Modeling> Create> Circuit> Scale Icon.

  • Consider displaying two windows: one for the circuit and the other for your model.

  • Remember to ground the circuit at one node. To do so, either choose Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Boundary> Voltage> On Nodes or issue the D command with the VOLT label.

  1. Choose menu path Main Menu> Preferences. The Preferences dialog box appears.

  2. Choose "Electromagnetic" if you are planning to do a circuit-coupled electromagnetic analysis. Choose "Electric" if you are just running a circuit analysis.

  3. Choose Utility Menu> File> Change Jobname. In the dialog box that appears, specify a jobname for your analysis and click on OK.

  4. Choose Utility Menu> File> Change Title. In the dialog box that appears, specify a title for your analysis and click on OK.

  5. Choose Main Menu> Preprocessor> Modeling> Create> Circuit> Builder.

  6. If you need to locate the circuit away from an existing finite element model (for instance, if you are doing a coupled electromagnetic-circuit analysis), use the WorkPlane option on the Utility Menu to move the working plane origin to the location where you want to start the circuit. (Otherwise, skip this step.) The location of the circuit can be arbitrary and does not affect the analysis results. For convenience, you can center the working plane origin in the Graphics Window by choosing Main Menu> Preprocessor> Modeling> Create> Circuit> Center WP.

  7. Choose the circuit component you want from the Circuit Menu and follow the prompts shown in the ANSYS Input Window. Most choices display the "picker" you use to locate the I and J nodes of the element and then position the circuit component by picking an offset location from the I-J line. The length of each circuit element, and the element's location relative to other circuit elements, can be arbitrary and does not affect analysis results. Once you have picked all necessary locations, a dialog box appears requesting an ID number (element number) and real constants to identify the component. If the icon size is too small, or the circuit lines to thin, you can make adjustments by choosing Main Menu> Preprocessor> Modeling> Create> Circuit> Scale Icon.

  8. After building the circuit, verify it and modify the data if necessary. The Plot> Src Waveform menu choice allows you to plot and verify the wave form of any input loads. Another menu choice, Edit Real Cnst, allows you to check and modify the real constants of any circuit component. To delete specific circuit components, choose Main Menu> Preprocessor> Modeling> Delete> option.

The Circuit Builder is the most convenient way to construct a circuit. However, you can also build a circuit by individually defining each node, element type, element, and real constant.

Once you have built the circuit, you are ready to perform a static, harmonic, or transient analysis (the source determines the type of analysis).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.2. Using the CIRCU125 Element 		Up / Home Next
15.4. Avoiding Inconsistent Circuits


15.4. Avoiding Inconsistent Circuits

You should avoid building electric circuits that are inconsistent. The following section illustrates inconsistent circuits.

15.4.1. DC and Harmonic Analyses

15.4.1.1. Voltage Generators Should Not Form a Loop

In Figure 15.3: "Voltage Generators Forming a Loop" monitoring Kirchhoff's loop equation on the lower loop, what is the voltage between node 1 and 2? If V1 and V2 are not equal, the voltage forces are inconsistent. Note in that figure that voltage generators form a loop . Even if V1 and V2 were consistent, numerical solution difficulties would occur.

Figure 15.3 Voltage Generators Forming a Loop

The circuit in Figure 15.4: "Voltage Generators in Parallel With Resistors" is more complicated than that shown in Figure 15.3: "Voltage Generators Forming a Loop", yet the main topological inconsistency is still present. The voltage generators form a loop.

Figure 15.4 Voltage Generators in Parallel With Resistors

Figure 15.5: "Voltage Generators in Parallel With Other Circuit Components" is even more complex. But you can easily identify the inconsistent loop of voltage generators.

Figure 15.5 Voltage Generators in Parallel With Other Circuit Components

15.4.1.2. Current Generators Should Not Form a Cut

In Figure 15.6: "Current Generators in Parallel", monitoring Kirchhoff's nodal equation of node 1, what is the balance? If I1 ≠ I2, then the balance is not zero, the current forces are inconsistent. Even if I1 = I2 numerical solution difficulties would occur.

Figure 15.6 Current Generators in Parallel

The circuit in Figure 15.7: "Circuit Generators and a Supernode" is more complex. Here, the current generators have no common node. Kirchhoff's nodal law is violated on a "super-node" in that figure. The "super-node" is called a cut. Current generators cannot form cuts; that is, there should be no super-node such that only current generators are entering it.

Figure 15.7 Circuit Generators and a Supernode

15.4.2. Transient Analyses

15.4.2.1. Capacitors and Voltage Operators Should Not Form a Loop

In a transient analysis, at t = 0, a capacitor can be represented by a voltage generator having the same voltage as the initial voltage of the capacitor. See Figure 15.8: "Voltage Generator and Capacitor Equivalence".

Figure 15.8 Voltage Generator and Capacitor Equivalence

In Figure 15.9: "Velocity Generators Forming a Loop", right after closure of the switch, the initial current distribution can be computed by the equivalent circuit shown on the right-hand side. This is an inconsistent circuit (producing infinite current) because the voltage generators form a loop. Thus, the DC/harmonic rule that voltage generators should not form a loop should be applied such that the capacitors are considered as voltage generators.

Figure 15.9 Velocity Generators Forming a Loop

15.4.3. Inductors and Current Generators Should Not Form a Cut

In a transient analysis, at t = 0, an inductor can be represented by a current generator having the same current as the initial current of the inductor. See Figure 15.10: "Current Generator and Inductor Equivalence".

Figure 15.10 Current Generator and Inductor Equivalence

In Figure 15.11: "Current Generators Forming a Cut", right after the closure of the switch, the initial voltage distribution can be computed by the equivalent circuit shown on the right-hand side. This is an inconsistent circuit (producing infinite voltage) because the current generators form a cut. Thus, the DC/harmonic rule that the current generators should not form a cut should be applied such that the inductors are considered as current generators.

Figure 15.11 Current Generators Forming a Cut

These circuits are contradictory, and they do not have physical meanings. Therefore, the ANSYS program cannot detect them.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.3. Using the Circuit Builder 		Up / Home Next
15.5. Static (DC) Electric Circuit Analysis


15.5. Static (DC) Electric Circuit Analysis

In a static (DC) electric circuit analysis, you determine the voltage and current distribution in an electric circuit that is subjected to applied DC source voltages or currents. Static circuit analyses allow all circuit components.

15.5.1. Building a Circuit for Static Analysis

In a static analysis, the ANSYS program treats capacitors as open circuits and inductors as short circuits. To represent a short circuit condition, couple the two nodes of the inductor in the VOLT degree of freedom, using one of the following:

Command(s): | CP
GUI: | Main Menu> Preprocessor> Coupling/Ceqn> Couple DOFs

Once you have built the circuit, you apply loads and obtain the solution, then view the results.

15.5.2. Applying Loads and Solving the Static Analysis

You need to define the analysis type and options, apply loads, and initiate the finite element solution. To accomplish these tasks, follow the steps listed below.

15.5.2.1. Enter the SOLUTION Processor

To enter the SOLUTION processor, use either of the following:

Command(s): | /SOLU
GUI: | Main Menu> Solution

15.5.2.2. Define the Analysis Type

To specify the analysis type, do either of the following:

  • In the GUI, choose menu path Main Menu> Solution> Analysis Type> New Analysis and choose a Static analysis.

  • If this is a new analysis, issue the command ANTYPE,STATIC,NEW.

Restarting an analysis usually is required only for continuing a transient circuit analysis.

15.5.2.3. Apply Loads on the Model

Normally, you specify source loads for circuits in the Circuit Builder, as element real constants. Besides the source loads, the only other "load" is a VOLT = 0 specification at the ground nodes. To specify VOLT = 0, use either of the following:

Command(s): | D
GUI: | Main Menu> Solution> Define Loads> Apply> Electric> Boundary> Voltage> On Nodes

Should you need to modify the source loads, use one of the following:

Command(s): | R, RMODIF
GUI: | Main Menu> Solution> Load Step Opts> Other> Real Constants> Add/Edit/Delete The RMODIF command has no GUI equivalent.

15.5.2.4. Copy the Database

Use either the SAVE command or the SAVE_DB button on the Toolbar to save a backup copy of the ANSYS database.

15.5.2.5. Start the Solution

To start calculating the solution, use one of the following:

Command(s): | SOLVE
GUI: | Main Menu> Solution> Solve> Current LS

15.5.2.6. Apply Additional Loads

If you want to apply additional loads, repeat steps 3 and 4.

15.5.2.7. Finish the Solution

To leave the SOLUTION processor, use one of the following:

Command(s): | FINISH
GUI: | Main Menu> Finish

15.5.3. Reviewing Results from a Static Circuit Analysis

The ANSYS program writes results from a static (DC) circuit analysis to the results file, Jobname.RTH. The results are two types of primary data: nodal voltages (VOLT) and nodal currents (CURR). The following derived data calculated for each element also are available:

  • Element voltage drop (VOLTAGE)

  • Element current (CURRENT)

  • Element control voltage (CONTROL VOLT)

  • Element control current (CONTROL CURR)

  • Element power (POWER)

  • Element applied load (SOURCE)

For more information about the derived results, see the Elements Reference.

You can review analysis results in POST1, the general postprocessor, by choosing either of the following:

Command(s): | /POST1
GUI: | Main Menu> General Postproc

To review results in POST1, the ANSYS database must contain the same model for which the solution was calculated. Also, the results file (Jobname.RTH) must be available.

To read the data from the results file into the database, use either of the following:

Command(s): | SET
GUI: | Utility Menu> List> Results> Load Step Summary

Once the database contains the desired set of results, use one of the following to list the primary nodal data (voltages and currents):

Command(s): | PRNSOL
GUI: | Main Menu> General Postproc> List Results> Nodal Solution

To list the derived element results, use one of the following:

Command(s): | PRESOL
GUI: | Main Menu> General Postproc> List Results> Element Solution

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.4. Avoiding Inconsistent Circuits 		Up / Home Next
15.6. Harmonic (AC) Electric Circuit Analysis


15.6. Harmonic (AC) Electric Circuit Analysis

In a harmonic (AC) electric circuit analysis, you determine the voltage and current distribution in an electric circuit that is subjected to applied AC source voltages or currents. Harmonic circuit analyses allow all circuit components.

15.6.1. Building a Circuit for Harmonic Analysis

To do this, you simply follow the procedure described in Building a Circuit.

15.6.2. Applying Loads and Solving the Analysis

You need to define the analysis type and options, apply loads, and initiate the finite element solution. To accomplish these tasks, follow the steps listed below.

15.6.2.1. Enter the SOLUTION Processor

To enter the SOLUTION processor, use either of the following:

Command(s): | /SOLU
GUI: | Main Menu> Solution

15.6.2.2. Define the Analysis Type

To specify the analysis type, do either of the following:

  • In the GUI, choose menu path Main Menu> Solution> Analysis Type> New Analysis and choose a Harmonic analysis.

  • If this is a new analysis, issue the command ANTYPE,HARMIC,NEW.

15.6.2.3. Specify an Equation Solver

To specify the equation solver to use, use either of the following:

Command(s): | EQSLV
GUI: | Main Menu> Preprocessor> Loads> Analysis Type> Analysis Options

Only the frontal (default) and sparse solvers are available for problems using the CIRCU124 element.

15.6.2.4. Specify a Solution Listing Format

You need to specify how the harmonic voltage and current are listed in the printed output, Jobname.OUT. You can choose either real and imaginary parts (default) or amplitudes and phase angles.

To specify the listing format, use one of the following:

Command(s): | HROUT
GUI: | Main Menu> Solution> Analysis Type> Analysis Options

15.6.2.5. Apply Loads on the Model

Normally, you specify source loads for circuits in the Circuit Builder, as element real constants. Besides the source loads, the only other "load" is a VOLT = 0 specification at the ground nodes. To specify VOLT = 0, use either of the following:

Command(s): | D
GUI: | Main Menu> Solution> Define Loads> Apply> Potential> On Nodes

Should you need to modify the source loads, use one of the following:

Command(s): | R, RMODIF
GUI: | Main Menu> Solution> Load Step Opts> Other> Real Constants> Add/Edit/Delete

The RMODIF command has no GUI equivalent.

15.6.2.6. Specify Load Step Options

You can specify one dynamics option, the operating frequency (in Hz) of the harmonic loads. To specify the frequency, use either method shown below:

Command(s): | HARFRQ
GUI: | Main Menu> Solution> Load Step Opts> Time/Frequenc> Freq and Substps

The only general option you can specify is the number of harmonic solutions. You can requests any number of solutions to be calculated, and those solutions (or substeps) will be spaced evenly within the specified operating frequency. For example, if you specify 10 solutions in the range 50 to 60 Hz, the ANSYS program will calculate the response at 51, 52, 53, ..., 59, and 60 Hz. ANSYS calculates no response at the lower end of the frequency range.

To specify the number of harmonic solutions, use either of the following:

Command(s): | NSUBST
GUI: | Main Menu> Solution> Load Step Opts> Time/Frequenc> Freq and Substps

15.6.2.7. Copy the Database

Use either the SAVE command or the SAVE_DB button on the Toolbar to save a backup copy of the ANSYS database.

15.6.2.8. Start the Solution

To start calculating the solution, use one of the following:

Command(s): | SOLVE
GUI: | Main Menu> Solution> Solve> Current LS

15.6.2.9. Apply Additional Loads

If you want to apply additional loads, repeat steps 4 through 6.

15.6.2.10. Finish the Solution

To leave the SOLUTION processor, use one of the following:

Command(s): | FINISH
GUI: | Main Menu> Finish

15.6.3. Reviewing Results from a Harmonic Circuit Analysis

The ANSYS program writes results from a harmonic circuit analysis to the results file, Jobname.RTH. The results are out-of-phase with the input source loads (that is, they lag the input source loads), so they are complex in nature. The results are calculated and stored in terms of real and imaginary components, and consist of two types of primary data: nodal voltages (VOLT) and nodal currents (CURR).

The derived data for a harmonic circuit analysis are the same as for a static circuit analysis, and you use the same procedures to review results. However, for harmonic analyses, you can also store results per element in the element table and list them using one of the following:

Command(s): | PRETAB
GUI: | Main Menu> General Postproc> List Results> Elem Table Data

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.5. Static (DC) Electric Circuit Analysis 		Up / Home Next
15.7. Transient Electric Circuit Analysis


15.7. Transient Electric Circuit Analysis

A transient electric circuit analysis analyzes an electric circuit subjected to time-varying source voltage or currents. The analysis determines the voltage and current distribution in an electric circuit as a function of time. Transient circuit analyses allow all circuit components.

15.7.1. Building a Circuit for Transient Analysis

To do this, you simply follow the procedure described in Building a Circuit. You will need to specify the following loads in the Circuit Builder as real constants:

  • Source loads for independent current and voltage sources.

  • Initial conditions, such as the initial current in inductors and the initial charge in capacitors.

  • Wave form loads, which can be sinusoidal, pulse, exponential, or piece-wise linear. (For details, see the CIRCU124 element description in the Elements Reference.)

One you have built the circuit, you apply loads to and solve the model and then review the results. Other points to remember when doing a transient circuit analysis are:

  • Circuits in a transient analysis do not use an automatic time-stepping feature. However, you can use invoking automatic time-stepping to ramp the time step. (Doing this increase the time step by 3X each time point until the maximum time step is reached.)

  • During a transient solution, you can change real constants. Although this is accurate only when used together with the ANSYS restart procedure, it is useful for simulating a switch with a resistor.

  • For processing transient results, the ANSYS GUI has a special section for circuit elements. This enables you to process nodal voltages and currents and element-specific results.

15.7.2. Applying Loads and Solving the Static Analysis

You need to define the analysis type and options, apply loads, and initiate the finite element solution. To accomplish these tasks, follow the steps listed below.

15.7.2.1. Enter the SOLUTION Processor

To enter the SOLUTION processor, use either of the following:

Command(s): | SOLU
GUI: | Main Menu> Solution

15.7.2.2. Define the Analysis Type

To specify the analysis type, do either of the following:

  • In the GUI, choose menu path Main Menu> Solution> Analysis Type> New Analysis and choose a Transient analysis.

  • If this is a new analysis, issue the command ANTYPE,TRANSIENT,NEW.

You can restart (continue) a transient analysis from a previously completed transient run, and you can modify circuit component real constants. However, the Jobname.EMAT, Jobname.ESAV, and Jobname.DB files must be available to restart an analysis.

15.7.2.3. Choose an Equation Solver

To choose an equation solver, use either of the following:

Command(s): | EQSLV
GUI: | Main Menu> Preprocessor> Loads> Analysis Type> Analysis Options

Only the frontal or sparse solvers are available for problems using the CIRCU124 element. Even if you choose a different solver, ANSYS uses the frontal or sparse solver (depending on the physics of your problem) when CIRCU124 elements are present.

15.7.2.4. Apply Loads on the Model

Normally, you specify source loads for circuits in the Circuit Builder, as element real constants. Besides the source loads, the only other "load" is a VOLT = 0 specification at the ground nodes. To specify VOLT = 0, use either of the following:

Command(s): | D
GUI: | Main Menu> Solution> Define Loads> Apply> Potential> On Nodes

Should you need to modify the source loads, use one of the following:

Command(s): | R, RMODIF
GUI: | Main Menu> Solution> Load Step Opts> Other> Real Constants> Add/Edit/Delete The RMODIF command has no GUI equivalent.

15.7.2.5. Specify Load Step Options

To include transient effects in the analysis, you must turn time integration effects on or else a static solution will be performed. By default, time integration effects are on in a transient analysis, but you can turn them off to obtain a static solution.

To turn time integration effects on, use one of the following:

Command(s): | TIMINT
GUI: | Main Menu> Solution> Load Step Opts> Time/Frequenc> Time Integration

15.7.2.5.1. General Options

You can specify three general options: time, the integration time step, and automatic time stepping.

To specify the time at the end of a load step, use one of the following:

Command(s): | TIME
GUI: | Main Menu> Solution> Load Step Opts> Time/Frequenc> Time and Substps Main Menu> Solution> Load Step Opts> Time/Frequenc> Time - Time Step

The integration time step is the time increment used in the time integration scheme. The time step size determines the accuracy of the solution: the smaller the value, the higher the accuracy. To specify time step size, use either of the following:

Command(s): | DELTIM
GUI: | Main Menu> Solution> Load Step Opts> Time/Frequenc> Time - Time Step

Use the DTIME field to specify initial time step size, the DTMIN field to specify minimum time step size, and DTMAX to specify maximum time step size.

Although in circuit analysis you cannot use automatic time stepping to increase or decrease the time step size automatically, you can use it to increase from an initial time step size to a final time step size. A factor of 3 is applied each time step to the time increment until the maximum time step size is reached.

To turn automatic time stepping on, use one of the following:

Command(s): | AUTOTS
GUI: | Main Menu> Solution> Load Step Opts> Time/Frequenc> Time and Substps Main Menu> Solution> Load Step Opts> Time/Frequenc> Time -Time Step

In cases where sharp changes exist in the source load wave form, you should break a transient analysis into several load steps. At the time when these sharp transitions take place, specify a new load step and re-specify the time step options if necessary to get a small initial time step at the transition point.

15.7.2.5.2. Output Controls

You can include any results data in the printed output file (Jobname.OUT). To use this option, choose either of the following:

Command(s): | OUTPR
GUI: | Main Menu> Solution> Load Step Opts> Output Ctrls> Solu Printout

By default, the printed output consists of just summary messages.

To control what data goes to the results file (Jobname.RTH), choose either of the following:

Command(s): | OUTRES
GUI: | Main Menu> Solution> Load Step Opts> Output Ctrls> DB/Results File

Note

By default, the ANSYS program writes only the last substep of each load step to the results file. If you want all substeps included on the results file, set the FREQ field to ALL or 1.

15.7.2.6. Create Load Step Files

You must write the each load step to a load step file. Repeat the loading, load step options, and load step file writing operations until all load steps have been specified.

To write a load step file, use one of the following:

Command(s): | LSWRITE
GUI: | Main Menu> Solution> Load Step Opts> Write LS File

15.7.2.7. Copy the Database

Use either the SAVE command or the SAVE_DB button on the Toolbar to save a backup copy of the ANSYS database.

15.7.2.8. Start the Solution

To start calculating the solution, use one of the following:

Command(s): | LSSOLVE
GUI: | Main Menu> Solution> Solve> From LS Files

15.7.2.9. Finish the Solution

To leave the SOLUTION processor, use one of the following:

Command(s): | FINISH
GUI: | Main Menu> Finish

15.7.3. Reviewing Results from a Transient Circuit Analysis

The ANSYS program writes results from a transient circuit analysis to the results file, Jobname.RTH. The results consist of two types of primary data: nodal voltages (VOLT) and nodal currents (CURR). The following derived data calculated for each element also are available:

  • Element voltage drop (VOLTAGE)

  • Element current (CURRENT)

  • Element control voltage (CONTROL VOLT)

  • Element control current (CONTROL CURR)

  • Element power (POWER)

  • Element applied load (SOURCE)

For more information about the derived results, see the Elements Reference.

You can review analysis results in either POST1, the general postprocessor, or POST26, the time-history postprocessor. POST1 allows you to review results over the entire model at specific time points. POST26 allows you to review results at specific points in the model over the entire transient.

15.7.3.1. Using POST26

To use the time-history postprocessor, use either of the following:

Command(s): | /POST26
GUI: | Main Menu> TimeHist Postpro

To review results in POST26, the ANSYS database must contain the same model for which the solution was calculated. Also, the results file (Jobname.RTH) must be available.

To read the data from the results file into the database, use either of the following:

Command(s): | SET
GUI: | Utility Menu> List> Results> Load Step Summary

POST26 works with tables of result items, known as variables, versus time. Each variable is assigned a reference number, with variable number 1 reserved for time. The first thing you do, then, is define the variables using the commands or menu paths shown below.

To define variables for primary data:

Command(s): | NSOL
GUI: | Main Menu> TimeHist Postpro> Elec&Mag> Circuit> Define Variables

To define variables for element data:

Command(s): | ESOL
GUI: | Main Menu> TimeHist Postpro> Elec&Mag> Circuit> Define Variables

To define variables for reaction data:

Command(s): | RFORCE
GUI: | Main Menu> TimeHist Postpro> Elec&Mag> Circuit> Define Variables

Once you have defined the variables, you can graph them versus time or any other variable. To do so, use either of the following:

Command(s): | PLVAR
GUI: | Main Menu> TimeHist Postpro> Graph Variables

To list just the extreme variable values, use either of the following:

Command(s): | EXTREM
GUI: | Main Menu> TimeHist Postpro> List Extremes

By reviewing the time-history results at strategic points throughout the model, you can identify the critical time points for further postprocessing in POST1.

15.7.3.2. Using POST1

To review results in POST1, the ANSYS database must contain the same model for which the solution was calculated. Also, the results file (Jobname.RTH) must be available.

The first step in using POST1 is to read in results at the desired time point. To do so, use the TIME field on the SET command or its equivalent menu path, Utility Menu> List> Results> Load Step Summary. If you specify a time value for which no results are available, ANSYS does linear interpolation to calculate the results at that time. ANSYS uses the last time point if the time specified is beyond the time span of the transient. (You can also identify the results to be read by their load step and substep numbers.)

Once the database contains the desired set of results, use one of the following to list the primary nodal data (voltages and currents):

Command(s): | PRNSOL
GUI: | Main Menu> General Postproc> List Results> Nodal Solution

To list the derived element results, use one of the following:

Command(s): | PRESOL
GUI: | Main Menu> General Postproc> List Results> Element Solution

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.6. Harmonic (AC) Electric Circuit Analysis 		Up / Home Next
15.8. Doing an Example Harmonic Circuit Analysis (Command Method)


15.8. Doing an Example Harmonic Circuit Analysis (Command Method)

A circuit consists of two resistors, and inductor, an independent voltage source, an independent current source, and a current-controlled current source. Determine the voltage at node 4 in the circuit (Refer to the figure below).

You can perform the example AC (harmonic) circuit analysis using the ANSYS commands shown below instead of GUI choices. Items prefaced with an exclamation point (!) are comments.

/BATCH,LIST
/PREP7
/TITLE, AC CIRCUIT ANALYSIS
/COM,   SEE SCHAUMS OUTLINE "BASIC CIRCUIT ANALYSIS", 2ND ED, 1992,
/NOPR
ET,1,CIRCU124,4    ! VOLTAGE SOURCE
ET,2,CIRCU124,3    ! CURRENT SOURCE
ET,3,CIRCU124,0    ! RESISTOR
ET,4,CIRCU124,1    ! INDUCTOR
ET,5,CIRCU124,12   ! CURRENT CONTROLLED CURRENT SOURCE
R,1,15,30          ! VOLTAGE SOURCE
R,2,5,-45          ! CURRENT SOURCE
R,3,3              ! R1
R,4,2              ! R2
R,5,4              ! L1
R,6,-3              ! CCCS GAIN
N,1
NGEN,10,1,1,1,1
TYPE,1
REAL,1
E,2,1,7            ! V1
TYPE,3
REAL,3
E,2,3              ! R1
TYPE,4
REAL,5
E,3,1              ! L1
TYPE,3
REAL,4
E,3,4              ! R2
TYPE,5
REAL,6
E,3,4,5,2,1,7      ! CCCS
TYPE,2
REAL,2
E,1,4              ! C1
FINISH
/SOLU
ANTYP,HARM
D,1,VOLT,0
PI=4*ATAN(1)
HARFRQ,1/(2*PI)
OUTPR,ALL,ALL
HROUT,OFF
SOLVE
FINISH
/POST1
SET,1,1                 ! READ IN REAL SOLUTION
PRESOL,ELEM             ! PRINT CIRCUIT SOLUTION PER ELEMENT
SET,1,1,,1              ! READ IN IMAGINARY SOLUTION
PRESOL,ELEM             ! PRINT CIRCUIT SOLUTION PER ELEMENT
FINISH

Target Solution, Node 4: V = 14.44 -j 1.41

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.7. Transient Electric Circuit Analysis 		Up / Home Next
15.9. A Sample Diode Circuit (Command Method)


15.9. A Sample Diode Circuit (Command Method)

The following input listing is for a half wave rectifier circuit using an ideal diode. The circuit is shown in Figure 15.12: "Half Wave Rectifier Circuit".

Figure 15.12 Half Wave Rectifier Circuit

/BATCH
/TITLE, SIMPLE HALF WAVE RECTIFIER WITH IDEAL DIODE
/NOPR

/COM	Vs = 135*SIN(2*PI*T) VOLTS

/OUT,SCRATCH
PI = 4*ATAN(1)
/PREP7
R,1,,135,1,			!SET UP SINUSOIDAL VOLTAGE SOURCE
N,1,-0.85,0.4,0
N,2,-0.85,0.25,0
RMOD,1,15,0,1
ET,1,CIRCU124,4,1
TYPE,1
REAL,1
MAT,1
!*
N,3,-0.85,0.325,0
E,1,2,3   				!CREATE IND. SINUSOIDAL VOLT SOURCE
R,2,2500,   			!SET UP 2500 OHM RESISTOR
N,4,-0.75,0.4,0
N,5,-0.75,0.25,0
RMOD,2,15,0,2
ET,2,CIRCU124,0,0
TYPE,2
REAL,2
MAT,1
E,4,5   				!CREATE 2500 OHM RESISTOR
!
! THE FOLLOWING COMMANDS ARE USED TO SET UP THE IDEAL DIODE
!
ET,3,125,
R,3
TYPE,3
REAL,3
E,1,4
!
! APPLY GROUND TO CIRCUIT
!
D,2,VOLT,0
D,5,VOLT,0
ALLS
EPLOT
FINISH
!
! SOLVE NONLINEAR CIRCUIT WITH T = 0 TO 1.5
!
/SOLU
ANTYPE,TRANS						! TRANSIENT ANALYSIS
OUTRES,ALL,ALL,
TIME,1.5
AUTOTS,1  							! AUTO TIME STEPPING
DELTIM,0.01,0.01,0.04 		! 0.01 < TIME STEPPING < 0.04
CNVTOL,VOLT						! CONVERGENCE CRITERIA
SOLVE
FINISH

/POST26
NSOL,2,4,VOLT,,
/OUT
PRVAR,2,
/AXLAB,Y,OUTPUT POTENTIAL (VOLT)
PLVAR,2,							! PLOT THE OUTPUT VOLT

The output voltage is shown in Figure 15.13: "Half Wave Rectifier Output".

Figure 15.13 Half Wave Rectifier Output

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.8. Doing an Example Harmonic Circuit Analysis (Command Method) 		Up / Home Next
15.10. Where to Find Other Examples


15.10. Where to Find Other Examples

The Verification Manual consists of test case analyses demonstrating the analysis capabilities of the ANSYS family of products. While these test cases demonstrate solutions to realistic analysis problems, the Verification Manual does not present them as step-by-step examples with lengthy data input instructions and printouts. However, most ANSYS users who have at least limited finite element experience should be able to fill in the missing details by reviewing each test case's finite element model and input data with accompanying comments.

The following list shows you some of the test cases that the Verification Manual includes:

VM117 - Electric Current Flowing in a Network
VM207 - Stranded Coil Excited by External Circuit

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.9. A Sample Diode Circuit (Command Method) 		Up / Home Next
Chapter 16. Alternative Analysis Options and Solution Methods


Chapter 16. Alternative Analysis Options and Solution Methods

This chapter describes the loading options and alternative solution methods available in the ANSYS program for electromagnetic, electric field, electrostatic field, and electric current analysis. For all of these analysis types, you can apply, delete, list, or operate on boundary conditions and loads using ANSYS commands instead of GUI menu paths; this chapter tells you which commands to issue. This chapter also explains the load step options available for each type of analysis. Load step options are options controlling how loads are applied; they include the following:

  • Time and time stepping

  • The number of substeps

  • Stepping or ramping of loads

  • Convergence tolerances (for nonlinear analyses)

  • Output controls.

In addition, for 2-D and 3-D static magnetic analyses (scalar, edge or vector potential), you have an alternative solution option. That is, you can step manually through the solution sequence instead of solving the analysis automatically (via either the MAGSOLV command or Main Menu> Solution> Solve> Electromagnet> Static Analysis> Opt and Solv). This chapter describes the menu paths or commands required for the alternative solution method.

Information in this chapter is organized by analysis type. For example, information on all loading and solution options for 2-D static magnetic analysis appears first, followed by information on all loading and solution options for 3-D scalar magnetic analyses, and so on.

The following alternatives are discussed:

  • Loading Options for 2-D Static Magnetic Analysis
  • Using the Alternative Solution Option for 2-D Static Magnetic Analysis
  • Loading Options for 2-D or 3-D Harmonic Magnetic Analysis (MVP Method)
  • Load Step Options for 2-D or 3-D Harmonic Magnetic Analysis (MVP Method)
  • Loading Options for 2-D or 3-D Transient Magnetic Analysis (MVP Method)
  • Load Step Options for Nodal-Based Transient Magnetic Analysis (MVP Method)
  • Loading Options for 3-D Static Magnetic Analysis (Scalar Method)
  • Using the RSP Method for 3-D Static Scalar Magnetic Analysis
  • Using the DSP Method for 3-D Static Scalar Magnetic Analysis
  • Using the GSP Method for 3-D Static Scalar Magnetic Analysis
  • Loading Options for 3-D Static Magnetic Analysis (MVP Method)
  • The Alternative Solution Option for 3-D Static Magnetic Analysis (MVP Method)
  • Loading Options for an Electric Field (Current Conduction) Analysis
  • Load Step Options for an Electric Field (Current Conduction) Analysis
  • Loading Options for an Electrostatic Field Analysis
  • Load Step Options for Electrostatic Field Analysis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.10. Where to Find Other Examples 		Up / Home Next
16.1. Loading Options for 2-D Static Magnetic Analysis


16.1. Loading Options for 2-D Static Magnetic Analysis

To apply, delete, list, transfer, or scale loads on a 2-D static magnetic analysis, use the commands shown below. For details about these commands or their corresponding menu paths, see the Commands Reference.

Note

For this type of analysis, constraints are the magnetic vector DOF (AZ), forces are current segments (CSGX), surface loads are Maxwell surface (MXWF) and infinite surface (INF), and body loads are source current density (JS), magnetic virtual displacements (MVDI), and voltage drop (VLTG).

16.1.1. On Keypoints

To perform this task ... | Issue this command ...
Apply constraints | DK
Delete constraints | DKDELE
List constraints | DKLIST
Transfer constraints | DTRAN
Apply forces | FK
Delete forces | FKDELE
List forces | FKLIST
Transfer forces | FTRAN
Apply body loads | BFK
Delete body loads | BFKDELE
List body loads | BFKLIST
Transfer body loads | BFTRAN

16.1.2. On Lines

To perform this task ... | Issue this command ...
Apply constraints | DL
Delete constraints | DLDELE
List constraints | DLLIST
Transfer constraints | DTRAN
Apply surface loads | SFL
Delete surface loads | SFLDELE
List surface loads | SFLLIST
Transfer surface loads | SFTRAN
Apply surface load settings | SFGRAD
Apply body loads | BFL
Delete body loads | BFLDELE
List body loads | BFLLIST

16.1.3. On Areas

To perform this task ... | Issue this command ...
Apply constraints | DA
Delete constraints | DADELE
List constraints | DALIST
Transfer constraints | DTRAN
Apply surface loads | SFA
Delete surface loads | SFADELE
List surface loads | SFALIST
Transfer surface loads | SFTRAN
Apply surface load settings | SFGRAD
Apply body loads | BFA
Delete body loads | BFADELE
List body loads | BFALIST

16.1.4. On Volumes

To perform this task ... | Issue this command ...
Apply body loads | BFV
Delete body loads | BFVDELE
List body loads | BFVLIST

16.1.5. On Nodes

To perform this task ... | Issue this command ...
Apply constraints | D
Delete constraints | DDELE
List constraints | DLIST
Scale constraints | DSCALE
Apply constraint settings | DSYM, DCUM
Apply forces | F
Delete forces | FDELE
List forces | FLIST
Scale forces | FSCALE
Apply force settings | FCUM
Apply surface loads | SF
Delete surface loads | SFDELE
List surface loads | SFLIST
Scale surface loads | SFSCALE
Apply surface load settings | SFCUM, SFGRAD
Apply body loads | BF
Delete body loads | BFDELE
List body loads | BFLIST
Scale body loads | BFSCALE

16.1.6. On Elements

To perform this task ... | Issue this command ...
Apply surface loads | SFE
Delete surface loads | SFEDELE
List surface loads | SFELIST
Scale surface loads | SFSCALE
Apply surface load settings | SFCUM, SFFUN, SFGRAD
Apply body loads | BFE
Delete body loads | BFEDELE
List body loads | BFELIST
Scale body loads | BFESCAL
Apply body load settings | BFECUM

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 16. Alternative Analysis Options and Solution Methods 		Up / Home Next
16.2. Using the Alternative Solution Option for 2-D Static Magnetic Analysis


16.2. Using the Alternative Solution Option for 2-D Static Magnetic Analysis

"2-D Static Magnetic Analysis" of this document describes the quick way to solve a 2-D static magnetic analysis using the MAGSOLV command or its equivalent menu path. This section explains how to step manually through the two-step solution sequence.

16.2.1. Specify Load Step Options for the Initial Solution

You can specify general or nonlinear load step options for a 2-D static magnetic analysis

16.2.1.1. General Options

You use general options mostly in nonlinear static analyses. The options are:

  • The number of substeps or the time step size.

    A nonlinear analysis requires multiple substeps within each load step, so that ANSYS can apply the specified loads gradually and obtain an accurate solution. By default, the program uses one substep per load step.

    To specify substeps or time step size, use either of the following:

    Command(s): NSUBST
    GUI: Main Menu> Solution> Load Step Opts> Time/Frequenc> Time and Substps

  • Stepped or ramped loads.

    If you step-apply loads, ANSYS applies the entire load value at the first substep and holds it constant for the remainder of the load step.

    If you ramp loads (the default), ANSYS increments the load values at each substep. To step or ramp loads, issue the KBC command or use one of the GUI paths shown above for TIME.

16.2.1.2. Nonlinear Options

The only nonlinear load step option for the approximate initial solution is the number of equilibrium iterations.

This option obtains a converged solution at each substep. The default is up to 25 equilibrium iterations per substep. However, a converged solution is not needed at each substep in the approximate solution, so just one equilibrium iteration per substep is recommended.

To specify the number of equilibrium iterations, use one of the following:

Command(s): | NEQIT
GUI: | Main Menu> Solution> Load Step Opts> Nonlinear> Equilibrium Iter

16.2.2. Write Load Data or Start the Solution

You can either write load data for the initial approximate solution to a load step file or solve the load step immediately. To write the data to a load step file, use one of the following:

Command(s): | LSWRITE
GUI: | Main Menu> Solution> Load Step Opts> Write LS File

To solve the load step immediately, use one of the following:

Command(s): | SOLVE
GUI: | Main Menu> Solution> Solve> Current LS

16.2.3. Specify Load Step Options for the Final Solution

You can specify general options, nonlinear options, or output controls for the final solution.

16.2.3.1. General Options

The only general option to specify is the number of substeps. (Use the NSUBST command or its menu path equivalent, as described in Step 2). For the final solution step, issue just one substep.

16.2.3.2. Nonlinear Options

Specify the equilibrium iterations option (described in Step 2). However, for the final solution, specify five to 10 equilibrium iterations over one substep. Other nonlinear load step options you should specify include:

  • Convergence tolerances.

    ANSYS considers a nonlinear solution to be converged whenever specified convergence criteria are met. Convergence checking may be based on magnetic potentials, current segments, or both. You specify a typical value for the desired item (VALUE field) and a tolerance about the typical value (TOLER field). The convergence criterion is then given by VALUE*TOLER. For instance, if you specify 5000 as the typical value of current segment and 0.001 as the tolerance, the convergence criterion for current segment would be 5.0.

    For potentials, ANSYS compares the change in nodal potentials between successive equilibrium iterations (ΔA = Ai - Ai-1) to the convergence criterion. For current segments, ANSYS compares the out-of-balance load vector to the convergence criterion. The out-of-balance vector is the difference between the applied current (segments) and the internal (calculated) current (segments).

    ANSYS enables you to graphically track convergence norms via its Graphical Solution Tracking (GST) feature, available for both interactive and batch runs of the program. For a detailed description of this feature, see Tracking Convergence Graphically and the /GST command description in the Commands Reference.

    To specify convergence tolerances, use either of the following:

    Command(s): CNVTOL
    GUI: Main Menu> Solution> Load Step Opts> Nonlinear> Convergence Crit

  • Terminate an unconverged solution.

    If ANSYS cannot converge the solution within the specified number of equilibrium iterations, ANSYS either stops the solution or moves on to the next load step, depending on what you specify as the stopping criteria. For a 2-D magnetostatic analysis, ANSYS, Inc. recommends convergence based on current segments.

    To specify convergence tolerances, use either of the following:

    Command(s): NCNV
    GUI: Main Menu> Solution> Load Step Opts> Nonlinear> Criteria to Stop

16.2.3.3. Output Controls

The third class of load step options enables you to control output. The options are as follows:

  • Control printed output.

    This option enables you to include any results data in the printed output file (Jobname.OUT). To use this option, choose either of the following:

    To control printed output, use either of the following:

    Command(s): OUTPR
    GUI: Main Menu> Solution> Load Step Opts> Output Ctrls> Solu Printout

  • Control database and results file output

    This option controls what data goes to the results file (Jobname.RMG). To send output to the database and results file, use either of the following:

    Command(s): OUTRES
    GUI: Main Menu> Solution> Load Step Opts> Output Ctrls> DB/Results File

  • Extrapolate results.

    Use this option to review element integration point results by copying them to the nodes instead of extrapolating them. (Extrapolation is the default.)

    To specify convergence tolerances, use either of the following:

    Command(s): ERESX
    GUI: Main Menu> Solution> Load Step Opts> Output Ctrls> Integration Pt

16.2.4. Write Load Data or Start the Solution

To write load data for the final solution to a load step file or to solve the load step immediately, use the procedures described in Step 2.

16.2.5. Initiate the Solution

You need to perform this step only if you do not solve loads steps immediately via the SOLVE command or its menu path equivalent. To initiate the solution for all load steps, use either of the following:

Command(s): | LSSOLVE
GUI: | Main Menu> Solution> Solve> From LS Files

An example command sequence for nonlinear 2-D static magnetic analysis follows:

/solu
nsubst,3				! Three substeps
neqit,1					! One equilibrium iteration
outres,all,none		! Do not save results
solve						! Solve the analysis
nsubst,1				! One substep
neqit,20				! Up to 20 equilibrium iterations
cnvtol,csg,,le-3	! Convergence criteria
outres,all,last		! Save converged solution
solve						! Solve
finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.1. Loading Options for 2-D Static Magnetic Analysis 		Up / Home Next
16.3. Loading Options for 2-D or 3-D Harmonic Magnetic Analysis (MVP Method)


16.3. Loading Options for 2-D or 3-D Harmonic Magnetic Analysis (MVP Method)

For a 2-D harmonic magnetic analysis or a 3-D harmonic nodal-based analysis, you can specify the loads listed below:

  • Constraints - vector potential (AZ) or time-integrated scalar potential (VOLT)

  • Forces - current segment (CSGX) or current (AMPS)

  • Body loads - source current density (JS) or voltage drop (VLTG)

To apply, delete, list, or operate on, these loads or apply load settings, use the commands listed in Loading Options for 2-D Static Magnetic Analysis. The only difference is that you will not use the SF family of commands; they manipulate surface loads, which do not apply in harmonic analysis).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.2. Using the Alternative Solution Option for 2-D Static Magnetic Analysis 		Up / Home Next
16.4. Load Step Options for 2-D or 3-D Harmonic Magnetic Analysis (MVP Method)


16.4. Load Step Options for 2-D or 3-D Harmonic Magnetic Analysis (MVP Method)

You can specify dynamic options, general options, and output controls.

16.4.1. Dynamic Options

The only dynamic option for this type of analysis is the operating frequency range (in Hertz) of the harmonic loads. To specify the frequency range, use one of the following:

Command(s): | HARFRQ
GUI: | Main Menu> Solution> Load Step Opts> Time/Frequenc> Freq and Substps

16.4.2. General Options

You have two general options: the number of harmonic solutions and whether to use stepped or ramped loads.

You can request any number of solutions. ANSYS spaces the solutions (or substeps) even within the specified frequency range. For example, if you specify 10 solutions in the range 50 to 60 Hz, the program calculates the response at 51, 52, 53, ..., 59, and 60 Hz. ANSYS calculates no response at the lower end of the frequency range.

By default, loads are ramped; that is, the load value increases gradually with each substep. By stepping the loads, you can maintain the same load values for all substeps in the frequency range. To specify stepped or ramped loads, use either method shown below:

Command(s): | KBC
GUI: | Main Menu> Solution> Load Step Opts> Time/Frequenc> Time - Time Step Main Menu> Solution> Load Step Opts> Time/Frequenc> Time and Substps

16.4.3. Output Controls

The third class of load step options enables you to control output. The options are controlling printed output, controlling database and results file output, and extrapolating results. For information about output controls, see Using the Alternative Solution Option for 2-D Static Magnetic Analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.3. Loading Options for 2-D or 3-D Harmonic Magnetic Analysis (MVP Method) 		Up / Home Next
16.5. Loading Options for 2-D or 3-D Transient Magnetic Analysis (MVP Method)


16.5. Loading Options for 2-D or 3-D Transient Magnetic Analysis (MVP Method)

You can apply the following loads on a 2-D transient magnetic analysis or a 3-D nodal-based MVP transient analysis:

  • Constraints - vector potential (AZ) and time-integrated scalar potential (VOLT)

  • Forces - current segment (CSGX), current (AMPS)

  • Surface loads - Maxwell surfaces (MXWF)

  • Body loads - (source current density (JS), virtual displacement (MVDI), voltage drop (VLTG)

To apply these loads, use the commands listed in Loading Options for 2-D Static Magnetic Analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.4. Load Step Options for 2-D or 3-D Harmonic Magnetic Analysis (MVP Method) 		Up / Home Next
16.6. Load Step Options for Nodal-Based Transient Magnetic Analysis (MVP Method)


16.6. Load Step Options for Nodal-Based Transient Magnetic Analysis (MVP Method)

For a transient magnetic analysis, you can specify dynamic options, initial conditions, general options, nonlinear options, and output controls.

16.6.1. Dynamic Options

Dynamic options for transient magnetic analyses are as follows.

  • Time integration effects

    These load step options determine whether the analysis includes transient effects such as eddy current damping effects and inductance.

    Important: ANSYS assumes time integration effects to be on in a transient analysis (unless they were turned off to establish initial conditions). If time integration effects are turned off, ANSYS calculates a static solution.

    To specify time integration effects, use one of the methods shown below:

    Command(s): TIMINT
    GUI: Main Menu> Solution> Load Step Opts> Time/Frequenc> Time Integration

  • Transient integration parameters

    These parameters control the nature of your time integration scheme and specify the criteria for automatic time stepping. See the Theory Reference for ANSYS and ANSYS Workbench for details.

    To specify transient integration parameters, use either of the following:

    Command(s): TINTP
    GUI: Main Menu> Solution> Load Step Opts> Time/Frequenc> Time Integration

16.6.1.1. Initial Conditions

When you activate time integration effects, you can specify initial conditions at select nodes of your model. The initial conditions, which you choose for the valid degrees of freedom for your model, can be AX, AY, AZ, VOLT, or MAG.

If you do not specify an initial condition for your model's DOFs, the default is an initial condition of value 0.0.

To set the degree of freedom and initial DOF value, use either of the following:

Command(s): | IC
GUI: | Main Menu> Solution> Define Loads> Apply> Initial Condit'n> Define

To list initial conditions, use either of the following:

Command(s): | ICLIST
GUI: | Main Menu> Solution> Define Loads> Apply> Initial Condit'n> List Picked

16.6.1.2. General Options

General options include the following:

  • Time option

    This option specifies time at the end of the load step. For details on how to specify it, see Using the Alternative Solution Option for 2-D Static Magnetic Analysis.

  • Number of substeps or time step size

    The integration time step is the time increment used in the time integration scheme. You can specify it directly via the DELTIM command or its equivalent menu path, or indirectly via NSUBST or its menu path equivalent.

    Time step size determines the accuracy of your solution. The smaller the time step size, the higher the accuracy. The size of the first integration time step following any large step change in loading conditions is especially critical. You can reduce inaccuracies such as overshoot by reducing the integration time step size.

    Caution

    Avoid using extremely small time steps, especially when establishing initial conditions. Very small numbers can cause calculation errors in ANSYS. For instance, on a problem time scale of unity, time steps smaller than 1E-10 can cause numerical errors.

    If you step-apply loads, ANSYS applies the entire load value at the first substep and holds it constant for the remainder of the load step. If you ramp loads (default), ANSYS increments the load values at each substep.

    To specify time step size directly, use the following command or menu path:

    Command(s): DELTIM
    GUI: Main Menu> Solution> Load Step Opts> Time/Frequenc> Time - Time Step

  • Automatic Time Stepping

    Also called time step optimization in a transient analysis, automatic time stepping allows ANSYS to determine the size of load increments between substeps. It also increases or decreases the time step size during solution, depending on how the model responds.

    For most problems, you should turn on automatic time stepping and set upper and lower limits for the integration time step. The limits help to control how much the time step varies. However, time step optimization is not available for the CURR degree of freedom (voltage-fed conductors) or the EMF degree of freedom (circuit-fed models).

    To specify automatic time stepping, use the following command or menu path:

    Command(s): AUTOTS
    GUI: Main Menu> Solution> Load Step Opts> Time/Frequenc> Time - Time Step

16.6.1.3. Nonlinear Options

Specify nonlinear load step options only if nonlinearities are present. Nonlinear options include the following:

  • Number of equilibrium iterations

    This option obtains a converged solution at each substep. The default is up to 25 equilibrium iterations, but you may need to increase the number depending on the degree of nonlinearity. For linear transient analysis, specify one iteration.

    For details on specifying the number of substeps, see Using the Alternative Solution Option for 2-D Static Magnetic Analysis.

  • Convergence tolerances

    ANSYS considers a nonlinear solution to be converged whenever specified convergence criteria are met. Convergence checking may be based on magnetic potential (A), magnetic current segment (CSG), or both. You specify a typical value for the desired item (VALUE field) and a tolerance about the typical value (TOLER field). ANSYS then calculates the convergence criterion via VALUE * TOLER. For example, if you specify 5000 as the typical value for magnetic current segment and 0.001 as the tolerance, the convergence criterion for magnetic flux would be 5.0.

    ANSYS, Inc. recommends that VALUE be left to the default (program-calculated) and that TOLER be set to 1.0E-3.

    For potentials, ANSYS compares the change in nodal potentials between successive equilibrium iterations (ΔA = Ai - Ai-1) to the convergence criterion.

    For magnetic current segment, ANSYS compares the out-of-balance load vector to the convergence criterion. If the solution does not converge within the specified number of equilibrium iterations, the program either stops or moves on to the next load step, depending on whether you activated the option to terminate an unconverged solution (see below).

    ANSYS enables you to graphically track convergence norms via its Graphical Solution Tracking (GST) feature, available for both interactive and batch runs of the program. For a detailed description of this feature, see the /GST command description in the Commands Reference.

    For details on specifying convergence tolerances, see Using the Alternative Solution Option for 2-D Static Magnetic Analysis.

  • Terminate an unconverged solution

    If ANSYS cannot converge the solution within the specified number of equilibrium iterations, ANSYS either stops the solution or moves on to the next load step, depending on what you specify as the stopping criteria.

    For details on terminating unconverged solutions, see Using the Alternative Solution Option for 2-D Static Magnetic Analysis.

16.6.1.4. Output Controls

This class of load step options enables you to control output. For details on specifying any of the output controls, see Using the Alternative Solution Option for 2-D Static Magnetic Analysis. Output controls options are as follows:

  • Control printed output

    This option enables you to include any results data in the printed output file (Jobname.OUT).

  • Control database and results file output

    This option controls what data goes to the results file (Jobname.RMG).

    By default, ANSYS writes only the last substep of each load step to the results file. If you want all substeps (that is, the solution at all frequencies) on the results file, specify a frequency or ALL or 1.

  • Extrapolate results

    This option allows you to review element integration point results by copying them to the nodes instead of extrapolating them. (Extrapolation is the default.)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.5. Loading Options for 2-D or 3-D Transient Magnetic Analysis (MVP Method) 		Up / Home Next
16.7. Loading Options for 3-D Static Magnetic Analysis (Scalar Method)


16.7. Loading Options for 3-D Static Magnetic Analysis (Scalar Method)

For a 3-D static magnetic analysis using the scalar formulation, you can apply the following loads:

  • Constraints - Scalar potential (MAG)

  • Forces - Magnetic flux (FLUX)

  • Surface loads - Maxwell surfaces (MXWF)

  • Body loads - Virtual displacement

  • Current (via SOURC36 element type)

To apply constraint-body loads, use the commands listed in Loading Options for 2-D Static Magnetic Analysis. You prescribe current sources by defining SOURC36 elements.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.6. Load Step Options for Nodal-Based Transient Magnetic Analysis (MVP Method) 		Up / Home Next
16.8. Using the RSP Method for 3-D Static Scalar Magnetic Analysis


16.8. Using the RSP Method for 3-D Static Scalar Magnetic Analysis

This section explains how to step manually through the solution sequence.

16.8.1. Specify Load Step Options

You can specify five types of load step options for RSP method analyses.

16.8.1.1. Newton-Raphson Options

These options specify how often the tangent matrix is updated during solution. Available options are:

  • Program-chosen (default)

  • Full

  • Modified

  • Initial-stiffness.

For a 3-D analysis, the full Newton-Raphson option is recommended with adaptive descent. To specify Newton-Raphson options, use either of the following:

Command(s): | NROPT
GUI: | Main Menu> Solution> Analysis Type> Analysis Options

16.8.1.2. Biot-Savart Options

In addition to defining SOURC36 elements to describe the currents in a model, you have a symmetry reflection option. If you have a current source that exhibits circular symmetry about the global Cartesian Z axis (such as a coil), you can define just one sector of it with SOURC36 elements, using the following:

Command(s): | E
GUI: | Main Menu> Preprocessor> Modeling> Create> Elements> Auto Numbered> Thru Nodes
Command(s): | EGEN
GUI: | Main Menu> Preprocessor> Modeling> Copy> Elements> Auto Numbered

Then, you can duplicate the current source via the EMSYM command or Main Menu> Solution> Load Step Opts> Magnetics> Options Only> Copy Sources. You specify Biot-Savart calculations using either of the following:

Command(s): | BIOT
GUI: | Main Menu> Solution> Load Step Opts> Magnetics> Options Only> Biot-Savart

By default (that is, if you do not specify Biot-Savart calculations), the HS contribution from all selected source elements to all selected nodes is calculated when you initiate the solution process. ANSYS does no further HS calculation during solution.

16.8.1.3. General Options

You use general options mostly in nonlinear static analyses. For a 3-D static magnetic analysis, the only general option is the number of substeps (the time step size). See Using the Alternative Solution Option for 2-D Static Magnetic Analysis for details on specifying the number of substeps.

A nonlinear analysis requires multiple substeps within each load step, so that ANSYS can apply the specified loads gradually and obtain an accurate solution. By default, the program uses one substep per load step. For the RSP method, one substep (default) is recommended.

16.8.1.4. Nonlinear Options

The nonlinear load step options are:

  • Number of equilibrium iterations.

    This option obtains a converged solution at each substep. The default is up to 25 equilibrium iterations per substep. However, you may have to increase the number, depending on the degree of nonlinearity.

  • Convergence tolerance.

    The ANSYS program considers a nonlinear solution to be converged when specified convergence criteria are met.

    You specify a convergence criterion by specifying a value and a tolerance for that value. Thus, value * tolerance gives the convergence criterion, for example, if you specify 5000 as the typical value of magnetic flux and 0.001 as the tolerance, the convergence criterion for magnetic flux would be 5.0. ANSYS, Inc. recommends that you leave the value to default (program-calculated) and set the tolerance to 1.0E-3 for flux-based convergence.

    You can base convergence checking on magnetic potential (MAG), magnetic flux (FLUX), or both. For potentials, the ANSYS program compares the change in nodal potentials between successive iterations Δ Φ = Φ1 - Φi-1 to the convergence criterion.

    For magnetic flux, ANSYS compares the out-of-balance load vector to the convergence criterion. In the model does not converge within the specified number of equilibrium iterations, ANSYS either stops or moves on to the next load step, depending on whether you have specified the option to halt an unconverged solution. Convergence based on magnetic flux is recommended for a 3-D, scalar potential, magnetostatic analysis.

    ANSYS enables you to graphically track convergence norms via its Graphical Solution Tracking (GST) feature, available for both interactive and batch runs of the program. For a detailed description of this feature, see Tracking Convergence Graphically and the /GST command description in the Commands Reference.

    For details on specifying nonlinear options, see Using the Alternative Solution Option for 2-D Static Magnetic Analysis.

16.8.2. Start the Solution

To solve the load step, use one of the following:

Command(s): | SOLVE
GUI: | Main Menu> Solution> Solve> Current LS

16.8.2.1. Specify Additional Loading Conditions (Optional)

Repeat Steps 1 through 3 to specify additional load steps, if any.

16.8.2.2. Review Results

See "3-D Static Magnetic Analysis (Scalar Method)" for a discussion of postprocessing results from a 3-D static magnetic analysis (scalar potential formulation).

An example command sequence for a nonlinear 3-D RSP method static analysis follows:

/solu
nropt,full,,on			! Full Newton-Raphson, adaptive descent
cnvtol,flux,,le-3		! Convergence criteria
solve							! Solve
finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.7. Loading Options for 3-D Static Magnetic Analysis (Scalar Method) 		Up / Home Next
16.9. Using the DSP Method for 3-D Static Scalar Magnetic Analysis


16.9. Using the DSP Method for 3-D Static Scalar Magnetic Analysis

You can step manually through the two-step solution sequence for a DSP analysis. To do so, follow this procedure:

  1. Specify the magnetic solution sequence and the number of substeps as options for the first load step. This will yield an approximate air-only solution. To do so, use either of the following menu paths or commands:

    Command(s): MAGOPT (Set the VALUE field to 2.)
    GUI: Main Menu> Solution> Load Step Opts> Magnetics> Options Only> DSP Method
    Command(s): NSUBST (Specify one substep.)
    GUI: Main Menu> Solution> Load Step Opts> Time/Frequenc> Freq and Substps

  2. Specify that you do not want to save results, using one of the following:

    Command(s): OUTRES,ALL,NONE
    GUI: Main Menu> Solution> Load Step Opts> Output Ctrls> DB/Results File

  3. Write the load data to a load step file, via one of these methods:

    Command(s): LSWRITE or
    SOLVE
    GUI: Main Menu> Solution> Load Step Opts> Write LS File
    Main Menu> Solution> Solve> option

  4. Specify load step options for the second load step (which produces the final solution). This time, set the VALUE field to 3 on the MAGOPT command.

  5. Set the convergence criteria using one of the following:

    Command(s): CNVTOL
    GUI: Main Menu> Solution> Load Step Opts> Nonlinear> Convergence Crit

  6. Set the full Newton-Raphson option with adaptive descent. To do so, use either method shown below:

    Command(s): NROPT
    GUI: Main Menu> Solution> Analysis Type> Analysis Options

  7. Store the converged solution, using the OUTRES command or its GUI equivalent.

  8. Use the LSWRITE command or the Write LS File menu option to write load data to a load step, as discussed in step 2 above.

  9. Start calculating the solution by using one of the following:

    Command(s): LSSOLVE
    GUI: Main Menu> Solution> Solve> From LS Files

  10. Once you have solved the model, review the results as described for the RSP method.

    An example command sequence for a nonlinear 3-D DSP analysis follows:

    /solu
magopt,2            ! Partial solution in air
outres,all,none     ! Do not store results
solve               ! Solve the analysis
magopt,3            ! Final solution
cnvtol,flux,,1e-3   ! Set convergence criteria
nropt,full,,on      ! Full Newton-Raphson with adaptive descent
outres,all,last     ! Store final results
solve
    GUI:

    Main Menu> Solution> Load Step Opts> Nonlinear> Convergence Crit

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.8. Using the RSP Method for 3-D Static Scalar Magnetic Analysis 		Up / Home Next
16.10. Using the GSP Method for 3-D Static Scalar Magnetic Analysis


16.10. Using the GSP Method for 3-D Static Scalar Magnetic Analysis

You can step manually through the three-step solution sequence for a GSP analysis. To do so, follow this procedure:

  1. Specify options for the first load step. This will yield an approximate iron-only solution. To do so, set VALUE = 1 for the MAGOPT command or choose Main Menu> Solution> Load Step Opts> Magnetics> Options Only> GSP Method.

    Command(s): MAGOPT
    GUI: Main Menu> Solution> Load Step Opts> Magnetics> Options Only> GSP Method

  2. Set the convergence criteria using the CNVTOL command or its GUI equivalent.

  3. Specify that results are not saved, using either of the following:

    Command(s): OUTRES,ALL,NONE
    GUI: Main Menu> Solution> Load Step Opts> Output Ctrls> DB/Results File

  4. Set the full Newton-Raphson option with adaptive descent. To do so, use either method shown below:

    Command(s): NROPT
    GUI: Main Menu> Solution> Analysis Type> Analysis Options

  5. Write the load data to a load step file, via one of these methods:

    Command(s): LSWRITE or
    SOLVE
    GUI: Main Menu> Solution> Load Step Opts> Write LS File
    Main Menu> Solution> Solve

  6. Specify load step options for the second load step (which produces an approximate air-only solution). This time, set the VALUE field to 2 on the MAGOPT command or its GUI equivalent and again, specify one substep.

  7. Use the LSWRITE command or the Write LS File menu option to write load data to a load step, as discussed in step 2 above.

  8. Specify load step options for the third load step (which gives the final solution). To do so, set VALUE = 3 on the MAGOPT command or its GUI equivalent.

  9. Store the final results using the OUTRES,ALL,LAST command or its GUI equivalent.

  10. Start calculating the solution by using one of the following:

    Command(s): LSSOLVE or
    SOLVE
    GUI: Main Menu> Solution> Solve> From LS Files
    Main Menu> Solution> Solve

  11. Once you have solved the model, review the results as described for the RSP method.

An example command sequence for a nonlinear GSP method static analysis follows:

/solu
magopt,1              ! Partial solution in iron
cnvtol,flux,,le-3     ! Set convergence criteria
outres,all,none       ! Do not store results
nropt,full,,on        ! Full Newton-Raphson, adaptive descent
solve	  						  ! Solve
magopt,2              ! Partial solution in air
solve						    ! Solve
magopt,3              ! Final solution
outres,all,last       ! Store converged solution
solve

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.9. Using the DSP Method for 3-D Static Scalar Magnetic Analysis 		Up / Home Next
16.11. Loading Options for 3-D Static Magnetic Analysis (MVP Method)


16.11. Loading Options for 3-D Static Magnetic Analysis (MVP Method)

You can specify the following loads for a 3-D static magnetic analysis using the nodal-based Magnetic Vector Potential (MVP) method:

  • Constraints - Magnetic vector potential (AX, AY, AZ)

  • Forces - Current segment (CSGX, CSGY, CSGZ)

  • Surface loads - Maxwell surfaces (MXWF)

  • Body loads - Source current density (JS), virtual displacement (MVDI), voltage drop (VLTG)

To apply these loads, use the commands listed in Loading Options for 2-D Static Magnetic Analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.10. Using the GSP Method for 3-D Static Scalar Magnetic Analysis 		Up / Home Next
16.12. The Alternative Solution Option for 3-D Static Magnetic Analysis (MVP Method)


16.12. The Alternative Solution Option for 3-D Static Magnetic Analysis (MVP Method)

This section explains how to step manually through the solution sequence for a 3-D static MVP analysis.

16.12.1. Specify Load Step Options for the Initial Solution

You can specify any of the general load step options described in Using the Alternative Solution Option for 2-D Static Magnetic Analysis.

16.12.2. Write Load Data or Start the Solution

You can either write load data for the initial approximate solution to a load step file or solve the load step immediately. To write the data to a load step file, follow the procedures described in Using the Alternative Solution Option for 2-D Static Magnetic Analysis.

16.12.3. Specify Load Step Options for the Final Solution

You can specify any of the load step options described in Using the Alternative Solution Option for 2-D Static Magnetic Analysis.

16.12.4. Write Load Data or Solve the Second Load Step

To write load data for the final solution to a load step file or to solve the load step immediately, use the procedures described in Step 2.

16.12.5. Initiate the Solution

You need to perform this step only if you do not solve loads steps immediately via the SOLVE command it its menu path equivalent. To initiate the solution for all load steps, use either of the following:

Command(s): | LSSOLVE
GUI: | Main Menu> Solution> Solve> From LS Files

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.11. Loading Options for 3-D Static Magnetic Analysis (MVP Method) 		Up / Home Next
16.13. Loading Options for an Electric Field (Current Conduction) Analysis


16.13. Loading Options for an Electric Field (Current Conduction) Analysis

For an electric field (current conduction) analysis, you can specify these loads:

  • Constraints - Voltage (VOLT)

  • Forces - Current (AMPS)

To apply these loads, use the D family and F family commands listed in Loading Options for 2-D Static Magnetic Analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.12. The Alternative Solution Option for 3-D Static Magnetic Analysis (MVP Method) 		Up / Home Next
16.14. Load Step Options for an Electric Field (Current Conduction) Analysis


16.14. Load Step Options for an Electric Field (Current Conduction) Analysis

For this type of analysis the only load step options you can specify are the output control options listed in Using the Alternative Solution Option for 2-D Static Magnetic Analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.13. Loading Options for an Electric Field (Current Conduction) Analysis 		Up / Home Next
16.15. Loading Options for an Electrostatic Field Analysis


16.15. Loading Options for an Electrostatic Field Analysis

For an electrostatic analysis, you can specify these loads:

  • Constraints - Voltage (VOLT)

  • Forces - Charge (CHRG)

  • Surface loads - Surface charge density (CHRGS), Maxwell force flag (MXWF), infinite surface flag (INF)

  • Body loads - Volume charge density (CHRGD)

To apply these loads, use the commands listed in Loading Options for 2-D Static Magnetic Analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.14. Load Step Options for an Electric Field (Current Conduction) Analysis 		Up / Home Next
16.16. Load Step Options for Electrostatic Field Analysis


16.16. Load Step Options for Electrostatic Field Analysis

For an electrostatic analysis, you can specify only output controls as load step options. See Using the Alternative Solution Option for 2-D Static Magnetic Analysis for more information about output controls.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.15. Loading Options for an Electrostatic Field Analysis 		Up / Home Next
High-Frequency Electromagnetic Analysis Guide


High-Frequency Electromagnetic Analysis Guide

Release 11.0 Documentation for ANSYS

Table of Contents

1. Overview of High-Frequency Electromagnetic Analysis
2. Finite Element Analysis of High-Frequency Electromagnetic Fields
3. Elements Available in High-Frequency Electromagnetic Analysis
4. Performing a High-Frequency Harmonic Analysis
4.1. Creating the Physics Environment
4.1.1. Specifying Element Types
4.1.2. Specifying the System of Units
4.1.3. Specifying Material Properties
4.2. Building the Model, Assigning Region Attributes, and Meshing
4.2.1. Defining Model Region Attributes
4.2.2. Meshing the Model
4.3. Applying Boundary Conditions and Excitations (Loads)
4.3.1. Applying Boundary Conditions
4.3.2. Applying Excitation Sources
4.4. Solving Harmonic High-Frequency Analyses
4.4.1. Defining the Analysis Type
4.4.2. Defining Analysis Options and Estimating Computer Resources
4.4.3. Setting the Analysis Frequencies
4.4.4. Defining a Scattering Analysis
4.4.5. Defining a Radiation Analysis for a Phased Array Antenna
4.4.6. Defining a Modal Port Solution
4.4.7. Starting the Solution
4.4.8. Finishing the Solution
4.5. Postprocessing Harmonic High-Frequency Analyses
4.5.1. Reviewing Results
4.5.2. Commands to Help You in Postprocessing
4.5.3. Calculating Near Fields, Far Fields, and Far Field Parameters
4.5.4. Calculating Circuit Parameters for High-Frequency Devices
5. Performing a Modal High-Frequency Analysis
5.1. Entering the SOLUTION Processor and Specifying the Modal Analysis Type
5.2. Setting Options for Modal Analysis
5.3. Specifying Modes to Expand
5.4. Applying Boundary Conditions
5.5. Solving a Modal High-Frequency Analysis
5.6. Calculating Propagating Constants
5.7. Reviewing Modal High-Frequency Results
6. Adaptive Meshing
I. Basic Wave Radiation Examples
Harmonic Analysis for a Point Current Radiation Source (Command Method)
II. Basic Wave Propagation Examples
Harmonic Analysis of a Coaxial Waveguide (Command Method)
Harmonic Analysis of a Coaxial Waveguide (GUI Method)
III. Basic Wave Resonance Examples
Modal Analysis of a Cavity (Command Method)
Modal Analysis of a Cavity (GUI Method)
Modal Analysis for a Circular Waveguide (Command Method)
IV. Basic Wave Scattering Examples
Harmonic Analysis for Plane Wave Scattering from a Metallic Plate (Command Method)
V. Advanced Wave Radiation Examples
Harmonic Analysis for a JRM Array Antenna (Command Method)
Harmonic Analysis for a Lee-Jones Array Antenna (Command Method)
Harmonic Analysis for Line-fed Microstrip Patch Antenna (Command Method)
Harmonic Analysis for Radiation of a Waveguide Antenna with No Flare (Command Method)
Harmonic Analysis for a Half Wavelength Dipole Antenna (Command Method)
VI. Advanced Wave Propagation Examples
Harmonic Analysis for a Microstrip Low-Pass Filter (Command Method)
Harmonic Analysis for a Three-Stub Rectangular Waveguide Filter (Command Method)
Harmonic Analysis for Multi-layer Microstrip Interconnect (Command Method)
Harmonic Analysis for Microstrip Meander Line (Command Method)
Harmonic Analysis for a Rectangular Waveguide with a Ridge Discontinuity (Command Method)
Harmonic Analysis of a Rectangular Waveguide with a Dielectric Post Using Adaptive Meshing (Command Method)
Harmonic Analysis of a Rectangular Waveguide with a Dielectric Post Using S-Parameter Adaptive Meshing (Command Method)
Harmonic Analysis of a Parallel-Plate Waveguide with a Lumped Circuit Load (Command Method)
Postprocessing Scattering, Admittance, and Impedance Parameters
SPICE Synthesized Equivalent Circuit for a Line-fed Microstrip Patch Antenna (Command Method)
SPICE Synthesized Equivalent Circuit for a T-type Transmission Line Network (Command Method)
Harmonic Analysis for Rectangular Waveguide Filled with Two Dielectric Materials (Command Method)
Harmonic Analysis of Y-Junction Waveguide Circulator (Command Method)
TDR/TDT Display of Shorted Single-Ended Uniform Transmission Line (Command Method)
VII. Advanced Wave Resonance Examples
Modal Analysis for Resonant Frequencies of a Dielectric Resonator on Microstrip Substrate (Command Method)
Modal Analysis for Dispersion of a Microstrip Line (Command Method)
VIII. Advanced Wave Scattering Examples
Harmonic Analysis for Scattering of a Metallic Sphere Coated by Lossy Dielectric Layer (Command Method)
Harmonic Analysis for Scattering of a Dielectric Sphere (Command Method)
Harmonic Analysis for Scattering of a Metallic Cube (Command Method)
Harmonic Analysis for Scattering of a Metallic Sphere Coated by a Dielectric Layer (Command Method)
Harmonic Analysis of a Thick Bandpass Frequency Selective Surface (Command Method)
Harmonic Analysis for Scattering of a Dielectric Grating (Command Method)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.16. Load Step Options for Electrostatic Field Analysis 		Up / Home Next
Chapter 1. Overview of High-Frequency Electromagnetic Analysis


Chapter 1. Overview of High-Frequency Electromagnetic Analysis

The ANSYS program supports high-frequency electromagnetic analysis. This type of analysis calculates the propagation properties of electromagnetic fields and waves in a given structure. The ANSYS program supports both time-harmonic and modal high-frequency analysis.

Except in a few cases, most-high-frequency devices use electromagnetic waves to carry information. For this reason, frequency plays a vital role in the design of such devices. High-frequency electromagnetic field analysis simulates the electromagnetic phenomena in a structure when the wavelength of the signal is of the same order of magnitude or smaller than the dimensions of the model. The high-frequency band ranges from hundreds of MHz to hundreds of GHz.

In general, you use high-frequency electromagnetic field analysis to solve interior problems or exterior problems. For interior problems, an electromagnetic field propagates or oscillates in a closed structure such as an accelerator chamber, a microwave filter, or a high-speed electronic package. The oscillating frequencies and scattering matrix parameter (S-parameter) are usually investigated. For exterior problems, an electromagnetic wave radiates into open space or it is scattered by an object in the open domain. Examples are phased antenna arrays and radar reflection from a metallic object. The radiation pattern, directive gain, or radar cross section (RCS) is usually investigated.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
High-Frequency Electromagnetic Analysis Guide 		Up / Home Next
Chapter 2. Finite Element Analysis of High-Frequency Electromagnetic Fields


Chapter 2. Finite Element Analysis of High-Frequency Electromagnetic Fields

In practice, finite element analysis (FEA) is one of the most successful frequency domain computational methods for electromagnetic field simulation. It provides the capabilities you need to model any geometry and any materials of composition. This material capability is particularly important in electromagnetic field engineering since most applications dealing with antennas, microwave circuits, scattering devices, motors, generators, etc. require simulation of nonmetal composite materials. Throughout the frequency spectrum, FEA enjoys wide popularity. It plays a major role in electromagnetic engineering applications such as:

  • Microwave circuits and devices

  • High-speed digital electronic circuits

  • Antennas

  • Electromagnetic Interference (EMI) / Electromagnetic Compatibility (EMC)

  • Biomedical applications

The ANSYS high-frequency electromagnetic simulator (ANSYS Emag - High Frequency) uses tangential vector finite element technology. It provides 3-D elements to perform harmonic analyses (see "Performing a High-Frequency Harmonic Analysis") and 2-D and 3-D elements to perform modal analyses (see "Performing a Modal High-Frequency Analysis") analyses, with an exp (jωt) dependence assumed.

ANSYS Emag - High Frequency has a preprocessor, a solver, and a postprocessor. The preprocessor provides facilities for describing the high-frequency structure to be simulated, the excitation to be applied, and the boundary conditions or other constraints to be imposed. It includes the following:

Geometry Tool

  • Solid Model using Built in Modeler and APDL

  • CAD File Input via Connection Capability

Meshing Tool

  • Automatic Meshing

  • Manual Meshing

  • Adaptive Meshing

Tangential Vector Based Element Library

  • 1st & 2nd Order Tetrahedral, Quadrilateral, and Wedge Elements

  • 1st Order Pyramid Elements

  • 1st & 2nd Order Quad and Triangle Elements

Material Model

  • Lossy/Lossless Isotropic Material

  • Lossy/Lossless Anisotropic Material

Boundary Conditions

  • Perfect Electric Conductor (PEC)

  • Standard Impedance Boundary Conditions (SIBC)

  • Matched Waveguide Port

  • Perfectly Matched Layers (PML)

  • Periodic Boundary Conditions

Excitation Sources

  • Waveguide Modal Source

  • Volume, Surface, Line, and Point Current Density Source

  • Plane Wave Source

  • Surface and Line Electric Field Source

  • Surface Magnetic Field Source

The solver generates the element descriptions, assembles the element matrices into global finite element matrices, imposes the appropriate boundary conditions, constraints, and excitation sources, and then solves the equations. It consists of the following:

Modal Analysis

  • Lanczos Eigenvalue Solver

Harmonic Analysis

  • Sparse Direct Solver

  • Incomplete Cholesky Conjugate Gradient (ICCG) Solver

  • Fast Frequency Sweep Solver

The postprocessor provides facilities to calculate parameters and visualize results. This includes the following:

  • Electromagnetic Field Vectors and Contour Patterns

  • Cut-off Frequency, Propagating Constant, and Resonant Frequency

  • Quality Factor (Q-Factor)

  • S-parameters and Touchstone File

  • Voltage, Current, and Characteristic Impedance

  • Conducting Current Density Distribution

  • Near and Far Electromagnetic Field Extension

  • Radar Cross Section (RCS)

  • Antenna Parameters (Radiation Pattern, Directive Gain, Directivity, Radiation Power, Radiation Gain, Radiation Efficiency)

  • Time-Averaged Power

  • Joule Heat

ANSYS Emag - High Frequency is a frequency domain simulator that can analyze a large class of high-frequency devices and systems. This includes uniform wave-guiding structures, cavity resonators, antennas, and antenna arrays. A high-frequency electromagnetic analysis can be coupled with another field analysis to simulate complicated physical phenomena, such as RF heating.

To solve the full set of Maxwell's differential equations that govern high-frequency electromagnetic fields, the finite element method discretizes the infinite continuous wave propagating space into a finite element model. Boundary conditions and excitations are applied to the solid model or finite element entities.

A typical electromagnetic configuration simulated by FEA is shown in Figure 2.1: "Computational Domain for a FEM Analysis".

Figure 2.1 Computational Domain for a FEM Analysis

The high-frequency FEA procedure uses a weak integral form of the electric field vector Helmholtz equation as the basis. For improved accuracy for scattering applications, the scattered field is investigated instead of the total electric field. Refer to High-Frequency Electromagnetic Field Simulation in the Theory Reference for ANSYS and ANSYS Workbench for more information on the pure scattering field formulation.

The ANSYS high-frequency elements use the tangential vector finite element method. The vector electric field consists of the linear combination of the vector basis functions. The associated coefficients are the degree of freedom (DOF) of the final matrix equation. The DOFs of the tangential vector method are the projections of the vector electric field on the edges and faces of the element. For example, for the first order tetrahedral element, its DOFs are the projection of the electric field along the edge of the element at the middle of the edge:

DOF = t [image] E at middle of edge

where t is the unit tangential vector of the edge.

Refer to the Theory Reference for ANSYS and ANSYS Workbench for details on this method.

As in any other type of ANSYS analysis, you must build a finite element model that correctly represents the system. The following table shows how physical features of an electromagnetic system correspond with model features.

Table 2.1 Physical and Model Features

Physical Features | Model Features
Electromagnetic Structures and Space | Finite Element Mesh
Lossless Metallic Surface | Perfect Electric Conductor (PEC) Boundary Condition
Non-perfect Electric Conductor, Air-Dielectric Interface, Dielectric Coating on PEC | Standard Impedance Boundary Condition (SIBC)
EM Field Symmetry | Perfect Magnetic Conductor (PMC) Boundary Condition or PEC
EM Field at Infinity, Matching Load | Absorbing Boundary Condition
Current Source, Metallic Wire with Conducting Current, Excitation Gap | Impressed Current Density
Matched Voltage Source | Modal Field

For an enclosed structure, you must mesh the entire structure. For propagation, radiation, and scattering problems, the electromagnetic field extends to infinity. You must trunicate the infinite space using absorbing boundary conditions. Usually, the inside of an electric conductor is not meshed because a high-frequency electromagnetic wave can only penetrate the surface a short distance.

If the ohmic loss does not play a significant role or is not a major concern in the design, a perfect electric conductor (PEC) is a very good approximation for metallic objects. The tangential electric field vanishes on the surface of a PEC. It leads to a constraint condition DOF = 0 on the surface.

Often, meshing the skin of a non-perfect electric conductor or a dielectric coating on a PEC leads to extremely small elements inside of those layers. Instead of meshing those very small layers, apply a standard impedance boundary condition on those surfaces to obtain a good approximation.

You can reduce the size of your model by taking symmetry of the electromagnetic field into account. If the tangential electric field is zero (that is, only the normal electric field exists on the symmetry plane), apply a PEC boundary condition to the symmetry plane. If the tangential magnetic field is zero (that is, only the normal magnetic field exists on the symmetry plane), apply a PMC boundary condition to the symmetry plane. In a ANSYS high-frequency analysis, a PMC boundary condition is a natural boundary condition. You do not need to apply a constraint condition to a PMC symmetry plane.

If an electromagnetic wave radiates into infinity, you must use an absorbing boundary condition to truncate the finite computational domain. If an electromagnetic wave in a propagating system is absorbed by a matching load, you must replace that matching load with an absorbing boundary condition.

The following example of an open microstrip structure with a capacitance gap shows you how to create a model.

Figure 2.2 Open Microstrip Structure

The equivalent circuit including a matched source, s-parameter extractor, and matching load is shown in Figure 2.3: "Equivalent Circuit".

Figure 2.3 Equivalent Circuit

To create the model, you need to make use of the characteristics of electromagnetic fields and simplify the model as follows:

  • The thickness of the microstrip is assumed to be small compared to the other dimensions and is ignored. The ohmic loss of the microstrip is also assumed to be small and is ignored. These assumptions lead to a PEC microstrip with zero thickness.

  • For the fundamental mode, the electric field is assumed to be symmetric about a vertical center line on the cross section. Accordingly, the analysis can be done on a half model. A PMC boundary is applied to the symmetry plane.

  • Since the electromagnetic field decays rapidly in the transverse direction with the distance from a microstrip, PEC boundaries are added to enclose the open space at a proper separation distance. The distance from the microstrip to the top PEC boundary should be at least equal to two times the height of the substrate. The distance from the microstrip to the side PEC boundary should be at least two times the width of the microstrip.

  • The wave source is assumed to be a matched electric current source and the output of the two-port network is terminated by a matching load (see Figure 2.3: "Equivalent Circuit"). Absorbing boundary conditions are added to represent the matching loads.

  • The real current source will be equivalent to the impressed current density. Considering the electric field distribution on the transverse cross section, the line current density pointing from the microstrip to the ground will excite the fundamental mode in the microstrip. Since the line current density source launches a bidirectional electromagnetic wave, an absorber must be located behind the line current density source to prevent a reflected wave.

These electromagnetic field characteristics and assumptions yield the following unmeshed model for the open microstrip structure.

Figure 2.4 Open Microstrip Structure Model

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 1. Overview of High-Frequency Electromagnetic Analysis 		Up / Home Next
Chapter 3. Elements Available in High-Frequency Electromagnetic Analysis


Chapter 3. Elements Available in High-Frequency Electromagnetic Analysis

Three elements are available for high-frequency analysis: HF118, HF119, and HF120. HF118 is a 2-D element that applies only to modal analyses. You can use it to compute dispersion characteristics of high-frequency transmission lines, including the cutoff frequencies and the propagating constants for multiple modes. HF119 and HF120 are 3-D elements. You can perform harmonic analyses or modal analyses with them.

Table 3.1 High-Frequency Elements

Element | 2-D or 3-D | Number of Nodes and Shape | DOFs
HF118 | 2-D | 8-Node Quadrilateral with triangular degeneracy | Projection of the electric field E (ANSYS degree of freedom "AX")
HF119 | 3-D | 10-Node Tetrahedral | Projection of the electric field E (ANSYS degree of freedom "AX")
HF120 | 3-D | 20-Node Hexahedral with pyramid and prism degeneracy | Projection of the electric field E (ANSYS degree of freedom "AX")

You can use one element shape (hexahedral, wedge, pyramid, or tetrahedral) or any combination of shapes in your 3-D model. Figure 3.1: "Mixed Elements" (a) shows a mix of hexahedral and wedge elements and (b) shows a mix of hexahedral, pyramid, and tetrahedral elements. The pyramid elements are transitional elements between the hexahedral and tetrahedral elements.

Figure 3.1 Mixed Elements

As an example, the following command input listing creates mixed hexahedral and wedge elements:

/prep7
et,1,120          ! define hexahedral element
et,11,200,5       ! define 2-D 6-node triangle mesh element
et,12,200,7       ! define 2-D 8-node quadrilateral mesh element
rect,0,1,0,1      ! create area 1
rect,1,2,0,1      ! create area 2
aglue,all         ! glue areas together
esize,0.25        ! define the element size
asel,s,loc,x,0,1  ! select area 1
type,11           ! select triangle element type
mshape,1          ! define the triangle element shape
amesh,all         ! mesh area 1 with triangle mesh element
asel,s,loc,x,1,2  ! select area 2
type,12           ! select quadrilateral mesh element type
mshape,0          ! define the element quadrilateral shape
amesh,all         ! mesh area 2 with quadrilateral mesh element
alls
esize,,4          ! define element operation
type,1            ! select hexahedral element
asel,s,loc,z,0    ! select 2-D element
vext,all,,,0,0,1  ! create 3-D elements by extruding 2-D elements
fini

As an example, the following command input listing creates mixed hexahedral, pyramid, and tetrahedral elements:

/prep7
ch=10.16e-3
cw=22.86e-3
cl=2.e-2
h=2.e-3
et,1,hf120,1                      ! define hexahedral element
et,2,hf119,1                      ! define tet element
block,-cw/2,0,-ch/2,ch/2,0,cl/2   ! create volume 1
block,-cw/2,0,-ch/2,ch/2,cl/2,cl  ! create volume 2
vglue,all                         ! glue volumes together
esize,h                           ! define element size
type,1                            ! select hexahedral element type
mshape,0,3d                       ! define hexahedral mesh
mshkey,1                          ! use mapped mesh
vmesh,1                           ! mesh first volume
mshape,1,3d                       ! define tetrahedral element
mshkey,0                          ! use free meshing
vmesh,3                           ! mesh second mesh
tchg,120,119,2                    ! covert degen. hexahedral element into tetrahedral element
fini

Although a geometrically complex structure can be meshed with tetrahedral elements, it may require many elements and that may lead to simulation failure because of computer resources. Even a regular shaped volume may require many tetrahedral elements if it has a very large aspect ratio. Here, hexahedral or wedge elements would be a better choice. Figure 3.2: "Object with a Large Aspect Ratio" illustrates this difference. It shows that the number of tetrahedral elements (a) is much larger than the number of hexahedral elements (b), if a similar mesh density is maintained on the transverse cross section.

Figure 3.2 Object with a Large Aspect Ratio

You can automatically refine a model meshed with HF119 elements. To decrease discretization error, the HFEREFINE macro refines elements that exceed a specified error limit. Moreover, based on the error indicated by HFEREFINE, you can manually refine a model meshed with HF120 elements. For more information on this capability, see "Adaptive Meshing" in this guide and HFEREFINE in the Commands Reference.

See HF118, HF119, and HF120 in the Elements Reference for more details on these elements. Refer to High-Frequency Electromagnetic Field Simulation in the Theory Reference for ANSYS and ANSYS Workbench for additional information on the tangential vector finite element method and vector basis functions.

You cannot use other ANSYS Emag electromagnetic elements in a high-frequency analysis. They are not based on a full-wave formulation. They do not account for displacement current.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 2. Finite Element Analysis of High-Frequency Electromagnetic Fields 		Up / Home Next
Chapter 4. Performing a High-Frequency Harmonic Analysis


Chapter 4. Performing a High-Frequency Harmonic Analysis

As in any other type of ANSYS analysis, a harmonic high-frequency electromagnetic analysis consists of these steps:

  • Create a physics environment.

  • Build a model.

  • Assign regional attributes to the model and mesh it.

  • Apply boundary conditions and excitations (loads).

  • Obtain a solution.

  • Review the results.

The following flowchart illustrates these steps.

Figure 4.1 Flow Chart for a Harmonic Analysis

The following harmonic analysis topics are available:

  • Creating the Physics Environment
  • Building the Model, Assigning Region Attributes, and Meshing
  • Applying Boundary Conditions and Excitations (Loads)
  • Solving Harmonic High-Frequency Analyses
  • Postprocessing Harmonic High-Frequency Analyses

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 3. Elements Available in High-Frequency Electromagnetic Analysis 		Up / Home Next
4.1. Creating the Physics Environment


4.1. Creating the Physics Environment

To begin, specify a jobname and a title for your analysis. If you are using the ANSYS Graphical User Interface (GUI) and you wish to perform high-frequency electromagnetic analysis, one of the first things you should do upon entering the GUI is choose the following path: Main Menu> Preferences and select High Frequency under Electromagnetic. Doing this ensures that all of the GUI options you need for this type of analysis will be available to you.

4.1.1. Specifying Element Types

Use either of the following to specify element type numbers and key options for HF119 and HF120:

Command(s): | ET,ITYPE,Ename,KEYOPT(1),KEYOPT(2),KEYOPT(3),KEYOPT(4),KEYOPT(5)
GUI: | Main Menu> Preprocessor> Element Type> Add/Edit/Delete

KEYOPT(1) defines the polynomial order of the elements. KEYOPT(1) = 0 or 1 defines a first order element with a 0.5 order polynomial vector basis function. KEYOPT(1) = 2 defines a second order element with a 1.5 order polynomial vector basis function. Greater accuracy is obtained using higher order elements (KEYOPT(1) = 2) at the expense of additional degrees of freedom internally generated by the element. The second order elements are not available for pure scattering or periodic boundary condition problems. The following table shows the number of DOFs per element.

Table 4.1 Element DOFs

Element Shape | Number of DOFs Per Element
 | 1st Order | 2nd Order
Quadrilateral | 4 | 12
Triangle | 3 | 8
Tetrahedral | 6 | 20
Hexahedral | 12 | 54
Wedge | 9 | 36
Pyramid | 8 | Not available

You cannot mix first and second order elements in a model. Both first and second order elements have midside nodes to follow the curvature of a model. If you use MESH200 elements to generate 3-D high-frequency electromagnetic elements (HF119 or HF120) choose one of the MESH200 options for midside nodes, KEYOPT(1) = 5 for 3-D triangle elements or KEYOPT(1) = 7 for quadrilateral elements.

KEYOPT(4) allows you to specify element types for special high-frequency electromagnetic applications. KEYOPT(4) = 0 defines the normal element (default). KEYOPT(4) = 1 defines an electromagnetic wave absorbing element referred to as a perfectly matched layer (PML) element. KEYOPT(4) = 2 defines a special scattering element. You need to specify KEYOPT(4) = 2 for the region of the domain receiving the reflected wave when you are using a soft magnetic field excitation source that propagates in one direction (BF,,H option). For example, the following command input listing defines first order normal and PML elements:

et,1,119,1,,,0     ! define normal tetrahedral element
et,1,119,1,,,1     ! define PML tetrahedral element

See Perfectly Matched Layers (PML) for information on the PML element. See Surface Magnetic Field Source for information on the scattering element and soft source magnetic field excitation.

The HF118 element applies only to modal analyses. "Performing a Modal High-Frequency Analysis" describes this type of analysis in detail.

4.1.2. Specifying the System of Units

ANSYS Emag - High Frequency always uses the MKS system. In the MKS system of units, free-space permeability is set to 4 π x 10-7 henries/meter and free-space permittivity is set to 8.85 x 10-12 F/m.

See the EMUNIT command in the Commands Reference for more details. The EMUNIT command defaults to the MKS system of units. See System of Units in the Coupled-Field Analysis Guide for details on MKS units.

4.1.3. Specifying Material Properties

You can specify material properties using either of the following:

Command(s): | MP,LAB,MAT,C0,C1,C2,C3,C4
GUI: | Main Menu> Preprocessor> Material Props> Material Models

High-frequency analyses often require the following material properties: relative permeability diagonal tensor (MURX, MURY, MURZ), relative permittivity diagonal tensor (PERX, PERY, PERZ), and resistivity (inverse of conductivity) diagonal tensor (RSVX, RSVY, RSVZ). For isotropic materials, MURY and MURZ default to MURX; likewise, PERY and PERZ default to PERX and RSVY and RSVZ default to RSVX. X, Y, and Z refer to the orthogonal coordinates in the element coordinate system specified by the ESYS command. The permeability and permittivity must be relative values with respect to their free-space definitions. Permeability of the material is equal to the product of the free-space permeability and the relative permeability constant (MURX, MURY, MURZ). Permittivity of the material is equal to the product of the free-space permittivity and the relative permittivity constant (PERX, PERY, PERZ).

For an isotropic lossy material, you can define the lossy characteristics of the material by either the electric loss tangent (LSST) or the magnetic loss tangent (LSSM). Electric loss tangent (tan δe) is defined by:

tan δe = σe/(2πfεoεr)

where:

f = frequency (Hz)
σe = electric current conductivity (S/m)
εo = free-space permittivity (F/m)
εr = relative permittivity

If a complex permittivity is defined as:

εr = εr' - jεr”

the electric loss tangent is defined by:

tan δe = εr”/ εr'

If a complex permittivity is defined as:

εr = εr' + jεr”

the electric loss tangent is defined by:

tan δe = - εr”/ εr'

The magnetic loss tangent (tan δm) is defined by:

tan δm = σe/(2πfμoμr)

where:

f = frequency (Hz)
σm = magnetic current conductivity (Ω/m)
μo = free-space permeability (H/m)
μr = relative permeability

If a complex permeability is defined as:

μr = μr' - jμr”

the magnetic loss tangent is defined by:

tan δm = μr”/ μr'

The following table gives some guidelines for specifying material properties.

Table 4.2 Material Guidelines

Material | Guideline
Air | Specify a relative permeability and a relative permittivity of 1.0.
Lossless Dielectric | Specify a relative permeability µr and a relative permittivity εr, which can be either isotropic or anisotropic (i.e., a diagonal tensor in the predefined element coordinate system).
Lossy Dielectric with a known Conductivity | Specify a relative permeability µr, a relative permittivity εr, and a resistivity (1/conductivity), which can be either isotropic or anisotropic (i.e., a diagonal tensor in the predefined element coordinate system).
Lossy Dielectric with a known Loss Tangent | Specify a relative permeability µr, a relative permittivity εr, and a loss tangent. If you specify both a resistivity and a loss tangent, only the loss tangent will be used.

For example, the following command input listing defines two isotropic lossy materials:

mp,perx,1,2.5    ! the relative permittivity of material 1 is 2.5
mp,murx,1,1.0    ! the relative permeability of material 1 is 1.0
mp,rsvx,1,1.E-4  ! the resistivity of material is 1.E-4
mp,perx,2,9.8    ! the relative permittivity of material 2 is 9.8
mp,murx,1,2.0    ! the relative permeability of material 2 is 2.0
mp,lsst,2,0.5    ! the loss tangent of material 2 is 0.5

If you want to calculate the specific adsorption rate (SAR) of a lossy material, you must specify the mass density of the material (Lab = DENS on the MP command).

You can use a TB table to define the following material properties:

  • TB, CNDE – anisotropic electric current conductivity tensor (mhos/m)(1/Ωm)

  • TB, CNDM – anisotropic magnetic current conductivity tensor (ohms/m)

  • TB, DPER – anisotropic relative permittivity tensor

  • TB, MUR – anisotropic relative permeability tensor

Tensors are in the element coordinate system specified by the ESYS command. For detailed information on how to define material properties using a TB table, see High-Frequency Electromagnetic Materials in the Elements Reference.

For B-H nonlinear material, use the Opt field (TB, MUR,Mat,,,Opt) to specify a uniform (Opt = 1) or non-uniform dc magnetic field (Opt = 2). You can perform a magneto static analysis using a SOLID96, SOLID97, or SOLID117 element model to determine a non-uniform dc magnetic field. You can then apply that field to a high-frequency model using the LDREAD,H command. The following is an example command input listing.

/batch, list
! perform a magneto static analysis
/prep7
et,1,96                ! 8-node brick magneto static element
mp,murx,1,1            ! define free space permeability
mp,mgxx,1,10000        ! define magnetic coercive forces
block,0,1,0,0.1,0,0.1  ! define the geometry
esize,0.05             ! define mesh size
vmesh,1                ! meshing
nsel,s,loc,x,0
d,all,mag,0            ! define scalar magnetic potential
nsel,all
fini
/solu                  ! solve
solve
fini

! perform a high frequency electromagnetic analysis
/prep7
et,1,120                    ! 20-node brick HF element
modmsh,deta                 ! release all associativity between solid and finite element models
emid,add                    ! add mid nodes (from 8-node brick to 20-node brick)
mp,perx,1,1                 ! define permittivity
tb,MUR,1,,,2                ! define B-H nonlinear material with non-uniform dc magnetic field
tbdata,1,1000,2,100,,2,0,0  ! define the parameters of B-H nonlinear material
nsel,s,loc,x,0              ! set up excitation source
bf,all,js,1,2,3
nsel,all
asel,all
nsla,s
d,all,ax,0                  ! set up boundary condition
alls
fini

/solu                       ! perform high frequency electromagnetic solution
ldread,h,,, ,,file,rmg      ! read dc magnetic field from static solution and apply to HF model
antype,harmic
harfrq,1.e6
solve                       ! solve
fini

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 4. Performing a High-Frequency Harmonic Analysis 		Up / Home Next
4.2. Building the Model, Assigning Region Attributes, and Meshing


4.2. Building the Model, Assigning Region Attributes, and Meshing

Use the ANSYS preprocessor (PREP7) to create the model geometry. This model building process is common to most analyses. See the Modeling and Meshing Guide for details.

4.2.1. Defining Model Region Attributes

Attributes assigned to a model prior to meshing include element type and material number. You assign these to the region using the VATT command for volumes to be meshed with 3-D elements (HF119 and HF120). Use different material numbers to distinguish different material regions.

4.2.2. Meshing the Model

Use the ANSYS preprocessor (PREP7) to mesh the solid model geometry. This meshing is common to most analyses. See the Modeling and Meshing Guide for details.

For a full-wave FEA formulation, the mesh must be fine enough to minimize numerical dispersion effects from finite discretization. In general, it should have at least 10 elements per propagating or resonant wavelength for the material.

Note

If the propagating wavelength is 1 cm in free space, the wavelength is 0.5 cm in a dielectric with relative permittivity εr = 4.

To obtain accurate S-parameters, the elements located at the ports should have as close to a 1:1 aspect ratio as possible in the direction of the wave propagation.

You should also employ your knowledge of electromagnetic fields to determine an appropriate mesh density. For example, consider the following electromagnetic fields shown in Figure 4.2: "Electric Field Distributions" :

  • (a) a TE10 mode on the transverse cross section of a rectangular waveguide

  • (b) a fundamental mode on the transverse cross section of a microstrip structure

Since the electric field of a TE10 mode varies sinusoidally along the wide side of a rectangular waveguide and is uniform along the narrow side, there should be at least five elements along the wide side. Since the electromagnetic field concentrates under the metallic microstrip, to obtain the acceptable results, there should be at least four elements along the thickness of the substrate and at least five elements along the width of the microstrip.

Figure 4.2 Electric Field Distributions

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.1. Creating the Physics Environment 		Up / Home Next
4.3. Applying Boundary Conditions and Excitations (Loads)


4.3. Applying Boundary Conditions and Excitations (Loads)

You can apply most boundary conditions and excitations to a harmonic high-frequency analysis either on the solid model entities or on the finite element model entities. Applying boundary conditions to the solid model is advantageous in that they are independent of the underlying finite element mesh. Subsequent mesh refinement does not require reapplying the boundary conditions and excitation if adaptive meshing is used. For more information, see "Adaptive Meshing" in this guide and HFEREFINE in the Commands Reference.

Figure 4.3 Solid and Finite Element Models

4.3.1. Applying Boundary Conditions

Table 4.3: "High-Frequency Boundary Conditions" shows the available boundary conditions for a high-frequency analysis. See the detailed explanations of these boundary conditions below. For general information on applying boundary conditions see "Loading" in the Basic Analysis Guide.

Table 4.3 High-Frequency Boundary Conditions

Boundary Condition | Solid Model Entities | Finite Element Model Entities
Perfect Electric Conductor (PEC) | Lines or Areas | Nodes
Perfect Magnetic Conductor (PMC) | None required [1] | None required [1]
Standard Impedance Boundary Condition (SIBC) | Areas | Nodes
Perfectly Matched Layers (PML) | Not Applicable | Elements
Periodic Boundary Condition (PBC) | Areas | Nodes

  1. You do not need to specify a PMC boundary condition because it is a natural boundary condition.

4.3.1.1. Perfect Electric Conductor (PEC)

A perfect electric conductor (PEC) boundary (also called Electric Wall) is a surface on which the tangential component of the vector electric field ( [image] t) vanishes. Use boundary (DOF) constraints to define PEC boundary conditions on the solid model or finite element model entities. You can remove a neighboring conductor from the model and replace it with a PEC boundary condition, if the losses of the metallic conductor can be ignored. In many applications, a thin metallic object (for example, a metallic strip of a microstrip structure) simplifies to an infinitesimally thin metallic sheet with a PEC boundary condition.

Figure 4.4 PEC Boundary Condition

To reduce your model size, you can also apply PEC boundary conditions to symmetry planes that have a zero tangential component of the vector electric field. You must know the electric field distribution before you can take advantage of the symmetry.

To specify PEC boundary conditions, you can use the DL or DA command to set the AX DOFs to zero on the surface of the model or you can use the D command to set the AX DOFs to zero on the nodes of the finite element model. Alternatively, you can specify a PEC boundary condition from the GUI, which will impose AX = 0.

Command(s): | D, DL, or DA
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Boundary> Electric Wall> On Nodes Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Boundary> Electric Wall> On Lines Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Boundary> Electric Wall> On Areas

4.3.1.2. Perfect Magnetic Conductor (PMC)

A perfect magnetic conductor (PMC) boundary (also called Magnetic Wall) is a surface on which the tangential component of the vector magnetic field ( [image] t) vanishes. You can remove a highly permeable magnetic medium from the model and replace it with a PMC, if the losses of the magnetic medium can be ignored.

Figure 4.5 PMC Boundary Condition

To reduce your model size, you can also apply PMC boundary conditions to symmetry planes that have a zero tangential component of the vector magnetic field. You must know the magnetic field distribution before you can take advantage of the symmetry.

Note

You do not need to specify a PMC boundary condition because it is the natural boundary condition in ANSYS Emag - High Frequency. Any exterior surface without a specified boundary condition assumes a PMC boundary condition.

4.3.1.3. Surface Impedance

Table 4.4: "Surface Impedance Boundary Conditions" shows surface impedance boundary conditions available for a high-frequency electromagnetic analysis. You can use surface impedance boundary conditions to approximate a radiation boundary and an electrically small lossy/dielectric layer where a very fine mesh would usually be required. See the detailed explanations of these impedance boundary conditions below.

Table 4.4 Surface Impedance Boundary Conditions

Boundary Condition | SIBC Approximations | Equation [1] [2] | SF or SFA Command Label
Far-Field Radiation Boundary |  |  | INF
Air-dielectric Interface |  |  | IMPD
Dielectric Coating on PEC |  |  | IMPD
Non-perfect Electric Conductor |  |  | SHLD

  1. Enter the Z value calculated by this equation in the VALUE field of SF or SFA.

  2. μo and εo are the free-space permeability and free-space permittivity, respectively.

    μ and ε are the permeability and permittivity, respectively.

    μr is the relative permeability.

    τ is the thickness of the dielectric layer coating on the PEC.

    f is the frequency.

    σ is the conductivity of the non-perfect electric conductor.

    ω = 2πf

You can apply surface impedance to the nodes of the finite element model or the areas of a solid model using the following commands and GUI menu paths with Lab = INF, IMPD, or SHLD:

Command(s): | SF,Nlist,IMPD,VALUE,VALUE2 SFA,AREA,LKEY,IMPD,VALUE,VALUE2
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Boundary> Impedance> On Nodes Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Boundary> Impedance> On Areas

For the impedance surface load label (Lab = IMPD), VALUE and VALUE2 are the real and imaginary components of the impedance, respectively.

When explicit values of impedance are not known or when a harmonic solution over a wide frequency range is required, it is more convenient to specify the surface impedance in terms of the conductivity (COND) and relative permeability (MUR) of the non-perfect conductor. You can apply surface shielding properties using one of the following commands or menu paths (Lab = SHLD):

Command(s): | SF,Nlist, SHLD,COND,MUR SFA,AREA,LKEY,SHLD,COND,MUR
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Boundary> Shield> On Nodes Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Boundary> Shield> On Areas

Note

Be sure to specify conductivity in MKS units (Siemens/meter). The default for relative permeability is 1.0.

You can flag any exterior boundary and assign it as an infinite boundary using one of the following commands or menu paths (Lab = INF):

Command(s): | SF,Nlist,INF SFA,AREA,LKEY,INF SFL,LINE,INF
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Flag> Infinite Surface> On Nodes Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Flag> Infinite Surface> On Areas Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Flag> Infinite Surface> On Lines

For modeling a far-field radiating boundary, you need to flag the exterior nodes or exterior areas where the propagating wave is treated as a plane wave. When such an infinite far-field radiation boundary is close to the objects and the scattering wave is not a plane wave or a spherical wave, numerical error will occur. Using perfectly matched layers (PML) is a more accurate method for modeling the far-field radiation boundary (see the next section).

Applying boundary conditions to the solid model offers the advantage that they are independent of the underlying finite element mesh. This allows you to make mesh modifications without having to reapply the loads.

4.3.1.4. Perfectly Matched Layers (PML)

The purpose of an absorbing boundary condition is to absorb the outgoing electromagnetic wave so that there are no reflections back into the FEA computational domain. Perfectly matched layers (PML) are the layers of electromagnetic wave absorbing elements designed for the mesh truncation of an open FEA domain in a harmonic or modal analysis. It is an artificial anisotropic material that is transparent and heavily lossy to incoming electromagnetic waves. PML can reduce the size of the computational domain significantly with very small numerical reflections. A PML region is backed by a PEC boundary condition.

If the electromagnetic wave needs to be absorbed in only one direction, as in the case of a traditional waveguide port, you construct a 1-D PML region in the global Cartesian coordinate system or a local Cartesian coordinate system as shown in the following figure.

Figure 4.6 Microstrip Structure with PML Regions

A 3-D PML region consists of layers of elements extending from the interior volume towards the open domain as shown in the following figure. You construct a block about the origin of the global Cartesian coordinate system or a local Cartesian coordinate system. You align the edges of the 3-D PML region with the axes of the Cartesian coordinate system.

Figure 4.7 PML Region Attached to Interior Region

To optimize the absorbing efficiency of the PML, you must properly construct the PML regions and appropriately choose the following PML parameters:

  • Thickness of the PML Region

  • Number of PML Elements

  • Attenuation Parameters

  • Number of Normal Elements between the PML Region and Objects or Discontinuities

Use the ET command to define PML elements. Set KEYOPT(4) = 1 for HF119 or HF120 and then mesh the PML region. Use any element shape to mesh the PML block.

More than one 1-D PML region may exist in a finite element model. The element coordinate system (ESYS command) uniquely identifies each PML region. Use the LOCAL command to define a Cartesian coordinate system, and then assign this coordinate system to the elements in the PML region (VATT or ESYS command prior to meshing or the EMODIF command after meshing).

The attenuation from the PML interface to the PML exterior surface is a parabolic distribution that minimizes numerical reflections from the PML elements. The numerical reflections are caused by the discretization of a continuous distribution of material from element to element. To obtain satisfactory numerical accuracy, you should use at least four layers of PML elements. At lower operating frequencies (< 1 GHz), the PML thickness may need to be greater than a quarter wavelength.

Figure 4.8 Attenuation Distribution

Since PML acts as an infinite open domain, any boundary conditions and material properties need to be carried over into the PML region. Material properties such as permittivity, permeability, and conductivity in the PML region must be the same as the adjacent interior region. For example, in the model of a microstrip structure with PML regions, you should carry over the dielectric and air properties to the adjacent PML layers (see Figure 4.6: "Microstrip Structure with PML Regions").

A PEC boundary condition must back all exterior surfaces of the PML region, except for symmetric surfaces with a PMC boundary condition. To specify a PEC boundary condition on the outer surfaces of the PML region, use the D command for a finite element model or the DL or DA command for a solid model. PEC or PMC boundary conditions can be applied on the symmetric surfaces of a PML region. For a high frequency structure that has a matching load, rather than an open domain, the PML region plays the role of the matching load.

You should include some buffer elements (at least four) between the PML region and a discontinuity or object in the interior domain. The PML will then absorb the outgoing wave effectively and minimize numerical reflections.

Figure 4.9 Buffer Elements in Interior Domain

Since PML is an artificial anisotropic material, excitation sources are prohibited in the PML region.

The attenuation of the electromagnetic wave in a PML region may be controlled. You can specify the normal reflection coefficient (harmonic) for propagating waves by using one of the following:

Command(s): | PMLOPT,ESYS,Lab,Xminus,Xplus,Yminus,Yplus,Zminus,Zplus
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Boundary> Shield> On Nodes

The direction designations are Xminus, Yminus, Zminus, Xplus, Yplus, and Zplus. The minus and plus refer to the negative and positive directions along the Cartesian coordinate axes, respectively. If the propagating wave is only absorbed in one direction, you define a 1-D PML region (Lab = ONE). You only need to specify the Xminus argument for a 1-D PML region. For a 3-D PML region, you can define a different normal reflection coefficient for each direction (Xminus, Yminus, Zminus, Xplus, Yplus, and Zplus). The normal reflection coefficients default to 1.E-3 (-60 dB) for a harmonic analysis. Normal reflection coefficients should be less than 1.0. If only a few PML layers are used (for example, four layers), specifying a very small normal reflection coefficient (such as -100 dB) may lead to significant numerical reflection. Increase the number of layers before specifying a very small reflection coefficient. Repeat the PMLOPT command for additional PML regions. Refer to the PMLOPT and PMLSIZE commands in the Commands Reference and Perfectly Matched Layers in the Theory Reference for ANSYS and ANSYS Workbench for more information.

The number of PML layers dominates the absorbing efficiency of PML. However, an excessive number of PML elements will significantly increase the computational requirements. The number of PML layers (n) for acceptable numerical accuracy can be determined by one of the following:

Command(s): | PMLSIZE,FREQB,FREQE,DMIN,DMAX,THICK,ANGLE
GUI: | Main Menu> Preprocessor> Meshing> Size Cntrls> PML

where: DMIN, DMAX, and THICK are shown in the following figure.

Figure 4.10 Distance between Source/Objects and PML Region

If n is less than 5, the number of layers is set to 5 in order to reduce the numerical reflection. If n is greater than 20, the number of layers is set to 20 to avoid having an excessive number of PML elements.

The PMLSIZE macro must be issued before you mesh your model. If the thickness of the PML region is known, it specifies an element edge length. If the thickness of the PML region is unknown, it species the number of layers (n).

Refer to the PMLOPT and PMLSIZE commands in the Commands Reference and Perfectly Matched Layers in the Theory Reference for ANSYS and ANSYS Workbench for more information.

4.3.1.5. Periodic Boundary Conditions

Periodic boundary conditions enable you to model time-harmonic electromagnetic scattering, radiation, and absorption characteristics of doubly periodic array structures. A periodic array is assumed to extend infinitely as shown in the following figure. The direction normal to the periodic plane is selected as the Z direction of the global Cartesian coordinate system.

Figure 4.11 Arbitrary Infinite Periodic Structure

For scattering problems, an arbitrarily polarized plane wave impinges on the periodic structure at some arbitrary oblique arrival angle with respect to the Z direction. The reflection, transmission, absorption, and polarization characteristics of the periodic structure are simulated. For most scattering problems, the periodic structure will not include internal excitation sources. For radiation problems, an electromagnetic current source or other excitation source will exist inside the periodic structure.

The infinite extension assumption allows you to investigate a single periodic unit cell as shown in the following figure. The electromagnetic fields on the cell sidewalls exhibit a dependency described by the theorem of Floquet. Refer to High-Frequency Electromagnetic Field Simulation in the Theory Reference for ANSYS and ANSYS Workbench for more information on this theorem.

Figure 4.12 Unit Cell

The cell sidewalls are assigned as master and slave boundaries, and they are bound together by the periodic boundary conditions. The electromagnetic wave in the periodic volume radiates into infinity or is absorbed in the z direction. You must use PML to truncate the open space because Floquet's electromagnetic wave propagates in the periodic structure. You should also use PML or a matched impedance port to terminate a traditional waveguide port, if it exists inside the periodic structure.

To impose periodic boundary conditions, the mesh pattern on the master boundary must be identical to the mesh pattern on the slave boundary. You must mesh the master boundary using the AMESH command. You then use the AGEN or MSHCOPY command to generate the mesh on the slave boundary prior to meshing the cell volume. Matching the nodes on the master boundary to the nodes on the slave boundary imposes the periodic boundary conditions. You use the CPCYC or CP command to generate the coupled nodes.

As an example, the following command input listing creates periodic boundary conditions for a unit cell of a infinite rectangular waveguide periodic array:

/batch,list
/title, S11 of JRM Array, E plane scan, 9.25 GHz
/com, Problem: Compute S11 of JRM Array for E-Plane scan at 9.25 GHz
/com, Numerical Model: Waveguide + Radiation Space + PML
/com,                  Waveguide: 0.9"x0.4"x0.75"
/com,                  Radiation Space: 1.0"x0.5"x0.75"
/com,                  PML: 1.0"x0.5"x0.75"
/com,
/nopr
/prep7
freq=9.25e9
lamda=3.e8/freq
scal=25.4e-3
a1=scal*0.9/2.
b1=scal*0.4/2.
a2=scal*1.0/2.
b2=scal*0.5/2
c1=scal*0.75
c2=scal*0.5
c3=scal*0.75
c4=scal*1.5
rmin=c3
rmax=sqrt(2.)*c3
dpml=c4-c3

h=lamda/5
tiny=1.e-5
ang=30
angmax=60.

et,11,200,5
et,1,119,1,,,0
et,2,119,1,,,1                              ! cycle element
mp,murx,1,1.
mp,perx,1,1.

local,11
wpcsys,,11
block,-a1,a1,-b1,b1,0,-c1
!block,-a2,a2,-b2,b2,0,c2
block,-a2,a2,-b2,b2,0,c3
block,-a2,a2,-b2,b2,c3,c4
vglue,all
type,11
esize,h
asel,s,loc,x,-a2
asel,a,loc,y,-b2
asel,r,loc,z,0,c3
amesh,all
PMLSIZE,9e9,9.5e9,rmin,rmax,dpml,angmax
asel,s,loc,x,-a2
asel,a,loc,y,-b2
asel,r,loc,z,c3,c4
amesh,all
alls
asel,s,loc,x,-a2
agen,2,all,,,2*a2
asel,s,loc,y,-b2
agen,2,all,,,0,2*b2
alls
nummrg,all

mat,1
type,1                                       ! create normal element
vsel,s,loc,z,-c1,c3
esize,h
vmesh,all
type,2                                       ! create PML element
PMLSIZE,9e9,9.5e9,rmin,rmax,dpml,angmax
vsel,s,loc,z,c3,c4
vmesh,all
alls
aclear,all
etdel,11
alls

nsel,s,loc,x,-a2
nsel,a,loc,x,a2
cpcyc,ax,,,2*a2,0,0,1
nsel,s,loc,y,-b2
nsel,a,loc,y,b2
cpcyc,ax,,,0,2*b2,0,1
alls
finish

The finite element models created are shown in the following figure.

Figure 4.13 Periodic Array Models

The SPSCAN macro can perform a harmonic analysis of the unit cell and extract the S-parameter at the port over a specified scanning angle range. You can then use the PLSYZ command to plot the S-parameter over the scanning angle range.

You can use the HFPA command to specify the scan angle for a harmonic analysis. In POST1, you can issue the HFARRAY command to define the antenna array. You can then use PRHFFAR or PLHFFAR to obtain the radiation pattern and the directive gain of the phased array antenna, based on the solution for the unit cell.

4.3.2. Applying Excitation Sources

Table 4.5: "High-Frequency Excitation Sources" shows all excitation sources available for a high-frequency analysis. You can apply excitation sources on the listed solid model entities or finite element model entities. See the detailed explanations of these excitation sources below. For general information on applying loads see "Loading" in the Basic Analysis Guide.

Table 4.5 High-Frequency Excitation Sources

Excitation Sources | Solid Model Entities | Finite Element Model Entities
Excitation Port | Areas | Nodes
Current Density Volume | Volumes | Nodes or Elements
Current Density Area | Area | Nodes or Elements
Current Density Line | Lines | Nodes
Current Density Point | Keypoints | Nodes
Plane Wave | Not Applicable | Not Applicable
Surface Magnetic Field | Areas | Nodes
Electric Field | Lines or Areas | Nodes

4.3.2.1. Excitation Port

Excitation port refers to a plane where an excitation source is defined by the HFPORT command. Excitation ports include traditional waveguide ports, arbitrary modal ports, uniform lumped gap ports, and plane wave ports. The port plane can be an interior surface that is inside the computational domain or an exterior surface that truncates the computational domain. For traditional waveguides, you may launch a modal electromagnetic field for a coaxial waveguide, rectangular waveguide, circular waveguide or parallel plate waveguide. A waveguide port can be either interior or exterior with respect to the matching condition. A modal port automatically uses the electromagnetic field of an ANSYS Emag - High Frequency modal analysis for the excitation. The modal port can be either an interior port or an exterior port. The lumped gap port is a simplified interior port with an assumed uniform electromagnetic field. A plane wave port is an interior port that is only used for a scattering analysis of a periodic structure.

Specifying the excitation port option is a two-step process. First you select the solid model area (or nodes) to define the port location and assign a port number. The port number assigned must be between 1 and 50. For an exterior port, you choose the areas or nodes and then use one of the following to assign a port number and apply a surface load:

Command(s): | SF, SFA
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Excitation> Port> Exterior> On Nodes Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Excitation> Port> Exterior> On Areas

For an interior port, you would use one of the following to assign a port number and apply a body load:

Command(s): | BF, BFA
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Excitation> Port> Interior> On Nodes Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Excitation> Port> Interior> On Areas

Next, you need to identify the port type: coaxial waveguide, rectangular waveguide, circular waveguide, parallel-plate waveguide, modal, lumped gap, or plane wave. You also need to specify the attributes of the port (geometric properties and excitation conditions). You may define geometric properties of a waveguide with respect to a local coordinate system. For a waveguide port, the origin of the local coordinate system must be centered about the face of the port without considering symmetry. For waveguide, modal, and lumped gap ports, the z direction must correspond with the wave propagation direction. For a plane wave port, the z direction of either the global Cartesian or a local coordinate system must be perpendicular to the periodic plane (see Figure 4.11: "Arbitrary Infinite Periodic Structure").

To define a local coordinate system, use one of the following:

Command(s): | LOCAL
GUI: | Utility Menu> WorkPlane> Local Coordinate Systems> Create Local CS> At Specified Loc

To identify the port, use the command or menu path shown below.

Command(s): | HFPORT,Portnum,Porttype,Local,Opt1,Opt2,VAL1, ... ,VAL8
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Excitation> Port> Exterior> On Nodes Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Excitation> Port> Exterior> On Areas Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Excitation> Port> Interior> On Nodes Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Excitation> Port> Interior> On Areas

The Porttype argument defines the port type. The Opt1 argument defines the mode type for a waveguide port or the required mode number for a modal port. To view the electromagnetic field at a modal port, issue /PSF for an exterior port or /PBF for an interior port after you have issued HFMODPRT or SPSWP.

Table 4.6 Port Types

Port Type (Porttype) | Mode Type or Path Name (Opt1)
Coaxial Waveguide (COAX)

  • Transverse Electromagnetic (TEM) Mode

Rectangular Waveguide (RECT)

  • Transverse Electric (TEmn) Mode [1]

  • Transverse Magnetic (TMmn) Mode [1]

Circular Waveguide (CIRC)

  • Transverse Electric (TEmn) Mode [2]

  • Transverse Magnetic (TMmn) Mode [2]

Parallel Plate Waveguide (PARA)

  • Transverse Electromagnetic (TEM)

  • Transverse Electric (TEon) Mode [3]

  • Transverse Magnetic (TMon) Mode [3]

Modal (MODAL)

  • Required Mode Number

Lumped Gap (LGAP) | Not Used
Plane Wave (PLAN) | Not Used

  1. The subscripts m and n mean the variation of the field along the wide side and narrow side of the waveguide, respectively.

  2. The subscripts m and n mean the variation of the field along the angular and radial directions of the waveguide, respectively.

  3. The subscript zero means no field variation and the subscript n means the variation of the field between the plates.

The VAL1 - VAL8 arguments specify inputs such as geometric properties and excitation conditions. See the HFPORT command for additional information.

As shown in the following figure, a port may exist on the exterior surface or interior surface of a modeled domain. An exterior port allows you to launch an incident wave and the port absorbs the reflected wave for the launched mode. An interior port allows you to launch a bidirectional incident wave. All reflected modes will pass through the interior port and will be absorbed by a PML absorbing boundary condition if the interior port is assigned as a matched port. The Opt2 argument controls the ability to launch a wave and to pass reflected waves.

Figure 4.14 Exterior and Interior Ports

When launching a fundamental mode using the exterior port option (Opt2 = EXT), you should locate the port at least half of a wavelength away from any discontinuity or structure to ensure that other reflected higher order modes are damped out. You may extract S-parameters at this port for the single mode.

An interior port (Opt2 = INT) has the advantage that it supports launching of a wave and passing of all reflected waves. Hence, you can place an interior port very close to a structure or discontinuity with no loss in accuracy. An interior port can only be defined in the normal element region (KEYOPT(4) = 0), and not at the interface between the normal region and the PML region or in the PML region.

A PML region can be located behind the interior port to absorb the reflected and incident waves as shown in the following figure. If higher order modes are a concern, you can use interior ports and PML absorption. The S-parameters of the specified single mode can be extracted at the ports.

Figure 4.15 Interior Ports

The plane wave source port (Porttype = PLAN, Opt2 = SOFT) launches a plane wave for a scattering analysis of a periodic structure. Here, you need to define the coupled master and slave surfaces of the solid model or nodes of the finite element model. You must use PML to truncate the open space because Floquet's electromagnetic wave propagates in the periodic structure. The plan wave port must be an interior soft port as illustrated in the following figure. For information on how to define a plane wave, see Plane Wave Source.

Figure 4.16 Model for Scattering Analysis of Periodic Structure

The HFPORT arguments VAL1 - VAL8 define the other port inputs.

Table 4.7 HFPORT VALUE Arguments[1]

Port Type | VAL1 | VAL2 | VAL3 | VAL4 | VAL5 | VAL6 | VAL7 | VAL8
COAX | Inner Radius | Outer Radius | Voltage between Inner and Outer Conductors [2] | Phase Angle | Input Power | Distance from Extraction Plane to Reference Plane | Not Used | Not Used
RECT | Width | Height | Ez for TM or Hz for TE [2] | Phase Angle | Input Power | Distance from Extraction Plane to Reference Plane | Not Used | Not Used
CIRC | Radius | Not Used | Ez for TM or Hz for TE [2] | Phase Angle | Input Power | Distance from Extraction Plane to Reference Plane | Not Used | Not Used
PARA | Width | Separation | Ey for TEM, Ez for TM, or Hz for TE [2] | Phase Angle | Input Power | Distance from Extraction Plane to Reference Plane | Not Used | Not Used
PLAN | Ex | Ey | Ez [2] | Angle φ in Spherical Coordinate System | Angle θ in Spherical Coordinate System | Distance from Extraction Plane to Reference Plane | Not Used | Not Used
MODAL | Not Used | Not Used | Magnitude of Electric Field | Phase Angle | Input Power | Distance from Extraction Plane to Reference Plane | Not Used | Not Used
LGAP | Width | Separation | Voltage Across Gap [2] | Phase Angle | Input Power | Distance from Extraction Plane to Reference Plane | Not Used | Characteristic Impedance

  1. If time-averaged power is input, it overrides the applied voltage or field input. See the HFPORT command for more information on the VAL1 -VAL8 arguments.

  2. VAL3 is a RMS value.

4.3.2.2. Current Source

You can use a current source to excite electromagnetic fields in a high-frequency structure. Current density is input by defining up to three components of a vector quantity (JSX, JSY, and JSZ) and a phase angle. If the current density vector is not aligned with the global Cartesian coordinate system, you may take advantage of either a rotated nodal coordinate system (NROTAT command) or an element coordinate system (ESYS command). If current density is specified at nodes (BF command) or transferred to nodes from a solid model entity (BFA, BFL, or BFK), you can use a rotated nodal coordinate system to align the current density vector. If current density is specified on elements (BFE command) or transferred to elements from a solid model volume (BFV command), you can use an element coordinate system to align the current density vector. To view the current density vectors, use the /PBC,JS,,2 command option.

To define a current density volume source, use one of the following:

Command(s): | BF, BFV, BFE
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Excitation> Curr Density> On Nodes Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Excitation> Curr Density> On Volumes Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Excitation> Curr Density> On Elements

For a surface current source, you should specify the current density on at least three nodes on an element face. The surface current source must coincide with the element faces. You can define a current density surface source using one of the following:

Command(s): | BF, BFA
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Excitation> Curr Density> On Nodes Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Excitation> Curr Density> On Areas

For a line current source, you should specify the current density at two nodes connected by an element edge. The line current source must coincide with the element edges. To define a current density line source, use one of the following:

Command(s): | BF, BFL
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Excitation> Curr Density> On Nodes Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Excitation> Curr Density> On Lines

A point current source must be at the element nodes. You can define a current density point source using one of the following:

Command(s): | BF, BFK
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Excitation> Curr Density> On Nodes Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Excitation> Curr Density> On Keypoints

In general, a current density source launches the electromagnetic wave in all directions. For a propagating or resonant system, you can use a current density source to excite the propagating modes or resonant modes of the structure. Only proper modes can exist in the structure. In order to reduce the parasitic modes, you should choose the distribution of the current density based on the electric field distribution of the excited mode.

The following guidelines apply when a current density source is used to excite a high-frequency propagating structure:

  • To avoid the parasitic modes around the excitation source, locate parameter extraction planes at least 1/4 wavelength away from the excitation position.

  • Use PML to terminate the computational domain along the wave propagating direction.

You can also define a radiation source using a current density distribution in terms of a conducting current distribution on the radiator. For example, you can choose a sinusoidal current distribution to model a very thin half-wavelength dipole antenna.

4.3.2.3. Plane Wave Source

A incident plane wave source is available. You can define a plane wave by component values of an electric polarization vector and the incident angles in a global Cartesian coordinate system:

If a plane wave port is assigned, you can define a plane wave in a local Cartesian coordinate system.

Define a external plane wave (a free-space harmonic incident plane electromagnetic wave) using one of the following:

Command(s): | PLWAVE
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Excitation> Plane Wave> Define Wave

You need to specify the following plane wave attributes:

  • Electric field amplitude in the X, Y, and Z directions.

  • Angle between the X-axis and the projection of the incident plane wave vector on the X-Y plane (φ).

  • Angle between the Z-axis and the incident plane wave vector.

Figure 4.17 Spherical Coordinates

Note

As shown in Figure 4.17: "Spherical Coordinates", the wave vector points to the origin of the Cartesian coordinate system.

When used together with an unbounded domain model (using PML as an absorber), the scattering effects of an incident field on a body can be simulated using the scattering analysis command HFSCAT.

You cannot use the PLWAVE command to define an incident plane wave for a scattering analysis of a periodic structure. Here, a plane wave port must be specified using the HFPORT command. The scattering analysis command HFSCAT is not valid because a total field formulation is used for the scattering analysis of a periodic structure.

4.3.2.4. Surface Magnetic Field Source

You can apply a fixed magnetic field (hard) excitation source on an exterior surface using one of the following:

Command(s): | BF, BFA
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Excitation> Magnetic Field> On Nodes Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Excitation> Magnetic Field> On Areas

You should impose a hard surface magnetic field excitation source on the exterior nodes of a computational domain as shown in Figure 4.18: "Exterior Hard Surface Magnetic Field Excitation". Specify a soft excitation source if the surface magnetic field source is on the interior nodes of a computational domain as shown in Figure 4.19: "Soft Interior Surface Magnetic Field Excitation".

Figure 4.18 Exterior Hard Surface Magnetic Field Excitation

For a surface magnetic field source, you should specify the magnetic field at three nodes on an element face, at least. The surface magnetic field source must coincide with the element faces. The magnetic field is input by defining up to three components of a vector quantity (HX, HY, HZ) and a phase angle. If the magnetic field vector does not align with the global Cartesian coordinate system, you may take advantage of a rotated nodal coordinate system (NROTAT command). The magnetic field specified at nodes (BF command) or transferred to nodes from a solid model entity (BFA, BFL, or BFK) may use a rotated nodal coordinate system to align the magnetic field vector. To view the magnetic field vectors, use the /PBC,H,,2 command option.

You can also apply a soft excitation source as shown in the following figure. It allows reflection waves to go through the source surface without any reflection. To do so, you define an interior surface magnetic field source using the BF or BFA command. The HF119 or HF120 elements in the region that the reflection wave propagates into must be scattering elements (KEYOPT(4) = 2). However, you still define the elements in the PML region by a KEYOPT(4) = 1 setting.

Figure 4.19 Soft Interior Surface Magnetic Field Excitation

4.3.2.5. Electric Field Source

You can apply a fixed electric field source on an external surface using one of the following:

Command(s): | BF, BFL, BFA
GUI: | Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Excitation> Electric Field> On Nodes Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Excitation> Electric Field> On Lines Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Excitation> Electric Field> On Areas

For a line electric field source, you should specify the electric field at two nodes connected by an element edge. For a surface electric field source, you should at least specify the electric field at three nodes on an element face. The surface electric field source must coincide with the element faces. The line electric field source must coincide with the element edges.

The electric field is input by defining up to three components of a vector quantity (EFX, EFY, and EFZ) and a phase angle. If the electric field vector does not align with the global Cartesian coordinate system, you may take advantage of a rotated nodal coordinate system (NROTAT command). The electric field specified at nodes (BF command) or transferred to nodes from a solid model entity (BFA, BFL, or BFK) may use a rotated nodal coordinate system to align the electric field vector. To view the electric field vectors, use the /PBC,EF,,2 command option.

The electric field source is a fixed hard excitation source, which is equivalent to an unmatched voltage source. The AX DOF updates automatically after the excitation electric field is imposed on the element nodes.

Only the first order HF119 and HF120 elements are available for this excitation.

4.3.2.6. Equivalent Source Surface

The near and far fields beyond the FEA domain are of importance in high-frequency electromagnetics. Many design parameters (for example, radar cross-section, antenna pattern, directive gain, and radiation power) are based on the far field values.

The surface equivalence principle enables you to calculate the electromagnetic fields beyond the FEA domain. It states that the electromagnetic field exterior to a given surface can be exactly represented by an equivalent electric and magnetic current placed on that surface and allowed to radiate into the region external to that surface. Refer to the Theory Reference for ANSYS and ANSYS Workbench for more information on this principle.

For problems requiring near-field and far-field computations (for example, antenna parameters, radar cross section, and electromagnetic field values) you must first define an equivalent source surface in the preprocessor as shown in the following figure. The surface must enclose the radiator or scatter, except for symmetry planes. The equivalent electric and magnetic current are computed and stored on the surface. This enables you to quickly calculate near-field and far-field information in the postprocessor.

Figure 4.20 Equivalent Source Surface

For radiation and scattering problems, you must use an absorbing boundary condition, either PML or far-field radiation boundary (INF). Since the ideal radiation or scattering plane wave leads to a very large spherical computational domain for an acceptable numerical accuracy, you should use PML to truncate the computational domain. The equivalent source surface should be between the radiator or scatter and the PML region. In principle, the equivalent source surface should be close to the radiator or scatter to obtain good near-field and far-field results. However, because of the lower order element discretization of the computational domain and the numerical integration on the equivalent source surface, you should use half a wavelength or greater separation between the radiator or scatter and the equivalent source surface. You should also place some buffer elements between the equivalent source surface and the PML region.

You define an equivalent source surface using a surface boundary condition with the Maxwell flag MXWF. Exercise care when applying a MXWF surface load to define an equivalent source surface. Do not flag any surface on a symmetry plane (for example, the y-z and x-z planes in Figure 4.20: "Equivalent Source Surface"). The following is one way to flag an equivalent source surface:

  1. Select the elements interior to the equivalent source surface (ESEL).

  2. Select all the nodes of these elements (NSLE,S).

  3. Reselect just the exterior nodes to work with only the surface nodes (NSEL,R,EXT).

  4. Apply the surface flag (SF,ALL,MXWF).

The following is another way you can flag an equivalent source surface:

  1. Select the nodes interior to the equivalent source surface (NSEL).

  2. Select the elements attached to the selected nodes, only if all of its nodes are in the selected nodal set (ESLN, S, 1, ALL).

  3. Select the nodes on the "MXWF" surface.

  4. Apply the surface flag (SF, ALL, MXWF).

Caution

Do not apply the surface flag using the SFA command. This option will transfer the surface flag to adjacent elements on either side of the equivalent source surface and may lead to erroneous results.

You do not need to define an equivalent source surface when performing a scattering analysis of a periodic structure. The interior plane wave port surface serves as the equivalent source surface.

4.3.2.7. Lumped Circuits

You can simplify your model and reduce the number of DOFs if fringe effects at discontinuities can be ignored or a passive device can be treated as a lumped circuit. As shown in the following figure, six types of lumped circuits are available.

Figure 4.21 Lumped Circuits

To utilize this simplification, you apply lumped circuit loads to the mid-nodes of element edges using the BF command with Lab = LUMP. ANSYS Emag - High Frequency imposes the lumped circuit loads on the end nodes of the element edges as well as the mid-nodes.

When applying lumped circuit loads to multiple edges, you must generate equivalent circuit loads whose sum is equal to the given lumped circuit load. For example, consider the 2-port lumped network shown in the following figure.

Figure 4.22 2-Port Lumped Network

The following figure shows the equivalent circuit model and impedance values for a FEA mesh with the impedance load shown in Figure 4.22: "2-Port Lumped Network". The 2Z/3 loads are applied to the mid-nodes of the corresponding edges.

Figure 4.23 Equivalent Lumped Circuit Model

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.2. Building the Model, Assigning Region Attributes, and Meshing 		Up / Home Next
4.4. Solving Harmonic High-Frequency Analyses


4.4. Solving Harmonic High-Frequency Analyses

The ANSYS program simulates electromagnetic wave propagation, radiation and scattering phenomena in a 3-D harmonic analysis.

To enter the SOLUTION processor, use either of the following:

Command(s): | /SOLU
GUI: | Main Menu> Solution

4.4.1. Defining the Analysis Type

To specify the analysis type, use either of the following:

Command(s): | ANTYPE,HARMIC
GUI: | Main Menu> Solution> Analysis Type> New Analysis> Harmonic Analysis

You cannot restart a harmonic analysis. If you want to apply a different set of harmonic loads, do a new analysis each time.

4.4.2. Defining Analysis Options and Estimating Computer Resources

For a full harmonic analysis, you can choose the sparse direct solver (SPARSE) (default), the Quasi-Minimal Residual (QMR) solver, or the Incomplete Cholesky Conjugate Gradient (ICCG) solver using one of the following:

Command(s): | EQSLV
GUI: | Main Menu> Solution> Analysis Type> Analysis Options

When choosing an iterative solver, use the QMR solver for symmetric linear equations (excluding periodic structures) and the ICCG solver for unsymmetric matrices.

For a relatively small-size problem (50,000 DOFs or less), the sparse solver is recommended. For larger problems, you can also use the QMR or ICCG solver. If the QMR or ICCG solver does not converge, you must switch to the sparse solver. In general, if a FEA model has 1 million DOFs, it requires 2 GB RAM and 10-15 GB disk space for the SPARSE solver. For the number of DOFs per element, see Table 4.1: "Element DOFs" in this chapter.

If Ne is the total number of HF119 tetrahedral elements and M is defined by M=(Ne/5)1/3, the number of DOFs for 1st order and 2nd order elements are 3M(M+1)(2M+1) and 6M(M+1)(4M+1)+8M3, respectively. If Ne is the total number of HF120 hexahedral elements and M is defined by M=Ne1/3, the number of DOFs for 1st order and 2nd order elements are 3M(M+1)2 and 6M(M+1)(3M+1)+6M3, respectively.

4.4.3. Setting the Analysis Frequencies

Set the frequency (in Hz), using the command or GUI path shown below:

Command(s): | HARFRQ
GUI: | Main Menu> Preprocessor> Loads> Load Step Opts> Time/Frequenc> Freq and Substps

If you specify the frequency range on the HARFRQ command to perform a frequency sweep, you have to store each load step of data and manually process each result.

4.4.4. Defining a Scattering Analysis

To specify a pure vector scattering field analysis, use one of the following:

Command(s): | HFSCAT
GUI: | Main Menu> Solution> Analysis Type> Analysis Options

Use the HFSCAT command to specify a scattering analysis and the type of electromagnetic field output:

  • Use the scattering formulation and store the scattering field Esc(Lab = SCAT).

  • Use the scattering formulation and store the total electromagnetic field Etotal = Einc + Esc (Lab = TOTAL)

  • Turn off scattering formulation analysis (Lab = OFF)

If a Radar Cross Section (RCS) is required at postprocessing, you must specify Lab = SCAT. You must also flag the virtual equivalent current source surface that encloses the scatter using the SF command (Lab = MXWF).

Note

  • Only first order HF119 or HF120 elements are available for a scattering analysis.

  • The HFSCAT command is not applicable to a scattering analysis of a periodic structure.

4.4.5. Defining a Radiation Analysis for a Phased Array Antenna

For a radiation analysis of a phased array antenna, you must also define master/slave coupling pairs on the boundaries of a unit cell of the periodic structure (see the CP and CPCYC commands). You must also specify the scan angles. If a far-field computation is required at postprocessing, you must flag the virtual equivalent current source surface using the SF command (Lab = MXWF). The equivalent current source surface must not include the master/slave surface of the unit cell.

Only first order HF119 or HF120 elements are available for a radiation analysis of a phased array antenna.

To specify a radiation scan angle for a phased array antenna analysis, use one of the following:

Command(s): | HFPA
GUI: | Main Menu> Solution> Analysis Type> Analysis Options

4.4.6. Defining a Modal Port Solution

To specify a electromagnetic field at a modal port, use the HFMODPRT command. You must use HFMODPRT when a modal port is defined and the SPSWP command is not used for a solution.

4.4.7. Starting the Solution

To initiate a single solution, use either of the following:

Command(s): | SOLVE
GUI: | Main Menu> Solution> Solve> Current LS

To solve the analysis over a range of frequencies, you can either execute the HFSWEEP macro or specify the frequency range by the HARFRQ command. HFSWEEP saves you some steps in that it automatically solves the analysis and executes ANSYS macros (such as SPARM, IMPD, and REFLCOEF) which calculate S-parameters and other coefficients automatically. If you specify the frequency range by HARFRQ to perform a frequency sweep, you need to store the data for each load step and manually process each result set to obtain S-parameters and coefficient data. For detailed information on SPARM, IMPD, REFLCOEF and other macros, see Calculating Circuit Parameters for High-Frequency Devices in this guide. Information on these macros can also be found in the Commands Reference.

When using HFSWEEP, for a coaxial waveguide, you may elect to calculate multi-port S-parameters or reflection coefficient, voltage standing wave ratio, return loss, and impedance at a specified location from the driven port. For rectangular waveguides, you may calculate S-parameters for up to four ports. The ANSYS program calculates the data and stores it in the array parameter HFDATA. The program displays the results interactively in tabular form and on an output file, HFSWEEP.OUT. The data is also displayed on graphs stored in a file, HFSWEEP.GPRH.

You can view the graphs with the externally supplied DISPLAY program. It you want to export the data to a third-party package, you can do so through the HFSWEEP.OUT file or the HFDATA array parameter. To ensure that all input data for executing the macro is defined properly, run a short sweep (one or two frequencies) before initiating a lengthy frequency sweep.

To execute the HFSWEEP macro, use either of the following:

Command(s): | HFSWEEP
GUI: | Main Menu> Solution> Solve> Electromagnet> HF Emag> Freq Sweep

Note

Using the HFSWEEP macro may require you to define one or more paths through your model. You must define these paths in the postprocessor (with the PATH and PPATH commands) and save them to an external file (PASAVE command) or to an array parameter (PAGET command) before issuing the frequency sweep. See the Basic Analysis Guide for information about paths or the descriptions of the PATH, PPATH, and PAGET commands.

The SPSWP macro automatically performs harmonic analyses over a frequency range and executes the SPARM macro to calculate S-parameters. It outputs a Touchstone file of S-parameters, filename.snp, where n is the number of ports. The SwpOpt argument specifies the solution method: Full, Variational Technology, or Variational Technology using a perfect absorber. The full method uses the direct or iterative solver to perform solutions at every frequency between the beginning and ending frequencies (FREQB and FREQE arguments) as determined by the frequency increment (FREQINC argument). For more information on this method, see the information under Scattering Parameters (S-Parameters). The separately licensed VT Accelerator add-on product's harmonic sweep capability performs a factorization solution of the linear equations at the mid-frequency of the specified range. It then performs good approximations of the results over the frequency range. Variational Technology can be much faster than the full method. For more information on that method, see Harmonic Sweep Using VT Accelerator in the Advanced Analysis Techniques Guide.

To execute the SPSWP macro, use either of the following:

Command(s): | SPSWP
GUI: | Main Menu> Solution> Solve> S-Par Freq Sweep

It is recommended that you perform an initial solution at a single frequency to ensure that all input arguments are properly set before you run a frequency sweep. To run a single frequency, set FREQB to FREQE.

SPSWP performs a sequence of solutions whereby for each solution, one port is “excited” and the other ports are “matched”. Each solution represents one column of a S-parameter matrix (i.e., if Port 1 is excited for a three-port system, the resulting column represents the S11, S21 and S31 S-parameters). A full S-parameter matrix for a n-port system at one frequency requires n solutions alternating “excited” and “matched” port boundary conditions at each port. SPSWP will solve a column of the S-parameter matrix for each port that has a defined excitation. If all ports have a defined excitation, then the full S-parameter matrix will be computed.

To use this function, you must flag the ports. Use the SF or SFA commands for exterior ports, and use the BFA or BF commands for interior ports. Number the ports sequentially from “1” with no gaps in the numbering.

To prepare the ports for SPSWP, you must define the port excitations using the HFPORT command.

For each solution, SPSWP computes S-parameters with the excitation on all ports nullified except for one. It restores all excitation loads after the sequence of solutions is completed.

Postprocessing is limited to the solution with the last port excited and the other ports matched. The OutPut argument controls the results file output. The minimal size results file (OutPut = 0) only contains information on elements attached to the flagged ports. It is recommended if you have a large number of frequencies.

S-parameters results are written to a Touchstone format file jobname.snp, where n is the number of ports. The first line is a general description of the output data and starts with an exclamation point (!). The second line contains the following information:

  • starts with a #

  • frequency unit (GHz, MHz, KHz, Hz)

  • parameter type: S = scattering parameters, Y = admittance parameters, and Z = impedance parameters

  • data format: magnitude-angle (MA), dB-angle (DB), or real-imaginary (RI)

  • normalizing impedance: R n, where n = ohms

Note

The following is an example of the first two lines.

! 2-port S-parameter file, 3 frequency points

# GHz S MA R 50. 50.

The output then lists the S-parameters in row format for each frequency. Up to four ports are listed in a row. Rows are repeated for each frequency until all port data is listed. The following examples demonstrate the format. Frequency appears as f and magnitude and phase appear as m and p, respectively.

Two port data appears in one row as follows:

f m(S11) p(S11) m(S21) p(S21) m(S12) p(S12) m(S22) p(S22)

Three port data appears in three rows as follows:

f m(S11) p(S11) m(S12) p(S12) m(S13) p(S13)
m(S21) p(S21) m(S22) p(S22) m(S23) p(S23)
m(S31) p(S31) m(S32) p(S32) m(S33) p(S33)

Six port data for one frequency appears in 12 rows as follows:

f m(S11) p(S11) m(S12) p(S12) m(S13) p(S13) m(S14) p(S14)
m(S15) p(S15) m(S16) p(S16)
m(S21) p(S21) m(S22) p(S22) m(S23) p(S23) m(S24) p(S24)
m(S25) p(S25) m(S26) p(S26)
.
.
.
m(S61) p(S61) m(S62) p(S62) m(S63) p(S63) m(S64) p(S64)
m(S65) p(S65) m(S66) p(S66)

The SPSCAN macro automatically performs harmonic analyses over a range of angles and executes the SPARM macro to calculate S-parameters at the input port of a phased array antenna. It outputs a Touchstone-like file of S-parameters, filename.snp. The Variational Technology solution method is not available in SPSCAN.

To execute the SPSCAN macro, use either of the following:

Command(s): | SPSCAN
GUI: | Main Menu> Solution> Solve> S-Par Ang Sweep

4.4.8. Finishing the Solution

To leave the SOLUTION processor, use either of the following:

Command(s): | FINISH
GUI: | Main Menu> Finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.3. Applying Boundary Conditions and Excitations (Loads) 		Up / Home Next
4.5. Postprocessing Harmonic High-Frequency Analyses


4.5. Postprocessing Harmonic High-Frequency Analyses

4.5.1. Reviewing Results

The ANSYS program writes results from a harmonic high-frequency electromagnetic analysis to the magnetics results file, Jobname.RMG. Results include the data listed below, many of which vary harmonically at the operating frequency (or frequencies) for which the measurable quantities can be computed as the real solution times cosine (ωt) minus the imaginary solution times sine (ωt). ω is the angular frequency. For more details, see the Theory Reference for ANSYS and ANSYS Workbench.

Primary data: Nodal DOFs (AX)

Derived data:

  • Nodal electric field (EX, EY, EZ, ESUM)

  • Nodal magnetic field intensity (HX, HY, HZ, HSUM)

  • Nodal conducting current density (JCX, JCY, JCZ, JSUM)

  • Joule heat rate per unit volume (JHEAT)

  • Element Poynting vector (PX, PY, PZ)

  • Element dissipated power Pd (if it exists)

  • Element stored time-average energy

  • Element specific absorption rate (SAR) (if it exists)

  • and so on

Additional data are available. See the Elements Reference for details.

You can review analysis results in POST1, the general postprocessor. In general, the results are out-of-phase with the input loads. The solution is calculated and stored in terms of real and imaginary components as detailed above.

Use POST1 to review results over the entire model at specific frequencies. For viewing results over a range of frequencies, use the time-history postprocessor, POST26.

To choose a postprocessor, use one of the following:

Command(s): | /POST1 or /POST26
GUI: | Main Menu> General Postproc Main Menu> TimeHist Postpro

4.5.2. Commands to Help You in Postprocessing

You will find the following commands (listed below) helpful in postprocessing analysis results:

Table 4.8 Postprocessing Commands

Task | Command(s)
Select the real solution | SET,1,1,,0
Select the imaginary solution | SET,1,1,,1
Print electric or magnetic field at corner nodes [1,3] | PRNSOL,EF (or H or JC)
Print electric field at corner nodes[1,3] | PRVECT,EF
Print Poynting vector at element centroid[1,3] | PRVECT,P
Print magnetic field at corner nodes[1,3] | PRVECT,H
Print conducting current at corner nodes[1,3] | PRVECT,JC
Print electric or magnetic field at element nodes[3] | PRESOL,EF (or H or JC)
Print Joule heat density[2,4] | PRESOL,JHEAT
Create element table item for centroid electric field[3], X component. (Issue similar commands for Y, Z, and SUM components.) | ETABLE,Lab,EF,X
Create element table item for centroid magnetic field[3], X component. (Issue similar commands for Y, Z, and SUM components.) | ETABLE,Lab,H,X
Create element table item for centroid conducting current[3], X component. (Issue similar commands for Y, Z, and SUM components.) | ETABLE,Lab,JC,X
Create element table item for Joule heat density[2,4] | ETABLE,Lab,JHEAT
Print the indicated element table item(s) | PRETAB,Lab,...

  1. Average of selected elements adjacent to nodes.

  2. To obtain power loss, multiply by element volume.

  3. Instantaneous value (real/imaginary, at ωt = 0 and ωt = -90) in case of a harmonic analysis.

  4. RMS value: measurable values are the sum of real and imaginary parts.

See the Theory Reference for ANSYS and ANSYS Workbench for more information on the notation. The ETABLE command lets you view less frequently-used items. The HF119 and HF120 descriptions in the Elements Reference discuss these items.

You can view most of these items graphically. To do so, substitute plotting commands or GUI paths (see the individual commands for the appropriate GUI paths) for the commands whose names begin with "PL" (for example, use PLNSOL instead of PRNSOL, as illustrated below):

Table 4.9 Plotting Commands

For this command... | Substitute this command...
PRNSOL | PLNSOL
PRVECT | PLVECT
PRESOL | PLESOL
PRETAB | PLETAB

You also can plot element table items. See the Basic Analysis Guide for more information.

The ANSYS Parametric Design Language (APDL) also contains commands that may be useful in postprocessing, and results processing purposes. For more information about the APDL, see the Guide to ANSYS User Programmable Features.

The following two sections discuss some typical POST1 operations for calculating the near and far-fields and parameters for high-frequency devices. For a complete description of all postprocessing functions, see the Basic Analysis Guide.

4.5.3. Calculating Near Fields, Far Fields, and Far Field Parameters

Postprocessing commands are available for calculating the near or far electromagnetic fields beyond the FEA computational domain. The commands HFNEAR, PRHFFAR, and PLHFFAR use the surface equivalence principle to determine the fields. The surface equivalence principle states that equivalent currents can exactly represent the electromagnetic fields exterior to the surface. Refer to Surface Equivalence Principle in the Theory Reference for ANSYS and ANSYS Workbench for more information.

Use of near and far-field commands requires that an equivalent source surface be defined in the preprocessor. See Equivalent Source Surface for details.

4.5.3.1. Near Fields

You can calculate either the near electric field (Lab = EF, default) or the near magnetic field (Lab = H) beyond the FEA computational domain using one of the following:

Command(s): | HFNEAR
GUI: | Main Menu> General Postproc> List Results> Field Extension> Near Field Main Menu> General Postproc> Path Operations> Map onto Path> HF Near Field

You can obtain the near electric field or near magnetic field at a point (X, Y, Z) in a coordinate system or along a path. When determining the field at a point, you specify a coordinate value in the global or a local coordinate system. You also specify a global coordinate system for the output vector. When determining the field along a path, you define a path using the PATH command and you set VAL to PATH. All previous path items are cleared before HFNEAR executes.

To use HFNEAR, you must first define an equivalent current source surface in the preprocessor. You must issue the HFSYM command to account for symmetry planes in the modeled region.

4.5.3.2. Far Fields and Far Field Parameters

Far fields and far field parameters are essential for scattering analysis and antenna design. This section describes some useful POST1 operations for these analyses.

Far Electromagnetic Field

To plot far fields, use one of the following:

Command(s): | PLHFFAR
GUI: | Main Menu> General Postproc> List Results> Field Extension> Far Field

To print far fields, use one of the following:

Command(s): | PRHFFAR
GUI: | Main Menu> General Postproc> List Results> Field Extension> Far Field

You can display the magnitude or the Cartesian or spherical components of the far electromagnetic field.

Radar Cross Section (RCS) and Normalized Radar Cross Section (RCSN)

The bistatic scattering cross section (radar cross section), measures the scattering characteristics of a target for an incident plane wave. The radar cross section (RCS) depends on the dimensions and material properties of the object and the wavelength and incident angle of the plane wave. It is also a function of the polarization of the incident wave. You can calculate the RCS for the pth component of the scattered field for a q-polarized incident plane wave where p and q represent the φ and θ spherical components, respectively.

Figure 4.24 Spherical Coordinates

The RCS can be normalized by the wavelength in a 2-D analysis and the wavelength squared in a 3-D analysis.

To plot RCS or RCSN, use one of the following:

Command(s): | PLHFFAR
GUI: | Main Menu> General Postproc> List Results> Field Extension> RCS (or RCS Normalized)

To print RCS or RCSN, use one of the following:

Command(s): | PRHFFAR
GUI: | Main Menu> General Postproc> List Results> Field Extension> RCS (or RCS Normalized)

To plot RCS or RCSN, use one of the following:

Command(s): | PLHFFAR
GUI: | Main Menu> General Postproc> List Results> Field Extension> RCS (or RCS Normalized)

Using PLHFFAR or PRHFFAR, you can calculate a 3-D RCS for radar echo area, φ-φ polarization, φ-θ polarization, θ-φ polarization, or θ-θ polarization. You can calculate a 2-D RCS using a 3-D computational model. You extrude a 2-D model a distance Δz in the z direction to generate a 3-D numerical model. You can use PLHFFAR or PRHFFAR to calculate a 2-D RCS for a TE or TM incident plane wave.

Refer to High-Frequency Electromagnetic Field Simulation in the Theory Reference for ANSYS and ANSYS Workbench for more information on RCS.

Antenna Parameters

You can obtain various antenna design parameters (for example, radiation pattern, radiation power, directive gain, directivity, power gain and radiation efficiency) based on the far field results. Refer to High-Frequency Electromagnetic Field Simulation in the Theory Reference for ANSYS and ANSYS Workbench for definitions of these parameters.

To print antenna parameters, use one of the following:

Command(s): | PRHFFAR
GUI: | Main Menu> General Postproc> List Results> Field Extension> Antenna> Pattern (or Direct Gain, Rad Power, Power Gain, Efficiency)

To plot antenna parameters, use one of the following:

Command(s): | PLHFFAR
GUI: | Main Menu> General Postproc> List Results> Field Extension> Antenna> Pattern (or Direct Gain)

You can display Cartesian or polar components of the antenna radiation pattern and direct gain.

Before issuing PLHFFAR or PRHFFAR, you need to flag a virtual equivalent current source surface using Lab = MXWF on the SF command in the preprocessor before solution. See Equivalent Source Surface for details. You must issue the HFSYM command if there is a symmetry plane in the modeled region. When calculating antenna parameters, use the HFANG command to define the spatial angles if the radiation space is not the entire spherical domain.

Phased Array Antenna

Before calculating far field or antenna parameters, you need to define the characteristics of a phased array antenna using one of the following:

Command(s): | HFARRAY
GUI: | Main Menu> General Postproc> List Results> Field Extension> Far Field Main Menu> General Postproc> List Results> Field Extension> Antenna> Pattern (or Direct Gain) Main Menu> General Postproc> Plot Results> Field Extension> Far Field Main Menu> General Postproc> Plot Results> Field Extension> Antenna> Pattern (or Direct Gain)

The total field of a phased array antenna is equal to the product of an array factor and the unit cell field.

Etotal = AF (Eunit cell)

Refer to High-Frequency Electromagnetic Field Simulation in the Theory Reference for ANSYS and ANSYS Workbench for the definition of Array Factor.

4.5.3.3. Symmetry

You must account for symmetry planes in the modeled domain for postprocessing near or far electromagnetic fields beyond the computational domain. To do so, use one of the following:

Command(s): | HFSYM
GUI: | Main Menu> General Postproc> List Results> Field Extension> Near Field Main Menu> General Postproc> Path Operations> Map onto Path> HF Near Field Main Menu> General Postproc> Plot Results> Field Extension> Far Field (or RCS, RCS Normalized) Main Menu> General Postproc> Plot Results> Field Extension> Antenna> Pattern (or Direct Gain) Main Menu> General Postproc> List Results> Field Extension> Far Field (or RCS, RCS Normalized) Main Menu> General Postproc> List Results> Field Extension> Antenna> Pattern (or Direct Gain, Rad Power, Power Gain, Efficiency)

The HFSYM command accounts for PEC or PMC symmetry planes that coincide with the X-Y, Y-Z or Z-X planes of the global or a local Cartesian coordinate system. It applies the image principle on the symmetric part of the computational domain to represent the radiation effect of the partial equivalent current source beyond the modeled domain. HFSYM accounts for the radiation that would be present if the entire structure was modeled. If there is a PEC or PMC symmetry plane, you must issue the HFSYM command before issuing HFNEAR, PLHFFAR or PRHFFAR. Although a PMC symmetry plane is a natural boundary condition in a finite element analysis, it must be defined by the HFSYM command.

4.5.3.4. Radiation Solid Angle

You can specify the radiation space when calculating antenna parameters. To do so, use one of the following:

Command(s): | HFANG
GUI: | Main Menu> General Postproc> Plot Results> Field Extension> Antenna> Direct Gain Main Menu> General Postproc> List Results> Field Extension> Antenna> Direct Gain (or Rad Power, Power Gain, Efficiency)

The HFANG command defines the radiation space of an antenna in terms of the type of antenna. For example, the solid angle of a dipole antenna is determined by φε[ 0,360°] and θε[ 0,180°] and (Figure 4.25: "Solid Angle - Dipole Antenna"), while the solid angle of a monopole antenna above ground plane is associated with φε[ 0,360°] and θε[ 0,90°] (Figure 4.26: "Solid Angle - Monopole Antenna above Ground Plane"). If the electromagnetic wave is not radiated into the entire space, you must issue the HFANG command before issuing the PLHFFAR or PRHFFAR command.

Figure 4.25 Solid Angle - Dipole Antenna

Figure 4.26 Solid Angle - Monopole Antenna above Ground Plane

A phased array antenna is approximated by an infinite array of unit cells with periodic boundary conditions. When you calculate the antenna parameters of the entire array based on the solution of the unit cell , only half a radiation space should be defined (that is, φε[ 0,360°] and θε[ 0,90°]).

4.5.4. Calculating Circuit Parameters for High-Frequency Devices

After you have solved a high-frequency problem, you often need to calculate some circuit parameters for the underlying device. You can calculate the following parameters:

  • Scattering matrix parameters (S-parameters) of the equivalent network

  • Input power, reflected power, dissipated power, and transmitted power

  • Voltage, current and characteristic impedance of the equivalent network

You can do this in POST1 by first reading in the solution for a given frequency and then performing certain postprocessing tasks based on the corresponding definition of a parameter.

This section illustrates the basic steps you need to do to calculate parameters for high-frequency devices.

4.5.4.1. Scattering Parameters (S-Parameters)

You can calculate scattering parameters between a driven port (Port i) and a matched port (Port j) using one of the following:

Command(s): | SPARM
GUI: | Main Menu> General Postproc> Elec&Mag Calc> S-Parameters

SPARM returns two S-parameters: Sii and Sji, where i represents the driven port and j is the matched port. For a multi-port network, the S-parameters are defined as follows where a and b are the normalized incoming voltage wave and the normalized outgoing voltage wave, respectively.

Figure 4.27 Multi-port Network

The condition aj = 0 indicates a matched port. In your model, you should use an absorbing boundary condition, such as PML or a port with the IMPD option, to truncate the computational domain. It represents the matched ports of the equivalent network.

When the distance from the extraction plane to the reference plane is defined by the HFPORT command, the S-parameter phase shift is calibrated automatically. To de-embed the existing S-parameter data with Touchstone format, use the HFDEEM command.

For a multi-port device, you issue multiple commands to retrieve the required S-parameter matrix terms. The SPARM macro will output the magnitude and phase angle of the S-parameters.

4.5.4.2. Reflection Coefficients in a COAX Fed Device

To calculate the voltage reflection coefficient (REFLC), standing wave ratio (VSWR), and return loss (RL) in a COAX fed device, use one of the following:

Command(s): | REFLCOEF
GUI: | Main Menu> General Postproc> Elec&Mag Calc> Port> Refl Coeff

4.5.4.3. Power and Frequency Selective Surface Parameters

To calculate the input power, reflected power, return loss, and power reflection coefficient for a driven port, use one of the following:

Command(s): | HFPOWER
GUI: | Main Menu> General Postproc> Elec & Mag Calc> Element Based> Power

If you define a matching output port, the HFPOWER macro can also calculate the transmitted power, insertion loss, and power transmission coefficient. For lossy materials and conducting surfaces, you can also use it to calculate the time-averaged dissipated power (from surface impedance or shielding boundary conditions). To calculate dissipated power in a region, you must select the elements that are associated with the lossy material or the conducting surfaces.

For a periodic structure that is used as a frequency selective surface, you need to specify input and output ports. You can then calculate the reflection and transmission coefficients, power reflection and transmission coefficients, and return and insertion loss using one of the following:

Command(s): | FSSPARM
GUI: | Main Menu> General Postproc> Elec & Mag Calc> Port> FSS Parameters
Refer to High-Frequency Electromagnetic Field Simulation in the Theory Reference for ANSYS and ANSYS Workbench for parameter definitions.

4.5.4.4. Voltage, Current, and Impedance

Voltage is defined as the line integral of the projection of electric field along the path.

To calculate it you need to define a path from the central conductor to the ground as shown in the following figure for a coaxial waveguide (a), a microstrip line (b), and a coplanar waveguide (c).

Figure 4.28 Voltage Paths for Transmission Lines

You first define the path using the following commands or GUI paths:

Command(s): | PATH, PPATH
GUI: | Main Menu> General Postproc> Path Operations> Define Path> Path Status> Defined Paths Main Menu> General Postproc> Path Operations> Define Path> By Nodes (or By Location)

You then calculate the voltage using one of the following:

Command(s): | EMF
GUI: | Main Menu> General Postproc> Elec & Mag Calc> Path Based> EMF

The EMF command macro stores the results as the EMF parameter. All path items clear after EMF executes.

Current is defined as the line integral of the magnetic field H along a closed path containing the inner conductor:

To calculate it you need to define a closed current path contain the central conductor as shown in the following figure for a coaxial waveguide (a), a microstrip line (b), and a coplanar waveguide (c).

Figure 4.29 Current Paths for Transmission Lines

After defining the current path using PATH or PPATH, you calculate the current using one of the following:

Command(s): | MMF
GUI: | Main Menu> General Postproc> Elec & Mag Calc> Path Based> MMF

A counter clockwise ordering of points on the PPATH command will yield the correct sign for MMF. The MMF command macro stores the results as the MMF parameter. All path items clear after MMF executes.

Characteristic impedance is defined as:

To calculate the impedance, you calculate both the EMF (voltage drop) and the MMF (current). The IMPD macro calculates the complex impedance at the specified location. You must define the voltage and current paths before issuing IMPD. The impedance calculation can work with a symmetry sector of a model. For example, if you model only 10 degrees of a coax cable, you can supply a multiplier term on the MMF (current) calculation to account for a full model.

Figure 4.30 Ten-Degree Symmetry Model of a Coaxial Waveguide

To invoke the IMPD macro, use one of the following:

Command(s): | IMPD
GUI: | Main Menu> General Postproc> Elec & Mag Calc> Path Based> Impedance

4.5.4.5. Displaying Network Parameters and Losses

You can plot scattering, admittance, or impedance parameters on a Smith chart. A Touchstone file provides the input parameters and their type.

To convert and plot any input parameter type to a specified output parameter type, use one of the following:

Command(s): | PLSCH
GUI: | Main Menu> General Postproc> Plot Results> Smith Chart

You can use one of the following to convert and list scattering, admittance, or impedance parameters input by a Touchstone file:

Command(s): | PRSYZ
GUI: | Main Menu> General Postproc> Plot Results> SYZ conversion
PRSYZ generates a new Touchstone file jobname_SYZ.snp for the network parameters.

You can also use the PRSYZ command to renormalize S-parameters based on a new port characteristic impedance. The renormalized S-parameters are output to a new Touchstone file jobname_Sparm.snp.

You can use of the following to convert and plot scattering, admittance, or impedance parameters as a function of frequency.

Command(s): | PLSYZ
GUI: | Main Menu> General Postproc> Plot Results> SYZ parameters

You can also use the PLSYZ command to plot reflection loss, insertion loss, isolation loss, and voltage standing wave ratio.

For more information on Touchstone files, see Starting the Solution. For an example problem, see Postprocessing Scattering, Admittance, and Impedance Parameters.

4.5.4.6. SPICE Macromodels

Macromodels are essential for efficient subsystem and system level simulation and the prediction of complex system performance. They can be generated in terms of equivalent circuits that are compatible with system level simulators such as SPICE. The electromagnetic behavior of a multiport component can be approximated by terms of rational functions and the equivalent circuits can be subsequently synthesized. A system level simulation can then be performed by inserting the macromodel into the system level simulator as illustrated in the following flowchart.

Figure 4.31 Signal Integrity Design Flow

To create a SPICE macromodel, you first generate a Touchstone file from either a high-frequency full-wave electromagnetic solution or the measurement of a high-frequency structure. You can use the SPSWP command to generate the Touchstone file. You then generate the macromodel using the SPICE command.

The following are important points to remember when you are creating a SPICE macromodel.

  • Selecting Bandwidth of Validity

    If all components in the system are linear and the objective is to perform a frequency-domain sweep for the overall system over a specified bandwidth, then the bandwidth of validity should be greater than the specified bandwidth of interest. However, if a transient simulation is of interest (either linear or nonlinear), the effective frequency bandwidth is controlled by both the bandwidth of the excitation waveform and the time step used for the numerical integration in SPICE. You should then use the attributes of the excitation waveform to define the bandwidth of validity for the synthesized equivalent circuit. For example, assume a trapezoidal pulse waveform and let Tmin denote the shortest time feature in the waveform. The shorter of the rise and fall times of the pulse would then correspond to Tmin. Anticipating that the transient simulator will attempt to sample accurately Tmin, the recommended bandwidth of validity would be fBWV = 5/Tmin.

  • Selecting Number of Frequencies for the Electromagnetic Response Calculation

    Simulation cost is increased by the spatial over sampling necessary to ensure model fidelity and accurate resolution of the spatial distribution of the field. This is especially true when the structure exhibits strong resonance behavior. Thus, it is highly desirable to keep the number of sampling frequency points reasonably small. The rational interpolation algorithm for subsequent enhancement of the data set makes a coarse frequency sampling possible in the full-wave simulation of a component. A maximum of 501 frequency points can be generated by the rational interpolation algorithm using sampling frequency points obtained from the full-wave solver. Instead of the rational interpolation algorithm, you may use Variational Technology to perform a frequency sweep with the required sampling frequency points.

  • Selecting Convergence Criteria of the Synthesized Equivalent Circuit

    Starting with order 2, the number of poles is increased adaptively by 10 until the convergence criteria are reached or the convergence procedure becomes ripple. Because of the coupling between ports, the synthesis procedure may not always converge to the desired criteria by increasing the number of poles. Futhermore, the admittance response generated by the synthesized passive equivalent circuit may not be accurate if the variations in magnitude are small over the frequency range. If the convergence criteria are not reached, it is strongly recommended that you check the admittance response of the synthesized passive equivalent circuit before performing a transient analysis. You should run SPICE over the frequency range and compare your results with those in the file filename_pade_Y.snp. The touchstone file filename_pade_Y.snp contains admittance parameters generated by rational interpolation over the frequency range, based on sampling data.

The generated equivalent circuit is a subcircuit (SUBCKT in SPICE nomenclature) consisting of a set of nested SUBCKTs. The main SUBCKT, and the only one called, is named NPORT 1 2 3 4 … Nodes 1 and 2 define port 1, nodes 3 and 4 define port 2, etc. Hence, there are 2M nodes for an M-port component. All elements in a synthesized subcircuit are standard elements in SPICE. Therefore, total compatibility is expected with most SPICE based circuit simulators.

For more information, refer to RLCG Synthesized Equivalent Circuit of an M-port Full Wave Electromagnetic Structure in the Theory Reference for ANSYS and ANSYS Workbench. For example problems, see SPICE Synthesized Equivalent Circuit for a Line-fed Microstrip Patch Antenna and SPICE Synthesized Equivalent Circuit for a T-type Transmission Line Network

4.5.4.7. TDR/TDT Display

You can apply the Inverse Fast Fourier Transform (IFFT) to frequency domain S-parameters to obtain time domain reflection (TDR) and time domain transmission (TDT) waveforms and an impedance profile. The PLTD command performs these transformations and displays the time domain results. You can also use the PLTD command to display the total waveform. The total waveform at an input port is equal to the sum of the incident wave and reflected waves.

Step and impulse input signal options are available (PLTD command, Lab = STEP or IMPU). The signal propagates through a transmission line at a velocity vp and arrives at the far end at a time TD = d/vp, where d is the transmission line length. A reflected signal arrives at the TDR output port at t = 2TD. The maximum frequency of the frequency domain S-parameter data determines the time step of the Fast Fourier Transform (FFT). To capture the transient signal variations, at least 5 time steps are required for the signal rise time. It should be noted that the impulse signal behaves as a periodic signal after using the FFT.

See TDR Display of Shorted Single-Ended Uniform Transmission Line for an example problem.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.4. Solving Harmonic High-Frequency Analyses 		Up / Home Next
Chapter 5. Performing a Modal High-Frequency Analysis


Chapter 5. Performing a Modal High-Frequency Analysis

You can use the ANSYS program to perform modal high-frequency analyses. Using a high-frequency modal analysis in 3-D, you can perform tasks such as finding the resonant frequencies and modal shapes for the electromagnetic field in a structure, as well as the quality factor if dielectric and surface losses are present. Figure 5.1: "Flow Chart for a Modal Analysis" shows the flow of an ANSYS modal analysis.

For a 3−D modal analysis, the program uses the tetrahedral element HF119 or the hexahedral or triangular prism element HF120 to calculate the resonant frequencies of multiple modes of a resonant cavity. The eigenvalue solution does not consider any damping effects from lossy dielectric materials or surface losses. Input excitation is ignored, and the port is treated as an open circuit condition. Infinite surfaces (SF command, INF option (or GUI equivalent)) are treated as a Magnetic Wall boundary. Electric Wall conditions are accounted for properly. Specified lossy materials or surface impedance will be used in postprocessing to calculate a quality factor, but again will have no bearing on the eigenvalue solution.

For a 2−D modal analysis, the ANSYS program uses the mixed nodal-edge element HF118 to determine the cutoff frequencies and propagating constants of multiple modes in a guided wave structure. Only a first order element is available for determining the propagating constant for a fixed frequency.

For a modal high-frequency electromagnetic analysis you begin with the same steps as a harmonic high-frequency analysis as described in Creating the Physics Environment and Building the Model, Assigning Region Attributes, and Meshing. You then follow the procedures illustrated in the following figure and described in the next few sections.

Figure 5.1 Flow Chart for a Modal Analysis

The following modal analysis topics are available:

  • Entering the SOLUTION Processor and Specifying the Modal Analysis Type
  • Setting Options for Modal Analysis
  • Specifying Modes to Expand
  • Applying Boundary Conditions
  • Solving a Modal High-Frequency Analysis
  • Calculating Propagating Constants
  • Reviewing Modal High-Frequency Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.5. Postprocessing Harmonic High-Frequency Analyses 		Up / Home Next
5.1. Entering the SOLUTION Processor and Specifying the Modal Analysis Type


5.1. Entering the SOLUTION Processor and Specifying the Modal Analysis Type

To enter the SOLUTION processor, use one of the following:

Command(s): | /SOLU
GUI: | Main Menu> Solution

To define the analysis as modal, use one of the following:

Command(s): | ANTYPE,MODAL
GUI: | Main Menu> Solution> Analysis Type> New Analysis> Modal Analysis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 5. Performing a Modal High-Frequency Analysis 		Up / Home Next
5.2. Setting Options for Modal Analysis


5.2. Setting Options for Modal Analysis

To specify the type of high-frequency analysis, use one of the following:

Command(s): | HFEIGOPT,Lab,Val1
GUI: | Main Menu> Solution> Analysis Type> Analysis Options

Use the HFEIGOPT command to specify one of the following modal analysis types:

  • A 3-D eigenvalue analysis using HF119 or HF120.

  • A 2-D modal analysis using HF118 to solve for cutoff frequencies.

  • A 2-D modal analysis using HF118 to solve for propagating constants.

For a 2-D propagating constant analysis, only the first order HF118 element option (KEYOPT(1) = 1) is available. To obtain propagating constants over a frequency range, you have to execute a separate solution for each frequency and manually process each result. See the HFEIGOPT command for details.

To specify solver options for your modal analysis, use one of the following:

Command(s): | MODOPT
GUI: | Main Menu> Solution> Analysis Type> Analysis Options

For a modal analysis, the Block Lanczos solver (MODOPT,LANB) or the subspace solver (MODOPT,SUBSP) should be selected. The Block Lanczos solver, which is the default, is highly recommended.

Specifying a proper frequency range will make eigenvalue calculations more efficient and accurate. Input a lower-end frequency just below the anticipated frequency, using the FREQB argument on the MODOPT command. In addition, specify an upper-end frequency using the FREQC argument. Use the NMODE argument to request the number of modes to extract. Normalizing the mode shapes to unity (via the Nrmkey argument) is recommended.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.1. Entering the SOLUTION Processor and Specifying the Modal Analysis Type 		Up / Home Next
5.3. Specifying Modes to Expand


5.3. Specifying Modes to Expand

To enable viewing of the modal solution and to perform other postprocessing options, you need to specify the number of modes to expand (i.e., calculate and write the element solution to the results file). This is required if you intend to postprocess the element data (plotting electric or magnetic fields, calculating the Quality factor, etc.). To specify the number of modes to expand, use one of the following:

Command(s): | MXPAND
GUI: | Main Menu> Solution> Load Step Opts> ExpansionPass> Single Expand> Expand Modes

The MXPAND command is valid only within the first load step.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.2. Setting Options for Modal Analysis 		Up / Home Next
5.4. Applying Boundary Conditions


5.4. Applying Boundary Conditions

For a modal analysis, only the perfect electric conductor (PEC) boundary condition is required at appropriate boundaries. Specify this boundary condition using the methods described for a harmonic analysis in Perfect Electric Conductor (PEC).

For a Quality factor computation, you may include effects from dielectric losses. To do so, specify a material resistivity (RSVX) or loss tangent property (LSST) in the preprocessor. To include effects from surface losses, specify a surface impedance or shield properties using the SF or SFA command or their GUI paths. Specify these surface quantities using the methods described for a harmonic analysis in Applying Boundary Conditions.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.3. Specifying Modes to Expand 		Up / Home Next
5.5. Solving a Modal High-Frequency Analysis


5.5. Solving a Modal High-Frequency Analysis

To solve modal high-frequency analysis, use one of the following:

Command(s): | SOLVE
GUI: | Main Menu> Solution> Solve> Current LS

Once the solution process completes, use one of the following to leave the SOLUTION processor:

Command(s): | FINISH
GUI: | Main Menu> Finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.4. Applying Boundary Conditions 		Up / Home Next
5.6. Calculating Propagating Constants


5.6. Calculating Propagating Constants

The first priority in transmission line design is to obtain the propagating constant at a fixed frequency (the dispersion of a guided wave structure). The propagating constant will determine the characteristic impedance and phase wavelength of the transmission line. These parameters are the basic data for the design of RF and Microwave systems and components.

The non-zero propagating constant will be calculated. The lower bound for a propagating constant search is 0.15 (rad/m). If a propagating constant smaller than the lower bound is of interest, you can solve for the cut-off frequency instead. To ensure the accuracy of the propagating constant solution, the modal analysis is performed twice and the eigenvalue searching interval is changed adaptively before the second solution, based on the result of the first solution.

The HFPCSWP macro calculates the propagating constants of a transmission line or waveguide over a frequency range. It displays them as a function of frequency in tabular or graphical output form. HFPCSWP writes out data to the file HFPCSWP.OUT and graphical displays to the file HFPCSWP.GRPH.

The HFPCSWP.OUT file contains propagating constants for the given frequencies in the following Touchstone like format.

#GHz
!Freq     Propagating Constant (rad/m)
!Mode Number: 1
1.0000   20.958

You can use the DISPLAY program to display the HFPCSWP.GRPH graphics.

To invoke HFPCSWP, use one of the following:

Command(s): | HFPCSWP
GUI: | Main Menu> Solution> Solve> Electromagnet> HF Emag> 2D Freq Sweep

It is strongly recommended that you perform an initial solution at a single frequency to ensure that all input arguments are properly posed before you run a frequency sweep. To run a single frequency, set the beginning and ending frequencies to the same value. HFPCSWP can only be used with HF118 elements. See the HFPCSWP macro for details.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.5. Solving a Modal High-Frequency Analysis 		Up / Home Next
5.7. Reviewing Modal High-Frequency Results


5.7. Reviewing Modal High-Frequency Results

The eigenfrequencies are printed in the solution phase to the output file. In the postprocessor, reviewing the solution of a high-frequency modal analysis involves only a few tasks. Begin by issuing the SET command or one of its equivalent GUI paths to choose the mode to be read from the results file. (Issue the SET,LIST command or its GUI path to review the mode data sets on the results file.) Then, display the values of the electric field (E), the magnetic field (H), and the Pointing vector (P) as needed. Finally, calculate the Quality factor.

You can use the ANSYS macro QFACT to calculate the Quality factor of the resonance. It takes into account dielectric losses (Qd) and surface losses (Qs):

Use one of the following to execute QFACT:

Command(s): | QFACT
GUI: | Main Menu> General Postproc> Elec & Mag Calc> Cavity> Q-Factor

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.6. Calculating Propagating Constants 		Up / Home Next
Chapter 6. Adaptive Meshing


Chapter 6. Adaptive Meshing

Among the electromagnetic field boundary conditions, the normal electric flux should be continuous at the element interfaces. However, discretization of the computational domain and numerical error lead to differences at the element interfaces. Refining the mesh reduces these differences so that numerical accuracy is improved. For tetrahedral elements, you can use the HFEREFINE macro to automatically refine the mesh. It refines the elements with a difference value greater than the mean difference value. For a periodic structure, you cannot perform adaptive tetrahedral element meshing because identical mesh patterns are required on the master and slave surface.

To refine the elements, use one of the following:

Command(s): | HFEREFINE
GUI: | Main Menu> Preprocessor> Meshing> Modify Mesh> HF Refine

HFEREFINE removes all boundary conditions, excitation sources, and loads on the finite element model. You must reapply them. If you apply them to the solid model, they transfer automatically to the finite element model.

The number of elements may increase very quickly with the number of refinements. Therefore, it is necessary to start with a reasonable initial mesh and only perform a few refinements. You can adjust the HFEREFINE refinement factor to reduce the number of elements refined. You can always start with a reasonable coarse mesh (for example, a mesh size of about 1/5 wavelength). See the macro for details.

HFADP,ON turns on an adaptive error calculation. In order to use HFEREFINE after solution, you must issue HFADP before the SOLVE command.

You can use APDL *do-loop to perform the refinement iterations. The following command input listing implements two refinements:

...
et,1,HF119,1           ! define tetrahedral element
...
_n=3                   ! two refinements are performed
*do, i, 1, _n          ! _i=1 skip refinement
*if, _i, gt, 1, then
/prep7
hferefine
fini
*endif
/solu
...
fini
/post1
...
fini
*enddo

For tetrahedral elements, you can also perform S-parameter adaptive meshing. The SPADP macro automatically refines a mesh until an S-parameter convergence criteria is met or a maximum number of iterations is reached. You input a convergence criteria, a maximum number of refinement iterations, and beginning and ending refinement factors. The refinement factor varies linearly between the beginning and ending refinement factors to avoid a very quick increase in the number of elements. Start with a reasonable coarse mesh (for example, a mesh size of about 1/5 wavelength) and only perform a few refinements. You must apply boundary conditions, excitation sources, and loads to the solid model. For a periodic structure, you cannot perform adaptive meshing because identical mesh patterns are required on the master and slave surface.

For example problems using adaptive meshing see the following:

  • Harmonic Analysis of a Rectangular Waveguide with a Dielectric Post Using Adaptive Meshing (Command Method)

  • Harmonic Analysis of a Rectangular Waveguide with a Dielectric Post Using S-Parameter Adaptive Meshing (Command Method)

Adaptive meshing is not available for the hexahedral element. However, HFEREFINE will list the elements with the largest errors. You can then manually refine the local meshes by adjusting the mesh size on the associated solid model.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.7. Reviewing Modal High-Frequency Results 		Up / Home Next
Part I, Basic Wave Radiation Examples


Part I, Basic Wave Radiation Examples

Release 11.0 Documentation for ANSYS

High-Frequency Guide |

Basic Wave Radiation Examples

Table of Contents

Harmonic Analysis for a Point Current Radiation Source (Command Method)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 6. Adaptive Meshing 		Up / Home Next
Harmonic Analysis for a Point Current Radiation Source (Command Method)


Harmonic Analysis for a Point Current Radiation Source (Command Method)

Problem Description

This example demonstrates how to determine the near and far electric fields of a point current source using ANSYS commands.

In this example, you calculate the near and far electric fields of a point current source with a current density Jo = 0.00125 A/m2. You use a PML region and reflective symmetry.

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/batch,list
/title, Near- and Far-field of Point Source with 4-Layer PML
/nopr
/prep7
a1=0.3	$b1=0.3	$c1=0.3           ! normal element region
a2=0.4	$b2=0.4	$c2=0.4           ! PML exterior boundary
l1=c2-c1                          ! thickness of PML
nx=12	$ny=12	$nz=12             ! division in normal element region
npml=4                            ! layers pf PML
freq=300e6                        ! working frequency
curr=1.25e-3                      ! current density of point current
et,11,200,7                       ! Temporary element
et,1,120,1                        ! 1st-order BRICK element
et,2,120,1,,,1                    ! PML element
mp,murx,1,1.                      ! air relative permeability
mp,perx,1,1.                      ! air relative permittivity
local,11                          ! set up local coordinate system
wpcsys,,11
rect,0,a1,0,b1                    ! set up 2-D solid model
rect,0,a2,0,b2
asba,2,1,,delete,keep
aglue,1,3
type,11                           ! meshing 2-D model
eshape,0
lesize,1,,,nx
lesize,2,,,ny
lesize,3,,,nx
lesize,4,,,ny
amesh,1
lesize,9,,,npml
lesize,6,,,ny+npml
lesize,7,,,nx+npml
lesize,10,,,npml
amesh,3
esys,11                           ! set up element coordinate system
type,1                            ! meshing normal element region
mat,1
esize,,nz
asel,s,area,,1
vext,all,,,0,0,c1
type,2                            ! meshing PML region
esize,,nz
asel,s,area,,3
vext,all,,,0,0,c1
esize,,npml
asel,s,loc,z,c1
vext,all,,,0,0,l1
allsel,all,all
nummrg,all                        ! merge nodes
asel,s,loc,z,0                    ! delete 2-D element
aclear,all
nsel,s,loc,x,0,0.51*a1            ! flag equivalence source surface
nsel,r,loc,y,0,0.51*b1
nsel,r,loc,z,0,0.51*c1
esln,s,1,all
nsel,s,loc,x,0.49*a1,0.51*a1
nsel,a,loc,y,0.49*b1,0.51*b1
nsel,a,loc,z,0.49*c1,0.51*c1
sf,all,mxwf
nsel,all
esel,all
nsel,s,loc,x,a2                   ! set up PEC on PML exterior surface
nsel,a,loc,y,b2
nsel,a,loc,z,c2
nsel,a,loc,z,0                    ! set up PEC on z=0 symmetric plane
d,all,ax,0.
nsel,all
nsel,s,loc,x,0                    ! set up point current source at (0,0,0)
nsel,r,loc,y,0
nsel,r,loc,z,0
bf,all,js,0,0,curr                ! J=Jz
nsel,all
finish
/solu
antype,harmic                     ! harmonic analysis
harfrq,freq                       ! frequency for analysis
eqslv,sparse                      ! sparse solver
solve
finish
/post1
set,1,1
hfsym,11,pmc,pmc,pec              ! set up image symmetric plane
prhffar,field,,0,360,6,90,90,,10. ! print out far-field at r=10
/com,***** Target Results *****
/com, ** Far-Field at R = 10 **
/com,    Magnitude = 0.189
/com,
hfnear,,11,1.,0.,0.               ! print out near-field at (1,0,0)
/com,***** Target Results *****
/com, ** Near-Field at (1,0,0) **
/com,    Magnitude = 1.862
/com,
prhffar,patt,,0,360,6,90,90       ! print out antenna pattern
/com,***** Target Results *****
/com, ** Radiation Pattern **
/com,  Normalized Field = 0 (dB)
/com,
finish

Target Results

The target results for this example problem are as follows:

Near-field at point (1,0,0): |E| = 1.862 V/m

Far-field at r = 10 m: |E| = 0.189 V/m

Radiation pattern: Normalized electric field = 0 dB

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Part I, Basic Wave Radiation Examples 		Up / Home Next
Part II, Basic Wave Propagation Examples


Part II, Basic Wave Propagation Examples

Release 11.0 Documentation for ANSYS

High-Frequency Guide |

Basic Wave Propagation Examples

Table of Contents

Harmonic Analysis of a Coaxial Waveguide (Command Method)
Harmonic Analysis of a Coaxial Waveguide (GUI Method)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Harmonic Analysis for a Point Current Radiation Source (Command Method) 		Up / Home Next
Harmonic Analysis of a Coaxial Waveguide (Command Method)


Harmonic Analysis of a Coaxial Waveguide (Command Method)

Problem Description

This example describes how to do a simple harmonic high-frequency electromagnetic analysis of a coaxial waveguide by issuing ANSYS commands, either manually during a session or in batch mode. You can also perform the analysis through the ANSYS GUI menus, using the procedures described in the next example.

This example calculates the scattering parameters (S-parameters), impedance, and reflection coefficients for a coax waveguide terminated in a matched port. Due to symmetry, the problem models only a 5° circumferential angle.

Material Properties Used

μr = 1.0

εr = 1.0

Figure 1 Symmetry Model of a Coax Waveguide

Note

Nodes nbo, nbi, and nba are shown on the sketch for clarity. (These nodes are used in postprocessing.)

Geometric Properties Used

ri = .025 m

ro = .075 m

l = .375 m

Loading Used

Port voltage = 1.0

Ω = 0.8 GHz

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/batch,list
/prep7
/show
/title, Harmonic Response Analysis of a Coaxial Cable
/com
et,1,HF120,2                                ! High-frequency solid brick element, 2nd order
mp,murx,1,1.                                ! Relative permeability
mp,perx,1,1.                                ! Relative permittivity
cylind,.025,.075,0,.375,0,5                 ! Create wedge model
/view,1,1,1,1
/replot
csys,1
lsel,s,loc,z,.375/2
lesize,all,,,15                             ! 15 elements along length of coax
lsel,s,loc,x,.05
lesize,all,,,8                              ! 8 elements along the radius
lsel,s,loc,y,2.5
lesize,all,,,1                              ! 1 element around the circumference
vmesh,1                                     ! Mesh the volume
asel,s,loc,x,.025
asel,a,loc,x,.075
da,all,ax,0                                 ! Set elec. wall boundary cond. (tangential E = 0)
local,11,1
csys,0
asel,s,loc,z,0                              ! Select area at port 1
sfa,all,,port,1                             ! Define as port 1
hfport,1,coax,11,tem,hard,0.025,0.075,1,0   ! Specify port options
asel,s,loc,z,.375                           ! Select area at port 2
sfa,all,,port,2                             ! Define port 2
hfport,2,coax,11,tem,impd,0.025,0.075,0,0   ! Specify port options (matching port)
asel,all
finish
/solu
antype,harmic                               ! harmonic analysis
harfrq,8e8
solve
finish
/post1
sparm,1,2                                   ! Calculate S-parameters
set,1,1
plvect,h,,,h,vect,node                      ! Display H field
plvect,ef,,,ef,vect,node                    ! Display E field
csys,1
nbi=node(.025,0,.375)                       ! Retrieve node at inner radius
nbo=node(.075,0,.375)                       ! Retrieve node at outer radius
nba=node(.075,5,.375)                       ! Retrieve node at outer radius, angle 5 degrees
path,vltg,2                                 ! Create path for voltage
ppath,1,nbi                                 ! Define path points via nodes
ppath,2,nbo
path,curr,2                                 ! Crete current path for current
ppath,1,nbo                                 ! Define path points via nodes
ppath,2,nba
impd,'vltg','curr',1,72                     ! Calculate impedance (current symm factor=72)
reflcoef,1,1,0,.375,'vltg'                  ! Compute reflection coefficient and VSWR
finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Part II, Basic Wave Propagation Examples 		Up / Home Next
Harmonic Analysis of a Coaxial Waveguide (GUI Method)


Harmonic Analysis of a Coaxial Waveguide (GUI Method)

Problem Description

This example shows how to use the ANSYS GUI to perform the same harmonic coaxial cable analysis done by the command stream in the previous example.

Step 1: Start the Analysis

To begin the example analysis, do the following:

  1. Activate the ANSYS GUI. When the GUI is fully active, choose Utility Menu> File> Change Title. A dialog box appears.

  2. Enter the title text, “Harmonic response analysis of a coaxial cable.”

  3. Click OK.

  4. Choose Main Menu> Preferences. The Preferences for GUI Filtering dialog box appears.

  5. Select High Frequency, located under Electromagnetic.

  6. Click OK.

Step 2: Define Element Types

  1. Choose Main Menu> Preprocessor> Element Type> Add/Edit/Delete. The Element Types dialog box appears.

  2. Click Add. The Library of Element Types dialog box appears.

  3. In the scrollable lists, choose (highlight) HF Electromagnet and 3D Brick 120 (HF120).

  4. Check that the element type reference number is set to 1, then click OK.

  5. Click Options. For "Element polynomial order K1,” choose "Second order elm." Then click OK.

  6. Click Close in the Element Types dialog box.

Step 3: Define Material Properties

  1. Choose Main Menu> Preprocessor> Material Props> Material Models. The Define Material Model Behavior dialog box appears.

  2. In the Material Models Available window, double-click on the following options: Electromagnetics, Relative Permeability, Constant. A dialog box appears.

  3. Enter 1 for MURX (Relative permeability), and click on OK. Material Model Number 1 appears in the Material Models Defined window on the left.

  4. In the Material Models Available window, double-click on the following options: Relative Permittivity, Constant. A dialog box appears.

  5. Enter 1 for PERX (Relative permittivity), and click on OK.

  6. Click on menu path Material>Exit to remove the Define Material Model Behavior dialog box.

Step 4: Build the Model Geometry

  1. Choose Main Menu> Preprocessor> Modeling> Create> Volumes> Cylinder> By Dimensions. The Create Cylinder by Dimensions dialog box appears.

  2. Enter the following values:

    RAD1 field: .025 | Z1 field: 0 | THETA1 field: 0
    RAD2 field: .075 | Z2 field: .375 | THETA2 field: 5

  3. Click OK. The ANSYS Graphics Window will show a wedge shape.

  4. Choose Utility Menu> PlotCtrls> Pan, Zoom, Rotate. Click Iso. Click Close.

Step 5: Set Element Spacing and Mesh the Volume

  1. Choose Utility Menu> WorkPlane> Change Active CS to> Global Cylindrical.

  2. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  3. Change the setting of the top button on the menu from Nodes to Lines.

  4. Change the setting of the button below it to By Location.

  5. Click the Z coordinates radio button on.

  6. Check that the From Full radio button is on.

  7. In the "Min, Max" field, enter .375/2.

  8. Click OK.

  9. Choose Main Menu> Preprocessor> Meshing> Size Cntrls> Lines> All Lines. The Element Sizes on All Selected Lines dialog box appears.

  10. Set the "No. of element divisions" field to 15.

  11. Click OK.

  12. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  13. The top button on the menu should be set to Lines and the next button should be set to By Location.

  14. Click the X coordinates radio button on.

  15. Check that the From Full radio button is on.

  16. In the "Min, Max" field, enter .05.

  17. Click OK.

  18. Choose Main Menu> Preprocessor> Meshing> Size Cntrls> Lines> All Lines. The Element Sizes on All Selected Lines dialog box appears.

  19. Set the "No. of element divisions" field to 8.

  20. Click OK.

  21. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  22. The top button on the menu should be set to Lines and the next button should be set to By Location.

  23. Click the Y coordinates radio button on.

  24. In the "Min, Max" field, enter 2.5.

  25. Click OK.

  26. Choose Main Menu> Preprocessor> Meshing> Size Cntrls> Lines> All Lines. The Element Sizes on All Selected Lines dialog box appears.

  27. Set the "No. of element divisions" field to 1.

  28. Click OK.

  29. Choose Main Menu> Preprocessor> Meshing> Mesh> Volumes> Mapped> 4 to 6 Sided. A picking menu appears.

  30. Click Pick All.

  31. Click SAVE_DB on the ANSYS Toolbar.

Step 6: Apply the Electric Wall Condition

  1. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  2. Reset the top button to Areas and leave the next button set to By Location.

  3. Click the X coordinates radio button on.

  4. In the "Min, Max" field, enter .025.

  5. Click Apply.

  6. Click the Also Sele button on.

  7. In the "Min, Max" field, enter .075.

  8. Click OK.

  9. Choose Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Boundary> Electric Wall> On Areas. A picking menu appears.

  10. Click Pick All.

  11. Type local,11,1 in the ANSYS input window to define local coordinate system 11 (global cylindrical) and press ENTER.

  12. Choose Utility Menu> WorkPlane> Change Active CS to> Global Cartesian.

Step 7: Define the Waveguide Ports

  1. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  2. Reset the top button to Areas and leave the next button set to By Location.

  3. Click the Z coordinates radio button on.

  4. In the "Min, Max" field, enter 0.

  5. Click the From Full button on, then click OK.

  6. Choose Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Excitation> Port> Exterior> On Areas. A picking menu appears.

  7. Click the Pick All button. The Define Waveguide Port on Areas dialog box appears.

  8. Set the port number to 1 and click OK. The Define Waveguide PORT Options dialog box appears.

  9. Verify the port type is set to Coaxial.

  10. In the “Local CSYS number” field, enter 11.

  11. Select “Hard Source” under the “Applied BC/Excitation” option menu.

  12. In the "Inner radius or width" field, enter .025.

  13. In the "Outer radius or height” field, enter .075.

  14. In the "Field Amplitude" field, enter 1. Click OK.

  15. Choose Utility Menu> Select> Entities. The Select Entities dialog box appears.

  16. Reset the top button to Areas and leave the next button set to By Location.

  17. Click the Z coordinates radio button on.

  18. In the "Min, Max" field, enter 0.375, then click OK.

  19. Choose Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Excitation> Port> Exterior> On Areas. A picking menu appears.

  20. Click Pick All button. The Define Waveguide Port on Areas dialog box appears.

  21. Set the port number to 2 and click OK. The Define Waveguide Port Options dialog box appears.

  22. Verify the port type is set to Coaxial.

  23. In the “Local CSYS number” field, enter 11. Set the “Applied BC/Excitation” type to “Impedance.” Click OK.

  24. Choose Utility Menu> Select> Everything.

Step 8: Solve the Harmonic Analysis

  1. Choose Main Menu> Solution> Analysis Type> New Analysis. The New Analysis dialog box appears.

  2. Choose Harmonic as the analysis type.

  3. Click OK.

  4. Choose Main Menu> Solution> Load Step Opts> Time/Frequenc> Freq and Substps. The Harmonic Frequency and Substep Options dialog box appears.

  5. In the first "Harmonic frequency range" field, enter 8e8.

  6. Click OK.

  7. Choose Main Menu> Solution> Solve >Current LS. A pop-up window displays the solution options you have defined. Review this information and click Close when you have finished reading it.

  8. In the Solve Current Load Step dialog box, click OK to start the solution. A pop-up message notifies you when the solution is done. Click Close to close the message window.

  9. Choose Main Menu> Finish.

Step 9: Calculate Scattering (S) Parameters

  1. Choose Main Menu> General Postproc> Elec&Mag Calc> Port> S-Parameters. The Calculate S-Parameters dialog box appears.

  2. In the "Porti Source port number" field, enter 1.

  3. In the "Portj Matched port number" field, enter .

  4. Click OK. A pop-up window displays the scattering (s) parameters and their values. When you have read this information, click Close.

Step 10: Display Vector Plots of the Magnetic and Electric Fields

  1. Choose Main Menu> General Postproc> Read Results> By Load Step. The Read Results by Load Step Number dialog box appears.

  2. For both the "Load step number" and "Substep number" fields, enter 1.

  3. Click OK.

  4. Choose Utility Menu> Plot> Results> Vector Plot. The Vector Plot of Predefined Vectors dialog box appears.

  5. In the "Vector item to be plotted" scrollable lists, highlight Flux & Gradient and Mag Field H.

  6. In the "Mode" field, click vector mode on.

  7. In the "Vector location for results" field, click Elem Nodes on.

  8. Click OK. The image in the Graphics Window becomes a vector plot of the magnetic field (H).

  9. Again, choose Utility Menu> Plot> Results> Vector Plot. The Vector Plot of Predefined Vectors dialog box appears.

  10. In the "Vector item to be plotted" scrollable lists, highlight Flux & Gradient and Elec Field EF.

  11. In the "Mode" field, click vector mode on.

  12. In the "Vector location for results" field, click Elem Nodes on.

  13. Click OK. The Graphics Window now displays a vector plot of the electric field (EF).

  14. Click SAVE_DB on the ANSYS Toolbar.

Step 11: Define Paths for EMF (Voltage Drop) and MMF (Current)

  1. Choose Utility Menu> WorkPlane> Change Active CS to> Global Cylindrical.

  2. Choose Utility Menu> Parameters> Scalar Parameters. The Scalar Parameters dialog box appears.

  3. Enter the values shown below:

    nbi = node (.025,0,.375)
    nbo = node (.075,0,.375)
    nba = node (.075,5,.375)

    After typing each parameter value, click Accept. If you make a mistake typing a parameter value, backspace and retype it. To erase an incorrect parameter after you have entered it, click on that parameter then click Delete.

  4. Click Close.

  5. Choose Main Menu> General Postproc> Path Operations> Define Path> By Nodes. The picking menu appears. At this point you may use the mouse to pick the nodes defining a path from the inner coax radius to the outer coax radius identified as "nbi" and "nbo" in Figure 1: "Symmetry Model of a Coax Waveguide". Alternatively, since we have captured the node numbers at those locations as parameters, you can input the parameter values in the picker command line. We will detail this last procedure here (although the former procedure is simpler).

  6. In the picker, enter NBI and press the ENTER key.

  7. In the picker, enter NBO and press the ENTER key.

  8. Click OK. Another dialog box appears.

  9. In the "Define Path Name" field, enter VLTG.

  10. Click OK. Close the PDEF window.

  11. Choose Main Menu> General Postproc> Path Operations> Define Path> By Nodes. The picking menu appears.

  12. In the picker, enter NBO and press the ENTER key.

  13. In the picker, enter NBA and press the ENTER key.

  14. Click OK. Another dialog box appears.

  15. In the "Define Path Name" field, enter CURR.

  16. Click OK. Close the PDEF window.

Step 12: Calculate Impedance

  1. Choose Main Menu> General Postproc> Elec&Mag Calc> Path Based> Impedance. The Calculate Impedance dialog box appears.

  2. Check that the "Voltage drop path name" is VLTG and the "Current calc path name" is CURR. (VLTG and CURR should be highlighted.)

  3. Set the "Vsymm Voltage symmetry factor" field to 1.

  4. Set the "Isymm Current symmetry factor" field to 72.

  5. Click OK. A pop-up window displays impedance results. Click Close to close the results pop-up.

Step 13: Calculate Reflection Coefficients, Voltage Standing Wave Ratio, and Insert Loss, and Finish the Analysis

  1. Choose Main Menu> General Postproc> Elec&Mag Calc> Port> Refl Coeff. The Calculate Reflection Coefficients dialog box appears.

  2. Set the "Input port number" field to 1.

  3. Set the "Input port voltage" field to 1.

  4. Set the "Voltage phase angle" field to 0.

  5. Set the "Propagation distance" field to .375.

  6. Set the "Propagation path name" field to VLTG.

  7. Click OK. A pop-up window appears, showing you the reflection coefficient results.

  8. Click Close to close the pop-up window.

  9. Choose Main Menu> Finish.

  10. Click on QUIT on the ANSYS Toolbar. Choose an exit option and click OK.

Calculated results: (see commands SPARM, IMPD, and REFLCOEF for parameter definitions): S11 = 0.0, S12 = 1.007, ZRe = 65.14 Ω, Zim = -0.16 Ω, REFLC = 6.87e-4, VSWR = 1.001, RL = 63.26.

Figure 1 Magnetic Field in Coax

Figure 2 Electric Field in Coax

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Harmonic Analysis of a Coaxial Waveguide (Command Method) 		Up / Home Next
Part III, Basic Wave Resonance Examples


Part III, Basic Wave Resonance Examples

Release 11.0 Documentation for ANSYS

High-Frequency Guide |

Basic Wave Resonance Examples

Table of Contents

Modal Analysis of a Cavity (Command Method)
Modal Analysis of a Cavity (GUI Method)
Modal Analysis for a Circular Waveguide (Command Method)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Harmonic Analysis of a Coaxial Waveguide (GUI Method) 		Up / Home Next
Modal Analysis of a Cavity (Command Method)


Modal Analysis of a Cavity (Command Method)

Problem Description

This example describes how to do a modal high-frequency analysis of a cavity using ANSYS commands. You can also perform the analysis through the ANSYS GUI menus, using the procedures described in the next example.

This example analysis calculates the TE101 mode eigenfrequency and quality factor in a Teflon filled cavity with copper walls. The example assumes that the dielectric and surface losses are small and do not affect the eigenfrequency solution.

Material Properties Used

μr = 1.0

εr = 2.05

ρ = 1.0361x105

Figure 1 Teflon Filled Cavity

Geometric Properties Used

d = 1.0 m, w = 0.4 m, h = 0.3 m

Shielding Surface Properties Used

τ = .58x108 S/m

μr = 1.0

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/batch,list
/prep7
/show
/title, Eigenvalue analysis of a dielectric-filled cavity
/com, Calculate the TE101 mode eigenfrequency and Quality
/com, factor in a Teflon-filled cavity with copper walls
/com,
_length=1.0
_width=0.4
_height=0.3
epsr=2.05
rvsigma=1.0361e5
cond=0.58e8
et,1,hf120,2                           ! HF solid brick element, 2nd order
mp,murx,1,1.                           ! Relative permeability - teflon
mp,perx,1,epsr                         ! Relative permittivity - teflon
mp,rsvx,1,rvsigma                      ! Resistivity - teflon
_h=0.08
block,0,_length,0,_width,0,_height     ! Create cavity
/view,1,1,1,1
/replot
esize,_h
mshape,0,3d                            ! Hex elements
mshkey,1                               ! Mapped mesh
vmesh,1                                ! Mesh volume
da,all,ax,0                            ! Set electric wall boundary cond. (tangential E=0)
sfa,all,,shld,cond,1.0                 ! specify surface shielding properties
finish
/solu
antype,modal                           ! Modal analysis
modopt,lanb,1,2.2e8,4.0e8,,on          ! Block Lanczos solver (the default)
mxpand,,,,yes                          ! Expand mode
solve
finish
/post1
set,last
/view,,.75,.5,.6
/vup,1,z
plvect,h,,,,vect,node,on               ! display H field
plvect,ef,,,,vect,node,on              ! display E field
qfact
finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Part III, Basic Wave Resonance Examples 		Up / Home Next
Modal Analysis of a Cavity (GUI Method)


Modal Analysis of a Cavity (GUI Method)

Problem Description

Calculated Quality Factor = 3006.1

This example describes how to use the ANSYS GUI doing the same modal high-frequency analysis done using ANSYS commands in the previous example.

Step 1: Start the Analysis

To begin the example analysis, do the following:

  1. Activate the ANSYS GUI. When the GUI is fully active, choose Utility Menu> File> Change Title. A dialog box appears.

  2. Enter the title text, Eigenvalue analysis of a dielectric filled cavity.

  3. Click OK.

  4. Choose Main Menu> Preferences. The Preferences for GUI Filtering dialog box appears.

  5. Select High Frequency under Electromagnetic and click OK.

Step 2: Define Element Types

  1. Choose Main Menu> Preprocessor> Element Type> Add/Edit/Delete. The Element Types dialog box appears.

  2. Click Add. The Library of Element Types dialog box appears.

  3. In the scrollable lists, choose (highlight) HF Electromagnet and 3D Brick 120 (HF120).

  4. Check that the element type reference number is set to 1, then click OK.

  5. Click Options. For "Element polynomial order K1," choose "Second order elm." Then click OK.

  6. Click Close in Element Types dialog box.

Step 3: Define Material Properties

  1. Choose Main Menu> Preprocessor> Material Props> Material Models. The Define Material Model Behavior dialog box appears.

  2. In the Material Models Available window, double-click on the following options: Electromagnetics, Relative Permeability, Constant. A dialog box appears.

  3. Enter 1 for MURX (Relative permeability). Click on OK. Material Model Number 1 appears in the Material Models Defined window on the left.

  4. In the Material Models Available window, double-click on the following options: Resistivity, Constant. A dialog box appears.

  5. Enter 1.0361e5 for RSVX (Electrical resistivity). Click on OK.

  6. In the Material Models Available window, double-click on the icons next to the following options: Relative Permittivity, Constant. A dialog box appears.

  7. Enter 2.05 for PERX (Relative permittivity). Click on OK.

  8. Choose menu path Material>Exit to remove the Define Material Model Behavior dialog box.

Step 4: Create the Cavity

  1. Choose Main Menu> Preprocessor> Modeling> Create> Volumes> Block> By Dimensions. The Create Block By Dimensions dialog box appears.

  2. Enter the values shown below in the appropriate fields. (Use the Tab key to move between fields.)

    X1 field: 0 | Y1 field: 0 | Z1 field: 0
    X2 field: 1 | Y2 field: .4 | Z2 field: .3

  3. Click OK. The Graphics Window displays the new block.

  4. Choose Utility Menu> PlotCtrls> Pan, Zoom, Rotate. Click Iso. Click Close.

Step 5: Mesh the Cavity

  1. Choose Main Menu> Preprocessor> Meshing> MeshTool. The MeshTool appears.

  2. Under the Size Controls section of the MeshTool, click the Set button beside "Globl." The Global Element Sizes dialog box appears.

  3. In the "SIZE Element edge length" field, enter .08.

  4. Click OK to return to the MeshTool.

  5. Click Hex and Map.

  6. Click the MESH button. A picking menu appears.

  7. Click Pick All.

  8. When meshing is complete, click Close in the MeshTool.

  9. Click SAVE_DB on the ANSYS Toolbar.

Step 6: Apply the Electric Wall Condition and Specify Surface Shielding Properties

  1. Choose Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Boundary> Electric Wall> On Areas. The Apply Electric Wall picking menu appears.

  2. Click Pick All. The Graphics Window displays the electric wall boundary condition

  3. Choose Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Boundary> Shield> On Areas. The Apply SHLD on Areas picking menu appears.

  4. Click Pick All. The Apply SHLD on Areas dialog box appears.

  5. Set COND = .58e8 and MUR = 1.0

  6. Click OK.

  7. Choose Main Menu> Finish.

Step 7: Solve the Analysis

  1. Choose Main Menu> Solution> Analysis Type> New Analysis. The New Analysis dialog box appears.

  2. Make sure that the Modal radio button is selected.

  3. Click OK.

  4. Choose Main Menu> Solution> Analysis Type> Analysis Options. The Modal Analysis dialog box appears.

  5. Make sure that Block Lanczos is selected.

  6. Specify the number of modes to extract (1).

  7. Set the Expand mode shapes button to Yes.

  8. Specify the number of modes to expand (1).

  9. Set the Calculate elem results button to Yes.

  10. Click OK. The Block Lanczos Method dialog box appears.

  11. In the "FREQB Start Freq" field, enter 2.2e8.

  12. In the "FREQE End Frequency" field, enter 4.0e8.

  13. Set the Nrmkey Normalize mode shapes button to To Unity.

  14. Click OK.

  15. Choose Main Menu> Solution> Solve> Current LS. A pop-up window displays the analysis options you specified. Review the window contents and then click Close.

  16. In the Solve Current Load Step dialog box, click OK. A pop-up message notifies you when solution is complete. Click Close to close it.

  17. Choose Main Menu> Finish.

Step 8: Display Vector Plots of the Magnetic and Electric Fields

  1. Choose Main Menu> General Postproc> Read Results> Last Set.

  2. Choose Utility Menu> PlotCtrls> View Settings> Viewing Direction. The Viewing Direction dialog box appears.

  3. Enter the values shown below in the appropriate fields:

    XV field: .75
    YV field: .5
    ZV field: .6

  4. Set the Coord axis orientation field to Z-axis Up.

  5. Click OK.

  6. Choose Utility Menu> Plot> Results> Vector Plot. The Vector Plot of Predefined Vectors dialog box appears.

  7. In the "Vector item to be plotted" scrollable lists, highlight “Flux & gradient” on the left and “Mag field H” on the right.

  8. For "Mode," click vector mode on.

  9. For "Vector location for results," click Elem Nodes on.

  10. Turn “Edge element edges” on (Displayed).

  11. Click OK. The image in the Graphics Window becomes a vector plot of the magnetic field intensity (H).

  12. Again, choose Utility Menu> Plot> Results> Vector Plot. The Vector Plot of Predefined Vectors dialog box appears.

  13. In the "Vector item to be plotted" scrollable lists, highlight “Flux & gradient“ on the left and “Elec field EF” on the right.

  14. For "Mode," click vector mode on.

  15. For "Vector location for results," click Elem Nodes on.

  16. Verify that “Edge element edges” is set to Displayed.

  17. Click OK. The Graphics Window now displays a vector plot of the electric field (EF).

Step 9: Calculate the Quality Factor and Finish the Analysis

  1. Choose Main Menu> General Postproc> Elec&Mag Calc> Cavity> Q-Factor. A dialog box appears. Click OK. The ANSYS program displays the results of the quality factor calculation in a pop-up window.

  2. Review the results, then click Close to close the pop-up window.

  3. Choose Main Menu> Finish.

  4. Click Quit on the ANSYS Toolbar. Choose an exit option and click OK.

Figure 1 Magnetic Field Vector Display of TE101 Mode

Figure 2 Electric Field Vector Display of TE101 Mode

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Modal Analysis of a Cavity (Command Method) 		Up / Home Next
Modal Analysis for a Circular Waveguide (Command Method)


Modal Analysis for a Circular Waveguide (Command Method)

Problem Description

This example demonstrates how to determine the dispersion characteristics of a waveguide using ANSYS commands.

In this example, you calculate the propagating constants and cutoff frequencies for a circular waveguide with a radius of 1 meter.

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/batch, list
/title, Cutoff Freq. & Prop. Const. for Circular Waveguide
/com, radius = 1 m
/prep7
a=1.
et,1,118,1                            ! 1st order element
type,1
emunit,mks
mp,murx,1,1.
mp,perx,1,1.
cyl4,,,a
mshkey,0
mshape,1                              ! tri element
esize,0.1*a
amesh,1
!
! set up PEC boundary condition
!
dl,all,,ax,0.
finish
! Solve propagating constants
! Target result: Gamma = 10.309, 10.309, 10.193
/solu
antype,modal
hfeig,gamma,500.e6
modopt,lanb,3,1.e6,1.e9,,on
mxpand,,,,yes
solve
fini
! Solve cutoff frequency
! Target result: Freq. = 87.911 MHz, 87.911 MHz, 114.82 MHz
/solu
antype,modal
hfeig,cutoff
modopt,lanb,3,,1.e12,,on
mxpand,,,,yes
solve
finish

Target Results

The target results for this example problem are as follows:

Propagating constant (γ) | 10.309 | 10.309 | 10.193
Frequency (f) | 87.911 MHz | 87.911 MHz | 114.82 MHz

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Modal Analysis of a Cavity (GUI Method) 		Up / Home Next
Part IV, Basic Wave Scattering Examples


Part IV, Basic Wave Scattering Examples

Release 11.0 Documentation for ANSYS

High-Frequency Guide |

Basic Wave Scattering Examples

Table of Contents

Harmonic Analysis for Plane Wave Scattering from a Metallic Plate (Command Method)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Modal Analysis for a Circular Waveguide (Command Method) 		Up / Home Next
Harmonic Analysis for Plane Wave Scattering from a Metallic Plate (Command Method)


Harmonic Analysis for Plane Wave Scattering from a Metallic Plate (Command Method)

Problem Description

This example demonstrates how to determine the radar cross section (RCS) of a metallic plate using ANSYS commands.

In this example, you calculate the RCS of a PEC plate (1λo x 1λo). You use a PML region and reflective symmetry.

Target Results

The target results for this example problem are as follows:

Method of Moment (MoM) Results:

Angle θ (Degrees) | RCS (dB)
 | E-plane (φ = 0°) | H-plane (φ = 90°)
0 | 10.5 | 10.5
10 | 9.9 | 9.9
20 | 8.5 | 9.0
30 | 6.2 | 7.5
40 | 3.0 | 5.0
50 | 0.0 | 1.9
60 | -2.0 | -1.8
70 | -2.1 | -6.2
80 | -2.05 | -12.5

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/batch,list
/title, RCS from a Metallic Plate
/com, Problem: RCS from a Metallic Plate with 1 wavelength x 1 wavelength
/com,          Incident Wave: +y polarization with PHI = 90 (degree)
/com,          THETA = 0 (degree)
/com,          Field Symmetry: 1/4 Structure, x-z plane & y-z plane
/nopr
/prep7
freq=300e6 $lambda=3.e8/freq
a=0.5*lambda $b=0.5*lambda                  ! 1/4 metallic plate
a1=0.8*lambda $b1=0.8*lambda $c1=0.3*lambda ! PML interior boundary
a2=1.2*lambda $b2=1.2*lambda $c2=0.7*lambda ! PML exterior boundary
l1=c2-c1 $la=a/a1 $lb=b/b1
nx=8 $ny=8 $nz=3
npml=4                                      ! number of PML layers
et,11,200,7		                             ! temporary element
et,1,120,1                                  ! 1st order Brick element
et,2,120,1,,,1                              ! PML element
mp,murx,1,1.                                ! relative permeability
mp,perx,1,1.                                ! relative permittivity
rect,0,a1,0,b1                              ! build up geometric model
rect,0,a2,0,b2
asba,2,1,,delete,keep
aglue,1,3
type,11                                     ! 2-D meshing
lesize,1,,,nx
lesize,2,,,ny
lesize,3,,,nx
lesize,4,,,ny
amesh,1
lesize,9,,,npml
lesize,6,,,ny+npml
lesize,7,,,nx+npml
lesize,10,,,npml
amesh,3
type,1                                      ! create normal element
mat,1
esize,,nz
asel,s,area,,1
vext,all,,,0,0,-c1
asel,s,area,,1
vext,all,,,0,0,c1
type,2                                      ! create PML element
esize,,nz
asel,s,area,,3
vext,all,,,0,0,-c1
asel,s,area,,3
vext,all,,,0,0,c1
esize,,npml
asel,s,loc,z,-c1
vext,all,,,0,0,-l1
asel,s,loc,z,c1
vext,all,,,0,0,l1
asel,s,loc,z,0                              ! delete temporary element
aclear,all
allsel,all,all
nummrg,all
nsel,s,loc,x,0,a+1.01*a1/nx                 ! flag equivalence source surface
nsel,r,loc,y,0,b+1.01*b1/ny
nsel,r,loc,z,-1.01*c1/nz,1.01*c1/nz
esln,s,1,all
nsel,s,loc,x,0.99*(a+a1/nx),1.01*(a+a1/nx)
nsel,a,loc,y,0.99*(b+b1/ny),1.01*(b+b1/ny)
nsel,a,loc,z,-1.01*c1/nz,-0.99*c1/nz
nsel,a,loc,z,0.99*c1/nz,1.01*c1/nz
sf,all,mxwf
nsel,all
esel,all
nsel,s,loc,x,a2                             ! set PEC on exterior surface of PML
nsel,a,loc,y,b2
nsel,a,loc,z,-c2
nsel,a,loc,z,c2
nsel,a,loc,y,0                              ! set PEC on field symmetric plane
d,all,ax,0.
nsel,all
nsel,s,loc,z,-0.001,0.001                   ! set PEC on metallic plate
nsel,r,loc,x,-0.001,1.001*a
nsel,r,loc,y,-0.001,1.001*b
d,all,ax,0.
nsel,all
plwave,0,1,0,90,0                           ! incident plane wave
finish
/solu
antype,harmic                               ! harmonic analysis
harfrq,freq                                 ! working frequency
eqslv,sparse                                ! SPARSE solver
hfscat,scat                                 ! define a scattering solution
solve
finish
/post1
set,1,1
hfsym,,pmc,pec                              ! define image symmetric plane
prhffar,rcs,,90,90,,0,90,18                 ! RCS on H-plane
prhffar,rcs,,0,0,,0,90,18                   ! RCS on E-plane
finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Part IV, Basic Wave Scattering Examples 		Up / Home Next
Part V, Advanced Wave Radiation Examples


Part V, Advanced Wave Radiation Examples

Release 11.0 Documentation for ANSYS

High-Frequency Guide |

Advanced Wave Radiation Examples

Table of Contents

Harmonic Analysis for a JRM Array Antenna (Command Method)
Harmonic Analysis for a Lee-Jones Array Antenna (Command Method)
Harmonic Analysis for Line-fed Microstrip Patch Antenna (Command Method)
Harmonic Analysis for Radiation of a Waveguide Antenna with No Flare (Command Method)
Harmonic Analysis for a Half Wavelength Dipole Antenna (Command Method)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Harmonic Analysis for Plane Wave Scattering from a Metallic Plate (Command Method) 		Up / Home Next
Harmonic Analysis for a JRM Array Antenna (Command Method)


Harmonic Analysis for a JRM Array Antenna (Command Method)

Problem Description

This example demonstrates how to determine the S-parameter and antenna parameters of a 25×25 JRM array antenna using ANSYS commands.

The JRM array consists of 0.9" × 0.4" rectangular waveguides in a 1.0" × 0.5" rectangular lattice, as shown on the left in the following figure. Only one radiation unit is modeled. The FEA model consists of a waveguide of 0.9" × 0.4" × 0.75" and an air box of 1.0" × 0.5" × 0.75" as shown on the right. The air box is covered by Perfectly Matched Layers (PML) of absorbing material, 0.75" thick. An E-plane (φ=90°) scan is performed at 9.25 GHz.

Figure 1 3×4 JRM Array and FEA Model of Unit Cell

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/batch,list
/title, S11 and antenna directive gains of JRM Array, E plane scan, 9.25 GHz
/com, Problem: Compute S11 of JRM Array for E-Plane scan at 9.25 GHz
/com, Numerical Model: Waveguide + Radiation Space + PML
/com,                  Waveguide: 0.9"x0.4"x0.75"
/com,                  Radiation Space: 1.0"x0.5"x0.75"
/com,                  PML: 1.0"x0.5"x0.75"
/com,                  Refined meshes near the aperture
/com,
/nopr
/prep7
! --- Geometric and operating conditions ---
freq=9.25e9
lamda=3.e8/freq
scal=25.4e-3
_px=1.*scal
_py=0.5*scal
a1=scal*0.9/2.
b1=scal*0.4/2.
a2=scal*1.0/2.
b2=scal*0.5/2
c1=0
c2=c1+scal*0.5
c3=c2+scal*0.25
c4=c3+scal*0.25
c5=c4+scal*0.5
c6=c5+scal*0.75
! --- Mesh definition ---
h1=lamda/10
h2=0.5*h1
tiny=1.e-5
ang=43
! --- Define elements and material
et,11,200,5
et,1,119,1,,,0
et,2,119,1,,,1
mp,murx,1,1.
mp,perx,1,1.
! --- Numerical model ---
local,11
wpcsys,,11
block,-a1,a1,-b1,b1,c1,c2
block,-a1,a1,-b1,b1,c2,c3
block,-a2,a2,-b2,b2,c3,c4
block,-a2,a2,-b2,b2,c4,c5
block,-a2,a2,-b2,b2,c5,c6
vglue,all
type,11
esize,h2
asel,s,loc,x,-a2
asel,a,loc,y,-b2
asel,r,loc,z,c3,c4
amesh,all
esize,h1
asel,s,loc,x,-a2
asel,a,loc,y,-b2
asel,r,loc,z,c4,c5
amesh,all
asel,s,loc,x,-a2
asel,a,loc,y,-b2
asel,r,loc,z,c5,c6
amesh,all
alls
asel,s,loc,x,-a2
agen,2,all,,,2*a2
asel,s,loc,y,-b2
agen,2,all,,,0,2*b2
alls
nummrg,all
mat,1
type,1
vsel,s,loc,z,c1,c2
esize,h1
vmesh,all
vsel,s,loc,z,c2,c4
esize,h2
vmesh,all
vsel,s,loc,z,c4,c5
esize,h1
vmesh,all
! --- PML element ---
type,2
vsel,s,loc,z,c5,c6
vmesh,all
alls
aclear,all
etdel,11
alls
nsel,s,loc,z,c3
nsel,r,loc,x,-a1+tiny,a1-tiny
nsel,r,loc,y,-b1+tiny,b1-tiny
cm,ndapt,node
! --- Define master/slave coupling ---
nsel,s,loc,x,-a2
nsel,a,loc,x,a2
cpcyc,ax,,,2*a2,0,0,1
nsel,s,loc,y,-b2
nsel,a,loc,y,b2
cpcyc,ax,,,0,2*b2,0,1
alls
! --- Set PEC on waveguide & PML wall ---
nsel,s,loc,x,-a1
nsel,a,loc,x,a1
nsel,a,loc,y,-b1
nsel,a,loc,y,b1
nsel,r,loc,z,c1,c3
d,all,ax,0
nsel,s,loc,z,c3
nsel,u,,,ndapt
d,all,ax,0
nsel,s,loc,z,c6
d,all,ax,0
nsel,all
! --- Flag equivalent source surface with MXWF ---
nsel,s,loc,z,c3,c4
esln,s,1,all
nsel,s,loc,z,c4
sf,all,mxwf
alls
! --- Define waveguide port ---
hfport,1,rect,11,TE10,impd,2*a1,2*b1,1.
nsel,s,loc,z,c1
sf,all,PORT,1
alls
save
fini
/solu
! --- Perform angle scanning for S-parameter calculation ---
spscan,freq,,90,90,,10,80,3.3,1
! use PLSPmacro command to plot out S-parameter in GUI
fini
/solu
! --- Perform an analysis at 43 degree
antype,harmic
hfpa,scan,,90,ang
harfrq,freq
eqslv,sparse
solve
fini
/post1
hfang,angle,0,360,0,90				! define the radiation space (semi-space)
/thra,0,360					! define the range of theta angle (undocumented)
plhffar,dgain,polar,90,90,,-70,85,155		! plot the directive gain of unit cell
hfarray,25,25,_px,_py				! define a 25×25 array
plhffar,dgain,polar,90,90,,-70,85,155		! plot the directive gain of 25×25 array
fini

The Target Results

Figure 2: "S-Parameter of JRM Array with E-Plane Scan at 9.25 GHz" depicts the S-parameter at the waveguide port over a range of angles, from 10° to 80°. Figure 3: "Directive Gain of Unit Cell with E-Plane Scan at 9.25 GHz" shows the directive gain of single radiation element at scan angle 43°. The directive gain of a 25×25 JRM array at scan angle 43° is shown in Figure 4: "Directive Gain of a 25×25 JRM Array with E-Plane Scan at 9.25 GHz".

Figure 2 S-Parameter of JRM Array with E-Plane Scan at 9.25 GHz

Figure 3 Directive Gain of Unit Cell with E-Plane Scan at 9.25 GHz

Figure 4 Directive Gain of a 25×25 JRM Array with E-Plane Scan at 9.25 GHz

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Part V, Advanced Wave Radiation Examples 		Up / Home Next
Harmonic Analysis for a Lee-Jones Array Antenna (Command Method)


Harmonic Analysis for a Lee-Jones Array Antenna (Command Method)

Problem Description

This example demonstrates how to determine the S-parameter of a Lee-Jones array antenna with a triangular lattice using ANSYS commands.

The Lee-Jones array consists of 1.122" × 0.497" rectangular waveguides in a 1.25" × 0.625" triangular lattice, as shown on the left in Figure 1: "5×5 Lee-Jones Array and FEA Model of Unit Cell". Only one radiation unit is modeled. The FEA model shown on the right consists of a waveguide of 1.122" × 0.497" × 1.0" and an air box of 1.25" × 0.625" × 1.0". The air box is covered by Perfectly Matched Layers (PML) of absorbing material, 0.5" thick. An H-plane (φ=0°) scan is performed at 9.5 GHz. The periodic boundary conditions are shown in Figure 2: "Periodic Boundary Condition for Lee-Jones Array".

Figure 1 5×5 Lee-Jones Array and FEA Model of Unit Cell

Figure 2 Periodic Boundary Condition for Lee-Jones Array

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/batch,list
/title, S11 of Lee-Jones Array with the triangular lattice
/com, Numerical Model: Waveguide + Radiation Space + PML
/com,                  Waveguide: 1.122"x0.497"1.0"
/com,                  Radiation Space: 1.25"x0.625"x1.0"
/com,                  PML: 1.25"x0.625"x0.5"
/com,                  Refined meshes near the aperture
/nopr
/prep7
! --- Geometric and operating conditions ---
freq=9.5e9
lamda=3.e8/freq
scal=25.4e-3
a1=scal*1.122/2.
b1=scal*0.497/2.
a2=scal*1.25/2.
b2=scal*0.625/2.
c1=0
c2=c1+scal*0.75
c3=c2+scal*0.25
c4=c3+scal*0.25
c5=c4+scal*0.75
c6=c5+scal*0.5
! --- Mesh definition ---
h1=lamda/12
h2=0.5*h1

! --- Define elements and material
et,11,200,5
et,1,119,1,,,0
et,2,119,1,,,1
mp,murx,1,1.
mp,perx,1,1.
! --- Numerical model ---
local,11
wpcsys,,11
block,-a1,0,-b1,b1,c1,c2
block,-a1,0,-b1,b1,c2,c3
block,0,a1,-b1,b1,c1,c2
block,0,a1,-b1,b1,c2,c3
block,-a2,0,-b2,b2,c3,c4
block,-a2,0,-b2,b2,c4,c5
block,0,a2,-b2,b2,c3,c4
block,0,a2,-b2,b2,c4,c5
block,-a2,0,-b2,b2,c5,c6
block,0,a2,-b2,b2,c5,c6
vglue,all
type,11
esize,h2
asel,s,loc,x,-a2
asel,a,loc,y,b2
asel,r,loc,z,c3,c4
amesh,all
esize,h1
asel,s,loc,x,-a2
asel,a,loc,y,b2
asel,r,loc,z,c4,c5
amesh,all
asel,s,loc,x,-a2
asel,a,loc,y,b2
asel,r,loc,z,c5,c6
amesh,all
alls
asel,s,loc,x,-a2
agen,2,all,,,2*a2
asel,s,loc,y,b2
asel,r,loc,x,-a2,0
agen,2,all,,,a2,-2*b2
asel,s,loc,y,b2
asel,r,loc,x,0,a2
agen,2,all,,,-a2,-2*b2
alls
nummrg,all
mat,1
type,1
esize,h1
vsel,s,loc,z,c1,c2
vsel,a,loc,z,c4,c5
vmesh,all
esize,h2
vsel,s,loc,z,c2,c4
vmesh,all
! --- PML element ---
type,2
esize,h1
vsel,s,loc,z,c5,c6
vmesh,all
alls
aclear,all
etdel,11
alls
! --- Define master/slave coupling ---
nsel,s,loc,y,b2
nsel,r,loc,x,-a2,0
cm,edge11,node
nsel,s,loc,y,b2
nsel,r,loc,x,0,a2
cm,edge21,node
nsel,s,loc,y,-b2
nsel,r,loc,x,-a2,0
cm,edge22,node
nsel,s,loc,y,-b2
nsel,r,loc,x,0,a2
cm,edge12,node
nsel,s,loc,z,c3
nsel,r,loc,x,-a1,a1
nsel,r,loc,y,-b1,b1
cm,ndapt,node
nsel,s,loc,x,-a2
nsel,a,loc,x,a2
cpcyc,ax,,,2*a2,0,0,1
nsel,s,,,edge11
nsel,a,,,edge12
cpcyc,ax,,,a2,-2*b2,0,1
nsel,s,,,edge21
nsel,a,,,edge22
cpcyc,ax,,,-a2,-2*b2,0,1
alls
! --- Set PEC on waveguide wall & PML wall ---
nsel,s,loc,x,-a1
nsel,a,loc,x,a1
nsel,a,loc,y,-b1
nsel,a,loc,y,b1
nsel,r,loc,z,c1,c3
d,all,ax,0
nsel,s,loc,z,c3
nsel,u,,,ndapt
d,all,ax,0
nsel,s,loc,z,c6
d,all,ax,0
nsel,all
! --- Define waveguide port ---
hfport,1,rect,11,TE10,impd,2*a1,2*b1,1.
nsel,s,loc,z,c1
sf,all,PORT,1
alls
save
fini
/solu
! --- Perform angle scanning for S-parameter calculation ---
spscan,freq,,0,0,,0,55,5,0
fini

Target Results

The figure below depicts the S-parameter at the waveguide port over a range of angles, from 0° to 55°.

Figure 3 S-Parameter of Lee-Jones Array with E-Plane Scan at 9.5 GHz

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Harmonic Analysis for a JRM Array Antenna (Command Method) 		Up / Home Next
Harmonic Analysis for Line-fed Microstrip Patch Antenna (Command Method)


Harmonic Analysis for Line-fed Microstrip Patch Antenna (Command Method)

Problem Description

This example demonstrates how to determine the S-parameter of a line-fed microstrip patch antenna using ANSYS commands.

The line-fed microstrip patch antenna consists of a 16 mm × 12.45 mm metallic rectangular patch on the substrate with the thickness of 0.794 mm and εr = 2.2. The width of the microstrip is 2.46 mm and the characteristic impedance is assumed to be 50 Ohms. The distance from the edge of the microstrip to the edge of the patch is 2.09 mm, as shown on the top in the figure below. The structure is enclosed by Perfectly Matched Layers (PML) of absorbing material, excepting the ground plane, as shown on the bottom.

Figure 1 Line-fed Microstrip Patch Antenna Geometry and FEA Model

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/batch,list
/title, Microstrip Rectangular Patch Antenna
/com, Problem: Compute S-Parameter of Microstrip Rectangular Patch
/com, Microstrip: Width=2.46 mm, Substrate thickness=0.794 mm, er=2.2
/com, Patch: 16x12.45 mm^2; Distance from microstrip edge to patch edge: 2.09 mm
/nopr
/prep7
! --- define elements and material ---
epsr=2.2
et,11,200,7
et,1,120,1,,,0
et,2,120,1,,,1
mp,murx,1,1.
mp,perx,1,epsr
mp,murx,2,1.
mp,perx,2,1.
! --- define geometry ---
ws=2.46
wp1=2.09
wp2=7.9
hp=16.
hm=4.
hs=0.794
scal=1.e-3
a3=-wp1
a4=0
a2=a3-ws
a1=a2-ws
a5=ws
a6=a5+wp2
a7=a6+ws
a8=a7+ws
b5=0.
b6=hp
b7=b6+hm
b8=b7+1.25*hm
b4=b5-hm
b3=b4-hm
b2=b3-hm
b1=b2-1.25*hm
rect,a2,a3,b2,b3
rect,a3,a4,b2,b3
rect,a4,a5,b2,b3
rect,a5,a6,b2,b3
rect,a6,a7,b2,b3
rect,a2,a3,b3,b4
rect,a3,a4,b3,b4
rect,a4,a5,b3,b4
rect,a5,a6,b3,b4
rect,a6,a7,b3,b4
rect,a2,a3,b4,b5
rect,a3,a4,b4,b5
rect,a4,a5,b4,b5
rect,a5,a6,b4,b5
rect,a6,a7,b4,b5
rect,a2,a3,b5,b6
rect,a3,a4,b5,b6
rect,a4,a5,b5,b6
rect,a5,a6,b5,b6
rect,a6,a7,b5,b6
rect,a2,a3,b6,b7
rect,a3,a4,b6,b7
rect,a4,a5,b6,b7
rect,a5,a6,b6,b7
rect,a6,a7,b6,b7
rect,a1,a2,b1,b2
rect,a2,a3,b1,b2
rect,a3,a4,b1,b2
rect,a4,a5,b1,b2
rect,a5,a6,b1,b2
rect,a6,a7,b1,b2
rect,a7,a8,b1,b2
rect,a1,a2,b2,b3
rect,a7,a8,b2,b3
rect,a1,a2,b3,b4
rect,a7,a8,b3,b4
rect,a1,a2,b4,b5
rect,a7,a8,b4,b5
rect,a1,a2,b5,b6
rect,a7,a8,b5,b6
rect,a1,a2,b6,b7
rect,a7,a8,b6,b7
rect,a1,a2,b7,b8
rect,a2,a3,b7,b8
rect,a3,a4,b7,b8
rect,a4,a5,b7,b8
rect,a5,a6,b7,b8
rect,a6,a7,b7,b8
rect,a7,a8,b7,b8
aglue,all
! --- define mesh size ---
nx1=8
nx2=4
nx3=5
ny1=4
ny2=16
nz1=5
nz2=4
hx1=(a3-a1)/nx1
hx2=(a4-a3)/nx2
hx3=(a5-a4)/nx3
hy1=(b2-b1)/ny1
hy2=(b6-b5)/ny2
lsel,s,loc,x,(a1+a2)/2
lsel,a,loc,x,(a2+a3)/2
lsel,a,loc,x,(a6+a7)/2
lsel,a,loc,x,(a7+a8)/2
cm,lx1,line
lesize,lx1,hx1
lsel,s,loc,x,(a3+a4)/2
lsel,a,loc,x,(a5+a6)/2
cm,lx2,line
lesize,lx2,hx2
lsel,s,loc,x,(a4+a5)/2
cm,lx3,line
lesize,lx3,hx3
lsel,s,loc,y,(b1+b2)/2
lsel,a,loc,y,(b2+b3)/2
lsel,a,loc,y,(b3+b4)/2
lsel,a,loc,y,(b4+b5)/2
lsel,a,loc,y,(b6+b7)/2
lsel,a,loc,y,(b7+b8)/2
cm,ly1,line
lesize,ly1,hy1
lsel,s,loc,y,(b5+b6)/2
cm,ly2,line
lesize,ly2,hy2
alls
type,11
asel,all
amesh,all
alls
asel,s,loc,z,0
asel,r,loc,x,a2,a7
asel,r,loc,y,b2,b7
cm,agr1,area
! --- meshing ---
type,1
mat,1
esize,,nz1
asel,s,area,,agr1
vext,all,,,0,0,-hs
alls
mat,2
esize,,nz1
asel,s,area,,agr1
vext,all,,,0,0,hs
alls
! --- PML element ---
type,2
mat,1
esize,,nz1
asel,s,loc,z,0
asel,u,area,,agr1
vext,all,,,0,0,-hs
mat,2
esize,,nz1
asel,s,loc,z,0
asel,u,area,,agr1
vext,all,,,0,0,hs
esize,,nz2
asel,s,loc,z,hs
vext,all,,,0,0,hs
asel,s,loc,z,0
aclear,all
alls
nummrg,all
! --- PEC for microstrip and PML wall ---
nsel,s,loc,z,0
nsel,r,loc,x,a4,a5
nsel,r,loc,y,b1,b5
d,all,ax,0
nsel,s,loc,z,0
nsel,r,loc,x,a3,a6
nsel,r,loc,y,b5,b6
d,all,ax,0
nsel,s,loc,x,a1
nsel,a,loc,x,a8
nsel,a,loc,y,b1
nsel,a,loc,y,b8
nsel,a,loc,z,-hs
nsel,a,loc,z,2*hs
d,all,ax,0
! --- excitation current ---
nsel,s,loc,y,b3
nsel,r,loc,x,a4,a5
nsel,r,loc,z,-hs,0
bf,all,js,0,0,1.e-3,-1
! --- define transmission line port ---
hfport,1,TLINE,,v1,,50.
nsel,s,loc,y,b4
nsel,r,loc,z,-hs,hs
nsel,r,loc,x,a2,a7
bf,all,port,1
alls
vlscale,all,,,scal,scal,scal,,,1
! --- define voltage routines ---
y1=scal*b4
xv1=scal*0.5*(a4+a5)
zv1=0
zv2=-scal*hs
nv11=node(xv1,y1,zv1)
nv12=node(xv1,y1,zv2)
path,v1,2
ppath,1,nv11
ppath,2,nv12
pasave,all
fini
/solu
! --- perform a frequency sweep for s-parameter from 1GHz to 20 GHz ---
spswp,1.0e9,20.0e9,0.5e9,1,,2,1
fini

Target Results

Figure 2: "S-Parameter of Line-Fed Microstrip Patch Antenna" depicts the S-parameter at the microstrip line feeding port from 1 GHz to 20 GHz. The pattern of the electric field at 7.5 GHz is shown in Figure 3: "Contour of Electric Field Magnitude at 7.5 GHz".

Figure 2 S-Parameter of Line-Fed Microstrip Patch Antenna

Figure 3 Contour of Electric Field Magnitude at 7.5 GHz

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Harmonic Analysis for a Lee-Jones Array Antenna (Command Method) 		Up / Home Next
Harmonic Analysis for Radiation of a Waveguide Antenna with No Flare (Command Method)


Harmonic Analysis for Radiation of a Waveguide Antenna with No Flare (Command Method)

Problem Description

This example demonstrates how to determine the radiation pattern of a waveguide antenna with no flare using ANSYS commands.

The geometry of the modeled three-dimension PEC waveguide radiator with no flare is as follows: width = 2λ0/3, height = λ0/3 and length = 2λ0. A sinusoidal source is excited on a wide-side-directed monopole feed centered in the waveguide wide side and λ0/3 from the closed end. One half of the structure is used for numerical modeling, because of the symmetry of the fields and geometry. A uniform current density is used to model the excitation source. The PML absorbing material encloses the modeled domain except on the symmetric plane.

Figure 1 Waveguide Radiator with No Flare

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/batch,list
/title, Radiation Pattern of a Rectangular Waveguide Horn Antenna
/com, Horn Antenna: 2/3 x 1/3 x 2 wavelength^3
/com, Numerical Model: 1/2 structure and line current source from closed end
/com,                               Antenna is enclosed by PML except symmetric plane
/com,                          The equivalent source surface is flagged between waveguide and PML
/nopr
/prep7
! set-up working frequency
freq=1.e9
lambda=3.e8/freq
! define the computational structure
*dim,_a,array,5
*dim,_b,array,8
*dim,_c,array,9
*dim,_nz,array,8
_a(1)=0
_a(2)=_a(1)-lambda/3
_a(3)=_a(2)-lambda/8
_a(4)=_a(3)-lambda/8
_a(5)=_a(4)-lambda/4
_b(4)=-lambda/6
_b(3)=_b(4)-lambda/8
_b(2)=_b(3)-lambda/8
_b(1)=_b(2)-lambda/4
_b(5)=lambda/6
_b(6)=_b(5)+lambda/8
_b(7)=_b(6)+lambda/8
_b(8)=_b(7)+lambda/4
_c(6)=0
_c(5)=_c(6)-5*lambda/3
_c(4)=_c(5)-lambda/3
_c(3)=_c(4)-lambda/8
_c(2)=_c(3)-lambda/8
_c(1)=_c(2)-lambda/4
_c(7)=_c(6)+lambda/8
_c(8)=_c(7)+lambda/6
_c(9)=_c(8)+lambda/2
et,11,200,7                             		 ! temporary element
et,1,120,1
et,2,120,1,,,1                          		 ! PML element
mp,murx,1,1.
mp,perx,1,1.
h1=lambda/15
h2=lambda/12
*do,_i,1,8
 _nz(_i)=nint((_c(_i+1)-_c(_i))/h2)
*enddo
*do,_i,1,4
 *do,_j,1,7
   rect,_a(_i),_a(_i+1),_b(_j),_b(_j+1)
 *enddo
*enddo
aglue,all
agen,2,all,,,0,0,-(_c(6)-_c(2))
asel,s,loc,z,_c(6)
adel,all
asel,s,loc,z,_c(2)
asel,s,loc,x,_a(1),(_a(3)+_a(4))/2
asel,r,loc,y,(_b(2)+_b(3))/2,(_b(6)+_b(7))/2
cm,airs,area
asel,all
! 2-d meshing
type,11
esize,h1
amesh,all
! 3-d meshing
mat,1
! PML element
type,2
asel,s,loc,z,_c(2)
esize,,_nz(1)
vext,all,,,0,0,-(_c(2)-_c(1))
*do,_i,2,7
 asel,s,loc,z,_c(_i)
 *if,_i,eq,2,then
  asel,u,,,airs
 *endif
 esize,,_nz(_i)
 vext,all,,,0,0,_c(_i+1)-_c(_i)
*enddo
! normal element
type,1
*do,_i,2,7
 asel,s,loc,z,_c(_i)
 asel,r,loc,x,_a(1),(_a(3)+_a(4))/2
 asel,r,loc,y,(_b(2)+_b(3))/2,(_b(6)+_b(7))/2
 esize,,_nz(_i)
 vext,all,,,0,0,_c(_i+1)-_c(_i)
*enddo
! PML element
type,2
asel,s,loc,z,_c(8)
esize,,_nz(8)
vext,all,,,0,0,(_c(9)-_c(8))
asel,s,loc,z,_c(2)
aclear,all
alls
nummrg,all
! flag equivalent source surface
nsel,s,loc,x,_a(1),_a(3)
nsel,r,loc,y,_b(3),_b(6)
nsel,r,loc,z,_c(3),_c(7)
esln,s,1,all
nsel,s,loc,x,_a(3)
nsel,a,loc,y,_b(3)
nsel,a,loc,y,_b(6)
nsel,a,loc,z,_c(3)
nsel,a,loc,z,_c(7)
sf,all,mxwf
alls
! define PEC
nsel,s,loc,x,_a(2)
nsel,r,loc,y,_b(4),_b(5)
nsel,r,loc,z,_c(4),_c(6)
d,all,ax,0
nsel,s,loc,y,_b(4)
nsel,r,loc,x,_a(1),_a(2)
nsel,r,loc,z,_c(4),_c(6)
d,all,ax,0
nsel,s,loc,y,_b(5)
nsel,r,loc,x,_a(1),_a(2)
nsel,r,loc,z,_c(4),_c(6)
d,all,ax,0
nsel,s,loc,z,_c(4)
nsel,r,loc,x,_a(1),_a(2)
nsel,r,loc,y,_b(4),_b(5)
d,all,ax,0
nsel,s,loc,x,_a(5)
nsel,a,loc,y,_b(1)
nsel,a,loc,y,_b(8)
nsel,a,loc,z,_c(1)
nsel,a,loc,z,_c(9)
d,all,ax,0
alls
! set up excitation line current
nsel,s,loc,z,_c(5)
nsel,r,loc,x,_a(1)
nsel,r,loc,y,_b(4),_b(5)
bf,all,js,0,1.e-3,0
alls
fini
! perform solution
/solu
antype,harmic
harfrq,freq
eqslv,sparse
solve
finish
! post-processing
/post1
set,1,1
hfsym,,pmc,                               		! define image symmetric plane
prhffar,patt,,0,0,,0,360,360			! print out radiation pattern
fini

Target Results

Figure 2: "Radiation Pattern of Waveguide Radiator Without Flare on E-Plane" depicts the radiation pattern of the waveguide antenna on the E-plane (φ=0°). Figure 3: "Electric Field Contour of Waveguide Radiator Without Flare" shows the electric field contour in the computational domain.

Figure 2 Radiation Pattern of Waveguide Radiator Without Flare on E-Plane

Figure 3 Electric Field Contour of Waveguide Radiator Without Flare

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Harmonic Analysis for Line-fed Microstrip Patch Antenna (Command Method) 		Up / Home Next
Harmonic Analysis for a Half Wavelength Dipole Antenna (Command Method)


Harmonic Analysis for a Half Wavelength Dipole Antenna (Command Method)

Problem Description

This example demonstrates how to determine the radiation far field and antenna parameters of a half wavelength dipole antenna using ANSYS commands.

Assume that the distribution of current density along the wire is J = 0.08 sin β(h-|z|) z A/m2, where β is the vacuum wave number and h is the half-length of the dipole antenna. Only 1/8 structure is used for the numerical simulation, because of the symmetry of the electromagnetic field. PML is used to truncate the open domain. PEC is imposed on the symmetrical plane perpendicular to the current density vector. The analytic directivity and radiation power of the antenna are 2.156 dB and 0.058 watt, respectively.

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/batch,list
/title, Half Wavelength Dipole Antenna
/nopr
/prep7
! structure dimensions
freq=300e6
wavel=3.e8/freq
beta=2.*3.1415926535/wavel
curr=1.e-2					! 1/8 of total current density
_l=wavel/2
a=0.5*wavel
! define elements and material
et,11,200,7
et,1,120,1
et,2,120,1,,,1
mp,murx,1,1.
mp,perx,1,1.
! define mesh size
h=wavel/20
_n1=4
_nz1=nint(_l/h)+1
_nz2=4
_nz3=4
_npml=6
! set up computational domain
*dim,_a,array,4
_a(1)=0
_a(2)=_a(1)+a
_a(3)=_a(2)+_n1*h
_a(4)=_a(3)+_npml*h
_c1=0
_c2=_c1+_l/2
_c3=_c2+_nz2*h
_c4=_c3+_nz3*h
_c5=_c4+_npml*h
*do,_i,1,3
 *do,_j,1,3
  rect,_a(_i),_a(_i+1),_a(_j),_a(_j+1)
 *enddo
*enddo
aglue,all
esize,h
amesh,all
asel,s,loc,x,_a(1),_a(3)
asel,r,loc,y,_a(1),_a(3)
cm,_area1,area
type,1
mat,1
esize,,_nz1
asel,s,area,,_area1
vext,all,,,0,0,(_c2-_c1)
esize,,_nz2
asel,s,loc,z,_c2
vext,all,,,0,0,(_c3-_c2)
asel,s,loc,z,_c3
vext,all,,,0,0,(_c4-_c3)
type,2
esize,,_nz1
asel,s,loc,z,0
asel,u,,,_area1
vext,all,,,0,0,(_c2-_c1)
esize,,_nz2
asel,s,loc,z,_c2
asel,r,loc,x,_a(1),_a(3)
asel,r,loc,y,_a(1),_a(3)
cm,_area1,area
asel,s,loc,z,_c2
asel,u,,,_area1
vext,all,,,0,0,(_c3-_c2)
esize,,_nz3
asel,s,loc,z,_c3
asel,r,loc,x,_a(1),_a(3)
asel,r,loc,y,_a(1),_a(3)
cm,_area1,area
asel,s,loc,z,_c3
asel,u,,,_area1
vext,all,,,0,0,(_c4-_c3)
esize,,_npml
asel,s,loc,z,_c4
vext,all,,,0,0,(_c5-_c4)
asel,a,loc,z,_c1
aclear,all
esel,s,type,,11
edel,all
alls
nummrg,all
! define equivalent source surface
nsel,s,loc,x,_a(1),_a(2)
nsel,r,loc,y,_a(1),_a(2)
nsel,r,loc,z,_c1,_c3
esln,s,1,all
nsel,s,loc,x,_a(2)
nsel,a,loc,y,_a(2)
nsel,a,loc,z,_c3
sf,all,mxwf
nsel,all
esel,all
! define boundary condition
nsel,s,loc,x,_a(4)
nsel,a,loc,y,_a(4)
nsel,a,loc,z,_c1
nsel,a,loc,z,_c5
d,all,ax,0.
allsel,all
_ll=_c2-_c1
_hz=_ll/_nz1
*do,_i,0,_nz1                            		!define sinusoid line current source
 nsel,s,loc,x,0
 nsel,r,loc,y,0
 nsel,r,loc,z,_i*_hz
 cc= sin(beta*(_ll-_i*_hz))*curr      		!current density distribution
 *if,cc,eq,0,then
  cc=1.e-9
 *endif
 bf,all,js,0,0,cc
*enddo
alls
fini
! perform solution
/solu
eqslv,sparse
antype,harmic
harfrq,freq
solve
fini
/post1
set,1,1
hfsys,11,pmc,pmc,pec                   		!set up symmetry
hfang,,0,360,0,180                      		!set up radiation solid angle
plhffar,field,EF,0,0,,0,180,18,10.,2,Z  	!plot theta component of E on E-plane
plhffar,patt,polar,0,0,,0,180,18        		!radiation pattern on E-plane
plhffar,dgain,polar,0,0,,0,180,18
prhffar,dgain,max                       		!print out directivity
prhffar,prad                            		!print out radiation power
fini

The Target Results

The contour of the radiated electric field in the numerical domain is shown in Figure 1: "Contour of the Radiated Electric Field of a Half Wavelength Dipole". The far electric field on E-plane at r = 10 m is depicted in Figure 2: "Far Electric Field of a Half Wavelength Dipole on E-Plane at r = 10 m". Figure 3: "Radiation Pattern of a Half Wavelength Dipole on E-Plane" shows the radiation pattern of a half wavelength dipole, and the directive gain is given in Figure 4: "Directive Gain of a Half Wavelength Dipole on E-Plane". The calculated directivity and radiation power are 2.13 dB and 0.054 watt, respectively.

Figure 1 Contour of the Radiated Electric Field of a Half Wavelength Dipole

Figure 2 Far Electric Field of a Half Wavelength Dipole on E-Plane at r = 10 m

Figure 3 Radiation Pattern of a Half Wavelength Dipole on E-Plane

Figure 4 Directive Gain of a Half Wavelength Dipole on E-Plane

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Harmonic Analysis for Radiation of a Waveguide Antenna with No Flare (Command Method) 		Up / Home Next
Part VI, Advanced Wave Propagation Examples


Part VI, Advanced Wave Propagation Examples

Release 11.0 Documentation for ANSYS

High-Frequency Guide |

Advanced Wave Propagation Examples

Table of Contents

Harmonic Analysis for a Microstrip Low-Pass Filter (Command Method)
Harmonic Analysis for a Three-Stub Rectangular Waveguide Filter (Command Method)
Harmonic Analysis for Multi-layer Microstrip Interconnect (Command Method)
Harmonic Analysis for Microstrip Meander Line (Command Method)
Harmonic Analysis for a Rectangular Waveguide with a Ridge Discontinuity (Command Method)
Harmonic Analysis of a Rectangular Waveguide with a Dielectric Post Using Adaptive Meshing (Command Method)
Harmonic Analysis of a Rectangular Waveguide with a Dielectric Post Using S-Parameter Adaptive Meshing (Command Method)
Harmonic Analysis of a Parallel-Plate Waveguide with a Lumped Circuit Load (Command Method)
Postprocessing Scattering, Admittance, and Impedance Parameters
SPICE Synthesized Equivalent Circuit for a Line-fed Microstrip Patch Antenna (Command Method)
SPICE Synthesized Equivalent Circuit for a T-type Transmission Line Network (Command Method)
Harmonic Analysis for Rectangular Waveguide Filled with Two Dielectric Materials (Command Method)
Harmonic Analysis of Y-Junction Waveguide Circulator (Command Method)
TDR/TDT Display of Shorted Single-Ended Uniform Transmission Line (Command Method)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Harmonic Analysis for a Half Wavelength Dipole Antenna (Command Method) 		Up / Home Next
Harmonic Analysis for a Microstrip Low-Pass Filter (Command Method)


Harmonic Analysis for a Microstrip Low-Pass Filter (Command Method)

Problem Description

This example demonstrates how to determine the S-parameter of a microstrip low-pass filter using ANSYS commands.

The microstrip low-pass filter is distributed on a dielectric substrate backed by a PEC ground plane. The width of the input and output microstrip lines are 2.413 mm. The width of the stub is 2.54 mm. The strip is assumed to be perfectly conducting of thickness 0 m. The substrate material is a lossless dielectric of relative permittivity 2.2. The thickness of the substrate is 0.794 mm. The top and side views of the structure are shown in the figure below. Modal ports are applied to the input and output of the microstrip line.

Figure 1 Top and Side views of Low-Pass Filter

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/batch,list
/title, Microstrip Filter
/nopr
/prep7
! --- set up elements and materials ---
epsr=2.3
et,11,200,7
et,1,120,1,,,0
mp,murx,1,1.
mp,perx,1,epsr
mp,murx,2,1.
mp,perx,2,1.
! --- set up structure ---
w1=2.413
w2=2.54
s1=5.65
s2=4.194
c=0.794
local,11,0,0,0,0,0,90,0
csys,0
*dim,a,array,8
*dim,b,array,4
a(1)=0
a(2)=a(1)+s1
a(3)=a(2)+s1
a(4)=a(3)+w1
a(5)=a(4)+s2
a(6)=a(5)+w1
a(7)=a(6)+s1
a(8)=a(7)+s1
b(1)=0
b(2)=b(1)+s1
b(3)=b(2)+w2
b(4)=b(3)+s1
h1=s1/8
h2=w1/5
h3=w2/5
h4=s2/7
nz1=6
nz2=4
scal=1.e-3
*do,i,1,7
 *do,j,1,3
   rect,a(i),a(i+1),b(j),b(j+1)
 *enddo
*enddo
aglue,all
! --- 2d meshing ---
type,11
esize,h1
asel,all
asel,u,loc,x,a(3),a(6)
asel,u,loc,y,b(2),b(3)
amesh,all
alls
asel,s,loc,x,a(3),a(4)
asel,a,loc,x,a(5),a(6)
asel,u,loc,y,b(2),b(3)
lsel,s,loc,y,b(1),b(4)
cm,lgr1,line
lesize,lgr1,h1
lsel,s,loc,x,(a(3)+a(4))/2
lsel,a,loc,x,(a(5)+a(6))/2
cm,lgr2,line
lesize,lgr2,h2
amesh,all
alls
asel,s,loc,x,a(4),a(5)
asel,u,loc,y,b(2),b(3)
lsel,s,loc,y,b(1),b(4)
cm,lgr3,line
lesize,lgr3,h1
lsel,s,loc,x,(a(4)+a(5))/2
cm,lgr4,line
lesize,lgr4,h4
amesh,all
alls
asel,s,loc,y,b(2),b(3)
asel,u,loc,x,a(3),a(6)
lsel,s,loc,x,a(1),a(8)
cm,lgr4,line
lesize,lgr4,h1
lsel,s,loc,y,(b(2)+b(3))/2
cm,lgr5,line
lesize,lgr5,h3
amesh,all
alls
asel,s,loc,x,a(3),a(6)
asel,r,loc,y,b(2),b(3)
asel,u,loc,x,a(4),a(5)
lsel,s,loc,x,(a(3)+a(4))/2
lsel,a,loc,x,(a(5)+a(6))/2
cm,lgr6,line
lesize,lgr6,h2
lsel,s,loc,y,(b(2)+b(3))/2
cm,lgr7,line
lesize,lgr7,h3
amesh,all
alls
asel,s,loc,x,a(4),a(5)
asel,r,loc,y,b(2),b(3)
lsel,s,loc,x,(a(4)+a(5))/2
cm,lgr8,line
lesize,lgr8,h4
lsel,s,loc,y,(b(2)+b(3))/2
cm,lgr9,line
lesize,lgr9,h3
amesh,all
alls
! --- 3d meshing ---
type,1
mat,1
esize,,nz1
asel,s,loc,z,0
vext,all,,,0,0,-c
alls
mat,2
esize,,3*nz2
asel,s,loc,z,0
vext,all,,,0,0,3*c
alls
asel,s,loc,z,0
aclear,all
alls
nummrg,all
alls
alls
! --- PEC for strip, ground plane ---
nsel,s,loc,z,0
nsel,r,loc,x,a(3),a(4)
nsel,r,loc,y,b(1),b(2)
d,all,ax,0
nsel,s,loc,z,0
nsel,r,loc,x,a(5),a(6)
nsel,r,loc,y,b(3),b(4)
d,all,ax,0
nsel,s,loc,z,0
nsel,r,loc,x,a(2),a(7)
nsel,r,loc,y,b(2),b(3)
d,all,ax,0
nsel,s,loc,x,a(1)
nsel,a,loc,x,a(8)
nsel,a,loc,z,-c
nsel,a,loc,z,3*c
d,all,ax,0
alls
! --- define the ports ---
hfport,1,modal,11,1,impd,,,1
nsel,s,loc,y,b(1)
sf,all,port,1
hfport,2,modal,11,1,impd
nsel,s,loc,y,b(4)
sf,all,port,2
vlscale,all,,,scal,scal,scal,,,1
alls
save
fini
! --- launch the full-method frequency sweep solution ---
/solu
spswp,10e9,20e9,0.5e9,1,,2,1
fini

Target Results

Figure 2: "S11 of microstrip low-pass filter" and Figure 3: "S21 of microstrip low-pass filter" depict the S11 and S21 of the microstrip low-pass filter from 0.5 GHz to 20 GHz, respectively.

Figure 2 S11 of microstrip low-pass filter

Figure 3 S21 of microstrip low-pass filter

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Part VI, Advanced Wave Propagation Examples 		Up / Home Next
Harmonic Analysis for a Three-Stub Rectangular Waveguide Filter (Command Method)


Harmonic Analysis for a Three-Stub Rectangular Waveguide Filter (Command Method)

Problem Description

This example demonstrates how to determine the S-parameter of a three-stub rectangular waveguide filter using ANSYS commands.

The waveguide filter consists of a straight rectangular metallic hollow waveguide with a cross-section 19.05 x 9.252 mm2 and three tuning stubs. The side view of the structure is shown on the left in the figure below, and the FEA model is shown on the right. Due to the symmetry of the geometry and of the TE10 waveguide excitation to be analyzed, only one-half of the filter needs to be modeled. The perfect electric condition is applied to the metallic surfaces of the waveguide and the impedance matching condition of TE10 mode is imposed at the input and output ports.

Figure 1 Side View and FEA Model of Filter (Dimensions are in mm)

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/batch,list
/title, Three-Stub Waveguide Filter
/nopr

/prep7
! define elements and materials
et,11,200,7
et,1,120,1,,,0
mp,murx,1,1.
mp,perx,1,1.
! define dimensions of the geometry
scal=1.e-3
cw=19.05
ch=9.525
_s1=cw
_s2=17.23
_gap1=2.86
_gap2=2.01
_stub=18.9
_xg1=_gap1
_xg2=_gap2
_yg1=0.25*ch
! set up 2d numerical domain
*dim,_a,array,14
*dim,_b,array,5
_a(1)=0
_a(2)=_a(1)+(_s1-_xg1)
_a(3)=_a(2)+_xg1
_a(4)=_a(3)+_gap1
_a(5)=_a(4)+_xg1
_a(6)=_a(5)+(_s2-_xg1-_xg2)
_a(7)=_a(6)+_xg2
_a(8)=_a(7)+_gap2
_a(9)=_a(8)+_xg2
_a(10)=_a(9)+(_s2-_xg2-_xg1)
_a(11)=_a(10)+_xg1
_a(12)=_a(11)+_gap1
_a(13)=_a(12)+_xg1
_a(14)=_a(13)+(_s1-_xg1)
_b(1)=-ch/2
_b(2)=_b(1)+ch-_yg1
_b(3)=_b(2)+_yg1
_b(4)=_b(3)+_yg1
_b(5)=_b(4)+(_stub-_yg1)
*do,_i,1,13
 *do,_j,1,2
  rect,_a(_i),_a(_i+1),_b(_j),_b(_j+1)
 *enddo
*enddo
*do,_j,3,4
 rect,_a(3),_a(4),_b(_j),_b(_j+1)
 rect,_a(7),_a(8),_b(_j),_b(_j+1)
 rect,_a(11),_a(12),_b(_j),_b(_j+1)
*enddo
aglue,all
! 2d meshing
nx1=20
nx2=8
nx3=12
nx4=18
nx5=8
nx6=12
hx1=(_a(2)-_a(1))/nx1
hx2=(_a(3)-_a(2))/nx2
hx3=(_a(4)-_a(3))/nx3
hx4=(_a(6)-_a(5))/nx4
hx5=(_a(7)-_a(6))/nx5
hx6=(_a(8)-_a(7))/nx6
ny1=8
ny2=6
ny3=15
hy1=(_b(2)-_b(1))/ny1
hy2=(_b(3)-_b(2))/ny2
hy3=(_b(5)-_b(4))/ny3
nz=10
lsel,s,loc,y,(_b(1)+_b(2))/2
cm,ly1,line
lesize,ly1,hy1
lsel,s,loc,y,(_b(2)+_b(3))/2
lsel,a,loc,y,(_b(3)+_b(4))/2
cm,ly2,line
lesize,ly2,hy2
lsel,s,loc,y,(_b(4)+_b(5))/2
cm,ly3,line
lesize,ly3,hy3
lsel,s,loc,x,(_a(1)+_a(2))/2
lsel,a,loc,x,(_a(13)+_a(14))/2
cm,lx1,line
lesize,lx1,hx1
lsel,s,loc,x,(_a(2)+_a(3))/2
lsel,a,loc,x,(_a(4)+_a(5))/2
lsel,a,loc,x,(_a(10)+_a(11))/2
lsel,a,loc,x,(_a(12)+_a(13))/2
cm,lx2,line
lesize,lx2,hx2
lsel,s,loc,x,(_a(3)+_a(4))/2
lsel,a,loc,x,(_a(11)+_a(12))/2
cm,lx3,line
lesize,lx3,hx3
lsel,s,loc,x,(_a(5)+_a(6))/2
lsel,a,loc,x,(_a(9)+_a(10))/2
cm,lx4,line
lesize,lx4,hx4
lsel,s,loc,x,(_a(6)+_a(7))/2
lsel,a,loc,x,(_a(8)+_a(9))/2
cm,lx5,line
lesize,lx5,hx5
lsel,s,loc,x,(_a(7)+_a(8))/2
cm,lx6,line
lesize,lx6,hx6
alls
type,11
amesh,all
nummrg,all
alls
! 3d meshing
type,1
mat,1
esize,,nz
asel,s,loc,z,0
vext,all,,,0,0,cw/2
asel,s,loc,z,0
aclear,all
etdele,11
alls
nummrg,all
! PEC on waveguide wall
nsel,s,loc,z,cw/2
nsel,a,loc,y,_b(1)
nsel,a,loc,y,_b(5)
d,all,ax,0
nsel,s,loc,x,_a(1),_a(3)
nsel,a,loc,x,_a(4),_a(7)
nsel,a,loc,x,_a(8),_a(11)
nsel,a,loc,x,_a(12),_a(14)
nsel,r,loc,y,_b(3)
d,all,ax,0
nsel,s,loc,x,_a(3)
nsel,a,loc,x,_a(4)
nsel,a,loc,x,_a(7)
nsel,a,loc,x,_a(8)
nsel,a,loc,x,_a(11)
nsel,a,loc,x,_a(12)
nsel,r,loc,y,_b(3),_b(5)
d,all,ax,0
vlscale,all,,,scal,scal,scal,,,1
! define a local coordinates for waveguide ports
local,11,,,,,,,90
csys,0
! define port
hfport,1,rect,11,TE10,IMPD,scal*cw,scal*ch,1.
nsel,s,loc,x,_a(1)*scal
sf,all,port,1
hfport,2,rect,11,TE10,IMPD,cw*scal,ch*scal
nsel,s,loc,x,_a(14)*scal
sf,all,port,2
alls
save
fini
! perform solution
/solu
spswp,10.e9,15.e9,0.25e9,1,,2,1
fini

Target Results

Figure 2: "|S11| of Three-Stub Waveguide Filter" depicts the S11 of simulated 3-stub waveguide filter from 10 GHz to 15 GHz. Figure 3: "Electric Field Contour of Three-Stub Waveguide Filter at 15 GHz" shows the electric field contour at 15 GHz.

Figure 2 |S11| of Three-Stub Waveguide Filter

Figure 3 Electric Field Contour of Three-Stub Waveguide Filter at 15 GHz

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Harmonic Analysis for a Microstrip Low-Pass Filter (Command Method) 		Up / Home Next
Harmonic Analysis for Multi-layer Microstrip Interconnect (Command Method)


Harmonic Analysis for Multi-layer Microstrip Interconnect (Command Method)

Problem Description

This example demonstrates how to determine the S-parameter of a multi-layer microstrip interconnect using ANSYS commands.

The multi-layer microstrip interconnect is distributed over three signal layers. The input and output ports are at the uppermost layer. The distance to the second signal layer is 0.4 mm. The distance between the second and third signal layer is 0.4 mm. The third (bottom) layer is 0.8 mm above a perfectly conducting plane. The substrate material is a lossless dielectric of relative permittivity of 9.8. The entire structure is placed inside a perfectly conducting box of length 20 mm, width 10 mm and height 6.6 mm. Hence, the uppermost interconnect is 5.0 mm below the top of the box. The graphic on the left in the figure below depicts the structure without showing the substrate and enclosing box. The graphic on the right shows the geometry of the three-layer interconnect (top view). The microstrip is taken to be infinitesimally thin, perfectly conducting, of width 1.2 mm. The layers are connected by perfectly conducting squares with a side length of 1.2 mm. Modal ports are applied to the input and output of the microstrip line.

Figure 1 Three-layer Interconnect

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/batch,list
/title, Multilayer Microstrip Interconnect
/nopr
/prep7
! --- define elements and material ---
epsr=9.8
et,11,200,7
et,1,120,1,,,0
mp,murx,1,1.
mp,perx,1,epsr
mp,murx,2,1.
mp,perx,2,1.
! --- define geometry ---
w=1.2
s=2.2
l=6.0
ls=5.6
c1=0.4
c2=0.4
c3=0.8
bw=2.7
bh=5.0
local,11,0,0,0,0,0,90,0
csys,0
*dim,a,array,6
*dim,b,array,6
a(1)=0
a(2)=a(1)+bw
a(3)=a(2)+w
a(4)=a(3)+s
a(5)=a(4)+w
a(6)=a(5)+bw
b(1)=0
b(2)=b(1)+l
b(3)=b(2)+w
b(4)=b(3)+ls
b(5)=b(4)+w
b(6)=b(5)+l
*do,i,1,5
 *do,j,1,5
   rect,a(i),a(i+1),b(j),b(j+1)
 *enddo
*enddo
aglue,all
! --- choose mesh size ---
hx1=w/4
hx2=s/6
hx3=(a(2)-a(1))/5
hy1=hx1
hy2=(b(4)-b(3))/10
hy3=(b(2)-b(1))/10
nz1=4
nz2=7
nz3=12
scal=1.e-3
lsel,s,loc,x,(a(1)+a(2))/2
lsel,a,loc,x,(a(5)+a(6))/2
cm,lxblnk,line
lesize,lxblnk,hx3
lsel,s,loc,x,(a(2)+a(3))/2
lsel,a,loc,x,(a(4)+a(5))/2
cm,lxstrip,line
lesize,lxstrip,hx1
lsel,s,loc,x,(a(3)+a(4))/2
cm,lxstub,line
lesize,lxstub,hx2
lsel,s,loc,y,(b(1)+b(2))/2
lsel,a,loc,y,(b(5)+b(6))/2
cm,lyprp,line
lesize,lyprp,hy3
lsel,s,loc,y,(b(2)+b(3))/2
lsel,a,loc,y,(b(4)+b(5))/2
cm,lystrip,line
lesize,lystrip,hy1
lsel,s,loc,y,(b(3)+b(4))/2
cm,lystub,line
lesize,lystub,hy2
alls
! --- 2-d meshing ---
type,11
asel,all
amesh,all
alls
! --- 3-d meshing ---
type,1
mat,1
esize,,nz1
asel,s,loc,z,0
vext,all,,,0,0,-c1
asel,s,loc,z,-c1
vext,all,,,0,0,-c2
esize,,nz2
asel,s,loc,z,-(c1+c2)
vext,all,,,0,0,-c3
mat,2
esize,,nz3
asel,s,loc,z,0
vext,all,,,0,0,bh
alls
! --- clean up 2-d element ---
asel,s,loc,z,0
aclear,all
esel,s,type,,11
edel,all
alls
nummrg,all
alls
! --- set up PEC for microstrip, vias, ground plane  ---
nsel,s,loc,z,0
nsel,r,loc,x,a(2),a(3)
nsel,u,loc,y,b(3),b(4)
d,all,ax,0
cm,npec1,node
nsel,s,loc,z,-c1
nsel,r,loc,x,a(2),a(5)
nsel,r,loc,y,b(2),b(5)
nsel,u,loc,y,b(3),b(4)
d,all,ax,0
cm,npec2,node
nsel,s,loc,z,-(c1+c2)
nsel,r,loc,x,a(4),a(5)
nsel,r,loc,y,b(3),b(4)
d,all,ax,0
cm,npec3,node
nsel,s,loc,x,a(2),a(3)
nsel,r,loc,y,b(2),b(5)
nsel,u,loc,y,b(3),b(4)
nsel,r,loc,z,0,-c1
d,all,ax,0
cm,npec4,node
nsel,s,loc,x,a(4),a(5)
nsel,r,loc,y,b(2),b(5)
nsel,u,loc,y,b(3),b(4)
nsel,r,loc,z,-c1,-(c1+c2)
d,all,ax,0
cm,npec5,node
nsel,s,,,npec1
nsel,a,,,npec2
nsel,a,,,npec3
nsel,a,,,npec4
nsel,a,,,npec5
cm,npec,node
nsel,s,loc,x,a(1)
nsel,a,loc,x,a(6)
nsel,a,loc,z,-(c1+c2+c3)
nsel,a,loc,z,bh
d,all,ax,0
alls
! --- define ports ---
hfport,1,MODAL,11,1,impd,,,1
nsel,s,loc,y,b(1)
sf,all,port,1
hfport,2,MODAL,11,1,impd
nsel,s,loc,y,b(6)
sf,all,port,2
alls
vlscale,all,,,scal,scal,scal,,,1
alls
save
fini
/solu
! --- perform solution over the frequency range ---
spswp,0.5e9,10e9,0.25e9,1,,2,1
fini

Target Results

Figure 2: "S11 of the Multi-Layer Microstrip Interconnect" and Figure 3: "S21 of the Multi-Layer Microstrip Interconnect" depict the magnitude of S11 and S21 fro 0.55 GHz to 10 GHz, respectively. The pattern of electric field at 6.5 GHz is shown in Figure 4: "Electric Field Contour of Multi-Layer Microstrip Interconnect at 6.5 GHz".

Figure 2 S11 of the Multi-Layer Microstrip Interconnect

Figure 3 S21 of the Multi-Layer Microstrip Interconnect

Figure 4 Electric Field Contour of Multi-Layer Microstrip Interconnect at 6.5 GHz

The Touchstone file is listed as follow

!  ANSYS S-parameter Data for 2 Ports (Waveguide).

 # GHz S DB R 0.
! Freq    |S11|   <S11       |S21|   <S21      |S12|   <S12     |S22|   <S22
  0.5000  -16.016 -130.002   -0.646  -43.440   -0.646  -43.440  -16.016 -130.002
  0.7500  -12.968 -153.539   -0.789  -64.678   -0.789  -64.678  -12.968 -153.539
  1.0000  -11.459 -175.546   -0.764  -85.543   -0.764  -85.543  -11.459 -175.546
  1.2500   -9.660  163.686   -1.148 -106.101   -1.148 -106.101   -9.660  163.686
  1.5000   -8.762  142.838   -1.340 -126.158   -1.340 -126.158   -8.762  142.838
  1.7500   -8.249  122.327   -1.461 -145.940   -1.461 -145.940   -8.249  122.327
  2.0000   -8.038  102.236   -1.490 -165.749   -1.490 -165.749   -8.038  102.236
  2.2500   -8.090   82.522   -1.437  174.154   -1.437  174.154   -8.090   82.522
  2.5000   -8.311   63.738   -1.329  153.303   -1.329  153.303   -8.311   63.738
  2.7500   -9.047   43.007   -1.194  132.837   -1.194  132.837   -9.047   43.007
  3.0000   -9.969   22.466   -1.046  111.565   -1.046  111.565   -9.969   22.466
  3.2500  -12.312   -0.330   -0.802   90.020   -0.802   90.020  -12.312   -0.330
  3.5000  -15.817  -22.767   -0.622   67.502   -0.622   67.502  -15.817  -22.767
  3.7500  -22.744  -45.071   -0.514   44.425   -0.514   44.425  -22.744  -45.071
  4.0000  -35.038  106.666   -0.493   21.066   -0.493   21.066  -35.038  106.666
  4.2500  -19.850   86.793   -0.549   -2.279   -0.549   -2.279  -19.850   86.793
  4.5000  -15.252   64.153   -0.656  -25.400   -0.656  -25.400  -15.252   64.153
  4.7500  -12.947   41.800   -0.773  -48.252   -0.773  -48.252  -12.947   41.800
  5.0000  -11.814   19.653   -0.861  -70.918   -0.861  -70.918  -11.814   19.653
  5.2500  -11.520   -2.503   -0.896  -93.597   -0.896  -93.597  -11.520   -2.503
  5.5000  -12.009  -24.932   -0.856 -116.603   -0.856 -116.603  -12.009  -24.932
  1.0000  -11.459 -175.546   -0.764  -85.543   -0.764  -85.543  -11.459 -175.546
  1.2500   -9.660  163.686   -1.148 -106.101   -1.148 -106.101   -9.660  163.686
  1.5000   -8.762  142.838   -1.340 -126.158   -1.340 -126.158   -8.762  142.838
  1.7500   -8.249  122.327   -1.461 -145.940   -1.461 -145.940   -8.249  122.327
  2.0000   -8.038  102.236   -1.490 -165.749   -1.490 -165.749   -8.038  102.236
  2.2500   -8.090   82.522   -1.437  174.154   -1.437  174.154   -8.090   82.522
  2.5000   -8.311   63.738   -1.329  153.303   -1.329  153.303   -8.311   63.738
  2.7500   -9.047   43.007   -1.194  132.837   -1.194  132.837   -9.047   43.007
  3.0000   -9.969   22.466   -1.046  111.565   -1.046  111.565   -9.969   22.466
  3.2500  -12.312   -0.330   -0.802   90.020   -0.802   90.020  -12.312   -0.330
  3.5000  -15.817  -22.767   -0.622   67.502   -0.622   67.502  -15.817  -22.767
  3.7500  -22.744  -45.071   -0.514   44.425   -0.514   44.425  -22.744  -45.071
  4.0000  -35.038  106.666   -0.493   21.066   -0.493   21.066  -35.038  106.666
  4.2500  -19.850   86.793   -0.549   -2.279   -0.549   -2.279  -19.850   86.793
  4.5000  -15.252   64.153   -0.656  -25.400   -0.656  -25.400  -15.252   64.153
  4.7500  -12.947   41.800   -0.773  -48.252   -0.773  -48.252  -12.947   41.800
  5.0000  -11.814   19.653   -0.861  -70.918   -0.861  -70.918  -11.814   19.653
  5.2500  -11.520   -2.503   -0.896  -93.597   -0.896  -93.597  -11.520   -2.503
  5.5000  -12.009  -24.932   -0.856 -116.603   -0.856 -116.603  -12.009  -24.932
  5.7500  -13.430  -47.857   -0.762 -140.202   -0.762 -140.202  -13.430  -47.857
  6.0000  -16.301  -71.056   -0.645 -164.609   -0.645 -164.609  -16.301  -71.056
  6.2500  -22.515  -93.428   -0.549  170.080   -0.549  170.080  -22.515  -93.428
  6.5000  -37.070   30.743   -0.514  143.972   -0.514  143.972  -37.070   30.743
  6.7500  -20.415   26.604   -0.553  117.334   -0.553  117.334  -20.415   26.604
  7.0000  -15.965    2.022   -0.637   90.356   -0.637   90.356  -15.965    2.022
  7.2500  -14.553  -23.624   -0.697   62.949   -0.697   62.949  -14.553  -23.624
  7.5000  -15.730  -49.455   -0.668   34.455   -0.668   34.455  -15.730  -49.455
  7.7500  -23.252  -67.160   -0.570    3.560   -0.570    3.560  -23.252  -67.160
  8.0000  -17.686   47.506   -0.647  -31.340   -0.647  -31.340  -17.686   47.506
  8.2500   -8.079   16.762   -1.454  -70.052   -1.454  -70.052   -8.079   16.762
  8.5000   -3.980  -19.479   -3.388 -108.292   -3.388 -108.292   -3.980  -19.479
  8.7500   -2.232  -51.600   -6.062 -141.480   -6.062 -141.480   -2.232  -51.600
  9.0000   -1.515  -78.516   -8.849 -169.145   -8.849 -169.145   -1.515  -78.516
  9.2500   -1.212 -101.549  -11.437  167.221  -11.437  167.221   -1.212 -101.549
  9.5000   -1.080 -122.002  -13.696  146.135  -13.696  146.135   -1.080 -122.002
  9.7500   -1.020 -140.775  -15.606  126.689  -15.606  126.689   -1.020 -140.775
 10.0000   -0.992 -158.414  -17.125  108.334  -17.125  108.334   -0.992 -158.414

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Harmonic Analysis for a Three-Stub Rectangular Waveguide Filter (Command Method) 		Up / Home Next
Harmonic Analysis for Microstrip Meander Line (Command Method)


Harmonic Analysis for Microstrip Meander Line (Command Method)

Problem Description

This example demonstrates how to determine the S-parameter of a microstrip meander line using ANSYS commands.

Microstrip meander lines are used to introduce delay (or phase shift in the case of time-harmonic excitations). The figure below depicts the top view of the meander line. The strip is assumed to be perfectly conducting of thickness 0 mm and width 0.4 mm. The microstrip meander line is embedded in a lossless substrate of relative permittivity 9.8. The meander line is placed 0.5 mm above a perfectly conducting plane. The entire structure is placed inside a perfectly conducting box of width 5 mm and height 2.5 mm. Hence the top wall of the box is 2.0 mm above the meander line. For these dimensions, the characteristic impedance of the buried microstrip is about 45 Ohm.

Figure 1 Microstrip Meander Line (Top View)

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/batch,list
/title, Microstrip meander line
/nopr
/prep7
! --- define elements and materials ---
epsr=9.8
et,11,200,7
et,1,120,1,,,0
et,2,120,1,,,1
mp,murx,1,1.
mp,perx,1,epsr
! --- set up geometry ---
w=0.4
gap=0.6
lz1=5.0
lz2=5.6
stub=2.2
xleft=0.8
xright=1.2
blow=0.5
bup=2.0
Z0=45
*dim,_a,array,6
*dim,_b,array,27
_a(1)=0
_a(2)=_a(1)+xleft
_a(3)=_a(2)+w
_a(4)=_a(3)+stub
_a(5)=_a(4)+w
_a(6)=_a(5)+xright
_b(1)=0
_b(2)=_b(1)+lz1/2
_b(3)=_b(2)+lz1/4
_b(4)=_b(3)+lz1/4
_b(5)=_b(4)+lz1
*do,_i,6,22,2
 _b(_i)=_b(_i-1)+w
 _b(_i+1)=_b(_i)+gap
*enddo
_b(24)=_b(23)+w
_b(25)=_b(24)+lz2
_b(26)=_b(25)+lz2/4
_b(27)=_b(26)+lz2/2
*do,_i,1,5
 *do,_j,1,26
   rect,_a(_i),_a(_i+1),_b(_j),_b(_j+1)
 *enddo
*enddo
aglue,all
asel,all
asel,s,loc,x,_a(2),_a(3)
*do,_i,1,4
 asel,u,loc,y,_b(_i),_b(_i+1)
*enddo
*do,_i,8,20,4
 asel,u,loc,y,_b(_i),_b(_i+1)
*enddo
*do,_i,24,26
 asel,u,loc,y,_b(_i),_b(_i+1)
*enddo
cm,strip1,area
asel,all
asel,s,loc,x,_a(3),_a(4)
*do,_i,1,4
 asel,u,loc,y,_b(_i),_b(_i+1)
*enddo
*do,_i,6,22,2
 asel,u,loc,y,_b(_i),_b(_i+1)
*enddo
*do,_i,24,26
 asel,u,loc,y,_b(_i),_b(_i+1)
*enddo
cm,strip2,area
asel,all
asel,s,loc,x,_a(4),_a(5)
*do,_i,6,22,4
 asel,u,loc,y,_b(_i),_b(_i+1)
*enddo
cm,strip3,area
asel,all
asel,s,,,strip1
asel,a,,,strip2
asel,a,,,strip3
cm,strip,area
asel,all
asel,s,loc,y,_b(1),_b(2)
asel,a,loc,y,_b(26),_b(27)
cm,apml,area
asel,all
! --- set up element size ---
hx1=w/5
hx2=stub/14
hx3=(_a(2)-_a(1))/4
hy1=hx1
hy2=gap/6
hy3=(_b(2)-_b(1))/6
nz1=4
nz2=16
scal=1.e-3
lsel,s,loc,y,(_b(1)+_b(2))/2
*do,_i,2,4
 lsel,a,loc,y,(_b(_i)+_b(_i+1))/2
*enddo
*do,_i,24,26
 lsel,a,loc,y,(_b(_i)+_b(_i+1))/2
*enddo
cm,ly3,line
lesize,ly3,hy3
lsel,s,loc,y,(_b(5)+_b(6))/2
*do,_i,7,23,2
 lsel,a,loc,y,(_b(_i)+_b(_i+1))/2
*enddo
cm,ly1,line
lesize,ly1,hy1
lsel,s,loc,y,(_b(6)+_b(7))/2
*do,_i,6,22,2
 lsel,a,loc,y,(_b(_i)+_b(_i+1))/2
*enddo
cm,ly2,line
lesize,ly2,hy2
lsel,s,loc,x,(_a(1)+_a(2))/2
lsel,a,loc,x,(_a(5)+_a(6))/2
cm,lx3,line
lesize,lx3,hx3
lsel,s,loc,x,(_a(2)+_a(3))/2
lsel,a,loc,x,(_a(4)+_a(5))/2
cm,lx1,line
lesize,lx1,hx1
lsel,s,loc,x,(_a(3)+_a(4))/2
cm,lx2,line
lesize,lx2,hx2
alls
! --- meshing the model ---
type,11
amesh,all
alls
type,1
mat,1
esize,,nz1
asel,s,loc,z,0
asel,u,,,apml
vext,all,,,0,0,-blow
esize,,nz2
asel,s,loc,z,0
asel,u,,,apml
vext,all,,,0,0,bup
! --- PML elements ---
type,2
mat,1
esize,,nz1
asel,s,,,apml
vext,all,,,0,0,-blow
esize,,nz2
asel,s,,,apml
vext,all,,,0,0,bup
alls
! --- clean up 2-d element ---
asel,s,loc,z,0
aclear,all
esel,s,type,,11
edel,all
alls
nummrg,all
! --- PEC for microstrip and exterior walls except ports
asel,s,,,strip
da,all,ax,0.
alls
nsel,s,loc,x,_a(1)
nsel,a,loc,x,_a(6)
nsel,a,loc,y,_b(1)
nsel,a,loc,y,_b(27)
nsel,a,loc,z,-blow
nsel,a,loc,z,bup
d,all,ax,0
! --- excitation current ---
nsel,s,loc,y,_b(3)
nsel,r,loc,x,_a(4),_a(5)
nsel,r,loc,z,-blow,0
bf,all,js,0,0,1.,-1
alls
! --- transmission line port ---
hfport,1,TLINE,,v1,,Z0
nsel,s,loc,y,_b(4)
nsel,r,loc,z,-blow,bup
nsel,r,loc,x,_a(1),_a(6)
bf,all,port,1
hfport,2,TLINE,,v2,,Z0
nsel,s,loc,y,_b(25)
nsel,r,loc,z,-blow,bup
nsel,r,loc,x,_a(1),_a(6)
bf,all,port,2
vlscale,all,,,scal,scal,scal,,,1
! --- define voltage routines ---
y1=scal*_b(4)
xv1=scal*0.5*(_a(4)+_a(5))
zv1=0
zv2=-scal*blow
nv11=node(xv1,y1,zv1)
nv12=node(xv1,y1,zv2)
path,v1,2
ppath,1,nv11
ppath,2,nv12
y2=scal*_b(25)
nv21=node(xv1,y2,zv1)
nv22=node(xv1,y2,zv2)
path,v2,2
ppath,1,nv21
ppath,2,nv22
pasave,all
alls
save
fini
! --- launch the solution ---
/solu
spswp,100.e6,10.1e9,200.e6,1,,2,0
fini

Target Results

Figure 2: "S11 of the Microstrip Meander Line" depicts the S11 of the microstrip meander line from 0.5 GHz to 10 GHz. Figure 3: "The Contour of Electric Field Magnitude" shows the contour of electric field magnitude.

Figure 2 S11 of the Microstrip Meander Line

Figure 3 The Contour of Electric Field Magnitude

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Harmonic Analysis for Multi-layer Microstrip Interconnect (Command Method) 		Up / Home Next
Harmonic Analysis for a Rectangular Waveguide with a Ridge Discontinuity (Command Method)


Harmonic Analysis for a Rectangular Waveguide with a Ridge Discontinuity (Command Method)

Problem Description

This example demonstrates how to determine the S-parameter of a rectangular waveguide with a ridge discontinuity using ANSYS commands.

The metallic ridge discontinuity is located at the center of the rectangular waveguide, shown in the figure below. Due to the symmetry of the geometry and of the TE10 waveguide excitation to be analyzed, only one-half of the structure needs to be modeled. The perfect electric condition is applied to the metallic surfaces of the waveguide and perfectly matched layers (PML) terminate the input and output ports.

Figure 1 Waveguide with Ridge Discontinuity (Dimensions are in mm)

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/batch,list
/title, Rectangular Waveguide with a ridge discontinuity
/nopr
/prep7
! define elements and materials
et,11,200,7
et,1,120,1,,,0
et,2,120,1,,,1
mp,murx,1,1.
mp,perx,1,1.
! define the geometry and numerical domain
scal=1.e-3
cw=19.05
ch=9.524
_l=5.08
_w=1.016
_h=7.619
_dp=cw/8
_dw=2*cw/3
_ds=_l/4
_dpml=cw/5
*dim,_a,array,4
*dim,_b,array,3
_a(1)=0
_a(2)=_a(1)+_w/2
_a(3)=_a(2)+_w
_a(4)=cw/2
_b(1)=-ch/2
_b(2)=_b(1)+_h
_b(3)=ch/2
_c3=0
_c2=_c3-_dp
_c1=_c2-_dpml
_c4=_c3+_dw
_c5=_c4+_ds
_c6=_c5+_l
_c7=_c6+_ds
_c8=_c7+_dw
_c9=_c8+_dp
_c10=_c9+_dpml
*do,_i,1,3
 *do,_j,1,2
  rect,_a(_i),_a(_i+1),_b(_j),_b(_j+1)
 *enddo
*enddo
aglue,all
! set up the mesh
_nx1=4
_nx2=8
_nx3=18
_ny1=18
_ny2=8
_nz1=2
_nz2=14
_nz3=3
_nz4=15
_nzpml=4
hx1=(_a(2)-_a(1))/_nx1
hx2=(_a(3)-_a(2))/_nx2
hx3=(_a(4)-_a(3))/_nx3
hy1=(_b(2)-_b(1))/_ny1
hy2=(_b(3)-_b(2))/_ny2
lsel,s,loc,y,(_b(1)+_b(2))/2
cm,ly1,line
lesize,ly1,hy1,,ny1,1.0
lsel,s,loc,y,(_b(2)+_b(3))/2
cm,ly2,line
lesize,ly2,hy2,,ny2,1.0
lsel,s,loc,x,(_a(1)+_a(2))/2
cm,lx1,line
lesize,lx1,hx1
lsel,s,loc,x,(_a(2)+_a(3))/2
cm,lx2,line
lesize,lx2,hx2
lsel,s,loc,x,(_a(3)+_a(4))/2
cm,lx3,line
lesize,lx3,hx3
alls
! 2d mshing
type,11
amesh,all
alls
! 3d meshing
type,1
mat,1
esize,,_nz1
asel,s,loc,z,_c3
vext,all,,,0,0,-(_c3-_c2)
esize,,_nz2
asel,s,loc,z,_c3
vext,all,,,0,0,_c4-_c3
esize,,_nz3
asel,s,loc,z,_c4
vext,all,,,0,0,_c5-_c4
esize,,_nz4
asel,s,loc,z,_c5
vext,all,,,0,0,_c6-_c5
esize,,_nz3
asel,s,loc,z,_c6
vext,all,,,0,0,_c7-_c6
esize,,_nz2
asel,s,loc,z,_c7
vext,all,,,0,0,_c8-_c7
esize,,_nz1
asel,s,loc,z,_c8
vext,all,,,0,0,_c9-_c8
type,2
esize,,_nzpml
asel,s,loc,z,_c2
vext,all,,,0,0,-(_c2-_c1)
asel,s,loc,z,_c9
vext,all,,,0,0,_c10-_c9
asel,s,loc,z,0
aclear,all
etdele,11
alls
nummrg,all
! PEC on waveguide wall
nsel,s,loc,x,cw/2
nsel,a,loc,y,-ch/2
nsel,a,loc,y,ch/2
nsel,a,loc,z,_c1
nsel,a,loc,z,_c10
d,all,ax,0
nsel,s,loc,x,_a(1),_a(2)
nsel,r,loc,y,_b(1),_b(2)
nsel,r,loc,z,_c5,_c6
d,all,ax,0
alls
vlscale,all,,,scal,scal,scal,,,1
! define input and output port
hfport,1,rect,,TE10,SOFT,cw*scal,ch*scal,1.
nsel,s,loc,z,scal*_c3
bf,all,port,1
hfport,2,rect,,TE10,SOFT,cw*scal,ch*scal
nsel,s,loc,z,_c8*scal
bf,all,port,2
alls
save
fini
! perform the solution
/solu
spswp,10e9,15e9,0.25e9,1,,2,1
fini

Target Results

Figure 2: "|S21| of the Rectangular Waveguide with a Ridge Discontinuity" depicts the |S21| of the simulated structure from 10 GHz to 15 GHz. Figure 3: "Electric Field Contour of the Waveguide with a Ridge at 15 GHz" shows the electric field contour at 15 GHz.

Figure 2 |S21| of the Rectangular Waveguide with a Ridge Discontinuity

Figure 3 Electric Field Contour of the Waveguide with a Ridge at 15 GHz

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Harmonic Analysis for Microstrip Meander Line (Command Method) 		Up / Home Next
Harmonic Analysis of a Rectangular Waveguide with a Dielectric Post Using Adaptive Meshing (Command Method)


Harmonic Analysis of a Rectangular Waveguide with a Dielectric Post Using Adaptive Meshing (Command Method)

Problem Description

This example demonstrates how to determine the S-parameter of a rectangular waveguide with a dielectric post by adaptive meshing using ANSYS commands.

The dielectric post (12 × 10.16 × 6 mm3, εr = 8.2) is located at the center of the rectangular waveguide (22.86 × 10.16 mm2), shown in Figure 1: "Waveguide with Dielectric Post (Dimensions are in mm)". The perfect electric condition is applied to the metallic surfaces of the waveguide and the impedance matching boundary condition of TE10 mode is used at the input and output ports. Adaptive meshing is used to approach an accurate solution for the S-parameter at 10 GHz. Then, the S-parameters are calculated on the refined mesh from 8 GHz to 12 GHz.

Figure 1 Waveguide with Dielectric Post (Dimensions are in mm)

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/title, Dielectric Post in a Rectangular Waveguide
/com, Waveguide Dimension: 22.86x10.16 mm^2 (Cutoff Frequency: 6.56 GHz)
/com, Dielectric Post: 12 x 10.16 x 6 mm^3 at the center of waveguide, epsr = 8.2
/com, Frequency Range: 8 - 12 GHz for TE10 mode
/nopr
/prep7
! define the structure
ch=10.16e-3
cw=22.86e-3
c=12e-3
d=6e-3
epsr=8.2
freq=10e9
cl=5*d
! define the elements and materials
et,1,HF119,1
mp,murx,1,1.
mp,perx,1,1.
mp,murx,2,1.
mp,perx,2,epsr
block,-cw/2,cw/2,-ch/2,ch/2,-cl/2,cl/2
block,-c/2,c/2,-ch/2,ch/2,-d/2,d/2
vsbv,1,2,,delete,keep
vglue,all
! 3-d meshing
h1=cw/5
esize,h1
type,1
mat,1
vmesh,3
mat,2
vmesh,2
! Tangential E is zero on all side walls
asel,s,loc,y,-ch/2
asel,a,loc,y,ch/2
asel,a,loc,x,-cw/2
asel,a,loc,x,cw/2
da,all,ax,0.
! define waveguide ports
asel,s,loc,z,-cl/2
sfa,all,,port,1
hfport,1,rect,,te10,impd,cw,ch,1
asel,s,loc,z,cl/2
sfa,all,,port,2
hfport,2,rect,,te10,impd,cw,ch
alls
fini
! set up adaptive loop and perform solution at 10 GHz
n=3
*do,i,1,n
 *if,i,gt,1,then
  /prep7
  hferefine,i-1
  fini
 *endif
 /solu
 ANTYPE,harmic
 harfre,10e9
 HFADP,on
 eqslv,sparse
 solve
 fini
 /post1
 sparm,1,1
 fini
*enddo
! perform final solution on refined mesh over frequency band
/solu
spswp,8e9,12e9,0.25e9,1,,2,1
fini

The Target Results

The first three figures below show the mesh densities during the initial mesh and two iterations of mesh refinement. The results for |S11| on each mesh are 0.248, 0.228, and 0.238, respectively. Figure 5: "|S11| of Rectangular Waveguide with a Dielectric Post from 8 GHz to 12 GHz" depicts the |S11| of the simulated structure from 8 GHz to 12 GHz on the final refined mesh.

Figure 2 Initial Mesh Density

Figure 3 Mesh Density after First Mesh Refinement Iteration

Figure 4 Mesh Density after Second Mesh Refinement Iteration

Figure 5 |S11| of Rectangular Waveguide with a Dielectric Post from 8 GHz to 12 GHz

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Harmonic Analysis for a Rectangular Waveguide with a Ridge Discontinuity (Command Method) 		Up / Home Next
Harmonic Analysis of a Rectangular Waveguide with a Dielectric Post Using S-Parameter Adaptive Meshing (Command Method)


Harmonic Analysis of a Rectangular Waveguide with a Dielectric Post Using S-Parameter Adaptive Meshing (Command Method)

Problem Description

This example demonstrates how to perform an adaptive meshing solution based on S-parameter convergence. The waveguide is the same as described in the previous example, Harmonic Analysis of a Rectangular Waveguide with a Dielectric Post Using Adaptive Meshing (Command Method). The S-parameter root mean square (RMS) error criteria is set to 0.01 and the maximum number of refinement iterations is set to 4 (SPADP command). Beginning and ending refinement factors are set to 0.1 and 0.5, respectively. The mesh is refined adaptively at 10 GHz. Then, the S-parameters are calculated on the refined mesh from 8 GHz to 12 GHz.

Figure 1 Waveguide with Dielectric Post (Dimensions are in mm)

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/title, Dielectric Post in a Rectangular Waveguide
/com, Waveguide Dimension: 22.86x10.16 mm^2 (Cutoff Frequency: 6.56 GHz)
/com, Dielectric Post: 12 x 10.16 x 6 mm^3 at the center of waveguide, epsr = 8.2
/com, Frequency Range: 8 - 12 GHz for TE10 mode
/nopr
/prep7
! define the structure
ch=10.16e-3
cw=22.86e-3
c=12e-3
d=6e-3
epsr=8.2
freq=10e9
cl=5*d
! define the elements and materials
et,1,HF119,1
mp,murx,1,1.
mp,perx,1,1.
mp,murx,2,1.
mp,perx,2,epsr
block,-cw/2,cw/2,-ch/2,ch/2,-cl/2,cl/2
block,-c/2,c/2,-ch/2,ch/2,-d/2,d/2
vsbv,1,2,,delete,keep
vglue,all
! 3-d meshing
h1=cw/5
esize,h1
type,1
mat,1
vmesh,3
mat,2
vmesh,2
! Tangential E is zero on all side walls
asel,s,loc,y,-ch/2
asel,a,loc,y,ch/2
asel,a,loc,x,-cw/2
asel,a,loc,x,cw/2
da,all,ax,0.
! define waveguide ports
asel,s,loc,z,-cl/2
sfa,all,,port,1
hfport,1,rect,,te10,impd,cw,ch,1
asel,s,loc,z,cl/2
sfa,all,,port,2
hfport,2,rect,,te10,impd,cw,ch
alls
fini
/solu
! adaptively refine mesh at 10 GHz
spadp,10e9,4,1.e-2,0.1,0.5
!  perform final solution on refined mesh over frequency band
spswp,8e9,12e9,0.25e9,1,,2,1
fini
/post1
/yrange,0,1
!  plot magnitude of s11
plsyz,file,s2p,s,mag,1,1

The Target Results

After 2 refinements, the RMS error of |S| converges to 0.005 at 10 GHz. Figure 2: "|S11| of Rectangular Waveguide with a Dielectric Post from 8 GHz to 12 GHz" depicts |S11| from 8 GHz to 12 GHz for the final refined mesh.

Figure 2 |S11| of Rectangular Waveguide with a Dielectric Post from 8 GHz to 12 GHz

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Harmonic Analysis of a Rectangular Waveguide with a Dielectric Post Using Adaptive Meshing (Command Method) 		Up / Home Next
Harmonic Analysis of a Parallel-Plate Waveguide with a Lumped Circuit Load (Command Method)


Harmonic Analysis of a Parallel-Plate Waveguide with a Lumped Circuit Load (Command Method)

Problem Description

This example demonstrates how to determine the s-parameter of a parallel-plate waveguide with a lumped circuit load using ANSYS commands.

The finite element model is shown in Figure 1: "3-D Parallel-plate Waveguide Model". The waveguide is 15 mm high by 5 mm wide. A perfect electric conductor boundary condition is applied to the top and bottom walls of the waveguide. The impedance matching boundary condition of TEM mode is used at the input and output ports. The lumped circuit load is shown in Figure 2: "1-D Transmission Line Impedance Load". The calculations are performed at a frequency of 5 GHz.

Figure 1 3-D Parallel-plate Waveguide Model

Figure 2 1-D Transmission Line Impedance Load

The circuit loads applied are equivalent to the circuit load for the 1-D transmission line. As shown in Figure 3: "Lumped Circuit Loads", since there are three elements on a cross section and the lumped loads are applied at the vertical edges of the hexahedral elements, 2Z/3 is applied at the mid-nodes of the edges using the BF command with Lab = LUMP. ANSYS Emag - High Frequency imposes the lumped circuit loads on the end nodes of the element edges as well as the mid-nodes. Impedance Z represents a shunt RCL circuit as shown in Figure 4: "Shunt RCL Circuit".

Figure 3 Lumped Circuit Loads

Figure 4 Shunt RCL Circuit

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/batch,list
/title, Lumped Circuit in Parallel-plate Waveguide
/com,
/nopr
/prep7
ch=0.015				! height of the parallel-plate waveguide
cw=0.005				! width of the parallel-plate waveguide
freq=5.e9				! frequency
lamda=0.06
_omega=2.*3.1415926535*freq
h=lamda/10				! mesh size
cl=0.5*lamda
Zc=(ch/cw)*377.0			! wave impedance of parallel-plate waveguide
_R=Zc/3					! resistance
_C=1.0d0/(_R*_omega)			! capacitance
_L=_R/(_omega)				! inductance
! define element and material
et,1,120,1	        			! 1st order hex element
mp,murx,1,1.				! permeability
mp,perx,1,1.				! permittivity
local,11
wpcsys,,11
! define structure
block,-cw/2,cw/2,-ch/2,ch/2,0,cl
block,-cw/2,cw/2,-ch/2,ch/2,0,-cl
vglue,all
! meshing the structure
esize,h
type,1
mat,1
vmesh,all
! PEC on top and bottom wall
nsel,s,loc,y,-ch/2
nsel,a,loc,y,ch/2
d,all,ax,0.
! define input and output port
hfport,1,para,11,tem,impd,cw,ch,1
hfport,2,para,11,tem,impd,cw,ch
nsel,s,loc,z,cl
sf,all,port,1
nsel,s,loc,z,-cl
sf,all,port,2
! define shunt RCL circuit at vertical edges
nsel,s,loc,x,-cw/2
nsel,a,loc,x,cw/2
nsel,r,loc,z,0
bf,all,lump,1,_R,_C,_L
alls
save
fini
! perform solution
/solu
eqslv,sparse
antype,harmic
harfrq,freq
solve
fini
! extract s-parameter
/post1
sparm,1,1
fini

Target Results

A S11 value of 0.5002 is calculated for 5 GHz. Transmission line theory gives value of 0.5.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Harmonic Analysis of a Rectangular Waveguide with a Dielectric Post Using S-Parameter Adaptive Meshing (Command Method) 		Up / Home Next
Postprocessing Scattering, Admittance, and Impedance Parameters


Postprocessing Scattering, Admittance, and Impedance Parameters

Problem Description

This example demonstrates how to convert, list, and plot S (scattering), Y (admittance), and Z (impedance) parameters of a T-type transmission line using the ANSYS postprocessor. The T-type transmission line network is shown in the following figure.

Figure 1 T-type Transmission Line Network

where:

Z1 = 1/jωC, Z2 = jωL; Z3 = R + j(ωL -1/ωC)

R = 10 Ω

C = 10-11 F

L = 7 x 10-9 H

Z01 = 50 Ω; Z02 = 75 Ω

ω = angular frequency

The Touchstone file T_network.s2p of S-parameters for the T-type network follows:

# GHz S MA R 50. 75.
1.000  0.6297  169.6  0.5316  26.08  0.5316  26.08  0.7363  99.68
2.000  0.6470  100.7  0.6755 -9.873  0.6755 -9.873  0.7126  65.89
3.000  0.7459  73.82  0.6105 -28.45  0.6105 -28.45  0.7846  51.31
4.000  0.8192  58.46  0.5315 -40.29  0.5315 -40.29  0.8442  41.82
5.000  0.8681  48.31  0.4622 -48.53  0.4622 -48.53  0.8855  35.09

Smith Charts

To plot network parameters on a Smith chart, the following commands are issued in interactive mode:

/post1
PLSCH,T_network,s2p,S,1       ! plot S11 on Smith Chart
PLSCH,T_network,s2p,Y,1       ! plot Y11 on Smith Chart
fini

S11 and Y11 plots are shown in the following figures. PLSCH,T_network,s2p,Y,1 converts the S-parameters to Y-parameters and plots them.

Figure 2 S11 on Smith Chart

Figure 3 Y11 on Smith Chart

Network Parameters vs. Frequency Plots

To plot S11, S21, Z11, and Z21 parameters versus frequency, the following commands are issued in interactive mode:

/post1
PLSYZ,T_network,s2p,S,MAG,1,1,2,1		! plot S11 and S21 versus frequency
PLSYZ,T_network,s2p,Z,MAG,1,1,2,1		! plot Z11 and Z21 versus frequency
fini

PLSYZ,T_network,s2p,Z,1 converts the S-parameters to Z-parameters and plots them.

Figure 4 S11 and S21 Magnitude vs. Frequency

Figure 5 Z11 and Z21 Magnitude vs. Frequency

Touchstone File Conversion

To generate a Touchstone file of Y-parameters, the following commands are issued in interactive mode:

/post1
PRSYZ,T_network,s2p,Y,MA
fini

PLSYZ T_network,s2p,Y,MA converts the S-parameters to Y-parameters and creates the following Touchstone file with the name T_network_SYZ.s2p.

! 2-port Y-parameter file, 5 frequency points
# GHz Y MA R 50. 75.
!freq    magY11   angY11   magY21   angY21   magY12   angY12   magY22   angY22
1.00000  0.24744 -25.2489  0.10135  143.034  0.10135  143.034  0.05352 -56.8150
2.00000  0.02924 -85.4203  0.01401  90.8503  0.01401  90.8503  0.01264 -89.9250
3.00000  0.01681 -87.4959  0.00826  90.1989  0.00826  90.1989  0.00791 -89.9931
4.00000  0.01203 -88.2378  0.00596  90.0865  0.00596  90.0865  0.00582 -89.9947
5.00000  0.00943 -88.6262  0.00468  90.0374  0.00468  90.0374  0.00461 -90.0011

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Harmonic Analysis of a Parallel-Plate Waveguide with a Lumped Circuit Load (Command Method) 		Up / Home Next
SPICE Synthesized Equivalent Circuit for a Line-fed Microstrip Patch Antenna (Command Method)


SPICE Synthesized Equivalent Circuit for a Line-fed Microstrip Patch Antenna (Command Method)

Problem Description

This example demonstrates how to extract a SPICE synthesized equivalent circuit for a line-fed microstrip patch antenna using ANSYS commands.

The line-fed microstrip patch antenna consists of a 16 mm × 12.45 mm metallic rectangular patch on a substrate with a thickness of 0.794 mm and εr = 2.2. The width of the microstrip is 2.46 mm and the characteristic impedance is assumed to be 50 Ohms. The distance from the edge of the microstrip to the edge of the patch is 2.09 mm.

The following S-parameters were determined from 500 MHz to 20 GHz and stored in a Touchstone file called Ant_patch.s1p. They were determined by the ANSYS FEM full-wave solver as shown in Harmonic Analysis for Line-fed Microstrip Patch Antenna (Command Method).

!  ANSYS S-parameter Data for 1 Ports (Transmission Line).
  # GHz S DB R 50.
  ! Freq     |S11|    <S11
  0.5000   -0.177   90.453
  0.7500   -0.162  116.187
  1.0000   -0.100  130.103
  1.2500   -0.081 -144.568
  1.5000   -0.025  189.995
  1.7500   -0.009  176.424
  2.0000   -0.497   -8.017
  2.2500   -0.143  -80.637
  2.5000   -0.082   99.940
  2.7500   -0.077  105.972
  3.0000   -0.100   98.818
  3.2500   -0.110   97.751
  3.5000   -0.132   91.737
  3.7500   -0.161   82.902
  4.0000   -0.189   74.436
  4.2500   -0.209   69.735
  4.5000   -0.247   59.790
  4.7500   -0.287   51.083
  5.0000   -0.344   40.256
  5.2500   -0.437   25.926
  5.5000   -0.611    6.098
  5.7500   -0.942  -25.495
  6.0000   -1.444  -72.328
  6.2500   -1.787 -136.096
  6.5000   -1.389  162.554
  6.7500   -1.376  116.024
  7.0000   -1.891   78.014
  7.2500   -4.473   34.634
  7.5000  -20.109 -113.347
  7.7500   -4.247  122.374
  8.0000   -1.693   87.472
  8.2500   -0.964   65.145
  8.5000   -0.688   47.353
  8.7500   -0.590   30.617
  9.0000   -0.610   13.546
  9.2500   -0.794   -6.866
  9.5000   -1.376  -35.909
  9.7500   -3.194  -87.170
 10.0000   -5.468  172.718
 10.2500   -3.512   84.728
10.5000   -2.135   41.498
 10.7500   -1.687   14.074
 11.0000   -1.673   -8.677
 11.2500   -2.010  -31.650
 11.5000   -2.847  -59.220
 11.7500   -4.537  -97.795
 12.0000   -6.290  200.465
 12.2500   -5.803  135.734
 12.5000   -4.261   82.991
 12.7500   -2.943   48.028
 13.0000   -2.210   22.310
 13.2500   -1.860    0.587
 13.5000   -1.792  -20.442
 13.7500   -2.046  -43.880
 14.0000   -2.890  -74.822
 14.2500   -4.954  234.848
 14.5000   -6.454  153.034
 14.7500   -4.642   74.115
 15.0000   -2.763   32.483
 15.2500   -1.857    7.164
 15.5000   -1.423  -11.444
 15.7500   -1.248  -26.945
 16.0000   -1.297  -41.040
 16.2500   -1.663  -53.607
 16.5000   -1.785  -63.174
 16.7500   -1.707  284.730
 17.0000   -2.023  269.535
 17.2500   -2.868  251.069
 17.5000   -4.565  225.756
 17.7500   -7.199  190.492
 18.0000  -13.982  139.169
 18.2500  -14.135   13.143
 18.5000   -8.219  -37.094
 18.7500   -5.874  291.005
 19.0000   -5.127  260.781
 19.2500   -5.418  225.077
 19.5000   -6.816  188.096
 19.7500  -10.218  127.458
 20.0000   -8.570   42.037

The S-parameters are shown in the figure below.

Figure 1 S-parameters of Line-Fed Microstrip Patch Antenna

Command Input

The command input stream to extract a SPICE synthesized RLCG equivalent circuit is shown below. Text preceded by an exclamation point (!) is a comment.

/post1
SPICE, Ant_patch, s1p		! issue ANSYS SPICE command
fini

Generated Subcircuit

The SPICE subcircuit is shown below. It was extracted on a SGI 64-bit machine.

.SUBCKT Y001001P 1 2
R001       1    3                   96.9845249338
L001       3    4                   65.6672620707N
RG001      4    2                 2699.8095910351
C001       4    2                    0.2507917989P
R002       1    5                    0.0918336874
L002       5    6                    3.2009617547N
RG002      6    2                12978.2584621903
C002       6    2                    2.6857281016P
R003       1    7                   33.1266297413
L003       7    8                   24.8776551283N
RG003      8    2                 4073.0874052012
C003       8    2                    0.1843777282P
R004       1    9                   58.1328688897
L004       9   10                    9.8798032570N
RG004     10    2            100000000.0000000000
C004      10    2                    0.4485850398P
R005       1   11                   53.6142954630
L005      11   12                    5.0666820393N
RG005     12    2                  226.2020914054
C005      12    2                    0.4177788322P
R006       1   13                    3.1254832709
L006      13   14                   10.3517458587N
RG006     14    2                55776.7511050745
C006      14    2                    0.0593804123P
R007       1   15                   11.5984048822
L007      15   16                   40.8363247219N
RG007     16    2            100000000.0000000000
C007      16    2                    0.0149651164P
R008       1   17                   13.9703417167
L008      17   18                   17.5827795885N
RG008     18    2                50812.6448875777
C008      18    2                    0.0247690130P
R009       1   19                   15.3999268610
L009      19   20                   15.2359869069N
RG009     20    2            100000000.0000000000
C009      20    2                    0.0166838797P
R010       1   21                   17.7632242713
L010      21   22                    9.0966720285N
RG010     22    2            100000000.0000000000
C010      22    2                    0.0190913008P
R011       1   23                 3270.0028918347
L011      23   24                 2481.0581882219N
RG011     24    2             10966250.4167895820
C011      24    2                    0.0000691880P
R012       1   25                   17.6235836965
L012      25   26                   11.6144382252N
RG012     26    2            100000000.0000000000
C012      26    2                    0.0104976323P
R013       1   27                   21.6774154176
L013      27   28                    7.3031098938N
RG013     28    2            100000000.0000000000
C013      28    2                    0.0110327605P
R014       1   29                  163.8302009054
L014      29   30                   68.2561028602N
RG014     30    2               381025.4428528495
C014      30    2                    0.0010934365P
R015       1   31                    9.7981746604
L015      31   32                    6.5640819762N
RG015     32    2                66151.4153415732
C015      32    2                    0.0101272068P
R016       1   33                   12.6111902503
L016      33   34                    1.1302953551N
RG016     34    2            100000000.0000000000
C016      34    2                    0.0461187343P
.ENDS Y001001P
*
*
.SUBCKT NPORT 1 2
E001001P   3    0    1    2   1.00
V001001P   3    4   DC 0
X001001P   4    0  Y001001P
F001001P   1    2  V001001P   1.00
RGND002    2    0                  100.0000000000MEG
.ENDS NPORT

Verification

The SPICE3 simulation tool is used to perform a harmonic analysis of the synthesized equivalent circuit.

Note

For information on SPICE3, go to http://infopad.eecs.berkeley.edu/~icdesign/SPICE/.

The SPICE3 control deck is shown below.

* Synthesized Equivalent Subcircuit for Line-fed Patch Antenna AC Analysis
*
*copy subcircuit here or use SPICE .include command to include the subcircuit
*
V1 vin 0 DC 0 AC 1.0
R1 vin 1 50
xnport 1 0 NPORT
.AC LIN 201 500Meg 20G
.END

The admittance parameters generated by SPICE3 using the synthesized equivalent circuit are shown in Figure 2: "|Y11| Generated by SPICE3 Using Synthesized Equivalent Circuit". For comparison, admittance parameters generated by an ANSYS full-wave solution are shown in Figure 3: " |Y11| Generated by ANSYS Full-Wave Solution".

Figure 2 |Y11| Generated by SPICE3 Using Synthesized Equivalent Circuit

Figure 3 |Y11| Generated by ANSYS Full-Wave Solution

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Postprocessing Scattering, Admittance, and Impedance Parameters 		Up / Home Next
SPICE Synthesized Equivalent Circuit for a T-type Transmission Line Network (Command Method)


SPICE Synthesized Equivalent Circuit for a T-type Transmission Line Network (Command Method)

Problem Description

This example demonstrates how to extract a SPICE synthesized equivalent circuit for a T-type transmission line network using ANSYS commands.

The T-type transmission line network consists of two uniform transmission segments and a uniform transmission line shunt branch as shown in the following figure. The wavelength (λ) is based on a transmission line frequency of 1.5 GHz. The shunt transmission line is terminated by a 1 µF impedance. To perform a SPICE subcircuit synthesis, the admittance parameters are sampled at fifty frequency points from 50 MHz to 5 GHz.

Figure 1 T-type Transmission Line Network

Figure 2: "SPICE Transmission Line Circuit Model" shows the model used to verify the synthesized SPICE model shown in Figure 3: "SPICE Subcircuit Macromodel".

Figure 2 SPICE Transmission Line Circuit Model

To calculate the admittance parameters in the SPICE model, ZL is set to zero and a shorted independent voltage source is used to extract the current at port 2 (load). The admittance parameters are extracted from 50 MHz to 5 GHz.

For a transient analysis, a 0-1 volt trapezoidal pulse is launched with a 250 ps rise and fall time, 1 ns pulse width, and 6 ns period. ZL is set to 50 Ω to match the network.

Figure 3 SPICE Subcircuit Macromodel

The following admittance parameters were determined and stored in a Touchstone file T_network.s2p.

! 2-port Y Parameter file using 50 frequency points
# GHz Y MA R 50. 50.
!freq 	 magy11    angy11    magy21    angy21 	 magy12    angy12    magy22    angy22
0.05000	 0.07787  -90.00000  0.01623   90.00000	 0.01623   90.00000  0.07787  -90.00000
0.15102	 0.02092  -90.00000  0.00636   90.00000	 0.00636   90.00000  0.02092  -90.00000
0.25204	 0.00586  -90.00000  0.00546   90.00000	 0.00546   90.00000  0.00586  -90.00000
0.35306	 0.00545   90.00000  0.00730   90.00000	 0.00730   90.00000  0.00545   90.00000
0.45408	 0.02471   90.00000  0.01783   90.00000	 0.01783   90.00000  0.02471   90.00000
0.55510	 0.08650  -90.00000  0.10530  -90.00000  0.10530  -90.00000  0.08650  -90.00000
0.65612	 0.01040   90.00000  0.03781  -90.00000  0.03781  -90.00000  0.01040   90.00000
0.75714	 0.33868  -90.00000  0.32957   90.00000	 0.32957   90.00000  0.33868  -90.00000
0.85816	 0.01979  -90.00000  0.02129   90.00000	 0.02129   90.00000  0.01979  -90.00000
0.95918	 0.00194  -90.00000  0.01472   90.00000	 0.01472   90.00000  0.00194  -90.00000
1.06020	 0.01490   90.00000  0.02047   90.00000	 0.02047   90.00000  0.01490   90.00000
1.16122	 0.31981   90.00000  0.31676   90.00000	 0.31676   90.00000  0.31981   90.00000
1.26225	 0.01431  -90.00000  0.02726  -90.00000  0.02726  -90.00000  0.01431  -90.00000
1.36327	 0.00799   90.00000  0.02303  -90.00000  0.02303  -90.00000  0.00799   90.00000
1.46429	 0.06465   90.00000  0.06804  -90.00000  0.06804  -90.00000  0.06465   90.00000
1.56531	 0.03246  -90.00000  0.03882   90.00000	 0.03882   90.00000  0.03246  -90.00000
1.66633	 0.00197  -90.00000  0.02193   90.00000	 0.02193   90.00000  0.00197  -90.00000
1.76735	 0.02658   90.00000  0.03626   90.00000	 0.03626   90.00000  0.02658   90.00000
1.86837	 0.05766  -90.00000  0.05710  -90.00000  0.05710  -90.00000  0.05766  -90.00000
1.96939	 0.00879  -90.00000  0.01714  -90.00000  0.01714  -90.00000  0.00879  -90.00000
2.07041	 0.00617   90.00000  0.01520  -90.00000  0.01520  -90.00000  0.00617   90.00000
2.17143	 0.03000   90.00000  0.02856  -90.00000  0.02856  -90.00000  0.03000   90.00000
2.27245	 0.09953  -90.00000  0.11254   90.00000	 0.11254   90.00000  0.09953  -90.00000
2.37347	 0.00174   90.00000  0.03690   90.00000	 0.03690   90.00000  0.00174   90.00000
2.47449	 0.19462  -90.00000  0.18003  -90.00000  0.18003  -90.00000  0.19462  -90.00000
2.57551	 0.01665  -90.00000  0.01244  -90.00000  0.01244  -90.00000  0.01665  -90.00000
2.67653	 0.00201  -90.00000  0.00640  -90.00000  0.00640  -90.00000  0.00201  -90.00000
2.77755	 0.00941   90.00000  0.00544  -90.00000  0.00544  -90.00000  0.00941   90.00000
2.87857	 0.02848   90.00000  0.00739  -90.00000  0.00739  -90.00000  0.02848   90.00000
2.97959	 0.19426   90.00000  0.03913  -90.00000  0.03913  -90.00000  0.19426   90.00000
3.08061	 0.04656  -90.00000  0.01040   90.00000	 0.01040   90.00000  0.04656  -90.00000
3.18163	 0.01524  -90.00000  0.00577   90.00000	 0.00577   90.00000  0.01524  -90.00000
3.28265	 0.00245  -90.00000  0.00570   90.00000	 0.00570   90.00000  0.00245  -90.00000
3.38367	 0.00951   90.00000  0.00878   90.00000	 0.00878   90.00000  0.00951   90.00000
3.48469	 0.04069   90.00000  0.03080   90.00000	 0.03080   90.00000  0.04069   90.00000
3.58571	 0.02468  -90.00000  0.04901  -90.00000  0.04901  -90.00000  0.02468  -90.00000
3.68674	 0.02688   90.00000  0.04682  -90.00000  0.04682  -90.00000  0.02688   90.00000
3.78776	 0.06552  -90.00000  0.05989   90.00000	 0.05989   90.00000  0.06552  -90.00000
3.88878	 0.01293  -90.00000  0.01751   90.00000	 0.01751   90.00000  0.01293  -90.00000
3.98980	 0.00236   90.00000  0.01507   90.00000	 0.01507   90.00000  0.00236   90.00000
4.09082	 0.02451   90.00000  0.02740   90.00000	 0.02740   90.00000  0.02451   90.00000
4.19184	 0.08423  -90.00000  0.08998  -90.00000  0.08998  -90.00000  0.08423  -90.00000
4.29286	 0.00635  -90.00000  0.02330  -90.00000  0.02330  -90.00000  0.00635  -90.00000
4.39388	 0.01553   90.00000  0.02646  -90.00000  0.02646  -90.00000  0.01553   90.00000
4.49490	 0.46760   90.00000  0.46808  -90.00000  0.46808  -90.00000  0.46760   90.00000
4.59592	 0.01868  -90.00000  0.02839   90.00000	 0.02839   90.00000  0.01868  -90.00000
4.69694	 0.00415   90.00000  0.02262   90.00000	 0.02262   90.00000  0.00415   90.00000
4.79796	 0.05754   90.00000  0.06422   90.00000	 0.06422   90.00000  0.05754   90.00000
4.89898	 0.02928  -90.00000  0.03130  -90.00000  0.03130  -90.00000  0.02928  -90.00000
5.00000	 0.00385  -90.00000  0.01540  -90.00000  0.01540  -90.00000  0.00385  -90.00000

Command Input

The command input stream to extract a SPICE synthesized RLCG equivalent circuit is shown below. Text preceded by an exclamation point (!) is a comment.

/post1
SPICE,T_Network,s2p,1.e-2   ! issue ANSYS SPICE command
fini

Generated Subcircuit

The SPICE subcircuit is shown below. It was extracted on a SGI 64-bit machine.

.SUBCKT Y001001P 1 2
R001       1    3                    0.0150048754
L001       3    4                   40.0033298758N
RG001      4    2                   65.2024314190
C001       4    2                40888.3851403803P
R002       1    5                    0.0000000952
L002       5    6                   42.3185277341N
RG002      6    2            100000000.0000000000
C002       6    2                    2.0871833267P
R003       1    7                    0.0000000975
L003       7    8                   33.3245147177N
RG003      8    2            100000000.0000000000
C003       8    2                    1.3513184594P
R004       1    9                   18.4975834679
L004       9   10               186167.9612417941N
RG004     10    2            100000000.0000000000
C004      10    2                    0.0001048725P
R005       1   11                    0.0000086851
L005      11   12                   37.8777839679N
RG005     12    2            100000000.0000000000
C005      12    2                    0.4903493267P
R006       1   13                    0.0000032535
L006      13   14                   33.2399620549N
RG006     14    2            100000000.0000000000
C006      14    2                    0.3386807085P
R007       1   15                    0.1646519917
L007      15   16                 1570.1110474562N
RG007     16    2            100000000.0000000000
C007      16    2                    0.0048178684P
R008       1   17                    0.0000031499
L008      17   18                   38.1931508030N
RG008     18    2            100000000.0000000000
C008      18    2                    0.1975680542P
R009       1   19                    0.0000016372
L009      19   20                   33.3165728856N
RG009     20    2            100000000.0000000000
C009      20    2                    0.1501806066P
R010       1   21                    0.0000237446
L010      21   22                   42.1932369664N
RG010     22    2            100000000.0000000000
C010      22    2                    0.0988430646P
R011       1   23                 3346.1727463665
L011      23   24               420890.2572277713N
RG011     24    2            100000000.0000000000
C011      24    2                    0.0000085849P
R012       1   25                    0.0000053583
L012      25   26                   19.9995323793N
RG012     26    2            100000000.0000000000
C012      26    2                    0.1407270378P
R013       1   27                    0.0000581869
L013      27   28                   42.3568273272N
RG013     28    2            100000000.0000000000
C013      28    2                    0.0478421267P
R014       1   29                    0.0001049889
L014      29   30                   28.8274690500N
RG014     30    2            100000000.0000000000
C014      30    2                    0.0624841093P
R015       1   31                    0.0000411199
L015      31   32                   37.8753868212N
RG015     32    2            100000000.0000000000
C015      32    2                    0.0385002620P
R016       1   33                    0.0000150009
L016      33   34                   33.3319608365N
RG016     34    2            100000000.0000000000
C016      34    2                    0.0375279561P
R017       1   35                    0.0001425211
L017      35   36                   37.7767449743N
RG017     36    2            100000000.0000000000
C017      36    2                    0.0287156893P
R018       1   37                    1.3528312325
L018      37   38                   39.0970866933N
RG018     38    2            100000000.0000000000
C018      38    2                    0.0245422581P
R019       1   39                    0.4391635276
L019      39   40                    0.8688198736N
RG019     40    2            100000000.0000000000
C019      40    2                    0.3891304420P
.ENDS Y001001P
*
*
.SUBCKT Y001002P 1 2
R002       1    5                    0.0000000953
L002       5    6                   42.3919181494N
RG002      6    2            100000000.0000000000
C002       6    2                    2.0835699198P
R005       1   11                    0.0000086851
L005      11   12                   37.8777843467N
RG005     12    2            100000000.0000000000
C005      12    2                    0.4903493218P
R008       1   17                    0.0000031499
L008      17   18                   38.1931511785N
RG008     18    2            100000000.0000000000
C008      18    2                    0.1975680522P
R010       1   21                    0.0000238905
L010      21   22                   42.4523898026N
RG010     22    2            100000000.0000000000
C010      22    2                    0.0982396720P
R011       1   23                41560.2973904034
L011      23   24              5227561.6308523873N
RG011     24    2            100000000.0000000000
C011      24    2                    0.0000006912P
R013       1   27                    0.0000581869
L013      27   28                   42.3568277507N
RG013     28    2            100000000.0000000000
C013      28    2                    0.0478421263P
R015       1   31                    0.0000411824
L015      31   32                   37.9329324547N
RG015     32    2            100000000.0000000000
C015      32    2                    0.0384418557P
R017       1   35                    0.0001426327
L017      35   36                   37.8063134164N
RG017     36    2            100000000.0000000000
C017      36    2                    0.0286932306P
.ENDS Y001002P
*
*
.SUBCKT Y001002M 1 2
R001       1    3                    0.0751558986
L001       3    4                  200.3672887424N
RG001      4    2                  326.5836729945
C001       4    2                 8163.3662317089P
R003       1    7                    0.0000000975
L003       7    8                   33.3296717523N
RG003      8    2            100000000.0000000000
C003       8    2                    1.3511093726P
R004       1    9                 6138.7849808623
L004       9   10             61783480.3325333223N
RG004     10    2            100000000.0000000000
C004      10    2                    0.0000003160P
R006       1   13                    0.0000032709
L006      13   14                   33.4185319809N
RG006     14    2            100000000.0000000000
C006      14    2                    0.3368709884P
R007       1   15                    0.4604252233
L007      15   16                 4390.5860008040N
RG007     16    2            100000000.0000000000
C007      16    2                    0.0017229109P
R009       1   19                    0.0000016381
L009      19   20                   33.3344605587N
RG009     20    2            100000000.0000000000
C009      20    2                    0.1501000179P
R012       1   25                    0.0000267867
L012      25   26                   99.9792401951N
RG012     26    2            100000000.0000000000
C012      26    2                    0.0281505935P
R014       1   29                    0.0001269338
L014      29   30                   34.8529954425N
RG014     30    2            100000000.0000000000
C014      30    2                    0.0516816045P
R016       1   33                    0.0000150009
L016      33   34                   33.3319611697N
RG016     34    2            100000000.0000000000
C016      34    2                    0.0375279557P
R018       1   37                    3.2818813553
L018      37   38                   94.8470117986N
RG018     38    2            100000000.0000000000
C018      38    2                    0.0101166160P
R019       1   39                  100.6820616896
L019      39   40                  199.1845192460N
RG019     40    2            100000000.0000000000
C019      40    2                    0.0016973421P
.ENDS Y001002M
*
*
.SUBCKT Y002002P 1 2
R001       1    3                    0.0150048754
L001       3    4                   40.0033298758N
RG001      4    2                   65.2024314190
C001       4    2                40888.3851403803P
R002       1    5                    0.0000000952
L002       5    6                   42.3185277341N
RG002      6    2            100000000.0000000000
C002       6    2                    2.0871833267P
R003       1    7                    0.0000000975
L003       7    8                   33.3245147177N
RG003      8    2            100000000.0000000000
C003       8    2                    1.3513184594P
R004       1    9                   18.4975834679
L004       9   10               186167.9612417941N
RG004     10    2            100000000.0000000000
C004      10    2                    0.0001048725P
R005       1   11                    0.0000086851
L005      11   12                   37.8777839679N
RG005     12    2            100000000.0000000000
C005      12    2                    0.4903493267P
R006       1   13                    0.0000032535
L006      13   14                   33.2399620549N
RG006     14    2            100000000.0000000000
C006      14    2                    0.3386807085P
R007       1   15                    0.1646519917
L007      15   16                 1570.1110474562N
RG007     16    2            100000000.0000000000
C007      16    2                    0.0048178684P
R008       1   17                    0.0000031499
L008      17   18                   38.1931508030N
RG008     18    2            100000000.0000000000
C008      18    2                    0.1975680542P
R009       1   19                    0.0000016372
L009      19   20                   33.3165728856N
RG009     20    2            100000000.0000000000
C009      20    2                    0.1501806066P
R010       1   21                    0.0000237446
L010      21   22                   42.1932369664N
RG010     22    2            100000000.0000000000
C010      22    2                    0.0988430646P
R011       1   23                 3346.1727463665
L011      23   24               420890.2572277713N
RG011     24    2            100000000.0000000000
C011      24    2                    0.0000085849P
R012       1   25                    0.0000053583
L012      25   26                   19.9995323793N
RG012     26    2            100000000.0000000000
C012      26    2                    0.1407270378P
R013       1   27                    0.0000581869
L013      27   28                   42.3568273272N
RG013     28    2            100000000.0000000000
C013      28    2                    0.0478421267P
R014       1   29                    0.0001049889
L014      29   30                   28.8274690500N
RG014     30    2            100000000.0000000000
C014      30    2                    0.0624841093P
R015       1   31                    0.0000411199
L015      31   32                   37.8753868212N
RG015     32    2            100000000.0000000000
C015      32    2                    0.0385002620P
R016       1   33                    0.0000150009
L016      33   34                   33.3319608365N
RG016     34    2            100000000.0000000000
C016      34    2                    0.0375279561P
R017       1   35                    0.0001425211
L017      35   36                   37.7767449743N
RG017     36    2            100000000.0000000000
C017      36    2                    0.0287156893P
R018       1   37                    1.3528312325
L018      37   38                   39.0970866933N
RG018     38    2            100000000.0000000000
C018      38    2                    0.0245422581P
R019       1   39                    0.4391635276
L019      39   40                    0.8688198736N
RG019     40    2            100000000.0000000000
C019      40    2                    0.3891304420P
.ENDS Y002002P
*
*
.SUBCKT NPORT 1 2 3 4
E001001P   5    0    1    2   1.00
V001001P   5    6   DC 0
X001001P   6    0  Y001001P
E001002P   9    0    3    4   1.00
V001002P   9   10   DC 0
X001002P  10    0  Y001002P
E001002M  11    0    3    4   1.00
V001002M  11   12   DC 0
X001002M  12    0  Y001002M
E002001P  13    0    1    2   1.00
V002001P  13   14   DC 0
X002001P  14    0  Y001002P
E002001M  15    0    1    2   1.00
V002001M  15   16   DC 0
X002001M  16    0  Y001002M
E002002P  17    0    3    4   1.00
V002002P  17   18   DC 0
X002002P  18    0  Y002002P
F001001P   1    2  V001001P   1.00
F001002P   1    2  V001002P   1.00
F001002M   1    2  V001002M  -1.00
F002001P   3    4  V002001P   1.00
F002001M   3    4  V002001M  -1.00
F002002P   3    4  V002002P   1.00
RGND002    2    0                  100.0000000000MEG
RGND004    4    0                  100.0000000000MEG
.ENDS NPORT

Verification

The SPICE3 simulation tool is used to verify the extracted subcircuit macromodel.

Note

For information on SPICE3, go to http://infopad.eecs.berkeley.edu/~icdesign/SPICE/.

The SPICE3 control decks for the transmission line model and the subcircuit macromodel are shown below for a harmonic analysis.

SPICE3 Transmission Line Model Control Deck (Harmonic Analysis)

* T-type Transmission Line Model for AC Analysis
*
v1 vin 0 dc 0 ac 1.0
rsource vin 1 50
vport1 1 2 dc 0 ac 0
t1 2 0 3 0 z0=50 f=1.5g nl=1
t2 3 0 4 0 z0=50 f=1.5g nl=0.25
t3 3 0 5 0 z0=50 f=1.5g nl=1
ct 4 0 1u
vport2 0 5 dc 0 ac 0
*
.ac lin 50 50meg 5g
.end

SPICE3 Synthesized Equivalent Subcircuit Control Deck (Harmonic Analysis)

* Synthesized Equivalent Subcircuit for T-type Transmission AC Analysis
*
*copy subcircuit here or use SPICE .include command to include the subcircuit
*
v1 vin 0 dc 0 ac 1.0
rsource vin 1 50
vport1 1 2 dc 0 ac 0
xnport 2 0 3 0 nport
vport2 0 3 dc 0 ac 0
*
.ac lin 50 50meg 5g
.end

The SPICE3 control decks for the transmission line model and the subcircuit macromodel are shown below for a transient analysis.

SPICE3 Transmission Line Model Control Deck (Transient Analysis)

* T-type Transmission Line Model for Transient Analysis
v1 vin 0 dc 0 pulse(0 1 0ns 0.25ns 0.25ns 1ns 6ns)
rsource vin 1 50
vport1 1 2 dc 0 ac 0
t1 2 0 3 0 z0=50 f=1.5g nl=1
t2 3 0 4 0 z0=50 f=1.5g nl=0.25
t3 3 0 5 0 z0=50 f=1.5g nl=1
ct 4 0 1u
vport2 6 5 dc 0 ac 0
rload 6 0 50
*
.tran 30ps 6ns
.end

SPICE3 Synthesized Equivalent Subcircuit Control Deck (Transient Analysis)

* Synthesized Equivalent Subcircuit for T-type Transmission Transient Analysis
*
*copy subcircuit here or use SPICE .include command to include the subcircuit
*
v1 vin 0 dc 0 pulse(0 1 0ns 0.25ns 0.25ns 1ns 6ns)
rsource vin 1 50
vport1 1 2 dc 0 ac 0
xnport 2 0 3 0 nport
vport2 4 3 dc 0 ac 0
rload 4 0 50
*
.tran 30ps 6ns
.end

The harmonic analysis results for the SPICE transmission line model and the SPICE subcircuit macromodel are identical as shown in the figure below.

Note

You can use the PLSYZ command to plot the admittance parameters in a Touchstone file.

Figure 4 |Y11| from SPICE TL Model and Equivalent Circuit Macromodel

The transient analysis results for the SPICE transmission line model and the SPICE subcircuit macromodel are shown below.

Figure 5 Transient Analysis of SPICE Transmission Line Model

Figure 6 Transient Analysis of SPICE Subcircuit Macromodel

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SPICE Synthesized Equivalent Circuit for a Line-fed Microstrip Patch Antenna (Command Method) 		Up / Home Next
Harmonic Analysis for Rectangular Waveguide Filled with Two Dielectric Materials (Command Method)


Harmonic Analysis for Rectangular Waveguide Filled with Two Dielectric Materials (Command Method)

Problem Description

This example demonstrates how to determine the S-parameters of a rectangular waveguide filled with two dielectric materials. The waveguide has air and dielectric material segments as shown in following figure. Exterior modal ports are used to terminate the waveguide.

Figure 1 Two Segment Rectangular Waveguide

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/batch,list
/title,Rectangular Waveguide with exterior MODAL port
/com, Problem:  S-paramter in two-segment rectangular waveguide
/com,           with dimensions 3x1.5 cm^2 cross section.
/com,
/nopr
/prep7
freq4=7.e9
epsr=4.
ch=0.015
cw=0.03
cl=0.01
h=cw/8
h0=2.0                 ! Magnitude
ang=0                  ! Phase angle
et,1,HF120,1,,,0       ! Brick 1st order
mp,murx,1,1.
mp,perx,1,1.
mp,murx,2,1.
mp,perx,2,epsr

local,11,0,0.02,0.05,0.09,30,-60,120
wpcsys,,11
block,-cw/2,cw/2,-ch/2,ch/2,-cl
block,-cw/2,cw/2,-ch/2,ch/2,cl

type,1
mat,1
esize,h
vmesh,1
mat,2
vmesh,2
nummgr,all
alls
!
! Tangential E is zero on all side walls
!
nsel,s,loc,y,-ch/2
nsel,a,loc,y,ch/2
nsel,a,loc,x,cw/2
nsel,a,loc,x,-cw/2
d,all,ax,0.
!
! port definitions
!
hfport,1,MODAL,11,1,impd,,,h0,ang,0,cl       !input port
! hfport,1,MODAL,11,1,impd,,, 0,0,0,cl       !output port
nsel,s,loc,z,-cl
sf,all,PORT,1
hfport,2,MODAL,11,1,impd,,,0,0,0,cl          !output port
! hfport,2,MODAL,11,1,impd,,,h0,ang,0,cl     !input port
nsel,s,loc,z,cl
sf,all,PORT,2
alls
save
fini
/solu
hfmodprt,freq4
eqslv,sparse
antype,harmic
harfrq,freq4
solve
fini

/com, Target result: S11=-0.455; S21=0.891
/post1
sparm,1,2
! sparm,2,1       ! port 2 is driven port
fini

Target Results

The analytical solution for this example is S11 = -0.455, S22 = 0. 455, and |S21| = |S12| = 0.891. The numerical solution is |S11| = 0.454, <S11 = -178.27, |S22| = 0.454, <S22 = 7.92, and |S21| = |S12| = 0.891.

The contour of the electric field is shown in the following figure.

Figure 2 Electric Field Contour of Waveguide

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
SPICE Synthesized Equivalent Circuit for a T-type Transmission Line Network (Command Method) 		Up / Home Next
Harmonic Analysis of Y-Junction Waveguide Circulator (Command Method)


Harmonic Analysis of Y-Junction Waveguide Circulator (Command Method)

Problem Description

This example demonstrates how to determine the S11 parameter, insertion loss, and isolation loss of a Y-junction waveguide circulator with cylindrical ferrite post using ANSYS commands. Results are in good agreement with those reported by Masanori Koshiba and Michio Suzuki (“Finite-Element analysis of H-Plane Waveguide Junction with Arbitrarily Shaped Ferrite Post,” IEEE Transactions on Microwave Theory and Techniques, Vol. MTT-34, No. 1, January 1986.)

The Y-junction waveguide circulator is loaded by a cylindrical ferrite post at the center of the junction. The internal DC magnetic field Ho is 200 Oe. The waveguide cross section is 22.86 mm by 10.16 mm. The ferrite post radius is 3.5 mm. The TT1–109 ferrite has the following properties:

Saturation magnetization (Ms) introduced by dc magnetic field Ho: 4πMs = 1000 G

Relative permittivity εr = 11.7.

Resonance line width: ΔH = 135 Oe

Figure 1 Y-junction Waveguide Circulator with Central Ferrite Cylindrical Post

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/batch,list
/nopr
/prep7
!
! define geometric dimensions and ferrite parameters
!
pi=3.1415926535
cw=22.86e-3
ch=10.16e-3
r0=3.5e-3
freq=9.e9
cl=(2/3)*cw
rt=0.5*cw/cos(pi/6)
dt=0.5*cw*tan(pi/6)
epsr=11.7
h0=200
ms=1317
landeg=2
dh=135
!
! define HF TET element and materials
!
et,1,119
mp,perx,1,1.
mp,murx,1,1.
mp,perx,2,epsr
TB,MUR,2,,,1			! uniform dc magnetic field
TBDATA,1,ms, landeg,dh,h0
!
! set up structure
!
rpr4,3,0,0,rt,0,ch
cyl4,0,0,0,0,r0,360,ch
vsbv,1,2,,delete,keep
block,-dt,-dt-cl,-cw/2,cw/2,0,ch
wprota,60
block,dt,dt+cl,-cw/2,cw/2,0,ch
wprota,-120
block,dt,dt+cl,-cw/2,cw/2,0,ch
!
! define local coordinate system for waveguide ports
!
wpcsys,-1,0
wpoffs,-dt-cl,0,ch/2
wprota,0,0,90
wprota,-90
cswpla,11,0
!
wpcsys,-1,0
wprota,60
wpoffs,dt+cl,0,ch/2
wprota,0,0,-90
wprota,90
cswpla,12,0
!
wpcsys,-1,0
wprota,-60
wpoffs,dt+cl,0,ch/2
wprota,0,0,-90
wprota,90
cswpla,13,0
!
! mesh the structure
!
size1=cw/10
size2=r0/3
vglue,all
type,1
esize,size2
mat,2
vsel,s,,,2
vmesh,all
esize,size1
mat,1
vsel,all
vsel,u,,,2
vmesh,all
!
! apply boundary condition
csys,0
nsel,s,loc,z,0
nsel,a,loc,z,ch
d,all,ax,0
csys,11
nsel,s,loc,x,-cw/2
nsel,a,loc,x,cw/2
nsel,r,loc,z,0,cl
d,all,ax,0
csys,12
nsel,s,loc,x,-cw/2
nsel,a,loc,x,cw/2
nsel,r,loc,z,0,cl
d,all,ax,0
csys,13
nsel,s,loc,x,-cw/2
nsel,a,loc,x,cw/2
nsel,r,loc,z,0,cl
d,all,ax,0
!
! define waveguide ports
!
csys,11
nsel,s,loc,z,0
sf,all,port,1				! input port
hfport,1,rect,11,TE10,IMPD,cw,ch,1
csys,12
nsel,s,loc,z,0
sf,all,port,2				! output port
hfport,2,rect,12,TE10,IMPD,cw,ch
csys,13
nsel,s,loc,z,0				! output port
sf,all,port,3
hfport,3,rect,13,TE10,IMPD,cw,ch
alls
csys,0
save
fini
!
! perform a solution over frequency range from 7.5 to 12.5 GHz.
/solu
spswp,7.5e9,12.5e9,0.5e9,1,,2,1
fini
/post1
plsyz,file,s3p,s,db,1,1
/yrange,0,20
plsyz,file,s3p,insl,db,3,1
plsyz,file,s3p,isol,db,2,1

Target Results

The following three figures depict the S11 parameter, insertion loss, and isolation loss from 7.5 GHz to 12.5 GHz.

Figure 2 S11 Parameter of Y-junction Waveguide Circulator

Figure 3 Insertion Loss of Y-junction Waveguide Circulator

Figure 4 Isolation Loss of Y-junction Waveguide Circulator

The following figure shows the electric field contour at 10GHz.

Figure 5 Electric Field Contour at 10GHz

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Harmonic Analysis for Rectangular Waveguide Filled with Two Dielectric Materials (Command Method) 		Up / Home Next
TDR/TDT Display of Shorted Single-Ended Uniform Transmission Line (Command Method)


Part VII, Advanced Wave Resonance Examples

Release 11.0 Documentation for ANSYS

High-Frequency Guide |

Advanced Wave Resonance Examples

Table of Contents

Modal Analysis for Resonant Frequencies of a Dielectric Resonator on Microstrip Substrate (Command Method)
Modal Analysis for Dispersion of a Microstrip Line (Command Method)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
TDR/TDT Display of Shorted Single-Ended Uniform Transmission Line (Command Method) 		Up / Home Next
Modal Analysis for Resonant Frequencies of a Dielectric Resonator on Microstrip Substrate (Command Method)


Modal Analysis for Resonant Frequencies of a Dielectric Resonator on Microstrip Substrate (Command Method)

Problem Description

This example demonstrates how to determine the resonant frequencies of a dielectric resonator (DR) on a microstrip substrate using ANSYS commands.

A cylindrical dielectric resonator is located on the top of a microstrip substrate with metallic enclosure (D = 10 mm, h = 5 mm, εr = 36, εs = 9.6, Hs = 1 mm, H = 6 mm, R = 15 mm), as shown on the left in the figure below. Modal analysis is used to find the resonant frequencies in the structure. One quarter of the structure is used for the numerical model because of the symmetry of the fields and geometry. Since the structure is open and the fringe fields exist in the space, the metallic enclosure should be placed far enough away from the resonator in order to minimize the effect of the metallic enclosure that is necessary for modal analysis. The resonant modes can be obtained by the combination of boundary conditions on two symmetric planes, in other words, PMC-PEC, PMC-PMC or PEC-PEC. The wedge element is used for analysis as shown on the right in the figure below.

Figure 1 Geometry and FEA Model of Dielectric Resonator

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/batch,list
/title, Dielectric Resonator on Microstrip Substrate
/nopr
/prep7
! define the structure
r1=5.
r2=15
h=5.
hc=6
hs=1.
eps1=9.6
eps2=36
scal=1.e-3

! set up boundary key: _bc=0 PMC-PMC; _bc=1 PEC-PMC; _bc=2 PEC-PEC
_bc=1
! define elements and materials
et,11,200,5
et,1,120,1
mp,perx,1,1.
mp,murx,1,1.
mp,perx,2,eps1
mp,murx,2,1.
mp,perx,3,eps2
mp,murx,3,1.
! set up computational domain
hsize=r1/8
hz=h/12
_nz1=4
_nz2=nint(h/hz)+1
_nz3=nint((hc-h)/hz)+1
_c1=0
_c2=_c1+hs
_c3=_c2+h
_c4=_c3+(hc-h)
pcirc,r1,0,0,90
pcirc,r2,0,0,90
asba,2,1,,delete,keep
aglue,all
! 2d-meshing
esize,hsize
type,11
amesh,all
! 3d-meshing
mat,2
esize,,_nz1
type,1
asel,s,loc,z,0
vext,all,,,0,0,(_c2-_c1)
csys,1
asel,s,loc,z,_c2
asel,r,loc,x,0,r1
cm,_area1,area
csys,0
esize,,_nz2
mat,3
type,1
asel,s,,,_area1
vext,all,,,0,0,(_c3-_c2)
mat,1
asel,s,loc,z,_c2
asel,u,,,_area1
vext,all,,,0,0,(_c3-_c2)
asel,s,loc,z,_c3
esize,,_nz3
mat,1
vext,all,,,0,0,(_c4-_c3)
alls
asel,s,loc,z,0
aclear,all
esel,s,type,,11
edele,all
alls
nummrg,all
alls
! set up PEC boundary condition
csys,1
nsel,s,loc,x,r2
d,all,ax,0
csys,0
nsel,s,loc,z,_c1
nsel,a,loc,z,_c4
*if,_bc,eq,1,then
 nsel,a,loc,x,0
*elseif,_bc,eq,2,then
 nsel,a,loc,x,0
 nsel,a,loc,y,0
*endif
d,all,ax,0
vlscale,all,,,scal,scal,scal,,,1
fini
! perform a solution
/solu
antype,modal
modopt,lanb,2,1.e6,10.e9,,on
mxpand,,,,yes
solve
fini

Target Results

The three lowest resonant modes are TM01δ, HEM and TE01δ. The corresponding resonant frequencies are 3.98 GHz, 5.18 GHz and 5.94 GHz, respectively. The electric fields of the three lowest modes are shown in the following three figures.

Figure 2 The Electric Field of TM01δ Mode in a DR with a Metallic Enclosure

Figure 3 The Electric Field of HEM Mode in a DR with a Metallic Enclosure

Figure 4 The Electric Field of TE01δ Mode in a DR with a Metallic Enclosure

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Part VII, Advanced Wave Resonance Examples 		Up / Home Next
Modal Analysis for Dispersion of a Microstrip Line (Command Method)


Modal Analysis for Dispersion of a Microstrip Line (Command Method)

Problem Description

This example demonstrates how to determine the dispersion of a microstrip line using ANSYS commands.

Modal analysis is used to find the dispersion of the fundamental mode of the microstrip line, shown on the left in the figure below. One half of the structure is used for the numerical model because of the symmetry of the fields and geometry. The metallic enclosure should be placed far enough away from the resonator to minimize the effect of the metallic enclosure that is necessary for modal analysis. The triangular element is used for analysis as shown on the right in the figure below.

Figure 1 Geometry and FEA Model of the Microstrip Line

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/batch, list
/title, Dispersion of Isotropic Microstrip Line
/com, Freq = 1-20 GHz
/com, w=h=1.27 mm,er=8.875,X=12.7 mm,Y=12.7 mm
/nopr
/prep7
! set up structure
w=1.27e-3
h=1.27e-3
X=12.7e-3
Y=12.7e-3
er=8.875
! define elements and materials
et,1,118,1
emunit,mks
mp,murx,1,1.
mp,perx,1,1.
mp,murx,2,1.
mp,perx,2,er
! define numerical model and meshing
rect,0,w/2,0,h
rect,w/2,X/2,0,h
rect,0,w/2,h,Y
rect,w/2,X/2,h,Y
aglue,all
mshkey,0
mshape,1
mat,2
lsel,s,line,,1,3,2
lesize,all,,,4
lsel,s,line,,2,4,2
lesize,all,,,6
amesh,1
lsel,s,line,,17,18
lesize,all,,,20,2
lsel,s,line,,6
lesize,all,,,3
amesh,5
mat,1
lsel,s,line,,11
lesize,all,,,1
lsel,s,line,,19,20
lesize,all,,,25,3
amesh,6
lsel,s,line,,22
lesize,all,,,6
lsel,s,line,,21
lesize,all,,,18,2
amesh,7
lsel,all
! set up PEC
lsel,s,line,,3
lsel,a,loc,y,0,
lsel,a,loc,y,Y
lsel,a,loc,x,X/2
dl,all,,ax,0.
lsel,all
finish
! perform solution
/solu
hfpcswp,1.e9,20.e9,0.5e9,1
finish

The Target Results

The output file generated by the HFPCSWP command is listed below for the dispersion, and the electric field of the fundamental mode at 20 GHz is shown in Figure 2: "Electric field of the Fundamental Mode in the Microstrip Line at 20 GHz".

 _________________________ HFPCSWP RESULTS_____________________________

   MODE NUMBER:    1.

     FREQ (GHz)     BETA (RAD/M)
       1.0000       0.5112E+02
       1.5000       0.7683E+02
       2.0000       0.1027E+03
       2.5000       0.1288E+03
       3.0000       0.1550E+03
       3.5000       0.1815E+03
       4.0000       0.2082E+03
       4.5000       0.2352E+03
       5.0000       0.2623E+03
       5.5000       0.2896E+03
       6.0000       0.3172E+03
       6.5000       0.3449E+03
       7.0000       0.3727E+03
       7.5000       0.4008E+03
       8.0000       0.4290E+03
       8.5000       0.4573E+03
       9.0000       0.4858E+03
       9.5000       0.5144E+03
      10.0000       0.5432E+03
      10.5000       0.5721E+03
      11.0000       0.6011E+03
      11.5000       0.6303E+03
      12.0000       0.6595E+03
      12.5000       0.6889E+03
      13.0000       0.7184E+03
      13.5000       0.7480E+03
      14.0000       0.7777E+03
      14.5000       0.8075E+03
      15.0000       0.8374E+03
      15.5000       0.8673E+03
      16.0000       0.8974E+03
      16.5000       0.9275E+03
      17.0000       0.9577E+03
      17.5000       0.9880E+03
      18.0000       0.1018E+04
      18.5000       0.1049E+04
      19.0000       0.1079E+04
      19.5000       0.1110E+04
      20.0000       0.1141E+04

 ______________________________________________________________________

Figure 2 Electric field of the Fundamental Mode in the Microstrip Line at 20 GHz

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Modal Analysis for Resonant Frequencies of a Dielectric Resonator on Microstrip Substrate (Command Method) 		Up / Home Next
Part VIII, Advanced Wave Scattering Examples


Part VIII, Advanced Wave Scattering Examples

Release 11.0 Documentation for ANSYS

High-Frequency Guide |

Advanced Wave Scattering Examples

Table of Contents

Harmonic Analysis for Scattering of a Metallic Sphere Coated by Lossy Dielectric Layer (Command Method)
Harmonic Analysis for Scattering of a Dielectric Sphere (Command Method)
Harmonic Analysis for Scattering of a Metallic Cube (Command Method)
Harmonic Analysis for Scattering of a Metallic Sphere Coated by a Dielectric Layer (Command Method)
Harmonic Analysis of a Thick Bandpass Frequency Selective Surface (Command Method)
Harmonic Analysis for Scattering of a Dielectric Grating (Command Method)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Modal Analysis for Dispersion of a Microstrip Line (Command Method) 		Up / Home Next
Harmonic Analysis for Scattering of a Metallic Sphere Coated by Lossy Dielectric Layer (Command Method)


Harmonic Analysis for Scattering of a Metallic Sphere Coated by Lossy Dielectric Layer (Command Method)

Problem Description

This example demonstrates how to determine the radar cross section (RCS) of a metallic sphere coated by a lossy dielectric layer using ANSYS commands.

The radius of the metallic sphere is 0.8 cm. The relative complex permittivity of the lossy dielectric layer is εr=4-i, with thickness 0.2 cm. To calculate the normalized RCS of the lossy dielectric-coated metallic sphere, the incident plane wave is taken as -x-polarized with incident angles φ=0° and θ=180°. One half of the structure is used for the numerical model, because of the symmetry of the fields and geometry as shown in Figure 1: "FEA Model for Scattering Analysis of a Lossy Dielectric-Coated Metallic Sphere". The PML absorbing material encloses the modeled domain except on the symmetric planes. To improve the accuracy, a 3-element buffer is placed between the dielectric sphere and the equivalent source surface. Also, a 3-element buffer is placed between the equivalent source surface and the PML interface.

Figure 1 FEA Model for Scattering Analysis of a Lossy Dielectric-Coated Metallic Sphere

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/batch,list
/title, RCS from a Lossy Dielectric-coated Metallic Sphere
/com, Problem: The radius of sphere = 0.8 cm, the thickness of dielectric layer = 0.2 cm
/com,                 Incident Wave: +x polirazation with PHI =0, THETA=180 (degree) at 15 GHz
/com,
/nopr
/prep7
! frequency, material and structure dimensions
freq=15.e9
lambda=3.e8/freq
ra=8.e-3
rb=ra+2.e-3
epsr=4.
loss=1./epsr
wave1=3.e8/(sqrt(epsr)*freq)
wave2=3.e8/freq
! define the computational domain
h=wave2/15
a=rb+3*h
b=a+3*h
c=b+4*h
! define the elements and materials
et,1,HF119,1
et,2,HF119,1,,,1
mp,murx,1,1.
mp,perx,1,epsr
mp,lsst,1,loss
mp,murx,2,1.
mp,perx,2,1.
! set up numerical model
sphere,ra,rb,0,180
block,-a,a,0,a,-a,a
block,-b,b,0,b,-b,b
block,-c,c,0,c,-c,c
vsbv,4,3,,delete,keep
vsbv,3,2,,delete,keep
vsbv,2,1,,delete,keep
csys,2
vsel,s,loc,x,0,ra/2
vdel,all
alls
csys,0
vglue,all
! meshing
esize,wave1/10
type,1
mat,1
vmesh,1
esize,h
mat,2
vmesh,4,6,2
type,2
vmesh,5
alls
nummrg,all
! define equivalent source surface
nsel,s,loc,x,-a,a
nsel,r,loc,y,0,a
nsel,r,loc,z,-a,a
esln,s,1,all
nsel,s,loc,x,a
nsel,a,loc,x,-a
nsel,a,loc,y,a
nsel,a,loc,z,-a,
nsel,a,loc,z,a
sf,all,mxwf
alls
! define boundary condition
nsel,s,loc,x,c
nsel,a,loc,x,-c
nsel,a,loc,y,c
nsel,a,loc,z,-c
nsel,a,loc,z, c
d,all,ax,0.
nsel,all
csys,2
nsel,s,loc,x,ra
d,all,ax,0.
csys,0
allsel,all
! define incident plane wave
plwave,1,0,0,0,180
fini
! perform solution
/solu
hfscat,scat
eqslv,sparse
antype,harmic
harfrq,freq
solve
fini
! calculate normalized RCS
/post1
set,1,1
hfsym,11,,pmc
prhffar,rcsn,,0,0,,0,180,36,,
prhffar,rcsn,,90,90,,0,180,36,,
fini

Target Results

The contour of the scattering electric field from the lossy dielectric-coated metallic sphere is shown in Figure 2: "Scattering Electric Field Contour of the Lossy Dielectric-Coated Metallic Sphere". Figure 3: "Normalized RCS of the Lossy Dielectric-Coated Metallic Sphere on E-plane and H-plane" depicts the RCS of the dielectric-coated metallic sphere on the E-plane (φ=0°) and H-plane (φ=90°), respectively.

Figure 2 Scattering Electric Field Contour of the Lossy Dielectric-Coated Metallic Sphere

Figure 3 Normalized RCS of the Lossy Dielectric-Coated Metallic Sphere on E-plane and H-plane

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Part VIII, Advanced Wave Scattering Examples 		Up / Home Next
Harmonic Analysis for Scattering of a Dielectric Sphere (Command Method)


Harmonic Analysis for Scattering of a Dielectric Sphere (Command Method)

Problem Description

This example demonstrates how to determine the radar cross section (RCS) from the scattering of a dielectric sphere using ANSYS commands.

The relative permittivity of the dielectric sphere is εr = 2.56. To calculate the bistatic RCS of the dielectric sphere, the incident plane wave is taken as x-polarized with incident angles φ = 0° and θ = 0°. The electric size is k0a = 1 (k0 is the wave number in free space). One half of the structure is used for the numerical model, because of the symmetry of the fields and geometry, as shown in Figure 1: "FEA Model for Scattering Analysis of a Dielectric Sphere". The PML absorbing material encloses the modeled domain except on the symmetric planes. To improve the accuracy, a 4-element buffer is placed between the dielectric sphere and the equivalent source surface. Also, a 4-element buffer is placed between the equivalent source surface and the PML interface.

Figure 1 FEA Model for Scattering Analysis of a Dielectric Sphere

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/batch,list
/title, RCS of a Dielectric Sphere
/com, Problem: Calculate RCS of a Dielectric Sphere
/com, Structure: ka=1 (a - radius of sphere, k - vacuum wavenumber), er=2.56
/com, Numerical Model: 1/2 Structure
/com,                                PML enclosure except on symmetric planes
/com,                                Plane Wave: +x polarization, Phi=0 (deg), Theta=0 (deg)
/nopr
/prep7
! define structure and frequency
ra=1
freq=4.7746e7
epsr=2.56
! define computational domain
lamda1=3.e8/(sqrt(epsr)*freq)
lamda2=3.e8/freq
h1=lamda1/20
h2=lamda2/20
a=ra+4*h1
b=a+4*h2
c=b+4*h2
! define elements and materials
et,1,HF119,1
et,2,HF119,1,,,1
mp,murx,1,1.
mp,perx,1,epsr
mp,murx,2,1.
mp,perx,2,1.
! set up numerical domain
sphere,0,ra,0,180
block,-a,a,0,a,-a,a
block,-b,b,0,b,-b,b
block,-c,c,0,c,-c,c
vsbv,4,3,,dele,keep
vsbv,3,2,,dele,keep
vsbv,2,1,,dele,keep
vglue,all
! volume definition:  v1 - dielectric sphere; v5 - PML; v3, v4 - air
! meshing
esize,h1
type,1
mat,1
vmesh,1
mat,2
vmesh,3
esize,h2
vmesh,4
type,2
vmesh,5
! define equivalent source surface
nsel,s,loc,x,-a,a
nsel,r,loc,y,0,a
nsel,r,loc,z,-a,a
esln,s,1,all
nsel,s,loc,x,a
nsel,a,loc,x,-a
nsel,a,loc,y,a
nsel,a,loc,z,-a
nsel,a,loc,z,a
sf,all,mxwf
nsel,all
esel,all
! define PEC boundary condition
nsel,s,loc,x,c
nsel,a,loc,x,-c
nsel,a,loc,y,c
nsel,a,loc,z,-c
nsel,a,loc,z, c
d,all,ax,0.
nsel,all
alls
! incident plane wave
plwave,1,0,0,0,0
fini
! perform solution
/solu
hfscat,scat
eqslv,sparse
antype,harmic
harfrq,freq
solve
fini
! RCS calculation
/post1
set,1,1
! set up image symmetric plane
hfsym,,,pmc
prhffar,rcs,,0,90,1,0,180,36
fini

Target Results

Figure 2: "RCS of the Dielectric Sphere" depicts the RCS of the dielectric sphere on E-plane (φ=0°) (black line) and H-plane (φ=90°) (gray line). The contour of the scattering electric field is shown in Figure 3: "Contour of the Scattering Electric Field from a Dielectric Sphere".

Figure 2 RCS of the Dielectric Sphere

Figure 3 Contour of the Scattering Electric Field from a Dielectric Sphere

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Harmonic Analysis for Scattering of a Metallic Sphere Coated by Lossy Dielectric Layer (Command Method) 		Up / Home Next
Harmonic Analysis for Scattering of a Metallic Cube (Command Method)


Harmonic Analysis for Scattering of a Metallic Cube (Command Method)

Problem Description

This example demonstrates how to determine the radar cross section (RCS) of a metallic cube using ANSYS commands.

The edge lengths of the metallic cube are 0.755 wavelength. To calculate the bistatic RCS of the metallic cube, the incident plane wave is taken as x-polarized with incident angles φ=90° and θ=0°. One half of the structure is used for the numerical model, because of the symmetry of the fields and geometry. The PML absorbing material encloses the modeled domain except on the symmetric planes. To improve the accuracy, a 4-element buffer is placed between the metallic cube and the equivalent source surface. Also, a 4-element buffer is placed between the equivalent source surface and the interface of 6-layer PML.

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/batch,list
/title, RCS of Metallic Cube (0.755x0.755x0.755 wavelength**3)
/com, Incident Wave: +X polirazation with PHI = 90 (deg), THETA = 180 (deg)
/nopr
/prep7
! structure dimensions
freq=300e6
wavel=3.e8/freq
a=0.755*wavel
b=a
! define elements and material
et,11,200,7
et,1,120,1
et,2,120,1,,,1
mp,murx,1,1.
mp,perx,1,1.
! define mesh size
h=wavel/14
_n1=4
_n2=4
_npml=6
! set up computational domain
*dim,_a,array,5
*dim,_b,array,9
_a(1)=0
_a(2)=_a(1)+a/2
_a(3)=_a(2)+_n1*h
_a(4)=_a(3)+_n2*h
_a(5)=_a(4)+_npml*h
_b(5)=0
_b(6)=_b(5)+b/2
_b(7)=_b(6)+_n1*h
_b(8)=_b(7)+_n2*h
_b(9)=_b(8)+_npml*h
_b(4)=_b(5)-b/2
_b(3)=_b(4)-_n1*h
_b(2)=_b(3)-_n2*h
_b(1)=_b(2)-_npml*h
_c4=-a/2
_c5=_c4+a
_c6=_c5+_n1*h
_c7=_c6+_n2*h
_c8=_c7+_npml*h
_c3=_c4-_n1*h
_c2=_c3-_n2*h
_c1=_c2-_npml*h
_nz=nint((_c5-_c4)/h)+1
*do,_i,1,4
 *do,_j,1,8
  rect,_b(_j),_b(_j+1),_a(_i),_a(_i+1)
 *enddo
*enddo
aglue,all
asel,all
agen,2,all,,,,,-a/2
asel,s,loc,z,_c4
asel,r,loc,y,_a(1),_a(2)
asel,r,loc,x,_b(4),_b(6)
cm,_soli,area
asel,s,loc,z,_c4
asel,u,,,_soli
cm,_air,area
asel,all
lsel,s,loc,y,(_a(1)+_a(2))/2
lsel,a,loc,x,(_b(4)+_b(5))/2
lsel,a,loc,x,(_b(5)+_b(6))/2
cm,_lxy,line
lesize,_lxy,h
lsel,all
lsel,u,,,_lxy
cm,_lair,line
lesize,_lair,h
type,11
asel,s,loc,z,_c4
amesh,all
asel,s,area,,_soli
agen,2,all,,,,,(_c5-_c4)
esize,,_nz
type,1
mat,1
asel,s,area,,_air
vext,all,,,0,0,(_c5-_c4)
esize,,_n1
asel,s,loc,z,_c5
vext,all,,,0,0,(_c6-_c5)
asel,s,loc,z,_c4
vext,all,,,0,0,-(_c4-_c3)
esize,,_n2
asel,s,loc,z,_c6
vext,all,,,0,0,(_c7-_c6)
asel,s,loc,z,_c3
vext,all,,,0,0,-(_c3-_c2)
type,2
esize,,_npml
asel,s,loc,z,_c7
vext,all,,,0,0,(_c8-_c7)
asel,s,loc,z,_c2
vext,all,,,0,0,-(_c2-_c1)
asel,s,loc,z,_c4
asel,a,loc,z,_c5
aclear,all
esel,s,type,,11
edel,all
alls
nsel,s,loc,y,_a(1),_a(4)
nsel,r,loc,x,_b(2),_b(8)
nsel,r,loc,z,_c2,_c8
cm,_inte,node
nsel,s,loc,z,_c2,_c7
nsel,u,,,_inte
esln,s,1
emodif,all,type,2
alls
nummrg,all
! define equivalent source surface
nsel,s,loc,x,_b(3),_b(7)
nsel,r,loc,y,_a(1),_a(3)
nsel,r,loc,z,_c3,_c6
esln,s,1,all
nsel,s,loc,x,_b(3)
nsel,a,loc,x,_b(7)
nsel,a,loc,y,_a(3)
nsel,a,loc,z,_c3
nsel,a,loc,z,_c6
sf,all,mxwf
nsel,all
esel,all
! define boundary condition
nsel,s,loc,x,_b(1)
nsel,a,loc,x,_b(9)
nsel,a,loc,y,_a(5)
nsel,a,loc,z,_c1
nsel,a,loc,z,_c8
d,all,ax,0.
nsel,s,loc,x,_b(4),_b(6)
nsel,r,loc,y,_a(1),_a(2)
nsel,r,loc,z,_c4,_c5
d,all,ax,0.
allsel,all
! incident plane wave
plwave,1,0,0,90,0
fini
! perform solution
/solu
hfscat,scat
eqslv,sparse
antype,harmic
harfrq,freq
solve
fini
! calculate RCS
/post1
set,1,1
hfsym,,,pmc
prhffar,rcsn,,0,0,,0,180,36
prhffar,rcsn,,90,90,,0,180,36
fini

Target Results

The contour of the scattering electric field from the metallic cube is shown in Figure 1: "Scattering Electric Field Contour from the Metallic Cube". Figure 2: "Normalized RCS of the Metallic Cube on E-Plane and H-Plane" depicts the RCS of the metallic cube on E-plane (φ=0°) and H-plane (φ=90°), respectively.

Figure 1 Scattering Electric Field Contour from the Metallic Cube

Figure 2 Normalized RCS of the Metallic Cube on E-Plane and H-Plane

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Harmonic Analysis for Scattering of a Dielectric Sphere (Command Method) 		Up / Home Next
Harmonic Analysis for Scattering of a Metallic Sphere Coated by a Dielectric Layer (Command Method)


Harmonic Analysis for Scattering of a Metallic Sphere Coated by a Dielectric Layer (Command Method)

Problem Description

This example demonstrates how to determine the radar cross section (RCS) of a metallic sphere coated by a dielectric layer using ANSYS commands.

The radius of the metallic sphere is 0.333 wavelength. The relative permittivity of the dielectric layer is εr = 4 with thickness 0.067 wave length. To calculate the bistatic RCS of the dielectric-coated dielectric sphere, the incident plane wave is taken as - x-polarized with incident angles φ = 0° and θ = 0°. One half of the structure is used for the numerical model, because of the symmetry of the fields and geometry as shown in Figure 1: "FEA Model for Scattering Analysis of a Dielectric-Coated Metallic Sphere". The PML absorbing material encloses the modeled domain except on the symmetric planes. To improve the accuracy, a 4-element buffer is placed between the dielectric-coated metallic sphere and the equivalent source surface. Also, a 3-element buffer is placed between the equivalent source surface and the PML interface.

Figure 1 FEA Model for Scattering Analysis of a Dielectric-Coated Metallic Sphere

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/batch,list
/title, RCS of a Dielectric-coated Metallic Sphere
/com, Problem: A metallic sphere (radiu=0.333 wavelength) coated by dielectric layer
/com,                (thickness=0.067 wavelength, Er=4)
/com,                Incident Wave: -x polirazation with PHI = 0 (degree), THETA = 0 (degree)
/nopr
/prep7
! problem dimensions and set-up
freq=300e6
lambda=3.e8/freq
epsr=4
wave1= lambda /sqrt(epsr)
wave2=lambda
h1=wave1/16
h2=wave2/16
ra=0.333*lambda
s=0.067*lambda
rb=ra+s
a=rb+4*h2
b=a+3*h2
c=b+4*h2
! --- define elements and materials ---
et,1,HF119,1
et,2,HF119,1,,,1
mp,murx,1,1.
mp,perx,1,epsr
mp,murx,2,1.
mp,perx,2,1.
! --- set up the geometry ---
sphere,ra,rb,0,180
sphere,rb,a,0,180
vsel,all
cm,vequi,volu
block,-b,b,0,b,-b,b
block,-c,c,0,c,-c,c
vsbv,4,3,,delete,keep
vsbv,3,vequi,,delete,keep
csys,2
vsel,s,loc,x,0,ra/2
vdel,all
alls
csys,0
vglue,all
! --- meshing ---
csys,0
smrtsize,4
! meshing
esize,h1
type,1
mat,1
vmesh,1
mat,2
esize,h2
vmesh,3
esize,h2
vmesh,6
! --- PML element ---
type,2
vmesh,5
alls
nummrg,all
! define equivalent source surface
csys,2
nsel,s,loc,x,0,a
esln,s,1,all
nsel,s,loc,x,a
sf,all,mxwf
alls
! define boundary condition
csys,0
nsel,s,loc,x,c
nsel,a,loc,x,-c
nsel,a,loc,y,c
nsel,a,loc,z,-c
nsel,a,loc,z,c
d,all,ax,0.
nsel,all
csys,2
nsel,s,loc,x,ra
d,all,ax,0.
csys,0
allsel,all
! incident plane wave
plwave,-1,0,0,0,0
fini
/solu
hfscat,scat
eqslv,sparse
antype,harmic
harfrq,freq
solve
fini
/post1
set,1,1
hfsym,,,pmc
prhffar,rcsn,,0,0,,0,180,36,,
fini

Target Results

The contour of the scattering electric field from the dielectric-coated metallic sphere is shown in Figure 2: "Scattering Electric Field Contour of The Dielectric-Coated Metallic Sphere". Figure 3: "Normalized RCS of the Dielectric-Coated Metallic Sphere on E-Plane" depicts the RCS of the dielectric-coated metallic sphere on the E-plane (φ=0°).

Figure 2 Scattering Electric Field Contour of The Dielectric-Coated Metallic Sphere

Figure 3 Normalized RCS of the Dielectric-Coated Metallic Sphere on E-Plane

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Harmonic Analysis for Scattering of a Metallic Cube (Command Method) 		Up / Home Next
Harmonic Analysis of a Thick Bandpass Frequency Selective Surface (Command Method)


Harmonic Analysis of a Thick Bandpass Frequency Selective Surface (Command Method)

Problem Description

This example demonstrates how to determine the power transmission coefficient for a thick bandpass frequency selective surface using ANSYS commands. The frequency selective surface is a thick perfectly conducting screen perforated with a periodic array of annular apertures. The conducting screen is 0.1 cm thick. The outer radius of the annular slot is 0.45 cm. The inner radius is 0.40 cm. A square grid is selected with a periodic spacing of 1 cm.

The FEA model is shown in Figure 1: "Unit Cell". Perfect electric conductor boundary conditions are applied to the aperture and PML wall. The calculations are performed at normal incidence and a frequency of 10 GHz.

Figure 1 Unit Cell

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/batch,list
/com,Thick Annular-Slot Band-pass FSS
/com
/nopr
/prep7
_frq=10e9			! working frequency
lamda=3.e8/_frq
scal=1.e-2
phi=0				! incident phi angle
! define element and geometry
theta=0				! incident theta angle
et,1,119,1			! normal element
et,2,119,1,,,1                          	! PML element
mp,murx,1,1.
mp,perx,1,1.
x0=scal*0.5
y0=scal*0.5
rb=scal*0.45
ra=rb/1.125
plate_h=scal*0.1
cyl4,0,0,ra,0,rb,360,plate_h
h1=lamda/15
h2=0.3*h1
_n1=6
_n2=4
_npml=6
*dim,_c,array,10
_c(4)=0
_c(3)=_c(4)-0.05*lamda
_c(2)=_c(3)-0.25*lamda
_c(1)=_c(2)-_npml*h1
_c(5)=_c(4)+plate_h
_c(6)=_c(5)+0.05*lamda
_c(7)=_c(6)+0.25*lamda
_c(8)=_c(7)+0.25*lamda
_c(9)=_c(8)+_npml*h1
*do,_i,5,8
 block,-x0,x0,-y0,y0,_c(_i),_c(_i+1)
*enddo
*do,_i,4,2,-1
 block,-x0,x0,-y0,y0,_c(_i),_c(_i-1)
*enddo
alls
vglue,all
numcmp,all
/number,1
! meshing master surfaces and copy mesh to slave surfaces
et,3,200,5
type,3
esize,h2
asel,s,loc,x,-x0
asel,a,loc,y,-y0
asel,r,loc,z,_c(3),_c(6)
amesh,all
esize,h1
asel,s,loc,x,-x0
asel,a,loc,y,-y0
asel,u,loc,z,_c(3),_c(6)
amesh,all
alls
asel,s,loc,x,-x0
agen,2,all,,,2*x0
asel,s,loc,y,-y0
agen,2,all,,,0,2*y0
alls
nummrg,all
! meshing volumes
type,1
esize,h2
vsel,s,loc,z,_c(3),_c(6)
vmesh,all
esize,h1
vsel,s,loc,z,_c(2),_c(3)
vsel,a,loc,z,_c(6),_c(8)
vmesh,all
! create PML element
type,2
esize,h1
vsel,s,loc,z,_c(1),_c(2)
vsel,a,loc,z,_c(8),_c(9)
vmesh,all
alls
aclear,all
etdel,3
alls
! coupling master/slave nodes
nsel,s,loc,x,-x0
nsel,a,loc,x,x0
cpcyc,ax,,,2*x0,0,0,1
nsel,s,loc,y,-y0
nsel,a,loc,y,y0
cpcyc,ax,,,0,2*y0,0,1
alls
! set up PEC on aperture and PML wall
nsel,s,loc,z,_c(1)
nsel,a,loc,z,_c(9)
d,all,ax,0
csys,1
nsel,s,loc,z,_c(4)
nsel,a,loc,z,_c(5)
nsel,u,loc,x,ra,rb
d,all,ax,0
nsel,s,loc,x,ra
nsel,a,loc,x,rb
nsel,r,loc,z,_c(4),_c(5)
d,all,ax,0
alls
csys,0
! port definitions
nsel,s,loc,z,_c(7)
bf,all,port,1
hfport,1,PLAN,,,SOFT,0.,1.,0.,phi,theta
alls
save
fini
! perform a solution
/solu
eqslv,sparse
antype,harmic
harfrq,_frq
solve
fini
! calculate power transmission coefficient
/post1
fssparm
fini

Target Results

A 0.50 power transmission coefficient is calculated for 10 GHz. The mode matching method presented in the paper “Bandpass Grids with Annular Apertures” by Ann Roberts and Ross C. McPhedran, IEEE Transactions on Antennas and Propagation, Vol. 36, No. 5., May 1988, pp. 607–611 gives a value of 0.47.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Harmonic Analysis for Scattering of a Metallic Sphere Coated by a Dielectric Layer (Command Method) 		Up / Home Next
Harmonic Analysis for Scattering of a Dielectric Grating (Command Method)


Harmonic Analysis for Scattering of a Dielectric Grating (Command Method)

Problem Description

This example demonstrates how to determine scattering of a dielectric grating using ANSYS commands.

The dielectric grating has the dimensions and material properties shown in the following figure. Period D = 11.28 mm, thickness h = 4.37 mm, l1 = l2 = 5.64 mm. The relative permittivities are: ε1 = 6.13 (E-glass) and ε2 = 3.7 (silica)

The oblique incident wave is a transverse electric polarization (TE) wave, E = Eox, with incident angles φ = 90o and θ = 5o. A unit cell is under investigation. PML absorbing elements are used to truncate the model in the z direction.

Figure 1 Dielectric Grating

Commands This Example Uses

Below is the command input stream used to perform this analysis. All text preceded by an exclamation point (!) is a comment.

/batch,list
/nopr
/prep7
! define structure and numerical model
frq=15.5e9                      ! central frequency
lamda=3.e8/frq
theta=5                         ! incident theta angle
phi=90                          ! incident phi angle
D=11.28e-3                      ! grating period
h=4.37e-3                       ! grating thickness
_xd=D/4
zpml=lamda/4                    ! thickness of PML layer
zprt=lamda/2                    ! distance between port and PML
eps1=6.13                       ! E-glass (relat. permit.)
eps2=3.7                        ! silica  (relat. permit.)
h_grt=lamda/(12*sqrt(eps1))     ! mesh size
! define element and materials
et,1,120,1                      ! normal element
et,2,120,1,,,1                  ! PML element
et,3,200,7                      ! temp. surface mesh

mp,murx,2,1.                    ! E-glass
mp,perx,2,eps1
mp,murx,1,1.                    ! silica
mp,perx,1,eps2
mp,murx,3,1.                    ! air
mp,perx,3,1.
!  generate volumes for numerical model
*dim,_z,array,7
*dim,_y,array,4
_z(4)=0
_z(3)=_z(4)-h
_z(2)=_z(3)-lamda/4
_z(1)=_z(2)-zpml
_z(5)=_z(4)+zprt
_z(6)=_z(5)+lamda/4
_z(7)=_z(6)+zpml
_y(1)=-D/2
_y(2)=_y(1)+D/4
_y(3)=_y(2)+D/2
_y(4)=_y(3)+D/4
*do,_i,1,6
 *do,_j,1,3
  block,-_xd,_xd,_y(_j),_y(_j+1),_z(_i),_z(_i+1)
 *enddo
*enddo
vglue,all
numcmp,all
alls
! mesh master surfaces
type,3
esize,h_grt
asel,s,loc,x,-_xd
asel,a,loc,y,_y(1)
asel,u,loc,z,_z(2),_z(6)
amesh,all
asel,s,loc,x,-_xd
asel,a,loc,y,_y(1)
asel,r,loc,z,_z(3),_z(4)
amesh,all
asel,s,loc,x,-_xd
asel,a,loc,y,_y(1)
asel,u,loc,z,_z(1),_z(2)
asel,u,loc,z,_z(3),_z(4)
asel,u,loc,z,_z(6),_z(7)
amesh,all
alls
! copy mesh to slave surfaces
asel,s,loc,x,-_xd
agen,2,all,,,2*_xd
asel,s,loc,y,-D/2
agen,2,all,,,0,D
alls
nummrg,all
! mesh the volumes
type,1
mat,1
esize,h_grt
vsel,s,loc,z,_z(3),_z(4)
vsel,u,loc,y,_y(2),_y(3)
vmesh,all
mat,2
vsel,s,loc,z,_z(3),_z(4)
vsel,r,loc,y,_y(2),_y(3)
vmesh,all
mat,3
esize,h_grt
vsel,s,loc,z,_z(2),_z(3)
vsel,a,loc,z,_z(4),_z(6)
vmesh,all
! PML meshes
type,2
mat,3
esize,h_grt
vsel,s,loc,z,_z(1),_z(2)
vsel,a,loc,z,_z(6),_z(7)
vmesh,all
alls
! delete surface mesh
aclear,all
alls
! coupling master/slave nodes
nsel,s,loc,x,-_xd
nsel,a,loc,x,_xd
cpcyc,ax,,,2*_xd,0,0,1
nsel,s,loc,y,-D/2
nsel,a,loc,y,D/2
cpcyc,ax,,,0,D,0,1
alls
! define ports
nsel,s,loc,z,_z(5)
bf,all,port,1
hfport,1,PLAN,,,SOFT,1.,0.,0.,phi,theta
alls
! set up PEC
nsel,s,loc,z,_z(1)
nsel,a,loc,z,_z(7)
d,all,ax,0.0
alls
fini
! perform the solution
/solu
spswp,12.5e9,17.5e9,0.25e9,1,,2,0
fini
! postprocessing
/post1
/yrange,0,1
plsyz,file,s1p,s,mag,1,1
fini

Target Results

The following figure depicts the magnitude of the reflection coefficient |S11| from 12.5 to 17.5 GHz.

Note

Reflectance is equal to the power reflection coefficient and the square of the reflection coefficient.

Figure 2 Reflection Coefficient of Dielectric Grating

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Harmonic Analysis of a Thick Bandpass Frequency Selective Surface (Command Method) 		Up / Home Next
Coupled-Field Analysis Guide


Coupled-Field Analysis Guide

Release 11.0 Documentation for ANSYS

Table of Contents

1. Coupled-Field Analyses
1.1. Types of Coupled-Field Analysis
1.1.1. Direct Method
1.1.2. Load Transfer Methods
1.1.3. When to Use Direct vs. Load Transfer
1.1.4. Additional Analysis Methods
1.2. System of Units
1.3. About GUI Paths and Command Syntax
2. Direct Coupled-Field Analysis
2.1. Lumped Electric Elements
2.2. Thermal-Electric Analysis
2.2.1. Elements Used in a Thermal-Electric Analysis
2.2.2. Performing a Thermal-Electric Analysis
2.3. Piezoelectric Analysis
2.3.1. Points to Remember
2.3.2. Material Properties
2.4. Electroelastic Analysis
2.4.1. Elements Used in an Electroelastic Analysis
2.4.2. Performing an Electroelastic Analysis
2.5. Piezoresistive Analysis
2.5.1. Points to Remember
2.5.2. Material Properties
2.6. Structural-Thermal Analysis
2.6.1. Elements Used in a Structural-Thermal Analysis
2.6.2. Performing a Structural-Thermal Analysis
2.7. Structural-Thermal-Electric Analyses
2.7.1. Structural-Thermoelectric Analysis
2.7.2. Thermal-Piezoelectric Analysis
2.8. Magneto-Structural Analysis
2.8.1. Points to Remember
2.9. Electromechanical Analysis
2.9.1. The 1-D Transducer Element
2.9.2. The 2-D Transducer Element
2.10. Sample Thermoelectric Cooler Analysis (Batch or Command Method)
2.10.1. Problem Description
2.10.2. Expected Results
2.10.3. Command Listing
2.11. Sample Thermoelectric Generator Analysis (Batch or Command Method)
2.11.1. Problem Description
2.11.2. Expected Results
2.11.3. Command Listing
2.12. Sample Structural-Thermal Harmonic Analysis (Batch or Command Method)
2.12.1. Problem Description
2.12.2. Expected Results
2.12.3. Command Listing
2.13. Sample Electro-Thermal Microactuator Analysis (Batch or Command Method)
2.13.1. Problem Description
2.13.2. Results
2.13.3. Command Listing
2.14. Sample Piezoelectric Analysis (Batch or Command Method)
2.14.1. Problem Description
2.14.2. Problem Specifications
2.14.3. Results
2.14.4. Command Listing
2.15. Sample Piezoelectric Analysis with Coriolis Effect (Batch or Command Method)
2.15.1. Problem Description
2.15.2. Problem Specifications
2.15.3. Results
2.15.4. Command Listing
2.16. Sample Electroelastic Analysis of a Dielectric Elastomer (Batch or Command Method)
2.16.1. Problem Description
2.16.2. Problem Specifications
2.16.3. Results
2.16.4. Command Listing
2.17. Sample Electroelastic Analysis of a MEMS Switch (Batch or Command Method)
2.17.1. Problem Description
2.17.2. Problem Specifications
2.17.3. Results
2.17.4. Command Listing
2.18. Sample Piezoresistive Analysis (Batch or Command Method)
2.18.1. Problem Description
2.18.2. Problem Specification
2.18.3. Results
2.18.4. Command Listing
2.19. Sample Electromechanical Analysis (Batch or Command Method)
2.19.1. Problem Description
2.19.2. Expected Results
2.19.3. Building and Solving the Model
2.20. Sample Electromechanical Transient Analysis (Batch or Command Method)
2.20.1. Results
2.20.2. Command Listing
2.21. Sample Electromechanical Hysteresis Analysis (Batch or Command Method)
2.21.1. Problem Specifications
2.21.2. Results
2.21.3. Command Listing
2.22. Sample Electromechanical Comb Finger Analysis (Batch or Command Method)
2.22.1. Problem Specifications
2.22.2. Results
2.22.3. Command Listing
2.23. Sample Force Calculation of Two Opposite Electrodes (Batch or Command Method)
2.23.1. Problem Specifications
2.23.2. Results
2.23.3. Command Listing
2.24. Where to Find Other Examples
3. The ANSYS Multi-field (TM) Solver - MFS Single-Code Coupling
3.1. The ANSYS Multi-field solver and Solution Algorithm
3.1.1. Load Transfer
3.1.2. Mapping
3.1.3. Coupled Field Loads
3.1.4. Elements Supported
3.1.5. Solution Algorithm
3.2. ANSYS Multi-field solver Solution Procedure
3.2.1. Set up Field Models
3.2.2. Flag Field Interface Conditions
3.2.3. Set up Field Solutions
3.2.4. Obtain the solution
3.2.5. Postprocess the Results
3.3. Sample Thermal-Stress Analysis of a Thick-walled Cylinder (Batch or Command Method)
3.3.1. Problem Description
3.3.2. Results
3.3.3. Command Listing
3.4. Sample Electrostatic Actuated Beam Analysis (Batch or Command Method)
3.4.1. Problem Description
3.4.2. Results
3.4.3. Command Listing
3.5. Sample Induction-Heating Analysis of a Circular Billet
3.5.1. Problem Description
3.5.2. Results
3.5.3. Command Listing
4. Multi-field Analysis Using Code Coupling
4.1. How MFX Works
4.1.1. Synchronization Points and Load Transfer
4.1.2. Load Interpolation
4.1.3. Elements and Load Types Supported
4.1.4. Solution Process
4.2. MFX Solution Procedure
4.2.1. Set Up ANSYS and CFX Models
4.2.2. Flag Field Interface Conditions
4.2.3. Set Up Master Input
4.2.4. Obtain the Solution
4.2.5. Multi-field Commands
4.2.6. Postprocess the Results
4.3. Starting and Stopping an MFX Analysis
4.3.1. Starting an MFX Analysis via the Launcher
4.3.2. Starting an MFX Analysis via the Command Line
4.3.3. Stopping an MFX Run Manually
4.4. Example Simulation of a Piezoelectric Actuated Micro-Pump
5. Load Transfer Coupled Physics Analysis
5.1. What Is a Physics Environment?
5.2. General Analysis Procedures
5.3. Transferring Loads Between Physics
5.3.1. Compatible Element Types
5.3.2. Types of Results Files You May Use
5.3.3. Transient Fluid-Structural Analyses
5.4. Performing a Load Transfer Coupled Physics Analysis with Multiple Physics Environments
5.4.1. Mesh Updating
5.4.2. Restarting an Analysis Using Multiple Physics Environments
5.5. Example Thermal-Stress Analysis Using Separate Databases
5.5.1. The Problem Described
5.6. Example Thermal-Stress Analysis Using Multiple Physics Environments
5.7. Example Fluid-Structural Analysis Using Physics Environments
5.7.1. The Problem Described
5.7.2. The Procedure
5.7.3. Results
5.8. Example Induction-heating Analysis Using Physics Environments
5.8.1. The Problem Described
5.8.2. The Procedure
6. Unidirectional Load Transfer
6.1. The Unidirectional Load Transfer Method: ANSYS to CFX
6.2. Sample Unidirectional Load Transfer Analysis: ANSYS to CFX
6.2.1. ANSYS Command Listings
6.2.2. CFX Procedure
6.3. The Unidirectional Load Transfer Method: CFX to ANSYS
7. Coupled Physics Circuit Simulation
7.1. Electromagnetic-Circuit Simulation
7.1.1. 2-D Circuit Coupled Stranded Coil
7.1.2. 2-D Circuit Coupled Massive Conductor
7.1.3. 3-D Circuit Coupled Stranded Coil
7.1.4. 3-D Circuit Coupled Massive Conductor
7.1.5. 3-D Circuit Coupled Solid Source Conductor
7.1.6. Taking Advantage of Symmetry
7.1.7. Series Connected Conductors
7.2. Electromechanical-Circuit Simulation
7.3. Piezoelectric-Circuit Simulation
7.4. Sample Electromechanical-Circuit Analysis
7.4.1. Problem Description
7.4.2. Results
7.4.3. Command Listing
7.5. Sample Piezoelectric-Circuit Analysis (Batch or Command Method)
7.5.1. Problem Description
7.5.2. Problem Specifications
7.5.3. Equivalent Electric Circuits (Reduced Order Model)
7.5.4. Results
7.5.5. Command Listing
8. Reduced Order Modeling
8.1. Model Preparation
8.1.1. Build the Solid Model
8.1.2. Mesh the Model
8.1.3. Create Structural Physics File
8.1.4. Create Electrostatic Physics File
8.1.5. Save Model Database
8.2. Generation Pass
8.2.1. Specify Generation Pass Jobname
8.2.2. Assign ROM Features
8.2.3. Assign Names for Conductor Pairs
8.2.4. Specify ROM Master Nodes
8.2.5. Run Static Analysis for Test Load and Extract Neutral Plane Displacements
8.2.6. Run Static Analysis for Element Loads and Extract Neutral Plane Displacements
8.2.7. Perform Modal Analysis and Extract Neutral Plane Eigenvectors
8.2.8. Select Modes for ROM
8.2.9. Modify Modes for ROM
8.2.10. List Mode Specifications
8.2.11. Save ROM Database
8.2.12. Run Sample Point Generation
8.2.13. Specify Polynomial Order
8.2.14. Define ROM Response Surface
8.2.15. Perform Fitting Procedure
8.2.16. Plot Response Surface
8.2.17. List Status of Response Surface
8.2.18. Export ROM Model to External System Simulator
8.3. Use Pass
8.3.1. Clear Database
8.3.2. Define a Jobname
8.3.3. Resume ROM Database
8.3.4. Define Element Type
8.3.5. Define Nodes
8.3.6. Activate ROM Database
8.3.7. Define Node Connectivity
8.3.8. Define Other Model Entities
8.3.9. Using Gap Elements with ROM144
8.3.10. Apply Loads
8.3.11. Specify Solution Options
8.3.12. Run ROM Use Pass
8.3.13. Review Results
8.4. Expansion Pass
8.4.1. Clear Database
8.4.2. Define a Jobname
8.4.3. Resume ROM
8.4.4. Resume Model Database
8.4.5. Activate ROM Database
8.4.6. Perform Expansion Pass
8.4.7. Review Results
8.5. Sample Miniature Clamped-Clamped Beam Analysis (Batch or Command Method)
8.5.1. Problem Description
8.5.2. Program Listings
8.6. Sample Micro Mirror Analysis (Batch or Command Method)
8.6.1. Problem Description
8.6.2. Program Listings

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Harmonic Analysis for Scattering of a Dielectric Grating (Command Method) 		Up / Home Next
Chapter 1. Coupled-Field Analyses


Chapter 1. Coupled-Field Analyses

A coupled-field analysis is a combination of analyses from different engineering disciplines (physics fields) that interact to solve a global engineering problem, hence, we often refer to a coupled-field analysis as a multiphysics analysis. When the input of one field analysis depends on the results from another analysis, the analyses are coupled.

Some analyses can have one-way coupling. For example, in a thermal stress problem, the temperature field introduces thermal strains in the structural field, but the structural strains generally do not affect the temperature distribution. Thus, there is no need to iterate between the two field solutions. More complicated cases involve two-way coupling. A piezoelectric analysis, for example, handles the interaction between the structural and electric fields: it solves for the voltage distribution due to applied displacements, or vice versa. In a fluid-structure interaction problem, the fluid pressure causes the structure to deform, which in turn causes the fluid solution to change. This problem requires iterations between the two physics fields for convergence.

The coupling between the fields can be accomplished by either direct or load transfer coupling. Coupling across fields can be complicated because different fields may be solving for different types of analyses during a simulation. For example, in an induction heating problem, a harmonic electromagnetic analysis calculates Joule heating, which is used in a transient thermal analysis to predict a time-dependent temperature solution. The induction heating problem is complicated further by the fact that the material properties in both physics simulations depend highly on temperature.

Some of the applications in which coupled-field analysis may be required are pressure vessels (thermal-stress analysis), fluid flow constrictions (fluid-structure analysis), induction heating (magnetic-thermal analysis), ultrasonic transducers (piezoelectric analysis), magnetic forming (magneto-structural analysis), and micro-electromechanical systems (MEMS).

The following coupled-field analysis topics are available:

  • Types of Coupled-Field Analysis
  • System of Units
  • About GUI Paths and Command Syntax

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Coupled-Field Analysis Guide 		Up / Home Next
1.1. Types of Coupled-Field Analysis


1.1. Types of Coupled-Field Analysis

The procedure for a coupled-field analysis depends on which fields are being coupled, but two distinct methods can be identified: load transfer and direct. These methods are described briefly below, and in the following chapters in detail:

  • "Direct Coupled-Field Analysis"

  • Load Transfer Methods

    • "The ANSYS Multi-field (TM) Solver - MFS Single-Code Coupling"

    • "Multi-field Analysis Using Code Coupling"

    • "Load Transfer Coupled Physics Analysis"

    • "Unidirectional Load Transfer"

ANSYS also offers the following additional coupled-field methods:

  • "Coupled Physics Circuit Simulation"

  • "Reduced Order Modeling"

1.1.1. Direct Method

The direct method usually involves just one analysis that uses a coupled-field element type containing all necessary degrees of freedom. Coupling is handled by calculating element matrices or element load vectors that contain all necessary terms. An example of a direct method coupled-field analysis is a piezoelectric analysis using the PLANE223, SOLID226, or SOLID227 elements. Another example is MEMS analysis with the TRANS126 element.

A FLOTRAN analysis using the FLOTRAN elements is another direct method. Refer to the Fluids Analysis Guide for detailed procedures for a FLOTRAN analysis.

1.1.2. Load Transfer Methods

The load transfer methods involve two or more analyses, each belonging to a different field. You couple the two fields by applying results from one analysis as loads in another analysis. There are different types of load transfer analyses, explained in the following sections.

1.1.2.1. Load Transfer Coupled Analysis - ANSYS Multi-field solver

The ANSYS Multi-field solver, available for a large class of coupled analysis problems, is an automated tool for solving load transfer coupled field problems. It supersedes the physics file-based procedure and provides a robust, accurate, and easy to use tool for solving load transfer coupled physics problems. Each physics is created as a field with an independent solid model and mesh. Surfaces or volumes are identified for coupled load transfer. A multi-field solver command set configures the problem and defines the solution sequencing. Coupled loads are automatically transferred across dissimilar meshes by the solver. The solver is applicable to static, harmonic, and transient analysis, depending on the physics requirements. Any number of fields may be solved in a sequential (or mixed sequential-simultaneous) manner.

Two versions of the ANSYS Multi-field solver, designed for different applications, offer their own benefits and different procedures:

  • MFS - Single code: The basic ANSYS Multi-field solver used if the simulation involves small models with all physics field contained within a single product executable (e.g., ANSYS Multiphysics). The MFS - Single code solver uses iterative coupling where each physics is solved sequentially, and each matrix equation is solved separately. The solver iterates between each physics field until loads transferred across the physics interfaces converge.

  • MFX - Multiple code: The enhanced ANSYS Multi-field solver used for simulations with physics fields distributed between more than one product executable (e.g., between ANSYS Multiphysics and ANSYS CFX). The MFX solver can accommodate much larger models than the MFS version. The MFX - Multiple code solver uses iterative coupling where each physics is solved either simultaneously or sequentially, and each matrix equation is solved separately. The solver iterates between each physics field until loads transferred across the physics interfaces converge.

See "Multi-field Analysis Using Code Coupling" for detailed procedures.

1.1.2.2. Load Transfer Coupled Analysis - Physics File

With a physics file-based load transfer, you must explicitly transfer loads using the physics environment. An example of this type of analysis is a sequential thermal-stress analysis where nodal temperatures from the thermal analysis are applied as "body force" loads in the subsequent stress analysis. The physics analysis is based on a single finite element mesh across physics. You create physics files that define the physics environment; these files configure the database and prepare the single mesh for a given physics simulation. The general process is to read in the first physics file and solve. Then read in the next physics field, specify the loads to be transferred, and solve the second physics. Use the LDREAD command to link the different physics environments and apply the specified results data from the first physics environment as loads for the next environment's solution across a node-node similar mesh interface. You can also use LDREAD to read results from one analysis as loads in a subsequent analysis, without the use of physics files. See "Load Transfer Coupled Physics Analysis" for detailed procedures.

1.1.2.3. Load Transfer Coupled Analysis - Unidirectional Load Transfer

You can also couple a fluid-solid interaction analysis by unidirectional load transfer. This method requires that you know that the fluid analysis results do not affect the solid loads significantly, or vice-versa. Loads from an ANSYS Multiphysics analysis can be unidirectionally transferred to a CFX fluid analysis, or loads from a CFX fluid analysis can be transferred to an ANSYS Multiphysics analysis. The load transfer occurs external to the analyses. See "Unidirectional Load Transfer" for detailed procedures on both ANSYS-to-CFX and CFX-to-ANSYS unidirectional methods.

1.1.3. When to Use Direct vs. Load Transfer

Direct coupling is advantageous when the coupled-field interaction involves strongly-coupled physics or is highly nonlinear and is best solved in a single solution using a coupled formulation. Examples of direct coupling include piezoelectric analysis, conjugate heat transfer with fluid flow, and circuit-electromagnetic analysis. Elements are specifically formulated to solve these coupled-field interactions directly.

For coupling situations which do not exhibit a high degree of nonlinear interaction, the load transfer method is more efficient and flexible because you can perform the two analyses independently of each other. Coupling may be recursive, where iterations between the different physics are performed until the desired level of convergence is achieved. In a load transfer thermal-stress analysis, for example, you can perform a nonlinear transient thermal analysis followed by a linear static stress analysis. You can then use nodal temperatures from any load step or time-point in the thermal analysis as loads for the stress analysis. In a load transfer coupling analysis, you can perform a nonlinear transient fluid-solid interaction analysis, using the FLOTRAN fluid elements and ANSYS structural, thermal or coupled field elements.

Direct coupling typically requires less user-intervention because the coupled-field elements handle the load transfer. Some analyses must be done using direct coupling (such as piezoelectric analyses). The load transfer method requires that you define more details and manually specify the loads to be transferred, but offers more flexibility in that you can transfer loads between dissimilar meshes and between different analyses.

The following tables provides some general guidelines on using each method.

Table 1.1 Choosing a Method

Method | Application
Load-Transfer
Thermal-structural | Varied
Electromagnetic-thermal, electromagnetic-thermal-structural | Induction heating, RF heating, Peltier coolers
Electrostatic-structural, electrostatic-structural-fluidic | MEMS
Magnetic-structural | Solenoids, electromagnetic machines
FSI, CFX- and FLOTRAN-based | Aerospace, automative fuel, hydraulic systems, MEMS fluid damping, drug delivery pumps, heart valves
Electromagnetic-solid-fluid | Fluid handling systems, EFI, hydraulic systems
Thermal-CFD | Electronics cooling
Direct
Thermal-structural | Varied, such as gas turbines, MEMS resonators
Acoustic-structural | Acoustics, sonar, SAW
Piezoelectric | Microphones, sensors, actuators, transducers, resonators
Electroelastic | MEMS
Piezoresistive | Pressure sensors, strain gauges, accelerometers
Thermal-electric | Temperature sensors, thermal management, Peltiere cooler, thermoelectric generators
Electrostatic-structural | MEMS
Circuit coupled electromagnetics | Motors, MEMS
Electro-thermal-structural-magnetic | IC, PCB electro-thermal stress, MEMS actuators
Fluid-thermal | Piping networks, manifolds

Table 1.2 Methods Available

Coupled Physics | Load Transfer | Direct | Comments
Thermal-structural | ANSYS Multi-field solver | PLANE13, SOLID5, SOLID98, PLANE223, SOLID226, SOLID227. See Structural-Thermal Analysis. | Can also use LDREAD, but we recommend using the ANSYS Multi-field solver if using the load transfer method.
Thermal-electric | ANSYS Multi-field solver | PLANE223, SOLID226, SOLID227 (Joule, Seebeck, Peltier, Thompson). See Thermal-Electric Analysis for a complete list of elements. | Can also use LDREAD, but we recommend using the ANSYS Multi-field solver if using the load transfer method.
Thermal-electric- structural | ANSYS Multi-field solver | PLANE223, SOLID226, SOLID227 . See Structural-Thermal-Electric Analyses for a complete list of elements. | Can also use LDREAD, but we recommend using the ANSYS Multi-field solver if using the load transfer method. Joule heating is supported by both the direct and load-transfer methods. Seebeck, Peltier, and Thompson effects are available only with the direct method.
Piezoelectric --- PLANE13, SOLID5, SOLID98, PLANE223, SOLID226, SOLID227. See Piezoelectric Analysis.
Electroelastic --- PLANE223, SOLID226, SOLID227. See Electroelastic Analysis.
Piezoresistive --- PLANE223, SOLID226, SOLID227. See Piezoresistive Analysis.
Electromagnetic-thermal | ANSYS Multi-field solver | PLANE13, SOLID5, SOLID98 | Can also use LDREAD, but we recommend using the ANSYS Multi-field solver if using the load transfer method.
Electromagnetic-thermal- structural | ANSYS Multi-field solver | PLANE13, SOLID5, SOLID98 | Can also use LDREAD, but we recommend using the ANSYS Multi-field solver if using the load transfer method.
Acoustic-Structural (Inviscid FSI) --- FLUID29, FLUID30
Circuit-coupled electromagnetic --- CIRCU124 + PLANE53, SHELL99, or SOLID117. CIRCU94. See "Coupled Physics Circuit Simulation".
Electrostatic-structural | ANSYS Multi-field solver | TRANS109, TRANS126. See Electromechanical Analysis. | Can also use LDREAD, but we recommend using the ANSYS Multi-field solver if using the load transfer method.
Electromagnetic-structural- fluidic (FLOTRAN-based) ANSYS Multi-field solver --- Can also use LDREAD, but we recommend using the ANSYS Multi-field solver if using the load transfer method.
Magnetic-structural | ANSYS Multi-field solver | PLANE13, SOLID62, SOLID5, SOLID98. See Magneto-Structural Analysis. | Can also use LDREAD, but we recommend using the ANSYS Multi-field solver if using the load transfer method.
Fluid-thermal (FLOTRAN - based) | ANSYS Multi-field solver MFS | FLOTRAN Conjugate heat transfer
Fluid-thermal (CFX - based) | ANSYS Multi-field solver MFX | CFX Conjugate heat transfer
FSI (FLOTRAN - based) ANSYS Multi-field solver MFS ---
FSI (CFX - based) ANSYS Multi-field solver MFX, Unidirectional ANSYS to CFX Load Transfer (EXPROFILE), Unidirectional CFX to ANSYS Load Transfer (MFIMPORT) --- Use the MFX solver if you need to iterate between the separate codes. Otherwise, use the appropriate unidirectional option.
Magnetic-fluid ANSYS Multi-field solver ---

Can also use LDREAD, but we recommend using the ANSYS Multi-field solver if using the load transfer method.

LDREAD can read Lorentz forces into CFD mesh. LDREAD can also account for conventional velocity effect (PLANE53, SOLID97, SOLID117) by importing CFD calculated velocity distribution to an electromagnetic model to simulate electric power generation.

1.1.4. Additional Analysis Methods

In addition to the methods discussed above, ANSYS also offers the following methods:

1.1.4.1. Reduced Order Modeling

Reduced Order Modeling describes a solution method for efficiently solving coupled-field problems involving flexible structures. The reduced order modeling (ROM) method is based on a modal representation of the structural response. The deformed structural domain is described by a factored sum of the mode shapes (eigenvectors). The resulting ROM is essentially an analytical expression for the response of a system to any arbitrary excitation. This methodology has been implemented for coupled electrostatic-structural analysis and is applicable to micro-electromechanical systems (MEMS). See "Reduced Order Modeling" for detailed procedures.

1.1.4.2. Coupled Physics Circuit Simulation

You can often perform coupled physics simulations using a circuit analogy. Components such as "lumped" resistors, sources, capacitors, and inductors can represent electrical devices. Equivalent inductances and resistances can represent magnetic devices, and springs, masses, and dampers can represent mechanical devices. ANSYS offers a set of tools to perform coupled simulations through circuits. A Circuit Builder is available to conveniently create circuit elements for electrical, magnetic, piezoelectric, and mechanical devices. The ANSYS circuit capability allows you to combine both lumped elements, where appropriate, with a "distributed" finite element model in regions where characterization requires a full finite element solution. A common degree-of-freedom set allows the combination of lumped and distributed models. See "Coupled Physics Circuit Simulation" for detailed procedures.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 1. Coupled-Field Analyses 		Up / Home Next
1.2. System of Units


1.2. System of Units

In ANSYS, you must make sure that you use a consistent system of units for all the data you enter. You can use any consistent system of units. For electromagnetic field analysis, see the EMUNIT command in the Commands Reference for additional information regarding appropriate settings for free-space permeability and permittivity.

For micro-electromechanical systems (MEMS), it is best to set up problems in more convenient units since components may only be a few microns in size. For convenience, the following tables list the conversion factors from standard MKS units to µMKSV and µMSVfA units.

Table 1.3 Mechanical Conversion Factors for MKS to μMKSV

Mechanical Parameter | MKS Unit | Dimension | Multiply by This Number | To Obtain μMKSv Unit | Dimension
Length | m | m | 106 | µm | µm
Force | N | (kg)(m)/(s)2 | 106 | µN | (kg)(µm)/(s)2
Time | s | s | 1 | s | s
Mass | kg | kg | 1 | kg | kg
Pressure | Pa | (kg)/(m)(s)2 | 10-6 | MPa | (kg)/(µm)(s)2
Velocity | m/s | m/s | 106 | µm/s | µm/s
Acceleration | m/(s)2 | m/(s)2 | 106 | µm/(s)2 | µm/(s)2
Density | kg/(m)3 | kg/(m)3 | 10-18 | kg/(µm)3 | kg/(µm)3
Stress | Pa | kg/(m)(s)2 | 10-6 | MPa | kg/(µm)(s)2
Young's Modulus | Pa | kg/(m)(s)2 | 10-6 | MPa | kg/(µm)(s)2
Power | W | (kg)(m)2/(s)3 | 1012 | pW | (kg)(µm)2/(s)3

Table 1.4 Thermal Conversion Factors for MKS to μMKSV

Thermal Parameter | MKS Unit | Dimension | Multiply by This Number | To Obtain µMKSv Unit | Dimension
Conductivity | W/(m)(°C) | (kg)(m)/(°C)(s)3 | 106 | pW/(µm)(°C) | (kg)(µm)/(°C)(s)3
Heat Flux | W/(m)2 | kg/(s)3 | 1 | pW/(µm)2 | kg/(s)3
Specific Heat | J/(kg)(°C) | (m)2/(°C)(s)2 | 1012 | pJ/(kg)(°C) | (µm)2/(°C)(s)2
Heat Flow | W | (kg)(m)2/(s)3 | 1012 | pW | (kg)(µm)2/(s)3
Heat Generation Per Volume | W/m3 | (kg)/(m)(s)3 | 10-6 | pW/(µm)3 | kg/(µm)(s)3
Convection Coefficient | W/(m)2(°C) | kg/(s)3(°C) | 1 | pW/(µm)2(°C) | kg/(s)3(°C)
Dynamic Viscosity | kg/(m)(s) | kg/(m)(s) | 10-6 | kg/(µm)(s) | kg/(µm)(s)
Kinematic Viscosity | (m)2/s | (m)2/s | 1012 | (µm)2/s | (µm)2/s

Table 1.5 Electrical Conversion Factors for MKS to μMKSV

Electrical Parameter | MKS Unit | Dimension | Multiply by This Number | To Obtain µMKSv Unit | Dimension
Current | A | A | 1012 | pA | pA
Voltage | V | (kg)(m)2/(A)(s)3 | 1 | V | (kg)(µm)2/(pA)(s)3
Charge | C | (A)(s) | 1012 | pC | (pA)(s)
Conductivity | S/m | (A)2(s)3/(kg)(m)3 | 106 | pS/µm | (pA)2(s)3/(kg)(µm)3
Resistivity | Ωm | (kg)(m)3/(A)2(s)3 | 10-6 | T Ωµm | (kg)(µm)3/(pA)2(s)3
Permittivity [1] | F/m | (A)2(s)4/(kg)(m)3 | 106 | pF/µm | (pA)2(s)4/(kg)(µm)3
Energy | J | (kg)(m)2/(s)2 | 1012 | pJ | (kg)(µm)2/(s)2
Capacitance | F | (A)2(s)4/(kg)(m)2 | 1012 | pF | (pA)2(s)4/(kg)(µm)2
Electric Field | V/m | (kg)(m)/(s)3(A) | 10-6 | V/µm | (kg)(µm)/(s)3(pA)
Electric Flux Density | C/(m)2 | (A)(s)/(m)2 | 1 | pC/(µm)2 | (pA)(s)/(µm)2

  1. Free-space permittivity is equal to 8.854 x 10-6 pF/µm.

Table 1.6 Magnetic Conversion Factors for MKS to μMKSV

Magnetic Parameter | MKS Unit | Dimension | Multiply by This Number | To Obtain µMKSv Unit | Dimension
Flux | Weber | (kg)(m)2/(A)(s)2 | 1 | Weber | (kg)(µm)2/(pA)(s)2
Flux Density | Tesla | kg/(A)(s)2 | 10-12 | TTesla | kg/(pA)(s)2
Field Intensity | A/m | A/m | 106 | pA/µm | pA/µm
Current | A | A | 1012 | pA | pA
Current Density | A/(m)2 | A/(m)2 | 1 | pA/(µm)2 | pA/(µm)2
Permeability [1] | H/m | (kg)(m)/(A)2(s)2 | 10-18 | TH/µm | (kg)(µm)/(pA)2(s)2
Inductance | H | (kg)(m)2/(A)2(s)2 | 10-12 | TH | (kg)(µm)2/(pA)2(s)2

  1. Free-space permeability is equal to 4 π x 10-25 TH/µm.

Note

Only constant permeability may be used with these units.

Table 1.7 Piezoelectric Conversion Factors for MKS to μMKSV

Piezoelectric Matrix [1] | MKS Unit | Dimension | Multiply by This Number | To Obtain µMKSv Unit | Dimension
Stress Matrix [e] | C/(m)2 | (A)(s)/(m)2 | 1 | pC/(µm)2 | (pA)(s)/(µm)2
Strain Matrix [d] | C/N | (A)(s)3/(kg)(m) | 106 | pC/(µN) | (pA)(s)3/(kg)(µm)

  1. For information on piezoelectric matrices, see Piezoelectric Analysis.

Table 1.8 Piezoresistive Conversion Factors for MKS to μMKSV

Piezoresistive Matrix [1] | MKS Unit | Dimension | Multiply by This Number | To Obtain µMKSv Unit | Dimension
Piezoresistive Stress Matrix [π] | Pa-1 | (m)(s)2/kg | 106 | (MPa)-1 | (µm)(s)2/kg

  1. For information on piezoresistive matrices, see Piezoresistive Materials in the Elements Reference.

Table 1.9 Thermoelectric Conversion Factors for MKS to μMKSV

Thermoelectric Parameter | MKS Unit | Dimension | Multiply by This Number | To Obtain µMKSv Unit | Dimension
Seebeck Coefficient | V/°C | (kg)(m)2/(A)(s)3(°C) | 1 | V/°C | (kg)(µm)2/(pA)(s)3(°C)

Table 1.10 Mechanical Conversion Factors for MKS to μMSVfA

Mechanical Parameter | MKS Unit | Dimension | Multiply by This Number | To Obtain µMsvfa Unit | Dimension
Length | m | m | 106 | µm | µm
Force | N | (kg)(m)/(s)2 | 109 | nN | (g)(µm)/(s)2
Time | s | s | 1 | s | s
Mass | kg | kg | 103 | g | g
Pressure | Pa | (kg)/(m)(s)2 | 10-3 | kPa | g/(µm)(s)2
Velocity | m/s | m/s | 106 | µm/s | µm/s
Acceleration | m/(s)2 | m/(s)2 | 106 | m/(s)2 | µm/(s)2
Density | kg/(m)3 | kg/(m)3 | 10-15 | g/(µm)3 | g/(µm)3
Stress | Pa | kg/(m)(s)2 | 10-3 | kPa | g/(µm)(s)2
Young's Modulus | Pa | kg/(m)(s)2 | 10-3 | kPa | g/(µm)(s)2
Power | W | (kg)(m)2/(s)3 | 1015 | fW | (g)(µm)2/(s)3

Table 1.11 Thermal Conversion Factors for MKS to μMSVfA

Thermal Parameter | MKS Unit | Dimension | Multiply by This Number | To Obtain µMsvfa Unit | Dimension
Conductivity | W/(m)(°C) | (kg)(m)/(°C)(s)3 | 109 | fW/(µm)(°C) | (g)(µm)/(°C)(s)3
Heat Flux | W/(m)2 | kg/(s)3 | 103 | fW/(µm)2 | g/(s)3
Specific Heat | J/(kg)(°C) | (m)2/(°C)(s)2 | 1012 | fJ/(g)(°C) | (µm)2/(°C)(s)2
Heat Flow | W | (kg)(m)2/(s)3 | 1015 | fW | (g)(µm)2/(s)3
Heat Generation Per Volume | W/m3 | (kg)/(m)(s)3 | 10-3 | fW/(µm)3 | g/(µm)(s)3
Convection Coefficient | W/(m)2(°C) | kg/(s)3(°C) | 103 | fW/(µm)2(°C) | g/(s)3(°C)
Dynamic Viscosity | kg/(m)(s) | kg/(m)(s) | 10-3 | g/(µm)(s) | g/(µm)(s)
Kinematic Viscosity | (m)2/s | (m)2/s | 1012 | (µm)2/s | (µm)2/s

Table 1.12 Electrical Conversion Factors for MKS to μMSVfA

Electrical Parameter | MKS Unit | Dimension | Multiply by This Number | To Obtain µMsvfa Unit | Dimension
Current | A | A | 1015 | fA | fA
Voltage | V | (kg)(m)2/(A)(s)3 | 1 | V | (g)(µm)2/(fA)(s)3
Charge | C | (A)(s) | 1015 | fC | (fA)(s)
Conductivity | S/m | (A)2(s)3/(kg)(m)3 | 109 | nS/µm | (fA)2(s)3/(g)(µm)3
Resistivity | Ωm | (kg)(m)3/(A)2(s)3 | 10-9 | - | (g)(µm)3/(fA)2(s)3
Permittivity [1] | F/m | (A)2(s)4/(kg)(m)3 | 109 | fF/µm | (fA)2(s)4/(g)(µm)3
Energy | J | (kg)(m)2/(s)2 | 1015 | fJ | (g)(µm)2/(s)2
Capacitance | F | (A)2(s)4/(kg)(m)2 | 1015 | fF | (fA)2(s)4/(g)(µm)2
Electric Field | V/m | (kg)(m)/(s)3(A) | 10-6 | V/µm | (g)(µm)/(s)3(fA)
Electric Flux Density | C/(m)2 | (A)(s)/(m)2 | 103 | fC/(µm)2 | (fA)(s)/(µm)2

  1. Free-space permittivity is equal to 8.854 x 10-3 fF/µm.

Table 1.13 Magnetic Conversion Factors for MKS to μMKSVfA

Magnetic Parameter | MKS Unit | Dimension | Multiply by This Number | To Obtain µMKSv Unit | Dimension
Flux | Weber | (kg)(m)2/(A)(s)2 | 1 | Weber | (g)(µm)2/(fA)(s)2
Flux Density | Tesla | kg/(A)(s)2 | 10-12 | - | g/(fA)(s)2
Field Intensity | A/m | A/m | 109 | fA/µm | fA/µm
Current | A | A | 1015 | fA | fA
Current Density | A/(m)2 | A/(m)2 | 103 | fA/(µm)2 | fA/(µm)2
Permeability [1] | H/m | (kg)(m)/(A)2(s)2 | 10-21 | - | (g)(µm)/(fA)2(s)2
Inductance | H | (kg)(m)2/(A)2(s)2 | 10-15 | - | (g)(µm)2/(fA)2(s)2

  1. Free-space permeability is equal to 4 π x 10-28 (g)(µm)/(fA)2(s)2.

Note

Only constant permeability may be used with these units.

Table 1.14 Piezoelectric Conversion Factors for MKS to μMKSVfA

Piezoelectric Matrix [1] | MKS Unit | Dimension | Multiply by This Number | To Obtain µMKSv Unit | Dimension
Piezoelectric Stress [e] | C/(m)2 | (A)(s)/(m)2 | 103 | fC/(µm)2 | (fA)(s)/(µm)2
Piezoelectric Strain [d] | C/N | (A)(s)3/(kg)(m) | 106 | fC/(µN) | (fA)(s)3/(g)(µm)

  1. For information on piezoelectric matrices, see Piezoelectric Analysis.

Table 1.15 Piezoresistive Conversion Factors for MKS to μMKSVfA

Piezoresistive Matrix [1] | MKS Unit | Dimension | Multiply by This Number | To Obtain µMKSv Unit | Dimension
Piezoresistive Stress Matrix [π] | Pa-1 | (m)(s)2/kg | 103 | (kPa)-1 | (µm)(s)2/g

  1. For information on piezoresistive matrices, see Piezoresistive Materials in the Elements Reference.

Table 1.16 Thermoelectric Conversion Factors for MKS to μMKSVfA

Thermoelectric Parameter | MKS Unit | Dimension | Multiply by This Number | To Obtain µMKSv Unit | Dimension
Seebeck Coefficient | V/°C | (kg)(m)2/(A)(s)3(°C) | 1 | V/°C | (g)(µm)2/(fA)(s)3(°C)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.1. Types of Coupled-Field Analysis 		Up / Home Next
1.3. About GUI Paths and Command Syntax


1.3. About GUI Paths and Command Syntax

Throughout this document, you will see references to ANSYS commands and their equivalent GUI paths. Such references use only the command name because you do not always need to specify all of a command's arguments, and specific combinations of command arguments perform different functions. For complete syntax descriptions of ANSYS commands, consult the Commands Reference.

The GUI paths shown are as complete as possible. In many cases, choosing the GUI path as shown will perform the function you want. In other cases, choosing the GUI path given in this document takes you to a menu or dialog box; from there, you must choose additional options that are appropriate for the specific task being performed.

For all types of analyses described in this guide, specify the material you will be simulating using an intuitive material model interface. This interface uses a hierarchical tree structure of material categories, which is intended to assist you in choosing the appropriate model for your analysis. See Material Model Interface in the Basic Analysis Guide for details on the material model interface.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.2. System of Units 		Up / Home Next
Chapter 2. Direct Coupled-Field Analysis


Chapter 2. Direct Coupled-Field Analysis

The direct method for doing a coupled-field analysis involves a single analysis that uses a coupled-field element. Table 2.1: "Coupled-Field Elements" lists the elements that have coupled-field capability.

Table 2.1 Coupled-Field Elements

Element Name | Description
SOLID5 | Coupled-field hexahedral
PLANE13 | Coupled-field quadrilateral
FLUID29 | Acoustic quadrilateral
FLUID30 | Acoustic hexahedral
SOLID62 | 3-D magneto-structural hexahedral
PLANE67 | Thermal-electric quadrilateral
LINK68 | Thermal-electric line
SOLID69 | Thermal-electric hexahedral
CIRCU94 | Piezoelectric circuit
SOLID98 | Coupled-field tetrahedral
TRANS109 | 2-D Electromechanical Transducer
FLUID116 | Thermal-flow pipe
CIRCU124 | General circuit
TRANS126 | 1-D Electromechanical Transducer
SHELL157 | Thermal-electric shell
CONTA171 | 2-D surface to surface contact
CONTA172 | 2-D surface to surface contact
CONTA173 | 3-D surface to surface contact
CONTA174 | 3-D surface to surface contact
CONTA175 | 2-D/3-D node to surface contact
PLANE223 | Coupled-field quadrilateral
SOLID226 | Coupled-field hexahedral
SOLID227 | Coupled-field tetrahedral

Note

Your finite element model may intermix certain coupled-field elements with the VOLT degree of freedom. To be compatible, the elements must have the same reaction solution for the VOLT DOF. Elements that have an electric charge reaction solution must all have the same electric charge reaction sign. For more information, see Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide.

The coupled-field element contains all the necessary degrees of freedom. It handles the field coupling by calculating the appropriate element matrices (matrix coupling) or element load vectors (load vector coupling). In linear problems with matrix coupling, coupled-field interaction is calculated in one iteration. Load vector coupling requires at least two iterations to achieve a coupled response. Nonlinear problems are iterative for both matrix and load vector coupling. Table 2.2: "Coupling Methods Used in Direct Coupled-Field Analyses" lists the different types of coupled-field analyses available in the ANSYS Multiphysics product using the direct method, and which type of coupling is present in each. See the Theory Reference for ANSYS and ANSYS Workbench for more details about matrix versus load vector coupling.

The ANSYS Professional program supports only thermal-electric direct coupling, and the ANSYS Emag program supports only electromagnetic and electromagnetic-circuit direct coupling.

Table 2.2 Coupling Methods Used in Direct Coupled-Field Analyses

Type of Analysis | Coupling Method
Magneto-structural | Load vector
Electromagnetic | Matrix
Electromagnetic-thermal-structural | Load vector
Electromagnetic-thermal | Load vector
Piezoelectric | Matrix
Electroelastic | Load vector
Piezoresistive | Load vector
Thermal-pressure | Matrix and load vector
Velocity-thermal-pressure | Matrix
Pressure-structural (acoustic) | Matrix
Thermal-electric | Load vector (and matrix, if Seebeck coefficients are defined)
Magnetic-thermal | Load vector
Electromechanical | Matrix
Electromagnetic-circuit | Matrix
Electro-structural-circuit | Matrix
Structural-thermal | Matrix or load vector (and matrix, if contact elements are used)
Structural-thermal-electric | Matrix and/or load vector
Thermal-piezoelectric | Matrix

Note

Coupled-field elements that use load vector coupling are not valid in a substructure analysis. Within the substructure generation pass, no iterative solution is available; therefore, the ANSYS program ignores all load vector and feedback coupling effects.

Because of the possible extreme nonlinear behavior of load vector coupled field elements, you may need to use the predictor and line search options to achieve convergence. "Nonlinear Structural Analysis" in the Structural Analysis Guide describes these options.

To speed up convergence in a coupled-field transient analysis, you may turn off the time integration effects for any DOFs that are not a concern. For example, if structural inertial and damping effects can be ignored in a thermal-structural transient analysis, you can issue TIMINT,OFF,STRUC to turn off the time integration effects for the structural DOFs.

Of the analysis types listed above, this chapter explains how to do thermal-electric, piezoelectric, electroelastic, piezoresistive, structural-thermal, structural-thermal-electric, magneto-structural, and electromechanical analyses.

Electric contact is also available in ANSYS. See Modeling Electric Contact in the Contact Technology Guide for details.

See "Coupled Physics Circuit Simulation" for information on coupled physics circuit simulations.

The following direct coupled-field analysis topics are available:

  • Lumped Electric Elements
  • Thermal-Electric Analysis
  • Piezoelectric Analysis
  • Electroelastic Analysis
  • Piezoresistive Analysis
  • Structural-Thermal Analysis
  • Structural-Thermal-Electric Analyses
  • Magneto-Structural Analysis
  • Electromechanical Analysis
  • Sample Thermoelectric Cooler Analysis (Batch or Command Method)
  • Sample Thermoelectric Generator Analysis (Batch or Command Method)
  • Sample Structural-Thermal Harmonic Analysis (Batch or Command Method)
  • Sample Electro-Thermal Microactuator Analysis (Batch or Command Method)
  • Sample Piezoelectric Analysis (Batch or Command Method)
  • Sample Piezoelectric Analysis with Coriolis Effect (Batch or Command Method)
  • Sample Electroelastic Analysis of a Dielectric Elastomer (Batch or Command Method)
  • Sample Electroelastic Analysis of a MEMS Switch (Batch or Command Method)
  • Sample Piezoresistive Analysis (Batch or Command Method)
  • Sample Electromechanical Analysis (Batch or Command Method)
  • Sample Electromechanical Transient Analysis (Batch or Command Method)
  • Sample Electromechanical Hysteresis Analysis (Batch or Command Method)
  • Sample Electromechanical Comb Finger Analysis (Batch or Command Method)
  • Sample Force Calculation of Two Opposite Electrodes (Batch or Command Method)
  • Where to Find Other Examples

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.3. About GUI Paths and Command Syntax 		Up / Home Next
2.1. Lumped Electric Elements


2.1. Lumped Electric Elements

ANSYS provides several lumped elements that can be applied in pure electric circuit, circuit coupled magnetic, piezoelectric and coupled electromechanical analyses. This section provides a brief overview. For more details on DOF, through variables (force, reaction force), and element compatibility, refer to this guide, the Elements Reference, and Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide.

CIRCU94 is a circuit element with electric potential (VOLT) DOF and positive or negative electric charge through variable (force, reaction force). Depending on KEYOPT selection it can act like a linear resistor, capacitor, inductor, or an independent voltage or current source. CIRCU94 can be applied in connection with other ANSYS elements having the same DOF and through variable (force, reaction force). Electric charge reaction signs must all be positive or negative. For example, CIRCU94 can be combined with the following elements to simulate circuit coupled piezoelectric analysis:SOLID5, PLANE13, SOLID98, PLANE223, SOLID226, and SOLID227. It can also work together with PLANE121, SOLID122, and SOLID123 to simulate circuit fed electrostatic analysis.

CIRCU124 is a circuit element with electric potential (VOLT) DOF and electric current (AMPS label) through variable (force, reaction force). Depending on KEYOPT selection it can act like a linear resistor, capacitor, inductor, or a number of circuit source or coupled circuit source options. CIRCU124 can be applied in connection with other ANSYS elements having the same DOF and through variable (force, reaction force): SOLID5, PLANE67, LINK68, SOLID69, SOLID98, CIRCU125, TRANS126, PLANE223, SOLID226, SOLID227, PLANE230, SOLID231, and SOLID232. CIRCU124 can also work together with magnetic elements PLANE13, PLANE53, and SOLID97 to simulate circuit fed magnetic analysis.

CIRCU125 is a circuit element with electric potential (VOLT) DOF and electric current (AMPS label) through variable (force, reaction force). Depending on KEYOPT selection it can act like a regular or Zener diode circuit. CIRCU125 can be applied in connection with other ANSYS elements having the same DOF and through variable (force, reaction force): CIRCU124, TRANS126, PLANE67, LINK68, and SOLID69.

TRANS126 is an electromechanical transducer with electric potential (VOLT) as well as mechanical displacement (UX, UY, UZ) DOFs and electric current (AMPS label), as well as mechanical force (FX, FY, FZ) through variables (force, reaction force). TRANS126 can be applied in connection with other ANSYS elements having the same DOF and through variable (force, reaction force): CIRCU124, CIRCU125, PLANE67, LINK68, and SOLID69. It can also be applied in connection with all regular ANSYS mechanical elements to simulate strongly coupled electromechanical interactions, a characteristic of MEMS design.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 2. Direct Coupled-Field Analysis 		Up / Home Next
2.2. Thermal-Electric Analysis


2.2. Thermal-Electric Analysis

This analysis, available in the ANSYS Multiphysics product, can account for the following thermoelectric effects:

  • Joule heating - Heating occurs in a conductor carrying an electric current. Joule heat is proportional to the square of the current, and is independent of the current direction.

  • Seebeck effect - A voltage (Seebeck EMF) is produced in a thermoelectric material by a temperature difference. The induced voltage is proportional to the temperature difference. The proportionality coefficient is know as the Seebeck coefficient (α).

  • Peltier effect - Cooling or heating occurs at the junction of two dissimilar thermoelectric materials when an electric current flows through the junction. Peltier heat is proportional to the current, and changes sign if the current direction is reversed.

  • Thomson effect - Heat is absorbed or released in a non-uniformly heated thermoelectric material when electric current flows through it. Thomson heat is proportional to the current, and changes sign if the current direction is reversed.

Typical applications include heating coils, fuses, thermocouples, and thermoelectric coolers and generators. For more information, refer to Thermoelectrics in the Theory Reference for ANSYS and ANSYS Workbench.

2.2.1. Elements Used in a Thermal-Electric Analysis

The ANSYS program includes a variety of elements you can use to model thermal-electric coupling. Table 2.3: "Elements Used in Thermal-Electric Analyses" summarizes them briefly. For detailed descriptions of the elements and their characteristics (DOFs, KEYOPT options, inputs and outputs, etc.), see the Elements Reference.

LINK68, PLANE67, SOLID69, and SHELL157 are special purpose thermal-electric elements. The coupled-field elements (SOLID5, SOLID98, PLANE223, SOLID226, and SOLID227 ) require you to select the element DOFs for a thermal-electric analysis: TEMP and VOLT. For SOLID5 and SOLID98, set KEYOPT(1) to 0 or 1. For PLANE223, SOLID226, and SOLID227, set KEYOPT(1) to 110.

Table 2.3 Elements Used in Thermal-Electric Analyses

Elements | Thermoelectric Effects | Material Properties | Analysis Types
LINK68 - Thermal-Electric Line PLANE67 - Thermal-Electric Quadrilateral SOLID69 - Thermal-Electric Hexahedral SOLID5 - Coupled-Field Hexahedral SOLID98 - Coupled-Field Tetrahedral SHELL157 - Thermal-Electric Shell | Joule Heating | KXX, KYY, KZZ RSVX, RSVY, RSVZ DENS, C, ENTH | Static Transient (transient thermal effects only)
PLANE223 - Coupled-Field Quadrilateral SOLID226 - Coupled-Field Hexahedral SOLID227 - Coupled-Field Tetrahedral | Joule Heating Seebeck Effect Peltier Effect Thomson Effect | KXX, KYY, KZZ RSVX, RSVY, RSVZ DENS, C, ENTH SBKX SBKY, SBKZ PERX, PERY, PERZ | Static Transient (transient thermal and electrical effects)

2.2.2. Performing a Thermal-Electric Analysis

The analysis can be either steady-state (ANTYPE,STATIC) or transient (ANTYPE,TRANS). It follows the same procedure as a steady-state or transient thermal analysis. (See Steady-State Thermal Analysis and Transient Thermal Analysis in the Thermal Analysis Guide.)

To perform a thermal-electric analysis, you need to specify the element type and material properties. For Joule heating effects, you must define both electrical resistivity (RSVX, RSVY, RSVZ) and thermal conductivity (KXX, KYY, KZZ). Mass density (DENS), specific heat (C), and enthalpy (ENTH) may be defined to take into account thermal transient effects. These properties may be constant or temperature-dependent.

A transient analysis using PLANE223, SOLID226, or SOLID227 can account for both transient thermal and transient electrical effects. You must define electric permittivity (PERX, PERY, PERZ) to model the transient electrical effects. A transient analysis using LINK68, PLANE67, SOLID69, SOLID5, SOLID98, or SHELL157 can only account for transient thermal effects.

To include the Seebeck-Peltier thermoelectric effects, you need to specify a PLANE223, SOLID226, or SOLID227 element type and a Seebeck coefficient (SBKX, SBKY, SBKZ) (MP). You also need to specify the temperature offset from zero to absolute zero (TOFFST). To capture the Thomson effect, you need to specify the temperature dependence of the Seebeck coefficient (MPDATA).

PLANE67 and PLANE223 assume a unit thickness; they do not allow thickness input. If the actual thickness (t) is not uniform, you need to adjust the material properties as follows: multiply the thermal conductivity and density by t, and divide the electrical resistivity by t.

Be sure to define all data in consistent units. For example, if the current and voltage are specified in amperes and volts, you must use units of watts/length-degree for thermal conductivity. The output Joule heat will then be in watts.

For problems with convergence difficulties, activate the line search capability (LNSRCH).

See Sample Thermoelectric Cooler Analysis (Batch or Command Method) and Sample Thermoelectric Generator Analysis (Batch or Command Method) for example problems.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.1. Lumped Electric Elements 		Up / Home Next
2.3. Piezoelectric Analysis


2.3. Piezoelectric Analysis

Piezoelectrics is the coupling of structural and electric fields, which is a natural property of materials such as quartz and ceramics. Applying a voltage to a piezoelectric material creates a displacement, and vibrating a piezoelectric material generates a voltage. A typical application of piezoelectric analysis is a pressure transducer. Possible piezoelectric analysis types (available in the ANSYS Multiphysics or ANSYS Mechanical products only) are static, modal, prestressed modal, harmonic, prestressed harmonic, and transient.

To do a piezoelectric analysis, you need to use one of these element types:

PLANE13, KEYOPT(1) = 7 coupled-field quadrilateral solid
SOLID5, KEYOPT(1) = 0 or 3 coupled-field brick
SOLID98, KEYOPT(1) = 0 or 3 coupled-field tetrahedron
PLANE223, KEYOPT(1) = 1001, coupled-field 8-node quadrilateral
SOLID226, KEYOPT(1) = 1001, coupled-field 20-node brick
SOLID227, KEYOPT(1) = 1001, coupled-field 10-node tetrahedron

PLANE13, SOLID5, and SOLID98 are available in ANSYS Multiphysics, ANSYS Mechanical, and ANSYS PrepPost. PLANE223, SOLID226, and SOLID227 are available in ANSYS Multiphysics and ANSYS PrepPost.

The KEYOPT settings activate the piezoelectric degrees of freedom, displacements and VOLT. For SOLID5 and SOLID98, setting KEYOPT(1) = 3 activates the piezoelectric only option.

The piezoelectric KEYOPT settings also make large deflection and stress stiffening effects available using the NLGEOM, SSTIF, and PSTRES commands. (See the Commands Reference for more information on these commands. See the Structural Analysis Guide and Chapter 3 of the Theory Reference for ANSYS and ANSYS Workbench for more information on large deflection and stress stiffening capabilities.) For PLANE13, large deflection and stress stiffening capabilities are available for KEYOPT(1) = 7. For SOLID5 and SOLID98, large deflection and stress stiffening capabilities are available for KEYOPT(1) = 3. In addition, small deflection stress stiffening capabilities are available for KEYOPT(1) = 0.

Note

Automatic solution control is not available for a piezoelectric analysis. The SOLCONTROL default settings are only available for a pure structural or pure thermal analysis. For a large deflection piezoelectric analysis, you must use nonlinear solution commands to specify your settings. For general information on these commands, refer to Running a Nonlinear Analysis in ANSYS in the Structural Analysis Guide.

For sample analyses, see Sample Piezoelectric Analysis (Batch or Command Method) and Sample Piezoelectric Analysis with Coriolis Effect (Batch or Command Method).

2.3.1. Points to Remember

The analysis may be static, modal, prestressed modal, harmonic, prestressed harmonic, or transient. Some important points to remember are:

  • For modal analysis, Block Lanczos is the recommended solver. PCG Lanczos is not supported unless using Lev_Diff = 5 on the PCGOPT command.

  • For static, full harmonic, or full transient analysis, choose the sparse matrix (SPARSE) solver or the Jacobi Conjugate Gradient (JCG) solver. The sparse solver is the default for static and full transient analyses. Depending on the chosen system of units or material property values, the assembled matrix may become ill-conditioned. When solving ill-conditioned matrices, the JCG iterative solver may converge to the wrong solution. The assembled matrix typically becomes ill-conditioned when the magnitudes of the structural DOF and electrical DOF start to vary significantly (more than 1e15).

  • For transient analyses, specify ALPHA = 0.25, DELTA = 0.5, and THETA = 0.5 on the TINTP command (Main Menu> Preprocessor> Loads> Time/Frequenc>Time Integration).

  • A prestressed harmonic analysis can only follow a small deflection analysis.

  • For PLANE13, SOLID5, and SOLID98, the force label for the VOLT DOF is AMPS. For PLANE223, SOLID226, and SOLID227, the force label for the VOLT degree of freedom is CHRG. Use these labels in F, CNVTOL, RFORCE, etc.

  • To do a piezoelectric-circuit analysis, use CIRCU94.

  • The capability to model dielectric losses using the dielectric loss tangent property (input on MP,LSST) is available only for PLANE223, SOLID226, and SOLID227.

  • The Coriolis effect capability is available only for PLANE223, SOLID226, and SOLID227. For information on how to include this effect, see Rotating Structure Analysis in the Advanced Analysis Techniques Guide. For a sample analyses, see Sample Piezoelectric Analysis with Coriolis Effect (Batch or Command Method).

  • If a model has at least one piezoelectric element, then all the coupled-field elements with structural and VOLT degrees of freedom must be of piezoelectric type. If the piezoelectric effect is not desired in these elements, simply define very small piezoelectric coefficients on TB.

2.3.2. Material Properties

A piezoelectric model requires permittivity (or dielectric constants), the piezoelectric matrix, and the elastic coefficient matrix to be specified as material properties. These are explained next.

2.3.2.1. Permittivity Matrix (Dielectric Constants)

For SOLID5, PLANE13, or SOLID98 you specify relative permittivity values as PERX, PERY, and PERZ on the MP command (Main Menu> Preprocessor> Material Props> Material Models> Electromagnetics> Relative Permittivity> Orthotropic). (Refer to the EMUNIT command for information on free-space permittivity.) The permittivity values represent the diagonal components ε11, ε22, and ε33 respectively of the permittivity matrix [εS]. (The superscript "S" indicates that the constants are evaluated at constant strain.) That is, the permittivity input on the MP command will always be interpreted as permittivity at constant strain [εS].

Note

If you enter permittivity values less than 1 for SOLID5, PLANE13, or SOLID98, the program interprets the values as absolute permittivity.

For PLANE223, SOLID226, and SOLID227, you can specify permittivity either as PERX, PERY, PERZ on the MP command or by specifying the terms of the anisotropic permittivity matrix using the TB,DPER and TBDATA commands. If you choose to use the MP command to specify permittivity, the permittivity input will be interpreted as permittivity at constant strain. If you choose to use the TB,DPER command (Main Menu> Preprocessor> Material Props> Material Models> Electromagnetics> Relative Permittivity> Anisotropic), you can specify the permittivity matrix at constant strain [εS] (TBOPT = 0) or at constant stress [εT] (TBOPT = 1). The latter input will be internally converted to permittivity at constant strain [εS] using the piezoelectric strain and stress matrices. The values input on either MP,PERX or TB,DPER will always be interpreted as relative permittivity.

2.3.2.2. Piezoelectric Matrix

You can define the piezoelectric matrix in [e] form (piezoelectric stress matrix) or in [d] form (piezoelectric strain matrix). The [e] matrix is typically associated with the input of the anisotropic elasticity in the form of the stiffness matrix [c], while the [d] matrix is associated with the compliance matrix [s].

Note

ANSYS will convert a piezoelectric strain matrix [d] matrix to a piezoelectric stress matrix [e] using the elastic matrix at the first defined temperature. To specify the elastic matrix required for this conversion, use the TB,ANEL command (not the MP command).

This 6 x 3 matrix (4 x 2 for 2-D models) relates the electric field to stress ([e] matrix) or to strain ([d] matrix). Both the [e] and the [d] matrices use the data table input described below:

The TB,PIEZ and TBDATA commands are used to define the piezoelectric matrix; see your Commands Reference for the order of input of these constants.

To define the piezoelectric matrix via the GUI, use the following:

Main Menu> Preprocessor> Material Props> Material Models> Piezoelectrics> Piezoelectric matrix

For most published piezoelectric materials, the order used for the piezoelectric matrix is x, y, z, yz, xz, xy, based on IEEE standards (see ANSI/IEEE Standard 176–1987), while the ANSYS input order is x, y, z, xy, yz, xz as shown above. This means that you need to transform the matrix to the ANSYS input order by switching row data for the shear terms as shown below:

  • IEEE constants [e61, e62, e63] would be input as the ANSYS xy row

  • IEEE constants [e41, e42, e43] would be input as the ANSYS yz row

  • IEEE constants [e51, e52, e53] would be input as the ANSYS xz row

2.3.2.3. Elastic Coefficient Matrix

This 6 x 6 symmetric matrix (4 x 4 for 2-D models) specifies the stiffness ([c] matrix) or compliance ([s] matrix) coefficients.

Note

This section follows the IEEE standard notation for the elastic coefficient matrix [c]. This matrix is also referred to as [D] in other areas of ANSYS Help.

The elastic coefficient matrix uses the following data table input:

Use the TB,ANEL (Main Menu> Preprocessor> Material Props> Material Models> Structural> Linear> Elastic> Anisotropic) and TBDATA commands to define the coefficient matrix [c] (or [s], depending on the TBOPT settings); see the Commands Reference for the order of input of these constants. As explained for the piezoelectric matrix, most published piezoelectric materials use a different order for the [c] matrix. You need to transform the IEEE matrix to the ANSYS input order by switching row and column data for the shear terms as shown below:

  • IEEE terms [c61, c62, c63, c66] would be input as the ANSYS xy row

  • IEEE terms [c41, c42, c43, c46, c44] would be input as the ANSYS yz row

  • IEEE terms [c51, c52, c53, c56, c54, c55] would be input as the xz row

An alternative to the [c] matrix is to specify Young's modulus (MP,EX command) and Poisson's ratio (MP,NUXY command) and/or shear modulus (MP,GXY command). (See the Commands Reference for more information on the MP command). To specify any of these via the GUI, use the following:

Main Menu> Preprocessor> Material Props> Material Models> Structural> Linear> Elastic> Orthotropic

For micro-electromechanical systems (MEMS), it is best to set up problems in µMKSV or µMSVfA units (see Table 1.7: "Piezoelectric Conversion Factors for MKS to μMKSV" and Table 1.14: "Piezoelectric Conversion Factors for MKS to μMKSVfA").

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.2. Thermal-Electric Analysis 		Up / Home Next
2.4. Electroelastic Analysis


2.4. Electroelastic Analysis

In an electroelastic analysis, an electrostatic force causes an elastic dielectric to deform (see Electroelasticity in the Theory Reference for ANSYS and ANSYS Workbench). Possible electroelastic analysis types are static and full transient. Application areas include electrostatic actuators, dielectric elastomers in robotics, and electroactive polymers in artificial muscles.

2.4.1. Elements Used in an Electroelastic Analysis

To do an electroelastic analysis, you need to use one of these element types:

PLANE223, KEYOPT(1) = 1001, coupled-field 8-node quadrilateral
SOLID226, KEYOPT(1) = 1001, coupled-field 20-node brick
SOLID227, KEYOPT(1) = 1001, coupled-field 10-node tetrahedron

Setting KEYOPT(1) to 1001 activates the electrostatic-structural degrees of freedom, VOLT and displacements. The analysis defaults to an electroelastic analysis. A piezoelectric analysis is activated if a piezoelectric matrix is specified.

2.4.2. Performing an Electroelastic Analysis

To perform an electroelastic analysis you need to do the following:

  1. Select a coupled-field element that is appropriate for the analysis (Elements Used in an Electroelastic Analysis). Use KEYOPT(4) to model layers of elastic dielectrics or air gaps.

  2. Specify structural material properties:

    • If the material is isotropic or orthotropic, Young's moduli (EX, EY, EZ), Poisson's ratios (PRXY, PRYZ, PRXZ, or NUXY, NUYZ, NUXZ), and shear moduli (GXY, GYZ, and GXZ) are input using the MP command.

    • If the material is anisotropic, the elastic stiffness matrix is input using TB,ANEL.

  3. Specify electric relative permittivity either as PERX, PERY, PERZ on the MP command or by specifying the terms of the anisotropic permittivity matrix using TB,DPER.

  4. Apply structural and electrical loads.

  5. Use the CNVTOL command to specify convergence criteria for the electrical and structural degrees of freedom (VOLT and U labels) or forces (CHRG and F labels). A solution requires at least two iterations.

  6. Use the NLGEOM command to activate large deflection effects.

To morph air gaps in MEMS devices, you also need to do the following:

  1. Use KEYOPT(4) = 1 to apply the electrostatic force only to element nodes connected to a structure (that is, to any element with structural DOFs except for the electroelastic elements PLANE223, SOLID226, or SOLID227 with KEYOPT(4) = 1 or KEYOPT(4) = 2).

  2. For computational efficiency, use KEYOPT(4) = 1 for the air elements attached to a structure and KEYOP(4) = 2 for the rest of the air region.

  3. Assign a small elastic stiffness and a zero Poisson's ratio to the elastic air elements.

The following recommendations may help when modeling thin parallel air gaps:

  1. Use the following estimate for Young's modulus:

    EX = (Vmax/GAPmin)2(EPZRO/200)

    where:

    Vmax = maximum applied voltage
    GAPmin = minimum gap opening
    EPZRO = free-space permittivity

  2. Use a single layer of elements without midside nodes to avoid air mesh distortion. A quadrilateral mesh that collapses uniaxially typically works best.

  3. To prevent air extrusion from the gap, couple the displacement DOFs perpendicular to the motion.

Use CIRCU94 to perform an electroelastic-circuit analysis. To make it compatible with the electroelastic elements, set KEYOPT(6) = 1 for a positive electric charge reaction solution. For more information, see Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide.

See Sample Electroelastic Analysis of a Dielectric Elastomer (Batch or Command Method) and Sample Electroelastic Analysis of a MEMS Switch (Batch or Command Method) for example problems.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.3. Piezoelectric Analysis 		Up / Home Next
2.5. Piezoresistive Analysis


2.5. Piezoresistive Analysis

The piezoresistive effect is the change of electric resistivity of the material caused by an applied mechanical strain or stress. Many materials change their resistance when strained, but the piezoresistive effect is most pronounced in semiconductors. Semiconductor piezoresistive sensing elements, or piezoresistors, are typically used as pressure and force sensors, where the applied mechanical load is converted into a proportional electric signal. Typical applications of piezoresistors are pressure transducers and accelerometers.

You use piezoresistive analysis to determine the change in electric field or current distributions due to applied forces or pressure. The elements that allow you to do a piezoresistive analysis are:

PLANE223, KEYOPT(1) = 101 - coupled-field 8-node quadrilateral

SOLID226, KEYOPT(1) = 101 - coupled-field 20-node brick

SOLID227, KEYOPT(1) = 101 - coupled-field 10-node tetrahedron

The analysis type can be either steady-state (ANTYPE,0) or transient (ANTYPE,4).

2.5.1. Points to Remember

  • At least two iterations are required to calculate the piezoresistive effect.

  • The force label for the VOLT degree of freedom is AMPS. Use this label in F, CNVTOL, RFORCE, etc.

  • To do a piezoresistive-circuit analysis, use CIRCU124.

  • Use the JC label on PRNSOL/PLNSOL, PRESOL/PLESOL, PRVECT/PLVECT commands to print or plot conduction current density results.

  • Automatic solution control (SOLCONTROL) is not available for a piezoresistive analysis

2.5.2. Material Properties

A piezoresistive analysis requires the specification of electrical resistivity, the elastic coefficients, and the piezoresistive matrix. These are explained next.

2.5.2.1. Electrical Resistivity

You specify electrical resistivity values as RSVX, RSVY, RSVZ on the MP command (Main Menu> Preprocessor> Material Props> Material Models> Electromagnetics> Resistivity> Orthotropic).

Note

To take into account capacitive effects in a transient piezoresitive analysis, you can specify electrical permittivities as PERX, PERY, and PERZ on the MP command.

2.5.2.2. Elastic Coefficient Matrix

Input the elastic coefficient matrix using the data table input (TB,ANEL and TBDATA commands). See Elastic Coefficient Matrix for a discussion on the elastic coefficient matrix. As an alternative, you can specify Young's modulus (MP,EX command) and Poisson's ratio (MP,NUXY command). To specify these values via the GUI:

Main Menu> Preprocessor> Material Props> Material Models> Structural> Linear> Elastic> Orthotropic

2.5.2.3. Piezoresistive Matrix

You can specify piezoresistive matrix either in the form of piezoresistive stress matrix [π] or piezoresistive strain matrix [m] via the TB,PZRS and TBDATA commands.

The piezoresistive stress matrix [π] (TBOPT=0) uses stress to calculate the change in electric resistivity due to the piezoresistive effect. The piezoresistive strain matrix [m] (TBOPT = 1) uses elastic strain to calculate the change in electric resistivity due to the piezoresistive effect. See Piezoresistivity in the Theory Reference for ANSYS and ANSYS Workbench for more information.

In a general case, the piezoresistive matrix is a non-symmetric 6x6 matrix that relates the x, y, z, xy, yz, xz terms of stress or strain to the x, y, z, xy, yz, xz terms of electric resistivity via 36 constants. See Piezoresistive Materials in the Elements Reference for a description of the matrix used. For the semiconductor materials (e.g., silicon) that belong to the cubic group of symmetry, the piezoresistive matrix has only three independent coefficients, π11, π12, π44:

and [π] can be input as follows:

TB,PZRS
TBDATA,1,π11, π12,π12
TBDATA,7,π12,π11, π12
TBDATA,13,π12,π12,π11
TBDATA,22,π44
TBDATA,29,π44
TBDATA,36,π44

To define the piezoresistive matrix via the GUI, use the following:

Main Menu> Preprocessor> Material Props> Material Models> Piezoresistivity> Piezoresistive matrix

Be sure to define data in consistent units. When modeling micro-electromechanical systems (MEMS), it is best to use μMKSV or μMSVfA units (see Table 1.8: "Piezoresistive Conversion Factors for MKS to μMKSV" and Table 1.15: "Piezoresistive Conversion Factors for MKS to μMKSVfA").

See Sample Piezoresistive Analysis (Batch or Command Method) for an example of a piezoresistive analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.4. Electroelastic Analysis 		Up / Home Next
2.6. Structural-Thermal Analysis


2.6. Structural-Thermal Analysis

This capability, available in the ANSYS Multiphysics product, provides you with the ability to perform thermal-stress analyses. In dynamic analyses, you can also include the piezocaloric effect. Applications of the latter include thermoelastic damping in metals and MEMS devices such as resonator beams.

2.6.1. Elements Used in a Structural-Thermal Analysis

The ANSYS program includes a variety of elements that you can use to perform a coupled structural-thermal analysis. Table 2.4: "Elements Used in Structural-Thermal Analyses" summarizes them. For detailed descriptions of the elements and their characteristics (DOFs, KEYOPT options, inputs and outputs, etc.), see the Elements Reference.

For a coupled structural-thermal analysis, you need to select the UX, UY, UZ, and TEMP element DOFs. For SOLID5 or SOLID98, set KEYOPT(1) to 0. For PLANE13 set KEYOPT(1) to 4. For PLANE223, SOLID226, or SOLID227, set KEYOPT(1) to 11.

To include piezocaloric effects in dynamic analyses (transient and harmonic), you need to use PLANE223, SOLID226, or SOLID227.

Table 2.4 Elements Used in Structural-Thermal Analyses

Elements | Effects | Analysis Types
SOLID5 - Coupled-Field Hexahedral PLANE13 - Coupled-Field Quadrilateral SOLID98 - Coupled-Field Tetrahedral | Thermoelastic (Thermal Stress) | Static Full Transient
PLANE223 - Coupled-Field Quadrilateral SOLID226 - Coupled-Field Hexahedral SOLID227 - Coupled-Field Tetrahedral | Thermoelastic (Thermal Stress and Piezocaloric) | Static Full Harmonic Full Transient

2.6.2. Performing a Structural-Thermal Analysis

To perform a structural-thermal analysis you need to do the following:

  1. Select a coupled-field element that is appropriate for the analysis (Table 2.4: "Elements Used in Structural-Thermal Analyses"). Use KEYOPT (1) to select the UX, UY, UZ, and TEMP element DOFs.

  2. Specify structural material properties:

    • If the material is isotropic or orthotropic, Young's moduli (EX, EY, EZ), Poisson's ratios (PRXY, PRYZ, PRXZ, or NUXY, NUYZ, NUXZ), and shear moduli (GXY, GYZ, and GXZ) are input using the MP command.

    • If the material is anisotropic, the elastic stiffness matrix is input using TB,ANEL.

  3. Specify thermal material properties:

    • Specify thermal conductivities (KXX, KYY, KZZ) using the MP command.

    • To take into account thermal transient effects, specify mass density (DENS) and specific heat (C) or enthalpy (ENTH) using the MP command.

  4. Specify coefficients of thermal expansion (ALPX, ALPY, ALPZ), thermal strains (THSX, THSY, THSZ), or the instantaneous coefficients of thermal expansion (CTEX, CTEY, CTEZ) using the MP command.

  5. Specify the reference temperature for the thermal strain calculations using the TREF command.

  6. Apply structural and thermal loads.

  7. The following only apply to the PLANE223, SOLID226, or SOLID227 elements:

    • If you perform a static or full transient analysis, you can use KEYOPT(2) to select a strong (matrix) or weak (load vector) structural-thermal coupling. Strong coupling produces an unsymmetric matrix. In a linear analysis, a strong coupled response is achieved after one iteration. Weak coupling produces a symmetric matrix and requires at least two iterations to achieve a coupled response.

      Note

      For full harmonic analysis with these elements, strong structural-thermal coupling only applies.

    • These elements support a piezocaloric effects calculation in dynamic analyses. For more information, see Thermoelasticity in the Theory Reference for ANSYS and ANSYS Workbench.

      Note the following about the inputs for a piezocaloric effects calculation:

      1. Elastic coefficients are interpreted as isothermal coefficients, not adiabatic coefficients.

      2. Specific heat is assumed to be at constant pressure (or constant stress), and it is automatically converted to specific heat at constant volume (or constant strain).

      3. You need to specify the temperature offset from absolute zero to zero using the TOFFST command. This temperature offset is added to the temperature input on the TREF command to obtain the absolute reference temperature.

      4. All thermal material properties and loads must have the same energy units as shown in the following table. For the SI system, both energy and heat units are in Joules. For the U. S. Customary system, energy units are in-lbf or ft-lbf and heat units are in BTUs. British heat units (BTUs) must be converted to energy units of in-lbf or ft-lbf (1BTU = 9.34e3 in-lbf = 778.26 ft-lbf).

        Table 2.5 Units for Thermal Quantities

        Thermal Quantity | Units
        Thermal Conductivity | energy/length-temperature-time
        Specific Heat | energy/mass-temperature
        Heat Flux | energy/length2-time
        Volumetric Heat Source | energy/length3-time
        Heat Transfer Coefficient | energy/length2-temperature-time

See Sample Structural-Thermal Harmonic Analysis (Batch or Command Method) for an example problem.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.5. Piezoresistive Analysis 		Up / Home Next
2.7. Structural-Thermal-Electric Analyses


2.7. Structural-Thermal-Electric Analyses

You can perform structural-themoelectric or thermal-piezoelectric analyses using SOLID5, PLANE13, SOLID98, PLANE223, SOLID226, or SOLID227. For detailed descriptions of the elements and their characteristics (DOFs, KEYOPT options, inputs and outputs, etc.), see the Elements Reference.

For coupled structural-thermal-electric analyses, you need to select the UX, UY, UZ, TEMP, and VOLT element DOFs. For SOLID5 or SOLID98, set KEYOPT(1) to 0. The analysis type (structural-thermoelectric or thermo-piezoelectric) for those elements is determined by the electrical material property input (resistivity or permittivity). For PLANE223, SOLID226, and SOLID227, the analysis type is determined by KEYOPT(1). For those elements, set KEYOPT(1) to 111 for a structural-thermoelectric analysis or 1011 for a thermal-piezoelectric analysis.

Table 2.6 Elements Used in a Structural-Thermal-Electric Analyses

Elements | Effects | Analysis Types
SOLID5 - Coupled-Field Hexahedral SOLID98 - Coupled-Field Tetrahedral | Thermoelastic (Thermal Stress) Thermoelectric (Joule Heating) Piezoelectric | Static Full Transient
PLANE223 - Coupled-Field Quadrilateral SOLID226 - Coupled-Field Hexahedral SOLID227 - Coupled-Field Tetrahedral | Thermoelastic (Thermal Stress and Piezocaloric) Thermoelectric (Joule Heating, Seebeck, Peltier, Thomson) Piezoresistive | Structural-Thermoelectric: Static Full Transient
 | Thermoelastic (Thermal Stress and Piezocaloric) Piezoelectric | Thermal-Piezoelectric: Static Full Harmonic Full Transient

2.7.1. Structural-Thermoelectric Analysis

In addition to the steps outlined in Performing a Structural-Thermal Analysis, you need to specify electrical material properties and material properties for coupled-field effects.

  1. Specify electrical resistivities (RSVX, RSVY, RSVZ) on the MP command.

  2. The following only apply to the PLANE223, SOLID226, or SOLID227 elements:

    • You can also specify electric permittivity (PERX, PERY, PERZ) on the MP command to model transient electrical effects (capacitive effects). For more information, see Thermal-Electric Analysis.

    • You can also specify Seebeck coefficients (SBKX, SBKY, SBKZ) on the MP command to include the Seebeck-Peltier themoelectric effects. For more information, see Thermal-Electric Analysis.

    • You can also specify a piezoresistive matrix on the TB,PZRS command to include the piezoresistive effect. For more information, see Piezoresistive Analysis.

    • To perform a circuit analysis, use the CIRCU124 element. For more information, see Using the CIRCU124 Element in the Low-Frequency Electromagnetic Analysis Guide.

See Sample Electro-Thermal Microactuator Analysis (Batch or Command Method) for an example problem.

2.7.2. Thermal-Piezoelectric Analysis

In addition to the steps outlined in Performing a Structural-Thermal Analysis, you need to specify electrical material properties and material properties for coupled-field effects.

  1. For SOLID5 or SOLID98, specify electric permittivity (PERX, PERY, PERZ) on the MP command. For PLANE223, SOLID226, and SOLID227, specify permittivity either as PERX, PERY, PERZ on the MP command or by specifying the terms of the anisotropic permittivity matrix using the TB,DPER and TBDATA commands. To model dielectric losses, use PLANE223, SOLID226, or SOLID227 and specify a loss tangent (MP,LSST). For more information, see Piezoelectric Analysis.

  2. Specify the piezoelectric matrix on the TB,PIEZ command. For more information, see Piezoelectric Matrix.

  3. To perform a circuit analysis, use the CIRCU94 element. For more information, see Piezoelectric-Circuit Simulation.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.6. Structural-Thermal Analysis 		Up / Home Next
2.8. Magneto-Structural Analysis


2.8. Magneto-Structural Analysis

You use this analysis, available in the ANSYS Multiphysics product, to determine the magnetic forces acting on a current-carrying conductor or magnetic material and the subsequent structural deformation expected from the action of these magnetic forces. Applications involve determining forces, deformations and stresses on structures subjected to steady-state or transient magnetic fields where you want to determine the impacts on structural design. Typical applications include pulsed excitation of conductors, structural vibration resulting from transient magnetic fields, armature motion in solenoid actuators, and magneto-forming of metals.

To do direct magneto-structural analysis, you must use one of the following element types:

PLANE13 - coupled-field quadrilateral solid
SOLID5 - coupled-field brick
SOLID62 - magneto-structural brick
SOLID98 - coupled-field tetrahedron

2.8.1. Points to Remember

The analysis may be either static or transient. It follows the same procedure as a static or transient magnetic analysis. (See the Low-Frequency Electromagnetic Analysis Guide.) Some important points to remember are:

  • PLANE13 and SOLID62 use the vector potential formulation and can be used for static and transient analyses. SOLID5 and SOLID98 use the scalar potential formulation and can be used only in a static analysis.

    Note

    Do not use the PCG solver if your model contains SOLID62 elements.

  • You should activate the large deflection feature, available in PLANE13 and SOLID62, whenever structural deformation affects the magnetic field. This is a highly nonlinear analysis, so you should ramp the load slowly using many intermediate substeps. Also, surrounding the deflecting body with air elements that have nominal structural properties is required, because the surrounding air elements must "absorb" the deflection of the body. You can then rigidly fix the exterior of the air region by constraining the degrees of freedom.

  • You can solve a dynamic analysis involving small movement of a body (that is, an armature of a solenoid). Small movement is characterized as movement of the armature and surrounding air elements up to a point where mesh distortion remains acceptable. You should assign the surrounding air elements extremely flexible structural properties. Also, be sure to turn off extra shape functions in the air elements. Auto time-stepping is sensitive to the mass and stiffness of the system. To dampen numerical noise, adjust the GAMMA parameter on the TINTP command (using a value as high as 1.0). To aid convergence, turn adaptive descent off and use convergence criteria based on force (F) and vector potential (A).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.7. Structural-Thermal-Electric Analyses 		Up / Home Next
2.9. Electromechanical Analysis


2.9. Electromechanical Analysis

Electrostatic-mechanical coupling involves coupling of forces produced by an electrostatic field with a mechanical device. Typically, this type of simulation is done on micro-electromechanical (MEMS) devices such as comb drives, switches, filters, accelerometers, and torsional mirrors. This section describes the direct-coupled electrostatic-structural coupling available in the TRANS126 and TRANS109 transducer elements. For sequential coupling, use the ANSYS Multi-field solver, described in "The ANSYS Multi-field (TM) Solver - MFS Single-Code Coupling".

2.9.1. The 1-D Transducer Element

TRANS126 is a "reduced-order" element which is intended for use as a transducer in structural finite element simulations or as a transducer in "lumped" electromechanical circuit simulation. “Reduced-order" means that the electrostatic characteristics of an electromechanical device are captured in terms of the device's capacitance over a range of displacements (or stroke of the device) and formulated in a simple coupled beam-like element. Refer to the Elements Reference and the Theory Reference for ANSYS and ANSYS Workbench for a full description of the TRANS126 element. Figure 2.1: "Procedure for Extracting Capacitance" shows a typical progression of computing the devices capacitance in an electrostatic simulation, computing the capacitance of the device over a range of motion (parameter “d” in Figure 2.1: "Procedure for Extracting Capacitance"), and incorporating these results as the input characteristics for the transducer element.

Figure 2.1 Procedure for Extracting Capacitance

2.9.1.1. Element Physics

TRANS126 is a fully coupled element which relates the electrostatic response and the structural response of an electromechanical device. Because the element is fully coupled, you can use it effectively in static, harmonic, transient, and modal analyses. Nonlinear analysis can exploit the full system tangent stiffness matrix. Small signal harmonic sweep and natural frequencies reflect coupled full system behavior. For the case with motion in the x-direction, the charge on the device is related to the voltage applied to the device as:

Q = C(x) (V)

where V is the voltage across the device electrodes, C(x) is the capacitance between electrodes (as a function of x), and Q is the charge on the electrode.

The current is related to the charge as:

I = dQ/dt = (dC(x)/dx) (dx/dt) (V) + C(x) (dV/dt)

where the term (dC(x)/dx) (dx/dt) (V) is the motion induced current and the term C(x) (dV/dt) is the voltage rate current.

The electrostatic force between the electrodes is given by:

F = (1/2) (dC(x)/dx) (V)2

As can be seen from the above equations, the capacitance of the device over a range of motion characterizes the electromechanical response of the device.

2.9.1.2. A Reduced Order Model

As shown in Figure 2.2: "Reduced Order Model", you can analyze MEMS devices using “reduced order” models consisting of mechanical spring, damper, and mass elements (COMBIN14, COMBIN39, and MASS21), and the electromechanical transducer element (TRANS126). The transducer element converts energy from an electrostatic domain into a mechanical domain. It represents the capacitive response of a device to motion in one direction.

Figure 2.2 Reduced Order Model

You can use the EMTGEN command to generate a distributed set of TRANS126 elements between the surface of a moving structure and a plane (i.e. ground plane). This arrangement allows for fully coupled electrostatic-structural simulations for cases where the gap is small compared to the overall area of the structure. Typical applications include accelerometers, switches, and micromirror devices. See the Commands Reference for more information on the EMTGEN command.

The TRANS126 element supports motion in the nodal X, Y, and Z directions. You can combine multiple elements to represent a full 3-D translational response of a device. Accordingly, you can model an electrostatic-driven structure by a reduced order element that fully characterizes the coupled electromechanical response.

You can link the transducer element into 2-D or 3-D finite element structural models to perform complex simulations for large signal static and transient analysis as well as small signal harmonic and modal analysis. See Sample Electromechanical Analysis (Batch or Command Method) for a sample electromechanical analysis using the TRANS126 transducer element.

2.9.1.3. Static Analysis

For a static analysis, an applied voltage to a transducer will produce a force which acts on the structure. For example, voltages applied (V1 > V2) to the electromechanical transducer elements (TRANS126) will produce an electrostatic force to rotate the torsional beam shown in Figure 2.3: "Micromirror Model".

Figure 2.3 Micromirror Model

The static equilibrium of an electrostatic transducer may be unstable. With increasing voltage, the attraction force between the capacitor plates increases and the gap decreases. For a gap distance d, the spring restoring force is proportional to 1/d and the electrostatic force is proportional to 1/d2. When the capacitor gap decreases to a certain point, the electrostatic attraction force becomes larger than the spring restoring force and the capacitor plates snap together. Conversely, when the capacitor voltage decreases to a certain value, the electrostatic attraction force becomes smaller than the spring restoring force and the capacitor plates snap apart.

The transducer element can exhibit hysteresis as shown in Figure 2.4: "Electromechanical Hysteresis". The voltage ramps up to the pull-in value and then back down to the release value.

Figure 2.4 Electromechanical Hysteresis

The transducer element by nature has both stable and unstable solutions as shown in Figure 2.5: "Static Stability Characteristics". The element will converge to either solution depending on the starting location (initial gap size).

Figure 2.5 Static Stability Characteristics

System stiffness consists of structural stiffness and electrostatic stiffness and it can be negative. Structural stiffness is positive because the force increases when a spring is stretched. However, electrostatic stiffness of a parallel plate capacitor is negative. The attraction force between the plates decreases with an increasing gap.

If the system stiffness is negative, convergence problems can occur near unstable solutions. If you encounter convergence problems while using TRANS126, use its built-in augmented stiffness method (KEYOPT(6) = 1). In this method, the electrostatic stiffness is set to zero to guarantee a positive system stiffness. After convergence is reached, the electrostatic stiffness is automatically reestablished for postprocessing and subsequent analyses.

You must completely specify the voltage across the transducer in a static analysis. You may also apply nodal displacements and forces. Using the IC command for initial displacements may help to converge the problem. See "Structural Static Analysis" in the Structural Analysis Guide for general information on performing a static analysis.

2.9.1.4. Modal Analysis

You may use TRANS126 to perform a prestressed modal analysis to determine the system eigenfrequencies. Of interest in many devices is the frequency shift when an applied DC voltage is placed on the electrodes of the transducer. You can simulate this effect by performing a static analysis of the device first with the applied DC voltage to the transducer, and then performing a "prestress" modal analysis on the structure. The TRANS126 element requires the unsymmetric eigenvalue solver (MODOPT,UNSYM) for modal analysis if a voltage is left unspecified at a transducer node. If the transducer element has a fully prescribed voltage (at both nodes), the problem becomes symmetric. In this case, set KEYOPT(3) = 1 for the transducer element and select a symmetric eigensolver (MODOPT,LANB). (MODOPT,LANB is the default.) See "Modal Analysis" in the Structural Analysis Guide for general information on performing a modal analysis as well as the steps necessary to perform a prestressed modal analysis.

2.9.1.5. Harmonic Analysis

You can simulate a prestressed full harmonic analysis on a structure, incorporating a transducer element TRANS126 to provide a small-signal AC voltage signal. Similarly, a mechanically excited structure will produce a voltage and current in the transducer. A static analysis must be performed prior to a small-signal harmonic analysis. Typically a device operates with a DC bias voltage and a small-signal AC voltage. The small-signal excitation simulation about a DC bias voltage is in essence a static analysis (with the applied DC voltage) followed by a full harmonic analysis (with the applied AC excitation). This capability is often required to tune a system's resonance frequency for such devices as filters, resonators, and accelerometers. See "Harmonic Response Analysis" in the Structural Analysis Guide for general information on performing a modal analysis as well as the steps necessary to perform a prestressed harmonic analysis.

2.9.1.6. Transient Analysis

A full transient analysis may be run incorporating TRANS126 attached to a complex finite element structure. You can apply any arbitrary large-signal time-varying excitation to the transducer or structure to produce a fully-coupled transient electromechanical response. You can apply both voltage and current as electrical loads, and displacement or force as mechanical loads. However, you must exercise care when specifying initial conditions for voltage and displacement because you can use the IC command to specify both voltage and voltage rate (using VALUE1 and VALUE2 of the IC command), as well as displacement and velocity. In addition, you can use the CNVTOL command to specify convergence criteria for the voltage (VOLT label) and/or current (AMPS label) as well as displacement (U label) and/or force (F label). You may include linear and nonlinear effects. See "Transient Dynamic Analysis" in the Structural Analysis Guide for general information on performing a full transient analysis.

2.9.1.7. Electromechanical Circuit Simulation

The TRANS126 element can be used to model “reduced order” electromechanical devices in a coupled circuit simulation. The ANSYS Circuit Builder (see "Electric Circuit Analysis" in Low-Frequency Electromagnetic Analysis Guide) provides a convenient tool for constructing a reduced order model consisting of linear circuit elements (CIRCU124), mechanical spring, mass, and damper elements (COMBIN14, MASS21, and COMBIN39), and the electromechanical transducer element (TRANS126). TRANS126 links the electrical and mechanical models. Static, harmonic, and transient analysis of electromechanical circuit models may be performed.

2.9.2. The 2-D Transducer Element

You can analyze MEMS devices using distributed models consisting of mechanical elements and the electromechanical transducer element TRANS109. The transducer element converts energy from an electrostatic domain into a mechanical domain. It represents the capacitive response of a device to motion in two directions, assuming negligible displacements in the out-of-plane direction. It is assumed that the thickness of the element is constant as the domain deforms (plane strain analysis). The out-of-plane thickness may be input by a real constant. TRANS109 has no built-in contact feature, but it can be used in conjunction with traditional contact elements.

TRANS109 complements the ANSYS Multi-field solver and TRANS126 capabilities. TRANS109 is strongly coupled, like TRANS126, but it models the geometry of the 2-D air region like the ANSYS Multi-field solver. Table 2.7: "Methods of Analyzing Electromechanical Coupling" summarizes the capabilities.

Table 2.7 Methods of Analyzing Electromechanical Coupling

Feature | ANSYS Multi-field solver | TRANS126 | TRANS109
Geometry | 2-D, 3-D | 1-D | 2-D
Coupling | Weak | Strong | Strong
Analysis Type | Static, Transient | Static, Transient, Harmonic, Modal | Static, Transient
Convergence | Slow, Not robust | Fast, Robust | Moderate, Moderately robust
Morphing | External | N/A | Internal
Ease of Use | Difficult | Moderate | Easy
Compatibility | N/A | Mech, Circuit | Mech
Force Calculation | Weak | Strong | Moderate

During the solution, TRANS109 morphs the initial mesh. Both area weighted and unweighted morphing methods are available. Weighted morphing generally provides better mesh quality, but may converge slower. The unweighted method is recommended when morphing does not significantly change the shape of the transducer elements.

At equilibrium, the electrostatic force between transducer and mechanical elements balance each other. The TRANS109 mesh deforms so that the force equilibrium can be obtained. TRANS109 internally morphs the mesh. No new nodes or elements are created during morphing, but the positions of the original nodes are constantly updated according to the electromechanical force balance. You can take advantage of the TRANS109 mesh morphing to avoid recreating the solid model and remeshing during parametric studies. New geometries can be created simply by applying nonzero displacement constraints.

TRANS109 will not work with the elements CIRCU94, CIRCU124, CIRCU125, INFIN110, PLANE121, or TRANS126.

Relative dielectric permittivity is input using the MP command with the PERX label. Temperature dependent permittivity is not supported.

TRANS109 allows large deformations, activated by NLGEOM,ON. Nonlinear analysis can exploit the full system tangent stiffness matrix. Stiffness, nodal forces, and charges are computed on a per-length basis. TRANS109 works with Frontal, Sparse, ICCG, JCG or PCG solvers. TRANS109 does not support solution control.

Loading follows usual ANSYS procedure, including solid model boundary conditions. When applying nonzero loads on the VOLT DOF, it is recommended that the DOF be initialized to the same nonzero value using the IC command. Charge density surface and body loads are not supported. Loading may be ramped using the NSUBST and KBC,0 commands. Automatic time and load stepping may be invoked using AUTOTS,ON.

2.9.2.1. Element Physics

TRANS109 is a fully coupled 2-D triangular transducer element which relates the electrostatic response and the structural response of an electromechanical device. Because the element is fully coupled, you can use it effectively in coupled electromechanical static and transient analyses.

The electrostatic energy is given by:

W = (1/2) (V) (C) (V)

where the term (V) is the vector of nodal voltages and the term (C) is the element capacitance matrix.

The vector of electrostatic charges, (Q), the electric reaction, is given by:

Q = (C) (V)

The capacitance matrix (C) depends on the element geometry.

The nodal electrostatic reaction forces can be calculated by the virtual work principle:

F = (1/2) (dW/dU)

where the term (U) is a nodal displacement.

As can be seen from the above equations, the capacitance of the device over a range of motion characterizes the electromechanical response of the device. Refer to the Elements Reference and the Theory Reference for ANSYS and ANSYS Workbench for a full description of the TRANS109 element.

2.9.2.2. Static Analysis

The static equilibrium of an electrostatic transducer may be unstable. With increasing voltage, the attraction force between the capacitor plates increases and the gap decreases. For a gap distance d, the spring restoring force is proportional to 1/d and the electrostatic force is proportional to 1/d2. When the capacitor gap decreases to a certain point, the electrostatic attraction force becomes larger than the spring restoring force and the capacitor plates snap together. Subsequently, when the capacitor voltage decreases to a certain value, the electrostatic attraction force becomes smaller than the spring restoring force and the capacitor plates snap apart.

The transducer element can exhibit hysteresis as shown in Figure 2.4: "Electromechanical Hysteresis". The voltage ramps up to the pull-in value and then back down to the release value.

The transducer element by nature has both stable and unstable solutions as shown in Figure 2.5: "Static Stability Characteristics". The element will converge to either solution depending on the starting location (initial gap size).

2.9.2.3. Transient Analysis

A full transient analysis may be run incorporating a transducer element (TRANS109) attached to a complex finite element structure. You can apply any arbitrary large-signal time-varying excitation to the transducer or structure to produce a fully-coupled transient electromechanical response. You can apply both voltage and current as electrical loads, and you can apply displacement or force as mechanical loads. Use the IC command to specify both the initial voltage and voltage rate (using the VALUE1 and VALUE2 fields), as well as displacement and velocity. You may include nonlinear effects. See "Transient Dynamic Analysis" in the Structural Analysis Guide for general information on performing a full transient analysis.

2.9.2.4. Problem Analysis

Usually TRANS109 solves the coupled electrostatic-structural problem easily. However, in certain situations convergence problems may occur. This section attempts to summarize typical problem cases and provide methods to avoid or ease the problems. You may encounter the following two kinds of solution error messages using TRANS109:

  • inverted element

  • unconverged solution

An inverted element error message indicates that mesh morphing created a severely distorted element. An unconverged solution error indicates that ANSYS failed to converge to an acceptable solution. The following sections discuss various problems that may be encountered with the TRANS109 element.

2.9.2.4.1. Under-Constrained Model

An under-constrained model is one source of inverted elements. Displacement constraints are necessary on air boundary nodes. To resolve this problem, apply displacement constraints normal to the boundary at the air truncation nodes.

2.9.2.4.2. Bifurcation, Buckling, or Pulling In

In a static analysis, when a voltage larger than the pull-in voltage is applied to the electrodes, the electrodes attempt to “snap” together, and no stable configuration can be found. To obtain stable solutions prior to pull-in, apply auto time stepping and load ramping using the AUTOTS and NSUBST commands. Save each substep result with the OUTRES command. This process may terminate in an unconverged solution, but the auto time stepping process should pick up the peak, the last converged solution, and all stable solutions below buckling. Use the general postprocessor to review these results.

To obtain a solution beyond the pull-in voltage, see the next section.

2.9.2.4.3. Post-Buckling or Release

To determine the release voltage, start with a voltage larger that the pull-in voltage. As the voltage is decreased, at the release voltage the solution jumps back to the stable region.

To start the analysis with the electrodes in contact, ground the electrodes using D,VOLT,0, set the displacement solution near the expected pulled-in state, apply D,UX and D,UY commands, and solve. So that previous results act like initial conditions, do not leave the solution processor. Apply the required voltage load on the electrodes using D,VOLT, remove displacement constraints artificially applied in the previous step using the DDELE command, and solve.

Alternatively, apply initial displacement conditions consistent with the pull-in solution using the IC command.

2.9.2.4.4. Dynamic Pull-in and Release or Hysteresis

The voltage applied to the electrodes is increased beyond pull-in voltage then decreased below the release voltage in a transient analysis. This increase and decrease may be repeated several times since, typically, the pull-in and release voltages differ. The result is “walking around” a hysteresis loop.

To resolve this problem, decrease the minimum time step using the DELTIM command. Use auto time stepping to monitor convergence and increase or decrease the time step according to needs.

2.9.2.4.5. Unconverged Solution with Decreasing Convergence Norm

The ANSYS solution ends with an unconverged solution error message despite a decreasing error norm. The problem is probably that convergence criteria are so strict that the convergence norm does not decrease below the requested level within the given number of equilibrium iterations.

To resolve this problem, relax the convergence criteria or increase the number of allowed equilibrium iterations using the CNVTOL and NEQIT commands. To postprocess the unconverged or last converged solution, use the SET command.

2.9.2.4.6. Coarse Mesh and Convergence Norm Diverges

In this scenario, the convergence norm first decreases and then increases resulting in an inverted element or unconverged solution error message. The desired convergence tolerance cannot be reached, and increasing the number equilibrium iterations, finer ramping of the loads, or better initial conditions do not help. This indicates that the given mesh is not fine enough.

To resolve this problem, refine the mesh, especially near corners and edges. Verify residual electrostatic forces using the FSUM and RFORCE commands.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.8. Magneto-Structural Analysis 		Up / Home Next
2.10. Sample Thermoelectric Cooler Analysis (Batch or Command Method)


2.10. Sample Thermoelectric Cooler Analysis (Batch or Command Method)

This example problem considers the performance of a thermoelectric cooler described in Direct Energy Conversion (Third Edition) by Stanley W. Angrist, Ch. 4, p.161 (1976).

2.10.1. Problem Description

A thermoelectric cooler consists of two semiconductor elements connected by a copper strap. One element is an n-type material and the other is a p-type material. The n-type and p-type elements have a length L, and a cross-sectional areas A = W2, where W is the element width. The cooler is designed to maintain the cold junction at temperature Tc, and to dissipate heat from the hot junction Th on the passage of an electric current of magnitude I. The positive direction of the current is from the n-type material to the p-type material as shown in the following figure.

Figure 2.6 Thermoelectric Cooler

Note

The dimensions of the copper strap were chosen arbitrarily. See the command input listing for the dimensions used. The effect on the results is negligible.

The semiconductor elements have the following dimensions:

Length L = 1 cm
Width W = 1 cm
Cross-sectional area A = 1 cm2

The thermoelectric cooler has the following material properties.

Table 2.8 Material Properties

Component | Resistivity (ohm*cm) | Thermal Conductivity (watt/cm°C) | Seebeck Coefficient (μvolts/°C)
n-type material | ρn = 1.05 x 10-3 | λn = .013 | αn = -165
p-type material | ρp = 0.98 x 10-3 | λp = .012 | αp = 210
Connecting straps (copper) | 1.7 x 10-6 | 400 | —

First Thermal-Electric Analysis

A 3-D steady-state thermal-electric analysis is carried out to evaluate the performance of the cooler. The givens are: Tc = 0°C, Th = 54°C, and I = 28.7 amps. The following quantities are calculated and compared to analytical values.

  1. The heat rate Qc that must be pumped away from the cold junction to maintain the junction at Tc:

    Qc = αTcI - 1/2 I2R - KΔT

    where:
    Combined Seebeck coefficient α = |αn| + |αp|
    Internal electrical resistance R = (ρn+ ρp)L/A
    Internal thermal conductance K = (λn + λp)A/L
    Applied temperature difference ΔT = Th - Tc

  2. The power input:

    P = VI = αI(ΔT) + I2R

    where:
    V = voltage drop across the cooler

  3. The coefficient of performance:

    β = Qc/P

Second Thermal-Electric Analysis

The inverse problem is solved. The givens are: Qc = 0.74 watts, Th = 54°C, and I = 28.7 amps and the cold junction temperature Tc and the temperature distribution are determined.

Figure 2.7 Finite Element Model

2.10.2. Expected Results

The first thermal-electric analysis is performed by imposing a temperature constraint Tc = 0 ºC on the cold junction and an electric current I on the input electric terminal. The rate of heat removed from the cold junction Qc is determined as a reaction solution at the master node. The input power P is determined from the voltage and current at the input terminal. The coefficient of performance is calculated from Qc and P. Numerical results are compared in Table 2.9: "Thermoelectric Cooler Results" to the analytical design from the reference. A small discrepancy between the numerical and analytical results is due to the presence of the connecting straps.

Table 2.9 Thermoelectric Cooler Results

Quantity | ANSYS Results | Reference Results
Qc, watts | 0.726 | 0.74
P, watts | 2.293 | 2.35
β | 0.317 | 0.32

In the second analysis, an inverse problem is solved: Qc from the first solution is imposed as a rate of heat flow on the cold junction to determine the temperature at that junction. The calculated temperature of the cold junction Tc = 0.0984 ºC is close to the expected 0 ºC. The following figure shows the temperature distribution.

Figure 2.8 Temperature Distribution

2.10.3. Command Listing

/title, Thermoelectric Cooler
/com
/com  Reference: "Direct Energy Conversion" (third edition) by
/com              Stanley W. Angrist
/com              Ch.4 "Thermoelectric Generators", p. 164
/com
/VUP,1,z
/VIEW,1,1,1,1
/TRIAD,OFF
/NUMBER,1
/PNUM,MAT,1
/nopr

/PREP7
! cooler dimensions
l=1e-2               ! element length, m
w=1e-2	             ! element width, m
hs=0.1e-2            ! strap height, m

toffst,273           ! Temperature offset, deg.C

! n-type material
mp,rsvx,1,1.05e-5    ! Electrical resistivity, Ohm*m
mp,kxx,1,1.3         ! Thermal conductivity, watt/(m*K)
mp,sbkx,1,-165e-6    ! Seebeck coefficient, volt/K

! p-type material
mp,rsvx,2,0.98e-5    ! Electrical resistivity, Ohm*m
mp,kxx,2,1.2         ! Thermal conductivity, watt/(m*K)
mp,sbkx,2,210e-6     ! Seebeck coefficient,volt/K

! Connecting straps (copper)
mp,rsvx,3,1.7e-8     ! Resistivity, Ohm*m
mp,kxx,3,400         ! Thermal conductivity, Watt/(m*K)

! FE model
et,1,226,110         ! 20-node thermo-electric brick
et,2,227,110         ! 10-node thermo-electric tet
block,w/2,3*w/2,,w,,l
block,-3*w/2,-w/2,,w,,l
block,-3*w/2,3*w/2,,w,l,l+hs
block,-1.7*w,-w/2,,w,-hs,0
block,w/2,1.7*w,,w,-hs,0
vglue,all

esize,w/3
type,1
mat,1
vmesh,1
mat,2
vmesh,2
type,2
mat,3
lesize,61,hs
lesize,69,hs
lesize,30,w/4
lesize,51,w/4
lesize,29,w/4
lesize,50,w/4
vmesh,6,8

eplot

! Boundary conditions and loads
nsel,s,loc,z,l+hs    ! Cold junction
cp,1,temp,all        ! Couple TEMP dofs
nc=ndnext(0)         ! Get master node number

nsel,s,loc,z,-hs     ! Hot junction
d,all,temp,54        ! Hold at Th, deg. C

nsel,s,loc,x,-1.7*w  ! First electric terminal
d,all,volt,0         ! Ground

nsel,s,loc,x,1.7*w   ! Second electric terminal
cp,2,volt,all        ! Couple VOLT dofs
ni=ndnext(0)         ! Get master node
nsel,all
fini

/SOLU                ! First solution
antype,static
d,nc,temp,0          ! Hold cold junction at Tc, deg.C
I=28.7
f,ni,amps,I          ! Apply current I, Amps to the master node
solve
fini

/com
*get,Qc,node,nc,rf,heat  ! Get heat reaction at cold junction
/com
/com Heat absorbed at the cold junction Qc = %Qc%, watts
/com
P=volt(ni)*I
/com Power input P = %P%, watts
/com
/com Coefficient of performance beta = %Qc/P%
/com

/SOLU                ! Second solution
ddele,nc,temp        ! Delete TEMP dof constraint at cold junction
f,nc,heat,Qc         ! Apply heat flow rate Qc to the cold junction
solve
fini

/com
/com Temperature at the cold junction Tc = %temp(nc)%, deg.C
/com

/SHOW,WIN32c         ! Use /SHOW,X11C for UNIX
/CONT,1,18           ! Set the number of contour plots
/POST1
plnsol,temp          ! Plot temperature distribution
fini

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.9. Electromechanical Analysis 		Up / Home Next
2.11. Sample Thermoelectric Generator Analysis (Batch or Command Method)


2.11. Sample Thermoelectric Generator Analysis (Batch or Command Method)

This example problem considers the performance of a power producing thermoelectric generator described in Direct Energy Conversion (Third Edition) by Stanley W. Angrist, Ch. 4, p.156 (1976).

2.11.1. Problem Description

A thermoelectric generator consists of two semiconductor elements. One element is an n-type material and the other is a p-type material. The n-type and p-type elements have lengths Ln and Lp, and cross-sectional areas An = Wnt and Ap = Wpt, where Wn and Wp are the element widths and t is the element thickness. The generator operates between temperature Tc (a cold junction) and temperature Th (a hot junction). The hot sides of the elements are coupled in temperature and voltage. The cold sides of the elements are connected to an external resistance Ro. The temperature difference between the cold and hot sides generates electric current I and power Po in the load resistance.

Figure 2.9 Thermoelectric Generator

The semiconductor elements have the following dimensions.

Table 2.10 Semiconductor Element Dimensions

Dimension | n-type Material | p-type Material
Length L | 1 cm | 1 cm
Width W | 1 cm | 1.24 cm
Thickness t | 1 cm | 1 cm

The operating conditions are:

Cold junction temperature Tc = 27°C
Hot junction temperature Th = 327°C
External resistance Ro = 3.92 x 10-3 ohms

Two 3-D steady-state thermal-electric analyses are performed to evaluate the thermal efficiency of the generator.

First Thermal-Electric Analysis

A thermal-electric analysis is performed using the following material properties at the average temperature of 177°C (Angrist, Ch.4, p.157).

Table 2.11 Material Properties

Component | Resistivity (ohm*cm) | Thermal Conductivity (watt/cm°C) | Seebeck Coefficient (μvolts/°C)
n-type material | ρn = 1.35 x 10-3 | λn = .014 | αn = -195
p-type material | ρp = 1.75 x 10-3 | λp = .012 | αp = 230

The following quantities are calculated and compared to the analytical values.

  1. The thermal input to the hot junction:

    Qh = αThI - 1/2 I2R + KΔT

    where:
    Combined Seebeck coefficient α = |αn| + |αp|
    Internal electrical resistance R = ρn(Ln/ An) + ρp(Lp/ Ap)
    Internal thermal conductance K = λn(An/Ln) + λp(Ap/Lp)
    Applied temperature difference ΔT = Th - Tc

  2. The electric current:

    I = αΔT/(R + Ro)

  3. The output power:

    Po = I2Ro

  4. The thermal efficiency:

    η = Po/Qh

Second Thermal-Electric Analysis

This is the same as the first analysis, except that the temperature dependence of the Seebeck coefficient, electrical resistivity, and thermal conductivity of the materials is taken into account using the following data (Angrist, Appendix C, p.476–477).

Figure 2.10 Temperature Dependent Material Properties

n-type Material | p-type Material

2.11.2. Expected Results

The following table shows the results using material properties at the average temperature of 177°C

Table 2.12 Results Using Material Properties at Average Temperature

Quantity | ANSYS Results | Reference Results
Qh, watts | 13.03 | 13.04
I, amps | 19.08 | 19.2
Po, watts | 1.43 | 1.44
η, % | 10.96 | 10.95

The following table shows the results when temperature dependence of the material properties is taken into account.

Table 2.13 Results Considering Material Temperature Dependence

Quantity | ANSYS Results
Qh, watts | 11.07
I, amps | 16.37
Po, watts | 1.05
η, % | 9.49

2.11.3. Command Listing

/title, Thermoelectric Generator
/com
/com  Reference: "Direct Energy Conversion" (3rd edition) by
/com              Stanley W. Angrist
/com              Ch.4 "Thermoelectric Generators", p. 156
/com
/com
! Generator dimensions
ln=1.e-2                 ! n-type element length, m
lp=1.e-2                 ! p-type element length, m
wn=1.e-2                 ! n-type element width, m
wp=1.24e-2               ! p-type element width, m
t=1.e-2                  ! element thickness, m
d=0.4e-2                 ! Distance between the elements

rsvn=1.35e-5             ! Electrical resistivity, Ohm*m
rsvp=1.75e-5
kn=1.4                   ! Thermal conductivity, Watt/(m*K)
kp=1.2
sbkn=-195e-6             ! Seebeck coeff, volt/deg, n-type
sbkp=230e-6              !                          p-type
Th=327                   ! Temperature of hot junction, deg.C
Tc=27                    ! Temperature of cold side, deg.C
Toffst=273               ! Temperature offset, deg.C
R0=3.92e-3               ! External resistance, Ohm

/nopr
/PREP7
et,1,SOLID226,110        ! 20-node thermoelectric brick
/com
/com *** Thermo-electric analysis with material
/com *** properties evaluated at an average temperature
/com
! Material properties for n-type material
mp,rsvx,1,rsvn
mp,kxx,1,kn
mp,sbkx,1,sbkn

! Material properties for p-type material
mp,rsvx,2,rsvp
mp,kxx,2,kp
mp,sbkx,2,sbkp

! Solid model
block,d/2,wn+d/2,-ln,0,,t
block,-(wp+d/2),-d/2,-lp,0,,t

! Meshing
esize,wn/2
mat,1
vmesh,1
mat,2
vmesh,2

toffst,Toffst            ! Temperature offset

! Boundary conditions and loads
nsel,s,loc,y,0           ! Hot side
cp,1,temp,all            ! couple TEMP dofs
nh=ndnext(0)             ! Get master node
d,nh,temp,Th             ! Set TEMP constraint to Th
cp,2,volt,all            ! couple VOLT dofs
nsel,all

nsel,s,loc,y,-ln         ! Cold side, n-type
nsel,r,loc,x,d/2,wn+d/2
d,all,temp,Tc
cp,3,volt,all            ! Input electric terminal
nn=ndnext(0)             ! Get master node
nsel,all

nsel,s,loc,y,-lp         ! Cold side, p-type
nsel,r,loc,x,-(wp+d/2),-d/2
d,all,temp,Tc            ! Set TEMP constraint to Tc
cp,4,volt,all            ! Output electric terminal
np=ndnext(0)             ! Get master node
nsel,all
d,np,volt,0              ! Ground

et,2,CIRCU124,0          ! Load resistor
r,1,R0
type,2
real,1
e,np,nn
fini

/SOLU
antype,static
cnvtol,heat,1,1.e-3      ! Set convergence values
cnvtol,amps,1,1.e-3      ! for heat flow and current
solve
fini

! n-branch area
An=wn*t
! p-branch area
Ap=wp*t
! Total thermal conductance
K=kp*Ap/lp+kn*An/ln
! Total electric resistance of the couple
R=lp*rsvp/Ap+ln*rsvn/An
! Combined Seebeck coefficient
alp=abs(sbkp)+abs(sbkn)
/com
/com   ***   Calculated and expected results:
/com
/com Heat pumping rate on cold side Qh, Watts
*get,Qh,node,nh,rf,heat
/com  - ANSYS: %Qh%
I_a=alp*(Th-Tc)/(R+R0)
Qh_a=alp*I_a*(Th+Toffst)-I_a**2*R/2+K*(Th-Tc)
/com  - Expected: %Qh_a%
/com
/com Electric current I drawn from the generator, Amps
*get,I,elem,21,smisc,2
/com - ANSYS: %I%
/com - Expected: %I_a%
/com
/com Output power P, Watts
*get,P0,elem,21,nmisc,1
/com - ANSYS: %P0%
P0_a=I**2*R0
/com - Expected: %P0_a%
/com
/com Coefficient of thermal efficiency
/com - ANSYS: %P0/Qh%
/com - Expected: %P0_a/Qh_a%
/com ---------------------------------------------------
/com
/com *** Thermo-electric analysis with temperature
/com *** dependent material properties
/com

/PREP7
! Temperature data points
mptemp,1,25,50,75,100,125,150
mptemp,7,175,200,225,250,275,300
mptemp,13,325,350

! n-type material
! Seebeck coefficient, Volt/K
mpdata,sbkx,1,1,-160e-6,-168e-6,-174e-6,-180e-6,-184e-6,-187e-6
mpdata,sbkx,1,7,-189e-6,-190e-6,-189e-6,-186.5e-6,-183e-6,-177e-6
mpdata,sbkx,1,13,-169e-6,-160e-6

mpplot,sbkx,1

! Electrical resistivity, Ohm*m
mpdata,rsvx,1,1,1.03e-5,1.06e-5,1.1e-5,1.15e-5,1.2e-5,1.28e-5
mpdata,rsvx,1,7,1.37e-5,1.49e-5,1.59e-5,1.67e-5,1.74e-5,1.78e-5
mpdata,rsvx,1,13,1.8e-5,1.78e-5

mpplot,rsvx,1

! Thermal conductivity, watts/(m*K)
mpdata,kxx,1,1,1.183,1.22,1.245,1.265,1.265,1.25
mpdata,kxx,1,7,1.22,1.19,1.16,1.14,1.115,1.09
mpdata,kxx,1,13,1.06,1.03

mpplot,kxx,1

! p-type material
! Seebeck coefficient, Volt/K
mpdata,sbkx,2,1,200e-6,202e-6,208e-6,214e-6,220e-6,223e-6
mpdata,sbkx,2,7,218e-6,200e-6,180e-6,156e-6,140e-6,120e-6
mpdata,sbkx,2,13,101e-6,90e-6

mpplot,sbkx,2

! Electrical resistivity, Ohm*m
mpdata,rsvx,2,1,1.0e-5,1.08e-5,1.18e-5,1.35e-5,1.51e-5,1.7e-5
mpdata,rsvx,2,7,1.85e-5,1.98e-5,2.07e-5,2.143e-5,2.15e-5,2.1e-5
mpdata,rsvx,2,13,2.05e-5,2.0e-5

mpplot,rsvx,2

! Thermal conductivity, watts/(m*K)
mpdata,kxx,2,1,1.08,1.135,1.2,1.25,1.257,1.22
mpdata,kxx,2,7,1.116,1.135,1.13,1.09,1.12,1.25
mpdata,kxx,2,13,1.5,2.025

mpplot,kxx,2

/SOLU
tunif,Tc
neqit,30
solve
fini

/com
/com   ***   Results
/com
*get,Qh,node,nh,rf,heat
/com Heat pumping rate on cold side Qh = %Qh%, Watts
/com
*get,I,elem,21,smisc,2
/com Electric current drawn from the generator I = %I%, Amps
/com
*get,P,elem,21,nmisc,1
/com Output power P = %P%, Watts
/com
/com Coefficient of thermal efficiency beta = %P/Qh%
/com ---------------------------------------------------

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.10. Sample Thermoelectric Cooler Analysis (Batch or Command Method) 		Up / Home Next
2.12. Sample Structural-Thermal Harmonic Analysis (Batch or Command Method)


2.12. Sample Structural-Thermal Harmonic Analysis (Batch or Command Method)

In this example, a harmonic analysis is performed to calculate the effect of thermoelastic damping in a thin silicon beam vibrating transversely. The thermoelastic damping, or "internal friction," arising from the irreversible heat flow across the temperature gradients induced by the strain field in vibrating reeds has been predicted and investigated by C. Zener in "Internal Friction in Solids" published in Physical Review, Vol. 52, (1937), p.230 and Vol. 53, (1938), p.90.

2.12.1. Problem Description

A thin silicon clamped-clamped beam of length L = 300 µm and width W = 5 µm vibrates transversely under a uniform pressure P = 0.1 MPa applied in the -Y direction. The beam temperature in equilibrium is T0 = 27 °C.

Figure 2.11 Clamped-clamped Beam

The material properties used in the analysis are listed in the following table.

Table 2.14 Material Properties

Material Property | Value (μMKSV)
Young's Modulus | 1.3 x 105 MPa
Poisson' s Ratio | 0.28
Density | 2.23 x 10-15 kg/(µm)3
Thermal Conductivity | 9.0 x 107 pW/(µm*K)
Specific Heat | 6.99 x 1014 pJ/(kg*K)
Thermal Expansion Coefficient | 7.8 x 10-6 1/K

The beam finite element model is built using plane stress thermoelastic analysis options on the PLANE223 coupled-field element. A structural-thermal harmonic analysis is performed in the frequency range between 10 kHz and 10 MHz that spans the first six resonant modes of the beam.

2.12.2. Expected Results

The thermoelastic damping Q-1 is calculated using the equation given in Thermoelasticity in the Theory Reference for ANSYS and ANSYS Workbench. The following figure compares the numerical results with Zener's analytical expression for the thermoelastic damping in transversely vibrating reeds.

Figure 2.12 Frequency Dependence of Thermoelastic Damping in a Silicon Beam

2.12.3. Command Listing

/title, Thermoelastic Damping in a Silicon Beam, uMKSV system of units
/com,
/com, Reference for the analytical solution:
/com, C. Zener, "Internal Friction in Solids,"
/com, Phys. Rev., Vol. 53, (1938), p. 90
/com,
/nopr
!
!   Material constants for silicon [100]
!
E=1.3e5                      ! Young's modulus, MPa
nu=0.28                      ! Poisson's ratio
k=90e6                       ! Thermal conductivity, pW/(um*K)
rho=2330e-18                 ! Density, kg/(um)**3
Cp=699e12                    ! Heat capacity, pJ/(kg*K)
alp=7.8e-6                   ! Thermal expansion, 1/K
!
!   Dimensions
L=300                        ! Length, um
W=5                          ! Width, um
!
!   Loads
!
t0=27                        ! Reference temperature, C
Toff=273                     ! Offset temperature, K
P=0.1                        ! Pressure, MPa
!
!   Analysis parameters
!
fmin=0.1e6                   ! Start frequency, Hz
fmax=10e6                    ! End frequency, Hz
nsbs=100                     ! Number of substeps
!
!   Build finite element model
!
/PREP7
mp,EX,1,E
mp,PRXY,1,NU
mp,DENS,1,rho
mp,ALPX,1,ALP
mp,KXX,1,k
mp,C,1,Cp

et,1,PLANE223,11             ! Thermoelastic plane stress
rect,,L,,W
esize,W/2
amesh,1

nsel,s,loc,x,0               ! Clamp beam ends
nsel,a,loc,x,L
d,all,UX,0
nsel,r,loc,y,0
d,all,UY,0
nsel,all

Tref,t0                      ! Set reference temperature
Toffst,Toff                  ! Set offset temperature
fini

/com,
/com, == Perform thermoelastic harmonic analysis
/com,

/solu
antyp,harmic                 ! Harmonic analysis
outres,all,all               ! Write all solution items to the database
harfrq,fmin,fmax             ! Specify frequency range
nsubs,nsbs                   ! Set number of substeps
nsel,s,loc,y,W
sf,all,pres,P                ! Apply pressure load
nsel,all
kbc,1                        ! Stepped loading
solve
fini
!
!   Prepare for Zener's analytical solution
!
delta=E*alp**2*(t0+Toff)/(rho*Cp)
pi=acos(-1)
tau=rho*Cp*W**2/(k*pi**2)
f_Qmin=1/(2*pi*tau)
/com,
/com, Frequency of minimum Q-factor: f_Qmin=%f_Qmin%
/com,
f_0=0.986
f_1=0.012
f_2=0.0016
tau0=tau
tau1=tau/9
tau2=tau/25
!
*dim,freq,table,nsbs
*dim,Q,table,nsbs,2
!
!   Post-process solution
!
/post1
df=(fmax-fmin)/nsbs
f=fmin+df
*do,i,1,nsbs
set,,,,0,f                   ! Read real solution at frequency f
etab,w_r,nmisc,4             ! Store real part of total strain energy
set,,,,1,f                   ! Read imaginary solution at frequency f
etab,w_i,nmisc,4             ! Store imag part of total strain energy (losses)
ssum                         ! Sum up element energies
*get,Wr,ssum,,item,w_r
*get,Wi,ssum,,item,w_i
Qansys=Wr/Wi                 ! Numerical quality factor
om=2*pi*f
omt0=om*tau0
omt1=om*tau1
omt2=om*tau2
Q1=delta*f_0*omt0/(1+omt0**2)
Q1=Q1+delta*f_1*omt1/(1+omt1**2)
Q1=Q1+delta*f_2*omt2/(1+omt2**2)
Qzener=1/Q1                  ! Analytical quality factor
/com,
/com,  Q-factor at f=%f%:
/com,  ANSYS: Q=%Qansys%   Zener: Q=%Qzener%
/com,
freq(i)=f
Q(i,1)=1/Qansys
Q(i,2)=1/Qzener
f=f+df
*enddo
!
!   Plot computed and analytical damping factors
!
/axlab,x,Frequency f (Hz)
/axlab,y,Thermoelastic Damping 1/Q
/gcol,1,1/Qansys
/gcol,2,1/Qzener
*vplot,freq(1),Q(1,1),2

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.11. Sample Thermoelectric Generator Analysis (Batch or Command Method) 		Up / Home Next
2.13. Sample Electro-Thermal Microactuator Analysis (Batch or Command Method)


2.13. Sample Electro-Thermal Microactuator Analysis (Batch or Command Method)

This example problem considers an electro-thermal microactuator described in "Comprehensive thermal modeling and characterization of an electro-thermal compliant microactuator" by N.D. Mankame and G.K Ananthasuresh, J.Micromech. Microeng. Vol. 11 (2001) pp. 452-462.

2.13.1. Problem Description

The actuator silicon structure is comprised of a thin arm connected to a wide arm, flexure, and two anchors as shown in the figure below. In addition to providing mechanical support, the anchors also serve as electrical and thermal connections. The actuator operates on the principle of differential thermal expansion between the thin and wide arms. When a voltage difference is applied to the anchors, current flows through the arms producing Joule heating. Because of the width difference, the thin arm of the microactuator has a higher electrical resistance than the wide arm, and therefore it heats up more than the wide arm. The non-uniform Joule heating produces a non-uniform thermal expansion, and actuator tip deflection.

A 3-D static structural-thermoelectric analysis is performed to determine the tip deflection and temperature distribution in the microactuator when a 15 volt difference is applied to the anchors. Radiative and convective surface heat transfers are also taken into account, which is important for accurate modeling of the actuator. The microactuator dimensions (device D2 in the reference) and material properties of doped single-crystal silicon used for the simulation were taken from the reference above. The temperature dependent convective heat losses were applied to all the actuator surfaces; however, they may have been applied in a different way than in the reference.

Figure 2.13 Microactuator Model

2.13.2. Results

The tip deflection is determined to be 27.8 µm. The temperature ranges from 300 to 800 K. Displacement and temperature results are shown in the following figures.

Figure 2.14 Microactuator Displacements

Figure 2.15 Microactuator Temperatures

2.13.3. Command Listing

/title, Electro-Thermal Microactuator
/nopr
d1=40e-6               ! Microactuator dimensions, m
d2=255e-6
d3=40e-6
d4=330e-6
d5=1900e-6
d6=90e-6
d7=75e-6
d8=352e-6
d9=352e-6
d11=20e-6

! === Loads
Vlt=15                 ! Voltage difference, Volt
Tblk=300               ! Bulk temperature, K

/VIEW,1,1,2,3
/PREP7
et,1,SOLID227,111      ! Structural-thermoelectric tetrahedron
! === Material properties
mp,EX,1,169e9          ! Young modulus, Pa
mp,PRXY,1,0.3          ! Poisson's ratio
mp,RSVX,1,4.2e-4       ! Electrical resistivity, Ohm-m
! Temperature table for ALPX and KXX
mptemp,1,300,400,500,600,700,800
mptemp,7,900,1000,1100,1200,1300,1400
mptemp,13,1500
! Coefficients of thermal expansion data table, 1/K
mpdata,ALPX,1,1,2.568e-6,3.212e-6,3.594e-6,3.831e-6,3.987e-6,4.099e-6
mpdata,ALPX,1,7,4.185e-6,4.258e-6,4.323e-6,4.384e-6,4.442e-6,4.5e-6
mpdata,ALPX,1,13,4.556e-6
! Thermal conductivity data table, W/(m-K)
mpdata,KXX,1,1,146.4,98.3,73.2,57.5,49.2,41.8
mpdata,KXX,1,7,37.6,34.5,31.4,28.2,27.2,26.1
mpdata,KXX,1,13,25.1

tref,Tblk             ! Reference temperature

! === Solid model
k,1,0,0               ! Define keypoints
k,2,0,d9
k,3,d8,d9
k,4,d8,d1
k,5,d8+d4+d5,d1
k,6,d8+d4+d5,-(d7+d2)
k,7,d8+d4,-(d7+d2)
k,8,d8+d4,-(d7+d3)
k,9,d8,-(d7+d3)
k,10,d8,-(d7+d9)
k,11,0,-(d7+d9)
k,12,0,-d7
k,13,d8+d4+d5-d6,-d7
k,14,d8+d4+d5-d6,0
a,1,2,3,4,5,6,7,8,9,10,11,12,13,14 ! Define area
vext,1,,,,,d11       ! Extrude area by the out-of-plane size

! === Finite element model
lsel,s,line,,31,42   ! Element size along out-of-plane dimension
lesize,all,d11
lsel,s,line,,1,3     ! Element size along anchor sides
lsel,a,line,,9,11
lsel,a,line,,15,17
lsel,a,line,,23,25
lesize,all,d9/2
lsel,s,line,,5       ! Element size along side walls
lsel,a,line,,19
lesize,all,(d1+d2+d7)/6
lsel,s,line,,13      ! Element size along the end connection
lsel,a,line,,27
lesize,all,d7/3
lsel,s,line,,8       ! Element size along the flexure
lsel,a,line,,22
lesize,all,d4/6
lsel,s,line,,4       ! Element size along the thin arm
lsel,a,line,,18
lesize,all,(d4+d5)/30
lsel,s,line,,14
lsel,a,line,,28
lesize,all,(d8+d4+d5-d6)/40
lsel,s,line,,7       ! Element size along the wide arm
lsel,a,line,,21
lesize,all,d2/5
lsel,s,line,,12
lsel,a,line,,26
lesize,all,(d8+d4+d5-d6)/35
lsel,s,line,,6
lsel,a,line,,20
lesize,all,d5/25
lsel,all
vmesh,1              ! Mesh the volume

! === DOF constraints on the anchors
nsel,s,loc,x,0,d8
nsel,r,loc,z,0       ! Bottom surface
d,all,UX,0,,,,UY,UZ
d,all,TEMP,Tblk
nsel,all

nsel,s,loc,x,0,d8
nsel,r,loc,y,-(d7+d9),-d7
cp,1,VOLT,all
n_gr=ndnext(0)
d,n_gr,VOLT,0
nsel,s,loc,x,0,d8
nsel,r,loc,y,0,d9
cp,2,VOLT,all
n_vlt=ndnext(0)
d,n_vlt,VOLT,Vlt
nsel,all

! === Radiosity boundary conditions
sf,all,RDSF,0.7,1    ! Surface-to-surface radiation load
spctemp,1,Tblk       ! Ambient temperature
stef,5.6704e-8       ! Stefan-Boltzman radiation constant, J/(K)4(m)2(s)

! === Temperature dependent convection boundary conditions
Mptemp               ! Initialize temperature table
! Temperature table for thermal loading
mptemp,1,300,500,700,900,1100,1300
mptemp,7,1500
! === Upper face
asel,s,area,,2       ! Thin arm and flexure
nsla,s,1
nsel,r,loc,x,d8,d8+d4+d5-d6
nsel,r,loc,y,0,d1
sf,all,CONV,-1,Tblk
nsla,s,1
nsel,r,loc,x,d8,d8+d4
nsel,r,loc,y,-(d3+d7),-d7
sf,all,CONV,-1,Tblk
mpdata,HF,1,1,17.8,60.0,65.6,68.9,71.1,72.6
mpdata,HF,1,7,73.2
nsla,s,1              ! Wide arm
nsel,r,loc,x,d8+d4,d8+d4+d5-d6
nsel,r,loc,y,-(d2+d7),-d7
sf,all,CONV,-2,Tblk
mpdata,HF,2,1,11.2,37.9,41.4,43.4,44.8,45.7
mpdata,HF,2,7,46.0
nsla,s,1              ! End connection
nsel,r,loc,x,d8+d4+d5-d6,d8+d4+d5
sf,all,CONV,-3,Tblk
mpdata,HF,3,1,15.,50.9,55.5,58.2,60.,61.2
mpdata,HF,3,7,62.7
nsla,s,1              ! Anchors
nsel,r,loc,x,0,d8
sf,all,CONV,-4,Tblk
mpdata,HF,4,1,10.3,35.0,38.2,40.,41.3,42.1
mpdata,HF,4,7,42.5
! === Bottom face
asel,s,area,,1
nsla,s,1             ! Thin arm and flexure
nsel,r,loc,x,d8,d8+d4+d5-d6
nsel,r,loc,y,0,d1
sf,all,CONV,-5,Tblk
nsla,s,1
nsel,r,loc,x,d8,d8+d4
nsel,r,loc,y,-(d3+d7),-d7
sf,all,CONV,-5,Tblk
mpdata,HF,5,1,22.4,69.3,76.1,80.5,83.7,86.0
mpdata,HF,5,7,87.5
nsla,s,1             ! Wide arm
nsel,r,loc,x,d8+d4,d8+d4+d5-d6
nsel,r,loc,y,-(d2+d7),-d7
sf,all,CONV,-6,Tblk
mpdata,HF,6,1,13.,39.6,43.6,46.,47.6,49.
mpdata,HF,6,7,50.1
nsla,s,1             ! End connection
nsel,r,loc,x,d8+d4+d5-d6,d8+d4+d5
sf,all,CONV,-7,Tblk
mpdata,HF,7,1,24.,73.8,81.,85.7,89.2,91.6
mpdata,HF,7,7,93.2
nsel,all
asel,all
! === Side walls (anchors and area between the thin and wide
! arms are excluded)
asel,s,area,,6,16
asel,u,area,,11,16
sfa,all,,CONV,-8,Tblk
asel,all
mpdata,HF,8,1,929,1193,1397,1597,1791,1982
mpdata,HF,8,7,2176
finish

/SOLU
antype,static
cnvtol,f,1,1.e-4     ! Define convergence tolerances
cnvtol,heat,1,1.e-5
cnvtol,amps,1,1.e-5
nlgeom,on            ! Large deflection analysis
solve
finish

/POST1
/show,win32c
/cont,1,18
/dscale,1,10
plnsol,u,sum         ! Plot displacement vector sum
plnsol,temp          ! Plot temperature
finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.12. Sample Structural-Thermal Harmonic Analysis (Batch or Command Method) 		Up / Home Next
2.14. Sample Piezoelectric Analysis (Batch or Command Method)


2.14. Sample Piezoelectric Analysis (Batch or Command Method)

This example problem considers a piezoelectric bimorph beam in actuating and sensing modes.

2.14.1. Problem Description

A piezoelectric bimorph beam is composed of two piezoelectric layers joined together with opposite polarities. Piezoelectric bimorphs are widely used for actuation and sensing. In the actuation mode, on the application of an electric field across the beam thickness, one layer contracts while the other expands. This results in the bending of the entire structure and tip deflection. In the sensing mode, the bimorph is used to measure an external load by monitoring the piezoelectrically induced electrode voltages.

As shown in Figure 2.16: "Piezoelectric Bimorph Beam", this is a 2-D analysis of a bimorph mounted as a cantilever. The top surface has ten identical electrode patches and the bottom surface is grounded.

In the actuator simulation, perform a linear static analysis. For an applied voltage of 100 Volts along the top surface, determine the beam tip deflection. In the sensor simulation, perform a large deflection static analysis. For an applied beam tip deflection of 10 mm, determine the electrode voltages (V1, V2, ... V10) along the beam.

Figure 2.16 Piezoelectric Bimorph Beam

2.14.2. Problem Specifications

The bimorph material is Polyvinylidene Fluoride (PVDF) with the following properties:

Young's modulus (E1) = 2.0e9 N/m2
Poisson's ratio (ν12) = 0.29
Shear modulus (G12) = 0.775e9 N/m2
Piezoelectric strain coefficients (d31) = 2.2e-11 C/N, (d32) = 0.3e-11 C/N, and (d33) = -3.0e-11 C/N
Relative permittivity at constant stress (ε33)T = 12

The geometric properties are:

Beam length (L) = 100 mm
Layer thickness (H) = 0.5 mm

Loadings for this problem are:

Electrode voltage for the actuator mode (V) = 100 Volts
Beam tip deflection for the sensor mode (Uy) = 10 mm

2.14.3. Results

Actuator Mode

A deflection of -32.9 µm is calculated for 100 Volts.

This deflection is close to the theoretical solution determined by the following formula (J.G. Smits, S.I. Dalke, and T.K. Cooney, “The constituent equations of piezoelectric bimorphs,” Sensors and Actuators A, 28, pp. 41–61, 1991):

Uy = -3(d31)(V)(L)2/8(H)2

Substituting the problem values gives a theoretical deflection of -33.0 µm.

Sensor Mode

Electrode voltage results for a 10 millimeter beam tip deflection are shown in Table 2.15: "Electrode 1-5 Voltages" and Table 2.16: "Electrode 6-10 Voltages". They are in good agreement with those reported by W.-S. Hwang and H.C. Park (“Finite Element Modeling of Piezoelectric Sensors and Actuators,” American Institute of Aeronautics and Astronautics, Vol. 31, No.5, pp. 930-937, 1993).

Table 2.15 Electrode 1-5 Voltages

Electrode | 1 | 2 | 3 | 4 | 5
Volts | 295.2 | 266.7 | 235.3 | 203.8 | 172.3

Table 2.16 Electrode 6-10 Voltages

Electrode | 6 | 7 | 8 | 9 | 10
Volts | 140.9 | 109.5 | 78.2 | 47.1 | 18.2

2.14.4. Command Listing

The command listing below demonstrates the problem input. Text prefaced by an exclamation point (!) is a comment. An alternative element type and material input.are included in the comment lines.

/batch,list
/title, Static Analysis of a Piezoelectric Bimorph Beam
/nopr
/com,
/PREP7
!
!  Define problem parameters
!
!   - Geometry
!
L=100e-3                        ! Length, m
H=0.5e-3                        ! One-layer thickness, m
!
!   - Loading
!
V=100                           ! Electrode voltage, Volt
Uy=10.e-3                       ! Tip displacement, m
!
!   - Material properties for PVDF
!
E1=2.0e9                        ! Young's modulus, N/m^2
NU12=0.29                       ! Poisson's ratio
G12=0.775e9                     ! Shear modulus, N/m^2
d31=2.2e-11                     ! Piezoelectric strain coefficients, C/N
d32=0.3e-11
d33=-3.0e-11
ept33=12                        ! Relative permittivity at constant stress
!
! Finite element model of the piezoelectric bimorph beam
!
local,11                        ! Coord. system for lower layer: polar axis +Y
local,12,,,,,180                ! Coord. system for upper layer: polar axis -Y
csys,11                         ! Activate coord. system 11
rect,0,L,-H,0                   ! Create area for lower layer
rect,0,L, 0,H                   ! Create area for upper layer
aglue,all                       ! Glue layers
esize,H                         ! Specify the element length
!
et,1,PLANE223,1001,,0           ! 2-D piezoelectric element, plane stress

tb,ANEL,1,,,1                  ! Elastic compliance matrix
tbda,1,1/E1,-NU12/E1,-NU12/E1
tbda,7,1/E1,-NU12/E1
tbda,12,1/E1
tbda,16,1/G12

tb,PIEZ,1,,,1                   ! Piezoelectric strain matrix
tbda,2,d31
tbda,5,d33
tbda,8,d32

tb,DPER,1,,,1                   ! Permittivity at constant stress
tbdata,1,ept33,ept33

tblist,all                      ! List input and converted material matrices

! -------------------------------------------------------------------------
!          Alternative element type and material input
!
!et,1,PLANE13,7,,2               ! 2-D piezoelectric element, plane stress
!
!mp,EX,1,E1                      ! Elastic properties
!mp,NUXY,1,NU12
!mp,GXY,1,G12
!
!tb,PIEZ,1                       ! Piezoelectric stress matrix
!tbda,2,0.2876e-1
!tbda,5,-0.5186e-1
!tbda,8,-0.7014e-3
!
!mp,PERX,1,11.75                 ! Permittivity at constant strain
! -------------------------------------------------------------------------
type,1 $ esys,11
amesh,1                         ! Generate mesh within the lower layer
type,1 $ esys,12
amesh,3                         ! Generate mesh within the upper layer
!
nsel,s,loc,x,L
*get,ntip,node,0,num,min        ! Get master node at beam tip
!
nelec = 10                      ! Number of electrodes on top surface
*dim,ntop,array,nelec
l1 = 0                          ! Initialize electrode locations
l2 = L/nelec
*do,i,1,nelec                   ! Define electrodes on top surface
nsel,s,loc,y,H
nsel,r,loc,x,l1,l2
cp,i,volt,all
*get,ntop(i),node,0,num,min     ! Get master node on top electrode
l1 = l2 + H/10                  ! Update electrode location
l2 = l2 + L/nelec
*enddo
nsel,s,loc,y,-H                 ! Define bottom electrode
d,all,volt,0                    ! Ground bottom electrode
nsel,s,loc,x,0                  ! Clamp left end of bimorph
d,all,ux,0,,,,uy
nsel,all
fini
/SOLU                           ! Actuator simulation
antype,static                   ! Static analysis
*do,i,1,nelec
d,ntop(i),volt,V                ! Apply voltages to top electrodes
*enddo
solve
Uy_an = -3*d31*V*L**2/(8*H**2)  ! Theoretical solution
/com,
/com, Actuator mode results:
/com, - Calculated tip displacement Uy = %uy(ntip)% (m)
/com, - Theoretical solution        Uy = %Uy_an% (m)
fini
/SOLU                           ! Sensor simulation
antype,static,new
*do,i,1,nelec
ddele,ntop(i),volt              ! Delete applied voltages
*enddo
d,ntip,uy,Uy                    ! Apply displacement to beam tip
nlgeom,on                       ! Activate large deflections
nsubs,2                         ! Set number of substeps
cnvtol,F,1.e-3,1.e-3            ! Set convergence for force
cnvtol,CHRG,1.e-8,1.e-3         ! Set convergence for charge
!cnvtol,AMPS,1.e-8,1.e-3         ! Use AMPS label with PLANE13
solve
fini
/POST1
/com,
/com, Sensor mode results:
*do,i,1,nelec
/com, - Electrode %i%  Voltage = %volt(ntop(i))% (Volt)
*enddo
/com,
/view,,1,,1                     ! Set viewing directions
/dscale,1,1                     ! Set scaling options
pldisp,1                        ! Display deflected and undeflected shapes
path,position,2,,100            ! Define path name and parameters
ppath,1,,0,H                    ! Define path along bimorph length
ppath,2,,L,H
pdef,Volt,volt,,noav            ! Interpolate voltage onto the path
pdef,Uy,u,y                     ! Interpolate displacement onto the path
/axlab,x, Position (m)
/axlab,y, Electrode Voltage (Volt)
plpath,Volt                     ! Display electrode voltage along the path
/axlab,y, Beam Deflection (m)
plpath,Uy                       ! Display beam deflection along the path
pasave                          ! Save path in a file
fini

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.13. Sample Electro-Thermal Microactuator Analysis (Batch or Command Method) 		Up / Home Next
2.15. Sample Piezoelectric Analysis with Coriolis Effect (Batch or Command Method)


2.15. Sample Piezoelectric Analysis with Coriolis Effect (Batch or Command Method)

This example demonstrates a piezoelectric analysis with Coriolis effect in a rotating reference frame.

2.15.1. Problem Description

A quartz tuning fork for an angular velocity sensor consists of two tines connected to a base that is fixed at the bottom. SOLID226 elements model the tuning fork as shown in the following figure.

Figure 2.17 Finite Element Model of Quartz Tuning Fork

The tuning fork is excited into an in-plane vibration by an applied alternating voltage. When the tuning fork is rotated about the axis parallel to the tines (Y-axis) with an angular velocity Ω, the Coriolis effect produces a torque proportional to Ω. Converted to an electric output signal, the amplitude of the out-of-plane vibration can be used to sense the rotational velocity in angular velocity sensors.

Figure 2.18 Voltage Load for In-Plane Vibration

A QR-damped modal analysis (MODOPT,QRDAMP) of the rotating tuning fork is performed to determine the shift in the eigenfrequencies due to Coriolis and spin-softening effects. The Coriolis effect is activated in a rotating reference frame by the CORIOLIS,ON,,,OFF command. Angular velocity is specified by the OMEGA command.

A harmonic analysis is also performed to demonstrate the effect of Coriolis force in the vicinity of the 4th resonance.

2.15.2. Problem Specifications

Geometric and material properties are input in the μMKSV system of units. For more information on units, see System of Units.

The tuning fork dimensions are:

Thickness (T) = 350 μm
Tine width (W_t) = 450 μm
Base width (W) = 1250 μm
Tine length (L_t) = 3200 μm
Total length (L) = 4800 μm

Material property inputs for quartz are: elastic coefficients, piezoelectric coefficients, dielectric constants, and density (Bechmann, R., “Elastic and Piezoelectric Constants of Alpha-Quartz,” Physical Review, v.110, pp. 1060-1061 (1958)).

The operating parameters are:

Angular velocity (Ω) = 1e4 rad/s (Ω is typically around 1 rad/s for gyroscopes. It is greatly exaggerated here to show the out-of-plane motion in the animation.)
Operating frequency (f) = 32768 Hz (This frequency corresponds to a quartz clock. Gyroscopes can operate at a different frequency.)

2.15.3. Results

Eigenfrequencies are shown in the following table. Spin-softening effects are included by default in dynamic analyses when the CORIOLIS command is set to ON. To deactivate spin-softening, you set the KSPIN argument on the OMEGA command to 0.

Table 2.17 Tuning Fork Eigenfrequencies (Hz)

Mode | No Inertia Effects | Coriolis Effect Only | Coriolis Effect and Spin-Softening
1st | 15095 | 14989 | 14904
2nd | 24052 | 23817 | 23765
3rd | 30129 | 30345 | 30303
4th | 32736 | 33059 | 33020

To expand the corresponding complex mode shapes, you set the Cpxmod argument on the MODOPT command to ON and use the MXPAND command.

The in-plane and out-of-plane vibrations in the vicinity of the 4th resonance are shown in the following animation. Please view the animation online if you are reading the PDF version of the help.

Figure 2.19 In-Plane and Out-of-Plane Vibrations

2.15.4. Command Listing

The command listing below demonstrates the problem input. Text prefaced by an exclamation point (!) is a comment.

/title, Coriolis Effect in a Vibrating Quartz Tuning Fork
/com  uMKS system of units
/nopr

pi  = 4*atan(1)
/VIEW,1,1,1,1
/TRIAD,lbot

/PREP7
! == Material parameters
! -- Elastic coefficients, MPa
c11      = 86.74e3
c12      = 6.99e3
c13      = 11.91e3
c14      = 17.91e3
c33      = 107.2e3
c44      = 57.94e3
tb,ANEL,1
tbdata, 1,  c11, c12, c13,    0, c14,    0
tbdata, 7,       c11, c13,    0,-c14,    0
tbdata,12,            c33,    0,   0,    0
tbdata,16,          (c11-c12)/2,   0,  c14
tbdata,19,                       c44,    0
tbdata,21,                             c44

! -- Piezoelectric coefficients, pC/um2
e11 = 0.171
e14 =-0.0406
tb,PIEZ,1
tbdata, 1,  e11,    0,   0
tbdata, 4, -e11,    0,   0
tbdata, 7,    0,    0,   0
tbdata,10,    0, -e11,   0
tbdata,13,  e14,    0,   0
tbdata,16,    0, -e14,   0

! -- Dielectric constants
emunit,EPZRO,8.854e-6             ! pF/um
mp,PERx,1, 4.43
mp,PERy,1, 4.43
mp,PERz,1, 4.63

! -- Density, kg/um3
mp,DENS,1,2649e-18

! == Dimensions, um

thick    =  350                   ! thickness of wafer
leng_TF  = 4800                   ! length of tuning fork
leng_tin = 3200                   ! length of tines
dist_t   =  350                   ! distance between tines
width_t  =  450                   ! width of tines
x_t_in   = dist_t/2               ! distance to outer part of tines
x_t_out  = dist_t/2 + width_t     ! distance to inner part of tines

! == FE Model

et,1,SOLID226,1001                ! piezoelectric 20-node brick

! -- Keypoints
k, 1, 0,       0                , -thick/2
k, 2, 0,       leng_TF-leng_tin , -thick/2
k, 3, x_t_in,  0                , -thick/2
k, 4, x_t_in,  leng_TF-leng_tin , -thick/2
k, 5, x_t_in,  leng_TF          , -thick/2
k, 6, x_t_out, 0                , -thick/2
k, 7, x_t_out, leng_TF-leng_tin , -thick/2
k, 8, x_t_out, leng_TF          , -thick/2

! -- Areas
a,1,3,4,2
a,3,6,7,4
a,4,7,8,5

! -- Lines
lesize, 5,,,  4,                  ! X, tines
*repeat,3,2
lesize, 1,,,  2,                  ! X, between tines
lesize, 3,,,  2,
lesize, 8,,, 14,  3               ! Y, tines
lesize,10,,, 14, 1/3
lesize, 2,,, 8, -2                ! Y, base
*repeat,3,2
*get,n_lin,LINE,,count            ! number of lines
lgen,2,1, n_lin, 1,,, thick,20    ! generate top layer lines
l,1,21, 4,                        ! thickness direction
*repeat,8,1,1

lsymm,X,all,,,100                 ! generate left half of tuning fork

! -- Volumes
v,  1,  3,  4,  2,  21, 23, 24, 22
v,  3,  6,  7,  4,  23, 26, 27, 24
v,  4,  7,  8,  5,  24, 27, 28, 25
v,101,103,104,102, 121,123,124,122
v,103,106,107,104, 123,126,127,124
v,104,107,108,105, 124,127,128,125
vplot
nummrg,kp

! -- Mesh
type,1
vmesh,all

! == Define electrodes
delta=20                         ! separation between electrodes and edge

! -- Loaded electrode
nsel,s,loc,x, x_t_in+delta, x_t_out-delta     ! top/bottom right tine
nsel,u,loc,z, -thick/2+1, thick/2-1
nsel,a,loc,x, -x_t_out-1, -x_t_out+1          ! sides of left tine
nsel,a,loc,x, -x_t_in-1,  -x_t_in+1
nsel,r,loc,y, leng_TF-leng_tin-1, leng_TF-leng_tin*0.45  ! select tine-nodes
cp,1,volt,all
n_load=ndnext(0)                 ! get master node on loaded electrode

! -- Ground electrode
nsel,s,loc,x, -x_t_out+delta, -x_t_in-delta   ! top/bottom left tine
nsel,u,loc,z, -thick/2+1, thick/2-1
nsel,a,loc,x, x_t_out-1, x_t_out+1            ! sides of right tine
nsel,a,loc,x, x_t_in-1,  x_t_in+1
nsel,r,loc,y, leng_TF-leng_tin-1, leng_TF-leng_tin*0.45  ! select tine-nodes
cp,2,volt,all
n_ground=ndnext(0)               ! get master node on ground electrode
nsel,all

! == Solution
/SOLU
! -- Structural constraints
nsel,s,loc,y
d,all,ux,0,,,,uy,uz
nsel,all

! -- Ground electrode
d,n_ground,volt,0                ! ground
! -- Loaded electrode
d,n_load,volt,1                  ! apply 1 Volt

! -- Add Coriolis effect
coriolis,on,,,off                ! Coriolis effect in a rotating reference frame
omega,,1.e4                      ! rotational velocity about the Y axis, rad/s
fini

! == Modal analysis
/SOLU
antype,modal
modopt,QRDAMP,4                  ! use damped eigensolver
solve
fini

! ==Harmonic analysis
/SOLU
antype,harm
dmprat,0.02                      ! specify structural damping ratio of 2%
harfrq,,32768
outres,all,all
solve
fini

/POST1
set,1,1
/dscale,1,6
plns,uz
anharm                           ! animate complex displacements
fini

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.14. Sample Piezoelectric Analysis (Batch or Command Method) 		Up / Home Next
2.16. Sample Electroelastic Analysis of a Dielectric Elastomer (Batch or Command Method)


2.16. Sample Electroelastic Analysis of a Dielectric Elastomer (Batch or Command Method)

In this example problem, a electroelastic analysis is performed to determine the deformation of a dielectric elastomer upon the application of an electric field.

2.16.1. Problem Description

A dielectric elastomer is placed between two compliant electrodes. An applied electric field causes the dielectric elastomer to compress in thickness and elongate. An electroelastic analysis is performed to determine the following:

  • For a static load, the deformed shape and strain in the thickness direction (εz).

  • For a sinusoidal load, the longitudinal displacement as a function of time.

2.16.2. Problem Specifications

The elastomer has the following properties:

Young's modulus (Y) = 3.6e6 Pa
Poisson's ratio (mu) = 0.4999
Electric relative permittivity (eps) = 8.8

Free-space permittivity (eps0) is 8.854e-12 F/m.

The geometric properties are:

Elastomer length (l) = 1.1 mm
Elastomer width (w) = 0.11 mm
Elastomer thickness (t) = 0.055 mm

Loading conditions for this problem are:

Electric field intensity (Ef0) = 7e6 V/m
Applied voltage (V) = Ef0*t Volts
Operating frequency (freq) = 1000 Hz

2.16.3. Results

The elastomer deformation is shown in the following animation. Please view the animation online if you are reading the PDF version of the help.

Figure 2.20 Elastomer Deformation

The strain in the thickness direction is calculated to be -1.06e-3. That agrees with the analytical solution obtained using the following equation from I. Diaconu, D. Dorohoi (“Properties of Polyurethane Thin Films,” Journal of Optoelectronics and Advanced Materials, Vol. 7, No. 2, pp. 921–924, April 2005).

S = -1/2 (ε0εr/Y) (E)2(1 + 2μ)

where ε0 is the free space permittivity, εr is the relative electrical permittivity, Y is Young's modulus, E is the applied electric field, and μ is the Poisson' ratio.

For the transient load, the elastomer response frequency is twice the frequency of the driving voltage due to the quadratic dependence of strain on the electric field.

Figure 2.21 Applied Sinusoidal Voltage

Figure 2.22 Longitudinal Displacement of Elastomer

2.16.4. Command Listing

/title, Deformation of a dielectric elastomer
/nopr
! Geometry
l=1.1e-3           ! beam length, m
w=0.11e-3          ! electrode width, m
t=0.055e-3         ! thickness, m

! Loading
Ef0=7e6            ! electric field intensity, V/m
V=Ef0*t            ! applied voltage, V
freq=1000          ! operating frequency, Hz

! Material properties
Y=3.6e6            ! Young modulus, Pa
mu=0.4999          ! Poisson ratio (nearly incompressible rubber)
eps=8.8            ! electrical permittivity, relative
eps0=8.854e-12     ! free-space permittivity, F/m

/VUP,1,z
/VIEW,1,1,1,1

/nopr
/PREP7
et,1,SOLID226,1001 ! 20-node brick coupled-field element
mp,EX,1,Y
mp,PRXY,1,mu
mp,PERX,1,eps

block,-l/2,l/2,-w/2,w/2,0,t
esize,t/2
vmesh,1

! Structural BC
nsel,s,loc,x,-l/2
d,all,ux,0
nsel,r,loc,y,-w/2
d,all,uy,0
nsel,r,loc,z,0
d,all,uz,0
nsel,all

! Electrical BC
nsel,s,loc,z,0
nsel,r,loc,x,-l/2,l/2
nsel,r,loc,y,-w/2,w/2
cp,1,volt,all
ng=ndnext(0)       ! ground node
nsel,all

nsel,s,loc,z,t
nsel,r,loc,x,-l/2,l/2
nsel,r,loc,y,-w/2,w/2
cp,2,volt,all
nl=ndnext(0)       ! load node
nsel,all

/SOLU
antype,static
cnvtol,f,1,1.e-6
d,ng,volt,0
d,nl,volt,V        ! apply voltage difference
solve
fini

/POST1
pldisp,1           ! display deformed/undeformed shape
andscl             ! animate deformed/undeformed shape
nsel,s,loc,x,l/2
nd=ndnext(0)       ! pick node for display
nsel,r,node,,nd
prnsol,epel        ! print strain
nsel,all
fini

/com  **************************************************************************
/com   Expected results:
epelz=-eps0*eps*Ef0**2*(1+2*mu)/(2*Y)
/com   epelz=%epelz%
/com
/com   Reference: I. Diaconu, D. Dorohoi "Properties of Polyurethane Thin Films"
/com              Journal of Optoelectronics and Advanced Materials, v.7, no.2,
/com              April 2005, pp. 921-924
/com  **************************************************************************

/PREP7
et,2,CIRCU94,4,1,,,,1    ! voltage source, positive electric charge option
r,2,,V,freq
type,2
real,2
*get,nod226,node,,count  ! number of nodes
n,nod226+1
e,nl,ng,nod226+1

ddele,nl,volt
fini

/SOLU
antype,trans
time,4/freq
deltime,1/freq/20
outres,all,all
solve
fini

npost=node(l/2,0,0)      ! node for post-processing

/POST26
nsol,2,nl,volt,,Voltage
nsol,3,npost,u,x,Ux_ansys
/axlab,x, Time (s)
/axlab,y, Applied potential (V)
plvar,2
/axlab,y, Displacement Ux (m)
plvar,3

/com  **************************************************************************
/com   Expected results:
/com   Ux=epelx*l
/com    where:
/com   - epelx=sigx/Y-mu/Y*sigy-mu/Y*sigz= sigMx/Y
/com   - stresses sigx=sigy=sigMx;   sigz=-sigMx
/com   - electric field Ef=Ef0*sin(om*t)
/com   - circular frequency om=2*pi*freq
/com   - Maxwell stress sigMx=eps0*eps*Ef**2/2
/com                         =eps0*eps*Ef0**2*(1-cos(2*om*t))/4
/com    therefore:
/com   Ux=eps0*eps*Ef0**2*l/(4*Y)*(1-cos(2*om*t))
/com  **************************************************************************

! Calculations for the analytical solution
pi=acos(-1)
om=2*pi*freq
epelx0=eps0*eps*Ef0**2*l/(4*Y)

*dim,work1,array,80
*dim,work2,array,80
filldata,4,,,,1
prod,5,1,,,,,,2*om
vget,work1(1),5
*vfun,work2(1),cos,work1(1)
vput,work2(1),6
add,7,4,6,,,,,,-1
prod,8,7,,,Ux_expec,,,epelx0

prvar,3,8
fini

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.15. Sample Piezoelectric Analysis with Coriolis Effect (Batch or Command Method) 		Up / Home Next
2.17. Sample Electroelastic Analysis of a MEMS Switch (Batch or Command Method)


2.17. Sample Electroelastic Analysis of a MEMS Switch (Batch or Command Method)

In this example problem, an electroelastic analysis is performed to determine the deflection of a silicon beam for a MEMS switch.

2.17.1. Problem Description

A clamped silicon beam for a MEMS switch is suspended above an air gap. Forces generated by an electrostatic field bend the beam towards a ground plane. An electroelastic analysis is performed to determine the center deflection versus applied voltage.

SOLID95 structural brick elements model the beam. SOLID226 “elastic air” (KEYOPT(4) = 1) elements of tetrahedral shape model the air below the beam. Midside nodes on the air elements are dropped to alleviate mesh distortion. Displacement constraints are imposed on the bottom surface and sides of the air mesh. The bottom surface of the air gap is grounded. A ramped voltage up to 178 volts is applied to the top air surface at 10 volt solution intervals. NLGEOM is set to on to activate a large deflection analysis and stress-stiffening.

Figure 2.23 Finite Element Model

2.17.2. Problem Specifications

Geometric and material properties are input in the μMKSV system of units. For more information on units, see System of Units.

The geometric properties are:

Beam length = 150 µm
Beam height = 2 µm
Beam width = 4 µm
Air gap = 2 µm

The beam has the following material properties:

Young's modulus = 169e3 MPa
Poisson's ratio = 0.066
Density = 2.329e-15 kg/(µm)3

The “elastic air” is assigned the following material properties:

Young's modulus = 1.0e-3 MPa
Poisson's ratio = 0.0
Electric relative permittivity = 1.0

Free-space permittivity is 8.854e-6 pF/µm.

2.17.3. Results

The mid-span deflection is shown as a function of applied voltage in the following figure. The maximum applied voltage of 178 volts produces a displacement of UY = -0.82 µm. Higher voltages produce beam snap-down and a diverging solution.

See Sample Electrostatic Actuated Beam Analysis for a similar problem solved using the ANSYS Multi-field solver. You can compare the results for voltages up to 120 volts.

Figure 2.24 Mid-Span Beam Deflection

2.17.4. Command Listing

/title, Electrostatic-Structural Clamped Beam Direct Analysis
/nopr
! Problem parameters (uMKSV system)
l=150                    ! length of beam, um
tc=2                     ! beam height, um
w=4                      ! beam width, um
ta=2                     ! gap, um

V=178                    ! applied voltage, V
epse=1                   ! air permittivity, relative

/PREP7
et,1,SOLID95             ! 20-node structural brick
mp,ex,1,169e3            ! MPa
mp,nuxy,1,0.066
mp,dens,1,2.329e-15      ! kg/(um)^3

et,2,SOLID226,1001,,,1   ! 20-node "elastic air" brick
mp,ex,2,1.e-3            ! MPa
mp,prxy,2,0.0
mp,perx,2,1
emunit,EPZRO,8.854e-6    ! pF/um

block,0,l,0,tc,,w
block,0,l,-ta,0,,w
vglue,all

vsel,s,volu,,1           ! mesh beam
aslv
lsla
lsel,r,loc,x,l/2
lesize,all,,,20,,,,1     ! 20 bricks along beam length
lsla
lsel,r,loc,y,tc/2
lesize,all,,,2,,,,1      ! 2 bricks along beam thickness
lsla
lsel,r,loc,z,w/2
lesize,all,,,1,,,,1      ! 1 brick along beam width
type,1
mat,1
vmesh,1

msha,1,3d                ! set element shape to tet
mshmid,2                 ! drop mid-side nodes
vsel,s,volu,,3           ! mesh air gap
aslv
lsla
lsel,r,loc,x,l/2
lesize,all,,,20,,,,1     ! 20 tets along air gap bottom
lsla
lsel,r,loc,y,-ta/2
lesize,all,,,1,,,,1      ! 1 tet along beam thickness
lsla
lsel,r,loc,z,w/2
lesize,all,,,1,,,,1      ! 1 tet along beam width
type,2
mat,2
vmesh,3

/view,1,1,1,1
/number,1
/pnum,type,1
eplot
fini

/SOLU
nsel,s,loc,x,0         ! structural BC
nsel,a,loc,x,l
d,all,ux,0
d,all,uy,0
d,all,uz,0
nsel,s,loc,y,-ta
d,all,ux,0
d,all,uy,0
d,all,uz,0
nsel,all

nsel,s,loc,y,-ta       ! electrical BC
d,all,volt,0           ! ground
nsel,s,loc,y,0
d,all,volt,V           ! electrode
nsel,all

cnvtol,f,1,1e-3
deltim,10              ! 10 Volt solution interval
outres,nsol,1
neqit,50
nlgeom,on
time,V                 ! Time = voltage
kbc,0                  ! ramped loading
solve
fini

ndisp=node(l/2,0,0)    ! node for displacement display

/POST26
nsol,2,ndisp,u,y
/axlab,y,UY
/axlab,x,Voltage
prvar,2
plvar,2
fini

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.16. Sample Electroelastic Analysis of a Dielectric Elastomer (Batch or Command Method) 		Up / Home Next
2.18. Sample Piezoresistive Analysis (Batch or Command Method)


2.18. Sample Piezoresistive Analysis (Batch or Command Method)

This example problem considers a piezoresistive four-terminal sensing element described in M.-H. Bao, W.-J. Qi, Y. Wang, "Geometric Design Rules of Four-Terminal Gauge for Pressure Sensors", Sensors and Actuators, 18 (1989), pp. 149-156.

2.18.1. Problem Description

The sensing element consists of a rectangular p-type piezoresistor diffused on an n-type silicon diaphragm. The length of the diaphragm is oriented along the crystallographic direction X || [110] of silicon. The piezoresistor is a rectangular plate of length L and width W with two current contacts located at the ends of the plate. For maximum stress sensitivity, the piezoresistor is oriented at a 45° angle to the sides of the diaphragm. A supply voltage Vs is applied to the electrodes to produce a current in the length direction of the plate. The stress in the resistor material caused by pressure p on the diaphragm generates a proportional transverse electric field in the width direction. The output voltage Vo induced by this field is extracted from the two signal-conducting arms of length a and width b.

Figure 2.25 Four-Terminal Sensor

Perform a 2-D static piezoresistive analysis to determine the output voltage Vo of the sensing element.

2.18.2. Problem Specification

Material and geometric properties are input in the μMKSV system of units. For more information on units, see System of Units.

The material properties for silicon (Si) are:

Si stiffness coefficients, MN/m2:
c11 = 165.7e3
c12 = 63.9e3
c44 = 79.6e3
p-type Si resistivity = 7.8e-8 T Ωµm
p-type Si piezoresistive coefficients, (MPa)-1:
π11 = 6.5e-5
π12 = -1.1e-5
π44 = 138.1e-5

The geometric parameters are:

Width of piezoresistor (W) = 57 μm
Length of piezoresistor (L) = 1.5W
Width of signal-conducting arm (b) = 23 μm
Length of signal-conducting arm (a) = 2b
Size of the square diaphragm (S) = 2L

Loading for this model is:

Supply voltage (Vs) = 5 V
Pressure on the diaphragm (p) that creates stress in the X direction (Sx)= -10 MPa

Figure 2.26 Finite Element Model

2.18.3. Results

A series of 2-D piezoresistive static analyses was performed to determine the output voltage Vo of the sensing element as a function of its geometrical dimensions. Results are compared to the analytical solution given by:

which gives a good approximation of the transverse voltage for ideal geometries (i.e., when L is much larger than W, and the configuration has no signal-conducting arms and output contacts).

Table 2.18 Sensing Element Output Voltage

L/W | Vo, mV (ANSYS Results) | Vo, mV (Analytical Results)
1.25 | 25.9 | 27.6
1.5 | 23.1 | 23.0
2.0 | 18.4 | 17.3
2.5 | 15.5 | 13.8
3.0 | 12.8 | 11.5

2.18.4. Command Listing

/batch,list
/title, Four-terminal piezoresistive element, uMKSV system of units
/com,
/com,  Geometric parameters:
/com,
W=57                          ! width of piezoresistor, um
L=1.5*W                       ! length of piezoresistor, um
b=23                          ! width of signal-conducting arm, um
a=2*b                         ! length of signal-conducting arm, um
S=2*L                         ! size of square diaphragm, um
/com,
/com,  Material properties (Si):
/com,
/com,  Stiffness,  MN/m^2
/com,   [c11 c12 c12  0 ]
/com,   [c12 c11 c12  0 ]
/com,   [c12 c12 c11  0 ]
/com,   [ 0   0   0  c44]
/com,
c11= 16.57e4
c12= 6.39e4
c44= 7.96e4
/com,
/com,  Resistivity (p-type Si), TOhm*um
rho= 7.8e-8
/com,
/com,  Piezoresistive coefficients (p-type Si), (MPa)^(-1)
/com,   [p11 p12 p12  0 ]
/com,   [p12 p11 p12  0 ]
/com,   [p12 p12 p11  0 ]
/com,   [ 0   0   0  p44]
/com,
p11=6.5e-5
p12=-1.1e-5
p44=138.1e-5
/com,
/com,  Pressure load, MPa
p=10
/com,  Source voltage, Volt
Vs=5
/nopr

/prep7
et,1,PLANE223,101            ! piezoresistive element type, plane stress
et,2,PLANE183                ! structural element type, plane stress

                             ! Specify material orientation
local,11
local,12,,,,,45              ! X-axis along [110] direction

                             ! Specify material properties:
tb,ANEL,1,,,0                ! anisotropic elasticity matrix
tbda,1,c11,c12,c12
tbda,7,c11,c12
tbda,12,c11
tbda,16,c44

mp,RSVX,1,rho                ! resistivity

tb,PZRS,1                    ! piezoresistive stress matrix
tbdata,1,p11,p12,p12
tbdata,7,p12,p11,p12
tbdata,13,p12,p12,p11
tbdata,22,p44

csys,12                      ! Define piezoresistor area:
k,1,b/2,W/2+a
k,2,b/2,W/2
k,3,L/2,W/2
k,4,L/2,-W/2
k,5,b/2,-W/2
k,6,b/2,-W/2-a
k,7,-b/2,-W/2-a
k,8,-b/2,-W/2
k,9,-L/2,-W/2
k,10,-L/2,W/2
k,11,-b/2,W/2
k,12,-b/2,W/2+a
a,1,2,3,4,5,6,7,8,9,10,11,12

csys,11                      ! Define structural area:
rect,-S/2,S/2,-S/2,S/2
                             ! Mesh areas:
aovlap,all
esys,12
type,1
esize,b/4
mshape,1,2-D                 ! use triangles
amesh,1
type,2
esize,b/2
amesh,3

csys,12                      ! Apply electrical BC
nsel,s,loc,x,-L/2
nsel,r,loc,y,-W/2,W/2
cp,1,volt,all                ! left electrode:
*get,nl,node,0,num,min       ! get master node
d,nl,volt,Vs                 ! apply source voltage Vs
nsel,s,loc,x,L/2
nsel,r,loc,y,-W/2,W/2
d,all,volt,0                 ! ground right electrode
nsel,s,loc,y,W/2+a
nsel,r,loc,x,-b/2,b/2
cp,2,volt,all                ! top electrode:
*get,nt,node,0,num,min       ! get master node
nsel,s,loc,y,-W/2-a
nsel,r,loc,x,-b/2,b/2
cp,3,volt,all                ! bottom electrode:
*get,nb,node,0,num,min       ! get master node
nsel,all
csys,11                      ! Apply structural BC
nsel,s,loc,x,-S/2
d,all,ux,0
nsel,r,loc,y,-S/2
d,all,uy,0
nsel,s,loc,x,S/2
sf,all,pres,p                ! pressure load
nsel,all

/pbc,u,,1
/pbc,volt,,1
/pbc,cp,,1
/pnum,type,1
/number,1
eplot
fini

/solu                        ! Solution
antype,static
cnvtol,amps,1,1.e-3          ! Optional to prevent a warning message
solve
fini

/post1
/com,
/com, Results:
/com, Vout (ANSYS) = %abs(volt(nt)-volt(nb))*1.e3%, mV
/com, Vout (Analytical) = %Vs*W/L*p44*p/2*1e3%, mV
fini

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.17. Sample Electroelastic Analysis of a MEMS Switch (Batch or Command Method) 		Up / Home Next
2.19. Sample Electromechanical Analysis (Batch or Command Method)


2.19. Sample Electromechanical Analysis (Batch or Command Method)

In this example, you will perform a direct coupled-field analysis of a MEMS structure.

Figure 2.27 Electrostatic Parallel Plate Drive Connected to a Silicon Beam

Beam Properties | Parallel Plate Drive Properties
L = 150 µm | Ap = 100 ( µm)2
b = 4 µm | gap = 1 µm
h = 2 µm | εr = 8.854e-6 pF/ µm
E = 1.69e5 µN/( µm)2 |
ρ = 2.332e-15 kg/( µm)3 |

2.19.1. Problem Description

A MEMS structure consists of an electrostatic parallel-plate drive connected to a silicon beam structure. The beam is pinned at both ends. The parallel-plate drive has a stationary component, and a moving component attached to the beam. Perform the following simulations:

  1. Apply 150 Volts to the comb drive and compute the displacement of the beam

  2. For a DC voltage of 150 Volts, compute the first three eigenfrequencies of the beam.

  3. For a DC bias voltage of 150 Volts, and a vertical force of 0.1 µN applied at the midspan of the beam, compute the beam displacement over a frequency range of 300 kHz to 400 kHz.

The parallel plate capacitance is given by the function Co/x where Co is equal to the free-space permittivity multiplied by the parallel plate area. The initial plate separation is 1 µm. The Modal and Harmonic analysis must consider the effects of the DC voltage "preload". The problem is set up to perform a Prestress Modal and a Prestress Harmonic analysis utilizing the Static analysis results. A consistent set of units are used (µMKSV). Since the voltage across TRANS126 is completely specified, the symmetric matrix option (KEYOPT(4) = 1) is set to allow for use of symmetric solvers.

2.19.2. Expected Results

The expected analytic results for this example problem are as follows.

2.19.2.1. Static Analysis

UY (node 2) = -0.11076e-2 µm

2.19.2.2. Modal Analysis

f1 = 351 kHz
f2 = 1380 kHz
f3 = 3095 kHz

2.19.2.3. Harmonic Analysis

Frequency @ maximum displacement = 351.6 kHz
Maximum displacement = 22 µm (undamped)

2.19.2.4. Displays

Figure 2.28: "Elements of MEMS Example Problem" shows the transducer and beam finite elements.
Figure 2.29: "Lowest Eigenvalue Mode Shape for MEMS Example Problem" shows the mode shape at the lowest eigenvalue.
Figure 2.30: "Mid Span Beam Deflection for MEMS Example Problem" shows the harmonic response of the midspan beam deflection.

Figure 2.28 Elements of MEMS Example Problem

Figure 2.29 Lowest Eigenvalue Mode Shape for MEMS Example Problem

Figure 2.30 Mid Span Beam Deflection for MEMS Example Problem

2.19.3. Building and Solving the Model

The command text below demonstrates the problem input. All text prefaced with an exclamation point (!) is a comment.

/batch,list
/show,file
/prep7
/title, Static, Modal, Harmonic response of a  MEMS structure
/com

L=150                     ! beam length (micrometers)
b=4                       ! beam width
h=2                       ! beam height

I=b*h**3/12               ! beam moment of inertia

E=169e3                   ! modulus  ( micro Newtons/micron**2)
dens=2332e-18             ! density (kg/micron**3)
per0=8.854e-6             ! free-space permittivity (pF/micron)
plateA=100	               ! capacitor plate area (micron**2)
vlt=150	                  ! Applied capacitor plate voltage
gapi=1                    ! initial gap (microns)

et,1,3                    ! 2-D beam element
r,1,b*h,I,h               ! beam properties
mp,ex,1,E
mp,dens,1,dens

et,2,126,,,,1             ! Transducer element, UX-VOLT dof, symmetric
c0=per0*plateA            ! C0/x constant for Capacitance equation
r,2,0,0,gapi              ! Initial gap distance
rmore,c0                  ! Real constant C0

n,1,-10
n,2,0
n,22,L
fill
type,2
real,2
e,1,2                     ! Transducer element (arbitrary length)
type,1
real,1
e,2,3                     ! Beam elements
*repeat,20,1,1

nsel,s,loc,x,-10
nsel,a,loc,x,L
d,all,ux,0,,,,uy   	  	! Pin beam and TRANS126 element
nsel,s,loc,x,0
d,all,uy,0	         	  	! Allow only UX motion
d,2,volt,vlt    	 		! Apply voltage across capacitor plate
nsel,s,loc,x,-10
d,all,volt,0      	  ! Ground other end of capacitor plate
nsel,all
fini

/solu
antyp,static		        ! Static analysis
pstres,on         	   ! turn on prestress effects
solve
fini
/post1
prnsol,dof		          ! print displacements and voltage
prrsol                 ! Print reaction forces
fini

/solu
antyp,modal                ! Modal analysis
modopt,lanb,3              ! Block Lanczos; extract 3 modes
mxpand                     ! Expand 3 modes
pstres,on                  ! Include prestress effects
solve
finish
/post1
set,1,1	                   ! Retrieve lowest eigenfrequency results
pldisp,1                   ! Plot mode shape for lowest eigenfrequency

/solu
antyp,harm                	! Harmonic analysis
hropt,full	         	 			! Full harmonic analysis option
pstres,on                  ! Include prestress effects
harfrq,300000,400000       ! Frequency range (Hz.)
nsubs,500                  ! Number of sampling points (substeps)
outres,all,all             ! Save all substeps
ddele,2,volt               ! delete applied DC voltage
nsel,s,loc,x,L/2           ! Select node at beam midspan
f,all,fy,.1                ! Apply vertical force (.1 N)
nsel,all
solve
finish

/post26
nsol,2,12,u,y,             ! select node with applied force
add,4,1,,,,,,1/1000        ! change to Kilohertz
plcplx,0		! magnitude
/axlab,x,Frequency (Khz.)  ! set graphics options
/axlab,y,Displacement
/xrange,325,375
/yrange,0,20
/gropt,divx,10
/gthk,axis,1.5
/grop,ltype,0
/dev,text,1,400
xvar,4
plvar,2	                   ! Plot displacement vs. frequency
prvar,2	                   ! Print displacement vs/. frequency
finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.18. Sample Piezoresistive Analysis (Batch or Command Method) 		Up / Home Next
2.20. Sample Electromechanical Transient Analysis (Batch or Command Method)


2.20. Sample Electromechanical Transient Analysis (Batch or Command Method)

The following problem illustrates a MEMS mechanical large signal transient analysis of an electromechanical transducer capacitor.

2.20.1. Results

To find the displacement Ux of the transducer nodes produced by the movement of a huge mass, we use the equation:

Ux = X0 + (V)(T)

X0 is the initial gap, V is the velocity of the huge mass, and T is the analysis time.

Table 2.19 Initial Values and Expected Results

Parameter | x0 | v | t | ux
Value | 4.0 | 0.5 | 2.0 | 5.0

2.20.2. Command Listing

The command listing below demonstrates the problem input. Text prefaced by an exclamation point (!) is a comment.

/batch,list
/title, huge mass,transient,velocity,sparse,unweighted
/com,-------------------------------------------------------------------
/com MEMS mechanical large signal dynamic analysis.
/com The large signal transient of a electromechanical transducer capacitor.
/com
/com To obtain accurate solution, avsmooth is turned off.
/com
/com Target solution
/com
/com ux = x0 + v t
/com x0                   : initial gap
/com v                    : velocity of huge mass
/com t                    : analysis time
/com
/com For x0=4, v=0.5 and t=2 we have: ux = 4+0.5*2 = 5.0
/com,-----------------------------------------------------------------------
/nopr

eps0=8.854e-6
u=10     		! voltage difference
v=0.5    		! velocity
x0=4     		! initial gap
dt=2     		! time increment
!
/prep7
n,1,0,0
n,2,0,1
n,3,1,1
n,4,1,0

et,1,109               ! unweighted transducer element
emunit,epzro,eps0
mp,perx,1,1

type,1
e,1,3,2
e,1,4,3

et,2,21,,,2            ! huge mass
r,2,0.5e+20
type,2
real,2
e,3
e,4

d,1,ux,0.0
d,2,ux,0.0
d,1,volt,0
d,2,volt,0		! ground

d,3,volt,u
d,4,volt,u

d,all,uy,0
d,all,uz,0

fini
!
/solu

/out,scratch
antype,tran
eqslv,sparse
tintp,,,, ,,,, ,1       ! avsmooth off
ic,3,ux,x0,v
ic,4,ux,x0,v
ic,3,volt,u
ic,4,volt,u
kbc,1
outres,all,all
deltim,dt
time,dt
solve
fini

/post1
set,last
prnsol,ux
prns,volt
prrf,fx
prrf,chrg
fini

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.19. Sample Electromechanical Analysis (Batch or Command Method) 		Up / Home Next
2.21. Sample Electromechanical Hysteresis Analysis (Batch or Command Method)


2.21. Sample Electromechanical Hysteresis Analysis (Batch or Command Method)

The following problem illustrates an electromechanical hysteresis analysis. Both pull-in and release behaviors are modeled (hysteresis loop).

2.21.1. Problem Specifications

A beam is clamped at either end, suspended 0.7 µm over a ground plane with a contact stop at 0.1 µm above the ground plane.

2.21.2. Results

Beam dimensions and material properties are as follows: length is bl, width is wb, height is bh, elastic modulus is E, coefficient of friction is µ, initial gap is gap, finishing gap is gfi, pull-in voltage is V. Maximum displacement is 0.6 µm (gap-gfi).

Table 2.20 Initial Values

bl | wb | bh | E | µ | gap | gfi | V
80 µm | 10 µm | 0.5 µm | 169 GPa | 0.25 | 0.7 µm | 0.1 µm | 18 V

The expected results for the displacement at a given voltage are:

Table 2.21 Expected Results

Voltage | Displacement
11.000 | -0.0722
14.500 | -0.1451
18.000 | -0.6004
14.500 | -0.6002
11.000 | -0.0723

2.21.3. Command Listing

The command listing below demonstrates the problem input. Text prefaced by an exclamation point (!) is a comment.

/batch,list
/title, Gilbert,static,hysteresis,weighted,sparse
/com, ------------------------------------------------------
/com,          2-D Beam under electrostatic load
/com,          --------------------------------
/com,   Compare with 3-D model from the paper:
/com,   J.R.Gilbert, G.K.Ananthasuresh, S.D.Senturia, (MIT)
/com,   "3-D Modelling of Contact Problems and Hysteresis in
/com,    Coupled Electro-Mechanics", MEMS'96, pp. 127-132.
/com,
/com,                       3-D Model:
/com,   Beam is clamped at either end, suspended 0.7 µm over
/com,   a ground plane with contact stop at 0.1 µm above the
/com,   ground plane.   Beam dimensions and material properties:
/com,   length bl=80µm, width wb=10µm, height bh=.5µm, E=169GPa, µ=0.25
/com,   Initial Gap: gap=0.7µm , finishing gap gfi=0.1um
/com,   Maximum displacement is 0.6µm (gap-gfi)
/com,
/com,	Value of the pull-in voltage: 18V
/com,	Both pull-in and release behaviors are modeled (hysteresis loop).

!-------------- Control parameters ----------------------

vltg1 = 11.0			! Bias voltage 1
vltg2 = 14.5			! Bias voltage 2
vltg  = 18.0   			! Pull-in voltage

esize=0.5     			! element mesh size

!---------------- Geometry parameters ---------------

bl=40				! beam length
bh=.5				! beam height
gap=.7				! maximum gap
gap0=.6				! air gap
eps0=8.854e-6

!---------------------- Model ---------------

/prep7

emunit,epzro,eps0

et,1,42,,,2
et,2,109,1,       		! weighted transducer
et,3,12,,,,1

mp,ex,1,169e3
mp,nuxy,1,0.25
mp,perx,2,1
mp,mu,3,0

r,1,c0,eps0
r,2,,1690

rect,,bl,gap,gap+bh
rect,,bl,,gap+bh
aovlap,all
nummrg,kp

ASEL,S,loc,y,gap+bh/2
AATT,1,,1
ASEL,INVERT
aatt,2,1,2
cm,area1,area

alls
esize,esize

asel,s,mat,,1
mshape,0,2
mshkey,2
amesh,all

asel,s,mat,,2
mshape,1,2
mshkey,1
amesh,all

type,3				! gap element mesh
mat,3
real,2
*get,nomax,node,0,num,max
kn=bl/esize
k8=nomax+1
xl=0
*do,i8,1,kn+1
 n52=k8
 n53=n52+1
 n,n52,xl,gap
 n,n53,xl,gap-gap0
 e,n53,n52
 k8=k8+2
 xl=xl+esize
*enddo
nummrg,node
alls

!--------------- Boundary Conditions -----------------

esel,s,type,,2
nsle,s
nsel,r,loc,y,gap
cm,bnode,node

nsle,s
nsel,r,loc,y,0
d,all,volt,0			! ground

alls
nsel,s,loc,x,0     		!  fix left end
nsel,a,loc,y,0     		!  fix bottom
d,all,ux,0
d,all,uy,0

alls
nsel,s,loc,x,bl    		!  symmetry line
d,all,ux,0

esel,s,type,,3
nsle,s
nsel,r,loc,y,gap-gap0   	! fix gap elements
d,all,all

allsel,all
fini
save

/solu

!------------------ Loading (below pull-in) ---------------------

/solu

eqslv,sparse
cnvtol,f,1,1.0e-4
AUTOTS,ON
NSUBST,1
outres,all,all
neqit,50
nlgeom,on

cmsel,s,bnode			! Bias 1
d,all,volt,vltg1
alls

solve

cmsel,s,bnode			! Bias 2
d,all,volt,vltg2
alls

solve
fini

!---------------------------- Postprocessing ------------------
/post26
alls
NSEL,S,,,2
NSOL,2,2,U,Y,uy  		! Displacement at the tip
NSOL,3,2,VOLT,,volt		! Voltage at the tip
PRVAR,volt,uy, , , , ,
alls
fini

!------------------- Pull-in  --------------------------------------
!--- 2-Step Solution: 	- moving beam to close-to-pull-in position
!---			- applying pull-in voltage and releasing BC
!-------------------------------------------------------------------

!-------- Step 1 (displacement) ------------

/solu
antype
icdele
ic,all,all,0.0
cmsel,s,bnode
ddele,all,volt
allsel,all

nsel,s,loc,x,bl			! Displacement BC
nsel,r,loc,y,gap
d,all,uy,-0.65
allsel,all

NSUBST,2
solve
fini
save

/post1
set,list

alls
*get,nnode,node,,num,max
*dim,icux,,nnode
*dim,icuy,,nnode

set,last
*do,i,1,nnode
icux(i)=ux(i)
icuy(i)=uy(i)
*enddo
fini

!-------- Step 2 (voltage) ------------
/solu

alls
ddele,all			! delete old BC

esel,s,type,,2
nsle,s
nsel,r,loc,y,0
d,all,volt,0

alls
nsel,s,loc,x,0     		!  fix one end
nsel,a,loc,y,0     		!  fix bottom
d,all,ux,0
d,all,uy,0

alls
nsel,s,loc,x,bl    		!  symmetry line
d,all,ux,0

esel,s,type,,3
nsle,s
nsel,r,loc,y,gap-gap0   	! fix gap elements
d,all,all

allsel,all

cmsel,s,bnode			! Apply pull-in voltage
ic,all,volt,vltg
d,all,volt,vltg
alls

*do,i,1,nnode			! new initial conditions
 icuqx=icux(i)
 icuqy=icuy(i)
 ic,i,ux,icuqx
 ic,i,uy,icuqy
*enddo

outres,all,all
AUTOTS,ON
nsubst,1

solve

!------------------- UNLOADING (from 18V to 11V) -------------

cmsel,s,bnode
d,all,volt,vltg2		! Apply 14.5V
allsel,all
solve

cmsel,s,bnode
d,all,volt,vltg1		! Apply 11.0V
allsel,all
solve

fini

!---------------------------- Postprocessing ------------------
/post26
alls
NSEL,S,,,2
NSOL,2,2,U,Y,uy  			! Displacement at the tip
NSOL,3,2,VOLT,,volt		! Voltage at the tip
/out
PRVAR,volt,uy, , , , ,

/com  **************************************************************************
/com   Expected results:
/com
/com  Voltage Displacement
/com   11.000      -0.0722
/com   14.500      -0.1451
/com   18.000      -0.6004
/com   14.500      -0.6002
/com   11.000      -0.0723
/com  **************************************************************************
alls
fini

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.20. Sample Electromechanical Transient Analysis (Batch or Command Method) 		Up / Home Next
2.22. Sample Electromechanical Comb Finger Analysis (Batch or Command Method)


2.22. Sample Electromechanical Comb Finger Analysis (Batch or Command Method)

The following example illustrates a comb drive electrostatic problem. One finger is modeled.

2.22.1. Problem Specifications

The air gap between a comb-drive rotor and a stator is meshed with TRANS109 elements. The electrodes are modeled as the coupled equipotential sets of nodes. The stator is fixed. The rotor is attached to the spring and allowed to move (Ux). Ground nodes are allowed to move horizontally. Equilibrium between the spring force and the electrostatic force is reached at: ux = 0.1 µm.

2.22.2. Results

The target electrostatic force Fe can be calculated using:

Fe = (N)(h)(Eps0)(V)2/g

where N is the number of fingers, h is the thickness in Z, Eps0 is the free space permittivity, V is the driving voltage, and g is the initial lateral gap.

Table 2.22 Initial Values

Parameter | N | h | Eps0 | V | g
Value | 1.0 | 10 | 8.854e-6 | 4.0 | 5.0

The potential distribution of the deformed comb drive is shown in Figure 2.31: "Potential Distribution on Deformed Comb Drive".

Figure 2.31 Potential Distribution on Deformed Comb Drive

2.22.3. Command Listing

The command listing below demonstrates the problem input. Text prefaced by an exclamation point (!) is a comment.

/batch,list
/title, comb-finger,static,spring,unweighted,iccg,gnd moves
/com ----------------------------------------------------------------------------
/com Combdrive electrostatic problem. One finger is modeled.
/com Air gap between comb-drive rotor and stator is meshed with TRANS109 elements.
/com The electrodes are modeled as the coupled equipotential sets of nodes.
/com Stator is fixed. Rotor is attached to the spring and allowed to move (Ux).
/com Ground nodes are allowed to move horizontally.
/com Equilibrium between spring force and electrostatic force is reached at:
/com
/com 		ux = 0.1 microns
/com
/com REFERENCE SOLUTION:
/com
/com W.C.Tang et al, "Electrostatic combdrive of lateral polysilicon resonators",
/com Sensors and Actuators A, 21-23 (1990), 328-331
/com
/com Target electrostatic force:   Fe = N*h*Eps0*V^2/g
/com (N-number of fingers, h-thickness in z, Eps0 - free space permittivity,
/com V - driving voltage and g - initial lateral gap)
/com ----------------------------------------------------------------------------
/nopr
!-------------- Combdrive Parameters ---------------------

eps0=8.854e-6			! free space permittivity
g0=5.0						! Initial gap
h=10							! Fingers width (in-plane)
L=100							! Finger length
x0=0.5*L					! Fingers overlap
ftol=1.0e-5
esize=1.0					! Element size
k=2.8333e-4				! spring stiffness
vltg=4.0					! Applied voltage

!-------------- Combdrive Finger Geometry ---------------

/prep7

et,1,109,,           		! unweighted transducer
emunit,epzro,eps0
mp,perx,1,1
r,1,1.0
et,2,14,,1            		! linear spring, UX DOF
r,2,k                		! spring parameters (k/2)

et,3,42								! PLANE42 for moving finger
mp,ex,2,169e3
mp,nuxy,2,0.25
r,3,

BLC4,0,-h/2,L,h					! create all areas
BLC4,-h,-h/2,h,h
BLC4,-h,-h-g0,h,h/2+g0
BLC4,-h,h/2,h,h/2+g0
BLC4,L-x0,h/2+g0,L,h/2
BLC4,L-x0,-h-g0,L,h/2
BLC4,0,-h-g0,2*L-x0,2*(h+g0)

aovlap,all
nummrg,kp

! --------------------- Areas Attributes --------------------

asel,s,area,,1				! moving finger
asel,a,area,,8
asel,a,area,,9
asel,a,area,,10
aatt,2,3,3						! material 2, real 3, type 3

asel,s,area,,11				! air gap
aatt,1,1,1						! material 1, real 1, type 1
alls

!-------------------- Air Gap Free meshing ------------------

asel,s,area,,11
esize,esize
mshape,1,2
mshkey,0
amesh,all
alls

!-------------------- Meshing of Moving finger  ------------------

asel,s,area,,1
asel,a,area,,8
asel,a,area,,9
asel,a,area,,10

esize,esize
mshape,0,2
mshkey,1
amesh,all
alls

!------------------- Spring Element -----------------

type,2
real,2

*get,node_num,node,,count
n,node_num+1,0.0,0.0
nsel,s,loc,x,-h
nsel,r,loc,y,0.0
*get,node0,node,,num,max
e,node0,node_num+1
alls

! ------------- Nodal components for BC ---------------

LSEL,s,line,,15
LSEL,a,line,,33
LSEL,a,line,,3
LSEL,a,line,,2
LSEL,a,line,,1
LSEL,a,line,,31
LSEL,a,line,,9

NSLL,S,1
cm,rotor,node			! component 'rotor'
alls

LSEL,s,line,,20
LSEL,a,line,,17
LSEL,a,line,,37
LSEL,a,line,,23
LSEL,a,line,,24

NSLL,S,1
cm,ground,node			! component 'ground'
alls

fini

!------------- Boundary conditions -----------
/solu

nsel,s,loc,y,-(h+g0)		! symmetry (uy=0)
nsel,a,loc,y,h+g0
d,all,uy,0
alls

d,node_num+1,ux,0.0		! fix the spring (ux=0)

cmsel,s,ground				! ground (ux=uy=volt=0)
d,all,volt,0.0
d,all,uy,0.0
alls

LSEL,s,line,,20				! fix horizontal (ux=0)
LSEL,a,line,,37
LSEL,a,line,,24
NSLL,S,1

d,all,ux,0.0

cmsel,s,rotor				! apply voltage to rotor
d,all,volt,vltg
alls

fini

!---------------- Solution ----------------------------

/solu
eqslv,iccg
SOLNCTRL,ON
cnvtol,f,1,ftol
nlgeom,on
outres,all,all
NSUBST,20,100,20
solve
fini

!---------------- Postprocessing ---------------------

/post1
/out
set,last
*get,ux_1,node,node0,u,x

CMSEL,s,ground
/com --------------------------------------------
/com Components of electrostatic force on stator:
/com --------------------------------------------
fsum,,
/com
/com
/com Displacement of the combdrive (Ux):
*vwrite,ux_1
(/' Combdrive displacement = ',e13.6)
ux_ref=0.1
*vwrite,ux_ref
(/' Reference displacement = ',e13.6)

fini

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.21. Sample Electromechanical Hysteresis Analysis (Batch or Command Method) 		Up / Home Next
2.23. Sample Force Calculation of Two Opposite Electrodes (Batch or Command Method)


2.23. Sample Force Calculation of Two Opposite Electrodes (Batch or Command Method)

The goal of the simulation is to determine the nature of the horizontal (dragging) electrostatic force produced by two infinitely narrow, semi-infinite electrodes.

2.23.1. Problem Specifications

The potential drop between the electrodes is U = 4V. Potentials U/2 and -U/2 are applied to the set of nodes representing top and bottom line electrodes. There are no active structural degrees of freedom in the finite element model.

2.23.2. Results

Because of the thin geometry of electrodes, the fringing effects are significant. The potential distribution is shown in Figure 2.32: "Potential Distribution of Overlapping Electrodes".

Figure 2.32 Potential Distribution of Overlapping Electrodes

2.23.3. Command Listing

The command listing below demonstrates the problem input. Text prefaced by an exclamation point (!) is a comment.

/batch,list
/title,Force Calculation of Two Opposite Electrodes
/com
/com -------------- Problem Description --------------------
/com
/com The goal of the simulation is to determine the nature of
/com     horizontal (dragging) electrostatic force produced by
/com     two infinitely narrow semi-infinite electrodes
/com
/com Potential drop between electrodes U = 4V.
/com     Potentials U/2 and -U/2 are applied to the
/com     set of nodes representing top and bottom line electrodes.
/com
/com There are no active structural degrees of freedom
/com     in the finite element model.
/com
/com -----------------------------------------------------------
/nopr
H=80					! infinity size
x0=H/5				! overlap
g0=H/40				! Initial gap
vltg=4.0			! potential drop
eps0=8.854e-6
umax = 0.0
ftol=1.0e-1
esize=H/80

/prep7

et,1,109,1,           		! weighted transducer
emunit,epzro,eps0
mp,perx,1,1
ve1=g0
ve2=(H-ve1)/2
dx=(H-x0)/2
BLC4,,,dx,ve2
BLC4,dx,,x0,ve2
BLC4,dx+x0,,dx,ve2
BLC4,,ve2,dx,ve1
BLC4,dx,ve2,x0,ve1
BLC4,dx+x0,ve2,dx,ve1
BLC4,,ve2+ve1,dx,ve2
BLC4,dx,ve2+ve1,x0,ve2
BLC4,dx+x0,ve2+ve1,dx,ve2
aglue,all
type,1
mat,1
mshape,1,2
mshkey,0
esize,esize
amesh,all
alls

!!!
!!! Setup Bottom Electrode
!!!
nsel,s,loc,y,ve2-1.0e-6,ve2+1.0e-6
nsel,r,loc,x,0,dx+x0
d,all,volt,-2.0
cm,bot,node
alls
!!!
!!! Setup Top Electrode
!!!
nsel,s,loc,y,ve1+ve2-1.0e-6,ve1+ve2+1.0e-6
nsel,r,loc,x,dx,2*dx+x0
d,all,volt,2.0
cm,top,node
alls
!!!
!!! Apply DOF
!!!
d,all,ux,0.0
d,all,uy,0.0
!--------extra components----------
nsel,s,loc,y,ve2-1.0e-6,ve2+1.0e-6
nsel,r,loc,x,dx,dx+x0
cm,bot1,node
alls
nsel,s,loc,y,ve1+ve2-1.0e-6,ve1+ve2+1.0e-6
nsel,r,loc,x,dx,dx+x0
cm,top1,node
alls
/solu
solve
/out
fini

/post1
set,last
!!!
!!!  Setup Analytical Results
!!!
Atoptip=-3.542e-5
Abottip=3.542e-5
ATFx=-3.542e-5
ATFy=-2.833e-4
ABFx=3.542e-5
ABFy=2.833e-4
!!!
!!! Get Ansys Results
!!!
*GET,TOPTIP,node,2200,RF,FX		! Get Fx Reaction at Tip of Top Electrode
*GET,BOTTIP,node,1503,RF,FX		! Get Fx Reaction at Tip of Bot Electrode
ForceTOP=-TOPTIP			! Take Inverse of Reaction Force
ForceBOT=-BOTTIP			! Take Inverse of Reaction Force
cmsel,s,top				! Select Top Electrode
/com
/com ****** TOP ELECTRODE FSUM
FSUM					! Print Sum of Forces
cmsel,s,bot				! Select Bottom Electrode
/com
/com ****** BOTTOM ELECTRODE FSUM
FSUM					! Print Sum of Forces

/com
/com ************************ Expected Results **************************
/com
/com TOP ELECTRODE RESULTS:
/com
*vwrite,Atoptip,ForceTOP
('Target FXtip Result = ', E12.4, '  Ansys Result = ', E12.4)
/com
*vwrite,ATFx,ATFy
('Target FSUM Fx Result = ',E12.4,' - Target FSUM Fy Result = ',E12.4)
/com
/com
/com TOP ELECTRODE RESULTS:
/com
*vwrite,Abottip,ForceBOT
('Target FXtip Result = ', E12.4, '  Ansys Result = ', E12.4)
/com
*vwrite,ABFx,ABFy
('Target FSUM Fx Result = ',E12.4,' - Target FSUM Fy Result = ',E12.4)
/com
/com
/com ********************************************************************

finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.22. Sample Electromechanical Comb Finger Analysis (Batch or Command Method) 		Up / Home Next
2.24. Where to Find Other Examples


2.24. Where to Find Other Examples

Several ANSYS publications, particularly the Verification Manual, describe additional direct coupled-field analyses.

The Verification Manual consists of test case analyses demonstrating the analysis capabilities of the ANSYS program. While these test cases demonstrate solutions to realistic analysis problems, the Verification Manual does not present them as step-by-step examples with lengthy data input instructions and printouts. However, most ANSYS users who have at least limited finite element experience should be able to fill in the missing details by reviewing each test case's finite element model and input data with accompanying comments.

The following list shows you some of the direct coupled-field analysis test cases that the Verification Manual includes:

VM23 - Thermal-Structural Contact of Two Bodies
VM119 - Centerline Temp of an Electrical Wire
VM126 - Heat Transferred to a Flowing Fluid
VM171 - Permanent Magnet Circuit with an Elastic Keeper
VM175 - Natural Frequency of a Piezoelectric Transducer
VM176 - Frequency Response of Electrical Input Admittance for a Piezoelectric Transducer
VM177 - Natural Frequency of Submerged Ring
VM185 - AC Analysis of a Slot Embedded Conductor
VM186 - Transient Analysis of a Slot Embedded Conductor
VM190 - Ferromagnetic Inductor
VM207 - Stranded Coil Excited by External Circuit
VM215 - Thermal-Electric Hemispherical Shell with Hole
VM231 - Piezoelectric Rectangular Strip Under Pure Bending Load
VM237 - RLC Circuit with Piezoelectric Transducer
VM238 - Wheatstone Bridge Connection of Piezoresistors

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.23. Sample Force Calculation of Two Opposite Electrodes (Batch or Command Method) 		Up / Home Next
Chapter 3. The ANSYS Multi-field (TM) Solver - MFS Single-Code Coupling


Chapter 3. The ANSYS Multi-field (TM) Solver - MFS Single-Code Coupling

This chapter describes the ANSYS Multi-field solver- single code (MFS), available for a large class of coupled analysis problems. An automated tool for solving sequentially coupled field problems, the ANSYS Multi-field solversupersedes the physics file-based procedure and provides a robust, accurate, and easy to use tool for solving sequentially coupled physics problems. It is built on the premise that each physics is created as a field with an independent solid model and mesh. You can identify surfaces or volumes for coupled load transfer, and then use a set of multi-field solver commands to configure the problem and define the solution sequencing. The solver automatically transfers coupled loads across dissimilar meshes. The MFS solver is applicable to static, harmonic, and transient analysis, depending on the physics requirements. Any number of fields can be solved in a sequential (staggered) manner.

The ANSYS Multi-field solver is one of two versions of the multi-field solver (see "Multi-field Analysis Using Code Coupling" for a description of the other version, the MFX solver). The MFS solver is the basic multi-field solver used if the simulation involves small models that have all physics field contained within a single program (e.g., ANSYS). The MFS solver uses iterative coupling where each physics is solved sequentially and each matrix equation solved separately. The solver iterates between each physics field until the loads transferred across physics interfaces converge.

The ANSYS Multi-field solver has the following main features:

  • Each physics is created as a "field" with an independent model and mesh.

  • Each field is defined by a group of element types.

  • Load transfer regions are identified by surfaces and/or volumes.

  • Load vector coupling occurs between fields.

  • Each field may have different analysis types.

  • Each field may have different solvers and analysis options.

  • Each field may have a different mesh discretization.

  • Surface load transfer can occur across fields.

  • Volumetric load transfer can occur across fields.

  • Non-structural elements can be automatically morphed.

  • Independent results files are created for each field.

The ANSYS Multi-field solver can solve a large class of coupled field problems. Typical applications include the following:

  • Thermal stress

  • Joule heating

  • Induction heating and stirring

  • Fluid-structure interaction

  • Electromagnetic-structural interaction

  • Electrostatic-structural interaction

  • RF heating

  • Current conduction-magnetostatics

The following ANSYS Multi-field solver (MFS) topics are available:

  • The ANSYS Multi-field solver and Solution Algorithm
  • ANSYS Multi-field solver Solution Procedure
  • Sample Thermal-Stress Analysis of a Thick-walled Cylinder (Batch or Command Method)
  • Sample Electrostatic Actuated Beam Analysis (Batch or Command Method)
  • Sample Induction-Heating Analysis of a Circular Billet

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.24. Where to Find Other Examples 		Up / Home Next
3.1. The ANSYS Multi-field solver and Solution Algorithm


3.1. The ANSYS Multi-field solver and Solution Algorithm

The ANSYS Multi-field solver is available in the ANSYS Multiphysics product. It provides you with the ability to solve coupled-field problems such as the following:

  • MEMS Actuation (electrostatic/structural without fluid coupling)

  • Electric Machines (magneto/thermal/structural coupling)

  • Joule Heating (thermal/electric/structural coupling)

  • Induction Heating (harmonic electromagnetic/thermal coupling)

  • Induction Stirring (harmonic electromagnetic/thermal/fluid coupling)

  • RF Heating (high-frequency electromagnetic/thermal/structural coupling)

  • Thermal/Stress Analysis (thermal/structural coupling)

  • Fluid Solid Interaction Analysis (fluid/structural coupling)

The following ANSYS Multi-field solver algorithm topics are available:

  • Load Transfer
  • Mapping
  • Coupled Field Loads
  • Elements Supported
  • Solution Algorithm

3.1.1. Load Transfer

Load transfer is the process by which one field transmits mesh-based quantities to another field. The transfers occur from a surface to a surface or from a volume to a volume. Electrostatic Actuated Beam Analysis is an example of a surface load transfer problem. In that problem, forces are transmitted from the electrostatic field to the structural field and displacements are transmitted from the structural domain to the electrostatic field. Thermal-Stress Analysis of a Thick-walled Cylinder and Induction-heating Analysis of a Circular Billet are examples of volumetric load transfer problems. In the thick-walled cylinder problem, temperatures are transferred from the thermal field to the structural field. In the circular billet problem, heat generation is transferred from the magnetic field to the thermal field and temperatures are transferred from the thermal field to the magnetic field.

The ANSYS Multi-field solver automatically transfers coupled loads across dissimilar meshes. Two interpolation methods are available for a load transfer: profile preserving and globally conservative. In a profile preserving interpolation, each node on the receiver side maps onto an element on the sender side (αi). The transfer variable is then interpolated at αi. The transfer value is Ti = φ (αi). Thus, all nodes on the receiver side query the sender side.

Figure 3.1 Profile Preserving Interpolation

In a globally conservative interpolation, each node X on the sender maps onto an element on the receiver side. Thus, the transfer variable on the sender is split into two quantities that are added to the receiver nodes. As shown in the following figure, the force at node 4 splits into forces at nodes 3' and 4'.

Figure 3.2 Globally Conservative Interpolation

Some important points to remember about the interpolation methods are:

  • For a profile preserving interpolation, the forces and heat rate will not balance on this interface. For a globally conservative interpolation, total force and total heat rate will balance on this interface. However, locally the distributions might not agree.

    Figure 3.3 Profile Preserving Interpolation - Load Imbalances

    Figure 3.4 Globally Conservative Interpolation - Load Balance

  • It makes physical sense to conserve quantities like heat flux and force at the surface interfaces. Similarly, heat generation should be conserved at volumetric interfaces. However, it does not make physical sense to conserve displacements or temperatures on a integral basis. However, displacement and temperature profiles should be adequately captured across interfaces.

  • As shown in the following figures, for a profile preserving interpolation, you should have a coarse mesh on the sending side and a fine mesh on the receiver side, rather than the converse. When the coarse mesh is on the sending side, the receiver adequately captures the normal heat flux profile. On the receiver side, a fine mesh ensures a sufficient number of nodes. When the coarse mesh is on the receiver side, the receiver does not adequately capture the normal heat flux profile due to an insufficient number of nodes on the receiver side.

    Figure 3.5 Profile Preserving Interpolation - Coarse Mesh on the Sending Side

    Figure 3.6 Profile Preserving Interpolation - Coarse Mesh on the Receiver Side

  • As shown in the following figures, for a globally conservative interpolation it is better to have a fine mesh on the sending side and a coarse mesh on the receiver side than the converse. When the fine mesh is on the sending side, the receiver adequately captures the forces. When the fine mesh is on the receiver side, the load distribution on the receiver might not be captured, even though the total force on the receiver is equal to the total force on the sender.

    Figure 3.7 Globally Conservative Interpolation - Fine Mesh on Sending Side

    Figure 3.8 Globally Conservative Interpolation - Fine Mesh on Receiver Side

  • The above two points hold true if either the sender or receiver mesh is made of higher order elements. Exercise care if you wish to produce a node-to-node mapping from higher order elements to lower order elements. For example, as shown in the following figure, a globally conservative load transfer across an interface that has the same number of elements on both sides will not produce the correct profile if the receiver is higher order.

    Figure 3.9 Three Lower Order Elements

    To get the right profile, you need to double the number of sending lower order elements as shown in the following figure. Also note you cannot drop mid-side nodes at a surface or volume interface.

    Figure 3.10 Six Lower Order Elements

  • You can specify a globally conservative or a profile preserving interpolation method for forces, heat flux, and heat generation. Displacement and temperature transfers are always profile preserving.

3.1.2. Mapping

In order to transfer loads across a dissimilar mesh interface, the nodes of one mesh must be mapped to the local coordinates of an element in the other mesh. The MFS solution algorithm must perform two mappings for every surface to surface and volume to volume interface. For example, in a fluid-solid interaction problem, fluid nodes must be mapped to the solid elements to transfer displacements. Likewise, solid nodes must be mapped to the fluid elements to transfer stresses.

Figure 3.11 Fluid-Solid Interaction Load Transfer

3.1.2.1. Mapping Algorithms

There are two mapping algorithms available: global and bucket search.

Global Method

As the name implies, the node in question loops over all the existing elements of the other mesh and tries to locate an element that it can be mapped to. Most nodes find a unique element and are mapped easily. However, occasionally a node is mapped to two or more elements. This occurs when a finite nonzero gap/penetration exists between the two meshes. The element that minimizes the distance is then selected. In the following figure, node N1 is found in elements e1 and e2, so it is mapped to the element which minimizes the gap distance (e1 because d1 < d2).

Figure 3.12 Node Mapped to Minimize Gap

Sometimes a node does not map to any element. This occurs when the interface edges are not aligned. In the following figure, node N1 does not map to any element, so it is mapped to the closest node (N1').

Figure 3.13 Node Mapped to Closest Node

The global method has a complexity of θ(n x m) where n is the number of nodes mapped onto m elements. If n and m are of the same order, the time required to compute the mapping grows quadratically and leads to computational inefficiency, especially for large models.

Note

The same issues exist for 3-D models involving surface-to-surface mapping. They are also encountered for volumetric mapping in 2-D and 3-D models.

Bucket Search Method

The bucket search method is designed to alleviate the inefficiency problem that the global method has when the number of nodes increases. The underlying ideas for the bucket search method are presented in the book Computational Nonlinear Mechanics in Aerospace Engineering, American Institute of Aeronautics and Astronautics, edited by S. Atluri, ISBN 1563470446, Chapter 5, Fast Projection Algorithm for Unstructured Meshes by K. Jansen, F. Shakib, and T. Hughes, 1992.

For a given node, the bucket search method restricts the elements over which it loops. This is accomplished as follows:

  1. All elements are distributed in Cartesian boxes (also referred to as buckets).

  2. The node in question is then located in a box.

  3. The global method is used for the node in question, but the elements are restricted to that box only.

For example, in the following figure, elements e1, e2, and e3 are in box 1, elements e3 and e4 are in box 2, and e4, e5, and e6 are in box 3. Node N1 searches only over the elements in box 3.

Figure 3.14 Node in Box 3 with Three Elements

When the node in question is in a box with elements, the mapping is identical to global mapping.

While this procedure appears straightforward, it is more complex when the node in question is in an empty box as shown in the following figure. This can occur when there are gap/penetration issues or the interface edges are misaligned.

Figure 3.15 Nine boxes and Node in Empty Box

The mapping is then different than global mapping. The mapping procedure requires locating the nearest boxes that have elements and choosing only one box for element looping.

The bucket search method has a complexity of θ(n) where n is the number of nodes to be mapped onto m elements. However, to achieve this increased efficiency, buckets must be created and the m elements must be placed in them, at an additional computational expense.

Note

This same mapping process is used for 3-D models involving surface-to-surface mapping and 2-D and 3-D models involving volumetric mapping.

3.1.2.2. Mapping Diagnostics

You can use the MFTOL command (Main Menu> Preprocessor> Multi-field Set Up> MFS-Single Code> Setup> Global) to turn normal distance checking on for surface mapping and to set a normal distance limit from a node to an element surface. The normal distance checking is a relative value by default, and defaults to 1.0e-6 (unit-independent). You can specify an absolute value (unit-dependent) via the MFTOL command.

When using relative gap tolerance (Toler = REL on the MFTOL command), the normal distance tolerance is derived from the product of the relative tolerance Value and the largest dimension of the Cartesian bounding box for a specific interface. Therefore, each interface will have a different normal distance tolerance, even though MFTOL is a global command.

Figure 3.16 Relative Gap for MFTOL

As shown in the following figure, in surface mapping, improperly mapped nodes include nodes that exceed the normal distance limit specified (figure a) and nodes that are on misaligned surfaces (figure b). In volumetric mapping, improperly mapped nodes are nodes out of the target domain (figure c).

Figure 3.17 Improperly Mapped Nodes

The mapping tool creates components to graphically display nodes that are improperly mapped. Component names for surface mapping are MFSU_interface number_field number_label_field number (for example, MFSU_1_1_TEMP_2). Component names for volumetric mapping are MFVO_interface number_field number_label_field number (for example, MFVO_2_1_HGEN_2). ANSYS cannot display improperly mapped nodes from CFX meshes.

3.1.2.3. Mapping Operations

You can use the MFMAP command (Main Menu> Preprocessor> Multi-field Set Up> MFS-Single Code> Interface> Mapping) to calculate, save, resume, or delete mapping data. By saving mapping data to a file and using resume, you might be able to significantly reduce computing time during a restart or another solve. If you wish to resume a mapping file, be sure to first delete any existing mapping data in memory. You can also use this command to check your mapping without performing a solution. See the Commands Reference for more information about this command.

3.1.3. Coupled Field Loads

The following tables show the loads that the ANSYS Multi-field solver can transfer in a coupled physics analysis.

Table 3.1 Load Transfer Between Fields

Field | Structural | Thermal | Electric | Magnetic | Fluid
Structural |  | 1 | 2 | 3 | 4
Thermal |  |  | 5 | 6 | 7
Electric |  |  |  |  |
Magnetic |  |  |  |  | 8
Fluid |  |  |  |  |

  1. Structural - Thermal Coupling

    Volumetric Load Transfer | Structural | Thermal
    Send | Displacements | Temperature
    Receive | Temperature | Displacements

  2. Electrostatic - Structural Coupling

    Surface Load Transfer | Structural | Electrostatic
    Send | Displacements | Forces
    Receive | Forces | Displacements

  3. Structural - Magnetic Coupling

    Surface or Volumetric Load Transfer | Structural | Magnetic
    Send | Displacements | Forces
    Receive | Forces | Displacements

  4. Structural - Fluid Coupling

    Surface Load Transfer | Structural | Fluid
    Send | Displacements | Forces
    Receive | Forces | Displacements

  5. Thermal - Electric Coupling

    Volumetric Load Transfer | Thermal | Electric
    Send | Temperature | Heat Generation
    Receive | Heat Generation | Temperature

  6. Thermal - Magnetic Coupling

    Volumetric Load Transfer | Thermal | Magnetic
    Send | Temperature | Heat Generation
    Receive | Heat Generation | Temperature

  7. Thermal - Fluid Coupling

    Surface Load Transfer | Thermal | Fluid
    Send | Temperature/Heat Flux | Temperature/Heat Flux
    Receive | Heat Flux/Temperature | Heat Flux/Temperature

  8. Magnetic - Fluid Coupling

    Volumetric Load Transfer Magnetic Fluid
    Send Forces —
    Receive — Forces

3.1.4. Elements Supported

The ANSYS Multi-field solver supports the elements shown in the following tables. These elements support the SF family of commands (SF, SFA, SFE, or SFL) for surface load transfer (field surface interface: FSIN flag) and the BFE command for volumetric load transfer (field volume interface: FVIN flag) during an analysis. You need to flag these elements at the surface (FSIN) and volume (FVIN) interface for load transfer to other fields during the analysis. Other elements types can be used in any of the field analyses, but they will not participate in load transfer.

Table 3.2 Structural and Thermal Elements

Structural Elements
PLANE | SOLID | BEAM | SHELL
 | SOLID45 | BEAM3 |
PLANE42 | SOLID92 | BEAM23 | SHELL63
PLANE82 | SOLID95 | BEAM188 | SHELL93
PLANE182 | SOLID185 | BEAM189 | SHELL181
PLANE183 | SOLID186 |  | SOLSH190
 | SOLID187 |  | SHELL281
Thermal Elements
PLANE | SOLID |  | SHELL
PLANE35 | SOLID70 |  | SHELL57
PLANE55 | SOLID87 |  |
PLANE77 | SOLID90 |  |

Table 3.3 Electromagnetic, Fluid, and Coupled-Field Elements

Electromagnetic Elements
PLANE | SOLID | HF |
PLANE53 | SOLID96 | HF119 |
PLANE121 | SOLID97 | HF120 |
PLANE230 | SOLID117 |  |
 | SOLID122 |  |
 | SOLID123 |  |
 | SOLID231 |  |
 | SOLID232 |  |
Fluid Elements
PLANE | SOLID |  |
FLUID141 [1] | FLUID142 [1] |  |
Coupled-Field Elements
PLANE | SOLID |  | SHELL
PLANE13 | SOLID5 |  | SHELL157
PLANE67 | SOLID62 |  |
PLANE223 | SOLID69 |  |
 | SOLID98 |  |
 | SOLID226 |  |
 | SOLID227 |  |

  1. You can use the FLOTRAN remeshing capability in a fluid-solid interaction analysis. See Remeshing in the Fluids Analysis Guide for additional information.

3.1.5. Solution Algorithm

The solution algorithm for the ANSYS Multi-field solver is shown in the following figure. The MFANALYSIS command activates a solution. The solution loop consists of three loops: field loop, stagger loop, and time loop. The ANSYS Multi-field solver supports transient, static, and harmonic analysis of fields inside the field loop.

Figure 3.18 ANSYS Multi-field solver Algorithm

The time loop corresponds to the time step loop of the MFS problem and is set with the MFTIME command. A constant time step size may be set with the MFDTIME command. For a static analysis the time loop refers to the load step for each field analysis. For harmonic analysis the time loop refers to a harmonic solution within the time step. For a transient analysis, the time step represents the actual time-transient end time and time step. Load transfer between fields occur at the time loop time steps.

Within each time loop is the stagger loop. The stagger loop allows for implicit coupling of the fields in the MFS solution. Within each step in the time loop, the field solutions are repeated in the stagger loop until convergence. The number of iterations within the stagger loop is determined by the convergence of the loads transfer between fields or the maximum number of stagger iterations specified by the MFITER command.

Within each stagger loop is the field loop. The field loop contains the analysis of each field solution. The field Loop is set up like any single ANSYS analysis. Each field can be set up by grouping a set of element types using the MFELEM command. Solution options for each field are set using the MFCMMAND command. Surface and volumetric load transfer between fields is specified using the MFSURFACE and MFVOLUME commands, respectively. Fields can share a dissimilar mesh across the interface and load transfer from a field occurs after the solution of the respective field. Load transfer to a particular field occurs before solution of the field. Morphing (MORPH command) of a non-structural field mesh occurs prior to the field solution. The morphing is based on displacements of a previous structural field solution.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 3. The ANSYS Multi-field (TM) Solver - MFS Single-Code Coupling 		Up / Home Next
3.2. ANSYS Multi-field solver Solution Procedure


3.2. ANSYS Multi-field solver Solution Procedure

The procedure for doing an MFS solution analysis consist of the following steps:

  • Set up Field Models
  • Flag Field Interface Conditions
  • Set up Field Solutions
  • Obtain the solution
  • Postprocess the Results

3.2.1. Set up Field Models

To perform an MFS analysis, you first create the field models in ANSYS. These models may be set up completely independently. The only criteria is that they share the same geometry (duplicate solid models). They may be created in a single ANSYS database, or in separate databases and imported (MFIMPORT command) to build a model. Each model consists of everything required to solve a particular field, including mesh, boundary conditions, analysis options, output options, etc. For information on how to set up a field analysis, refer to the Fluids Analysis Guide, the Structural Analysis Guide, the Thermal Analysis Guide, and the Low-Frequency Electromagnetic Analysis Guide.

If you will be generating radiosity surface elements (RSURF), you must first mesh the different regions, and then generate the radiosity surface elements on each meshed region individually. Use RSURF,,,ETNUM to assign a separate element type number to each region. This procedure allow you to identify the individual regions later in the multi-field analysis. Also, include the radiosity surface element types in the field definition (MFELEM).

3.2.2. Flag Field Interface Conditions

The next step is to flag field surface and volume interfaces for load transfer. Flagged surfaces sharing a common surface interface number will exchange surface load data; flagged volumes sharing a common volume interface number will exchange volume load data.

For surface load transfer across fields, use the SF family of commands (SF, SFA, SFE, or SFL) and the FSIN surface load label. Apply the field surface interface flag twice, once for each field surface where load transfer occurs. When issuing the SF, SFA, SFE, or SFL commands with the FSIN flag, apply the same interface number for both field interfaces. Load transfer occurs between fields with the same interface number. Also maintain unique interface numbers for load transfer across each pair of field surface interface, as these interface numbers are used in the MFSURFACE command for specifying the surface load transfer options.

For volumetric load transfer, use the BFE command and the FVIN volume load label. Apply the field volume interface flag twice: once for each field volume where load transfer occurs. When issuing the BFE command with the FVIN flag, apply the same interface number for both field interfaces where load transfer occurs. Load transfer occurs between fields with the same interface number. Also maintain unique interface numbers for load transfer across each pair of field volume interface, as these interface numbers are used in the MFVOLUME command for specifying the volume load transfer options.

3.2.3. Set up Field Solutions

The procedure for setting up the field solutions consists of the following main steps:

  • Define fields and capture field solutions.

  • Set up interface load transfers.

  • Set up global field solution.

  • Set up stagger solution.

  • Set up time and frequency controls.

  • Set up morphing (if necessary).

  • Clear or list settings.

3.2.3.1. Define Fields and Capture Field Solutions

The following table lists the steps to define the fields and capture the field solutions.

Step | Command | GUI Path
Define a field by grouping element types, add more element types to the field, or import a defined field into a current analysis. | MFELEM | Main Menu> Preprocessor> Multi-field Set Up> MFS-Single Code> Define> Define Main Menu> Solution> Multi-field Set Up> MFS-Single Code> Define> Define
 | MFEM | Main Menu> Preprocessor> Multi-field Set Up> MFS-Single Code> Define> Add elems Main Menu> Solution> Multi-field Set Up> MFS-Single Code> Define> Add elems
 | MFIMPORT | Main Menu> Preprocessor> Multi-field Set Up> MFS-Single Code> Import
Specify a file name for each field. | MFFNAME | Main Menu> Preprocessor> Multi-field Set Up> MFS-Single Code> Define> Define Main Menu> Solution> Multi-field Set Up> MFS-Single Code> Define> Define
Capture solution options for each field. | MFCMMAND | Main Menu> Preprocessor> Multi-field Set Up> MFS-Single Code> Capture Main Menu> Solution> Multi-field Set Up> MFS-Single Code> Capture
Delete all solution options before setting options for a new field. | MFCLEAR | Main Menu> Preprocessor> Multi-field Set Up> MFS-Single Code> Clear Main Menu> Solution> Multi-field Set Up> MFS-Single Code> Clear

Use the MFELEM command to define the fields for analysis. Use the MFEM command to add more element types to the field if it has more than 10 element types defined. It groups element types into different fields with a specified field number for the ANSYS Multi-field solver. Elements grouped into a field for analysis should belong to a single physics. More precisely, a single physics represents an ANSYS model using a single set of elements solving that physics. For instance, a coupled-field element type set for piezoelectric analysis will solve simultaneously electric and structural analysis within a single field loop. You may wish to couple this field model to a thermal field model to include thermal effects. The number of element types in a field must not be changed between restarts.

In addition to defining fields from models created in one ANSYS session, you can import fields defined in another ANSYS session and saved via a CDB file (CDWRITE command). Use the MFIMPORT command to import any number of new fields into a current analysis. With this option, you can prepare field models independently and then combine them to perform an MFS solution.

Note

If you are importing a FLOTRAN fluid field along with other fields, the FLOTRAN fluid field must be imported last to ensure that the fluid region will have a material number of 1.

The FLOTRAN element must be in counterclockwise order for a 2-D FSI analysis (for Figure 141.1: "FLUID141 Geometry", I, J, K, L order) and it must be in positive volume order for a 3-D FSI analysis (for Figure 142.1: "FLUID142 Geometry", I, J, K, L, M, N, O order). If the element order is not proper, you will need to recreate the mesh to reverse it.

The import option makes use of the NUMOFF command capability to offset the current database numbering of entities to allow the model on the CDB file to be imported. Fields defined using the MFELEM or MFEM commands are updated based on the renumbered element type numbers. If no field is defined before the MFIMPORT command is issued, the program will automatically group the existing element types into a field (MFELEM or MFEM) and write any solution options to a command file (MFCMMAND). The field on the CDB file is assigned the field number that you specify, and it is read into the database accordingly. Exercise caution when using the MFIMPORT option since the NUMOFF command capability has some limitations.

Use the MFFNAME command to define file names for each field used in the MFS analysis. The field file name is used for all files during solution of the specified field. The field file name defaults to field"n" where n is the field number.

MFS analysis allows different solution options to be specified for each field analysis. Use the MFCMMAND command to capture solution options for each field number. The solution options are written to a file, and read when the field is solved. Issue the MFCLEAR, SOLU command to clear all existing solution options before setting options for a new field. The MFCLEAR, SOLU command sets all solutions options to defaults values in ANSYS. Specify solution options for each field analysis by issuing the ANSYS solution commands for analysis options, nonlinear options, load step options, etc. The solution options are written to a file that you specify for the given field number. The command file name defaults to field"n".cmd where n is the field number.

Note

If you need to model morphing, you must set that up before you issue the MFCMMAND command. For information on morphing, see Set up Morphing (if necessary).

MFS analyses allow either stepped or ramped loading, but not both. The KBC command is globally used for all fields by the ANSYS Multi-field solver and therefore is not written to the field-specific command files. This restriction is due to the consistent load transfer issue between the fields. If the KBC command is not issued before the SOLVE command, ramped loading (KBC,0) is used. If the KBC command is issued more than once, the loading type specified by the last command is used.

3.2.3.2. Set up Interface Load Transfers

The following table lists the steps to set up interface load transfers.

Step | Command | GUI Path
Define surface load transfers. | MFSURFACE | Main Menu> Preprocessor> Multi-field Set Up> MFS-Single Code> Interface> Surface Main Menu> Solution> Multi-field Set Up> MFS-Single Code> Interface> Surface
Define volume load transfers. | MFVOLUME | Main Menu> Preprocessor> Multi-field Set Up> MFS-Single Code> Interface> Volume Main Menu> Solution> Multi-field Set Up> MFS-Single Code> Interface> Volume

MFS analysis allows load transfer across flagged surface and volume interfaces. Use the MFSURFACE command to specify a surface load transfer across a field interface. Specify the variable being transferred, the send and receive field numbers, and the field surface interface number specified by the SF family of commands (SF, SFA, SFE, or SFL) and the FSIN surface load label. Use the MFVOLUME command to specify volume load transfer across a field interface. Specify the variable being transferred, the send and receive field numbers, and the field surface interface number specified by the BFE command and the FVIN volume load label.

The ANSYS Multi-field solver solver does not allow you to switch the load transfer direction for the same load quantity across the same interfaces for a restart run. For example, if Field1 sends temperature to and receives heat flow from Field2 across Interface 1 in a previous solution, then you cannot make Field1 send heat flow to and receive temperatures from Field2 across the same interface in a restart run, even if you cleared the corresponding load transfer command.

You cannot use the SF family of commands or the BFE command to apply external loads on any multifield interfaces that expect the same load from other physics through the MFSURFACE or MFVOLUME command. The multifield load transfer will overwrite the external load, causing incorrect results.

3.2.3.3. Set up Global Field Solution

The following table lists the steps to set up the global field solution.

Step | Command | GUI Path
Turn the ANSYS Multi-field solver analysis on. | MFANALYSIS | Main Menu> Preprocessor> Multi-field Set Up> Select method Main Menu> Solution> Multi-field Set Up> Select method
Specify a globally conservative or profile preserving load transfer interpolation. | MFINTER | Main Menu> Preprocessor> Multi-field Set Up> MFS-Single Code> Setup> Global Main Menu> Solution> Multi-field Set Up> MFS-Single Code> Setup> Global
Specify a search option for load transfer interpolation. | MFBUCKET | Main Menu> Preprocessor> Multi-field Set Up> MFS-Single Code> Setup> Global Main Menu> Solution> Multi-field Set Up> MFS-Single Code> Setup> Global
Specify the field analysis order. | MFORDER | Main Menu> Preprocessor> Multi-field Set Up> MFS-Single Code> Setup> Order Main Menu> Solution> Multi-field Set Up> MFS-Single Code> Setup> Order
Define external fields (if necessary). | MFEXTER | Main Menu> Preprocessor> Multi-field Set Up> MFS-Single Code> Setup> External Main Menu> Solution> Multi-field Set Up> MFS-Single Code> Setup> External

Use the MFANALYSIS command to activate an MFS analysis. MFANALYSIS,OFF deactivates an analysis (OFF is the default).

Use the MFINTER command to specify a globally conservative or profile preserving interpolation for the load transfer across the field interface. Globally conservative or profile preserving interpolation applies to forces, heat flux, and heat generation transferred across a field interface. Profile preserving interpolation transfers forces, heat flux, and heat generation across field interfaces as flux quantities, and globally conservative interpolation transfers these variables as forces and heat rates. The interpolation defaults to profile preserving.

A bucket search is the default option. This option partitions the interface into small cells (buckets) for more efficient interface data mapping. You can specify a scaling factor for the search algorithm (default is 50%). The number of buckets is equal to the scaling factor times the number of elements at the search interface. Use the MFBUCKET command if you want to switch to a global search.

Use the MFORDER command to specify the solution order for the defined fields. The MFORDER command specifies the order of the field solutions from the first field solution to the last field solution of the MFS analysis.

You can define an external field (MFEXTER) that predefines loads and exists only to transfer those loads to another field. It requires fully specified loads and does not perform a solution during an MFS analysis. It only transfers a load to another field. The external field should be set up in the following fashion:

  • If transferring displacements or temperature from an external field, specify the required displacements or temperature using the D command, on the external field mesh. Also specify the variable label to be transferred using MFSURFACE or MFVOLUME for surface or volumetric load transfer, respectively.

  • If transferring forces or heat flux from an external field, specify the forces or heat rates using the F command on the external mesh. Constrain the complete field mesh with a trivial displacement or temperature.

The External field capability allows an easy mechanism for transferring results from an external software code that can support writing a CDB file consisting of nodes, elements, and loads.

Use the MFEXTER command to define external fields during a analysis. Specify the loads to be transferred on the external field and use MFSURFACE or MFVOLUME to specify the load to be transferred to other fields across a field interface.

3.2.3.4. Set up Stagger Solution

The following table lists the steps to set up the stagger solution.

Step | Command | GUI Path
Set the maximum number of stagger iterations. | MFITER | Main Menu> Preprocessor> Multi-field Set Up> MFS-Single Code> Stagger> Iterations Main Menu> Solution> Multi-field Set Up> MFS-Single Code> Stagger> Iterations
Specify convergence values. | MFCONV | Main Menu> Preprocessor> Multi-field Set Up> MFS-Single Code> Stagger> Convergence Main Menu> Solution> Multi-field Set Up> MFS-Single Code> Stagger> Convergence
Specify relaxation values. | MFRELAX | Main Menu> Preprocessor> Multi-field Set Up> MFS-Single Code> Stagger> Relaxation Main Menu> Solution> Multi-field Set Up> MFS-Single Code> Stagger> Relaxation

Use MFITER to set the maximum number of stagger iterations between the fields for an MFS analysis. At the end of each stagger loop, the coupling algorithm checks the convergence of the quantities transferred across the interface. The analysis proceeds to the next time step if the interface quantities have converged. The stagger solution continues until the maximum number of stagger iterations has been reached or convergence occurs. The default is 10 stagger iterations.

Use MFCONV to specify the convergence norm for the quantities transferred at the surface and volume interface across each field interface. The default is 0.001. The interpolation algorithm (globally conservative or profile preserving) determines the quantities transferred across the field interface.

Use MFRELAX to specify the relaxation values for the load transfer variables across the surface and volume field interface. If you are using a single stagger iteration for each time step of the MFS analysis, use a relaxation value of 1.0 for all quantities. The default relaxation value is 0.75.

Use the MFFR command to relax the field solutions for an optimal convergence rate in coupled problems, especially cases that need dynamic relaxation. The ANSYS field that has the MFFR command applied will do only one nonlinear stagger iteration within each multi-field stagger; the convergence of the field solver will be satisfied through multiple multi-field staggers. ANSYS will not terminate the nonlinear field solution until the field solver converges or reaches the maximum number of multi-field staggers as specified on MFITER.

3.2.3.5. Set up Time and Frequency Controls

The following table lists the steps to set up the time and frequency controls.

Step | Command | GUI Path
Set end time for MFS analysis. | MFTIME | Main Menu> Preprocessor> Multi-field Set Up> MFS-Single Code> Time Ctrl Main Menu> Solution> Multi-field Set Up> MFS-Single Code> Time Ctrl
Set time step increment for MFS analysis. | MFDTIME | Main Menu> Preprocessor> Multi-field Set Up> MFS-Single Code> Time Ctrl Main Menu> Solution> Multi-field Set Up> MFS-Single Code> Time Ctrl
Set time step increment for each field analysis. | DELTIM | Main Menu> Preprocessor> Loads> Load Step Opts>Time/Frequency> Time - Time Step Main Menu> Solution> Load Step Opts>Time/Frequency> Time - Time Step
 | FLDATA4 | Main Menu> Preprocessor> FLOTRAN Set Up> Transient Contrl> Time Integration Meth Main Menu> Solution> FLOTRAN Set Up> Transient Contrl> Time Integration Meth
Specify a restart (if necessary). | MFRSTART | Main Menu> Preprocessor> Multi-field Set Up> MFS-Single Code> Time Ctrl Main Menu> Solution> Multi-field Set Up> MFS-Single Code> Time Ctrl
Specify a calculation frequency for a field (if necessary). | MFCALC | Main Menu> Preprocessor> Multi-field Set Up> MFS-Single Code> Frequency Main Menu> Solution> Multi-field Set Up> MFS-Single Code> Frequency
Specify the output frequency for MFS analysis. | MFOUTPUT | Main Menu> Preprocessor> Multi-field Set Up> MFS-Single Code> Frequency Main Menu> Solution> Multi-field Set Up> MFS-Single Code> Frequency

Use the MFTIME command to specify the end time of your MFS analysis. The end time should be a multiple of the time step increment. Use the MFDTIME command to specify an initial time step, minimum time step, and maximum time step size. The solution only supports constant time stepping. The time step increment and end time default to 1.

You must also specify the time step increment for each field analysis. Use DELTIM for a structural, thermal and electromagnetic analysis and FLDATA4, TIME, STEP, Value, for a fluid analysis. Auto time-stepping (AUTOTS) may be used within a field analysis as well. The time step increment for each field analyses should be less than or equal to the time step increment for the MFS analysis. The analysis sub-cycles over each field analyses so that load transfer across the field interface occurs at time increments specified by MFDTIME. The MFCMMAND command captures the time step size for each field analysis.

Figure 3.19 Time Steps

You can restart the MFS analysis from either the last time step or the last converged solution in the results file.

Both single and multiframe restarts are allowed.

    Use MFCALC to set the calculation frequency for a given field within the analysis. The field solution for any given field can be obtained at every time step or every Nth time step. The calculation frequency option only applies to a field using a harmonic or static analysis. This option is useful, for example, in skipping the harmonic field solution (and load transfer updating) during a time step when the field quantities transferred are not varying significantly over the specified time increment (MFDTIME).

    Use MFOUTPUT to set the output frequency for results from your analysis with respect to the time step (MFDTIME). You can write output at every time step or every Nth time step. The output frequency applies to each field results file.

    3.2.3.6. Set up Morphing (if necessary)

    In an MFS analysis, the deflection of a structure may effect the solution of a surrounding non-structural field. A good example is electrostatic-structural interaction in MEMS structures where the structural deformation alters the electrostatic field which in turn alters the electrostatic forces and resulting deformation. To model this type of behavior, the field mesh surrounding a structure must be updated to coincide with the deflection of the structure. The process of updating the field mesh is called morphing. The structural field sends displacements to the non-structural field using the MFSURFACE command for a defined surface interface. The ANSYS Multi-field solver makes use of the MORPH command to invoke morphing within a given field model.

    Step | Command | GUI Path
Turn morphing on (if necessary). | MORPH | Main Menu> Preprocessor> Loads> Load Step Options> Other> Element Morphing Main Menu> Solution> Loads> Load Step Options> Other> Element Morphing

    The MORPH command is applicable to any non-structural field analysis (not including fluid elements). The command activates the UX, UY, and UZ degrees of freedom for non-structural elements so that boundary conditions may be placed on the field mesh to constrain the movement of the non-structural mesh during morphing. Morphing of a field mesh occurs during the non-structural field stagger prior to the field solution using displacements transferred at the surface interface between the structural field and the non-structural field.

    The procedure for preparing a non-structural mesh for morphing is as follows. You must complete these steps before you issue the MFCMMAND command.

    1. Create the non-structural model and mesh.

    2. Set morphing and remeshing controls by issuing the morphing command (MORPH,ON). The MORPH command allows you to specify remeshing controls such as maximum allowable change in element size or aspect ratio, as well as other controls. Use MORPH,ON to turn on non-structural field morphing, except for any FLOTRAN fluid field morphing. For FLOTRAN fluid fields, use the KEYOPT,ITYPE, 4,1 command to set up morphing.

      If morphing is activated during the solution, it will remain active until deactivated. To avoid unwanted morphing in structural fields, MORPH,OFF should be issued before issuing MFCMMAND. If morphing is ON for any field, the recommended practice is to explicitly define morphing (either ON or OFF) for all fields.

    3. Apply appropriate structural boundary condition constraints to the boundary of the non-structural mesh (typically, you set normal components of displacement to zero).

    After each remesh, new databases and results files are written with the extensions .rth0n and .db0n, where n is the remesh file number (FieldName.rth01, FieldName.rth02, ... and FieldName.db01, FieldName.db02, etc.). The original database file is FieldName.dbo. The FieldName.db01, FieldName.db02, etc. files have elements that are detached from the solid model.

    Morphed fields must be in the global Cartesian system (CSYS = 0).

    Note

    The MORPH option is different than DAMORPH, DVMORPH, or DEMORPH. DAMORPH, DVMORPH, and DEMORPH are not compatible with the ANSYS Multi-field solver.

    3.2.3.7. Clear or List Settings

    To delete or list MFS analysis settings, use the commands shown in the following table.

    Step | Command | GUI Path
Delete MFS analysis settings. | MFCLEAR | Main Menu> Preprocessor> Multi-field Set Up> MFS-Single Code> Clear Main Menu> Solution> Multi-field Set Up> MFS-Single Code> Clear
List MFS analysis settings. | MFLIST | Main Menu> Preprocessor> Multi-field Set Up> MFS-Single Code> Status Main Menu> Solution> Multi-field Set Up> MFS-Single Code> Status

    3.2.4. Obtain the solution

    To obtain the solution or restart the MFS analysis from either the last time step or the last converged solution in the results file, use the commands shown in the following table.

    Step | Command | GUI Path
Obtain the solution. | SOLVE | Main Menu> Solution> Current LS
Restart the MFS analysis (if necessary). | MFRSTART | Main Menu> Preprocessor> Multi-field Set Up> MFS-Single Code> Time Ctrl Main Menu> Solution> Multi-field Set Up> MFS-Single Code> Time Ctrl

    Note

    MFS analyses do not support the multiframe restart available in a structural analysis. Only singleframe restart is allowed.

    3.2.5. Postprocess the Results

    To postprocess an analysis, the database must be available and the appropriate results file selected. To select the appropriate results file, use the FILE command in POST1 or POST26. The results file names are based on the settings used on the MFFNAME command. You can review results using standard ANSYS POST1 and POST26 commands. Be sure to select the appropriate field element types for the results file selected before you postprocess the results (ESEL). MFS analyses do not support simultaneous postprocessing of the field results.

    When using the time-history (POST26) postprocessor, if the structural analysis is performed first and a FLOTRAN analysis is performed second (MFOR), the FLOTRAN analysis may deactivate certain structural degrees of freedom. You must issue the STORE,NEW command immediately after the FILE,fname,rst command to ensure that the necessary structural degrees of freedom have been activated for their respective postprocessing.

    For information on postprocessing, refer to An Overview of Postprocessing in the Basic Analysis Guide.

    Note

    The multi-field solver is restricted to single-frame restarts. As a result, you cannot get correct contact forces from the results file when you have an active database. To get the correct forces, use the last database file (which was saved right after the SOLVE command) only, or read the results file only without the database (see below).

    To use the database only:

    /solu
solve
save
fini
/clear
resume,file, db
/post1
esel,s,ename,,174
nsle
fsum,,cont

    To read the results file without the database:

    /clear
/post1
file, struct, rst
set,last
esel,s,ename,,174
nsle
fsum,,cont

    The displacements of non-structural elements are mesh (or grid) displacements to avoid mesh distortion but have no physical meaning except at the interface between the structural field and the non-structural field.

    Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

    Prev
    3.1. The ANSYS Multi-field solver and Solution Algorithm     		Up / Home Next
    3.3. Sample Thermal-Stress Analysis of a Thick-walled Cylinder (Batch or Command Method)


3.3. Sample Thermal-Stress Analysis of a Thick-walled Cylinder (Batch or Command Method)

3.3.1. Problem Description

A thick-walled cylinder is maintained at a temperature Ti on the inner surface and To on the outer surface. The temperature distribution in the cylinder and the axial and hoop stresses at the inner surface are determined. See Verification Manual problem VM32 Thermal Stresses in a Long Cylinder for a similar problem.

A quarter-cylinder model is chosen to demonstrate the thermal-stress analysis using a dissimilar mesh between the thermal and structural models. SOLID87 elements model the thermal response while SOLID95 elements model the structural response.

The thermal model is constructed first. Temperature constraints are applied to the inner and outer surface. The structural model is constructed next. Constraints are applied to simulate symmetry boundary conditions. In the z-direction, one face is constrained while the other face has the UZ degree of freedom for the nodes coupled to simulate an infinitely long cylinder.

A volumetric load transfer flag is set for all the elements since the mesh for the thermal and structural models completely overlap.

In the solution phase, the model is set up to use the ANSYS Multi-field solver (MFANALYSIS). The thermal analysis is identified as field #1, assigning the thermal element type to that field (MFELEM). In a similar fashion, the structural analysis is identified as field #2 with the structural element type assigned to that field. Since this is a static analysis, the time is set to 1.0 (MFITER) with a single time increment (MFDTIME). Relaxation of the transferred load quantities is set to 0.5 (MFRELAX).

Field file names are assigned which will be used in the naming of the results files (MFFNAME). A volumetric load transfer is defined which will send temperatures from the thermal field to the structural field (MFVOLUME). Analysis options are set for the thermal solution and written to a command file (MFCMMAND). Similarly, analysis options are set for the structural solution and written to a command file. The solution is then performed.

The following figure illustrates the thermal and structural mesh.

Figure 3.20 Thermal and Structural Model Mesh

3.3.2. Results

The following figure illustrates the thermal solution and the axial stress.

Figure 3.21 Temperature Profile and Axial Stress

The analytic solution for both the hoop and axial stress is 420.24 at the inner cylinder wall. The ANSYS results are shown in the following table.

Table 3.4 Hoop and Axial Stress Variation

Stress Component | Min Value | Max Value
Hoop Stress | 418.3 | 418.9
Axial Stress | 421.5 | 421.7

3.3.3. Command Listing

The command listing below demonstrates the problem input. Text prefaced by an exclamation point (!) is a comment.

/batch,list
/TITLE, Thermal stress analysis of a long thick cylinder
/com,   Reference: Verification Manual Problem VM32
/com,
/com,****************** Characteristics *******************************
/com,
/com, Thermal Element:     SOLID87
/com, Structural Element:  SOLID95
/com,
/com,******************** Expected results ****************************
/com,
/com, At inner radius:  Axial and hoop stress = 420.42
/com,
/com,******************************************************************
/com,

ir=.1875                    ! Cylinder inner radius
or=.625                     ! Cylinder outer radius
theta=90                    ! Angle for partial cylinder model
h=.5

/prep7
! Thermal model
et,1,87                     ! Thermal element type
mp,kxx,1,3                  ! Conductivity
cylind,ir,or,0,h,0,theta    ! Build thermal model
esiz,,6
vmesh,all                   ! Free tetrahedral mesh
csys,1
nsel,s,loc,x,ir
d,all,temp,-1               ! Set inner wall temperature
nsel,s,loc,x,or
d,all,temp,0                ! Set outer wall temperature
allsel,all
! Structure Model
et,2,95                     ! Structural element type
mp,ex,2,30E6                ! Structural properties
mp,alpx,2,1.435E-5
mp,nuxy,2,.3
cylind,ir,or,0,h,0,theta    ! Build structural model
esiz,,9
vatt,2,1,2
vmesh,all                   ! Mapped brick mesh
csys,0
esel,s,type,,2
nsle
nsel,r,loc,z
d,all,uz,0                  ! Set structural bc's
nsle
nsel,r,loc,z,h
cp,1,uz,all
nsle
nsel,r,loc,y
d,all,uy,0
nsle
nsel,r,loc,x
d,all,ux,0
allsel,all
bfe,all,fvin,,1             ! Volumetric Flag for load transfer
finish
/solu
mfan,on                     ! Activate MFS analysis
mfel,1,1                    ! Field #1: Thermal
mfel,2,2                    ! Field #2: Structure
mfor,1,2                    ! Field order (thermal, structure)
mfti,1                      ! Time at end of analysis
mfdt,1                      ! One field loop within a stagger
mfit,5                      ! Max 5 stagger loops
mfre,all,0.5                ! Field transfer relaxation parameter
mffn,1,therm1               ! Field #1 filename
mffn,2,struc2               ! Field #2 filename
mfvo,1,1,temp,2             ! Volumetric load transfer (temp to structure)
antyp,stat
eqslv,iccg
mfcm,1                      ! Write thermal analysis options
antype,static
eqslv,pcg
mfcm,2                      ! Write structure analysis options
solve
finish

/post1
file,therm1,rth             ! Thermal results file
set,last
esel,s,type,,1              ! Select thermal elements
plns,temp                   ! Plot temperatures
finish

/post1
file,struc2,rst             ! Structure field results file
set,last
esel,s,type,,2              ! Select structural elements
rsys,1                      ! set result for cylindrical c.s.
csys,1
nsel,s,loc,x,ir             ! select nodes at inner radius
nsort,s,z                   ! sort z-stress
*get,szmax,sort,,max        ! get max and min values
*get,szmin,sort,,min
nsort,s,y                   ! sort hoop stress
*get,symax,sort,,max        ! get max and min values
*get,symin,sort,,min
*status                     ! show max/min values
nsel,all
plns,s,z                    ! Plot z-axis stress
finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.2. ANSYS Multi-field solver Solution Procedure 		Up / Home Next
3.4. Sample Electrostatic Actuated Beam Analysis (Batch or Command Method)


3.4. Sample Electrostatic Actuated Beam Analysis (Batch or Command Method)

3.4.1. Problem Description

A clamped beam for an RF MEMS switch device is modeled to compute the center deflection for an applied voltage. Forces generated by the electrostatic field will bend the beam towards a ground plane.

SOLID45 brick elements model the beam. A half-width model is constructed with symmetry boundary conditions placed at the plane of symmetry. The beam is clamped at both ends. A surface interface flag (FSIN) is placed on the bottom beam surface. NLGEOM is set for geometric nonlinearities (large deflection and stress stiffening).

SOLID123 tetrahedral elements model the air underneath the beam. Fringing effects are ignored for simplicity. (Fringing effects may be considered by extending the model for the electrostatic domain beyond the boundary of the beam.) A surface interface flag (FSIN) is placed at the top of the electrostatic domain coincident with the structural beam mesh. The morphing command is activated (MORPH,on) to enable the application of structural boundary conditions at the periphery of the electrostatic domain. This is done to prepare the electrostatic domain for mesh movement (morphing) during the coupled field solution. Voltages are applied at the top and bottom surface of the electrostatic domain. A plot of the structural and electrostatic elements is shown in Figure 3. Note that the meshes are dissimilar at the interface between the domains.

The structure model is defined as field number 1; the electrostatic model is defined as field number 2 (MFELEM). Analysis options are defined for both field solutions and written to files (MFCMMAND). A static solution is defined for both fields. For the electrostatic model, 120 volts is applied with a ramped boundary condition (KBC) at 10 volt solution intervals (DELTIM). The field order for the solution is set to solve the electrostatic field first, followed by the structural field (MFORDER). The "time" is set to 120 (MFTIME) to correspond to the voltage level (for convenience) with ANSYS Multi-field solver solutions requested at 10 volt intervals (MFDTIME). Up to 20 stagger iterations are defined (MFITER). Globally conservative load transfer is prescribed (MFINTER). Forces are transferred from the electrostatic domain to the structural domain (MFSURFACE). Displacements are transferred from the structural domain to the electrostatic domain for use in morphing of the electrostatic mesh (MFSURFACE).

Figure 3.22 Structural and Electrostatic Field Mesh

3.4.2. Results

The total number of cumulative iterations for 12 converged ramped solutions was 153 (due to geometric nonlinearities in the structural field). Results for each field are stored in separate results files. Each field is postprocessed individually.

Figure 3.23 Beam Displacement for 120 Volt Load

Figure 3.24 Electrostatic Field

Figure 3.25 Mid-span Beam Deflection vs Voltage

3.4.3. Command Listing

The command listing below demonstrates the problem input. Text prefaced by an exclamation point (!) is a comment.

/batch,list
/title, Electrostatic clamped beam analysis
/com, ANSYS Multi-field solver
/com, globally conservative Load transfer
/com, Structure: SOLID45 brick elements
/com, Electrostatic: SOLID123 tetrahedral elements
/com, uMKSV units

bl=150                  ! beam length, um
bh=2                    ! beam height, um
bw=4                    ! beam width, um
gap=2                   ! gap, um

/prep7

! Structural model

et,1,45                 ! 8-node bricks
mp,ex,1,169e3           ! kg/(um)(s)^2
mp,nuxy,1,0.066
mp,dens,1,2.329e-15     ! kg/(um)^3

block,0,bl,0,bh,0,bw    ! structural volume
aslv
lsla
lsel,r,loc,x,bl/2
lesize,all,,,20,,,,1    ! 20 bricks along bl
lsla
lsel,r,loc,y,bh/2
lesize,all,,,2,,,,1     ! 2 bricks along bh
lsla
lsel,r,loc,z,bw/2
lesize,all,,,1,,,,1     ! 1 brick along bw
vatt,1,,1
vmesh,all
alls
asel,s,loc,y,bh/2       ! clamp beam ends
asel,r,loc,z,bw/2
nsla,s,1
da,all,ux
da,all,uy
da,all,uz
alls
asel,s,loc,y,bh/2       ! symmetry plane
asel,r,loc,z,0
nsla,s,1
da,all,uz
alls
nsel,s,loc,y,0
sf,all,fsin,1           ! Define Surface interface

! Electrostatics model
et,2,123
emunit,EPZRO,8.854e-6   ! pF/um
mp,perx,2,1
morph,on                ! enable morph bc's
block,0,bl,-gap,0,0,bw  ! electrostatic volume
vsel,s,volu,,2
smrtsiz,2
mshape,1,3D
mshkey,0
vatt,2,,2
vmesh,all
aslv,s
asel,r,loc,x,0
da,all,ux,0             ! Apply structural morphing constraints
aslv,s
asel,r,loc,x,bl
da,all,ux,0
aslv,s
asel,r,loc,z,0
da,all,uz,0
aslv,s
asel,r,loc,z,bw
da,all,uz,0
aslv,s
asel,r,loc,y,-gap
da,all,uy,0
aslv,s
asel,r,loc,y,0
nsla,s,1
sf,all,fsin,1           ! Define Surface interface
d,all,volt,120          ! Apply voltage
nsel,s,loc,y,-gap
d,all,volt,0            ! Apply ground potential
allsel,all
fini

/solu
mfan,on                 ! Activate ANSYS Multi-field solver analysis
mfel,1,1                ! structure field
mfel,2,2                ! electrostatic field
mfor,2,1                ! Order for field solution
mfco,all,1.0e-5         ! Convergence settings
antyp,stat
eqslv,iccg
morph,on
mfcm,2,                 ! Electrostatic field analysis options
antyp,stat
nlgeom,on
deltim,10               ! Field loop time increment within a stagger
morph,off
kbc,0                   ! Ramp voltage load
mfcm,1                  ! Structural field analysis options
mfti,120                ! End time
mfou,1                  ! Write solution every time step
mfdt,10                 ! Stagger time increment
mfit,20                 ! Max staggers
mfint,cons              ! globally conservative load transfer
mfsu,1,2,forc,1         ! Transfer forces to structure field
mfsu,1,1,disp,2         ! Transfer displacements to electrostatic field
solve                   ! Solve the ANSYS Multi-field solver problem
save
finish
/post1
file,field2,rth         ! Select Electrostatic Field results file
set,last
esel,s,type,,2          ! Select electrostatic elements
plns,ef,sum             ! Plot electrostatic field
fini
/post1
file,field1,rst         ! Select Structural Field results file
set,last
esel,s,type,,1          ! Select structural elements
nsle,s
plns,u,y                ! Plot displacment
prdisp
finish
/post26                 ! Time-histroy postprocessor
file,field1,rst         ! Retrieve Structural Field results file
n1=node(75,0,0)         ! get node at mid-plane
nsol,2,n1,u,y           ! store UY displacement vs. voltage
/axlab,y,UY             ! Displacement
/axlab,x,Voltage        ! Time = voltage
prvar,2                 ! print displacement vs. voltage
plvar,2                 ! plot displacment vs. voltage
fini

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.3. Sample Thermal-Stress Analysis of a Thick-walled Cylinder (Batch or Command Method) 		Up / Home Next
3.5. Sample Induction-Heating Analysis of a Circular Billet


3.5. Sample Induction-Heating Analysis of a Circular Billet

3.5.1. Problem Description

This example illustrates a transient induction heating problem. The problem demonstrates the use of the ANSYS Multi-field solver using an electromagnetic harmonic analysis stagger and a time-transient heat transfer stagger. A similar problem using APDL command macros to perform the solution staggering is shown in Example Induction-heating Analysis Using Physics Environments. Please refer to it for a description of the problem. A summary is given below along with details on using the ANSYS Multi-field solver for this application.

A simplified geometry considers only a finite length strip of the long billet, essentially reducing the problem to a one-dimensional study as shown in the following figure.

Figure 3.26 Axisymmetric 1-D Slice of the Induction Heating Domain

PLANE53 elements model the electromagnetic field solution. Boundary conditions and loads are shown in the following figure.

Figure 3.27 Nominal Electromagnetic Physics Boundary Conditions

PLANE55 elements model the thermal problem. Radiation at the outer billet surface is modeled using the Radiosity Solver, assuming radiation to the open domain at 25° Celsius. Boundary conditions are shown in the following figure.

Figure 3.28 Nominal Thermal Physics Boundary Conditions

The following figure illustrates the ANSYS Multi-field solver solution sequencing for this problem.

Figure 3.29 ANSYS Multi-field solver Flow Chart for Induction Heating

The electromagnetic analysis is defined as field number 1 (MFELEM) with element types 1 and 2. The thermal analysis is defined as field number 2 (MFELEM) with element type 4. The stagger order is field 1 followed by field 2 (MFORDER). The final solution time is defined (MFTIME) as well as the stagger loop time increment (MFDTIME). The electromagnetic analysis options for the harmonic analysis are defined for field 1 and written to a file (MFCMMAND). The thermal analysis options for a transient analysis are defined for field 2 and written to a file (MFCMMAND). The thermal analysis includes auto time-stepping within the stagger time loop. Volumetric load transfer is defined for two variables. First, the heat generation is passed from field 1 (electromagnetic) to field 2 (thermal). Second, the temperatures from the thermal solution (field 2) are passed to the electromagnetic field (field 1) so that temperature dependent properties may be evaluated. Heat generation loads and temperatures are passed at the sychronization time points defined at the stagger loop time increments (MFDTIME).

3.5.2. Results

The following figures show the temperature of the surface and the centerline over time and a temperature profile after 3 seconds.

Figure 3.30 Centerline and Surface Temperature

Figure 3.31 Temperature Profile at 3 Seconds

3.5.3. Command Listing

The command listing below demonstrates the problem input. Text prefaced by an exclamation point (!) is a comment.

/batch,list
/title, Induction heating of a solid cylinder billet
/prep7
shpp,off
/com,
/com,

row=.015                   ! outer radius of workpiece
ric=.0175                  ! inner radius of coil
roc=.0200                  ! outer radius of coil
ro=.05                     ! outer radius of model
t=.001                     ! model thickness

freq=150000                ! frequency (Hz.)
pi=4*atan(1)               ! pi
cond=.392e7                ! maximum conductivity
muzero=4e-7*pi             ! free-space permeability
mur=200                    ! maximum relative permeability
skind=sqrt(1/(pi*freq*cond*muzero*mur))  ! skin depth

ftime=3                    ! final time
tinc=.05                   ! time increment for harmonic analysis
time=0                     ! initialize time
delt=.01                   ! maximum delta time step

! Electromagnetic model
et,1,53,,,1                ! PLANE53, axisymmetric, AZ dof
et,2,53,,,1

emunit,mks                 ! set magnetic units
mp,murx,1,1                ! air relative permeability
mp,murx,3,1                ! coil relative permeability
mptemp,1,25.5,160,291.5,477.6,635,698     ! temps for relative permeability
mptemp,7,709,720.3,742,761,1000
mpdata,murx,2,1,200,190,182,161,135,104   ! steel relative permeability
mpdata,murx,2,7,84,35,17,1,1
mptemp
mptemp,1,0,125,250,375,500,625            ! temps for resistivity
mptemp,7,750,875,1000
mpdata,rsvx,2,1,.184e-6,.272e-6,.384e-6,.512e-6,.656e-6,.824e-6
mpdata,rsvx,2,7,1.032e-6,1.152e-6,1.2e-6  ! steel resistivity

mptemp
mptemp,1,0,730,930,1000                   ! temps for conductivity
mpdata,kxx,2,1,60.64,29.5,28,28
mptemp                                    ! temps for enthalpy
mptemp,1,0,27,127,327,527,727
mptemp,7,765,765.001,927
mpdata,enth,2,1,0,91609056,453285756,1.2748e9,2.2519e9,3.3396e9
mpdata,enth,2,7,3.548547e9,3.548556e9,4.3520e9
mp,emis,2,.68              ! emissivity

rectng,0,row,0,t           ! billet
rectng,row,ric,0,t         ! air-gap
rectng,ric,roc,0,t         ! coil
rectng,roc,ro,0,t          ! outer air
aglue,all
numcmp,area
ksel,s,loc,x,row           ! select keypoints at outer radius of workpiece
kesize,all,skind/2         ! set meshing size to 1/2 skin depth
ksel,s,loc,x,0             ! select keypoints at center
kesize,all,40*skind        ! set meshing size
lsel,s,loc,y,t/2           ! select vertical lines
lesize,all,,,1             ! set 1 division through thickness
lsel,all

asel,s,area,,1
aatt,2,1,1                 ! set attributes for billet region
asel,s,area,,3
aatt,3,1,2                 ! set attributes for coil region
asel,s,area,,2,4,2
aatt,1,1,2                 ! set attributes for air region
asel,all
mshape,0,2d
mshk,1
amesh,1                    ! mesh billet area
lsel,s,loc,y,0
lsel,a,loc,y,t
lsel,u,loc,x,row/2
lesize,all,.001
lsel,all
amesh,all                  ! mesh remaining areas
nsel,s,loc,x
d,all,az,0                 ! apply flux-normal b.c.
nsel,all
esel,s,mat,,3
bfe,all,js,,,,15e6         ! apply current density to coil
alls

! Thermal model
et,4,55,,,1                ! PLANE55 thermal element, axisymmetric

agen,2,1,,,,,,,1
aatt,2,1,4
ksel,s,loc,x,row           ! select keypoints at outer radius of workpiece
kesize,all,skind/2         ! set meshing size to 1/2 skin depth
ksel,s,loc,x,0             ! select keypoints at center
kesize,all,40*skind        ! set meshing size
lsel,s,loc,y,t/2           ! select vertical lines
lesize,all,,,1             ! set 1 division through thickness
lsel,all
mshape,0,2d
mshk,1
amesh,5
asel,,,,5
allsel,below,area
nsel,r,loc,x,row
sf,all,rdsf,0.68,1         ! Radiation
alls
spctemp,1,25               ! Space temperature
v2dopt,1
radopt,,0.01
stef,5.67e-8               ! Stefan-Boltzman constant
esel,s,mat,,2              ! select billet material
bfe,all,fvin,,1            ! define volumetric interface
finish

/solu
mfan,on                    ! Activate ANSYS Multi-field solver analysis
mfel,1,1,2                 ! Field #1 ET;s,  Emag
mfel,2,4                   ! Field #2 ET's, Thermal
mfor,1,2                   ! Field solution order
mfti,ftime                 ! Final time
mfdt,tinc                  ! Stagger time increment
mfco,all,1e-3              ! Convergence criteria

antyp,harm                 ! Emag analysis options
harfrq,150000
outres,all,all
tunif,100
mfcm,1,                    ! Write Emag analysis options
mfclear,solu               ! Clear analysis options

antype,trans               ! Thermal analysis options
toffst,273
tunif,100                  ! initial uniform temperature
kbc,1                      ! step loads
trnopt,full
autos,on                   ! auto time-stepping
deltim,.01,.005,.01,on     ! time step control
mfcm,2,                    ! Write Thermal analysis options

mfvo,1,1,hgen,2            ! Transfer hgen from Emag to Thermal
mfvo,1,2,temp,1            ! Transfer Temp from Thermal to Emag
solve
save
finish
/post26
file,field2,rth
esel,s,type,,4
nsle,s
nsel,r,loc,x,row           ! get node at outer radius
nsel,r,loc,y,0
*get,nor,node,,num,min
nsle,s
nsel,r,loc,x,0
nsel,r,loc,y,0             ! get node at centerline
*get,nir,node,,num,min
nsol,2,nor,temp,,outerR    ! Outer radius
nsol,3,nir,temp,,inner     ! Inner radius (centerline)
/axlab,y,Temperature
plvar,2,3                  ! plot temperature
prvar,2,3
finish
/post1
file,field2,rth
set,last                   ! Solution at 3 seconds
esel,s,type,,4             ! select thermal elements
plns,temp                  ! plot temperature
finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.4. Sample Electrostatic Actuated Beam Analysis (Batch or Command Method) 		Up / Home Next
Chapter 4. Multi-field Analysis Using Code Coupling


Chapter 4. Multi-field Analysis Using Code Coupling

This chapter describes the ANSYS Multi-field solver - multiple code coupling (MFX), available for a large class of coupled analysis problems. The MFX solver is one of two versions of the ANSYS Multi-field solver. See "The ANSYS Multi-field (TM) Solver - MFS Single-Code Coupling" for a description of the other version, the MFS solver). The MFX solver is used for simulations with physics fields distributed between more than one code running on one or more machines (e.g., between ANSYS Multiphysics or Mechanical and ANSYS CFX). Thus, this solver can accommodate more physically complex and larger models than the MFS version.

In the MFX solver, a "field solver" is each running instance of the different codes. These field solvers are coupled using stagger iterations. During each iteration, every field solver collects loads from the other field solvers and proceeds to solve its own physics fields. Iterations continue until all physical field solutions and loads converge. The coupling between field solvers running on potentially different machines is accomplished using a client/server based communication protocol over standard internet sockets. No third party software is required, allowing for maximum flexibility and extensibility.

The MFX solver is primarily intended for fluid - structure interaction (FSI) analyses (including conjugate heat transfer), where the structural part of the analysis is solved using ANSYS Multiphysics (or Mechanical) and the fluid part using ANSYS CFX-FCS. Typical applications include:

  • Biomedical applications (i.e., drug delivery pumps, intravenous catheters, elastic artery modeling for stent design)

  • Aerospace applications (i.e., airfoil flutter, turbine engines)

  • Automotive applications (i.e., under hood cooling, HVAC heating/cooling, heat exchangers)

  • Fluid handling applications (i.e., valves, fuel injection components, pressure regulators)

  • Civil engineering applications (i.e., wind and fluid loading of structures)

  • Electronics cooling

If you are not familiar with the ANSYS Multi-field solver, read the ANSYS Multi-field solver discussion before using MFX. You must also be familiar with CFX.

MFX analyses require setting up the field solver controls. You can perform these setup tasks using ANSYS or using ANSYS CFX in standalone mode or ANSYS CFX Workbench mode. See the CFX Release 11.0 Introduction for information on launching ANSYS CFX in the different modes.

This chapter describes how to do a fluid-structure interaction analysis using ANSYS Multiphysics (or Mechanical) and ANSYS CFX-FCS products. You must be using ANSYS 11.0 or later and CFX 11.0 or later. The MFX solver is not supported on HP AlphaServer or Fujitsu systems in ANSYS or CFX.

To use the MFX solver, your analysis must meet the following requirements:

  • The analysis must be three-dimensional.

  • The ANSYS model must be single-field and the elements involved in load transfer must be 3-D with either structural or thermal DOFs.

  • Only surface loads are transferred. Valid surface loads are displacement, temperature, force and force density, heat flow, and heat flux.

  • Only two field solvers, one ANSYS and one CFX, can be coupled. A given analysis can have only one coupling between two field solvers, but it can have multiple load transfers.

  • The ANSYS field cannot be distributed, but the CFX field can use CFX's parallel processing capabilities. A CFX field being solved using parallel processing is still considered a single field solver.

  • The analysis must be a batch run.

  • Only the singleframe restart is supported.

  • ANSYS allows static and transient analyses; however, CFX allows only transient analyses.

The following terms are used throughout this chapter:

Field Solver

A field solver refers to a specific instance of an ANSYS or CFX solver execution that is defined by the respective input file(s) referenced when starting the solver (through the launcher or from the command line). The field solver names that are referenced in several MFX commands must be consistent with the names that will be used when starting the coupled simulation.

Client

The client code actively requests information from the server code.

Server

The server code works passively, providing information to the client code, and will never send information that has not been requested.

Master

The master performs the coupling setup (e.g., reads all MFX commands, collects the interface meshes from the slave code, does the mapping) and sends instructions (time and stagger loop controls) to the slave executable. In MFX, the ANSYS code is always the master. During the simulation process, the master will act as both a client and a server.

Slave

The slave code receives the coupling control information from the master code and sends the interface meshes to master. It receives instructions (time and stagger loop controls) during simulation. In MFX, the CFX code is always the slave. During the simulation process, the slave will act as both a client and a server.

Simultaneous

Field solvers can be grouped together for simultaneous execution during each stagger iteration. When grouped this way, all field solvers collect their respective loads from the other field solvers, and then all proceed to solve their physics fields simultaneously.

Sequential

Field solvers that are not grouped together for simultaneous execution are executed sequentially during each stagger iteration. In this case, each field solver collects its respective loads from the other field solvers and proceeds to solve its physics fields.

The following MFX topics are available:

  • How MFX Works
  • MFX Solution Procedure
  • Starting and Stopping an MFX Analysis
  • Example Simulation of a Piezoelectric Actuated Micro-Pump

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.5. Sample Induction-Heating Analysis of a Circular Billet 		Up / Home Next
4.1. How MFX Works


4.1. How MFX Works

The ANSYS code functions as the master: it reads all Multi-field commands, collects the interface meshes from the CFX code, does the mapping, and communicates time and stagger loop controls to the CFX code. The mapping generated by ANSYS is used to interpolate loads between dissimilar meshes on either side of the coupling interface. Each field solver advances through a sequence of multi-field time steps and stagger (coupling) iterations within each time step. During every stagger iteration, each field solver collects the loads that it requires from the other field solvers and then solves its physics fields.

You can run the CFX field solver using CFX's parallel processing capabilities to run large-scale parallel CFD jobs on either the same or a different platform as ANSYS.

4.1.1. Synchronization Points and Load Transfer

Using MFX, data are transferred throughout the fluid-solid interaction analysis. The points at which data are transferred are called synchronization points. Data can be sent or received only at a synchronization point, as shown in Figure 4.1: "MFX Method Data Communication".

Figure 4.1 MFX Method Data Communication

At each synchronization point, the ANSYS and CFX codes shift their client privileges sequentially: the client code queries the server code to get information and the server code serves data until it receives a command to get client privileges or is asked to go to the next synchronization point. For the load transfer, each code gets all interface boundary conditions from the other code before solving. Depending on whether the field solvers are being solved simultaneously (in the same group defined by the MFPSIMUL command) or sequentially, the codes will serve loads before or after solving, respectively.

4.1.2. Load Interpolation

At the synchronization point, the ANSYS and CFX codes transfer loads across the fluid-solid interface to each other. The MFX solver automatically detects whether the meshes on each side of the interface are the same or not. Two interpolations methods, profile preserving and conservative, are available. The profile preserving interpolation used in MFX is the same as that in MFS (see Load Transfer in Chapter 3: "The ANSYS Multi-field (TM) Solver - MFS Single-Code Coupling" for more information.

The conservative interpolation in MFX replaces the globally conservative interpolation used in MFS. It differs from the other two interpolations in the fundamental interpolation technology:

  • The profile preserving interpolation method, used in both MFS and MFX, interpolates values of the nodes on the receiving side from values of the element faces on the sending side.

  • The globally conservative interpolation used in MFS distributes values of the nodes on the sending side onto the element faces on the receiving side.

  • The conservative interpolation used in MFX maps the element interpolation (IP) faces on the sending side onto the element IP faces on the receiving side.

  • Both the profile preserving and globally conservative interpolation methods use a bucket search algorithm to map a node to an element face.

  • The conservative interpolation uses a tree search algorithm to map an IP face on one side to all IP faces on the other side that may intersect with the given IP face.

In the conservative interpolation, each element face is first divided into n number of IP faces, where n is the number of nodes on the face. The three-dimensional IP faces are then converted onto a two-dimensional polygon made up of rows and columns of dots called pixels. By default, these pixels have a resolution of 100 x 100; use the MFCI command to increase the resolution and improve the accuracy of the algorithm. Be aware that increasing the resolution will also increase the time and memory requirements. Next, the converted polygons on the sending side are intersected with the IP polygons on the receiving side using the pixel images. The polygon intersection creates many overlapped areas, called control surfaces. Those control surfaces are then used to transfer loads between the two sides. See Three-dimensional Navier Stokes predictions of steady state rotor / stator interaction with pitch change, 3rd Annual conference of the CFD, Society of Canada, Banff, Alberta, Canada, Advanced Scientific Computing Ltd. By P.F. Galpin, R.B. Broberg and B.R. Hutchinson, June 25-27, 1995, for a more detailed description of the algorithm.

Figure 4.2 Conservative Interpolation

The conservative interpolation can generally preserve local distributions and thus can also be used to interpolate the mesh displacement and temperature. The displacement and temperature variables are interpolated in an area-weighted manner from all IP faces on the sending side that intersect with the nodal IP areas surrounding the given node; therefore, the conservative interpolation can smooth any numerical oscillations present in the local profiles from the sending side. However, profiles of local distributions may not be preserved to the same degree as the profile preserving interpolation in certain special problems.

If the surface on the sending side matches the surface on the receiving side, then the total forces and heat flows are first transferred to the control surfaces and then redistributed to the faces on the receiving side without any loss. Therefore, the overall load transfer is conservative, both globally and locally at the element level. The conservation property is maintained regardless of the mesh shape and size, grid topology, and face distribution across the interface.

If the surface on the sending side does not match the surface on the receiving side, then the total force and heat flow on the unmapped region of the sending side will not be transferred onto the control surfaces, and total force and heat flow on the receiving side will not be equal to that on the sending side. The overall imbalance is exactly the amount of total force and heat flow in the unmapped region on the sending side.

On the unmapped region of the receiving side, however, the conservative interpolation will set values of all loads in this region to zero. Therefore, the ANSYS CFX solver disregards values of temperature and mesh displacement on the unmapped region of the receiving side. Instead, it implements an adiabatic boundary condition for temperature and an unspecified boundary condition for mesh displacement in this unmapped region.

4.1.3. Elements and Load Types Supported

MFX supports all ANSYS 3-D elements, including structural (solid and shell), thermal, electromagnetic, and coupled-field elements. However, only those elements that support the SF family of commands (SF, SFA, SFE, or SFL) for surface load transfer with the field surface interface (FSIN) flag can participate in the load transfer. You need to flag these elements at the surface (FSIN) for load transfer to other fields during the analysis. Other element types can be used in the analysis, but they will not participate in load transfer and should not be located on the interface. See Table 3.2: "Structural and Thermal Elements" and Table 3.3: "Electromagnetic, Fluid, and Coupled-Field Elements" in "The ANSYS Multi-field (TM) Solver - MFS Single-Code Coupling" for a list of element types that support the SF family of commands for surface load transfer with the field surface interface (FSIN) flag. MFX supports only mechanical and thermal load transfer between fields.

4.1.4. Solution Process

The solution process for MFX is shown in the figure below. The ANSYS code acts as the master and reads all MFX commands, does the mapping, and serves the time step and stagger loop controls to the CFX slave. The MFANALYSIS command activates a master multi-field solution. The solution loop consists of two loops: the multi-field time loop and the multi-field stagger loop.

The ANSYS field solver supports transient and static analyses. CFX supports only a transient analysis. If you want a static solution, running a static analysis on ANSYS will help CFX to reach a solution more quickly.

Figure 4.3 ANSYS Multi-field solver Process

The time loop corresponds to the time step loop of the multi-field analysis, set with the MFTIME command. Use the MFDTIME command to specify time step size.

Within each time step is the stagger loop. The stagger loop allows for implicit coupling of the fields in the MFX solution. The number of stagger iterations applies to each time step in the MFX analysis. Within each step in the time step loop, the field solutions are repeated in the stagger loop until convergence. The number of iterations executed within the stagger loop is determined by the convergence of the loads transfer between fields or the maximum number of stagger iterations specified by the MFITER command. For a transient analysis performed in CFX, the stagger iteration contains many CFX coefficient iterations, which loop until convergence or until the maximum number of coefficient iterations is reached. Load transfers between fields occur at each stagger loop. Global convergence is checked after the load transfer. If global convergence of the load transfer is not achieved, another stagger loop is performed.

Use the MFLCOMM command to specify surface load transfer between field solvers. The meshes used in the individual field solvers can be dissimilar across the interface. Before solving a given field, all necessary loads are collected from the other field solver. Loads are transferred either before or after solution of the field solver, depending on whether the field solver groups are set to solve sequentially or simultaneously.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 4. Multi-field Analysis Using Code Coupling 		Up / Home Next
4.2. MFX Solution Procedure


4.2. MFX Solution Procedure

The procedure for an MFX solution consists of the following steps:

  • Set Up ANSYS and CFX Models
  • Flag Field Interface Conditions
  • Set Up Master Input
  • Obtain the Solution
  • Multi-field Commands
  • Postprocess the Results

4.2.1. Set Up ANSYS and CFX Models

To perform an MFX analysis, you must first create the ANSYS and CFX models (e.g., mesh, boundary conditions, analysis options, output options, etc.) For information on creating the ANSYS model, refer to the Structural Analysis Guide, the Thermal Analysis Guide, and the other ANSYS analysis guides. For information on creating the CFX model, see the discussion on Solver Modeling in the CFX documentation.

4.2.2. Flag Field Interface Conditions

The next step is to flag field surfaces for load transfer. ANSYS surfaces are flagged by interface number and CFX surfaces are flagged by interface name. The ANSYS interface is defined by the SF family of commands (SF, SFA, or SFE) with the FSIN surface load label. The CFX interface is defined as a boundary condition with an option set to ANSYS Multi-field for relevant quantities. Load transfer occurs between ANSYS and CFX field solvers on the flagged interface(s) . Use the MFLCOMM command to specify the surface load transfer. You can specify multiple interface numbers or interface names in an MFX run by issuing multiple MFLCOMM commands.

4.2.3. Set Up Master Input

The procedure for setting up the master input consists of the following main steps:

  • Set Up Global MFX Controls
  • Set Up Interface Load Transfer
  • Set Up Time Controls
  • Set Up Mapping Operations
  • Set Up Stagger Solution
  • List or Clear Settings

4.2.3.1. Set Up Global MFX Controls

The following table lists the steps to set up the global MFX controls. You must specify the solution order (MFSORDER); there is no default setting.

Step | Command/Option | GUI Path
Turn on the ANSYS Multi-field solver. | MFANALYSIS | Main Menu> Preprocessor> Multi-field Set Up> Select method Main Menu> Solution> Multi-field Set Up> Select method
Set up the field solver groups for sequential or simultaneous solution. | MFPSIMUL | Main Menu> Preprocessor> Multi-field Set Up> MFX-ANSYS/CFX> Solution Ctrl Main Menu> Solution> Multi-field Set Up> MFX-ANSYS/CFX> Solution Ctrl
Specify the solution sequence. | MFSORDER | Main Menu> Preprocessor> Multi-field Set Up> MFX-ANSYS/CFX> Solution Ctrl Main Menu> Solution> Multi-field Set Up> MFX-ANSYS/CFX> Solution Ctrl

Use the MFANALYSIS command to activate an ANSYS Multi-field solver analysis. Issue MFANALYSIS,OFF to deactivate the analysis (OFF is the default).

Use the MFPSIMUL command to specify groups of field solvers that you want to process simultaneously. For example, one group with both the ANSYS and CFX field solvers yields the following behavior: ANSYS requests its loads from CFX, CFX requests its loads from ANSYS, then both solvers execute simultaneously (see Figure 4.4: "ANSYS and CFX Fields Solved Simultaneously"). Two MFPSIMUL commands, each containing one field solver, are required to process and solve field solvers sequentially (see Figure 4.5: "ANSYS and CFX Fields Solved Sequentially, ANSYS First").

Use the MFSORDER command to specify the order in which to process the groups of field solvers identified in the MFPSIMUL command(s).

Note

If you use the GUI to create the ANSYS input file, ANSYS will automatically use ANSYS as the ANSYS field solver name and CFX as the CFX field solver name. In this case, when running MFX from the launcher, you must then use ANSYS and CFX (uppercase) as the field solver names.

If you are working interactively, ANSYS generates the MFPSIMUL and MFSORDER as shown in Figure 4.4: "ANSYS and CFX Fields Solved Simultaneously" and Figure 4.5: "ANSYS and CFX Fields Solved Sequentially, ANSYS First", depending on whether you selected a simultaneous or sequential solution. You can specify the global relaxation factor (see MFRELAX,ALL,VALUE) at this point.

  • To set up a simultaneous solution, use the MFPSIMUL command once, with one group name and both field solver names. Again, use the MFSORDER command to specify the solution order.

    Figure 4.4 ANSYS and CFX Fields Solved Simultaneously

  • To set up a sequential solution, use the MFPSIMUL command to set up two groups, each time with just one field. Then use the MFSORDER command to specify the solution order.

    Figure 4.5 ANSYS and CFX Fields Solved Sequentially, ANSYS First

The MFPSIMUL and MFSORDER commands are used to optimize computing resource usage according to the nature of the physical coupling between the fields being solved.

Weakly coupled fields can often be solved simultaneously (i.e., via a single MFPSIMUL command). In this case, the overall simulation time may decrease because no field solver must wait for results/loads from another field solver. If the fields are too strongly coupled, however, this approach may also destabilize the solution process because less recent results/loads are applied in each field solver. Strongly coupled fields should be solved sequentially (i.e., via multiple MFPSIMUL commands), which ensures that the most recent results/loads from one field solver are applied to the other. Multiple stagger iterations are often required to obtain a fully implicit solution by the end of each multi-field time step (see MFITER).

In most simulations, the physical processes in one field solver will drive those in another field solver. In many FSI cases, for example, the forces generated by the fluid fields lead to strains in the solid field. In such cases, the MFSORDER command should specify that the 'driver' field solver (the fluid field solver in this case) be solved first.

4.2.3.2. Set Up Interface Load Transfer

MFX allows load transfer across flagged surfaces. Use the MFLCOMM command to set up the load transfer between the ANSYS and CFX codes. You must specify the load transfer information; there is no default setting.

Step | Command/Option | GUI Path
Set up the load communication. | MFLCOMM | Main Menu> Preprocessor> Multi-field Set Up> MFX-ANSYS/CFX> Load Transfer Main Menu> Solution> Multi-field Set Up> MFX-ANSYS/CFX> Load Transfer

Specify the names of field solvers sending and receiving quantities, the surface name or number, and the variable being transferred. The interpolation option -- Conservative or Profile Preserving (nonconservative) -- determines how loads are transferred across the field. Use Conservative (CPP) for heat flow and forces and use Profile Preserving (NONC) for heat flux and force density. Use either method for mesh displacement and temperature. As noted in the MFLCOMM command description, the interpolation type needs to be consistent with which data are transferred for the CFX code.

If you are working interactively, you can choose two pre-defined combinations, Mechanical or Thermal, or you can choose a Custom option. If you choose the Mechanical load type, then the Total Force and Total Mesh Displacement data (corresponding to the ANSYS FORC and DISP labels, respectively) are transferred. If you choose the Thermal load type, then the Temperature and Wall Heat Flow data (corresponding to the ANSYS TEMP and HFLU labels, respectively) are transferred. If you choose Custom, you can select any valid combination of label and option as described in the MFLCOMM command description. If you leave the CFX Region Name as “default,” CFX will automatically find the corresponding multi-field interface name.

Note

You can specify multiple interface numbers or interface names (up to 50) in an MFX run by issuing multiple MFLCOMM commands.

The ANSYS Multi-field solver solver does not allow you to switch the load transfer direction for the same load quantity across the same interfaces for a restart run. For example, if Field1 sends temperature to and receives heat flow from Field2 across Interface 1 in a previous solution, then you cannot make Field1 send heat flow to and receive temperatures from Field2 across the same interface in a restart run, even if you cleared the corresponding load transfer command.

You cannot use the SF family of commands or the BFE command to apply external loads on any multifield interfaces that expect the same load from other physics through the MFSURFACE, MFVOLUME, or MFLCOMM commands. The multifield load transfer will overwrite the external load, causing incorrect results.

4.2.3.3. Set Up Time Controls

The following table lists the steps to set up the time controls.

Step | Command | GUI Path
Set end time for ANSYS Multi-field solver analysis. | MFTIME | Main Menu> Preprocessor> Multi-field Set Up> MFX-ANSYS/CFX >Time Ctrl Main Menu> Solution> Multi-field Set Up> MFX-ANSYS/CFX >Time Ctrl
Set time step size for ANSYS Multi-field solver analysis. | MFDTIME | Main Menu> Preprocessor> Multi-field Set Up> MFX-ANSYS/CFX >Time Ctrl Main Menu> Solution> Multi-field Set Up> MFX-ANSYS/CFX >Time Ctrl
Restart the ANSYS Multi-field solver analysis (if necessary). | MFRSTART | Main Menu> Preprocessor> Multi-field Set Up> MFX-ANSYS/CFX >Time Ctrl Main Menu> Solution> Multi-field Set Up> MFX-ANSYS/CFX >Time Ctrl

Use the MFTIME command to specify the end time of your MFX analysis. Use the MFDTIME command to specify an initial time step, minimum time step, maximum time step size, and time step carryover key (for restarts). The time step size and end time default to 1. If either DTMIN or DTMAX is not equal to DTIME on the MFDTIME command, auto time-stepping is turned on for the multi-field time loop. ANSYS will automatically adjust the next multi-field time step size to occur between DTMIN and DTMAX, based on the status of the current convergence, the number of target stagger iterations (specified by MFITER), and the actual number of iterations needed to reach convergence at the current time step.

You must also specify the time step increment for each ANSYS field analysis. Auto time-stepping (AUTOTS) may be used within a field analysis. The time step increment for each ANSYS field analysis should be less than or equal to the time step increment for the overall analysis. The analysis allows sub-cycling over the ANSYS field, but load transfer across the field interface only occurs at multi-field time increments. CFX does not support sub-cycling, so the internal time step size for CFX should be the same as the multi-field time increments.

MFX supports both single and multiframe restarts (as allowed by the physics of the model; see the Multiframe Restart discussion in the Basic Analysis Guide for details on multiframe restarts).

Example Singleframe Restart. The input for a singleframe restart in MFX might look like this:

resume, ,db         ! Must be issued first
/solu
mfrs, 5.0, SING   ! Restart from time = 5.0
mfti, 50          ! End time
!
! Specify new loads, new load step options, etc.
! Take appropriate corrective action for nonlinear analyses.
!
solve
alls
save
finish
!
! Postprocess as desired
!

Example Multiframe Restart. The input for a multiframe restart in MFX might look like this:

/solu
mfrs, 5.0, MULT           !  Restart from time = 5.0
mfti, 10
!
! Specify new loads, new load step options, etc.
! Take appropriate corrective action for nonlinear analyses.
!
solve
alls
save
finish
!
! Postprocess as desired

4.2.3.4. Set Up Mapping Operations

Step | Command/Option | GUI Path
Specify a search option for interface mapping used by the profile preserving (NONC) interpolation scheme. | MFBUCKET | Main Menu> Preprocessor> Multi-field Set Up> MFX-ANSYS/CFX> Advanced Set Up> Mapping Main Menu> Solution> Multi-field Set Up> MFX-ANSYS/CFX> Advanced Set Up> Mapping
Activate normal distance checking used by the profile preserving (NONC) interpolation scheme. | MFTOL | Main Menu> Preprocessor> Multi-field Set Up> MFX-ANSYS/CFX> Advanced Set Up> Mapping Main Menu> Solution> Multi-field Set Up> MFX-ANSYS/CFX> Advanced Set Up> Mapping
Sets the control parameters used by the conservative (CPP) interpolation scheme. | MFCI | Main Menu> Preprocessor> Multi-field Set Up> MFX-ANSYS/CFX> Advanced Set Up> Mapping Main Menu> Solution> Multi-field Set Up> MFX-ANSYS/CFX> Advanced Set Up> Mapping

When you use the profile preserving interpolation, you must use the bucket search method, which is set by default. If you turn off the bucket search option, you will get error messages and the solution will stop. This option partitions the interface into small, nearly equal-sized cells (buckets) for more efficient interface data mapping. You can specify a scaling factor for the search (the default is 50%). The number of buckets is equal to the scaling factor multiplied by the number of elements at the search interface. When normal distance checking (MFTOL) is activated, the mapping tool checks the normal distance from the node to the nearest element. The node is considered improperly mapped if the normal distance exceeds the tolerance value. The mapping tool creates a component to graphically display the improperly mapped nodes. See Mapping Diagnostics in the Coupled-Field Analysis Guide for more information. If the CFX mesh is the receiving side in a profile-preserving interpolation or the sending side in a conservative interpolation, and nodes are improperly mapped, the nodal component generated in ANSYS should be ignored because the CFX nodes do not exist in the ANSYS database.

When you use the conservative interpolation, MFX automatically selects an octree-based bisection search method to find all faces that intersect with the source face on the other side of the interface. For a dissimilar mesh interface, the nodes of one mesh are mapped to the local coordinates of an element in the other mesh. A relative separation factor handles the gaps between the two sides of the interface and can be adjusted via the MFCI command.

4.2.3.5. Set Up Stagger Solution

The following table lists the steps to set up the stagger solution.

Step | Command | GUI Path
Set the maximum number of stagger iterations. | MFITER | Main Menu> Preprocessor> Multi-field Set Up> MFX-ANSYS/CFX> Advanced Set Up> Iterations Main Menu> Solution> Multi-field Set Up> MFX-ANSYS/CFX> Advanced Set Up> Iterations
Specify convergence values. | MFCONV | Main Menu> Preprocessor> Multi-field Set Up>MFX-ANSYS/CFX> Advanced Set Up> Convergence Main Menu> Solution> Multi-field Set Up>MFX-ANSYS/CFX> Advanced Set Up> Convergence
Specify relaxation values. | MFRELAX or MFFR (MFFR is GUI only) | Main Menu> Preprocessor> Multi-field Set Up> MFX-ANSYS/CFX> Advanced Set Up> Relaxation Main Menu> Solution> Multi-field Set Up> MFX-ANSYS/CFX> Advanced Set Up> Relaxation

Use the MFITER command to set the maximum number of stagger iterations between the field solvers for each multi-field time step. At the end of each stagger iteration, the ANSYS master checks the convergence of the quantities transferred across the interface and the fields within each field solver. The analysis proceeds to the next time step if the interface quantities have converged. The stagger solution continues until the maximum number of stagger iterations has been reached or convergence occurs. The default is 10 stagger iterations. You can also specify a minimum stagger iteration (MFITER, ,MINITER) and a target stagger iteration (the desired number of stagger iterations) (MFITER,,,TARGET) for auto time stepping in MFX.

Use the MFCONV command to specify the convergence norm for the quantities transferred across each field at the interface. The default is 0.001.

Note

Iteration controls and convergence criteria must also be set for the fields being solved in each of the coupled field solvers. Iteration controls are important for controlling the efficiency and stability of the coupled analysis. Convergence criteria are important for controlling the accuracy of the solutions provided by each field solver. General recommendations are summarized as:

  • Set the convergence criteria to obtain the desired level of solution accuracy.

  • Set the maximum stagger iterations to a value that is large enough to satisfy the convergence criteria during each multi-field time step.

  • Limit the work (e.g., iterations) done during the execution of each field solver to maintain a tighter coupling and promote efficiency and stability.

Use the MFRELAX command to specify the relaxation values for the load transfer variables across the surface. The default relaxation value is 0.75. Option = RELX will usually give you a more stable and smooth load transfer and is suitable for strongly coupled problems (such as FSI problems). If you are using a single stagger iteration for each multi-field time step, you must use a relaxation value of 1.0 for all quantities.

Use the MFFR command to relax the field solutions for an optimal convergence rate in coupled problems, especially cases that need dynamic relaxation. The ANSYS field that has the MFFR command applied will do only one nonlinear stagger iteration within each multi-field stagger; the convergence of the ANSYS field solver will be satisfied through multiple multi-field staggers. The CFX field solver can have multiple iterations within the field solver; see the CFX documentation for more details. ANSYS will not terminate the nonlinear field solution until the ANSYS field solver converges or reaches the maximum number of multi-field staggers as specified on MFITER.

4.2.3.6. List or Clear Settings

To list or clear the analysis settings, use the command shown in the following table.

Step | Command | GUI Path
List ANSYS Multi-field solver analysis settings. | MFLIST | Main Menu> Preprocessor> Multi-field Set Up> MFX-ANSYS/CFX> > Status Main Menu> Solution> Multi-field Set Up> MFX-ANSYS/CFX> > Status
Clear load transfer settings | MFCLEAR | Main Menu> Preprocessor> Multi-field Set Up> MFX-ANSYS/CFX> > Clear Main Menu> Solution> Multi-field Set Up> MFX-ANSYS/CFX> > Clear

4.2.4. Obtain the Solution

If you are working interactively, use the commands shown in the following table to write the necessary input file.

Step | Command | GUI Path
Write the MFX input file | MFWRITE | Main Menu> Preprocessor> Multi-field Set Up> MFX-ANSYS/CFX> > Write input Main Menu> Solution> Multi-field Set Up> MFX-ANSYS/CFX> > Write input

You cannot initiate a solution interactively. You must issue MFWRITE to write out the input file containing all of the MFX data, and then submit that input file as a batch job, along with the necessary CFX input. When you write out the input file using MFWRITE or via the launcher, ANSYS will add /SOLU, SOLVE, and FINISH commands at the end of the input file.

4.2.5. Multi-field Commands

The following table shows which commands are valid for multi-field analyses.

Command | Valid for ANSYS Multi-field solver (MFS) | Valid for MFX
MFANALYSIS | yes | yes
MFBUCKET | yes | yes
MFCALC | yes |
MFCI |  | yes
MFCLEAR | yes | yes
MFCMMAND | yes |
MFCONV | yes | yes
MFDTIME | yes | yes
MFELEM | yes |
MFEM | yes |
MFEXTER | yes |
MFFNAME | yes |
MFIMPORT | yes |
MFINTER | yes |
MFITER | yes | yes
MFLCOMM |  | yes
MFLIST | yes | yes
MFMAP | yes |
MFPSIMUL |  | yes
MFORDER | yes |
MFOUTPUT | yes | yes*
MFRELAX | yes | yes
MFRSTART | yes | yes
MFSORDER |  | yes
MFSURFACE | yes |
MFTIME | yes | yes
MFTOL | yes | yes
MFVOLUME | yes |
MFWRITE |  | yes

* Valid only for the ANSYS field in MFX.

4.2.6. Postprocess the Results

For information on postprocessing, refer to An Overview of Postprocessing in the Basic Analysis Guide. To postprocess the fluid results, use CFX-Post.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.1. How MFX Works 		Up / Home Next
4.3. Starting and Stopping an MFX Analysis


4.3. Starting and Stopping an MFX Analysis

You can start an MFX analysis via the launcher or via the command line. Both methods are explained here.

4.3.1. Starting an MFX Analysis via the Launcher

When you start an MFX analysis via the launcher, the ANSYS launcher will start up both ANSYS and CFX. You must set up your analysis separately, following the instructions explained in MFX Solution Procedure. The procedure explained in this section opens the software with the proper licenses and settings, and runs the specified input files.

When using the launcher, you will be able to open and run CFX on the local machine only. If you will be running CFX on a different machine, you must use the command method described in Starting an MFX Analysis via the Command Line.

You must be running on one of the following platforms: HP, SGI, Sun, IBM, Linux, or Windows. HP AlphaServer and Fujitsu are not supported on either ANSYS or CFX.

Use the following procedure to start an MFX analysis via the launcher.

  1. Open the ANSYS launcher:

    Windows:

    Start >Programs >ANSYS 11.0 >ANSYS Product Launcher

    UNIX:
    launcher110

  2. Select the MFX - ANSYS/CFX simulation environment.

    The MFX - ANSYS/CFX Setup tab is activated.

  3. Select an applicable license. You must use an ANSYS Multiphysics (except Multiphysics 1, 2, or 3, or Batch Child) or Mechanical license. Only applicable licenses will appear.

  4. On the MFX - ANSYS/CFX Setup tab, specify the ANSYS Run information:

    • Working directory (must be an absolute path on Windows)

    • Job name

    • Input file

    • Output file

    • Additional parameters

    These items behave the same way here as for a normal ANSYS run. For a complete description, see The ANSYS Launcher in the Operations Guide.

    You can also choose to use ANSYS' shared-memory parallel capability for the ANSYS portion of the run. If you select this option, specify the number of processors to use. You must have an ANSYS Mechanical HPC license for each processor after the first two.

  5. Specify the CFX Run information:

    • Working directory

    • Definition file - the name of the slave input file

    • Initial values file - valid only if a definition file is specified

    • Additional command line options - cfx5solve command line options (use cfx5solve -help for more information on available command line options)

    • CFX installation directory - You must enter the installation directory on UNIX platforms, even if you installed CFX in the default location. On Windows platforms, the default directory is provided, but you can change it. You may need to specify a non-default CFX installation directory if you have multiple versions of CFX installed on your machine, and the most recently installed version is NOT the version you want to use for this MFX operation. Additionally, on Windows systems only, you can restore the default setting.

    • Number of partitions for local parallel runs. Distributed parallel runs are not supported from the launcher. However, if you are using CFX's parallel processing capabilities (via the command line), you can still submit the ANSYS run from the launcher.

    Note

    When running MFX from the launcher, you must use ANSYS and CFX (uppercase) as the field solver names (MFPSIMUL) in your input file.

  6. Click Run.

The launcher offers you additional tools to aid with your MFX analysis.

If you do not want to launch CFX from this launcher, you can unselect the Automatically start CFX run after starting ANSYS run option. If you choose not to start CFX automatically, you will need to manually start CFX before the MFX analysis will complete.

In the product settings area of the launcher, you have the choice to automatically launch the ANSYS Results Tracker, the CFX-Solver Manager, and the Interface Results Tracker. These tools allow you to monitor the progress of the MFX analysis as it proceeds. To use the ANSYS Results Tracker or the Interface Results Tracker, you must include the /GST,ON,ON command in your input listing. For more information on the ANSYS Results Tracker and the Interface Results Tracker, see the NLHIST command. For more information on the CFX-Solver Manager, see the CFX documentation (Help> Master Contents> Solver Manager).

You can also cancel the MFX run by clicking the Cancel Run button. This feature is useful if, while monitoring the progress, you find your analysis is not converging or encounters other problems. You can stop the run, make corrections to your inputs, and rerun the job. When you select Cancel Run, the MFX run will finish the current multi-field time step and stop the run cleanly.

4.3.1.1. Other Settings

You can further control launcher settings by using the ANS_LAUNCH_MFX_PORT_RANGE environment variable to control which port(s) to try to determine a listening port. Valid range is between 1024 and 65535. If you want to specify a range of ports to try, separate the range with a hyphen. For example, if you want the ports 50000 through 50050 to be tried, then set the environment variable to 50000-50050. The default port range is 49800 through 49899.

This feature is useful if you are running through a firewall that has only certain ports open. The ANS_LAUNCH_MFX_PORT_RANGE environment variable is valid only when using the ANSYS launcher to start an MFX analysis.

4.3.2. Starting an MFX Analysis via the Command Line

You can also start an MFX analysis via the command line using the following procedure.

ANSYS Master. To launch the master ANSYS process, issue the following command:

ansys110 -p productname -mfm fieldname -ser port# -i inputname -o outputname

Where:

  • productname is the ansys product variable. You must use a Multiphysics (except Multiphysics 1, 2, or 3, or Batch Child) or Mechanical license. See the Product Variable Table in the ANSYS, Inc. Licensing Guide for the product variables for these products.

  • fieldname is the master field solver name as specified with the MFLCOMM and MFPSIMUL commands.

  • port# is the listening port number. ANSYS recommends using a port number between 49512 and 65535. ANSYS will create a jobname.port file that contains the port number if you do not include the -ser port# option on the command line. You can then use this port number for the CFX run. You must start ANSYS first to generate the jobname.port file.

  • inputname and outputname are the input and output filenames.

CFX Slave. To launch the slave CFX process, issue the following command:

cfx5solve -def inputfile -cplg-slave fieldname -cplg-host port#@ansys_hostname

Where:

  • inputname is the CFX input (definition) file

  • fieldname is the slave field solver name as specified with the MFLCOMM and MFPSIMUL commands.

  • port#@ansys_hostname is the listening port number initialized by the ANSYS master and the host name of the master machine.

4.3.3. Stopping an MFX Run Manually

You can stop an MFX run by using the Cancel Run button on the launcher. To stop an MFX run manually, create a text file named Jobname_mfx.ABT, with MFX in the first line. This file must reside in the master's working directory. Once this file is in place, MFX will stop cleanly after finishing the current multi-field time step.

To monitor the progress and field convergence in an MFX analysis, you can use the tracking tools available on the launcher, or you can manually launch the convergence tracker in ANSYS by issuing NLHIST110. In order to monitor the analysis, you must include /GST,ON,ON in your input file. This command will create the Jobname.NLH file for interface convergence and the ANSYS.GST file for the ANSYS field convergence. You must use the CFX Solver Manager to monitor CFX convergence.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.2. MFX Solution Procedure 		Up / Home Next
4.4. Example Simulation of a Piezoelectric Actuated Micro-Pump


4.4. Example Simulation of a Piezoelectric Actuated Micro-Pump

Problem Description

The working principle of micro-pumps is the actuation of a flexible membrane to obtain the driving pressure for the fluid flow. Electro-thermal, electrostatic, or piezoelectric actuators are most commonly used for this purpose.

The benchmark problem is taken from A. Klein and demonstrated in Figure 4.6: "Piezoelectric Micropump Description". This device consists of a fluid chamber with a deformable membrane at the top. The membrane is actuated by a piezoelectric layer during pump operation. To estimate the fluid damping and inertial forces on the membrane, a simplified process of the membrane actuation is considered here. With the diaphragm in the neutral position and the chamber filled with the working fluid, the PZT layer is actuated at t = 0 with an electric field, which is maintained at a constant level subsequently.

Figure 4.6 Piezoelectric Micropump Description

ANSYS coupled field element SOLID5 with displacement and voltage DOFs is used for the piezoelectric material and SOLID95 is used for the silicon membrane. Air at 25 degrees Celsius is used as the working fluid for the CFX solver.

The following material properties were used for the silicon:

Young's Modulus: 1.689e11 Pa
Poisson's ratio: 0.3
Density: 2329 kg/m3

The following material properties were used for the piezoelectric material (PZT4):

Density: 7500 kg/m3
X and Z Permittivity: 804.6 (Polar axis along Y axis)
Y Permittivity: 659.7

The elasticity stiffness matrix is shown here (N/m2 units):

The piezoelectric stress matrix is shown here (C/m2 units):

Figure 4.7 Model Dimensions

This model has a 0.1 mm thickness in the z direction, and both side surfaces have a Uz = 0 boundary condition for the structural part, and a symmetry condition for the fluid part.

Figure 4.8 Model Boundary Conditions

Back To Top

Set Up the Piezoelectric and Fluid Inputs

The first step in this example is to create two ANSYS .cdb files, one to set up the piezoelectric analysis and one to set up the fluid analysis. These files will be imported into the MFX solver. You will create these files with two batch ANSYS runs using the input files piezo.inp and CFX_fluid.inp, respectively. This example provides the models (under /ansys_inc/v110/ansys/data/models); you must be familiar with setting up a piezoelectric analysis and familiar with creating a CFX fluid mesh.

You will then set up the CFX model in CFX-Pre and create the CFX definition file. Finally, step by step instructions are provided for interactively setting the MFX input and creating the MFX input file. This will then be executed through the MFX launcher.

It is important that you enter all names exactly as shown in this example, including spaces and underscores. ANSYS and CFX use these names in their communication during the solution.

To create the two ANSYS .cdb files, follow the steps below:

  1. Open the ANSYS Launcher.

    Windows: Choose menu path Start> Programs> ANSYS 11.0> ANSYS Product Launcher.
    UNIX: Type launcher110.

  2. Select the Simulation Environment ANSYS Batch.

  3. Select a multiphysics license.

  4. The File Management tab is activated by default. In the File Management tab:

    • Enter the working directory where the piezo.inp and CFXfluid.inp files are located. You can type this directory in or select it via browsing.

    • Enter a unique jobname.

    • Enter piezo.inp for the input file.

    • Enter piezo.out for the output file.

  5. Click Run. This input file will create the pfsi-solid.cdb file to be used later.

Repeat this process for the CFXfluid.inp file, using CFXfluid.inp as the input file name, and CFXfluid.out as the output file name. This input file will create the fluid.cdb file that will be used later.

Back To Top

Set up the CFX Model and Create the CFX Definition File

In this series of steps, you will set up the example in the CFX preprocessor.

  1. Start CFXpre from the CFX launcher.

  2. Create a new simulation and name it cfx_mfxexample.

  3. Load the mesh from the ANSYS file named fluid.cdb. The mesh format is ANSYS. Accept the default unit of meters for the model.

  4. Define the simulation type:

    1. Set External Solver Coupling to ANSYS MultiField via Prep7.

    2. Load the ANSYS input file at ANSYS Input File to launch the MFX run from the CFX Solver Manager.

    3. Set Option to Transient.

    4. Set Time duration to Coupling Time Duration.

    5. Set Time steps to Coupling Timesteps.

    6. Set Initial time - Option to Automatic with Value, and set Time to 0 [s].

  5. Create the fluid domain and accept the default domain name. Use Primitive 3D as the location.

  6. Edit the fluid domain using the Edit domain - Domain1 panel.

    1. Set Fluids list to Air at 25 C.

    2. Set Mesh deformation - Option to Regions of motion specified. Accept the default value of mesh stiffness.

    3. In the Fluid models tab, set Turbulence model - Option to None (laminar).

    4. Accept the remainder of the defaults.

    5. Initialize the model in the Initialisation tab. Click Domain Initialisation, and then click Initial Conditions. Select Automatic with value and set velocities and static pressure to zero.

  7. Create the interface boundary condition. This is not a domain interface. Set Name to Interface1.

    1. In the Basic settings tab: - Set Boundary type to Wall. Set Location to FSI.

    2. In the Mesh motion tab: Set Mesh motion - Option to ANSYS Multifield.

    3. Accept the defaults for boundary details.

  8. Create the opening boundary condition. Set Name to Opening.

    1. In the Basic settings tab: Set Boundary type to Opening. Set Location to Opening.

    2. In the Boundary details tab: Set Mass and momentum - Option to Static pres. (Entrain). Set Relative pressure to 0 Pa.

    3. In the Mesh motion tab: Accept the Mesh motion - Option default of Stationary.

  9. Create the wall boundary condition. Set Name to Bottom. Edit the wall boundary condition using Edit boundary: Bottom in Domain: Domain1 panel.

    1. In the Basic settings tab: Set Boundary type to Wall. Set Location to Bottom.

    2. In the Boundary Details tab: Set Wall influence on flow - Option to No slip.

    3. In the Mesh motion tab: Set Mesh motion to Stationary.

  10. Create another wall boundary condition. Set Name to Top. Edit the wall boundary condition using Edit boundary: Top in Domain: Domain1 panel.

    1. In the Basic settings tab: Set Boundary type to Wall. Set Location to Top.

    2. In the Boundary Details tab: Set Wall influence on flow - Option to No slip.

    3. In the Mesh motion tab: Set Mesh motion to Stationary.

  11. Create the end symmetry boundary condition. Set Name to Sym.

    1. In the Basic settings tab: Set Boundary Type to Symmetry. Set Location to Pipe.

    2. In the Mesh motion tab: Set Mesh motion to Unspecified.

  12. Create the side symmetry boundary condition. Set Name to Symmetry. Edit the symmetry boundary condition using Edit boundary: Side1 in Domain: Domain1 panel.

    1. In the Basic settings tab: Set Boundary type to Symmetry. Set Location to Side1 and Side2. Use the Ctrl key to select multiple locations.

    2. In the Mesh motion tab: Set Mesh motion to Unspecified.

  13. Accept the defaults for Solver Control.

  14. Generate transient results to enable post processing through the simulation period.

    1. Click Output Control.

    2. Go to Trn Results tab.

    3. Create New. Accept Transient Results as the default name.

    4. Choose Time Interval and set to 5E-5.

    5. Accept the remaining defaults.

  15. Create the CFX definition file.

    1. Choose menu path File> Write Solver File. Name the file cfx_mfxexample.def.

    2. Select Operation: Write Solver File.

    3. Click Quit CFX Pre.

    4. Click OK.

Back To Top

Set Up the MFX Launcher Controls

Follow the steps below to set up the MFX controls in ANSYS. The first step reads in the pfsi-solid.cdb input file, which includes the preliminary model and preprocessing information.

  1. Open the ANSYS Launcher.

    Windows: Choose menu path: Start> Programs> ANSYS 11.0> ANSYS Product Launcher
    UNIX: Type launcher110.

  2. Select an ANSYS Multiphysics license.

  3. Set your working directory or any other settings as necessary. See The ANSYS Launcher in the Operations Guide for details on using the ANSYS launcher.

  4. Click Run.

  5. When ANSYS has opened, choose menu path Utility Menu> File> Read Input From and navigate to the file pfsi-solid.cdb. Click OK.

  6. Choose menu path Main Menu> Solution> Multi-field Set Up> Select Method.

  7. For the MFS/MFX Activation Key, click ON.

  8. Click OK.

  9. Click MFX-ANSYS/CFX and click OK.

Back To Top

Set Up the MFX Groups in ANSYS

  1. Choose menu path Main Menu> Multi-field Set Up> MFX-ANSYS/CFX> Solution Ctrl.

  2. Select Sequential. Enter .5 for the relaxation value and click OK.

  3. On the next dialog box, for Select Order, choose Solve ANSYS First and click OK.

Back To Top

Set Up the MFX Time Controls and Load Transfer in ANSYS

  1. Choose menu path Main Menu> Multi-field Set Up> MFX-ANSYS/CFX> Load Transfer.

  2. Enter Interface1 for the CFX Region Name.

  3. For Load Type, accept the default of Mechanical.

  4. Click OK.

  5. Choose menu path Main Menu> Multi-field Set Up> MFX-ANSYS/CFX> Time Ctrl.

  6. Set MFX End Time to 5e-4.

  7. Set Initial Time Step to 5e-6.

  8. Set Minimum Time Step to 5e-6.

  9. Set Maximum Time Step to 5e-6.

  10. Accept the remaining defaults and click OK.

Back To Top

Set Up MFX Advanced Options in ANSYS

  1. Choose menu path Main Menu> Multi-field Set Up> MFX-ANSYS/CFX> Advanced Set Up> Iterations.

  2. Note the defaults and click OK.

  3. Choose menu path Main Menu> Multi-field Set Up> MFX-ANSYS/CFX> Advanced Set Up> Convergence.

  4. Select All and click OK.

  5. On the next dialog box, accept the default of 1.0e-3 for Convergence for All Items and click OK.

  6. In the Command Input window, type MFOU,1 to write the output for every time step.

  7. In the Command Input window, type KBC,1 to specify stepped loading.

  8. Choose menu path Main Menu> Multi-field Set Up> MFX-ANSYS/CFX> Write input. Name the file mfxexample.dat.

  9. Exit ANSYS.

Back To Top

Run the Example from the ANSYS Launcher

  1. Open the ANSYS Launcher.

  2. Select MFX - ANSYS/CFX as the simulation environment.

  3. In the MFX - ANSYS/CFX Setup tab:

    • Enter the ANSYS working directory you have been using. You can type this directory in or select it via browsing.

    • Enter ansys_mfxexample for the ANSYS jobname.

    • Enter mfxexample.dat for the ANSYS input file.

    • Enter mfxexample.out for the ANSYS output file.

    Specify the following CFX settings:

    • CFX Working Directory

    • Enter cfx_mfxexample.def for the CFX definition file. You can leave the remaining CFX settings blank.

    • (UNIX only) Enter the CFX installation directory.

  4. Click Run.

Back To Top

View the Results

You can view results from both the ANSYS and the CFX portions of the run. The following figure shows the response of the vertical displacement of the silicon membrane's center point (ANSYS).

Figure 4.9 Vertical Displacement of the Silicon Membrane's Center Point

The following figure shows the von Mises stress distribution for piezoelectric and silicon layer at t = 500 μs (ANSYS).

Figure 4.10 von Mises Stress Distribution

The following figure shows air streamline velocity from CFX at t = 500 μs (CFX).

Figure 4.11 Air Streamline Velocity

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.3. Starting and Stopping an MFX Analysis 		Up / Home Next
Chapter 5. Load Transfer Coupled Physics Analysis


Chapter 5. Load Transfer Coupled Physics Analysis

A load transfer coupled physics analysis is the combination of analyses from different engineering disciplines that interact to solve a global engineering problem. For convenience, this chapter refers to the solutions and procedures associated with a particular engineering discipline as a physics analysis. When the input of one physics analysis depends on the results from another analysis, the analyses are coupled.

Some cases use only one-way coupling. For example, the calculation of the flow field over a cement wall provides pressure loads that you can use in the structural analysis of the wall. The pressure loadings result in a deflection of the wall. This deflection, in principle, changes the geometry of the flow field around the wall, but in practice, the change is small enough to be negligible. Thus, there is no need to iterate. In this problem, fluid elements are used for the flow solution and structural elements for the stress and deflection calculations.

A more complicated case is the induction heating problem, where an AC electromagnetic analysis calculates Joule heat generation data which a transient thermal analysis uses to predict a time-dependent temperature solution. The induction heating problem is complicated further by the fact that the material properties in both physics simulations depend highly on temperature. This analysis requires iteration between the two simulations.

The term load transfer coupled physics refers to using the results of one physics simulation as loads for the next. If the analyses are fully coupled, results of the second analysis will change some input to the first analysis. Boundary conditions and loads can be categorized as follows:

  • Base physics loads, which are not a function of other physics analyses. Such loads also are called nominal boundary conditions.

  • Coupled loads, which are results of the other physics simulation.

Typical applications you can solve with ANSYS include the following:

  • Thermal stress

  • Induction heating

  • Induction stirring

  • Steady-state fluid-structure interaction

  • Magneto-structural interaction

  • Electrostatic-structural interaction

  • Current conduction-magnetostatics

The ANSYS program can perform multiphysics analyses with a single ANSYS database and single set of nodes and elements for the entire model. What these elements represent are changes from one physics analysis to another, based on the use of the physics environment concept.

The following load transfer coupled physics analysis topics are available:

  • What Is a Physics Environment?
  • General Analysis Procedures
  • Transferring Loads Between Physics
  • Performing a Load Transfer Coupled Physics Analysis with Multiple Physics Environments
  • Example Thermal-Stress Analysis Using Separate Databases
  • Example Thermal-Stress Analysis Using Multiple Physics Environments
  • Example Fluid-Structural Analysis Using Physics Environments
  • Example Induction-heating Analysis Using Physics Environments

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.4. Example Simulation of a Piezoelectric Actuated Micro-Pump 		Up / Home Next
5.1. What Is a Physics Environment?


5.1. What Is a Physics Environment?

The ANSYS program performs load transfer coupled physics analyses using the concept of a physics environment. The term physics environment applies to both a file you create which contains all operating parameters and characteristics for a particular physics analysis and to the file's contents. A physics environment file is an ASCII file you create using either of the following:

Command(s): | PHYSICS,WRITE,Title,Filename,Ext,--
GUI: | Main Menu> Preprocessor> Physics> Environment Main Menu> Solution> Physics> Environment

You can define up to nine physics environments for a particular jobname. You define a unique title for each environment on the PHYSICS command. ANSYS gives each physics environment a unique number as part of its file extension. We recommend that you use a title that describes the physics of the analysis. The title also needs to be different from the analysis title specified with the /TITLE command (Utility Menu> File> Change Title).

The PHYSICS,WRITE command creates a physics environment file (Jobname.PH1, for example) by taking the following information from the ANSYS database:

  • Element types and KEYOPT settings

  • Real constants

  • Material properties

  • Element coordinate systems

  • Solution analysis options

  • Load step options

  • Constraint equations

  • Coupled node sets

  • Applied boundary conditions and loads

  • GUI Preference settings

  • The analysis title (/TITLE card)

Use the PHYSICS,READ command (Main Menu> Preprocessor> Physics> Environment> Read) to read in a physics environment file, using either the filename or the title used in writing the file. (This title is included as a comment at the top of the physics environment file.) Before reading the physics file, the ANSYS program clears all boundary conditions, loads, node coupling, material properties, analysis options, and constraint equations that presently exist in the database.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 5. Load Transfer Coupled Physics Analysis 		Up / Home Next
5.2. General Analysis Procedures


5.2. General Analysis Procedures

You can perform a load transfer coupled-field analysis using either separate databases or a single database with multiple physics environments. In both cases, use LDREAD to read the results and apply them as loads.

Figure 5.1: "Data Flow for a Load Transfer Coupled-Field Analysis Using Separate Databases" shows the data flow for a typical load transfer analysis done with separate databases. Each database contains the appropriate solid model, elements, loads, etc. You can read information from a results file from the first database into another database. Element and node numbers must be consistent between the databases and the results file.

Figure 5.1 Data Flow for a Load Transfer Coupled-Field Analysis Using Separate Databases

Figure 5.2: "Data Flow for a Load Transfer Coupled Physics Analysis Using Multiple Physics Environments" shows the data flow using a single database and multiple physics environments. In this approach, a single database must contain the elements and nodes for all the physics analyses that you undertake. For each element or solid model entity, you must define a set of attribute numbers, including an element type number, a material number, a real constant number, and an element coordinate system number. All of these numbers will remain constant across all the analyses. However, the actual properties associated with a given attribute number can vary among all the physics environments, as can the definition of the parameters in real constant sets and the element type number. Regions of the model may be inactive for a particular physics solution, as this chapter will explain later.

Figure 5.2 Data Flow for a Load Transfer Coupled Physics Analysis Using Multiple Physics Environments

Build the ANSYS database with the requirements of each physics environment in mind. Before creating any physics environments, assign the element type number, material number, real constant set number, and element coordinate set number of each distinct region for each area or volume. (See the descriptions of the AATT and VATT commands.) Be careful when working with problems where a given area or volume is part of the problem domain for two different physics types. For example, a fluid may have magnetic characteristics. Any region that will be a fluid region at any time must have a material number of 1. If you cannot do this, you will have to modify the appropriate elements between performing the different physics solutions. To modify elements, use one of the following:

Command(s): | EMODIF
GUI: | Main Menu> Preprocessor> Modeling> Move/Modify> Elements> Modify Attrib

Using separate databases is ideal for one-way load transfer coupling, such as a typical thermal-stress analysis. Using a single database with multiple physics environments allows you to quickly switch between physics environments, which is ideally suited for fully coupled scenarios requiring multiple passes between physics solutions. Large deflection steady-state fluid-structure interaction, or induction heating, are typical examples of cases requiring the single database/multiple physics environment approach.

Note that the database file may grow in size during multiple solution passes unless you take one of the following actions:

  • Issue a SAVE after creating the physics environments and a RESUME after each physics solution.

  • Do not write results into the database (only write to the results file). You will then need to issue a SET command whenever you want to read data from the results file into the database for postprocessing. To invoke this option, either issue the command /CONFIG,NOELAB,1 or insert the line "NO_ELDBW = 1" into the config110.ans file.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.1. What Is a Physics Environment? 		Up / Home Next
5.3. Transferring Loads Between Physics


5.3. Transferring Loads Between Physics

The LDREAD command links the different physics environments in a coupled-field analysis, enabling you to read in specified results data from the first physics environment solution analysis and applying them as loads for the next environment's solution.

The LDREAD command reads results data from the results file and applies them as loads. The following table briefly explains what happens to results data from various analysis types when LDREAD reads them in as loads on another analysis:

Table 5.1 How Results Transferred by LDREAD Become Loads

These analysis results ... | Become loads on this type of analysis ...
Temperatures from a thermal or FLOTRAN analysis [TEMP, TBOT, TE2, . . . TTOP] | Body force for structural analyses or nodal loads (temperatures) for thermal analyses
Forces from a static, harmonic, or transient magnetic analysis [FORC] | Force loads on a structural analysis or FLOTRAN analysis
Forces from an electrostatic analysis [FORC] | Force loads on a structural analysis
Joule heating from a magnetic analysis [HGEN] | Body force element (heat generation) loads onto a thermal or FLOTRAN analysis
Source current density from a current conduction analysis [JS] | Body force element (current density) loads on a magnetic field analysis
Pressures from a FLOTRAN analysis [PRES] | Surface (pressure) loads onto a structural analysis (solids and shell elements)
Reaction loads from any analysis [REAC] | Force loads on any analysis
Heat fluxes from a FLOTRAN analysis [HFLU] | Surface (heat flux) loads on elements in a thermal analysis
Heat fluxes from a high frequency electromagnetic analysis [EHFLU] | Surface (heat flux) loads on elements in a thermal analysis
FLOTRAN calculated film coefficient and associated ambient temperature [HFLM] | Surface (film coefficients and bulk temperature) loads on elements in a thermal analysis

5.3.1. Compatible Element Types

There are several criteria for determining if element types are compatible across physics environments. Before reading further about this topic, you need to understand the following terms:

Base geometry

An element's base geometry is established by the default configuration documented in the Elements Reference. For solid elements, base geometry includes quadrilateral, triangle, hexahedron (brick), and tetrahedron shapes.

Degenerate geometry

Many elements may take on a degenerate form from the base geometry. For instance, a quadrilateral element may degenerate to a triangle element, or a brick element may degenerate to a wedge, tetrahedron, or pyramid shape.

Element order

ANSYS elements (excluding the p-elements) are available in a lower order form (first order) or a higher order form (second order). The higher order elements have midside nodes; the lower order elements do not. In many instances, you can generate the higher order elements without midside nodes.

Across multiphysics environments, element types must maintain a consistent base geometry. If an element type allows a degenerate geometry, the corresponding element type in the other physics must also allow the same degenerate geometry. For example, a SOLID92 (10-node tetrahedral structural solid) is compatible with SOLID87 (a 10-node tetrahedral thermal solid). However, SOLID92 is not compatible with a degenerate tetrahedral shape of SOLID90 (a 20-node thermal solid).

Elements of different element order may or may not be compatible across physics environments. The nature of the coupled load read by the LDREAD command will determine compatibility. In addition, certain element types have specific KEYOPT options that support lower and higher order coupled load transfer.

The items listed below are loads which you can read from first or second order elements and apply to first or second order elements in another physics environment:

  • Body force temperatures [TEMP, TBOT, TE2, . . . TTOP]

  • Body force element heat generation [HGEN]

  • Source current density [JS]

  • Surface pressure [PRES]

  • Surface heat fluxes [HFLU]

  • Surface film coefficients and bulk temperature [HFLM]

Loads which require compatibility in element order are as follows:

  • Force loads* [FORC]

  • Reaction loads [REAC]

* The following electromagnetic elements support first or second order structural elements with a KEYOPT setting: PLANE53, PLANE121, SOLID122, and SOLID123.

If physics environments are established by switching between element orders, you must initially create the finite element mesh with the higher order elements. Table 5.2: "Compatible Element Types Across Physics Environments" partially summarizes compatible element types:

Table 5.2 Compatible Element Types Across Physics Environments

Structural | Thermal | Magnetic | Electrostatic | Fluid | Electric Conduction
SOLID45 | SOLID70 | SOLID97, SOLID117[1] | SOLID122[2] | FLUID142 | SOLID5, SOLID69
SOLID92 | SOLID87 | SOLID98, HF119[1] | SOLID123[2] | - | SOLID98
SOLID95 | SOLID90 | SOLID117, HF120 | SOLID122 | - | SOLID5, SOLID69
PLANE42 | PLANE55 | PLANE13, PLANE53[2] | PLANE121[2] | FLUID141 | PLANE67
PLANE183 | PLANE35 | - | - | - | -
PLANE82 | PLANE77 | PLANE53 | PLANE121 | - | PLANE67
SHELL63, SHELL181 | SHELL57, SHELL131 | - | - | - | SHELL157
SHELL91, SHELL93 | SHELL132 | - | - | - |
LINK8 | LINK33 | - | - | FLUID116 | LINK68

Note

If a mesh involves a degenerate element shape, the corresponding element type must allow the same degenerate shape. For example, if a mesh involves FLUID142 pyramid elements, SOLID70 elements are not compatible. SOLID70 elements can not be degenerated into a pyramid shape. To be compatible, elements with a VOLT degree of freedom must also have the same reaction force (see Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide).

  1. Supports only first order elements requiring forces.

  2. Element KEYOPT option required to support first order elements requiring forces.

5.3.2. Types of Results Files You May Use

You typically you work with several different types of results files containing different types. All results files for your analysis will have the same filename -- the jobname you specified using the /FILNAME command (Utility Menu> File> Change Jobname). However, you can distinguish among different results files by looking at their extensions:

Jobname.RFL | FLOTRAN results file
Jobname.RMG | Electromagnetic results file
Jobname.RTH | Thermal results file
Jobname.RST | All other types of results files (structural and multiple physics)

5.3.3. Transient Fluid-Structural Analyses

In a transient fluid-structural analyses, you may choose to perform structural analyses at intermediate times corresponding to ramped changes in fluid boundary conditions. For example, suppose you want to perform a structural analysis at 2.0 seconds and the inlet velocity ramps from 1.0 in/sec at 0.0 seconds to 5.0 in/sec at 4.0 seconds. You first perform the structural analysis at 2.0 seconds in the usual manner. When the PHYSICS,READ,FLUID (Main Menu> Solution> Physics> Environment> Read) command is issued to resume the fluid analysis, you reapply the transient ramp. You apply the inlet boundary velocity of 3.0 in/sec at 2.0 seconds and then indicate that this is an “old” condition by issuing the following:

Command(s): | FLOCHECK,2
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Flocheck
This means that the 3.0 in/sec inlet boundary condition at 2 seconds is the starting point for a ramp. You then input the final point of the ramp, 5.0 in/sec at 4 seconds, and specify a ramped boundary condition by issuing the following:
Command(s): | FLDATA4,TIME,BC,1
GUI: | Main Menu> Preprocessor> FLOTRAN Set Up> Execution Ctrl
You execute the transient analysis as usual using the SOLVE command.

For more information about applying transient boundary conditions with FLOTRAN, see "FLOTRAN Transient Analyses".

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.2. General Analysis Procedures 		Up / Home Next
5.4. Performing a Load Transfer Coupled Physics Analysis with Multiple Physics Environments


5.4. Performing a Load Transfer Coupled Physics Analysis with Multiple Physics Environments

This section outlines using a single database with multiple physics environments to run a load transfer coupled physics analysis.

  1. Build a model that meets the requirements of each physics discipline that will be addressed. Keep the following points in mind:

    • Each ANSYS solid model area or volume defined has its own particular needs with respect to element type, material properties, and real constants. All solid model entities should have element type numbers, real constant set numbers, material numbers, and element coordinate system numbers applied. (Their meaning will change according to the physics environment.)

    • Certain groups of areas or volumes will be used in two or more different physics environments. The mesh you use must be suitable for all environments.

  2. Create the physics environment. You perform this step for each physics discipline that is part of the load transfer coupled physics analysis.

    • Refer to various sections of the ANSYS Analysis Guides as necessary to determine what you should specify for a particular physics analysis.

    • Define the necessary element types to be used in a physics simulation (for example, ET,1,141 or ET,2,142, etc., for a FLOTRAN simulation, ET,1,13 or ET,2,117 for a magnetic solution, etc.). Set the "null" element type (Type = 0, i.e. ET,3,0) for use in regions not associated with or needed for a given physics. Elements assigned to the null element type are ignored during solution.

    • Assign material properties, real constant set data, and element coordinate systems as needed, in accordance with the established attribute numbers defined earlier for the model.

    • Assign attribute numbers for element type, materials, real constants, and element coordinate systems to the solid model areas or volumes (using the AATT command (Main Menu> Preprocessor> Meshing> Mesh Attributes> All Areas or Picked Areas) or the VATT command (Main Menu> Preprocessor> Meshing> Mesh Attributes> All Volumes or Picked Volumes)).

    • Apply the nominal loads and boundary conditions. These conditions are those that are the same (for a steady state problem) for each execution of this physics analysis in the overall iterative procedure.

    • Set all the solution options.

    • Choose a title for the physics environment and issue the PHYSICS,WRITE command with that title. For example, in a fluid-magnetics analysis, you could use the following command to write out the fluid physics environment:

      Command(s): PHYSICS,WRITE,Fluids
      GUI: Main Menu> Preprocessor> Physics> Environment> Write

    • Clear the database of the present physics environment in order to create the next physics environment. This is done by issuing the PHYSICS,Clear option.

      Command(s): PHYSICS,Clear
      GUI: Main Menu> Preprocessor> Physics> Environment> Clear

    • Prepare the next physics environment as noted above.

    • Issue SAVE to save the database and physics file pointers.

      Assuming that the jobname for this multiphysics analysis is "Induct" and these are the first two physics environment files written, the files would be named Induct.PH1 and Induct.PH2. For more information about the PHYSICS command, see the Commands Reference.

  3. Perform the load transfer coupled physics analysis, performing each physics analysis in turn.

    /SOLU                      ! Enter solution
PHYSICS,READ,Magnetics     ! Contains magnetics environment
SOLVE
FINISH
/SOLU
PHYSICS,READ,Fluids
LDREAD,FORCE,,,,2,,rmg     ! Magnetic Lorentz forces
SOLVE

The extensions on the LDREAD command are associated with the results file which is being read in. Results from a thermal analysis would be read in from a Jobname.RTH file. All other results besides magnetics and fluids would come from a Jobname.RST file.

5.4.1. Mesh Updating

Many times a coupled-field analysis involving a field domain (electrostatic, magnetic, fluid) and a structural domain yields significant structural deflections. In this case, to obtain an overall converged coupled-field solution it is often necessary to update the finite element mesh in the non-structural region to coincide with the structural deflection and recursively cycle between the field solution and structural solution.

Figure 5.3: "Beam Above Ground Plane" illustrates a typical electrostatic-structural coupling problem requiring mesh updating. In this problem, a beam sits above a ground plane at zero potential. A voltage applied to the beam causes it to deflect (from electrostatic forces) toward the ground plane. As the beam deflects, the electrostatic field changes, resulting in an increasing force on the beam as it approaches the ground plane. At a displaced equilibrium, the electrostatic forces balance the restoring elastic forces of the beam.

Figure 5.3 Beam Above Ground Plane

To run a simulation of this problem requires adjustment of the field mesh to coincide with the deformed structural mesh. In ANSYS, this adjustment is known as mesh morphing.

To accomplish mesh morphing, you issue the DAMORPH command (morphing elements attached to areas), DVMORPH command (morphing elements attached to volumes, or the DEMORPH command (morphing selected elements). You use the RMSHKY option to specify one of the following three ways of mesh morphing:

  • Morphing - The program moves nodes and elements of the "field" mesh to coincide with the deformed structural mesh. In this case, it does not create any new nodes or elements or remove any nodes or elements from the field region.

  • Remeshing - The program removes the field region mesh, and replaces it with a new mesh that coincides with the deformed structural mesh. Remeshing does not alter the structural mesh. It connects the new field mesh to the existing nodes and elements of the deformed structural mesh.

  • Morphing or Remeshing - The program attempts to morph the field mesh first. If it fails to morph, the program switches to remeshing the selected field region. This is the default.

Mesh morphing affects only nodes and elements. It does not alter solid model entity geometry locations (keypoints, lines, areas, volumes). It retains associativity of the nodes and elements with the solid modeling entities. Nodes and elements attached to keypoints, lines, and areas internal to a region selected for morphing may in fact move off of these entities; however, the associativity will still remain.

You must exercise care when applying boundary conditions and loads to a region of the model undergoing mesh morphing. Boundary conditions and loads applied to nodes and elements are appropriate only for the morphing option. If boundary conditions and loads are applied directly to nodes and elements, the DAMORPH, DVMORPH, and DEMORPH commands require that these be removed before remeshing can take place. Boundary conditions and loads applied to solid modeling entities will correctly transfer to the new mesh. Since the default option may morph or remesh, you are better off assigning only solid model boundary conditions to your model.

You must also exercise care with initial conditions defined by the IC command. Before a structural analysis is performed, the DAMORPH, DVMORPH, and DEMORPH commands require that initial conditions be removed from all null element type nodes in the non-structural regions. Use ICDELE to delete the initial conditions.

The morphing algorithm uses the ANSYS shape checking logic to assess whether the element is suitable for subsequent solutions. It queries the element type in the morphing elements for shape checking parameters. In some instances, the elements in the morphing region may be the null element type (Type 0). In this case, the shape checking criteria may not be as rigorous as the shape checking criteria for a particular analysis element type. This may result in elements failing the shape checking test during the analysis phase of a subsequent solution in the field domain. To avoid this problem, reassign the element type from the null element type prior to issuing the morphing command.

Displacements results from a structural analysis must be in the database prior to issuing a morphing command. Results are in the database after a structural solution, or after reading in the results from the results file (SET command in POST1). The structural nodes of the model move to the deformed position from the computed displacements. If you are performing a subsequent structural analysis, you should always restore the structural nodes to their original position. You can accomplish this by selecting the structural nodes and issuing UPCOORD with a FACTOR of -1.0.

Command(s): | UPCOORD,Factor
GUI: | Main Menu> Solution> Load Step Opts> Other> Updt Node Coord

Mesh morphing supports all 2-D models meshed with quadrilateral and triangular lower and higher order elements. For 2-D models, all nodes and elements must be in the same plane. Arbitrary curved surfaces are not supported. In 3-D, only models with the following shape configurations and morphing options are supported.

  • All tetrahedral elements - (morphing and remeshing supported)

  • All brick elements - (morphing supported)

  • All wedge elements - (morphing supported)

  • Combination of pyramid-tetrahedral elements - (morphing supported)

  • Combination of brick-wedge elements - (morphing supported)

Mesh morphing will most likely succeed for meshes with uniform-sided elements (such as those created with the SMRTSIZE command option). Highly distorted elements may fail to morph.

Figure 5.4: "Area Model of Beam and Air Region" illustrates a beam region immersed within an electrostatic region. Area 1 represents the beam model and Area 2 represents the electrostatic region. In this scenario, you would select Area 2 for morphing.

Figure 5.4 Area Model of Beam and Air Region

In many instances, only a portion of the model requires morphing (that is, the region in the immediate vicinity of the structural region). In this case, you should only select the areas or volumes in the immediate vicinity of the structural model. Figure 5.5: "Area Model of Beam and Multiple Air Regions" illustrates the beam example with multiple electrostatic areas. Only Area 3 requires mesh morphing. In order to maintain mesh compatibility with the nonmorphed region, the morphing algorithm does not alter the nodes and elements at the boundary of the selected morphing areas or volumes. In this example, it would not alter the nodes at the interface of Areas 2 and 3.

Figure 5.5 Area Model of Beam and Multiple Air Regions

To perform mesh morphing at the end of a structural analysis, issue the following:

Command(s): | DAMORPH, DVMORPH, DEMORPH
GUI: | Main Menu> Preprocessor> Meshing> Modify Mesh> Refine At> Areas Main Menu> Preprocessor> Meshing> Modify Mesh> Refine At> Volumes Main Menu> Preprocessor> Meshing> Modify Mesh> Refine At> Elements

An alternative command, MORPH, may be used for mesh morphing. It is generally more robust than the DAMORPH, DVMORPH, and DEMORPH commands and it can be used with all element types and shapes. To prepare a non-structural mesh for morphing with the MORPH command, perform the following steps:

  1. Create the non-structural model and mesh.

  2. Activate the morphing command (MORPH,ON).

  3. Apply appropriate structural boundary condition constraints to the boundary of the non-structural mesh (typically, you set normal components of displacement to zero).

Note

Morphed fields must be in the global Cartesian system (CSYS = 0).

See Example Fluid-Structural Analysis Using Physics Environments for a problem using mesh morphing and physics files.

5.4.2. Restarting an Analysis Using Multiple Physics Environments

In many load transfer coupling applications, you may need to restart one of the physics solutions. For example, in induction heating, you need to restart the transient thermal analysis during the load transfer coupling cycles. For static nonlinear structural coupled-field analysis, it is advantageous to restart the structural solution rather than start all over. You can implement a restart procedure easily within a load transfer coupled-field analysis. A restart requires the EMAT, ESAV, and DB files of the particular physics. You can isolate EMAT and ESAV files for the particular physics by using the /ASSIGN command. If you use a single database with multiple physics files, the database file will be consistent with the physics. Following is a summary of the restart procedure:

  1. Use the /ASSIGN command to redirect the file assignment for the EMAT and ESAV files prior to solving the physics domain requiring a restart.

  2. Perform the restart analysis.

  3. Use the /ASSIGN command to redirect the file assignments for the EMAT and ESAV files to their default values for use by the other physics domains.

The induction heating example problem described later on in the chapter demonstrates the use of a transient restart thermal analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.3. Transferring Loads Between Physics 		Up / Home Next
5.5. Example Thermal-Stress Analysis Using Separate Databases


5.5. Example Thermal-Stress Analysis Using Separate Databases

The example described in this section demonstrates a simple thermal-stress analysis performed using separate databases.

5.5.1. The Problem Described

In the example problem, two long, thick-walled cylinders, concentric about the cylinder axis, are maintained at a temperature (Ti) on the inner surface and on the outer surface (To). The object of the problem is to determine the temperature distribution, axial stress, and hoop stress in the cylinders.

Geometric Properties | Loading | Material Properties
 |  | Inner Cylinder (steel) | Outer Cylinder (aluminum)
a = .1875 in. | Ti = 200°F | E = 30 x 106 psi | E = 10.6 x 106 psi
b = .40 in. | To = 70°F | α = .65 x 10-5 in/in°F | α = 1.35 x 10-5 in/in°F
c = .60 in. |  | ν = 0.3 | ν = 0.33
 |  | K = 2.2 btu/hr-in-°F | K = 10.8 btu/hr-in-°F

The basic procedure in this problem is as follows:

  1. Define and solve the thermal problem.

  2. Return to PREP7 and modify the database. You will need to switch element types, specify additional material properties, and specify structural boundary conditions.

  3. Read the temperatures from the thermal results file.

  4. Solve the structural problem.

The command text below demonstrates the problem input. All text prefaced with an exclamation point (!) is a comment.

/batch,list
/show
/title, thermal stress in concentric cylinders - indirect method
/prep7
et,1,plane77,,,1     ! PLANE77 axisymmetric option
mp,kxx,1,2.2         ! Steel conductivity
mp,kxx,2,10.8        ! Aluminum conductivity
rectng,.1875,.4,0,.05! Model
rectng,.4,.6,0,.05
aglue,all
numcmp,area
asel,s,area,,1        Assign attributes to solid model
aatt,1,1,1
asel,s,area,,2
aatt,2,1,1
asel,all
esize,.05
amesh,all            ! Mesh model
nsel,s,loc,x,.1875
d,all,temp,200       ! Apply thermal loads
nsel,s,loc,x,.6
d,all,temp,70
nsel,all
finish
/solu
solve
finish
/post1
path,radial,2        ! Define path name and number of path points
ppath,1,,.1875       ! Define path by location
ppath,2,,.6
pdef,temp,temp       ! Interpret temperature to path
pasave,radial,filea  ! Save path to an external file
plpath,temp          ! Plot temperature solution
finish
/prep7
et,1,82,,,1          ! Switch to structural element, SOLID82
mp,ex,1,30e6         ! Define structural steel properties
mp,alpx,1,.65e-5
mp,nuxy,1,.3
mp,ex,2,10.6e6       ! Define aluminum structural properties
mp,alpx,2,1.35e-5
mp,nuxy,2,.33
nsel,s,loc,y,.05     ! Apply structural boundary conditions
cp,1,uy,all
nsel,s,loc,x,.1875
cp,2,ux,all
nsel,s,loc,y,0
d,all,uy,0
nsel,all
finish
/solu
tref,70
ldread,temp,,,,,,rth  ! Read in temperatures from thermal run
solve
finish
/post1
paresu,radial,filea !Restore path
pmap,,mat           ! Set path mapping to handle material discontinuity
pdef,sx,s,x         ! Interpret radial stress
pdef,sz,s,z         ! Interpret hoop stress
plpath,sx,sz        ! Plot stresses
plpagm,sx,,node     ! Plot radial stress on path geometry
finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.4. Performing a Load Transfer Coupled Physics Analysis with Multiple Physics Environments 		Up / Home Next
5.6. Example Thermal-Stress Analysis Using Multiple Physics Environments


5.6. Example Thermal-Stress Analysis Using Multiple Physics Environments

This section shows you how to solve the same thermal-stress problem covered in the previous section, this time using a single database with multiple physics environments. In this particular case, it may not be advantageous to use this approach because the problem is a simple one-way coupling. However, it will allow for quick switching between physics environments for subsequent modeling or analysis.

The basic procedure for this problem is shown below:

  1. Define the thermal problem.

  2. Write the thermal physics file.

  3. Clear boundary conditions and options.

  4. Define the structural problem.

  5. Write the structural physics file.

  6. Read the thermal physics file.

  7. Solve and postprocess the thermal problem.

  8. Read the structural physics file.

  9. Read the temperatures from the thermal results file.

  10. Solve and postprocess the physics file.

The command text shown below demonstrates the problem input. All text prefaced with an exclamation point (!) is a comment.

/batch,list
/show
/title, thermal stress in concentric cylinders - physics environment method
/prep7
et,1,plane77,,,1          ! PLANE77 axisymmetric options
mp,kxx,1,2.2              ! Steel conductivity
mp,kxx,2,10.8             ! Aluminum conductivity
rectng,.1875,.4,0,.05     ! Model
rectng,.4,.6,0,.05
aglue, all
numcmp,area
asel,s,area,,11           Assign attributes to solid model
aatt,1,1,1
asel,s,area,,2
aatt,2,1,1
asel,all
esize,.05
amesh,all                 ! Mesh model
nsel,s,loc,x,.1875
d,all,temp,200            ! Apply thermal loads
nsel,s,loc,x,.6
d,all,temp,70
nsel,all
physics,write,thermal     ! Write the thermal physics file
physics,clear             ! Clear all bc's and options

et,1,82,,,1               ! Switch to structural element, SOLID82
mp,ex,1,30e6              ! Define structural steel properties
mp,alpx,1,.65e-5
mp,nuxy,1,.3
mp,ex,2,10.6e6            ! Define aluminum structural properties
mp,alpx,2,1.35e-5
mp,nuxy,2,.33
nsel,s,loc,y,.05          !Apply structural boundary conditions
cp,1,uy,all
nsel,s,loc,x,.1875
cp,2,ux,all
nsel,s,loc,y,0
d,all,uy,0
nsel,all
tref,70
physics,write,struct      ! Write structural physics file
save                      ! Save database
finish
/solu
physics,read,thermal      ! Read thermal physics file

solve                     ! Solve thermal problem
save,thermal,db           ! Save thermal model for subsequent postprocessing
finish
/post1
path,radial,2             ! Define path name and number of path points
ppath,1,,.1875            ! Define path by location
ppath,2,,.6
pdef,temp,temp            ! Interpret temperature to path
pasave,radial,filea       ! Save path to an external file
plpath.temp               ! Plot temperature solution
finish

/solu
physics,read,struct       ! Read structural physics file
ldread,temp,,,,,,rth      ! Read in temperatures from thermal run
solve                     ! Solve structural problem
finish
/post1
paresu,raidal,filea       ! Restore path
pmap,,mat                 ! Set path mapping to handle material discontinuity
pdef,sx,s,x               ! Interpret radial stress
pdef,sz,s,z               ! Interpret hoop stress
plpath,sx,sz              ! Plot stresses
plpagm,sx,,node           ! Plot radial stress on path geometry
finish

Figure 5.6 Stress Profile Across Material Discontinuity

Figure 5.7 Radial Stress Displayed on Geometry

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.5. Example Thermal-Stress Analysis Using Separate Databases 		Up / Home Next
5.7. Example Fluid-Structural Analysis Using Physics Environments


5.7. Example Fluid-Structural Analysis Using Physics Environments

The example in this section illustrates a steady-state fluid-structure interaction problem. This problem demonstrates the use of nonlinear large-deflection structural coupling for a fluid domain as well as the use of the "null" element type in a physics environment setting. It also demonstrates mesh morphing.

5.7.1. The Problem Described

A channel containing a rubber gasket is subjected to water flowing with an inlet velocity of 0.35 m/sec. (See Figure 5.8: "Fluid and Gasket Regions" below) The object of the problem is to determine the pressure drop and gasket deflection under steady-state conditions. The problem is completely described by the input listing provided at the end of this section.

5.7.2. The Procedure

Build a model of the fluid-structural entity to be analyzed. For this example problem, you would model three regions: (a) the gasket, (b) a small fluid region around the gasket that requires mesh morphing, and (c) the remaining fluid region. Figure 5.8: "Fluid and Gasket Regions" below depicts the model:

Figure 5.8 Fluid and Gasket Regions

The gasket will deform due to the fluid pressure. The deflection may be significant enough to affect the flow field. In this case, the example defines a small fluid region around the gasket used by a fluid physics environment. By solving a structural analysis in the structural region, you obtain the gasket displacements that you need to morph the small region around the gasket. You then use the morphed mesh in a subsequent fluid analysis. The fluid analysis uses null type elements for the gasket and the structural analysis uses null type elements for the fluid.

The following sections discuss the procedure for the coupled fluid-structural problem.

5.7.2.1. Build the Model

Build the model of the entire domain, including the fluid regions and the gasket region.

You assign attribute numbers to distinguish element types, material properties and real constant sets to each area using the AATT command. Table 5.3: "Physics Environment Attributes" shows the assignments for this problem. All areas that will at sometime represent fluid regions are assigned material number 1. Real constant sets are provided for but not used in this problem.

Table 5.3 Physics Environment Attributes

Region | Type | Mat | Real
Gasket | 2 | 2 | 2
Fluid | 1 | 1 | 1

5.7.2.2. Create Fluid Physics Environment

To do so, assign element types and define material properties for the fluid region as shown in Table 5.4: "Fluid Physics Environment":

Here is where you define the material properties of water using FLDATA commands. Solution controls such as the number of iterations in the initial FLOTRAN analysis are defined. The turbulence option is activated. See the input listing for further details.

Table 5.4 Fluid Physics Environment

Region | Type | Mat | Real
Gasket | Null type (0) | none | none
Fluid | FLUID141 | Viscosity, density | none

  • Assign appropriate nominal fluid boundary conditions and loads, as shown in Figure 5.9: "Nominal Fluid Physics Boundary Conditions" below:

    Figure 5.9 Nominal Fluid Physics Boundary Conditions

  • Fluid boundary conditions are applied, in this case to the solid model. The input file contains a definition of a named component of nodes representing the bottom of the gasket. You can list the nodal locations of these nodes periodically in the solution process to monitor their movement. In this example, line 1 represents the bottom of the gasket. Select the nodes associated with this line and then name them "gasket."

    Command(s): CM,GASKET,NODES
    GUI: Utility Menu> Select> Comp/Ass'y> Create Component

  • Write the fluid physics environment to a file.

    Command(s): PHYSICS,WRITE,FLUID,FLUID
    GUI: Main Menu> Preprocessor> Physics> Environment> Write

5.7.2.3. Create Structural Physics Environment

  • Clear away all the information specified for the fluid environment in preparation for defining the structures environment.

    Command(s): PHYSICS,CLEAR
    GUI: Main Menu> Preprocessor> Physics> Environment> Clear

  • Change the element types for the regions from fluid to structural by reassigning the element type numbers and KEYOPT options as shown in Table 5.4: "Fluid Physics Environment". FLUID141 should become PLANE42. Specify the null element type (0) for the fluid region, because it is not required for the structural physics environment.

    Table 5.5 Structural Physics Environment

    Region | Type | Mat | Real
    Gasket | PLANE182 | Mooney-Rivlin | none
    Fluid | Null type (0) | none | none

  • Define structural properties for each physics region required for the structural analysis. (See Table 5.5: "Structural Physics Environment".)

  • Apply boundary conditions to the structure. (See Figure 5.10: "Nominal Structural Physics Boundary Conditions" below.)

    Figure 5.10 Nominal Structural Physics Boundary Conditions

  • Define appropriate load step and solution options.

  • Write the structural physics environment to a file (e.g., PHYSICS,WRITE,STRUC,STRUC).

5.7.2.4. Fluid/Structure Solution Loop

Either interactively or in a batch mode (see the input listing), a fluid-structure solution loop is entered. In this case, the maximum gasket displacement (MGD) becomes the overall convergence monitor. When the MGD change between two consecutive structural executions is less than the tolerance value, the case is terminated.

The initial FLOTRAN analysis should be executed until well converged. Subsequent analyses will restart from this solution and should not need nearly as many global iterations to converge. Also, the second and subsequent structural analyses will be restarts.

After each structural analysis, mesh morphing is executed to move the nodes in the small fluid region around the gasket to conform to the structural displacements. These new node locations are inputs for the subsequent flow analysis. For a proper structural solution and further morphing, all nodes must be returned to their original positions before applying the updated pressures from a flow analysis.

Steps in the solution loop include:

  1. Read in the fluid physics environment.

    Command(s): PHYSICS,READ,fluid
    GUI: Main Menu> Solution> Physics> Environment> Read

  2. Change any FLOTRAN parameters necessary (e.g., the number of global iterations requested.)

    Command(s): FLDATA2,ITER,EXEC,100
    GUI: Main Menu> Solution> FLOTRAN Setup> Execution Control

  3. Solve with FLOTRAN.

    Command(s): SOLVE
    GUI: Main Menu> Solution> Run FLOTRAN

  4. Read in the structural environment .

    Command(s): PHYSICS,READ,struc
    GUI: Main Menu> Solution> Physics> Environment> Read

  5. Perform /ASSIGN as necessary for restarting the structural run.

    Command(s): /ASSIGN,esave,struc,esav
    /ASSIGN,emat,struc,emat
    GUI: Utility Menu> File> ANSYS File Options

  6. Put the nodes back to their original positions for the subsequent nonlinear structural analysis and future morphing.

    Don't execute this step for the first fluid-structure solution loop.

    Command(s): PARSAV,ALL
    GUI: Utility Menu> Parameters> Save Parameters
    Command(s): RESUME
    GUI: Utility Menu> File> Resume Jobname.db
    Command(s): PARRES
    GUI: Utility Menu> Parameters> Restore Parameters

  7. Restart the analysis.

    Don't execute this step for the first fluid-structure solution loop.

    Command(s): ANTYPE,STATIC,REST
    GUI: Main Menu> Solution> Restart

  8. Select nodes/elements to which pressure loads from the FLOTRAN analysis will be applied.

  9. Execute the LDREAD command.

    Command(s): LDREAD,PRES,LAST,,,,,rfl
    GUI: Main Menu> Solution> Define Loads> Apply> Structural> Pressure> From Fluid Analy

  10. Set option to not use multiframe restart files.

    Command(s): RESCONTROL,,NONE
    GUI: Main Menu> Solution> Nonlinear> Restart Control

  11. Solve the structural analysis and save the database on the first step for further resume.

    Command(s): SOLVE
    GUI: Main Menu> Solution> Solve
    Command(s): SAVE
    GUI: Utility Menu> File> Save as Jobname.db

  12. Perform mesh morphing in the small fluid region around the gasket (component name AREA2).

    Command(s): DAMORPH,AREA2,,2
    GUI: Main Menu> Preprocessor> Meshing> Modify Mesh> Refine At> Areas

  13. Evaluate the mesh motion compared to the last time. Select the named component GASKET and list the nodal coordinates.

  14. Check convergence by comparing consecutive maximum gasket displacement (MGD) values.

  15. View the element plots in file gasket.grph.

5.7.3. Results

The fluid-structure solution loop was executed until the convergence criteria were met. A convergence tolerance of 0.5% was used. For the first analysis, 400 global iterations were sufficient to converge the FLOTRAN solution. In the Fluid Structure interaction loop, the number of iterations was set to 100 for the remaining FLOTRAN runs.

Figure 5.11: "Streamlines Near Gasket" depicts the streamlines near the gasket for the deformed geometry and Figure 5.12: "Pressure Contours", the pressure contours. Qualitatively, the results will look similar for the undeformed (first analysis) and deformed (final analysis) cases.

Figure 5.11 Streamlines Near Gasket

Figure 5.12 Pressure Contours

Finally, Figure 5.13: "von Mises Stress in Gasket" shows the von Mises stress obtained in the final analysis. The peak stress in the final analysis is approximately 25% less than the peak stress in the first analysis. This indicates that considering the effect of the displaced geometry on the flow field made a significant difference.

Before plotting structural results the structural nodes should be returned to their original positions.

Command(s): | UPCOORD,-1
GUI: | Main Menu> Solution> Load Step Opts> Other> Updt Node Coord

Figure 5.13 von Mises Stress in Gasket

/Batch,list
/prep7
/sho,gasket,grph
shpp,off
ET,1,141      ! Fluid - static mesh
ET,2,182,     ! Hyperelastic element
!!!!!!!       Fluid Structure Interaction - Multiphysics
!!!!!!!       Deformation of a gasket in a flow field.
!
!!!!!!!  Element plots are written to the file gasket.grph.
!
!   - Water flows in a vertical channel through a constriction
!     formed by a rubber gasket.
!   - Determine the equilibrium position of the gasket and
!     the resulting flow field
!
!          |          |
!          |          |
!          |----------| Boundary of "morphing fluid"
!          |    ______|
!          |   |______  gasket
!          |          |
!          |----------| Boundary of "morphing fluid" (sf)
!          |          |
!
!!  1. Build the model of the entire domain:
!!        Fluid region - static mesh
!!
!!     Gasket leaves a hole in the center of the channel
!!     Morphing Fluid region is a user defined region around
!!        the gasket.  The fluid mesh here will deform and be
!!        updated as the gasket deforms.
!!
!!   Parameterize Dimensions in the flow direction
!!
yent = 0.0       ! Y coordinate of the entrance to the channel
dyen = 1.0       !  Undeformed geometry flow entrance length
ysf1 = yent+dyen ! Y coordinate of entrance to the morphing fluid region
dsf1 = 0.5       !  Thickness of upstream
ygas = ysf1+dsf1 ! Y coordinate of the bottom of the gasket
dg = 0.02        !  Thickness of the gasket
dg2=dg/2.
ytg = ygas+dg    ! Y coordinate of the initial top of the gasket
dsf2 = 0.5       !  Thickness of downstream region
ysf2 = ytg + dsf2! Y of Top of the downstream morphing fluids region
dyex =  6.0      !  Exit fluid length
x = 0.           ! Location of the centerline
dgasr =.20       !  Initial span of gasket
piper = 0.3      ! Width of the analysis domain
xrgap = piper-dgasr!! Width of completely unobtructed flow passage
!!
!!!  Create geometry
!!
rect,xrgap,piper,ygas,ytg     ! A1:Gasket  (keypoints 1-4)
rect,x,piper,ysf1,ysf2        ! A2: Morphing fluid region
rect,x,piper,yent,ysf1        ! A3: Fluid region with static mesh
rect,x,piper,ysf2,ysf2+dyex   ! A4: Fluid region with static mesh
aovlap,all
k,22,xrgap+dg2,ygas+dg2
rarc = dg2*1.1
larc,1,4,22,rarc
al,6,4
adelete,7
al,6,3,22,7,8,5,21,1

!!Mesh Division information
ngap = 10         ! Number elements across the gap
ngas = 10         ! Number of elements along the gasket
rgas = -2         ! Spacing ratio along gasket
nflu = ngap+ngas  ! Number of elements across the fluid region
raflu = -3        ! Space fluid elements near the walls and center
nenty =8          ! Elements along flow - entrance
raent =5          ! Size ratio in the inlet region
nfl1 = 20         ! Elements along flow - first morph.fluid.
nthgas = 4        ! Elements in the gasket
nfl2 = 3	        ! Elements along flow - second morph.fluid.
next = 30       ! Elements along flow - exit region
rext = 6        ! Size ratio in flow direction of outlet
rafls = 12      ! Initial element spacing ratio - morph.fluid
lesize,1,,,ngas,rgas
lesize,3,,,ngas,rgas
nfl11= nfl1*2+9
lsel,s,,,2,4,2  ! (Modify lesize of line 8 if changing gasket mesh)
lesize,all,,,nthgas
alls
lesize,5,,,nflu,raflu
lesize,7,,,nflu,raflu
lesize,9,,,nflu,raflu
lesize,15,,,nflu,raflu
lesize,18,,,nenty,1./raent
lesize,17,,,nenty,1./raent
lesize,21,,,nfl1,rafls
lesize,8,,,nfl11,-1./(rafls+3)
lesize,22,,,nfl1,rafls
lesize,19,,,next,rext
lesize,20,,,next,rext

!!! AATT,MAT,REAL,TYPE     - Set the attributes for the areas
asel,s,,,1,2
aatt,2,2,2    ! Gasket   (material 2)
asel,s,,,3
cm,area2,area
alist    ! List area selected for further morphing

asel,a,,,5,6
aatt,1,1,1    ! Fluid area (material 1)
alls

eshape,2
asel,u,,,2,3
amesh,all
eshape,0
asel,s,,,2,3
amesh,all
!-----------------
!!!!!  Create element plot and write to the file gasket.grph
asel,s,,,1,3
esla,s
/Title, Initial mesh for gasket and neighborhood
eplot
/ZOOM,1,RECT,0.3,-0.6,0.4,-0.5
alls
!-----------------
!!
!!!!!  2. Create Physics Environment for the Fluid
et,1,141
et,2,0        ! Gasket becomes the Null Element
vin=3.5e-1    ! Inlet water velocity (meters/second)
!!           CFD Solution Control
flda,solu,flow,1
flda,solu,turb,1
flda,iter,exec,400
flda,outp,sumf,10
!!           CFD Property Information
flda,prot,dens,constant
flda,prot,visc,constant
flda,nomi,dens,1000.   ! 1000 kg/m3 for density - water
flda,nomi,visc,4.6E-4  ! 4.6E-4 kg-s/m (viscosity of water)
flda,conv,pres,1.E-8   ! Tighten pressure equation convergence
!!    CFD Boundary Conditions (Applied to Solid Model)
lsel,s,,,8,17,9
lsel,a,,,20
dl,all,,vx,0.,1      ! Centerline symmetry
lsel,s,,,9
dl,all,,vx,0.,1
dl,all,,vy,vin,1     ! Inlet Condition
lsel,s,,,2
lsel,a,,,18,19
lsel,a,,,21,22
dl,all,,vx,0.,1      ! Outer Wall
dl,all,,vy,0.,1
lsel,s,,,1,3,2
lsel,a,,,6
dl,all,,vx,0.,1      ! Gasket
dl,all,,vy,0.,1
lsel,s,,,15
dl,15,,pres,0.,1     ! Outlet pressure condition
!!! create named component of nodes at the bottom of gasket
lsel,s,,,1
nsll,,1
cm,gasket,node
nlist ! List initial nodal positions of the bottom of the gasket
/com, +++++++++ STARTING gasket coordinates --------

alls
/title,Fluid Analysis
physics,write,fluid,fluid
!!
!!!!!  3.  Create Physics Environment for the Structure
!!
physics,clear
!SOLCONTROL, , , NOPL,
et,1,0        ! The Null element for the fluid region
et,2,182      ! Gasket element - material 2
keyopt,2,3,2  ! Plane stress
keyopt,2,6,1  ! mixed u-P
keyopt,2,1,2  ! Enhanced strain
!mp,nuxy,2,0.49967  ! Poisson's ratio for the rubber
!tb,mooney,2
!tbdata,1,0.293E+6  !  Mooney-Rivlin Constants
!tbdata,2,0.177E+6  !    "     "        "
tb,hyper,2,,2,mooney
tbdata,1,0.293E+6,0.177E+6, (1.0-2.0*0.49967)/(0.293E+6+0.177E+6)

lsel,s,,,2
nsll,,1
d,all,ux,0.
d,all,uy,0.    ! Fix the end of the gasket
alls

/title,structural analysis
finish
/solu
antype,static
nlgeom,on
cnvtol,f,,,,-1
physics,write,struc,struc
physics,clear
save
!!
!!!!!  4.  Fluid-Structure Interaction Loop
!!
loop=25               ! Maximum allowed number of loops
toler=0.005           ! Convergence tolerance for maximum displacement
*dim,dismax,array,loop   ! Define array of maximum displacement values
*dim,strcri,array,loop   ! Define array of convergence values
*dim,index,array,loop

*do,i,1,loop             !  Execute fluid -> structure solutions
/solu
physics,read,fluid       ! Read in fluid environment
*if,i,ne,1,then
flda,iter,exec,100       ! Execute 100 global iterations for
*endif                   !    each new geometry
solve                    ! FLOTRAN solution
fini
! end of fluid portion
physics,read,struc       ! Read in structures environment
/assign,esave,struc,esav ! Files for restarting nonlinear structure
/assign,emat,struc,emat
*if,i,gt,1,then        ! Structural restart loop
parsave,all            ! Save parameters for convergence check
resume                 ! Resume DB - to return original node positions
parresume              ! Resume parameters needed for convergence check
/prep7
antype,stat,rest
fini
*endif

/solu
solc,off
lsel,s,,,1,3,2        ! Select proper lines to apply fluid pressures
lsel,a,,,6            ! to the entire gasket surface
nsll,,1
esel,s,type,,2
ldread,pres,last,,,,,rfl ! Apply pressure surface load from Flotran
sfelist
alls
rescontrol,,none      ! Do not use multiframe restart for nonlinear
!nsub,4,10,1
solve
*if,i,eq,1,then
save                  ! save original node locations at the first run
*endif
fini

/post1
cmsel,s,gasket
nsort,u,sum,1,1
*get,dismax(i),sort,0,max  ! Get the maximum displacement value
strcri(i)=toler*dismax(i)
alls
fini

/prep7
mkey=2                    ! Select level of mesh morphing for fluid
damorph,area2, ,mkey      ! Perform morphing of "morphing fluid"
!----------------
!!!!!  Create element plot and write it in file gasket.grph
fini
/prep7
et,1,42
asel,s,,,1,3
esla,s
/Title, EPLOT after DAMORPH,area2, ,%mkey% step number %i%
eplot
alls
!-----------------
cmsel,s,gasket
nlist  ! List updated coordinates of bottom of gasket for comparison
/com, +++++++++ UPDATED gasket coordinates --------
alls
fini
/assign,esav
/assign,emat

!!!!  Checking convergence criteria
imax= i
index(i)=i
*if,i,gt,1,then
 strcri(i)=abs(dismax(i)-dismax(i-1))-toler*dismax(i-1)
 *if,strcri(i),le,0,then
   strcri(i)=0
   *exit               ! Stop looping if convergence is reached
 *endif
*endif
*enddo
!!!!! End of the Computational loop
save            ! Nodal coordinates of deformed geometry are saved

!!!!! Convergence printout
  *vwrite
  (/'Loop No.  Max.Displacement  Struct.Convergence')
/nopr
  *vlen,imax
  *vwrite,index(1),dismax(1),strcri(1)
  (f7.0,2e17.4)

finish

!!!!! Postprocessing of the results
!!!   1. Flotran results.
physics,read,fluid
/post1
set,last
/Title, Flotran: Streamlines Near Gasket
plnsol,strm
/Title, Flotran: Pressure Contours
plnsol,pres
fini
!!!   2. Structural results.
physics,read,struc
/post1
set,last
upcoord,-1    ! Return original node positions changed by morphing
/Title, Structural results: von Mises Stress
plnsol,s,eqv,1,1
fini
!/exit,nosave

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.6. Example Thermal-Stress Analysis Using Multiple Physics Environments 		Up / Home Next
5.8. Example Induction-heating Analysis Using Physics Environments


5.8. Example Induction-heating Analysis Using Physics Environments

This example illustrates a transient induction heating problem. The problem demonstrates the use of a solution sequence alternating between an electromagnetic harmonic analysis and a transient heat transfer analysis with restarting.

5.8.1. The Problem Described

A very long steel billet undergoes surface heat treating by rapidly raising the temperature of the billet surface by means of an induction coil. The coil is placed in close proximity to the billet surface and is excited by a large alternating current at high frequency. The AC current induces heat in the billet, most notably at the surface, which quickly raises the surface temperature.

A simplified geometry considers only a finite length strip of the long billet, essentially reducing the problem to a one-dimensional study as shown in Figure 5.14: "Axisymmetric 1-D Slice of the Induction Heating Domain".

Figure 5.14 Axisymmetric 1-D Slice of the Induction Heating Domain

5.8.2. The Procedure

The billet will heat up to over 700°C. This temperature dependency of the material properties must be considered for both the thermal problem and the electromagnetic problem. You must solve the problem sequentially, first doing an AC harmonic electromagnetic analysis and then a transient thermal analysis. In addition, you must repeat the electromagnetic analysis at various time intervals to correct for temperature dependent properties which will affect the solution and hence the heating load to the billet. Figure 5.15: "Solution Flow Diagram" shows the solution flow diagram.

Figure 5.15 Solution Flow Diagram

The procedure for the induction heating problem is as follows.

5.8.2.1. Step 1: Develop Attribute Relationship

Develop an attribute relationship for the modeled regions as shown in Table 5.6: "Physics Environment Attributes".

Table 5.6 Physics Environment Attributes

Region | Type | Mat | Real
Billet | 1 | 2 | 1
Coil | 2 | 3 | 1
Air | 2 | 1 | 1
Billet surface | 3 | 2 | 3

5.8.2.2. Step2: Build the Model

Build the model of the entire domain. Assign the attributes to the different regions. (The billet surface will be used to define a surface effect element for thermal radiation. It will be handled differently than the solid regions.)

5.8.2.3. Step 3: Create Electromagnetic Physics Environment

Create the electromagnetic physics environment by defining element types and material properties as shown below.

Table 5.7 Electromagnetic Physics Environment

Region | Type | Mat | Real
Billet | PLANE13 | MURX(T), RSVX(T) | None
Coil | PLANE13 | MURX | None
Air | PLANE13 | MURX | None
Billet surface | NULL Type (0) | None | None

  • Assign appropriate nominal boundary conditions and loads as shown below.

    Figure 5.16 Nominal Electromagnetic Physics Boundary Conditions

  • Assign appropriate load step and solution options.

  • Write the electromagnetic physics environment to a file.

    Command(s): PHYSICS,WRITE
    GUI: Main Menu> Preprocessor> Physics> Environment

5.8.2.4. Step 4: Create Thermal Physics Environment

Create the thermal physics environment as follows:

  • Delete nominal boundary conditions and reset options.

    Command(s): PHYSICS,CLEAR
    GUI: Main Menu> Preprocessor> Physics> Environment

  • Change the element types from electromagnetic to thermal as well as KEYOPT options. Specify the null element type in the air and coil region (assume the heat transfer analysis only considers the billet).

    Table 5.8 Thermal Physics Environment

    Region | Type | Mat | Real
    Billet | PLANE55 | KXX(T), ENTH(T) | None
    Coil | NULL Type (0) | None | None
    Air | NULL Type (0) | None | None
    Billet surface | SURF151 | EMIS | Stefan-Boltzmann Constant

  • Define the thermal properties and real constants.

  • Assign appropriate nominal boundary conditions and loads as shown below.

    Figure 5.17 Nominal Thermal Physics Boundary Conditions

  • Assign appropriate load step options and solution options

Command(s): | PHYSICS,WRITE
GUI: | Main Menu> Preprocessor> Physics> Environment> Write Main Menu> Solution> Physics> Environment> Write

5.8.2.5. Step 5: Write Thermal Physics Environment

Write the thermal physics environment to a file.

Command(s): | PHYSICS,READ
GUI: | Main Menu> Solution> Physics> Environment Main Menu> Solution> Physics> Environment> Read

5.8.2.6. Step 6: Prepare DO Loop

Prepare a *DO loop that will cycle between a harmonic electromagnetic analysis and a transient thermal analysis.

  • Read in the electromagnetic physics environment and solve the harmonic analysis.

    Command(s): SOLVE
    GUI: Main Menu> Solution> Solve> Current LS

  • Read in the temperatures and body force loads for material property evaluation.

    Command(s): LDREAD
    GUI: Main Menu> Preprocessor> Define Loads> Apply> Structural> Temperature> From Therm Analy

  • Use /ASSIGN to redirect the file assignment for the ESAV and EMAT files for future use in a thermal transient restart.

    Command(s): /ASSIGN
    GUI: Utility Menu> File> ANSYS File Options

  • Read in the thermal physics environment.

    Command(s): PHYSICS,READ
    GUI: Main Menu> Preprocessor> Physics> Environment> Read

  • Read in the Joule heat generation rate from the electromagnetic analysis.

    Command(s): LDREAD
    GUI: Main Menu> Preprocessor> Define Loads> Apply> Thermal> Heat Generat> From Mag Analy

  • Solve the thermal transient for a preset Δ time increment.

  • Reassign file to their defaults.

    Command(s): /ASSIGN
    GUI: Utility Menu> File> ANSYS File Options

5.8.2.7. Step 7: Repeat Prior Step

Repeat prior step for the next Δt increment.

5.8.2.8. Step 8: Postprocess Results

Postprocess the problem results.

5.8.2.9. Command Input Listing

The command text below demonstrates the problem input. All text prefaced with an explanation point (!) is a comment.

/batch,list
/filenam, induc
/prep7
shpp,off
/title, induction heating of a solid cylinder billet
/com,
et,1,13,,,1             ! PLANE13, axisymmetric, AZ dof
et,2,13,,,1
et,3,151,,,1,1,1        ! SURF151, thermal, radiation
r,3,0                   ! Real constant set for SURF151
row=.015                ! outer radius of workpiece
ric=.0175               ! inner radius of coil
roc=.0200               ! outer radius of coil
ro=.05                  ! outer radius of model
t=.001                  ! model thickness
freq=150000             ! frequency (Hz.)
pi=4*atan(1)            ! pi
cond=.392e7             ! maximum conductivity
muzero=4e-7*pi          ! free-space permeability
mur=200                 ! maximum relative permeability
skind=sqrt(1/(pi*freq*cond*muzero*mur)) ! skin depth
ftime=3   	 ! final time
tinc=.05                ! time increment for harmonic analysis
time=0                  ! initialize time
delt=.01                ! maximum delta time step
emunit,mks  	 ! set magnetic units
mp,murx,1,1             ! air relative permeability
mp,murx,3,1             ! coil relative permeability
mptemp,1,25.5,160,291.5,477.6,635,698   ! temps for relative permeability
mptemp,7,709,720.3,742,761,1000
mpdata,murx,2,1,200,190,182,161,135,104 ! steel relative permeability
mpdata,murx,2,7,84,35,17,1,1
mptemp
mptemp,1,0,125,250,375,500,625          ! temps for resistivity
mptemp,7,750,875,1000
mpdata,rsvx,2,1,.184e-6,.272e-6,.384e-6,.512e-6,.656e-6,.824e-6
mpdata,rsvx,2,7,1.032e-6,1.152e-6,1.2e-6 ! steel resistivity
rectng,0,row,0,t        ! billet
rectng,row,ric,0,t      ! air-gap
rectng,ric,roc,0,t      ! coil
rectng,roc,ro,0,t       ! outer air
aglue,all
numcmp,area
ksel,s,loc,x,row        ! select keypoints at outer radius of workpiece
kesize,all,skind/2      ! set meshing size to 1/2 skin depth
ksel,s,loc,x,0          ! select keypoints at center
kesize,all,40*skind     ! set meshing size
lsel,s,loc,y,t/2        ! select vertical lines
lesize,all,,,1          ! set 1 division through thickness
lsel,all
asel,s,area,,1
aatt,2,1,1              ! set attributes for billet region
asel,s,area,,3
aatt,3,1,2              ! set attributes for coil region
asel,s,area,,2,4,2
aatt,1,1,2              ! set attributes for air region
asel,all
mshape,0,2d
mshk,1
amesh,1                 ! mesh billet area
lsel,s,loc,y,0
lsel,a,loc,y,t
lsel,u,loc,x,row/2
lesize,all,.001
lsel,all
amesh,all               ! mesh remaining areas
n                       ! create space node for SURF151
*get,nmax,node,,num,max
lsel,s,loc,x,row
type,3
real,3
mat,2
lmesh,all            ! mesh billet outer radius with SURF151
*get,emax,elem,,num,max
emodif,emax,3,nmax   ! modify element to add space node for radiation
et,3,0               ! reset type 3 to null element
nsel,s,loc,x
d,all,az,0              ! apply flux-normal b.c.
nsel,all
esel,s,mat,,3
bfe,all,js,,,,15e6      ! apply current density to coil
esel,all
finish
/solu
antyp,harm
harfrq,150000
physics,write,emag      ! write emag physics file
finish
/prep7
lsclear,all             ! clear all b.c.'s and options
et,1,55,,,1             ! PLANE55 thermal element, axisymmetric
et,2,0                  ! null element type for coil and air region
et,3,151,,,1,1,1        ! SURF151 element for radiation
keyopt,3,9,1
r,3,1,5.67e-8           ! form factor, Stefan-Boltzmann constant
mptemp
mptemp,1,0,730,930,1000         ! temps for conductivity
mpdata,kxx,2,1,60.64,29.5,28,28
mptemp                          ! temps for enthalpy
mptemp,1,0,27,127,327,527,727
mptemp,7,765,765.001,927
mpdata,enth,2,1,0,91609056,453285756,1.2748e9,2.2519e9,3.3396e9
mpdata,enth,2,7,3.548547e9,3.548556e9,4.3520e9
mp,emis,2,.68                   ! emissivity
finish
/solu
antype,trans
toffst,273
tunif,100                       ! initial uniform temperature
d,nmax,temp,25                  ! ambient temperature
cnvtol,heat,1                   ! convergence tolerance
kbc,1                           ! step loads
trnopt,full
autos,on                        ! auto time-stepping
deltim,1e-5,1e-6,delt,on        ! time step control
outres,basic,all                ! save all load step information
physics,write,thermal           ! write thermal physics file
finish
*do,i,1,ftime/tinc   ! solution *do loop
time=time+tinc            		 ! increment time
physics,read,emag    ! read emag physics file
/solu
*if,i,eq,1,then
 tunif,100                    ! initial temperature
*else
 ldread,temp,last,,,,,rth     ! read thermal analysis temperatures
*endif
solve                         ! solve harmonic analysis
finish
physics,read,thermal          ! read thermal physics file
/assign,esav,therm,esav       ! redirect files for use in thermal restart
/assign,emat,therm,emat
/solu
*if,i,gt,1,then
 antype,trans,rest            ! thermal restart
*endif
time,time                     ! time at end of thermal run
esel,s,mat,,2                 ! select billet region
ldread,hgen,,,,2,,rmg         ! apply coupled joule heating load from emag
esel,all
solve
finish
/assign,esav                  ! reassign files to default
/assign,emat
*enddo                        ! end of solution looping
finish
save                          ! save database
/post26                       ! time-history postprocessor
/show
nsol,2,1,temp,,tempcl         ! store temperature at billet centerline
nsol,3,2,temp,,tempsurf       ! store temperature at billet outer diameter
plvar,2,3                     ! plot temperature rise over time
prvar,2,3                     ! print temperature rise over time
finish

5.8.2.10. Results

Figure 5.18: "Temperature Response of Solid Cylinder Billet" shows the temperature results obtained in this analysis.

Figure 5.18 Temperature Response of Solid Cylinder Billet

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.7. Example Fluid-Structural Analysis Using Physics Environments 		Up / Home Next
Chapter 6. Unidirectional Load Transfer


Chapter 6. Unidirectional Load Transfer

Sometimes you can couple a fluid-solid interaction analysis by unidirectional load transfer. This method requires that you know that the fluid analysis results do not affect the solid loads significantly, or vice-versa. Loads from an ANSYS Multiphysics analysis can be unidirectionally transferred to a CFX fluid analysis, or loads from a CFX fluid analysis can be transferred to an ANSYS Multiphysics analysis. The load transfer occurs external to the analyses.

The unidirectional load transfer method is available in the ANSYS Multiphysics product. It supports all ANSYS 3-D structural (solid and shell), thermal, electromagnetic, and coupled-field elements. The coordinate system must be global Cartesian. For ANSYS to CFX load transfer, valid load types are: displacement, temperature, and heat flux for 2-D surface loads, and displacement, force density and heat generation for 3-D loads.

The following unidirectional load transfer topics are available:

  • The Unidirectional Load Transfer Method: ANSYS to CFX
  • Sample Unidirectional Load Transfer Analysis: ANSYS to CFX
  • The Unidirectional Load Transfer Method: CFX to ANSYS

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.8. Example Induction-heating Analysis Using Physics Environments 		Up / Home Next
6.1. The Unidirectional Load Transfer Method: ANSYS to CFX


6.1. The Unidirectional Load Transfer Method: ANSYS to CFX

ANSYS performs a solid analysis and writes out a load profile file. ANSYS also generates and writes out solid and fluid meshes. The CFX Pre-Processor reads the ANSYS load profile and mesh files and starts a fluid analysis.

The ANSYS Multiphysics procedure for creating a load profile file is as follows.

  1. Flag field surface and volume interfaces for load transfer. Flagged surfaces sharing a common surface interface number will exchange surface load data; flagged volumes sharing a common volume interface number will exchange volume load data.

    For surface load transfer across fields, use the following SF family of commands and the FSIN surface load label. Use VALUE2/VAL2/VALJ to specify the surface interface number.

    SF, Nlist, Lab, VALUE, VALUE2
    SFA, AREA, LKEY, Lab, VALUE, VALUE2
    SFE, ELEM, LKEY, Lab, KVAL, VAL1, VAL2, VAL3, VAL4
    SFL, LINE, Lab, VALI, VALJ, VAL2I, VAL2J

    For volumetric load transfer, use the BFE command and the FVIN volume load label. Use VAL2 to specify the volume interface number.

    BFE, ELEM, FVIN, STLOC, VAL1, VAL2, VAL3, VAL4

    For additional information on the FSIN and FVIN labels, see the SF family of commands and the BFE command in the Commands Reference.

  2. Specify the units of the transferred loads by issuing the following command:

    EXUNIT, Ldtype, Load, Untype, Name

    Valid surface loads (Ldtype = SURF) are: DISP (displacement), TEMP (temperature), and HFLU (heat flux). Valid volumetric loads (Ldtype = VOLU) are: DISP (displacement), FORC (force), and HGEN (heat generation). FORC and HGEN are per unit volume. You can specify a predefined unit system (Untype = COMM) or your own unit system that must be recognizable by CFX (Untype = USER).

    The predefined unit names are:

    • Surface Load Metric: SI

    • Volume Load Metric: SI

    • Surface Load English: FT

    • Volume Load English: FT

    EXUNIT must be issued before the EXPROFILE command.

  3. Write the profile file for CFX by issuing the following command in POST1.

    EXPROFILE, Ldtype, LOAD, VALUE, Pname, Fname, Fext, Fdir

    You need to specify a surface or volume interface number (VALUE) for the load, field and file names for the profile file (Pname and Fname), and a profile file extension and directory (Fext and Fdir). If you want to export multiple loads, you need to specify a unique file name for each load.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 6. Unidirectional Load Transfer 		Up / Home Next
6.2. Sample Unidirectional Load Transfer Analysis: ANSYS to CFX


6.2. Sample Unidirectional Load Transfer Analysis: ANSYS to CFX

In this example, a wire in air is heated by a current passing through it. The amount of energy produced by Joule heating is determined by ANSYS and transferred to CFX . The wire has temperature independent material properties, and therefore the amount of Joule heating is not affected by the cooling of the wire. CFX performs a conjugate heat transfer analysis of a solid (the wire) with natural convection cooling and a volumetric heat source.

Henceforth, the ANSYS thermal-electric part of the analysis that determines the Joule heating load for transfer to CFX is referred to as the “solid analysis.”

ANSYS performs the following tasks:

  1. Solves a solid transient analysis and writes out a profile file of heat generation rates.

  2. Generates and writes out the mesh for the fluid region.

  3. Generates and writes out the mesh for the solid region.

6.2.1. ANSYS Command Listings

You can perform the ANSYS tasks using the commands shown below. Text prefaced by an exclamation point (!) is a comment.

6.2.1.1. Solve Solid Analysis and Write Profile File

/prep7
/triad,off
et,1,226,110
et,2,200,6
!*****************************************
! MKS units
!*****************************************
!
! Thermal conductivity of copper,Watts/m*Deg-C
mp,kxx,1,370.0
! resistivity of copper, Ohm*m
mp,rsvx,1,3.00e-8
! density of copper (kg/m3)
mp,dens,1,8933.
! specific heat
mp,c,1,385.
!
!
! Geometry
wd = .0005
wl = .0005
esizew = wd/5
esizea = wd/2
CYL4,0,0,wd
wpro,,,90
asbw,all
adelete,3,,,1
! Area 2 is an end of the wire
lcomb,1,4
! - Wire
voff,2,wl
! Set meshing element
alls
type,2
esize,esizew
amesh,2
! - volumetric mesh
nlenw=4
rlen=1
lesize,4,,,nlenw,rlen
! Mesh the wire
type,1           ! set element type
mat,1
vsweep,1
! Boundary and initial conditions
nsel,r,loc,z,0
cp,1,volt,all
f,1,amps,20
nsel,s,loc,z,wl
d,all,volt,0,1   ! back end, set voltage to zero
! Assigning export ID
alls
aclear,all
etdele,2
bfe,all,fvin,,0,1
!
fini
/solu
!
tunif,303
ic,all,temp,303
antype,trans
deltim,.2,.2,.2
outres,all,5
kbc,1
eqslv,sparse
time,2.0
solve
save
fini
/post1
exun,volu,disp,comm,si
exun,volu,hgen,comm,si
expr,volu,hgen,1,'wire heat',wireprof,csv

6.2.1.2. Generate and Write Fluid Region Mesh

/prep7
/triad,off
et,1,142
et,2,200,6
!*****************************************
! MKS units
!*****************************************
! Geometry
wd = .0005
wl = .0020
esizew = wd/5
esizea = wd/2
CYL4,0,0,wd, ,3*wd
CYL4,0,0,3*wd, ,8*wd
RECTNG,0,15*wd,-20*wd,20*wd
wpro,,,90
asbw,all
asel,s,,,5,7,2
adelete,all,,,1
nummrg,kp
! Area 5 is an end of the wire
alls
lsel,s,,,9,12,3
asbl,3,all
adelele,1,,,1
! Areas 2,4,6 are the ends of the air
alls
lcomb,12,9
lcomb,4,1
lcomb,5,8
! Some lesizes for fluid mesh
nradi=15
rri = 5
nrado=12
rro = 2
naz=30
lesize,21,,,nradi,1/rri
lesize,22,,,nradi,1/rri
lesize,23,,,nrado,1/rro
lesize,24,,,nrado,1/rro
lsel,s,,,1,9,4
lesize,all,,,naz
alls
! - Fluid
voff,4,wl
voff,6,wl
voff,2,wl
nummrg,kp
! Set meshing element
alls
type,2
amesh,4
amesh,6
esize,esizea
alls
amesh,2
! - volumetric mesh stuff
nlen=10
rlen=-2
! Lines in the horizontal direction for fluid
lsel,s,,,10,13
lsel,a,,,25,26
lsel,a,,,35,38
lesize,all,,,nlen,rlen
alls
! Mesh the fluid
type,1
mat,1
lesize,8,,,nradi,rri
lesize,20,,,nrado,rro
vsweep,all
numcmp,node
numcmp,elem
! - Utilize existing mesh200 for boundary name
! - CFD boundary condition
esel,s,type,,2
cm,zeroend,elem
alls
!
! CFD boundary conditions
! Condition on interface
asel,s,,,7
amesh,7
alls,below,area
cm,inter,elem
! Other end - symmetry
asel,s,,,1
asel,a,,,9,14,5
amesh,all
alls,below,area
cm,otherend,elem
! centerline symmetry
asel,s,,,5,11,3
asel,a,,,13,18,5
asel,a,,,20
amesh,all
alls,below,area
cm,censymm,elem
! top
asel,s,,,17
alls,below,area
amesh,17
cm,tope,elem
! bottom
asel,s,,,15
amesh,15
alls,below,area
cm,bote,elem
! outer symmetry
asel,s,,,16
amesh,16
alls,below,area
cm,outersym,elem
alls
cdwrite,db,fluid,cdb
fini
/exit

6.2.1.3. Generate and Write Solid Region Mesh

/prep7
/triad,off
et,1,142
et,2,200,6
!*****************************************
! MKS units
!*****************************************
! Thermal conductivity of copper,Watts/m*Deg-C
mp,kxx,1,370.0
! resistivity of copper, Ohm*m
mp,rsvx,1,3.00e-8
! density of copper (kg/m3)
mp,dens,1,8933.
! specific heat
mp,c,1,385.
!
!
! Geometry
wd = .0005
wl = .0020
esizew = wd/5
esizea = wd/2
CYL4,0,0,wd
wpro,,,90
asbw,all
adelete,3,,,1
! Area 2 is an end of the wire
lcomb,1,4
! - Wire
voff,2,wl
! Set meshing element
alls
type,2
esize,esizew
amesh,2
! - volumetric mesh stuff
nlenw=8
rlen=1
lesize,4,,,nlenw,rlen
! Mesh the wire
type,1             ! set element type
mat,1
vsweep,1
! Boundary and initial conditions
alls
aclear,all
asel,s,,,3
alls,below,area
amesh,all
cm,solidsurf,elem
!
alls
cdwrite,db,solid,cdb

6.2.2. CFX Procedure

You can then perform the following CFX procedure. For detailed instructions on how to perform the steps below, refer to the CFX Pre documentation.

  1. Select File -> Import Mesh to import both the fluid and solid domain meshes by selecting the mesh format of ANSYS and entering the two cdb file names.

  2. Select Create -> Flow Object -> Simulation Type to set the steady state option.

  3. Select Create -> Flow Object -> Domain to create domain model, fluid/solid model and domain initialization for both the fluid and solid domains.

  4. Select Create -> Flow Object -> Boundary Conditions to set the inlet, outlet and symmetry boundaries in the fluid domain and wall boundary in the solid domain.

  5. Select Create -> Flow Object -> Domain Interface to set the "Fluid Solid" conjugate heat transfer interface.

  6. Select Create -> Flow Object -> Solver Control to set the solver control options.

  7. Select Tools -> Initialize Profile Data, and enter the profile name that was just generated by ANSYS.

  8. Select Create -> Flow Object -> Subdomain, and select the assembly that is the same as the solid domain. Set the energy source using the imported profile data by selecting energy in Equation Sources and Source in the energy Option and enter "wire heat.enysou(x,y,z)" in the Source. For more information, refer to Use Profile Data in the CFX Pre documentation.

  9. Select File -> Write Solver File to start the solver manager.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.1. The Unidirectional Load Transfer Method: ANSYS to CFX 		Up / Home Next
6.3. The Unidirectional Load Transfer Method: CFX to ANSYS


6.3. The Unidirectional Load Transfer Method: CFX to ANSYS

Use this load transfer method to transfer CFX fluid analysis loads to ANSYS Multiphysics using external fields. This method requires that after completing the fluid analysis in CFX (the external field), you write out a .CDB file containing the mesh information of the external field and the loads that need to be transferred from the external field to the other fields. Import that file into ANSYS using the external field definition capability of the MFIMPORT command (part of the ANSYS Multi-field solver).

The .CDB file with the mesh and fluid loads needs to follow some specific guidelines:

  • Surface load transfer of heat rate and forces (FX, FY, FZ components) must be via the F command.

  • Volumetric body temperature transfer must be via the D command.

  • CFX must extract the surface topology of the external field to create surface effect elements SURF151/SURF152 (heat rates) or SURF153/SURF154 (forces).

  • CFX must extract the volume topology of the external field to create volume elements PLANE55 or SOLID70 (temperature).

Refer to the Guide to Interfacing with ANSYS for the .CDB file format. However, for this particular use, we strongly recommend that the .CDB file follow the format shown below. Remember that an actual file may have more commands; the example shows only the minimum set of commands to be used.

:CDWRITE
/PREP7
/NOPR
IMME,OFF
/TITLE
NUMOFF commands
ET commands
KEYOPT commands              ! Optional
NBLOCK command
EBLOCK command
F commands                  ! Required if using SURF151, 152, 153, 154 for nodal heats/forces
D commands                  ! Required if using PLANE55, 70 to set TEMP
                            ! Required if using SURF153, 154 to set UX,UY,UZ to 0.0
MPTEMP commands             ! Required if using PLANE55, 70 to set dummy property values
MPDATA commands             ! Required if using PLANE55, 70 to set dummy property values
/GOPR
IMME,ON
FINISH

Common Errors to Avoid. When writing out nodal heat and forces via the F command, make sure they are not heat flux (Watts/m2) or stress (Newtons/m2), but heat generation rates (Watts) or force (Newtons).

When generating the .CDB file from an external code, make sure that the external field mesh is properly aligned with the other fields (i.e., all fields must be defined using the same global Cartesian coordinate system).

Because ANSYS is not unit specific, the external field must be consistent with the other fields being used (i.e., ensure consistent units of length, mass, time, temperature, etc. for all fields).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.2. Sample Unidirectional Load Transfer Analysis: ANSYS to CFX 		Up / Home Next
Chapter 7. Coupled Physics Circuit Simulation


Chapter 7. Coupled Physics Circuit Simulation

You can often perform coupled physics simulations using a circuit analogy. Components such as “lumped" resistors, sources, capacitors, and inductors can represent electrical devices. Equivalent inductances and resistances can represent magnetic devices, and springs, masses, and dampers can represent mechanical devices. ANSYS offers a set of tools to perform coupled simulations through circuits. A Circuit Builder is available to conveniently create circuit elements for electrical, magnetic, piezoelectric, and mechanical devices. See Using the Circuit Builder in the Low-Frequency Electromagnetic Analysis Guide for details.

A coupled physics circuit simulation can be performed entirely with lumped elements. However in many instances, due to the distributed nature of the physics component, nonlinearities, etc., a simple "reduced order" element may not be sufficient. The ANSYS Circuit capability allows the user to combine both lumped elements where appropriate, with a "distributed" finite element model in regions where characterization requires a full finite element solution. What allows the combination of lumped and distributed models is a common degree-of-freedom set between lumped elements and distributed elements.

Electromagnetic-Circuit Simulation describes the coupling of electrical circuits with distributed electromagnetic finite element models to accurately model circuit-fed electromagnetic devices.

Electromechanical-Circuit Simulation describes the coupling of electric circuits, an electromechanical transducer, and structural lumped elements to model micro-electromechanical devices (MEMS) driven by electrostatic-structural coupling.

Piezoelectric-Circuit Simulation describes the coupling of electrical circuits with distributed piezoelectric finite element models to simulate circuit-fed piezoelectric devices.

For example problems, see Sample Electromechanical-Circuit Analysis and Sample Piezoelectric-Circuit Analysis (Batch or Command Method).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.3. The Unidirectional Load Transfer Method: CFX to ANSYS 		Up / Home Next
7.1. Electromagnetic-Circuit Simulation


7.1. Electromagnetic-Circuit Simulation

You use this analysis, available in the ANSYS Multiphysics and ANSYS Emag products, to couple electromagnetic field analysis with electric circuits. You can couple electric circuits directly to current source regions of the finite element domain. The coupling is available in 2-D as well as 3-D analysis and includes stranded (wound) coils, massive (solid) conductors , and solid source conductors. Typical applications for stranded coils include circuit-fed analysis of solenoid actuators, transformers, and electric machine stators. Bus bars and squirrel-cage rotors are examples of massive conductor applications.

To do a coupled electromagnetic-circuit analysis, you need to use the general circuit element (CIRCU124) in conjunction with one of these element types:

PLANE53 -- 2-D 8-Node Magnetic Solid
SOLID97 -- 3-D Magnetic Solid
SOLID117 -- 3-D 20-Node Magnetic Solid

The analysis may be static, harmonic (AC), or transient, and follows the same procedure described in the Low-Frequency Electromagnetic Analysis Guide. The circuit coupling is linear in that conductors are assumed to have isotropic linear material properties, and the formulation is matrix-coupled. Nonlinearities may exist in the electromagnetic domain to account for material saturation.

For stranded coils and massive conductors, the following coupled circuit sources in the CIRCU124 element can link the electric circuit to the finite element (electromagnetic) domain:

Stranded coil KEYOPT(1) = 5
2-D massive conductor KEYOPT(1) = 6
3-D massive conductor KEYOPT(1) = 7

For solid source conductors, the CIRCU124 circuit elements and circuit sources can directly link to the finite element domain.

The ANSYS Circuit Builder is available to conveniently create circuit elements. See Using the Circuit Builder in the Low-Frequency Electromagnetic Analysis Guide for details.

You link the electric circuit and the electromagnetic domain through a common node (or a set of common nodes). That is, a node in the source conductor region of the electromagnetic domain is used in the definition of the circuit component element that is linked with it. For example, the K node of a CIRCU124 stranded coil element receives the same node number as a node in the PLANE53 element representing the source conductor region (see Figure 7.1: "2-D Circuit Coupled Stranded Coil").

The source conductor elements (PLANE53 or SOLID97) must match the degree-of-freedom set associated with the circuit component to which it is linked. The DOF set for PLANE53 and SOLID97 is chosen through KEYOPT(1). (See the element descriptions in the Elements Reference for details.)

You must specify real constants for the source conductor elements. They describe geometric properties as well as coil information for stranded coil sources. See the Elements Reference for details about the real constants.

The next section reviews the procedure for electromagnetic-circuit coupling in detail.

7.1.1. 2-D Circuit Coupled Stranded Coil

This option couples an electric circuit to a stranded coil source in a 2-D planar or axisymmetric finite element model. Typically, you use it to apply a voltage or current load through an external circuit to the coil of a device. The coupling involves using one node from the PLANE53 stranded coil elements as the K node of the CIRCU124 stranded coil component, as shown in Figure 7.1: "2-D Circuit Coupled Stranded Coil".

Figure 7.1 2-D Circuit Coupled Stranded Coil

The degrees of freedom CURR (current) and EMF (electromotive force drop, or potential drop) are coupled across the circuit to the electromagnetic domain. CURR represents the current flowing per turn of the coil and EMF represents the potential drop across the coil terminals. Since the coil has only one unique current and one potential drop across the coil terminals, a single value for each of these degree of freedom unknowns is required. Thus, you must couple all nodes of the coil region in the finite element domain in the CURR degree of freedom and in the EMF degree of freedom. To do so, perform these tasks:

  1. Create a CIRCU124 stranded coil circuit element (KEYOPT(1) = 5).

  2. Create a PLANE53 stranded coil in the finite element model with the appropriate degree of freedom option (KEYOPT(1) = 3). Define the coil real constants.

  3. Assign the "K" node of the CIRCU124 stranded coil element to any node in the coil region of the finite element model.

  4. Select all the nodes of the PLANE53 coil elements and couple them in the CURR degree of freedom and in the EMF degree of freedom.

7.1.2. 2-D Circuit Coupled Massive Conductor

This option couples an electric circuit to a massive conductor in a 2-D planar or axisymmetric finite element model. Typically you use it to apply a voltage or current load through an external circuit to a solid conductor such as a bus bar or a solid stator conductor. The coupling involves using one node from the PLANE53 massive conductor elements as the K node of the CIRCU124 massive conductor element, as shown in Figure 7.2: "2-D Circuit Coupled Massive Conductor".

Figure 7.2 2-D Circuit Coupled Massive Conductor

The degrees of freedom CURR (current) and EMF (electromotive force drop, or potential drop) are coupled across the circuit to the electromagnetic domain. CURR represents the total current flowing in the massive conductor, and EMF represents the potential drop across the ends of the conductor. Since the conductor has only one unique current in and one potential drop exists across the conductor, a single value for each of these degree of freedom unknowns is required. Thus, you must couple all nodes of the conductor region in the finite element domain in the CURR degree of freedom and in the EMF degree of freedom. Follow these steps to do so:

  1. Create a 2-D CIRCU124 massive conductor circuit element (KEYOPT(1) = 6).

  2. Create a PLANE53 massive conductor in the finite element model with the appropriate degree of freedom option (KEYOPT(1) = 4). Define the conductor real constants.

  3. Assign the "K" node of the CIRCU124 massive conductor element to any node in the massive conductor region of the finite element model.

  4. Select all the nodes of the PLANE53 conductor elements and couple them in the CURR degree of freedom and in the EMF degree of freedom.

7.1.3. 3-D Circuit Coupled Stranded Coil

This option couples an electric circuit to a stranded coil in a 3-D finite element model. Typically, this option applies a voltage or current load through an external circuit to the coil of a device. The coupling involves using one node from the SOLID97 stranded coil elements as the K node of the CIRCU124 stranded coil element, as shown in Figure 7.3: "3-D Circuit Coupled Stranded Coil".

Figure 7.3 3-D Circuit Coupled Stranded Coil

The degrees of freedom CURR (current) and EMF (electromotive force drop, or potential drop) are coupled across the circuit to the electromagnetic domain. CURR represents the current flowing per turn of the coil, and EMF represents the potential drop across the coil terminals. Since there is only one unique current in the coil and one potential drop across the coil terminals, specify a single value for each of these degree of freedom unknowns. You must couple all nodes of the coil region in the finite element domain in the CURR degree of freedom and in the EMF degree of freedom. To do so, perform these steps:

  1. Create a CIRCU124 stranded coil circuit element (KEYOPT(1) = 5).

  2. Create a SOLID97 stranded coil in the finite element model with the appropriate degree of freedom option (KEYOPT(1) = 3). Define the coil real constants.

  3. Assign the "K" node of the CIRCU124 stranded coil element to any node in the coil region of the finite element model.

  4. Select all the nodes of the coil in the SOLID97 coil elements and couple them in the CURR degree of freedom and in the EMF degree of freedom.

7.1.4. 3-D Circuit Coupled Massive Conductor

This option couples an electric circuit to a massive conductor in a 3-D finite element analysis. You use this typically to apply a voltage or current load through an external circuit to a solid conductor such as a bus bar or a solid stator conductor. The coupling involves using two nodes from the SOLID97 massive conductor elements as the K and L nodes of the CIRCU124 massive conductor element, as shown in Figure 7.4: "3-D Circuit Coupled Massive Conductor".

Figure 7.4 3-D Circuit Coupled Massive Conductor

The degrees of freedom CURR (current) and VOLT (voltage) are coupled across the circuit to the electromagnetic domain. CURR represents the total current flowing in the massive conductor, and VOLT represents the potential in the conductor. The CURR degree of freedom is a single valued unknown and is only required to be active on the "front" and "back" faces on the massive conductor region. You must flag these front and back faces with the magnetic circuit interface (MCI) option of the SF command (Main Menu> Preprocessor> Define Loads> Apply> Flag). To indicate the proper direction of current flow (which is from node K to node L), set the MCI flag to -1 on the node K face and +1 on the node L face. This is analogous to the standard sign convention of positive current flowing from node I to node J in the circuit element. Internal to the conductor, the CURR degree of freedom is not used. The VOLT degree of freedom represents the electric potential in the massive conductor. The procedure is as follows:

  1. Create a CIRCU124 massive conductor circuit element for 3-D (KEYOPT(1) = 7).

  2. Create a SOLID97 massive conductor in the finite element model with the appropriate degree of freedom option (KEYOPT(1) = 4). Define the conductor real constants.

  3. Assign the "K" node of the CIRCU124 massive conductor element to any node on one face of the massive conductor region of the finite element model.

  4. Assign the "L" node of the CIRCU124 massive conductor element to any node on the other face of the massive conductor region of the finite element model

  5. Select the nodes of the face containing the "K" node and specify a magnetic circuit interface flag (MCI) value of -1 via the SF command.

  6. Select the nodes of the face containing the "L" node and specify a magnetic circuit interface (MCI) flag value of +1 via the SF command.

  7. Couple node "I" of the CIRCU124 massive conductor element and the face "K" nodes of the massive conductor elements in the VOLT degree of freedom.

  8. Couple the face "L" nodes of the massive conductor elements in the VOLT degree of freedom. (This coupling assumes that the face of the conductor is straight-sided and that the current flows perpendicular to the face.)

  9. Couple the nodes of both faces of the massive conductor region in the CURR degree of freedom.

If a VOLT constraint is required to a face of the finite element model (that is, to enforce a symmetry boundary condition), you must place the constraint on the circuit node (node K or L) and not directly onto the finite element face nodes. Constraining the finite element face nodes may lead to an erroneous circuit solution.

7.1.5. 3-D Circuit Coupled Solid Source Conductor

This option couples an electric circuit to a solid source conductor as shown in a typical configuration in Figure 7.5: "3-D Circuit Coupled Solid Source Conductor". A solid source conductor represents a solid conductor with a DC current distribution within the conductor walls. The solid conductor of the finite element region represents an equivalent resistance to the circuit. When hooked to an external circuit, the resulting solution determines the conductor DC current distribution, which is used as a source excitation for the electromagnetic field.

Figure 7.5 3-D Circuit Coupled Solid Source Conductor

Circuit coupled solid source conductors can be used in static, harmonic, and transient analysis. However, the solution within the conductor itself is limited to a DC current distribution with no eddy current effects or back emf effects. The following elements offer the solid conductor source option:

SOLID117, KEYOPT(1) = 5 or 6 (solenoidal formulation)
SOLID97, KEYOPT(1) = 5 or 6 (solenoidal formulation)

The solenoidal formulation of SOLID117 and SOLID97 uses an electric scalar potential (VOLT) that is compatible with the following CIRCU124 circuit elements:

Components

Resistor (KEYOPT(1) = 0)
Inductor (KEYOPT(1) = 1)
Capacitor (KEYOPT(1) = 2)
Mutual Inductor (KEYOPT(1) = 8)

Sources

Independent Current Source (KEYOPT(1) = 3)
Independent Voltage Source (KEYOPT(1) = 4)
Voltage Controlled Current Source (KEYOPT(1) = 9)
Voltage-Controlled Voltage Source (KEYOPT(1) = 10)
Current-Controlled Voltage Source (KEYOPT(1) = 11)
Current-Controlled Current Source (KEYOPT(1) = 12)

You can also use the solenoidal formulation with the diode element (CIRCU125). Because the elements are compatible, the CIRCU elements can be directly connected to the SOLID elements via the VOLT degree of freedom.

7.1.6. Taking Advantage of Symmetry

Often it is convenient to take a symmetry cut of a device to construct a finite element model. Coupled electromagnetic-circuit analysis can consider two types of symmetry: conductor symmetry and circuit symmetry.

Conductor symmetry - This type of symmetry involves modeling only part of a conductor due to symmetric behavior of the magnetic field. For example, you can model a C-shaped magnet with a single winding symmetrically placed about the return leg in half-symmetry. The real constants defined for the finite element conductor regions automatically handle symmetry sectors by requiring you to specify the full conductor area (real constant CARE, and also VOLU for 3-D). The program determines from the conductor elements the fraction of the conductor modeled and appropriately handles the symmetry model. Also, for 2-D planar problems you can specify the length of the device (real constant LENG) which the program handles appropriately.

Circuit symmetry - For coupled electromagnetic-circuit simulation, you must model the entire electric circuit of the device; however, you may be able to take advantage of symmetry in the finite element domain. For example, you may only need to model one pole of a rotating electric machine to obtain a finite element solution. However, you must model completely the circuit which accounts for all the slot windings in the full machine.

You can account for symmetric sectors of coil windings or massive conductors not modeled in the finite element domain in the circuit using the appropriate circuit component option (CIRCU124 element with KEYOPT(1) = 5, 6, or 7 ). The "K" nodes of these circuit components should be independent nodes (not connected to the finite element mesh or to any other node in the circuit) and should be coupled through the EMF degree of freedom with the "K" node of the circuit component which is directly coupled to the finite element domain. A 2-D problem illustrated in Figure 7.6: "Circuit for Go and Return Conductors" demonstrates the connection.

Figure 7.6 Circuit for Go and Return Conductors

Figure 7.6: "Circuit for Go and Return Conductors" illustrates two massive conductors carrying current in opposite directions, connected at their ends through a finite resistance (R) and inductance (L) (to simulate end effects), and driven by a voltage source (V0). Conductor symmetry allows for modeling only the top half of the conductor pair. Additional symmetry about the y-axis can eliminate the need to model the "left" conductor as long as the circuit takes care of the conductor in the circuit mesh. The full circuit required to simulate the two-conductor system is shown with the voltage source, resistor, and massive conductor source components.

The I, J, and K nodes of the massive conductor components are highlighted for clarity. The right massive conductor is directly linked to the "right" conductor in the finite element domain through node K1. The left massive conductor component has no corresponding modeled conductor region in the finite element domain. However, coupling node K1 to node K2 through the EMF degree of freedom will simulate the effect of the "left" conductor which is not modeled, but which has the same EMF drop as the "right" conductor.

The stranded coil circuit components for 2-D and 3-D, as well as the 2-D massive conductor component, work on the same principle for symmetry modeling by coupling the EMF degree of freedom between the K nodes as described above. For the 3-D massive conductor the procedure differs. In this case, independent K and L nodes for the unmodeled circuit component should be coupled through the VOLT degree of freedom of the massive circuit component (nodes K and L) that is connected to a modeled finite element region.

7.1.7. Series Connected Conductors

Series connected windings can be modeled.

Figure 7.7: "Series Wound Stranded Conductor" illustrates a single phase voltage-fed stranded winding for a 2-D problem containing four coil slots (typical arrangement of a machine). The slots represent a single continuous winding with current direction (D "out" (+1), x "in" (-1)) specified in the real constant set of the PLANE53 element type. The dotted lines represent the common node of the stranded coil current source and the finite element current domain.

Figure 7.7 Series Wound Stranded Conductor

Because all the slots are connected in series, they form a single loop and will each carry the same current ("i" from CURR degree of freedom). However, each slot may have a different voltage drop (EMF). Each slot will require a unique CURR and EMF node coupled set.

A summary of the coupled node sets follows:

Set Number | DOF | Nodes (by Slot)
1 | CURR | N1
2 | CURR | N2
3 | CURR | N3
4 | CURR | N4
5 | EMF | N1
6 | EMF | N2
7 | EMF | N3
8 | EMF | N4

The same procedure also applies to massive conductors in series.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 7. Coupled Physics Circuit Simulation 		Up / Home Next
7.2. Electromechanical-Circuit Simulation


7.2. Electromechanical-Circuit Simulation

In many instances you can analyze micro-electromechanical devices (MEMS) using "reduced order" models. Reduced order models represent lumped-parameter equivalencies to larger, more complex systems. For example, you can reduce an electrostatic comb drive to one or more electromechanical transducer elements (TRANS126), and mechanical structures in resonators, filters, or accelerometers to equivalent springs (COMBIN14, COMBIN39), dampers (COMBIN14, COMBIN39), and masses (MASS21). By reducing systems to lumped elements, you can perform transient dynamic simulations, or time-harmonic simulations at a fraction of the cost of a full finite element analysis.

The ANSYS Circuit Builder supports several mechanical lumped elements, an electromechanical transducer element, as well as electrical circuit elements. These elements include:

Electrical:

  • CIRCU124 -- General Circuit Element

  • CIRCU125 -- Common or Zener Diode Element

Mechanical:

  • COMBIN14 -- Spring - Damper Element

  • COMBIN39 -- Nonlinear Spring Element

  • MASS21 -- Structural Mass Element

Transducer:

  • TRANS126 -- Electromechanical Transducer Element

You can use all of the above element types in the construction of a reduced order electromechanical model. The electrical options in CIRCU124 allow the construction of circuitry to feed an electromechanical drive structure simulated by the transducer element TRANS126. The transducer element stores electrical energy and converts it to mechanical energy. Mechanical elements attached to the transducer element receive the mechanical energy and respond accordingly. You can also model the reverse process. In this case, mechanical loads applied to the mechanical elements act on the transducer element, converting mechanical energy into an electrical signal which can be passed through an electrical circuit to achieve a desired signal response.

Springs and dampers are separate discrete elements in the circuit builder. While the elements COMBIN14 and COMBIN39 can simultaneously model both a spring and damper, for convenience and simplicity the circuit builder allows only a spring or damper to be created for each circuit element constructed. Icons for springs, dampers, and masses appear during the element definition. After inputting the real constants, the final icon appears. If the element is nonlinear, a "bar" appears above the icon.

You can use the circuit builder to easily define the nodes, elements, and real constants for the transducer elements (TRANS126) and the mechanical elements (COMBIN14, COMBIN39, MASS21). You use standard procedures to define loads and boundary conditions for these elements.

More information on the circuit builder can be found in Using the Circuit Builder in the Low-Frequency Electromagnetic Analysis Guide.

Several important points to remember when performing an electromechanical simulation are:

  • You must align the TRANS126 element along the axis of the active structural degree of freedom. This is in general along one of the three Global Cartesian Axes. If the nodes of the element are rotated into a local coordinate system (NROTAT command), you may align the element along the local coordinate system axis. The separation distance between the I and J nodes of the TRANS126 element is immaterial; however, the positioning of the I and J nodes with respect to the axis is important. See TRANS126 in the Elements Reference for more information about valid orientations. It may be helpful to activate the working plane grid in the circuit builder to ensure that the element is aligned properly. To do so, choose one of the following:

    Main Menu> Preprocessor> Modeling> Create> Circuit> Center WP
    Utility Menu> Working Plan> WP Settings
    Then turn on the working plane grid in the WP Settings dialog box that appears.

  • Align the mechanical spring and damper elements (COMBIN14, COMBIN39) along the axis of the active structural degree of freedom. The separation distance between nodes is immaterial; however, the element will not carry any moment that may be induced by an off-axis load. These elements normally issue a warning when the I and J nodes are noncoincident; however, the circuit builder suppresses this warning with an undocumented KEYOPT option (KEYOPT(2) = 1) set for the circuit builder.

  • When performing a static or transient analysis, you may have to tighten the convergence criteria to obtain the correct displacement direction for the TRANS126 element. To do so, use CNVTOL,F,1,1E-12.

Note

You can directly attach reduced order electromechanical models to a structural finite element model. This is advantageous when a structural component cannot be conveniently reduced to a simple spring/mass/damper representation. The connection is done via common nodes and their active degrees of freedom (or separate nodes and node coupling).

See Sample Electromechanical-Circuit Analysis for an example problem.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.1. Electromagnetic-Circuit Simulation 		Up / Home Next
7.3. Piezoelectric-Circuit Simulation


7.3. Piezoelectric-Circuit Simulation

You use this analysis, available in the ANSYS Multiphysics product, to determine one of the following:

  • Voltage and current distribution in an electric circuit with piezoelectric devices.

  • Structural and electric field distributions in a circuit-fed piezoelectric device.

To do a coupled piezoelectric-circuit analysis, you need to use the piezoelectric circuit element (CIRCU94) with one of the following piezoelectric elements:

PLANE13, KEYOPT(1) = 7, coupled-field quadrilateral solid
SOLID5, KEYOPT(1) = 0 or 3, coupled-field brick
SOLID98, KEYOPT(1) = 0 or 3, coupled-field tetrahedron
PLANE223, KEYOPT(1) = 1001, coupled-field 8-node quadrilateral
SOLID226, KEYOPT(1) = 1001, coupled-field 20-node brick
SOLID227, KEYOPT(1) = 1001, coupled-field 10-node tetrahedron

You can connect electrical circuits directly to the 2-D or 3-D piezoelectric finite element models. Typical applications include circuit-fed piezoelectric sensors and actuators, active and passive piezoelectric dampers for vibration control, and crystal oscillator and filter circuits for communication systems.

You can use the CIRCU94 element to model the following components: resistor, inductor, capacitor, independent current source, and independent voltage source. KEYOPT(1) defines the component type as shown in Figure 7.8: "CIRCU94 Components". Real constants specify values for resistance, inductance, and capacitance. For independent current and voltage sources, KEYOPT(2) specifies the type of excitation. You can specify constant load (transient) or constant amplitude load (harmonic), sinusoidal, pulse, exponential, or piecewise linear loads. Real constants specify the load functions. Besides the source loads, the only other "load" is a VOLT = 0 specification (D command) at the ground nodes (other nodal loads are not recommended). For more information, see CIRCU94 in the Elements Reference.

Figure 7.8 CIRCU94 Components

KEYOPT(1) = 0, 1, 2, and 3 define resistor, inductor, capacitor and current source components using two nodes I and J. To define a voltage source you need to specify a third, "passive," node (K) as shown for KEYOPT(1) = 4. The program uses this node internally and it does not need to be attached to the circuit or the piezoelectric finite element model. For all circuit components, positive current flows from node I to node J.

To be compatible CIRCU94 and the piezoelectric elements must all have a negative electric charge reaction solution. KEYOPT(6) sets the electric charge sign for CIRCU94. The following piezoelectric elements have a negative electric charge reaction solution:

PLANE13, KEYOPT(1) = 7, coupled-field quadrilateral solid
SOLID5, KEYOPT(1) = 0 or 3, coupled-field brick
SOLID98, KEYOPT(1) = 0 or 3, coupled-field tetrahedron
The following piezoelectric elements have a negative electric charge reaction solution when a piezoelectric matrix is defined (TB,PIEZ).
PLANE223, KEYOPT(1) = 1001, coupled-field 8-node quadrilateral
SOLID226, KEYOPT(1) = 1001, coupled-field 20-node brick
SOLID227, KEYOPT(1) = 1001, coupled-field 10-node tetrahedron

You can create a circuit by defining nodes, elements, element types, and real constants for each electric component. However, it is more convenient to create a circuit model interactively using the ANSYS Circuit Builder. To build a circuit interactively, follow the procedure described in Using the Circuit Builder in the Low-Frequency Electromagnetic Analysis Guide. To access the piezoelectric circuit components, choose Main Menu> Preprocessor> Modeling> Create> Circuit> Builder> Piezoelectric.

When building an electric circuit, you should avoid inconsistent configurations as illustrated in Avoiding Inconsistent Circuits in the Low-Frequency Electromagnetic Analysis Guide. Also, your model cannot intermix CIRCU94 elements with other circuit elements (CIRCU124 and CIRCU125). Their finite element formulations are not compatible (see Element Compatibility in the Low-Frequency Electromagnetic Analysis Guide).

You can directly connect an electrical circuit to a piezoelectric finite element model through a set of common nodes (Figure 7.9: "Electrical Circuit Connections") or by coupling separate nodes. The location of the circuit with respect to the distributed piezoelectric domain is arbitrary and does not affect the analysis results.

Figure 7.9 Electrical Circuit Connections

The piezoelectric-circuit analysis can be either full transient or harmonic. You follow standard procedures to define analysis options and to apply loads. Refer to Piezoelectric Analysis for recommendations and restrictions that apply to piezoelectric analysis. You can activate geometric nonlinearities to account for large deflections of the piezoelectric domain.

You apply loads to a circuit in any of the following ways:

  • Specify voltage at a node using the D command and the VOLT label.

  • Specify negative charge at a node using the F command (AMPS or CHRG label).

  • Include a CIRCU94 independent current source in your model.

  • Include a CIRCU94 independent voltage source in your model.

CIRCU94 can work with both the AMPS and the CHRG label depending on the piezoelectric elements in the model. PLANE13, SOLID5, and SOLID98 use the AMPS label (F command), even though the reaction solution is negative charge. PLANE223, SOLID226, SOLID227 use the CHRG label. If elements with AMPS and CHRG labels are both present in the model, the label is set to the last one defined. For example, if SOLID5 is defined and then SOLID226, the program switches to the CHRG label. No matter which label is used, the elements in the model are charge-based.

For the independent current and voltage source options, you use KEYOPT(2) to specify the type of excitation and the corresponding real constants to specify the load function. For transient analyses, you can also use real constants to set the initial current in inductors or the initial voltage in capacitors.

Table 7.1: "Piezoelectric Circuit Element Output Data" summarizes the output data for CIRCU94. For more information on nodal and element solutions, see Solution Output in the Elements Reference.

Table 7.1 Piezoelectric Circuit Element Output Data

Data Type Solution Output
Primary Data

  • Nodal voltages (VOLT) for each component

  • Negative charge (CURR) at the “passive” node for a voltage source option

Derived Data (for each component)

  • Element voltage drop (VOLTAGE)

  • Element current (CURRENT)

  • Element power (POWER)

  • Element applied load (SOURCE)

See Sample Piezoelectric-Circuit Analysis (Batch or Command Method) for an example problem.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.2. Electromechanical-Circuit Simulation 		Up / Home Next
7.4. Sample Electromechanical-Circuit Analysis


7.4. Sample Electromechanical-Circuit Analysis

In this example, you will perform an electromechanical-circuit analysis of a MEMS structure.

7.4.1. Problem Description

This is an analysis of a micro-mechanical system composed of an electrostatic transducer coupled to a mechanical resonator as shown in Figure 7.10: "Electrostatic Transducer - Resonator Model". A discrete spring, mass, and damper represent the mechanical resonator. A discrete electromechanical transducer represents the parallel plate capacitor. The electrostatic transducer has a series of pulse excitation voltages applied as shown in Figure 7.11: "Excitation Voltages". Our goal is to compute the time-transient displacement of the mechanical resonator (at Node 2).

Figure 7.10 Electrostatic Transducer - Resonator Model

Figure 7.11 Excitation Voltages

The problem can be easily built in the Circuit Simulator using the electromechanical transducer element (TRANS126), the mass element (MASS21), and the combination element (COMBIN14). The problem uses the µMKSV system of units. For a parallel plate capacitor, the capacitance varies as a function of the gap. The real constant C0 represents the capacitance relationship.

Four load steps simulate two pulse excitations on the transducer. You can apply the voltage to the transducer either directly at the node (D command), or through the use of the general circuit element (CIRCU124). A large-signal nonlinear transient solution is run using auto time-stepping (AUTOTS). The resulting displacements are plotted using POST26.

The following are the input parameters:

Plate area = 1 x 108 ( µm)2
Initial gap = 150 µm
Relative permittivity = 1.0
Mass = 1 x 10-4 Kg
Spring Constant = 200 µN/ µm
Damping Coefficient = 40 x 10-3 µNs/ µm

The excitation at node 2 is:

Time (sec) | Value (Volts)
0.00 | 5.0
0.03 | 0.0
0.06 | 10.0
0.09 | 0.0
0.12 | 0.0

7.4.2. Results

Figure 7.12: "Mechanical Resonator Displacement (at Node 2)" shows the resulting displacement.

Figure 7.12 Mechanical Resonator Displacement (at Node 2)

7.4.3. Command Listing

The command listing below demonstrates the problem input (captured and edited from the Circuit Builder). Text prefaced by an exclamation point (!) is a comment.

/batch,list
/show,file
/prep7
/title, Transient response of an electrostatic transducer-resonator
/com,    µMKSV units

et,1,trans126          ! EM Transducer Element
r,1,,1,150             ! gap=150  µN
rmore,8.854e-6*1e8     ! C0 term (eps*area)
n,1
n,2,0.1
e,1,2

et,2,21,,,4            ! Mass element (UX,UY dof option)
r,2,1e-4               ! Mass
rmod,2,7,,1
type,2
real,2
e,2

et,3,14,,1             ! Spring
keyopt,3,7,1           ! This is an undocumented keyopt used to suppress
                       ! a warning message about noncoincident nodes.
                       ! It does not alter the performance of the element.
                       ! It is not intended for general use.
r,3,200,,,.05,1        ! k=200  µN/ µm, graphical offsets
n,3,0.2
type,3
real,3
e,2,3

et,4,14,,1             ! Damper
keyopt,4,7,1           ! This is an undocumented keyopt used to suppress
                       ! a warning message about noncoincident nodes.
                       ! It does not alter the performance of the element.
                       ! It is not intended for general use.
r,4,,40e-3,,-.05,1     ! Damping coeff=40e-3  µMs/ µm, graphical offsets
type,4
real,4
e,2,3

nsel,s,node,,1,3,2
d,all,ux,0             ! Fix transducer and ground
nsel,all
d,1,volt,0             ! Fix voltage ground
d,2,uy,0               ! Fix UY motion for mass
finish

/solu
antyp,trans            ! Transient analysis - large signal
kbc,1                  ! Step boundary conditions
d,2,volt,5             ! Apply 5 volts to transducer
time,.03               ! Time at end of first load step
deltim,.0005,.0001,.01 ! Set initial, minimum and maximum time incr.
autos,on               ! Use auto time-stepping
outres,all,all         ! Save all intermediate time point results
cnvtol,f               ! Convergence on force
solve                  ! Solve
time,.06               ! Repeat for addition load steps
d,2,volt,0
solve
time,.09
d,2,volt,10
solve
time,.12
d,2,volt,0
solve
finish
/post26
nsol,2,2,u,x           ! Retrieve displacement
/xrange,0,.12
/yrange,-.02,.01
/axlab,x,Time (sec.)
/axlab,y,Displacement (micro meters)
plvar,2                ! Plot displacement
finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.3. Piezoelectric-Circuit Simulation 		Up / Home Next
7.5. Sample Piezoelectric-Circuit Analysis (Batch or Command Method)


7.5. Sample Piezoelectric-Circuit Analysis (Batch or Command Method)

This example problem considers a circuit-fed piezoelectric transducer. CIRCU94 elements are used to model the electrical components and SOLID226 elements are used to model of the piezoelectric transducer.

7.5.1. Problem Description

This is an analysis of a Lead Zirconate Titanate (PZT-4) piezoelectric transducer connected in parallel with a resistor (R) and excited by a current source (I) as shown in Figure 7.13: "Piezoelectric Circuit". First perform a transient analysis to determine the current through the resistor. Then perform a harmonic analysis near the third resonance mode to determine the voltage drop across the resistor.

Figure 7.13 Piezoelectric Circuit

To verify results, perform analyses using equivalent electric circuits. To further verify the transient results, use the following analytical solution derived using the Laplace transformation technique:

I = 1 - exp(-t/R)

7.5.2. Problem Specifications

PZT-4 has the following material properties:

Density = 7700 kg/m3

Permittivity at constant strain:

Relative permittivity in X direction = 729
Relative permittivity in Y direction = 635
Relative permittivity in Z direction = 729

Piezoelectric Matrix [e] C/m2:

Stiffness matrix [c] x 10-10 N/m2:

The piezoelectric transducer is a block with a side length of 1 mm.

The current is a 1.3 mA step load for the transient analysis.

7.5.3. Equivalent Electric Circuits (Reduced Order Model)

Transient Analysis

For the transient analysis, approximate the piezoelectric transducer with a capacitor as shown in Figure 7.14: "Equivalent Circuit -Transient Analysis". The equivalent static capacitance Cs is determined from a static analysis of the piezoelectric region. The resistance R and analysis time are adjusted to:

R = 1e-4/Cs

t = 2R(Cs)

Figure 7.14 Equivalent Circuit -Transient Analysis

Harmonic Analysis

In a harmonic analysis performed near the ith resonance mode, approximate the piezoelectric transducer with capacitors and inductors (Cs, Ci, and Li) as shown in Figure 7.15: "Equivalent Circuit - Harmonic Analysis at ith Piezoelectric Resonance". Determine the equivalent dynamic capacitance Ci and dynamic inductance Li from a modal analysis of the piezoelectric region and the following equations:

Ci = (Qi)2/(Ωi)2

Li = 1/((Ωi)2(Ci)

where:

Qi = Electrode charge of ith piezoelectric resonance

Ωi = Angular frequency of ith piezoelectric resonance

Figure 7.15 Equivalent Circuit - Harmonic Analysis at ith Piezoelectric Resonance

To more accurately represent the piezoelectric transducer, include more capacitor-inductor branches in the reduced order model. For example, use nine capacitor-inductor branches as shown in Figure 7.16: "Equivalent Circuit - Harmonic Analysis Near the 3rd Piezoelectric Resonance". The nine Ci-Li (i = 1, 2, ... 9) branches correspond to the first nine resonance modes of the piezoelectric transducer. The equivalent static capacitance and resistance are adjusted to:

Co = Cs - SUM of Ci (i = 1 through 9)

R = 0.9/(Ω3)(Co)

where:

Ω3 = Angular frequency of the third resonance mode

Figure 7.16 Equivalent Circuit - Harmonic Analysis Near the 3rd Piezoelectric Resonance

7.5.4. Results

Transient Analysis

Transient analyses results are shown in Table 7.2: "Transient Analysis Results".

Table 7.2 Transient Analysis Results

Time (ms) | I (mA)
 | Piezoelectric-Circuit | Equivalent (Reduced Model) | Analytical (Target)
0.00400 | 0.0389 | 0.0385 | 0.0392
0.03200 | 0.2736 | 0.2733 | 0.2739
0.06000 | 0.4518 | 0.4508 | 0.4512
0.08800 | 0.5848 | 0.5849 | 0.5852
0.11600 | 0.6863 | 0.6863 | 0.6865
0.14400 | 0.7623 | 0.7629 | 0.7631
0.17200 | 0.8199 | 0.8208 | 0.8209
0.20000 | 0.8644 | 0.8646 | 0.8647

Harmonic Analysis

Harmonic analysis results are shown in Figure 7.17: "Harmonic Analysis Results". The curves for the piezoelectric-circuit analysis and the reduced order model are identical because nine modes have been taken into account.

Figure 7.17 Harmonic Analysis Results

7.5.5. Command Listing

The command listing below demonstrates the problem input (captured and edited from the Circuit Builder). Text prefaced by an exclamation point (!) is a comment. An alternative element type and material input.are included in the comment lines.

/batch,list
/prep7
/title,Transient and harmonic analyses of a piezoelectric circuit
/nopr
!
! Set up the model for the piezoelectric element
!
! Material properties for PZT-4
!
mp,DENS,1,7700                 ! Density, kg/m**3

tb,DPER,1                      ! Relative permittivity at constant strain
tbdata,1,729,635,729
! - Alternative input of permittivity if used with SOLID5
! mp,PERX,1,729
! mp,PERY,1,635
! mp,PERZ,1,729
!
tb,ANEL,1                      ! Anisotropic elastic stiffness, N/m^2
tbdata,1,13.9E10,7.43E10,7.78E10  ! c11,c13,c12
tbdata,7,11.5E10,7.43E10       ! c33,c13
tbdata,12,13.9E10              ! c11
tbdata,16,2.56E10              ! c44
tbdata,19,2.56E10              ! c44
tbdata,21,3.06E10              ! c66

tb,PIEZ,1                      ! Piezoelectric stress coefficients, C/m^2
tbdata,2,-5.2                  ! e31
tbdata,5,15.1                  ! e33
tbdata,8,-5.2                  ! e31
tbdata,10,12.7                 ! e15
tbdata,15,12.7                 ! e15
!
! Define a piezoelectric cube (H = 1 mm)
!
H = 1e-3                       ! Transducer size, m
block,0,H,0,H,0,H              ! Define volume
et,1,SOLID226,1001             ! 3-D coupled-field brick, piezo option
esize,,2                       ! Define the number of element divisions
! et,1,SOLID5,3                  ! lower order 3-D coupled-field brick, piezo option
! esize,,3
mat,1  $ type,1                ! Set element attributes
numstr,node,14                 ! Set starting node number for the solid model
vmesh,1                        ! Generate nodes and elements
*get,Epz,elem,,count           ! Get the number of solid elements
!
! Apply boundary conditions and loads to the piezoelectric transducer
!
nsel,s,loc,z,0                 ! Define bottom electrode
cp,1,volt,all
*get,n_bot,node,0,num,min      ! Get master node on bottom electrode
nsel,s,loc,z,H                 ! Define top electrode
cp,2,volt,all
*get,n_top,node,0,num,min      ! Get master node on top electrode
nsel,s,loc,z,0                 ! Impose displacement constraints
d,all,uz,0
nsel,r,loc,y,0
d,all,uy,0
nsel,r,loc,x,0
d,all,ux,0
nsel,all
d,n_bot,volt,0                  ! Ground bottom electrode
d,n_top,volt,1                  ! Apply unit voltage to top electrode
fini
!
! Determine static capacitance of the piezo-cube
!
/solu
antype,static                   ! Static analysis
solve
*get,Cs,node,n_top,rf,chrg      ! Get electric charge on top electrode
! *get,Cs,node,n_top,rf,amps      ! use AMPS label with SOLID5
Cs = abs(Cs)                    ! C = Q/V, where V = 1 Volt
/com, ----------------------------------------------------------------------
/com,          Equivalent parameters of the piezoelement
/com,
/com,  Static capacitance  Cs = %Cs% F
fini
!
! Determine equivalent dynamic electric parameters of the piezo-cube
!
/solu
antype,modal                ! Modal analysis
nmodes = 9                  ! Number of modes
modopt,LANB,nmodes          ! Block Lanczos solver
mxpand,nmodes,,,yes         ! Calculate element results and reaction forces
d,n_top,volt,0              ! Short-circuit top electrode
solve                       ! Solve for resonance frequency
fini
/post1
*dim,C,array,nmodes         ! Define arrays to store equivalent parameters
*dim,L,array,nmodes
PI2 = 2*3.14159
Co = Cs
set,first
/com,
*do,i,1,nmodes
*get,Fi,mode,i,freq            ! Get frequency
*get,Qi,node,n_top,rf,chrg     ! Get electric charge on top electrode
! *get,Qi,node,n_top,rf,amps     ! Use AMPS label with SOLID5
Omi = Pi2*Fi                   ! Convert linear frequency to angular
C(i) = (Qi/Omi)**2             ! Calculate equivalent dynamic capacitance
Co = Co - C(i)                 ! Adjust static capacitance for dynamic terms
L(i) = 1/(Omi**2*C(i))         ! Calculate equivalent dynamic inductance
*if,i,eq,3,then                ! Get third mode frequency for harmonic analysis
F3 = Fi  $  Om3 = Omi
*endif
/com,  Mode %i%
/com,  Resonant frequency   F = %Fi% Hz
/com,  Dynamic capacitance  C = %C(i)% F
/com,  Dynamic inductance   L = %L(i)% H
/com,
set,next
*enddo
/com,  Adjusted static capacitance  Co = %Co% F
/com, ----------------------------------------------------------------------
fini
/com, ----------------------------------------------------------------------
/com,  Transient analysis of the piezoelectric and equivalent circuits
/com, ----------------------------------------------------------------------
!
! Set up equivalent circuit for transient analysis (Fig. 2)
!
/prep7
!
! Element types
!
et,2,CIRCU94,0           ! Resistor option
et,3,CIRCU94,2           ! Capacitor option
et,4,CIRCU94,3           ! Independent current source (step) option
!
! Real constants
!
RC = 1.e-4               ! RC constant
Imax = 1.e-3             ! Current level
r,1, RC/Cs               ! Resistance, Ohm
r,2, Cs                  ! Equivalent static capacitance, F
r,3, Imax                ! Current
!
! Nodes and elements
!
n,1,0,0
n,2,0,1
type,2  $  real, 1
e, 2, 1                  ! Resistor connected to lumped capacitor (elem Epz+1)
e, n_top, n_bot          ! Resistor connected to piezoelement (elem Epz+2)
type,3  $  real, 2
e, 2, 1                  ! Capacitor Cs (elem Epz+3)
type,4  $  real, 3
e, 1, 2                  ! Current source feeding RC(lumped)-circuit
e, n_bot, n_top          ! Current source feeding RC(piezo)-circuit
fini
/solu
ddele,n_top,volt         ! Delete voltage constraints on top electrode
d,1,volt,0
antype,trans             ! Transient analysis
nsubs,50
time,2*RC                ! Analysis time, s
tintp,,0.25,0.5,0.5      ! Set time integration parameters piezo analysis
kbc,1                    ! Stepped load
outres,esol,all
solve
fini
/post26
esol,2,Epz+1,,smisc,2,I_equiv  ! Store output current
esol,3,Epz+2,,smisc,2,I_piezo
store
                            ! Calculate analytical solution
exp,4,1,,,,,,-1/RC          ! exp(-t/RC)
filldata,5,,,,1             ! 1
add,6,5,4,,I_targ,,,Imax,-Imax ! I_targ = Imax*(1 - exp(-t/RC))
nprint,7
prvar,I_piezo,I_equiv,I_targ   ! Print and plot output current
plvar,I_piezo,I_equiv,I_targ
fini
/com, ---------------------------------------------------------------------
/com,  Harmonic analysis of the piezoelectric and equivalent circuits
/com,  near the third mode of vibration
/com, ---------------------------------------------------------------------
!
! Set up equivalent circuit for harmonic analysis (Fig. 4)
!  - adjust static capacitance (replace Cs with Co)
!  - add dynamic Li-Ci branches
!
/prep7
type,2  $  real,1
RC = 0.9/Om3             ! Modify RC constant
rmodif,1,1, RC/Co        ! Modify resistance R
emodif,Epz+1             ! of equivalent circuit resistor
emodif,Epz+2             ! of piezo-circuit resistor
type,3  $  real,2
rmodif,2,1, Co           ! Adjust static capacitance for dynamic terms
emodif,Epz+3
et,5,CIRCU94,1           ! Inductor option
rl1 = 2  $  rl2 = 3      ! Initialize real constant numbers
*do,i,1,nmodes           ! Add dynamic Li-Ci branches to equivalent circuit
rl1 = rl1+2
rl2 = rl2+2
nd = i+2
r,rl1, L(i)              ! Dynamic inductance for mode i, H
r,rl2, C(i)              ! Dynamic capacitance for mode i, F
n,nd, i,0.5              ! Connection node between Li and Ci
type,5  $  real,rl1
e, 2, nd                 ! Inductor Li
type,3  $  real,rl2
e, nd, 1                 ! Capacitor Ci
*enddo
fini
/solu
antyp,harmic             ! Harmonic analysis
harfrq,0.95*F3,1.1*F3
nsubs,100
solve
fini
/post26
esol,3,Epz+1,,smisc,1,V_equiv  ! Store output voltage
esol,4,Epz+2,,smisc,1,V_piezo
store
prcplx,1                 ! Output amplitude and phase
nprint,9
prvar,V_piezo,V_equiv    ! Print and plot output voltage
/axlab,x,Frequency (Hz)
/axlab,y,|Vout| (volts)
plvar,V_piezo,V_equiv
fini

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.4. Sample Electromechanical-Circuit Analysis 		Up / Home Next
Chapter 8. Reduced Order Modeling


Chapter 8. Reduced Order Modeling

This chapter describes a solution method for efficiently solving coupled-field problems involving flexible structures. This reduced order modeling (ROM) method is based on a modal representation of the structural response. The deformed structural domain is described by a factored sum of the mode shapes (eigenvectors). The resulting ROM is essentially an analytical expression for the response of a system to any arbitrary excitation.

This methodology has been implemented for coupled electrostatic-structural analysis and is applicable to micro-electromechanical systems (MEMS).

The solver tool enables essential speed up for two reasons:

  • A few eigenmodes accurately represents the dynamic behavior of most structures. This is particularly true for micro-electromechanical systems (MEMS).

  • Modal representations of electrostatic-structural domains are very efficient because just one equation per mode and one equation per conductor are necessary to describe the coupled domain system entirely.

This modal method can be applied to nonlinear systems. Geometrical nonlinearities, such as stress stiffening, can be taken into account if the modal stiffness is computed from the second derivatives of the strain energy with respect to modal coordinates. Capacitance stroke functions provide nonlinear coupling between eigenmodes and the electrical quantities if stroke is understood to be modal amplitude.

For more information on this method, see Reduced Order Modeling of Coupled Domains in the Theory Reference for ANSYS and ANSYS Workbench.

The process involves the following distinct steps.

Figure 8.1 ROM Flowchart

The model preparation step creates the necessary finite element model for the generation pass. The generation pass executes a modal analysis of the structure. It also executes an optional static analysis to determine the deformation state of the structure under operating conditions. Using this information, the generation pass then selects the modes and performs computations to create a reduced order model. The use pass uses the reduced order model in an analysis. The reduced order model is stored in a ROM database and a polynomial coefficients file, and utilized by a ROM element (ROM144). The expansion pass extracts the full DOF set solution and computes stresses on the original structure created in the model preparation phase. A VHDL-AMS mathematical model of the ROM structure may be exported for use in electrical design automation (EDA) system simulators.

The ROM method is applicable to 2-D and 3-D models. The generation pass requires multiple finite element solutions of the structural and electrostatic domains, where the structure is displaced over its operating range. To support both morphing and remesh operations for the multiple finite element solutions, PLANE121, SOLID122, or SOLID123 elements must model the electrostatic domain. INFIN110 or INFIN111 elements can model the open boundary of electrostatic fields if required. 2-D or 3-D structural or shell elements can model the structural domain. Care must be exercised when preparing the model of the electrostatic domain to ensure that morphing or remeshing will succeed over the deflection range of the structure. For more information on mesh morphing, see Mesh Updating.

The ROM characterization requires that the device operate primarily in one dominant direction (X, Y, or Z in the global Cartesian system). This includes not only the transversal shift of most rigid bodies (inertial sensors), but also cantilever and plate bending (RF filters, pressure gauges, ultrasonic transducers) and swivel motions (micromirrors). Material properties must be elastic and temperature independent. Stress stiffening and prestress effects are available.

The following ROM topics are available:

  • Model Preparation
  • Generation Pass
  • Use Pass
  • Expansion Pass
  • Sample Miniature Clamped-Clamped Beam Analysis (Batch or Command Method)
  • Sample Micro Mirror Analysis (Batch or Command Method)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.5. Sample Piezoelectric-Circuit Analysis (Batch or Command Method) 		Up / Home Next
8.1. Model Preparation


8.1. Model Preparation

Model preparation includes all steps that are necessary to create a finite element model database and physics files for the generation pass. The following flowchart illustrates the process involved.

Figure 8.2 Model Preparation Flowchart

Each step is explained in detail below:

  • Build the Solid Model
  • Mesh the Model
  • Create Structural Physics File
  • Create Electrostatic Physics File
  • Save Model Database

8.1.1. Build the Solid Model

As a first step, you must build a solid model of the structure, and the electrostatic field surrounding the structure. To build the model, you must specify a jobname (for example, MODEL) using either of the following:

Command(s): | /FILNAME
GUI: | Utility Menu> File> Change Jobname
You use the PREP7 preprocessor to define the element types, element real constants, material properties, and the model geometry. For information on how to build a solid model, see Building the Model in the Basic Analysis Guide and "Solid Modeling" in the Modeling and Meshing Guide.

8.1.2. Mesh the Model

Once you have built your solid model, you are ready to generate the finite element mesh. For information on meshing techniques, see "Generating the Mesh" in the Modeling and Meshing Guide.

8.1.3. Create Structural Physics File

Next, you must create a structural physics file entitled “STRU” in accordance with the physics environment approach described in "Load Transfer Coupled Physics Analysis". It must include material properties, real constants, fixed zero boundary conditions, and initial prestress conditions. Some important points to remember are:

  • Apply all zero-value displacement constraints to solid model entities.

  • Do not apply any nonzero displacement or nodal forces in the model database. These can be applied later during the use pass at specific master nodes.

  • Apply prestress conditions in the model database by means of thermal stress. Specify appropriate element temperatures and thermal expansion coefficients.

  • Do not apply element loads (pressure, or gravity loading) in the model database. These types of loads may be specified later in the Generation Pass.

  • Group nodes on which eigenmodes will be imposed during the generation pass into a node component called "NEUN.” Limit the number of nodes to 5000 minus the number of defined scalar parameters in the model. Select a distributed subset of the nodes on the neutral plane if this limit is exceeded.

  • In order to obtain a proper set of strain energy and capacitance information in the design space, the movable structure must be displaced to various linear combinations of their eigenmodes. Those deformation states are internally imposed by appropriate displacement constraints in the operating direction. In practice, it is unnecessary to impose displacement constraints on all structural nodes. It is sufficient to just choose nodes on a neutral plane of the structure, which is perpendicular to the operating direction. This allows the structure to relax properly and it is especially necessary for stress stiffened structures. If the device does not undergo stress stiffening, then any plane of nodes perpendicular to the operating direction may be selected.

You use either of the following to create the structural physics file (MODEL.ph1).

Command(s): | PHYSICS,WRITE,STRU
GUI: | Main Menu> Preprocessor> Physics> Environment

8.1.4. Create Electrostatic Physics File

Next, you must create an electrostatic physics file entitled “ELEC” in accordance with the physics environment approach described in "Load Transfer Coupled Physics Analysis". It must include material properties and conductor specifications. Some important points to remember are:

  • Group nodes of each conductor into components "CONDi," where i is a successive number assigned to each conductor.

  • Group all volumes (3-D analysis) or all areas (2-D analysis) to be morphed or remeshed into a component called "AIR.”

  • Do not apply zero and nonzero voltage loads and imposed current to the model database. These excitations and boundary conditions can only be applied during the use pass.

You use either of the following to create the electrostatic physics file (MODEL.ph2).

Command(s): | PHYSICS,WRITE,ELEC
GUI: | Main Menu> Preprocessor> Physics> Environment

8.1.5. Save Model Database

At this point, you need to save your database for use in the rest of the ROM procedure. The file name defaults to the Jobname (MODEL).

Command(s): | SAVE
GUI: | Utility Menu>File>Save as Jobname.db

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 8. Reduced Order Modeling 		Up / Home Next
8.2. Generation Pass


8.2. Generation Pass

The generation pass includes all steps that are necessary to execute modal and static analyses, extract displacement and eigenvector information, and create a reduced order model of the structure. The reduced order model generation procedure is time consuming but it only has to be done once. After a reduced order model is established, you can perform any type of analysis with speed typical of system or circuit simulators and accuracy typical of finite element models. The generation pass consists of the following steps.

Figure 8.3 Generation Pass Flowchart

The following sections describe each step.

  • Specify Generation Pass Jobname
  • Assign ROM Features
  • Assign Names for Conductor Pairs
  • Specify ROM Master Nodes
  • Run Static Analysis for Test Load and Extract Neutral Plane Displacements
  • Run Static Analysis for Element Loads and Extract Neutral Plane Displacements
  • Perform Modal Analysis and Extract Neutral Plane Eigenvectors
  • Select Modes for ROM
  • Modify Modes for ROM
  • List Mode Specifications
  • Save ROM Database
  • Run Sample Point Generation
  • Specify Polynomial Order
  • Define ROM Response Surface
  • Perform Fitting Procedure
  • Plot Response Surface
  • List Status of Response Surface
  • Export ROM Model to External System Simulator

8.2.1. Specify Generation Pass Jobname

The jobname takes on special significance in reduced order model generation. By using jobnames effectively, you can eliminate much of the file handling inherent in a three-pass analysis. You should specify different jobnames for the generation pass and the use pass (for example, GEN and USE). /FILNAME,GEN will give the jobname GEN to all the files produced by the generation pass.

Command(s): | /FILNAME
GUI: | Utility Menu> File> Change Jobname

8.2.2. Assign ROM Features

In this step, you assign the model database (prepared in the model preparation phase), the dimensionality of the model, and the primary operating direction of the device.

Command(s): | RMANL, /RESU
GUI: | Main Menu> ROM Tool> Setup> Model Features Utility Menu> File> Resume from

8.2.3. Assign Names for Conductor Pairs

You assign names to pairs of conductors to represent lumped capacitances. Conductors that interact in the operation of the device should be assigned as conductor pairs.

Command(s): | RMCAP, RMCLIST
GUI: | Main Menu> ROM Tool> Setup> Capacitances> Define Main Menu> ROM Tool> Setup> Capacitances> List

8.2.4. Specify ROM Master Nodes

If nonzero boundary constraints, temporary zero boundary constraints or structural nodal forces will be applied in the use pass, you must declare nodes used as ROM master nodes. Furthermore, ROM master nodes are necessary to attach other elements to the ROM model (for example, COMBIN40) or to simply monitor nodal displacements during the use pass. There can be up to ten ROM master nodes representing the displacement in the operating direction. Master node displacements in the operating direction will be stored as UX degrees of freedom.

Command(s): | RMASTER, RMALIST
GUI: | Main Menu> ROM Tool> Setup> Master Nodes> Define Main Menu> ROM Tool> Setup> Master Nodes> List

8.2.5. Run Static Analysis for Test Load and Extract Neutral Plane Displacements

To assist the program in determining which eigenmodes of the device are important in characterizing the structural response of the system under operating conditions, you should run a static analysis with a "test" load which deforms the structure in the operating direction of choice. The loads should drive the structure to a typical deformation state, which is representative of most load situations seen in the use pass. The amount of applied loads, the resulting displacements and even the accuracy of the computed results are not important because only ratios between modal coordinates are evaluated. The simplest test load could be in the form of imposed displacements. Alternatively, if you cannot define a test load, the modes and their amplitude range will be determined with respect to the linear modal stiffness ratios in the operating direction (see RMMSELECT).

The difference between using or not using a test load can be illustrated by a model of a beam clamped at both ends and suspended above a ground plane. For example, a voltage test load applied on the movable structure excites only symmetric eigenmodes in the operating direction. The RMMSELECT macro would select the symmetric modes in the order that corresponds to their displacement amplitudes. On the other hand, if no test load is specified, the RMMSELECT macro would select the lowest symmetric and asymmetric modes in the operating direction.

After you run a static analysis for a test load, you need to extract the neutral plane displacements.

Command(s): | RMNDISP
GUI: | Main Menu> General Postproc> ROM Operations> Extract NP Disp.

Note

The neutral plane nodes were grouped into a node component named NEUN in the model preparation phase.

8.2.6. Run Static Analysis for Element Loads and Extract Neutral Plane Displacements

If the device is subjected to gravity loads, or pressure loading, you must run a static analysis for each individual element load prior to creating the reduced order model. The effects of the element loading are considered in the mode selection for the reduced order model. Additionally, the element loads may be applied in the use pass when their effects on the device response are required.

Each individual element load must be run as a separate load case in a multi load-step static analysis. Up to five element loads can be imposed in the generation pass. Later, in the use pass, the loads can be scaled and superimposed using RMLVSCALE.

After you run the analysis, you need to extract the neutral plane displacements.

Command(s): | RMNDISP
GUI: | Main Menu> General Postproc> ROM Operations> Extract NP Disp.

Note

NLGEOM must be OFF for linear and stress-stiffened structural models unless prestress is relevant. Here, the element loads must be moderate so that no deflection dependent change of stiffness occurs. The rule of thumb is that the resulting displacements must be between 0.001 and 0.1 times the device thickness.

8.2.7. Perform Modal Analysis and Extract Neutral Plane Eigenvectors

Next, you perform a modal analysis (ANTYPE,MODAL) with modal expansion (MXPAND) for the desired range of modes to be considered. The modal analysis captures modes of the device that will characterize the structural response. The ROM method assumes that the lowest modes dominate the structural response. You may need to constrain the device motion in order to ensure that the dominant modes are captured as the lowest modes in the modal analysis.

You then extract the eigenvectors of the neutral plane nodes (component NEUN).

Command(s): | RMNEVEC
GUI: | Main Menu> General Postproc> ROM Operations> Extract NP Eigv.

8.2.8. Select Modes for ROM

Selection of the pertinent modes and their operating range is an essential step in the efficient and accurate determination of the reduced order model. You can use the results of the modal analysis and the test load and element load static analyses to determine the most appropriate modes to characterize the structural response. To perform an automated mode selection that uses those results, issue RMMSELECT with Method = TMOD.

Command(s): | RMMSELECT,Nmode,Method,Dmin,Dmax
GUI: | Main Menu> ROM Tool> Mode Selection> Select

The following are important points to remember at this step:

  • Modes considered for use in the ROM are classified as "DOMINANT” or RELEVANT.” Dominant modes are those with expected large displacement amplitudes. Their amplitudes interact with all system parameters derived from the strain energy and capacitance functions. Either one or two dominant modes are allowed. Relevant modes are those with expected small displacement amplitudes. Their behavior is strongly influenced by the amplitude of dominant modes but the interaction between the relevant modes can be neglected. Such a simplification is valid for most MEMS devices and it makes the following data sampling procedure faster. The ultimate goal is to select the fewest possible number of modes to sufficiently characterize the deformation of the structure for the intended operating conditions. The fewer the modes, the shorter the time will be to generate the reduced order model.

  • The Dmin and Dmax arguments of the RMMSELECT command are the lower and upper bounds of the total deflection range of the structure. They should be large enough to cover the operating range in the use pass.

8.2.9. Modify Modes for ROM

The automated mode selection performed by the RMMSELECT command may be manually changed or overridden. In some instances, specific knowledge of the device behavior and required modes may be already known, in which case you have the flexibility to select and modify the appropriate mode selection.

You can use the RMMRANGE command to define and edit the modal parameters.

Command(s): | RMMRANGE
GUI: | Main Menu> ROM Tool> Mode Selection> Edit

The following are important points to remember at this step:

  • The computed displacement operating range for each mode can be modified by the Min and Max arguments of the RMMRANGE command. Note that if the mode was previously classified as "UNUSED" by either the RMMSELECT or the RMMRANGE commands, and you are issuing RMMRANGE to activate this mode for ROM, the Min and Max parameters will be interpreted as the total deflection range. Here, RMMRANGE will find the lower and upper bounds for the newly added mode, and calculate its contribution factor based on the information about all the active modes. If you disagree with the automatically calculated parameters for this mode, you can overwrite them by issuing RMMRANGE one more time.

  • The Nstep argument of the RMMRANGE command specifies the number of equidistant steps for the coming data sampling procedure. Dominant modes should be sampled with 8 to 11 steps, relevant with 3 to 5. For three steps, the considered mode is linearized at the operating point.

  • The default damping ratio is 0.05 for all modes. This number can be changed by the Damp argument of the RMMRANGE command for any mode at any time (even in the use pass). Special consideration should be given to this damping parameter, as it represents the effects from fluidic damping of the structure.

  • The Scale argument of the RMMRANGE command is necessary to overcome convergence problems when computing the response surface. It should be:

    Scale = max{abs(Min),abs(Max)}-1

8.2.10. List Mode Specifications

You can use RMMLIST to call a status report at this point to check your mode specifications.

Command(s): | RMMLIST
GUI: | Main Menu> ROM Tool> Mode Selection> List

8.2.11. Save ROM Database

At this point you should save your ROM database. The RMSAVE command saves it as an ASCII file. It will be used in the use pass and the expansion pass.

Command(s): | RMSAVE
GUI: | Main Menu> ROM Tool> ROM Database> Save

8.2.12. Run Sample Point Generation

The next step is to run multiple finite element solutions on the structural domain and the electrostatic domain to collect sample points of strain energy and capacitance data for ROM response curve fitting. The model database must include the "STRU" and "ELEC" physics files and node components for the neutral plane nodes ("NEUN") and conductors ("CONDi") (see Model Preparation). A ROM database is also required. The program performs the multiple finite element runs automatically with no user intervention.

Command(s): | RMSMPLE
GUI: | Main Menu> ROM Tool> Sample Pt Gen> Compute Points

The following are important points to remember here:

  • The number of finite element solution runs is dependent on the number of modes selected and the number of steps chosen to characterize each mode. A "finite element solution set” consists of a single structural analysis, and a set of electrostatic analyses, one for each conductor pair defined (see RMCAP command). For example, consider the following scenario of number of modes selected and number of steps specified:

    • Mode 1: Dominant; 8 steps specified

    • Mode 3: Dominant; 5 steps specified

    • Mode 5: Relevant; 3 steps specified

    The total number of "finite element solution sets" would be 8 x 5 x 3 = 120.

  • The Nlgeom flag must be set to ON in case of stress stiffening or prestress. Capacitance data can either be calculated from the charge voltage relationship (Cap flag set to CHARGE) or from the derivatives of the electrostatic field energy based on the CMATRIX macro. The Cap flag must be set to CMATRIX if far field elements are involved. The CMATRIX method is only recommended if significant electric field leakage occurs to the open domain, and capacitance effects of this leakage are significant.

  • The results are stored in files called jobname_ijk.dec whereby a separate file is written for each relevant mode k. The files contain all the information necessary to evaluate the behavior of the relevant mode k with respect to the dominant modes i and j.

8.2.13. Specify Polynomial Order

In this step, you specify the polynomial orders for the modes that were selected for the ROM using RMMSELECT for use in function fitting the strain energy and capacitance data.

Command(s): | RMPORDER
GUI: | Main Menu> ROM Tool> Resp Surface> Poly Order

Make sure that the order of each mode is less than Nsteps specified by RMMRANGE but at least two. Polynomials with order eight and higher tend to oscillate and should be avoided.

8.2.14. Define ROM Response Surface

In the run sample point generation step, the strain energy and capacitance data were computed at different linear combinations of all involved modal basis functions. In this step, you find mathematical functions that represent the dependency of the acquired data with respect to the modal coordinates. A least squares fit algorithm determines these mathematical functions. You can chose among four different polynomial trial functions, which are either inverted or not. The polynomials are later used to interpolate the energy and capacitance data between sample points and to compute their derivatives with respect to the modal coordinates to establish the system matrices.

Command(s): | RMROPTIONS
GUI: | Main Menu> ROM Tool> Resp Surface> Options

Keep the following recommendations in mind:

  • The argument Type = LAGRANGE is required if only one dominant mode or two dominant modes and no relevant modes are available. Otherwise try to use Type = PASCAL or even one of the reduced polynomials since those require fewer coefficients and enable essential speed up in the use pass.

  • You should not invert strain energy functions. Capacitance functions should be inverted if the gap between conductors changes significantly during the operation. This happens for parallel plate arrangements where the conductors move perpendicularly to their surface. For comb drive systems, the capacitance function should not be inverted since conductors move tangentially to each other.

8.2.15. Perform Fitting Procedure

The next step is to perform a fitting procedure for all ROM functions based on modal data and functional data generated via RMSMPLE and options defined by RMROPTIONS.

Command(s): | RMRGENERATE
GUI: | Main Menu> ROM Tool> Resp Surface> Fit Functions

Polynomial coefficients for the response surfaces are stored in files called jobname_ijk.pcs that correspond to the sample data file jobname_ijk.dec.

8.2.16. Plot Response Surface

Response surface plots help you verify that the fit functions to the expected behavior. If necessary, you can try different surface options to improve the fit results.

Command(s): | RMRPLOT
GUI: | Main Menu> ROM Tool> Resp Surface> Plot

Response surface plots might also help you recognize oscillations. However, oscillations are usually not visible at the response surface itself but become obvious at the second derivative plots. To overcome oscillations, you should reduce the polynomial order or try another polynomial type. If both fail, you should increase the number of data points in the appropriate mode direction.

Note

Use the /VIEW command (Utility Menu> PlotCtrls> Pan-Zoom-Rotate) to reorient the plot view.

8.2.17. List Status of Response Surface

Next you should generate a status report that will help you assess the quality of the response surface.

Command(s): | RMRSTATUS
GUI: | Main Menu> ROM Tool> Resp Surface> Status

8.2.18. Export ROM Model to External System Simulator

In this step, you may export the ROM model to an external VHDL-AMS compatible simulator. The export procedure creates the necessary files to run the ROM model in the system simulator.

Command(s): | RMXPORT
GUI: | Main Menu> ROM Tool> Export> VHDL-AMS

Element loads are considered if an arbitrary scale factor was applied via RMLVSCALE prior to executing RMXPORT.

RMXPORT generates a set of VDHL-AMS input files that contain the following:

  • Problem specific constants (Initial.vhd)

  • Strain energy functions (S_ams_ijk.vhd)

  • Capacitance functions (Cxy_ams_ijk.vhd)

  • ROM in VHDL language (Transducer.vhd)

Note

The VHDL-AMS transducer model is similar to a black-box model with terminals relating electrical and mechanical quantities. A further system description file is necessary to specify the external circuitry (voltage sources, controller units), structural loads (nodal forces, element loads) and run time parameters (time step size, total simulation time).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.1. Model Preparation 		Up / Home Next
8.3. Use Pass


8.3. Use Pass

In the use pass, you run the ROM to obtain solutions of the coupled electrostatic-structural behavior of the device. The ROM is activated through the ROM144 element type. This element is a multiport element that may be used to perform multiple analysis simulation, including static, prestressed modal, prestressed harmonic or nonlinear transient analysis. The different analysis types are discussed in detail in the individual analysis guides. The use pass consists of the following steps.

Figure 8.4 Use Pass Flowchart

The following sections describe each step.

  • Clear Database
  • Define a Jobname
  • Resume ROM Database
  • Define Element Type
  • Define Nodes
  • Activate ROM Database
  • Define Node Connectivity
  • Define Other Model Entities
  • Using Gap Elements with ROM144
  • Apply Loads
  • Specify Solution Options
  • Run ROM Use Pass
  • Review Results

8.3.1. Clear Database

At this point you should clear the database.

Command(s): | /CLEAR
GUI: | Utility Menu> File> Clear & Start New

8.3.2. Define a Jobname

Be sure to define a jobname that is different than the one used for the generation pass. For example, you could specify a jobname USE. This way, you can be sure that generation pass files from the modal analysis will not be overwritten.

Command(s): | /FILNAME
GUI: | Utility Menu> File> Change Jobname

8.3.3. Resume ROM Database

The use pass is based on the reduced order model. Therefore, you must resume the ROM specifications. Only one ROM database may be active for a use pass.

Command(s): | RMRESUME
GUI: | Main Menu> ROM Tool> ROM Database> Resume

8.3.4. Define Element Type

You then define the ROM element (ROM144) as one of the element types. Set KEYOPT(1) to one if master nodes should be considered for the use pass.

Command(s): | ET
GUI: | Main Menu> Preprocessor> Element Type> Add/Edit/Delete

The ANSYS Circuit Builder (see "Electric Circuit Analysis" in Low-Frequency Electromagnetic Analysis Guide) provides a convenient tool for constructing the ROM144 element and any attached linear circuit elements (CIRCU124), mechanical spring, mass, and damper elements (COMBIN14, MASS21, and COMBIN39), or the electromechanical transducer element (TRANS126).

ROM144 fully couples the electrostatic and structural domains. It is defined by twenty (KEYOPT(1) = 0) or thirty nodes (KEYOPT(1) = 1):

  • Nodes 1 to 10 are modal ports and relate modal amplitudes (EMF degree of freedom) to modal forces. The node numbers represent the numbers of the involved modes from the ROM database. For example, if modes 1, 3, and 5 are used in the ROM database, the modal amplitudes of modes 1, 3, and 5 are mapped to nodes 1, 2, and 3 respectively. Modal displacements can be set to zero to deactivate modes.

    Note

    Only the first 9 nodes may be used for modal amplitude degrees of freedom.

  • Nodes 11 to 20 are electrical conductor ports and relate voltage (VOLT degree of freedom) to current. Node 11 represents the first conductor, node 12 represents the second conductor, and so on. Current can only be imposed in a harmonic or transient analysis.

    Note

    Only the first 5 ports can be used.

  • Nodes 21 to 30 are nodal ports relating displacements (UX degree of freedom) to forces at master nodes. Node 21 represents the first defined master node, node 22 represents the second master node, and so on. Master displacements and forces are always mapped to the UX degree of freedom and FX force label independent from their real DOF direction. Node to node contact or spring damper elements (COMBIN14, COMBIN40) can be directly attached to the UX degree of freedom at master nodes. Only elements that have a single UX degree of freedom may be used at a displacement port.

See the Elements Reference for more detailed information on this element.

8.3.5. Define Nodes

You then define nodes for ROM144. If KEYOPT(1) is zero, 20 nodes must be defined. Otherwise, define 30 nodes. Use the circuit builder or one of the following:

Command(s): | N
GUI: | Main Menu> Preprocessor> Modeling> Create> Nodes> In Active CS

8.3.6. Activate ROM Database

The next step is to activate the ROM database for the use pass.

Command(s): | RMUSE
GUI: | Main Menu> Preprocessor> Loads> Analysis Type> Analysis Options

8.3.7. Define Node Connectivity

In this step, you define the node connectivity of the ROM144 element. Use the Circuit Builder or one of the following:

Command(s): | E, EMORE
GUI: | Main Menu> Preprocessor> Modeling> Create> Elements> Thru Nodes

You need to issue the E command once for the first eight nodes and the EMORE command two (KEYOPT(1) = 0) or three (KEYOPT(1) = 1) times to define the other nodes for the ROM144 element.

8.3.8. Define Other Model Entities

You then define other elements attached to the ROM144 element with the Circuit Builder as shown in Figure 8.5: "ROM144 and Attached Elements" and exit the preprocessor. If the desired 1-D element is not supported in the circuit builder, it may be defined manually (for example, COMBIN40).

Command(s): | ET, FINISH
GUI: | Main Menu> Preprocessor> Element Type> Add/Edit/Delete Main Menu> Finish

Figure 8.5 ROM144 and Attached Elements

8.3.9. Using Gap Elements with ROM144

If you intend to operate the ROM144 element at voltage levels that exceed the "pull-in" voltage (voltage level at which the device snaps down onto the conductor), the element will not converge unless gap elements constrain the active modal amplitude degrees of freedom (EMF). The following guidelines are recommended.

  • Create COMBIN40 elements for active EMF degrees of freedom.

  • Use the UX degree of freedom option on the COMBIN40 element.

  • Create the I and J nodes of the COMBIN40 element at the same location (coincident) as the modal amplitude (EMF) degree of freedom.

  • Use an appropriate gap stiffness. 1E5 is suggested for most MEMS applications.

  • Set the gap distance equal to the lower or upper bound displacement of the mode as computed from the RMMSELECT command (whichever is greater).

  • Set the displacement of node I of the gap element to zero.

  • Use a constraint equation to enforce equivalent displacement of the J node of the gap element (UX degree of freedom) to the modal amplitude (EMF) degree of freedom. For example, if the modal amplitude DOF is node "2", and the J node of the gap element is node 42, and the constraint equation is number 2, then the constrain equation would be: CE,2,0,42,ux,1,2,emf,-1.

By using gap elements, you should be able to ramp your applied voltage or displacement loads and successfully pass through the pull-in voltage. You may need to increase the number of equilibrium iterations through the NEQIT command to several hundred in order to achieve a converged solution. You can monitor the gap status of the gap elements to see when the pull-in occurs. The DCVSWP command macro utilizes gap elements in order to pass through the pull-in voltage.

8.3.10. Apply Loads

You now apply loads. ROM144 supports the loads summarized in the following table.

Table 8.1 ROM144 Loads

Load Type | DOF | Node Numbers | Command
Modal Amplitude | EMF | 1–10 | D
Voltage | VOLT | 11–20 | D
Current | AMPS | 11–20 | F
Nodal Displacement | UX | 21–30 | D
Nodal Force | FX | 21–30 | F

For convenience, a command macro DCVSWP has been created to execute a static analysis that is commonly performed. You can perform a DC voltage sweep up to a defined maximum voltage or up to a “pull-in” value. All conductors are set to ground except the sweep conductor.

Command(s): | DCVSWP
GUI: | Main Menu> Solution> ROM Tools> Voltage Sweep

Of course, you can specify an arbitrary analysis with complete arbitrary loading.

8.3.11. Specify Solution Options

All solution options described in the Structural Analysis Guide are valid for the ROM use pass. Some recommendations are:

  • Set the modal force (label CURT) convergence parameter of CNVTOL to roughly 1E-6. Accuracy may depend on the value of this convergence parameter.

  • Coupled electromechanical systems are, in general, nonlinear. Nevertheless, you can perform a prestressed modal or harmonic analysis for any static equilibrium state obtained with the application of structural or electrostatic loads. Keep in mind that all system parameters are linearized as known from a small signal analysis. Activate PSTRES and perform a static analysis prior to the modal or harmonic analysis.

  • You can use a prestress modal analysis to calculate the frequency shift due to stress stiffening or electrostatic softening. To run a modal analysis, activate the symmetric matrix option by setting KEYOPT(2) = 2 for the ROM element.

  • For a transient analysis, set the Newton-Raphson option to FULL (NROPT,FULL).

Usually the structural domain reacts with twice the frequency of the driving sinusoidal voltage time function. This is because electrostatic forces are quadratic functions of voltage. A harmonic response analysis is only applicable if the polarization voltage in the preceding static analysis is much higher than the alternating voltage in the harmonic analysis.

A ROM solution will generate a reduced displacement results file (filename.rdsp).

8.3.12. Run ROM Use Pass

You then run the ROM use pass and exit the solution processor.

Command(s): | SOLVE, FINISH
GUI: | Main Menu> Preprocessor> Element Type> Add/Edit/Delete Main Menu> Finish

8.3.13. Review Results

Review use pass results with POST1 and POST26. Results include modal amplitudes (EMF), conductor voltages (VOLT), nodal displacements (UX), and reaction solutions (AMPS, FX).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.2. Generation Pass 		Up / Home Next
8.4. Expansion Pass


8.4. Expansion Pass

The expansion pass starts with the results of the use pass and expands the reduced solution to the full DOF set for the structural domain in the model database. The figure below shows the data flow between the generation pass, use pass, and expansion pass. As shown, the expansion pass requires files from the generation pass and the use pass.

Figure 8.6 Data Flow

Caution

For a stress-stiffened structure, although the deflection results on the neutral plane are correct, the element results such as stress and strain are typically slightly higher that the true values. The linear expansion pass procedure cannot capture correctly the nonlinear deviations of nodes on the outer planes of the structures.

The expansion pass consists of the following steps.

  • Clear Database
  • Define a Jobname
  • Resume ROM
  • Resume Model Database
  • Activate ROM Database
  • Perform Expansion Pass
  • Review Results

Figure 8.7 Expansion Pass Flowchart

The following sections describe each step.

8.4.1. Clear Database

At this point you should clear the use pass database.

Command(s): | /CLEAR
GUI: | Utility Menu> File> Clear & Start New

8.4.2. Define a Jobname

Change the jobname to what is was during the generation pass (for example, GEN).

Command(s): | /FILNAME
GUI: | Utility Menu> File> Change Jobname

8.4.3. Resume ROM

You must resume the ROM file (for example, GEN.rom).

Command(s): | RMRESUME
GUI: | Main Menu> ROM Tool> ROM Database> Resume

8.4.4. Resume Model Database

You must also resume the model database (for example MODEL.db).

Command(s): | RESUME
GUI: | Utility Menu> File> Resume from

8.4.5. Activate ROM Database

Next, you need to activate the ROM database by setting the RMUSE Option field to ON. You also need to set the Usefil field to the name of the reduced displacement file (.rdsp) created in the use pass.

Command(s): | RMUSE
GUI: | Main Menu> Solution> Analysis Type> Analysis Options

8.4.6. Perform Expansion Pass

In this step, you expand the reduced solution to the full DOF set.

Command(s): | EXPASS, EXPSOL
GUI: | Main Menu> Solution> Analysis Type> ExpansionPass Main Menu> Solution> Load Step Opts> ExpansionPass> By Load Step (or By Time/Freq)

8.4.7. Review Results

You can review expansion pass results with POST1 and POST26. For a complete description of all postprocessing functions, see the Basic Analysis Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.3. Use Pass 		Up / Home Next
8.5. Sample Miniature Clamped-Clamped Beam Analysis (Batch or Command Method)


8.5. Sample Miniature Clamped-Clamped Beam Analysis (Batch or Command Method)

8.5.1. Problem Description

Miniature clamped-clamped beams with dimensions in the micrometer range are widely used in MEMS. Typical examples are resonators for RF filters, voltage controlled micro switches, adjustable optical grating or test structures for material parameter extraction. Clamped-clamped beams can behave in a highly nonlinear fashion due to deflection dependent stiffening and stiffening caused by prestress. Both effects are very important for MEMS analysis and are illustrated by the following example.

Figure 8.8 Clamped-Clamped Beam with Fixed Ground Conductor

The half symmetry model uses hexahedral solid elements (SOLID45) for the structural domain and tetrahedral elements (SOLID122) for the electrostatic domain. The beam is fixed on both ends and symmetry boundary conditions are applied on the plane of intersection. The deflection to beam thickness ratio is more than 1 in order to realize essential stiffness change due to the stress stiffening effect.

Figure 8.9 Finite Element Model of the Structural and Electrostatic Domains

This example demonstrates nonlinear effects. First, the beam is considered as linear. The stress stiffening option is OFF. In the next case, stress stiffening is ON to model the real behavior. Finally, a 100 kPa biaxial prestress is applied. Initial prestress is modeled via thermal expansion in order to realize a nonuniform stress distribution at the clamp. Note that the uniaxial stress in the beam is different from the biaxial stress of the layer prior to release etching. The Generation Pass must be performed three times.

8.5.2. Program Listings

The following command input corresponds to the last case of a structure with initial prestress. Set TUNIF to zero in this file if initial prestress is not considered.

Model Input File:

/filnam,cbeam
/PREP7, Clamped-clamped beam with fixed ground electrode

! µMKSV system of units

! Model parameters

B_L=100                  ! Beam length
B_W=20                   ! Beam width
B_T=2                    ! Beam thickness
F_L=4                    ! Farfield in beam direction
F_Q=4                    ! Farfield in cross direction
F_O=4                    ! Farfield above beam
E_G=4                    ! Electrode gap

sigm_b=-100

/VIEW,1,1,-1,1
/PNUM,TYPE,1
/NUMBER,1
/PBC,ALL,1

/PREP7

ET,1,SOLID45             ! Structural domain
ET,2,SOLID122            ! Electrostatic domain

EMUNIT,EPZRO,8.85e-6     ! Free space permittivity
MP,PERX,2,1              ! Relative permittivity of air
                         ! Half symmetry
BLOCK,0,B_L,0,B_W/2+F_Q,-E_G,B_T+F_O    ! Entire domain
BLOCK,0,B_L,0,B_W/2,0,B_T               ! Structural domain
BLOCK,0,B_L,0,B_W/2,-E_G,0
VOVLAP,ALL

LSEL,S,LOC,X,B_L/2       ! Mesh density in axial direction
LESIZE,ALL,,,20,,1
LSEL,S,LOC,Y,B_W/4       ! Mesh density in transverse direction
LESIZE,ALL,,,2,,1
LSEL,S,LOC,Z,B_T/2       ! Mesh density in vertical direction
LESIZE,ALL,,,2,,1
LSEL,ALL
VSEL,S,LOC,Z,B_T/2       ! Mesh structural domain (mapped meshing)
VMESH,ALL
VSEL,ALL

SMRTSIZ,2
MSHAPE,1,3D
MSHKEY,0
TYPE,2
MAT,2
VMESH,4

LSEL,S,LOC,Y,b_w/2+f_q   ! Mesh density at bottom electrode
LSEL,R,LOC,x,b_l/2
LESIZE,ALL,,,19,,1
LSEL,S,LOC,Y,0           ! Mesh density at bottom electrode
LSEL,R,LOC,Z,b_t+f_o
LESIZE,ALL,,,19,,1
LSEL,S,LOC,Y,(b_w+f_q)/2
LESIZE,ALL,,,4,1/5,1
LSEL,ALL
VMESH,ALL

VSEL,S,LOC,Z,b_t/2       ! Movable electrode
ASLV,S,1
ASEL,U,LOC,Y,0
ASEL,U,LOC,X,0
ASEL,U,LOC,X,B_L
NSLA,S,1
CM,COND1A,AREA
CM,COND1,NODE            ! Conductor 1 node component
ALLSEL

ASEL,S,LOC,Z,-e_g        ! Fixed ground electrode
NSLA,S,1
CM,COND2A,AREA
CM,COND2,NODE            ! Conductor 2 node component
ALLSEL

VSEL,U,LOC,Z,b_t/2       ! Region for DVMORPH
CM,AIR,VOLU              ! Default name 'AIR'
VSEL,ALL

ESEL,S,MAT,,1
NSLE,S,1
NSEL,R,LOC,Z,b_t/2
CM,NEUN,NODE             ! Neutral plane node component
ALLSEL

ET,1,0

PHYSICS,WRITE,ELEC       ! Write electrostatic physics file
PHYSICS,CLEAR

ET,1,SOLID45
ET,2,0

MP,EX,1,169e3            ! Material properties Si
MP,NUXY,1,0.066          ! <110>
MP,DENS,1,2.329e-15
MP,ALPX,1,1e-6

ASEL,S,LOC,Z,b_t/2
ASEL,R,LOC,Y,b_w/4
NSLA,S,1
CM,FIXA,AREA             ! Boundary condition must be
DA,ALL,UX                ! applied on solid model entities
DA,ALL,UY
DA,ALL,UZ

ASEL,S,LOC,Z,b_t/2
ASEL,R,LOC,Y,0
NSLA,S,1
CM,BCYA,AREA
DA,ALL,UY
ALLSEL
FINI

/SOLU

tref,0
tunif,sigm_b*(1-0.066)/(169e3*1e-6)
FINI

PHYSICS,WRITE,STRU        ! Write structural physics file

ET,2,SOLID122             ! Plot the entire model
EPLOT

FINI

SAVE                      ! Save model database

Generation Pass:

No test load is defined. Hence the first modes in the operating direction will be used. There are two element loads: acceleration and a uniform pressure load. For initial prestress NLGEOM must be set ON and the loads must cause moderate displacements (in the range of 0.001 to 0.1 times the beam thickness).

/filnam,gener                 ! Jobname for the Generation Pass

rmanl,cbeam,db,,3,z           ! Assign model database, dimensionality, oper. direction
resu,cbeam,db                 ! Resume model database

rmcap,cap12,1,2               ! Define capacitance
rmclist                       ! List capacitances

rmaster,node(b_l/2,0,0)       ! Define master nodes
rmaster,node(b_l/4,0,0)

                              ! Apply element loads
physics,clear
physics,read,STRU

/solu
antype,static
nlgeom,on
acel,,,9.81e12                ! Acceleration in Z-direction 9.81e6 m/s**2
lswrite,1
acel,0,0,0
esel,s,type,,1
nsle,s,1
nsel,r,loc,z,0
sf,all,pres,0.1               ! 100 kPa
allsel
lswrite,2
lssolve,1,2
fini

/post1                        ! Extract neutral plane displacements
set,1                         ! due to element loads
rmndisp,'eload','write'
set,2
rmndisp,'eload','append'
fini

physics,clear
physics,read,STRU
                             ! Perform prestressed modal analysis
/solu
nlgeom,off
pstress,on                    ! Thermal prestress (see cbeam.inp)
solve
fini

/solu
antype,modal
modopt,lanb,9
mxpand,9
pstress,on
solve
fini

/post1                        ! Extract modal displacements at neutral
rmnevec                       ! plane nodes
fini

rmmselect,3,'nmod',-3.5,3.5   ! Automated mode selection

rmmlist				! List selected mode parameters

rmmrange,2,'UNUSED'           ! do not use unsymmetric mode for ROM

rmsave,cbeam,rom              ! Save ROM database

rmsmple,1                     ! nlgeom,on
rmporder,6,,2                 ! Set polynomial orders for modes 1 and 3

rmroption,sene,lagrange,0	! Specify response surface parameter
rmro,cap12,lagrange,1

rmrgenerate			! Generate response surface

rmrstatus,sene			! Print status of response surface
rmrstatus,cap12

rmrplot,sene,func		! Plot response surface
rmrplot,cap12,func

rmsave,cbeam,rom              ! Save ROM database

rmlvscale,2,0,0               ! Necessary to consider element loads
                              ! in a VHDl-AMS model
rmxport                       ! Extract model input files for system simulation

Use Pass:

Calculation of voltage displacement functions up to pull-in

The following input was used for all three cases.

! *** Calculation of voltage displacement functions up to pull-in

/clear
/filnam,use1
rmresu,cbeam,rom

/PREP7
ET,1,144

*do,i,1,20
n,i
*enddo

rmuse,on
e,1,2,3,4,5,6,7,8
emore,9,10,11,12,13,14,15,16
emore,17,18,19,20
FINISH

/gst,off

DCVSWP,'pi',1,2,1200,10,1         ! Run voltage sweep up to Pull-in voltage

The pull-in results for the three cases are as follows:

  • Linear analysis: 992 volts

  • Nonlinear analysis (stress stiffening is ON): 1270 volts

  • Initial prestress analysis: 1408 volts

Connecting other elements to ROM144

The structure is driven by a voltage sweep to the contact pad placed at the center of the micro beam. A gap element (COMBIN40) connects to the center of the beam at a master node (node 21). It has a contact stiffness of 1.E6 N/m and an initial gap of 0.3 µm. The UX degree of freedom tracks the master node displacement (actual displacement is in the Z-direction). Similar models can simulate voltage controlled micro switches.

! *** Connecting other elements to ROM144

/clear
/filnam,use2
rmresu,cbeam,rom

/PREP7
ET,1,144,1

*do,i,1,30
n,i
*enddo

rmuse,on
e,1,2,3,4,5,6,7,8
emore,9,10,11,12,13,14,15,16
emore,17,18,19,20,21,22,23,24
emore,25,26,27,28,29,30

et,2,40,0,0
r,2,1e6,,,.3

type,2
real,2
n,31
e,31,21
fini

/gst,off

/solu
antyp,static
outres,all,all
cnvtol,curt,1.0d-6,,2            ! Set modal force convergence criteria
d,11,volt,1000
d,12,volt,0
d,31,ux,0
kbc,0
nsubst,10
solve
fini

/post26
nsol,2,21,ux,,mast1              ! Master node displacements
nsol,3,22,ux,,mast2
plvar,2,3
nsol,5,1,emf,,mode1              ! Modal displacements
nsol,6,2,emf,,mode2
nsol,7,3,emf,,mode3
plvar,5,6,7
esol,8,1,,nmisc,1,sener          ! Strain energy
esol,9,1,,nmisc,2,cap12          ! Capacitance
plvar,8
plvar,9
fini

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.4. Expansion Pass 		Up / Home Next
8.6. Sample Micro Mirror Analysis (Batch or Command Method)


8.6. Sample Micro Mirror Analysis (Batch or Command Method)

8.6.1. Problem Description

The micro mirror problem demonstrates the reduced order modeling procedure of an electrostatically actuated MEMS with multiple electrodes. The micro mirror cell is part of a complex mirror array used for light deflection applications. The entire mirror array consists of six separate mirror strips driven synchronously in order to achieve high-speed light deflection. Each strip is attached to the wafer surface by two intermediate anchor posts. Due to the geometrical symmetry, the mirror strips can be divided into three parts whereby just one section is necessary for finite element analyses.

Figure 8.10 Schematic View of a Micro Mirror Array and a Single Mirror Cell

The electrostatic domain consists of three conductors, where the nodes of the mirror itself are defined by node component COND1, and the fixed ground conductors are node components COND2 and COND3. The fixed conductors are on top of the ground plate shown in Figure 8.10: "Schematic View of a Micro Mirror Array and a Single Mirror Cell" and Figure 8.11: "Parameter Set for Geometrical Dimensions of the Mirror Cell".

The model uses hexahedral solid elements (SOLID45) for the structural domain and tetrahedral elements (SOLID122) for the electrostatic domain.

Figure 8.11 Parameter Set for Geometrical Dimensions of the Mirror Cell

8.6.2. Program Listings

Model Input File:

/TITLE, Silicon micro mirror cell
/filname,mirror

/PREP7
                                 ! uMKSV units
fe_la=200                        ! Spring length
fe_br=10                         ! Spring width
fe_di=15                         ! Spring thickness
sp_la=1000                       ! Mirror length
sp_br=250                        ! Mirror width
mi_la=520                        ! Length center part
mi_br=35                         ! Width center part
po_la=80                         ! Length of anchor post
po_br=80                         ! Width of anchor post
fr_br=30                         ! Fringing field distance
d_ele=20                         ! Electrode gap

ET,1,SOLID45                     ! Structural domain
ET,2,SOLID122                    ! Electrostatic domain

EMUNIT,EPZRO,8.85e-6             ! Free space permittivity
MP,PERX,2,1                      ! Relative permittivity of air

del1=(mi_br-fe_br)/2

K,1
K,2,,fe_br/2
K,3,,mi_br/2
K,4,,po_br/2+(mi_br-fe_br)/2
K,5,,sp_br/2
K,6,,sp_br/2+fr_br

KGEN,2,1,6,1,mi_la/2
KGEN,2,1,6,1,mi_la/2+fe_la-(mi_br-fe_br)/2
KGEN,2,1,6,1,sp_la/2

K,21,sp_la/2,po_br/2
K,13,sp_la/2-po_la/2
K,14,sp_la/2-po_la/2,fe_br/2
K,25,sp_la/2-po_la/2,po_br/2

A,3,9,10,4
A,9,15,16,10
A,4,10,11,5
A,10,16,17,11
A,16,22,23,17

AGEN,2,ALL,,,,,-d_ele
ASEL,S,LOC,Z,-d_ele
AADD,ALL
ASEL,ALL

A,1,7,8,2
A,2,8,9,3
A,7,13,14,8
A,13,19,20,14
A,14,20,21,25

ASEL,S,LOC,Z,0
VEXT,ALL,,,,,fe_di
ASEL,ALL
ASEL,S,AREA,,9,10
VEXT,ALL,,,,,-d_ele
ASEL,ALL
VATT,1,,1

BLOCK,0,sp_la/2,o,sp_br/2+fr_br,-d_ele,fe_di

VDELE,13
AOVLAP,ALL

ASEL,S,LOC,Z,fe_di
ASEL,A,LOC,Z,-d_ele
ASEL,A,LOC,X,0
ASEL,A,LOC,X,sp_la/2
ASEL,A,LOC,Y,0
ASEL,A,LOC,Y,sp_br/2+fr_br

VA,ALL

VSBV,13,ALL,,,KEEP

VSEL,S,VOLU,,14
VATT,2,,2
VSEL,ALL

ESIZE,,2                            ! Mesh density parameter
LESIZE,68,,,1,,1                    ! Spring width (quarter model)
LESIZE,77,,,10,,1                   ! Spring length
LESIZE,67,,,5,,1                    ! Length center part
LESIZE,82,,,2,,1                    ! Anchor post
LESIZE,51,,,5,,1
LESIZE,62,,,2,,1
                                    ! Y-direction
LESIZE,87,,,2,,1                    ! Anchor post
LESIZE,75,,,1,,1                    ! Center part
LESIZE,42,,,1,,1                    ! Mirror center
LESIZE,54,,,3,,1                    ! Mirror outside part

VMESH,1,12

TYPE,2
MAT,2
SMRTSIZ,2
MSHAPE,1,3D
MSHKEY,0
ESIZE,,1
VMESH,14
ALLSEL

VSYM,x,all
VSYM,y,all
NUMMRG,node,1e-5
NUMMRG,kp,1e-3

VSEL,s,type,,1
ASEL,s,ext
ASEL,u,loc,x,sp_la/2
ASEL,u,loc,x,-sp_la/2
ASEL,u,loc,z,fe_di
ASEL,u,loc,z,-d_ele
NSLA,S,1
CM,COND1A,AREA                     ! Mirror electrode
CM,COND1,NODE
ALLSEL

ASEL,s,area,,11
ASEL,a,area,,128
NSLA,S,1
CM,COND2A,AREA                     ! First fixed electrode
CM,COND2,NODE
ALLSEL

ASEL,s,area,,202
ASEL,a,area,,264
NSLA,S,1
CM,COND3A,AREA                     ! Second fixed electrode
CM,COND3,NODE
ALLSEL

VSEL,s,type,,2
CM,AIR,VOLU                        ! Region to be morphed
VSEL,ALL

ESEL,S,MAT,,1                      ! Define neutral plane
NSLE,S,1                           ! component
NSEL,R,LOC,Z,fe_di/2
CM,NEUN,NODE
ALLSEL

ET,1,0
PHYSICS,WRITE,ELEC                 ! Write electrostatic physics file
PHYSICS,CLEAR

ET,1,SOLID45
ET,2,0

MP,EX,1,169e3                      ! Material properties of Si
MP,NUXY,1,0.066
MP,DENS,1,2.329e-15

VSEL,s,type,,1
ASLV,s,1
ASEL,r,loc,z,-d_ele
NSLA,S,1
CM,FIXA,AREA                       ! Boundary condition must be
DA,ALL,UX                          ! applied on solid model entities
DA,ALL,UY                          ! Fixed boundary condition
DA,ALL,UZ

ASLV,S,1
ASEL,R,LOC,X,sp_la/2               ! Symmetry boundary conditions
DA,ALL,UX
NSLA,S,1

ASLV,S,1
ASEL,R,LOC,X,-sp_la/2
DA,ALL,UX
NSLA,A,1
CM,SYMBC,NODE
ALLSEL

PHYSICS,WRITE,STRU                 ! Write structural physics file

ET,2,SOLID122                      ! Plot the entire model
EPLOT

FINI

SAVE                               ! Save model database

Generation Pass:

The following Generation Pass considers the first two of three modes: torsion mode, transversal mode in Z-direction and one mode responsible for plate warp. In addition to the capacitances between movable and fixed conductors CAP12 and CAP13, you should activate CAP23, which affects the mirror behavior in case of high polarization voltages. The total deflection range is 75% of the electrode gap.

A test load computes an approximate deflection state of the mirror for use in selecting the above modes. The test load contains two uniform pressure loads equivalent to the electrostatic pressure at the initial position.

Element loads are acceleration of 9.81 m/s2 in Z-direction and a uniform 1 MPa pressure load acting on the upper mirror wing

/filname,gener                  ! Specify jobname for Generation Pass

rmanl,mirror,db,,3,z            ! Assign model database, dimensionality, oper. direction

resu,mirror,db                  ! Resume model database

                                ! Apply element loads
physics,clear
physics,read,STRU               ! Read structural physics file

/view,1,,-1
/pbc,all,1

/solu
antype,static
nlgeom,off

acel,,,9.81e6                   ! Acceleration in z-direction
lswrite,1

acel,0,0,0
esel,s,type,,1
nsle,s,1
nsel,r,loc,z,0
nsel,r,loc,y,0,sp_br/2          ! Uniform pressure load on the
sf,all,pres,1                   ! upper mirror wing
allsel

lswrite,2

lssolve,1,2

fini

/post1                          ! Extract neutral plane displacements
set,1                           ! due to the element load
rmndisp,'eload','write'
set,2
rmndisp,'eload','append'
fini
                                ! Apply test load
physics,clear
physics,read,STRU

u_test=150                      ! Voltage applied on COND1
u_pol=400                       ! Polarization voltage applied on COND2 and COND3

/solu
pres1=8.85e-6*(u_pol-u_test)**2/(2*d_ele**2)
pres2=8.85e-6*(u_pol+u_test)**2/(2*d_ele**2)

esel,s,type,,1
nsle,s,1
nsel,r,loc,z,0
nsel,r,loc,y,mi_br/2,sp_br/2    ! Uniform pressure load on the
sf,all,pres,-pres1              ! upper mirror wing
allsel

esel,s,type,,1
nsle,s,1
nsel,r,loc,z,0
nsel,r,loc,y,-sp_br/2,-mi_br/2  ! Uniform pressure load on the
sf,all,pres,-pres2              ! lower mirror wing
allsel

solve
fini

/post1                          ! Extract neutral plane displacements
set,last                        ! due to the test load
rmndisp,'tload'
fini

rmcap,cap12,1,2
rmcap,cap13,1,3
rmcap,cap23,2,3

mn1=node(0.0000,125.00,7.5000)  ! Define master nodes
mn2=node(0.0000,0.0000,7.5000)
mn3=node(169.00,-104.29,0.0000)

rmaster,mn1                     ! Upper node on center line
rmaster,mn2                     ! Middle node on center line
rmaster,mn3                     ! Lower node on center line

rmalist

physics,clear
physics,read,STRU
!
/solu                           ! Perform modal analysis
antype,modal
modopt,lanb,6
mxpand,6
solve
fini

/post1                          ! Extract modal displacements at
rmnevec                         ! neutral plane nodes
fini

                                ! Automated mode selection
rmmselect,3,'tmod',-15,15
                                ! List selected mode parameter
rmmlist
                                ! Edit mode parameters
rmmrange,1,'DOMINANT',,,6,0.05  ! use 6 steps for mode 1
rmmrange,3,'DOMINANT',,,5,0.05  ! use 5 steps for mode 3
rmmrange,5,'UNUSED'             ! do not use mode 5

rmsave,mirror,rom               ! Save ROM database

                                ! Generate samples points and run FE analyses
rmsmple                         ! to calculate strain energy and capacitances

rmporder,4,,3                   ! Define polynomial orders for response surface
rmroption,sene,lagrange,0
rmroption,cap12,lagrange,1
rmroption,cap13,lagrange,1
rmroption,cap23,lagrange,1

rmrgenerate                     ! Generate Response Surface

rmrstatus,sene                  ! Print status of response surface
rmrstatus,cap12
rmrstatus,cap13
rmrstatus,cap23

rmsave,mirror,rom

rmlvscale,2,0,0                 ! Dummy element load factor in order to consider
                                ! element loads for ROM export to VHDL-AMS
rmxport                         ! Export ROM model to external simulators

The response surfaces are fitted with Lagrange polynomials whereby the capacitance functions are inverted. Polynomial orders are four and three, which requires 20 polynomial coefficients for each response surface. A further reduction is possible. The result file gen_130.dec contains all FE sample data and gen_130.pcs the polynomial information.

Calculation of voltage displacement functions up to pull-in

! *** Voltage displacement function up to pull in
! *** A voltage sweep is applied in COND2

/clear
/filnam,use1

rmresu,mirror,rom                ! Resume ROM database

/PREP7
ET,1,144,1                       ! Define ROM element type

*do,i,1,30                       ! Define 30 nodes
n,i
*enddo

rmuse,on                         ! Activate ROM use pass
e,1,2,3,4,5,6,7,8                ! Define node connectivity
emore,9,10,11,12,13,14,15,16
emore,17,18,19,20,21,22,23,24
emore,25,26,27,28,29,30
FINISH

/gst,off

! Compute voltage sweep up to pull-in,
! Sweep conductor is COND2
! Start an equidistant voltage sweep up to 800 V by a voltage increment of 10 V
! Increase voltage beyond 800 up to pull-in with accuracy of 1 Volt
! Create gap elements to converge at pull-in

DCVSWP,'pi',1,2,800,10,1

DCVSWP,'gv',1,2,859,10,,1

/post26
/axlab,x,Voltage
/axlab,y,Modal amplitudes
nsol,2,1,emf,,mode1              ! Torsion mode
nsol,3,2,emf,,mode3              ! Transversal mode
nsol,4,12,volt,,voltage          ! Applied voltage
xvar,4
plvar,2,3                        ! Modal displacements
/axlab,y,Nodal displacements
nsol,6,21,ux,,up_edge            ! Node on the upper edge
nsol,7,22,ux,,center_n           ! Node at plate center
nsol,8,23,ux,,lo_edge            ! Node at the lower edge
plvar,6,7,8
fini

The computed pull-in voltage is 859 volts.

The modal amplitude and master displacements as functions of voltage are shown in Figure 8.12: "Modal Amplitudes vs. Voltage" and Figure 8.13: "Master Displacements vs. Voltage".

Figure 8.12 Modal Amplitudes vs. Voltage

Figure 8.13 Master Displacements vs. Voltage

Calculation of voltage displacement functions at multiple load steps

! *** Calculate voltage displacement functions at multiple load steps
! *** A voltage sweep is applied to COND1
! *** COND2 and COND3 carry a fixed polarization voltage

/clear
/filname,use2

rmresu,mirror,rom

/PREP7
ET,1,144

*do,i,1,20
n,i
*enddo

rmuse,on
e,1,2,3,4,5,6,7,8
emore,9,10,11,12,13,14,15,16
emore,17,18,19,20
FINISH

/gst,off

/solu
antyp,static
outres,all,all
cnvtol,curt,1.0d-6,,2
*do,i,1,45
 d,11,volt,(i-1)*5-110           ! Sweep voltage at cond1
 d,12,volt,800                   ! Fixed polarization voltage
 d,13,volt,-800                  ! Fixed polarization voltage
 lswrite,i
*enddo
lssolve,1,45
fini

/post26
/axlab,x,Voltage
/axlab,y,Modal amplitude
nsol,2,1,emf,,mode1              ! Torsion mode
nsol,3,2,emf,,mode3              ! Transversal mode
nsol,4,11,volt,,voltage          ! Applied voltage
esol,5,1,,nmisc,2,cap12
esol,6,1,,nmisc,3,cap13
esol,7,1,,nmisc,4,cap23
xvar,4
plvar,2                          ! Modal displacements
plvar,3
/axlab,x,Voltage
/axlab,y,Capacitance
xvar,4
plvar,5,6                        ! Capacitances
plvar,7
fini

High polarization voltages of opposite sign (±800V) are applied on both fixed electrodes. The varying driving voltage is applied on the entire mirror structure. A positive voltage tilts the mirror to the right and a negative voltage to the left. The voltage stroke function of mode 1 is strongly linearized in the operating range between -60 and 60 Volt (Figure 8.14: "Modal Amplitude of Mode 1 vs. High Polarization Voltage"). The voltage stroke function of the transversal mode is shown in Figure 8.15: "Modal Amplitude of Mode 3 vs. High Polarization Voltage". Both negative and positive voltages increase the transversal amplitude.

Figure 8.14 Modal Amplitude of Mode 1 vs. High Polarization Voltage

Figure 8.15 Modal Amplitude of Mode 3 vs. High Polarization Voltage

Calculated capacitances are shown in the following figures.

Figure 8.16 Capacitances CAP12 and CAP13 vs. High Polarization Voltage

Figure 8.17 Capacitance CAP23 vs. High Polarization Voltage

Calculation of displacements at acting element loads

! *** Calculate deflection state at acting element loads

/clear
/filnam,use3
rmresu,mirror,rom

/PREP7
ET,1,144,1

*do,i,1,30
n,i
*enddo

rmuse,on
e,1,2,3,4,5,6,7,8
emore,9,10,11,12,13,14,15,16
emore,17,18,19,20,21,22,23,24
emore,25,26,27,28,29,30
FINISH

/gst,off

/solu
antyp,static
outres,all,all
cnvtol,curt,1.0d-6,,2
d,11,volt,0
d,12,volt,0
d,13,volt,0
outres,all,all
rmlvscale,2,1,0                          ! Acceleration of 9.81 m/s**2
solve

rmlvscale,2,0,-0.01                      ! Pressure load of 10 kPa
solve
fini

/post1
set,1
prdisp
set,2
prdisp
fini

! Start expansion pass

/clear
/filnam,gener                            ! Generation Pass jobname
resu,mirror,db
rmre,mirror,rom

physics,clear
physics,read,STRU

/solu
rmuse,on,use3                            ! Specify reduced solution file name
expass,on
expsol,,,,ON
solve
fini

/post1
set,1
plnsol,u,z,2
set,2
plnsol,u,z,2
fini

An acceleration of 9.81 m/s2 and a uniform pressure load of 10 kPa were applied to the upper mirror wing. Computed displacements at the expansion pass are shown in Figure 8.18: "Expanded Displacements for Acceleration Load" and Figure 8.19: "Expanded Displacements for Pressure Load".

Figure 8.18 Expanded Displacements for Acceleration Load

Figure 8.19 Expanded Displacements for Pressure Load

Prestressed harmonic analysis

The following example demonstrates the change of harmonic transfer functions at different polarization voltages. The higher the applied polarization voltage, the more the resonance peak shifts to the left.

! *** Prestressed harmonic analysis

/clear
/filname,use4
rmresu,mirror,rom

/PREP7
ET,1,144,1

*do,i,1,30
n,i
*enddo

rmuse,on
e,1,2,3,4,5,6,7,8
emore,9,10,11,12,13,14,15,16
emore,17,18,19,20,21,22,23,24
emore,25,26,27,28,29,30
FINISH

/gst,off

/solu
antyp,static
outres,all,all
cnvtol,curt,1.0d-6,,2
pstress,on
d,11,volt,0
d,12,volt,800
d,13,volt,-800
solve
fini

/solu
antype,harmonic
pstress,on
harfrq,0,5e4
nsubst,100
kbc,1
d,11,volt,1
d,12,volt,0
d,13,volt,0
solve
fini

/post26
/axlab,x,Frequency
/axlab,y,Modal Amplitude
nsol,2,1,emf,,mode1
plvar,2
/axlab,y,Nodal amplitude
nsol,3,21,ux,,up_edge
nsol,4,23,ux,,lo_edge
plvar,3,4
/axlab,y,Phase angle
plcplx,1
plvar,3,4
fini

Figure 8.20 Harmonic Transfer Function Amplitude for 800 V Polarization Voltage

Figure 8.21 Harmonic Transfer Function Phase Angle for 800 V Polarization Voltage

Nonlinear Transient Analysis

! *** Nonlinear transient analysis
/clear
/filnam,use5
rmresu,mirror,rom

/PREP7
ET,1,144

*do,i,1,20
n,i
*enddo

rmuse,on
e,1,2,3,4,5,6,7,8
emore,9,10,11,12,13,14,15,16
emore,17,18,19,20
FINISH

/gst,off
/config,nres,5000

/solu
cycle_t=500e-6             ! Cycle time of one saw tooth
                           ! about 20 times the cycle time of mode 1
rise_t=cycle_t/10          ! Rise time
num_cyc=3                  ! Number of cycles
antype,transient
nropt,full
deltime,rise_t/10,rise_t/10,rise_t/10
auto,off
outres,all,all
kbc,0
j=1
*do,i,1,num_cyc
 time,cycle_t*(i-0.5)+rise_t*(i-1)
 d,11,volt,100
 d,12,volt,400
 d,13,volt,-400
 lswrite,j
 j=j+1
 time,cycle_t*(i-0.5)+rise_t*i
 d,11,volt,-100
 d,12,volt,400
 d,13,volt,-400
 lswrite,j
 j=j+1
*enddo

time,cycle_t*num_cyc+rise_t*num_cyc
d,11,volt,0
lswrite,j

lssolve,1,j
fini

/post26
/axlab,y, Modal amplitudes
nsol,2,1,emf,,mode1
nsol,3,2,emf,,mode2
plvar,2,3
fini

This example demonstrates the response of a saw tooth like voltage function. The voltage displacement relationship is linearized since a high polarization voltage of 400 V is applied to both fixed electrodes. The amount of remaining oscillations depend strongly on the cycle time and the damping ratios. In practice, most mirror cells operate in a closed loop to a controller circuit to obtain better performance.

Figure 8.22 Modal Amplitudes vs. Time at Saw Tooth Like Voltage Function

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.5. Sample Miniature Clamped-Clamped Beam Analysis (Batch or Command Method) 		Up / Home Next
ANSYS Parametric Design Language Guide


ANSYS Parametric Design Language Guide

Release 11.0 Documentation for ANSYS

Table of Contents

1. Introducing APDL
2. Working with the Toolbar
2.1. Adding Commands to the Toolbar
2.2. Modifying the Toolbar
2.2.1. Example: Adding a Toolbar Button
2.2.2. Saving Toolbar Buttons
2.3. Nesting Toolbar Abbreviations
3. Using Parameters
3.1. Guidelines for Parameter Names
3.1.1. Hiding Parameters from *STATUS
3.2. Defining Parameters
3.2.1. Assigning Parameter Values During Execution
3.2.2. Assigning Parameter Values At Startup
3.2.3. Assigning ANSYS-Supplied Values to Parameters
3.2.4. Listing Parameters
3.3. Deleting Parameters
3.4. Using Character Parameters
3.5. Substitution of Numeric Parametric Values
3.5.1. Preventing Substitution
3.5.2. Substitution of Character Parametric Values
3.6. Dynamic Substitution of Numeric or Character Parameters
3.7. Parametric Expressions
3.8. Parametric Functions
3.9. Saving, Resuming, and Writing Parameters
3.10. Array Parameters
3.10.1. Array Parameter Basics
3.10.2. Array Parameter Examples
3.10.3. TABLE Type Array Parameters
3.10.4. Defining and Listing Array Parameters
3.10.5. Specifying Array Element Values
3.10.6. Writing Data Files
3.10.7. Operations Among Array Parameters
3.10.8. Plotting Array Parameter Vectors
3.10.9. Modifying Curve Labels
4. APDL as a Macro Language
4.1. Creating a Macro
4.1.1. Macro File Naming Conventions
4.1.2. Macro Search Path
4.1.3. Creating a Macro Within ANSYS
4.1.4. Creating Macros with a Text Editor
4.1.5. Using Macro Library Files
4.2. Executing Macros and Macro Libraries
4.3. Local Variables
4.3.1. Passing Arguments to a Macro
4.3.2. Local Variables Within Macros
4.3.3. Local Variables Outside of Macros
4.4. Controlling Program Flow in APDL
4.4.1. Nested Macros: Calling Subroutines Within a Macro
4.4.2. Unconditional Branching: Goto
4.4.3. Conditional Branching: The *IF Command
4.4.4. Repeating a Command
4.4.5. Looping: Do-Loops
4.4.6. Implied (colon) Do Loops
4.4.7. Additional Looping: Do-While
4.5. Control Functions Quick Reference
4.6. Using the _STATUS and _RETURN Parameters in Macros
4.7. Using Macros with Components and Assemblies
4.8. Reviewing Example Macros
5. Interfacing with the GUI
5.1. Prompting Users for a Single Parameter Value
5.2. Prompting Users With a Dialog Box
5.3. Using Macros to Display Your Own Messages
5.4. Creating and Maintaining a Status Bar from a Macro
5.5. Picking within Macros
5.6. Calling Dialog Boxes From a Macro
6. Encrypting Macros
6.1. Preparing a Macro for Encryption
6.2. Creating an Encrypted Macro
6.3. Running an Encrypted Macro
I. APDL Commands Reference
*ABBR - Defines an abbreviation.
ABBRES - Reads abbreviations from a coded file.
ABBSAV - Writes the current abbreviation set to a coded file.
*AFUN - Specifies units for angular functions in parameter expressions.
*ASK - Prompts the user to input a parameter value.
*CFCLOS - Closes the "command" file.
*CFOPEN - Opens a "command" file.
*CFWRITE - Writes an ANSYS command (or similar string) to a "command" file.
*CREATE - Opens (creates) a macro file.
*CYCLE - Bypasses commands within a do-loop.
*DEL - Deletes a parameter or parameters (GUI).
/DFLAB - Changes DOF labels for user custom elements.
*DIM - Defines an array parameter and its dimensions.
/DIRECTORY - Put the file names in the current directory into a string parameter array.
*DO - Defines the beginning of a do-loop.
*DOWHILE - Loops repeatedly through the next *ENDDO command.
*ELSE - Separates the final if-then-else block.
*ELSEIF - Separates an intermediate if-then-else block.
*END - Closes a macro file.
*ENDDO - Ends a do-loop and starts the looping action.
*ENDIF - Ends an if-then-else.
*EXIT - Exits a do-loop.
*GET - Retrieves a value and stores it as a scalar parameter or part of an array parameter.
*GO - Causes a specified line on the input file to be read next.
*IF - Conditionally causes commands to be read.
/INQUIRE - Returns system information to a parameter.
/MAIL - Mails file to the specifed address.
*MFOURI - Calculates the coefficients for, or evaluates, a Fourier series.
*MFUN - Copies or transposes an array parameter matrix.
/MKDIR - Creates a directory.
*MOPER - Performs matrix operations on array parameter matrices.
*MSG - Writes an output message via the ANSYS message subroutine.
*MWRITE - Writes a matrix to a file in a formatted sequence.
PARRES - Reads parameters from a file.
PARSAV - Writes parameters to a file.
/PMACRO - Specifies that macro contents be written to the session log file.
/PSEARCH - Specifies a directory to be searched for "unknown command" macro files.
*REPEAT - Repeats the previous command.
*RETURN - Returns input stream to a higher level.
/RMDIR - Removes (deletes) a directory.
*SET - Assigns values to user-named parameters.
*SREAD - Reads a file into a string array parameter.
*STATUS - Lists the current parameters and abbreviations.
*TAXIS - Defines table index numbers.
/TEE - Writes a list of commands to a specified file at the same time that the commands are being executed.
*TOPER - Operates on table parameters.
*TREAD - Reads data from an external file into a table array parameter.
/UCMD - Assigns a user-defined command name.
*ULIB - Identifies a macro library file.
*USE - Executes a macro file.
*VABS - Applies the absolute value function to array parameters.
*VCOL - Specifies the number of columns in matrix operations.
*VCUM - Allows array parameter results to add to existing results.
*VEDIT - Allows numerical array parameters to be graphically edited.
*VFACT - Applies a scale factor to array parameters.
*VFILL - Fills an array parameter.
*VFUN - Performs a function on a single array parameter.
*VGET - Retrieves values and stores them into an array parameter.
*VITRP - Forms an array parameter by interpolation of a table.
*VLEN - Specifies the number of rows to be used in array parameter operations.
*VMASK - Specifies an array parameter as a masking vector.
*VOPER - Operates on two array parameters.
*VPLOT - Graphs columns (vectors) of array parameters.
*VPUT - Restores array parameter values into the ANSYS database.
*VREAD - Reads data and produces an array parameter vector or matrix.
*VSCFUN - Determines properties of an array parameter.
*VSTAT - Lists the current specifications for the array parameters.
*VWRITE - Writes data to a file in a formatted sequence.
/WAIT - Causes a delay before the reading of the next command.
A. APDL Gateway Commands
B. GET Function Summary

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.6. Sample Micro Mirror Analysis (Batch or Command Method) 		Up / Home Next
Chapter 1. Introducing APDL


Chapter 1. Introducing APDL

APDL stands for ANSYS Parametric Design Language, a scripting language that you can use to automate common tasks or even build your model in terms of parameters (variables). While all ANSYS commands can be used as part of the scripting language, the APDL commands discussed here are the true scripting commands and encompass a wide range of other features such as repeating a command, macros, if-then-else branching, do-loops, and scalar, vector and matrix operations.

While APDL is the foundation for sophisticated features such as design optimization and adaptive meshing, it also offers many conveniences that you can use in your day-to-day analyses. In this guide we'll introduce you to the basic features - parameters; macros; branching, looping, and repeating; and array parameters - and show you some simple examples. As you become more adept at the language, you will begin to recognize applications for APDL in your own environment.

This guide covers the following topics:

  • Working with the toolbar: You can add frequently used ANSYS functions or macros to the ANSYS toolbar by defining abbreviations, which are aliases (up to eight characters long) for an ANSYS command, GUI function name, or macro name.

  • Using parameters: Parameters are APDL variables (they are more similar to Fortran variables than to Fortran parameters). ANSYS uses two types of parameters: scalar and array.

  • Understanding APDL as a macro language, including creating a macro: You can record a frequently used sequence of ANSYS commands in a macro file (these are sometimes called command files). Creating a macro enables you to, in effect, create your own custom ANSYS command. In addition to executing a series of ANSYS commands, a macro can call GUI functions or pass values into arguments.

  • Interfacing with the GUI: Within an ANSYS macro, you have several ways to access components of the ANSYS GUI (toolbar, dialog box, *ASK command, etc.).

  • Encrypting macros: ANSYS provides the ability to encrypt macro files so that the source is not "human-readable." Encrypted macros require an encryption key to run. You can either place the encryption key explicitly (in readable ASCII) in the macro or you can set it in ANSYS as a global encryption key.

See the APDL Commands Reference for a list of all APDL commands discussed in this guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ANSYS Parametric Design Language Guide 		Up / Home Next
Chapter 2. Working with the Toolbar


Chapter 2. Working with the Toolbar

You can add frequently used ANSYS functions or macros to the ANSYS toolbar by defining abbreviations, which are aliases (up to eight characters long) for an ANSYS command, GUI function name, or macro name. You can also modify the toolbar and nest toolbar abbreviations,

The following toolbar topics are available:

  • Adding Commands to the Toolbar
  • Modifying the Toolbar
  • Nesting Toolbar Abbreviations

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 1. Introducing APDL 		Up / Home Next
2.1. Adding Commands to the Toolbar


2.1. Adding Commands to the Toolbar

You can add frequently used ANSYS functions or macros to the ANSYS toolbar (creating macros is covered starting in "APDL as a Macro Language"). You do this by defining abbreviations. An abbreviation is an alias (up to eight characters long) for an ANSYS command, GUI function name, or macro name. For example, MATPROP might be an abbreviation for a macro that lists material properties, SAVE_DB is an abbreviation for the SAVE command, and QUIT is an abbreviation for the Fnc_/EXIT function (which launches the Exit from ANSYS dialog box). APDL commands that can be used to define abbreviations are listed in Chapter 2 of the Commands Reference.

The ANSYS program provides two ways to use abbreviations. You can issue the abbreviation (and execute the macro, command, etc. that it performs) by typing it at the beginning of a command line. If you are using the ANSYS GUI, you can also execute the macro or command by pressing the appropriate button on the ANSYS toolbar.

The toolbar shown in Figure 2.1: "Toolbar" contains buttons that correspond to existing abbreviations.

Figure 2.1 Toolbar

While some abbreviations, such as SAVE_DB, are predefined, the abbreviations the toolbar contains and the functions they execute are up to you. A single toolbar can hold up to 100 abbreviations (you can "nest" toolbars to extend this number). You can redefine or delete abbreviations at will; however, abbreviations are not automatically saved and must be explicitly saved to a file and reloaded for each ANSYS session.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 2. Working with the Toolbar 		Up / Home Next
2.2. Modifying the Toolbar


2.2. Modifying the Toolbar

You can create abbreviations either through the *ABBR command or through the Utility Menu> Macro> Edit Abbreviations or Utility Menu> MenuCtrls> Edit Toolbar menu items. Using one of the menu items is preferable for two reasons:

  • Clicking OK automatically updates the toolbar (using the *ABBR command requires that you use the Utility Menu> MenuCtrls> Update Toolbar menu item to make your new abbreviation appear on the toolbar).

  • You can easily edit the abbreviation if required.

The syntax for the *ABBR command and related dialogs is

*ABBR, Abbr, String

Abbr

The abbreviation name that will appear on the toolbar button. The name can contain up to eight characters.

String

The String argument is the name of the macro or command that Abbr represents. If String is the name of a macro, the macro must be within the macro search path. For more information about using macros, see "APDL as a Macro Language". If String references an ANSYS picking menu or dialog box (using UIDL), then specify "Fnc_string." For example, in the abbreviation definitions for "QUIT" and "POWRGRPH" shown above, "Fnc_/QUIT" and "Fnc_/GRAPHICS" are unique UIDL function names which identify the ANSYS picking menu or dialog box associated with the QUIT and POWRGRPH abbreviations respectively. For more information about accessing UIDL functions, see Calling Dialog Boxes From a Macro. String can contain up to 60 characters but cannot include any of the following:

  • The character "$"

  • The commands C***, /COM, /GOPR, /NOPR, /QUIT, /UI, or *END

The default ANSYS toolbar has the following abbreviations predefined:

*ABBR, SAVE_DB, SAVE
*ABBR, RESUM_DB, RESUME
*ABBR, QUIT, Fnc_/EXIT
*ABBR, POWRGRPH, Fnc_/GRAPHICS

2.2.1. Example: Adding a Toolbar Button

For example, to add a button to the toolbar that calls the macro file mymacro.mac, you would enter the values shown in the following figure in the Utility Menu> MenuCtrls> Edit Toolbar dialog box.

Figure 2.2 Adding a New Abbreviation

The new button is appended to the button bar as shown in the following figure.

Figure 2.3 Toolbar with New Button

2.2.2. Saving Toolbar Buttons

Toolbar buttons are not persistent from one ANSYS session to the next; however, they are saved and maintained in the database so that any "resume" of the session will still contain these abbreviations. To save your custom button definitions, you must explicitly save them to a file through the Utility Menu> MenuCtrls> Save Toolbar menu item (ABBSAV command) and restore them for each session using the Utility Menu> MenuCtrls> Restore Toolbar menu item (ABBRES command). You can do this programmatically in a macro.

Note

If any abbreviations already exist in the named file, the ABBSAV command overwrites them.

The format of the abbreviations file is the APDL commands that are used to create the abbreviations. Thus, if you wish to edit a large set of buttons or change their order, you may find using a text editor to be the most convenient method. For example, the following is the file that results from saving the default toolbar buttons.

/NOPR
*ABB,SAVE_DB ,SAVE
*ABB,RESUM_DB,RESUME
*ABB,QUIT    ,Fnc_/EXIT
*ABB,POWRGRPH,Fnc_/GRAPHICS
/GO

The *ABB commands (the abbreviated form of *ABBR) define the buttons. The /NOPR at the top turns off echoing to the log file while the /GO at the bottom turns log file echoing on.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.1. Adding Commands to the Toolbar 		Up / Home Next
2.3. Nesting Toolbar Abbreviations


2.3. Nesting Toolbar Abbreviations

The save-and-restore features described above allow you to nest abbreviations. By nesting abbreviations under one button, you can define specialized toolbars (if you have many abbreviations, having them on a single toolbar can be cluttered, making it difficult to find the proper button). To nest abbreviations, you simply define an abbreviation that restores an abbreviation file. For example, the following command defines PREP_ABR as an abbreviation that restores abbreviations from the file prep.abbr.

*ABBR,PREP_ABR,ABBRES,,PREP,ABBR

PREP_ABR will appear as a button on the toolbar. Clicking it will replace the existing buttons with the set of buttons defined in the prep.abbr file.

By defining abbreviations to restore these files and including those abbreviations in the appropriate files, you can have a virtually unlimited number of abbreviations in a given ANSYS session. You can even extend this concept and create your own menu hierarchy by nesting several abbreviation files. If you implement such a hierarchy, it's a good practice to add an abbreviation as a "return" button in each file to navigate back through the menus.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.2. Modifying the Toolbar 		Up / Home Next
Chapter 3. Using Parameters


Chapter 3. Using Parameters

Parameters are APDL variables (they are more similar to Fortran variables than to Fortran parameters). You don't need to explicitly declare the parameter type. All numeric values (whether integer or real) are stored as double-precision values. Parameters that are used but not defined are assigned a near-zero, or "tiny," value of approximately 2-100. For example, if parameter A is defined as A=B, and B is not defined, then A is assigned the tiny value.

ANSYS uses two types of parameters: scalar and array. The first part of this chapter discusses information that is applicable to both types. Starting with Array Parameters, the information is specific to array type parameters. APDL commands used to define parameters in general and array parameters specifically are listed in Chapter 2 of the Commands Reference.

Character strings (up to eight characters long) can be assigned to parameters by simply enclosing the string in single quotes. APDL also provides several types of array parameters: numeric, character, string and table (a special numeric type that automatically interpolates values).

You can use a parameter (instead of a literal number or character string) as an argument to any ANSYS command; the parameter is evaluated and its current value is used for that argument. For example, if you assign the value 2.7 to a parameter named AA and then issue the command

N,12,AA,4

the ANSYS program will interpret the command as

N,12,2.7,4

(which defines node 12 at X=2.7 and Y=4).

Note

If array, table, or character parameters are used within a macro or input file, those parameters should be dimensioned (if array or table) and defined within that macro or input file. If you fail to follow this practice, ANSYS will produce error messages stating that those parameters are undefined. ANSYS will produce the error messages even if the parameters lie within unexecuted *IF statements, as parameter substitution is done before the branching for the *IF is checked.

The following parameter topics are available:

  • Guidelines for Parameter Names
  • Defining Parameters
  • Deleting Parameters
  • Using Character Parameters
  • Substitution of Numeric Parametric Values
  • Dynamic Substitution of Numeric or Character Parameters
  • Parametric Expressions
  • Parametric Functions
  • Saving, Resuming, and Writing Parameters
  • Array Parameters

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.3. Nesting Toolbar Abbreviations 		Up / Home Next
3.1. Guidelines for Parameter Names


3.1. Guidelines for Parameter Names

Parameter names must:

  • Begin with a letter

  • Contain only letters, numbers, and underscore characters

  • Contain no more than 32 characters

Examples of valid and invalid parameter names are

Valid:
ABC
PI
X_OR_Y
Invalid:
MY_PARAMETER_NAME_LONGER_THAN_32_CHARACTERS (more than 32 characters)
2CF3 (begins with a number)
M&E (invalid character "&")

When naming parameters:

  • Avoid parameter names that match commonly used ANSYS labels, such as:

    • Degree of freedom (DOF) labels (TEMP, UX, PRES, etc.)

    • Convenience labels (ALL, PICK, STAT, etc.)

    • User-defined labels (such as those defined with the ETABLE command)

    • Array type field labels (such as CHAR, ARRAY, TABLE, etc.)

  • Parameter names ARG1 through ARG9 and AR10 through AR99 are reserved for local parameters. Generally, local parameters are used in macros (see Local Variables). Use of these names as "regular" parameters is not recommended.

  • Parameter names must not match abbreviations defined with the *ABBR command. For more information about abbreviations, see Adding Commands to the Toolbar.

  • Do not begin parameter names with an underscore (_). This convention is reserved for parameters used by the GUI and ANSYS-supplied macros.

  • APDL programmers supporting an organization should consider naming their parameters with a trailing underscore(_). These can displayed as a group using the *STATUS command and deleted from memory as a group through the *DEL command.

  • Older ANSYS-supplied macro files may use parameter names that do not begin with an underscore. Using these macros embedded in your own macros may cause conflicts if the same parameter names are used.

3.1.1. Hiding Parameters from *STATUS

Listing Parameters discusses listing parameters through the *STATUS command. You can use a parameter naming convention to "hide" parameters from the *STATUS command. Any parameter whose name ends in an underscore (_) will not be listed by *STATUS.

This capability was added specifically for those who are developing APDL macros for large audiences. You can use this to build macros that your ANSYS users and other macro programmers cannot list.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 3. Using Parameters 		Up / Home Next
3.2. Defining Parameters


3.2. Defining Parameters

Unless otherwise specified, the information in the next several sections applies to both scalar and array type parameters. Beginning with Array Parameters, the information is specific to array type parameters.

You can either assign values to parameters or retrieve values supplied by ANSYS and store these values in parameters. For retrieving values from ANSYS, you can use either the *GET command or the various in-line get functions. The following sections cover these subjects in detail.

3.2.1. Assigning Parameter Values During Execution

You can use the *SET command to define parameters. The following examples illustrate a set of example parameters defined using *SET:

*SET,ABC,-24
*SET,QR,2.07E11
*SET,XORY,ABC
*SET,CPARM,'CASE1'

You can use an "=" as a shorthand way of calling the *SET command (this is the most convenient method). The format of the shortcut is Name = Value, where Name is the name assigned to the parameter and Value is the numeric or character value stored in that parameter. For character parameters, the assigned value must be enclosed in single quotes and cannot exceed eight alphanumeric characters. The following are examples of "=" in use:

ABC=-24
QR=2.07E11
XORY=ABC
CPARM='CASE1'

In the GUI, you can either type the "=" directly in the ANSYS input window or in the "Selection" field of the Scalar Parameter dialog box (accessed by the Utility Menu> Parameters> Scalar Parameters menu item).

3.2.2. Assigning Parameter Values At Startup

You can define parameters as arguments when launching ANSYS from the operating system command line. Simply type parameter definitions after the ANSYS execution command (which is system dependent) using the format -Name Value. For example, the following defines two parameters (parm1 and parm2) having the values 89.3 and -0.1:

ansys110 -parm1 89.3 -parm2 -0.1

It is a good practice to avoid assigning one or two character parameter names at startup to avoid conflicts with ANSYS command line options.

Note

Remember that UNIX shells treat single quotes and many other non-alphanumeric characters as special symbols. When defining character parameters, you must tell UNIX not to interpret the quotes by inserting a back slash (\) before the single quotes. For example, the following defines two character parameters having the values `filename' and `200.'

ansys110 -cparm1 \'filename\' -cparm2 \'200\'

If you use the ANSYS Launcher to start ANSYS, you can define parameters through the Customization tab (using the -Name Value format described above).

If you are defining a large number of parameters at startup, you'll find it much more convenient to define these in the start110.ans file or through a separate file that you can load through the /INPUT command instead of the command line.

3.2.3. Assigning ANSYS-Supplied Values to Parameters

ANSYS provides two powerful methods for retrieving values:

  • The *GET command, which retrieves a value from a specified item and stores it in a specified parameter.

  • The in-line get functions, which can be used in operations. Each get function returns a specific value from a specific item.

3.2.3.1. Using the *GET Command

The *GET command (Utility Menu> Parameters> Get Scalar Data) retrieves an ANSYS-supplied value for an item (a node, an element, an area, etc.) and stores it as a user-named parameter. Various keyword, label, and number combinations identify the retrieved item. For example, *GET,A,ELEM,5,CENT,X returns the centroid x-location of element 5 and stores the result as parameter A.

The format for the *GET command is:

*GET,Par,Entity,ENTNUM,Item1,IT1NUM,Item2,IT2NUM

where

  • Par is the name of the parameter to store the retrieved item.

  • Entity is a keyword for the item to be stored. Valid keywords are NODE, ELEM, KP, LINE, AREA, VOLU, etc. For a complete list of valid keywords, see the *GET description in the Commands Reference.

  • ENTNUM is the number of the entity (or zero for all entities).

  • Item1 is the name of an item for a particular entity. For example, if Entity is ELEM, Item1 will be either NUM (the highest or lowest element number in the selected set) or COUNT (the number of elements in the set). (For a complete list of Item1 values for each entity type, see the *GET description in the Commands Reference.)

You can think of the *GET command as a path down a tree structure, from general to specific information.

The following examples show the *GET command in use. The first command below gets the material attribute (the MAT reference number) of element 97 and assigns it to parameter BCD:

*GET,BCD,ELEM,97,ATTR,MAT     ! BCD = Material number of element 97
*GET,V37,ELEM,37,VOLU         ! V37 = volume of element 37
*GET,EL52,ELEM,52,HGEN        ! EL52 = value of heat generation in element 52
*GET,OPER,ELEM,102,HCOE,2     ! OPER = heat coefficient of element 102,face2
*GET,TMP,ELEM,16,TBULK,3      ! TMP = bulk temperature of element 16,face3
*GET,NMAX,NODE,,NUM,MAX       ! NMAX = maximum active node number
*GET,HNOD,NODE,12,HGEN        ! HNOD = value of heat generation at node 12
*GET,COORD,ACTIVE,,CSYS       ! COORD = active coordinate system number

3.2.3.2. Using In-line Get Functions

For some items, you can use in-line "get functions" in place of the*GET command. A get function returns a value for an item and uses it directly in the current operation. This process allows you to bypass the dual steps of storing the value with a parameter name and then entering the parameter name in an operation. For example, suppose that you want to calculate the average x-location of two nodes. You could do the following using the *GET function:

  1. Issue the following command to assign the x-location of Node 1 to parameter L1.

     *GET,L1,NODE,1,LOC,X

  2. Issue a second *GET command to assign the x-location of Node 2 to parameter L2.

  3. Compute the middle location from MID=(L1+L2)/2.

A shorter method is to use the node location "get function" NX(N), which returns the x-location of node N. You can use it to calculate the MID location without setting intermediate parameters L1 and L2, as is shown in the following example:

MID=(NX(1)+NX(2))/2

Get function arguments can themselves be parameters or other get functions. For instance, get function NELEM(ENUM,NPOS) returns the node number in position NPOS for element ENUM. Combining functions NX(NELEM(ENUM,NPOS)) returns the x-location of that node.

Appendix B summarizes the available get functions.

3.2.4. Listing Parameters

Once you have defined parameters, you can list them using the *STATUS command. If the *STATUS command is issued without arguments, it provides a list of all of the currently defined parameters. The following example shows the command and a typical listing.

*STATUS
PARAMETER STATUS-           (   5 PARAMETERS DEFINED)
NAME         VALUE         TYPE     DIMENSIONS
ABC      -24.0000000      SCALAR
HEIGHT    57.0000000      SCALAR
QR       2.070000000E+11  SCALAR
X_OR_Y   -24.0000000      SCALAR
CPARM      CASE1          CHARACTER

You can also access this information through either the Utility Menu> List> Other> Parameters or Utility Menu> List> Status> Parameters> All Parameters menu items.

Note

Any parameters beginning or ending in an underscore (_) are not shown by the *STATUS command.

You can check the status of individual parameters by providing these as arguments to the *STATUS command. The following example shows the status of the ABC parameter.

*STATUS,ABC
PARAMETER STATUS- abc       (   5 PARAMETERS DEFINED)
NAME         VALUE         TYPE     DIMENSIONS
ABC      -24.0000000      SCALAR

You can also check the status of specific parameters through the Utility Menu> List> Other> Named Parameter or Utility Menu> List> Status> Parameters> Named Parameters menu items.

Note

Although ANSYS allows a maximum of 5000 parameters, fewer than 5000 are available to the user due to GUI and ANSYS macro requirements. The number of parameters defined by the user interface (internal parameters) is listed by the *STATUS command. The command *GET,par,PARM,,MAX returns the total number of parameters defined.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.1. Guidelines for Parameter Names 		Up / Home Next
3.3. Deleting Parameters


3.3. Deleting Parameters

You can delete specific parameters in two ways:

  • Issue the "=" command, leaving the right-hand side of the command blank. For example, to delete the QR parameter issue this command:

    QR=

  • Issue the *SET command (Utility Menu> Parameters> Scalar Parameters), but don't specify a value for the parameter. For example, to delete the QR parameter via the *SET command issue the command as follows:

    *SET,QR,

Setting a numeric parameter equal to zero does not delete it. Similarly, setting a character parameter equal to empty single quotes (` `) or placing blanks within single quotes does not delete the parameter.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.2. Defining Parameters 		Up / Home Next
3.4. Using Character Parameters


3.4. Using Character Parameters

Typically, character parameters are used to provide file names and extensions. The desired file name can be assigned to a character parameter, and that parameter can be used anywhere a file name is required. Similarly, a file extension can be assigned to a character parameter and used where appropriate (typically the Ext command argument). In batch mode, this allows you to easily change file names for multiple runs by simply changing the initial alphanumeric "value" of the character parameter in your input file.

Note

Remember that character parameters are limited to a total of eight characters.

The following is a list of general uses for character parameters.

  • As arguments to any applicable command field (that is, where alphanumeric input is expected)

  • As macro name arguments for the *USE command (Utility Menu> Macro> Execute Data Block)

    NAME='MACRO'   ! MACRO is the name of a macro file
*USE,NAME      ! Calls MACRO

  • As arguments to macro calls for *USE and for the "unknown command" macro. Any of the following macro calls are allowed:

    ABC='SX'
*USE,NAME,ABC

    or

    *USE,NAME,'SX'

DEF='SY'
NEWMACRO,DEF     ! Calls existing macro file NEWMACRO.MAC

    or

    NEWMACRO,'SY'

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.3. Deleting Parameters 		Up / Home Next
3.5. Substitution of Numeric Parametric Values


3.5. Substitution of Numeric Parametric Values

Whenever you use a parameter name in a numeric command field, its value is automatically substituted. If no value has been assigned to the parameter (that is, if the parameter has not been defined), a near-zero value (2-100) will be substituted, usually without warning.

Note

Defining the parameter after it is used in a command does not "update" the command in most cases. (Exceptions are the commands /TITLE, /STITLE, *ABBR, and /TLABEL. See Forced Substitution for more information.) For example:

Y=0
X=2.7
N,1,X,Y     ! Node 1 at (2.7,0)
Y=3.5       ! Redefining parameter Y now does not update node 1

3.5.1. Preventing Substitution

You can prevent parameter substitution by enclosing the parameter name with single quotes ('), for example, 'XYZ'. The literal string is then used; therefore, this feature is valid only in non-numerical fields.

Conversely, you can force parameter substitution in titles, subtitles, and filenames by enclosing the parameter name with percent signs (%). For example,

/TITLE, TEMPERATURE CONTOURS AT TIME=%TM%

specifies a title in which the numerical value of parameter TM is substituted. Note that the parameter is substituted at the time the title is used.

3.5.2. Substitution of Character Parametric Values

Use of a character parameter in an alphanumeric command field generally results in automatic substitution of its value. Forced substitution and character parameter restrictions are explained below.

3.5.2.1. Forced Substitution

As with numerical parameters, you can force the substitution of a character parameter value in certain cases where substitution would not occur otherwise. This is done by enclosing the character parameter name with percent signs (%). Forced substitution of character parameters is valid for the following commands:

  • /TITLE command (Title field). Specifies titles for various printed output.

  • /STITLE command (Title field). Specifies subtitles, similar to/TITLE. (You cannot access the /STITLE command directly in the GUI.)

  • /TLABEL command (Text field). Specifies text string for annotation.

  • *ABBR command (Abbr field). Defines an abbreviation.

Forced substitution is also valid in the following types of fields:

  • Any filename or extension command argument. These arguments apply to commands such as /FILNAME, RESUME, /INPUT, /OUTPUT, and FILE. (Direct parameter substitution is also valid in these fields.)

  • Any 32 character field: A typical example is the name of macros. (Direct substitution is not valid for these fields.)

  • As a command name in any command name field. Also as an "unknown command" macro name in field 1. For example:

    R='RESUME'
%R%,MODEL,DB

The following example of the command input method shows forced substitution for a subtitle definition and for a directory name.

A='TEST'
B='.RST'
C='/ANSYS'
D='/MODELS/'
/STITLE,,RESULTS FROM FILE %C%%D%%A%%B%
 SUBTITLE  1 =
 RESULTS FROM FILE /ANSYS/MODELS/TEST.RST
/POST1
FILE,A,RST,%C%%D%      ! Read results from /ANSYS/MODELS/TEST.RST

3.5.2.2. Other Places Where Character Parameters Are Valid

In addition to the more general applications already discussed, there are some specific instances where character parameters are allowed for added convenience. The commands which are affected and details of usage are outlined below.

*ASK

This command may prompt you for an alphanumeric string (up to eight characters enclosed in single quotes) which is assigned to a character scalar parameter. (You cannot access the *ASK command directly in the GUI.)

*CFWRITE

This command writes ANSYS commands to the file opened by *CFOPEN. It can be used to write a character parameter assignment to that file. For example, *CFWRITE,B = 'FILE' is valid. (You cannot access the *CFWRITE and *CFOPEN commands directly in the GUI.)

*IF and *ELSEIF

Character parameters may be used for the VAL1 and VAL2 arguments of these commands. For the Oper argument, only labels EQ (equal) and NE (not equal) are valid when using character parameters. (You cannot access the *IF and *ELSEIF commands directly in the GUI.) Example:

CPARM='NO'
*IF,CPARM,NE,'YES',THEN
*MSG

Character parameters are allowed as input for the VAL1 through VAL8 arguments. The data descriptor %C is used to indicate alphanumeric character data on the format line (which must follow the *MSG command). The %C corresponds to the FORTRAN descriptor A8. (You cannot access the *MSG command directly in the GUI.)

PARSAV and PARRES

These commands will save character parameters to a file (PARSAV command or menu path Utility Menu> Parameters> Save Parameters) and resume character parameters from a file (PARRES or Utility Menu> Parameters> Restore Parameters).

*VREAD

This command (Utility Menu> Parameters> Array Parameters> Read from File) can be used to read alphanumeric character data from a file and produce a character array parameter. The FORTRAN character descriptor (A) may be used in the format line which must follow the *VREAD command.

*VWRITE

This command (menu path Utility Menu> Parameters> Array Parameters> Write to File) can be used to write character parameter data to a file in a formatted sequence. The FORTRAN character descriptor (A) may be used in the format line which must follow the *VWRITE command.

3.5.2.3. Character Parameter Restrictions

Although character parameters have much of the same functionality as numerical parameters, there are several instances where character parameters are not valid.

  • Character parameter substitution is not allowed for the Par argument of the *SET, *GET, *DIM, and *STATUS commands.

  • Interactive editing of array parameters (*VEDIT command) is not available for character array parameters.

  • Vector operation commands, such as *VOPER, *VSCFUN, *VFUN, *VFILL, *VGET, and *VITRP, do not work with character array parameters.

  • When operating on character parameters, the specification commands *VMASK and *VLEN are applicable only to the *VWRITE and *VREAD commands.

  • Character parameters are not valid in parametric expressions which use addition, subtraction, multiplication, etc.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.4. Using Character Parameters 		Up / Home Next
3.6. Dynamic Substitution of Numeric or Character Parameters


3.6. Dynamic Substitution of Numeric or Character Parameters

Dynamic substitution of parameters will occur for the following commands: /TITLE, /STITLE, *ABBR, /AN3D, and /TLABEL. Dynamic substitution allows the revised value of a parameter to be used, even if the command which uses the parameter value has not been reissued.

Example:

XYZ='CASE 1'
/TITLE,This is %XYZ%
APLOT

The title "This is CASE 1" will appear on the area plot.

You can then change the value of XYZ and the new title will appear on subsequent plots, even though you did not reissue /TITLE.

XYZ='CASE 2'

The title "This is CASE 2" will appear on subsequent plots.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.5. Substitution of Numeric Parametric Values 		Up / Home Next
3.7. Parametric Expressions


3.7. Parametric Expressions

Parametric expressions involve operations among parameters and numbers such as addition, subtraction, multiplication, and division. For example:

X=A+B
P=(R2+R1)/2
D=-B+(E**2)-(4*A*C)     ! Evaluates to D = -B + E2 - 4AC
XYZ=(A<B)+Y**2          ! Evaluates to XYZ = A + Y2 if A is less than B;
                        ! otherwise to XYZ = B + Y2
INC=A1+(31.4/9)
M=((X2-X1)**2-(Y2-Y1)**2)/2

The following is a complete list of APDL operators:

Operator | Operation
+ | Addition
_ | Subtraction
* | Multiplication
/ | Division
** | Exponentiation
< | Less-Than Comparison
> | Greater-Than Comparison

You can also use parentheses for clarity and for "nesting" of operations, as shown above. The order in which the ANSYS program evaluates an expression is as follows:

  1. Operations in parentheses (innermost first)

  2. Exponentiation (in order, from right to left)

  3. Multiplication and division (in order, from left to right)

  4. Unary association (such as +A or -A)

  5. Addition and subtraction (in order, from left to right)

  6. Logical evaluation (in order, from left to right)

Thus an expression such as Y2=A+B**C/D*E will be evaluated in this order: B**C first, /D second, *E third, and +A last. For clarity, you should use parentheses in expressions such as these. Parentheses can be nested up to four levels deep, and up to nine operations can be performed within each set of parentheses. As a general rule, avoid using blank spaces between operators in expressions. In particular, never include a blank space before the * character because the rest of the input line (beginning with the *) will be interpreted as a comment and therefore will be ignored. (Do not use this convention as a comment; use an exclamation point (!) for this purpose.)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.6. Dynamic Substitution of Numeric or Character Parameters 		Up / Home Next
3.8. Parametric Functions


3.8. Parametric Functions

A parametric function is a programmed sequence of mathematical operations which returns a single value, such as SIN(X), SQRT(B), and LOG(13.2). The following table provides a complete list of functions currently available in ANSYS.

ABS(x) | Absolute value of x.
SIGN(x,y) | Absolute value of x with sign of y. y=0 results in positive sign.
EXP(x) | Exponential of x (ex).
LOG(x) | Natural log of x (ln (x)).
LOG10(x) | Common log of x (log10(x)).
SQRT(x) | Square root of x.
NINT(x) | Nearest integer to x.
MOD(x,y) | Remainder of x/y. y=0 returns zero (0).
RAND(x,y) | Random number (uniform distribution) in the range x to y (x = lower bound, y = upper bound).
GDIS(x,y) | Random sample of a Gaussian (normal) distribution with mean x and standard deviation y.
SIN(x), COS(x), TAN(x) | Sine, Cosine, and Tangent of x. x is in radians by default, but can be changed to degrees with *AFUN.
SINH(x), COSH(x), TANH(x) | Hyperbolic sine, Hyperbolic cosine, and Hyperbolic tangent of x.
ASIN(x), ACOS(x), ATAN(x) | Arcsine, Arccosine, and Arctangent of x. x must be between -1.0 and +1.0 for ASIN and ACOS. Output is in radians by default, but can be changed to degrees with *AFUN. Range of output is -pi/2 to +pi/2 for ASIN and ATAN, and 0 to pi for ACOS.
ATAN2(y,x) | Arctangent of y/x with the sign of each component considered. Output is in radians by default, but can be changed to degrees with *AFUN. Range of output is -pi to +pi.
VALCHR (CPARM | Numerical value of CPARM (if CPARM is non-numeric, returns 0.0).
CHRVAL (PARM) | Character value of numerical parameter PARM. Number of decimal places depends on magnitude.
UPCASE CPARM | Upper case equivalent of CPARM.
LWCASE (CPARM) | Lower case equivalent of CPARM.

The following are examples of parametric functions:

PI=ACOS(-1)             ! PI = arc cosine of -1, PI calculated to machine accuracy
Z3=COS(2*THETA)-Z1**2
R2=SQRT(ABS(R1-3))
X=RAND(-24,R2)          ! X = random number between -24 and R2
*AFUN,DEG               ! Units for angular functions are degrees
THETA=ATAN(SQRT(3))     ! THETA evaluates to 60 degrees
PHI=ATAN2(-SQRT(3),-1)  ! PHI evaluates to -120 degrees
*AFUN,RAD               ! Units for angular functions reset to radians
X249=NX(249)            ! X-coordinate of node 249
SLOPE=(KY(2)-KY(1))/(KX(2)-KX(1))
                        ! Slope of line joining keypoints 1 and 2
CHNUM=CHRVAL(X)         ! CHNUM = character value of X
UPPER=UPCASE(LABEL)     ! UPPER = uppercase character value of parameter LABEL

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.7. Parametric Expressions 		Up / Home Next
3.9. Saving, Resuming, and Writing Parameters


3.9. Saving, Resuming, and Writing Parameters

If you must use currently defined parameters in another ANSYS session, you can write them to a file and then read (resume) that file. When you read the file, you can either completely replace currently defined parameters or add to them (replacing those that already exist).

To write parameters to a file, use the PARSAV command (Utility Menu> Parameters> Save Parameters).

The parameters file is an ASCII file consisting largely of APDL *SET commands used to define the various parameters. The following example shows the format of this file.

/NOPR
*SET,A       ,  10.00000000000
*SET,B       ,  254.3948750000
*SET,C       ,'string  '
*SET,_RETURN , 0.0000000000000E+00
*SET,_STATUS ,  1.000000000000
*SET,_ZX     ,'        '
/GO

To read parameters from a file use the PARRES command (Utility Menu> Parameters> Restore Parameters)

If you wish, you can write up to ten parameters or array parameters using FORTRAN real formats to a file. You can use this feature to write your own output file for use in other programs, reports, etc. To do this, use the *VWRITE command (Utility Menu> Parameters> Array Parameters> Write to File). The *VWRITE command is discussed in Operations Among Array Parameters.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.8. Parametric Functions 		Up / Home Next
3.10. Array Parameters


3.10. Array Parameters

In addition to scalar (single valued) parameters, you can define array (multiple valued) parameters. ANSYS arrays can be

  • 1-D (a single column)

  • 2-D (rows and columns)

  • 3-D (rows, columns, and planes)

  • 4-D (rows, columns, planes, and books)

  • 5-D (rows, columns, planes, books, and shelves)

ANSYS provides three types of arrays:

ARRAY

This type is similar to FORTRAN 77 arrays and is the default array type when dimensioning arrays. As with FORTRAN arrays, the indices for rows, columns, and planes are sequential integer numbers beginning with one. Array elements can be either integers or real numbers.

CHAR

This is a character array, with each element consisting of an alphanumeric value not exceeding eight characters. The indices for rows, columns, and planes are sequential integer numbers beginning with one.

TABLE

This is a special type of numeric array which allows ANSYS to calculate (through linear interpolation) values between these array elements explicitly defined in the array. Moreover, you can define the array indices for each row, column, and plane and these indices are real (not integer) numbers. Array elements can be either integers or real numbers. As we'll see in the later discussion on TABLE arrays, this capability provides a powerful method for describing mathematical functions.

STRING

You can use the *DIM, STRING capability to enter character strings into your arrays. Index numbers for columns and planes are sequential values beginning with 1. Row indices are determined by the character position in the string. See the *DIM command for more information.

All three types of arrays cannot exceed 2*31-1 bytes. For a double precision array, each data item is 8 bytes, so the limit on number of entries is (2**31-1)/8.

The following array parameter topics are available:

  • Array Parameter Basics
  • Array Parameter Examples
  • TABLE Type Array Parameters
  • Defining and Listing Array Parameters
  • Specifying Array Element Values
  • Writing Data Files
  • Operations Among Array Parameters
  • Plotting Array Parameter Vectors
  • Modifying Curve Labels

3.10.1. Array Parameter Basics

Consider a 2-D array (either ARRAY or CHAR) as shown below. It is m rows long and n columns wide; that is, its dimensions are m times n. Each row is identified by a row index number i, which varies from 1 to m, and each column is identified by a column index number j, which varies from 1 to n. The quantities that make up the array are array elements. Each array element is identified as (i,j), where i is its row index number and j is its column index number.

Figure 3.1 A Graphical Representation of a 2-D Array

We can extend these definitions to a 3-D array parameter, which may be m rows long, n columns wide, and p planes deep. The plane index number is k, which varies from 1 to p. Each array element is identified as (i,j,k,). The following figure shows a 3-D array.

Figure 3.2 A Graphical Representation of a 3-D Array

Figure 3.3 A Graphical Representation of a 5-D Array

3.10.2. Array Parameter Examples

Type ARRAY parameters consist of discrete numbers that are simply arranged in a tabular fashion for convenience. Consider the following examples.

The parameter NTEMP could be an array of temperatures at selected nodes; NTEMP(1) = -47.6 could be the temperature at node 27, NTEMP(2) = -5.2 could be the temperature at node 43, and so on. Similarly, EVOLUM could be an array of element volumes, and COMPSTRS could be an array of nodal component stresses, with each column representing a particular direction (X, Y, Z, XY, YZ, XZ, for example).

A type CHAR array parameter is structured similarly to an ARRAY parameter, with the tabular values being alphanumeric character strings (up to eight characters). Two examples of character array parameters are:

3.10.3. TABLE Type Array Parameters

A type TABLE array parameter consists of numbers (alphanumeric values are not valid) arranged in a tabular fashion, much like the ARRAY type. However, there are three important differences

  • ANSYS can calculate (through linear interpolation) any values that fall between the explicitly declared array element values.

  • A table array contains a 0 row and 0 column used for data-access index values, and unlike standard arrays, these index values can be real numbers. The only restriction is that the index values must be numerically increasing (never decreasing) numbers. You must explicitly declare a data access index value for each row and column; otherwise the default value assigned is the "tiny number" (7.888609052E-31).

    You can more conveniently define the index starting point and index values via the *TAXIS command.

  • A plane index value resides in the 0,0 location for each plane.

The following figure shows a TABLE array with data-access index values. Note that the indexes are specified as the "0" row and column values.

Figure 3.4 A Graphical Representation of a Table Array

As shown in the above example, when configuring a table array you must set

  • The plane index value as the 0,0 element value for each plane.

  • The data-access column index values in the elements in the 0 row in plane 1. Only the column index values from plane 1 are used when accessing data from the array for all planes. When setting the array element values, you use the traditional row and column index numbers.

  • The data-access row index values in the elements in the 0 column in plane 1. Only the row index values from plane 1 are used when accessing data from the array for all planes. When setting the array element values, you use the traditional row and column index numbers.

3.10.4. Defining and Listing Array Parameters

To define an array parameter, you must first declare its type and dimensions using the *DIM command (Utility Menu> Parameters> Array Parameters> Define/Edit).

This following examples illustrate the *DIM command used to dimension various types of arrays:

*DIM,AA,,4              ! Type ARRAY is default, dimension 4[x1x1]
*DIM,XYZ,ARRAY,12       ! Type ARRAY array, dimension 12[x1x1]
*DIM,FORCE,TABLE,5      ! Type TABLE array, dimension 5[x1x1]
*DIM,T2,,4,3            ! Dimensions are 4x3[x1]
*DIM,CPARR1,CHAR,5      ! Type CHAR array, dimension 5[x1x1]

Note

Array elements for ARRAY and TABLE are initialized to 0 (except for the 0 row and column for TABLE, which is initialized to the tiny value). Array elements for CHAR are initialized to a blank value.

For array parameter operations (for example *VOPER, *VFUN), the resulting array parameter (ParR) need not be dimensioned beforehand. Also, array parameters defined completely with the implied (colon) loops convention (for example a(1:5)=10,20,30,40,50) need not be dimensioned beforehand.

The next example shows how to fill a 5-D array with data. Use 1-D tables to load a 5-D table. Use the *TAXIS to define the table index values. See the full example at Example Analysis Using 5-D Table Array.

*dim,xval,array,X1
*dim,yval,array,Y1
yval(1)=0,20
*dim,zval,array,10
zval(1)=10,20,30,40,50,60,70,80,90,100
*dim,tval,array,5
tval(1)=1,.90,.80,.70,.60
*dim,tevl,array,5
tevl(1)=1,1.20,1.30,1.60,1.80

*dim,ccc,tab5,X1,Y1,Z1,D4,D5,X,Y,Z,TIME,TEMP
*taxis,ccc(1,1,1,1,1),1,0,wid                   !!! X-Dim
*taxis,ccc(1,1,1,1,1),2,0,hth                   !!! Y-Dim
*taxis,ccc(1,1,1,1,1),3,1,2,3,4,5,6,7,8,9,10    !!! Z-Dim
*taxis,ccc(1,1,1,1,1),4,0,10,20,30,40	           !!! Time
*taxis,ccc(1,1,1,1,1),5,0,50,100,150,200        !!! Temp
*do,ii,1,2
   *do,jj,1,2
      *do,kk,1,10
         *do,ll,1,5
            *do,mm,1,5
               ccc(ii,jj,kk,ll,mm)=(xval(ii)+yval(jj)+zval(kk))*tval(ll)*tevl(mm)
            *enddo
         *enddo
      *enddo
   *enddo
*enddo

3.10.5. Specifying Array Element Values

You can specify array element values by

  • Setting individual array element values through the *SET command or "=" shortcut.

  • Filling individual vectors (columns) in the array with either specified or calculated values (the *VFILL command, for example).

  • Interactively specifying values for the elements through the *VEDIT dialog box.

  • Reading the values from an ASCII file (*VREAD or *TREAD commands).

Note

You cannot create or edit 4- or 5-D arrays interactively. *VEDIT, *VREAD, and *TREAD are not applicable to 4- or 5-D arrays.

3.10.5.1. Specifying Individual Array Values

You can use either the *SET command or the "=" shortcut. Usage is the same as for scalar parameters, except that you now define a column of data (up to ten array element values per "=" command). For example, to define the parameter XYZ dimensioned above as a 12x1 array you will need two "=" commands. In the following example the first command defines the first eight array elements and the second command defines the next four array elements:

XYZ(1)=59.5,42.494,-9.01,-8.98,-8.98,9.01,-30.6,51
XYZ(9)=-51.9,14.88,10.8,-10.8

Notice that the starting location of the array element is indicated by the row index number of the parameter (1 in the first command, 9 in the second command).

The following example shows how to define the element values for the 4x3 array parameter T2, dimensioned earlier in the *DIM examples:

T2(1,1)=.6,2,-1.8,4           ! defines (1,1),(2,1),(3,1),(4,1)
T2(1,2)=7,5,9.1,62.5          ! defines (1,2),(2,2),(3,2),(4,2)
T2(1,3)=2E-4,-3.5,22,.01      ! defines (1,3),(2,3),(3,3),(4,3)

The following example defines element values for the TABLE array parameter FORCE discussed earlier.

FORCE(1)=0,560,560,238.5,0
FORCE(1,0)=1E-6,.8,7.2,8.5,9.3

The first “=” command defines the five array elements of the TABLE array FORCE. The second and third “=” commands redefine the index numbers in the j=0 and i=0 row.

Character array parameters can also be defined using the "=" command. Assigned values can be up to eight characters each and must be enclosed in single quotes. For example:

*DIM,RESULT,CHAR,3       !Character array parameter with dimensions (3,1,1)
RESULT(1)='SX','SY','SZ'  !Assigns values to parameter RESULT

Notice that, as when defining a numerical array parameter, the starting location of the array element must be specified (in this case, the row index number 1 is indicated).

Note

CHAR cannot be used as a character parameter name because it will create a conflict with the CHAR label on the *DIM command. ANSYS will substitute the character string value assigned to parameter CHAR when CHAR is input on the third field of the *DIM command (Type field).

3.10.5.2. Filling Array Vectors

You can use the *VFILL command (Utility Menu> Parameters> Array Parameters> Fill) to "fill" an ARRAY or TABLE vector (column).

See the *VFILL command reference information in the Commands Reference for more detail about the command syntax. The following example illustrates the capabilities of the *VFILL command.

*DIM,DTAB,ARRAY,4,3                     ! dimension 4 x 3 numeric array
*VFILL,DTAB(1,1),DATA,-3,8,-12,57       ! four data values loaded into vector 1
*VFILL,DTAB(1,2),RAMP,2.54,2.54         ! fill vector 2 with values starting at
                                        ! 2.54 and incrementing by 2.54
*VFILL,DTAB(1,3),RAND,1.5,10            ! fill vector 3 with random numbers between
                                        ! 1.5 and 10.  Results will vary due to
                                        ! random number generation.

3.10.5.3. Interactively Editing Arrays

The *VEDIT command (Utility Menu> Parameters> Array Parameters> Define/Edit), which is available only in interactive mode, launches a data entry dialog box you can use to edit an ARRAY or TABLE (not CHAR) array. The dialog box provides a number of convenient features:

  • A spreadsheet-style editor for array element values.

  • Navigational controls for scrolling through large arrays.

  • An initialize function to set any row or column to a specified value (ARRAY type only).

  • Delete, copy, and insert functions for moving rows or columns of data (ARRAY type only).

Complete instructions for using the dialog box are available from the box's Help button.

Note

You cannot edit a 4- or 5-D ARRAY or TABLE interactively.

Figure 3.5 An Example *VEDIT Dialog Box for an ARRAY

Figure 3.6 An Example *VEDIT Dialog Box for a TABLE

3.10.5.4. Filling an Array From a Data File Using *VREAD

You can fill an array from a data file using the *VREAD command (Utility Menu> Parameters> Array Parameters> Read from File). The command reads information from an ASCII data file and begins writing it into the array, starting with the index location that you specify. You can control the format of the information read from the file through data descriptors. The data descriptors must be enclosed in parenthesis and placed on the line following the *VREAD command. See Vector Operations for more information about data descriptors. The data descriptors control the number of fields to be read from each record, the width of the data fields, and the position of the decimal point in the field.

For example, given the following data file named dataval:

1.5     7.8  12.3
15.6  -45.6  42.5

and an array called EXAMPLE that has been dimensioned as 2 x 3, the following commands (provided as either a part or a macro or input listing)

*DIM,EXAMPLE,,2,3
*VREAD,EXAMPLE(1,1),dataval,,,JIK,3,2
(3F6.1)

result in

EXAMPLE =
1.5     7.8  12.3
15.6  -45.6  42.5

The *VREAD command cannot be issued directly from the command input window. However, the Utility Menu> Parameters> Array Parameters> Read from File dialog box offers a way to specify the data descriptors and issue the command in interactive mode.

Note

You cannot fill a 4- or 5-D array using *VREAD.

3.10.5.5. Filling a TABLE Array From a Data File Using *TREAD

Once configured, you have two options for specifying values for the TABLE array elements: you can add values as you would for any other type of array, or you can read in a table of data from an external file.

To read in a table of data from an external file, you still define the TABLE array first, specifying the number of rows, columns, and planes, and the labels for each. You can then read an ASCII file containing the table of data using the *TREAD command (Utility Menu> Parameters> Array Parameters> Read from File). At this time, you also specify the number of lines to skip (NSKIP) between the top of the file and the first line of the table.

When reading data from an external file, remember:

  • The file containing the table of data can be created in a text editor or an external application (such as Microsoft Excel), but it must be in ASCII form, tab-delimited, to be read into ANSYS.

  • You must first define the array in ANSYS, remembering to allow for the index values (0,0).

  • The values are read straight across the rows until all columns on each row of the array are filled; ANSYS then wraps from one row to the next and begins to fill those columns, and so on. Be sure that the dimensions of the array you defined are correct. If you mistakenly define fewer columns in the ANSYS array than required, ANSYS will start filling in the next row of the array using the values remaining in the first row of the data table being read. Similarly, if you define more columns in the ANSYS array than required, ANSYS will fill all columns of the array using values from the next row of the data table being read, and only then wrap and begin filling the next row.

You can create 1-D, 2-D, and 3-D tables by reading data from an external file. Examples of how you create each of these follows.

Note

You cannot fill a 4- or 5-D TABLE using *TREAD.

Example 1: 1-D Table

First, create the 1-D table using the application of your choice (such as a spreadsheet application, a text editor, etc.) and then save the file as a text file in tab-delimited format. In this example, the table is named "Tdata" and contains data for time vs. temperature. In its ASCII form, the table would look like this:

Time Temperature Table
Time | Temp
0 | 20
1 | 30
2 | 70
4 | 75

In ANSYS, you define a TABLE parameter "Tt" using the *DIM command (Utility Menu> Parameters> Array Parameters> Define/Edit). Specify 4 rows and 1 column, row label of Time, and column label of Temp. Note that the data table you created has four rows and one column of data, plus the row and column index values (the first column - TIME - is the row index values) Then read in the file as described earlier, specifying 2 skipped lines. The TABLE array in ANSYS would look like this:

Figure 3.7 A Sample 1-D TABLE Array Dialog Box

This same example, done via command input, would look like the following:

*DIM,Tt,table,4,1,1,TIME,TEMP
*TREAD,Tt,tdata,txt,,2

Back To Top

Example 2: 2-D Table

For this example, create (in a spreadsheet application, a text editor, etc.) a 2-D table named "T2data" containing temperature data as a function of time and x-coordinate and read it into a TABLE array parameter called "Ttx." The table, in its ASCII form, would look like this:

Temp (time-X-coord) Table
Time | X-Coordinate
0 | 0 | .3 | .5 | .7 | .9
0 | 10 | 15 | 20 | 25 | 30
1 | 15 | 20 | 25 | 35 | 40
2 | 20 | 25 | 35 | 55 | 60
4 | 30 | 40 | 70 | 90 | 100

In ANSYS, you define a TABLE parameter "Ttx" using the *DIM command (Utility Menu> Parameters> Array Parameters> Define/Edit). Specify 4 rows, 5 columns, 1 plane, row label of TIME, and column label of X-COORD. Note that the data table you created has four rows and five columns of data, plus the row and column index values. Then read in the file as described earlier, specifying 2 skipped lines. The TABLE array in ANSYS would look like this:

Figure 3.8 A Sample 2-D TABLE Array Dialog Box

This same example, done via command input, would look like the following:

*DIM,Ttx,table,4,5,,time,X-COORD
*TREAD,Ttx,t2data,txt,,2

Back To Top

Example 3: 3-D Table

For this example, create a 3-D table named "T3data" containing temperature data as a function of time, x-coordinate, and y-coordinate and read it into a TABLE array parameter called "Ttxy." The table, in its ASCII form, would look like this:

Temp (time-X-coord) Table
Time | X-Coordinate
0 | 0 | .3 | .5 | .7 | .9
0 | 10 | 15 | 20 | 25 | 30
1 | 15 | 20 | 25 | 35 | 40
2 | 20 | 25 | 35 | 55 | 60
4 | 30 | 40 | 70 | 90 | 100
1.5 | 0 | .3 | .5 | .7 | .9
0 | 20 | 25 | 30 | 35 | 40
1 | 25 | 30 | 35 | 45 | 50
2 | 30 | 35 | 45 | 65 | 70
4 | 40 | 50 | 80 | 100 | 120

In the example above, the bold values (in the (0,0,Z) positions) indicate the separate planes. Each plane of data, along with the row and column index values, is repeated for the separate planes. Only the plane index value and the actual data values are different. The shaded area above shows the values that change from plane to plane.

In ANSYS, you define a TABLE parameter "Ttxy" using the *DIM command (Utility Menu> Parameters> Array Parameters> Define/Edit). In the case of a 3-D table, the table is dimensioned according to the number of rows, columns, and planes of data. The first column (TIME) is the row index values and the first row is the column index values. Specify 4 rows, 5 columns, 2 planes, row label of TIME, column label of X-COORD, and plane label of Y-COORD. Note that the data table you created has four rows and five columns of data in two planes, plus the row and column index values. Then read in the file as described earlier, specifying 2 skipped lines. The TABLE array in ANSYS would look like this for the second plane of data (Y=1.5):

Figure 3.9 A Sample 3-D TABLE Array Dialog Box

This same example, done via command input, would look like the following:

*DIM,Ttxy,table,4,5,2,TIME,X-COORD,Y-COORD
*TREAD,Ttxy,t3data,txt,,2

3.10.5.6. Interpolating Values

When accessing information from the array, ANSYS will interpolate values between those explicitly set.

As examples of how ANSYS interpolates values in TABLE arrays, consider the following:

Given that A is a TABLE array parameter, the ANSYS program can calculate any value between A(1) and A(2), for example

  • A(1.5) evaluates to 20.0 (halfway between 12.0 and 28.0)

  • A(1.75) evaluates to 24.0

  • A(1.9) evaluates to 26.4

Similarly, if PQ is a TABLE array parameter

  • PQ(1.5,1) evaluates to -3.4 (halfway between 2.8 and -9.6)

  • PQ(1,1.5) evaluates to 3.5 (halfway between 2.8 and 4.2)

  • PQ(3.5,1.3) evaluates to 14.88

This feature allows you to describe a function, such as y=f(x), using a TABLE array parameter. You would use the j=0 column for values of the independent variable x and the "regular" j=1 column for values of y. Consider, for example, a time-history forcing function described by five points as shown below.

Figure 3.10 Time-History Forcing Function

You can specify this function as a TABLE array parameter whose array elements are the force values, and whose row index numbers 1 through 5 are time values 0.0 through 9.3. Schematically, the parameter will then look like this:

ANSYS can calculate (through linear interpolation) force values at times not specified in the FORCE parameter. For the above example, ANSYS will calculate a value of 89.4375 for FORCE(9). If a parameter location beyond the dimensions of the array is used, no extrapolation is done and the end value is used. For example, ANSYS will provide a value of 560.0 for FORCE(5,2) or 0.0 for FORCE(12)

You can see from these examples that TABLE array parameters can be very powerful tools in your analysis. Typical applications are time-history loading functions, response spectrum curves, stress-strain curves, material-versus- temperature curves, B-H curves for magnetic materials, and so forth. Be aware that TABLE array parameters require more computer time to process than the ARRAY type.

3.10.5.7. Retrieving Values into or Restoring Array Parameter Values

You can use the *VGET command (Utility Menu> Parameters> Get Array Data), which is similar to *GET, to retrieve ANSYS supplied values and store them in an array.

You must define a starting array location number for the array parameter the *VGET command creates. Looping continues over successive entity numbers for the KLOOP default. For example, *VGET,A(1),ELEM,5,CENT,X returns the centroid x-location of element 5 and stores the result in the first location of A. Retrieving continues with elements 6, 7, and so on until successive array locations are filled. In this example, if KLOOP is 4, then the centroid of x, y, and z are returned.

To restore array parameter values, use the *VPUT command (Utility Menu> Parameters> Array Operations> Put Array Data).

The *VPUT command uses the same arguments as the *VGET command (described above), but does the opposite of the *VGET operation. For a list of valid labels for *VPUT items, see the command's description in the Commands Reference.

The ANSYS program "puts" vector items directly, without any coordinate system transformation. *VPUT can replace existing array items, but can't create new items. Degree of freedom results that are changed in the database are available for all subsequent operations. Other results change temporarily, and are available mainly for immediately following print and display operations.

Note

Use this command with extreme caution, as it can alter entire sections of the database. The *VPUT command doesn't support all items on the *VGET item list because putting values into some locations could make the ANSYS database inconsistent.

3.10.5.8. Listing Array Parameters

As with scalar parameters, you can use the *STATUS command to list array parameters. The following examples illustrate the *STATUS command in use:

*STATUS
 ABBREVIATION STATUS-

  ABBREV    STRING
  SAVE_DB   SAVE
  RESUM_DB  RESUME
  QUIT      Fnc_/EXIT
  POWRGRPH  Fnc_/GRAPHICS
  ANSYSWEB  Fnc_HomePage

 PARAMETER STATUS-           (   5 PARAMETERS DEFINED)
                  (INCLUDING     2 INTERNAL PARAMETERS)

  NAME         VALUE         TYPE     DIMENSIONS
  MYCHAR      hi        CHARACTER
  MYPAR                     ARRAY       4       6       1
  MYPAR1    .987350000      SCALAR

*STATUS,XYZ(1),5,9      ! Lists rows 5 through 9 of XYZ
 PARAMETER STATUS- XYZ       (   4 PARAMETERS DEFINED)
      LOCATION          VALUE
      5     1     1   -8.98000000
      6     1     1    9.01000000
      7     1     1   -30.6000000
      8     1     1    51.0000000
      9     1     1   -51.9000000
*STATUS,FORCE(1),,,0    ! Lists parameter FORCE, includes j=0 column
PARAMETER STATUS- FORCE     (   4 PARAMETERS DEFINED)
      LOCATION          VALUE
      1     0     1   0.000000000E+00
      2     0     1   0.800000000
      3     0     1    7.20000000
      4     0     1    8.50000000
      5     0     1    9.30000000
      1     1     1   0.000000000E+00
      2     1     1    560.000000
      3     1     1    560.000000
      4     1     1    238.500000
      5     1     1   0.000000000E+00
*STATUS,T2(1,1)         ! Lists parameter T2
PARAMETER STATUS- T2        (   4 PARAMETERS DEFINED)
      LOCATION          VALUE
      1     1     1   0.600000000
      2     1     1    2.00000000
      3     1     1   -1.80000000
      4     1     1    4.00000000
      1     2     1    7.00000000
      2     2     1    5.00000000
      3     2     1    9.10000000
      4     2     1    62.5000000
      1     3     1   2.000000000E-04
      2     3     1   -3.50000000
      3     3     1    22.0000000
      4     3     1   1.000000000E-02
*STATUS,RESULT(1)!Lists parameter RESULT
PARAMETER STATUS- RESULT     ( 4 PARAMETERS DEFINED)
LOCATION     VALUE
1     1     1     SX(CHAR)
2     1     1     SY(CHAR)
3     1     1     SZ(CHAR)

3.10.6. Writing Data Files

You can write formatted data files (tabular formatting) from data held in arrays through the *VWRITE command. The command takes up to 10 array vectors as arguments and writes the data contained in those vectors to the currently open file (*CFOPEN command). The format for each vector is specified with FORTRAN 77 data descriptors on the line following the *VWRITE command (therefore you can't issue the *VWRITE command from the ANSYS input window.)

An array vector, specified with a starting element location (such as MYARRAY(1,2,1)). You can also use an expression, which is evaluated as a constant value for that field in each row of the data file. The keyword SEQU evaluates to a sequential column of integers, starting from one.

The format of each row in the data file is determined by the data descriptor line. You must include one descriptor for each argument to the command. Do not include the word FORMAT in the descriptor line. You can use any real format or character format descriptor; however, you may not use either integer or list directed descriptors.

3.10.6.1. Format Data Descriptors

If you aren't familiar with FORTRAN data descriptors, this section will get you started with formatting your data file. For more information, consult the documentation for the FORTRAN 77 compiler for your particular platform.

You must provide a data descriptor for each data item you specify as an argument to the *VWRITE command. In general, you can use the F descriptor (floating point) for any numeric values. The F descriptor takes the syntax

Fw.d

where

w

Is the width of the data field in characters.

d

Is the number of digits to the right of the decimal point.

Thus, for a field that is 10 characters wide and has eight characters after the decimal point, you would use the following data descriptor:

F10.8

For character fields, you can use the A descriptor. The A descriptor has the syntax

Aw

where

w

Is the width of the data field in characters.

Thus, for a character field that is eight characters wide, the descriptor is

A8

The following examples illustrate the *VWRITE command and data descriptors in use.

Given that the MYDATA array has been dimensioned and filled with the following values:

The following short macro first defines the scalar parameter X as having a value of 25 and then opens the file vector (*CFOPEN command). The *VWRITE command then defines the data to be written to the file. In this case, the first vector written uses the SEQU keyword to provide row numbers. Note that in some cases that constants, scalar parameters, and operations that include array element values are written to the file. Note the data file contents for these items.

x=25
*cfopen,vector
*vwrite,SEQU,mydata(1,1,1),mydata(1,2,1),mydata(1,3,1),10.2,x,mydata(1,1,1)+3
(F3.0,'  ',F8.4,'  ',F8.1,'  'F8.6,'  ',F4.1,'  'F4.0,'  'F8.1)
*cfclos

The macro creates the following data file:

  1.    2.1522       3.9  5.286370  10.2   25.       5.2
 2.    2.3049       4.0  5.409196  10.2   25.       5.2
 3.    2.0105       3.4  5.936638  10.2   25.       5.2
 4.    2.3683       3.3  5.632203  10.2   25.       5.2
 5.    2.8491       4.8  5.978024  10.2   25.       5.2
 6.    2.2280       3.5  5.546851  10.2   25.       5.2

The second example uses the following previously dimensioned and filled array:

Note the use of descriptors in the following example *VWRITE command:

*vwrite,SEQU,mydata(1,1),mydata(1,2),(mydata1(1,1)+mydata1(1,2))
(' Row',F3.0,' contains ',2F7.3,'. Is their sum ',F7.3,' ?')

The resulting data file is

Row 1. contains  10.000 50.000.    Is their sum  60.000 ?
Row 2. contains  20.000 60.000.    Is their sum  60.000 ?
Row 3. contains  30.000 70.000.    Is their sum  60.000 ?

3.10.7. Operations Among Array Parameters

Just as parametric expressions and functions allow operations among scalar parameters, a series of commands is available to perform operations among array parameters. There are classes of operations: operations on columns (vectors), known as vector operations and operations on entire matrices (arrays), known as matrix operations. All operations are affected by a set of specification commands, which are discussed in Specification Commands for Vector and Matrix Operations.

3.10.7.1. Vector Operations

Vector operations are simply a set of operations - addition, subtraction, sine, cosine, dot product, cross product, etc. - repeated over a sequence of array elements. Do-loops (discussed in Looping: Do-Loops) can be employed for this purpose, but a more convenient and much faster way is to use the vector operation commands - *VOPER, *VFUN, *VSCFUN, *VITRP, *VFILL, *VREAD, and *VGET. Of these listed vector operation commands, only *VREAD and *VWRITE are valid for character array parameters. Other vector operation commands apply only to array parameters dimensioned ( *DIM) as ARRAY type or TABLE type.

The *VFILL, *VREAD, *VGET, *VWRITE, and *DIM commands were introduced earlier in this chapter. Other commands that are discussed in this section include

*VOPER or Utility Menu> Parameters> Array Operations> Vector Operations

Performs an operation on two input array vectors and produces a single output array vector.

*VFUN or Utility Menu> Parameters> Array Operations> Vector Functions

Performs a function on a single input array vector and produces a single output array vector.

*VSCFUN or Utility Menu> Parameters> Array Operations> Vector-Scalar Func

Determines the properties of a single input array vector and places the result in a specified scalar parameter.

*VITRP or Utility Menu> Parameters> Array Operations> VectorInterpolate

Forms an array parameter (type ARRAY) by interpolating an array parameter (type TABLE) at specified table index locations.

The examples below illustrate the use of some of these commands. Refer to the Commands Reference for syntactical information about these commands. For all of the following examples, the array parameters (of type ARRAY) X, Y, and THETA have been dimensioned and defined.

In the following example, the result array is first dimensioned (Z1). The *VOPER command then adds column 2 of X to column 1 of Y, both starting at row 1, and then places the result into Z1. Notice that the starting location (the row and column index numbers) must be specified for all array parameters. The operation then progresses sequentially down the specified vector.

*DIM,Z1,ARRAY,4
*VOPER,Z1(1),X(1,2),ADD,Y(1,1)

In the following example, again the result array (Z2) is dimensioned first. The *VOPER command then multiplies the first column of X (starting at row 2) with the fourth column of Y (starting at row 1) and writes the results to Z2 (starting at row 1).

*DIM,Z2,ARRAY,3
*VOPER,Z2(1),X(2,1),MULT,Y(1,4)

In this example, again the results array (Z4) is dimensioned first. The *VOPER command then performs the cross product of four pairs of vectors, one pair for each row of X and Y. The i, j, and k components of these vectors are columns 1, 2, and 3 respectively of X and columns 2, 3, and 4 of Y. The results are written to Z4, whose i, j, and k components are vectors 1, 2, and 3 respectively.

*DIM,Z4,ARRAY,4,3
*VOPER,Z4(1,1),X(1,1),CROSS,Y(1,2)

In the following example, the results array (A3) is dimensioned first. The *VFUN command then raises each element in vector 2 of X to the power of 2 and writes the results to A3.

*DIM,A3,ARRAY,4
*VFUN,A3(1),PWR,X(1,2),2

In this example, the results array (A4) is dimensioned. The two *VFUN commands then calculate the cosine and sine of array elements in THETA and place the results in the first and second columns, respectively, of A4. Notice that A4 now represents a circular arc spanning 90°, described by seven points (whose x, y, and z global Cartesian coordinates are the three vectors). The arc has a radius of 1.0 and lies parallel to the x-y plane at z = 2.0.

*DIM,A4,ARRAY,7,3
*AFUN,DEG
*VFUN,A4(1,1),COS,THETA(1)
*VFUN,A4(1,2),SIN,THETA(1)
A4(1,3)=2,2,2,2,2,2,2

In this example, the results array (A5) is first dimensioned. Then, the *VFUN command calculates the tangent vector at each point on the curve represented by A4, normalizes it to 1.0, and places the results in A5.

*DIM,A5,ARRAY,7,3
*VFUN,A5(1,1),TANG,A4(1,1)

Two additional *VOPER operations, gather (GATH) and scatter (SCAT), are used to copy values from one vector to another based on numbers contained in a "position" vector. The following example demonstrates the gather operation. Note that, as always, the results array must be dimensioned first. In the example, the gather operation copies the value of B1 to B3 (using the index positions specified in B2). Note that the last element in B3 is 0 as this is its initialized value.

*DIM,B1,,4
*DIM,B2,,3
*DIM,B3,,4
B1(1)=10,20,30,40
B2(1)=2,4,1
*VOPER,B3(1),B1(1),GATH,B2(1)

3.10.7.2. Matrix Operations

Matrix operations are mathematical operations between numerical array parameter matrices, such as matrix multiplication, calculating the transpose, and solving simultaneous equations.

Commands discussed in this section include

*MOPER or Utility Menu> Parameters> Array Operations> Matrix Operations

Performs matrix operations on two input array parameter matrices and produces one output array parameter matrix. Matrix operations include:

  • Matrix multiplication

  • Solution of simultaneous equations

  • Sorting (in ascending order) on a specified vector in a matrix

  • Covariance between two vectors

  • Correlation between two vectors

*MFUN or Utility Menu> Parameters> Array Operations> Matrix Functions

Copies or transposes an array parameter matrix (accepts one input matrix and produces one output matrix).

*MFOURI or Utility Menu> Parameters> Array Operations> Matrix Fourier

Calculates the coefficients for or evaluates a Fourier series.

The examples below illustrate the use of some of these commands. Refer to the Commands Reference for syntactical information about these commands.

This example shows the sorting capabilities of the *MOPER command. For this example, assume that the array (SORTDATA) has been dimensioned and its element values have been defined as follows:

First, the OLDORDER array is dimensioned. The *MOPER command will place the original order of the rows into OLDORDER. The *MOPER command then sorts the rows in SORTDATA so that the 1,1 vector is now in ascending order.

*dim,oldorder,,5
*moper,oldorder(1),sortdata(1,1),sort,sortdata(1,1)

The following array values result from the *MOPER command:

To put the SORTDATA array back into its original order, you could then issue the following command:

*moper,oldorder(1),sortdata(1,1),sort,oldorder(1,1)

In the following example, the *MOPER command solves a set of simultaneous equations. The following two arrays have been dimensioned and their values assigned:

The *MOPER command can solve a set of simultaneous equations for a square matrix. The equations take the form

an1X1 + an2X2 + , . . . , + annXn = bn

In the case of the above arrays, the *MOPER command will solve the following set of simultaneous equations:

2X1 + 4X2 + 3X3 +2X4 = 2

3X1 + 6X2 + 5X3 + 2X4 = 2

2X1 + 5X2 + 2X3 - 3X4 =3

4X1 + 5X2 +14X3 + 14X4 = 11

To solve the equations, first the results array (C) is dimensioned. Then the *MOPER command solves the equations, using A as the matrix of a coefficients and B as a vector of b values.

*DIM,C,,4
*MOPER,C(1),A(1,1),SOLV,B(1)

The C array now contains the following solutions.

The following example shows the *MFUN command used to transpose data in an array. For this example, assume that the array (DATA) was dimensioned and filled with the following values:

As always, the results array (DATATRAN) is dimensioned first, then the *MFUN command transposes the values and writes them to DATATRAN.

*DIM,DATATRAN,,2,3
*MFUN,DATATRAN(1,1),TRAN,DATA(1,1)

The following shows the results in the DATATRAN array:

3.10.7.3. Specification Commands for Vector and Matrix Operations

All the vector and matrix operation commands are affected by the setting of the following specification commands: *VCUM, *VABS, *VFACT, *VLEN, *VCOL, and*VMASK. (Of all specification commands, only *VLEN and *VMASK, in conjunction with *VREAD or *VWRITE, are valid for character array parameters.) You can check the status of these commands with the *VSTAT command. Most of these commands (and their corresponding GUI paths) were introduced earlier in this chapter. The others are explained in the following.

With the exception of the *VSTAT command, which you cannot access directly in the GUI, all of the specification commands described below are available via menu path Utility Menu> Parameters> Array Operations> Operation Settings.

Important: All specification commands are reset to their default settings after each vector or matrix operation.

The following lists the available array specification commands:

*VCUM

Specifies whether results will be cumulative or noncumulative (overwriting previous results). ParR, the result of a vector operation, is either added to an existing parameter of the same name or overwritten. The default is noncumulative results, that is, ParR overwrites an existing parameter of the same name.

*VABS

Applies an absolute value to any or all of the parameters involved in a vector operation. The default is to use the real (algebraic) value.

*VFACT

Applies a scale factor to any or all of the parameters involved in a vector operation. The default scale factor is 1.0 (full value).

*VCOL

Specifies the number of columns in matrix operations. The default is to fill all locations of the result array from the specified starting location.

*VSTAT

Lists the current specifications for the array parameters.

*VLEN or Utility Menu> Parameters> Array Operations> Operation Settings

Specifies the number of rows to be used in array parameter operations.

*VMASK or Utility Menu> Parameters> Array Operations> Operation Settings

Specifies an array parameter as a masking vector.

The following table lists the various specification commands and the vector and matrix array commands that they affect.

 | *VABS | *VFACT | *VCUM | *VCOL | *VLEN ,NROW,NINC |  | *VMASK
*MFOURI | No | No | No | No | No | No | No
*MFUN | Yes | Yes | Yes | No | Yes | No | Yes
*MOPER | Yes | Yes | Yes | No | Yes | No | Yes
*VFILL | Yes | Yes | Yes | N/A | Yes | Yes | Yes
*VFUN | Yes | Yes | Yes | N/A | Yes | Yes | Yes
*VGET | Yes | Yes | Yes | N/A | Yes | Yes | Yes
*VITRP | Yes | Yes | Yes | N/A | Yes | Yes | Yes
*VOPER | Yes | Yes | Yes | N/A | Yes | Yes | Yes
VPLOT | No | No | N/A | N/A | Yes | Yes | Yes
*VPUT | Yes | Yes | No | N/A | Yes | Yes | Yes
*VREAD | Yes | Yes | Yes | N/A | Yes | Yes | Yes
*VSCFUN | Yes | Yes | Yes | N/A | Yes | Yes | Yes
*VWRITE | No | No | N/A | N/A | Yes | Yes | Yes

The examples below illustrate the use of some of the specification commands. Refer to the Commands Reference for syntactical information about these commands.

In the following, the results array (CMPR) is dimensioned. The two *VFUN commands, in conjunction with the preceding *VMASK and *VLEN commands, then compress selected data and write them to specified locations in CMPR. The complement to the COMP operation is the EXPA operation on the *VFUN command.

*DIM,CMPR,ARRAY,4,4
*VLEN,4,2! Do next *V---- operation on four rows,
! skipping every second row
*VFUN,CMPR(1,2),COMP,Y(1,1)
*VMASK,X(1,3)!Use column 3 of X as a mask for next *V----
! operation
*VFUN,CMPR(1,3),COMP,Y(1,2)

This example uses the *VFACT command to round the values in an array vector to the number of decimal places specified by the NUMDP scalar parameter (set to 2 in the example). The NUMDATA array has been dimensioned and filled with the following values:

numdp=2
*vfact,10**numdp
*vfun,numdata(1),copy,numdata(1)
*vfun,numdata(1),nint,numdata(1)
*vfact,10**(-numdp)
*vfun,numdata(1),copy,numdata(1)

or, you can use a slightly shorter version

numdp=2
*vfact,10**numdp
*vfun,numdata(1),copy,numdata(1)
*vfact,10**(-numdp)
*vfun,numdata(1),nint,numdata(1)

The resultant NUMDATA array is then:

This example uses the *VLEN and *VMASK commands to find the set of prime numbers less than 100. An array, MASKVECT, is created using 1.0 to indicate that the row value is a prime number and 0.0 to indicate that the value isn't prime. The algorithm used to create the mask vector is to initialize all rows whose value is greater than 1 to 1.0 and then loop through the range of possible factors, eliminating all multiples of the factor. The *VLEN command sets the row increment for performing operations to FACTOR. When the *VFILL command is processed, the row number is incremented by this value. Because the starting row is FACTOR x 2, the rows are processed by each loop in the following manner: FACTOR x 2, FACTOR x 3, FACTOR x 4, etc.

*dim,maskvect,,100
*vfill,maskvect(2),ramp,1
*do,factor,2,10,1
*vlen,,factor
*vfill,maskvect(factor*2),ramp,0
*enddo
*vmask,maskvect(1)
*dim,numbers,,100
*vfill,numbers(1),ramp,1,1
*status,numbers(1),1,10

The resultant output from the *STATUS command, showing the first 10 elements in NUMBERS is:

PARAMETER STATUS- NUMBERS   (   5 PARAMETERS DEFINED)
                  (INCLUDING     2 INTERNAL PARAMETERS)

      LOCATION          VALUE
      1     1     1   0.000000000E+00
      2     1     1   2.00000000
      3     1     1   3.00000000
      4     1     1   0.000000000E+00
      5     1     1   5.00000000
      6     1     1   0.000000000E+00
      7     1     1   7.00000000
      8     1     1   0.000000000E+00
      9     1     1   0.000000000E+00
     10     1     1   0.000000000E+00

3.10.8. Plotting Array Parameter Vectors

You can graphically display array vector values using the *VPLOT command.

The following demonstrates some of the capabilities of the *VPLOT command. For this example, two TABLE arrays (TABLEVAL and TABLE) and one numeric array have been dimensioned and filled with the following values:

The following are example *VPLOT commands and their resulting plots. Note that since ARRAY data is unordered it is plotted as a histogram; TABLE data is ordered and is therefore plotted as a curve.

Figure 3.11 Sample Plot Using *VPLOT,,arrayval(1,1),2

Figure 3.12 Sample Plot Using *VPLOT,,tableval(1,1),2

Figure 3.13 Sample Plot Using *VPLOT,table2(1),tableval(1,1),2

Figure 3.14 Sample Plot Using *VPLOT,tableval(1,0),tableval(1,1),2

3.10.9. Modifying Curve Labels

When you use *VPLOT to create your curves, default labels are assigned. Normally, the label for curve 1 is “COL 1”, the label for curve 2 is “COL 2” and so on; the column number is the field containing the dependent variables for that particular curve. You can use the /GCOLUMN command to apply your own labels to the curves (any string of up to eight characters).

The example below uses the /GCOLUMN command at the beginning of the program input to apply the labels “string01” and “string02” to the array curve.

/gcol,1,string01
/gcol,2,string02

*dim,xxx,array,10
*dim,yyy,array,10,2

xxx( 1,1) =1e6
xxx( 2,1) = 1e6 + 1e5
xxx( 3,1) = 1e6 + 2e5
xxx( 4,1) = 1e6 + 3e5
xxx( 5,1) = 1e6 + 4e5
xxx( 6,1) = 1e6 + 5e5
xxx( 7,1) = 1e6 + 6e5
xxx( 8,1) = 1e6 + 7e5
xxx( 9,1) = 1e6 + 8e5
xxx(10,1) = 1e6 + 9e5

yyy( 1,1) = 1
yyy( 2,1) = 4
yyy( 3,1) = 9
yyy( 4,1) = 16
yyy( 5,1) = 25
yyy( 6,1) = 36
yyy( 7,1) = 49
yyy( 8,1) = 64
yyy( 9,1) = 81
yyy(10,1) = 100

yyy( 1,2) = 1
yyy( 2,2) = 2
yyy( 3,2) = 3
yyy( 4,2) = 4
yyy( 5,2) = 5
yyy( 6,2) = 6
yyy( 7,2) = 7
yyy( 8,2) = 8
yyy( 9,2) = 9
yyy(10,2) = 10

*vplo,xxx(1,1), yyy(1,1) ,2

Figure 3.15 Sample Plot With User-specified Labels

The labels can be returned to the default value (COL 1 and COL 2) by issuing the /GCOLUMN command with no string specified.

/gcol,1
/gcol,2

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.9. Saving, Resuming, and Writing Parameters 		Up / Home Next
Chapter 4. APDL as a Macro Language


Chapter 4. APDL as a Macro Language

You can record a frequently used sequence of ANSYS commands in a macro file (these are sometimes called command files). Creating a macro enables you to, in effect, create your own custom ANSYS command. For example, calculating power loss due to eddy currents in a magnetic analysis would require a series of ANSYS commands in the postprocessor. By recording this set of commands in a macro, you have a new, single command that executes all of the commands required for that calculation. In addition to executing a series of ANSYS commands, a macro can call GUI functions or pass values into arguments.

You can also nest macros. That is, one macro can call a second macro, the second macro can call a third macro, and so on. You can use up to 20 nesting levels, including any file switches caused by the ANSYS /INPUT command. After each nested macro executes, the ANSYS program returns control to the previous macro level.

The following is a very simple example macro file. In this example, the macro creates a block with dimensions 4, 3, and, 2 and a sphere with a radius of 1. It then subtracts the sphere from one corner of the block.

/prep7
/view,,-1,-2,-3
block,,4,,3,,2
sphere,1
vsbv,1,2
finish

If this macro were called mymacro.mac, you could execute this sequence of commands with the following single ANSYS command

*use,mymacro

or (because the extension is .mac)

mymacro

Although this is not a realistic macro, it does illustrate the principle.

This chapter provides information on the various ways you can create, store, and execute macros. It also discusses the basic information you need to use APDL as a scripting language in creating macros. APDL commands used to define and execute macros are listed in Chapter 2 of the Commands Reference.

The following specific macro topics are available:

  • Creating a Macro
  • Executing Macros and Macro Libraries
  • Local Variables
  • Controlling Program Flow in APDL
  • Control Functions Quick Reference
  • Using the _STATUS and _RETURN Parameters in Macros
  • Using Macros with Components and Assemblies
  • Reviewing Example Macros

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.10. Array Parameters 		Up / Home Next
4.1. Creating a Macro


4.1. Creating a Macro

You can create macros either within ANSYS itself or using your text editor of choice (such as emacs, vi, or wordpad). If your macro is fairly simple and short, creating it in ANSYS can be very convenient. If you are creating a longer, more complex macro or editing an existing macro then you will need a text editor. Also, using a text editor allows you to use a similar macro or ANSYS log file as the source for your macro.

For any long, complex macro you should always consider either using a similar macro as a starting point or running the task interactively in ANSYS and using the resulting log file as the basis of your macro. Either method can greatly reduce the time and effort required to create a suitable macro.

The following creating macro topics are available:

  • Macro File Naming Conventions
  • Macro Search Path
  • Creating a Macro Within ANSYS
  • Creating Macros with a Text Editor
  • Using Macro Library Files

4.1.1. Macro File Naming Conventions

Macros are a sequence of ANSYS commands stored in a file. Macros should not have the same name as an existing ANSYS command, or start with the first four characters of an ANSYS command, because ANSYS will execute the internal command instead of the macro. The following naming restrictions apply to macro files:

  • The file name cannot exceed 32 characters.

  • The file name cannot begin with a numeral.

  • The file extension cannot contain more than eight characters (if you are executing the macro as if it were an ANSYS command it should have the extension .mac.)

  • The file name or extension cannot contain spaces.

  • The file name or extension cannot contain any characters prohibited by your file system and for portability should not contain any characters prohibited by either UNIX or Windows file systems.

To ensure that you are not using the name of an ANSYS command, before creating a macro try running the file name that you wish to use as an ANSYS command. If ANSYS returns the message shown below, you will know that the command is not used in the current processor. You should check the macro file name in each processor in which you plan to use the macro. (You could also check if the macro file name matches any command listed in the online documentation; however, this method cannot locate the names of undocumented commands.)

Figure 4.1 ANSYS Message Box for Unknown Command

Using the .mac extension allows ANSYS to execute the macro as it would any internal command. You should avoid using the extension .MAC because it is used for ANSYS internal macros.

4.1.2. Macro Search Path

By default, ANSYS searches for a user macro file (.mac extension) in the following locations:

  1. The /ansys_inc/v110/ansys/apdl directory.

  2. The directory (or directories) designated by the ANSYS_MACROLIB environment variable (if defined) or the login (home) directory. This environment variable is documented in The ANSYS Environment chapter of the Operations Guide.

  3. The directory designated by the $HOME environment variable.

  4. The working directory.

You can place macros for your personal use in your home directory. Macros that should be available across your site should be placed in the /ansys_inc/v110/ansys/apdl directory or some commonly accessible directory that everyone can reference through the ANSYS_MACROLIB environment variable.

For Windows users: The "current directory" is the default directory (usually a network resource) set by administrators and you should ask your network administrator for its location. You can use environment variables to create a local "home directory." The local home directory is checked after the default directory designated in your domain profile.

4.1.3. Creating a Macro Within ANSYS

You can create a macro by four methods from within ANSYS:

  • Issue the *CREATE command in the input window. Parameter values are not resolved and parameter names are written to the file.

  • Use the *CFOPEN, *CFWRITE, and *CFCLOS commands. Parameter names are resolved to their current values and those values are written to the macro file.

  • Issue the /TEE command in the input window. This command writes a list of commands to a file at the same time that the commands are being executed. As the commands are executed in the current ANSYS session, parameter names are resolved to their current values. However, in the file that is created, parameter values are not resolved and parameter names are written instead.

  • Choose the Utility Menu> Macro> Create Macro menu item. This method opens a dialog box that can be used as a simple, multiline editor for creating macros. Parameter values are not resolved and parameter names are written to the file.

The following sections detail each of these methods.

4.1.3.1. Using *CREATE

Issuing *CREATE redirects ANSYS commands entered in the command input window to the file designated by the command. All commands are redirected until you issue the *END command. If an existing file has the same name as the macro file name you specify, the ANSYS program overwrites the existing file.

For example, suppose that you want to create a macro called matprop.mac, which automatically defines a set of material properties. The set of commands entered into the input window for this macro might look like this:

*CREATE,matprop,mac,macros
MP,EX,1,2.07E11
MP,NUXY,1,.27
MP,DENS,1,7835
MP,KXX,1,42
*END

The *CREATE command takes arguments of the file name, the file extension, and the directory path (in this case, the macros directory is specified).

When using *CREATE, all parameters used in commands are written to the file (the currently assigned values for the parameter are not substituted).

You cannot use *CREATE within a DO loop.

4.1.3.2. Using *CFWRITE

If you wish to create a macro file in which current values are substituted for parameters you can use *CFWRITE. Unlike *CREATE, the *CFWRITE command cannot specify a macro name; you must first specify the macro file with the *CFOPEN command. Only those ANSYS commands that are explicitly prefaced with a *CFWRITE command are then written to the designated file; all other commands entered in the command input window are executed. As with the *CREATE command, *CFOPEN can specify a file name, a file extension, and a path. The following example writes a BLOCK command to the currently open macro file.

*cfwrite,block,,a,,b,,c

Note that parameters were used for arguments to the BLOCK command. The current value of those parameters (and not the parameter names) are written to the file. So, for this example, the line written to the macro file might be

*cfwrite,block,,4,,2.5,,2

To close the macro file, issue the *CFCLOS command.

Note

While it is possible to create a macro through this method, these commands are most useful as a method for writing ANSYS commands to a file during macro execution.

4.1.3.3. Using /TEE

Issuing /TEE,NEW or /TEE,APPEND redirects ANSYS commands entered in the command input window to the file designated by the command at the same time that the commands are being executed. All commands are executed and redirected until you issue the /TEE,END command. If an existing file has the same name as the macro file name you specify with /TEE,NEW, the ANSYS program overwrites the existing file. To avoid this, use /TEE,APPEND instead.

In addition to the Label argument (which can have a value of NEW, APPEND, or END), the /TEE command takes arguments of the file name, the file extension, and the directory path.

As the commands are executed in the current ANSYS session, all parameter names are resolved to their current values. However, in the file that is created, parameter names are written (the currently assigned values for the parameter are not substituted). If your current parameter values are important, you can save the parameters to a file using the PARSAV command.

For an example, see the description of the /TEE command in the Commands Reference.

4.1.3.4. Using Utility Menu> Macro> Create Macro

Choosing this menu item opens an ANSYS dialog box that you can use as a simple editor for creating macros. You cannot open and edit an existing macro with this facility; if you use the name of an existing macro as the arguments for the *CREATE field, the existing file will be overwritten.

Figure 4.2 The Create Menu Dialog Box

As with the *CREATE command, parameters are not evaluated but are written verbatim into the macro file. Note that you do not make the last line a *END command.

4.1.4. Creating Macros with a Text Editor

You can use your favorite text editor to create or edit macro files. Any ASCII editor will work. Moreover, ANSYS macros can have their lines terminated by either UNIX or Windows line ending conventions (carriage-return, line-feed pairs or simply line-feeds) so you can create a macro on one platform and use it on several platforms.

If you use this method to create macros, do not include the *CREATE and *END commands.

Figure 4.3 A Macro Created in a Text Editor

4.1.5. Using Macro Library Files

As a convenience, ANSYS allows you to place a set of macros in a single file, called a macro library file. You can create these either through the *CREATE command or through a text editor. Given that macro libraries tend to be longer than single macros, using a text editor normally provides the best approach.

Macros libraries have no explicit file extension and follow the same file naming conventions as macro files. A macro library file has the following structure:

MACRONAME1
.
.
.
/EOF
MACRONAME2
.
.
.
/EOF
MACRONAME3
.
.
.
./EOF

For example, the following macro file contains two simple macros:

mybloc
/prep7
/view,,-1,-2,-3
block,,4,,3,,2
finish
/EOF
mysphere
/prep7
/view,,-1,-2,-3
sphere,1
finish
/EOF

Note that each macro is prefaced with a macro name (sometimes referred to as a data block name) and ends with a /EOF command.

A macro library file can reside anywhere on your system, although for convenience you should place it within the macro search path. Unlike macro files, a macro library file can have any extension up to eight characters.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 4. APDL as a Macro Language 		Up / Home Next
4.2. Executing Macros and Macro Libraries


4.2. Executing Macros and Macro Libraries

You can execute any macro file by issuing the *USE command. For example, to execute the macro called MYMACRO (no extension) residing somewhere in the macro search path, you would issue

*use,mymacro

In this case, the macro takes no arguments. If instead the macro was called MYMACRO.MACRO and resided in /myaccount/macros, you could call it with

*use,/myaccount/macros/mymacro.macro

Note that the *USE command allows you to enter the path and extension along with the file name and that these are not entered as separate arguments.

If a macro has a .mac file extension and resides in the search path, you can execute it as if it were an ANSYS command by simply entering it in the command input window. For example, to call mymacro.mac you could simply enter

mymacro

You can also execute macros with a .mac extension through the Utility Menu> Macro> Execute Macro menu item.

If the same macro takes arguments (see Passing Arguments to a Macro for more information about passing arguments to macros), then these can be entered on the command line as follows

mymacro,4,3,2,1.5

or

*use,mymacro.mac,4,3,2,1.5

The Utility Menu> Macro> Execute Macro menu item dialog provides fields for arguments.

Executing macros contained in macro libraries is similar. You must first specify the library file using the *ULIB command. For example, to specify that macros are in the mymacros.mlib file, which resides in the /myaccount/macros directory, you would issue the following command:

*ulib,mymacros,mlib,/myaccount/macros/

After selecting a macro library, you can execute any macro contained in the library by specifying it through the *USE command. As with macros contained in individual files, you can specify arguments as parameters in the *USE command.

Note

You cannot use the *USE command to access macros not contained in the specified macro library file after issuing the *ULIB command.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.1. Creating a Macro 		Up / Home Next
4.3. Local Variables


4.3. Local Variables

APDL provides two sets of specially named scalar parameters which are available for use as local variables. These consist of

  • A set of scalar parameters that provide a way of passing command line arguments to the macro.

  • A set of scalar parameters that can be used within the macro. These provide a set of local variables that can be used to define values only within that macro.

The following sections discuss both of these variable types in detail.

4.3.1. Passing Arguments to a Macro

There are 19 scalar parameters that you can use to pass arguments from the macro execution command line to the macro. These scalar parameters can be reused with multiple macros; that is, their values are local to each macro. The parameters are named ARG1 through AR19 and they can be used for any of the following items:

  • Numbers

  • Alphanumeric character strings (up to eight characters enclosed in single quotes)

  • Numeric or character parameters

  • Parametric expressions

Note

You can pass only the values of parameters ARG1 through AR18 to a macro as arguments with the *USE command. If you create a macro that can be used as an ANSYS command (the macro files has a .mac extension), you can pass the values of parameters ARG1 through AR19 to the macro.

For example, the following simple macro requires four arguments, ARG1, ARG2, ARG3, and ARG4:

/prep7
/view,,-1,-2,-3
block,,arg1,,arg2,,arg3
sphere,arg4
vsbv,1,2
finish

To execute this macro, a user might enter

mymacro,4,3,2.2,1

4.3.2. Local Variables Within Macros

Each macro can have up to 80 scalar parameters used as local variables (AR20 through AR99). These parameters are completely local to the macro, and multiple macros can each have their own unique values assigned to these parameters. These parameters are not passed to macros called from macros (nested macros). They are passed to any files processed through a /INPUT command or a "do loop" processed within the macro.

4.3.3. Local Variables Outside of Macros

ANSYS also has a similar set of ARG1 through AR99 scalar parameters that are local to an input file, and are not passed to any macros called by that input file. Thus, once a macro finishes and execution returns to an input file, the values of ARG1 through AR99 revert to whatever values were defined within the input file.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.2. Executing Macros and Macro Libraries 		Up / Home Next
4.4. Controlling Program Flow in APDL


4.4. Controlling Program Flow in APDL

When executing an input file, ANSYS is normally restricted to linear program flow; that is, each statement is executed in the order that it is encountered in the listing. However, APDL provides a rich set of commands that you can use to control program flow. These commands are listed in Chapter 2 of the Commands Reference.

  • Call subroutines (nested macros).

  • Branch unconditionally to a specified location with a macro.

  • Branch based upon a condition to a specified location within a macro.

  • Repeat the execution of a single command, incrementing one or more command parameters.

  • Loop through a section of a macro a specified number of times.

The following sections detail each of these program control capabilities. For the exact syntax of the commands, refer to the Commands Reference.

  • Nested Macros: Calling Subroutines Within a Macro
  • Unconditional Branching: Goto
  • Conditional Branching: The *IF Command
  • Repeating a Command
  • Looping: Do-Loops
  • Implied (colon) Do Loops
  • Additional Looping: Do-While

4.4.1. Nested Macros: Calling Subroutines Within a Macro

APDL allows you to nest macros up to 20 levels deep, providing functionally similar capability to a FORTRAN 77 CALL statement or to a function call. You can pass up to 19 arguments to the macro and, at the conclusion of each nested macro, execution returns to the level that called the macro. For example, the following simply macro library file shows the MYSTART macro, which calls the MYSPHERE macro to create the sphere.

mystart
/prep7
/view,,-1,-2,-3
mysphere,1.2
finish
/eof
mysphere
sphere,arg1
/eof

4.4.2. Unconditional Branching: Goto

The simplest branching command, *GO, instructs the program to go to a specified label without executing any commands in between. Program flow continues from the specified label. For example

*GO,:BRANCH1
---    ! This block of commands is skipped (not executed)
---
:BRANCH1
---
---

The label specified by the *GO command must start with a colon (:) and must not contain more than eight characters, including the colon. The label can reside anywhere within the same file.

Note

The use of *GO is now considered obsolete and is discouraged. See the other branching commands for better methods of controlling program flow.

4.4.3. Conditional Branching: The *IF Command

APDL allows you to execute one of a set of alternative blocks based on the evaluation of a condition. The conditions are evaluated by comparing two numerical values (or parameters that evaluate to numerical values).

The *IF command has the following syntax

*IF, VAL1, Oper, VAL2, Base

Where

  • VAL1 is the first numerical value (or numerical parameter) in the comparison.

  • Oper is the comparison operator.

  • VAL2 is the second numerical value (or numerical parameter) in the comparison.

  • Base is the action that occurs if the comparison evaluates as true.

APDL offers eight comparison operators, which are discussed in detail in the *IF command reference. Briefly these are:

EQ

Equal (for VAL1 = VAL2).

NE

Not equal (for VAL1 ≠ VAL2).

LT

Less than (for VAL1 < VAL2).

GT

Greater than (for VAL1 > VAL2).

LE

Less than or equal (for VAL1 [image] VAL2).

GE

Greater than or equal (for VAL1 [image] VAL2).

ABLT

Absolute values of VAL1 and VAL2 before < operation.

ABGT

Absolute values of VAL1 and VAL2 before > operation.

By giving the Base argument a value of THEN, the *IF command becomes the beginning of an if-then-else construct (similar to the FORTRAN equivalent). The construct consists of

  • An *IF command, followed by

  • One or more optional *ELSEIF commands

  • An optional *ELSE command

  • A required *ENDIF command, marking the end of the construct.

In its simplest form, the *IF command evaluates the comparison and, if true, branches to a label specified in the Base argument. This is similar to the "computed goto" in FORTRAN 77. (In combination, a set of such *IF commands could function similarly to the CASE statements in other programming languages.) Take care not to branch to a label within an if-then-else construct or do-loop. If a batch input stream hits an end-of-file during a false *IF condition, the ANSYS run will not terminate normally. You will need to terminate it externally (use either the UNIX “kill” function or the Windows task manager).

By setting the Base argument to a value of STOP, you can exit from ANSYS based on a particular condition.

An if-then-else construct simply evaluates a condition and executes the following block or jumps to the next statement following the *ENDIF command (shown with the "Continue" comment).

*IF,A,EQ,1,THEN
    !  Block1
    .
    .
*ENDIF
! Continue

The following example shows a more complex structure. Note that only one block can be executed. If no comparison evaluates to true, the block following the *ELSE command is executed.

Figure 4.4 A Sample If-Then-Else Construct

Note

You can issue a /CLEAR command within an if-then-else construct. The /CLEAR command does not clear the *IF stack and the number of *IF levels is retained. An *ENDIF is necessary to close any branching logic. Also, keep in mind that the /CLEAR command deletes all parameters, including any that are used in your branching commands. You can avoid any problems that might arise from the deletion of parameters by issuing a PARSAV command before the /CLEAR command, and then following the /CLEAR command with a PARRES command.

4.4.4. Repeating a Command

The simplest looping capability, the *REPEAT command, allows you to execute the directly preceding command a specified number of times, incrementing any field in that command by a constant value. In the example

E,1,2
*REPEAT,5,0,1

the E command generates one element between nodes 1 and 2 and the following *REPEAT command specifies that E executes a total of five times (including the original E command), incrementing the second node number by one for each additional execution. The result is five total elements with node connectivities 1-2, 1-3, 1-4, 1-5, and 1-6.

Note

Most commands that begin with a slash (/) or an asterisk (*), as well as macros executed as "unknown commands," cannot be repeated. However, graphics commands that begin with a slash can be repeated. Also, avoid using the *REPEAT command with interactive commands, such as those that require picking or those that require a user response.

4.4.5. Looping: Do-Loops

A do-loop allows you to loop through a series of commands a specified number of times. The *DO and *ENDDO commands mark the beginning and ending points for the loop. *DO command has the following syntax:

The following example do-loop edits five load step files (numbered 1 through 5) and makes the same changes in each file.

*DO,I,1,5       ! For I = 1 to 5:
LSREAD,I        ! Read load step file I
OUTPR,ALL,NONE  ! Change output controls
ERESX,NO
LSWRITE,I       ! Rewrite load step file I
*ENDDO

You can add your own loop controls by using the *IF, *EXIT, or *CYCLE commands.

Keep the following guidelines in mind when constructing do-loops.

  • Do not branch out of a do-loop with a :Label on the *IF or *GO commands.

  • Avoid using a :Label to branch to a different line within a do-loop. Use if-then-else-endif instead.

  • Output from commands within a do-loop is automatically suppressed after the first loop. Use /GOPR or /GO (no response line) within the do-loop if you need to see output for all loops.

  • Take care if you include a /CLEAR command within a do-loop. The /CLEAR command does not clear the do-loop stack, but it does clear all parameters including the loop parameter in the *DO statement itself. You can avoid the problem of having an undefined looping value by issuing a PARSAV command before the /CLEAR command, and then following the /CLEAR command with a PARRES command.

4.4.6. Implied (colon) Do Loops

You can also use the implied (colon) convention for do loops. Using this convention is typically faster because the looping is done in memory. The correct syntax is:

(x:y:z)
with z defaulting to 1 if not specified. For example:
n,(1:6),(2:12:2)
will perform the same steps as:
n,1,2
n,2,4
n,3,6
.
.
.
n,6,12

When using the implied (colon) do loops, be aware that the shortest expression controls execution. For example,

n,(1:7),(2:12:2)
would behave identically to the example above.

Additional numeric fields that do not have the colon (:) will be taken as a constant value.

Also, non-integer numbers will function normally. However, if non-integer numbers are applied to a command that requires integers, then the non-integer will be rounded off following normal mathematical conventions.

This looping convention can be used only for fields requiring a numeric entry. Looping may also be used with GET function arguments, for example a(1:5)=nx(1:5). A text entry field will process (x:y:z) as a literal value.

4.4.7. Additional Looping: Do-While

You can also perform looping functions that will repeat indefinitely until an external parameter changes. The *DOWHILE command has the following syntax:

*DOWHILE,Parm

The loop repeats as long as the parameter Parm is TRUE. If Parm becomes false (less than or equal to 0.0), the loop terminates. The *CYCLE and *EXIT commands can be used within a *DOWHILE loop.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.3. Local Variables 		Up / Home Next
4.5. Control Functions Quick Reference


4.5. Control Functions Quick Reference

The table below describes APDL commands that perform control functions within macros.

Most of the important information about these commands appears here, but you may want to look at the complete command descriptions in the Commands Reference.

APDL Command | Action It Takes | Usage Tips
*DO Defines the start of a "do" loop. The commands following the *DO command execute (up to the *ENDDO command) repeatedly until some loop control is satisfied.

  • You can also control looping via the *IF command.

  • ANSYS allows up to 20 levels of nested “do” loops, although “do” loops that include /INPUT, *USE, or an “unknown” command macro support fewer nesting levels because they do internal file switching.

  • *DO, *ENDDO, *CYCLE, and *EXIT commands in a “do” loop must all read from the same file or the keyboard.

  • Do not include picking operations in a “do” loop.

  • Be careful if you include a /CLEAR command within a do-loop. The /CLEAR command does not clear the do-loop stack, but it does clear all parameters including the loop parameter in the *DO statement itself. You can avoid the problem of having an undefined looping value by issuing a PARSAV command before the /CLEAR command, and then following the /CLEAR command with a PARRES command.

*ENDDO | Ends a "do" loop and starts the looping action. | You must use one *ENDDO command for each nested "do" loop. The *ENDDO and *DO commands for a loop must be on the same file.
*CYCLE | When executing a "do" loop, ANSYS bypasses all commands between the *CYCLE and *ENDDO commands, then (if applicable) initiates the next loop. | You can use the cycle option conditionally (via the *IF command). The *CYCLE command must appear on the same file as the *DO command and must appear before the *ENDDO command.
*EXIT | Exits from a "do" loop. | The command following the *ENDDO command executes next. The *EXIT and *DO commands for a loop must be on the same file. You can use the exit option conditionally (via the *IF command).
*IF Causes commands to be read conditionally.

  • You can have up to 10 nested levels of *IF blocks.

  • You cannot jump into, out of, or within a "do" loop or an if-then-else construct to a :label line, and jumping to a :label line is not allowed with keyboard entry.

  • You can issue a /CLEAR command within an if-then-else construct. The /CLEAR command does not clear the *IF stack and the number of *IF levels is retained. An *ENDIF is necessary to close any branching logic.

  • The /CLEAR command deletes all parameters, including any that are used in your branching commands. You can avoid any problems that might arise from the deletion of parameters by issuing a PARSAV command before the /CLEAR command, and then following the /CLEAR command with a PARRES command.

*ENDIF | Terminates an if-then-else construct. (See the *IF discussion for details.) | The *IF and *ENDIF commands must appear in the same file.
*ELSE | Creates a final, optional block separator within an if-then-else construct. (See the *IF discussion for details.) | The *ELSE and *IF commands must appear in the same file.
*ELSEIF | Creates an optional, intermediate block separator within an if-then-else construct. | If Oper = EQ or NE, VAL1 and VAL2 can also be character strings (enclosed in quotes) or parameters. The *IF and *ELSEIF commands must be on the same file.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.4. Controlling Program Flow in APDL 		Up / Home Next
4.6. Using the _STATUS and _RETURN Parameters in Macros


4.6. Using the _STATUS and _RETURN Parameters in Macros

The ANSYS program generates two parameters, _STATUS and _RETURN, that you can also use in your macros. For example, you might use the _STATUS or _RETURN value in an "if-then-else" construct to have the macro take some action based on the outcome of executing an ANSYS command or function.

Solid modeling functions generate the _RETURN parameter, which contains the result of executing the function. The following table defines the _RETURN values for the various solid modeling functions:

Table 4.1 _RETURN Values

Command | Function | _RETURN Value
Keypoints
K | Defines a keypoint | keypoint number
KL | Keypoint on a line | Keypoint number
KNODE | Keypoint at node | Keypoint number
KBETW | Keypoint between two keypoints | KP number
KCENTER | Keypoint at center | KP number
Lines |  |
BSPLIN | Generate spline | Line number
CIRCLE | Generate circular arc lines | First line number
L | Line between two keypoints | Line number
L2ANG | Line at angle with two lines | Line number
LANG | Line tangent to two lines | Line number
LARC | Defines a circular arc | Line number
LAREA | Line between two keypoints | Line number
LCOMB | Combine two lines into one | Line number
LDIV | Divide line into two or more lines | First keypoint number
LDRAG | Line by keypoint sweep | First line number
LFILLT | Fillet line between two liens | Fillet line number
LROTAT | Arc by keypoint rotation | First line number
LSTR | Straight line | Line number
LTAN | Line at end and tangent | Line number
SPLINE | Segmented spline | First line number
Areas
A | Area connecting keypoints | Area number
ACCAT | Concatenate two or more areas | Area number
ADRAG | Drag lines along path | First area number
AFILLT | Fillet at intersection of two areas | Fillet area number
AL | Area bounded by lines | Area number
ALPFILL | All loops | Area number
AOFFST | Area offset from given area | Area number
AROTAT | Rotate lines around axis | First area number
ASKIN | Skin surface through guiding lines | First area number
ASUB | Area using shape of existing area | Area number
Volumes
V | Volume through keypoints | Volume number
VA | Volume bounded through areas | Volume number
VDRAG | Drag area pattern to create volume | First volume number
VEXT | Volume by extruding areas | First volume number
VOFFST | Volume offset from given area | Volume number
VROTAT | Volume by rotating areas | First volume number

Executing an ANSYS command, whether in a macro or elsewhere, generates the parameter _STATUS. This parameter reflects the error status of that command:

  • 0 for no error

  • 1 for a note

  • 2 for a warning

  • 3 for an error

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.5. Control Functions Quick Reference 		Up / Home Next
4.7. Using Macros with Components and Assemblies


4.7. Using Macros with Components and Assemblies

To make large models easier to manage, you may want to divide a model into discrete components based on different types of entities: nodes, elements, keypoints, lines, areas, or volumes. Each component can contain only one type of entity. Doing this enables you to perform tasks such as applying loads or producing graphics displays conveniently and separately on different portions of the model.

You can also create assemblies, which are groups that combine two or more components or even multiple assemblies. You can nest assemblies up to five levels deep. For example, you could build an assembly named motor from components called STATOR, PERMMAG, ROTOR, and WINDINGS.

The table below describes some of the commands you can issue to build components and assemblies. For more detailed discussions of these commands, see the Commands Reference. For further information on components and assemblies, see Selecting and Components in the Basic Analysis Guide.

CM | Groups geometry items into a component
CMDELE | Deletes a component or assembly.
CMEDIT | Edits an existing component or assembly. ANSYS updates assemblies automatically to reflect deletions of lower-level or assemblies.
CMGRP | Groups components and assemblies into one assembly. Once defined, an assembly can be listed, deleted, selected, or unselected using the same commands as for components.
CMLIST | Lists the entities contained in a component or assembly.
CMSEL | Selects a subset of components and assemblies.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.6. Using the _STATUS and _RETURN Parameters in Macros 		Up / Home Next
4.8. Reviewing Example Macros


4.8. Reviewing Example Macros

Following are two example macros. The example macro below, called offset.mac, offsets selected nodes in the PREP7 preprocessor. This macro is for demonstration purposes only because the NGEN command provides a more convenient method.

!   Macro to offset selected nodes in PREP7
!   The below file is saved as:  offset.mac (must be lowercase)
!   Usage:  offset,dx,dy,dz

/nop            ! suppress printout for this macro

*get,nnode,node,,num,max   ! get number of nodes

*dim,x,,nnode       ! set up arrays for node locations
*dim,y,,nnode
*dim,z,,nnode

*dim,sel,,nnode     ! set up array for select vector

*vget,x(1),node,1,loc,x   ! get coordinates
*vget,y(1),node,1,loc,y
*vget,z(1),node,1,loc,z

*vget,sel(1),node,1,nsel  ! get selected set

*voper,x(1),x(1),add,arg1 ! offset locations
*voper,y(1),y(1),add,arg2
*voper,z(1),z(1),add,arg3

! *do,i,1,nnode           ! store new positions
!  *if,sel(i),gt,0,then   ! this form takes 98 sec for 100,000 nodes
!    n,i,x(i),y(i),z(i)
!  *endif
! *enddo

*vmask,sel(1)         ! takes 3 seconds for 100,000 nodes
n,(1:NNODE),x(1:NNODE),y(1:NNODE),z(1:NNODE)

x(1) =       ! delete parameters (cleanup)
y(1) =
z(1) =
sel(1) =
i=
nnode=

/go          ! resume printout

The following example macro, called bilinear.mac, evaluates two bilinear materials. This is a useful macro that can be run after solving a static analysis. Material 1 is the tension properties, and Material 2 is the compression properties. ARG1 is the number of iterations (default is 2).

/nop
_niter = arg1                      ! set number of iterations
*if,_niter,lt,2,then
   _Niter = 2
*endif
*do,iter,1,_niter                  ! loop on number of iterations
/post1
set,1,1
*get,ar11,elem,,num,maxd           ! Get number of elements
*dim,_s1,,ar11                     ! array for element s1
*dim,_s3,,ar11                     ! array for element s3
etable,sigmax,s,1                  ! s1 is in element table sigmax
etable,sigmin,s,3                  ! s3 is in element table sigmin
*vget,_s1(1),elem,1,etab,sigmax    ! get element maximum stress in s1
*vget,_s3(1),elem,1,etab,sigmin    ! get element minimum stress in s3
*dim,_mask,,ar11                   ! array for mask vector
*voper,_mask(1),_s1(1),lt,0        ! true if max. stress &lt; 0
*vcum,1                            ! accumulate compression elements
*vabs,0,1                          ! absolute value of s3
*voper,_mask(1),_s3(1),gt,_s1(1)   ! true if abs(minstr) > maxstr
finish

/prep7                             ! go to prep7 for element material mods
mat,1                              ! set all materials to tension properties
emod,all

*vput,_mask(1),elem,1,esel         ! select compression elements
mat,2                              ! change selected elements to compression
emod,all

call                               ! select all elements
finish

_s1(1)=                            ! clean up all vectors (set to zero)
_s3(1)=
_mask(1)=

/solve                             ! rerun the analysis
solve
finish

*enddo                             ! end of iterations

_niter=                            ! clean up iteration counters
_iter=
/gop

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.7. Using Macros with Components and Assemblies 		Up / Home Next
Chapter 5. Interfacing with the GUI


Chapter 5. Interfacing with the GUI

Within an ANSYS macro, you have several ways to access components of the ANSYS graphical user interface (GUI):

  • You can modify and update the ANSYS toolbar (this is discussed in detail in Adding Commands to the Toolbar).

  • You can issue the *ASK command to prompt a user to enter a single parameter value.

  • You can create a dialog box to prompt a user to enter multiple parameter values.

  • You can issue the *MSG command to have the macro write an output message.

  • You can have the macro update or remove a status bar.

  • You can allow the user to select entities through graphical picking from within a macro.

  • You can call any dialog box.

The following GUI topics are available:

  • Prompting Users for a Single Parameter Value
  • Prompting Users With a Dialog Box
  • Using Macros to Display Your Own Messages
  • Creating and Maintaining a Status Bar from a Macro
  • Picking within Macros
  • Calling Dialog Boxes From a Macro

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.8. Reviewing Example Macros 		Up / Home Next
5.1. Prompting Users for a Single Parameter Value


5.1. Prompting Users for a Single Parameter Value

By including the *ASK command within a macro, you can have the macro prompt a user to type in a parameter value.

The format for the *ASK command is

*ASK,Par,Query,DVAL

Where

  • Par is an alphanumeric name that identifies the scalar parameter used to store the user input.

  • Query is the text string that ANSYS displays to prompt the user. This string can contain up to 54 characters. Don't use characters that have special meanings, such as "$" or "!".

  • DVAL is the default value given the parameter if a user issues a blank response. This value can be either a one-to-eight character string (enclosed in single quotes) or a number. If you assign no default, a blank user response deletes the parameter.

The *ASK command prints the Query text on the screen and waits for a response. It reads the response from the keyboard except when ANSYS runs in batch mode. (In that case, the response or responses must be the next-read input line or lines.) The response can be a number, a one-to-eight character string enclosed in single quotes, a numeric or character parameter, or an expression that evaluates to a number. ANSYS then sets the value of Par to the read-in response. The following example displays the dialog box shown below, then sets the parameter PARM1 to the value the user enters.

*ask,parm1,'username (enclose the username in single quotes)'

Figure 5.1 An Example *ASK Dialog Box

When you issue *ASK within a macro, ANSYS writes the user's response to File.LOG on the line following the macro name.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 5. Interfacing with the GUI 		Up / Home Next
5.2. Prompting Users With a Dialog Box


5.2. Prompting Users With a Dialog Box

The MULTIPRO command constructs a simple, multiple-prompt dialog box that can contain up to 10 parameter prompts. The command allows you to use a set of UIDL *CSET commands to create the prompts as well as specify a default value for each prompt. Be aware that macros using MULTIPRO cannot be called from UIDL. You cannot use MULTIPRO within a DO loop.

The MULTIPRO command must be used in conjunction with:

  • Between one and ten *CSET command prompts

  • Up to two special *CSET commands that provide a two line area for user instructions.

The command has the following syntax:

MULTIPRO,'start',Prompt_Num
*CSET,Strt_Loc,End_Loc,Param_Name,'Prompt_String',Def_Value
MULTIPRO,'end'

Where

'start'

A literal string that, when encountered as the first argument, marks the beginning of the MULTIPRO construct. The literal must be enclosed in single quotes.

Prompt_Num

Required only if Def_Value is omitted from at least one *CSET command or if Def_Value is set to 0. The Prompt_Num value is an integer equal to the number of following *CSET prompts.

Strt_Loc,End_Loc

The initial value for Strt_Loc for the first *CSET command is 1, and the value for End_Loc is Strt_Loc+2 (3 for the first *CSET command). The value of each subsequent Strt_Loc is the previous End_Loc+1.

Param_Name

The name of the parameter that will hold either the value specified by the user or, if the user supplies no value, the value of Def_Value .

''Prompt_String''

A string, which can contain up to 32 characters, which can be used to describe the parameter. This string must be enclosed in single quotes.

Def_Value

Default value used if no value specified by user. Default value can be a numeric expression including APDL numeric parameters. Character expressions are not allowed.

'end'

A literal string, used as the first argument for the closing MULTIPRO command.

The following is a typical example of the MULTIPRO command.

multipro,'start',3
    *cset,1,3,beamW,'Enter the overall beam width',12.5
    *cset,4,6,beamH,'Enter the beam height',23.345
    *cset,7,9,beamL,'Enter the beam length',50.0
multipro,'end'

Up to two optional *CSET commands can be added to the construct that can provide two 64 character strings. You can use these to provide instructions to the user. The syntax for these specialized *CSET commands is

*CSET,61,62,'Help_String','Help_String'*CSET,63,64,'Help_String','Help_String'

Where

'Help_String'

A string which can contain up to 32 characters. If you need more than 32 characters, you can use a second Help_String argument.

The following is an example of a MULTIPRO construct using the optional help lines. Note that two Help_String arguments are used to overcome the 32 character limit.

multipro,'start',3
    *cset,1,3,dx,'Enter DX Value',0.0
    *cset,4,6,dy,'Enter DY Value',0.0
    *cset,7,9,dz,'Enter DZ Value',0.0
    *cset,61,62,'The MYOFSET macro offsets the',' selected nodes along each'
    *cset,63,64,'of the three axes.  Fill in the ',' fields accordingly.'
multipro,'end'

The above construct creates the following multiple-prompt dialog box.

Figure 5.2 A Typical Multiple-Prompt Dialog Box

You can check the status of the buttons by testing the value of the _BUTTON parameter. The following lists the button status values:

  • _BUTTON = 0 indicates that the OK button was pressed.

  • _BUTTON = 1 indicates that the Cancel button was pressed.

At present, the Help button is not functional.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.1. Prompting Users for a Single Parameter Value 		Up / Home Next
5.3. Using Macros to Display Your Own Messages


5.3. Using Macros to Display Your Own Messages

By issuing the *MSG command within a macro, you can display custom output messages via the ANSYS message subroutine. The command has the following format:

*MSG,Lab,VAL1,VAL2,VAL3,VAL4,VAL5,VAL6,VAL7,VAL8

Where Lab is one of the following labels for output and termination control:

INFO | Writes the message with no heading (default).
NOTE | Writes the message with a "NOTE" heading.
WARN | Writes the message with a "WARNING" heading, and also writes it to the errors file, Jobname.ERR.
ERROR | Writes the message with an "ERROR" heading and also writes it to the errors file, Jobname.ERR. If this is an ANSYS batch run, this label also terminates the run at the earliest "clean exit" point.
FATAL | Writes the message with a "FATAL ERROR" heading and also writes it to the errors file, Jobname.ERR. This label also terminates the ANSYS run immediately.
UI | Writes the message with a "NOTE" heading and displays it in the message dialog box.

VAL1 through VAL8 are numeric or alphanumeric character values to be included in the message. Values can be the results of evaluating parameters. All numeric values are assumed to be double precision.

You must specify the message format immediately after the *MSG command. The message format can contain up to 80 characters, consisting of text strings and predefined "data descriptors" between the strings where numeric or alphanumeric character data are to be inserted. These data descriptors are:

  • %i, for integer data. The FORTRAN nearest integer (NINT) function is used to form integers for the %I descriptor.

  • %g, for double precision data

  • %c, for alphanumeric character data

  • %/, for a line break

The corresponding FORTRAN data descriptors for the first three descriptors are I9, 1PG16.9, and A8 respectively. A blank must precede each descriptor. You also must supply one data descriptor for each specified value (eight maximum), in the order of the specified values.

Don't begin *MSG format lines with *IF, *ENDIF, *ELSE, or *ELSEIF. If the last non-blank character of the message format is an ampersand (&), the ANSYS program reads a second line as a continuation of the format. You can use up to 10 lines (including the first) to specify the format information.

Consecutive blanks are condensed into one blank upon output, and a period is appended. The output produced can be up to 10 lines of 72 characters each (using the %/ descriptor).

The example below shows you an example of using *MSG that prints a message with two integer values and one real value:

*MSG, INFO, 4Inner4 ,25,1.2,148
Radius ( %C) = %I, Thick = %G, Length = %I

The resulting output message is as follows:

Radius (Inner) = 25, Thick = 1.2, Length = 148

Here is an example illustrating multiline displays in GUI message windows:

*MSG,UI,Vcoilrms,THTAv,Icoilrms,THTAi,Papprnt,Pelec,PF,indctnc
Coil RMS voltage, RMS current, apparent pwr, actual pwr, pwr factor: %/&
Vcoil = %G V (electrical angle = %G DEG) %/&
Icoil = %G A (electrical angle = %G DEG) %/&
APPARENT POWER = %G W %/&
ACTUAL POWER = %G W %/&
Power factor: %G %/&
Inductance = %G %/&
VALUES ARE FOR ENTIRE COIL (NOT JUST THE MODELED SECTOR)

Note

The command /UIS,MSGPOP controls which messages a message dialog box displays when the GUI is active. See the Commands Reference for more information about this command.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.2. Prompting Users With a Dialog Box 		Up / Home Next
5.4. Creating and Maintaining a Status Bar from a Macro


5.4. Creating and Maintaining a Status Bar from a Macro

Within macros, you can insert commands to define an ANSYS dialog box containing a status bar displaying the progress of an operation, a STOP button you can click on to stop the operation, or both.

To define a status dialog box, issue the following command:

*ABSET,Title40,Item

  • Title40 is the text string that appears in the dialog box with the status bar. The string can contain a maximum of 40 characters.

  • Item is one of the following values:

    BAR | Displays the status bar with no STOP button
    KILL | Displays a STOP button with no status bar
    BOTH | Displays both the status bar and STOP button

To update the status bar, issue the command *ABCHECK,Percent,NewTitle.

  • Percent is an integer between 0 and 100. It gives the position of the status bar.

  • NewTitle is a 40-character string that contains progress information. If you specify a string for NewTitle, it replaces the string supplied in Title40.

If you specify KILL or BOTH, your macro should check the _RETURN parameter after each execution of *ABCHECK to see if the user has pressed the STOP button, then take the appropriate action.

To remove the status bar from the ANSYS GUI, issue the *ABFINI command.

The following example macro illustrates the status bar (complete with bar and STOP button) in use. The status dialog box that is produced is shown in the following figure. Note that the macro checks the status of the _RETURN parameter and, if the STOP button is pressed, posts the "We are stopped......" message.

fini
/clear,nost
/prep7
n,1,1
n,1000,1000
fill
*abset,'This is a Status Bar',BOTH
myparam = 0
*do,i,1,20
   j = 5*i
   *abcheck,j
   *if,_return,gt,0,then
     myparam = 1
   *endif
   *if,myparam,gt,0,exit
   /ang,,j
   nplot,1
   *if,_return,gt,0,then
     myparam = 1
   *endif
   *if,myparam,gt,0,exit
   nlist,all
   *if,_return,gt,0,then
     myparam = 1
   *endif
   *if,myparam,gt,0,exit
*enddo
*if,myparam,gt,0,then
*msg,ui
We are stopped.........
*endif
*abfinish
fini

Note

Do not call *ABCHECK more than about 20 times in a loop.

Figure 5.3 A Typical Status Dialog Box

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.3. Using Macros to Display Your Own Messages 		Up / Home Next
5.5. Picking within Macros


5.5. Picking within Macros

If you're running the ANSYS program interactively, you can call a GUI picking menu from within a macro. To do so, simply include a picking command in the macro. Many ANSYS commands (such as K,,P) accept the input "P" to enable graphical picking. When ANSYS encounters such a command, it displays the appropriate picking dialog and then continues macro execution when the user clicks OK or Cancel.

Keep in mind that picking commands are not available in all ANSYS processors, and that you must first switch to an appropriate processor before calling the command.

Note

If a macro includes GUI functions, the /PMACRO command should be the first command in that macro. This command causes the macro contents to be written to the session log file. This is important, because if you omit the /PMACRO command, ANSYS can't read the session log file to reproduce the ANSYS session.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.4. Creating and Maintaining a Status Bar from a Macro 		Up / Home Next
5.6. Calling Dialog Boxes From a Macro


5.6. Calling Dialog Boxes From a Macro

When the ANSYS program encounters a dialog box UIDL function name (such as Fnc_UIMP_Iso), it displays the appropriate dialog box. Thus, you can launch any ANSYS dialog box by making its function name a separate line in the macro file. When you dismiss that dialog box, the program continues processing the macro starting with the next line after the function call.

Keep in mind that many dialog boxes have a number of dependencies, including that the appropriate ANSYS processor is active and that certain required preexisting conditions are met. For example, launching a dialog box to select nodes first supposes that nodes exist, if no nodes exist the macro will fail when the user clicks OK or Apply.

Note

If a macro includes GUI functions, the /PMACRO command should be the first command in that macro. This command causes the macro contents to be written to the session log file. This is important, because if you omit the /PMACRO command, ANSYS can't read the session log file to reproduce the ANSYS session.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.5. Picking within Macros 		Up / Home Next
Chapter 6. Encrypting Macros


Chapter 6. Encrypting Macros

ANSYS provides the ability to encrypt macro files so that the source is not "human-readable." Encrypted macros require an encryption key to run. You can either place the encryption key explicitly (in readable ASCII) in the macro or you can set it in ANSYS as a global encryption key.

The following macro encryption topics are available:

  • Preparing a Macro for Encryption
  • Creating an Encrypted Macro
  • Running an Encrypted Macro

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.6. Calling Dialog Boxes From a Macro 		Up / Home Next
6.1. Preparing a Macro for Encryption


6.1. Preparing a Macro for Encryption

Before encrypting a macro, you first create and debug the macro as usual. When you create an encrypted macro, you are responsible for keeping the original source file. You cannot recreate the source file from an encrypted macro. You then add an /ENCRYPT command as the first line and last of the macro. The /ENCRYPT command for the first line of the macro has the following syntax:

/ENCRYPT,Encryption_key,File_name,File_ext,Directory_Path/

Where

  • Encryption_key is an eight-character password.

  • File_name is the name of the encrypted macro filename.

  • File_ext is an optional file extension for the encrypted macro file. If you want users to execute the macro as an "unknown" command, you should use the .mac extension.

  • Directory_Path/ is the optional directory path that can contain up to 60 characters; you only need this argument if you do not want to write the encrypted macro file to your "home" directory.

Note the placement of the /ENCRYPT commands at the top and bottom of the listing in the following example:

/encrypt,mypasswd,myenfile,mac,macros/
/nopr
/prep7
/view,,-1,-2,-3
block,,arg1,,arg2,,arg3
sphere,arg4
vsbv,1,2
/gopr
finish
/encrypt

The /ENCRYPT command at the top of the macro instructs ANSYS to encrypt the file and use the string "mypasswd" as the encryption key. It will create an encrypted macro file called myenfile.mac and place it in the /macros subdirectory of the home directory. The /ENCRYPT command at the bottom instructs ANSYS to stop the encryption process and write the encrypted macro to the specified file.

Note

The encrypted macro uses a /NOPR command as its second line to turn off echoing of ANSYS commands to the session log file. This is important if you wish to prevent users from reading the contents of the macro from the session log. It's a good practice to reactivate the session log by issuing the /GOPR command as the last command in the macro before the ending /ENCRYPT command.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 6. Encrypting Macros 		Up / Home Next
6.2. Creating an Encrypted Macro


6.2. Creating an Encrypted Macro

After putting the /ENCRYPT commands at the top and bottom of the macro, you can proceed to create the encrypted version of the macro. To do this, simply execute the macro through ANSYS. ANSYS will create the encrypted version with the name and location you specified through the /ENCRYPT command at the top of the macro. The result should look something like this

/DECRYPT,mypasswd
013^Z,^%
02x^0Se|Lv(yT.6>?
03J3]Q_LuXd3-6=m+*f$k]?eB
04:^VY7S#S>c>
05daV;u(yY
06T]3WjZ
/DECRYPT

Note that the individual commands within the macro are now encrypted, and that the encrypted material is enclosed by /DECRYPT commands. The encryption key is the argument to the first /DECRYPT command.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.1. Preparing a Macro for Encryption 		Up / Home Next
6.3. Running an Encrypted Macro


6.3. Running an Encrypted Macro

You can run an encrypted macro just as you would any other macro; place the encrypted macro within the macro search path. If you would prefer to run the encrypted macro without having the encryption key resident in the macro file, you can define the key as a "global encryption key" within ANSYS. To do this you must first replace the encryption key argument in the /DECRYPT command with the parameter PASSWORD. Thus, the first line of the encrypted macro becomes:

/DECRYPT,PASSWORD

Before executing the macro within ANSYS, issue the following command through the ANSYS Input command line:

/DECRYPT,PASSWORD,Encryption_Key

Where Encryption_Key is the encryption key used to encrypt the file. You can now execute the encrypted password. To delete the current global encryption key, issue the following ANSYS command:

/DECRYPT,PASSWORD,OFF

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.2. Creating an Encrypted Macro 		Up / Home Next
APDL Commands Reference


APDL Commands Reference

Table of Contents

*ABBR - Defines an abbreviation.
ABBRES - Reads abbreviations from a coded file.
ABBSAV - Writes the current abbreviation set to a coded file.
*AFUN - Specifies units for angular functions in parameter expressions.
*ASK - Prompts the user to input a parameter value.
*CFCLOS - Closes the "command" file.
*CFOPEN - Opens a "command" file.
*CFWRITE - Writes an ANSYS command (or similar string) to a "command" file.
*CREATE - Opens (creates) a macro file.
*CYCLE - Bypasses commands within a do-loop.
*DEL - Deletes a parameter or parameters (GUI).
/DFLAB - Changes DOF labels for user custom elements.
*DIM - Defines an array parameter and its dimensions.
/DIRECTORY - Put the file names in the current directory into a string parameter array.
*DO - Defines the beginning of a do-loop.
*DOWHILE - Loops repeatedly through the next *ENDDO command.
*ELSE - Separates the final if-then-else block.
*ELSEIF - Separates an intermediate if-then-else block.
*END - Closes a macro file.
*ENDDO - Ends a do-loop and starts the looping action.
*ENDIF - Ends an if-then-else.
*EXIT - Exits a do-loop.
*GET - Retrieves a value and stores it as a scalar parameter or part of an array parameter.
*GO - Causes a specified line on the input file to be read next.
*IF - Conditionally causes commands to be read.
/INQUIRE - Returns system information to a parameter.
/MAIL - Mails file to the specifed address.
*MFOURI - Calculates the coefficients for, or evaluates, a Fourier series.
*MFUN - Copies or transposes an array parameter matrix.
/MKDIR - Creates a directory.
*MOPER - Performs matrix operations on array parameter matrices.
*MSG - Writes an output message via the ANSYS message subroutine.
*MWRITE - Writes a matrix to a file in a formatted sequence.
PARRES - Reads parameters from a file.
PARSAV - Writes parameters to a file.
/PMACRO - Specifies that macro contents be written to the session log file.
/PSEARCH - Specifies a directory to be searched for "unknown command" macro files.
*REPEAT - Repeats the previous command.
*RETURN - Returns input stream to a higher level.
/RMDIR - Removes (deletes) a directory.
*SET - Assigns values to user-named parameters.
*SREAD - Reads a file into a string array parameter.
*STATUS - Lists the current parameters and abbreviations.
*TAXIS - Defines table index numbers.
/TEE - Writes a list of commands to a specified file at the same time that the commands are being executed.
*TOPER - Operates on table parameters.
*TREAD - Reads data from an external file into a table array parameter.
/UCMD - Assigns a user-defined command name.
*ULIB - Identifies a macro library file.
*USE - Executes a macro file.
*VABS - Applies the absolute value function to array parameters.
*VCOL - Specifies the number of columns in matrix operations.
*VCUM - Allows array parameter results to add to existing results.
*VEDIT - Allows numerical array parameters to be graphically edited.
*VFACT - Applies a scale factor to array parameters.
*VFILL - Fills an array parameter.
*VFUN - Performs a function on a single array parameter.
*VGET - Retrieves values and stores them into an array parameter.
*VITRP - Forms an array parameter by interpolation of a table.
*VLEN - Specifies the number of rows to be used in array parameter operations.
*VMASK - Specifies an array parameter as a masking vector.
*VOPER - Operates on two array parameters.
*VPLOT - Graphs columns (vectors) of array parameters.
*VPUT - Restores array parameter values into the ANSYS database.
*VREAD - Reads data and produces an array parameter vector or matrix.
*VSCFUN - Determines properties of an array parameter.
*VSTAT - Lists the current specifications for the array parameters.
*VWRITE - Writes data to a file in a formatted sequence.
/WAIT - Causes a delay before the reading of the next command.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.3. Running an Encrypted Macro 		Up / Home Next
*ABBR


*ABBR

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*ABBR, Abbr, String

Defines an abbreviation.

APDL: Abbreviations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Abbr

The abbreviation (up to 8 alphanumeric characters) used to represent the string String. If Abbr is the same as an existing ANSYS command, the abbreviation overrides. Avoid using an Abbr which is the same as an ANSYS command.

String

String of characters (60 maximum) represented by Abbr. Cannot include a $ or any of the commands C***, /COM, /GOPR, /NOPR, /QUIT, /UI, or *END. Parameter names and commands of the *DO and Use the *IF groups may not be abbreviated. If String is blank, the abbreviation is deleted. To abbreviate multiple commands, create an "unknown command" macro or define String to execute a macro file [*USE] containing the desired commands.

Notes

Once the abbreviation Abbr is defined, you can issue it at the beginning of a command line and follow it with a blank (or with a comma and appended data), and the program will substitute the string String for Abbr as the line is executed. Up to 100 abbreviations may exist at any time and are available throughout the program. Abbreviations may be redefined or deleted at any time.

Use *STATUS to display the current list of abbreviations. For abbreviations repeated with *REPEAT, substitution occurs before the repeat increments are applied. There are a number of abbreviations that are predefined by the program (these can be deleted by using the blank String option described above). Note that String will be written to the File.LOG.

This command is valid in any processor.

Menu Paths

Utility Menu>Macro>Edit Abbreviations
Utility Menu>MenuCtrls>Edit Toolbar

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
APDL Commands Reference 		Up / Home Next
ABBRES


ABBRES

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

ABBRES, Lab, Fname, Ext, --

Reads abbreviations from a coded file.

APDL: Abbreviations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Lab

Label that specifies the read operation:

NEW --

Replace current abbreviation set with these abbreviations (default).

CHANGE --

Extend current abbreviation set with these abbreviations, replacing any of the same name that already exist.

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to ABBR if Fname is blank.

--

Unused field.

Notes

The abbreviation file may have been written with the ABBSAV command. Do not issue ABBRES,NEW while inside an executing abbreviation. Doing so will cause all data for the executing abbreviation to be deleted.

This command is valid in any processor.

Menu Paths

Utility Menu>Macro>Restore Abbr
Utility Menu>MenuCtrls>Restore Toolbar

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*ABBR 		Up / Home Next
ABBSAV


ABBSAV

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

ABBSAV, Lab, Fname, Ext, --

Writes the current abbreviation set to a coded file.

APDL: Abbreviations

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Lab

Label that specifies the write operation:

ALL --

Write all abbreviations (default).

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to ABBR if Fname is blank.

--

Unused field.

Notes

Existing abbreviations on this file, if any, will be overwritten. The abbreviation file may be read with the ABBRES command.

This command is valid in any processor.

Menu Paths

Utility Menu>Macro>Save Abbr
Utility Menu>MenuCtrls>Save Toolbar

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ABBRES 		Up / Home Next
*AFUN


*AFUN

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*AFUN, Lab

Specifies units for angular functions in parameter expressions.

APDL: Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Lab

Specifies the units to be used:

RAD --

Use radians for input and output of parameter angular functions (default).

DEG --

Use degrees for input and output of parameter angular functions.

STAT --

Show current setting (DEG or RAD) for this command.

Command Default

Use radians for input or output of parameter angular functions.

Notes

Only the SIN, COS, TAN, ASIN, ACOS, ATAN, ATAN2, ANGLEK, and ANGLEN functions [*SET, *VFUN] are affected by this command.

Menu Paths

Utility Menu>Parameters>Angular Units

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ABBSAV 		Up / Home Next
*ASK


*ASK

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*ASK, Par, Query, DVAL

Prompts the user to input a parameter value.

APDL: Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Par

An alphanumeric name used to identify the scalar parameter. See *SET for name restrictions.

Query

Text string to be displayed on the next line as the query (32 characters maximum). Characters having special meaning (such as $ ! ,) should not be included.

DVAL

Default value assigned to the parameter if the user issues a blank response. May be a number or character string (up to 8 characters enclosed in single quotes). If a default is not assigned, a blank response will delete the parameter.

Notes

Intended primarily for use in macros, the command prints the query (after the word ENTER) on the next line and waits for a response. The response is read from the keyboard, except in batch mode [/BATCH], when the response(s) must be the next-read input line(s). The response may be a number, a character string (up to 8 characters enclosed in single quotes), a parameter (numeric or character) or an expression that evaluates to a number. The scalar parameter is then set to the response value. For example, *ASK,NN,PARAMETER NN will set NN to the value entered on the next line (after the prompt ENTER PARAMETER NN).

The *ASK command is not written to File.LOG, but the responses are written there as follows: If *ASK is contained in a macro, the response(s) (only) is written to File.LOG on the line(s) following the macro name. If not contained in a macro, the response is written to File.LOG as a parameter assignment (i.e., Par = "user-response").

If used within a do-loop that is executed interactively, *ASK should be contained in a macro. If not contained in a macro, *ASK will still query the user as intended, but the resulting log file will not reproduce the effects of the original run.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*AFUN 		Up / Home Next
*CFCLOS


*CFCLOS

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*CFCLOS

Closes the "command" file.

APDL: Macro Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*ASK 		Up / Home Next
*CFOPEN


*CFOPEN

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*CFOPEN, Fname, Ext, --, Loc

Opens a "command" file.

APDL: Macro Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to CMD if Fname is blank.

--

Unused field.

Loc

Determines whether existing file will be overwritten or appended:

(blank) --

The existing file will be overwritten.

APPEND --

The file will be appended to the existing file.

Notes

Data processed with the *VWRITE command will also be written to this file if the file is open when the *VWRITE command is issued.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*CFCLOS 		Up / Home Next
*CFWRITE


*CFWRITE

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*CFWRITE, Command

Writes an ANSYS command (or similar string) to a "command" file.

APDL: Macro Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Command

Command or string to be written. The standard command form of a label followed by arguments separated by commas is assumed. Command may be a parameter assignment (e.g., *CFWRITE, A = 5).

Notes

Writes an ANSYS command (or similar string) to the file opened with *CFOPEN. The Command string is not executed (except that numeric and character parameter substitution and operations (with imbedded *, /, >, etc. characters) are performed before writing). When used with *GET results and parameter substitution, an ANSYS command can be created from results and then read back into the ANSYS program (or used elsewhere). For example, if the command *CFWRITE,BF,NNUM,TEMP,TVAL is used in a do-loop, where TVAL is a parameter value returned from the *GET operation and NNUM is a specified or returned parameter value, a series of BF commands, with numerical values substituted for the two parameters, will be written. To create a file without parameter substitution, use *CREATE.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*CFOPEN 		Up / Home Next
*CREATE


*CREATE

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*CREATE, Fname, Ext, --

Opens (creates) a macro file.

APDL: Macro Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

Do not use a directory path if file is to be read with the macro Name option of the *USE command.

Ext

Filename extension (8 character maximum).

Ext should not be used if file is to be read with the macro Name option of the *USE command.

--

Unused field.

Notes

See the *USE command for a discussion of macros. All commands following the *CREATE command, up to the *END command, are written to the specified file without being executed. An existing file of the same name, if any, will be overwritten. Parameter values are not substituted for parameter names in the commands when the commands are written to the file. Use *CFWRITE to create a file if this is desired. The resulting macro may be executed with a *USE command (which also allows parameters to be passed into the macro) or a /INPUT command (which does not allow parameters to be passed in). Several macros may be stacked into a library file [*ULIB]. You cannot use *CREATE within a DO loop.

This command is valid in any processor.

Menu Paths

Utility Menu>Macro>Create Macro

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*CFWRITE 		Up / Home Next
*CYCLE


*CYCLE

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*CYCLE

Bypasses commands within a do-loop.

APDL: Process Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Bypasses all commands between this command and the *ENDDO command within a do-loop. The next loop (if applicable) is initiated. The cycle option may also be conditionally executed [Use the *IF]. The *CYCLE command must appear on the same file as the *DO command.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*CREATE 		Up / Home Next
*DEL


*DEL

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*DEL, Val1, Val2

Deletes a parameter or parameters (GUI).

APDL: Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Val1

Val1 can be:

ALL --

Indicates that you want to delete all user-defined parameters, or both all user-defined and all system parameters, as indicated by the Val2 argument.

(blank) --

Indicates that you want to delete the parameter(s) indicated by Val2.

Val2

Val2 can be:

LOC --

When Val1 is (blank), use Val2 to specify the location of the parameter within the Array Parameters dialog box. The location number is based on an alphabetically ordered list of all parameters in the database. Not valid when Val1 is ALL.

_PRM --

When Val1 is ALL, specifying _PRM for Val2 deletes all parameters, including those named with an initial underbar (_) (except _STATUS and _RETURN). When Val1 is (blank), specifying _PRM for Val2 deletes only those parameters named with an initial underbar (_) (except _STATUS and _RETURN).

PRM_ --

When Val1 is (blank), specifying PRM_ for Val2 deletes only those parameters named with a trailing underbar (_). Not valid when Val1 is ALL.

(blank) --

When Val1 is ALL, specifying (blank) for Val2 causes all user-defined parameters to be deleted.

Notes

This is a command generally created by the Graphical User Interface (GUI). It will appear in the log file (Jobname.LOG) if an array parameter is deleted from within the Array Parameters dialog box.

To delete all user-defined parameters, issue the command *DEL,ALL. To delete only those user-defined parameters named with a trailing underbar, issue the command *DEL,,PRM_. To delete all user-defined and all system parameters (except for _STATUS and _RETURN), issue the command *DEL,ALL,_PRM. To delete a parameter by specifying its location within the Array Parameters dialog box, issue the command *DEL,,LOC.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*CYCLE 		Up / Home Next
/DFLAB


/DFLAB

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

/DFLAB, DOF, DispLab, ForceLab

Changes DOF labels for user custom elements.

APDL: Macro Files

MP ME ST PR PRN <> <> FL EM EH <> PP <>

Argument Descriptions

DOF

Number indicating which DOF is to have its labels changed. For example:

1 = UX,FX
2 = UY,FY
3 = UX,FZ
4 = ROTX,MX
etc.

DispLab

New label (4 character maximum) for the displacement label. The old label is no longer valid.

ForceLab

New label (4 character maximum) for the force label for this degree-of-freedom. The old label is no longer valid.

Notes

The /DFLAB command is rarely used. It is designed for users who are writing custom elements for ANSYS and want to use degrees-of-freedom that are not part of the standard ANSYS set.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*DEL 		Up / Home Next
*DIM


*DIM

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*DIM, Par, Type, IMAX, JMAX, KMAX, Var1, Var2, Var3, CSYSID

Defines an array parameter and its dimensions.

APDL: Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Par

Name of parameter to be dimensioned. See *SET for name restrictions.

Type

Array type:

ARRAY --

Arrays are similar to standard FORTRAN arrays (indices are integers) (default). Index numbers for the rows, columns, and planes are sequential values beginning with one. Used for 1-, 2-, or 3-D arrays.

ARR4 --

Same as ARRAY, but used to specify 4-D arrays.

ARR5 --

Same as ARRAY, but used to specify 5-D arrays.

CHAR --

Array entries are character strings (up to 8 characters each). Index numbers for rows, columns, and planes are sequential values beginning with one.

TABLE --

Array indices are real (non-integer) numbers which must be defined when filling the table. Index numbers for the rows and columns are stored in the zero column and row "array elements" and are initially assigned a near-zero value. Index numbers must be in ascending order and are used only for retrieving an array element. When retrieving an array element with a real index that does not match a specified index, linear interpolation is done among the nearest indices and the corresponding array element values [*SET]. Used for 1-, 2-, or 3-D tables.

TAB4 --

Same as TABLE, but used to specify 4-D tables.

TAB5 --

Same as TABLE, but used to specify 5-D tables.

STRING --

Array entries are character strings (up to IMAX each). Index numbers for columns and planes are sequential values beginning with 1. Row index is character position in string.

IMAX

Extent of first dimension (row) (For Type = STRING, IMAX is rounded up to the next multiple of eight and has a limit of 128). Defaults to 1.

JMAX

Extent of second dimension (column). Defaults to 1.

KMAX

Extent of third dimension (plane). Defaults to 1.

Var1

Variable name corresponding to the first dimension (row) for Type = TABLE. Defaults to Row.

Var2

Variable name corresponding to the second dimension (column) for Type = TABLE. Defaults to Column.

Var3

Variable name corresponding to the third dimension (plane) for Type = TABLE. Defaults to Plane.

CSYSID

An integer corresponding to the coordinate system ID Number.

Notes

Up to three dimensions (row, column, and plane) may be defined using ARRAY and TABLE. Use ARR4, ARR5, TAB4, and TAB5 to define up to five dimensions (row, column, plane, book, and shelf). An index number is associated with each row, column, and plane. For array and table type parameters, element values are initialized to zero. For character and string parameters, element values are initialized to (blank). A defined parameter must be deleted [*SET] before its dimensions can be changed. Scalar (single valued) parameters should not be dimensioned. *DIM,A,,3 defines a vector array with elements A(1), A(2), and A(3). *DIM,B,,2,3 defines a 2x3 array with elements B(1,1), B(2,1), B(1,2), B(2,2), B(1,3), and B(2,3). Use *STATUS,Par to display elements of array Par. You can write formatted data files (tabular formatting) from data held in arrays through the *VWRITE command.

If you use table parameters to define boundary conditions, then Var1, Var2, and/or Var3 can either specify a primary variable (listed in *DIM - Primary Variables) or can be an independent parameter. If specifying an independent parameter, then you must define an additional table for the independent parameter. The additional table must have the same name as the independent parameter and may be a function of one or more primary variables or another independent parameter. All independent parameters must relate to a primary variable.

Tabular load arrays can be defined in both global Cartesian (defalut) or local (see below) coordinate systems by specifying CSYSID, as defined in LOCAL. For batch operations, you must specify your coordinate system first.

The following constraints apply when you specify a local coordinate system for your tabular loads:

Only Cartesian, cylindrical and spherical coordinate systems are supported
Angle values for Y in cylindrical or spherical coordinate systems must be input in degrees and must be positive values between 0 and 360 degrees ( 0 [image] Y [image] 360)
Angle values for Z in spherical coordinate system must be input in degrees and must be positive values between -90 and +90 ( -90 [image] Z [image] 90)

If you are specifying a 4- or 5-D array or table, four additional fields (LMAX, MMAX, Var4, and Var5) are available. Thus, for a 4-D table, the command syntax would be:

*DIM,Par,Type,IMAX,JMAX,KMAX,LMAX,Var1,Var2,Var3,Var4,CSYSID

For a 5-D table, the command syntax would be:

*DIM,Par,Type,IMAX,JMAX,KMAX,LMAX,MMAX,Var1,Var2,Var3,Var4,Var5,CSYSID

You cannot create or edit 4- or 5-D arrays or tables using the GUI.

See Array Parameters for a detailed discussion on and examples for using array parameters.

*DIM - Primary Variables

Primary Variable | Label for Var1, Var2, Var3
Time | TIME
X-coordinate location | X
Y-coordinate location | Y
Z-coordinate location | Z
Temperature | TEMP
Velocity | VELOCITY
Pressure | PRESSURE
Cyclic sector number | SECTOR

Note

The X, Y, and Z coordinate locations listed above are valid in gobal Cartesian, or local (Cartesian, cylindrical and spherical) coordinate systems. The VELOCITY label is applicable only to the calculated fluid velocity in element FLUID116.

When using PRESSURE as a primary variable, the underlying element must have the pressure DOF associated with it. For example, if you use FLUID141 or FLUID142, apply SF,ALL,CONV,%presh%,20.0 to apply a tabular film coefficient that will be evaluated correctly, based on the pressure. However, if the underlying element is SURF151 or SURF152, the film coefficient will not change because there is no underlying pressure.

If you use table parameters to define boundary conditions, the table names (Par) must not exceed 32 characters.

In thermal analyses, if you apply tabular loads as a function of temperature but the rest of the model is linear (e.g., includes no temperature-dependent material properties or radiation ), you should turn on Newton-Raphson iterations (NROPT,FULL) to evaluate the temperature-dependent tabular boundary conditions correctly.

This command is valid in any processor.

Menu Paths

Utility Menu>Parameters>Array Parameters>Define/Edit

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/DFLAB 		Up / Home Next
/DIRECTORY


/DIRECTORY

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

/DIRECTORY, StrArray, FileName, Ext, Dir

Put the file names in the current directory into a string parameter array.

APDL: Array Parameters

MP ME ST PR PRN <> <> FL EM EH <> PP <>

Argument Descriptions

StrArray

Name of the "string array" parameter which will hold the returned values. String array parameters are similar to character arrays, but each array element can be as long as 128 characters. If the string parameter does not exist, it will be created. The array will be created as: *DIM,StrArray,STRING,64,2,numFileName

FileName

File name (64 characters maximum). Only files matching this name will be returned. The FileName ALL may match any file name.

Ext

File name extension (8 characters maximum). Only files with an extension matching this name will be returned. A blank or ALL will match any extension.

Directory

The directory in which the files reside. The default is the current working directory.

Notes

The /DIRECTORY command gets the file names in the current directory and puts them into a string parameter array. Each file will be included in the array as a name-extension pair.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*DIM 		Up / Home Next
*DO


*DO

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*DO, Par, IVAL, FVAL, INC

Defines the beginning of a do-loop.

APDL: Process Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Par

The name of the scalar parameter to be used as the loop index. See *SET for name restrictions. Any existing parameter of the same name will be redefined. There is no character parameter substitution for the Par field.

IVAL, FVAL, INC

Initially assign IVAL to Par. Increment IVAL by INC for each successive loop. If IVAL exceeds FVAL and INC is positive, the loop is not executed. INC defaults to 1. Negative increments and non-integer numbers are allowed.

Notes

The block of commands following the *DO command (up to the *ENDDO command) is executed repeatedly until some loop control is satisfied. Printout is automatically suppressed on all loops after the first (include a /GOPR command to restore the printout). The command line loop control (Par,IVAL,FVAL,INC) must be input; however, a Use the *IF within the block can also be used to control looping [*EXIT, *CYCLE]. One level of internal file switching is used for each nested *DO. Twenty levels of nested do-loops are allowed.

Note

Do-loops that include /INPUT, *USE, or an "Unknown Command" macro, have less nesting available because each of these operations also uses a level of file switching. The *DO, *ENDDO, and any *CYCLE and *EXIT commands for a do-loop must all be read from the same file (or keyboard). You cannot use the MULTIPRO or *CREATE commands within a *DO-loop. Picking operations should also not be used within a *DO-loop.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/DIRECTORY 		Up / Home Next
*DOWHILE


*DOWHILE

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*DOWHILE, Par

Loops repeatedly through the next *ENDDO command.

APDL: Process Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Par

The name of the scalar parameter to be used as the loop index. There is no character parameter substitution for the Par field.

Notes

*DOWHILE loops repeatedly through the next *ENDDO command as long as Par is greater than zero. The block of commands following the *DOWHILE command (up to the *ENDDO command) is executed repeatedly until some loop control is satisfied. Printout is automatically suppressed on all loops after the first (include a /GOPR command to restore the printout). The command line loop control (Par) must be input; however, *IF within the block can also be used to control looping [*EXIT, *CYCLE]. One level of internal file switching is used for each nested *DOWHILE. Twenty levels of nested do-loops are allowed.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*DO 		Up / Home Next
*ELSE


*ELSE

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*ELSE

Separates the final if-then-else block.

APDL: Process Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Optional final block separator within an if-then-else construct. See the *IF for details. If a batch input stream hits an end-of-file during a false *IF condition, the ANSYS run will not terminate normally. You will need to terminate it externally (use either the UNIX “kill” function or the Windows task manager). The *ELSE command must appear on the same file as the *IF command, and all five characters must be input.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*DOWHILE 		Up / Home Next
*ELSEIF


*ELSEIF

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*ELSEIF, VAL1, Oper1, VAL2, Conj, VAL3, Oper2, VAL4

Separates an intermediate if-then-else block.

APDL: Process Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

VAL1

First numerical value (or parameter which evaluates to numerical value) in the conditional comparison operation. VAL1, VAL2, VAL3, and VAL4 can also be character strings (enclosed in quotes) or parameters for Oper = EQ and NE only.

Oper1

Operation label. A tolerance of 1.0E-10 is used for comparisons between real numbers:

EQ --

Equal (for VAL1 = VAL2).

NE --

Not equal (for VAL1 ≠VAL2).

LT --

Less than (for VAL1<VAL2).

GT --

Greater than (for VAL1>VAL2).

LE --

Less than or equal (for VAL1 [image] VAL2).

GE --

Greater than or equal (for VAL1 [image] VAL2).

ABLT --

Absolute values of VAL1 and VAL2 before < operation.

ABGT --

Absolute values of VAL1 and VAL2 before > operation.

VAL2

Second numerical value (or parameter which evaluates to numerical value) in the conditional comparison operation.

Conj

(Optional) Connection between two logical clauses.

AND -

True if both clauses (Oper1 and Oper2) are true.

OR -

True if either clause is true.

XOR -

True if either (but not both) clause is true.

VAL3

(Optional) Third numerical value (or parameter which evaluates to numerical value).

Oper2

(Optional) Operation label. This will have the same labels as Oper1, except it uses Val3 and Val4. A tolerance of 1.0E-10 is used for comparisons between real numbers.

VAL4

(Optional) Fourth numerical value (or parameter value which evaluates to a numerical value).

Notes

Optional intermediate block separator within an if-then-else construct. All seven characters of the command name (*ELSEIF) must be input. This command is similar to the *IF command except that the Base field is not used. The *IF, *ELSEIF, *ELSE, and *ENDIF commands for each if-then-else construct must all be read from the same file (or keyboard).

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*ELSE 		Up / Home Next
*END


*END

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*END

Closes a macro file.

APDL: Macro Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Closes a file opened with *CREATE. The *END command is an 8-character command (to differentiate it from *ENDIF). If you add commented text on that same line but do not allow enough spaces between *END and the "!" that indicates the comment text, the *END will attempt to interpret the "!" as the 8th character and will fail.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*ELSEIF 		Up / Home Next
*ENDDO


*ENDDO

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*ENDDO

Ends a do-loop and starts the looping action.

APDL: Process Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

One *ENDDO is required for each nested do-loop. The *ENDDO command must appear on the same file as the *DO command, and all six characters must be input.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*END 		Up / Home Next
*ENDIF


*ENDIF

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*ENDIF

Ends an if-then-else.

APDL: Process Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Required terminator for the if-then-else construct. See the *IF for details. If a batch input stream hits an end-of-file during a false *IF condition, the ANSYS run will not terminate normally. You will need to terminate it externally (use either the UNIX “kill” function or the Windows task manager). The *ENDIF command must appear on the same file as the *IF command, and all six characters must be input.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*ENDDO 		Up / Home Next
*EXIT


*EXIT

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*EXIT

Exits a do-loop.

APDL: Process Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

The command following the *ENDDO is executed next. The exit option may also be conditional [Use the *IF]. The *EXIT command must appear on the same file as the *DO command.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*ENDIF 		Up / Home Next
*GET


*GET

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*GET, Par, Entity, ENTNUM, Item1, IT1NUM, Item2, IT2NUM

Retrieves a value and stores it as a scalar parameter or part of an array parameter.

APDL: Parameters

MP ME ST <> <> <> <> FL EM <> <> PP <>

Argument Descriptions

Par

The name of the resulting parameter. See *SET for name restrictions.

Entity

Entity keyword. Valid keywords are NODE, ELEM, KP, LINE, AREA, VOLU, PDS, etc., as shown for Entity = in the tables below.

ENTNUM

The number or label for the entity (as shown for ENTNUM = in the tables below). In some cases, a zero (or blank) ENTNUM represents all entities of the set.

Item1

The name of a particular item for the given entity. Valid items are as shown in the Item1 columns of the tables below.

IT1NUM

The number (or label) for the specified Item1 (if any). Valid IT1NUM values are as shown in the IT1NUM columns of the tables below. Some Item1 labels do not require an IT1NUM value.

Item2, IT2NUM

A second set of item labels and numbers to further qualify the item for which data are to be retrieved. Most items do not require this level of information.

Notes

*GET retrieves a value for a specified item and stores the value as a scalar parameter, or as a value in a user-named array parameter. An item is identified by various keyword, label, and number combinations. Usage is similar to the *SET command except that the parameter values are retrieved from previously input or calculated results. For example, , A, ELEM, 5, CENT, X returns the centroid x-location of element 5 and stores the result as parameter A. *GET command operations, along with the associated Get functions return values in the active coordinate system unless stated otherwise. A Get function is an alternative in-line function that can be used to retrieve a value instead of the *GET command (see Using In-line Get Functions for more information).

Both *GET and *VGET retrieve information from the active data stored in memory. The database is often the source, and sometimes the information is retrieved from common memory blocks that ANSYS uses to manipulate information. Although POST1 and POST26 operations use a *.rst file, *GET data is accessed from the database or from the common blocks. Get operations do not access the *.rst file directly. For repeated gets of sequential items, such as from a series of elements, see the *VGET command.

Most items are stored in the database after they are calculated and are available anytime thereafter. Items are grouped according to where they are usually first defined or calculated. Preprocessing data will often not reflect the calculated values generated from section data. You should not use *GET to obtain data from elements that use calculated section data, such as beams or shells. Most of the GENERAL items listed below are available from all modules. Each of the sections for accessing *GET parameters are shown in the following order:

  • *GET General Entity Items

  • *GET Preprocessing Entity Items

  • *GET Solution Entity Items

  • *GET Postprocessing Entity Items

  • *GET Optimization and Probabilistic Design Entity Items

The *GET command is valid in any processor.

General Items

*GET General Entity Items

  • *GET General Items, Entity = ACTIVE

  • *GET General Items, Entity = CMD

  • *GET General Items, Entity = COMP

  • *GET General Items, Entity = GRAPH

  • *GET General Items, Entity = PARM

*GET General Items, Entity = ACTIVE

Entity = ACTIVE, ENTNUM = 0 (or blank)
*GET, Par, ACTIVE, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
INT |  | Current interactive key: 0=off, 2=on.
IMME |  | Current immediate key: 0=off, 1=on.
MENU |  | Current menu key: 0=off, 1=on.
PRKEY |  | Printout suppression status: 0=/NOPR, 1=/GOPR or /GO
UNITS |  | Units specified by /UNITS command: 0 = USER, 1 = SI, 2 = CGS, 3 = BFT, 4 = BIN, 6 = MPA.
ROUT |  | Current routine: 0 = Begin level, 17 = PREP7, 21 = SOLUTION, 31 = POST1, 36 = POST26, 41 = OPT, 52 = AUX2, 62 = AUX12, 65 = AUX15, 71 = RUNSTAT.
TIME | WALL,CPU | Current wall clock or CPU time. Current wall clock will continue to accumulate during an ANSYS run and is NOT reset to zero at midnight.
DBASE | LDATE | Date of first modification of any database quantity required for POST1 operation. The parameter returned is Par = YEAR*10000 + MONTH*100 + DAY.
DBASE | LTIME | Time of last modification of any database quantity required for POST1 operation. The parameter returned is Par = HOURS*10000 + MINUTES*100 + SECONDS.
REV |  | ANSYS minor revision number (5.6, 5.7, 6.0 etc.). Letter notation (e.g., 5.0A) is not included.
TITLE | 0,1,2,3,4 | Item2: START IT2NUM:N Current title string of the main title (IT1NUM=0 or blank) or subtitle 1, 2, 3, or 4 (IT1NUM=1,2,3, or 4). A character parameter of up to 8 characters, starting at position N, is returned.
JOBNAM |  | Item2: START IT2NUM:N Current Jobname. A character parameter of up to 8 characters, starting at position N, is returned. Use *DIM and *DO to get all 32 characters.
PLATFORM |  | The current platform.
NPROC |  | The maximum number of processors available.

*GET General Items, Entity = CMD

Entity = CMD, ENTNUM = 0 (or blank) The following items are valid for all commands except star (*) commands and non-graphics slash (/) commands.
*GET, Par, CMD, 0, Item1, IT1NUM, Item2, IT2NUM.
Item1 | IT1NUM | Description
STAT |  | Status of previous command: 0=found, 1=not found (unknown).
NARGS |  | Field number of last nonblank field on the previous command.
FIELD | 2,3...N | Numerical value of the Nth field on the previous command. Field 1 is the command name (not available)

*GET General Items, Entity = COMP

Entity = COMP, ENTNUM = 0 (or blank)
*GET, Par, COMP, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
NCOMP |  | Total number of components and assemblies currently defined.
Entity = COMP, ENTNUM = n (nth component)
*GET, Par, COMP, n, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
NAME |  | Name of the Nth item (component or assembly) in the list of components and assemblies. A character parameter is returned.
Entity = COMP, ENTNUM = Cname (component or assembly name)
*GET, Par, COMP, Cname, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
TYPE |  | Type of component Cname: 1=Nodes, 2=Elements, 6=Keypoints, 7=Lines, 8=Areas, 9=Volumes, 11-15=Subcomponents (11=subcomponent at level 1, 12=subcomponent at level 2, etc.).
NSCOMP |  | Number of subcomponents (for assemblies).
SNAME | N | Name of Nth subcomponent of assembly Cname. A character parameter is returned.

*GET General Items, Entity = GRAPH

Entity =GRAPH, ENTNUM = N (window number)
*GET, Par, GRAPH, N, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
ACTIVE |  | /WINDOW status: 0=off, 1=on.
ANGLE |  | /ANGLE THETA angle.
CONTOUR | Name | /CONTOUR value for Name, where Name = VMIN, VINC, or NCONT.
DIST |  | /DIST DVAL value.
DSCALE | DMULT | /DSCALE DMULT value.
EDGE |  | /EDGE KEY value.
FOCUS | X, Y, Z | /FOCUS XF, YF, or ZF value.
GLINE |  | /GLINE STYLE value.
MODE |  | /USER or /AUTO setting: 0=user, 1=auto.
NORMAL |  | /NORMAL KEY value.
RANGE | XMIN, XMAX, YMIN, YMAX | /WINDOW XMIN, XMAX, YMIN , or YMAX screen coordinates.
RATIO | X, Y | /RATIO RATOX or RATOYvalue.
SSCALE | SMULT | /SSCALE SMULT value.
TYPE |  | /TYPE Type value.
VCONE | ANGLE | /VCONE PHI angle.
VIEW | X, Y, Z | /VIEW XV, YV, or ZV value.
VSCALE | VRATIO | /VSCALE VRATIO value.
Entity =GRAPH, ENTNUM = 0 (or blank)
*GET, Par, GRAPH, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
DISPLAY |  | /SHOW VECT setting: 0=raster, 1=vector.
ERASE |  | /ERASE or /NOERASE setting: 0=no erase, 1=erase.
NDIST |  | Largest nodal range for current model (DX, DY, or DZ of the model).
NUMBER |  | /NUMBER NKEY value.
PLOPTS | Name | /PLOPTS setting of Name, where Name=LEG1, LEG2, LEG3, INFO, FRAM, TITL, MINM, or VERS.
SEG |  | Segment capability of graphics driver: 0=no segments available, 1=erasable segments available, 2=non-erasable segments available.
SHRINK |  | /SHRINK RATIO value.

*GET General Items, Entity = PARM

Entity, = PARMENTNUM = 0 (or blank)
*GET, Par, PARM, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
MAX |  | Total number of parameters currently defined.
BASIC |  | Number of scalar parameters (excluding parameters beginning with an underscore _, array parameters, and character parameters).
LOC | Num | Name of the parameter at the Num location in the parameter table. A character parameter is returned.
Entity = PARM, ENTNUM = Name (parameter name)
*GET, Par, PARM, Name, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
TYPE | Parameter type: 0=scalar, 1=array, 2=table, 3=character scalar, 4=character array, -1=undefined
DIM | X(1), Y(2), Z(3), (4), (5) | Row (X or 1), Column (Y or 2), Plane (Z or 3), Book (4), or Shelf (5) dimension of array parameter.
CSYS | Local coordinate system number
VAR | 1, 2, 3, 4, 5 | Name of primary variables 1–5. Primary variable names are character strings.

If Item1 = DM and ITNUM refers to a dimension that doesn't exist, then ANSYS will assign a value of -1 to .

If Item1 = CSYS and if no local coordinate system number was assigned to the array parameter (Name), then ANSYS swill assign a value of ZERO to Par

If Item1 = VAR and if IT1NUM refers to a primary variable that doesn't exist, then ANSYS will assign a value of BLANK to Par.

Preprocessing Items

*GET Preprocessing Entity Items

  • *GET Preprocessing Items, Entity = ACTIVE

  • *GET Preprocessing items, Entity = AREA

  • *GET Preprocessing Items, Entity = CDSY

  • *GET Preprocessing Items, Entity = CE

  • *GET Preprocessing Items, Entity = CP

  • *GET Preprocessing Items, Entity = EDCC

  • *GET Preprocessing Items, Entity = ELEM

  • *GET Preprocessing Items, Entity = ETYP

  • *GET Preprocessing Items, Entity = FLDATA

  • *GET Preprocessing Items, Entity = GENB

  • *GET Preprocessing Items, Entity = GENS

  • *GET Preprocessing Items, Entity = KP

  • *GET Preprocessing Items, Entity = LINE

  • *GET Preprocessing Items, Entity = MAT

  • *GET Preprocessing Items, Entity = MPLAB

  • *GET Preprocessing Items, Entity = MSCAP

  • *GET Preprocessing Items, Entity = MSDATA

  • *GET Preprocessing Items, Entity = MSMETH

  • *GET Preprocessing Items, Entity = MSNOMF

  • *GET Preprocessing Items, Entity = MSPROP

  • *GET Preprocessing Items, Entity = MSRELAX

  • *GET Preprocessing Items, Entity = MSSOLU

  • *GET Preprocessing Items, Entity = MSSPEC

  • *GET Preprocessing Items, Entity = MSVARY

  • *GET Preprocessing Items, Entity = NODE

  • *GET Preprocessing Items, Entity = PART

  • *GET Preprocessing Items, Entity = RCON

  • *GET Preprocessing Items, Entity = SCTN

  • *GET Preprocessing Items, Entity = SECP

  • *GET Preprocessing Items, Entity = SHEL

  • *GET Preprocessing Items, Entity = TBFT

  • *GET Preprocessing Items, Entity = TBLAB

  • *GET Preprocessing Items, Entity = VOLU

  • *GET Preprocessing Items, Entity = WELD

*GET Preprocessing Items, Entity = ACTIVE

Entity = ACTIVE, ENTNUM = 0 (or blank)
*GET, Par, ACTIVE, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
SEG |  | Segment capability of graphics driver: 0=no segments available, 1=erasable segments available, 2=non-erasable segments available.
CSYS |  | Active coordinate system.
DSYS |  | Active display coordinate system.
MAT |  | Active material.
TYPE |  | Active element type.
REAL |  | Active real constant set.
ESYS |  | Active element coordinate system.
SECT |  | Active section.
CP |  | Maximum coupled node set number in the model (includes merged and deleted sets until compressed out).
CE |  | Maximum constraint equation set number in the model (includes merged and deleted sets until compressed out).
WFRONT | MAX, RMS | Current maximum or RMS wavefront. Zero if no reordering done.

*GET Preprocessing items, Entity = AREA

Entity = AREA, ENTNUM = N (area number)
*GET, Par, AREA, N, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
ATTR | Name | Number assigned to the attribute, Name, where Name=MAT, TYPE, REAL, ESYS, SECN, NNOD, NELM, or ESIZ. (NNOD=number of nodes, NELM=number of elements, ESIZ=element size.)
ASEL |  | Select status of area N: -1=unselected, 0=undefined, 1=selected. Alternative get function: ASEL(N).
NXTH |  | Next higher area number above N in selected set (or zero if none found).
NXTL |  | Next lower area number below N in selected set (or zero if none found).
AREA |  | Area of area N. (ASUM or GSUM must have been performed sometime previously with at least this area N selected).
LOOP | 1,2,...,I | Item2: LINE, IT2NUM: 1,2,...,p Line number of position p of loop I
Entity = AREA, ENTNUM = 0 (or blank)
*GET, Par, AREA, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
NUM | MAX, MIN | Highest or lowest area number in the selected set.
NUM | MAXD, MIND | Highest or lowest area number defined.
COUNT |  | Number of areas in the selected set.
AREA |  | Combined areas (from last ASUM or GSUM).
VOLU |  | Combined volume of areas (from last ASUM or GSUM. For 3-D area elements, thickness is determined from area attributes [AATT]. For 2-D elements, area attributes are ignored and unit thickness is assumed.
CENT | X, Y, Z | Centroid X, Y, or Z location of areas (from last ASUM or GSUM).
IOR | X, Y, Z, XY, YZ, ZX | Moments of inertia about origin (from last ASUM or GSUM).
IMC | X, Y, Z, XY, YZ, ZX | Moments of inertia about mass centroid (from last ASUM or GSUM).
IPR | X, Y, Z | Principal moments of inertia (from last ASUM or GSUM).
IXV | X, Y, Z | Principal orientation X vector components (from last ASUM or GSUM).
IYV | X, Y, Z | Principal orientation Y vector components (from last ASUM or GSUM).
IZV | X, Y, Z | Principal orientation Z vector components (from last ASUM or GSUM).

*GET Preprocessing Items, Entity = CDSY

Entity = CDSY, ENTNUM = N (coordinate system number)
*GET, Par, CDSY, N, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
LOC | X, Y, Z | X, Y, or Z origin location in global Cartesian system.
ANG | XY, YZ, ZX | THXY, THYZ, or THZX rotation angle (in degrees) relative to the global Cartesian coordinate system.
ATTR | Name | Number assigned to Name, where Name=KCS, KTHET, KPHI, PAR1, or PAR2. The value -1.0 is returned for KCS if the coordinate system is undefined.
NUM | MAX | The maximum coordinate system number

*GET Preprocessing Items, Entity = CE

Entity = CE, ENTNUM = N (constraint equation set)
*GET, Par, CE, N, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
If N = 0, then
MAX |  | Maximum constraint equation number
NUM |  | Number of constraint equations
If N > 0, then
NTERM |  | Number of terms in this constraint equation
CONST |  | Constant term for this constraint equation
TERM | number | Item2 = NODE: Gives the node for this position in the constraint equation. Item2 = DOF: Gives the DOF number for this position in the constraint equation. (1–UX, 2–UY, 3–UZ, 4–ROTX, etc.) Item2 = COEF: Gives the coefficient for this position in the constraint equation.

*GET Preprocessing Items, Entity = CP

Entity = CP, ENTNUM = N (coupled node set)
*GET, Par, CP, N, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
If N = 0, then
MAX |  | Maximum coupled set number
NUM |  | Number of coupled sets
If N > 0, then
DOF |  | The degree of freedom for this set (1–UX, 2–UY, 3–UZ, 4–ROTX, etc.)
NTERM |  | Number of nodes in this set.
TERM | number | Item2 = NODE: Gives the node for this position number in the coupled set.

*GET Preprocessing Items, Entity = EDCC

Entity = EDCC, ENTNUM = N (contact entity number, obtained by issuing the EDCLIST command)
*GET, Par, EDCC, N, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
COMP | 1, 2 | Component name for the contact (1) or target (2) surface of contact entity N. A character parameter is returned.
PART | 1, 2 | PART number for contact (1) or target (2) surface of contact entity N.
Entity = EDCC, ENTNUM = 0 (or blank)
*GET, Par, EDCC, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
COUNT |  | Total number of contact definitions.

*GET Preprocessing Items, Entity = ELEM

Entity = ELEM, ENTNUM = N (element number)
*GET, Par, ELEM, N, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
NODE | 1, 2, ... 20 | Node number at position 1,2,... or 20 of elementN. Alternative get function: NELEM(n,npos), where npos is 1,2,...20.
CENT | X, Y, Z | Centroid X, Y, or Z location (based on shape function) in the active coordinate system. The original locations is used even if large deflections are active. Alternative get functions: CENTRX(N), CENTRY(N), and CENTRZ(N) always retrieve the element centroid in global Cartesian coordinates, and are determined from the selected nodes on the elements.
ADJ | 1, 2, ... 6 | Element number adjacent to face 1,2,...6. Alternative get function: ELADJ(N,face). Only elements (of the same dimensionality) adjacent to lateral faces are considered.
ATTR | Name | Number assigned to the attribute Name, where Name = MAT, TYPE, REAL, ESYS, PSTAT, LIVE, or SECN. Returns a zero if the element is unselected. If Name = PSTAT (valid for p-elements only), returns a 1 if the element is selected and included [PINCLUDE], and a -1 if the element is selected and excluded [PEXCLUDE]. If Name = LIVE, returns a 1 if the element is selected and active, and a -1 if it is selected and inactive. Name = SECN returns the section number of the selected beam element.
LENG | Length of line element (straight line between ends).
LPROJ | X, Y, Z | Projected line element length (in the active coordinate system). X is x-projection onto y-z plane, Y is y projection onto z-x plane, and Z is z-projection onto x-y plane.
AREA | Area of area element.
APROJ | X, Y, Z | Projected area of area element area (in the active coordinate system). X is x-projection onto y-z plane, Y is y projection onto z-x plane, and Z is z-projection onto x-y plane.
VOLU Element volume. Based on unit thickness for 2-D plane elements (unless the thickness option is used) and on the full 360 degrees for 2-D axisymmetric elements.

Note

If results data are in the database, the volume returned is the volume calculated during solution.

ESEL | Select status of element N: -1 = unselected, 0 = undefined, 1 = selected. Alternative get function: ESEL(N).
NXTH | Next higher element number above N in selected set (or zero if none found). Alternative get function: ELNEXT(N)
NXTL | Next lower element number below N in selected set (or zero if none found).
HGEN | Heat generation on selected element N.
HCOE | face | Heat coefficient for selected element N on specified face. Returns the value at the first node that forms the face.
TBULK | face | Bulk temperature for selected element N on specified face. Returns the value at the first node that forms the face.
PRES | face | Pressure on selected element, N on specified face. Returns the value at the first node that forms the face.
SHPAR | Test | Element shape test result for selected element N, where Test = ANGD (SHELL28 corner angle deviation), ASPE (aspect ratio), JACR (Jacobian ratio), MAXA (maximum corner angle), PARA (deviation from parallelism of opposite edges), or WARP (warping factor).
Entity = ELEM, ENTNUM = 0 (or blank)
*GET, Par, ELEM, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
NUM | MAX,MIN | Highest or lowest element number in the selected set.
NUM | MAXD, MIND | Highest or lowest element number defined.
COUNT |  | Number of elements in the selected set.

*GET Preprocessing Items, Entity = ETYP

Entity = ETYP, ENTNUM = N (element type number)
*GET, Par, ETYP, N, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
ATTR | Name | Number assigned to the attribute Name, where Name=ENAM, KOP1, KOP2, ..., KOP9, KO10, KO11, etc.
Entity = ETYP, ENTNUM = 0 (or blank)
*GET,Par,ETYP,0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
NUM | MAX | Maximum element type.

*GET Preprocessing Items, Entity = FLDATA

Entity = FLDATA, ENTNUM = Name (Name is a valid label on the Name field of the FLDATA command.) The value returned is the numerical value for numeric items, 0 or 1 for logical items (off/on or false/true), and a character parameter for items that require a character string. For example, *GET,X,FLDATA,TERM,PRES returns X=convergence monitor value for pressure [FLDATA3], *GET,X,FLDATA,SOLU,TURB returns X=1 if the turbulence model is ON [FLDATA1], and *GET,X,FLDATA,PROT,DENS returns X='CONSTANT' if density is specified as a constant property type [FLDATA7].
*GET, Par, FLDATA, Name, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
Lab | (Blank) | Value of Lab, where Lab is a valid label from the Label field of the FLDATA command.

*GET Preprocessing Items, Entity = GENB

Entity = GENB, ENTNUM =N (nonlinear beam general section identification number)
*GET, Par, GENB, N, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
COUNT | (Blank) | Number of defined sections. If Item1 = COUNT, then N is blank.
MAX | (Blank) | Largest section number defined. If Item1 = MAX, then N is blank.
EXIS | (Blank) | Returns a 1 if the section exists and if it is a GENB section.
SUBTYPE | (Blank) | Section subtype for the section ID specified via the SECTYPE command.
NAME | (Blank) | The 8-character section name defined via the SECTYPE command.
One of the following:
BSAX
BSM1
BSM2
BSTQ
BSS1
BSS2
BSMD
BSTE
(Blank) Item2 = NTEM, the number of temperatures for BSAX, BSM1, BSM2, BSTQ, BSS1, BSS2, BSMD, or BSTE data.
One of the following:
BSAX
BSM1
BSM2
BSTQ
BSS1
BSS2
BSMD
BSTE
(Blank) Item2 = TVAL; IT2NUM = nnn

Where nnn is the temperature value (<= NTEM).

One of the following:
BSAX
BSM1
BSM2
BSTQ
BSS1
BSS2
BSMD
BSTE
nnn Item2 = TEMP; IT2NUM = tval

Where nnn is the location in the BSAX, BSM1, BSM2, BSTQ, BSS1, BSS2, BSMD, or BSTE command for the given coefficient number, and tval is the temperature value.

Examples for nnn:

nnn = 1 for STRAIN(1)
nnn = 2 for STRESS(1)
nnn = 3 for STRAIN(2)
nnn = 4 for STRESS(2)
nnn = 5 for STRAIN(3)
...
One of the following:
BSAX
BSM1
BSM2
BSTQ
BSS1
BSS2
BSMD
BSTE
(Blank) Item2 = TEMP; IT2NUM = tval; Item3 = NCONST

The number of constants at tval.

*GET Preprocessing Items, Entity = GENS

Entity = GENS, ENTNUM =N (preintegrated shell general section identification number)
*GET, Par, GENS, N, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
COUNT | (Blank) | Number of defined sections. If Item1 = COUNT, then N is blank.
MAX | (Blank) | Largest section number defined. If Item1 = MAX, then N is blank.
EXIS | (Blank) | Returns a 1 if the section exists and if it is a GENS section.
NAME | (Blank) | The 8-character section name defined via the SECTYPE command.
One of the following:
SSPA
SSPB
SSPD
SSPE
SSMT
SSBT
SSPM
(Blank) Item2 = NTEM, the number of temperatures for SSPA, SSPB, SSPD, SSPE, SSMT, SSBT, or SSPM data.
One of the following:
SSPA
SSPB
SSPD
SSPE
SSMT
SSBT
SSPM
(Blank) Item2 = TVAL; IT2NUM = nnn

Where nnn is the temperature value (<= NTEM).

One of the following:
SSPA
SSPB
SSPD
SSPE
SSMT
SSBT
SSPM
nnn Item2 = TEMP; IT2NUM = tval

Where nnn is the location in the SSPA, SSPB, SSPD, SSPE, SSMT, SSBT, or SSPM command for the given coefficient number, and tval is the temperature value.

*GET Preprocessing Items, Entity = KP

Entity = KP, ENTNUM = N (keypoint number)
*GET, Par, KP, N, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
LOC | X, Y, Z | X, Y, or Z location in the active coordinate system. Alternative get functions: KX(N), KY(N), KZ(N). Inverse get function: KP(x,y,z) returns the number of the selected keypoint nearest the x,y,z location (in the active coordinate system, lowest number for coincident keypoints).
ATTR | Name | Number assigned to the attribute Name, where Name = MAT, TYPE, REAL, ESYS, NODE, or ELEM.
KSEL |  | Select status of keypoint N: -1 = unselected, 0 = undefined, 1 = selected. Alternative get function: KSEL(N).
NXTH |  | Next higher keypoint number above N in selected set (or zero if none found). Alternative get function: KPNEXT(N).
NXTL |  | Next lower keypoint number below N in selected set (or zero if none found).
DIV |  | Divisions (element size setting) from KESIZE command.
Entity = KP, ENTNUM = 0 (or blank)
*GET, Par, KP, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
NUM | MAX, MIN | Highest or lowest keypoint number in the selected set.
NUM | MAXD, MIND | Highest or lowest keypoint number defined
COUNT |  | Number of keypoints in the selected set.
CENT | X, Y, Z | Centroid X, Y, or Z location of keypoints (from last KSUM or GSUM).
IOR | X, Y, Z, XY, YZ, ZX | Moments of inertia about origin (from last KSUM or GSUM).
IMC | X, Y, Z, XY, YZ, ZX | Moments of inertia about mass centroid (from last KSUM or GSUM).
IPR | X, Y, Z | Principal moments of inertia (from last KSUM or GSUM).
IXV | X, Y, Z | Principal orientation X vector components (from last KSUM or GSUM).
IYV | X, Y, Z | Principal orientation Y vector components (from last KSUM or GSUM).
IZV | X, Y, Z | Principal orientation Z vector components (from last KSUM or GSUM).
MXLOC | X, Y, Z | Maximum X, Y, or Z keypoint coordinate in the selected set (in the active coordinate system).
MNLOC | X, Y, Z | Minimum X, Y, or Z keypoint coordinate in the selected set (in the active coordinate system).
NRELM | m | Keypoint number of meshed region nearest centroid of element m.

*GET Preprocessing Items, Entity = LINE

Entity = LINE, ENTNUM = N (line number)
*GET, Par, LINE, N, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
KP | 1,2 | Keypoint number at position 1 or 2.
ATTR | Name | Number assigned to the attribute, Name, where Name=MAT, TYPE, REAL, ESYS, NNOD, NELM, NDIV, NDNX, SPAC, SPNX, KYND, KYSP, LAY1, or LAY2. (NNOD=number of nodes, returns --1 for meshed line with no internal nodes, NELM=number of elements, NDIV=number of divisions in an existing mesh, NDNX=number of divisions assigned for next mesh, SPAC=spacing ratio in an existing mesh, SPNX=spacing ratio for next mesh, KYND=soft key for NDNX, KYSP=soft key for SPNX, LAY1=LAYER1 setting, LAY2=LAYER2 setting.)
LSEL |  | Select status of line N: -1=unselected, 0=undefined, 1=selected. Alternative get function: LSEL(N).
NXTH |  | Next higher line number above N in the selected set (or zero if none found). Alternative get function: LSNEXT(N)
NXTL |  | Next lower line number below N in selected set (or zero if none found).
LENG |  | Length. A get function LX(n,lfrac) also exists to return the X coordinate location of line N at the length fraction lfrac (0.0 to 1.0). Similar LY and LZ functions exist.
Entity = LINE, ENTNUM = 0 (or blank)
*GET, Par, LINE, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
NUM | MAX, MIN | Highest or lowest line number in the selected set.
NUM | MIND, MAXD | Highest or lowest line number defined.
COUNT |  | Number of lines in the selected set.
LENG |  | Combined length of lines (from last LSUM or GSUM).
CENT | X, Y, Z | Centroid X, Y, or Z location of lines (from last LSUM or GSUM).
IOR | X, Y, Z, XY, YZ, ZX | Moments of inertia about origin (from last LSUM or GSUM).
IMC | X, Y, Z, XY, YZ, ZX | Moments of inertia about mass centroid (from last LSUM or GSUM).
IPR | X, Y, Z | Principal moments of inertia (from last LSUM or GSUM).
IXV | X, Y, Z | Principal orientation X vector components (from last LSUM or GSUM).
IYV | X, Y, Z | Principal orientation Y vector components (from last LSUM or GSUM).
IZV | X, Y, Z | Principal orientation Z vector components (from last LSUM or GSUM).

*GET Preprocessing Items, Entity = MAT

Entity = MAT, ENTNUM = 0 (or BLANK)
*GET, Par, MAT, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
COUNT |  | Number of materials.
MAX |  | Largest material number defined. .

*GET Preprocessing Items, Entity = MPLAB

Entity = MPlab, ENTNUM =N (MPlab = material property label from MP command; N = material number.)
*GET, Par, MPlab, N, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
TEMP | val | Material property value at temperature of val. For temperature dependent materials, the program interpolates the property at temperature input for val.

*GET Preprocessing Items, Entity = MSCAP

Entity = MSCAP, ENTNUM = n (species number)
*GET, Par, MSCAP, n, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
KEY |  | Status of mass fraction capping for species n: 0=off, 1=on.
UPP |  | Upper bound of mass fraction.
LOW |  | Lower bound of mass fraction.

*GET Preprocessing Items, Entity = MSDATA

Entity = MSDATA, ENTNUM = 0
*GET, Par, MSDATA, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
SPEC |  | The algebraic species number.
UGAS |  | Value of the universal gas constant.

*GET Preprocessing Items, Entity = MSMETH

Entity = MSMETH, ENTNUM = n (species number)
*GET, Par, MSMETH, n, Item1, IT1NUM, Item2, IT2NUM
(Blank) (Blank) Solution method for species n: 0=no solution, 1=TDMA method, 2=conjugate residual method, 3=preconditioned conjugate residual method.

*GET Preprocessing Items, Entity = MSNOMF

Entity = MSNOMF, ENTNUM = n (species number)
*GET, Par, MSNOMF, n, Item1, IT1NUM, Item2, IT2NUM
(Blank) (Blank) Initial mass fraction of species N.

*GET Preprocessing Items, Entity = MSPROP

Entity = MSPROP, ENTNUM = n (species number)
*GET, Par, MSPROP, n, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
Lab | TYPE | The type of fluid property variation being used for Lab, where Lab is a valid property label as described on the MSPROP command (DENS, VISC, COND, etc.). A character parameter is returned: CONSTANT, GAS, LIQUID, or a property name from the floprp.ans file.
" | NOMI | Value of property Lab: nominal value for a CONSTANT fluid property, value at temperature given by COF1 for other property types.
" | COF1, COF2, COF3 | Coefficients in the equation of state for property Lab.

*GET Preprocessing Items, Entity = MSRELAX

Entity = MSRELAX, ENTNUM = n (species number)
*GET, Par, MSRELAX, n, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
CONC |  | Mass fraction concentration relaxation factor.
MDIF |  | Mass diffusion coefficient relaxation factor.
EMDI |  | Effective mass diffusion coefficient relaxation factor.
STAB |  | Transport equation inertial relaxation factor.

*GET Preprocessing Items, Entity = MSSOLU

Entity = MSSOLU, ENTNUM = n (species number)
*GET, Par, MSSOLU,n, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
NSWE |  | Number of TDMA sweeps.
MAXI |  | Maximum number of iterations allowed for semi-direct methods.
NSRC |  | Number of search vectors used for semi-direct methods.
CONV |  | Convergence criterion for semi-direct methods.
DELT |  | Maximum normalized rate of change which will permit the semi-direct solution to continue.

*GET Preprocessing Items, Entity = MSSPEC

Entity = MSSPEC, ENTNUM = n (species number)
*GET, Par, MSSPEC, n, Item1, IT1NUM, Item2, IT2NUM
NAME | Name of species n. A character parameter is returned.
MOLW | Molecular weight of species n.
SCHM | Turbulent Schmidt number of species n.

*GET Preprocessing Items, Entity = MSVARY

Entity = MSVARY, ENTNUM = n (species number)
*GET, Par, MSVARY, n, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
Lab |  | Variability status of property Lab (where Lab =DENS, VISC, COND, or MDIF): 0=off, 1=on.

*GET Preprocessing Items, Entity = NODE

Entity = NODE, ENTNUM = N (node number)
*GET, Par, NODE, N, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
LOC | X, Y, Z | X, Y, Z location in the active coordinate system. Alternative get functions: NX(N), NY(N), NZ(N). Inverse get function. NODE(x,y,z) returns the number of the selected node nearest the x,y,z location (in the active coordinate system, lowest number for coincident nodes).
ANG | XY, YZ, ZX | THXY, THYZ, THZX rotation angle.
NSEL |  | Select status of node N: -1=unselected, 0=undefined, 1=selected. Alternative get function: NSEL(N).
NXTH |  | Next higher node number above N in selected set (or zero if none found). Alternative get function: NDNEXT(N).
NXTL |  | Next lower node number below N in selected set (or zero if none found).
F | FX, MX, ... | Applied force at selected node N in direction IT1NUM (returns 0.0 if no force is defined, if node is unselected, or if the DOF is inactive). If ITEM2 is IMAG, return the imaginary part.
D | UX, ROTX, ... | Applied constraint force at selected node N in direction IT1NUM (returns a large number, such as 2e100, if no constraint is specified, if the node is unselected, or if the DOF is inactive). If ITEM2 is IMAG, return the imaginary part.
HGEN |  | Heat generation on selected node N (returns 0.0 if node is unselected, or if the DOF is inactive).
NTEMP |  | Temperature on selected node N (returns 0.0 if node is unselected)
CPS | Lab | Couple set number with direction Lab = any active DOF, which contains the node N.
Entity = NODE, ENTNUM = 0 (or blank)
*GET, Par, NODE, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
NUM | MAX, MIN | Highest or lowest node number in the selected set.
NUM | MAXD, MIND | Highest or lowest node number defined.
COUNT |  | Number of nodes in the selected set.
MXLOC | X, Y, Z | Maximum X, Y, or Z node coordinate in the selected set (in the active coordinate system).
MNLOC | X, Y, Z | Minimum X, Y, or Z node coordinate in the selected set (in the active coordinate system).
Note: If internal nodes are created during solution by ANSYS, the internal nodes may also be included by the command. You can select/unselect them by node numbers, but they can not be listed or plotted.

*GET Preprocessing Items, Entity = PART

Entity = PART, ENTNUM = N (PART number)
*GET, Par, PART, N, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
TYPE |  | Element type number assigned to PART N.
MAT |  | Material number assigned to PART N.
REAL |  | Real constant number assigned to PART N.
Entity = PART, ENTNUM = 0 (or blank)
*GET, Par, PART, 0, Item1, IT1NUM, Item2, IT2NUM
NUMP Total number of parts in the model.

*GET Preprocessing Items, Entity = RCON

Entity = RCON, ENTNUM = N (real constant set number)
*GET, Par, RCON, N, Item1, IT1NUM, Item2, IT2NUM
CONST | 1, 2, ..., m | Value of real constant number m in set N.
*GET, Par, RCON, 0, Item1, IT1NUM, Item2, IT2NUM
NUM | MAX | The maximum real constant set number defined

*GET Preprocessing Items, Entity = SCTN

Entity = SCTN, ENTNUM = N (pretension section ID number)
*GET, Par, SCTN, N, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
1 |  | Section ID number.
2 |  | Section type (always 5 for pretension section).
3 |  | Pretension node number.
4 | Coordinate system number. | Section normal NX.
5 | Coordinate system number. | Section normal NY.
6 | Coordinate system number. | Section normal NZ.
7 or 8 |  | Eight character section name.
9 |  | Initial action key. Returns 0 or 1 for lock, 2 for "free-to-slide," or 3 for tiny.
10 |  | Force displacement key. Returns 0 or 1 for force, or 2 for displacement.
11 |  | First preload value.
12 |  | Load step in which first preload value is to be applied.
13 |  | Load step in which first preload value is to be locked.
14... |  | 14 through 17 is a repeat of 10 through 13, but for the second preload value; 18 through 21 is for the third preload value; and so forth.

*GET Preprocessing Items, Entity = SECP

Entity = SECP, ENTNUM = 0 (or BLANK)
*GET, Par, SECP, NUM, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
COUNT |  | Number of defined sections
MAX |  | Largest section number defined
Entity = SECP, ENTNUM = id (beam section identification number)
*GET, Par, SECP, id, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
TYPE | Section type, for id - SECTYPE command. (always BEAM for beam sections)
SUBTYPE | Section type for id - SECTYPE command
NAME | Name defined for the given section id number
DATA | nnn | Where nnn is the location in the SECDATA command for the given section id number
PROP | AREA | Area value
" IYY, IYZ, IZZ Moments of inertia
" WARP Warping constant
" TORS Torsion constant
" CGY, CGZ Y or Z coordinate center of gravity
" SHCY, SHCZ Y or Z coordinate shear center
" SCYY, SCYZ, SCZZ Shear correction factors
" OFFSET Offset location:
1 = Centroid
2 = Shear Center
3 = Origin
0 = User Defined
“ OFFY Section offset in the Y-direction.
“ OFFZ Section offset in the Z-direction.

*GET Preprocessing Items, Entity = SHEL

Entity = SHEL, ENTNUM = N (shell section identification number)
*GET, Par, SHEL, N, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
TYPE |  | Section type, for id — SECTYPE command. (always SHEL for shell sections)
NAME |  | Name defined for a given id number.
PROP | TTHK | Total thickness.
" | NLAY | Number of layers.
" | NSP | Number of section integration points.
" | POS | Node position (as defined by SECOFFSET).
" | " | 0 = User Defined.
" | " | 1 = Middle.
" | " | 2 = Top.
" | " | 3 = Bottom.
" | OFFZ | User-defined section offset (POS = 0).
" | TS11 | Transverse shear stiffness factors.
" | TS22 | Transverse shear stiffness factors.
" | TS12 | Transverse shear stiffness factors.
" | HORC | Homogeneous or complete section flag.
" | " | 0 = Homogeneous.
" | " | 1 = Composite.
" | FUNC | Tabular function name for total thickness.
" | UT11 | User transverse shear stiffness 11.
" | UT22 | User transverse shear stiffness 22.
" | UT12 | User transverse shear stiffness 12.
" | AMAS | Added mass.
" | MSCF | Hourglass control membrane scale factor.
" | BSCF | Hourglass control bending scale factor.
" | DSTF | Drill stiffness scale factor.
" | LDEN | Laminate density.
LAYD | LayerNumber,THIC | Layer thickness.
" | LayerNumber,MAT | Layer material.
" | LayerNumber,ANGL | Layer orientation angle.
" | LayerNumber,NINT | Number of layer integration points.

*GET Preprocessing Items, Entity = TBFT

Entity = TBFT, ENTNUM = BLANK
*GET, Par, TBFT, , Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
nmat |  | Number of defined material models.
matnum | index | Material number in array (index varies for 1 to num materials).
Entity = TBFT, ENTNUM = matid (For getting names of constitutive function, matid = the material ID number)
*GET, Par, TBFT, matid, nfun, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
nfun |  | Number of constitutive functions for this material.
Entity = TBFT, ENTNUM = matid (To query constitutive function data, matid = the material ID number)
*GET, Par, TBFT, matid, func, fname, Item2, IT2NUM
Item1 | IT1NUM | Description
func | index | if Item2 = fname, the name of the constitutive function is returned.
func | function name | If Item2 = ncon, the number of constants is returned for the function specified in IT1NUM by the constitutive function name.
” | “ | If Item2 = cons, set Item2num to index to return the value of the constant.
“ | “ | If Item2 = fixe, set Item2num to index to return the fix flag status.
“ | “ | If Item2 = RESI, returns the residual error while fitting the data.
“ | “ | If Item2 = type, returns the category of the constitutive model (moon, poly, etc.)
“ | “ | If Item2 = sord, returns the shear order of the prony visco model.
“ | “ | If Item2 = bord, returns the bulk order of the prony visco model.
“ | ” | If Item2 = shif, returns the shift function name of the prony visco model.
Entity = TBFT, ENTNUM = matid (To query experimental data, matid = the material ID number))
*GET, Par, TBFT, matid, func, fname, Item2, IT2NUM
Item1 | IT1NUM | Description
expe | (blank) | If Item2 = nexp, returns number of experiments in a material model.
“ | expindex | If Item2 = type, returns index of experiment.
“ | “ | If Item2 = numrow, returns number of rows in the data.
“ | “ | If Item2 = numcol, returns the number of cols in a row (set Intem2num = Row index)
“ | “ | If Item2 = data, returns the value of the data in row, col of exp expindex (set item2Num = row index and item3 = column index. All indices vary from 1 to the maximum value.
“ | “ | If Item2 = natt, returns the number of attributes.
“ | “ | If Item2 = attname, returns the attribute name (set Item2Num = Attr index).
“ | “ | If Item2 = attvald, returns double value of attribute (set Item2Num = Attr index).
“ | “ | If Item2 = attvali, returns integer valud of attribute (set Item2Num = Attr index).
“ | “ | If Item2 = attvals, returns the string value of the attribute (set Item2Num = Attr index).

*GET Preprocessing Items, Entity = TBLAB

Entity = TBlab, ENTNUM = N..(TBlab = data table label from the TB command; N = material number.)
*GET, Par, TBlab, N, Item1, IT1NUM, Item2, IT2NUM, TBOPT
Item1 | IT1NUM | Description
TEMP | T | Item2: CONST IT2NUM: Num Value of constant number Num in the datatable at temperature T (see Data Tables - Implicit Analysis in the Elements Reference). For constants input a X,Y point, the constant numbers are consecutive with the X constants being the odd numbers, beginning with one.

*GET Preprocessing Items, Entity = VOLU

Entity = VOLU, ENTNUM = N (volume number)
*GET, Par, VOLU, N, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
ATTR | Name | Number assigned to the attribute Name, where Name=MAT, TYPE, REAL, ESYS, NNOD, or NELM. (NNOD=number of nodes, NELM=number of elements.)
VSEL |  | Select status of volume N: -1=unselected, 0=undefined, 1=selected. Alternative get function: VSEL(N).
NXTH |  | Next higher volume number above N in selected set (or zero if none found). Alternative get function: VLNEXT(N).
NXTL |  | Next lower volume number below N in selected set (or zero if none found).
VOLU |  | Volume of volume N. (VSUM or GSUM must have been performed sometime previously with at least this volume N selected).
SHELL | 1, 2, ..., m | Item2: AREA IT2NUM: 1,2,...,p Line number of position p of shell m
Entity = VOLU, ENTNUM = 0 (or blank)
*GET, Par, VOLU, 0, Item1, IT1NUM, Item2, IT2NUM
NUM | MAX, MIN | Highest or lowest volume number in the selected set.
NUM | MAXD, MIND | Highest or lowest volume number defined.
COUNT |  | Number of volumes in the selected set.
VOLU |  | Combined volumes (from last VSUM or GSUM).
CENT | X, Y, Z | Centroid X, Y, or Z location of volumes (from last VSUM or GSUM).
IOR | X, Y, Z, XY, YZ, ZX | Moments of inertia about origin (from last VSUM or GSUM).
IMC | X, Y, Z, XY, YZ, ZX | Moments of inertia about mass centroid (from last VSUM or GSUM).
IPR | X, Y, Z | Principal moments of inertia (from last VSUM or GSUM).
IXV | X, Y, Z | Principal orientation X vector components (from last VSUM or GSUM).
IYV | X, Y, Z | Principal orientation Y vector components (from last VSUM or GSUM).
IZV | X, Y, Z | Principal orientation Z vector components (from last VSUM or GSUM).

*GET Preprocessing Items, Entity = WELD

Entity = WELD, ENTNUM = N (weld number)
*GET, Par, WELD, N, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
NODE | 1, 2 | First or second node number for spot weld N.
NXTH |  | Next higher spotweld number above N (or 0 if none found).
Entity = WELD, ENTNUM = 0 (or blank)
*GET, Par, WELD, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
NUM | MAX, MIN | Highest or lowest spotweld number.
COUNT |  | Total number of spotwelds in model.

Solution Items

*GET Solution Entity Items

  • *GET Solution Items, Entity = ACTIVE

  • *GET Solution Items, Entity = ELEM

  • *GET Solution Items, Entity = MODE

  • *GET Solution Items, Entity = RUNST

*GET Solution Items, Entity = ACTIVE

Entity = ACTIVE, ENTNUM = 0 (or blank)
*GET, Par, ACTIVE, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
ANTY |  | Current analysis type.
SOLU | DTIME | Time step size.
" | NCMLS | Cumulative number of load steps.
" | NCMSS | Number of substeps. NOTE: Used only for static and transient analyses.
" | EQIT | Number of equilibrium iterations.
" | NCMIT | Cumulative number of iterations.
" | CNVG | Convergence indicator: 0=not converged, 1=converged.
" | MXDVL | Maximum degree of freedom value.
" | RESFRQ | Response frequency for 2nd order systems.
" | RESEIG | Response eigenvalue for 1st order systems.
" | DSPRM | Descent parameter.
" | FOCV | Force convergence value.
" | MOCV | Moment convergence value.
" | HFCV | Heat flow convergence value.
" | MFCV | Magnetic flux convergence value.
" | CSCV | Current segment convergence value.
" | CUCV | Current convergence value.
" | FFCV | Fluid flow convergence value.
" | DICV | Displacement convergence value.
" | ROCV | Rotation convergence value.
" | TECV | Temperature convergence value.
" | VMCV | Vector magnetic potential convergence value.
" | SMCV | Scalar magnetic potential convergence value.
" | VOCV | Voltage convergence value.
" | PRCV | Pressure convergence value.
" | VECV | Velocity convergence value.
" | CRPRAT | Maximum creep ratio.
" | PSINC | Maximum plastic strain increment.
" | CGITER | Number of iterations in the PCG and symmetric JCG (non-complex version) solvers.

*GET Solution Items, Entity = ELEM

Entity = ELEM, ENTNUM = 0 (or blank) (Available only after inertia relief solution [IRLF,1] or pre-calculation of masses [IRLF,-1])
*GET, Par, ELEM, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
MTOT | X, Y, Z | Total mass components.
MC | X, Y, Z | Mass centroid components.
IOR | X, Y, Z, XY, YZ, ZX | Moment of inertia about origin.
IMC | X, Y, Z, XY, YZ, ZX | Moment of inertia about mass centroid.
IPRIN | X, Y, Z | Principal centroidal moments of inertia.
IANG | XY, YZ, ZX | Angles of the principal axes.
FMC | X, Y, Z | Force components at mass centroid.
MMOR | X, Y, Z | Moment components at origin.
MMMC | X, Y, Z | Moment components at mass centroid.

*GET Solution Items, Entity = MODE

Entity = MODE, ENTNUM = N (mode number)
*GET, Par, MODE, N, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
FREQ | (IMAG) | Frequency of mode N. For modal solutions that create complex frequencies (DAMP and QRDAMP), the real part of the frequencies is returned unless IT1NUM = IMAG.
PFACT | Participation factor of mode N. If retrieved after a modal analysis, this value reflects the participation factor for rotation about the global Z axis. If retrieved after a spectrum analysis, this value represents the participation factor for the last SED direction vector.
MCOEF Mode coefficient of mode N. Values are retrievable with this command following a spectrum analysis.

Note

Note--Values for the MCOEF parameter are only valid after a spectrum analysis has been solved.

DAMP | Effective damping ratio of mode N. Not a function of direction. Also retrievable following a Harmonic Response Analysis or Transient Analysis with mode superposition.

Note

Only the first 1000 values corresponding to significant modes will be returned for all items.

*GET Solution Items, Entity = RUNST

Entity = RUNST, ENTNUM = 0 (or blank) Generate data using the RSPEED command before retrieving the following items:
*GET, Par, RUNST, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
RSPEED | MIPS | MIPS rating of computer.
" | SMFLOP | Scalar MFLOPS rating of computer.
" | VMFLOP | Vector MFLOPS rating of computer.
Entity = RUNST, ENTNUM = 0 (or blank) Generate data using the RFILSZ command before retrieving these items:
*GET, Par, RUNST, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
RFILSZ | TOTAL | Estimated total size of all files listed in the RFILSZ command description. All file sizes are in megabytes.
" | EMAT | Estimated size of element matrices file (.EMAT).
" | EROT | Rotated element matrices file (.EROT).
" | ESAV | Element saved data file (.ESAV).
" | FULL | Assembled global stiffness and mass matrices file (.FULL).
" | MODE | Modal matrices file (.MODE).
" | RDSP | Reduced displacements file (.RDSP).
" | REDM | Reduced structure matrix file (.REDM).
" | RFRQ | Reduced complex displacements file (.RFRQ).
" | RGEOM | Geometry data in results file (.RST, .RTH, or .RMG).
" | RST | Load data in results file (.RST, .RTH, or .RMG).
" | TRI | Triangularized stiffness matrix file (.TRI).
Entity = RUNST, ENTNUM = 0 (or blank) Generate data using the RTIMST command before retrieving the following items:
*GET, Par, RUNST, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
RTIMST | TOTAL | Estimated run time (seconds) for total solution.
" | TFIRST | Estimated run time (seconds) for first iteration.
" | TITER | Estimated run time (seconds) for subsequent iteration.
" | EQPREP | Estimated run time (seconds) for element preparation.
" | SOLVE | Estimated run time (seconds) for wavefront solution.
" | BSUB | Estimated run time (seconds) for back substitution.
" | EIGEN | Estimated run time (seconds) for eigenvalue calculation.
" | ELFORM | n Estimated run time (seconds) for element formulation of element type number n.
" | ELSTRS | n Estimated run time (seconds) for computation of element results for element type number n.
" | NELM | n Number of elements defined for element type n.
Entity = RUNST, ENTNUM = 0 (or blank) Generate data using the RMEMRY command before retrieving the following items:
*GET, Par, RUNST, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
RMEMRY | WSREQ | Requested work space (Mb)
" | WSAVAIL | Work space obtained (Mb).
" | DBPSIZE | ANSYS database page size (Kb).
" | DBPDISK | Database pages on disk.
" | DBSIZE | ANSYS database space size (Mb).
" | DBPMEM | Database pages in memory.
" | DBMEM | Memory for database pages (Mb).
" | SCRSIZE | ANSYS scratch memory size (Mb).
" | SCRAVAIL | Available scratch memory (Mb).
" | IOMEM | Buffer scratch memory (Mb).
" | IOPSIZ | Binary I/O page size (Kb).
" | IOBUF | Buffers per solution file.
" | SOLMEMORY | Maximum Solution Memory Space
Entity = RUNST, ENTNUM = 0 (or blank) Generate data using the RWFRNT command before retrieving these items:
*GET, Par, RUNST, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
RWFRNT | MAX | Estimated maximum wavefront.
" | RMS | Estimated R.M.S. wavefront.
" | MEAN | Estimated mean wavefront.

Postprocessing Items

*GET Postprocessing Entity Items

  • *GET Postprocessing Items, Entity = ACTIVE

  • *GET Postprocessing Items, Entity = CAMP

  • *GET Postprocessing Items, Entity = CINT

  • *GET Postprocessing Items, Entity = ELEM

  • *GET Postprocessing Items, Entity = ETAB

  • *GET Postprocessing Items, Entity = FSUM

  • *GET Postprocessing Items, Entity = GSRESULT

  • *GET Postprocessing Items, Entity = INTSRF

  • *GET Postprocessing Items, Entity = KCALC

  • *GET Postprocessing Items, Entity = NODE

  • *GET Postprocessing Items, Entity = PATH

  • *GET Postprocessing Items, Entity = PLNSOL

  • *GET Postprocessing Items, Entity = PRERR

  • *GET Postprocessing Items, Entity = RAD

  • *GET Postprocessing Items, Entity = SECR

  • *GET Postprocessing Items, Entity = SECTION

  • *GET Postprocessing Items, Entity = SORT

  • *GET Postprocessing Items, Entity = SSUM

  • *GET Postprocessing Items, Entity = TREF

  • *GET Postprocessing Items, Entity = VARI

*GET Postprocessing Items, Entity = ACTIVE

Entity = ACTIVE, ENTNUM = 0 (or blank)
*GET,Par, ACTIVE, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
SET | LSTP | Current load step number.
" SBST Current substep number.
" TIME Time associated with current results in the database.
" FREQ Frequency (for ANTYPE=MODAL, HARMIC, SPECTR; load factor for ANTYPE=BUCKLE).
" NSET If Item2 is blank, number of data sets on result file.
If Item2 = FIRST, IT2NUM = Loadstep, get set number of first substep of loadstep
If Item2 = LAST, IT2NUM = Loadstep, get set number of last substep of loadstep
RSYS | Active results coordinate system.

*GET Postprocessing Items, Entity = CAMP

Note

Available after PLCAMP or PRCAMP command is issued.

Entity = CAMP, ENTNUM = N (mode number)
*GET,Par, CAMP, N, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
NBMO | Number of modes in the Campbell diagram (ENTNUM not required). This value is the maximum value for N.
NBST | Number of steps in the Campbell diagram: modal load steps with rotational velocity (ENTNUM not required). This value is the maximum value for M (see Item1 = FREQ).
WHRL | Whirl of mode N: -1 is backward whirl, 1 is forward whirl, and 0 is undetermined.
VCRI | Critical speed for mode N. This value is available if an excitation is defined via the PLCAMP or PRCAMP command's SLOPE argument. (The unit of speed depends upon the UNIT value specified in those commands.)
FREQ | M | Natural frequency of mode N at step M.

*GET Postprocessing Items, Entity = CINT

Entity = CINTENTNUM = CrackId (Crack ID number)
*GET,Par, CINT, CrackId, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
CTIP | CTNUM | Item1 = LabeI identifying crack tip node IT1Num = Crack tip node number for J-integral contour data. Item 2= Label identifying contour information. IT2NUM = Contour number .
NOTE: Depending on how the crack is defined, some of the fields will not be used. In all cases, the crack ID number, the crack tip node number and the contour number are required.

*GET Postprocessing Items, Entity = ELEM

Entity = ELEM, ENTNUM = N (element number)
*GET,Par, ELEM, N, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
SERR |  | Structural error energy. Anisotropic elastic materials (TB, ANEL) are not supported.
SDSG |  | Absolute value of the maximum variation of any nodal stress component.
TERR |  | Thermal error energy.
TDSG |  | Absolute value of the maximum variation of any nodal thermal gradient component.
SENE |  | "Stiffness" energy or thermal heat dissipation. Same as TENE.
TENE |  | Thermal heat dissipation or "stiffness" energy. Same as SENE.
KENE |  | Kinetic energy.
JHEAT |  | Element Joule heat generation (coupled-field calculation).
JS | X, Y, Z | Source current density (coupled-field calculation) in the global Cartesian coordinate system.
HS | X, Y, Z | Average element magnetic field intensity from current sources.
VOLU |  | Element volume, as calculated during solution.
ETAB | Lab | Value of element table item Lab for element N (see ETABLE command).
SMISC | Snum | Value of element summable miscellaneous data at sequence number Snum (as used on ETABLE command).
NMISC | Snum | Value of element non-summable miscellaneous data at sequence number Snum (as used on ETABLE command).

*GET Postprocessing Items, Entity = ETAB

Entity = ETAB, ENTNUM = N (column number)
*GET,Par, ETAB, N, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
LAB |  | Label for column N of the element table [ETABLE]. Returns a character parameter.
ELEM | E | Value in ETABLE column N for element number E.
Entity = ETAB, ENTNUM = 0 (or blank)
*GET,Par,ETAB,0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
NCOL | MAX | Total number of ETABLE columns.
NLENG | MAX | Largest element number defined.

*GET Postprocessing Items, Entity = FSUM

Entity = FSUM, ENTNUM = 0 (or blank)
*GET, Par, FSUM, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
ITEM | Lab | Value of item Lab from last FSUM command. Valid labels are FX, FY, FZ, MX, MY, MZ, FLOW, HEAT, FLUX, etc.

*GET Postprocessing Items, Entity = GSRESULT

Entity = GSRESULT, ENTNUM = 0 (or blank) for generalized plane strain results in fiber direction
*GET, Par, GSRESULT, 0, Item1, IT1NUM
Item1 | IT1NUM | Description
LFIBER |  | Fiber length change at ending point.
ROT | X,Y | Rotation angle of end plane about X or Y axis.
F |  | Reaction force at ending point.
M | X,Y | Reaction moment on ending plane.

*GET Postprocessing Items, Entity = INTSRF

Entity = INTSRF, ENTNUM = 0 (or blank)
*GET, Par, INTSRF, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
PRES | Lab | Value of item Lab from last INTSRF,PRES command. Valid labels are FX, FY, FZ, MX, MY, and MZ.
TAUW | Lab | Value of item Lab from last INTSRF,TAUW command. Valid labels are FX, FY, FZ, MX, MY, and MZ.

*GET Postprocessing Items, Entity = KCALC

Entity = KCALC, ENTNUM = 0 (or blank)
*GET, Par, KCALC, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
K | 1, 2, 3 | Value of KI, KII, or KIII stress intensity factor from last KCALC command.

*GET Postprocessing Items, Entity = NODE

Entity = NODE, ENTNUM = N (node number) for nodal degree of freedom results:
*GET, Par, NODE, N, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
U | X, Y, Z, SUM | X, Y, or Z structural displacement or vector sum. Alternative get functions: UX(N), UY(N), UZ(N).
ROT | X, Y, Z, SUM | X, Y, or Z structural rotation or vector sum. Alternative get functions: ROTX(N), ROTY(N), ROTZ(N).
TEMP | Temperature. For SHELL131 and SHELL132 elements with KEYOPT(3) = 0 or 1, use TBOT, TE2, TE3, . . ., TTOP instead of TEMP. Alternative get functions: TEMP(N), TBOT(N), TE2(N), etc.
PRES | Pressure. Alternative get function: PRES(N).
VOLT | Electric potential. Alternative get function: VOLT(N).
MAG | Magnetic scalar potential. Alternative get function: MAG(N).
V | X, Y, Z, SUM | X, Y, or Z fluid velocity or vector sum in a fluid analysis. X, Y, or Z nodal velocity or vector sum in a structural transient analysis (LS-DYNA analysis or ANSYS analysis with ANTYPE,TRANS). Alternative get functions: VX(N), VY(N), VZ(N).
A | X, Y, Z, SUM | X, Y, or Z magnetic vector potential or vector sum in an electromagnetic analysis. X, Y, or Z nodal acceleration or vector sum in a structural transient analysis (LS-DYNA analysis or ANSYS analysis with ANTYPE,TRANS). Alternative get functions: AX(N), AY(N), AZ(N).
CURR | Current.
EMF | Electromotive force drop.
ENKE | Turbulent kinetic energy (FLOTRAN). Alternative get function: ENKE(N).
ENDS | Turbulent energy dissipation (FLOTRAN). Alternative get function: ENDS(N).
RF | FX, FY, FZ, MX, MY, MZ | Nodal reaction forces in the nodal coordinate system.
ORBT A, B, PSI, PHI, YMAX, ZMAX

Whirl orbit characteristics:

A is the semi-major axis.
B is the semi-minor axis.
PSI is the angle between the local axis y and the major axis Y.
PHI is the angle between initial position (t = 0) and major axis.
YMAX is the maximum displacement along local y axis.
ZMAX is the maximum displacement along local z axis.

Angles PSI and PHI are in degrees and within the range of -180 through +180.

Orbits are available only after issuing a PRORB command.

Note

This command should be used very carefully when N represents an internal node because the nodal DOFs may have different physical meanings.

Entity = NODE, ENTNUM = N (node number) for averaged nodal results based on selected elements:
*GET, Par, NODE, N, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
S | X, Y, Z, XY, YZ, XZ | Component stress.
" 1, 2, 3 Principal stress.
" INT, EQV Stress intensity or equivalent stress.
" MAXF Maximum stress failure criterion.
" TWSI Tsai-Wu strength failure criterion.
" TWSR Inverse of Tsai-Wu strength ratio index failure criterion.
EPTO | X, Y, Z, XY, YZ, XZ, | Component total strain (EPEL + EPPL + EPCR).
" 1, 2, 3 Principal total strain.
" INT, EQV Total strain intensity or total equivalent strain.
EPEL | X, Y, Z, XY, YZ, XZ | Component elastic strain.
" 1, 2, 3 Principal elastic strain.
" INT, EQV Elastic strain intensity or elastic equivalent strain.
" MAXF Maximum strain failure criterion.
EPPL | X, Y, Z, XY, YZ, XZ | Component plastic strain.
" 1, 2, 3 Principal plastic strain.
" INT, EQV Plastic strain intensity or plastic equivalent strain.
EPCR | X, Y, Z, XY, YZ, XZ | Component creep strain.
" 1, 2, 3 Principal creep strain.
" INT, EQV Creep strain intensity or creep equivalent strain.
GKS | X, XY, XZ | Gasket component stress.
GKD | X, XY, XZ | Gasket component total closure.
GKDI | X, XY, XZ | Gasket component total inelastic closure.
GKTH | X, XY, XZ | Gasket component thermal closure.
EPTH | X, Y, Z, XY, YZ, XZ | Component thermal strain.
" 1, 2, 3 Principal thermal strain.
" INT, EQV Thermal strain intensity or thermal equivalent strain.
EPSW | Swelling strain.
FAIL | MAX | Maximum of all failure criterion defined for this node.
" EMAX Maximum Strain failure criterion.
" SMAX Maximum Stress failure criterion.
" TWSI Tsai-Wu Failure Criterion Strength Index failure criterion.
" TWSR Inverse of Tsai-Wu Strength Ratio Index failure criterion.
" USR1, USR2, ..., USR6 User-defined failure criteria.
NL | SEPL | Equivalent stress (from stress-strain curve).
" SRAT Stress state ratio.
" HPRES Hydrostatic pressure.
" EPEQ Accumulated equivalent plastic strain.
" PSV Plastic state variable or plastic work/volume.
" PLWK Plastic work/volume.
TG | X, Y, Z, SUM | Component thermal gradient and sum.
TF | X, Y, Z, SUM | Component thermal flux and sum.
PG | X, Y, Z, SUM | Component pressure gradient and sum.
EF | X, Y, Z, SUM | Component electric field and sum.
D | X, Y, Z, SUM | Component electric flux density and sum.
H | X, Y, Z, SUM | Component magnetic field intensity and sum.
B | X, Y, Z, SUM | Component magnetic flux density and sum.
FMAG | X, Y, Z, SUM | Component magnetic force and sum.
HS | X, Y, Z | Component magnetic field intensity from current sources (in the global Cartesian coordinate system).
BFE | TEMP | Body temperatures (calculated from applied temperatures) as used in solution.

Note

Element nodal results are the average nodal value of the selected elements.

Entity = NODE, ENTNUM = N (node number) for FLOTRAN results:
*GET, Par, NODE, N, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
TTOT |  | Total temperature.
HFLU |  | Heat flux.
HFLM |  | Heat transfer (film) coefficient.
COND |  | Fluid laminar conductivity.
PCOE |  | Pressure coefficient.
PTOT |  | Total (stagnation) pressure.
MACH |  | Mach number.
STRM |  | Stream function (2-D applications only).
DENS |  | Fluid density.
VISC |  | Fluid laminar viscosity.
EVIS |  | Fluid effective viscosity.
CMUV |  | Turbulent viscosity coefficient.
ECON |  | Fluid effective conductivity.
YPLU |  | Y+, a turbulent law of the wall parameter.
TAUW |  | Shear stress at the wall.

*GET Postprocessing Items, Entity = PATH

Entity = PATH, ENTNUM = 0 (or blank)
*GET, Par, PATH, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
MAX | Lab | Maximum value of path item Lab from last path operation. Valid labels are the user-defined labels on the PDEF or PCALC command.
MAXPATH |  | Returns the maximum path number defined.
MIN | Lab | Minimum value of path item Lab from last path operation. Valid labels are the user-defined labels on the PDEF or PCALC command.
LAST | Lab | Last value of path item Lab from last path operation. Valid labels are the user-defined labels on the PDEF or PCALC command.
NODE |  | Value providing the number of nodes defining the path referenced in the last path operation.
ITEM | Lab | Item2 = PATHPT, IT2NUM = n The value of Lab at the nth data point from the last path operation.
POINT | n | Item2 = X,Y,Z, or CSYS. Returns information about the nth point on the current path.
NVAL |  | The number of path data points (the length of the data table) from the last path operation.
SET | n | Item2 = NAME. Returns the name of the nth data set on the current path.
NUMPATH |  | Returns the number of paths defined.
Entity = PATH, ENTNUM = n (path number)
Item1 | IT1NUM | Description
NAME |  | Returns the name of the nth path.
Entity = PATH, ENTNUM = 0 (or blank)
*GET,Par,KCALC,0,...
K 1, 2, 3 Value of KI, KII, or KIII stress intensity factor from last KCALC command.

*GET Postprocessing Items, Entity = PLNSOL

Entity = PLNSOL, ENTNUM = 0 (or blank)
*GET, Par, PLNSOL, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
MAX |  | Maximum value of item in last contour display [PLNSOL].
MIN |  | Minimum value of item in last contour display [PLNSOL].
BMAX |  | Maximum bound value of item in last contour display [PLNSOL].
BMIN |  | Minimum bound value of item in last contour display [PLNSOL].

*GET Postprocessing Items, Entity = PRERR

Entity = PRERR, ENTNUM = 0 (or blank)
*GET, Par, PRERR, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
SEPC |  | Structural percent error in energy norm [PRERR].
TEPC |  | Thermal percent error in energy norm [PRERR].
SERSM |  | Structural error energy summation [PRERR].
TERSM |  | Thermal error energy summation [PRERR].
SENSM |  | Structural energy summation [PRERR].
TENSM |  | Thermal energy summation [PRERR].

*GET Postprocessing Items, Entity = RAD

Entity = RAD, ENTNUM = 0 (or blank)
*GET, Par, RAD, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
VFAVG |  | Value of the average view factor computed from the previous VFQUERY command.
Entity = RAD, ENTNUM = n (enclosure number)
*GET, Par, RAD, n, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
NETHF |  | Value of the net heat rate lost by an enclosure.

*GET Postprocessing Items, Entity = SECR

Entity = SECR, ENTNUM = n (element number) For beam section results, if the element number (n) is blank or ALL, find the max or min of all the elements.
*GET, Par, SECR, n, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
S | X, XZ, XY | Item 2 = MAX, or Item2 =MIN. Return highest or lowest component total stress.
S | 1, 2, 3 | Item2 = MAX, or Item2 = MIN. Return the highest or lowest principal stress value.
S | INT | Item2 = MAX, or Item2 = MIN. Return the highest or lowest stress intensity value.
S | EQV | Item2 = MAX, or Item2 = MIN. Return the highest or lowest equivalent stress value.
EPTO | X, XZ, XY | Item 2 = MAX, or Item2 =MIN Return the highest or lowest component total strain
EPTH | X, XZ, XY | Item 2 = MAX, or Item2 =MIN Return the highest or lowest component thermal strain
EPPL | X, XZ, XY | Item 2 = MAX, or Item2 =MIN Return the highest or lowest component plastic strain
PLWK | X, XZ, XY | Item 2 = MAX, or Item2 =MIN Return the highest or lowest nonlinear item plastic work
EPCR | X, XZ, XY | Item 2 = MAX, or Item2 =MIN Return the highest or lowest component creep strain

*GET Postprocessing Items, Entity = SECTION

Entity = SECTION,ENTNUM = component (listed below). Generate data for section stress results, using PRSECT before retrieving these items. Valid labels for ENTNUM are MEMBRANE, BENDING, SUM (Membrane+Bending) , PEAK, and TOTAL. (The following items are not stored in the database and the values returned reflect the last quantities generated by PRSECT or PLSECT.) Only MEMBRANE, BENDING, and SUM data are available after a PLSECT command. The MEMBRANE label is only valid with Item1 = INSIDE.
*GET, Par, SECTION, component, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Item2 | Description
INSIDE | S | X, Y, Z, XY, YZ, XZ | Stress component at beginning of path.
" | " | 1, 2, 3 | Principal stress at beginning of path.
" | " | INT, EQV | Stress intensity or equivalent stress at beginning of path.
CENTER | S | X, Y, Z, XY, YZ, XZ | Stress component at midpoint of path.
" | " | 1, 2, 3 | Principal stress at midpoint of path.
" | " | INT, EQV | Stress intensity or equivalent stress at midpoint of path.
OUTSIDE | S | X, Y, Z, XY, YZ, XZ | Stress component at end of path.
" | " | 1, 2, 3 | Principal stress at end of path.
" | " | INT, EQV | Stress intensity or equivalent stress at end of path.

*GET Postprocessing Items, Entity = SORT

Entity = SORT, ENTNUM = 0 (or blank)
*GET, Par, SORT, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
MAX |  | Maximum value of last sorted item (NSORT or ESORT command).
MIN |  | Minimum value of last sorted item (NSORT or ESORT command).
IMAX |  | Node/Element number where maximum value occurs.
IMIN |  | Node/Element number where minimum value occurs.

*GET Postprocessing Items, Entity = SSUM

Entity = SSUM, ENTNUM = 0 (or blank)
*GET, Par, SSUM, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
ITEM | Lab | Value of item Lab from last SSUM command. Valid labels are the user-defined labels on the ETABLE command.

*GET Postprocessing Items, Entity = TREF

Entity = TREF, ENTNUM = 0 (or blank)
*GET, Par, TREF, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
ENER |  | Stored energy.
ENUM |  | Trefftz element number.
CEMIN |  | First (or minimum) constraint equation number associated with the Trefftz domain.
CEMAX |  | Last (or maximum) constraint equation number associated with the Trefftz domain.
NTZN |  | Number of Trefftz DOFs.
NSFN |  | Number of nodes on exterior surface.
NSFE |  | Number of faces on exterior element.

*GET Postprocessing Items, Entity = VARI

Entity = VARI, ENTNUM = N (variable number after POST26 data storage) (for complex values, only the real portion is returned)
*GET,Par, VARI,N, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
EXTREM | VMAX | Maximum extreme value
" | TMAX | Time corresponding to VMAX.
" | VMIN | Minimum extreme value (after POST26 data storage).
" | TMIN | Time corresponding to VMIN.
" | VLAST | Last value (after POST26 data storage).
" | TLAST | Time corresponding to VLAST.
" | CVAR | Covariance
RTIME | t | Real value of variable N at time=t.
ITIME | t | Imaginary value of variable N at time=t.
RSET | Snum | Real value of variable N at location Snum.
ISET | Snum | Imaginary value of variable N at location Snum.
Entity = VARI, ENTNUM = 0 (or blank) (after POST26 data storage)
*GET,Par,VARI,0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
NSETS |  | Number of data sets stored (after POST26 data storage).

Optimization and Probabilistic Design

*GET Optimization and Probabilistic Design Entity Items

  • *GET Optimization and Probabilistic Design Items, Entity = OPT

  • *GET Optimization and Probabilistic Design Items, Entity = TOPO

  • *GET Optimization and Probabilistic Design Items, Entity = PDS (pre)

  • *GET Optimization and Probabilistic Design Items, Entity = PDS (post)

*GET Optimization and Probabilistic Design Items, Entity = OPT

Entity = OPT, ENTNUM = 0 (or blank)
*GET, Par, OPT, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
TOTAL |  | Total number of analysis loops that have been executed.
ITER |  | Total number of iterations for the optimization method or tool (i.e., per OPEXE command).
FEAS | N | Feasibility of design set N: 0=infeasible, 1=feasible.
TERM |  | Termination condition. For first order [OPTYPE,FIRST] or subproblem approximation [OPTYPE,SUBP] optimization: -1=not converged or not finished (still looping), 0=converged, 1=not converged due to too many sequential infeasible designs; 2=not converged due to too many iterations. For all other optimization methods: -1=not finished (still looping), 3=optimization complete.
BEST |  | Best design set. If design is feasible, best design is the one with the lowest value of the objective function. If infeasible, the best design is the one that is closest to being feasible.

*GET Optimization and Probabilistic Design Items, Entity = TOPO

Entity = TOPO, ENTNUM = 0 (or blank)
*GET, Par, TOPO, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
ACT |  | Status of topological optimization: 0=off, 1=on
TOELEM |  | Total number of elements used for topological optimization.
LOADS |  | Number of load cases specified in the TOCOMP command.
ITER |  | Current number of iterations performed. The iteration counter retrieved is always one greater than the actual iterations performed because the densities are also one iteration ahead (more current than those you are seeing).
MXIT |  | Maximum number of topological optimization iterations allowed.
CONV |  | Termination/convergence indicator: 0=not converged, 1=converged.
DIM |  | Dimensionality of the topological optimization problem: 0=2D, 1=3D, 2=Shell.
KAXI |  | Axisymmetric option within 2-D topological optimization: 0=off, 1=on.
POWP |  | Power of power law within axisymmetric option.
NEV |  | Total number of eigenvalues considered in topological optimization.
TOAC |  | Termination/convergence accuracy.
LOWD |  | Lower bound for element densities.
NTOC |  | Total number of constraints defined for topological optimization problem.
SFLAG |  | Solution approach active: 0=OC, 1=SCP.
COMP |  | Compliance value for current iteration.
PORV |  | Porous volume value for current iteration.
Entity = TOPO, ENTNUM = n
*GET, Par, TOPO, n, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
DENS |  | Element density used for topological optimization: low value (near 0)=material to be removed, high value (near 1)=material to keep.n = element number
FRQI |  | Individual frequencies for current topological optimization iteration. n =frequency ID
TCBO | FLAG | Constraint bounds for topological optimization: FLAG=1 - Lower bound. FLAG=2 - Upper bound. n = constraint ID
TCBF |  | Indicate whether bound should be treated as percentage of initial design or as an absolute value: 0=percentage, 1=absolute.n = constraint ID
TOHO |  | Value of topological objective for specified iteration.n = iteration counter
TOHC | CID | Value of topological constraint CID for specified iteration.n = iteration counter

*GET Optimization and Probabilistic Design Items, Entity = PDS (pre)

Entity = PDS, ENTNUM = 0 (or blank)
*GET, Par, PDS, 0, Item1, IT1NUM, Item2, IT2NUM.
Item1 | IT1NUM | Description
ANLN |  | Item2 = START; IT2NUM = N; Name of the analysis file containing the deterministic model. A character parameter of up to 8 characters, starting at position N, is returned. Use *DIM and *DO to get all 32 characters.
ANLX |  | Extension of the analysis file containing the deterministic model. A character parameter of up to 8 characters is returned.
ANLD |  | Item2 = START; IT2NUM = N; Name of the directory of the analysis file containing the deterministic model. A character parameter of up to 8 characters, starting at position N, is returned. Use *DIM and *DO to get all 64 characters.
ASTP | 1 | Current setting for Autostop option (0 = disabled, 1 = enabled).
“ | 2 | Current Autostop mean value accuracy.
“ | 3 | Current Autostop standard deviation accuracy.
“ | 4 | Current Autostop convergence checking frequency.
CORR | i | Item2 = 0 or blank; IT2NUM = j; Correlation coefficient specified by the user between the i-th and the j-th random input variable. If no correlation has been specified between these two random variables a value of 0.0 is returned.
METH |  | Name of the current analysis method as specified in the PDMETH command (MCS or RSM). A character parameter of up to 8 characters is returned.
NSIM |  | Number of simulation loops requested, as specified in the PDMETH and PDDMCS, PDLHS, PDDOEL, or PDUSER commands.
NTRP |  | Current total number of defined random output parameters.
NTRV |  | Current total number of defined random input variables
PAR1 | i | First distribution parameter of the i-th defined random input variable.
PAR2 | i | Second distribution parameter of the i-th defined random input variable.
PAR3 | i | Third distribution parameter of the i-th defined random input variable.
PAR4 | i | Fourth distribution parameter of the i-th defined random input variable.
RNAM | i | Item2 = START; IT2NUM = N; Name of the i-th defined random output parameter. A character parameter of up to 8 characters, starting at position N, is returned. Use *DIM and *DO to get all characters.
SAMP |  | Name of the current sampling technique as specified in the PDMETH command (LHS, DIR, USER for MCS, or CCD, BBM, USER for RSM). A character parameter of up to 8 characters is returned.
VDIS | i | Label of the distribution type of the i-th defined random input variable (BETA, EXPO, ..., WEIB). A character parameter of up to 8 characters is returned.
VNAM | i | Item2 = START; IT2NUM = N; Name of the i-th defined random input variable. A character parameter of up to 8 characters, starting at position N, is returned. Use *DIM and *DO to get all characters.
CCDL |  | Item2 = DEFA; IT2NUM = j; Default value for the probabilities of the j-th design-of-experiment level for a central composite design as used in the by the PDDOELcommand.
CCDL | i | Item2 = VTYP; IT2NUM=0 (or blank); Type of the level values of the design-of-experiment for a central composite design of the i-th defined random input variable as specified by the PDDOELcommand (PROB, PHYS). A character parameter of up to 8 characters is returned.
CCDL | i | Item2 = LOPT; IT2NUM=0 (or blank); Type of the level definition of the design-of-experiment for a central composite design of the i-th defined random input variable as specified by the PDDOELcommand (BND, ALL). A character parameter of up to 8 characters is returned.
CCDL | i | Item2 = LDEF; IT2NUM=j; Flag indicating if the j-th design-of-experiment level for a central composite design of the i-th defined random input variable has been defined with the PDDOELcommand. (0=NO, 1=YES).
CCDL | i | Item2 = LVAL; IT2NUM=j; Level value for the j-th design-of-experiment level for a central composite design of the i-th defined random input variable as specified by the PDDOELcommand. If the PDDOELcommand has not been used for the i-th defined random input variable or if the user has not specified the j-th design-of-experiment level, then the default probability level will be returned.
BBML |  | Item2 = DEFA; IT2NUM = j; Default value for the probabilities of the j-th design-of-experiment level for a Box-Behnken Matrix design as used in the by the PDDOELcommand.
BBML | i | Item2 = VTYP; IT2NUM=0 (or blank); Type of the level values of the design-of-experiment level for a Box-Behnken Matrix design of the i-th defined random input variable as specified by the PDDOELcommand. (PROB, PHYS). A character parameter of up to 8 characters is returned.
BBML | i | Item2 = LOPT; IT2NUM=0 (or blank); Type of the level definition of the design-of-experiment level for a Box-Behnken Matrix design of the i-th defined random input variable as specified by the PDDOELcommand (BND, ALL). A character parameter of up to 8 characters is returned.
BBML | i | Item2 = LDEF; IT2NUM=j; Flag indicating if the j-th design-of-experiment level for a Box-Behnken Matrix design of the i-th defined random input variable has been defined with the PDDOELcommand. (0=NO, 1=YES).
BBML | i | Item2 = LVAL; IT2NUM=j; Level value for the j-th design-of-experiment level for a Box-Behnken Matrix design of the i-th defined random input variable as specified by the PDDOELcommand. If the PDDOELcommand has not been used for the i-th defined random input variable or if the user has not specified the j-th design-of-experiment level, then the default probability level will be returned.

*GET Optimization and Probabilistic Design Items, Entity = PDS (post)

Entity = PDS, ENTNUM = 0 (or blank)
*GET, Par, PDS, 0, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
NRSS |  | Number of response surface sets that are currently available.
NSOL |  | Number of probabilistic solution sets that are currently available. This coincides with the number of probabilistic analyses that are currently done.
Entity = PDS, ENTNUM = n (n-th result set).

The numbering or ordering of the result sets is used as follows: If NSOL is the number of solution sets and NRSS is the number response surface sets then the solution sets are indexed from 1 to NSOL and the response surface sets are indexed from NSOL+1 to NSOL+NRSS. Note that some options listed below apply only to solution sets (i.e., where 1 [image] n [image] NSOL) and some apply only to response surface sets (i.e., where NSOL+1 ≤ n ≤ NSOL+NRSS).

*GET,Par, PDS, n, Item1, IT1NUM, Item2, IT2NUM
Item1 | IT1NUM | Description
METH | Name of the analysis method used in the n-th solution set (MCS, RSM). A character parameter of up to 8 characters is returned. This applies only to solution sets (i.e., "n" ranges from 1 to NSOL).
NSIM | Number of simulation samples that are available for postprocessing in the n-th result set. If the n-th result set is a solution set (i.e., 1 [image] n [image] NSOL) then this is equal to the number of successful (no error occurred) finite element analysis loops regardless of the probabilistic method used for the solution set. If n points to a response surface set, then this is equal to the number of simulation samples that were performed on the response surfaces included in this response surface set.
SAMP | Name of the sampling technique used in the n-th solution set (LHS, DIR, USER for MCS or CCD, BBM, USER for RSM). A character parameter of up to 8 characters is returned. This applies only to solution sets (i.e., n ranges from 1 to NSOL).
RLAB | Item2 = START; IT2NUM = N; Name of the n-th defined result set. A character parameter of up to 8 characters, starting at position N, is returned. Use *DIM and *DO to get all characters.
MEAN | Item2 = RV; IT2NUM=j; The mean value of the j-th defined random input variable in the n-th result set.
MEAN | Item2 = RP; IT2NUM=j; The mean value of the j-th defined random output parameter in the n-th result set.
STDV | Item2 = RV; IT2NUM=j; The standard deviation of the j-th defined random input variable in the n-th result set.
STDV | Item2 = RP; IT2NUM=j; The standard deviation of the j-th defined random output parameter in the n-th result set.
KURT | Item2 = RV; IT2NUM=j; The coefficient of kurtosis of the j-th defined random input variable in the n-th result set.
KURT | Item2 = RP; IT2NUM=j; The coefficient of kurtosis of the j-th defined random output parameter in the n-th result set.
SKEW | Item2 = RV; IT2NUM=j; The coefficient of skewness of the j-th defined random input variable in the n-th result set.
SKEW | Item2 = RP; IT2NUM=j; The coefficient of skewness of the j-th defined random output parameter in the n-th result set.
MIN | Item2 = RV; IT2NUM=j; The minimum sampled value of the j-th defined random input variable in the n-th result set.
MIN | Item2 = RP; IT2NUM=j; The minimum sampled value of the j-th defined random output parameter in the n-th result set.
MAX | Item2 = RV; IT2NUM=j; The minimum sampled value of the j-th defined random input variable in the n-th result set.
MAX | Item2 = RP; IT2NUM=j; The minimum sampled value of the j-th defined random output parameter in the n-th result set.
CCDL | i | Item2 = VTYP; Type of the level values of the design-of-experiment for a central composite design of the i-th defined random input variable that has been used during the execution of the n-th solution set (PROB, PHYS). A character parameter of up to 8 characters is returned. This applies only to solution sets (i.e., n ranges from 1 to NSOL).
CCDL | i | Item2 = LOPT; Type of the level definition of the design-of-experiment for a central composite design of the i-th defined random input variable that has been used during the execution of the n-th solution set (BND, ALL). A character parameter of up to 8 characters is returned. This applies only to solution sets (i.e., n ranges from 1 to NSOL).
CCDL | i | Item2 = LDEF; IT2NUM=j; Flag indicating if the j-th design-of-experiment level for a central composite design of the i-th defined random input variable has been specified for the n-th solution set. (0=NO, 1=YES). This applies only to solution sets (i.e., n ranges from 1 to NSOL).
CCDL | i | Item2 = LVAL; IT2NUM=j; Level value for the j-th design-of-experiment level for a central composite design of the i-th defined random input variable that has been used during the execution of the n-th solution set. This applies only to solution sets (i.e., n ranges from 1 to NSOL).
BBML | i | Item2 = VTYP; Type of the level values of the design-of-experiment level for a Box-Behnken Matrix design of the i-th defined random input variable that has been used during the execution of the n-th solution set. (PROB, PHYS). A character parameter of up to 8 characters is returned. This applies only to solution sets (i.e., n ranges from 1 to NSOL).
BBML | i | Item2 = LOPT; Type of the level definition of the design-of-experiment level for a Box-Behnken Matrix design of the i-th defined random input variable that has been used during the execution of the n-th solution set (BND, ALL). A character parameter of up to 8 characters is returned. This applies only to solution sets (i.e., n ranges from 1 to NSOL).
BBML | i | Item2 = LDEF; IT2NUM=j; Flag indicating if the j-th design-of-experiment level for a Box-Behnken Matrix design of the i-th defined random input variable specified for the n-th solution set. (0=NO, 1=YES).
BBML | i | Item2 = LVAL; IT2NUM=j; Level value for the j-th design-of-experiment level for a Box-Behnken Matrix design of the i-th defined random input variable that has been used during the execution of the n-th solution set. This applies only to solution sets (i.e., n ranges from 1 to NSOL).
RSST | Item2 = XSOL; Index of the solution set the response surface set identified by the n-th result set is associated with. This applies only to response surface sets (i.e., n ranges from NSOL+1 to NSOL+NRSS).
RSST | Item2 = NFRP; Number of fitted random output parameters in the response surface set identified by the n-th result set is associated with. This applies only to response surface sets (i.e., n ranges from NSOL+1 to NSOL+NRSS).
RSUR | i | Item2 = XFRP; Index of the random output parameter that has been fitted with the RSFITcommand to fit the i-th response surface in the response surface set identified by the n-th result set. IT1NUM=i ranges from 1 to NFRP (see Item1=RSST, Item2=NFRP). This applies only to response surface sets (i.e., n ranges from NSOL+1 to NSOL+NRSS).
RSUR | i | Item2 = RMOD; Label for the response surface model that has been used in the RSFITcommand to fit the i-th response surface in the response surface set identified by the n-th result set. IT1NUM=i ranges from 1 to NFRP (see Item1=RSST, Item2=NFRP). A character parameter of up to 8 characters is returned. This applies only to response surface sets (i.e., n ranges from NSOL+1 to NSOL+NRSS).
RSUR | i | Item2 = YTRT; Label of the type of transformation that has been used in the RSFITcommand to fit the random output parameter of i-th response surface in the response surface set identified by the n-th result set. IT1NUM=i ranges from 1 to NFRP (see Item1=RSST, Item2=NFRP). A character parameter of up to 8 characters is returned. This applies only to response surface sets (i.e., n ranges from NSOL+1 to NSOL+NRSS).
RSUR | i | Item2 = YTRV; Transformation value of the transformation that has been used in the RSFITcommand to fit the random output parameter of i-th response surface in the response surface set identified by the n-th result set. IT1NUM=i ranges from 1 to NFRP (see Item1=RSST, Item2=NFRP). This applies only to response surface sets (i.e., n ranges from NSOL+1 to NSOL+NRSS).
RSUR | i | Item2 = FILT; Label of the filtering type of the regression terms that has been used in the RSFITcommand to fit the random output parameter of i-th response surface in the response surface set identified by the n-th result set. IT1NUM=i ranges from 1 to NFRP (see Item1=RSST, Item2=NFRP). A character parameter of up to 8 characters is returned. This applies only to response surface sets (i.e., n ranges from NSOL+1 to NSOL+NRSS).
RSUR | i | Item2 = CONF; Confidence level value of the regression term filtering that has been used in the RSFITcommand to fit the random output parameter of i-th response surface in the response surface set identified by the n-th result set. IT1NUM=i ranges from 1 to NFRP (see Item1=RSST, Item2=NFRP). This applies only to response surface sets (i.e., n ranges from NSOL+1 to NSOL+NRSS).
RSEQ | i | Item2 = YBOX; Box-Cox transformation value “lambda” of the response surface equation for the i-th fitted random output parameter in the n-th result set. IT1NUM=i ranges from 1 to NFRP (see Item1=RSST, Item2=NFRP). This applies only to response surface sets (i.e., n ranges from NSOL+1 to NSOL+NRSS).
RSEQ | i | Item2 = NTRM; Number of regression terms of the response surface equation for the i-th fitted random output parameter in the n-th result set. IT1NUM=i ranges from 1 to NFRP (see Item1=RSST, Item2=NFRP). This applies only to response surface sets (i.e., n ranges from NSOL+1 to NSOL+NRSS).
RSEQ i Item2 = TTYP; IT2NUM=j; Type of the j-th regression term of the response surface equation for the i-th fitted random output parameter in the n-th result set. IT1NUM=i ranges from 1 to NFRP (see Item1=RSST, Item2=NFRP). IT2NUM=j ranges from 1 to NTRM (see Item1=RSEQ, Item2=NTRM). This applies only to response surface sets (i.e., n ranges from NSOL+1 to NSOL+NRSS). Possible return values are:

1 = term is a constant (this term does not involve any random input variables)

2 = term is a linear term (this term involves only one random input variable)

3 = term is a purely quadratic term involving only one random input variable (this term involves only one random input variable)

4 = term is a mixed quadratic term involving two random input variables (this term involves two random input variables)

RSEQ | i | Item2 = XRV1; IT2NUM=j; Index of the first random input variable involved in the j-th regression term of the response surface equation for the i-th fitted random output parameter in the n-th result set. IT1NUM=i ranges from 1 to NFRP (see Item1=RSST, Item2=NFRP). This applies only to response surface sets (i.e., n ranges from NSOL+1 to NSOL+NRSS). An error appears if the term does not involve a random input variable, i.e. if the term is a constant.
RSEQ | i | Item2 = XRV2; IT2NUM=j; Index of the second random input variable involved in the j-th regression term of the response surface equation for the i-th fitted random output parameter in the n-th result set. IT1NUM=i ranges from 1 to NFRP (see Item1=RSST, Item2=NFRP). This applies only to response surface sets (i.e., n ranges from NSOL+1 to NSOL+NRSS). An error appears if the term does not involve a second random input variable, i.e. if the term is not a mixed quadratic term.
RSEQ | i | Item2 = COEF; IT2NUM=j; Regression coefficient of the j-th regression term of the response surface equation for the i-th fitted random output parameter in the n-th result set. IT1NUM=i ranges from 1 to NFRP (see Item1=RSST, Item2=NFRP). This applies only to response surface sets (i.e., n ranges from NSOL+1 to NSOL+NRSS).
RSEQ | i | Item2 = SLOP; IT2NUM=j; Scaling slope of the j-th random input variable of the response surface equation for the i-th fitted random output parameter in the n-th result set. IT1NUM=i ranges from 1 to NFRP (see Item1=RSST, Item2=NFRP). This applies only to response surface sets (i.e., n ranges from NSOL+1 to NSOL+NRSS).
RSEQ | i | Item2 = ICPT; IT2NUM=j; Scaling intercept of the j-th random input variable of the response surface equation for the i-th fitted random output parameter in the n-th result set. IT1NUM=i ranges from 1 to NFRP (see Item1=RSST, Item2=NFRP). This applies only to response surface sets (i.e., n ranges from NSOL+1 to NSOL+NRSS).

Menu Paths

Main Menu>Prob Design>Prob Method>Response Surface
Utility Menu>Parameters>Get Scalar Data

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*EXIT 		Up / Home Next
*GO


*GO

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*GO, Base

Causes a specified line on the input file to be read next.

APDL: Process Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Base

"Go to" action:

:label --

A user-defined label (beginning with a colon (:), 8 characters maximum). The command reader will skip (and wrap to the beginning of the file, if necessary) to the first line that begins with the matching :label.

Caution

This label option may not be mixed with do-loop or if-then-else constructs.

STOP --

This action will cause an exit from the ANSYS program at this line.

Command Default

Read lines sequentially.

Notes

Causes the next read to be from a specified line on the input file. Lines may be skipped or reread. The *GO command will not be executed unless it is part of a macro, user file (processed by *USE), an alternate input file (processed by /INPUT), or unless it is used in a batch-mode input stream. Jumping into, out of, or within a do-loop or an if-then-else construct to a :label line is not allowed.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*GET 		Up / Home Next
*IF


*IF

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*IF, VAL1, Oper1, VAL2, Base1, VAL3, Oper2, VAL4, Base2

Conditionally causes commands to be read.

APDL: Process Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

VAL1

First numerical value (or parameter which evaluates to a numerical value) in the conditional comparison operation. VAL1, VAL2, VAL3, and VAL4 can also be character strings (enclosed in quotes) or parameters for Oper = EQ and NE only.

Oper1

Operation label. A tolerance of 1.0E-10 is used for comparisons between real numbers:

EQ --

Equal (for VAL1 = VAL2).

NE --

Not equal (for VAL1 ≠ VAL2).

LT --

Less than (for VAL1 < VAL2).

GT --

Greater than (for VAL1 > VAL2).

LE --

Less than or equal (for VAL1 [image] VAL2).

GE --

Greater than or equal (for VAL1 [image] VAL2).

ABLT --

Absolute values of VAL1 and VAL2 before < operation.

ABGT --

Absolute values of VAL1 and VAL2 before > operation.

VAL2

Second numerical value (or parameter which evaluates to a numerical value) in the conditional comparison operation.

Base1

Action based on the logical expression (Oper1) being true. If false, continue reading at the next line. This is conditional, except for the IF-THEN-ELSE constructs described below; any of the following constructs (through Base1 = THEN) cause all subsequent fields to be ignored:

:label --

A user-defined label (beginning with a colon (:), 8 characters maximum). The command reader will skip (and wrap to the beginning of the file, if necessary) to the first line that begins with the matching :label.

Caution

This label option may not be mixed with do-loop or if-then-else constructs.

STOP --

This action will cause an exit from the ANSYS program at this line, unless running in interactive mode. In interactive mode, the program will not stop.

EXIT --

Exit the current do-loop [*EXIT].

CYCLE --

Skip to the end of the current do-loop [*CYCLE].

THEN --

Make this *IF an if-then-else construct (see below).

The following optional values determine the connection between the two logical clauses Oper1 and Oper2

AND --

True if both clauses (Oper1 and Oper2) are true.

OR --

True if either clause is true.

XOR --

True if either (but not both) clause is true.

VAL3

Third numerical value (or parameter which evaluates to a numerical value).

Oper2

Operation label. This will have the same labels as Oper1, except it uses Val3 and Val4. A tolerance of 1.0E-10 is used for comparisons between real numbers.

VAL4

Fourth numerical value (or parameter value which evaluates to a numerical value).

Base2

Action based on the logical expression (Oper1 and Oper2) being true. They will be the same values as Base1, except as noted.

Command Default

Read commands sequentially.

Notes

Conditionally causes commands to be read from a specific block or at a specific location. Twenty levels of nested *IF blocks are allowed. Jumping to a :label line is not allowed with keyboard entry. Jumping into, out of, or within a do-loop or an if-then-else construct to a :label line is not allowed.

The following is an example of an if-then-else construct:

*IF,VAL1,Oper,VAL2,THEN

----

*ELSEIF,VAL1,Oper,VAL2

----

*ELSEIF,VAL1,Oper,VAL2

----

*ELSE

----

*ENDIF

where "----" represents a block of any number of commands. Any number of *ELSEIF clauses (or none) may be included (in the location shown). One *ELSE clause (at most) may be included (in the location shown). The *IF command is executed by evaluating its logical expression. If it is true, the block of commands following it is executed. The construct is considered to be complete and the command following the *ENDIF is executed next. If the logical expression is false, the next *ELSEIF command (if any) following the block is executed. The execution logic is the same as for *IF. The effect is that the logical expressions in the *IF and the *ELSEIF commands are sequentially tested until one is found to be true. Then the block of commands immediately following the expression is executed, which completes the execution of the if-then-else construct. If all *IF and *ELSEIF expressions are false, the block following the *ELSE command is executed, if there is one. Only one block of commands (at most) is executed within the if-then-else construct. If a batch input stream hits an end-of-file during a false *IF condition, the ANSYS run will not terminate normally. You will need to terminate it externally (use either the UNIX “kill” function or the Windows task manager). The *IF, *ELSEIF , *ELSE, and *ENDIF commands for each if-then-else construct must all be read from the same file (or keyboard).

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*GO 		Up / Home Next
/INQUIRE


/INQUIRE

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

/INQUIRE, StrArray, FUNC

Returns system information to a parameter.

APDL: Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

StrArray

Name of the "string array" parameter that will hold the returned values. String array parameters are similar to character arrays, but each array element can be as long as 128 characters. If the string parameter does not exist, it will be created.

FUNC

Specifies the type of system information returned:

LOGIN --

Returns the pathname of the login directory on UNIX systems or the pathname of the default directory (including drive letter) on Windows systems.

DOCU --

Returns the pathname of the ANSYS docu directory.

APDL --

Returns the pathname of the ANSYS APDL directory.

PROG --

Returns the pathname of the ANSYS executable directory.

AUTH --

Returns the pathname of the directory in which the license file resides.

USER --

Returns the name of the user currently logged-in.

DIRECTORY --

Returns the pathname of the current directory.

JOBNAME --

Returns the current Jobname. The value of Jobname can be up to 250 characters in length.

RSTDIR --

Returns rst directory (FILE command).

RSTFILE --

Returns rst file name (FILE command).

RSTEXT --

Returns rst file extension (FILE command).

PSEARCH --

Returns path used for "unknown command" macro (/PSEARCH command).

Returning the Value of an Environment Variable to a Parameter

If FUNC=ENV, the command format is /INQUIRE,StrArray,ENV,ENVNAME,Substring. In this instance, ENV specifies that the command should return the value of an environment variable. The following defines the remaining fields:

ENVNAME

Specifies the name of the environment variable.

Substring

If Substring = 1, the first substring (up to the first colon (:)) is returned. If Substring = 2, the second substring is returned, etc. For Windows platforms, the separating character is semicolon (;). If this argument is either blank or 0, the entire value of the environment variable is returned.

Returning the Value of a Title to a Parameter

If FUNC = TITLE, the command format is /INQUIRE,StrArray,TITLE,Title_num. In this context, the value of Title_num can be blank or 1 through 5. If the value is 1 or blank, the title is returned. If the value is 2 through 5, a corresponding subtitle is returned (2 denoting the first subtitle, and so on).

Returning Information About a File to a Parameter

The /INQUIRE command can also return information about specified files within the file system. For these capabilities, the format is /INQUIRE,Parameter,FUNC,Fname, Ext, --. The following defines the fields:

Parameter

Name of the parameter that will hold the returned values.

FUNC

Specifies the type of file information returned:

EXIST --

Returns a 1 if the specified file exists, and 0 if it does not.

DATE --

Returns the date stamp of the specified file in the format yyyymmdd.hhmmss.

SIZE --

Returns the size of the specified file in MB.

WRITE --

Returns the status of the write attribute. A 0 denotes no write permission while a 1 denotes write permission.

READ --

Returns the status of the read attribute. A 0 denotes no read permission while a 1 denotes read permission.

EXEC --

Returns the status of the execute attribute (this has meaning only in UNIX). A 0 denotes no execute permission while a 1 denotes execute permission.

LINES --

Returns the number of lines in an ASCII file.

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

Ext

Filename extension (8 character maximum).

--

Unused field.

Notes

The /INQUIRE command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*IF 		Up / Home Next
/MAIL


/MAIL

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

/MAIL, --, Address, Fname, Ext

Mails file to the specifed address.

APDL: Macro Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

--

Unused field.

Address

Email address (up to 64 characters) of the intended recipient of the file.

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

Ext

Filename extension (8 character maximum).

Notes

Issue the /MAIL command to alert someone when a long-running job has completed, as shown in this example:

...
SOLVE
/MAIL,,yourname@yourdomain.com,jobdone,txt

If you are running ANSYS in a Microsoft Windows environment, you must configure BLAT (a freeware program provided with ANSYS). Before issuing the /MAIL command, enter this command from the C:\Program Files\Ansys Inc\V90\Ansys\Bin\Intel directory:

blat -install smtphost.bar.com you@bar.com

For more information about the BLAT program, see the BLAT_README.TXT file in the same directory.

Because Windows cannot operate on a busy file, you cannot mail standard ANSYS output. Instead, redirect the output to a file and then mail that file, as shown in this example:

...
/PREP7
/OUT,scratch.out
:
:
FINISH
/MAIL,,YourName@YourDomain.com,scratch.out
FINISH

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/INQUIRE 		Up / Home Next
*MFOURI


*MFOURI

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*MFOURI, Oper, COEFF, MODE, ISYM, THETA, CURVE

Calculates the coefficients for, or evaluates, a Fourier series.

APDL: Array Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Oper

Type of Fourier operation:

FIT --

Calculate Fourier coefficients COEFF from MODE, ISYM, THETA, and CURVE.

EVAL --

Evaluate the Fourier curve CURVE from COEFF, MODE, ISYM andTHETA

COEFF

Name of the array parameter vector containing the Fourier coefficients (calculated if Oper = FIT, required as input if Oper = EVAL). See *SET for name restrictions.

MODE

Name of the array parameter vector containing the mode numbers of the desired Fourier terms.

ISYM

Name of the array parameter vector containing the symmetry key for the corresponding Fourier terms. The vector should contain keys for each term as follows:

0 or 1 --

Symmetric (cosine) term

-1 --

Antisymmetric (sine) term.

THETA, CURVE

Names of the array parameter vectors containing the theta vs. curve description, respectively. Theta values should be input in degrees. If Oper = FIT, one curve value should be supplied with each theta value. If Oper = EVAL, one curve value will be calculated for each theta value.

Notes

Calculates the coefficients of a Fourier series for a given curve, or evaluates the Fourier curve from the given (or previously calculated) coefficients. The lengths of the COEFF, MODE, and ISYM vectors must be the same--typically two times the number of modes desired, since two terms (sine and cosine) are generally required for each mode. The lengths of the CURVE and THETA vectors should be the same or the smaller of the two will be used. There should be a sufficient number of points to adequately define the curve--at least two times the number of coefficients. A starting array element number (1) must be defined for each array parameter vector. The vector specifications *VLEN, *VCOL, *VABS, *VFACT, and *VCUM do not apply to this command. Array elements should not be skipped with the *VMASK and the NINC value of the *VLEN specifications. The vector being calculated (COEFF if Oper is FIT, or CURVE if Oper is EVAL) must exist as a dimensioned array [*DIM].

This command is valid in any processor.

Menu Paths

Utility Menu>Parameters>Array Operations>Matrix Fourier

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/MAIL 		Up / Home Next
*MFUN


*MFUN

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*MFUN, ParR, Func, Par1

Copies or transposes an array parameter matrix.

APDL: Array Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

ParR

The name of the resulting array parameter matrix. See *SET for name restrictions.

Func

Copy or transpose function:

COPY --

Par1 is copied to ParR

TRAN --

Par1 is transposed to ParR. Rows (m) and columns (n) of Par1 matrix are transposed to resulting ParR matrix of shape (n,m).

Par1

Array parameter matrix input to the operation.

Notes

Operates on one input array parameter matrix and produces one output array parameter matrix according to:

ParR = f(Par1)

where the function (f) is either a copy or transpose, as described above.

Functions are based on the standard FORTRAN definitions where possible. ParR may be the same as Par1. Starting array element numbers must be defined for each array parameter matrix if it does not start at the first location. For example, *MFUN,A(1,5),COPY,B(2,3) copies matrix B (starting at element (2,3)) to matrix A (starting at element (1,5)). The diagonal corner elements for each submatrix must be defined: the upper left corner by the array starting element (on this command), the lower right corner by the current values from the *VCOL and *VLEN commands. The default values are the (1,1) element and the last element in the matrix. No operations progress across matrix planes (in the 3rd dimension). Absolute values and scale factors may be applied to all parameters [*VABS, *VFACT]. Results may be cumulative [*VCUM]. Array elements should not be skipped with the *VMASK and the NINC value of the *VLEN specifications. The number of rows [*VLEN] applies to the Par1 array. See the *VOPER command for details.

This command is valid in any processor.

Menu Paths

Utility Menu>Parameters>Array Operations>Matrix Functions

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*MFOURI 		Up / Home Next
/MKDIR


/MKDIR

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

/MKDIR, Dir

Creates a directory.

APDL: Macro Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Dir

The directory to create (248 characters maximum on Unix and Linux; 233 on Windows). If no path is provided, it will be created in the current working directory. Must be a valid name (and path) for the system you are working on.

Notes

Creates a directory on the computer ANSYS is currently running on.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*MFUN 		Up / Home Next
*MOPER


*MOPER

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*MOPER, ParR, Par1, Oper, Par2, Par3, kDim, --, kOut, LIMIT

Performs matrix operations on array parameter matrices.

APDL: Array Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

ParR

The name of the resulting array parameter matrix. See *SET for name restrictions.

Par1

First array parameter matrix input to the operation. For Oper = MAP, this is an N x 3 array of coordinate locations at which to interpolate. ParR will then be an N(out) x M array containing the interpolated values.

Oper

Matrix operations:

INVERT --

(*MOPER, ParR, Par1, INVERT)

Square matrix invert: Inverts the n x n matrix in Par1 into ParR. The matrix must be well conditioned.

Warning

Non-independent or ill-conditioned equations can cause erroneous results.

MULT --

(*MOPER, ParR, Par1, MULT, Par2)

Matrix multiply: Multiplies Par1 by Par2. The number of rows of Par2 must equal the number of columns of Par1 for the operation. If Par2 is input with a number of rows greater than the number of columns of Par1, matrices are still multiplied. However, the operation only uses a number of rows of Par2 equal to the number of columns of Par1.

COVAR --

(*MOPER, ParR, Par1, COVAR, Par2)

Covariance: The measure of association between two columns of the input matrix (Par1). Par1, of size m runs (rows) by n data (columns) is first processed to produce a row vector containing the mean of each column which is transposed to a column vector (Par2) of n array elements. The Par1 and Par2 operation then produces a resulting n x n matrix (ParR) of covariances (with the variances as the diagonal terms).

CORR --

(*MOPER, ParR, Par1, CORR, Par2)

Correlation: The correlation coefficient between two variables. The input matrix (Par1), of size m runs (rows) by n data (columns), is first processed to produce a row vector containing the mean of each column which is then transposed to a column vector (Par2) of n array elements. The Par1 and Par2 operation then produces a resulting n x n matrix (ParR) of correlation coefficients (with a value of 1.0 for the diagonal terms).

SOLV --

(*MOPER, ParR, Par1, SOLV, Par2)

Solution of simultaneous equations: Solves the set of n equations of n terms of the form an1x1 + an2x2 + ... + annxn = bn where Par1 contains the matrix of a-coefficients, Par2 the vector(s) of b-values, and ParR the vector(s) of x-results. Par1 must be a square matrix. The equations must be linear, independent, and well conditioned.

Warning

Non-independent or ill-conditioned equations can cause erroneous results.

SORT --

(*MOPER, ParR, Par1, SORT, Par2)

Matrix sort: Sorts matrix Par1 according to sort vector Par2 and places the result in Par1. Rows of Par1 are moved to the corresponding positions indicated by the values of Par2. Par2 may be a column of Par1 (in which case it will also be reordered). ParR is the vector of initial row positions. Sorting Par1 according to ParR should reproduce the initial ordering.

NNEAR --

(*MOPER, ParR, Par1, NNEAR, Toler)

Nearest Node: Quickly determine all the nodes within a specified tolerance of a given array.

ParR is a vector of the nearest selected nodes, or 0 if no nodes are nearer than Toler. Par1 is the n x 3 array of coordinate locations.

ENEAR --

(*MOPER, ParR, Par1, ENEAR, Toler)

Nearest Element: Quickly determine the elements with centroids that are within a specified tolerance of the points in a given array.

ParR is a vector of the nearest selected elements, or 0 if no element centroids are nearer than Toler. Par1 is the n x 3 array of coordinate locations.

MAP --

(*MOPER, ParR, Par1, MAP, Par2, Par3, kDim, kOut, LIMIT)

Maps the results from another program onto your ANSYS finite element model. For example, you can map pressures from a CFD analysis onto your model for a structural analysis.

When you map results, the subsequent Par2 and Par3 arguments define your input values and their locations, and the arguments that follow determine the search area and interpolation schemes (see below).

For Oper = MAP, output points are incorrect if they are not within the boundaries (area or volume) set via the specified input points. Also, calculations for out-of-bound points require much more processing time than do points that are within bounds.

When mapping results from one analysis to another (Oper = MAP), Par1 will be your final N(out) x 3 array of points. Par2 will be an N(in) x M array that corresponds to the points in Par3. For each point in the destination mesh, all possible triangles in the source mesh are searched to find the best triangle containing each point. It then does a linear interpolation inside this triangle. You should carefully specify your interpolation method and search criteria in order to provide faster and more accurate results (see LIMIT, below). Results mapping (Oper = MAP) is available from the command line only.

Par2

Second array parameter matrix input to the operation. For the COVAR and CORR operations, this parameter must exist as a dimensioned array vector without specified values since its values (means) will be calculated as part of the operations. For MAP, this will be an {N(in) x M} array of values to be interpolated, where N(in) is the number of points to interpolate from, and M is the number of values at each point. For the ENEAR and NNEAR operations, this parameter specifies the tolerance for the search.

Par3

Third array parameter, used for Oper = MAP. This is an N x 3 array of coordinate locations corresponding to the values in Par2.

kDim

Interpolation criteria; used for Oper = MAP:

If kDim = 2 or 0, two dimensional interpolation is applied (interpolate on a surface).
If kDim = 3, three dimensional interpolation is applied (interpolate on a volume).

--

Unused field

kOut

Outside region results; used for Oper = MAP

If kOut = 0, use the value(s) of the nearest region point for points outside of the region.
If kOut = 1, set results extrapolated outside of the region to zero.

LIMIT

Number of nearby nodes considered for interpolation (Oper = MAP). Minimum = 5, default = 20. Lower values will reduce processing time, however, some distorted or irregular meshes will require a higher LIMIT value to encounter three nodes for triangulation.

Notes

Each starting array element number must be defined for each array parameter matrix if it does not start at the first location. For example, *MOPER,A(2,3),B(1,4),MULT,C(1,5) multiplies submatrix B (starting at element (1,4)) by submatrix C (starting at element (1,5)) and puts the result in matrix A (starting at element (2,3)).

The diagonal corner elements for each submatrix must be defined: the upper left corner by the array starting element (on this command), the lower right corner by the current values from the *VCOL and *VLEN commands. The default values are the (1,1) element and the last element in the matrix. No operations progress across matrix planes (in the 3rd dimension). Absolute values and scale factors may be applied to all parameters [*VABS, *VFACT]. Results may be cumulative [*VCUM]. Array elements should not be skipped with the *VMASK and the NINC value of the *VLEN specifications. See the *VOPER command for details.

This command is valid in any processor.

Menu Paths

Utility Menu>Parameters>Array Operations>Matrix Operations

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/MKDIR 		Up / Home Next
*MSG


*MSG

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*MSG, Lab, VAL1, VAL2, VAL3, VAL4, VAL5, VAL6, VAL7, VAL8

Writes an output message via the ANSYS message subroutine.

APDL: Macro Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Lab

Label for output and termination control:

INFO --

Writes the message with no heading (default).

NOTE --

Writes the message with a "NOTE" heading.

WARN --

Writes the message with a "WARNING" heading. Also writes the message to the errors file, Jobname.ERR.

ERROR --

Writes the message with a "ERROR" heading and causes run termination (if batch) at earliest "clean exit" point. Also writes the message to the errors file, Jobname.ERR.

FATAL --

Writes the message with a "FATAL ERROR" heading and causes run termination immediately. Also writes the message to the errors file, Jobname.ERR.

UI --

Writes the message with a "NOTE" heading and displays it in the message dialog box. This option is most useful in GUI mode.

VAL1, VAL2, VAL3, . . . , VAL8

Numeric or alphanumeric character values to be included in message. Values may be the results of parameter evaluations. All numeric values are assumed to be double precision. The FORTRAN nearest integer (NINT) function is used to form integers for the %I specifier.

Notes

Allows writing an output message via the ANSYS message subroutine. Also allows run termination control. This command is used only when contained in a prepared file read into the ANSYS program (i.e., *USE,/INPUT, etc.). A message format must immediately follow the *MSG command (on a separate line, without parentheses, as described below).

The message format may be up to 80 characters long, consisting of text strings and predefined "data descriptors" between the strings where numeric or alphanumeric character data are to be inserted. The normal descriptors are %I for integer data, %G for double precision data, %C for alphanumeric character data, and %/ for a line break. The corresponding FORTRAN data descriptors are I9, 1PG16.9 and A8, respectively. Each descriptor must be preceded by a blank. There must be one data descriptor for each specified value (8 maximum) in the order of the specified values.

Enhanced descriptions may also be used:

%w.pE | w is field width
%w.pG | p is precision
%w.pF |
%% | a single percent sign
%wC; %wS | character string
%-wC; %-wS | left justify string
%wX | w blank characters
%wI | integer format
%0wI | pad integer with leading zeros rather than blanks
%0w.pI | w is field width; p is number of characters filled

Do not begin *MSG format lines with *IF, *ELSE , *ELSEIF , or *ENDIF . If the last nonblank character of the message format is an ampersand (&), a second line will also be read as a continuation of the format. Up to nine continuations (ten total lines) may be read. If normal descriptions are used, then consecutive blanks are condensed into one blank upon output, and a period is appended. Up to ten lines of output of 72 characters each may be produced (using the %/ descriptor). Two examples follow.

Here is an example of the *MSG command and a format to print a message with two integer values and one real value:

*MSG, INFO, 'Inner',25,1.2,148
Radius ( %C) = %I, Thick = %G, Length = %I

The output line is:

Radius (Inner) = 25, Thick = 1.2, Length = 148.

Here is an example illustrating multiline displays in GUI message windows:

*MSG,UI,Vcoilrms,THTAv,Icoilrms,THTAi,Papprnt,Pelec,PF,indctnc
Coil RMS voltage, RMS current, apparent pwr, actual pwr, pwr factor: %/&
Vcoil = %G V (electrical angle = %G DEG) %/&
Icoil = %G A (electrical angle = %G DEG) %/&
APPARENT POWER = %G W %/&
ACTUAL POWER = %G W %/&
Power factor: %G %/&
Inductance = %G %/&
VALUES ARE FOR ENTIRE COIL (NOT JUST THE MODELED SECTOR)

Note

The /UIS,MSGPOP command controls which messages are displayed in the message dialog box when the GUI is active. All messages produced by the *MSG command are subject to the /UIS specification, with one exception, If Lab = UI, the message will be displayed in the dialog box regardless of the /UIS specification.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*MOPER 		Up / Home Next
*MWRITE


*MWRITE

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*MWRITE, ParR, Fname, Ext, --, Label, n1, n2, n3

Writes a matrix to a file in a formatted sequence.

APDL: Array Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

ParR

The name of the array parameter. See *SET for name restrictions.

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

If the file name fields are left blank, the default file is the current output file.

Ext

Filename extension (8 character maximum).

--

Unused field.

Label

Can use a value of IJK, IKJ, JIK, JKI, KIJ, KJI, or blank (JIK).

n1, n2, n3

Write as (((ParR(i,j,k), k = 1,n1), i = 1, n2), j = 1, n3) for Label = KIJ. n1, n2, and n3 default to the corresponding dimensions of the array parameter ParR.

Notes

Writes a matrix or vector to a specified file in a formatted sequence. You can also use the *VWRITE command to write data to a specified file. Both commands contain format descriptors on the line immediately following the command. The format descriptors can be in either Fortran or C format.

Fortran format descriptors are enclosed in parentheses. They must immediately follow the *MWRITE command on a separate line of the same input file. The word FORMAT should not be included. The format must specify the number of fields to be written per line, the field width, the placement of the decimal point, etc. There should be one field descriptor for each data item written. The write operation uses the available system FORTRAN FORMAT conventions (see your system FORTRAN manual). Any standard FORTRAN real format (such as (4F6.0), (E10.3,2X,D8.2), etc.) and character format (A) may be used. Integer (I) and list-directed (*) descriptors may not be used. Text may be included in the format as a quoted string. The FORTRAN descriptor must be enclosed in parentheses and the format must not exceed 80 characters (including parentheses).

The “C” format descriptors are used if the first character of the format descriptor line is not a left parenthesis. “C” format descriptors may be up to 80 characters long, consisting of text strings and predefined "data descriptors" between the strings where numeric or alphanumeric character data are to be inserted. The normal descriptors are %I for integer data, %G for double precision data, %C for alphanumeric character data, and %/ for a line break. Each descriptor must be preceded by a blank. There must be one data descriptor for each specified value in the order of the specified values. The enhanced formats described in *MSG may also be used.

The starting array element number must be defined. Looping continues in the directions indicated by the Label argument. The number of loops and loop skipping may also be controlled with the *VLEN and *VMASK commands, which work in the n2 direction (by row on the output file), and by the *VCOL command, which works in the n1 direction (by column in the output file). The vector specifications *VABS and *VFACT apply to this command, while *VCUM does not apply to this command. See the *VOPER command for details. If you are in the GUI, the *MWRITE command must be contained in an externally prepared file and read into ANSYS (i.e., *USE, /INPUT, etc.).

This command is valid in any processor.

Menu Paths

Utility Menu>Parameters>Array Parameters>Write to File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*MSG 		Up / Home Next
PARRES


PARRES

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

PARRES, Lab, Fname, Ext, --

Reads parameters from a file.

APDL: Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Lab

Read operation:

NEW --

Replace current parameter set with these parameters (default).

CHANGE --

Extend current parameter set with these parameters, replacing any that already exist.

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to PARM if Fname is blank.

--

Unused field.

Notes

Reads parameters from a coded file. The parameter file may have been written with the PARSAV command. The parameters read may replace or change the current parameter set.

This command is valid in any processor.

Menu Paths

Utility Menu>Parameters>Restore Parameters

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*MWRITE 		Up / Home Next
PARSAV


PARSAV

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

PARSAV, Lab, Fname, Ext, --

Writes parameters to a file.

APDL: Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Lab

Write operation:

SCALAR --

Write only scalar parameters (default).

ALL --

Write scalar and array parameters. Parameters may be numeric or alphanumeric.

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

The file name defaults to Jobname.

Ext

Filename extension (8 character maximum).

The extension defaults to PARM if Fname is blank.

--

Unused field.

Notes

Writes the current parameters to a coded file. Previous parameters on this file, if any, will be overwritten. The parameter file may be read with the PARRES command.

PARSAV/PARRES operations truncate some long decimal strings, and can cause differing values in your solution data when other operations are performed. A good practice is to limit the number of decimal places you will use before and after these operations.

This command is valid in any processor.

Menu Paths

Utility Menu>Parameters>Save Parameters

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PARRES 		Up / Home Next
/PMACRO


/PMACRO

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

/PMACRO

Specifies that macro contents be written to the session log file.

APDL: Macro Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

This command forces the contents of a macro or other input file to be written to Jobname.LOG. It is valid only within a macro or input file, and should be placed at the top of the file. /PMACRO should be included in any macro or input file that calls GUI functions.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
PARSAV 		Up / Home Next
/PSEARCH


/PSEARCH

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

/PSEARCH, Pname

Specifies a directory to be searched for "unknown command" macro files.

APDL: Macro Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Pname

Path name (64 characters maximum, and must include the final delimiter) of the middle directory to be searched. Defaults to the user home directory. If Pname = OFF, search only the ANSYS and current working directories. If Pname = STAT, list the current middle directory and show the ANSYS_MACROLIB setting.

Command Default

The middle directory searched is the user home directory.

Notes

Specifies the pathname of a directory for file searches when reading "unknown command" macro files. The search for the files is typically from the ANSYS directory, then from the user home directory, and then from the current working directory. This command allows the middle directory searched to be other than the user home directory.

This command is valid only at the Begin Level.

Menu Paths

Utility Menu>Macro>Macro Search Path

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/PMACRO 		Up / Home Next
*REPEAT


*REPEAT

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*REPEAT, NTOT, VINC1, VINC2, VINC3, VINC4, VINC5, VINC6, VINC7, VINC8, VINC9, VINC10, VINC11

Repeats the previous command.

APDL: Process Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

NTOT

Number of times the preceding command is executed (including the initial execution). Must be 2 or greater. NTOT of 2 causes one repeat (for a total of 2 executions).

VINC1, VINC2, VINC3, . . . , VINC11

Value increments applied to first through eleventh data fields of the preceding command.

Notes

*REPEAT must immediately follow the command that is to be repeated. The numeric arguments of the initial command may be incremented in the generated commands. The numeric increment values may be integer or real, positive or negative, zero or blank. Alphanumeric arguments cannot be incremented. For large values of NTOT, consider printout suppression (/NOPR command) first.

Most commands beginning with slash (/), star (*), as well as "unknown command" macros, cannot be repeated. For these commands, or if more than one command is to be repeated, include them within a do-loop. File switching commands (those reading additional commands) cannot be repeated. If a *REPEAT command immediately follows another *REPEAT command, the repeat action only applies to the last non-*REPEAT command. Also, *REPEAT should not be used in interactive mode immediately after a) a command (or its log file equivalent) that uses picking, or b) a command that requires a response from the user.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/PSEARCH 		Up / Home Next
*RETURN


*RETURN

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*RETURN, Level

Returns input stream to a higher level.

APDL: Process Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Level

Number of levels to move up from the current level.

Negative --

Move relative to current level. For example: *Return,-2 will go up two levels from the current level.

Positive --

Move to absolute level. For example: *Return,2 will go to level 2.

Level 0 is the primary input file.

Notes

This command is used to jump to the macro call sequence, ending the current macro file, and returning to the line after the calling line in the previous file. Unlike the *GO command, this command may be used inside *IF or *DO constructs.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*REPEAT 		Up / Home Next
/RMDIR


/RMDIR

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

/RMDIR, Dir

Removes (deletes) a directory.

APDL: Macro Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Dir

The directory to remove. If no path is provided, it will be assumed to be in the current working directory. All files in the directory are also removed.

Notes

Removes a directory on the computer ANSYS is currently running on. No warning or prompt is given, so use with extreme caution.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*RETURN 		Up / Home Next
*SET


*SET

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*SET, Par, VALUE, VAL2, VAL3, VAL4, VAL5, VAL6, VAL7, VAL8, VAL9, VAL10

Assigns values to user-named parameters.

APDL: Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Par

An alphanumeric name used to identify this parameter. Par may be up to 32 characters, beginning with a letter and containing only letters, numbers, and underscores. Examples: ABC A3X TOP_END. ANSYS command names, function names, label names, component and assembly names, etc., should not be used. Parameter names beginning with an underscore (e.g., _LOOP) are reserved for use by ANSYS and should be avoided. Parameter names ending in an underscore are not listed by the *STATUS command. Array parameter names must be followed by a subscript, and the entire expression must be 32 characters or less. Examples: A(1,1) NEW_VAL(3,2,5) RESULT(1000). There is no character parameter substitution for the Par field. Table parameters that are used in command fields (where constant values are normally given) are limited to 32 characters.

VALUE

Numerical value or alphanumeric character string (up to 8
characters enclosed in single quotes) to be assigned to this parameter.  Examples:
 A(1,3)=7.4 B='ABC3'.  May also be a parameter or a parametric expression.
 Examples:  C=A(1,3)  A(2,2)=(C+4)/2.  If blank, delete this parameter.  Example:
 A=  deletes parameter A.

VAL2, VAL3, VAL4, VAL5, VAL6, VAL7, VAL8, VAL9, VAL10

If Par is an array parameter, values VAL2 through VAL10 (up to the last nonblank value) are sequentially assigned to the succeeding array elements of the column. Example: *SET,A(1,4),10,11 assigns A(1,4)=10, A(2,4)=11. *SET,B(2,3),'file10','file11' assigns B(2,3)='file10', B(3,3)='file11'.

Notes

Assigns values to user-named parameters that may be substituted later in the run. The equivalent (and recommended) format is

Par = VALUE,VAL2,VAL3, . . . , VAL10

which may be used in place of *SET,Par, ... for convenience.

This command is valid in any processor.

Parameter Definitions

Parameters (numeric or character) may be scalars (single valued) or arrays (multiple valued in one, two, or three dimensions). Up to 5000 unique parameter names may be defined in any ANSYS run (fewer than 5000 are available due to GUI and ANSYS macro requirements); however, a single array parameter name can represent any number of values. Parameter values may be redefined at any time. Array parameters may also be assigned values within a do-loop [*DO] for convenience. Internally programmed do-loop commands are also available with the *VXX commands (*VFILL). Parameter values (except for parameters ending in an underscore) may be listed with the *STATUS command, displayed with the *VPLOT command (numeric parameters only), and modified with the *VEDIT command (numeric parameters only). Older ANSYS-supplied macro files may use parameter names that do not begin with an underscore. Using these macros embedded in your own macros may cause conflicts if the same parameter names are used.

Parameters can also be resolved in comments created by the /COM command (see /COM for complete documentation). A parameter can be deleted by redefining it with a blank VALUE. If the parameter is an array, the entire array is deleted. Parameters may also be defined by a response to a query with the *ASK command or from an "ANSYS-supplied" value with the *GET command.

Array Parameters

Array parameters must be dimensioned [*DIM] before being assigned values unless they are the result of an array operation or defined using the implied loop convention. Scalar parameters that are not defined are initialized to a "near" zero value. Numeric array parameters are initialized to zero when dimensioned, and character array parameters are initialized to blank. An existing array parameter must be deleted before it can be redimensioned. Array parameter names must be followed by a subscript list (enclosed in parentheses) identifying the element of the array. The subscript list may have one, two, or three values (separated by commas). Typical array parameter elements are A(1,1), NEW_VAL(3,2,5), RESULT(1000). Subscripts for defining an array element must be integers (or parameter expressions that evaluate to integers). Non-integer values are rounded to the nearest integer value. All array parameters are stored as 3-D arrays with the unspecified dimensions set to 1. For example, the 4th array element of a 1-dimensional array, A(4), is stored as array element A(4,1,1). Arrays are patterned after standard FORTRAN conventions.

Numerical Parameter Substitution

If the parameter name Par is input in a numeric argument of a command, the numeric value of the parameter (as assigned with *SET, *GET, =, etc.) is substituted into the command at that point. Substitution occurs only if the parameter name is used between blanks, commas, parentheses, or arithmetic operators (or any combination) in a numeric argument. Substitution can be prevented by enclosing the parameter name Par within single quotes ( ' ), if the parameter is alone in the argument; if the parameter is part of an arithmetic expression, the entire expression must be enclosed within single quotes to prevent substitution. In either case the character string will be used instead of the numeric value (and the string will be taken as 0.0 if it is in a numeric argument).

A forced substitution is available in the text fields of the /TITLE, /STITLE, /TLABEL, /AN3D, /SYP (ARG1--ARG8), and *ABBR commands by enclosing the parameter within percent (%) signs. Also, parameter substitution may be forced within the file name or extension fields of commands having these fields by enclosing the parameter within percent (%) signs. Array parameters [*DIM] must include a subscript (within parentheses) to identify the array element whose value is to be substituted, such as A(1,3). Out-of-range subscripts result in an error message. Non-integer subscripts are allowed when identifying a TABLE array element for substitution. A proportional linear interpolation of values among the nearest array elements is performed before substitution. Interpolation is done in all three dimensions.

Note

Interpolation is based upon the assigned index numbers which must be defined when the table is filled [*DIM].

Character Parameter Substitution

Most alphanumeric arguments permit the use of character parameter substitution. When the parameter name Par input, the alphanumeric value of the parameter is substituted into the command at that point. Substitution can be suppressed by enclosing the parameter name within single quotes ( ' ). Forced substitution is available in some fields by enclosing the parameter name within percent (%) signs. Valid forced substitution fields include command name fields, Fname (filename) or Ext (extension) arguments, *ABBR command (Abbr arguments), /TITLE and /STITLE commands (Title argument) and /TLABEL command (Text argument). Character parameter substitution is also available in the *ASK, /AN3D, *CFWRITE, *IF, *ELSEIF, *MSG, *SET, *USE, *VREAD, and *VWRITE commands. Character array parameters must include a subscript (within parentheses) to identify the array element whose value is to be substituted.

Parameter Expressions

If a parameter operation expression is input in a numeric argument, the numeric value of the expression is substituted into the command at that point. Allowable operation expressions are of the form

E1oE2oE3 ...oE10

where E1, E2, etc. are expressions connected by operators (o). The allowable operations (o) are

+ -- * / ** < >

For example, A+B**C/D*E is a valid operation expression. The * represents multiplication and the ** represents exponentiation.

Note

Exponentiation of a negative number (without parentheses) to an integer power follows standard FORTRAN hierarchy conventions; that is, the positive number is exponentiated and then the sign is attached. Thus, -4**2 is evaluated as -16. If parentheses are applied, such as (-4)**2, the result is 16.

A parameter is evaluated as a number within parentheses before exponentiation. Exponentiation of a negative number to a non-integer power is performed by exponentiating the positive number and prepending the minus sign, for example, -4**2.3 is -(4**2.3). The < and > operators allow conditional substitution. For example, E1<E2 substitutes the value of E1 if the comparison is true or the value of E2 if the comparison is false.

Spaces should not be used around operation symbols since “ *” (a space and a star) makes the rest of the line a comment. Operation symbols (or symbols and signs) may not be immediately adjacent to each other. Parentheses may be used to separate symbols and signs, to determine a hierarchy of operations, or for clarity. For example, A**(-B) must be used instead of A**-B. Numbers ending with +0nn or -0nn are assumed to be of exponential form (as written on files by some computer systems) so that 123-002 is 123E-2 while 123-2 is 121. This form of exponential data should not be input directly. The default hierarchy follows the standard FORTRAN conventions, namely:

  • operations in parentheses (innermost first)

  • then exponentiation (right to left)

  • then multiplication or division (left to right)

  • then unary association (such as +A or -A)

  • then addition or subtraction (left to right)

  • then logical evaluations (left to right).

Expressions (E) may be a constant, a parameter, a function, or another operation expression (of the form E1oE2oE3 ...oE10). Functions are of the form FTN(A) where the argument (A) may itself be of the form E1oE2oE3 ...oE10. Operations are recursive to a level of four deep (three levels of internally nested parentheses). Iterative floating point parameter arithmetic should not be used for high precision input because of the accumulated numerical round off-error. Up to 10 expressions are accepted within a set of parenthesis.

Valid functions (which are based on standard FORTRAN functions where possible) are:

SIN(X) | Sine
COS(X) | Cosine
TAN(X) | Tangent
ASIN(X) | Arcsine
ACOS(X) | Arccosine
ATAN(X) | Arctangent
ATAN2(Y,X) | Arctangent (Y/X) with the sign of each component considered
SINH(X) | Hyperbolic sine
COSH(X) | Hyperbolic cosine
TANH(X) | Hyperbolic tangent
SQRT(X) | Square root
ABS(X) | Absolute value
SIGN(X,Y) | Absolute value of X with sign of Y. Y=0 results in positive sign
NINT(X) | Nearest integer
MOD(X,Y) | Remainder of X/Y Y=0 returns zero (0)
EXP(X) | Exponential
LOG(X) | Natural log
LOG10(X) | Common log
RAND(X,Y) | Random number, where X is the lower bound, and Y is the upper bound
GDIS(X,Y) | Random sample of Gaussian distributions, where X is the mean, and Y is the standard deviation
LWCASE(CPARM) | Lowercase equivalent of character parameter CPARM
UPCASE(CPARM) | Uppercase equivalent of character parameter CPARM
VALCHR(CPARM) | Numeric value of character parameter CPARM (If CPARM is a numeric parameter, returns 0.0)
CHRVAL(PARM) | Character value of numerical parameter PARM. For ABS(PARM) < 10, character value format is F8.5; for 10 [image] ABS(PARM) < 1000, format is F8.3; for 1,000 [image] ABS(PARM)< 10,000,000, format is F8.0. For 10,000,000 [image] PARM < 100,000,000, format is also F8.0. Otherwise result is 0.0 and is not a character value.
IBSET(b1,n2) | Set the n2 bit in value b1 (bits are numbered from 0 to 31)
IBCLR(b1,n2) | Clear the n2 bit in value b1
BTEST(b1,n2) | Test the n2 bit in value b1 (return true (1.0) if bit is set)
BITAND(b1,b2) | Bitwise AND of value b1 and b2
BITOR(b1,b2) | Bitwise OR of value b1 and b2
BITXOR(b1,b2) | Bitwise XOR of value b1 and b2
BITSET(b1,b2) | Set the b2 bits in b1
BITCLEAR(b1,b2) | Clear the b2 bits in b1

Function arguments (X,Y, etc.) must be enclosed within parentheses and may be numeric values, parameters, or expressions. Input arguments for angular functions must evaluate to radians by default. Output from angular functions are also in radians by default. See the *AFUN command to use degrees instead of radians for the angular functions. See the *VFUN command for applying these parameter functions to a sequence of array elements. Additional functions, called "get functions" are described with the *GET command. For SINH, COSH, TANH, and EXP, if X > 80, the value returned is zero.

Menu Paths

Main Menu>Preprocessor>Loads>Define Loads>Delete>Structural>Section
Main Menu>Solution>Define Loads>Delete>Structural>Section
Utility Menu>Parameters>Scalar Parameters

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/RMDIR 		Up / Home Next
*SREAD


*SREAD

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*SREAD, StrArray, Fname, Ext, --, nChar, nSkip, nRead

Reads a file into a string array parameter.

APDL: Array Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

StrArray

Name of the "string array" parameter which will hold the read file. String array parameters are similar to character arrays, but each array element can be as long as 128 characters. If the string parameter does not exist, it will be created. The array will be created as: *DIM,StrArray,STRING,nChar,nRead

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

Ext

Filename extension (8 character maximum).

--

Unused field.

nChar

Number of characters per line to read (default is length of the longest line in the file).

nSkip

Number of lines to skip at the start of the file (default is 0).

nRead

Number of lines to read from the file (default is the entire file).

Notes

The *SREAD command reads from a file into a string array parameter. The file must be an ASCII text file.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*SET 		Up / Home Next
*STATUS


*STATUS

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*STATUS, Par, IMIN, IMAX, JMIN, JMAX, KMIN, KMAX, LMIN, LMAX, MMIN, MMAX, KPRI

Lists the current parameters and abbreviations.

APDL: Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Par

Specifies the parameter or sets of parameters listed. For array parameters, use IMIN, IMAX, etc. to specify ranges. Use *DIM to define array parameters. Use *VEDIT to review array parameters interactively. Use *VWRITE to print array values in a formatted output. If Par is blank, list all scalar parameter values, array parameter dimensions, and abbreviations. If ARGX, list the active set of local macro parameters (ARG1 to ARG9 and AR10 to AR99) [*USE].

The following are possible values for Par

ALL or blank --

Lists all parameters (except local macro parameters and those with names beginning or ending with an underbar) and toolbar abbreviations.

_PRM --

Lists only parameters with names beginning with an underbar (_). These are ANSYS internal parameters.

PRM_ --

Lists only parameters with names ending with an underbar (_). A good APDL programming convention is to ensure that all parameters created by your system programmer are named with a trailing underbar.

ABBR --

Lists all toolbar abbreviations.

PARM --

Lists all parameters (except local macro parameters and those with names beginning or ending with an underbar).

PARNAME --

Lists only the parameter specified. PARNAME cannot be a local macro parameter name.

ARGX --

Lists all local macro parameter values (ARG1- AR99) that are non-zero or non-blank.

IMIN, IMAX, JMIN, JMAX, KMIN, KMAX, LMIN, LMAX, MMIN, MMAX

Range of array elements to display (in terms of the dimensions (row, column, plane, book, and shelf). Minimum values default to 1. Maximum values default to the maximum dimension values. Zero may be input for IMIN, JMIN, and KMIN to display the index numbers. See *TAXIS command to list index numbers of 4- and 5-D tables.

KPRI

Use this field to list your primary variable labels (X, Y, Z, TIME, etc.).

1

List the labels (default). YES, Y, or ON are also valid entries.

0

Do not list the labels. NO, N, or OFF are also valid entries.

Notes

You cannot obtain the value for a single local parameter (e.g., *STATUS,ARG2). You can only request all local parameters simultaneously using *STATUS,ARGX.

This command is valid in any processor.

Menu Paths

Utility Menu>List>Other>Named Parameter
Utility Menu>List>Other>Parameters
Utility Menu>List>Status>Parameters>All Parameters
Utility Menu>List>Status>Parameters>Named Parameters

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*SREAD 		Up / Home Next
*TAXIS


*TAXIS

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*TAXIS, ParmLoc, nAxis, Val1, Val2, Val3, Val4, Val5, Val6, Val7, Val8, Val9, Val10

Defines table index numbers.

APDL: Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

ParmLoc

Name and starting location in the table array parameter for indexing. Indexing occurs along the axis defined with nAxis.

nAxis

Axis along which indexing occurs. Valid labels are:

1 --

Corresponds to Row. Default.

2 --

Corresponds to Column.

3 --

Corresponds to Plane.

4 --

Corresponds to Book.

5 --

Corresponds to Shelf.

ALL --

Lists all index numbers. Valid only if Val1 = LIST.

Val1, Val2, Val3, . . . , Val10

Values of the index numbers for the axis nAxis, starting from the table array parameter location ParmLoc. You can define up to ten values.

To list the index values specified with nAxis, issue Val1 = LIST. If Val1 = LIST, Val2 - Val10 are ignored.

Notes

*TAXIS is a convenient method to define table index values. These values reside in the zero column, row, etc. Instead of filling values in these zero location spots, use the *TAXIS command. For example,

*TAXIS,longtable(1,4,1,1),2,1.0,2.2,3.5,4.7,5.9
would fill index values 1.0, 2.2, 3.5, 4.7, and 5.9 in nAxis 2 (column location), starting at location 4.

To list index numbers, issue *TAXIS,ParmLoc, nAxis, LIST, where nAxis = 1 through 5 or ALL.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*STATUS 		Up / Home Next
/TEE


/TEE

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

/TEE, Label, Fname, Ext, --

Writes a list of commands to a specified file at the same time that the commands are being executed.

APDL: Macro Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Label

Indicates how ANSYS is to interpret this /TEE command:

NEW --

Signals the beginning of the command text that is to be written to Fname. If Fname already exists, specifying NEW causes the contents of Fname to be overwritten.

APPEND --

Indicates that you want to append to Fname the command text that follows.

END --

Signals the end of the command text that is to be written to or appended to Fname.

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

Ext

Filename extension (8 character maximum).

If you plan to execute the file as if it were an ANSYS command, use the extension .mac.

--

Unused field.

Notes

You can use the /TEE command to record a macro to a specified file at the same time that the macro is being executed. It is similar to the UNIX tee command.

For more information about the /TEE command, see the ANSYS APDL Programmer's Guide.

The following example illustrates the use of the /TEE command. If you issue these commands:

/tee,new,myfile,mac
et,1,42,0,0,1
ex,1,3e7
/tee,end
/tee,append,myfile,mac
n,1,8
n,5,11
fill
ngen,5,5,1,5,1,0,1
/tee,end

the content of myfile.mac is:

et,1,42,0,0,1
ex,1,3e7
n,1,8
n,5,11
fill
ngen,5,5,1,5,1,0,1

This command is valid in any processor, but only during an interactive run.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*TAXIS 		Up / Home Next
*TOPER


*TOPER

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*TOPER, ParR, Par1, Oper, Par2, FACT1, FACT2, CON1

Operates on table parameters.

APDL: Array Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

ParR

Name of the resulting table parameter. The command will create a table array parameter with this name. Any existing parameter with this name will be overwritten.

Par1

Name of the first table parameter.

Oper

The operation to be performed: ADD. The operation is: ParR(i,j,k) = FACT1*Par1(i,j,k) + FACT2 *Par2(i,j,k) +CON1

Par2

Name of the second table parameter.

FACT1

The first table parameter multiplying constant. Defaults to 1.

FACT2

The second table parameter multiplying constant. Defaults to 1.

CON1

The constant increment for offset. Defaults to 0.

Notes

*TOPER operates on table parameters according to: ParR(i,j,k) = FACT1*Par1(i,j,k) + FACT2 *Par2(i,j,k) +CON1

Par1 and Par2 must have the same dimensions and the same variable names corresponding to those dimensions. Par1 and Par2 must also have identical index values for rows, columns, etc.

If you want a local coordinate system for the resulting array, you must dimension it as such using the *DIM command before issuing *TOPER.

This command is valid in any processor.

Menu Paths

Utility Menu>Parameters>Array Operations>Table Operations

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/TEE 		Up / Home Next
*TREAD


*TREAD

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*TREAD, Par, Fname, Ext, --, NSKIP

Reads data from an external file into a table array parameter.

APDL: Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Par

Table array parameter name as defined by the *DIM command.

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

File name has no default.

Ext

Filename extension (8 character maximum).

Extension has no default.

--

Unused field.

NSKIP

Number of comment lines at the beginning of the file being read that will be skipped during the reading. Default = 0.

Notes

Use this command to read in a table of data from an external file into an ANSYS table array parameter. The external file may be created using a text editor or by an external application or program. The external file must be in tab-delimited, blank-delimited, or comma-delimited format to be used by *TREAD. The ANSYS TABLE type array parameter must be defined before you can read in an external file. See *DIM for more information.

This command is not applicable to 4- or 5-D tables.

Menu Paths

Utility Menu>Parameters>Array Parameters>Read from File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*TOPER 		Up / Home Next
/UCMD


/UCMD

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

/UCMD, Cmd, SRNUM

Assigns a user-defined command name.

APDL: Abbreviations

MP ME ST <> <> <> <> FL EM <> <> PP <>

Argument Descriptions

Cmd

User-defined command name. Only the first four characters are significant. Must not conflict with any ANSYS command name or any user "unknown command" macro name.

SRNUM

User subroutine number (1 to 10) programmed for this command. For example, the command /UCMD,MYCMD,3 will execute subroutine USER03 whenever the command MYCMD is entered. Use a blank command name to disassociate SRNUM from its command. For example, /UCMD,,3 removes MYCMD as a command.

Notes

Assigns a user-defined command name to a user-programmable (system-dependent) subroutine. This feature allows user-defined commands to be programmed into the ANSYS program. Once programmed, this command can be input to the program like other commands, and can also be included in the ANSYS start-up file. See *ULIB for another way of defining user commands.

Up to 10 subroutines are available for user-defined commands (USER01 to USER10). Users must have system permission, system access, and knowledge to write, compile, and link the appropriate subprocessors into the ANSYS program at the site where it is to be run. All routines should be written in FORTRAN 77. The USER01 routine is commented and should be listed from the distribution media (system dependent) for more details. Issue /UCMD,STAT to list all user-defined command names. Since a user-programmed command is a nonstandard use of the program, the verification of any ANSYS run incorporating these commands is entirely up to the user. In any contact with ANSYS customer support regarding the performance of a custom version of the ANSYS program, you should explicitly state that a user programmable feature has been used. See the Advanced Analysis Techniques Guide for a general description of user-programmable features and Guide to ANSYS User Programmable Features for a detailed description of these features.

This command is valid only at the Begin Level.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*TREAD 		Up / Home Next
*ULIB


*ULIB

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*ULIB, Fname, Ext, --

Identifies a macro library file.

APDL: Macro Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

Ext

Filename extension (8 character maximum).

--

Unused field.

Command Default

No macro library file.

Notes

Identifies a macro library file for the *USE command. A library of macros allows blocks of often used ANSYS commands to be stacked and executed from a single file. The macro blocks must be enclosed within block identifier and terminator lines as shown in the example below. If you want to add comment lines to a macro block, you may place them anywhere within the macro block. (This includes placing them directly on the lines where the macro block identifier and the macro block terminator appear, as shown in the example.) Do not place comment lines (or any other lines) outside of a macro block.

ABC! Any valid alphanumeric name (8 characters maximum)
!  identifying this data block
---! ANSYS data input commands
---
---
/EOF! Terminator for this data block
XYZ! Identify another data block (if desired)
---! ANSYS data input commands
---
---
/EOF! Terminator for this data block
(etc.)

The name of the macro library file is identified for reading on the *ULIB command. The name of the macro block is identified on the *USE command. The commands within the macro block are copied to a temporary file (of the macro block name) during the *USE operation and executed as if a macro file of that name had been created by the user. The temporary file is deleted after it has been used. Macro block names should be acceptable filenames (system dependent) and should not match user created macro file names, since the user macro file will be used first (if it exists) before the library file is searched. Macro blocks may be stacked in any order. Branching [*GO or *IF] external to the macro block is not allowed.

This command is valid in any processor.

Menu Paths

Utility Menu>Macro>Execute Data Block

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/UCMD 		Up / Home Next
*USE


*USE

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*USE, Name, ARG1, ARG2, ARG3, ARG4, ARG5, ARG6, ARG7, ARG8, ARG9, AR10, AR11, AR12, AR13, AR14, AG15, AR16, AR17, AR18

Executes a macro file.

APDL: Macro Files

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Name

Name (32 characters maximum, beginning with a letter) identifying the macro file or a macro block on a macro library file.

ARG1, ARG2, ARG3, . . . , AR18

Values passed into the file or block where the parameters ARG1 through ARG9 and AR10 through AR18 are referenced. Values may be numbers, alphanumeric character strings (up to 8 characters enclosed in single quotes), parameters (numeric or character) or parametric expressions. See below for additional details.

Notes

Causes execution of a macro file called Name, or, if not found, a macro block "Name" on the macro library file [*ULIB]. Argument values (numeric or character) are passed into the file or block and substituted for local parameters ARG1, ARG2, ..., AR18. The file Name may also be executed as an "unknown command" (i.e., without the *USE command name) as described below.

A macro is a sequence of ANSYS commands (as many as needed) recorded in a file or in a macro block in a library file (specified with the *ULIB command). The file or block is typically executed with the *USE command. In addition to command, numerical and alphanumeric data, the macro may include parameters which will be assigned numerical or alphanumerical character values when the macro is used. Use of the macro may be repeated (within a do-loop, for example) with the parameters incremented. A macro is defined within a run by "enclosing" a sequence of data input commands between a *CREATE and a *END command. The data input commands are passive (not executed) while being written to the macro file. The macro file (without *CREATE and *END ) can also be created external to ANSYS.

Up to 99 specially named scalar parameters called ARG1 to AR99 are locally available to each macro. Note that the prefix for the first 9 parameters is "ARG," while the prefix for the last 90 is "AR." A local parameter is one which is not affected by, nor does it affect, other parameters, even those of the same name, which are used outside of the macro. The only way a local parameter can affect, or be affected by, parameters outside the macro is if values are passed out of, or into, the macro by an argument list. Parameters ARG1 through AR18 can have their values (numeric or character) passed via the argument list on the *USE command (ARG1 through AR19 can be passed as arguments on the "unknown command" macro). Parameters AR19 through AR99 (AR20 through AR99 in the "unknown command" macro) are available solely for use within the macro; they cannot be passed via an argument list. Local parameters are available to do-loops and to /INPUT files processed within the macro. In addition to an ARG1--AR99 set for each macro, another ARG1--AR99 set is available external to all macros, local to "non-macro" space.

A macro is exited after its last line is executed. Macros may be nested (such as a *USE or an "unknown command" within a macro). Each nested macro has its own set of 99 local parameters. Only one set of local parameters can be active at a time and that is the set corresponding to the macro currently being executed or to the set external to all macros (if any). When a nested macro completes execution, the previous set of local parameters once again becomes available. Use *STATUS,ARGX to view current macro parameter values.

An alternate way of executing a macro file is via the "unknown command" route. If a command unknown to the ANSYS program is entered, a search for a file of that name (plus a .MAC suffix) is made. If the file exists, it is executed, if not, the "unknown command" message is output. Thus, users can write their own commands in terms of other ANSYS commands. The procedure is similar to issuing the *USE command with the unknown command in the Name field. For example, the command CMD,10,20,30 is internally similar to *USE,CMD,10,20,30. The macro file named CMD.MAC will be executed with the three parameters. The *USE macro description also applies to the "unknown command" macro, except that various directories are searched and a suffix (.MAC) is assumed. Also, a macro library file is not searched.

A three-level directory search for the "unknown command" macro file may be available (see the Operations Guide). The search order may be: 1) a high-level system directory, 2) the login directory, and 3) the local (working) directory. Use the /PSEARCH command to change the directory search path. For an "unknown command" CMD, the first file named CMD.MAC found to exist in the search order will be executed. The command may be input as upper or lower case, however, it is converted to upper case before the file name search occurs. On systems that uniquely support both upper and lower case file names, the file with the matching lower case name will be used if it exists, otherwise, the file with the matching upper case name will be used. All macro files placed in the apdl directory must be upper case.

Note, since undocumented commands exist in the ANSYS program, the user should issue the command intended for the macro file name to be sure the "unknown command" message is output in the processor where it's to be used. If the macro is to be used in other processors, the other processors must also be checked.

This command is valid in any processor.

Menu Paths

Utility Menu>Macro>Execute Data Block

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*ULIB 		Up / Home Next
*VABS


*VABS

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*VABS, KABSR, KABS1, KABS2, KABS3

Applies the absolute value function to array parameters.

APDL: Array Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

KABSR

Absolute value of results parameter:

0 --

Do not take absolute value of results parameter (ParR).

1 --

Take absolute value.

KABS1

Absolute value of first parameter:

0 --

Do not take absolute value of first parameter (Par1 or ParI).

1 --

Take absolute value.

KABS2

Absolute value of second parameter:

0 --

Do not take absolute value of second parameter (Par2 or ParJ).

1 --

Take absolute value.

KABS3

Absolute value of third parameter:

0 --

Do not take absolute value of third parameter (Par3 or ParK).

1 --

Take absolute value.

Command Default

Do not use absolute values.

Notes

Applies an absolute value to parameters used in certain *VXX and *MXX operations. Typical absolute value applications are of the form:

ParR = |f(|Par1|)|

or

ParR = |(|Par1| o |Par2|)|

The absolute values are applied to each input parameter value before the operation and to the result value after the operation. Absolute values are applied before the scale factors so that negative scale factors may be used. The absolute value settings are reset to the default (no absolute value) after each *VXX or *MXX operation. Use *VSTAT to list settings.

This command is valid in any processor.

Menu Paths

Utility Menu>Parameters>Array Operations>Operation Settings

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*USE 		Up / Home Next
*VCOL


*VCOL

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*VCOL, NCOL1, NCOL2

Specifies the number of columns in matrix operations.

APDL: Array Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

NCOL1

Number of columns to be used for Par1 with *MXX operations. Defaults to whatever is needed to fill the result array.

NCOL2

Number of columns to be used for Par2 with *MXX operations. Defaults to whatever is needed to fill the result array.

Command Default

Fill all locations of the result array from the specified starting location.

Notes

Specifies the number of columns to be used in array parameter matrix operations. The size of the submatrix used is determined from the upper left starting array element (defined on the operation command) to the lower right array element (defined by the number of columns on this command and the number of rows on the *VLEN command).

The default NCOL is calculated from the maximum number of columns of the result array (the *DIM column dimension) minus the starting location + 1. For example, *DIM,R,,1,10 and a starting location of R(1,7) gives a default of 4 columns ( starting with R(1,7), R(1,8), R(1,9), and R(1,10)). Repeat operations automatically terminate at the last column of the result array. Existing values in the rows and columns of the results matrix remain unchanged where not overwritten by the requested input or operation values.

The column control settings are reset to the defaults after each *MXX operation. Use *VSTAT to list settings.

This command is valid in any processor.

Menu Paths

Utility Menu>Parameters>Array Operations>Operation Settings

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*VABS 		Up / Home Next
*VCUM


*VCUM

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*VCUM, KEY

Allows array parameter results to add to existing results.

APDL: Array Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

KEY

Accumulation key:

0 --

Overwrite results.

1 --

Add results to the current value of the results parameter.

Command Default

Overwrite results.

Notes

Allows results from certain *VXX and *MXX operations to overwrite or add to existing results. The cumulative operation is of the form:

ParR = ParR + ParR(Previous)

The cumulative setting is reset to the default (overwrite) after each *VXX or *MXX operation. Use *VSTAT to list settings.

This command is valid in any processor.

Menu Paths

Utility Menu>Parameters>Array Operations>Operation Settings

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*VCOL 		Up / Home Next
*VEDIT


*VEDIT

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*VEDIT, Par

Allows numerical array parameters to be graphically edited.

APDL: Array Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Par

Name of the array parameter to be edited.

Notes

Invokes a graphical editing system that displays array parameter values in matrix form, and allows the use of the mouse to edit individual values. The starting array subscripts must be defined, such as *VEDIT,A(4,6,1), to indicate the section of the array to be edited. The array section starts at the specified array element and continues to the maximum extent of the array parameter. Row and column index values may be set or changed in any plane, and those values will be applied to all planes. The menu system must be on [/MENU] when this command is issued. Graphical editing is not available for character array parameters. The *VEDIT command can not be used in a macro or other secondary input file.

This command is not applicable to 4- or 5-D arrays.

This command is valid in any processor.

Menu Paths

Utility Menu>Parameters>Array Parameters>Define/Edit

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*VCUM 		Up / Home Next
*VFACT


*VFACT

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*VFACT, FACTR, FACT1, FACT2, FACT3

Applies a scale factor to array parameters.

APDL: Array Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

FACTR

Scale factor applied to results (ParR) parameter. Defaults to 1.0.

FACT1

Scale factor applied to first parameter (Par1 or ParI). Defaults to 1.0.

FACT2

Scale factor applied to second parameter (Par2 or ParJ). Defaults to 1.0.

FACT3

Scale factor applied to third parameter (Par3 or ParK). Defaults to 1.0.

Command Default

Use 1.0 for all scale factors.

Notes

Applies a scale factor to parameters used in certain *VXX and *MXX operations. Typical scale factor applications are of the form:

ParR = FACTR*f(FACT1*Par1)

or

ParR = FACTR*((FACT1*Par1) o (FACT2*Par2))

The factors are applied to each input parameter value before the operation and to the result value after the operation. The scale factor settings are reset to the default (1.0) after each *VXX or *MXX operation. Use *VSTAT to list settings.

This command is valid in any processor.

Menu Paths

Utility Menu>Parameters>Array Operations>Operation Settings

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*VEDIT 		Up / Home Next
*VFILL


*VFILL

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*VFILL, ParR, Func, CON1, CON2, CON3, CON4, CON5, CON6, CON7, CON8, CON9, CON10

Fills an array parameter.

APDL: Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

ParR

The name of the resulting numeric array parameter vector. See *SET for name restrictions.

Func

Fill function:

DATA --

Assign specified values CON1, CON2, etc. to successive array elements. Up to 10 assignments may be made at a time. Any CON values after a blank CON value are ignored.

RAMP --

Assign ramp function values: CON1+((n-1)*CON2) , where n is the loop number [*VLEN]. To specify a constant function (no ramp), set CON2 to zero.

RAND --

Assign random number values based on a uniform distribution: RAND(CON1,CON2), where CON1 is the lower bound (defaults to 0.0) and CON2 is the upper bound (defaults to 1.0).

GDIS --

Assign random sample of Gaussian distributions: GDIS(CON1,CON2), where CON1 is the mean (defaults to 0.0) and CON2 is the standard deviation (defaults to 1.0).

TRIA --

Assigns random number values based on a triangular distribution: TRIA(CON1,CON2,CON3), where CON1 is the lower bound (defaults to 0.0), CON2 is the location of the peak value (CON1 [image] CON2 [image] CON3; CON2 defaults to 0 if CON1 [image] 0 [image] CON3, CON1 if 0 [image] CON1, or CON3 if CON3 [image] 0), and CON3 is the upper bound (defaults to 1.0 + CON1 if CON1 [image] 0 or 0.0 if CON1 [image] 0).

BETA --

Assigns random number values based on a beta distribution: BETA(CON1,CON2,CON3,CON4), where CON1 is the lower bound (defaults to 0.0), CON2 is the upper bound (defaults to 1.0+CON1 if CON1 [image] 0 or 0.0 if CON1 [image] 0), and CON3 and CON4 are the alpha and beta parameters, respectively, of the beta function. Alpha and beta must both be positive; they default to 1.0.

GAMM --

Assigns random number values based on a gamma distribution: GAMM(CON1,CON2,CON3), where CON1 is the lower bound (defaults to 0.0), and CON2 and CON3 are the alpha and beta parameters. respectively, of the gamma function. Alpha and beta must both be positive; they default to 1.0.

CON1, CON2, CON3, . . . , CON10

Constants used with above functions.

Notes

Operates on input data and produces one output array parameter vector according to:

ParR = f(CON1, CON2, ...)

where the functions (f) are described above. Operations use successive array elements [*VLEN, *VMASK] with the default being all successive elements. For example, *VFILL,A,RAMP,1,10 assigns A(1) = 1.0, A(2) = 11.0, A(3) = 21.0, etc. *VFILL,B(5,1),DATA,1.5,3.0 assigns B(5,1) = 1.5 and B(6,1) = 3.0. Absolute values and scale factors may be applied to the result parameter [*VABS, *VFACT]. Results may be cumulative [*VCUM]. See the *VOPER command for details.

This command is valid in any processor.

Menu Paths

Utility Menu>Parameters>Array Parameters>Fill

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*VFACT 		Up / Home Next
*VFUN


*VFUN

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*VFUN, ParR, Func, Par1, CON1, CON2, CON3

Performs a function on a single array parameter.

APDL: Array Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

ParR

The name of the resulting numeric array parameter vector. See *SET for name restrictions.

Func

Function to be performed:

ACOS --

Arccosine: ACOS(Par1).

ASIN --

Arcsine: ASIN(Par1).

ASORT --

Par1 is sorted in ascending order. *VCOL, *VMASK, *VCUM, and *VLEN,,NINC do not apply. *VLEN,NROW does apply.

ATAN --

Arctangent: ATAN(Par1).

COMP --

Compress: Selectively compresses data set. "True" (*VMASK) values of Par1 (or row positions to be considered according to the NINC value on the *VLEN command) are written in compressed form to ParR, starting at the specified position.

COPY --

Copy: Par1 copied to ParR.

COS --

Cosine: COS(Par1).

COSH --

Hyperbolic cosine: COSH(Par1).

DIRCOS --

Direction cosines of the principal stresses (nX9). Par1 contains the nX6 component stresses for the n locations of the calculations.

DSORT --

Par1 is sorted in descending order. *VCOL, *VMASK, *VCUM, and *VLEN,,NINC do not apply. *VLEN,NROW does apply.

EULER --

Euler angles of the principal stresses (nX3). Par1 contains the nX6 component stresses for the n locations of the calculations.

EXP --

Exponential: EXP(Par1).

EXPA --

Expand: Reverse of the COMP function. All elements of Par1 (starting at the position specified) are written in expanded form to corresponding "true" (*VMASK) positions (or row positions to be considered according to the NINC value on the *VLEN command) of ParR.

LOG --

Natural logarithm: LOG(Par1).

LOG10 --

Common logarithm: LOG10(Par1).

NINT --

Nearest integer: 2.783 becomes 3.0, -1.75 becomes -2.0.

NOT --

Logical complement: values [image] 0.0 (false) become 1.0 (true). Values > 0.0 (true) become 0.0 (false).

PRIN --

Principal stresses (nX5). Par1 contains the nX6 component stresses for the n locations of the calculations.

PWR --

Power function: Par1**CON1. Exponentiation of any negative number in the vector Par1 to a non-integer power is performed by exponentiating the positive number and prepending the minus sign. For example, -4**2.3 is -(4**2.3).

SIN --

Sine: SIN(Par1).

SINH --

Hyperbolic sine: SINH(Par1).

SQRT --

Square root: SQRT(Par1).

TAN --

Tangent: TAN(Par1).

TANH --

Hyperbolic tangent: TANH(Par1).

TANG --

Tangent to a path at a point: the slope at a point is determined by linear interpolation half way between the previous and next points. Points are assumed to be in the global Cartesian coordinate system. Path points are specified in array Par1 (having 3 consecutive columns of data, with the columns containing the x, y, and z coordinate locations, respectively, of the points). Only the starting row index and the column index for the x coordinates are specified, such as A(1,1). The y and z coordinates of the vector are assumed to begin in the corresponding next columns, such as A(1,2) and A(1,3). The tangent result, ParR, must also have 3 consecutive columns of data and will contain the tangent direction vector (normalized to 1.0); such as 1,0,0 for an x-direction vector.

NORM --

Normal to a path and an input vector at a point: determined from the cross-product of the calculated tangent vector (see TANG) and the input direction vector (with the i, j, and k components input as CON1, CON2, and CON3). Points are assumed to be in the global Cartesian coordinate system. Path points are specified in array Par1 (having 3 consecutive columns of data, with the columns containing the x, y, and z coordinate locations, respectively, of the points). Only the starting row index and the column index for the x coordinates are specified, such as A(1,1). The y and z coordinates of the vector are assumed to begin in the corresponding next columns, such as A(1,2) and A(1,3). The normal result, ParR, must also have 3 consecutive columns of data and will contain the normal direction vector (normalized to 1.0); such as 1,0,0 for an x-direction vector.

LOCAL --

Transforms global Cartesian coordinates of a point to the coordinates of a specified system: points to be transformed are specified in array Par1 (having 3 consecutive columns of data, with the columns containing the x, y, and z global Cartesian coordinate locations, respectively, of the points). Only the starting row index and the column index for the x coordinates are specified, such as A(1,1). The y and z coordinates of the vector are assumed to begin in the corresponding next columns, such as A(1,2) and A(1,3). Results are transformed to coordinate system CON1 (which may be any valid coordinate system number, such as 1,2,11,12, etc.). The transformed result, ParR, must also have 3 consecutive columns of data and will contain the corresponding transformed coordinate locations.

GLOBAL --

Transforms specified coordinates of a point to global Cartesian coordinates: points to be transformed are specified in array Par1 (having 3 consecutive columns of data, with the columns containing the local coordinate locations (x, y, z or r, θ, z or etc.) of the points). Only the starting row index and the column index for the x coordinates are specified, such as A(1,1). The y and z coordinates (or θ and z, or etc.) of the vector are assumed to begin in the corresponding next columns, such as A(1,2) and A(1,3). Local coordinate locations are assumed to be in coordinate system CON1 (which may be any valid coordinate system number, such as 1,2,11,12, etc.). The transformed result, ParR, must also have 3 consecutive columns of data, with the columns containing the global Cartesian x, y, and z coordinate locations, respectively.

Par1

Array parameter vector in the operation.

CON1, CON2, CON3

Constants (used only with the PWR, NORM, LOCAL, and GLOBAL functions).

Notes

Operates on one input array parameter vector and produces one output array parameter vector according to:

ParR = f(Par1)

where the functions (f) are described below. Functions are based on the standard FORTRAN definitions where possible. Out-of-range function results (or results with exponents whose magnitudes are approximately greater than 32 or less than -32) produce a zero value. Input and output for angular functions may be radians (default) or degrees [*AFUN]. ParR may be the same as Par1. Starting array element numbers must be defined for each array parameter vector if it does not start at the first location. For example, *VFUN,A,SQRT,B(5) takes the square root of the fifth element of B and stores the result in the first element of A. Operations continue on successive array elements [*VLEN, *VMASK] with the default being all successive elements. Absolute values and scale factors may be applied to all parameters [*VABS, *VFACT]. Results may be cumulative [*VCUM]. Skipping array elements via *VMASK or *VLEN for the TANG and NORM functions skips only the writing of the results (skipped array element data are used in all calculations). See the *VOPER command for details.

This command is valid in any processor.

Menu Paths

Utility Menu>Parameters>Array Operations>Vector Functions

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*VFILL 		Up / Home Next
*VGET


*VGET

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*VGET, ParR, Entity, ENTNUM, Item1, IT1NUM, Item2, IT2NUM, KLOOP

Retrieves values and stores them into an array parameter.

APDL: Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

ParR

The name of the resulting vector array parameter. See *SET for name restrictions.

Entity

Entity keyword. Valid keywords are NODE, ELEM, KP, LINE, AREA, VOLU, etc. as shown for Entity = in the table below.

ENTNUM

The number of the entity (as shown for ENTNUM = in the table below).

Item1

The name of a particular item for the given entity. Valid items are as shown in the Item1 columns of the table below.

IT1NUM

The number (or label) for the specified Item1 (if any). Valid IT1NUM values are as shown in the IT1NUM columns of the table below. Some Item1 labels do not require an IT1NUM value.

Item2, IT2NUM

A second set of item labels and numbers to further qualify the item for which data is to be retrieved. Most items do not require this level of information.

KLOOP

Field to be looped on:

0 or 2 --

Loop on the ENTNUM field (default).

3 --

Loop on the Item1 field.

4 --

Loop on the IT1NUM field. Successive items are as shown with IT1NUM.

5 --

Loop on the Item2 field.

6 --

Loop on the IT2NUM field. Successive items are as shown with IT2NUM.

Notes

Retrieves values for specified items and stores the values in an output vector of a user-named array parameter according to:

ParR = f(Entity, ENTNUM, Item1, IT1NUM, Item2, IT2NUM)

where (f) is the *GET function; Entity, Item1, and Item2 are keywords; and ENTNUM, IT1NUM, and IT2NUM are numbers or labels corresponding to the keywords. Looping continues over successive entity numbers (ENTNUM) for the KLOOP default. For example, *VGET,A(1),ELEM,5,CENT,X returns the centroid x-location of element 5 and stores the result in the first location of A. Retrieving continues with element 6, 7, 8, etc., regardless of whether the element exists or is selected, until successive array locations are filled. Use *VLEN or *VMASK to skip locations. Absolute values and scale factors may be applied to the result parameter [*VABS, *VFACT]. Results may be cumulative [*VCUM]. See the *VOPER command for general details. Results can be put back into an analysis by writing a file of the desired input commands with the *VWRITE command. See also the *VPUT command.

Both *GET and *VGET retrieve information from the active data stored in memory. The database is often the source, and sometimes the information is retrieved from common memory blocks that ANSYS uses to manipulate information. Although POST1 and POST26 operations use a *.rst file, GET data is accessed from the database or from the common blocks. Get operations do not access the *.rst file directly.

The *VGET command retrieves both the unprocessed real and the imaginary parts (original and duplicate sector nodes and elements) of a cyclic symmetry solution.

This command is valid in any processor.

*VGET - PREP7 Items

PREP7 Items
Entity = NODE, ENTNUM = n (node number)
Item1 | IT1NUM | Description
LOC | X, Y, Z | X, Y, or Z location in the active coordinate system.
ANG | XY, YZ, ZX | THXY, THYZ, THZX rotation angle.
NSEL |  | Select status of node n (-1 - unselected, 0 - undefined, 1 - selected).
NLIST |  | Returns the list of selected nodes (ENTNUM is ignored).
Entity = ELEM, ENTNUM = n (element number)
Item1 | IT1NUM | Description
NODE | 1,2,--20 | Node number at position 1,2,--20 of element n.
CENT | X, Y, Z | Centroid X, Y, or Z location (based on shape function) in the active coordinate system.
ADJ | 1, 2, -- 6 | Number of element adjacent to face 1, 2, -- 6.
ATTR | name | Number assigned to attribute name = MAT, TYPE, REAL, ESYS, ENAM, or SECN).
GEOM |  | Characteristic element geometry. Length of line element (straight line between ends), area of area element, or volume of volume element. Issuing *VGET for an element returns a signed value. To always get a positive value, issue *VABS,1 just prior to issuing *VGET,par(n),ELEM,x,GEOM.
ESEL |  | Select status of element n (-1 - unselected, 0 - undefined, 1 - selected).
SHPAR | Test | Element shape test result for selected element n, where Test=ANGD (SHELL28 corner angle deviation), ASPE (aspect ratio), JACR (Jacobian ratio), MAXA (maximum corner angle), PARA (deviation from parallelism of opposite edges), or WARP (warping factor).
ELIST |  | Returns the list of selected elements (ENTNUM is ignored).
Entity = KP, ENTNUM = n (keypoint number)
Item1 | IT1NUM | Description
LOC | X, Y, Z | X, Y, or Z location in the active coordinate system.
ATTR | name | Number assigned to attribute (name = MAT, TYPE, REAL, ESYS, NODE or ELEM).
DIV |  | Divisions (element size setting) from KESIZE command.
KSEL |  | Select status of keypoint n (-1 - unselected, 0 - undefined, 1 - selected).
KLIST |  | Returns the list of selected keypoints (ENTNUM is ignored).
Entity = LINE, ENTNUM = n (line number)
Item1 | IT1NUM | Description
KP | 1,2 | Keypoint number at position 1 or 2.
ATTR | name | Number assigned to attribute (name = MAT, TYPE, REAL, ESYS, NNOD, NELM, or NDIV). NNOD = number of nodes, NELM = number of elements, NDIV = number of divisions.
LENG |  | Length.
LSEL |  | Select status of line n (-1 - unselected, 0 - undefined, 1 - selected).
LLIST |  | Returns the list of selected lines (ENTNUM is ignored).
Entity = AREA, ENTNUM = n (area number)
Item1 | IT1NUM | Description
LOOP | 1,2,-- I | Loop number. Must be input if LINE number is to be retrieved.
Item2 | IT2NUM | Description
LINE | 1, 2, -- p | Line number at position 1, 2, --- p.
ATTR | name | Number assigned to attribute (name = MAT, TYPE, REAL, ESYS, SECN, NNOD, or NELM). NNOD = number of nodes, NELM = number of elements.
AREA |  | Area (after last ASUM).
ASEL |  | Select status of area n (-1 - unselected, 0 - undefined, 1 - selected).
ALIST |  | Returns the list of selected areas (ENTNUM is ignored).
Entity = VOLU, ENTNUM = n (volume number)
Item1 | IT1NUM | Description
SHELL | 1,2,--l | Shell number. Must be input if AREA number is to be retrieved.
Item2 | IT2NUM | Description
AREA | 1, 2, -- p | Area number at position 1, 2, --- p.
ATTR | name | Number assigned to attribute (name = MAT, TYPE, REAL, ESYS, NNOD, or NELM). NNOD = number of nodes, NELM = number of elements.
VOLU |  | Volume (after last VSUM).
VSEL |  | Select status of volume n (-1 - unselected, 0 - undefined, 1 - selected).
VLIST |  | Returns the list of selected volumes (ENTNUM is ignored).
Entity = CDSY, ENTNUM = n (coordinate system number)
Item1 | IT1NUM | Description
LOC | X, Y, Z | X, Y, or Z origin location (global Cartesian coordinate).
ANG | XY, YZ, ZX | THXY, THYZ, or THZX rotation angle (°) relative to the global Cartesian coordinate system.
ATTR | name | Number assigned to attribute (name = KCS, KTHET, KPHI, PAR1, or PAR2). A -1.0 is returned for KCS if coordinate system is undefined).
Entity = RCON, ENTNUM = n (real constant set number)
Item1 | IT1NUM | Description
CONST | 1,2,--m | Real constant value for constant 1,2,--- m.
Entity = TLAB, ENTNUM = n (Tlab is the data table label: BKIN, MKIN, MISO, etc. as described on the TB command. n is the material number.)
Item1 | IT1NUM | Description
TEMP | val | Temperature value (if any) at which to retrieve table data.
Item2 | IT2NUM | Description
CONST | num | Constant number whose value is to be retrieved (see Data Tables - Implicit Analysis in the Elements Reference). For constants input as X, Y points, the constant numbers are consecutive with the X constants being the odd numbers, beginning with one.

*VGET - POST1 Items

Entity = NODE, ENTNUM = n (node number)
Vector items are in the active results coordinate system unless otherwise specified.
Item1 | IT1NUM | Description
Valid labels for nodal degree of freedom results are:
U | X, Y, Z | X, Y, or Z structural displacement.
ROT | X, Y, Z | X, Y, or Z structural rotation.
TEMP | Temperature. For SHELL131 and SHELL132 elements with KEYOPT(3) = 0 or 1, use TBOT, TE2, TE3, . . ., TTOP instead of TEMP. Alternative get functions: TEMP(N), TBOT(N), TE2(N), etc.
PRES | Pressure.
VOLT | Electric potential.
MAG | Magnetic scalar potential.
V | X, Y, Z | X, Y, or Z fluid velocity.
A | X, Y, Z | X, Y, or Z magnetic vector potential.
CURR | Current.
EMF | Electromotive force drop.
ENKE | Turbulent kinetic energy (FLOTRAN).
ENDS | Turbulent energy dissipation (FLOTRAN).
Valid labels for element nodal results are:
Item1 | IT1NUM | Description
S | X, Y, Z, XY, YZ, XZ | Component stress.
" 1,2,3 Principal stress.
" INT, EQV Stress intensity or equivalent stress.
EPTO | X, Y, Z, XY, YZ, XZ | Component total strain (EPEL + EPPL + EPCR).
" 1, 2, 3 Principal total strain.
" INT, EQV Total strain intensity or total equivalent strain.
EPEL | X, Y, Z, XY, YZ, XZ | Component elastic strain.
" 1, 2, 3 Principal elastic strain.
" INT, EQV Elastic strain intensity or elastic equivalent strain.
EPPL | X, Y, Z, XY, YZ, XZ | Component plastic strain.
" 1, 2, 3 Principal plastic strain.
" INT, EQV Plastic strain intensity or plastic equivalent strain.
EPCR | X, Y, Z, XY, YZ, XZ | Component creep strain.
" 1, 2, 3 Principal creep strain.
" INT, EQV Creep strain intensity or creep equivalent strain.
EPTH | X, Y, Z, XY, YZ, XZ | Component thermal strain.
" 1, 2, 3 Principal thermal strain.
" INT, EQV Thermal strain intensity or thermal equivalent strain.
EPSW | Swelling strain.
NL | SEPL | Equivalent stress (from stress-strain curve).
" SRAT Stress state ratio.
" HPRES Hydrostatic pressure.
" EPEQ Accumulated equivalent plastic strain.
" PSV Plastic state variable.
" PLWK Plastic work/volume.
HS | X, Y, Z | Component magnetic field intensity from current sources (in the global Cartesian coordinate system).
BFE | TEMP | Body temperatures (calculated from applied temperatures) as used in solution.
TG | X, Y, Z, SUM | Component thermal gradient and sum.
TF | X, Y, Z, SUM | Component thermal flux and sum.
PG | X, Y, Z, SUM | Component pressure gradient and sum.
EF | X, Y, Z, SUM | Component electric field and sum.
D | X, Y, Z, SUM | Component electric flux density and sum.
H | X, Y, Z, SUM | Component magnetic field intensity and sum.
B | X, Y, Z, SUM | Component magnetic flux density and sum.
FMAG | X, Y, Z, SUM | Component magnetic force and sum.

Note

Element nodal results are the average nodal value of the selected elements.

Valid labels for FLOTRAN nodal results are:
Item1 | IT1NUM | Description
TTOT | Total temperature.
HFLU | Heat flux.
HFLM | Heat transfer (film) coefficient.
COND | Fluid laminar conductivity.
PCOE | Pressure coefficient.
PTOT | Total (stagnation) pressure.
MACH | Mach number.
STRM | Stream function. (2-D applications only.)
DENS | Fluid density.
VISC | Fluid laminar viscosity.
EVIS | Fluid effective viscosity.
ECON | Fluid effective conductivity.
YPLU | Y+, a turbulent law of the wall parameter.
TAUW | Shear stress at the wall.
Entity = ELEM, ENTNUM = n (element number)
Valid labels for element results are:
ETAB | Lab | Any user-defined element table label (see ETABLE command).

Menu Paths

Utility Menu>Parameters>Get Array Data

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*VFUN 		Up / Home Next
*VITRP


*VITRP

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*VITRP, ParR, ParT, ParI, ParJ, ParK

Forms an array parameter by interpolation of a table.

APDL: Array Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

ParR

The name of the resulting array parameter. See *SET for name restrictions.

ParT

The name of the TABLE array parameter. The parameter must exist as a dimensioned array of type TABLE [*DIM].

ParI

Array parameter vector of I (row) index values for interpolation in ParT.

ParJ

Array parameter vector of J (column) index values for interpolation in ParT (which must be at least 2-D).

ParK

Array parameter vector of K (depth) index values for interpolation in ParT (which must be 3-D).

Notes

Forms an array parameter (of type ARRAY) by interpolating values of an array parameter (of type TABLE) at specified table index locations according to:

ParR = f(ParT, Parl, ParJ, ParK)

where ParT is the type TABLE array parameter, and ParI, ParJ, ParK are the type ARRAY array parameter vectors of index values for interpolation in ParT. See the *DIM command for TABLE and ARRAY declaration types. Linear interpolation is used. The starting array element number for the TABLE array (ParT) is not used (but a value must be input). Starting array element numbers must be defined for each array parameter vector if it does not start at the first location. For example, *VITRP,R(5),TAB(1,1),X(2),Y(4) uses the second element of X and the fourth element of Y as index values (row and column) for a 2-D interpolation in TAB and stores the result in the fifth element of R. Operations continue on successive array elements [*VLEN, *VMASK] with the default being all successive elements. Absolute values and scale factors may be applied to the result parameter [*VABS, *VFACT]. Results may be cumulative [*VCUM]. See the *VOPER command for details.

This command is valid in any processor.

Menu Paths

Utility Menu>Parameters>Array Operations>Vector Interpolate

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*VGET 		Up / Home Next
*VLEN


*VLEN

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*VLEN, NROW, NINC

Specifies the number of rows to be used in array parameter operations.

APDL: Array Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

NROW

Number of rows to be used with the *VXX or *MXX operations. Defaults to the number of rows needed to fill the result array.

NINC

Perform the operation on every NINC row (defaults to 1).

Command Default

Fill all locations of the result array from the specified starting location.

Notes

Specifies the number of rows to be used in array parameter operations. The size of the submatrix used is determined from the upper left starting array element (defined on the operation command) to the lower right array element (defined by the number of rows on this command and the number of columns on the *VCOL command). NINC allows skipping row operations for some operation commands. Skipped rows are included in the row count. The starting row number must be defined on the operation command for each parameter read and for the result written.

The default NROW is calculated from the maximum number of rows of the result array (the *DIM row dimension) minus the starting location + 1. For example, *DIM,R,,10 and a starting location of R(7) gives a default of 4 loops (filling R(7), R(8), R(9), and R(10)). Repeat operations automatically terminate at the last row of the result array. Existing values in the rows and columns of the results matrix remain unchanged where not overwritten by the requested input or operation values.

The stride (NINC) allows operations to be performed at regular intervals. It has no effect on the total number of row operations. Skipped operations retain the previous result. For example, *DIM,R,,6, with a starting location of R(1), NROW = 10, and NINC = 2 calculates values for locations R(1), R(3), and R(5) and retains values for locations R(2), R(4), and R(6). A more general skip control may be done by masking [*VMASK]. The row control settings are reset to the defaults after each *VXX or *MXX operation. Use *VSTAT to list settings.

This command is valid in any processor.

Menu Paths

Utility Menu>Parameters>Array Operations>Operation Settings

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*VITRP 		Up / Home Next
*VMASK


*VMASK

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*VMASK, Par

Specifies an array parameter as a masking vector.

APDL: Array Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Par

Name of the mask parameter. The starting subscript must also be specified.

Command Default

No mask parameter specified (use true for all operations).

Notes

Specifies the name of the parameter whose values are to be checked for each resulting row operation. The mask vector usually contains only 0 (for false) and 1 (for true) values. For each row operation the corresponding mask vector value is checked. A true value allows the operation to be done. A false value skips the operation (and retains the previous results). A mask vector can be created from direct input, such as M(1) = 1,0,0,1,1,0,1; or from the DATA function of the *VFILL command. The NOT function of the *VFUN command can be used to reverse the logical sense of the mask vector. The logical compare operations (LT, LE, EQ, NE, GE, and GT) of the *VOPER command also produce a mask vector by operating on two other vectors. Any numeric vector can be used as a mask vector since the actual interpretation assumes values less than 0.0 are 0.0 (false) and values greater than 0.0 are 1.0 (true). If the mask vector is not specified (or has fewer values than the result vector), true (1.0) values are assumed for the unspecified values. Another skip control may be input with NINC on the *VLEN command. If both are present, operations occur only when both are true. The mask setting is reset to the default (no mask) after each *VXX or *MXX operation. Use *VSTAT to list settings.

This command is valid in any processor.

Menu Paths

Utility Menu>Parameters>Array Operations>Operation Settings

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*VLEN 		Up / Home Next
*VOPER


*VOPER

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*VOPER, ParR, Par1, Oper, Par2, CON1, CON2

Operates on two array parameters.

APDL: Array Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

ParR

The name of the resulting array parameter vector. See *SET for name restrictions.

Par1

First array parameter vector in the operation. May also be a scalar parameter or a literal constant.

Oper

Operations:

ADD--

Addition: Par1+Par2.

SUB --

Subtraction: Par1-Par2.

MULT --

Multiplication: Par1*Par2.

DIV --

Division: Par1/Par2 (a divide by zero results in a value of zero).

MIN --

Minimum: minimum of Par1 and Par2.

MAX --

Maximum: maximum of Par1 and Par2.

LT --

Less than comparison: Par1<Par2 gives 1.0 if true, 0.0 if false.

LE --

Less than or equal comparison: Par1 [image] Par2 gives 1.0 if true, 0.0 if false.

EQ --

Equal comparison: Par1 = Par2 gives 1.0 if true, 0.0 if false.

NE --

Not equal comparison: Par1 ≠ Par2 gives 1.0 if true, 0.0 if false.

GE --

Greater than or equal comparison: Par1 [image] Par2 gives 1.0 if true, 0.0 if false.

GT --

Greater than comparison: Par1>Par2 gives 1.0 if true, 0.0 if false.

DER1 --

First derivative: d(Par1)/d(Par2). The derivative at a point is determined over points half way between the previous and next points (by linear interpolation). Par1 must be a function (a unique Par1 value for each Par2 value) and Par2 must be in ascending order.

DER2 --

Second derivative: d2(Par1)/d(Par2)2. See also DER1.

INT1 --

Single integral: Par1 d(Par2), where CON1 is the integration constant. The integral at a point is determined by using the single integration procedure described in the Theory Reference for ANSYS and ANSYS Workbench.

INT2 --

Double integral: Par1 d(Par2), where CON1 is the integration constant of the first integral and CON2 is the integration constant of the second integral. If Par1 contains acceleration data, CON1 is the initial velocity and CON2 is the initial displacement. See also INT1.

DOT --

Dot product: Par1 . Par2. Par1 and Par2 must each have three consecutive columns of data, with the columns containing the i, j, and k vector components, respectively. Only the starting row index and the column index for the i components are specified for Par1 and Par2, such as A(1,1). The j and k components of the vector are assumed to begin in the corresponding next columns, such as A(1,2) and A(1,3).

CROSS --

Cross product: Par1 x Par2. Par1, Par2, and ParR must each have 3 components, respectively. Only the starting row index and the column index for the i components are specified for Par1, Par2, and ParR, such as A(1,1). The j and k components of the vector are assumed to begin in the corresponding next columns, such as A(1,2) and A(1,3).

GATH --

Gather: For a vector of position numbers, Par2, copy the value of Par1 at each position number to ParR. Example: for Par1 = 10,20,30,40 and Par2 = 2,4,1; ParR = 20,40,10.

SCAT --

Scatter: Opposite of GATH operation. For a vector of position numbers, Par2, copy the value of Par1 to that position number in ParR. Example: for Par1 = 10,20,30,40,50 and Par2 = 2,1,0,5,3; ParR = 20,10,50,0,40.

ATN2 --

Arctangent: arctangent of Par1/Par2 with the sign of each component considered.

Par2

Second array parameter vector in the operation. May also be a scalar parameter or a literal constant.

CON1

First constant (used only with the INT1 and INT2 operations).

CON2

Second constant (used only with the INT2 operation).

Notes

Operates on two input array parameter vectors and produces one output array parameter vector according to:

ParR = Par1 o Par2

where the operations (o) are described below. ParR may be the same as Par1 or Par2. Absolute values and scale factors may be applied to all parameters [*VABS, *VFACT]. Results may be cumulative [*VCUM]. Starting array element numbers must be defined for each array parameter vector if it does not start at the first location, such as *VOPER,A,B(5),ADD,C(3) which adds the third element of C to the fifth element of B and stores the result in the first element of A. Operations continue on successive array elements [*VLEN, *VMASK] with the default being all successive elements. Skipping array elements via *VMASK or *VLEN for the DER_ and INT_ functions skips only the writing of the results (skipped array element data are used in all calculations).

Parameter functions and operations are available to operate on a scalar parameter or a single element of an array parameter, such as SQRT(B) or SQRT(A(4)). See the *SET command for details. Operations on a sequence of array elements can be done by repeating the desired function or operation in a do-loop [*DO]. The vector operations within the ANSYS program (*VXX commands) are internally programmed do-loops that conveniently perform the indicated operation over a sequence of array elements. If the array is multidimensional, only the first subscript is incremented in the do-loop, that is, the operation repeats in column vector fashion "down" the array. For example, for A(1,5), A(2,5), A(3,5), etc. The starting location of the row index must be defined for each parameter read and for the result written.

The default number of loops is from the starting result location to the last result location and can be altered with the *VLEN command. A logical mask vector may be defined to control at which locations the operations are to be skipped [*VMASK]. The default is to skip no locations. Repeat operations automatically terminate at the last array element of the result array column if the number of loops is undefined or if it exceeds the last result array element. Zeroes are used in operations for values read beyond the last array element of an input array column. Existing values in the rows and columns of the results matrix remain unchanged where not changed by the requested operation values. The result array column may be the same as the input array column since results in progress are stored in a temporary array until being moved to the results array at the end of the operation. Results may be overwritten or accumulated with the existing results [*VCUM]. The default is to overwrite results. The absolute value may be used for each parameter read or written [*VABS]. A scale factor (defaulting to 1.0) is also applied to each parameter read and written [*VFACT].

This command is valid in any processor.

Menu Paths

Utility Menu>Parameters>Array Operations>Vector Operations

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*VMASK 		Up / Home Next
*VPLOT


*VPLOT

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*VPLOT, ParX, ParY, Y2, Y3, Y4, Y5, Y6, Y7, Y8

Graphs columns (vectors) of array parameters.

APDL: Array Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

ParX

Name of the array parameter whose column vector values will be the abscissa of the graph. If blank, row subscript numbers are used instead. ParX is not sorted by the program.

ParY

Name of the array parameter whose column vector values will be graphed against the ParX values.

Y2, Y3, Y4, . . . , Y8

Additional column subscript of the ParY array parameter whose values are to be graphed against the ParX values.

Notes

The column to be graphed and the starting row for each array parameter must be specified as subscripts. Additional columns of the ParY array parameter may be graphed by specifying column numbers for Y2, Y3, ...,Y8. For example, *VPLOT,TIME (4,6), DISP (8,1),2,3 specifies that the 1st, 2nd, and 3rd columns of array parameter DISP (all starting at row 8) are to be graphed against the 6th column of array parameter TIME (starting at row 4). The columns will be graphed from the starting row to their maximum extent. See the *VLEN and *VMASK commands to limit or skip data to be graphed. The array parameters specified on the *VPLOT command must be of the same type (type ARRAY or TABLE; [*DIM]. Arrays of type TABLE will be graphed as continuous curves. Arrays of type ARRAY will be displayed in bar chart fashion.

The normal curve labeling scheme for *VPLOT is to label curve 1 “COL 1”, curve 2 “COL 2” and so on. You can use the /GCOLUMN command to apply user-specifed labels (8 characters maximum) to your curves. See Modifying Curve Labels in the ANSYS APDL Programmer's Guide for more information on using /GCOLUMN.

When a graph plot reaches minimum or maximum y-axis limits, ANSYS indicates the condition by clipping the graph. The clip appears as a horizontal magenta line. ANSYS calculates y-axis limits automatically; however, you can modify the (YMIN and YMAX) limits via the /YRANGE command.

This command is valid in any processor.

Menu Paths

Utility Menu>Plot>Array Parameters

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*VOPER 		Up / Home Next
*VPUT


*VPUT

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*VPUT, ParR, Entity, ENTNUM, Item1, IT1NUM, Item2, IT2NUM, KLOOP

Restores array parameter values into the ANSYS database.

APDL: Array Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

ParR

The name of the input vector array parameter. See *SET for name restrictions. The parameter must exist as a dimensioned array [*DIM] with data input.

Entity

Entity keyword. Valid keywords are shown for Entity = in the table below.

ENTNUM

The number of the entity (as shown for ENTNUM= in the table below).

Item1

The name of a particular item for the given entity. Valid items are as shown in the Item1 columns of the table below.

IT1NUM

The number (or label) for the specified Item1 (if any). Valid IT1NUM values are as shown in the IT1NUM columns of the table below. Some Item1 labels do not require an IT1NUM value.

Item2, IT2NUM

A second set of item labels and numbers to further qualify the item for which data is to be stored. Most items do not require this level of information.

KLOOP

Field to be looped on:

0 or 2 --

Loop on the ENTNUM field (default).

3 --

Loop on the Item1 field.

4 --

Loop on the IT1NUM field. Successive items are as shown with IT1NUM.

5 --

Loop on the Item2 field.

6 --

Loop on the IT2NUM field. Successive items are as shown with IT2NUM.

Notes

The *VPUT command is not supported for PowerGraphics displays. Inconsistent results may be obtained if this command is not used in /GRAPHICS, FULL.

Plot and print operations entered via the GUI (Utility Menu> Pltcrtls, Utility Menu> Plot) incorporate the AVPRIN command. This means that the principal and equivalent values are recalculated. If you use *VPUT to put data back into the database, issue the plot commands from the command line to preserve your data.

This operation is basically the inverse of the *VGET operation. Vector items are put directly (without any coordinate system transformation) into the ANSYS database. Items can only replace existing items of the database and not create new items. Degree of freedom results that are replaced in the database are available for all subsequent postprocessing operations. Other results are changed temporarily and are available mainly for the immediately following print and display operations. The vector specification *VCUM does not apply to this command. The valid labels for the location fields (Entity, ENTNUM, Item1, and IT1NUM) are listed below. Item2 and IT2NUM are not currently used. Not all items from the *VGET list are allowed on *VPUT since putting values into some locations could cause the database to be inconsistent.

This command is valid in any processor.

*VPUT - POST1 Items

Entity = NODE, ENTNUM = n (node number)
Item1 | IT1NUM | Description
Valid labels for nodal degree of freedom results are:
U | X, Y, Z | X, Y, or Z structural displacement.
ROT | X, Y, Z | X, Y, or Z structural rotation.
TEMP |  | Temperature. For SHELL131 and SHELL132 elements with KEYOPT(3) = 0 or 1, use TBOT, TE2, TE3, . . ., TTOP instead of TEMP. Alternative get functions: TEMP(N), TBOT(N), TE2(N), etc.
PRES |  | Pressure.
VOLT |  | Electric potential.
MAG |  | Magnetic scalar potential.
V | X, Y, Z | X, Y, or Z fluid velocity.
A | X, Y, Z | X, Y, or Z magnetic vector potential.
CURR |  | Current.
EMF |  | Electromotive force drop.
ENKE |  | Turbulent kinetic energy (FLOTRAN).
ENDS |  | Turbulent energy dissipation (FLOTRAN).
Valid labels for element nodal results are:
Item1 | IT1NUM | Description
S | X, Y, Z, XY, YZ, XZ | Component stress.
" | 1, 2, 3 | Principal stress.
" | INT, EQV | Stress intensity or equivalent stress.
EPTO | X, Y, Z, XY, YZ, XZ | Component total strain (EPEL + EPPL + EPCR).
" | 1,2,3 | Principal total strain.
" | INT, EQV | Total strain intensity or total equivalent strain.
EPEL | X, Y, Z, XY, YZ, XZ | Component elastic strain.
" | 1, 2, 3 | Principal elastic strain.
" | INT, EQV | Elastic strain intensity or elastic equivalent strain.
EPPL | X, Y, Z, XY, YZ, XZ | Component plastic strain.
" | 1,2,3 | Principal plastic strain.
" | INT, EQV | Plastic strain intensity or plastic equivalent strain.
EPCR | X, Y, Z, XY, YZ, XZ | Component creep strain.
" | 1, 2, 3 | Principal creep strain.
" | INT, EQV | Creep strain intensity or creep equivalent strain.
EPTH | X, Y, Z, XY, YZ, XZ | Component thermal strain.
" | 1, 2, 3 | Principal thermal strain.
" | INT, EQV | Thermal strain intensity or thermal equivalent strain.
EPSW |  | Swelling strain.
NL | SEPL | Equivalent stress (from stress-strain curve).
" | SRAT | Stress state ratio.
" | HPRES | Hydrostatic pressure.
" | EPEQ | Accumulated equivalent plastic strain.
" | PSV | Plastic state variable.
" | PLWK | Plastic work/volume.
TG | X, Y, Z | Component thermal gradient.
TF | X, Y, Z | Component thermal flux.
PG | X, Y, Z | Component pressure gradient.
EF | X, Y, Z | Component electric field.
D | X, Y, Z | Component electric flux density.
H | X, Y, Z | Component magnetic field intensity.
B | X, Y, Z | Component magnetic flux density.
FMAG | X, Y, Z | Component magnetic force.
Valid labels for FLOTRAN nodal results are:
Item1 | IT1NUM | Description
TTOT |  | Total temperature.
HFLU |  | Heat flux.
HFLM |  | Heat transfer (film) coefficient.
COND |  | Fluid laminar conductivity.
PCOE |  | Pressure coefficient.
PTOT |  | Total (stagnation) pressure.
MACH |  | Mach number.
STRM |  | Stream function. (2-D applications only.)
DENS |  | Fluid density.
VISC |  | Fluid laminar viscosity.
EVIS |  | Fluid effective viscosity.
ECON |  | Fluid effective conductivity.
YPLU |  | Y+, a turbulent law of the wall parameter.
TAUW |  | Shear stress at the wall.
Entity = ELEM, ENTNUM = n (element number)
Valid labels for element results are:
ETAB | Lab | Any user-defined element table label (see ETABLE command).

Menu Paths

Utility Menu>Parameters>Array Operations>Put Array Data

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*VPLOT 		Up / Home Next
*VREAD


*VREAD

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*VREAD, ParR, Fname, Ext, --, Label, n1, n2, n3, NSKIP

Reads data and produces an array parameter vector or matrix.

APDL: Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

ParR

The name of the resulting array parameter vector. See *SET for name restrictions. The parameter must exist as a dimensioned array [*DIM]. String arrays are limited to a maximum of 8 characters.

Fname

File name and directory path (248 characters maximum, including the characters needed for the directory path). An unspecified directory path defaults to the working directory; in this case, you can use all 248 characters for the file name.

If the Fname field is left blank, reading continues from the current input device, such as the terminal.

Ext

Filename extension (8 character maximum).

--

Unused field.

Label

Can take a value of IJK, IKJ, JIK, JKI, KIJ, KJI, or blank (IJK).

n1, n2, n3

Read as (((ParR (i,j,k), k = 1,n1), i = 1, n2), j = 1, n3) for Label = KIJ. n2 and n3 default to 1.

NSKIP

Number of lines at the beginning of the file being read that will be skipped during the reading. Default = 0.

Notes

Reads data from a file and fills in an array parameter vector or matrix. Data are read from a formatted file or, if the menu is off [/MENU,OFF] and Fname is blank, from the next input lines. The format of the data to be read must be input immediately following the *VREAD command. The format specifies the number of fields to be read per record, the field width, and the placement of the decimal point (if none specified in the value). The read operation follows the available FORTRAN FORMAT conventions of the system (see your system FORTRAN manual). Any standard FORTRAN real format (such as (4F6.0), (E10.3,2X,D8.2), etc.) or alphanumeric format (A) may be used. Alphanumeric strings are limited to a maximum of 8 characters for any field (A8). Integer (I) and list-directed (*) descriptors may not be used. The parentheses must be included in the format and the format must not exceed 80 characters (including parentheses). The input line length is limited to 128 characters.

A starting array element number must be defined for the result array parameter vector (numeric or character). For example, entering these two lines:

*VREAD,A(1),ARRAYVAL
(2F6.0)

will read two values from each line of file ARRAYVAL and assign the values to A(1), A(2), A(3), etc. Reading continues until successive row elements [*VLEN, *VMASK, *DIM] are filled.

For an array parameter matrix, a starting array element row and column number must be defined. For example, entering these two lines:

VREAD,A(1,1),ARRAYVAL,,,IJK,10,2
(2F6.0)

will read two values from each line of file ARRAYVAL and assign the values to A(1,1), A(2,1), A(3,1), etc. Reading continues until n1 (10) successive row elements are filled. Once the maximum row number is reached, subsequent data will be read into the next column (e.g., A(1,2), A(2,2), A(3,2), etc.)

For numerical parameters, absolute values and scale factors may be applied to the result parameter [*VABS, *VFACT]. Results may be cumulative [*VCUM]. See the *VOPER command for details. If you are in the GUI the *VREAD command must be contained in an externally prepared file read into the ANSYS program (i.e., *USE, /INPUT, etc.).

This command is not applicable to 4- or 5-D arrays.

This command is valid in any processor.

Menu Paths

Utility Menu>Parameters>Array Parameters>Read from File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*VPUT 		Up / Home Next
*VSCFUN


*VSCFUN

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*VSCFUN, ParR, Func, Par1

Determines properties of an array parameter.

APDL: Array Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

ParR

The name of the resulting scalar parameter. See *SET for name restrictions.

Func

Functions:

MAX --

Maximum: the maximum Par1 array element value.

MIN --

Minimum: the minimum Par1 array element value.

LMAX --

Index location of the maximum Par1 array element value. Array Par1 is searched starting from its specified index.

LMIN --

Index location of the minimum Par1 array element value. Array Par1 is searched starting from its specified index.

FIRST --

Index location of the first nonzero value in array Par1. Array Par1 is searched starting from its specified index.

LAST --

Index location of the last nonzero value in array Par1. Array Par1 is searched starting from its specified index.

SUM --

Sum: Par1 (the summation of the Par1 array element values).

MEDI --

Median: value of Par1 at which there are an equal number of values above and below.

MEAN --

Mean: (σ Par1)/NUM, where NUM is the number of summed values.

VARI --

Variance: (σ ((Par1-MEAN)**2))/NUM.

STDV --

Standard deviation: square root of VARI.

RMS --

Root-mean-square: square root of (σ (Par1**2))/NUM.

NUM --

Number: the number of summed values (masked values are not counted).

Par1

Array parameter vector in the operation.

Notes

Operates on one input array parameter vector and produces one output scalar parameter according to:

ParR = f(Par1)

where the functions (f) are described below. The starting array element number must be defined for the array parameter vector. For example, *VSCFUN,MU,MEAN,A(1) finds the mean of the A vector values, starting from the first value and stores the result as parameter MU. Operations use successive array elements [*VLEN, *VMASK] with the default being all successive array elements. Absolute values and scale factors may be applied to all parameters [*VABS, *VFACT]. Results may be cumulative [*VCUM]. See the *VOPER command for details.

This command is valid in any processor.

Menu Paths

Utility Menu>Parameters>Array Operations>Vector-Scalar Func

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*VREAD 		Up / Home Next
*VSTAT


*VSTAT

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*VSTAT

Lists the current specifications for the array parameters.

APDL: Array Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Notes

Lists the current specifications for the *VABS, *VCOL, *VCUM, *VFACT, *VLEN, and *VMASK commands.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*VSCFUN 		Up / Home Next
*VWRITE


*VWRITE

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

*VWRITE, Par1, Par2, Par3, Par4, Par5, Par6, Par7, Par8, Par9, Par10, Par11, Par12, Par13, Par14, Par15, Par16, Par17, Par18, Par19

Writes data to a file in a formatted sequence.

APDL: Array Parameters

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

Par1, Par2, Par3, . . . , Par19

You can write up to 19 parameters (or constants) at a time. Any Par values after a blank Par value are ignored. If you leave them all blank, one line will be written (to write a title or a blank line). If you input the keyword SEQU, a sequence of numbers (starting from 1) will be written for that item.

Notes

You use *VWRITE to write data to a file in a formatted sequence. Data items (Par1, Par2, etc.) may be array parameters, scalar parameters, character parameters (scalar or array), or constants. You must evaluate expressions and functions in the data item fields before using the *VWRITE command, since initially they will be evaluated to a constant and remain constant throughout the operation. Unless a file is defined with the *CFOPEN command, data is written to the standard output file. Data written to the standard output file may be diverted to a different file by first switching the current output file with the /OUTPUT command. You can also use the *MWRITE command to write data to a specified file. Both commands contain format descriptors on the line immediately following the command. The format descriptors can be in either Fortran or C format.

You must enclose Fortran format descriptors in parentheses. They must immediately follow the *VWRITE command on a separate line of the same input file. Do not include the word FORMAT. The format must specify the number of fields to be written per line, the field width, the placement of the decimal point, etc. You should use one field descriptor for each data item written. The write operation uses your system's available FORTRAN FORMAT conventions (see your system FORTRAN manual). You can use any standard FORTRAN real format (such as (4F6.0), (E10.3,2X,D8.2), etc.) and alphanumeric format (A). Alphanumeric strings are limited to a maximum of 8 characters for any field (A8) using the Fortran format. Use the “C” format for string arrays larger than 8 characters. Integer (I) and list-directed (*) descriptors may not be used. You can include text in the format as a quoted string. The parentheses must be included in the format and the format must not exceed 80 characters (including parentheses). The output line length is limited to 128 characters.

The “C” format descriptors are used if the first line of the format descriptor is not a left parenthesis. “C” format descriptors are up to 80 characters long, consisting of text strings and predefined "data descriptors" between the strings where numeric or alphanumeric character data will be inserted. The normal descriptors are %I for integer data, %G for double precision data, %C for alphanumeric character data, and %/ for a line break. Each descriptor must be preceded by a blank. There must be one data descriptor for each specified value (8 maximum) in the order of the specified values. The enhanced formats described in *MSG may also be used.

For array parameter items, you must define the starting array element number. Looping continues (incrementing the vector index number of each array parameter by one) each time you output a line, until the maximum array vector element is written. For example, *VWRITE,A(1) followed by (F6.0) will write one value per output line, i.e., A(1), A(2), A(3), A(4), etc. You write constants and scalar parameters with the same values for each loop. You can also control the number of loops and loop skipping with the *VLEN and *VMASK commands. The vector specifications *VABS, *VFACT, and *VCUM do not apply to this command. If looping continues beyond the supplied data array's length, zeros will be output for numeric array parameters and blanks for character array parameters. For multi-dimensioned array parameters, only the first (row) subscript is incremented. See the *VOPER command for details. If you are in the GUI, the *VWRITE command must be contained in an externally prepared file and read into ANSYS (i.e., *USE, /INPUT, etc.).

This command is valid in any processor.

Menu Paths

Utility Menu>Parameters>Array Parameters>Write to File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*VSTAT 		Up / Home Next
/WAIT


/WAIT

Release 11.0 Documentation for ANSYS

ANSYS Parametric Design Language Guide | APDL Commands Reference |

/WAIT, DTIME

Causes a delay before the reading of the next command.

APDL: Process Controls

MP ME ST PR PRN <> <> FL EM <> <> PP <>

Argument Descriptions

DTIME

Time delay (in seconds). Maximum time delay is 59 seconds.

Notes

The command following the /WAIT will not be processed until the specified wait time increment has elapsed. Useful when reading from a prepared input file to cause a pause, for example, after a display command so that the display can be reviewed for a period of time. Another "wait" feature is available via the *ASK command.

This command is valid in any processor.

Menu Paths

This command cannot be accessed from a menu.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
*VWRITE 		Up / Home Next
Appendix A. APDL Gateway Commands


Appendix A. APDL Gateway Commands

When you need to determine the applicability of a command or a group of commands to a specific product, the following *GET functions will return a TRUE or a FALSE (a 1 or a 0) value to indicate if the command in question is valid for your ANSYS product.

        Additional *get commands for a new entity=PRODUCT

Entity=PRODUCT,ENTNUM=0 (or blank)
Item1    It1num      Item2    It2num  Description
pname                                 -P option from Ansys command line
name                 start    1-n     Ansys product name.  A character string
                                      of 8 characters is returned starting at
                                      position It2num. Use *dim and *do to get
                                      all 32 characters.
Entity=PRODUCT,ENTNUM=0 (or blank)
Item1    It1num      Description (return values:  1=allowed,  0=not allowed)
/aux12               Check for Ansys gateway command/feature /AUX12
/config              Check for Ansys gateway command/feature /CONFIG
/ucmd                Check for Ansys gateway command/feature /UCMD
addam                Check for Ansys gateway command/feature ADDAM
alphad               Check for Ansys gateway command/feature ALPHAD
antype               Check for Ansys gateway command/feature ANTYPE
antype   static      Check for Ansys gateway command/feature ANTYPE,STATIC
antype   buckle      Check for Ansys gateway command/feature ANTYPE,BUCKLE
antype   modal       Check for Ansys gateway command/feature ANTYPE,MODAL
antype   harmic      Check for Ansys gateway command/feature ANTYPE,HARMIC
antype   trans       Check for Ansys gateway command/feature ANTYPE,TRANS
antype   substr      Check for Ansys gateway command/feature ANTYPE,SUBSTR
antype   spectr      Check for Ansys gateway command/feature ANTYPE,SPECTR
arclen               Check for Ansys gateway command/feature ARCLEN
betad                Check for Ansys gateway command/feature BETAD
blc4                 Check for Ansys gateway command/feature BLC4
blc5                 Check for Ansys gateway command/feature BLC5
block                Check for Ansys gateway command/feature BLOCK
cdread               Check for Ansys gateway command/feature CDREAD
con4                 Check for Ansys gateway command/feature CON4
cone                 Check for Ansys gateway command/feature CONE
cqc                  Check for Ansys gateway command/feature CQC
cyl4                 Check for Ansys gateway command/feature CYL4
cyl5                 Check for Ansys gateway command/feature CYL5
cylind               Check for Ansys gateway command/feature CYLIND

Entity=PRODUCT,ENTNUM=0 (or blank)
Item1    It1num      Description (return values:  1=allowed,  0=not allowed)
damorph              Check for Ansys gateway command/feature DAMORPH
demorph              Check for Ansys gateway command/feature DEMORPH
dsum                 Check for Ansys gateway command/feature DSUM
dvmorph              Check for Ansys gateway command/feature DVMORPH
edadapt              Check for Ansys gateway command/feature EDADAPT
edbvis               Check for Ansys gateway commands/feature EDBVIS
eddc                 Check for Ansys gateway commands/feature EDDC
edcgen               Check for Ansys gateway commands/feature EDCGEN
edclist              Check for Ansys gateway commands/feature EDCLIST
edcontact            Check for Ansys gateway commands/feature EDCONTACT
edcpu                Check for Ansys gateway commands/feature EDCPU
edcrb                Check for Ansys gateway commands/feature EDCRB
edcsc                Check for Ansys gateway commands/feature EDCSC
edcts                Check for Ansys gateway commands/feature EDCTS
edcurve              Check for Ansys gateway commands/feature EDCURVE
eddamp               Check for Ansys gateway commands/feature EDDAMP
edenergy             Check for Ansys gateway commands/feature EDENERGY
edfplot              Check for Ansys gateway commands/feature EDFPLOT
edhgls               Check for Ansys gateway commands/feature EDHGLS
edhtime              Check for Ansys gateway commands/feature EDHTIME
edhist               Check for Ansys gateway commands/feature EDHIST
edint                Check for Ansys gateway commands/feature EDINT
edvel                Check for Ansys gateway commands/feature EDVEL
edlcs                Check for Ansys gateway commands/feature EDLCS
edldplot             Check for Ansys gateway commands/feature EDLDPLOT

Entity=PRODUCT,ENTNUM=0 (or blank)
Item1    It1num      Description (return values:  1=allowed,  0=not allowed)
edload               Check for Ansys gateway commands/feature EDLOAD
edmp                 Check for Ansys gateway commands/feature EDMP
ednb                 Check for Ansys gateway commands/feature EDNB
edndtsd              Check for Ansys gateway commands/feature EDNDTSD
edout                Check for Ansys gateway commands/feature EDOUT
edpart               Check for Ansys gateway commands/feature EDPART
edread               Check for Ansys gateway commands/feature EDREAD
eddrelax             Check for Ansys gateway commands/feature EDDRELAX
edrst                Check for Ansys gateway commands/feature EDRST
edshell              Check for Ansys gateway commands/feature EDSHELL
edsolve              Check for Ansys gateway commands/feature EDSOLVE
edstart              Check for Ansys gateway commands/feature EDSTART
edweld               Check for Ansys gateway commands/feature EDWELD
edwrite              Check for Ansys gateway commands/feature EDWRITE
ekill                Check for Ansys gateway commands/feature EKILL
emis                 Check for Ansys gateway commands/feature EMIS
et                   Check for Ansys gateway commands/feature ET

Entity=PRODUCT,ENTNUM=0 (or blank)
Item1    It1num      Description (return values:  1=allowed,  0=not allowed)
etchg                Check for Ansys gateway commands/feature ETCHG
fldata               Check for Ansys gateway commands/feature FLDATA
flotest              Check for Ansys gateway commands/feature FLOTEST
flread               Check for Ansys gateway commands/feature FLREAD
fvmesh               Check for Ansys gateway commands/feature FVMESH
grp                  Check for Ansys gateway commands/feature GRP
hropt                Check for Ansys gateway commands/feature HROPT
hropt    full        Check for Ansys gateway commands/feature HROPT,FULL
hropt    reduc       Check for Ansys gateway commands/feature HROPT,REDUC
hropt    msup        Check for Ansys gateway commands/feature HROPT,MSUP
igesin               Check for Ansys gateway commands/feature IGESIN
igesout              Check for Ansys gateway commands/feature IGESOUT
modopt               Check for Ansys gateway commands/feature MODOPT
modopt   reduc       Check for Ansys gateway commands/feature MODOPT,REDUC
modopt   subsp       Check for Ansys gateway commands/feature MODOPT,SUBSP
modopt   unsym       Check for Ansys gateway commands/feature MODOPT,UNSYM
modopt   damp        Check for Ansys gateway commands/feature MODOPT,DAMP
modopt   lanb        Check for Ansys gateway commands/feature MODOPT,LANB
modopt   qrdamp      Check for Ansys gateway commands/feature MODOPT,QRDAMP
mooney               Check for Ansys gateway commands/feature MOONEY
mp                   Check for Ansys gateway commands/feature MP
mp       ex          Check for Ansys gateway commands/feature MP,EX
mp       alpx        Check for Ansys gateway commands/feature MP,ALPX
mp       reft        Check for Ansys gateway commands/feature MP,REFT
mp       prxy        Check for Ansys gateway commands/feature MP,PRXY

Entity=PRODUCT,ENTNUM=0 (or blank)
Item1    It1num      Description (return values:  1=allowed,  0=not allowed)
mp       nuxy        Check for Ansys gateway commands/feature MP,NUXY
mp       gxy         Check for Ansys gateway commands/feature MP,GXY
mp       damp        Check for Ansys gateway commands/feature MP,DAMP
mp       mu          Check for Ansys gateway commands/feature MP,MU
mp       dens        Check for Ansys gateway commands/feature MP,DENS
mp       c           Check for Ansys gateway commands/feature MP,C
mp       enth        Check for Ansys gateway commands/feature MP,ENTH
mp       kxx         Check for Ansys gateway commands/feature MP,KXX
mp       hf          Check for Ansys gateway commands/feature MP,HF
mp       emis        Check for Ansys gateway commands/feature MP,EMIS
mp       qrate       Check for Ansys gateway commands/feature MP,QRATE
mp       visc        Check for Ansys gateway commands/feature MP,VISC
mp       sonc        Check for Ansys gateway commands/feature MP,SONC
mp       rsvx        Check for Ansys gateway commands/feature MP,RSVX
mp       perx        Check for Ansys gateway commands/feature MP,PERX
mp       murx        Check for Ansys gateway commands/feature MP,MURX
mp       mgxx        Check for Ansys gateway commands/feature MP,MGXX
mp       hgls        Check for Ansys gateway commands/feature MP,HGLS
mp       rigid       Check for Ansys gateway commands/feature MP,RIGID
mp       cable       Check for Ansys gateway commands/feature MP,CABLE
mp       ortho       Check for Ansys gateway commands/feature MP,ORTHO
mp       lsst        Check for Ansys gateway commands/feature MP,LSST
mpdata               Check for Ansys gateway commands/feature MPDATA
mpdata   ex          Check for Ansys gateway commands/feature MPDATA,EX
mpdata   alpx        Check for Ansys gateway commands/feature MPDATA,ALPX

Entity=PRODUCT,ENTNUM=0 (or blank)
Item1    It1num      Description (return values:  1=allowed,  0=not allowed)
mpdata   reft        Check for Ansys gateway commands/feature MPDATA,REFT
mpdata   prxy        Check for Ansys gateway commands/feature MPDATA,PRXY
mpdata   nuxy        Check for Ansys gateway commands/feature MPDATA,NUXY
mpdata   gxy         Check for Ansys gateway commands/feature MPDATA,GXY
mpdata   damp        Check for Ansys gateway commands/feature MPDATA,DAMP
mpdata   mu          Check for Ansys gateway commands/feature MPDATA,MU
mpdata   dens        Check for Ansys gateway commands/feature MPDATA,DENS
mpdata   c           Check for Ansys gateway commands/feature MPDATA,C
mpdata   enth        Check for Ansys gateway commands/feature MPDATA,ENTH
mpdata   kxx         Check for Ansys gateway commands/feature MPDATA,KXX
mpdata   hf          Check for Ansys gateway commands/feature MPDATA,HF
mpdata   emis        Check for Ansys gateway commands/feature MPDATA,EMIS
mpdata   qrate       Check for Ansys gateway commands/feature MPDATA,QRATE
mpdata   visc        Check for Ansys gateway commands/feature MPDATA,VISC
mpdata   sonc        Check for Ansys gateway commands/feature MPDATA,SONC
mpdata   rsvx        Check for Ansys gateway commands/feature MPDATA,RSVX
mpdata   perx        Check for Ansys gateway commands/feature MPDATA,PERX
mpdata   murx        Check for Ansys gateway commands/feature MPDATA,MURX
mpdata   mgxx        Check for Ansys gateway commands/feature MPDATA,MGXX
mpdata   lsst        Check for Ansys gateway commands/feature MPDATA,LSST
mscap                Check for Ansys gateway commands/feature MSCAP
msdata               Check for Ansys gateway commands/feature MSDATA
msmeth               Check for Ansys gateway commands/feature MSMETH
msnomf               Check for Ansys gateway commands/feature MSNOMF
msprop               Check for Ansys gateway commands/feature MSPROP

Entity=PRODUCT,ENTNUM=0 (or blank)
Item1    It1num      Description (return values:  1=allowed,  0=not allowed)
msquad               Check for Ansys gateway commands/feature MSQUAD
msrelax              Check for Ansys gateway commands/feature MSRELAX
mssolu               Check for Ansys gateway commands/feature MSSOLU
msspec               Check for Ansys gateway commands/feature MSSPEC
msvary               Check for Ansys gateway commands/feature MSVARY
nlgeom               Check for Ansys gateway commands/feature NLGEOM
nrlsum               Check for Ansys gateway commands/feature NRLSUM
optyp                Check for Ansys gateway commands/feature OPTYP
optyp    subp        Check for Ansys gateway commands/feature OPTYP,SUBP
optyp    first       Check for Ansys gateway commands/feature OPTYP,FIRST
optyp    rand        Check for Ansys gateway commands/feature OPTYP,RAND
optyp    run         Check for Ansys gateway commands/feature OPTYP,RUN
optyp    fact        Check for Ansys gateway commands/feature OPTYP,FACT
optyp    grad        Check for Ansys gateway commands/feature OPTYP,GRAD
optyp    sweep       Check for Ansys gateway commands/feature OPTYP,SWEEP
optyp    user        Check for Ansys gateway commands/feature OPTYP,USER
opuser               Check for Ansys gateway commands/feature OPUSER
pri2                 Check for Ansys gateway commands/feature PRI2
prism                Check for Ansys gateway commands/feature PRISM
psdcom               Check for Ansys gateway commands/feature PSDCOM
psdfrq               Check for Ansys gateway commands/feature PSDFRQ
psolve               Check for Ansys gateway commands/feature PSOLVE
rate                 Check for Ansys gateway commands/feature RATE
resume               Check for Ansys gateway commands/feature RESUME
rpr4                 Check for Ansys gateway commands/feature RPR4

Entity=PRODUCT,ENTNUM=0 (or blank)
Item1    It1num      Description (return values:  1=allowed,  0=not allowed)
rprism               Check for Ansys gateway commands/feature RPRISM
save                 Check for Ansys gateway commands/feature SAVE
se                   Check for Ansys gateway commands/feature SE
sesymm               Check for Ansys gateway commands/feature SESYMN
setran               Check for Ansys gateway commands/feature SETRAN
solve                Check for Ansys gateway commands/feature SOLVE
sph4                 Check for Ansys gateway commands/feature SPH4
sph5                 Check for Ansys gateway commands/feature SPH5
sphere               Check for Ansys gateway commands/feature SPHERE
spop                 Check for Ansys gateway commands/feature SPOP
spop     sprs        Check for Ansys gateway commands/feature SPOP,SPRS
spop     mprs        Check for Ansys gateway commands/feature SPOP,MPRS
spop     ddam        Check for Ansys gateway commands/feature SPOP,DDAM
spop     psd         Check for Ansys gateway commands/feature SPOP,PSD
srss                 Check for Ansys gateway commands/feature SRSS
tb                   Check for Ansys gateway commands/feature TB
tb       bkin        Check for Ansys gateway commands/feature TB,BKIN
tb       mkin        Check for Ansys gateway commands/feature TB,MKIN
tb       miso        Check for Ansys gateway commands/feature TB,MISO
tb       biso        Check for Ansys gateway commands/feature TB,BISO
tb       aniso       Check for Ansys gateway commands/feature TB,ANISO
tb       dp          Check for Ansys gateway commands/feature TB,DP
tb       anand       Check for Ansys gateway commands/feature TB,ANAND
tb       melas       Check for Ansys gateway commands/feature TB,MELAS
tb       user        Check for Ansys gateway commands/feature TB,USER

Entity=PRODUCT,ENTNUM=0 (or blank)
Item1    It1num      Description (return values:  1=allowed,  0=not allowed)
tb       creep       Check for Ansys gateway commands/feature TB,CREEP
tb       swell       Check for Ansys gateway commands/feature TB,SWELL
tb       bh          Check for Ansys gateway commands/feature TB,BH
tb       piez        Check for Ansys gateway commands/feature TB,PIEZ
tb       fail        Check for Ansys gateway commands/feature TB,FAIL
tb       mooney      Check for Ansys gateway commands/feature TB,MOONEY
tb       water       Check for Ansys gateway commands/feature TB,WATER
tb       anel        Check for Ansys gateway commands/feature TB,ANEL
tb       concr       Check for Ansys gateway commands/feature TB,CONCR
tb       pflow       Check for Ansys gateway commands/feature TB,PFLOW
tb       evisc       Check for Ansys gateway commands/feature TB,EVISC
tb       plaw        Check for Ansys gateway commands/feature TB,PLAW
tb       foam        Check for Ansys gateway commands/feature TB,FOAM
tb       honey       Check for Ansys gateway commands/feature TB,HONEY
tb       comp        Check for Ansys gateway commands/feature TB,COMP
tb       nl          Check for Ansys gateway commands/feature TB,NL
tb       nliso       Check for Ansys gateway commands/feature TB,NLISO
tb       chab        Check for Ansys gateway commands/feature TB,CHAB
tb       boyce       Check for Ansys gateway commands/feature TB,BOYCE
tb       eos         Check for Ansys gateway commands/feature TB,EOS
torus                Check for Ansys gateway commands/feature TORUS
trnopt               Check for Ansys gateway commands/feature TRNOPT
trnopt   full        Check for Ansys gateway commands/feature TRNOPT,FULL
trnopt   reduc       Check for Ansys gateway commands/feature TRNOPT,REDUC
trnopt   msup        Check for Ansys gateway commands/feature TRNOPT,MSUP

Entity=PRODUCT,ENTNUM=0 (or blank)
Item1    It1num      Description (return values:  1=allowed,  0=not allowed)
usrcal               Check for Ansys gateway commands/feature USRCAL
v                    Check for Ansys gateway commands/feature V
va                   Check for Ansys gateway commands/feature VA
vadd                 Check for Ansys gateway commands/feature VADD
vcvfill              Check for Ansys gateway commands/feature VCVFILL
vdrag                Check for Ansys gateway commands/feature VDRAG
vext                 Check for Ansys gateway commands/feature VEXT
vgen                 Check for Ansys gateway commands/feature VGEN
vglue                Check for Ansys gateway commands/feature VGLUE
vinp                 Check for Ansys gateway commands/feature VINP
vinv                 Check for Ansys gateway commands/feature VINV
vlscale              Check for Ansys gateway commands/feature VLSCALE
vmesh                Check for Ansys gateway commands/feature VMESH
voffset              Check for Ansys gateway commands/feature VOFFSET
vovlap               Check for Ansys gateway commands/feature VOVLAP
vptn                 Check for Ansys gateway commands/feature VPTN
vrotat               Check for Ansys gateway commands/feature VROTAT
vsba                 Check for Ansys gateway commands/feature VSBA
vsbv                 Check for Ansys gateway commands/feature VSBV
vsbw                 Check for Ansys gateway commands/feature VSBW
vsymm                Check for Ansys gateway commands/feature VSYMM
vtran                Check for Ansys gateway commands/feature VTRAN

Entity=PRODUCT,ENTNUM=0 (or blank)
Item1    It1num      Description (return values:  1=allowed,  0=not allowed)
elem     i           Check to see if Ansys element type "i" is allowed.

Entity=PRODUCT,ENTNUM=0 (or blank)
Item1    It1num      Description (return values:  1=allowed,  0=not allowed)
limit		node			Get maximum allowed node number
limit		elem			Get maximum allowed element number
limit		kp			   Get maximum allowed keypoint number
limit		line			Get maximum allowed line number
limit		area			Get maximum allowed area number
limit		vol			Get maximum allowed volume number
limit		dof			Get maximum allowed dof number
limit		mdof			Get maximum allowed master dof number

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
/WAIT 		Up / Home Next
Appendix B. GET Function Summary


Appendix B. GET Function Summary

A "get function" is available for some items, and can be used instead of the *GET command. The function returns the value and uses it where the function is input (bypassing the need for storing the value with a parameter name and inputting the parameter name where the value is to be used). For example, assume the average X-location of two nodes is to be calculated. Using the *GET command, parameter L1 can be assigned the X location of node 1 (*GET, L1, NODE, 1, LOC, X), and parameter L2 can be assigned the X location of node 2, then the mid location can be computed from MID = (L1+L2)/2. However, using the node location "get function" NX(N), which returns the X location of node N, MID can be computed directly from MID = (NX(1)+NX(2))/2, without the need for intermediate parameters L1 and L2. Get functions return values in the active coordinate system unless stated otherwise.

Get function arguments may themselves be parameters or other get functions. The get function NELEM(ENUM,NPOS) returns the node number in position NPOS for element ENUM. Combining functions, NX(NELEM(ENUM,NPOS)) returns the X location of that node. Get functions (where available) are shown with the corresponding *GET items in the tables below and are summarized at the end of this command description

Get functions are described at the beginning of this command (see "Notes") and are shown as alternatives to the *GET items where they apply. They are summarized here (grouped by functionality) for convenience.

Table B.1 *GET - Get Function Summary

"Get Function" Summary
Entity Status Get Function | Description
NSEL(N) | Status of node N: -1=unselected, 0=undefined, 1=selected.
ESEL(E) | Status of element E: -1=unselected, 0=undefined, 1=selected.
KSEL(K) | Status of keypoint K: -1=unselected, 0=undefined, 1=selected.
LSEL(L) | Status of line L: -1=unselected, 0=undefined, 1=selected.
ASEL(A) | Status of area A: -1=unselected, 0=undefined, 1=selected.
VSEL(V) | Status of volume V: -1=unselected, 0=undefined, 1=selected.
Next Selected Entity
NDNEXT(N) | Next selected node having a node number greater than N.
ELNEXT(E) | Next selected element having an element number greater than E.
KPNEXT(K) | Next selected keypoint having a keypoint number greater than K.
LSNEXT(L) | Next selected line having a line number greater than L.
ARNEXT(A) | Next selected area having an area number greater than A.
VLNEXT(V) | Next selected volume having a volume number greater than V.
Locations
CENTRX(E) | Centroid X-coordinate of element E in global Cartesian coordinate system. Centroid is determined from the selected nodes on the element.
CENTRY(E) | Centroid Y-coordinate of element E in global Cartesian coordinate system. Centroid is determined from the selected nodes on the element.
CENTRZ(E) | Centroid Z-coordinate of element E in global Cartesian coordinate system. Centroid is determined from the selected nodes on the element.
NX(N) | X-coordinate of node N in the active coordinate system.
NY(N) | Y-coordinate of node N in the active coordinate system.
NZ(N) | Z-coordinate of node N in the active coordinate system.
KX(K) | X-coordinate of keypoint K in the active coordinate system
KY(K) | Y-coordinate of keypoint K in the active coordinate system
KZ(K) | Z-coordinate of keypoint K in the active coordinate system
LX(L,LFRAC) | X-coordinate of line L at length fraction LFRAC (0.0 to 1.0).
LY(L,LFRAC) | Y-coordinate of line L at length fraction LFRAC (0.0 to 1.0).
LZ(L,LFRAC) | Z-coordinate of line L at length fraction LFRAC (0.0 to 1.0).
LSX(L,LFRAC) | X slope of line L at length fraction LFRAC (0.0 to 1.0).
LSY(L,LFRAC) | Y slope of line L at length fraction LFRAC (0.0 to 1.0).
LSZ(L,LFRAC) | Z slope of line L at length fraction LFRAC (0.0 to 1.0).
Nearest to Location
NODE(X,Y,Z) | Number of the selected node nearest the X,Y,Z point (in the active coordinate system, lowest number for coincident nodes).
KP(X,Y,Z) | Number of the selected keypoint nearest the X,Y,Z point (in the active coordinate system, lowest number for coincident nodes).
Distances
DISTND(N1,N2) | Distance between nodes N1 and N2.
DISTKP(K1,K2) | Distance between keypoints K1 and K2.
DISTEN(E,N) | Distance between the centroid of element E and node N. Centroid is determined from the selected nodes on the element.
Angles (in radians by default -- see the *AFUN command)
ANGLEN(N1,N2,N3) | Subtended angle between two lines (defined by three nodes where N1 is the vertex node). Default is in radians.
ANGLEK(K1,K2,K3) | Subtended angle between two lines (defined by three keypoints where K1 is the vertex keypoint). Default is in radians.
Nearest to Entity
NNEAR(N) | Selected node nearest node N.
KNEAR(K) | Selected keypoint nearest keypoint K.
ENEARN(N) | Selected element nearest node N. The element position is calculated from the selected nodes.
Areas
AREAND(N1,N2,N3) | Area of the triangle with vertices at nodes N1, N2, and N3.
AREAKP(K1,K2,K3) | Area of the triangle with vertices at keypoints K1, K2, and K3.
ARNODE(N) | Area at node N apportioned from selected elements attached to node N. For 2-D planar solids, returns edge area associated with the node. For axisymmetric solids, returns edge surface area associated with the node. For 3-D volumetric solids, returns face area associated with the node. For 3–D, select all the nodes of the surface of interest before using ARNODE.
Normals
NORMNX(N1,N2,N3) | X-direction cosine of the normal to the plane containing nodes N1, N2, and N3.
NORMNY(N1,N2,N3) | Y-direction cosine of the normal to the plane containing nodes N1, N2, and N3.
NORMNZ(N1,N2,N3) | Z-direction cosine of the normal to the plane containing nodes N1, N2, and N3.
NORMKX(K1,K2,K3) | X-direction cosine of the normal to the plane containing keypoints K1, K2, and K3.
NORMKY(K1,K2,K3) | Y-direction cosine of the normal to the plane containing keypoints K1, K2, and K3.
NORMKZ(K1,K2,K3) | Z-direction cosine of the normal to the plane containing keypoints K1, K2, and K3.
Connectivity
ENEXTN(N,LOC) | Element connected to node N. LOC is the position in the resulting list when many elements share the node. A zero is returned at the end of the list.
NELEM(E,NPOS) | Node number in position NPOS (1--20) of element E.
NODEDOF(N) Returns the bit pattern for the active DOFs at the specified node.
bit 0 is UX, bit 1 is UY,... bit 5 is ROTZ
bits 6,7,8 are AX,AY,AZ
bits 9,10,11 are VX,VY,VZ
bit 18 is PRES, bit 19 is TEMP, bit 20 is VOLT, bit 21 is MAG
bit 24 is EMF, bit 25 is CURR
For a node with UX,UY,UZ the return value will be 7 (bits 0,1,2)
For a node with UX,UY,UZ,ROTX,ROTY,ROTZ the return value will be 63 (bits 0,1,2,3,4,5)
Faces
ELADJ(E,FACE) | For 2-D planar solids and 3-D volumetric solids, element adjacent to a face (FACE) of element E. The face number is the same as the surface load key number. Only elements of the same dimensionality and shape are considered. A -1 is returned if more than one is adjacent.
NDFACE(E,FACE,LOC) | Node in position LOC of a face number FACE of element E. The face number is the same as the surface load key number. LOC is the nodal position on the face (for an IJLK face, LOC=1 is at node I, 2 is at node J, etc.)
NMFACE(E) | Face number of element E containing the selected nodes. The face number output is the surface load key. If multiple load keys occur on a face (such as for line and area elements) the lowest load key for that face is output.
ARFACE(E) | For 2-D planar solids and 3-D volumetric solids, returns the area of the face of element E containing the selected nodes. For axisymmetric elements, the area is the full (360 degree) area.
Degree of Freedom Results
UX(N) | UX structural displacement at node N.
UY(N) | UY structural displacement at node N.
UZ(N) | UZ structural displacement at node N.
ROTX(N) | ROTX structural rotation at node N.
ROTY(N) | ROTY structural rotation at node N.
ROTZ(N) | ROTZ structural rotation at node N.
TEMP(N) | Temperature at node N. For SHELL131 and SHELL132 elements with KEYOPT(3) = 0 or 1, use TBOT(N), TE2(N), TE3(N), . . ., TTOP(N) instead of TEMP(N).
PRES(N) | Pressure at node N.
VX(N) | VX fluid velocity at node N.
VY(N) | VY fluid velocity at node N.
VZ(N) | VZ fluid velocity at node N.
ENKE(N) | Turbulent kinetic energy (FLOTRAN) at node N.
ENDS(N) | Turbulent energy dissipation (FLOTRAN) at node N.
VOLT(N) | Electric potential at node N.
MAG(N) | Magnetic scalar potential at node N.
AX(N) | AX magnetic vector potential at node N.
AY(N) | AY magnetic vector potential at node N.
AZ(N) | AZ magnetic vector potential at node N.
Returns information about the data base manager
VIRTINQR(1) | Number of pages in core.
VIRTINQR(4) | Page size in integer words.
VIRTINQR(7) | Maximum number of pages allowed on disk.
VIRTINQR(8) | Number of read/write operations on page.
VIRTINQR(9) | Maximum record number on page.
VIRTINQR(11) | Maximum pages touched.
Returns the current value of ANSYS filtering keywords.
KWGET(KEYWORD) | Returns the current value the keyword specified by KEYWORD. See the ANSYS UIDL Programmer's Guide for a list of keywords and values.
Character String Functions Strings must be dimensioned (see *DIM) as a character parameter or enclosed in single apostrophes ('char').
Functions which return a double precision value of a numeric character string.
VALCHR(a8) | a8 is a decimal value expressed in a string.
VALOCT (a8) | a8 is an octal value expressed in a string.
VALHEX(a8) | a8 is a hex value expressed in a string.
Functions which return an 8 character string of a numeric value.
CHRVAL (dp) | dp is a double precision variable.
CHROCT (dp) | dp is an integer value.
CHRHEX(dp) | dp is an integer value.
Functions which manipulate strings: StrOut is the output string (or character parameter) Str1 and Str2 are input strings. Strings are a maximum of 128 characters. (see *DIM)
StrOut = STRSUB(Str1, nLoc,nChar) | Get the nChar substring starting at character nLoc in Str1.
StrOut = STRCAT(Str1,Str2) | Add Str2 at the end of Str1.
StrOut = STRFILL(Str1,Str2,nLoc) | Add Str2 to Str1 starting at character nLoc.
StrOut = STRCOMP(Str1) | Remove all blanks from Str1
StrOut = STRLEFT(Str1) | Left-justify Str1
nLoc = STRPOS(Str1,Str2) | Get starting location of Str2 in Str1.
nLoc = STRLENG(Str1) | Location of last nonblank character
StrOut = UPCASE(Str1) | Upper case of Str1
StrOut = LWCASE(Str1) | Lower case of Str1
The following functions manipulate file names.
Path String = JOIN ('directory','filename','extension') | Produces a contiguous pathstring. e.g. directory/filename.ext
Path String = JOIN ('directory','filename') | Produces a contiguous pathstring. e.g. directory/filename
SPLIT('PathString', 'DIR') | Produces a separate output of the directory from the pathstring.
SPLIT('PathString', 'FILE') | Produces a separate output of the complete filename (with extension) from the pathstring.
SPLIT('PathString', 'NAME') | Produces a separate output of the filename from the pathstring.
SPLIT('PathString', 'EXT') | Produces a separate output of the file extension from the pathstring.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Appendix A. APDL Gateway Commands 		Up / Home Next
Troubleshooting Guide


Troubleshooting Guide

Release 11.0 Documentation for ANSYS

Table of Contents

1. Introduction
2. ANSYS Error Messages

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Appendix B. GET Function Summary 		Up / Home Next
Chapter 1. Introduction


Chapter 1. Introduction

The Purpose of This Manual

The Troubleshooting Guide is a compilation of common error messages and resolution recommendations. You can use this guide when you receive an error message that either stops your analysis, or does not provide a logical follow up to the events that preceeded the message. The explanations and responses provided in this guide supplement the available documentation by providing information that is relative to the situation you are in when you see the error message.

Although only a portion of the ANSYS error messages are contained in this guide, using the online documentation's text search capability will often lead you to a message/resolution set that may provide some insight to the nature of your problem. The following section details how to access the resolutions via the ANSYS online documentation.

Accessing the Troubleshooting Information

You can access the troubleshooting information either directly from the help menu or by using the ANSYS Documentation search page.

The following section details the layout of the error messages that are contained in the Troubleshooting Guide.

Routine name and number

This is an internal code designator that uniquely identifies this error message. Although not accessible from within the software, this information can be helpful if you must contact ANSYS.

Error message string

This is the actual message that appears in the error message dialog box. This field will provide search criteria that you enter into the help system's search engine. You can use any portion of the string to generate a search.

Recommendations for resolution of the error message

Where possible, this information attempts to address the series of events or conditions that caused the error message.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Troubleshooting Guide 		Up / Home Next
Chapter 2. ANSYS Error Messages


Chapter 2. ANSYS Error Messages

Error Code: ChapHemi.1010

View Factor calculation stopped. Recompute View Factors for Radiation Problem.

You get this message when an analysis is stopped using the STOP button on the progress bar. The reason for stopping the analysis will determine the corrective action you will need to take. You can use the "Session Editor" to reissue the command that preceded the VIEW FACTOR CALCULATION. This could be VFCALC in /AUX12, or the SOLVE command in SOLU.

Closed_Cor.5010

PSD file has been lost.

You get this message when ANSYS is unable to find the database file jobname.psd. It is possible that the file was deleted, moved, or overwritten with another jobname file. If the PSD file cannot be recovered, the analysis must be restarted.

Closed_Ord.5010

PSD file has been lost.

You get this message when ANSYS is unable to find the database file jobname.psd. It is possible that the file was deleted, moved, or overwritten with another jobname file. If the PSD file cannot be recovered, the analysis must be restarted.

Closed_Ord.5050

No correlation between nodal and base excitations is allowed for table numbers %I:1 and %I:2.

This is a data entry mistake. For this case, it is physically impossible to define a correlation coefficient between the nodal and base excitations. Remove the correlation coefficient.

ConGrd.5010

Conjugate gradient solver did not meet specified convergence criterion within specified number of solver sweeps. Model size may require more sweeps. Check debug file for divergence. %/ %C:1.

In large problems, the default value of 500 sweeps is sometimes not enough. Increasing the number from 500 to 5000 will sometimes help. If this message occurs in the later stages of a solution, restart from a set of results just before the message was encountered, allowing more sweeps. In some cases, the model may be ill configured and unsolvable.

Contrl.5030

No change from initial solution - probable input error.

This message occurs when the initial solution satisfies all of the boundary conditions; no further iterations are required. This can happen when you forget to specify gravity or variable density for a natural convection problem. Verify the formulation of the analysis, make the proper additions and start the analysis over.

GetICV.5000

The following node(s) have their Initial mass fraction out of range. (Use the IC command).

The initial conditions you specified for species transport capability are in error. These values must be between 0 and 1 (inclusive). The sum of all applied species fractions at a node must also be between 0 and 1.

GetICV.5020

The following node(s) have their Initial mass fraction out of range. (Use the IC command).

The initial conditions you specified for species transport capability are in error. These values must be between 0 and 1 (inclusive). The sum of all applied species fractions at a node must also be between 0 and 1.

GmRes.5030

Coefficient matrix has a zero diagonal. Probably caused by conductivity or viscosity going to zero. Could also be caused by a divergent solution. %/ %C:1 %I:2.

If this message is encountered early in the solution, there is a problem with the way the analysis is set up. If it is encountered part way through the solution, the analysis needs to be solved better. Restarting from the set of results just before the divergence and specifying tighter convergence for each iteration (pressure or temperature sub iterations) may allow convergence.

GmRes.5040

Coefficient matrix has a negative diagonal. Probably indicates divergent solution. %/ %C:1 %I:2.

If this message is encountered early in the solution, there is a problem with the way the analysis is set up. If it is encountered part way through the solution, the analysis needs to be solved better. Restarting from the set of results just before the divergence and specifying tighter convergence for each iteration (pressure or temperature sub iterations) may allow convergence.

GmRes.5000

Generalized minimum residual solver did not meet specified convergence criterion within specified number of sweeps. Model size may require more sweeps. Check debug file for divergence. %/ %C:1.

In large problems, the default value of 500 sweeps is sometimes not enough. Increasing the number from 500 to 5000 will sometimes help. If this message occurs in the later stages of a solution, restart from a set of results just before the message was encountered, allowing more sweeps. In some cases, the model may be ill configured and unsolvable.

GmRes.5020

Generalized minimum residual solver did not meet specified convergence criterion within specified number of sweeps. Model size may require more sweeps. Check debug file for divergence. %/ %C:1.

In large problems, the default value of 500 sweeps is sometimes not enough. Increasing the number from 500 to 5000 will sometimes help. If this message occurs in the later stages of a solution, restart from a set of results just before the message was encountered, allowing more sweeps. In some cases, the model may be ill-configured and unsolvable.

InField.5030

A degree of freedom that was found in the .rfl file is not required for this analysis. Will not read .rfl values of %/ %C:1.

This is a data structure construction error message that means extra degrees of freedom (that are unused) were found in the results file, and that they will be ignored. Unused degrees of freedom can be created when you resume an old version of the data base before the species are added.

JacRatioWarn.3005

%C:1 element %I:2 has a zero or inverted Jacobian determinant at one of its corner nodes. Midside nodes, if any, may be poorly positioned.

This message indicates a geometry or element shape problem. An unacceptably shaped element is being stored (or one that is already stored is being tested). If the element was produced automatically (via the mesher or VMESH) generating a finer mesh may eliminate the problem, otherwise, the geometry may require modification, simplification or repair. Avoid curved-sided elements that span more than a 90 degree arc.

JacRatioWarn.3010

%C:1 element %I:2 has a Jacobian ratio of %G:3, which exceeds the warning limit of %G:4. Midside nodes, if any, may be poorly positioned.

This message indicates a geometry or element shape problem. An unacceptably shaped element is being stored (or one that is already stored is being tested). If the element was produced automatically (via the mesher or VMESH) generating a finer mesh may eliminate the problem, otherwise, the geometry may require modification, simplification or repair. Avoid curved-sided elements that span more the a 90 degree arc.

JacRatioWarn.3020

%C:1 element %I:2 has a zero or inverted Jacobian determinant at one of its corner node s. This may be OK if you are simulating a stress singularity using quarter point elements.

This message indicates a geometry or element shape problem. An unacceptably shaped element is being stored (or one that is already stored is being tested). Singular elements generated using KSCON will also initiate this message. If the element was produced automatically (via the mesher or VMESH) generating a finer mesh may eliminate the problem, otherwise, the geometry may require modification, simplification or repair. Avoid curved-sided elements that span more the a 90 degree arc.

JacRatioWarn.3030

%C:1 element %I:2 has a Jacobian ratio of %G:3, which exceeds the error limit of %G:4. This may be OK if you are simulating a stress singularity using quarter point elements.

This message indicates a geometry or element shape problem. An unacceptably shaped element is being stored (or one that is already stored is being tested). Singular elements generated using KSCON will also initiate this message. If the element was produced automatically (via the mesher or VMESH) generating a finer mesh may eliminate the problem, otherwise, the geometry may require modification, simplification or repair. Avoid curved-sided elements that span more the a 90 degree arc.

JacRatioWarn.3040

%C:1 element %I:2 has a Jacobian ratio of %G:3, which exceeds the error limit of %G:4. Midside nodes, if any, may be poorly positioned.

This message indicates a geometry or element shape problem. An unacceptably shaped element is being stored (or one that is already stored is being tested). If the element was produced automatically (via the mesher or VMESH) generating a finer mesh may eliminate the problem, otherwise, the geometry may require modification, simplification or repair. Avoid curved-sided elements that span more the a 90 degree arc.

Memory Error Messages

See ANSYS Memory Error Messages in the Basic Analysis Guide for a complete list of memory error messages.

MidParOffsWarn.3040

%C:1 element %I:2 has a midside node which is off-center by a distance ratio of %G:3. This may be OK if you are simulating a stress singularity using quarter point elements.

This message indicates a geometry or element shape problem. An unacceptably shaped element is being stored (or one that is already stored is being tested). If the element was produced automatically (via the mesher or VMESH) generating a finer mesh may eliminate the problem, otherwise, the geometry may require modification, simplification or repair. Avoid curved-sided elements that span more the a 90 degree arc.

NNewVisLaw.5020

Non-Newtonian viscosity computed to be non-positive.

This message probably means that the coefficients specified for the non-Newtonian viscosity variations are wrong, since the value has come out to be zero or less, which is meaningless. If it happens right away, it indicates an input error. If it happens further on into the solution, it probably indicates divergence.

NNewVisLaw.5040

Non-Newtonian viscosity computed to be unreasonable, please check coefficients.

This message probably means that the coefficients specified for the non-Newtonian viscosity variations are wrong, since the value has come out to be zero or less, which is meaningless. If it happens right away, it indicates an input error. If it happens further on into the solution, it probably indicates divergence.

PropCond.5000

Negative or zero temperature detected. This may be caused by a diverging solution or by an incorrect temperature or property value. A temperature offset may also be required. (TOFFST) %/ %C:1 %I:2.

Your temperature has dipped below zero. If this message is encountered early on in the analysis, it is probably due to some sort of bad input (lack of a TOFFST, too low a reference temperature). Later on in the analysis, it could indicate divergence. There are a number of ways to avoid this condition: 1) turn on capping for temperature or pressure until the values stabilize, 2) use a transient algorithm, 3) increase your reference temperature/pressure, 4) refine your mesh around the problem area.

PropCond.5010

Negative conductivity calculated. Solution terminated. This could be caused by a property error or divergent solution. %/ %C:1 %I:2.

If your conductivity is temperature dependent and the temperature dips below zero, an invalid conductivity value will be generated. If this message is encountered early on in the analysis, it is probably due to some sort of bad input (lack of a TOFFST, too low a reference temperature). Later on in the analysis, it could indicate divergence. There are a number of ways to avoid this condition: 1) turn on capping for temperature or pressure until the values stabilize, 2) use a transient algorithm, 3) increase your reference temperature/pressure, 4) refine your mesh around the problem area.

PropDens.5030

Negative density calculated. Solution terminated. This could be caused by a property error or a divergent solution. %/ %C:1 %I:2.

When this message occurs early in the solution, it probably means that the properties were specified incorrectly. When it occurs after a few iterations, it probably means divergence (which could also be due to a bad specification). You can switch variable density OFF to allow any swings in the solution to stabilize, and then restart the analysis.

PropSpHt.5000

Negative or zero temperature detected. This may be caused by a diverging solution or by an incorrect temperature or property value. A temperature offset may also be required. (TOFFST) %/ %C:1 %I:2.

Your temperature has dipped below zero. If this message is encountered early on in the analysis, it is probably due to some sort of bad input (lack of a TOFFST, too low a reference temperature). Later on in the analysis, it could indicate divergence. There are a number of ways to avoid this condition: 1) turn on capping for temperature or pressure until the values stabilize, 2) use a transient algorithm, 3) increase your reference temperature/pressure, 4) refine your mesh around the problem area.

PropSpHt.5010

Negative or zero pressure detected during property update. This may be caused by a divergent solution or by an incorrect property value. The reference pressure may need to be increased. %/ %C:1 %I:2.

Your pressure has dipped below zero. This is problematic since later on in the analysis, density will be updated as a negative number for compressible flows. If this message is encountered early on in the analysis, it is probably due to some sort of bad input (lack of a TOFFST, too low a reference temperature). Later on in the analysis, it could indicate divergence. There are a number of ways to avoid this condition: 1) turn on capping for temperature or pressure until the values stabilize, 2) use a transient algorithm, 3) increase your reference temperature/pressure, 4) refine your mesh around the problem area.

PropSpHt.5020

Negative Specific Heat calculated. Solution terminated. This could be caused by a property error or divergent solution. %/ %C:1 %I:2.

This message can occur when you have temperature dependent specific heats -- a negative specific heat can occur when the temperature dips below zero or goes out of range of the specified curve /table of specific heat vs. temp. If this message is encountered early on in the analysis, it is probably due to some sort of bad input (lack of a TOFFST, too low a reference temperature). Later on in the analysis, it could indicate divergence. There are a number of ways to avoid this condition: 1) turn on capping for temperature or pressure until the values stabilize, 2) use a transient algorithm, 3) increase your reference temperature/pressure, 4) refine your mesh around the problem area.

PropVisc.5000

Negative or zero temperature detected. This may be caused by a diverging solution or by an incorrect temperature or property value. A temperature offset may also be required. (TOFFST).

If this message occurs early in the solution, it probably indicates a bad input, such as forgetting to specify TOFFST, or, in a compressible case, a mistake in the input calculations that sets up an impossible flow. If it occurs later on in the solution, it probably indicates divergence.

PropVisc.5010

Negative viscosity calculated. Solution terminated. This could be caused by a property error or divergent solution. %/ %C:1 %I:2.

If this message occurs early on in the solution, if probably indicates an input problem. If it occurs later on in the solution, the analysis is probably divergent.

PrpCals.5010

Negative or zero molecular weight found for species calculations. Solution terminated. %/ %C:1 %I:2.

This message is due to an input error, since the molecular weight is an input quantity. Please check your input data and try the analysis again.

accat3.5000

Data mismatch during ACCAT operation.

Some previous operation stored inconsistent area or line data. Identifying where or how this occurred is difficult. Often, this condition can be corrected by a SAVE/RESUME cycle, or by saving, exiting ANSYS and restarting. You can also perform a CDWRITE/CDREAD cycle. Using the CDWRITE/CDREAD or SAVE/RESUME operations is often more effective and less problematic than deleting and redefining the incorrect entities.

ardel2.5020

A data mismatch occurred during the ADELET operation.

Some previous operation stored inconsistent area or line data. Identifying where or how this occurred is difficult. Often, this condition can be corrected by a SAVE/RESUME cycle, or by saving, exiting ANSYS and restarting. You can also perform a CDWRITE/CDREAD cycle. Using the CDWRITE/CDREAD or SAVE/RESUME operations is often more effective and less problematic than deleting and redefining the incorrect entities.

bacsub.3000

The sparse solvers are not available with 5.2 CE logic. %/ The SOLUTION is abandoned.

This message is produced when /CONFIG,CEONFULL,1 is active and the solution is attempted with the sparse solver (EQSLV,SPARSE). The configuration you have chosen for your analysis is not suitable for this solver, the solution should be performed with the Frontal Solver.

bacsub.3010

The multiphysics JCG/ICCG solvers are not available with 5.2 CE logic. %/ The SOLUTION is abandoned.

This message is produced when /CONFIG,CEONFULL,1 is active and the solution is attempted with the either the JCG, or ICCG solver. The configuration you have chosen for your analysis is not suitable for this solver, the solution should be performed with the Frontal Solver.

bcssl4.3000

There are no active degrees of freedom.

This message indicates that all Degrees of Freedom in the model are constrained, or that no elements have been selected in the current set when the SOLVE command is issued. Although total DOF constraint can be acceptable, you should check the application of forces and constraints and the selection of elements for the solution.

bcssl4.3070

Memory used at the current substep exceeds that of the previous step in the Sparse Matrix Direct Solver linear loop. New factorization done.

This is a Sparse Direct Solver message indicating that the number of nodes or elements has changed between iterative steps in the solution. The message alerts you to this and adjusts the matrix as needed.

bcsswn.3030

Error in numeric factorization. %/ The system matrix, possibly, is numerically singular.

When you are in the Sparse Direct Solver, this message indicates that the model is not constrained. Verify your specifications for the D command.

bhconv.5000

Cannot convert B-H data.

Check the data that you entered for the B-H curve. A B-H curve is represented by nonzero pairs of B and H values. If any one of these values is zero or negative, this error message will be displayed. Check your pairs of B and H data.

brkmsh.5000

Volume %I:1 could not be meshed because of a data storage fault (code = %I:2).

This message can occur for a number of reasons: 1) If you attempt to mesh a hex-shaped volume with bricks and assign element division that do not match any of the prescribed transition patterns (Modeling and Meshing Guide, Chapter 7). 2) The process ran out of memory. 3) VMESH or some earlier operation corrupted the data for this volume. 4) The user aborted meshing with the STOP button. You may need to go back and redefine the mesh according to documented methods, or redo the VMESH operation. Mesh generation problems can also be rectified by performing a SAVE/RESUME or CDWRITE/CDREAD cycle. Using SAVE/RESUME frequently during the analysis will help to prevent or rectify incorrect database write operations.

btcfin.5000

Meshing failure in volume %I:1 because mesher reports a maximum output node number of %I:2, but space is only allocated for %I:3 nodes.

You get this message when ANSYS incorrectly allocates memory for a brick mesh. Try a different combination of element divisions or a different transition pattern. Using SAVE/RESUME will sometimes help to eliminate incorrect entities, and is more effective that deleting and redefining incorrect entities.

btcfin.5010

Meshing failure in volume %I:1 because mesher reports a maximum output element number of %I:2, but space is only allocated for %I:3 elements.

You get this message when ANSYS incorrectly allocates memory for a brick mesh. Try a different combination of element divisions or a different transition pattern. Using SAVE/RESUME will sometimes help to eliminate incorrect entities, and is more effective that deleting and redefining incorrect entities.

btcstr.5015

Brick meshing failure in volume %I:1 because the assigned element divisions do not match a recognized transition pattern.

You need to check the way you have assigned the transition patterns when you try to brick mesh a hex-shaped volume. Chapter 7 of the Modeling and Meshing Guide provides recommended patterns.

btcstr.5020

Meshing failure in volume %I:1 because of confusion about the number of areas on the volume.

VMESH or some earlier operation may have corrupted the data for this volume. A SAVE/RESUME cycle can often rectify this problem; sometimes it may be necessary to SAVE, restart ANSYS and then RESUME.

cad_area.5000

Area External Loop Specification Error. %/ Area can not be stored.

There is a problem with an area that was transferred or imported from an external CAD package or connection product. An error like this cannot be resolved within ANSYS. Go back to your original model and inspect the area of concern for redundancies, open loops or other import degeneracies.

cad_fil_srf.5000

Fillet contains a degenerate point. %/ Area can not be stored.

There is a fillet area or surface representation being imported that is not supported by the external CAD product. Try going back to your CAD package and simplifying or modifying the fillet area.

cad_volu.5000

At least 1 area was unable to be stored. %/ Volume can not be stored.

An area in your model was unable to be stored in the ANSYS database. This is probably due to a twisted surface or an indeterminate projection result. The lines that bound an area are sometimes projected onto an uneven surface (twisted) and can create geometric anomalies. You can try going back into /PREP7 and issuing LSEL, ,EXT. This will select only the lines that do not share 2 areas. You can then try to form acceptable areas from those lines by closing the open areas.

cad_volu.5010

At least 1 area was unable to be stored. %/ Volume can not be stored.

An area in your model was unable to be stored in the ANSYS database. This is probably due to a twisted surface or an indeterminate projection result. The lines that bound an area are sometimes projected onto an uneven surface (twisted) and can create geometric anomalies. You can try going back into /PREP7 and issuing LSEL, ,EXT. This will select only the lines that do not share 2 areas. You can then try to form acceptable areas from those lines by closing the open areas.

ckmgev.5000

Unable to evaluate nonlinear magnetic curve. Element= %I:1 Material= %I:2 Abscissa= %G:3.

The B-H data you entered could not be converted to properly fit a spline curve. Without the spline curve, evaluation of intermediate values of B-H data is not possible. Check the original B-H data and ensure that the data values are steadily increasing, and that the data plots are fairly smooth when displayed in B-H form.

d3msar.5000

Cannot plot area %I:1. %/ Surface tessellation error.

Surface tessellation has failed. Try plotting the wireframe of the geometries by using /FACET,wire. You should also examine the problematic area and make the necessary modifications to the area (simplify the geometry, verify connectivity, etc.)

d3msar.5010

Error in surface tessellation for area %I:1. This area can only be displayed with wire frame, and cannot be part of a V, VA, VSUM or ASUM operation.

Surface tessellation has failed. Try plotting the wireframe of the geometries by using /FACET,wire. You should also examine the problematic area and make the necessary modifications to the area (simplify the geometry, verify connectivity, etc.)

eoelem.5010

Please report this system error from eoelem to your ASD or ANSYS, Inc. Try another element option. Error harmful only on parallel machines. RST element record size from FILLEN does not match actual; %/ FILLEN= %I:1 ACTUAL= %I:2 Element Type= %I:3 Element= %I:4.

This is parallel processor (NPROC greater than 1) problem. The element related files esav, emat and rst are written to in a random (not serial) order. The write destination for the element information must be predefined before you begin element processing. If the information is written incorrectly, another element's data could be overwritten. Try to run the combination of options with only one processor active (NPROC = 1).

ernman.5000

Topological degeneracy detected for %C:1 command. Try modifying geometry slightly or relaxing the tolerance (BTOL command). If BTOL is relaxed, be sure to change the tolerance back to the default after operation.

You will get this message during Boolean operations. You can modify the geometry or relax the tolerance, as noted. Boolean operations are often dependent on the order in which they are performed. Check your model and perhaps modify the order of operations in order to obtain a satisfactory result.

errasd.5000

Unable to complete Boolean operations. Try modifying geometry slightly or adjusting the tolerance value on BTOL command. If changed, return BTOL to default value after completing operation.

You will get this message during Boolean operations. You can modify the geometry or relax the tolerance, as noted. Boolean operations are often dependent on the order in which they are performed. Check your model and perhaps modify the order of operations in order to obtain a satisfactory result.

errdeg.5000

Parametric degeneracy detected for %C:1 command. Try modifying geometry slightly or relaxing the tolerance (BTOL command). If BTOL is relaxed, be sure to change the tolerance back to the default after operation.

You will get this message during Boolean operations. You can modify the geometry or relax the tolerance, as noted. Boolean operations are often dependent on the order in which they are performed. Check your model and perhaps modify the order of operations in order to obtain a satisfactory result.

lanbwn.5000

Eigenvalue extraction failed, possibly because mass matrix is non-definite (has both positive and negative definite parts).

MODOPT,LANB uses the Block Lanczos Eigensolver. In a modal analysis, this message indicates a zero or negative diagonal. You can use the PIVCHECK command to override the message and continue the analysis.

lanbwn.5010

Eigenvalue extraction failed. Singular matrix encountered repeatedly in the iteration loop, possibly because it is an ill-posed eigenproblem.

This message is due to a poorly configured modal analysis. The model has no constraints, which causes zero eigenvalues to be part of the eigenvalue solution for the rigid body modes. Although this is a normal situation, when combined with a mass matrix zero diagonal, the solution values can be incorrect. You can try to add the appropriate constraints to the model and then restart you analysis.

lantri.5030

There are %I:1 positive pivots with ratios less than %G:2 indicating a possible poorly conditioned stiffness matrix.

This message indicates that portions of your model are extremely soft, while others are extremely stiff. Check the Young's Modulus (MP,EX) specified for the structural members to ensure valid material properties.

lantri.5040

There are %I:1 negative pivots with ratios greater than %G:2 indicating a possible poorly conditioned stiffness matrix.

This message indicates that portions of your model are extremely soft, while others are extremely stiff. Check the Young's Modulus (MP,EX) specified for the structural members to ensure valid material properties.

lccat3.5000

A data mismatch occurred during the LCCAT operation.

Some previous operations stored inconsistent area or line data, making it impossible to complete the requested LCCAT operation. Often, this problem can be rectified by a SAVE/RESUME, or CDWRITE/CDREAD cycle.

magpr.5010

For material %I:1 the nurb representation of the B-H curve could not be constructed properly.

The B-H data you entered could not be converted to properly fit a spline curve. Without the spline curve, evaluation of intermediate values of B-H data is not possible. Check the original B-H data and ensure that the data values are steadily increasing, and that the data plots are fairly smooth when displayed in B-H form.

mainst.200

ANSYS could not initialize the high level memory manager. Error code= %I:1.

This message is returned when a malloc (memory allocation) call is returned NULL. You can try closing all other applications and restarting ANSYS, or you can change your -m specification. It is possible that the -m specification is so large that there is not enough left to start the memory manager. Verify the amount of memory available to your system and check your run statistics to verify the viability of your analysis.

mainst.400

ANSYS could not initialize the heap memory manager. Error code= %I:1.

This message is returned when a malloc (memory allocation) call is returned NULL. You can try closing all other applications and restarting ANSYS, or you can change your -m specification. It is possible that the -m specification is so large that there is not enough left to start the memory manager. Verify the amount of memory available to your system and check your run statistics to verify the viability of your analysis.

mlccat3.5000

A data mismatch occurred during the LCCAT operation.

You get this message when inconsistent area or line data has been stored by a previous operation. Using SAVE/RESUME (and sometimes restarting in between) can often fix these kinds of improper write operations.

p6tfun.5010

Transfer function can not be computed for the %/ Wave propagation or spatially correlated case.

You cannot request a transfer function for an excitation analysis involving wave propagation or spatial correlation. If a transfer function is desired, the analysis should be run as an ordinary excitation analysis.

p6tfun_close.5010

Transfer function can not be computed for the %/ Wave propagation or spatially correlated case.

You cannot request a transfer function for an excitation analysis involving wave propagation or spatial correlation. If a transfer function is desired, the analysis should be run as an ordinary excitation analysis.

pOutputLoop.5000

Please report this system error from pOutputLoop to your ASD or ANSYS, Inc. Try another element option. Error harmful only on parallel machines. RST element record from FILLEN does not match actual %/ FILLEN= %I:1 ACTUAL= %I:2 Element Type= %I:3.

This is parallel processor (NPROC greater than 1) problem. The element related files esav, emat and rst are written to in a random (not serial) order. The write destination for the element information must be predefined before you begin element processing. If the information is written incorrectly, another element's data could be overwritten. Try to run the combination of options with only one processor active (NPROC = 1).

psdcom.5020

Missing element order vector in psdcom. Please send your data to your ANSYS Technical Support Provider.

You get this message when the element order vector cannot be located in the ANSYS database. This could occur when there is not enough virtual memory available to generate the vector. You should attempt to increase the virtual memory setting for the machine you are using and restart the analysis. It is also a good idea to check the run statistics before initiating the analysis. If the problem persists, send the model and data files to your ASD.

psdfit.9200

The design set data resulted in a singular Least Square problem. %/ Please check your data.

You get this message when two points in the input PSD chart are too close together. Each segment of the PSD chart is transformed into a polynomial through the least square method. During this operation, some intermediate points in a segment are selected to constitute a design matrix for solving the polynomial coefficients. If the segment is very small and the boundary points are too close, then a singularity may occur due to machine precision. This condition can be rectified by redefining the PSD chart and ensuring that the points are not too close together.

qtcstr.5000

An error has occurred in routine ESZSET. Please provide this information to your ANSYS Support Distributor.

You get this message when inconsistent area or line data has been stored by a previous operation. Using SAVE/RESUME (and sometimes restarting in between) can often fix these kinds of improper write operations.

qtrmid.5000

An error has occurred in generating the midside nodes. Please provide this information to your ANSYS Support Distributor.

You get this message when inconsistent data is generated by one of the area or volume mesh routines. Using SAVE/RESUME (and sometimes restarting in between) can often fix these kinds of improper write operations.

qtrmsh.5070

Area %I:1 could not be meshed because of a data storage fault (code = %I:2).

You get this message when inconsistent area or line data has been stored by a previous operation. Using SAVE/RESUME (and sometimes restarting in between) can often fix these kinds of improper write operations.

sasdof.3000

Fail to transfer symmetry or anti-symmetry constraints to node %I:1. %/Contact the technical support.

A line or area symmetry or anti-symmetry constraint is being transferred to the nodes, making it impossible to resolve the constraint directions as specified. Try deleting one or more of the line or area constraints, and then substituting direct nodal constraints in the specified direction. If all of the specified symmetry conditions make sense, then report this error to your ASD.

sfelem.5010

Please report this system error from sfelem to your ASD or ANSYS, Inc. Try another element option. Error harmful only on parallel machines. ESAV record size error by FILLEN; %/ FILLEN= %I:1, ACTUAL= %I:2, Element Type= %I:3.

This is parallel processor (NPROC = greater than 1) problem. The element related files esav, emat and rst are written to in a random (not serial) order. The write destination for the element information must be predefined before you begin element processing. If the information is written incorrectly, another element's data could be overwritten. Try to run the combination of options with only one processor active (NPROC = 1).

sfelem.5020

EMAT record size error in FILLEN %/ FILLEN = %I:1 ACTUAL= %I:2 JTYPE= %I:3.

This is parallel processor (NPROC = greater than 1) problem. The element related files esav, emat and rst are written to in a random (not serial) order. The write destination for the element information must be predefined before you begin element processing. If the information is written incorrectly, another element's data could be overwritten. Try to run the combination of options with only one processor active (NPROC = 1).

slvdfs.5095

IT IS HIGHLY RECOMMENDED TO USE NEW SOLU CONTROL OPTION BY ISSUING SOLCON,ON, FOR THIS PROBLEM FOR ROBUSTNESS AND EFFICIENCY.

You will get this message if you set SOLCONTROL,OFF. We strongly recommend that you use SOLCONTROL,ON for this analysis.

sysopn.5000

Unit number [ %I:1 ] exceeds maximum unit number [ %I:2 ]

This is a "User Programmable Feature" message indicating that a specified Fortran unit number is greater than the value allowed by ANSYS. The maximum unit number is 60.

tbtab.5020

Table is to large to edit.

The maximum table size that can be handled by the array editor is 250 rows and/or 100 columns. Edit the table directly using the TBMODIF, TBPT, or TBDATA commands.

veg_bkte_compare.5060

There is a problem with the adjacent element data for element %I:1 at face %I:2 (and possibly elsewhere). Validation of mesh connectivity is incomplete.

You get this message when the adjacent element logic for the MCHECK operation is invalid. You can sometimes rectify this problem by performing a SAVE/RESUME cycle, or by using CDWRITE/CDREAD (you may need to restart ANSYS in between).

veg_bkte_compare.5070

The volume of element %I:1 (and possibly others) is undefined. Validation of mesh connectivity is incomplete.

You get this message when the MCHECK logic returns an invalid result, or cannot be completed. Try performing a CHECK operation before MCHECK.

veg_qtri_compare.5040

There is a problem with the adjacent element data for element %I:1 at face % xI (and possibly elsewhere). Validation of mesh connectivity is incomplete.

You get this message when the adjacent element logic for the MCHECK operation is invalid. You can sometimes rectify this problem by performing a SAVE/RESUME cycle, or by using CDWRITE/CDREAD (you may need to restart ANSYS in between).

veg_qtri_setup.5010

The normal ment %I:1 (and possibly others) is undefined. Validation of mesh connectivity is incomplete.

The MCHECK operation could not be completed. Check the connectivity of your mesh.

vlfl28.5000

Data mismatch reading VA volume %I:1.

This message is generated when the data input with the VA command is incorrect. Check the input data and retry the command.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 1. Introduction 		Up / Home Next
ANSYS Tutorials


ANSYS Tutorials

Release 11.0 Documentation for ANSYS

Table of Contents

Welcome to the ANSYS Tutorials
1. Start Here
1.1. About These Tutorials
1.1.1. Preparing Your Screen
1.1.2. Formats and Conventions Used
1.1.3. Jobnames and Preferences
1.1.4. Choosing a Tutorial
1.2. Glossary
1.2.1. ANSYS ED Program
1.2.2. ANSYS Features Demonstrated
1.2.3. Analysis Options
1.2.4. Analysis Type
1.2.5. Applicable ANSYS Products
1.2.6. Applicable Help Available
1.2.7. Boolean Operations
1.2.8. Direct Element Generation
1.2.9. Discipline
1.2.10. Element Options
1.2.11. Element Types Used
1.2.12. Gaussian Distribution
1.2.13. Higher-Order Elements
1.2.14. Interactive Time Required
1.2.15. Jobname
1.2.16. Latin Hypercube Sampling
1.2.17. Level of Difficulty
1.2.18. Lognormal Distribution
1.2.19. Material Properties
1.2.20. Monte Carlo
1.2.21. Plane Stress
1.2.22. Postprocessing
1.2.23. Preferences
1.2.24. Preprocessing
1.2.25. Primitives
1.2.26. Probabilistic Analysis File
1.2.27. Probabilistic Design
1.2.28. Probabilistic Simulation
1.2.29. Random Input Variables
1.2.30. Random Output Parameters
1.2.31. Real Constants
1.2.32. Solution
1.2.33. Standard Deviation
1.2.34. Uniform Distribution
1.2.35. Working Plane (WP)
2. Structural Tutorial
2.1. Static Analysis of a Corner Bracket
2.1.1. Problem Specification
2.1.2. Problem Description
2.1.3. Build Geometry
2.1.4. Define Materials
2.1.5. Generate Mesh
2.1.6. Apply Loads
2.1.7. Obtain Solution
2.1.8. Review Results
3. Thermal Tutorial
3.1. Solidification of a Casting
3.1.1. Problem Specification
3.1.2. Problem Description
3.1.3. Prepare for a Thermal Analysis
3.1.4. Input Geometry
3.1.5. Define Materials
3.1.6. Generate Mesh
3.1.7. Apply Loads
3.1.8. Obtain Solution
3.1.9. Review Results
4. Electromagnetics Tutorial
4.1. Magnetic Analysis of a Solenoid Actuator
4.1.1. Problem Specification
4.1.2. Problem Description
4.1.3. Input Geometry
4.1.4. Define Materials
4.1.5. Generate Mesh
4.1.6. Apply Loads
4.1.7. Obtain Solution
4.1.8. Review Results
5. CFD Tutorial
5.1. Laminar and Turbulent Flow Analyses in a 2-D Duct
5.1.1. Problem Specification
5.1.2. Problem Description
5.1.3. Preprocessing (Laminar Analysis)
5.1.4. Solution (Laminar Analysis)
5.1.5. Postprocessing (Laminar Analysis)
5.1.6. Solution (Laminar Analysis with Change in Inlet Velocity)
5.1.7. Postprocessing (Laminar Analysis Using New Inlet Velocity)
5.1.8. Preprocessing (Laminar Analysis with Increase in Duct Length)
5.1.9. Solution (Laminar Analysis Using New Duct Length)
5.1.10. Postprocessing (Laminar Analysis Using New Duct Length)
5.1.11. Solution (Turbulent Analysis)
5.1.12. Postprocessing (Turbulent Analysis)
6. Micro-Electromechanical System (MEMS) Tutorial
6.1. Multiphysics Analysis of a Thermal Actuator
6.1.1. Problem Specification
6.1.2. Problem Description
6.1.3. Import Geometry
6.1.4. Define Materials
6.1.5. Generate Mesh
6.1.6. Apply Loads
6.1.7. Obtain Solution
6.1.8. Review Results
7. Explicit Dynamics Tutorial
7.1. Drop Test of a Container (Explicit Dynamics)
7.1.1. Problem Specification
7.1.2. Problem Description
7.1.3. Define Analysis Type
7.1.4. Input Geometry
7.1.5. Define Element Type, Real Constants, Material Model Properties
7.1.6. Generate Mesh
7.1.7. Apply Loads
7.1.8. Obtain Solution
7.1.9. Review Results
8. Contact Tutorial
8.1. Interference Fit and Pin Pull-Out Contact Analysis
8.1.1. Problem Specification
8.1.2. Problem Description
8.1.3. Input Geometry
8.1.4. Define Material Property and Element Type
8.1.5. Generate Mesh
8.1.6. Specify Solution Criteria
8.1.7. Load Step 1
8.1.8. Load Step 2
8.1.9. Postprocessing
9. Modal Tutorial
9.1. Modal Analysis of a Model Airplane Wing
9.1.1. Problem Specification
9.1.2. Problem Description
9.1.3. Input Geometry
9.1.4. Define Materials
9.1.5. Generate Mesh
9.1.6. Apply Loads
9.1.7. Obtain Solution
9.1.8. Review Results
10. Probabilistic Design System (PDS) Tutorial
10.1. Probabilistic Design of a Simple Plate with a Single Force Load
10.1.1. Problem Specification
10.1.2. Problem Description
10.1.3. Specify Analysis File
10.1.4. Define Input and Output
10.1.5. Obtain Solution
10.1.6. Perform Postprocessing
10.1.7. Generate Report
11. ANIMATE Program

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 2. ANSYS Error Messages 		Up / Home Next
Welcome to the ANSYS Tutorials


Welcome to the ANSYS Tutorials

The ANSYS Tutorials provide an introduction to the extensive capabilities of the ANSYS family of products. Each tutorial is a complete step-by-step ANSYS analysis procedure. You can choose from several analysis disciplines. The tutorials are designed to be run interactively, on the same screen as the ANSYS program. Included are full color ANSYS graphics and animations that are exact replicas of what appear at several points within the steps of the tutorials. A glossary of terms is also included that you can view as a stand-alone document with an alphabetical listing of the terms, or you can view the definition of terms on demand by simply clicking on linked terms within the context of the tutorials.

Before you begin a tutorial, read the Start Here section for recommendations on preparing your screen for displaying the tutorial window on the same screen as ANSYS, as well as descriptions of the formats and conventions used in the tutorials.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ANSYS Tutorials 		Up / Home Next
Chapter 1. Start Here


Chapter 1. Start Here

  • About These Tutorials

  • Preparing Your Screen

  • Formats and Conventions Used

  • Jobnames and Preferences

  • Choosing a Tutorial

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Welcome to the ANSYS Tutorials 		Up / Home Next
1.1. About These Tutorials


1.1. About These Tutorials

The purpose of these tutorials is to introduce you to the extensive capabilities of the ANSYS family of products -- recognized worldwide as the most powerful engineering design and analysis software. This introduction is done through tutorials that are designed to be run interactively, online at your computer terminal.

1.1.1. Preparing Your Screen

Running the tutorials online while running ANSYS requires that you make the best use of your screen's real estate. By making minor adjustments to the dimensions of the browser and the ANSYS GUI, you will be able to read a tutorial's instructions on one side of your screen, and perform the instructions in ANSYS on the other side. Presented below is a sample screen layout captured on a 21 inch monitor. It is a typical representation of how a screen looks while running a tutorial using the PC version of ANSYS.

For this layout, the tutorial window containing the tabs was removed by clicking the Undock button (large button located furthest to the right), then minimizing the tabbed window. The tutorial window was then moved to the right side of the screen and the ANSYS window was reduced horizontally to accommodate the tutorial window. You should use this layout as a model to adjust your screen accordingly, based on the size of your monitor. It is assumed that you are proficient in moving ANSYS dialog boxes because there are times when they "pop up" on top of either the tutorial or the ANSYS window. If this occurs, you can simply move them anywhere on the screen by dragging the window header.

1.1.2. Formats and Conventions Used

Each tutorial begins with a problem description that includes approaches and assumptions. A summary of steps in the form of tasks is then presented with each step being a hyperlink to a detailed series of procedural action substeps for each major task step. The analysis action substeps are shown explicitly in terms of menu choices, graphical picks, and text input.

1.1.2.1. Task Steps

Task steps are numbered sequentially and contain a series of related menu paths and action substeps. Step titles are formatted according to the task you will be performing in the step. Example step titles are "Add areas," "Define material properties," "Mesh the area," and "Plot the deformed shape." There are approximately 20 steps in a tutorial with the number varying depending on the complexity of the tutorial.

1.1.2.2. Action Substeps

For each overall task step, there are any number of substeps that guide you through the actions that you need to perform in order to accomplish the task step. A menu path is typically one of the first substeps within a task step. An example of a menu path substep is:

1. Main Menu> Preprocessor> Operate> Add> Areas

A menu path represents the complete location of a particular function in the Graphical User Interface (GUI) . The first part of the path (Main Menu) determines where the function is found. It is usually either the Main Menu or the Utility Menu. Go to that region to perform the function. The remaining part of the path lists the menu topics that you click with the left mouse button.

The action substeps that are presented after a menu path either guide you through completing a dialog box, or instruct you graphically on picking locations. The graphical picking convention is described in the next section.

For completing a dialog box, the substeps are either spelled out in detail or use a condensed procedure format. Detailed substeps are followed by a red arrow ( [image]) indicating that a small picture of the dialog box is available if you scroll to the right. The picture includes large red numbers that cross-reference the numbers of the action. The numbers are positioned in the dialog box at the locations where you are to perform the actions (button, box, drop-down list, etc.). Substeps in several of the tutorials use a condensed procedure format that uses the following conventions:

  • Items that you need to fill in reproduce the wording in the dialog boxes and are in quotes, followed by an equal sign, then the value you should enter. Example:

    3. “Load VOLT Value” = 5

  • Button labels are in brackets. Example:

    4. [Pick All]

  • Actions, locations, or any other items that may not be obvious are enclosed in parentheses before or after GUI wording in quotes. Examples:

    • 2. (double-click) “Structural”

    • 5. (drop down) “Action”

    • 7. “Scaler Tet 98” (right column)

1.1.2.3. Picking Graphics

Some substeps instruct you to pick specific entities on a graphic. An example of the convention is shown below:

6. Pick lines 17 and 8

Here, red numbers are displayed on the picture at the locations where you are to pick. The red number is a cross reference to the procedural substep.

1.1.2.4. Interim Result Graphics

Following the substeps, a task step typically concludes with a small interim result graphic that shows how the ANSYS graphic should appear in the Graphics window at a particular point in a tutorial. An example is shown below:

1.1.3. Jobnames and Preferences

Though not required, it is good practice for you to specify a particular jobname for each tutorial analysis. This will help you identify files generated by ANSYS that are related to a particular analysis. When starting ANSYS, you can specify the jobname in the launcher. While in ANSYS, you can change the jobname by choosing:

Utility Menu > File > Change Jobname

then typing the jobname, and choosing OK.

It is also good practice to specify preferences for each tutorial analysis. When you specify a preference for a particular engineering discipline, ANSYS filters menu choices such that the only choices that appear apply to the discipline you specified. If you do not specify preferences, menu choices for all disciplines are shown, but non-applicable choices are dimmed based on the set of element types in the model. It is a good idea to specify preferences at or near the beginning of an analysis. Most of the tutorials have this step built in before the model is meshed. You can specify a preference by choosing:

Main Menu > Preferences

then checking the box associated with the particular discipline, and choosing OK.

1.1.4. Choosing a Tutorial

We recommend that you run "Structural Tutorial" first, even if you typically run analyses in other engineering disciplines. The Structural tutorial is documented extensively, includes graphics of all dialog boxes used, and introduces you to ANSYS terms that you'll see in other tutorials. Once you have successfully performed this tutorial, you can run any of the others in any order. You may want to choose a problem that demonstrates the ANSYS features in your discipline. However, all of the tutorials in some way demonstrate ANSYS techniques that are universal for ANSYS users. You can learn something from every problem, even if it is not in your particular field of interest or experience!

You can access a tutorial through the main Table Of Contents or by clicking on the name of the tutorial in the following list:

  • "Structural Tutorial"

  • "Thermal Tutorial"

  • "Electromagnetics Tutorial"

  • "CFD Tutorial"

  • "Micro-Electromechanical System (MEMS) Tutorial"

  • "Explicit Dynamics Tutorial"

  • "Contact Tutorial"

  • "Modal Tutorial"

  • "Probabilistic Design System (PDS) Tutorial"

  • "ANIMATE Program"

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 1. Start Here 		Up / Home Next
1.2. Glossary


1.2. Glossary

1.2.1. ANSYS ED Program

An educational program that can be used as a personal training tool in industry, at universities and other academic institutions, and at home. The ANSYS ED program is similar to ANSYS Multiphysics in that it contains virtually all of the features of ANSYS Multiphysics and uses the same GUI, but it contain limits for the size of the model that can be created and solved.

1.2.2. ANSYS Features Demonstrated

Lists the noteworthy features demonstrated in the problem.

1.2.3. Analysis Options

Typical analysis options are the method of solution, stress stiffening on or off, and Newton-Raphson options for nonlinearities.

1.2.4. Analysis Type

Any of seven analysis types offered in ANSYS: static, modal, harmonic, transient, spectrum, eigenvalue buckling, and substructuring. Whether the problem is linear or nonlinear will be identified here.

1.2.5. Applicable ANSYS Products

Indicates which ANSYS programs can be used to run the example problem. Applicable products are determined by the discipline and complexity of the problem. Possibilities include: ANSYS Multiphysics, ANSYS Mechanical, ANSYS Professional, ANSYS Structural, ANSYS LS-DYNA, ANSYS Emag, ANSYS FLOTRAN, ANSYS PrepPost, ANSYS ED.

1.2.6. Applicable Help Available

Information in the ANSYS help system that is relevant to the overall topics covered in a particular tutorial.

1.2.7. Boolean Operations

Boolean Operations (based on Boolean algebra) provide a means of combining sets of data using such logical operators as add, subtract, intersect, etc. There are Boolean operations available for volume, area, and line solid model entities.

1.2.8. Direct Element Generation

Defining an element by defining nodes directly.

1.2.9. Discipline

Any of five physical (engineering) disciplines may be solved by the ANSYS program: structural, thermal, electric, magnetic, and fluid. Note that you can use the ANSYS Multi-field solver, which considers the effects of the physical phenomena coupled together, such as temperature and displacement in a thermal-stress analysis.

1.2.10. Element Options

Many element types also have additional element options to specify such things as element behavior and assumptions, element results printout options, etc.

1.2.11. Element Types Used

Indicates the element types used in the problem; over 100 element types are available in ANSYS. You choose an element type which characterizes, among other things, the degree-of-freedom set (displacements and/or rotations, temperatures, etc.) the characteristic shape of the element (line, quadrilateral, brick, etc.), whether the element lies in 2-D space or 3-D space, the response of your system, and the accuracy level you're interested in.

1.2.12. Gaussian Distribution

The Gaussian or normal distribution is a very fundamental and commonly used distribution for statistical matters. It is typically used to describe the scatter of the measurement data of many physical phenomena. Strictly speaking, every random variable follows a normal distribution if it is generated by a linear combination of a very large number of other random effects, regardless which distribution these random effects originally follow. The Gaussian distribution is also valid if the random variable is a linear combination of two or more other effects if those effects also follow a Gaussian distribution.

You provide values for the mean value μ and the standard deviation σ of the random variable x.

1.2.13. Higher-Order Elements

Higher-order, or midside-node elements, have a quadratic shape function (instead of linear) to map degree-of-freedom values within the element.

1.2.14. Interactive Time Required

This is an approximate range, in minutes, for you to complete the interactive step-by-step solution. Of course the amount of time it takes you to perform the problem depends on the computer system you use, the amount of network "traffic" on it, the working pace that is comfortable for you, and so on.

1.2.15. Jobname

The file name prefix used for all files generated in an ANSYS analysis. All files are named Jobname.ext, where ext is a unique ANSYS extension that identifies the contents of the file. The jobname specified in the launcher when you start ANSYS is called the initial jobname. You can always change the jobname within an ANSYS session.

1.2.16. Latin Hypercube Sampling

The Latin Hypercube Sampling (LHS) technique is a Monte Carlo Simulation method that is more advanced and efficient than the Direct Monte Carlo Sampling technique. LHS has a sample "memory," meaning it avoids repeating samples that have been evaluated before (it avoids clustering samples). It also forces the tails of a distribution to participate in the sampling process.

1.2.17. Level of Difficulty

Three levels are offered: easy, moderate, and advanced. Although the "advanced" problems are still easy to follow using the interactive step-by-step solution, they include features that are typically thought of as advanced ANSYS capabilities, such as nonlinearities, macros, or advanced postprocessing.

1.2.18. Lognormal Distribution

The lognormal distribution is a basic and commonly used distribution. It is typically used to describe the scatter of the measurement data of physical phenomena, where the logarithm of the data would follow a normal distribution. The lognormal distribution is very suitable for phenomena that arise from the multiplication of a large number of error effects. It is also correct to use the lognormal distribution for a random variable that is the result of multiplying two or more random effects (if the effects that get multiplied are also lognormally distributed).

1.2.19. Material Properties

Physical properties of a material such as modulus of elasticity or density that are independent of geometry. Although they are not necessarily tied to the element type, the material properties required to solve the element matrices are listed for each element type for your convenience. Depending on the application, material properties may be linear, nonlinear, and/or anisotropic. As with element types and real constants, you may have multiple material property sets (to correspond with multiple materials) within one analysis. Each set is given a reference number.

1.2.20. Monte Carlo

The Monte Carlo Simulation method is the most common and traditional method for a probabilistic analysis. This method lets you simulate how virtual components behave the way they are built. One simulation loop represents one manufactured component that is subjected to a particular set of loads and boundary conditions.

1.2.21. Plane Stress

A state of stress in which the normal stress and the shear stresses directed perpendicular to the plane are assumed to be zero.

1.2.22. Postprocessing

ANSYS analysis phase where you review the results of the analysis through graphics displays and tabular listings. The general postprocessor (POST1) is used to review results at one substep (time step) over the entire model. The time-history postprocessor (POST26) is used to review results at specific points in the model over all time steps.

1.2.23. Preferences

The "Preferences" dialog box allows you to choose the desired engineering discipline for context filtering of menu choices. By default, menu choices for all disciplines are shown, with non-applicable choices "dimmed" based on a set of element types in your model. If you prefer not to see the dimmed choices at all, you should turn on filtering. For example, turning on structural filtering completely suppresses all thermal, electromagnetic, and fluid menu topics.

1.2.24. Preprocessing

ANSYS analysis phase where you provide data such as the geometry, materials, and element types to the program.

1.2.25. Primitives

Simple predefined geometric shapes that ANSYS provides. A rectangle primitive, for example defines the following solid model entities in one step: one area, four lines, and four keypoints.

1.2.26. Probabilistic Analysis File

A probabilistic analysis file is an ANSYS input file that contains a complete analysis sequence (preprocessing, solution, postprocessing). It must contain a parametrically defined model using parameters to represent all inputs and outputs which will be used as random input variables (RVs) and random output parameters (RPs). From this file, a probabilistic design loop file (Jobname.LOOP) is automatically created and used by the probabilistic design system to perform analysis loops.

1.2.27. Probabilistic Design

Probabilistic Design is a technique you can use to assess the effect of uncertain input parameters and assumptions on your analysis model. Using a probabilistic analysis you can find out how much the results of a finite element analysis are affected by uncertainties in the model.

1.2.28. Probabilistic Simulation

A simulation is the collection of all samples that are required or that you request for a certain probabilistic analysis. A simulation contains the information used to determine how the component would behave under real-life conditions (with all the existing uncertainties and scatter), and all samples therefore represent the simulation of this behavior.

1.2.29. Random Input Variables

Random Input Variables (RVs) are quantities that influence the result of an analysis. In probabilistic literature, these random input variables are also called the "drivers" because they drive the result of an analysis.

1.2.30. Random Output Parameters

Random Output Parameters (RPs) are the results of a finite element analysis. The RPs are typically a function of the random input variables (RVs); that is, changing the values of the random input variables should change the value of the random output parameters.

1.2.31. Real Constants

Provide additional geometry information for element types whose geometry is not fully defined by its node locations. Typical real constants include shell thicknesses for shell elements and cross-sectional properties for beam elements. All properties required as input for a particular element type are entered as one set of real constants.

1.2.32. Solution

ANSYS analysis phase where you define analysis type and options, apply loads and load options, and initiate the finite element solution. A new, static analysis is the default.

1.2.33. Standard Deviation

The standard deviation is a measure of variability (dispersion or spread) about the arithmetic mean value; this is often used to describe the width of the scatter of a random output parameter or of a statistical distribution function. The larger the standard deviation the wider the scatter and the more likely it is that there are data values further apart from the mean value.

1.2.34. Uniform Distribution

The uniform distribution is a very fundamental distribution for cases where no other information apart from a lower and an upper limit exists. If is very useful to describe geometric tolerances. It can also be used in cases where there is no evidence that any value of the random variable is more likely than any other within a certain interval.

You provide the lower and the upper limit xmin and xmax of the random variable x.

1.2.35. Working Plane (WP)

An imaginary plane with an origin, a 2-D coordinate system (either Cartesian or Polar), a snap increment, and a display grid. It is used to locate solid model entities. By default, the working plane is a Cartesian plane located at the global origin.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.1. About These Tutorials 		Up / Home Next
Chapter 2. Structural Tutorial


Chapter 2. Structural Tutorial

Static Analysis of a Corner Bracket

  • Problem Specification

  • Problem Description

  • Build Geometry

  • Define Materials

  • Generate Mesh

  • Apply Loads

  • Obtain Solution

  • Review Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.2. Glossary 		Up / Home Next
2.1. Static Analysis of a Corner Bracket


2.1. Static Analysis of a Corner Bracket

2.1.1. Problem Specification

Applicable ANSYS Products: | ANSYS Multiphysics, ANSYS Mechanical, ANSYS Structural, ANSYS ED
Level of Difficulty: | easy
Interactive Time Required: | 60 to 90 minutes
Discipline: | structural
Analysis Type: | linear static
Element Types Used: | PLANE82
ANSYS Features Demonstrated: | solid modeling including primitives, Boolean operations, and fillets; tapered pressure load; deformed shape and stress displays; listing of reaction forces; examination of structural energy error
Applicable Help Available: | Structural Static Analysis in the Structural Analysis Guide, PLANE82 in the Elements Reference.

2.1.2. Problem Description

This is a simple, single load step, structural static analysis of the corner angle bracket shown below. The upper left-hand pin hole is constrained (welded) around its entire circumference, and a tapered pressure load is applied to the bottom of the lower right-hand pin hole. The objective of the problem is to demonstrate the typical ANSYS analysis procedure. The US Customary system of units is used.

2.1.2.1. Given

The dimensions of the corner bracket are shown in the accompanying figure. The bracket is made of A36 steel with a Young’s modulus of 30E6 psi and Poisson’s ratio of .27.

2.1.2.2. Approach and Assumptions

Assume plane stress for this analysis. Since the bracket is thin in the z direction (1/2 inch thickness) compared to its x and y dimensions, and since the pressure load acts only in the x-y plane, this is a valid assumption.

Your approach is to use solid modeling to generate the 2-D model and automatically mesh it with nodes and elements. (Another alternative in ANSYS is to create the nodes and elements directly.)

2.1.2.3. Summary of Steps

Use the information in the problem description and the steps below as a guideline in solving the problem on your own. Or, use the detailed interactive step-by-step solution by choosing the link for step 1.

Note

If your system includes a Flash player (from Macromedia, Inc.), you can view demonstration videos of each step by pointing your web browser to the following URL address: http://www.ansys.com/techmedia/structural_tutorial_videos.html.

Build Geometry

1. Define rectangles.

2. Change plot controls and replot.

3. Change working plane to polar and create first circle.

4. Move working plane and create second circle.

5. Add areas.

6. Create line fillet.

7. Create fillet area.

8. Add areas together.

9. Create first pin hole.

10. Move working plane and create second pin hole.

11. Subtract pin holes from bracket.

12. Save the database as model.db.

Back To Top

Define Materials

13. Set Preferences.

14. Define Material Properties.

15. Define element types and options.

16. Define real constants.

Back To Top

Generate Mesh

17. Mesh the area.

18. Save the database as mesh.db.

Back To Top

Apply Loads

19. Apply displacement constraints.

20. Apply pressure load.

Back To Top

Obtain Solution

21. Solve.

Back To Top

Review Results

22. Enter the general postprocessor and read in the results.

23. Plot the deformed shape.

24. Plot the von Mises equivalent stress.

25. List the reaction solution.

26. Exit the ANSYS program.

2.1.3. Build Geometry

This is the beginning of Preprocessing.

2.1.3.1. Step 1: Define rectangles.

There are several ways to create the model geometry within ANSYS, some more convenient than others. The first step is to recognize that you can construct the bracket easily with combinations of rectangles and circle Primitives.

Decide where the origin will be located and then define the rectangle and circle primitives relative to that origin. The location of the origin is arbitrary. Here, use the center of the upper left-hand hole. ANSYS does not need to know where the origin is. Simply begin by defining a rectangle relative to that location. In ANSYS, this origin is called the global origin.

  1. Main Menu> Preprocessor> Modeling> Create> Areas> Rectangle> By Dimensions

  2. Enter the following:

    X1 = 0 (Note: Press the Tab key between entries)

    X2 = 6

    Y1 = -1

    Y2 = 1

  3. Apply to create the first rectangle.

  4. Enter the following:

    X1 = 4

    X2 = 6

    Y1 = -1

    Y2 = -3

  5. OK to create the second rectangle and close the dialog box.

2.1.3.2. Step 2: Change plot controls and replot.

The area plot shows both rectangles, which are areas, in the same color. To more clearly distinguish between areas, turn on area numbers and colors. The "Plot Numbering Controls" dialog box on the Utility Menu controls how items are displayed in the Graphics Window. By default, a "replot" is automatically performed upon execution of the dialog box. The replot operation will repeat the last plotting operation that occurred (in this case, an area plot).

  1. Utility Menu> Plot Ctrls> Numbering

  2. Turn on area numbers.

  3. OK to change controls, close the dialog box, and replot.

    Before going to the next step, save the work you have done so far. ANSYS stores any input data in memory to the ANSYS database. To save that database to a file, use the SAVE operation, available as a tool on the Toolbar. ANSYS names the database file using the format jobname.db. If you started ANSYS using the product launcher, you can specify a jobname at that point (the default jobname is file). You can check the current jobname at any time by choosing Utility Menu> List> Status> Global Status. You can also save the database at specific milestone points in the analysis (such as after the model is complete, or after the model is meshed) by choosing Utility Menu> File> Save As and specifying different jobnames (model.db, or mesh.db, etc.).

    It is important to do an occasional save so that if you make a mistake, you can restore the model from the last saved state. You restore the model using the RESUME operation, also available on the Toolbar. (You can also find SAVE and RESUME on the Utility Menu, under File.)

  4. Toolbar: SAVE_DB.

2.1.3.3. Step 3: Change working plane to polar and create first circle.

The next step in the model construction is to create the half circle at each end of the bracket. You will actually create a full circle on each end and then combine the circles and rectangles with a Boolean "add" operation (discussed in step 5.). To create the circles, you will use and display the working plane. You could have shown the working plane as you created the rectangles but it was not necessary.

Before you begin however, first "zoom out" within the Graphics Window so you can see more of the circles as you create them. You do this using the "Pan-Zoom-Rotate" dialog box, a convenient graphics control box you’ll use often in any ANSYS session.

  1. Utility Menu> PlotCtrls> Pan, Zoom, Rotate

  2. Click on small dot once to zoom out.

  3. Close dialog box.

  4. Utility Menu> WorkPlane> Display Working Plane (toggle on)

    Notice the working plane origin is immediately plotted in the Graphics Window. It is indicated by the WX and WY symbols; right now coincident with the global origin X and Y symbols. Next you will change the WP type to polar, change the snap increment, and display the grid.

  5. Utility Menu> WorkPlane> WP Settings

  6. Click on Polar.

  7. Click on Grid and Triad.

  8. Enter .1 for snap increment.

  9. OK to define settings and close the dialog box.

  10. Main Menu> Preprocessor> Modeling> Create> Areas> Circle> Solid Circle

    Be sure to read prompt before picking.

  11. Pick center point at:

    WP X = 0 (in Graphics Window shown below)

    WP Y = 0

  12. Move mouse to radius of 1 and click left button to create circle.

  13. OK to close picking menu.

  14. Toolbar: SAVE_DB.

Note

While you are positioning the cursor for picking, the "dynamic" WP X and Y values are displayed in the Solid Circular Area dialog box. Also, as an alternative to picking, you can type these values along with the radius into the dialog box.

2.1.3.4. Step 4: Move working plane and create second circle.

To create the circle at the other end of the bracket in the same manner, you need to first move the working plane to the origin of the circle. The simplest way to do this without entering number offsets is to move the WP to an average keypoint location by picking the keypoints at the bottom corners of the lower, right rectangle.

  1. Utility Menu> WorkPlane> Offset WP to> Keypoints

  2. Pick keypoint at lower left corner of rectangle.

  3. Pick keypoint at lower right of rectangle.

  4. OK to close picking menu.

  5. Main Menu> Preprocessor> Modeling> Create> Areas> Circle> Solid Circle

  6. Pick center point at:

    WP X = 0

    WP Y = 0

  7. Move mouse to radius of 1 and click left button to create circle.

  8. OK to close picking menu.

  9. Toolbar: SAVE_DB.

2.1.3.5. Step 5: Add areas.

Now that the appropriate pieces of the model are defined (rectangles and circles), you need to add them together so the model becomes one continuous piece. You do this with the Boolean add operation for areas.

  1. Main Menu> Preprocessor> Modeling> Operate> Booleans> Add> Areas

  2. Pick All for all areas to be added.

  3. Toolbar: SAVE_DB.

2.1.3.6. Step 6: Create line fillet.

  1. Utility Menu> PlotCtrls> Numbering

  2. Turn on line numbering.

  3. OK to change controls, close the dialog box, and automatically replot.

  4. Utility Menu> WorkPlane> Display Working Plane (toggle off)

  5. Main Menu> Preprocessor> Modeling> Create> Lines> Line Fillet

  6. Pick lines 17 and 8.

  7. OK to finish picking lines (in picking menu).

  8. Enter .4 as the radius.

  9. OK to create line fillet and close the dialog box.

  10. Utility Menu> Plot> Lines

2.1.3.7. Step 7: Create fillet area.

  1. Utility Menu> PlotCtrls> Pan, Zoom, Rotate

  2. Click on Zoom button.

  3. Move mouse to fillet region, click left button, move mouse out and click again.

  4. Main Menu> Preprocessor> Modeling> Create> Areas> Arbitrary> By Lines

  5. Pick lines 4, 5, and 1.

  6. OK to create area and close the picking menu.

  7. Click on Fit button.

  8. Close the Pan, Zoom, Rotate dialog box.

  9. Utility Menu> Plot> Areas

  10. Toolbar: SAVE_DB.

2.1.3.8. Step 8: Add areas together.

  1. Main Menu> Preprocessor> Modeling> Operate> Booleans> Add> Areas

  2. Pick All for all areas to be added.

  3. Toolbar: SAVE_DB.

2.1.3.9. Step 9: Create first pin hole.

  1. Utility Menu> WorkPlane> Display Working Plane (toggle on)

  2. Main Menu> Preprocessor> Modeling> Create> Areas> Circle> Solid Circle

  3. Pick center point at:

    WP X = 0 (in Graphics Window)

    WP Y = 0

  4. Move mouse to radius of .4 (shown in the picking menu) and click left button to create circle.

  5. OK to close picking menu.

2.1.3.10. Step 10: Move working plane and create second pin hole.

  1. Utility Menu> WorkPlane> Offset WP to> Global Origin

  2. Main Menu> Preprocessor> Modeling> Create> Areas> Circle> Solid Circle

  3. Pick center point at:

    WP X = 0 (in Graphics Window)

    WP Y = 0

  4. Move mouse to radius of .4 (shown in the picking menu) and click left mouse button to create circle.

  5. OK to close picking menu.

  6. Utility Menu> WorkPlane> Display Working Plane (toggle off)

  7. Utility Menu> Plot> Replot

    From this area plot, it appears that one of the pin hole areas is not there. However, it is there (as indicated by the presence of its lines), you just can't see it in the final display of the screen. That is because the bracket area is drawn on top of it. An easy way to see all areas is to plot the lines instead.

  8. Utility Menu> Plot> Lines

  9. Toolbar: SAVE_DB.

2.1.3.11. Step 11: Subtract pin holes from bracket.

  1. Main Menu> Preprocessor> Modeling> Operate> Booleans> Subtract> Areas

  2. Pick bracket as base area from which to subtract.

  3. Apply (in picking menu).

  4. Pick both pin holes as areas to be subtracted.

  5. OK to subtract holes and close picking menu.

2.1.3.12. Step 12: Save the database as model.db.

At this point, you will save the database to a named file -- a name that represents the model before meshing. If you decide to go back and remesh, you'll need to resume this database file. You will save it as model.db.

  1. Utility Menu> File> Save As

  2. Enter model.db for the database file name.

  3. OK to save and close dialog box.

2.1.4. Define Materials

2.1.4.1. Step 13: Set preferences.

In preparation for defining materials, you will set preferences so that only materials that pertain to a structural analysis are available for you to choose.

To set preferences:

  1. Main Menu> Preferences

  2. Turn on structural filtering. The options may differ from what is shown here since they depend on the ANSYS product you are using.

  3. OK to apply filtering and close the dialog box.

2.1.4.2. Step 14: Define material properties.

To define material properties for this analysis, there is only one material for the bracket, A36 Steel, with given values for Young’s modulus of elasticity and Poisson’s ratio.

  1. Main Menu> Preprocessor> Material Props> Material Models

  2. Double-click on Structural, Linear, Elastic, Isotropic.

  3. Enter 30e6 for EX.

  4. Enter .27 for PRXY.

  5. OK to define material property set and close the dialog box.

  6. Material> Exit

2.1.4.3. Step 15: Define element types and options.

In any analysis, you need to select from a library of element types and define the appropriate ones for your analysis.

For this analysis, you will use only one element type, PLANE82, which is a 2-D, quadratic, structural, higher-order element. The choice of a higher-order element here allows you to have a coarser mesh than with lower-order elements while still maintaining solution accuracy. Also, ANSYS will generate some triangle shaped elements in the mesh that would otherwise be inaccurate if you used lower-order elements (PLANE42). You will need to specify plane stress with thickness as an option for PLANE82. (You will define the thickness as a real constant in the next step.)

  1. Main Menu> Preprocessor> Element Type> Add/Edit/Delete

  2. Add an element type.

  3. Structural solid family of elements.

  4. Choose the 8-node quad (PLANE82).

  5. OK to apply the element type and close the dialog box.

  6. Options for PLANE82 are to be defined.

  7. Choose plane stress with thickness option for element behavior.

  8. OK to specify options and close the options dialog box.

  9. Close the element type dialog box.

2.1.4.4. Step 16: Define real constants.

For this analysis, since the assumption is plane stress with thickness, you will enter the thickness as a real constant for PLANE82. To find out more information about PLANE82, you will use the ANSYS Help System in this step by clicking on a Help button from within a dialog box.

  1. Main Menu> Preprocessor> Real Constants> Add/Edit/Delete

  2. Add a real constant set.

  3. OK for PLANE82.

    Before clicking on the Help button in the next step, you should be aware that the help information may appear in the same window as this tutorial, replacing the contents of the tutorial. After reading the help information, click on the Back button to return to this tutorial. If the help information appears in a separate window from the tutorial, minimize or close the help window after you read the help information.

  4. Help to get help on PLANE82.

  5. Hold left mouse button down to scroll through element description.

  6. If the help information replaced the tutorial, click on the Back button to return to the tutorial.

  7. Enter .5 for THK.

  8. OK to define the real constant and close the dialog box.

  9. Close the real constant dialog box.

2.1.5. Generate Mesh

2.1.5.1. Step 17: Mesh the area.

One nice feature of the ANSYS program is that you can automatically mesh the model without specifying any mesh size controls. This is using what is called a default mesh. If you’re not sure how to determine the mesh density, let ANSYS try it first! Meshing this model with a default mesh however, generates more elements than are allowed in the ANSYS ED program. Instead you will specify a global element size to control overall mesh density.

  1. Main Menu> Preprocessor> Meshing> Mesh Tool

  2. Set Global Size control.

  3. Type in 0.5.

  4. OK.

  5. Choose Area Meshing.

  6. Click on Mesh.

  7. Pick All for the area to be meshed (in picking menu). Close any warning messages that appear.

  8. Close the Mesh Tool.

Note

The mesh you see on your screen may vary slightly from the mesh shown here. As a result of this, you may see slightly different results during postprocessing. For a discussion of results accuracy, see Planning Your Approach in the Modeling and Meshing Guide.

2.1.5.2. Step 18: Save the database as mesh.db.

Here again, you will save the database to a named file, this time mesh.db.

  1. Utility Menu> File> Save as

  2. Enter mesh.db for database file name.

  3. OK to save file and close dialog box.

2.1.6. Apply Loads

The beginning of the solution phase.

A new, static analysis is the default, so you will not need to specify analysis type for this problem. Also, there are no analysis options for this problem.

2.1.6.1. Step 19: Apply displacement constraints.

You can apply displacement constraints directly to lines.

  1. Main Menu> Solution> Define Loads> Apply> Structural> Displacement> On Lines

  2. Pick the four lines around left-hand hole (Line numbers 10, 9, 11, 12).

  3. OK (in picking menu).

  4. Click on All DOF.

  5. Enter 0 for zero displacement.

  6. OK to apply constraints and close dialog box.

  7. Utility Menu> Plot Lines

  8. Toolbar: SAVE_DB.

2.1.6.2. Step 20: Apply pressure load.

Now apply the tapered pressure load to the bottom, right-hand pin hole. ("Tapered" here means varying linearly.) Note that when a circle is created in ANSYS, four lines define the perimeter. Therefore, apply the pressure to two lines making up the lower half of the circle. Since the pressure tapers from a maximum value (500 psi) at the bottom of the circle to a minimum value (50 psi) at the sides, apply pressure in two separate steps, with reverse tapering values for each line.

The ANSYS convention for pressure loading is that a positive load value represents pressure into the surface (compressive).

  1. Main Menu> Solution> Define Loads> Apply> Structural> Pressure> On Lines

  2. Pick line defining bottom left part of the circle (line 6).

  3. Apply.

  4. Enter 50 for VALUE.

  5. Enter 500 for optional value.

  6. Apply.

  7. Pick line defining bottom right part of circle (line 7).

  8. Apply.

  9. Enter 500 for VALUE.

  10. Enter 50 for optional value.

  11. OK.

  12. Toolbar: SAVE_DB.

2.1.7. Obtain Solution

2.1.7.1. Step 21: Solve.

  1. Main Menu> Solution> Solve> Current LS

  2. Review the information in the status window, then choose File> Close (Windows), or Close (X11/Motif), to close the window.

  3. OK to begin the solution. Choose Yes to any Verify messages that appear.

  4. Close the information window when solution is done.

ANSYS stores the results of this one load step problem in the database and in the results file, Jobname.RST (or Jobname.RTH for thermal, Jobname.RMG for magnetic, and Jobname.RFL for fluid analyses). The database can actually contain only one set of results at any given time, so in a multiple load step or multiple substep analysis, ANSYS stores only the final solution in the database. ANSYS stores all solutions in the results file.

2.1.8. Review Results

The beginning of the postprocessing phase.

Note

The results you see may vary slightly from what is shown here due to variations in the mesh.

2.1.8.1. Step 22: Enter the general postprocessor and read in the results.

  1. Main Menu> General Postproc> Read Results> First Set

2.1.8.2. Step 23: Plot the deformed shape.

  1. Main Menu> General Postproc> Plot Results> Deformed Shape

  2. Choose Def + undeformed.

  3. OK.

    You can also produce an animated version of the deformed shape:

  4. Utility Menu> Plot Ctrls> Animate> Deformed Shape

  5. Choose Def + undeformed.

  6. OK.

  7. Make choices in the Animation Controller (not shown), if necessary, then choose Close.

2.1.8.3. Step 24: Plot the von Mises equivalent stress.

  1. Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu

  2. Choose Stress item to be contoured.

  3. Scroll down and choose von Mises (SEQV).

  4. OK.

    You can also produce an animated version of these results:

  5. Utility Menu> Plot Ctrls> Animate> Deformed Results

  6. Choose Stress item to be contoured.

  7. Scroll down and choose von Mises (SEQV).

  8. OK.

  9. Make choices in the Animation Controller (not shown), if necessary, then choose Close.

2.1.8.4. Step 25: List reaction solution.

  1. Main Menu> General Postproc> List Results> Reaction Solu

  2. OK to list all items and close the dialog box.

  3. Scroll down and find the total vertical force, FY.

  4. File> Close (Windows), or Close (X11/Motif), to close the window.

The value of 134.61 is comparable to the total pin load force.

Note

The values shown are representative and may vary from the values you obtain.

There are many other options available for reviewing results in the general postprocessor. You’ll see some of these demonstrated in other tutorials. You have finished the analysis. Exit the program in the next step.

2.1.8.5. Step 26: Exit the ANSYS program.

When exiting the ANSYS program, you can save the geometry and loads portions of the database (default), save geometry, loads, and solution data (one set of results only), save geometry, loads, solution data, and postprocessing data (i.e., save everything), or save nothing. You can save nothing here, but you should be sure to use one of the other save options if you want to keep the ANSYS data files.

  1. Toolbar: Quit.

  2. Choose Quit - No Save!

  3. OK.

Congratulations! You have completed this tutorial.

Even though you have exited the ANSYS program, you can still view animations using the ANSYS ANIMATE program. The ANIMATE program runs only on the PC and is extremely useful for:

  • Viewing ANSYS animations on a PC regardless of whether the files were created on a PC (AVI files) or on a UNIX workstation (ANIM files).

  • Converting ANIM files to AVI files.

  • Sending animations over the web.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 2. Structural Tutorial 		Up / Home Next
Chapter 3. Thermal Tutorial


Chapter 3. Thermal Tutorial

Solidification of a Casting

  • Problem Specification

  • Problem Description

  • Prepare for a Thermal Analysis

  • Input Geometry

  • Define Materials

  • Generate Mesh

  • Apply Loads

  • Obtain Solution

  • Review Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.1. Static Analysis of a Corner Bracket 		Up / Home Next
3.1. Solidification of a Casting


3.1. Solidification of a Casting

3.1.1. Problem Specification

Applicable ANSYS Products: | ANSYS Multiphysics, ANSYS Mechanical, ANSYS ED
Level of Difficulty: | moderate
Interactive Time Required: | 60 to 90 minutes
Discipline: | thermal
Analysis Type: | nonlinear transient
Element Types Used: | PLANE55
ANSYS Features Demonstrated: | conduction, convection, phase change, selecting, solution control, time-history postprocessing, use of a "get function"
Applicable Help Available: | Transient Thermal Analysis in the Thermal Analysis Guide, PLANE55 in the Elements Reference.

3.1.2. Problem Description

This is a transient heat transfer analysis of a casting process. The objective is to track the temperature distribution in the steel casting and the mold during the solidification process, which occurs over a duration of 4 hours. The casting is made in an L-shaped sand mold with 4 inch thick walls. Convection occurs between the sand mold and the ambient air.

3.1.2.1. Given

Material Properties for Sand |
Conductivity (KXX) | 0.025 Btu/(hr-in-oF)
Density (DENS) | 0.054 lb/in3
Specific heat (C) | 0.28 Btu/(lb-oF)
Conductivity (KXX) for Steel |
at 0oF | 1.44 Btu/(hr-in-oF)
at 2643oF | 1.54
at 2750oF | 1.22
at 2875oF | 1.22
Enthalpy (ENTH) for Steel |
at 0oF | 0.0 Btu/in3
at 2643oF | 128.1
at 2750oF | 163.8
at 2875oF | 174.2
Initial Conditions |
Temperature of steel | 2875 oF
Temperature of sand | 80 oF
Convection Properties |
Film coefficient | 0.014 Btu/(hr-in2-oF)
Ambient temperature | 80 oF

3.1.2.2. Approach and Assumptions

You will perform a 2-D analysis of a one unit thick slice. Half symmetry is used to reduce the size of the model. The lower half is the portion you will model.

The mold material (sand) has constant material properties. The casting (steel) has temperature-dependent thermal conductivity and enthalpy; both are input in a table of values versus temperature. The enthalpy property table captures the latent heat capacity of the metal as it solidifies. Radiation effects are ignored.

Solution control is used to establish several nonlinear options, including automatic time stepping. Automatic time stepping determines the proper time step increments needed to converge the phase change nonlinearity. This means that smaller time step sizes will be used during the transition from molten metal to solid state.

3.1.2.3. Summary of Steps

Use the information in the problem description and the steps below as a guideline in solving the problem on your own. Or, use the detailed interactive step-by-step solution by choosing the link for step 1.

Prepare for a Thermal Analysis

1. Set preferences.

Back To Top

Input Geometry

2. Read in the geometry of the casting.

Back To Top

Define Materials

3. Define material properties.

4. Plot material properties vs. temperature.

5. Define element type.

Back To Top

Generate Mesh

6. Mesh the model.

Back To Top

Apply Loads

7. Apply convection loads on the exposed boundary lines.

Back To Top

Obtain Solution

8. Define analysis type.

9. Examine solution control.

10. Specify initial conditions for the transient.

11. Set time, time step size, and related parameters.

12. Set output controls.

13. Solve.

Back To Top

Review Results

14. Enter the time-history postprocessor and define variables.

15. Plot temperature vs. time.

16. Set up to animate the results.

17. Animate the results.

18. Exit the ANSYS program.

3.1.3. Prepare for a Thermal Analysis

3.1.3.1. Step 1: Set preferences.

To Set Preferences:

  1. Main Menu> Preferences

  2. (check) “Individual discipline(s) to show in the GUI” = Thermal

  3. [OK]

3.1.4. Input Geometry

3.1.4.1. Step 2: Read in the geometry of the casting.

You will begin by reading in a file that includes the model of the casting.

  1. Utility Menu> File> Read Input from ...

  2. File name: casting.inp

    UNIX version:

    /ansys_inc/v110/ansys/data/models/casting.inp

    PC version:

    \Program Files\Ansys Inc\V110\ANSYS\data\models\casting.inp

  3. [OK]

3.1.5. Define Materials

3.1.5.1. Step 3: Define material properties.

Define the sand mold material properties as material number 1. These are not functions of temperature.

  1. Main Menu> Preprocessor> Material Props> Material Models

  2. (double-click) “Thermal”, then “Conductivity”, then “Isotropic”

  3. “KXX” = 0.025

  4. [OK]

  5. (double-click) “Specific Heat”

  6. “C” = 0.28

  7. [OK]

  8. (double-click) “Density”

  9. “DENS” = 0.54

  10. [OK]

    Note

    PC Users: You can view a demo on defining one material model by pointing your Internet Explorer browser to the following URL address: http://www.ansys.com/techmedia/one_material.html

    The metal casting is defined as material number 2. These properties change significantly as the metal cools down from the liquid phase to the solid phase. Therefore, they are entered in a table of properties versus temperature.

    First define the temperature dependent thermal conductivity.

  11. Material> New Model

  12. “Define Material ID” = 2

  13. [OK]

  14. (double-click) “Isotropic”

  15. [Add Temperature] three times to create fields for the four temperatures.

  16. “T1” = 0

  17. “T2” = 2643

  18. “T3” = 2750

  19. “T4” = 2875

  20. “KXX” at “T1” = 1.44

  21. “KXX” at “T2” = 1.54

  22. “KXX” at “T3” = 1.22

  23. “KXX” at “T4” = 1.22

    You will now copy the four temperatures so you will be able to paste them into the Enthalpy dialog box.

  24. Select the temperatures by holding the left mouse button and dragging across the temperature row so that the row is highlighted.

  25. [Ctrl] then [c] to copy the temperatures.

  26. [OK]

    Next, define the temperature dependent enthalpy.

  27. (double-click) “Enthalpy”

  28. [Add Temperature] three times to create fields for the four temperatures.

  29. Paste the temperatures into the dialog box by highlighting the T1 temperature field, and pressing [Ctrl] then [v].

  30. “ENTH” at “T1” = 0

  31. “ENTH” at “T2” = 128.1

  32. “ENTH” at “T3” = 163.8

  33. “ENTH” at “T4” = 174.2

  34. [OK]

    Note

    PC Users: You can view a demo on adding a temperature dependent material model by pointing your Internet Explorer browser to the following URL address: http://www.ansys.com/techmedia/add_temp_material.html

3.1.5.2. Step 4: Plot material properties vs. temperature.

  1. (double-click) “Thermal conduct. (iso)” under Material Model Number 2.

  2. [Graph]

  3. [OK]

    Note

    PC Users: You can view a demo on graphing a temperature dependent material model by pointing your Internet Explorer browser to the following URL address: http://www.ansys.com/techmedia/graph_temp_material.html

  4. (double-click) “Enthalpy” under the right or left window.

  5. [Graph]

  6. [OK]

  7. Material> Exit

  8. Toolbar: SAVE_DB

3.1.5.3. Step 5: Define element type.

You will now define the element type as PLANE55.

  1. Main Menu> Preprocessor> Element Type> Add/Edit/Delete

  2. [Add ...]

  3. “Thermal Solid” (left column)

  4. “Quad 4node 55” (right column)

  5. [OK]

  6. [Close]

  7. Toolbar: SAVE_DB

3.1.6. Generate Mesh

3.1.6.1. Step 6: Mesh the model.

  1. Utility Menu> Plot> Areas

    Specify a SmartSize of 4. This will allow a slightly finer mesh than the default and yet the resulting number of elements will be within the ANSYS ED program limits for the maximum number of elements.

  2. Main Menu> Preprocessor> Meshing> MeshTool

  3. (check) “Smart Size”

  4. (slide) “Fine Course” = 4

  5. [Mesh]

    Mesh the mold area first. Note that the material attribute reference number defaults to 1 and there is no need to set attributes before meshing the area.

  6. Pick the mold area A5 (Hint: Place the mouse cursor on top of the A5 label when you pick -- this is the picking "hot spot," based on the centroid of the area.).

  7. [OK]

    Before meshing the casting area, set the material attribute to that of steel (material 2).

  8. (drop down in MeshTool) “Element Attributes” = Global, then [Set]

  9. (drop down) “Material number” = 2

  10. [OK]

  11. Utility Menu> Plot> Areas

  12. [Mesh] in MeshTool

  13. Pick area A4

  14. [OK]

  15. [Close] in MeshTool

  16. Utility Menu> Plot> Elements

    Note: The mesh you obtain may vary slightly from the mesh shown here. As a result of this, you may see slightly different results during postprocessing. For a discussion of results accuracy, see Planning Your Approach in the Modeling and Meshing Guide.

    To verify that the elements have the right materials, plot them with different colors for different materials.

  17. Utility Menu> PlotCtrls> Numbering

  18. (drop down) “Elem / Attrib numbering” = Material numbers

  19. [OK]

    Note: the elements of material 1 form the sand mold. The elements of material 2 form the steel casting. You can also plot the elements showing materials in different colors without displaying the associated material numbers.

  20. Utility Menu> PlotCtrls> Numbering

  21. (drop down) “Numbering shown with” = Colors only

  22. [OK]

  23. Toolbar: SAVE_DB

3.1.7. Apply Loads

3.1.7.1. Step 7: Apply convection loads on the exposed boundary lines.

Apply the convection to the lines of the solid model. Loads applied to solid modeling entities are automatically transferred to the finite element model during solution.

  1. Utility Menu> Plot> Lines

  2. Main Menu> Preprocessor> Loads> Define Loads> Apply> Thermal> Convection> On Lines

  3. Pick the three lines that are exposed to ambient air.

  4. [OK]

  5. “Film coefficient” = 0.014

  6. “Bulk temperature” = 80

  7. [OK]

  8. Toolbar: SAVE_DB

3.1.8. Obtain Solution

3.1.8.1. Step 8: Define analysis type.

  1. Main Menu> Solution> Analysis Type> New Analysis

  2. (check) “Type of analysis” = Transient

  3. [OK]

  4. (check) “Solution method” = Full

  5. [OK]

3.1.8.2. Step 9: Examine solution control.

The Approach and Assumptions section of this tutorial mentioned that solution control is used to establish several nonlinear options. In this step, you will be directed to the online help for solution control so you can examine the details of this feature.

You will access this help topic by clicking on the Help button from within the Nonlinear Solution Control dialog box.

  1. Main Menu> Solution> Load Step Opts> Solution Ctrl

    Note that solution control is on by default.

    Before clicking on the Help button in the next step, you should be aware that the help information may appear in the same window as this tutorial, replacing the contents of the tutorial. If this is the case, after reading the help information, you will need to click on the Back button to return to this tutorial. If the help information appears in a separatewindow from the tutorial, you can minimize or close the help window after you read the help information.

  2. [Help] then read the details on Solution Control.

  3. If the help information replaced the tutorial, click on the Back button to return to the tutorial. If the help information appears in a separate window, you can close or minimize that window.

  4. [Cancel] to remove the dialog box.

3.1.8.3. Step 10: Specify initial conditions for the transient.

The mold is initially at an ambient temperature of 80oF and the molten metal is at 2875oF. Use select entities to obtain the correct set of nodes on which to apply the initial temperatures. First select the casting area, then select the nodes within that area and apply the initial molten temperature to those nodes. Next, invert the selected set of nodes and apply the ambient temperature to the mold nodes.

Start by plotting areas.

  1. Utility Menu> Plot> Areas

  2. Utility Menu> Select> Entities

  3. (first drop down) “Areas”

  4. [OK]

  5. Pick area A4, which is the casting.

  6. [OK]

  7. Utility Menu> Select> Everything Below> Selected Areas

  8. Utility Menu> Plot> Nodes

  9. Main Menu> Solution> Define Loads> Apply> Initial Condit'n> Define

  10. [Pick All] to use selected nodes.

  11. (drop down) “DOF to be specified” = TEMP

  12. “Initial value of DOF” = 2875

  13. [OK]

  14. Utility Menu> Select> Entities

  15. (first drop down) “Nodes”

  16. (second drop down) “Attached to”

  17. (check) “Areas, all”

  18. [Invert] This is an action command; the selected set of nodes is immediately inverted.

  19. [Cancel] to close the dialog box.

  20. Utility Menu> Plot> Nodes

  21. Main Menu> Solution> Define Loads> Apply> Initial Condit'n> Define

  22. [Pick All] to use all selected nodes.

  23. “Initial value of DOF” = 80

  24. [OK]

    Remember to always select Everything again when you are finished selecting the nodes!

  25. Utility Menu> Select> Everything

  26. Toolbar: SAVE_DB

3.1.8.4. Step 11: Set time, time step size, and related parameters.

Stepped boundary conditions simulate the sudden contact of molten metal at 2875 oF with the mold at ambient temperature. The program will choose automatic time stepping that will enable the time step size to be modified depending on the severity of nonlinearities in the system (for example, it will take smaller time steps while going through the phase change). The maximum and minimum time step sizes represent the limits for this automated procedure.

  1. Main Menu> Solution> Load Step Opts> Time/Frequenc> Time-Time Step

  2. “Time at end of load step” = 4

    Note

    This represents 4 hours.

  3. “Time step size” = 0.01

  4. (check) “Stepped or ramped b. c.” = Stepped

  5. “Minimum time step size” = 0.001

  6. “Maximum time step size” = 0.25

  7. [OK]

3.1.8.5. Step 12: Set output controls.

  1. Main Menu> Solution> Load Step Opts> Output Ctrls> DB/Results File

  2. (check) “File write frequency” = Every substep

  3. [OK]

  4. Toolbar: SAVE_DB

3.1.8.6. Step 13: Solve.

  1. Main Menu> Solution> Solve> Current LS

  2. Review the information in the status window, then choose. File> Close (Windows), or Close (X11/Motif), to close the window.

  3. [OK] to initiate the solution.

  4. [Close] when the solution is done.

While ANSYS is solving the analysis, the Graphical Solution Tracking (GST) monitor plots the "Absolute Convergence Norm" as a function of the "Cumulative Iteration Number." Notice that the solution is assumed to have converged for values less than or equal to the convergence criteria.

3.1.9. Review Results

3.1.9.1. Step 14: Enter the time-history postprocessor and define variables.

Use the time-history postprocessor to look at the variation of temperature with respect to time at one point on the casting (on the symmetry plane).

  1. Utility Menu> PlotCtrls> Numbering

  2. (check) “Node numbers” = On

  3. (drop down) “Numbers shown with” = Colors & numbers

  4. [OK]

  5. Utility Menu> Plot> Elements

    The node at the center of the casting on the symmetry plane is the node of interest. Use a "get function" to define a variable equal to the value of the node number at the location of interest (16,6,0). By using a variable to identify the node at the center point, the analysis will be more flexible in that the center node will always be used even if the mesh, and therefore node numbers, change.

  6. Utility Menu> Parameters> Scalar Parameters

  7. “Selection”=cntr_pt = node (16,6,0)

  8. [Accept}

    Note the center point node number. This number can vary due to differences in the mesh.

  9. [Close]

  10. Main Menu> TimeHist Postproc

  11. [+] to add data.

  12. (double-click) “Nodal Solution”, then “DOF Solution”, then “Temperature”

  13. “Variable Name” = center

  14. [OK]

  15. Type cntr_pt in the picker, then press Enter.

  16. [OK] in the picker.

  17. File> Close

3.1.9.2. Step 15: Plot temperature vs. time.

  1. Main Menu> TimeHist Postpro> Graph Variables

  2. “1st variable to graph” = 2

  3. [OK] to plot the results at cntr_point as a function of time.

Notice from this graph that the solidification region is approximately between 2643oF and 2750oF. Your graph may vary slightly.

3.1.9.3. Step 16: Set up to animate the results.

Next, animate the solidification of the molten metal. To better visualize the solidification process, specify three contours. One will represent the molten metal (T greater than 2750 oF), one will represent the solidified metal (T less than 2643 oF), and the third will represent everything in between.

But first, to perform an animation, you must enter the General Postprocessor and read the first set of results.

  1. Main Menu> General Postproc> Read Results> First Set

  2. Utility Menu> PlotCtrls> Numbering

  3. (check) “Node numbers” = Off

  4. (drop down) “Elem / Attrib numbering” = No numbering

  5. (drop down) “Replot upon OK/Apply?” = Do not replot

  6. [OK]

  7. Utility Menu> Plot> Elements

  8. Utility Menu> PlotCtrls> Style> Contours> Non_uniform Contours

    Note that as indicated in the brackets at the upper left corner of the dialog box, the command to specify non_uniform contours is /CVAL. You will later use this command to set the contours to their default setting.

  9. “V1” = 2643

  10. “V2” = 2750

  11. “V3” = 3000

    Note

    These three values represent the upper bounds of the first, second, and third contours, respectively.

  12. [OK]

3.1.9.4. Step 17: Animate the results.

[Note for UNIX systems only: To capture the animation sequence in terminal segment memory, it is necessary to reduce the size of the Graphics Window or you will run out of terminal memory. Although this depends on your particular system, and the size of the animation file to be created, for this exercise it is suggested that the ratio of the original window size to the reduced window size should be about 2:1.]

Procedure on all systems:

  1. Utility Menu> PlotCtrls> Animate> Over Time

  2. “Number of animation frames” = 30

  3. (check) “Auto contour scaling” = Off

  4. [OK]

    During the animation, notice the three separate colors - red for temperatures greater than 2750 oF (molten steel), green for temperatures between 2643 oF and 2750 oF (the "mushy" phase change region), and blue for temperatures below 2643 oF (the solidified steel and the sand mold). As you would expect, the last region to solidify is the material at the center of the casting. (Remember that a symmetry model was used.)

  5. Make choices in the Animation Controller (not shown), if necessary, then [Close].

    To visualize the temperature distribution throughout the model over the 4 hour span, animate the temperature distribution with the default contour settings. To change the contour settings back to their default value, simply type /CVAL in the ANSYS Input Window. Note that /CVAL is the command you used earlier to set non_uniform contours. The same outcome can be achieved by going back to the Non_Uniform Contours window and setting all the values to zero.

  6. Type /CVAL, then press Enter.

  7. Utility Menu> PlotCtrls> Animate> Over Time

  8. [OK]

  9. Make choices in the Animation Controller (not shown), if necessary, then [Close].

3.1.9.5. Step 18: Exit the ANSYS program.

  1. Toolbar: QUIT

  2. (check) “Quit - No Save!”

  3. [OK]

Congratulations! You have completed this tutorial.

Even though you have exited the ANSYS program, you can still view animations using the ANSYS ANIMATE program. The ANIMATE program runs only on the PC and is extremely useful for:

  • Viewing ANSYS animations on a PC regardless of whether the files were created on a PC (AVI files) or on a UNIX workstation (ANIM files).

  • Converting ANIM files to AVI files.

  • Sending animations over the web.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 3. Thermal Tutorial 		Up / Home Next
Chapter 4. Electromagnetics Tutorial


Chapter 4. Electromagnetics Tutorial

Magnetic Analysis of a Solenoid Actuator

  • Problem Specification

  • Problem Description

  • Input Geometry

  • Define Material

  • Generate Mesh

  • Apply Loads

  • Obtain Solution

  • Review Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.1. Solidification of a Casting 		Up / Home Next
4.1. Magnetic Analysis of a Solenoid Actuator


4.1. Magnetic Analysis of a Solenoid Actuator

4.1.1. Problem Specification

Applicable ANSYS Products: | ANSYS Multiphysics, ANSYS Emag, ANSYS ED
Level of Difficulty: | easy
Interactive Time Required: | 60 to 75 minutes
Discipline: | electromagnetics
Analysis Type: | linear static
Element Types Used: | PLANE13
ANSYS Features Demonstrated: | axisymmetry, vector plots, element table operations, path operations
Applicable Help Available: | Two-dimensional Static Magnetic Analysis in the Low-Frequency Electromagnetic Analysis Guide, PLANE13 in the Elements Reference.

4.1.2. Problem Description

A solenoid actuator is to be analyzed as a 2-D axisymmetric model. For the given current, determine the force on the armature.

4.1.2.1. Given

The dimensions of the solenoid actuator are in centimeters. The armature is the moving component of the actuator. The back-iron is the stationary iron component of the actuator that completes the magnetic circuit around the coil. The stranded, wound coil of 650 windings with 1 amp/turn supplies the predefined current. The current per winding is 1 amp. The air-gap is the thin rectangular region of air between the armature and the pole faces of the back-iron.

4.1.2.2. Approach and Assumptions

The magnetic flux produced by the coil current is assumed to be so small that no saturation of the iron occurs. This allows a single iteration linear analysis. The flux leakage out of the iron at the perimeter of the model is assumed to be negligible. This assumption is made simple to keep the model small. The model would normally be created with a layer of air surrounding the iron equal to or greater than the maximum radius of the iron.

The air gap is modeled so that a quadrilateral mesh is possible. A quadrilateral mesh allows for a uniform thickness of the air elements adjacent to the armature where the virtual work force calculation is performed. This is desirable for an accurate force calculation.

The program requires the current to be input in the form of current density (current over the area of the coil).

The assumption of no leakage at the perimeter of the model means that the flux will be acting parallel to this surface. This assumption is enforced by the "flux parallel" boundary condition placed around the model. This boundary condition is used for models in which the flux is contained in an iron circuit.

Forces for the virtual work calculation are stored in an element table and then summed. The force is also calculated by the Maxwell Stress Tensor method and the two values are found to be relatively close.

4.1.2.3. Summary of Steps

Use the information in the problem description and the steps below as a guideline in solving the problem on your own. Or, use the detailed interactive step-by-step solution by choosing the link for step 1.

Input Geometry

1. Read in geometry input file.

Back To Top

Define Materials

2. Set preferences.

3. Specify material properties.

Back To Top

Generate Mesh

4. Define element type and options.

5. Assign material property attributes.

6. Specify meshing-size controls on air gap.

7. Mesh the model using the MeshTool.

8. Scale model to meters for solution.

Back To Top

Apply Loads

9. Define the armature as a component.

10. Apply force boundary conditions to armature.

11. Apply the current density.

12. Obtain a flux parallel field solution.

Back To Top

Obtain Solution

13. Solve.

Back To Top

Review Results

14. Plot the flux lines in the model.

15. Summarize magnetic forces.

16. Plot the flux density as vectors.

17. Plot the magnitude of the flux density.

18. Exit the ANSYS program.

4.1.3. Input Geometry

4.1.3.1. Step 1: Read in geometry input file.

You will begin by reading in a file that includes the model.

  1. Utility Menu> File> Read Input from ...

  2. File name: solenoid.inp

    UNIX version:

    /ansys_inc/v110/ansys/data/models/solenoid.inp

    PC version:

    \Program Files\Ansys Inc\V110\ANSYS\data\models\solenoid.inp

  3. [OK]

4.1.4. Define Materials

4.1.4.1. Step 2: Set preferences.

You will now set preferences in order to filter quantities that pertain to this discipline only.

  1. Main Menu> Preferences

  2. (check) “Magnetic-Nodal”

  3. [OK]

4.1.4.2. Step 3: Specify material properties.

Now specify the material properties for the magnetic permeability of air, back-iron, coil, and armature. For simplicity, all material properties are assumed to be linear. (Typically, iron is input as a nonlinear B-H curve.) Material 1 will be used for the air elements. Material 2 will be used for the back-iron elements. Material 3 will be used for the coil elements. Material 4 will be used for the armature elements.

  1. Main Menu> Preprocessor> Material Props> Material Models

  2. (double-click) “Electromagnetics”, then "Relative Permeability”, then “Constant”

  3. “MURX” = 1

  4. [OK]

  5. Edit> Copy

  6. [OK] to copy Material Model Number 1 to become Material Model Number 2.

  7. (double-click) “Material Model Number 2”, then “Permeability (Constant)”

  8. “MURX” = 1000

  9. [OK]

  10. Edit> Copy

  11. “from Material Number” = 1

  12. “to Material Number” = 3

  13. [OK]

  14. Edit> Copy

  15. “from Material Number” = 2

  16. “to Material Number” = 4

  17. [OK]

  18. (double-click) “Material Model Number 4”, then “Permeability (Constant)”

  19. “MURX” = 2000

  20. [OK]

  21. Material> Exit

  22. Utility Menu> List> Properties> All Materials

  23. Review the list of materials, then:

    File> Close (Windows),

    or

    Close (X11/Motif) to close the window.

4.1.5. Generate Mesh

4.1.5.1. Step 4: Define element types and options.

In this step you will define element types and specify options associated with these element types.

The higher-order element PLANE53 is normally preferred, but to keep the model size small, use the lower-order element PLANE13.

  1. Main Menu> Preprocessor> Element Type> Add/Edit/Delete

  2. [Add...]

  3. “Magnetic Vector” (left column)

  4. “Vect Quad 4nod13 (PLANE13” (right column)

  5. [OK]

  6. [Options...]

  7. (drop down) “Element behavior” = Axisymmetric

  8. [OK]

  9. [Close]

4.1.5.2. Step 5: Assign material properties.

Now assign material properties to air gaps, iron, coil, and armature areas.

  1. Main Menu> Preprocessor> Meshing> MeshTool

  2. (drop down) “Element Attributes” = Areas; then [Set]

  3. Pick four areas of air gaps, A13, A14, A17, and A18 (the picking "hot spot" is at the area number label).

  4. [OK]

  5. (drop down) “Material number” = 1

  6. [Apply]

  7. Pick the five back-iron areas, A7, A8, A9, A11, A12.

  8. [OK]

  9. (drop down) “Material number” = 2

  10. [Apply]

  11. Pick coil area, A4.

  12. [OK]

  13. (drop down) “Material number” = 3

  14. [Apply}

  15. Pick armature area, A10, A15, A16.

  16. [OK]

  17. (drop down) “Material number” = 4

  18. [OK]

  19. Toolbar: SAVE_DB

4.1.5.3. Step 6: Specify meshing-size controls on air gap.

Adjust meshing size controls to get two element divisions through the air gap.

  1. Main Menu> Preprocessor> Meshing> Size Cntrls> ManualSize> Lines> Picked Lines

  2. Pick four vertical lines through air gap.

  3. [OK]

  4. “No. of element divisions” = 2

  5. [OK]

4.1.5.4. Step 7: Mesh the model using the MeshTool.

  1. “Size Control Global” = [Set]

  2. “Element edge length” = 0.25

  3. [OK]

  4. (drop down) “Mesh” = Areas

  5. [Mesh]

  6. [Pick All]

  7. [Close]

    Note: Due to ANSYS ED FEA limitations, choose a coarse mesh. However, for production use, a finer mesh can be used, especially in the air-gap region.

  8. Utility Menu> PlotCtrls> Numbering

  9. (drop down) “Elem / attrib numbering” = Material numbers

  10. [OK]

Note: Your mesh may vary slightly from the mesh shown here. As a result, you may see slightly different results during postprocessing. For a discussion of results accuracy, see Planning Your Approach in the Modeling and Meshing Guide.

4.1.5.5. Step 8: Scale model to meters for solution.

For a magnetic analysis, a consistent set of units must be used. In this tutorial, MKS units are used, so you must scale the model from centimeters to meters.

  1. Main Menu> Preprocessor> Modeling> Operate> Scale> Areas

  2. [Pick All]

  3. “RX,RY,RZ Scale Factors” = 0.01, 0.01, 1

  4. (drop down) “Existing areas will be” = Moved

  5. [OK]

  6. Toolbar: SAVE_DB

4.1.6. Apply Loads

4.1.6.1. Step 9: Define the armature as a component.

The armature can conveniently be defined as a component by selecting its elements.

  1. Utility Menu> Select> Entities

  2. (first drop down) “Elements”

  3. (second drop down) “By Attributes”

  4. “Min, Max, Inc” = 4

  5. [OK]

  6. Utility Menu> Plot> Elements

  7. Utility Menu> Select> Comp/Assembly> Create Component

  8. “Component name” = ARM

  9. (drop down) “Component is made of” = Elements

  10. [OK]

4.1.6.2. Step 10: Apply force boundary conditions to armature.

  1. Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Flag> Comp. Force/Torq

  2. (highlight) “Component name” = ARM

  3. [OK]

  4. Utility Menu> Select> Everything

  5. Utility Menu> Plot> Elements

4.1.6.3. Step 11: Apply the current density.

The current density is defined as the number of coil windings times the current, divided by the coil area. This equals (650)(1)/2, or 325. To account for scaling from centimeters to meters, the calculated value needs to be divided by .01**2.

  1. Utility Menu> Plot> Areas

  2. Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Excitation> Curr Density> On Areas

  3. Pick the coil area, which is the area in the center.

  4. [OK]

  5. “Curr density value” = 325/.01**2

  6. [OK]

    Close any warning messages that appear.

4.1.6.4. Step 12: Obtain a flux parallel field solution.

Apply a perimeter boundary condition to obtain a “flux parallel” field solution. This boundary condition assumes that the flux does not leak out of the iron at the perimeter of the model. Of course at the centerline this is true due to axisymmetry.

  1. Utility Menu> Plot> Lines

  2. Main Menu> Preprocessor> Loads> Define Loads> Apply> Magnetic> Boundary> Vector Poten> Flux Par'l> On Lines

  3. Pick all lines around perimeter of model (14 lines).

  4. [OK]

  5. Toolbar: SAVE_DB

4.1.7. Obtain Solution

4.1.7.1. Step 13: Solve.

  1. Main Menu> Solution> Solve> Electromagnet> Static Analysis> Opt & Solve

  2. [OK] to initiate the solution.

  3. [Close] the information window when solution is done.

4.1.8. Review Results

4.1.8.1. Step 14: Plot the flux lines in the model.

Note that a certain amount of undesirable flux leakage occurs out of the back-iron.

  1. Main Menu> General Postproc> Plot Results> Contour Plot> 2D Flux Lines

  2. [OK]

    Close any Notes or Warnings.

Your results may vary slightly from what is shown here due to variations in the mesh.

4.1.8.2. Step 15: Summarize magnetic forces.

  1. Main Menu> General Postproc> Elec & Mag Calc> Component Based> Force

  2. (highlight) “Component name(s)” = ARM

  3. [OK]

  4. Review the information, then choose:

    File> Close (Windows),

    or

    Close (X11/Motif), to close the window.

4.1.8.3. Step 16: Plot the flux density as vectors.

  1. Main Menu> General Postproc> Plot Results> Vector Plot> Predefined

  2. “Flux & gradient” (left column)

  3. “Mag flux dens B” (right column)

  4. [OK]

4.1.8.4. Step 17: Plot the magnitude of the flux density.

Plot the magnitude of the flux density without averaging the results across material discontinuities.

  1. Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu

  2. Choose "Magnetic Flux Density," then "Magnetic flux density vector sum."

  3. [OK]

    Next, you will see how the flux density is distributed throughout the entire actuator. Up to this point, the analysis and all associated plots have used the 2-D axisymmetric model, with the axis of symmetry aligned with the left vertical portion of the device. ANSYS will continue the analysis on the 2-D finite element model, but will allow you to produce a three-quarter expanded plot representation of the flux density throughout the device, based on the defined axisymmetry. This function is purely graphical. No changes to the database will be made when you produce this expanded plot.

  4. Utility Menu> PlotCtrls> Style> Symmetry Expansion> 2D Axi-Symmetric

  5. (check) “3/4 expansion”

  6. [OK]

    Obtain an isometric view for a more meaningful representation.

  7. Utility Menu> PlotCtrls> Pan,Zoom,Rotate

  8. [Iso]

  9. [Close]

4.1.8.5. Step 18: Exit the ANSYS program.

  1. Toolbar: QUIT

  2. (check) “Quit - No Save!”

  3. [OK]

    Congratulations! You have completed this tutorial.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 4. Electromagnetics Tutorial 		Up / Home Next
Chapter 5. CFD Tutorial


Chapter 5. CFD Tutorial

Laminar and Turbulent Flow Analyses in a 2-D Duct

  • Problem Specification

  • Problem Description

  • Preprocessing (Laminar Analysis)

  • Solution (Laminar Analysis)

  • Postprocessing (Laminar Analysis)

  • Solution (Laminar Analysis with Change in Inlet Velocity)

  • Postprocessing (Laminar Analysis Using New Inlet Velocity)

  • Preprocessing (Laminar Analysis with Increase in Duct Length)

  • Solution (Laminar Analysis Using New Duct Length)

  • Postprocessing (Laminar Analysis Using New Duct Length)

  • Solution (Turbulent Analysis)

  • Postprocessing (Turbulent Analysis)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.1. Magnetic Analysis of a Solenoid Actuator 		Up / Home Next
5.1. Laminar and Turbulent Flow Analyses in a 2-D Duct


5.1. Laminar and Turbulent Flow Analyses in a 2-D Duct

5.1.1. Problem Specification

Applicable ANSYS Products: | ANSYS Multiphysics, ANSYS FLOTRAN, ANSYS ED
Level of Difficulty: | advanced
Interactive Time Required: | 1-1/2 to 2 hours
Discipline: | Computational Fluid Dynamics (CFD)
Analysis Type: | steady-state
Element Types Used: | FLUID141
ANSYS Features Demonstrated: | solid modeling, mapped meshing, defining an abbreviation on the Toolbar, restart of FLOTRAN solution, multiple solutions, vector displays, line graphs, path operations, trace particle animation
Applicable Help Available: | Overview of FLOTRAN CFD Analyses in the Fluids Analysis Guide, FLUID141 in the Elements Reference.

5.1.2. Problem Description

This problem models air flow in a two-dimensional duct. First, you define an arbitrary inlet velocity to simulate laminar flow with a Reynolds number of 90. After you obtain the solution and examine the results, you will increase the inlet velocity to investigate its effects on the flow profile and obtain a new solution. Then, in the third part, you will increase the duct length to allow the flow to achieve a fully developed profile in the solution. Finally, after calculating that the Reynold's number is greater than 4000, you will restart the solution using the turbulent model.

5.1.2.1. Given

Dimensions & Properties |
Inlet length | 4 in
Inlet height | 1 in
Transition length | 2 in
Outlet height | 2.5 in
Initial outlet length | 4 in
Added outlet length | 30 in
Air density | 1.21x10-7 lbf-s2/in4
Air viscosity | 2.642x10-9 lbf-s/in2
Inlet velocity | 1 in/sec*
Outlet pressure | 0 psi
*Initial value of 1 will be changed to 50 upon restart. |

5.1.2.2. Approach and Assumptions

You will perform two-dimensional analyses using the FLOTRAN element FLUID141. This problem is divided into four parts:

A laminar analysis of the flow of air with a Reynolds number of 90

An investigation of how a higher inlet velocity affects the flow profile using the laminar model

A laminar analysis of air with a longer duct length to observe a more fully developed flow profile

A turbulent analysis of the flow of air with a Reynolds number of ~4600

For all solutions, you will apply a uniform velocity profile at the inlet. This includes specification of a zero velocity condition at the inlet in the direction normal to the inlet flow. You will apply no-slip (zero velocity) conditions all along the walls (including where the walls intersect the inlets and outlets). The fluid is considered incompressible and you can assume that the properties will be constant. In such cases, only the relative value of pressure is important, and a zero relative pressure is applied at the outlet.

For the initial analysis, the flow is in the laminar regime (Reynold's number < 3000). To compute the Reynolds number of the flow for internal duct flows, the equation is as follows:

(Note that in a two-dimensional geometry, the hydraulic diameter is twice the inlet height.)

You will increase the inlet velocity to 50 in/s for the second analysis (which will increase the Reynolds number accordingly) and you will rerun the solution.

The flow profile for the second analysis shows that the flow is not fully developed, therefore the logical next step would be to increase the duct length in order to allow for a more complete profile. You will increase the length of the duct by 30 inches and rerun the solution.

For internal flows, the transition to turbulence occurs within the Reynolds number range of 2000-3000. Therefore for the last solution of air in the duct (Reynolds number ~4,500), the flow will be turbulent. For the last analysis, you will initiate the solution using the turbulent model. You will restart the analysis here (instead of rerunning it) because the problem domain has not changed.

5.1.2.3. Summary of Steps

Use the information in the problem description and the steps below as a guideline in solving the problem on your own. Or, use the detailed interactive step-by-step solution by choosing the link for step 1.

Before you begin, delete any results files (.rfl) from previous CFD analyses that still reside in your working directory. If you begin an ANSYS session to start a new CFD analysis, and use the same jobname from a file stored from a previous CFD analysis, the program will not start from scratch, but will restart and append to files with the same name (Jobname.rfl and Jobname.pfl). To avoid this situation, delete these results files when starting a new CFD analysis. Another way of avoiding this situation is to change the jobname to one that was not used in a previous CFD analysis. You can change the jobname in the product launcher before starting ANSYS, or during an ANSYS session by choosing Utility Menu> File> Change Jobname.

Preprocessing (Laminar Analysis)

1. Set preferences.

2. Define element type.

3. Create rectangle for the inlet region.

4. Create the outlet rectangle.

5. Create the transition region between the rectangles.

6. Establish mesh patterns.

7. Create the finite element mesh.

8. Create command on the Toolbar.

9. Apply boundary conditions.

Back To Top

Solution (Laminar Analysis)

10. Establish fluid properties.

11. Set execution controls.

12. Change reference conditions.

13. Execute FLOTRAN solution.

Back To Top

Postprocessing (Laminar Analysis)

14. Read in the results for postprocessing.

15. Plot velocity vectors.

16. Plot total pressure contours.

17. Animate velocity of trace particles.

18. Make a path plot of the velocity through the outlet.

Back To Top

Solution (Laminar Analysis with Change in Inlet Velocity)

19. Increase the inlet velocity.

20. Run the analysis.

Back To Top

Postprocessing (Laminar Analysis Using New Inlet Velocity)

21. Plot total pressure contours.

22. Animate velocity of trace particles.

23. Make a path plot of the velocity through the outlet.

Back To Top

Preprocessing (Laminar Analysis with Increase in Duct Length)

24. Delete pressure boundary condition.

25. Construct additional outlet region.

26. Establish mesh divisions for the new rectangle and mesh.

27. Apply boundary conditions on new region.

Back To Top

Solution (Laminar Analysis Using New Duct Length)

28. Change the jobname and execute solution.

Back To Top

Postprocessing (Laminar Analysis Using New Duct Length)

29. Read in the new results and plot velocity vectors.

30. Plot total pressure contours.

31. Animate velocity of trace particles.

32. Make a path plot of the velocity through the outlet.

33. Calculate Reynolds number.

Back To Top

Solution (Turbulent Analysis)

34. Specify FLOTRAN solution options and execution controls.

35. Restart the analysis.

Back To Top

Postprocessing (Turbulent Analysis)

36. Plot total pressure contours.

37. Animate velocity of trace particles.

38. Make a path plot of the velocity through the outlet.

39. Exit the ANSYS program.

5.1.3. Preprocessing (Laminar Analysis)

5.1.3.1. Step1: Set preferences.

You will now set preferences in order to filter quantities that pertain to this discipline only.

  1. Main Menu > Preferences

  2. Turn on FLOTRAN CFD filtering.

  3. OK.

5.1.3.2. Step 2: Define element type.

  1. Main Menu > Preprocessor > Element Type > Add/Edit/Delete

  2. Add an element type.

  3. Choose FLOTRAN CFD.

  4. Choose 2D FLOTRAN element (FLUID141).

  5. OK.

  6. Close.

5.1.3.3. Step 3: Create rectangle for the inlet region.

  1. Main Menu> Preprocessor> Modeling> Create> Areas> Rectangle> By Dimensions

  2. Enter the following:

    X1 = 0

    X2 = 4

  3. Enter the following:

    Y1 = 0

    Y2 = 1

  4. Apply to create the first rectangle and preserve the dialog box for the second rectangle.

5.1.3.4. Step 4: Create the outlet rectangle.

  1. Enter the following:

    X1 = 6

    X2 = 10

  2. Enter the following:

    Y1 = 0

    Y2 = 2.5

  3. OK.

  4. Toolbar: SAVE_DB.

5.1.3.5. Step 5: Create the transition region between the rectangles.

The transition region, where the flow expands, is bordered on the top by a smooth line tangent to the upper line of both rectangles. This line is created with the "Tangent to 2 lines" option. Note that the prompt in the Input Window will indicate what is to be picked (lines, ends of lines).

The area is then created as an arbitrary area through the four keypoints. Note that the area will be bounded by existing lines through those keypoints.

  1. Main Menu> Preprocessor> Modeling> Create> Lines> Lines> Tan to 2 Lines

  2. Pick first line (upper line of left rectangle).

  3. OK (in picking menu).

  4. Pick the tangency end of the first line (upper right corner).

  5. OK (in picking menu).

  6. Pick the second line (upper line of the larger rectangle.

  7. OK (in picking menu).

  8. Pick the tangency end of the second line.

  9. OK to create the line

    The result is a smooth line between the two areas.

    Now create the third area as an arbitrary area through keypoints.

  10. Main Menu> Preprocessor> Modeling> Create> Areas> Arbitrary> Through KPs

  11. Pick 4 corners in counterclockwise order.

  12. OK in the picking menu.

  13. Toolbar: SAVE_DB

5.1.3.6. Step 6: Establish mesh patterns.

To create a mapped mesh, set the specific size controls along the lines (LESIZE command). The establishment of a good finite element mesh is quite important in CFD analyses.

The general finite element philosophy of putting more elements in regions with higher solution gradients applies here. The mesh density should be sufficient to enable the program to capture the nature of the phenomena. For example, a small recirculation region is likely to develop in the expansion region. The greater the number of applied elements implies a higher level of flow details that will be captured.

Apply 10 elements in the transverse direction (Y) and bias them slightly towards the top and bottom boundaries. This will help capture boundary layer effects. For high Reynolds number problems, finer meshes should be used. Along the inlet flow direction (X) in the inlet, use the number of divisions tabulated below.

Mesh Division Strategy
Transverse (Y) direction | 10 divisions - bias towards walls
Inlet region, flow direction (X) | 15 divisions - bias towards inlet and transition
Transition region | 12 divisions - uniform spacing
Outlet region (initial) | 15 divisions - larger elements near outlet

Before attempting this step, plot the lines for clarity.

  1. Utility Menu> Plot> Lines

  2. Main Menu> Preprocessor> Meshing> Mesh Tool

  3. Choose Lines Set.

  4. Pick lines in flow direction along the inlet.

  5. Apply (in the picking menu).

  6. Enter 15 as the No. of element divisions.

  7. Enter -2 as the Spacing ratio (this produces smaller elements near both ends of the line).

  8. Apply.

    The mesh ratio chosen results in smaller elements near the inlet, where the flow is developing, and near the expansion, in which more elements will be placed because of the high solution gradients in that region. There should be a relatively smooth transition in element size from region to region throughout the entire problem domain.

    You will repeat this process of picking the lines and entering the number of divisions and the ratios, using the mesh division strategy above. Note that the mesh division ratio is applied to the direction of the lines, the larger elements being at the end of the line. This is the reason for the use of a number less than 1 for the upper line of the outlet region and a number greater than 1 for the lower line. (The line directions follow a counterclockwise direction, according to how they were generated.)

    Transition region:

  9. Pick the top and bottom lines in the center area.

  10. Apply (in the picking menu).

  11. Enter 12 as the No. of element divisions.

  12. Enter 1 as the Spacing ratio (uniform spacing).

  13. Apply.

    Outlet region:

  14. Pick the top and bottom lines in the outlet region.

  15. Apply (in the picking menu).

  16. Enter 15 as the No. of element divisions.

  17. Enter 3.0 as the Spacing ratio (bias towards outlet).

  18. OK.

    Notice that the upper line is not biased towards the transition. The line bias needs to be "flipped."

  19. Choose Flip in the Mesh Tool. (toggle to Mesh Tool as necessary.)

  20. Pick the upper line only.

  21. OK (in the picking menu).

    Transverse direction:

  22. Choose Lines Set.

  23. Pick the 4 transverse direction lines.

  24. OK to close picking menu.

  25. Enter 10 as the No. of element divisions.

  26. Enter -2 as the Spacing ratio (bias towards top and bottom walls).

  27. OK.

  28. Toolbar: SAVE_DB.

5.1.3.7. Step 7: Create the finite element mesh.

  1. Choose Mapped mesher.

  2. Choose Mesh.

  3. Pick All.

  4. Close the Mesh Tool. (Toggle to the Mesh Tool as necessary.)

5.1.3.8. Step 8: Create command on the ANSYS Toolbar.

The ANSYS Toolbar contains a set of buttons that execute commonly used ANSYS functions. It is convenient to establish a command on the ANSYS Toolbar that turns off the display of the triad at the origin. You will accomplish this by accessing the menu controls on the Utility Menu and then choosing to edit the Toolbar.

Enter the command name and command itself as an abbreviation.

  1. Utility Menu> MenuCtrls> Edit Toolbar

  2. Type TRI,/triad,off after *ABBR.

  3. Accept.

  4. Close.

  5. Turn off triad display using the new button TRI.

    This will unclutter subsequent result displays.

  6. Utility Menu> Plot> Lines

5.1.3.9. Step 9: Apply boundary conditions.

A velocity of 1 inch/second is applied in the X direction (VX) at the inlet, and a zero velocity is applied in the transverse direction at the inlet (VY in the Y direction). Zero velocities in both directions are applied all along the walls, and a zero pressure is applied at the outlet. These boundary conditions are being applied to the lines now so that they do not have to be applied again if remeshing is required.

Apply the inlet boundary condition.

  1. Main Menu> Preprocessor> Loads > Define Loads> Apply> Fluid/CFD> Velocity> On Lines

  2. Pick the inlet line (the vertical line at the far left).

  3. OK in the picking menu.

  4. Enter 1.0 for VX.

  5. Enter 0.0 for VY.

  6. OK.

    Apply the wall boundary conditions. Choose the lines which make up the walls and then apply zero velocities in the X and Y directions.

  7. Main Menu> Preprocessor> Loads> Define Loads> Apply> Fluid/CFD> Velocity> On Lines

  8. Pick the six lines on the top and bottom.

  9. OK in picking menu.

  10. Enter 0.0 for VX and VY.

  11. OK to apply the condition.

    You will subsequently see that the wall condition of zero velocity will automatically prevail at the corners where the inlets intersect the walls.

    Apply the outlet condition.

  12. Main Menu> Preprocessor> Loads> Define Loads> Apply> Fluid/CFD> Pressure DOF> On Lines

  13. Pick the outlet line (vertical line on the far right).

  14. OK (in picking menu).

  15. Enter 0 for the Pressure value.

  16. Set endpoints to Yes.

  17. OK.

  18. Toolbar: SAVE_DB.

    At this point, the finite element model is complete and the FLOTRAN menus are accessed to specify the fluid properties along with any other FLOTRAN controls that may be required.

5.1.4. Solution (Laminar Analysis)

5.1.4.1. Step 10: Establish fluid properties.

Fluid properties will be established for air in the “inches” set of units, where the unit of mass is (lbf-sec2)/in.

  1. Main Menu> Solution> FLOTRAN Set Up> Fluid Properties

  2. Choose AIR-IN for both density and viscosity.

  3. OK.

  4. OK.

5.1.4.2. Step 11: Set execution controls.

Choose the execution control from the FLOTRAN Set Up Menu.

  1. Main Menu> Solution> FLOTRAN Set Up> Execution Ctrl

  2. Enter 40 Global iterations (Note: 40 global iterations is arbitrary with no guarantee of convergence.)

  3. OK to apply and close.

5.1.4.3. Step 12: Change reference conditions.

The reference pressure is changed from the default value of 101 KPa to 14.7 psi to maintain a consistent set of units. Likewise, the nominal stagnation and reference temperatures are changed from 293oK to 530oR by setting them to 70oR and adding an offset temperature of 460oR.

  1. Main Menu> Solution> FLOTRAN Set Up> Flow Environment> Ref Conditions

  2. Change the reference pressure to 14.7 psi (equivalent to 1 atmosphere).

  3. Change the nominal, stagnation, and reference temperatures (in oR) to 70.

  4. Change the temperature offset (in oR) from absolute 0 to 460.

  5. OK.

  6. Toolbar: SAVE_DB.

5.1.4.4. Step 13: Execute FLOTRAN solution.

  1. Main Menu> Solution> Run FLOTRAN

    While running the FLOTRAN solution, ANSYS will plot the "Normalized Rate of Change" as a function of the "Cumulative Iteration Number." This is the Graphical Solution Tracker which allows visual monitoring of the solution for convergence.

  2. Close the information window when the solution is done.

5.1.5. Postprocessing (Laminar Analysis)

5.1.5.1. Step 14: Read in the results for postprocessing.

Enter the general postprocessor and read in the latest set of solution results, and then create a vector plot.

  1. Main Menu> General Postproc> Read Results> Last set

5.1.5.2. Step 15: Plot velocity vectors.

  1. Main Menu> General Postproc> Plot Results> Vector Plot> Predefined

  2. Choose DOF solution.

  3. Choose Velocity V.

  4. OK.

The resulting vector plot shows the recirculation region that occurs in the upper region of the duct.

5.1.5.3. Step 16: Plot total pressure contours.

  1. Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu

  2. Choose Other FLOTRAN Quantities.

  3. Choose Total Stagnation Pressure.

  4. OK.

The resulting contour plot shows the total static and dynamic pressures that occur in the duct.

5.1.5.4. Step 17: Animate velocity of trace particles.

  1. Main Menu> General Postproc> Plot Results>Defi Trace Pt

  2. Pick two or three points around the inlet region and one or two points in the recirculation region (along the upper wall of the transition region).

  3. OK (in picking menu).

  4. Utility Menu> PlotCtrls> Animate> Particle Flow

  5. Choose DOF Solution.

  6. Choose Velocity VX.

  7. OK.

    Ignore any warning messages about maximum number of loops (Choose Close). ANSYS creates a particle flow path based upon approximations that do not form closed loops.

    The resulting trace plot shows the path of flow particles through the duct.

  8. Make choices in the Animation Controller (not shown), if necessary, then choose Close.

5.1.5.5. Step 18: Make a path plot of velocity through the outlet.

  1. Main Menu> General Postproc> Path Operations> Define Path> By Nodes

  2. Pick the lowest and then the highest point of the outlet.

  3. OK (in picking menu).

  4. Enter OUTLET for the Path Name.

  5. OK.

  6. File> Close (Windows)

    or

    Close (X11/Motif)

    Now specify the velocity in the X direction (VX) to map onto the path.

  7. Main Menu> General Postproc> Path Operations> Map onto Path

  8. Enter VELOCITY as label.

  9. Choose DOF Solution.

  10. Choose Velocity VX.

  11. OK.

  12. Main Menu> General Postproc> Path Operations> Plot Path Item> On Graph

  13. Choose the label VELOCITY that you previously defined.

  14. OK to create path plot.

  15. Close any warning messages.

The resulting path plot shows the flow has an almost fully developed laminar profile. The curve looks relatively uniform and has a parabolic shape.

Now for the next study, investigate the effects of increasing the inlet velocity to 50 inches/second.

5.1.6. Solution (Laminar Analysis with Change in Inlet Velocity)

5.1.6.1. Step 19: Increase the inlet velocity.

The inlet velocity affects the flow profile. Increasing the inlet velocity by a factor of 50 will increase the Reynolds number accordingly. Return to the apply loads function and change the inlet velocity, then execute the solution from a different jobname.

  1. Utility Menu> Plot> Lines

  2. Main Menu> Solution> Define Loads> Apply> Fluid/CFD> Velocity> On Lines

  3. Pick the inlet line (the vertical line at the far left).

  4. OK (in picking menu)

  5. Enter 50 for VX.

  6. Enter 0 for VY.

  7. OK.

5.1.6.2. Step 20: Run the analysis.

You will now restart the analysis from the initial result.

  1. Main Menu> Solution> Run FLOTRAN

    An error message appears stating that the coefficient matrix has a negative diagonal. ANSYS produced this message because it uses the Streamline Upwind/Petrov-Galerkin (SUPG) advection scheme by default. Although it is more accurate than other advection schemes, the SUPG scheme can lead to spurious oscillations in the solution, and may cause nonphysical solutions or convergence difficulties. To remedy this situation without changing to another advection scheme, you will first add some modified inertial relaxation, and then will execute the solution again.

  2. OK to remove the error message.

  3. Close.

  4. Main Menu> Solution> FLOTRAN Setup> Relax/Stab/Cap> MIR Stabilizatio

  5. Enter 0.1 for the Momentum Equation.

  6. OK.

  7. Main Menu> Solution> Run FLOTRAN Once again, the Graphical Solution Tracker is displayed.

  8. Close.

    You will now repeat the preceding postprocessing steps exactly to show the effects of the higher inlet velocity. These steps are as follows:

  9. Main Menu> General Postproc> Read Results> Last Set

  10. Main Menu> General Postproc> Plot Results> Vector Plot> Predefined

  11. Choose DOF Solution.

  12. Choose Velocity V.

  13. OK.

5.1.7. Postprocessing (Laminar Analysis Using New Inlet Velocity)

5.1.7.1. Step 21: Plot total pressure contours.

  1. Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu

  2. Choose Other FLOTRAN Quantities.

  3. Choose Total stagnation pressure.

  4. OK.

The resulting contour plot shows the total static and dynamic pressures that occur in the duct.

5.1.7.2. Step 22: Animate velocity of trace particles.

  1. Main Menu> General Postproc> Plot Results> Defi Trace Pt

  2. Pick two or three points around the inlet region and one or two points in the recirculation region (along the upper wall of the transition region).

  3. OK (in picking menu).

  4. Utility Menu> PlotCtrls> Animate> Particle Flow

  5. Choose DOF Solution.

  6. Choose Velocity VX.

  7. OK.

    Ignore the warning messages about maximum number of loops (Choose Close). ANSYS creates a particle flow path based upon approximations that do not form closed loops.

    The resulting trace plot shows the path of flow particles through the duct.

  8. Make choices in the Animation Controller (not shown), if necessary, then choose Close.

5.1.7.3. Step 23: Make a path plot of velocity through the outlet.

  1. Main Menu> General Postproc> Path Operations> Define Path> By Nodes

  2. Pick the lowest and then the highest point of the outlet.

  3. OK (in picking menu).

  4. Enter OUTLET for the Path Name.

  5. OK.

  6. File> Close (Windows) [image] or Close (X11/Motif).

    Now specify the velocity in the X direction (VX) to map onto the path.

  7. Main Menu> General Postproc> Path Operations> Map onto Path

  8. Enter VELOCITY as label.

  9. Choose DOF Solution.

  10. Choose Velocity VX.

  11. OK.

  12. Main Menu> General Postproc> Path Operations> Plot Path Item> On Graph

  13. Choose the label VELOCITY that you previously defined.

  14. OK to create path plot.

  15. Close any warning messages.

The resulting path plot shows the curve has a bias towards one edge of the outlet. This indicates that the flow has not yet fully developed. (Note that if your plot appears as a mirror image of this one, it is because you reversed the order of picking, that is, you picked from highest to lowest instead of from lowest to highest points at the outlet.)

Now in the next study, if the length of the duct's outlet region is increased, the flow may reach a fully developed profile. Increase the duct length by 30 inches.

5.1.8. Preprocessing (Laminar Analysis with Increase in Duct Length)

5.1.8.1. Step 24: Delete pressure boundary condition.

The results for the lower viscosity case indicate that the recirculation region has extended well beyond the outlet. To allow the flow to fully develop by the time it reaches the exit, it must be given more room to do so.

  1. Main Menu> Preprocessor> Loads> Define Loads> Delete> Fluid/CFD> Pressure DOF> On Lines

  2. Pick All (in picking menu) to delete all pressure boundary conditions.

5.1.8.2. Step 25: Construct additional outlet region.

  1. Main Menu> Preprocessor> Modeling> Create> Areas> Rectangle> By Dimensions

  2. Enter the following:

    X1 =10

    X2 = 40

  3. Enter the following:

    Y1 = 0

    Y2 = 2.5

  4. OK.

    The new rectangle has unique keypoints and lines. These must be merged with their counterparts on the existing areas.

  5. Main Menu> Preprocessor> Numbering Ctrls> Merge Items

  6. Choose All for the Type of items to be merged.

  7. OK.

    A warning message appears stating that an unmeshed line is to merged into a previously meshed line. This is as it should be. Close the message box.

  8. Close.

  9. Utility Menu> Plot> Lines

5.1.8.3. Step 26: Establish mesh divisions for the new rectangle and mesh.

  1. Main Menu> Preprocessor> Meshing> MeshTool

  2. Choose Lines Set.

  3. Pick line at new outlet.

  4. OK (in picking menu).

  5. Enter 10 for No. of element divisions (as before).

  6. Enter -2 for Spacing ratio.

  7. Apply.

    Repeat the procedure for the upper and lower lines of the rectangle.

  8. Pick lines at the top and bottom of new outlet.

  9. OK (in picking menu).

  10. Enter 20 for No. of element divisions.

  11. Enter 3 for Spacing ratio.

  12. OK.

    Flip the line bias on the upper line.

  13. Choose Lines Flip.

  14. Pick the upper line.

  15. OK (in picking menu).

  16. Toolbar: SAVE_DB.

  17. Choose Mesh.

  18. Pick the outlet area.

  19. OK (in picking menu) to begin mesh.

  20. Close the Mesh Tool.

5.1.8.4. Step 27: Apply boundary conditions on new region.

You must apply boundary conditions to the new region. You will apply zero velocities in both directions along the walls, and a zero pressure at the outlet.

  1. Utility Menu> Plot> Lines

  2. Main Menu> Preprocessor> Loads> Define Loads> Apply> Fluid/CFD> Velocity> On Lines

  3. Pick the new upper and lower walls that don't have boundary conditions.

  4. OK (in picking menu).

  5. Enter 0 for VX and VY.

  6. OK.

    Now apply the pressure boundary condition at the outlet.

  7. Main Menu> Preprocessor> Loads> Define Loads> Apply> Fluid/CFD> Pressure DOF> On Lines

  8. Pick the new outlet.

  9. OK (in picking menu).

  10. Enter 0 for the Pressure value.

  11. Set endpoints to Yes.

  12. OK to apply the boundary condition.

  13. Utility Menu> Plot> Lines

5.1.9. Solution (Laminar Analysis Using New Duct Length)

5.1.9.1. Step 28: Change the jobname and execute solution.

Because the addition of an outlet has changed the problem domain, a new analysis is required. You can start a new analysis by changing the jobname from the Utility Menu.

Note that a warning message will appear stating that you must exit the Solution processor in order to change the name.

  1. Utility Menu> File> Change Jobname

  2. Close to exit Solution.

  3. Enter "newLength" for the new jobname.

  4. OK.

    Another way to start a new analysis is by deleting the results file, named file.rfl (by default). You can delete a file in one of two ways:

    Utility Menu> File> File Operations> Delete

    Pick the file name, then choose OK

    OR

    Execute a /SYS command and remove the file with the appropriate operating system command.

    ANSYS will automatically rename an incorrect results file.

    Now execute the new solution.

  5. Main Menu> Solution> Run FLOTRAN

  6. Close the information window when solution is done.

5.1.10. Postprocessing (Laminar Analysis Using New Duct Length)

5.1.10.1. Step 29: Read in the new results and plot velocity vectors.

  1. Main Menu> General Postproc> Read Results> Last Set

  2. Main Menu> General Postproc> Plot Results> Vector Plot> Predefined

  3. Choose DOF Solution.

  4. Choose Velocity V.

  5. OK.

5.1.10.2. Step 30: Plot total pressure contours.

  1. Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu

  2. Choose Other FLOTRAN Quantities.

  3. Choose Total Stagnation Pressure.

  4. OK.

The resulting contour plot shows the total static and dynamic pressures that occur in the duct.

5.1.10.3. Step 31: Animate velocity of trace particles.

  1. Main Menu> General Postproc> Plot Results>Defi Trace Pt

  2. Pick two or three points around the inlet region and one or two points in the recirculation region (along the upper wall of the transition region).

  3. OK (in picking menu).

  4. Utility Menu> PlotCtrls> Animate> Particle Flow

  5. Choose DOF Solution.

  6. Choose Velocity VX.

  7. OK.

    Ignore the warning messages about maximum number of loops (choose Close). ANSYS creates a particle flow path based upon approximations that do not form closed loops.

    The resulting trace plot shows the path of flow particles through the duct.

  8. Make choices in the Animation Controller (not shown), if necessary, then choose Close.

5.1.10.4. Step 32: Make a path plot of the velocity through the outlet.

The outlet velocity profile can be examined with a path plot. First, establish a path for the path plot.

  1. Main Menu> General Postproc> Path Operations> Define Path> By Nodes

  2. Pick the lowest point, and then the highest point of the outlet.

  3. OK (in the picking menu).

  4. Enter "outlet" for the path name.

  5. OK.

  6. File> Close (Windows)

    or

    Close (X11/Motif)

    Now specify the velocity in the X direction (VX) to map onto the path.

  7. Main Menu> General Postproc> Path Operations> Map onto Path

  8. Enter "velocity" as the User label.

  9. Choose DOF solution.

  10. Choose Velocity VX.

  11. OK.

  12. Main Menu> General Postproc> Path Operations> Plot Path Item> On Graph

  13. Choose the label VELOCITY that you previously defined.

  14. OK to create path plot.

  15. Close any warning messages.

The resulting path plot shows that the flow is almost fully developed. Since the velocity has been increased so much, the flow may be in the turbulent regime. The next step is to check the Reynold's number and activate turbulence if necessary. A consequence of the increased diffusion associated with turbulence is a decrease in the size of the recirculation region.

5.1.10.5. Step 33: Calculate Reynolds number.

Calculate Reynolds number in order to determine if the analysis is indeed in the turbulent region (Re > 3000).

Recall that the Reynolds number is determined by the following formula:

Our flow material is AIR, which has the following properties:

p = density = 1.21e-7

V = Velocity = 50

Dh = hydraulic diameter = 2*inlet height = 2

µ = Viscosity= 2.642e-9

Therefore, Re = 4600, which is turbulent.

So the next step is to restart the analysis using the turbulent model.

5.1.11. Solution (Turbulent Analysis)

5.1.11.1. Step 34: Specify FLOTRAN solution options and execution controls.

  1. Main Menu> Solution> FLOTRAN Set Up> Solution Options

  2. Choose Turbulent option.

  3. OK.

    With the increased turbulence resulting from the low viscosity, the nonlinear effects in the problem are more pronounced and more global iterations will be required to achieve a good solution. You will increase this number in the Execution Control dialog box.

  4. Main Menu> Solution> FLOTRAN Set Up> Execution Ctrl

  5. Enter 80 Global iterations.

  6. OK.

5.1.11.2. Step 35: Restart the analysis.

Note that this is a restart of the analysis. Restarting an ANSYS FLOTRAN solution requires that the problem domain (specifically, the nodal geometry) is not changed. Since the only changes that were specified were a change the model (from laminar to turbulent) and a change in the number of equilibrium iterations, restarting the analysis is acceptable. Therefore, the solution will pick up where it left off, and 80 global iterations will be executed.

  1. Main Menu> Solution> Run FLOTRAN

    Once again, the Graphical Solution Tracker is displayed.

  2. Close.

    You will now repeat the preceding postprocessing steps exactly to show the effects of the higher inlet velocity. These steps are as follows:

  3. Main Menu> General Postproc> Read Results> Last Set

  4. Main Menu> General Postproc> Plot Results> Vector Plot> Predefined

  5. Choose DOF Solution.

  6. Choose Velocity V.

  7. OK.

5.1.12. Postprocessing (Turbulent Analysis)

5.1.12.1. Step 36: Plot total pressure contours.

  1. Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu

  2. Choose Other quantities.

  3. Choose Total Pressure PTOT.

  4. OK.

The resulting contour plot shows the total static and dynamic pressures that occur in the duct.

5.1.12.2. Step 37: Animate velocity of trace particles.

  1. Main Menu> General Postproc> Plot Results> Defi Trace Pt

  2. Pick two or three points around the inlet region and one or two points in the recirculation region (along the upper wall of the transition region).

  3. OK (in picking menu).

  4. Utility Menu> PlotCtrls> Animate> Particle Flow

  5. Choose DOF Solution.

  6. Choose Velocity VX.

  7. OK.

    Ignore any warning messages about maximum number of loops (choose Close). ANSYS creates a particle flow path based upon approximations that do not form closed loops.

    The resulting trace plot shows the path of flow particles through the duct.

  8. Make choices in the Animation Controller (not shown), if necessary, then choose Close.

5.1.12.3. Step 38: Make a path plot of velocity through the outlet.

  1. Main Menu> General Postproc> Path Operations> Define Path> By Nodes

  2. Pick the lowest and then the highest point of the outlet.

  3. OK (in the picking menu).

  4. Enter OUTLET as the Path Name.

  5. OK.

  6. File> Close (Windows).

    or

    Close (X11/Motif)

    Now specify the velocity in the X direction (VX) to map onto the path.

  7. Main Menu> General Postproc> Path Operations> Map onto Path

  8. Enter VELOCITY as label.

  9. Choose DOF Solution.

  10. Choose Velocity VX.

  11. OK.

  12. Main Menu> General Postproc> Path Operations> Plot Path Item> On Graph

  13. Choose the label VELOCITY that you previously defined.

  14. OK to create path plot.

  15. Close any warning messages.

Note that with the turbulent model is turned on for the analysis, the flow looks fully developed and the path plot appears to be flatter on the top (instead of parabolic, as in the laminar analyses). Thus the flow is turbulent and the observed results are as expected.

5.1.12.4. Step 39: Exit the ANSYS program.

  1. Toolbar: QUIT.

  2. Choose Quit - No Save!

  3. OK.

Congratulations! You have completed this tutorial.

Even though you have exited the ANSYS program, you can still view animations using the ANSYS ANIMATE program. The ANIMATE program runs only on the PC and is extremely useful for:

  • Viewing ANSYS animations on a PC regardless of whether the files were created on a PC (AVI files) or on a UNIX workstation (ANIM files).

  • Converting ANIM files to AVI files.

  • Sending animations over the web.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 5. CFD Tutorial 		Up / Home Next
Chapter 6. Micro-Electromechanical System (MEMS) Tutorial


Chapter 6. Micro-Electromechanical System (MEMS) Tutorial

Multiphysics Analysis of a Thermal Actuator

  • Problem Specification

  • Problem Description

  • Import Geometry

  • Define Material

  • Generate Mesh

  • Apply Loads

  • Obtain Solution

  • Review Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.1. Laminar and Turbulent Flow Analyses in a 2-D Duct 		Up / Home Next
6.1. Multiphysics Analysis of a Thermal Actuator


6.1. Multiphysics Analysis of a Thermal Actuator

6.1.1. Problem Specification

Applicable ANSYS Products: | ANSYS Multiphysics
Level of Difficulty: | easy
Interactive Time Required: | approximately 30 minutes
Discipline: | structural, thermal, electric
Analysis Type: | static, nonlinear
Element Types Used: | Coupled-Field SOLID98
ANSYS Features Demonstrated: | importing an IGES model, SmartSizing, selecting entities, applying voltage, temperature, and displacement boundary conditions, plotting voltage, temperature, and displacement results, animating displacement results, listing heat flow and current
Applicable Help Available: | Coupled-Field Analysis and Direct Coupled-Field Analysis in the Coupled-Field Analysis Guide, SOLID98 in the Elements Reference.

6.1.2. Problem Description

This tutorial demonstrates how to analyze an electrical-thermal actuator used in a micro-electromechanical system (MEMS). The thermal actuator is fabricated from polysilicon and is shown below.

The thermal actuator works on the basis of a differential thermal expansion between the thin arm and blade.

The required analysis is a coupled-field multiphysics analysis that accounts for the interaction (coupling) between thermal, electric, and structural fields.

A potential difference applied across the electrical connection pads induces a current to flow through the arm and blade. The current flow and the resistivity of the polysilicon produce Joule heating (I2R) in the arm blade. The Joule heating causes the arm and the blade to heat up. Temperatures in the range of 700 -1300 oK are generated. These temperatures produce thermal strain and thermally induced deflections.

The resistance in the thin arm is greater than the resistance in the blade. Therefore, the thin arm heats up more than the blade, which causes the actuator to bend towards the blade. The maximum deformation occurs at the actuator tip. The amount of tip deflection (or force applied if the tip is restrained) is a direct function of the applied potential difference. Therefore, the amount of tip deflection (or applied force) can be accurately calibrated as a function of applied voltage.

These thermal actuators are used to move micro devices, such as ratchets and gear trains. Arrays of thermal actuators can be connected together at their blade tips to multiply the effective force.

The main objective of the analysis is to compute the blade tip deflection for an applied potential difference across the electrical connection pads. Additional objectives are to:

  • Obtain temperature, voltage, and displacement plots

  • Animate displacement results

  • Determine total current and heat flow.

6.1.2.1. Given

You are supplied with a solid model in an IGES file. Dimensions are in micrometers. The thermal actuator has an overall length of approximately 250 micrometers, and a thickness of 2 micrometers. The given potential difference across the electrical connection pads is 5 volts.

Material Properties for Polysilicon |
Young's modulus | 169 GPa
Poisson's ratio | 0.22
Resistivity | 2.3e-5 ohm-m
Coefficient of thermal expansion | 2.9e-6/oK
Thermal conductivity | 150 W/moK

6.1.2.2. Approach and Assumptions

Coupled-field problems can be solved using the direct method or the sequential method. The direct method performs the coupled-field analysis in one step using coupled-field elements. The sequential method performs the coupled-field analysis in multiple steps, where the results from one step are used as input to the next step. Coupled field elements are not required for the sequential method.

This tutorial uses the direct method to evaluate the actuator. The direct approach is the most efficient method for this problem. However, if it were necessary to include the effects of temperature-dependent material properties and/or thermal radiation, it would probably be more efficient to use the sequential method. The nonlinear thermal-electric problem could be solved using SOLID98 elements with only the TEMP and VOLT degrees of freedom active, and the mechanical problem could be solved using SOLID92 elements. The temperatures calculated in the thermal analysis could be applied as loading to the mechanical model using the LDREAD command.

For this problem, you first import the file actuator.iges into ANSYS. Next, you define the element type as SOLID98 using the default degrees of freedom [KEYOPT(1)]: UX, UY, UZ, TEMP, VOLT, MAG. The element simulates the coupled thermal-electric-structural response. The MAG degree of freedom is not required for this analysis so you will not assign a magnetic material property.

To define material properties for this analysis, you must convert the given units for Young's modulus, resistivity, and thermal conductivity to μMKSV units. The units have been converted to μMKSV for you, and are shown in the following table.

Material Properties for Polysilicon (μMKSV units) |
Young's modulus | 169e3 MPa
Poisson's ratio | 0.22
Resistivity | 2.3e-11 ohm-μm
Coefficient of thermal expansion | 2.9e-6/oK
Thermal conductivity | 150e6 pW/μmoK

Next, you mesh the model with the coupled field elements. You then apply voltages to the electrical connection pads and set their temperature to an assumed 30 oC. You then mechanically fix the electrical connection pads in the X, Y, and Z directions.

Finally, you obtain the solution and post process the results to achieve the analysis objectives, as stated above.

6.1.2.3. Summary of Steps

Use the information in the problem description and the steps below as a guideline in solving the problem on your own. Or, use the detailed interactive step-by-step solution by choosing the link for step 1.

Import Geometry

1. Import IGES file.

Back To Top

Define Materials

2. Define element type.

3. Define material properties.

Back To Top

Generate Mesh

4. Mesh the model.

Back To Top

Apply Loads

5. Plot areas.

6. Apply boundary conditions to electrical connection pad 1.

7. Apply boundary conditions to electrical connection pad 2.

Back To Top

Obtain Solution

8. Solve.

Back To Top

Review Results

9. Plot temperature results.

10. Plot voltage results.

11. Plot displacement results and animate.

12. List total heat flow and current.

13. Exit the ANSYS program.

6.1.3. Import Geometry

6.1.3.1. Step 1: Import IGES file.

You will begin by importing the model of the actuator. It is provided for you in the form of an IGES file.

  1. Utility Menu> File> Import> IGES

  2. “No defeaturing”

  3. [OK]

  4. File name: actuator.iges

    UNIX version:

    /ansys_inc/v110/ansys/data/models/actuator.iges

    PC version:

    \Program Files\Ansys Inc\V110\ANSYS\data\models\actuator.iges

  5. [OK]

Note

If the model does not import, and a “Fatal error” message appears stating that more scratch space is needed, you will need to restart ANSYS, and, on the Interactive tab (UNIX version), or in the Interactive dialog box (PC version), change the memory settings to Total Workspace = 120 MB and Database = 32 MB.

6.1.4. Define Materials

6.1.4.1. Step 2: Define element type.

You will now specify the element type as coupled-field element SOLID98, and the default degrees of freedom [KEYOPT(1) = 0]: UX, UY, UZ, TEMP, VOLT, MAG. This problem makes use of all but the MAG degree of freedom.

  1. Main Menu> Preprocessor> Element Type> Add/Edit/Delete

  2. [Add ...]

  3. “Coupled Field” (left column)

  4. “Scalar Tet 98” (right column)

  5. [OK]

  6. [Close]

6.1.4.2. Step 3: Define material properties.

You will now enter the material property values for polysilicon. These values are for Young's modulus, Poisson's ratio, thermal expansion coefficient, thermal conductivity, and resistivity. The units for these values are μMKSV.

  1. Main Menu> Preprocessor> Material Props> Material Models

  2. (double-click) “Structural,” then “Linear,” then “Elastic,” then “Isotropic”

  3. “EX” = 169e3

  4. “PRXY” = 0.22

  5. [OK]

  6. (double-click) “Thermal Expansion,” then “Secant Coefficient,” then “Isotropic”

  7. “ALPX” = 2.9e-6

  8. [OK]

  9. (double-click) “Thermal,” then “Conductivity,” then “Isotropic”

  10. “KXX” = 150e6

  11. [OK]

  12. (double-click) “Electromagnetics,” then “Resistivity,” then “Constant”

  13. “RSVX” = 2.3e-11

  14. [OK]

  15. Material> Exit

6.1.5. Generate Mesh

6.1.5.1. Step 4: Mesh the model.

You will now obtain a course volume mesh using tetrahedral shapes. Setting the SmartSizing control to 10 (maximum) achieves the course mesh.

  1. Main Menu> Preprocessor> Meshing> MeshTool

  2. (check) “SmartSize”

  3. (slide) “Course” = “10”

  4. [Mesh]

  5. [Pick All]

  6. [Close] MeshTool

6.1.6. Apply Loads

6.1.6.1. Step 5: Plot areas.

You will now plot individual areas in preparation for when you apply the boundary conditions to the electrical connection pads, which you will do in the next two steps. You will first set ANSYS to display each of the areas in a distinguishing color and number.

  1. Utility Menu> PlotCtrls> Numbering

  2. (check) “Area numbers” to “On”

  3. [OK]

  4. Utility Menu> Plot> Areas

6.1.6.2. Step 6: Apply boundary conditions to electrical connection pad 1.

You will now apply the voltage, temperature, and displacement boundary conditions to electrical connection pad 1. You will first select this pad area so you only have to perform the picking function once there, even though you are applying three different types of boundary conditions.

  1. Utility Menu> Select> Entities

  2. (first drop down) “Areas”

  3. (second drop down) “By Num/Pick”

  4. [OK]

  5. Pick electrical connection pad 1 (the upper pad). Ensure that you have picked the correct area by holding the mouse button down and dragging the mouse until ONLY the pad area highlights, then release the button.

  6. [OK]

    Now apply the voltage boundary condition to pad 1.

  7. Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Boundary> Voltage> On Areas

  8. [Pick All]

    By choosing Pick All, you pick only the area representing pad 1 because that is the only entity you currently have selected.

  9. “Load VOLT Value” = 5

  10. [OK]

    Notice the voltage boundary condition symbols added to pad 1.

    Now apply the temperature boundary condition to pad 1.

  11. Main Menu> Preprocessor> Loads> Define Loads> Apply> Thermal> Temperature> On Areas

  12. [Pick All]

  13. “DOF to be constrained” = TEMP

  14. “Load TEMP value” = 30

  15. [OK]

    Notice the temperature boundary condition symbols added to pad 1.

    Now apply the displacement boundary conditions to pad 1.

  16. Main Menu> Preprocessor> Loads> Define Loads> Apply> Structural> Displacement> On Areas

  17. [Pick All]

  18. “DOFs to be constrained” = UX

  19. “Displacement value” = 0

  20. [Apply]

  21. [Pick All]

  22. “DOFs to be constrained” = UY

  23. [Apply]

  24. [Pick All]

  25. “DOFs to be constrained” = UZ

  26. [OK]

    Notice that ANSYS cumulatively added the displacement boundary condition symbols to the pad after you applied them (i.e., X constraint, then Y constraint, then Z constraint).

6.1.6.3. Step 7: Apply boundary conditions to electrical connection pad 2.

You will now apply the voltage, temperature, and displacement boundary conditions to electrical connection pad 2. The procedure you follow is identical to the one you just performed to add boundary conditions to pad 1.

  1. Utility Menu> Select> Entities

  2. (first drop down) “Areas”

  3. (second drop down) “By Num/Pick”

  4. [OK]

  5. Pick electrical connection pad 2 (the lower pad). Ensure that you have picked the correct area by holding the mouse button down and dragging the mouse until ONLY the pad area highlights, then release the button.

  6. [OK]

    Now apply the voltage boundary condition to pad 2.

  7. Main Menu> Preprocessor> Loads> Define Loads> Apply> Electric> Boundary> Voltage> On Areas

  8. [Pick All]

    By choosing Pick All, you pick only the area representing pad 2 because that is the only entity you currently have selected.

  9. “Load VOLT Value” = 0

  10. [OK]

    Notice the voltage boundary condition symbols added to pad 2.

    Now apply the temperature boundary condition to pad 2.

  11. Main Menu> Preprocessor> Loads> Define Loads> Apply> Thermal> Temperature> On Areas

  12. [Pick All]

  13. “DOF to be constrained” = TEMP

  14. “Load TEMP Value” = 30

  15. [OK]

    Notice the temperature boundary condition symbols added to pad 2.

    Now apply the displacement boundary conditions to pad 2.

  16. Main Menu> Preprocessor> Loads> Define Loads> Apply> Structural> Displacement> On Areas

  17. [Pick All]

  18. “DOFs to be constrained” = UX

  19. “Displacement value” = 0

  20. [Apply]

  21. [Pick All]

  22. “DOFs to be constrained” = UY

  23. [Apply]

  24. [Pick All]

  25. “DOFs to be constrained” = UZ

  26. [OK]

    Notice that ANSYS cumulatively added the displacement boundary condition symbols to the pad after you applied them (i.e., X constraint, then Y constraint, then Z constraint).

    Before solving the problem, you must select the entire finite element model.

  27. Utility Menu> Select> Everything

6.1.7. Obtain Solution

6.1.7.1. Step 8: Solve.

You will now initiate the ANSYS solution.

  1. Main Menu> Solution> Solve> Current LS

  2. Review the information in the status window, then choose:

    File> Close (Windows platforms),

    or

    Close (UNIX platforms), after reviewing the information in the status window.

  3. [OK]

  4. [Yes] to warning message.

    This message is not relevant to this problem since you are not using the MAG DOF.

  5. [Close] the information window when the solution is done.

6.1.8. Review Results

6.1.8.1. Step 9: Plot temperature results.

You will now plot the temperature results. This is one of the objectives of this analysis.

  1. Main Menu> General Postproc> Read Results> Last Set

  2. Main Menu> General Postproc> PlotResults> Contour Plot> Nodal Solu

  3. “DOF solution”

  4. “Temperature”

  5. [OK]

Refer to the legend beneath your plot for a numerical interpretation of the colors in the plot. Note that the electrical connection pads are the same color, reflecting the constant temperature boundary condition. Note also that there is a change in color in the blade, as viewed from the pads end to the blade tip end, indicating that the voltage difference across the pads causes a temperature difference across the blade. Note that the thin arm is at higher temperatures than the blade.

6.1.8.2. Step 10: Plot voltage results.

You will now plot the voltage results. This is one of the objectives of this analysis.

  1. Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu

  2. “DOF solution”

  3. “Electric potential”

  4. [OK]

Refer to the legend beneath your plot for a numerical interpretation of the colors in the plot. Note that the electrical connection pads are distinctly two different colors, reflecting the voltage difference across the pads. Note also that there is a change in color in the blade, as viewed from the pads end to the blade tip end, indicating that the voltage drop from pad 1 to pad 2 is distributed along the electrical conduction path of the actuator.

6.1.8.3. Step 11: Plot displacement results and animate.

You will now plot and animate the displacement results. These are two of the objectives of this analysis.

  1. Main Menu> General Postproc> PlotResults> Contour Plot> Nodal Solu

  2. “DOF solution”

  3. “Y-Component of displacement”

  4. [OK]

    Refer to the legend beneath your plot for a numerical interpretation of the colors in the plot. Note that the electrical connection pads are the same color, reflecting that the pads are constrained in all directions. Note especially the gradual change in color in the blade and thin arm, as viewed from the pads end to the blade tip end. This display, along with the animation you will produce next, clearly show the bending of the thermal actuator.

    Note also from the legend that the color of the tip of the blade indicates a deflection of approximately 3.07 micrometers. This deflection results from the 5 volts applied across the pads. You have just achieved the main objective of this analysis.

    You will now produce the corresponding animation.

  5. Utility Menu> PlotCtrls> Animate> Deformed Results

  6. (left column) “DOF solution”

  7. (right column) “Translation UY”

  8. [OK]

  9. [Close] after making desired choices in the Animation Controller.

6.1.8.4. Step 12: List total heat flow and current.

You will now obtain a listing of results including the total heat flow and current. These are two of the objectives for this analysis.

  1. Utility Menu> Plot> Areas

  2. Utility Menu> Select> Entities

  3. (first drop down) “Areas”

  4. (second drop down) “By Num/Pick”

  5. [OK]

  6. Pick the electrical connection pad on the thin side of the actuator (lower pad as shown below).

  7. [OK]

  8. Utility Menu> Select> Entities

  9. (first drop down) “Nodes”

  10. (second drop down) “Attached to”

  11. “Areas, all”

  12. [OK]

  13. Utility Menu> List> Results> Reaction Solution

  14. “1st 10 items”

  15. [OK]

    Scroll to the bottom of the list and note that the total heat flow is approximately 8.07e9 pW and the total current is approximately 3.23e9 pA.

  16. When you are done viewing the listing, choose:

    File> Close (Windows platforms),

    or

    Close (UNIX platforms)

  17. Utility Menu> Select> Everything

6.1.8.5. Step 13: Exit the ANSYS program.

  1. Toolbar: Quit

  2. “Quit - No Save!”

  3. [OK]

Congratulations! You have completed this tutorial.

Even though you have exited the ANSYS program, you can still view animations using the ANSYS ANIMATE program. The ANIMATE program runs only on the PC and is extremely useful for:

  • Viewing ANSYS animations on a PC regardless of whether the files were created on a PC (AVI files) or on a UNIX workstation (ANIM files).

  • Converting ANIM files to AVI files.

  • Sending animations over the web.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 6. Micro-Electromechanical System (MEMS) Tutorial 		Up / Home Next
Chapter 7. Explicit Dynamics Tutorial


Chapter 7. Explicit Dynamics Tutorial

Drop Test of a Container

  • Problem Specification

  • Problem Description

  • Define Analysis Type

  • Input Geometry

  • Define Element Type, Real Constants, Material Model Properties

  • Generate Mesh

  • Apply Loads

  • Obtain Solution

  • Review Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.1. Multiphysics Analysis of a Thermal Actuator 		Up / Home Next
7.1. Drop Test of a Container (Explicit Dynamics)


7.1. Drop Test of a Container (Explicit Dynamics)

7.1.1. Problem Specification

Applicable ANSYS Products: | ANSYS LS-DYNA, ANSYS ED
Level of Difficulty: | moderate
Interactive Time Required: | 60 to 90 minutes
Discipline: | structural
Analysis Type: | transient dynamics (explicit method)
Element Types Used: | SHELL163
ANSYS Features Demonstrated: | direct generation of nodes and elements, array parameters, automatic meshing, animation
Applicable Help Available: | The ANSYS LS-DYNA User's Guide, SHELL163 in the Elements Reference.

7.1.2. Problem Description

This is a dynamic analysis of dropping an aluminum container on a steel table top. As shown below, the container is a five-sided square box, 20 inches on all sides and 0.1 inches thick. It has been rotated 45o about each of the X, Y, and Z axes. The table top is a square steel plate 100 inches on each side and 0.1 inches thick. The only force acting on the box is its own weight. It is dropped from a distance of 72 inches. The problem is typical of a drop test. The objective of the problem is to demonstrate the explicit dynamics capabilities of ANSYS LS-DYNA -- ideal for large deformation and complex contact dynamic problems.

7.1.2.1. Given

The dimensions of the container and table top are shown above. The container is made of aluminum alloy with Young's modulus of 10.3E6 psi, density of 2.5E-4 lbf-sec2/in4, Poisson's ratio of 0.334, Yield Stress of 5,000 psi, and a tangent modulus of 20,000 psi. The table top is made of carbon steel with Young's modulus of 30.0E6 psi, density of 7.3E-4 lbf-sec2/in4, and Poisson's ratio of 0.292.

7.1.2.2. Approach and Assumptions

During the free fall stage, the container is simply accelerating due to gravity. To save CPU time, start the analysis at 20 inches above the table top and apply an initial velocity of 200 inches per second to simulate the first 52 inches of free fall. 200 inches per second is an approximation derived using Vf = SQRT (2*a*s) where Vf is the final velocity, a is the acceleration due to gravity, and s is the displacement. Friction from the air is neglected.

Assume a rigid behavior for the table top and bilinear kinematic hardening von Mises plasticity for the container.

Solid modeling is used to generate the 3-D model of the container, which then will be meshed. Direct generation of nodes and elements will be used to model the table top. The table top will be modeled as a rigid element and only one element will be used to represent it.

7.1.2.3. Summary of Steps

Use the information in the problem description and the steps below as a guideline in solving the problem on your own. Or, use the detailed interactive step-by-step solution by choosing the link for step 1.

Define Analysis Type

1. Set preferences.

Back To Top

Input Geometry

2. Read in geometry of the container.

Back To Top

Define Element Type, Real Constants, Material Model Properties

3. Define element type.

4. Define real constants.

5. Specify material models.

Back To Top

Generate Mesh

6. Mesh the container.

7. Generate table top elements.

8. Create container component.

9. Create table top component.

10. Specify contact parameters.

Back To Top

Apply Loads

11. Apply initial velocity to the container.

12. Apply acceleration to the container.

Back To Top

Obtain Solution

13. Specify Output Controls.

14. Solve.

Back To Top

Review Results

15. Animate stress contours.

16. Animate deformed shape.

17. Exit the ANSYS program.

7.1.3. Define Analysis Type

7.1.3.1. Step 1: Set Preferences.

You will first set preferences in order to filter quantities that pertain to this discipline only.

  1. Main Menu> Preferences

  2. (check) “Individual discipline(s) to show in the GUI” = Structural

  3. (check) “Discipline options” = LS-DYNA Explicit

  4. [OK]

7.1.4. Input Geometry

7.1.4.1. Step 2: Read in geometry of the container.

You will begin by reading in a file that includes the model of the container.

  1. Utility Menu> File> Read Input from ...

  2. File name: container.inp

    UNIX version:

    /ansys_inc/v110/ansys/data/models/container.inp

    PC version:

    \Program Files\Ansys Inc\V110\ANSYS\data\models\container.inp

  3. [OK]

7.1.5. Define Element Type, Real Constants, Material Model Properties

7.1.5.1. Step 3: Define element type.

Since the model is a container made of thin walls hitting the surface of a table, shell elements will be used to simulate the physical model. More precisely, SHELL163, an explicit thin structural shell, is the element of choice. This 4-node element can take both in-plane and normal loads.

  1. Main Menu> Preprocessor> Element Type> Add/Edit/Delete

  2. [Add...]

  3. “LS-DYNA Explicit” (left column)

  4. “Thin Shell 163” (right column)

  5. [OK]

    Now, specify the S/R corotational Hughes-Liu element formulation to eliminate certain hourglass modes.

  6. [Options...]

  7. (drop down) “Element Formulation” = S/R corotation

  8. [OK]

  9. [Close]

7.1.5.2. Step 4: Define real constants.

Next, define the thickness of the shell elements by defining the appropriate real constant.

  1. Main Menu> Preprocessor> Real Constants

  2. [Add...]

  3. [OK] to choose element Type 1 for SHELL163.

  4. [OK] to define real constant set No. 1.

  5. “SHRF” = 1

  6. “NIP” = 2 (For demonstration purposes in this tutorial, the default value of 2 is sufficient. However, for most nonlinear analyses, the NIP should be set higher than 2.)

  7. “T1” = 0.1

  8. “T2” = 0.1

  9. “T3” = 0.1

  10. “T4” = 0.1

  11. “NLOC” = Mid surface

  12. [OK]

  13. [Close]

7.1.5.3. Step 5: Specify material models.

Now specify material models for the contact and target surfaces.

  1. Main Menu> Preprocessor> Material Props> Material Models

  2. (double-click) “LS-DYNA”, then “Rigid Material” to specify the table top, which is “Material Model Number 1”.

  3. “DENS” = 7.3e-4

  4. “EX” = 30e6

  5. “NUXY” = 0.292

  6. (drop down) “Translational Constraint Parameter” = All disps.

  7. (drop down) “Rotational Constraint Parameter” = All rotations

  8. [OK]

  9. Material> New Model to specify the material for the container, which is “Material Model Number 2”.

  10. “Define Material ID” = 2

  11. [OK]

  12. (double-click) “Nonlinear”, then “Inelastic”, then “Kinematic Hardening”, then “Bilinear Kinematic”

  13. “DENS” = 2.5e-4

  14. “EX” = 10.3e6

  15. “NUXY” = 0.334

  16. “Yield Stress” = 5000

  17. “Tangent Modulus” = 20000

  18. [OK]

  19. Material> Exit

  20. Toolbar: SAVE_DB

7.1.6. Generate Mesh

7.1.6.1. Step 6: Mesh the container.

In an explicit solver, such as ANSYS LS-DYNA, the analysis time is highly dependent on the smallest element in the model. Therefore, for efficient results, a uniform element size should be used.

For this example, use the default element size. This should give a 3x3 mesh on each face of the container.

  1. Main Menu> Preprocessor> Meshing> MeshTool

  2. (drop down) “Element Attributes” = Global; then [Set]

  3. (drop down) “Material number” = 2

  4. [OK]

  5. (drop down) “Mesh” = Areas

  6. (check) “Mapped”

  7. [Mesh]

  8. [Pick All]

  9. Toolbar: SAVE_DB

7.1.6.2. Step 7: Generate table top elements.

Now mesh the table top by direct element generation. The table top will be defined as a rigid surface and therefore only one element is needed to model this surface. Create this model by defining its four corner nodes and then building the elements from those nodes.

  1. Utility Menu> PlotCtrls> Pan, Zoom, Rotate

  2. [Obliq]

  3. [Close]

  4. Utility Menu> PlotCtrls> Numbering

  5. (check) “Node numbers” = On

  6. [OK]

  7. (drop down in MeshTool) “Element Attributes” = Global; then [Set]

  8. (drop down) “Material number” = 1

  9. [OK]

  10. [Close] MeshTool

  11. Main Menu> Preprocessor> Modeling> Create> Nodes> In Active CS

  12. “Node number” = Leave blank so it defaults to the next available node number.

  13. “X Y Z Location in active CS” = -50, -20, -50

  14. [Apply] to generate the node in the far left corner.

  15. “X Y Z Location in active CS” = -50, -20, 50

  16. [Apply] to generate the node in the near left corner.

  17. “X Y Z Location in active CS” = 50, -20, 50

  18. [Apply] to generate the node in the near right corner.

  19. “X Y Z Location in active CS” = 50, -20, -50

  20. [OK] to generate the node in the far right corner.

    Now create the element.

  21. Main Menu> Preprocessor> Modeling> Create> Elements> Auto Numbered> Thru Nodes

  22. In a counterclockwise direction, pick the four nodes just created.

  23. [OK]

  24. Utility Menu> Plot> Elements

7.1.6.3. Step 8: Create container component.

Most of the contact algorithms require contact parameters, which can be components, part IDs, or part assembly IDs. For this tutorial, create a component made of nodes from the container.

  1. Utility Menu> Select> Entities

  2. (first drop down) “Elements”

  3. (second drop down) “By Attributes”

  4. (check) “Material num”

  5. “Min,Max,Inc.” = 2

  6. [Apply]

  7. (first drop down) “Nodes”

  8. (second drop down) “Attached to”

  9. (check) “Elements”

  10. [OK]

  11. Utility Menu> Select> Comp/Assembly> Create Component

  12. “Component name” = BOX

  13. (drop down) “Component is made of” = Nodes

  14. [OK]

  15. Utility Menu> Plot> Nodes

  16. Utility Menu> Select> Everything

7.1.6.4. Step 9: Create table top component.

Now, create a component made of nodes from the table top.

  1. Utility Menu> Select> Entities

  2. (first drop down) “Elements”

  3. (second drop down) “By Attributes”

  4. (check) “Material num”

  5. “Min,Max,Inc” = 1

  6. [Apply]

  7. (first drop down) “Nodes”

  8. (second drop down) “Attached to”

  9. (check) “Elements”

  10. [OK]

  11. Utility Menu> Select> Comp/Assembly> Create Component

  12. “Component name” = TABLE

  13. (drop down) “Component is made of” = Nodes

  14. [OK]

  15. Utility Menu> Plot> Nodes

  16. Utility Menu> Select> Everything

  17. Toolbar: SAVE_DB

7.1.6.5. Step 10: Specify contact parameters.

In an analysis in which the contact behavior is known, the appropriate contact algorithm can be chosen for the best results. However, due to the nature of this problem, contact conditions will be unpredictable. Thus, by choosing automatic surface to surface contact, the program will automatically adjust for the changes which occur during this simulation.

  1. Main Menu> Preprocessor> LS-DYNA Options> Contact> Define Contact

  2. “Contact Type” = “Surface to Surf” (left column); “Automatic (ASTS)” (right column)

  3. [OK]

  4. (drop down) “Contact Component or Part no.” = BOX

  5. (drop down) “Target Component or Part no.” = TABLE

  6. [OK]

  7. Toolbar: SAVE_DB

7.1.7. Apply Loads

7.1.7.1. Step 11: Apply initial velocity to the container.

  1. Main Menu> Solution> Initial Velocity> On Nodes> w/Nodal Rotate

  2. (drop down) “Input velocity on component” = BOX

  3. “Global (Translational) Y-component” = -200

  4. [OK]

    In a transient dynamic analysis, loads must be defined for the duration of the analysis. To do so, create an array containing this data.

  5. Utility Menu> Parameters> Array Parameters> Define/Edit

  6. [Add...]

  7. “Parameter name” = TIME

  8. [OK]

  9. [Edit...]

  10. “1” = 0

  11. “2” = 1

  12. File> Apply/Quit

  13. [Add...]

  14. “Parameter name” = ACCG

  15. [OK]

  16. (highlight) “ACCG”

  17. [Edit...]

  18. “1” = 386.4

  19. “2” = 386.4

  20. File> Apply/Quit

  21. [Close]

7.1.7.2. Step 12: Apply acceleration to the container.

  1. Main Menu> Solution> Loading Options> Specify Loads

  2. “Load Labels” = ACLY

  3. (drop down) “Component name or PART number:” = BOX

  4. (drop down) “Parameter name for time values:” = TIME

  5. (drop down) “Parameter name for data values:” = ACCG

  6. [OK]

7.1.8. Obtain Solution

7.1.8.1. Step 13: Specify output controls.

  1. Main Menu> Solution> Time Controls> Solution Time

  2. “Terminate at Time:” = 1.0

  3. [OK]

  4. Main Menu> Solution> Output Controls> File Output Freq> Number of Steps

  5. “Specify Results File Output Interval” = 50

  6. “Specify Time History Output Interval” = 50

  7. [OK]

  8. Main Menu> Solution> Analysis Options> Energy Options

  9. [OK] to turn on all energy options

  10. Toolbar: SAVE_DB

7.1.8.2. Step 14: Solve.

  1. Main Menu> Solution> Solve

  2. Review the information in the status window, then choose:

    File> Close (Windows) or

    Close (X11/Motif), to close the window.

  3. [OK] to initiate solution.

    Note: A verification window will appear to notify you of a warning message. This warning was generated due to constraining the table top by defining it as a rigid element rather than using degrees of freedom constraints. Therefore the warning can be ignored.

  4. [Yes]

  5. [Close]

7.1.9. Review Results

7.1.9.1. Step 15: Animate stress contours.

  1. Utility Menu> Plot> Elements

  2. Utility Menu> PlotCtrls> Pan, Zoom, Rotate

  3. [Front]

  4. [Close]

  5. Utility Menu> PlotCtrls> Numbering

  6. (check) “Node numbers” = Off

  7. [OK]

  8. Main Menu> General Postproc> Read Results> First set

    [Note for UNIX systems only: To capture the animation sequence in terminal segment memory, it is necessary to reduce the size of the Graphics Window or you will run out of terminal memory. Although this depends on your particular system, and the size of the animation file to be created, for this exercise it is suggested that the ratio of the original window size to the reduced window size should be about 3:1.]

  9. Utility Menu> PlotCtrls> Animate> Over Results

  10. (check) “Auto contour scaling” = On (Make sure that the box is checked.)

  11. “Contour data for animation” = Stress (left column); von Mises SEQV (right column)

  12. [OK]

  13. Make choices in the Animation Controller (not shown), if necessary, then [Close].

7.1.9.2. Step 16: Animate deformed shape.

  1. Utility Menu> PlotCtrls> Animate> Over Results

  2. (check) “Auto contour scaling” = On

  3. “Contour data for animation” = DOF Solution (left column); Deformed Shape (right column)

  4. [OK]

  5. Make choices in the Animation Controller (not shown), if necessary, then [Close].

7.1.9.3. Step 17: Exit the ANSYS program.

  1. Toolbar: Quit

  2. (check) “Quit - No Save!”

  3. [OK]

Congratulations! You have completed this tutorial.

Even though you have exited the ANSYS program, you can still view animations using the ANSYS ANIMATE program. The ANIMATE program runs only on the PC and is extremely useful for:

  • Viewing ANSYS animations on a PC regardless of whether the files were created on a PC (AVI files) or on a UNIX workstation (ANIM files).

  • Converting ANIM files to AVI files.

  • Sending animations over the web.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 7. Explicit Dynamics Tutorial 		Up / Home Next
Chapter 8. Contact Tutorial


Chapter 8. Contact Tutorial

Interference Fit and Pin Pull-Out Contact Analysis

  • Problem Specification

  • Problem Description

  • Input Geometry

  • Define Material Property and Element Type

  • Generate Mesh

  • Specify Solution Criteria

  • Load Step 1

  • Load Step 2

  • Postprocessing

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.1. Drop Test of a Container (Explicit Dynamics) 		Up / Home Next
8.1. Interference Fit and Pin Pull-Out Contact Analysis


8.1. Interference Fit and Pin Pull-Out Contact Analysis

8.1.1. Problem Specification

Applicable ANSYS Products: | ANSYS Multiphysics, ANSYS Mechanical, ANSYS Structural, ANSYS ED
Level of Difficulty: | moderate
Interactive Time Required: | 45 to 60 minutes (includes 15 to 20 minutes for solution)
Discipline: | structural
Analysis Type: | nonlinear quasi-static
Element Types Used: | SOLID185, TARGE170, CONTA174
ANSYS Features Demonstrated: | symmetry boundary conditions, flexible-to-flexible surface contact, contact wizard, automatic time stepping, multiple load steps, symmetry expansion, animation, time history postprocessing, Solution Controls dialog box
Applicable Help Available: | The Contact Technology Guide, SOLID185, TARGE170, and CONTA174 in the Elements Reference.

8.1.2. Problem Description

This is a 3-D analysis of a steel pin contacting a smooth pinhole in a block. Because of the inherent symmetry of the model, you will perform the analysis on a quarter symmetry model. You will define two different load steps. The objective of the first load step is to observe the interference fit stresses of the pin which is geometrically thicker than its pinhole. The objective of the second load step is to observe the stresses, contact pressures and reaction forces due to the motion of the pin being pulled out from the block.

8.1.2.1. Given

The dimensions of the model are as follows: PIN radius = 0.5 units, length = 2.5 units. BLOCK width = 4 units, length = 4 units, depth = 1 unit. PINHOLE radius = 0.49 units, depth = 1 unit. Both solids are made of structural steel (stiffness = 36e6, Poisson's ratio = 0.3) and are assumed to be flexible.

8.1.2.2. Approach and Assumptions

A quarter symmetry model is appropriate to simulate the contact phenomena. You will use two load steps to set up the analysis: Load Step 1: Interference Fit -- solve the problem with no additional displacement constraints. The pin is constrained within the pinhole due to its geometry. Stresses are generated due to the general misfit between the target (pinhole) and the contact (pin) surfaces. Load Step 2: Pull-out -- move the pin by 1.7 units out of the block using DOF displacement conditions on coupled nodes. Explicitly invoke Automatic Time Stepping to guarantee solution convergence. Read results for every 10th substep during solution.

8.1.2.3. Summary of Steps

Use the information in the problem description and the steps below as a guideline in solving the problem on your own. Or, use the detailed interactive step-by-step solution by choosing the link for step 1.

Note

To run this tutorial, you will need a total workspace memory of at least 64MB, preferably higher (100-200 MB). Before starting the tutorial, check your workspace memory as follows:

  1. Utility Menu> List> Status> Configuration

  2. Scroll down to the MEMORY STATISTICS heading and read the number of MB for Requested Initial Work Space.

  3. If this number is acceptable, proceed with the tutorial. If the number is too low, quit ANSYS without saving changes, restart ANSYS and, in the ANSYS Interactive dialog box, enter the appropriate number in the Memory requested for Total Workspace field before choosing Run.

Input Geometry

1. Read in the model of the pin and the block.

Back To Top

Define Material Property and Element Type

2. Define material.

3. Define element type for solid volume.

Back To Top

Generate Mesh

4. Mesh solid volume.

5. Smooth element edges for graphics display.

6. Create contact pair using Contact Wizard.

Back To Top

Specify Solution Criteria

7. Apply symmetry constraints on (quartered) volume.

8. Define boundary constraints on block.

9. Specify a large displacement static analysis.

Back To Top

Load Step 1

10. Define interference fit analysis options.

11. Solve load step 1.

Back To Top

Load Step 2

12. Set DOF displacement for pin.

13. Define pull-out analysis options.

14. Write results to file.

15. Solve load step 2.

Back To Top

Postprocessing

16. Expand model from quarter symmetry to full volume.

17. Observe interference fit stress state.

18. Observe intermediate contact pressure on pin.

19. Observe pulled-out stress state.

20. Animate pin pull-out.

21. Plot reaction forces for pin pull-out.

22. Exit the ANSYS program.

8.1.3. Input Geometry

8.1.3.1. Step 1: Read in the model of the pin and block.

You will begin by reading in a file that includes a quarter symmetry representation of the pin and block.

  1. Utility Menu> File> Read Input from ...

  2. File name: block.inp

    UNIX version:

    /ansys_inc/v110/ansys/data/models/block.inp

    PC version:

    \Program Files\Ansys Inc\V110\ANSYS\data\models\block.inp

  3. OK

8.1.4. Define Material Property and Element Type

8.1.4.1. Step 2: Define material.

You will now define the material property.

  1. Main Menu> Preprocessor> Material Props> Material Models

  2. Double-click Structural, then Linear, Elastic, and Isotropic.

  3. EX = 36e6

  4. PRXY = 0.3.

  5. Click OK.

  6. Select Material> Exit from the menu bar.

8.1.4.2. Step 3: Define element types.

You will now define the element type.

  1. Main Menu> Preprocessor> Element Type> Add/Edit/Delete

  2. Click Add.

  3. Select Structural Mass - Solid.

  4. Select Brick 8node 185 (right column).

  5. Click OK.

  6. Click Close.

8.1.5. Generate Mesh

8.1.5.1. Step 4: Mesh solid volume.

  1. Main Menu> Preprocessor> Meshing> MeshTool

  2. Select Lines - Set.

  3. Pick the horizontal and vertical lines on the front edge of the pin.

  4. Click OK.

  5. Enter 3 for No. of element divisions.

  6. Uncheck SIZE,NDIV can be changed to indicate No.

  7. Click OK.

  8. Select Lines - Set.

  9. Pick the curved line on the front of the block.

  10. Click OK.

  11. Enter 4 for No. of element divisions.

  12. Click OK.

  13. Select Volumes from the Mesh drop-down menu.

  14. Select Hex.

  15. Select Sweep.

  16. Click the Sweep button.

  17. Pick the pin and block volumes.

  18. Click OK and Close any warning messages that appear.

  19. Close the MeshTool.

8.1.5.2. Step 5: Smooth element edges for graphics display.

  1. Utility Menu> PlotCtrls> Style> Size and Shape

  2. From the Facets/element edge drop-down menu, select 2 facets/edge.

  3. Click OK.

8.1.5.3. Step 6: Create contact pair using Contact Wizard.

  1. Main Menu> Preprocessor> Modeling> Create> Contact Pair

  2. Select the Contact Wizard button (located in the upper left corner of the Contact Manager).

  3. Select Areas from the Target Surface field.

  4. Select Flexible from the Target Type field.

  5. Click Pick Target.

  6. Pick surface of pin hole on block as the target.

  7. Click OK.

  8. Click Next.

  9. Select Areas from Contact Surface field.

  10. Click Pick Contact.

  11. Pick surface area of pin as the contact.

  12. Click OK.

  13. Click Next.

  14. Select Include Initial penetration.

  15. Select 1 from Material ID drop-down menu.

  16. Enter 0.2 for the Coefficient of friction.

  17. Click Optional settings.

  18. Enter 0.1 for Normal penalty stiffness.

  19. Select the Friction tab.

  20. Select Unsymmetric from the Stiffness matrix drop-down menu.

  21. Click OK.

  22. Click Create.

  23. Click Finish and close the Contact Manager.

  24. Utility Menu> Plot> Areas

  25. Toolbar>SAVE_DB.

8.1.6. Specify Solution Criteria

8.1.6.1. Step 7: Apply symmetry constraints on (quartered) volume.

  1. Main Menu> Solution> Define Loads> Apply> Structural> Displacement> Symmetry B. C.> On Areas

  2. Pick the four interior areas that were exposed when original model was quartered.

  3. Click OK.

8.1.6.2. Step 8: Define boundary constraints on block.

  1. Main Menu> Solution> Define Loads> Apply> Structural> Displacement> On Areas

  2. Pick left side of block.

  3. Click OK.

  4. Select All DOF for DOFs to be constrained.

  5. Enter 0 for the Displacement value.

  6. Click OK to apply the constraints.

8.1.6.3. Step 9: Specify a large displacement static analysis.

In this step, you will specify the analysis option as a static analysis in which large deformation effects are to be included. To do this, you will use the Solution Controls dialog box, a central control panel where you can adjust the most commonly used settings for a structural static or full transient analysis. It consists of five tabbed "pages," each of which contains a set of related solution controls. You will use the Solution Controls dialog box again in this tutorial, to specify options for each of the load steps.

  1. Main Menu> Solution> Analysis Type> Sol'n Controls

  2. Select Large Displacement Static from the Analysis Options pull-down menu. Continue with the next step.

8.1.7. Load Step 1

8.1.7.1. Step 10: Define interference fit analysis options.

Note that for both load steps, ramped loading will automatically be applied instead of stepped loading. This is the default condition for a static analysis when the SOLCONTROL command is ON (which it is, also by default).

  1. Enter 100 as the Time at end of load step.

  2. Select Off from the Automatic time stepping drop-down menu.

  3. Enter 1 as the Number of substeps.

  4. Click OK to apply the settings.

  5. Toolbar>SAVE_DB.

8.1.7.2. Step 11: Solve load step 1.

  1. Main Menu> Solution> Solve> Current LS

  2. Review the information in the status window, then File> Close to close the window.

  3. Click OK to begin the solution. Choose Yes if a Verify window appears, and ignore any warning messages, but do not close the warning message window yet.

  4. Close the note window when solution is done.

  5. Utility Menu> Plot> Replot. Continue with the next step.

8.1.8. Load Step 2

8.1.8.1. Step 12: Set DOF displacement for pin.

You will now apply a displacement value of 1.7 to all nodes on the front of the pin in order to observe the effects of pulling the pin out of the block.

  1. Utility Menu> Select> Entities

  2. First drop down menu = Nodes.

  3. Second drop-down menu = By Location.

  4. Select Z coordinates.

  5. Enter 4.5 for Min, Max.

  6. Click OK.

  7. Main Menu> Solution> Define Loads> Apply> Structural> Displacement> On Nodes

  8. Click Pick all.

  9. Select UZ for the DOFs to be constrained.

  10. Enter a Displacement value of 1.7.

  11. Click OK.

8.1.8.2. Step 13: Define pull-out analysis options.

  1. Main Menu> Solution> Analysis Type> Sol'n Controls

  2. Enter 200 as the Time at end of load step.

  3. Select On from the Automatic time stepping drop-down list.

  4. Enter 100 for the Number of substeps.

  5. Enter 10000 for the Max no. of substeps.

  6. Enter 10 for the Min no. of substeps. Continue with the next step.

8.1.8.3. Step 14: Write results to file.

  1. Select Write every Nth substep from the Frequency drop-down list.

  2. Enter -10 in the where N equals (=) field.

  3. Click OK.

  4. Utility Menu> Select> Everything

  5. Toolbar>SAVE_DB.

8.1.8.4. Step 15: Solve load step 2.

ANSYS may produce several warning messages while solving this second load step. They will appear in a popup window and in the Output Window, but they will not prevent the solution from occurring. However, you should be aware that by default, ANSYS only displays the first 5 warning messages in the window. If more warning messages occur, which may be the case in the solution of this load step, they are not displayed, nor is the “Solution is Done!” message displayed.

To ensure that the “Solution is Done!” message appears, you are highly advised to change the setting that controls the number of messages that are displayed from 5 to 100. To do this, type the following in the Input Window, then press the Enter key:

/NERR,100,100,OFF
This also ensures that ANSYS will not abort if it encounters an error during solution.

You can then proceed with the following steps to obtain the solution.

  1. Main Menu> Solution> Solve> Current LS

  2. Review the information in the status window, then choose:

    File> Close (Windows),

    or

    Close (X11/Motif), to close the window.

  3. Click OK to begin the solution. Ignore any warning messages, but do not close the warning message window yet.

  4. Close the note window when solution is done.

8.1.9. Postprocessing

8.1.9.1. Step 16: Expand model from quarter symmetry to full volume.

  1. Utility Menu> PlotCtrls> Style> Symmetry Expansion> Periodic/Cyclic Symmetry

  2. Check 1/4 Dihedral Sym.

  3. Click OK.

  4. Utility Menu> Plot> Elements

  5. Toolbar>SAVE_DB.

8.1.9.2. Step 17: Observe interference fit stress state.

  1. Main Menu> General Postproc> Read Results> By Load Step

  2. Load step number = 1.

  3. Click OK.

  4. Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu

  5. Select Stress and then von Mises stress.

  6. Click OK.

8.1.9.3. Step 18: Observe intermediate contact pressure on pin.

  1. Main Menu> General Postproc> Read Results> By Time/Freq

  2. Enter 120 as the Value of time or freq.

  3. Click OK.

  4. Utility Menu> Select> Entities

  5. In the first drop-down list, select Elements.

  6. In the second drop-down list, select By Elem Name.

  7. Enter 174 as the Element name.

  8. Click OK.

  9. Utility Menu> Plot> Elements

  10. Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu

  11. Select Contact.

  12. Select Contact Pressure.

  13. Click OK.

8.1.9.4. Step 19: Observe pulled-out stress state.

  1. Utility Menu> Select> Everything

  2. Main Menu> General Postproc> Read Results> By Load Step

  3. Enter 2as the Load step number.

  4. Click OK.

  5. Main Menu> General Postproc> Plot Results> Contour Plot> Nodal Solu

  6. Select Stress and then von Mises stress.

  7. Click OK.

8.1.9.5. Step 20: Animate pin pull-out.

  1. Utility Menu> Plot Ctrls> Animate> Over Results

  2. Select Load Step Range for the Model result data.

  3. Check Include last SBST for each LDST.

  4. Check Auto contour scaling (On).

  5. (In the left column) Contour data for animation = Stress.

  6. (In the right column) Contour data for animation = von Mises SEQV.

  7. Click OK.

  8. Make choices in the Animation Controller (not shown), if necessary, then Close.

8.1.9.6. Step 21: Plot reaction forces for pin pull-out.

  1. Utility Menu> List> Nodes

  2. Click OK.

  3. Make note of all the node numbers whose Z coordinates are 4.5.

    Your node numbers may be different from those shown here.

  4. File> Close (Windows),

    or

    Close (X11/Motif), to close the window.

  5. Utility Menu> Plot> Volumes

  6. Main Menu> TimeHist Postproc

  7. Select Add Data (left most button).

  8. Select Reaction Forces, Structural Forces, and then Z-Component of Force.

  9. Click OK.

  10. Pick a node on the front surface of the pin whose number corresponds to one of the nodes listed above for z = 4.5. (Hold down the left mouse button and drag the mouse cursor across the front of the pin. The highlighted node numbers appear in the picking menu. Upclick on the one you want to select.)

  11. Click OK.

  12. Verify that the node number you picked above is displayed in the Node number field.

    Your node number may be different from the one shown here.

  13. Click Graph data (third button from left) .

  14. Close all EXTREM Command windows.

  15. File> Close the Time History Variables window.

8.1.9.7. Step 22: Exit the ANSYS program.

  1. Toolbar: Quit.

  2. Select Quit - No Save!

  3. Click OK.

Congratulations! You have completed this tutorial.

Even though you have exited the ANSYS program, you can still view animations using the ANSYS ANIMATE program. The ANIMATE program runs only on the PC and is extremely useful for:

  • Viewing ANSYS animations on a PC regardless of whether the files were created on a PC (AVI files) or on a UNIX workstation (ANIM files).

  • Converting ANIM files to AVI files.

  • Sending animations over the web.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 8. Contact Tutorial 		Up / Home Next
Chapter 9. Modal Tutorial


Chapter 9. Modal Tutorial

Modal Analysis of a Model Airplane Wing

  • Problem Specification

  • Problem Description

  • Input Geometry

  • Define Material

  • Generate Mesh

  • Apply Loads

  • Obtain Solution

  • Review Results

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.1. Interference Fit and Pin Pull-Out Contact Analysis 		Up / Home Next
9.1. Modal Analysis of a Model Airplane Wing


9.1. Modal Analysis of a Model Airplane Wing

9.1.1. Problem Specification

Applicable ANSYS Products: | ANSYS Multiphysics, ANSYS Mechanical, ANSYS Structural, ANSYS ED
Level of Difficulty: | easy
Interactive Time Required: | 30 to 45 minutes
Discipline: | structural
Analysis Type: | modal
Element Types Used: | PLANE42 and SOLID45
ANSYS Features Demonstrated: | extrusion with a mesh, selecting, eigenvalue modal analysis, animation
Applicable Help Available: | Modal Analysis in the Structural Analysis Guide, PLANE42 and SOLID45 in the Elements Reference.

9.1.2. Problem Description

This is a simple modal analysis of a wing of a model airplane. The wing is of uniform configuration along its length and its cross-sectional area is defined to be a straight line and a spline as shown. It is held fixed to the body of the airplane on one end and hangs freely at the other. The objective of the problem is to find the wing's natural frequencies and mode shapes.

9.1.2.1. Given

The dimensions of the wing are as shown above. The wing is made of low density polyethylene with a Young's modulus of 38x103 psi, Poisson's ration of 0.3, and a density of 8.3E-5 lbf-sec2/in4.

9.1.2.2. Approach and Assumptions

Assume the side of the wing connected to the plane is completely fixed in all degrees of freedom. The wing is solid and material properties are constant and isotropic.

Solid modeling is used to generate a 2-D model of the cross-section of the wing. You then create a reasonable mesh and extrude the cross-section into a 3-D solid model which will automatically be meshed.

Additionally, the mesh used in this example will be fairly coarse for the element types used. This coarse mesh is used here so that this tutorial can be used with the ANSYS ED product.

9.1.2.3. Summary of Steps

Use the information in this description and the steps below as a guideline in solving the problem on your own. Or, use the detailed interactive step-by-step solution by choosing the link for step 1.

Input Geometry

1. Read in geometry input file.

Back To Top

Define Materials

2. Set preferences.

3. Define constant material properties.

Back To Top

Generate Mesh

4. Define element type.

5. Mesh the area.

6. Extrude the meshed area into a meshed volume.

Back To Top

Apply Loads

7. Unselect 2-D elements.

8. Apply constraints to the model.

Back To Top

Obtain Solution

9. Specify analysis types and options.

10. Solve.

Back To Top

Review Results

11. List the natural frequencies.

12. Animate the five mode shapes.

13. Exit the ANSYS program.

9.1.3. Input Geometry

9.1.3.1. Step 1: Read in geometry input file.

You will begin by reading in a file that includes the model.

  1. Utility Menu> File> Read Input from ...

  2. File name: wing.inp

    UNIX version:

    /ansys_inc/v110/ansys/data/models/wing.inp

    PC version:

    \Program Files\Ansys Inc\V110\ANSYS\data\models\wing.inp

  3. [OK]

9.1.4. Define Materials

9.1.4.1. Step 2: Set preferences.

You will now set preferences in order to filter quantities that pertain to this discipline only.

  1. Main Menu> Preferences

  2. (check) “Structural”

  3. [OK]

9.1.4.2. Step 3: Define constant material properties.

  1. Main Menu> Preprocessor> Material Props> Material Models

  2. (double-click) “Structural”, then “Linear”, then “Elastic”, then “Isotropic”

  3. “EX” = 38000

  4. “PRXY” = 0.3

  5. [OK]

  6. (double-click) “Density”

  7. “DENS” = 8.3e-5

  8. [OK]

  9. Material> Exit

9.1.5. Generate Mesh

9.1.5.1. Step 4: Define element types.

Define two element types: a 2-D element and a 3-D element. Mesh the wing cross-sectional area with 2-D elements, and then extrude the area to create a 3-D volume. The mesh will be "extruded" along with the geometry so 3-D elements will automatically be created in the volume.

  1. Main Menu> Preprocessor> Element Type> Add/Edit/Delete

  2. [Add...]

  3. “Structural Solid” (left column)

  4. “Quad 4node 42” (right column)

  5. [Apply] to choose the Quad 4 node (PLANE42)

  6. “Structural Solid” (left column)

  7. “Brick 8node 45” (right column)

  8. [OK] to choose the Brick 8 node (SOLID45)

  9. [Close]

  10. Toolbar: SAVE_DB

9.1.5.2. Step 5: Mesh the area.

The next step is to specify mesh controls in order to obtain a particular mesh density.

  1. Main Menu> Preprocessor> Meshing> Mesh Tool

  2. “Size Controls Global” = [Set]

  3. “Element edge length” = 0.25

  4. [OK]

  5. [Mesh]

  6. [Pick All]

  7. [Close] Warning.

  8. [Close] Meshtool

  9. Toolbar: SAVE_DB

In designing this problem, the maximum node limit of ANSYS ED was taken into consideration. That is why the 4-node PLANE42 element, rather than the 8-node PLANE82 element was used. Note that the mesh contains a PLANE42 triangle, which results in a warning. If you are not using ANSYS ED, you may use PLANE82 during the element definitions to avoid this message. Note however that PLANE82 does not work unless you get rid of the Global Element edge length (which was set to 0.25).

Note

The mesh you see on your screen may vary slightly from the mesh shown above. As a result of this, you may see slightly different results during postprocessing. For a discussion of results accuracy, see Planning Your Approach in the Modeling and Meshing Guide.

9.1.5.3. Step 6: Extrude the meshed area into a meshed volume.

In this step, the 3-D volume is generated by first changing the element type to SOLID45, which is defined as element type 2, and then extruding the area into a volume.

  1. Main Menu> Preprocessor> Modeling> Operate> Extrude> Elem Ext Opts

  2. (drop down) “Element type number” = 2 SOLID45

  3. “No. Elem divs” = 10

  4. [OK]

  5. Main Menu> Preprocessor> Modeling> Operate> Extrude> Areas> By XYZ Offset

  6. [Pick All]

  7. “Offsets for extrusion” = 0, 0, 10

  8. [OK]

  9. [Close] Warning.

    Using SOLID45 to run this problem in ANSYS ED will produce this warning message. If ANSYS ED is not being used, then SOLID95 (20-node brick) can be used as element type 2. Using PLANE82 and SOLID95 produces a warning message about shape warning limits for 10 out of 127 elements in the volume.

  10. Utility Menu> PlotCtrls> Pan, Zoom, Rotate

  11. [Iso]

  12. [Close]

  13. Toolbar: SAVE_DB

9.1.6. Apply Loads

9.1.6.1. Step 7: Unselect 2-D elements.

Before applying constraints to the fixed end of the wing, unselect all PLANE42 elements used in the 2-D area mesh since they will not be used for the analysis.

  1. Utility Menu> Select> Entities

  2. (first drop down) “Elements”

  3. (second drop down) “By Attributes”

  4. (check) “Elem type num”

  5. “Min,Max,Inc” = 1

  6. (check) “Unselect”

  7. [Apply]

9.1.6.2. Step 8: Apply constraints to the model.

Constraints will be applied to all nodes located where the wing is fixed to the body. Select all nodes at z = 0, then apply the displacement constraints.

  1. (first drop down) “Nodes”

  2. (second drop down) “By Location”

  3. (check) “Z coordinates”

  4. “Min,Max” = 0

  5. (check) “From Full”

  6. [Apply]

  7. Main Menu> Preprocessor> Loads> Define Loads> Apply> Structural> Displacement> On Nodes

  8. [Pick All] to pick all selected nodes.

  9. “DOFs to be constrained” = All DOF

  10. [OK] Note that by leaving “Displacement” blank, a default value of zero is used.

    Now, reselect all nodes.

  11. (second drop down) “By Num/Pick”

  12. [Sele All] to immediately select all nodes from entire database.

  13. [Cancel] to close dialog box.

  14. Toolbar: SAVE_DB

9.1.7. Obtain Solution

9.1.7.1. Step 9: Specify analysis type and options.

Specify a modal analysis type.

  1. Main Menu> Solution> Analysis Type> New Analysis

  2. (check) “Modal”

  3. [OK]

  4. Main Menu> Solution> Analysis Type> Analysis Options

  5. (check) “Block Lanczos” (Block Lanczos is the default for a modal analysis.)

  6. “No. of modes to extract” = 5

  7. “No. of modes to expand” = 5

  8. [OK]

  9. [OK] All default values are acceptable for this analysis.

  10. Toolbar: SAVE_DB

9.1.7.2. Step 10: Solve.

  1. Main Menu> Solution> Solve> Current LS

  2. Review the information in the status window, then choose:

    File> Close (Windows),

    or

    Close (X11 / Motif), to close the window.

  3. [OK] to initiate the solution.

  4. [Yes]

  5. [Yes]

    Based on previous discussions, the warnings are accepted. The messages presented in the verification window are due to the fact that PLANE42 elements have been defined but not used in the analysis. They were used to mesh a 2-D cross-sectional area.

  6. [Close] to acknowledge that the solution is done.

9.1.8. Review Results

9.1.8.1. Step 11: List the natural frequencies.

  1. Main Menu> General Postproc> Results Summary

  2. [Close] after observing the listing.

9.1.8.2. Step 12: Animate the five mode shapes.

Set the results for the first mode to be animated.

  1. Main Menu> General Postproc> Read Results> First Set

  2. Utility Menu> PlotCtrls> Animate> Mode Shape

  3. [OK]

    Observe the first mode shape:

  4. Make choices in the Animation Controller (not shown), if necessary, then choose Close.

    Animate the next mode shape.

  5. Main Menu> General Postproc> Read Results> Next Set

  6. Utility Menu> PlotCtrls> Animate> Mode Shape

  7. [OK]

    Observe the second mode shape:

    Repeat red steps 4 through 7 above, and view the remaining three modes.

    Observe the third mode shape:

    Observe the fourth mode shape:

    Observe the fifth mode shape:

9.1.8.3. Step 13: Exit the ANSYS program.

  1. Toolbar: QUIT

  2. (check) “Quit - No Save!”

  3. [OK]

Congratulations! You have completed this tutorial.

Even though you have exited the ANSYS program, you can still view animations using the ANSYS ANIMATE program. The ANIMATE program runs only on the PC and is extremely useful for:

  • Viewing ANSYS animations on a PC regardless of whether the files were created on a PC (AVI files) or on a UNIX workstation (ANIM files).

  • Converting ANIM files to AVI files.

  • Sending animations over the web.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 9. Modal Tutorial 		Up / Home Next
Chapter 10. Probabilistic Design System (PDS) Tutorial


Chapter 10. Probabilistic Design System (PDS) Tutorial

Probabilistic Design of a Simple Plate with a Single Force Load

  • Problem Specification

  • Problem Description

  • Specify Analysis File

  • Define Input and Output

  • Obtain Solution

  • Perform Postprocessing

  • Generate Report

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
9.1. Modal Analysis of a Model Airplane Wing 		Up / Home Next
10.1. Probabilistic Design of a Simple Plate with a Single Force Load


10.1. Probabilistic Design of a Simple Plate with a Single Force Load

10.1.1. Problem Specification

Applicable ANSYS Products: | ANSYS Multiphysics, ANSYS Mechanical, ANSYS Structural, ANSYS ED
Level of Difficulty: | moderate
Interactive Time Required: | approximately 30 minutes
Discipline: | structural
Analysis Type: | static, linear
Element Types Used: | SHELL63
ANSYS Features Demonstrated: | Probabilistic Design System (PDS) Analysis
Applicable Help Available: | Probabilistic Design in the Advanced Analysis Techniques Guide, SHELL63 in the Elements Reference.

10.1.2. Problem Description

This is a structural probabilistic analysis of a square plate fixed on two sides and loaded in the center, as shown below.

The input parameters are subject to uncertainty. Measurements show that the plate dimensions can vary significantly. Specimen tests show that the material properties can also vary. The applied force is also subject to uncertainty.

You will determine the variation of the output parameters given the uncertainty of the plate dimensions, material properties, and applied force. The output parameters that you will study are the maximum deflection of the plate and the maximum equivalent stress at the clamped edges.

The following are your main objectives:

  • Review statistical results to determine if enough simulation loops have been performed.

  • Determine the probability that the maximum deflection remains below a specified value.

  • Determine the maximum deflection that will give a specified probability that the deflection is below that value.

  • Quantify how sensitive the results are with respect to the variability of the input parameters.

  • Produce scatter plots for the output parameters as a function of the most important random input variables.

  • Determine the correlation coefficients between the output parameters and input variables.

10.1.2.1. Given

You are given an input file for a deterministic analysis of the plate, where uncertainties have been ignored. The square plate is 100 mm long and 1.0 mm thick. Young's modulus and density are equal to the values shown in the table below. The force is 100.0 N.

The manufacturing process produces plates with an accuracy of ±0.1 mm.

The following are the material properties.

Material Property | Nominal Value | Distribution
Young's modulus | 210.0 N/mm2 | Gaussian Standard deviation 3 - 5%
Density | 8.0e-6 kg/mm3 | Uniform Standard deviation 5%

The force can only be positive and has a standard deviation of 10% of its mean value.

10.1.2.2. Approach and Assumptions

For this problem, you first enter the Probabilistic Design System (PDS), execute the file for the deterministic model and then specify it as the analysis file for the probabilistic analysis.

Next, you define the random input variables and random output parameters for your probabilistic analysis. For this problem, you define the length and thickness of the plate, Young's modulus and density, and force as random input variables with various distribution functions. You will define length and width as a uniform distribution with lower and upper bounds based on the manufacturing accuracy of ±0.1 mm. To be conservative, you will use a 5% standard deviation for the Young's modulus. To demonstrate that density has no significant impact on the results, you will use a uniform distribution from 50% to 150% of its nominal value. For force, you will use a lognormal distribution with a mean value equal to the nominal value and a standard deviation of 10% of its mean value. You define the maximum deflection and maximum equivalent stress at the fixed edges as the output parameters.

Next, you define Monte Carlo as the probabilistic analysis method and execute the Monte Carlo probabilistic simulations.

Finally, you visualize and evaluate the Monte Carlo results to achieve the analysis objectives, as stated above.

10.1.2.3. Summary of Steps

Use the information in the problem description and the steps below as a guideline in solving the problem on your own. Or, use the detailed interactive step-by-step solution by choosing the link for step 1.

Specify Analysis File

1. Enter PDS and specify analysis file.

Back To Top

Define Input and Output

2. Define input variables.

3. Define output parameters.

Back To Top

Obtain Solution

4. Execute Monte Carlo simulations.

Back To Top

Perform Postprocessing

5. Perform statistical postprocessing.

6. Perform trend postprocessing.

Back To Top

Generate Report

7. Generate HTML report and exit.

10.1.3. Specify Analysis File

10.1.3.1. Step 1: Enter PDS and specify analysis file.

You begin by entering the Probabilistic Design System (PDS) and executing the file plate.mac for the deterministic model. The plate.mac file contains a complete analysis sequence for a simple plate with a single force load. It uses parameters to define all inputs and outputs. If you are using the UNIX version of ANSYS, the file resides at /ansys_inc/v110/ansys/data/models. If you are using the PC version of ANSYS, the file resides at \Program Files\Ansys Inc\V110\ANSYS\data\models. Before performing substep 1 below, it is highly recommended that you copy the file plate.mac to your working directory.

  1. Main Menu> Prob Design

  2. Utility Menu> File> Read Input from

  3. File name:plate.mac

  4. [OK]

  5. [Close]

    Now define plate.mac as the analysis file for the probabilistic analysis. PDS uses plate.mac to create a file for performing analysis loops. PDS uses the plate.mac input and output parameters as random input variables (RVs) and random output parameters (RPs).

  6. Main Menu> Prob Design> Analysis File> Assign

  7. File name: plate.mac

  8. [OK]

10.1.4. Define Input and Output

10.1.4.1. Step 2: Define input variables.

You will now define the input parameters and their distribution functions.

  1. Main Menu> Prob Design> Prob Definitns> Random Input

  2. [Add...]

    Define length as an input variable.

  3. “Select a Parameter” = LENGTH

  4. “Distribution Type” = Uniform

  5. [OK]

  6. “Lower Boundary” = LENGTH-0.1

  7. “Upper Boundary” = LENGTH+0.1

  8. [OK]

  9. [Add...]

    Define thickness as an input variable.

  10. “Select a Parameter” = THICKNESS

  11. “Distribution Type” = Uniform

  12. [OK]

  13. “Lower Boundary” = THICKNESS-0.1

  14. “Upper Boundary” = THICKNESS+0.1

  15. [OK]

  16. [Add...]

    Define Young's modulus as an input variable.

  17. “Select a Parameter” = YOUNG

  18. “Distribution Type” = Gauss

  19. [OK]

  20. “Mean value” = YOUNG

  21. “Standard deviation” = 0.05*YOUNG

  22. [OK]

  23. [Add...]

    Define density as an input variable.

  24. “Select a Parameter” = DENSITY

  25. “Distribution Type” = Uniform

  26. [OK]

  27. “Lower Boundary” = 0.5*DENSITY

  28. “Upper Boundary” = 1.5*DENSITY

  29. [OK]

  30. [Add...]

    Define force as an input variable.

  31. “Select a Parameter” = FORCE

  32. “Distribution Type” = LOG1

  33. [OK]

  34. “Mean value” = FORCE

  35. “Standard deviation” = 0.1*FORCE

  36. [OK]

  37. [Close]

10.1.4.2. Step 3: Define output parameters.

You will now define the maximum deflection of the plate and the maximum equivalent stress at the clamped edges as output parameters.

  1. Main Menu> Prob Design> Prob Definitns> Random Output

  2. [Add...]

  3. “Select Parameter” = MAXDEFLECTION

  4. [OK]

  5. [Add...]

  6. “Select Parameter” = MAXSTRESS

  7. [OK]

  8. [Close]

10.1.5. Obtain Solution

10.1.5.1. Step 4: Execute Monte Carlo simulations.

You will now specify the Monte Carlo Simulation method and various options. You will specify the Latin Hypercube sampling technique. For the same accuracy, it generally requires fewer simulation loops than the Direct Monte Carlo Sampling technique. You will set the number of simulations to 40 and the number of repetitions to 1 to give 40 analysis loops. Forty loops will be a sufficient number for demonstration purposes. You will also set a few special options. For more information on the Monte Carlo Simulation method and these options, refer to the PDMETH and PDLHS commands in the Commands Reference and Probabilistic Design in the Advanced Analysis Techniques Guide.

  1. Main Menu> Prob Design> Prob Method> Monte Carlo Sims

  2. “Latin Hypercube”

  3. [OK]

  4. “Number of Simulations” = 40

  5. “Number of Repetitions” = 1

  6. “Random Sampling”

  7. “Execute ALL Sims”

  8. “Use 123457 INIT”

  9. [OK]

  10. Main Menu> Prob Design> Run> Exec Serial> Run Serial

  11. “Solution Set Label” = LHSRUN

  12. [OK]

  13. Review the information in the dialog box, then [OK] to initiate the solution.

The solution is complete when the statement “LOOP 40 OUT OF 40 - CYCLE 1 OUT OF 1 IS FINISHED” appears in the ANSYS Output Window.

10.1.6. Perform Postprocessing

10.1.6.1. Step 5: Perform statistical postprocessing.

You will now review simulation results and mean value plots for maximum deflection. If the number of simulations is sufficient, the mean value plots for random output variables converge (the curve flattens out).

You will also review a histogram plot for the maximum deflection in order to visualize the scatter of this random output parameter To double check that the number of simulation loops is sufficient, you will plot a histogram of the Young's modulus random input variable. The ANSYS PDS not only plots the histogram bars, but also plots a curve for values derived from the distribution function that you specified. If the number of simulations is sufficient, the histogram for Young's modulus will have bars close to the curve derived for the distribution function, which are smooth and without any major gaps.

You will also determine the following:

  • The probability that the maximum deflection is below 0.525 mm.

  • The maximum deflection that will give a 90% probability that the deflection is below that value.

  1. Main Menu> Prob Design> Prob Results> Statistics> Sampl History

  2. “Prob Design Variable” = MAXDEFLECTION

  3. “Samples”

  4. [OK]

  5. Main Menu> Prob Design> Prob Results> Statistics> Sampl History

  6. “Prob Design Variable” = MAXDEFLECTION

  7. “Mean values”

  8. [OK]

    The curve is relatively flat, indicating that the number of simulations is sufficient.

  9. Main Menu> Prob Design> Prob Results> Statistics> Histogram

  10. “Prob Design Variable” = MAXDEFLECTION

  11. [OK]

  12. Main Menu> Prob Design> Prob Results> Statistics> Histogram

  13. “Prob Design Variable” = YOUNG

  14. [OK]

    The histogram bars resemble the probability density function, indicating that the number of simulations is sufficient.

  15. Main Menu> Prob Design> Prob Results> Statistics> CumulativeDF

  16. “Prob Design Variable” = MAXDEFLECTION

  17. [OK]

    The curve shows that there is a about a 93% probability that the deflection remains below 0.525.

  18. Main Menu> Prob Design> Prob Results> Statistics> Probabilities

  19. “Prob Design Variable” = MAXDEFLECTION

  20. “Less than”

  21. “Limit Value” = 0.525

  22. [OK]

    Note that the probability is 93.026% that the maximum deflection is below the value of 0.525 mm.

  23. After reviewing the information, File> Close (Windows platforms) or Close (UNIX platforms)

  24. Main Menu> Prob Design> Prob Results> Statistics> Inverse Prob

  25. “Prob Design Variable” = MAXDEFLECTION

  26. “Target Probability” = 0.90

  27. [OK]

    Note that there is a 90% probability that the maximum deflection is below 0.5209 mm.

  28. After reviewing the results, choose File> Close (Windows platforms) or Close (UNIX platforms).

You have achieved three of your six main objectives for running this tutorial as stated above in Problem Description. In Step 5, you:

  • Reviewed statistical results and determined that 40 simulation loops were sufficient (substeps 8 and 14).

  • Determined that the probability of the maximum deflection being below 0.525 mm, is 93% (substeps 17 and 23).

  • Determined that a deflection limit of 0.5209 mm should be specified to achieve a 90% probability that the deflection is below that value (substep 28).

10.1.6.2. Step 6: Perform trend postprocessing.

You will now request sensitivity plots for MAXDEFLECTION and MAXSTRESS to determine which random input variables are most significant. You will then request scatter plots of MAXDEFLECTION and MAXSTRESS versus the most significant random input variables. Finally, you will determine the correlation coefficients between the random output parameters and the random input variables.

  1. Main Menu> Prob Design> Prob Results> Trends> Sensitivities

  2. Choose for the “Select Response Param” = MAXDEFLECTION

  3. [OK]

    Note that the legend indicates that only the random input variable THICKNESS is important for the random output parameter MAXDEFLECTION.

  4. Main Menu> Prob Design> Prob Results> Trends> Sensitivities

  5. “Select Response Param” = MAXSTRESS

  6. [OK]

    Note that the legend indicates that only the random input variables THICKNESS and FORCE are important for the random output parameter MAXSTRESS.

  7. Main Menu> Prob Design> Prob Results> Trends> Scatter Plot

  8. “Name 1 Select Parameter” = THICKNESS

  9. “Name 2 Select Parameter” = MAXDEFLECTION

  10. [OK]

  11. Main Menu> Prob Design> Prob Results> Trends> Correl Matrix

  12. “Type of Matrix” = Input-Output

  13. [OK]

  14. [OK]

    Note the correlation coefficients.

  15. After reviewing the results, choose File> Close (Windows platforms) or Close (UNIX platforms).

You have achieved the remaining three of your six total main objectives for running this tutorial as stated above in Problem Description. In Step 6, you:

  • Determined that only the random input variable THICKNESS is important for the random output parameter MAXDEFLECTION (substep 3), and that only the random input variables THICKNESS and FORCE are important for the random output parameter MAXSTRESS (substep 6).

  • Produced a scatter plot of the MAXDEFLECTION output parameter as a function of the THICKNESS input variable (substep 10).

  • Determined correlation coefficients between output parameters MAXDEFLECTION and MAXSTRESS, and input variables LENGTH, THICKNESS, YOUNG, DENSITY, and FORCE (substep 15).

10.1.7. Generate Report

10.1.7.1. Step 7: Generate HTML report and exit.

You will now generate an HTML report for your probabilistic analysis. It includes deterministic model information, probabilistic model information, and probabilistic analysis results.

  1. Main Menu> Prob Design> Prob Results> Report> Report Options

  2. [OK] to use the default options.

  3. Main Menu> Prob Design> Prob Results> Report> Generate Report

  4. “Report file name” = Simple Plate Analysis

  5. “Your first name” = John

  6. “Your last name” = Doe

  7. [OK]

    You will find the report and all related files in your current directory in a subdirectory with the report file name.

  8. Toolbar: Quit

  9. “Quit - No Save!”

  10. [OK]

Congratulations! You have completed this tutorial.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 10. Probabilistic Design System (PDS) Tutorial 		Up / Home Next
Chapter 11. ANIMATE Program


Chapter 11. ANIMATE Program

View Animations on a PC Using the ANIMATE program.

The ANIMATE program allows you to view ANSYS animation files on a PC regardless of whether the files were created on a PC (AVI files), or on a UNIX workstation (ANIM files). The program is truly standalone. You can run it without ANSYS even being installed. Also, its small 250kB file size makes it easy to transport as an e-mail attachment, if required.

If you create and view AVI animation files on a PC, the ANIMATE program will provide you with better frame speed and window size control than if you use the Windows Media Player. For ANIM files created on UNIX workstations, you not only can view the files directly on a PC using the ANIMATE program, but you can also convert an ANIM file to an AVI file. This provides a substantial reduction in file size -- ideal for producing downloadable animation files for the web. Also, when using the ANIMATE program to view 3-D model animations saved as ANIM files, you can pan, zoom, or rotate the model (using the mouse buttons) while the animation is in progress.

The following procedure will allow you to exercise some of the features of the ANIMATE program. To perform the procedure, you must be using a PC and have an AVI or ANIM animation file stored locally on your Windows file system.

Note

If you created an animation in ANSYS, you can save the animation to a file and assign it any name from the Utility Menu, PlotCtrls, Animate, Save Animation, then assign a file name. Any animation file saved this way can be used in the ANIMATE program.

For ANIM files in a UNIX file system, you must transfer the ANIM files to the Windows file system using the FTP protocol, SAMBA, or some other file system transfer utility. Another requirement for using the ANIMATE program is that the ANIM file must have been created using pixmap animation as opposed to display list animation. On a UNIX workstation, you can set this in ANSYS from the Utility Menu by choosing PlotCtrls, Device Options, then checking Pixmaps for Animation mode in the dialog box.

After you have fulfilled the requirements stated above, exercise some of the features of the ANIMATE program as follows:

  1. With the ANSYS CD in your CD drive, open a Windows file manager (e.g., Windows Explorer) and obtain a listing of file names in the root directory of the CD.

  2. Start the file named Animate.exe.

  3. Click on the Open file button.

  4. From the file selection list, choose any AVI animation file, or an ANIM animation file created using the pixmap animation.

  5. Display the Animation Controller by clicking on the Controller button.

  6. Experiment with the various controls on the Animation Controller.

  7. With the animation still running, experiment with different window sizes by clicking on the various window buttons located on the toolbar.

  8. If you are viewing an AVI file, you have completed this procedure. Choose File > Exit [image] to terminate the ANIMATE program. If you are viewing an ANIM file, continue with the remaining steps below.

  9. Convert the ANIM file to an AVI file by choosing File > Save as [image] then specifying a file name, and clicking on Save.

  10. Terminate the ANIMATE program by choosing File > Exit.

  11. From your Windows file manager, compare the size of the original ANIM file with the size of the AVI file you just converted. Note the substantial reduction in file size resulting from the conversion.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
10.1. Probabilistic Design of a Simple Plate with a Single Force Load 		Up / Home Next
ANSYS LS-DYNA User's Guide


ANSYS LS-DYNA User's Guide

Release 11.0 Documentation for ANSYS

Table of Contents

1. Introduction
1.1. Overview of Steps in an Explicit Dynamic Analysis
1.2. Commands Used in an Explicit Dynamic Analysis
1.3. A Guide to Using this Document
1.4. Where to Find Explicit Dynamics Example Problems
1.5. Additional Information
2. Elements
2.1. Solid and Shell Elements
2.1.1. SOLID164
2.1.2. SHELL163
2.1.3. PLANE162
2.1.4. SOLID168
2.2. Beam and Link Elements
2.2.1. BEAM161
2.2.2. LINK160
2.2.3. LINK167
2.3. Discrete Elements
2.3.1. COMBI165 Spring-Damper
2.3.2. MASS166
2.4. General Element Capabilities
3. Analysis Procedure
3.1. Build the Model
3.1.1. Define Element Types and Real Constants
3.1.2. Specify Material Properties
3.1.3. Define the Model Geometry
3.1.4. Mesh the Model
3.1.5. Define Contact Surfaces
3.1.6. General Modeling Guidelines
3.2. Apply Loads and Obtain the Solution
3.2.1. Loads
3.2.2. Initial Velocities
3.2.3. Constraints
3.2.4. DOF Coupling
3.2.5. Data Smoothing
3.2.6. Specify Explicit Dynamics Controls
3.2.7. Save Database and Solve
3.3. Review the Results
3.4. The Definition of Part
3.4.1. Part Assemblies
3.5. Adaptive Meshing
4. Loading
4.1. General Loading Options
4.1.1. Components
4.1.2. Array Parameters
4.1.3. Applying Loads
4.1.4. Data Curves
4.1.5. Defining Loads in a Local Coordinate System
4.1.6. Specifying Birth and Death Times
4.2. Constraints and Initial Conditions
4.2.1. Constraints
4.2.2. Welds
4.2.3. Initial Velocity
4.3. Coupling and Constraint Equations
4.4. Nonreflecting Boundaries
4.5. Temperature Loading
4.6. Dynamic Relaxation
5. Solution Features
5.1. Solution Process
5.2. LS-DYNA Termination Controls
5.3. LS-DYNA Parallel Processing Capabilities
5.3.1. Shared Memory Parallel Processing
5.3.2. Massively Parallel Processing
5.4. Double Precision LS-DYNA
5.5. Solution Control and Monitoring
5.6. Plotting Small Elements
5.7. Editing the LS-DYNA Input File
5.7.1. Using a Preexisting File.K
6. Contact Surfaces
6.1. Contact Definitions
6.1.1. Listing, Plotting and Deleting Contact Entities
6.2. Contact Options
6.2.1. Definition of Contact Types
6.2.2. Definition of Contact Options
6.3. Contact Search Methods
6.3.1. Mesh Connectivity Tracking
6.3.2. Bucket Sort Method
6.3.3. Limiting the Contact Search Domain
6.4. Special Considerations for Shells
6.5. Controlling Contact Depth
6.6. Contact Stiffness
6.6.1. Choice of Penalty Factor
6.6.2. Symmetry Stiffness
6.7. 2-D Contact Option
7. Material Models
7.1. Defining Explicit Dynamics Material Models
7.2. Explicit Dynamics Material Model Descriptions
7.2.1. Linear Elastic Models
7.2.2. Nonlinear Elastic Models
7.2.3. Nonlinear Inelastic Models
7.2.4. Pressure Dependent Plasticity Models
7.2.5. Foam Models
7.2.6. Equation of State Models
7.2.7. Discrete Element Models
7.2.8. Other Models
8. Rigid Bodies
8.1. Defining Rigid Bodies
8.2. Specifying Inertia Properties
8.3. Loading
8.4. Switching Parts from Deformable to Rigid
8.5. Nodal Rigid Bodies
9. Hourglassing
10. Mass Scaling
11. Subcycling
12. Postprocessing
12.1. Output Controls
12.1.1. Results (Jobname.RST) vs. History (Jobname.HIS) Files
12.1.2. Creating Components for POST26
12.1.3. Writing the Output Files for POST26
12.2. Using POST1 with ANSYS LS-DYNA
12.2.1. Animating Results
12.2.2. Element Output Data
12.2.3. Postprocessing after Adaptive Meshing
12.3. Using POST26 with ANSYS LS-DYNA
12.3.1. Nodal and Element Solutions
12.3.2. Reading ASCII Files for Miscellaneous Output Data
12.3.3. Data Smoothing
12.4. Finding Additional Information
13. Restarting
13.1. The Restart Dump File
13.2. The EDSTART Command
13.2.1. A New Analysis
13.2.2. A Simple Restart
13.2.3. A Small Restart
13.2.4. A Full Restart
13.3. Effect on Output Files
14. Explicit-to-Implicit Sequential Solution
14.1. Performing an Explicit-to-Implicit Sequential Solution
14.2. Troubleshooting a Springback Analysis
14.2.1. Springback Stabilization
15. Implicit-to-Explicit Sequential Solution
15.1. Structural Implicit-to-Explicit Solution for Preload
15.1.1. Special Considerations for Thermal Loading
15.2. Thermal Implicit-to-Explicit Solution
16. Arbitrary Lagrangian-Eulerian Formulation
16.1. Performing an ALE Analysis
17. Drop Test Module
17.1. Starting ANSYS With the Drop Test Module
17.2. Typical Drop Test Procedure
17.2.1. Basic Drop Test Analysis Procedure
17.2.2. Screen Coordinates Definition
17.2.3. Additional Notes on the Use of the DTM
17.3. Advanced DTM Features
17.3.1. Object Initial Velocity
17.3.2. Modifying the Target
17.4. Drop Test Set-up Dialog Box
17.4.1. Using the Drop Test Set-up Dialog Box
17.4.2. Basic Tab of the Drop Test Set-up Dialog Box
17.4.3. Velocity Tab of the Drop Test Set-up Dialog Box
17.4.4. Target Tab of the Drop Test Set-up Dialog Box
17.4.5. Status Tab of the Drop Test Set-up Dialog Box
17.5. Picking Nodes
17.6. Postprocessing - Animation
17.7. Postprocessing - Graph and List Time-History Variables
A. Comparison of Implicit and Explicit Methods
A.1. Time Integration
A.1.1. Implicit Time Integration
A.1.2. Explicit Time Integration
A.2. Stability Limit
A.2.1. Implicit Method
A.2.2. Explicit Method
A.3. Critical Time Step Size of a Rod
A.4. ANSYS LS-DYNA Time Step Size
B. Material Model Examples
B.1. ANSYS LS-DYNA Material Models
B.2. Material Model Examples
B.2.1. Isotropic Elastic Example: High Carbon Steel
B.2.2. Orthotropic Elastic Example: Aluminum Oxide
B.2.3. Anisotropic Elastic Example: Cadmium
B.2.4. Blatz-Ko Example: Rubber
B.2.5. Mooney-Rivlin Example: Rubber
B.2.6. Viscoelastic Example: Glass
B.2.7. Bilinear Isotropic Plasticity Example: Nickel Alloy
B.2.8. Transversely Anisotropic Elastic Plastic Example: 1010 Steel
B.2.9. Transversely Anisotropic FLD Example: Stainless Steel
B.2.10. Bilinear Kinematic Plasticity Example: Titanium Alloy
B.2.11. Plastic Kinematic Example: 1018 Steel
B.2.12. 3 Parameter Barlat Example: Aluminum 5182
B.2.13. Barlat Anisotropic Plasticity Example: 2008-T4 Aluminum
B.2.14. Rate Sensitive Powerlaw Plasticity Example: A356 Aluminum
B.2.15. Strain Rate Dependent Plasticity Example: 4140 Steel
B.2.16. Piecewise Linear Plasticity Example: High Carbon Steel
B.2.17. Modified Piecewise Linear Plasticity Example: PVC
B.2.18. Powerlaw Plasticity Example: Aluminum 1100
B.2.19. Elastic Viscoplastic Thermal Example
B.2.20. Geological Cap Example: SRI Dynamic Concrete
B.2.21. Johnson-Cook Linear Polynomial EOS Example: 1006 Steel
B.2.22. Johnson-Cook Gruneisen EOS Example: OFHC Copper
B.2.23. Null Material Linear Polynomial EOS Example: Brass
B.2.24. Null Material Gruneisen EOS Example: Aluminum
B.2.25. Steinberg Gruneisen EOS Example: Stainless Steel
B.2.26. Cable Material Example: Steel
B.2.27. Rigid Material Example: Steel
C. ANSYS LS-DYNA to LS-DYNA Command Mapping
D. Thermal/Structural Preload Example
Bibliography

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 11. ANIMATE Program 		Up / Home Next
Chapter 1. Introduction


Chapter 1. Introduction

ANSYS LS-DYNA combines the LS-DYNA explicit finite element program with the powerful pre- and postprocessing capabilities of the ANSYS program. The explicit method of solution used by LS-DYNA provides fast solutions for short-time, large deformation dynamics, quasi-static problems with large deformations and multiple nonlinearites, and complex contact/impact problems. Using this integrated product, you can model your structure in ANSYS, obtain the explicit dynamic solution via LS-DYNA, and review results using the standard ANSYS postprocessing tools.

You can also transfer geometry and results information between ANSYS and ANSYS LS-DYNA to perform sequential implicit-explicit / explicit-implicit analyses, such as those required for droptest, springback and other applications.

The following ANSYS LS-DYNA general information topics are available:

  • Overview of Steps in an Explicit Dynamic Analysis
  • Commands Used in an Explicit Dynamic Analysis
  • A Guide to Using this Document
  • Where to Find Explicit Dynamics Example Problems
  • Additional Information

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ANSYS LS-DYNA User's Guide 		Up / Home Next
1.1. Overview of Steps in an Explicit Dynamic Analysis


1.1. Overview of Steps in an Explicit Dynamic Analysis

The procedure for an explicit dynamic analysis is similar to any other analysis that is available in the ANSYS program. The three main steps are:

  1. Build the model (with the PREP7 preprocessor)

  2. Apply loads and obtain the solution (with the SOLUTION processor)

  3. Review the results (with the POST1 and POST26 postprocessors)

This document describes procedures and concepts that are unique to an explicit dynamic analysis performed using the ANSYS LS-DYNA product. It does not describe all details of the three steps listed above. If you are familiar with the ANSYS program, you already know how to perform these steps, and this document will provide additional information you need to perform an explicit dynamic analysis. If you have not used ANSYS before, you should review the following two manuals (in addition to this document) to learn the basic analysis procedures:

  • Basic Analysis Guide

  • Modeling and Meshing Guide

When using ANSYS LS-DYNA, it is recommended that you use the default settings provided by the program. Many times, these settings are appropriate for solving the problems.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 1. Introduction 		Up / Home Next
1.2. Commands Used in an Explicit Dynamic Analysis


1.2. Commands Used in an Explicit Dynamic Analysis

You use the same set of commands to build a model and perform an explicit dynamic analysis that you use to do any other type of ANSYS analysis. Likewise, you choose similar options from the ANSYS program’s graphical user interface (GUI) to build and solve models.

However, some commands are unique to an explicit dynamic analysis. These commands are:

EDADAPT | Activates adaptive meshing
EDALE | Assigns mesh smoothing to explicit dynamic elements that use the ALE formulation
EDASMP | Creates a part assembly
EDBOUND | Defines a boundary plane for sliding or cyclic symmetry
EDBVIS | Specifies bulk viscosity coefficients
EDBX | Creates a box shaped volume to be used in a contact definition
EDCADAPT | Specifies adaptive meshing controls
EDCGEN | Specifies contact parameters
EDCLIST | Lists contact entity specifications
EDCMORE | Specifies additional contact parameters for a given contact definition
EDCNSTR | Defines various types of constraints
EDCONTACT | Specifies contact surface controls
EDCPU | Specifies CPU time limit
EDCRB | Merges two rigid bodies
EDCSC | Specifies whether subcycling will be used
EDCTS | Specifies mass scaling
EDCURVE | Specifies data curves
EDDAMP | Defines system damping
EDDBL | Selects numerical precision type
EDDC | Deletes or deactivates/reactivates contact entity specifications
EDDRELAX | Activates initialization to a prescribed geometry or dynamic relaxation for the explicit analysis
EDDUMP | Specifies output frequency for the restart file (d3dump)
EDENERGY | Specifies energy dissipation controls
EDFPLOT | Specifies plotting of load symbols
EDGCALE | Defines global ALE controls
EDHGLS | Specifies the hourglass coefficient
EDHIST | Specifies time-history output
EDHTIME | Specifies the time-history output interval
EDINT | Specifies number of integration points for output
EDIPART | Defines inertia for rigid parts
EDIS | Specifies stress initialization in a full restart analysis
EDLCS | Defines a local coordinate system
EDLOAD | Specifies loads
EDMP | Defines material properties
EDNB | Defines a nonreflecting boundary
EDNDTSD | Smooths noisy data and provides a graphical representation of the data
EDNROT | Applies a rotated coordinate nodal constraint
EDOPT | Specifies the type of output, ANSYS or LS-DYNA
EDOUT | Specifies LS-DYNA ASCII output files
EDPART | Creates, updates, or lists parts
EDPC | Selects and plots contact entities
EDPL | Plots time dependent load curves
EDPVEL | Applies initial velocities to parts or part assemblies
EDRC | Specifies rigid/deformable switch controls
EDRD | Switches a part from deformable to rigid or from rigid to deformable
EDREAD | Reads output from LS-DYNA ASCII files into POST26 variables
EDRI | Defines inertia properties for a new rigid body that is created when a deformable part is switched to rigid
EDRST | Specifies time increment for output to the .RST file
EDRUN | Specifies LS-DYNA serial or parallel processing
EDSHELL | Specifies shell computation controls
EDSOLV | Specifies "explicit dynamic solution" as the subsequent status topic
EDSP | Specifies small penetration checking for contact entities
EDSTART | Specifies status (new or restart) of the analysis
EDTERM | Specifies termination criteria
EDTP | Plots elements based on their time step size
EDVEL | Applies initial velocities to nodes or node components
EDWELD | Defines a massless spotweld or generalized weld
EDWRITE | Writes explicit dynamics input to an LS-DYNA input file
PARTSEL | Selects a subset of parts
RIMPORT | Imports initial stresses from an explicit run into ANSYS
REXPORT | Exports displacements from an implicit run to ANSYS LS-DYNA
UPGEOM | Adds displacements from a previous analysis and updates the geometry to the deformed configuration

For detailed alphabetized descriptions of the ANSYS commands (including specific menu path information for each command), see the Commands Reference.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.1. Overview of Steps in an Explicit Dynamic Analysis 		Up / Home Next
1.3. A Guide to Using this Document


1.3. A Guide to Using this Document

This document contains both procedural and reference information. You may choose to read through it from front to back. However, it may be more useful to read the chapters in a sequence that corresponds with the process of planning and performing an explicit dynamic analysis.

Before you build a model, you must decide which element types and material models will best represent your physical system. The following chapters provide the background information you need to make these decisions:

"Elements"
"Material Models"

After choosing appropriate element types and material models, you are ready to build the model. The typical aspects of model building are presented in:

"Analysis Procedure"
"Contact Surfaces"
"Rigid Bodies"
"Loading"

Features related to solving and postprocessing are discussed in:

"Solution Features"
"Postprocessing"

Other more advanced capabilities that are not required to complete an analysis, but that may be useful in some situations, are presented in:

"Hourglassing"
"Mass Scaling"
"Subcycling"
"Restarting"
"Explicit-to-Implicit Sequential Solution"
"Implicit-to-Explicit Sequential Solution"
"Arbitrary Lagrangian-Eulerian Formulation"
"Drop Test Module"

Finally, the appendices contain reference information on the following topics:

Appendix A
Appendix B
Appendix C

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.2. Commands Used in an Explicit Dynamic Analysis 		Up / Home Next
1.4. Where to Find Explicit Dynamics Example Problems


1.4. Where to Find Explicit Dynamics Example Problems

The Explicit Dynamics Tutorial describes a sample explicit dynamic analysis problem.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.3. A Guide to Using this Document 		Up / Home Next
1.5. Additional Information


1.5. Additional Information

For a more detailed overview of the explicit dynamic analysis procedure, see the Structural Analysis Guide. For detailed information on explicit elements, see the Elements Reference. For detailed theoretical information, see the Livermore Software Technology Corporation’s LS-DYNA Theoretical Manual.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.4. Where to Find Explicit Dynamics Example Problems 		Up / Home Next
Chapter 2. Elements


Chapter 2. Elements

The following elements can be used in an explicit dynamic analysis:

  • LINK160

  • BEAM161

  • PLANE162

  • SHELL163

  • SOLID164

  • COMBI165

  • MASS166

  • LINK167

  • SOLID168

All of the explicit dynamic elements listed above are 3-D except for PLANE162, and all have reduced integration by default when applicable (for example, reduced integration is not the default for mass or link elements). Reduced integration means that the number of points for numerical integration in the element formation process is less than that necessary for exact integration. Therefore, one integration point is the default formulation for both solid and shell elements. Full integration options are also available for the solid and shell elements. For additional details, see "Hourglassing" and also the LS-DYNA Theoretical Manual.

These elements assume a linear displacement function; higher order elements with a quadratic displacement function are not available. Therefore, the explicit dynamic elements are not available with extra shape functions, midside nodes, or p-elements. Explicit elements with linear displacement functions and one point integration are best suited for nonlinear applications with large deformations and material failure.

It should be noted that the explicit elements are not linked directly to material properties. For example, the SOLID164 element supports more than 20 different material models, including elastic, plastic, rubber, and foam models. Unless stated otherwise (see "Contact Surfaces"), the minimum material property requirements for all elements are density, Poisson's ratio, and elastic modulus. See "Material Models" of this document for detailed information on the material properties that can be used in an explicit dynamic analysis. See also the Elements Reference for a complete description of each element, including details of input and output quantities.

The following explicit element topics are available:

  • Solid and Shell Elements
  • Beam and Link Elements
  • Discrete Elements
  • General Element Capabilities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.5. Additional Information 		Up / Home Next
2.1. Solid and Shell Elements


2.1. Solid and Shell Elements

2.1.1. SOLID164

The SOLID164 element is an 8-node brick element. By default, it uses reduced (one point) integration plus viscous hourglass control for faster element formulation. One point integration is advantageous due to savings on computer time and robustness in cases of large deformations. A fully integrated solid formulation (KEYOPT(1) = 2) is also available; see the element description for SOLID164 in the Elements Referenceand Section 3.3 of the LS-DYNA Theoretical Manual. If hourglass phenomenon is a concern, such as with foams, the fully integrated formulation may perform better because hourglass control is not required; but it is about four times more costly in terms of CPU time.

KEYOPT(5) defines the element continuum treatment. Two different formulations are available: Lagrangian (default) and Arbitrary Lagrangian-Eulerian (ALE). See Arbitrary Lagrangian-Eulerian Formulation in the ANSYS LS-DYNA User's Guide for more information.

Wedge, pyramid, and tetrahedra shaped SOLID164 elements are simply degenerate bricks (i.e., some of the nodes are repeated). These shapes are often too stiff in bending and cause problems in some situations. Therefore, these degenerate shapes should be avoided. If a tetrahedron mesh is desired, it is recommended that SOLID168 elements be used instead of degenerated SOLID164 elements.

You can use any of the following material models for solid elements:

  • Isotropic Elastic

  • Orthotropic Elastic

  • Anisotropic Elastic

  • Bilinear Kinematic

  • Plastic Kinematic

  • Viscoelastic

  • Blatz-Ko Rubber

  • Bilinear Isotropic

  • Power Law Plasticity

  • Strain Rate Dependent Plasticity

  • Composite Damage

  • Concrete Damage

  • Geological Cap

  • Piecewise Linear Plasticity

  • Honeycomb

  • Mooney-Rivlin Rubber

  • Barlat Anisotropic Plasticity

  • Elastic-Plastic Hydrodynamic

  • Rate Sensitive Powerlaw Plasticity

  • Elastic Viscoplastic Thermal

  • Closed Cell Foam

  • Low Density Foam

  • Viscous Foam

  • Crushable Foam

  • Johnson-Cook Plasticity

  • Null

  • Zerilli-Armstrong

  • Bamman

  • Steinberg

  • Elastic Fluid

2.1.2. SHELL163

Twelve different formulations are available for the SHELL163 element. Use KEYOPT(1) to specify the desired formulation. As with solid elements, the number of integration points per element directly impacts CPU time. Therefore, for general analyses, the reduced integration shell formulations are recommended. The following is an outline of the different formulations available for SHELL163. Coordinate systems for output of quantities associated with SHELL163 may vary for different formulations. See the Elements Reference for more information.

2.1.2.1. General Shell Formulations

  • Belytschko-Tsay (KEYOPT(1) = 0 or 2) - default

    • Very fast and is recommended for most applications

    • Uses reduced integration (one point)

    • Should not be used when elements experience excessive warping

  • Belytschko-Wong-Chiang (KEYOPT(1) = 10)

    • 25% slower than Belytschko-Tsay

    • Uses reduced integration (one point)

    • Generally gives correct results for warping

  • Belytschko-Leviathan (KEYOPT(1) = 8)

    • 40% slower than Belytschko-Tsay

    • Reduced integration formulation (one point)

    • Includes physical hourglass control automatically

  • Fully integrated Belytschko-Tsay (KEYOPT(1) = 12)

    • 2.5 times slower than reduced integration Belytschko-Tsay shell.

    • Has four integration points in plane and does not need hourglass control.

    • Shear locking is remedied by assumed strain for the transverse shear.

    • Recommended if hourglass modes are a problem in the analysis.

  • Hughes-Liu (KEYOPT(1) = 1, 6, 7, 11) = > four different formulations which can offset the mid-plane of element away from the nodes.

    • KEYOPT(1) = 1 General Hughes-Liu. Has one-point integration and is 2.5 times slower that Belytschko-Tsay.

    • KEYOPT(1) = 11 Fast (corotational) Hughes-Liu. Has one-point integration and is 1.5 times slower than Belytschko-Tsay.

    • KEYOPT(1) = 6 S/R Hughes-Liu. Has four integration points with no hourglassing but is 20 times slower that Belytschko-Tsay.

    • KEYOPT(1) = 7 S/R corotational Hughes-Liu. Has four integration points with no hourglassing. 8.8 times slower than Belytschko-Tsay. Recommended if hourglassing is a problem in an analysis.

2.1.2.2. Membrane Element Formulation

  • Belytschko-Tsay Membrane (KEYOPT(1) = 5)

    • Fast and recommended for most membrane applications

    • Reduced (one-point) integration

    • Good for fabrics where wrinkling is a concern (i.e., where large in-plane compressive stresses try to collapse the thin fabric elements)

  • Fully integrated Belytschko-Tsay Membrane (KEYOPT(1) = 9)

    • Significantly slower than general membrane (KEYOPT(1) = 5)

    • Four integration points in plane

    • No hourglassing

2.1.2.3. Triangular Shell Formulations

  • C0 triangular shell (KEYOPT(1) = 4)

    • Based on Mindlin-Reissner Plate Theory

    • Formulation is rather stiff, so not recommended for entire mesh

    • Reduced integration formulation

  • BCIZ Triangular Shell (KEYOPT(1) = 3)

    • Based on Kirchhoff Plate Theory

    • Slower than C0 triangular shells

    • Reduced integration formulation

The description of SHELL163 in the ANSYS LS-DYNA User's Guide also has a complete list of available shell formulations.

Degenerate quadrilateral shell elements are prone to lock under transverse shear; therefore, C0 triangular shell elements (based on work by Belytschko and coworkers) have been implemented. Triangular shells can be mixed with quadrilateral shells within the same material property set, provided that the element sorting flag (the ITRST field on the EDSHELL command) is set to 1 (which is the default).

You can use any of the following material models for shell elements:

  • Isotropic Elastic

  • Orthotropic Elastic

  • Bilinear Kinematic

  • Plastic Kinematic

  • Blatz-Ko Rubber

  • Bilinear Isotropic

  • Power Law Plasticity

  • Strain Rate Dependent Plasticity

  • Composite Damage

  • Piecewise Linear Plasticity

  • Modified Piecewise Linear Plasticity

  • Mooney-Rivlin Rubber (see note below)

  • Barlat Anisotropic Plasticity

  • 3 Parameter Barlat Plasticity

  • Transversely Anisotropic Elastic Plastic

  • Rate Sensitive Powerlaw Plasticity

  • Transversely Anisotropic FLD

  • Elastic Viscoplastic Thermal

  • Johnson-Cook Plasticity

  • Bamman

Note

When the Mooney-Rivlin Rubber material model is used with SHELL163 elements, the LS-DYNA code will automatically use a total Lagrangian modification of the Belytschko-Tsay formulation instead of using the formulation you specify via KEYOPT(1). This program-chosen formulation is required to address the special needs of the hyperelastic material.

All shell element formulations can have an arbitrary number of integration points through the thickness. Typically, 2 integration points (default) are required through the thickness for elastic behavior, while 3 or more integration points are required for plastic behavior. The number of integration points through the thickness is controlled using the second real constant:

R,NSET,,R2 where R2 = number of integration points (NIP)

3-D plane stress constitutive subroutines are implemented for the shell elements; these update the stress tensor such that the stress component normal to the shell mid surface is zero. The integration points are stacked vertically at the centroid of the element, as shown in Figure 2.1: "Integration Points".

Figure 2.1 Integration Points

Through-thickness directions at each node are initially normal to the element surface but rotate with the nodes. The through-the-thickness integration is needed to calculate bending moments and in-plane forces. The distribution of strain is always linear; whereas the stress is more complicated in nature and depends on the material law.

Two integration points are sufficient for linear elastic materials, while more points are required for nonlinear materials. Stress output is given at the outermost integration points, not at the surfaces (despite the nomenclature of postprocessors, which refer to top and bottom surfaces), so care is needed in interpretation of results. For elastic materials, stresses can be extrapolated to the surfaces. For nonlinear materials the usual procedure is to choose four or five integration points through the thickness and to ignore the inaccuracy (i.e., the difference in stress between the surface and the outermost integration point). The locations of the outermost integration points of Gauss quadrature are given in the following table:

Mid Plane |  | 0
 | 2 points | 0.5774
Outermost Point | 3 points | 0.7746
 | 4 points | 0.8611
 | 5 points | 0.9062
Outer Surface |  | 1.0000

Note

Keep in mind that this integration could be made exactly beforehand when linear elastic material is used, but it is not done in ANSYS LS-DYNA because nonlinear behavior is generally being modeled.

Also, for elements using full integration, the output stress is the averaged stress values from the 2x2 integration points of the same layer.

2.1.3. PLANE162

The PLANE162 element is a 2-D, 4-node solid element that can be used either as a planar (X-Y plane) or as an axisymmetric (Y-axis of symmetry) element. KEYOPT(3) allows you to specify a plane stress, axisymmetric, or plane strain option for the element. For the axisymmetric element formulation, you can specify either an area or volume weighted option using KEYOPT(2).

KEYOPT(5) defines the element continuum treatment. Two different formulations are available: Lagrangian (default) and Arbitrary Lagrangian-Eulerian (ALE). See Arbitrary Lagrangian-Eulerian Formulation in the ANSYS LS-DYNA User's Guide for more information.

The PLANE162 element is typically defined by four-nodes. A three-node triangle option is also available, but not recommended because it is often too stiff. There are no real constants for this element. It is important to note that models containing PLANE162 elements must consist only of this element type. ANSYS LS-DYNA does not allow a mixed 2-D and 3-D finite element model. Furthermore, all PLANE162 elements in the model must be the same type (plane stress, plane strain, or axisymmetric).

The material models available to use with this element will depend on the KEYOPT(3) setting. For KEYOPT(3) = 0, 1, or 2 (plane stress, plane strain, or axisymmetric), you can choose the following materials:

  • Isotropic Elastic

  • Orthotropic Elastic

  • Elastic Fluid

  • Viscoelastic

  • Bilinear Isotropic

  • Temperature Dependent Bilinear Isotropic

  • Bilinear Kinematic

  • Plastic Kinematic

  • Power Law Plasticity

  • Rate Sensitive Powerlaw Plasticity

  • Strain Rate Dependent Plasticity

  • Piecewise Linear Plasticity

  • Composite Damage

  • Johnson-Cook Plasticity

  • Bamman

For the plane stress option (KEYOPT(3) = 0), you can also choose the following materials:

  • 3-Parameter Barlat Plasticity

  • Barlat Anisotropic Plasticity

  • Transversely Anisotropic Elastic Plastic

  • Transversely Anisotropic FLD

For the axisymmetric and plane strain options (KEYOPT(3) = 1 or 2), you can also choose the following materials:

  • Blatz-Ko Rubber

  • Mooney-Rivlin Rubber

  • Elastic-Plastic Hydrodynamic

  • Closed Cell Foam

  • Low Density Foam

  • Crushable Foam

  • Honeycomb

  • Null

  • Zerilli-Armstrong

  • Steinberg

2.1.4. SOLID168

The SOLID168 element is a 10-node tetrahedron element. It uses either a quadratic displacement interpolation with five point integration (KEYOPT(1) = 0 or 1) or a composite assemblages of sub-tetrahedral shapes (KEYOPT(1) = 2); see the element description for SOLID168 in the Elements Reference.

You can use any of the following material models for solid elements:

  • Isotropic Elastic

  • Isotropic Elastic

  • Orthotropic Elastic

  • Anisotropic Elastic

  • Bilinear Kinematic

  • Plastic Kinematic

  • Viscoelastic

  • Blatz-Ko Rubber

  • Bilinear Isotropic

  • Power Law Plasticity

  • Strain Rate Dependent Plasticity

  • Composite Damage

  • Concrete Damage

  • Geological Cap

  • Piecewise Linear Plasticity

  • Honeycomb

  • Mooney-Rivlin Rubber

  • Barlat Anisotropic Plasticity

  • Elastic-Plastic Hydrodynamic

  • Rate Sensitive Power Law Plasticity

  • Elastic Viscoplastic Thermal

  • Closed Cell Foam

  • Low Density Foam

  • Viscous Foam

  • Crushable Foam

  • Johnson-Cook Plasticity

  • Null

  • Zerilli-Armstrong

  • Bamman

  • Steinberg

  • Elastic Fluid

SOLID168 elements are well suited to modeling irregular meshes such as those produced from various CAD/CAM systems and the ANSYS Workbench. It is important to note, however, that models made up entirely of SOLID168 elements may not be as accurate as hexahedral (SOLID164) models. For this reason, we recommend using a combination of SOLID168 and SOLID164 elements within a model as a good modeling practice. The SOLID168 elements could be used for the irregular portions of the model while the SOLID164 elements could be used to mesh the more uniform features.

Although SOLID164 and SOLID168 elements can be used in the same model, you must be careful to develop an adequate mesh transition between these two element types. This is due to the fact that SOLID168 elements conatin mid-side nodes, which are not allowed in SOLID164 elements.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 2. Elements 		Up / Home Next
2.2. Beam and Link Elements


2.2. Beam and Link Elements

2.2.1. BEAM161

The BEAM161 element has two basic formulations: Hughes-Liu and Belytschko-Schwer. BEAM161 is best suited for rigid body rotations because it does not generate any strains. Three nodes must be used to define the element; a node at each endpoint and an orientation node are required. For both formulations, several beam cross sections can be defined using KEYOPTs (4) and (5). In general, BEAM161 is efficient and robust for 2x2 gauss quadratic integration (default). Several different integration formulations can be defined with KEYOPT(2).

The Hughes-Liu beam (default) is a conventionally integrated element that can model rectangular or circular cross-sections using an array of integration points at the mid-span of the element. Alternatively, you can specify a cross-section integration rule to model arbitrary cross-sections. The beam effectively generates a constant moment along its length, so, as with the brick and shell elements, meshes need to be reasonably fine to achieve adequate accuracy. Because of the location of the integration points, yielding is detected only at the element center. Therefore, a cantilever beam model will yield at slightly too high a force because the fully plastic moment must be developed at the center of the clamped element rather than at the outer surface.

The Belytschko-Schwer beam (KEYOPT(1) = 2, 4, or 5) is explicitly formulated and generates a moment which varies linearly along the length of the beam. The elements have the "correct" elastic stresses and detect yielding at their ends. For example, a cantilever loaded statically at its tip can be represented accurately in both elastic and plastic regimes using a single element As with the Hughes-Liu beam, the mass is lumped onto the nodes, so finer meshes may be required for dynamic problems where a correct mass distribution is important.

You can use any of the following material models for beam elements (with some restrictions for certain element formulations):

  • Isotropic Elastic

  • Bilinear Kinematic

  • Plastic Kinematic

  • Viscoelastic

  • Power Law Plasticity

  • Piecewise Linear Plasticity

2.2.2. LINK160

The LINK160 spar (truss) element is similar to the Belytschko-Schwer beam, but carries axial loads only. This element assumes a straight bar, axially loaded at its ends, and of uniform properties from end to end. The materials you can use for this element are isotropic elastic, plastic kinematic (rate dependent), and bilinear kinematic.

2.2.3. LINK167

The LINK167 element is a tension only spar that can be used to model cables. It is similar to a spring element in that the relationships between force and deformation are input directly by the user. This element requires that the cable option be specified with the EDMP command (see the EDMP command description).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.1. Solid and Shell Elements 		Up / Home Next
2.3. Discrete Elements


2.3. Discrete Elements

2.3.1. COMBI165 Spring-Damper

Spring elements generate a force which depends on displacement; that is, change of length of the element. The force is applied along the element axis. For example, a positive force (tension) acts along the positive axis direction on node 1 and along the negative axis direction on node 2. By default, the element axis lies along the line from node 1 to node 2. When the element rotates, the line of action of the force also rotates.

Damper elements are treated as a subset of spring elements: both linear viscous and nonlinear viscous dampers can be modeled.

Rotational (torsional) springs and dampers are also available. These are selected by setting KEYOPT(1) = 1. The rest of the input is the same as for translational springs; the given force-displacement relationship will be treated as moment-rotation (rotation in radians), and the moments are applied about the element axis (positive clockwise). Rotational springs affect only the rotational degrees of freedom of their nodes - they do not pin the nodes together.

The COMBI165 element can be used in combination with any other explicit element. However, because it does not have mass, COMBI165 cannot be the only element type in an analysis. To represent a spring/mass system, you must add mass by also defining MASS166 elements.

You cannot define both spring and damper properties for the same COMBI165 element. However, you can define separate spring and damper elements that use the same nodes (that is, you can overlay two COMBI165 elements).

You can use any of the following material models for COMBI165:

  • Linear Elastic Spring

  • Linear Viscous Damper

  • Elastoplastic Spring

  • Nonlinear Elastic Spring

  • Nonlinear Viscous Damper

  • General Nonlinear Spring

  • Maxwell Viscoelastic Spring

  • Inelastic Tension or Compression-Only Spring

When using COMBI165, be sure to specify a unique set of real constants, element type, and material properties (R, ET, and TB commands, respectively) for each part to ensure that parts are uniquely defined.

2.3.2. MASS166

The mass element is defined by a single node and a mass value (Force*Time2/Length). Mass elements can often be used in a model to realistically characterize the mass of a structure without incorporating a large number of solid or shell elements. In an automobile impact analysis, for example, mass elements can model engine components whose deformation behavior is not of primary interest. Such a use of mass elements will reduce the number of elements required in an analysis, hence reducing the total computation time required to obtain a solution.

You can also use the MASS166 element to define a lumped rotary inertia at a node. To use this option, set KEYOPT(1) = 1 in the MASS166 element definition and input six moment of inertia values (IXX, IXY, IXZ, IYY, IYZ, IZZ) via the element real constants. You can not input a mass value for this option; therefore, you must define a second mass element at the same node (with KEYOPT(1) = 0) to account for mass.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.2. Beam and Link Elements 		Up / Home Next
2.4. General Element Capabilities


2.4. General Element Capabilities

The following element types can be declared as rigid bodies: LINK160, BEAM161, PLANE162, SHELL163, SOLID164, LINK167, and SOLID168. Rigid bodies are covered in detail in "Rigid Bodies".

The mass of each solid, shell, and beam element is distributed equally on the nodes of the element. In the case of shell and beam elements, a rotational inertia is also added to each node; a single value is used, so that the effect is to distribute the mass spherically around the node.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.3. Discrete Elements 		Up / Home Next
Chapter 3. Analysis Procedure


Chapter 3. Analysis Procedure

The procedure for an explicit dynamics analysis consists of three main steps:

  1. Build the model

  2. Apply loads and obtain the solution

  3. Review the results

The following analysis procedure topics are available:

  • Build the Model
  • Apply Loads and Obtain the Solution
  • Review the Results
  • The Definition of Part
  • Adaptive Meshing

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.4. General Element Capabilities 		Up / Home Next
3.1. Build the Model


3.1. Build the Model

The first step in an explicit dynamic analysis is to create the model that will represent the physical system to be analyzed. Use the PREP7 Preprocessor to build the model.

If you perform your analysis through the ANSYS graphical user interface (GUI), it is important to first set the Preferences options (Main Menu> Preferences) to “LS-DYNA Explicit” so that menus are properly filtered to show explicit dynamics input options. (Note that setting the preference to LS-DYNA explicit does not activate an LS-DYNA solution. To do so, you must specify an explicit element type such as SHELL163.)

Once you have set the analysis preference, you can build the model as you normally would for any analysis type. First, enter the preprocessor by issuing the /PREP7 command or by picking Main Menu> Preprocessor in the GUI. In the preprocessor, perform the following tasks:

  • Define the element types and real constants

  • Specify material models

  • Define the model geometry

  • Mesh the model

  • Define contact surfaces

If you have never used an ANSYS product before, you should review the Basic Analysis Guide and the Modeling and Meshing Guide to learn the general procedures used to build a model in ANSYS.

3.1.1. Define Element Types and Real Constants

Element types available for an explicit dynamic analysis are described briefly in "Elements". More detailed descriptions of each explicit element can be found in the Elements Reference. It is recommended that you read these descriptions carefully before deciding which element types to use in your model.

Once you have chosen appropriate elements to represent your physical system, you specify element types using the ET command (or in the GUI pick Main Menu> Preprocessor> Element Type).

Each element description in the Elements Reference lists all real constants that are associated with the element. You must determine which real constants (if any) are required for each element type you include in the model. Then specify the real constants using the R command (or in the GUI pick Main Menu> Preprocessor> Real Constants).

3.1.2. Specify Material Properties

There are numerous material models available for use in an explicit dynamic analysis. You should refer to the element descriptions in the Elements Reference to find out which material models are valid for a particular element. Also, review "Material Models" of this document, which contains detailed descriptions for all of the available material models.

Once you have decided which material model (or models) to use in your analysis, you must define all of the properties associated with the model (as described in "Material Models"). To do so in batch or command mode, you typically use the MP, TB, and TBDATA commands (and in some cases, the EDMP command). Temperature dependent models may also require the MPTEMP, MPDATA, and TBTEMP commands. In the GUI, material models are defined via the following menu path: Main Menu> Preprocessor> Material Props> Material Models

After you select the appropriate material model, you will be prompted to define the necessary properties for that model. See Defining Explicit Dynamics Material Models for more information on defining material models through the GUI.

In order to specify an orthotropic model that is not aligned with the global Cartesian coordinate system, you must first define the local coordinate system with the EDLCS command (menu path: Main Menu> Preprocessor> Material Props> Local CS> Create Local CS.)

For some material models, you may also need to use the EDCURVE command to define data curves associated with the material (e.g., a stress-strain curve). (To access EDCURVE in the GUI, pick: Main Menu> Preprocessor> Material Props> Curve Options.)

3.1.3. Define the Model Geometry

The easiest way to create the model geometry is with the solid modeling capabilities of the ANSYS program. Refer to Solid Modeling in the Modeling and Meshing Guide for detailed information on all solid modeling functions.

For simple models (e.g., line elements only), you may choose to use the direct generation modeling method. By this method, you define the nodes and elements of the model directly. See Direct Generation in the Modeling and Meshing Guide for details.

3.1.4. Mesh the Model

After building the solid model, you are ready to mesh the model with nodes and elements. The procedure for generating the mesh is outlined in Generating the Mesh in the Modeling and Meshing Guide. If you are not familiar with ANSYS meshing, you should review that chapter before meshing an explicit dynamics model. Since all of the details are contained in that chapter, we will discuss only a few key points in this section.

Meshing involves three main steps:

  • Set the element attributes

  • Set mesh controls

  • Generate the mesh

To set the element attributes, you specify which previously defined element type, real constant set, and material property set to use for subsequent meshing. Use the TYPE, MAT, and REAL commands, or menu paths:

Main Menu> Preprocessor> Meshing> Mesh Attributes> Default Attribs
Main Menu> Preprocessor> Modeling> Create> Elements> Elem Attributes

Mesh controls allow you to indicate the general size and shape of elements to use during meshing. There are numerous mesh controls available in the ANSYS program (see the Modeling and Meshing Guide for details). In the GUI, these controls are accessed by picking Main Menu> Preprocessor> Meshing> Mesh Tool.

Keep the following points in mind when choosing mesh controls:

  • Avoid degenerate shell and solid element shapes (such as a triangular shell or a tetrahedral solid). They are generally too stiff and less accurate than quadrilateral and hexahedral shapes.

  • Try to achieve a mesh with uniform element sizes (i.e., avoid areas with relatively small elements). A large difference in element sizes can cause a small minimum time step size and, therefore, a long run time. If a relatively few number of small elements are required to mesh a particular geometry, mass scaling (see "Mass Scaling") can be used to increase the minimum time step.

  • Do not use the SmartSizing method of element size control (SMRTSIZE command), which can create a large variation in element sizes within the mesh. Instead, use the ESIZE and related commands to control element sizes.

  • Avoid poorly shaped elements which can cause hourglassing.

  • Do not make the mesh too coarse when reduced element formulations are used, or elements may experience hourglassing.

  • If hourglassing is a problem, try to use fully integrated elements in a part of the model or in the entire model.

After specifying the desired mesh controls, mesh the model using typical meshing commands (AMESH, VMESH, etc.). In the GUI, meshing functions are accessed by picking Main Menu> Preprocessor> Meshing> Mesh or via the Mesh Tool (Main Menu> Preprocessor> Meshing> Mesh Tool).

3.1.5. Define Contact Surfaces

An explicit dynamic analysis often includes contact between surfaces. "Contact Surfaces" of this document describes the types of contact available and the procedure to define contact. A brief overview of that procedure is given here.

Defining contact involves four basic steps:

  • Determine the type of contact which best defines the physical model (EDCGEN command)

  • Identify contact surfaces (CM, or EDPART, or EDASMP commands, with the EDCGEN command)

  • Specify friction coefficient parameters (EDCGEN command)

  • Specify additional input required for the chosen contact type (EDCGEN and EDCONTACT commands)

If automatic contact is not being used, you must define contact surfaces by grouping the nodes on each surface into a component with the CM command. Once these components are created, use the EDCGEN command to specify contact between the desired surfaces (i.e., node components). You must also identify the type of contact with the EDCGEN command. For the single surface contact algorithms, the outer surfaces of the contacting bodies are determined by ANSYS LS-DYNA.

Note

Contact surfaces can alternatively be identified by a PART number (using EDPART), or by an assembly of parts (using EDASMP) rather than by a node component. Part and assembly definitions are discussed in The Definition of Part.

The EDCGEN command is also used to specify friction coefficient parameters and other input specific to different contact types. Another command, EDCONTACT is used to specify miscellaneous contact controls such as contact penetration checking and sliding interface penalties. (Contact options are found in the GUI under Main Menu> Preprocessor> LS-DYNA Options> Contact.)

3.1.6. General Modeling Guidelines

The following are guidelines that you should consider when planning your explicit dynamics model:

  • Use rigid bodies whenever possible to represent relatively stiff, unyielding objects in the model. Using rigid bodies simplifies the solution and results in shorter run times. (See "Rigid Bodies" for information on defining rigid bodies.)

  • Use realistic values for material properties. For example, do not use an unrealistically high elastic modulus to represent a rigid body, and do not use unrealistic thickness values for shell elements.

  • Consider using damping (EDDAMP command) to prevent unrealistic oscillations in your model’s structural response. Refer to the EDDAMP command description in the Commands Reference for detailed information.

  • If you have performed 2-D dynamic analyses with the regular ANSYS program, consider extruding these models to 3-D and analyzing them with ANSYS LS-DYNA. You may achieve more accurate results in a shorter run time.

  • Note that the submodeling and substructuring features of the ANSYS program cannot be used in ANSYS LS-DYNA.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 3. Analysis Procedure 		Up / Home Next
3.2. Apply Loads and Obtain the Solution


3.2. Apply Loads and Obtain the Solution

To apply loads and obtain a solution, you need to enter the ANSYS solution processor. Issue the /SOLU command or pick Main Menu> Solution in the GUI.

From the solution processor, you can apply loads, initial velocities, constraints, and DOF coupling to the model. The following sections describe this process.

3.2.1. Loads

In an explicit dynamic analysis, all loads must be specified over time using component logic or part IDs, array parameters, and the EDLOAD command. (In the GUI, load options are found under Main Menu> Solution> Loading Options> Specify Loads.) Basic input for this command is a component name or part number and two array parameter names or a load curve ID number (LCID). The component specified must contain the nodes or elements on which the load is being applied. The array parameters specified must contain time varying load data (one array for time values and one array for the corresponding load values; the two arrays must be the same length). As an alternative to inputting the array parameters on the EDLOAD command, you can define the load curve using the EDCURVE command (Main Menu> Solution> Loading Options> Curve Options) and input the load curve ID on EDLOAD. Valid loads are shown in the table below.

Table 3.1 Loads Applicable in an Explicit Dynamics Analysis

Load Type | Label
Displacements | UX, UY, UZ
Rotations | ROTX, ROTY, ROTZ
Forces | FX, FY, FZ
Moments | MX, MY, MZ
Velocities | VX, VY, VZ
Accelerations (on nodes) | AX, AY, AZ
Base Accelerations | ACLX, ACLY, ACLZ
Angular Velocities | OMGX, OMGY, OMGZ
Temperature | TEMP
Pressures (applied to elements) | PRESS
Displacements on Rigid Bodies | RBUX, RBUY, RBUZ
Rotations on Rigid Bodies | RBRX, RBRY, RBRZ
Velocities on Rigid Bodies | RBVX, RBVY, RBVZ
Forces on Rigid Bodies | RBFX, RBFY, RBFZ
Moments on Rigid Bodies | RBMX, RBMY, RBMZ
Angular Velocities on Rigid Bodies | RBOX, RBOY, RBOZ

Note

We recommend that you specify velocity time histories instead of displacement time histories. A piecewise linear displacement time history may lead to discontinuous velocities and infinite accelerations.

The load symbol will appear automatically on the active graphics window. The load symbol is erased automatically when you replot. To turn the display of this symbol on or off, issue EDFPLOT (or pick Main Menu> Solution> Loading Options> Show Forces in the GUI).

To visualize the applied load curve, use the EDPL command (or pick Main Menu> Solution> Loading Options> Plot Load Curve in the GUI).

For more detailed information on applying loads with the EDLOAD command, see General Loading Options.

3.2.2. Initial Velocities

In the ANSYS LS-DYNA program, initial velocities are defined using the EDVEL and EDPVEL commands. You can use these commands to apply both translational and rotational velocities to various entities. Use EDVEL to apply velocities to a nodal component or to a single node; use EDPVEL to apply velocities to a part or part assembly.

The EDVEL and EDPVEL commands provide two methods for specifying rotational velocities, Option = VGEN and Option = VELO. The VGEN method applies a rigid body rotation to the specified entity around a specified axis. The VELO method applies the rotational velocities directly to each node's rotation degree of freedom. Since only shell and beam elements have rotation degrees of freedom, the rotations input with the VELO method are only applicable to SHELL163 and BEAM161 elements.

You can access all the initial velocity options in the GUI by picking Main Menu> Solution> Initial Velocity. For more information on how to apply initial velocities, see Initial Velocity.

3.2.3. Constraints

In addition to loads and initial velocities, constraints can also be applied to the model. Using the D command, you can apply constraints only to the displacement (UX, UY, UZ) and rotation (ROTX, ROTY, ROTZ) degrees of freedom; the constraint value must be zero. (In the GUI, pick Main Menu> Solution> Constraints> Apply.)

Other specialized types of constraints are also available in an explicit dynamic analysis (such as symmetry boundary planes and welded constraints). See Constraints and Welds for more information.

3.2.4. DOF Coupling

DOF coupling (CP command) and constraint equations (CE command) are also allowed in an explicit dynamic analysis. (In the GUI, pick Main Menu> Preprocessor> Coupling/Ceqn.) Coupling is allowed only for the UX, UY, and UZ degrees of freedom. Constraint equations are allowed only for the UX, UY, UZ, and ROTX, ROTY, ROTZ degrees of freedom. For more information, see Coupling and Constraint Equations.

3.2.5. Data Smoothing

If you're working with noisy data (such as an earthquake excitation), you may want to "smooth" that data to a set of data that provides an accurate approximation of the data points.

To smooth data, you must first create four arrays. The first two arrays should contain the noisy data from the independent and the dependent variables. The second two arrays will be used to store the smoothed data. After these arrays are created, you then smooth the data using the EDNDTSD command (Main Menu> Solution> Loading Options> Smooth Data). See Data Smoothing later in this document for more information on data smoothing.

3.2.6. Specify Explicit Dynamics Controls

Table 3.2: "LS-DYNA Solution and Output Control Options" shows some basic LS-DYNA solution and output controls that you should specify for an explicit dynamic analysis.

Table 3.2 LS-DYNA Solution and Output Control Options

Option | Command | GUI Path
Termination Time | TIME | Main Menu> Solution> Time Controls> Solution Time
SHELL/BEAM Output | EDINT | Main Menu> Solution> Output Controls> Integ Pt Storage
Substep Output Controls | EDRST | Main Menu> Solution> Output Controls> File Output Freq
Output Interval (History File) | EDHTIME | Main Menu> Solution> Output Controls> File Output Freq
Energy Options | EDENERGY | Main Menu> Solution> Analysis Options> Energy Options

The above table does not show all controls available in an explicit dynamic analysis. However, most of the default settings for the LS-DYNA control options (output controls, file controls, damping options, etc.) are sufficient for most explicit dynamic analyses and need not be modified.

A brief description of those options that are recommended follows:

  • Termination Time [TIME]

    This option specifies time at the end of the analysis.

  • Substep Output Controls [EDRST]

    This option specifies the number of results written to the Jobname.RST file. Because explicit dynamics analyses are only solved over very small time increments (i.e., 1e-7 seconds), only a relatively small number of solutions should be written to the Jobname.RST file.

  • Output Interval [EDHTIME]

    This option specifies the number of output steps for the history file (Jobname.HIS). The history file results are typically saved for a small subset of nodes or elements [EDHIST], but at a much higher frequency than the results file (Jobname.RST) results.

3.2.7. Save Database and Solve

After you have specified all loading and solution and output controls, save a backup copy of the database to a named file (SAVE command or Utility Menu> File> Save as in the GUI). Next, start the solution calculations (SOLVE command or Main Menu> Solution> Solve in the GUI).

For more details on explicit dynamic solution controls and other solution features, see "Solution Features" later in this document.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.1. Build the Model 		Up / Home Next
3.3. Review the Results


3.3. Review the Results

You can review explicit dynamic analysis results using POST1, the general postprocessor, and POST26, the time-history processor.

  • POST1 is used to review results over the entire model at specific time-points.

  • POST26 is used to track specific nodal and element result items over a more detailed load history.

The following are basic guidelines for postprocessing explicit dynamic results.

  • The database must contain the same model for which the solution was calculated.

  • The results file (Jobname.RST) must be available for POST1.

  • The history file (Jobname.HIS) must be available for POST26.

  • All stresses and strains output from LS-DYNA are in the global Cartesian coordinate system. However, if you are using composite materials, stresses can be in a local (element) coordinate system.

For more information on postprocessing explicit dynamic results, see "Postprocessing" later in this document. For a complete description of all postprocessing functions, see "An Overview of Postprocessing" in the Basic Analysis Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.2. Apply Loads and Obtain the Solution 		Up / Home Next
3.4. The Definition of Part


3.4. The Definition of Part

A group of elements having a unique combination of MAT, TYPE, and REAL set IDs is designated as a part and is assigned a PART ID. There are a number of ANSYS LS-DYNA commands which refer to the PART ID directly (for example, EDCGEN, EDDC, EDLOAD, EDDAMP, EDCRB, and EDREAD). The PART IDs are automatically created and written to the LS-DYNA input file Jobname.K at the start of the model solution by the ANSYS LS-DYNA program. They can also be created and listed with the EDPART command.

When the program generates PART IDs, the IDs are created from a sequential list of selected elements. If any of the MAT, TYPE, or REAL IDs change in the element list, the next PART ID number will be assigned to that group of elements. For example, if the first ten elements have MAT = 3, TYPE = 1, and REAL = 2 then these ten elements will be assigned part number 1; if the next one hundred elements have MAT = 2, TYPE = 2, and REAL = 1, these elements will be assigned part number 2; and so on.

The part list can be created and listed using the CREATE/UPDATE/ADD/LIST options on the EDPART command. It is also created and remains permanent if the SOLVE command is issued or if the EDWRITE command is used to write the input file, Jobname.k. If the part list already exists, these latter commands will only update the list, not overwrite it. For more information on the EDPART command, refer to the description of this command in the Commands Reference.

You can assign a specific PART ID to a group of elements by using the ADD option on EDPART. To do so, you must first select a group of elements which have the same combination of MAT, TYPE, and REAL IDs (ESEL command). You can name those elements as a component, or assign the PART ID to the currently selected set. You can then use the EDPART,ADD option to specify an arbitrary number to be used as the PART ID for those elements. It is important to note that user-specified PART IDs will not be overwritten by subsequent EDPART,CREATE or EDPART,UPDATE commands. However issuing EDPART,ADD with a different PART ID will overwrite existing PART IDs for the specified elements. To delete a user-specified PART ID completely, issue the EDPART,DELE,PARTID command. The deleted PART ID is immediately overwritten by a program-generated PART ID (similar to EDPART,UPDATE).

EDPART,CREATE creates new PART IDs, but does not overwrite any user-specified PART IDs. These PART IDs can be listed using the EDPART,LIST command. The list shows the status of parts at the time of creation or update (EDPART,UPDATE). If the EDPART,CREATE command is issued repeatedly, the part list is overwritten. In order to get the actual part list after modifications or additions to the model, issue the EDPART,UPDATE command. This extends the existing part list without changing its order and allows elements to be added to an existing part comprised of the same MAT, TYPE, and REAL IDs. Any combination of MAT, TYPE, and REAL which is not referred to by any selected element will render the corresponding part unused. This will be evident from the zero value printed on the fifth (USED) column of the part list. A warning is issued at the SOLVE or EDWRITE command if a previously defined part-related command refers to an unused part.

Any combination of user-specified and automatically generated PART IDs can be used within a model. For example, you may choose to input PART IDs (using the ADD option) for one or more groups of elements and then use EDPART,CREATE or EDPART,UPDATE to define PART IDs for the rest of the model.

The following example shows a 14-element model with 2 MATs, 3 TYPEs and 3 REALs. In this model, element 10 originally had MAT = TYPE = REAL = 2, but was deleted after the part list was automatically created by issuing EDPART,CREATE. An ELIST command produces the following element list:

ELEM | MAT | TYP | REL | ESY | SEC | NODES
1 | 1 | 1 | 1 | 0 |  | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8
2 | 1 | 1 | 1 | 0 |  | 11 | 12 | 13 | 14 | 15 | 16 | 17 | 18
3 | 1 | 1 | 1 | 0 |  | 21 | 22 | 23 | 24 | 25 | 26 | 27 | 28
4 | 1 | 1 | 1 | 0 |  | 31 | 32 | 33 | 34 | 35 | 36 | 37 | 38
5 | 1 | 1 | 1 | 0 |  | 41 | 42 | 43 | 44 | 45 | 46 | 47 | 48
6 | 1 | 2 | 3 | 0 |  | 51 | 52 | 53 | 54 | 55 | 56 | 57 | 58
7 | 1 | 2 | 3 | 0 |  | 61 | 62 | 63 | 64 | 65 | 66 | 67 | 68
8 | 2 | 2 | 3 | 0 |  | 71 | 72 | 73 | 74 | 75 | 76 | 77 | 78
9 | 2 | 2 | 3 | 0 |  | 81 | 82 | 83 | 84 | 85 | 86 | 87 | 88
11 | 2 | 3 | 2 | 0 |  | 101 | 102 | 103 | 104 | 105 | 106 | 107 | 108
12 | 2 | 3 | 2 | 0 |  | 111 | 112 | 113 | 114 | 115 | 116 | 117 | 118
13 | 1 | 3 | 2 | 0 |  | 121 | 122 | 123 | 124 | 125 | 126 | 127 | 128
14 | 1 | 3 | 2 | 0 |  | 131 | 132 | 133 | 134 | 135 | 136 | 137 | 138
15 | 1 | 3 | 2 | 0 |  | 141 | 142 | 143 | 144 | 145 | 146 | 147 | 148

To define a user-specified PART ID, first select elements 3 and 5 and create an element component E35. EDPART,ADD,10,E35 specifies PART ID 10 for elements 3 and 5. PART ID 10 (for the component E35) will not change if you issue EDPART,CREATE or EDPART,UPDATE after reselecting all of the elements in the model. Consider the definition of a second user-specified PART ID 60 for element 14. Selecting element 14 and issuing EDPART,ADD,60 changes the PART ID for element 14 from 6 to 60. After selecting all of the elements, EDPART,UPDATE shows the following part list.

PART | MAT | TYP | REAL | USED
10 | 1 | 1 | 1 | 2 - user defined
1 | 1 | 1 | 1 | 3
2 | 1 | 2 | 3 | 2
3 | 2 | 2 | 3 | 2
4 | 2 | 2 | 2 | 0
5 | 2 | 3 | 2 | 2
6 | 1 | 3 | 2 | 2
60 | 1 | 3 | 2 | 1 - user defined

In the above list, elements 1,2 and 4 have MAT = TYPE = REAL = 1 and form PART 1. Elements 3 and 5 also have MAT = TYPE = REAL = 1 but have the user-specified PART ID 10. Element 14 with MAT = 1, TYPE = 3 and REAL = 2 has the user-specified PART ID 60. The PART IDs for the rest of elements were generated by the ANSYS LS-DYNA program. Element 10 had MAT = TYPE = REAL = 2, but was deleted after the part list was created initially. Therefore, USED for PART ID 4 is zero. The USED field in the part list indicates the number of elements having the PART ID. USED is calculated from all currently selected elements. If the element selection changes, USED will change. To get the correct number of USED, select the correct number of elements and issue EDPART,UPDATE.

Note

For this example, issuing EDPART,UPDATE will not change the PART IDs in the part list. However, issuing EDPART,CREATE will create a new part list. PART 5 will become the new PART 4 and PART 6 will become the new PART 5. The user-specified PART IDs 10 and 60 will not change. Because the automatically generated PART IDs can change as a result of EDPART,CREATE, this can invalidate previously defined part-based loading, contact specifications, etc.

The following procedure is recommended:

  1. Build the model as usual until you have to specify a PART ID number on a part-related command.

  2. Create the part list (EDPART,CREATE) or specify PART IDs for some groups of elements (EDPART,ADD); then list the parts (EDPART,LIST).

  3. Use the appropriate PART ID number(s) from the list for the command(s).

  4. Continue modeling.

  5. Update the part list (EDPART,UPDATE) if the elements or their attributes have changed, which includes the addition of new elements.

  6. List the updated PART ID numbers and make use of them on further part-related command(s).

Issuing ELIST with the part listing key on (PTKEY = 1) will show the PART ID for each elements as follows.

ELEM | PART | MAT | TYP | REL | ESY | SEC | NODES
1 | 1 | 1 | 1 | 1 | 0 |  | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8
2 | 1 | 1 | 1 | 1 | 0 |  | 11 | 12 | 13 | 14 | 15 | 16 | 17 | 18
3 | 10 | 1 | 1 | 1 | 0 |  | 21 | 22 | 23 | 24 | 25 | 26 | 27 | 28
4 | 1 | 1 | 1 | 1 | 0 |  | 31 | 32 | 33 | 34 | 35 | 36 | 37 | 38
5 | 10 | 1 | 1 | 1 | 0 |  | 41 | 42 | 43 | 44 | 45 | 46 | 47 | 48
6 | 2 | 1 | 2 | 3 | 0 |  | 51 | 52 | 53 | 54 | 55 | 56 | 57 | 58
7 | 2 | 1 | 2 | 3 | 0 |  | 61 | 62 | 63 | 64 | 65 | 66 | 67 | 68
8 | 3 | 2 | 2 | 3 | 0 |  | 71 | 72 | 73 | 74 | 75 | 76 | 77 | 78
9 | 3 | 2 | 2 | 3 | 0 |  | 81 | 82 | 83 | 84 | 85 | 86 | 87 | 88
11 | 5 | 2 | 3 | 2 | 0 |  | 101 | 102 | 103 | 104 | 105 | 106 | 107 | 108
12 | 5 | 2 | 3 | 2 | 0 |  | 111 | 112 | 113 | 114 | 115 | 116 | 117 | 118
13 | 6 | 1 | 3 | 2 | 0 |  | 121 | 122 | 123 | 124 | 125 | 126 | 127 | 128
14 | 60 | 1 | 3 | 2 | 0 |  | 131 | 132 | 133 | 134 | 135 | 136 | 137 | 138
15 | 6 | 1 | 3 | 2 | 0 |  | 141 | 142 | 143 | 144 | 145 | 146 | 147 | 148

In addition to listing PART IDs in the element list, PART IDs can also be plotted with the EPLOT command by turning on the part display key (/PNUM,PART,1). Element selection using the ESEL command can also be performed based on PART IDs. These two capabilities replace the obsolete PARTSEL command.

The CDWRITE command writes the part information to the Jobname.CDB file. This information can then be automatically read into ANSYS with the CDREAD command. However, if more than one Jobname.CDB file is read, the part list from the last Jobname.CDB file overwrites the existing part list, if any. In general, you must issue the EDPART,CREATE command to recreate the part list of the total model. This will affect all part-related commands contained in the Jobname.CDB file. Therefore, you can join models, but not part-related inputs, which must be modified using the newly-created PART ID numbers.

In limited cases, an update of the part list (EDPART,UPDATE) is possible. This requires that no used combination of MAT/TYPE/REAL appears more than once in the list. However, partial changes to the part-related commands may be necessary.

3.4.1. Part Assemblies

Part assemblies, which are created using the EDASMP command, are entities that are made up of several different parts. Part assemblies can be used as input on several ANSYS LS-DYNA commands. They can be particularly useful when defining contact between two entities consisting of several parts (see "Contact Surfaces" in the ANSYS LS-DYNA User's Guide). Using the EDASMP command, you can define as many as 16 parts in a part assembly after you provide an ID number. The part assembly number can be any arbitrary number, but cannot be a currently assigned PART ID number (use EDPART,LIST to determine the currently used numbers). You can also list and delete part assemblies using the EDASMP,LIST and EDASMP,DELE options, respectively. As an example, to specify part assembly ID number 10 consisting of parts 1,2 and 4, the following command would be issued:

EDASMP,ADD,10,1,2,4

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.3. Review the Results 		Up / Home Next
3.5. Adaptive Meshing


3.5. Adaptive Meshing

In metal forming and high-speed impact analyses, a body may experience very large amounts of plastic deformation. Single point integration explicit elements, which are usually robust for large deformations, may give inaccurate results in these situations due to inadequate element aspect ratios. To counteract this problem, the ANSYS LS-DYNA program has the ability to automatically remesh a surface during an analysis to improve its integrity. This capability, known as adaptive meshing, is controlled with the EDADAPT and EDCADAPT commands.

The EDADAPT command activates adaptive meshing within a specific PART ID. (Use the EDPART command to create and list valid PART IDs.) For example, to turn on adaptive meshing for PART ID #1, you would issue the following command:

EDADAPT,1,ON

Note

Adaptive meshing is only valid for parts consisting of SHELL163 elements.

When adaptivity is turned on for a part, the mesh for that part will be automatically regenerated during an analysis to ensure adequate element aspect ratios are maintained throughout the deformation process. Adaptive meshing is most commonly used in the analysis of large deformation processes such as metal forming (adaptive meshing is typically used for the blank). To activate adaptive meshing for more than one part within a model, you must reissue the EDADAPT command for each different PART ID. By default, adaptive meshing is off for all parts within a model.

After specifying which parts will be adaptively meshed, you must also define adaptive meshing parameters using the EDCADAPT command. The EDCADAPT command globally sets the control options for all PART IDs that are to be adaptively meshed as defined by the EDADAPT command. The parameters controlled by the EDCADAPT command are listed below.

  • Frequency (FREQ) - The time interval between which adaptive mesh refinements will take place. For example, if FREQ is set to 0.01, elements will be adaptively remeshed every .01 seconds (assuming the time unit used is seconds) if they are above the specified angle tolerance. Since the default value for the FREQ field is 0.0, this field must be specified when using adaptive meshing in an analysis.

  • Angle Tolerance (TOL) - The adaptive angle tolerance (in degrees) for which adaptive meshing will occur (default = 1e31). The TOL field controls the aspect ratio between elements and is very important for ensuring accurate results. If the relative angle between elements exceeds the specified TOL value, the elements will be automatically refined.

  • Adaptivity Option (OPT) - There are two different angle options available for mesh adaptivity. For OPT = 1, the angle change that is compared to the specified TOL value is computed based on the original mesh configuration. For OPT = 2, the angle change that is compared to the specified TOL value is computed based on the previously refined mesh.

  • Mesh Refinement Levels (MAXLVL) - The MAXLVL field controls the number of times an element can be remeshed during the entire analysis. For a single original element, a MAXLVL of 1 would allow the creation of one additional element, a MAXLVL of 2 would allow the creation of up to four additional elements, and a MAXLVL of 3 would allow the creation of up to 16 additional elements. High values of MAXLVL will yield more accurate results, but can dramatically increase the model size.

  • Remeshing Birth and Death Times (BTIME and DTIME) - The remeshing birth and death times control when adaptive meshing is turned on and off in an analysis. For example, if you set BTIME = .01 and DTIME = .1, adaptive meshing will only take place in the analysis between .01 and .1 seconds (assuming the time unit used is seconds).

  • Interval of Remeshing Curve (LCID) - This data curve (specified on the EDCURVE command) defines the interval of remeshing as a function of time. The abscissa of the data curve is time, and the ordinate is the varied adaptive time interval. If this option is nonzero, the adaptive frequency (FREQ) will be replaced by this data curve. Note, however, that a nonzero FREQ value is still required to initiate the first adaptive loop.

  • Minimum Element Size (ADPSIZE) - Minimum element size to be adapted based on element edge length. If this parameter is undefined, the edge length limit is ignored.

  • One or Two Pass Option (ADPASS) - If ADPASS = 0, two pass adaptivity is used, and the calculation is repeated after adaptive remeshing (this is the default). If ADPASS = 1, one pass adaptivity is used, and the calculation is not repeated after adaptive remeshing. See Figures 30.9(a) and 30.9(b) in the LS-DYNA Theoretical Manual for graphical representations of these two options.

  • Uniform Refinement Level Flag (IREFLG) - Values of 1, 2, 3, etc. allow 4, 16, 64, etc. elements, respectively, to be created uniformly for each original element.

  • Penetration Flag (ADPENE) - Depending on whether the value of ADPENE is positive (approach) or negative (penetrate), the program will adapt the mesh when the contact surfaces approach or penetrate the tooling surface by this value. The tooling adaptive refinement is based on the curvature of the tooling. If ADPENE is positive, the refinement generally occurs before contact takes place; consequently, it is possible to use one pass adaptivity (ADPASS = 1).

  • Shell Thickness Level (ADPTH) - Absolute shell thickness level below which adaptivity should begin. This option works only if the adaptive angle tolerance (TOL) is nonzero. If thickness based adaptive remeshing is desired without angle change, set TOL to a large angle. (If ADPTH = 0.0, this option is not used.)

  • Maximum Element Limit (MAXEL) - Maximum number of elements at which adaptivity will be terminated. Adaptivity is stopped if this number of elements is exceeded.

For most problems, you should do an initial analysis without adaptive meshing. If the results of the initial analysis show a highly distorted mesh and if the solution appears to be incorrect, then you can rerun the analysis with adaptive meshing turned on. Adaptive meshing may also be used when an analysis terminates in LS-DYNA with a “negative volume element” error.

When adaptive meshing is turned on, the number of elements within the model will change during the solution. After each adaptive loop, the mesh will be updated and a new results file will be written with the extension RSnn, where nn is the adaptive mesh level. (An adaptive loop will occur at every time increment specified by FREQ or at the time intervals specified by LCID.) For example, a model that is adaptively remeshed two times will produce two results files, Jobname.RS01 and Jobname.RS02. For details on postprocessing adaptively meshed results, see Postprocessing after Adaptive Meshing.

Note

A new results file will be created for each loop, even if the mesh does not change.

A new time history file having the extension HInn is also written each loop; however, these files may not be as useful for postprocessing as the RSnn files. In addition, LS-DYNA creates a set of adaptive meshing files with the root name "adapt". Therefore, you should not use "adapt" as your jobname when adaptive meshing is activated.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.4. The Definition of Part 		Up / Home Next
Chapter 4. Loading


Chapter 4. Loading

After building the model, the next step is to apply loads to the structure in preparation for solution. In order to properly model your structure’s behavior, it is necessary to apply loads with respect to a specified time interval. This chapter discusses the following topics related to loads:

  • General loading options

    • The use of components or part IDs and array parameters

    • How to apply, delete, and list general loads [EDLOAD]

    • How to plot the explicit dynamics load curve [EDPL]

    • How to define a data curve [EDCURVE]

    • How to show and hide load symbols

  • Constraints and initial conditions

    • How constraints [D, EDNROT] are used in ANSYS LS-DYNA

    • How to define sliding and cyclic symmetry planes [EDBOUND]

    • How to define other miscellaneous types of constraints [EDCNSTR]

    • How to define welds [EDWELD]

    • How to apply initial velocities [EDVEL, EDPVEL] to your model

  • Coupling and constraint equations

    • Coupling degrees of freedom [CP]

    • Constraint equations between degrees of freedom [CE]

  • Nonreflecting boundaries [EDNB]

  • Temperature loading

  • Dynamic relaxation

The following loading topics are available:

  • General Loading Options
  • Constraints and Initial Conditions
  • Coupling and Constraint Equations
  • Nonreflecting Boundaries
  • Temperature Loading
  • Dynamic Relaxation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.5. Adaptive Meshing 		Up / Home Next
4.1. General Loading Options


4.1. General Loading Options

Unlike most implicit analyses, all loads in an explicit analysis must be time-dependent in nature. Hence, when using ANSYS LS-DYNA, many of the standard ANSYS commands are not valid. In particular, the F, SF, and BF family of commands are not applicable in ANSYS LS-DYNA because they can only be used to specify time-independent loads. Additionally, the D command can only be used to define constrained nodes. For this reason, all loads in ANSYS LS-DYNA are applied using a pair of array parameters, one corresponding to the time and the other corresponding to the loading condition.

Note

Although nodal accelerations (AX, AY, AZ) and nodal velocities (VX, VY, VX) appear as degrees of freedom, they are not physical DOFs and cannot be constrained with the D command. To apply these nodal loads, use the EDLOAD command.

In ANSYS LS-DYNA, all loads are applied in one load step. This is much different from an implicit analysis where loads are often applied in multiple steps. In ANSYS LS-DYNA, for certain kinds of loads, you can also specify when a load is imposed on a body (birth time), and when the load is removed (death time) using the EDLOAD command. Please refer to Birth Time, Death Time, and CID Support in the EDLOAD command to check the applicability of the birth/death time.

To apply a load to your model, you will need to follow these steps:

  • Designate portions of the model that will receive the load as components (or parts, for rigid bodies)

  • Define array parameters containing time intervals and load data values

  • Specify load curves

  • Define the load direction using the EDLCS command if the load is not acting in the global coordinate system

  • Apply loads to the model

4.1.1. Components

With the exception of loads on rigid bodies, all loads are applied to components in an explicit analysis. Therefore, the first step in applying loads is to gather portions of your model into nodal or element groups called components. Each component should consist of those portions of the model that will receive the same loads and that are related to each other through such things as material properties, position in the model, expected behavior, etc.

For example, if you want to analyze a baseball being hit into a wall, you would probably define the nodes of the ball as one component, the nodes on the bat as another component, and the nodes on the wall as a third component.

You may define as many components as you wish, and then apply loads to each of them. The components must consist of either nodes or elements. (Components consisting of elements are only used when applying pressure loads.) To define a component, you must first select only those entities that you want to be included in the component. Then use the CM command or the following menu path in the GUI to define the component: Utility Menu> Select> Comp/Assembly> Create Component.

See Selecting and Components in the Basic Analysis Guide for more information on components.

For the case of rigid bodies, loads are applied to a specific part number rather than to components. This is due to the fact that rigid bodies already consist of a specific set of nodes and elements as defined by the command EDMP,RIGID,MAT.

4.1.2. Array Parameters

It is important to remember that in an explicit dynamic analysis the loading is applied to the structure over a specified time interval. This is done so that you may observe the model's transient behavior for applied loads over the specific time period. Therefore, you will not only define what type of load you would like to apply to your model (FX, FY, FZ, ROTX, ROTY, ROTZ, etc.), but also the time history of the load for the time interval of interest.

Time intervals and their corresponding load values are grouped together and defined as array parameters. These array parameters should be defined in sets of two, with each entry of the first array specifying a time value, and each entry of the second array specifying a load value. The load entries in the second array correspond to the time values specified in the first array.

In the GUI, use this menu path to define an array parameter: Utility Menu> Parameters> Array Parameters> Define/Edit.

See Array Parameters in the ANSYS Parametric Design Language Guide for more information on how to define array parameters.

Note

Load values for intermediate time points are obtained by linear interpolation. However, load values outside of the specified time range are not extrapolated by the program. Therefore, you should ensure that the load time range is at least equal to the solution time. Otherwise, the results near the solution end time may be invalid due to premature load removal.

Once you define a set of array parameters that represent a time dependent load, you can apply the load by inputting the array parameters directly on the EDLOAD command. Or, you may choose to input the array parameters on the EDCURVE command to define a load curve. The corresponding load curve ID (LCID) can then be input on the EDLOAD command.

To illustrate the use of array parameters, consider the baseball example mentioned previously. Suppose that you wish to examine the distortion of the ball from the moment of impact with the bat to one second later. Assume that the displacement of the bat handle is known as a function of time and that the ball is initially traveling at 1600 in/sec (91 MPH) just prior to impact.

You will first need to define some nodal components that will be used to define the loading and contact surfaces. Create a component named ball that contains all of the nodes of the ball, for which an initial velocity (EDVEL) of 1600 in/sec will be applied (discussed later in this chapter). Then create a second component named ballsurf which contains only the nodes on the surface of the ball. This component will be used later in the contact specification. You also need to define a third component named batsurf, which contains the nodes on the surface of the bat. Contact algorithms are discussed in "Contact Surfaces".

nsel,s,node,...        ! select all nodes comprising the ball
cm,ball,node           ! define the component ball
nsel,s,node,...        ! select the nodes on the ball surface
cm,ballsurf,node       ! define the component ballsurf
nsel,s,node,...        ! select the nodes on the bat surface
cm,batsurf,node        ! define the component batsurf
nsel,all

Now select the nodes at the base of the bat handle (bathand) for which a displacement versus time loading curve will be applied.

Define an array named time to store the time values. Remember to use time values that are consistent with all loads, dimensions, and material properties in your model. Next, define an array named xdisp to contain the corresponding X displacements of the component bathand. Likewise, define arrays ydisp and zdisp to contain the corresponding Y and Z displacements of bathand.

nsel,s,node,...      ! select the nodes at the bat handle base
cm,bathand,node      ! define the component bathand
nsel,all
*dim,time,,4         ! dimension the array parameter time
*dim,xdisp,,4        ! dimension the array parameter xdisp
*dim,ydisp,,4        ! dimension the array parameter ydisp
*dim,zdisp,,4        ! dimension the array parameter zdisp
time(1)=0,0.25,0.5,0.75,1  ! times at specified displacements
xdisp(1)=0,-1,-2,-1,3      ! X displacement of the bat handle
ydisp(1)=0,1,2,3,4         ! Y displacement of the bat handle
zdisp(1)=0,3,6,8,9         ! Z displacement of the bat handle

The example given is actually a simple version of a more complex phenomenon. In a more accurate simulation, additional displacement locations (and corresponding load curves) should be defined to better simulate the true motion of the bat handle. Further, the initial velocities of the nodes comprising the bat are all different. Finally, the ball is a composite of several different materials and material models.

4.1.3. Applying Loads

Once you have defined the components and array parameters, you are ready to apply loads to your model [EDLOAD command]. In the GUI choose the following menu path: Main Menu> Solution> Loading Options> Specify Loads.

You may now choose to add loads (via the ADD label on EDLOAD) such as forces, moments, nodal accelerations, surface pressures, etc. Loads applied with the EDLOAD command are in the global Cartesian direction by default.

The dialog box in the GUI will give you a listing of all valid loads, as well as the components and parameters that have been previously defined. You simply choose the desired load label along with the combination of components (part numbers for rigid bodies) and array parameters (or previously defined load curve ID) you wish to use for that load. It is important to note, as listed below, that all load labels are not valid for all components or part numbers.

The following load labels are valid only for nodal components:

Forces: FX, FY, FZ
Moments: MX, MY, MZ
Displacements: UX, UY, UZ
Rotations: ROTX, ROTY, ROTZ
Velocities: VX, VY, VZ
Nodal Accelerations: AX, AY, AZ
Body Accelerations: ACLX, ACLY, ACLZ
Angular Velocities: OMGX, OMGY, OMGZ
Temperature: TEMP

Note

Although V (X, Y, Z) and A (X, Y, Z) appear as DOFs, they are not actually physical DOFs. However, these quantities are computed as DOF solutions and stored for postprocessing.

The following labels are valid only for rigid bodies (part numbers):

Forces: RBFX, RBFY, RBFZ
Moments: RBMX, RBMY, RBMZ
Displacements: RBUX, RBUY, RBUZ
Rotations: RBRX, RBRY, RBRZ
Velocities: RBVX, RBVY, RBVZ
Angular Velocities: RBOX, RBOY, RBOZ

The following label is valid only for element components:

Pressure: PRESS

Returning to our baseball example, the necessary displacement versus time load curves are automatically created with the EDLOAD command from the time and x/y/zdisp array parameters.

edload,add,ux,,bathand,time,xdisp  ! X displacement of bathand
edload,add,uy,,bathand,time,ydisp  ! Y displacement of bathand
edload,add,uz,,bathand,time,zdisp  ! Z displacement of bathand

Alternatively, the very stiff bat could have been modeled as a rigid body to simplify the required input and to reduce the CPU time. For this case, the appropriate rigid body loads would be applied to valid part numbers (and not to nodal components).

edload,add,rbux,,2,time,xdisp   ! X displ. (if bat = part #2)
edload,add,rbuy,,2,time,ydisp   ! Y displ. (if bat = part #2)
edload,add,rbuz,,2,time,zdisp   ! Z displ. (if bat = part #2)

If the pressure that the bat imparts on the baseball was known as a function of time, the loading could be accomplished without defining any contact surfaces. Instead, the element component containing the elements on the surface of the ball would be loaded with the “PRESS” label of the EDLOAD command.

edload,add,press,1,cover,battime,batload

In this last scenario, the elements contained in the element component cover are loaded on face number one (face number is input in the KEY field) with the load curve produced by the battime and batload array parameters.

It is important to note that in the examples listed above, the pressure load uses the KEY field of the EDLOAD command to specify a load key. Load keys (1,2,3, etc.) are associated with surface loads and are listed under "surface loads" in the input data tables for each element type in the Elements Reference. For most load types other than pressure loads, you can use the KEY field to specify a coordinate system identification number, CID, from the EDLCS command. The load will act in a direction you define on EDLCS, or in the global coordinate system direction if CID is not specified. See Defining Loads in a Local Coordinate System for more information.

Note

To avoid timing problems on some platforms, it is a good practice to always add a very small time value (such as 1.0 × 10-6) to the value in the final item in the time array. For example, instead of the value 3.0, such an array might contain the following value for the last item:

timeint(1)=0,1,2,3.00001

The addition of this very small “padding” factor does not affect the accuracy of the results.

In addition to adding loads, you can also list and delete loads with the commands EDLOAD,LIST and EDLOAD,DELE. You can display load symbols on the element plot with the EDFPLOT command, and you can plot load curves with the EDPL command.

4.1.4. Data Curves

Data curves, which are defined with the EDCURVE command, have various uses in ANSYS LS-DYNA. They can be used to define material data curves (for example, stress-strain) and load data curves (force-deflection) associated with explicit dynamics material models. Data curves can also be used to define load curves that represent time dependent loads (force, displacement, velocity, etc.). These load curves can then be input on the EDLOAD command.

4.1.4.1. Using Data Curves with Material Models

Certain material models (for example, TB,PLAW or TB,HONEY) require specification of material property data which may be a function of effective strain rate, plastic strain, or volumetric strain. For such data, property curves need to be defined using the EDCURVE command prior to specifying the material behavior with the data table [TBDATA] command. Data curves are also used for defining force deflection behavior in rigid-body and drawbead contact.

Similar to placing loads on components, data curves are grouped into array parameters and then associated with a particular curve reference number (LCID) which can be used by a specified material model (PLAW, HONEY, etc.) or contact type (RNTR, ROTR) and drawbead. Use the following steps to specify data curves:

  1. Define an array parameter that contains the abscissa values for the material or friction force behavior (e.g., effective plastic strain, effective strain rate, displacement, etc.).

  2. Define a second array parameter that contains the ordinate values for the material behavior or friction force (e.g., initial yield stress, elastic modulus, force, etc.).

  3. Specify the data curve that will be used to identify this data [EDCURVE]. During this step you will choose a data curve ID number that will be used to associate this data with a particular material behavior when setting up the data table [TBDATA].

After the parameters have been specified, use one of the following menu paths in the GUI to define a data curve:

Main Menu> Preprocessor> Material Props> Curve Options
Main Menu> Solution> Loading Options> Curve Options

Defined data curves can be listed using EDCURVE,LIST. They can be plotted using EDCURVE,PLOT and can be deleted using EDCURVE,DELETE.

The following example shows how data curves can be used to define a piecewise linear plasticity curve (TB,PLAW,,,,8) for steel:

!  "3" was arbitrarily chosen as the material reference (MAT) number.
mp,  ex,3,30.0e6            ! elastic (Young’s) modulus (psi)
mp,dens,3,7.33e-4           ! mass density (lbf-sec^2/in^4)
mp,nuxy,3,0.30              ! Poisson’s ratio (unitless)
!Note:  First convert engineering stress versus engineering strain data
!       into true stress versus true (hencky) strain data.  Then subtract
!       off the elastic true strain from the total true strain to find
!       the plastic true strain, which is used with the total true stress
!       in LS-DYNA *MAT_PIECEWISE_LINEAR_PLASTICITY material model #24.
!------------------------------------------------------------------------
! Stress-Strain Data used with Piecewise Linear Plasticity (Power Law 8):
!------------------------------------------------------------------------
!           Total     Total      Total      Total      Elastic    Plastic
! Stress/   Eng.      Eng.       True       True       True       True
! Strain    Stress    Strain     Stress     Strain     Strain     Strain
! Point     (psi)     (in/in)    (psi)      (in/in)    (in/in)    (in/in)
!------------------------------------------------------------------------
!   1           0     0.0000          0     0.0000     0.0000     0.0000
!   2      60,000     0.0020     60,120     0.0020     0.0020     0.0000
!   3      77,500     0.0325     80,020     0.0320     0.0027     0.0293
!   4      83,300     0.0835     90,260     0.0802     0.0030     0.0772
!   5      98,000     0.1735    115,000     0.1600     0.0038     0.1562
!   6      98,300     0.2710    124,940     0.2398     0.0042     0.2356
!   7      76,400     1.2255    170,030     0.8000     0.0057     0.7943
!------------------------------------------------------------------------
!Note: The first point on the stress/strain curve is NOT entered.
!      Start with the second point (where ordinate = yield stress).
!      Also, please follow the limits imposed by the *SET command.
*dim,strn,,6  ! define array for effective plastic true strain data
*dim,strs,,6  ! define array for effective total true stress data
strn(1)= 0.0, 0.0293, 0.0772, 0.1562, 0.2356, 0.7943  ! strain (in/in)
strs(1)= 60120., 80020., 90260., 115000., 124940., 170030. ! stress (psi)
edcurve,add,1,strn,strs  ! curve #1: abscissa=strain & ordinate=stress
tb,plaw,3,,,8            ! specify power law #8 for material (MAT) #3
tbdata,6,1               ! use load curve #1 for stress/strain data
!Note: If desired, a plastic failure strain can be defined.  Further,
!      strain rate effects can be included by specifying the necessary
!      strain rate parameters or the load curve defining the strain rate
!      scaling effect on the yield stress.  Please refer to Chapter 7 of
!      this guide for a complete description of this material model.

4.1.4.2. Using Data Curves for Loading

In addition to their use with certain material models, data curves (also known as load curves) can be used in the definition of time dependent loads. The procedure to define a load curve is the same as described above for material data curves, except that the first array parameter must contain the time values and the second array parameter must contain the corresponding load values. After you define a load curve with the EDCURVE command, the corresponding load curve reference number (LCID) can be input on the EDLOAD command.

The following 3-step example shows how load curves are used with the EDLOAD command.

! Step 1: Define Array Parameters
*dim,time,,5
time(1)=0,.025,.05,.075,.1
*dim,yforce,,5yforce(1)=0,100,200,300,400
!
! Step 2: Define Load Curve and Corresponding LCID (#11)
edcurve,add,11,time,yforce
!
! Step 3: Refer to LCID on the EDLOAD Command
edload,add,fy,,comp,,,,11,1.0

As shown above, the LCID is referenced in the ninth field of the EDLOAD command. It is important to note that if you use an LCID with the EDLOAD command, array parameters should not also be specified to define the load. Using an LCID instead of array parameters on the EDLOAD command is particularly useful when a specific load curve is to be applied to multiple components or load labels.

4.1.5. Defining Loads in a Local Coordinate System

ANSYS LS-DYNA allows you to apply a load to a component or part in any coordinate direction for which a local coordinate system has been defined. This is accomplished using the KEY field of the EDLOAD command in conjunction with the local coordinate system (EDLCS command). Once a local coordinate system has been defined with the EDLCS command (EDLCS,ADD,CID,X1,Y1,Z1,X2,Y2,Z2, X3,Y3,Z3), the local coordinate system ID (CID) is used in the KEY field of the EDLOAD command to define the direction in which the load acts. For force and moment loads (Lab = FX, MX, etc. on EDLOAD), the load will be applied in the direction of the local coordinate system defined by EDLCS. For prescribed motion degrees of freedom (Lab = UX, ROTX, VX, AX, etc. on EDLOAD), the motion will act in the direction of a vector from point (X1, Y1, Z1) to point (Z2, Y2, Z2) as input on EDLCS. If CID is not specified, the load will act in the global Cartesian coordinate direction. Some load types do not support the use of local coordinate systems; see Birth Time, Death Time, and CID Support Table in the Notes section of the EDLOAD command for more information.

4.1.6. Specifying Birth and Death Times

For each load definition, you can specify a birth time and a death time by using the BTIME and DTIME fields of the EDLOAD command (EDLOAD,ADD,Lab,KEY,Cname,Par1,Par2,PHASE,LCID,SCALE,BTIME,DTIME). These options allow you to activate a load at any time during an analysis and then deactivate it at a later time. Such an option can be very useful in applications such as a multistage forming process where more than one load is applied in succession. Some load types do not support birth and death time; see Birth Time, Death Time, and CID Support Table in the Notes section of the EDLOAD command for more information.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 4. Loading 		Up / Home Next
4.2. Constraints and Initial Conditions


4.2. Constraints and Initial Conditions

Before initiating the solution, you will need to apply constraints to your model. Additionally, you may wish to set initial velocities for moving objects.

4.2.1. Constraints

Unlike the ANSYS implicit program, ANSYS LS-DYNA does distinguish between zero and nonzero constraints. Nonzero constraints are handled as loads (together with a load curve; see earlier discussion in this chapter). Only zero constraints can be applied with the D command, i.e., the value specified must always be 0 (zero). No other values are valid, as the D constraints are only used to fix certain portions of the model. You may use symmetry/antisymmetry boundary conditions to apply these “zero” constraints.

You can use the EDNROT command to apply zero constraints in terms of a rotated nodal coordinate system. You must first define the local coordinate system with the EDLCS command.

When modeling small symmetric sections of a geometry, you may need to define sliding or cyclic symmetry. You can use the EDBOUND command to define symmetry boundary planes for sliding or cyclic symmetry. You use nodal components to identify the boundaries and a direction vector to define a normal (sliding symmetry) or axis of rotation (cyclic symmetry).

Various other types of constraints can be modeled in ANSYS LS-DYNA using the EDCNSTR command. The available constraint types are extra node set (ENS), nodal rigid body (NRB), shell edge to solid (STS), and rivet (RIVET). In the GUI, you access these constraints by picking:

Main Menu> Solution> Constraints> Apply> Additional Nodal

The extra node set constraint type (EDCNSTR,ADD,ENS) allows the addition of nodes (via a nodal component) to an existing rigid body that was defined with the EDMP command. The nodal component that is added must not be attached to any other rigid body. The extra nodes that are added to a rigid body may be located anywhere in the model, and may have coordinates outside those of the original rigid body. The ENS option has many potential applications, including placing nodes where joints will be attached between rigid bodies, defining nodes where point loads will be applied, and defining a lumped mass at a specific location.

Unlike typical rigid bodies that are defined with the EDMP command, nodal rigid bodies defined with the EDCNSTR,ADD,NRB command are not associated with a part number, but are based on a node component. The NRB option can be advantageous when modeling rigid (welded) joints in a model. For a rigid joint, portions of different flexible components (having different MAT IDs) act together as a rigid body. It is difficult to define this type of rigid body with a unique MAT ID (and corresponding part number). However, the rigid joint can be easily defined using a nodal rigid body. Because nodal rigid bodies are not associated with a part number, other options that use rigid bodies (such as loads applied with the EDLOAD command ) cannot be used with a nodal rigid body.

The shell to solid edge option (EDCNSTR,ADD,STS) ties regions of solid elements to regions of shell elements. As shown in Figure 4.1: "Constrained Shell to Solid", a single shell node may be tied to up to nine solid nodes that define a 'fiber' vector. The solid element nodes that define the fiber remain linear (straight) throughout the analysis but can move relative to each other in the fiber direction. The shell node must be coincident with one of the solid element nodes along the fiber.

Figure 4.1 Constrained Shell to Solid

Similar to spotwelds defined with the EDWELD command, the RIVET option (EDCNSTR,ADD,RIVET) defines a massless rigid constraint between two nodes that are noncoincident. Unlike a spotweld, however, failure cannot be specified for a rivet. When a rivet is defined, the distance between the nodes is kept constant throughout any motion that occurs during a simulation. Nodes connected by a rivet cannot be part of any other constraints specified in the model.

4.2.2. Welds

In an explicit dynamic analysis, it is common to model components that are physically welded together. This is especially true in automotive applications where parts are often assembled using welds. In such cases, welded constraints can be modeled in ANSYS LS-DYNA using the EDWELD command. Two different types of welds can be modeled: massless spotwelds and generalized welds. Nodes connected by the EDWELD command cannot be constrained in any other way.

For a massless spotweld, you must specify two noncoincident nodes. You can define failure within the spotweld by inputting failure parameters on the EDWELD command. This failure is based on the following relationship:

In the GUI, use the following menu path to define a massless spotweld: Main Menu> Preprocessor> LS-DYNA Options> Spotweld> Massless Spotwld

A generalized weld is typically used to model a long-welded section of two parts. For a generalized weld, you must specify a valid nodal component. Coincident nodes are permitted. However, if you use coincident nodes, you must specify a local coordinate system (EDLCS) which will be used for output data. Failure within the generalized weld is also defined with the failure parameters on the EDWELD command using the same relationship as shown in the equation above.

In the GUI, use the following menu path to define a generalized weld: Main Menu> Preprocessor> LS-DYNA Options> Spotweld> Genrlizd Spotwld

4.2.3. Initial Velocity

In transient dynamic simulations, it is often necessary to specify initial conditions. In the ANSYS LS-DYNA program, initial velocities are defined using the EDVEL and EDPVEL commands. You can use these commands to apply both translational and rotational velocities to various entities. Use EDVEL to apply velocities to a nodal component or to a single node; use EDPVEL to apply velocities to a part or part assembly.

The EDVEL and EDPVEL commands provide two methods for specifying rotational velocities, Option = VGEN and Option = VELO. The VGEN method applies a rigid body rotation to an entity (node component, part, etc.) around a specified axis. The VELO method applies the rotational velocities directly to each node's rotation degree of freedom. Since only shell and beam elements have rotation degrees of freedom, the rotations input with the VELO method are only applicable to SHELL163 and BEAM161 elements. For both the VGEN and VELO methods, the translational velocities are always defined relative to the global Cartesian coordinate system.

Note

To model a rotating body, with or without translations, you should use Option = VGEN since this method applies a rigid body rotation.

Due to the LS-DYNA architecture, the two methods for defining initial velocities, Option = VELO and Option = VGEN, cannot be used in the same analysis.

To define an initial velocity, use the following procedure:

  1. Define the entity to which you want to apply the initial velocity. This may be a single node, a nodal component [CM], a part [EDPART], or a part assembly [EDASMP].

  2. Decide whether the VELO or VGEN option is appropriate for your application.

  3. Specify the initial velocity [EDVEL or EDPVEL] by using one of the following menu paths in the GUI:

    Main Menu> Solution> Initial Velocity> On Nodes> w/Nodal Rotate (VELO option)
    Main Menu> Solution> Initial Velocity> On Nodes> w/Axial Rotate (VGEN option)
    Main Menu> Solution> Initial Velocity> On Parts> w/Nodal Rotate (VELO option)
    Main Menu> Solution> Initial Velocity> On Parts> w/Axial Rotate (VGEN option)

For either the VELO or the VGEN option, input the translational velocities relative to the global Cartesian coordinate system (VX, VY, and VZ fields on the EDVEL or EDPVEL command). For the VELO option, input the nodal rotations in terms of the global Cartesian coordinate system (OMEGAX, OMEGAY, and OMEGAZ fields). For the VGEN option, input the magnitude of the angular velocity (OMEGAX), the coordinate axis for rotation (XC, YC, and ZC fields) and directional angles (ANGX, ANGY, and ANGZ fields) relative to the global X, Y, and Z axes.

If you do not specify initial velocities using EDVEL or EDPVEL, all initial velocities in the model will be zero. Likewise, if you only specify the Cname field on the EDVEL command (e.g., EDVEL,VGEN,Cname) or the PID field on the EDPVEL command, (e.g., EDPVEL,VGEN,PID), zero initial velocities will be applied since the remaining fields on these two commands default to zero.

If you wish to change an initial velocity previously specified using EDVEL, just respecify a new velocity with the same component name or node number. This new value will overwrite the old data for the component or node. To list or delete initial velocities previously applied to node components or nodes, use the EDVEL,LIST and EDVEL,DELE commands (in the GUI, use Main Menu> Solution> Initial Velocity> On Nodes> List and Main Menu> Solution> Initial Velocity> On Nodes> Delete).

Similarly, if you wish to change an initial velocity previously specified using EDPVEL, just respecify a new velocity with the same part or part assembly ID number. This new value will overwrite the old data for the part or part assembly. To list or delete initial velocities previously applied to parts or part assemblies, use the EDPVEL,LIST and EDPVEL,DELE commands (in the GUI, use Main Menu> Solution> Initial Velocity> On Parts> List and Main Menu> Solution> Initial Velocity> On Parts> Delete).

For our baseball example, the initial velocity of the baseball would be specified as follows:

edvel,velo,ball,,,-1600.0 ! Component ball initially moving
!  in -Z direction at 1600 in/sec

Or, assuming the component ball was part number 1 in the model, you could specify the velocity of the baseball as:

edpvel,velo,1,,,-1600.0 ! Part number 1 initially moving
!  in -Z direction at 1600 in/sec

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.1. General Loading Options 		Up / Home Next
4.3. Coupling and Constraint Equations


4.3. Coupling and Constraint Equations

The CP-family of commands (CP, CPDELE, CPINTF, CPLGEN, CPLIST, CPNGEN, CPSGEN) can be used to define, modify, delete, list, and generate coupling between different degrees of freedom (DOFs) of a structure. Similarly, the CE-family of commands (CE, CEDELE, CEINTF, CELIST, CERIG) can be used to define, modify, delete, and list constraint equations between different DOFs of a structure. When used in the ANSYS LS-DYNA explicit dynamics program, the CP and CE commands can be used only with UX, UY, and UZ DOFs (rotational DOFs are not allowed).

Since the rotational DOFs (ROTX, ROTY, ROTZ) are not allowed, the CP family of commands should not be used in an explicit analysis to model rigid body behavior that involves rotations. If CP is used in this manner, it could lead to nonphysical responses.

Also, be aware that a coupled set containing nodes that are not coincident or nodes that are not along the line of the coupled degree of freedom does not produce a moment constraint. This means that if the structure rotates, the set of coupled nodes will rotate. Only the applied forces and the reaction forces will satisfy the moment equilibrium in the model. For each node in the coupled set, the result of satisfying the moment will depend on the distance from the node to the center of the coupled set, and the direction of displacement will depend on the resulting moment. This may lead to a nonphysical response in some cases.

See Coupling and Constraint Equations in the Modeling and Meshing Guide for details on defining coupling and constraint equations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.2. Constraints and Initial Conditions 		Up / Home Next
4.4. Nonreflecting Boundaries


4.4. Nonreflecting Boundaries

When modeling geomechanical systems, an infinite domain is often required to represent the ground or other large solid body. For this type of analysis, you can use nonreflecting boundaries at the exterior of the model to limit the overall size of the model. You apply these boundaries to the surface of SOLID164 and SOLID168 elements that are being used to model an infinite domain. Nonreflecting boundaries will prevent artificial stress wave reflections generated at the boundary from reentering the model and contaminating the results.

When nonreflecting boundaries are included in the model, LS-DYNA computes an impedance matching function for all boundary segments based on an assumption of linear material behavior. Therefore, the finite element mesh should be constructed so that all significant nonlinear behavior is contained within the discrete model.

To define a nonreflecting boundary, select the nodes (NSEL command) that make up the desired boundary along the external surface of a SOLID164 or SOLID168 body, then define a component from these nodes (CM command). Use the EDNB command to apply the nonreflecting boundary to that nodal component, and to turn on the dilatational and shear activation flags. For example, the following command defines a nonreflecting boundary on the component “ground”:

EDNB,ADD,GROUND,1,1

To list and delete defined nonreflecting boundaries, use the commands EDNB,LIST and EDNB,DELE, respectively.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.3. Coupling and Constraint Equations 		Up / Home Next
4.5. Temperature Loading


4.5. Temperature Loading

You may need to define temperature loading in an explicit dynamic analysis in order to accommodate temperature dependent materials, or to include the effects of thermally induced stresses. Temperature loading is applicable to the PLANE162, SHELL163, SOLID164, and SOLID168 element types. The ANSYS LS-DYNA program offers several types of temperature loading:

  • Time-varying temperature applied to a nodal component (EDLOAD)

  • Constant temperature applied to all nodes in the model (TUNIF / BFUNIF)

  • Temperature results from an ANSYS thermal analysis applied as non-uniform temperature loads (that do not vary with time) in a subsequent explicit dynamic analysis (LDREAD; also requires a sequential solution)

The first method utilizes the EDLOAD,,TEMP command and the general loading procedure to apply a time-varying temperature to a specific nodal component. You must define two array parameters to represent the load; the first parameter contains the time values and the second parameter contains the temperature values. You may choose to define a load curve with these parameters or to input them directly on the EDLOAD command. You can also scale the temperature values using the SCALE parameter on EDLOAD. See General Loading Options for a complete description of how to apply this type of load.

The second method allows you to apply a uniform constant temperature to all nodes in the model. This method may be used to model a structure subjected to steady-state thermal loading. You can use the TUNIF command or the BFUNIF,TEMP command to apply this type of temperature load.

The third method allows you to apply the temperatures calculated in an ANSYS thermal analysis as loads in an explicit dynamic analysis. This method is useful for modeling temperature-dependent phenomena such as forging. To use this method, you must perform an implicit-to-explicit sequential solution. In the explicit phase, you use the LDREAD command to read the temperature data from the thermal (implicit) analysis results file (Jobname.RTH) and apply them as loads to the nodes in the model. You can only transfer the temperatures from one specified time point in the thermal analysis. Refer to "Implicit-to-Explicit Sequential Solution" of this guide for a detailed description of this loading procedure.

For all three methods of temperature loading, a reference temperature can be input via the TREF command. The thermal loading is defined as the difference between the applied temperature and the reference temperature. If the reference temperature is not specifically defined, it defaults to zero.

In order for any of these thermal loads to take effect, you must use the temperature dependent bilinear isotropic material model or the elastic viscoplastic thermal material model. The temperature dependent bilinear isotropic model can be used to represent a thermoelastic material (if needed) by omitting the yield strength and tangent modulus. Please refer to "Material Models" of this guide for complete descriptions of these material models.

Note

It is important to note that the EDLOAD method of temperature loading cannot be used together with the LDREAD or TUNIF / BFUNIF methods of temperature loading. In addition, EDLOAD cannot be used to list or delete temperatures applied with LDREAD, TUNIF, or BFUNIF.

You can use LDREAD and TUNIF (or BFUNIF) together in the same explicit dynamic analysis. When LDREAD is issued, it applies temperature loads to the selected nodes, overwriting any temperature loads defined by TUNIF or BFUNIF. Any nodes that are unselected at the time LDREAD is issued will take on the temperature load defined by the TUNIF or BFUNIF command. To delete the temperature loads defined by LDREAD (at selected nodes or all nodes), use the BFDELE command. To list the temperature loads defined by LDREAD (at selected nodes or all nodes), use the BFLIST command.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.4. Nonreflecting Boundaries 		Up / Home Next
4.6. Dynamic Relaxation


4.6. Dynamic Relaxation

In order to conduct implicit-to-explicit sequential solutions (see "Implicit-to-Explicit Sequential Solution"), dynamic relaxation capability has been added to the ANSYS LS-DYNA program (EDDRELAX command). True dynamic relaxation (EDDRELAX,DYNA) allows an explicit solver to conduct a static analysis by increasing the damping until the kinetic energy drops to zero. When an implicit solver is used to provide the preload (EDDRELAX,ANSYS), a slightly different approach is taken, in that the stress initialization is based on a prescribed geometry (i.e., the nodal displacement results from the implicit solution). In this latter case, the explicit solver only uses 101 time steps to apply the preload. In the former case, the solver will check the kinetic energy every 250 cycles (by default) until the kinetic energy from the applied preload is dissipated. ANSYS LS-DYNA supports both methods, which occur in pseudo time before the transient portion of the analysis begins at time zero. The EDLOAD command specifies the analysis type through the PHASE label.

EDLOAD , ADD, Lab, , Cname, Par1, Par2, PHASE

PHASE: | 0 | Load curve for transient analysis only (default) or for implicit-to-explicit sequential solutions
 | 1 | Load curve for dynamic relaxation only
 | 2 | Load curve for both transient and dynamic relaxation analyses

There are essentially five different types of analyses that can be conducted with ANSYS LS-DYNA concerning dynamic relaxation. They are discussed below:

  1. Transient Dynamic Analysis Only (default - EDDRELAX,OFF): In this case, the PHASE parameter of the EDLOAD command is set to zero and dynamic relaxation is not used. This is the default setting.

  2. Stress Initialization Only with No Transient Analysis (EDDRELAX,DYNA): This case basically uses the ANSYS LS-DYNA explicit solver to approximate the solution of a static analysis that is really best handled by an implicit solver such as ANSYS. The PHASE parameter on the EDLOAD command is set to one. The termination time (TIME command) must be set to zero to prevent unloading of the static load. True dynamic relaxation is used.

  3. Stress Initialization with a No-Load Transient Analysis (EDDRELAX,DYNA): This case is the same as the previous case, except that the termination time is set to the desired value. At time zero, the structure is instantly unloaded and free to vibrate.

  4. Stress Initialization with a Loaded Transient Analysis (EDDRELAX,DYNA): This is similar to the previous case, except that the load curve specified by the EDLOAD command (via PHASE = 2) will be used in both pseudo time for the dynamic relaxation to obtain the preload and in real time for the transient analysis. If a ramped load curve is used instead of a constant load curve, then the structure will unload at time zero and reload again. Therefore, if a ramped load curve is needed for the explicit solver to accurately converge on the static solution, it would be better to use two EDLOAD commands, the first (with PHASE = 1) to apply the preload using a ramped load curve and the second (with PHASE = 0) to continue the load with a load curve that is not ramped.

    Note

    If you issue EDLOAD multiple times for the same component (or Part ID) and the same load label, the values associated with the last EDLOAD command are used. Consequently, you cannot use multiple values of the PHASE parameter for a given component (or Part ID) and load label. To work around this limitation, you must use duplicate nodal components for the stress initialization and transient curves. (This workaround is applicable only if you use components to define the load.)

  5. Implicit-to-Explicit Sequential Solutions (EDDRELAX,ANSYS): This case uses the displacement results from the ANSYS implicit solver to apply the preload for the ANSYS LS-DYNA explicit solver via stress initialization to a prescribed geometry. The PHASE parameter on the EDLOAD command must be set to zero. This scenario is explained in detail in "Implicit-to-Explicit Sequential Solution" of this guide. Fields 2-6 of the EDDRELAX command are ignored for this case.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.5. Temperature Loading 		Up / Home Next
Chapter 5. Solution Features


Chapter 5. Solution Features

The solution procedure for an explicit dynamic analysis is similar to an implicit analysis. However, the ANSYS LS-DYNA program offers several solution features that are unique to an explicit analysis.

The following ANSYS LS-DYNA solution topics are available:

  • Solution Process
  • LS-DYNA Termination Controls
  • LS-DYNA Parallel Processing Capabilities
  • Double Precision LS-DYNA
  • Solution Control and Monitoring
  • Plotting Small Elements
  • Editing the LS-DYNA Input File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.6. Dynamic Relaxation 		Up / Home Next
5.1. Solution Process


5.1. Solution Process

After the model has been built (i.e., after completing element definitions, real constant and material property specifications, modeling, meshing, boundary/initial conditions, loading, and termination controls), you can start the solution process by issuing the SOLVE command (in the GUI, pick Main Menu> Solution> Solve).

At this point, several steps are performed by the ANSYS LS-DYNA program:

  1. The header records, including geometric quantities (such as nodes and elements), are written on the two results files Jobname.RST and Jobname.HIS. (At this point, the ANSYS LS-DYNA database should contain all relevant information. Before issuing the SOLVE command, you should issue a SAVE command to write all model information to the file Jobname.DB.)

  2. The input file for the LS-DYNA program, Jobname.K, is written using all information that has been entered so far.

  3. Control is transferred from the ANSYS LS-DYNA program to the LS-DYNA program. The solutions produced by the LS-DYNA solver are written to the results files Jobname.RST and Jobname.HIS. If the EDOPT,ADD,,BOTH option was specified before issuing the SOLVE command, results files for the LS-PREPOST postprocessor (files d3plot and d3thdt) will also be written.

When the solution is complete without errors or warnings, the ANSYS LS-DYNA GUI notifies the user that the solution is done, and control is transferred back to the ANSYS LS-DYNA program. The results can be viewed using the POST1 and POST26 processors of the ANSYS LS-DYNA program. If errors or warnings are produced, messages pop-up and are also displayed in the ANSYS Output Window. The messages state the number of errors and warnings that were produced, and make reference to the LS-DYNA message file, where details of the errors and warnings are written. These same details are also written to the LS-DYNA d3hsp file.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 5. Solution Features 		Up / Home Next
5.2. LS-DYNA Termination Controls


5.2. LS-DYNA Termination Controls

The point at which the LS-DYNA solution terminates will depend on the termination controls you specify when setting up the model. Several types of termination controls are available:

  • Termination time - Use the TIME command to specify an end-time for the analysis. The calculation will stop when the accumulation of time steps reaches that end-time.

  • CPU time limit - You can use the EDCPU command to specify a CPU time limit (in seconds). The calculation will stop when that time limit is reached.

  • Termination criteria - You can use the EDTERM command to specify that the solution stop when a specific node or rigid body reaches a certain position, or when a specific node comes into contact with another surface. You may set up multiple criteria using this command. (See the EDTERM command for details.)

You should always specify an analysis end-time using the TIME command. The other termination controls are optional. The solution will terminate when any one of the specified termination criteria is met.

When you are performing a small restart (EDSTART,2) or a full restart (EDSTART,3) analysis, if the previous analysis terminated due to a satisfied termination criteria that was set by EDTERM, you must change or delete that criteria so that it will not cause the restart to terminate immediately.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.1. Solution Process 		Up / Home Next
5.3. LS-DYNA Parallel Processing Capabilities


5.3. LS-DYNA Parallel Processing Capabilities

For large models, you can use the shared memory parallel processing (SMP) or the massively parallel processing (MPP) capabilities of ANSYS LS-DYNA to shorten the elapsed time necessary to run an analysis. To use either of these features, you must purchase the appropriate number of ANSYS LS-DYNA Parallel licenses. The Parallel license incorporates both SMP and MPP capabilities. Please contact your ANSYS sales representative for more information on purchasing the appropriate licenses.

5.3.1. Shared Memory Parallel Processing

The shared memory parallel processing capabilities allow you to distribute model-solving power over multiple processors on the same machine. To use this feature you must have a machine with at least two processors, and you must have an ANSYS LS-DYNA Parallel license for each processor beyond the first one.

To use the SMP capabilities you need to issue the EDRUN command to specify an SMP run as well as the number of processors to use (EDRUN,SMP,,Ncpu).

When you are using shared memory parallel processing, the calculations may be executed in different order, depending on CPU availability and the workload on each CPU. Because of this, you may see slight differences in the results when you run the same job multiple times. To avoid these differences, you can specify that consistency be maintained (EDRUN,SMP,1). Maintaining consistency can result in an increase of up to 15% in CPU time.

If you are using all CPUs on a platform (ANSYS recommends always running one fewer CPU than is available), you should close all other applications on those CPUs. Any calculations or machine resources that compete with the ANSYS LS-DYNA application running in SMP mode will reduce the SMP performance significantly.

The SMP capability is expected to scale linearly when used with up to 5 processors. When used with more than 5 processors, any additional scalability is minimal; the larger the problem, the higher the potential for scalability.) If you are using more than 5 processors, we recommend using the MPP capability, which offers excellent scalability regardless of the number of processors.

5.3.2. Massively Parallel Processing

The massively parallel processing (MPP) capabilities of ANSYS LS-DYNA allow you to run the LS-DYNA solver over a cluster of machines or use multiple processors on a single machine. To use the LS-DYNA MPP feature, you must have an ANSYS LS-DYNA Parallel license for each processor beyond the first one. MPP is not available for 32-bit Windows systems or 64-bit Windows systems using MPICH2. (It is available for 64-bit Windows systems using MS MPI.)

Before running an analysis using LS-DYNA MPP, you must configure your system properly. You must have supported MPI software correctly installed, and the machines running LS-DYNA MPP must be properly configured. The configuration procedures for LS-DYNA MPP are the same as for Distributed ANSYS. For more information, see Prerequisites for Running Distributed ANSYS and Setting Up the Environment for Distributed ANSYS in the Distributed ANSYS Guide.

To use LS-DYNA MPP you must run the LS-DYNA executable via the command line using the correct arguments. (You cannot run the MPP version from the launcher.) This procedure is similar to running Distributed ANSYS via the command line. The arguments that are common to both programs are:

-dis | Enables distributed processing (MPP) version of LS-DYNA
-np | Specifies the number of processors to use when running LS-DYNA MPP
-machines | Specifies the machines on which to run an LSDYNA MPP analysis
-mpifile | Specifies an existing MPI file

The -dis argument is required in order to run LS-DYNA MPP. Choose one of the three remaining arguments (-np, -machines, or -mpifile) to indicate how the analysis will be distributed over multiple processors or machines. Note that the -np and -machines arguments are mutually exclusive; -machines will override -np. See Starting Distributed ANSYS via Command Line in the Distributed ANSYS Guide for information on how to use these command line options.

Other command line options (such as I/O and other LS-DYNA specific arguments) are unique to LS-DYNA. Because you are using the command line, you must follow the procedure outlined in Editing the LS-DYNA Input File. This involves using the EDWRITE command to create a Jobname.K input file, then using the lsdyna110 script with the appropriate arguments.

Note

The procedure described in Editing the LS-DYNA Input File indicates that you should go back to the ANSYS LS-DYNA program to view the analysis results. This step does not apply to an LS-DYNA MPP analysis.

The following is an example of a command line used to run LS-DYNA MPP. This example assumes you have ANSYS Mechanical with LS-DYNA at ANSYS Release 11.0, your input file is "file.k", and you are using two machines (one with four processors and one with two processors).

lsdyna110 -dis -machines machine1:4:machine2:2 i=file.k pr=ansysds

The output files produced by LS-DYNA MPP are standard LS-DYNA output files and are not compatible with ANSYS. Therefore, you must use LS-DYNA postprocessors to view the results.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.2. LS-DYNA Termination Controls 		Up / Home Next
5.4. Double Precision LS-DYNA


5.4. Double Precision LS-DYNA

For more accurate results, you can use the double precision capabilities of ANSYS LS-DYNA. This feature is especially useful in sequential explicit-to-implicit spring back types of analyses. To use this feature, you must have the double precision version of LS-DYNA available on your machine.

Note

The double precision version of LS-DYNA may be up to 20% slower than the single precision version. Results may also vary based on problem specifications.

Use the EDDBL (EDDBL,1) command to specify the double precision version.

You can check the numeric version status by issuing the EDDBL,STATUS command or the GUI dialog box for the command (accessed through Main Menu> Solution> Analysis Options> Double Precision).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.3. LS-DYNA Parallel Processing Capabilities 		Up / Home Next
5.5. Solution Control and Monitoring


5.5. Solution Control and Monitoring

The ANSYS LS-DYNA program allows certain sense switch controls that enable you to interrupt the solution process and to check the solution status. This section describes how to use these sense switch controls.

While the LS-DYNA execution is in progress, type CTRL-C in the console window of the ANSYS LS-DYNA program. This interrupts the LS-DYNA program execution and lets you enter program control commands (i.e., switches) in the console window of ANSYS LS-DYNA. (Unlike in ANSYS, you are not thrown out of the ANSYS LS-DYNA GUI by the CTRL-C interrupt, and the LS-DYNA solver will continue to run in the background.) A typical segment of output from the console window is shown below:

______________________________________________________________
dt of cycle       1 is controlled by solid      element       1

 time...........................   0.00000E+00
 time step......................   3.30496E-05
 kinetic energy.................   2.82787E+03
 internal energy................   1.00000E-20
 spring and damper energy.......   1.00000E-20
 hourglass energy ..............   0.00000E+00
 system damping energy..........   0.00000E+00
 sliding interface energy.......   0.00000E+00
 external work..................   0.00000E+00
 eroded kinetic energy..........   0.00000E+00
 eroded internal energy.........   0.00000E+00
 total energy...................   2.82787E+03
 total energy / initial energy..   1.00000E+00
 energy ratio w/o eroded energy.   1.00000E+00
 global x velocity..............   0.00000E+00
 global y velocity..............  -6.23477E+01
 global z velocity..............   0.00000E+00
 cpu time per zone cycle............   6666660 nanoseconds
 average cpu time per zone cycle....   6666660 nanoseconds
 average clock time per zone cycle..  15167664 nanoseconds

 estimated total cpu time          =         6 sec (       0 hrs  0 mins)
 estimated cpu time to complete    =         6 sec (       0 hrs  0 mins)
 estimated total clock time        =        13 sec (       0 hrs  0 mins)
 estimated clock time to complete  =        13 sec (       0 hrs  0 mins)
 enter sense switch:
______________________________________________________________

At this point, you can enter one of the following four switches:

sw1 | ANSYS LS-DYNA terminates. A restart file is written.
sw2 | ANSYS LS-DYNA responds with time and cycle numbers and continues to run. This allows you to see how far the solution has actually progressed.
sw3 | ANSYS LS-DYNA writes a restart file and continues to run.
sw4 | ANSYS LS-DYNA writes a results data set and continues to run.

The first estimate of CPU time reported in the console window (before the issuance of CTRL-C) is usually inaccurate (see “estimated total cpu time” in the output example shown above). You can use CTRL-C to interrupt the execution of the LS-DYNA solver, then type the sense switch sw2 to get a better estimate of the execution time and cycle numbers. The ANSYS LS-DYNA program writes all important messages (errors, warnings, failed elements, contact problems, etc.) to the ANSYS LS-DYNA console window and to the LS-DYNA ASCII output file d3hsp.

On a UNIX system, the progress of the ANSYS LS-DYNA solution can also be checked by reading the last lines of certain ASCII output files. To do so, use another window to go to the directory where the ANSYS LS-DYNA program was started. Type the following command at the system prompt:

tail -m filename

where filename = d3hsp or glstat or matsum. For m (the number of lines to be viewed), a value of 30 should be sufficient.

The d3hsp file will always be created by ANSYS LS-DYNA. The files glstat and matsum will be created only if the following commands were issued in the PREP7 or SOLUTION processors of ANSYS LS-DYNA:

EDOUT,GLSTAT
EDOUT,MATSUM

(See "Postprocessing" of this manual for more information on how output control commands are used.)

The files d3hsp, glstat and matsum are ASCII files. As the solution progresses, these files are written at requested time points. By looking at the current "time" value of the solution from the last 30 lines of any one of these files and comparing this "time" value against the specified "end time" value on the TIME command, you can determine the progress of the solution.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.4. Double Precision LS-DYNA 		Up / Home Next
5.6. Plotting Small Elements


5.6. Plotting Small Elements

As outlined in Comparison of Implicit and Explicit Methods, ANSYS LS-DYNA automatically calculates the critical time step size of each element in a model based on its material properties and size. The overall time step for an entire model is then based on the smallest critical time step value of all the elements within the model.

You can plot explicit dynamic elements based on their time step sizes using the EDTP command. This allows you to monitor areas of the model that have small elements. There are three options available (OPTION field of EDTP) for plotting elements based on time step size.

  • Option 1 - Plot the elements with the smallest time step sizes. Each element is shaded red or yellow based on its time step size. The number of elements plotted is based on the VALUE1 field (default = 100) of the EDTP command.

  • Option 2 - Plot and list the elements with the smallest time step sizes. This option produces the same plot as Option 1, and also provides a listing of the smallest elements.

  • Option 3 - This option produces a plot similar to Option 1, except that all selected elements are plotted. Elements beyond the number specified by VALUE1 are blue and translucent, with the degree of translucency based on the VALUE2 field of the EDTP command.

In the plot produced by EDTP the elements are shaded red (smallest), yellow (intermediate), or blue (largest) based on their time step sizes.

Note

Care should be taken when using the EDTP command for large models because the time step size calculations may take a significant amount of CPU time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.5. Solution Control and Monitoring 		Up / Home Next
5.7. Editing the LS-DYNA Input File


5.7. Editing the LS-DYNA Input File

Most of the major LS-DYNA capabilities are supported in the ANSYS LS-DYNA program and can be conveniently accessed through the graphical user interface of this program. It should be noted, however, that there are a number of other capabilities in the LS-DYNA program that cannot be directly accessed through the GUI of the ANSYS LS-DYNA program. Some examples are:

  • several material properties, such as fabric, soil, etc.

  • certain element types, such as seat belt

  • application of constraints on rigid bodies in the local coordinate system

Although these capabilities cannot be directly accessed, users who are familiar with the LS-DYNA program can still use these features indirectly in the ANSYS LS-DYNA program. The procedure for including additional features is outlined below.

Note

Only the LS-DYNA features that are described in the ANSYS LS-DYNA documentation and available through the ANSYS LS-DYNA interface are supported features. Although you can access other features as described below, features that you implement by editing the LS-DYNA input file are not supported.

After modeling has been completed, you can issue the EDWRITE command instead of issuing the SOLVE command. (In the GUI, pick Main Menu> Solution> Write Jobname.k.) EDWRITE will create the LS-DYNA input file Jobname.K. (Note that if the analysis is a small restart, the input file will be named Jobname.R, and if it is a full restart, the input file will be named Jobname_nn.K.)

The difference between the EDWRITE command and the SOLVE command is that step number 3 discussed in Solution Process will not be executed. That is, Jobname.K will be written (along with headers to the ANSYS results files), but the solution process of the LS-DYNA program will not be started. After issuing EDWRITE, use one of the following two methods to include additional functionality in the explicit dynamic analysis.

Method A

  1. Exit the ANSYS LS-DYNA program.

  2. Edit the LS-DYNA input file Jobname.K to incorporate the items that are not supported directly through the ANSYS LS-DYNA program.

  3. Execute the LS-DYNA executable separately in the same directory where the two results files, Jobname.RST and Jobname.HIS, reside. The solution produced by the LS-DYNA executable will be appended to these results files.

  4. After completion of the LS-DYNA execution, enter the ANSYS LS-DYNA program and view the results using the postprocessors (POST1 and POST26).

Method B

  1. Using another window, go to the directory where the ANSYS LS-DYNA program was started. Do not exit the ANSYS LS-DYNA program in the original window.

  2. Edit the LS-DYNA input file Jobname.K to incorporate the items that are not supported directly through the ANSYS LS-DYNA program.

  3. Execute the LS-DYNA executable separately in the same directory (where the two results files, Jobname.RST and Jobname.HIS, reside). The solution produced by the LS-DYNA executable will be appended to these results files. (Remember, you have not exited the ANSYS LS-DYNA program in the original window.)

  4. After completion of the LS-DYNA execution, go back to the original window and view the results using the ANSYS LS-DYNA postprocessors.

For both Method A and Method B, you execute the LS-DYNA program by running the lsdynaxxx script (where xxx is the ANSYS release number) with the correct arguments:

lsdynaxxx i = jobname.k pr = product name

For example, if you have ANSYS Mechanical with LS-DYNA at ANSYS Release 11.0 and your input file is “crashtest.k”, you would type:

lsdyna110 i=crashtest.k pr=ansysds

You may need additional command line arguments, depending on what type of analysis you are running. For example:

  • For an implicit-to-explicit sequential solution (REXPORT and EDDRELAX commands; see "Implicit-to-Explicit Sequential Solution"), the argument "m=drelax" is required.

  • For a restart analysis, (EDSTART command; see "Restarting"), the argument "r=d3dumpnn" is required, where nn is the number of the dump file (01, 02, ... 99) to be used as a starting point.

  • To run the double precision version of LS-DYNA, the "-dp" argument is required.

  • For any type of analysis, you can specify the memory to be used by including the command line argument "memory=n", where n is the desired amount of memory in words.

Note

If the *MAT_COMPOSITE_MSC material models (*MAT_161 and *MAT162) are included in the LS-DYNA keyword input file, you will also need to obtain additional licensing from ANSYS, Inc. and set the corresponding environment variables, as discussed in the ANSYS, Inc. Installation Guide for your platform.

When using these methods to modify the file Jobname.K, nodes and elements must not be changed. Also, note that the ANSYS LS-DYNA database is not updated with the changes you make in file Jobname.K. Thus, if an attempt is made to view the modified items in the PREP7, POST1 or POST26 processors after the solution is complete, the original version, and not the modified version, will be shown. (For these reasons, editing the LS-DYNA keyword input file, Jobname.K, is NOT a supported feature of ANSYS LS-DYNA.) In all cases, the complete set of results can be postprocessed in the LS-PREPOST postprocessor (assuming you requested LS-DYNA results files via the EDWRITE command).

5.7.1. Using a Preexisting File.K

In a typical ANSYS LS-DYNA analysis, the results file headers are written when you issue the SOLVE command (or when you issue EDWRITE). However, the LS-DYNA solver also has the ability to create the .RST and .HIS results file headers when only a file.K input file exists. This allows you to take a preexisting file.K, solve it using LS-DYNA, and then postprocess the results with the ANSYS LS-DYNA program.

To use this method, first make sure that the model defined in the .K file does not contain any features that ANSYS LS-DYNA does not support. Then edit the .K file so that the *DATABASE_FORMAT command is set to either 1 for ANSYS only results files, or 2 for ANSYS and LS-DYNA results files. Next, run the lsdynaxx script as described above.

You can then postprocess the results using POST1 and POST26. If the corresponding ANSYS database does not exist, element attributes (material properties, real constants, etc.) will not be available in the results files. However, you should still be able to postprocess the results using the ANSYS postprocessors. If you requested LS-DYNA results files, you will also be able to postprocess the results using LS-PREPOST.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.6. Plotting Small Elements 		Up / Home Next
Chapter 6. Contact Surfaces


Chapter 6. Contact Surfaces

Contact surfaces in ANSYS LS-DYNA allow you to represent a wide range of types of interaction between components in a model. This chapter provides guidelines for defining physically realistic contact in an explicit dynamic analysis.

It should be noted that contact is represented differently in an explicit dynamic analysis than it is in other types of ANSYS analyses. In other analyses, the contact is represented by actual “contact elements.” For explicit dynamics, there are no contact elements. You simply indicate the contact surfaces, the type of contact between them, and other parameters related to the contact type.

The following explicit dynamics contact topics are available:

  • Contact Definitions
  • Contact Options
  • Contact Search Methods
  • Special Considerations for Shells
  • Controlling Contact Depth
  • Contact Stiffness
  • 2-D Contact Option

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.7. Editing the LS-DYNA Input File 		Up / Home Next
6.1. Contact Definitions


6.1. Contact Definitions

Due to complicated large deformation dynamics which typically occur during an explicit dynamic analysis, determining contact between components in a model can be extremely difficult. For this reason, special features have been included in the ANSYS LS-DYNA program to make defining contact between surfaces as efficient as possible. All contact surfaces are defined in ANSYS LS-DYNA through the use of the EDCGEN command.

Use the following steps when using the EDCGEN command:

STEP 1: Determine the type of contact surface which best defines your physical model.
STEP 2: Identify contact entities.
STEP 3: Specify friction coefficient parameters.
STEP 4: Specify any additional input which is required for a given contact type.
STEP 5: Specify birth and death times for the contact definition.

STEP 1: Determining Contact Type

In order to adequately describe interaction between complex geometries during large deformation contact and dynamic impact, a large number of contact surface options have been incorporated into the ANSYS LS-DYNA product. These contact types, which include node-to-surface, surface-to-surface, single surface, single edge, eroding, tied, tiebreak, drawbead, and rigid contact options, are discussed in detail later in this chapter (see Contact Options). For most typical analyses, the following contact options are recommended.

  • Automatic Single Surface (ASSC): Contact is established when a surface of one body contacts itself or the surface of another body. This type is easy to use because no contact or target surface definitions are required. It is efficient for self-contacting problems or large deformation problems where general areas of contact are not known beforehand.

  • Automatic General (AG): This contact type is similar to Automatic Single Surface in that contact is established when a surface of one body contacts itself or the surface of another body. Automatic General contact is also easy to define since you do not need to specify contact and target surfaces. The main advantage of AG contact is that it is based on newer contact algorithms; consequently, its performance may be better than ASSC contact in some applications.

  • Node-to-Surface (NTS): Contact is established when a contacting node penetrates a target surface. This type is commonly used for general contact between two surfaces and is most efficient when a smaller surface comes into contact with a larger surface, such as a thin rod impacting a flat plate.

  • Surface-to-Surface: (STS) Contact is established when a surface of one body penetrates the surface of another body. This type is commonly used for arbitrary bodies that have large contact areas and is very efficient for bodies that experience large amounts of relative sliding with friction, such as a block sliding on a plane.

Back To Top

STEP 2: Defining Contact Entities

With the exception of the single surface (ASSC, SS, and ESS), automatic general (AG), and single edge contact (SE), all of the contact options require you to identify contact and target surfaces for which contact can occur. You can do this by using nodal components, PART ID definitions, and/or part assembly ID definitions. When using contact or target components, use select logic and the CM command to group the nodes (only nodal components are valid). Then, as shown in the sample input listing below, use the EDCGEN command to specify contact between the desired components such as the ball and bat surfaces of the example problem discussed in "Loading":

NSEL,S,NODE,.... ! Select a set of nodes on ball surface
CM,BALLSURF,NODE ! Place selected nodes into component
                 ! BALLSURF
NSEL,S,NODE,.... ! Select a set of nodes on bat surface
CM,BATSURF,NODE  ! Place selected nodes into component
                 ! BATSURF
EDCGEN,NTS,BALLSURF,BATSURF,.25,.23	! Generate node-to-surface
                     ! contact between components
                  ! BALLSURF and BATSURF

Alternatively, contact surfaces can be specified using part numbers or part assembly numbers that are currently defined within the finite element model. Part assembly numbers are defined with the EDASMP command.

The input line below demonstrates how the EDCGEN command is used to define contact between two different parts / part assemblies in a model:

EDCGEN,STS,1,2,.25,.23 ! Generate surface-to-surface contact
                       ! between PARTS 1 and 2

Additionally, contact can be defined between contact and target surfaces using a combination of PART / part assembly and component definitions, as illustrated below:

EDCGEN,NTS, N1,2,.3,.28 ! Generate node-to-surface contact
                        ! between component N1 and PART 2
EDCGEN,ESTS,1,4,.15,.15 ! Generate eroding surface-to-surface
                         ! contact between PART 1 and part assembly 4
EDCGEN,STS,1,1,.1,.1 ! Generate surface-to-surface contact
                     ! between PART 1 and itself

You can also use the EDCGEN command for defining contact between part assemblies as shown in the following sample input:

EDCGEN,STS,5,6,.3,.28 ! Generate surface-to-surface contact
                      ! between part assemblies 5 and 6

For the specialized case of single surface contact (ASSC, AG, ESS, and SS), no contact or target surface definitions are required. As explained later in this section, single surface contact is the most general type of contact definition as all external surfaces within a model can be in contact at any point during an analysis. The program will ignore any contact and target surfaces defined for single surface contact and will issue a warning message upon execution of the EDCGEN command. A typical command for single surface contact is presented below:

EDCGEN,ASSC,,,.34,.34 ! Generate automatic single surface
                      !  contact for the entire model

Note--When defining contact entities in an explicit analysis, no initial penetrations are allowed. Therefore, use great care when defining contact components.

Back To Top

STEP 3: Specifying Friction Coefficient Parameters

The frictional coefficient used for contact is determined from the static friction coefficient (FS), the dynamic friction coefficient (FD), and the exponential decay coefficient (DC). (FS, FD, and DC can be input on the EDCGEN command.) The frictional coefficient is assumed to be dependent on the relative velocity, Vrel, of the surfaces in contact:

The coefficient for viscous friction, VC (also input on EDCGEN), can be used to limit the friction force to a maximum. A limiting force is computed:

where Acont is the area of the segment contacted by the node in contact. The suggested value for VC is to use the yield stress in shear:

where σo is the yield stress of the contacted material.

In order to avoid undesirable oscillation in contact, e.g., for sheet forming simulation, a contact damping perpendicular to the contacting s

urfaces is applied. The contact damping coefficient is calculated as follows:

VDC is the viscous damping coefficient (input on EDCGEN command as percent of critical damping; e.g., VDC = 20 indicates 20%). ξcrit is determined in the following fashion by ANSYS LS-DYNA:

where

Back To Top

STEP 4: Specifying Additional Input

For eroding, rigid, tiebreak, and drawbead contact, additional information (fields V1-V4 on the EDCGEN command) may also be required. This information varies with contact type, as outlined below.

Eroding surface contacts (ENTS, ESS, and ESTS) are used when surfaces of solid elements fail and contact needs to be redefined with the remaining internal elements. For eroding contact, V1-V3 are defined as follows: the boundary condition symmetry option key (V1) determines whether a symmetry condition will be retained along a surface where elements fail; the interior erosion option key (V2) specifies whether erosion can subsequently occur along internal surfaces when the exterior surface fails; the adjacent material key (V3) determines whether solid element faces are included for erosion along free boundaries.

Rigid body contact (RNTR and ROTR) is normally used for multi-body dynamics. For rigid body contact, a user defined force deflection curve is used to resist penetration rather than a linear stiffness. Therefore, for rigid body contact, you must specify a data curve ID (V1), a force calculation method type (V2) applicable to the specified rigid contact option, and an unloading stiffness value (V3).

Tiebreak contact (TSTS and TNTS) is used to define contact failure when surfaces are ‘glued’ together. For both types of tiebreak contact, tensile (V1) and shear (V2) failure stresses are used to calculate the failure criterion and are required for input. For tiebreak nodes-to-surface contact, exponents for the normal force (V3) and the shear force (V4) can also be specified to define the failure criterion.

Drawbead contact (DRAWBEAD) is typically used in specialized cases to represent drawbeads, which help restrain a blank during drawing operations. In drawbead contact, you must input a load curve ID (V1), which gives the bending component of the restraining force as a function of drawbead displacement, and a drawbead depth (V3). You may optionally include a curve ID (V2), which gives the normal restraining force as a function of drawbead displacement and the number of equally spaced integration points (V4) along the drawbead.

Back To Top

STEP 5: Specifying Birth and Death Times

For each contact definition, you can specify a birth time and a death time by using fields BTIME and DTIME on the EDCGEN command. This allows you to activate contact at any time during the transient analysis, then deactivate it at a later time.

6.1.1. Listing, Plotting and Deleting Contact Entities

Once you define contact using the EDCGEN command, you can list, plot, or delete contact definitions. Use the EDCLIST command to list all currently defined contact entities. A sample listing is shown below. Each contact definition is given a contact entity reference number that can be used when plotting contact definitions.

CURRENT EXPLICIT DYNAMIC CONTACT DEFINITIONS
1 General Surface to Surface Contact Defined Between:
  Nodal contact Entity  N1
  And Nodal Target Entity  N2
  FS = 0.10000 FD = 0.08000 DC = 0.00000 VC = 0.00000 VDC = 0.0000

2 Automatic Single Surface Contact Defined For:
  All External Surfaces of Model
  FS = 0.20000 FD = 0.15000 DC = 0.00000 VC = 0.00000 VDC = 0.0000

You can use the EDPC command to select and plot contact entities. The plot will consist of nodes or elements, depending on the method that was used to define the contact surfaces (that is, components or parts). You can specify a minimum contact entity number, maximum contact entity number, and contact entity number increment by using the MIN, MAX, and INC fields of the EDPC command. Hence, by issuing the command EDPC,1,2,1 for the above listing, the defined entities for the STS and ASSC contact would be selected and plotted. It is important to note that for single surface contact definitions, all external surfaces in the model will be selected and plotted.

Note

EDPC selects the nodes and/or elements of the specified contact entities. Therefore, after plotting the contact entities, you must reselect all nodes and elements required for subsequent operations (such as SOLVE). Use the NSEL,ALL and ESEL,ALL commands (or other appropriate forms of these commands).

If contact has been incorrectly specified, you can delete it using the EDDC command. To delete a specific contact definition, issue the command EDDC,DELE,Ctype,Cont,Targ, where Ctype is the contact type and Cont and Targ are the contact and target parts or components for which contact has been defined. To delete all current contact definitions, issue the command EDDC,DELE,ALL.

You cannot delete contact specifications in a small restart analysis (EDSTART,2). However, you can use the EDDC command to deactivate (EDDC,DACT,Ctype,Cont,Targ) or reactivate (EDDC,RACT,Ctype,Cont,Targ) contact in a small restart. This capability is useful when you know at what stages in an analysis certain types of contact will occur. To use this feature you must define all contact specifications (EDCGEN command) in the new analysis, and you must perform at least one small restart. Once a contact specification is defined, you can deactivate it in a restart when it is not needed, and reactivate it in a later restart when it is needed. By considering contact only when it is needed, you can achieve significant CPU time savings. (Remember that if you delete contact in a new analysis using EDDC,DELE, its definition is removed from the database and you cannot reactivate it in a later restart.)

The EDDC command is not supported in an explicit dynamic full restart analysis (EDSTART,3). Thus, you cannot delete, deactivate, or reactivate contact specifications in a full restart that were defined in a previous analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 6. Contact Surfaces 		Up / Home Next
6.2. Contact Options


6.2. Contact Options

In order to adequately characterize the complex interaction between surfaces in an explicit dynamic analysis, twenty-four different contact types have been incorporated in the ANSYS LS-DYNA program (see the table below). With such a large number of contact options, it is extremely important for a user to have an understanding of each contact type so that the proper contact option can be used to realistically model a physical phenomenon. Therefore, in this section, each of the contact options available in the ANSYS LS-DYNA program will be discussed.

Table 6-1 Contact Types

 | Single surface | Nodes to surface | Surface to surface
General (Normal) | SS | NTS | STS, OSTS
Automatic | ASSC, AG, ASS2D | ANTS | ASTS
Rigid |  | RNTR | ROTR
Tied |  | TDNS | TDSS, TSES
Tied with failure |  | TNTS | TSTS
Eroding | ESS | ENTS | ESTS
Edge | SE |  |
Drawbead |  | DRAWBEAD |
Forming |  | FNTS | FSTS, FOSS

6.2.1. Definition of Contact Types

As shown in the columns of Table 6-1, you can choose from three basic contact types in the ANSYS LS-DYNA program: single surface contact, nodes-to-surface contact, and surface-to-surface contact.

  1. Single Surface Contact (SS, ASSC, AG, ASS2D, ESS, SE)

    Single surface contact is established when a surface of one body contacts itself or the surface of another body. In single surface contact, the ANSYS LS-DYNA program automatically determines which surfaces within a model may come into contact. Therefore, single surface contact is the simplest type to define because no contact or target surface definitions are required. When it is defined, single surface contact allows all external surfaces within a model to come into contact. This option can be very powerful for self-contact or large deformation problems when general areas of contact are not known beforehand. Unlike implicit modeling, where over-defining contact will significantly increase computation time, using single surface contact in an explicit analysis will cause only minor increases in CPU time. Most impact and crash-dynamic applications will require single surface contact to be defined. Since automatic general (AG) contact is very robust and includes shell edge (SE) contact as well as improved beam contact, it is recommended as the first choice for self contact and large deformation problems when the contact conditions are not easy to predict.

  2. Node-to-Surface Contact (NTS, ANTS, RNTR, TDNS, TNTS, ENTS, DRAWBEAD, FNTS)

    Node-to-surface contact is a contact type which is established when a contacting node penetrates a target surface. This type of contact is commonly used for general contact between two surfaces. Use the same rules as in ANSYS implicit to determine which surfaces are target or contact:

    • The flat or concave surface is the target. The convex surface is the contact surface.

    • The coarser mesh is the target surface. The finer mesh is the contact surface.

    In the case of Drawbead contact, the bead is always the nodal contact surface and the blank is always the target surface.

  3. Surface-to-Surface Contact (STS, OSTS, ASTS, ROTR, TDSS, TSTS, ESTS, FSTS, FOSS, TSES)

    Surface-to-surface contact is established when a surface of one body penetrates the surface of another body. Surface-to-surface contact is the most general type of contact as it is commonly used for bodies that have arbitrary shapes with relatively large contact areas. This type of contact is most efficient for bodies that experience large amounts of relative sliding, such as a block sliding on a plane or a sphere sliding within a groove.

6.2.2. Definition of Contact Options

For each of the three contact types, there are often several contact options available. In the ANSYS LS-DYNA program, the following options may be used:

  1. General (Normal) Contact (SS, NTS, STS, OSTS)

    Although the general contact options use the simplest contact algorithms, they still are used for a wide range of applications. In fact, the NTS and STS options are two of the three recommended options for ANSYS LS-DYNA. The primary advantage of using the general contact algorithms is that they are extremely fast and robust. The only concern when working with the general contact options deals with contact surface orientation. The contact surface orientation defines which side of a surface is solid and which side is ‘air'. When using solid elements, ANSYS LS-DYNA automatically sets the contact orientation correctly for the general contact options. For shell elements, however, you must set the contact surface orientation when using general contact. To do this, set the ORIE field of the EDCONTACT command to 2 to activate automatic reorientation of the contact surfaces. It is important to note, the reorientation will occur only if there is no initial penetration of the shell surface.

  2. Automatic Contact (ASSC, AG, ASS2D, ANTS, ASTS)

    Along with the general contact family, the automatic contact options are the most commonly used contact algorithms. The main difference between the automatic and general options is that the contact surface orientation for shell elements is automatically determined by the automatic contact algorithms. In automatic contact, checks are made for contact on both sides of shell elements. Therefore, the contact search depth is always limited. If this is considered to be the reason for breaking through a contact surface, try using general contact with an infinite or a large search depth. See Controlling Contact Depth later in this chapter.

  3. Eroding Contact (ESS, ENTS, ESTS)

    The eroding contact options are needed when the elements forming one or both exterior surfaces experience material failure during contact. Contact is allowed to continue with the remaining interior elements. Eroding contact should be used with solid elements in penetration problems and other applications which experience surface failure. When using eroding contact, a symmetry plane option (V1), an interior/exterior node erosion option (V2), and an adjacent material treatment option (V3) must be specified on the EDCGEN command.

  4. Rigid Contact (RNTR, ROTR)

    The rigid body contact options are similar to the general contact options NTS and OSTS except that, rather than using a linear stiffness to resist penetration, a user-defined force-deflection curve is used. These contacts are typically used for multi-body dynamics where all of the bodies are rigid. Rigid body contacts are beneficial because they can allow inclusion of energy absorption without the need for modeling deformable elements. However, rigid body contact (RNTR, ROTR) cannot be used with deformable bodies. The contact of a rigid body to a deformable body must be defined with general, automatic, or eroding options. For the rigid options, the data curve ID (V1), force calculation method (V2), and unloading option (V3) must be specified on the EDCGEN command.

  5. Tied Contact (TDNS, TDSS, TSES)

    The tied contact options actually 'glue' the contact nodes (surfaces) to the target surfaces. The contact and target surfaces must be initially coplanar so that during initialization, an isoparametric position of the contact node (surface) within the target segment is calculated. Thereafter, upon application of loads or initial velocities, the contact nodes (surfaces) are forced to maintain their isoparametric position within the target surface. The effect of tied contact is that the target surfaces can deform and the slave nodes are forced to follow that deformation. When defining tied contact, the body with the coarser mesh should always be defined as the target surface. Only translational degrees of freedom (UX, UY, and UZ) are affected by tied contact.

  6. Tiebreak (Tied with Failure) Contact (TNTS, TSTS)

    Tiebreak contact is identical to tied contact except that the contact nodes (surfaces) are tied to the target surfaces only until a failure criterion is reached. This is done by 'pinning' the contact nodes (surfaces) to the target using a penalty stiffness; after the failure criterion is exceeded, the contact nodes (surfaces) are allowed to slide relative to, or separate from, the target surface. The tiebreak contact options are typically used to represent spot-welded or bolted connections. The main difference between TNTS and TSTS is that the TSTS failure is based on a failure stress and the TNTS is based on a failure force. When using TSTS, the normal (V1) and shear (V2) failure stresses must be specified using the EDCGEN command. For the TNTS option, the normal (V1) and shear (V2) failure forces and normal (V3) and shear (V4) force exponents must be supplied using the EDCGEN command. Failure of the connection will occur when:

  7. Edge Contact (SE)

    The single edge contact option should be used when contact occurs orthogonal to the shell surface normal direction. This contact option does not require contact or target surface definitions. Single edge contact is often used in sheet metal applications which have their surface normals orthogonal to the impact direction.

  8. Drawbead Contact (DRAWBEAD)

    Drawbead Contact is typically used in metal forming operations in which special care must be taken to restrain the blank. During drawing and stamping simulations, it is common for the blank to lose contact with the forming surfaces. Drawbead contact, which allows implementation of bending and frictional restraining forces, helps to ensure that the blank will remain in contact the entire length of the drawbead depth.

    Figure 6.1 LS-DYNA Drawbead Representation

  9. Forming Contact (FNTS, FSTS, FOSS)

    The forming contact options are primarily used in metal forming applications. For these contact types, the tools and dies are typically defined as the target (master), while the workpiece is defined as the contact (slave) surface. Mesh connectivity is not required for the forming contact option, but the orientation of the tooling meshes must be in the same direction. The forming contact options are based on the Automatic contact types and are therefore very robust in metal forming applications.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.1. Contact Definitions 		Up / Home Next
6.3. Contact Search Methods


6.3. Contact Search Methods

There are two different contact search algorithms used by ANSYS LS-DYNA for determining which target surface is being contacted by which contact surface. These methods are outlined below:

6.3.1. Mesh Connectivity Tracking

In mesh connectivity tracking, the contact search algorithm uses shared nodes of neighboring element segments to identify possible sources of contact. Therefore, when a target segment is no longer in contact with a contact surface node, the neighboring segments are checked. The mesh connectivity method is beneficial because it is very fast, but has the disadvantage of requiring that the mesh must be continuous for the contact algorithm to work correctly. Therefore, you should specify different contact sets for distinct regions. The mesh connectivity method is used by the NTS, OSTS, TSTS, TNTS, and TDNS contact options. However, by setting the SHTK field of the EDCONTACT command to be positive, contact options NTS, OSTS, and TDNS will use the bucket sort method.

6.3.2. Bucket Sort Method

The bucket sort algorithm, which is used by all the contact options other than those specified above, divides the target surface region into cubes (buckets). Contacting nodes can contact any segment of the target surface in the same bucket or adjacent buckets. The bucket sort method is extremely robust, but can be somewhat slower than the mesh connectivity tracking method if the target surface contains a large number of elements.

6.3.3. Limiting the Contact Search Domain

You can limit the overall region for which a contact search will be executed by defining a contact box domain. When you specify a contact box, a contact search will only be performed within the volume specified by the coordinates of the box. An advantage of this feature is that it minimizes CPU time when you know the potential contact area of two bodies beforehand. The contact box option is only valid when defining contact with parts or part assemblies. The contact box is defined using the EDBX command.

EDBX,Option,BOXID,XMIN,XMAX,YMIN,YMAX,ZMIN,ZMAX

Option | ADD, DELETE, LIST
BOXID | User defined List ID number
XMIN | Minimum x coordinate
XMAX | Maximum x coordinate
YMIN | Minimum y coordinate
YMAX | Maximum y coordinate
ZMIN | Minimum z coordinate
ZMAX | Maximum z coordinate

Once defined, a BOXID can be used in the BOXID1 and BOXID2 fields of the EDCGEN command. BOXID1 corresponds to the contact box and BOXID2 corresponds to the target contact box.

EDCGEN,NTS,Cont,Targ, ... DTIME,BOXID1,BOXID2

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.2. Contact Options 		Up / Home Next
6.4. Special Considerations for Shells


6.4. Special Considerations for Shells

Modeling rigid bodies with shell elements requires special consideration. For the automatic nodes-to-surface (ANTS), automatic single surface (ASSC), automatic surface-to-surface (ASTS), and single surface (SS) contact definitions, shell thickness is taken into account for the contact formulation for both the determination of the contact surface as well as the search depth. Therefore, it is necessary to ensure that realistic thicknesses are specified for the rigid body shells. A thickness that is too small may result in the loss of contact, and a value that is too large may result in degradation of speed in the contact sorting algorithm. The shell thickness contact option field SHTK of the EDCONTACT command is ignored for the above contact types.

Setting the SHTK field of the EDCONTACT command to 1 or 2 has several affects on the NTS, STS, and OSTS contact options. The first is that the contact depth is directly computed (see the equations in Controlling Contact Depth) based on element thickness for shells and edge length for solids and cannot be controlled by the user. Second, as explained above, the contact search algorithm becomes Bucket Sort, so mesh connectivity is not necessary for the contact to work correctly.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.3. Contact Search Methods 		Up / Home Next
6.5. Controlling Contact Depth


6.5. Controlling Contact Depth

For the contact options STS, NTS, OSTS, TNTS, and TSTS, you must be sure that spurious contact is not defined between components in a model. For these contact types, a contact depth of 1 x 1010 (nearly infinite) is assumed by the ANSYS LS-DYNA program. Therefore, any time a contact node passes behind a target surface (or vice-versa), contact is defined and a force proportional to the contact depth is generated. In an explicit dynamic analysis, it is common for unwanted spurious contact to be defined because of the geometry of parts which may be in relative motion. In cases where the contact is not genuine, and the contact depth is relatively large, the contact forces can become large and cause the model to become unstable. For this reason, the ANSYS LS-DYNA program allows you to specify a maximum contact depth, beyond which the contact penetrations are considered spurious and will be ignored. To control the contact penetration distance, set the PENCHK field of the EDCONTACT command to a value of 1 or 2.

The PENCHK field discussed above controls penetration checking for all contact definitions in the model of types STS, NTS, OSTS, TNTS, and TSTS. You can change the penetration checking of each individual contact definition of these same types by using the EDSP command.

For all of the contact options other than STS, NTS, OSTS, TNTS, and TSTS, the contact penetration depth is automatically limited by the element thickness and cannot be adjusted by the user. The expressions for contact depth in shell and solid elements are listed below:

shell elements:

solid elements:

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.4. Special Considerations for Shells 		Up / Home Next
6.6. Contact Stiffness


6.6. Contact Stiffness

6.6.1. Choice of Penalty Factor

A stiffness relationship between two bodies must be established for contact to occur. Without a contact stiffness, bodies will pass through one another. The relationship is generated through an 'elastic spring' that is put between the two bodies, where the contact force is equal to the product of the contact stiffness (k) and the penetration (δ). The amount of penetration (δ), or incompatibility, between the two bodies is therefore dependent on the stiffness k. Ideally, there should be no penetration, but this implies that k = [image], which will lead to numerical instabilities. The value of k that is used depends on the relative stiffness of the bodies in contact. In the ANSYS LS-DYNA program, the contact stiffness is determined by the following relationships:

Area = area of contact segment
K = bulk modulus of contacted element
fs = penalty factor (0.1 by default)

In almost all cases, the contact stiffness parameter automatically determined by the ANSYS LS-DYNA program will provide excellent results. The contact stiffness, however, can be changed for all contact surfaces by entering a new value for the penalty factor, fs, with the SFSI field of the EDCONTACT command. In practice, increasing the value of SFSI above 0.1 will typically cause instabilities to occur.

6.6.2. Symmetry Stiffness

If the contact stresses of contact and target surfaces are badly mismatched due to large differences in material properties or element size, then instabilities or unrealistic behavior may arise. This can be avoided by adjusting the penalty stiffness option, PENO of the EDCONTACT command. For example, by setting PENO to 1, both the contact and target stiffnesses are taken into account and the least stresses of the surfaces are used.

If there are very large differences in the contact stiffnesses, the program scales them to closer values, overwriting user input for the scale factor.

Together with the related mass, a closed contact element is a spring-mass system for which the current stability criterion yields a critical time step in the explicit analysis. The program reports the least one of the time steps with a message. If the actual time step size used is larger than the one listed in this message, then you should scale the penalty value of the offending surface with the EDCONTACT command or reduce the actual time step size with the EDCTS command. If the difference between the two time steps is small, this approach may not be necessary.

In addition to using the SFI and PENO options of the EDCONTACT command to control penalty stiffness between contact surfaces, individual contact (slave) and target (master) stiffness values can be adjusted using the EDCMORE command. Unlike the EDCONTACT command, which is applied to all contact definitions within a model, the EDCMORE command allows the specification of additional contact parameters for a single contact surface specification. The Val1 and Val2 fields of the EDCMORE command can be used to adjust the slave and master penalty stiffnesses in cases where the default contact stiffness determined by the ANSYS LS-DYNA program is found to be inadequate.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.5. Controlling Contact Depth 		Up / Home Next
6.7. 2-D Contact Option


6.7. 2-D Contact Option

In order to define contact between PLANE162 elements, a specialized 2-D contact option exists in the ANSYS LS-DYNA program. The option, ASS2D, is a single surface contact option (similar to ASSC). Similar to the contact used for the 3-D elements, the ASS2D option is specified using the EDCGEN command:

EDCGEN,ASS2D,Cont,,FS,FD,DC, ... BTIME,DTIME

For 2-D contact, only part assemblies can be used to define the contact component. The only other fields used with the ASS2D option are FS, FD, DC, BTIME, and DTIME. All of the other fields of the EDCGEN command will be ignored for 2-D contact.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.6. Contact Stiffness 		Up / Home Next
Chapter 7. Material Models


Chapter 7. Material Models

ANSYS LS-DYNA includes over 40 material models that can be used to represent a wide range of material behavior. The available materials are listed below. The models and the procedure for using them are outlined in detail in the remainder of this chapter. For additional information on each material model, refer to Appendix B or to Chapter 16 of the LS-DYNA Theoretical Manual. (The LS-DYNA material number corresponding to each material model is shown in parentheses below, where applicable.)

Linear Elastic Models

  • Isotropic (#1)

  • Orthotropic (#2)

  • Anisotropic (#2)

  • Elastic Fluid (# 1)

Nonlinear Elastic Models

  • Blatz-Ko Rubber (#7)

  • Mooney-Rivlin Rubber (#27)

  • Viscoelastic (#6)

Nonlinear Inelastic Models

  • Bilinear Isotropic (#3)

  • Temperature Dependent Bilinear Isotropic (#4)

  • Transversely Anisotropic Elastic Plastic (#37)

  • Transversely Anisotropic FLD (# 39)

  • Bilinear Kinematic (#3)

  • Plastic Kinematic (#3)

  • 3-Parameter Barlat (#36)

  • Barlat Anisotropic Plasticity (#33)

  • Rate Sensitive Power Law Plasticity (#64)

  • Strain Rate Dependent Plasticity (#19)

  • Piecewise Linear Plasticity (rate dependent) (#24)

  • Modified Piecewise Linear Plasticity (rate dependent) (#123)

  • Composite Damage (#22)

  • Concrete Damage (#72)

  • Power Law Plasticity (#18)

  • Elastic Viscoplastic Thermal Model (#106)

Pressure Dependent Plasticity Models

  • Elastic-Plastic Hydrodynamic (# 10)

  • Geological Cap (# 25)

Foam Models

  • Closed Cell Foam (# 53)

  • Viscous Foam (# 62)

  • Low Density Foam (# 57)

  • Crushable Foam (# 63)

  • Honeycomb (# 26)

Models Requiring Equations of State

  • Bamman Plasticity (# 51)

  • Johnson-Cook Plasticity (# 15)

  • Null (# 9)

  • Zerilli-Armstrong (# 65)

  • Steinberg (# 11)

Discrete Element Models

  • Linear Elastic Spring

  • General Nonlinear Spring

  • Nonlinear Elastic Spring

  • Elastoplastic Spring

  • Inelastic Tension or Compression-Only Spring

  • Maxwell Viscosity Spring

  • Linear Viscosity Damper

  • Nonlinear Viscosity Damper

  • Cable (# 71)

Rigid Model

  • Rigid (# 20)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.7. 2-D Contact Option 		Up / Home Next
7.1. Defining Explicit Dynamics Material Models


7.1. Defining Explicit Dynamics Material Models

You define material models using the ANSYS commands MP, MPTEMP, MPDATA, TB, TBTEMP, and TBDATA, and the ANSYS LS-DYNA command EDMP. The next section, Explicit Dynamics Material Model Descriptions, describes how you define the individual material properties of each material model via commands.

Defining material models via the GUI is much more direct than doing so via commands:

  1. Choose menu path Main Menu> Preprocessor> Material Props> Material Models. The Define Material Model Behavior dialog box appears.

    Note

    If you do not first define an ANSYS LS-DYNA element type, you will not have access to the ANSYS LS-DYNA material models.

  2. In the Material Models Available window on the right, double-click on LS-DYNA, then on one of the material model categories: Linear, Nonlinear, Equation of State, Discrete Element Properties, or Rigid Material.

  3. Double-click on a material subcategory. For example, under the Nonlinear category, the subcategories are: Elastic, Inelastic, and Foam Material Models.

  4. Continue to double-click on any further material subcategories until a data input dialog box appears. The options that appear in this dialog box will be all of the individual material property options that are valid for the material model you have selected.

  5. Enter the desired values, and click on OK. The model that you defined is listed by model type and number in the Material Models Defined window on the left.

You can later edit the values by double-clicking on the material model listed on the left side in the Material Models Defined window until the associated data input dialog box appears. There, you can edit the data and click on OK again.

You can copy the contents of an existing material model by choosing Edit> Copy and specifying the new model number. The copied material model is listed on the left side in the Material Models Defined window with the new number. Its contents are identical to the model whose contents you copied.

You can delete a material model by clicking on the model number to highlight it, then choosing Edit> Delete.

For further information on defining materials using the GUI, see Material Model Interface in the Basic Analysis Guide. Also, see Using Tree Structures in the Operations Guide for information specifically on the tree structure layout of the material model interface.

If you define, edit, copy, or delete material models via the GUI, ANSYS will automatically issue the correct commands and write them to the log file.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 7. Material Models 		Up / Home Next
7.2. Explicit Dynamics Material Model Descriptions


7.2. Explicit Dynamics Material Model Descriptions

This section describes each material model in detail. Wherever “load curve ID” is mentioned as required input, you actually input a material data curve ID. Material data curves are defined using the EDCURVE command as outlined in "Loading". All applicable properties for a material model appear in that model’s dialog box when you are working interactively. The corresponding commands are provided here for when you are working in batch or command mode. Be sure to define all properties that are listed for the material model; do not define extraneous properties.

7.2.1. Linear Elastic Models

7.2.1.1. Isotropic Elastic Model

Isotropic material model. Use the MP command to input the required values:

MP,DENS - density
MP,EX - elastic modulus
MP,NUXY - Poisson’s ratio

For an example input listing, see Isotropic Elastic Example: High Carbon Steel.

7.2.1.2. Orthotropic Elastic Model

Orthotropic material model. Use the MP command to input the required values.

MP,DENS - density
MP,EX - elastic moduli (also EY, EZ); one value required
MP,NUXY - Minor Poisson’s ratio (also NUYZ, NUXZ); one value required or MP,PRXY - Major Poisson’s ratio (also PRYZ, PRXZ); one value required
MP,GXY - shear moduli (also GYZ and GXZ); one value required

If only one value is specified for a given material property family (i.e., EX), the other values will be automatically defined (e.g., EY = EZ = EX). To specify a material coordinate system, use the EDLCS and EDMP,ORTHO commands. If no material coordinate system is specified, material properties are locally orthotropic with material axes defined by nodes I, J, and L of the element (see the figure below). For a multi-layer composite laminate, use the TB,COMP command instead and specify the lamina (ply) properties as SHELL163 real constants. See Composite Damage Model for more information.

For an example input listing, see Orthotropic Elastic Example: Aluminum Oxide.

7.2.1.3. Anisotropic Elastic Model

This material description requires the full elasticity matrix. Because of symmetry, only 21 constants are required. This material is only valid for SOLID164 and SOLID168 elements.

Input density with MP. The constants are input in upper triangular form by means of the TB,ANEL command. To specify a material orientation axis, use the EDLCS and EDMP,ORTHO commands. If no material coordinate system is specified, material properties are locally orthotropic with material axes defined by nodes I, J, and L of the element (see figure of element coordinate system above).

MP,DENS - density
TB,ANEL
TBDATA, 1, C11, C12, C22, C13, C23, C33
TBDATA, 7, C14, C24, C34, C44, C15, C25
TBDATA, 13, C35, C45, C55, C16, C26, C36
TBDATA, 19, C46, C56, C66

When you list out the data table information [TBLIST] for this material type, the constants will be listed in lower triangular form [D] instead of upper triangular form [C]. This discrepancy is not a computational error; the material data is correctly transferred to the LS-DYNA program.

For an example input listing, see Anisotropic Elastic Example: Cadmium.

7.2.1.4. Elastic Fluid Model

Use this option to model containers filled with fluid that undergo dynamic impact loading. You input density using the MP command (DENS). Elastic fluid is then defined as a material type using the EDMP command:

MP,DENS
EDMP,FLUID,MAT,VAL1

The fluid model requires that the bulk modulus be specified. You can input the bulk modulus in the VAL1 field of the above command. As an alternative to inputting the bulk modulus directly using EDMP, you can input the elastic modulus (EX) and Poisson’s ratio (NUXY) using the MP command, and the program will calculate the bulk modulus as shown below.

MP,EX
MP,NUXY

If VAL1 (on EDMP), EX, and NUXY are all specified, VAL1 will be used as the bulk modulus.

7.2.2. Nonlinear Elastic Models

7.2.2.1. Blatz-Ko Rubber Elastic Model

The hyperelastic continuum rubber model defined by Blatz and Ko. This model uses the second Piola-Kirchhoff stress:

G is the shear modulus, V is the relative volume, ν is the Poisson’s ratio, Cij is the right Cauchy-Green strain tensor, and δij is the Kronecker delta. Use the MP command to input density (DENS) and shear modulus (GXY).

For an example input listing, see Blatz-Ko Example: Rubber.

7.2.2.2. Mooney-Rivlin Rubber Elastic Model

Incompressible rubber material model; nearly identical to the 2-parameter existing ANSYS Mooney-Rivlin model. The strain energy density function is defined in terms of input parameters C10, C01 and ν:

I1, I2, and I3 are invariants of the right Cauchy-Green Tensor.

Input Poisson’s ratio (ν) and density with the MP command. (For Poisson's ratio, a value greater than .49 is recommended; smaller values may not work.) Input the Mooney-Rivlin constants with the TB and TBDATA commands. Data at only one temperature is permitted and must be specified in locations 1 and 2 for the data table:

TB,MOONEY,,,,0
TBDATA, 1, C10
TBDATA, 2, C01

As an alternative to inputting C10 and C01 directly, you can set these constants to zero and supply tabulated uniaxial data via a load curve. The program will calculate the constants based on the experimental data input in locations 3-6 of the TBDATA command. To use this input method, you must set the TBOPT field of the TB command to 2:

TB,MOONEY,,,,2
TBDATA, 1, C10 (set to zero to use experimental data)
TBDATA, 2, C01 (set to zero to use experimental data)
TBDATA, 3, C3 (specimen gauge length L0)
TBDATA, 4, C4 (specimen gauge width)
TBDATA, 5, C5 (specimen thickness)
TBDATA, 6, C6 (load curve ID)

The load curve definition that provides the uniaxial data should give the change in gauge length ΔL versus the corresponding force. In compression, both the force and the change in gauge length must be specified as negative values. In tension, the force and change in gauge length should be input as positive values. The principal stretch ratio in the uniaxial direction, λ1, is then given by:

where L0 is the initial length and L is the actual length.

Alternatively, you can input the stress versus strain curve by setting the gauge length, thickness, and width equal to 1.0 and defining the engineering strain in place of the change in gauge length and the nominal (engineering) stress in place of the force.

The least squares fit to the experimental data is performed during the initialization phase of the solution in ANSYS LS-DYNA.

For an example input listing, see Mooney-Rivlin Example: Rubber.

7.2.2.3. Viscoelastic Model

Linear viscoelastic material model introduced by Herrmann and Peterson. The model assumes the deviatoric behavior:

where the shear relaxation modulus is given by:

In the model, elastic bulk behavior is assumed when calculating the incrementally integrated pressure from the volume, V: p = K ln V. The parameters [image] , G0 , K (Bulk modulus) and β are required to define the linear viscoelastic material model. Input these values with TB,EVISC and locations 46, 47, 48, and 61 of the TBDATA command:

TB,EVISC
TBDATA, 46, G0
TBDATA, 47,
TBDATA, 48, K
TBDATA, 61, 1/β

Note

For this material option, you must specify density (DENS) with the MP command.

For an example input listing, see Viscoelastic Example: Glass.

7.2.3. Nonlinear Inelastic Models

7.2.3.1. Bilinear Isotropic Model

Classical bilinear isotropic hardening model (strain rate independent) that uses two slopes (elastic and plastic) to represent the stress-strain behavior of a material. Specify the stress-strain behavior at only one temperature. (A temperature dependent model is also available; see Temperature Dependent Bilinear Isotropic Model.) Input elastic modulus (EX), Poisson’s ratio (NUXY), and density (DENS) with the MP command. The program calculates the bulk modulus (K) using the EX and NUXY values that you input. Input the yield strength and tangent slope with TB,BISO and locations 1 and 2 of the TBDATA command:

TB,BISO
TBDATA, 1, σY (yield stress)
TBDATA, 2, Etan (tangent modulus)

For an example input listing, see Bilinear Isotropic Plasticity Example: Nickel Alloy.

7.2.3.2. Temperature Dependent Bilinear Isotropic Model

Classical bilinear isotropic hardening model that is strain rate independent and uses two slopes (elastic and plastic) to represent the stress-strain behavior of a material. The stress-strain behavior can be specified at up to six different temperatures. If the stress-strain behavior is specified at only one temperature, the Bilinear Isotropic (which is both strain rate and temperature independent) material model is assumed. You can use this model to represent a thermo-elastic material by inputting a large value for yield strength.

Input density (DENS) with the MP command. (The density is temperature independent.) Input elastic modulus (EX), Poisson’s ratio (NUXY), and thermal expansion coefficient (ALPX) with the MPTEMP and MPDATA commands. (These properties are temperature dependent.) Input the yield strength and tangent slope with the TB,BISO,,NTEMP command, TBTEMP commands, and locations 1 and 2 of the TBDATA command. The yield strength and tangent modulus must be defined relative to the same temperature data that are used on the MPTEMP command.

MP,DENS
MPTEMP,1,TEMP1,TEMP2, . . . ,TEMPntemp
MPDATA,EX,,1,EX1, EX2, . . . ,EXntemp
MPDATA,NUXY,,1,NUXY1,NUXY2, . . . ,NUXYntemp
MPDATA,ALPX,,1,ALPX1,ALPX2, . . . ,ALPXntemp
TB, BISO,,NTEMP (NTEMP can be 2 to 6)
TBTEMP,TEMP1 (first temperature point)
TBDATA, 1, σY (yield stress)
TBDATA, 2, Etan (tangent modulus)
TBTEMP,TEMP2 (second temperature point)
TBDATA, 1, σY (yield stress)
TBDATA, 2, Etan (tangent modulus)
. . . (continue the pattern NTEMP times)
TBTEMP,TEMPntemp (last temperature point)
TBDATA, 1, σY (yield stress)
TBDATA, 2, Etan (tangent modulus)

Note

For this material model, you must supply data over a temperature range wide enough to cover the actual temperatures that will occur in the analysis. Otherwise, the analysis will terminate.

7.2.3.3. Transversely Anisotropic Hardening Model

Fully iterative anisotropic plasticity model available for shell and 2–D elements only. In this model the yield function given by Hill[3.] is reduced to the following for the case of plane stress:

where R is the anisotropic hardening parameter which is the ratio of the in-plane plastic strain rate, [image], to the out of plane plastic strain rate, [image]:

The stress-strain behavior can be specified at only one temperature. Input the elastic modulus (EX), density (DENS), and Poisson’s ratio (NUXY) with the MP command. Input the yield stress, tangent modulus, anisotropic hardening parameter, and a load curve ID for effective yield stress versus effective plastic strain with TB,PLAW,,,,7 and locations 1 - 4 of the TBDATA command:

TB,PLAW,,,,7
TBDATA, 1, σY (yield stress)
TBDATA, 2, Etan (tangent modulus)
TBDATA, 3, R (anisotropic hardening parameter)
TBDATA, 4, LCID (load curve ID for yield stress vs. plastic strain)

For an example input listing, see Transversely Anisotropic Elastic Plastic Example: 1010 Steel.

7.2.3.4. Transversely Anisotropic FLD Hardening Model

This material model is used for simulating the sheet metal forming of anisotropic materials. Only transversely anisotropic materials can be considered. For this model, the dependence of the flow stress with the effective plastic strain can be modeled using a defined load curve (using EDCURVE). In addition, you can define a forming limit diagram (also using EDCURVE). This diagram will be used by the ANSYS LS-DYNA program to compute the maximum strain ratio that the material can experience.

This plasticity model is only available for shell and 2-D elements. The model directly follows the plasticity theory introduced in the Transversely Anisotropic Elastic Plastic model described earlier in this section. You can refer to that model for the theoretical basis.

To utilize the Transversely Anisotropic FLD model, you must input the density (DENS), elastic modulus (EX), and Poisson's ratio (NUXY) with the MP command. As shown below, the additional input parameters are specified using TB,PLAW,,,,10 and locations 1-5 of the TBDATA command.

TB,PLAW,,,,10
TBDATA,1,σy (yield stress)
TBDATA,2,Etan (tangent modulus)
TBDATA,3,R (anisotropic hardening parameter)
TBDATA,4,LCID1 (load curve for defining effective stress vs. plastic strain)
TBDATA,5,LCID2 (load curve for defining FLD)

For an example input listing, see Transversely Anisotropic FLD Example: Stainless Steel.

7.2.3.5. Bilinear Kinematic Model

(strain rate independent)

Classical bilinear kinematic hardening model that uses two slopes (elastic and plastic) to represent the stress-strain behavior of a material. The stress-strain behavior can be specified at only one temperature. Input elastic modulus (EX), density (DENS), and Poisson’s ratio (NUXY) with the MP command. Input the yield strength and tangent slope with TB,BKIN and locations 1 and 2 of the TBDATA command:

TB,BKIN
TBDATA, 1, σY (yield stress)
TBDATA, 2, Etan (tangent modulus)

For an example input listing, see Bilinear Kinematic Plasticity Example: Titanium Alloy.

7.2.3.6. Plastic Kinematic Model

Isotropic, kinematic, or a combination of isotropic and kinematic hardening models with strain rate dependency and failure. Isotropic and kinematic contributions may be varied by adjusting the hardening parameter β between 0 (kinematic hardening only) and 1 (isotropic hardening only). Strain rate is accounted for using the Cowper-Symonds model which scales the yield stress by the strain rate dependent factor as shown below:

where σ0 is the initial yield stress, [image] is the strain rate, C and P are the Cowper-Symonds strain rate parameters, εpeff is the effective plastic strain, and Ep is the plastic hardening modulus which is given by

The stress-strain behavior can only be specified at one temperature. Input the elastic modulus (EX), density (DENS), and Poisson’s ratio (NUXY) with the MP command. Input the yield stress, tangent slope, hardening parameter, strain rate parameters C and P, and the failure strain with TB,PLAW,,,,1 and locations 1 - 6 of the TBDATA command:

TB,PLAW,,,,1
TBDATA, 1, σY (yield stress)
TBDATA, 2, Etan (tangent modulus)
TBDATA, 3, β (hardening parameter)
TBDATA, 4, C (strain rate parameter)
TBDATA, 5, P (strain rate parameter)
TBDATA, 6, εf (failure strain)

For an example input listing, see Plastic Kinematic Example: 1018 Steel.

7.2.3.7. 3-Parameter Barlat Model

Anisotropic plasticity model developed by Barlat and Lian[1.] used for modeling aluminum sheets under plane stress conditions. Both exponential and linear hardening rules are available. The anisotropic yield criterion for plane stress is defined as:

where σY is the yield stress, a and c are anisotropic material constants, m is Barlat exponent, and K1 and K2 are defined by:

where h and p are additional anisotropic material constants. For the exponential hardening option, the material yield strength is given by:

where k is the strength coefficient, ε0 is the initial strain at yield, εp is the plastic strain, and n is the hardening coefficient. All of the anisotropic material constants, excluding p which is determined implicitly, are determined from Barlat and Lian width to thickness strain ratio (R) values as shown:

c = 2 – a

The width to thickness strain ratio for any angle Φ can be calculated from:

Above, σφ is the uniaxial tension in the Φ direction. The stress-strain behavior can be specified at only one temperature. Input the elastic modulus (EX), density (DENS), and Poisson’s ratio (NUXY) with the MP command. Input the hardening rule type, HR (equal to 1 for linear or 2 for exponential), tangent modulus (for HR = 1) or strength coefficient (for HR = 2), yield stress (for HR = 1) or hardening coefficient (for HR = 2), the Barlat exponent, m, the width to thickness strain ratio values, R00, R45, and R90, and the orthotropic material axes with TB,PLAW,,,,3 and locations 1 - 8 of the TBDATA command:

TB,PLAW,,,,3
TBDATA, 1, HR (hardening rule type)
TBDATA, 2, Etan or k (tangent modulus or strength coefficient)
TBDATA, 3, σY or n (yield stress or hardening coefficient)
TBDATA, 4, m (Barlat exponent)
TBDATA, 5, R00
TBDATA, 6, R45
TBDATA, 7, R90
TBDATA,8,CSID (defines orthotropic material axes)

The last input item, CSID, has two valid values: 0 (default) and 2. If CSID = 0, the local coordinate system will be defined by nodes I, J, and L of the element:

If CSID = 2, material axes are determined by a local coordinate system specified with the EDLCS command (see the command description for the details of how the axes are oriented). Before specifying the material property, you must define the local coordinate system using EDLCS, and then issue EDMP,ORTHO,,VAL1, where VAL1 is the coordinate system ID from EDLCS.

For an example input listing, see 3 Parameter Barlat Example: Aluminum 5182.

7.2.3.8. Barlat Anisotropic Plasticity Model

Anisotropic plasticity model developed by Barlat, Lege, and Brem[2.] used for modeling material behavior in forming processes. The anisotropic yield function Φ is defined as:

where m is the flow potential exponent and Si are the principal values of the symmetric matrix Sij.

where a, b, c, f, g, and h represent the anisotropic material constants. When a=b=c=f=g=h=1, isotropic material behavior is modeled and the yield surface reduces to the Tresca surface for m = 1 and the von Mises surface for m = 2 or 4. For this material option, the yield strength is given by:

where k is the strength coefficient, εP is the plastic strain, ε0 is the initial strain at yield, and n is the hardening coefficient. The stress-strain behavior can be specified at only one temperature.

Input the elastic modulus (EX), density (DENS), and Poisson’s ratio (NUXY) with the MP command. Input the strength coefficient, the initial strain at yield, the hardening coefficient, the flow potential exponent, and the Barlat anisotropic constants a-h with TB,PLAW,,,,6 and locations 1 - 10 of the TBDATA command.

TB,PLAW,,,,6
TBDATA, 1, k (strength coefficient)
TBDATA, 2, ε0 (initial strain)
TBDATA, 3, n (hardening coefficient)
TBDATA, 4, m (flow potential (Barlat) exponent)
TBDATA, 5, a
TBDATA, 6, b
TBDATA, 7, c
TBDATA, 8, f
TBDATA, 9, g
TBDATA, 10, h

For an example input listing, see Barlat Anisotropic Plasticity Example: 2008-T4 Aluminum.

7.2.3.9. Rate Sensitive Power Law Plasticity Model

Strain rate dependent plasticity model typically used for superplastic forming analyses. The material model follows a Ramburgh-Osgood constitutive relationship of the form:

where ε is the strain, [image] is the strain rate, k is the material constant, m is the hardening coefficient, and n is the strain rate sensitivity coefficient. The stress-strain behavior can be specified at only one temperature. Input the elastic modulus (EX), density (DENS), and Poisson’s ratio (NUXY) with the MP command. Input the material constant, hardening coefficient, strain rate sensitivity coefficient, and initial strain rate with TB,PLAW,,,,4 and locations 1 - 4 of the TBDATA command:

TB,PLAW,,,,4
TBDATA, 1, k (material constant)
TBDATA, 2, m (hardening coefficient)
TBDATA, 3, n (strain rate sensitivity coefficient)
TBDATA, 4, [image] 0 (initial strain rate)

For an example input listing, see Rate Sensitive Powerlaw Plasticity Example: A356 Aluminum.

7.2.3.10. Strain Rate Dependent Plasticity Model

Strain rate dependent isotropic plasticity model used mainly for metal and plastic forming analyses.

In this model, a load curve is used to describe the initial yield strength, σ0, as a function of effective strain rate. The yield stress for this material model is defined as:

where σ0 is the initial yield strength, [image] is the effective strain rate, (εp)eff is the effective plastic strain, and Eh is given by:

The stress-strain behavior can be specified at only one temperature. Input the elastic modulus (EX), density (DENS), and Poisson’s ratio (NUXY) using the MP command. Input the load curve ID for defining the initial yield stress vs. effective strain rate, the tangent modulus, the load curve ID for defining the elastic modulus vs. effective strain rate (optional), the load curve ID for defining the tangent modulus vs. effective strain rate (optional), and the load curve ID for defining the von Mises stress at failure vs. effective strain rate using TB,PLAW,,,,5 and locations 1 - 5 of the TBDATA command. For shell elements, you have the option of specifying Mn Time in location 6, instead of LCID4 in location 5, to define failure of the material. Mn Time is the minimum time step size for automatic element deletion.

TB,PLAW,,,,5
TBDATA, 1, LCID1 (load curve ID for defining the initial yield stress vs. effective strain rate)
TBDATA, 2, Etan (tangent (plastic hardening) modulus)
TBDATA, 3, LCID2 (the load curve ID for defining the elastic modulus vs. effective strain rate)
TBDATA, 4, LCID3 (the load curve ID for defining the tangent modulus vs. effective strain rate)
TBDATA, 5, LCID4 (the load curve ID for defining von Mises stress at failure vs. effective strain rate)
TBDATA, 6, Mn Time (minimum time step size for automatic element deletion, for shell elements only)

For an example input listing, see Strain Rate Dependent Plasticity Example: 4140 Steel.

7.2.3.11. Piecewise Linear Plasticity Model

This model provides a multilinear elastic-plastic material option that allows stress vs. strain curve input and strain rate dependency. This is a very commonly used plasticity law, especially for steel. Failure based on plastic strain can also be modeled with this material.

The piecewise linear plasticity model provides three different methods to account for the strain rate. The first method utilizes the Cowper-Symonds model, which scales the yield stress as shown:

where [image] is the effective plastic strain rate, C and P are strain rate parameters, and [image] is the yield stress without considering strain rate. This yield stress quantity can be input as either σy and Etan (TBDATA entries 1 and 2) or as a total true stress vs. effective plastic strain curve, LCID1 (TBDATA entry 6).

The second method uses the LCID2 curve (TBDATA entry 7) to scale the yield stress with respect to strain rate. If LCID2 is input, it is used instead of the Cowper-Symonds scaling term defined by the strain rate parameters C and P.

The third method used to account for the strain rate dependency requires that you define separate stress vs. effective plastic strain curves at specific strain rates. Using TBDATA entries 8 - 27, you may input stress vs. effective plastic strain behavior for up to ten different strain rates (Rate1 and LCID3, Rate2 and LCID4, etc.). It is important that you input all strain rate definitions in ascending order. Note that if Rate1 and LCID3 are specified, TBDATA entries 4-7 (C, P, LCID1, and LCID2) are automatically ignored.

Input the elastic modulus (EX), density (DENS), and Poisson’s ratio (NUXY) with the MP command. Input the yield stress, the tangent modulus, the effective plastic strain at failure, and the remaining parameters (listed below) with TB,PLAW,,,,8 and locations 1 - 27 of the TBDATA command:

TB, PLAW,,,,8
TBDATA,1, σY (yield stress)
TBDATA,2, Etan (tangent modulus)
TBDATA,3, εF (effective plastic strain at failure)
TBDATA,4, C (strain rate parameter)
TBDATA,5, P (strain rate parameter)
TBDATA,6, LCID1 (load curve defining total true stress vs. effective plastic strain)
TBDATA,7, LCID2 (load curve that scales LCID1 with respect to strain rate)
TBDATA,8, Rate1 (strain rate value 1)
TBDATA,9, LCID3 (stress vs. effective plastic strain curve for Rate1)
TBDATA,10, Rate2 (strain rate value 2)
TBDATA,11, LCID4 (stress vs. effective plastic strain curve for Rate2)
TBDATA,12, Rate3 (strain rate value 3)
TBDATA,13, LCID5 (stress vs. effective plastic strain curve for Rate3)
TBDATA,14, Rate4 (strain rate value 4)
TBDATA,15, LCID6 (stress vs. effective plastic strain curve for Rate4)
TBDATA,16, Rate5 (strain rate value 5)
TBDATA,17, LCID7 (stress vs. effective plastic strain curve for Rate5)
TBDATA,18, Rate6 (strain rate value 6)
TBDATA,19, LCID8 (stress vs. effective plastic strain curve for Rate6)
TBDATA,20, Rate7 (strain rate value 7)
TBDATA,21, LCID9 (stress vs. effective plastic strain curve for Rate7)
TBDATA,22, Rate8 (strain rate value 8)
TBDATA,23, LCID10 (stress vs. effective plastic strain curve for Rate8)
TBDATA,24, Rate9 (strain rate value 9)
TBDATA,25, LCID11 (stress vs. effective plastic strain curve for Rate9)
TBDATA,26, Rate10 (strain rate value 10)
TBDATA,27, LCID12 (stress vs. effective plastic strain curve for Rate10)

If load curve LCID1 (total true stress vs. effective plastic strain) is input, the yield stress (σY) and tangent modulus (Etan) values will be overwritten. If LCID2 (the scaling curve) is input, strain rate parameters C and P will be overwritten. If C and P, LCID2, and Rate1 (first strain rate value) are all set to zero, strain rate dependency is ignored.

For an example input listing, see Piecewise Linear Plasticity Example: High Carbon Steel. See also Using Data Curves with Material Models for an example of how to input a true stress vs. effective plastic strain curve for this material model.

7.2.3.12. Modified Piecewise Linear Plasticity Model

This model provides a multilinear elastic-plastic material option that allows stress vs. strain curve input and strain rate dependency. This model is similar to piecewise linear plasticity (TB,PLAW,,,,8), but has an enhanced failure criteria. Failure is based on effective plastic strain, plastic thinning, or the major principal in-plane strain component (see TBDATA entries 8 - 10: EPSTHIN, EPSMAJ, and NUMINT).

The modified piecewise linear plasticity model uses the same three methods to account for the strain rate as the piecewise linear plasticity model (see Piecewise Linear Plasticity Model for details). To account for strain rate, do one of the following:

  • Input the strain rate parameters C and P (TBDATA entries 4 and 5) to use the Cowper-Symonds model.

  • Input the LCID2 curve (TBDATA entry 7) to scale the yield stress with respect to strain.

  • Define separate stress vs. strain curves for different strain rates (TBDATA entries 11 - 30).

Input the elastic modulus (EX), density (DENS), and Poisson’s ratio (NUXY) with the MP command. Input the remaining parameters with TB,PLAW,,,,11 and locations 1 - 30 of the TBDATA command:

TB, PLAW,,,,11
TBDATA,1, σY (yield stress)
TBDATA,2, Etan (tangent modulus)
TBDATA,3, εF (effective plastic strain at failure)
TBDATA,4, C (strain rate parameter)
TBDATA,5, P (strain rate parameter)
TBDATA,6, LCID1 (load curve defining total true stress vs. effective plastic strain)
TBDATA,7, LCID2 (load curve that scales LCID1 with respect to strain rate)
TBDATA,8, EPSTHIN (thinning plastic strain at failure)
TBDATA,9, EPSMAJ (major in-plane strain at failure)
TBDATA,10, NUMINT (number of through-thickness integration points that must fail for element failure)
TBDATA,11, Rate1 (strain rate value 1)
TBDATA,12, LCID3 (stress vs. effective plastic strain curve for Rate1)
TBDATA,13, Rate2 (strain rate value 2)
TBDATA,14, LCID4 (stress vs. effective plastic strain curve for Rate2)
TBDATA,15, Rate3 (strain rate value 3)
TBDATA,16, LCID5 (stress vs. effective plastic strain curve for Rate3)
TBDATA,17, Rate4 (strain rate value 4)
TBDATA,18, LCID6 (stress vs. effective plastic strain curve for Rate4)
TBDATA,19, Rate5 (strain rate value 5)
TBDATA,20, LCID7 (stress vs. effective plastic strain curve for Rate5)
TBDATA,21, Rate6 (strain rate value 6)
TBDATA,22, LCID8 (stress vs. effective plastic strain curve for Rate6)
TBDATA,23, Rate7 (strain rate value 7)
TBDATA,24, LCID9 (stress vs. effective plastic strain curve for Rate7)
TBDATA,25, Rate8 (strain rate value 8)
TBDATA,26, LCID10 (stress vs. effective plastic strain curve for Rate8)
TBDATA,27, Rate9 (strain rate value 9)
TBDATA,28, LCID11 (stress vs. effective plastic strain curve for Rate9)
TBDATA,29, Rate10 (strain rate value 10)
TBDATA,30, LCID12 (stress vs. effective plastic strain curve for Rate10)

If load curve LCID1 (total true stress vs. effective plastic strain) is input, the yield stress (σY) and tangent modulus (Etan) values will be overwritten. If LCID2 (the scaling curve) is input, strain rate parameters C and P will be overwritten. If C and P, LCID2, and Rate1 (first strain rate value) are all set to zero, strain rate dependency is ignored.

For an example input listing, see Modified Piecewise Linear Plasticity Example: PVC.

7.2.3.13. Composite Damage Model

Material model developed by Chang & Chang[4.] for the failure of composite materials. The following five parameters are used in the model:

S1 = longitudinal tensile strength
S2 = transverse tensile strength
S12 = shear strength
C2 = transverse compressive strength
α = nonlinear shear stress parameter

All parameters are determined experimentally. Input the elastic moduli (EX, EY, EZ), shear moduli (GXY, GYZ, GXZ), density (DENS), and Poisson’s ratios (NUXY, NUYZ, NUXZ) with the MP command. Input the bulk modulus at compressive failure, the shear strength, the longitudinal tensile strength, transverse tensile strength, transverse compressive strength, and nonlinear shear stress parameter with TB,COMP and locations 1 - 6 of the TBDATA command:

TB, COMP
TBDATA, 1, KFAIL (bulk modulus of material in compressive failure)
TBDATA, 2, S12 (shear strength)
TBDATA, 3, S1 (longitudinal tensile strength)
TBDATA, 4, S2 (transverse tensile strength)
TBDATA, 5, C2 (transverse compressive strength)
TBDATA, 6, α (nonlinear shear stress parameter)

Note

Please refer to the LS-DYNA Theoretical Manual for more details about LS-DYNA Material model #22 (Composite Damage). This material model is required for multi-layer composite laminates, even if the failure capabilities are not used. The lamina (ply) properties are specified as SHELL163 real constants.

7.2.3.14. Concrete Damage Model

The Concrete Damage model is used to analyze buried steel reinforced concrete subject to impact loadings. This model requires constants for the concrete and reinforced materials, and also requires tabulated equation of state constants. (Refer to Equation of State Models for a detailed description of the tabulated equation of state.) Input the density (DENS) and Poisson’s ratio (NUXY) with the MP command. Input all values shown below with the TB,CONCR,,,,2 command and locations 1 – 78 of the TBDATA command:

TB,CONCR,,,,2
TBDATA,1,σf (maximum principal stress for failure)
TBDATA,2,A0 (cohesion constant)
TBDATA,3,A1 (pressure hardening coefficient)
TBDATA,4,A2 (pressure hardening coefficient)
TBDATA,5,A0Y (cohesion for yield)
TBDATA,6,A1Y (pressure hardening coefficient for yield limit)
TBDATA,7,A2Y (pressure hardening coefficient for yield limit)
TBDATA,8,A1F (pressure hardening coefficient for failed material)
TBDATA,9,A2F (pressure hardening coefficient for failed material)
TBDATA,10,B1 (damage scale factor)
TBDATA,11,B2 (damage scale factor for uniaxial tension)
TBDATA,12,B3 (damage scale factor for triaxial tension)
TBDATA,13,PER (percent reinforcement)
TBDATA,14,Er (elastic moduli of reinforcement)
TBDATA,15,NUXYr (Poisson’s ratio of reinforcement)
TBDATA,16,σy (initial yield stress)
TBDATA,17,Etan (tangent modulus)
TBDATA,18,LCP (load curve ID giving rate sensitivity for principal material)
TBDATA,19,LCR (load curve ID giving rate sensitivity for reinforcement)
TBDATA,20-32,λ1-λ13 (tabulated damage functions 1-13)
TBDATA,33-45,η1-η13 (tabulated scale factors 1-13)
TBDATA,46,GAMA (temperature constant)
TBDATA,47,E0 (initial internal energy)
TBDATA,48,V0 (initial relative volume)
TBDATA,49-58,εv1-εv10 (volumetric strain data values 1-10; natural log of the relative volume)
TBDATA,59-68,C1-C10 (volumetric pressure values at εvi)
TBDATA,69-78,T1-T10 (temperature values at εvi)

7.2.3.15. Power Law Plasticity Model

Strain rate dependent plasticity model typically used for metal and plastic forming analyses. Elastoplastic behavior with isotropic hardening is provided with this model. The material model has a Power Law constitutive relationship which includes the Cowper-Symonds multiplier to account for strain rate:

where [image] is the strain rate, C and P are the Cowper-Symonds strain rate parameters, εe is the elastic strain to yield, [image] is the effective plastic strain, k is the strength coefficient, and n is the hardening coefficient. The stress-strain behavior can be specified at only one temperature. Input the elastic modulus (EX), density (DENS), and Poisson’s ratio (NUXY) with the MP command. Input the strength coefficient, hardening coefficient, and strain rate parameters C and P with TB,PLAW,,,,2 and locations 1 - 4 of the TBDATA command:

TB, PLAW,,,,2
TBDATA, 1, k (strength coefficient)
TBDATA, 2, n (hardening coefficient)
TBDATA, 3, C (strain rate parameter)
TBDATA, 4, P (strain rate parameter)

For an example input listing, see Powerlaw Plasticity Example: Aluminum 1100.

7.2.3.16. Elastic Viscoplastic Thermal Model

This material allows an elastic viscoplastic material definition with thermal effects. The uniaxial stress-stress-strain curve has the form:

where σ0 is the initial yield stress, εpeff is the effective plastic strain, and the other parameters are as described in the TBDATA input shown below.

Strain rate is accounted for using the Cowper and Symonds model (where C and P are the Cowper-Symonds strain rate parameters), which scales the yield stress with the factor:

To convert from these constants, set the viscoelastic constants, Vk and Vm, to the following values:

You must input density (DENS) using the MP command. You must also input the elastic modulus (EX), Poisson's ratio (NUXY), and the coefficient of thermal expansion (ALPX) by either using the MP command or by inputting load curves in locations 13, 14, and 18 of the TBDATA command. You can use the load curve input to represent each quantity as a function of temperature. Input the remaining parameters (described below) with the TB,PLAW,,,,12 command and locations 1 - 18 of the TBDATA command.

TB,PLAW,,,,12
TBDATA,1, σ0 (initial yield stress)
TBDATA,2, QR1 (isotropic hardening parameter)
TBDATA,3, CR1 (isotropic hardening parameter)
TBDATA,4, QR2 (isotropic hardening parameter)
TBDATA,5, CR2 (isotropic hardening parameter)
TBDATA,6, QX1 (kinematic hardening parameter)
TBDATA,7, CX1 (kinematic hardening parameter)
TBDATA,8, QX2 (kinematic hardening parameter)
TBDATA,9, CX2 (kinematic hardening parameter)
TBDATA,10, Vk (viscous parameter)
TBDATA,11, Vm (viscous parameter)
TBDATA,12, LCID1 (load curve ID for total true stress vs. effective plastic strain (if specified, TBDATA 2-9 are ignored))
TBDATA,13, LCID2 (load curve ID for elastic modulus vs. temperature)
TBDATA,14, LCID3 (load curve ID for Poisson's ratio vs. temperature)
TBDATA,15, LCID4 (load curve ID for initial yield stress vs. temperature; if input, σ0 is ignored)
TBDATA,16, LCID5 (load curve ID for scaling factor on isotropic hardening parameters (QR1 and QR2) vs. temperature)
TBDATA,17, LCID6 (load curve ID for scaling factor on kinematic hardening parameters (QX1 and QX2) vs. temperature)
TBDATA,18, LCID7 (load curve ID for thermal coefficient of expansion vs. temperature)

Note

If the total true stress vs. effective plastic strain is input (LCID1 in location 12 of TBDATA), then TBDATA locations 2-9 are ignored. Also, if LCID2, LCID3, or LCID7 is specified, then the corresponding MP command is ignored. (For example, LCID2 overrides the command MP,EX.)

For an example input listing, see Elastic Viscoplastic Thermal Example.

7.2.4. Pressure Dependent Plasticity Models

7.2.4.1. Elastic-Plastic Hydrodynamic Model

This model is used for modeling materials undergoing large amounts of strain, where the plastic behavior can either be defined from a set of data points or from the yield stress and tangent modulus. If the effective true plastic strain and effective true stress data values are not specified, the yield strength will be calculated as shown below (based on isotropic hardening):

You can calculate the plastic hardening modulus, Eh, in terms of the Young’s modulus and tangent modulus:

If the effective true plastic strain and stress values are specified, the stress-strain behavior is defined by the data points along the effective true stress vs. true plastic strain curve. Up to 16 data points may be specified. Linear extrapolation will be used if the strain values exceed the maximum input values; therefore, you should input values to cover the full range of strains expected in the analysis. Input the density (DENS), elastic modulus (EX), and shear modulus (GXY) with the MP command. Input the parameters described below with TB,PLAW,,,,9 and locations 1-45 of the TBDATA command:

TB,PLAW,,,,9
TBDATA,1, σ0 (initial yield stress)
TBDATA,2,Eh (hardening modulus)
TBDATA,3,PC (pressure cutoff value)
TBDATA,4, εf (failure strain)
TBDATA,5-20,ε1-ε16 (effective strain data curve values)
TBDATA,21-36,σ1-σ16 (effective stress data curve values)
TBDATA,37,Co (linear polynomial equation of state constant)
TBDATA,38,C1 (linear polynomial equation of state constant)
TBDATA,39,C2 (linear polynomial equation of state constant)
TBDATA,40,C3 (linear polynomial equation of state constant)
TBDATA,41,C4 (linear polynomial equation of state constant)
TBDATA,42,C5 (linear polynomial equation of state constant)
TBDATA,43,C6 (linear polynomial equation of state constant)
TBDATA,44,Eo (initial internal energy)
TBDATA,45,Vo (initial relative volume)

Note that constants 37 through 45 specified on the TBDATA command are the same as the linear polynomial equation of state model. Please refer to Equation of State Models later in this chapter for more details.

7.2.4.2. Geological Cap Model

This model is an inviscid, two invariant geologic cap model which can be used for geomechanical problems or for materials such as concrete. In this model, the two invariant cap theory is extended to include nonlinear kinematic hardening. A discussion of the extended cap model and its parameters is given below.

The cap model is formulated in terms of the invariants of the stress tensor. The square root of the second invariant of the deviatoric stress tensor, [image], is found from the deviatoric stresses (s) as

and is the objective scalar measure of the distortional or shearing stress. The first invariant of the stress, J1, is the trace of the stress tensor.

Figure 7.1 Surface of the Two-invariant Cap Model

The cap model consists of three surfaces in pressure [image] space, as shown in Figure 7.1: "Surface of the Two-invariant Cap Model". Surface f1 is the failure envelope, f2 is the cap surface, and f3 is the tension cutoff. The functional form of f1 is

where Fe is given by

and

This failure envelope surface is fixed in [image] space, and therefore does not harden unless kinematic hardening is present. Next, there is a cap surface f2 in the figure, with f2 given by

where Fc is defined by

X(κ) is the intersection of the cap surface with the J1 axis

and L(κ) is defined by

The hardening parameter κ is related to the plastic volume change [image] through the hardening law

Geometrically, κ is seen in the figure as the J1 coordinate of the intersection of the cap surface and the failure surface. Finally, there is the tension cutoff surface, denoted f3 in the figure. The function f3 is given by

where T is the input material parameter which specifies the maximum hydrostatic tension sustainable by the material. The elastic domain in [image] space is then bounded by the failure envelope surface above, the tension cutoff surface on the left, and the cap surface on the right.

Input the density (DENS) and shear modulus (GXY) with the MP command. Input the parameters described below with the TB,GCAP command and locations 1–13 of the TBDATA command.

TB,GCAP
TBDATA,1,K (bulk modulus)
TBDATA,2,α (failure envelope parameter)
TBDATA,3,θ (failure envelope linear coefficient)
TBDATA,4,γ (failure envelope exponential coefficient)
TBDATA,5,β (failure envelope exponent)
TBDATA,6,R (cap surface axis ratio)
TBDATA,7,D (hardening law exponent)
TBDATA,8,W (hardening law coefficient)
TBDATA,9,X0 (hardening law exponent)
TBDATA,10,C (kinematic hardening coefficient)
TBDATA,11,N (kinematic hardening parameter)
TBDATA,12,Ftype (formulation flag: use 1 for soil or concrete, 2 for rock )
TBDATA,13,Toff (tension cutoff value; Toff < 0, positive in compression)

Please refer to Material Model 25 in the LS-DYNA Theoretical Manual for more information about this material model.

For an example input listing, see Geological Cap Example: SRI Dynamic Concrete.

7.2.5. Foam Models

7.2.5.1. Closed Cell Foam Model

Rigid, closed cell, low density polyurethane foam material model often used for modeling impact limiters in automobile designs. This material model is very similar to the honeycomb model in that the components of the stress tensor are uncoupled until volumetric compaction is achieved. Unlike honeycomb, however, the closed cell foam model is isotropic in nature and includes the effects of confined air pressure. The material model defines stress to be:

where (σij)sk is the skeletal stress, po is the initial foam pressure, φ is the ratio of foam to polymer density, δij is the Kronecker delta, and γ is the volumetric strain which is defined by:

where V is the relative volume and γo is the initial volumetric strain. The yield condition is applied to the principal trial stresses and is defined by:

where a, b, and c are user defined input constants. The stress-strain behavior can be specified at only one temperature. Input the elastic modulus (EX) and density (DENS) with the MP command. Poisson’s ratio for this model is assumed to be zero. Input the yield stress constants a, b, and c, the initial foam pressure, the ratio of foam to polymer density, and the initial volumetric strain with TB,FOAM,,,,1 and locations 1 - 6 of the TBDATA command:

TB, FOAM,,,,1
TBDATA, 1, a
TBDATA, 2, b
TBDATA, 3, c
TBDATA, 4, po (initial foam pressure)
TBDATA, 5, φ (ratio of foam to polymer density)
TBDATA, 6, γo (initial volumetric strain)

7.2.5.2. Viscous Foam Model

Energy absorbing foam material used in crash-simulation models. The model consists of a nonlinear elastic stiffness in parallel with a viscous damper. The elastic stiffness is intended to limit total crush while the viscosity absorbs energy. The elastic stiffness, [image], and initial viscous coefficient, [image], are both nonlinear functions of the relative volume, V:

where E1 is the initial elastic stiffness, V2 is the initial viscous coefficient, and n1 and n2 are the Power Laws for the elastic stiffness and viscous coefficient, respectively. The stress-strain behavior can be specified at only one temperature. Input the initial elastic stiffness (EX), Poisson’s ratio (NUXY), and density (DENS) with the MP command. Input the Power Law for the elastic stiffness, the initial viscous coefficient, the elastic stiffness for viscosity (required to prevent time step problems), and the pearly for viscosity with TB,FOAM,,,,3 and locations 1 - 4 of the TBDATA command:

TB, FOAM,,,,3
TBDATA, 1, n1 (Power Law for the elastic stiffness)
TBDATA, 2, V2 (initial viscous coefficient)
TBDATA, 3, E1 (elastic stiffness for viscosity)
TBDATA, 4, n2 (Power Law for the viscous coefficient)

7.2.5.3. Low Density Foam Model

Highly compressible (urethane) foam material model often used for padded materials such as seat cushions. In compression, the model assumes hysteresis unloading behavior with possible energy dissipation. In tension the material model behaves linearly until tearing occurs. For uniaxial loading, the model assumes that there is no coupling in transverse directions. By using input shape factor controls (a hysteresis unloading factor (HU), a decay constant (β), and a shape factor for unloading) the observed unloading behavior of foams can be closely approximated. The stress-strain behavior can be specified at only one temperature. Input the elastic modulus (EX) and density (DENS) with the MP command. Input the load curve ID for nominal stress vs. strain, the tension cutoff (tearing) stress, the hysteresis unloading factor, the decay constant, the viscous coefficient, the shape factor for unloading, the failure option when the cutoff stress is reached, and the bulk viscosity action flag with TB,FOAM,,,,2 and locations 1 - 8 of the TBDATA command:

TB, FOAM,,,,2
TBDATA, 1, LCID (load curve ID for stress-strain behavior)
TBDATA, 2, TC (tension cutoff stress, default=1E20)
TBDATA, 3, HU (hysteretic unloading factor: between 1.0 - no energy dissipation (default) and 0.0 - full energy dissipation)
TBDATA, 4, β (decay constant)
TBDATA, 5, DAMP (viscous coefficient, values between 0.05 and 0.5 are recommended)
TBDATA, 6, SHAPE (shape unloading factor, default = 1)
TBDATA, 7, FAIL (failure option when cutoff stress is reached: 0.0 - tensile stress remains at cutoff value, 1.0 - tensile stress reset to zero)
TBDATA, 8, BVFLAG (bulk viscosity action flag: 0.0 - no bulk viscosity (recommended) and 1.0 - bulk viscosity active)

7.2.5.4. Crushable Foam Model

Material model used for crushable foams in side impact and other applications where cyclic behavior is unimportant. The foam model is strain rate dependent and crushes one-dimensionally with a Poisson’s ratio that is essentially zero. In the formulation, the elastic modulus is considered constant and the stress is updated assuming elastic behavior:

where [image] ij is the strain rate, E is the elastic modulus, and t is time. The model includes a tensile stress cutoff value which defines failure under tensile loads. For stresses below the tensile cutoff value, the model predicts similar response between tensile and compressive loading. It is important to have a nonzero value for the cutoff stress to prevent deterioration of the material under small tensile loads. Input the elastic modulus (EX), density (DENS), and Poisson’s ratio (NUXY) with the MP command. Input the load curve ID for defining stress vs. volumetric strain, the tension cutoff value, and the viscous damping coefficient with TB,FOAM,,,,4 and locations 1 - 3 of the TBDATA command:

TB, FOAM,,,,4
TBDATA, 1, LCID (load curve ID for defining yield stress vs. volumetric strain)
TBDATA, 2, TC (tension cutoff value)
TBDATA, 3, DAMP (viscous damping coefficient, values between 0.05 and 0.5 are recommended)

7.2.5.5. Honeycomb Foam Model

Orthotropic material model used for honeycomb materials. The behavior of the model before compaction is orthotropic where the components of the stress tensor are uncoupled. The elastic moduli are considered to vary linearly with relative volume as shown below:

where

and
V = the relative volume (defined as ratio of current to original volume)
Vf = relative volume of the fully compacted honeycomb

To specify a material coordinate system, use the EDLCS and EDMP,ORTHO commands. If no material coordinate system is specified, material properties are locally orthotropic with material axes defined by nodes I, J, and L of the element (see Orthotropic Elastic Model for a graphic depiction).

Load curves can be used to input the magnitude of the average stress as the relative volume changes. Each curve must have the same abscissa values. Curves can be defined either as a function of relative volume (V) or volumetric strain (1 - V). Input the elastic modulus (EX), density (DENS), and Poisson’s ratio (NUXY) with the MP command. Input all values shown below with TB,HONEY and locations 1 - 17 of the TBDATA command:

TB, HONEY
TBDATA, 1, σY (yield stress for fully compacted honeycomb)
TBDATA, 2, Vf (relative volume of fully compacted honeycomb)
TBDATA, 3, μ (material viscosity coefficient, default = 0.05)
TBDATA, 4, Eaau (Elastic modulus in aa direction for uncompressed configuration)
TBDATA, 5, Ebbu (Elastic modulus in bb direction for uncompressed configuration)
TBDATA, 6, Eccu (Elastic modulus in cc direction for uncompressed configuration)
TBDATA, 7, Gabu (Shear modulus in ab direction for uncompressed configuration)
TBDATA, 8, Gbcu (Shear modulus in bc direction for uncompressed configuration)
TBDATA, 9, Gcau (Shear modulus in ca direction for uncompressed configuration)
TBDATA, 10, LCA (Load curve ID for aa direction stress vs. relative volume or volumetric strain)
TBDATA, 11, LCB (Load curve ID for bb direction stress vs. relative volume or volumetric strain)
TBDATA, 12, LCC (Load curve ID for cc direction stress vs. relative volume or volumetric strain)
TBDATA, 13, LCS (Load curve ID for shear yield vs. relative volume or volumetric strain)
TBDATA, 14, LCAB (Load curve ID for ab direction stress vs. relative volume or volumetric strain)
TBDATA, 15, LCBC (Load curve ID for bc direction stress vs. relative volume or volumetric strain)
TBDATA, 16, LCCA (Load curve ID for ca direction stress vs. relative volume or volumetric strain)
TBDATA, 17, LCRS (Load curve ID for strain rate effects. This input is optional. The curves defined above are scaled using this curve)

7.2.6. Equation of State Models

There are 3 different equation of state models available in ANSYS LS-DYNA:

Linear polynomial
Gruneisen
Tabulated

These equation of state models are used in conjunction with certain material models, such as the Johnson-Cook Plasticity and Zerilli-Armstrong models. You identify the equation of state to be used by inputting the appropriate number in the EOSOPT field of the TB command.

7.2.6.1. Linear Polynomial Equation of State

(EOSOPT = 1)

This equation of state is linear in internal energy. The pressure is given by:

where terms C2μ2 and C6μ2 are set to zero if [image] and [image] is the ratio of current density to initial density.

Input the required constants using the TBDATA command. The starting location (LOC) for the constants depends on which material model you are using. (See the description for the specific material model to find out what starting location value should be used.)

TBDATA,LOC,C0
TBDATA,LOC+1,C1
TBDATA,LOC+2,C2
TBDATA,LOC+3,C3
TBDATA,LOC+4,C4
TBDATA,LOC+5,C5
TBDATA,LOC+6,C6
TBDATA,LOC+7,E0 (initial internal energy)
TBDATA,LOC+8,V0 (initial relative volume)

7.2.6.2. Gruneisen Equation of State

(EOSOPT = 2)

This equation of state defines the pressure volume relationship in one of two ways, depending on whether the material is compressed or expanded.

The Gruneisen equation of state with cubic shock velocity-particle velocity defines pressure for compressed materials as:

and for expanded materials as:

where C is the intercept of the vs-vp curve; S1, S2, and S3 are the coefficients of the slope of the vs-vp curve, γ0 is the Gruneisen gamma, a is the first order volume correction to γ0, and

Input the required constants using the TBDATA command. The starting location (LOC) for the constants depends on which material model you are using. (See the description for the specific material model to find out what starting location value should be used.)

TBDATA,LOC,C
TBDATA,LOC+1,S1
TBDATA,LOC+2,S2
TBDATA,LOC+3,S3
TBDATA,LOC+4,γ0
TBDATA,LOC+5,A
TBDATA,LOC+6,E0 (initial internal energy)
TBDATA,LOC+7,V0 (initial relative volume)

7.2.6.3. Tabulated Equation of State

(EOSOPT = 3)

The tabulated equation of state model is linear in internal energy. Pressure is defined by:

Input the required constants using the TBDATA command. The starting location (LOC) for the constants depends on which material model you are using. (See the description for the specific material model to find out what starting location value should be used.)

TBDATA,LOC,GAMA (temperature constant)
TBDATA,LOC+1,E0 (initial internal energy)
TBDATA,LOC+2,V0 (initial relative volume)
TBDATA,LOC+3 to LOC+12,εv1-εv10 (volumetric strain data values 1-10, natural log of the relative volume)
TBDATA,LOC+13 to LOC+22,C1-C10 (volumetric pressure values at εvi)
TBDATA,LOC+23 to LOC+32,T1-T10 (temperature values at εvi)

7.2.6.4. Bamman Plasticity Model

This is a fairly complex material model used in metal forming processes with strain rate and temperature dependent plasticity. The Bamman model does not require an additional equation of state model (EOSOPT is not used) because internal equation of state variables are specified in fields 21 through 26 of the TBDATA command (as shown below).

Input the density (DENS), elastic modulus (EX) and Poisson's ratio (NUXY) with the MP command. Input the parameters described below with TB,EOS and locations 1-26 of the TBDATA command:

TB,EOS,,,,4
TBDATA,1,TI (initial temperature)
TBDATA,2,HC (heat generation coefficient)
TBDATA,3-20,C1-C18 (constants for flow stress)
TBDATA,21-26,A1-A6 (internal equation of state variables)

For a complete discussion of the kinematics associated with this model, as well as a more detailed description of the required input constants, refer to the description of Material Model 51 in Chapter 16 of the LS-DYNA Theoretical Manual.

7.2.6.5. Johnson-Cook Plasticity Model

This model, also called the viscoplastic model, is a strain-rate and adiabatic (heat conduction is neglected) temperature-dependent plasticity model. This model is suitable for problems where strain rates vary over a large range, and temperature changes due to plastic dissipation cause material softening. The model may be used for shell and solid elements. For solid elements, you need an equation of state (discussed later in this section).

Johnson and Cook express the flow stress as

where:

A, B, C, n, and m = material constant
p = effective plastic strain

The strain at fracture is given by:

Where σ* is the ratio of pressure divided by effective stress:

Fracture occurs when the damage parameter

reaches the value of 1.

Input the Young’s modulus (EX), density (DENS), and Poisson’s ratio (NUXY) with the MP command. Input the parameters described in the above equations with TB,EOS and locations 1 - 15 of the TBDATA command:

TB,EOS,,,,1,EOSOPT
TBDATA,1,A
TBDATA,2,B
TBDATA,3,n
TBDATA,4,C
TBDATA,5,m
TBDATA,6,Tmelt
TBDATA,7,Troom
TBDATA,8, [image] * (effective plastic strain rate)
TBDATA,9,CP (specific heat)
TBDATA,10,pressure cutoff
TBDATA,11,D1
TBDATA,12,D2
TBDATA,13,D3
TBDATA,14,D4
TBDATA,15,D5

When using the Johnson-Cook Plasticity Model, you can define one of three types of equations of state: Linear Polynomial (EOSOPT = 1), Gruneisen (EOSOPT = 2), and Tabulated (EOSOPT = 3). Each has its own set of required constants that are input starting with position (LOC) 16 of the TBDATA command. See the descriptions of the three equation of state models in Equation of State Models.

For an example input listing using the Linear Polynomial EOS, see Johnson-Cook Linear Polynomial EOS Example: 1006 Steel.

For an example input listing using the Gruneisen EOS, see Johnson-Cook Gruneisen EOS Example: OFHC Copper.

7.2.6.6. Null Material Model

This material allows equations of state to be considered without computing deviatoric stresses. Optionally, you can define a viscosity. Erosion in tension and compression is possible. The Young’s modulus and Poisson’s ratio are used only for setting the contact interface stiffness, so you should use reasonable values.

Input the Young’s modulus (EX), density (DENS), and Poisson’s ratio (NUXY) with the MP command. Input the parameters listed below with TB,EOS and locations 1 - 4 of the TBDATA command:

TB, EOS,,,,2, EOSOPT
TBDATA, 1, Pressure Cutoff ( [image] 0.0)
TBDATA, 2, Viscosity Coefficient (optional)
TBDATA, 3, Relative volume for erosion in tension (V/Vo)
TBDATA, 4, Relative volume for erosion in compression (V/Vo)

When using the Null Model, you can define one of three types of equations of state: Linear Polynomial (EOSOPT = 1), Gruneisen (EOSOPT = 2), and Tabulated (EOSOPT = 3). Each has its own set of required constants that are input starting with position (LOC) 16 of the TBDATA command. See the descriptions of the three equation of state models in Equation of State Models.

For an example input listing using the Linear Polynomial EOS, see Null Material Linear Polynomial EOS Example: Brass.

For an example input listing using the Gruneisen EOS, see Null Material Gruneisen EOS Example: Aluminum.

7.2.6.7. Zerilli-Armstrong Model

This model is used in metal forming processes and high speed impact applications where the stress depends on strain, strain rate, and temperature. The Zerilli-Armstrong model expresses the yield stress as follows.

For FCC Metals:

and for BCC Metals:

where:

and the relationship between heat capacity and temperature is given by:

Cp = G1 + G2T + G3T2 + G4T3

An equation of state must also be defined with the Zerilli-Armstrong model.

Input the density (DENS), elastic modulus (EX) and Poisson’s ratio (NUXY) with the MP command. Input the parameters described below with TB,EOS and locations 1-19 of the TBDATA command:

TB,EOS,,,,3,EOSOPT
TBDATA,1,εo (initial strain)
TBDATA,2,N (strain exponent for BCC metals)
TBDATA,3,Troom (room temperature)
TBDATA,4,PC (pressure cutoff value)
TBDATA,5,SPALL (Spall type. Set SPALL = 1.0 to use minimum pressure limit; SPALL = 2.0 to use maximum principal stress; SPALL = 3.0 to use minimum pressure cutoff.)
TBDATA,6,C1 (flow stress coefficient)
TBDATA,7,C2 (flow stress coefficient)
TBDATA,8,C3 (flow stress coefficient)
TBDATA,9,C4 (flow stress coefficient)
TBDATA,10,C5 (flow stress coefficient)
TBDATA,11,C6 (flow stress coefficient)
TBDATA,12,εFAIL (failure strain)
TBDATA,13,B1 (temperature coefficient)
TBDATA,14,B2 (temperature coefficient)
TBDATA,15,B3 (temperature coefficient)
TBDATA,16,G1 (heat capacity coefficient)
TBDATA,17,G2 (heat capacity coefficient)
TBDATA,18,G3 (heat capacity coefficient)
TBDATA,19,G4 (heat capacity coefficient)

When using the Zerilli-Armstrong Model, you can define one of three types of equations of state: Linear Polynomial (EOSOPT = 1), Gruneisen (EOSOPT = 2), and Tabulated (EOSOPT = 3). Each has its own set of required constants that are input starting with position (LOC) 20 of the TBDATA command. See the descriptions of the three equation of state models in Equation of State Models.

7.2.6.8. Steinberg Model

This material model is used for modeling high strain rate effects in solid elements with failure. The yield strength is a function of both temperature and pressure. The model must be defined with an equation of state.

The Steinberg material model was originally developed for treating plasticity at very high strain rates (105 s-1) where the influence of strain rate variation on the material's yield stress begins to saturate out. In this model, the shear modulus (G) and the yield strength (σy) both increase with pressure but decrease with temperature. Both G and σy approach zero as the melting temperature of the material is reached.

In this model, the shear modulus before the material melts is defined by:

where Go, b, h, and f are experimentally determined material constants, p is the pressure, V is the relative volume, and Ec is the cold compression energy:

and Em is the melting energy:

which is in terms of the melting temperature Tm(x):

and the melting temperature at ρ = ρo, Tmo.

In the above equations, [image] is defined by

where R is the gas constant and A is the atomic weight. If [image] is not defined, LS-DYNA computes it with R in the cm-gram-microsecond system of units.

The yield strength is given by:

if Em exceeds Ei. Here, [image] is given by:

where εi is the initial plastic strain. Whenever [image] exceeds σm, [image] is set equal to σm. After the material melts, σy and G are set to one half their initial values.

If the coefficients EC0-EC9 are not defined in the input, LS-DYNA will fit the cold compression energy to a ten term polynomial expansion either as a function of μ or η, depending on the input variable FLAG:

where ECi is the ith coefficient, and:

A linear least squares method is used to perform the fit.

A choice of three spall models is offered to represent material splitting, cracking, and failure under tensile loads. The pressure limit model, SPALL = 1, limits the hydrostatic tension to the specified value, pcut. If pressures more tensile than this limit are calculated, the pressure is reset to pcut. This option is not strictly a spall model, since the deviatoric stresses are unaffected by the pressure reaching the tensile cutoff, and the pressure cutoff value, pcut, remains unchanged throughout the analysis. The maximum principal stress spall model, SPALL = 2, detects spall if the maximum principal stress, σmax, exceeds the limiting value -pcut. Note that the negative sign is required because pcut is measured positive in compression, while σmax is positive in tension. Once spall is detected with this model, the deviatoric stresses are reset to zero, and no hydrostatic tension (p < 0) is permitted. If tensile pressures are calculated, they are reset to 0 in the spalled material. Thus, the spalled material behaves as a rubble or incohesive material. The hydrostatic tension spall model, SPALL = 3, detects spall if the pressure becomes more tensile than the specified limit, pcut. Once spall is detected the deviatoric stresses are reset to zero, and nonzero values of pressure are required to be compressive (positive). If hydrostatic tension (p < 0) is subsequently calculated, the pressure is reset to 0 for that element.

Input the shear modulus (GXY) and density (DENS) with the MP command. Input the parameters described in the above equations with TB,EOS and locations 1–28 of the TBDATA command.

TB,EOS,,,5,EOSOPT
TBDATA,1,σo (initial yield stress)
TBDATA,2,β (hardening coefficient)
TBDATA,3,n (hardening parameter)
TBDATA,4,εi (initial plastic strain)
TBDATA,5,σm (maximum yield stress)
TBDATA,6,b (shear modulus parameter)
TBDATA,7,b' (Steinberg yield strength parameter)
TBDATA,8,h (Steinberg yield strength parameter)
TBDATA,9,f (Steinberg exponential coefficient)
TBDATA,10,A (atomic weight)
TBDATA,11,Tmo (absolute melting temperature)
TBDATA,12,γo (melting temperature parameter)
TBDATA,13,a (melting temperature parameter)
TBDATA,14,PC (pressure cutoff, pcut)
TBDATA,15,SPALL (Spall type. Set SPALL = 1 to use the pressure limit spall model; set SPALL = 2 to use the maximum principal stress spall model; set SPALL = 3 to use the hydrostatic tension spall model.)
TBDATA,16,FLAG (cold compression energy flag)
TBDATA,17,MMN (minimum bulk modulus)
TBDATA,18,MMX (maximum bulk modulus)
TBDATA,19-28,EC0-EC9 (cold compression energy constants)

When using the Steinberg Model, you can define one of three types of equations of state: Linear Polynomial (EOSOPT = 1), Gruneisen (EOSOPT = 2), and Tabulated (EOSOPT = 3). Each has its own set of required constants that are input starting with position (LOC) 29 of the TBDATA command. See the descriptions of the three equation of state models in Equation of State Models.

For an example input listing using the Gruneisen EOS, see Steinberg Gruneisen EOS Example: Stainless Steel.

7.2.7. Discrete Element Models

7.2.7.1. Linear Elastic Spring Model

This model provides a translational or rotational elastic spring located between two nodes. Input the spring elastic stiffness with the TB,DISCRETE,,,,0 and location 1 of the TBDATA command:

TB,DISCRETE,,,,0
TBDATA,1,KE (Elastic stiffness (force/displacement) or (moment/rotation))

7.2.7.2. General Nonlinear Spring Model

This model provides general nonlinear translational or rotational spring with arbitrary loading and unloading definitions located between two nodes. Hardening and softening can be defined. Input the model parameters with the TB,DISCRETE,,,,5 and locations 1 to 5 of the TBDATA command:

TB,DISCRETE,,,,5
TBDATA,1,LCDL (Load curve ID describing force vs. displacement or moment vs. rotation relationship for loading)
TBDATA,2,LCDU (Load curve ID describing force vs. displacement or moment vs. rotation relationship for unloading)
TBDATA,3,BETA (Hardening parameter)
TBDATA,4,TYI (Initial yield force in tension (= 0: Tensile and compressive yield with strain softening; ≠ 0: Kinematic hardening without strain softening; = 1: Isotropic hardening without strain softening.))
TBDATA,5,CYI (Initial yield force in compression (< 0))

7.2.7.3. Nonlinear Elastic Spring Model

This model provides nonlinear elastic translational or rotational spring with arbitrary force/displacement or moment/rotation dependency. Input the model parameters with the TB,DISCRETE,,,,3 and locations 1 and 2 of the TBDATA command:

TB,DISCRETE,,,,3
TBDATA,1,LCID (Load curve ID (force/displacement or moment/rotation))
TBDATA,2,LCR (Optional load curve ID describing scale factor on force or moment as a function of relative velocity or rotational velocity, respectively.)

7.2.7.4. Elastoplastic Spring Model

This model provides elastoplastic translational or rotational spring with isotropic hardening located between two nodes. Input the spring elastic stiffness, tangent stiffness and yield force with the TB,DISCRETE,,,,2 and locations 1 to 3 of the TBDATA command:

TB,DISCRETE,,,,2
TBDATA,1,KP (Elastic stiffness (force/displacement) or (moment/rotation))
TBDATA,2,KT (Tangent Stiffness (force/displacement or moment/rotation))
TBDATA,3,FY (Yield (force) or (moment))

7.2.7.5. Inelastic Tension- or Compression-Only Spring Model

This model provides an inelastic tension or compression only, translational or rotational spring located between two nodes. Optionally, the user can define unloading stiffness instead of the maximum loading stiffness. Input the model parameters with the TB,DISCRETE,,,,7 and locations 1 to 3 of the TBDATA command:

TB,DISCRETE,,,,7
TBDATA,1,LCFD (Load curve ID describing arbitrary force/torque vs. displacement/twist relationship. Must be defined in the positive force-displacement quadrant, regardless of whether the spring acts in tension or compression.)
TBDATA,2,KU (Unloading stiffness. The maximum of KU and the maximum loading stiffness in the force/displacement or the moment/twist curve is used for unloading.)
TBDATA,3,CTF (Compression or tension indicator: – 1.0 is tension only, 0.0 is compression only (default), 1.0 is compression only.)

7.2.7.6. Maxwell Viscosity Spring Model

This model provides a three parameter Maxwell viscoelastic translational or rotational spring located between two nodes. Optionally, a cutoff time with a remaining force/moment can be defined. Input the model parameters with the TB,DISCRETE,,,,6 and locations 1 to 6 of the TBDATA command:

TB,DISCRETE,,,,6
TBDATA,1,Ko (Short time stiffness)
TBDATA,2,KI (Long time stiffness)
TBDATA,3,BETA (Decay parameter)
TBDATA,4,TC (Cutoff time, after which a constant force/moment is transmitted)
TBDATA,5,FC (Force/moment after cutoff time)
TBDATA,6,COPT (Time implementation option)

7.2.7.7. Linear Viscosity Damper Model

This model provides linear translational or rotational damper located between two nodes. Input the damping constant with the TB,DISCRETE,,,,1 and location 1 of the TBDATA command:

TB,DISCRETE,,,,1
TBDATA,1,DC (Damping constant (force/displacement rate) or (moment/rotation rate))

7.2.7.8. Nonlinear Viscosity Damper Model

This model provides a nonlinear damping spring with arbitrary force/velocity or moment/rotational velocity dependency located between two nodes. The load curve must define the response in the negative and positive quadrants and pass through point (0, 0). Input load curve ID with the TB,DISCRETE,,,,4 and location 1 of the TBDATA command:

TB,DISCRETE,,,,4
TBDATA,1,LCID (Load curve ID describing force vs. rate-of-displacement relationship or moment vs. rate-of-rotation relationship. The load curve must define the response in the negative and positive quadrants and pass through point (0, 0). )

7.2.7.9. Cable Model

Use this model to realistically model elastic cables. No force will develop in compression. The force, F, generated by the cable is nonzero if and only if the cable is in tension. The force is given by:

F = K x max(ΔL,0.)

where ΔL is the change in length

ΔL = current length - (initial length - offset)

and the stiffness is defined as:

The area and offset are defined by means of the real constants for LINK167. For a slack cable, the offset should be a negative length. For an initial tensile force, the offset should be positive. If a load curve is specified, Young’s modulus is ignored and the load curve is used instead. The points on the load curve are defined as engineering stress versus engineering strain, i.e., the change in length over the initial length.

Use the MP and EDMP commands to input the required values:

MP,DENS
MP,EX
EDMP,CABLE,MAT,Load Curve ID

For an example input listing, see Cable Material Example: Steel.

7.2.8. Other Models

7.2.8.1. Rigid Model

Rigid bodies are defined for a material type using the command EDMP. For example, to define a rigid body for material 2, issue: EDMP,RIGID,2. All elements defined with the specified material number are then considered to be part of that rigid body. This material number, along with the element type and real constant type numbers of the elements, will define the PART ID of the rigid body. This PART ID can then be used to define loads and constraints to the rigid body (as described in "Loading"). Elements within a rigid body do not have to be linked by mesh connectivity. Therefore, to represent more than one independent rigid body in a model, multiple rigid material types must be specified. Two independent rigid bodies, however, cannot share a common node.

Along with the EDMP command, you must use the MP command to specify Young's modulus (Ex), Poisson’s ratio (NUXY), and density (DENS) for the rigid body’s material type. Realistic material property values are required so that the stiffness of the contact surfaces can be calculated by the program. For this reason, never use unrealistically high values of Young’s modulus or density for a rigid body in an explicit dynamic analysis. A rigid body cannot be stiffened because it is perfectly rigid.

Because the motion of the mass center of a rigid body is transferred to its nodes, constraints should not be applied to rigid bodies using the D command. The constraints and initial velocities of one node of a rigid body will be transferred to the center of mass of the body. However, if more than one node is constrained, it is hard to determine which constraints will be used. To properly apply constraints to a rigid body, the translational (VAL1) and rotational (VAL2) constraint parameter fields of the EDMP command are used as shown below:

VAL1 - Translational constraint parameter (relative to global Cartesian coordinates)

0 | No constraints (default)
1 | Constrained X displacement
2 | Constrained Y displacement
3 | Constrained Z displacement
4 | Constrained X and Y displacements
5 | Constrained Y and Z displacements
6 | Constrained Z and X displacements
7 | Constrained X, Y, and Z displacements

VAL2 - Rotational constraint parameter (relative to global Cartesian coordinates)

0 | No constraints (default)
1 | Constrained X rotation
2 | Constrained Y rotation
3 | Constrained Z rotation
4 | Constrained X and Y rotations
5 | Constrained Y and Z rotations
6 | Constrained Z and X rotations
7 | Constrained X, Y, and Z rotations

For example, the command EDMP,RIGID,2,7,7 would constrain the rigid body elements of material 2 in all degrees of freedom.

After defining a rigid body, you can assign inertia properties, mass, and an initial velocity vector to that body using the EDIPART command. If you do not specifically define the inertia properties for a rigid body, the program will calculate them based on the finite element model.

For an example input listing, see Rigid Material Example: Steel.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.1. Defining Explicit Dynamics Material Models 		Up / Home Next
Chapter 8. Rigid Bodies


Chapter 8. Rigid Bodies

Using rigid bodies to define stiff parts in a finite element model can greatly reduce the computation time required to perform an explicit analysis. When rigid bodies are defined, all of the degrees of freedom of the nodes in the body are coupled to the body's center of mass. Hence, a rigid body has only six degrees of freedom regardless of the number of nodes that define it. By default, the mass, center of mass, and inertia properties of each rigid body are calculated from the body’s volume and density of elements. The forces and moments acting on the body are summed from the nodal forces and moments at each time step. The motion of the body is then calculated, and displacements are transferred to the nodes.

The following rigid body topics are available:

  • Defining Rigid Bodies
  • Specifying Inertia Properties
  • Loading
  • Switching Parts from Deformable to Rigid
  • Nodal Rigid Bodies

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.2. Explicit Dynamics Material Model Descriptions 		Up / Home Next
8.1. Defining Rigid Bodies


8.1. Defining Rigid Bodies

In ANSYS LS-DYNA, a rigid body that remains rigid for the duration of the analysis is designated as a material model. Use the EDMP command to specify this type of rigid body. For information on defining rigid bodies as a material model, see "Material Models".

In addition, two rigid bodies can be merged together so that they act as a single rigid body using the EDCRB command. Unlike the definition of rigid bodies which are based on material numbers, rigid body constraints are based on PART ID and a constraint equation number. Therefore, to place a rigid body constraint between two bodies, the command EDCRB,ADD,NEQN,PARTM,PARTS should be issued, where NEQN is the constraint equation reference number, PARTM is the master rigid body PART ID number and PARTS is the slave rigid body PART ID number. Care should be taken not to issue more than one EDCRB command with the same NEQN value, as only the last NEQN referenced will be used. When using the EDCRB command, the second rigid body noted becomes absorbed into the first, so any subsequent references to the second body are meaningless.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 8. Rigid Bodies 		Up / Home Next
8.2. Specifying Inertia Properties


8.2. Specifying Inertia Properties

By default, the program calculates the inertia properties of each rigid body. However, you may find it useful to assign a specific center of gravity, mass, initial velocity (in a local or global system of coordinates) and a specific inertia tensor to a rigid body instead of relying on the values calculated from the finite element model during the solution. You can use the command EDIPART to assign any of these characteristics to the rigid body. The command format is

EDIPART,PART,Option,Cvect,TM,IRCS,Ivect,Vvect,CID
where:

PART is the part ID for which the inertia is defined;
Option is the option to be performed (ADD, DELETE, or LIST);
Cvect is a vector containing coordinates of the center of the mass of the part;
TM is the translational mass;
IRCS is a flag for the inertia tensor reference coordinate system;
Ivect is a vector containing the components of the inertia tensor;
Vvect is a vector containing the initial velocity of the rigid body;
CID is a local coordinate system ID.

If you are working in the ANSYS LS-DYNA GUI, you can input all of the above parameters, including the required array parameters, by picking Main Menu> Preprocessor> LS-DYNA Options> Inertia Options> Define Inertia. For batch input, you must dimension (*DIM) and fill the array parameters prior to issuing the EDIPART command. The example input below demonstrates how to define inertia properties for part number 2, which is a rigid body.

! Define parameter input
tm = 0.6300E-03         ! Translation mass
ircs = 0                ! Coordinate system flag
cid = 0                ! Coordinate system ID
!
/prep7
!
! Create a model that includes multiple parts
! with part number 2 being a rigid body
.
.
.
edmp,rigid, . . .      ! Define rigid body (by MAT number)
edpart,create          ! Create part list
!
!Dimension required arrays
*dim,coord2,,3
*dim,velo2,,6
*dim,inert2,,6
!
! Fill arrays
coord2(1) =  0.2450E+01, 0.5000E+00, 0.5000E+00
velo2(1)  =  0, 10.0E-7, 0
inert2(1) =  0.3150E-03, 0, 0, 0.2851E-03, 0, 0.2851E-03
!
EDIPART,2,ADD,coord2,tm,ircs,inert2,velo2,cid
!

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.1. Defining Rigid Bodies 		Up / Home Next
8.3. Loading


8.3. Loading

As described in "Loading", displacements and velocities are applied to rigid bodies using the EDLOAD command. It is important to note that all rigid body displacements and velocities are applied to a PART ID rather than to a component of nodes. For example, a typical EDLOAD command may look like this:

EDLOAD,ADD,RBUX, ,2,PAR1,PAR2

This command defines a UX displacement load on the rigid body identified as PART number 2. The PART number is input in the Cname field of the EDLOAD command. (Note that for other load types, a component name is input in this field. However, for the rigid body load labels, a PART number must be input instead of a component name.) The PART number must correspond to a rigid body that has been defined with the EDMP command.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.2. Specifying Inertia Properties 		Up / Home Next
8.4. Switching Parts from Deformable to Rigid


8.4. Switching Parts from Deformable to Rigid

In some dynamic applications, long duration, large rigid body motions arise that are prohibitively expensive to simulate if the majority of elements in the model are deformable. One such example would be an automotive rollover where the time duration of the rollover would dominate the CPU cost relative to the impact that occurs much later. To improve efficiency for this class of applications, ANSYS LS-DYNA offers the capability to switch a subset of materials from a deformable state to a rigid state, and then back to deformable. By switching the deformable parts to rigid during the rigid body motion stage, you can achieve significant savings in computation time.

Deformable/rigid switching is inherently related to performing a restart. You need to stop the analysis, define the part switch, then restart the analysis again. Although you would not typically use part switching in the original analysis, you must set a flag in the new analysis input to let LS-DYNA know that all materials in the model have the potential to become rigid bodies sometime during the calculation. Issuing the EDRD or EDRI command in the original analysis will set this flag.

Note

Parts that are defined as rigid using the command EDMP,RIGID are permanently rigid and cannot be changed to deformable.

To switch a deformable part to a rigid part, issue

EDRD,D2R,PART,MRB

where PART is the part number, and MRB indicates a master rigid part to which the switched part should be merged. (In the GUI, go to Main Menu> Solution> Rigid-Deformable> Switch.) If you do not wish to merge the part to another rigid body, simply leave MRB blank. Once a deformable part is switched to rigid using the above command, you can switch it back to deformable in a subsequent restart by issuing

EDRD,R2D,PART

In a new analysis, if no deformable materials are going to be switched to rigid but switching may occur in a subsequent restart analysis, then issue EDRD,D2R with no additional arguments. (In the GUI, go to Main Menu> Solution> Rigid-Deformable> Switch and select “Initialize” as the action.)

When you switch a deformable part to rigid, you can define the inertia properties for the rigid part by issuing the EDRI command (Main Menu> Solution> Rigid-Deformable> Inertia Property). If you do not define the inertia properties, they will be calculated by the program.

After a deformable-to-rigid switch, some constraints defined for the deformable part will become invalid. To avoid instabilities in the calculations, you should use the EDRC command (Main Menu> Solution> Rigid-Deformable> Controls) to change the state of these constraint definitions. Please refer to the EDRC command description for more details.

For rigid body switching to work properly, the choice of element formulation is critical. In the current LS-DYNA implementation, Hughes-Liu shell and beam elements cannot be used with part switching because of the strain and stress update algorithms used in these elements. The element formulations that cannot be used include KEYOPT(1) = 1, 6, 7, and 11 for SHELL163 and KEYOPT(1) = 0 and 1 for BEAM161.

A special consideration for SOLID164 elements is that, upon switching from a rigid state to deformable, the element stresses are zeroed out to eliminate spurious behavior.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.3. Loading 		Up / Home Next
8.5. Nodal Rigid Bodies


8.5. Nodal Rigid Bodies

Unlike typical rigid bodies that are defined with the EDMP command, nodal rigid bodies are not associated with a part number. A nodal rigid body is defined by the command EDCNSTR,ADD,NRB,COMP1, where COMP1 is a node component. Nodal rigid bodies are typically used for modeling rigid (welded) joints in which different flexible components (having different MAT IDs) act together as a rigid body. Because nodal rigid bodies are not associated with a part number, other options that use rigid bodies discussed earlier in this chapter (such as loads applied with the EDLOAD command ) cannot be used with a nodal rigid body. See Constraints and the EDCNSTR command for more information on using nodal rigid bodies.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.4. Switching Parts from Deformable to Rigid 		Up / Home Next
Chapter 9. Hourglassing


Chapter 9. Hourglassing

Despite being robust for large deformations and saving extensive amounts of computer time, the one-point (reduced) integration solid and shell elements used in ANSYS LS-DYNA are prone to zero-energy modes. These modes, commonly referred to as hourglassing modes, are oscillatory in nature and tend to have periods that are much shorter than those of the overall structural response (i.e., they result in mathematical states that are not physically possible). They typically have no stiffness and give a zigzag appearance to a mesh (see Figure 9.1: "Hourglass Deformations") known as hourglass deformations. The occurrence of hourglass deformations in an analysis can invalidate the results and should always be minimized.

Figure 9.1 Hourglass Deformations

Undeformed mesh and deformed mesh with hourglassing effect

Hourglassing can affect brick and quadrilateral shell and 2-D elements, but not triangular shell, triangular 2-D, or beam elements.

Good modeling practices normally prevent hourglassing from becoming significant. The general principles are to use a uniform mesh and to avoid concentrated loads on a single point. Since one excited element transfers the hourglassing mode to its neighbors, all point loads should be spread over an area of several neighboring nodes. In general, refining the overall mesh will almost always significantly reduce the effects of hourglassing.

ANSYS LS-DYNA offers a number of internal hourglass controls. The idea behind these methods is (1) to add stiffness which resists hourglass modes but not rigid body motions and linear deformation fields, or (2) to damp velocities in the direction of hourglass modes.

One method for controlling hourglassing modes is to adjust the model's bulk viscosity. Hourglass deformations are resisted by a structure’s bulk viscosity, which is automatically calculated by the program. It is possible to increase the bulk viscosity of the model by adjusting the linear (LVCO) and quadratic (QVCO) coefficients of the EDBVIS command. It is generally not recommended, however, to dramatically change the default values of the EDBVIS command because of adverse effects they will have on the global modes of the structure.

Another more generally applicable solution to hourglassing problems is to use the fully integrated formulations of SHELL163 and SOLID164. Fully integrated elements will never experience hourglassing modes. However, these options are more costly (in CPU time) than other element formulations, and they may lead to unrealistically stiff results (locking) for problems involving incompressible behavior, metal plasticity, and bending. The locking is remedied in SHELL163 by using an assumed strain field.

Hourglassing deformations can also be resisted by adding elastic stiffness to a model. Hourglassing can be a problem with small displacement situations, particularly when dynamic relaxation is used. In these cases, it is often beneficial to add elastic stiffness to the model instead of using bulk viscosity methods. This can be done by increasing the hourglassing coefficient (HGCO) of the EDHGLS command. However, use care when increasing these coefficients because they may over-stiffen the model's response in large deformation problems and cause instabilities when HGCO exceeds 0.15.

The hourglass control methods discussed so far have been for the entire model. The final method of hourglass control is to locally increase a portion of the model's stiffness by using the command EDMP,HGLS. For this command, the material number, the hourglass control type (viscous or stiffness), the hourglass coefficient, and bulk viscosity coefficients must be specified. (The defaults for hourglass coefficient and bulk viscosities should be sufficient.) Using this method, hourglass control is specified for a given material and not for the entire model. This allows resisting hourglass deformations in high risk areas of the model without dramatically changing the stiffness characteristics of the entire model.

When performing an explicit dynamics analysis with reduced integration elements, it is always important to determine whether hourglassing effects have significantly degraded the results. As a general guideline, the hourglassing energy should not exceed 10% of the internal energy. The hourglass energy can be compared to the internal energy by reviewing the ASCII files GLSTAT and MATSUM and can be plotted in POST26 (see "Postprocessing"). To make sure that hourglass energy results are reported in these files, the HGEN field of the EDENERGY command must be set to 1.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.5. Nodal Rigid Bodies 		Up / Home Next
Chapter 10. Mass Scaling


Chapter 10. Mass Scaling

As discussed in Appendix A and shown in the figure below, the minimum time step size for explicit time integration depends on the minimum element length, lmin, and the sonic speed, c. (The example depicted represents a 2-D continuum.) Note that for a given set of material properties, the minimum time step size Δtmin, is controlled by the smallest element dimension in the model (I2 in this case). Also, for a given mesh, the minimum time step size is dependent upon sonic speed, which is a function of material properties (density, elastic modulus, and Poisson's ratio). You can use the EDTP command to check the minimum time step size in your model.

ν = Poisson’s ratio
ρ = specific mass density
E = Young’s Modulus

In the ANSYS LS-DYNA program, you can control the minimum time step size by including mass scaling in the analysis. It may be necessary to use mass scaling if the program calculated time step is too small. When mass scaling is requested, element density is adjusted to achieve a user specified time step size:

The EDCTS command is used to specify mass scaling in ANSYS LS-DYNA. Use this command to apply mass scaling to the program in one of two ways, depending on the value of the specified time step size DTMS:

  • If DTMS is positive, the same time step size is used for all elements, and mass scaling is applied to all elements.

  • If DTMS is negative, mass scaling is applied only to elements whose calculated time step size is smaller that DTMS.

Of the two methods listed above, the second is typically more efficient and therefore recommended. Although proper use of mass scaling will add a small amount of mass to the model and slightly change a structure's center of mass, the CPU reduction it achieves far outweighs the minor errors introduced. For example, when using mass scaling, it is common to achieve a 50% decrease in CPU time while adding only .001% mass to the model. Care must be taken not to add too much mass to a model in which inertial effects are significant.

The time step size calculated for the elements is multiplied by a scale factor (usually 0.9). The user’s input for the mass scaling affects the time step size before scaling. To control the time step size after mass scaling, use the TSSFAC parameter of the EDCTS command.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 9. Hourglassing 		Up / Home Next
Chapter 11. Subcycling


Chapter 11. Subcycling

Subcycling, also known as mixed time integration, can be used to speed up an analysis when element sizes within a model vary significantly. Relatively small elements will result in using a small time step size for all of the elements within a model, even the larger ones. If subcycling is turned on, elements are sorted based on their time step size into groups. Each group is assigned a step size that is some even multiple of the smallest element step size (see Figure 11.1: "Time Step Sizes Before and After Subcycling"). Thus, the minimum time step size is increased for the smallest element and the groups with larger elements are processed every 2nd, 3rd, 4th, etc., step depending on their size. Subcycling is turned on in the program using the EDCSC command.

Figure 11.1 Time Step Sizes Before and After Subcycling

Δtmin determines time step size for all elements Δtfmin n*Δtmin

Elements are sorted three times by the program:

  1. By element number in ascending order.

  2. By part number for large vector blocks.

  3. By connectivity to ensure disjointedness for right hand side vectorization.

There are two advantages to using subcycling:

  • Greatly speeds-up problems with differences in element size.

  • Allows local mesh refinement without penalty.

Subcycling supports the following element classes and contact options:

  • Solid elements

  • Beam elements

  • Shell elements

  • Penalty based contact algorithms

Discrete elements are intentionally excluded since these elements generally contribute insignificantly to the calculational costs.

The interface stiffnesses used in the contact algorithms are based on the minimum value of the slave node or master segment stiffness and, consequently, the time step size determination for elements on either side of the interface is assumed to be decoupled; thus, scaling penalty values to larger values when subcycling is active can be a dangerous exercise.

Nodes that are included in constraint equations, rigid bodies, or in contact with rigid walls are always assigned the smallest time step sizes.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 10. Mass Scaling 		Up / Home Next
Chapter 12. Postprocessing


Chapter 12. Postprocessing

You can review ANSYS LS-DYNA results using the two ANSYS postprocessors, POST1 and POST26. Use POST1 to view results for the entire model at specific time points, or to view animated results. Use POST26 to view the results of a specific component of the model at a larger number of time points over a period of time. With an explicit dynamic analysis, you will typically want to view animated results (POST1) and time-history results (POST26).

Note

Experienced LS-DYNA users may also use the LSTC postprocessor LS-POST. However, this processor is not supported by ANSYS, Inc.

The following postprocessing topics are available:

  • Output Controls
  • Using POST1 with ANSYS LS-DYNA
  • Using POST26 with ANSYS LS-DYNA
  • Finding Additional Information

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 11. Subcycling 		Up / Home Next
12.1. Output Controls


12.1. Output Controls

12.1.1. Results (Jobname.RST) vs. History (Jobname.HIS) Files

Results available for postprocessing depend on the information written to the Jobname.RST and Jobname.HIS files via the EDRST and EDHTIME commands (Main Menu> Solution> Output Controls> File Output Freq).

Note the distinction between the Jobname.RST and the Jobname.HIS files: The Jobname.RST file, used primarily in POST1 processing, contains solutions for the entire model, but captured at a relatively small number of time points. Generally, the Jobname.RST file contains just enough solutions to animate the results. The Jobname.HIS file, used in POST26, contains solutions captured at a relatively large number of time points, but for only a portion of the model. (Capturing a large number of solutions for the entire model would quickly fill up disk space.) As a comparison, the number of time steps in the Jobname.RST file is usually less than 100; in the Jobname.HIS file, it is usually 1000 or more.

12.1.2. Creating Components for POST26

Before reviewing results in POST26, you may create element and/or nodal components within your model. For example, during either the PREP7 or the SOLUTION phases of your analysis, choose a set of elements for which you want to review results. Create a component consisting only of those elements. You can also create a component consisting of a specified set of nodes. These components can be created via the GUI or by issuing the following commands:

ESEL,S,MAT,,1 !Select elements of material 1.
CM,elm1,elem !Create element component elm1.
NSLE !Select nodes from elements.
CM,nod1,node !Create nodal component nod1.

Element and nodal components should be limited to conserve disk space. For details on creating components, see the Basic Analysis Guide.

12.1.3. Writing the Output Files for POST26

Before using POST26 to review results, you must direct ANSYS LS-DYNA to write the appropriate information to the Jobname.HIS and other output files. While in either the PREP7 or SOLUTION phases of your analysis, specify the number of time steps, the element and nodal components to be analyzed, and the ASCII files to be written. You can specify this information via the GUI (Main Menu> Solution> Output Controls) or by issuing the following commands:

EDHTIME,NSTEPS  !Specify the number of time steps
                ! for time-history results.
EDHIST,elm1     !Specify the name of the element component.
EDHIST,nod1     !Specify the name of the nodal component.
EDOUT,GLSTAT    !Write ASCII file GLSTAT (Global time step
                ! and energy statistics).
EDOUT,MATSUM    !Write ASCII file MATSUM (Energy information
                ! for each PART).
EDOUT,SPCFORC   !Write ASCII file SPCFORC (Single point
                ! constraint (Reaction) forces).
EDOUT,RCFORC    !Write ASCII file RCFORC (Resultant interface
                ! force data).
EDOUT,SLEOUT    !Write ASCII file SLEOUT (Sliding interface
                ! energy).
EDOUT,NODOUT    !Write ASCII file NODOUT (Nodal data).
EDOUT,RBDOUT    !Write ASCII file RBDOUT (Rigid body data).

Note to LS-DYNA Users--If you are familiar with other ASCII files created by the LS-DYNA program, you may want to issue EDOUT,ALL to write all possible ASCII files.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 12. Postprocessing 		Up / Home Next
12.2. Using POST1 with ANSYS LS-DYNA


12.2. Using POST1 with ANSYS LS-DYNA

The first step in POST1 is to read data from the results file into the database. If the database does not already contain model data, issue the RESUME command to read the database file (or in the GUI pick Utility Menu> File> Resume Jobname.db). Then issue the SET command to read in the desired set of results (or in the GUI pick Main Menu> Postproc> Read Results> By Load Step or By Time/Freq).

The typical POST1 operations available in ANSYS are also available in ANSYS LS-DYNA. You can display the deformed shape, show contour and vector displays, and obtain tabular listings just as you would in ANSYS. For details on these and other POST1 postprocessing functions, see the Basic Analysis Guide.

When using POST1, you can rotate stress results into a defined coordinate system using the RSYS command. Stress data will be rotated during printout, display, or element table operations. RSYS supports stress output for all explicit element types except BEAM161, COMBI165, and composite SHELL163 (KEYOPT(3) = 1). To use RSYS in models that contain these element types, you must unselect the unsupported elements before issuing the RSYS command.

Note

Strain data results cannot be rotated for any explicit elements. If you request strain results when RSYS is not set to the global Cartesian coordinate system, the printing or plotting command will be ignored.

When you display results in POST1, failed elements will automatically be removed from the display. Failed elements are elements that exceed the specified failure criteria (for example, failure strain). In some cases, the mesh connectivity may appear to be lost due to the number of failed elements in the model at a given time step. However, the elements are still in the selected set, and the model will behave as expected physically. (During the LS-DYNA solution, failed elements are removed from the solution after they fail.)

12.2.1. Animating Results

You can also display animated shapes using POST1 capabilities; for example, you could animate the element centroidal stresses superimposed on the deformed shape. After you have read in a set of results from the Jobname.RST file, pick Utility Menu> PlotCtrls> Animate> Over Results. Then use the “push-button” animation controls in the dialog box to start, stop, resume, and otherwise control the animation.

If you are using command input, use the appropriate plotting command (for example, PLESOL) followed by the ANDATA command (as shown below).

PLESOL,Item,Comp
ANDATA

This command method reads in all results data and animates the plot. For faster plotting, use the INRES command to select specific types of solution data before issuing the above commands:

INRES,Item

12.2.2. Element Output Data

Remember that the results available for POST1 processing differ from element to element. For a complete description of output data for each explicit dynamics element (LINK160, BEAM161, PLANE162, SHELL163, SOLID164, COMBI165, MASS166, LINK167, SOLID168), see the Elements Reference.

The stress output for explicit dynamic elements is true stress. The strain is the time integration of the incremental strain. The incremental strain is calculated from the incremental displacement, assuming a linearized relationship. So the strain measure is similar to the logarithmic strain definition. However, the reported shear strain is the engineering shear strain.

For the PLANE162, SHELL163, SOLID164, and SOLID168 elements, the available strain output depends on the type of material models used. For all material models, total strains (total strain components, total principle strains, total strain intensity, and total equivalent strain) are always available. For the following material models, elastic strains are also available.

Isotropic Elastic
Bilinear Isotropic
Bilinear Kinematic
Viscoelastic
Johnson-Cook Plasticity
Powerlaw Plasticity
Strain Rate Dependent Plasticity
Piecewise Linear Plasticity
3 Parameter Barlat Plasticity

For the following plastic material models, equivalent plastic strain is available. However, plastic strain components and principal plastic strains are not available.

Bilinear Isotropic
Bilinear Kinematic
Temperature Dependent Bilinear Isotropic
Elastic-Plastic Hydrodynamic
Steinberg
Johnson-Cook Plasticity
Powerlaw Plasticity
Strain Rate Dependent Plasticity
Piecewise Linear Plasticity
Geological Cap
Barlat Anisotropic Plasticity
3 Parameter Barlat Plasticity
Transversely Anisotropic Elastic Plastic
Transversely Anisotropic FLD
Bamman
Rate Sensitive Powerlaw Plasticity
Zerilli-Armstrong
Elastic Viscoplastic Thermal
Modified Piecewise Linear Plasticity

Below are some additional notes about the explicit dynamics elements:

  • With SOLID164, stress and strain solutions are saved only at the element centroid, regardless of whether you use 1-point or 8-point integration (KEYOPT(1)).

  • With BEAM161 and SHELL163 elements, stress and strain solutions are saved only at the element center (for each layer for shell elements), regardless of whether you use full or reduced integration.

  • When using BEAM161 and SHELL163 elements, you must specify both the number of integration points for which you want ANSYS LS-DYNA to calculate the results (using real constants) and the number of these points for which you want results stored (using the EDINT command). By default, the number of integration points (NIP) is set to 2 for shell elements; you can specify up to 5 points (layers) for the Gauss integration rule. For more than 5 layers, you need to use either the trapezoidal integration rule or the user-defined integration rule. (Note--The trapezoidal rule is not recommended for less than twenty integration points, especially in bending.) Also by default, the number of layers you specify using EDINT,SHELLIP is set to 3 for shell elements. If NIP = 2, the results at the bottom correspond to integration point 1, the results at the top correspond to integration point 2, and the results at the middle are an average of the top and bottom results. For beam elements, results are saved for 4 integration points by default (BEAMIP = 4 on the EDINT command). For the resultant beam formulation (KEYOPT(1) = 2), there is no stress output, regardless of the BEAMIP setting. If you set BEAMIP = 0, no stress output is written for any of the beam elements. In this case, the beams will not appear in any POST1 plots because the program assumes they are failed elements.

  • With SHELL163 elements use the LAYER,NUM command to specify the layer for which you want results. Layers are numbered starting from the bottom layer and moving up for stress data. However, for strain data, layer 1 is the bottom layer and layer 2 is the top layer, no matter how many layers exist. Strain information is saved only at these two layers. Further, data is only available at the middle of the layer, not at the top or bottom surface of a layer (or the element, for that matter). To get results close to the element surface, specify a large number of integration points through the thickness of the shell. However, saving data for all of these layers can become expensive.

  • SHELL163 is not affected by the SHELL,LOC command. By default, output data for the top layer is displayed when plotting data (PLNSOL, PLESOL), but data for the top and bottom layers appears on printed results.

12.2.3. Postprocessing after Adaptive Meshing

If you use adaptive meshing in an explicit dynamic analysis, the analysis will typically produce multiple results files. The procedure for postprocessing these files is slightly different than postprocessing a single results file.

Adaptive meshing can be used in ANSYS LS-DYNA to refine the mesh of shell elements during a large deformation analysis (see Adaptive Meshing for details on how to use adaptive meshing). When adaptive meshing is included in an analysis, the number of elements in the model may increase during the solution as the mesh is improved to conform to a user specified element aspect ratio. As the number of elements in the model changes, the extension of the results file is updated to represent a new finite element mesh for the model.

The name of the results file extension is incremented as follows:

Jobname.RS01 - First mesh refinement
Jobname.RS02 - Second mesh refinement
Jobname.RS03 - Third mesh refinement
etc.

In order to postprocess multiple results files, you must specify the appropriate filename and extension (FILE command) to examine a particular time step. You should not resume the original model database (.DB file), as the mesh in that database will not match what is in the results files. The sample input below demonstrates a typical postprocessing session.

/POST1
FILE,Jobname,RS01 ! Specify the results file for the first
                  ! mesh refinement
SET,LIST          ! List out the time steps that were written
                  ! for the first mesh refinement
SET,1,2           ! Set the results to a particular time
                  ! step value
PRNSOL,. . .      ! Print or display the results

Caution

The element attributes are not saved on the RSnn file. Therefore, care must be taken when using select logic during postprocessing with these files. Also, you should not attempt to perform a solution using only the information contained in these files, nor should you attempt to save a new database from these files.

You should not use the standard method for animating results (ANDATA command) after adaptive meshing because it is only valid for animating a single results file (Jobname.RST). Instead, you must use the ANMRES command to animate results when multiple results files are present (Jobname.RS01, Jobname.RS02, etc.).

Before starting the animation, you must use the /FILNAME command to specify the jobname that the results will be animated across. Because results are animated across multiple files with the same jobname, simply specifying the FILE command will not allow multiple results animations.

The following sample input demonstrates a typical animation session using ANMRES. In this example, the jobname is 'impact' and the animation runs from results file impact.rs01 to impact.rs10. The results file increment is two and the time delay is 0.5 seconds.

/FILNAME,impact
/POST1
FILE,impact,rs01
SET,last
PLNSOL,s,eqv
ANMRES,.5,1,10,2

In the GUI, the ANMRES command is accessed from the utility menu: Utility Menu> PlotCtrls> Animate> Over Results. Choose the options to animate over multiple results files and then use the push-button animation controls in the dialog box to start, stop, resume, and otherwise control the animation.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.1. Output Controls 		Up / Home Next
12.3. Using POST26 with ANSYS LS-DYNA


12.3. Using POST26 with ANSYS LS-DYNA

The typical POST26 operations available in ANSYS are also available in ANSYS LS-DYNA. You can obtain two types of results using POST26:

  • Nodal and element solutions

  • Miscellaneous output data, such as different energies, work, and reaction forces, stored in ASCII files (GLSTAT, RCFORC, SLEOUT, MATSUM, SPCFORC, NODOUT, and RBDOUT)

Remember when reviewing results in POST26 that you must use the Jobname.HIS file to have adequate results for a useful time-history record. The Jobname.HIS file must be loaded into POST26 using the FILE command (Main Menu> TimeHist Postpro> Settings> File):

FILE,Jobname,HIS

If you do not load the Jobname.HIS file into POST26, the results will be read from the Jobname.RST file, which may provide inadequate data for time-history postprocessing. (This is because the EDHTIME setting is usually much larger than the EDRST setting.)

12.3.1. Nodal and Element Solutions

POST26 works with tables of result items versus time, known as variables. Each variable is assigned a reference number, with variable number 1 reserved for time. To generate results, define and then graph or list the variables via the GUI (Main Menu> TimeHist Postpro) or by using the following commands:

NSOL | Specifies nodal data be stored from the results file
ESOL | Specifies element data be stored from the results file
STORE | Stores data into variables
PLVAR | Displays results in graph format
PRVAR | Lists variables vs. time

Element and nodal solution results can be obtained from both the Jobname.HIS and Jobname.RST. Care must be taken when reading from the .HIS file, however, such that only nodes and elements included in the component specified by the EDHIST,NCOMP are specified.

For storing and displaying solutions at different integration points for the BEAM161 and SHELL163 elements, use the LAYERP26 (Main Menu> TimeHist Postpro> Define Variables) and the STORE command (Main Menu> TimeHist Postpro> Store Data) for each layer, as shown below for SHELL163:

LAYERP26,num1  !Specify the first layer number
ESOL           !Store element data for first layer
NSOL           !Store nodal data for first layer
STORE,MERGE    !Store results for first layer
LAYERP26,num2  !Specify the next layer number
ESOL           !Store element data for next layer
NSOL           !Store nodal data for next layer
STORE,MERGE    !Store results for next layer (in addition to
               ! results for first layer)
.
.
.
LAYERP26,numn  !Specify the nth layer number
ESOL           !Store element data for nth layer
NSOL           !Store nodal data for nth layer
STORE,MERGE    !Store results for nth layer (in addition to
               ! results for previous layers)
PRVAR (or PLVAR, etc.) !Plot results for all layers

You must specify STORE,MERGE for each layer, or your final plot will contain data from the last layer only.

12.3.2. Reading ASCII Files for Miscellaneous Output Data

To review information written to the GLSTAT, MATSUM, SPCFORC, RCFORC, SLEOUT, NODOUT, and RBDOUT files, first issue FILE,Jobname,HIS (Main Menu> TimeHist Postpro> Settings> File) to obtain the time information, then issue the EDREAD command (Main Menu> TimeHist Postpro> Read LSDYNA Data). After EDREAD, you must issue the STORE command (Main Menu> TimeHist Postpro> Store Data) to store the data in time history variables. Once stored, the data can be analyzed using standard POST26 procedures.

12.3.3. Data Smoothing

If you’re working with noisy data (such as an earthquake excitation), you may want to “smooth” that data to a smaller set of data that provides an accurate approximation of the data points.

Four arrays are required for smoothing data. The first two contain the noisy data from the independent and the dependent variables, respectively; the second two will contain the smoothed data (after smoothing takes place) from the independent and dependent variables, respectively. You must always create the first two vectors (*DIM) and fill these vectors with the noisy data before smoothing the data. If you are working in interactive mode, ANSYS automatically creates the third and fourth vector, but if you are working in batch mode, you must also create these vectors (*DIM) before smoothing the data (ANSYS will fill these with the smoothed data).

Once these arrays have been created, you can smooth the data using the EDNDTSD command (Main Menu> TimeHist Postpro> Smooth Data). You can choose to smooth all or some of the data points using the DATAP field, and you can choose how high the fitting order for the smoothed curve is to be using the FITPT field. DATAP defaults to all points, and FITPT defaults to one-half of the data points. To plot the results, you can choose to plot unsmoothed, smoothed, or both sets of data.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.2. Using POST1 with ANSYS LS-DYNA 		Up / Home Next
12.4. Finding Additional Information


12.4. Finding Additional Information

For more information on postprocessing, including POST1 and POST26, see the Basic Analysis Guide. For more information on any of the commands discussed in this chapter, see the appropriate discussion in the Commands Reference.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.3. Using POST26 with ANSYS LS-DYNA 		Up / Home Next
Chapter 13. Restarting


Chapter 13. Restarting

Restarting means performing an analysis that continues from a previous analysis. The restart can begin from the end of the previous analysis or from partway through it. Reasons for doing a restart include:

  • To complete an analysis that was terminated or that requires more than the user-defined CPU limit.

  • To perform an analysis in stages and monitor results at the end of each stage.

  • To diagnose an analysis that went wrong.

  • To change the model and continue calculations.

The ability to perform an analysis in stages provides great flexibility for explicit dynamic applications. After the completion of each stage, a restart "dump" file is written. This file contains all information required to continue the analysis. Results can be checked at each stage by postprocessing the output in the normal way. You may then modify the model and continue the analysis. For example, you may decide to delete excessively distorted elements, materials that are no longer important, or contact surfaces that are no longer needed. You may also choose to change loading or consider other materials that were not present in the previous analysis. You can also change output frequencies of the various results files. By continuously monitoring and fine-tuning the analysis, you can increase efficiency and reduce the chance of wasting computer time on an incorrect analysis.

Restarting can also be used to diagnose an analysis that encountered problems. You can restart at a point before the problem (numerical difficulties or error message) occurred, and request more frequent outputs to the results files. By viewing the development of the error, you may be able to identify where the first symptoms appeared and what caused them.

The following restart topics are available:

  • The Restart Dump File
  • The EDSTART Command
  • Effect on Output Files

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.4. Finding Additional Information 		Up / Home Next
13.1. The Restart Dump File


13.1. The Restart Dump File

By default, LS-DYNA writes a restart "dump" file (d3dump) at the end of each analysis. The dump file is a binary file that contains a complete LS-DYNA database for use in a restart. You can use the EDDUMP command to request that additional restart dump files be written at a specified interval during the analysis. This will give you more options for choosing a point from which to initiate a restart. The restart files are written sequentially as d3dump01, d3dump02, etc. Care should be taken not to request too many dump files because they can be quite large.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 13. Restarting 		Up / Home Next
13.2. The EDSTART Command


13.2. The EDSTART Command

The EDSTART command specifies the status (new or restart) of an explicit dynamic analysis (in the GUI, pick Main Menu> Solution> Analysis Options> Restart Option). There are four analysis types available: a new analysis (the default), a simple restart, a small restart, or a full restart.

13.2.1. A New Analysis

For a new analysis, you can use the EDSTART command to change the memory to be used (for example, you can increase the value if more memory is required by the LS-DYNA solver) or to change the scale factor for binary file sizes.

13.2.2. A Simple Restart

A simple restart is one for which the database (Jobname.DB) has not been changed. You would typically run a simple restart when the ANSYS LS-DYNA solution was prematurely interrupted by a user defined CPU limit or by issuing a sense switch control SW1 (after CTRL-C). For a problem which was prematurely interrupted, enter the solution processor and issue EDSTART,1,,,d3dumpnn followed by the SOLVE command. The analysis will then be continued and all results will be appended to the results files Jobname.RST and Jobname.HIS.

13.2.3. A Small Restart

Use a small restart when minor changes to the database are necessary. For this type of restart, you must issue the command EDSTART,2,,,d3dumpnn followed by any commands appropriate for changing the database, then issue the SOLVE command. The types of changes you can make to the database during a small restart are listed below.

  • Reset the termination time (TIME)

  • Reset the output file interval (EDRST, EDHTIME)

  • Specify additional ASCII files for output (EDOUT)

  • Set more displacement constraints (D)

  • Change initial velocities (EDVEL, EDPVEL)

  • Change loading curves (EDCURVE)

  • Change LS-DYNA numerical controls such as:

    • global mass damping (EDDAMP)

    • dynamic relaxation control (EDDRELAX)

    • contact small penetration control (EDSP)

    • time step control (EDCTS)

  • Change the termination criteria (EDTERM)

  • Delete, deactivate, or reactivate contact entities (EDDC)

  • Delete elements (EDELE)

  • Clear meshes (LCLEAR, ACLEAR, VCLEAR)

  • Change selected set of parts (PARTSEL)

  • Switch parts from rigid-to-deformable or deformable-to-rigid (EDRD, EDRC)

  • Change the restart dump file frequency (EDDUMP)

Only the commands mentioned above can be used in a small restart analysis (refer to the Commands Reference for details on their usage). Because some of these commands are applicable to a restart as well as a new analysis, it is important that you issue EDSTART,2 first so that subsequent commands are processed correctly for the restart.

In a small restart, you should generally extend the time of the calculation (TIME command). If the previous analysis (new or restart) finished at the specified end-time and no new time is input for the subsequent restart, the restart analysis will stop immediately with only one step. You may also need to modify termination criteria that were set in the previous analysis using the EDTERM command. If the previous analysis terminated due to one of these criteria, that specific criterion must be modified so that it will not cause the restart to terminate immediately.

In some cases, the usage of a command in the restart depends on initial settings in the original analysis. For example, in order to perform a rigid-deformable switch in the restart analysis, you must issue the EDRD command in the original analysis, even if no switch is being made. Furthermore, inertia properties for parts that are switched in the restart must be specified in the original analysis (EDRI command). Another example is mass scaling; in order to use mass scaling (EDCTS command) in the restart, mass scaling must be active in the original analysis. Limitations related to restarts are discussed in each restart related command description.

When you issue the SOLVE command to initiate the restart analysis, ANSYS LS-DYNA creates a text file named Jobname.R which is used as input to LS-DYNA. This file contains only the changes that were made to the model for the restart. If you want to run LS-DYNA directly, you can use the EDWRITE command to output this file, then specify it as the input file on the LS-DYNA execution command.

The results for the small restart analysis will be appended to all the results files. The restart solutions are numbered as load step 2, 3, etc. in Jobname.RST. In other results files, results are appended according to the time value. Restart dump files (d3dumpnn) are consecutively numbered beginning from the last number. (All modifications to the database during the restart will be reflected in subsequent restart dump files.)

Note

When postprocessing the restart results, take care not to select parts that were unselected in the restart analysis. If you do select such parts, there will be a mismatch in the database since the associated element definitions still exist, but no postprocessing data is written for the unselected parts.

After the first small restart analysis, you may choose to perform an additional restart, or even a series of restart analyses. Be sure to issue EDSTART,2 with a different d3dump file at the beginning of each restart. The general procedure for multiple restarts is outlined below.

  1. Create the initial model and run a new analysis.

  2. Postprocess the results.

  3. Issue EDSTART,2 with an appropriate d3dump file.

  4. Issue the commands needed to change the model.

  5. Issue the SOLVE command

  6. Postprocess the restart analysis results.

  7. Repeat step 3-6, as needed.

13.2.4. A Full Restart

A full restart is appropriate when many changes to the database are needed. For example, you may need to consider more materials, to remove portions of the model, or to apply different loading conditions.

To initiate a full restart, you must issue the command EDSTART,3 to indicate that subsequent commands apply to the full restart. For example, assume that the previous analysis was run using the input file Jobname.K, and it produced a restart dump file named d3dump01. You would issue the command EDSTART,3,,,d3dump01, then make any necessary changes to the model using commands available in the ANSYS LS-DYNA product. (A few of the ANSYS LS-DYNA commands are not supported in a new restart; these are discussed below.)

When the EDSTART,3 command is issued, the jobname is automatically changed to Jobname_01 to avoid overwriting the previous results and database. In a full restart, LS-DYNA creates entirely new results files instead of appending to the existing results (as is done in other types of restart analyses). The advantage of the full restart is that the changed database and result files match each other.

An important step in performing a full restart is specifying stress initialization via the EDIS command. You must carry forward some results (deformed nodal positions and stresses/strains) from the previous analysis. Typically, you would specify stress initialization for some or all of the parts that will be kept in the full restart. To do this, you must issue the command EDIS,ADD,PIDN,PIDO for each part that will be initialized. If part IDs have changed in the full restart due to changes in the model, you need to specify the new part ID in the PIDN field, and the old part ID from the previous analysis in the PIDO field. If you issue EDIS with no arguments, stress initialization is performed for all parts that were defined in the previous analysis (that is, parts having the same part ID); this option is only appropriate if part IDs have not changed and you want all parts to be initialized.

When you issue SOLVE to initiate the full restart solution (or when you issue EDWRITE), the complete database is written as an LS-DYNA input file, Jobname_01.K. When LS-DYNA starts execution, it uses the information contained in files Jobname_01.K and d3dump01 to initialize any portions of the model which were specified by EDIS commands. The deformed positions and velocities of the nodes on the elements of each part, and the stresses and strains in the elements (and the rigid body properties, if the material of the part is rigid) are assigned at this time.

Note

Portions of the model that are not initialized will have no initial strains and stresses. However, if initialized and non-initialized parts share common nodes, those nodes will be considered by the initialized part. This will cause a sudden strain in the non-initialized part.

During the initialization, it is assumed that each part being initialized has the same characteristics (that is, the same number of elements, in the same order, with the same topology) in the full restart analysis (Jobname_01.DB) as it did in the previous analysis (Jobname.DB). If this is not the case, the part cannot be initialized. (Note that the parts may have different identifying numbers, as stated above.) To avoid a mismatch in parts, follow these recommendations when creating or changing the model:

  • If you anticipate the need to delete certain elements from the model in a future full restart analysis, use a different element type number, material number, or real constant number for those elements in the original analysis, even if they share the same attributes with other elements in the model. This will cause a unique part number to be assigned to those elements so that they may be deleted later without altering the makeup of any other parts in the model.

  • If you need to add more elements to the model during the full restart, use a different element type number, material number, or real constant number for those elements, even if they share the same attributes with other elements in the full restart analysis. Again, this will cause a unique part number to be assigned to the new elements, and previously existing parts will not be altered.

If you do not follow the above guidelines, you may inadvertently create parts in the restart analysis that do not match parts from the previous analysis. In this case, stress initialization may fail for those parts.

For discrete elements (COMBI165), the initialization is “all or nothing.” If you initialize any discrete elements in the full restart, all discrete elements will be initialized.

Although you can change almost any aspect of the analysis in a full restart, a few features are not supported or are supported in a limited way, as described below.

  • Contact specifications: You cannot add or delete any contact specifications (EDCGEN and EDDC) in the full restart. However, you can list contact specifications (EDCLIST) that were defined in the previous analysis.

  • Initial velocities: You cannot change initial velocities (EDVEL and EDPVEL) in the full restart. For any portions of the model that are carried over from the previous analysis, the velocities at the beginning of the full restart will be the same as the velocities at the end of the previous analysis. You cannot define initial velocities for new nodes or parts added in the full restart; the initial velocity of new model entities are assumed to be zero. You can list the initial velocities defined in the previous analysis by using the commands EDVEL,LIST and EDPVEL,LIST.

  • Adaptive meshing: Adaptive meshing (EDADAPT and EDCADAPT) is not supported in a full restart. In addition, a full restart is not possible if adaptive meshing was used in the previous analysis.

  • Mass scaling: As in a small restart, mass scaling (EDCTS) is only supported in a full restart if it was active in the previous analysis.

You can perform multiple full restart analyses and you can mix full restart analyses with other restart analysis types (simple or small). Just issue EDSTART,3 with a different d3dump file at the beginning of each full restart. Each time EDSTART,3 is issued, the jobname will be changed from the current jobname to Jobname_nn (nn = 01, 02,…) automatically.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.1. The Restart Dump File 		Up / Home Next
13.3. Effect on Output Files


13.3. Effect on Output Files

For both the simple restart and small restart, results are appended to the output files of the previous analysis. For a simple restart, all outputs are shown as substeps of load step 1 in the Jobname.RST file (similar to a new analysis). For a small restart, different stages of restarts are shown as different load steps in Jobname.RST. For both the simple restart and small restart, the history file (Jobname.HIS) and ASCII files (glstat, matsum, etc.) are appended with consecutive time markings.

In a full restart, new results files are created using the numbered jobname of the restart (Jobname_nn.RST and Jobname_nn.HIS). ASCII output files, however, are not renamed and will be overwritten. If you need to keep any ASCII output files from the previous analysis, you must save them to another name prior to issuing SOLVE in the full restart. Time is continuous and is not reset to zero in any of the output files (Jobname_nn.RST, Jobname_nn.HIS, glstat, matsum, etc.). The results in Jobname_nn.RST are saved as substeps of load step 1.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.2. The EDSTART Command 		Up / Home Next
Chapter 14. Explicit-to-Implicit Sequential Solution


Chapter 14. Explicit-to-Implicit Sequential Solution

The simulation of some engineering processes requires the capabilities of both implicit (ANSYS) and explicit ANSYS LS-DYNA analyses. To solve these problems, you need to use both solution methods, e.g., an explicit solution followed by an implicit solution or vice-versa. ANSYS LS-DYNA is an explicit dynamics program intended to solve short duration dynamic problems. If an engineering process contains phases that are essentially static or quasi-static (such as a preload before a dynamic phase or a springback after a metal forming phase), then these phases are best analyzed using the ANSYS implicit code. Procedures combining the ANSYS implicit solver with the ANSYS LS-DYNA explicit solver provide an extremely powerful tool that can be used to simulate many complex physical phenomena. In this chapter, we will describe explicit-to-implicit procedures, while implicit-to-explicit processes are outlined in "Implicit-to-Explicit Sequential Solution".

The following explicit-to-implicit analysis topics are available:

  • Performing an Explicit-to-Implicit Sequential Solution
  • Troubleshooting a Springback Analysis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.3. Effect on Output Files 		Up / Home Next
14.1. Performing an Explicit-to-Implicit Sequential Solution


14.1. Performing an Explicit-to-Implicit Sequential Solution

In sheet metal forming operations, springback deformation is an essential parameter that significantly complicates the design of forming tools. Springback deformation is best defined as the dimensional change of the formed part from that of the die which occurs from elastic deformations during unloading. In most dynamic metal forming operations, the highly nonlinear deformation processes tend to generate a large amount of elastic strain energy in the blank material. This elastic energy, which becomes stored in the blank while it is in dynamic contact with the die components, is subsequently released after the forming pressure is removed. This release of energy, which is the driving force for springback, generally causes the blank to deform towards its original geometry. Hence, the final part shape in a sheet metal forming process not only depends upon the contours of the dies, but also on the amount of elastic energy stored in the part while it is being plastically deformed. Since the amount of elastic energy stored in a part is a function of many process parameters such as material properties and interfacial loads, predicting springback during forming is extremely complicated. This poses significant problems to designers and analysts who must accurately assess the amount of springback that will occur during a forming process so that a final desired part shape can be obtained. Herein lies the great advantage of performing an explicit-to-implicit sequential solution. By simulating the dynamic forming process explicitly, and then modeling the springback deformations implicitly, stringent design tolerances can be attained for sheet metal forming operations.

In an explicit-to-implicit sequential solution, you must first run the ANSYS LS-DYNA program to simulate the metal forming process. In the explicit metal forming analysis, the sheet metal blank being deformed must consist of SHELL163 and/or SOLID164 elements. Then the deformed shape, stresses, and thicknesses of these elements only are transferred into the corresponding implicit ANSYS elements (SHELL181 and SOLID185). Once valid boundary conditions are specified on the blank material, implicit simulation of the elastic springback within the workpiece can be performed.

Note

Only elastic properties are considered in the implicit phase. This implies that the analysis is purely elastic unloading from the formed state (configuration). The displacements are interpreted as the changes in these quantities from the formed configuration.

A detailed description of the explicit-to-implicit solution procedure follows.

  1. Run the explicit analysis as described earlier, using Jobname1. You must use SHELL163 and/or SOLID164 to model the working piece in order to analyze the springback effect in a subsequent ANSYS implicit analysis. In addition, you must use one of the following element formulations for the SHELL163 elements: KEYOPT(1) = 1, 2, 6, 7, 8, 9, 10, 11, or 12 (10 and 12 are recommended). Solve and finish the analysis.

    You should always check your explicit analysis solution from ANSYS LS-DYNA carefully before proceeding with the ANSYS implicit analysis. Specifically, check whether there is any undesirable dynamic effect left in the structure at the end of the explicit run (using POST26).

  2. Save the explicit analysis database to file Jobname1.DB.

    Command(s): SAVE
    GUI: Utility Menu> File> Save as

    Note

    If you do not save your Jobname1.DB file at this point, then the database for this explicit run will not be saved. Only the database file for the subsequent implicit run will be saved.

  3. Change to Jobname2 to prevent the explicit results files from being overwritten.

    Command(s): /FILNAME,Jobname2
    GUI: Utility Menu> File> Change Jobname

  4. Reenter the preprocessor.

    Command(s): /PREP7
    GUI: Main Menu> Preprocessor

  5. Convert explicit element types to corresponding companion implicit element types. (Note that the 2-D explicit element, PLANE162, and composite shell element SHELL163 with KEYOPT(3) = 1, cannot be used in a sequential solution.) The companion explicit-implicit element type pairs are:

    Explicit Element Type Implicit Element Type
    LINK160 LINK8
    BEAM161 BEAM4
    SHELL163 SHELL181
    SOLID164 SOLID185
    COMBI165 COMBIN14
    MASS166 MASS21
    LINK167 LINK10

    Although all explicit element types are converted, only SHELL163 and SOLID164 data (stresses and thicknesses for SHELL163, and stresses for SOLID164) are transferred to SHELL181 and SOLID185 (via the RIMPORT command; see step 12).

    Command(s): ETCHG,ETI
    GUI: Main Menu> Preprocessor> Elem Type> Switch Elem Type

  6. Redefine the key options, real constants, material properties, boundary conditions, and loading values on any implicit elements that are converted from explicit element types. (For SHELL163 elements that were converted to SHELL181, you do NOT need to redefine the real constants, but you do need to redefine the other values. For SOLID164 elements that were converted to SOLID185 elements, you need to specify the uniform reduced integration option by setting KEYOPT(2) = 1.) The TYPE, REAL, and MAT numbers from the explicit elements are retained, but the actual key option and real constant values are reset to zero or the default settings.

    Command(s): KEYOPT,
    R,
    MP, etc.
    GUI: Main Menu> Preprocessor> Element Type/Real Constants/Material Properties/Loads

    Note

    Only linear elastic material properties (as specified with the MP command) can remain active in the ANSYS implicit phase. Delete any inelastic material properties (as specified with the TB command) from the ANSYS LS-DYNA run.

  7. Turn off shape checking because elements may have undergone considerable deformation during the explicit analysis.

    Command(s): SHPP,OFF
    GUI: Main Menu> Preprocessor> Checking Ctrls> Shape Checking

  8. Redefine the implicit elements to the deformed configuration.

    Command(s): UPGEOM
    GUI: Main Menu> Preprocessor> Modeling> Update Geometry

  9. Unselect or delete any unnecessary elements (mainly those making up any rigid bodies from the explicit analysis), or convert them to null elements. Any explicit elements that are not either unselected, deleted, converted to null elements, or converted to implicit will remain active in ANSYS, which will produce an error and terminate the analysis. Also, if the rigid bodies in the explicit analysis were made up of SHELL163 or SOLID164 elements, these elements must be unselected, deleted, or converted to NULL elements before importing stresses and thicknesses (from SHELL163 to SHELL181, or SOLID164 to SOLID185) by the RIMPORT command (See Step 12); otherwise, the implicit analysis will be terminated.

    Command(s): ESEL,
    EDELE
    GUI: Utility Menu> Select> Entities or
    Main Menu> Preprocessor> Delete> Elements

  10. Reenter the solution processor.

    Command(s): /SOLU
    GUI: Main Menu> Solution

  11. Set any necessary constraints on the model by modifying or adding to the boundary conditions defined during the explicit analysis (for example, in a metal forming analysis, you need to constrain the blank).

    Command(s): D, etc.
    GUI: Main Menu> Solution> Loads> Apply> Structural-Displacement> On Nodes, etc.

  12. Import stresses and changed thicknesses (from SHELL163 to SHELL181, and from SOLID164 to SOLID185). For SOLID164, only the stresses are transferred. For SHELL163, the stresses and thicknesses are transferred. The deformed integration point thicknesses are averaged before being transferred to the implicit analysis. These thicknesses override those defined using real constants.

    Command(s): RIMPORT
    GUI: Main Menu> Solution> Loads> Apply> Structural-Other> Import Stress

  13. Turn large deformation effects on.

    Command(s): NLGEOM,ON
    GUI: Main Menu> Solution> Sol’n Controls

  14. Solve and finish the analysis.

    Command(s): SOLVE,
    FINISH
    GUI: Main Menu> Solution> Solve> Current LS
    Main Menu> Finish

Once you have solved the analysis, you can use any of the standard ANSYS postprocessing functions to review your results.

The following is a sample input stream for performing an explicit-to-implicit sequential solution.

/batch,list
resume,stamp1,db          ! resume explicit database (explicit
                          ! problem run previously)
/filename,stamp2          ! change jobname so explicit results
                          ! are not overwritten
/prep7
etchg,eti                 ! convert explicit to implicit elements
r,1,.01,.01,.01,.01       ! change real constants (deformed
                          ! thicknesses used by RIMPORT)
ddel,all                  ! delete constraint loads from
                          ! explicit analysis
tbdelete,all,all          ! delete material models (retain
                          ! linear material properties)
upgeom,,,,stamp1,rst      ! redefine the implicit elements
                          ! at the deformed geometry
d,n1,ux,0.0,,,,uy,uz      ! Set necessary constraints on the model
d,n2,ux,0.0,,,,uy         !  (at least 3 non-colinear nodes)
d,n3,ux,0.0
  esel,s,ename,,181       ! Select only corresponding SHELL181
                          ! elements (No “former” rigid bodies)
nsle,s,1                  ! Select only SHELL181 nodes
shpp,off                  ! Turn off shape checking
finish
/solution
nlgeom,on                   ! Turn on nonlinear geometry
rimport,dyna,,,,,stamp1,rst ! Import stresses and thicknesses from
                            ! explicit analysis
save
solve
finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 14. Explicit-to-Implicit Sequential Solution 		Up / Home Next
14.2. Troubleshooting a Springback Analysis


14.2. Troubleshooting a Springback Analysis

Springback analyses are sometimes numerically difficult to solve. Some typical causes of convergence difficulties and actions you can take to resolve them are listed below.

  • Dynamic effects due to a high punch speed used in the explicit (LS-DYNA) run.

    Use a lower punch speed in the explicit run. You can do this by redefining the tool speed in the explicit analysis (EDLOAD command).

  • Slenderness of the structure; the ratio of part size to its thickness is large.

    A more refined mesh may reduce this slenderness effect.

  • The model contains local instabilities: the part, being very thin, tends to wrinkle along edges or sharp curvatures.

    Use a refined mesh to accurately model curvatures of the formed part.

  • The model is improperly constrained.

    Verify the boundary conditions in the springback analysis. This requires some engineering judgment on how and where to apply the boundary conditions in the springback phase. When the tools are removed, the part should be free to move except for restraints against rigid body movement. It is important to simulate this carefully in the finite element model. A commonly recommended approach is to use displacement constraints at a minimum of three non-colinear nodes. One node should be restricted from motion in all directions, another node should be restricted from motion in two directions, and the last node should be restricted from motion in only one direction. You must select these three nodes carefully so that the expected springback behavior is not prevented. The magnitude and direction of the displacements in the springback analysis should be viewed as relative quantities to the plane formed by these three nodes.

If you have checked all of the above conditions and the analysis is still not converging, try the following methods (in the order listed):

  • Attempt incremental springback by using a higher number of substeps.

  • Use a linear springback analysis (if such an approximation is acceptable) with the command NLGEOM,OFF.

  • Invoke springback stabilization (which is described below).

14.2.1. Springback Stabilization

If convergence difficulties persist, you should activate springback stabilization using the SPSCALE and MSCALE arguments of the RIMPORT command. The stabilization method is analogous to attaching artificial springs to all unconstrained degrees of freedom. The stiffnesses of these springs are directly proportional to the stiffnesses of the elements.

In each substep, ANSYS will assign the artificial springs large default stiffnesses to simulate a total restraint of the motion of the model at the beginning of each load step. The artificial stiffness is scaled down exponentially with the progress of iterations. (The picture below illustrates rapid decline of artificial spring stiffness over an iterative cycle.) The substep is considered to be converged only when the equilibrium convergence tolerances are met (as in a normal nonlinear analysis) and the artificial stiffness has reached an insignificantly small value. This may slow down the conversion of the solution in some cases; however, the benefit is more robust behavior of the model.

The SPSCALE parameter on the RIMPORT command is a scale factor that you input to scale (up or down) the default initial stiffness of the springs. (You must input SPSCALE to activate springback stabilization.) You can also specify an acceptable small stiffness value using the MSCALE parameter on the RIMPORT command.

The springback stabilization method is valid only when the geometric nonlinear option is active (NLGEOM,ON).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.1. Performing an Explicit-to-Implicit Sequential Solution 		Up / Home Next
Chapter 15. Implicit-to-Explicit Sequential Solution


Chapter 15. Implicit-to-Explicit Sequential Solution

In "Explicit-to-Implicit Sequential Solution", we explained how to perform explicit-to-implicit sequential solutions for analyzing springback in metal forming processes. This chapter discusses another form of sequential solution, implicit-to-explicit. There are two types of implicit-to-explicit sequential solutions. The first type, which involves performing an ANSYS implicit structural analysis followed by an ANSYS LS-DYNA explicit dynamic analysis, is used primarily for applying a preload prior to the transient phase of the analysis. (If this preload contains thermally induced strains, the implicit structural analysis needs to contain temperatures from an implicit heat transfer analysis.) The second type is a thermal-to-explicit sequential solution in which the implicit phase is an ANSYS thermal analysis. This type of analysis is useful for modeling temperature-dependent phenomena such as forging.

The following implicit-to-explicit analysis topics are available:

  • Structural Implicit-to-Explicit Solution for Preload
  • Thermal Implicit-to-Explicit Solution

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.2. Troubleshooting a Springback Analysis 		Up / Home Next
15.1. Structural Implicit-to-Explicit Solution for Preload


15.1. Structural Implicit-to-Explicit Solution for Preload

Unlike explicit-to-implicit solutions, which are used only in forming applications, structural implicit-to-explicit sequential solutions can be used for a broad range of engineering problems where a structure's initial stress state affects its dynamic response. The following is a short list of applications in which this type of implicit-to-explicit solution may be useful.

  • Droptest simulation of prestressed consumer goods

  • Bird-strike of a rotating engine blade (and blade containment)

  • Mounting and bearing loads on a turbine

  • Pressure vessels with initial internal pressure

  • Golf club striking a preloaded (wound) golf ball

  • Dynamic response of bolted joints

  • Dynamic response of a turbine engine under thermal straining

In an implicit-to-explicit sequential solution, you must first run an ANSYS implicit structural analysis to apply a preload to the structure being analyzed. In this implicit analysis, completely constrain all of the nodes of any elements that will only be used in the explicit analysis (e.g., the bird in a bird-strike problem). The nodal displacements and rotations from the ANSYS implicit solution are written to the ANSYS LS-DYNA dynamic relaxation file drelax.

Note

Temperatures from the ANSYS implicit structural solution are also written to the drelax file, but are not used by LS-DYNA. See Special Considerations for Thermal Loading for more information on how temperature loads are handled.

After defining additional loads, initial velocities, different material models (e.g., adding plasticity), etc., the explicit dynamic analysis can be conducted. The first part of this analysis uses the displacement results stored in the drelax file to do a stress initialization to a prescribed geometry. This preload is applied in pseudo time over 101 time steps to damp out any kinetic energy. The transient portion of the analysis then begins at time zero with a stable preloaded structure.

A detailed description of the implicit-to-explicit solution procedure follows.

  1. Run the implicit analysis as described earlier, using Jobname1. Keep in mind that this analysis must be small strain with linear material behavior. The only element types that can be used for an implicit-to-explicit sequential solution are:

    LINK8
    BEAM4
    SHELL181
    SOLID185
    COMBIN14
    MASS21
    LINK10

  2. Define any additional nodes and elements that are necessary to complete the explicit solution (for example, the bird in a bird-strike simulation, or a rigid surface that a phone would impact in a droptest). These additional nodes and elements may not be part of the implicit analysis, but they need to be defined here nonetheless. These additional nodes must be constrained (using D,ALL,ALL,0).

    Command(s): N,
    E
    GUI: Main Menu> Preprocessor> Modeling> Create> Nodes or Elements

  3. Solve and finish the analysis.

    Command(s): SOLVE,
    FINISH
    GUI: Main Menu> Solution> Solve
    Main Menu> Finish

  4. Save the implicit analysis database to file Jobname1.DB.

    Command(s): SAVE
    GUI: Utility Menu> File> Save as

    Note

    If you do not save your Jobname1.DB file at this point, then the database for this implicit run will not be saved. Only the database file for the subsequent explicit run will be saved.

  5. Change to Jobname2 to prevent the implicit results files from being overwritten.

    Command(s): /FILNAME,Jobname2
    GUI: Utility Menu> File> Change Jobname

  6. Reenter the preprocessor.

    Command(s): /PREP7
    GUI: Main Menu> Preprocessor

  7. Convert implicit element types to corresponding companion explicit element types. Note that the 2-D explicit element, PLANE162, cannot be used in this type of sequential solution. (PLANE162 is allowed in a thermal implicit-to-explicit sequential solution; see Thermal Implicit-to-Explicit Solution for details.) The corresponding companion implicit-explicit element type pairs are:

    Implicit Element Type Explicit Element Type
    LINK8 LINK160
    BEAM4 BEAM161
    SHELL181 SHELL163
    SOLID185 SOLID164
    COMBIN14 COMBI165
    MASS21 MASS166
    LINK10 LINK167
    Command(s): ETCHG,ITE
    GUI: Main Menu> Preprocessor> Element Type> Switch Elem Type

    Implicit elements not listed above can also be used, as long as they are defined by the same number of nodes, but they will not automatically be converted to explicit elements when ETCHG is issued. These elements must be converted manually using EMODIF. Higher-order implicit elements can also be used, but must also be converted manually using EMODIF with the corner nodes only. Do NOT delete or unselect the midside nodes - these nodes must be written to the LS-DYNA input file. The drelax file contains solutions for these nodes, but the ANSYS LS-DYNA explicit elements do not use these nodes in their definition.

    Command(s): EMODIF
    GUI: Main Menu> Preprocessor> Modeling> Move/Modify> Nodes

    Note

    Element types LINK8 and LINK10 lack a third node; however, their corresponding companion explicit element types, LINK160 and LINK167, require a third (orientation) node. If you are using element types LINK8 or LINK10, you must first convert the element type using ETCHG,ITE, and then manually define the third node of LINK160 or LINK167 elements using N and EMODIF.

    Also, if you are converting BEAM4 to BEAM161, you may need to manually define the third node of BEAM161 elements as well. However, BEAM4 allows you to define a third, optional node. If you have defined this third node on BEAM4, then the conversion to BEAM161 will be completed automatically when you issue ETCHG,ITE. If you did not define the third node on BEAM4, then you must manually define it on BEAM161 using N and EMODIF.

  8. Redefine the key options, real constants, boundary conditions, and loading values on the explicit elements. The TYPE, REAL, and MAT numbers from the implicit elements are retained, but the actual key option and real constant values are reset to zero or the default settings.

    Command(s): KEYOPT,
    R,
    MP, etc.
    GUI: Main Menu> Preprocessor> Element Type, Real Constants, Material Props, or LS-DYNA Options

  9. Remove constraints from the additional nodes or elements defined in Step 2, above.

    Command(s): DDELE
    GUI: Main Menu> Preprocessor> LS-DYNA Options> Constraints> Delete

  10. Reenter the solution processor.

    Command(s): /SOLU
    GUI: Main Menu> Solution

  11. Read nodal displacements, rotations, and temperatures from the implicit results file, and write this information to an ASCII LS-DYNA file, drelax.

    Command(s): REXPORT
    GUI: Main Menu> Solution> Constraints> Read Disp

  12. Initialize the structure to the prescribed geometry according to the displacements and rotations contained in the drelax file. In this step, LS-DYNA applies the load information (displacements and rotations) from the drelax file to the original geometry and calculates the deformed geometry, which it then uses as a starting point for the explicit analysis.

    Command(s): EDDRELAX
    GUI: Main Menu> Solution> Analysis Options> Dynamic Relax

  13. Apply any necessary loading for the explicit run.

    Command(s): EDVEL,
    EDLOAD,
    EDCURVE, etc.
    GUI: Main Menu> Solution> Initial Velocity
    Main Menu> Solution> Loading Options> Specify Loads
    Main Menu> Solution> Loading Options> Curve Options

  14. Solve and finish the explicit dynamics analysis. You can then return to the implicit solution, if necessary.

The following is a sample input stream for performing an implicit-to-explicit sequential solution.

/batch,list
resume,drop1,db        ! Resume implicit database (implicit
                       ! problem run previously)
/filename,drop2        ! Change jobname so implicit results are
                       ! not overwritten
/prep7
etchg,ite              ! Convert implicit to explicit elements
mp,dens,1,.0216        ! Change material properties
ddel,all               ! Delete constraint loads from implicit
                       ! analysis
tb,plaw,1,,,8          ! Define explicit dynamics nonlinear
                       ! material models
edmp,rigid,2,7,7       ! Change an existing material to a rigid body
edcgen,assc            ! Specify contact algorithms (if any)
nsel,s,loc,x,0         ! Select geometry for new constraints to be
                       ! specified
nsel,a,loc,y,0
d,all,ux,0             ! Set necessary constraints on the rigid
                       ! body, etc.
d,all,uy,0
finish
/solution
rexport,dyna,,,,,drop1,rst ! Create DRELAX file from implicit
                           ! results
eddrelax,ansys             ! Specify stress initialization by prescribed
                           ! geometry
edpart,create              ! Create parts for loading
edpart,list                ! List parts
edvel,…                    ! Apply initial velocities
edload,add,rbvx,,2,time,load,0  ! Apply phase = 0 loads
save
solve
finish

15.1.1. Special Considerations for Thermal Loading

Most types of temperature loads that are applied in the implicit structural analysis will be carried over to the subsequent explicit analysis; these include temperature loads applied with the BF, BFK, BFL, BFA, BFV, LDREAD, TUNIF, BFUNIF, and TREF commands. If you do not want to include the temperature loads in the explicit analysis, you can delete them in the ANSYS structural analysis phase (before you convert the model to explicit elements via ETCHG), or you can delete them in the explicit analysis.

In the explicit analysis phase, you can use the BFLIST command to list the temperature loads mentioned above. You can then use the BFDELE command to delete any temperatures originally defined with the LDREAD command or one of the "BF" type commands listed above. If you do not want to include a uniform temperature carried over by TUNIF (or BFUNIF,TEMP) you should set TUNIF to the reference temperature (which is the temperature specified on the TREF command). Any temperature loads that are not deleted will be written to the LS-DYNA input file, Jobname.K, automatically when the SOLVE or EDWRITE command is issued.

In order for temperature loads to take effect in the explicit analysis, you must use the Temperature Dependent Bilinear Isotropic material model or the Elastic Viscoplastic Thermal material model for portions of the model that are subjected to temperature loading. Note that only the SHELL163 and SOLID164 elements can accept temperature loading in a structural implicit-to-explicit sequential solution.

Note

The temperature loads in the implicit analysis are also written to the drelax file when REXPORT is issued (Step 12 above). However, the temperatures contained in the drelax file are not used in the LS-DYNA calculation.

Appendix D contains a complete example of a thermal/structural preload followed by a structural transient dynamic analysis.

Currently, ANSYS LS-DYNA does not support applying a thermal transient in a model that includes a thermal preload.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 15. Implicit-to-Explicit Sequential Solution 		Up / Home Next
15.2. Thermal Implicit-to-Explicit Solution


15.2. Thermal Implicit-to-Explicit Solution

The following is a detailed description of how to perform a thermal implicit-to-explicit sequential solution. Since the temperature loads are step-applied at the beginning of the transient, the analysis should be run for a sufficient amount of time to reduce the effects of the thermal shock loading. If only temperature-dependent material behavior is desired without the effects of thermally induced strain, set the coefficient of thermal expansion equal to zero (ALPX = 0) so that the analysis will be stable from the beginning of the transient. This is a convenient way to vary the modulus of elasticity in a model with only one material definition.

  1. Run the implicit thermal analysis using Jobname1. The only element types that can be used for a thermal implicit-to-explicit sequential solution are:

    PLANE55
    SOLID70
    SHELL57

    Keep in mind that you cannot combine 2-D and 3-D elements in the subsequent explicit analysis. Therefore, you should use only 2-D or only 3-D elements in the thermal analysis phase.

  2. You may define any additional nodes and elements that are necessary to complete the explicit solution. These additional nodes and elements may not be part of the thermal analysis, but they can be defined here if desired. These additional nodes must be constrained to a constant temperature (using D,NODE,TEMP,VALUE).

    Command(s): N,
    E
    GUI: Main Menu> Preprocessor> Modeling> Create> Nodes or Elements

  3. Solve and finish the analysis.

    Command(s): SOLVE,
    FINISH
    GUI: Main Menu> Solution> Solve
    Main Menu> Finish

  4. Save the thermal analysis database to file Jobname1.DB.

    Command(s): SAVE
    GUI: Utility Menu> File> Save as

    Note

    If you do not save your Jobname1.DB file at this point, then the database for this thermal run will not be saved. Only the database file for the subsequent explicit run will be saved.

  5. Change to Jobname2 to prevent the thermal results files from being overwritten.

    Command(s): /FILNAME,Jobname2
    GUI: Utility Menu> File> Change Jobname

  6. Reenter the preprocessor.

    Command(s): /PREP7
    GUI: Main Menu> Preprocessor

  7. Convert thermal element types to corresponding companion explicit element types. The corresponding companion thermal-explicit element type pairs are:

    Thermal (Implicit) Element Type Explicit Element Type
    PLANE55 PLANE162
    SHELL57 SHELL163
    SOLID70 SOLID164
    Command(s): ETCHG,TTE
    GUI: Main Menu> Preprocessor> Element Type> Switch Elem Type

  8. Redefine the key options, real constants, and material property values on the explicit elements. The TYPE, REAL, and MAT numbers from the implicit elements are retained, but the actual key option and real constant values are reset to zero or the default settings. Keep in mind that for temperature loading to take effect, you must use the Temperature Dependent Bilinear Isotropic material model in the explicit analysis.

    Command(s): KEYOPT,
    R,
    MP, etc.
    GUI: Main Menu> Preprocessor> Element Type> Real Constants> Material Properties

  9. Define additional nodes and elements, if needed. You may have already completed this task in the thermal analysis portion of the sequential solution (see Step 2). However, if desired, you could wait until the explicit analysis to complete this step.

    Command(s): N,
    E
    GUI: Main Menu> Preprocessor> Modeling> Create> Nodes or Elements

  10. Reenter the solution processor.

    Command(s): /SOLU
    GUI: Main Menu> Solution

  11. Read temperature results from the thermal analysis results file (Jobname1.RTH) and apply them as loads in the explicit analysis. You can only transfer the temperatures from one time point in the thermal analysis; specify this point by inputting the time value or the corresponding load step and substep numbers on the LDREAD command. If you issue LDREAD more than once, the temperature results specified by the last command will be used.

    Command(s): LDREAD,TEMP
    GUI: Main Menu> Solution> Loading Options> Temp From ANSYS

    The temperatures read in are applied as body loads to the nodes in the explicit model. You can use the BFLIST command to list these temperature loads and the BFDELE command to delete them.

    Command(s): BFLIST,
    BFDELE
    GUI: Main Menu> Solution> Loading Options> List Temps/Delete Temps

  12. Apply a uniform temperature load, if needed. You can use the TUNIF command (or BFUNIF,TEMP) to apply a uniform temperature load to all nodes in the model. The temperatures read in by LDREAD will overwrite the TUNIF temperature for all nodes that were present in the thermal analysis. Therefore, TUNIF would typically be used only when additional nodes and elements have been defined in the explicit portion of the sequential solution.

    Note

    If you used TUNIF (or BFUNIF,TEMP) to define a uniform temperature in the thermal analysis, the same uniform temperature will be applied automatically to any new nodes added in the explicit analysis phase. If you do not want to apply a uniform temperature in the explicit analysis, you should set TUNIF to zero (or to the TREF temperature, if it is nonzero).

    Command(s): TUNIF
    GUI: Main Menu> Solution> Loading Options> Uniform Temp

  13. Define a reference temperature. The thermal loading is defined as the difference between the applied temperature and the reference temperature. If the reference temperature is not specifically defined, it defaults to zero.

    Command(s): TREF
    GUI: Main Menu> Solution> Loading Options> Reference Temp

  14. Apply any additional loading needed for the explicit run.

    Command(s): EDVEL,
    EDLOAD,
    EDCURVE, etc.
    GUI: Main Menu> Solution> Initial Velocity
    Main Menu> Solution> Loading Options> Specify Loads
    Main Menu> Solution> Loading Options> Curve Options

  15. Solve and finish the explicit dynamic analysis.

The following is a sample input stream for performing a thermal implicit-to-explicit sequential solution.

/clear

/title, Thermal Implicit-to-Explicit Sequential Solution

/view,,1,2,3
/plopts,info,1

/filenam,thermal       ! define unique name for thermal analysis

/prep7
et,1,SOLID70           ! thermal brick element
r,1
mp,kxx,1,16.3          ! thermal conductivity, W/m-C
mp,c,1,502.0           ! specific heat, J/kg-C

block,0,1,0,1,0,11     ! create and mesh model
esize,0.5
vmesh,all
finish

/solu
antype,static          ! steady-state heat transfer analysis
time,1.0

nsel,s,loc,z,0
d,all,temp,300.0       ! 300 Celsius constraint at far end of beam

nsel,s,loc,z,11
cm,ntip,node
esln
cm,etip,elem
bf,all,hgen,20.0e3     ! 20,000 W/m^3 heat generation at near end ...

esel,all
nsel,s,ext             ! exterior beam nodes
sf,all,conv,6.0,0.0    ! hf=6.0 W/m^2-C and Tbulk=0 degrees C
nsel,all

save
solve
fini

/post1
set,last
plnsol,temp
/wait,3
fini

/filnam,explicit       ! define unique name for explicit analysis

/prep7
bfdele,all,all         ! delete thermal analysis heat generation loads
sfdele,all,all         ! delete thermal analysis convection loads
ddele,all,all          ! delete thermal analysis temp. constraints

etchg,tte              ! convert thermal element types to explicit

mp,dens,1,8030.0       ! kg/m^3 - density cannot be temp. dependent
edmp,hgls,1,5          ! add hourglass control

! Define temperature-dependent BISO model

! Specify material temperatures, degrees Celsius
mptemp,1, 0, 500, 700, 900, 1100, 1200

! Modulus of elasticity, N/m^2 (Pascal)
mpdata,ex,1,1, 1.93e11, 1.5e11, 1.0e11, 0.9e11, 0.8e11, 0.7e11

! Poisson's ratio, unitless
mpdata,nuxy,1,1, 0.3, 0.31, 0.32, 0.33, 0.34, 0.35

! Coefficient of thermal expansion, m/m-C
mpdata,alpx,1,1, 1.78e-5, 2.5e-5, 5e-5, 5.5e-5, 6.0e-5, 6.5e-5

tb,biso,1,6
tbtemp,0
tbdata,1,30000,3e6
tbtemp,500
tbdata,1,20000,2e6
tbtemp,700
tbdata,1,10000,1e6
tbtemp,900
tbdata,1,9000,0.9e6
tbtemp,1100
tbdata,1,8000,0.8e6
tbtemp,1200
tbdata,1,7000,0.7e6

edpart,create
eddamp,all,,0.01
fini

/solu
ldread,temp,last,,,,thermal,rth   ! apply temperature body loads
bflist

nsel,s,loc,z,0
d,all,ux,0.0,,,,uy,uz  ! structural displacement constraints
esel,all
nsel,all

time,0.15              ! use sufficient time (see below)

! Note: Since the temperatures are step-applied at the beginning of
!       the transient, a thermal shock condition is created.  You
!       should run the analysis for a sufficient amount of time
!       before adding any structural loads in order for the structure
!       to stabilize (i.e., stop vibrating).  Animation plots of both
!       stress and strain are helpful in verifying this condition.
!
!       Alternately, if only temperature-dependent material properties
!       (e.g., modulus of elasticity) are desired, you can avoid the
!       thermal shock condition by setting the coefficient of thermal
!       expansion equal to zero (ALPX=0).  Large plastic strains can
!       develop due to a thermal shock scenario, so care must be
!       used when running a thermal-to-explicit sequential solution.

edrst,100
edhtime,500
edhist,ntip
edhist,etip
edout,glstat
save
solve
fini

/post1
set,last
/dscale,,10            ! 10 times displacement magnification
plnsol,epto,x,2        ! X and Y strains are the same ...

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.1. Structural Implicit-to-Explicit Solution for Preload 		Up / Home Next
Chapter 16. Arbitrary Lagrangian-Eulerian Formulation


Chapter 16. Arbitrary Lagrangian-Eulerian Formulation

The Arbitrary Lagrangian-Eulerian (ALE) element formulation is a standard numerical approach for solving large strain deformation problems encountered in metal forming and high-speed impact applications. The general concept of the ALE formulation is that an arbitrary referential domain is defined for the description of motion that is different from the material (Lagrangian) and spatial (Eulerian) domains.

In a pure Lagrangian system, the mesh deforms with the material being modeled so that there is no material flow between elements. The Lagrangian approach is well suited for moderately large strain problems where mesh distortion and element entanglement are not a significant problem. The advantage of the Lagrangian approach is that the free surface of the material is automatically captured by the mesh. The main disadvantage of the Lagrangian approach is that problems develop in physical situations that involve highly deformed surfaces. Consider the high speed impact problem of a metal bar shown in Figure 16.1: "High Speed Impact of a Metal Bar". As shown in Figure 16.2: "Lagrangian Impact Solution", the Lagrangian approach begins to break down along the impact surface between the metal and the rigid wall. The mesh in this region becomes highly distorted and will not yield accurate results. The best solution for increasing the accuracy of the Lagrangian approach in highly deformed regions is to use an adaptive meshing procedure. Adaptive procedures, however, are computationally expensive and are still not fully developed in three dimensional problems. Other disadvantages of the Lagrangian approach are that only one material can be modeled in each element and that new (damaged) surfaces cannot be created.

Figure 16.1 High Speed Impact of a Metal Bar

Figure 16.2 Lagrangian Impact Solution

In a Eulerian based formulation, the mesh is stationary and the material flows through the mesh. The Eulerian approach originated in the fluid dynamics field and is best suited for very large deformation flow problems, such as the channel flow depicted in Figure 16.3: "Eulerian Channel Flow Solution". In the Eulerian method, new (damaged) surfaces are automatically created. The greatest disadvantage of the Eulerian approach is that a fine mesh is required to capture the material response, making the method very computationally expensive. This is particularly true for problems that contain regions where the structural response is desired and the strains are relatively small.

Figure 16.3 Eulerian Channel Flow Solution

The Arbitrary Lagrangian-Eulerian (ALE) approach is a very effective alternative for simulating large deformation problems. In its most basic sense, the ALE method defines that the mesh motion is independent of the motion of the material being analyzed. Although the mesh motion may be arbitrary, it typically deforms with the material in 'near Lagrangian' flow fields. The greatest advantage of the ALE method is that it allows smoothing of a distorted mesh without performing a complete remesh. This smoothing allows the free surface of the material to be followed automatically without encountering the distortional errors of the Lagrangian approach (see Figure 16.4: "ALE Impact Solution").

The main difficulty of the ALE method is the path dependent behavior of the plastic flow being modeled. Due to the path dependence, the relative motion between the mesh and the material must be accounted for in the material constitutive equations. In addition, the ALE method does not allow new (damaged) surfaces to be created and is limited to geometries where the material flow is relatively predictable.

Figure 16.4 ALE Impact Solution

For more information about the ALE formulation, refer to Livermore Software Technology Corporation’s LS-DYNA Theoretical Manual.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.2. Thermal Implicit-to-Explicit Solution 		Up / Home Next
16.1. Performing an ALE Analysis


16.1. Performing an ALE Analysis

The ALE formulation is available in the ANSYS LS-DYNA program only for PLANE162 and SOLID164 elements. For both of these element types, KEYOPT(5) defines the element continuum treatment. The default KEYOPT(5) setting is zero, which defines the material continuum to be Lagrangian. Setting KEYOPT(5) = 1 defines the ALE formulation. The current implementation of ALE in ANSYS LS-DYNA does not allow mixing of materials within an element.

In general, the 2-D ALE formulation (PLANE162) is not as robust as the 3-D formulation. Therefore, it may be advantageous to model 2-D problems with SOLID164 elements and then apply nodal motion constraints in the depth direction.

As described earlier, the greatest advantage of the ALE method is that it allows smoothing of a distorted mesh without performing a complete remesh. The algorithms for moving the mesh relative to the material control the range of the problems that can be solved by an ALE formulation. In the ANSYS LS-DYNA program, smoothing may be applied via the EDALE command. Using this command, you must define at least one of four different weighting factor options:

AFAC - Simple average smoothing weight factor. For this method, the coordinates of a node are the simple average of the coordinates of its surrounding nodes.
BFAC - Volume-weighted smoothing weight factor. This method uses a volume-weighted average of the coordinates of the centroids of the elements surrounding a node.
DFAC - Equipotential smoothing weight factor. Equipotential zoning is a method of making a structured mesh for finite difference or finite element calculations by using the solutions of Laplace equations as the mesh lines. The same method can be used to smooth selected points in an unstructured 3-D mesh provided that it is at least locally structured.
EFAC - Equilibrium smoothing weight factor (available only for PLANE162). For this method, artificial springs are attached to each ALE element node. The springs are used to adjust the position of each node from the equilibrium solution. This approach can overcome possible calculation instabilities found in the other smoothing methods.

The EDALE command also allows you to define start and end times for ALE smoothing.

You can define two additional ALE options with the EDGCALE command:

ADV - Number of cycles between advection
METH - Advection method (donor cell or Van Leer)

In general, it is not worthwhile to advect an element unless at least twenty percent of its volume will be transported, because the gain in the time step size will not offset the cost of the advection calculations. It is best to begin an ALE analysis with a Van Leer advection technique (METH = 1).

If you are working in the GUI, all ALE related options are accessed by picking Main Menu> Solution> Analysis Options> ALE Options.

Note

In order to activate the ALE formulation for a given set of elements, you must specify a smoothing weight factor (EDALE command), and you must specify the cycles between advections (NADV argument on the EDGCALE command). If you do not supply both of these inputs, the default Lagrangian formulation will be used for all elements, including those for which KEYOPT(5) = 1.

The remap step maps the solution from a distorted Lagrangian mesh onto the new mesh. The underlying assumptions of the remap step are 1) the topology of the mesh is fixed (that is, the element nodal connectivity remains unchanged), and 2) the mesh motion during a step is less than the characteristic lengths of the surrounding elements. The algorithms for performing the remap step are taken from the computational fluid dynamics community and are referred to as “advection” algorithms.

The donor cell algorithm is a first order Godunov method applied to the advection equation. Aside from its first order accuracy, it is a good advection algorithm; it is stable, monotonic and simple. The Van Leer algorithm is a higher order Godunov method that improves the estimates of the initial values of left and right states for the Riemann problem at the nodes. The donor cell algorithm assumes that the distribution of the initial value function is constant over an element. Van Leer replaces the piecewise constant distribution with a higher order interpolation function that is subject to an element level conservation constraint.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 16. Arbitrary Lagrangian-Eulerian Formulation 		Up / Home Next
Chapter 17. Drop Test Module


Chapter 17. Drop Test Module

The Drop Test Module (DTM) is an optional add-on feature to ANSYS LS-DYNA product. The DTM greatly simplifies the procedure for simulating a drop test. A drop test involves orienting an object with respect to an assumed gravitational field and allowing it to drop from some specified height under the influence of gravity onto a flat, rigid surface (the target). In a typical drop test, the object is dropped from rest and the target lies in a plane perpendicular to the direction of the acceleration due to gravity (g).

The DTM provides a streamlined GUI that guides you through the steps involved in a drop test analysis. It allows you to quickly orient your model relative to the target, specify solution controls, and perform the explicit dynamic analysis of the test. The analysis predicts deformations and stresses in the object over a user-specified time interval to characterize the implications of the impact of the object with the target.

The Drop Test Module is intended for use in the ANSYS Graphical User Interface (GUI) environment. GUI features pertaining to the Drop Test Module have been implemented using the ANSYS User Interface Design Language (UIDL), along with the Tool Command Language and Toolkit (Tcl/Tk).

The Drop Test Module is specially designed so that a user having little experience with explicit dynamics can easily perform a drop test analysis. Thus, you will find many advantages to using the Drop Test Module. For example, the module automatically creates the target. The DTM also offers options to specify initial translational and angular object velocities, contact surface friction coefficients, and a target orientation that is not perpendicular to the direction of g. For most drop tests, the analysis can be started at a time just prior to impact. This reduces computation time. When this option is used, the DTM automatically calculates the object's translational velocity and applies it at the start of the analysis. For all drop test cases, drag forces acting on the object as it moves through the air are neglected.

The following Drop Test Module topics are available:

  • Starting ANSYS With the Drop Test Module
  • Typical Drop Test Procedure
  • Advanced DTM Features
  • Drop Test Set-up Dialog Box
  • Picking Nodes
  • Postprocessing - Animation
  • Postprocessing - Graph and List Time-History Variables

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
16.1. Performing an ALE Analysis 		Up / Home Next
17.1. Starting ANSYS With the Drop Test Module


17.1. Starting ANSYS With the Drop Test Module

To start ANSYS to include both ANSYS LS-DYNA and the DTM option, do one of the following:

  • If you are starting ANSYS from a command line (UNIX) or DOS prompt (Windows), include -dtm in the line as well as a productname that represents an ANSYS LS-DYNA product. For example, to start the ANSYS LS-DYNA product with the DTM in interactive, graphics mode, type the following in a command line:

    ansys110 -p dyna -dtm -g

  • If you are starting ANSYS using the ANSYS Launcher, on the Launch tab choose an ANSYS LS-DYNA license and select the Drop Test Module for ANSYS LS-DYNA add-on.

Refer to "Running the ANSYS Program" in the Operations Guide for more information on starting ANSYS.

You can also have ANSYS automatically include the DTM option by setting the following environment variable:

ANSYS110_DTM=ON
See the ANSYS, Inc. Installation Guide for your platform for more details.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 17. Drop Test Module 		Up / Home Next
17.2. Typical Drop Test Procedure


17.2. Typical Drop Test Procedure

The step-by-step procedure described in this section can be used as a guide for most types of drop test analyses. A typical test would involve dropping an object from some height in a gravitational field onto a flat, rigid surface (target), neglecting surface friction. The basic procedure outlined here assumes that the object has a zero initial velocity, and the object is being dropped onto a target that lies in a plane which is normal to the direction of the acceleration due to gravity. More advanced features, such as inclusion of surface friction effects, specification of a nonzero initial velocity (translational and/or angular), and modification of the target size, properties, and orientation, are discussed in Advanced DTM Features in this user's guide.

Before you begin, it is important for you to understand how the screen coordinates are used within the Drop Test Module. In the DTM, the screen coordinates are always defined so that the screen Y axis (vertical) is in the direction opposite to the acceleration due to gravity (g). Thus, screen coordinates are used as a convenient method for keeping track of the relationship between the object to be dropped and the gravitational field. See Screen Coordinates Definition in this user's guide for more details.

17.2.1. Basic Drop Test Analysis Procedure

17.2.1.1. STEP 1: Create or import the model

Before entering the Drop Test Module, you must build or import the model of the object to be dropped. All elements should be defined and all material properties, including damping, should be specified. Only elements that are compatible with LS-DYNA (that is, explicit dynamic elements) should be included in the model. Make sure that there are not materials defined with either density or modulus of elasticity equal to zero. Otherwise, you will not be able to set up the DTM. See "Elements" in this user's guide for more information.

To avoid time increment degeneration problems, follow these guidelines when building the model:

  • Avoid triangular, tetrahedron, and prism elements

  • Avoid small elements

  • Avoid acute-angled elements

  • Use as uniform a mesh as possible

We recommend that a certain degree of damping be applied to the model to reduce the oscillatory response. You can apply both alpha (mass weighted) and beta (stiffness weighted) damping using the EDDAMP command.

Note

After completing the model and before entering the DTM, it is good practice to save the existing database under a unique name (pick Utility Menu> File> Save As).

17.2.1.2. STEP 2: Set up the DTM

You set up your analysis in the DTM by choosing Main Menu> Drop Test> Set Up. The Drop Test Set-up dialog box appears that includes several tabbed pages. The most common drop test analysis parameters are on the Basic tab, while parameters you may occasionally need to modify are included on most of the remaining tabs. A description of each tab is presented below along with the tasks you can perform within the tab:

Basic tab -- Specify magnitude of acceleration due to gravity (g), object drop height, object orientation, analysis start time, run time after impact, and the number of times data is written to the results file and to the time history output file. See Basic Tab of the Drop Test Set-up Dialog Box in this user's guide for more information.

Velocity tab -- Modify initial translational and/or angular velocity of the object. See Velocity Tab of the Drop Test Set-up Dialog Box in this user's guide for more information.

Target tab -- Modify dimensions and material properties of the target, rotate the target, and define contact and friction properties for the target. See Target Tab of the Drop Test Set-up Dialog Box in this user's guide for more information.

Status tab -- Display the values currently set for acceleration due to gravity, initial translational and angular velocity, and the estimated time at the end of solution. See Status Tab of the Drop Test Set-up Dialog Box in this user's guide for more information.

While the Drop Test Set-up dialog box is displayed, no other ANSYS menus are available until you choose OK or Cancel.

The remainder of this section (STEP 3 through STEP 9) discusses the options you would use during a typical drop test analysis. Advanced options that are not commonly used are covered in Advanced DTM Features in this user's guide.

17.2.1.3. STEP 3: Define the magnitude of (g)

You must specify the magnitude of (g) by choosing the Basic tab. Under the Gravity heading, you pick a (g) value corresponding to the test specific system of units (386.4, 32.2, etc.), or you can type your own value.

17.2.1.4. STEP 4: Specify the drop height

You must specify the drop height on the Basic tab. Under the Drop Height heading, you type the drop height, and specify a reference point. The drop height is measured along the screen Y axis from the center of the top face of the target to some height reference point within the model. Reference point options include the lowest object point, that is, the point on the object with the minimum screen Y coordinate value, or the object's center of gravity as calculated by ANSYS. The drop height that you input must be in length units that are consistent with the rest of the analysis (gravity for example).

17.2.1.5. STEP 5: Orient the object

In the DTM, the screen coordinates are automatically defined with the Y axis directed opposite to the direction of (g). You can orient the object with respect to the gravitational field under the Set Orientation heading on the Basic tab. There you have the option of orienting the object by using the DTM Rotate tool, or by picking nodes on the object that define a vector parallel to the screen Y direction.

17.2.1.6. STEP 6: Specify solution controls

You can access solution control options on the Basic tab. Under the Solution time heading, you can specify when the analysis starts (near impact time or at drop time), as well as the run duration time after impact. Under the Number of Results Output heading, you can specify the number of times results are written to the results file (file.RST) and to the time-history file (file.HIS).

For more information on the tasks involved in STEP 3 through STEP 6, see Basic Tab of the Drop Test Set-up Dialog Box in this user's guide.

17.2.1.7. STEP 7: Solve

Before solving, you should make sure that you are satisfied with the information in the Drop Test Set-up dialog box. Perform any of the following verification steps:

  1. Review the information under all of the tabs.

  2. Click on the Status tab since this displays your most updated input data.

  3. View the object and the target in the ANSYS Graphics window.

If you choose the Status tab, ANSYS attempts to automatically create the target (unless you have already created it by choosing the Target tab) and displays a statement in black print at the end of the Status tab page indicating that all the set-up data is acceptable and you can proceed to solve the analysis, or a statement in yellow print indicating that you should proceed with caution because the data produced error messages, or a statement displayed in red indicating that the set-up data is unacceptable.

If you receive either the second or third statement regarding error messages, check them in the ANSYS Output window. See Status Tab of the Drop Test Set-up Dialog Box in this user's guide for more information on using the Status tab. Make changes if necessary, then choose OK. At this time, all of the standard ANSYS menus become usable again. You then initiate the LS-DYNA solution by choosing Main Menu> Drop Test> Solve.

Note

A database that you save from the current version of ANSYS LS-DYNA DTM is not compatible with a previous version of ANSYS LS-DYNA DTM.

17.2.1.8. STEP 8: Animate results

Once the solution is completed, you can choose Main Menu> Drop Test> Animate Results to animate dynamic results (such as von Mises stresses) for the dropped object over the analysis time duration. For animating results, it is recommended that you choose to start the analysis at drop time. See Postprocessing - Animation in this user's guide for information on the Animate Over Results dialog box, and see "Animation" in the Basic Analysis Guide for general information on producing animations in ANSYS.

17.2.1.9. STEP 9: Obtain Time-History Results

In addition to animating the results, you can also review the analysis results at specific points in the model as a function of time by choosing Main Menu> Drop Test> Time History. See "Postprocessing" and Postprocessing - Graph and List Time-History Variables in this user's guide for more information.

17.2.2. Screen Coordinates Definition

When you first enter the DTM, screen Cartesian coordinates, which are fixed, are defined automatically, and are represented graphically in the lower left corner of the ANSYS Graphics window. Screen coordinates are used as a convenient way of keeping track of the relationship between the object to be dropped and the gravitational field. There are three important points you should understand about screen coordinates:

  • In the DTM, screen coordinates are always defined so that the screen Y axis is in the direction opposite to the acceleration due to gravity, (g).

  • Screen coordinates are defined with respect to global Cartesian coordinates.

  • Object coordinates can be rotated with respect to the screen coordinates.

The screen coordinates are always defined so that the Y axis is in the screen “up” direction. The object coordinate system is the coordinate system in which the finite element model was defined. You can reorient the object coordinate system using the DTM Rotate tool. You can define a vector to be parallel to the screen Y coordinate system by picking two nodes on the object. See Basic Tab of the Drop Test Set-up Dialog Box in this user's guide for more information. By redefining the object Y direction, you are specifying the relationship between the object and the gravitational field, because the screen Y direction is always assumed to be “up” or opposite to the direction of the acceleration due to gravity, (g).

The screen coordinates also determine the default drop test viewing orientation, which is defined as follows:

  • The screen X direction is "right" (to the viewer's right).

  • The screen Y direction is "up" on the screen.

  • The screen Z axis is along the normal from the screen to the viewer, or "out".

17.2.3. Additional Notes on the Use of the DTM

This section contains some notes of interest and practices to follow that will help you to use the DTM more effectively. Some of these points were mentioned briefly in previous sections.

  • During initialization, a keyword is created that is related to the filtering of menu picks in the DTM. The keyword is DTFILT. You should avoid using this word as a keyword or a parameter name, as it could interfere with the filtering of menu options.

  • Within the DTM, a component containing all the nodes in the object is automatically created and given the name _dtdrpob. This component name is used in issuing commands associated with LS-DYNA. You should avoid using this name.

  • Parameters _dtcgnum and _dtlownum are used for time-history postprocessing plots and lists. You should avoid using these names.

  • The DTM assumes that there are no constraints imposed on the object being dropped. However, coupling of components within an object is allowed.

  • Some parameter names used internally by the Drop Test Module begin with the underscore character (_), so you should avoid using parameter names that begin with an underscore. (This is true for any ANSYS analysis.)

  • If you do not choose to orient the object, the default assumption is the current screen Y axis view, which is directed opposite to the acceleration due to gravity (g).

  • You can modify any input set up parameter any number of times before entering the solution phase. All parameters in the Drop Test Module are subject to redefinition after being initially defined. You will see that whenever an input parameter that affects the initial target/object orientation is changed, the target is recreated automatically to reflect the change when you click on the Target tab or the Status tab.

  • After you specify a drop height, you will notice that, by default, the target is located nearly in contact with the object. This is due to the default option to begin the analysis near impact time. The target is created with just a small separation between the object and target. You may want to adjust the Solution time option to begin the analysis “at drop time”. After doing so, you will observe that the redefined target is at a position consistent with the specified drop height. However, while this option provides full animation of the drop scenario, it will require more computation time.

  • To use the option to start the analysis near impact time, the initial angular velocity must be zero.

  • The Drop Test Module does not alter the model of the object in any way. The DTM does create a model of a target after you specify a new orientation for the object.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
17.1. Starting ANSYS With the Drop Test Module 		Up / Home Next
17.3. Advanced DTM Features


17.3. Advanced DTM Features

This section discusses advanced features of the Drop Test Module that are provided as a convenience, but may not be required in a typical drop test analysis. These features include options to specify initial translational and angular velocities, modify the target's position and properties, and specify contact surface friction coefficients. Details on these features are included in the following sections.

17.3.1. Object Initial Velocity

By default, the translational and angular velocities of the object being dropped are assumed to be zero at the time of the drop. You can impose an initial translational and/or angular velocity on the object being dropped; however, in certain cases when you specify initial angular velocities, as discussed below, the “near impact time” starting option is not valid and the GUI prevents you from making this choice. The “near impact time” starting option is further discussed in Basic Tab of the Drop Test Set-up Dialog Box , under Solution Time in this user's guide.

You should always input initial velocities corresponding to the time of the "drop", even if the analysis is set to begin near impact. The program will calculate the initial translational velocity at the start of the analysis based on the initial velocity input and the acceleration due to gravity.

The initial velocities that you specify are applied via the EDVEL command. This command is discussed further under Initial Velocity in this user's guide.

You can specify initial translational or angular velocity by choosing Main Menu> Drop Test> Set Up then choosing the Velocity tab. Under either the Translational Velocity or Angular Velocity headings, you can choose to input the velocity in terms of screen coordinates or object coordinates. After choosing the desired option, simply input the X, Y, and Z components of the velocity. If you enter the velocity relative to the screen coordinates, the components are resolved into the object coordinates internally by the DTM before being input on the EDVEL command. See Velocity Tab of the Drop Test Set-up Dialog Box in this user's guide for more information.

17.3.2. Modifying the Target

The target is one rigid SOLID164 brick element, which is created automatically in the Drop Test Module and is always assumed to be stationary. Figure 17.1: "Two Views of the Target"(a) shows the target in the default drop test viewing orientation, and Figure 17.1: "Two Views of the Target"(b) is an alternate view of the target that more clearly shows its geometry. Figure 17.1: "Two Views of the Target"(b) shows that the target has two faces that are much larger than the other four. The two large faces lie in planes that are parallel to each other. The large face that has an outward normal vector directed along the screen Y axis (by default) is the “top” face of the target.

Figure 17.1 Two Views of the Target

It is expected that the default target position, size, orientation, material properties, and contact parameters will be acceptable for most analyses. But if necessary, you can change the characteristics of the target by following the procedures outlined in the following sections.

17.3.2.1. Target Position

You can change the target position by redefining the reference for the target center.

To change the target position, choose Main Menu> Drop Test> Set Up then choose the Target tab. Under the Dimensions heading, there are two options from which you can choose for centering the target in the screen X-Z plane. You can align the target's center of gravity either underneath the object's center of gravity, or underneath the object's lowest Y coordinate point. See Target Tab of the Drop Test Set-up Dialog Box in this user's guide for more information.

17.3.2.2. Target Size

The default target size is based on the characteristic target length TL. The program calculates TL based on the overall dimensions of the object being dropped. By default, the sides of the two large square faces of the target are of length 2TL, and the thickness of the target in the direction normal to these two faces is 0.1TL.

You can change the size of the target by choosing Main Menu> Drop Test> Set Up then choosing the Target tab. Under the Dimensions heading, you can enter two target scaling factors, one for scaling the target length (Ls) and one for scaling the target thickness (Ts). Thus, the sides of the two large square faces are of length 2LsTL, and the target height is 0.1TsTL. As an example, If you input Ls=2.0 and Ts=0.5, then the target is recreated with sides that are twice the default length and a thickness that is half its default value. Using this option to change the target size does not alter the location of the target center point. If you change the target's size, the target is re-drawn automatically. See Target Tab of the Drop Test Set-up Dialog Box in this user's guide for more information.

17.3.2.3. Target Orientation

By default, the target is oriented so that its two large faces are normal to the screen Y axis, and therefore normal to (g). But you may need to change the target orientation for your particular model. For example, you may want to simulate the object being dropped onto an inclined plane. To modify the target orientation, choose Main Menu> Drop Test> Set Up, choose the Target tab. Under the Orientation angle heading, you type an angle in degrees that is used to rotate the target about the screen Z axis (which is normal to the screen and toward the viewer) using a right-hand rule. This is ideal for creating an inclined plane target. If the target is not in its default orientation when this option is chosen, it is initially returned to its default orientation so that it is always modified beginning from the default. If you change the target's orientation, the target is re-drawn automatically. See Target Tab of the Drop Test Set-up Dialog Box in this user's guide for more information.

17.3.2.4. Target Material Properties

Although the target is always defined to be rigid, a material density, modulus of elasticity, and Poisson's ratio are still required for the LS-DYNA solution. Material properties are used for a contact stiffness calculation and a time step calculation. Details on the contact stiffness and time step can be found under "Contact Surfaces" in this user's guide.

By default, the target is defined to be rigid using the EDMP command:

EDMP,RIGID,MAT,7,7

The material number (MAT) used is one greater than the highest material number used by the model of the object being dropped. The default property values used for the target depend on the material properties used for the object. The Drop Test Module searches through all materials belonging to the object, finds the one with the lowest elastic modulus, and stores the corresponding material number. The modulus, density, and Poisson’s ratio corresponding to this material number are also specified as the modulus, density, and Poisson’s ratio of the target material.

If you know the actual target material properties, it is preferred that you input them directly. To specify the properties, choose Main Menu> Drop Test> Set Up, choose the Target tab, then, under the Material Properties heading, enter the Young's modulus, density, and Poisson's ratio. See Target Tab of the Drop Test Set-up Dialog Box in this user's guide for more information.

17.3.2.5. Specifying Friction Coefficients

In the Drop Test Module, automatic single surface contact (AG) is defined for the entire model. The contact is specified via the EDCGEN command.

You can change the static friction coefficient (FS), the dynamic friction coefficient (FD), and the exponential decay coefficient (DC). These coefficients apply to all contact surfaces, including the target surface. You can input values for these coefficients by choosing Main Menu> Drop Test> Set Up, then choosing the Target tab.

If you do not change parameters FS, FD, or DC, then they have default values of 0.0. See Target Tab of the Drop Test Set-up Dialog Box in this user's guide for more information.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
17.2. Typical Drop Test Procedure 		Up / Home Next
17.4. Drop Test Set-up Dialog Box


17.4. Drop Test Set-up Dialog Box

17.4.1. Using the Drop Test Set-up Dialog Box

You use the Drop Test Set-up dialog box for inputting parameters for an ANSYS LS-DYNA analysis that uses the Drop Test Module (DTM). You access it by choosing Main Menu> Drop Test> Set Up.

The Drop Test Set-up dialog box consists of four tabbed “pages,” each of which contains a group of related DTM set-up information. The tabs, in order from left to right, are Basic, Velocity, Target, and Status. Each information group is logically arranged on a tab; the most basic and frequently addressed parameters appear on the first tab, with each of the next two tabs providing more advanced parameters. Most DTM analyses involve using the default settings for parameters on these two tabs. You do however have the option of modifying these parameters as needed. The Status tab displays the values currently set for acceleration due to gravity, initial translational and angular velocity, and the estimated time at the end of solution. This tab is located furthest to the right because you are encouraged to examine its contents as a final set up task, before committing the parameters to the ANSYS database (by clicking OK in the dialog box).

Once you are satisfied with the settings on the Basic tab, you do not need to progress through the remaining tabs unless you want to change some of the advanced parameters. As soon as you click OK on any tab of the dialog box, the settings are applied to the ANSYS database and the dialog box closes. The target is then created and loads are applied.

Note

When you make changes to any tabbed page, your changes are applied to the ANSYS database only when you click OK to close the dialog box.

17.4.2. Basic Tab of the Drop Test Set-up Dialog Box

Figure 17.2 Drop Test Set-up Dialog Box - Basic Tab

Use the Basic tab to specify the options described below.

Gravity -- Specify the magnitude of gravity.

Magnitude of g drop down list and text field: You have the option to select one of the standard values for gravity or type in a customized value. The values for gravity you can choose from the drop down list are:

  • zero (default)

  • 386.4

  • 32.2

  • 9.81

  • 9810

Any value that you choose must have units that are consistent with the units used in the model of the object being dropped. You only need to input the magnitude of gravity. The direction is assumed to be in the negative Y direction, referenced to the screen coordinates. The object's coordinate components of the gravity loading are imposed on the object internally by the DTM, using three separate EDLOAD commands just before the problem is solved.

Drop Height -- Specify values for the drop height and the height reference point.

  • Height field: (default = 0) You type the value of the drop height in units consistent with the units of length used in creating the object being dropped. The height is always measured along the Y axis (referenced to the screen coordinates) from the center of the top face of the target to some height reference point in the object.

  • Reference drop down list: You choose the reference point from the following options:

    • Lowest Object Point (default): Reference point is the point on the object with the minimum screen Y coordinate value. If this option is used, then the node on the object with the minimum Y coordinate value is the reference point. If there is more than one node at this Y coordinate, then one of them is chosen arbitrarily to be the reference point.

    • Object CG: Reference point is the object's center of gravity as calculated by ANSYS. If the center of gravity has been previously calculated for some other purpose, then the information is stored, and the calculation is not repeated.

If the analysis is set to begin near impact time (default), then you will notice that the separation between the center of the target and the reference point, measured along the screen Y axis, is not equal to the specified drop height. This is because the target is created so that there is only a small separation, which is the case just before impact. However, if the analysis is set to begin at drop time, the separation between the target and the reference point equals the drop height.

By default, the target is oriented such that its top face is normal to the screen Y axis. If the orientation of the target is modified from the default orientation (see Target Orientation in this User's Guide), the location of the center of the top face of the target at the time of the drop is not altered. Therefore, the definition of the drop height outlined above is not changed.

Note

You should always define the drop height so that all nodes on the object are above the plane of the top face of the target prior to the drop.

Set Orientation -- Specify the orientation of the model with respect to the gravitational field.

  • Rotate button: You click this button to access the DTM Rotate dialog box, which allows you to dynamically rotate the object on the screen. This dialog box contains a Help button that you can click for more information.

  • Pick Nodes button: You click this button to access a picking dialog box, which allows you to define a vector either by picking two nodes, or by picking one node and having the object's center of gravity be the second node. The “up” direction is defined as the direction going from the first node that you pick to the second node that you pick. This dialog box contains a Help button that you can click for more information.

Solution Time -- Specify when the drop test analysis will start and how long it will run.

  • Start analysis near impact time radio button (default): You click this option to save computation time that would be expended as the object drops through the air. To use this option, the angular velocity must be zero. The velocity at the start of the analysis is calculated automatically assuming the object is a rigid body and there is no resistance due to the air. If an initial translational velocity is applied, it is taken into account in calculating the velocity at the start of the analysis.

  • Start analysis at drop time radio button: You click this option to include the entire time it takes for the object to drop from the specified height in the analysis. Although extra computation time is expended that is not directly involved with the drop test impact, this option accounts for rigid body rotation and is useful if you want to produce animations that include frames of the entire drop test, starting from when the object drops.

  • Run time after impact field: You type the time in seconds that you want the analysis to run after the object hits the target.

Number of Results Output -- Specify the number of times that the output is written to the results file and to the time-history file.

  • On Results file field: (default = 100) You type the number of times that the output is written to results file Jobname.RST. See the EDRST command for details.

  • On time history file field: (default = 1000) You type the number of times that the output is written to time-history file Jobname.HIS. See the EDHTIME command for details. Note here that a component containing the lowest point and the node closest to the object's center of gravity is automatically created for time-history postprocessing. You may define additional nodes. Refer to the EDHIST command for details.

Action Buttons

  • OK: Applies the settings on the Drop Test Set-up dialog box to the ANSYS database and closes the dialog box.

  • Cancel: Cancels any changes that you have made on the Drop Test Set-up dialog box since the last time that you clicked the OK button.

  • Help: Displays this help topic.

Related Information -- For further information about the options on the Basic tab, see the following sections in this user's guide:

  • Typical Drop Test Procedure

  • Modifying the Target

  • Picking Nodes

  • Object Initial Velocity

  • "Postprocessing"

  • Using the Drop Test Set-up Dialog Box

17.4.3. Velocity Tab of the Drop Test Set-up Dialog Box

Figure 17.3 Drop Test Set-up Dialog Box - Velocity Tab

Use the Velocity tab to specify the object velocities, as described below.

Translational Velocity -- Specify the initial translational velocity of the object being dropped at the beginning of the drop time, even if the analysis is set to begin near impact. If you apply a translational velocity other than zero, and choose to start the analysis near impact time, the initial angular velocity must be zero. If these conditions are not met, ANSYS will automatically start the analysis at drop time, and it will automatically recreate the target.

  • Velocity relative to drop down list: You choose either object coordinate system or screen coordinate system (default). If you enter the velocity relative to the screen coordinate system, the components are resolved into the object coordinate system internally by the DTM.

  • X Component field: (default = 0) The X component of the translational velocity.

  • Y Component field: (default = 0) The Y component of the translational velocity.

  • Z Component field: (default = 0) The Z component of the translational velocity.

Angular Velocity -- Specify the initial angular velocity of the object being dropped. The angular velocity is about the object centroid in units of radians/(unit time). Applying an angular velocity other than zero is only valid when starting the analysis at drop time. ANSYS automatically sets this option when you choose Solve, and it automatically recreates the target to reflect this change.

  • Velocity relative to drop down list: You choose either object coordinate system (default) or screen coordinate system. If you enter the velocity relative to the screen coordinate system, the components are resolved into the object coordinate system internally by the DTM before being input on the EDVEL command.

  • X Component field (default = 0): The X component of the angular velocity.

  • Y Component field (default = 0): The Y component of the angular velocity.

  • Z Component field (default = 0): The Z component of the angular velocity.

Action Buttons

  • OK: Applies the settings on the Drop Test Set-up dialog box to the ANSYS database and closes the dialog box.

  • Cancel: Cancels any changes that you have made on the Drop Test Set-up dialog box since the last time that you clicked the OK button.

  • Help: Displays this help topic.

Related Information -- For further information about the options on the Velocity tab, see the following sections in this user's guide:

  • Object Initial Velocity

  • Using the Drop Test Set-up Dialog Box

17.4.4. Target Tab of the Drop Test Set-up Dialog Box

Figure 17.4 Drop Test Set-up Dialog Box - Target Tab

When you choose the Target tab, the target is automatically created.

Also, use the Target tab to specify the options described below.

Dimensions -- Specify the target's position and size.

  • Center target using drop down list. You can change the position of the target by changing the location of the point on the center of the top face of the target in the screen X-Z plane. The point's Y coordinate is fixed when the drop height is specified. You can designate this point with one of the following options in the drop down list:

    • Lowest Object Point: (default) The lowest object point is the point on the object with the minimum screen Y coordinate value. If only a single node exists on the object at this point, then the screen X coordinate value of this node is used as the point's X coordinate, and the screen Z value is used as the point's Z value. If there is more than one node at the minimum Y point, then the X coordinate of the point is found by first selecting only those nodes located at the minimum Y point. Then, the point's X value is equal to the sum of the maximum and minimum screen X values in the selected set of nodes, divided by 2. Similarly, the point's Z value is equal to the sum of the maximum and minimum screen Z values in the selected set of nodes, divided by 2.

    • Object CG: The screen X value at the object center of gravity is used as the point's X value, and the screen Z value of the cg is used as the point's Z value.

  • Length scale factor field: (default = 1.0) You type a scale factor that changes the length of the target from the default length. The default length is determined by ANSYS, based on the overall dimensions of the object being dropped.

  • Thickness scale factor field: (default = 1.0) You type a scale factor that changes the thickness of the target from the default thickness. The default thickness is equal to 0.1 times the default length.

Orientation angle -- Specify the rotation of the target about the screen Z axis (normal to the screen and pointing toward you).

Rotation about screen Z field: (default = 0) You type the rotation angle in degrees about the screen Z axis.

The drop height loses its meaning when the normal to the target’s large faces is perpendicular to the screen Y axis. Therefore, if you modify the orientation so that the angle is greater than 89o or less than -89o with the screen Y axis, then the input is considered to be invalid. A warning is printed to the screen, and the target is returned to its previous orientation.

Material Properties -- Specify the material properties of the target. Material properties are used for a contact stiffness calculation and a time step calculation.

  • Young's Modulus field: (default = object's lowest Young's modulus) You type the target's Young's modulus in units consistent with the analysis.

  • Density field: (default = object's highest density) You type the target's density in units consistent with the analysis.

  • Poisson's Ratio field: (default = object's Poisson's ratio) You type the target's Poisson's ratio.

Contact -- Specify the contact friction coefficients described below.

  • Static friction coeff field: (default = 0.0) You type the static friction coefficient, which is FS as described in the Notes section of the EDCGEN command.

  • Dynamic friction coeff field: (default = 0.0) You type the dynamic friction coefficient, which is FD as described in the Notes section of the EDCGEN command.

  • Exponential decay coeff field: (default = 0.0) You type the exponential decay coefficient, which is DC as described in the Notes section of the EDCGEN command.

Action Buttons

  • OK: Applies the settings on the Drop Test Set-up dialog box to the ANSYS database and closes the dialog box.

  • Cancel: Cancels any changes that you have made on the Drop Test Set-up dialog box since the last time that you clicked the OK button.

  • Help: Displays this help topic.

Related Information -- For further information about the options on the Target tab, see the following sections in this user's guide, except as noted:

  • Modifying the Target

  • Definition of Contact Types

  • Using the Drop Test Set-up Dialog Box

17.4.5. Status Tab of the Drop Test Set-up Dialog Box

Figure 17.5 Drop Test Set-up Dialog Box - Status Tab

Use the Status tab to check the values currently set for acceleration due to gravity, initial translational and rotational velocity, and the total time at the end of solution. One of the following statements is also displayed:

  • Successful set-up. Ready to drop. [black print] This statement indicates that all the current set-up data is acceptable and you can click OK to commit the settings.

  • Proceed with caution. See error messages. [yellow print] This statement indicates that some of the current set-up data could be problematic in enabling a solution, or is otherwise “non-standard” (for example, a zero entry detected for the value of gravity). You should examine the error messages in the ANSYS Output window to determine what is causing them to occur. Then, if necessary, change settings as appropriate and recheck the Status tab until the first message in black appears for problem situations. Click OK to commit the settings.

  • Unsuccessful set-up. See error messages. [red print] This statement indicates that the current set-up data has produced errors that are serious enough to prevent a solution. The target will not be created in this situation. You should examine the error messages in the ANSYS Output window to determine the causes of these problems. Then change settings as appropriate and recheck the Status tab until the first message in black appears. Click OK to commit the settings.

It is recommended that you check this information in the Status tab along with a view of the object and the target in the in the ANSYS Graphics window before you click OK in the Drop Test Set-up dialog box as this commits all the set up data to the ANSYS database.

Action Buttons

  • OK: Applies the settings on the Drop Test Set-up dialog box to the ANSYS database and closes the dialog box.

  • Cancel: Cancels any changes that you have made on the Drop Test Set-up dialog box since the last time that you clicked the OK button.

  • Help: Displays this help topic.

Related Information -- For further information about the options on the Status tab, see the following section in this user's guide:

  • Using the Drop Test Set-up Dialog Box

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
17.3. Advanced DTM Features 		Up / Home Next
17.5. Picking Nodes


17.5. Picking Nodes

The Pick Nodes dialog box appears after you have clicked on the Pick Nodes... button on the Basic tab of the Drop Test Set-up dialog box. You use the Pick Nodes dialog box in specifying the orientation of the model with respect to the gravitational field by picking two nodes to define a vector in the screen y direction, or by picking one node and having the object's center of gravity (cg) be the second node. The “up” direction is defined as the direction going from the first node that you pick to the second node that you pick.

  • Pick Two Nodes option: To specify the model's orientation by picking two nodes:

    1. Pick the first node.

    2. Choose OK in the Pick Nodes dialog box.

    3. Pick the second node.

    4. Choose OK in the Pick Nodes dialog box.

    The object's orientation changes according to the vector defined by the two nodes that you picked. The object is aligned such that the vector you created will be parallel to the Y direction of the screen coordinate system.

  • Pick One Node and Use CG option: To specify the model's orientation by picking one node and using the object's center of gravity (calculated by ANSYS):

    1. Pick the first node.

    2. Choose OK in the Pick Nodes dialog box.

    3. Choose OK again in the Pick Nodes dialog box because the second node is the object's center of gravity by default.

    The object's orientation changes according to the vector defined by the node that you picked and the object's center of gravity.

Related Information -- For further information related to the Pick Nodes dialog box, see the following sections:

  • Basic Tab of the Drop Test Set-up Dialog Box in this user's guide

  • "Graphical Picking" in the Operations Guide

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
17.4. Drop Test Set-up Dialog Box 		Up / Home Next
17.6. Postprocessing - Animation


17.6. Postprocessing - Animation

You access the Animate Over Results dialog box after solution by choosing Main Menu> Drop Test> Animate Results.

The Animate Over Results dialog box is based on the ANSYS ANDATA command and allows you to specify animation options as described below.

Model result data radio buttons -- Specify the type of results data to be used for the animation sequence. Options are:

  • Current Load Step (default).

  • Load Step Range.

  • Result Set Range.

Range Minimum, Maximum text fields -- Specify the first and last data sets over which the animation should span. If the Minimum field is left blank or equals 0, the default is the first data set. If the Maximum field is left blank or equals 0, the default is the last data set.

Increment result set text field -- Specify the increment between result data set (default = 1).

Include last SBST (substep) for each LDST (load step) check box -- Specify whether or not to force the last result data set in a load step to be animated. The default is unchecked, meaning that the last data set is not included in the animation.

Animation time delay (sec) text field -- Specify the time delay between frames during the animation (default = 0.5 seconds).

Display Type two-column selection list -- Specify what parameter is to be animated in the left column (for example, Stress, Stress-total, Stress-plastic), and the specific subset of the chosen parameter in the right column (for example, 1st Principal Stress, von Mises Stress).

Action Buttons

  • OK: Applies the settings on the Animate Over Results dialog box to the ANSYS database and closes the dialog box.

  • Cancel: Cancels any changes that you have made on the Animate Over Results dialog box since the last time that you clicked the OK button.

  • Help: Displays information on the ANDATA command from the Commands Reference.

After you choose OK, the animation will be created and will be displayed. An Animation Controller dialog box will also be displayed that includes controls for starting and stopping the animation, as well as changing its direction. This dialog box includes its own Help button where more detailed information is available.

Related Information -- For further information related to the Animate Over Results dialog box, see the following sections:

  • STEP 8: Animate results in this user's guide.

  • "Animation" in the Basic Analysis Guide.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
17.5. Picking Nodes 		Up / Home Next
17.7. Postprocessing - Graph and List Time-History Variables


17.7. Postprocessing - Graph and List Time-History Variables

You access the Graph Time-History Variables dialog box or the List Time-History Variables dialog box after solution by choosing Main Menu> Drop Test> Time History.

Figure 17.6 Graph and Time-History Variables Dialog Box

Note

The contents of the Graph Time-History Variables dialog box and the List Time-History Variables dialog box are the same so this help topic describes both of them. Only the Graph Time-History Variables dialog box is shown above.

Use the applicable dialog box to display the time-history results of a drop test analysis as described below:

Nodes to graph/list drop down list: You select one of the following choices as the node(s) to graph or list:

  • CG and Lowest Pt.: (default) Both the center of gravity and the lowest point of the object, as initially specified will be graphed or listed.

  • Center of grav.: Only the center of gravity of the object will be graphed or listed.

  • Initial Low Pt.: Only the lowest point of the object, as initially specified will be graphed or listed.

Item and Comp to be graphed/listed two-column selection list: You first select Displacement (default), Velocity, or Acceleration as the item to be graphed or listed, then select the x, y, or z component of the chosen item referenced to the object or screen coordinate system. The default item and component is displacement in the Y direction referenced to the object coordinate system.

Action Buttons

  • OK: Applies the settings on the Graph/List Time-History Variables dialog box to the ANSYS database and closes the dialog box.

  • Cancel: Cancels any changes that you have made on the Graph/List Time-History Variables dialog box since the last time that you clicked the OK button.

  • Help: Displays this help topic.

Related Information -- For further information related to the Graph/List Time-History Variables dialog box, see the following sections in this user's guide:

  • "Postprocessing"

  • Screen Coordinates Definition

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
17.6. Postprocessing - Animation 		Up / Home Next
Appendix A. Comparison of Implicit and Explicit Methods


Appendix A. Comparison of Implicit and Explicit Methods

This appendix addresses some fundamental differences in the implementation of the implicit solution method versus the explicit solution method. These topics are available:

  • Time Integration
  • Stability Limit
  • Critical Time Step Size of a Rod
  • ANSYS LS-DYNA Time Step Size

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
17.7. Postprocessing - Graph and List Time-History Variables 		Up / Home Next
A.1. Time Integration


A.1. Time Integration

A.1.1. Implicit Time Integration

Inertia effects of mass and damping ([C] and [M]) are typically not included for implicit time integration. Average acceleration – displacements evaluated at time t+Δt are given by:

For linear problems, the solution is unconditionally stable when the stiffness matrix [K] is linear, and large time steps can be taken.

For nonlinear problems:

  • The solution is obtained using a series of linear approximations (Newton-Raphson method).

  • The solution requires inversion of the nonlinear stiffness matrix [K].

  • Small iterative time steps are required to achieve convergence.

  • Convergence tools are provided, but convergence is not guaranteed for highly nonlinear problems.

A.1.2. Explicit Time Integration

For the explicit method, a central difference time integration method is used. Accelerations evaluated at time t are given by:

where

is the applied external and body force vector

is the internal force vector which is given by:

Fhg is the hourglass resistance force, and Fcont is the contact force.

The velocities and displacements are then evaluated:

where

and

The geometry is updated by adding the displacement increments to the initial geometry {X0}:

For nonlinear problems:

  • A lumped mass matrix is required for simple inversion.

  • The equations become uncoupled and can be solved for directly (explicitly).

  • No inversion of the stiffness matrix is required. All nonlinearities (including contact) are included in the internal force vector.

  • The major computational expense is in calculating the internal forces.

  • No convergence checks are needed since the equations are uncoupled.

  • Very small time steps are required to maintain the stability limit.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Appendix A. Comparison of Implicit and Explicit Methods 		Up / Home Next
A.2. Stability Limit


A.2. Stability Limit

A.2.1. Implicit Method

For linear problems, the implicit solution is always stable; that is, the time step can be arbitrarily large.

For nonlinear problems, the time step size may become small due to convergence difficulties.

A.2.2. Explicit Method

The explicit solution is only stable if the time step size is smaller than the critical time step size:

where ωmax = largest natural circular frequency.

Due to this very small time step size, the explicit method is useful only for very short transients.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
A.1. Time Integration 		Up / Home Next
A.3. Critical Time Step Size of a Rod


A.3. Critical Time Step Size of a Rod

The critical time step is based on the Courant-Friedrichs-Levy criterion. As an example, we will compute the critical time step size of a rod.

The natural frequency is given by:

where

(c is the wave propagation velocity).

Substituting ωmax into the equation for critical time step yields:

Δt is the time needed for the wave to propagate through the rod of length l. Note that the critical time step size for explicit time integration depends on element length and material properties (sonic speed).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
A.2. Stability Limit 		Up / Home Next
A.4. ANSYS LS-DYNA Time Step Size


A.4. ANSYS LS-DYNA Time Step Size

ANSYS LS-DYNA checks all elements when calculating the required time step. For stability reasons, a scale factor of 0.9 (default) is used to decrease the time step:

The characteristic length, l, and the wave propagation velocity, c, are dependent on element type.

For beam elements:

l = length of the element, and

For shell elements:

For triangular shell elements:

For all shell elements:

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
A.3. Critical Time Step Size of a Rod 		Up / Home Next
Appendix B. Material Model Examples


Appendix B. Material Model Examples

This appendix provides example input for most of the material models available in ANSYS LS-DYNA.

Note

The input values given in this appendix are provided as examples only. The validity of these example materials is not guaranteed by ANSYS, Inc. It is the user’s responsibility to ensure that material data used in an ANSYS LS-DYNA analysis are accurate and appropriate for the structure being modeled.

The following material model topics are available:

  • ANSYS LS-DYNA Material Models
  • Material Model Examples

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
A.4. ANSYS LS-DYNA Time Step Size 		Up / Home Next
B.1. ANSYS LS-DYNA Material Models


B.1. ANSYS LS-DYNA Material Models

The following table lists ANSYS LS-DYNA material models and their corresponding LS-DYNA commands. The LS-DYNA material model number is also listed. The “Example” column indicates whether example material input is provided for each model. The example input listings are shown in the section that follows this table.

ANSYS Material Model | LS-DYNA Command | LS-DYNA MAT # | Example
Isotropic Elastic | *MAT_ELASTIC | 1 | Yes
Orthotropic Elastic | *MAT_ORTHOTROPIC_ELASTIC | 2 | Yes
Anisotropic Elastic | *MAT_ANISOTROPIC_ELASTIC | 2 | Yes
Elastic Fluid | *MAT_ELASTIC_FLUID | 1 | No
Blatz-Ko Rubber | *MAT_BLATZ-KO_RUBBER | 7 | Yes
Mooney-Rivlin Rubber | *MAT_MOONEY-RIVLIN_RUBBER | 27 | Yes
Viscoelastic | *MAT_VISCOELASTIC | 6 | Yes
Bilinear Isotropic Plasticity | *MAT_PLASTIC_KINEMATIC | 3 | Yes
Temperature Dependent Bilinear Isotropic | *MAT_ELASTIC_PLASTIC_THERMAL | 4 | No
Transversely Anisotropic Elastic Plastic | *MAT_TRANSVERSELY_ANISOTROPIC _ELASTIC_PLASTIC | 37 | Yes
Transversely Anisotropic FLD | *MAT_FLD_TRANSVERSELY _ANISOTROPIC | 39 | Yes
Bilinear Kinematic | *MAT_PLASTIC_KINEMATIC | 3 | Yes
Plastic Kinematic | *MAT_PLASTIC_KINEMATIC | 3 | Yes
3 Parameter Barlat Plasticity | *MAT_3-PARAMETER_BARLAT | 36 | Yes
Barlat Anisotropic Plasticity | *MAT_BARLAT_ANISOTROPIC _PLASTICITY | 33 | Yes
Rate Sensitive Powerlaw Plasticity | *MAT_RATE_SENSITIVE_POWERLAW _PLASTICITY | 64 | Yes
Strain Rate Dependent Plasticity | *MAT_STRAIN_RATE_DEPENDENT _PLASTICITY | 19 | Yes
Piecewise Linear Plasticity | *MAT_PIECEWISE_LINEAR_PLASTICITY | 24 | Yes
Modified Piecewise Linear Plasticity | *MAT_MODIFIED_PIECEWISE_LINEAR _PLASTICITY | 123 | Yes
Composite Damage | *MAT_COMPOSITE_DAMAGE | 22 | No
Concrete Damage | *MAT_CONCRETE_DAMAGE | 72 | No
Powerlaw Plasticity | *MAT_POWER_LAW_PLASTICITY | 18 | Yes
Elastic Viscoplastic Thermal | *MAT_ELASTIC_VISCOPLASTIC _THERMAL | 106 | Yes
Elastic-Plastic Hydrodynamic | *MAT_ELASTIC_PLASTIC_HYDRO | 10 | No
Geological Cap | *MAT_GEOLOGICAL_CAP_MODEL | 25 | Yes
Closed Cell Foam | *MAT_CLOSED_CELL_FOAM | 53 | No
Viscous Foam | *MAT_VISCOUS_FOAM | 62 | No
Low Density Foam | *MAT_LOW_DENSITY_FOAM | 57 | No
Crushable Foam | *MAT_CRUSHABLE_FOAM | 63 | No
Honeycomb Foam | *MAT_HONEYCOMB | 26 | No
Tabulated EOS | *EOS_TABULATED |  | No
Bamman | *MAT_BAMMAN | 51 | No
Johnson-Cook Linear Polynomial EOS | *MAT_JOHNSON_COOK *EOS_LINEAR_POLYNOMIAL | 15 | Yes
Johnson-Cook Gruneisen EOS | *MAT_JOHNSON_COOK *EOS_GRUNEISEN | 15 | Yes
Null Linear Polynomial EOS | *MAT_NULL *EOS_LINEAR_POLYNOMIAL | 9 | Yes
Null Gruneisen EOS | *MAT_NULL *EOS_GRUNEISEN | 9 | Yes
Zerilli-Armstrong | *MAT_ZERILLI_ARMSTRONG | 65 | No
Steinberg Gruneisen EOS | *MAT_STEINBERG *EOS_GRUNEISEN | 11 | Yes
Linear Elastic Spring | *MAT_SPRING_ELASTIC | N/A | No
General Nonlinear Spring | *MAT_SPRING_GENERAL_NONLINEAR | N/A | No
Nonlinear Elastic Spring | *MAT_SPRING_NONLINEAR_ELASTIC | N/A | No
Elastoplastic Spring | *MAT_SPRING_ELASTOPLASTIC | N/A | No
Inelastic Tension or Compression-only Spring | *MAT_SPRING_INELASTIC | N/A | No
Maxwell Viscosity Spring | *MAT_SPRING_MAXWELL | N/A | No
Linear Viscosity Damper | *MAT_DAMPER_VISCOUS | N/A | No
Nonlinear Viscosity Damper | *MAT_DAMPER_NONLINEAR_VISCOUS | N/A | No
Cable | *MAT_CABLE_DISCRETE_BEAM | 71 | Yes
Rigid | *MAT_RIGID | 20 | Yes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Appendix B. Material Model Examples 		Up / Home Next
B.2. Material Model Examples


B.2. Material Model Examples

B.2.1. Isotropic Elastic Example: High Carbon Steel

MP,ex,1,210e9 | ! Pa
MP,nuxy,1,.29 | ! No units
MP,dens,1,7850 | ! kg/m3

B.2.2. Orthotropic Elastic Example: Aluminum Oxide

MP,ex,1,307e9 | ! Pa
MP,ey,1,358.1e9 | ! Pa
MP,ez,1,358.1e9 | ! Pa
MP,gxy,126.9e9 | ! Pa
MP,gxz,126.9e9 | ! Pa
MP,gyz,126.9e9 | ! Pa
MP,nuxy,1,.20 | ! No units
MP,nuxz,1,.20 | ! No units
MP,nuyz,1,.20 | ! No units
MP,dens,1,3750 | ! kg/m3

B.2.3. Anisotropic Elastic Example: Cadmium

MP,dens,1,3400 | ! kg/m3
TB,ANEL,1 |
TBDATA,1,121.0e9 | ! C11 (Pa)
TBDATA,2,48.1e9 | ! C12 (Pa)
TBDATA,3,121.0e9 | ! C22 (Pa)
TBDATA,4,44.2e9 | ! C13 (Pa)
TBDATA,5,44.2e9 | ! C23 (Pa)
TBDATA,6,51.3e9 | ! C33 (Pa)
TBDATA,10,18.5 | ! C44 (Pa)
TBDATA,15,18.5 | ! C55 (Pa)
TBDATA,21,24.2 | ! C66 (Pa)

B.2.4. Blatz-Ko Example: Rubber

MP,dens,1,1150 | ! kg/m3
MP,gxy,1,104e7 | ! Pa

B.2.5. Mooney-Rivlin Example: Rubber

MP,dens,1,.0018 | ! lb/in3
MP,nuxy,1,.499 | ! No units
TB,MOONEY,1 |
TBDATA,1,80 | ! C10 (psi)
TBDATA,2,20 | ! C01 (psi)

B.2.6. Viscoelastic Example: Glass

MP,dens,1,2390 | ! kg/m3
TB,EVISC,1 |
TBDATA,46,27.4e9 | ! Go (Pa)
TBDATA,47,0.0 | ! (Pa)
TBDATA,48,60.5e9 | ! Bulk modulus (Pa)
TBDATA,61,.53 | ! 1/β

B.2.7. Bilinear Isotropic Plasticity Example: Nickel Alloy

MP,ex,1,180e9 | ! Pa
MP,nuxy,1,.31 | ! No units
MP,dens,1,8490 | ! kg/m3
TB,BISO,1 |
TBDATA,1,900e6 | ! Yield stress (Pa)
TBDATA,2,445e6 | ! Tangent modulus (Pa)

B.2.8. Transversely Anisotropic Elastic Plastic Example: 1010 Steel

MP,ex,1,207e9 | ! Pa
MP,nuxy,1,.29 | ! No units
MP,dens,1,7845 | ! kg/m3
TB,PLAW,,,,7 |
TBDATA,1,128.5e6 | ! Yield stress (Pa)
TBDATA,2,202e5 | ! Initial strain at failure
TBDATA,3,1.41 | ! r-value
TBDATA,4,1 | ! Yield stress vs. plastic strain curve (see EDCURVE below)
*DIM,STRAIN,,5 |
*DIM,YLDSTRES,,5 |

Strain(1) = 0,.05,.1,.15,.2

YldStres(1)=207e6,210e6,214e6,218e6,220e6 ! yield stress

EDCURVE,ADD,1,Strain (1),YldStres(1)

B.2.9. Transversely Anisotropic FLD Example: Stainless Steel

MP,ex,1,30e6 | ! Pa
MP,nuxy,1,.29 | ! No units
MP,dens,1,.00285 | ! kg/m3
TB,PLAW,1,,,10 |
TBDATA,1,20e3 | ! Initial yield stress (Pa)
TBDATA,2,5000 | ! Tangent modulus (Pa)
TBDATA,3,.2 | ! Hardening parameter
TBDATA,5,1 | ! Maximum yield stress curve (see EDCURVE below)
*DIM,mnstrn,,6 |
*DIM,mjstrn,,6 |

mnstrn(1) = -30,-10,0,20,40,50

mjstrn(1) = 80,40,29,39,45,44

EDCURVE,ADD,1,mnstrn (1),mjstrn(1)

B.2.10. Bilinear Kinematic Plasticity Example: Titanium Alloy

MP,ex,1,100e9 | ! Pa
MP,nuxy,1,.36 | ! No units
MP,dens,1,4650 | ! kg/m3
TB,BKIN,1 |
TBDATA,1,70e6 | ! Yield stress (Pa)
TBDATA,2,112e6 | ! Tangent modulus (Pa)

B.2.11. Plastic Kinematic Example: 1018 Steel

MP,ex,1,200e9 | ! Pa
MP,nuxy,1,.27 | ! No units
MP,dens,1,7865 | ! kg/m3
TB,PLAW,,,,1 |
TBDATA,1,310e6 | ! Yield stress (Pa)
TBDATA,2,763e6 | ! Tangent modulus (Pa)
TBDATA,4,40.0 | ! C (s-1)
TBDATA,5,5.0 | ! P
TBDATA,6,.75 | ! Failure strain

B.2.12. 3 Parameter Barlat Example: Aluminum 5182

MP,ex,1,76e9 | ! Pa
MP,nuxy,1,.34 | ! No units
MP,dens,1,2720 | ! kg/m3
TB,PLAW,,,,3 |
TBDATA,1,1 | ! Hardening rule of 1 (yield stress)
TBDATA,2,25e6 | ! Tangent modulus (Pa)
TBDATA,3,145e6 | ! Yield stress (Pa)
TBDATA,4,0.170 | ! Barlat exponent, m
TBDATA,5, .73 | ! R00
TBDATA,6,.68 | ! R45
TBDATA,7,.65 | ! R90
TBDATA,8,0 | ! CSID

B.2.13. Barlat Anisotropic Plasticity Example: 2008-T4 Aluminum

MP,ex,1,76e9 | ! Pa
MP,nuxy,1,.34 | ! No units
MP,dens,1,2720 | ! kg/m3
TB,PLAW,,,,6 |
TBDATA,1,1.04 | ! k (MPa)
TBDATA,2,.65 | ! Initial strain at failure
TBDATA,3,.254 | ! n
TBDATA,4,11 | ! Barlat exponent, m
TBDATA,5, 1.017 | ! a
TBDATA,6,1.023 | ! b
TBDATA,7,.9761 | ! c
TBDATA,8,.9861 | ! f
TBDATA,9,.9861 | ! g
TBDATA,9,.8875 | ! h

B.2.14. Rate Sensitive Powerlaw Plasticity Example: A356 Aluminum

MP,ex,1,75e9 | ! Pa
MP,nuxy,1,.33 | ! No units
MP,dens,1,2750 | ! kg/m3
TB,PLAW,,,,4 |
TBDATA,1,1.002 | ! k (MPa)
TBDATA,2,.7 | ! m
TBDATA,3,.32 | ! n
TBDATA,4,5.0 | ! Initial strain rate (s-1)

B.2.15. Strain Rate Dependent Plasticity Example: 4140 Steel

MP,ex,1,209e9 | ! Pa
MP,nuxy,1,.29 | ! No units
MP,dens,1,7850 | ! kg/m3
TB,PLAW,,,,5 |
TBDATA,1,1 | ! LCID yield stress vs. strain rate (see first EDCURVE command below)
TBDATA,2,22e5 | ! Tangent modulus (Pa)
TBDATA,3,2 | ! LCID Elastic modulus vs. strain rate (see second EDCURVE command below)
*DIM,StrnRate,,5 |
*DIM,YldStres,,5 |
*DIM,ElasMod,,5 |

StrnRate(1) = 0,.08,.16,.4,1.0

YldStres(1) = 207e6,250e6,275e6,290e6,300e6

ElasMod(1) = 209e9,211e9,212e9,215e9,218e9

EDCURVE,ADD,1,StrnRate(1),YldStres(1)

EDCURVE,ADD,2,StrnRate(1),ElasMod(1)

B.2.16. Piecewise Linear Plasticity Example: High Carbon Steel

MP,ex,1,207e9 | ! Pa
MP,nuxy,1,.30 | ! No units
MP,dens,1,7830 | ! kg/m3
TB,PLAW,,,,8 |
TBDATA,1,207e6 | ! Yield stress (Pa)
TBDATA,3,.75 | ! Failure strain
TBDATA,4,40.0 | ! C (strain rate parameter)
TBDATA,5,5.0 | ! P (strain rate parameter)
TBDATA,6,1 | ! LCID for true stress vs. true strain (see EDCURVE below)
*DIM,TruStran,,5 |
*DIM,TruStres,,5 |

TruStran(1)=0,.08,.16,.4,.75

TruStres(1)=207e6,250e6,275e6,290e6,3000e6

EDCURVE,ADD,1,TruStran (1),TruStres(1)

B.2.17. Modified Piecewise Linear Plasticity Example: PVC

MP,EX,1,443478 | ! psi
MP,DENS,1,.03 | ! lb/in3
MP,NUXY,1,.45 | ! No units
TB,PLAW,1,,,11 | ! Modified PLP
TBDATA,1,1000 | ! Yield strength
TBDATA,2,50000 | ! Tangent modulus
TBDATA,8,.25 | ! Thinning strain at failure - 25%
TBDATA,11,1 | ! Rate (1/s)
TBDATA,12,1 | LCID3 (stress-strain curve for above Rate )
TBDATA,13,4 | ! Rate (4/s)
TBDATA,14,2 | LCID4 (stress-strain curve for above Rate)
TBDATA,15,45 | ! Rate 45/s
TBDATA,16,3 | LCID5 (stress-strain curve for above Rate)
! Define stress-strain curves for each rate
*DIM,strn1,,10
*DIM,strs1,,10
*DIM,strn4,,10
*DIM,strs4,,10
*DIM,strn45,,9
*DIM,strs45,,9
strn1(1)=0,.004,.006,.008,.01,.014,.018,.022,.026,.03
strn4(1)=0,.004,.006,.008,.01,.014,.018,.022,.026,.03
strn45(1)=0,.004,.006,.008,.01,.014,.018,.022,.026
strs1(1)=0,375,520,675,745,900,1050,1200,1325,1400
strs4(1)=0,475,675,825,950,1200,1450,1675,1850,1925
strs45(1)=0,600,950,1175,1475,1775,2100,2400,2650
EDCURVE,ADD,1,strn1(1),strs1(1)
EDCURVE,ADD,2,strn4(1),strs4(1)
EDCURVE,ADD,3,strn45(1),strs45(1)

B.2.18. Powerlaw Plasticity Example: Aluminum 1100

MP,ex,1,69e9 | ! Pa
MP,nuxy,1,.33 | ! No units
MP,dens,1,2710 | ! kg/m3
TB,PLAW,,,,2 |
TBDATA,1,0.598 | ! k
TBDATA,2,0.216 | ! n
TBDATA,3,6500.0 | ! C (s-1)
TBDATA,4,4.0 | ! P

B.2.19. Elastic Viscoplastic Thermal Example

MP,dens,1,830 | ! kg/m3
MP,alpx,1,10e-6 | ! m/m-C
MP,ex,1,3.06e9 | ! Pa
TB,PLAW,1,,,12 | ! Elastic viscoplastic thermal
TBDATA,1,3.447e7 | ! Initial yield stress
TBDATA,12,1 | ! LCID1 (effective stress vs. effective plastic strain)
TBDATA,13,2 | ! LCID2 (elastic modulus vs. temp.)
TBDATA,14,3 | ! LCID3 (Poisson's ratio vs. temp.)
TBDATA,15,4 | ! LCID4 (yield stress vs. temp.)
TBDATA,18,5 | ! LCID7 (coefficient of thermal expansion vs. temp.)
! Stress-strain curve
*DIM,strn1,,10
*DIM,strs1,,10
strn1(1)=0,.004,.006,.008,.01,.014,.018,.022,.026,.03
strs1(1)=0,1.224e7,1.836e7,2.455e7,3.06e7,3.54e7,3.75e7,3.90e7,4.05e7,4.12e7
EDCURVE,ADD,1,strn1(1),strs1(1)
! Temperature dependent curves
*DIM,temp1,,4
*DIM,nuxy1,,4
*DIM,ex1,,4
*DIM,ystrs1,,4
*DIM,alpha1,,4
temp1(1)=70,120,250,500
ex1(1)=3.06e9,1.85e9,1.12e9,6.79e8
nuxy1(1)=.445,.451,.454,.456
ystrs1(1)=3.447e7,1.85e7,1.042e7,5.627e6
alpha1(1)=1e-5,8.4e-6,7.6e-6,7.2e-6
EDCURVE,ADD,2,temp1(1),ex1(1)
EDCURVE,ADD,3,temp1(1),nuxy1(1)
EDCURVE,ADD,4,temp1(1),ystrs1(1)
EDCURVE,ADD,5,temp1(1),alpha1(1)
! Note: Be sure to define a temperature range that exceeds the actual resulting temperatures. In this particular case, LS-DYNA will expect all temperatures to be between 0 and 500 degrees C. This requirement is on the LS-DYNA side.

B.2.20. Geological Cap Example: SRI Dynamic Concrete

MP,gxy,1,1700 | ! ksi
MP,dens,1,2.226e-7 | ! kip-sec2/in4
TB,GCAP,1 |
TBDATA,1,2100 | ! K (ksi)
TBDATA,2,.7 | ! α (ksi)
TBDATA,3,.1 | ! θ
TBDATA,4,.2 | ! γ (ksi)
TBDATA,5,1.473 | ! β (ksi-1)
TBDATA,6,10.8 | ! R
TBDATA,7,.00154 | ! D (ksi-1)
TBDATA,8,.884 | ! W
TBDATA,9,18 | ! X0 (ksi)
TBDATA,10,0 | ! C
TBDATA,11,0 | ! N
TBDATA,12,1 | ! Ftype
TBDATA,13,-0.3 | ! Toff

B.2.21. Johnson-Cook Linear Polynomial EOS Example: 1006 Steel

MP,ex,1,207e9 | ! Pa
MP,nuxy,1,.30 | ! No units
MP,dens,1,7850 | ! kg/m3
TB,EOS,1,,,1,1 |
TBDATA,1,350.25e6 | ! A (Pa)
TBDATA,2,275e6 | ! B (Pa)
TBDATA,3,.36 | ! n
TBDATA,4,.022 | ! c
TBDATA,5,1.0 | ! m
TBDATA,6,1400 | ! Melt temperature (°C)
TBDATA,7,30 | ! Room temperature (°C)
TBDATA,8,10 | ! Initial strain rate
TBDATA,9,4500 | ! Specific heat
TBDATA,10,240e6 | ! Failure stress
TBDATA,11,-.8 | ! Failure value D1
TBDATA,12,2.1 | ! Failure value D2
TBDATA,13,-.5 | ! Failure value D3
TBDATA,14,.0002 | ! Failure value D4
TBDATA,15,.61 | ! Failure value D5
TBDATA,17,140e9 | ! EOS linear polynomial term

B.2.22. Johnson-Cook Gruneisen EOS Example: OFHC Copper

MP,ex,1,138e9 | ! Pa
MP,nuxy,1,.35 | ! No units
MP,dens,1,8330 | ! kg/m3
TB,EOS,1,,,1,2 |
TBDATA,1,89.63e6 | ! A (Pa)
TBDATA,2,291.64e6 | ! B (Pa)
TBDATA,3,.31 | ! n
TBDATA,4,.025 | ! c
TBDATA,5,1.09 | ! m
TBDATA,6,1200 | ! Melt temperature (°C)
TBDATA,7,30 | ! Room temperature (°C)
TBDATA,8,10 | ! Initial strain rate
TBDATA,9,4400 | ! Specific heat
TBDATA,10,240e6 | ! Failure stress
TBDATA,11,-.54 | ! Failure value D1
TBDATA,12,4.89 | ! Failure value D2
TBDATA,13,-3.03 | ! Failure value D3
TBDATA,14,.014 | ! Failure value D4
TBDATA,15,1.12 | ! Failure value D5
TBDATA,16,.394 | ! C
TBDATA,17,1.489 | ! S1
TBDATA,18,0.0 | ! S2
TBDATA,19,0.0 | ! S3
TBDATA,20,2.02 | ! γ0
TBDATA,21,.47 | ! A

B.2.23. Null Material Linear Polynomial EOS Example: Brass

MP,ex,1,200e9 | ! Pa
MP,nuxy,1,.3 | ! No units
MP,dens,1,7500 | ! kg/m3
TB,EOS,1,,,2,1 |
TBDATA,1,0.0 | ! Pressure cut-off
TBDATA,3,1.5 | ! Relative volume in tension
TBDATA,4,.7 | ! Relative volume in compression
TBDATA,17,16e5 | ! EOS linear polynomial

B.2.24. Null Material Gruneisen EOS Example: Aluminum

MP,ex,1,100e9 | ! Pa
MP,nuxy,1,.34 | ! No units
MP,dens,1,2500 | ! kg/m3
TB,EOS,1,,,2,2 |
TBDATA,1,-10000 | ! Pressure cut-off (Pa)
TBDATA,3,2.0 | ! Relative volume in tension
TBDATA,4,.5 | ! Relative volume in compression
TBDATA,16,.5386 | ! C
TBDATA,17,1.339 | ! S1
TBDATA,18,0.0 | ! S2
TBDATA,19,0.0 | ! S3
TBDATA,20,1.97 | ! γ0
TBDATA,21,.48 | ! A

B.2.25. Steinberg Gruneisen EOS Example: Stainless Steel

MP,gxy,1,11.16e6 | ! (Pa)
MP,dens,1,.285 | ! (kg/m3)
TB,EOS,1,,,5,2 |
TBDATA,1,49.3e3 | ! Initial yield stress (Pa)
TBDATA,2,43 | ! Hardening coefficient
TBDATA,3,.35 | ! n
TBDATA,5,.36e6 | ! Maximum yield stress (Pa)
TBDATA,10,32 | ! Atomic weight
TBDATA,11,2380 | ! Absolute melting temp.
TBDATA,15,2 | ! Spall type
TBDATA,16,1 | ! Cold compression energy flag
TBDATA,17,-50 | ! Min. temp. parameter
TBDATA,18,200 | ! Max. temp. parameter
TBDATA,29,.457 | ! C
TBDATA,30,1.49 | ! S1
TBDATA,31,0.0 | ! S2
TBDATA,32,0.0 | ! S3
TBDATA,33,1.93 | ! γ0
TBDATA,34,1.4 | ! A

B.2.26. Cable Material Example: Steel

MP,ex,1,207e9 | ! Pa
MP,nuxy,1,.3 | ! No units
EDMP,cable,1,1 | ! See EDCURVE below
*DIM,EngStran,,4 |
*DIM,EngStres,,4 |

EngStran(1) = .02,.04,.06,.08

EngStres(1) = 207e6,210e6,215e6,220e6

EDCURVE,ADD,1,EngStran (1),EngStres(1)

B.2.27. Rigid Material Example: Steel

MP,ex,1,207e9 | ! Pa
MP,nuxy,1,.3 | ! No units
MP,dens,1,7580 | ! kg/m3
EDMP,rigid,1,7,7 |

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
B.1. ANSYS LS-DYNA Material Models 		Up / Home Next
Appendix C. ANSYS LS-DYNA to LS-DYNA Command Mapping


Appendix C. ANSYS LS-DYNA to LS-DYNA Command Mapping

When you initiate an ANSYS LS-DYNA solution via the SOLVE command (and also when you issue the EDWRITE command), an LS-DYNA input file called Jobname.k is created. This file contains all of the model information that you have entered into ANSYS. However, the information in this file is in terms of LS-DYNA keyword commands, not ANSYS commands.

The table below contains information that will help you interpret the Jobname.k file. The left column lists ANSYS commands that are unique to ANSYS LS-DYNA, and the right column lists the corresponding LS-DYNA commands. ANSYS commands that perform an action (such as EDCLIST) have no corresponding LS-DYNA command and are not included in this table. ANSYS and LS-DYNA commands that are used to define material properties are listed in Material Model Examples.

ANSYS Command | Corresponding LS-DYNA Command
EDADAPT | *PART
EDALE | *CONTROL_ALE
EDASMP | *SET_PART_LIST
EDBOUND | *BOUNDARY_SLIDING_PLANE *BOUNDARY_CYCLIC
EDBVIS | *CONTROL_BULK_VISCOSITY
EDBX | *DEFINE_BOX
EDCADAPT | *CONTROL_ADAPTIVE
EDCGEN | *CONTACT
EDCMORE | *CONTACT
EDCNSTR | *CONSTRAINED_EXTRA_NODES_SET *CONSTRAINED_NODAL_RIGID_BODY *CONSTRAINED_SHELL_TO_SOLID *CONSTRAINED_RIVET
EDCONTACT | *CONTROL_CONTACT
EDCPU | *CONTROL_CPU
EDCRB | *CONSTRAINED_RIGID_BODIES
EDCSC | *CONTROL_SUBCYCLE
EDCTS | *CONTROL_TIMESTEP
EDCURVE | *DEFINE_CURVE
EDDAMP | *DAMPING_PART_MASS *DAMPING_PART_STIFFNESS
EDDC | *DELETE_CONTACT
EDDRELAX | *CONTROL_DYNAMIC_RELAXATION
EDDUMP | *DATABASE_BINARY_D3DUMP
EDENERGY | *CONTROL_ENERGY
EDGCALE | *CONTROL_ALE
EDHGLS | *CONTROL_HOURGLASS
EDHIST | *DATABASE_HISTORY_NODE *DATABASE_HISTORY
EDHTIME | *DATABASE *DATABASE_BINARY_D3THDT
EDINT | *INTEGRATION_BEAM *INTEGRATION_SHELL
EDIPART | *PART_INERTIA
EDIS | *STRESS_INITIALIZATION *STRESS_INITIALIZATION_DISCRETE
EDLCS | *DEFINE_COORDINATE_VECTOR *DEFINE_COORDINATE_SYSTEM *DEFINE_VECTOR
EDLOAD, , (FX, FY, FZ, MX, MY, MZ) | *LOAD_NODE_SET
EDLOAD, , (UX, UY, UZ, ROTX, ROTY, ROTZ, VX, VY, VZ, AX, AY, AZ) | *BOUNDARY_PRESCRIBED_MOTION_SET
EDLOAD, , (ACLX, ACLY, ACLZ, OMGX, OMGY, OMGZ) | *LOAD_BODY_GENERALIZED
EDLOAD, ,TEMP | *LOAD_THERMAL_VARIABLE
EDLOAD, , PRESS | *LOAD_SEGMENT *LOAD_SEGMENT_SET *LOAD_SHELL_SET
EDLOAD, , (RBUX, RBUY, RBUZ, +RBRX, RBRY, RBRZ, RBVX, RBVY, RBVZ,RBOX, RBOY, RBOZ) | *BOUNDARY_PRESCRIBED_MOTION_RIGID
EDLOAD, , (RBFX, RBFY, RBFZ, RBMX, RBMY, RBMZ) | *LOAD_RIGID_BODY
EDMP,HGLS | *HOURGLASS
EDNB | *BOUNDARY_NON_REFLECTING
EDNROT | *BOUNDARY_SPC_SET
EDOPT | *DATABASE_FORMAT
EDOUT | *DATABASE_OPTION
EDPART | *PART
EDPVEL | *SET_NODE *INITIAL_VELOCITY *INITIAL_VELOCITY_GENERATION *CHANGE_VELOCITY *CHANGE_VELOCITY_ZERO
EDRC | *RIGID_DEFORMABLE_CONTROL
EDRD | *DEFORMABLE_TO_RIGID *RIGID_DEFORMABLE_D2R *RIGID_DEFORMABLE_R2D
EDRI | *DEFORMABLE_TO_RIGID_INERTIA
EDRST | *DATABASE_BINARY_D3PLOT
EDSHELL | *CONTROL_SHELL
EDSP | *CHANGE_SMALL_PENETRATION
EDSTART | r = d3dumpnn lsdyna command line option
EDTERM | *TERMINATION_NODE *TERMINATION_BODY
EDVEL | *SET_NODE *INITIAL_VELOCITY *INITIAL_VELOCITY_GENERATION *CHANGE_VELOCITY *CHANGE_VELOCITY_ZERO
EDWELD | *CONSTRAINED_SPOTWELD *CONSTRAINED_GENERALIZED_WELD_SPOT
BFUNIF or TUNIF | *LOAD_THERMAL_CONSTANT
LDREAD | *LOAD_THERMAL_CONSTANT_NODE
REXPORT | m = drelax lsdyna command line option

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
B.2. Material Model Examples 		Up / Home Next
Appendix D. Thermal/Structural Preload Example


Appendix D. Thermal/Structural Preload Example

This appendix contains an example of a combined thermal/structural preload analysis followed by a structural transient. The example demonstrates the implicit-to-explicit procedure discussed in "Implicit-to-Explicit Sequential Solution", with emphasis on how to handle temperature loads in this type of sequential solution (see Special Considerations for Thermal Loading).

The input file creates a cantilever beam structure modeled with thermal brick elements. The analysis is performed in four separate phases. In the first phase, a steady-state heat transfer analysis is conducted using ANSYS thermal elements. A thermal gradient is produced in which the left side of the beam is 20 degrees hotter than the right side.

In the second phase, the thermal elements are converted into ANSYS implicit structural elements. Next, the nonuniform temperatures from the end of the heat transfer analysis are read into the structural model with the LDREAD command. A pressure load is also applied to the top of the beam, and one end of the beam is restrained. A static thermal/structural preload analysis is then conducted.

The results of the second phase show that the temperature gradient causes the beam to bend to the side, and the pressure load causes the beam to bend downward. This is the desired preload condition, which should match the results at the beginning of the subsequent transient dynamic analysis.

In the third phase, the implicit elements are converted into explicit elements and a stress initialization to a prescribed geometry is conducted. This pseudo-dynamic relaxation analysis uses the displacements from the drelax file (but not the temperatures) to establish the preload. The temperatures are applied directly as static thermal loads in the Jobname.K file itself. The results of this analysis (at time = 0) match those of the ANSYS implicit analysis very well.

In phase four, a transient dynamic analysis is conducted. The pressure load is ramped up, while the temperature load is held constant. This is because only one type of thermal load is permitted in any given analysis.

The complete input file is shown below.

fini
/clear

/title, ANSYS LS-DYNA Thermal/Structural Preload Example

! units: kilogram, meter, second, Newton, Pascal, Joule, Watts

! = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =

/filnam,thermal

/plopts,info,1
/psf,conv,hcoe,1
/view,,1,2,3

/prep7
et,1,SOLID70           ! thermal brick element
r,1                    ! dummy real constant set

! Temperature-independent thermal material properties:

mp,dens,1,8.03e3       ! kg/m^3
mp,kxx,1,16.3          ! W/m-C
mp,c,1,502.0           ! J/kg-C

block,0,1,0,1,0,11
esize,0.25
vmesh,all
cm,nbeam,node
cm,ebeam,elem
fini

/solu
antype,static          ! steady state heat transfer analysis
time,1.0

nsel,s,loc,x,0         ! left side of beam
esln
bf,all,hgen,3.0e3      ! 3,000 W/m^3 heat generation on left side

esel,all
nsel,s,ext             ! exterior beam nodes
nsel,r,loc,x,1.0       ! right side of beam
sf,all,conv,30.0,0.0   ! hf=30.0 W/m^2-C and Tbulk=0 degrees C
nsel,all

/title, ANSYS Heat Transfer Analysis

save
solve
fini

/post1
set,last
plnsol,temp
/wait,3
save
fini

! = = = = = = = = = = = = = = = = = = = = = = = = = = = =

/filnam,static

/psf,pres,norm,2
/dscale,,1.0

/prep7
bfdele,all,all         ! remove thermal body force (heat generation) loads
sfdele,all,all         ! remove thermal surface (convection) loads

!!!etchg,tts              ! convert SOLID70 elements into SOLID45 elements
!!!keyopt,1,2,1           ! similar formulation to default SOLID164

et,2,SOLID185          ! desired structural brick element
emodif,all,type,2      ! ETCHG,TTS creates SOLID45 elements
etdele,1               ! remove thermal bricks
numcmp,type            ! compress element type numbers
keyopt,1,2,1           ! uniform reduced integration to match SOLID164

! Temperature-dependent structural properties

mp,dens,1, 8.03e3               ! kg/m^3 (canNOT be temp-dependent)
mptemp, 1, 0.0, 500.0           ! degrees C, two temperatures
mpdata,  ex,1,1,193.0e9,93.0e9  ! N/m^2 (temperature-dependent)
mpdata,nuxy,1,1,0.29,0.28       ! unitless (temperature-dependent)
mpdata,alpx,1,1,18.0e-6,16.0e-6 ! m/m-C (temperature-dependent)

! Note:  Do not define plasticity in this ANSYS implicit preload
!        analysis, since implicit-to-explicit sequential solutions
!        assume linear elastic material properties and small strain.
!        Plasticity can be added in the subsequent transient run

mplist,all,all
fini

/solu
antype,static          ! thermal strain (preload) structural analysis

time,1.0
nsubst,2,1000,2
outres,all,last

ldread,temp,last,,,,thermal,rth   ! temperature body loads (overwrites TUNIF)

tref,0.0               ! reference temperature for "instantaneous" alpha
bflist,all,temp

nsel,s,loc,y,1
cm,nbeamtop,node
esln
cm,ebeamtop,elem
sf,all,press,1.1e5     ! apply pressure load (N/m^2) to top of beam

nsel,s,loc,z,0
d,all,uz,0.0           ! restrain aft end of beam
nsel,s,loc,z,0
nsel,r,loc,y,0.5
d,all,uy,0
nsel,s,loc,z,0
nsel,r,loc,x,0.5
d,all,ux,0

nsel,all
esel,all

/title, ANSYS Implicit Static Preload Analysis

save
solve
fini

/post1
set,last
/dscale,,10            ! exaggerate displacement
plnsol,s,eqv,2
/wait,3

! Note:  Make sure that the yield stress is not exceeded, since
!        the preload needs to have a linear response for the
!        subsequent dynamic relaxation analysis

save
fini

! = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =

/filnam,dynamic

/psf,pres,norm,2
/dscale,,1.0

/prep7
sfdele,all,all         ! remove structural surface (pressure) loads

etchg,ite              ! convert SOLID185 elements into SOLID164 elements

! Add plasticity to temperature-dependent properties

tb,biso,1,2            ! temperature-dependent BISO (2 temperatures)
tbtemp,0.0             ! first temperature
tbdata,1,66.7e6        ! N/m^2, yield stress at 0 degrees
tbdata,2,1.93e9        ! N/m^2, tangent modulus at 0 degrees
tbtemp,500.0           ! second temperature
tbdata,1,60.0e6        ! N/m^2, yield stress at 500 degrees
tbdata,2,0.93e9        ! N/m^2, tangent modulus at 500 degrees

! Note:  Be sure to define a temperature range that exceeds the
!        actual resulting temperatures.  In this particular case,
!        LS-DYNA will expect all temperatures to be between 0 and
!        500 degrees C.  This requirement is on the LS-DYNA side.

edmp,hgls,1,5          ! add hourglass control
edpart,create          ! create part list

eddamp,all,,0.10       ! mass (alpha) damping
eddamp,1,,1.0e-6       ! stiffness (beta) damping

mplist,all,all
tblist,all,all
fini

/solu
time,0.2               ! termination time (seconds)

rexport,dyna,,,,,static,rst   ! create drelax file

! Note:  The temperatures written to the drelax file are NOT used by
!        LS-DYNA to establish the thermal preload condition.  Instead,
!        the temperatures written via the *LOAD_THERMAL_CONSTANT_NODE
!        command are used.  The latter are stored in the ANSYS database
!        as body force BF loads from the LDREAD command.  These thermal
!        loads remain active unless deleted (BFDELE,ALL,TEMP).

bflist,all,temp        ! no need to re-issue LDREAD command

eddrelax,ansys         ! stress initialization to a prescribed geometry

! Increase the pressure load after a bit to introduce plasticity in
! the beam.  The beam should remain bent in the XZ plane (due to the
! thermal load) while bending further downward in the YZ plane.

*dim,etime,,5,1,1
*dim,epress,,5,1,1
etime(1)=0.0,0.025,0.050,0.100,0.201       ! extend curve out
epress(1)=1.1e5,1.1e5,2.2e5,2.2e5,4.4e5    ! force into plasticity
edload,add,press,4,ebeamtop,etime,epress   ! pressure (N/m^2) on beam top

dlist,all,all          ! keep beam restraints from previous implicit run

edrst,100
edhtime,200
edhist,nbeamtop
edhist,ebeamtop
edenergy,1,1,1,1
edout,glstat
edopt,add,,both
edwrite,both,,k

nsel,all
esel,all

/title, ANSYS LS-DYNA Dynamic Relaxation and Transient Analyses

save
solve
fini

/post1
set,first
/dscale,,10            ! exaggerate displacement

/title, ANSYS LS-DYNA Dynamic Relaxation Analysis
plnsol,s,eqv,2
/wait,3

set,last

/title, ANSYS LS-DYNA Transient Dynamic Analysis (Plastic State)
plnsol,s,eqv,2
/wait,3

save
fini
/exit,nosav

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Appendix C. ANSYS LS-DYNA to LS-DYNA Command Mapping 		Up / Home Next
Bibliography


Bibliography

[1.] F. Barlat and J. Lian. "Plastic Behavior and Stretchability of Sheet Metals. Part I: A Yield Function for Orthotropic Sheets Under Plane Stress Conditions". Int. Journal of Plasticity, Vol. 5. pg. 51-66. 1989.

[2.] F. Barlat, D. J. Lege, and J. C. Brem. "A Six-Component Yield Function for Anistropic Materials". Int. Journal of Plasticity, Vol. 7. pg. 693-712. 1991.

[3.] R. Hill. "A Theory of the Yielding and Plastic Flow of Anisotropic Metals". Proceedings of the Royal Society of London, Series A., Vol. 193. pg. 281–197. 1948.

[4.] F. K. Chang and K. Y. Chang. "A Progressive Damage Model for Laminated Composites Containing Stress Concentration”. Journal of Composite Materials, 21. pg. 834-855. 1987.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Appendix D. Thermal/Structural Preload Example 		Up / Home Next
ANSYS Connection User's Guide


ANSYS Connection User's Guide

Release 11.0 Documentation for ANSYS

Table of Contents

1. Introduction to the Connection Functionality
1.1. Software Requirements
1.2. Importing Multiple Files (Create ANSYS Database)
1.3. Getting Started: Import a CAD File
2. Importing Parts and Models
2.1. CATIA V4
2.2. CATIA V5
2.3. Parasolid
2.3.1. Importing a Parasolid File
2.3.2. Parasolid Specific Attributes
2.4. Pro/ENGINEER
2.5. SAT
2.6. Unigraphics
2.6.1. Additional Output Files from Unigraphics Conversions
2.6.2. Environment Variables for Unigraphics
3. Starting ANSYS from Pro/ENGINEER and Unigraphics
3.1. Launching from Pro/ENGINEER
3.1.1. UNIX System Configuration for Connection Functionality for Pro/ENGINEER
3.1.2. Windows System Configuration for Connection Functionality for Pro/ENGINEER
3.1.3. Launching ANSYS from Pro/ENGINEER
3.1.4. Modifying ANSYS Settings from Pro/ENGINEER
3.1.5. Troubleshooting Connection Problems
3.2. Launching from Unigraphics (UNIX Only)
3.2.1. Configuring Unigraphics
3.2.2. Modifying ANSYS Settings from Unigraphics
4. Importing a Unigraphics Part Tutorial
A. Setting ANSYS Configuration Parameters
B. Troubleshooting ANSYS Connection Issues
B.1. General Troubleshooting
B.2. License Troubleshooting
B.3. Shared Library Problems
B.4. Configuration Errors for Pro/ENGINEER and Unigraphics Users
B.5. Troubleshooting Part Import
B.5.1. Problems Specific to the Connection for Parasolid
B.5.2. Problems Specific to the Connection for Pro/ENGINEER
B.5.3. Problems Specific to the Connection for SAT
B.5.4. Problems Specific to the Connection for Unigraphics

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Bibliography 		Up / Home Next
Chapter 1. Introduction to the Connection Functionality


Chapter 1. Introduction to the Connection Functionality

The connection functionality provide you with a means to import CAD geometries into ANSYS. The connection functionality can import geometries for the CAD/CAE file formats listed below. You must have the appropriate Geometry Interface license to use the connection functionality.

  • CATIA V5 R2-16

  • CATIA V4.x or lower (separate geometry interface licenses must be used for CATIA V5 and CATIA V4)

  • Parasolid 18.0 or lower

  • Pro/ENGINEER Wildfire 2 and 3.

  • SAT/ACIS 16 or lower

  • Unigraphics NX 3.0 and NX 4.0

Note

The connection functionality generally supports prior releases of CAD files (such as ACIS 12.0); however, due to changes in the CATIA product, support is not available between CATIA 5.x and prior CATIA releases.

Table 1.1 provides a list of CAD packages, their file type, and the recommended connection functionality to use when importing files.

Table 1.1 CAD Package and Recommended Connection Functionality

CAD Package | File Type | Connection Functionality to Use
CATIA 4.x and lower | .model or .dlv | CATIA
CATIA 5.x | .CATPart or .CATProduct | CATIA Version 5
Pro/ENGINEER | .prt | Pro/ENGINEER
Unigraphics | .prt | Unigraphics
Parasolid | .x_t or .xmt_txt | Parasolid
Solid Edge | .x_t or .xmt_txt | Parasolid
SolidWorks | .x_t | Parasolid
Unigraphics | .x_t or .xmt_txt | Parasolid
AutoCAD | .sat | SAT
Mechanical Desktop | .sat | SAT
SAT ACIS | .sat | SAT
Solid Designer | .sat | SAT

Auto Launch Feature

The connection functionality allows you launch ANSYS from the Pro/ENGINEER or Unigraphics (UNIX only) packages. This direct launch lets you to take advantage of ANSYS analysis features as you design with CAD software, thus augmenting design and testing processes.

Note

You must be working in a UNIX environment to launch ANSYS directly from Unigraphics. ANSYS will not automatically launch from any Windows platform.

The following connection functionality overview topics are available:

  • Software Requirements
  • Importing Multiple Files (Create ANSYS Database)
  • Getting Started: Import a CAD File

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
ANSYS Connection User's Guide 		Up / Home Next
1.1. Software Requirements


1.1. Software Requirements

OS and Hardware Requirements

Please refer to the appropriate ANSYS section for specific support information and system requirements.

Back To Top

Software Installation Prerequisites

Make sure that your system conforms to the following requirements:

  • Before starting any connection task, ANSYS 11.0 must be installed and configured on the target system.

  • As applicable, Pro/ENGINEER must be installed on your machine for proper connection operation.

  • As applicable, Unigraphics must be installed on your machine for proper connection operation.

  • A CAD file's geometry should be verified prior to initiating connection capability.

  • For SAT, Parasolid, and CATIA v4, the connection functionality does not require any additional CAD product licenses.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 1. Introduction to the Connection Functionality 		Up / Home Next
1.2. Importing Multiple Files (Create ANSYS Database)


1.2. Importing Multiple Files (Create ANSYS Database)

By default, theconnection capability writes ANSYS Neutral Format (.anf) files whenever a file is imported. A benefit of this feature is that an assembly (multiple.anf files) may be imported to create an ANSYS database by properly naming and saving individual files. The commands to perform this action are shown below.

Command(s): | /INPUT
GUI: | File> Read Input From...

Note

You cannot enter multiple files with an individual command; you must use a separate command line for each file. For example:

/INPUT part1.anf
/INPUT part2.anf
/INPUT part3.anf

ANSYS displays the following message after you import the second file (and any subsequent files):

You have already entered the input file utility (AUX15)

You can ignore this message.

The number of files that you can add to create a single database depends on the memory configuration of your machine.

ANSYS automatically increments the entity numbers of the objects (keypoints, lines, areas, and volumes) in the subsequent .anf files by the highest object in the previous .anf files. This prevents object numbers from being duplicated in the final database.

For example, you could have numbered lines and areas in part1.anf and part2.anf like this:

part1.anf | part2.anf | part1.anf | part2.anf
Lines | Lines | Areas | Areas
1, 2, 3, 4, 5, 6 | 1, 2, 3, 4, 5, 6 | 1, 2, 3, 4 | 1, 2

When you put both into a new ANSYS database, the object numbers are automatically updated like this:

Lines | Areas
1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12 | 1, 2, 3, 4, 5, 6

This combination scheme can produce some object number gaps in the new database.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.1. Software Requirements 		Up / Home Next
1.3. Getting Started: Import a CAD File


1.3. Getting Started: Import a CAD File

This section examines how to open a CAD file with a connection from the ANSYS graphical user interface (GUI). If you require additional information about navigating within the GUI, refer to Using the ANSYS GUI in the Operations Guide.

  1. Be sure that the following are running:

    • Current ANSYS version (ANSYS 11.0).

    • At least one connection. If you have any questions about a connection's availability on your system, talk to your system administrator or refer to the appropriate installation guide.

  2. Start ANSYS.

  3. Select File> Import to display the menus shown in Figure 1–1.

    Figure 1.1 File Import Menus

  4. Select the applicable CAD system in the Import menu.

Import procedures specific to a CAD package are covered in the Importing Parts and Models section of this document.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.2. Importing Multiple Files (Create ANSYS Database) 		Up / Home Next
Chapter 2. Importing Parts and Models


Chapter 2. Importing Parts and Models

This section further defines the steps to import parts or assemblies with connection functionality. Select the appropriate CAD product heading to examine the import procedure for:

  • CATIA V4
  • CATIA V5
  • Parasolid
  • Pro/ENGINEER
  • SAT
  • Unigraphics

For troubleshooting information, see Appendix B.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.3. Getting Started: Import a CAD File 		Up / Home Next
2.1. CATIA V4


2.1. CATIA V4

The connection for CATIA supports models created with CATIA Version 4.x or lower. If you are using CATIA Version 5, see CATIA V5.

Before you start ANSYS, the file (.model or .dlv) you wish to import must exist on your machine or on a known network location.

You can use the ANSYS GUI or the ~CATIAIN command to initiate the import.

Import with the ANSYS GUI

  1. Select File> Import> CATIA from the menus. The ANSYS Connection for CATIA dialog box appears, as shown in the figure below.

    Figure 2.1 ANSYS Connection for CATIA Dialog

  2. Choose the appropriate file. If necessary, select the Import blanked bodies check box to allow suppressed CATIA data to be imported.

  3. Click OK.

Once the geometry is imported, follow standard ANSYS analysis procedures; the Basic Analysis Guide has many examples. If your imported model contains multiple volumes, Boolean operators are available to further process your geometry (refer to Sculpting Your Model with Boolean Operations in the Modeling and Meshing Guide for more information).

Note

Only surface and volume models are imported. Wireframe models are not supported and will be filtered out.

Back To Top

Import with the ANSYS ~CATIAIN Command

You can also use the following command line method to import a CATIA part.

Command Syntax:

~CATIAIN,Name,Extension,Path,- -,- -,BLANK,- -

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 2. Importing Parts and Models 		Up / Home Next
2.2. CATIA V5


2.2. CATIA V5

The connection for CATIA Version 5 can import model part or assembly files created with CATIA V5 R2-16. Supported geometry files have the .CATPart or .CATProduct file extension.

Before starting ANSYS, the file (.CATPart or .CATProduct) you wish to import must exist on your machine or on a known network location. You can use the ANSYS GUI or the ~CAT5IN command to import the file.

Import with the ANSYS GUI

  1. Select File> Import> CATIA 5. The ANSYS Connection for CATIA Version 5 Import dialog box appears, as shown in the figure below.

    Figure 2.2 ANSYS Connection for CATIA Version 5 Dialog

  2. Click the Browse button and navigate to the appropriate directory location of the part.

  3. Select the part file.

  4. If necessary, modify the Import Options:

    • Select Allow model defeaturing option to store the model in the solid database format so that it can be defeatured following import. If this option is not checked, the model is stored in a neutral database format, that restricts defeaturing following import. This is the default setting.

    • Select the Geometry type drop-down menu to filter the type of geometry contained in the CATIA version 5 file. Selections include:

      • Solids - imported as ANSYS volumes (default).

      • Surfaces - Imported as ANSYS areas.

      • Wireframe - Imported as ANSYS lines.

      • All - Import all entities; use this option when the file contains multiple entity types.

  5. Press OK once selections are performed.

Note

If your imported model contains multiple volumes, Boolean operators are available to further process your geometry (see Sculpting Your Model with Boolean Operations in the Modeling and Meshing Guide for more information).

Back To Top

Import with ANSYS ~CAT5IN Command

You can also use the following command line method to import a CATIA version 5 file.

Command Syntax:

~CAT5IN,Name,Extension,Path,Entity,FMT,NOCL,NOAN

Note

If you specify defeaturing (FMT = 1), this command should be the last line of any script or file input.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.1. CATIA V4 		Up / Home Next
2.3. Parasolid


2.3. Parasolid

2.3.1. Importing a Parasolid File

Before you start ANSYS, the Parasolid file (.x_t or .xmt_txt) you wish to import must exist on your machine or on a known network location. You can use the ANSYS GUI or the ~PARAIN command to import the file.

Import with the ANSYS GUI

  1. Select File> Import> PARA. The ANSYS Connection for Parasolid dialog box appears, as shown in the figure below.

    Figure 2.3 ANSYS Connection for Parasolid Dialog

  2. Select the desired Parasolid file. In addition to the file name, file location and file type options, modify the following values as necessary.

    • Allow Defeaturing - Check this box to store the model in the solid database format so it can be defeatured after import. If this is not checked, the model is stored in neutral database format, which restricts defeaturing after import (default).

    • Allow Scaling - Check this box to permit scaling of the model (if warranted by the model size). Please see the

    • Geometry Type - Import the file as:

      • Solids Only - Imported as ANSYS volumes (default).

      • Surfaces Only - Imported as ANSYS areas.

      • Wireframe Only - Imported as ANSYS lines.

      • All Entities - Import all entities; use this option when the file contains multiple entity types.

  3. Click OK once selections are performed.

Note

If your imported model contains multiple volumes, Boolean operators are available to further process your geometry (see Sculpting Your Model with Boolean Operations in the Modeling and Meshing Guide for more information).

Back To Top

Import with the ANSYS ~PARAIN Command

You can also use the following command line method to import your Parasolid file.

Command(s) Syntax:

~PARAIN,Name,Extension,Path,Entity,FMT,Scale

Back To Top

Troubleshooting

For general troubleshooting information, please see Troubleshooting Connection Issues, or examine Problems Specific to the Connection for Parasolid for specific issues. In addition, please refer to the Parasolid Specific Attributes section for additional information about specific considerations associated with importing Parasolid files.

2.3.2. Parasolid Specific Attributes

The connection for Parasolid supports the import of multiple Parasolid files (.anf) for the creation of a single ANSYS database. You can import Parasolid files that make up an assembly, save them as .anf files then import them into one database. See Importing Multiple Files (Create ANSYS Database) for more information on working with multiple .anf files.

However, models must be saved in the text Parasolid format. The saved model files must have either the *.x_t or *.xmt_txt extension.

Scaling

When a Parasolid model is created, the measurement unit information is always represented by meters regardless of the units used to create the model. However, when the CAD package writes out the file, the measurement unit information is not included. The absolute numbers in the Parasolid file can differ from those represented in the ANSYS model.

When ANSYS reads a Parasolid file, the dimensions can be so small that ANSYS must apply a scale factor to improve the success of the transfer. ANSYS uses a scale factor of 10 or 100, depending on the original model size. ANSYS displays the scale factor used in the output window.

Back To Top

Assemblies

You can directly import Parasolid assemblies into ANSYS using the connection for Parasolid. After you import an assembly, you will have as many volumes in ANSYS as you had parts in the assembly. You must then do the following to build a contiguous model:

  1. Glue volumes together using the VGLUE command.

  2. Glue dissimilar meshes together by generating constraint equations at the interfaces using the CEINTF command. You should only use this method for models with small deflection.

  3. Define bonded contact elements such as CONTA171 to glue dissimilar meshes together.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.2. CATIA V5 		Up / Home Next
2.4. Pro/ENGINEER


2.4. Pro/ENGINEER

Before you start ANSYS, the Pro/ENGINEER part file (*.prt*) or assembly file (*.asm*) must exist on your machine or on a known network location. In addition, the file must have been created in Pro/ENGINEER Wildfire 2 or 3 or an earlier version.

You can use the ANSYS GUI or the ~PROEIN command to import the file.

Note

When importing Pro/ENGINEER parts and assemblies, the connection for Pro/ENGINEER will always import the version with the highest number (.asm.N) extension, if a number is the final extension.

Import with the ANSYS GUI

  1. Select File> Import> Pro/E. The ANSYS Connection for PRO/E dialog box is displayed, as shown in the figure below.

    Figure 2.4 ANSYS Connection for PRO/E Dialog

  2. Select the desired Pro/ENGINEER file. As necessary, modify the values of the following dialog box options:

    • Pro/E Command - Specify the command that launches Pro/ENGINEER on your system. This field defaults to the value specified during the installation process or using the ANS_ADMIN utility. If no command was specified, the default is proe1. The Pro/ENGINEER command name is set by the ANSYS_PROE_CMD environment variable.

      Note

      If you are a UNIX user, do not use an alias to run the Pro/ENGINEER executable. The path to the executable should be already set if the Pro/ENGINEER installation path has been defined for the PATH environment setting.

    • Allow Defeaturing - Check this box to store the model in the solid database format so it can be defeatured after import. If this is not checked, the model in stored in neutral database format, which restricts defeaturing after import (default).

  3. Click OK.

Remember that the geometry is always imported to ANSYS using the default ANSYS coordinate system (CSYS,0), Global Cartesian.

Back To Top

Import with the ANSYS ~PROEIN Command

You can also use the following command line method to import your Pro/ENGINEER model.

Command Syntax:

~PROEIN,Name,Extension,Path,Proecomm,FMT

Back To Top

Troubleshooting

For general troubleshooting information, please see Appendix B, Troubleshooting Connection Issues, or Problems Specific to the Connection for Pro/ENGINEER for specific issues.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.3. Parasolid 		Up / Home Next
2.5. SAT


2.5. SAT

The connection products support the import of multiple .anf files for the creation of a single ANSYS database. You can import ACIS-based .SAT files that make up an assembly, save them as .anf files, and then compile them into one database. See Importing Multiple Files (Create ANSYS Database) for more information on working with multiple .anf files.

You can import .SAT files using the GUI or by using the ~SATIN command.

Import using the ANSYS GUI

  1. Select File> Import> SAT. The ANSYS Connection for SAT dialog box appears, as shown below.

    Figure 2.5 ANSYS Connection for SAT Dialog

  2. Select the desired SAT file. In addition to the file name, location and type options, modify the following values as necessary.

    • Allow Defeaturing - Select this button to store the model in the solid database format so that it can be defeatured after import. The default is to store the model in neutral database format, which restricts defeaturing after import.

    • Geometry Type - Import the file as

      • Solids Only - imported as ANSYS volumes (default).

      • Surfaces Only - Imported as ANSYS areas.

      • Wireframe Only - Imported as ANSYS lines.

      • All - Import all entities; use this when the file contains multiple entity types.

  3. Click OK.

Note

If your imported model contains multiple volumes, Boolean operators are available to further process your geometry (see Sculpting Your Model with Boolean Operations in the Modeling and Meshing Guide for more information).

Back To Top

Import using the ANSYS ~SATIN Command

You can also use the following command line method to import your SAT model.

Command Syntax

~SATIN,Name,Extension,Path,Entity,FMT,NOCL,NOAN

Back To Top

Troubleshooting

For general troubleshooting information, please see Troubleshooting Connection Issues, or examine Problems Specific to the Connection for SAT for specific issues.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.4. Pro/ENGINEER 		Up / Home Next
2.6. Unigraphics


2.6. Unigraphics

These procedures assume that you are running Unigraphics NX 3.0 or 4.0 and ANSYS 11.0. In addition, the part file you want to import must be created using Unigraphics.

When initiating a part file import, you can select the layers and entities to import, and can specify whether the part file is to be defeatured after import. You can use the ANSYS GUI or the ~UGIN command.

Import with ANSYS GUI

  1. Select File> Import> UG. The ANSYS Connection for UG dialog box appears, as shown below.

    Figure 2.6 ANSYS Connection for UG Dialog

  2. Select the desired UG file. In addition to the file name, file location and file type options, you can modify the following values as necessary.

    • Use selected layers only - Import specific layers of the Unigraphics part by checking the Use selected layers only button and by entering the layer numbers to be imported in the field beside it. You can specify one layer (for example, 5) or a range of layers (for example, 7-20). The default is to import all layers (1-256).

    • Allow Defeaturing - Select this button to store the model in the solid database format so that it can be defeatured after import. The default is to store the model in neutral database format, which restricts defeaturing after import.

    • Geometry Type - Import the part as:

      • Solids Only - imported as ANSYS volumes (default).

      • Surfaces Only - Imported as ANSYS areas.

      • Wireframe Only - Imported as ANSYS lines.

      • All - Import all entities; use this when the file contains multiple entity types.

  3. Press OK.

Back To Top

Import with ANSYS ~UGIN Command

You can also use the following command line method to import your Unigraphics model.

Command Syntax

~UGIN,Name,Extension,Path,Entity,LAYER,FMT

Back To Top

Troubleshooting

For general troubleshooting information, please see Troubleshooting Connection Issues, or examine Problems Specific to the Connection for Unigraphics for specific issues.

2.6.1. Additional Output Files from Unigraphics Conversions

The Unigraphics-to-ANSYS import produces the following two files in addition to the database file.

  • partname.tbl

  • partname.attr

The partname.tbl file is the Unigraphics-to-ANSYS correspondence table file, which relates Unigraphics item names to ANSYS IDs and types.

Here is a sample Unigraphics-to-ANSYS correspondence table file:

!
! *** UNIGRAPHICS-TO-ANSYS CORRESPONDENCE TABLE FILE ***

.
.
.
!     Part        : square_cube
!     Units       : Inches
!     Selected Layers   : 1-256
!     Geometry Type     : Solids Only
!
!     Translator Working Tolerance:  5.0000000E-004
!     Part system Tolerance (ref):   1.0000000E-003
!
!Object Name                      ANSYS Type                ANSYS ID
NS_SIDE_FACE                        AREA                      4
NS_PEG_FACE                         AREA                      15

The Unigraphics attribute name appears in the first column, the ANSYS entity type appears in the second, and the ANSYS ID appears in the third.

The partname.attr file is the Unigraphics-to-ANSYS attribute file, which lists the object attributes that are applied in Unigraphics and that are for use in ANSYS. These attributes may be used to add mesh control information, load and boundary condition information, or material or element property information.

Here is a sample Unigraphics-to-ANSYS attribute file:

!
! *** UNIGRAPHICS-TO-ANSYS ATTRIBUTE FILE ***

.
.
.
!
!     Part        : square_cube
!     Units       : Inches
!     Selected Layers   : 1-256
!     Geometry Type     : Solids Only
!
!     Translator Working Tolerance:  5.0000000E-004
!     Part system Tolerance (ref):   1.0000000E-003
!
!Object Name                        Keyword                   Value
RMsquare_cube.prt R000000b4000      EDGE_4                  (str)  bottom edge
RMsquare_cube.prt R000000ac000      FACE_3                  (str)  face3456
NS_PEG_FACE                         PEG_FACE                (real) 1258.0000

2.6.2. Environment Variables for Unigraphics

Unigraphics and the connection for Unigraphics require a number of environment variables to run properly. One of these variables is set by the ANSYS installation, and others are set by the Unigraphics installation. Because most of these environment variables are set during the installation, you will only need to reset them if you have used non-default installation directories.

ANSCON_CONFIG_DIR

Sets the location of the config.anscon configuration file. If ANSYS110_DIR has been set, you may not need to set this variable. For more information about the config.anscon file, please see Appendix A

Default = /ansys_inc/ansys110/ac4/data

Note

Both of the following variables must be set to import a part. Check to see what variables have been set for your platform, and if necessary, set these variables as indicated below.

UGII_BASE_DIR

Sets the location of the Unigraphics files; set by the Unigraphics installation. A typical value for this variable is /usr/ugs030.

UGII_ROOT_DIR

Sets the location of the Unigraphics executable; set by the Unigraphics installation. A typical value for this variable is /usr/ugs030/bin.

The next variable is not defined by the Unigraphics installation script. It can only be set in a .cshrc file or at command level before running Unigraphics:

UGII_VENDOR_DIR

Defines the ANSYS menu for Unigraphics.

setenv UGII_VENDOR_DIR /ansys_inc/v110/ansys/ac4/bin/ug30/<platform>

If directory names on your platform contain uppercase characters, you must set the following environment variable:

UGII_OPTION

Sets the case of characters in directory names on the current system. Possible options are MIXED, LOWER or UPPER. We recommend the following setting:

setenv UGII_OPTION MIXED

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.5. SAT 		Up / Home Next
Chapter 3. Starting ANSYS from Pro/ENGINEER and Unigraphics


Chapter 3. Starting ANSYS from Pro/ENGINEER and Unigraphics

The connection functionality allows you to launch ANSYS from within the Pro/ENGINEER and Unigraphics packages.

The following topics are available for starting ANSYS from within the Pro/ENGINEER and Unigraphics packages.

  • Launching from Pro/ENGINEER
  • Launching from Unigraphics (UNIX Only)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.6. Unigraphics 		Up / Home Next
3.1. Launching from Pro/ENGINEER


3.1. Launching from Pro/ENGINEER

This section examines the configuration requirements as well as the steps to launch the connection capability from Pro/ENGINEER. The procedures outlined here assume that you have a working knowledge of Pro/ENGINEER and ANSYS, and that both of these products are installed on your system.

3.1.1. UNIX System Configuration for Connection Functionality for Pro/ENGINEER

  1. Make sure that the ANSYS110_DIR environment variable is set. If it is not set in your .cshrc or .profile file, set it from the UNIX command prompt. Please see the examples shown below. These examples assume that ANSYS 11.0 is installed in the default installation directory.

    • For users running the C shell (csh), set the environment variable as:

      setenv ANSYS110_DIR /ansys_inc/v110/ansys

    • For users running the Korn (ksh) or Borne (sh) shell, set the environment variable as:

      ANSYS110_DIR=/ansys_inc/v110/ansys
export ANSYS110_DIR

  2. If you are running any ANSYS product other than ANSYS Multiphysics, you must set the ANSYS110_PRODUCT variable. Please refer to the Product Variable Table in the ANSYS, Inc. Licensing Guide for a list of all available product variables. The following example illustrates how to set the variable if your default product is ANSYS Structural:

    • For users running the C shell (csh), set the environment variable as:

      setenv ANSYS110_PRODUCT STRUCT

    • For users running the Korn (ksh) or Borne (sh) shell, set the environment variable as:

      ANSYS110_PRODUCT=STRUCT
export ANSYS110_PRODUCT

  3. Verify that a copy of config.anscon is residing on the local machine. The default directory path for the file is:

    /ansys_inc/v110/ansys/ac4/data/config.anscon

    If you wish to modify this file, first copy it to your working directory.

    Note

    The ANSCON_CONFIG_DIR environment variable is not used by the connection for Pro/ENGINEER.

  4. If you update Pro/ENGINEER after installing the connection for Pro/ENGINEER, the process may remove the protk.dat file from the /<ProE_install_dir>/<proe_platform>/text/usascii/ or the <ProE_install_dir>/<proe_platform>/text directory. If you launch ANSYS from Pro/ENGINEER, be sure that there is a copy of protk.dat in the usascii directory. If the protk.dat file does not exist, consult with your system administrator , or refer to the ANSYS, Inc. UNIX/Linux Installation Guide.

3.1.2. Windows System Configuration for Connection Functionality for Pro/ENGINEER

Before using the connection for Pro/ENGINEER, you must run the installation setup or the Network Configuration utility.

All Pro/ENGINEER users must have copies of the WBPlugInPE.dat file and the config.anscon files. The config.anscon file is placed in the ANSYS 11.0 installation directory. The WBPlugInPE.dat file is placed in the ANSYS/ANSYS Workbench installation directory. This file defines the name of the executable, the path to the executable, the path to the message file, and the current revision of Pro/ENGINEER.

For more information about the files used, see the ANSYS, Inc. Installation Guide for Windows.

3.1.3. Launching ANSYS from Pro/ENGINEER

The following procedure describes the steps to launch ANSYS from within the Pro/ENGINEER application. Please note that a part or assembly file must be open in Pro/ENGINEER before ANSYS can be launched.

  1. Choose File> Open from the Pro/ENGINEER Menu Manager. The File Open dialog box appears.

  2. Select the part you wish to open from the appropriate folder.

  3. Click Open. The part.prt file opens in the top window.

  4. Select ANSYS Geom from the ANSYS 11.0 menu, as shown in the figure below. The Pro/E part is converted into an ANSYS model database. If you encounter difficulties or the model does not display, please refer to the Troubleshooting an Imported File section listed below.

    Figure 3.1 The ANSYS 11.0 Menu

    Note

    On Windows, you may see the following message: INSTALL_SIGNAL_HANDLER: Failed to Install: Invalid argument. If so, ignore the message and continue.

  5. Analyze the part with ANSYS. If you have any questions about running an ANSYS analysis, see the Basic Analysis Guide.

  6. When the ANSYS analysis is complete, select File> Quit.

Troubleshooting an Imported File

  • If the model does not appear in the ANSYS window, select Plot> Areas or Plot> Lines to display the model.

  • Note for Windows Users: An additional window may open when the connection to ANSYS is launched. The window title bar contains the full path to the connection executable; the executable is named ac4pro.exe. After the message Releasing Connection license... appears in the window, close the window. These messages are caused by Pro/ENGINEER and have no impact on your process.

  • If the ANSYS options do not appear, the protk.dat file may not be properly installed. Based upon your platform, please refer to UNIX System Configuration for Connection Functionality for Pro/ENGINEER or Windows System Configuration for Connection Functionality for Pro/ENGINEER for additional information about installing the protk.dat file.

3.1.4. Modifying ANSYS Settings from Pro/ENGINEER

Before starting ANSYS from Pro/ENGINEER, you may wish to modify some ANSYS configuration settings. These configuration settings are stored in a text file called config.anscon, which you can copy into your working directory.

An example config.anscon file might look like this:

ANSYS_CMD C:\Program Files\ANSYS Inc\V110\ANSYS\bin\Intel\ansys.exe
ANSYS_GRAPHICS_DEVICE WIN32
ANSYS_SOLVER Frontal
ANSYS_SELECTED_LAYERS 1-256
ANSYS_GEOMETRY_TYPE Solids Only
ANSYS_NEUTRAL_FORMAT Yes
ANSYS_PRODUCT_NAME ANE3FL

The table shown below summaries the default settings for the config.anscon file. For additional information, please refer to Appendix A.

Table 3.1 ANSYS Default Configuration Settings

Keyword | Default Value | Description
ANSYS_CMD | Path name to the version of ANSYS to be run.
UNIX:
/ansys_inc/v110/ansys/bin/ansys110
Windows:
<drive>:Program Files\ANSYS Inc\V110\ANSYS\bin\<platform>\ansys110.exe
ANSYS_GRAPHIC_DEVICE
UNIX: x11-stat
Windows: win32
Graphics driver for ANSYS.[1]
ANSYS_NEUTRAL_FORMAT | YES | Store the part as a neutral file or as a solid model file.[2]
ANSYS_PRODUCT_NAME | ANSYS | The default ANSYS product, ANSYS Mechanical.[3]
ANSYS_SOLVER | Frontal | Included for compatibility only.[4]
ANSYS_SELECTED_LAYERS | 1-256
ANSYS_GEOMETRY_TYPE | Solids Only

Additional References

For additional information, please refer to the following:

  1. ANSYS, Inc. Installation Guide.

  2. "Introduction to the Connection Functionality"

  3. If you do not own ANSYS Mechanical, set this value to the default product for your machine. See the ANSYS, Inc. Licensing Guide for the complete list of ANSYS product names.

  4. This setting is included only to maintain compatibility with the config.anscon file for the connection for Unigraphics. It is not supported by Pro/ENGINEER and it is ignored by ANSYS.

3.1.4.1. The ANSYS Configuration Settings

3.1.4.2. Search Rules for the config.anscon Configuration File

The file containing the configuration settings may reside in a number of different directories. The connection for Pro/ENGINEER on UNIX searches for config.anscon in the following order:

  1. Current working directory.

  2. Home directory.

  3. /ansys_inc/v110/ac4/data (if ANSYS 11.0 was installed in any location other than its default, the //ansys_inc/v110 portion of the path should be changed to that location).

The connection for Pro/ENGINEER on Windows searches for config.anscon in the \ac4\data\<platform> subdirectory.

When you save a new version of the config.anscon file, the new version is always saved to your working directory.

3.1.5. Troubleshooting Connection Problems

The problem scenario and solution discussed below is one that you may encounter when running the connection for Pro/ENGINEER. Additional troubleshooting information may be found in Appendix B.

ANSYS does not load when you select the ANSYS_GEOM button.

This generally happens if you forgot to set the ANSYS110_DIR environment variable as mentioned earlier in the Launching from Pro/ENGINEER section. Reset this variable and try again.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 3. Starting ANSYS from Pro/ENGINEER and Unigraphics 		Up / Home Next
3.2. Launching from Unigraphics (UNIX Only)


3.2. Launching from Unigraphics (UNIX Only)

This section examines the configuration requirements as well as the steps to launch the connection functionality from Unigraphics. The procedures outlined here assume that you have a working knowledge of Unigraphics and ANSYS, and that both of these products are installed on your system.

Note

While you can import Unigraphics parts into ANSYS on a Windows workstation, you cannot launch ANSYS from Unigraphics on a Windows workstation. You can only launch ANSYS from Unigraphics on certain UNIX platforms (see Software Requirements).

3.2.1. Configuring Unigraphics

Verify and complete the configuration actions listed below.

  1. Set the ANSYS110 _DIR environment variable. If this variable is not set in the .cshrc or .profile file, then set it at the UNIX command prompt. Examine the examples shown below. All sample paths use the default installation location of ANSYS 11.0 (/ansys_inc/v110/ansys).

    • For users running the C shell (csh), set the environment variable as:

      setenv ANSYS110_DIR /ansys_inc/v110/ansys

    • For users running the Korn (ksh) or Borne (sh) shell, set the environment variable as:

      ANSYS110_DIR=/ansys_inc/v110/ansys
export ANSYS110_DIR

  2. Verify that UGII_VENDOR_DIR is in your .cshrc file. This variable defines the ANSYS menu for Unigraphics. Add the following line to your .cshrc:

    setenv UGII_VENDOR_DIR /ansys_inc/v110/ansys/ac4/bin/ug30/platform

  3. Verify that a copy of config.anscon is located on your machine. The default path name to this file on UNIX systems is /ansys_inc/v110/ansys/ac4/data/config.anscon.

    You can also use the ANSCON_CONFIG_DIR environment variable to define the location of the config.anscon file for a user or for a set of users.

3.2.1.1. Running Unigraphics

  1. From a running Unigraphics session, open a part file or create a new Unigraphics part.

  2. Add the ANSYS drop-down menu to the menu bar.

    • For UG NX 3.0, select Applications> ANSYS from the menu bar to add the ANSYS drop-down menu.

    • For UG NX 4.0, select Start> All Applications> ANSYS to add the ANSYS drop-down menu.

    The ANSYS menu consists of two options: Configure... and Start Ansys, as shown in the figure below. The Configure... option is described in Modifying ANSYS Settings from Unigraphics. The Start Ansys option launches ANSYS.

    Figure 3.2 The Unigraphics Ansys Pull Down Menu

  3. Select Start ANSYS from the menu. After you select Start ANSYS, the Unigraphics window closes temporarily, and the geometry transfer begins. Once the transfer is complete, the ANSYS menus and Graphics window displays.

  4. Select Plot> Volumes. ANSYS displays the part model in the Graphics window. (If the model does not contain volumes, use one of the other options from the Plot menu to display the model.)

  5. Perform an ANSYS analysis. If you have any questions about running an ANSYS analysis, see the Basic Analysis Guide.

  6. When the ANSYS analysis is complete, select File> Quit.

  7. The ANSYS program closes, and the Unigraphics window re-displays.

3.2.2. Modifying ANSYS Settings from Unigraphics

Before starting ANSYS, you can specify some ANSYS settings from Unigraphics. For example, you may need to increase the memory size in order to run a large model successfully. To change these settings, select Ansys> Configure... from the Unigraphics menu bar. This displays the ANSYS Configuration editor. The keywords and their values that are shown in the figure are read from the config.anscon file, an ASCII text file.

The for Unigraphics searches for the config.anscon file in the following locations and in the following order:

  1. A directory defined by the ANSCON_CONFIG_DIR environment variable.

  2. Working directory.

  3. Home directory.

  4. The ANSYS 11.0 product directory as defined by the ANSYS110_DIR environment variable.

ANSYS stops searching as soon as the config.anscon file is found. If the config.anscon file from the ANSYS product directory is used, the file is copied to the working directory when you press the Save button from the ANSYS Configuration.

The table shown below provides a list of the ANSYS configuration variables, their default values, and a brief description of each setting.

Table 3.2 ANSYS Configuration Settings

Keyword | Default Value | Description
ANSYS_CMD | UNIX:/ansys_inc/v110/ansys/bin/ ansys110 | Path name to the version of ANSYS to be run.[1]
ANSYS_GRAPHIC_DEVICE | UNIXx11-stat | Graphics driver for ANSYS.[2]
ANSYS_MEMORY_SIZE | 1024 | Amount of RAM, in megabytes, suggested to run ANSYS.[2]
ANSYS_SOLVER | Frontal | Solver ANSYS will use.[3]
ANSYS_SELECTED_LAYERS | 1-256 | Layer or range of layers to be imported into ANSYS.[4]
ANSYS_ENTITY_TYPE | Solids Only | Type of entities ANSYS will import.[4]
ANSYS_NEUTRAL_FORMAT | Yes | Store the part as a neutral file or as a solid model file.[4]
ANSYS_PRODUCT_NAME | ANSYS | The default ANSYS product, ANSYS Multiphysics.[5]

Additional References

  1. Pro/ENGINEER cannot process UNC paths. Always use drive letters rather than UNC paths in the Pro/ENGINEER configuration files.

  2. See the appropriate ANSYS, Inc. Installation Guide.

  3. See the Basic Analysis Guide.

  4. See ~UGIN.

  5. See the Product Variable Table in the ANSYS, Inc. Licensing Guide for the complete list of ANSYS product names.

3.2.2.1. Using the ANSYS Configuration Editor

The Configuration Editor allows you to modify keyword values. To do so, follow the steps listed below.

  1. Display the ANSYS Connection For UG Configuration window. This window is the configuration editor.

  2. Select the Keyword you wish to modify and then click OK. You may also select a Keyword by double-clicking its value in the list. The Change Key Value dialog box appears displaying the selected keyword. Depending on the keyword, the value may be changed through an edit field or an option button from this dialog box.

  3. Enter a new value. It displays in the ANSYS Configuration dialog box.

  4. Click Save from this dialog to save the modified value(s).

Notes

The Reset button resets the settings with the values read in from the configuration file.

The Close button closes the ANSYS Configuration editor.

3.2.2.1.1. Modifying an ANSYS Setting

The following procedure outlines the steps to modify an ANSYS setting using the ANSYS Configuration Editor. In this example, a graphic device is modified.

  1. Select a keyword and click OK or double-click a keyword. A dialog box related to the keyword appears. In this case, the dialog box named Change Key Value.

  2. Select the option button to display the available values for the ANSYS_GRAPHIC_DEVICE keyword. The figure shown below illustrates the values.

    Figure 3.3 The Change Key Value Pop-Up Window

  3. Select 3d and the click OK. The new value appears in the ANSYS Configuration dialog box.

  4. Click Save to save your modification.

  5. Click Close to exit the dialog box.

For general troubleshooting information, please refer to Appendix B.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.1. Launching from Pro/ENGINEER 		Up / Home Next
Chapter 4. Importing a Unigraphics Part Tutorial


Chapter 4. Importing a Unigraphics Part Tutorial

This section provides a tutorial for importing parts from a CAD system into ANSYS. Because the procedure is similar in each case, we will use a Unigraphics part import as an example.

The part below is a hinge that was created using Unigraphics.

Figure 4.1 A Hinge Created in Unigraphics

  1. Start ANSYS in graphics mode. Type the following at the command level:

    ansys110 -g

    Before you import a file into ANSYS, it is important that you begin with an empty database. If you have already run an analysis, be sure to clear the database by invoking the /CLEAR command (File> Clear & Start New) before beginning the file import process.

    Do not neglect this step - if the current database is not empty, the database may become corrupted once you import the Unigraphics part.

  2. Select File> Import> UG.

    Figure 4.2 The ANSYS Import Menu

    The following ANSYS Connection for UG dialog box is displayed.

    Figure 4.3 The Connection for UG Dialog Box

  3. Select the part file that you wish to import. Only Unigraphics parts can be transferred, and only one part may be selected at a time.

  4. If you want to import a subset of layers, check the Use Selected Layers Only box and then enter the layer number(s) in the Select Layers field. You can specify a single layer (for example, 5) or a range of layers (for example, 5-20). If the button is not checked, all layers (1-256) are imported by default.

  5. If you plan to defeature the part after import, select the Allow Defeaturing box. By default, the part is imported in a neutral database format that restricts defeaturing.

  6. Select the Geometry Type option button to display a list of entities that could be imported: Solids Only, Surfaces Only (known as sheets in Unigraphics), Wireframe Only, or All Entities.

  7. Click OK when your selections and settings are complete. ANSYS processes the file and displays a plot of the hinge, as illustrated in the figure below.

    Figure 4.4 The Unigraphics Hinge Displayed as an ANSYS Plot

  8. Perform the necessary steps to complete an ANSYS analysis. See the Basic Analysis Guide if you have questions about an ANSYS analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.2. Launching from Unigraphics (UNIX Only) 		Up / Home Next
Appendix A. Setting ANSYS Configuration Parameters


Appendix A. Setting ANSYS Configuration Parameters

This appendix discusses the configuration of ANSYS using the config.anscon configuration file. This configuration file is used to configure ANSYS when it is launched from Pro/ENGINEER and Unigraphics. Default paths include:

UNIX Systems

/ansys_inc/v110/ansys/ac4/data/config.anscon

Windows Systems

drive:\Program Files\Ansys Inc\V110\ANSYS\ac4\data\<platform>\config.anscon

The config.anscon file may be modified by the system administrator to set information for all connection users on a system. However, you can modify this file for your projects.

The following list defines the configuration settings that you can set in the config.anscon file, and the typically default settings.

ANSYS_CMD

Sets the full path name of the ANSYS software to be run. The UNIX default is /ansys_inc/v110/ansys/bin/ansys110; the Windows default is drive:\Program Files\Ansys Inc\V110\ANSYS\bin\ansys110

ANSYS_GRAPHIC_DEVICE

Sets the graphics driver to be used by ANSYS. The possible values for this keyword are x11-stat, 3d, x11-forc, and x11c. The UNIX default is x11. The Windows default is win32.

ANSYS_MEMORY_SIZE

Sets the amount of ANSYS workspace, in megabytes, required to run ANSYS. The value you use is limited by how much swap space or virtual memory is available on your workstation. The default value is 1 GB for 64-bit machines, or 512 MB for 32-bit machines..

ANSYS_PRODUCT_NAME

Sets the product name for ANSYS. See the Product Variable Table in the ANSYS, Inc. Licensing Guide for the complete list of ANSYS product names. The default is system dependent, but typically ANSYS (or ANSYS Multiphysics).

ANSYS_NEUTRAL_FORMAT

Sets the database format in which the ANSYS model will be saved. The possible values are Yes (save as neutral format) or No (save as solid format). The default value is Yes (save as neutral).

ANSYS_SOLVER

Sets the ANSYS solver that you want to run to determine a model's solution. The possible values for this keyword are Frontal and Power. Refer to Selecting a Solver in the Basic Analysis Guide for more information on solvers. This variable is only active for the connection for Unigraphics. The default value is Frontal.

ANSYS_SELECTED_LAYERS

Selects the layers of the part to transferred to ANSYS. One layer or a range of layers may be specified. This variable is only active for the connection for Unigraphics. The default value is 1-256 (transfer all layers).

ANSYS_ENTITY_TYPE

Sets the entities of the CAD part that will be transferred to ANSYS. The possible values are Solids Only (import as ANSYS volumes), Surfaces Only (import as ANSYS areas), Wireframe Only (import as ANSYS lines) or All (import all entities). This variable is only active for the connection for Unigraphics. The default value is Solids Only.

While the following settings are included in the config.anscon file for the connection for Pro/ENGINEER, those settings are ignored: ANSYS_SOLVER ANSYS_SELECTED_LAYERS and ANSYS_ENTITY_TYPE. The values for these keywords are only used by the connection for Unigraphics.

In addition to supporting the Configuration Editor, the connection for Unigraphics supports the ANSCON_CONFIG_DIR environment variable, which lets you define the location of the config.anscon file. The connection for Pro/ENGINEER does not support this variable.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 4. Importing a Unigraphics Part Tutorial 		Up / Home Next
Appendix B. Troubleshooting ANSYS Connection Issues


Appendix B. Troubleshooting ANSYS Connection Issues

This appendix examines some common error messages that you may encounter. It also discusses general connection troubleshooting as well as licensing issues that may arise.

The following sections describe some of the primary problems you may encounter when importing parts into ANSYS. The General Troubleshooting section outlines problems common to any connection. Later sections discuss general problems with part import. For information on problems specific to a particular type of connection, please refer to the appropriate section of the user documentation.

  • General Troubleshooting
  • License Troubleshooting
  • Shared Library Problems
  • Configuration Errors for Pro/ENGINEER and Unigraphics Users
  • Troubleshooting Part Import

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Appendix A. Setting ANSYS Configuration Parameters 		Up / Home Next
B.1. General Troubleshooting


B.1. General Troubleshooting

The software fails to run

Be certain the programs have execute permissions, and that there is adequate swap space to run ANSYS and the CAD package simultaneously. In addition, if you do not possess the proper licensing, the system may not run.

If you receive one of these error messages show below, check the ANSYS text window for additional error or warning messages. When a connection is running, an overly-long command string can be passed to the CAD package. For example, on Silicon Graphics machines, the total length of a passed command string cannot exceed 75 characters. If this message occurs, copy the file to the current working directory and try to import it again.

Error Messages:
filename.anf not found
filename.aaa not found

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Appendix B. Troubleshooting ANSYS Connection Issues 		Up / Home Next
B.2. License Troubleshooting


B.2. License Troubleshooting

ANSYS Connection will not run

Make sure that you have a current license to run the appropriate connection. Check the license file in the licensing directory (/ansys_inc/shared_files/licensing (UNIX) or <drive>:Program Files\Ansys Inc\Shared Files\licensing (Windows)). See the ANSYS, Inc. Licensing Guide for a complete list of product names and their associated feature name.

This feature is not available or Connection for CAD_package is not available

These messages indicate that either the connection is not properly installed or it has not been licensed for the current system. In addition, if you try to run the connection for Pro/ENGINEER or Unigraphics you must also have a valid licenses for those products. Contact your system administrator if you have any questions about which products are licensed for your system.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
B.1. General Troubleshooting 		Up / Home Next
B.3. Shared Library Problems


B.3. Shared Library Problems

An error was detected while operating on a shared library:

PATH=C:\Program Files\Ansys Inc\V110\ANSYS\lib\intel\libac4.so CMD=~SATIN FNC=AnsysConnectCad

This message indicates that ANSYS and the connection were installed on a shared drive (named by using the Universal Naming Convention) rather than on a local drive (named by using a drive letter). Replace the drive letter in the configuration file with the UNC name of the drive. Refer to the ANSYS, Inc. Windows Installation Guide for more information.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
B.2. License Troubleshooting 		Up / Home Next
B.4. Configuration Errors for Pro/ENGINEER and Unigraphics Users


B.4. Configuration Errors for Pro/ENGINEER and Unigraphics Users

*** FATAL *** The database (-db) space requested is not currently available. Reenter ANSYS command line with less database space requested.

Indicates part transfer failure in Unigraphics and Pro/ENGINEER if ANSYS_MEMORY_SIZE is set to a value greater than the available memory available on the machine. Use the ANSYS Configuration editor to reduce the amount of RAM set for the ANSYS_MEMORY_SIZE variable and relaunch ANSYS.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
B.3. Shared Library Problems 		Up / Home Next
B.5. Troubleshooting Part Import


B.5. Troubleshooting Part Import

This section examines some general troubleshooting techniques when importing a part.

  • If you receive errors, examine the filename.log file created by ANSYS. It is located in the current working directory and may contain clues to the source of the error.

  • If a part name fails to be read into ANSYS. Be sure that the part name begins with an alphanumeric (required). If your part name begins with a special character, you must rename it before importing. For example, a Unigraphics user can rename the part name _123hinge.prt to be 123hinge.prt, or x123hinge.prt.

  • Models that have undergone multiple conversions from other CAD packages may cause difficulties when transferring into ANSYS.

  • If your CAD package has a "defeature" option, use the utility before importing the part to ANSYS. This allows you to avoid analyzing a model with small features that are irrelevant in an ANSYS study. Parts that have sharp vertices or areas that have lines that touch may experience problems in tessellation and meshing.

  • If the model fails to mesh, you can repair, simplify, or reimport the model.

    • Choose Main Menu> Preprocessor> Modeling> Check Geom> Show Degeneracy for a list of possible problem areas in your model. To use this commands, the part must be imported with the Allow Defeaturing option selected.

    • Repair portions of the model by choosing Main Menu> Preprocessor> Modeling> Update Geom to update nodes. To use this command, the part must be imported with the Allow Defeaturing option selected.

    • Be sure to use ANSYS elements that are designed to model irregular meshes. These elements are particularly well-suited for using with imported parts:

      SOLID87 SOLID92 SOLID98 SOLID122
      SOLID123 PLANE35 PLANE183

  • If the mesh still fails, try the ANFO command. Enter the following commands in the ANSYS Input window:

    /AUX15
ANFO, PROJ, ALTER
/INP, partfile, anf

    Replace partfile with the name of a CAD part file. This sequence of commands restarts the analysis in the working directory and can only be used to create ANSYS neutral files.

Caution

Running ANFO can take a very long time. It can take hours to rerun even a very small model. Consider running this process overnight. ANFO will be able to import and create areas and volumes for some files that failed in earlier attempts.

Cannot project lines onto surface

Areas and volumes are not being properly imported into ANSYS. To fix this problem, clear the ANSYS database and run the ANFO command as described in the previous paragraph.

B.5.1. Problems Specific to the Connection for Parasolid

The following issues may be encountered when running the connection for Parasolid. For general troubleshooting information, see Appendix B.

If a part fails to convert into ANSYS, examine filename.para_log and filename.ans_log. Both files are located in the working directory. The filename.para_log file contains warnings and errors generated during the conversion that relate to problems in the file itself. The filename.ans_log file contains warnings and errors that relate to building the model in ANSYS.

Note

The filename.ans_log file is only generated when the part is saved in neutral database format.

Failed to process.

May indicate a corrupt Parasolid file. This can be caused by sending a Parasolid file via e-mail, or by trying to import a binary file. The safest way to transfer a Parasolid file is to use FTP and transfer the file using binary mode; be certain to save the file in ASCII format (not binary).

Failed to process.

Schema keys are missing. Check the installation. Schema keys should be found in /ansys_inc/v110/ansys/ac4/schema (UNIX) or in <drive>:\Program Files\Ansys Inc\V110\ANSYS\ac4\schema (Windows). On Windows machines, the P_SCHEMA environment variable must be set to <drive>:\Program Files\Ansys Inc\V110\ANSYS\ac4\schema.

***Warning: ANSYS environment variables: ANSYS110_DIR and/or ANSYS110_SYSDIR are not set.

***ERROR: connection for Parasolid directory structure is not set. Unable to find the Connection executable.

Either the ANSYS110_DIR or the ANSYS110_SYSDIR variable needs to be set. See the ANSYS, Inc. Installation Guide for your platform for information about these configuration variables.

B.5.2. Problems Specific to the Connection for Pro/ENGINEER

Listed below are several problems you may see when running the connection for Pro/ENGINEER. For general troubleshooting information, see Appendix B.

Please note that it is necessary to first run the ANS_ADMIN utility to configure the connection for Pro/E. See the ANSYS, Inc. Installation Guide for your platform for more information.

Connection for Pro/ENGINEER can't find necessary files to run.

ANSYS expects Pro/ENGINEER to be run in the same directory from which it is started (the ANSYS working directory). The trouble can occur if you have a startup file (such as prowildfire.bat, proe2001.bat, etc.) that modifies the working directory of Pro/ENGINEER (typically from a change directory, cd, command).

Connection for Pro/ENGINEER does not run.

Be sure Pro/ENGINEER can run on the machine on which you just installed the connection for Pro/ENGINEER, and that it can be launched using the command displayed in Figure 2.4: "ANSYS Connection for PRO/E Dialog".

Verify that a protk.dat file exists in one of the directories documented in ANSYS, Inc. Installation Guide for your platform. Verify that the path names listed in this file are correct.

Verify that the protk.dat file is pointing to the correct executable: ac4pro, ac4pro.wildfire, or ac4pro32. See the appropriate ANSYS, Inc. Installation Guide for more information.

ANSYS does not launch from within Pro/ENGINEER, and one of the following (or similar) messages appears:

The requested license feature is not available. Contact your ASD.

or

ANSYS110_DIR environment variable is not set. This is a fatal licensing error.

The required licmsgs.dat file, which contains licensing-related messages, was not found or could not be opened. The following path was determined using <path error occurred>. This is a fatal licensing error. (Path: )

ANSYS Connection for Pro/E terminated successfully

This problem occurs if the ANSYS110_DIR (or ANSYS_DIR) or ANSYSLIC_DIR is not set. See the discussion on post-installation procedures in the ANSYS, Inc. Installation Guide for your platform for more information on setting these environment variables.

B.5.3. Problems Specific to the Connection for SAT

Listed below are several problems you may encounter when running the connection for SAT. For further troubleshooting information, see Appendix B.

If a part fails to convert into ANSYS, examine filename.sat_log and filename.ans_log. Both files are located in the working directory. The filename.sat_log file contains warnings and errors generated during the conversion that relate to problems in the file itself. The filename.ans_log file contains warnings and errors that relate to building the model in ANSYS.

If a model is sensitive to tolerance, shapes may not be created properly, which can lead to poorly transferred areas. If you find this problem with a model, reimport it using the following steps:

  1. Import the file using the default format (neutral).

  2. Enter the following command in the ANSYS Input window:

    XANF,filename.aaa,-tolerance_1.0e-6
    where filename.aaa is the name of the file you are working with

The following problem may occur on UNIX systems: The software may not come up if the required shared library (ansys_inc/ansys110/lib/<platform>/libac4.so) is not present or if the path names listed in this file are incorrect. Check for proper installation (see the ANSYS, Inc. UNIX/Linux Installation Guide ) and reinstall the software.

The following problems may occur on Windows systems: A sys error may be displayed if the executable is in the wrong directory or if the required shared libraries are missing. Check for proper installation (see the ANSYS, Inc. Windows Installation Guide) and reinstall the software.

***Warning: ANSYS environment variables: ANSYS110_DIR and/or ANSYS110_SYSDIR are not set.

***ERROR: connection for SAT directory structure is not set. Unable to find the Connection executable.

Either the ANSYS110_DIR or the ANSYS110_SYSDIR variable needs to be set. See the ANSYS, Inc. Installation Guide for your platform for information about these configuration variables.

B.5.4. Problems Specific to the Connection for Unigraphics

Listed below are several problems you may encounter when running the connection for Unigraphics.

Before you import a part into ANSYS, you should use the Examine Geometry function in Unigraphics to identify any abnormalities in the part. Any problems with the part need to be corrected in Unigraphics first.

Parts created using an older version of Unigraphics (especially those created prior to version 11.0) may need to be upgraded to a supported version of Unigraphics.

If a part fails to import into ANSYS, examine jobname.ug_log and jobname.ans_log. Both files are located in the current working directory. The jobname.ug_log file contains warnings and errors generated during the conversion that relate to problems in the part itself. The jobname.ans_log file contains warnings and errors that relate to building the model in ANSYS.

When you import a part and only certain aspects of it are displayed (for example, the keypoints), look at the part in Unigraphics using the Examine Geometry tool. This tool helps to locate corruption in the part.

Unigraphics cannot launch ANSYS on Windows platforms; Unigraphics can only launch ANSYS from UNIX platforms. See Launching from Unigraphics (UNIX Only) for more information.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
B.4. Configuration Errors for Pro/ENGINEER and Unigraphics Users 		Up / Home Next
Verification Manual


Verification Manual

Release 11.0 Documentation for ANSYS

Table of Contents

I. Verification Test Case Descriptions
1. Introduction
1.1. Program Overview
1.2. Program Verification
1.3. Finding Test Cases of Interest
1.4. Accessing Test Case Inputs
1.5. Verification Manual Versus Other Manuals
1.6. Verification Manual Contents
1.7. Theoretical Solutions
1.8. Test Case Selection and Method of Solution
1.9. Numerical Comparisons
1.10. References
1.11. Test Case Format
1.12. Symbols and Nomenclature
1.13. Memory Requirements and Run Times
1.14. Abbreviation, Element, and Product Lists
1.14.1. Abbreviation and Symbol List
1.14.2. Units Abbreviation List
1.14.3. Index by Element Number
VM1 - Statically Indeterminate Reaction Force Analysis
VM2 - Beam Stresses and Deflections
VM3 - Thermally Loaded Support Structure
VM4 - Deflection of a Hinged Support
VM5 - Laterally Loaded Tapered Support Structure
VM6 - Pinched Cylinder
VM7 - Plastic Compression of a Pipe Assembly
VM8 - Parametric Calculation of Point-to-Point Distances
VM9 - Large Lateral Deflection of Unequal Stiffness Springs
VM10 - Bending of a Tee-Shaped Beam
VM11 - Residual Stress Problem
VM12 - Combined Bending and Torsion
VM13 - Cylindrical Shell Under Pressure
VM14 - Large Deflection Eccentric Compression of a Column
VM15 - Bending of a Circular Plate Using Axisymmetric Elements
VM16 - Bending of a Solid Beam (Plane Elements)
VM17 - Snap-Through Buckling of a Hinged Shell
VM18 - Out-of-Plane Bending of a Curved Bar
VM19 - Random Vibration Analysis of a Deep Simply-Supported Beam
VM20 - Cylindrical Membrane Under Pressure
VM21 - Tie Rod with Lateral Loading
VM22 - Small Deflection of a Belleville Spring
VM23 - Thermal-structural Contact of Two Bodies
VM24 - Plastic Hinge in a Rectangular Beam
VM25 - Stresses in a Long Cylinder
VM26 - Large Deflection of a Cantilever
VM27 - Thermal Expansion to Close a Gap
VM28 - Transient Heat Transfer in an Infinite Slab
VM29 - Friction on a Support Block
VM30 - Solid Model of Surface Fillet
VM31 - Cable Supporting Hanging Loads
VM32 - Thermal Stresses in a Long Cylinder
VM33 - Transient Thermal Stress in a Cylinder
VM34 - Bending of a Tapered Plate (Beam)
VM35 - Bimetallic Layered Cantilever Plate with Thermal Loading
VM36 - Limit Moment Analysis
VM37 - Elongation of a Solid Bar
VM38 - Plastic Loading of a Thick-Walled Cylinder
VM39 - Bending of a Circular Plate with a Center Hole
VM40 - Large Deflection and Rotation of a Beam Pinned at One End
VM41 - Small Deflection of a Rigid Beam
VM42 - Barrel Vault Roof Under Self Weight
VM43 - Bending of an Axisymmetric Thick Pipe
VM44 - Bending of an Axisymmetric Thin Pipe
VM45 - Natural Frequency of a Spring-Mass System
VM46 - Flow Between Rotating Concentric Cylinders
VM47 - Torsional Frequency of a Suspended Disk
VM48 - Natural Frequency of a Motor-Generator
VM49 - Electrostatic Field Analysis of Quadpole Wires
VM50 - Fundamental Frequency of a Simply Supported Beam
VM51 - Electrostatic Forces Between Charged Spheres
VM52 - Automobile Suspension System Vibration
VM53 - Vibration of a String Under Tension
VM54 - Vibration of a Rotating Cantilever Blade
VM55 - Vibration of a Stretched Circular Membrane
VM56 - Hyperelastic Thick Cylinder Under Internal Pressure
VM57 - Torsional Frequencies of a Drill Pipe
VM58 - Centerline Temperature of a Heat Generating Wire
VM59 - Lateral Vibration of an Axially-loaded Bar
VM60 - Natural Frequency of a Cross-ply Laminated Shell
VM61 - Longitudinal Vibration of a Free-free Rod
VM62 - Vibration of a Wedge
VM63 - Static Hertz Contact Problem
VM64 - Thermal Expansion to Close a Gap at a Rigid Surface
VM65 - Transient Response of a Ball Impacting a Flexible Surface
VM66 - Vibration of a Flat Plate
VM67 - Radial Vibrations of a Circular Ring
VM68 - PSD Response of a Two DOF Spring-mass System
VM69 - Seismic Response
VM70 - Seismic Response of a Beam Structure
VM71 - Transient Response of a Spring-Mass-Damper System
VM72 - Logarithmic Decrement
VM73 - Free Vibration with Coulomb Damping
VM74 - Transient Response to an Impulsive Excitation
VM75 - Transient Response to a Step Excitation
VM76 - Harmonic Response of a Guitar String
VM77 - Transient Response to a Constant Force
VM78 - Transverse Shear Stresses in a Cantilever Beam
VM79 - Transient Response of a Bilinear Spring Assembly
VM80 - Plastic Response to a Suddenly Applied Constant Force
VM81 - Transient Response of a Drop Container
VM82 - Simply Supported Laminated Plate Under Pressure
VM83 - Impact of a Block on a Spring Scale
VM84 - Displacement Propagation Along a Bar with Free Ends
VM85 - Transient Displacements in a Suddenly Stopped Moving Bar
VM86 - Harmonic Response of a Dynamic System
VM87 - Equivalent Structural Damping
VM88 - Response of an Eccentric Weight Exciter
VM89 - Natural Frequencies of a Two-mass-spring System
VM90 - Harmonic Response of a Two-Mass-Spring System
VM91 - Large Rotation of a Swinging Pendulum
VM92 - Insulated Wall Temperature
VM93 - Temperature Dependent Conductivity
VM94 - Heat-generating Plate
VM95 - Heat Transfer from a Cooling Spine
VM96 - Temperature Distribution in a Short, Solid Cylinder
VM97 - Temperature Distribution Along a Straight Fin
VM98 - Temperature Distribution Along a Tapered Fin
VM99 - Temperature Distribution in a Trapezoidal Fin
VM100 - Heat Conduction Across a Chimney Section
VM101 - Temperature Distribution in a Short Solid Cylinder
VM102 - Cylinder with Temperature Dependent Conductivity
VM103 - Thin Plate with Central Heat Source
VM104 - Liquid-Solid Phase Change
VM105 - Heat Generating Coil with Temperature Conductivity
VM106 - Radiant Energy Emission
VM107 - Thermocouple Radiation
VM108 - Temperature Gradient Across a Solid Cylinder
VM109 - Temperature Response of a Suddenly Cooled Wire
VM110 - Transient Temperature Distribution in a Slab
VM111 - Cooling of a Spherical Body
VM112 - Cooling of a Spherical Body
VM113 - Transient Temperature Distribution in an Orthotropic Metal Bar
VM114 - Temperature Response to Increasing Temperature
VM115 - Thermal Response of a Heat-generating Slab
VM116 - Heat Conducting Plate with Sudden Cooling
VM117 - Electric Current Flowing in a Network
VM118 - Centerline Temperature of a Heat-generating Wire
VM119 - Centerline Temperature of an Electrical Wire
VM120 - Microstrip Transmission Line Capacitance
VM121 - Laminar Flow Through a Pipe with Uniform Heat Flux
VM122 - Pressure Drop in a Turbulent Flowing Fluid
VM123 - Laminar Flow in a Piping System
VM124 - Discharge of Water from a Reservoir
VM125 - Radiation Heat Transfer Between Concentric Cylinders
VM126 - Heat Transferred to a Flowing Fluid
VM127 - Buckling of a Bar with Hinged Ends (Line Elements)
VM128 - Buckling of a Bar with Hinged Ends (Area Elements)
VM129 - Numerical Differentiation and Integration
VM130 - Fourier Series Generation for a Saw Tooth Wave
VM131 - Acceleration of a Rotating Crane Boom
VM132 - Stress Relaxation of a Tightened Bolt Due to Creep
VM133 - Motion of a Rod Due to Irradiation Induced Creep
VM134 - Plastic Bending of a Clamped I-Beam
VM135 - Bending of a Beam on an Elastic Foundation
VM136 - Large Deflection of a Buckled Bar (the Elastica)
VM137 - Large Deflection of a Circular Membrane
VM138 - Large Deflection Bending of a Circular Plate
VM139 - Bending of a Long Uniformly Loaded Rectangular Plate
VM140 - Stretching, Twisting and Bending of a Long Shaft
VM141 - Diametral Compression of a Disk
VM142 - Stress Concentration At a Hole in a Plate
VM143 - Fracture Mechanics Stress for a Crack in a Plate
VM144 - Bending of a Composite Beam
VM145 - Stretching of an Orthotropic Solid
VM146 - Bending of a Reinforced Concrete Beam
VM147 - Gray-Body Radiation within a Frustum of a Cone
VM148 - Bending of a Parabolic Beam
VM149 - Rotation of a Tank of Fluid
VM150 - Acceleration of a Tank of Fluid
VM151 - Nonaxisymmetric Vibration of a Circular Plate
VM152 - 2-D Nonaxisymmetric Vibration of a Stretched Membrane
VM153 - 3-D Nonaxisymmetric Vibration of a Stretched Membrane
VM154 - Vibration of a Fluid Coupling
VM155 - Shape Optimization of a Cantilever Beam
VM156 - Natural Frequency of a Nonlinear Spring-Mass System
VM157 - Optimization of a Frame Structure
VM158 - Motion of a Bobbing Buoy
VM159 - Temperature-controlled Heater
VM160 - Solid Cylinder with Harmonic Temperature Load
VM161 - Heat Flow From an Insulated Pipe
VM162 - Cooling of a Circular Fin of Rectangular Profile
VM163 - Groundwater Seepage (Permeability Analogy)
VM164 - Drying of a Thick Wooden Slab (Diffusion Analogy)
VM165 - Current-Carrying Ferromagnetic Conductor
VM166 - Long Cylinder in a Sinusoidal Magnetic Field
VM167 - Transient Eddy Currents in a Semi-Infinite Solid
VM168 - Magnetic Field in a Nonferrous Solenoid
VM169 - Permanent Magnet Circuit With an Air Gap
VM170 - Magnetic Field From a Square Current Loop
VM171 - Permanent Magnet Circuit With an Elastic Keeper
VM172 - Stress Analysis of a Long, Thick, Isotropic Solenoid
VM173 - Centerline Temperature of an Electrical Wire
VM174 - Bimetallic Beam Under Thermal Load
VM175 - Natural Frequency of a Piezoelectric Transducer
VM176 - Frequency Response of Electrical Input Admittance
VM177 - Natural Frequency of a Submerged Ring
VM178 - Plane Poiseuille Flow
VM179 - Dynamic Double Rotation of a Jointed Beam
VM180 - Bending of a Curved Beam
VM181 - Natural Frequency of a Flat Circular Plate
VM182 - Transient Response of a Spring-mass System
VM183 - Harmonic Response of a Spring-mass System
VM184 - Straight Cantilever Beam
VM185 - AC Analysis of a Slot Embedded Conductor
VM186 - Transient Analysis of a Slot Embedded Conductor
VM187 - Bending of a Curved Beam
VM188 - Force Calculation on a Current Carrying Conductor
VM189 - Hollow Sphere in a Uniform Magnetic Field
VM190 - Ferromagnetic Inductor
VM191 - Hertz Contact Between Two Cylinders
VM192 - Cooling of a Billet by Radiation
VM193 - Adaptive Analysis of 2-D Heat Transfer with Convection
VM194 - Element Birth/Death in a Fixed Bar
VM195 - Toggle Mechanism
VM196 - Counter-Balanced Loads on a Block
VM197 - IGES Write/Read for Thick-Walled Cylinder
VM198 - Large Strain In-plane Torsion Test
VM199 - Viscoplastic Analysis of a Body (Shear Deformation)
VM200 - Viscoelastic Sandwich Seal Analysis
VM201 - Rubber Cylinder Pressed Between Two Plates
VM202 - Transverse Vibrations of a Shear Beam
VM203 - Dynamic Load Effect on Supported Thick Plate
VM204 - Solid Model of an Axial Bearing
VM205 - Adaptive Analysis of an Elliptic Membrane
VM206 - Stranded Coil with Voltage Excitation
VM207 - Stranded Coil Excited by External Circuit
VM208 - RL Circuit with Controlled Source
VM209 - Multiple Species Flow Entering a Circular Pipe
VM210 - Pyramid Validation of Tetrahedron to Hexahedron
VM211 - Rubber Cylinder Pressed Between Two Plates
VM212 - Modal Analysis of a Rectangular Cavity
VM213 - Harmonic Response Analysis of a Coaxial Cable
VM214 - Harmonic Response of a Rectangular Waveguide
VM215 - Thermal-Electric Hemispherical Shell with Hole
VM216 - Lateral Buckling of a Right Angle Frame
VM217 - Portal Frame Under Symmetric Loading
VM218 - Hyperelastic Circular Plate
VM219 - Non-Newtonian Pressure Driven Sector Flow
VM220 - Eddy Current Loss in Thick Steel Plate
VM221 - Inductance Calculation of a Transformer
VM222 - Warping Torsion Bar
VM223 - Electro-Thermal Microactuator Analysis
VM224 - Implicit Creep under Biaxial Load
VM225 - Rectangular Cross-Section Bar with Preload
VM226 - Fourier Series Analysis of a Diode Rectified Circuit
VM227 - Radiation Between Finite Coaxial Cylinders
VM228 - Radiation Between Infinite Coaxial Cylinders
VM229 - Friction Heating of Sliding Block
VM230 - Analytical Verification of PDS Results
VM231 - Piezoelectric Rectangular Strip Under Pure Bending Load
VM232 - PDS Response Surface Study
VM233 - Static Force Computation of a 3-D Solenoid Actuator
VM234 - Cyclic Loading of a Rubber Block
VM235 - Frequency Response of a Prestressed Beam
VM236 - Hysteresis Calculation of a Beam Under Electrostatic Load
VM237 - RLC Circuit with Piezoelectric Transducer
VM238 - Wheatstone Bridge Connection of Piezoresistors
VM239 - Mechanics of the Revolute and Universal Joints
VM240 - Thermal Expansion of Rigid Beams in a Composite Bar
VM241 - Static Force Computation of a 3-D Solenoid Actuator
VM242 - Series Expansion Study of an Annular Plate
VM243 - Cantilever Beam with Triangular Loading Defined by Function
VM244 - Modal Analysis of a Cyclic Symmetric Annular Plate
VM245 - Squeeze Film Damping: Rectangular Plate
VM246 - Cyclic Analysis of an End-Loaded Hollow Cylindrical Cantilever Beam
VM247 - Campbell Diagrams and Critical Speeds Using Symmetric Bearings
VM248 - Delamination Analysis of Double Cantilever Beam
VM249 - Gasket Material Under Uniaxial Compression Loading - 2-D Analysis
VM250 - Gasket Material Under Uniaxial Compression Loading - 3-D Analysis
VM251 - Shape Memory Alloy Under Uniaxial Tension Load
VM252 - Gurson Bar-Necking Benchmark with Applied Displacement - 2-D Analysis
VM253 - Gurson Hydrostatic Tension Benchmark - 3-D Analysis
VM254 - Campbell Diagrams and Critical Speeds Using Symmetric Orthotropic Bearings
VM255 - Delamination Analysis of Double Cantilever Beam Using Contact Based Debonding Capability
VM256 - Fracture mechanics stress for a crack in a plate using CINT command
VM257 - Transient dynamic analysis of a swing comprising of two rigid links and a beam with midspan mass.
VM258 - Spin-up maneuver of a flexible beam.
A. Verification Test Case Input Listings
VM1 Input Listing
VM2 Input Listing
VM3 Input Listing
VM4 Input Listing
VM5 Input Listing
VM6 Input Listing
VM7 Input Listing
VM8 Input Listing
VM9 Input Listing
VM10 Input Listing
VM11 Input Listing
VM12 Input Listing
VM13 Input Listing
VM14 Input Listing
VM15 Input Listing
VM16 Input Listing
VM17 Input Listing
VM18 Input Listing
VM19 Input Listing
VM20 Input Listing
VM21 Input Listing
VM22 Input Listing
VM23 Input Listing
VM24 Input Listing
VM25 Input Listing
VM26 Input Listing
VM27 Input Listing
VM28 Input Listing
VM29 Input Listing
VM30 Input Listing
VM31 Input Listing
VM32 Input Listing
VM33 Input Listing
VM34 Input Listing
VM35 Input Listing
VM36 Input Listing
VM37 Input Listing
VM38 Input Listing
VM39 Input Listing
VM40 Input Listing
VM41 Input Listing
VM42 Input Listing
VM43 Input Listing
VM44 Input Listing
VM45 Input Listing
VM46 Input Listing
VM47 Input Listing
VM48 Input Listing
VM49 Input Listing
VM50 Input Listing
VM51 Input Listing
VM52 Input Listing
VM53 Input Listing
VM54 Input Listing
VM55 Input Listing
VM56 Input Listing
VM57 Input Listing
VM58 Input Listing
VM59 Input Listing
VM60 Input Listing
VM61 Input Listing
VM62 Input Listing
VM63 Input Listing
VM64 Input Listing
VM65 Input Listing
VM66 Input Listing
VM67 Input Listing
VM68 Input Listing
VM69 Input Listing
VM70 Input Listing
VM71 Input Listing
VM72 Input Listing
VM73 Input Listing
VM74 Input Listing
VM75 Input Listing
VM76 Input Listing
VM77 Input Listing
VM78 Input Listing
VM79 Input Listing
VM80 Input Listing
VM81 Input Listing
VM82 Input Listing
VM83 Input Listing
VM84 Input Listing
VM85 Input Listing
VM86 Input Listing
VM87 Input Listing
VM88 Input Listing
VM89 Input Listing
VM90 Input Listing
VM91 Input Listing
VM92 Input Listing
VM93 Input Listing
VM94 Input Listing
VM95 Input Listing
VM96 Input Listing
VM97 Input Listing
VM98 Input Listing
VM99 Input Listing
VM100 Input Listing
VM101 Input Listing
VM102 Input Listing
VM103 Input Listing
VM104 Input Listing
VM105 Input Listing
VM106 Input Listing
VM107 Input Listing
VM108 Input Listing
VM109 Input Listing
VM110 Input Listing
VM111 Input Listing
VM112 Input Listing
VM113 Input Listing
VM114 Input Listing
VM115 Input Listing
VM116 Input Listing
VM117 Input Listing
VM118 Input Listing
VM119 Input Listing
VM120 Input Listing
VM121 Input Listing
VM122 Input Listing
VM123 Input Listing
VM124 Input Listing
VM125 Input Listing
VM126 Input Listing
VM127 Input Listing
VM128 Input Listing
VM129 Input Listing
VM130 Input Listing
VM131 Input Listing
VM132 Input Listing
VM133 Input Listing
VM134 Input Listing
VM135 Input Listing
VM136 Input Listing
VM137 Input Listing
VM138 Input Listing
VM139 Input Listing
VM140 Input Listing
VM141 Input Listing
VM142 Input Listing
VM143 Input Listing
VM144 Input Listing
VM145 Input Listing
VM146 Input Listing
VM147 Input Listing
VM148 Input Listing
VM149 Input Listing
VM150 Input Listing
VM151 Input Listing
VM152 Input Listing
VM153 Input Listing
VM154 Input Listing
VM155 Input Listing
VM156 Input Listing
VM157 Input Listing
VM158 Input Listing
VM159 Input Listing
VM160 Input Listing
VM161 Input Listing
VM162 Input Listing
VM163 Input Listing
VM164 Input Listing
VM165 Input Listing
VM166 Input Listing
VM167 Input Listing
VM168 Input Listing
VM169 Input Listing
VM170 Input Listing
VM171 Input Listing
VM172 Input Listing
VM173 Input Listing
VM174 Input Listing
VM175 Input Listing
VM176 Input Listing
VM177 Input Listing
VM178 Input Listing
VM179 Input Listing
VM180 Input Listing
VM181 Input Listing
VM182 Input Listing
VM183 Input Listing
VM184 Input Listing
VM185 Input Listing
VM186 Input Listing
VM187 Input Listing
VM188 Input Listing
VM189 Input Listing
VM190 Input Listing
VM191 Input Listing
VM192 Input Listing
VM193 Input Listing
VM194 Input Listing
VM195 Input Listing
VM196 Input Listing
VM197 Input Listing
VM198 Input Listing
VM199 Input Listing
VM200 Input Listing
VM201 Input Listing
VM202 Input Listing
VM203 Input Listing
VM204 Input Listing
VM205 Input Listing
VM206 Input Listing
VM207 Input Listing
VM208 Input Listing
VM209 Input Listing
VM210 Input Listing
VM211 Input Listing
VM212 Input Listing
VM213 Input Listing
VM214 Input Listing
VM215 Input Listing
VM216 Input Listing
VM217 Input Listing
VM218 Input Listing
VM219 Input Listing
VM220 Input Listing
VM221 Input Listing
VM222 Input Listing
VM223 Input Listing
VM224 Input Listing
VM225 Input Listing
VM226 Input Listing
VM227 Input Listing
VM228 Input Listing
VM229 Input Listing
VM230 Input Listing
VM231 Input Listing
VM232 Input Listing
VM233 Input Listing
VM234 Input Listing
VM235 Input Listing
VM236 Input Listing
VM237 Input Listing
VM238 Input Listing
VM239 Input Listing
VM240 Input Listing
VM241 Input Listing
VM242 Input Listing
VM243 Input Listing
VM244 Input Listing
VM245 Input Listing
VM246 Input Listing
VM247 Input Listing
VM248 Input Listing
VM249 Input Listing
VM250 Input Listing
VM251 Input Listing
VM252 Input Listing
VM253 Input Listing
VM254 Input Listing
VM255 Input Listing
VM256 Input Listing
VM257 Input Listing
VM258 Input Listing
II. Benchmark Study Descriptions
2. Overview
2.1. Description of the Benchmark Studies
2.2. Benchmark Test Case Content and Nomenclature
2.3. Running the Benchmark Test Cases
2.4. Energy Norm
2.5. Benchmark Test Case Coverage Index
Benchmark C1 - Built-In Plate Under Uniformly Distributed Load
Benchmark C2 - Elliptic Membrane Under a Uniformly Load
Benchmark C3 - Barrel Vault Roof Under Self Weight
Benchmark C4 - Simply-Supported Thin Annular Plate
Benchmark C5 - Simply-Supported Solid Square Plate
Benchmark C6 - 2-D Heat Transfer With Convection
Benchmark C7 - One-Dimensional Transient Heat Transfer
Benchmark C8 - Aluminum Bar Impacting a Rigid Boundary
Benchmark D1 - Straight Cantilever Beam Under Unit Load
Benchmark D2 - Barrel Vault Roof Under Self Weight
Benchmark D3 - Free-Free Vibration of a Solid Beam
B. Benchmark Input Listings
Benchmark C1 Input Listing
Benchmark C2 Input Listing
Benchmark C3 Input Listing
Benchmark C4 Input Listing
Benchmark C5 Input Listing
Benchmark C6 Input Listing
Benchmark C7 Input Listing
Benchmark C8 Input Listing
Benchmark D1 Input Listing
Benchmark D2 Input Listing
Benchmark D3 Input Listing
III. ANSYS LS-DYNA Study Descriptions
3. ANSYS LS-DYNA Study Overview
VME1 - Response of Spring-Mass System to Step Input
VME2 - Drop Analysis of a Block Onto a Spring Scale
VME3 - Response of Spring-Mass-Damper System
VME4 - Undamped Vibration Absorber
VME5 - Pinned Bar Under Gravity Loading
VME6 - Projectile with Air Resistance
C. ANSYS LS-DYNA Input Listings
VME1 Input Listing
VME2 Input Listing
VME3 Input Listing
VME4 Input Listing
VME5 Input Listing
VME6 Input Listing
IV. NAFEMS Benchmarks
4. NAFEMS Benchmarks Overview
VMP09-T2 - Pin-ended double cross: In-plane vibration
VMP09-T4 - Cantilever with off-centre point masses
VMP09-T5 - Deep simply-supported beam
VMP09-T12 - Free thin square plate
VMP09-T15 - Clamped thin rhombic plate
VMP09-T33 - Free annular membrane
VMP09-T52 - Simply-supported 'solid' square plate
VMR027-3A - 2-D Plane Stress - Biaxial (negative) Load Secondary Creep
VMR027-3B - 2-D Plane Stress - Biaxial (negative) Displacement Secondary Creep
VMR027-4C - 2-D Plane Stress - Shear Loading Secondary Creep
VMR027-5B - 2-D Plane Strain - Biaxial Displacement Secondary Creep
VMR027-6B - 3-D - Triaxial Displacement Secondary Creep
VMR027-10A - 2-D Plane Stress - Biaxial (negative) Load Primary Creep
VMR027-10B - 2-D Plane Stress - Biaxial (negative) Displacement Primary Creep
VMR027-10C - 2-D Plane Stress - Biaxial (negative) Stepped Load - Primary Creep
VMR027-12B - 2-D Plane Stress - Uniaxial Displacement Primary-Secondary Creep
VMR027-12C - 2-D Plane Stress - Stepped Load Primary - Secondary Creep
VMR029-T1 - Elastic large deflection response of a z-shaped cantilever upper end load
VMR029-T4 - Lateral torsional buckling of an elastic cantilever subjected to transverse end load
VMR029-T5 - Large deflection of a curved elastic cantilever under transverse end load
VMR029-T7 - Large displacement elastic response of a hinged spherical shell under uniform pressure loading
VMR029-T9 - Large elastic deflection of a pinched hemispherical shell
VMR049-CR1 - Constant-Load Creep Benchmark
VMR049-CR2 - Constant-Displacement Creep Benchmark
VMR049-CR3 - Variable-Load Uniaxial Creep Benchmark
VMR049-CR4 - Pressurised Cylinder Creep Benchmark
VMR049-CR5 - Torsional Creep of Square Shaft
VMR049-CR6 - Thermally Induced Creep Benchmark
VMR049-PL1 - 2D Plane Strain Plasticity Benchmark
VMR049-PL2 - 2D Plane Stress Plasticity Benchmark
VMR049-PL3 - 3D Plasticity Benchmark
VMR049-PL5 - Pressurised Cylinder Plasticity Benchmark
D. NAFEMS Input Listings
VM-P09-t2 188 Input Listing
VM-P09-t2 189 Input Listing
VM-P09-t4 188 Input Listing
VM-P09-t4 189 Input Listing
VM-P09-t5 188 Input Listing
VM-P09-t5 189 Input Listing
VM-P09-t12 181 Input Listing
VM-P09-t12 281 Input Listing
VM-P09-t15 181 Input Listing
VM-P09-t15 281 Input Listing
VM-P09-t33 182 Input Listing
VM-P09-t33 183 Input Listing
VM-P09-t52 181 Input Listing
VM-P09-t52 185 Input Listing
VM-P09-t52 186 Input Listing
VM-P09-t52 187 Input Listing
VM-P09-t52 281 Input Listing
VM-R027-3A 181 Input Listing
VM-R027-3A 182 Input Listing
VM-R027-3A 183 Input Listing
VM-R027-3A 281 Input Listing
VM-R027-3B 181 Input Listing
VM-R027-3B 182 Input Listing
VM-R027-3B 183 Input Listing
VM-R027-3B 281 Input Listing
VM-R027-4C 181 Input Listing
VM-R027-4C 182 Input Listing
VM-R027-4C 183 Input Listing
VM-R027-4C 281 Input Listing
VM-R027-5B 182 Input Listing
VM-R027-5B 183 Input Listing
VM-R027-6B 185 Input Listing
VM-R027-6B 186 Input Listing
VM-R027-6B 187 Input Listing
VM-R027-10A 181 Input Listing
VM-R027-10A 182 Input Listing
VM-R027-10A 183 Input Listing
VM-R027-10A 281 Input Listing
VM-R027-10B 181 Input Listing
VM-R027-10B 182 Input Listing
VM-R027-10B 183 Input Listing
VM-R027-10B 281 Input Listing
VM-R027-10C 181 Input Listing
VM-R027-10C 182 Input Listing
VM-R027-10C 183 Input Listing
VM-R027-10C 281 Input Listing
VM-R027-12B 181 Input Listing
VM-R027-12B 182 Input Listing
VM-R027-12B 183 Input Listing
VM-R027-12B 281 Input Listing
VM-R027-12C 181 Input Listing
VM-R027-12C 182 Input Listing
VM-R027-12C 183 Input Listing
VM-R027-12C 281 Input Listing
VM-R029-t1 181 Input Listing
VM-R029-t1 185 Input Listing
VM-R029-t1 188 Input Listing
VM-R029-t1 189 Input Listing
VM-R029-t1 190 Input Listing
VM-R029-t1 281 Input Listing
VM-R029-t4 181 Input Listing
VM-R029-t4 185 Input Listing
VM-R029-t4 188 Input Listing
VM-R029-t4 189 Input Listing
VM-R029-t4 190 Input Listing
VM-R029-t4 281 Input Listing
VM-R029-t5 185 Input Listing
VM-R029-t5 188 Input Listing
VM-R029-t5 189 Input Listing
VM-R029-t5 190 Input Listing
VM-R029-t7 181 Input Listing
VM-R029-t7 185 Input Listing
VM-R029-t7 190 Input Listing
VM-R029-t7 281 Input Listing
VM-R029-t9 181 Input Listing
VM-R029-t9 185 Input Listing
VM-R029-t9 190 Input Listing
VM-R029-t9 281 Input Listing
VM-R049-1A 181 Input Listing
VM-R049-1A 182 Input Listing
VM-R049-1A 183 Input Listing
VM-R049-1A 281 Input Listing
VM-R049-1B 181 Input Listing
VM-R049-1B 182 Input Listing
VM-R049-1B 183 Input Listing
VM-R049-1B 281 Input Listing
VM-R049-1C 181 Input Listing
VM-R049-1C 182 Input Listing
VM-R049-1C 183 Input Listing
VM-R049-1C 281 Input Listing
VM-R049-2 181 Input Listing
VM-R049-2 182 Input Listing
VM-R049-2 183 Input Listing
VM-R049-2 185 Input Listing
VM-R049-2 187 Input Listing
VM-R049-2 281 Input Listing
VM-R049-3 181 Input Listing
VM-R049-3 182 Input Listing
VM-R049-3 183 Input Listing
VM-R049-3 281 Input Listing
VM-R049-4 182 Input Listing
VM-R049-4 183 Input Listing
VM-R049-5 185 Input Listing
VM-R049-5 186 Input Listing
VM-R049-5 187 Input Listing
VM-R049-6 182 Input Listing
VM-R049-6 183 Input Listing
VM-R049-PL1A 182 Input Listing
VM-R049-PL1A 183 Input Listing
VM-R049-PL1B 182 Input Listing
VM-R049-PL1B 183 Input Listing
VM-R049-PL2A 181 Input Listing
VM-R049-PL2A 182 Input Listing
VM-R049-PL2A 183 Input Listing
VM-R049-PL2A 281 Input Listing
VM-R049-PL2B 181 Input Listing
VM-R049-PL2B 182 Input Listing
VM-R049-PL2B 281 Input Listing
VM-R049-PL3A 185 Input Listing
VM-R049-PL3A 186 Input Listing
VM-R049-PL3A 187 Input Listing
VM-R049-PL3B 185 Input Listing
VM-R049-PL3B 186 Input Listing
VM-R049-PL3B 187 Input Listing
VM-R049-PL3B 190 Input Listing
VM-R049-PL5A 182 Input Listing
VM-R049-PL5A 183 Input Listing
VM-R049-PL5B 182 Input Listing
VM-R049-PL5B 183 Input Listing

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
B.5. Troubleshooting Part Import 		Up / Home Next
Part I, Verification Test Case Descriptions


Part I, Verification Test Case Descriptions

Release 11.0 Documentation for ANSYS

Verification Manual |

Verification Test Case Descriptions

Table of Contents

1. Introduction
1.1. Program Overview
1.2. Program Verification
1.3. Finding Test Cases of Interest
1.4. Accessing Test Case Inputs
1.5. Verification Manual Versus Other Manuals
1.6. Verification Manual Contents
1.7. Theoretical Solutions
1.8. Test Case Selection and Method of Solution
1.9. Numerical Comparisons
1.10. References
1.11. Test Case Format
1.12. Symbols and Nomenclature
1.13. Memory Requirements and Run Times
1.14. Abbreviation, Element, and Product Lists
1.14.1. Abbreviation and Symbol List
1.14.2. Units Abbreviation List
1.14.3. Index by Element Number
VM1 - Statically Indeterminate Reaction Force Analysis
VM2 - Beam Stresses and Deflections
VM3 - Thermally Loaded Support Structure
VM4 - Deflection of a Hinged Support
VM5 - Laterally Loaded Tapered Support Structure
VM6 - Pinched Cylinder
VM7 - Plastic Compression of a Pipe Assembly
VM8 - Parametric Calculation of Point-to-Point Distances
VM9 - Large Lateral Deflection of Unequal Stiffness Springs
VM10 - Bending of a Tee-Shaped Beam
VM11 - Residual Stress Problem
VM12 - Combined Bending and Torsion
VM13 - Cylindrical Shell Under Pressure
VM14 - Large Deflection Eccentric Compression of a Column
VM15 - Bending of a Circular Plate Using Axisymmetric Elements
VM16 - Bending of a Solid Beam (Plane Elements)
VM17 - Snap-Through Buckling of a Hinged Shell
VM18 - Out-of-Plane Bending of a Curved Bar
VM19 - Random Vibration Analysis of a Deep Simply-Supported Beam
VM20 - Cylindrical Membrane Under Pressure
VM21 - Tie Rod with Lateral Loading
VM22 - Small Deflection of a Belleville Spring
VM23 - Thermal-structural Contact of Two Bodies
VM24 - Plastic Hinge in a Rectangular Beam
VM25 - Stresses in a Long Cylinder
VM26 - Large Deflection of a Cantilever
VM27 - Thermal Expansion to Close a Gap
VM28 - Transient Heat Transfer in an Infinite Slab
VM29 - Friction on a Support Block
VM30 - Solid Model of Surface Fillet
VM31 - Cable Supporting Hanging Loads
VM32 - Thermal Stresses in a Long Cylinder
VM33 - Transient Thermal Stress in a Cylinder
VM34 - Bending of a Tapered Plate (Beam)
VM35 - Bimetallic Layered Cantilever Plate with Thermal Loading
VM36 - Limit Moment Analysis
VM37 - Elongation of a Solid Bar
VM38 - Plastic Loading of a Thick-Walled Cylinder
VM39 - Bending of a Circular Plate with a Center Hole
VM40 - Large Deflection and Rotation of a Beam Pinned at One End
VM41 - Small Deflection of a Rigid Beam
VM42 - Barrel Vault Roof Under Self Weight
VM43 - Bending of an Axisymmetric Thick Pipe
VM44 - Bending of an Axisymmetric Thin Pipe
VM45 - Natural Frequency of a Spring-Mass System
VM46 - Flow Between Rotating Concentric Cylinders
VM47 - Torsional Frequency of a Suspended Disk
VM48 - Natural Frequency of a Motor-Generator
VM49 - Electrostatic Field Analysis of Quadpole Wires
VM50 - Fundamental Frequency of a Simply Supported Beam
VM51 - Electrostatic Forces Between Charged Spheres
VM52 - Automobile Suspension System Vibration
VM53 - Vibration of a String Under Tension
VM54 - Vibration of a Rotating Cantilever Blade
VM55 - Vibration of a Stretched Circular Membrane
VM56 - Hyperelastic Thick Cylinder Under Internal Pressure
VM57 - Torsional Frequencies of a Drill Pipe
VM58 - Centerline Temperature of a Heat Generating Wire
VM59 - Lateral Vibration of an Axially-loaded Bar
VM60 - Natural Frequency of a Cross-ply Laminated Shell
VM61 - Longitudinal Vibration of a Free-free Rod
VM62 - Vibration of a Wedge
VM63 - Static Hertz Contact Problem
VM64 - Thermal Expansion to Close a Gap at a Rigid Surface
VM65 - Transient Response of a Ball Impacting a Flexible Surface
VM66 - Vibration of a Flat Plate
VM67 - Radial Vibrations of a Circular Ring
VM68 - PSD Response of a Two DOF Spring-mass System
VM69 - Seismic Response
VM70 - Seismic Response of a Beam Structure
VM71 - Transient Response of a Spring-Mass-Damper System
VM72 - Logarithmic Decrement
VM73 - Free Vibration with Coulomb Damping
VM74 - Transient Response to an Impulsive Excitation
VM75 - Transient Response to a Step Excitation
VM76 - Harmonic Response of a Guitar String
VM77 - Transient Response to a Constant Force
VM78 - Transverse Shear Stresses in a Cantilever Beam
VM79 - Transient Response of a Bilinear Spring Assembly
VM80 - Plastic Response to a Suddenly Applied Constant Force
VM81 - Transient Response of a Drop Container
VM82 - Simply Supported Laminated Plate Under Pressure
VM83 - Impact of a Block on a Spring Scale
VM84 - Displacement Propagation Along a Bar with Free Ends
VM85 - Transient Displacements in a Suddenly Stopped Moving Bar
VM86 - Harmonic Response of a Dynamic System
VM87 - Equivalent Structural Damping
VM88 - Response of an Eccentric Weight Exciter
VM89 - Natural Frequencies of a Two-mass-spring System
VM90 - Harmonic Response of a Two-Mass-Spring System
VM91 - Large Rotation of a Swinging Pendulum
VM92 - Insulated Wall Temperature
VM93 - Temperature Dependent Conductivity
VM94 - Heat-generating Plate
VM95 - Heat Transfer from a Cooling Spine
VM96 - Temperature Distribution in a Short, Solid Cylinder
VM97 - Temperature Distribution Along a Straight Fin
VM98 - Temperature Distribution Along a Tapered Fin
VM99 - Temperature Distribution in a Trapezoidal Fin
VM100 - Heat Conduction Across a Chimney Section
VM101 - Temperature Distribution in a Short Solid Cylinder
VM102 - Cylinder with Temperature Dependent Conductivity
VM103 - Thin Plate with Central Heat Source
VM104 - Liquid-Solid Phase Change
VM105 - Heat Generating Coil with Temperature Conductivity
VM106 - Radiant Energy Emission
VM107 - Thermocouple Radiation
VM108 - Temperature Gradient Across a Solid Cylinder
VM109 - Temperature Response of a Suddenly Cooled Wire
VM110 - Transient Temperature Distribution in a Slab
VM111 - Cooling of a Spherical Body
VM112 - Cooling of a Spherical Body
VM113 - Transient Temperature Distribution in an Orthotropic Metal Bar
VM114 - Temperature Response to Increasing Temperature
VM115 - Thermal Response of a Heat-generating Slab
VM116 - Heat Conducting Plate with Sudden Cooling
VM117 - Electric Current Flowing in a Network
VM118 - Centerline Temperature of a Heat-generating Wire
VM119 - Centerline Temperature of an Electrical Wire
VM120 - Microstrip Transmission Line Capacitance
VM121 - Laminar Flow Through a Pipe with Uniform Heat Flux
VM122 - Pressure Drop in a Turbulent Flowing Fluid
VM123 - Laminar Flow in a Piping System
VM124 - Discharge of Water from a Reservoir
VM125 - Radiation Heat Transfer Between Concentric Cylinders
VM126 - Heat Transferred to a Flowing Fluid
VM127 - Buckling of a Bar with Hinged Ends (Line Elements)
VM128 - Buckling of a Bar with Hinged Ends (Area Elements)
VM129 - Numerical Differentiation and Integration
VM130 - Fourier Series Generation for a Saw Tooth Wave
VM131 - Acceleration of a Rotating Crane Boom
VM132 - Stress Relaxation of a Tightened Bolt Due to Creep
VM133 - Motion of a Rod Due to Irradiation Induced Creep
VM134 - Plastic Bending of a Clamped I-Beam
VM135 - Bending of a Beam on an Elastic Foundation
VM136 - Large Deflection of a Buckled Bar (the Elastica)
VM137 - Large Deflection of a Circular Membrane
VM138 - Large Deflection Bending of a Circular Plate
VM139 - Bending of a Long Uniformly Loaded Rectangular Plate
VM140 - Stretching, Twisting and Bending of a Long Shaft
VM141 - Diametral Compression of a Disk
VM142 - Stress Concentration At a Hole in a Plate
VM143 - Fracture Mechanics Stress for a Crack in a Plate
VM144 - Bending of a Composite Beam
VM145 - Stretching of an Orthotropic Solid
VM146 - Bending of a Reinforced Concrete Beam
VM147 - Gray-Body Radiation within a Frustum of a Cone
VM148 - Bending of a Parabolic Beam
VM149 - Rotation of a Tank of Fluid
VM150 - Acceleration of a Tank of Fluid
VM151 - Nonaxisymmetric Vibration of a Circular Plate
VM152 - 2-D Nonaxisymmetric Vibration of a Stretched Membrane
VM153 - 3-D Nonaxisymmetric Vibration of a Stretched Membrane
VM154 - Vibration of a Fluid Coupling
VM155 - Shape Optimization of a Cantilever Beam
VM156 - Natural Frequency of a Nonlinear Spring-Mass System
VM157 - Optimization of a Frame Structure
VM158 - Motion of a Bobbing Buoy
VM159 - Temperature-controlled Heater
VM160 - Solid Cylinder with Harmonic Temperature Load
VM161 - Heat Flow From an Insulated Pipe
VM162 - Cooling of a Circular Fin of Rectangular Profile
VM163 - Groundwater Seepage (Permeability Analogy)
VM164 - Drying of a Thick Wooden Slab (Diffusion Analogy)
VM165 - Current-Carrying Ferromagnetic Conductor
VM166 - Long Cylinder in a Sinusoidal Magnetic Field
VM167 - Transient Eddy Currents in a Semi-Infinite Solid
VM168 - Magnetic Field in a Nonferrous Solenoid
VM169 - Permanent Magnet Circuit With an Air Gap
VM170 - Magnetic Field From a Square Current Loop
VM171 - Permanent Magnet Circuit With an Elastic Keeper
VM172 - Stress Analysis of a Long, Thick, Isotropic Solenoid
VM173 - Centerline Temperature of an Electrical Wire
VM174 - Bimetallic Beam Under Thermal Load
VM175 - Natural Frequency of a Piezoelectric Transducer
VM176 - Frequency Response of Electrical Input Admittance
VM177 - Natural Frequency of a Submerged Ring
VM178 - Plane Poiseuille Flow
VM179 - Dynamic Double Rotation of a Jointed Beam
VM180 - Bending of a Curved Beam
VM181 - Natural Frequency of a Flat Circular Plate
VM182 - Transient Response of a Spring-mass System
VM183 - Harmonic Response of a Spring-mass System
VM184 - Straight Cantilever Beam
VM185 - AC Analysis of a Slot Embedded Conductor
VM186 - Transient Analysis of a Slot Embedded Conductor
VM187 - Bending of a Curved Beam
VM188 - Force Calculation on a Current Carrying Conductor
VM189 - Hollow Sphere in a Uniform Magnetic Field
VM190 - Ferromagnetic Inductor
VM191 - Hertz Contact Between Two Cylinders
VM192 - Cooling of a Billet by Radiation
VM193 - Adaptive Analysis of 2-D Heat Transfer with Convection
VM194 - Element Birth/Death in a Fixed Bar
VM195 - Toggle Mechanism
VM196 - Counter-Balanced Loads on a Block
VM197 - IGES Write/Read for Thick-Walled Cylinder
VM198 - Large Strain In-plane Torsion Test
VM199 - Viscoplastic Analysis of a Body (Shear Deformation)
VM200 - Viscoelastic Sandwich Seal Analysis
VM201 - Rubber Cylinder Pressed Between Two Plates
VM202 - Transverse Vibrations of a Shear Beam
VM203 - Dynamic Load Effect on Supported Thick Plate
VM204 - Solid Model of an Axial Bearing
VM205 - Adaptive Analysis of an Elliptic Membrane
VM206 - Stranded Coil with Voltage Excitation
VM207 - Stranded Coil Excited by External Circuit
VM208 - RL Circuit with Controlled Source
VM209 - Multiple Species Flow Entering a Circular Pipe
VM210 - Pyramid Validation of Tetrahedron to Hexahedron
VM211 - Rubber Cylinder Pressed Between Two Plates
VM212 - Modal Analysis of a Rectangular Cavity
VM213 - Harmonic Response Analysis of a Coaxial Cable
VM214 - Harmonic Response of a Rectangular Waveguide
VM215 - Thermal-Electric Hemispherical Shell with Hole
VM216 - Lateral Buckling of a Right Angle Frame
VM217 - Portal Frame Under Symmetric Loading
VM218 - Hyperelastic Circular Plate
VM219 - Non-Newtonian Pressure Driven Sector Flow
VM220 - Eddy Current Loss in Thick Steel Plate
VM221 - Inductance Calculation of a Transformer
VM222 - Warping Torsion Bar
VM223 - Electro-Thermal Microactuator Analysis
VM224 - Implicit Creep under Biaxial Load
VM225 - Rectangular Cross-Section Bar with Preload
VM226 - Fourier Series Analysis of a Diode Rectified Circuit
VM227 - Radiation Between Finite Coaxial Cylinders
VM228 - Radiation Between Infinite Coaxial Cylinders
VM229 - Friction Heating of Sliding Block
VM230 - Analytical Verification of PDS Results
VM231 - Piezoelectric Rectangular Strip Under Pure Bending Load
VM232 - PDS Response Surface Study
VM233 - Static Force Computation of a 3-D Solenoid Actuator
VM234 - Cyclic Loading of a Rubber Block
VM235 - Frequency Response of a Prestressed Beam
VM236 - Hysteresis Calculation of a Beam Under Electrostatic Load
VM237 - RLC Circuit with Piezoelectric Transducer
VM238 - Wheatstone Bridge Connection of Piezoresistors
VM239 - Mechanics of the Revolute and Universal Joints
VM240 - Thermal Expansion of Rigid Beams in a Composite Bar
VM241 - Static Force Computation of a 3-D Solenoid Actuator
VM242 - Series Expansion Study of an Annular Plate
VM243 - Cantilever Beam with Triangular Loading Defined by Function
VM244 - Modal Analysis of a Cyclic Symmetric Annular Plate
VM245 - Squeeze Film Damping: Rectangular Plate
VM246 - Cyclic Analysis of an End-Loaded Hollow Cylindrical Cantilever Beam
VM247 - Campbell Diagrams and Critical Speeds Using Symmetric Bearings
VM248 - Delamination Analysis of Double Cantilever Beam
VM249 - Gasket Material Under Uniaxial Compression Loading - 2-D Analysis
VM250 - Gasket Material Under Uniaxial Compression Loading - 3-D Analysis
VM251 - Shape Memory Alloy Under Uniaxial Tension Load
VM252 - Gurson Bar-Necking Benchmark with Applied Displacement - 2-D Analysis
VM253 - Gurson Hydrostatic Tension Benchmark - 3-D Analysis
VM254 - Campbell Diagrams and Critical Speeds Using Symmetric Orthotropic Bearings
VM255 - Delamination Analysis of Double Cantilever Beam Using Contact Based Debonding Capability
VM256 - Fracture mechanics stress for a crack in a plate using CINT command
VM257 - Transient dynamic analysis of a swing comprising of two rigid links and a beam with midspan mass.
VM258 - Spin-up maneuver of a flexible beam.
A. Verification Test Case Input Listings
VM1 Input Listing
VM2 Input Listing
VM3 Input Listing
VM4 Input Listing
VM5 Input Listing
VM6 Input Listing
VM7 Input Listing
VM8 Input Listing
VM9 Input Listing
VM10 Input Listing
VM11 Input Listing
VM12 Input Listing
VM13 Input Listing
VM14 Input Listing
VM15 Input Listing
VM16 Input Listing
VM17 Input Listing
VM18 Input Listing
VM19 Input Listing
VM20 Input Listing
VM21 Input Listing
VM22 Input Listing
VM23 Input Listing
VM24 Input Listing
VM25 Input Listing
VM26 Input Listing
VM27 Input Listing
VM28 Input Listing
VM29 Input Listing
VM30 Input Listing
VM31 Input Listing
VM32 Input Listing
VM33 Input Listing
VM34 Input Listing
VM35 Input Listing
VM36 Input Listing
VM37 Input Listing
VM38 Input Listing
VM39 Input Listing
VM40 Input Listing
VM41 Input Listing
VM42 Input Listing
VM43 Input Listing
VM44 Input Listing
VM45 Input Listing
VM46 Input Listing
VM47 Input Listing
VM48 Input Listing
VM49 Input Listing
VM50 Input Listing
VM51 Input Listing
VM52 Input Listing
VM53 Input Listing
VM54 Input Listing
VM55 Input Listing
VM56 Input Listing
VM57 Input Listing
VM58 Input Listing
VM59 Input Listing
VM60 Input Listing
VM61 Input Listing
VM62 Input Listing
VM63 Input Listing
VM64 Input Listing
VM65 Input Listing
VM66 Input Listing
VM67 Input Listing
VM68 Input Listing
VM69 Input Listing
VM70 Input Listing
VM71 Input Listing
VM72 Input Listing
VM73 Input Listing
VM74 Input Listing
VM75 Input Listing
VM76 Input Listing
VM77 Input Listing
VM78 Input Listing
VM79 Input Listing
VM80 Input Listing
VM81 Input Listing
VM82 Input Listing
VM83 Input Listing
VM84 Input Listing
VM85 Input Listing
VM86 Input Listing
VM87 Input Listing
VM88 Input Listing
VM89 Input Listing
VM90 Input Listing
VM91 Input Listing
VM92 Input Listing
VM93 Input Listing
VM94 Input Listing
VM95 Input Listing
VM96 Input Listing
VM97 Input Listing
VM98 Input Listing
VM99 Input Listing
VM100 Input Listing
VM101 Input Listing
VM102 Input Listing
VM103 Input Listing
VM104 Input Listing
VM105 Input Listing
VM106 Input Listing
VM107 Input Listing
VM108 Input Listing
VM109 Input Listing
VM110 Input Listing
VM111 Input Listing
VM112 Input Listing
VM113 Input Listing
VM114 Input Listing
VM115 Input Listing
VM116 Input Listing
VM117 Input Listing
VM118 Input Listing
VM119 Input Listing
VM120 Input Listing
VM121 Input Listing
VM122 Input Listing
VM123 Input Listing
VM124 Input Listing
VM125 Input Listing
VM126 Input Listing
VM127 Input Listing
VM128 Input Listing
VM129 Input Listing
VM130 Input Listing
VM131 Input Listing
VM132 Input Listing
VM133 Input Listing
VM134 Input Listing
VM135 Input Listing
VM136 Input Listing
VM137 Input Listing
VM138 Input Listing
VM139 Input Listing
VM140 Input Listing
VM141 Input Listing
VM142 Input Listing
VM143 Input Listing
VM144 Input Listing
VM145 Input Listing
VM146 Input Listing
VM147 Input Listing
VM148 Input Listing
VM149 Input Listing
VM150 Input Listing
VM151 Input Listing
VM152 Input Listing
VM153 Input Listing
VM154 Input Listing
VM155 Input Listing
VM156 Input Listing
VM157 Input Listing
VM158 Input Listing
VM159 Input Listing
VM160 Input Listing
VM161 Input Listing
VM162 Input Listing
VM163 Input Listing
VM164 Input Listing
VM165 Input Listing
VM166 Input Listing
VM167 Input Listing
VM168 Input Listing
VM169 Input Listing
VM170 Input Listing
VM171 Input Listing
VM172 Input Listing
VM173 Input Listing
VM174 Input Listing
VM175 Input Listing
VM176 Input Listing
VM177 Input Listing
VM178 Input Listing
VM179 Input Listing
VM180 Input Listing
VM181 Input Listing
VM182 Input Listing
VM183 Input Listing
VM184 Input Listing
VM185 Input Listing
VM186 Input Listing
VM187 Input Listing
VM188 Input Listing
VM189 Input Listing
VM190 Input Listing
VM191 Input Listing
VM192 Input Listing
VM193 Input Listing
VM194 Input Listing
VM195 Input Listing
VM196 Input Listing
VM197 Input Listing
VM198 Input Listing
VM199 Input Listing
VM200 Input Listing
VM201 Input Listing
VM202 Input Listing
VM203 Input Listing
VM204 Input Listing
VM205 Input Listing
VM206 Input Listing
VM207 Input Listing
VM208 Input Listing
VM209 Input Listing
VM210 Input Listing
VM211 Input Listing
VM212 Input Listing
VM213 Input Listing
VM214 Input Listing
VM215 Input Listing
VM216 Input Listing
VM217 Input Listing
VM218 Input Listing
VM219 Input Listing
VM220 Input Listing
VM221 Input Listing
VM222 Input Listing
VM223 Input Listing
VM224 Input Listing
VM225 Input Listing
VM226 Input Listing
VM227 Input Listing
VM228 Input Listing
VM229 Input Listing
VM230 Input Listing
VM231 Input Listing
VM232 Input Listing
VM233 Input Listing
VM234 Input Listing
VM235 Input Listing
VM236 Input Listing
VM237 Input Listing
VM238 Input Listing
VM239 Input Listing
VM240 Input Listing
VM241 Input Listing
VM242 Input Listing
VM243 Input Listing
VM244 Input Listing
VM245 Input Listing
VM246 Input Listing
VM247 Input Listing
VM248 Input Listing
VM249 Input Listing
VM250 Input Listing
VM251 Input Listing
VM252 Input Listing
VM253 Input Listing
VM254 Input Listing
VM255 Input Listing
VM256 Input Listing
VM257 Input Listing
VM258 Input Listing

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Verification Manual 		Up / Home Next
Chapter 1. Introduction


Chapter 1. Introduction

The ANSYS computer program is a large-scale multipurpose finite element program which may be used for solving several classes of engineering analyses. The analysis capabilities of ANSYS include the ability to solve static and dynamic structural analyses, steady-state and transient heat transfer problems, mode-frequency and buckling eigenvalue problems, static or time-varying magnetic analyses, and various types of field and coupled-field applications. The program contains many special features which allow nonlinearities or secondary effects to be included in the solution, such as plasticity, large strain, hyperelasticity, creep, swelling, large deflections, contact, stress stiffening, temperature dependency, material anisotropy, and radiation. As ANSYS has been developed, other special capabilities, such as substructuring, submodeling, random vibration, kinetostatics, kinetodynamics, free convection fluid analysis, acoustics, magnetics, piezoelectrics, coupled-field analysis and design optimization have been added to the program. These capabilities contribute further to making ANSYS a multipurpose analysis tool for varied engineering disciplines.

The ANSYS program has been in commercial use since 1970, and has been used extensively in the aerospace, automotive, construction, electronic, energy services, manufacturing, nuclear, plastics, oil, and steel industries. In addition, many consulting firms and hundreds of universities use ANSYS for analysis, research, and educational use. ANSYS is recognized worldwide as one of the most widely used and capable programs of its type.

The primary purpose of this manual is to demonstrate a wide range of ANSYS elements and capabilities in straightforward problems which have "classical" or readily-obtainable theoretical solutions. Furthermore, the close agreement of the ANSYS solutions to the theoretical results in this manual is intended to provide user confidence in the ANSYS solutions. An attempt has been made to include most element types and major solution capabilities of ANSYS in this set of test cases. These problems may then serve as the basis for additional validation and qualification of ANSYS capabilities by the user for specific applications that may be of interest.

The following Verification Manual topics are available:

  • Program Overview
  • Program Verification
  • Finding Test Cases of Interest
  • Accessing Test Case Inputs
  • Verification Manual Versus Other Manuals
  • Verification Manual Contents
  • Theoretical Solutions
  • Test Case Selection and Method of Solution
  • Numerical Comparisons
  • References
  • Test Case Format
  • Symbols and Nomenclature
  • Memory Requirements and Run Times
  • Abbreviation, Element, and Product Lists

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Part I, Verification Test Case Descriptions 		Up / Home Next
1.1. Program Overview


1.1. Program Overview

The ANSYS element library contains more than sixty elements for static and dynamic analyses, over twenty for heat transfer analyses, and includes numerous magnetic, field, and special purpose elements. This variety of elements allows the ANSYS program to analyze 2-D and 3-D frame structures, piping systems, 2-D plane and axisymmetric solids, 3-D solids, flat plates, axisymmetric and 3-D shells and nonlinear problems including contact (interfaces) and cables.

The input data for an ANSYS analysis are prepared using a preprocessor. The general preprocessor (PREP7) contains powerful solid modeling and mesh generation capabilities, and is also used to define all other analysis data (geometric properties (real constants), material properties, constraints, loads, etc.), with the benefit of database definition and manipulation of analysis data. Parametric input, user files, macros and extensive online documentation are also available, providing more tools and flexibility for the analyst to define the problem. Extensive graphics capability is available throughout the ANSYS program, including isometric, perspective, section, edge, and hidden-line displays of 3-D structures, x-y graphs of input quantities and results, and contour displays of solution results.

A graphical user interface is available throughout the program, to guide new users through the learning process and provide more experienced users with multiple windows, pull-down menus, dialog boxes, tool bar, and online documentation.

The analysis results are reviewed using postprocessors, which have the ability to display distorted geometries, stress and strain contours, flow fields, safety factor contours, contours of potential field results (thermal, electric, magnetic), vector field displays mode shapes and time history graphs. The postprocessors can also be used for algebraic operations, database manipulations, differentiation, and integration of calculated results. Root-sum-square operations may be performed on seismic modal results. Response spectra may be generated from dynamic analysis results. Results from various loading modes may be combined for harmonically loaded axisymmetric structures.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 1. Introduction 		Up / Home Next
1.2. Program Verification


1.2. Program Verification

ANSYS is continuously being verified by the developers (ANSYS, Inc.) as new capabilities are added to the program. The verification of the ANSYS program is conducted in accordance with written procedures that form a part of an overall Quality Assurance program at ANSYS, Inc. This manual represents a small subset of the Quality Assurance test case library which is used in full when testing new versions of ANSYS. This test library and the test cases in this manual represent comparisons of ANSYS solutions with known theoretical solutions, experimental results, or other independently calculated solutions.

The test cases explore the functionality of ANSYS in validated results. The test cases are based on published works in the disciplines of structures, dynamics, heat transfer, electromagnetics, and fluid flow. While the ANSYS solution to these test cases has been verified, some differences have been examined and are considered acceptable.

In order to solve some test cases, specific ANSYS products may be required. The test cases appropriate to each product can be determined from the following table. Most test cases can be solved within the limitations of the educational ANSYS product. The test case input listings are available through a hyperlink in the test description.

For ANSYS users who may have further need for formal verification of the program, ANSYS, Inc. has testing services available that allow automated testing of ANSYS on a customer's computer. The user is provided with input data, output data, comparator software, and procedures for automating the testing and reporting process. Readers interested in contracting for such services may contact the ANSYS, Inc. Quality Assurance Group.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.1. Program Overview 		Up / Home Next
1.3. Finding Test Cases of Interest


1.3. Finding Test Cases of Interest

There are several possible methods of locating a test which contains topics of interest to the user. The Index topics display the related verification problem number. If you are using the online documentation, the verification problem numbers in Index by Element Number are hyperlinks to each verification test case description. You can always do a text search while using the online documentation to find specific information. Finally, the code for each VM problem is contained in an appendix at the end of this manual.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.2. Program Verification 		Up / Home Next
1.4. Accessing Test Case Inputs


1.4. Accessing Test Case Inputs

In the online help, the input file for each test case is linked to its description in each Overview section labeled "Input Listing." If you select the link, the test case input file appears in the browser window. The input listing may be printed.

To read an input listing into ANSYS, copy the input listing into a text editor, save it as a text file, then select File>Read Input from... on the ANSYS main menu to send the input to ANSYS. Nested macros may not function properly unless they are read from a file. Formatting commands will not function interactively if not read from a file.

Additionally, each test case input listing appears in Appendix A.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.3. Finding Test Cases of Interest 		Up / Home Next
1.5. Verification Manual Versus Other Manuals


1.5. Verification Manual Versus Other Manuals

The test cases in this manual are primarily intended for verification of the ANSYS program. An attempt has been made to include most significant analysis capabilities of the ANSYS program in this manual. Although they are valuable as demonstration problems, the test cases are not presented as step-by-step examples with lengthy data input instructions and printouts. Most users with limited finite element experience should be able to fill in the missing details by reviewing the finite element model and the input data listing with its accompanying comments. Problem sketches and modeling notes are included. The reader should refer to the online help and to this manual for complete input data instructions.

Users desiring more detailed instructions for solving problems or in-depth treatment of specific topics should refer to other ANSYS documentation as described in Guide to the ANSYS Documentation in the Commands Reference. Introductory documentation such as the ANSYS Tutorials should be the first stop for new and existing users needing basic information on using the ANSYS program. Seminar notes on several broad topics are also available. These notes are written in a form designed for classroom instruction, and include theory, ANSYS implementation, exercises, and examples. Broad subjects such as dynamics, heat transfer, nonlinearities, magnetics, and optimization are covered in these notes. ANSYS Tutorials are also available for various specific topics. These publications focus on particular features or program areas, supplementing other ANSYS reference documents with theory, procedures, guidelines, examples, and references.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.4. Accessing Test Case Inputs 		Up / Home Next
1.6. Verification Manual Contents


1.6. Verification Manual Contents

The intent of this manual is to demonstrate the full scope of the analysis capability available in the ANSYS program. This manual will also assist new users of the ANSYS program in running compact test cases and for understanding basic capability. All report results and input listings correspond to ANSYS 11.0.

Verification Manual test cases are available on the ANSYS 11.0 installation media provided to the customer in the verif subdirectory under the data directory. All test cases also appear in three appendixes at the end of this manual.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.5. Verification Manual Versus Other Manuals 		Up / Home Next
1.7. Theoretical Solutions


1.7. Theoretical Solutions

ANSYS is a program intended for solving practical engineering problems. Many theoretical problems are not realistic in that the assumptions necessary to obtain a closed-form analytical solution make the mathematical model depart from a practical application problem. Examples of these assumptions are: step force changes, step temperature changes, perfectly plastic impacts, infinitely rigid supports, etc. Imposing these conditions in a finite element analysis often requires more effort to duplicate the theoretical result than would be required to solve the "real world" problem.

Theoretical solutions are generally based on a continuous or differential approach. In some cases, an exact comparison with a finite-element solution would require an infinite number of elements and/or an infinite number of iterations separated by an infinitely small step size. Such a comparison is neither practical nor desirable.

The examples in this manual have been modeled to give reasonably accurate comparisons ("engineering accuracy") with a low number of elements and iterations. In some cases, even fewer elements and/or iterations will still yield an acceptable engineering accuracy. A survey of the results comparisons in this manual shows an average accuracy within 1-2% of the target solution.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.6. Verification Manual Contents 		Up / Home Next
1.8. Test Case Selection and Method of Solution


1.8. Test Case Selection and Method of Solution

The problems solved in this manual and the method of solution were selected with verification as the primary objective. Some problems could have been solved more directly or in a manner other than the way presented. In some cases the same problem is solved in several different ways to demonstrate and verify other elements or capabilities of the program.

Since ANSYS is a program capable of solving very complicated practical engineering problems having no closed-form theoretical solutions, the relatively simple problems solved in this manual do not illustrate the full capability of the ANSYS program.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.7. Theoretical Solutions 		Up / Home Next
1.9. Numerical Comparisons


1.9. Numerical Comparisons

The ANSYS solutions in this manual are compared with solutions from textbooks or technical publications. In some cases noted below, the target (theoretical) answers reported in this manual may differ from those shown in the reference. Any problems having significantly different recalculated values are noted as such. Differences between ANSYS results and target values are reported as ratios (ANSYS:Target) except in cases where the target solution is zero or non-numerical in nature.

Some textbook solutions are based on slide rule accuracy. For example, the reference for problem number 3 reports the stress to be 10,200 psi. Using a hand calculator to recalculate the results shows the result to be 10,152.258 psi. The ANSYS calculation yields 10,152 psi. In problems like this, an appropriate number of significant digits are used in comparing solutions.

Some references have incorrect answers printed and some have incorrect equations. Reference's answers presented without regard to sign are reported with the appropriate sign. Theoretical derivations not having a specific numerical example in the text are solved for a representative numerical example and both the theoretical and ANSYS results are given. In cases where only the results but not the input data are given in the theoretical reference (for example, where only tabular or graphical results are presented), the input data are back-calculated from a convenient solution point. Graphical solution results are reported to an appropriate accuracy.

Different computers and different operating systems may yield slightly different results for some of the test cases in this manual, since numerical precision varies from machine to machine. Solutions which are nonlinear, iterative, have equally-valid alternatives for master degree of freedom selection (TOTAL command), or have convergence options activated, are among the most likely to exhibit machine-dependent numerical differences. Because of this, an effort has been made to report an appropriate and consistent number of significant digits in both the target and the ANSYS solution. If you run these test cases on your own computer hardware, be advised that an ANSYS result reported in this manual as 0.01234 may very well show up in your printout as 0.012335271.

It should be noted that only those items corresponding to the given theoretical solution values are reported for each problem. In most cases the same finite element solution also contains a considerable amount of other useful numerical solution data.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.8. Test Case Selection and Method of Solution 		Up / Home Next
1.10. References


1.10. References

The textbooks and references used for the verification tests were chosen for several reasons. Well known and recognized textbooks were used whenever possible; other texts were used if they were readily available to the author. Periodical or technical journal references were used in instances where no textbook solutions could be found for an application of interest. The books should be available for purchase or through most engineering libraries. Periodicals are of the type normally available in university libraries. In most cases the reference listed is not the only source of the theory or of a similar sample problem.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.9. Numerical Comparisons 		Up / Home Next
1.11. Test Case Format


1.11. Test Case Format

Test cases use the following format:

  • A description of the test case, including the dimensions, loading, material properties, and other relevant data.

  • Theoretical reference(s).

  • Figures describing the problem, including either the ANSYS finite element model showing node and element locations, or the ANSYS "solid model," showing keypoints, line segments, areas and/or volumes (as applicable).

  • Analysis assumptions, modeling notes, and comments.

  • Target results, ANSYS results, and normalized ratio.

  • ANSYS input data listing, including comments.

  • Graphics displays of the results (optional).

  • Additional information containing references to analysis guides with similar problems and other test cases using similar features (optional).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.10. References 		Up / Home Next
1.12. Symbols and Nomenclature


1.12. Symbols and Nomenclature

The majority of the nomenclature used in this manual follows what is considered commonly-used form. Exceptions and special circumstances are described when used. A few specific cases deserve definition, where many authors vary in their usage of nomenclature/symbols and there is no clear "standard."

In the text, vectors are shown by {A} or [image], the former being used primarily when symbolizing vector unknowns. Matrices are shown as [K], and |a| is used to denote absolute value. Natural logarithms use "ln" and base 10 logarithms are shown as "log".

In the figures, node and keypoint locations are denoted by [image] in the figures. Node numbers are unitalicized (1), keypoint numbers are shown italicized (1) and line numbers are shown italicized with prefix "L" (L2). Element numbers are enclosed with a circle [image], area numbers are enclosed with a box [image], and volume numbers are enclosed with a hexagon [image].

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.11. Test Case Format 		Up / Home Next
1.13. Memory Requirements and Run Times


1.13. Memory Requirements and Run Times

The ANSYS program is supported on many different computers. Memory size, run time, and cost will vary from computer to computer. The test cases in this manual are small enough to require only a minimum memory size.

The test cases generally require a very short run time each, although some are somewhat larger and longer running to allow the inclusion of meaningful tests for some of the more advanced capabilities included in ANSYS.

The benchmark test cases in Description of the Benchmark Studies are small to moderately-sized tests as well, but the run time for these is very dependent on the parameters chosen for the specific test.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.12. Symbols and Nomenclature 		Up / Home Next
1.14. Abbreviation, Element, and Product Lists


1.14. Abbreviation, Element, and Product Lists

1.14.1. Abbreviation and Symbol List

Abbreviation | Explanation
a | Acceleration
A | Area, Vector magnetic potential, Amplitude
B | Magnetic flux density
Br | Residual induction
c | Viscous damping constant, Specific heat
C | Thermal capacitance, Fluid conductance
d | Diameter
MDOF | Master Degrees of freedom (See Define Master Degrees of Freedom (for Modal Analysis) and Define Master Degrees of Freedom (for Transient Analysis) in Structural Analysis Guide
E | Young's modulus of elasticity
f | Frequency of vibration, Friction factor
F | Force
g | Gravitational acceleration
G | Shear modulus
h | Average convection coefficient, Height
H | Magnetic field intensity
Hc | Coercive force
I | Moment of inertia, Electrical current
ITS | Integration time step
J | Torsional moment of inertia, Electrical current density
k | Spring constant, Thermal conductivity
KI | Stress intensity factor
 | Length
L | Inductance, Length
m | Mass
M | Moment
Nu | Nusselt number
P, p | Pressure
Pr | Prandtl number
q | Heat flow rate
 | Heat generation rate
r | Radius
R | Electrical resistance, Reaction
Re | Reynolds number
t | Thickness, Time
T | Temperature
u | Displacement
V, v | Velocity, Voltage
w | Flow rate, Width
W | Weight
 | Centroid location
α | Coefficient of thermal expansion, Thermal diffusivity
γ | Weight density
δ, Δ | Deflection
ε | Strain, Emissivity, Permittivity
ν | Poisson's ratio
Θ | Angle
ξ | Damping ratio
μ | Magnetic permeability, Viscosity, Coefficient of friction
ρ | Mass density, Electrical resistivity
σyp | Yield stress
τ | Period of vibration, Shear stress
ω | Circular frequency of vibration, Fluid flow rate, Angular velocity
σ | Electrical conductivity, direct stress

Other symbols and abbreviations are defined where used.

1.14.2. Units Abbreviation List

Abbreviation | Units
AbA | AbAmpere
A | Ampere
A | t-Ampere-turns
BTU | British Thermal Unit
cm | centimeter
°C | Celsius
C | Coulomb
°F | Fahrenheit
F | Farad
ft | feet
G | Gauss
gm | gram
H | Henry
Hz | Hertz
hr | hour
in | inch
kg | Kilogram
kip | Kilopound (1000 pound force)
ksi | Kilopounds per square inch
m | meter
mm | millimeter
MPa | Megapascal
N | Newton
Oe | Oersted
Pa | Pascal
lb | pound force
psi | pounds per square inch
psig | pounds per square inch (gauge)
rad | radian
rpm | revolutions per minute
sec | second
S | Siemen
T | Tesla
W | Watt
Wb | Weber
Ω | Ohm

1.14.3. Index by Element Number

ANSYS Element and Keywords | Element Options | Test Cases
BEAM3 - 2-D Elastic Beam
Static Structural |  | VM2, VM41, VM127, VM136, VM157, VM180
Eigenvalue Buckling | Stress Stiffening | VM127
Modal |  | VM50, VM52, VM61
Modal, Spectrum |  | VM70
Transient Dynamic |  | VM40, VM77
Coupled Field, Modal |  | VM177
BEAM4 - 3-D Elastic Beam
Static Structural | Stress Stiffening | VM21
Static Structural |  | VM36, VM195
Static Structural, Modal | Stress Stiffening | VM59
Modal | Rotary Inertia | VM57
Transient Dynamic, Restart |  | VM179
Modal Spectrum, Harmonic |  | VM19
BEAM23 - 2-D Plastic Beam
Static Structural |  | VM24, VM133
BEAM24 - 3-D Thin-Walled Plastic Beam
Static Structural |  | VM134
BEAM44 - 3-D Elastic Tapered Unsymmetric Beam
Tapered | Static Structural | VM34
BEAM54 - 2-D Elastic Tapered Unsymmetric Beam
Static Structural |  | VM10
Static Structural | Offset - Y | VM14
Static Structural | Elastic Foundation | VM135
BEAM188 - 3-D Finite Strain Beam
Static Structural |  | VM216, VM217, VM222, VM239, VM247, VM257
Static Structural | Tapered Section | VM34
BEAM189 - 3-D Finite Strain Beam
Static Structural |  | VM216, VM217, VM222, VM258
CIRCU94 - Piezoelectric Circuit
Transient Piezoelectric - circuit |  | VM237
CIRCU124 - General Circuit Element
Current Conduction, Static, Harmonic |  | VM117, VM207, VM208
Transient |  | VM226
CIRCU125 - Common or Zener Diode
Transient |  | VM226
COMBIN7 - Revolute Joint
Transient Dynamic | Stops | VM179
Static Structural | Stops | VM195
COMBIN14 - Spring-Damper
Coupled Field | Longitudinal | VM171
Modal | Longitudinal | VM45, VM52, VM89, VM154, VM247
Modal | Torsional | VM47
Modal, Harmonic Response | Longitudinal | VM90
Static | Longitudinal | VM197
Transient Dynamic | Longitudinal | VM9
COMBIN37 - Control
Steady-State Thermal |  | VM159
COMBIN39 - Nonlinear Spring
Transient Dynamic |  | VM156
COMBIN40 - Combination
Static Structural |  | VM36
Static Structural | Mass | VM69
Modal, Transient Dynamic | Mass | VM182
Modal, Spectrum | Mass | VM68
Modal, Harmonic Response | Mass | VM183
Transient Dynamic | Mass | VM9, VM79
Transient Dynamic | Mass, Friction | VM73
Transient Dynamic | Mass, Gap | VM81
Transient Dynamic | Mass, Damping, Gap | VM83
Transient Dynamic | Mass, Damping | VM71, VM72, VM74, VM75
Harmonic Response | Mass, Damping | VM86, VM88
Harmonic Response | Mass | VM87
COMBI214 - 2-D Spring-Damper Bearing
Modal | Longitudinal | VM254
CONTAC12 - 2-D Point-to-Point Contact
Static Structural | Gap Size by Node Location | VM27
Static Structural | Friction, Nonzero Separated-Interface Stiffness | VM29
Transient Electrostatic |  | VM236
CONTAC52 - 3-D Point-to-Point Contact
Static Structural | Gap Size by Node Location | VM27
CONTA171 - 2–D Surface-to-Surface Contact
Static Structural |  | VM211, VM255
Thermal Structural Contact |  | VM229
CONTA172 - 2-D 3-Node Surface-to-Surface Contact
Static Structural |  | VM211
Transient Thermal |  | VM229
CONTA173 - 3-D Surface-to-Surface Contact
Static Structural |  | VM211
CONTA174 - 3-D 8-Node Surface-to-Surface Contact
Static Structural |  | VM211
CONTA175 - 2-D/3-D Node-to-Surface Contact
Static Structural, Transient Dynamic |  | VM191, VM201, VM65, VM23, VM64
CONTA178 - 3-D Node-to-Node Contact
Static Structural |  | VM63
FLUID29 - 2-D Acoustic Fluid
Coupled Field, Modal Analysis | Structure at Interface | VM177
Acoustics, Modal Analysis | No Structure at Interface | VM177
FLUID30 - 3-D Acoustic Fluid
Coupled Field, Harmonic Response | Structure at Interface | VM177
Acoustics, Harmonic Response | No Structure at Interface | VM177
FLUID38 - Dynamic Fluid Coupling
Modal |  | VM154
FLUID79 - 2-D Contained Fluid
Fluid Flow |  | VM149
FLUID80 - 3-D Contained Fluid
Fluid Flow |  | VM150
FLUID81 - Axisymmetric-Harmonic Contained Fluid
Modal | Mode 1 | VM154
FLUID116 - Thermal Fluid Pipe
Fluid Flow |  | VM122
Steady-State Thermal |  | VM126
Fluid Flow | Flow Losses (Additional Length) | VM123
Fluid Flow | Flow Losses (Loss Coefficient) Pump Head | VM124
FLUID136 - 3-D Squeeze Film Fluid Element
Harmonic |  | VM245
FLUID141 - 2-D Fluid-Thermal
CFD Thermal | Axisymmetric | VM121
CFD Multispecies | Axisymmetric | VM209
CFD Non Newtonian | Axisymmetric | VM219
CFD, Thermal, Fluid Flow |  | VM178
FLUID142 - 3-D Fluid-Thermal
CFD, Thermal, Fluid Flow |  | VM46
HF120 - 3-D High Frequency Brick Solid
Mode-frequency Magnetic |  | VM212
Full Harmonic Magnetic |  | VM213
INFIN9 - 2-D Infinite Boundary
Static Magnetic |  | VM188
Static Magnetic | AZ Degree of Freedom | VM165
INFIN47 - 3-D Infinite Boundary
Static Magnetic |  | VM190
Coupled Field |  | VM172
INFIN110 - 2-D Infinite Solid
Electrostatic, Harmonic |  | VM49, VM206, VM207
INFIN111 - 3-D Infinite Solid
Electrostatic |  | VM51
INTER115 - 3-D Magnetic Interface
Static Magnetic |  | VM189
INTER192 - 2-D 4-Node Gasket
Static Structural |  | VM249
INTER193 - 2-D 6-Node Gasket
Static Structural |  | VM249
INTER194 - 3-D 16-Node Gasket
Static Structural |  | VM250
INTER195 - 3-D 8-Node Gasket
Static Structural |  | VM250
INTER202 - 2-D 4-Node Cohesive Zone
Static Structural |  | VM248
LINK1 - 2-D Spar (or Truss)
Static Structural |  | VM1, VM3, VM4, VM11, VM27, VM194
Static Structural | Initial Strain | VM132
Modal |  | VM76
Transient Dynamic |  | VM80, VM84, VM85, VM156
Harmonic Response, Static Response, Modal |  | VM76
LINK10 -Tension-only (Chain) or Compression-only Spar
Static Structural | Stress Stiffening | VM31
Static Structural, Modal | Stress Stiffening, Initial Strain | VM53
LINK11 - Linear Actuator
Static Structural |  | VM195
LINK31 - Radiation Link
Steady-State Thermal |  | VM106, VM107
LINK32 - 2-D Conduction Bar
Steady-State Thermal |  | VM92, VM93, VM94,VM110, VM115, VM116, VM125, VM164
Static Magnetic | AUX12 | VM147
LINK33 - 3-D Conduction Bar
Steady-State Thermal |  | VM95, VM114
LINK34 - Convection Link
Steady-State Thermal |  | VM92, VM94, VM95,VM97, VM107, VM109, VM110, VM159
Steady-State Thermal | Temperature-Dependent Film Coefficient | VM116
LINK68 -Thermal-Electric Line
Current Conduction |  | VM117
Coupled Field | Multi-field Coupling | VM170
MASS21 - Structural Mass
Static Structural |  | VM131
Modal |  | VM45, VM57, VM89, VM254
Modal | Rotary Inertia | VM47, VM48, VM52,VM57
Transient Dynamic |  | VM65, VM77, VM80,VM81, VM91, VM156, VM257
Harmonic Response |  | VM90
MASS71 - Thermal Mass
Transient Thermal |  | VM109, VM159
MATRIX27 - Stiffness, Damping, or Mass Matrix
Static Structural |  | VM41
MATRIX50 - Superelement (or Substructure)
Static Structural, Substructure |  | VM141
Radiation Matrix Substruction | Steady-State Thermal, Substructural | VM125
Steady-State Thermal | AUX12 | VM147
MPC184 - Multipoint Constraint Elements
Static Structural |  | VM239, VM240
Transient Dynamics |  | VM257, VM258
PIPE16 - Elastic Straight Pipe
Structural |  | VM12, VM146
Modal |  | VM48, VM57, VM254
PIPE18 - Elastic Curved Pipe (Elbow)
Static Structural | Static Structural | VM18
PIPE20 - Plastic Straight Pipe
Static Structural |  | VM7
PIPE59 - Immersed Pipe or Cable
Transient Dynamic | Tangential Drag | VM158
PLANE13 - 2-D Coupled-Field Solid
Coupled Field | Plane Strain with Multi-field Coupling | VM171
Coupled Field | Axisymmetric w/ AZ DOF and Multi-field Coupling | VM172
Coupled Field | Plane Stress with Multi-field Coupling | VM174
Harmonic Magnetic | AZ Degree of Freedom | VM166
Coupled Field | AZ and VOLT Degree of Freedom, Multi-field Coupling | VM185
Transient Magnetic | AZ Degree of Freedom | VM167
Coupled Field | AZ and VOLT Degree of Freedom, Multi-field Coupling | VM186
Static Magnetic | AZ Degree of Freedom | VM165
Coupled Field | Thermal-Structural Coupling | VM23
Harmonic Response |  | VM189
Transient Thermal |  | VM229
Static Structural |  | VM231
PLANE25 - 4-Node Axisymmetric-Harmonic Structural Solid
Static Structural | Mode 1 | VM43
Modal | Mode 0 and 2 | VM67
PLANE35 - 2-D 6-Node Triangular Thermal Solid
Steady-State Thermal | Axisymmetric | VM58
Steady-State Radiosity |  | VM228
PLANE42 - 2-D Structural Solid
Static Structural | Plane Stress with Thickness Input | VM5, VM64, VM128, VM205
Static Structural | Plane Stress, Surface Stress Printout | VM5, VM16
Static Structural | Axisymmetric | VM32, VM38
Eigenvalue Buckling, Static Structural | Plane Stress with Thickness Input, Stress Stiffening | VM142, VM155, VM191
Transient Electrostatic |  | VM236
PLANE53 - 2-D 8-Node Magnetic Solid
Static Magnetic, Harmonic |  | VM188, VM206, VM207, VM220
PLANE55 - 2-D Thermal Solid
Steady-State Thermal | Axisymmetric | VM32, VM102
Transient Thermal | Axisymmetric | VM111
Steady-State Thermal | Axisymmetric, Analogous Flow Field | VM163
Steady-State Thermal |  | VM98, VM99, VM100,VM105, VM118, VM193
Transient Thermal |  | VM104, VM113
PLANE67 - 2-D Thermal-Electric Solid
Coupled Field | Multi-field Coupling | VM119
PLANE75 - Axisymmetric-Harmonic Thermal Solid
Steady-State Thermal | Mode 1 | VM108
PLANE77 - 2-D 8-Node Thermal Solid
Transient Thermal | Axisymmetric | VM112
Transient Thermal |  | VM28
Steady-State Radiosity |  | VM227
PLANE78 - Axisymmetric-Harmonic 8-Node Thermal Solid
Steady-State Thermal | Mode 2 | VM160
PLANE82 - 2-D 8-Node Structural Solid
Static Structural | Surface Stress Printout | VM5
Static Structural | Axisymmetric | VM25, VM63
Static Structural, Substructuring | Plane Stress with Thickness | VM141
Static Structural | Shifted Midside Nodes | VM143
Static Structural | Plane Stress with Thickness | VM205
Coupled Field |  | VM238
PLANE83 - 8-Node Axisymmetric-Harmonic Structural Solid
Static Structural | Modes 0 and 1 | VM140
PLANE121 - 2-D 8-Node Electrostatic Solid
Electrostatic |  | VM49, VM120
PLANE145 - 2-D Quadrilateral Structural Solid p-Element
Static Structural | Plane Stress with Thickness | VM141
PLANE146 - 2-D Triangular Structural Solid p-Element
Static Structural, Submodeling |  | VM142
PLANE182 - 2-D Structural Solid
Static Structural |  | VM191, VM201, VM211, VM248, VM249, VM251, VM252, VM255
Creep |  | VM224
PLANE183 - 2-D 8-Node Structural Solid
Static Structural |  | VM56, VM142, VM180, VM211, VM243, VM249, VM251, VM252, VM256
Creep |  | VM224
Static Structural, Substructure | Plane Stress with Thickness Input | VM141
Static Structural | Axisymmetric | VM63
Modal | Axisymmetric | VM181
PLANE223 - 2-D 8-Node Coupled-Field Solid
Static and Transient Piezoelectric |  | VM237
Static Piezoresistive |  | VM238
Steady-State Thermal |  | VM119
Coupled Field |  | VM174
Transient Thermal |  | VM229
SHELL28 - Shear/Twist Panel
Modal |  | VM202
SHELL41 - Membrane Shell
Static Structural |  | VM20, VM153
Static Structural, Modal |  | VM153
SHELL43 - Plastic Shell
Static Structural |  | VM7
Static Structural, Restart |  | VM26
SHELL61 - Axisymmetric-Harmonic Structural Shell
Static Structural | Mode 1 | VM44
Modal, Static Structural | Mode 0, 1, and 2 | VM152
Modal | Mode 0, 1, and 2 | VM151
SHELL63 - Elastic Shell
Static Structural |  | VM34, VM39, VM54,VM139
Static Structural | Snap-Through Buckling | VM17
Modal |  | VM54, VM62, VM66
Coupled Field, Harmonic Response |  | VM177
SHELL91 - 16-Layer Structural Shell
Static Structural | Multi-layer, Interlaminar Shear Printout | VM35
SHELL93 - 8-Node Structural Shell
Static Structural |  | VM6, VM42
Static Structural, Substructure |  | VM141
Modal, Spectrum | Integration Points Printout | VM203
SHELL99 - 100-Layer Structural Shell
Static Structural | Multi-layer, Interlaminar Stresses, Failure Criterion | VM78
Static Structural | Multi-layer, Orthotropic Properties | VM82
Static Structural | Nodal Stress and Strain Printout, Multi-layer, Node Offset | VM144
Modal | Multi-layer | VM60
SHELL150 - 8-Node Structural Shell p-Element
Static Structural |  | VM6
SHELL157 - Coupled Thermal-Electric Shell
Coupled-Field |  | VM215
SHELL181 - Finite Strain Shell
Static Structural |  | VM6, VM7, VM17, VM20, VM34, VM39, VM42, VM54, VM82, VM242
Modal |  | VM54, VM62, VM66, VM153
Substructure |  | VM141
Harmonic |  | VM177
Static, Large Deflection |  | VM26, VM218
SHELL208 - 2-Node Finite Strain Axisymmetric Shell
Static, Large Deflection |  | VM218
Static Structural |  | VM13, VM15, VM22
Static Structural | Stress Stiffening, Large Deflection | VM137, VM138
Static Structural, Modal | Stress Stiffening | VM55
SHELL281 - 8-Node Finite Strain Shell
Static Structural |  | VM6, VM17, VM42, VM82
Modal |  | VM54, VM62, VM66
Substructure |  | VM141
SOLID5 - 3-D Coupled-Field Solid
Coupled Field | Multi-field Coupling | VM173
Static Structural | Displacement Field | VM184, VM187
Coupled Field, Modal | Multi-field Coupling, Anisotropic Material Properties | VM175
Coupled Field, Harmonic Response | Multi-field Coupling, Anisotropic Material Properties | VM176
Coupled Field, Modal | Multi-field Coupling | VM33
Coupled Field | MAG Degree of Freedom | VM168
Static Structural | Multi-field Coupling | VM173
SOLID45 - 3-D Structural Solid
Static Structural |  | VM7, VM37, VM143, VM191, VM196, VM225
Static Structural | Generalized Plane Strain | VM38
SOLID46 - 3-D Layered Structural Solid
Static Structural | Multi-layer, Orthotropic Properties | VM82
Static Structural | Nodal Stress and Strain Printout, Multi-layer, Node Offset | VM144
SOLID62 - 3-D Magneto-Structural Solid
Coupled Field |  | VM172
SOLID65 - 3-D Reinforced Concrete Solid
Static Structural | Cracking | VM146
SOLID69 - 3-D Thermal-Electric Solid
Coupled Field |  | VM119
SOLID70 - 3-D Thermal Solid
Steady-State Thermal |  | VM95, VM101, VM118
Transient Thermal |  | VM192
SOLID87 - 3-D 10-Node Tetrahedral Thermal Solid
Steady-State Thermal |  | VM96
SOLID90 - 3-D 20-Node Thermal Solid
Steady-State Thermal |  | VM161, VM162
SOLID92 - 3-D 10-Node Tetrahedral Structural Solid
Static Structural |  | VM184, VM187
SOLID95 - 3-D 20-Node Structural Solid
Static Structural |  | VM143, VM148, VM210
SOLID96 - 3-D Magnetic-Scalar Solid
Harmonic Response | CMVP Formulation | VM189
SOLID97 - 3-D Magnetic Solid
Coupled Field |  | VM172, VM189
SOLID98 - Tetrahedral Coupled-Field Solid
Static Structural | Displacement Field | VM184, VM187
Static Magnetic | MAG Degree of Freedom | VM169, VM190
SOLID117 - 3-D 20-Node Magnetic Solid
Static Magnetic |  | VM241
SOLID122 - 3-D 20-Node Electrostatic Solid
Electrostatic |  | VM51
SOLID147 - 3-D Brick Structural Solid p-Element
Static Structural |  | VM184
SOLID148 - 3-D Tetrahedral Structural Solid p-Element
Static Structural |  | VM187
SOLID185 - 3-D 8-Node Structural Solid
Static Structural |  | VM7, VM37, VM56, VM82, VM143, VM191, VM196, VM201, VM211, VM225, VM240, VM250, VM251, VM253, VM256
Static Structural | Material Matrix | VM145
SOLID186 - 3-D 20-Node Structural Solid
Static Structural |  | VM56, VM82, VM143, VM144, VM148, VM210, VM211, VM250, VM253, VM256
SOLID187 - 3-D 10-Node Tetrahedral Structural Solid
Static Structural |  | VM184, VM187
SOLID191 - 3-D 20-Node Layered Structural Solid
Static Structural | Nodal Stress and Strain Printout, Multi-layer, Node Offset | VM144
Static Structural |  | VM82
SOLSH190 - 3-D Structural Solid Shell
Static Structural |  | VM37, VM54, VM82, VM139, VM144
Modal |  | VM54, VM66
SOURC36 - Current Source
Static Magnetic |  | VM168, VM190
SURF151 - 2-D Thermal Surface Effect
Steady-State Thermal | AUX12 | VM147
Steady-State Thermal |  | VM58
SURF152 - 3-D Thermal Surface Effect
Static Structural | No Midside Nodes | VM192
SURF153 - 2-D Structural Surface Effect
Static Structural | Axisymmetric, No Midside Nodes | VM38
SURF154 - 3-D Structural Surface Effect
Static Structural | Axisymmetric, No Midside Nodes | VM38
TARGE169 - 2-D Target Segment
Static Structural |  | VM23, VM64, VM65, VM191, VM201, VM211, VM255
Thermal Structural Contact |  | VM229
TARGE170 - 3-D Target Segment
Static Structural |  | VM191, VM201, VM211, VM239
Transient Dynamics |  | VM257
VISCO88 - 2-D 8-Node Viscoelastic Solid
Static Structural | Axisymmetric | VM200
VISCO89 - 3-D 20-Node Viscoelastic Solid
Static Structural |  | VM200
VISCO106 - 2-D Large Strain Solid
Static Structural | Rate-independent Viscoplasticity | VM198
Static Structural | Rate-dependent Viscoplasticity | VM199
VISCO107 - 3-D Large Strain Solid
Static Structural | Rate-independent Viscoplasticity | VM198
Static Structural | Rate-dependent Viscoplasticity | VM199
VISCO108 - 2-D 8-Node Large Strain Solid
Static Structural | Rate-independent Viscoplasticity | VM198
Static Structural | Rate-dependent Viscoplasticity | VM199

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.13. Memory Requirements and Run Times 		Up / Home Next
VM1


VM1

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM1

Statically Indeterminate Reaction Force Analysis

Overview

Reference: | S. Timoshenko, Strength of Material, Part I, Elementary Theory and Problems, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1955, pg. 26, problem 10.
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | 2-D Spar (or Truss) Elements (LINK1)
Input Listing: | vm1.dat

Test Case

A prismatic bar with built-in ends is loaded axially at two intermediate cross-sections by forces F1 and F2. Determine the reaction forces R1 and R2.

Figure 1.1 Prismatic Bar Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106psi
= 10 in.
a = b = 0.3
F1 = 2F2 = 1000 lb

Analysis Assumptions and Modeling Notes

Nodes are defined where loads are to be applied. Since stress results are not to be determined, a unit cross-sectional area is arbitrarily chosen.

Results Comparison

 | Target | ANSYS | Ratio
R1 , lb | 900.0 | 900.0 | 1.000
R2 , lb | 600.0 | 600.0 | 1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.14. Abbreviation, Element, and Product Lists 		Up / Home Next
VM2


VM2

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM2

Beam Stresses and Deflections

Overview

Reference: | S. Timoshenko, Strength of Material, Part I, Elementary Theory and Problems, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1955, pg. 98, problem 4.
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | 2-D Elastic Beam Elements (BEAM3)
Input Listing: | vm2.dat

Test Case

A standard 30" WF beam, with a cross-sectional area A, is supported as shown below and loaded on the overhangs by a uniformly distributed load w. Determine the maximum bending stress σ in the middle portion of the beam and the deflection δ at the middle of the beam.

Figure 2.1 Beam with Cross Section Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
= 20 ft = 240 in.
a = 10 ft = 120 in.
h = 30 in.
A = 50.65 in2
Iz = 7892 in4
w = 10000 lb/ft = (10000/12) lb/in

Analysis Assumptions and Modeling Notes

Consistent length units (inches) are used. A half-model could also have been used because of symmetry.

Results Comparison

 | Target | ANSYS | Ratio
Stress, psi | -11,400 | -11,404 | 1.000
Deflection, in | 0.182 | 0.182 | 1.003

  1. occurs at the bottom flange of the beam

Figure 2.2 Displaced Geometry Display

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM1 		Up / Home Next
VM3


VM3

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM3

Thermally Loaded Support Structure

Overview

Reference: | S. Timoshenko, Strength of Material, Part I, Elementary Theory and Problems, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1955, pg. 30, problem 9.
Analysis Type(s): | Static, Thermal Stress Analysis (ANTYPE = 0)
Element Type(s): | 2-D Spar (or Truss) Elements (LINK1)
Input Listing: | vm3.dat

Test Case

Find the stresses in the copper and steel wire structure shown below. The wires have a cross-sectional area of A. The structure is subjected to a load Q and a temperature rise of ΔT after assembly.

Figure 3.1 Support Structure Problem Sketch

Material Properties Geometric Properties Loading
Ec = 16 x 106 psi
αc = 92 x 10-7 in/in-°F
Es = 30 x 106 psi
αs = 70 x 10-7 in/in-°F
A = 0.1 in2
Q = 4000 lb
ΔT = 10°F

Analysis Assumptions and Modeling Notes

Length of wires (20 in.), spacing between wires (10 in.), and the reference temperature (70°F) are arbitrarily selected. The rigid lower beam is modeled by nodal coupling.

Results Comparison

 | Target | ANSYS | Ratio
Stress in steel, psi | 19,695. | 19,695. | 1.000
Stress in copper, psi | 10,152. | 10,152. | 1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM2 		Up / Home Next
VM4


VM4

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM4

Deflection of a Hinged Support

Overview

Reference: | S. Timoshenko, Strength of Material, Part I, Elementary Theory and Problems, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1955, pg. 10, problem 2.
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | 2-D Spar (or Truss) Elements (LINK1)
Input Listing: | vm4.dat

Test Case

A structure consisting of two equal steel bars, each of length [image] and cross-sectional area A, with hinged ends is subjected to the action of a load F. Determine the stress, σ, in the bars and the deflection, δ, of point 2. Neglect the weight of the bars as a small quantity in comparison with the load F.

Figure 4.1 Hinged Support Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
= 15 ft
A = .05 in2
Θ = 30°
F = 5000 lb

Analysis Assumptions and Modeling Notes

Consistent length units are used. The dimensions a and b are calculated parametrically in the input as follows: a = 2 [image] cos Θ, b = [image] sin Θ.

Results Comparison

 | Target | ANSYS | Ratio
Stress, psi | 10,000. | 10,000. | 1.000
Deflection, in | -0.120 | -0.120 | 1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM3 		Up / Home Next
VM5


VM5

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM5

Laterally Loaded Tapered Support Structure

Overview

Reference: S. H. Crandall, N. C. Dahl, An Introduction to the Mechanics of Solids, McGraw-Hill Book Co., Inc., New York, NY, 1959, pg. 342, problem 7.18.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
2-D Structural Solid Elements (PLANE42)
2-D 8-Node Structural Solid Elements (PLANE82)
Input Listing: vm5.dat

Test Case

A cantilever beam of thickness t and length [image] has a depth which tapers uniformly from d at the tip to 3d at the wall. It is loaded by a force F at the tip, as shown. Find the maximum bending stress at the mid-length (X = [image]) and the fixed end of the beam.

Figure 5.1 Cantilever Beam Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
υ = 0.0
= 50 in
d = 3 in
t = 2 in
F = 4000 lb

The PLANE82 model uses the same node numbering at the element corners as the PLANE42 model and has additional midside nodes added to all elements.

Analysis Assumptions and Modeling Notes

Two different solutions are obtained. The first solution uses lower order PLANE42 elements and the second solution uses higher order PLANE82 elements. The 2 inch thickness is incorporated by using the plane stress with thickness option. Poisson's ratio is set to 0.0 to agree with beam theory.

Results Comparison

 |  | Target | ANSYS | Ratio
PLANE42 | at mid-length stress, psi | 8,333. | 8,163.656 | .980
 | at fixed end stress, psi | 7,407. | 7,151.096 | .965
PLANE82 | at mid-length stress, psi | 8,333. | 8,363.709 | 1.004
 | at fixed end stress, psi | 7,407. | 7,408.980 | 1.000

Figure 5.2 Displacement Display

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM4 		Up / Home Next
VM6


VM6

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM6

Pinched Cylinder

Overview

Reference:
R. D. Cook, Concepts and Applications of Finite Element Analysis, 2nd Edition, John Wiley and Sons, Inc., New York, NY, 1981, pp. 284-287.
H. Takemoto, R. D. Cook, "Some Modifications of an Isoparametric Shell Element", International Journal for Numerical Methods in Engineering, Vol. 7 No. 3, 1973.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):

8-Node Shell Elements (SHELL93)

8-Node Structural Shell p-element (SHELL150)

4-Node Finite Strain Shell Elements (SHELL181)

8-Node Finite Strain Shell Elements (SHELL281)

Input Listing: vm6.dat

Test Case

A thin-walled cylinder is pinched by a force F at the middle of the cylinder length. Determine the radial displacement δ at the point where F is applied. The ends of the cylinder are free edges.

Figure 6.1 Pinched Cylinder Problem Sketch

Material Properties Geometric Properties Loading
E = 10.5 x 106 psi
υ = 0.3125
= 10.35 in
r = 4.953 in
t = 0.094 in
F = 100 lb

Analysis Assumptions and Modeling Notes

A one-eighth symmetry model is used. One-fourth of the load is applied due to symmetry.

Results Comparison

 | Target[1] | ANSYS | Ratio
Deflection, in SHELL93 | 0.1139 | 0.1138 | 0.999
Deflection, in SHELL150 | 0.1139 | 0.1149 | 1.009
Deflection, in SHELL181 | 0.1139 | 0.1100 | 0.965
Deflection, in SHELL281 | 0.1139 | 0.1137 | 0.998

  1. H. Takemoto, R. D. Cook, "Some Modifications of an Isoparametric Shell Element".

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM5 		Up / Home Next
VM7


VM7

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM7

Plastic Compression of a Pipe Assembly

Overview

Reference: | S. H. Crandall, N. C. Dahl, An Introduction to the Mechanics of Solids, McGraw-Hill Book Co., Inc., New York, NY, 1959, pg. 180, ex. 5.1.
Analysis Type(s): | Static, Plastic Analysis (ANTYPE = 0)
Element Type(s): | Plastic Straight Pipe Element (PIPE20) 3-D Structural Solid Elements (SOLID45) 2-D Plastic Large Strain Shell Elements (SHELL43) 4-Node Finite Strain Shell (SHELL181) 3-D Structural Solid Elements (SOLID185)
Input Listing: | vm7.dat

Test Case

Two coaxial tubes, the inner one of 1020 CR steel and cross-sectional area As, and the outer one of 2024-T4 aluminum alloy and of area Aa, are compressed between heavy, flat end plates, as shown below. Determine the load-deflection curve of the assembly as it is compressed into the plastic region by an axial displacement. Assume that the end plates are so stiff that both tubes are shortened by exactly the same amount.

Figure 7.1 Pipe Assembly Problem Sketch

Figure 7.2 Pipe Assembly Finite Element Models

Material Properties Geometric Properties Loading
Es = 26,875,000 psi
σ(yp)s = 86,000 psi
Ea = 11,000,000 psi
σ(yp)a = 55,000 psi
υ = 0.3
= 10 in
As = 7 in2
Aa = 12 in2
1st Load Step: δ = 0.032 in
2nd Load Step: δ = 0.05 in
3rd Load Step: δ = 0.10 in

Analysis Assumptions and Modeling Notes

The following tube dimensions, which provide the desired cross-sectional areas, are arbitrarily chosen. Inner (steel) tube: inside radius = 1.9781692 in., wall thickness = 0.5 in. Outer (aluminum) tube: inside radius = 3.5697185 in., wall thickness = 0.5 in.

The problem can be solved in one of three ways:

  • using PIPE20 - the plastic straight pipe element

  • using SOLID45 - the 3-D structural solid element

  • using SHELL43 - the 2-D plastic large strain shell element

  • using SOLID185 - the 3-D structural solid element

  • using SHELL181 - the 4-Node Finite Strain Shell

In the SOLID45, SHELL43, SOLID185, and SHELL181 cases, since the problem is axisymmetric, only a one element Θ-sector is modeled. A small angle Θ = 6° is arbitrarily chosen to reasonably approximate the circular boundary with straight sided elements. The nodes at the boundaries have the UX (radial) degree of freedom coupled. In the SHELL43 and SHELL181 models, the nodes at the boundaries additionally have the ROTY degree of freedom coupled.

An ANSYS warning message is issued stating that element 1, (PIPE20 pipe element) has a radius to thickness ratio less than 5. Because the model involves only axial loading, this does not affect the accuracy of the results.

Results Comparison

 |  | Target | ANSYS[1] | Ratio
PIPE20 | Load, lb for Deflection = 0.032 in | 1,024,400 | 1,024,400 | 1.000
 | Load, lb for Deflection = 0.05 in | 1,262,000 | 1,262,000 | 1.000
 | Load, lb for Deflection = 0.1 in | 1,262,000 | 1,262,000 | 1.000
SOLID45 | Load, lb for Deflection = 0.032 in | 1,024,400 | 1,022,529 | 0.998
 | Load, lb for Deflection = 0.05 in | 1,262,000 | 1,259,695 | 0.998
 | Load, lb for Deflection = 0.1 in | 1,262,000 | 1,259,695 | 0.998

  1. From POST1 FSUM of bottom nodal forces (ΣFZ).

 |  | Target | ANSYS[1] | Ratio
SHELL43 | Load, lb for Deflection = 0.032 in | 1,024,400 | 1,023,932 | 1.000
 | Load, lb for Deflection = 0.05 in | 1,262,000 | 1,261,423 | 1.000
 | Load, lb for Deflection = 0.1 in | 1,262,000 | 1,261,423 | 1.000
SOLID185 | Load, lb for Deflection = 0.032 in | 1,024,400 | 1,022,529 | 0.998
 | Load, lb for Deflection = 0.05 in | 1,262,000 | 1,2591,695 | 0.998
 | Load, lb for Deflection = 0.1 in | 1,262,000 | 1,2591,695 | 0.998
SHELL181 | Load, lb for Deflection = 0.032 in | 1,024,400 | 1,023,932 | 1.000
 | Load, lb for Deflection = 0.05 in | 1,262,000 | 1,284,826 | 1.018
 | Load, lb for Deflection = 0.1 in | 1,262,000 | 1,310,649 | 1.039

  1. From POST1 FSUM of bottom nodal forces (ΣFZ) X 360°/6°(Identified as parameter "LOAD").

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM6 		Up / Home Next
VM8


VM8

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM8

Parametric Calculation of Point-to-Point Distances

Overview

Reference: | Any Basic Geometry Text
Analysis Type(s): | Parametric Arithmetic
Element Type(s): | None
Input Listing: | vm8.dat

Test Case

Write a user file macro to calculate the distance d between either nodes or keypoints in PREP7. Define abbreviations for calling the macro and verify the parametric expressions by using the macro to calculate the distance between nodes N1 and N2 and between keypoints K3 and K4.

Figure 8.1 Parametric Calculation Problem Sketch

Geometric Properties
N1 (x, y, z) = 1.5,2.5,3.5
N2 (x, y, z) = -3.7,4.6,-3
K3 (x, y, z) = 100,0,30
K4 (x, y, z) = -200,25,80

Analysis Assumptions and Modeling Notes

The user file is created by the *CREATE command within the run. In normal use, this file would most likely already exist locally. Colons are used in the user file to create non-echoing comments (the colon character specifies a branching label in ANSYS). The active coordinate system is saved and restored within the macro to ensure Cartesian coordinates in the distance calculations and to re-establish the active coordinate system after the macro is used. Lowercase input is used throughout. Input case is preserved by ANSYS where appropriate (system-dependent).

Results Comparison

 | Target | ANSYS | Ratio
N1 - N2 distance (LEN2) | 8.5849 | 8.5849 | 1.000
K3 - K4 distance (LEN1) | 305.16 | 305.16 | 1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM7 		Up / Home Next
VM9


VM9

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM9

Large Lateral Deflection of Unequal Stiffness Springs

Overview

Reference: G. N. Vanderplaats, Numerical Optimization Techniques for Engineering Design with Applications, McGraw-Hill Book Co., Inc., New York, NY, 1984, pp. 72-73, ex. 3-1.
Analysis Type(s): Nonlinear Transient Dynamic Analysis (ANTYPE = 4)
Element Type(s):
Spring-Damper Elements (COMBIN14)
Combination Elements (COMBIN40)
Input Listing: vm9.dat

Test Case

A two-spring system is subjected to a force F as shown below. Determine the strain energy of the system and the displacements δx and δy.

Figure 9.1 Unequal Stiffness Springs Problem Sketch

Geometric Properties Loading
= 10 cm
k1 = 8 N/cm
k2 = 1 N/cm
m = 1

Analysis Assumptions and Modeling Notes

The solution to this problem is best obtained by adding mass and using the "slow dynamics" technique with approximately critical damping. Combination elements (COMBIN40) are used to provide damping in the X and Y directions. Approximate damping coefficients cx and cy, in the x and y directions respectively, are determined from

where m is arbitrarily assumed to be unity. kx and ky cannot be known before solving so are approximated by ky = k2 = 1 N/cm and kx = ky/2 = 0.5 N/cm, hence cx = 1.41 and cy = 2.0. Large deflection analysis is performed due to the fact that the resistance to the load is a function of the deformed position. POST1 is used to extract results from the solution phase.

Results Comparison

 | Target | ANSYS | Ratio
Strain Energy, N-cm | 24.01 | 24.02 | 1.000
Deflectionx , cm | 8.631 | 8.633 | 1.000
Deflectiony , cm | 4.533 | 4.533 | 1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM8 		Up / Home Next
VM10


VM10

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM10

Bending of a Tee-Shaped Beam

Overview

Reference: | S. H. Crandall, N. C. Dahl, An Introduction to the Mechanics of Solids, McGraw-Hill Book Co., Inc., New York, NY, 1959, pg. 294, ex. 7.2.
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | 2-D Elastic Tapered Unsymmetric Beam Element (BEAM54)
Input Listing: | vm10.dat

Test Case

Find the maximum tensile and compressive bending stresses in an unsymmetric T beam subjected to uniform bending Mz, with dimensions and geometric properties as shown below.

Figure 10.1 Tee-Shaped Beam Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
b = 1.5 in
h = 8 in
= 6 in
Area = 60 in2
Iz = 2000 in4
Mz = 100,000 in-lb

Analysis Assumptions and Modeling Notes

A length of 100 in. is arbitrarily selected since the bending moment is constant. Distances from the centroid ( [image]) to the top and bottom of the beam are calculated as 14 in. and 6 in. respectively.

Results Comparison

 | Target | ANSYS | Ratio
StressBEND,Bot, psi | 300. | 300. | 1.00
StressBEND,Top, psi | -700. | -700. | 1.00

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM9 		Up / Home Next
VM11


VM11

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM11

Residual Stress Problem

Overview

Reference: | S. H. Crandall, N. C. Dahl, An Introduction to the Mechanics of Solids, McGraw-Hill Book Co., Inc., New York, NY, 1959, pg. 234, problem 5.31.
Analysis Type(s): | Static, Plastic Analysis (ANTYPE = 0)
Element Type(s): | 2-D Spar (or Truss) Elements (LINK1)
Input Listing: | vm11.dat

Test Case

A chain hoist is attached to the ceiling through three tie rods as shown below. The tie rods are made of cold-rolled steel with yield strength σyp and each has an area A. Find the deflection δ at load F1 when the deflections are elastic in all three rods. When the frame is loaded to F2 (where all three rods become fully plastic), and then unloaded, find the residual stress σr in the central rod.

Figure 11.1 Residual Stress Problem Sketch

Material Properties Geometric Properties Loading
σyp = 30,000 psi
E = 30 x 106 psi
A = 1 in2
= 100 in
Θ = 30°
F1 = 51,961.5 lb
F2 = 81,961.5 lb

Note

F1 and F2 values are back-calculated from theoretical relationships.

Analysis Assumptions and Modeling Notes

Automatic load stepping (AUTOTS,ON) is used to obtain the nonlinear plastic solution (load steps 2 and 3).

Results Comparison

 | Target | ANSYS | Ratio
Deflection at F1 , in | -0.07533 | -0.07534 | 1.000
Stressr , psi | -5,650. | -5,650.[1] | 1.000

  1. SAXL in element solution printout for element 2.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM10 		Up / Home Next
VM12


VM12

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM12

Combined Bending and Torsion

Overview

Reference: | S. Timoshenko, Strength of Material, Part I, Elementary Theory and Problems, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1955, pg. 299, problem 2.
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | Elastic Straight Pipe Element (PIPE16)
Input Listing: | vm12.dat

Test Case

A vertical bar of length [image] is subjected to the action of a horizontal force F acting at a distance d from the axis of the bar. Determine the maximum principal stress σmax and the maximum shear stress τmax in the bar.

Figure 12.1 Combined Bending and Torsion Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
υ = 0.3
= 25 ft
d = 3 ft
Section modulus (I/c) = 10 in3
F = 250 lb
M = Fd = 9000 in-lb

Analysis Assumptions and Modeling Notes

Use consistent length units of inches. Real constants R1 = 4.67017 in. and R2 = 2.33508 in. (pipe O.D. and wall thickness, respectively) are calculated for a solid cross-section from the given section modulus. The offset load is applied as a centroidal force and a moment.

Results Comparison

 | Target[1] | ANSYS | Ratio
Principal stressmax , psi | 7527. | 7527.[2] | 1.000
Shear stressmax , psi | 3777. | 3777.[3] | 1.000

  1. Solution recalculated

  2. Corresponds to S1MX in element solution printout

  3. Calculated as SINTMX/2 (SINTMX from element solution printout) since SINTMX is defined as twice the maximum shear stress.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM11 		Up / Home Next
VM13


VM13

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM13

Cylindrical Shell Under Pressure

Overview

Reference:
S. Timoshenko, Strength of Material, Part I, Elementary Theory and Problems, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1955, pg. 45, article 11.
A. C. Ugural, S. K. Fenster, Advanced Strength and Applied Elasticity, Elsevier, 1981.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s): 2-Node Finite Strain Axisymmetric Shell (SHELL208)
Input Listing: vm13.dat

Test Case

A long cylindrical pressure vessel of mean diameter d and wall thickness t has closed ends and is subjected to an internal pressure P. Determine the axial stress σy and the hoop stress σz in the vessel at the midthickness of the wall.

Figure 13.1 Cylindrical Shell Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
υ = 0.3
t = 1 in
d = 120 in
P = 500 psi

Analysis Assumptions and Modeling Notes

An arbitrary axial length of 10 inches is selected. Nodal coupling is used in the radial direction. An axial force of 5654866.8 lb ((Pπd2)/4) is applied to simulate the closed-end effect.

Results Comparison

 | Target[1] | ANSYS | Ratio
Stressy , psi | 15,000. | 15,000.[2] | 1.000
Stressz , psi | 29,749. | 30,000. | 1.008

  1. Axial Stress σy is calculated (per S. Timoshenko, Strength of Material, Part I, Elementary Theory and Problems) using thin shell theory. Since SHELL208 uses thick shell logic to determine stress variations through the thickness, the hoop stress σz is calculated per A. C. Ugural, S. K. Fenster, Advanced Strength and Applied Elasticity.

  2. SX in element solution printout since element X-axis is parallel to global Y-axis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM12 		Up / Home Next
VM14


VM14

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM14

Large Deflection Eccentric Compression of a Column

Overview

Reference: | S. Timoshenko, Strength of Material, Part I, Elementary Theory and Problems, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1955, pg. 263, problem 1.
Analysis Type(s): | Static, Large Deflection Analysis (ANTYPE = 0)
Element Type(s): | 2-D Elastic Tapered Unsymmetric Beam Elements (BEAM54)
Input Listing: | vm14.dat

Test Case

Find the deflection Δ at the middle and the maximum tensile and compressive stresses in an eccentrically compressed steel strut of length [image]. The cross-section is a channel with moment of inertia I, area A, and flange width b. The ends are pinned at the point of load application. The distance between the centroid and the back of the channel is e, and the compressive force F acts in the plane of the back of the channel and in the symmetry plane of the channel.

Figure 14.1 Slender Column Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
υ = 0.3
= 10 ft
Iz = 1.3 in4
A = 3.36 in2
e = 0.58 in
b = 2.26 in
F = 4,000 lb

Analysis Assumptions and Modeling Notes

Only one-half of the structure is modeled because of symmetry. The boundary conditions for the equivalent half model become fixed-free. Large deflection is needed since the stiffness of the structure and the loading change significantly with deflection. The offset e is defined in the element coordinate system.

Results Comparison

 | Target[1] | ANSYS | Ratio
Deflection, in | 0.1264 | 0.1261[2] | 0.997
Stresstens , psi | 2461. | 2451.5[3] | 0.998
Stresscomp , psi | -2451. | -2447.8[4] | 0.999

  1. Solution recalculated

  2. Corresponds to negative of X-deflection at node 5

  3. SMAX, Element 1, Node I from element solution printout

  4. SMIN, Element 1, Node I from element solution printout

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM13 		Up / Home Next
VM15


VM15

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM15

Bending of a Circular Plate Using Axisymmetric Elements

Overview

Reference: | S. Timoshenko, Strength of Material, Part II, Elementary Theory and Problems, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1956, pp. 96, 97, and 103.
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | 2-Node Finite Strain Axisymmetric Shell (SHELL208)
Input Listing: | vm15.dat

Test Case

A flat circular plate of radius r and thickness t is subject to various edge constraints and surface loadings. Determine the deflection δ at the middle and the maximum stress σmax for each case.

Case 1: Uniform loading P, clamped edge.
Case 2: Concentrated center loading F, clamped edge.
Case 3: Uniform loading P/4, simply supported edge.

Figure 15.1 Flat Circular Plate Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
υ = 0.3
r = 40 in
t = 1 in
P = 6 psi
F = 7,539.82 lb

Analysis Assumptions and Modeling Notes

The stiffness matrix formed in the first load step is automatically reused in the second load step. A new stiffness matrix is automatically formed in the third load step because of changed boundary constraints. The mesh density is biased near the centerline and outer edge to recover stress values near those points.

Results Comparison

 |  | Target | ANSYS[1] | Ratio
Case 1 | Deflection, in | -0.08736 | -0.08764 | 1.003
 | Stressmax , psi | 7200. | 7040. | 0.978
Case 2 | Deflection, in | -0.08736 | -0.08827 | 1.010
 | Stressmax , psi[2] | 3600. | 3568. | 0.991
Case 3 | Deflection, in | -0.08904 | -0.08911 | 1.001
 | Stressmax , psi | 2970. | 2966. | 0.999

  1. Theoretical σmax occurs at a node location; ANSYS results, taken from element solution printout, are at the centroid of the nearest element.

  2. This result is at the edge of the plate since point loading causes (theoretically) infinite stresses at the point of load application.

Figure 15.2 Displaced Geometry Displays

Window 1: Uniform Loading, Clamped Edge
Window 2: Concentrated Loading, Clamped Edge
Window 3: Uniform Loading Simply-supported Edge

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM14 		Up / Home Next
VM16


VM16

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM16

Bending of a Solid Beam (Plane Elements)

Overview

Reference: | R. J. Roark, Formulas for Stress and Strain, 4th Edition, McGraw-Hill Book Co., Inc., New York, NY, 1965, pp. 104, 106.
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | 2-D Structural Solid Elements (PLANE42)
Input Listing: | vm16.dat

Test Case

A beam of length [image] and height h is built-in at one end and loaded at the free end with:

  • a moment M

  • a shear force F

For each case, determine the deflection δ at the free end and the bending stress σBend a distance d from the wall at the outside fiber.

Figure 16.1 Bending of a Solid Beam with Plane Elements Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
υ = 0.0
= 10 in
h = 2 in
d = 1 in
Case 1, M = 2000 in-lb
Case 2, F = 300 lb

Analysis Assumptions and Modeling Notes

The stiffness matrix formed in the first load step is also used in the second load step (automatically determined by ANSYS). The end moment is represented by equal and opposite forces separated by a distance h. The bending stress is obtained from face stresses on element 1.

Results Comparison

 |  | Target | ANSYS | Ratio
Case 1 | Deflection, in | 0.00500 | 0.00500 | 1.000
 | StressBend , psi | 3000 | 3000[1] | 1.000
Case 2 | Deflection, in | 0.00500 | 0.00505 | 1.010
 | StressBend , psi | 4050 | 4050[1] | 1.000

  1. S(PAR) in face printout for element 1 in element solution printout.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM15 		Up / Home Next
VM17


VM17

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM17

Snap-Through Buckling of a Hinged Shell

Overview

Reference: | C. C. Chang, “Periodically Restarted Quasi-Newton Updates in Constant Arc-Length Method”, Computers and Structures, Vol. 41 No. 5, 1991, pp. 963-972.
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | Elastic Shell Elements (SHELL63) 4-Node Finite Strain Shell Elements (SHELL181) 8-Node Finite Strain Shell Elements (SHELL281)
Input Listing: | vm17.dat

Test Case

A hinged cylindrical shell is subjected to a vertical point load (P) at its center. Find the vertical displacement (UY) at points A and B for the load of 1000 N.

Figure 17.1 Hinged Shell Problem Sketch

Material Properties Geometric Properties Loading
E = 3.10275 kN/mm2
υ = 0.3
R = 2540 m
= 254 m
h = 6.35 m
Θ = 0.1 rad
P = 1000 N

Analysis Assumptions and Modeling Notes

Due to symmetry, only a quarter of the structure is analyzed. The structure exhibits the nonlinear postbuckling behavior under the applied load. Therefore, a large deflection analysis is performed using the arc length solution technique. The results are observed in POST26.

Three different analyses are performed, the first using electric shell elements (SHELL63), the second using low order finite strain shell elements (SHELL181), and the third using high order finite strain shell elements (SHELL281).

Results Comparison

 | Target[1] | ANSYS | Ratio
SHELL63
UY @ A, mm | -30.0 | -31.7 | 1.056
UY @ B, mm | -26.0 | -25.8 | 0.994
SHELL181
UY @ A, mm | -30.0 | -31.5 | 1.052
UY @ B, mm | -26.0 | -27.0 | 1.038
SHELL281
UY @ A, mm | -30.0 | -31.3 | 1.043
UY @ B, mm | -26.0 | -26.5 | 1.020

  1. Target results are from graphical solution

Figure 17.2 Deflection and Total Load Plot

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM16 		Up / Home Next
VM18


VM18

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM18

Out-of-Plane Bending of a Curved Bar

Overview

Reference: | S. Timoshenko, Strength of Material, Part I, Elementary Theory and Problems, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1955, pg. 412, eq. 241.
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | Elastic Curved Pipe Element (PIPE18)
Input Listing: | vm18.dat

Test Case

A portion of a horizontal circular ring, built-in at A, is loaded by a vertical (Z) load F applied at the end B. The ring has a solid circular cross-section of diameter d. Determine the deflection δ at end B, the maximum bending stress σBend, and the maximum torsional shear stress τ.

Figure 18.1 Curved Bar Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
υ = 0.3
r = 100 in
d = 2 in
Θ = 90°
F = 50 lb

Analysis Assumptions and Modeling Notes

Node 10 is arbitrarily located on the radius of curvature side of the element to define the plane of the elbow. The wall thickness is set to half the diameter for a solid bar.

Results Comparison

 | Target | ANSYS | Ratio
Deflection, in | -2.648 | -2.650 | 1.001
StressBend, psi | 6366. | 6366.[1] | 1.000
Shear stress, psi | -3183. | -3183.[2] | 1.000

  1. Corresponds to maximum SAXL at 0° angle location in element solution output.

  2. Corresponds to SXH at 0° angle location in element solution output.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM17 		Up / Home Next
VM19


VM19

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM19

Random Vibration Analysis of a Deep Simply-Supported Beam

Overview

Reference: NAFEMS, Selected Benchmarks for Forced Vibration, Report prepared by W. S. Atking Engineering Sciences, April 1989, Test 5R.
Analysis Type(s):
Mode-frequency, Spectrum Analysis (ANTYPE = 8)
Harmonic Analysis (ANTYPE = 3)
Element Type(s): 3-D Elastic Beam (BEAM4)
Input Listing: vm19.dat

Test Case

A deep simply-supported square beam of length [image], thickness t, and mass density m is subjected to random uniform force power spectral density. Determine the peak response PSD value.

Figure 19.1 Simply-Supported Beam Problem Sketch

Material Properties Geometric Properties Loading
E = 200 x 109 N/m2
υ = 0.3
m = 8000 Kg/m3
= 10. m
t = 2.0 m
PSD = (106 N/m)2 /Hz
Damping δ = 2%

Analysis Assumptions and Modeling Notes

All degrees of freedom in the Y direction are selected as master degrees of freedom (MDOF). A frequency range of .1 Hz to 70 Hz was used as an approximation of the white noise PSD forcing function frequency.

Results Comparison

 | Target | ANSYS | Ratio
Modal Frequency f (Hz) | 42.65 | 42.66 | 1.00
PSD Freq (Hz) | 42.66 | 42.64 | 1.00
Peak d PSD(mm2/Hz) | 180.9 | 179.36[1] | 0.99
Peak stress PSD(N/mm2)2 /Hz | 58516. | 58553.[1] | 1.00

  1. The peak value occurred at frequency 42.64 Hz.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM18 		Up / Home Next
VM20


VM20

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM20

Cylindrical Membrane Under Pressure

Overview

Reference: S. Timoshenko, Strength of Material, Part II, Elementary Theory and Problems, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1956, pg. 121, article 25.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
Membrane Shell Element (SHELL41)
4-Node Finite Strain Shell Elements (SHELL181)
Input Listing: vm20.dat

Test Case

A long cylindrical membrane container of diameter d and wall thickness t is subjected to a uniform internal pressure P. Determine the axial stress σ1 and the hoop stress σ2 in the container. See VM13 for the problem sketch.

Figure 20.1 Cylindrical Membrane Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
υ = 0.3
d = 120 in
t = 1 in
P = 500 psi

Analysis Assumptions and Modeling Notes

An arbitrary axial length is selected. Since the problem is axisymmetric, only a one element sector is needed. A small angle Θ = 10° is used for approximating the circular boundary with a straight-sided element. Nodal coupling is used at the boundaries. An axial traction of 15,000 psi is applied to the edge of the element to simulate the closed-end effect. The internal pressure is applied as an equivalent negative pressure on the exterior (face 1) of the element.

The model is first solved using membrane shell elements (SHELL41) and then using finite strain shell elements (SHELL181) using the membrane option (KEYOPT(1) = 1).

Results Comparison

 | Target | ANSYS | Ratio
SHELL41
Stress1 , psi | 15,000 | 15,000 | 1.000
Stress2 , psi | 29,749 | 29,886 | 1.005
SHELL181
Stress1 , psi | 15,000 | 15,000 | 1.000
Stress2 , psi | 29,749 | 29,886 | 1.005

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM19 		Up / Home Next
VM21


VM21

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM21

Tie Rod with Lateral Loading

Overview

Reference: | S. Timoshenko, Strength of Material, Part II, Elementary Theory and Problems, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1956, pg. 42, article 6.
Analysis Type(s): | Static, Stress Stiffening Analysis (ANTYPE = 0)
Element Type(s): | 3-D Elastic Beam Elements (BEAM4)
Input Listing: | vm21.dat

Test Case

A tie rod is subjected to the action of a tensile force F and a uniform lateral load p. Determine the maximum deflection zmax, the slope Θ at the left-hand end, and the maximum bending moment Mmax. In addition, determine the same three quantities for the unstiffened tie rod (F = 0).

Figure 21.1 Tie Rod Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
= 200 in
b = h = 2.5 in
F = 21,972.6 lb
p = 1.79253 lb/in

Analysis Assumptions and Modeling Notes

Due to symmetry, only one-half of the beam is modeled. The full load is applied for each iteration. The first solution represents the unstiffened case. The second solution represents the stiffened case. For b and h of 2.5 in, the area is 6.25 in2 and Iy is 3.2552 in4.

Results Comparison

 |  | Target | ANSYS | Ratio
F neq 0 (stiffened) | Zmax , in | -0.19945 | -0.19946 | 1.000
 | Slope, rad | 0.0032352 | 0.0032353 | 1.000
 | Mmax , in-lb | -4580.1 | -4580.1 | 1.000
F = 0 (unstiffened) | Zmax , in | -0.38241 | -0.38241 | 1.000
 | Slope, rad | 0.0061185 | 0.0061185 | 1.000
 | Mmax , in-lb | -8962.7 | -8962.6 | 1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM20 		Up / Home Next
VM22


VM22

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM22

Small Deflection of a Belleville Spring

Overview

Reference: | S. Timoshenko, Strength of Material, Part II, Elementary Theory and Problems, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1956, pg. 143, problem 2.
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | 2-Node Finite Strain Axisymmetric Shell (SHELL208)
Input Listing: | vm22.dat

Test Case

The conical ring shown below represents an element of a Belleville spring. Determine the deflection y produced by a load F per unit length on the inner edge of the ring.

Figure 22.1 Belleville Spring Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
υ = 0.0
a = 1 in
b = 1.5 in
t = 0.2 in
β = 7° = 0.12217 rad
F = 100 lb/in

Analysis Assumptions and Modeling Notes

The input force, -2 πF = -628.31853 lb., is applied per full circumference.

Results Comparison

 | Target | ANSYS | Ratio
y, in | -0.0028205 | -0.0028571 | 1.013

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM21 		Up / Home Next
VM23


VM23

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM23

Thermal-structural Contact of Two Bodies

Overview

Reference: Any Basic Mechanics Text
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
2-D Coupled-field Solid Elements (PLANE13)
2-D/3-D Node-to-Surface Contact Element (CONTA175)
2-D Target Segment Element (TARGE169)
Input Listing: vm23.dat

Test Case

Two bodies, A and B, are initially at a temperature of 100°C. A temperature of 500°C is then imposed at the left edge, EA1, of A. Further, the right edge, EB2, of B is heated to attain a temperature of 850°C and is subsequently cooled back to 100°C. Compute the interface temperature (right edge) of A, EA2, and the amount of heat flow through the interface when the right edge of EB2 is at 600°C and 850°C, respectively. Also, compute the heat flow through the interface when B is subsequently cooled to 100°C.

Figure 23.1 Contact Problem Sketch

Material Properties Geometric Properties Loading
E = 10 x 106 N/m2
K = 250 W/m°C
α = 12 x 10-6 m/m°C
Contact Conductance = 100 W/°C (per contact element)
h = 0.1 m
1 = 0.4 m
2 = 0.5 m
δ [image] = 0.0035 m
Tref = 100°C
Load Step 1 T@E1 = 500°C
Load Step 2 T@E2 = 850°C
Load Step 3 T@E2 = 100°C

Analysis Assumptions and Modeling Notes

A coupled-field analysis is performed to solve this thermal/structural contact problem. The interface is modeled using CONTA175 and TARGE169 elements with the heat conduction option.

Results Comparison

 |  | Target | ANSYS | Ratio
T @ EB2 = 600°C | T @ EA2 oC | 539.0 | 539.0 | 1.000
 | Q W | 2439.0 | 2439.0 | 1.000
T @ EB2 = 850° | T @ EA2 oC | 636.6 | 636.6 | 1.000
 | Q W | 8536.6 | 8536.6 | 1.000
T @ EB2 = 100° | Q W | 0.0 | 0.0 | --

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM22 		Up / Home Next
VM24


VM24

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM24

Plastic Hinge in a Rectangular Beam

Overview

Reference: | S. Timoshenko, Strength of Material, Part II, Elementary Theory and Problems, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1956, pg. 349, article 64.
Analysis Type(s): | Static, Plastic Analysis (ANTYPE = 0)
Element Type(s): | 2-D Plastic Beam Element (BEAM23)
Input Listing: | vm24.dat

Test Case

A rectangular beam is loaded in pure bending. For an elastic-perfectly-plastic stress-strain behavior, show that the beam remains elastic at M = Myp = σyp bh2/6 and becomes completely plastic at M = Mult = 1.5 Myp.

Figure 24.1 Plastic Hinge Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
υ = 0.3
σyp = 36000 psi
b = 1 in
h = 2 in
Iz = b h3/12 = 0.6667 in4
M = 1.0 Myp to 1.5 Myp
(Myp = 24000 in-lb)

Analysis Assumptions and Modeling Notes

The problem is solved by using two types of plasticity rules:

  • the bilinear kinematic hardening (BKIN)

  • the bilinear isotropic hardening (BISO)

An arbitrary beam length is chosen. Because of symmetry, only half of the structure is modeled (since length is arbitrary, this means only that boundary conditions are changed). The load is applied in four increments using a do-loop, and convergence status is determined from the axial plastic strain for each load step in POST26.

Results Comparison (for both analyses)

M/Myp | Target | ANSYS | Ratio
1.0 | Fully Elastic | Fully Elastic | --
1.1666 | Elastic-Plastic | Elastic-Plastic[1] | --
1.3333 | Elastic-Plastic | Elastic-Plastic[1] | --
1.5 | Fully Plastic | Fully Plastic[2] | --

  1. Solution converges

  2. Solution does not converge (indicates that the structure has collapsed). Moment ratios slightly less than 1.5 will also show a collapse since plasticity is monitored only at discrete integration points through the cross-section.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM23 		Up / Home Next
VM25


VM25

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM25

Stresses in a Long Cylinder

Overview

Reference: | S. Timoshenko, Strength of Material, Part II, Elementary Theory and Problems, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1956, pg. 213, problem 1 and pg. 213, article 42.
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | 2-D 8-Node Structural Solid Elements (PLANE82)
Input Listing: | vm25.dat

Test Case

A long thick-walled cylinder is initially subjected to an internal pressure p. Determine the radial displacement δr at the inner surface, the radial stress σr, and tangential stress σt, at the inner and outer surfaces and at the middle wall thickness. Internal pressure is then removed and the cylinder is subjected to a rotation ω about its center line. Determine the radial σr and tangential σt stresses at the inner wall and at an interior point located at r = Xi.

Figure 25.1 Long Cylinder Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
υ = 0.3
ρ = 0.00073 lb-sec2/in4
a = 4 inches
b = 8 inches
Xi = 5.43 inches
p = 30,000 psi
ω = 1000 rad/sec

Analysis Assumptions and Modeling Notes

The axial length is arbitrarily selected. Elements are oriented such that surface stresses may be obtained at the inner and outer cylinder surfaces.

POST1 is used to display linearized stresses through the thickness of the cylinder when it is subjected to an internal pressure.

Results Comparison

 |  | Target | ANSYS | Ratio
p = 30,000 psi | Displacementr, in (r = 4 in) | 0.0078666 | 0.0078667 | 1.000
 | Stressr, psi (r = 4 in) | -30000. | -29908. | 0.997
 | Stressr, psi (r = 6 in) | -7778. | -7757. | 0.997
 | Stressr, psi (r = 8 in) | 0. | 6.734 | --
 | Stresst, psi (r = 4 in) | 50000. | 49908. | 0.998
 | Stresst, psi (r = 6 in) | 27778. | 27758. | 0.999
 | Stresst, psi (r = 8 in) | 20000. | 19993. | 1.000
Rotation = 1000 rad/sec | Stressr, psi (r = 4 in) | 0.0 | 49.380 | --
 | Stresst, psi (r = 4 in) | 40588. | 40526. | 0.998
 | Stressr, psi (r = 5.43 in) | 4753. | 4745. | 0.998
 | Stresst, psi (r = 5.43 in) | 29436. | 29406. | 0.999

Figure 25.2 SZ Stresses Along a Section (Internal Pressure)

Figure 25.3 SX Stresses Along a Section (Internal Pressure)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM24 		Up / Home Next
VM26


VM26

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM26

Large Deflection of a Cantilever

Overview

Reference: | K. J. Bathe, E. N. Dvorkin, "A Formulation of General Shell Elements - The Use of Mixed Interpolation of Tensorial Components”, Int. Journal for Numerical Methods in Engineering, Vol. 22 No. 3, 1986, pg. 720.
Analysis Type(s): | Static, Large Deflection Analysis (ANTYPE = 0)
Element Type(s): | 4-Node Plastic Large Strain Shell Elements (SHELL43) 4-Node Finite Strain Shell (SHELL181) 8-Node Finite Strain Shell (SHELL281)
Input Listing: | vm26.dat

Test Case

A cantilevered plate of length [image], width b, and thickness t is fixed at one end and subjected to a pure bending moment M at the free end. Determine the true (large deflection) free-end displacements and rotation, and the top surface stress at the fixed end, using shell elements.

Figure 26.1 Cantilever Problem Sketch

Material Properties Geometric Properties Loading
E = 1800 N/mm2
υ = 0.0
= 12 mm
b = 1 mm
t = 1 mm
M = 15.708 N-mm

Analysis Assumptions and Modeling Notes

The large deflection option is chosen (NLGEOM,ON) and shell elements are used to match the reference's assumptions and test case definition. Since the geometry is closer to that of a beam, a shell element is not the usual element type to solve problems of this geometry.

The free-end nodes are coupled in y-rotations so that the bending moment M can be applied to only one end node. The load is applied in two equal increments, using the analysis restart option (solely for validation and demonstration of ANTYPE,,REST).

Results Comparison

 |  | Target[1] | ANSYS | Ratio
SHELL43 | UX, node 4 (mm) | -2.9 | -2.61 | 0.90
 | UZ, node 4 (mm) | -6.5 | -6.55 | 1.01
 | ROTY, node 4 (rad) | 1.26 | 1.22 | 0.97
 | Stressx , node 1 (N/mm2) | 94.25 | 94.25 | 1.00
SHELL181 | UX, node 4 (mm) | -2.9 | -2.77 | 0.95
 | UZ, node 4 (mm) | -6.5 | -6.71 | 1.03
 | ROTY, node 4 (rad) | 1.26 | 1.26 | 1.00
 | Stressx , node 1 (N/mm2) | 94.25 | 94.25 | 1.00
SHELL181 | UX, node 4 (mm) | -2.9 | -2.77 | 0.95
 | UZ, node 4 (mm) | -6.5 | -6.71 | 1.03
 | ROTY, node 4 (rad) | 1.26 | 1.26 | 1.00
 | Stressx , node 1 (N/mm2) | 94.25 | 94.25 | 1.00
SHELL181 | UX, node 4 (mm) | -2.9 | -2.77 | 0.95
 | UZ, node 4 (mm) | -6.5 | -6.71 | 1.03
 | ROTY, node 4 (rad) | 1.26 | 1.26 | 1.00
 | Stressx , node 1 (N/mm2) | 94.25 | 94.25 | 1.00
SHELL281 | UX, node 4 (mm) | -2.9 | -2.92 | 1.01
 | UZ, node 4 (mm) | -6.5 | -6.60 | 1.02
 | ROTY, node 4 (rad) | 1.26 | 1.26 | 1.00
 | Stressx , node 1 (N/mm2) | 94.25 | 94.25 | 1.00

  1. to accuracy of graphical readout

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM25 		Up / Home Next
VM27


VM27

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM27

Thermal Expansion to Close a Gap

Overview

Reference: C. O. Harris, Introduction to Stress Analysis, The Macmillan Co., New York, NY, 1959, pg. 58, problem 8.
Analysis Type(s): Static, Thermal-stress Analysis (ANTYPE = 0)
Element Type(s):
2-D Spar (or Truss) Elements (LINK1)
2-D Point-to-Point Contact Elements (CONTAC12)
3-D Spar (or Truss) Elements (LINK8)
3-D Point-to-Point Contact Elements (CONTAC52)
Input Listing: vm27.dat

Test Case

An aluminum-alloy bar is fixed at one end and has a gap δ between its other end and a rigid wall when at ambient temperature Ta. Calculate the stress σ, and the thermal strain εThermal in the bar after it has been heated to temperature T.

Figure 27.1 Gap Problem Sketch

Material Properties Geometric Properties Loading
E = 10.5 x 106 psi
α = 12.5 x 10-6 in/in-°F
= 3 in
δ = 0.002 in
Ta = 70°F
T = 170°F

Analysis Assumptions and Modeling Notes

The problem is solved first in 2-D using LINK1 and CONTAC12 elements, then in 3-D using LINK8 and CONTAC52 elements. Models are created at arbitrary angles. The gap stiffness is arbitrarily selected at a high value (10 x 1010 psi) to approximate the rigid wall. The automatic load stepping procedure (AUTOTS,ON) is used.

Results Comparison

 |  | Target | ANSYS | Ratio
2-D Analysis | Stress, psi | -6125. | -6125. | 1.000
 | StrainThermal | 0.00125 | 0.00125 | 1.000
3-D Analysis | Stress, psi | -6125. | -6125. | 1.000
 | StrainThermal | 0.00125 | 0.00125 | 1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM26 		Up / Home Next
VM28


VM28

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM28

Transient Heat Transfer in an Infinite Slab

Overview

Reference: | J. P. Holman, Heat Transfer, 4th Edition, McGraw-Hill Book Co., Inc., New York, NY, 1976, pg. 106.
Analysis Type(s): | Thermal Analysis (ANTYPE = 4)
Element Type(s): | 2-D 8-Node Thermal Solid Element (PLANE77)
Input Listing: | vm28.dat

Test Case

A semi-infinite solid is initially at temperature To. The solid is then suddenly exposed to an environment having a temperature Te and a surface convection coefficient h. Determine the temperature distribution through the solid after 2000 seconds.

Figure 28.1 Infinite Slab Problem Sketch

Material Properties Geometric Properties Loading
k = 54 W/m°C
ρ = 7833 kg/m3
c = 465 J/kg-°C
a = 1 m
b = 0.1 m
To = 0°C
Te = 1000°C
h = 50 W/m2-°C

Analysis Assumptions and Modeling Notes

The width b of 0.1 m is arbitrarily selected for the elements. The model length a (1 meter) is selected to model the infinite boundary such that no significant temperature change occurs at the inside end points (nodes 1, 13) for the time period of interest. The node locations are selected with a higher density near the surface to better model the transient behavior. The automatic time stepping procedure (AUTOTS,ON) is used with an initial integration time step of 10 sec (2000 sec/200 max. iterations = 10) to more closely model the thermal shock at the surface.

Results Comparison

Temperature °C | Target | ANSYS | Ratio
@ Y = .9777 (Node 11) | 140 | 141 | 1.01
@ Y = .9141 (Node9) | 98.9 | 99.1 | 1.00
@ Y = .8134 (Node 7) | 51.8 | 51.7 | 0.997
@ Y = .6538 (Node 5) | 14.5 | 14.0 | 0.968

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM27 		Up / Home Next
VM29


VM29

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM29

Friction on a Support Block

Overview

Reference: | F. P. Beer, E. R. Johnston, Jr., Vector Mechanics for Engineers, Statics and Dynamics, McGraw-Hill Book Co., Inc., New York, NY, 1962, pg. 283, problem 8.2.
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | 2-D Point-to-Point Contact Elements (CONTAC12)
Input Listing: | vm29.dat

Test Case

A support block is acted upon by forces Fx and Fy. For a given value of Fy determine the smallest value of Fx which will prevent the support block from sliding down the plane. Also determine the normal force Fn and sliding force Fs at the interface.

Figure 29.1 Support Block Problem Sketch

Material Properties Geometric Properties Loading
μ = 0.3
Θ = 205
Fy = 100 lb

Analysis Assumptions and Modeling Notes

A real problem of this nature would be solved in a trial-and-error, iterative fashion. In this case the theoretical answer is known, so the solution is verified by the "backward" process described below.

The normal stiffness of the sticking interface is arbitrarily selected at a high value. A value slightly greater than the calculated Fx value of 5.76728 lb is input in the first load step. A slightly lesser value is input in the second load step. The number of substeps is limited to one to prevent divergence due to the free motion of the block.

Results Comparison

Status | Target | ANSYS | Ratio
Fx = 5.76729 lb. | Sticking | Sticking | --
Fn , lb | -95.942 | -95.942 | 1.000
Fs , lb | 28.783 | 28.783 | 1.000
Fx = 5.76720 lb. | Sliding | Sliding | --
Fn , lb | -95.942 | -95.942 | 1.000
Fs , lb | 28.783 | 28.783 | 1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM28 		Up / Home Next
VM30


VM30

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM30

Solid Model of Surface Fillet

Overview

Reference: | D. R. Hose, I. A. Rutherford, "Benchmarks for Finite Element Pre-processors", NAFEMS Ref: R0001, December 1993, pg. 23.
Analysis Type(s): | Solid Modeling Boolean Operations
Element Type(s): | Not Applicable
Input Listing: | vm30.dat

Test Case

A rectangular plate and a trapezoidal plate intersect at an angle of 90° with a common radius fillet of 1 mm. The edge of the fillet lies in a plane. From solid model construction, determine the accuracy of the fillet operation by measuring the out-of-plane deviation of subsequent meshed node locations.

Figure 30.1 Surface Fillet Problem Sketch

Geometric Properties
= 8 mm
h = 2 mm
Θ = 1355

Analysis Assumptions and Modeling Notes

The model is created using geometric primitives. The fillet is created using an area fillet operation. A glue operation is used to provide continuity for creating the fillet. An arbitrary element type (SHELL93) is defined for meshing purposes. A local coordinate system is created in the plane of the weld. The nodes are listed in that coordinate system to access the maximum out-of-plane deviation. The maximum absolute deviation is reported.

Results Comparison

 | Target | ANSYS | Ratio
Maximum Deviation (mm) | 0 | 3.19E-7 | --

Figure 30.2 Area Plot

Figure 30.3 Element Plot

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM29 		Up / Home Next
VM31


VM31

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM31

Cable Supporting Hanging Loads

Overview

Reference: | F. P. Beer, E. R. Johnston, Jr., Vector Mechanics for Engineers, Statics and Dynamics, McGraw-Hill Book Co., Inc., New York, NY, 1962, pg. 260, problem 7.8.
Analysis Type(s): | Static, Stress Stiffening Analysis (ANTYPE = 0)
Element Type(s): | Tension-only or Compression-only Spar Elements (LINK10)
Input Listing: | vm31.dat

Test Case

The cable AE supports three vertical loads from the points indicated. For the equilibrium position shown, determine the horizontal Ax and vertical Ay reaction forces at point A and the maximum tension T in the cable.

Figure 31.1 Hanging Load Problem Sketch

Material Properties Geometric Properties Loading
E = 20 x 106 ksi
Area of cable = 0.1 ft2
= 10 ft
1 = 5.56 ft
2 = 5.83 ft
F1 = 4 kips
F2 = 6 kips

Analysis Assumptions and Modeling Notes

An iterative solution is required. A small initial strain (1 x 10-8) is input to give some initial stiffness to the cable.

Results Comparison

 | Target[1] | ANSYS | Ratio
Ax , Kips | -18.000 | -17.997 | 1.000
Ay , Kips | 5.0000 | 5.0009 | 1.000
T, Kips | 24.762 | 24.756[2] | 1.000

  1. Solution recalculated

  2. Corresponds to MFORX for element 4 in element solution output

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM30 		Up / Home Next
VM32


VM32

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM32

Thermal Stresses in a Long Cylinder

Overview

Reference: S. Timoshenko, Strength of Material, Part II, Elementary Theory and Problems, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1956, pg. 234, problem 1.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
2-D Thermal Solid Elements (PLANE55)
2-D Structural Solid Elements (PLANE42)
Input Listing: vm32.dat

Test Case

A long thick-walled cylinder is maintained at a temperature Ti on the inner surface and To on the outer surface. Determine the temperature distribution through the wall thickness. Also determine the axial stress σa and the tangential (hoop) stress σt at the inner and outer surfaces.

Figure 32.1 Long Cylinder Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
α = 1.435 x 10-5 in/in-°C
υ = 0.3
k = 3Btu/hr-in-°C
a = 0.1875 inches
b = 0.625 inches
Ti = -1°C
To = 0°C

Analysis Assumptions and Modeling Notes

The axial length is arbitrary. Two element types are defined so that the same model can be used for the thermal and stress solutions. A radial grid with nonuniform spacing ratio (1:2) is used since the largest rate of change of the thermal gradient occurs at the inner surface. Surface stresses are requested on element 1 and 7 to obtain more accurate axial and hoop stresses at the inner and outer radii. Nodal coupling is used in the static stress analysis.

Results Comparison

Thermal Analysis | Target | ANSYS | Ratio
T,°C (at X = 0.1875 in) | -1.0000 | -1.0000 | 1.000
T,°C (at X = 0.2788 in) | -0.67037 | -0.67061 | 1.000
T,°C (at X = 0.625 in) | 0.0000 | 0.0000 | -
Static Analysis | Target | ANSYS | Ratio
Stressa, psi (at X = 0.1875 in) | 420.42 | 432.59 | 1.029
Stresst, psi (at X = 0.1875 in) | 420.42 | 426.49 | 1.014
Stressa, psi (at X = 0.625 in) | -194.58 | -190.05 | 0.977
Stresst, psi (at X = 0.625 in) | -194.58 | -189.76 | 0.775

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM31 		Up / Home Next
VM33


VM33

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM33

Transient Thermal Stress in a Cylinder

Overview

Reference: R. J. Roark, W. C. Young, Formulas for Stress and Strain, 5th Edition, McGraw-Hill Book Co., Inc., New York, NY, 1975, pg. 585.
Analysis Type(s): Coupled-field Analysis (ANTYPE = 4)
Element Type(s):
3-D Coupled-field Solid Element (SOLID5)
3-D 20-Node Coupled-Field Solid (SOLID226)
Input Listing: vm33.dat

Test Case

A long thick-walled cylinder, initially at a uniform temperature To, has its outer radius temperature raised at a constant rate of 1.0°/sec to temperature Tf. After a steady state of heat flow has been reached, determine the tangential stress at the inner and outer surfaces. Display the outer-to-inner surface temperature difference and the tangential stress as a function of time.

Figure 33.1 Cylinder Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
υ = 0.3
α = 8.4 x 10-6 in/in-°F
k = .000625 BTU/sec in-°F
ρ = 0.284 lb/in3
c = .10 BTU/lb-°F
a = 1.0 in
b = 3.0 in
h = .20 in
Tb = 500°F
To = 70°F

Analysis Assumptions and Modeling Notes

Due to symmetry, only a wedge of arbitrary height is required for modeling. A 5° wedge is selected to minimize curved geometry effects when using a lower order element. The thermal steady state condition is satisfied when the inner and outer wall temperature difference is constant. A transient thermal-stress analysis is required with a sufficient time period to allow the steady-state condition to be obtained. A time period of t = 430 sec is selected. The temperature Tf is assigned a value of T = 500°F such that, for a ramped load condition, the constant temperature rise of: Tf-To/Δt = 500-70/430 = 1°F/sec is obtained. Since the structural dynamic effects are not of concern, inertial and damping structural effects can be ignored, by specifying time integration for the temperature degree of freedom only. A sufficient number of elements (15) is modeled through the thickness such that an accurate thermal transient and nodal stress results are obtained.

Symmetric structural boundary conditions are used at the radial and bottom planes. Since the cylinder being modeled is long, nodes at z = h are coupled in UZ to enforce a constant axial strain condition. The reported values at t = 430 sec. should be fairly accurate since thermal steady state is achieved.

Results Comparison

Tangential Stress | Target | ANSYS | Ratio
SOLID5
Stressypsi(r=b) | -13396 | -13097 | 0.978
Stressypsi(r=a) | 10342 | 10425 | 1.008
SOLID226
Stressypsi(r=b) | -13396 | -13360 | 0.997
Stressypsi(r=a) | 10342 | 10325 | 1.000

Figure 33.2 Outer-to-inner Surface Temperature Difference

Figure 33.3 Tangential Stress as a Function of Time

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM32 		Up / Home Next
VM34


VM34

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM34

Bending of a Tapered Plate (Beam)

Overview

Reference: C. O. Harris, Introduction to Stress Analysis, The Macmillan Co., New York, NY, 1959, pg. 114, problem 61.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
Elastic Shell Elements (SHELL63)
3-D Elastic Tapered Unsymmetric Beam Elements (BEAM44)
3-D Elastic Tapered Unsymmetric Beam Element (BEAM188)
4-Node Finite Strain Shell Elements (SHELL181)
Input Listing: vm34.dat

Test Case

A tapered cantilever plate of rectangular cross-section is subjected to a load F at its tip. Find the maximum deflection δ and the maximum principal stress σ1 in the plate.

Figure 34.1 Beam Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
υ = 0.0
L = 20 in
d = 3 in
t = 0.5 in
F = 10 lbs

Analysis Assumptions and Modeling Notes

The problem is solved first using quadrilateral shell elements (SHELL63) and then using tapered beam elements (BEAM44). For the quadrilateral shell elements (used in triangular form), nodal coupling is used to ensure symmetry. For the beam elements, the area and Y dimension of the beam are not used and are input as 1.0. Node 12 is arbitrarily located at Z = 1.0 in order to define the orientation of the beam. The problem is also solved using tapered sections beam elements (BEAM188) and quadrilateral finite strain shell elements (SHELL181).

Results Comparison

 |  | Target | ANSYS | Ratio
SHELL63 | Deflection, in | -0.042667 | -0.042667 | 1.000
 | (Stress1)max, psi | 1600.00 | 1600.4 | 1.000
BEAM44 | Deflection, in | -0.042667 | -0.043109 | 1.010
 | (Stress1)max, psi | 1600.00 | 1600.00 | 1.000
BEAM188 | Deflection, in | -0.042667 | -0.042792 | 1.003
 | (Stress1)max, psi | 1600.00 | 1599.966 | 1.000
SHELL181 | Deflection, in | -0.042607 | -0.042707 | 1.001
 | (Stress1)max, psi | 1600.00 | 1600.0000 | 1.000
SHELL281 | Deflection, in | -0.042667 | -0.042740 | 1.002
 | (Stress1)max, psi | 1600.00 | 1606.684170 | 1.004

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM33 		Up / Home Next
VM35


VM35

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM35

Bimetallic Layered Cantilever Plate with Thermal Loading

Overview

Reference: | R. J. Roark, W. C. Young, Formulas for Stress and Strain, 5th Edition, McGraw-Hill Book Co., Inc., New York, NY, 1975, pp. 113-114.
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | Nonlinear Layered Structural Shell Elements (SHELL91) 8-Node Finite Strain Shell Elements (SHELL281)
Input Listing: | vm35.dat

Test Case

A cantilever beam of length [image], width w, and thickness t is built from two equal thickness layers of different metals. The beam is stress free at Tref. The beam is fixed at the centerline of one end (X = 0, Y = w/2), and subjected to a uniform temperature Ta. Determine the deflection at the centerline of the free end (X = [image]) of the cantilever and the outer fiber bending stress at the fixed end.

Figure 35.1 Cantilever Plate Problem Sketch

Material Properties Geometric Properties Loading
E1 = E2 = 3 x 107 psi
υ 1 = υ 2 = 0.0
α1 = 1 x 10-5 in/in-°F
α2 = 2 x 10-5 in/in-°F
= 10 in
t = 0.1 in
Tref = 70°F
Ta = 170°F

Analysis Assumptions and Modeling Notes

The width w is arbitrary for the solution of this problem and is chosen as 1 to produce reasonably-shaped elements. At the "fixed" end, only the center node is constrained to match the simple beam theory used in the reference, and allow unrestrained bending in the Y-Z plane.

The model is first solved using nonlinear layered structural shell elements (SHELL91) and then using layered finite strain shell elements (SHELL281).

Results Comparison

 | Target | ANSYS | Ratio
SHELL91
free-end deflectionz, in | 0.750 | 0.750 | 1.000
free-end deflectionx, in | 0.015 | 0.015 | 1.000
fixed-end top stressx, psi | 7500 | 7500 | 1.000
SHELL281
free-end deflectionz, in | 0.750 | 0.750 | 1.000
free-end deflectionx, in | 0.015 | 0.015 | 1.000
fixed-end top stressx, psi | 7500 | 7500 | 1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM34 		Up / Home Next
VM36


VM36

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM36

Limit Moment Analysis

Overview

Reference: S. H. Crandall, N. C. Dahl, An Introduction to the Mechanics of Solids, McGraw-Hill Book Co., Inc., New York, NY, 1959, pg. 389, ex. 8.9.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
Combination Elements (COMBIN40)
3-D Elastic Beam Elements (BEAM4)
Input Listing: vm36.dat

Test Case

A symmetric cross-section beam of bending stiffness EIy, and height h, totally fixed at C, simply supported at A, is subjected to a concentrated load P at point B. Verify that a load P which is slightly smaller than the theoretical load limit PL will cause elastic deformation and that a load which is slightly larger than PL will cause plastic deformation. Also determine the maximum deflection δ, the reaction force at the left end RA, and the reaction moment at the right end Mc just prior to the development of a plastic hinge.

Figure 36.1 Limit Moment Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
υ = .3
ML = 27,777.77 in-lb
Ky = 1 x 1012 lb/in
a = 50 in
Iy = 20 in4
h/2 = 3.93597 in
P = -1000.0 lb (Load Step #1)
P = -1388.8 lb (Load Step #2)
P = -1390.0 lb (Load Step #3)

Analysis Assumptions and Modeling Notes

The load required for Mc=ML (the limiting, or fully plastic bending moment) is calculated to be 1000 lbs. From the reference, the second plastic hinge develops at B when PL = 2.5ML/a = 1388.88 lb. The beam area is not necessary for this loading and is assumed to be 1.0. The beam half height, h/2, is input as a BEAM4 real constant. Ky is arbitrarily selected to be a large value (1 x 1012) to minimize the elastic effect of the hinge.

Combination elements are used as breakaway hinge connections, which slide above the ML value. An extra set of these elements are defined in parallel with an arbitrary low stiffness and a large value of real constant FSLIDE to maintain solution stability after collapse. Sliding status of the combination elements indicates that a plastic hinge has formed.

Results Comparison

 |  | Target | ANSYS | Ratio
P = 1000 lbs (elastic) | Deflection, in | -0.02829 | -0.02829 | 1.00
 | RA lb | 148.15 | 148.15 | 1.00
 | Mc in-lb | 27778 | 27778 | 1.00
P = 1388.8 lbs | Hinge @ B | Elastic | Elastic | -
 | Hinge @ C | Plastic | Sliding | -
P = 1390 lbs | Hinge @ B | Plastic | Sliding | -
 | Hinge @ C | Plastic | Sliding | -

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM35 		Up / Home Next
VM37


VM37

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM37

Elongation of a Solid Bar

Overview

Reference: C. O. Harris, Introduction to Stress Analysis, The Macmillan Co., New York, NY, 1959, pg. 237, problem 4.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
3-D Structural Solid Elements (SOLID45)
3-D Structural Solid Elements (SOLID185)
3-D Structural Solid Shell Elements (SOLSH190)
Input Listing: vm37.dat

Test Case

A tapered aluminum alloy bar of square cross-section and length L is suspended from a ceiling. An axial load F is applied to the free end of the bar. Determine the maximum axial deflection δ in the bar and the axial stress σy at mid-length (Y = L/2).

Figure 37.1 Solid Bar Problem Sketch

Material Properties Geometric Properties Loading
E = 10.4 x 106 psi
υ = .3
L = 10 in
d = 2 in
F = 10,000 lb

Analysis Assumptions and Modeling Notes

The problem is solved in three different ways:

  • Using 3-D Structural Solid Elements (SOLID95)

  • Using 3-D Structural Solid Elements (SOLID186)

  • Using 3-D Structural Solid Shell Elements (SOLSH190)

A single tapered volume is mapped-meshed with seven brick-shaped elements along the length of the bar.

POST1 is used to get the nodal displacements at the free end and the axial stress at mid-length of the bar.

Results Comparison

 | Target | ANSYS | Ratio
SOLID45
d , in | 0.0048077 | .0047570 | 0.989
Stressy , psi (elem. 4) | 4444. | 4441. | 0.999
SOLID185
d , in | 0.0048077 | .0047570 | 0.989
Stressy , psi (elem. 4) | 4444. | 4441. | 0.999
SOLSH190
d , in | 0.0048077 | .0047801 | 0.994
Stressy , psi (elem. 4) | 4444. | 4463.29 | 1.004

Figure 37.2 Elongation of a Solid-Bar-Axial Stress Contour Display (SOLID45 Model)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM36 		Up / Home Next
VM38


VM38

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM38

Plastic Loading of a Thick-Walled Cylinder

Overview

Reference: S. Timoshenko, Strength of Material, Part II, Elementary Theory and Problems, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1956, pg. 388, article 70.
Analysis Type(s): Static, Plastic Analysis (ANTYPE = 0)
Element Type(s):
2-D Structural Solid Elements (PLANE42)
2-D Structural Surface Effect Elements (SURF153)
3-D Structural Solid Elements (SOLID45)
3-D Structural Surface Effect Elements (SURF154)
Input Listing: vm38.dat

Test Case

A long thick-walled cylinder is subjected to an internal pressure p (with no end cap load). Determine the radial stress, σr, and the tangential (hoop) stress, σt, at locations near the inner and outer surfaces of the cylinder for a pressure, pel, just below the yield strength of the material, a fully elastic material condition. Determine the effective (von Mises) stress, σeff, at the same locations for a pressure, pult, which brings the entire cylinder wall into a state of plastic flow.

Figure 38.1 Thick-Walled Cylinder Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
σyp = 30,000 psi
υ = 0.3
a = 4 in
b = 8 in
pel = 12,990 psi
pult = 24,011 psi

Analysis Assumptions and Modeling Notes

The theory available for this problem is based on the Tresca (maximum shear) yield criterion while ANSYS uses the von Mises yield criterion. The applied pult pressure is calculated from the Tresca theory by using [image]. This procedure is sufficient to calculate approximate loads but the resulting nonlinear stress components should not be compared directly.

The problem is solved first using axisymmetric solid elements (PLANE42) and then using 3-D solid elements (SOLID45). Since the problem is axisymmetric, only a small sector (5°) is modeled with SOLID45. In order to ensure constant axial strain (implied by the "long" cylinder definition), nodal coupling is used with PLANE42 and SOLID45. Extra shapes are suppressed for PLANE42 and SOLID45.

To illustrate the use of surface effect elements, the internal pressure P is applied using 2-D structural surface effect elements (SURF153) in the first analysis, whereas 3-D structural surface effect elements (SURF154) are used in the second analysis. Results are obtained from the solution phase and from the element centroid data.

Results Comparison

 |  | Target | ANSYS | Ratio
PLANE42: Fully Elastic | Stressr, psi (X=4.4 in) | -9,984. | -9,900. | 0.992
 | Stresst, psi (X=4.4 in) | 18,645. | 18,820. | 1.009
 | Stressr, psi (X=7.6 in) | -468. | -458. | 0.978
 | Stresst, psi (X=7.6 in) | 9,128. | 9,116. | 0.999
PLANE42: Fully Plastic | Stresseff, psi (X=4.4 in) | 30,000. | 29,991.[1] | 1.000
 | Stresseff, psi (X=7.6 in) | 30,000. | 30,000.[1] | 1.000
SOLID45: Fully Elastic | Stressr, psi (X=4.4 in) | -9,984. | -9,891. | 0.991
 | Stresst, psi (X=4.4 in) | 18,645. | 18,811. | 1.009
 | Stressr, psi (X=7.6 in) | -468. | -455. | 0.971
 | Stresst, psi (X=7.6 in) | 9,128. | 9,113. | 0.998
SOLID45: Fully Plastic | Stresseff, psi (X=4.4 in) | 30,000. | 29,991.[1] | 0.999
 | Stresseff, psi (X=7.6 in) | 30,000. | 30,000.[1] | 1.000

  1. Output quantity SEQV

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM37 		Up / Home Next
VM39


VM39

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM39

Bending of a Circular Plate with a Center Hole

Overview

Reference: | S. Timoshenko, Strength of Material, Part II, Elementary Theory and Problems, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1956, pg. 111, eq. E and F.
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | Elastic Shell Elements (SHELL63) 4-Node Finite Strain Shell Elements (SHELL181)
Input Listing: | vm39.dat

Test Case

A circular plate of thickness t with a center hole is rigidly attached along the inner edge and unsupported along the outer edge. The plate is subjected to bending by a moment Ma applied uniformly along the outer edge. Determine the maximum deflection δ and the maximum slope Φ of the plate. In addition, determine the moment M and stress σx at the top centroidal locations of element 1 (near inner edge) and element 6 (near outer edge).

Figure 39.1 Circular Plate Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
υ = .3
a = 30 in
b = 10 in
t = .25 in
Θ = 105
Ma = 10 in-lb/in
= 52.360 in-lb/10° segment

Analysis Assumptions and Modeling Notes

Since the problem is axisymmetric only a small sector of elements is needed. A small angle Θ = 10° is used for approximating the circular boundary with a straight-edged element. A radial grid with nonuniform (3:1) spacing is used. The calculated load is equally divided and applied to the outer nodes.

The model is first solved using SHELL63 elements and then using SHELL181 elements.

Results Comparison

 |  | Target | ANSYS | Ratio
SHELL63
Deflection, in |  | .049064 | .049218 | 1.003
Slope, rad |  | -.0045089 | -.0045249 | 1.004
@ x = 10.81 in. | M, in-lb/in | -13.783 | -13.675 | 0.992
 | Stressx , psi | -1323.2 | -1312.7 | 0.992
@ x = 27.1 in. | M, in-lb/in | -10.127 | -10.133 | 1.001
 | Stressx , psi | -972.22 | -972.742 | 1.001
SHELL181
Deflection, in |  | .049064 | .0491780 | 1.002
Slope, rad |  | -.0045089 | -.0045293 | 1.005
@ x = 10.81 in. | M, in-lb/in | -13.783 | -13.801 | 1.001
 | Stressx , psi | -1323.2 | -1318.609 | 0.997
@ x = 27.1 in. | M, in-lb/in | -10.127 | -10.166 | 1.004
 | Stressx , psi | -972.22 | -974.959 | 1.003

Figure 39.2 Window 1: UZ Displacement Contours; Window 2: Displaced Shape - Edge View

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM38 		Up / Home Next
VM40


VM40

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM40

Large Deflection and Rotation of a Beam Pinned at One End

Overview

Reference: | Any basic mathematics book
Analysis Type(s): | Nonlinear Transient Dynamic Analysis (ANTYPE = 4)
Element Type(s): | 2-D Elastic Beam Element (BEAM3)
Input Listing: | vm40.dat

Test Case

A massless beam of length L is initially at position AB on a horizontal frictionless table. Point A is pinned to the table and given a large rotation Θz through a full revolution at speed ωz. Determine the position of the beam in terms of δ, and Θ at various angular locations. Show that the beam has no axial stress σ at any position.

Figure 40.1 Beam Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
ρ = 1 x 10-10 lbs/in3
L = 10 in
ωz = 400 rpm (ccw)

Analysis Assumptions and Modeling Notes

The beam area, moment of inertia, and thickness have no effect on the solution and are assumed equal to 1.0. Density (ρ) is assigned as nearly zero (1 x 10-10) to avoid centrifugal effects in the problem. Since this is rigid body motion, the time step is chosen to obtain the solution at discrete locations. The speed of 400 rpm is obtained by rotating one revolution in 0.15 sec (1/400th of a minute).

Results Comparison

Rotationz, deg | Deflection | Target | ANSYS | Ratio
60 | Deflectionx (in) | -5.0 | -5.0 | 1.00
90 | Deflectiony (in) | 10.0 | 10.0 | 1.00
180 | Deflectionx (in) | -20.0 | -20.0 | 1.00
210 | Deflectiony (in) | -5.0 | -5.0 | 1.00
315 | Deflectionx (in) | -2.93 | -2.93 | 1.00
360 | Deflectiony (in) | 0.0 | 0.0 | -

Note

Axial stress, σ [image] 0, at each position.

Figure 40.2 Displacement of the Free End

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM39 		Up / Home Next
VM41


VM41

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM41

Small Deflection of a Rigid Beam

Overview

Reference: Any Basic Statics and Strength of Material Book
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
Stiffness, Damping, or Mass Matrix Element (MATRIX27)
2-D Elastic Beam Element (BEAM3)
Input Listing: vm41.dat

Test Case

A very stiff beam of length L, subjected to a lateral load F, is initially at position AB on a horizontal table. Point A is pinned to the table and restrained from rotation by a relatively weak torsion spring. Determine the final position of the beam in terms of δx, δy, and Θ. Show that the bending stress in the beam σbend is negligible.

Figure 41.1 Rigid Beam Problem Sketch

Material Properties Geometric Properties Loading
Kθz = 10,000 in-lb/rad
E = 30 x 106 psi
L = 10 in
F = 10 lb

Analysis Assumptions and Modeling Notes

The problem is solved using two approaches:

  • thick beam geometry approach

  • constraint equation approach

In the thick beam approach, the "rigid" beam properties are arbitrarily selected as area = 100 in2, I = 1000 in4, thickness = 10 in.

In the constraint equation approach, a constraint equation is used to enforce the assumption of a rigid beam. The constraint equation is of the form: δy = (L)(Θ). The beam properties are arbitrarily based on a 0.25 square inch cross-section.

Results Comparison

 |  | Target | ANSYS | Ratio
Thick Beam | Deflectionx , in | 0.0 | 0.0 | -
 | Deflectiony , in | -0.1 | -0.1 | 1.000
 | Angle, rad | -0.01 | -0.01 | 1.000
 | Stressbend, psi | 0.0 | 0.5[1] | -
Constraint Equation | Deflectionx , in | 0.0 | 0.0 | -
 | Deflectiony , in | -0.1 | -0.1 | 1.000
 | Angle, rad | -0.01 | -0.01 | 1.000
 | Stressbend , psi | 0.0 | 0.0 | -

  1. Small but negligible stress.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM40 		Up / Home Next
VM42


VM42

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM42

Barrel Vault Roof Under Self Weight

Overview

Reference: | R. D. Cook, Concepts and Applications of Finite Element Analysis, 2nd Edition, John Wiley and Sons, Inc., New York, NY, 1981, pp. 284-287.
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | 8-Node Structural Shell Elements (SHELL93) 4-Node Finite Strain Shell Elements (SHELL181) 8-Node Finite Strain Shell Elements (SHELL281)
Input Listing: | vm42.dat

Test Case

A cylindrical shell roof of density ρ is subjected to a loading of its own weight. The roof is supported by walls at each end and is free along the sides. Find the x and y displacements at point A and the top and bottom stresses at points A and B. Express stresses in the cylindrical coordinate system.

Figure 42.1 Barrel Vault Roof Problem Sketch

Material Properties Geometric Properties Loading
E = 4.32 x 108 N/m2
υ = 0.0
ρ = 36.7347 kg/m3
t = 0.25 m
r = 25 m
= 50 m
Θ = 40°
g = 9.8 m/s2

Analysis Assumptions and Modeling Notes

A one-fourth symmetry model is used. Displacements, UX and UY, and the longitudinal rotation, ROTZ, are constrained at the roof end to model the support wall.

Results Comparison

 | Target | ANSYS | Ratio
SHELL93
UYA, m | -.3019 | -.3029 | 1.003
UXA, m | -.1593 | -.1598 | 1.003
Stressz, Top @ A, Pa | 215,570. | 216,056 | 1.002
Stressz, Bot @ A, Pa | 340,700. | 341,438 | 1.002
Stressangle, Top @ B, Pa | 191,230. | 190,666 | 0.997
Stressangle, Bot @ B, Pa | -218,740. | -219,515 | 1.004
SHELL181
UYA, m | -.3019 | -.316 | 1.047
UXA, m | -.1593 | -.1661 | 1.042
Stressz, Top @ A, Pa | 215,570. | 205,333.3 | 0.953
Stressz, Bot @ A, Pa | 340,700. | 336,983.7 | 0.989
Stressangle, Top @ B, Pa | 191,230. | 182,418.9 | 0.954
Stressangle, Bot @ B, Pa | -218,740. | -209,769 | 0.959
SHELL281
UYA, m | -.3019 | -.3029 | 1.003
UXA, m | -.1593 | -.1598 | 1.003
Stressz, Top @ A, Pa | 215,570. | 215,522.3177 | 1
Stressz, Bot @ A, Pa | 340,700. | 341,415.1056 | 1.002
Stressangle, Top @ B, Pa | 191,230. | 190,952.9889 | 0.999
Stressangle, Bot @ B, Pa | -218,740. | -218,456.4628 | 0.999

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM41 		Up / Home Next
VM43


VM43

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM43

Bending of an Axisymmetric Thick Pipe

Overview

Reference: | R. J. Roark, Formulas for Stress and Strain, 4th Edition, McGraw-Hill Book Co., Inc., New York, NY, 1965, pg. 112, no. 33.
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | Axisymmetric-Harmonic 4-Node Structural Solid Elements (PLANE25)
Input Listing: | vm43.dat

Test Case

A long thick-walled pipe is rigidly supported at its ends between two walls. Determine the maximum deflection in the pipe due to gravity loading. Determine the maximum tensile stress σmax at the outer surface of the pipe at Y = 4.16666 in.

Figure 43.1 Axisymmetric Thick Pipe Sketch Problem

Material Properties Geometric Properties Loading
E = 30 x 106
ρ = .00073 lb-sec2/in4
υ = 0.0
L = 200 in
do = 2 in
di = 1 in
g = 386 in/sec2

Analysis Assumptions and Modeling Notes

The loading g, which is constant in magnitude and direction around the circumference of the pipe, is applied as the sum of two harmonically varying loads. Each load has one wave around the circumference and is 90° out of phase with the other.

Results Comparison

 | Target | ANSYS | Ratio
Deflectionx, in (angle = 0°) | -0.12524 | -0.12529 | 1.000
Deflectionz, in (angle = 90°) | 0.12524 | 0.12530 | 1.000
Stressmax , psi (angle = 0°) | 2637.8 | 2652.4 | 1.006

Figure 43.2 Displacement Displays

Window 1 Shows a Circumferential Angle of 0°
Window 2 Shows a Circumferential Angle of 90°

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM42 		Up / Home Next
VM44


VM44

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM44

Bending of an Axisymmetric Thin Pipe

Overview

Reference: | R. J. Roark, Formulas for Stress and Strain, 4th Edition, McGraw-Hill Book Co., Inc., New York, NY, 1965, pg. 112, no. 33.
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | Axisymmetric Harmonic Structural Shell Elements (SHELL61)
Input Listing: | vm44.dat

Test Case

A long thin-walled pipe is rigidly supported at its ends between two walls. Determine the maximum deflection in the pipe due to gravity loading. Determine the maximum tensile stress σmax at the outer surface of the pipe at Y = 0.

Figure 44.1 Axisymmetric Thin Pipe Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
ρ = 0.00073 lb-sec2/in4
υ = 0.0
L = 250 in
D = 2 in
t = 0.1 in
g = 386 in/sec2

Analysis Assumptions and Modeling Notes

The loading g, which is constant in magnitude and direction around the circumference of the pipe, is applied as the sum of two harmonically varying loads. Each load has one wave around the circumference and is 90° out of phase with the other.

Results Comparison

 | Target | ANSYS | Ratio
Deflectionx, in (angle = 0°) | -0.19062 | -0.19079 | 1.001
Deflectionz, in (angle = 90°) | 0.19062 | 0.19079 | 1.001
Stressmax , psi (angle = 0°) | 3074.3 | 3059.1[1] | 0.995

  1. Corresponds to S1 at BOT of element 1 (section at node I).

Figure 44.2 Displacement Displays

Window 1 Shows a Circumferential Angle of 0°
Window 2 Shows a Circumferential Angle of 90°

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM43 		Up / Home Next
VM45


VM45

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM45

Natural Frequency of a Spring-Mass System

Overview

Reference: W. T. Thomson, Vibration Theory and Applications, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1965, pg. 6, ex. 1.2-2.
Analysis Type(s): Mode-frequency Analysis (ANTYPE = 2)
Element Type(s):
Spring-Damper Element (COMBIN14)
Structural Mass Element (MASS21)
Input Listing: vm45.dat

Test Case

An instrument of weight W is set on a rubber mount system having a stiffness k. Determine its natural frequency of vibration f.

Figure 45.1 Spring-mass System Problem Sketch

Material Properties Loading
k = 48 lb/in
W = 2.5 lb
g = 386 in/sec2

Analysis Assumptions and Modeling Notes

The spring length is arbitrarily selected. One master degree of freedom is chosen at the mass in the spring length direction. The weight of the lumped mass element is divided by gravity in order to obtain the mass. Mass = W/g = 2.5/386 = .006477 lb-sec2/in.

Results Comparison

 | Target | ANSYS | Ratio
f, Hz | 13.701 | 13.701 | 1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM44 		Up / Home Next
VM46


VM46

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM46

Flow Between Rotating Concentric Cylinders

Overview

Reference: | F. M. White, Viscous Fluid Flow, McGraw-Hill Book Co., Inc., New York, NY, 1991, Section 3-2.3.
Analysis Type(s): | Fluid, Flow Analysis (FLOTRAN)
Element Type(s): | 3-D Fluid-Thermal Element (FLUID142)
Input Listing: | vm46.dat

Test Case

Consider the steady flow maintained between two infinite concentric cylinders by a constant angular velocity of the inner cylinder while the outer cylinder remains fixed. Determine the velocity distribution between the two cylinders using a rotating reference frame attached to the inner cylinder.

Figure 46.1 Concentric Cylinders Problem Sketch

Material Properties Geometric Properties Loading
ρ = lb-sec2/in4
μ = 1.0 lb-sec/in2
r1 = 1.0 in
r2 = 2.0 in
ω = 1.0 rad/sec

Analysis Assumptions and Modeling Notes

The flow is steady-state and incompressible. The periodic nature of the solution permits the use of a model representing 10 degree angular section. The boundary conditions at Θ = 0 are periodic and applied using the macro PERI. The mesh density is skewed at the boundaries to resolve the pressure gradient.

The circumferential velocity (VY) is a function of the radius while the radial and axial components are zero. The circumferential velocity component is given by:

The pressure distribution is nonlinear, with a steep gradient in the region near the rotating inner cylinder.

Results Comparison

 | Target | ANSYS | Ratio
VY (r = 1.5) | -1.111 | -1.111 | 1.0

Figure 46.2 Velocity Distribution

Figure 46.3 Pressure Distribution

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM45 		Up / Home Next
VM47


VM47

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM47

Torsional Frequency of a Suspended Disk

Overview

Reference: W. T. Thomson, Vibration Theory and Applications, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1965, pg. 10, ex. 1.3-2
Analysis Type(s): Mode-frequency Analysis (ANTYPE = 2)
Element Type(s):
Spring-Damper Elements (COMBIN14)
Structural Mass Elements (MASS21)
Input Listing: vm47.dat

Test Case

A disk of mass m which has a polar moment of inertia J is suspended at the end of a slender wire. The torsional stiffness of the wire is kθ. Determine the natural frequency f of the disk in torsion.

Figure 47.1 Suspended Disk Problem Sketch

Material Properties Geometric Properties
m = 1 lb-sec2/in
kθ = 4.8 in-lb/rad
J = .30312 lb-in-sec2

Analysis Assumptions and Modeling Notes

The length of the wire is arbitrarily selected. One rotational master degree of freedom at the disk is chosen.

Results Comparison

 | Target | ANSYS | Ratio
f, Hz | 0.63333 | 0.63333 | 1.00

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM46 		Up / Home Next
VM48


VM48

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM48

Natural Frequency of a Motor-Generator

Overview

Reference: W. T. Thomson, Vibration Theory and Applications, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1965, pg. 10, ex. 1.3-3
Analysis Type(s): Mode-frequency Analysis (ANTYPE = 2)
Element Type(s):
Elastic Straight Pipe Elements (PIPE16)
Structural Mass Elements (MASS21)
Input Listing: vm48.dat

Test Case

A small generator of mass m is driven off a main engine through a solid steel shaft of diameter d. If the polar moment of inertia of the generator rotor is J, determine the natural frequency f in torsion. Assume that the engine is large compared to the rotor so that the engine end of the shaft may be assumed to be fixed. Neglect the mass of the shaft also.

Figure 48.1 Motor-Generator Problem Sketch

Material Properties Geometric Properties
E = 31.2 x 106 psi
m = 1 lb-sec2/in
d = .375 in
= 8.00 in
J = .031 lb-in-sec2

Analysis Assumptions and Modeling Notes

One rotational master degree of freedom is selected at the mass. The wall thickness of the pipe is defined as half the diameter to obtain a solid cross-section.

Results Comparison

 | Target | ANSYS | Ratio
f, Hz | 48.781 | 48.781 | 1.00

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM47 		Up / Home Next
VM49


VM49

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM49

Electrostatic Field Analysis of Quadpole Wires

Overview

Reference: Any Basic Static and Dynamic Electricity Book
Analysis Type(s): Static, Electrostatic Analysis (ANTYPE = 0)
Element Type(s):
2-D 8-Node Electrostatic Solid Element (PLANE121)
2-D Infinite Solid Element (INFIN110)
Input Listing: vm49.dat

Test Case

Two wires of quadpole device system of zero radius, carrying positive charge, q1 are placed along the X-axis with their centers located at positive and negative distances, d from the origin, O. Two wires of the same radius carrying negative charge, q2, are placed along the Y-axis with their centers at positive and negative distances, d from the origin, O. All wires are extended in the Z direction. Determine the electric potential, V, produced out to a radius of 470 mm measured from the origin, O.

Figure 49.1 Quadpole Wires Problem Sketch

Material Properties Geometric Properties Loading
ε o = 8.85 x 10-12 F/m
d = 25.4 mm
q1 = +10-6 C/m
q2 = -10-6 C/m

Analysis Assumptions and Modeling Notes

Two dimensional quad elements of PLANE121 are used out to the radius of 470 mm. At this radius the INFIN110 (quad elements) with length equal to two times the 470 mm are used. Due to symmetry only one quadrant (positive X and positive Y), containing one half of each of two wires (carrying half of positive and negative charge magnitude), is modeled with flux-normal boundary conditions at X = 0.0 and Y = 0.0 axes. Note, since 4-node INFIN110 elements are used with 8-node PLANE121, the infinite element domain is required to mesh before the finite element domain to drop off automatically the midside nodes from the PLANE121 element faces at the interface of the finite and infinite element domain. SF command with label, INF is used to flag the exterior surface (at infinity) of the INFIN110 elements. The charge is applied as a point load at the center of each of two wires.

In POST1 electric potential V at angles 0 to 90° (with 10 divisions) on the outer surface of radius 470 mm are retrieved and written by *VWRITE command.

Results Comparison

V (Volt) | Target | ANSYS | Ratio
@ Angle 0° | 105.05 | 105.79 | 1.01
@ Angle 9° | 99.90 | 100.62 | 1.01
@ Angle 18° | 84.98 | 85.59 | 1.01
@ Angle 27° | 61.74 | 62.18 | 1.01
@ Angle 36° | 32.46 | 32.69 | 1.01
@ Angle 45° | 0.0000 | 0.0000 | 0.0
@ Angle 54° | -32.46 | -32.69 | 1.01
@ Angle 63° | -61.74 | -62.18 | 1.01
@ Angle 72° | -84.98 | -85.59 | 1.01
@ Angle 81° | -99.98 | -100.62 | 1.01
@ Angle 90° | -105.05 | -105.79 | 1.01

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM48 		Up / Home Next
VM50


VM50

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM50

Fundamental Frequency of a Simply Supported Beam

Overview

Reference: | W. T. Thomson, Vibration Theory and Applications, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1965, pg. 18, ex. 1.5-1
Analysis Type(s): | Mode-frequency Analysis (ANTYPE = 2)
Element Type(s): | 2-D Elastic Beam Elements (BEAM3)
Input Listing: | vm50.dat

Test Case

Determine the fundamental frequency f of a simply-supported beam of length [image] and uniform cross-section as shown below.

Figure 50.1 Simply Supported Beam Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
w = 1.124 lb/in
ρ = w/Ag = .000728 lb-sec2/in4
= 80 in
A = 4 in2
h = 2 in
I = 1.3333 in4
g = 386 in/sec2

Analysis Assumptions and Modeling Notes

Three lateral master degrees of freedom are selected. A partial solution is done to demonstrate the method.

Results Comparison

 | Target | ANSYS | Ratio
f, Hz | 28.766 | 28.767 | 1.00

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM49 		Up / Home Next
VM51


VM51

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM51

Electrostatic Forces Between Charged Spheres

Overview

Reference: Any General Physics Textbook
Analysis Type(s): Electrostatic Analysis (ANTYPE = 0)
Element Type(s):
3-D 20-Node Electrostatic Solid Element (SOLID122)
3-D Infinite Solid Element (INFIN111)
Input Listing: vm51.dat

Test Case

Two spheres with radii = 1 m, separated by a distance of 3 m, are subjected to a surface charge. Find the resultant electrostatic force between the spheres.

Figure 51.1 Charged Spheres Problem Sketch

Material Properties Geometric Properties Loading
ε = 8.854E-12 F/m
r1 = 1.0 m
r2 = 3.0 m
r3 = 6.0 m
r4 = 1.25 m
Surface charge = 8.854 E-12 C/m2

Analysis Assumptions and Modeling Notes

The finite element mesh and the infinite element mesh are generated from the solid model. A planar section of the model is meshed with PLANE121 elements and rotated through 30 degrees. The 2-D mesh creates a 3-D mesh of SOLID122 elements. SHELL93 elements are generated over the outer surface of the 3-D mesh and extruded in the radial direction to complete the finite element domain. The process is repeated to extrude the INFIN111 mesh in the radial direction.

It can be assumed that a symmetry plane exists at Y = 0, at which a zero voltage constraint is imposed. Infinite flags are set for the outer surface of the INFIN111 elements.

The theoretical solution is:

where ε = 8.854E-12, q1 = q2 = 4* π* ε . This charge corresponds to a surface force of ε on the sphere.

surface charge = q/area = (4* π* ε )/4* π*(r1**2) = ε

Results Comparison

 | Target | ANSYS | Ratio
YFORCE | -0.1236E-10 | -0.1236E-10 | 1.000

Figure 51.2 Solid Model

Figure 51.3 FEA Model

Figure 51.4 Electric Field

Figure 51.5 Voltage

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM50 		Up / Home Next
VM52


VM52

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM52

Automobile Suspension System Vibration

Overview

Reference: W. T. Thomson, Vibration Theory and Applications, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1965, pg. 181, ex. 6.7-1
Analysis Type(s): Mode-frequency Analysis (ANTYPE = 2)
Element Type(s):
2-D Elastic Beam Elements (BEAM3)
Spring-Damper Elements (COMBIN14)
Structural Mass Element (MASS21)
Input Listing: vm52.dat

Test Case

An automobile suspension system is simplified to consider only two major motions of the system:

  • up and down linear motion of the body

  • pitching angular motion of the body

If the body is idealized as a lumped mass with weight W and radius of gyration r, determine the corresponding coupled frequencies f1 and f2.

Figure 52.1 Automobile Suspension Problem Sketch

Material Properties Geometric Properties Loading
E = 4 x 109 psf
w = 3220 lb
m = W/g = 100 lb-sec2/ft
k1 = 2400 lb/ft
k2 = 2600 lb/ft
1 = 4.5 ft
2 = 5.5ft
r = 4 ft
g = 32.2 ft/sec2

Analysis Assumptions and Modeling Notes

The beam geometric properties are input (all as unity) but not used for this solution. The torsional moment of inertia IT is calculated as IT = Wr2/g = 1600 lb-sec2-ft. A lateral master degree of freedom (MDOF) and a rotational MDOF are selected at the mass. The spring length is used only to define the spring direction.

Results Comparison

 | Target | ANSYS | Ratio
f1 , Hz | 1.0981 | 1.0981 | 1.000
f2 , Hz | 1.4406 | 1.4406 | 1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM51 		Up / Home Next
VM53


VM53

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM53

Vibration of a String Under Tension

Overview

Reference: W. T. Thomson, Vibration Theory and Applications, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1965, pg. 264, article 8.2.
Analysis Type(s):
Static Analysis (ANTYPE = 0)
Mode-frequency Analysis (ANTYPE = 2)
Element Type(s): Tension-only or Compression-only Spar Elements (LINK10)
Input Listing: vm53.dat

Test Case

A flexible string with mass per unit length ρA is fixed at the ends and stretched to an initial strain εo. Determine the stress σ and force F in the string under these conditions. Determine the first three natural frequencies fi of lateral vibration of the stretched string.

Figure 53.1 String Under Tension Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
ρ = 0.00073 lb-sec2/in4
= 100 in
A = 0.00306796 in2
εo = 0.00543228

Analysis Assumptions and Modeling Notes

Enough elements are selected so that the same model can be used to adequately characterize the dynamic analysis. Prestress effects are turned on during the static and modal solutions.

The subspace method for eigenvalue extraction is chosen solely for the sake of completeness in this manual. Other methods would also be suitable. Only the first three modes are requested.

Results Comparison

 |  | Target | ANSYS | Ratio
Static | F, lb | 500. | 500. | 1.000
 | Stress, psi | 162,974. | 162,970. | 1.000
Modal | f1 , Hz | 74.708 | 75.094 | 1.005
 | f2 , Hz | 149.42 | 151.29 | 1.012
 | f3 , Hz | 224.12 | 229.68 | 1.025

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM52 		Up / Home Next
VM54


VM54

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM54

Vibration of a Rotating Cantilever Blade

Overview

Reference: W. Carnegie, "Vibrations of Rotating Cantilever Blading", Journal Mechanical Engineering Science, Vol. 1 No. 3, 1959, pg. 239
Analysis Type(s):
Static Analysis (ANTYPE = 0)
Mode-frequency Analysis (ANTYPE = 2)
Element Type(s):

Elastic Shell Elements (SHELL63)

3-D Structural Solid Shell Elements (SOLSH190)

4-Node Finite Strain Shell Elements (SHELL181)

8-Node Finite Strain Shell Elements (SHELL281)

Input Listing: vm54.dat

Test Case

A blade is cantilevered from a rigid rotating cylinder. Determine the fundamental frequency of vibration of the blade, f, when the cylinder is spinning at a rate of Ω .

Figure 54.1 Rotating Cantilever Blade

Material Properties Geometric Properties Loading
E = 217 x 109 Pa
ρ = 7850 kg/m3
υ = 0.3
r = 150 mm
= 328 mm
b = 28 mm
t = 3mm
Ω = 100π rad/sec

Analysis Assumptions and Modeling Notes

The problem is solved in two different ways:

  • Using Elastic Shell Elements (SHELL63)

  • Using 3-D Solid Shell Elements (SOLSH190)

  • Using low order Finite Strain Shell Elements (SHELL181)

  • Using high order Finite Strain Shell Elements (SHELL281)

Spin (centrifugal) softening is used. Since the cylinder is rigid, the base of the blade has its displacements constrained. A static prestress analysis is performed to include the inertial effects resulting from the rotation of the cylinder.

Results Comparison

 | Target | ANSYS | Ratio
SHELL63
f, Hz | 52.75 | 52.01 | 0.986
SOLSH190
f, Hz | 52.75 | 51.80 | 0.982
SHELL181
f, Hz | 52.75 | 51.87 | 0.983
SHELL281
f, Hz | 52.75 | 51.92 | 0.984

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM53 		Up / Home Next
VM55


VM55

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM55

Vibration of a Stretched Circular Membrane

Overview

Reference: S. Timoshenko, D. H. Young, Vibration Problems in Engineering, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1955, pg. 439, eq. 182.
Analysis Type(s):
Static Analysis (ANTYPE = 0) to Prestress Structure
Mode-frequency Analysis (ANTYPE = 2)
Element Type(s): 2-Node Finite Strain Axisymmetric Shell (SHELL208)
Input Listing: vm55.dat

Test Case

A circular membrane of radius a, thickness t, and weight per unit area w is simply supported along its edge and subjected to an in-plane radial load of T lb/unit length of circumference. Determine the radial stress σr in the membrane and the first three natural frequencies fi of lateral vibration of the membrane.

Figure 55.1

Material Properties Geometric Properties Loading
E = 30 x 106 psi
w = 0.0028178 lb/in2
a = 15 in
t = 0.01 in
T = 100 lb/in

Analysis Assumptions and Modeling Notes

The in-plane radial load F is calculated as: F = 2 πa T = 9424.778 lb. The mass density ρ is calculated as w/gt = 0.00073 lb-sec2/in4, where g = 386 in/sec2. Enough elements are defined to adequately characterize the dynamic analysis. Prestress effects are turned on. Since the natural frequency solution accuracy for a distributed mass system depends upon the number of master degrees of freedom (MDOF) selected, all lateral degrees of freedom are selected as MDOF for this model in the modal analysis.

Results Comparison

 |  | Target | ANSYS | Ratio
Static | Stressr , psi | 10,000. | 10,000. | 1.000
Modal | f1 , Hz | 94.406 | 94.464 | 1.001
 | f2 , Hz | 216.77 | 217.175 | 1.002
 | f3 , Hz | 339.85 | 341.510 | 1.005

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM54 		Up / Home Next
VM56


VM56

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM56

Hyperelastic Thick Cylinder Under Internal Pressure

Overview

Reference: J. T. Oden, Finite Elements of Nonlinear Continua, McGraw-Hill Book Co., Inc., New York, NY, 1972, pp. 325-331.
Analysis Type(s): Static, Large Deflection Analysis (ANTYPE = 0)
Element Type(s):
2-D 8-Node Stuctural Solid Elements (PLANE183)
3-D 8-Node Structural Solid Elements (SOLID185)
3-D 10-Node Tetrahedral Structural Solid Elements (SOLID186)
Input Listing: vm56.dat

Test Case

An infinitely long cylinder is made of Mooney-Rivlin type material. An internal pressure of Pi is applied. Find the radial displacement at the inner radius and the radial stress at radius R = 8.16 in (center of 1st element).

Figure 56.1 Hyperelastic Thick Cylinder Problem Sketch

Figure 56.2 Hyperelastic Thick Cylinder Models

Material Properties
υ = .49
Mooney-Rivlin material coefficients
A = 80 psi
B = 20 psi
Geometric Properties
ri = 7.0 in
ro = 18.625 in
Loading
Pi = 150 psi

Analysis Assumptions and Modeling Notes

The problem is solved first using PLANE183 and then using SOLID185 / SOLID186. Due to circumferential symmetry, only a small sector need be modeled. The height (and width for SOLID185) of the elements in the finite element model is chosen such that the elements have a reasonable aspect ratio. Only radial degrees of freedom are active. The total pressure is applied in two load increments. To approximate incompressible behavior, Poisson's ratio is set close to 1/2 (0.49) and reduced integration is requested. Temperature-dependent properties are used in the PLANE183 portion solely for verification purposes.

Results Comparison

 |  | Target[1] | ANSYS | Ratio
PLANE183 | ur (inner radius), in | 7.180 | 7.794 | 1.086
 | Stressr (element 1), psi | -122.0 | -122.933 | 1.008
SOLID185 | ur (inner radius), in | 7.180 | 7.395 | 1.030
 | Stressr (element 1), psi | -122.0 | -123.573 | 1.013
SOLID186 | ur (inner radius), in | 7.180 | 7.478 | 1.042

  1. Based on fully incompressible assumption, ν = 1/2

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM55 		Up / Home Next
VM57


VM57

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM57

Torsional Frequencies of a Drill Pipe

Overview

Reference: W. T. Thomson, Vibration Theory and Applications, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1965, pg. 272, ex. 8.4-5.
Analysis Type(s): Mode-frequency Analysis (ANTYPE = 2)
Element Type(s):
Elastic Straight Pipe Elements (PIPE16)
3-D Elastic Beam Elements (BEAM4)
Structural Mass Element (MASS21)
Input Listing: vm57.dat

Test Case

Determine the first two natural frequencies f1 and f2 of an oil-well drill pipe of length [image], area A, and polar moment at inertia lp fixed at the upper end and terminating at the lower end to a drill collar with torsional mass inertia Jo. The drill collar length is small compared to the pipe length.

Figure 57.1 Drill Pipe Problem Sketch

Material Properties Geometric Properties
G = 12 x 106 psi
υ = 0.3
γ = 490 lb/ft3
ρ = γ / g = 15.2174 lb-sec2/ft4
= 5000 ft
OD = 4.5 in = (4.5/12) ft
ID = 3.83 in = (3.83/12) ft
Jo = 29.3 lb-ft-sec2
Ip = 0.0009226 ft4

Analysis Assumptions and Modeling Notes

The drill pipe is modeled first using pipe elements (PIPE16) with the subspace solver and then using beam elements (BEAM4) with the Householder Solver. Young's modulus (E) is calculated as E = 2G (1 + υ)*144 = 4.4928 x 109lb/ft2 and pipe thickness is calculated as (OD - ID)/2.

In the case of beam elements (BEAM4), the polar moment of inertia could have been omitted since it defaults to IYY + IZZ, both of which must be input.

Twelve torsional master degrees of freedom (MDOF) are selected; one at the collar and eleven along the length of the pipe.

Results Comparison

 |  | Target[1] | ANSYS | Ratio
Pipe Elements | f1, Hz | 0.3833 | 0.3834 | 1.000
 | f2, Hz | 1.260 | 1.264 | 1.003
Beam Elements | f1, Hz | 0.3833 | 0.3834 | 1.000
 | f2, Hz | 1.260 | 1.264 | 1.003

  1. Solution recalculated

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM56 		Up / Home Next
VM58


VM58

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM58

Centerline Temperature of a Heat Generating Wire

Overview

Reference: W. M. Rohsenow, H. Y. Choi, Heat, Mass and Momentum Transfer, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1963, pg. 106, ex. 6.5.
Analysis Type(s): Thermal Analysis (ANTYPE = 0)
Element Type(s):
2-D 6-Node Triangular Thermal Solid Element (PLANE35)
2-D Thermal Surface Effect Element (SURF151)
Input Listing: vm58.dat

Test Case

Determine the centerline temperature [image] and the surface temperature Ts of a bare steel wire generating heat at the rate [image]. The surface convection coefficient between the wire and the air (at temperature Ta) is h. Also, determine the heat dissipation rate q.

Figure 58.1 Heat Generating Wire Problem Sketch

Material Properties Geometric Properties Loading
k = 13 Btu/hr-ft-°F
h = 5 Btu/hr-ft2-°F
ro = 0.375 in = 0.03125 ft
Ta = 70°F
= 111311.7 Btu/hr-ft3

Analysis Assumptions and Modeling Notes

Since the problem is axisymmetric, only a small sector is needed. An angle Θ= 30° is used for modeling the circular sector. Four mesh divisions are chosen radially for accuracy considerations. Temperatures of the outer nodes are coupled to ensure symmetry. The solution is based on a wire 1 foot long (Z direction). Postprocessing is used to determine [image], Ts, and q.

Results Comparison

 | Target | ANSYS | Ratio
Centerline Temperature, °F | 419.9 | 419.9 | 1.000
Surface Temperature, °F | 417.9 | 417.8 | 1.000
q, BTU/hr | 341.5 | 341.5[1] | 1.000

  1. Calculated from heat flow rate per 30° sector x 12 sectors

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM57 		Up / Home Next
VM59


VM59

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM59

Lateral Vibration of an Axially-loaded Bar

Overview

Reference: S. Timoshenko, D. H. Young, Vibration Problems in Engineering, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1955, pg. 374, article 59.
Analysis Type(s):
Static Analysis (ANTYPE = 0)
Mode-frequency Analysis (ANTYPE = 2)
Element Type(s): 3-D Elastic Beam Elements (BEAM4)
Input Listing: vm59.dat

Test Case

A bar of length [image] and weight per unit length γA is pinned at its ends and subjected to an axial compressive force F. Determine the stress σ and the axial displacement δ of the bar under these conditions. Determine the first three natural frequencies fi of lateral vibration of the bar.

Figure 59.1 Axially-Loaded Bar Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
γ = 0.281 lb/in3
ρ = γ / g = 0.000727973 lb-sec2/in4
b = h = 2 in
= 80 in
A = 4 in2
I = bh3/12 = (4/3) in4
F = 40,000 lb

Analysis Assumptions and Modeling Notes

Enough elements are selected so that the same model can be used to adequately characterize the dynamic analysis. Prestress effects are turned on in the mode-frequency analysis with the stress state calculated in the static analysis. Since the solution accuracy in the mode-frequency analysis for a distributed mass system depends upon the number of master degrees of freedom (MDOF) selected, twelve uniformly spaced lateral MDOF are selected.

Results Comparison

 |  | Target | ANSYS | Ratio
Static | Deflection, in | -0.026667 | -0.026667 | 1.000
 | Stress , psi | -10,000 | -10,000 | 1.000
Modal | F = 40,000 lb
 | f1 , Hz | 17.055 | 17.052 | 1.000
 | f2 , Hz | 105.32 | 105.22 | 0.999
 | f3 , Hz | 249.39 | 248.87 | 0.998
 | F = 0 lb
 | f1 , Hz [see VM50] | 28.766 | 28.767 | 1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM58 		Up / Home Next
VM60


VM60

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM60

Natural Frequency of a Cross-ply Laminated Shell

Overview

Reference: | J. N. Reddy, "Exact Solutions of Moderately Thick Laminated Shells", ASCE Journal Engineering Mechanics, Vol. 110 No. 5, 1972, pg. 806, tab. 6.
Analysis Type(s): | Mode-frequency Analysis (ANTYPE = 2)
Element Type(s): | Linear Layered Structural Shell Elements (SHELL99) 8-Node Finite Strain Shell Elements (SHELL281)
Input Listing: | vm60.dat

Test Case

Determine the first mode natural frequency f of a simply-supported equal-sided sector of a spherical shell of radius r. The shell sector consists of a 0°/90° cross-ply laminate (2 layers of equal thickness, t).

Figure 60.1 Laminated Spherical Shell Problem Sketch

Material Properties Geometric Properties
ρ = 1 gm/mm3
Ex = 25 x 106 Pa
Ey = 1 x 106 Pa
Gxy = Gxz = 5 x 105 Pa
Gyz = 2 x 105 Pa
υyx = .25 (major Poisson's ratio)
r = 300 mm
a = 100 mm
t = 0.5 mm

Analysis Assumptions and Modeling Notes

Four elements are chosen along each edge of area 1. The reduced method of eigenvalue solution is chosen and the first five modes are extracted. Note that the input value for υxy is calculated from:

The geometric input in spherical coordinates is calculated as:

The alternate method of Poisson's ratio input (PRXY) could also have been used.

The model is first solved using linear layered structural shell elements (SHELL99) and then using layered finite strain shell slements (SHELL281).

Results Comparison

 | Target | ANSYS | Ratio
SHELL99
f, Hz | 0.73215 | 0.73522 | 1.004
SHELL281
f, Hz | 0.73215 | 0.73528 | 1.004

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM59 		Up / Home Next
VM61


VM61

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM61

Longitudinal Vibration of a Free-free Rod

Overview

Reference: | W. T. Thomson, Vibration Theory and Applications, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1965, pg. 269, ex. 8.3-1.
Analysis Type(s): | Mode-frequency Analysis (ANTYPE = 2)
Element Type(s): | 2-D Elastic Beam Elements (BEAM3)
Input Listing: | vm61.dat

Test Case

Determine the first three natural frequencies fi of a free-free rod (a rod with both ends free) having a length [image].

Figure 61.1 Rod Problem Sketch

Material Properties Geometric Properties
E = 30 x 106 psi
ρ = 0.00073 lb-sec2/in4
= 800 in

Analysis Assumptions and Modeling Notes

The beam geometric properties of moment of inertia, area, and thickness are arbitrarily assigned values of 1. Since the solution accuracy for a distributed mass system depends upon the number of master degrees of freedom (MDOF) selected, twelve uniformly spaced longitudinal (axial) MDOF are selected.

Results Comparison

 | Target | ANSYS | Ratio
f1, Hz[1] | 0. | 0. | -
f2, Hz | 126.70 | 127.13 | 1.003
f3, Hz | 253.40 | 256.86 | 1.014

  1. Rigid body mode

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM60 		Up / Home Next
VM62


VM62

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM62

Vibration of a Wedge

Overview

Reference: | S. Timoshenko, D. H. Young, Vibration Problems in Engineering, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1955, pg. 392, article 62.
Analysis Type(s): | Mode-frequency Analysis (ANTYPE = 2)
Element Type(s): | Elastic Shell Elements (SHELL63) 4-Node Finite Strain Shell Elements (SHELL181) 8-Node Finite Strain Shell Elements (SHELL281)
Input Listing: | vm62.dat

Test Case

Determine the fundamental frequency of out-of-plane vibration f of a wedge-shaped plate of uniform thickness t, base 2b, and length [image].

Figure 62.1 Wedge Vibration Problem Sketch

Material Properties Geometric Properties
E = 30 x 106 psi
ρ = 0.000728 lb-sec2/in4
υ = 0
t = 1 in
b = 2 in
= 16 in

Analysis Assumptions and Modeling Notes

The problem is solved first using "plate" elements (SHELL63 with bending stiffness only) and then using "shell" elements (SHELL63 with bending and membrane stiffness). Two symmetric areas are created to ensure model symmetry about the plate centerline. Out-of-plane (Z-direction) master degrees of freedom (MDOF) are selected along the plate centerline. Each area is meshed with 4 elements along the X axis and 1 element along the Y axis. Poisson's ratio is assumed to be zero.

The model is then solved using SHELL181 and SHELL281 elements using bending and membrane stiffness option.

Results Comparison

 |  | Target | ANSYS | Ratio
Plate Elements SHELL63 | f, Hz | 259.16 | 261.11 | 1.008
Shell Elements SHELL63 | f, Hz | 259.16 | 261.11 | 1.008
Shell Elements SHELL181 | f, Hz | 259.16 | 255.09 | 0.984
Shell Elements SHELL281 | f, Hz | 259.16 | 258.97 | 0.999

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM61 		Up / Home Next
VM63


VM63

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM63

Static Hertz Contact Problem

Overview

Reference: S. Timoshenko, J. N. Goodier, Theory of Elasticity, 3rd Edition, McGraw-Hill Book Co., Inc., New York, NY, 1970, pg. 409-413, article 140.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
2-D 8-Node Structural Solid Elements (PLANE82 )
2-D 8-Node Structural Solid Elements (PLANE183)
3-D Node-to-Node Contact Elements (CONTA178)
Input Listing: vm63.dat

Test Case

A sphere of radius r is pressed against a rigid flat plane. Determine the contact radius, a, for a given load F.

Figure 63.1 Static Hertz Problem

Material Properties Geometric Properties Loading
E = 1000 N/mm2
υ = 0.3
r = 8 mm
F = (30 x 2 π) N

Analysis Assumptions and Modeling Notes

An axisymmetric model is used. A node is placed near the expected radius of contact. Midside nodes are removed along the surface where contact is likely to occur. The model is comprised of both PLANE82 and PLANE183 for verification purposes, but could be solved using either element type alone. The model is solved using 3-D node-to-node contact elements (CONTA178).

Results

a, mm | Target | ANSYS | Ratio
CONTA178 | 1.010 | 1.011 | 1.001

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM62 		Up / Home Next
VM64


VM64

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM64

Thermal Expansion to Close a Gap at a Rigid Surface

Overview

Reference: C. O. Harris, Introduction to Stress Analysis, The Macmillan Co., New York, NY, 1959, pg. 58, problem 8.
Analysis Type(s): Static thermal Stress Analysis (ANTYPE = 0)
Element Type(s):
2-D/3-D Node-to-Surface Contact Element (CONTA175)
2-D Target Segment Element (TARGE169)
2-D Structural Solid Elements (PLANE42)
Input Listing: vm64.dat

Test Case

An aluminum-alloy bar is initially at a temperature of 70°F. Calculate the stresses in the bar after it has been heated to 170°F. The supports are assumed to be rigid.

Figure 64.1 Rigid Surface

Material Properties Geometric Properties Loading
E = 10.5 x 106 psi
α = 12.5 10-6 in/in-°F
υ = 0
= 3 in
δ = 0.002 in
Δt = 170° - 70°F

Results Comparison

 | Target | ANSYS | Ratio
Stressx , psi | -13125 | -13125 | 1.000
Stressy , lb | -6125 | -6122 | 0.999

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM63 		Up / Home Next
VM65


VM65

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM65

Transient Response of a Ball Impacting a Flexible Surface

Overview

Reference: W. T. Thomson, Vibration Theory and Applications, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1965, pg. 110, ex. 4.6-1.
Analysis Type(s): Nonlinear Transient Dynamic Analysis (ANTYPE = 4)
Element Type(s):
Structural Mass Elements (MASS21)
2-D/3-D Node-to-Surface Contact Elements (CONTA175)
Input Listing: vm65.dat

Test Case

A rigid ball of mass m is dropped through a height h onto a flexible surface of stiffness k. Determine the velocity, kinetic energy, and displacement y of the ball at impact and the maximum displacement of the ball.

Figure 65.1 Ball Problem Sketch

Material Properties Geometric Properties Loading
m = 0.5 lb-sec2/in
k = 1973.92 lb/in
h = 1 in
g = 386 in/sec2

Analysis Assumptions and Modeling Notes

The node locations are arbitrarily selected. The final time of 0.11 seconds allows the mass to reach its largest deflection. The integration time step (0.11/110 [image] 0.001 sec) is based on [image] 1/100 of the period (during impact), to allow the initial step acceleration change to be followed reasonably well and to produce sufficient printout for the theoretical comparison. At release h, the mass acceleration is 386 in/sec2. Therefore, a load step with a small time period is used to ramp to the appropriate acceleration while maintaining essentially zero velocity. Displacements and velocities are listed against time in POST26 and stored kinetic energy is obtained in POST1.

The model is solved using the node-to-surface CONTA175 element.

Results

 |  | Target | ANSYS | Ratio
CONTA175 At Impact[1] | time,sec | 0.07198 | 0.072 | 1.000
 | y displacement, in | -1.0000 | -0.9991 | 0.999
 | y velocity, in/sec | -27.79 | -27.76 | 0.999
At "Zero" Velocity[2] | time,sec | 0.10037 | 0.10100 | 1.006
 | max. y displacement, in | -1.5506 | -1.5503 | 1.000

  1. Target results are for t = 0.07198 sec. ANSYS results are reported for closest time point, t = 0.072 sec.

  2. ANSYS results are from the time point closest (reported in POST26) to the change in velocity from negative to positive.

Figure 65.2 Kinetic Energy, Velocity and Displacement vs. Time Display

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM64 		Up / Home Next
VM66


VM66

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM66

Vibration of a Flat Plate

Overview

Reference: | S. Timoshenko, D. H. Young, Vibration Problems in Engineering, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1955, pg. 338, article 53.
Analysis Type(s): | Mode-frequency Analysis (ANTYPE = 2)
Element Type(s): | Elastic Shell Elements (SHELL63) 3-D Structural Solid Shell Elements (SOLSH190) 4-Node Finite Strain Shell Elements (SHELL181) 8-Node Finite Strain Shell Elements (SHELL281)
Input Listing: | vm66.dat

Test Case

Determine the fundamental natural frequency of lateral vibration f of a flat rectangular plate. The plate is of uniform thickness t, width 2b, and length [image].

Figure 66.1 Flat Plate Problem Sketch

Material Properties Geometric Properties
E = 30 x 106 psi
ρ = 0.000728 lb-sec2/in4
υ = 0
t = 1 in
b = 2 in
= 16 in

Analysis Assumptions and Modeling Notes

The problem is solved in two different ways:

  • Using Elastic Shell Elements (SHELL63)

  • Using 3-D Solid Shell Elements (SOLSH190)

  • Using 4-Node Finite Strain Shell Elements (SHELL181)

  • Using 8-Node Finite Strain Shell Elements (SHELL281)

All lateral master degrees of freedom (MDOF) are selected along the plate centerline. The area is meshed with 4 elements along the X axis and 2 elements along the Y axis. Poisson's ratio is assumed to be zero.

Results Comparison

 | Target | ANSYS | Ratio
SHELL63
f, Hz | 128.09 | 128.43 | 1.003
SOLSH190
f, Hz | 128.09 | 128.72 | 1.005
SHELL181
f, Hz | 128.09 | 128.69 | 1.005
SHELL281
f, Hz | 128.09 | 127.80 | 0.998

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM65 		Up / Home Next
VM67


VM67

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM67

Radial Vibrations of a Circular Ring

Overview

Reference: | S. Timoshenko, D. H. Young, Vibration Problems in Engineering, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1955, pg. 425, article 68.
Analysis Type(s): | Mode-frequency Analysis (ANTYPE = 2)
Element Type(s): | Axisymmetric-Harmonic 4-Node Structural Solid Elements (PLANE25)
Input Listing: | vm67.dat

Test Case

Determine the fundamental frequency fo of axisymmetric in-plane radial vibration and the second (extensional) harmonic frequency f2 of in-plane radial vibration of a circular ring. The cross-section of the ring is square with side length b, at a radius r to the centerline.

Figure 67.1 Ring Axisymmetric Problem Sketch

Material Properties Geometric Properties
E = 30 x 106 psi
ρ = 0.00073 lb-sec2/in4
υ = 0.0
r = 10 in
b = 0.05 in

Analysis Assumptions and Modeling Notes

MODE = 0 for the axisymmetric mode of vibration and MODE = 2 for the second harmonic frequency of vibration. One radial master degree of freedom (MDOF) is selected for the MODE = 0 case and one radial and one tangential MDOF is selected for the MODE = 2 case. Coupling is used to ensure mode symmetry. A local coordinate system is defined at (x, y) = (9.975,0) for convenience.

Results Comparison

 | Target | ANSYS | Ratio
fo, Hz | 3226.4 | 3226.4 | 1.000
f2, Hz | 12.496 | 12.496 | 1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM66 		Up / Home Next
VM68


VM68

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM68

PSD Response of a Two DOF Spring-mass System

Overview

Reference: R. K. Vierck, Vibration Analysis, 2nd Edition, Harper & Row Publishers, New York, NY, 1979, sec. 7-2, 7-14.
Analysis Type(s):
Mode-frequency Analysis (ANTYPE = 2)
Spectrum Analysis (ANTYPE = 8)
Element Type(s): Combination Elements (COMBIN40)
Input Listing: vm68.dat

Test Case

Determine the first two natural frequencies, f1 and f2, and the response of a damped two degree of freedom system subject to a random acceleration with a spectral density function as shown in the figure below.

Figure 68.1 DOF Spring-mass System Problem Sketch

Material Properties
k1 = 42832 lb/in
k2 = 32416 lb/in
m1 = 0.5 lb-sec2/in
m2 = 1.0 lb-sec2/in

Analysis Assumptions and Modeling Notes

The load is applied at node 1 to simulate base excitation. A 2% constant modal damping is assumed. The acceleration results are converted from in/sec2 to g in POST1.

Results Comparison

 | Target | ANSYS | Ratio
f1 , Hz | 20.57 | 20.57 | 1.000
f2 , Hz | 64.88 | 64.88 | 1.000
Mass 1 - 1 stress Std. dev. | 9.059[1] | 9.059 | 1.000
Mass 2 - 1 stress Std. dev. | 10.63[1] | 10.63 | 1.000

  1. Numerical solution with a uniform frequency spacing equal to 0.001 Hz in the frequency range of 10 to 100 Hz

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM67 		Up / Home Next
VM69


VM69

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM69

Seismic Response

Overview

Reference: | W. T. Thomson, Vibration Theory and Applications, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1965, pg. 78, ex. 3.11-1
Analysis Type(s): | Mode-frequency, Seismic Analysis (ANTYPE = 2)
Element Type(s): | Combination Elements (COMBIN40)
Input Listing: | vm69.dat

Test Case

The spring-mass system shown below represents a vibrometer. Determine its natural frequency f. The displacement response spectrum for the vibrometer is shown for 3 points, based on an input of ui = A cos ωt, where ui is the excitation at the support (node 1). Show that the vibrometer response Δ is 2% in error when operated at frequency ω.

Figure 69.1 Seismic Response Problem Sketch

Material Properties Loading
m = 1 lb-sec2/in
k = 9.8696 lb/in
ω = 22.43537 rad/sec
A = 1 in

Analysis Assumptions and Modeling Notes

The node locations are arbitrarily selected. The spring is arbitrarily assumed to vibrate in the X direction. One master degree of freedom (MDOF) is selected at the mass in the vibration direction.

Results Comparison

 | Target | ANSYS | Ratio
f, Hz | 0.5000 | 0.5000 | 1.000
Ae, in[1] | 1.0200 | 1.0200 | 1.000

  1. Ae = expanded mode shape amplitude. Vibrometer accuracy is equal to 100 x (Ae - A)/A = 2%

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM68 		Up / Home Next
VM70


VM70

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM70

Seismic Response of a Beam Structure

Overview

Reference: | J. M. Biggs, Introduction to Structural Dynamics, McGraw-Hill Book Co., Inc., New York, NY, 1964, pg. 262, article 6.4.
Analysis Type(s): | Mode-frequency, Seismic Analysis (ANTYPE = 2)
Element Type(s): | 2-D Elastic Beam Elements (BEAM3)
Input Listing: | vm70.dat

Test Case

A simply supported beam of length [image], mass per unit length m, and section properties shown below is subjected to a vertical motion of both supports. The motion is defined in terms of a seismic displacement response spectrum. Determine the fundamental displacement δ, and the corresponding maximum bending stress σmax.

Figure 70.1 Beam Structure Problem Sketch

Material Properties Geometric Properties
E = 30 x 106 psi
m = 0.2 lb-sec2/in2
Response Spectrum
Frequency, Hz Displacement, in
0.1 0.44
10.0 0.44
I = (1000/3) in4
A = 273.9726 in2
= 240 in
h = 14 in

Analysis Assumptions and Modeling Notes

All lateral master degrees of freedom (MDOF) are selected for a total of 8 elements used in the model.

Results Comparison

 | Target | ANSYS | Ratio
f, Hz | 6.0979 | 6.0974 | 1.000
Deflection, in | 0.56000 | 0.55301 | 0.988
Stressmax, psi | 20158. | 20156. | 1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM69 		Up / Home Next
VM71


VM71

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM71

Transient Response of a Spring-Mass-Damper System

Overview

Reference: | W. T. Thomson, Vibration Theory and Applications, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1965, pg. 41, ex. 2.2-1.
Analysis Type(s): | Reduced Transient Dynamic Analysis (ANTYPE = 4)
Element Type(s): | Combination Elements (COMBIN40)
Input Listing: | vm71.dat

Test Case

A spring-mass system with viscous damping is displaced by a distance Δ and released. Determine the displacement u at time t for four damping ratios:

  • ξ = 2.0

  • ξ = 1.0 (critical)

  • ξ = 0.2

  • ξ = 0.0 (undamped)

Figure 71.1 Spring-mass-damper System Problem Sketch

Material Properties Loading
w = 10 lb
k = 30 lb/in
m = w/g = 0.02590673 lb-sec2/in
Δ = 1 in
g = 386 in/sec2

Analysis Assumptions and Modeling Notes

The initial static force is calculated as kΔ = 30 lb and the damping coefficients are calculated as c = 2ξsqrt(km) = 3.52636, 1.76318, 0.352636, and 0.0 lb-sec/in for the four damping ratios (ξ) given in the test case, respectively. The node locations are arbitrarily selected. The integration time step (0.001 sec) is based on [image] 1/180 of the period to allow the step changes in acceleration to be followed reasonably well and to produce sufficient printout for the theoretical comparison. The maximum time of 0.095 sec covers about 1/2 the period. One master degree of freedom (MDOF) is selected at the mass in the spring direction. A static solution is done at the first load step. POST26 is used to extract results from the solution phase.

Results Comparison

t = 0.09 sec | Target | ANSYS | Ratio
u, in (for damping ratio = 2.0) | 0.47420 | 0.47637 | 1.005
u, in (for damping ratio = 1.0) | 0.18998 | 0.19245 | 1.013
u, in (for damping ratio = 0.2) | -0.52108 | -0.51951 | 0.997
u, in (for damping ratio = 0.0) | -0.99688 | -0.99498 | 0.998

Figure 71.2 Displacement vs. Time Display

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM70 		Up / Home Next
VM72


VM72

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM72

Logarithmic Decrement

Overview

Reference: | W. T. Thomson, Vibration Theory and Applications, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1965, pg. 45, ex. 2.3-1.
Analysis Type(s): | Reduced Transient Dynamic Analysis (ANTYPE = 4)
Element Type(s): | Combination Elements (COMBIN40)
Input Listing: | vm72.dat

Test Case

Determine the damped natural period τd and the ratio R between any two successive amplitudes of the freely vibrating spring-mass-viscous damping system. The system is initially held at rest at the stretched position Δ and then released.

Figure 72.1 Logarithmic Decrement Problem Sketch

Material Properties
W = 10 lb
k = 30 lb/in
c = 0.12 lb-sec/in
Loading
Δ = 1 in
g = 386 in/sec2

Analysis Assumptions and Modeling Notes

The node locations are arbitrarily selected. The initial static force is k Δ = 30 lb and the mass is m = W/g = 0.02590673 sec2/in2 . The integration time step (0.003 sec) is based on [image] 1/60 of the period to allow the step changes in acceleration to be followed reasonably well and to produce sufficient printout for the theoretical comparison. Almost 4 cycles are included in the 0.0 to 0.69 sec time range. One master degree of freedom (MDOF) is selected at the mass in the spring direction. A static solution is done at the first load step. Results are from the solution phase. POST26 is used to get a displacement versus time display.

Results Comparison

Peak Number[1] | 1 | 2 | 3 | 4
Max. Amplitude, in | 1.0000 | 0.64981 | 0.42306 | 0.27525
Time, sec | 0.0000 | 0.18600 | 0.37200 | 0.55800

  1. Sequence number of the positive displacement vibration amplitude peaks

 | Target | ANSYS | Ratio
R1-2 | 1.5350 | 1.5389 | 1.003
R2-3 | 1.5350 | 1.5360 | 1.001
R3-4 | 1.5350 | 1.5370 | 1.001
Damped natural period1-2 | 0.18507 | 0.18600 | 1.005
Damped natural period2-3 | 0.18507 | 0.18600 | 1.005
Damped natural period3-4 | 0.18507 | 0.18600 | 1.005

Figure 72.2 Displacement vs. Time Display

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM71 		Up / Home Next
VM73


VM73

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM73

Free Vibration with Coulomb Damping

Overview

Reference: | F. S. Tse, I. E. Morse, R. T. Hinkle, Mechanical Vibrations, Allyn and Bacon, Inc., Boston, MA, 1963, pg. 175, case 1.
Analysis Type(s): | Full Transient Dynamic Analysis (ANTYPE = 4)
Element Type(s): | Combination Elements (COMBIN40)
Input Listing: | vm73.dat

Test Case

A spring-mass system with coulomb damping is displaced a distance Δ and released. Dry friction is assumed to act as a limiting sliding force F between the sliding mass and the surface. Determine the displacement u at various times t.

Figure 73.1 Free Vibration Problem Sketch

Material Properties Loading
W = 10 lb
k2 = 30 lb/in
m = W/g
Δ = -1 in
F = 1.875 lb
Initial Conditions
 | Z |
t = 0 | -1. | 0.

Analysis Assumptions and Modeling Notes

One combination element is used with the slider in parallel with the spring. The slider spring constant (k1 = 10,000 lb/in) is arbitrarily selected high enough to minimize the elastic contact effect but low enough to also allow a practical integration time step size. The integration time step (0.2025/405 = 0.0005 sec) is based on [image] 1/Nf where N = 20 and f is the system natural frequency. At release, the mass acceleration is not necessarily zero. Therefore, a load step with a small time period is used to ramp up to the appropriate acceleration while maintaining an essentially zero velocity. The final time of 0.2025 sec allows one full cycle of motion. POST26 is used to postprocess results from the solution phase.

Results Comparison

 | Target | ANSYS | Ratio
u, in (t = 0.09 sec) | 0.87208 | 0.87147 | 0.999
u, in (t = 0.102 sec) | 0.83132 | 0.83196 | 1.001
u, in (t = 0.183 sec) | -0.74874 | -0.74864 | 0.999

Figure 73.2 Displacement vs. Time Display

Figure 73.3 Sliding Force vs. Time Display

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM72 		Up / Home Next
VM74


VM74

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM74

Transient Response to an Impulsive Excitation

Overview

Reference: | W. T. Thomson, Vibration Theory and Applications, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1965, pg. 99, article 4.1.
Analysis Type(s): | Reduced Transient Dynamic Analysis (ANTYPE = 4)
Element Type(s): | Combination Elements (COMBIN40)
Input Listing: | vm74.dat

Test Case

A mass supported on a spring is subjected to an impulse force F(t) and thereafter undergoes free vibration. Determine the maximum deflection ymax of the mass for the undamped case and the deflection y at time t for two damping ratios:

  • ξ = 0.0 (undamped)

  • ξ = 0.7.

Figure 74.1 Impulsive Excitation Problem Sketch

Material Properties Loading
m = 0.5 lb-sec2/in
k = 200 lb/in
(see time history in Figure 74.1: "Impulsive Excitation Problem Sketch")

Analysis Assumptions and Modeling Notes

The node locations are arbitrarily selected. The damping coefficient c is calculated as 2ξsqrt(km) = 0.0 and 14.0 lb-sec/in for ξ = 0.0 and ξ = 0.7 respectively. A static solution is done at the first load step. The final time of 0.105 sec allows the masses to reach their largest deflections. One master degree of freedom (MDOF) is selected at each mass in the spring direction. The integration time step (0.0025 sec) is based on [image] 1/120 of the period to allow the step changes in acceleration to be followed reasonably well and to produce sufficient printout for the theoretical comparison. The impulse is applied over 1 integration time step.

Results Comparison

 |  | Target | ANSYS | Ratio
Time = 0.08 sec Damping ratio = 0.0 | y,max in | 0.99957 | 0.99523 | 0.996
Time = 0.1 sec | y, in (for damping ratio = 0.0) | 0.90930 | 0.92469[1] | 1.017
 | y, in (for damping ratio = 0.7) | 0.34180 | 0.35167[1] | 1.029

  1. Based on time = 0.1 + 0.0025 sec to account for finite impulse duration of 0.0025 sec.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM73 		Up / Home Next
VM75


VM75

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM75

Transient Response to a Step Excitation

Overview

Reference: | W. T. Thomson, Vibration Theory and Applications, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1965, pg. 102, article 4.3.
Analysis Type(s): | Reduced Transient Dynamic Analysis (ANTYPE = 4)
Element Type(s): | Combination Elements (COMBIN40)
Input Listing: | vm75.dat

Test Case

A spring-mass-damping system, initially at rest, is subjected to a step force change F acting on the mass. Determine the maximum deflection umax for the undamped case. Determine the displacement u at time t for two damping ratios:

  • ξ = 0.0 (undamped)

  • ξ = 0.5

Figure 75.1 Step Excitation Problem Sketch

Material Properties
m = 0.5 lb-sec2/in
k = 200 lb/in
Loading
F = 200 lb
(see Figure 75.2: "Displacement vs. Time Display")

Analysis Assumptions and Modeling Notes

The node locations are arbitrarily selected. The damping coefficient c is calculated as 2ξ sqrt(km) = 0.0 and 10 lb-sec/in for ξ = 0.0 and ξ = 0.5 respectively. A static solution is done at the first load step. The maximum time of 0.205 sec allows the masses to reach their largest deflections. One master degree of freedom (MDOF) is selected at each mass in the spring direction. The integration time step (0.0025 sec) is based on [image] 1/120 of the period to allow the initial step acceleration change to be followed reasonably well and to produce sufficient printout for the theoretical comparison. Results are from the solution phase. POST26 is used to get displacement versus time display.

Results Comparison

 |  | Target | ANSYS | Ratio
Time = 0.1575 sec | umax, in | 2.0000 | 1.9992 | 1.000
Time = 0.20 sec | u, in (for Damping ratio = 0.0) | 1.6536 | 1.6723 | 1.011
 | u, in (for Damping ratio = 0.5) | 1.1531 | 1.1544 | 1.001

Figure 75.2 Displacement vs. Time Display

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM74 		Up / Home Next
VM76


VM76

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM76

Harmonic Response of a Guitar String

Overview

Reference: R. D. Blevins, Formulas for Natural Frequency and Mode Shape, Van Nostrand Reinhold Co., New York, NY, 1979, pg. 90, tab. 7-1.
Analysis Type(s):
Static Analysis (ANTYPE = 0)
Mode-frequency Analysis (ANTYPE = 2)
Mode Superposition Harmonic Response Analysis (ANTYPE = 3)
Element Type(s): 2-D Spar (or Truss) Elements (LINK1)
Input Listing: vm76.dat

Test Case

A uniform stainless steel guitar string of length [image] and diameter d is stretched between two rigid supports by a tensioning force F1, which is required to tune the string to the E note of a C scale. The string is then struck near the quarter point with a force F2. Determine the fundamental frequency, f1. Also, show that only the odd-numbered frequencies produce a response at the midpoint of the string for this excitation.

Figure 76.1 Guitar String Problem Sketch

Material Properties Geometric Properties Loading
E = 190 x 109 Pa
ρ = 7920 kg/m3
= 710 mm
c = 165 mm
d = 0.254 mm
F1 = 84 N
F2 = 1 N

Analysis Assumptions and Modeling Notes

Enough elements are selected so that the model can be used to adequately characterize the string dynamics. The stress stiffening capability of the element is used. Harmonic response analysis is used to determine the displacement response to the lateral force F2. The harmonic response is displayed with the time-history postprocessor, POST26, to show the excitation of the odd-numbered frequencies at peak displacement amplitudes.

Results Comparison

 |  | Target | ANSYS | Ratio
Modal | f, Hz | 322.2 | 322.3 | 1.000
POST26 | f1, (322.2 Hz) | Response | Response, 320 < f < 328 | -
 | f2, (644.4 Hz) | No Response | No Response | -
 | f3, (966.6 Hz) | Response | Response, 968 < f < 976 | -
 | f4, (1288.8 Hz) | No Response | No Response | -
 | f5, (1611.0 Hz) | Response | Response,1624 < f < 1632 | -
 | f6, (1933.2 Hz) | No Response | No Response | -

Figure 76.2 String Midpoint Displacement Amplitude

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM75 		Up / Home Next
VM77


VM77

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM77

Transient Response to a Constant Force

Overview

Reference: J. M. Biggs, Introduction to Structural Dynamics, McGraw-Hill Book Co., Inc., New York, NY, 1964, pg. 50, ex. E.
Analysis Type(s): Reduced Transient Dynamic Analysis (ANTYPE = 4)
Element Type(s):
2-D Elastic Beam Elements (BEAM3)
Structural Mass Elements (MASS21)
Input Listing: vm77.dat

Test Case

A steel beam of length [image] and geometric properties shown below, is supporting a concentrated mass, m. The beam is subjected to a dynamic load F(t) with a rise time tr and a maximum value F1. If the weight of the beam is considered negligible, determine the time of maximum displacement response tmax and the maximum displacement response ymax. Additionally, determine the maximum bending stress σbend in the beam.

Figure 77.1 Constant Force Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 103 ksi
m = 0.0259067 kips-sec2/in
I = 800.6 in4
h = 18 in
= 20 ft = 240 in
F1 = 20 kips
tr = 0.075 sec

Analysis Assumptions and Modeling Notes

The beam area is not used in this solution and is arbitrarily input as unity. The final time of 0.1 sec allows the mass to reach its largest deflection. One master degree of freedom (MDOF) is selected at the mass in the lateral direction. A static solution is done at the first load step. The integration time step (0.004 sec) is based on [image] 1/25 of the period to allow the abrupt change in acceleration to be followed reasonably well and to produce sufficient printout for the theoretical comparison. Symmetry could have been used in the model. The time of maximum response (0.092 sec) is selected for the expansion pass calculation.

Results Comparison

 |  | Target[1] | ANSYS | Ratio
Transient | tmax , sec | 0.092 | 0.092 | 1.00
 | ymax , in | 0.331 | 0.335 | 1.01
Expansion Pass | Stressbend , ksi | -18.6 | -18.9 | 1.01

  1. Based on graphical values

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM76 		Up / Home Next
VM78


VM78

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM78

Transverse Shear Stresses in a Cantilever Beam

Overview

Reference: | S. Timoshenko, J. N. Goodier, Theory of Elasticity, 2nd Edition, McGraw-Hill Book Co., Inc., New York, NY, 1951, pg. 35, article 20.
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | Linear Layered Structural Shell Elements (SHELL99)
Input Listing: | vm78.dat

Test Case

A cantilever beam of length L, height h, and width w is bent by a force F applied at the free end. Modeling the beam using SHELL99 shell elements having four layers of identical material properties and thickness, determine the shear stress distribution through the beam thickness and the maximum Tsai-Wu failure criterion. The normal and shear failure stresses are σxf and σxyf respectively.

Figure 78.1 Cantilever Beam Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
υ = 0
σxf = 25000 psi
σxyf = 500 psi
L = 10.0 in
w = 1.0 in
h = 2.0 in
F1 = 10000 lb

Analysis Assumptions and Modeling Notes

Poisson's ratio is set to zero to model the narrow beam assumption. The failure stresses are input in the nonlinear material property table (TB commands). Compression values are allowed to default to negative tension values and arbitrary values are assigned to failure stresses in the Y and Z directions. The target solution for the maximum Tsai-Wu failure criterion (FC3) is obtained from equation 2–92 of the Theory Reference for ANSYS and ANSYS Workbench). Since σy = σz = σxy = σyx = 0, most terms vanish and the equation reduces to:

By substituting relations for σxz (from S. Timoshenko, J. N. Goodier, Theory of Elasticity), it can be shown that σx and FC3 has a maximum value at the middle plane and:

POST1 is used to find the maximum value of the Tsai-Wu failure criterion (FCMX).

Results Comparison

 | Target | ANSYS | Ratio
Stressxz , psi (z = h/2) | 0.0 | 0.0[1] | 1.000
Stressxz , psi (z = h/4) | 5625.0 | 5625.0[2] | 1.000
Stressxz , psi (z = 0) | 7500.0 | 7500.0[3] | 1.000
FC3max (FCMX) | 225.0 | 225.0 | 1.000

  1. SXZ for Layer, BOT or Layer 4, TOP (for any element)

  2. ILSXZ for Layers 1-2 (or 3-4)

  3. ILSXZ for Layers 2-3 (also ILMX)

Poisson's ratio is set to zero to model the narrow beam assumption. The failure stresses are input in the nonlinear material property table (TB commands). Compression values are allowed to default to negative tension values and arbitrary.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM77 		Up / Home Next
VM79


VM79

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM79

Transient Response of a Bilinear Spring Assembly

Overview

Reference: W. T. Thomson, Vibration Theory and Applications, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1965, pg. 150, fig. 5.6-1.
Analysis Type(s): Reduced Transient Dynamic Analysis (ANTYPE = 4)
Element Type(s):
Combination Elements (COMBIN40)
Gap Condition (GP)
Input Listing: vm79.dat

Test Case

A mass supported on a nonlinear spring is subjected to an impulsive force F(t) and thereafter undergoes free vibration. The spring stiffness is characterized by the force-deflection curve shown below. Determine the maximum deflection ymax of the mass. Compare results with those of VM74.

Figure 79.1 Bilinear Spring Assembly Problem Sketch

Material Properties Geometric Properties Loading
m = 0.5 lb-sec2/in
k1 = 200 lb/in
yo = 0.75 in
see time history in Figure 79.1: "Bilinear Spring Assembly Problem Sketch"

Analysis Assumptions and Modeling Notes

The node locations are arbitrarily selected. The final time of 0.105 sec allows the mass to reach its largest deflection. A static solution is done at the first load step. A gap condition with a spring constant of -k1 is applied in parallel with k1 to produce a combined spring stiffness of zero at gap closure. One master degree of freedom (MDOF) is selected at the mass in the spring direction. The integration time step (0.0025 sec) is based on [image] 1/125 of the period to allow the step changes in acceleration to be followed reasonably well and to produce sufficient printout for the theoretical comparison. The impulse is applied over 1 integration time step.

Results Comparison

Time = 0.09 sec | Target | ANSYS | Ratio
Ymax, in | -1.0417 | -1.0405 | 0.999

Table 79.1 Comparison of ANSYS Linear and Bilinear Spring Results

Time, sec | 0.040 | 0.070 | 0.085 | 0.105
y, in (linear)[1] | -0.68122 | -0.97494 | -0.99604 | -0.88666
y, in (bilinear) | -0.68122 | -0.98672 | -1.0383 | -1.0020

  1. From test case VM74 output. Positive displacement direction is reversed for comparison.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM78 		Up / Home Next
VM80


VM80

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM80

Plastic Response to a Suddenly Applied Constant Force

Overview

Reference: J. M. Biggs, Introduction to Structural Dynamics, McGraw-Hill Book Co., Inc., New York, NY, 1964, pg. 69, article 2.7.
Analysis Type(s): Full Transient Dynamic, Plastic Analysis (ANTYPE = 4)
Element Type(s):
2-D Spar (or Truss) Elements (LINK1)
Structural Mass Elements (MASS21)
Input Listing: vm80.dat

Test Case

A mass m supported on a thin rod of area A and length [image] is subjected to the action of a suddenly applied constant force F1. The stress-strain curve for the rod material is shown below. Determine the maximum deflection ymax and minimum deflection ymin of the mass, neglecting the mass of the rod.

Figure 80.1 Plastic Response Problem Sketch

Material Properties Geometric Properties Loading
m = 0.0259 kips-sec2/in
E = 30 x 103 ksi
σyp = 162.9 ksi
= 100 in
A = 0.278 in2
F1 = 30 kips
(see time history in Figure 80.1: "Plastic Response Problem Sketch")

Analysis Assumptions and Modeling Notes

The initial integration time step (0.004/10 = 0.0004 sec) is chosen small enough to allow the initial step change in acceleration to be followed reasonably well. The final integration time step ((0.14-.004)/68 = 0.002 sec) is based on [image] 1/60 of the period to produce sufficient printout for the theoretical comparison. The final time of 0.14 sec allows slightly more than 1 cycle of vibration to be followed. POST26 is used to extract results from the solution phase.

Results Comparison

 | Target | ANSYS[1] | Ratio
ymax, in | 0.806 | 0.804 | 0.998
Time, sec | 0.0669 | 0.0680 | 1.016
ymin, in | 0.438 [2] | 0.438 | 0.999
Time, sec | 0.122 [2] | 0.122 | 1.000

  1. ANSYS printout does not occur at theoretical time point given. Comparison (ratio) is therefore made with closest ANSYS time and theoretical time point given.

  2. Based on graphical values.

Figure 80.2 Displacement vs. Time Display

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM79 		Up / Home Next
VM81


VM81

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM81

Transient Response of a Drop Container

Overview

Reference: W. T. Thomson, Vibration Theory and Applications, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1965, pg. 110, ex. 4.6-1.
Analysis Type(s):
Full Transient Dynamic Analysis (ANTYPE = 4)
Reduced Transient Dynamic Analysis (ANTYPE = 4)
Element Type(s):
Combination Elements (COMBIN40)
Structural Mass Elements (MASS21)
Gap Condition (GP)
Input Listing: vm81.dat

Test Case

A mass m is packaged in a rigid box, as shown below, and dropped through a height h. Determine the velocity and displacement y of the mass at impact and the maximum displacement of the mass. Assume that the mass of the box is large compared to that of the enclosed mass m and that the box remains in contact with the floor after impact.

Figure 81.1 Drop Container Problem Sketch

Material Properties
m = 0.5 lb-sec2/in
k = 1973.92 lb/in
Geometric Properties
h = 1 in
Loading
g = 386 in/sec2

Analysis Assumptions and Modeling Notes

The node locations are arbitrarily selected. The final time of 0.11 sec allows the mass to reach its largest deflection. The integration time step (0.11/110 = 0.001 sec) is based on [image] 1/100 of the period (during impact), to allow the initial step acceleration change to be followed reasonably well, and to produce sufficient printout for the theoretical comparison.

The problem is solved first using the full method in a nonlinear transient dynamic analysis and then using the reduced transient dynamic analysis. The COMBIN40 gap cannot be used in a reduced transient dynamic analysis and is replaced by a mass and a gap condition. One master degree of freedom is selected at the mass in the spring direction. POST26, the time-history postprocessor, is used to extract results from the solution phase.

Results Comparison

At Impact
Full Transient Dynamic | Target | ANSYS | Ratio[1]
Time, sec | 0.07198 | 0.072 | 1.000
y, in | -1.00 | -1.0005 | 1.001
vel, in/sec | -27.79 | -27.78 | 1.000
At zero velocity (theoretical ymax = -1.5506 in, at time = 0.100366 sec)
Full Transient Dynamic | Target[2] | ANSYS | Ratio
t = 0.100 sec y, in | -1.5505 | -1.5503 | 1.000
t = 0.101 sec y, in | -1.5502 | -1.5502 | 1.000
At Impact
Reduced Transient Dynamic | Target | ANSYS | Ratio[1]
Time, sec | 0.07198 | 0.072 | -
y, in | -1.00 | -0.987 | 0.987
vel, in/sec | -27.79 | -27.59 | 0.993
At zero velocity (theoretical ymax = -1.5506 in, at time = 0.100366 sec)
Reduced Transient Dynamic | Target[2] | ANSYS | Ratio
t = 0.100 sec y, in | -1.5505 | -1.5495 | 0.999
t = 0.101 sec y, in | -1.5502 | -1.5503 | 1.000

  1. ANSYS printout does not occur at theoretical time point given. Comparisons (ratios) of the nearest time results are made with the theoretical time point given.

  2. Comparisons are made at the two time points bracketing the theoretical time of zero velocity.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM80 		Up / Home Next
VM82


VM82

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM82

Simply Supported Laminated Plate Under Pressure

Overview

Reference: J. N. Reddy, "Exact Solutions of Moderately Thick Laminated Shells", ASCE Journal Engineering Mechanics, Vol. 110 No. 5, 1972, pg. 805.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
Linear Layered Structural Shell Elements (SHELL99)
3-D 8-node Layered Structural Solid Elements (SOLID46)
3-D 8-Node Layered Solid Shell Elements (SOLSH190)
3-D 20-Node Layered Structural Solid Elements (SOLID186)
4-Node Finite Strain Shell Elements (SHELL181)
8-Node Finite Strain Shell Elements (SHELL281)
Input Listing: vm82.dat

Test Case

A simply-supported square cross-ply laminated plate is subjected to a uniform pressure po. The stacking sequence of the plies is symmetric about the middle plane. Determine the center deflection δ (Z-direction) of the plate due to the pressure load.

Figure 82.1 Simply Supported Laminated Plate Problem Sketch

Material Properties
Ex = 25 x 106 N/m2
Ey = 1 x 106 N/m2
υxy = 0.25 (Major Poisson's ratio)
Gxy = G = 0.5 x 106 N/m2
Gyz = 0.2 x 106 N/m2
Geometric Properties
a = 10 m
h = 0.1 m
t = 0.025 m
Loading
po = 1.0 N/m2

Analysis Assumptions and Modeling Notes

A quarter of the plate is modeled due to symmetry in geometry, material orientation, loading, and boundary conditions. Eight models using SOLID46, SHELL99, SHELL181, SOLID185, SOLID186, SOLSH190, SOLID191, and SHELL281 elements, respectively, are analyzed. Note that PRXY is used to directly input the major Poisson's ratio. EZ (explicitly input) is assumed to be equal to EY.

Results Comparison

 | Target | ANSYS | Ratio
Deflection, m (SHELL99) | 0.0683 | 0.0692 | 1.013
Deflection, m (SOLID46) | 0.0683 | 0.0676 | 0.990
Deflection, m (SOLID191) | 0.0683 | 0.0683 | 1.00
Deflection, m (SOLSH190) | 0.0683 | 0.0680 | 0.996
Deflection, m (SOLID186) | 0.0683 | 0.0683 | 1.000
Deflection, m (SOLID185) | 0.0683 | 0.0677 | 0.991
Deflection, m (SHELL181) | 0.0683 | 0.0681 | 0.997
Deflection, m (SHELL281) | 0.0683 | 0.0685 | 1.003

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM81 		Up / Home Next
VM83


VM83

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM83

Impact of a Block on a Spring Scale

Overview

Reference: | F. P. Beer, E. R. Johnston, Jr., Vector Mechanics for Engineers, Statics and Dynamics, McGraw-Hill Book Co., Inc., New York, NY, 1962, pg. 531, problem 14.6.
Analysis Type(s): | Full Transient Dynamic Analysis (ANTYPE = 4)
Element Type(s): | Combination Elements (COMBIN40)
Input Listing: | vm83.dat

Test Case

A block of weight WB is dropped from a height h onto a spring scale pan of weight WP. Determine the maximum deflection δ of the pan and the maximum fall of the block y. Assume the impact to be perfectly plastic as a theoretical approximation.

Figure 83.1 Spring Scale Problem Sketch

Material Properties
k1 = 100 lb/in
WB = 50 lb
WP = 25 lb
Geometric Properties
h = 6 ft = 72 in
Loading
g = 386 in/sec2

Analysis Assumptions and Modeling Notes

The mass of the block (mB) and the mass of the pan (mP) are calculated as mB = WB/g = (50/386) lb-sec2/in and mP = WP/g = (25/386) lb-sec2/in respectively. Deflection of the pan due to gravity is WP/k1 = 0.25 in, hence the initial gap becomes (72-0.25) = 71.75 inches.

The spring length is chosen arbitrarily. The closed-gap spring constant (k2 = 10,000 lb/in) is arbitrarily selected high enough to minimize the elastic contact effect but low enough to also allow a practical integration time step size. The integration time step (0.0005 sec) is based on < 1/30 of the period of the contact spring to minimize the numerical damping effect, and to allow the acceleration change to be followed reasonably well.

Automatic time stepping is used to reduce the total number of iterations needed to solve the problem. A static solution is done at the first load step to produce the initial pan condition before the start of the transient analysis. The maximum time of 0.7 sec allows the pan to reach its largest deflection.

To model the "plastic impact" a damper (C2) is used which has the value of critical damping to prevent oscillation of the contact spring. Also, the two masses are locked together after initial contact by use of KEYOPT(1) = 1 on combination element type 1 (COMBIN40). Natural frequency of the closed gap is f2 = sqrt(k2mp)/(2 π) = 62.54 Hz. Critical damping is calculated as C2 = k2/πf2 = 10000 / (62.54 π) = 50.90 lb-sec/in. POST26 is used to extract results from the solution phase.

Results Comparison

Time = 0.689 sec | Target | ANSYS | Ratio
Deflection, in | -7.7000 | -7.612 | 0.989
y, in | -79.450[1] | -79.41 | 1.000

  1. Based on a perfectly plastic analytical solution.

Figure 83.2 Displacements of Block and Pan

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM82 		Up / Home Next
VM84


VM84

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM84

Displacement Propagation Along a Bar with Free Ends

Overview

Reference: | S. Timoshenko, D. H. Young, Vibration Problems in Engineering, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1955, pg. 311, problem 2.
Analysis Type(s): | Reduced Transient Dynamic Analysis (ANTYPE = 4)
Element Type(s): | 2-D Spar (or Truss) Elements (LINK1)
Input Listing: | vm84.dat

Test Case

A drill stem is a steel bar 4000 ft long. Considering it as a bar with free ends, find the displacement δ of the end (x = [image]) at t = τ/2 produced by a force F1 suddenly applied to this end.

Figure 84.1 Bar with Free Ends Problem Sketch

Material Properties
E = 30 x 106 psi
γ = 0.278 lb/in3
ρ = γ / g = 0.0007202 lb-sec2/in4
Geometric Properties
A = 2 in2
g = 386 in/sec2
= 4000 x 12 = 48,000 in
Loading
F1 = 6000 lb
(see load history in Figure 84.1: "Bar with Free Ends Problem Sketch")

Analysis Assumptions and Modeling Notes

A static solution is done at the first load step. The fundamental period of vibration (τ) is 0.47937 sec. The final time of 0.24 sec includes 1/2 of the fundamental period of vibration. All longitudinal master degrees of freedom (MDOF) are selected along the length of the bar. The integration time step (0.005 sec) is based on [image] 1/10 of the shortest period, to allow the initial step change in acceleration to be followed reasonably well, and to produce sufficient printout for the theoretical comparison. POST26 is used to extract results from the solution phase.

Results Comparison

 | Target | ANSYS | Ratio
Displacement, in[1] | 4.8000 | 4.8404 | 1.008

  1. Target results are for t = 0.23969 sec (t/2). ANSYS results are reported from the closest time point, t = 0.240 sec.

Figure 84.2 Displacement vs. Time Graph

Figure 84.3 Velocity vs. Time Graph

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM83 		Up / Home Next
VM85


VM85

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM85

Transient Displacements in a Suddenly Stopped Moving Bar

Overview

Reference: S. Timoshenko, D. H. Young, Vibration Problems in Engineering, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1955, pg. 305, problem 3.
Analysis Type(s): Reduced Transient Dynamic Analysis (ANTYPE = 5)
Element Type(s):
2-D Spar (or Truss) Elements (LINK1)
Gap Condition (GP)
Input Listing: vm85.dat

Test Case

A steel bar moving along the X-axis with a constant velocity vo is suddenly stopped at the end X = 0. Determine the displacement δ at the free end and the axial stress σx near the stopped end of the bar at time t1 = [image] /a, where a is the speed of sound in the bar.

Figure 85.1 Moving Bar Problem Sketch

Material Properties
E = 30 x 106 psi
r = 0.00073 lb-sec2/in4
Geometric Properties
= 10000 in
A = 1 in2
so = 0.64 in
Loading
vo = 100 in/sec

Analysis Assumptions and Modeling Notes

The speed of sound in the bar is a = [image] = 202,721 in/sec, hence time t1 = [image] /a = 0.0493288 sec. A static solution is done at the first load step. The final time of 0.06 sec allows the bar to impact (at to = 0.0064 sec) and reach its maximum deflection (at t = to + t1). The gap stiffness (k = 30,000,000 lb/in) is arbitrarily selected high enough to minimize the elastic contact deformation but low enough to also allow a practical integration time step size.

Seventeen longitudinal master degrees of freedom (MDOF) are selected along the length of the bar. The integration time step size (ITS = 0.0001 sec) is based on the shortest period (during contact) to allow the abrupt changes in acceleration to be followed reasonably well, and to produce sufficient printout for the theoretical comparison.

The initial velocity is produced by a force = vo ρA [image] / ITS = 1,825,000 lb acting over 4 ITS and distributed among the MDOF. A "coasting" period of 60 ITS is allowed before the gap (so = 0.64 in) closes at impact. An expansion pass is done at t = to + t1 to obtain the stress solution. POST26 is used to get the displacement solution and displays versus time.

Results Comparison

 |  | Target[1] | ANSYS[2] | Ratio
Reduced Transient Dynamic | d, in (t = 0.05573 sec) | 4.9329 | - | -
 | d, in (t = 0.0544 sec) | - | 4.7734[3] | 0.968
 | d, in (t = 0.0557 sec) | - | 4.7471[4] | 0.962
Expansion Pass | stressx , psi (t = 0.05573 sec) | 14799. | - | -
 | stressx , psi (t = 0.0557 sec) | - | 14801.[5] | 1.001

  • t is time before contact (0.0064 sec) included.

  • d is relative displacement between the ends of the bar.

  1. Assumes an infinitely rigid stop.

  2. Uses a high, but finite stiffness for the stop.

  3. Peak displacement.

  4. Displacement at the time closest to the theoretical time point given.

  5. From Element 1.

Figure 85.2 Displacements at Center and Ends of Bar

Figure 85.3 Velocities at Center and Ends of Bar

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM84 		Up / Home Next
VM86


VM86

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM86

Harmonic Response of a Dynamic System

Overview

Reference: | W. T. Thomson, Vibration Theory and Applications, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1965, pg. 56, ex. 3.1-2.
Analysis Type(s): | Reduced Harmonic Response Analysis (ANTYPE = 3)
Element Type(s): | Combination Elements (COMBIN40)
Input Listing: | vm86.dat

Test Case

A machine of weight W is supported on springs of total stiffness k. If a harmonic disturbing force of magnitude F1 and frequency f (equal to the natural frequency of the machine, fn) acts on the machine, determine the displacement response in terms of the peak amplitude Ao and phase angle Φ. Assume a viscous damping coefficient c.

Figure 86.1 Dynamic System Problem Sketch

Material Properties
W = 193 lb
k = 200 lb/in
c = 6 lb-sec/in
Loading
g = 386 in/sec2
F1 = 10 lb

Analysis Assumptions and Modeling Notes

The mass of the machine is m = W/g = 0.5 lb-sec2/in. Hence the frequency of the disturbing force (f) becomes f = fn = sqrt(km)/2π = 3.1831 Hz. The node locations are arbitrarily selected. One master degree of freedom is selected at the mass in the force direction.

Results Comparison

 | Target | ANSYS | Ratio
Ao, in | 0.0833 | 0.0833 | 1.000
angle, deg | -90.0 | -90.0 | 1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM85 		Up / Home Next
VM87


VM87

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM87

Equivalent Structural Damping

Overview

Reference: | W. T. Thomson, Vibration Theory and Applications, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1965, pg. 72, article 3.9 and pg. 56, ex. 3.1-2.
Analysis Type(s): | Reduced Harmonic Response Analysis (ANTYPE = 3)
Element Type(s): | Combination Elements (COMBIN40)
Input Listing: | vm87.dat

Test Case

Test case description is the same as that for VM86 except for the assumption on damping. Assume that all damping is in the form of equivalent structural damping and there is no element damping.

Figure 87.1 Structural Damping Problem Sketch

Analysis Assumptions and Modeling Notes

The structural damping factor is γ = 2 ξ ω/ωn where ξ is the damping ratio and is equal to c/2m ωn. Therefore, γ = c/(m ωn) = 6/(0.5 x 20) = 0.6 since ω = ωn. The frequency-dependent multiplier β is calculated as β = 2 ξ/ωn = γ/ω = 0.6/20 = 0.03 seconds. The node locations are arbitrarily selected. One master degree of freedom (MDOF) is selected at the mass in the force direction.

Results Comparison

 | Target | ANSYS | Ratio
Amp, in | 0.083333 | 0.083333 | 1.000
angle, deg | -90.000 | -90.000 | 1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM86 		Up / Home Next
VM88


VM88

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM88

Response of an Eccentric Weight Exciter

Overview

Reference: | W. T. Thomson, Vibration Theory and Applications, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1965, pg. 60, ex. 3.3-1.
Analysis Type(s): | Reduced Harmonic Response Analysis (ANTYPE = 3)
Element Type(s): | Combination Elements (COMBIN40)
Input Listing: | vm88.dat

Test Case

A counter-rotating eccentric weight exciter of mass m having a mass unbalance mu on an eccentricity e is used to produce forced oscillation of a spring-supported mass. For a viscous damping factor c, determine the amplitude and phase angle Φ of the displacement response when the rotating frequency f is (1) the resonant frequency fn, and (2) f >> fn.

Figure 88.1 Eccentric Weight Exciter Problem Sketch

Material Properties
m = 0.02590673 lb-sec2/in
c = 0.11754533 lb-sec/in
mu = 0.08 x m
k = 30 lb/in

Analysis Assumptions and Modeling Notes

The node locations are arbitrarily selected. When the rotating frequency f is equal to the resonant frequency fn, the force F1 = muω2 = 2.4 lb where ω = ωn = sqrt(k/m) = 34.0294 rad/sec is the resonant circular frequency. When f >> fn, it is assumed that f = 100 fn = 541.5947 Hz and the corresponding force F1 = 24000 lb.

Results Comparison

 |  | Target | ANSYS | Ratio
f = fn | Amp, in | 0.60000 | 0.60000 | 1.000
 | angle, deg | -90.000 | -90.000 | 1.000
f =100 fn | Amp, in | 0.080000[1] | 0.080008 | 1.000
 | angle, deg | -180.00 | -179.92 | 1.000

  1. Based on f =

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM87 		Up / Home Next
VM89


VM89

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM89

Natural Frequencies of a Two-mass-spring System

Overview

Reference: W. T. Thomson, Vibration Theory and Applications, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1965, pg. 163, ex. 6.2-2.
Analysis Type(s): Mode-frequency Analysis (ANTYPE = 2)
Element Type(s):
Spring-Damper Elements (COMBIN14)
Structural Mass Elements (MASS21)
Input Listing: vm89.dat

Test Case

Determine the normal modes and natural frequencies of the system shown below for the values of the masses and spring stiffnesses given.

Figure 89.1 Two-mass-spring System Problem Sketch

Material Properties
m2 = 2m1 = 1.0 lb-sec2/in
k2 = k1 = 200 lb/in
kc = 4k1 = 800 lb/in

Analysis Assumptions and Modeling Notes

The spring lengths are arbitrarily selected and are used only to define the spring direction. Two master degrees of freedom (MDOF) are selected at the masses in the spring direction.

Results Comparison

 | Target[1] | ANSYS | Ratio
f1, Hz | 2.5814 | 2.5814 | 1.000
f2, Hz | 8.3263 | 8.3263 | 1.000
(A1/A2)1[2] | 0.92116 | 0.92116 | 1.000
(A1/A2)2[2] | -2.1711 | -2.1712 | 1.000

  1. Solution Recalculated

  2. Normal Modes (UX of node 2 / UX of node 3)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM88 		Up / Home Next
VM90


VM90

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM90

Harmonic Response of a Two-Mass-Spring System

Overview

Reference: W. T. Thomson, Vibration Theory and Applications, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1965, pg. 178, ex. 6.6-1.
Analysis Type(s): Reduced Harmonic Response Analysis (ANTYPE = 3)
Element Type(s):
Spring-Damper Elements (COMBIN14)
Structural Mass Elements (MASS21)
Input Listing: vm90.dat

Test Case

Determine the response amplitude (Xi) and phase angle (Φi) for each mass (mi) of the system in Figure 90.1: "Two-mass-spring System Problem Sketch" when excited by a harmonic force (F1sin ωt) acting on mass m1.

Figure 90.1 Two-mass-spring System Problem Sketch

Material Properties
m1 = m2 = 0.5 lb-sec2/in
k1 = k2 = kc = 200 lb/in
Loading
F1 = 200 lb

Analysis Assumptions and Modeling Notes

The spring lengths are arbitrarily selected and are used only to define the spring direction. Two master degrees of freedom (MDOF) are selected at the masses in the spring direction. A frequency range from zero to 7.5 Hz with a solution at 7.5/30 = 0.25 Hz intervals is chosen to give an adequate response curve. POST26 is used to get an amplitude versus frequency display.

Results Comparison

 | Target | ANSYS | Ratio
X1 , in (f = 1.5 Hz)[1] | 0.82272 | 0.82272 | 1.000
Angle1, deg (f = 1.5 Hz) | 0.0000 | 0.0000 | -
X2 , in (f = 1.5 Hz)[1] | 0.46274 | 0.46274 | 1.000
Angle2, deg (f = 1.5 Hz) | 0.000 | 0.0000 | -
X1 , in (f = 4.0 Hz) | 0.51145 | 0.51146 | 1.000
Angle1, deg (f = 4.0 Hz) | 180.00 | 180.00 | 1.000
X2 , in (f = 4.0 Hz) | 1.2153 | 1.2153 | 1.000
Angle2, deg (f = 4.0 Hz) | 180.00 | 180.00 | 1.000
X1 , in (f = 6.5 Hz) | 0.58513 | 0.58512 | 1.000
Angle1, deg (f = 6.5 Hz) | 180.00 | 180.00 | 1.000
X2 , in (f = 6.5 Hz) | 0.26966 | 0.26965 | 1.000
Angle2, deg (f = 6.5 Hz) | 0.0000 | 0.0000 | -

  1. X1 = UX @ m1 (node 2) X2 = UX @ m2 (node 3)

Figure 90.2 Amplitude vs. Frequency

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM89 		Up / Home Next
VM91


VM91

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM91

Large Rotation of a Swinging Pendulum

Overview

Reference: W. T. Thomson, Vibration Theory and Applications, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1965, pg. 138, ex. 5.4-1.
Analysis Type(s): Full Transient Dynamic Analysis (ANTYPE = 4)
Element Type(s):
3-D Spar (or Truss) Elements (LINK8)
Structural Mass Element (MASS21)
Input Listing: vm91.dat

Test Case

A pendulum consists of a mass m supported by a rod of length [image] and cross-sectional area A. Determine the motion of the pendulum in terms of the displacement of the mass from its initial position Θo in the x and y directions, δx and δy, respectively. The pendulum starts with zero initial velocity.

Figure 91.1 Pendulum Swing Problem Sketch

Material Properties
E = 30 x 106 psi
m = 0.5 lb-sec2/in
Geometric Properties
= 100 in
Θo = 53.135
A = 0.1 in2
Loading
g = 386 in/sec2

Analysis Assumptions and Modeling Notes

A large deflection solution is required. An initial time step is defined over a small time increment (.01/5 = .002 sec) to allow an initial step change in acceleration to be attained. Subsequent integration time steps (1.64142/8 = .205 sec) are based on [image] 1/24 of the period to allow the initial step change in acceleration to be followed reasonably well.

Several load steps are defined for clearer comparison with theoretical results. POST26 is used to process results from the solution phase.

Results Comparison

 | Target | ANSYS | Ratio
Deflectionx, in(t=period/4) | -60.000 | -59.244 | 0.987
Deflectiony, in(t=period/4) | -20.000 | -20.004 | 1.000
Deflectionx, in(t=period/2) | -120.00 | -119.82 | 0.999
Deflectiony, in(t=period/2) | 0.0000 | -0.1316 | -
Deflectionx, in(t=3period/4) | -60.000 | -61.9957 | 1.033
Deflectiony, in(t=3period/4) | -20.000 | -19.9875 | 0.999
Deflectionx, in(t=period) | 0.0000 | -0.03060 | -
Deflectiony, in(t=period) | 0.0000 | -0.2389 | -
Deflectionx, in(t=period/4) | -60.000 | -59.372 | 0.990
Deflectiony, in(t=period/4) | -20.000 | -20.004 | 1.000
Deflectionx, in(t=period/2) | -120.00 | -119.8917 | 0.999
Deflectiony, in(t=period/2) | 0.0000 | -0.0803 | 0.000
Deflectionx, in(t=3period/4) | -60.000 | -61.6718 | 1.028
Deflectiony, in(t=3period/4) | -20.000 | -19.9935 | 1.000
Deflectionx, in(t=period) | 0.0000 | -0.2395 | 0.000
Deflectiony, in(t=period) | 0.0000 | -0.1894 | 0.000

Figure 91.2 Pendulum Swing

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM90 		Up / Home Next
VM92


VM92

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM92

Insulated Wall Temperature

Overview

Reference: F. Kreith, Principles of Heat Transfer, 2nd Printing, International Textbook Co., Scranton, PA, 1959, pg. 32, ex. 2-5.
Analysis Type(s): Thermal Analysis (ANTYPE = 0)
Element Type(s):
Convection Link Elements (LINK34)
2-D Conduction Bar Elements (LINK32)
Input Listing: vm92.dat

Test Case

A furnace wall consists of two layers, firebrick and insulating brick. The temperature inside the furnace is Tf and the inner surface convection coefficient is hi. The ambient temperature is Ta and the outer surface convection coefficient is ho. Neglect the thermal resistance of the mortar joints and determine the rate of heat loss through the wall q, the inner surface temperature Ti, and the outer surface temperature To.

Figure 92.1 Insulated Wall Temperature Problem Sketch

Material Properties
k1 = 0.8 Btu/hr-ft-°F
k2 = 0.1 Btu/hr-ft-°F
hi = 12 Btu/hr-ft2-°F
ho = 2 Btu/hr-ft2-°F
Geometric Properties
1 = 9 in = 0.75 ft
2 = 5 in = 5/12 ft
Loading
Tf = 3000°F
Ta = 80°F

Analysis Assumptions and Modeling Notes

A 1 ft2 area is used for the convection and conduction elements. Nodes 1 and 5 are given arbitrary locations. Feet units are input as (inches/12) for convenience. POST1 is used to extract results from the solution phase.

Results Comparison

 | Target[1] | ANSYS | Ratio
q, Btu/hr | 513. | 513. | 1.001
Ti , °F | 2957. | 2957. | 1.000
To , °F | 336. | 337. | 1.002

  1. Rounded-off values (normalized)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM91 		Up / Home Next
VM93


VM93

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM93

Temperature Dependent Conductivity

Overview

Reference: | F. Kreith, Principles of Heat Transfer, 2nd Printing, International Textbook Co., Scranton, PA, 1959, pg. 25, ex. 2-2
Analysis Type(s): | Thermal Analysis (ANTYPE = 0)
Element Type(s): | 2-D Conduction Bar Elements (LINK32)
Input Listing: | vm93.dat

Test Case

The conductivity of an 85% magnesia insulating material is given by k(T) = C0 + C1 T for 100°F [image] T [image] 300°F. Determine the rate of heat flow q between these temperatures for a slab of thickness t.

Figure 93.1 Conductivity Problem Sketch

Material Properties
C0 = 0.031 Btu/hr-ft-°F
C1 = 0.000031 Btu/hr-ft-°F2
Geometric Properties
t = 3 in = 0.25 ft
Loading
T1 = 300°F
T2 = 100°F

Analysis Assumptions and Modeling Notes

A 1 ft2 area is used for the conduction element.

Results Comparison

 | Target[1] | ANSYS | Ratio
q, Btu/hr | 29.760 | 29.760 | 1.000

  1. Solution recalculated.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM92 		Up / Home Next
VM94


VM94

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM94

Heat-generating Plate

Overview

Reference: F. Kreith, Principles of Heat Transfer, 2nd Printing, International Textbook Co., Scranton, PA, 1959, pg. 42, ex. 2-9.
Analysis Type(s): Thermal Analysis (ANTYPE = 0)
Element Type(s):
2-D Conduction Bar Elements (LINK32)
Convection Link Elements (LINK34)
Input Listing: vm94.dat

Test Case

A well-mixed fluid is heated by a long iron plate of conductivity k and thickness t. Heat is generated uniformly in the plate at the rate [image]. If the surface convection coefficient is h and the fluid temperature is Tf, determine the temperature at the center of the plate Tc and the heat flow rate to the fluid qf.

Figure 94.1 Plate Problem Sketch

Material Properties
k = 25 Btu/hr-ft-°F
h = 13.969738 Btu/hr-ft2-°F
Geometric Properties
t = 1/2 in = 0.041666 ft
Loading
= 100,000 Btu/hr-ft3
Tf = 150°F

Analysis Assumptions and Modeling Notes

A 1 ft2 area is used for the conduction and convection elements. Only one half of the plate is modeled because of symmetry. Node 6 is given an arbitrary location. POST1 is used to process results from the solution phase.

Results Comparison

 | Target | ANSYS | Ratio
qf,Btu/hr | 2083.3 | 2083.3 | 1.000
Tc, °F | 299.1 | 300.0 | 1.003

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM93 		Up / Home Next
VM95


VM95

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM95

Heat Transfer from a Cooling Spine

Overview

Reference: F. Kreith, Principles of Heat Transfer, 2nd Printing, International Textbook Co., Scranton, PA, 1959, pg. 48, eq. 2-44, 45.
Analysis Type(s): Heat Transfer Analysis (ANTYPE = 0)
Element Type(s):
3-D Conduction Bar Elements (LINK33)
Convection Link Elements (LINK34)
3-D Thermal Solid Elements (SOLID70)
Input Listing: vm95.dat

Test Case

A cooling spine of square cross-sectional area A, length [image], and conductivity k extends from a wall maintained at temperature Tw. The surface convection coefficient between the spine and the surrounding air is h, the air temperature is Ta, and the tip of the spine is insulated. Determine the heat conducted by the spine q and the temperature of the tip T [image].

Figure 95.1 Cooling Spine Problem Sketch

Material Properties
k = 25 Btu/hr-ft-°F
h = 1 Btu/hr-ft2-°F
Geometric Properties
A = 1 in2 = (1/144) ft2
= 8 in = (2/3) ft
b = 1 in = (1/12) ft
Loading
Ta = 0°F
Tw = 100°F

Analysis Assumptions and Modeling Notes

The problem is solved first using conducting line elements (LINK33) and convection elements (LINK34) and then using conducting solid elements (SOLID70). The surface convection area is 4 in2 (4/144 ft2) per inch of length.

In the first case, the convection elements at the end are given half the surface area of the interior convection elements. Nodes 11 through 19 are given arbitrary locations.

In the second case, coupled nodal temperatures are used to ensure symmetry.

Unit conversions are done by input expressions. POST1 is used to process results from the solution phase.

Results Comparison

 |  | Target | ANSYS | Ratio
LINK33 and LINK34 | Tlength, °F | 68.594 | 68.618 | 1.000
 | q, Btu/hr | 17.504 | 17.528 | 1.001
SOLID70 | Tlength, °F | 68.594 | 68.618 | 1.000
 | q, Btu/hr | 17.504 | 17.528 | 1.001

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM94 		Up / Home Next
VM96


VM96

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM96

Temperature Distribution in a Short, Solid Cylinder

Overview

Reference: | P. J. Schneider, Conduction Heat Transfer, 2nd Printing, Addison-Wesley Publishing Co., Inc., Reading, MA, 1957, pg. 134, fig. 6-7.
Analysis Type(s): | Thermal Analysis (ANTYPE = 0)
Element Type(s): | 3-D 10-Node Tetrahedral Thermal Solid Elements (SOLID87)
Input Listing: | vm96.dat

Test Case

A short, solid cylinder is subjected to the surface temperatures shown. Determine the temperature distribution within the cylinder

Figure 96.1 Short, Solid Cylinder Problem Sketch

Material Properties
k = 1.0 Btu/hr-ft-°F
Geometric Properties
r = [image] = 0.5 ft
Loading
Ttop = 40°F
Tbot = Twall = 0°F

Analysis Assumptions and Modeling Notes

Since the problem is axisymmetric, the entire cylinder geometry is not required. An angle Θ = 45° is arbitrarily chosen. Postprocessing is used to print temperatures at the centerline in geometric order. A finer mesh density (than required for reasonable results) is used to produce a smooth isosurface plot.

Results Comparison

At Centerline |  | Target | ANSYS | Ratio
z = 0.0 ft | T, °F | 0.0 | 0.0 | --
z = 0.125 ft | T, °F | 6.8 | 6.8 | 1.007
z = 0.25 ft | T, °F | 15.6 | 15.4 | 0.985
z = 0.375 ft | T, °F | 26.8 | 26.6 | 0.991
z = 0.5 ft | T, °F | 40.0 | 40.0 | 1.00

Figure 96.2 Temperature Isosurface Display with Annotation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM95 		Up / Home Next
VM97


VM97

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM97

Temperature Distribution Along a Straight Fin

Overview

Reference: F. Kreith, Principles of Heat Transfer, 2nd Printing, International Textbook Co., Scranton, PA, 1959, pg. 57, ex. 2-13.
Analysis Type(s): Thermal Analysis (ANTYPE = 0)
Element Type(s):
4-Node Layered Thermal Shell Elements (SHELL131)
Convection Link Elements (LINK34)
Input Listing: vm97.dat

Test Case

A straight rectangular stainless steel cooling fin dissipates heat from an air-cooled cylinder wall. The wall temperature is Tw, the air temperature is Ta, and the convection coefficient between the fin and the air is h. Determine the temperature distribution along the fin and the heat dissipation rate q.

Figure 97.1 Straight Fin Problem Sketch

Material Properties
k = 15 Btu/hr-ft-°F
h = 15 Btu/hr-ft2-°F
Geometric Properties
t = 1 in = (1/12 ft)
= 4 in = (4/12) ft
Loading
Tw = 1100°F
Ta = 100°F

Analysis Assumptions and Modeling Notes

Convection from the tip of the fin is modeled with the two convection elements (LINK34). One half of the cross-sectional area is assigned to each element. The depth of the fin (Y-direction) is arbitrarily selected to be 1 foot. POST1 is used to extract results from the solution phase.

Results Comparison

 | Target[1] | ANSYS | Ratio
T, °F (at x/length = 0.0) | 1100. | 1100. | 1.000
T, °F (at x/length = 0.1) | 955. | 958. | 1.00
T, °F (at x/length = 0.2) | 835. | 838. | 1.00
T, °F (at x/length = 0.3) | 740. | 738. | 1.00
T, °F (at x/length = 0.4) | 660. | 655. | 0.99
T, °F (at x/length = 0.5) | 595. | 587. | 0.99
T, °F (at x/length = 0.6) | 535. | 532. | 1.00
T, °F (at x/length = 0.7) | 490. | 489. | 1.00
T, °F (at x/length = 0.8) | 460. | 456. | 0.99
T, °F (at x/length = 0.9) | 430. | 432. | 1.01
T, °F (at x/length = 1.0) | 416. | 417. | 1.00
q, Btu/hr | 5820. | 5840. | 1.00

  1. Based on graphical readings

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM96 		Up / Home Next
VM98


VM98

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM98

Temperature Distribution Along a Tapered Fin

Overview

Reference: | F. Kreith, Principles of Heat Transfer, 2nd Printing, International Textbook Co., Scranton, PA, 1959, pg. 57, ex. 2-13.
Analysis Type(s): | Thermal Analysis (ANTYPE = 0)
Element Type(s): | 2-D Thermal Solid Elements (PLANE55)
Input Listing: | vm98.dat

Test Case

A tapered rectangular stainless steel cooling fin dissipates heat from an air-cooled cylinder wall. The wall temperature is Tw, the air temperature is Ta, and the convection coefficient between the fin and the air is h. Determine the temperature distribution along the fin and the heat dissipation rate q.

Figure 98.1 Tapered Fin Problem Sketch

Material Properties
k = 15 Btu/hr-ft-°F
h = 15 Btu/hr-ft2-°F
Geometric Properties
b = 1 in = (1/12) ft
= 4 in = (4/12) ft
Loading
Tw = 1100°F
Ta = 100°F

Analysis Assumptions and Modeling Notes

The solution is based on a fin of unit depth (Z-direction). POST1 is used to extract results from the solution phase.

Results Comparison

 | Target[1] | ANSYS | Ratio
T, °F (at x/length = 0.0) | 1100. | 1100. | 1.000
T, °F (at x/length = 0.1) | 970. | 971. | 1.001
T, °F (at x/length = 0.2) | 850. | 854. | 1.004
T, °F (at x/length = 0.3) | 750. | 748. | 0.998
T, °F (at x/length = 0.4) | 655. | 653. | 0.997
T, °F (at x/length = 0.5) | 575. | 568. | 0.988
T, °F (at x/length = 0.6) | 495. | 492. | 0.994
T, °F (at x/length = 0.7) | 430. | 424. | 0.987
T, °F (at x/length = 0.8) | 370. | 364. | 0.984
T, °F (at x/length = 0.9) | 315. | 311. | 0.988
T, °F (at x/length = 1.0) | 265. | 267. | 1.006
q, Btu/hr | 5050. | 5109. | 1.012

  1. Based on graphical estimates.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM97 		Up / Home Next
VM99


VM99

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM99

Temperature Distribution in a Trapezoidal Fin

Overview

Reference: | P. J. Schneider, Conduction Heat Transfer, 2nd Printing, Addison-Wesley Publishing Co., Inc., Reading, MA, 1957, pg. 164, Article 7-8.
Analysis Type(s): | Thermal Analysis (ANTYPE = 0)
Element Type(s): | 2-D Thermal Solid Elements (PLANE55)
Input Listing: | vm99.dat

Test Case

A rectangular cooling fin with a trapezoidal cross-section dissipates heat from a wall maintained at a temperature Tw. The surrounding air temperature is Ta and the convection coefficient between the fin and the air is h. Determine the temperature distribution within the fin and the heat dissipation rate q.

Figure 99.1 Trapezoidal Fin Problem Sketch

Material Properties
k = 18 Btu/hr-ft-°F
h = 500 Btu/hr-ft2-°F
Geometric Properties
w = 0.96 in = 0.08 ft
Loading
Tw = 100°F
Ta = 0°F

Analysis Assumptions and Modeling Notes

The finite element model is made the same as the reference's relaxation model for a direct comparison. The solution is based on a fin of unit depth (Z-direction). Only half of the fin is modeled due to symmetry. POST1 is used to extract results from the solution phase.

Results Comparison

 | Target[1] | ANSYS | Ratio
T, °F (at Node 4) | 27.6 | 27.8 | 1.01
T, °F (at Node 5) | 32.7 | 32.8 | 1.00
T, °F (at Node 6) | 9.5 | 9.5 | 1.00
T, °F (at Node 7) | 10.7 | 10.7 | 1.00
q, Btu/hr | 3545.[2] | 3482. | 0.982

  1. Based on a numerical relaxation method.

  2. Solution recalculated.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM98 		Up / Home Next
VM100


VM100

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM100

Heat Conduction Across a Chimney Section

Overview

Reference: | F. Kreith, Principles of Heat Transfer, 2nd Printing, International Textbook Co., Scranton, PA, 1959, pg. 102, ex. 3-4.
Analysis Type(s): | Thermal Analysis (ANTYPE = 0)
Element Type(s): | 2-D Thermal Solid Elements (PLANE55)
Input Listing: | vm100.dat

Test Case

Determine the temperature distribution and the rate of heat flow q per foot of height for a tall chimney whose cross-section is shown in Figure 100.1: "Heat Conduction Across a Chimney Section Problem Sketch". Assume that the inside gas temperature is Tg, the inside convection coefficient is hi, the surrounding air temperature is Ta, and the outside convection coefficient is ho.

Figure 100.1 Heat Conduction Across a Chimney Section Problem Sketch

Material Properties
k = 1.0 Btu/hr-ft-°F
hi = 12 Btu/hr-ft2-°F
ho = 3 Btu/hr-ft2-°F
Geometric Properties
a = 4 ft
b = 1 ft
Loading
Tg = 100°F
Ta = 0°F
See Figure 100.2: "Temperature Contour Display".

Analysis Assumptions and Modeling Notes

Due to symmetry, a 1/8 section is used. The finite element model is made the same as the reference's relaxation model for a direct comparison. The solution is based on a fin of unit depth (Z-direction). POST1 is used to obtain results from the solution phase.

Results Comparison

 | Target[1] | ANSYS | Ratio
T, °F (at Node 1) | 93.7 | 93.6 | 1.00
T, °F (at Node 2) | 56.3 | 56.8 | 1.01
T, °F (at Node 3) | 22.2 | 22.1 | 0.99
T, °F (at Node 4) | 93.2 | 93.2 | 1.00
T, °F (at Node 5) | 54.6 | 54.9 | 1.01
T, °F (at Node 6) | 21.4 | 21.1 | 0.98
T, °F (at Node 7) | 87.6 | 87.8 | 1.00
T, °F (at Node 8) | 47.5 | 47.7 | 1.01
T, °F (at Node 9) | 18.3 | 17.3 | 0.95
T, °F (at Node 11) | 29.6 | 27.6 | 0.93
T, °F (at Node 12) | 11.7 | 12.5 | 1.07
T, °F (at Node 15) | 4.7 | 5.0 | 1.07
q, Btu/hr | 775.2 | 773.5[2] | 1.00

  1. Based on a numerical relaxation method.

  2. From heat rates at elements 1 and 3 multiplied by 8.

Figure 100.2 Temperature Contour Display

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM99 		Up / Home Next
VM101


VM101

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM101

Temperature Distribution in a Short Solid Cylinder

Overview

Reference: | P. J. Schneider, Conduction Heat Transfer, 2nd Printing, Addison-Wesley Publishing Co., Inc., Reading, MA, 1957, pg. 134, fig. 6-7.
Analysis Type(s): | Thermal Analysis (ANTYPE = 0)
Element Type(s): | 3-D Thermal Solid Elements (SOLID70)
Input Listing: | vm101.dat

Test Case

A short solid cylinder is subjected to the surface temperatures shown. Determine the temperature distribution within the cylinder.

Figure 101.1 Short Solid Cylinder Problem Sketch

Material Properties
k = 1.0 Btu/hr-ft-°F
Geometric Properties
r = [image] = 6 in = 0.5 ft
Loading
TTop = 40°F
TBot = TWall = 0°F

Analysis Assumptions and Modeling Notes

Since the problem is axisymmetric only a sector (one element wide) is modeled. A small angle Θ=10° is used for approximating the circular boundary with a straight-sided element. Note that circumferential symmetry is automatically ensured due to default adiabatic boundary conditions. POST1 is used to report centerline and mid-radius temperatures to compare results.

Results Comparison

 |  | Target[1] | ANSYS | Ratio
T, °F (centerline) | Node 11 | 6.8 | 7.4 | 1.09
 | Node 21 | 15.6 | 16.4 | 1.05
 | Node 31 | 26.8 | 27.4 | 1.02
T, °F (mid-radius) | Node 13 | 5.2 | 5.3 | 1.02
 | Node 23 | 12.8 | 13.0 | 1.02
 | Node 33 | 24.0 | 24.8 | 1.03

  1. Based on a graphical estimate.

Figure 101.2 Temperature Contour Display

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM100 		Up / Home Next
VM102


VM102

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM102

Cylinder with Temperature Dependent Conductivity

Overview

Reference: | P. J. Schneider, Conduction Heat Transfer, 2nd Printing, Addison-Wesley Publishing Co., Inc., Reading, MA, 1957, pg. 166, article 7-9.
Analysis Type(s): | Thermal Analysis (ANTYPE = 0)
Element Type(s): | 2-D Thermal Solid Elements (PLANE55)
Input Listing: | vm102.dat

Test Case

A long hollow cylinder is maintained at temperature Ti along its inner surface and To along its outer surface. The thermal conductivity of the cylinder material is known to vary with temperature according to the linear function k(T) = C0 + C1 T. Determine the temperature distribution in the cylinder for two cases:

  • k = constant, (i.e. C1 = 0)

  • k = k (T).

Figure 102.1 Cylinder Problem Sketch

Material Properties
C0 = 50 Btu/hr-ft-°F
C1 = 0.5 Btu/hr-ft-°F2
Geometric Properties
ri = 1/2 in = (1/24) ft
ro = 1 in = (1/12) ft
Loading
Ti = 100°F
To = 0°F

Analysis Assumptions and Modeling Notes

The axial length of the model is arbitrarily chosen to be 0.01 ft. Note that axial symmetry is automatically ensured by the adiabatic radial boundaries. The problem is solved in two load steps. The first load step uses the constant k. The MP command is reissued in the second load step to specify a temperature-dependent k.

Results Comparison

 |  | Target[1] | ANSYS | Ratio
T, °F (k = constant); first load step | Node 2 | 73.8 | 73.7 | 1.000
 | Node 3 | 51.5 | 51.5 | 1.000
 | Node 4 | 32.2 | 32.2 | 1.000
 | Node 5 | 15.3 | 15.2 | 0.99
T, °F (k = k(T)); second load step | Node 2 | 79.2 | 79.2 | 1.000
 | Node 3 | 59.6 | 59.5 | 1.000
 | Node 4 | 40.2 | 40.2 | 1.000
 | Node 5 | 20.8 | 20.7 | 0.99

  1. Based on a numerical relaxation method.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM101 		Up / Home Next
VM103


VM103

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM103

Thin Plate with Central Heat Source

Overview

Reference: | P. J. Schneider, Conduction Heat Transfer, 2nd Printing, Addison-Wesley Publishing Co., Inc., Reading, MA, 1957, pg. 173, article 8-1.
Analysis Type(s): | Thermal Analysis (ANTYPE = 0)
Element Type(s): | 4-Node Layered Thermal Shell Elements (SHELL131)
Input Listing: | vm103.dat

Test Case

Determine the temperature distribution in the thin infinite plate with a cylindrical heat source [image] shown in the following table. The plate also gains heat on the top face from an ambient gas at a temperature TT and loses heat on the bottom face to an ambient gas at temperature TB. Assume that no temperature gradient exists through the thickness of the plate.

Figure 103.1 Thin Plate Problem Sketch

Material Properties
k = 5 Btu/hr-ft-°F
hT = 30 Btu/hr-ft2-°F
hB = 20 Btu/hr-ft2-°F
Geometric Properties
t = 0.1 ft
ri = 0.1 ft
Loading
TT = 100°F
TB = 0°F
= 250,000 Btu/hr-ft3

Analysis Assumptions and Modeling Notes

Since the problem is axisymmetric only a one-element sector is needed. A small angle Θ = 10° is used for approximating the circular boundary with a straight-sided element. The outer radius ro is arbitrarily selected at a point where the heat source should have negligible effect. Small elements are used adjacent to the heat source where the temperature gradient is the largest. Nodal coupling is used to ensure circumferential symmetry. Triangular and quadrilateral elements are used.

Results Comparison

 | Target[1] | ANSYS | Ratio
T, °F (at Node 1) | 226.3 | 227.0 | 1.00
T, °F (at Node 9) | 173.1 | 164.9 | 0.95
T, °F (at Node 10) | 130.7 | 126.8 | 0.97
T, °F (at Node 2) | 103.2 | 102.4 | 0.99
T, °F (at Node 3) | 73.8 | 73.6 | 1.00
T, °F (at Node 4) | 65.8 | 64.6 | 0.98
T, °F (at Node 5) | 62.8 | 61.6 | 0.98
T, °F (at Node 6) | 60.8 | 60.6 | 1.00
T, °F (at Node 7) | 60.2 | 60.2 | 1.00
T, °F (at Node 8) | 60.0 | 60.2 | 1.00

  1. Based on graphical estimate

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM102 		Up / Home Next
VM104


VM104

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM104

Liquid-Solid Phase Change

Overview

Reference: | J. A. Dantzig, "Modeling Liquid-Solid Phase Changes with Melt Convection", Int. Journal Numerical Methods in Engineering, Vol. 28, 1989, pg. 1774, problem I.
Analysis Type(s): | Thermal Analysis (with phase change) (ANTYPE = 4)
Element Type(s): | 2-D Thermal Solid Elements (PLANE55)
Input Listing: | vm104.dat

Test Case

A layer of liquid (of depth a), covering an insulated surface and initially at its freezing temperature To, is suddenly subjected to a free surface temperature Ts (less than To). Determine the time, tf, taken for the liquid to solidify completely, and the temperature distribution in the solid phase at time t1 seconds.

Figure 104.1 Liquid-Solid Phase Change Problem Sketch

Material Properties
ρ = 1000 kg/m3
Cp = 4200.0 J/kg-°C
k = 0.60 W/m-°C
Lf = Latent heat of fusion
= 42000. J/kg
Geometric Properties
a = 0.01 m
b = 0.001 m
Loading
To = 0°C (t = 0)
Ts = -5°C (x = 0; t > 0)
t1 = 500 sec

Analysis Assumptions and Modeling Notes

The problem is formulated in two dimensions, with all faces insulated, except the face representing the liquid surface. The latent heat effect (accompanying change in phase from liquid to solid), is approximated by specifying a rapid variation in enthalpy (material property ENTH), over the "mushy" zone in a temperature range of ΔT (taken as 1.0°C). The enthalpy (H) variation is computed from the equation H = ρc [image] dT. An adjusted specific heat of Lf/ΔT = 42000.0 J/kg-°C, is used in the freezing zone, resulting in a slope discontinuity, as shown in Figure 104.3: "Temperature Distribution at Time = 501 Seconds". For the given case, a time step of 3.0 seconds is found to be adequate to give more than one time step through the freezing zone. Automatic time stepping is used.

POST1 is used to obtain the temperature distribution through the two phases and POST26 is used to display the temperature history of points in each of the phases.

Figure 104.2 Enthalpy vs. Temperature

Results Comparison

 | Target[1] | ANSYS | Ratio
t f, seconds | 810.0 | between (787 to 797) [2] | -
At t = 500 seconds
T , °C (x = 0.002m) | -3.64 | -3.71 | 1.019
T , °C (x = 0.004m) | -2.32 | -2.46 | 1.059

  1. From Equations 20-31, in J. A. Dantzig, "Modeling Liquid-Solid Phase Changes with Melt Convection".

  2. Corresponds to the time interval at which Node 2 temperature crosses the ΔT = 1°C freezing zone.

Figure 104.3 Temperature Distribution at Time = 501 Seconds

Figure 104.4 Temperature History of Solidification

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM103 		Up / Home Next
VM105


VM105

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM105

Heat Generating Coil with Temperature Conductivity

Overview

Reference: | P. J. Schneider, Conduction Heat Transfer, 2nd Printing, Addison-Wesley Publishing Co., Inc., Reading, MA, 1957, pg. 193, article 8-8
Analysis Type(s): | Thermal Analysis (ANTYPE = 0)
Element Type(s): | 2-D Thermal Solid Elements (PLANE55)
Input Listing: | vm105.dat

Test Case

A long hollow generator coil has its inner and outer surface temperatures maintained at temperature To while generating Joule heat at a uniform rate [image]. The thermal conductivity of the coil material varies with temperature according to the function k(T) = C0 + C1 T. Determine the temperature distribution in the coil.

Figure 105.1 Heat Generating Coil Problem Sketch

Material Properties
C0 = 10 Btu/hr-ft-°F
C1 = 0.075 Btu/hr-ft-°F2
Geometric Properties
ri = 1/4 in = 1/48 ft
ro = 1 in = 1/12 ft
Loading
To = 0°F
= 1 x 106 Btu/hr-ft3

Analysis Assumptions and Modeling Notes

Since the problem is axisymmetric only a symmetry sector (one-element wide) is needed. A small angle (Θ=10°) is used for approximating the circular boundary with a straight-sided element. Adiabatic boundary conditions are assumed at the symmetry edges. The steady-state convergence procedures are used. Note that this problem can also be modeled using the axisymmetric option as in VM102.

Results Comparison

T, °F | Target | ANSYS | Ratio
Node 2 | 23.3 | 23.0 | 0.989
Node 3 | 35.9 | 35.5 | 0.990
Node 4 | 42.2 | 41.8 | 0.991
Node 5 | 44.0 | 43.7 | 0.992
Node 6 | 42.2 | 41.9 | 0.992
Node 7 | 37.0 | 36.8 | 0.993
Node 8 | 28.6 | 28.4 | 0.991
Node 9 | 16.5 | 16.4 | 0.991

Figure 105.2 Variation of Temperature in the Radial Direction

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM104 		Up / Home Next
VM106


VM106

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM106

Radiant Energy Emission

Overview

Reference: | F. Kreith, Principles of Heat Transfer, 2nd Printing, International Textbook Co., Scranton, PA, 1959, pg. 22, problem 1-8(b).
Analysis Type(s): | Thermal Analysis (ANTYPE = 0)
Element Type(s): | Radiation Link Elements (LINK31)
Input Listing: | vm106.dat

Test Case

Determine the rate of radiant heat emission q in Btu/hr from a black body of unit area A at a temperature T, when ambient temperature is Ta.

Figure 106.1 Radiant Energy Emission Problem Sketch

Material Properties
ε = emissivity = 1.0
Geometric Properties
A = 1 ft2
F = form factor = 1.0
Loading
T = 3000°F
Ta = 0°F

Analysis Assumptions and Modeling Notes

A conversion factor of 144 in2/ft2 is included in the area input to convert the default Stefan-Boltzmann constant to feet units. The temperature offset of 460°F is required to convert the input Fahrenheit temperature to an absolute (Rankine) temperature. The node locations are arbitrarily selected as coincident.

Results Comparison

 | Target | ANSYS[1] | Ratio
q, Btu/hr | 2.4559 x 105 | 2.4552 x 105 | 1.000

  1. Element heat rate

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM105 		Up / Home Next
VM107


VM107

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM107

Thermocouple Radiation

Overview

Reference: A. J. Chapman, Heat Transfer, The Macmillan Co, New York, NY, 1960, pg. 396, article 13.5.
Analysis Type(s): Thermal analysis (ANTYPE = 0)
Element Type(s):
Radiation Link Elements (LINK31)
Convection Link Elements (LINK34)
Input Listing: vm107.dat

Test Case

A thermocouple is used to measure the temperature Tg of a gas flowing within a duct. The duct wall temperature is Tw and the thermocouple is placed at right angles to the flow. If the conduction effects are negligible, determine the thermocouple reading Tt and the heat flow rate q due to convection and radiation.

Figure 107.1 Thermocouple Radiation Problem Sketch

Material Properties
ε = emissivity = 0.5
h = 11.85 Btu/hr-ft2-°F
Stefan-Boltzmann constant[1]
= 0.174 x 10-8 Btu/hr-ft2-°R4
Loading
Tw = 300°F
Tg = 1309°F

  1. As given in A. J. Chapman, Heat Transfer.

Analysis Assumptions and Modeling Notes

The temperature offset of 460°F is required to convert the input Fahrenheit temperatures to absolute (Rankine) temperatures. The node locations are arbitrarily selected (coincident).

Results Comparison

 | Target | ANSYS[1] | Ratio
Tt, °F | 1000.00 | 999.95 | 1.000
q, Btu/hr | 3661.65 | 3662.24 | 1.000

  1. At node 2

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM106 		Up / Home Next
VM108


VM108

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM108

Temperature Gradient Across a Solid Cylinder

Overview

Reference: | F. B. Hildebrand, Advanced Calculus for Applications, 2nd Edition, Prentice-Hall, Inc., Englewood, NJ, 1976, pg. 447, eqs. 38-44.
Analysis Type(s): | Thermal Analysis (ANTYPE = 0)
Element Type(s): | Axisymmetric-Harmonic 4-Node Thermal Solid Elements (PLANE75)
Input Listing: | vm108.dat

Test Case

Heat is conducted across the diameter of a long solid cylinder. The temperature loading along the circumference is antisymmetric about the Y-Z plane and varies sinusoidally with peaks occurring at Θ = 0° and Θ = 180°. Determine the temperature distribution along the radius at Θ = 0°.

Figure 108.1 Solid Cylinder Problem Sketch

Material Properties
k = 1 Btu/hr-ft-°F
Geometric Properties
ro = 20 ft
Loading
To = 80°F

Analysis Assumptions and Modeling Notes

The axial length of the model is arbitrarily chosen to be 5 ft. The temperature loading is applied as a harmonic function (mode = 1) around the periphery of the cylinder. To obtain the theoretical solution, equations 43 and 44 in F. B. Hildebrand, Advanced Calculus for Applications are used. Applying the temperature boundary condition and the requirement that T(r,Θ) should be finite and single-valued leads to the following solution: T(r,Θ) = T0 * (r/r0) * cosΘ.

Results Comparison

Mode = 1 (angle =0°) | Target | ANSYS | Ratio
Node 1 T, °F | 0.0 | 0.0 | -
Node 2 T, °F | 20.0 | 20.0 | 1.00
Node 3 T, °F | 40.0 | 40.0 | 1.00
Node 4 T, °F | 60.0 | 60.0 | 1.00

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM107 		Up / Home Next
VM109


VM109

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM109

Temperature Response of a Suddenly Cooled Wire

Overview

Reference: F. Kreith, Principles of Heat Transfer, 2nd Printing, International Textbook Co., Scranton, PA, 1959, pg. 120, ex. 4-1.
Analysis Type(s): Thermal Analysis (ANTYPE = 4)
Element Type(s):
Convection Link Elements (LINK34)
Thermal Mass Elements (MASS71)
Input Listing: vm109.dat

Test Case

Determine the temperature response of a copper wire of diameter d, originally at temperature To, when suddenly immersed in air at temperature Tair. The convection coefficient between the wire and the air is h.

Figure 109.1 Cooled Copper Wire Problem Sketch

Material Properties
ρ = 558 lb/ft3
c = 0.091 Btu/lb-°F
h = 2 Btu/hr-ft2-°F
Geometric Properties
d = 1/32 in
Loading
Tair = 100°F
To = 300°F (at t=0)

Analysis Assumptions and Modeling Notes

The node locations are arbitrary (coincident). The final time of 0.05 hr (180 sec) is sufficient for the theoretical response comparison. An initial integration time step of 0.05/40 = 0.00125 hr is used. Automatic time stepping is used. The thermal capacitance C, and the surface area of the wire As, are calculated based on a unit length as follows:

Results Comparison

 | Target | ANSYS | Ratio
T, °F @ 0.0125hr | 193.89 | 196.48 | 1.013
T, °F @ 0.0325hr | 128.00 | 130.05 | 1.016
T, °F @ 0.05hr | 109.71 | 110.83 | 1.010

  1. POST26, Node 1 temperature history

Figure 109.2 Temperature vs. Time Display

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM108 		Up / Home Next
VM110


VM110

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM110

Transient Temperature Distribution in a Slab

Overview

Reference: F. Kreith, Principles of Heat Transfer, 2nd Printing, International Textbook Co., Scranton, PA, 1959, pg. 140, ex. 4-4.
Analysis Type(s): Thermal Analysis (ANTYPE = 4)
Element Type(s):
2-D Conduction Bar Elements (LINK32)
Convection Link Elements (LINK34)
Input Listing: vm110.dat

Test Case

A concrete wall, originally at temperature To, is suddenly exposed on one side to a hot gas at temperature Tg. If the convection coefficient on the hot side is h and the other side is insulated, determine the temperature distribution in the slab after 14.5 hours, and the total heat Q transferred to the wall per square foot of surface area.

Figure 110.1 Slab Problem Sketch

Material Properties
k = 0.54 Btu/hr-ft-°F
ρ = 144 lb/ft3
c = 0.2 Btu/lb-°F
h = 5 Btu/hr-ft2-°F
Geometric Properties
= 1 ft
Loading
To = 100°F
Tg = 1600°F

Analysis Assumptions and Modeling Notes

The problem is first solved using LINK32 elements. A 1 ft2 area is used for the convection and conduction elements. Node 12 is given an arbitrary location. Automatic time stepping is used. The initial integration time step (ITS) chosen (14.5/80 = 0.18125 hr) is larger than the minimum ITS recommended; ITS [image] δ2/4 α, where δ is the conduction element length (0.1 ft) and a is the thermal diffusivity (k/ρc = 0.01875 ft2/hr). POST26 is used to obtain the total heat transferred to the wall.

Results Comparison

Time = 14.5 hr | Target[1] | ANSYS | Ratio[1]
T, °F (node 1) | 505. | 507. | 1.00
T, °F (node 3) | 550. | 549. | 1.00
T, °F (node 5) | 670. | 675. | 1.01
T, °F (node 7) | 865. | 874. | 1.01
T, °F (node 9) | 1135 | 1134. | 1.00
T, °F (node 11) | 1435. | 1433. | 1.00
Q[2], BTU/ft2 | -20,736. | -20,662. | 1.00

  1. Based on graphical estimates

  2. Q = [image] q dt, from POST26

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM109 		Up / Home Next
VM111


VM111

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM111

Cooling of a Spherical Body

Overview

Reference: | F. Kreith, Principles of Heat Transfer, 2nd Printing, International Textbook Co., Scranton, PA, 1959, pg. 143, ex. 4-5.
Analysis Type(s): | Thermal Analysis (ANTYPE = 4)
Element Type(s): | 2-D Thermal Solid Elements (PLANE55)
Input Listing: | vm111.dat

Test Case

Determine the temperature at the center of a spherical body, initially at a temperature To, when exposed to an environment having a temperature Te for a period of 6 hours. The surface convection coefficient is h.

Figure 111.1 Spherical Body Problem Sketch

Material Properties
K=(1/3) BTU/hr-ft-°F
γ = 62 lb/ft3
c = 1.075 Btu/lb-°F
h = 2 Btu/hr-ft2-°F
Geometric Properties
ro = 2 in = (1/6) ft
Loading
To = 65°F
Te = 25°F

Analysis Assumptions and Modeling Notes

Since the problem is axisymmetric, only a one-element sector is needed. A small angle Θ = 15° is used for approximating the circular boundary with a straight-side element. Nodal coupling is used to ensure circumferential symmetry. Automatic time stepping is used. The initial integration time step (6/40 = 0.15 hr) is based on [image] δ2/4 α, where δ is the element characteristic length (0.0555 ft) and α is the thermal diffusivity (k/γc = 0.005 ft2/hr). POST1 is used to extract results from the solution phase.

Results Comparison

Time = 6 hr | Target[1] | ANSYS | Ratio
T, °F | 28.0 | 28.66 | 1.024

  1. Based on graphical estimates.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM110 		Up / Home Next
VM112


VM112

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM112

Cooling of a Spherical Body

Overview

Reference: | F. Kreith, Principles of Heat Transfer, 2nd Printing, International Textbook Co., Scranton, PA, 1959, pg. 143, ex. 4-5.
Analysis Type(s): | Thermal Analysis (ANTYPE = 4)
Element Type(s): | 2-D 8-Node Thermal Solid Elements (PLANE77)
Input Listing: | vm112.dat

Test Case

See VM111 for test case description, geometric and material properties, and loading.

Figure 112.1 Spherical Body Problem Sketch

Analysis Assumptions and Modeling Notes

Since the problem is axisymmetric, only a one-element sector is needed. A small angle Θ = 15° is used for approximating the circular boundary with a curved-side element. Nodal coupling is used to ensure circumferential symmetry. Automatic time stepping is used. The initial integration time step (6/40 = 0.15 hr) is based on [image] δ2/4 α, where δ is the element characteristic length (0.0555 ft) and α is the thermal diffusivity (k/γc = 0.005 ft2/hr). POST1 is used to extract results from the solution phase.

Results Comparison

Time = 6 hr. | Target[1] | ANSYS | Ratio
T, °F | 28.0 | 29.0 | 1.035

  1. Based on graphical estimates.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM111 		Up / Home Next
VM113


VM113

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM113

Transient Temperature Distribution in an Orthotropic Metal Bar

Overview

Reference: | P. J. Schneider, Conduction Heat Transfer, 2nd Printing, Addison-Wesley Publishing Co., Inc., Reading, MA, 1957, pg. 261, ex. 10-7.
Analysis Type(s): | Thermal Analysis (ANTYPE = 4)
Element Type(s): | 2-D Thermal Solid Elements (PLANE55)
Input Listing: | vm113.dat

Test Case

A long metal bar of rectangular cross-section is initially at a temperature To and is then suddenly quenched in a large volume of fluid at temperature Tf. The material conductivity is orthotropic, having different X and Y directional properties. If the surface convection coefficient is h, determine the temperature distribution in the slab after 3 seconds in the following locations of the bar:

  • center

  • corner edge

  • face centers of the bar

Figure 113.1 Orthotropic Metal Bar Problem Sketch

Material Properties
kx = 20 Btu/hr-ft-°F
ky = 3.6036 Btu/hr-ft-°F
γ = 400 lb/ft3
c = 0.009009 Btu/lb-°F
h = 240 Btu/hr-ft2-°F
Geometric Properties
a = 2 in = (2/12) ft
b = 1 in = (1/12) ft
Loading
To = 500°F
Tf = 100°F

Analysis Assumptions and Modeling Notes

A nonuniform grid (based on a geometric progression) is used in both X and Y directions to model a quarter of the bar cross-section. Automatic time stepping is used. The initial integration time step = (3/3600)(1/40) is greater than (δ2/4α), where δ is the shortest element length (0.0089 ft) and α is the thermal diffusivity (ky/γc = 1.0 ft2/hr).

Results Comparison

Time = 3 sec. (=0.0008333 hr.) | Target[1] | ANSYS | Ratio
T, °F (Node 1) | 459. | 457. | 1.00
T, °F (Node 7) | 151. | 158. | 1.05
T, °F (Node 13) | 279. | 288. | 1.03
T, °F (Node 2) | 202. | 204. | 1.01

  1. Based on graphical estimates.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM112 		Up / Home Next
VM114


VM114

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM114

Temperature Response to Increasing Temperature

Overview

Reference: | P. J. Schneider, Conduction Heat Transfer, 2nd Printing, Addison-Wesley Publishing Co., Inc., Reading, MA, 1957, pp. 274-275, article 11-2, eq. 11-9.
Analysis Type(s): | Thermal Analysis (ANTYPE = 4)
Element Type(s): | 3-D Conduction Bar Elements (LINK33)
Input Listing: | vm114.dat

Test Case

A semi-infinite solid, initially at a temperature To, is subjected to a linearly rising surface temperature Ts = 3600 t, where Ts is in °F and t is time in hours. Determine the temperature distribution in the solid at t = 2 min.

Figure 114.1 Linearly-rising Surface Temperature Problem Sketch

Material Properties
k = 10 Btu/hr-ft-°F
γ = 500 lb/ft3
c = 0.2 Btu/lb-°F
Loading
To = 0°F @ t = 0
Ts = 120°F @ t = 2 (ramped) (see Figure 114.2: "Temperature vs. Time Plot")

Analysis Assumptions and Modeling Notes

A nonuniform mesh is used to model the nonlinear thermal gradient through the solid. An arbitrary area of 1 ft2 is used for the elements. The length of the model is taken as 0.3 ft assuming that no significant temperature change occurs at the interior end point (Node 2) during the time period of interest (2 min). This assumption is validated by the temperature of node 2 at the end of the transient analysis.

Automatic time stepping is used with an initial integration time step (0.03333/20 = 0.001666 hr) greater than δ2/4α, where δ = minimum element conducting length (0.0203 ft) and α = thermal diffusivity ( = k/ γc = 0.1 ft2/hr).

Note that the KBC key (not input) defaults to zero, resulting in the surface temperature load being ramped linearly to its final value.

POST26 and POST1 are used to obtain the temperature history at the node locations, and the temperature distribution at t = 0.03333 hr, respectively.

Results Comparison

Time = 0.03333 hr |  | Target | ANSYS | Ratio
T, °F (Node 1) | @ x = 0.0 ft | 120.00 | 120.00 | 1.000
T, °F (Node 3) | @ x = 0.0203 ft | 79.32 | 79.07 | 0.997
T, °F (Node 4) | @ x = 0.0441 ft | 46.62 | 46.35 | 0.994
T, °F (Node 5) | @ x = 0.0719 ft | 23.44 | 23.25 | 0.992
T, °F (Node 6) | @ x = 0.1044 ft | 9.51 | 9.52 | 1.00
T, °F (Node 2) | @ x = 0.3 ft | 0.0 | 0.03 | -

Figure 114.2 Temperature vs. Time Plot

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM113 		Up / Home Next
VM115


VM115

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM115

Thermal Response of a Heat-generating Slab

Overview

Reference: | P. J. Schneider, Conduction Heat Transfer, 2nd Printing, Addison-Wesley Publishing Co., Inc., Reading, MA, 1957, pg. 283, article 11-4, eq. (11-21) and pg. 309, article 12-8.
Analysis Type(s): | Thermal Analysis (ANTYPE = 4)
Element Type(s): | 2-D Conduction Bar Elements (LINK32)
Input Listing: | vm115.dat

Test Case

An infinite plate of thickness [image], initially at a uniform temperature To, is subjected to a sudden uniformly distributed heat generation rate [image] and a surface temperature Ts. Determine the temperature distribution in the plate after 12 minutes.

Figure 115.1 Heat-Generating Slab Problem Sketch

Material Properties
k = 20 Btu/hr-ft-°F
γ = 500 lb/ft3
c= 0.2 Btu/lb-°F
Geometric Properties
= 1 ft
Loading
To = 60°F
Ts = 32°F (t>0)
= 4 x 104 Btu/hr-ft3

Analysis Assumptions and Modeling Notes

A 1 ft2 area is used for the conduction elements. Due to symmetry only half of the plate is modeled. Automatic time stepping is used. The initial integration time step (0.01 hr) is based on [image] δ2/4α, where δ is the element length (0.1 ft) and α is the thermal diffusivity (k/γc = 0.2 ft2/hr).

Results Comparison

Time = 0.2 hr | Target | ANSYS | Ratio
T, °F (Node 1) | 32.00 | 32.00 | 1.000
T, °F (Node 3) | 75.75 | 75.37 | 0.995
T, °F (Node 4) | 103.99 | 103.26 | 0.993
T, °F (Node 5) | 120.80 | 119.79 | 0.992
T, °F (Node 6) | 129.46 | 128.27 | 0.991
T, °F (Node 2) | 132.10 | 130.85 | 0.991

Using up to three terms of the infinite series solution in equation 11-21 of P. J. Schneider, Conduction Heat Transfer.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM114 		Up / Home Next
VM116


VM116

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM116

Heat Conducting Plate with Sudden Cooling

Overview

Reference: F. Kreith, Principles of Heat Transfer, 2nd Printing, International Textbook Co., Scranton, PA, 1959, pg. 161, ex. 4-11.
Analysis Type(s): Thermal Analysis (ANTYPE = 4)
Element Type(s):
Convection Link Elements (LINK34)
2-D Conduction Bar Elements (LINK32)
Input Listing: vm116.dat

Test Case

A large plate of thickness [image] initially has its left surface at temperature T1 and the other surface at temperature T2. The left surface is suddenly subjected to an environment temperature of T [image] = T2. The convection coefficient on this side is given by h = 2.0 + 0.02 (T - T [image]) where T is the surface temperature (function of time). Determine T after 7 hours. Graphically display the variation of T with time and the temperature distribution across the plate at 7 hours.

Figure 116.1 Heat Conducting Plate Problem Sketch

Material Properties
k = 2 Btu/hr-ft-°F
γ = 800 lb/ft3
c = 0.833 Btu/lb-°F
Geometric Properties
= 8 in = (8/12) ft
Loading
T1 = 500°F
T2 = 100°F

Analysis Assumptions and Modeling Notes

A 1 ft2 area is assumed for the conduction elements. The length of the convection element is taken as zero (arbitrarily selected). The finite element model is made the same as the theoretical model for a direct comparison. A steady-state solution is done in the first load step. Automatic time stepping is used. The initial integration time step (7/20 = 0.35 hr) is based on [image] δ2/4α, where δ is the nodal distance within the element (1/12 ft), and α is the thermal diffusivity k/γc = 0.003 ft2/hr). POST26 and POST1 are used to obtain the surface temperature history and the temperature distribution at the final time step, respectively.

Results Comparison

Time = 7 hr | Target | ANSYS | Ratio
T, °F (at X = 0.0 in) | 285.[1] | 293.[2] | 1.03

  1. Based on graphical estimates

  2. Temperature at Node 2

Figure 116.2 Surface Temperature History Plot

Figure 116.3 Temperature Distribution Across Thickness Plot

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM115 		Up / Home Next
VM117


VM117

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM117

Electric Current Flowing in a Network

Overview

Reference: A. E. Fitzgerald, D. E. Higginbotham, Basic Electrical Engineering, 2nd Edition, McGraw-Hill Book Co., Inc., New York, NY, 1957, pg. 22, ex. 1-11.
Analysis Type(s): Thermal (electrical) Analysis (ANTYPE = 0)
Element Type(s):
Coupled Thermal-Electric Line Elements (LINK68)
Electric Circuit Element (CIRCU124)
Input Listing: vm117.dat

Test Case

The network shown below is that of an unbalanced bridge used in measuring resistance. With the circuit parameters as specified, determine the current Ia-b flowing in each branch (from a to b) and the voltage at each node.

Figure 117.1 Electric Current Problem Sketch

Material Properties
R2-1 = 20 Ω
R3-1 = 10 Ω
R2-3 = 9 Ω
R4-2 = 30 Ω
R4-3 = 90 Ω
Loading
Vo = 100 volts

Analysis Assumptions and Modeling Notes

The branch resistance is implicitly input as the element area (real constant). A convenient geometric configuration is assumed ( [image] = 1 ft) and the material resistivity is taken as 1 ohm-ft (input as material property RSVX). The areas are calculated from the relation: A = ρ [image] /R, where A = area of element (ft2), [image] = length of element (ft), ρ = resistivity (ohm-ft), R = given resistance (ohm).

Node 1 is assumed to be the ground node for reference. POST1 is used to extract the currents in each branch. A negative value indicates that current flow is opposite to the assumed direction (Node I to J of the element).

Results Comparison

LINK68 | Target | ANSYS | Ratio
V1, volts | 0.0 | 0.0 | -
V2, volts | 28.0 | 28.0 | 1.00
V3, volts | 19.0 | 19.0 | 1.00
V4, volts | 100.0 | 100.0 | 1.00
I2-1, amps | 1.4 | 1.4 | 1.00
I3-1, amps | 1.9 | 1.9 | 1.00
I2-3, amps | 1.0 | 1.0 | 1.00
I4-2, amps | 2.4 | 2.4 | 1.00
I4-3, amps | 0.9 | 0.9 | 1.00
I1-4, amps | 3.3 | 3.3 | 1.00
CIRCU124 | Target | ANSYS | Ratio
V1, volts | 0.0 | 0.0 | -
V2, volts | 28.0 | 28.0 | 1.00
V3, volts | 19.0 | 19.0 | 1.00
V4, volts | 100.0 | 100.0 | 1.00
I2-1, amps | 1.4 | 1.4 | 1.00
I3-1, amps | 1.9 | 1.9 | 1.00
I2-3, amps | 1.0 | 1.0 | 1.00
I4-2, amps | 2.4 | 2.4 | 1.00
I4-3, amps | 0.9 | 0.9 | 1.00
I1-4, amps | 3.3 | 3.3 | 1.00

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM116 		Up / Home Next
VM118


VM118

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM118

Centerline Temperature of a Heat-generating Wire

Overview

ANSYS 11.0

Reference: W. M. Rohsenow, H. Y. Choi, Heat, Mass and Momentum Transfer, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1963, pg. 106, ex. 6.5.
Analysis Type(s): Thermal Analysis (CIRCU124 = 0)
Element Type(s):
2-D Thermal Solid Elements (PLANE55)
3-D Thermal Solid Elements (SOLID70)
Input Listing: vm118.dat

Test Case

Determine the centerline temperature [image] and the surface temperature Ts of a bare steel wire generating heat at the rate [image]. The surface convection coefficient between the wire and the air (at temperature Ta) is h. Also determine the heat dissipation rate q.

Figure 118.1 Heat-generating Wire Problem Sketch

Material Properties
k = 13 Btu/hr-ft-°F
h = 5 Btu/hr-ft2-°F
Geometric Properties
ro = 0.375 in = 0.03125 ft
Loading
Ta = 70°F
= 111311.7 Btu/hr-ft3

Analysis Assumptions and Modeling Notes

The problem is solved first using conducting area elements (PLANE55) and then using conducting solid elements (SOLID70). Since the problem is axisymmetric, only a one-element sector is needed. A small angle Θ = 10° is used for approximating the circular boundary with a straight-sided element. Nodal coupling is used to ensure circumferential symmetry. The solution is based on a wire 1 foot long (Z-direction). POST1 is used to extract results from the solution phase. Total heat dissipation is computed parametrically at the outer surface as HRATE using q = h.area.(Ts - Ta).

Results Comparison

 |  | Target | ANSYS | Ratio
PLANE55 | Centerline Temperature, °F | 419.9 | 418.6 | 0.997
 | Ts, °F | 417.9 | 416.5 | 0.997
 | q, Btu/hr | 341.5 | 339.8 | 0.995
SOLID70 | Centerline Temperature, °F | 419.9 | 418.6 | 0.997
 | Ts, °F | 417.9 | 416.5 | 0.997
 | q, Btu/hr | 341.5 | 339.8 | 0.995

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM117 		Up / Home Next
VM119


VM119

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM119

Centerline Temperature of an Electrical Wire

Overview

Reference: W. M. Rohsenow, H. Y. Choi, Heat, Mass and Momentum Transfer, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1963, pg. 106, ex. 6.5.
Analysis Type(s): Thermal Analysis (ANTYPE = 0)
Element Type(s):
2-D Coupled Thermal-Electric Solid Elements (PLANE67)
3-D Coupled Thermal-Electric Solid Elements (SOLID69)
2-D Coupled-Field Solid Elements (PLANE223)
3-D Coupled-Field Solid Elements (SOLID226)
Input Listing: vm119.dat

Test Case

Determine the centerline temperature [image] and the surface temperature Ts of a bare steel wire carrying a current I and having a resistance R. The surface convection coefficient between the wire and the air (at temperature Ta) is h. Also determine the heat dissipation rate q.

Figure 119.1 Electrical Wire Problem Sketch

Material Properties
k = 13 Btu/hr-ft °F
h = 5 Btu/hr-ft2-°F
R = 0.0001 Ω/ft
Geometric Properties
ro = 0.375 in = 0.03125 ft
Loading
Ta = 70°F
I = 1000 A

Analysis Assumptions and Modeling Notes

The problem is solved first using thermal-electric axisymmetric elements (PLANE67, PLANE223) and then using thermal-electric solid elements (SOLID69, SOLID226).

A 1 foot axial length is chosen for convenience. Nodal coupling is used to ensure axial symmetry (as well as circumferential symmetry in the case of (SOLID69). The voltage drop per foot is IR = 0.1 volt/ft. The resistivity ρ is calculated as ρ = RA/L = (0.0001)(π)(0.03125)2/(1) = 3.06796 x 10-7 Ω-ft.

A conversion factor 3.415 (Btu/hr)/W must be included in the resistivity ρ so that the Joule heat units match the thermal units ρ/3.415 = 8.983782 x 10-8. Current printout is divided by 3.415 to get electrical (amp) units. The steady-state convergence procedures are used.

For the thermal-electric axisymmetric elements (SOLID69), nodes 1 through 16 are assumed to be ground nodes for reference. The solution is based on a unit radian model. Since the problem is axisymmetric, only a one-element sector is needed. A small angle Θ = 10° is used for approximating the circular boundary with a straight-sided element.

POST1 is used to extract results from the solution phase. Total heat dissipation is computed parametrically at the outer surface as HRATE using q = h.area.(Ts-Ta).

Results Comparison

 |  | Target[1] | ANSYS | Ratio
PLANE67 | Centerline Temperature, °F | 419.9 | 420.0 | 1.000
 | Ts, °F | 417.9 | 417.8 | 1.000
 | q, Btu/hr | 341.5 | 341.5[2] | 1.000
SOLID69 | Centerline Temperature, °F | 419.9 | 418.6 | 0.997
 | Ts, °F | 417.9 | 416.5 | 0.997
 | q, Btu/hr | 341.5 | 339.8[3] | 0.995
PLANE223 | Centerline Temperature, °F | 419.9 | 420.0 | 1.000
 | Ts, °F | 417.9 | 417.8 | 1.000
 | q, Btu/hr | 341.5 | 341.5 | 1.000
SOLID226 | Centerline Temperature, °F | 419.9 | 418.6 | 0.997
 | Ts, °F | 417.9 | 416.5 | 0.997
 | q, Btu/hr | 341.5 | 339.8 | 0.995

  1. Solution recalculated

  2. Total Joule heat rate/radian x 2 π

  3. Calculated from heat flow rate per 10° sector x 36 sectors

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM118 		Up / Home Next
VM120


VM120

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM120

Microstrip Transmission Line Capacitance

Overview

Reference: | J. Beren, R. Kaires, "EMGAP Solves Electromagnetic Problems Using Finite Element Analysis", Tektronix Internal Publication, Beaverton, OR, May 1983.
Analysis Type(s): | Electrostatic Analysis (ANTYPE = 0)
Element Type(s): | 2-D 8-Node Electrostatic Solid Element (PLANE121)
Input Listing: | vm120.dat

Test Case

A shielded microstrip transmission line consists of a substrate, microstrip, and a shield. The strip is at a potential V1, and the shield is at a potential V0. Determine the capacitance of the transmission line.

Figure 120.1 Microstrip Transmission Line Problem Sketch

Material Properties
ε0 = 8.85 x 10-12 F/m
ε1 = 8.85 x 10-11 F/m
Geometric Properties
a = 10 cm
b = 1 cm
w = 1 cm
Loading
V1 = 1.5 v
V0 = 0.5 v

Analysis Assumptions and Modeling Notes

The capacitance of the device can be calculated from electrostatic energy and the applied potential difference as We = 1/2 C (V1-Vo)2 where We is the electrostatic energy and C is the capacitance. The electrostatic energy is available by summing the energies for all the elements in the model in POST1. Additional postprocessing includes displaying equipotential lines and the electric field as vectors.

Results Comparison

 | Target | ANSYS | Ratio
Capacitance, pF/m | 178.1 | 179.0 | 1.005

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM119 		Up / Home Next
VM121


VM121

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM121

Laminar Flow Through a Pipe with Uniform Heat Flux

Overview

Reference:
F. M. White, Fluid Mechanics, McGraw-Hill Book Co., Inc., New York, NY, 1979.
F. P. Incropera, D. P. DeWitt, Fundamentals of Heat Transfer, John Wiley & Sons, 1981.
Analysis Type(s): CFD Thermal Analysis (FLOTRAN)
Element Type(s): 2-D Fluid-Thermal Element (FLUID141)
Input Listing: vm121.dat

Test Case

Pressure-driven flow in a straight duct of circular cross-section with radius R. Inlet and outlet boundaries have uniform, dissimilar pressure boundary conditions. The mean fluid temperature at the inlet is Tm,i. The pipe is subjected to a uniform wall heat flux, q'', throughout its length, L.

From the Velocity Field Determine |  |  | From the Temperature Field Determine
VXc | = | centerline axial velocity | LE,T | = | thermal entry length
VXm | = | mean axial velocity | Tm,o | = | outlet mean temperature
Re | = | Reynolds number | Tw,o | = | outlet wall temperature
 | = | mass flow rate | Tc,o | = | outlet centerline temperature
τw | = | wall shear stress |  |  |
Fluid Properties
Mercury (Hg) at 300K
ρ = 13,529 kg/m3
μ = 1.523 x 10-3 kg/m-sec
k = 8.54 W/m-K
Cp = 139.3 J/kg-K
Pr = 0.025 (liquid metal)
Geometric Properties
R = 2.5 mm
L = 0.1 m
Loading
ΔP = 1.0 Pa
Tm,i = 300 K
q''= 5000 W/m2

Figure 121.1 Pipe with Uniform Heat Flux Problem Sketch

Assumptions

  • steady-state flow

  • incompressible fluid

  • radial (VY) and circumferential (VZ) velocities are zero

  • axial (VX) velocity is a function of radius (Y) only

  • axial pressure gradient, ΔP/L, is a negative constant

  • pipe wall has negligible thermal resistance

  • no body forces

  • fluid properties are constant

Velocity Solution

For steady-state conditions, the velocity field for this problem is fully-developed throughout the pipe. The velocity profile follows the "Hagen-Poiseuille" paraboloid, given by F. M. White, Fluid Mechanics:

From the above, the centerline velocity is:

The mean velocity is defined as:

where:

AF = flow area

The flow Reynold's number is:

The mass flow rate is:

The wall shear stress is:

Temperature Solution

As the uniform-temperature fluid enters the pipe, convection heat transfer occurs and a thermal boundary layer begins development along the pipe wall. Since the surface heat flux is constant, a thermally-developed flow condition is eventually reached downstream. For laminar flow, this thermal entry length may be expressed by F. P. Incropera, D. P. DeWitt, Fundamentals of Heat Transfer as:

where:

D = 2R

The mean temperature at any cross-section is defined by F. P. Incropera, D. P. DeWitt, Fundamentals of Heat Transfer as:

Applying conservation of energy, the heat input from the applied flux should balance the heat removed through fluid mass transport, or:

where:

As = wall surface area

The outlet mean temperature is then:

To determine the outlet wall temperature, we employ Newton's law of cooling (see F. P. Incropera, D. P. DeWitt, Fundamentals of Heat Transfer):

where:

h = convection film coefficient

For laminar, thermally-developed conditions in a circular pipe with a constant heat flux, the Nusselt number is constant, independent of Re, Pr and axial location. It is known to be:

The outlet wall temperature is then:

where:

For the thermally-developed region with constant surface heat flux, the temperature profile is of the form as described in F. P. Incropera, D. P. DeWitt, Fundamentals of Heat Transfer:

where:

Since

is assumed constant over the entire pipe length, or:

The outlet centerline temperature is then:

Results Comparison

 |  | Target | ANSYS | Ratio
VXc | (cm/sec) | 1.026 | 1.030 | 1.004
VMm | (cm/sec) | 0.513 | 0.512 | 0.998
Mass Flow Rate | (kg/sec) | 0.00136 | 0.00136 | 1.000
Wall Shear Stress | (Pa) | 0.0125 | 0.01214 | 0.971
Tm,o | (K) | 341.4 | 340.8 | 0.998
Tw,o | (K) | 342.1 | 341.4 | 0.998
Tc,o | (K) | 341.0 | 340.4 | 0.998

Figure 121.2 Laminar Flow Through a Pipe with Uniform Heat Flux

Figure 121.3 Contours of Axial Velocity

Figure 121.4 Contours of Wall Shear Stress

Figure 121.5 Contours of Temperature

Figure 121.6 Axial Velocity Profile, VX(R)

Figure 121.7 Outlet Temperature Profile, T(R)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM120 		Up / Home Next
VM122


VM122

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM122

Pressure Drop in a Turbulent Flowing Fluid

Overview

Reference: | R. C. Binder, Fluid Mechanics, 3rd Edition, 3rd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1956, pg. 118, article 8-6.
Analysis Type(s): | Thermal (pressure) Analysis (ANTYPE = 0)
Element Type(s): | Coupled Thermal-Fluid Pipe Elements (FLUID116)
Input Listing: | vm122.dat

Test Case

Benzene at 50°F flows through a horizontal commercial steel pipe of diameter d, with an average velocity v. Determine the pressure drop, Δp, in a length [image] of pipe. The pipe friction factor is f.

Figure 122.1 Turbulent Flowing Fluid Problem Sketch

Material Properties
f = 0.016
sp. gr. (specific gravity) = 0.9
Geometric Properties
= 200 ft = 2400 in
d = 6 in
Loading
v = 132 in/sec

Analysis Assumptions and Modeling Notes

The inlet flow rate w is input as a nodal quantity. The outlet pressure is defined to be zero for reference. An iterative solution is required to find the pressure drop. The following quantities are required for input and are calculated from the given data:

ρ = mass density | = sp. gr. x ρH20 = 0.9 x 62.4
 | = /(386.4 x 123) = 8.411 x 10-5 lbf-sec2/in4
w = mass flow rate | = ρvA = 8.411 x 10-5 x 132 x π x 6 2/4
 | = .3138 lbf/sec/in

Results Comparison

 | Target | ANSYS | Ratio
Pressure Drop , psi | 4.69 | 4.69[1] | 1.00

  1. Pressure drop Δp is given by PRES degree of freedom at node 1.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM121 		Up / Home Next
VM123


VM123

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM123

Laminar Flow in a Piping System

Overview

Reference: | Crane Company Engineering Division, "Flow of Fluids through Valves, Fittings, and Pipe", Technical Paper No. 410, Chicago, IL, 1969, pg. 4-5, ex. 4-9.
Analysis Type(s): | Thermal (pressure) Analysis (ANTYPE = 0)
Element Type(s): | Coupled Thermal-Fluid Pipe Elements (FLUID116)
Input Listing: | vm123.dat

Test Case

S.A.E. 70 lube oil at 0°F is flowing through a horizontal 5” schedule 40 piping system (of diameter d) at a flow rate w. Determine the pressure drop, Δp, and the Reynold's number Re. Assume that the friction factor is determined by the laminar flow relationship for smooth pipes. The equivalent length of elbow and valves to account for flow losses is [image] a.

Figure 123.1 Laminar Flow Problem Sketch

Material Properties
μ = viscosity = 0.010032 lb-sec/ft2
ρ = 1.7546 lb-sec2/ft4
Geometric Properties
d = 0.4206 ft
1 = 175 ft
2 = 75 ft
3 = 50 ft
a = 53 ft
Loading
w = 2.345 slugs/se/sec

Analysis Assumptions and Modeling Notes

The piping system is modeled using a single element of length [image] = [image] 1 + [image] 2 + [image] 3 = 300 ft. The flow, w, is input at the inlet node. The exit pressure is defined to be zero for reference. An iterative solution is required. A friction factor of 0.05 (input for MU) is assumed for a starting value.

Results Comparison

 | Target | ANSYS | Ratio
Pressure Drop, lb/ft2 | 6160. | 6164.[1] | 1.001
Re | 708. | 708. | 1.000

  1. Pressure drop Δp is given by the PRES degree of freedom at node 1.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM122 		Up / Home Next
VM124


VM124

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM124

Discharge of Water from a Reservoir

Overview

Reference: | K. Brenkert, Jr., Elementary Theoretical Fluid Mechanics, John Wiley and Sons, Inc., New York, NY, 1960, pg. 224, ex. 4.
Analysis Type(s): | Thermal (pressure) Analysis (ANTYPE = 0)
Element Type(s): | Coupled Thermal-Fluid Pipe Elements (FLUID116)
Input Listing: | vm124.dat

Test Case

Water (density ρ, viscosity μ) flows from a large reservoir into a long piping system. Determine the Reynold's number Re and the flow rate w for pipes of friction factor f and diameter d. The loss coefficients for the sharp-edged entrance and 90° elbow are K1 and K2, respectively.

Material Properties
ρ = 1.94 lb-sec2/ft4
μ = 2.36 x 10-5 lb-sec/ft2
Geometric Properties
H = 20 ft
1 = 20 ft
2 = 70 ft
3 = 10 ft
d = 0.25 ft
Loading
K1 = 0.5
K3 = 0.9
f = 0.028 for 105 < Re < 106
g = 32.2 ft/sec2

Analysis Assumptions and Modeling Notes

The reservoir head is given by (H - [image] 3) = 10 ft. This is applied as a pump head within a short (0.01 ft, to minimize friction) horizontal element. The acceleration input accounts for the vertical flow. The exit pressure and the water surface pressure is defined to be zero. An iterative solution is required. A friction factor of 0.025 (input for MU) is assumed for a starting value.

Results Comparison

 | Target | ANSYS | Ratio
w, lbfsec/ft | 0.898 | 0.930[1] | 1.04
Re | 1.94 x 105 | 2.01 x 105 | 1.04

  1. w is given by nodal flow at node 1.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM123 		Up / Home Next
VM125


VM125

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM125

Radiation Heat Transfer Between Concentric Cylinders

Overview

Reference: F. Kreith, Principles of Heat Transfer, 2nd Printing, International Textbook Co., Scranton, PA, 1959, pg. 260.
Analysis Type(s):
Thermal Analysis (ANTYPE = 0)
AUX12 (Radiation View Factor Utility)
Element Type(s):
2-D Conduction Bar Elements (LINK32)
Superelement (or Substructure) (MATRIX50)
Input Listing: vm125.dat

Test Case

Two long concentric cylinders are held at constant temperatures T1 and T2. Determine the rate of radiative heat transfer between the cylinders.

Figure 125.1 Concentric Cylinders Problem Sketch

Material Properties
ε1 = 0.7
ε2 = 0.5
Geometric Properties
r1 = 1 in
r2 = 2 in
Loading
T1 = 1000°R
T2 = 460°R

Analysis Assumptions and Modeling Notes

The cylinders are assumed to be sufficiently long enough to neglect end losses. A 2-D model is used to determine the heat transfer rate per unit depth. The thermal conductivity and cross-sectional areas of the conducting bars are arbitrarily set equal to 1. The Stefan-Boltzmann constant defaults to 0.119 x 10-10 Btu/hr-in2-°R4 (value given in reference).

Results Comparison

 | Target | ANSYS | Ratio
Q, Btu/hr-in | 37.0[1] | 36.4 | 0.984

  1. Based on two cylinders 100 inches long.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM124 		Up / Home Next
VM126


VM126

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM126

Heat Transferred to a Flowing Fluid

Overview

Reference: | W. M. Rohsenow, H. Y. Choi, Heat, Mass and Momentum Transfer, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1963, pg. 168, ex. 7.5
Analysis Type(s): | Thermal (fluid flow) Analysis (ANTYPE = 0)
Element Type(s): | Coupled Thermal-Fluid Pipe Elements (FLUID116)
Input Listing: | vm126.dat

Test Case

Heat is transferred to air at 14.7 psi, and temperature Ti, flowing at a rate w inside a round tube of length [image] and diameter d having a uniform tube wall temperature Tw. Determine the heat flow in terms of the inlet (qin) and outlet (qout) heat transport rates. Also determine the air outlet temperature To. The convection coefficient is given by the expression Nu = 0.08 Re0.7 Pr0.35 + 1.63. The tube is nearly frictionless.

Figure 126.1 Flowing Fluid Problem Sketch

Material Properties
k = 0.017 BTU/hr-ft-°F
c = 1.002 x 188 BTU -ft/lbf-hr2-°F
μ = 1.17418 x 10-10 lbf hr/ft4
ρ = 1.4377 x 10-10 lbf-hr2/ft4
f = 0.001 for 0 < Re < 5 x 104
Geometric Properties
d = 1 in = (1/12) ft
= 5 in = (5/12) ft
Loading
Ti = 100°F
Tw = 200°F
w = 1.131 x 10-8 lbf hr/ft

Analysis Assumptions and Modeling Notes

The convection node locations are arbitrarily selected as coincident. The flow rate (w) is input as a real constant, so MU is not required to be input. The nonlinear material property table is used to input the friction factor table and the flow-dependent film coefficient. Since the heat transport rate is calculated at the element inlet, an extra element is extended beyond the tube exit to obtain qout. POST1 is used to report the required quantities.

Results Comparison

 | Target | ANSYS | Ratio
To , °F | 123.0 | 122.55[1] | 1.00
qin , Btu/hr | 113.28 | 113.44[2] | 1.001
qout , Btu/hr | 139.33 | 139.02[2] | 1.000

  1. Temperature at Node 17.

  2. qin and qout are obtained from the heat transport rates of elements 1 and 9, respectively.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM125 		Up / Home Next
VM127


VM127

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM127

Buckling of a Bar with Hinged Ends (Line Elements)

Overview

Reference: S. Timoshenko, Strength of Material, Part II, Elementary Theory and Problems, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1956, pg. 148, article 29.
Analysis Type(s):
Buckling Analysis (ANTYPE = 1)
Static (prestress) Analysis (ANTYPE = 0)
Element Type(s): 2-D Elastic Beam Elements (BEAM3)
Input Listing: vm127.dat

Test Case

Determine the critical buckling load of an axially loaded long slender bar of length [image] with hinged ends. The bar has a cross-sectional height h, and area A.

Figure 127.1 Buckling Bar Problem Sketch

Material Properties
E = 30 x 106 psi
Geometric Properties
= 200 in
A = 0.25 in2
h = 0.5 in
Loading
F = 1 lb

Analysis Assumptions and Modeling Notes

Only the upper half of the bar is modeled because of symmetry. The boundary conditions become free-fixed for the half symmetry model. A total of 10 master degrees of freedom in the X-direction are selected to characterize the buckling mode. The moment of inertia of the bar is calculated as I = Ah2/12 = 0.0052083 in4 .

Results Comparison

 | Target | ANSYS | Ratio
Fcr, lb | 38.553 | 38.553[1] | 1.000

  1. Fcr = Load Factor (1st mode).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM126 		Up / Home Next
VM128


VM128

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM128

Buckling of a Bar with Hinged Ends (Area Elements)

Overview

Reference: S. Timoshenko, Strength of Material, Part II, Elementary Theory and Problems, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1956, pg. 148, article 29.
Analysis Type(s):
Buckling Analysis (ANTYPE = 1)
Static (Prestress) Analysis (ANTYPE = 0)
Element Type(s): 2-D Structural Solid Elements (PLANE42)
Input Listing: vm128.dat

Test Case

Determine the critical buckling load of an axially loaded long slender bar of length [image] with hinged ends. The bar has a cross-sectional height h, and area A.

Figure 128.1 Buckling Bar Problem Sketch

Material Properties
E = 30 x 106 psi
Geometric Properties
= 200 in
A = 0.25 in 2
h = 0.5 in
Loading
F = 1 lb

Analysis Assumptions and Modeling Notes

Only the upper half of the bar is modeled because of symmetry. The boundary conditions become free-fixed for the half symmetry model. The bar is assumed to have a rectangular cross-section (thickness = A/h = 0.5 in).

Results Comparison

 | Target | ANSYS | Ratio
Fcr, lb subspace | 38.553 | 38.714[1] | 1.004
Fcr, lb Block-Lanczos | 38.553 | 38.717[1] | 1.004

  1. Fcr = Load Factor (1st mode).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM127 		Up / Home Next
VM129


VM129

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM129

Numerical Differentiation and Integration

Overview

Reference: | Any Basic Calculus Book
Analysis Type(s): | First and Second Derivatives and Integrals Using APDL
Element Type(s): | None
Input Listing: | vm129.dat

Test Case

Given a sine wave f(t) = A sin ωt, find the maximum value of the first and second derivatives. For the same sine wave, find the values of the two integrals:

Figure 129.1 Numerical Differentiation and Integration

Definitions:

A = 1.2732
ω = frequency = π/72 rad/sec

Analysis Assumptions and Modeling Notes

Arrays for one cycle of 145 data points (one data point per second) are generated, starting from a value of 0 up to 144 (representing time, t, in sec). The *VOPER command is used to obtain the first and second derivatives, and the single and double integrals.

Results Comparison

 | Target | ANSYS | Ratio
df/dt (Max) | 5.555 x 10-2 | 5.554 x 10-2 | 1.000
d2f/dt2 (Max) | 2.424 x 10-3 | 2.422 x 10-3 | 0.999
l1 | 29.18 | 29.17 | 1.000
l2 | 381.7 | 381.7 | 1.000
max df/dt is obtained as DERIV1 array parameter E.
max d2f/dt2 is obtained as DERIV2 array parameter G

l1 and l2 are obtained from array parameters F and H (at row 37 corresponding to t = 36 sec)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM128 		Up / Home Next
VM130


VM130

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM130

Fourier Series Generation for a Saw Tooth Wave

Overview

Reference: | S. Timoshenko, D. H. Young, Vibration Problems in Engineering, D. Van Nostrand Co., Inc., New York, NY, 1955, pg. 102, problem 2.
Analysis Type(s): | Fourier Coefficients Generated and Series Evaluated Using APDL
Element Type(s): | None
Input Listing: | vm130.dat

Test Case

For the saw tooth wave shown below, determine the coefficients of the Fourier series approximating this wave. Plot both the given wave and the wave as evaluated from the calculated series.

Figure 130.1 Saw Tooth Wave Problem Sketch

Analysis Assumptions and Modeling Notes

The wave is described by 121 points (arbitrary). Twenty four terms are assumed to be sufficient for the series. Since the wave is antisymmetric, only sine terms with odd modes are chosen.

Results Comparison

 | Target | ANSYS | Ratio
Mode 1 Coefficient | 0.811 | 0.811 | 1.000
Mode 3 Coefficient | -0.901 x 10-1 | -0.902 x 10-1 | 1.002
Mode 5 Coefficient | 0.324 x 10-1 | 0.326 x 10-1 | 1.006
Mode 7 Coefficient | -0.165 x 10-1 | -0.167 x 10-1 | 1.014

Figure 130.2 Fourier Display

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM129 		Up / Home Next
VM131


VM131

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM131

Acceleration of a Rotating Crane Boom

Overview

Reference: | F. P. Beer, E. R. Johnston, Jr., Vector Mechanics for Engineers, Statics and Dynamics, 5th Edition, McGraw-Hill Book Co., Inc., New York, NY, 1962, pg. 616, problem 15.13.
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | Structural Mass Elements (MASS21)
Input Listing: | vm131.dat

Test Case

Determine the acceleration at the tip P of a crane boom that has a constant angular velocity cab rotation (Ω) while being raised with a constant angular velocity (ω).

Figure 131.1 Rotating Crane Boom Problem Sketch

Geometric Properties
d = 34.64 ft
h = 20 ft
Loading
Ω = 0.3 rad/sec
ω = 0.5 rad/sec

Analysis Assumptions and Modeling Notes

Consider X', Y', Z' as the fixed reference coordinate system. The global Cartesian coordinate system (XYZ) is taken as attached to the cab which rotates at an angular velocity of Ω about the Y'-axis of the reference coordinate system. The boom angular velocity ω is applied about the global Z-axis. The Coriolis effect due to the rotation of the cab is modeled by putting a mass of 1 lb-sec2/ft (without rotary inertia) at point P, and constraining its degrees of freedom. The reaction forces at the mass then give the acceleration components.

Results Comparison

 | Target | ANSYS[1] | Ratio
ax , ft/sec2 | -11.78 | -11.78 | 1.00
ay , ft/sec2 | -5.00 | -5.00 | 1.00
az , ft/sec2 | 6.00 | 6.00 | 1.00

  1. ax , ay , az are given by the reaction forces at node 1 (FX, FY, FZ respectively).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM130 		Up / Home Next
VM132


VM132

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM132

Stress Relaxation of a Tightened Bolt Due to Creep

Overview

Reference: | S. Timoshenko, Strength of Material, Part II, Elementary Theory and Problems, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1956, pg. 531, article 93.
Analysis Type(s): | Static Analysis (ANTYPE = 0) (with creep properties and initial strain)
Element Type(s): | 2-D Spar (or Truss) Elements (LINK1)
Input Listing: | vm132.dat

Test Case

A bolt of length [image] and cross-sectional area A is tightened to an initial stress σo. The bolt is held for a long period of time t1 at an elevated temperature To. The bolt material has a creep strain rate given by dε/dt = kσn. Determine the stress σ in the bolt at various times during creep relaxation.

Figure 132.1 Tightened Bolt Problem Sketch

Material Properties
E = 30 x 106 psi
n = 7
k = 4.8 x 10-30/hr
Geometric Properties
= 10 in
A = 1 in2
Loading
σo = 1000 psi
To = 900°F
t1 = 1000 hr

Analysis Assumptions and Modeling Notes

An integration time step of 10 hours over the 1000 hour time range (i.e., 100 iterations) is used. The initial strain is calculated by σo/E = (1000 psi)/(30 x 106 psi) = 1/30000.

Results Comparison

 | Target | ANSYS(1) | Ratio
Stress, psi @t = 190 hr | 975. | 976. | 1.00
Stress, psi @t = 420 hr | 950. | 951. | 1.00
Stress, psi @t = 690 hr | 925. | 926. | 1.00
Stress, psi @t = 880 hr | 910. | 911. | 1.00
Stress, psi @t = 950 hr | 905. | 905. | 1.00

  1. Stress (σ) corresponds to the quantity SIG in POST26 listing.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM131 		Up / Home Next
VM133


VM133

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM133

Motion of a Rod Due to Irradiation Induced Creep

Overview

Reference: | Any basic calculus book
Analysis Type(s): | Static Analysis (with creep properties) (ANTYPE = 0)
Element Type(s): | 2-D Plastic Beam Elements (BEAM23)
Input Listing: | vm133.dat

Test Case

A rod of length [image] and square cross-sectional area A is held at a constant stress σo at a temperature To. The rod is also subjected to a constant neutron flux Φ. The rod material has an irradiation induced creep strain rate given by the relationship dεcr / dt = k1σΦe - (Φt / k2). Determine the amount of creep strain εcr accumulated up to 5 hours.

Figure 133.1 Rod Motion Problem Sketch

Material Properties
E = 300 psi
k1 = 0.5 x 10-12 in4/lb neutron
k2 = 1 x 1010 neutron/in2
Φ = 1 x 1010 neutron/in2-hr
Geometric Properties
= 1 in
A = 0.25 in2
h = 0.5 in
Loading
σo = 1 psi
To = 1000°F

Analysis Assumptions and Modeling Notes

A ramp fluence is required to be input for a constant flux (since time increases linearly). Two load steps are used so that the fluence can be ramped while the temperature is held constant. An integration time step of 0.1 hr is assumed over the 5 hour time range (50 substeps). The irradiation induced creep equation is accessed using C66 = 5 in the nonlinear material table. POST26 is used to obtain the variation of creep strain with time. The following quantities are required for input:

Maximum fluence = 5 Φ = 5 x 1010 neutron/in2
F = σo
A = 0.25 lb
h =
I = moment of inertia = A2/12 = 0.0052083 in4

Results Comparison

 | Target | ANSYS | Ratio
Creep Strain (t = 0.0 hr) | 0.00000 | 0.00000 | -
Creep Strain (t = 0.5 hr) | 0.00197 | 0.00197 | 0.998
Creep Strain (t = 1.0 hr) | 0.00316 | 0.00316 | 1.000
Creep Strain (t = 5.0 hr) | 0.00497 | 0.00496 | 0.999

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM132 		Up / Home Next
VM134


VM134

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM134

Plastic Bending of a Clamped I-Beam

Overview

Reference: | N. J. Hoff, The Analysis of Structures, John Wiley and Sons, Inc., New York, NY, 1956, pg. 388, article 4.5.
Analysis Type(s): | Static, Plastic Analysis (ANTYPE = 0)
Element Type(s): | 3-D Thin-walled Beam Elements (BEAM24)
Input Listing: | vm134.dat

Test Case

A wide-flanged I-beam of length [image], with clamped ends, is uniformly loaded as shown. Investigate the behavior of the beam at load w1 when yielding just begins at the ends, at load w2, when the midpoint begins to yield, and at load w3, when pronounced plastic yielding has occurred. The beam's cross-section is shown in Figure 134.1: "Clamped I-Beam Problem Sketch".

Figure 134.1 Clamped I-Beam Problem Sketch

Material Properties
E = 29 x 106 psi
ET = 5.8 x 106 psi
σy = 38,000 psi
Geometric Properties
= 144 in
b = 10 in
h = 10.6 in
tf = 0.9415 in
tw = 0.0001 in
Loading
w1 = 2190 lb/in
w2 = 3771 lb/in
w3 = 9039 lb/in

Analysis Assumptions and Modeling Notes

The beam cross-section is modeled as an idealized section to compare with the assumptions of the analytical solution. The loading is assumed to be applied through the centroid of the element cross-section (the neutral axis). Only half the beam is modeled, taking advantage of symmetry. Classical bilinear kinematic hardening behavior is used.

Results Comparison

 |  | Target | ANSYS | Ratio
w1 = 2190 lb/in | Midspan Deflection , in | -0.160 | -0.160 | 1.00
 | End Moment N, in-lb | -3.784 x 106 | -3.784 x 106 | 1.00
 | Mid Moment M, in-lb | -1.892 x 106 | -1.892 x 106 | 1.00
 | End Status | At Yield | At Yield | -
 | Mid Status | Elastic | Elastic | -
w2 = 3771 lb/in | Midspan Deflection , in | -0.357 | -0.359 | 1.01
 | End Moment N, in-lb | -5.98 x 106 | -5.97 x 106 | 1.00
 | Mid Moment M, in-lb | -3.78 x 106 | -3.80 x 106 | 1.01
 | End Status | Plastic | Plastic | -
 | Mid Status | At Yield | At Yield | -
w3 = 9039 lb/in | Midspan Deflection , in | -2.09 | -2.11 | 1.01
 | End Moment N, in-lb | -1.51 x 107 | -1.50 x 107 | 0.99
 | Mid Moment M, in-lb | -8.36 x 106 | -8.45 x 106 | 1.01
 | End Status | 0.0200 | 0.0206 | 1.03
 | Mid Status | 0.0089 | 0.0089 | 1.00

Note

δmid (midspan deflection) is UZ at node 10.

N (fixed-end moment and M (midspan moment) are obtained from the reaction moments MY at nodes 1 and 10 respectively. The end and mid status are determined by comparing SAXL to the yield stress (σy).

The total end strain is obtained y adding the quantities EPELAXL and EPPLAXL for element 1 (end l). The total mid strain is obtained by adding EPELAXL and EPPLAXL for element 9 (end J).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM133 		Up / Home Next
VM135


VM135

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM135

Bending of a Beam on an Elastic Foundation

Overview

Reference: | S. Timoshenko, Strength of Material, Part II, Elementary Theory and Problems, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1956, pg. 12, article 2.
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | 2-D Elastic Tapered Unsymmetric Beam Elements (BEAM54)
Input Listing: | vm135.dat

Test Case

A long (semi-infinite) beam on an elastic foundation is bent by a force F and a moment M applied at the end as shown. Determine the lateral end deflection of the beam δend. The elastic foundation stiffness k is based on 0.3 inches deflection under 10,000 lb loads spaced 22 inches apart.

Figure 135.1 Beam Problem Sketch

Material Properties
k = 1515.15 lb/in3
E = 30 x 106 psi
Geometric Properties
A = 23 in2
I = 44 in4
Loading
F = 1000 lb
M = 10,000 in-lb

Analysis Assumptions and Modeling Notes

A nodal spacing of 22 inches is selected to match the discrete foundation locations upon which the stiffness is based. The beam length is arbitrarily selected to be 286 in. The height of the beam cross-section h is arbitrarily taken as 5 inches (should not affect the end displacement).

Results Comparison

 | Target | ANSYS | Ratio
Deflectionend , in | -0.03762 | -0.03761[1] | 1.000

  1. UY at Node 1.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM134 		Up / Home Next
VM136


VM136

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM136

Large Deflection of a Buckled Bar (the Elastica)

Overview

Reference: | S. Timoshenko, J. M. Gere, Theory of Elastic Stability, 2nd Edition, McGraw-Hill Book Co. Inc., New York, NY, 1961, pg. 78, article 2.7.
Analysis Type(s): | Static Analysis (ANTYPE = 0) with Large Deflection
Element Type(s): | 2-D Elastic Beam Elements (BEAM3)
Input Listing: | vm136.dat

Test Case

A slender bar of cross-sectional height h, and area A, fixed at the base and free at the upper end, is loaded with a value larger than the critical buckling load. Determine the displacement (ΔX, ΔY, Θ) of the free end and display the deformed shape of the bar at various loadings.

Figure 136.1 Buckled Bar Problem Sketch

Material Properties
E = 30 x 106 psi
Geometric Properties
= 100 in
A = 0.25 in2
h = 0.5 in
Loading
F/Fcr = 1.015; 1.063; 1.152; 1.293; 1.518 and 1.884

Analysis Assumptions and Modeling Notes

The moment of inertia of the beam, I = Ah2/12 = 0.0052083 in4, is used for input and the critical force, Fcr = π2EI/4 [image] 2 = 38.553 lb, is used for calculation of the applied load F.

A small perturbing force is introduced in the first load step to produce lateral, rather than pure compressive, motion. The number of equilibrium iterations for convergence increases significantly as the loading approaches the critical load (i.e. for solutions with Θ near zero). The six displacement solutions are overlaid by displaying with the /NOERASE option set.

Results Comparison

 |  | Target | ANSYS | Ratio
F = 44.413 lb Load Step 3 | Angle, deg[1] | -60.0 | -59.4 | 0.990
 | DeflectionX, in | 59.3 | 58.9 | 0.993
 | DeflectionY, in | -25.9 | -25.3 | 0.977
F = 49.849 lb Load Step 4 | Angle, deg[1] | -80.0 | -79.5 | 0.994
 | DeflectionX, in | 71.9 | 71.8 | 0.998
 | DeflectionY, in | -44.0 | -43.5 | 0.989
F = 58.523 lb Load Step 5 | Angle, deg[1] | -100.0 | -99.8 | 0.998
 | DeflectionX, in | 79.2 | 79.2 | 1.000
 | DeflectionY, in | -65.1 | -64.8 | 0.995
F = 72.634 lb Load Step 6 | Angle, deg[1] | -120.0 | -120.0 | 1.000
 | DeflectionX, in | 80.3 | 80.4 | 1.002
 | DeflectionY, in | -87.7 | -87.5 | 0.997

  1. Angle (Θ) = ROTZ * (180/π ), where ROTZ is the node rotation in radians.

Figure 136.2 Deformed Shapes at Various Loads

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM135 		Up / Home Next
VM137


VM137

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM137

Large Deflection of a Circular Membrane

Overview

Reference: | S. Timoshenko, S. Woinowsky-Knieger, Theory of Plates and Shells, McGraw-Hill Book Co., Inc., New York, NY, 1959, pg. 404, eq. 236.
Analysis Type(s): | Static Analysis (ANTYPE = 0) with Large Deflection and Stress Stiffening
Element Type(s): | 2-Node Finite Strain Axisymmetric Shell (SHELL208)
Input Listing: | vm137.dat

Test Case

A circular membrane (of radius a and thickness t), clamped around its outer rim, is loaded with a uniform pressure p. Determine the deflection δ at the center, the radial stress σo at the center, and the radial stress σa at the rim.

Figure 137.1 Circular Membrane Problem Sketch

Material Properties
E = 30 x 106 psi
α = 1 x 10-5 in/in-°F
υ = 0.25
Geometric Properties
a = 10 in
t = 0.0001 in
Loading
p = 0.1 psi

Analysis Assumptions and Modeling Notes

Since there is no significant bending stiffness, the membrane is cooled by -50°F (arbitrary) in the first load step to induce a thermal prestress for stability. The pressure load is applied in the second load step. The cooling load is removed in the third load step. Moment convergence is removed by specifying force convergence, since the moments are not significant to the solution, thereby speeding convergence.

Results Comparison

Load Step 3 | Target | ANSYS | Ratio
Deflection, in (UY @ Node 1) | -0.459 | -0.464 | 1.011
Stresso , psi | 61,010 | 61,474.506[1] | 1.008
Stressa , psi | 47,310 | 47,521.693[2] | 1.004

  1. Near center at x = 0.5 in (SM stress at MID for element 1)

  2. Near rim at x = 9.5 in (SM stress at MID for element 10)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM136 		Up / Home Next
VM138


VM138

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM138

Large Deflection Bending of a Circular Plate

Overview

Reference: | S. Timoshenko, S. Woinowsky-Knieger, Theory of Plates and Shells, McGraw-Hill Book Co., Inc., New York, NY, 1959, pg. 401, eq. 232.
Analysis Type(s): | Static Analysis (ANTYPE = 0) with Large Deflection and Stress Stiffening
Element Type(s): | 2-Node Finite Strain Axisymmetric Shell (SHELL208)
Input Listing: | vm138.dat

Test Case

A circular plate (radius a and thickness t) built-in around its outer rim is loaded with a uniform pressure p. Determine the deflection δ at the center of the plate.

Figure 138.1 Circular Plate Problem Sketch

Material Properties
E = 2 x 1011 N/m2
υ = 0.3
Geometric Properties
a = 0.25 m
t = 0.0025 m
Loading
p = 6585.175 N/m2

Results Comparison

 | Target | ANSYS | Ratio
Deflection, m | -0.00125 | -0.00124[1] | 0.991

  1. UY @ Node 1

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM137 		Up / Home Next
VM139


VM139

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM139

Bending of a Long Uniformly Loaded Rectangular Plate

Overview

Reference: S. Timoshenko, Strength of Material, Part II, Elementary Theory and Problems, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1956, pg. 80, article 14.
Analysis Type(s): Static Analysis (ANTYPE = 0) with Large Deflection and Stress Stiffening
Element Type(s):
Elastic Shell Elements (SHELL63)
3-D Structural Solid Shell Elements (SOLSH190)
Input Listing: vm139.dat

Test Case

A rectangular plate whose length is large compared to its width is subjected to a uniform pressure p as shown. The shorter edges are simply-supported. Determine the direct stress σx (MID) at the middle of the plate and the maximum combined stress (direct plus bending) σx (BOT) at the bottom of the plate.

Figure 139.1 Rectangular Plate Problem Sketch

Material Properties
E = 30 x 106 psi
υ = 0.3
Geometric Properties
= 45 in
w = 9 in
t = 0.375 in
Loading
p = 10 lb/in2

Analysis Assumptions and Modeling Notes

Since the plate ends are "immovable" along the X-axis, a small lateral displacement due to the pressure load induces membrane stresses. The stress stiffening and large deflection capabilities are used to model this effect. The geometric and loading symmetry is used to model only half the plate with appropriate symmetry boundary conditions at the midspan.

Two analysis solutions are performed. The first solution (without large deflection and stress stiffening) results in a small deflection static solution (with no coupling between in-plane and transverse deflections). The second solution (with large deflection and stress stiffening) results in a converged solution with the coupling effects. POST1 is used to report nodal stresses along the plate middle and bottom. Note that these stresses are based on the original geometry and include the element rotations, due to the large deflection option.

The above two solutions are repeated using 3-D Solid Shell Element (SOLSH190). Two layers of SOLSH190 elements are used across the thickness and appropriate symmetry boundary conditions are applied at mid-thickness. Solid model adopts an approximate method for simulating shell simple support, leading to difference in stress Y component within a small boundary region.

Results Comparison

 |  | Target | ANSYS | Ratio
SHELL63
Small Deflection Solution | Stressx (MID), psi | 0.0 | 0.0 | -
 | Stressx (BOT), psi | 108,000. | 107,489.[1] | 0.995
Large Deflection Solution | Stressx (MID), psi | 11,240. | 10,964.[1] | 0.975
 | Stressx (BOT), psi | 25,280. | 25,012.[1] | 0.989
SOLSH190
Small Deflection Solution | Stressx (MID), psi | 0.0 | 0.0 | -
 | Stressx (BOT), psi | 108,000. | 107,971[1] | 1.000
Large Deflection Solution | Stressx (MID), psi | 11,240 | 11,193 [1] | 0.996
 | Stressx (BOT), psi | 25,280 | 24,605 [1] | 0.973

  1. POST1 maximum nodal stresses.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM138 		Up / Home Next
VM140


VM140

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM140

Stretching, Twisting and Bending of a Long Shaft

Overview

Reference: | S. Timoshenko, Strength of Material, Part I, Elementary Theory and Problems, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1955, pg. 296, article 65.
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | Axisymmetric-Harmonic 8-Node Structural Solid Elements (PLANE83)
Input Listing: | vm140.dat

Test Case

A long solid circular shaft of length [image] and diameter d is built-in at one end and loaded at the other end by a twisting moment, an axial force, and a vertical force as shown. Determine the maximum shear stress τ at the wall due to the moment. Determine the maximum normal stress σy at the wall and at one inch from the wall due to the forces. Also determine the maximum combined stress σ1 at the wall due to both the moment and the forces.

Figure 140.1 Shaft Problem Sketch

Material Properties
E = 30 x 106 psi
υ = 0.0
Geometric Properties
= 24 in
d = 1 in
Loading
Fv = -25 lb
M = -200 in-lb
Fa = 100 lb

Analysis Assumptions and Modeling Notes

The loads are applied at only one node (node 75) for convenience since the cross section of interest (at the wall) is far from the load. Nodal forces are applied on full circumference basis and are calculated for symmetric mode 1 as follows:

FZ = | -2M/d | = 400
FX = | 2Fv | = -50 (see Triangle, Prism and Tetrahedral Elements in Elements Reference)
FY = | Fa | = 100

Poisson's ratio is taken as zero to avoid the stress concentration at the built-in end due to the axial force. The nonaxisymmetric loading capability of this element type (PLANE83) is used to model the bending effect. POST1 is used to report maximum stresses at the wall.

Results Comparison

Maximum Stresses | Target | ANSYS | Ratio
TORSION shear stress, psi | 1018.6 | 1018.6[1] | 1.000
AXIAL + BENDING Stressy , psi (at y = 0) | 6238.9 | 6239.9[1] | 1.000
COMBINED Stress1 , psi | 6401.0 | 6402.1[1] | 1.000

  1. POST1 nodal stresses at node 51

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM139 		Up / Home Next
VM141


VM141

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM141

Diametral Compression of a Disk

Overview

Reference: S. Timoshenko, J. N. Goodier, Theory of Elasticity, 2nd Edition, McGraw-Hill Book Co., Inc., New York, NY, 1951, pg. 107, article 37.
Analysis Type(s):
Static Analysis (ANTYPE = 0)
Substructure Analysis (ANTYPE = 7)
Element Type(s):
2-D 8-Node Structural Solid Plane Stress Elements (PLANE82)
2-D 8-Node Structural Solid Elements (PLANE183)
8-Node Structural Shell Elements (SHELL93)
Superelement (or Substructure) (MATRIX50)
2-D Quadrilateral Structural Solid p-Elements (PLANE145)
4-Node Finite Strain Shell Elements (SHELL181)
8-Node Finite Strain Shell Elements (SHELL281)
Input Listing: vm141.dat

Test Case

Two equal and opposite forces act along the vertical diameter of a disk as shown. Determine the compressive stress at the center of the disk and on the major horizontal diameter at 0.1 in. from the center.

Figure 141.1 Disk Problem Sketch

Material Properties
E = 30 x 106 psi
υ = 0.3
Geometric Properties
d = 2 in
t = 0.2 in
Loading
F = 2000 lb

Analysis Assumptions and Modeling Notes

The problem is solved first using plane stress elements (PLANE82 and PLANE183), then using shell elements (SHELL93) with the substructure analysis and expansion pass. A third solution is done using plane stress p-elements (PLANE145). In the second case, the model is created as a superelement only to illustrate the procedure for substructure capability. A more coarse mesh is defined for the p-element. Fourth and fifth solution is done using finite strain shell elements SHELL181 and SHELL281.

A one-fourth symmetry model is used. Three element types and the corresponding element type modifications are used only for various printout control purposes. One half of the load is applied because of symmetry. POST1 is used to extract results from the solution phase. Since the midside nodal stresses are not available in POST1, path operations are performed to get the compressive stress at 0.1 in. from the center of the disk. The P-method allows specific results to be extracted directly so no path operations are needed.

Results Comparison

 |  | Target | ANSYS | Ratio
PLANE82 and PLANE183 | Stressy , psi (at x = 0.0, y = 0.0) | -9549. | -9649. | 1.010
 | Stressy , psi (at x = 0.1, y = 0.0) | -9298. | -9139. | 0.983
SHELL93 | Stressy , psi (at x = 0.0, y = 0.0) | -9549. | -9649. | 1.010
 | Stressy , psi (at x = 0.1, y = 0.0) | -9298. | -9149. | 0.983
PLANE145 | Stressy , psi (at x = 0.0, y = 0.0) | -9549. | -9528. | 0.998
 | Stressy , psi (at x = 0.1, y = 0.0) | -9298. | -9297. | 1.000
SHELL181 | Stressy , psi (at x = 0.0, y = 0.0) | -9549 | -9593. | 1.005
 | Stressy , psi (at x = 0.1, y = 0.0) | -9298. | -9293. | 0.999
SHELL281 | Stressy , psi (at x = 0.0, y = 0.0) | -9549. | -9646. | 1.010
 | Stressy , psi (at x = 0.1, y = 0.0) | -9298. | -9130. | 0.982

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM140 		Up / Home Next
VM142


VM142

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM142

Stress Concentration At a Hole in a Plate

Overview

Reference: R. J. Roark, Formulas for Stress and Strain, 4th Edition, McGraw-Hill Book Co., Inc., New York, NY, 1965, pg. 384.
Analysis Type(s): Static Analysis (ANTYPE = 0), Submodeling
Element Type(s):
2-D Structural Solid Elements (PLANE42)
2-D Triangular Structural Solid p-Elements (PLANE146)
2-D 8-Node Structural Solid Elements (PLANE183)
Input Listing: vm142.dat

Test Case

Determine the maximum stress at a circular hole cut into a square plate loaded with uniform tension P.

Figure 142.1 Plate Problem Sketch

Material Properties
E = 30 x 106 psi
υ = 0.3
Geometric Properties
L = 12 in
d = 1 in
t = 1 in
Loading
P = 1000 psi

Analysis Assumptions and Modeling Notes

Due to symmetry, only a quarter sector of the plate is modeled. Mesh generation is used for node and element creation. The area around the hole is remodeled with a fine mesh and boundary conditions are interpolated from the first model by use of the cut-boundary interpolation capability (CBDOF) in POST1.

Results Comparison

 |  | Target | ANSYS | Ratio
Coarse Model | stressx max PLANE183 | 3018 | 2721 | 0.902
Submodel | stressx max | 3018 | 2975 | 0.986
Coarse Model | stressx max PLANE146 | 3018 | 2919 | 0.967

Max σx based on estimated bounds due to discretization error for the coarse model and submodel are 2855. and 3076. respectively.

The coarse PLANE183 model is offered for comparison with the submodel. Coarse PLANE183 results may vary across platforms.

Figure 142.2 Stress Concentration at a Hold in a Plate

Window 1: | Element Displays of Coarse and Refined Models, Overlaid.
Window 2: | SX Stress Contours in Coarse Model.
Window 3: | SX Stress Contours in Refined Model.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM141 		Up / Home Next
VM143


VM143

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM143

Fracture Mechanics Stress for a Crack in a Plate

Overview

Reference: W. F. Brown, Jr., J. E. Srawley, "Plane Strain Crack Toughness Testing of High Strength Metallic Materials", ASTM STP-410, 1966.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
3-D 20-Node Structural Solid Elements (SOLID95)
3-D Structural Solid Elements (SOLID45)
2-D 8-Node Structural Solid Elements (PLANE82)
3-D 20-Node Structural Solid Elements (SOLID186)
3-D Structural Solid Elements (SOLID185)
Input Listing: vm143.dat

Test Case

A long plate with a center crack is subjected to an end tensile stress σo as shown in the problem sketch. Determine the fracture mechanics stress intensity factor KI.

Figure 143.1 Finite Width Plate Problem Sketch

Material Properties
E = 30 x 106 psi
υ = 0.3
Geometric Properties
a = 1 in
b = 5 in
h = 5 in
t = 0.25 in
Loading
σo = 0.5641895 psi

Analysis Assumptions and Modeling Notes

The problem is solved first using 3-D solid (SOLID95) and 3-D solid (SOLID45) elements and then using 2-D plane strain elements (PLANE82). A third solution is performed using 3-D solid (SOLID186) and 3-D solid (SOLID185) elements. A one-quarter model is used because of symmetry. The macro FRACT is used to create the SOLID95 crack tip elements from the SOLID45 model and SOLID186 crack tip elements from the SOLID185 model using a weighted midside node position (quarter point location).

In the 3-D analysis, the plane strain condition is achieved by constraining UZ degrees of freedom of all the nodes (displacements in the Z-direction). Only the back plane of nodes are shown numbered in the enlargements of the 3-D model. The simpler 2-D model using PLANE82 is created by automatic mesh generation. The KSCON command is used to create 2-D crack tip elements with nodal singularity.

POST1 is used to get fracture mechanics stress intensity factor (KI) by displacement extrapolation (KCALC command), and J-Integral methods. A user file JIN1 is created in the input. It consists of path operations necessary to compute the J-Integral. In general usage, the user file would be available in the local directory rather than being created in the input.

Results Comparison

KI | Target | ANSYS | Ratio
Using SOLID95 and SOLID45 (3-D Analysis)
By Displacement Extrapolation[1] | 1.0249 | 1.0620 | 1.036
By J-Integral[2] | 1.0249 | 1.0458 | 1.020
Using PLANE82 (2-D Analysis)
By Displacement Extrapolation[1] | 1.0249 | 1.0587 | 1.033
By J-Integral[2] | 1.0249 | 1.0561 | 1.030
Using SOLID186 and SOLID185 (3-D Analysis)
By Displacement Extrapolation1] | 1.0249 | 1.0595 | 1.034
By J-Integral2] | 1.0249 | 1.0493 | 1.024

  1. As parameter KI1 by KCALC command

  2. As parameter KI2

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM142 		Up / Home Next
VM144


VM144

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM144

Bending of a Composite Beam

Overview

Reference: R. J. Roark, W. C. Young, Formulas for Stress and Strain, McGraw-Hill Book Co., Inc., New York, NY, 1975, pg. 112-114, article 7.2.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
Linear Layered Structural Shell Elements (SHELL99)
3-D 8-Node Layered Structural Solid Elements (SOLID46)
3-D 20-Node Layered Structural Solid Elements (SOLID186)
3-D 8-Node Layered Solid Shell Elements (SOLSH190)
8-Node Finite Strain Shell Elements (SHELL281)
Input Listing: vm144.dat

Test Case

A beam of length [image] and width w, made up of two layers of different materials, is subjected to a uniform rise in temperature from Tref to To and a bending moment My at the free-end. Determine the free-end displacement δ (in the Z-direction) and the X- direction stresses at the top and bottom surfaces of the layered beam. Ei and αi correspond to the Young's modulus and thermal coefficient of expansion for layer i, respectively.

Figure 144.1 Composite Beam Problem Sketch

Material Properties Geometric Properties Loading
MAT1:
E1 = 1.2 x 106 psi
α1 = 1.8 x 10-4 in/in/°F
MAT2:
E2 = 0.4 x 106 psi
α2 = 0.6 x 10-4 in/in/°F
= 8 in
w = 0.5 in
t1 = 0.2 in
t2 = 0.1 in
To = 100°F
Tref = 0°F
My = 10.0 in-lb

Analysis Assumptions and Modeling Notes

The beam is idealized to match the theoretical assumptions by taking ν = αy = αz = 0. Three models are used for verification of results as described below. Nodal coupling of the ROTY degree of freedom is used for the SHELL99 and SHELL281 models to apply the uniform edge moment. Opposing nodal forces are applied at the top and bottom edges of the free end for the SOLID46 and SOLSH190 models to apply the end moment. The magnitude of these applied nodal forces is calculated as: FX = My/(2 * (t1+t2)) = 10/0.6 = (100/6). POST1 is used to obtain the nodal stresses and displacements.

The first model uses four SHELL99 elements (each with 2 layers).

The second model is a variation of the first model to verify the node offset option for SHELL99 elements. In this model, two sets of four overlapping elements (a total of eight SHELL99 elements) are used. Each set represents a single layer. The set of four elements representing the lower layer has its nodal plane located on the "top" face whereas the set of elements corresponding to the top layer has its nodal plane located on the "bottom" face. The combination of overlapping elements thus defines a two-layered beam with its nodal plane at the interface between the layers (offset from the middle plane).

The third model uses eight SOLID46 elements (each with 2 layers), similar to the first SHELL99 model.

The fourth model uses eight SOLID191 elements (each with 2 layers), similar to the first SHELL99 model. Tapered pressure is applied on the end face to apply moment.

The fifth model uses eight SOLSH190 elements (each with 2 layers) similar to the third SOLID46 model.

The sixth model uses eight SOLID186 elements (each with 2 layers) similar to the fourth SOLID191 model.

The seventh model uses four SHELL281 elements (each with 2 layers).

Results Comparison

 |  | Target | ANSYS | Ratio
SHELL99 model | Displacement, in | 0.832 | 0.832[1] | 1.000
 | StressxTOP , psi | 2258. | 2258. | 1.000
 | StressxBOT , psi | 1731. | 1731. | 1.000
SHELL99 model (with node offset) | Displacement, in | 0.832 | 0.832[1] | 1.000
 | StressxTOP , psi | 2258. | 2258.[2] | 1.000
 | StressxBOT , psi | 1731. | 1731.[2] | 1.000
SOLID46 model | Displacement, in | 0.832 | 0.832[1] | 1.000
 | StressxTOP , psi | 2258. | 2258. | 1.000
 | StressxBOT , psi | 1731. | 1731. | 1.000
SOLID186 model | Disp | .832 | .832 | 1.00
 | PRS TP | 2258 | 2257.57 | 1.00
 | RRS BTM | 1731 | 1730.57 | 1.00
SOLSH190 model | Disp | .832 | .832 | 1.00
 | PRS TP | 2258 | 2257.57 | 1.00
 | RRS BTM | 1731 | 1730.57 | 1.00
SOLID191 model | Disp | .832 | .832 | 1.00
 | PRS TP | 2258 | 2257.57 | 1.00
 | RRS BTM | 1731 | 1730.57 | 1.00
SHELL281 model | Disp | .832 | .832 | 1.00
 | PRS TP | 2258 | 2257.567 | 1.00
 | RRS BTM | 1731 | 1730.564 | 1.00

  1. UZ at Nodes 9, 19, 29

  2. Corresponding shell TOP stresses for selected elements representing the top layer

  3. Corresponding shell BOT stresses for selected elements representing the bottom layer

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM143 		Up / Home Next
VM145


VM145

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM145

Stretching of an Orthotropic Solid

Overview

Reference:
S. H. Crandall, N. C. Dahl, An Introduction to the Mechanics of Solids, McGraw-Hill Book Co., Inc., New York, NY, 1959, pg. 225.
SOLID185 - 3-D 8-Node Structural Solid in the Theory Reference for ANSYS and ANSYS Workbench
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s): 3-D 8-Node Structural Solid or Layered Solid (SOLID185)
Input Listing: vm145.dat

Test Case

A unit cube of side [image], having orthotropic material properties, is subjected to forces FX and FY as shown. Three orthogonal faces are supported and the opposite three faces are free. Determine the translational displacements (ΔX, ΔY, and ΔZ) of the free faces.

Figure 145.1 Orthotropic Solid Problem Sketch

Material Properties
Ex = 10 x 106 psi
Ey = 20 x 106 psi
Ez = 40 x 106 psi
υxy = 0.1
υyz = 0.2
υxz = 0.3
Gxy = Gxz = Gyz = 10 x 106 psi
Geometric Properties
= 1.0 in
Loading
FX = 100 lb
FY = 200 lb

Analysis Assumptions and Modeling Notes

Two independent one-element models are used. Element 1 uses the material property data input in the nonlinear material table (material 1) in a matrix form that is to be inverted by the program. Element 2 uses directly labeled material property input.

The matrix input is defined as shown in (Equation 2–4) of the Theory Reference for ANSYS and ANSYS Workbench with matrix term numbers 1, 2, 3, 7, 8, 12, 16, 19 and 21. Set TBOPT = 1 on the TB command to input the stiffness matrix in flexibility form. The same terms are input with the TBDATA command as described in the Elements Reference.

Results Comparison

 | Target | ANSYS[1] | Ratio
UX, in | 0.9 x 10-5 | 0.9 x 10-5 | 1.000
UY, in | 0.95 x 10-5 | 0.95 x 10-5 | 1.000
UZ, in | -0.175 x 10-5 | -0.175 x 10-5 | 1.000

  1. for Nodes 8 and 16

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM144 		Up / Home Next
VM146


VM146

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM146

Bending of a Reinforced Concrete Beam

Overview

Reference: S. Timoshenko, Strength of Material, Part I, Elementary Theory and Problems, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1955, pg. 221, article 48.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
3-D Reinforced Concrete Solid Elements (SOLID65)
3-D Spar (or Truss) Elements (LINK8)
Elastic Straight Pipe Elements (PIPE16)
Input Listing: vm146.dat

Test Case

A concrete beam reinforced with steel rods (of cross-sectional area A) is subjected to a pure bending load M. Determine the depth of the crack δck from the bottom surface, the maximum tensile stress σt in the steel, and the maximum compressive stress σc in the concrete, assuming the cracking tensile strength of concrete σct to be zero.

Figure 146.1 Reinforced Concrete Beam Problem Sketch

Material Properties
Concrete (material 1)
E = 2 x 106 psi
σct = 0.0 psi
υ = 0.0
Steel (material 2)
E = 30 x 106 psi
υ = 0.3
Geometric Properties
b = 5 in
d = 6 in
A = 0.30 in2
Loading
M = 600 in-lb

Analysis Assumptions and Modeling Notes

The bottom concrete element is lined with two spar elements to match the assumption given in the reference of discrete (rather than smeared) reinforcement. A zero Poisson's ratio and an infinite crushing strength are also assumed for the concrete to match the reference assumptions. An element width (in the X-direction) of 1.5 in. is arbitrarily selected. Constraint equations are used along the beam depth to conveniently apply the load and match the reference assumption that cross-sections remain plane. Dummy PIPE16 pipe elements are used to "line" the constraint equation region to provide the necessary rotational degrees of freedom at the nodes. Up to five substeps are specified with automatic load stepping to allow convergence of the crack nonlinearity.

Results Comparison

 | Target | ANSYS | Ratio
Depthck, in | 3.49 | Between 3.32 - 4.18[1] | -
Stresst, psi | 387.28 | 387.25[2] | 1.000
Stressc, psi | -18.54 | -18.49[3] | 0.997

  1. Five sets of integration points (each set consisting of 4 points parallel to the X-Z plane) below 3.49 in. crack open, including one set at 3.32 in. from the bottom. Three sets of integration points above 3.32 in. remain closed, including one set at 4.18 in. from the bottom. Note that the integration points are printed only if the element has cracked. A more exact comparison with theory could be obtained with more elements along the depth of the beam (and thus a closer spacing of integration points).

  2. Stresst = SAXL in the spars (elements 13 and 14).

  3. Stressc = SX in element 1 at nodes 9, 10, 19, or 20.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM145 		Up / Home Next
VM147


VM147

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM147

Gray-Body Radiation within a Frustum of a Cone

Overview

Reference: R. Siegel, J. R. Howell, Thermal Radiation Heat Transfer, 2nd Edition, Hemisphere Publishing Corporation, 1981, pg. 277, prob. 9.
Analysis Type(s):
Thermal Analysis (ANTYPE = 0)
AUX12 (Radiation View Factor Utility)
Element Type(s):
2-D Conduction Bar Elements (LINK32)
2-D Thermal Surface Effect Elements (SURF151)
Superelement (or Substructure) Elements (MATRIX50)
Input Listing: vm147.dat

Test Case

A frustum of a cone has its base heated (q1) as shown. The top is held at temperature T3, while the side is perfectly insulated. All the surfaces are diffuse-gray (with emissivities ε1, ε2, ε3, respectively). Determine the temperature T1, achieved by surface 1 as a result of radiation exchange within the enclosure.

Figure 147.1 Gray-Body Radiation Problem Sketch

Material Properties
ε1 = .06
ε2 = 0.8
ε3 = 0.5
Geometric Properties
ri = 0.050 m
r2 = 0.075 m
h = 0.075 m
Loading
T3 = 550 K
q1 = 6000 W/m2

Analysis Assumptions and Modeling Notes

An axisymmetric model is used for the cone. The radiating surfaces are modeled using three LINK32 elements. The non-hidden method (VTYPE) is used since there are no blocking or obscuring surfaces within the enclosure (i.e. all radiating surfaces fully "see" each other). The radiation matrix is written using 50 circumferential divisions (GEOM). Since all the radiating surfaces form an enclosure, no space node is specified. Heat flux on the bottom surface is applied using SURF151 (surface effect element). The value of Stefan-Boltzmann constant is specified in consistent units as 5.6696E-8 W/m2-K.

Results Comparison

Non-hidden method | Target | ANSYS | Ratio
T1 , K | 904 | 907 | 1.003

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM146 		Up / Home Next
VM148


VM148

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM148

Bending of a Parabolic Beam

Overview

Reference: S. Timoshenko, Strength of Material, Part I, Elementary Theory and Problems, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1955, pg. 210, article 46.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
3-D 20-Node Structural Solid Elements (SOLID95)
3-D 20-Node Structural Solid Elements (SOLID186)
Input Listing: vm148.dat

Test Case

A beam having a parabolic depth-to-length variation is subjected to an end load as shown. The other end is supported at a wall. Determine the deflection δ at the tip of the beam.

Figure 148.1 Parabolic Beam Problem Sketch

Material Properties
E = 30 x 106 psi
G = 1.5 x 108 psi
υ = 0.0
Geometric Properties
= 4 in
ho = 2 in
b = 0.2 in
Loading
F = -1000 lb

Analysis Assumptions and Modeling Notes

The problem is solved first using 3-D solid (SOLID95) and then using 3-D solid SOLID186 elements.

A large shear modulus G is assumed (1.5 x 108) and the Poisson's ratio is taken as zero to match the theoretical assumptions. The six nodes at the top and bottom edges near the tip of element 1 are defined closer to the tip so that the two mid-edge nodes (11 and 71) are not improperly located. Other nodes along the parabolic edge are generated with parametric input, at uniform spacing along the axis, using the equation:

Results Comparison

 | Target | ANSYS | Ratio
SOLID95
Deflection, in | -0.01067 | -0.01062[1] | 0.995
SOLID186
Deflection, in | -0.01067 | -0.01076 | 1.009

  1. UY at node 11 or 71.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM147 		Up / Home Next
VM149


VM149

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM149

Rotation of a Tank of Fluid

Overview

Reference: | K. Brenkert, Jr., Elementary Theoretical Fluid Mechanics, John Wiley and Sons, Inc., New York, NY, 1960, pg. 54, article 18.
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | 2-D Contained Fluid Elements (FLUID79)
Input Listing: | vm149.dat

Test Case

A large cylindrical tank is partially filled with an incompressible liquid. The tank rotates at a constant angular velocity ω about its vertical axis as shown. Determine the elevation δ of the liquid surface relative to the center (lowest) elevation for various radial positions. Also determine the pressure ρ in the fluid near the bottom corner of the tank.

Figure 149.1 Fluid Tank Problem Sketch

Material Properties
ρ = 0.9345 x 10-4 lb-sec2/in4
β = 30 x 104 psi
Geometric Properties
r = 48 in
h = 20 in
Loading
ω = 1 rad/sec
g = 386.4 in/sec2

Analysis Assumptions and Modeling Notes

The axisymmetric option is used for the model. The bulk modulus β = 30 x 104 psi is taken to be characteristic of the fluid rather than infinite (incompressible) since it is used for shear stability as well as for compressibility effects. POST1 is used to select and print the radial surface elevations and the pressure near the bottom corner of the tank.

Results Comparison

 | Target | ANSYS | Ratio
Deflection, in (at X = 12) | 0.186 | 0.197[1] | 1.057
Deflection, in (at X = 24) | 0.745 | 0.756[1] | 1.014
Deflection, in (at X = 40) | 2.070 | 2.081[1] | 1.005
p, psi (at X = 46, Y = -18) | 0.695 | 0.695[2] | 1.000

  1. Deflection at the three locations corresponds to the parameters UY26, UY29 and UY33 in POST1. These are obtained by subtracting the UY displacement at node 1 from the UY displacements at nodes 26, 29 and 33, respectively.

  2. p is obtained from the centroidal pressure of element 60 (parameter PR60 in POST1).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM148 		Up / Home Next
VM150


VM150

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM150

Acceleration of a Tank of Fluid

Overview

Reference: | K. Brenkert, Jr., Elementary Theoretical Fluid Mechanics, John Wiley and Sons, Inc., New York, NY, 1960, pg. 50, article 17.
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | 3-D Contained Fluid Elements (FLUID80)
Input Listing: | vm150.dat

Test Case

A large rectangular tank is partially filled with an incompressible liquid. The tank has a constant acceleration a to the right as shown. Determine the elevation δ of the liquid surface relative to the zero acceleration elevation along the Y-axis. Also determine the slope Θ of the free surface and the pressure p in the fluid near the bottom left corner of the tank.

Figure 150.1 Fluid Tank Problem Sketch

Material Properties Geometric Properties Loading
ρ = 0.9345 x 10-4 lb-sec2/in4
β = 30 x 104 psi
b = 48 in
h = 20 in
a = 45 in/sec2
g = 386.4 in/sec2

Analysis Assumptions and Modeling Notes

The bulk modulus β = 30 x 104 is taken to be characteristic of the fluid rather than infinite (incompressible) since it is used for shear stability as well as for compressibility effects. A unit thickness is assumed for the solid elements. POST1 is used to obtain the elevations, slope, and corner pressure.

Results Comparison

 | Target | ANSYS | Ratio
Displacement, in (at Y = 8) | 1.863 | 1.863[1] | 1.000
Displacement, in (at Y = 24) | 0.0 | 0.0[1] | -
Displacement, in (at Y = 40) | -1.863 | -1.863[1] | 1.000
Slope | -0.1164 | -0.1164[2] | 1.000
p, psi (at Y = 2, Z = -18) | 0.7425 | 0.7425[3] | 1.000

  1. Displacement δ at the three locations are UZ displacements at nodes 4, 8 and 12, respectively.

  2. Slope Θ is the parameter SLOPE in POST1 given by ΔZ/ΔY based on locations Y = 8 and Y = 40 on the free surface.

  3. p is obtained from the centroidal pressure of element 5 (ETABLE item PREL in POST1).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM149 		Up / Home Next
VM151


VM151

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM151

Nonaxisymmetric Vibration of a Circular Plate

Overview

Reference: | R. J. Blevins, Formulas for Natural Frequency and Mode Shape, Van Nostrand Reinhold Co., New York, NY, 1979, pg. 240, no. 2.
Analysis Type(s): | Mode-frequency Analysis (ANTYPE = 2)
Element Type(s): | Axisymmetric-Harmonic Structural Shell Elements (SHELL61)
Input Listing: | vm151.dat

Test Case

A circular plate with a simply supported edge is allowed to vibrate freely. Determine the natural frequencies fi,j for the first mode of vibration (j = 1 = no. of nodal circles, including the boundary) for the first three harmonics (i = 0,1,2 = no. of harmonic indices).

Figure 151.1 Circular Plate Problem Sketch

Material Properties
E = 30 x 106 psi
υ = 0.3
ρ = 0.00073 lb-sec2/in4
Geometric Properties
a = 3 in
t = 0.05 in

Analysis Assumptions and Modeling Notes

Poisson's ratio defaults to 0.3 and is not defined with the input data. A total of 9 elements is selected for meshing. All lateral degrees of freedom are selected as masters (MDOF) for good theoretical comparisons.

Results Comparison

 | Target | ANSYS | Ratio
fo,1, Hz | 269.96 | 267.67 | 0.992
f1,1, Hz | 756.13 | 753.74 | 0.997
f2,1, Hz | 1391.3 | 1388.9 | 0.998

Figure 151.2 Mode Shape Displays

Window 1 - f0,1; Window 2 - f1,1; Window 3 - f2,1

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM150 		Up / Home Next
VM152


VM152

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM152

2-D Nonaxisymmetric Vibration of a Stretched Membrane

Overview

Reference: S. Timoshenko, D. H. Young, Vibration Problems in Engineering, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1955, pp. 438-439, article 69.
Analysis Type(s):
Mode-frequency Analysis (ANTYPE = 2)
Static Analysis, Prestress (ANTYPE = 0)
Element Type(s): Axisymmetric-Harmonic Structural Shell Elements (SHELL61)
Input Listing: vm152.dat

Test Case

A circular membrane under a uniform tension S is allowed to vibrate freely. The edge of the membrane is simply supported. Determine the natural frequencies fi,j for the first mode of vibration (j = 1 = no. of nodal circles, including the boundary) for the first three harmonic (i = 0,1,2 = no. of harmonic indices). Also determine the next highest axisymmetric frequency f0,2. See VM153 for a 3-D solution of this problem.

Figure 152.1 Circular Membrane Problem Sketch

Material Properties
E = 30 x 106 psi
υ = 0.0
ρ = 0.00073 lb-sec2/in4
α = 1 x 10-5 in/in-°F
Geometric Properties
a = 3 in
t = 0.00005 in
Loading
S = 0.1 lb/in of boundary
ΔT = -6.6666°F

Analysis Assumptions and Modeling Notes

All available lateral degrees of freedom are selected as masters (MDOF) for good theoretical comparisons. A total of 9 elements is selected for meshing. The prestress is induced by cooling the membrane. The necessary temperature difference, ΔT, is calculated from S = -E αt(ΔT).

Results Comparison

 | Target | ANSYS | Ratio
fo,1, Hz (L.S. 1, ITER 1) | 211.1 | 211.2 | 1.001
f1,1, Hz (L.S. 2, ITER 1) | 336.5 | 336.6 | 1.000
f2,1, Hz (L.S. 3, ITER 1) | 450.9 | 451.3 | 1.001
f0,2, Hz (L.S. 1, ITER 2) | 484.7 | 486.2 | 1.003

Figure 152.2 Mode Shape Displays

Window 1 - f0,1; Window 2 - f1,1; Window 3 - f2,1; Window 4 - f0,2;

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM151 		Up / Home Next
VM153


VM153

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM153

3-D Nonaxisymmetric Vibration of a Stretched Membrane

Overview

Reference: S. Timoshenko, D. H. Young, Vibration Problems in Engineering, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1955, pg. 439, article 69.
Analysis Type(s):
Mode-frequency Analysis (ANTYPE = 2)
Prestress Static Analysis (ANTYPE = 0)
Substructure Cyclic Symmetry Matrix (Macro)
Element Type(s):
Membrane Shell Elements (SHELL41)
4-Node Finite Strain Shell Elements (SHELL181)
Input Listing: vm153.dat

Test Case

A circular membrane under a uniform tension S is allowed to vibrate freely. The edge of the membrane is simply supported. Determine the natural frequencies fi,j for the first two modes of vibration (j = 1, 2 = no. of nodal circles, including the boundary) for the first two harmonics (i = 0, 1 = no. of harmonic indices). See VM152 for a 2-D solution of this problem.

Figure 153.1 Circular Membrane Problem Sketch

Material Properties
E = 30 x 106 psi
υ = 0.0
ρ = 0.00073 lb-sec2/in4
α = 1 x 10-5 in/in-°F
Geometric Properties
a = 3 in
t = 0.00005 in
Loading
S = 0.1 lb/in of boundary
ΔT = -6.6666°F

Analysis Assumptions and Modeling Notes

A 30° sector is used with cyclic symmetry to model the membrane. The prestress is induced by uniform cooling. The temperature difference, ΔT, is calculated from S = E αt (ΔT). The low angle edge of the sector is defined as a component for cyclic symmetry analyses. Block Lanczos is used in the modal analysis to extract the first four frequencies.

The model is first solved using membrane shell elements (SHELL41) and then using finite strain shell elements (SHELL181) using the membrane option (KEYOPT(1) = 1).

Results Comparison

 | Target | ANSYS | Ratio
SHELL41
fo,1, Hz | 211.1 | 212.1 | 1.005
fo,2, Hz | 484.7 | 491.7 | 1.014
f1,1, Hz | 336.5 | 338.9 | 1.007
f1,2, Hz | 616.1 | 629.0 | 1.021
SHELL181
fo,1, Hz | 211.1 | 211.3 | 1.001
fo,2, Hz | 484.7 | 486.5 | 1.004
f1,1, Hz | 336.5 | 338.1 | 1.005
f1,2, Hz | 616.1 | 626.6 | 1.017

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM152 		Up / Home Next
VM154


VM154

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM154

Vibration of a Fluid Coupling

Overview

Reference: R. J. Fritz, "The Effect of Liquids on the Dynamic Motions of Immersed Solids", ASME, J. of Engr. for Industry, Vol. 94, Feb. 1972, pp. 167-173.
Analysis Type(s): Mode-frequency Analysis (ANTYPE = 2)
Element Type(s):
Dynamic Fluid Coupling Element (FLUID38)
Spring-Damper Elements (COMBIN14)
Axisymmetric-Harmonic Contained Fluid Elements (FLUID81)
Input Listing: vm154.dat

Test Case

A long cylinder is immersed in a circular hole as shown. The cylinder is separated from the containment surface by a frictionless, incompressible liquid annulus. A spring restraint is attached to the cylinder from ground. Determine the natural frequency f of the system based upon the hydrodynamic mass of the liquid annulus.

Figure 154.1 Fluid Coupling Problem Sketch

Material Properties Geometric Properties
ρ = 0.0000934 lb-sec2/in4
k = 10 lb/in
β = 30 x 104 psi
a = 7 in
b = 8 in

Analysis Assumptions and Modeling Notes

The problem is solved first using the fluid coupling element (FLUID38) and then using the harmonic fluid element (FLUID81).

The total length of the assembly is assumed to be long in comparison with its radius. The solution is based upon radial motion of a unit length of the assembly. The cylinder is assumed to be massless so that all mass effects are from liquid annulus. For the fluid coupling element (FLUID38), the nodes are defined as coincident but are shown apart for clarity. For the harmonic fluid element (FLUID81), the bulk modulus (β) should be characteristic of the fluid since it is used for shear stability as well as for compressibility effects. An effective harmonic spring constant, k=10 lb/in is used for each spring to produce equivalent spring force.

Results Comparison

 | Target | ANSYS | Ratio
f, Hz (FLUID38) | 1.5293 | 1.5293 | 1.000
f, Hz (FLUID81) | 1.5293 | 1.5228 | 0.996

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM153 		Up / Home Next
VM155


VM155

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM155

Shape Optimization of a Cantilever Beam

Overview

Reference: B. Prasad, R. T. Haftka, "Optimal Structural Design with Plate Finite Elements", ASCE, J. Structural Div., Vol. 105, No. ST11, Nov. 1979.
Analysis Type(s):
Optimization (/OPT)
Static Analysis (ANTYPE = 0)
Element Type(s): 2-D Structural Solid Elements (PLANE42)
Input Listing: vm155.dat

Test Case

Minimize the weight (volume) of a cantilever beam subject to an end moment, M. The stress σmax may not exceed 30,000 psi anywhere nor may the deflection δymax be greater than 0.5 in. The thickness of the beam may vary along the length, with the thickness at the point of load application held constant at a value t.

Figure 155.1 Cantilever Beam Problem Sketch

Material Properties
E = 10 x 106 psi
υ = 0.3
Loading
M = 450 in-lb
Geometric Properties
= 10 in
b = 1 in
t = 0.3 in

Analysis Assumptions and Modeling Notes

The keypoints defining the outer fiber are connected with a cubic spline. A half model with antisymmetric boundary conditions is used. The summed element volumes are multiplied by two for the objective function. Maximum sorted deflection and maximum sorted principal stress (S1) are defined as state variables.

The problem is solved independently using the subproblem approximation method and the first order method, both using the same starting design. Three geometric state variables are defined to ensure a left-to-right taper in the subproblem approximation method. These additional state variables are not used in the first order method to demonstrate the robustness of the algorithm.

Results Comparison

Subproblem Approximation Method | Target[1] | ANSYS[2] | Ratio
(TVOL) Volume, in3 | 3.60 | 3.62 | 1.004
(DEFL) (Deflectiony)max, in | 0.500 | 0.499 | 0.998
(STRS) Stressmax, psi | 30000 | 29740 | 0.991
First Order Method | Target[1] | ANSYS[3] | Ratio
(TVOL) Volume, in3 | 3.60 | 3.61 | 1.003
(DEFL) (Deflectiony)max, in | 0.5 | 0.5 | 1.001
(STRS) Stressmax, psi | 30000 | 29768 | 0.992

  1. Based on an integrated solution

  2. Converged to within chosen tolerances after 11 iterations.

  3. Converged to within chosen tolerances after 15 iterations.

Figure 155.2 Subproblem Approximation Method

Figure 155.3 First Order Method

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM154 		Up / Home Next
VM156


VM156

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM156

Natural Frequency of a Nonlinear Spring-Mass System

Overview

Reference: S. Timoshenko, D. H. Young, Vibration Problems in Engineering, 3rd Edition, D. Van Nostrand Co., Inc., New York, NY, 1955, pg. 141.
Analysis Type(s): Full Transient Dynamic Analysis (ANTYPE = 4)
Element Type(s):
Nonlinear Spring Elements (COMBIN39)
2-D Spar (or Truss) Elements (LINK1)
Structural Mass Elements (MASS21)
Input Listing: vm156.dat

Test Case

A mass is supported from a spring having the nonlinear characteristics shown. The mass is displaced an amount δ from its equilibrium position and released (with no initial velocity). Find the corresponding period of vibration τ.

Figure 156.1 Nonlinear Spring-Mass System Problem Sketch

Material Properties
m = 1/386.4 = 0.002588 lb-sec2/in
ko = 2 lb/in
k1 = 4 lb/in3
see force-deflection curve in Figure 156.1: "Nonlinear Spring-Mass System Problem Sketch"
Geometric Properties
A = 0.01 in2 [image] = 100 in
Loading
δ = -1 in

Analysis Assumptions and Modeling Notes

The problem is solved first using the nonlinear spring element (COMBIN39) and then using a spar element (LINK1) with nonlinear elastic material (nonlinear table).

For the nonlinear spring element (COMBIN39), the nonlinear spring constant is converted to eleven discrete force-deflection points by F = kδ for δ = 0.0 to 1.0 in steps of 0.1 in.

For the spar element (LINK1) with nonlinear elastic material, the nonlinear spring constant is converted to six discrete stress-strain points by σ = kδ/A and ε = δ/L for δ = 0.0 to 1.0 in steps of 0.2 in. The elastic modulus EX on the MP command must be greater than the maximum of σ/ε (= kL/A) and hence is assigned a value of 2kL/A = 12 x 104 psi.

The IC command is used to impose the initial displacement and velocity configuration. The first load step is defined over a very small time step (.0002 sec) to allow the initial step change in acceleration to be attained. The integration time step for the second load step is based on 1/30 of the period to produce a fine resolution for the theoretical comparison. A final time of 0.18 sec is arbitrarily selected.

Area and length parameters are used only with the spar element (LINK1) where the nonlinear spring is treated as a leaf spring with zero mass. The nodes for the nonlinear spring element (COMBIN39) are defined as coincident but are shown apart in the model for clarity.

POST26 is used to extract results from the solution phase. The period is determined by the time when the mass is closest to the original released position after it passes through the spring's equilibrium position.

Results Comparison

 |  | Target | ANSYS | Ratio
COMBIN39 | Vibration, sec | 0.1447 | 0.1440 | 0.995
LINK1 | Vibration, sec | 0.1447 | 0.1440 | 0.995

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM155 		Up / Home Next
VM157


VM157

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM157

Optimization of a Frame Structure

Overview

Reference: B. H. V. Topping, D. J. Robinson, "Selecting Non-Linear Optimization Techniques for Structural Design", Intl J. for Computer Aided Engineering and Software: Engineering Computations, Vol. 1 No. 3, Sept. 1984.
Analysis Type(s):
Optimization (/OPT)
Static Analysis (ANTYPE = 0)
Element Type(s): 2-D Elastic Beam Elements (BEAM3)
Input Listing: vm157.dat

Test Case

Minimize the volume of a symmetric four member frame subject to four bending moment constraints of the form 825000 (dj)3 - |Mij| [image] 0 where Mij is the bending moment at end i of member j and dj is the depth of member j. Cross sections of each member must be rectangular, with depth equal to half the height.

Figure 157.1 Frame Structure Problem Sketch

Material Properties
E = 1 x 1010 Pa
Geometric Properties
a = 2.5 m
Loading
F = 4000 N

Analysis Assumptions and Modeling Notes

Areas and moments of inertia are input as parametric expressions of the design variables; Aj = 1/2 dj2, Ij = 1/24 dj4.

Use half symmetry. An upper bound of 2000 is chosen for the state variables to provide a reasonable feasible design space. Likewise, the design variable limits between .05 m and 0.5 m are chosen as reasonable ranges for member sizes. The starting design is as given in the reference, and is infeasible.

Results Comparison

 | Target | ANSYS[1] | Ratio
Volume, m3 | 0.0764 | 0.0772 | 1.010
d1, m | 0.118 | 0.1196 | 1.013
d2, m | 0.129 | 0.1288 | 0.998

  1. From converged solution, 9th design set

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM156 		Up / Home Next
VM158


VM158

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM158

Motion of a Bobbing Buoy

Overview

Reference: | K. Brenkert, Jr., Elementary Theoretical Fluid Mechanics, John Wiley and Sons, Inc., New York, NY, 1960, pg. 37, article 14.
Analysis Type(s): | Full Transient Dynamic Analysis (ANTYPE = 4)
Element Type(s): | Immersed Pipe or Cable Elements (PIPE59)
Input Listing: | vm158.dat

Test Case

A cylindrical buoy is initially held at the position shown (above its equilibrium position) and then released (with no initial velocity). Determine the equilibrium position δ of the top of the buoy relative to the water surface.

Figure 158.1 Buoy Problem Sketch

Material Properties
ρ = 8000 kg/m3
ρw = 1000 kg/m3
Geometric Properties
a = 1 m
b = 9 m
d = 1 m
t = .03 m
h = 30 m
tangential drag coefficient = 0.3
Loading
g = 9.807 m/sec2

Analysis Assumptions and Modeling Notes

The static solution to this problem is best obtained by the "slow dynamics" technique with damping, since the buoy is initially subjected to free fall. An arbitrary time to steady state of 30 sec and 1.5 seconds per time step is selected for the slow dynamics. The mass damping value α determines the bouncing (if any) before the final steady state solution. An approximate α value is determined from F/MV where the force F = CV and damping C = αM. The force F is the out-of-balance force (buoyancy force [image] minus the buoy weight) for the initial position pushing the buoy into the water, M is the mass of the buoy, and V is an estimated average velocity (0.1 m/sec). Based upon these approximations, α [image] 3 sec-1.

Results Comparison

 | Target | ANSYS | Ratio
Deflection , m | -.312 | -.312 | 1.000

Figure 158.2 Displacement vs. Time Display

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM157 		Up / Home Next
VM159


VM159

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM159

Temperature-controlled Heater

Overview

Reference: Self-checking (Response Follows Input Request)
Analysis Type(s): Transient Thermal Analysis (ANTYPE = 4)
Element Type(s):
Control Elements (COMBIN37)
Convection Link Elements (LINK34)
Thermal Mass Elements (MASS71)
Input Listing: vm159.dat

Test Case

An assembly consisting of a heater with capacitance C1 and surface area A1 is surrounded by a box having capacitance C2 and surface area A2. The box is initially at a uniform temperature To. The heater, which supplies heat at a rate q, is turned on and remains on until the surrounding box temperature reaches a value Toff. The heater then switches off until the box temperature lowers to Ton and then switches on again. Determine the temperature response of the box and the heater status vs. time.

Figure 159.1 Temperature-controlled Heater Problem Sketch

Material Properties
C1 = 2.7046 x 10-4 Btu/°F
C2 = 2.7046 x 10-3 Btu/°F
h = 4 Btu/hr-ft2-°F
Geometric Properties
A1 = 8.1812 x 10-3 ft
A2 = 4.1666 x 10-2 ft
Loading
q = 10 Btu/hr
Ton = 100°F
Toff = 125°F
To = 70°F

Analysis Assumptions and Modeling Notes

The conductivity resistance is assumed to be small compared with the thermal capacitance for both the heater and the box. A time of 12 min (0.2 hr) is arbitrarily selected to allow several cycles of response. The integration time step is chosen to be 0.001 and automatic time stepping is used to reduce the number of substeps. The nodes are arbitrarily located at the origin.

Results Comparison

 | Target | ANSYS | Ratio
First "off" temp,°F | 125 | Between 124.842 - 125.003 | -
First "on" temp,°F | 100 | Between 100.854 - 99.564 | -

Figure 159.2 Box Temperature vs. Time

Figure 159.3 Control Status vs. Time

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM158 		Up / Home Next
VM160


VM160

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM160

Solid Cylinder with Harmonic Temperature Load

Overview

Reference: | F. B. Hildebrand, Advanced Calculus for Applications, 2nd Edition, Prentice-Hall, Inc., Englewood, NJ, 1976, pg. 447, equations 38-44.
Analysis Type(s): | Thermal Analysis (ANTYPE = 0)
Element Type(s): | Axisymmetric-Harmonic 8-Node Thermal Solid Elements (PLANE78)
Input Listing: | vm160.dat

Test Case

A long solid cylinder has a harmonically-varying temperature load along its circumference represented by a cosine function with positive peaks at Θ = 0° and 180° and negative peaks at Θ = 90° and 270°. Determine the temperature distribution along the radius at Θ = 0 and Θ = 90°.

Figure 160.1 Solid Cylinder Problem Sketch

Material Properties
k = 1 Btu/hr-ft-°F
Geometric Properties
ro = 20 ft
Loading
To = 80°F

Analysis Assumptions and Modeling Notes

The axial length of the model is arbitrarily chosen to be 5 ft. The temperature loading is applied as a symmetric harmonic function (Mode 2) around the periphery of the cylinder. To obtain the theoretical solution, equations 43 and 44 in F. B. Hildebrand, Advanced Calculus for Applications are used. Applying the temperature boundary condition and the requirement that T(r, Θ) should be finite and single-valued leads to the solution: T(r, Θ) = To * (r/ro)2 * cos (2 Θ).

Results Comparison

 |  | Target | ANSYS | Ratio
Mode = 2 Angle = 0° | T, °F (Node 1) | 0.0 | 0.0 | 1.00
 | T, °F (Node 3) | 5.0 | 5.0 | 1.00
 | T, °F (Node 5) | 20.0 | 20.0 | 1.00
 | T, °F (Node 7) | 45.0 | 45.0 | 1.00
Mode = 2 Angle = 90° | T, °F (Node 1) | 0.0 | 0.0 | 1.00
 | T, °F (Node 3) | -5.0 | -5.0 | 1.00
 | T, °F (Node 5) | -20.0 | -20.0 | 1.00
 | T, °F (Node 7) | -45.0 | -45.0 | 1.00

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM159 		Up / Home Next
VM161


VM161

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM161

Heat Flow From an Insulated Pipe

Overview

Reference: | F. Kreith, Principles of Heat Transfer, 2nd Printing, International Textbook Co., Scranton, PA, 1959, pg. 36, ex. 2-7.
Analysis Type(s): | Thermal Analysis (ANTYPE = 0)
Element Type(s): | 3-D 20-Node Thermal Solid Elements (SOLID90)
Input Listing: | vm161.dat

Test Case

A pipe, covered with a layer of insulation, transports a fluid at a temperature Ti. For a given ambient air temperature To, determine the heat loss q across the outer surface per lineal foot of pipe.

Figure 161.1 Insulated Pipe Problem Sketch

Material Properties
k1 = 25 Btu/hr-ft-°F
k2 = 0.11 Btu/hr-ft-°F
h1 = 40 Btu/hr-ft2-°F
h2 = 4 Btu/hr-ft2-°F
Geometric Properties
r1 = 1.535 in = 0.1279166 ft
r2 = 1.75 in = 0.1458333 ft
r3 = 2.25 in = 0.1875 ft
= 1 ft
Loading
Ti = 300°F
To = 80°F

Analysis Assumptions and Modeling Notes

An arbitrary 30° sector, of unit length [image], is used for the axisymmetric model.

Results Comparison

 | Target | ANSYS | Ratio
q, Btu/hr | 362.0 | 362.0 | 1.000

Calculated from the surface heat flow rate of 30.17 x 360°/30°.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM160 		Up / Home Next
VM162


VM162

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM162

Cooling of a Circular Fin of Rectangular Profile

Overview

Reference: | P. J. Schneider, Conduction Heat Transfer, 2nd Printing, Addison-Wesley Publishing Co., Inc., Reading, MA, 1957, pg. 82, article 4-10.
Analysis Type(s): | Thermal Analysis (ANTYPE = 0)
Element Type(s): | 3-D 20-Node Thermal Solid Elements (SOLID90)
Input Listing: | vm162.dat

Test Case

A circular cooling fin of rectangular profile is attached to a cylindrical surface having a temperature T1. Determine the temperature T2 at the tip of the fin if the fin is surrounded by cooling air at temperature To having a convective film coefficient h.

Figure 162.1 Circular Fin Problem Sketch

Material Properties
h = 100 Btu/hr-ft2-°F
k = 15 Btu/hr-ft-°F
Geometric Properties
r1 = 0.5 in = 0.04167 ft
r2 = 0.75 in = 0.0625 ft
t = 0.0625 in = 0.005208 ft
Loading
T1 = 100°F
To = 0°F

Analysis Assumptions and Modeling Notes

An arbitrary 5° sector is used to model the axisymmetric fin.

Results Comparison

 | Target[1] | ANSYS | Ratio
T2, °F | 53.22 | 52.37 | .984
q, Btu/hr | 102.05 | 101.70[2] | .997

  1. Based on interpolation with Bessel function tables.

  2. Obtained from the reaction heat flow summation of 1.41246 x 360°/5°.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM161 		Up / Home Next
VM163


VM163

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM163

Groundwater Seepage (Permeability Analogy)

Overview

Reference: | D. R. J. Owen, E. Hinton, A Simple Guide to Finite Elements, Pineridge Press Ltd., Swansea, U. K., 1980, pg. 89, article 7.4.
Analysis Type(s): | Thermal Analysis (ANTYPE = 0), with Analogous Seepage Variables
Element Type(s): | 2-D Thermal Solid Elements (PLANE55)
Input Listing: | vm163.dat

Test Case

An opened top and bottom circular steel caisson separates a low level excavation from the surrounding ground. Determine the groundwater seepage flow rate q beneath the caisson for fully saturated soil. The pressure head is T1 with respect to a datum To at the bottom of the caisson. Show the pressure contours and the flow path.

Figure 163.1 Groundwater Seepage Problem Sketch

Material Properties
k = permeability = 0.864 m/day
Geometric Properties
a = 3.5 m
b = 8 m
c = 10 m
h = 3 m
Loading
To = 0 m (at Y = 7 m)
T1 = 3 m (at Y = 10 m)

Analysis Assumptions and Modeling Notes

The thermal analysis, which solves the Laplace equation, is used to solve this problem since the seepage flow is also governed by the Laplace equation. The following mental substitution of input and output variables (thermal : flow) are used:

  • (temperature : flow potential (or pressure head))

  • (heat flow rate : fluid flow rate)

  • (thermal conductivity : permeability coefficient)

The bottom and side of the model are assumed to be far enough away from the caisson to be treated as impermeable.

Results Comparison

 | Target | ANSYS[1] | Ratio
q, m3/day (per radian) | 8.6 | 8.6 | 1.0

  1. POST1 results for q are on a full circumference basis.

Figure 163.2 Pressure Contours

Figure 163.3 Flow Gradients

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM162 		Up / Home Next
VM164


VM164

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM164

Drying of a Thick Wooden Slab (Diffusion Analogy)

Overview

Reference: | W. M. Rohsenow, H. Y. Choi, Heat, Mass and Momentum Transfer, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1963, pg. 392, article 15.4.
Analysis Type(s): | Transient Thermal Analysis (ANTYPE = 4) with Analogous Diffusion Variables
Element Type(s): | 2-D Conduction Bar Elements (LINK32)
Input Listing: | vm164.dat

Test Case

A slab of wood of thickness b originally has a uniform moisture concentration ci (relative to dry wood) when a drying period begins. The ambient moisture concentration of the drying air is ce. Determine the moisture concentration c at the centerline of the slab after 127 hours.

Figure 164.1 Wooden Slab Problem Sketch

Material Properties
D = 4 x 10-5 ft2/hr
Geometric Properties
b = 2 in = (2/12) ft
Loading
ci = 30%
ce = 5%

Analysis Assumptions and Modeling Notes

The thermal analysis, which solves the Laplace equation, is used to solve this problem since the diffusion problem is also governed by the Laplace equation. The following analogy (thermal : diffusion) of input and output variables is used: (temperature : moisture concentration), (thermal conductivity : diffusion coefficient). The slab is assumed to have a large surface area compared with its thickness and a negligible surface resistance. The density and specific heat properties are arbitrarily set to 1.0 and the thermal conductivity is used for the diffusion coefficient input. The solution is obtained for an arbitrary cross-sectional area of 1 ft2.

The initial integration time step of 0.434 hr. is determined from δ2/4D, where δ is a characteristic element length (0.008333 ft) and D is the diffusion coefficient. Automatic time stepping is used to reduce the number of iterations if possible.

Results Comparison

 | Target[1] | ANSYS | Ratio[1]
c, % | 10.0 | 10.2 | 1.02

  1. Based on graphical estimates.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM163 		Up / Home Next
VM165


VM165

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM165

Current-Carrying Ferromagnetic Conductor

Overview

Reference: W. B. Boast, Principles of Electric and Magnetic Fields, Harper & Brothers, New York, NY, 1948, pg. 225.
Analysis Type(s): Nonlinear Static Magnetics Analysis (ANTYPE = 0)
Element Type(s):
2-D Coupled-Field Solid Elements (PLANE13)
2-D Infinite Boundary Elements (INFIN9)
Input Listing: vm165.dat

Test Case

A long cylindrical shell of cast steel carries a constant current I uniformly distributed within the conductor cross-section. Determine the tangential magnetic flux density Bθ at several locations within the conductor.

Figure 165.1 Current-Carrying Ferromagnetic Conductor Problem Sketch

Material Properties
B-H curve as shown in Table 165.1: "B-H Data"
Geometric Properties
ri = .3 in
ro = .45 in
r1 = .75 in
Loading
I = 100 A

Table 165.1 B-H Data

B(T)[1] | .21 | .55 | .80 | .95 | 1.0 | 1.1 | 1.15 | 1.25 | 1.40
H(A/m)[1] | 150 | 300 | 460 | 640 | 720 | 890 | 1020 | 1280 | 1900

  1. Graphical estimate from reference.

Analysis Assumptions and Modeling Notes

The conductor is assumed to be infinitely long, thus end effects are ignored allowing for a two-dimensional planar analysis. Since the field is symmetric around the circumference, only a 5° slice is chosen for modeling. The external air is modeled to a boundary at r1= 0.75 in, where the infinite boundary element is placed.

Six elements are arbitrarily modeled through the conductor thickness, line segment divisions and spacing ratios for the inner and outer air regions are chosen to provide compatible element sizes with the steel elements. The solution procedure consists of ramping the boundary conditions over 5 iterations in the first load step and iterating to convergence in a second load step with a convergence criterion of 1 x 10.

The MKS system of units is used for the analysis. The conversion factor used in the KPSCALE command, from inches to meters is 0.0254. The current density is calculated as J = I/A = I/π(ro2 - ri2) = 2.28019 x 10-4 A/in2 = 438559 A/m2.

Results Comparison

 | Target | ANSYS | Ratio
Bangle, T @ r r=.325 in | 0.48 | 0.45 | 0.94
Bangle, T @ r=.375 in | 1.03 | 1.02 | 0.99
Bangle, T @ r=.425 in | 1.22 | 1.21 | 1.00

Figure 165.2 B-H Curve

Figure 165.3 NU-B2 Curve

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM164 		Up / Home Next
VM166


VM166

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM166

Long Cylinder in a Sinusoidal Magnetic Field

Overview

Reference: | C. R. I. Emson, "Electromagnetic Workshop", Report No. RAL-86-049, Rutherford Appleton Laboratory, Chitton, Didcot, Oxon, U.K., 1986, pg. 39.
Analysis Type(s): | Full Harmonic Analysis (ANTYPE = 3)
Element Type(s): | 2-D Coupled-Field Solid Elements (PLANE13)
Input Listing: | vm166.dat

Test Case

A long hollow aluminum cylinder is placed in a uniform magnetic field. The magnetic field is perpendicular to the axis of the cylinder and varies sinusoidally with time. Determine the magnetic flux density at the center of the cylinder and the average power loss in the cylinder.

Figure 166.1 Long Cylinder Problem Sketch

Material Properties
σ = 2.5380711 x 107 S/m
Geometric Properties
ri = .05715 m
ro = .06985 m
= 0.84 m
Loading
B = B(y) = B cos ωt,
where Bo = 0.1T,
ω = 60 Hz

Analysis Assumptions and Modeling Notes

The external radial boundary is set at [image] = 0.84 m. The applied external field is calculated as B(y) = - δA / δx, so at θ = 0 and r = [image], A = -Bor = -.084. The vector potential A varies along [image] as Aθ = -Bor cos θ.

The cylinder is assumed to be infinitely long, thus end effects are ignored allowing for a two-dimensional planar analysis. The problem can be modeled in quarter symmetry with the flux-parallel (A = 0) boundary condition at x = 0, and the flux-normal (natural) boundary condition at y = 0. The average power loss in the cylinder is calculated from the real and imaginary power loss density (JHEAT) terms available in the database:

when n is the number of elements in the aluminum cylinder, Vi is the element volume (per-unit-depth). A fine mesh is defined in the cylinder for accurate calculation of the power loss.

Results Comparison

 | Target | ANSYS | Ratio
Bx (0,0), T | 0 + j0 | 0 + j0 | 1.0
By (0,0), T | -.00184 - j0.02102 | -.00192 - j0.02140 | 1.043, 1.018
Power Loss, W/m | 2288 | 2341 | 1.023

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM165 		Up / Home Next
VM167


VM167

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM167

Transient Eddy Currents in a Semi-Infinite Solid

Overview

Reference: | J. P. Holman, Heat Transfer, 4th Edition, McGraw-Hill Book Co., Inc., New York, NY, 1976, pg. 104, eqn. 4-14 (analogous field solution).
Analysis Type(s): | Transient Magnetic Field Analysis (ANTYPE = 4)
Element Type(s): | 2-D Coupled-Field Solid Elements (PLANE13)
Input Listing: | vm167.dat

Test Case

A semi-infinite solid is initially under no external magnetic field (vector potential A is zero throughout). The surface is suddenly subjected to a constant magnetic potential Ao. Determine the eddy current density, flux density and the vector potential field solution in the solid during the transient.

Figure 167.1 Semi-Infinite Solid Transient Eddy Currents Problem Sketch

Material Properties
μ = 4 π x 10-7 H/m
ρ = 4 x 10-7 ohm-m
Geometric Properties
= 20 m
h = 0.4 m
Loading
Ao = 2.0 Wb/m

Analysis Assumptions and Modeling Notes

A 0.4m2 area is arbitrarily selected for the elements. The model length (20 m) is arbitrarily selected such that no significant potential change occurs at the end points (nodes 41, 91) for the time period of interest. The node locations are defined with a higher density near the surface to accurately model the transient behavior.

The transient analysis makes use of automatic time step optimization over a time period of 0.24 sec. A maximum time step size ((.24/48) = .005 sec.) is based on [image] δ2/4 α, where δ is the conduction length within the first element (δ = .0775m) and α is the magnetic diffusivity (α = ρ / μ = .31822 m2/sec.). The minimum time step (.0002 sec) is selected as 1/25 of the maximum time step. The starting time step of 0.0002 sec. is arbitrarily selected. The problem is solved with two load steps to provide solution output at the desired time points. In the first load step, the step potential load is applied while setting initial boundary conditions of zero at all other potentials.

Results Comparison

t = 0.15 sec | Target | ANSYS | Ratio
Vector Potential (Wb/m)
@ x = .2517 | .831 | .831 | 1.000
@ x = .4547 | .282 | .278 | 0.986
@ x = .6914 | .050 | .044 | 0.880
Flux Density (T)
@ x = .2517 | 3.707 | 3.687 | .0995
@ x = .4547 | 1.749 | 1.794 | 1.026
@ x = .6914 | .422 | .454 | 1.076
Eddy Current Density (x107A/m2)
@ x = .2517 | -.777 | -.780 | 1.004
@ x = .4547 | -.663 | -.677 | 1.021
@ x = .6914 | -.243 | -.245 | 1.008

Figure 167.2 Vector Potential vs. Time Plot

Figure 167.3 Eddy Current Density vs. Time Plot

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM166 		Up / Home Next
VM168


VM168

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM168

Magnetic Field in a Nonferrous Solenoid

Overview

Reference: W. B. Boast, Principles of Electric and Magnetic Fields, Harper & Brothers, New York, NY, 1948, pg. 243.
Analysis Type(s): Static Magnetic Field Analysis (ANTYPE = 0)
Element Type(s):
3-D Coupled-Field Solid Elements (SOLID5)
Current Source Elements (SOURC36)
Input Listing: vm168.dat

Test Case

A nonferrous solenoid is wound with one layer of No. 26 enameled wire and carries a current I. Determine the magnetic flux density on the centerline at

  • the center of the coil

  • the end of the coil

  • at a point 5 inches from the end of the coil

Figure 168.1 Magnetic Field Problem Sketch

Geometric Properties
= 7.5 in
s = 5 in
r = 0.5 in
h = 6 in
d = 0.216
Loading
I = 0.5 A

Analysis Assumptions and Modeling Notes

The number of turns is N = s/d = 5/.0216 = 231. Therefore, N x I = 115.5 Ampere-turns. Since no ferromagnetic materials are present, the field due to induced magnetization, Hm = 0, and thus no scalar potential is required. The total field can be determined from the numerical integration of the coil source field upon specification of the coil with the current source element (SOURC36). Since the field is symmetric, an arbitrary arc of 10° is chosen with an additional symmetry plane taken along the coil midspan. A sufficient number of integration points (50) are chosen along the Z-axis to adequately represent the coil. Only one point is specified through the coil thickness. The Reduced Scalar Potential (RSP) is selected since only a source field is to be calculated.

Results Comparison

 | Target | ANSYS | Ratio
Bz (x 106)T at z = 0 | 1120 | 1121 | 1.00
Bz (x 106)T at z = 7.5 in (.1905 m) | 2.12 | 2.12 | 1.00

Figure 168.2 Axial Magnetic Field through Solenoid

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM167 		Up / Home Next
VM169


VM169

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM169

Permanent Magnet Circuit With an Air Gap

Overview

Reference: | F. C. Moon, Magneto-Solid Mechanics, John Wiley and Sons, Inc., New York, NY, 1984, pg. 275.
Analysis Type(s): | Magnetic Field Analysis (ANTYPE = 0)
Element Type(s): | Tetrahedral Coupled-Field Solid Elements (SOLID98)
Input Listing: | vm169.dat

Test Case

A permanent magnet circuit consists of a highly permeable core, a permanent magnet (the darker shading in the sketch), and an air gap. Assuming an ideal circuit with no flux leakage, determine the magnetic flux density and field intensity in the permanent magnet and the air gap.

Figure 169.1 Magnetic Circuit with Air Gap Problem Sketch

Material Properties Geometric Properties
Br = 1.0 T
Hc = 150,000 A/m
Θ = -30° (X-Z plane)
μr = 1 x 105 (iron)
Lm = .03 m
Lg = .001 m
hL = .03 m
t = .01 m

Analysis Assumptions and Modeling Notes

The problem is solved using coupled-field solid elements (SOLID98). The permanent magnet is polarized along a line at Θ = -30° to the Z-axis in the X-Z plane. The coercive force components are calculated as MG169 = Hc cos Θ = 129,900, MGZZ = Hc sin Θ = -75,000. The permanent magnet relative permeability, μr, is calculated as:

The iron is assumed to be highly permeable and is assigned a value μr = 1 x 105.

Since the device is symmetric only half of the circuit is required for modeling. At the symmetry plane the flux lines are orthogonal, so a flux-normal (Φ = 0) boundary condition is applied. With no leakage in the system, all the flux flows along a path circumventing the circuit. The flux-parallel boundary condition (δ Φ / δn = 0) holds on all other surfaces. The Reduced Scalar Potential (RSP) strategy is selected (default) since no current sources are defined. POST1 is used to extract results from the solution phase.

Results Comparison

Using SOLID98 | Target | ANSYS | Ratio
|B|, T (perm. magnet) | .7387 | .7387 | 1.000
|H|, A/m (perm. magnet) | 39150 | 39207.5537 | 1.001
|B|, T (air gap) | .7387 | .7386 | 1.000
|H|, A/m (air gap) | 587860 | 587791.6466 | 1.000

Figure 169.2 Vector Display of Magnetic Flux Density

Figure 169.3 Vector Display of Magnetic Field Intensity

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM168 		Up / Home Next
VM170


VM170

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM170

Magnetic Field From a Square Current Loop

Overview

Reference: | W. B. Boast, Principles of Electric and Magnetic Fields, Harper & Brothers, New York, NY, 1948, pg. 199-200.
Analysis Type(s): | Coupled-field Analysis (ANTYPE = 0)
Element Type(s): | Coupled Thermal-Electric Line Elements (LINK68)
Input Listing: | vm170.dat

Test Case

A current, I, is carried in a square loop of side a. The space about the current is air. Determine the magnetic flux density at point P, at a height b above the current loop.

Figure 170.1 Square Current Loop Problem Sketch

Material Properties
μo = 4 π x 10-7 H/m
ρ = 4.0 x 10-8 ohm-m
Geometric Properties
a = 1.5 m
b = 0.35 m
Loading
I = 7.5 A

Analysis Assumptions and Modeling Notes

The problem requires a coupled electromagnetic field solution. LINK68 is used to create the current field in the wire loop. The current field established by the LINK68 elements is used to calculate the magnetic field at point P.

Nodes 1 and 5 overlap to create a closed current loop. The voltage at node 5 is set to zero while the current is applied to node 1.

The first solution calculates the current distribution in the loop. The BIOT command is then issued to calculate the magnetic field from the current distribution.

The cross-sectional area of the wire does not enter into the solution so an arbitrary area of 1.0 is input. Only one element is required per side of the square loop since the Biot-Savart integration of the magnetic field from the line element is exact. Flux density is calculated from the field intensity as B = µoH.

Results Comparison

Flux Density | Target | ANSYS | Ratio
BX (x 106 Tesla) | 2.010 | 2.010 | 1.000
BY (x 106 Tesla) | -.0662 | -0.662 | 1.000
BZ (x 106 Tesla) | 2.010 | 2.010 | 1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM169 		Up / Home Next
VM171


VM171

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM171

Permanent Magnet Circuit With an Elastic Keeper

Overview

Reference: F. C. Moon, Magneto-Solid Mechanics, John Wiley and Sons, Inc., New York, NY, 1984, pg. 275.
Analysis Type(s): Coupled-field Analysis (ANTYPE = 0)
Element Type(s):
2-D Coupled-Field Solid Elements (PLANE13)
Spring-Damper Elements (COMBIN14)
Input Listing: vm171.dat

Test Case

A permanent magnet circuit consisting of a highly-permeable core and a permanent magnet is used to model a relay switch. An elastic keeper is modeled with a highly permeable iron and two springs. Assuming no flux leakage, determine the equilibrium displacements, δ, of the keeper and the operating point (flux density) in the permanent magnet.

Figure 171.1 Permanent Magnet Circuit Problem Sketch

Material Properties
For permanent magnet:
Br = 1 T
Hc = 150,000 A/m
µr = 5.305
For iron:
µr = 1 x 105
For springs:
k = 3.30681 x 105 N/m
For iron and permanent magnet:
E = 10 x 1010 N/m2
ν = 0
Geometric Properties
h = .03 m
w = .03 m
t = .01 m
a = .01 m

Analysis Assumptions and Modeling Notes

Since no leakage is assumed, the flux path will follow a closed loop through the iron core, permanent magnet, air gap, and keeper. The flux must follow parallel to the edges of the device, thus a flux-parallel (A = 0) boundary is set at the external nodes of the model. The inner nodes are coupled to ensure a flux-parallel boundary condition at the inner edge. The iron is assumed to be infinitely permeable and is assigned μr = 105. For a permanent magnet, μoμr = Br /Hc, therefore μr = 5.305. The modulus of elasticity for air is assigned a negligible value (100 N/m2) compared to that of the permeable materials. The permanent magnet structure has its displacements fixed. A magnetic pressure surface is assigned to the elements adjacent to the air-keeper interface to allow for the application of magnetic forces for structural analysis. An iterative large-deflection solution is required. Convergence criteria for structural force and magnetic current-segment is defined.

Results Comparison

 | Target | ANSYS | Ratio
Displacement, (m) | .00150 | .00150 | 0.994
B, (T) | .2496 | .2494 | 0.998

Figure 171.2 Displaced Geometry Display

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM170 		Up / Home Next
VM172


VM172

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM172

Stress Analysis of a Long, Thick, Isotropic Solenoid

Overview

Reference: F. C. Moon, Magneto-Solid Mechanics, John Wiley and Sons, Inc., New York, NY, 1984, pg. 275.
Analysis Type(s): Coupled field Analysis (ANTYPE = 0)
Element Type(s):
2-D Coupled-Field Solid Elements (PLANE13)
3-D Magneto-Structural Solid Elements (SOLID62)
3-D Magnetic Solid Elements (SOLID97)
Input Listing: vm172.dat

Test Case

A long, thick solenoid carries a uniform current density distribution, J. Assuming that the turns of the solenoid can be modeled as a homogeneous isotropic material with modulus of elasticity E, and Poisson's ratio ν, determine the axial magnetic flux density distribution Bθ and the circumferential stress σo distribution in the solenoid.

Figure 172.1 Isotropic Solenoid Problem Sketch

Material Properties
E = 10.76 x 1010 N/m2
υ = 0.35
µ = µo
Geometric Properties
a = .01 m
b = .02 m
t = .002 m
Θ = 10 degrees
Loading
J = 1 x 106 A/m2

Analysis Assumptions and Modeling Notes

The problem is solved first using a 2-D axisymmetric analysis with PLANE13 elements and then a 3-D analysis using SOLID62 and SOLID97 elements. The length of the solenoid is assumed infinite (L = [image]), so only a section of the axisymmetric solenoid (t = .002 m, arbitrary) is required for modeling. It is assumed that the magnetic field external to the solenoid is zero, so the nodes at x = b are coupled (AZ = constant (2-D), AY = constant (3-D)) such that the proper flux-parallel boundary condition is imposed. The flux-parallel condition at x = 0 is imposed by setting A = 0. Flux-normal boundary conditions are imposed naturally (no ANSYS input necessary) at y = 0 and y = t for the 2-D analysis, while in 3-D, the normal component (AZ) is set to zero. In 3-D, the nodes are rotated into cylindrical coordinates so that all in-plane vector potentials (AX and AZ) can be set to zero since only AY is required for a true axisymmetric field solution.

Symmetric structural boundary conditions are applied to the solenoid elements at y = 0. The nodes at y = t on the solenoid are coupled in UY to ensure symmetry. The air is modeled with 5 elements in the radial direction while the solenoid is discretized with 20 elements in the radial direction to accurately model the stress distribution. The 3-D model uses SOLID97 elements to model the air and SOLID62 elements to model the coil.

Results Comparison

 |  | Target[1] | ANSYS | Ratio
PLANE13 | Bangle, T @ r = .01 m | .01257 | .01226 | 0.975
 | Bangle, T @ r = .013 m | .008796 | .008797 | 1.000
 | Bangle, T @ r = .01 7m | .003770 | .003769 | 1.000
 | Stresso, N/m2 @ r = .01m | 146.7 | 144.2 | 0.983
 | Stresso, N/m2 @ r = .013m | 97.79 | 97.70 | 0.999
 | Stresso, N/m2 @ r = .017m | 62.44 | 62.61 | 1.003
SOLID62 / SOLID97 | Bangle, T @ r = .01 m | .01257 | .01219 | 0.970
 | Bangle, T @ r = .013 m | .008796 | .008747 | 0.994
 | Bangle, T @ r = .01 7m | .003770 | .003750 | 0.995
 | Stresso, N/m2 @ r = .01m | 146.7 | 144.4 | 0.984
 | Stresso, N/m2 @ r = .013m | 97.79 | 95.97 | 0.981
 | Stresso, N/m2 @ r = .017m | 62.44 | 61.34 | 0.982

  1. Assumed to be linearly varying through solenoid

Figure 172.2 2-D Circumferential Stress through Solenoid Windings

Figure 172.3 2-D Axial Flux Density through Solenoid Windings

Figure 172.4 3-D Circumferential Stress through Solenoid Windings

Figure 172.5 3-D Axial Flux Density through Solenoid Windings

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM171 		Up / Home Next
VM173


VM173

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM173

Centerline Temperature of an Electrical Wire

Overview

Reference: | W. M. Rohsenow, H. Y. Choi, Heat, Mass and Momentum Transfer, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1963, pg. 106, ex. 6.5.
Analysis Type(s): | Static, Coupled-Field Analysis (ANTYPE = 0)
Element Type(s): | 3-D Coupled-Field Solid Elements (SOLID5)
Input Listing: | vm173.dat

Test Case

Determine the centerline temperature [image] and the surface temperature Ts of a bare steel wire carrying a current I and having a resistance R/I. The surface convection coefficient between the wire and the air (at temperature Ta) is h. Also determine the heat dissipation rate q.

Figure 173.1 Electrical Wire Problem Sketch

Material Properties
R = .0001 ohm/ft
k = 13 Btu/hr-ft-°F
h = 5 Btu/hr-ft2-°F
ρ = 8.983782 x 10-8 ohm-ft
Geometric Properties
= 1 in = (1/12) ft
ro = 0.375 in = 0.03125 ft
Θ = 10°
Loading
I = 1000 A
Ta = 70°F

Analysis Assumptions and Modeling Notes

A 1 inch axial (Z) length is chosen for convenience. Since the problem is axisymmetric, only a one-element sector is needed. A small angle Θ = 10° is used for approximating the circular boundary with a straight-sided element.

The calculated resistivity, rho = RA/I, in units of [ohms-ft] was converted to units of [(Btu/hr)/watt] using the conversion factor [3.415 (ohm-ft)] / [(Btu/hr)/watt]. With this conversion, the Joule heat units match the thermal units. The voltage drop per foot, IR/ [image], is calculated as 0.1 volt/ft. Nodes 1 though 16 are assumed to be ground nodes for reference. The steady-state convergence procedures are used. The heat dissipation rate, q, is calculated as q = hA(T-Ta) where A = exterior surface area of the wire (parameter AREA).

Results Comparison

 | Target[1] | ANSYS | Ratio
Centerline Temperature, °F | 419.9 | 418.6 | 0.997
Ts , °F | 417.9 | 416.5 | 0.997
q, Btu/hr/ft | 341.5 | 339.8 | 0.995

  1. Solution recalculated

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM172 		Up / Home Next
VM174


VM174

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM174

Bimetallic Beam Under Thermal Load

Overview

Reference: B. A. Boley, J. H. Weiner, Theory of Thermal Stress, R. E. Krieger Publishing Co, Malabar, FL, 1985, pg. 429.
Analysis Type(s): Coupled field Analysis (ANTYPE = 0)
Element Type(s):
2-D Coupled-Field Solid Elements (PLANE13)
2-D 8-Node Coupled-Field Solid Elements (PLANE223)
Input Listing: vm174.dat

Test Case

A bimetallic beam consists of two materials with different coefficients of thermal expansion, α1 and α2, and is initially at a reference temperature of 0°F. The beam is simply supported and a uniform temperature is applied to both surfaces. The beam is expected to undergo a large lateral deflection. Determine the midspan deflection after heating and verify the temperature T at the material interface.

Figure 174.1 Bimetallic Beam Problem Sketch

Material Properties
For each strip:
k1 = k2 = 5 Btu/hr-in-°F
For material 1:
E1 = 10 x 106 psi
α1 = 14.5 x 10-6 in/in°F
For material 2:
E2 = 10 x 106 psi
α2 = 2.5 x 10-6 in/in°F
Geometric Properties
L = 5 in
t = 0.1 in
Loading
Ttop = 400.0°F
Tbot = 400.0°F

Analysis Assumptions and Modeling Notes

The problem involves a coupled thermal-stress analysis with large deflections and thus requires an iterative solution. Since the problem is symmetric, only one-half of the beam is modeled. The AZ degree of freedom is not required in this analysis and is excluded from the matrix formulation by not specifying any magnetic material properties. A convergence criteria for force is specified with a tight tolerance to converge the large deflection behavior.

Results Comparison

 | Target | ANSYS | Ratio
PLANE13
y, in | 0.900 | 0.888 | 0.987
T, °F | 400.0 | 400.0 | 1.000
PLANE223
y, in | 0.900 | 0.889 | 0.987
T, °F | 400.0 | 400.0 | 1.000

Figure 174.2 Bimetallic Beam Under Thermal Load

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM173 		Up / Home Next
VM175


VM175

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM175

Natural Frequency of a Piezoelectric Transducer

Overview

Reference: | D. Boucher, M. Lagier, C. Maerfeld, "Computation of the Vibration Modes for Piezoelectric Array Transducers Using a Mixed Finite Element Perturbation Method", IEEE Trans. Sonics and Ultrasonics, Vol. SU-28 No. 5, 1981, pg. 322, table 1.
Analysis Type(s): | Mode-frequency Analysis (ANTYPE = 2)
Element Type(s): | 3-D Coupled-Field Solid Elements (SOLID5)
Input Listing: | vm175.dat

Test Case

A piezoelectric transducer consists of a cube of PZT4 material with its polarization direction aligned along the Z axis. Electrodes are placed on the two surfaces orthogonal to the polarization axis. Determine the first two coupled-mode (breathing-type deformation) natural frequencies for the short circuit (resonance) case and the open circuit (anti-resonance) case.

Figure 175.1 Piezoelectric Transducer Problem Sketch

Material Properties
ρ = 7500 kg/m3
See "Constitutive Matrices"
Geometric Properties
= .02 m

Constitutive Matrices

PZT4 Dielectric Matrix [εr]

PZT4 Piezoelectric Matrix [e] C/m2

PZT4 "Stiffness" Matrix [c] x 10-10 N/m2

Analysis Assumptions and Modeling Notes

The electroded regions represent equipotential surfaces and are not modeled explicitly. For the short-circuit case the top and bottom electrodes are grounded (voltages are set equal to zero). For the open-circuit case only the bottom electrode is grounded. The short-circuit case represents excitation by potential while the open-circuit case represents excitation by charge.

A one-quarter symmetry sector is modeled with symmetry boundary conditions applied. The mesh density selected for analysis along the axes (X, Y, Z) are (2,2,4) elements respectively. All active displacement degrees of freedom are selected as master degrees of freedom (TOTAL command). All non-specified voltage degrees of freedom are condensed out during matrix reduction to allow for electro-elastic coupling.

The TEMP and MAG degrees of freedom of SOLID5 are not used in this analysis.

The modes that produce a breathing-type deformation pattern indicate the desired results. POST1 is used to display the mode shapes for determination of the desired natural frequencies.

Results Comparison

 |  | Target[1] | ANSYS | Ratio
Short Circuit | f1, kHz | 66.56 | 66.45 | 0.998
 | f2, kHz | 88.01 | 90.71 | 1.031
Open Circuit | f1, kHz | 81.59 | 84.26 | 1.033
 | f2, kHz | 93.41 | 96.99 | 1.038

  1. Experimentally measured values (f1,f2) represent breathing mode frequencies.

Figure 175.2 Short Circuit Case, Plot 3: First Breathing Mode

Figure 175.3 Short Circuit Case, Plot 6: Second Breathing Mode

Figure 175.4 Open Circuit Case, Plot 15: First Breathing Mode

Figure 175.5 Open Circuit Case, Plot 19: Second Breathing Mode

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM174 		Up / Home Next
VM176


VM176

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM176

Frequency Response of Electrical Input Admittance

Overview

Reference: | Y. Kagawa, T. Yamabuchi, "Finite Element Simulation of a Composite Piezoelectric Ultrasonic Transducer", IEEE Trans. Sonics and Ultrasonics, Vol. SU-2 No. 2, 1979, pg. 81.
Analysis Type(s): | Full Harmonic Response Analysis (ANTYPE = 3)
Element Type(s): | 3-D Coupled-Field Solid Elements (SOLID5)
Input Listing: | vm176.dat

Test Case

A composite piezoelectric transducer is made of a piezoceramic (NEPEC 6), aluminum, and an adhesive layer. Electrical terminals are attached to electroded surfaces of the piezoceramic where a potential V is applied. Determine the terminal input admittance Y over a frequency range spanning the first natural frequency.

Figure 176.1 Piezoelectric Transducer Problem Sketch

Material Properties
For aluminum:
E = 7.03 x 1010 N/m
ρ = 2690 kg/m3
υ = 0.345
For adhesive:
E = 10 x 109 N/m2
ρ = 1700 kg/m3
υ = 0.38
For NEPEC 6:
See "Constitutive Matrices"
Geometric Properties
ha = 15.275 x 10-3 m
hn = 5 x 10-3 m
hb = 5.275 x 10-3 m
r = 27.5 x 10-3 m
Loading
V = 1 volt

Constitutive Matrices

NEPEC 6 "Stiffness" Matrix [c] x 10-10 N/m2

NEPEC 6 Piezoelectric Matrix [e] C/m2

NEPEC 6 Dielectric Matrix [εr]

Analysis Assumptions and Modeling Notes

The transducer has circumferential symmetry and is symmetric about the midplane, so the model is reduced to a single wedge of elements with an additional symmetry plane at z = 0. No internal losses (damping) are assumed. The top surface of the piezoceramic is electroded, resulting in an equipotential surface. The nodes modeling the surface have their voltage DOF coupled so that the applied potential load can be conveniently placed on a single node. The 1 volt potential load translates into a 0.5 volt potential gradient across the piezoceramic for the 1/2 symmetry model.

The TEMP and MAG degrees of freedom of SOLID5 are not used in this analysis.

Admittance Y is calculated as I/V where I is the current and V is the applied potential. The current I is related to the accumulated charge on the electrode surface as I = jωΣQi, where ω is the operating frequency, j is [image] and ΣQi is the summed nodal charge (nodal reaction load). Since the nodal potentials are coupled, only the reaction "load" from the single node where the voltage is applied is required for the calculation. A series of calculations are made between 20 kHz and 54 kHz in POST26, which span the first natural frequency ( [image] 44 kHz).

Results Comparison

 | Target[1] | ANSYS[2] | Ratio
Y, mmhos @ 20kHz | .41 | .43 | 1.047
Y, mmhos @ 35kHz | .90 | .96 | 1.063
Y, mmhos @ 42kHz | 2.0 | 2.8 | 1.400
Y, mmhos @ 45kHz | - | -1.74 | -
Y, mmhos @ 50kHz | .39 | .32 | 0.833
Y, mmhos @ 54kHz | .65 | .63 | 0.962

  1. The experimentally measured values are presented in graphical form in the reference. The results tabulated here are obtained from interpolation of the graphical data.

  2. Displayed graphically in Figure 176.2: "Electrical Input Admittance vs. Frequency".

Figure 176.2 Electrical Input Admittance vs. Frequency

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM175 		Up / Home Next
VM177


VM177

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM177

Natural Frequency of a Submerged Ring

Overview

Reference: E. A. Schroeder, M. S. Marcus, "Finite Element Solution of Fluid Structure Interaction Problems", Shock and Vibration Symposium, San Diego, CA, 1975.
Analysis Type(s):
Full Harmonic Analysis (ANTYPE = 3)
Unsymmetric Matrix Modal Analysis (ANTYPE = 2)
Element Type(s):
3-D Acoustic Fluid Elements (FLUID30)
Elastic Shell Elements (SHELL63)
2-D Acoustic Fluid Elements (FLUID29)
2-D Elastic Beam Elements (BEAM3)
4-Node Finite Strain Shell (SHELL181)
Input Listing: vm177.dat

Test Case

A steel ring is submerged in a compressible fluid (water). Determine the lowest natural frequency for x-y plane bending modes of the fluid-structure system.

Figure 177.1 Submerged Ring Problem Sketch

Material Properties Geometric Properties
For steel:
E = 30 x 106 psi
υ = 0.3
ρ = 7.4167 x 10-4 lb-sec2/in4
For water:
C = 57480 in/sec
(speed of sound in water)
ρ = 9.6333 x 10-5 lb-sec2/in4
a = 10 in
b = 30 in
t = .25 in

Analysis Assumptions and Modeling Notes

For this problem, the fluid is assumed as extending only to a finite radius b where the pressure Po is zero and b is taken to be 30 inches. From the reference, this assumption should result in an error of less than 1% compared to the frequency for an unbounded fluid (b = [image]). The natural boundary conditions at the coordinate axes imply that δP / δx = 0 at x = 0 and δP / δy = 0 at y = 0.

This problem is solved using three separate analyses. The first, using 3-D acoustic fluid elements (FLUID30) with quadrilateral shell elements (SHELL63), the second, using 2-D acoustic fluid elements (FLUID29) with 2-D elastic beam elements (BEAM3) and the third using 3-D acoustic fluid elements (FLUID30) with quadrilateral shell elements (SHELL181).

In the first and third case, due to fluid-structure coupling involving unsymmetric matrices, the natural frequency is determined by performing a full harmonic (ANTYPE = 3) analysis with a frequency sweep. Monitoring the displacement of several key nodes (nodes 1, 41 and, 81) over the frequency range indicates the approximate desired natural frequency as the point where the nodal displacements indicate a resonant condition.

In the second case, the lowest natural frequency is obtained using an unsymmetric matrix modal analysis (ANTYPE = 2) corresponding to the frequency of mode one of the frequency data from the Lanczos unsymmetric eigensolver.

A preliminary finite element analysis (not shown here) was used to estimate a narrow range in which the 1st even bending mode frequency occurs. In the first case, two unit loads at nodes 1 and 81 are arbitrarily used to excite the desired bending mode of vibration.

Results Comparison

 |  | Target[1] | ANSYS | Ratio
FLUID30 and SHELL63 | f1, Hz | 35.62 | 36.61 < f < 36.62 | 1.028
FLUID29 and BEAM3 | f1, Hz | 35.62 | 36.54 | 1.026
FLUID30 and SHELL181 | f1, Hz | 35.62 | 36.61 < f < 36.62 | 1.028

  1. Solution from the reference under the same assumptions mentioned in the modeling notes.

Figure 177.2 Node 1 Displacement vs. Driving Frequency Near 1st Bending Mode Natural Frequency (Full Harmonic Analysis)

Figure 177.3 Real Displacement Component

Figure 177.4 Real Displacement Component

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM176 		Up / Home Next
VM178


VM178

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM178

Plane Poiseuille Flow

Overview

Reference: | S. W. Yuan, Foundations of Fluid Mechanics, Prentice-Hall of India Private Limited, 1976, sec. 8.36.
Analysis Type(s): | Thermal, Flow Analysis (FLOTRAN)
Element Type(s): | 2-D Fluid-Thermal Elements (FLUID141)
Input Listing: | vm178.dat

Test Case

A pressure differential is applied across a wide channel of length L and height H. The channel is filled with an incompressible fluid of density ρ, viscosity μ, thermal conductivity k, and specific heat at constant pressure Cp. Determine the steady-state velocity distribution Vx as a function of channel height.

Figure 178.1 Plane Poiseuille Flow Problem Sketch

Material Properties
k = 1 Btu/in-sec-°F
ρ = 1.0 lb-sec2/in4
Cp = 1.0 Btu in/lb-sec2-°F
α = 1.0 in/in-°F
μ = 1.0 lb-sec/in2
Geometric Properties
H = 2 in
L = 10 in
Loading
P1 = 0.1 psig
P2 = 0.0 psig

Analysis Assumptions and Modeling Notes

Zero velocity gradient in the z-direction is assumed so that a two-dimensional model is adequate. No-slip boundary conditions are applied along the channel walls (VX = VY = 0). The area is discretized with 8 elements along the length L and 6 elements across the thickness H.

Results Comparison

Vx , in/sec | Target | ANSYS | Ratio
@ y = 1.0 in | 0.0050 | 0.0050 | 1.000
@ y = 1.33 in | 0.0044 | 0.0044 | 1.01
@ y = 1.67 in | 0.0028 | 0.0028 | 0.992

Figure 178.2 Velocity Vector Display

Figure 178.3 Velocity Profile Across Channel

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM177 		Up / Home Next
VM179


VM179

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM179

Dynamic Double Rotation of a Jointed Beam

Overview

Reference: Any basic mechanics text
Analysis Type(s): Full Transient Dynamic Analysis (ANTYPE = 4)
Element Type(s):
Revolute Joint Elements (COMBIN7)
3-D Elastic Beam Elements (BEAM4)
Input Listing: vm179.dat

Test Case

A torque M1 is applied at the pinned end of an aluminum beam to cause a 90° rotation. A second torque M2 is then applied at a revolute joint in the beam to create an out-of-plane rotation. The joint has a rotational stiffness k, inertial mass J, frictional torque Tf, and locks when a 5° rotation occurs. Determine the position of the beam at the end of each rotation.

Figure 179.1 Jointed Beam Problem Sketch

Material Properties
k = 106 N-m/rad
J = 0.5 N-m-sec2/rad
Tf = 0.05 N-m
E = 70 x 109 N-m
ρ = 1 x 10-6 kg/m3
υ = 0.35
Geometric Properties
STOPU = 5° = 0.08727 rad
STOPU is the COMBIN7 real constant name
= 1 m
Loading
M1 = 0.7854 N-m
M2 = 0.5 N-m

Analysis Assumptions and Modeling Notes

Since step changes in acceleration occur due to the applied step loads, load steps with small time periods are used to "ramp" the accelerations to peak values while maintaining essentially no movement in the beams. The applied moments allow the beam to come to rest in the vertical position. A restart is included to demonstrate and test this program feature.

Results Comparison

 | Target | ANSYS | Ratio
Deflectionx , in (t = 1.0) | -0.5858 | -0.5749 | 0.981
Deflectiony , in (t = 1.0) | 1.4142 | 1.4032 | 0.992
Angle2 , rad (t = 1.0) | 0.7854 | 0.7777 | 0.990
Deflectionx , in (t = 2.0) | -2.000 | -2.000 | 1.000
Deflectiony , in (t = 2.0) | 2.000 | 2.000 | 1.000
Angle2 , rad (t = 2.0) | 1.5708 | 1.5707 | 1.000
Deflectionx , in (t = 3.0) | -2.000 | -2.01413 | 1.007
Deflectiony , in (t = 3.0) | 1.9962 | 1.9962 | 1.000
Deflectionz , in (t = 3.0) | 0.08716 | 0.08712 | 1.000
Anglex , rad (t = 3.0) | 0.08727 | 0.08723 | 1.000
Angle2 , rad (t = 3.0) | 1.5708 | 1.5779 | 1.005

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM178 		Up / Home Next
VM180


VM180

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM180

Bending of a Curved Beam

Overview

Reference: S. Timoshenko, J. N. Goodier, Theory of Elasticity, 3rd Edition, McGraw-Hill Book Co. Inc., New York, NY, 1970, pg. 73, article 29.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
2-D 8-Node Structural Solid Elements (PLANE183)
2-D Elastic Beam Elements (BEAM3)
Input Listing: vm180.dat

Test Case

A curved beam spans a 90° arc as shown. The bottom end is supported while the top end is free. For a bending moment M applied at the top end, determine the maximum tensile stress σt and the maximum compressive stress σc in the beam.

Figure 180.1 Curved Beam Problem Sketch

Material Properties
E = 30 x 106 psi
υ = 0.0
Geometric Properties
ri = 3.5 in
ro = 4.5 in
h = 1.0 in
Loading
M = 100 in-lb

Analysis Assumptions and Modeling Notes

Beam elements with arbitrary properties are included at the free end of the curved beam for uniform transmission of the applied forces. This creates a pure bending situation except for the nodes at the free end at which stresses are ignored. POST1 is used to obtain the desired stress results.

Results Comparison

 | Target | ANSYS | Ratio
Stresst , psi | 655.0 | 657.4 | 1.004
Stressc , psi | -555.0 | -556.6 | 1.003

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM179 		Up / Home Next
VM181


VM181

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM181

Natural Frequency of a Flat Circular Plate

Overview

Reference: | R. D. Blevins, Formulas for Natural Frequency and Mode Shape, Van Nostrand Reinhold Co., New York, NY, 1979, pg. 241, no. 3.
Analysis Type(s): | Mode-frequency Analysis (ANTYPE = 2)
Element Type(s): | 2-D 8-Node Structural Solid Elements (PLANE183)
Input Listing: | vm181.dat

Test Case

A circular plate with a clamped edge is allowed to vibrate freely. Determine the natural frequencies fi,j for the first three modes of vibration (j = 0, 1, 2) for the first harmonic (i = 0).

Figure 181.1 Flat Circular Plate Problem Sketch

Material Properties
E = 30 x 106 psi
υ = 0.3
ρ = .00073 lb-sec2/in4
Geometric Properties
t = 0.5 in
a = 17 in

Analysis Assumptions and Modeling Notes

Poisson's ratio defaults to 0.3 and is not defined with the input data. Nine master degrees of freedom are requested for automatic selection with the TOTAL command.

Results Comparison

 | Target | ANSYS | Ratio
f0,0, Hz | 172.64 | 172.79 | 1.001
f0,1, Hz | 671.79 | 676.80 | 1.007
f0,2, Hz | 1505.07 | 1530.15 | 1.016

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM180 		Up / Home Next
VM182


VM182

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM182

Transient Response of a Spring-mass System

Overview

Reference: R. K. Vierck, Vibration Analysis, 2nd Edition, Harper & Row Publishers, New York, NY, 1979, sec. 5-8.
Analysis Type(s):
Mode-frequency Analysis (ANTYPE = 2)
Transient Dynamic Mode Superposition Analysis (ANTYPE = 4)
Element Type(s): Combination Elements (COMBIN40)
Input Listing: vm182.dat

Test Case

A system containing two masses, m1 and m2, and two springs of stiffness k1 and k2 is subjected to a pulse load F(t) on mass 1. Determine the displacement response of the system for the load history shown.

Figure 182.1 Spring-mass System Problem Sketch

Material Properties Loading
k1 = 6 N/m
k2 = 16 N/m
m1 = 2 Kg
m2 = 2 Kg
F0 = 50 N
td = 1.8 sec

Analysis Assumptions and Modeling Notes

COMBIN40 combination elements are used to represent the springs and masses. Node locations are arbitrary. The response of the system is examined for an additional 0.6 seconds after the load is removed.

Results Comparison

 | Target | ANSYS | Ratio
Y1 , m (@ t = 1.3s) | 14.48 | 14.40 | 0.995
Y2 , m (@ t = 1.3s) | 3.99 | 3.95 | 0.990
Y1 , m (@ t = 2.4s) | 18.32 | 18.40 | 1.004
Y2 , m (@ t = 2.4s) | 6.14 | 6.16 | 1.003

Figure 182.2 POST26 Displacement Display

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM181 		Up / Home Next
VM183


VM183

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM183

Harmonic Response of a Spring-mass System

Overview

Reference: R. K. Vierck, Vibration Analysis, 2nd Edition, Harper & Row Publishers, New York, NY, 1979, sec. 4-2.
Analysis Type(s):
Mode-frequency Analysis (ANTYPE = 2)
Harmonic Response Mode Superposition Analysis (ANTYPE = 3)
Element Type(s): Combination Elements (COMBIN40)
Input Listing: vm183.dat

Test Case

Determine the natural frequencies of the spring-mass system shown and the displacement response when excited by a harmonic load of variable frequency from 0.1 to 1.0 Hz, with an amplitude of Fo.

Figure 183.1 Spring-mass System Problem Sketch

Material Properties Loading
k1 = 6 N/m
k2 = 16 N/m
m1 = m2 = 2 kg
Fo = 50 N

Analysis Assumptions and Modeling Notes

COMBIN40 combination elements are used to represent the springs and masses. Node locations are arbitrary.

Results Comparison

 | Target | ANSYS | Ratio
Y1 , m (@ .226 Hz) | -1371.7 | -1371.7 | 1.000
Y2 , m (@ .226 Hz) | -458.08 | -458.08 | 1.000
Y1 , m (@ .910 Hz) | -0.8539 | -0.8539 | 1.000
Y2 , m (@ .910 Hz) | 0.1181 | 0.1181 | 1.000

Figure 183.2 Displacement vs. Frequency

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM182 		Up / Home Next
VM184


VM184

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM184

Straight Cantilever Beam

Overview

Reference: Any Basic Mechanics of Materials Text
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
3-D Coupled-Field Solid Elements (SOLID5)
3-D 10-Node Tetrahedral Structural Solid Elements (SOLID92)
Tetrahedral Coupled-Field Solid Elements (SOLID98)
3-D Brick Structural Solid p-Elements (SOLID147)
3-D 10-Node Tetrahedral Structural Solid Elements (SOLID187)
Input Listing: vm184.dat

Test Case

A beam of length [image], height h, and thickness t is built-in at one end and loaded at the free end with an axial force, an in-plane shear force and an out-of-plane shear force, all of magnitude F. Determine the deflections δx, δy, and δz at the free end due to these loads.

Figure 184.1 Straight Cantilever Beam Problem Sketch

Material Properties
E = 10 x 106 psi
υ = 0.3
Geometric Properties
= 6 in
h = 0.2 in
t = 0.1 in
Loading
F = 1 lb

Analysis Assumptions and Modeling Notes

The problem is solved in five different ways:

  • using Coupled-Field Solid Elements (SOLID5)

  • using Tetrahedral Solid Elements (SOLID92)

  • using Tetrahedral coupled-Field Solid Elements (SOLID98)

  • using Brick Structural Solid p-Element (SOLID147)

  • using Tetrahedral Solid Elements (SOLID187)

POST1 is used to directly obtain the difference between the theoretical solution and the ANSYS results in the form of a ratio, using the maximum displacement value on the free face.

Results Comparison

 |  | Target | ANSYS | Ratio
SOLID5 | Deflectionx , in | 3.000 x 10-5 | 2.9777 x 10-5 | 0.993
 | Deflectiony , in | 0.10800 | 0.10673 | 0.989
 | Deflectionz , in | 0.43200 | 0.42554 | 0.985
SOLID92 | Deflectionx , in | 3.000 x 10-5 | 3.000 x 10-5 | 0.995
 | Deflectiony , in | 0.108000 | 0.106757 | 0.988
 | Deflectionz , in | 0.432000 | 0.425708 | 0.985
SOLID98 | Deflectionx , in | 3.000 x 10-5 | 3.000 x 10-5 | 0.995
 | Deflectiony , in | 0.108000 | 0.106757 | 0.988
 | Deflectionz , in | 0.432000 | 0.425708 | 0.985
SOLID147 | Deflectionx , in | 3.000 x 10-5 | 3.000 x 10-5 | 1.011
 | Deflectiony , in | 0.10800 | 0.106989 | 0.991
 | Deflectionz , in | 0.43200 | 0.424641 | 0.983
SOLID187 | Deflectionx , in | 3.000 x 10-5 | 3.000 x 10-5 | 0.995
 | Deflectiony , in | 0.10800 | 0.106757 | 0.988
 | Deflectionz , in | 0.43200 | 0.425708 | 0.985

Figure 184.2 Element Display

Figure 184.3 Clipped and Capped Display of Stress Contours

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM183 		Up / Home Next
VM185


VM185

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM185

AC Analysis of a Slot Embedded Conductor

Overview

Reference: | A. Konrad, "Integrodifferential Finite Element Formulation of Two-Dimensional Steady-State Skin Effect Problems", IEEE Trans. Magnetics, Vol. MAG-18 No. 1, January 1982, pg. 284-292.
Analysis Type(s): | Coupled-field Analysis (ANTYPE = 3)
Element Type(s): | 2-D Coupled-Field Solid Elements (PLANE13)
Input Listing: | vm185.dat

Test Case

A solid copper conductor embedded in the slot of an electric machine carries a current I at a frequency ω. Determine the distribution of the current within the conductor, the source current density, the complex impedance of the conductor, and the AC/DC power loss ratio.

Figure 185.1 Slot Embedded Conductor Problem Sketch

Material Properties
µo = 4 π x 10-7 H/m
µr = 1.0
ρ = 1.724 x 10-8 ohm-m
Geometric Properties
a = 6.45 x 10-3 m
b = 8.55 x 10-3 m
c = 8.45 x 10-3 m
d = 18.85 x 10-3 m
e = 8.95 x 10-3 m
Loading
I = 1.0 A
ω = 45 Hz

Analysis Assumptions and Modeling Notes

The slot is assumed to be infinitely long, so end effects are ignored, allowing for a two-dimensional planar analysis. An assumption is made that the steel slot is infinitely permeable and thus is replaced with a flux-normal boundary condition. It is also assumed that the flux is contained within the slot, so a flux-parallel boundary condition is placed along the top of the slot.

The problem requires a coupled electromagnetic field analysis using the VOLT and AZ degrees of freedom. All VOLT DOFs within the copper conductor are coupled together to enforce the correct solution of the source current density component of the total current density. The eddy current component of the total current density is determined from the AZ DOF solution. The current may be applied to a single arbitrary node in the conductor, since they are all coupled together in VOLT.

The complex impedance of the slot is calculated in POST1 from the equation

where V = voltage drop, [image] and [image] are real and imaginary components of the source current density (obtained from the solution results in the database file). The real component of the impedance represents the AC resistance Rac per unit length. The DC resistance per unit length Rdc is calculated as ρ/A. The AC/DC power loss ratio is calculated as Rac/Rdc.

Results Comparison

 | Target[1] | ANSYS | Ratio
 | 10183 | 10123.54 | 0.994
 | 27328 | 27337.36 | 1.000
Impedance (Ohm/m) x 106 | - | 174.7 + j471.3 | -
Loss Ratio | 2.33t[1] | 2.39 | 1.025

  1. Target solution based on graphical estimate.

Figure 185.2 Flux Lines

Figure 185.3 Total Current Density

Figure 185.4 Eddy Current Density

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM184 		Up / Home Next
VM186


VM186

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM186

Transient Analysis of a Slot Embedded Conductor

Overview

Reference: | A. Konrad, "Integrodifferential Finite Element Formulation of Two-Dimensional Steady-State Skin Effect Problems", IEEE Trans. Magnetics, Vol. MAG-18 No. 1, January 1982.
Analysis Type(s): | Transient Magnetic Field Analysis (ANTYPE = 4)
Element Type(s): | 2-D Coupled-Field Solid Elements (PLANE13)
Input Listing: | vm186.dat

Test Case

A solid conductor embedded in the slot of a steel electric machine carries a sinusoidally varying current I. Determine the vector magnetic potential solution after 3/4 and 1 period of the oscillation frequency. In addition, display the time-varying behavior of the total input current, the source current component, and the eddy current component.

Figure 186.1 Slot Embedded Conductor Problem Sketch

Material Properties Geometric Properties Loading
μo = 1.0
μr = 1.0
ρ = 1.0
a = 4
b = 3
c = 1
I = 4 A
ω = 1 rad/sec

Analysis Assumptions and Modeling Notes

The slot is assumed to be infinitely long so that end effects are ignored, allowing for a two-dimensional planar analysis. An assumption is made that the steel containing the slot is infinitely permeable and so is replaced with a flux-normal boundary condition. It is also assumed that the flux is contained within the slot, so a flux-parallel boundary condition is placed along the top of the slot. The problem is stated in non-dimensional terms with properties given as unit values to match the reference.

The problem requires a coupled electromagnetic field analysis using the VOLT and AZ degrees of freedom. All VOLT DOF's within the conductor are coupled together to enforce the correct solution of the source current density component of the total current density. The eddy current component of the total current density is determined from the AZ DOF solution. The current is applied to a single arbitrary node in the conductor, since they are all coupled together in VOLT.

An initial solution is performed at a very small time step of 1 x 10-8 sec to establish a null field solution. Since no nonlinear properties are present, the NEQIT command is set to 1.0, suppressing equilibrium iterations at each time point. Eighty-one load steps are set up at constant time increments to accurately model the time-varying field solution. The Jacobian solver option is arbitrarily chosen.

The time-history postprocessor POST26 is used to display the time-varying current. The total, source, and eddy current density components are retrieved from the database file for each element, from which the respective current components are calculated. The currents are then summed over all the elements in the conductor for display purposes.

Results Comparison

Vector Potential | Target | ANSYS | Ratio
@ node 1 (t = 3pi/2) | -15.18 | -15.03 | .990
@ node 4 (t = 3pi/2) | -14.68 | -14.66 | .999
@ node 7 (t = 3pi/2) | -4.00 | -4.00 | 1.00
@ node 1 (t = 2pi) | -3.26 | -3.21 | .985
@ node 4 (t = 2pi) | -0.92 | -0.91 | .989
@ node 7 (t = 2pi) | 0 | 0 | -

Figure 186.2 Eddy, Source and Total Current

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM185 		Up / Home Next
VM187


VM187

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM187

Bending of a Curved Beam

Overview

Reference: R. J. Roark, Formulas for Stress and Strain, 4th Edition, McGraw-Hill Book Co., Inc., New York, NY, 1965, pg. 166, example.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
3-D Coupled-Field Solid Elements (SOLID5)
3-D 10-Node Tetrahedral Structural Solid Elements (SOLID92)
Tetrahedral Coupled-Field Solid Elements (SOLID98)
3-D Tetrahedral Structural Solid p-Elements (SOLID148)
3-D 10-Node Tetrahedral Structural Solid Elements (SOLID187)
Input Listing: vm187.dat

Test Case

A curved beam spans a 90° arc as shown. A shear load F is applied to the top end while the bottom end is built-in. Determine the deflection d at the free end.

Figure 187.1 Bending of a Curved Beam Problem Sketch

Material Properties Geometric Properties Loading
E = 10 x 106 psi
υ = 0.25
ri = 4.12 in
ro = 4.32 in
h = 0.1 in
F = 1 lb

Analysis Assumptions and Modeling Notes

The problem is solved in five different ways:

  • using Coupled-Field Solid Elements (SOLID5)

  • using Tetrahedral Solid Elements (SOLID92)

  • using Tetrahedral Coupled-Field Solid Elements (SOLID98)

  • using 3-D Tetrahedral Structural Solid p-Elements (SOLID148)

  • using Tetrahedral Solid Elements (SOLID187)

For the tetrahedral elements, the nodes at the free end are coupled and the shear force applied to the prime node.

Postprocessing is used to directly obtain the difference between the target solution and the ANSYS results in the form of a ratio.

Results Comparison

 | Target | ANSYS | Ratio
Deflection, in (SOLID5) | 0.08854 | 0.088136 | 0.995
Deflection, in (SOLID92) | 0.08854 | 0.088333 | 0.998
Deflection, in (SOLID98) | 0.08854 | 0.088333 | 0.998
Deflection, in (SOLID148) | 0.08854 | 0.088460 | 0.999
Deflection, in (SOLID187) | 0.08854 | 0.088333 | 0.998

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM186 		Up / Home Next
VM188


VM188

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM188

Force Calculation on a Current Carrying Conductor

Overview

Reference: F. C. Moon, Magneto-Solid Mechanics, John Wiley and Sons, Inc., New York, NY, 1984, pg. 418.
Analysis Type(s): Static Magnetic Field Analysis (ANTYPE = 0)
Element Type(s):
2-D 8-Node Magnetic Solid Elements (PLANE53)
2-D Infinite Boundary Elements (INFIN9)
Input Listing: vm188.dat

Test Case

Two rectangular conductors, separated by centerline-to-centerline distance d, are carrying equal out-of-plane currents, I. Determine the resulting force F on the conductors.

Figure 188.1 Current Carrying Conductor Problem Sketch

Material Properties
μr = 1
μo = 4 π x 10-7 H/m
Geometric Properties
d = .010 m
a = .012 m
t = .002 m
Loading
I = 24 A

Analysis Assumptions and Modeling Notes

Due to the symmetric nature of the magnetic field, a 1/4 symmetry model is generated. The far-field boundaries are meshed with an infinite boundary element to model the unbounded field behavior. The lower order infinite elements are meshed first so that the higher order plane elements will appropriately drop their midside nodes during meshing.

Lorentz forces [image] in the conductor are calculated for each element and are available from the post data file. Virtual work forces are also calculated via specification of virtual displacements (MVDI). A third method of obtaining the force on a body is through the use of the Maxwell stress tensor. Forces in this manner are obtained from a surface integral (line integral in 2-D analysis) defined using the path calculation capabilities in POST1 and macro FOR2-D. Flux lines are displayed via the macro PLF2-D.

The applied source current density is calculated as I/at = 2A/(12 x 2) x 10-6 m2 = 1 x 106 A/m2.

To ensure that a surface integral for force calculations will yield acceptable results, a fine mesh is used for area 6 in the region of the surface integral path.

Results Comparison

 | Target | ANSYS | Ratio
F, N/m (Lorentz) | -9.684 x 10-3 | -9.717 x 10-3 | 1.003
F, N/m (Maxwell) | -9.684 x 10-3 | -9.672 x 10-3 | 0.999
F, N/m (Virtual Work) | -9.684 x 10-3 | -9.717 x 10-3 | 1.003

Figure 188.2 Magnetic Flux Lines Near Conductor

Path of the integral is highlighted.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM187 		Up / Home Next
VM189


VM189

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM189

Hollow Sphere in a Uniform Magnetic Field

Overview

Reference: C. R. I. Emson, "Results for a Hollow Sphere in a Uniform Field (Benchmark Problem 6)", COMPEL, Vol. 7 Nos. 1 & 2, 1988, pp. 89-101.
Analysis Type(s): Full Harmonic Response Analysis (ANTYPE = 3)
Element Type(s):
3-D Magnetic Solid Elements (SOLID97)
3-D Magnetic Scalar Solid Elements (SOLID96)
3-D Magnetic Interface Elements (INTER115)
Input Listing: vm189.dat

Test Case

A hollow aluminum sphere is subjected to a uniform sinusoidally varying magnetic field. Determine the peak flux density at the center of the sphere and the average power loss within the sphere.

Figure 189.1 Hollow Sphere Problem Sketch

Material Properties
μr = 1 (aluminum)
ρ = 2 x 10-9 ohm-m
Geometric Properties
ri = .05 m
ro = .055 m
Loading
B = B(y) = Bocos ωt
Bo = 1 T
ω = 50 Hz

Analysis Assumptions and Modeling Notes

The problem is symmetric such that an arbitrary circumferential slice (Φ-direction) can be chosen along with a half-symmetry slice about the Y axis. A circumferential slice of Φ = 20 degrees is arbitrarily selected.

A rectangular exterior boundary is located at a distance of 0.6 m where the external field load is applied. To maximize efficiency, the model is divided into two regions. Region 1 is the hollow aluminum sphere which is modeled with the vector potential formulation using the SOLID97 element. Region two is the air inside and outside of the sphere which is modeled with the Reduced Scalar Potential formulation using the SOLID96 element. The two regions are interfaced with the interface element INTER115 at the sphere-air boundary.

Flux-parallel boundary conditions are applied at the Φ = 0 and Φ = 20 degree planes. Flux-normal conditions are applied at the y = 0 plane. At the interface regions, the condition [image] is enforced by first rotating the nodes into a spherical coordinate system and then setting the radial component of the vector potential to zero. Electric flux-normal conditions are enforced at the two circumferential symmetry planes by setting the time-integrated potential (VOLT) to zero. The external field is applied at the y = .6 m exterior plane by applying a nonzero value of the scalar potential based on the equation:

B(y) = μ H(y) = - μ grad Φ = - μ Δ Φ / Δ y

With this relationship, the scalar potential value at y = .6 m is:

Φ y=.6 = -.6/ μ 0

The command macro POWERH is used to calculate the power loss in the cylinder. Vector array displays of the eddy currents in the cylinder is produced using the PLVJ3D command macro.

The AMAP command is used to simplify the Mapped Meshing process. It eliminates the need for line concatenation, resulting in easier mesh extrusion into 3-D.

Results Comparison

 | Target | ANSYS | Ratio
By (0,0), T | .0542 | .0533 | 1.017
Power loss, W | 10062 | 9648 | 1.043

Figure 189.2 Vector Display of Eddy Current Density (Real)

Figure 189.3 Vector Display of Eddy Current Density (Imaginary)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM188 		Up / Home Next
VM190


VM190

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM190

Ferromagnetic Inductor

Overview

Reference: S. J. Chapman, Electric Machinery Fundamentals, McGraw-Hill Book Co., Inc., New York, NY, 1985, pg. 14, ex. 1-1.
Analysis Type(s): Static Magnetic Field Analysis (ANTYPE = 0)
Element Type(s):
Tetrahedral Coupled-Field Solid Elements (SOLID98)
3-D Infinite Boundary Elements (INFIN47)
Current Source Elements (SOURC36)
Input Listing: vm190.dat

Test Case

A ferromagnetic core is wound with a 200-turn coil wrapped around one leg. Determine the mmf drop in the iron core for a coil current of 1 ampere.

Figure 190.1 Ferromagnetic Inductor Problem Sketch

Material Properties | Geometric Properties | Loading
ur = 2500 (iron) | h = 60 cm, L = 55 cm | I = 1.0 Ampere
 | w = 10 cm, a = 15 cm |
 | b = 30 cm, c = 10 cm |

Analysis Assumptions and Modeling Notes

Since the core material has finite permeability air is modelled to a small distance away from the core. The open boundary is modelled with an infinite surface element at the edge of the air region. The model employs 1/4 symmetry (about the Y and Z planes). The current source is modelled by a coil primitive. Dimensions of the coil are arbitrarily chosen since they have no bearing on the mmf calculations.

The iron core, linked by a coil, has no air-gap, hence a multiply-connected domain exists requiring the use of the Generalized Scalar Potential (GSP) formulation. The GSP strategy requires three solution steps, controlled by the MAGOPT command.

The mmf drop in the iron is calculated by a line integral around the iron core. According to Ampere's law, [image] H [image] d [image] =l, where H is the field intensity, and I is the enclosed current (or mmf drop). The integral is set up and calculated using the path logic in POST1.

Results Comparison

 | Target | ANSYS | Ratio
mmf drop (A-t) | 200 | 198.85 | 0.994

Figure 190.2 Magnetic Flux Density

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM189 		Up / Home Next
VM191


VM191

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM191

Hertz Contact Between Two Cylinders

Overview

Reference: N. Chandrasekaran, W. E. Haisler, R. E. Goforth, "Finite Element Analysis of Hertz Contact Problem with Friction", Finite Elements in Analysis and Design, Vol. 3, 1987, pp. 39-56.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
2-D Structural Solid Elements (PLANE42)
3-D Structural Solid Elements (SOLID45)
2-D/3-D Node-to-Surface Contact Elements (CONTA175)
2-D Structural Solid Elements (PLANE182)
3-D Structural Solid Elements (SOLID185)
Input Listing: vm191.dat

Test Case

Two long cylinders of radii R1 and R2, in frictionless contact with their axes parallel to each other are pressed together with a force per unit length, F. Determine the semi-contact length b and the approach distance d.

Figure 191.1 Hertz Contact Between Two Cylinders Problem Sketch

Material Properties
Cylinder 1:
E1 = 30000 N/mm2
ν1 = 0.25
Cylinder 2:
E2 = 29120 N/mm2
ν2 = 0.3
Geometric Properties
R1 = 10 mm
R2 = 13 mm
Loading
F = 3200 N/mm

Analysis Assumptions and Modeling Notes

Each analysis uses two load steps; in the first load step a small imposed displacement is used on the upper cylinder to engage contact, whereas in the second load step the imposed displacement is deleted and the force load is applied.

The problem is solved in eight different ways:

Contact Algorithm: Augmented Lagrangian - KEYOPT(2) = 0

  • 2-D analysis with PLANE42 and CONTA175

  • 3-D analysis with SOLID45 and CONTA175

  • 2-D analysis with PLANE182 and CONTA175

  • 3-D analysis with SOLID185 and CONTA175

Contact Algorithm: Lagrange Multiplier - KEYOPT(2) = 3

  • 2-D analysis with PLANE42 and CONTA175

  • 3-D analysis with SOLID45 and CONTA175

  • 2-D analysis with PLANE182 and CONTA175

  • 3-D analysis with SOLID185 and CONTA175

Plane stress condition is modeled using a unit thickness slice through the cylinders. The region modeled is shown shaded in the problem sketch. The ESURF command is used to automatically generate the contact and target elements between "contactor" nodes on the upper cylinder and "target" nodes on the lower cylinder. The default value of contact stiffness FKN is chosen while performing a solution using Augmented Lagrangian contact algorithm (KEYOPT(2) = 0) whereas no contact stiffness input is required to be specified while performing a solution using Lagrange Multiplier contact algorithm (KEYOPT(2) = 3).

Results Comparison

 |  | Target | ANSYS | Ratio
CONTA175 - Algorithm: Augmented Lagrangian KEYOPT(2) = 0
PLANE42 | d,mm | -0.4181 | -0.4214 | 1.008
 | b,mm | 1.20 | 1.1609 | 0.967
SOLID45 | d,mm | -0.4181 | -0.4207 | 1.006
 | b,mm | 1.20 | 1.1609 | 0.967
PLANE182 | d,mm | -0.4181 | -0.4183 | 1.000
 | b,mm | 1.20 | 1.1609 | 0.967
SOLID185 | d,mm | -0.4181 | -0.4191 | 1.002
 | b,mm | 1.20 | 1.1609 | 0.967
CONTA175 - Algorithm: Lagrange Multiplier KEYOPT(2) = 3
PLANE42 | d,mm | -0.4181 | -0.4213 | 1.008
 | b,mm | 1.20 | 1.1609 | 0.967
SOLID45 | d,mm | -0.4181 | -0.4191 | 1.006
 | b,mm | 1.20 | 1.1609 | 0.967
PLANE182 | d,mm | -0.4181 | -0.4181 | 1.000
 | b,mm | 1.20 | 1.1609 | 0.967
SOLID185 | d,mm | -0.4181 | -0.4190 | 1.002
 | b,mm | 1.20 | 1.1609 | 0.967

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM190 		Up / Home Next
VM192


VM192

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM192

Cooling of a Billet by Radiation

Overview

Reference: R. Siegel, J. R. Howell, Thermal Radiation Heat Transfer, 2nd Edition, Hemisphere Publishing Corporation, 1981, pg. 229, problem 21.
Analysis Type(s): Transient Analysis (ANTYPE = 4)
Element Type(s):
3-D Thermal Solid Elements (SOLID70)
3-D Thermal Surface Effect Elements (SURF152)
Input Listing: vm192.dat

Test Case

A carbon steel billet is initially at a temperature TB and is supported in such a manner that it loses heat by radiation from all its surfaces to surroundings at temperature TE. Determine the temperature TB of the billet at the end of 3.7 hours.

Figure 192.1 Cooling of a Billet by Radiation Problem Sketch

Material Properties
C = 0.11 Btu/lb-°R
ρ = 487.5 lb/ft3
ε = emissivity = 1.0
Stefan-Boltzmann constant = 0.1712x10-8 Btu/hr-ft2-R4
Geometric Properties
a = 2 ft
b = 4 ft
Loading
TE = 70°F (530°R)
TB = 2000°R (at t = 0)

Analysis of Assumptions and Modeling Notes

The billet is modeled using a single SOLID70 element overlaid with a SURF152 element on each of its faces. The surface elements have a common extra node representing the surrounding space. An arbitrary value is selected for the billet conductivity. The form factor from the billet to surrounding space is input as unity.

Results Comparison

Time = 3.7 hr | Target | ANSYS | Ratio
TB, °R | 1000.0 | 1002.5 | 1.002

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM191 		Up / Home Next
VM193


VM193

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM193

Adaptive Analysis of 2-D Heat Transfer with Convection

Overview

Reference: | NAFEMS, "The Standard NAFEMS Benchmarks", Rev. No. TSNB, National Engineering Laboratory, E. Kilbride, Glasgow, UK, August, 1989, Test No. T4.
Analysis Type(s): | Steady-state Thermal Analysis (ANTYPE = 0)
Element Type(s): | 2-D Thermal Solid Elements (PLANE55)
Input Listing: | vm193.dat

Test Case

Determine the temperature at point E in a long slab of rectangular cross-section subjected to the thermal loads shown below.

Figure 193.1 2–D Heat Transfer with Convection Problem Sketch

Material Properties
k = 52.0 W/m-°C
h = 750.0 W/m2-°C
Geometric Properties
a = 1.0 m
b = 0.6 m
d = 0.2 m
Loading
To = 100°C
Ta = 0°C

Analysis Assumptions and Modeling Notes

Due to the conflicting boundary conditions, this problem has a singularity at point B, leading to a high gradient of temperature from point B to E. The adaptive meshing solution technique is used to obtain the solution to this problem within 10 adaptive loops such that the error in the thermal energy norm over the entire model is within 5%.

The model is created using solid model entities. A keypoint is specified at target location E to ensure that a node is created at that location. All boundary conditions are applied on the solid model. The ADAPT macro is used to invoke the automatic adaptive meshing procedure.

Results Comparison

 | Target | ANSYS | Ratio
T, °C at point E | 18.3 | 18.2 | 0.995

Figure 193.2 Temperature Contour Plot

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM192 		Up / Home Next
VM194


VM194

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM194

Element Birth/Death in a Fixed Bar

Overview

Reference: | Any standard mechanics of materials text
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | 2-D Spar (or Truss) Elements (LINK1)
Input Listing: | vm194.dat

Test Case

A bar of uniform cross-section, fixed at both ends and subjected to a uniform thermal load (ΔT) has its center third removed. This is followed by replacing the removed part in a "strain-free" condition and then removing the uniform thermal load. Determine the axial stresses and the thermal strains in the three sections of the bar at the end of this sequence of loading operations.

Figure 194.1 Fixed Bar with Thermal Loading Problem Sketch

Material Properties
E = 30 x 106 psi
α = 0.00005 in/in-°F
Geometric Properties
L = 10 in
b = 1 in
Loading
Load Step 1: ΔT = 100°F
Load Step 2: Elem 2 dead
Load Step 3: Elem 2 alive
Load Step 4: ΔT = 0°F

Analysis Assumptions and Modeling Notes

The REFT material property is used to model "rebirth" of the "dead" element such that no thermal strains exist at birth. This is achieved by specifying the value of REFT equal to the uniform temperature of the bar (100°F). Removing the thermal load in the subsequent final load step therefore results in relieving the thermal strains in elements 1 and 3. Element 2 on the other hand, experiences a thermal load of ΔT = -100°F resulting in a negative thermal strain.

Results Comparison

Load Step No. 4 | Target | ANSYS[1] | Ratio
Stressx , psi | 150,000[1] | 150,000 | 1.000
Strainth , (elem1, 3) | 0.0 | 0.0 | -
Strainth , (elem 2) | -0.005 | -0.005 | 1.000

  1. Uniform for all elements.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM193 		Up / Home Next
VM195


VM195

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM195

Toggle Mechanism

Overview

Reference: G. H. Martin, Kinematics and Dynamics of Machines, 2nd Edition, McGraw-Hill Book Co., Inc., New York, NY, 1982, pp. 55-56, fig. 3-22.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
Revolute Joint Elements (COMBIN7)
3-D Elastic Beam Elements (BEAM4)
Spring-Damper Elements (COMBIN14)
Linear Actuator Elements (LINK11)
Input Listing: vm195.dat

Test Case

Determine the maximum force (Fmax) of a toggle mechanism acting upon a resisting spring.

Figure 195.1 Toggle Mechanism Problem Sketch

Material Properties
E = 1 x 109 N/m2
Geometric Properties
t = 0.1 m
Ks = 166.67 N/m
Ka = 100/d N/m
α = 36.87°
Loading
Fa = 100 N

Analysis Assumptions and Modeling Notes

A linear actuator is used to apply a force, Fa, and move the toggle mechanism. The actuator force is increased by 2% to ensure complete mechanism motion. The actuator must expand a distance, d = 2.4928 m, to move the mechanism to the maximum force position. Either a force or a displacement could have been applied with the actuator. The CNVTOL commands are added to eliminate minimum reference value warnings in the output.

The maximum force exerted by the mechanism upon the spring occurs when the lower links are colinear and parallel to the input lever. The revolute joint connecting the two lower links locks up when a stop engages, after a rotation of 2 α degrees, to simulate the self-locking behavior of the mechanism.

Results Comparison

 | Target | ANSYS | Ratio
Fmax | -133.33 | -133.32[1] | 1.000
UY, Node 4 | -2.40 | -2.41 | 1.002
UX, Node 9 | 0.80 | 0.80 | 1.000

  1. Spring force in element 10 (COMBIN14)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM194 		Up / Home Next
VM196


VM196

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM196

Counter-Balanced Loads on a Block

Overview

Reference: Any basic mechanics text
Analysis Type(s): Static Analysis (ANTYPE = 0), Inertia Relief
Element Type(s):
3-D Structural Solid Elements (SOLID45)
3-D Structural Solid Elements (SOLID185)
Input Listing: vm196.dat

Test Case

Determine the free-body moments (MX, MY, MZ) about the origin and the rotational accelerations (ωx, ωy, ωz) at the center of mass of an aluminum block due to the forces FX and FY shown.

Figure 196.1 Counter-Balanced Loads on a Block Problem Sketch

Material Properties
E = 70 x 109 N/m2
ρ = 2712 kg/m3
Geometric Properties
h = 3 m
= 2 m
d = 300 m
Loading
FX = -2000 N
FY = 3000 N

Analysis Assumptions and Modeling Notes

The problem is solved in two different ways:

  • using 3-D solid elements (SOLID45)

  • using 3-D solid elements (SOLID185)

The block must be constrained such that no rigid body motions occur. In a 3-D structure, six DOF must be constrained to prevent free-body motion by translation or rotation. The inertia relief algorithm is used to calculate accelerations to counterbalance the applied loads resulting in net zero values for the sum of the reaction forces.

Results Comparison

 | Target | ANSYS | Ratio
SOLID45
MX (N-m) | -909000 | -909000 | 1.000
MY (N-m) | -606000 | -606000 | 1.000
MZ (N-m) | -5000 | -5000 | 1.000
Rotational accelerationsx (rad/sec2) | -0.12764 | -0.12764 | 1.000
Rotational accelerationsy (rad/sec2) | -0.085092 | -0.085092 | 1.000
Rotational accelerationsz (rad/sec2) | -0.23046 | -0.23046 | 1.000
SOLID185
MX (N-m) | -909000 | -909000 | 1.000
MY (N-m) | -606000 | -606000 | 1.000
MZ (N-m) | -5000 | -5000 | 1.000
Rotational accelerationsx (rad/sec2) | -0.12764 | -0.12764 | 1.000
Rotational accelerationsy (rad/sec2) | -0.085092 | -0.085092 | 1.000
Rotational accelerationsz (rad/sec2) | -0.23046 | -0.23046 | 1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM195 		Up / Home Next
VM197


VM197

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM197

IGES Write/Read for Thick-Walled Cylinder

Overview

Reference: | Any basic geometry text
Analysis Type(s): | Geometric Primitives, IGES Write/Read
Element Type(s): | None
Input Listing: | vm197.dat

Test Case

Create a thick-walled cylinder with spherical end caps using geometric primitives. Write the geometry to an IGES file. Read the geometry back in from the IGES files. Validate the correctness of the geometry by examining its volume.

Figure 197.1 Thick-Walled Cylinder Problem Sketch

Geometric Properties
r = 20 in
t = 10 in
= 50 in

Analysis Assumptions and Modeling Notes

Only one half of the model is created. The volume is obtained with the *GET command and is compared to the theoretical volume which is calculated using parameters.

Results Comparison

 | Target | ANSYS | Ratio
Volume | 79063. | 79068. | 1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM196 		Up / Home Next
VM198


VM198

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM198

Large Strain In-plane Torsion Test

Overview

Reference: J. C. Nagtegaal, J. E. DeJong, "Some Computational Aspects of Elastic-Plastic Strain Analysis", Intl J. of Numerical Methods in Engineering, Vol. 17, 1981, pp. 15–41.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
2-D 4-Node Viscoplastic Solid Elements (VISCO106)
3-D 8-Node Viscoplastic Solid Elements (VISCO107)
2-D 8-Node Viscoplastic Solid Elements (VISCO108)
Input Listing: vm198.dat

Test Case

A hollow, thick-walled, long cylinder made of an elastoplastic material is under an in-plane torsional loading which causes the inner surface of the cylinder to undergo a rotation of 60°. Find the maximum shear stress (τmax) developed at the inner surface at the end of loading.

Figure 198.1 Large Strain In-plane Problem Sketch

Material Properties
E = 7200 psi
μ = 0.33
σyp = 10 psi
ET = 40 psi
Geometric Properties
R1 = 10 in
R2 = 20 in
Loading
Θ = 60°
At nodes on the inner surface in 10 equal load steps along the circumference

Analysis Assumptions and Modeling Notes

The problem is solved three times, each time with a different element type. The element types used are VISCO106 (2-D, 4-node viscoplastic element), VISCO108 (2-D, 8-node viscoplastic element), and VISCO107 (3-D, 8-node viscoplastic element), respectively. The plasticity is modeled using the bilinear isotropic hardening rule.

The plane strain condition is assumed along the length of the cylinder. Due to the axisymmetric loading, only a small portion (3° span) of the cross-section is modeled each time using ten elements. Nodal rotations and displacement couplings are employed to ensure the circumferential symmetry in the deformed configuration.

To illustrate the dynamic substitution of a parameter value, an alphanumeric character parameter (element type name) is used in the /TITLE command. In addition, a character parameter for degrees of freedom is used in the CP commands and in the macro SOLD.

POST1 is used to obtain the displaced configuration at the end of loading. The maximum shear stress is computed from the solution results in POST26. In order to be consistent with the reference solution, the maximum shear stress in a negative direction is observed.

Results Comparison

 |  | Target | ANSYS | Ratio
VISCO106 | Shear Stressmax , psi | -48.0 | -48.6 | 1.012
VISCO107 | Shear Stressmax , psi | -48.0 | -48.6 | 1.012
VISCO108 | Shear Stressmax , psi | -48.0 | -46.1 | 0.960

Figure 198.2 Typical Element Deformation Display

Figure 198.3 Typical Stress vs. Rotation Display

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM197 		Up / Home Next
VM199


VM199

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM199

Viscoplastic Analysis of a Body (Shear Deformation)

Overview

Reference: B. Lwo, G. M. Eggert, "An Implicit Stress Update Algorithm Using a Plastic Predictor", Submitted to Computer Methods in Applied Mechanics and Engineering, January 1991.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
2-D 4-Node Viscoplastic Solid Elements (VISCO106)
3-D 8-Node Viscoplastic Solid Elements (VISCO107)
2-D 8-Node Viscoplastic Solid Elements (VISCO108)
Input Listing: vm199.dat

Test Case

A cubic shaped body made up of a viscoplastic material obeying Anand's law undergoes uniaxial shear deformation at a constant rate of 0.01 cm/s. The temperature of the body is maintained at 400°C. Find the shear load (Fx) required to maintain the deformation rate of 0.01 cm/sec at time equal to 20 seconds.

Figure 199.1 Shear Deformation Problem Sketch

Material Properties
Ex (Young's Modulus) = 60.6 GPa
υ (Poisson's Ratio) = 0.4999
So = 29.7 MPa
Q/R = 21.08999E3 K
A = 1.91E7 s-1
ξ = 7.0
m = 0.23348
ho = 1115.6 MPa
= 18.92 MPa
η = 0.07049
a = 1.3
Geometric Properties
h = 1 cm
thickness = 1 cm
Loading
Temp = 400°C = 673°K
Velocity (x-direction) = 0.01 cm/sec @ y = 1 cm
Time = 20 sec

Analysis Assumptions and Modeling Notes

The problem is solved three times, each time with a different element type. The element types used are VISCO106 (2-D 4-node viscoplastic element), VISCO108 (2-D 8-node viscoplastic element), and VISCO107 (3-D 8-node viscoplastic element), respectively. The rate dependent viscoplastic model proposed by Anand is used in this problem.

The plane strain condition is assumed along the Z-axis. The velocity of 0.01 cm/sec in X-direction is achieved by applying x-displacement of 0.2 cm in 20 seconds. The shear load is computed from the solution results in POST26.

Results Comparison

 |  | Target[1] | ANSYS | Ratio
VISCO106 | Fx, N | 845 | 843 | 0.997
VISCO108 | Fx, N | 845 | 843 | 0.997
VISCO107 | Fx, N | 845 | 843 | 0.997

  1. Obtained from graphical solution

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM198 		Up / Home Next
VM200


VM200

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM200

Viscoelastic Sandwich Seal Analysis

Overview

Reference: T. F. Soules, R. F. Busbey, S. M. Rekhson, A. Markkovsky, M. A. Burkey, "Finite Element Calculations of Residual Stresses in Glass Parts Using MARC", General Electric Company (Nela Park), Report # 86-LRL-2022, Cleveland, OH, March 1986.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
2-D 8-Node Viscoelastic Solid Elements (VISCO88)
3-D 20-Node Viscoelastic Solid Elements (VISCO89)
Input Listing: vm200.dat

Test Case

A sandwich seal made of an alumina plate with G-11 glass cladding on both sides is cooled at 3° per minute from 618°C to 460°C and held isothermally for four hours. The seal is further cooled at 3° per minute to 18°C. FInd the maximum in-plane stress (σmax) developed in the seal along with the corresponding temperature.

Figure 200.1 Viscoelastic Sandwich Seal Problem Sketch

Material Properties
Material: G-11 Glass
Material Variables
H/R (°K) = 6.45e4
X = 0.53
No. of Maxwell Elements = 6
For Volume Decay Function
Cfi = 0.108, 0.443, 0.166, 0.161, 0.046, 0.076
τfi = 3.00, 0.671, 0.247, 0.091, 0.033, 0.008
Cli = 3.43e-5
Cgi = 64.7e-7, 0.02e-7
Tfi(°) = 618, 618, 618, 618, 618, 618,
GXY(0) = 0.0
GXY( [image]) = 0.0
K(0), MPa = 6.05e4
K( [image]), MPa = 6.05e4
No. of Maxwell Elements for Shear Modulus Relaxation = 3
Csmi = 0.422, 0.423, 0.155
λsmi = 0.0689, 0.0065, 0.0001
No. of Maxwell Elements for Bulk Modulus Relaxation = 0
Material: Alumina
Material Variables
Cgi = 52.6e-7, 0.119e-7, -1.0e-11
GXY(0), MPa = 1.435e5
GXY( [image]), MPa = 1.435e5
K(0), MPa = 3.11e5
K( [image]), MPa = 3.11e5
See Viscoelastic Material Constants in the Elements Reference for more explanation regarding the material parameters.
Geometric Properties
a = 0.05 cm
b = 0.325 cm
Loading
Reference Temp. = 618°C
Temp. Offset = 273
Load Step 1;
Uniform Temp. (TUNIF) = 618°C
Load Step 2:
TUNIF = 460°C
TIME = 3160 sec.
Load Step 3:
TUNIF = 460°C
TIME = 17560 sec.
Load Step 4:
TUNIF = 460°C
TIME = 26400 sec.

Analysis Assumptions and Modeling Notes

The problem is solved first using 2-D viscoelastic elements (VISCO88) and then using 3-D viscoelastic elements (VISCO89).

In the 2-D case, due to the fact that the stresses will be the same in X and Z directions because of symmetry, an axisymmetric analysis is performed with the nodal degrees of freedom coupled in appropriate directions. The radial thickness of 0.2 cm is arbitrarily selected. Nodes 21 through 25 are coupled in the X-direction (radial coupling). Nodes with the same Y-location are coupled in Y-direction (axial coupling).

In the 3-D case, an arbitrary thickness of 0.2 cm is assumed in both Y and Z directions. Nodal degrees of freedom are coupled in appropriate directions to simulate the correct physical behavior in the finite element model.

The alumina is not a viscoelastic material, however, its material properties are input using viscoelastic format so that only one element type (VISCO88 in 2-D and VISCO89 in 3-D) can be used for both materials. Also, note that the viscoelastic material does not require the MP command for inputting the material properties. POST26 is used to extract the results from the solution phase.

Results Comparison

 |  | Target | ANSYS | Ratio
VISCO88 | Stressmax , MPa | 12.5 | 12.5 | 1.000
 | Temp, °C | 460.0 | 460.0 | 1.000
VISCO89 | Stressmax , MPa | 12.5 | 12.5 | 1.000
 | Temp, °C | 460.0 | 460.0 | 1.000

Figure 200.2 In-plane Stress Versus Temperature

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM199 		Up / Home Next
VM201


VM201

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM201

Rubber Cylinder Pressed Between Two Plates

Overview

Reference: T. Tussman, K-J Bathe, "A Finite Element Formulation for Nonlinear Incompressible Elastic and Inelastic Analysis", Computers and Structures, Vol. 26 Nos 1/2, 1987, pp. 357-409.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
2-D 4-Node Structural Solid Elements (PLANE182)
3-D 8-Node Structural Solid Elements (SOLID185)
2-D 8-Node Structural Solid Elements (PLANE183)
2-D/3-D Node-to-Surface Contact Elements (CONTA175)
Meshing Facet (MESH200)
Input Listing: vm201.dat

Test Case

A long rubber cylinder is pressed between two rigid plates using a maximum imposed displacement of δmax. Determine the force-deflection response.

Figure 201.1 Rubber Cylinder Problem Sketch

Material Properties
E = 2.82 MPa
υ = 0.49967
Mooney-Rivlin Constants
C1 = 0.293 MPa
C2 = 0.177 MPa
Geometric Properties
r = 200 mm
Loading
δmax = 200 mm

Analysis Assumptions and Modeling Notes

A plane strain solution is assumed based on the geometry of the problem. Due to geometric and loading symmetry, the analysis can be performed using one quarter of the cross section. All nodes on the left edge (X = 0) are constrained, UX = 0. All nodes on the top edge (y = 0) are coupled in UY. An imposed displacement of -0.1 m acts upon the coupled nodes.

This problem was solved in several ways:

  • A 2-D model using PLANE182 with CONTA175 elements

  • A 3-D model using SOLID185 with CONTA175 elements

  • A 2-D model using PLANE182 with CONTA175 element and solved using Lagrange Multipliers method.

  • A 3-D model using SOLID185 with CONTA175 element and solved using Lagrange Multipliers method.

In the 3-D case, a MESH200 element is used as the target face for the automatic generation of contact elements. The target surface is given a high contact stiffness (KN = 2000 MPa) to model a rigid surface and no contact stiffness is required to be specified while performing the solution using Lagrange Multipliers method.

Results Comparison

 | Target[1] | ANSYS | Ratio
PLANE182 with 2-D CONTA175
Force at Displacement = 0.1 (N) | 250.00 | 265.83 | 1.063
Force at Displacement = 0.2 (N) | 1400.00 | 1395.05 | 0.996
SOLID185 with 3-D CONTA175
Force at Displacement = 0.1 (N) | 250.00 | 258.56 | 1.034
Force at Displacement = 0.2 (N) | 1400.00 | 1396.78 | 0.998
PLANE182 with 2-D CONTA175 with KEYOPT (2) = 3
Force at Displacement = 0.1 (N) | 250.00 | 266.01 | 1.064
Force at Displacement = 0.2 (N) | 1400.00 | 1398.40 | 0.999
SOLID185 with 3-D CONTA175 with KEYOPT (2) = 4
Force at Displacement = 0.1 (N) | 250.00 | 266.20 | 1.065
Force at Displacement = 0.2 (N) | 1400.00 | 1398.46 | 0.999

  1. Determined from graphical results. See T. Tussman, K-J Bathe, "A Finite Element Formulation for Nonlinear Incompressible Elastic and Inelastic Analysis", pg. 385, fig. 6.14.

Figure 201.2 Displaced Shape

Figure 201.3 Force vs. Displacement

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM200 		Up / Home Next
VM202


VM202

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM202

Transverse Vibrations of a Shear Beam

Overview

Reference: | R. D. Blevins, Formulas for Natural Frequency and Mode Shape, Van Nostrand Reinhold Co., New York, NY, 1979, pp. 171-176.
Analysis Type(s): | Mode-frequency Analysis (ANTYPE = 2)
Element Type(s): | Shear/Twist Panel Elements (SHELL28)
Input Listing: | vm202.dat

Test Case

A short, thin-walled uniform shear beam clamped at the base vibrates freely. Determine the first two modes of vibrations neglecting all flexural deformations.

Figure 202.1 Shear Beam Problem Sketch

Material Properties
E = 200 GPa
υ = 0.27
ρ = 7860 Kg/m3
Geometric Properties
L = 30 m
W = 10 m
t = 0.1 m

Analysis Assumptions and Modeling Notes

Flexural deformations were eliminated by requiring all nodes with the same Z coordinate value to be coupled in UX and UY. Since this is a square beam, the frequencies are repeated, one made in the X direction, the other in the Y direction.

Results Comparison

 | Target | ANSYS | Ratio
f1, Hz | 17.375 | 18.696 | 1.076
f2, Hz | 52.176 | 57.278 | 1.098

Figure 202.2 Mode Shape 1 (f = 18.62 Hz)

Figure 202.3 Mode Shape 2 (f = 55.15 Hz)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM201 		Up / Home Next
VM203


VM203

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM203

Dynamic Load Effect on Supported Thick Plate

Overview

Reference: NAFEMS, Selected Benchmarks for Forced Vibration, Report prepared by W. S. Atking Engineering Sciences, April 1989, Test 21R.
Analysis Type(s):
Mode-frequency, Spectrum Analysis (ANTYPE = 8)
Harmonic Analysis (ANTYPE = 3)
Element Type(s):
8-Node Structural Shell Elements (SHELL93)
8-Node Finite Strain Shell Elements (SHELL281)
Input Listing: vm203.dat

Test Case

A simply-supported thick square plate of length [image], thickness t, and mass per unit area m is subject to random uniform pressure power spectral density. Determine the peak one-sigma displacement at undamped natural frequency.

Figure 203.1 Thick Square Plate Problem Sketch

Material Properties
E = 200 x 109 N/m2
μ = 0.3
m = 8000 kg/m3
Geometric Properties
= 10 m
t = 1.0 m
Loading
PSD = (106 N/m2)2 /Hz
Damping δ = 2%

Analysis Assumptions and Modeling Notes

All degrees of freedom in the z direction are selected as master degrees of freedom (MDOF). Equivalent nodal forces are obtained from a uniform pressure load by a static run with all UZ degrees of freedom constrained.

Frequency range of 1.0 Hz to 80 Hz was used as an approximation of the white noise PSD forcing function frequency. Equivalent analyses are done with Spectrum and Harmonic (with the ANSYS POST26 random vibration calculation capabilities which used the results of a damped harmonic response analysis) analyses, to compare the peak one-sigma standard deviation.

Some of the commands in POST26 followed by harmonic analysis have been undocumented since ANSYS Revision 5.0, but they are compatible to all subsequent ANSYS revisions.

The model is first solved using SHELL93 elements and then using SHELL281 elements.

Results Comparison

 | Target | ANSYS | Ratio
SHELL93
Frequency f (Hz) | 45.9 | 46.30[1] | 1.009
Peak Deflection PSD (mm2/Hz) | 3401.8 | 3595.0[2] | 1.057
SHELL281
Frequency f (Hz) | 45.9 | 45.95[1] | 1.001
Peak Deflection PSD (mm2/Hz) | 3401.8 | 359.5[2] | 1.057

  1. From modal analysis solution

  2. Peak amplitude (x106) from Harmonic analysis results using POST26

The peak one-sigma standard deviation from spectrum analysis (102.18 mm) agrees with the value from Harmonic analysis (108.16 mm), (No closed form solution is available from the reference for this entity.)

Figure 203.2 Harmonic Response to Uniform PSD Force

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM202 		Up / Home Next
VM204


VM204

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM204

Solid Model of an Axial Bearing

Overview

Reference: | Any basic geometry text
Analysis Type(s): | Solid Modeling Boolean Operations
Element Type(s): | None
Input Listing: | vm204.dat

Test Case

Find the volume of the axial bearing shown below.

Figure 204.1 Axial Bearing Problem Sketch

Analysis Assumptions and Modeling Notes

The model is created entirely using only geometric primitives and solid model Boolean operations. A glue operation is used to provide continuity between model entities.

Results Comparison

 | Target | ANSYS | Ratio
Volume | 42.997 | 42.995 | 1.000

Figure 204.2 Solid Model of an Axial Bearing

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM203 		Up / Home Next
VM205


VM205

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM205

Adaptive Analysis of an Elliptic Membrane

Overview

Reference: J. Barlow, G. A. O. Davis, "Selected FE Benchmarks in Structural and Thermal Analysis", NAFEMS Report FEBSTA, Rev. 1, October 1986, Test No. LE1 (modified).
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
2-D Structural Solid Elements (PLANE42)
2-D 8-Node Structural Solid Elements (PLANE82)
Input Listing: vm205.dat

Test Case

An elliptic membrane structure of thickness t is subjected to a uniformly distributed outward pressure P. Determine the tangential edge stress σy at target point D.

Figure 205.1 Elliptic Membrane Problem Sketch

Material Properties
E = 210 x 103 MPa
υ = 0.3
Geometric Properties
a = 1.75 m
b = 1.0 m
c = 2.0 m
d = 1.25 m
t = 0.1 m
Loading
At x = 0 UX = 0
At y = 0 UY = 0
Along outer edge P = -10 MPa

Analysis Assumptions and Modeling Notes

The problem is solved first using lower order 2-D structural solid elements (PLANE42) and then higher order 2-D structural solid elements (PLANE82). For both cases, the membrane is modeled with one area and the automatic adaptive meshing procedure is used to refine the mesh in the area of stress concentration (target location at point D).

In the first case, the analysis is performed by running the problem until the SEPC (structural percent error in energy norm) is close to 7.0 percent, whereas in the second case, analysis is performed until the SEPC is close to 5.0 percent. In the second case, the target value of SEPC is set less than the first case since higher order elements are generally more accurate.

POST1 is used to obtain the final value of SEPC and the *GET command is used to obtain the tangential stress, σy, at the target point D.

Results Comparison

 |  | Target | ANSYS | Ratio
PLANE42[1] | Stressy (MPa) | 92.70 | 92.48 | 0.998
PLANE82[1] | Stressy (MPa) | 92.70 | 91.83 | 0.991

  1. Corresponding to the final mesh with SEPC of 5.5 (for a PLANE42 model) and 0.1 (for a PLANE82 model)

Figure 205.2 Final PLANE42 Mesh (SEPC = 5.5)

Figure 205.3 Final PLANE82 Mesh (SEPC = 0.1)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM204 		Up / Home Next
VM206


VM206

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM206

Stranded Coil with Voltage Excitation

Overview

Reference: W. B. Boast, Principles of Electric and Magnetic Fields, Harper & Brothers, New York, NY, 1948, pg. 247, eq. 12.18.
Analysis Type(s): Static, Harmonic
Element Type(s):
2-D 8-Nnode Magnetic Solid Elements (PLANE53)
2-D Infinite Solid Elements (INFIN110)
Input Listing: vm206.dat

Test Case

A stranded coil with 500 turns is modeled in free space. A static analysis with a 12 volt DC excitation is run first to calculate the coil resistance and inductance. A 1/4 symmetry model is constructed. An AC (harmonic) analysis is run to simulate an RL circuit response with an applied excitation of 12 volts at 60 Hz. The complex coil current is calculated.

Figure 206.1 Stranded Coil Problem Sketch

Material Properties
µr = 1.0 (coil)
µr = 1.0 (air)
ρ = 3 x 10-8 ohm-m (coil)
Geometric Properties
n = 500 turns
s = .02 (coil winding width and depth) m
r = (3 x s )/2 m
Loading
Vo = 12 volts (static)
V = Vo cos ωt (harmonic)
where
Vo = 12 volts
ω = 60 Hz

Analysis Assumptions and Modeling Notes

Due to symmetry only 1/4 of the problem domain is required. The open boundary is modeled with infinite elements to accurately represent the decaying field. The infinite element region is set to a depth (6xs) equal to the problem domain (6xs) for optimal performance.

The coil is characterized through the real constant table. A direct voltage load is applied to the coil region. Nodes in the coil region are coupled in the CURR degree of freedom to solve for a single valued coil current (per turn).

The coil resistance and inductance are calculated by summing element values in POST1. The real and imaginary current are extracted from the AC solution. From these calculated currents, and the applied voltage, the coil impedance can be calculated.

Results Comparison

 |  | Target | ANSYS | Ratio
Static Analysis | Inductance, H | .01274 | .01274 | 1.00
 | Resistance, Ohm | 3.534 | 3.534 | 1.00
 | Coil current, Amps | 3.395 | 3.395 | 1.00
Harmonic Analysis | Real solution, Amps | 1.192 | 1.19220 | 1.00
 | Imag solution, Amps | -1.621 | -1.62066 | 1.00

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM205 		Up / Home Next
VM207


VM207

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM207

Stranded Coil Excited by External Circuit

Overview

Reference: W. B. Boast, Principles of Electric and Magnetic Fields, Harper & Brothers, New York, NY, 1948, pg. 247, eq. 12.18.
Analysis Type(s): Static
Element Type(s):
2-D 8-Node Magnetic Solid Elements (PLANE53)
2-D Infinite Solid Elements (INFIN110)
Electric Circuit Elements (CIRCU124)
Input Listing: vm207.dat

Test Case

A stranded coil with 500 turns and a fill factor of 0.9 is connected to an external circuit consisting of an independent voltage source and a 2 ohm resistor. A static analysis is run with a 12 volt DC excitation to determine the coil resistance and inductance. A transient analysis is run to calculate the coil current response to a step 12 volt excitation.

Figure 207.1 Stranded Coil Problem Sketch

Material Properties
Rext = 2 Ω
µr = 1.0 (coil)
µr = 1.0 (air)
ρ = 3.04878 x 10-8 ohm-m (coil)
Geometric Properties
N = 500 turns
S = .02 m
R = 3(s)/2 m
FC = .9 Fill factor
Loading
Vo = 12 volts (static)
Vo|t = 0+ = 12 volts (static)

Analysis Assumptions and Modeling Notes

The problem is similar to VM206 except the coil is excited by an external circuit using the general circuit element. In the circuit, the coil is modeled by a stranded coil circuit component that shares a common node with the coil in the finite element model. The finite element model provides to the circuit the necessary coil resistance and inductance to characterize the stranded coil circuit impedance. The nodes in the coil region are coupled in the EMF and CURR degrees of freedom so that a single voltage drop (EMF) and coil current (CURR) are calculated.

A static analysis is run to obtain the coil resistance and inductance so that an analytical solution of the transient response can be calculated and compared to the solution results. A transient solution to a step voltage excitation is run for .01 seconds. The calculated coil current is compared to the solution current. The coil current response is plotted versus time.

Results Comparison

 |  | Target | ANSYS | Ratio
Static Analysis | Inductance, Henry | .01274 | 0.01274 | 1.00
 | Resistance, Ohm | 3.991 | 3.99084 | 1.00
Transient Analysis | Current, Amps | 1.985 | 1.98325 | .999

Figure 207.2 Current vs. Time

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM206 		Up / Home Next
VM208


VM208

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM208

RL Circuit with Controlled Source

Overview

Reference: | J. O'Malley, Schaum's Outline of Theory and Problems of Basic Circuit Analysis, 2nd Edition, McGraw-Hill Book Co., Inc., New York, NY, 1992, Problem 14.23, Figure 14.25.
Analysis Type(s): | Harmonic
Element Type(s): | Electric Circuit Elements (CIRCU124)
Input Listing: | vm208.dat

Test Case

A circuit consists of 2 resistors, an inductor, an independent voltage source, an independent current source, and a current-controlled current source. Determine the voltage at node 4 in the circuit.

Figure 208.1 RL Circuit Problem Sketch

Circuit Values
R1 = 3 Ω
R2 = 2 Ω
L1 = j4 Ω
AI = -3
Loading
V = 15 volts at a phaser angle of 30°
I = 5 amps at a phaser angle of -45°

Analysis Assumptions and Modeling Notes

A harmonic analysis is run at a frequency of 1/2 π Hz so that the inductor impedance value can be simply input as 4 ohms. Care must be exercised in assigning the node values to the current controlled current source (CCCS) to correctly account for the sign on the CCCS gain (AI).

Results Comparison

@ Node 4 | Target | ANSYS | Ratio
Real Voltage, V | 16.44 | 16.46 | 1.001
Imag Voltage, V | -1.41 | -1.41 | 1.00

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM207 		Up / Home Next
VM209


VM209

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM209

Multiple Species Flow Entering a Circular Pipe

Overview

Reference: | W. M. Kays, M. E. Crawford, Convective Heat and Mass Transfer, 3rd Edition, McGraw-Hill Book Co., Inc., New York, NY, 1993, pp. 126-134.
Analysis Type(s): | Multiple Species Analysis (FLOTRAN)
Element Type(s): | 2-D Fluid-Thermal Elements (FLUID141)
Input Listing: | vm209.dat

Test Case

Flow of two species (A and B), entering a circular pipe is considered. The flow is hydrodynamically developed. This condition is guaranteed by specifying uniform but dissimilar pressure at the inlet and outlet of the pipe. Uniform and dissimilar mass fractions are specified at the pipe inlet and wall. Fluid properties are assumed to be the same for both species, so that computed results can be compared with analytical solution.

Figure 209.1 Multiple Species Flow Problem Sketch

Material Properties
Species A
ρ = 1 kg/m3
µ = 1.0 x 10-5 Pa-s
DBA = 1.43 x 10-5 m2/s
Species B
ρ = 1 kg/m3
µ = 1.0 x 10-5 Pa-s
DBA = 1.43 x 10-5 m2/s
Geometric Properties
Pipe length = 0.1 m
Pipe radius = 0.0025 m
Loading
Pressure Differential between the pipe inlet and outlet, ΔP = 1.28 Pa
Mass fraction of species A at pipe inlet, (YA)in = 0.0
Mass fraction of species B at pipe inlet, (YB)in = 1.0
Mass fraction of species A at pipe wall, (YA)w = 1.0
Mass fraction of species A at pipe wall, (YB)w = 0.0

Analysis Assumptions and Modeling Notes

  • Steady-state flow

  • Incompressible flow

  • Fully developed velocity field

  • Fluid properties are the same and constant for both species

  • No source terms

  • No body forces

With the above assumptions, axial momentum equation for the mixture becomes:

Applying the boundary conditions:

we readily obtain:

or

where

For this problem, species transport equation can be simplified as follows:

Let us introduce the following dimensionless variables:

where, Reynold's number is

and, Schmidt number is

Substituting the non-dimensional variables into the species transport equation, we get:

For large values of the product (ReSc) second term on the right-hand side of the equation can be neglected. For our problem:

so

So, we can neglect the second term on the RHS.

Substituting the dimensionless velocity profile in the species transport equation we obtain:

And boundary conditions become:

The final solution takes the form:

where the λn are the eigenvalues, the Rn are the corresponding eigenfunctions, and Cn are constants.

Next, averaged mass fractions (Θi)m can be evaluated as:

or in dimensional form:

The values of Gn and [image] are tabulated below.

n |  | Gn
0 | 7.313 | 0.749
1 | 44.61 | 0.544
2 | 113.9 | 0.463
3 | 215.2 | 0.415
4 | 348.6 | 0.383

Results Comparison

Average Mass Fraction of Species B

Axial location (m) | Target | ANSYS | Ratio
0.0100 | 0.8225 | 0.7829 | 0.9519
0.0200 | 0.7308 | 0.7108 | 0.9727
0.0300 | 0.6593 | 0.6537 | 0.9915
0.0400 | 0.5992 | 0.6031 | 1.0066
0.0500 | 0.5469 | 0.5568 | 1.0181
0.0600 | 0.5006 | 0.5140 | 1.0268
0.0700 | 0.4589 | 0.4742 | 1.0334
0.0800 | 0.4212 | 0.4375 | 1.0385
0.0900 | 0.3869 | 0.4034 | 1.0427
01.000 | 0.3555 | 0.3720 | 1.0464

Figure 209.2 Contours of Axial Velocity

Figure 209.3 Contours of Mass Fraction of Species A

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM208 		Up / Home Next
VM210


VM210

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM210

Pyramid Validation of Tetrahedron to Hexahedron

Overview

Reference: E. P. Popov, Introduction to Mechanics of Solids, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1998, pp. 182-185.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
3-D 20-Node Structural Solid Elements (SOLID95)
3-D 20-Node Structural Solid Elements (SOLID186)
Input Listing: vm210.dat

Test Case

For an elastic beam subjected to pure bending, validate the use of pyramids in a tetrahedron to hexahedron interface. Find the axial stress at the top, midplane, and bottom surfaces.

Figure 210.1 Tetrahedron to Hexahedron Interface Problem Sketch

Material Properties
E = 30E6
υ = 0.3
Geometric Properties
W = 31.071
H = 33.917
L = 37.264
Loading
at z = 0, L area pressure load
sf gradient:
(-0.18979 at y = H/2)
(0.18979 at y = -H/2)

Analysis Assumptions and Modeling Notes

The problem is solved in two different ways:

  • using 3-D solid elements (SOLID95)

  • using 3-D solid elements (SOLID186)

The model is generated using the block primitive which is divided into 8 sub-blocks. The pyramid interface is created by meshing the hexahedra first, followed by the tetrahedra. The working plane describes the hex-tet interface region.

Full displacement constraints placed upon three corners in the model midplane does not allow generation of significant reaction forces. A pure bending condition is created by the application of a pressure gradient on the faces of elements lying in the z = 0 and z = L planes. The linear gradient varies from -0.18979 on the bottom to 0.18979 on the top.

σz = (Mzy) / (Ic)

where

σZ = stress in z-direction
Mz = effective moment, z-direction
y = distance from neutral surface
Ic = second moment of area about the horizontal centroidal axis

Results Comparison

 | Target | ANSYS | Ratio
SOLID95
StressZ , Top (AVG) | -0.1898 | -0.1899 | 1.001
StressZ , Neutral Axis (AVG) | 0 | -0.0001 | 1.000
StressZ , Bottom Axis (AVG) | 0.1898 | 0.1898 | 1.000
SOLID186
StressZ , Top (AVG) | -0.1898 | -0.1899 | 1.001
StressZ , Neutral Axis (AVG) | 0 | -0.0001 | 1.000
StressZ , Bottom Axis (AVG) | 0.1898 | 0.1898 | 1.000

Figure 210.2 Bending of Hex-to-tet Interface

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM209 		Up / Home Next
VM211


VM211

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM211

Rubber Cylinder Pressed Between Two Plates

Overview

Reference: T. Tussman, K-J Bathe, "A Finite Element Formulation for Nonlinear Incompressible Elastic and Inelastic Analysis", Computers and Structures, Vol. 26 Nos 1/2, 1987, pp. 357-409.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
2-D 4-Node Structural Solid Elements (PLANE182)
2-D 8-Node Structural Solid Elements (PLANE183)
3-D 8-Node Structural Solid Elements (SOLID185)
3-D 20-Node Structural Solid or Layered SolidElements (SOLID186)
2-D 2-Node Surface-to-Surface Contact Elements (CONTA171)
2-D 3-node Surface-to-Surface Contact Elements (CONTA172)
3-D 4-Node Surface-to-Surface Contact Elements (CONTA173)
3-D 8-Node Surface-to-Surface Contact Elements (CONTA174)
2-D Target Segment Elements (TARGE169)
3-D Target Segment Elements (TARGE170)
Input Listing: vm211.dat

Test Case

A long rubber cylinder is pressed between two rigid plates using a maximum imposed displacement of δmax. Determine the force-deflection response.

Figure 211.1 Rubber Cylinder Problem Sketch

Material Properties
E = 2.82 MPa
ν = 0.49967
Mooney-Rivlin Constants:
C1 = 0.293 MPa
C2 = 0.177 MPa
Geometric Properties
r = 200 mm
Loading
δmax = 200 mm
Real Constant[1]
FKN = 8

  1. Applicable to CONTA171, CONTA172, CONTA173, and CONTA174.

Analysis Assumptions and Modeling Notes

This test case solves the problem of VM201 using the 2-D and 3-D rigid target and contact elements. A plane strain solution is assumed based on the geometry of the problem. Due to geometric and loading symmetry, the analysis can be performed using one quarter of the cross section. All nodes on the left edge (X = 0) are constrained, UX = 0. All nodes on the top edge (y = 0) are coupled in UY. An imposed displacement of -0.1 m acts upon the coupled nodes.

This problem is solved in eight different ways. The first four solutions are performed using default contact algorithm and the last four solution are performed using Lagrange multipliers method (KEYOPT(2) = 3 ) of contact elements.

  • The lower order 2-D model used PLANE182 with CONTA171 and TARGE169 elements.

  • A higher order 2-D model used PLANE183 with CONTA172 and TARGE169.

  • The lower order 3-D model used SOLID185 with CONTA173 and TARGE170.

  • The higher order 3-D model used SOLID186 with CONTA174 and TARGE170.

  • The lower order 2-D model used PLANE182 with CONTA171 and TARGE169 and solved using Lagrange Multipliers method.

  • A higher order 2-D model used PLANE183 with CONTA172 and TARGE169 and solved using Lagrange Multipliers method.

  • The lower order 3-D model used SOLID185 with CONTA173 and TARGE170 and solved using Lagrange Multipliers method.

  • The higher order 3-D model used SOLID186 with CONTA174 and TARGE170 and solved using Lagrange Multipliers method.

Results Comparison

 |  | Target[1] | ANSYS | Ratio
PLANE182 | Force at Displacement = 0.1 (N) | 250.00 | 260.42 | 1.042
 | Force at Displacement = 0.2 (N) | 1400.00 | 1380.09 | 0.986
PLANE183 | Force at Displacement = 0.1 (N) | 250.00 | 260.88 | 1.044
 | Force at Displacement = 0.2 (N) | 1400.00 | 1379.11 | 0.985
SOLID185 | Force at Displacement = 0.1 (N) | 250.00 | 258.02 | 1.032
 | Force at Displacement = 0.2 (N) | 1400.00 | 1376.16 | 0.983
SOLID186 | Force at Displacement = 0.1 (N) | 250.00 | 251.98 | 1.008
 | Force at Displacement = 0.2 (N) | 1400.00 | 1409.85 | 1.007
With KEYOPT (2) = 3 of CONTA171
PLANE182 | Force at Displacement = 0.1 (N) | 250.00 | 267.20 | 1.069
 | Force at Displacement = 0.2 (N) | 1400.00 | 1404.79 | 1.003
With KEYOPT (2) = 3 of CONTA172
PLANE183 | Force at Displacement = 0.1 (N) | 250.00 | 269.31 | 1.077
 | Force at Displacement = 0.2 (N) | 1400.00 | 1413.74 | 1.010
With KEYOPT (2) = 3 of CONTA173
SOLID185 | Force at Displacement = 0.1 (N) | 250.00 | 266.20 | 1.065
 | Force at Displacement = 0.2 (N) | 1400.00 | 1398.46 | 0.999
With KEYOPT (2) = 3 of CONTA174
SOLID186 | Force at Displacement = 0.1 (N) | 250.00 | 252.60 | 1.010
 | Force at Displacement = 0.2 (N) | 1400.00 | 1412.86 | 1.009

  1. Determined from graphical results. See T. Tussman, K-J Bathe, "A Finite Element Formulation for Nonlinear Incompressible Elastic and Inelastic Analysis", pg. 385, fig. 6.14.

Figure 211.2 Displaced Shape

Figure 211.3 Force vs. Displacement

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM210 		Up / Home Next
VM212


VM212

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM212

Modal Analysis of a Rectangular Cavity

Overview

Reference: R. S. Elliot, An Introduction to Guided Waves and Microwave Circuits, Prentice Hall, Inc., Englewood Cliffs, NJ, 1993, pp. 266-270.
Analysis Type(s): Mode-frequency Analysis (ANTYPE = 2)
Element Type(s):
3-D High-Frequency Tetrahedral Solid Elements (HF119)
3-D High-Frequency Brick Solid Elements (HF120)
Input Listing: vm212.dat

Test Case

Determine the TE101 mode natural frequency for a rectangular lossless cavity.

Figure 212.1 Rectangular Cavity Problem Sketch

Material Properties
μ = μ0
ε = ε0
Geometric Properties
ch = .30 m
cw = .40 m
cl = 1.0 m

Analysis Assumptions and Modeling Notes

The rectangular cavity mesh is prescribed with 5 element divisions along the cavity width and 10 divisions along the cavity length to resolve the TE101 mode. The Block Lanczos Eigensolver is selected with the frequency range limited to selecting only mode frequencies between .35 GHz and .55 GHz. The mode is expanded for purposes of displaying the field solutions.

Results Comparison

 | Target | ANSYS | Ratio
f, GHz | .40389 | .403660 | 0.999
f, 119 - No Refine | .40389 | .435794 | 1.079
f, 119 - Refine | .40389 | .403815 | 1.000

Figure 212.2 Modal Analysis of a Rectangular Cavity

Figure 212.3 Modal Analysis of a Rectangular Cavity

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM211 		Up / Home Next
VM213


VM213

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM213

Harmonic Response Analysis of a Coaxial Cable

Overview

Reference: | R. S. Elliot, An Introduction to Guided Waves and Microwave Circuits, Prentice Hall, Inc., Englewood Cliffs, NJ, 1993, pp. 48-51.
Analysis Type(s): | Full Harmonic Analysis (ANTYPE = 3)
Element Type(s): | 3-D High-Frequency Brick Solid Elements (HF120)
Input Listing: | vm213.dat

Test Case

A coaxial cable with an inner radius of 2.5 cm, an outer radius of 7.5 cm, and a length of 37.5 cm is excited by a 1 Volt excitation at one end of the cable. Calculate the S-parameters, impedance, power, and the electric and magnetic field at the other end of the cable.

Figure 213.1 Coaxial Cable

Material Properties
μ = μ0
ε = ε0
Geometric Properties
ca = 2.5 cm
cw = 7.5 cm
cl = 37.5 cm
Loading
V = 1.0 at input port
f = 0.8 GHz

Analysis Assumptions and Modeling Notes

The excitation is applied with a port load at one end of the coax (Port 1). The other end of the coax cable is terminated as a matched impedance (Port 2). The coaxial cable is modeled with the 2nd order Key Option in the HF120 element to accurately resolve the field calculation at the output port. Since the coax cable is symmetric about it's axis, only a circumferential slice of any arbitrary angle is required. A slice of 5 degrees is selected. The cable length is 1 wavelength and 15 elements are used along the cable length to accurately resolve the field solution. The problem makes use of the commands SPARM and IMPD to calculate the S-parameters and impedance at the output port. The incident power at the output port is calculated by summing the appropriate term from the element records.

Results Comparison

 | Target | ANSYS | Ratio
S11 | 0 | 0 | -
S12 | 1.0 | 1.000 | 1.000
Power (W) | .01 | .01 | 1.000
EF (Radial) V/m | 12.14 | 12.12 | .998
H (Circum) H/m | .03 | .03 | 1.000
Impedance (Ohms) | 65.87 | 66.06[1] | 1.003

  1. Real component of impedance

Figure 213.2 Harmonic Response Analysis of a Coaxial Cable

Figure 213.3 Harmonic Response Analysis of a Coaxial Cable

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM212 		Up / Home Next
VM214


VM214

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM214

Harmonic Response of a Rectangular Waveguide

Overview

Reference: | R. S. Elliot, An Introduction to Guided Waves and Microwave Circuits, Prentice Hall, Inc., Englewood Cliffs, NJ, 1993, pp. 82-87.
Analysis Type(s): | Full Harmonic Analysis (ANTYPE = 3)
Element Type(s): | 3-D High Frequency Tetrahedral Solid Elements (HF119)
Input Listing: | vm214.dat

Test Case

A rectangular waveguide is subjected to a TE10-mode loading at one port while the other port is matched. Determine the S-parameters, power input, and field solution.

Figure 214.1 Rectangular Waveguide Problem Sketch

Material Properties
μ = μ0
ε = ε0
Geometric Properties
ch = 1 cm
cw = 3 cm
cl = 4.8 cm
Loading
Ey = 1.0 at input port
f = 8 GHz

Analysis Assumptions and Modeling Notes

The excitation is applied with a TE10 port load at one end of the waveguide (Port 1). The other end of the waveguide is terminated as a matched impedance (Port 2). The length of the waveguide is 1 wavelength. The finite element mesh is defined to create 10 elements along the length of the waveguide to resolve the field solution accurately. The input power at Port 1 is calculated by summing the appropriate term from the element record. The problem makes use of the SPARM command to calculate the S-parameters. The magnetic field H illustrates the complete wavelength field pattern along the length of the waveguide.

Results Comparison

 | Target | ANSYS | Ratio
S11 | 0 | 0.00312335 | 0.00
S12 | 1.0 | 0.99868294 | .999
Power Input W | .1554e-6 | .1553e-6 | .999
EY(0,0,0) v/m | 1.00 | 1.00084427 | 1.001
Hx(0,0,0) a/m | -.2072e-2 | -.204229e-2 | .986

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM213 		Up / Home Next
VM215


VM215

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM215

Thermal-Electric Hemispherical Shell with Hole

Overview

Reference: | Any standard electrical engineering text
Analysis Type(s): | Coupled Thermal-Electric Shell
Element Type(s): | Thermal-Electric Shell Elements (SHELL157)
Input Listing: | vm215.dat

Test Case

A conducting hemisphere of radius, r, has a hole subtending an angle Θ1. The edge of the hole is electrically and thermally grounded. A voltage, V2, is applied at the equator. A Φ degree sector in the azimuthal plane is analyzed.

Figure 215.1 Hemispherical Shell Problem Sketch

Material Properties
ρ = 7 ohm-m
K = 3 W/m-K
Geometric Properties
t = 0.2 m
r = 10 m
Θ1 = 10°
Φ = 3°
Loading
V1 = 0 volts
V2 = 100 volts
T1 = 0°C

Analysis Assumptions and Modeling Notes

A hemispherical shell with a hole is analyzed. The symmetry of the model is utilized and only a 3 degree sector in the azimuthal direction is analyzed.

The electric current (I) in the sphere is given by:

Where resistance R is given by:

The total heat flow is due to Joule Heating and is given by Q = I (V2 - V1)

Results Comparison

SHELL157 | Target | ANSYS | Ratio
I (Amps) Node 21 | 0.06140 | 0.06143 | 1.000
Q (Watts) Node 21 | 6.14058 | 6.14291 | 1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM214 		Up / Home Next
VM216


VM216

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM216

Lateral Buckling of a Right Angle Frame

Overview

Reference: J. C. Simo, L. Vu-Quoc, "Three-Dimensional Finite-Strain Rod Model, Part II", Computer Methods in Applied Mechanical Engineering, Vol. 58, 1986, pp. 79-116.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
3-D Linear Finite Strain Beam Elements (BEAM188)
3-D Quadratic Finite Strain Beam Elements (BEAM189)
Input Listing: vm216.dat

Test Case

A cantilever right angle frame is subjected to an in-plane fixed end load. The frame is driven to buckling mode by a perturbation load applied at the free end, normal to the plane of the frame. This perturbation is removed close to the buckling load. Determine the critical load.

Figure 216.1 Right Angle Frame Problem Sketch

Material Properties
Ex = 71240 psi
Nuxy = 0.31
Loading
Fz = 1 x 10-3 lb
Fx = 1,485 lb
Geometric Properties
lzz = 0.54 in
lyy = 1350 in4
t = 0.6 in
w = 30 in
L = 240 in

Analysis Assumptions and Modeling Notes

A first analysis is performed using BEAM188 elements. A second analysis is also performed using BEAM189 elements.

Results Comparison

Critical Load | Target | ANSYS | Ratio
BEAM188 | 1.09 | 1.066 | 0.978
BEAM189 | 1.09 | 1.065 | 0.978

Figure 216.2 Displacement Tip vs. End Force

Figure 216.3 Deformed Shape, Side View

Figure 216.4 Deformed Shape, Top View

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM215 		Up / Home Next
VM217


VM217

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM217

Portal Frame Under Symmetric Loading

Overview

Reference: N. J. Hoff, The Analysis of Structures, John Wiley and Sons, Inc., New York, NY, 1956, pp. 115-119.
Analysis Type(s): Static Structural (ANTYPE = 0)
Element Type(s):
3-D Linear Finite Strain Beam Elements (BEAM188)
3-D Quadratic Finite Strain Beam Elements (BEAM189)
Input Listing: vm217.dat

Test Case

A rigid rectangular frame is subjected to a uniform distributed load ω across the span. Determine the maximum rotation, and maximum bending moment. The moment of inertia for the span, Ispan is five times the moment of inertia for the columns, Icol.

Figure 217.1 Portal Frame Problem Sketch

Material Properties
Ex = 30 x 106 psi
Nuxy = 0.3
Loading
ω = -500 lb/in
Geometric Properties
a = 400 in
L = 800 in
Ispan = 5 Icol
Icol = 20300 in4
I-Beam Section Data
W1 = W2 = 16.655 in
W3 = 36.74 in
t1 = t2 = 1.68 in
t3 = 0.945 in

Analysis Assumptions and Modeling Notes

All the members of the frame are modeled using an I-Beam cross section. The cross section for the columns is chosen to be a W36 x 300 I-Beam Section. The dimensions used in the horizontal span are scaled by a factor of 1.49535 to produce a moment of inertia that is five times the moment of inertia in the columns. The columns are modeled with BEAM188, while the span is modeled with BEAM189 elements. The theoretical maximum rotation is β =(1/27) (w(a3)/E(Icol)), and the theoretical maximum bend moment is Mmax = (19/54)(w(a2)).

Results Comparison

 | Target | ANSYS | Ratio
Max. Rotation | 0.195E-2 | 0.213E-2 | 1.093
Max. Bend Moment in lb | 0.281E8 | 0.287E8 | 1.019

Figure 217.2 I-Section

Figure 217.3 I-Section Under Symmetric Loading

Figure 217.4 Moment Diagram

Figure 217.5 Displaced Shape (front view)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM216 		Up / Home Next
VM218


VM218

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM218

Hyperelastic Circular Plate

Overview

Reference: | J. T. Oden, Finite Elements of Nonlinear Continua, McGraw-Hill Book Co., Inc., New York, NY, 1972, pp. 318-321.
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | 4-Node Finite Strain Shell Elements (SHELL181 ) 2-Node Finite Strain Axisymmetric Shell Elements (SHELL208) 8-Node Finite Strain Shell Elements (SHELL281)
Input Listing: | vm218.dat

Test Case

A flat circular membrane made of a rubber material is subjected to uniform water pressure. The edges of the membrane are fixed. Determine the response as pressure is increased to 50 psi.

Figure 218.1 Hyperelastic Circular Plate Project Sketch

Material Properties
Ex = 1 x 106 psi
Nuxy = 0.5
DENS = 0.1 lb/in3
C1 = 80 psi
C2 = 20 psi
Geometric Properties
R = 7.5 in
T = 0.5 in
Loading
Pres = 50.0 psi

Analysis Assumptions and Modeling Notes

The full circular plate is reduced to a 7.5° sector for analysis. The midplane of the outer edge of the circle is considered to be fixed. A pressure of 50 psi is applied to the bottom surface of the shell sector. The SHELL181 and SHELL281 models are solved using standard formulation using reduced integration.

Four different analyses are performed using SHELL181, SHELL208, SHELL209, and SHELL281 elements, respectively.

Results Comparison

Pressure | Target | ANSYS | Ratio
SHELL181
4.0 | 2.250 | 2.292 | 1.019
24.0 | 6.200 | 5.715 | 0.922
38.0 | 10.900 | 10.092 | 0.928
SHELL181 Membrane Option
4.0 | 2.250 | 2.295 | 1.020
24.0 | 6.200 | 5.707 | 0.921
38.0 | 10.900 | 10.017 | 0.919
SHELL208
4.0 | 2.250 | 2.301 | 1.023
24.0 | 6.200 | 5.730 | 0.924
38.0 | 10.900 | 10.079 | 0.925
SHELL209
4.0 | 2.250 | 2.288 | 1.017
24.0 | 6.200 | 5.704 | 0.920
38.0 | 10.900 | 10.118 | 0.928
SHELL281
4.0 | 2.250 | 2.289 | 1.017
24.0 | 6.200 | 5.704 | 0.920
38.0 | 10.900 | 10.117 | 0.928

Figure 218.2 Results Plot 1 - UZ vs. Thickness

Figure 218.3 Results Plot 2 - UZ vs. Pressure

Figure 218.4 Results Plot 3 - Displaced Shape

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM217 		Up / Home Next
VM219


VM219

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM219

Non-Newtonian Pressure Driven Sector Flow

Overview

Reference: | W. F. Hughes, J. A. Brighton, Schaum's Outline of Theory and Problems of Fluid Dynamics, McGraw-Hill Book Co., Inc., New York, NY, 1991.
Analysis Type(s): | Fluid, Flow Analysis (FLOTRAN)
Element Type(s): | 2-D Fluid-Thermal Elements (FLUID141)
Input Listing: | vm219.dat

Test Case

Fully developed pressure driven flow of a power law non-Newtonian fluid is created within a pipe. Assuming steady-state incompressible flow and that there are no body forces, solve for the velocity in the Y direction.

Figure 219.1 Sector Flow Problem Sketch

Material Properties
ρ = 1.0 Kg/m3
Power Law Coefficient
μo = 1.297
k = 1.0
D0 = 1e-6
n = 0.8
Geometric Properties
r = 1.0 m
L = 0.2 m
Loading
ΔP = 0.20 Pa

Results Comparison

 | Target | ANSYS | Ratio
Vy for x = 0.000 | 0.13503 | 0.13440 | 0.995
Vy for x = 0.006 | 0.13503 | 0.13440 | 0.995
Vy for x = 0.013 | 0.13502 | 0.13439 | 0.995
Vy for x = 0.021 | 0.13500 | 0.13438 | 0.995
Vy for x = 0.500 | 0.10664 | 0.10628 | 0.997

Figure 219.2 Results Plot - VY Contours

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM218 		Up / Home Next
VM220


VM220

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM220

Eddy Current Loss in Thick Steel Plate

Overview

Reference: | K. K. Lim, P. Hammond, "Universal Loss Chart for the Calculation of Eddy-Current Losses in Thick Steel Plates", Proc. IEE, Vol. 117 No. 4, April 1970, pg. 861.
Analysis Type(s): | 2-D Harmonic Response Analysis (ANTYPE = 3)
Element Type(s): | 2-D 8-Node Magnetic Solid Elements (PLANE53)
Input Listing: | vm220.dat

Test Case

A 5 mm thick semi-infinite steel plate is subject to a tangential field created by a coil, H = 2644.1 A/m at a frequency of 50 Hz. The material conductivity, σ is 5 x 106 S/m. The B-H curve is defined by the equation B = H/(a+b |H|), where a = 156, b = 0.59. η, a geometry constant, is given to be 10.016. Compute the eddy current loss.

Figure 220.1 Thick Steel Plate Problem Sketch and Finite Element Model

Material Properties
μ = 4 π * 107 H/m
σ = 5.0 x 106 S/m
Geometric Properties
d = 2.5 mm (half thickness of plate)
dx = d/6 (plate width)
dy = d/6 (coil height)
η = 10.016
Loading
H = 2644.1 A/m (imposed H-field)
f = 50 Hz

Analysis Assumptions and Modeling Notes

A nonlinear harmonic analysis is performed with PLANE53. The command macro POWERH is used to calculate the power loss in the plate.

Verification was performed by comparing the ANSYS results to those obtained through the use of the universal loss chart shown in the reference. The values of ho and η are required to use the universal loss chart η, which is given to be 10.016 in this case.

The equation for ho is H / ξ = a/b.

The universal loss chart (Lim Fig. 6), ho vs. Pn, can now be used to extract Pn. By using the curve that is given for the value η, and ho located at the x-axis, Pn is the corresponding value on the y-axis. The value found for Pn (1.2 W/m) is used to calculate the average losses, P = Pn(H2 / σd). The loss was calculated to be 671.16 W/m2.

Note that this result is for the half plate thickness. The full plate loss is twice the half plate, or 1342.3 W/m2.

Results Comparison

Eddy Current Loss | Target | ANSYS | Ratio
PLANE53 (w/m2) | 1342.323[1] | 1339.862 | 0.998

  1. Results based on graphical data

Figure 220.2 B-H Curve

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM219 		Up / Home Next
VM221


VM221

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM221

Inductance Calculation of a Transformer

Overview

Reference: | M. Gyimesi, D. Ostergaard, "Force Analysis with Edge Elements", 1998 ANSYS Conference Proceedings, Vol. 2, ANSYS, Inc., Canonsburg, PA, 1998, pp. 299–302.
Analysis Type(s): | Nonlinear Magnetic Static Analysis (ANTYPE = 0)
Element Type(s): | 3-D 20-Node Magnetic Solid Elements (SOLID117)
Input Listing: | vm221.dat

Figure 221.1 Representative Finite Element Model

Test Case

A transformer with a nonlinear iron core is wound with two separate coils. Coil 1 is excited by a current of 0.2 A, while coil 2 is excited by a small current of 0.025 A. Calculate the self-inductance of both coil 1 and coil 2, and also the mutual inductance between the two coils.

Material Properties
where
BS = 2T andHS = 100A / m
Geometric Properties
X = X1 = X2 = Y = Z = 0.015m
N1 = 10 (number of turns in coil 1)
N2 = 20 (number of turns in coil 2)
Loading
I1 = 0.2A (applied current in coil 1)
I2 = 0.025A (applied current in coil 2)

Analysis Assumptions and Modeling Notes

In this problem the LMATRIX macro is used to solve the coil inductance about an operating point (I1, I2). The finite element representation is modeled by three blocks, coil 1, coil 2, and the nonlinear iron core. The blocks are meshed using magnetic-edge element SOLID117. The target results are based on the Enhanced Incremental Energy Method (EIEM - see M. Gyimesi, D. Ostergaard, "Force Analysis with Edge Elements") for finding inductance of coils when the core is nonlinear.

Results Comparison

 |  | Target | ANSYS | Ratio
Inductance | Self Coil 1 | 0.40 | 0.399 | 0.999
 | Self Coil 2 | 1.60 | 1.599 | 0.999
 | Mutual | 0.80 | 0.799 | 0.999
Energy (J) | Energy | .0166 | .0167 | 1.005
 | Coenergy | .0333 | .0333 | 1.000
Flux (W) | Coil1 | .2 | .1999 | .999
 | Coil2 | .4 | .3998 | .999

Figure 221.2

Figure 221.3

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM220 		Up / Home Next
VM222


VM222

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM222

Warping Torsion Bar

Overview

Reference: C-N Chen, "The Warping Torsion Bar Model of the Differential Quadrature Method", Computers and Structures, Vol. 66 No. 2-3, 1998, pp. 249-257.
Analysis Type(s): Static Structural (ANTYPE = 0)
Element Type(s):
3-D Linear Finite Strain Beam Elements (BEAM188)
3-D Quadratic Finite Strain Beam Elements (BEAM189)
Input Listing: vm222.dat

Test Case

A cantilever I-beam is fixed at both ends and a uniform moment, Mx, is applied along its length.

Figure 222.1 Warping Torsion Bar Problem Sketch

Material Properties
Warping rigidity (ECW) = 7.031467e12 Nmm4 and GJ=3.515734e7 Nmm2
Warping constant (CW) =0.323e8 and J=431.979 (E=217396.3331684 N/mm2 and G=81386.6878 N/mm2)
Poisson's Ratio = (E/(2*G))-1 = 0.33557673
Loading
Moment = 1Nmm/mm
Geometric Properties
b=40mm
h=80mm
t=2mm
L=1000mm

Figure 222.2 I-Beam Section Plot

Analysis Assumptions and Modeling Notes

Given that:

ECw = 7.031467E12 Nmm4(warping rigidity)
Iyy = 316576 mm4 for this beam cross section

and

GJ = 3.515734E7 Nmm2
Cw = 0.323E8 mm6 (warping constant)
J = 431.979 mm4 (torsion constant)
E = 217396.333 N/mm2 (Young's modulus)

Therefore υ = E/2G-1 = 0.33557673 (Poisson's ratio)

Uniformly distributed moments are converted to a moment load on each element.

mload1 and mload2 are the loads on the beam ends.

The warping DOF results are compared to the reference at the midspan.

Results Comparison

MX Twist in X-Direction | Target | ANSYS | Ratio
BEAM188 | 0.3293E-03 | 0.3326E-03 | 1.010
BEAM189 | 0.3293E-03 | 0.3330E-03 | 1.011

Figure 222.3 Warping Torsion Bar Plot

Figure 222.4 Warping Torsion Bar Plot

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM221 		Up / Home Next
VM223


VM223

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM223

Electro-Thermal Microactuator Analysis

Overview

Reference: Mankame and Ananthasuresh "Comprehensive thermal modeling and characterization of an electro-thermal-compliant microactuator", Journal of Micromech. Microeng. 11, 2001, pg. 252-262.
Analysis Type(s): Static
Element Type(s):
3-D 10-Node Coupled-Field Solid (SOLID227)
KEYOPT(1) =111
Input Listing: vm223.dat

Test Case

The actuator silicon structure is comprised of a thin arm connected to a wide arm, flexure, and two anchors as shown in the figure below. In addition to providing mechanical support, the anchors also serve as electrical and thermal connections. The actuator operates on the principle of differential thermal expansion between the thin and wide arms. When a voltage difference is applied to the anchors, current flows through the arms producing Joule heating. Because of the width difference, the thin arm of the microactuator has a higher electrical resistance than the wide arm, and therefore it heats up more than the wide arm. The non-uniform Joule heating produces a non-uniform thermal expansion, and actuator tip deflection.

Figure 223.1 Electro-Thermal Microactuator Sketch

Material Properties
Young's modulus: 169.0 (Gpa)
Poisson ratio: 0.3
Electrical resistivity: 4.2e-4 (Ohm m @ T = 300K)
Coefficient of linear expansion [alpha, μmm1 K1] and thermal conductivity [k, W, m1, K1] with temperature [T, K]:

alpha | k | T
2.568 | 146.4 | 300
3.212 | 98.3 | 400
3.594 | 73.2 | 500
3.831 | 57.5 | 600
3.987 | 49.2 | 700
4.099 | 41.8 | 800
4.185 | 37.6 | 900
4.258 | 34.5 | 1000
4.323 | 31.4 | 1100
4.384 | 28.2 | 1200
4.442 | 27.2 | 1300
4.500 | 26.1 | 1400
4.556 | 25.1 | 1500

Geometric Properties
Microactuator dimensions (m):
d1 = 40e-6
d2 = 255e-6
d3 = 40e-6
d4 = 330 e-6
d5 = 1900e-6
d6 = 90e-6
d7 = 75e-6
d8 = 352e-6
d9 = 352e-6
d11 = 20e-6
Loading
Applied voltage drop of 15.0 V.

Analysis Assumptions and Modeling Notes

A 3-D static structural-thermoelectric analysis is performed to determine the tip deflection and temperature distribution in the microactuator when a 15 volt difference is applied to the anchors. Radiative and convective surface heat transfers are also taken into account, which is important for accurate modeling of the actuator.

Results Comparison

 | Target | ANSYS | Ratio
Tip Transverse Displacement UY | 0.2700E-04 | 0.2779E-04 | 1.029

Figure 223.2 Displacement Magnitude Plot

Figure 223.3 Temperature Plot

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM222 		Up / Home Next
VM224


VM224

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM224

Implicit Creep under Biaxial Load

Overview

Reference: A. A. Becker, T. H. Hyde, Fundamental Test of Creep Behavior, 2nd Edition, NAFEMS, Ref.: R0027, Test 10a.
Analysis Type(s): 2-D Plane Stress - Biaxial (Negative) Load
Element Type(s):
2-D 4-Node Structural Solid Elements (PLANE182)
2-D 8-Node Structural Solid Elements (PLANE183)
Input Listing: vm224.dat

Test Case

A specimen under plane stress conditions is constrained on the left and bottom edges. It is biaxially loaded with tensile stress σ1 on the right edge and compressive stress σ2 on the top edge. Determine the creep strain after 1000 hours.

Figure 224.1 Implicit Creep Under Biaxial Load Problem Sketch

Material Properties
E = 200 x 103 N/mm2
ν = 0.3
Geometric Properties
L = 100 mm
Creep Law
ε = A σntm
A = 3.125 x 10-14 per hour
n = 5
m = 0.5
Loading
σ1 = 200 N/mm2
σ2 = - 200 N/mm2
Total creep time 1000 hours

Analysis Assumptions and Modeling Notes

For a 2-D plane stress condition a biaxial load is applied as follows:

In this case the effective stress is given by the following equation, where α = -1

And the creep strains may be obtained as follows:

This gives the following reference solution:

Results Comparison

@ Time = 1000 | Target | ANSYS | Ratio
PLANE182 2-D 4-Node Structural Solid
ecrxx | 4.2691 | 4.2691 | 1.000
ecryy | -4.2691 | -4.2691 | 1.000
PLANE183 2-D 8-Node Structural Solid
ecrxx | 4.2691 | 4.2691 | 1.000
ecryy | -4.2691 | -4.2691 | 1.000

Figure 224.2 Creep Strain

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM223 		Up / Home Next
VM225


VM225

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM225

Rectangular Cross-Section Bar with Preload

Overview

Reference:

Engineering Statics Text

Analysis Type(s):

Static, Preloading Analysis

Element Type(s):
3-D Structural Solid Elements (SOLID45)
Pretension Elements (PRETS179 )
3-D Structural Solid Elements (SOLID185)
Input Listing: vm225.dat

Test Case

A compressive preload is applied to a rectangular cross-section bar. Determine the resulting stress and displacement.

Figure 225.1 Finite Element Model

Material Properties
E = 30,000,000 psi
ν = 0.3
Geometric Properties
L = 12 in
W = 1 in
H = 2 in
Loading
F = 500 lbf

Analysis Assumptions and Modeling Notes

The problem is solved in two different ways:

  • using 3-D solid elements (SOLID95)

  • using 3-D solid elements (SOLID186)

Due to symmetry, only one-quarter of the bar is modeled. The preload is applied using the PRETS179 2-D/3-D Pretension Element and the SLOAD command.

Results Comparison

 | Target | ANSYS | Ratio
SOLID45
Stress SigX (psi) | 250.0 | 250.0 | 1.0
Displacement (UX) | 0.00010 | 0.00010 | 1.0
SOLID185
Stress SigX (psi) | 250.0 | 250.0 | 1.0
Displacement (UX) | 0.00010 | 0.00010 | 1.0

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM224 		Up / Home Next
VM226


VM226

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM226

Fourier Series Analysis of a Diode Rectified Circuit

Overview

Reference: A. S. Sedra, K. C. Smith, Microelectronic Circuits, 4th Edition, Oxford University Press, 1977.
Analysis Type(s): Transient
Element Type(s):
Electric Circuit Elements (CIRCU124)
Diode Elements (CIRCU125)
Input Listing: vm226.dat

Test Case

Compute the Fourier series coefficients of the output voltages from the following two circuits, the first with no capacitance, second with a capacitance of 1E-6F, third with a capacitance of 10E-6F, and finally with a capacitance of 1E-3F.

Figure 226.1 Diode Rectified Circuit Problem Sketch

Geometric Properties
R1 = 2500 Ohm
C1 = 1E-6 F
C2 = 10E-6 F
Loading
Vs = 135 sin (60 * pi * t) V

Analysis Assumptions and Modeling Notes

These circuits make use of CIRCU125 diode elements, which have parameters that are set up to produce ideal characteristics. The circuit in Problem Sketch 1 is modeled to be a simple half-wave rectifier with three elements:

  • a voltage source

  • an ideal diode

  • a single load resistor

In this case computing the Fourier series coefficients is a minor task. However, in Problem Sketch 2, a capacitor is introduced into the circuit which causes a combination, sinusoidal-exponential output waveform, and hence making the Fourier series calculation much more complex.

Definition:

Problem Sketch One: Resistor, Diode and Voltage Source

We have: Vs(t) = Vsl*SIN(ωt)

where:

Vsl = 135 Volts
ω = 2πf and f = (1)/T = 60 Hz

Fourier coefficients:

So we have:

That is to say:

So we have:

That is to say:

Figure 226.2 Output Voltage with No Capacitance

Figure 226.3 Plot of Fourier Series Without Capacitance

Figure 226.4 Resistor, Capacitor, Diode and Voltage Source

To compute the Fourier coefficients, take a periodic signal such that the first time (TO) will be the first maximum of Vs(t) and the end time (TO1) will be the second maximum of Vs(t).

We have:

Vsl = 135 Volts
ω = 2πf and f = (1)/T = 60 Hz
τ = RC
0 < t < T0: Vs(t) = Vsl*COS(ω.t)
T0 < t < T01: Vs(t) = V0*EXP (-(t-T0)/τ)
T01 < t < T: Vs(t) = Vsl*COS(ω.t)

How to Find T0 and T01

For T0 we have:

Due to the discontinuity of the function, T01 must be found using a Newton's Method algorithm which can be done using ANSYS. The code that performs this operation can be found in the input listing.

T01 verifies this equation:

Compute only the first three Fourier coefficients: a0, a1 and b1.

First Fourier Coefficient:

Second Fourier Coefficient:

Third Fourier Coefficient:

Figure 226.5 VLOAD with Capacitance of 1E-6F

Figure 226.6 Plot of Fourier Series With Capacitance

Figure 226.7 VLOAD With Capacitance of 10E-6F

Results Comparison

 |  | Target | ANSYS | Ratio
Tau = 0 | A0/2 | 42.9718 | 42.9834 | 0.9997
 | A1 | 0 | 0.0151 | 0
 | B1 | 67.5 | 67.4920 | 1.0001
Tau = 0.0025 | A0/2 | 50.7897 | 50.7893 | 1.0000
 | A1 | 61.7634 | 61.7542 | 1.0001
 | B1 | 10.3401 | 10.3463 | 0.9994
Tau = 0.025 | A0/2 | 105.4741 | 105.4266 | 1.0005
 | A1 | 13.8684 | 13.8831 | 0.9989
 | B1 | 16.4932 | 16.4729 | 1.0012

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM225 		Up / Home Next
VM227


VM227

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM227

Radiation Between Finite Coaxial Cylinders

Overview

Reference: | M. Modest, Radiative Heat Transfer, McGraw-Hill Book Co., Inc., New York, NY, 1992, p. 791, View Factor Evaluations 44, 45.
Analysis Type(s): | Steady State Radiosity
Element Type(s): | 2-D 8-Node Thermal Solid Elements (PLANE77)
Input Listing: | vm227.dat

Test Case

Problem Sketch

This test is designed to show a quick calculation of the end effects which are present in the radiation solution of two finite concentric cylinders. Concentric cylinders of length L, with radii r1 and r2, are created, and the radiosity method is used to determine radiation view factors upon the facing surfaces.

Geometric Properties
l = 10
r1 = 1
r2 = 3
Loading
Interior surface of external cylinder ε = 1
Axial surface of internal cylinder ε = 1
All other surfaces ε = 0

Analysis Assumptions and Modeling Notes

The model is reduced to a 2-D axisymmetric case. The material is assumed to be isotropic, the surface is assumed to have uniform emissivity.

A = 108

B = 92

Results

 | Target | ANSYS | Ratio
VF (1-1) | 0.000 | 0.000 | 0.000
VF (2-1) | 0.288 | 0.288 | 1.000
VF (2-2) | 0.503 | 0.480 | 0.950

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM226 		Up / Home Next
VM228


VM228

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM228

Radiation Between Infinite Coaxial Cylinders

Overview

Reference:

R. Siegel, J. R. Howell, Thermal Radiation Heat Transfer. 3d ed. Hemisphere Publishing, 1992, p. 204–205, and 240.

Analysis Type(s): Steady State Radiosity
Element Type(s):
2-D 6-Node Triangular Thermal Solid Elements (PLANE35)
2-D Radiosity Surface Elements (SURF251)
Input Listing: vm228.dat

Test Case

Two concentric infinite cylinders are transferring heat to each other through radiation. The problem is modeled as a 2-D pair of concentric circles. The facing surfaces are given surface emissivity values, the non facing surfaces are at fixed temperatures

Material Properties
E = 30e6
Kxx = 1
ρ = 0.21
αx = .21
νxy = .27
Geometric Properties
r1 = 1
r2 = 4
σ = 1.19e-11
Loading
Interior of exterior cylinder ε = 1
Exterior of interior cylinder ε =1
All other surfaces ε = 0
Exterior of Exterior cylinder T = 1000
Interior of Interior cylinder T = 100

Analysis Assumptions and Modeling Notes

The cylinders are assumed to be infinite length, with no end effects, and with uniform surface characteristics. As such, any point on one surface should have the same view factor and characteristics as any other point on the same surface.

F(11) = 0 As a circle, it cannot see itself from any part of its surface.
F(12) = 1 Consequence of no radiation to space
F(21) = (A1/A2)F(12) Basic rule of view factors
F(21) = (r1/r2)F(12)
F(21) = r1/r2
F(22) = 1 - (r1/r2) Consequence of no radiation to space

As a check on the system, the heat flux at two points are compared to that expected by σ(T14 - T24)

A second solution of the testcase is performed using radiosity surface elements. These elements are applied to all surfaces which have loads with the RDSF flag. The total number of radiation elements is reduced using the RDEC command.

Results Comparison

 | Target | ANSYS | Ratio
PLANE35
F(11) | 0.000 | 0.000 | 0.00
F(21) | 0.250 | 0.249 | 1.00
F(22) | 0.750 | 0.751 | 1.00
Heat flux (interior) at node 4 | 11.035 | 11.537 | 0.96
Heat flux (exterior) at node 13 | 2.742 | 2.884 | 0.95
SURF251
F(11) | 0.000 | 0.000 | 0.00
F(21) | 0.250 | 0.249 | 0.99
F(22) | 0.750 | 0.751 | 1.00
Heat flux (interior) at node 4 | 11.035 | 11.537 | 0.96
Heat flux (exterior) at node 13 | 2.748 | 2.884 | 0.95

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM227 		Up / Home Next
VM229


VM229

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM229

Friction Heating of Sliding Block

Overview

Reference: P. Wiggers, C. Miehe, "Contact Constraints Within Coupled Thermomechanical Analysis - A Finite Element Model", Computer Methods in Applied Mechanics and Engineering, Vol. 113, 1994, pp. 301-319.
Analysis Type(s): Transient (ANTYPE = 4)
Element Type(s):
2-D Coupled-Field Solid Elements (PLANE13)
2-D Target Segment Elements (TARGE169)
2-D 2-Node Surface-to-Surface Contact Elements (CONTA171)
2-D 8-Node Coupled-Field Colid (PLANE223)
Input Listing: vm229.dat

Test Case

Consider a block sliding over another fixed block. Calculate the temperature changes caused by friction between the blocks.

Material Properties
E = 70000
ρ = 2.7E-9 N s2/mm4
α = 23.86E-6 K-1
ν = 0.3
μ = 0.2
Kxx = 150 N/s K
C = 9E8 mm2/s2 K
Geometric Properties
Sliding Block:
Height = 1.25mm
Width = 1.25mm
Fixed Block:
Height = 1.25mm
Width = 5mm
Loading
Displacement = 3.75mm

Analysis Assumptions and Modeling Notes

In this test the two blocks are modeled using PLANE13 elements with CONTA171 elements placed on the bottom surface of the sliding block, and TARGE169 elements placed at the top surface of the fixed block. In the first load step, the sliding block moves 3.75 mm on the surface of the fixed block with an applied pressure of 10 N/mm2. The displacement of the sliding block occurs within a time period of 3.75 ms. Heat is generated by friction and is absorbed by the two blocks. To obtain the steady-state solution, a second load step with 100 time steps was performed with no loading at a duration of 1s. The calculated steady-state results were taken from the end of the final load step.

The same analysis is repeated using Pure Lagrange Multipliers method (KEYOPT(2) = 4 -- Pure Lagrange multiplier on contact normal and tangent) of CONTA171 elements.

Results Comparison

 | Target | ANSYS | Ratio
PLANE13
Temp 1 (K) | 1.235 | 1.2346 | 1.000
Temp 2 (K) | 0.309 | 0.3087 | 0.999
With KEYOPT (2) = 3 of CONTA171
Temp 1 (K) | 1.2350 | 1.2346 | 1.000
Temp 2 (K) | 0.3090 | 0.3087 | 0.999
PLANE223
Temp 1 (K) | 1.2350 | 1.2619 | 1.022
Temp 2 (K) | 0.3090 | 0.3155 | 1.021

Figure 229.1 Temperature Change for Sliding Block with Friction

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM228 		Up / Home Next
VM230


VM230

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM230

Analytical Verification of PDS Results

Overview

Reference: | A. H-S. Ang and W. H. Tang, Probability Concepts in Engineering Planning and Design, Vol 1 - Basic Principles, John Wiley & Sons, 1975.
Analysis Type(s): | PDS
Element Type(s): | None
Input Listing: | vm230.dat

Test Case

Five statistically independent random input variables are defined, X1 to X5. All random input variables follow log-normal distribution with a logarithmic mean value ξi and a logarithmic deviation δi and i = 1,...,5 as distribution parameters. A random output parameter Y is defined as a function of the random input variables.

Verify the mean value and the standard deviation of the random output parameter Y.

Figure 230.1 Distribution of Input Variable

Analysis Assumptions and Modeling Notes

From the reference A. H-S. Ang and W. H. Tang, Probability Concepts in Engineering Planning and Design, the random output parameter Y follows a log-normal distribution with a logarithmic mean of:

ξ y = ξ 1 + ξ 2 + ξ 3 - ξ 4 - ξ 5

and a logarithmic deviation of

The mean value of the random output parameter Y is:

and the standard deviation is:

Using the following values:

ξ1 = 1.1 | δ1 = 0.1
ξ2 = 1.2 | δ2 = 0.2
ξ3 = 1.3 | δ3 = 0.3
ξ4 = 1.4 | δ4 = 0.4
ξ5 = 1.5 | δ5 = 0.5

the following analytical results are obtained:

ξy = 0.7

δy = 0.74162

μy = 2.651167

σy = 2.2701994

For the ANSYS PDS analysis, a loop file is created which contains the random input variables and the random output variable. In the /PDS module, X1 through X5 are defined as probabilistic design variables and Y is defined as a response parameter. The PDS mean parameter values and deviations are defined with the values used in the analytical solution above.

The 2000 Latin Hypercube samples were post-processed to determine the logarithmic mean and logarithmic deviation of Y. A cumulative distribution function was plotted for Y showing the 95% confidence limit. This confirms that the distribution type of Y is log-normal, because the CDF is very close to a straight line.

Figure 230.2 Cumulative Distribution Function (Probability vs. Log Y)

Results Comparison

 | Target | ANSYS | Ratio
Mean Value of Y | 2.6957898 | 2.6957898 | 1.000
Standard Deviation of Y | 2.3744199 | 2.3744198 | 1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM229 		Up / Home Next
VM231


VM231

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM231

Piezoelectric Rectangular Strip Under Pure Bending Load

Overview

Reference: | V. Z. Parton, B. A. Kudryavtsev, N. A, Senik, Applied Mechanics: Soviet Review, Vol. 2: Electromagnetoelasticity, pg. 28.
Analysis Type(s): | Static
Element Type(s): | 2-D Coupled-Field Solid Elements (PLANE13)
Input Listing: | vm231.dat

Test Case

A piezoceramic (PZT-4) rectangular strip occupies the region |x| [image] l, |y| [image] h. The material is oriented such that its polarization direction is aligned with the Y axis. The strip is subjected to the pure bending load σx = σ1y at x = ± l. Determine the electro-elastic field distribution in the strip.

Figure 231.1 Piezoelectric Strip Problem Sketch

Material Properties
See "Constitutive Matrices for PZT4 Polarized Along the Y Axis"
Geometric Properties
l = 1mm
h = 0.5 mm
Loading
Pressure slope
σ1 = -20 N/mm3

Constitutive Matrices for PZT4 Polarized Along the Y Axis

PZT4 Dielectric Matrix [εr]

PZT4 Piezoelectric Matrix [e] C/m2

PZT4 Stiffness matrix [c] x 10-10 N/m2

Analysis Assumptions and Modeling Notes

Only a one-quarter symmetry sector of the rectangular strip is modeled. Symmetric and antisymmetric boundary conditions are applied. The finite element model uses a single 4-node 2-D quadrilateral element with extra displacement and potential modes to produce a correct response to the pure bending load.

Results Comparison

Node 3 | Target | ANSYS | Ratio
UX, μm | -0.110 | -0.110 | 1.000
UY, μm | 0.115 | 0.115 | 1.000
VOLT, V | 27.378 | 27.378 | 1.000
Stress x, N/mm2 | -10.000 | -10.000 | 1.000
Electric Field y, V/mm | -109.511 | -109.511 | 1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM230 		Up / Home Next
VM232


VM232

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM232

PDS Response Surface Study

Overview

Reference: | A. H-S. Ang and W. H. Tang, Probability Concepts in Engineering Planning and Design, Vol 1 - Basic Principles, John Wiley & Sons, 1975.
Analysis Type(s): | PDS
Element Type(s): | None
Input Listing: | vm232.dat

Test Case

Assume that there are two random input variables, defined as XW and XE. The random input variable XW follows a Weibull distribution with a Weibull exponent of m = 2.0, a Weibull characteristic value of xchr = 1.0 and a lower limit of xW,min = 0.0. The random input variable XE follows an exponential distribution with a decay parameter generally expressed as λ and lower limit of xE,min = 0.0.

Figure 232.1 Distribution of Input Variable XW

Figure 232.2 Distribution of Input Variable XE

Analysis Assumptions and Modeling Notes

The probability density function of XW is:

Using the values of m = 2.0, xchr = 1.0 and xmin = 0.0, the probability density function of XW reduces to:

The probability density function of XE is:

Using the value xmin, the probability density function of XE reduces to:

The random output parameter Y as a function of the random input variables is defined as:

Next, the probability that Y is negative, i.e. P(Y < 0) is evaluated. For this case the probability is:

The integration domain Y < 0 can be expressed as:

or

or

Therefore, the integration domain of the integral can be written as:

Separating the product in the integrator leads to:

Using eqs. 2 and 4 leads to:

Solving the inner integral is:

or

or

The solution of this integral is:

or

For λ = 0.5, c1 = 1.0 and c2 = 0.1 the probability P(Y < 0) becomes:

In this test case, numerical results are first obtained from a Monte Carlo Simulation method using Latin Hypercube Sampling.

P(Y < 0) = 0.165096

A response surface method using a central composite design is evaluated to show that it delivers an acceptable analysis.

P(Y < 0) = 0.166829

Figure 232.3 Response Surface plot

Results Comparison

 | Target | ANSYS | Ratio
P (Y < 0) from Monte Carlo | 0.16666667 | 0.165096 | 0.9906
P (Y < 0) from Response Surface | 0.16666667 | 0.166829 | 1.001

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM231 		Up / Home Next
VM233


VM233

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM233

Static Force Computation of a 3-D Solenoid Actuator

Overview

Reference:
M. Gyimesi, D. F. Ostergaard, "Analysis of Benchmark Problem TEAM20 with Various Formulations", Proceedings of TEAM Workshop, COMPUMAG, Rio, 1997.
M. Gyimesi, D. F. Ostergaard, "Mixed Shape Non-Conforming Edge Elements", IEEE Transactions on Magnetics, Vol. 35 No. 3, 1999, pp. 1407-1409.
M. Gyimesi, D. F. Ostergaard, "Non-Conforming Hexahedral Edge Elements for Magnetic Analysis", IEEE Transactions on Magnetics, Vol 34 No. 5, 1998, pp. 2481-2484.
Analysis Type(s): Static (ANTYPE = 0)
Element Type(s): Tetrahedral Coupled-Field Solid Elements (SOLID98)
Input Listing: vm233.dat

Test Case

For the given solenoid actuator with an applied total coil current of 1000 A-turns, find the magnetic flux density (BZ) of the Pole, the magnetic flux density (BZ) of the Arm, and the Virtual Work Force in the Z-direction (See Problem Description for location of parts).

Material Properties
Murx =1
Geometric Properties
X1 = 63.5mm
X2 = 12.5mm
Y1 = 12.5mm
Y2 = 5mm
Y3 = 18mm
Z1 = 25 mm
Z2 = 100mm
Z3 = 98.5mm
Z4 = 96.6mm
Loading
Total Current = 5000 A-turns

Figure 233.1 B-H Curve

Analysis Assumptions and Modeling Notes

This analysis is based on the TEAM workshop problem 20. It utilizes the Difference Scalar Potential (DSP) element formulation with tetrahedral shaped SOLID98 elements. DSP formulation was used because it has much better accuracy than the Magnetic Vector Potential (MVP) method. Additionally, it is more efficient than the EDGE formulation method. To simplify meshing, the SMRTSIZE meshing option was used to automatically determine line divisions and spacing ratios while taking into account the line proximity effects. Mesh density can be adjusted using the SmartSize parameter, for this case, a SmartSizing level of 10 was applied. The analysis is performed using a quarter symmetry model of the solenoid actuator. The magnetic coil was created using the RACE command. Magnetic force and boundary conditions were placed on the armature component by using the FMAGBC command.

Figure 233.2 Finite Element Model

Results Comparison

Total Current = 5000 A-turns | Target | ANSYS | Ratio
Virtual Work Force (N) | 80.1 | 79.998 | 0.999
Pole Flux Density (BZ, Tesla) | 0.46 | 0.475 | 1.033
Arm Flux Density (BZ, Tesla) | 2.05 | 2.048 | 0.999

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM232 		Up / Home Next
VM234


VM234

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM234

Cyclic Loading of a Rubber Block

Overview

Reference: | G. A. Holzapfel, "On Large Strain Viscoelasticity: Continuum Formulation and Finite Element Applications to Elastomeric Structures", International Journal for Numerical Methods in Engineering, Vol. 39, 1996, pp. 3903-3926.
Analysis Type(s): | Transient Structural Analysis (ANTYPE = 4)
Element Type(s): | 3-D 8-Node Structural Solid Elements (SOLID185)
Input Listing: | vm234.dat

Test Case

A cube of rubber is subjected to a sinusoidal displacement controlled load with a mean value of zero (completely reversed). The load amplitude is constant within a full cycle (4 seconds) and increases with each successive cycle. For the first period A = 0.01 and it increases by 0.01 each cycle until the fourth when A = 0.04. At t = 16 seconds the load is removed and the residual stresses are permitted to relax.

Figure 234.1 Rubber Block Model

Material Properties
τ1 = 0.40 sec
τ2 = 0.40 sec
β1 = β2 = 1
Geometric Properties
L = 0.1 m
Loading
A = 0.01

Analysis Assumptions and Modeling Notes

The analysis was performed using a single SOLID185 element. The rubber was simulated with an Ogden material model. The load was applied using a looping application of the displacement boundary condition. The plot displays the Cauchy stress evolution over the specified time periods. The accumulated stress relaxes after the load is removed at t = 16 seconds. The accumulated stress at t = 16 seconds and the relaxed stress state at t = 20 seconds are the verified results for this test.

Figure 234.2 Stress Evolution Over Time

Results Comparison

 | Target | ANSYS | Ratio
Cauchy Stress (N/m2) t = 16 sec | 6.013E5 | 5.993889E5 | 0.997
Cauchy Stress (N/m2) t = 20 sec | 0.0 | 17.7 | 0.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM233 		Up / Home Next
VM235


VM235

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM235

Frequency Response of a Prestressed Beam

Overview

Reference: R. D. Blevins, Formulas for Natural Frequency and Mode Shape, Van Nostrand Reinhold Co., pg. 144, equation 8-20.
Analysis Type(s): Modal (ANTYPE=2)
Element Type(s):
2-D Elastic Beam Elements (BEAM3)
Electromechanical Transducer Elements (TRANS126)
Input Listing: vm235.dat

Test Case

A beam is in series with an electromechanical transducer. With a voltage applied to the beam, determine the prestressed natural frequencies of the beam.

Figure 235.1 Element Plot

Material Properties
Ex = 169E3
DENS = 2332E-18
Beam Stiff = 112666.667
Gap Stiff = 20.022
Geometric Properties
L = 150μm
W = 4 μm
H = 2 μm
Initial Gap = 1 μm
Gap = 0.999 μm
Loading
Volt = 150.162V

Analysis Assumptions and Modeling Notes

The beam is created using BEAM3 elements which are used in series with one TRANS126 element. The node that connects the transducer and beam is free to move in the X-direction, while the end node of the beam and the ground node of the transducer are constrained in both the X and Y directions. It should also be noted that the transducer gap stiffness is much less than the beam stiffness and will not have any effect on the frequency solution.

Figure 235.2 Mode Shape 1

Figure 235.3 Mode Shape 2

Figure 235.4 Mode Shape 3

Results Comparison

 | Target | ANSYS | Ratio
Frequency (mode 1) | 351699.332 | 351673.733 | 1.000
Frequency (mode 2) | 1381162.303 | 1380767.749 | 1.000
Frequency (mode 3) | 3096816.034 | 3094885.115 | 1.001

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM234 		Up / Home Next
VM236


VM236

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM236

Hysteresis Calculation of a Beam Under Electrostatic Load

Overview

Reference: J. R. Gilbert, G. K. Ananthasuresh, S. D. Senturia, "3D Modeling of Contact Problems and Hysteresis in Coupled Electro-Mechanics", MEMS, 1996, pp. 127-132.
Analysis Type(s): TRANS (ANTYPE = 4)
Element Type(s):
2-D Electromechanical Transducer Elements (TRANS109)
2-D Structural Solid Elements (PLANE42)
2-D Point-to-Point Contact Elements (CONTAC12)
Input Listing: vm236.dat

Test Case

A beam of length L = 80 μm at a height T = 0.5 μm is suspended 0.7 μm above a ground plane and is clamped at either end. Using this beam, model the hysteresis (pull-in and release behaviors) when it is placed under electrostatic load.

Figure 236.1 Beam Under Electrostatic Load

Beam at beginning and unloading.

Beam at pull-in voltage.

Model the hysteresis (pull-in and release behaviors) of a structural beam under electrostatic load.

Material Properties
EX = 169E3
NUXY = 0.25
PERX = 1
MU = 0
Geometric Properties
Beam Length = 80 microns
Beam Height = 0.5 microns
Gap = 0.7 microns
Loading
V(1) = 11.0V
V(2) = 14.5V
V(3) = 18.0V

Analysis Assumptions and Modeling Notes

Using symmetry at a length L=40 μm, the solid beam is modeled with quad shaped PLANE42 elements. The air gap is modeled with 2-D tri-shaped TRANS109 elements with KEYOPT(1) = 1 for area weighted morphing. Node-Node contact is modeled in the air gap using CONTAC12 elements. The beam is constrained in the X and Y directions on the left side and is free only in the Y-direction along the span. The beam is suspended 0.7 μm over the ground plane with a contact stop at 0.1μm.

Results Comparison

 | Target | ANSYS | Ratio
UY @ 11.0V | -0.0722 | -0.0722 | 1.000
UY @ 14.5V | -0.1451 | -0.1451 | 1.000
UY @ 18.0V | -0.6004 | -0.6002 | 1.000
UY @ 14.5V | -0.6002 | -0.6002 | 1.000
UY @ 11.0V | -0.0723 | -0.0726 | 1.004

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM235 		Up / Home Next
VM237


VM237

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM237

RLC Circuit with Piezoelectric Transducer

Overview

Reference:
IEEE Standard on Piezoelectricity, Piezoelectric part of the problem: 176-1987.
J. Vlach, Basic Network Theory with Computer Applications, Circuit part of the problem: Ch. 9, Van Nostrand Reinhold, 1992.
Analysis Type(s):

Static (ANTYPE = 1)

Transient (ANTYPE = 4)

Element Type(s):

2-D 8-Node Coupled-Field Solid (PLANE223)

Piezoelectric Circuit (CIRCU94)

Input Listing:

vm237.dat

Test Case

A piezoelectric transducer consists of a simply supported circular plate of radius a and thickness t (figure a below) made of PZT-5A ceramic polarized along the Z axis. The circular surfaces of the plate are fully covered by electrode and connected in series with a resistor (R), inductor (L), and a source of constant voltage (V) (figure b below). Determine the voltage across the piezoelectric transducer over the time interval of 2 ms.

Figure 237.1 Problem Sketch

Material Properties
ρ = 7750 kg/m3
See “Constitutive Matrices”
Circuit Parameters
R = 3kΩ
L = 15 H
Geometric Properties
a = 1 mm
t = 0.1 mm
Loading
Stepped voltage V = 1 V

Constitutive Matrices (polar axis aligned along the Y axis)

PZT-5A Dielectric Permittivity Matrix at Constant Stress [εTr]

PZT-5A Piezoelectric Strain Matrix [d], 1010 C/N

PZT-5A Elastic Compliance Matrix [s], 1012 m2/N

Analysis Assumptions and Modeling Notes

The piezoelectric circular plate is modeled with 10 axisymmetric PLANE223 elements (Figure 237.2: "Finite Element Model of a Transducer"). The constitutive matrices used by the 2-D model are adjusted to orient the PZT-5A polarization direction along the Y axis. The electrodes are modeled by coupling the VOLT dof on the top and bottom surfaces of the plate. The resistor, inductance, and voltage source are modeled using the respective options of the CIRCU94 element. A transient analysis is performed to determine the time response of the circuit to the unit (1V) step voltage load. Numerical results are compared with an analytical solution, obtained using the Laplace transformation technique applied to an equivalent RLC-circuit, where C is the static capacitance of the piezoelectric transducer.

Figure 237.2 Finite Element Model of a Transducer

Results Comparison

VC for t @ | Target | ANSYS | Ratio
1.8E-2s | 1.5201 | 1.4951 | 0.984
4.0E-2s | 0.9726 | 0.9974 | 1.026
8.8E-2s | 1.4829 | 1.5094 | 1.018
1.3E-2s | 1.8437 | 1.8022 | 0.978
1.86E-1s | 1.8273 | 1.8099 | 0.990

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM236 		Up / Home Next
VM238


VM238

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM238

Wheatstone Bridge Connection of Piezoresistors

Overview

Reference: | M.-H. Bao, "Micro Mechanical Transducers: Pressure Sensors, Accelerometers and Gyroscopes", Handbook of Sensors and Actuators, v.8, ch.5.
Analysis Type(s): | Static (ANTYPE = 1)
Element Type(s): | 2-D 8-Node Coupled-Field Solid (PLANE223) 2-D 8-Node Structural Solid (PLANE82)
Input Listing: | vm238.dat

Test Case

Four p-type silicon piezoresistors R1-R4 of length a and width b are placed on a silicon beam (Figure 238.1: "Piezoresistors on a Beam Problem Sketch"). The beam of length l and width w is oriented such that its length is in the <110> direction of silicon crystal. The resistors are connected to form a Wheatstone bridge (Figure 238.2: "Wheatstone Bridge Arrangement of Piezoresistors") with a supply voltage Vs. The beam is subjected to a uniform pressure p in the X-direction. Determine the output voltage Vo of the Wheatstone bridge.

Figure 238.1 Piezoresistors on a Beam Problem Sketch

Figure 238.2 Wheatstone Bridge Arrangement of Piezoresistors

Material Properties
Elastic properties:
E = 165e3 MPa
ν = 0.25
Resistivity:
ρ = 7.8e-8 TΩμm
Piezoresistive stress coefficients:
π11 = 6.5e-5 (MPa)-1
π12 = -1.1e-5 (MPa)-1
π44 = 138.1e-5 (MPa)-1
Geometric Properties
l = 180 μm
w = 120 μm
a= 100 μm
b= 20 μm
Loading
Supply voltage Vs=5 V
Pressure p = 1MPa

Analysis Assumptions and Modeling Notes

The resistors areas are modeled using the piezoresistive option of the coupled-field solid PLANE223. The structural part of the beam is modeled using PLANE82. The resistors are connected into a Wheatstone bridge arrangement by coupling the VOLT degrees of freedom on width sides of the resistors. The supply voltage is applied to the master node of the driving electrode.

The applied pressure results in a uniform stress Sx distribution. Two of the resistors (R2 and R3) are parallel to the direction of stress, and change their resistance due to the longitudinal piezoresistive effect. Two other resistors (R1 and R4) are perpendicular to the applied stress, and change their resistance due to the transverse piezoresistive effect. A static analysis is performed to determine the output voltage Vo. Results are compared to the analytical solution given by

Results Comparison

 | Target | ANSYS | Ratio
Output voltage Vo, mV | 3.4524 | 3.4524 | 1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM237 		Up / Home Next
VM239


VM239

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM239

Mechanics of the Revolute and Universal Joints

Overview

Reference: | J. E. Shigley, J. J. Uicker, Jr., Theory of Machines and Mechanisms, 2nd Edition, McGraw-Hill, Inc., 1995, p.115.
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | 3-D Linear Finite Strain Beam (BEAM188) Multipoint Constraint Elements - Universal Joint, Revolute Joint, Slider Element (MPC184) 3-D Line-to-Line Contact (CONTA176)
Input Listing: | vm239.dat

Test Case

A double universal joint drive shaft drives a simple slider-crank mechanism. Compare the rotations at different points in the drive shaft with the applied rotation. Also, show the linear motion caused by the slider-crank satisfied the appropriate equation.

Figure 239.1 Shaft-driven Slider-Crank Mechanism

Material Properties Geometric Properties Loading
E = 30 x 106 psi
υ = 0.33
ab = 1.0 in.
cd = 1.0 in.
de = 0.5 in.
ef = 1.5 in.
gh = 1.5 in.
At "a": ROTX = 2π rad. (= 360°)

Analysis Assumptions and Modeling Notes

The rotation of 2π rad., which is applied at node "a", is first transmitted through the three shafts, existing in the x-y plane, that are joined together by the MPC184 universal joints. The rotation is compared with the resulting rotation at node "c". This graph should result in an expression determined by the following function:

α2 = arc tan (tanα 1/cosβ)

where:
α1 = the angle of twist of the drive shaft
α2 = the angle of twist of the driven shaft
β = relative angle between axis of rotation of the shafts

The input rotation is next compared to the resulting rotation at node "d". The plot shows a linear relationship in which the rotations at "a" should be equal to the rotations at "d". It should be noted that the revolute joint at junction "e" is tested by comparing the results of the input rotation at "a" (which is transferred perfectly to "d") with the linear, sliding motion generated by the slider-crank mechanism lying in the y-z plane. This relationship is defined in the supplied reference, and reflected below in the results.

Two solutions are performed. The first solution is performed by modeling all links as flexible using BEAM188 beam elements. The second solution is performed by modeling all links as rigid using line-to-line contact element CONTA176 and TARGE170 elements. For second solution two links with applied displacement boundary conditions were modeled as flexible in order to prevent over-constrained models. The second solution demonstrates how to define rigid bodies in ANSYS and how to prevent over-constrained models. Both solutions produce similar expected results.

Results Comparison

Input Rotation vs. Linear Motion of Slider-Crank Mechanism

Applied Rotation | Target | ANSYS | Ratio
RESULTS FOR ANALYSIS WITH ALL FLEXIBLE BODIES
Linear Motion (x) for π/4 (45°) | 0.39708 | 0.39708 | 1:1
Linear Motion (x) for π/2 (90°) | 0.58579 | 0.58579 | 1:1
Linear Motion (x) for 3π/4 (135°) | 0.39708 | 0.39708 | 1:1
RESULTS FOR ANALYSIS WITH ALL RIGID BODIES
Linear Motion (x) for π/4 (45°) | 0.39708 | 0.39708 | 1:1
Linear Motion (x) for π/2 (90°) | 0.58579 | 0.58579 | 1:1
Linear Motion (x) for 3π/4 (135°) | 0.39708 | 0.39708 | 1:1

Figure 239.2 Relationship of Rotations at "a" and "c"

Figure 239.3 Relationship of Rotations at "a" and "d"

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM238 		Up / Home Next
VM240


VM240

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM240

Thermal Expansion of Rigid Beams in a Composite Bar

Overview

Reference: | J.M. Gere, S.P. Timoshenko, Mechanics of Materials, 2nd Edition, PWS Publishers, 1984, p. 20-21,71
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | Nonlinear (8-Node) Solid Elements (SOLID185) Multipoint Constraint Elements - Rigid Beams (MPC184)
Input Listing: | vm240.dat

Test Case

A composite bar consists of two base materials with 25 rigid beams embedded along its length. A coefficient of thermal expansion is defined for only the rigid beams. Compare the stresses resulting in both solid composite materials when a temperature is applied.

Figure 240.1 Thermal Expansion of Composite Bar

Material Properties Geometric Properties Loading
E1 = 10 x 10e6 psi
υ1 = 0.3
E2 = 5 x 10e6 psi
υ2 = 0.3
αx = αy = αz = 0.0003/in./°F (at 100 °F)
1 = 40 in.
w = 4 in.
h = 4 in.
T1 = 0 °F
T2 = 100 °F

Analysis Assumptions and Modeling Notes

A composite bar with a 4” x 4” cross-section is modeled using SOLID185 elements. The bar consists of two different materials with the material properties E1, E2, υ1, and υ2 as shown above. Twenty five MPC184 rigid beam elements are then modeled running along the length of the bar. The rigid beam elements are given a coefficient of thermal expansion, α3. The bar is fixed in all DOF’s at one end. As a temperature is applied to the model, the rigid beam elements expand, in turn deforming the rest of the composite bar. As a result, two distinctly different stress levels can be seen through the bar’s cross-section. These stresses reflect the material property differences of the two materials making up the composite

The equations below are used to calculate theoretical stress values for comparison:

Results Comparison

 | Target | ANSYS | Ratio
1 - Equivalent Stress (von Mises) | 300,000 | 302,106 | 1.007
2 - Equivalent Stress (von Mises) | 150,000 | 151,083 | 1.007

Figure 240.2 Stress Results in Composite Material

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM239 		Up / Home Next
VM241


VM241

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM241

Static Force Computation of a 3-D Solenoid Actuator

Overview

Reference:
M. Gyimesi, D. F. Ostergaard, "Analysis of Benchmark Problem TEAM20 with Various Formulations", Proceedings of TEAM Workshop, COMPUMAG, Rio, 1997.
M. Gyimesi, D. F. Ostergaard, "Mixed Shape Non-Conforming Edge Elements", IEEE Transactions on Magnetics, Vol. 35 No. 3, 1999, pp. 1407-1409.
M. Gyimesi, D. F. Ostergaard, "Non-Conforming Hexahedral Edge Elements for Magnetic Analysis", IEEE Transactions on Magnetics, Vol 34 No. 5, 1998, pp. 2481-2484.
Analysis Type(s): Static (ANTYPE = 0)
Element Type(s): Tetrahedral Coupled-Field Solid Elements (SOLID117)
Input Listing: vm241.dat

Test Case

For the given solenoid actuator with an applied total coil current of 1000 A-turns, find the magnetic flux density (BZ) of the Pole, the magnetic flux density (BZ) of the Arm, and the Virtual Work Force in the Z-direction (See Problem Description for location of parts).

Material Properties Geometric Properties Loading
Murx =1
X1 = 63.5mm
X2 = 12.5mm
Y1 = 12.5mm
Y2 = 5mm
Y3 = 18mm
Z1 = 25 mm
Z2 = 100mm
Z3 = 98.5mm
Z4 = 96.6mm
Total Current = 5000 A-turns

Figure 241.1 B-H Curve

Analysis Assumptions and Modeling Notes

This analysis is based on the TEAM workshop problem 20. It utilizes the edge-flux element formulation with tetrahedral shaped SOLID117 elements. To simplify meshing, the SMRTSIZE meshing option was used to automatically determine line divisions and spacing ratios while taking into account the line proximity effects. Mesh density can be adjusted using the SmartSize parameter, for this case, a SmartSizing level of 10 was applied. The analysis is performed using a quarter symmetry model of the solenoid actuator. The magnetic coil was created using the RACE command. Magnetic force and boundary conditions were placed on the armature component by using the FMAGBC command.

Figure 241.2 Finite Element Model

Results Comparison

Total Current = 5000 A-turns | Target | ANSYS | Ratio
Virtual Work Force (N) | 80.100 | 78.691 | 0.982
Pole Flux Density (BZ, Tesla) | 0.460 | 0.456 | 0.992
Arm Flux Density (BZ, Tesla) | 2.050 | 2.028 | 0.990

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM240 		Up / Home Next
VM242


VM242

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM242

Series Expansion Study of an Annular Plate

Overview

Reference: | R.J. Roark and W.C. Young, Formulas for Stress and Strain, 5th Edition. McGraw-Hill Book Co. Inc., New York, NY., 1975, Pg 406, Table 24 - Case 2e
Analysis Type(s): | Static Analysis (ANTYPE = 0)
Element Type(s): | 4-Node Finite Strain Shell Elements (SHELL181 )
Input Listing: | vm242.dat

Test Case

Figure 242.1 Annular Plate

An annular plate subjected to uniform pressure is studied using a series expansion analysis. The elastic modulus and the shell thickness are simultaneously varied by ± 10%. The outer radius is fixed and the inner radius is free. The maximum deformations for the extreme parameter values are compared to the theoretical results.

Material Properties Geometric Properties Loading
E(min) = 180 x 10e9 Pa
E(max) = 220 x 10e9 Pa
ν = 0.3
Thick (min) = 1.8 mm
Thick (max) = 2.2 mm
Inner Radius = 50 mm
Outer Radius = 100 mm
Uniform Pressure = -2000 Pa

Analysis Assumptions and Modeling Notes

This analysis uses the variational technology series expansion method to obtain results for all of the specified parameter ranges in a single solution pass. Since more than one parameter is varied in each element the Taylor method must be used (VTMETH,FULL,TAYLOR). The results are stored in an rsx file and must be extracted for each set of parameter values with the VTVMOD and VTEVAL commands.

Results Comparison

 | Target | ANSYS | Ratio
Case 1 (Max E, Max Thick) | -0.4941E-05 | -0.5076E-05 | 1.027
Case 2 (Max E, Min Thick) | -0.9022E-05 | -0.9110E-05 | 1.010
Case 3 (Min E, Max Thick) | -0.6039E-05 | -0.6060E-05 | 1.003
Case 4 (Min E, Min Thick) | -0.1103E-04 | -0.1105E-04 | 1.002

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM241 		Up / Home Next
VM243


VM243

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM243

Cantilever Beam with Triangular Loading Defined by Function

Overview

Reference: | F. P. Beer and E. J. Johnston, Jr., Mechanics of Materials, McGraw-Hill, New York, NY, 1981, pp. 356, 366, 397, 613
Analysis Type(s): | Static
Element Type(s): | PLANE183
Input Listing: | vm243.dat

Test Case

Figure 243.1 Cantilever Beam with Triangular Loading

Material Properties Geometric Properties Loading
E = 30E6
s = 1
L = 1
w(x = 0) = 1
w(x = L) = 0
linear variation between them

Analysis Assumptions and Modeling Notes

Two models are used to test the method of creating a functional load. In the first case, the loading function P(x) is applied using the functional loading to create a load corresponding to P(x) = (x/L) In the second case, the loading is applied using the established two value linear loading. According to beam theory, the equation for maximum displacement of this loading is:

This result is then compared against the results

Results Comparison

 | Target | ANSYS | Ratio
Displacement (max), tabular loading | 0.367E-3 | 0.370E-3 | 1.01
Displacement (max), two value linear loading | 0.367E-3 | 0.370E-3 | 1.01

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM242 		Up / Home Next
VM244


VM244

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM244

Modal Analysis of a Cyclic Symmetric Annular Plate

Overview

Reference: | R. D. Blevins, Formulas for Natural Frequency and Mode Shape, New York, NY, VanNostrand Reinhold Publishing Inc., 1979, PP. 246-247, 286-287.
Analysis Type(s): | Mode-frequency analysis (ANTYPE = 2)
Element Type(s): | 3-D 8-Node Structural Solid (SOLID185) 3-D 20-Node Structural Solid (SOLID186) 3-D 10-Node Tetrahedral Structural Solid (SOLID187) 4-Node Finite Strain Shell (SHELL181) 3-D 8-Node Layered Solid Shell (SOLSH190) 8-Node Finite Strain Shell (SHELL281)
Input Listing: | vm244.dat

Test Case

Figure 244.1 An Annular Plate

The fundamental natural frequency of an annular plate is determined using a mode-frequency analysis. The lower bound is calculated from the natural frequency of the annular plates, which are free on the inner radius and fixed on the outer. The bounds for the plate frequency are compared to the theoretical results.

Material Properties Geometric Properties Loading
E = 7.03 x 105 kg/cm2
ν = 0.3
ρ = 2.79 x 10 -9 kg/cm2
γ = 1.415 x 10-6 kg-sec2/cm3
Outside Radius (a) = 50 cm
Inside Radius (b) = 18.5 cm
Thickness (h) = 0.5 cm
Free modal analysis

Analysis Assumptions and Modeling Notes

According to Blevins, the lower bound for the fundamental natural frequency of the annular plate is found using the formula presented in Table 11-2:

Where,

λ2 = 4.80

In ANSYS, a 30° symmetric sector of the annular plate is created via CYCLIC expansion with CYCOPT, NODDIA. The outer edge of the model is constrained in all directions and no dampening or loading is applied. The element types SOLID185, SOLID186, SOLID187, SHELL181, SHELL281, and SOLSH190 are used to solve for the lower bound of the fundamental natural frequency (Hz).

Results Comparison

 | Target | ANSYS | Ratio
Frequency (SOLID185) | 23.38 | 23.14 | 0.99
Frequency (SOLID186) | 23.38 | 23.12 | 0.99
Frequency (SOLID187) | 23.38 | 23.15 | 0.99
Frequency (SHELL181) | 23.38 | 22.96 | 0.98
Frequency (SOLSH190) | 23.38 | 23.13 | 0.989
Frequency SHELL281 | 23.38 | 23.04 | 0.986

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM243 		Up / Home Next
VM245


VM245

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM245

Squeeze Film Damping: Rectangular Plate

Overview

Reference: | J. J. Blech, On Isothermal Squeeze Films, Journal of Lubrication Technology, Vol. 105, pp. 615-620, 1983
Analysis Type(s): | harmonic
Element Type(s): | FLUID136
Input Listing: | vm245.dat

Test Case

Figure VM245.1 Rectangular Plate

Material Properties Geometric Properties Loading
Fluid Viscosity = 1.83e - 12N/( μm)2
a = 2000μm
b = 1000 μm
d = 5 μm
Operating frequency, Ω = 100000 Hz
Velocity, v = 2000(μm)/s
Pressure at edges = 1e5 Pa

Analysis Assumptions and Modeling Notes

The problem is modeling the fluid gap region between two rigid, non-deforming surfaces. The pressure of the fluid entering and exiting the gap creates a damped elastic response which can modeled by a spring-damper system. The calculations of the stiffness and damping constants are done by summing the pressure distribution over the area, then taking these force calculations and feeding them into the equations

where F(im) and F(re) are the "imaginary" and "real" parts of the force calculated from the harmonic analysis.

According to Blech an analytical solution for the damping and squeeze coefficient for a rigid plate moving with a transverse motion is given by:

where:

C(Ω) = frequency-dependent damping coefficient
KS(Ω) = squeeze stiffness coefficient,
po = ambient pressure
A = surface area
c = ratio of plate length a divided by plate width b
d = film thickness
Ω = response frequency
σ = squeeze number of the system

The squeeze number is given by:

for rectangular plates where ηeff is the effective viscosity.

Results Comparison

 | Target | ANSYS | Ratio
Stiffness, K (Ns/m) | 28650.00 | 28549.65 | 0.996
Damping constant, C (N/m) | 0.0153 | 0.0151 | 0.988

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM244 		Up / Home Next
VM246


VM246

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM246

Cyclic Analysis of an End-Loaded Hollow Cylindrical Cantilever Beam

Overview

Reference: | F. P. Beer, E. R. Johnston, Jr., Mechanics of Materials, McGraw-Hill, Inc., New York, NY, 1981, pg 598.
Analysis Type(s): | Static-structural analysis
Element Type(s): | 3-D 8-Node Structural Solid (SOLID185)
 | 3-D 20-Node Structural Solid (SOLID186)
 | 3-D 10-Node Tetrahedral Structural Solid (SOLID187)
Input Listing: | vm246.dat

Test Case

Figure 246.1 Hollow Cylindrical Cantilever Beam and Loading

Figure 246.2 Beam Cross-Section

Determine the maximum deflection of an end-loaded hollow cylindrical beam. The beam is fixed at one end and free on the other. The load consists of a downward force of 5 pounds at the free end.

Material Properties Geometric Properties Loading
E = 70 x 103 psi
ν = 0.3
Outside Radius (Ro) = 0.5 in
Inside Radius (Ri) = 0.25 in
Length (L) = 10 in
P = 5 lb

Analysis Assumptions and Modeling Notes

From the reference, the maximum deflection (δ) in a cantilever beam with end loading can be found using:

Where,

The analysis is accomplished with SOLID185, SOLID186, and SOLID187 element types. For each run, a 30° portion of the beam is modeled, meshed and then expanded using the CYCLIC and /CYCEXPAND commands.

To obtain accurate results, KEYOPT settings were issued for each element type. Enhanced strain formulation (KEYOPT,1,2,2) was used for SOLID185. Full integration (KEYOPT,1,2,1) was used for SOLID186. Pure displacement formulation (KEYOPT,1,6,0) was necessary for SOLID187.

Results Comparison

 | Target | ANSYS | Ratio
Deflection (SOLID185) | 0.5187 | 0.5213 | 1.005
Deflection (SOLID186) | 0.5187 | 0.5212 | 1.005
Deflection (SOLID187) | 0.5187 | 0.5221 | 1.007

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM245 		Up / Home Next
VM247


VM247

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM247

Campbell Diagrams and Critical Speeds Using Symmetric Bearings

Overview

Reference: | Nelson and McVaugh,"The Dynamics of Rotor-Bearing Systems Using Finite Elements", Journal of Engineering for Industry, May 1976
Analysis Type(s): | Modal analysis (ANTYPE =2)
Element Type(s): | 3-D Linear finite strain beam element (BEAM188)
 | Structural mass element (MASS21)
 | Spring damper element (COMBIN14)
Input Listing: | vm247.dat

Test Case

A rotor-bearing system is analyzed to determine the whirl speeds. The distributed rotor was modeled as a configuration of six elements with each element composed of subelements. See Table 247.1: "Geometric Data of Rotor-Bearing Elements" for a list of the geometrical data of the elements. Two undamped linear bearings were located at positions four and six. Modal analysis is performed on rotor bearing system with multiple load steps to determine the critical speeds and Campbell values for the system.

Figure 247.1 Rotor-bearing Configuration

Figure 247.2 Isometric View of the Rotor Bearing System

Table 247.1 Geometric Data of Rotor-Bearing Elements

Element No. | Subelement No. | Axial Distance to Subelement (cm) | Inner Diameter (cm) | Outer Diameter (cm)
1 | 1 | 0.00 |  | 0.51
 | 2 | 1.27 |  | 1.02
2 | 1 | 5.08 |  | 0.76
 | 2 | 7.62 |  | 2.03
3 | 1 | 8.89 |  | 2.03
 | 2 | 10.16 |  | 3.30
 | 3 | 10.67 | 1.52 | 3.30
 | 4 | 11.43 | 1.78 | 2.54
 | 5 | 12.70 |  | 2.54
 | 6 | 13.46 |  | 1.27
4 | 1 | 16.51 |  | 1.27
 | 2 | 19.05 |  | 1.52
5 | 1 | 22.86 |  | 1.52
 | 2 | 26.67 |  | 1.27
6 | 1 | 28.70 |  | 1.27
 | 2 | 30.48 |  | 3.81
 | 3 | 31.50 |  | 2.03
 | 4 | 34.54 | 1.52 | 203

Material Properties Geometric Properties Loading
Shaft
E11 = 2.078E11 Pa
G12 = 1.0E12pa
DENS = 7806 kg/m3
Mass Element
Mass = 1.401 kg
Polar inertia = .002 kg/m3
Diametrical inertia = .00136 kg/m3
Bearing Element
Spring constant = 4.378E7 M/m
Refer to Table 247.1: "Geometric Data of Rotor-Bearing Elements"
Rotational Velocity
Spin (1) = 0 rpm
Spin (2) = 35,000 rpm
Spin (3) = 70,000 rpm
Spin (4) = 105,000 rpm

Analysis Assumptions and Modeling Notes

A modal analysis is performed on a rotor bearing system with QRDAMP method to determine the whirl speeds and Campbell values. The rotor is modeled with BEAM188 elements with quadratic shape function and an internal node to enhance element accuracy. MASS21 element is used to model the rigid disk (concentrated mass) and COMBIN14 element is used to model symmetric bearings. No shear effect is included in the rotor-bearing system. The displacement along X as well as the rotation around X axis is constrained so that the rotor bearing system does not have any torsion or traction related displacements. The CORIOLIS command is activated in a stationary reference frame to apply Coriolis Effect to the rotating structure. The whirl speeds for slope (excitation per revolution) 1 and 4 are determined and compared with analytical solution.

Results Comparison

 | Target | ANSYS | Ratio
Whirl speeds for slope = 1 (rpm)
Mode 1 | 15470.0000 | 15478.5247 | 1.001
Mode 2 | 17159.0000 | 17128.0842 | 0.998
Mode 3 | 46612.0000 | 46711.5585 | 1.002
Mode 4 | 49983.0000 | 50093.9640 | 1.002
Mode 5 | 64752.0000 | 64875.3791 | 1.002
Mode 6 | 96547.0000 | 95636.2738 | 0.991
Whirl speeds for slope = 4 (rpm)
Mode 1 | 4015.0000 | 4013.3857 | 1.000
Mode 2 | 4120.2500 | 4116.1717 | 0.999
Mode 3 | 11989.2500 | 12015.4449 | 1.002
Mode 4 | 12200.0000 | 12227.0010 | 1.002
Mode 5 | 18184.2500 | 18205.2845 | 1.001
Mode 6 | 20162.2500 | 20127.0570 | 0.998

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM246 		Up / Home Next
VM248


VM248

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM248

Delamination Analysis of Double Cantilever Beam

Overview

Reference: | G. Alfano and M. A. CrisfieldFinite Element Interface Models for the Delamination Analysis of Laminated Composites: Mechanical and Computational Issues, International Journal for Numerical Methods in Engineering, Vol. 50, pp. 1701-1736 (2001).
Analysis Type(s): | Static analysis (ANTYPE = 0)
Element Type(s): | 2-D 4-Node Structural Solid Elements PLANE182) 2-D 4-Node Cohesive Zone Elements (INTER202)
Input Listing: | vm248.dat

Test Case

A double cantilever beam of length l, width w and height h with an initial crack of length a at the free end is subjected to a maximum vertical displacement Umax at top and bottom free end nodes. Determine the vertical reaction at point P based on the vertical displacement for the interface model.

Figure 248.1 Double Cantilever Beam Sketch

Figure 248.2 Representative Finite Element Model

Material Properties Geometric Properties Loading
Composite
E11 = 135.3 GPa
E22 = 9.0 GPa
E33 = 9.0 GPa
G12 = 5.2 GPa
ν12 = 0.24
ν13 = 0.24
ν23 = 0.46
Interface
C1 = 25 MPa
C2 = 0.004 mm
C3 = 1000 MPa
L = 100 mm
a = 30 mm
h = 3 mm
w = 20 mm
Umax= 10 mm

Analysis Assumptions and Modeling Notes

2-D plane strain analysis is performed using regular mesh of 4 x 300 4-node INTER202 elements. An imposed displacement of Uy = 10 mm acts at the top and bottom free nodes. Equivalent material constants of C1 = 25, C2 = 0.004 and C3 = 1000 are used for the interface material as ANSYS uses exponential form of the cohesive zone model and the reference uses a bilinear constitutive model.

Results Comparison

 | Target | ANSYS | Ratio
Max RFORCE and corresponding DISP:
RFORCE FY (N) | 60.00 | 60.069 | 1.001
DISP UY(mm) | 1.00 | 1.000 | 1.000
End RFORCE and corresponding DISP:
RFORCE FY (N) | 24.00 | 24.288 | 1.012
DISP UY(mm) | 10.00 | 10.00 | 1.00

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM247 		Up / Home Next
VM249


VM249

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM249

Gasket Material Under Uniaxial Compression Loading - 2-D Analysis

Overview

Reference: | Any Nonlinear Material Verification Text
Analysis Type(s): | Static analysis (ANTYPE = 0)
Element Type(s): | 2-D 4-Node Structural Solid Elements PLANE182) 2-D 8-Node or 6-Node Structural Solid (PLANE183) 2-D 4-Node Gasket Elements (INTER192) 2-D 6-Node Gasket Elements (INTER193)
Input Listing: | vm249.dat

Test Case

A thin interface layer of thickness t is defined between two blocks of length and width l placed on top of each other. The blocks are constrained on the left and bottom edges and loaded with pressure P on the top. Determine the pressure-closure response for gasket elements.

Figure 249.1 Gasket Finite Element Model Geometry Sketch

Figure 249.2 Representative Finite Element Model

Material Properties Geometric Properties Loading
E = 104728E6
ν = 0.21
L = 1
T = 0.02
P1 = 44006400
P2 =157147000

Analysis Assumptions and Modeling Notes

A 2-D plane stress analysis is performed first using INTER192 gasket elements and then using INTER193 gasket elements. In order to simulate the loading-unloading behavior of gasket material, the model is first loaded with a pressure P1 and unloaded and then loaded with a pressure P2 and unloaded. The pressure-closure responses simulated are compared to the material definition.

Results Comparison

 | Target | ANSYS | Ratio
Results Using INTER192 Elements:
Gasket Pressure and Closure at End of 1st Loading:
GK-PRES | 0.440064E+0 | 0.440103E+08 | 1.000
GK-CLOS | 0.406400E-03 | 0.406416E-03 | 1.000
Gasket Pressure and Closure at End of 2nd Loading:
GK-PRES | 0.157147E+09 | 0.157197E+09 | 1.000
GK-CLOS | 0.683260E-03 | 0.683390E-03 | 1.000
Results Using INTER193 Elements:
Gasket Pressure and Closure at End of 1st Loading:
GK-PRES | 0.440064E+08 | 0.440103E+08 | 1.000
GK-CLOS | 0.406400E-03 | 0.406416E-03 | 1.000
Gasket Pressure and Closure at End of 2nd Loading:
GK-PRES | 0.157147E+09 | 0.157197E+09 | 1.000
GK-CLOS | 0.683260E-03 | 0.683390E-03 | 1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM248 		Up / Home Next
VM250


VM250

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM250

Gasket Material Under Uniaxial Compression Loading - 3-D Analysis

Overview

Reference: | Any Nonlinear Material Verification Text
Analysis Type(s): | Static analysis (ANTYPE = 0)
Element Type(s): | 3-D 8-Node Structural Solid Elements SOLID185) 3-D 8-Node Structural Solid Elements SOLID186) 3-D 8-Node Gasket Elements (INTER195) 3-D 20-Node Gasket Elements (INTER194)
Input Listing: | vm250.dat

Test Case

A thin interface layer of thickness t is defined between two blocks of length and width l placed on top of each other. The blocks are constrained on the left and bottom and back faces and loaded with pressure P on the top face. Determine the pressure-closure response for gasket elements.

Figure 250.1 Gasket Finite Element Model Geometry Sketch

Figure 250.2 Representative Finite Element Model

Material Properties Geometric Properties Loading
E = 104728E6
ν = 0.21
L = 1
T = 0.02
P1 = 44006400
P2 =157147000

Analysis Assumptions and Modeling Notes

A 3-D analysis is performed first using 4 x 4 INTER195 gasket elements and then using 4 x 4 INTER194 gasket elements. In order to simulate the loading-unloading behavior of gasket material, the model is first loaded with a pressure P1 and unloaded and then loaded with a pressure P2 and unloaded. The pressure-closure responses simulated are compared to the material definition.

Results Comparison

 | Target | ANSYS | Ratio
Results Using INTER195 Elements:
Gasket Pressure and Closure at End of 1st Loading:
GK-PRES | 0.440064E+0 | 0.440064E+08 | 1.000
GK-CLOS | 0.406400E-03 | 0.406400E-03 | 1.000
Gasket Pressure and Closure at End of 2nd Loading:
GK-PRES | 0.157147E+09 | 0.157147E+09 | 1.000
GK-CLOS | 0.683260E-03 | 0.683260E-03 | 1.000
Results Using INTER194 Elements:
Gasket Pressure and Closure at End of 1st Loading:
GK-PRES | 0.440064E+08 | 0.440064E+08 | 1.000
GK-CLOS | 0.406400E-03 | 0.406400E-03 | 1.000
Gasket Pressure and Closure at End of 2nd Loading:
GK-PRES | 0.157147E+09 | 0.157147E+09 | 1.000
GK-CLOS | 0.683260E-03 | 0.683260E-03 | 1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM249 		Up / Home Next
VM251


VM251

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM251

Shape Memory Alloy Under Uniaxial Tension Load

Overview

Reference: | Ferdinando Auricchio, Robert L. Taylor, and Jacob Lubliner, Shape-memory alloys: macromodelling and numerical simulations of the superelastic behavior, Comput. Methods Appl. Mech. Engrg., Vol. 146, pp. 281-312 (1997).
Analysis Type(s): | Static analysis (ANTYPE = 0)
Element Type(s): | 2-D 4-Node Structural Solid Elements (PLANE182) 2-D 8-Node Structural Solid Elements (PLANE183) 3-D 8-Node Structural Solid Elements (SOLID185)
Input Listing: | vm251.dat

Test Case

A square block of length, height and width L is constrained in the X-direction on the left face, constraint in the Y-direction rear on the bottom face and constrained in the Z-direction on the rear face (3-D case only). It is uniaxially loaded with tensile stress of s and unloaded on the top face. Determine the stress-strain response for a Ni-Ti alloy.

Figure 251.1 Shape Memory Alloy under Uniaxial Load Problem Sketch

Material Properties Shape Memory Alloy Loading
E = 60 x 103 MPa
ν = 0.3
Geometric Properties
L = 10 mm
εL = 0.07
α = 0
σ1= 600 MPa

Analysis Assumptions and Modeling Notes

A 2-D axisymmetric analysis is performed first using a single 4-node PLANE182 element and then using a single 8-node PLANE183 element. 3-D analysis is then performed using SOLID185 elements. The stress-strain responses simulated are compared to the linear model in the reference.

Results Comparison

 | Target | ANSYS | Ratio
Results Using PLANE182
SIG-SAS | 520.00 | 522.013 | 1.004
EPTO-SAS | 0.010 | 0.010 | 1.046
SIG-FAS | 600.00 | 599.992 | 1.000
EPTO-FAS | 0.080 | 0.08 | 1.000
SIG-SSA | 300.00 | 300.016 | 1.000
EPTO-SSA | 0.074 | 0.075 | 1.013
SIG-FSA | 200.00 | 197.500 | 0.988
EPTO-FSA | 0.003 | 0.003 | 1.029
Results Using PLANE183
SIG-SAS | 520.00 | 521.993 | 1.004
EPTO-SAS | 0.010 | 0.010 | 1.044
SIG-FAS | 600.00 | 600.203 | 1.000
EPTO-FAS | 0.080 | 0.08 | 1.000
SIG-SSA | 300.00 | 299.997 | 1.000
EPTO-SSA | 0.074 | 0.075 | 1.014
SIG-FSA | 200.00 | 197.587 | 0.988
EPTO-FSA | 0.003 | 0.003 | 1.029
Results Using SOLID185
SIG-SAS | 520.00 | 522.007 | 1.004
EPTO-SAS | 0.010 | 0.010 | 1.046
SIG-FAS | 600.00 | 599.996 | 1.000
EPTO-FAS | 0.080 | 0.08 | 1.000
SIG-SSA | 300.00 | 300.0086 | 1.000
EPTO-SSA | 0.074 | 0.075 | 1.013
SIG-FSA | 200.00 | 197.689 | 0.988
EPTO-FSA | 0.003 | 0.003 | 1.029

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM250 		Up / Home Next
VM252


VM252

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM252

Gurson Bar-Necking Benchmark with Applied Displacement - 2-D Analysis

Overview

Reference: | N. Aravas, "On the Numerical Integration of a Class of Pressure Dependent Plasticity Models", International Journal for Numerical Methods in Engineering, Vol. 24, pp. 1395-1416, Section 5.3, Figure 10 (1987)
Analysis Type(s): | Static analysis (ANTYPE = 0)
Element Type(s): | 2-D 4-Node Structural Plane Elements (PLANE182) 2-D 8-Node Structural Plane Elements (PLANE183)
Input Listing: | vm252.dat

Test Case

The model represents the necking of an axisymmetric specimen. The initial radius of the specimen was described to be 1” and the length was set to four times the initial radius. A slight imperfection is found at the bottom of the model to create the initial notch, which is offset by 0.005*Ro. For clarification, the finite element mesh and the geometric imperfection are found in Figure 252.1: "Representative Finite Element Model". To initiate growth of the notch, a displacement in the y-direction was applied to the top of the model that was set to 0.7602”.

Figure 252.1 Representative Finite Element Model

Material Properties
E = 1000000 lb/in2
ν = 0.30
Geometric Properties
L = 1
T = 0.02
Gurson Material Model
q1 = 1.5
q2 = 1.0
q3 = q12
εn = 0.3
fo = 1E-8
fn = 0.04
sn = 0.1
Elastic Material Model
εn = 0.3
σy = E/300.0
n = 0.1
Loading
Uapp = 0.7602” @ y = 4”
Ux = 0 @ x = 0”
Uy = 0 @ y = 0”

Analysis Assumptions and Modeling Notes

A 2-D analysis is performed with both PLANE182 and PLANE183 elements. Two material models are introduced into the model, an elastic and Gurson model. The elastic model is based upon a power law and is presented for hardening purposes. The coefficients for input were taken from the reference provided.

Due to the nonlinear behavior and complexity of the problem, it is suggested to first increase the number of substeps within the solution module until convergence is reached or perform mesh refinement. Within the provided input listing, the total force along y = 4.0” is recorded and plotted against x, where x is defined by the following relationship: x = log(1+ dispY/Lo).

Graphical Results Comparison

Figure 252.2 Material Behavior of Specimen

Numerical Results Comparison

 | Target | ANSYS | Ratio
Results using PLANE182 Elements | 1.25 | 1.2895 | 0.969
Results using PLANE183 Elements | 1.25 | 1.2896 | 0.969

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM251 		Up / Home Next
VM253


VM253

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM253

Gurson Hydrostatic Tension Benchmark - 3-D Analysis

Overview

Reference: | N. Aravas, "On the Numerical Integration of a Class of Pressure Dependent Plasticity Models", International Journal for Numerical Methods in Engineering, Vol. 24, pp. 1395-1416, Section 5.2, Figure 7 (1987)
Analysis Type(s): | Static analysis (ANTYPE = 0)
Element Type(s): | 3-D 8-Node Structural Solid Elements (SOLID185) 3-D 20-Node Structural Solid Elements (SOLID186)
Input Listing: | vm253.dat

Test Case

The model is a three dimensional bin with all sides equal to unity. An applied displacement of 0.15” is applied at the nodes corresponding to x = 1, y =1, and z =1. To prevent rigid body motion, the model is constrained in the x direction at x = 0, y-direction at y = 0, and z-direction at z = 0.

Figure 253.1 Representative Finite Element Model

Material Properties
E = 1000000 lb/in2
ν = 0.30
Geometric Properties
L = H = W = 1”
Gurson Material Model
q1 = 1.5
q2 = 1.0
q3 = q12
εn = 0.3
fo = 0.04
fn = 0.04
sn = 0.1
Elastic Material Model
εn = 0.3
σy = E/300.0
n = 0.1
Loading
Uapp = 0.15” @ x = 1”
Uapp = 0.15” @ y = 1”
Uapp = 0.15” @ z = 1”
Ux = 0 @ x = 0”
Uy = 0 @ y = 0”
Uz = 0 @ z = 0”

Analysis Assumptions and Modeling Notes

A 3-D analysis is performed with both SOLID185 and SOLID186 elements. Two material models are introduced into the model, an elastic and Gurson model. The elastic model is based upon a power law and is presented for hardening purposes. The coefficients for input were taken from the reference provided.

Due to the nonlinear behavior and complexity of the problem, it is suggested to first increase the number of substeps within the solution module until convergence is reached or perform mesh refinement. Within the provided input listing, the hydrostatic pressure data is gathered for a specified node and plotted against the volumetric strain.

Graphical Results Comparison

Figure 253.2 Material Behavior of Specimen

Numerical Results Comparison

Volumetric Strain | Target | ANSYS | Ratio
Results Using SOLID185
0.10 | 1.62 | 1.6204 | 1.0002
0.24 | 1.00 | 1.0096 | 1.0096
0.40 | 0.62 | 0.6207 | 1.0012
Results Using SOLID186
0.10 | 1.62 | 1.6204 | 1.0002
0.24 | 1.00 | 1.0096 | 1.0096
0.40 | 0.62 | 0.6207 | 1.0012

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM252 		Up / Home Next
VM254


VM254

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM254

Campbell Diagrams and Critical Speeds Using Symmetric Orthotropic Bearings

Overview

Reference: | Nelson and McVaugh "The Dynamics of Rotor-Bearing Systems Using Finite Elements" Journal of Engineering for Industry - MAY 1976
Analysis Type(s): | Modal analysis (ANTYPE = 2)
Element Type(s): | Elastic straight pipe (PIPE16) Structural mass element (MASS21) 2-D Spring damper bearing element (COMBI214)
Input Listing: | vm254.dat

Test Case

A rotor-bearing system is analyzed to determine the forward and backward whirl speeds. The distributed rotor was modeled as a configuration of six elements with each element composed of subelements. See Table 254.1: "Geometric Data of Rotor-Bearing Elements" for a list of the geometrical data of the elements. Two symmetric orthotropic bearings were located at positions four and six. Modal analysis is performed on rotor bearing system with multiple load steps to determine the whirl speeds and Campbell values for the system.

Figure 254.1 Rotor-Bearing Configuration

Figure 254.2 Isometric View of the Rotor-Bearing System

Table 254.1 Geometric Data of Rotor-Bearing Elements

Element No. | Subelement No. | Axial Distance to Subelement (cm) | Inner Diameter (cm) | Outer Diameter (cm)
1 | 1 | 0.00 |  | 0.51
 | 2 | 1.27 |  | 1.02
2 | 1 | 5.08 |  | 0.76
 | 2 | 7.62 |  | 2.03
3 | 1 | 8.89 |  | 2.03
 | 2 | 10.16 |  | 3.30
 | 3 | 10.67 | 1.52 | 3.30
 | 4 | 11.43 | 1.78 | 2.54
 | 5 | 12.70 |  | 2.54
 | 6 | 13.46 |  | 1.27
4 | 1 | 16.51 |  | 1.27
 | 2 | 19.05 |  | 1.52
5 | 1 | 22.86 |  | 1.52
 | 2 | 26.67 |  | 1.27
6 | 1 | 28.70 |  | 1.27
 | 2 | 30.48 |  | 3.81
 | 3 | 31.50 |  | 2.03
 | 4 | 34.54 | 1.52 | 2.03
Material Properties Geometric Properties Loading
Shaft
E11 = 2.078E11 Pa psi
G12 = 1.0E12 Pa
DENS = 7,806 kg/m3
Mass Element
Mass = 1.401 kg
Polar inertia = .002 kg/m3
Diametrical inertia = .00136 kg/m3
Bearing Element
Spring coefficients
K11 = K22 = 3.503E7 N/m
K12 = K21 = -8.756E6 N/m
Refer to Table 254.1: "Geometric Data of Rotor-Bearing Elements" Rotational Velocity
Spin (1) = 1,000 rpm
Spin (2) = 20,000 rpm
Spin (3) = 40,000 rpm
Spin (4) = 60,000 rpm
Spin (5) = 80,000 rpm
Spin (6) = 100,000 rpm

Analysis Assumptions and Modeling Notes

A modal analysis is performed on a rotor bearing system with DAMP method to determine the whirl speeds and Campbell values. PIPE16 elements is used to model rotor, MASS21 element is used to model the rigid disk (concentrated mass) and COMBI214 element is used to model symmetric bearings. No shear effect is included in the rotor-bearing system. The displacement along X as well as the rotation around X axis is constrained so that the rotor bearing system does not have any torsion or traction related displacements. The CORIOLIS command is activated in a stationary reference frame to apply Coriolis Effect to the rotating structure. The backward and forward whirl speeds are determined from modal analysis and compared with analytical solution.

Results Comparison

 | Target | ANSYS | Ratio
Backward and forward whirl speeds for slope = 1 @ 100,000 rpm
Mode 1 (BW) | 10747.0000 | 10808.7425 | 1.006
Mode 2 (FW) | 19665.0000 | 19610.9392 | 0.997
Mode 3 (BW) | 39077.0000 | 39186.5213 | 1.003
Mode 4 (FW) | 47549.0000 | 47691.2326 | 1.003

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM253 		Up / Home Next
VM255


VM255

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM255

Delamination Analysis of Double Cantilever Beam Using Contact Based Debonding Capability

Overview

Reference: | G. Alfano and M. A. Crisfield, Finite Element Interface Models for the Delamination Analysis of Laminated Composites: Mechanical and Computational Issues, International Journal for Numerical Methods in Engineering, Vol. 50, pp. 1701-1736 (2001).
Analysis Type(s): | Static analysis (ANTYPE = 0)
Element Type(s): | 2-D 4-Node Structural Solid Element (PLANE182) 2-D 2-Node Surface-to-Surface Contact Element (CONTA171) 2-D Target Segment Element (TARGE169)
Input Listing: | vm255.dat

Test Case

A double cantilever beam of length l, width w and height h with an initial crack of length a at the free end is subjected to a maximum vertical displacement Umax at top and bottom free end nodes. Determine the vertical reaction at point P based on the vertical displacement using contact based debonding capability.

Figure 255.1 Double Cantilever Beam Sketch

Material Properties Geometric Properties Loading
Composite
E11 = 135.3 GPa
E22 = 9.0 GPa
E33 = 9.0 GPa
G12 = 5.2 GPa
ν12 = 0.24
ν13 = 0.24
ν23 = 0.46
Interface
C1 = 1.7 MPa
C2 = 0.28 mm
C5 = 1.0E-5
L = 100 mm
a = 30 mm
h = 3 mm
w = 20 mm
Umax= 10 mm

Analysis Assumptions and Modeling Notes

A double cantilever beam has been analyzed under displacement control using 2-D plane strain formulation with a regular mesh of 4 x 200 4-node PLANE182 elements. An imposed displacement of Uy = 10 mm acts at the top and bottom free nodes. The interface is modeled with contact elements with a bonded contact option and a cohesive zone material model.

Bilinear material behavior with linear softening characterized by maximum traction and critical energy release rate (TBOPT = CBDE) cohesive zone material option is used with maximum traction to = 1.7 MPa and critical energy rate Gc= 0.28 N/mm. Debonding is often characterized by convergence difficulties during material softening. To overcome this problem artificial damping parameter of 1.0E-5 is used.

Based on the interface material parameters used, results obtained using ANSYS should be compared to the results shown in Figure 15(a) in the reference.

Results Comparison

 | Target | ANSYS | Ratio
Max RFORCE and corresponding DISP using debonding:
RFORCE FY (N) | 50.00 | 51.582 | 1.032
DISP UY(mm) | 1.50 | 1.50 | 1.000
RFORCE and corresponding DISP U = 10.0 using debonding:
RFORCE FY (N) | 24.00 | 24.862 | 1.036
DISP UY(mm) | 10.00 | 10.00 | 1.00

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM254 		Up / Home Next
VM256


VM256

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM256

Fracture mechanics stress for a crack in a plate using CINT command

Overview

Reference: | W.F.Brown, Jr., J.E.Srawley, Plane strain crack toughness testing of high strength metallic materials, ASTM STP-410, (1966).
Analysis Type(s): | Static analysis (ANTYPE = 0)
Element Type(s): | 2-D 8-Node Structural Solid Element (PLANE183) 3-D Structural Solid Element (SOLID185) 3-D Structural Solid or Layered Solid Element (SOLID186)
Input Listing: | vm256.dat

Test Case

A long plate with a center crack is subjected to an end tensile stress σ0 as shown in problem sketch. Symmetry boundary conditions are considered and the fracture mechanics stress intensity factor KI is determined using CINT command.

Figure 256.1 Finite Width Plate Problem Sketch

Material Properties Geometric Properties Loading
E = 30 x 106 psi
ν = 0.3
a = 1 in
b = 5 in
h = 5 in
t = 0.25 in
σ0 = 0.5641895 psi

Analysis Assumptions and Modeling Notes

The problem is solved first using 2-D PLANE183 element with plain strain element behavior. A one-quarter plate is modeled and symmetry boundary conditions are considered. The crack tip nodes and the number of paths surrounding the crack tip nodes are defined using CINT command. The plate is subjected to a tensile stress and the J integral values are computed for the crack tip nodes. From the J integral values the fracture mechanics stress intensity factor KI is calculated.

In the 3-D analysis using SOLID185 elements plain strain condition is achieved by constraining UZ degrees of freedom of all nodes (displacement in the Z-direction). The crack front and the path surrounding the crack front are defined using CINT command. The J integral values and the fracture mechanics parameter KI are then computed in POST1.

Results Comparison

 | Target | ANSYS | Ratio
Using PLANE183 Elements (2-D Analysis)
Stress intensity KI | 1.0249 | 1.0038 | 0.979
Using SOLID185 Elements (3-D Analysis)
Stress intensity KI | 1.0249 | 1.0383 | 1.013
Using SOLID186 Elements - Surface Crack (3-D Analysis)
Stress intensity KI | 1.4000 | 1.4146 | 1.010

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM255 		Up / Home Next
VM257


VM257

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM257

Transient dynamic analysis of a swing comprising of two rigid links and a beam with midspan mass.

Overview

Reference: | O.A. Bauchau, G. Damilano, and N.J. Theron Numerical Integration of Non-Linear Elastic Multi-Body Systems, International Journal for Numerical Methods in Engineering, Vol. 38, 2727-2751 (1995)
Analysis Type(s): | Transient Analysis (ANTYPE = 4)
Element Type(s): | 3-D Linear Finite Strain Beam (BEAM188) Multipoint Constraint Element: Rigid Link or Rigid Beam (MPC184-Link/Beam) Structural Mass (MASS21) 3-D Line-to-Line Contact (CONTAC176) 3-D Target Segment (TARGE170)
Input Listing: | vm257.dat

Test Case

The swing shown in Figure 257.1: "Swing comprising two rigid links and a beam with midspan mass" consists of a long aluminum beam of rectangular cross-section (width = 1mm, depth = 5 mm) and a mid-span mass (mass = 0.5 kg). The modulus of elasticity, Poisson’s ratio and density of aluminum are shown in the table below. The mass is rigidly connected to the beam at its mid-span position, labeled C in the figure. The beam is suspended at each end by two rigid links, and is initially at rest in the position as shown in the Figure 257.1: "Swing comprising two rigid links and a beam with midspan mass". The rigid links impose a kinematic constraint corresponding to fixed distance between points O1 and A, and O2 and E of 0.36 and [image] respectively. The points B and D indicate the quarter and three quarter span points of the beam, respectively. The loading of the system consists of a triangular pulse in the [image] direction applied at the mid-span mass. This pulse starts at time t = 0 s, reaches a peak value of 2N at t =0.128 s and goes back to zero at t = 0.256 s, as shown in Figure 257.2: "Triangular-Pulse Loading".

Figure 257.1 Swing comprising two rigid links and a beam with midspan mass

Figure 257.2 Triangular-Pulse Loading

Material Properties Geometric Properties Loading
E = 73 GN/m2
ν = 0.3
ρ = 2700 kg/m2
O1A = 0.36 m
AE = 0.72 m
E O2 =
Fx = 0 at time = 0 s
Fx = 2N at time = 0.128 s
Fx = 0 at time = 0.256 s

Analysis Assumptions and Modeling Notes

The system is modeled with four equal length BEAM188 beam elements, two rigid links and a rigid mass. The dynamic response of the system was calculated over a period of 1 s using HHT method with 30% numerical damping and auto time stepping turned on with a minimum of 1000 time steps.

The system was solved twice. In the first case, the rigid links were modeled using MPC184 rigid links and in the second case the rigid links were modeled using contact based rigid bodies using CONTA176 elements. Similar results were obtained in both analyses.

Figure 257.3: "Predicted Time Histories for Displacement Components of Point B" shows the predicted time histories for the [image] and [image] direction displacement components of point B and Figure 257.4: "Calculated Time History of Axial Force at Point B" shows the calculated time histories of the axial force at point B. These figures should be compared to Figures 15 and 16 respectively in the reference.

Figure 257.3 Predicted Time Histories for Displacement Components of Point B

Figure 257.4 Calculated Time History of Axial Force at Point B

Results Comparison

 | Target | ANSYS | Ratio
RESULTS USING MPC184 RIGID LINKS
TIME (sec) | 0.6410 | 0.6400 | 0.998
DISP-UY (m) | 0.2800 | 0.2807 | 1.003
DISP-UX (m) | 0.0750 | 0.0783 | 1.043
FORCE-FX (N) | 112.7000 | 107.1870 | 0.951
RESULTS USING CONTA176 RIGID LINKS
TIME (sec) | 0.6410 | 0.6400 | 0.998
DISP-UY (m) | 0.2800 | 0.2807 | 1.003
DISP-UX (m) | 0.0750 | 0.0783 | 1.043
FORCE-FX (N) | 112.7000 | 107.1860 | 0.951

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM256 		Up / Home Next
VM258


VM258

Release 11.0 Documentation for ANSYS

Verification Manual | Part I, Verification Test Case Descriptions |

VM258

Spin-up maneuver of a flexible beam.

Overview

Reference:

J.C.Simo and L.Vu-Quoc, On the Dynamics in Space of Rods Undergoing Large Motions-A Geometrically Exact Approach, Computer Methods in Applied Mechanics and Engineering, Vol. 66, 125-161 (1988)

Analysis Type(s):

Transient Analysis (ANTYPE = 4)

Element Type(s):

3-D Quadratic Finite Strain Beam (BEAM189)
Multipoint Constraint Element: General Joint (MPC 184 – General)
Multipoint Constraint Element: Revolute Joint (MPC 184 – Revolute)

Input Listing:

vm258.dat

Test Case

The problem shown in Figure 258.1: "Spin-up Maneuver Problem Model" consists of a flexible beam characterized by a nonlinear generalized stress-generalized strain relationship. The material properties used to define the nonlinear general beam section are shown in the table below. The beam is pinned at one end and the other end is free, and is initially at rest.

Beam Section Properties
Axial Stiffness: AE = 2.8e7
Bending Stiffness in xz Plane : I1E = 1.4e4
Bending Stiffness in xy Plane: I2E = 1.4e4
Torsional Stiffness: JG =1.4e4
Transverse Shear Stiffness in xz Plane: A1G =1.0e7
Transverse Shear Stiffness in xy Plane: A2G =1.0e7
Mass density: Aρ = 1.2 kg/m

The loading of the system consists of a prescribed rotation about the z-axis (normal to the plane) applied at the pinned end. The rotation varies with time as follows:

During transient analysis, the inertial/gyroscopic effects cause the beam to bend during the acceleration phase (0 [image] t [image] 15s) and stretch due to the centrifugal force during the steady-state motion at constant angular velocity (t > 15s). The prescribed rotation angle vs. time is shown in Figure 258.2: "Rotation Angle Versus Time".

Figure 258.1 Spin-up Maneuver Problem Model

Figure 258.2 Rotation Angle Versus Time

Analysis Assumptions and Modeling Notes

The system is modeled with four equal length BEAM189 beam elements and two MPC 184 elements: a general joint element that spans the length of the beam and a revolute grounded joint element at the pinned end. The joint elements are used to get the output of nodal displacements in a coordinate system that rotates with the beam. The dynamic response of the system was calculated over a period of 18 s using the HHT time integration method with 10% numerical damping. Auto time stepping is used with midstep residual check and an initial time step size of 0.005s. Figure 258.3: "Predicted Time History for Axial Displacement of Beam Tip", Figure 258.4: "Predicted Time History for Transverse Displacement of Beam Tip", and Figure 258.5: "Predicted Time History for Rotation of Beam Tip Relative to Base" show the predicted time histories for the axial and transverse displacements of the beam tip and rotation of the beam tip relative to the base. These figures should be compared to Figure 6 in the reference.

Figure 258.3 Predicted Time History for Axial Displacement of Beam Tip

Figure 258.4 Predicted Time History for Transverse Displacement of Beam Tip

Figure 258.5 Predicted Time History for Rotation of Beam Tip Relative to Base

Results Comparison

In the tables below are presented comparisons of the peak values of ANSYS results together with the times at which they occur to the corresponding reference values and their times.

Note

The expected values (Target) used in the following tables were extracted from the reference graphs (see Figure 6 in the reference) and cannot be considered precise values.

 | Target | ANSYS | Ratio
PEAK AXIAL DISPLACEMENT
TIME (sec) | 6.7 | 6.8 | 1.015
TIP DISP-UX | -0.0190 | -0.0204 | 1.076
PEAK TRANSVERSE DISPLACEMENT
TIME (sec) | 6.85 | 6.84 | 0.999
TIP DISP-UY | -0.5750 | -0.5978 | 1.04
PEAK RELATIVE ROTATION
TIME (sec) | 6.7 | 6.8 | 1.015
RELATIVE ROTATION-ROTZ (degrees) | 4.4240 | 4.6285 | 1.046
STEADY-STATE STRETCH
TIME (sec) | 16 | 16.08 | 1.005
TIP STRETCH-UX | 5.14E-4 | 5.15E-4 | 1.003

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM257 		Up / Home Next
Appendix A. Verification Test Case Input Listings


Appendix A. Verification Test Case Input Listings

This appendix contains all of the input listings for the VM test cases documented in Part I, Verification Test Case Descriptions.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM258 		Up / Home Next
VM1 Input Listing


VM1 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM1
/PREP7
/TITLE, VM1, STATICALLY INDETERMINATE REACTION FORCE ANALYSIS
C***      STR. OF MATL., TIMOSHENKO, PART 1, 3RD ED., PAGE 26, PROB.10
ANTYPE,STATIC                  ! STATIC ANALYSIS
ET,1,LINK1
R,1,1                          ! CROSS SECTIONAL AREA (ARBITRARY) = 1
MP,EX,1,30E6
N,1
N,2,,4
N,3,,7
N,4,,10
E,1,2                          ! DEFINE ELEMENTS
EGEN,3,1,1
D,1,ALL,,,4,3                  ! BOUNDARY CONDITIONS AND LOADING
F,2,FY,-500
F,3,FY,-1000
FINISH
/SOLU
OUTPR,BASIC,1
OUTPR,NLOAD,1
SOLVE
FINISH
/POST1
NSEL,S,LOC,Y,10
FSUM
*GET,REAC_1,FSUM,,ITEM,FY
NSEL,S,LOC,Y,0
FSUM
*GET,REAC_2,FSUM,,ITEM,FY

*DIM,LABEL,CHAR,2
*DIM,VALUE,,2,3
LABEL(1) = 'R1, lb','R2, lb '
*VFILL,VALUE(1,1),DATA,900.0,600.0
*VFILL,VALUE(1,2),DATA,ABS(REAC_1),ABS(REAC_2)
*VFILL,VALUE(1,3),DATA,ABS(REAC_1 / 900) ,ABS( REAC_2 / 600)
/OUT,vm1,vrt
/COM
/COM,------------------- VM1 RESULTS COMPARISON ---------------------
/COM,
/COM,         |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vm1,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Appendix A. Verification Test Case Input Listings 		Up / Home Next
VM2 Input Listing


VM2 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM2
/PREP7
MP,PRXY,,0.3
/TITLE, VM2, BEAM STRESSES AND DEFLECTIONS
C***        STR. OF MATL., TIMOSHENKO, PART 1, 3RD ED., PAGE 98, PROB. 4
ANTYPE,STATIC
ET,1,BEAM3
KEYOPT,1,9,9                  ! OUTPUT AT 9 INTERMEDIATE LOCATIONS
R,1,50.65,7892,30
MP,EX,1,30E6
N,1                           ! DEFINE NODES AND ELEMENTS
N,5,480
FILL
E,1,2
EGEN,4,1,1
D,2,UX,,,,,UY                 ! BOUNDARY CONDITIONS AND LOADING
D,4,UY
SFBEAM,1,1,PRES,(10000/12)
SFBEAM,4,1,PRES,(1E4/12)
FINISH
/SOLU
OUTPR,BASIC,1
SOLVE
FINISH
/POST1
SET,1,1
PRNSOL,U,COMP
PRNSOL,ROT,COMP
PLDISP,1
MID_NODE = NODE (240,,, )
*GET,DISP,NODE,MID_NODE,U,Y
MID_ELM = ENEARN (MID_NODE)
ETABLE,STRS,LS,3
*GET,STRSS,ELEM,MID_ELM,ETAB,STRS

*DIM,LABEL,CHAR,2
*DIM,VALUE,,2,3
LABEL(1) = 'STRS_psi','DEF_in'
*VFILL,VALUE(1,1),DATA,-11400,0.182
*VFILL,VALUE(1,2),DATA,STRSS,DISP
*VFILL,VALUE(1,3),DATA,ABS(STRSS /11400 ) ,ABS( DISP /0.182 )
/OUT,vm2,vrt
/COM
/COM,-------------------VM2 RESULTS COMPARISON ---------------------
/COM,
/COM,         |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,---------------------------------------------------------------
/OUT
FINISH
*LIST,vm2,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM1 Input Listing 		Up / Home Next
VM3 Input Listing


VM3 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM3
/PREP7
/TITLE, VM3, THERMALLY LOADED SUPPORT STRUCTURE
C***      STR. OF MATL., TIMOSHENKO, PART 1, 3RD ED., PAGE 30, PROB. 9
ANTYPE,STATIC             ! STATIC ANALYSIS
ET,1,LINK1
R,1,.1
MP,EX,1,16E6
MP,ALPX,1,92E-7
MP,EX,2,30E6
MP,ALPX,2,70E-7
TREF,70                   ! REFERENCE TEMPERATURE
N,1,-10                   ! DEFINE NODES AND ELEMENTS
N,3,10
FILL
N,4,-10,-20
N,6,10,-20
FILL
E,1,4
E,3,6
MAT,2
E,2,5
CP,1,UY,5,4,6
D,1,ALL,,,3               ! BOUNDARY CONDITIONS AND LOADING
F,5,FY,-4000
BFUNIF,TEMP,80            ! UNIFORM TEMPERATURE (TREF+10)
FINISH
/SOLU
OUTPR,BASIC,1
OUTPR,NLOAD,1
NSUBST,1
SOLVE
FINISH
/POST1
STEEL_N  = NODE (,,,)
COPPER_N = NODE (10,0,0)
STEEL_E = ENEARN (STEEL_N)
COPPER_E = ENEARN (COPPER_N)
ETABLE,STRS_ST,LS,1
ETABLE,STRS_CO,LS,1
*GET,STRSS_ST,ELEM,STEEL_E,ETAB,STRS_ST
*GET,STRSS_CO,ELEM,COPPER_E,ETAB,STRS_CO

*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'STRSS_ST','STRSS_CO'
LABEL(1,2) = ' (psi)  ',' (psi)  '
*VFILL,VALUE(1,1),DATA,19695,10152
*VFILL,VALUE(1,2),DATA,STRSS_ST,STRSS_CO
*VFILL,VALUE(1,3),DATA,ABS(STRSS_ST/19695 ) ,ABS( STRSS_CO/10152 )
/COM
/OUT,vm3,vrt
/COM,------------------- VM3 RESULTS COMPARISON ---------------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vm3,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM2 Input Listing 		Up / Home Next
VM4 Input Listing


VM4 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM4
/PREP7
/TITLE, VM4, DEFLECTION OF A HINGED SUPPORT
C***     STR. OF MATL., TIMOSHENKO, PART 1, 3RD ED., PAGE 10, PROB. 2
L=15*12                         ! LENGTH OF BAR IN INCHES
*AFUN,DEG                       ! TRIG FUNCTIONS IN DEGREES
THETA=30                        ! ANGLE TO BE USED TO CALCULATE A AND B
A=2*L*COS(THETA)                ! CALCULATED X LOCATION - NODE 3
B=L*SIN(THETA)                  ! CALCULATED Y LOCATION - NODE 2
ET,1,LINK1
R,1,.5
MP,EX,1,30E6
N,1
N,2,A/2,-B                      ! X LOCATION = A/2; A AND B AS ABOVE
N,3,A
E,1,2
E,2,3
D,1,ALL,,,3,2
F,2,FY,-5000
OUTPR,,1
FINISH
/SOLU
SOLVE
FINISH
/POST1
MID_NODE = NODE (A/2,-B,0 )
*GET,DISP,NODE,MID_NODE,U,Y
LEFT_EL = ENEARN (MID_NODE)
ETABLE,STRS,LS,1
*GET,STRSS,ELEM,LEFT_EL,ETAB,STRS

*DIM,LABEL,CHAR,2
*DIM,VALUE,,2,3
LABEL(1) = 'STRS_psi','DEF_in'
*VFILL,VALUE(1,1),DATA,10000,-0.120
*VFILL,VALUE(1,2),DATA,STRSS,DISP
*VFILL,VALUE(1,3),DATA,ABS(STRSS /10000 ) ,ABS( DISP /0.120 )
/OUT,vm4,vrt
/COM
/COM,------------------- VM4 RESULTS COMPARISON ---------------------
/COM,
/COM,         |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vm4,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM3 Input Listing 		Up / Home Next
VM5 Input Listing


VM5 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM5
/PREP7
/TITLE, VM5, LATERALLY LOADED TAPERED SUPPORT STRUCTURE (QUAD. ELEMENTS)
C***     MECHANICS OF SOLIDS, CRANDALL AND DAHL, 1959, PAGE 342, PROB. 7.18
C***          USING PLANE42 ELEMENTS
ANTYPE,STATIC
ET,1,PLANE42,,,3,,,2     ! TURN ON SURFACE PRINTOUT TO GET RESULTS AT MID-LENGTH
R,1,2
MP,EX,1,30E6
MP,NUXY,1,0.0            ! POISSON'S RATIO SET TO 0.0 TO AGREE WITH BEAM THEORY
N,1,25
N,7,75
FILL
N,8,25,-3
N,14,75,-9
FILL
E,2,1,8,9
EGEN,6,1,1
NSEL,S,LOC,X,75
D,ALL,ALL                ! CONSTRAIN NODES AT FIXED END
NSEL,ALL
F,1,FY,-4000
FINISH
/SOLU
OUTPR,,1
SOLVE
FINISH
/POST1
END_NODE = NODE (75,0,0)
*GET,STS_E_42,NODE,END_NODE,S,X       ! STRESS AT FIXED END (END NODE )
PLDISP,2
MID_NODE = NODE (50,0,0)
*GET,STS_M_42,NODE,MID_NODE,S,EQV
FINISH
/PREP7
/TITLE, VM5, LATERALLY LOADED TAPERED SUPPORT STRUCTURE (QUAD. ELEMENTS)
C***          MECHANICS OF SOLIDS, CRANDALL AND DAHL, 1959, PAGE 342, PROB. 7.18
C***          USING PLANE82 ELEMENTS
C***                      ! CHANGE ELEMENT TYPE TO HIGHER ORDER PLANE82
ET,1,PLANE82,,,3,,,2      ! TURN ON FACE PRINTOUT TO GET RESULTS AT MID-LENGTH
EMID                      ! ADD MIDSIDE NODES TO PLANE82 ELEMENTS
NSEL,R,LOC,X,75
NSEL,R,LOC,Y,-4.5         ! SELECT MIDSIDE NODE AT FIXED END
D,ALL,ALL                 ! CONSTRAIN  MIDSIDE NODE AT FIXED END
NSEL,ALL
FINISH
/SOLU
SOLVE
FINISH
/POST1
END_NODE = NODE (75,0,0)
*GET,STS_E_82,NODE,END_NODE,S,X       ! STRESS AT FIXED END (END NODE )
MID_NODE = NODE (50,0,0)
*GET,STS_M_82,NODE,MID_NODE,S,EQV

*DIM,LABEL,CHAR,2,2
*DIM,VALUEI,,2,3
*DIM,VALUEII,,2,3
LABEL(1,1) = 'MID_STRS','END-STRS'
LABEL(1,2) = ' (psi)  ',' (psi)  '
*VFILL,VALUEI(1,1),DATA,8333,7407
*VFILL,VALUEI(1,2),DATA,STS_M_42,STS_E_42
*VFILL,VALUEI(1,3),DATA,(STS_M_42/8333),(STS_E_42/7407)
*VFILL,VALUEII(1,1),DATA,8333,7407
*VFILL,VALUEII(1,2),DATA,STS_M_82,STS_E_82
*VFILL,VALUEII(1,3),DATA,(STS_M_82/8333),(STS_E_82/7407)
/COM,STS_M_42 = STRESS AT MID-LENGTH USING ELEMENT 42
/COM,STS_E_42 = STRESS AT FIXED END USING ELEMENT 42
/COM,STS_M_82 = STRESS AT MID-LENGTH USING ELEMENT 82
/COM,STS_E_82 = STRESS AT FIXED END USING ELEMENT 82
/COM,
/OUT,vm5,vrt
/COM,------------------- VM5 RESULTS COMPARISON ---------------------
/COM,
/COM,RESULTS FOR PLANE42:
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
*VWRITE,LABEL(1,1),LABEL(1,2),VALUEI(1,1),VALUEI(1,2),VALUEI(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,
/COM,RESULTS FOR PLANE82:
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
*VWRITE,LABEL(1,1),LABEL(1,2),VALUEII(1,1),VALUEII(1,2),VALUEII(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vm5,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM4 Input Listing 		Up / Home Next
VM6 Input Listing


VM6 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM6
/PREP7
SMRT,OFF
/TITLE, VM6, PINCHED CYLINDER
/COM,  REF: COOK, CONCEPTS AND APPL. OF FEA 2ND ED., 1981, PP. 284-287.
C***         USING SHELL93 ELEMENTS
ANTYPE,STATIC
ET,1,SHELL93
R,,0.094
MP,EX,,10.5E6
MP,NUXY,,.3125
CSYS,1
K,1,4.953                 ! DEFINE MODEL GEOMETRY
K,2,4.953,,5.175
KGEN,2,1,2,1,,90
A,1,2,4,3
ESIZE,,8
AMESH,1
CSYS,0
NSEL,S,LOC,X,0
DSYM,SYMM,X,0
NSEL,S,LOC,Y,0
DSYM,SYMM,Y,0
NSEL,S,LOC,Z,0
DSYM,SYMM,Z,0
NSEL,ALL
FK,3,FY,-25
FINISH
/SOLU
SOLVE
FINISH
/POST1
NSEL,S,LOC,Y,4.953              ! SELECT NODE AT LOAD APPLICATION
NSEL,R,LOC,Z,0
NSEL,R,LOC,X,0
PRNSOL,U,COMP                   ! PRINT DISPLACEMENTS AND VECTOR SUM
TOP_NODE = NODE (4.953,90,0)
*GET,DISP,NODE,TOP_NODE,U,Y
*DIM,LABEL,CHAR,1
*DIM,VALUE,,1,3
LABEL(1) = 'DEF_IN'
*VFILL,VALUE(1,1),DATA,0.1139
*VFILL,VALUE(1,2),DATA,ABS(DISP)
*VFILL,VALUE(1,3),DATA,ABS( DISP /0.1139 )
SAVE,TABLE_1
FINISH
/CLEAR,NOSTART
/TITLE, VM6, PINCHED CYLINDER
C***         USING SHELL150 ELEMENTS
/PREP7
SMRT,OFF
ANTYPE,STATIC
ET,1,SHELL150
R,,0.094
MP,EX,,10.5E6
MP,NUXY,,.3125
CSYS,1
K,1,4.953                 ! DEFINE MODEL GEOMETRY
K,2,4.953,,5.175
KGEN,2,1,2,1,,90
A,1,2,4,3
ESIZE,,8
AMESH,1
CSYS,0
NSEL,S,LOC,X,0
DSYM,SYMM,X,0
NSEL,S,LOC,Y,0
DSYM,SYMM,Y,0
NSEL,S,LOC,Z,0
DSYM,SYMM,Z,0
NSEL,ALL
FK,3,FY,-25
FINISH
/SOLU
SOLVE
FINISH
/POST1
SET,1
NSEL,S,LOC,Y,4.953              ! SELECT NODE AT LOAD APPLICATION
NSEL,R,LOC,Z,0
NSEL,R,LOC,X,0
PRNSOL,U,COMP                   ! PRINT DISPLACEMENTS AND VECTOR SUM
TOP_NODE = NODE (4.953,90,0)
*GET,DISP,NODE,TOP_NODE,U,Y
*DIM,LABEL,CHAR,1
*DIM,VALUE,,1,3
LABEL(1) = 'DEF_in'
*VFILL,VALUE(1,1),DATA,0.1139
*VFILL,VALUE(1,2),DATA,ABS(DISP)
*VFILL,VALUE(1,3),DATA,ABS( DISP /0.1139 )
SAVE,TABLE_2
FINISH
/CLEAR,NOSTART
/TITLE, VM6, PINCHED CYLINDER
C***         USING SHELL181 ELEMENTS
/PREP7
SMRT,OFF
ANTYPE,STATIC
ET,1,SHELL181, , ,2
R,,0.094
MP,EX,,10.5E6
MP,NUXY,,.3125
CSYS,1
K,1,4.953                 ! DEFINE MODEL GEOMETRY
K,2,4.953,,5.175
KGEN,2,1,2,1,,90
A,1,2,4,3
ESIZE,,8
AMESH,1
CSYS,0
NSEL,S,LOC,X,0
DSYM,SYMM,X,0
NSEL,S,LOC,Y,0
DSYM,SYMM,Y,0
NSEL,S,LOC,Z,0
DSYM,SYMM,Z,0
NSEL,ALL
FK,3,FY,-25
FINISH
/SOLU
SOLVE
FINISH
/POST1
NSEL,S,LOC,Y,4.953              ! SELECT NODE AT LOAD APPLICATION
NSEL,R,LOC,Z,0
NSEL,R,LOC,X,0
PRNSOL,U,COMP                   ! PRINT DISPLACEMENTS AND VECTOR SUM
TOP_NODE = NODE (4.953,90,0)
*GET,DISP,NODE,TOP_NODE,U,Y
*DIM,LABEL,CHAR,1
*DIM,VALUE,,1,3
LABEL(1) = 'DEF_IN'
*VFILL,VALUE(1,1),DATA,0.1139
*VFILL,VALUE(1,2),DATA,ABS(DISP)
*VFILL,VALUE(1,3),DATA,ABS( DISP /0.1139 )
SAVE,TABLE_3
FINISH
/CLEAR,NOSTART
/TITLE, VM6, PINCHED CYLINDER
C***         USING SHELL281 ELEMENTS
/PREP7
SMRT,OFF
ANTYPE,STATIC
ET,1,SHELL281, , ,2
R,,0.094
MP,EX,,10.5E6
MP,NUXY,,.3125
CSYS,1
K,1,4.953                 ! DEFINE MODEL GEOMETRY
K,2,4.953,,5.175
KGEN,2,1,2,1,,90
A,1,2,4,3
ESIZE,,8
AMESH,1
CSYS,0
NSEL,S,LOC,X,0
DSYM,SYMM,X,0
NSEL,S,LOC,Y,0
DSYM,SYMM,Y,0
NSEL,S,LOC,Z,0
DSYM,SYMM,Z,0
NSEL,ALL
FK,3,FY,-25
FINISH
/SOLU
SOLVE
FINISH
/POST1
NSEL,S,LOC,Y,4.953              ! SELECT NODE AT LOAD APPLICATION
NSEL,R,LOC,Z,0
NSEL,R,LOC,X,0
PRNSOL,U,COMP                   ! PRINT DISPLACEMENTS AND VECTOR SUM
TOP_NODE = NODE (4.953,90,0)
*GET,DISP,NODE,TOP_NODE,U,Y
*DIM,LABEL,CHAR,1
*DIM,VALUE,,1,3
LABEL(1) = 'DEF_IN'
*VFILL,VALUE(1,1),DATA,0.1139
*VFILL,VALUE(1,2),DATA,ABS(DISP)
*VFILL,VALUE(1,3),DATA,ABS( DISP /0.1139 )
SAVE,TABLE_4
RESUME,TABLE_1
/COM
/OUT,vm6,vrt
/COM,------------------- VM6 RESULTS COMPARISON ---------------------
/COM,
/COM,              |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,SHELL93
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A10,'   ',F10.4,'  ',F10.4,'   ',1F10.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,SHELL150
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A10,'   ',F10.4,'  ',F10.4,'   ',1F10.3)
/NOPR
RESUME,TABLE_3
/GOPR
/COM,
/COM,SHELL181
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A10,'   ',F10.4,'  ',F10.4,'   ',1F10.3)
/NOPR
RESUME,TABLE_4
/GOPR
/COM,
/COM,SHELL281
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A10,'   ',F10.4,'  ',F10.4,'   ',1F10.3)
/COM,-----------------------------------------------------------------
/OUT
FINISH
/DEL,TABLE_1
/DEL,TABLE_2
/DEL,TABLE_3
/DEL,TABLE_4
FINISH
*LIST,vm6,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM5 Input Listing 		Up / Home Next
VM7 Input Listing


VM7 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM7
/PREP7
/TITLE, VM7, PLASTIC COMPRESSION OF A PIPE ASSEMBLY
C***          MECHANICS OF SOLIDS, CRANDALL AND DAHL, 1959, PAGE 180, EX. 5.1
C***          USING PIPE20, SOLID45 AND SHELL43 ELEMENTS
ANTYPE,STATIC
ET,1,PIPE20
ET,2,SOLID45
ET,3,SHELL43
R,1,4.9563384,0.5    ! OUTSIDE DIA. AND WALL THICKNESS FOR INSIDE TUBE (PIPE20)
R,2,8.139437,0.5     ! OUTSIDE DIA. AND WALL THICKNESS FOR OUTSIDE TUBE
R,3,0.5              ! THICKNESS (SHELL43)
MP,EX,1,26.875E6     ! STEEL
MP,NUXY,1,0.3
MP,EX,2,11E6         ! ALUMINUM
MP,NUXY,2,0.3
TB,BKIN,1,1          ! DEFINE NON-LINEAR MATERIAL PROPERTY FOR STEEL
TBTEMP,0
TBDATA,1,86000,0
TB,BKIN,2,1          ! DEFINE NON-LINEAR MATERIAL PROPERTY FOR ALUMINUM
TBTEMP,0
TBDATA,1,55000,0
N,1                  ! GENERATE NODES AND ELEMENTS FOR PIPE20
N,2,,,10
MAT,1
REAL,1               ! STEEL (INSIDE) TUBE
E,1,2
MAT,2
REAL,2               ! ALUMINUM (OUTSIDE) TUBE
E,1,2
CSYS,1
N,101,1.9781692      ! GENERATE NODES AND ELEMENTS FOR SOLID45
N,102,2.4781692
N,103,3.5697185
N,104,4.0697185
N,105,1.9781692,,10
N,106,2.4781692,,10
N,107,3.5697185,,10
N,108,4.0697185,,10
NGEN,2,10,101,108,,,6  ! GENERATE 2ND SET OF NODES TO FORM A 6 DEGREE SLICE
NROTAT,101,118,1
TYPE,2
MAT,1                                ! INSIDE (STEEL) TUBE
E,101,102,112,111,105,106,116,115
MAT,2                                ! OUTSIDE (ALUMINUM) TUBE
E,103,104,114,113,107,108,118,117
N,201,2.2281692        ! GENERATE NODES AND ELEMENTS FOR SHELL43
N,203,2.2281692,,10
N,202,3.8197185
N,204,3.8197185,,10
NGEN,2,4,201,204,,,6   ! GENERATE NODES TO FORM A 6 DEGREE SLICE
TYPE,3
REAL,3
MAT,1                  ! INSIDE (STEEL) TUBE
E,203,201,205,207
MAT,2                  ! OUTSIDE (ALUMINUM) TUBE
E,204,202,206,208
C*** APPLY CONSTRAINTS TO PIPE20 MODEL
D,1,ALL                      ! FIX ALL DOFS FOR BOTTOM END OF PIPE20
D,2,UX,,,,,UY,ROTX,ROTY,ROTZ ! ALLOW ONLY UZ DOF AT TOP END OF PIPE20 MODEL
C*** APPLY CONSTRAINTS TO SOLID45 AND SHELL43 MODELS
CP,1,UX,101,111,105,115   ! COUPLE NODES AT BOUNDARY IN RADIAL DIR FOR SOLID45
CPSGEN,4,,1
CP,5,UX,201,205,203,20    ! COUPLE NODES AT BOUNDARY IN RADIAL DIR FOR SHELL43
CPSGEN,2,,5
CP,7,ROTY,201,205         ! COUPLE NODES AT BOUNDARY IN ROTY DIR FOR SHELL43
CPSGEN,4,,7
NSEL,S,NODE,,101,212      ! SELECT ONLY NODES IN SOLID45 AND SHELL43 MODELS
NSEL,R,LOC,Y,0            ! SELECT NODES AT THETA = 0 FROM THE SELECTED SET
DSYM,SYMM,Y,1             ! APPLY SYMMETRY BOUNDARY CONDITIONS
NSEL,S,NODE,,101,212      ! SELECT ONLY NODES IN SOLID45 AND SHELL43 MODELS
NSEL,R,LOC,Y,6            ! SELECT NODES AT THETA = 6 FROM THE SELECTED SET
DSYM,SYMM,Y,1             ! APPLY SYMMETRY BOUNDARY CONDITIONS
NSEL,ALL
NSEL,R,LOC,Z,0            ! SELECT ONLY NODES AT Z = 0
D,ALL,UZ,0                ! CONSTRAIN BOTTOM NODES IN Z DIRECTION
NSEL,ALL
FINISH
/SOLU
OUTPR,BASIC,LAST          ! PRINT BASIC SOLUTION AT END OF LOAD STEP
C*** APPLY DISPLACEMENT LOADS TO ALL MODELS
*CREATE,DISP
NSEL,R,LOC,Z,10           ! SELECT NODES AT Z = 10 TO APPLY DISPLACEMENT
D,ALL,UZ,ARG1
NSEL,ALL
SOLVE
*END
*USE,DISP,-.032
*USE,DISP,-.05
*USE,DISP,-.1
FINISH
/POST1
C*** CREATE MACRO TO GET RESULTS FOR EACH MODEL
*CREATE,GETLOAD
NSEL,S,NODE,,1,2       ! SELECT NODES IN PIPE20 MODEL
NSEL,R,LOC,Z,0
FSUM                   ! FZ IS TOTAL LOAD FOR PIPE20 MODEL
*GET,LOAD_20,FSUM,,ITEM,FZ
NSEL,S,NODE,,101,118   ! SELECT NODES IN SOLID45 MODEL
NSEL,R,LOC,Z,0
FSUM
*GET,ZFRC,FSUM,0,ITEM,FZ
LOAD=ZFRC*60           ! MULTIPLY BY 60 FOR FULL 360 DEGREE RESULTS
*STATUS,LOAD
LOAD_45 = LOAD
NSEL,S,NODE,,201,212   ! SELECT NODES IN SHELL43 MODEL
NSEL,R,LOC,Z,0
FSUM
*GET,ZFRC,FSUM,0,ITEM,FZ
LOAD=ZFRC*60           ! MULTIPLY BY 60 FOR FULL 360 DEGREE RESULTS
*STATUS,LOAD
LOAD_43 = LOAD
*VFILL,VALUE_20(1,1),DATA,1024400,1262000,1262000
*VFILL,VALUE_20(I,2),DATA,ABS(LOAD_20)
*VFILL,VALUE_20(I,3),DATA,ABS(LOAD_20)/(VALUE_20(I,1))
*VFILL,VALUE_45(1,1),DATA,1024400,1262000,1262000
*VFILL,VALUE_45(J,2),DATA,ABS(LOAD_45)
*VFILL,VALUE_45(J,3),DATA,ABS(LOAD_45)/(VALUE_45(J,1))
*VFILL,VALUE_43(1,1),DATA,1024400,1262000,1262000
*VFILL,VALUE_43(K,2),DATA,ABS(LOAD_43)
*VFILL,VALUE_43(K,3),DATA,ABS(LOAD_43)/(VALUE_43(K,1))
*END
C*** GET TOTAL LOAD FOR DISPLACEMENT = 0.032
C*** ---------------------------------------
SET,1,1
I = 1
J = 1
K = 1
*DIM,LABEL,CHAR,3,2
*DIM,VALUE_20,,3,3
*DIM,VALUE_45,,3,3
*DIM,VALUE_43,,3,3
*USE,GETLOAD
C*** GET TOTAL LOAD FOR DISPLACEMENT = 0.05
C*** --------------------------------------
SET,2,1
I = I + 1
J = J + 1
K = K + 1
*USE,GETLOAD
C*** GET TOTAL LOAD FOR DISPLACEMENT = 0.1
C*** -------------------------------------
SET,3,1
I = I +1
J = J + 1
K = K + 1
*USE,GETLOAD
LABEL(1,1) = 'LOAD, lb','LOAD, lb','LOAD, lb'
LABEL(1,2) = ' UX=.032',' UX=0.05',' UX=0.10'
SAVE,TABLE_1
FINISH
/CLEAR,NOSTART
/TITLE, VM7, PLASTIC COMPRESSION OF A PIPE ASSEMBLY
C***          USING PIPE20, SOLID185 AND SHELL181 ELEMENTS
/PREP7
ANTYPE,STATIC
ET,1,PIPE20
ET,2,SOLID185
ET,3,SHELL181,,,2    ! FULL INTEGRATION
R,1,4.9563384,0.5    ! OUTSIDE DIA. AND WALL THICKNESS FOR INSIDE TUBE (PIPE20)
R,2,8.139437,0.5     ! OUTSIDE DIA. AND WALL THICKNESS FOR OUTSIDE TUBE
R,3,0.5              ! THICKNESS (SHELL43)
MP,EX,1,26.875E6     ! STEEL
MP,NUXY,1,0.3
MP,EX,2,11E6         ! ALUMINUM
MP,NUXY,2,0.3
TB,BKIN,1,1          ! DEFINE NON-LINEAR MATERIAL PROPERTY FOR STEEL
TBTEMP,0
TBDATA,1,86000,0
TB,BKIN,2,1          ! DEFINE NON-LINEAR MATERIAL PROPERTY FOR ALUMINUM
TBTEMP,0
TBDATA,1,55000,0
N,1                  ! GENERATE NODES AND ELEMENTS FOR PIPE20
N,2,,,10
MAT,1
REAL,1               ! STEEL (INSIDE) TUBE
E,1,2
MAT,2
REAL,2               ! ALUMINUM (OUTSIDE) TUBE
E,1,2
CSYS,1
N,101,1.9781692      ! GENERATE NODES AND ELEMENTS FOR SOLID185
N,102,2.4781692
N,103,3.5697185
N,104,4.0697185
N,105,1.9781692,,10
N,106,2.4781692,,10
N,107,3.5697185,,10
N,108,4.0697185,,10
NGEN,2,10,101,108,,,6  ! GENERATE 2ND SET OF NODES TO FORM A 6 DEGREE SLICE
NROTAT,101,118,1
TYPE,2
MAT,1                                ! INSIDE (STEEL) TUBE
E,101,102,112,111,105,106,116,115
MAT,2                                ! OUTSIDE (ALUMINUM) TUBE
E,103,104,114,113,107,108,118,117
N,201,2.2281692        ! GENERATE NODES AND ELEMENTS FOR SHELL181
N,203,2.2281692,,10
N,202,3.8197185
N,204,3.8197185,,10
NGEN,2,4,201,204,,,6   ! GENERATE NODES TO FORM A 6 DEGREE SLICE
TYPE,3
REAL,3
MAT,1                  ! INSIDE (STEEL) TUBE
E,203,201,205,207
MAT,2                  ! OUTSIDE (ALUMINUM) TUBE
E,204,202,206,208
C*** APPLY CONSTRAINTS TO PIPE20 MODEL
D,1,ALL                      ! FIX ALL DOFS FOR BOTTOM END OF PIPE20
D,2,UX,,,,,UY,ROTX,ROTY,ROTZ ! ALLOW ONLY UZ DOF AT TOP END OF PIPE20 MODEL
C*** APPLY CONSTRAINTS TO SOLID185 AND SHELL181 MODELS
CP,1,UX,101,111,105,115   ! COUPLE NODES AT BOUNDARY IN RADIAL DIR FOR SOLID185
CPSGEN,4,,1
CP,5,UX,201,205,203,20    ! COUPLE NODES AT BOUNDARY IN RADIAL DIR FOR SHELL181
CPSGEN,2,,5
CP,7,ROTY,201,205         ! COUPLE NODES AT BOUNDARY IN ROTY DIR FOR SHELL181
CPSGEN,4,,7
NSEL,S,NODE,,101,212      ! SELECT ONLY NODES IN SOLID185 AND SHELL181 MODELS
NSEL,R,LOC,Y,0            ! SELECT NODES AT THETA = 0 FROM THE SELECTED SET
DSYM,SYMM,Y,1             ! APPLY SYMMETRY BOUNDARY CONDITIONS
NSEL,S,NODE,,101,212      ! SELECT ONLY NODES IN SOLID185 AND SHELL181 MODELS
NSEL,R,LOC,Y,6            ! SELECT NODES AT THETA = 6 FROM THE SELECTED SET
DSYM,SYMM,Y,1             ! APPLY SYMMETRY BOUNDARY CONDITIONS
NSEL,ALL
NSEL,R,LOC,Z,0            ! SELECT ONLY NODES AT Z = 0
D,ALL,UZ,0                ! CONSTRAIN BOTTOM NODES IN Z DIRECTION
NSEL,ALL
FINISH
/SOLU
OUTPR,NSOL,LAST           ! PRINT NODAL SOLUTION AT END OF LOAD STEP
OUTPR,RSOL,LAST           ! PRINT REACTION SOLUTION AT END OF LOAD STEP
C*** APPLY DISPLACEMENT LOADS TO ALL MODELS
*USE,DISP,-.032
*USE,DISP,-.05
*USE,DISP,-.1
FINISH
/POST1
C*** GET TOTAL LOAD FOR DISPLACEMENT = 0.032
C*** ---------------------------------------
SET,1,1
I = 1
J = 1
K = 1
*DIM,LABEL,CHAR,3,2
*DIM,VALUE_20,,3,3
*DIM,VALUE_45,,3,3
*DIM,VALUE_43,,3,3
*USE,GETLOAD
C*** GET TOTAL LOAD FOR DISPLACEMENT = 0.05
C*** --------------------------------------
SET,2,1
I = I + 1
J = J + 1
K = K + 1
*USE,GETLOAD
C*** GET TOTAL LOAD FOR DISPLACEMENT = 0.1
C*** -------------------------------------
SET,3,1
I = I +1
J = J + 1
K = K + 1
*USE,GETLOAD
LABEL(1,1) = 'LOAD, lb','LOAD, lb','LOAD, lb'
LABEL(1,2) = ' UX=.032',' UX=0.05',' UX=0.10'
SAVE,TABLE_2
RESUME,TABLE_1
/OUT,vm7,vrt
/COM,------------------- VM7 RESULTS COMPARISON ---------------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,RESULTS FOR PIPE20:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_20(1,1),VALUE_20(1,2),VALUE_20(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/COM,
/COM,RESULTS FOR SOLID45:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_45(1,1),VALUE_45(1,2),VALUE_45(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/COM,
/COM,RESULTS FOR SOLID43:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_43(1,1),VALUE_43(1,2),VALUE_43(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,RESULTS FOR SOLID185:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_45(1,1),VALUE_45(1,2),VALUE_45(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/COM,
/COM,RESULTS FOR SHELL181:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_43(1,1),VALUE_43(1,2),VALUE_43(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/COM,-----------------------------------------------------------------
/OUT
*LIST,vm7,vrt
/DELETE,TABLE_1
/DELETE,TABLE_2

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM6 Input Listing 		Up / Home Next
VM8 Input Listing


VM8 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM8
*CREATE,MAC
LENGTH              ! LABEL FOR THIS BLOCK IN THE USER FILE
!
!       THIS BLOCK IN THE USER FILE CALCULATES THE STRAIGHT LINE
!       DISTANCE BETWEEN TWO POINTS IN SPACE DEFINED BY EITHER
!       KEYPOINTS OR NODES ( CONTROLLED BY ARG1 ).  OTHER INPUT
!       AND OUTPUT ARGUMENTS ARE DEFINED BELOW.
!
!      INPUT-    ARG1 == IF ZERO, ARG2 AND ARG3 REPRESENT NODES (DEFAULT)
!                     == IF NONZERO, ARG2 AND ARG3 REPRESENT KEYPOINTS
!                ARG2 == NUMBER OF THE FIRST NODE OR KEYPOINT
!                ARG3 == NUMBER OF THE SECOND NODE OR KEYPOINT
!
!      OUTPUT-   PDIS == EXTERNAL PARAMETER ASSIGNED WITH THE DISTANCE VALUE
!
!
!      NOTES:    1. "NORMALLY" THIS BLOCK WOULD ALREADY EXIST IN A LOCALLY
!                   ATTACHED USER FILE, AND WOULDN'T REQUIRE THE "*CREATE"
!                   OPERATION TO MAKE IT.
!                2. THE CHARACTER ":" USED IN THE FIRST COLUMN OF AN ANSYS
!                   INPUT LINE HAS THE EFFECT OF MAKING THE ENTIRE LINE A
!                   NON-ECHOING COMMENT (USUALLY USED FOR A BRANCHING LABEL).
!
/NOPR                 ! SUPPRESS PRINTOUT DURING MACRO EXECUTION
*GET,AR10,CSYS        ! SAVE CURRENT COORDINATE SYSTEM FOR LATER RESTORATION
CSYS,0                ! CHANGE TO GLOBAL CARTESIAN SYSTEM
*IF,ARG1,EQ,0,THEN
  *GET,ARG4,NX,ARG2     ! RETRIEVE COORDINATE LOCATIONS OF BOTH NODES
  *GET,ARG5,NY,ARG2
  *GET,ARG6,NZ,ARG2
  *GET,ARG7,NX,ARG3
  *GET,ARG8,NY,ARG3
  *GET,ARG9,NZ,ARG3
*ELSE
  *GET,ARG4,KX,ARG2     ! RETRIEVE COORDINATE LOCATIONS OF BOTH KEYPOINTS
  *GET,ARG5,KY,ARG2
  *GET,ARG6,KZ,ARG2
  *GET,ARG7,KX,ARG3
  *GET,ARG8,KY,ARG3
  *GET,ARG9,KZ,ARG3
*ENDIF

!      ----- NOW CALCULATE DISTANCE WITH LOCATIONS OBTAINED ABOVE -----
PDIS=((ARG7-ARG4)*(ARG7-ARG4))+((ARG8-ARG5)*(ARG8-ARG5))
PDIS=SQRT(PDIS+((ARG9-ARG6)*(ARG9-ARG6)))
CSYS,AR10             ! RESTORE ORIGINAL COORDINATE SYSTEM
*IF,ARG1,EQ,0,THEN    ! BRANCH TO KEYPOINT LOGIC IF APPROPRIATE
  /COM LENGTH BETWEEN NODES HAS BEEN DEFINED AS PARAMETER PDIS (FROM USERFILE)
*ELSE
  /COM LENGTH BETWEEN KEYPOINTS DEFINED AS PARAMETER PDIS (FROM USERFILE)
*ENDIF
/GOPR                 ! TURN PRINTOUT BACK ON
*END
/PREP7
/TITLE, VM8, MACRO TO CALCULATE DISTANCES BETWEEN POINTS
C***         ANY BASIC GEOMETRY TEXT
*ULIB,MAC                     ! ASSIGN MACRO LIBRARY FILE
*ABBR,KLEN,*USE,LENGTH,1      ! ASSIGN ABBREVIATIONS FOR "CALLS" TO USERFILE
*ABBR,NLEN,*USE,LENGTH,0
N,1,1.5,2.5,3.5               ! DEFINE TEST NODE AND KEYPOINT LOCATIONS
N,2,-3.7,4.6,-3
K,3,100,0,30
K,4,-200,25,80
KLEN,4,3                      ! USE KEYPOINT DISTANCE PART OF MACRO
LEN1=PDIS
KDIS = LEN1
CSYS,1         ! CYLINDRICAL COORDINATE SYSTEM (SHOULDN'T AFFECT CALCULATION)
NLEN,1,2                      ! USE NODE DISTANCE PART OF MACRO
LEN2=PDIS
NDIS = LEN2
*status,parm

*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'N1-N2 DI','K3-K4 DI'
LABEL(1,2) = 'STANCE','STANCE'
*VFILL,VALUE(1,1),DATA,8.5849,305.16
*VFILL,VALUE(1,2),DATA,LEN2,LEN1
*VFILL,VALUE(1,3),DATA,ABS(LEN2 / 8.5849 ) , ABS( LEN1 / 305.16 )
/COM
/OUT,vm8,vrt
/COM,------------------- VM8 RESULTS COMPARISON ---------------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.2,'   ',1F5.3)
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vm8,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM7 Input Listing 		Up / Home Next
VM9 Input Listing


VM9 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM9
/PREP7
/TITLE, VM9, LARGE LATERAL DEFLECTION OF UNEQUAL STIFFNESS SPRINGS
/COM, REF: G.N. VANDERPLAATS, "NUMERICAL OPTIMIZATION TECHNIQUES FOR
/COM,      ENGINEERING DESIGN", PP 72-73, MCGRAW-HILL, 1984
ET,1,COMBIN14,,,2          ! UX AND UY DOF ELEMENT
ET,3,COMBIN40,,,,,,2       ! ALL MASS IS AT NODE J, UX DOF ELEMENT
ET,4,COMBIN40,,,2,,,2      ! ALL MASS IS AT NODE J, UY DOF ELEMENT
R,1,1                      ! SPRING STIFFNESS = 1
R,2,8                      ! SPRING STIFFNESS = 8
/COM USE COMBIN40 MASS, K, AND DAMPING C, TO APPROX. CRITICAL DAMPING
R,3,,1.41,1                ! C = 1.41, M = 1
R,4,,2,1                   ! C = 2, M = 1
N,1
N,2,,10
N,3,,20
N,4,-1,10
N,5,,9
LOCAL,11,0,0,0,0,45
NROTAT,2                   ! ROTATE NODE SO LOAD CAN BE DIRECTLY APPLIED
E,1,2                      ! ELEMENT 1 IS SPRING ELEMENT WITH STIFFNESS 1
REAL,2
E,2,3                      ! ELEMENT 2 IS SPRING ELEMENT WITH STIFFNESS 8
TYPE,3
REAL,3
E,4,2                      ! ELEMENT 3 IS COMBINATION ELEMENT WITH C = 1.41
TYPE,4
REAL,4
E,5,2                      ! ELEMENT 4 IS COMBINATION ELEMENT WITH C = 2
NSEL,U,NODE,,2
D,ALL,ALL
NSEL,ALL
FINISH
/SOLU
ANTYPE,TRANS               ! FULL TRANSIENT DYNAMIC ANALYSIS
NLGEOM,ON                  ! LARGE DEFLECTION
KBC,1                      ! STEP BOUNDARY CONDITION
F,2,FX,7.071068            ! FORCE IS IN ROTATED NODAL COORDINATE SYSTEM
AUTOTS,ON
NSUBST,20
OUTPR,,20
OUTPR,VENG,20
TIME,15                    ! ARBITRARY TIME FOR SLOW DYNAMICS
SOLVE
FINISH
/POST1
SET,,,,,15                 ! USE ITERATION WHEN TIME = 15
ETABLE,SENE,SENE           ! STORE STRAIN ENERGY
SSUM                       ! SUM ALL ACTIVE ENTRIES IN ELEMENT STRESS TABLE
*GET,ST_EN,SSUM,,ITEM,SENE
PRNSOL,U,COMP              ! PRINT DISPLACEMENTS IN GLOBAL COORDINATE SYSTEM
*GET,DEF_X,NODE,2,U,X
*GET,DEF_Y,NODE,2,U,Y
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'STRAIN E','DEF_X (C','DEF_Y (C'
LABEL(1,2) = ', N-cm  ','m)      ','m)      '
*VFILL,VALUE(1,1),DATA,24.01,8.631,4.533
*VFILL,VALUE(1,2),DATA,ST_EN ,DEF_X,DEF_Y
*VFILL,VALUE(1,3),DATA,ABS(ST_EN/24.01), ABS(8.631/DEF_X), ABS(DEF_Y/4.533 )
/COM
/OUT,vm9,vrt
/COM,------------------- VM9 RESULTS COMPARISON ---------------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,----------------------------------------------------------------

/OUT
FINISH
*LIST,vm9,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM8 Input Listing 		Up / Home Next
VM10 Input Listing


VM10 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM10
/PREP7
MP,PRXY,,0.3
/TITLE, VM10, BENDING OF A TEE SHAPED BEAM
C***    MECHANICS OF SOLIDS, CRANDALL AND DAHL, 1959, PAGE 294, EX. 7.2
ANTYPE,STATIC
ET,1,BEAM54
R,1,60,2000,14,6  !AREA, IZ, DISTANCE TO TOP AND BOT HEIGHT
MP,EX,1,30E6
N,1
N,2,100
E,1,2
D,1,ALL
F,2,MZ,100000
FINISH
/SOLU
NSUBST,1
OUTPR,ALL,1
SOLVE
FINISH
/POST1
ETABLE,STRS_B,LS,3
ETABLE,STRS_T,LS,2
*GET,STRSS_B,ELEM,1,ETAB,STRS_B
*GET,STRSS_T,ELEM,1,ETAB,STRS_T

*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'STRSS,(B','STRSS,(T'
LABEL(1,2) = 'OT) psi ','OP) psi '
*VFILL,VALUE(1,1),DATA,300,-700
*VFILL,VALUE(1,2),DATA,STRSS_B,STRSS_T
*VFILL,VALUE(1,3),DATA,ABS(STRSS_B/300) ,ABS(STRSS_T/700 )
/COM
/OUT,vm10,vrt
/COM,------------------- VM10 RESULTS COMPARISON ---------------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/COM,-----------------------------------------------------------------
/OUT

FINISH
*LIST,vm10,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM9 Input Listing 		Up / Home Next
VM11 Input Listing


VM11 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM11
/PREP7
/TITLE, VM11, RESIDUAL STRESS PROBLEM
C***           MECHANICS OF SOLIDS, CRANDALL AND DAHL, 1959, PAGE 234, PROB 5.31
ANTYPE,STATIC
ET,1,LINK1
R,1,1
MP,EX,1,30E6
TB,BKIN                           ! TABLE FOR BILINEAR KINEMATIC HARDENING
TBTEMP,100
TBDATA,1,30000                    ! YIELD STRESS
C*** DEFINE MODEL GEOMETRY USING PARAMETRIC EXPRESSIONS
L=100
*AFUN,DEG                         ! SET ANGULAR FUNCTION ARGUMENTS AND
                                  ! RESULTS TO DEGREES
THETA=30
XLOC=L*TAN(THETA)
N,1,-XLOC
N,3,XLOC
FILL
N,4,,-L
E,1,4
E,2,4
E,3,4
OUTPR,,1
D,1,ALL,,,3
F,4,FY,-51961.5                   ! APPLY LOAD F1
FINISH
/SOLU
SOLVE
FINISH
/POST1
BOT_NODE = NODE (0,-100,0)
*GET,DEF,NODE,BOT_NODE,U,Y
FINISH
/SOLU
AUTOTS,ON                         ! TURN ON AUTOMATIC LOAD STEPPING
NSUBST,10
OUTPR,,10
F,4,FY,-81961.5                   ! APPLY LOAD F2
SOLVE
NSUBST,5
OUTPR,,5
F,4,FY                            ! REMOVE LOAD F2
SOLVE
FINISH
/POST1
ETABLE,STRS,LS,1
*GET,STRSS,ELEM,2,ETAB,STRS

*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'DEF AT F','STRESS  '
LABEL(1,2) = '1 (in)  ','(psi)   '
*VFILL,VALUE(1,1),DATA,-0.07533,-5650
*VFILL,VALUE(1,2),DATA,DEF,STRSS
*VFILL,VALUE(1,3),DATA,ABS(DEF/0.07533 ) ,ABS(STRSS/5650 )
/COM
/OUT,vm11,vrt
/COM,------------------- VM11 RESULTS COMPARISON ---------------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F11.5,'  ',F11.5,'   ',1F5.3)
/COM,-----------------------------------------------------------------
/OUT
FINISH
*LIST,vm11,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM10 Input Listing 		Up / Home Next
VM12 Input Listing


VM12 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM12
/PREP7
/TITLE, VM12, COMBINED BENDING AND TORSION
C***           STR. OF MATL., TIMOSHENKO, PART 1, 3RD ED., PAGE 299, PROB. 2
ANTYPE,STATIC
ET,1,PIPE16
R,1,4.67017,2.33508      ! REAL CONSTANTS FOR SOLID CROSS SECTION
MP,EX,1,30E6
MP,NUXY,1,.3
N,1
N,2,,,300
E,1,2
D,1,ALL
F,2,MZ,9000
F,2,FX,-250
FINISH
/SOLU
OUTPR,BASIC,1
SOLVE
FINISH
/POST1
ETABLE,P_STRS,NMISC,86
ETABLE,SHR,NMISC,88
*GET,P_STRSS,ELEM,1,ETAB,P_STRS
*GET,SHEAR,ELEM,1,ETAB,SHR

*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'MAX PRIN','MAX SH S'
LABEL(1,2) = 'STRS psi','TRS psi '
*VFILL,VALUE(1,1),DATA,7527,3777
*VFILL,VALUE(1,2),DATA,P_STRSS,(SHEAR/2)
*VFILL,VALUE(1,3),DATA,ABS(P_STRSS/7527 ) ,ABS((SHEAR/2)/3777 )
/COM
/OUT,vm12,vrt
/COM,------------------- VM12 RESULTS COMPARISON ---------------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/COM,-----------------------------------------------------------------
/OUT
FINISH
*LIST,vm12,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM11 Input Listing 		Up / Home Next
VM13 Input Listing


VM13 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM13
/PREP7
/TITLE, VM13, CYLINDRICAL SHELL UNDER PRESSURE
C***   STR. OF MATL., TIMOSHENKO, PART 1, 3RD ED., PAGE 45, ART. 11
C***   AND UGURAL AND FENSTER, ADV. STRENGTH AND APPL. ELAS., 1981
ANTYPE,STATIC
ET,1,SHELL208
SECTYPE,1,SHELL
SECDATA,1
SECNUM,1
MP,EX,1,30E6
MP,NUXY,1,.3
N,1,60
N,2,60,10
E,1,2
CP,1,UX,1,2            ! COUPLE RADIAL DIRECTION
D,1,UY,,,,,ROTZ
D,2,ROTZ
F,2,FY,5654866.8       ! CAP FORCE
SFE,1,1,PRES,,500      ! INTERNAL PRESSURE
FINISH
/SOLU
OUTPR,ALL,1
SOLVE
FINISH
/POST1
ETABLE,STRS_Y,S,Y
ETABLE,STRS_Z,S,Z
*GET,STRSS_Y,ELEM,1,ETAB,STRS_Y
*GET,STRSS_Z,ELEM,1,ETAB,STRS_Z
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'STRESS,Y ','STRESS,Z'
LABEL(1,2) = ' (psi)  ',' (psi)  '
*VFILL,VALUE(1,1),DATA,15000,29749
*VFILL,VALUE(1,2),DATA,STRSS_Y,STRSS_Z
*VFILL,VALUE(1,3),DATA,ABS(STRSS_Y/15000 ) ,ABS(STRSS_Z/29749 )
/COM
/OUT,vm13,vrt
/COM,------------------- VM13 RESULTS COMPARISON ---------------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/COM,-----------------------------------------------------------------
/OUT
FINISH
*LIST,vm13,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM12 Input Listing 		Up / Home Next
VM14 Input Listing


VM14 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM14
/PREP7
/TITLE, VM14, LARGE DEFLECTION ECCENTRIC COMPRESSION OF SLENDER COLUMN
C***      STR. OF MATL., TIMOSHENKO, PART 1, 3RD ED., PG. 263, PROB. 1
ANTYPE,STATIC
NLGEOM,ON               ! ACTIVATE LARGE DEFLECTIONS
ET,1,BEAM54
R,1,3.36,1.3,.58,1.68   ! BEAM GEOMETRIC PROPERTIES
RMORE,,,,-.58,,-.58
MP,EX,1,30E6
MP,NUXY,1,0.3
N,1
N,5,,60
FILL
E,1,2
EGEN,4,1,1
D,1,ALL
F,5,FY,-4000
FINISH
/SOLU
CNVTOL,F,,1E-4
CNVTOL,M,,1E-4
OUTPR,,LAST
SOLVE
FINISH
/POST1
END_NODE = NODE (0,120/2,0)
*GET,DEF,NODE,END_NODE,U,X
ETABLE,TENS,NMISC,1
ETABLE,COMP,NMISC,2
*GET,STS_TENS,ELEM,1,ETAB,TENS
*GET,STS_COMP,ELEM,1,ETAB,COMP

*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'DEFLECTI','STRSS_TE','STRSS_CO'
LABEL(1,2) = 'ON (in) ','NS (psi)','MP (psi)'
*VFILL,VALUE(1,1),DATA,.1264,2461,-2451
*VFILL,VALUE(1,2),DATA,ABS(DEF),STS_TENS,STS_COMP
*VFILL,VALUE(1,3),DATA, ABS(DEF/.1264 ),ABS(STS_TENS/2461),ABS(STS_COMP/2451)
/COM
/OUT,vm14,vrt
/COM,------------------- VM14 RESULTS COMPARISON ---------------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/COM,-----------------------------------------------------------------
/OUT
FINISH
*LIST,vm14,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM13 Input Listing 		Up / Home Next
VM15 Input Listing


VM15 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM15
/PREP7
/TITLE, VM15, BENDING OF A CIRCULAR PLATE USING AXISYMMETRIC SHELL ELEMENTS
C***  CASE 1 - STR. OF MATLS., TIMOSHENKO, PART 2, 3RD ED., PAGE 96, ART. 19
C***  CASE 2 - STR. OF MATLS., TIMOSHENKO, PART 2, 3RD ED., PAGE 103, ART. 21
C***  CASE 3 - STR. OF MATLS., TIMOSHENKO, PART 2, 3RD ED., PAGE 97, ART. 19
ANTYPE,STATIC
ET,1,SHELL208,,,2
SECTYPE,1,SHELL
SECDATA,1,1
SECNUM,1
MP,EX,1,30E6
MP,NUXY,1,.3
K,1
K,2,40
K,3,20
L,1,3
L,3,2
LESIZE,1,,,5,20             ! BIAS THE MESH TO ALLOW STRESS RECOVERY NEAR
LESIZE,2,,,5,.05            ! THE CENTERLINE AND EDGE CONSTRAINTS
LMESH,ALL                   ! MESH LINE SEGMENTS
FINISH
C***  CASE 1 - UNIFORM LOADING - CLAMPED EDGE
/SOLU
OUTPR,,1
DK,1,UX,,,,ROTZ
DK,2,ALL
SFE,ALL,1,PRES,,6           ! PRESSURE LOAD = 6 PSI ON ALL LINE SEGMENTS
SOLVE
C***  CASE 2 - CONCENTRATED CENTER LOADING - CLAMPED EDGE
FK,1,FY,-7539.82
SFE,ALL,1,PRES,,0           ! REMOVE PRESSURE
SOLVE
C***  CASE 3 - UNIFORM LOADING - SIMPLY SUPPORTED EDGE
DKDELE,2,ROTZ               ! DELETE CLAMPED BOUNDARY CONDITION CONSTRAINT
FK,1,FY                     ! REMOVE CENTERLINE POINT LOAD
SFE,ALL,1,PRES,,1.5
SOLVE
FINISH
/POST1
/DSCALE,1,35                ! EXAGGERATE DISPLACEMENT SCALING FOR CLARITY
/WINDOW,1,-1,1,-1,-.333
SET,1,1
PLDISP,1
/WINDOW,1,OFF               ! TURN-OFF WINDOW 1
/WINDOW,2,-1,1,-.333,.333,1
/NOERASE                    ! DON'T ERASE EXISTING DISPLAYS
MID_NODE = NODE ( 0,0,0 )
*GET,DEF_C1,NODE,MID_NODE,U,Y
ETABLE,STRS,S,X
*GET,STRSS_C1,ELEM,10,ETAB,STRS
SET,2,1
PLDISP
/WINDOW,2,OFF               ! TURN OFF WINDOW 2
/WINDOW,3,-1,1,.333,1,1
*GET,DEF_C2,NODE,MID_NODE,U,Y
ETABLE,STRS,S,X
*GET,STRSS_C2,ELEM,10,ETAB,STRS
SET,3,1
PLDISP
*GET,DEF_C3,NODE,MID_NODE,U,Y
ETABLE,STRS,S,X
*GET,STRSS_C3,ELEM,1,ETAB,STRS
*DIM,LABEL,CHAR,2,2
*DIM,VALUE_C1,,2,3
*DIM,VALUE_C2,,2,3
*DIM,VALUE_C3,,2,3
LABEL(1,1) = 'DEFLECTI','MAX STRS'
LABEL(1,2) = 'ON (in) ','S (psi) '
*VFILL,VALUE_C1(1,1),DATA,-.08736,7200
*VFILL,VALUE_C1(1,2),DATA,DEF_C1,ABS(STRSS_C1)
*VFILL,VALUE_C1(1,3),DATA,ABS(DEF_C1/.08736 ),ABS(STRSS_C1/7200 )
*VFILL,VALUE_C2(1,1),DATA,-.08736,3600
*VFILL,VALUE_C2(1,2),DATA,DEF_C2,ABS(STRSS_C2)
*VFILL,VALUE_C2(1,3),DATA,ABS(DEF_C2/.08736 ),ABS(STRSS_C2/3600 )
*VFILL,VALUE_C3(1,1),DATA,-.08904,2970
*VFILL,VALUE_C3(1,2),DATA,DEF_C3,ABS(STRSS_C3)
*VFILL,VALUE_C3(1,3),DATA,ABS(DEF_C3/.08904 ),ABS(STRSS_C3/2970 )
/COM
/OUT,vm15,vrt
/COM,------------------- VM15 RESULTS COMPARISON ---------------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,RESULTS FOR CASE 1:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_C1(1,1),VALUE_C1(1,2),VALUE_C1(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/COM,
/COM,RESULTS FOR CASE 2:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_C2(1,1),VALUE_C2(1,2),VALUE_C2(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/COM,
/COM,RESULTS FOR CASE 3:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_C3(1,1),VALUE_C3(1,2),VALUE_C3(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/COM,-----------------------------------------------------------------
/OUT
FINISH
*LIST,vm15,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM14 Input Listing 		Up / Home Next
VM16 Input Listing


VM16 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM16
/PREP7
/TITLE, VM16, BENDING OF A SOLID BEAM (PLANE ELEMENTS)
C***           FORMULAS FOR STRESS AND STRAIN, ROARK, 4TH ED.,PG. 104,106
C***           USING PLANE42 ELEMENTS
ANTYPE,STATIC
ET,1,PLANE42,,,,,,2     ! PLANE42 WITH SURFACE PRINTOUT FOR FACES 1 AND 3
MP,EX,1,30E6
MP,NUXY,1,0.0
N,1
N,6,10
FILL
NGEN,2,10,1,6,1,,2
E,1,2,12,11
EGEN,5,1,1
/COM, VM16, CASE 1 - END MOMENT, ROARK, PAGE 106, NO. 9
D,1,ALL,,,11,10
F,6,FX,1000
F,16,FX,-1000
OUTPR,NSOL,1
OUTPR,ESOL,1
FINISH
/SOLU
SOLVE
/POST1
*GET,U1,NODE,16,U,Y
FINI
/SOLU
/COM, VM16, CASE 2 - END LOAD, ROARK, PAGE 104, NO. 1
F,6,FX,,,16,10
F,6,FY,150,,16,10
SOLVE
FINISH
/POST1
*GET,U2,NODE,16,U,Y
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
*DIM,VALUE2,,1,3
LABEL(1,1) = 'DEFL'
LABEL(1,2) = ' (in)  '
*VFILL,VALUE(1,1),DATA,.00500
*VFILL,VALUE(1,2),DATA,U1
*VFILL,VALUE(1,3),DATA,ABS(U1/.005)
SAVE,TABLE_1
*VFILL,VALUE2(1,1),DATA,.00500
*VFILL,VALUE2(1,2),DATA,U2
*VFILL,VALUE2(1,3),DATA,ABS(U2/.005)
SAVE,TABLE_2
RESUME,TABLE_1
/COM
/OUT,vm16,vrt
/COM,------------------- VM16 RESULTS COMPARISON ---------------------
/COM,
/COM,CASE 1:          |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,CASE 2:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE2(1,1),VALUE2(1,2),VALUE2(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/COM,-----------------------------------------------------------------
/COM,
/COM,-----------------------------------------------------------------
/COM,NOTE: THERE ARE VERIFIED RESULTS IN VM16 NOT CONTAINED IN
/COM,THIS TABLE
/COM,-----------------------------------------------------------------
/OUT
FINISH
/DELETE,TABLE_1
/DELETE,TABLE_2
FINISH
*LIST,vm16,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM15 Input Listing 		Up / Home Next
VM17 Input Listing


VM17 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM17
/PREP7
smrt,off
/TITLE, VM17, SNAP-THROUGH BUCKLING OF A HINGED SHELL
:COM    CHANG, C.C.,"PERIODICALLY RESTARTED QUASI-NEWTON UPDATES IN
:COM    IN CONSTANT ARC-LENGTH METHOD", COMPUTERS AND STRUCTURES,
:COM    VOL. 41, NO. 5, PP. 963-972, 1991.
C***    USING SHELL63 ELEMENTS
ANTYPE,STATIC            ! STATIC ANALYSIS
ET,1,SHELL63,,1
R,1,6.350                ! SHELL THICKNESS
MP,EX,1,3102.75
MP,NUXY,1,0.3
:COM  CREATE FINITE ELEMENT MODEL
R1 = 2540                ! SHELL MID-SURFACE RADIUS
L  = 254                 ! HALF THE LENGTH
PI = 4*ATAN(1)           ! VALUE OF PI COMPUTED
THETA = 0.1*180/PI       ! 0.1 RADIANS CONVERTED TO DEGREES
CSYS,1                   ! CYLINDRICAL CO-ORDINATE SYSTEM
N,1,R1,90                ! NODES 1 AND 2 ARE CREATED AT POINTS
N,2,R1,90,L              ! A AND B RESPECTIVELY.
K,1,R1,90
K,2,R1,(90-THETA)
K,3,R1,90,L
K,4,R1,(90-THETA),L
ESIZE,,2                 ! TWO DIVISION ALONG THE REGION BOUNDARY
A,1,3,4,2
AMESH,1
NUMMRG,NODE
FINISH
*CREATE,SOLVIT,MAC
/PREP7
:COM  APPLY BOUNDARY CONDITIONS
NSEL,S,LOC,Z,0
DSYM,SYMM,Z
NSEL,S,LOC,Y,90
DSYM,SYMM,X
NSEL,S,LOC,Y,(90-THETA)
D,ALL,UX,,,,,UY,UZ
NSEL,ALL
FINISH
:COM   SOLUTION PHASE
:COM SINCE THE SOLUTION OUTPUT IS SUBSTANTIAL IT IS DIVERTED TO A
:COM  SCRATCH FILE
/OUTPUT,SCRATCH
/SOLUTION
NLGEOM,ON                ! LARGE DEFLECTION TURNED ON
OUTRES,,1                ! WRITE SOLUTION ON RESULTS FILE FOR EVERY SUBSTEP
F,1,FY,-250              ! 1/4 TH OF THE TOTAL LOAD APPLIED DUE TO SYMMETRY
NSUBST,30                ! BEGIN WITH 30 SUBSTEPS
ARCLEN,ON,4              ! ARC-LENGTH SOLUTION TECHNIQUE TURNED ON WITH
                         !  MAX. ARC-LENGTH KEPT AT 4 TO COMPUTE AND STORE
             !  SUFFICIENT INTERMEDIATE SOLUTION INFORMATION
SOLVE
FINISH
/OUTPUT
:COM   POSTPROCESSING PHASE
/POST26
NSOL,2,1,U,Y             ! STORE UY DISPLACEMENT OF NODE 1
NSOL,3,2,U,Y             ! STORE UY DISPLACEMENT OF NODE 2
PROD,4,1,,,LOAD,,,4*250  ! TOTAL LOAD IS 4*250 DUE TO QUARTER SYMMETRY
PROD,5,2,,,,,,-1         ! CHANGE SIGNS OF THE DISPLACEMENT VALUES
PROD,6,3,,,,,,-1
*GET,UY1,VARI,2,EXTREM,VMIN
*GET,UY2,VARI,3,EXTREM,VMIN
PRVAR,2,3,4              ! PRINT STORED INFORMATION
/AXLAB,X, DEFLECTION (MM)
/AXLAB,Y, TOTAL LOAD (N)
/GRID,1
/XRANGE,0,35
/YRANGE,-500,1050
XVAR,5
PLVAR,4                  ! PLOT LOAD WITH RESPECT TO -UY OF NODE 1
/NOERASE
XVAR,6
PLVAR,4                  ! PLOT LOAD WITH RESPECT TO -UY OF NODE 2
/ERASE
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'UY @A ','UY @B '
LABEL(1,2) = 'mm ','mm '
*VFILL,VALUE(1,1),DATA,-30,-26
*VFILL,VALUE(1,2),DATA,UY1,UY2
*VFILL,VALUE(1,3),DATA,ABS(UY1/30) ,ABS(UY2/26 )
FINISH
*END
SOLVIT
SAVE,TABLE_1
/CLEAR, NOSTART          ! CLEAR DATABASE FOR NEXT SOLUTION
/TITLE, VM17, SNAP-THROUGH BUCKLING OF A HINGED SHELL
C***    USING SHELL181 ELEMENTS
/PREP7
SMRT,OFF
ANTYPE,STATIC            ! STATIC ANALYSIS
ET,1,SHELL181
R,1,6.350                ! SHELL THICKNESS
MP,EX,1,3102.75
MP,NUXY,1,0.3
:COM  CREATE FINITE ELEMENT MODEL
R1 = 2540                ! SHELL MID-SURFACE RADIUS
L  = 254                 ! HALF THE LENGTH
PI = 4*ATAN(1)           ! VALUE OF PI COMPUTED
THETA = 0.1*180/PI       ! 0.1 RADIANS CONVERTED TO DEGREES
CSYS,1                   ! CYLINDRICAL CO-ORDINATE SYSTEM
N,1,R1,90                ! NODES 1 AND 2 ARE CREATED AT POINTS
N,2,R1,90,L              ! A AND B RESPECTIVELY.
K,1,R1,90
K,2,R1,(90-THETA)
K,3,R1,90,L
K,4,R1,(90-THETA),L
ESIZE,,2                 ! TWO DIVISION ALONG THE REGION BOUNDARY
A,1,3,4,2
AMESH,1
NUMMRG,NODE
FINISH
SOLVIT
SAVE,TABLE_2
/CLEAR, NOSTART          ! CLEAR DATABASE FOR NEXT SOLUTION
/TITLE, VM17, SNAP-THROUGH BUCKLING OF A HINGED SHELL
C***    USING SHELL281 ELEMENTS
/PREP7
SMRT,OFF
ANTYPE,STATIC            ! STATIC ANALYSIS
ET,1,SHELL281
R,1,6.350                ! SHELL THICKNESS
MP,EX,1,3102.75
MP,NUXY,1,0.3
:COM  CREATE FINITE ELEMENT MODEL
R1 = 2540                ! SHELL MID-SURFACE RADIUS
L  = 254                 ! HALF THE LENGTH
PI = 4*ATAN(1)           ! VALUE OF PI COMPUTED
THETA = 0.1*180/PI       ! 0.1 RADIANS CONVERTED TO DEGREES
CSYS,1                   ! CYLINDRICAL CO-ORDINATE SYSTEM
N,1,R1,90                ! NODES 1 AND 2 ARE CREATED AT POINTS
N,2,R1,90,L              ! A AND B RESPECTIVELY.
K,1,R1,90
K,2,R1,(90-THETA)
K,3,R1,90,L
K,4,R1,(90-THETA),L
ESIZE,,2                 ! TWO DIVISION ALONG THE REGION BOUNDARY
A,1,3,4,2
AMESH,1
NUMMRG,NODE
FINISH
SOLVIT
SAVE,TABLE_3
/NOPR
RESUME,TABLE_1
/COM
/OUT,vm17,vrt
/COM,------------------- VM17 RESULTS COMPARISON ---------------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,SHELL63
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,SHELL181
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/NOPR
RESUME,TABLE_3
/GOPR
/COM,
/COM,SHELL281
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,-------------------------------------------------------------
/OUT
FINISH
*LIST,vm17,vrt
/DELETE,TABLE_1
/DELETE,TABLE_2
/DELETE,TABLE_3
/DELETE,SOLVIT,MAC

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM16 Input Listing 		Up / Home Next
VM18 Input Listing


VM18 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM18
/PREP7
/TITLE, VM18, OUT-OF-PLANE BENDING OF A CURVED BAR
!        STR. OF MATL., TIMOSHENKO, PART 1, 3RD ED., PAGE 412, EQN. 241
ANTYPE,STATIC
ET,1,PIPE18,,,,,,2   ! KEYOPT(6)=2 PRINTS MEMBER FORCES
MP,EX,1,30E6
MP,NUXY,1,.3
R,1,2,1,100          ! OD = 2, WALL THICKNESS = 1, RADIUS = 100
N,1,100              ! DEFINE NODES
N,2,,100
N,10
E,1,2,10             ! DEFINE ELEMENT
D,1,ALL              ! BOUNDARY CONDITIONS + LOAD
F,2,FZ,-50
FINISH
/SOLU
OUTPR,BASIC,1
SOLVE
FINISH
/POST1
*GET,DEF,NODE,2,U,Z
ETABLE,STRS_BEN,LS,1
ETABLE,STRS_SHR,LS,4
*GET,STRSS_B,ELEM,1,ETAB,STRS_BEN
*GET,STRSS_T,ELEM,1,ETAB,STRS_SHR

*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'DEFLECTI','STRSS BE','STRSS SH'
LABEL(1,2) = 'ON (in) ','ND   psi','EAR  psi'
*VFILL,VALUE(1,1),DATA,-2.648,6366,-3183
*VFILL,VALUE(1,2),DATA,DEF,ABS(STRSS_B) ,STRSS_T
*VFILL,VALUE(1,3),DATA,ABS(DEF/2.648) ,ABS(STRSS_B /6366 ),ABS(STRSS_T /3183 )
/COM
/OUT,vm18,vrt
/COM,------------------- VM18 RESULTS COMPARISON ---------------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,-----------------------------------------------------------------
/OUT

FINISH
*LIST,vm18,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM17 Input Listing 		Up / Home Next
VM19 Input Listing


VM19 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM19
/PREP7
/TITLE, VM19, RANDOM VIBRATION ANALYSIS OF A DEEP SIMPLY-SUPPORTED BEAM
/COM REFERENCE:  NAFEMS FORCED VIBRATION BENCHMARKS TEST 5R
ET,1,BEAM4                         ! DEFINE ELEMENT TYPE
MP,EX,1,200E9                      ! DEFINE MATERIAL PROPERTIES
MP,NUXY,1,0.3
MP,ALPX,1,0.1E-5
MP,DENS,1,8000
R,1,4,1.333,1.333,2,2,0            ! DEFINE REAL CONSTANTS
RMORE,0,2.2496,1.177,1.177
N,1,0
N,11,10
FILL
E,1,2
EGEN,10,1,1
FINISH

/SOLU
ANTYPE,MODAL                       ! DEFINE ANALYSIS TYPE
MXPAND,9,,,YES                     ! EXPAND 9 MODES, CALC. STRESS VALUES
MODOPT,REDUC
D,1,UX,0,0,1,1,UY,UZ,ROTX          ! APPLY CONSTRAINTS
D,11,UY,0,0,11,1,UZ
M,2,UY,10,1
SOLVE
*GET,FREQ,MODE,1,FREQ
FINISH
/COPY,,tri,,mode,tri

/SOLU
ANTYPE,SPECTR                      ! PREFORM SPECTRUM PSD ANALYSIS
SPOPT,PSD,9,ON                     ! CALC. STRESS RESPONSE FOR FIRST 9 MODES
PSDUNIT,1,FORCE
DMPRAT,0.02
F,1,FY,-0.5E6                      ! SCALE LOADS
F,11,FY,-0.5E6
F,2,FY,-1E6,,10,1
PSDFRQ,1,1,0.1,70.
PSDVAL,1,1,1                       ! IN N**2/HZ
PFACT,1,NODE
PSDRES,DISP,REL
PSDCOM
SOLVE
FINISH

/POST26
STORE,PSD,10
NSOL,2,6,U,Y
RPSD,8,2
PRTIME,42.640,42.641
PRVAR,8
*GET,P1,VARI,8,RTIME,42.64
PM=P1*1000000
FINISH

/POST26
STORE,PSD,10
ESOL,3,5,6,LS,7
RPSD,9,3
PRTIME,42.640,42.641
PRVAR,9
*GET,P2,VARI,9,RTIME,42.64
PM2=P2/(1E12)
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'FREQ1','PEAK d','PSD(N/mm'
LABEL(1,2) = ' (Hz)',' mm^2/Hz','^2)^2/Hz'
*VFILL,VALUE(1,1),DATA,42.65,180.9,58515.6
*VFILL,VALUE(1,2),DATA,FREQ,PM,PM2
*VFILL,VALUE(1,3),DATA,ABS(FREQ/42.65) ,ABS(PM/180.9 ),ABS(PM2/58515.6 )
FINISH
/COM
/OUT,vm19.vrt
/COM,------------------- VM19 RESULTS COMPARISON ---------------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.2)
/COM,-----------------------------------------------------------------
/COM,
/COM,-----------------------------------------------------------------
/COM,NOTE: THERE ARE VERIFIED RESULTS IN VM19 NOT CONTAINED IN
/COM,THIS TABLE
/COM,-----------------------------------------------------------------
/OUT
*LIST,vm19.vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM18 Input Listing 		Up / Home Next
VM20 Input Listing


VM20 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM20
/PREP7
/TITLE, VM20, CYLINDRICAL MEMBRANE UNDER PRESSURE
C*** STR. OF MATLS., TIMOSHENKO, PART 2, 3RD ED., PAGE 121, ART. 25
C*** USING SHELL141 - MEMBRANE SHELL
ANTYPE,STATIC
ET,1,SHELL41
MP,EX,1,30E6
MP,NUXY,1,0.3
R,1,1                   ! THICKNESS = 1
CSYS,1                  ! CYLINDRICAL C.S.
N,1,60                  ! DEFINE NODES
N,2,60,,10
NGEN,2,2,1,2,1,,10
NROTAT,ALL              ! ROTATE NODAL C.S. TO CYLINDRICAL C.S.
E,1,2,4,3               ! DEFINE ELEMENT
CP,1,UX,1,2,3,4         ! COUPLE RADIAL DISPLACEMENTS
CP,2,UZ,2,4             ! COUPLE UZ DISPLACEMENTS
D,1,UZ,,,3,2
D,ALL,UY
SFE,1,4,PRES,,-15000    ! AXIAL TRACTION
SFE,1,1,PRES,,-500      ! INTERNAL PRESSURE
FINISH
/SOLU
OUTPR,,1
SOLVE
FINISH
/POST1
*GET,STRS_HOP,NODE,1,S,2
*GET,STRS_AX,NODE,1,S,1
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'AXIAL ST','HOOP STR'
LABEL(1,2) = 'RSS psi ','SS  psi '
*VFILL,VALUE(1,1),DATA,15000,29749
*VFILL,VALUE(1,2),DATA,STRS_HOP,STRS_AX
*VFILL,VALUE(1,3),DATA,ABS(STRS_HOP/15000),ABS(STRS_AX/29749)
SAVE,TABLE_1
FINISH
/CLEAR,NOSTART
/TITLE, VM20, CYLINDRICAL MEMBRANE UNDER PRESSURE
C*** USING SHELL181 - FINITE STRAIN MEMBRANE
/PREP7
ANTYPE,STATIC
ET,1,SHELL181
KEYOPT,1,1,1            ! MEMBRANE STIFFNESS ONLY
KEYOPT,1,3,2            ! FULL INTEGRATION
MP,EX,1,30E6
MP,NUXY,1,0.3
R,1,1                   ! THICKNESS = 1
CSYS,1                  ! CYLINDRICAL C.S.
N,1,60                  ! DEFINE NODES
N,2,60,,10
NGEN,2,2,1,2,1,,10
NROTAT,ALL              ! ROTATE NODAL C.S. TO CYLINDRICAL C.S.
E,1,2,4,3               ! DEFINE ELEMENT
CP,1,UX,1,2,3,4         ! COUPLE RADIAL DISPLACEMENTS
CP,2,UZ,2,4             ! COUPLE UZ DISPLACEMENTS
D,1,UZ,,,3,2
D,ALL,UY
SFE,1,4,PRES,,-15000    ! AXIAL TRACTION
SFE,1,1,PRES,,-500      ! INTERNAL PRESSURE
FINISH
/SOLU
OUTPR,NSOL,1
OUTPR,RSOL,1
SOLVE
FINISH
/POST1
*GET,STRS_HOP,NODE,1,S,2
*GET,STRS_AX,NODE,1,S,1
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'AXIAL ST','HOOP STR'
LABEL(1,2) = 'RSS psi ','SS  psi '
*VFILL,VALUE(1,1),DATA,15000,29749
*VFILL,VALUE(1,2),DATA,STRS_HOP,STRS_AX
*VFILL,VALUE(1,3),DATA,ABS(STRS_HOP/15000),ABS(STRS_AX/29749)
SAVE,TABLE_2
RESUME,TABLE_1
/COM
/OUT,vm20,vrt
/COM,------------------- VM20 RESULTS COMPARISON ---------------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM, SHELL41
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM, SHELL181
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/COM,-----------------------------------------------------------------
/OUT
FINISH
*LIST,vm20,vrt
/DELETE,TABLE_1
/DELETE,TABLE_2

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM19 Input Listing 		Up / Home Next
VM21 Input Listing


VM21 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM21
/PREP7
MP,PRXY,,0.3
/TITLE, VM21, TIE ROD WITH LATERAL LOADING, NO STREES STIFFENING
C***   STR. OF MATLS., TIMOSHENKO, PART 2, 3RD ED., PAGE 42, ART. 6
ANTYPE,STATIC
ET,1,BEAM4,,,,,,1
R,1,6.25,3.2552,3.2552,2.5,2.5   ! AREA=6.25, IZZ=IYY=3.2552, B=H=2.5
MP,EX,1,30E6
N,1                              ! DEFINE NODES
N,5,100
FILL
E,1,2                            ! DEFINE ELEMENTS
EGEN,4,1,1
D,ALL,UY,,,,,ROTX,ROTZ           ! BOUNDARY CONDITIONS AND LOADINGS
D,1,UZ
NSEL,S,,,5
DSYM,SYMM,X                      ! DEFINE SYMMETRY BOUNDARY
NSEL,ALL
F,1,FX,-21972.6                  ! APPLY LOADS
SFBEAM,ALL,1,PRES,1.79253
FINISH
/SOLU
SOLVE
FINISH
/POST1
NSEL,S,,,1,5,4
PRNSOL,U,Z
PRNSOL,ROT,Y
NSEL,ALL
PRRSOL
RGHT_END = NODE (200,0,0)
LFT_END  = NODE (0,0,0)
*GET,UZ_MX_C2,NODE,RGHT_END,U,Z
*GET,SLOPE_C2,NODE,LFT_END,ROT,Y
FINISH
/POST26
RFORCE,2,RGHT_END,M,Y
STORE
*GET,M_MX_C2,VARI,2,EXTREM,VMAX
FINISH
/PREP7
/TITLE, VM21, TIE ROD WITH LATERAL LOADING, STRESS STIFFENING PRESENT
SSTIF,ON                         ! STRESS STIFFENING ACTIVATED
NSUBST,5
AUTOTS,ON                        ! AUTO TIME STEPPING ACTIVATED
FINISH
/SOLU
CNVTOL,F,,.0001,,1               ! SMALLER CONVERGENCE TOLERANCE
SOLVE
FINISH
/POST1
NSEL,S,,,1,5,4
PRNSOL,U,Z
PRNSOL,ROT,Y
PRRSOL
*GET,UZ_MX_C1,NODE,RGHT_END,U,Z
*GET,SLOPE_C1,NODE,LFT_END,ROT,Y
FINISH
/POST26
RFORCE,2,RGHT_END,M,Y
STORE
*GET,M_MX_C1,VARI,2,EXTREM,VMAX
*DIM,LABEL,CHAR,3,2
*DIM,VALUE_C1,,3,3
*DIM,VALUE_C2,,3,3
LABEL(1,1) = 'UZ MAX  ','SLOPE   ','MOMENT M'
LABEL(1,2) = '(in)    ','(rad)   ','AX in-lb'
*VFILL,VALUE_C1(1,1),DATA,-.19945,.0032352,-4580.1
*VFILL,VALUE_C1(1,2),DATA,UZ_MX_C1,SLOPE_C1,M_MX_C1
*VFILL,VALUE_C1(1,3),DATA,ABS(UZ_MX_C1/.19945),ABS(SLOPE_C1/.0032352), ABS(M_MX_C1/4580.1)
*VFILL,VALUE_C2(1,1),DATA,-.38241,.0061185,-8962.7
*VFILL,VALUE_C2(1,2),DATA,UZ_MX_C2,SLOPE_C2,M_MX_C2
*VFILL,VALUE_C2(1,3),DATA,ABS(UZ_MX_C1/.19945),ABS(SLOPE_C1/.0032352), ABS(M_MX_C1/4580.1)
/COM
/OUT,vm21,vrt
/COM,------------------- VM21 RESULTS COMPARISON ---------------------
/COM,
/COM,                        |     TARGET     |    ANSYS   |   RATIO
/COM,
/COM,RESULTS FOR F<>0 (STIFFENED):
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_C1(1,1),VALUE_C1(1,2),VALUE_C1(1,3)
(1X,A8,A8,'   ',F17.7,'  ',F17.7,'   ',1F5.3)
/COM,
/COM,RESULTS FOR F=0 (UNSTIFFENED):
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_C2(1,1),VALUE_C2(1,2),VALUE_C2(1,3)
(1X,A8,A8,'   ',F17.7,'  ',F17.7,'   ',1F5.3)
/COM,-----------------------------------------------------------------
/OUT
FINISH
*LIST,vm21,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM20 Input Listing 		Up / Home Next
VM22 Input Listing


VM22 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM22
/PREP7
/TITLE, VM22, SMALL DEFLECTION OF A BELLEVILLE SPRING
C*** STR. OF MATL., TIMOSHENKO, PART 2, 3RD ED., PAGE 143, PROB. 2
ANTYPE,STATIC
ET,1,SHELL208,,,2
SECTYPE,1,SHELL
SECDATA,0.2
SECNUM,1
MP,EX,1,3E7
MP,NUXY,1,0
N,1,1,(.5*TAN(.12217))      ! DEFINE NODES
N,2,1.5
E,1,2                       ! DEFINE ELEMENT
D,2,UY                      ! BOUNDARY CONDITIONS AND LOADS
F,1,FY,-628.31853
FINISH
/SOLU
SOLVE
FINISH
/POST1
SET,1,1
NSEL,S,NODE,,1
PRNSOL,U,COMP               ! DISPLACEMENTS AT NODE 1
*GET,DEF,NODE,1,U,Y
*DIM,LABEL,CHAR,1,1
*DIM,VALUE,,1,3
LABEL(1,1) = 'UY (in)'
*VFILL,VALUE(1,1),DATA,-.0028205
*VFILL,VALUE(1,2),DATA,DEF
*VFILL,VALUE(1,3),DATA,ABS( DEF /.0028205)
/COM
/OUT,vm22,vrt
/COM,------------------- VM22 RESULTS COMPARISON ---------------------
/COM,
/COM,         |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,'   ',F10.7,'  ',F10.7,'   ',1F5.3)
/COM,-----------------------------------------------------------------
/OUT
FINISH
*LIST,vm22,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM21 Input Listing 		Up / Home Next
VM23 Input Listing


VM23 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM23
/PREP7
/TITLE, VM23, THERMAL-STRUCTURAL CONTACT OF TWO BODIES
ET,1,PLANE13,4,,2        ! COUPLE-FIELD ELEMENT TYPE
ET,2,CONTA175,1          ! CONTACT ELEMENT TYPE
ET,3,TARGE169            ! TARGET ELEMENT TYPE
MP,EX,1,10E6             ! YOUNG'S MODULUS
MP,KXX,1,250             ! CONDUCTIVITY
MP,ALPX,1,12E-6          ! THERMAL EXPANSION COEFFICIENT
MP,PRXY,,0.3
R,2,,,-1000,-0.005
RMORE,,,,,,-100
RMORE,,100
RMORE
RMORE,0.01
!      SET UP FINITE ELEMENT MODEL
N,1
N,2,0.4
N,3,(0.4+0.0035)
N,4,(0.9+0.0035)
NGEN,2,4,1,4,1,,0.1
E,1,2,6,5                ! PLANE13 ELEMENTS
E,3,4,8,7
TYPE,2                   ! CONTACT ELEMENTS
REAL,2
E,2
E,6
TYPE,3                   ! TARGET ELEMENTS
REAL,2
NSEL,S,NODE,,3,7,4
ESLN
ESURF
ALLSEL
!      APPLY INITIAL BOUNDARY CONDITIONS
D,ALL,AZ
D,1,UY,,,4,1
D,1,UX,,,5,4
D,4,UX,,,8,4
TREF,100
FINISH
/SOLU
NLGEOM,ON                ! LARGE DEFLECTION EFFECTS TURNED ON
D,1,TEMP,500,,5,4
D,3,TEMP,100,,4
D,7,TEMP,100,,8
SOLVE                    ! FIRST LOAD STEP
OUTRES,ALL,ALL           ! STORE ALL DATA
DDELE,3,TEMP,7,4
D,4,TEMP,850,,8,4
NSUBST,3
SOLVE                    ! SECOND LOAD STEP
D,4,TEMP,100,,8,4
SOLVE                    ! THIRD LOAD STEP
FINISH

/POST1
INRES,NSOL,MISC          ! RETRIEVE NODAL AND MISCELLANEOUS DATA
SUBSET,2,2               ! READ LOAD STEP 2, SUBSTEP 2 DATA
ETABLE,HEAT-FLO,SMISC,14 ! STORE HEAT FLOWS FOR CONTACT ELEMENTS
ESEL,S,,,3,4
SSUM
*GET,HEAT_C1,SSUM,,ITEM,HEAT-FLO
NSEL,S,,,2,6,4
PRNSOL,TEMP
*GET,TEMP_C1,NODE,2,TEMP
APPEND,2,3               ! APPEND (OVERWRITE IN THIS CASE) BY
                         !  LOAD STEP 2 AND SUBSTEP 3 DATA
ETABLE,REFL
SSUM
*GET,HEAT_C2,SSUM,,ITEM,HEAT-FLO
PRNSOL,TEMP
*GET,TEMP_C2,NODE,2,TEMP
SUBSET,3,3               ! READ LOAD STEP 3, SUBSTEP 3 DATA
ETABLE,REFL
PRETAB
*GET,TEMP_C3,ELEM,4,ETAB,HEAT-FLO
PRNSOL,TEMP

*DIM,LABEL,CHAR,2,2
*DIM,LABEL_C3,CHAR,1,2
*DIM,VALUE_C1,,2,3
*DIM,VALUE_C2,,2,3
*DIM,VALUE_C3,,1,2
LABEL(1,1) = 'TEMP AT ','HEAT FLO'
LABEL(1,2) = 'EA2 (C) ','W (W)   '
LABEL_C3(1,1) = 'HEAT FLO'
LABEL_C3(1,2) = 'W (W)   '
*VFILL,VALUE_C1(1,1),DATA,539,2439
*VFILL,VALUE_C1(1,2),DATA,TEMP_C1,HEAT_C1
*VFILL,VALUE_C1(1,3),DATA,ABS(TEMP_C1/539  ) ,ABS( HEAT_C1/2439 )
*VFILL,VALUE_C2(1,1),DATA,636.6,8536.6
*VFILL,VALUE_C2(1,2),DATA,TEMP_C2,HEAT_C2
*VFILL,VALUE_C2(1,3),DATA,ABS(TEMP_C2/636.6 ) ,ABS( HEAT_C2/8536.6)
*VFILL,VALUE_C3(1,1),DATA,0
*VFILL,VALUE_C3(1,2),DATA,TEMP_C3
/COM
/OUT,vm23,vrt
/COM,------------------- VM23 RESULTS COMPARISON ---------------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,TEMP AT EB2 = 600 C:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_C1(1,1),VALUE_C1(1,2),VALUE_C1(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,
/COM,TEMP AT EB2 = 850 C:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_C2(1,1),VALUE_C2(1,2),VALUE_C2(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,
/COM,TEMP AT EB2 = 100 C:
*VWRITE,LABEL_C3(1,1),LABEL_C3(1,2),VALUE_C3(1,1),VALUE_C3(1,2)
(1X,A8,A8,'   ',F10.1,'  ',F10.1)
/COM,-----------------------------------------------------------------

/OUT
FINISH
*LIST,vm23,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM22 Input Listing 		Up / Home Next
VM24 Input Listing


VM24 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM24
/PREP7
/TITLE, VM24, PLASTIC HINGE IN A RECTANGULAR BEAM
C*** STR. OF MATLS., TIMOSHENKO, PART 2, 3RD ED., PG. 349, ART. 64
C*** USING BILINEAR KINEMATIC HARDENING PLASTICITY BEHAVIOR TO DESCRIBE
C*** THE MATERIAL NONLINEARITY
ANTYPE,STATIC
ET,1,BEAM23
R,1,2,(2/3),2             ! AREA = 2, IZZ = 2/3, H = 2
MP,EX,1,30E6
MP,NUXY,1,0.3
TB,BKIN,1,1               ! BILINEAR KINEMATIC HARDENING
TBTEMP,70
TBDATA,1,36000,0          ! YIELD POINT AND ZERO TANGENT MODULUS
N,1                       ! DEFINE NODES
N,2,10
E,1,2                     ! DEFINE ELEMENT
D,1,ALL                   ! BOUNDARY CONDITIONS AND LOADS
SAVE                      ! SAVE DATABASE
FINISH
/SOLU
SOLCONTROL,0
NEQIT,5                   ! MAXIMUM 5 EQUILIBRIUM ITERATIONS PER STEP
NCNV,0                    ! DO NOT TERMINATE THE ANALYSIS IF THE SOLUTION FAILS
                          !  TO CONVERGE
OUTRES,EPPL,1             ! STORE PLASTIC STRAINS FOR EVERY SUBSTEP
CNVTOL,U                  ! CONVERGENCE CRITERION BASED UPON DISPLACEMENTS AND
CNVTOL,ROT                !  ROTATIONS
*DO,I,1,4
F,2,MZ,(20000+(I*4000))   ! APPLY MOMENT LOAD
SOLVE
*ENDDO
FINISH
/POST26
NSOL,2,2,U,Y,UY2          ! NODE 2 DISPLACEMENT
ESOL,3,1,,LEPPL,1,EPPLAXL ! AXIAL PLASTIC STRAIN
PRVAR,2,3
FINISH
/CLEAR, NOSTART ! CLEAR PREVIOUS DATABASE BEFORE STARTING PART2
/PREP7
C*** USING BILINEAR ISOTROPIC HARDENING PLASTICITY BEHAVIOR TO DESCRIBE
C*** THE MATERIAL NONLINEARITY
RESUME
TBDELE,BKIN,1             ! DELETE NONLINEAR MATERIAL TABLE BKIN
TB,BISO,1,1               ! BILINEAR ISOTROPIC HARDENING
TBTEMP,70
TBDATA,1,36000,0          ! YIELD POINT AND ZERO TANGENT MODULUS
FINISH
/SOLU
SOLCONTROL,0
NEQIT,5                   ! MAXIMUM 5 EQUILIBRIUM ITERATIONS PER STEP
NCNV,0                    ! DO NOT TERMINATE THE ANALYSIS IF THE SOLUTION FAILS
                          !  TO CONVERGE
OUTRES,EPPL,1             ! STORE PLASTIC STRAINS FOR EVERY SUBSTEP
CNVTOL,U                  ! CONVERGENCE CRITERION BASED UPON DISPLACEMENTS AND
CNVTOL,ROT                !  ROTATIONS
*DO,I,1,4
F,2,MZ,(20000+(I*4000))   ! APPLY MOMENT LOAD
SOLVE
*ENDDO
FINISH
/POST26
NSOL,2,2,U,Y,UY2          ! NODE 2 DISPLACEMENT
ESOL,3,1,,LEPPL,1,EPPLAXL ! AXIAL PLASTIC STRAIN
PRVAR,2,3
/OUT,vm24,vrt
/OUT
FINISH
*LIST,vm24,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM23 Input Listing 		Up / Home Next
VM25 Input Listing


VM25 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM25
/PREP7
SMRT,OFF
/TITLE, VM25, STRESSES IN A LONG CYLINDER
C*** STR. OF MATLS., TIMOSHENKO, PART 2, 3RD ED., PAGE 213, PROB. 1
C***  INTERNAL PRESSURE
ANTYPE,STATIC        ! STATIC ANALYSIS
ET,1,PLANE82,,,1,,2,4 ! AXISYMM, PRINT STRESSES ON NONZERO PRESS. FACES
MP,EX,1,30E6         ! MATERIAL PROPERTIES
MP,DENS,1,.00073
MP,NUXY,1,0.3        ! DEFINE KEYPOINTS, LINES, AND AREAS
K,1,4
K,2,8
KGEN,2,1,2,1,,1
L,1,2,7
ESIZE,.5
LESIZE,1,,,14
MSHK,1                    ! MAPPED AREA MESH
MSHA,0,2D                 ! USING QUADS
A,3,1,2,4
AMESH,1
SAVE,MODEL           ! SAVE MODEL FOR SECOND LOAD CASE
NSEL,S,LOC,Y,0       ! SET UP LONG CYLINDER EFFECT
D,ALL,UY
NSEL,S,LOC,Y,1
CP,1,UY,ALL          ! COUPLE AXIAL DISPLACEMENTS AT UNCONSTRAINED Y EDGE
NSEL,ALL
FINISH
/SOLU
NSEL,S,LOC,X,4
SF,,PRES,30000       ! APPLY INTERNAL PRESSURE ON CYLINDER
NSEL,S,LOC,X,8
SF,,PRES,1E-10       ! APPLY DUMMY PRESSURE FOR SURFACE PRINTOUT
NSEL,ALL
OUTPR,,ALL
SOLVE                ! LOAD STEP 1 - INTERNAL PRESSURE
FINISH
/POST1
SET,1,1
LFT_NODE = NODE (4,0,0)
MID_NODE = NODE (6,0,0)
RT_NODE = NODE (8,0,0)
PRNSOL,S,COMP        ! PRINT NODAL STRESS SOLUTION
PATH,STRESS,2,,48    ! DEFINE PATH WITH NAME = "STRESS"
PPATH,1,LFT_NODE     ! DEFINE PATH POINTS BY NODE
PPATH,2,RT_NODE
PLSECT,S,Z,-1        ! DISPLAY SZ STRESSES
PLSECT,S,X,-1        ! DISPLAY SX STRESSES
PRSECT,-1            ! PRINT LINEARIZED STRESSES
*GET,DEF_4,NODE,LFT_NODE,U,X
*GET,RST_4_C1,NODE,LFT_NODE,S,X
*GET,RST_6_C1,NODE,MID_NODE,S,X
*GET,RST_8_C1,NODE,RT_NODE ,S,X
*GET,TST_4_C1,NODE,LFT_NODE,S,Z
*GET,TST_6_C1,NODE,MID_NODE,S,Z
*GET,TST_8_C1,NODE,RT_NODE ,S,Z
*DIM,VALUE_C1,,7,3
*VFILL,VALUE_C1(1,1),DATA,.0078666,-30000,-7778,0,50000,27778,20000
*VFILL,VALUE_C1(1,2),DATA,DEF_4,RST_4_C1,RST_6_C1,RST_8_C1,TST_4_C1,TST_6_C1,TST_8_C1
*VFILL,VALUE_C1(1,3),DATA,ABS(DEF_4/.0078666),ABS(RST_4_C1/30000),ABS(RST_6_C1/7778),0
*VFILL,VALUE_C1(5,3),DATA,ABS(TST_4_C1/50000),ABS(TST_6_C1/27778),ABS(TST_8_C1/20000)
*DIM,LABEL_C1,CHAR,7,2
LABEL_C1(1,1)='DEF (R=4','STRS_R p','STRS_R p','STRS_R p','STRS_T p'
LABEL_C1(6,1)='STRS_T p','STRS_T p'
LABEL_C1(1,2) = ') in    ','si (R=4)','si (R=6)','si (R=8)','si (R=4)'
LABEL_C1(6,2) ='si (R=6)','si (R=8)'
SAVE,TABLE_1
FINISH

/SOLU
RESUME,MODEL
C*** ROTATION ABOUT AXIS
NSEL,S,LOC,Y,0       ! PREVENT RIGID BODY MOTION
NSEL,R,LOC,X,4
D,ALL,UY
NSEL,S,LOC,X,4
SF,,PRES,1E-10       ! LEAVE A SMALL PRESSURE TO ALLOW STRESS PRINTOUT
NSEL,ALL
OMEGA,,1000          ! ROTATE CYLINDER WITH ANGULAR VELOCITY OMEGA
OUTPR,,ALL
SOLVE                ! LOAD STEP 2 - CENTRIFUGAL LOADING
FINISH
/POST1
LFT_NODE = NODE (4,0,0)
XI_NODE  = NODE (5.43,0,0)

*GET,RST_4_C2,NODE,LFT_NODE,S,X
*GET,TST_4_C2,NODE,LFT_NODE,S,Z
*GET,RST_X_C2,NODE,XI_NODE ,S,X
*GET,TST_X_C2,NODE,XI_NODE ,S,Z
*DIM,VALUE_C2,,4,3
*VFILL,VALUE_C2(1,1),DATA,0,40588,4753,29436
*VFILL,VALUE_C2(1,2),DATA,RST_4_C2,TST_4_C2,RST_X_C2,TST_X_C2
*VFILL,VALUE_C2(1,3),DATA,0,ABS(TST_4_C2/40588 ),ABS(RST_X_C2/4753 ),ABS(TST_X_C2/29436)
*DIM,LABEL_C2,CHAR,4,2
LABEL_C2(1,1) ='STRS_R p','STRS_T p','STRS_R p','STRS_T p'
LABEL_C2(1,2) ='si (R=4)','si (R=4)','si R=5.4','si R=5.4'
SAVE,TABLE_2
RESUME,TABLE_1
/COM
/OUT,vm25,vrt
/COM,------------------- VM25 RESULTS COMPARISON ---------------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,RESULTS FOR P = 30,000 PSI:
/COM,
*VWRITE,LABEL_C1(1,1),LABEL_C1(1,2),VALUE_C1(1,1),VALUE_C1(1,2),VALUE_C1(1,3)
(1X,A8,A8,'   ',F14.7,'  ',F14.7,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,RESULTS FOR w = 1000 RAD/SEC
*VWRITE,LABEL_C2(1,1),LABEL_C2(1,2),VALUE_C2(1,1),VALUE_C2(1,2),VALUE_C2(1,3)
(1X,A8,A8,'   ',F14.7,'  ',F14.7,'   ',1F5.3)
/COM,-----------------------------------------------------------------
/OUT
FINISH
*LIST,vm25,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM24 Input Listing 		Up / Home Next
VM26 Input Listing


VM26 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vm26
/FILNAM,vm26
/PREP7
/TITLE, VM26  LARGE DEFLECTION OF A CANTILEVERED PLATE
/COM   REF: BATHE AND DVORKIN, " A FORMULATION OF GENERAL SHELL ELEMENTS... "
/COM                             IJNME, VOL 22, NO. 3 (1986) PAGE 720
/COM   USING SHELL43 ELEMENTS
/NOPR
SMRT,OFF
ANTYPE,STATIC           ! STATIC ANALYSIS
NLGEOM,ON               ! LARGE DEFLECTION OPTION
ET,1,SHELL43
R,1,1                   ! PLATE THICKNESS = 1
MP,EX,1,1800            ! MATERIAL PROPERTIES
MP,NUXY,,0
K,1                     ! DEFINE KEYPOINTS
K,2,12
K,3,12,1
K,4,,1
L,1,2                   ! DEFINE LINE SEGMENTS
L,3,4
LESIZE,ALL,,,2          ! 2 DIVISIONS ALONG LENGTH
ESIZE,,1                ! ONE DIVISION ON UNSPECIFIED LINE SEGMENTS
A,1,2,3,4
AMESH,1                 ! CREATE MESH
NSEL,S,LOC,X
D,ALL,ALL               ! FIXED END B.C.'S
NSEL,S,LOC,X,12
CP,1,ROTY,ALL           ! COUPLE ROTATIONS AT FREE END
TORQ=7.854              ! DEFINE HALF TOTAL LOAD
F,2,MY,TORQ
NSEL,ALL                ! RESELECT ALL NODES
FINISH
/SOLU
AUTOTS,ON               ! USE AUTOMATIC LOAD STEPPING
NSUBST,10               ! START WITH MAX OF 10 SUBSTEPS FOR EACH LOAD STEP
LNSRCH,ON               ! USE LINE SEARCH METHOD
OUTPR,BASIC,LAST        ! BASIC PRINTOUT IN THE LAST SUBSTEP
OUTRES,ALL,ALL          ! WRITE SOLUTION TO THE RESULTS FILE FOR EACH SUBSTEP
SOLVE
FINISH
! THE FOLLOWING 4 COMMANDS ARE NOT NEEDED SINCE THE INITIAL AND THE
! RESTART ANALYSES ARE IN ONE ANSYS RUN. THE USE OF THESE COMMANDS WAS DONE
! IN ORDER TO DEMONSTRATE THE USE OF THE FILES NEEDED FOR A RESTART
/COPY,vm26,rdb,,vm26r,rdb      ! COPY THE FILES NEEDED FOR RESTART TO
/COPY,vm26,ldhi,,vm26r,ldhi    ! FILES NAMED VM26R.***
/COPY,vm26,r001,,vm26r,r001    !
/COPY,vm26,rst,,vm26r,rst      ! NEEDED FOR POSTPROCESSOR ONLY
/CLEAR,NOSTART                 ! CLEAR THE DATA BASE
/FILNAM,vm26r                  ! CONTINUE WITH FILES NAMED VM26R.***
/SOLU
ANTYPE,,REST            ! RESTART ANALYSIS
F,2,MY,TORQ*2           ! APPLY FULL LOAD
SOLVE
FINISH
/POST1
RSYS,SOLU               ! CHOOSE "AS-GENERATED" COORDINATE SYSTEM
SET,2                   ! USE LOAD STEP 2 (FROM RESTART ANALYSIS)
SHELL,TOP               ! CHOOSE TOP SURFACE OF SHELL FOR STRESS PRINTOUT
PRNSOL,S,COMP           ! PRINT NODAL STRESSES AND DISPLACEMENTS
PRNSOL,DOF
*GET,UX_N4,NODE,4,U,X
*GET,UZ_N4,NODE,4,U,Z
*GET,ROTY_N4,NODE,4,ROT,Y
*GET,STRSS_N1,NODE,1,S,X
*DIM,LABEL,CHAR,4,2
*DIM,VALUE,,4,3
LABEL(1,1) = 'UX,NODE ','UZ,NODE ','ROTY,NOD','STS_X,N_'
LABEL(1,2) = '4 (mm)  ','4 (mm)  ','E 4(rad)','1 N/mm^2'
*VFILL,VALUE(1,1),DATA,-2.9,-6.5,1.26,94.25
*VFILL,VALUE(1,2),DATA,UX_N4,UZ_N4,ROTY_N4,STRSS_N1
*VFILL,VALUE(1,3),DATA,ABS(UX_N4/2.9),ABS(UZ_N4/6.5),ABS(ROTY_N4/1.26),ABS(STRSS_N1/94.25)
SAVE,TABLE_1
FINISH
/DELETE,vm26r,rdb
/DELETE,vm26r,ldhi
/DELETE,vm26r,r001
/DELETE,vm26r,rst
/CLEAR,NOSTART
/TITLE, VM26  LARGE DEFLECTION OF A CANTILEVERED PLATE
/COM          USING SHELL181 ELEMENTS
/PREP7
smrt,off
/NOPR
ANTYPE,STATIC           ! STATIC ANALYSIS
NLGEOM,ON               ! LARGE DEFLECTION OPTION
ET,1,SHELL181
R,1,1                   ! PLATE THICKNESS = 1
RMORE,,,,,10.0
MP,EX,1,1800            ! MATERIAL PROPERTIES
MP,NUXY,,0
K,1                     ! DEFINE KEYPOINTS
K,2,12
K,3,12,1
K,4,,1
L,1,2                   ! DEFINE LINE SEGMENTS
L,3,4
LESIZE,ALL,,,2          ! 2 DIVISIONS ALONG LENGTH
ESIZE,,1                ! ONE DIVISION ON UNSPECIFIED LINE SEGMENTS
A,1,2,3,4
AMESH,1                 ! CREATE MESH
NSEL,S,LOC,X
D,ALL,ALL               ! FIXED END B.C.'S
NSEL,S,LOC,X,12
CP,1,ROTY,ALL           ! COUPLE ROTATIONS AT FREE END
TORQ=7.854              ! DEFINE HALF TOTAL LOAD
F,2,MY,TORQ
NSEL,ALL                ! RESELECT ALL NODES
FINISH
/SOLU
AUTOTS,ON               ! USE AUTOMATIC LOAD STEPPING
NSUBST,10               ! START WITH MAX OF 10 SUBSTEPS FOR EACH LOAD STEP
LNSRCH,ON               ! USE LINE SEARCH METHOD
OUTPR,BASIC,LAST        ! BASIC PRINTOUT IN THE LAST SUBSTEP
OUTRES,ALL,ALL          ! WRITE SOLUTION TO THE RESULTS FILE FOR EACH SUBSTEP
SOLVE
FINISH
/SOLU
ANTYPE,,REST            ! RESTART ANALYSIS
F,2,MY,TORQ*2           ! APPLY FULL LOAD
SOLVE
FINISH
/POST1
RSYS,SOLU               ! CHOOSE "AS-GENERATED" COORDINATE SYSTEM
SET,2                   ! USE LOAD STEP 2 (FROM RESTART ANALYSIS)
SHELL,TOP               ! CHOOSE TOP SURFACE OF SHELL FOR STRESS PRINTOUT
PRNSOL,S,COMP           ! PRINT NODAL STRESSES AND DISPLACEMENTS
PRNSOL,DOF
*GET,UX_N4,NODE,4,U,X
*GET,UZ_N4,NODE,4,U,Z
*GET,ROTY_N4,NODE,4,ROT,Y
*GET,STRSS_N1,NODE,1,S,X
*DIM,LABEL,CHAR,4,2
*DIM,VALUE,,4,3
LABEL(1,1) = 'UX,NODE ','UZ,NODE ','ROTY,NOD','STS_X,N_'
LABEL(1,2) = '4 (mm)  ','4 (mm)  ','E 4(rad)','1 N/mm^2'
*VFILL,VALUE(1,1),DATA,-2.9,-6.5,1.26,94.25
*VFILL,VALUE(1,2),DATA,UX_N4,UZ_N4,ROTY_N4,STRSS_N1
*VFILL,VALUE(1,3),DATA,ABS(UX_N4/2.9),ABS(UZ_N4/6.5),ABS(ROTY_N4/1.26),ABS(STRSS_N1/94.25)
SAVE,TABLE_2
FINISH
/CLEAR,NOSTART
/TITLE, VM26  LARGE DEFLECTION OF A CANTILEVERED PLATE
/COM          USING SHELL281 ELEMENTS
/PREP7
smrt,off
/NOPR
ANTYPE,STATIC           ! STATIC ANALYSIS
NLGEOM,ON               ! LARGE DEFLECTION OPTION
ET,1,SHELL281
R,1,1                   ! PLATE THICKNESS = 1
RMORE,,,,,10.0
MP,EX,1,1800            ! MATERIAL PROPERTIES
MP,NUXY,,0
K,1                     ! DEFINE KEYPOINTS
K,2,12
K,3,12,1
K,4,,1
L,1,2                   ! DEFINE LINE SEGMENTS
L,3,4
LESIZE,ALL,,,2          ! 2 DIVISIONS ALONG LENGTH
ESIZE,,1                ! ONE DIVISION ON UNSPECIFIED LINE SEGMENTS
A,1,2,3,4
AMESH,1                 ! CREATE MESH
NSEL,S,LOC,X
D,ALL,ALL               ! FIXED END B.C.'S
NSEL,S,LOC,X,12
CP,1,ROTY,ALL           ! COUPLE ROTATIONS AT FREE END
TORQ=7.854              ! DEFINE HALF TOTAL LOAD
F,2,MY,TORQ
NSEL,ALL                ! RESELECT ALL NODES
FINISH
/SOLU
AUTOTS,ON               ! USE AUTOMATIC LOAD STEPPING
NSUBST,10               ! START WITH MAX OF 10 SUBSTEPS FOR EACH LOAD STEP
LNSRCH,ON               ! USE LINE SEARCH METHOD
OUTPR,BASIC,LAST        ! BASIC PRINTOUT IN THE LAST SUBSTEP
OUTRES,ALL,ALL          ! WRITE SOLUTION TO THE RESULTS FILE FOR EACH SUBSTEP
SOLVE
FINISH
/SOLU
ANTYPE,,REST            ! RESTART ANALYSIS
F,2,MY,TORQ*2           ! APPLY FULL LOAD
SOLVE
FINISH
/POST1
RSYS,SOLU               ! CHOOSE "AS-GENERATED" COORDINATE SYSTEM
SET,2                   ! USE LOAD STEP 2 (FROM RESTART ANALYSIS)
SHELL,TOP               ! CHOOSE TOP SURFACE OF SHELL FOR STRESS PRINTOUT
PRNSOL,S,COMP           ! PRINT NODAL STRESSES AND DISPLACEMENTS
PRNSOL,DOF
*GET,UX_N4,NODE,6,U,X
*GET,UZ_N4,NODE,6,U,Z
*GET,ROTY_N4,NODE,6,ROT,Y
*GET,STRSS_N1,NODE,1,S,X
*DIM,LABEL,CHAR,4,2
*DIM,VALUE,,4,3
LABEL(1,1) = 'UX,NODE ','UZ,NODE ','ROTY,NOD','STS_X,N_'
LABEL(1,2) = '4 (mm)  ','4 (mm)  ','E 4(rad)','1 N/mm^2'
*VFILL,VALUE(1,1),DATA,-2.9,-6.5,1.26,94.25
*VFILL,VALUE(1,2),DATA,UX_N4,UZ_N4,ROTY_N4,STRSS_N1
*VFILL,VALUE(1,3),DATA,ABS(UX_N4/2.9),ABS(UZ_N4/6.5),ABS(ROTY_N4/1.26),ABS(STRSS_N1/94.25)
SAVE,TABLE_3
RESUME,TABLE_1
/COM
/COM
/OUT,vm26,vrt
/COM,------------------- VM26 RESULTS COMPARISON ---------------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,SHELL43:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.2)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,SHELL181:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.2)
/NOPR
RESUME,TABLE_3
/GOPR
/COM,
/COM,SHELL281:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.2)
/COM,-----------------------------------------------------------------
/OUT
FINISH
/DELETE,TABLE_1
/DELETE,TABLE_2
/DELETE,TABLE_3
FINISH
*LIST,vm26,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM25 Input Listing 		Up / Home Next
VM27 Input Listing


VM27 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM27
/PREP7
/TITLE, VM27, THERMAL EXPANSION TO CLOSE A GAP
C***   INTROD. TO STRESS ANALYSIS, HARRIS, 1ST PRINTING, PAGE 58, PROB. 8
C***           CONTAC12 AND LINK1 ELEMENTS (2-D)
ET,1,LINK1
ET,2,CONTAC12,,,,1      ! KEYOPT(4) = 1 GAP SIZE BY NODE LOCATION
R,1,1                   ! AREA = 1 - SPAR ELEMENT
R,2,-45,10E10           ! GAP ANGLE (GLOBAL) = -45, STIFFNESS = 10E10
MP,EX,1,10.5E6
MP,ALPX,,12.5E-6
LOCAL,11,0,,,,45        ! LOCAL COORDINATE SYSTEM
N,1                     ! DEFINE NODES
N,2,3
N,3,3.002
E,1,2                   ! DEFINE SPAR ELEMENT
TYPE,2
REAL,2
E,2,3                   ! DEFINE GAP ELEMENT
NROTAT,ALL              ! ROTATE NODES INTO LOCAL COORDINATE SYSTEM
BFUNIF,TEMP,170         ! BOUNDARY CONDITIONS AND LOADS
TREF,70
D,1,ALL,,,3,2
D,2,UY
SAVE                    ! SAVE DATABASE FOR SECOND ANALYSIS
FINISH
/SOLU
NSUBST,5
OUTPR,,LAST
AUTOTS,ON
SOLVE
FINISH
/POST1
ETABLE,STRS_2D,LS,1
*GET,STRSS_2D,ELEM,1,ETAB,STRS_2D
ETABLE,THST_2D,LEPTH,1
*GET,THSTR_2D,ELEM,1,ETAB,THST_2D
*DIM,VALUE_C1,,2,3
*VFILL,VALUE_C1(1,1),DATA,-6125,.00125
*VFILL,VALUE_C1(1,2),DATA,STRSS_2D,THSTR_2D
*VFILL,VALUE_C1(1,3),DATA,ABS(STRSS_2D/6125) ,ABS(THSTR_2D/.00125)
*DIM,LABEL,CHAR,2,2
LABEL(1,1) = 'STRESS  ','THERMAL '
LABEL(1,2) = '(psi)   ','STRAIN  '
SAVE,TABLE_1
FINISH
/CLEAR, NOSTART
/PREP7
RESUME                  ! RESUME DATABASE
C***           USING CONTAC52 AND LINK8 ELEMENTS (3-D)
ET,1,LINK8
ET,2,CONTAC52,,,,1      ! KEYOPT(4) = 1 GAP SIZE BY NODE LOCATION
R,2,10E10               ! STIFFNESS = 10E10 - GAP ELEMENT
LOCAL,11,0,,,,45,,-45   ! LOCAL COORDINATE SYSTEM
N,2,,,3                 ! REDEFINE NODES
N,3,,,3.002
NROTAT,ALL
D,1,ALL,,,3,2           ! BOUNDARY CONDITIONS AND LOADS
D,2,UY
D,2,UX
FINISH
/SOLU
NSUBST,5
OUTPR,,LAST
AUTOTS,ON
SOLVE
FINISH
/POST1
ETABLE,STRS_3D,LS,1
*GET,STRSS_3D,ELEM,1,ETAB,STRS_3D
ETABLE,THST_3D,LEPTH,1
*GET,THSTR_3D,ELEM,1,ETAB,THST_3D
*DIM,VALUE_C2,,2,3
*VFILL,VALUE_C2(1,1),DATA,-6125,.00125
*VFILL,VALUE_C2(1,2),DATA,STRSS_3D,THSTR_3D
*VFILL,VALUE_C2(1,3),DATA,ABS(STRSS_3D/6125 ) ,ABS(THSTR_3D/.00125 )
*DIM,LABEL,CHAR,2,2
LABEL(1,1) = 'STRESS  ','THERMAL '
LABEL(1,2) = '(psi)   ','STRAIN  '
SAVE,TABLE_2
RESUME,TABLE_1
/COM
/OUT,vm27,vrt
/COM,------------------- VM27 RESULTS COMPARISON ---------------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,RESULTS FOR 2-D ANALYSIS:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_C1(1,1),VALUE_C1(1,2),VALUE_C1(1,3)
(1X,A8,A8,'   ',F11.5,'  ',F11.5,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,RESULTS FOR 3-D ANALYSIS:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_C2(1,1),VALUE_C2(1,2),VALUE_C2(1,3)
(1X,A8,A8,'   ',F11.5,'  ',F11.5,'   ',1F5.3)

/COM,-----------------------------------------------------------------
/OUT
FINISH
*LIST,vm27,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM26 Input Listing 		Up / Home Next
VM28 Input Listing


VM28 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM28
/PREP7
/TITLE, VM28,  TRANSIENT HEAT TRANSFER IN AN INFINITE SLAB
/COM,   "HEAT TRANSFER", HOLMAN, 4TH ED., PG. 106
/NOPR
ANTYPE,TRANS
ET,1,PLANE77
MP,KXX,1,54
MP,DENS,1,7833
MP,C,1,465
N,1
N,12,,1
FILL,,,,,,,,.1                      ! BIAS MESH TOWARD SURFACE WITH 1:10 RATIO
NGEN,2,12,1,12,1,.1                 ! GENERATE EDGE NODES
E,1,13,14,2
EGEN,11,1,-1                        ! GENERATE ELEMENTS FROM EDGE NODES
EMID                                ! PLACE MIDSIDE NODES ON ELEMENTS
NSEL,S,LOC,X,0
NLIST,ALL                           ! LIST NODES ALONG LENGTH
NSEL,S,LOC,Y,1
SF,ALL,CONV,50,1000                 ! APPLY CONVECTION TO TOP SURFACE
NSEL,ALL
TUNIF,0                             ! DEFINE INITIAL TEMPERATURES, T(0)
FINISH
/SOLU
SOLCONTROL,0
KBC,1                               ! STEP BOUNDARY CONDITIONS
DELTIM,10                           ! MINIMUM TIME STEP
TIME,2000.0                         ! TIME AT END OF TRANSIENT
OUTRES,,ALL
AUTOTS,ON
SOLVE
FINISH
/POST26
NSOL,2,11,TEMP,,T11                 ! STORE TEMPERATURES AT SELECT NODES
NSOL,3,9,TEMP,,T9
NSOL,4,7,TEMP,,T7
NSOL,5,5,TEMP,,T5
NSOL,6,1,TEMP,,T1
PRVAR,2,3,4,5,6                     ! PRINT TEMPERATURE SOLUTION VS. TIME
*GET,TEMP_11,NODE,11,TEMP
*GET,TEMP_9,NODE,9,TEMP
*GET,TEMP_7,NODE,7,TEMP
*GET,TEMP_5,NODE,5,TEMP

*DIM,LABEL,CHAR,4,2
*DIM,VALUE,,4,3
LABEL(1,1) = 'TEMP (C)','TEMP (C)','TEMP (C)','TEMP (C)'
LABEL(1,2) = ' NODE 11',' NODE 9 ',' NODE 7 ',' NODE 5 '
*VFILL,VALUE(1,1),DATA,140,98.9,51.8,14.5
*VFILL,VALUE(1,2),DATA,TEMP_11,TEMP_9,TEMP_7,TEMP_5
*VFILL,VALUE(1,3),DATA,ABS(TEMP_11/140),ABS(TEMP_9/98.9),ABS(TEMP_7/51.8),ABS(TEMP_5/14.5)
/COM
/OUT,vm28,vrt
/COM,------------------- VM28 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,-----------------------------------------------------------

/OUT
FINISH
*LIST,vm28,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM27 Input Listing 		Up / Home Next
VM29 Input Listing


VM29 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM29
/PREP7
/TITLE, VM29, FRICTION ON A SUPPORT BLOCK
C***VECTOR MECHANICS FOR ENGINEERS, BEER AND JOHNSTON, 1962, PAGE 283, PROB. 8.2
ANTYPE,STATIC
ET,1,CONTAC12
R,1,-20,1E6                ! THETA = -20, STIFFNESS = 1E6
MP,MU,1,.3                 ! COEFFICIENT OF FRICTION
N,1                        ! CREATE NODES
N,2
E,1,2                      ! CREATE ELEMENT
D,1,ALL                    ! BOUNDARY CONDITIONS AND LOADS
F,2,FX,-5.76729            ! STICKING LOAD
F,2,FY,-100
NSUBST,1                   ! LIMIT TO ONE ITERATION TO PREVENT DIVERGENCE
OUTPR,BASIC,ALL            ! PRINT NODAL DOF, REACTION & ELEMENT SOLUTION
OUTPR,NLOAD,ALL            ! PRINT ELEMENT NODAL LOADS
KBC,1                      ! STEP CHANGE IN B.C.'S
FINISH
/SOLU
SOLVE
FINISH
/POST1
ETAB,NOR_FC1,SMISC,1
ETAB,SLI_FC1,SMISC,2
*GET,NORM_FC1,ELEM,1,ETAB,NOR_FC1
*GET,SLID_FC1,ELEM,1,ETAB,SLI_FC1
*DIM,LABEL,CHAR,2,2
*DIM,VALUE_C1,,2,3
LABEL(1,1) = 'NORMAL F','SLIDING '
LABEL(1,2) = 'ORCE  lb','FORCE lb'
*VFILL,VALUE_C1(1,1),DATA,-95.942,28.783
*VFILL,VALUE_C1(1,2),DATA,NORM_FC1,SLID_FC1
*VFILL,VALUE_C1(1,3),DATA,ABS(NORM_FC1/95.942),ABS(SLID_FC1/28.783)
SAVE,TABLE_1
FINISH
/SOLU
F,2,FX,-5.76720            ! SLIDING LOAD
SOLVE
FINISH
/POST1
ETAB,NOR_FC2,SMISC,1
ETAB,SLI_FC2,SMISC,2
*GET,NORM_FC2,ELEM,1,ETAB,NOR_FC2
*GET,SLID_FC2,ELEM,1,ETAB,SLI_FC2
*DIM,VALUE_C2,,2,3
LABEL(1,1) = 'NORMAL F','SLIDING '
LABEL(1,2) = 'ORCE  lb','FORCE lb'
*VFILL,VALUE_C2(1,1),DATA,-95.942,28.783
*VFILL,VALUE_C2(1,2),DATA,NORM_FC2,SLID_FC2
*VFILL,VALUE_C2(1,3),DATA,ABS(NORM_FC2/95.942),ABS(SLID_FC2/28.783)
SAVE,TABLE_2
RESUME,TABLE_1
/COM
/OUT,vm29,vrt
/COM,------------------- VM29 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,FX = 5.76729 LB AND MODEL IS STICKING:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_C1(1,1),VALUE_C1(1,2),VALUE_C1(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,FX = 5.76720 LB AND MODEL IS SLIDING:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_C2(1,1),VALUE_C2(1,2),VALUE_C2(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm29,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM28 Input Listing 		Up / Home Next
VM30 Input Listing


VM30 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM30
/PREP7
SMRT,OFF
/TITLE, VM30, SOLID MODEL OF SURFACE FILLET
/COM,   REF:  NAFEMS BENCHMARKS FOR FINITE ELEMENT PRE-PROCESSORS
/COM,         D.R. HOSE, I.A. RUTHERFORD, REF R0001, ISSUED 12/2/93, PP. 23.
/COM,
ET,1,SHELL93                       ! 8-NODE STRUCTURAL SHELL
L=8.0                              ! BASE LENGTH
H=2.0                              ! BASE HEIGHT
RECTNG,,L/2,,H,                    ! CREATE RECTANGULAR AREA
WPROTA,,90                         ! ROTATE POSITIVE Y TOWARDS Z
PTXY,0,0,-2,2,6,2,4,0,             ! DEFINE COORDINATE PAIRS FOR POLYGON
POLY                               ! DEFINE POLYGONAL AREA
AGLUE,1,2                          ! GLUE AREAS 1 AND 2
AFILLT,1,3,1                       ! CREATE AREA FILLET WITH CONSTANT RADIUS=1
/FACET,WIRE
/VIEW,1,1,2,3
/PNUM,AREA,1                       ! TURN ON AREA NUMBERING
APLOT                              ! PLOT AREAS
ACCAT,ALL                          ! CONCATENATE AREAS
LSEL,S,LINE,,5                     ! SELECT LINES TO CONCATENATE
LSEL,A,LINE,,21,24,3
LCCAT,ALL                          ! CONCATENATE LINES
LSEL,S,LINE,,20,23,3               ! SELECT LINES TO CONCATENATE
LSEL,A,LINE,,7
LCCAT,ALL                          ! CONCATENATE LINES
MSHK,1                             ! MAPPED AREA MESH
MSHA,0,2D                          ! USING QUADS
AMESH,1                            ! MESH USING DEFAULT ELEMENT SIZE
EPLOT                              ! PLOT ELEMENTS
LOCAL,11,,,,,,,-45                 ! ROTATE X TOWARDS Z
DSYS,11
NROTAT,ALL
NSEL,S,LOC,X,-.1,.1
*GET,NXMAX,NODE,,MXLOC,X           ! CHECK THE POSITIVE DEVIATION FROM ZERO
*GET,NXMIN,NODE,,MNLOC,X           ! CHECK THE NEGATIVE DEVIATION FROM ZERO
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'MAX LOCA','MIN LOCA'
LABEL(1,2) = 'TION    ','TION    '
*VFILL,VALUE(1,1),DATA,0,0
*VFILL,VALUE(1,2),DATA,NXMAX,NXMIN
*VFILL,VALUE(1,3),DATA,0,0
/COM
/OUT,vm30,vrt
/COM,------------------- VM30 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,DEVIATION:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',E10.3,'   ',1F5.3)
/COM,
/COM,NOTE: THE LARGER OF THE TWO DEVIATIONS LISTED IS THE 'MAXIMUM DEVIATION'
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm30,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM29 Input Listing 		Up / Home Next
VM31 Input Listing


VM31 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM31
/PREP7
/TITLE, VM31, CABLE SUPPORTING HANGING LOADS
C***VECTOR MECHANICS FOR ENGINEERS, BEER AND JOHNSTON, 1962, PAGE 260, PROB. 7.8
ANTYPE,STATIC
ET,1,LINK10
R,1,.1,1E-8         ! AREA = .1, INITIAL STRAIN = .00000001
SSTIF,ON            ! STRESS STIFFENING
MP,EX,1,20E6
N,1                 ! DEFINE NODES
N,2,20,-5.56
N,3,30,-5
N,4,45,5.83
N,5,60,20
E,1,2               ! DEFINE ELEMENTS
EGEN,4,1,1
NSUBST,3
OUTPR,,3
OUTPR,NLOAD,3       ! PRINT NODAL FORCES
KBC,1               ! STEP CHANGE B.C.'S
D,1,ALL,,,5,4       ! BOUNDARY CONDITIONS AND LOADS
D,2,UZ,,,4
F,2,FY,-6
F,3,FY,-12
F,4,FY,-4
FINISH
/SOLU
SOLVE
FINISH
/POST26
RFORCE,2,1,F,X
RFORCE,3,1,F,Y
STORE
*GET,AX,VARI,2,EXTREM,VMAX
*GET,AY,VARI,3,EXTREM,VMAX
FINISH
/POST1
ETABLE,MFX,SMISC,1
*GET,MX_FOR_X,ELEM,4,ETAB,MFX

*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'AX, (kip','AY, (kip','MAX TENS'
LABEL(1,2) = 's)      ','s)      ',' (kips) '
*VFILL,VALUE(1,1),DATA,-18.000,5.0000,24.762
*VFILL,VALUE(1,2),DATA,AX,AY,MX_FOR_X
*VFILL,VALUE(1,3),DATA,ABS(AX/18.000) ,ABS(AY/5.000),ABS(MX_FOR_X/24.762)
/COM
/OUT,vm31,vrt
/COM,------------------- VM31 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/COM,-----------------------------------------------------------

/OUT
FINISH
*LIST,vm31,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM30 Input Listing 		Up / Home Next
VM32 Input Listing


VM32 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM32
/PREP7
/TITLE, VM32, THERMAL STRESSES IN A LONG CYLINDER
!           STR. OF MATLS., TIMOSHENKO, PART 2, 3RD ED., PAGE 234, PROB. 1
!           THERMAL SOLUTION ***
ET,1,PLANE55,,,1       ! AXISYMMETRIC KEYOPT(S) OPTION
ET,2,PLANE55,,,1
MP,KXX,1,3
N,1,.1875
N,8,.625
FILL,,,,,,,,2          ! BIAS MESH DENSITY TOWARD CENTERLINE
NGEN,2,10,1,8,1,,.1
E,11,1,2,12
TYPE,2
E,12,2,3,13
EGEN,5,1,2
TYPE,1
E,8,18,17,7
FINISH
/SOLU
ANTYPE,STATIC
D,1,TEMP,-1,,11,10     ! APPLY TEMPERATURES TO INNER AND OUTER SURFACES
D,8,TEMP,,,18,10
OUTPR,BASIC,ALL
SOLVE
FINISH
/POST1
LFT_NODE = NODE (0.1875,0,0)
IN_NODE  = NODE (0.2788,0,0)
RT_NODE  = NODE (0.625,0,0)
*GET,LFT_TEMP,NODE,LFT_NODE,TEMP
*GET,IN_TEMP,NODE,IN_NODE,TEMP
*GET,RT_TEMP,NODE,RT_NODE,TEMP
*DIM,VALUE_C1,,3,3
*VFILL,VALUE_C1(1,1),DATA,-1,-.67037,0
*VFILL,VALUE_C1(1,2),DATA,LFT_TEMP,IN_TEMP,RT_TEMP
*VFILL,VALUE_C1(1,3),DATA,ABS(LFT_TEMP/1 ),ABS(IN_TEMP/.67037 ),0
*DIM,LABEL_1,CHAR,3,2
LABEL_1(1,1) = 'T (C) X=','T (C) X=','T (C) X='
LABEL_1(1,2) = '.1875 in','.2788 in','0.625 in'
SAVE,TABLE_1

FINISH
/PREP7
!           STRESS SOLUTION, STATIC ANALYSIS   ***
ETCHG,TTS              ! CHANGE ELEMENT TYPE PLANE55 TO PLANE42
KEYOPT,1,1,2
KEYOPT,1,3,1
KEYOPT,2,1,2
KEYOPT,2,3,1
MP,EX,1,30E6           ! DEFINE STRUCTURAL PROPERTIES
MP,ALPX,,1.435E-5
MP,NUXY,1,.3
CPNGEN,7,UY,11,18      ! COUPLE APPROPRIATE NODAL DISPLACEMENTS
CP,8,UX,1,11
CPSGEN,8,1,8
FINISH
/SOLU
ANTYPE,STATIC
D,1,UY,,,8
LDREAD,TEMP,,,,,,rth   ! READ IN BODY FORCE TEMPERATURES
SOLVE
FINISH
/POST1
LFT_NODE = NODE (0.1875,0,0)
RT_NODE  = NODE (0.625,0,0)
*GET,LFT_AXST,NODE,LFT_NODE,S,Y
*GET,LFT_TST,NODE,LFT_NODE ,S,Z
*GET,RT_AXST,NODE,RT_NODE,S,Y
*GET,RT_TST,NODE,RT_NODE ,S,Z
*DIM,VALUE_C2,,4,3
*VFILL,VALUE_C2(1,1),DATA,420.42,420.42,-194.58,-194.58
*VFILL,VALUE_C2(1,2),DATA,LFT_AXST,LFT_TST,RT_AXST,RT_TST
*VFILL,VALUE_C2(1,3),DATA,ABS(LFT_AXST/420.42),ABS(LFT_TST/420.42),ABS(RT_AXST/194.58)
*VFILL,VALUE_C2(4,3),DATA,ABS(RT_TST/194.58)
*DIM,LABEL_2,CHAR,4,2
LABEL_2(1,1) = 'A_STS ps','T_STS ps','A_STS ps','T_STS ps'
LABEL_2(1,2) = 'i X=.187','i X=.187','i X=.625','i X=.625'
SAVE,TABLE_2
RESUME,TABLE_1
/COM
/OUT,vm32,vrt
/COM,------------------- VM32 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,THERMAL ANALYSIS:
/COM,
*VWRITE,LABEL_1(1,1),LABEL_1(1,2),VALUE_C1(1,1),VALUE_C1(1,2),VALUE_C1(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/NOPR,
RESUME,TABLE_2
/GOPR
/COM,STATIC ANALYSIS:
/COM,
*VWRITE,LABEL_2(1,1),LABEL_2(1,2),VALUE_C2(1,1),VALUE_C2(1,2),VALUE_C2(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/COM,
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm32,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM31 Input Listing 		Up / Home Next
VM33 Input Listing


VM33 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM33
/PREP7
SMRT,OFF
/TITLE, VM33, TRANSIENT THERMAL STRESS IN A CYLINDER
/COM,   REF: ROARK AND YOUNG "FORMULAS FOR STRESS AND STRAIN",5TH
/COM,   EDITION, MCGRAW-HILL, PG. 585
/COM,
ET,1,SOLID5                    ! SOLID5 UX,UY,UZ,TEMP,VOLT,MAG DOF SET
MP,KXX,1,625E-6                ! DEFINE THERMAL CONDUCTIVITY
MP,EX,1,30E6                   ! MODULUS OF ELASTICITY
MP,NUXY,1,.3                   ! POISSON'S RATIO
MP,ALPX,1,8.4E-6               ! COEFFICIENT OF THERMAL EXPANSION
MP,DENS,1,.284                 ! DENSITY (LB/IN**3)
MP,C,1,.10                     ! SPECIFIC HEAT
CSYS,1
H=.20                          ! MODEL HEIGHT
TH=2.5                         ! MODEL HALF-ANGLE
A=1                            ! INNER RADIUS
B=3                            ! OUTER RADIUS
K,1,A,TH                       ! DEFINE KEYPOINTS
K,2,B,TH
KGEN,2,1,2,1,,,H
KGEN,2,1,4,1,,-(TH*2)
L,1,2                          ! DEFINE LINE SEGMENTS
*REPEAT,4,2,2
LESIZE,ALL,,,15,5
ESIZE,,1
V,1,2,4,3,5,6,8,7              ! DEFINE VOLUME
MSHK,1                         ! MAPPED VOLUME MESH
MSHA,0,3D                      ! USING HEX
VMESH,1                        ! MESH VOLUME
NSEL,S,LOC,Y,TH
NSEL,A,LOC,Y,-TH
DSYM,SYMM,Y,1                  ! DEFINE STRUCTURAL B.C.
NSEL,S,LOC,Z
DSYM,SYMM,Z,1
NSEL,S,LOC,Z,H                 ! SELECT NODES ON TOP SURFACE
CP,1,UZ,ALL                    ! COUPLE ALL NODES IN UZ
NSEL,S,LOC,X,B                 ! SELECT NODES AT OUTER RADIUS
D,ALL,TEMP,500                 ! DEFINE FINAL SURFACE TEMPERATURE
NSEL,ALL
FINISH
/SOLU
ANTYPE,TRANS                   ! TRANSIENT ANALYSIS
TIMINT,OFF,STRUC               ! SUPPRESS STRUCTURAL DYNAMICS
CNVTOL,HEAT                    ! CONVERGENCE BASED ON HEAT FLOWS
CNVTOL,F                       !  AND FORCES ONLY
AUTOTS,ON                      ! AUTOMATIC TIME STEPPING
OUTRES,,ALL                    ! RESULTS FOR ALL TIME POINTS
KBC,0                          ! RAMP LOAD OVER LOAD STEP
TREF,70                        ! SET REFERENCE TEMPERATURE
TUNIF,70                       ! SET INITIAL UNIFORM TEMPERATURE
DELTIM,1,,60                   ! MINIMUM TIME STEP OF 1 SEC
TIME,430                       ! TIME AT END OF LOAD STEP
SOLVE
FINISH
/POST1
*GET,IN_STRS,NODE,1,S,Y
*GET,OUT_STRS,NODE,2,S,Y
FINISH
/POST26
NSOL,2,1,TEMP                  ! STORE TEMP AT INNER RADIUS
NSOL,3,2,TEMP                  ! STORE TEMP AT OUTER RADIUS
ESOL,4,1,1,S,Y,SYB             ! STORE SY AT INNER RADIUS
ESOL,5,15,2,S,Y,SYC            ! STORE SY AT OUTER RADIUS
ADD,6,3,2,,DELT,,,1,-1         ! CALCULATE DELTA TEMP. (OUTER-INNER)
PRVAR,2,3,4,5,6                ! PRINT VARIABLES VS. TIME
/GRID,1
/AXLAB,Y,DELT
PLVAR,6                        ! DISPLAY DELTA TEMP. VS TIME
/AXLAB,Y,SY
PLVAR,4,5                      ! DISPLAY SY VS. TIME

*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'STRS R=B','STRS R=A'
LABEL(1,2) = '(PSI)   ','(PSI)   '
*VFILL,VALUE(1,1),DATA,-13396,10342
*VFILL,VALUE(1,2),DATA,OUT_STRS,IN_STRS
*VFILL,VALUE(1,3),DATA,ABS(OUT_STRS/13396),ABS(IN_STRS/10342)
/COM
/OUT,VM33,VRT
/COM,------------------- VM33 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,SOLID5
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/OUT
FINISH
!
/CLEAR,NOSTART
/UNITS,BIN
/PREP7
SMRT,OFF
ET,1,SOLID226,11,0             ! SOLID226 UX,UY,UZ,TEMP
MP,KXX,1,625E-6*9.34E3         ! DEFINE THERMAL CONDUCTIVITY, LBF/(S-F)
MP,EX,1,30E6                   ! MODULUS OF ELASTICITY, PSI
MP,NUXY,1,.3                   ! POISSON'S RATIO
MP,ALPX,1,8.4E-6               ! COEFFICIENT OF THERMAL EXPANSION, 1/F
MP,DENS,1,.284                 ! DENSITY (LB/IN**3)
MP,C,1,0.10*9.34E3             ! SPECIFIC HEAT, LBF-IN/(F-LB)
CSYS,1
H=.20                          ! MODEL HEIGHT
TH=2.5                         ! MODEL HALF-ANGLE
A=1                            ! INNER RADIUS
B=3                            ! OUTER RADIUS
K,1,A,TH                       ! DEFINE KEYPOINTS
K,2,B,TH
KGEN,2,1,2,1,,,H
KGEN,2,1,4,1,,-(TH*2)
L,1,2                          ! DEFINE LINE SEGMENTS
*REPEAT,4,2,2
LESIZE,ALL,,,15,5
ESIZE,,1
V,1,2,4,3,5,6,8,7              ! DEFINE VOLUME
MSHK,1                         ! MAPPED VOLUME MESH
MSHA,0,3D                      ! USING HEX
VMESH,1                        ! MESH VOLUME
NSEL,S,LOC,Y,TH
NSEL,A,LOC,Y,-TH
DSYM,SYMM,Y,1                  ! DEFINE STRUCTURAL B.C.
NSEL,S,LOC,Z
DSYM,SYMM,Z,1
NSEL,S,LOC,Z,H                 ! SELECT NODES ON TOP SURFACE
CP,1,UZ,ALL                    ! COUPLE ALL NODES IN UZ
NSEL,S,LOC,X,B                 ! SELECT NODES AT OUTER RADIUS
D,ALL,TEMP,500                 ! DEFINE FINAL SURFACE TEMPERATURE
NSEL,ALL
FINISH
/SOLU
ANTYPE,TRANS                   ! TRANSIENT ANALYSIS
CNVTOL,HEAT                    ! CONVERGENCE BASED ON HEAT FLOWS
CNVTOL,F                       !  AND FORCES ONLY
AUTOTS,ON                      ! AUTOMATIC TIME STEPPING
OUTRES,,ALL                    ! RESULTS FOR ALL TIME POINTS
KBC,0                          ! RAMP LOAD OVER LOAD STEP
TREF,70                        ! SET REFERENCE TEMPERATURE
TUNIF,70                       ! SET INITIAL UNIFORM TEMPERATURE
TOFFST,460
DELTIM,1,,60                   ! MINIMUM TIME STEP OF 1 SEC
TIME,430                       ! TIME AT END OF LOAD STEP
SOLVE
FINISH
/POST1
*GET,IN_STRS,NODE,1,S,Y
*GET,OUT_STRS,NODE,2,S,Y
FINISH
/POST26
NSOL,2,1,TEMP                  ! STORE TEMP AT INNER RADIUS
NSOL,3,2,TEMP                  ! STORE TEMP AT OUTER RADIUS
ESOL,4,1,1,S,Y,SYB             ! STORE SY AT INNER RADIUS
ESOL,5,15,2,S,Y,SYC            ! STORE SY AT OUTER RADIUS
ADD,6,3,2,,DELT,,,1,-1         ! CALCULATE DELTA TEMP. (OUTER-INNER)
PRVAR,2,3,4,5,6                ! PRINT VARIABLES VS. TIME
/GRID,1
/AXLAB,Y,DELT
PLVAR,6                        ! DISPLAY DELTA TEMP. VS TIME
/AXLAB,Y,SY
PLVAR,4,5                      ! DISPLAY SY VS. TIME
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'STRS R=B','STRS R=A'
LABEL(1,2) = '(PSI)   ','(PSI)   '
*VFILL,VALUE(1,1),DATA,-13396,10342
*VFILL,VALUE(1,2),DATA,OUT_STRS,IN_STRS
*VFILL,VALUE(1,3),DATA,ABS(OUT_STRS/13396),ABS(IN_STRS/10342)
/COM
/OUT,VM33,VRT,,APPEND
/COM,SOLID226
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,VM33,VRT

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM32 Input Listing 		Up / Home Next
VM34 Input Listing


VM34 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM34
/TITLE, VM34, BENDING OF A TAPERED PLATE (BEAM)
C***     INTROD. TO STRESS ANALYSIS, HARRIS, 1ST PRINTING, PAGE 114, PROB. 61
C***     PLATE ELEMENTS (SHELL63)
/PREP7
ANTYPE,STATIC               ! STATIC ANALYSIS
ET,1,SHELL63,2
R,1,.5                      ! THICKNESS = 0.5
MP,EX,1,30E6
MP,NUXY,1,0                 ! POISSON'S RATIO IS ZERO
N,1
N,8,20,-1.5
FILL
N,11
N,18,20,1.5
FILL
E,1,2,12
E,2,3,12
E,13,12,3
E,3,4,14
E,14,13,3
EGEN,3,2,2,5
CP,1,UZ,2,12                ! COUPLE APPROPRIATE DEGREES OF FREEDOM
CP,2,ROTY,2,12
CPSGEN,6,1,1,2              ! GENERATE 6 SETS OF EQUATIONS
OUTPR,ALL,ALL
D,8,ALL,,,18,10
D, ALL,ROTX,0               ! REMOVE "TORSIONAL" DEGREES OF FREEDOM
F,1,FZ,-10
FINISH
/SOLU
SOLVE
FINISH
/POST1
ETABLE,STRS,S,1             ! STORE S1(TOP) FOR SHELL63
ESORT,STRS                  ! SORT ELEMENTS BASED ON S1(TOP)
*GET,SMAX,SORT,,MAX         ! GET MAXIMUM S1 AS SMAX
PRNSOL,DOF                  ! PRINT NODAL DISPLACEMENTS
LFT_NODE = NODE (0,0,0)
*GET,DEFL,NODE,LFT_NODE,U,Z
*DIM,LABEL,CHAR,2,2
*DIM,VALUE_C1,,2,3
LABEL(1,1) = 'DEFLECTI','MX_PRIN_'
LABEL(1,2) = 'ON (in) ','STRS psi'
*VFILL,VALUE_C1(1,1),DATA,-.042667,1600
*VFILL,VALUE_C1(1,2),DATA,DEFL,SMAX
*VFILL,VALUE_C1(1,3),DATA,ABS(DEFL/.042667 ) ,ABS( SMAX/1600 )
FINISH
SAVE,TABLE_1
/CLEAR, NOSTART
/PREP7
/TITLE, VM34, BENDING OF A TAPERED PLATE (BEAM44)
C***          TAPERED BEAM ELEMENTS (BEAM44)
ANTYPE,STATIC               ! STATIC ANALYSIS
ET,1,BEAM44
*DO,I,1,10                  ! CREATE DO LOOP FOR REAL CONSTANTS
  R,I,  1,1,.003125*(I-1),.25,1
  RMORE,1,1,.003125* I   ,.25,1
*ENDDO
RMOD,1,3,.5E-3              !  GIVE FREE END A POSITIVE MOMENT OF INERTIA
RLIST
MP,EX,1,30E6
MP,GXY,1,30E6/2.6
N,1
N,11,20
FILL
N,12,,,1                    ! NODE 12 FOR ALIGNING BEAM AXES
NGEN,10,1,12                ! NODES 12 TO 21 ARE COINCIDENT
E,1,2,12
EGEN,10,1,1,,,,,1           ! GENERATE ELEMENTS WITH REAL CONSTANT INCREASED BY 1
D,11,ALL
D,1,UY,,,10,,ROTX,ROTZ
F,1,FZ,-10
OUTPR,ALL,ALL
FINISH
/SOLU
SOLVE
FINISH
/POST1
ETABLE,STRS,NMISC,1         ! STORE SMAX (MAXIMUM STRESS) FOR BEAM44
ESORT,STRS                  ! SORT ELEMENTS BASED ON SMAX (MAXIMUM STRESS)
*GET,SMAX,SORT,,MAX         ! GET MAXIMUM STRESS AS SMAX
PRNSOL,DOF                  ! PRINT NODAL DISPLACEMENTS
LFT_NODE = NODE (0,0,0)
*GET,DEFL,NODE,LFT_NODE,U,Z
*DIM,LABEL,CHAR,2,2
*DIM,VALUE_C2,,2,3
LABEL(1,1) = 'DEFLECTI','MX_PRIN_'
LABEL(1,2) = 'ON (in) ','STRS psi'
*VFILL,VALUE_C2(1,1),DATA,-.042667,1600
*VFILL,VALUE_C2(1,2),DATA,DEFL,SMAX
*VFILL,VALUE_C2(1,3),DATA,ABS(DEFL/.042667 ) ,ABS( SMAX/1600 )
FINISH
SAVE,TABLE_2
/CLEAR, NOSTART
/PREP7
/TITLE, VM34, BENDING OF A TAPERED PLATE (BEAM188)
C***          TAPERED BEAM ELEMENTS (BEAM188)
ANTYPE,STATIC               ! STATIC ANALYSIS
ET,1,BEAM188
MP,EX,1,30E6
MP,NUXY,1,0                 ! POISSON'S RATIO IS ZERO
SECTYPE,1,BEAM,RECT         ! RECTANGULAR BEAM CROSS-SECTION
SECDATA,1E-6,0.5           ! CROSS-SECTION AT LEFT END OF TAPERED BEAM
SECTYPE,2,BEAM,RECT         ! RECTANGULAR BEAM CROSS-SECTION
SECDATA,3.0,0.5             ! CROSS-SECTION AT RIGHT END OF TAPERED BEAM
SECTYPE,3,TAPER             ! TAPERED BEAM
SECDATA,1, 0.0,0.0          ! STARTING LOCATION OF TAPERED BEAM
SECDATA,2, 20.0, 0.0        ! ENDING LOCATION OF TAPERED BEAM
N,1
N,8,20
FILL
N,10,,,1
NGEN,8,1,10
SECNUM,3
E,1,2,10
EGEN,7,1,1,,,,,1
D,8,ALL
D,1,UY,,,7,,ROTX,ROTZ
F,1,FZ,-10
FINISH
/SOLU
SOLVE
FINISH
/POST1
*GET,SMAX,SECR,ALL,S,X,MAX  ! HIGHEST COMPONENT TOTAL STRESS OF ALL ELEMENTS
PRNSOL,DOF                  ! PRINT NODAL DISPLACEMENTS
LFT_NODE = NODE (0,0,0)
*GET,DEFL,NODE,LFT_NODE,U,Z
*DIM,LABEL,CHAR,2,2
*DIM,VALUE_C3,,2,3
LABEL(1,1) = 'DEFLECTI','MX_PRIN_'
LABEL(1,2) = 'ON (in) ','STRS psi'
*VFILL,VALUE_C3(1,1),DATA,-.042667,1600
*VFILL,VALUE_C3(1,2),DATA,DEFL,SMAX
*VFILL,VALUE_C3(1,3),DATA,ABS(DEFL/.042667 ) ,ABS( SMAX/1600 )
FINISH
SAVE,TABLE_3
/CLEAR, NOSTART
/TITLE, VM34, BENDING OF A TAPERED PLATE (BEAM)
C***     SHELL ELEMENTS (SHELL181)
/PREP7
ANTYPE,STATIC               ! STATIC ANALYSIS
ET,1,SHELL181
R,1,.5                      ! THICKNESS = 0.5
MP,EX,1,30E6
MP,NUXY,1,0                 ! POISSON'S RATIO IS ZERO
N,1
N,8,20,-1.5
FILL
N,11
N,18,20,1.5
FILL
E,1,2,12
E,2,3,12
E,13,12,3
E,3,4,14
E,14,13,3
EGEN,3,2,2,5
CP,1,UZ,2,12                ! COUPLE APPROPRIATE DEGREES OF FREEDOM
CP,2,ROTY,2,12
CPSGEN,6,1,1,2              ! GENERATE 6 SETS OF EQUATIONS
OUTPR,ALL,ALL
D,8,ALL,,,18,10
D, ALL,ROTX,0               ! REMOVE "TORSIONAL" DEGREES OF FREEDOM
F,1,FZ,-10
FINISH
/SOLU
SOLVE
FINISH
/POST1
ETABLE,STRS,S,1             ! STORE S1(TOP) FOR SHELL181
ESORT,STRS                  ! SORT ELEMENTS BASED ON S1(TOP)
*GET,SMAX,SORT,,MAX         ! GET MAXIMUM S1 AS SMAX
PRNSOL,DOF                  ! PRINT NODAL DISPLACEMENTS
LFT_NODE = NODE (0,0,0)
*GET,DEFL,NODE,LFT_NODE,U,Z
*DIM,LABEL,CHAR,2,2
*DIM,VALUE_C4,,2,3
LABEL(1,1) = 'DEFLECTI','MX_PRIN_'
LABEL(1,2) = 'ON (in) ','STRS psi'
*VFILL,VALUE_C4(1,1),DATA,-.042667,1600
*VFILL,VALUE_C4(1,2),DATA,DEFL,SMAX
*VFILL,VALUE_C4(1,3),DATA,ABS(DEFL/.042667 ) ,ABS( SMAX/1600 )
FINISH
SAVE,TABLE_4
/CLEAR, NOSTART
/TITLE, VM34, BENDING OF A TAPERED PLATE (BEAM)
C***     SHELL ELEMENTS (SHELL281)
/PREP7
ANTYPE,STATIC               ! STATIC ANALYSIS
ET,1,SHELL281, , ,2
R,1,.5                      ! THICKNESS = 0.5
MP,EX,1,30E6
MP,NUXY,1,0                 ! POISSON'S RATIO IS ZERO
K, ,0
K, ,20,-1.5
K, ,20,1.5
A,1,2,3
LSEL,S,LINE,,1,3,2
LESIZE,ALL, , ,7
LSEL,INVE
LESIZE,ALL, , ,1
LSEL,ALL
MSHAPE,1,2D
MSHKEY,0
AMESH,1
CP,1,UZ,3,30
CP,2,ROTY,3,30
CP,3,UZ,4,45,29
CP,4,ROTY,4,45,29
CP,5,UZ,5,31,28
CP,6,ROTY,5,31,28
CP,7,UZ,6,36,27
CP,8,ROTY,6,36,27
JJ=7
KK=44
LL=26
*DO,MM,9,23,2
CP,MM,UZ,JJ,KK,LL
CP,MM+1,ROTY,JJ,KK,LL
JJ = JJ+1
KK = KK-1
LL = LL-1
*ENDDO
CP,25,UZ,15,46,18
CP,26,ROTY,15,46,18
OUTPR,NSOL,ALL
OUTPR,RSOL,ALL
NSEL,S,LOC,X,20
D,ALL,ALL
NSEL,ALL
D,ALL,ROTX,0
F,1,FZ,-10
FINISH
/SOLU
SOLVE
FINISH
/POST1
ETABLE,STRS,S,1             ! STORE S1(TOP) FOR SHELL63
ESORT,STRS                  ! SORT ELEMENTS BASED ON S1(TOP)
*GET,SMAX,SORT,,MAX         ! GET MAXIMUM S1 AS SMAX
PRNSOL,DOF                  ! PRINT NODAL DISPLACEMENTS
LFT_NODE = NODE (0,0,0)
*GET,DEFL,NODE,LFT_NODE,U,Z
*DIM,LABEL,CHAR,2,2
*DIM,VALUE_C5,,2,3
LABEL(1,1) = 'DEFLECTI','MX_PRIN_'
LABEL(1,2) = 'ON (in) ','STRS psi'
*VFILL,VALUE_C5(1,1),DATA,-.042667,1600
*VFILL,VALUE_C5(1,2),DATA,DEFL,SMAX
*VFILL,VALUE_C5(1,3),DATA,ABS(DEFL/.042667 ) ,ABS( SMAX/1600 )
FINISH
SAVE,TABLE_5
/NOPR
RESUME,TABLE_1
/COM
/OUT,vm34,vrt
/COM,------------------- VM34 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,RESULTS USING SHELL63:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_C1(1,1),VALUE_C1(1,2),VALUE_C1(1,3)
(1X,A8,A8,'   ',F12.6,'  ',F12.6,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,RESULTS USING BEAM44:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_C2(1,1),VALUE_C2(1,2),VALUE_C2(1,3)
(1X,A8,A8,'   ',F12.6,'  ',F12.6,'   ',1F5.3)
/NOPR
RESUME,TABLE_3
/GOPR
/COM,
/COM,RESULTS USING TAPERED BEAM188:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_C3(1,1),VALUE_C3(1,2),VALUE_C3(1,3)
(1X,A8,A8,'   ',F12.6,'  ',F12.6,'   ',1F5.3)
/NOPR
RESUME,TABLE_4
/GOPR
/COM,
/COM,RESULTS USING SHELL181:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_C4(1,1),VALUE_C4(1,2),VALUE_C4(1,3)
(1X,A8,A8,'   ',F12.6,'  ',F12.6,'   ',1F5.3)
/NOPR
RESUME,TABLE_5
/GOPR
/COM,
/COM,RESULTS USING SHELL281:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_C5(1,1),VALUE_C5(1,2),VALUE_C5(1,3)
(1X,A8,A8,'   ',F12.6,'  ',F12.6,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm34,vrt
/DELETE,TABLE_1
/DELETE,TABLE_2
/DELETE,TABLE_3
/DELETE,TABLE_4
/DELETE,TABLE_5

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM33 Input Listing 		Up / Home Next
VM35 Input Listing


VM35 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM35
/PREP7
SMRT,OFF
/TITLE,VM35: BIMETALLIC LAYERED CANTILEVER PLATE WITH THERMAL LOADING
C***     ROARK AND YOUNG, FORMULAS FOR STRESS AND STRAIN, PP. 113-114.
C*** USING SHELL91
ANTYPE,STATIC
ET,1,SHELL91,,1,,0,4,1,1
R,1,2
RMORE
RMORE,1,0,.05            ! LAYER 1 IS MAT'L 1, .05 THICK
RMORE,2,,.05             ! LAYER 2 IS MAT'L 2, .05 THICK
MP,EX,1,3E7            ! MATERIAL PROPERTIES
MP,EX,2,3E7
MP,ALPX,1,1E-5
MP,ALPX,2,2E-5
MP,NUXY,1,0
MP,NUXY,2,0
K,1                    ! DEFINE GEOMETRY
K,2,,1
K,3,10,1
K,4,10
A,1,2,3,4
ESIZE,2                ! ELEMENT SIDE LENGTHS = 2
AMESH,1
NSEL,S,LOC,X
NSEL,R,LOC,Y,.5
D,ALL,ALL              ! FIX ONE END OF CANTILEVER
NSEL,S,LOC,Y,0.5
DSYM,SYMM,Y            ! SYMMETRY PLANE DOWN CENTERLINE
NSEL,ALL
TREF,70
BFUNIF,TEMP,170        ! DEFINE UNIFORM TEMPERATURE
FINISH
/SOLU
OUTPR,BASIC,1
SOLVE
FINISH
/POST1
SHELL,TOP              ! SELECT TOP SURFACE FOR STRESS PRINT
PRNSOL,S,COMP
NSEL,S,LOC,X,10        ! SELECT CENTERLINE OF FREE END FOR DISPLACEMENT PRINT
NSEL,R,LOC,Y,.5
PRNSOL,U,COMP
RT_NODE = NODE (10,.5,0)
*GET,DEF_Z,NODE,RT_NODE,U,Z
*GET,DEF_X,NODE,RT_NODE,U,X
*GET,OUT_STRS,NODE,1,S,X
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'RT_END U','RT_END U','LFT_END '
LABEL(1,2) = 'Z (in)  ','X (in)  ','STRS psi'
*VFILL,VALUE(1,1),DATA,.750,.015,7500
*VFILL,VALUE(1,2),DATA,DEF_Z,DEF_X,OUT_STRS
*VFILL,VALUE(1,3),DATA,ABS(DEF_Z/.750) ,ABS(DEF_X/.015),ABS(OUT_STRS/7500)
SAVE,TABLE_1
FINISH
/CLEAR, NOSTART
/TITLE,VM35: BIMETALLIC LAYERED CANTILEVER PLATE WITH THERMAL LOADING
C*** USING SHELL281
/PREP7
SMRT,OFF
/TITLE,VM35: BIMETALLIC LAYERED CANTILEVER PLATE WITH THERMAL LOADING
C***     ROARK AND YOUNG, FORMULAS FOR STRESS AND STRAIN, PP. 113-114.
ANTYPE,STATIC
ET,1,SHELL281,,,2
SECTYPE,1,SHELL
SECDATA,0.05,1,0       ! LAYER 1: 0.05 THICK, MAT'L 1, THETA 0
SECDATA,0.05,2,0       ! LAYER 2: 0.05 THICK, MAT'L 2, THETA 0,
MP,EX,1,3E7            ! MATERIAL PROPERTIES
MP,EX,2,3E7
MP,ALPX,1,1E-5
MP,ALPX,2,2E-5
MP,NUXY,1,0
MP,NUXY,2,0
K,1                    ! DEFINE GEOMETRY
K,2,,1
K,3,10,1
K,4,10
A,1,2,3,4
ESIZE,2                ! ELEMENT SIDE LENGTHS = 2
AMESH,1
NSEL,S,LOC,X
NSEL,R,LOC,Y,.5
D,ALL,ALL              ! FIX ONE END OF CANTILEVER
NSEL,S,LOC,Y,0.5
DSYM,SYMM,Y            ! SYMMETRY PLANE DOWN CENTERLINE
NSEL,ALL
TREF,70
BFUNIF,TEMP,170        ! DEFINE UNIFORM TEMPERATURE
FINISH
/SOLU
OUTPR,NSOL,1
OUTPR,RSOL,1
SOLVE
FINISH
/POST1
SHELL,TOP              ! SELECT TOP SURFACE FOR STRESS PRINT
PRNSOL,S,COMP
NSEL,S,LOC,X,10        ! SELECT CENTERLINE OF FREE END FOR DISPLACEMENT PRINT
NSEL,R,LOC,Y,.5
PRNSOL,U,COMP
RT_NODE = NODE (10,.5,0)
*GET,DEF_Z,NODE,RT_NODE,U,Z
*GET,DEF_X,NODE,RT_NODE,U,X
*GET,OUT_STRS,NODE,1,S,X
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'RT_END U','RT_END U','LFT_END '
LABEL(1,2) = 'Z (in)  ','X (in)  ','STRS psi'
*VFILL,VALUE(1,1),DATA,.750,.015,7500
*VFILL,VALUE(1,2),DATA,DEF_Z,DEF_X,OUT_STRS
*VFILL,VALUE(1,3),DATA,ABS(DEF_Z/.750) ,ABS(DEF_X/.015),ABS(OUT_STRS/7500)
SAVE,TABLE_2
RESUME,TABLE_1
/COM
/OUT,vm35,vrt
/COM,------------------- VM35 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM, SHELL91
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM, SHELL281
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm35,vrt
/DELETE,TABLE_1
/DELETE,TABLE_2

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM34 Input Listing 		Up / Home Next
VM36 Input Listing


VM36 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM36
/PREP7
/TITLE, VM36, LIMIT MOMENT ANALYSIS
!           MECHANICS OF SOLIDS, CRANDALL AND DAHL, 1959, PAGE 389, EX. 8.9
ANTYPE,STATIC
ET,1,BEAM4
ET,2,COMBIN40,,,5             ! ROTY D.O.F. SPRING
R,1,1,20,20,3.93597,3.93597   ! DEFINE THREE SETS OF REAL CONSTANTS
R,2,1E12,,,,27777.8
R,3,1,,,,1E6
MP,EX,1,30E6                  ! DEFINE MATERIAL PROPERTIES
MP,NUXY,1,.3
N,1                           ! BEGIN NODES DEFINITION
N,2,100
N,3,100
N,4,150
N,5,150
E,1,2                         ! DEFINE BEAM ELEMENTS
E,3,4
TYPE,2                        ! DEFINE BREAKAWAY HINGE ELEMENTS
REAL,2
E,2,3
E,4,5
REAL,3
E,2,3
E,4,5                         ! EXTRA ELEMENTS FOR SOLUTION STABILITY
OUTPR,ALL,ALL
CNVTOL,M,27778,.001
CP,1,UX,2,3                   ! COUPLE TRANSLATIONS ACROSS PLASTIC HINGE
CPLGEN,1,UZ                   ! GENERATE 2ND SET IN DIRECTION UZ W/ SAME NODES
CPSGEN,2,2,1,2,1              ! GENERATE TWO ADDITIONAL SETS W/ DIFFERENT NODES
DSYM,SYMM,Y                   ! CONSTRAIN MODEL SYMMETRICALLY IN Y DIRECTION
D,1,UZ                        ! CONSTRAIN SIMPLY SUPPORTED END AGAINST DISP.
D,4,UZ,,,,,UX                 ! CONSTRAIN RIGID END AGAINST TWO DIRECTIONAL DISP
D,5,ROTY                      ! CONSTRAIN RIGID END AGAINST ROTATIONAL MOVEMENT
F,2,FZ,-1000                  ! APPLY ELASTIC FORCE AT HINGE B
FINISH
/SOLU
SOLCONTROL,0
SOLVE                         ! WRITE LOAD STEP
FINISH
/POST26
RFORCE,2,1,F,Z
RFORCE,3,5,M,Y
STORE
*GET,RA,VARI,2,EXTREM,VMAX
*GET,MC,VARI,3,EXTREM,VMAX
*GET,UB,NODE,2,U,Z
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'DEFLECTI','REACTION','MOMENT_C'
LABEL(1,2) = 'ON (in) ','_A (lb) ',' (ib-lb)'
*VFILL,VALUE(1,1),DATA,-.02829,148.15,27778
*VFILL,VALUE(1,2),DATA,UB,RA,MC
*VFILL,VALUE(1,3),DATA,ABS(UB/.02829) ,ABS(RA/148.15 ),ABS(MC/27778)
SAVE,TABLE_1

finish
/solution

NSUBST,3                      ! USE CONVERGENCE CRITERIA,3 SUBSTEPS MAX
OUTPR,ALL,LAST                ! PRINT LAST ITERATION.
F,2,FZ,-1388.8                ! APPLY VALUE SLIGHTLY SMALLER THAN PL TO HINGE B
SOLVE
F,2,FZ,-1390                  ! APPLY VALUE SLIGHTLY LARGER THAN PL TO HINGE B
!                               LARGE DISPLACEMENT VALUES INDICATE COLLAPSE
!                               AND PLASTIC DEFORMATION
SOLVE

finish

RESUME,TABLE_1
/COM
/OUT,vm36,vrt
/COM,------------------- VM36 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,RESULTS FOR P=1000 LBS (ELSTIC):
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F11.5,'  ',F11.5,'   ',1F5.3)
/COM,-----------------------------------------------------------
/COM,
/COM,-----------------------------------------------------------
/COM,NOTE: THERE ARE VERIFIED RESULTS IN VM36 NOT CONTAINED IN
/COM,THIS TABLE
/COM,-----------------------------------------------------------

/OUT
FINISH
*LIST,vm36,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM35 Input Listing 		Up / Home Next
VM37 Input Listing


VM37 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM37
/PREP7
smrt,off
/TITLE, VM37, ELONGATION OF A SOLID BAR
/COM    INTROD. TO STRESS ANALYSIS, HARRIS, 1ST PRINTING, PAGE 237, PROB. 4
/COM    USING 3-D STRUCTURAL SOLID45 ELEMENTS
ANTYPE,STATIC
ET,1,SOLID45
MP,EX,1,10.4E6
MP,NUXY,1,.3
K,1,1,,1               ! DEFINE KEYPOINTS
K,2,-1,,1
K,3,-1,,-1
K,4,1,,-1
K,5,.5,10,.5
K,6,-.5,10,.5
K,7,-.5,10,-.5
K,8,.5,10,-.5
V,1,2,3,4,5,6,7,8      ! DEFINE VOLUME
LSEL,S,LINE,,5,11,2    ! SELECT LINES
LESIZE,ALL,,,7         ! DEVIDE SELECTED LINES BY 7 DIVISIONS
LSEL,ALL               ! SELECT ALL LINES
ESIZE,,1               ! USE 1 ELEMENT PER LINE DIVISION
/OUT,SCRATCH
VMESH,1                ! MESH THE VOLUME
/OUT
OUTPR,BASIC,ALL
NSEL,S,LOC,Y,0         ! APPLY BOUNDARY CONDITIONS AT THE BASE OF THE MODEL
D,ALL,ALL              ! FIX ALL DEGREES OF FREEDOM AT SELECTED NODE SET
NSEL,ALL
NSEL,S,LOC,Y,10        ! APPLY LOAD ON FREE END OF THE MODEL
SF,,PRES,-10000
NSEL,ALL
SAVE
FINISH
/SOLU
SOLVE
FINISH
*CREATE,RES3D,MAC      ! CREATE MACRO TO RETRIEVE RESULTS
/POST1
ETABLE,SIGY,S,Y        ! RETRIEVE CENTROIDAL SY
/VIEW,1,1              ! CHANGE VIEW TO LOOKING DOWN X-AXIS
/VUP,1,-Y              ! REORIENT MODEL ON SCREEN
!/CLABEL,1,1            ! LABEL CONTOUR LINES
!/CVAL,1,2700,3500,4300,5100,5900,6700,7500,8300  ! USER DEFINED CONTOURS
NSLE,S                 ! SELECT NODES ATTACHED TO ELEMENTS
PLNSOL,S,Y             ! DISPLAY AXIAL STRESS
ESEL,S,ELEM,,4         ! SELECT MID-LENGTH ELEMENT
PRETAB,SIGY            ! PRINT OUT STORED STRESS ITEM
PRNSOL,S,COMP          ! PRINT NODAL STRESSES
ESEL,ALL               ! SELECT ALL ELEMENTS
NSEL,S,LOC,Y,10        ! SELECT ALL NODES AT Y=10 (FREE END OF MODEL)
PRNSOL,DOF             ! PRINT OUT DISPLACEMENTS OF NODES
NSEL,ALL
/NOPR
MID_NODE = NODE(0,5,0)
MID_ELM = ENEARN(MID_NODE)
BOT_NODE = NODE (0,10,0)
*GET,DEF,NODE,BOT_NODE,U,Y
*GET,STRSS,ELEM,MID_ELM,ETAB,SIGY
*DIM,LABEL,CHAR,2,2
*DIM,VALUE_C1,,2,3
LABEL(1,1) = 'MAX DEF ','SIGY MID'
LABEL(1,2) = '(in)    ','_ELM psi'
*VFILL,VALUE_C1(1,1),DATA,.0048077,4444
*VFILL,VALUE_C1(1,2),DATA,DEF,STRSS
*VFILL,VALUE_C1(1,3),DATA,ABS(DEF/.0048077) ,ABS(STRSS/4444)
/GOPR
FINISH
*END
RES3D                  ! EXECUTE MACRO TO RETRIEVE RESULTS
SAVE,TABLE_1

/CLEAR, NOSTART        ! CLEAR DATABASE FOR SECOND SOLUTION
/TITLE, VM37, ELONGATION OF A SOLID BAR
/COM    USING 3-D STRUCTURAL SOLID185 ELEMENTS
/PREP7
RESUME
ET,1,SOLID185, ,2      ! ANALYZE AGAIN USING 3-D SOLID185
FINISH
/SOLU
SOLVE
FINISH
RES3D                  ! EXECUTE MACRO TO RETRIEVE RESULTS
SAVE,TABLE_2

/CLEAR, NOSTART        ! CLEAR DATABASE FOR THIRD SOLUTION
/TITLE, VM37, ELONGATION OF A SOLID BAR
/COM    USING 3-D STRUCTURAL SOLSH190 ELEMENTS
/PREP7
RESUME
ET,1,SOLSH190          ! ANALYZE AGAIN USING 3-D SOLSH190
FINISH
/SOLU
SOLVE
FINISH
RES3D                  ! EXECUTE MACRO TO RETRIEVE RESULTS
SAVE,TABLE_3

/NOPR
RESUME,TABLE_1
/GOPR
/COM
/OUT,vm37,vrt
/COM,------------------- VM37 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,RESULTS FOR SOLID45:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_C1(1,1),VALUE_C1(1,2),VALUE_C1(1,3)
(1X,A8,A8,'   ',F12.7,'  ',F12.7,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,RESULTS FOR SOLID185:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_C1(1,1),VALUE_C1(1,2),VALUE_C1(1,3)
(1X,A8,A8,'   ',F12.7,'  ',F12.7,'   ',1F5.3)
/NOPR
RESUME,TABLE_3
/GOPR
/COM,
/COM,RESULTS FOR SOLSH190:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_C1(1,1),VALUE_C1(1,2),VALUE_C1(1,3)
(1X,A8,A8,'   ',F12.7,'  ',F12.7,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm37,vrt
/DELETE,RES3D,MAC
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM36 Input Listing 		Up / Home Next
VM38 Input Listing


VM38 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM38
/PREP7
/TITLE, VM38, PLASTIC LOADING OF A THICK-WALLED CYLINDER UNDER PRESSURE
C***      STR. OF MATLS., TIMOSHENKO, PART 2, 3RD ED., PAGE 388, ART. 70
ET,1,PLANE42,,1,1            ! AXISYMMETRIC SOLID, SUPPRESS EXTRA SHAPES
ET,2,SURF153,,,1,1           ! AXISYMMETRIC 2-D SURFACE EFFECT ELEMENT WITHOUT
                             !  MIDSIDE NODES
MP,EX,1,30E6
MP,NUXY,1,.3
TB,BKIN,1,1                  ! BILINEAR KINEMATIC HARDENING
TBTEMP,70
TBDATA,1,30000,0             ! YIELD STRESS AND ZERO TANGENT MODULUS
N,1,4                        ! DEFINE NODES
N,6,8
FILL
NGEN,2,10,1,6,1,,1
E,11,1,2,12                  ! DEFINE ELEMENTS
EGEN,5,1,1
CPNGEN,1,UY,11,16            ! COUPLE NODES
TYPE,2                       ! CREATE SURF153 TO APPLY SURFACE PRESSURE LOADING
NSEL,S,LOC,X,4
ESURF
NSEL,ALL
TREF,70                      ! BOUNDARY CONDITIONS AND LOADING
D,1,UY,,,6
FINISH
/SOLU
ESEL,S,TYPE,,2               ! SELECT SURF153 ELEMENTS TO APPLY SURFACE PRESSURE
                             !  LOADING FOR ELASTIC ANALYSIS
SFE,ALL,1,PRES,,12990
ESEL,ALL
OUTPR,BASIC,1
SOLVE
FINISH
/POST1
ETABLE,STRS_R,S,X
ETABLE,STRS_T,S,Z
*GET,SIGR_I,ELEM,1,ETAB,STRS_R
*GET,SIGT_I,ELEM,1,ETAB,STRS_T
*GET,SIGR_O,ELEM,5,ETAB,STRS_R
*GET,SIGT_O,ELEM,5,ETAB,STRS_T

*DIM,LABEL,CHAR,4,2
*DIM,VALUE,,4,3
LABEL(1,1) = 'SIGR LFT','SIGT LFT','SIGR RT_','SIGT RT_'
LABEL(1,2) = '_END psi','_END psi','END psi ','END psi '
*VFILL,VALUE(1,1),DATA,-9984,18645,-468,9128
*VFILL,VALUE(1,2),DATA,SIGR_I,SIGT_I,SIGR_O,SIGT_O
*VFILL,VALUE(1,3),DATA,ABS(SIGR_I/9984),ABS(SIGT_I/18645)
*VFILL,VALUE(3,3),DATA,ABS(SIGR_O/468),ABS(SIGT_O/9128)
SAVE,TABLE_1

FINISH
/SOLU
ESEL,S,TYPE,,2               ! SELECT SURF153 ELEMENTS TO APPLY SURFACE PRESSURE
                             !  LOADING FOR PLASTIC ANALYSIS
SFE,ALL,1,PRES,,24012
ESEL,ALL
SOLVE
FINISH

/PREP7
EDELE,ALL
NDELE,ALL                    ! REMOVE PREVIOUS MODEL GEOMETRY
ET,1,SOLID45,1               ! 3-D SOLID ELEMENT, SUPPRESS EXTRA SHAPES
ET,2,SURF154,,,,1            ! 3-D SURFACE EFFECT ELEMENT WITHOUT
                             !  MIDSIDE NODES
CSYS,1
N,1,4,-2.5                   ! DEFINE NODES
N,6,8,-2.5
FILL
NGEN,2,6,1,6,1,,5
NGEN,2,12,1,12,1,,,1
NUMCMP,ELEM
NUMSTR,ELEM,1
TYPE,1
MAT,1
E,1,2,8,7,13,14,20,19        ! DEFINE ELEMENTS
EGEN,5,1,-1
TYPE,2                       ! CREATE SURF154 TO APPLY SURFACE PRESSURE LOADING
NSEL,S,NODE,,1,7,6
NSEL,A,NODE,,13,19,6
ESURF
NSEL,ALL
NROTAT,ALL                   ! ROTATE ALL NODES INTO CYLINDRICAL COORDINATES
CPDELE,1,1,1                 ! REMOVE NODAL COUPLING
SFDELE,ALL,PRES              ! REMOVE NODAL PRESSURES
D,ALL,UY,0.0                 ! CONSTRAIN ALL NODES IN TANGENTIAL DIRECTION
NSEL,S,LOC,Z,1               ! SELECT NODES AT Z = 1
CP,1,UZ,ALL                  ! COUPLE SELECTED NODES IN UZ DIRECTION TO
                             !  SIMULATE GENERALIZED 3-D PLANE STRAIN BEHAVIOR
NSEL,S,LOC,Z,0               ! CONSTRAIN NODES AT Z = 0 IN UZ DIRECTION
D,ALL,UZ
NSEL,ALL
FINISH
/SOLU
ESEL,S,TYPE,,2               ! SELECT SURF154 ELEMENTS TO APPLY SURFACE PRESSURE
                             !  LOADING FOR ELASTIC ANALYSIS
SFE,ALL,1,PRES,,12990
ESEL,ALL
OUTPR,BASIC,1
SOLVE

finish

/POST1
ETABLE,STRS_R,S,X
ETABLE,STRS_T,S,Y
*GET,SIGR_I,ELEM,1,ETAB,STRS_R
*GET,SIGT_I,ELEM,1,ETAB,STRS_T
*GET,SIGR_O,ELEM,5,ETAB,STRS_R
*GET,SIGT_O,ELEM,5,ETAB,STRS_T

LABEL(1,1) = 'SIGR LFT','SIGT LFT','SIGR RT_','SIGT RT_'
LABEL(1,2) = '_END psi','_END psi','END psi ','END psi '
*VFILL,VALUE(1,1),DATA,-9984,18645,-468,9128
*VFILL,VALUE(1,2),DATA,SIGR_I,SIGT_I,SIGR_O,SIGT_O
*VFILL,VALUE(1,3),DATA,ABS(SIGR_I/9984),ABS(SIGT_I/18645)
*VFILL,VALUE(3,3),DATA,ABS(SIGR_O/468),ABS(SIGT_O/9128)
SAVE,TABLE_3
FINISH

/solu

ESEL,S,TYPE,,2               ! SELECT SURF154 ELEMENTS TO APPLY SURFACE PRESSURE
                             !  LOADING FOR PLASTIC ANALYSIS
SFE,ALL,1,PRES,,24012
ESEL,ALL
SOLVE
FINISH
/POST1
RESUME,TABLE_1
/COM
/OUT,vm38,vrt
/COM,------------------- VM38 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,FULLY ELASTIC, PLANE42 RESULTS:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/NOPR
RESUME,TABLE_3
/GOPR
/COM,
/COM,FULLY ELASTIC, PLANE45 RESULTS:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/COM,-----------------------------------------------------------
/COM,
/COM,-----------------------------------------------------------
/COM,NOTE: THERE ARE VERIFIED RESULTS IN VM38 NOT CONTAINED IN
/COM,THIS TABLE
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm38,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM37 Input Listing 		Up / Home Next
VM39 Input Listing


VM39 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM39
/PREP7
/TITLE, VM39, BENDING OF A CIRCULAR PLATE WITH A CENTER HOLE
C***          STR. OF MATLS., TIMOSHENKO, PART 2, 3RD ED., PAGE 111, EQNS. (E,F)
C***          USING SHELL63 ELEMENTS
ANTYPE,STATIC
ET,1,SHELL63
R,1,.25                     ! DEFINE PLATE THICKNESS = .25
MP,EX,1,30.E6
MP,NUXY,1,.3
CSYS,1                      ! DEFINE CYLINDRICAL C.S.
N,1,10                      ! BEGIN NODE DEFINITION
N,7,30
FILL,,,,,,,,3               ! USE 3:1 SPACING RATIO FOR FILLING IN NODES
NGEN,2,10,1,7,1,,10
NROTAT,1,17,1
E,1,2,12,11                 ! DEFINE FIRST ELEMENT
EGEN,6,1,1                  ! GENERATE NEXT 5 ELEMENTS
D,1,ALL,,,11,10             ! CONSTRAIN INNER EDGE IN ALL D.O.F.
D,2,UY,,,7,,ROTX,ROTZ       ! CONSTRAIN LOWER EDGE AGAINST ROTATIONS IN X & Z
D,12,UY,,,17,,ROTX,ROTZ     ! CONSTRAIN UPPER EDGE AGAINST ROTATIONS IN X & Z
F,7,MY,-26.18,,17,10        ! APPLY MOMENT LOAD AT OUTER EDGE
OUTPR,BASIC,1
FINISH
*CREATE,SOLVIT,MAC
/SOLU
SOLVE
FINISH
/POST1
/WINDOW,1,TOP               ! SET UP WINDOW 1 FOR DISPLACEMENT CONTOUR DISPLAY
/PLOPTS,MINM,OFF	    ! TURN OFF MN AND MX DUE TO INSTABILITY
PLNSOL,U,Z                  ! DISPLAY PERPENDICULAR DISPLACEMENTS AS CONTOURS
/WINDOW,1,OFF               ! TURN OFF WINDOW 1
/NOERASE                    ! TURN OFF AUTOMATIC ERASE BETWEEN DISPLAYS
/WINDOW,2,BOT               ! SET UP WINDOW 2 FOR EDGE DISPLACEMENT DISPLAY
/VIEW,2,,-1                 ! CHANGE VIEW FOR WINDOW 2
PLDISP,1                    ! DISPLAY UNDISPLACED & DISPLACED SHAPES
SHELL,TOP
ESEL,,,,1                   ! SELECT INNER ELEMENT(ELEM #1)
ETABLE,MOMX,SMISC,4         ! RETRIEVE MOMENT(X) AND SX AT TOP
ETABLE,SIGX,S,X
PRETAB,GRP1                 ! PRINT STORED VALUES
*GET,M1,ETAB,1,ELEM,1
*GET,P1,ETAB,2,ELEM,1
ESEL,,,,6                   ! SELECT OUTER ELEMENT(ELEM#6)
ETABLE,REFL
PRETAB,GRP1                 ! PRINT STORED VALUES
*GET,M2,ETAB,1,ELEM,6
*GET,P2,ETAB,2,ELEM,6
ESEL,ALL
RSYS,1
PRNSOL,S,COMP               ! PRINT NODAL STRESSES
NSEL,S,LOC,X,30             ! SELECT NODES AT R=A
PRNSOL,DOF                  ! PRINT DISPLACEMENTS
*GET,DEF,NODE,7,U,Z
*GET,ROT,NODE,7,ROT,Y
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'DEFLECTI','MX_SLOPE'
LABEL(1,2) = 'ON (in) ','(rad)   '
*VFILL,VALUE(1,1),DATA,.049064,-.0045089
*VFILL,VALUE(1,2),DATA,DEF,ROT
*VFILL,VALUE(1,3),DATA,ABS(DEF/.049064 ) ,ABS( ROT/.0045089)
*DIM,LABEL2,CHAR,2,2
*DIM,VALUE2,,2,3
LABEL2(1,1) = 'MOMENT ','PRESSURE'
LABEL2(1,2) = 'in-lb/in',' psi  '
*VFILL,VALUE2(1,1),DATA,-13.783,-1323.2
*VFILL,VALUE2(1,2),DATA,M1,P1
*VFILL,VALUE2(1,3),DATA,ABS(M1/13.783),ABS(P1/1323.2)
*DIM,VALUE3,,2,3
*VFILL,VALUE3(1,1),DATA,-10.127,-972.22
*VFILL,VALUE3(1,2),DATA,M2,P2
*VFILL,VALUE3(1,3),DATA,ABS(M2/10.127),ABS(P2/972.22)
FINISH
*END
SOLVIT
SAVE,TABLE_1
/CLEAR, NOSTART                ! CLEAR DATABASE FOR SECOND SOLUTION
/TITLE, VM39, BENDING OF A CIRCULAR PLATE WITH A CENTER HOLE
C***          USING SHELL181 ELEMENTS
/PREP7
ANTYPE,STATIC
ET,1,SHELL181, , ,2
R,1,.25                     ! DEFINE PLATE THICKNESS = .25
MP,EX,1,30.E6
MP,NUXY,1,.3
CSYS,1                      ! DEFINE CYLINDRICAL C.S.
N,1,10                      ! BEGIN NODE DEFINITION
N,7,30
FILL,,,,,,,,3               ! USE 3:1 SPACING RATIO FOR FILLING IN NODES
NGEN,2,10,1,7,1,,10
NROTAT,1,17,1
E,1,2,12,11                 ! DEFINE FIRST ELEMENT
EGEN,6,1,1                  ! GENERATE NEXT 5 ELEMENTS
D,1,ALL,,,11,10             ! CONSTRAIN INNER EDGE IN ALL D.O.F.
D,2,UY,,,7,,ROTX,ROTZ       ! CONSTRAIN LOWER EDGE AGAINST ROTATIONS IN X & Z
D,12,UY,,,17,,ROTX,ROTZ     ! CONSTRAIN UPPER EDGE AGAINST ROTATIONS IN X & Z
F,7,MY,-26.18,,17,10        ! APPLY MOMENT LOAD AT OUTER EDGE
OUTPR,NSOL,1
OUTPR,RSOL,1
FINISH
SOLVIT
SAVE,TABLE_2
/NOPR
RESUME,TABLE_1
/COM
/OUT,vm39,vrt
/COM,------------------- VM39 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,RESULTS USING SHELL63:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.7,'  ',F10.7,'   ',1F5.3)
/COM,
/COM,X=10.81 in
/COM,
*VWRITE,LABEL2(1,1),LABEL2(1,2),VALUE2(1,1),VALUE2(1,2),VALUE2(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,
/COM,X=27.1 in
/COM,
*VWRITE,LABEL2(1,1),LABEL2(1,2),VALUE3(1,1),VALUE3(1,2),VALUE3(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,RESULTS USING SHELL181:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.7,'  ',F10.7,'   ',1F5.3)
/COM,
/COM,X=10.81 in
/COM,
*VWRITE,LABEL2(1,1),LABEL2(1,2),VALUE2(1,1),VALUE2(1,2),VALUE2(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,
/COM,X=27.1 in
/COM,
*VWRITE,LABEL2(1,1),LABEL2(1,2),VALUE3(1,1),VALUE3(1,2),VALUE3(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm39,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM38 Input Listing 		Up / Home Next
VM40 Input Listing


VM40 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM40
/PREP7
MP,PRXY,,0.3
/TITLE, VM40, LARGE DEFLECTION AND ROTATION OF A BEAM PINNED AT ONE END
C***           REFERENCE - ANY BASIC MATHEMATICS BOOK
PI=(4.0)*ATAN(1.0)    ! ANALYST FORGETS VALUE OF PI - LETS ANSYS CALCULATE IT
ANTYPE,TRANS          ! NONLINEAR TRANSIENT DYNAMIC ANALYSES
NLGEOM,ON             ! LARGE DEFLECTIONS
ET,1,BEAM3
R,1,1,1,1             ! ARBITRARY GEOMETRIC PROPERTIES
MP,EX,1,30E6          ! DEFINE MATERIAL PROPERTIES
MP,DENS,1,1E-10       ! DEFINE DENSITY OF ALMOST ZERO
N,1                   ! BEGIN NODAL DEFINITION
N,2,10
E,1,2                 ! DEFINE ELEMENT
FINISH
/SOLU
SOLCONTROL,0
D,1,ROTZ,PI*2         ! ONE COMPLETE REVOLUTION
D,1,UX,,,,,UY         ! CONSTRAIN NODE 1 (PINNED END OF BEAM)
NSUBST,24
TIME,.15              ! TIME STEP OF 0.00625 SEC. (.15/24)
OUTRES,NSOL,1         ! SAVE NODAL DOF SOLUTION FOR EVERY SUBSTEP
OUTRES,ESOL,1         ! SAVE ELEMENT SOLUTION FOR EVERY SUBSTEP
CNVTOL,F,1,0.00001    ! CONVERGENCE CRITERION BASED UPON FORCES
CNVTOL,M,1,0.00001    ! CONVERGENCE CRITERION BASED UPON MOMENTS
SOLVE
FINISH
/POST26
NSOL,2,2,U,X,UX        ! DEFINE NODE 2 UX DISP AS VARIABLE 2
NSOL,3,2,U,Y,UY        ! DEFINE NODE 2 UY DISP AS VARIABLE 3
NSOL,4,1,ROT,Z,ROTZ    ! DEFINE NODE 1 ROTZ AS VARIABLE 4
ESOL,6,1,,LS,4,SDIR    ! GET AXIAL STRESS OF ELEMENT AT NODE 2
DERIV,5,4,,,INPUT_W    ! CALCULATE DERIVATIVE OF VAR. 4 WRT VARIABLE 1 (TIME)
PRVAR,2,3,4,5,6        ! PRINT VARIABLES 1 THRU 6
PLVAR,2,3              ! DISPLAY VARIABLES 2 AND 3 AS A FUNCTION OF TIME
STORE
*GET,MX_STRS,VARI,6,EXTREM,VMAX
*GET,DEFX_60,VARI,2,RSET,4
*GET,DEFY_90,VARI,3,RSET,6
*GET,DEFX_180,VARI,2,RSET,12
*GET,DEFY_210,VARI,3,RSET,14
*GET,DEFX_315,VARI,2,RSET,21
*GET,DEFY_360,VARI,3,RSET,24
*DIM,LABEL,CHAR,6,2
*DIM,VALUE,,6,3
*DIM,STRSS,,1,1
*VFILL,STRSS(1,1),DATA,MX_STRS
LABEL(1,1) = '60 DEG, ','90 DEG, ','180 DEG,','180 DEG,','180 DEG,','180 DEG,'
LABEL(1,2) = ' UX (in)',' UY (in)',' UX (in)',' UX (in)',' UX (in)',' UX (in)'
*VFILL,VALUE(1,1),DATA,-5,10,-20,-5,-2.93,0
*VFILL,VALUE(1,2),DATA,DEFX_60,DEFY_90,DEFX_180,DEFY_210,DEFX_315,DEFY_360
*VFILL,VALUE(1,3),DATA,ABS(DEFX_60/5),ABS(DEFY_90/10),ABS(DEFX_180/20),ABS(DEFY_210/5)
*VFILL,VALUE(5,3),DATA,ABS(DEFX_315/2.93),0
/COM
/OUT,vm40,vrt
/COM,------------------- VM40 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/COM,
/COM,THE MAXIMUM AXIAL STRESS IS:
*VWRITE,STRSS(1,1)
(1X,F4.2)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm40,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM39 Input Listing 		Up / Home Next
VM41 Input Listing


VM41 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM41
/PREP7
MP,PRXY,,0.3
/TITLE, VM41, SMALL DEFLECTION OF A RIGID BEAM
!COM           REFERENCE - ANY BASIC STRENGTH OF MATERIAL BOOK
!COM           USING THICK BEAM GEOMETRY
ET,1,MATRIX27,,,4          ! KEYOPT(3)=4, INPUT DATA AS 12 X 12 STIFFNESS MATRIX
ET,2,BEAM3
R,1                        ! TABLE 1 REAL CONSTANTS FOR MATRIX27 STIFFNESS MATRIX
RMODIF,1,51,10000          ! MODIFY POSITIONS 51, 57 AND 78 IN TABLE 1
RMODIF,1,78,10000          ! RMODIF USED, RATHER THAN RMORE, FOR EASIER INPUT
RMODIF,1,57,-10000
R,2,100,1000,10            ! RIGID BEAM PROPERTIES
MP,EX,1,30E6
N,1
N,2
N,3,10
E,1,2                      ! STIFFNESS MATRIX ELEMENT
TYPE,2
REAL,2
E,2,3                      ! BEAM ELEMENT
OUTPR,ALL,1                ! PRINT ALL ITEMS
D,1,ROTZ
D,2,UX,,,,,UY
F,3,FY,-10
FINISH
/SOLU
SOLVE
FINISH
/POST26
ESOL,2,2,,LS,2,SBEN
STORE
*GET,STRS_BEN,VARI,2,EXTREM,VMAX
FINISH
/POST1
*GET,DEF_X,NODE,3,U,X
*GET,DEF_Y,NODE,3,U,Y
*GET,ROT_Z,NODE,3,ROT,Z
*DIM,LABEL,CHAR,4,2
*DIM,VALUE,,4,3
LABEL(1,1) = 'DEFLECTI','DEFLECTI','ROTATION','SIG_BEND'
LABEL(1,2) = 'ON_X(in)','ON_Y(in)','   (rad)','   (psi)'
*VFILL,VALUE(1,1),DATA,0,-.1,-.01,0
*VFILL,VALUE(1,2),DATA,DEF_X,DEF_Y,ROT_Z,STRS_BEN
*VFILL,VALUE(1,3),DATA,0,ABS(DEF_Y/.1 ),ABS(ROT_Z/.01),0
SAVE,TABLE_1
FINISH
/PREP7
!COM         USING CONSTRAINT EQUATIONS
R,2,.0625,.00032552,.25    ! BEAM PROPERTIES
CE,1,,3,UY,1,2,ROTZ,-10    ! CONSTRAINT EQUATION
FINISH
/SOLU
SOLVE
FINISH
/POST26
ESOL,2,2,,LS,2,SBEN
STORE
*GET,STRS_BEN,VARI,2,EXTREM,VMAX
FINISH
/POST1
*GET,DEF_X,NODE,3,U,X
*GET,DEF_Y,NODE,3,U,Y
*GET,ROT_Z,NODE,3,ROT,Z
LABEL(1,1) = 'DEFLECTI','DEFLECTI','ROTATION','SIG_BEND'
LABEL(1,2) = 'ON_X(in)','ON_Y(in)','   (rad)','   (psi)'
*VFILL,VALUE(1,1),DATA,0,-.1,-.01,0
*VFILL,VALUE(1,2),DATA,DEF_X,DEF_Y,ROT_Z,STRS_BEN
*VFILL,VALUE(1,3),DATA,0,ABS(DEF_Y/.1 ),ABS(ROT_Z/.01),0
SAVE,TABLE_2
RESUME,TABLE_1
/COM
/OUT,vm41,vrt
/COM,------------------- VM41 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,RESULTS FOR THICK BEAM:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,RESULTS WITH CONSTRAINT EQUATION:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm41,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM40 Input Listing 		Up / Home Next
VM42 Input Listing


VM42 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM42
/PREP7
smrt,off
/TITLE, VM42, BARREL VAULT ROOF UNDER SELF WEIGHT
/COM, REF:  COOK, CONCEPTS AND APPL. OF F.E.A., 2ND ED., 1981, PP. 284-287.
C***          USING SHELL93 ELEMENTS
ANTYPE,STATIC
ET,1,SHELL93
R,1,0.25
MP,EX,1,4.32E8         ! MATERIAL PROPERTIES
MP,NUXY,1,0.0
MP,DENS,1,36.7347
CSYS,1
K,1,25,50
K,2,25,50,25           ! DEFINE KEYPOINTS AND AREA
KGEN,2,1,2,1,,40
A,1,3,4,2
ESIZE,,4
AMESH,1
CSYS,0                 ! SWITCH BACK TO GLOBAL CARTESIAN C.S.
NSEL,S,LOC,X
DSYM,SYMM,X            ! CONSTRAIN SYMMETRY PLANES
NSEL,S,LOC,Z
DSYM,SYMM,Z
NSEL,S,LOC,Z,25
D,ALL,UX,0,,,,UY,ROTZ  ! CONSTRAIN END OF ROOF
NSEL,ALL
ACEL,,9.8
FINISH
*CREATE,SOLVIT,MAC
/SOLU
SOLVE
FINISH
/POST1
NSEL,S,NODE,,1,2,1     ! SELECT NODES AT POINTS A AND B
ESLN,S                 ! SELECT ELEMENTS CONTAINING NODES
PRNSOL,U,COMP
*GET,UYA,NODE,1,U,Y
*GET,UXA,NODE,1,U,X
RSYS,1                 ! DISPLAY RESULTS IN CYLINDRICAL SYSTEM
SHELL,TOP
PRNSOL,S,COMP
*GET,SIGZ_TOP,NODE,1,S,Z
*GET,SIGY_TOP,NODE,2,S,Y
SHELL,BOT
PRNSOL,S,COMP
*GET,SIGZ_BOT,NODE,1,S,Z
*GET,SIGY_BOT,NODE,2,S,Y
*DIM,LABEL,CHAR,6,2
*DIM,VALUE,,6,3
LABEL(1,1) = 'UYA     ','UXA     ','SIGZ, TO','SIGZ, BO','SIGTH,TO','SIGTH,BO'
LABEL(1,2) = '     (m)','     (m)','P_A (PA)','T_A (PA)','P_B (PA)','T_B (PA)'
*VFILL,VALUE(1,1),DATA,-.3019,-.1593,215570,340700,191230,-218740
*VFILL,VALUE(1,2),DATA,UYA,UXA,SIGZ_TOP,SIGZ_BOT,SIGY_TOP,SIGY_BOT
*VFILL,VALUE(1,3),DATA,ABS(UYA/.3019 ),ABS(UXA/.1593 ),ABS(SIGZ_TOP/215570 )
*VFILL,VALUE(4,3),DATA,ABS(SIGZ_BOT/340700),ABS(SIGY_TOP/191230),ABS(SIGY_BOT/218740)
FINISH
*END
SOLVIT                 ! USE MACRO SOLVIT
SAVE,TABLE_1
/CLEAR, NOSTART                ! CLEAR DATABASE FOR SECOND SOLUTION
/TITLE, VM42, BARREL VAULT ROOF UNDER SELF WEIGHT
C***          USING SHELL181 ELEMENTS
/PREP7
SMRT,OFF
ANTYPE,STATIC
ET,1,SHELL181, , ,2
R,1,0.25
MP,EX,1,4.32E8         ! MATERIAL PROPERTIES
MP,NUXY,1,0.0
MP,DENS,1,36.7347
CSYS,1
K,1,25,50
K,2,25,50,25           ! DEFINE KEYPOINTS AND AREA
KGEN,2,1,2,1,,40
A,1,3,4,2
ESIZE,,4
AMESH,1
CSYS,0                 ! SWITCH BACK TO GLOBAL CARTESIAN C.S.
NSEL,S,LOC,X
DSYM,SYMM,X            ! CONSTRAIN SYMMETRY PLANES
NSEL,S,LOC,Z
DSYM,SYMM,Z
NSEL,S,LOC,Z,25
D,ALL,UX,0,,,,UY,ROTZ  ! CONSTRAIN END OF ROOF
NSEL,ALL
ACEL,,9.8
FINISH
SOLVIT                 ! USE MACRO SOLVIT
SAVE,TABLE_2
/CLEAR, NOSTART                ! CLEAR DATABASE FOR SECOND SOLUTION
/TITLE, VM42, BARREL VAULT ROOF UNDER SELF WEIGHT
C***          USING SHELL281 ELEMENTS
/PREP7
SMRT,OFF
ANTYPE,STATIC
ET,1,SHELL281, , ,2
R,1,0.25
MP,EX,1,4.32E8         ! MATERIAL PROPERTIES
MP,NUXY,1,0.0
MP,DENS,1,36.7347
CSYS,1
K,1,25,50
K,2,25,50,25           ! DEFINE KEYPOINTS AND AREA
KGEN,2,1,2,1,,40
A,1,3,4,2
ESIZE,,4
AMESH,1
CSYS,0                 ! SWITCH BACK TO GLOBAL CARTESIAN C.S.
NSEL,S,LOC,X
DSYM,SYMM,X            ! CONSTRAIN SYMMETRY PLANES
NSEL,S,LOC,Z
DSYM,SYMM,Z
NSEL,S,LOC,Z,25
D,ALL,UX,0,,,,UY,ROTZ  ! CONSTRAIN END OF ROOF
NSEL,ALL
ACEL,,9.8
FINISH
SOLVIT                 ! USE MACRO SOLVIT
SAVE,TABLE_3
/NOPR
RESUME,TABLE_1
/COM
/OUT,vm42,vrt
/COM,------------------- VM42 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,SHELL93
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F12.4,'  ',F12.4,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,SHELL181
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F12.4,'  ',F12.4,'   ',1F5.3)
/NOPR
RESUME,TABLE_3
/COM,
/COM,SHELL281
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F12.4,'  ',F12.4,'   ',1F5.3)
/NOPR
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm42,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM41 Input Listing 		Up / Home Next
VM43 Input Listing


VM43 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM43
/PREP7
SMRT,OFF
/TITLE, VM43, BENDING OF AN AXISYMMETRIC THICK PIPE UNDER GRAVITY LOADING
C***           FORMULAS FOR STRESS AND STRAIN, ROARK, 4TH ED., PAGE 112, NO. 33
ANTYPE,STATIC       ! STATIC ANALYSIS
ET,1,PLANE25,,,,,,2 ! PLANE25
MP,EX,1,30.E6       ! DEFINE MATERIAL PROPERTIES
MP,DENS,1,.00073
MP,NUXY,1,0         ! DEFINE NUXY AS 0.0
K,1,.5              ! DEFINE KEYPOINTS
K,2,.5,100
KGEN,2,1,2,1,.5     ! GENERATE 2 ADDITIONAL KEYPOINTS IN X DIRECTION
L,1,2               ! DEFINE LINES AND NUMBER OF DIVISIONS
LESIZE,1,,,12
L,2,4
LESIZE,2,,,1
L,3,4
LESIZE,3,,,12
L,1,3
LESIZE,4,,,1
A,3,1,2,4           ! DEFINE AREA
AMESH,1             ! MESH AREA 1
ACEL,386,,-386      ! GRAVITY AS THE SUM OF TWO HARMONICALLY VARYING LOADS
MODE,1,1            ! SYMMETRIC HARMONIC LOAD
NSEL,S,LOC,Y,0      ! SELECT NODES AT Y=0
D,ALL,ALL           ! CONSTRAIN IN ALL DOF
NSEL,S,LOC,Y,100    ! SELECT NODES AT Y=100
D,ALL,UY            ! CONSTRAIN IN Y DISPLACEMENT DOF (SYMMETRY PLANE)
NSEL,ALL
FINISH
/SOLU
OUTPR,BASIC,LAST    ! PRINT BASIC SOLUTION
SOLVE
FINISH
/POST1
SET,1,1,,,,0.0      ! READ IN RESULTS AT ANGLE=0.0
/VUP,1,X            ! DEFINE X AXIS AS VERTICAL AXIS FOR DISPLAYS
/WINDOW,1,-1,1,0,1  ! DEFINE AND TURN ON WINDOW 1
PLDISP,1            ! DISPLAY UNDISPLACED AND DISPLACED SHAPE OF PIPE
PRNSOL,U,COMP       ! PRINT DISPLACEMENTS
*GET,DEF_X,NODE,3,U,X
SET,1,1,,,,90.0     ! READ IN RESULTS AT ANGLE=90.0
/WINDOW,1,OFF       ! TURN OFF WINDOW 1
/NOERASE            ! DON'T ERASE EXISTING DISPLAY
/WINDOW,2,-1,1,-1,0 ! DEFINE AND TURN ON WINDOW 2
/VUP,2,X            ! DEFINE X AXIS AS VERTICAL AXIS FOR DISPLAYS
PLDISP,1            ! DISPLAY UNDIS. AND DISP. SHAPE AT NEW ANGLE
PRNSOL,U,COMP       ! PRINT DISPLACEMENTS
*GET,DEF_Z,NODE,3,U,Z
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'UX, IN  ','UZ, IN ('
LABEL(1,2) = '(ANG=0) ','ANG=90) '
*VFILL,VALUE(1,1),DATA,-.12524,.12524
*VFILL,VALUE(1,2),DATA,DEF_X,DEF_Z
*VFILL,VALUE(1,3),DATA,ABS(DEF_X/.12524 ) ,ABS( DEF_Z/.12524)
/COM
/OUT,vm43,vrt
/COM,------------------- VM43 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/COM,-----------------------------------------------------------
/COM,
/COM,-----------------------------------------------------------
/COM,NOTE: THERE ARE VERIFIED RESULTS IN VM43 NOT CONTAINED IN
/COM,THIS TABLE
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm43,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM42 Input Listing 		Up / Home Next
VM44 Input Listing


VM44 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM44
/PREP7
/TITLE, VM44, BENDING OF AN AXISYMMETRIC THIN PIPE UNDER GRAVITY LOADING
C***          FORMULAS FOR STRESS AND STRAIN, ROARK, 4TH ED., PAGE 112, NO. 33
ANTYPE,STATIC
ET,1,SHELL61,,,,,,1     ! PRINT DISP. AT ELEMENT ENDS AS WELL AS MIDPOINT
R,1,.1                  ! DEFINE WALL THICKNESS
MP,EX,1,30.E6           ! DEFINE MATERIAL PROPERTIES
MP,DENS,1,.00073        ! DEFINE DENSITY
MP,NUXY,1,0             ! DEFINE NUXY AS 0.0
N,1,1                   ! BEGIN NODE DEFINITION
N,8,1,125
FILL                    ! PLACE NODES 2 THRU 7 BETWEEN NODES 1 & 8
E,1,2                   ! BEGIN ELEMENT DEFINITION
EGEN,7,1,1              ! GENERATE NEXT 6 ELEMENTS
CE,1,,2,UY,1,2,ROTZ,-1  ! DEFINE FIRST CONSTRAINT EQN. (UY(2) = ROTZ(2))
*REPEAT,6,1,,1,,,1      ! REPEAT FOR NODES 3 TO 7
CE,7,,2,UX,1,2,UZ,1     ! UX(2) = -UZ(2) AND FOR 6 INTERIOR NODES
*REPEAT,6,1,,1,,,1
OUTPR,ALL,ALL
ACEL,386,,-386          ! GRAVITY AS THE SUM OF TWO HARMONICALLY VARYING LOADS
MODE,1,1                ! MODE NUMBER 1, SYMMETRIC LOADING
D,1,ALL                 ! FIXED END
NSEL,S,LOC,Y,125
DSYM,SYMM,Y             ! CENTER PLANE END
NSEL,ALL
FINISH
/SOLU
SOLVE
FINISH
/POST1
SET,1,1,,,,0.0          ! GET RESULTS AT 0 DEGREES
/VUP,1,X                ! DEFINE X AXIS AS VERTICAL FOR VIEWING
/WINDOW,1,TOP           ! DEFINE WINDOW 1 AS TOP HALF OF SCREEN
PLDISP,1                ! DISPLAY BOTH DISTORTED AND UNDISTORTED GEOMETRY
PRNSOL,DOF              ! PRINT DEGREE OF FREEDOM VALUES
LCOPER,LPRIN            ! CALCULATE PRINCIPAL STRESSES
PRESOL,ELEM             ! PRINT ELEMENT SOLUTION RESULTS
ETABLE,STRS,NMISC,11
*GET,STRSS,ELEM,1,ETAB,STRS
*GET,DEF_X,NODE,8,U,X
SET,1,1,,,,90.0         ! STUDY RESULTS AT 90.0 DEGREES
/WINDOW,1,OFF           ! TURN-OFF WINDOW 1
/WINDOW,2,BOT           ! DEFINE WINDOW 2 AS BOTTOM HALF OF SCREEN
/NOERASE                ! OVERLAY NEXT DISPLAY (DON'T ERASE WINDOW 1)
/VUP,2,X
PLDISP                  ! DISPLAY ONLY DISTORTED GEOMETRY
PRNSOL,U,COMP           ! PRINT DISPLACEMENTS
*GET,DEF_Z,NODE,8,U,Z
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'UX, in  ','UZ, in  ','SIGMX,ps'
LABEL(1,2) = ' (ANG=0)','(ANG=90)','i(ANG=90'
*VFILL,VALUE(1,1),DATA,-.19062,.19062,3074.3
*VFILL,VALUE(1,2),DATA,DEF_X,DEF_Z,STRSS
*VFILL,VALUE(1,3),DATA,ABS(DEF_X/.19062),ABS(DEF_Z/.19062),ABS(STRSS/3074.3)
/COM
/OUT,vm44,vrt
/COM,------------------- VM44 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/COM,-----------------------------------------------------------

/OUT
FINISH
*LIST,vm44,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM43 Input Listing 		Up / Home Next
VM45 Input Listing


VM45 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM45
/PREP7
/TITLE, VM45, NATURAL FREQUENCY OF A SPRING-MASS SYSTEM
C*** VIBRATION THEORY AND APPLICATIONS, THOMSON, 2ND PRINTING, PAGE 6, EX. 1.2-2
ANTYPE,MODAL
MODOPT,REDUC,1,,,1    ! PRINT ALL REDUCED MODE SHAPES
ET,1,COMBIN14,,,2     ! TWO-DIMENSIONAL LONGITUDINAL SPRING
ET,2,MASS21,,,4       ! TWO-DIMENSIONAL MASS
R,1,48
R,2,.006477
N,1
N,2,,1
E,1,2
TYPE,2
REAL,2
E,2
M,2,UY                ! MASTER DOF IN Y DIRECTION AT FREE END OF SPRING
OUTPR,ALL,1
OUTRES,ALL,0
D,1,ALL
D,2,UX
FINISH
/SOLU
SOLVE
*GET,FREQ,MODE,1,FREQ
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = '      F,'
LABEL(1,2) = ' (Hz)   '
*VFILL,VALUE(1,1),DATA,13.701
*VFILL,VALUE(1,2),DATA,FREQ
*VFILL,VALUE(1,3),DATA,ABS(FREQ/13.701)
/COM
/OUT,vm45,vrt
/COM,------------------- VM45 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,-----------------------------------------------------------

/OUT
FINISH
*LIST,vm45,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM44 Input Listing 		Up / Home Next
VM46 Input Listing


VM46 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM46
/TITLE, VM46, FLOW BETWEEN ROTATING CONCENTRIC CYLINDERS
!             VISCOUS FLUID FLOW, WHITE, P. 110
!
! -- PARAMETERS --
R1    = 1.0                           ! RADIUS OF INNER CYLINDER
R2    = 2.0                           ! RADIUS OF OUTER CYLINDER
NX    = 30                            ! NUMBER OF X DIVISIONS
THETA = 10.0                          ! CYLINDER ENDING ANGLE
NY    =  2                            ! NUMBER OF Y DIVISIONS
LZ    = 1.0                           ! LENGTH IN Z DIRECTION
NZ    =  2                            ! NUMBER OF Z DIVISIONS
OMEGA = 1.0                           ! ANGULAR VELOCITY
RHO   = 1.0                           ! FLUID DENSITY
MU    = 1.0                           ! FLUID VISCOSITY
! -- MODEL --
/PREP7
smrt,off
ET,1,FLUID142,,,3                     ! 3D RTZ SYSTEM
MSHK,1                                ! MAPPED VOLUME MESH
MSHA,0,3D                             ! USING HEX
CYLIND,R1,R2,,LZ,,THETA
LSEL,S,,,1,8,7
LSEL,A,,,3,6,3
LESIZE,ALL,,,NX,-20
LSEL,S,,,2,7,5
LSEL,A,,,4,5
LESIZE,ALL,,,NY
LSEL,S,,,9,12
LESIZE,ALL,,,NZ
ALLSEL
VMESH,1
ASEL,S,,,4                            ! INNER CYLINDER BOUNDARY CONDITIONS
NSLA,S,1
D,ALL,VX
D,ALL,VY
D,ALL,VZ
ASEL,S,,,3                            ! OUTER CYLINDER BOUNDARY CONDITIONS
NSLA,S,1
D,ALL,VX
D,ALL,VY,-R2*OMEGA
D,ALL,VZ
D,ALL,PRES
D,ALL,ENKE,-1
ASEL,S,,,5                            ! PERIODIC BOUNDARY CONDITIONS
NSLA,S,1
D,ALL,VX
D,ALL,VX
PERI,,THETA                           ! PERIODIC BC MACRO
ASEL,S,,,1,2                          ! SYMMETRY BOUNDARY CONDITIONS
NSLA,S,1
D,ALL,VX
D,ALL,VZ
ALLSEL
FINISH
! -- SOLUTION --
/SOLU
FLDATA,ITER,EXEC,200                  ! NUMBER OF GLOBAL ITERATIONS
FLDATA,NOMI,DENS,RHO                  ! NOMINAL DENSITY
FLDATA,NOMI,VISC,MU                   ! NOMINAL VISCOSITY
FLDATA,OUTP,TAUW,T                    ! OUTPUT WALL SHEAR STRESS
CGOMGA,,,OMEGA                        ! ANGULAR VELOCITY OF ROTATING CS
SAVE
/OUTPUT,SCRATCH                          ! DIVERT OUTPUT
SOLVE
/OUTPUT
FINISH
!
! -- POST PROCESSING --
/POST1
SET,LAST
CSYS,1                                ! GLOBAL CYLINDRICAL CS
RSYS,1                                ! CYLINDRICAL RESULTS CS
*DIM,RES1,,NX+1,6                     ! DIMENSION RESULTS ARRAY #1
NSEL,S,LOC,Y,THETA/2                  ! RESULTS ACROSS FLOW SECTION
NSEL,R,LOC,Z,LZ/2
*DO,I,1,NX+1
  *GET,XMAX,NODE,,MXLOC,X
  N = NODE(XMAX,THETA/2,LZ/2)
  RES1(I,1) = N                       ! NODE NUMBER
  RES1(I,2) = NX(N)                   ! X-COORDINATE
  RES1(I,3) = VY(N)                   ! VY (FLOTRAN)
  RES1(I,4) = R1**2*OMEGA*(R2**2/NX(N) - NX(N))/(R2**2 - R1**2)
  RES1(I,4) = RES1(I,4) - OMEGA*NX(N) ! VY (EXACT)
  NSEL,U,,,N
*ENDDO
/COM
/COM
/COM
/COM  CIRCUMFERENTIAL VELOCITY BETWEEN CYLINDERS AT (X,THETA/2,LZ/2):
/COM
*VWRITE
(4X,'NODE',12X,'X',9X,'VY (FLOTRAN)',7X,'VY (EXACT)')
*VWRITE,RES1(1,1),RES1(1,2),RES1(1,3),RES1(1,4)
(3X,F5.0,3(1PE17.5))
/COM
/COM
ALLSEL
PATH,CYLS,2,,48                       ! DEFINE PATH WITH NAME = "CYLS"
PPATH,1,,R1,0,0                       ! DEFINE PATH POINTS BY LOCATION
PPATH,2,,R2,0,0
PDEF,VY,VY
/AXLAB,X,RADIAL PATH COORDINATE
/AXLAB,Y,CIRCUMFERENTIAL VELOCITY
PLPATH,VY                             ! VELOCITY DISTRIBUTION
/DEVICE,VECTOR,ON
/PLOPTS,MINM,OFF
PLNSOL,PRES                           ! PRESSURE CONTOURS
FINISH
CSYS,1
VY_R = NODE(1.5,0,0)
*GET,VELY,NODE,VY_R,V,Y
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'VY (R=1.'
LABEL(1,2) = '5)      '
*VFILL,VALUE(1,1),DATA,-1.111
*VFILL,VALUE(1,2),DATA,VELY
*VFILL,VALUE(1,3),DATA,ABS(VELY /1.111 )
/COM
/OUT,vm46,vrt
/COM,------------------- VM46 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
/DELETE,vm46,pfl
/DELETE,vm46,rsw

FINISH
*LIST,vm46,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM45 Input Listing 		Up / Home Next
VM47 Input Listing


VM47 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM47
/PREP7
/TITLE, VM47, TORSIONAL FREQUENCY OF A SUSPENDED DISK
C*** VIBRATION THEORY AND APPLICATIONS, THOMSON, 2ND PRINTING, PAGE 10, EX 1.3-2
ANTYPE,MODAL
MODOPT,REDUC,,,,1    ! PRINT REDUCED MODE SHAPE
ET,1,COMBIN14,,,1    ! THREE-DIMENSIONAL TORSIONAL SPRING
ET,2,MASS21,,,3      ! TWO-DIMENSIONAL MASS WITH ROTARY INERTIA
R,1,4.8              ! REAL CONSTANT SET #1 SPRING CONSTANT
R,2,1,.30312         ! REAL CONSTANT SET #2 MASS & IZZ(J)
N,1                  ! BEGIN NODE DEFINITION
N,2,,,-1
E,1,2                ! DEFINE BEAM ELEMENT
TYPE,2               ! DEFINE ACTIVE ELEMENT TYPE AS SET 2
REAL,2               ! DEFINE ACTIVE REAL CONSTANT TYPE AS SET 2
E,2                  ! DEFINE MASS AT END OF WIRE
M,2,ROTZ             ! MASTER DOF IN ROTZ DIRECTION AT FREE END OF SPRING
OUTPR,BASIC,1
D,1,ALL              ! CONSTRAIN END OF WIRE IN ALL DOF
D,2,UX,,, ,,UY,UX    ! PREVENT TRANSLATION OF THE MASS
FINISH
/SOLU
SOLVE
*GET,FREQ,MODE,1,FREQ
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = '      F,'
LABEL(1,2) = ' (Hz)   '
*VFILL,VALUE(1,1),DATA,.63333
*VFILL,VALUE(1,2),DATA,FREQ
*VFILL,VALUE(1,3),DATA,ABS(FREQ/.63333 )
/COM
/OUT,vm47,vrt
/COM,------------------- VM47 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT

FINISH
*LIST,vm47,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM46 Input Listing 		Up / Home Next
VM48 Input Listing


VM48 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM48
/PREP7
MP,PRXY,,0.3
/TITLE, VM48, NATURAL FREQUENCY OF A MOTOR-GENERATOR
C*** VIBRATION THEORY AND APPLICATIONS, THOMSON, 2ND PRINTING, PAGE 10, EX 1.3-3
ANTYPE,MODAL
MODOPT,REDUC,1,,,1   ! PRINT ALL REDUCED MODE SHAPES
ET,1,PIPE16          ! ELASTIC STRAIGHT PIPE
ET,2,MASS21          ! GENERALIZED MASS
R,1,.375,.1875       ! REAL CONSTANT SET 1 O.D. OF PIPE AND WALL THICKNESS
R,2,,,,31E-3         ! REAL CONSTANT SET 2 IXX
MP,EX,1,31.2E6       ! DEFINE MODULUS OF ELASTICITY
N,1                  ! BEGIN NODE DEFINITION
N,2,8
E,1,2                ! DEFINE PIPE ELEMENT
TYPE,2               ! DEFINE ACTIVE ELEMENT TYPE AS SET #2
REAL,2               ! DEFINE ACTIVE REAL CONSTANT TYPE AS SET #2
E,2                  ! DEFINE MASS AT END OF PIPE
M,2,ROTX             ! MASTER DOF IN ROTX DIRECTION AT FREE END OF PIPE
OUTPR,BASIC,1
D,ALL,ALL            ! CONSTRAIN ALL DOF'S
DDELE,2,ROTX         ! RELEASE TORSIONAL DOF AT NODE 2
FINISH
/SOLU
SOLVE
*GET,FREQ,MODE,1,FREQ
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = '      F,'
LABEL(1,2) = ' (Hz)  '
*VFILL,VALUE(1,1),DATA,48.781
*VFILL,VALUE(1,2),DATA,FREQ
*VFILL,VALUE(1,3),DATA,ABS(FREQ/48.781)
/COM
/OUT,vm48,vrt
/COM,------------------- VM48 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,----------------------------------------------------------

/OUT
FINISH
*LIST,vm48,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM47 Input Listing 		Up / Home Next
VM49 Input Listing


VM49 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM49
/PREP7
SMRT,OFF
/TITLE, VM49, ELECTROSTATIC FIELD ANALYSIS OF QUADPOLE WIRES IN OPEN AIR
C*** ANY BASIC STATIC AND DYNAMIC ELECTRICITY BOOK
ANTYPE,STATIC
ET,1,PLANE121                ! 2-D 8-NODE ELECTROSTATIC ELEMENT
ET,2,INFIN110,1              ! 2-D 4-NODE INFINITE ELEMENT WITH VOLT DOF
EMUNIT,MKS                   ! MKS UNIT
MP,PERX,1,1                  ! ELECTRICAL PERMITTIVITY
CSYS,1                       ! CYLINDRICAL COORDINATE SYSTEM
PCIRC,25.4/1000,0,90         ! QUARTER CIRCULAR AREA
PCIRC,50.8/1000,0,90
PCIRC,470/1000,0,90
AOVLAP,1,2,3                 ! OVERLAP AREAS
KPSCALE,7,8,1,2              ! SCALE KEYPOINTS 7 & 8 TO DOUBLE
L,7,6
L,6,9
L,8,9
AL,7,5,6,8
LSEL,S,LINE,,1,4,1           ! SELECT LINES
LSEL,A,LINE,,6,7
LSEL,A,LINE,,10,11
LESIZE,ALL,,,10              ! DIVIDE THE SELECTED LINES INTO TEN
!                               DIVISION
LSEL,ALL
LSEL,S,LINE,,12,13
LESIZE,ALL,,,30,10
LSEL,ALL
LSEL,S,LINE,,5,8,3
LESIZE,ALL,,,1
LSEL,ALL
TYPE,2                       ! USE ELEMENT TYPE 2
MSHK,1                    ! MAPPED AREA MESH
MSHA,0,2D                 ! USING QUADS
ESIZE,,1                     ! CREATE 1 ELEMENT PER LINE DIVISION
ASEL,S,AREA,,2
AMESH,ALL                    ! MESH THE AREA 2
ASEL,ALL
ESIZE,,10                    ! CREATE 10 ELEMENTS PER LINE DIVISION
TYPE,1                       ! USE ELEMENT TYPE 1
ASEL,S,AREA,,1,4,3           ! SELECT AREAS
ASEL,A,AREA,,5
AMESH,ALL
NSEL,S,LOC,X,25.4/1000       ! SELECT NODES
NSEL,R,LOC,Y,0
F,ALL,CHRG,.5E-6             ! APPLY CHARGE  AS POINT LOAD
NSEL,S,LOC,X,25.4/1000
NSEL,R,LOC,Y,90
F,ALL,CHRG,-.5E-6
NSEL,ALL
NSEL,S,LOC,X,940/1000
SF,ALL,INF                   ! FLAG THE EXTERIOR FACE OF INFIN110 AT
!                               INFINITE DISTANCE
NSEL,ALL
FINISH
/SOLU
OUTRES,ALL,ALL
OUTPR,,NONE
SOLVE
FINISH
/POST1
/COM    SELECT THE NODES AT ANGLES FROM 0 TO 90 DEGREE WITH 10
/COM     DIVISION ON SURFACE OF RADIUS 470 MM AND RETRIEVE THE
/COM      ELECTRIC POTENTIAL, V
DSYS,1
*DIM,ANG,,11,2
*VFILL,ANG(1,1),RAMP,0,9
*DO,J,1,11
   NSEL,S,LOC,X,470/1000
   NSEL,R,LOC,Y,ANG(J,1)
   *GET,NOD,NODE,,NUM,MAX
   *GET,ANG(J,2),NODE,NOD,VOLT
   NSEL,ALL
*ENDDO
*DIM,VLT,,11
*VFUN,VLT(1),COPY,ANG(1,2)
*DIM,VALUE,,11,2
*VFILL,VALUE(1,1),DATA,105.05,99.9,84.98,61.74,32.46,0,-32.46,-61.74,-84.98
*VFILL,VALUE(10,1),DATA,-99.98,-105.05
*VFILL,VALUE(1,2),DATA,ABS(VLT(1,1)/105.05 ),ABS(VLT(2,1)/99.9),ABS(VLT(3,1)/84.98)
*VFILL,VALUE(4,2),DATA,ABS(VLT(4,1)/61.74),ABS(VLT(5,1)/32.46),0
*VFILL,VALUE(7,2),DATA,ABS(VLT(7,1)/32.46),ABS(VLT(8,1)/61.74),ABS(VLT(9,1)/84.98)
*VFILL,VALUE(10,2),DATA,ABS(VLT(10,1)/99.98),ABS(VLT(11,1)/105.05 )
*DIM,LABEL,CHAR,11,2
*DO,I,1,11,1
LABEL(I,1) = 'V(VOLT) '
LABEL(I,2) = 'AT ANGLE'
*ENDDO
! WRITE DESIRED ANGLE AND POTENTIAL VALUES
/COM
/OUT,vm49,vrt
/COM,------------------- VM49 RESULTS COMPARISON ---------------
/COM,
/COM,                        |TARGET | ANSYS  | RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),ANG(1,1),VALUE(1,1),VLT(1),VALUE(1,2)
(1X,A8,A8,': ',F4.1,'  ',F7.2,'  ',F7.2,'  ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm49,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM48 Input Listing 		Up / Home Next
VM50 Input Listing


VM50 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM50
/PREP7
/TITLE, VM50, FUNDAMENTAL FREQUENCY OF A SIMPLY SUPPORTED BEAM
C*** VIBRATION THEORY AND APPLICATIONS, THOMSON, 2ND PRINTING, PAGE 18, EX 1.5-1
ET,1,BEAM3           ! TWO DIMENSIONAL ELASTIC BEAM
MP,EX,1,30E6         ! DEFINE MATERIAL PROPERTIES
MP,DENS,1,728E-6
MP,GXY,1,30E6/2.6
R,1,4,(4/3),2        ! DEFINE REAL CONSTANT SET FOR BEAM-AREA,IZZ & HEIGHT
K,1                  ! BEGIN DEFINING KEYPOINTS
K,2,80
L,1,2                ! DEFINE LINE WITH
LESIZE,ALL,,,4       !  4 DIVISIONS
LMESH,1              ! MESH LINE
FINISH
/SOLU
ANTYPE,MODAL
MODOPT,REDUC,3,,,3   ! PRINT ALL REDUCED MODE SHAPES
MXPAND,1             ! EXPAND FIRST MODE
M,3,UY,5             ! MASTER DOF IN Y DIRECTION AT NODES 3 THROUGH 5
OUTPR,ALL,1
DK,ALL,UX            ! CONSTRAIN ENDS OF BEAM IN DISP. X DOF
DK,ALL,UY            ! CONSTRAIN ENDS OF BEAM IN DISP. Y DOF
PSOLVE,ELFORM        ! CREATE THE ELEMENT MATRICES
PSOLVE,TRIANG        ! TRIANGULARIZE THE MATRICES
PSOLVE,EIGREDUC      ! CALCULATE THE EIGENVALUES AND EIGENVECTORS USING HOUSEHOLDER
PSOLVE,EIGEXP        ! EXPAND THE EIGENVECTOR SOLUTION
FINISH
/POST26
*GET,FREQ,MODE,1,FREQ
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = '       f'
LABEL(1,2) = ', (Hz)  '
*VFILL,VALUE(1,1),DATA,28.766
*VFILL,VALUE(1,2),DATA,FREQ
*VFILL,VALUE(1,3),DATA,ABS(FREQ/28.766)
/COM
/OUT,vm50,vrt
/COM,------------------- VM50 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm50,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM49 Input Listing 		Up / Home Next
VM51 Input Listing


VM51 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM51
/TITLE,VM51, FORCE BETWEEN CHARGED SPHERES
!            THE ELECTROMAGNETIC FIELD,  SHADOWITZ, PAGE 61
/PREP7
smrt,off $ shpp,warn
mopt,amesh,alte
mopt,qmesh,alte
R1 = 1                          ! SPHERE RADIUS
R2 = 3                          ! DISTANCE BETWEEN SPHERES
R3 = 6                          ! RADIUS OF FINITE ELEMENT DOMAIN
R4 = 1.25                       ! MAXWELL SURFACE RADIUS
PER=8.854E-12                   ! FREE SPACE PERMITIVITY
PI=3.14159265359
Q = 4*PI*PER                    ! TOTAL CHARGE
ALPHA = 30                      ! SLICE ANGLE
AREA = 4*PI*(R1**2)             ! TOTAL SPHERE AREA
CHRGS = Q/AREA                  ! SURFACE CHARGE
/NOPR
PCIRC,,R2,0,90                  ! CIRCLE RADIUS R2, 0 TO 90 DEGREES
WPOFFS,,R2/2                    ! WORKING PLANE OFFSET Y = R2/2
PCIRC,,R1,0,90                  ! CIRCLE RADIUS R1, 0 TO 90 DEGREES
PCIRC,,R1,-90,0                 ! CIRCLE RADIUS R1, 0 TO -90 DEGREES
PCIRC,,R4,-90,90                ! CIRCLE RADIUS R4, -90 TO 90 DEGREES
AOVLAP,ALL
NUMCMP,AREA
ET,1,PLANE121                   ! 2-D 8-NODE ELECTROSTATIC SOLID
ET,2,SOLID122                   ! 3-D 20-NODE ELECTROSTATIC SOLID
ET,3,MESH200,7                  ! NEW MESH200 2-D 8-NODE ELEMENT TYPE
ET,4,INFIN111,2,1               ! 3-D INFINITE SOLID ELEMENT
MP,PERX,1,1
MP,PERX,2,1
CSYS,2                          ! SPHERICAL COORDINATE SYSTEM
LSEL,S,LOC,X,R2
LESIZE,ALL,,,30                 ! SET ELEMENT DIVISIONS = 20
ESIZE,,25                       ! SET ELEMENT DIVISIONS FOR EXTRUDE REGION
TYPE,1
LOCAL,11,2,,R2/2                ! DEFINE COORDINATE SYSTEM AT SPHERE CENTER
LSEL,S,LOC,X,R1                 ! SELECT LINES ON SPHERE SURFACE
LESIZE,ALL,,,25                 ! SET ELEMENT DIVISIONS
LSEL,A,LOC,X,R4                 ! SELECT LINES FOR MAXWELL SURFACE
LESIZE,ALL,,,50                 ! SET ELEMENT DIVISIONS
CSYS,0                          ! CARTESIAN COORDINATE SYSTEM
LSEL,S,LOC,Y,                   ! SELECT LINES AT Y = 0
LESIZE,ALL,,,40                 ! SET ELEMENT DIVISIONS
MSHK,2                          ! MAPPED AREA MESH IF POSSIBLE
MSHA,0,2D                       ! USING QUADS
LSEL,ALL
ESIZE,,5                        ! SET ELEMENT DIVISIONS = 5
ALLSEL
AMAP,4,10,7,5,11                ! MAP MESH SPHERE TO MAXWELL SURFACE
AMESH,ALL
K,200                           ! CREATE KEYPOINTS FOR ROTATION
K,201,,R3
MSHK,0                          !  FREE MESH
MSHA,1,                         !  USING TRIS OR TETS
TYPE,2
ASEL,ALL
ESIZE,,3                        ! 3 DIVISIONS IN ROTATE DIRECTION
MAT,1
VROTAT,ALL,,,,,,200,201,ALPHA   ! ROTATE ALL AREAS THROUGH 30 DEGREES
CSYS,11                         ! CUSTOM SPHERICAL COORDINATE SYSTEM
NSEL,S,LOC,X,0,R1*1.03          ! NODE SELECT RADIUS 0 TO R1
ESLN,S,1                        ! ELEMENT SELECT FROM NODES
EMODIF,ALL,MAT,2                ! CHANGE MATERIAL PROPERTY TO 2
CSYS,2                          ! SPHERICAL COORDINATE SYSTEM
KSEL,S,LOC,X,R2                 ! KEYPOINT SELECT AT RADIUS R2
LSLK,S,1                        ! LINE SELECT FROM KEYPOINTS
ASLL,S,1                        ! AREA SELECT FROM LINES
TYPE,3                          ! NEW MESH200 ELEMENT TYPE
AMESH,ALL                       ! MESH AREA AT RADIUS R2
ESIZE,,8                        ! EIGHT ELEMENTS IN EXTRUDE DIRECTION
TYPE,2                          ! SOLID122 USED FOR EXTRUDE
VEXT,ALL,,,R3-R2                ! EXTRUDE AREAS IN RADIAL DIRECTION
KSEL,S,LOC,X,R3                 ! KEYPOINT SELECT AT RADIUS R3
LSLK,S,1                        ! LINE SELECT FROM KEYPOINTS
ASLL,S,1                        ! AREA SELECT FROM LINES
TYPE,3                          ! NEW MESH200 ELEMENT TYPE
AMESH,ALL                       ! MESH AREA AT RADIUS R3
ESIZE,,1                        ! ONE DIVISION IN EXTRUDE DIRECTION
TYPE,4                          ! INFIN122 USED FOR EXTRUDE
VEXT,ALL,,,R3                   ! EXTRUDE AREA IN RADIAL DIRECTION
ALLSEL                          ! SELECT ALL ENTITIES

/OUTPUT,SCRATCH
NUMMRG,NODE
NUMMRG,ELEM
NUMMRG,KP
/OUTPUT

CSYS,0
NSEL,S,LOC,Y,0                  ! SELECT SYMMETRY BOUNDARY
D,ALL,VOLT,0                    ! CONSTRAIN BOUNDARY VOLT DOF
CSYS,2                          ! SPHERICAL COORDINATE SYSTEM
NSEL,S,LOC,X,10,12              ! SELECT OUTER NODES OF INFINITE DOMAIN
ESLN,S
SF,ALL,INF                      ! SET INFINITE FLAG
NSEL,ALL
OUTRES,ALL,ALL
FINISH
/SOLU
ALLSEL
ESEL,U,TYPE,,1,                 ! UNSELECT DUMMY MESHING ELEMENT 122
ESEL,S,MAT,,2                   ! SELECT SPHERE ELEMENTS
NSLE
CSYS,11                         ! CUSTOM SPHERICAL COORDINATE SYSTEM
NSEL,S,LOC,X,0.98*R1,1.02*R1    ! SELECT NODES ON SPHERE SURFACE
ESLN
ESEL,U,MAT,,1
SF,ALL,CHRG,CHRGS               ! APPLY SURFACE CHARGE
ALLSEL
ESEL,U,TYPE,,1                  ! UNSELECT DUMMY MESHING ELEMENT 122
/TYPE,,6
/DEVICE,VECTOR,ON
/DIST,,3.661
/FOCUS,,3.08,2.884,-.148327
/COM                       *** THE FOLLOWING ANNOTATION COMMANDS ARE ***
/COM                       *** TYPICALLY GENERATED INTERACTIVELY ***
/AUTO, 1
/ANUM ,0,     1,-0.12607    , 0.38512  ! ANNOTATION NUMBER, TYPE AND HOT SPOT
/TLAB,-0.546, 0.385,Infinite Element Domain
/ANUM ,0,     1, 0.16752    ,-0.72533E-01
/TLAB,-0.217,-0.073,Finite Element Domain
/ANUM ,0,    12, 0.77714E-01,-0.24523
/LINE, 0.259,-0.124,-0.104,-0.366
/LSYM,-0.104,-0.366, 213,   1, 1.000
/ANUM ,0,     1,-0.32640    ,-0.34885
/TLAB,-0.571,-0.349,Sphere Surface
/ANUM ,0,    12,-0.44556    ,-0.45247
/LINE,-0.373,-0.366,-0.518,-0.539
/LSYM,-0.518,-0.539, 229,   1, 1.000
/ANUM ,0,     1,-0.41447E-01,-0.78577
/TSPEC, 15, 1.000,   1,   1,   0
/TLAB,-0.321,-0.791,Maxwell Surface
/ANUM ,0,    12,-0.31258    ,-0.72015
/LINE,-0.235,-0.746,-0.390,-0.694
/LSYM,-0.390,-0.694, 161,   1, 1.000
/ANUM ,0,     1,-0.39893    ,-0.93257
/TSPEC, 15, 1.000,   1,   0,   0
/TLAB,-0.434,-0.933,R3
/ANUM ,0,    12,-0.25214    ,-0.92566
/LINE,-0.373,-0.926,-0.131,-0.926
/LSYM,-0.131,-0.926,   0,   1, 1.000
/ANUM ,0,    12,-0.51118    ,-0.92566
/LINE,-0.442,-0.926,-0.580,-0.926
/LSYM,-0.580,-0.926, 180,   1, 1.000
APLOT
/ANNOT,ON
/USER                                 ! RESET GRAPHICS DISPLAY SETTINGS
/VIEW,1,.5274,.2492,.8123
/ANGLE,1,3.621
/DIST,,7.735
/FOCUS,,6,6,-3
/DEVICE,VECTOR,OFF
/ANNOT,OFF
/PNUM,TYPE,1
/NUMBER,1
VPLOT
EPLOT
SOLVE
FINISH
/POST1                          ! ENTER GENERAL POSTPROCESSOR
RSYS,11                         ! USE CUSTOM SPHERICAL RESULTS COORDINATE SYSTEM
ESEL,S,TYPE,,2                  ! SELECT SOLID122 ELEMENTS
ESEL,U,MAT,,2                   ! UNSELECT SPHERE
NSLE
/AUTO
PLNSOL,EF,X                     ! PLOT NODAL RESULTS, RADIAL ELECTRIC FIELD
PLNSOL,VOLT                     ! PLOT NODAL RESULTS, VOLTAGE DOF
RSYS,0
CSYS,11
NSEL,S,LOC,X,R1
EMFN
YFORCE=_FYSUM*12                 ! MULTIPLY TO ACCOUNT FOR 30 DEGREE SLICE
*STATUS,YFORCE
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = '   YFORC'
LABEL(1,2) = 'E  (N)  '
*VFILL,VALUE(1,1),DATA,-1.236E-11
*VFILL,VALUE(1,2),DATA,YFORCE
*VFILL,VALUE(1,3),DATA,ABS(YFORCE/1.236E-11)
/COM
/OUT,vm51,vrt
/COM,------------------- VM51 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',E11.4,'  ',E11.4,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm51,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM50 Input Listing 		Up / Home Next
VM52 Input Listing


VM52 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM52
/PREP7
MP,PRXY,,0.3
/TITLE, VM52, AUTOMOBILE SUSPENSION SYSTEM VIBRATIONS
C***VIBRATION THEORY AND APPLICATIONS, THOMSON, 2ND PRINTING, PAGE 181, EX 6.7-1
ANTYPE,MODAL              ! MODE-FREQUENCY ANALYSIS
MXPAND,1                  ! EXPAND FIRST MODE
MODOPT,REDUC,,,,2         ! PRINT TWO REDUCED MODE SHAPES
ET,1,BEAM3                ! BEAM ELEMENT
ET,2,COMBIN14,,,2         ! SPRING ELEMENT
ET,3,MASS21,,,3           ! MASS ELEMENT
R,1,2400                  ! SPRING STIFFNESS (K1) = 2400
R,2,1,1,1                 ! BEAM PROPERTIES
R,3,100,1600              ! MASS = 100 (FROM 3220/32.2), I = 1600
R,4,1,1,1                 ! BEAM PROPERTIES (ARBITRARY)
R,5,2600                  ! SPRING STIFFNESS (K2) = 2600
MP,EX,1,4E9
N,1
N,2,,1
N,3,4.5,1
N,4,10,1
N,5,10
TYPE,2
E,1,2                      ! SPRING ELEMENT
TYPE,1
REAL,2
E,2,3                      ! BEAM ELEMENT
TYPE,3
REAL,3
E,3                        ! MASS ELEMENT
TYPE,1
REAL,4
E,3,4                      ! BEAM ELEMENT
TYPE,2
REAL,5
E,4,5                      ! SPRING ELEMENT
M,3,UY,,,ROTZ              ! UY AND ROTZ OF NODE 3 ARE SELECTED AS MDOF
D,1,UX,,,5,4,UY            ! BOUNDARY CONDITIONS
D,3,UX
OUTPR,NSOL,1
FINISH
/SOLU
SOLVE
*GET,FREQ1,MODE,1,FREQ
*GET,FREQ2,MODE,2,FREQ
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = '    f1, ','    f2, '
LABEL(1,2) = 'Hz      ','Hz      '
*VFILL,VALUE(1,1),DATA,1.0981,1.4406
*VFILL,VALUE(1,2),DATA,FREQ1,FREQ2
*VFILL,VALUE(1,3),DATA,ABS(FREQ1/1.0981 ) ,ABS( FREQ2/1.4406)
/COM
/OUT,vm52,vrt
/COM,------------------- VM52 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm52,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM51 Input Listing 		Up / Home Next
VM53 Input Listing


VM53 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM53
/PREP7
/TITLE, VM53, VIBRATION OF A STRING UNDER TENSION
C***           VIBRATION THEORY AND APPLICATIONS, THOMSON, 2ND. PRINTING,
C***           PAGE 264, ART. 8.2,
ANTYPE,STATIC              ! STATIC ANALYSIS
PSTRES,ON                  ! INCLUDE PRESTRESS EFFECTS (THIS OPTION IS NEEDED
                           !  FOR PRESTRESSED MODAL ANALYSIS PERFORMED LATER)
ET,1,LINK10
R,1,306796E-8,543248E-8    ! AREA AND INITIAL STRAIN
MP,EX,1,30E6
MP,DENS,1,73E-5
N,1                        ! DEFINE NODES
N,14,100
FILL
E,1,2                      ! DEFINE ELEMENTS
EGEN,13,1,1
OUTPR,BASIC,1
D,ALL,ALL                  ! FIX ALL MOTIONS FOR STATIC STRESSES
FINISH
/SOLU
SOLVE
FINISH
/POST1
ETABLE,STRS,LS,1
*GET,STRSS,ELEM,13,ETAB,STRS
FINISH
/POST26
RFORCE,2,1,F,X
STORE
*GET,FORCE,VARI,2,EXTREM,VMAX
/SOLU
ANTYPE,MODAL               ! PERFORM MODAL ANALYSIS
MODOPT,SUBSP,3             ! EXTRACT 3 MODES USING SUBSPACE ITERATION METHOD
MXPAND,3                   ! EXPAND FIRST THREE MODES
PSTRES,ON                  ! INCLUDE PRESTRESS EFFECTS
DDELE,2,UX,13              ! RELEASE INTERIOR DOFS
DDELE,2,UY,13
SOLVE
*GET,FREQ1,MODE,1,FREQ
*GET,FREQ2,MODE,2,FREQ
*GET,FREQ3,MODE,3,FREQ
*DIM,LABEL,CHAR,5,2
*DIM,VALUE,,5,3
LABEL(1,1) = '      F,','      SI','      f1','      f2','      f3'
LABEL(1,2) = ' lb     ','GMA,psi ',', Hz    ',', Hz    ',', Hz    '
*VFILL,VALUE(1,1),DATA,500,162974,74.708,149.42,224.12
*VFILL,VALUE(1,2),DATA,ABS(FORCE),STRSS,FREQ1,FREQ2,FREQ3
*VFILL,VALUE(1,3),DATA,ABS(FORCE/500),ABS(STRSS/162974),ABS(FREQ1/74.708)
*VFILL,VALUE(4,3),DATA,ABS(FREQ2/149.42),ABS(FREQ3/224.12)
/COM
/OUT,vm53,vrt
/COM,------------------- VM53 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm53,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM52 Input Listing 		Up / Home Next
VM54 Input Listing


VM54 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM54
/PREP7
/TITLE, VM54, VIBRATION OF A ROTATING CANTILEVER BLADE
C*** CARNEGIE,W., VIBRATIONS OF ROTATING CANTILEVER BLADING,
C*** JOURNAL OF MECHANICAL ENGINEERING SCIENCE,PG. 239,VOL.1,NO.3,1959.
ET,1,SHELL63,,,,,,,1     ! FOUR NODE SHELL, SUPPRESS STRESS PRINTOUT
R,1,3E-3                 ! THICKNESS OF SHELL
MP,EX,1,217E9            ! MATERIAL, STEEL
MP,NUXY,1,0.3
MP,DENS,1,7850
N,1,-.014,,.150          ! DEFINE NODES
N,9,-.014,,.478
FILL
NGEN,2,9,1,9,1,.028
E,1,2,11,10              ! DEFINE ELEMENTS
EGEN,8,1,-1
FINISH
/SOLU
ANTYPE,STATIC            ! STATIC ANALYSIS, PRESTRESS
PSTRES,ON                ! PRESTRESS ANALYSIS
D,1,ALL,,,10,9           ! BOUNDARY CONDITIONS AND LOADING
OMEGA,314.159265         ! SPINNING LOAD
OUTPR,,1
SOLVE
FINISH
*CREATE,SOLVIT,MAC	 ! CREATE MACRO TO SOLVE AND RETRIEVE RESULTS
/SOLU
ANTYPE,MODAL             ! MODAL ANALYSIS
MODOPT,SUBSP,5           ! FULL SUBSPACE, EXTRACT 5 MODES
PSTRES,ON                ! PRESTRESS ANALYSIS
OMEGA,314.159265,,,1     ! INCLUDE SPIN SOFTENING
SOLVE
*GET,FREQ,MODE,1,FREQ
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = '     f, '
LABEL(1,2) = 'Hz      '
*VFILL,VALUE(1,1),DATA,52.75
*VFILL,VALUE(1,2),DATA,FREQ
*VFILL,VALUE(1,3),DATA,ABS(FREQ /52.75)
FINISH
*END
SOLVIT			 ! EXECUTE MACRO TO SOLVE AND RETRIEVE RESULTS
SAVE,TABLE_1
/CLEAR, NOSTART
/TITLE, VM54, VIBRATION OF A ROTATING CANTILEVER BLADE
C***          USING SOLSH190 ELEMENTS
/PREP7
SMRT,OFF
ANTYPE,MODAL             ! MODAL ANALYSIS
ET,1,SOLSH190,,,,,,,1    ! ANALYZE AGAIN USING 3-D SOLSH190, SUPPRESS STRESS PRINTOUT
THICK = 3E-3		 ! THCIKNESS = 3E-3
R,1,THICK
MP,EX,1,217E9            ! MATERIAL, STEEL
MP,NUXY,1,0.3
MP,DENS,1,7850
N,1,-.014,,.150          ! DEFINE NODES
N,9,-.014,,.478
FILL
NGEN,2,9,1,9,1,.028
NGEN,2,18,1,18,1,,THICK
E,1,2,11,10,19,20,29,28  ! DEFINE ELEMENTS
EGEN,8,1,-1
FINISH
/SOLU
ANTYPE,STATIC            ! STATIC ANALYSIS, PRESTRESS
PSTRES,ON                ! PRESTRESS ANALYSIS
D,1,ALL,,,10,9           ! BOUNDARY CONDITIONS AND LOADING
D,19,ALL,,,28,9		 !
OMEGA,314.159265         ! SPINNING LOAD
OUTPR,,1
SOLVE
FINISH
SOLVIT			 ! EXECUTE MACRO TO SOLVE AND RETRIEVE RESULTS
SAVE,TABLE_2
/CLEAR, NOSTART
/TITLE, VM54, VIBRATION OF A ROTATING CANTILEVER BLADE
C***          USING SHELL181 ELEMENTS
/PREP7
ET,1,SHELL181, , ,2,,,,1 ! SUPPRESS STRESS PRINTOUT
R,1,3E-3                 ! THICKNESS OF SHELL
MP,EX,1,217E9            ! MATERIAL, STEEL
MP,NUXY,1,0.3
MP,DENS,1,7850
CSYS,4
WPRO, ,-90
RECTNG,-0.014,0.014,-0.150,-0.478
LSEL,S,LINE,,1,3,2
LESIZE,ALL, , ,1
LSEL,INVE
LESIZE,ALL, , ,9
LSEL,ALL
AMESH,1
FINISH
/SOLU
ANTYPE,STATIC            ! STATIC ANALYSIS, PRESTRESS
PSTRES,ON                ! PRESTRESS ANALYSIS
NSEL,S,LOC,Y,-0.150
D,ALL,ALL
NSEL,ALL
OMEGA,314.159265         ! SPINNING LOAD
OUTPR,NSOL,1
OUTPR,RSOL,1
SOLVE
FINISH
SOLVIT			 ! EXECUTE MACRO TO SOLVE AND RETRIEVE RESULTS
SAVE,TABLE_3
/CLEAR, NOSTART
/TITLE, VM54, VIBRATION OF A ROTATING CANTILEVER BLADE
C***          USING SHELL281 ELEMENTS
/PREP7
ET,1,SHELL281, , ,2,,,,1 ! SUPPRESS STRESS PRINTOUT
R,1,3E-3                 ! THICKNESS OF SHELL
MP,EX,1,217E9            ! MATERIAL, STEEL
MP,NUXY,1,0.3
MP,DENS,1,7850
CSYS,4
WPRO, ,-90
RECTNG,-0.014,0.014,-0.150,-0.478
LSEL,S,LINE,,1,3,2
LESIZE,ALL, , ,1
LSEL,INVE
LESIZE,ALL, , ,9
LSEL,ALL
AMESH,1
FINISH
/SOLU
ANTYPE,STATIC            ! STATIC ANALYSIS, PRESTRESS
PSTRES,ON                ! PRESTRESS ANALYSIS
NSEL,S,LOC,Y,-0.150
D,ALL,ALL
NSEL,ALL
OMEGA,314.159265         ! SPINNING LOAD
OUTPR,NSOL,1
OUTPR,RSOL,1
SOLVE
FINISH
SOLVIT			 ! EXECUTE MACRO TO SOLVE AND RETRIEVE RESULTS
SAVE,TABLE_4
RESUME,TABLE_1
/COM
/OUT,vm54,vrt
/COM,------------------- VM54 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM, SHELL63
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/COM,
/COM, SOLID90
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/NOPR
RESUME,TABLE_3
/COM,
/COM, SOLID181
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/NOPR
RESUME,TABLE_4
/COM,
/COM, SOLID281
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm54,vrt
/DELETE,SOLVIT,MAC
/DELETE,TABLE_1
/DELETE,TABLE_2
/DELETE,TABLE_3
/DELETE,TABLE_4

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM53 Input Listing 		Up / Home Next
VM55 Input Listing


VM55 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM55
/PREP7
MP,PRXY,,0.3
/TITLE, VM55, VIBRATION OF A STRETCHED CIRCULAR MEMBRANE
C***        VIBRATION PROBS. IN ENGR., TIMOSHENKO, 3RD. ED., PAGE  439, EQN. 182
ANTYPE,STATIC        ! STATIC ANALYSIS
PSTRES,ON            ! INCLUDE PRESTRESS EFFECTS (THIS OPTION IS NEEDED FOR
                     ! PRESTRESSED MODAL ANALYSIS PERFORMED LATER)
ET,1,SHELL208,,,2
MP,EX,1,30E6
MP,DENS,1,73E-5
SECTYPE,1,SHELL
SECDATA,0.01
SECNUM,1
N,1
N,10,15
FILL
E,1,2
EGEN,9,1,1
D,1,UX,,,,,ROTZ
D,10,UY
F,10,FX,9424.778
FINISH
/SOLU
OUTPR,BASIC,1
SOLVE
FINISH
/POST1
ETABLE,STRS,S,X
*GET,STRSS,ELEM,9,ETAB,STRS
FINI
/SOLU
ANTYPE,MODAL         ! MODAL ANALYSIS
PSTRES,ON            ! INCLUDE PRESTRESS EFFECTS
MXPAND,3             ! EXPAND FIRST 3 MODES
MODOPT,LANB,9        ! EXTRACT FIRST 9 MODES
SOLVE
*GET,FREQ1,MODE,1,FREQ
*GET,FREQ2,MODE,2,FREQ
*GET,FREQ3,MODE,3,FREQ
*DIM,LABEL,CHAR,4,2
*DIM,VALUE,,4,3
LABEL(1,1) = 'SIG,R  p','f1,     ','f2,     ','f3,     '
LABEL(1,2) = 'si      ','Hz      ','Hz      ','Hz      '
*VFILL,VALUE(1,1),DATA,10000,94.406,216.77,339.85
*VFILL,VALUE(1,2),DATA,STRSS,FREQ1,FREQ2,FREQ3
*VFILL,VALUE(1,3),DATA,(STRSS/10000),(FREQ1/94.406),(FREQ2/216.77),(FREQ3/339.85)
/COM
/OUT,vm55,vrt
/COM,------------------- VM55 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm55,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM54 Input Listing 		Up / Home Next
VM56 Input Listing


VM56 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM56
/PREP7
SMRT,OFF
/TITLE, VM56, HYPERELASTIC THICK CYLINDER UNDER INTERNAL PRESSURE
/COM           REF: ODEN, J.T., "FINITE ELEMENTS OF NONLINEAR CONTINUA"
/COM                MCGRAW-HILL, 1972, PP 325-331
ANTYPE,STATIC
NLGEOM,ON                 ! LARGE DEFLECTION
ET,1,PLANE183, , ,1       ! 2-D AXISYM 8-NODE STRUCTURAL SOLID
ET,2,PLANE183, , ,1       ! 2-D AXISYM 8-NODE STRUCTURAL SOLID
MP,NUXY,1,0.49            ! POISSON'S RATIO (APPROXIMATELY INCOMPRESSIBLE)
NU1  = 0.49
DD1  = 2*(1-2*NU1)/(40+10)
DD2  = 2*(1-2*NU1)/(120+30)
TB,HYPER,1,2,2,MOONEY
TBTEMP,20                 ! MOONEY COEFFICIENTS AT TEMP = 20
TBDATA,1,40,10,DD1
TBTEMP,40
TBDATA,1,120,30,DD2
K,1,7                     ! DEFINE KEYPOINTS
K,3,7,2.5
K,2,18.625
K,4,18.625,2.5
A,1,2,4,3                 ! DEFINE AREA
ESIZE,2.5
AMESH,1                   ! CREATE NODES AND ELEMENTS
TYPE,2
EMODIF,1                  ! PRINT ONLY INNERMOST ELEMENT RESULTS
BFUNIF,TEMP,30            ! UNIFORM TEMPERATURES
D,ALL,UY,0                ! FIX ALL NODES AXIALLY
FINISH
/SOLU
SOLCONTROL,0
/TITLE, PRESSURE = 90 PSI
NEQIT,20                  ! MAXIMUM 20 EQUILIBRIUM ITERATIONS
NSEL,S,LOC,X,7.0
SF,ALL,PRES,90            ! APPLY INTERNAL PRESSURE OF 90 PSI
NSEL,ALL
SOLVE
/TITLE, PRESSURE = 150 PSI
NSEL,S,LOC,X,7.0
SF,ALL,PRES,150           ! APPLY INTERNAL PRESSURE OF 150 PSI
NSEL,ALL
SOLVE
FINISH
/POST1                    ! POSTPROCESS
SET,2
ETABLE,SX1,S,X
AVPRIN,0,0,
ELM=0
NSEL,S,LOC,X,6.5,8.5
ESLN
ELM=ELNEXT(ELM)
*GET,SIGX,ELEM,ELM,ETABLE,SX1
ELM=0
ESEL,ALL
NSEL,ALL
*GET,DEF,NODE,1,U,X
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'UR(INNER'
LABEL(1,2) = ' RAD),in'
LABEL(2,1) = 'SIGX: EL'
LABEL(2,2) = ' 1 CENT  '
VALUE(1,1) = 7.180
VALUE(1,2) = DEF
VALUE(1,3) = ABS(DEF/7.180)
VALUE(2,1) = -122.0
VALUE(2,2) = SIGX
VALUE(2,3) = ABS(SIGX/(-122.0))
SAVE,TABLE_1
FINISH
/CLEAR,NOSTART ! CLEAR THE PREVIOUS DATABASE
/PREP7
SMRT,OFF
/TITLE, VM56: HYPERELASTIC THICK CYLINDER UNDER INTERNAL PRESSURE
ANTYPE,STATIC
NLGEOM,ON
ET,1,SOLID185              ! 3-D 8-NODE STRUCTURAL SOLID
ET,2,SOLID185              ! 3-D 8-NODE STRUCTURAL SOLID
MP,NUXY,1,0.49            ! POISSON'S RATIO (APPROX. INCOMPRESSIBLE)
NU1 = 0.49
DD  = 2*(1-2*NU1)/(80+20)
TB,HYPER,1,1,2,MOONEY
TBDATA,1,80,20,DD
CSYS,1
K,1,7,3.16                ! DEFINE KEYPOINTS
K,2,7,3.16,.775
K,3,7,-3.16,.775
K,4,7,-3.16
KGEN,2,ALL,,,11.625
V,1,2,3,4,5,6,7,8         ! DEFINE VOLUME
LSEL,S,LINE,,5
LSEL,A,LINE,,7
LSEL,A,LINE,,11
LSEL,A,LINE,,9
LESIZE,ALL,,,5
LSEL,ALL
ESIZE,,1
VMESH,ALL                 ! CREATE NODES AND ELEMENTS
TYPE,2
EMODIF,1
NROTAT,ALL                ! ROTATE ALL NODES INTO CYLINDRICAL COORDINATES
D,ALL,UZ,0.0              ! CONSTRAIN ALL NODES AXIALLY
D,ALL,UY,0.0              ! CONSTRAIN ALL NODES TANGENTIALLY
FINISH
/SOLU
SOLCONTROL,0
/TITLE, PRESSURE = 90 PSI
NEQIT,30                  ! MAXIMUM 30 EQUILIBRIUM ITERATIONS
NSEL,S,LOC,X,7
SF,ALL,PRES,90            ! INTERNAL PRESSURE OF 90 PSI
NSEL,ALL
SOLVE
/TITLE, PRESSURE = 150 PSI
NSEL,S,LOC,X,7
SF,ALL,PRES,150           ! INTERNAL PRESSURE OF 150 PSI
NSEL,ALL
SOLVE
FINISH
/POST1                    ! POSTPROCESS
SET,2
ETABLE,SX1,S,X
AVPRIN,0,0,
ELM=0
NSEL,S,LOC,X,6.5,8.5
ESLN
ELM=ELNEXT(ELM)
*GET,SIGX,ELEM,ELM,ETABLE,SX1
ELM=0
ESEL,ALL
NSEL,ALL
*GET,DEF,NODE,1,U,X
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'UR(INNER'
LABEL(1,2) = ' RAD),in'
LABEL(2,1) = 'SIGX: EL'
LABEL(2,2) = ' 1 CENT  '
VALUE(1,1) = 7.180
VALUE(1,2) = DEF
VALUE(1,3) = ABS(DEF/7.180)
VALUE(2,1) = -122.0
VALUE(2,2) = SIGX
VALUE(2,3) = ABS(SIGX/(-122.0))
SAVE,TABLE_2
FINISH
/CLEAR,NOSTART ! CLEAR THE PREVIOUS DATABASE
/PREP7
SMRT,OFF
/TITLE, VM56: HYPERELASTIC THICK CYLINDER UNDER INTERNAL PRESSURE
ANTYPE,STATIC
NLGEOM,ON
ET,1,SOLID186             ! 3-D 20-NODE STRUCTURAL SOLID
ET,2,SOLID186             ! 3-D 20-NODE STRUCTURAL SOLID
MP,NUXY,1,0.49            ! POISSON'S RATIO (APPROX. INCOMPRESSIBLE)
NU1 = 0.49
DD  = 2*(1-2*NU1)/(80+20)
TB,HYPER,1,1,2,MOONEY
TBDATA,1,80,20,DD
CSYS,1
K,1,7,3.16                ! DEFINE KEYPOINTS
K,2,7,3.16,.775
K,3,7,-3.16,.775
K,4,7,-3.16
KGEN,2,ALL,,,11.625
V,1,2,3,4,5,6,7,8         ! DEFINE VOLUME
LSEL,S,LINE,,5
LSEL,A,LINE,,7
LSEL,A,LINE,,11
LSEL,A,LINE,,9
LESIZE,ALL,,,5
LSEL,ALL
ESIZE,,1
VMESH,ALL                 ! CREATE NODES AND ELEMENTS
TYPE,2
EMODIF,1
NROTAT,ALL                ! ROTATE ALL NODES INTO CYLINDRICAL COORDINATES
D,ALL,UZ,0.0              ! CONSTRAIN ALL NODES AXIALLY
D,ALL,UY,0.0              ! CONSTRAIN ALL NODES TANGENTIALLY
FINISH
/SOLU
SOLCONTROL,0
/TITLE, PRESSURE = 90 PSI
NEQIT,30                  ! MAXIMUM 30 EQUILIBRIUM ITERATIONS
NSEL,S,LOC,X,7
SF,ALL,PRES,90            ! INTERNAL PRESSURE OF 90 PSI
NSEL,ALL
SOLVE
/TITLE, PRESSURE = 150 PSI
NSEL,S,LOC,X,7
SF,ALL,PRES,150           ! INTERNAL PRESSURE OF 150 PSI
NSEL,ALL
SOLVE
FINISH
/POST1                    ! POSTPROCESS
SET,2
*GET,DEF,NODE,1,U,X
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'UR(INNER'
LABEL(1,2) = ' RAD),in'
VALUE(1,1) = 7.180
VALUE(1,2) = DEF
VALUE(1,3) = ABS(DEF/7.180)
SAVE,TABLE_3
RESUME,TABLE_1
/COM
/OUT,vm56,vrt
/COM,------------------- VM56 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,RESULTS USING PLANE183:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,RESULTS USING SOLID185:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/NOPR
RESUME,TABLE_3
/GOPR
/COM,
/COM,RESULTS USING SOLID186:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,-----------------------------------------------------------
/COM,
/OUT
FINISH
*LIST,vm56,vrt

/DELETE,TABLE_1
/DELETE,TABLE_2
/DELETE,TABLE_3
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM55 Input Listing 		Up / Home Next
VM57 Input Listing


VM57 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM57
/PREP7
/TITLE, VM57, TORSIONAL FREQUENCIES OF A DRILL PIPE
C*** VIBRATION THEORY AND APPLICATIONS, THOMSON, 2ND. PRINTING, PAGE 272, EX. 8.4-5
C***    USING PIPE16 ELEMENTS
ET,1,PIPE16
ET,2,MASS21
R,1,(4.5/12),(.335/12)  ! GEOMETRIC PROPERTIES FOR PIPE ELEMENTS
R,2,,,,,,29.3           ! GEOMETRIC PROPERTY FOR MASS ELEMENT
MP,EX,1,4.4928E9
MP,DENS,1,15.2174
MP,NUXY,1,.3
N,1
N,13,,,-5000
FILL
E,1,2
EGEN,12,1,1             ! PIPE ELEMENTS
TYPE,2
REAL,2
E,13                    ! MASS ELEMENT
FINISH
/SOLU
ANTYPE,MODAL            ! MODE-FREQUENCY ANALYSIS
MODOPT,SUBSP,2          ! EXTRACT FIRST TWO MODES
D,1,UX,,,13,,UY,UZ,ROTX,ROTY
D,1,ROTZ
OUTPR,,1
SOLVE
FINISH
/POST1
*GET,FREQ1,MODE,1,FREQ
*GET,FREQ2,MODE,2,FREQ
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = '      f1','      f2'
LABEL(1,2) = ', Hz    ',', Hz    '
*VFILL,VALUE(1,1),DATA,.3833,1.260
*VFILL,VALUE(1,2),DATA,FREQ1,FREQ2
*VFILL,VALUE(1,3),DATA,ABS(FREQ1/.3833),ABS(FREQ2/1.260)
SAVE,TABLE_1
FINISH
/PREP7
C****       USING BEAM ELEMENTS (BEAM4)
ET,1,BEAM4
R,1,304401E-7,4613E-7,4613E-7,4.5,4.5
RMORE,,9226E-7          ! GEOMETRIC PROPERTIES FOR BEAM ELEMENTS
FINISH
/SOLU
MODOPT,REDUC,2,,,2      ! USE HOUSEHOLDER, EXTRACT AND PRINT 2 REDUCED MODE SHAPES
M,2,ROTZ,13
SOLVE
FINISH
/POST1
*GET,FREQ1,MODE,1,FREQ
*GET,FREQ2,MODE,2,FREQ
LABEL(1,1) = 'UR(INNER'
LABEL(1,2) = ' RAD),in'
*VFILL,VALUE(1,1),DATA,.3833,1.26
*VFILL,VALUE(1,2),DATA,FREQ1,FREQ2
*VFILL,VALUE(1,3),DATA,ABS(FREQ1/.3833),ABS(FREQ2/1.26)
SAVE,TABLE_2
RESUME,TABLE_1
/COM
/OUT,vm57,vrt
/COM,------------------- VM57 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,RESULTS USING PIPE ELEMENTS:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,RESULTS USING BEAM ELEMENTS:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm57,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM56 Input Listing 		Up / Home Next
VM58 Input Listing


VM58 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM58
/PREP7
SMRT,OFF
/TITLE, VM58, CENTERLINE TEMP. OF A HEAT GENERATING WIRE
C*** HEAT, MASS AND MOMENTUM TRANS., ROHSENOW AND CHOI, 2ND. PR., P. 106,EX 6.5
ANTYPE,STATIC
ET,1,PLANE35              ! 2-D 6 NODE TRIANGULAR THERMAL SOLID
ET,2,SURF151              ! 2-D THERMAL SURFACE EFFECT ELEMENT
KEYOPT,2,8,2
MP,KXX,1,13
CSYS,1
K,1                       ! DEFINE MODEL
K,2,.03125,-15
K,3,.03125,15
L,2,3
CSYS
A,1,2,3
ESIZE,,4
AMESH,1
CSYS,1
NSEL,S,LOC,X,.03125
CP,1,TEMP,ALL             ! COUPLE NODAL TEMPERATURES ON EXTERIOR
TYPE,2                    ! SELECT SURF151 TYPE
ESURF                     ! GENERATE SURF151 ELEMENTS ON OUTER RADIUS
NSEL,ALL
ESEL,S,TYPE,,2
SFE,ALL,,CONV,,5
SFE,ALL,,CONV,2,70
ESEL,ALL
BFA,1,HGEN,111311.7	  ! HEAT GENERATION
FINISH
/SOLU
SOLVE
FINISH
/POST1
NSEL,S,LOC,X
PRNSOL,TEMP
NSEL,S,LOC,X,.03125
PRNSOL,TEMP
ESLN,S,1                  ! SELECT SURFACE ELEMENTS ON OUTER RADIUS
ETABLE,Q1,SMISC,2         ! HEAT RATE OVER EACH SURFACE ELEMENT
SSUM
*GET,HFLW,SSUM,,ITEM,Q1
HFLW=HFLW*12              ! CALCULATE TOTAL HEAT DISSIPATION RATE
*status,parm
ALLSEL
*GET,T_AT_CL,NODE,1,TEMP
*GET,T_AT_S,NODE,2,TEMP
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'T CL,   ','T S,    ','Q, (BTU/'
LABEL(1,2) = '(F)     ','(F)     ','HR)     '
*VFILL,VALUE(1,1),DATA,419.9,417.9,341.5
*VFILL,VALUE(1,2),DATA,T_AT_CL,T_AT_S,HFLW
*VFILL,VALUE(1,3),DATA,ABS(T_AT_CL/419.9),ABS(T_AT_S/417.9),ABS(HFLW/341.5)
/COM
/OUT,vm58,vrt
/COM,------------------- VM58 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm58,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM57 Input Listing 		Up / Home Next
VM59 Input Listing


VM59 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM59
/PREP7
MP,PRXY,,0.3
/TITLE, VM59, LATERAL VIBRATION OF AN AXIALLY LOADED BAR
C***          VIBRATION PROBS. IN ENGR., TIMOSHENKO, 3RD. ED., PAGE 374, ART. 59
ANTYPE,STATIC                ! STATIC ANALYSIS
PSTRES,ON                    ! INCLUDE PRESTRESS EFFECTS (THIS OPTION IS NEEDED
                             !  FOR PRESTRESSED MODAL ANALYSIS PERFORMED LATER)
ET,1,BEAM4
R,1,4,(4/3),(4/3),2,2        ! GEOMETRIC PROPERTIES OF THE BAR
MP,EX,1,30E6
MP,DENS,1,727973E-9
N,1
N,14,80
FILL
E,1,2
EGEN,13,1,1
D,1,UY,,,14,,ROTX,ROTZ       ! B.C.'S AND LOADING
D,1,UX,,,,,UZ
D,14,UZ
F,14,FX,-40E3
M,2,UZ,13                    ! SELECT UZ OF NODES 2 TO 13 AS MDOF
FINISH
/SOLU
OUTPR,BASIC,1
SOLVE
FINISH
/POST1
ETABLE,STRS,LS,1
*GET,STRSS,ELEM,13,ETAB,STRS
*GET,DEF,NODE,14,U,X
/SOLU
ANTYPE,MODAL                 ! MODAL ANALYSIS
PSTRES,ON                    ! INCLUDE PRESTRESS EFFECTS
MXPAND,3                     ! EXPAND FIRST 3 MODES
MODOPT,LANB,3                ! SELECT THE BLOCK LANCZOS EIGENSOLVER
SOLVE
*GET,FREQ1,MODE,1,FREQ
*GET,FREQ2,MODE,2,FREQ
*GET,FREQ3,MODE,3,FREQ

*DIM,LABEL,CHAR,5,2
*DIM,VALUE,,5,3
LABEL(1,1) = 'DEFLECTI','SIGMA,  ','f1,     ','f2,     ','f3,     '
LABEL(1,2) = 'ON, (in)','   (psi)','    (Hz)','    (Hz)','    (Hz)'
*VFILL,VALUE(1,1),DATA,-.026667,-10000,17.055,105.32,249.39
*VFILL,VALUE(1,2),DATA,DEF,STRSS,FREQ1,FREQ2,FREQ3
*VFILL,VALUE(1,3),DATA,ABS(DEF/.026667),ABS(STRSS/10000),ABS(FREQ1/17.055)
*VFILL,VALUE(4,3),DATA,ABS(FREQ2/105.32),ABS(FREQ3/249.39)
/COM
/OUT,vm59,vrt
/COM,------------------- VM59 RESULTS COMPARISON ---------------
/COM,
/COM,                     |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F14.6,'  ',F14.6,'   ',1F5.3)
/COM,-----------------------------------------------------------
/COM,
/COM,-----------------------------------------------------------
/COM,NOTE: THERE ARE VERIFIED RESULTS IN VM59  NOT CONTAINED IN
/COM,THIS TABLE
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm59,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM58 Input Listing 		Up / Home Next
VM60 Input Listing


VM60 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM60
/PREP7
SMRT,OFF
/TITLE,VM60: NATURAL FREQUENCY OF A CROSS-PLY LAMINATED SPHERICAL SHELL
C*** THEORETICAL SOLUTION IS FROM J.N. REDDY
C*** ASCE JOURNAL OF ENGINEERING MECHANICS VOL 110 #5  MAY,1984 PP794-809
C*** USING SHELL99
ET,1,SHELL99,,,,,,,1       ! SUPPRESS SHELL99 PRINTOUT
R,1,2,,1,1                 ! TWO LAYERS
RMORE
RMORE,1,,.5,1,90,.5        ! LAYER 1, 0 DEG; #2, 90 DEG (BOTH LAYERS .5 THICK)
MP,EX,1,25E6
MP,EY,1,1E6
MP,EZ,1,25E6
MP,NUXY,1,.01
MP,NUYZ,1,.01
MP,NUXZ,1,.01
MP,GXY,1,.5E6
MP,GYZ,1,.2E6
MP,GXZ,1,.5E6
MP,DENS,1,1
CSYS,2                     ! SPHERICAL COORDINATES
K,1,300
K,2,300,19.0986
K,3,300,19.0986,19.0986
K,4,300,,19.0986
ESIZE,,4
A,1,2,3,4
AMESH,ALL
NROTAT,ALL
FINISH
/SOLU
ANTYPE,MODAL
MODOPT,LANP,5               ! EXTRACT 1ST 5 MODES
NSEL,R,LOC,Y,0
NSEL,A,LOC,Y,19,20
D,ALL,UX,,,,,ROTX,UZ,ROTY
NSEL,S,LOC,Z,0
NSEL,A,LOC,Z,19,20
D,ALL,UX,,,,,ROTX,UY,ROTZ
NSEL,ALL
SOLVE
*GET,FREQ,MODE,1,FREQ
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = '      f,'
LABEL(1,2) = ' (Hz)   '
*VFILL,VALUE(1,1),DATA,.73215
*VFILL,VALUE(1,2),DATA,FREQ
*VFILL,VALUE(1,3),DATA,ABS(FREQ/.73215)
SAVE,TABLE_1
FINISH
/CLEAR,NOSTART
/TITLE,VM60: NATURAL FREQUENCY OF A CROSS-PLY LAMINATED SPHERICAL SHELL
C*** USING SHELL281
/PREP7
SMRT,OFF
ET,1,SHELL281,,,2         ! FULL INTEGRATION
KEYOPT,1,8,1              ! WRITE LAYER RESULTS
SECTYPE,1,SHELL
SECDATA,0.5,1,0           ! LAYER 1: 0.5 THK, THETA 0
SECDATA,0.5,1,90          ! LAYER 2: 0.5 THK, THETA 90
MP,EX,1,25E6
MP,EY,1,1E6
MP,EZ,1,25E6
MP,NUXY,1,.01
MP,NUYZ,1,.01
MP,NUXZ,1,.01
MP,GXY,1,.5E6
MP,GYZ,1,.2E6
MP,GXZ,1,.5E6
MP,DENS,1,1
CSYS,2                     ! SPHERICAL COORDINATES
K,1,300
K,2,300,19.0986
K,3,300,19.0986,19.0986
K,4,300,,19.0986
ESIZE,,4
A,1,2,3,4
AMESH,ALL
NROTAT,ALL
FINISH
/SOLU
ANTYPE,MODAL
MODOPT,SUBSP,5              ! EXTRACT 1ST 5 MODES
NSEL,R,LOC,Y,0
NSEL,A,LOC,Y,19,20
D,ALL,UX,,,,,ROTX,UZ,ROTY
NSEL,S,LOC,Z,0
NSEL,A,LOC,Z,19,20
D,ALL,UX,,,,,ROTX,UY,ROTZ
NSEL,ALL
SOLVE
*GET,FREQ,MODE,1,FREQ
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = '      f,'
LABEL(1,2) = ' (Hz)   '
*VFILL,VALUE(1,1),DATA,.73215
*VFILL,VALUE(1,2),DATA,FREQ
*VFILL,VALUE(1,3),DATA,ABS(FREQ/.73215)
SAVE,TABLE_2
FINISH
RESUME,TABLE_1
/COM
/OUT,vm60,vrt
/COM,------------------- VM60 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,SHELL99
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,SHELL281
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm60,vrt
/DELETE,TABLE_1
/DELETE,TABLE_2

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM59 Input Listing 		Up / Home Next
VM61 Input Listing


VM61 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM61
/PREP7
MP,PRXY,,0.3
/TITLE, VM61, LONGITUDINAL VIBRATION OF A FREE-FREE ROD
C***VIBRATION THEORY AND APPLICATIONS, THOMSON, 2ND PRINTING, PAGE 269, EX 8.3-1
ANTYPE,MODAL           ! MODE-FREQUENCY ANALYSIS
ET,1,BEAM3
R,1,1,1,1              ! AREA=1, IZZ=1, HEIGHT=1
MODOPT,LANB,3          ! SELECT THE BLOCK LANCZOS EIGENSOLVER
MP,EX,1,3E7
MP,DENS,1,73E-5
K,1
K,2,800
L,1,2
ESIZE,,11
LMESH,1
OUTPR,BASIC,1
D,ALL,UY,,,,,ROTZ      ! ALLOW UX DOF'S ONLY
FINISH
/SOLU
SOLVE
FINISH
/SOLU
*GET,FREQ1,MODE,1,FREQ
*GET,FREQ2,MODE,2,FREQ
*GET,FREQ3,MODE,3,FREQ
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = '      f1','      f2','      f3'
LABEL(1,2) = ',  (Hz) ',',  (Hz) ',',  (Hz) '
*VFILL,VALUE(1,1),DATA,0,126.70,253.40
*VFILL,VALUE(1,2),DATA,FREQ1,FREQ2,FREQ3
*VFILL,VALUE(1,3),DATA,0,ABS(FREQ2/126.70 ),ABS(FREQ3/253.40 )
/COM
/OUT,vm61,vrt
/COM,------------------- VM61 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/COM,----------------------------------------------------------

/OUT
FINISH
*LIST,vm61,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM60 Input Listing 		Up / Home Next
VM62 Input Listing


VM62 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM62
/PREP7
SMRT,OFF
/TITLE, VM62, VIBRATION OF A WEDGE
C***          VIBRATION PROBS. IN ENGR., TIMOSHENKO, 3RD. ED., PAGE 392, ART. 62
C***          USING SHELL63 ELEMENTS WITH BENDING STIFFNESS OPTION
ANTYPE,MODAL                    ! MODE-FREQUENCY ANALYSIS
MXPAND,1                        ! EXPAND FIRST MODE
MODOPT,REDUC,2,,,2              ! PRINT ALL REDUCED MODE SHAPES
ET,1,SHELL63,2                  ! SHELL63 WITH BENDING STIFFNESS OPTION
R,1,1                           ! UNIT THICKNESS
MP,EX,1,30E6
MP,DENS,1,.000728
MP,NUXY,1,0                     ! POISSON'S RATIO IS ZERO
K,1                             ! DEFINE MODEL GEOMETRY
K,2,16
K,3,16,2
L,2,3
LESIZE,1,,,1
A,1,2,3,3
ARSYM,Y,1                       ! SYMMETRY REFLECTION OF AREAS
NUMMRG,KPOI                     ! MERGE COINCIDENT KEYPOINTS
ESIZE,,4
AMESH,1,2
NSEL,S,LOC,Y,0
M,ALL,UZ
NSEL,S,LOC,X,16
D,ALL,UZ,,,,,ROTX,ROTY,UX,UY    ! CONSTRAIN DISPLACEMENTS AT BASE
NSEL,ALL
OUTPR,ALL,1
OUTRES,ALL,0
FINISH
/SOLU
SOLVE
*GET,FREQ1,MODE,1,FREQ
FINISH
/PREP7
SMRT,OFF
C***      USING SHELL63 ELEMENTS WITH SHELL OPTION
ET,1,SHELL63                         ! USE BENDING AND MEMBRANE STIFFNESS
FINISH
/SOLU
SOLVE
*GET,FREQ2,MODE,1,FREQ
/PREP7
SMRT,OFF
C***      USING SHELL181 ELEMENTS WITH SHELL OPTION
ET,1,SHELL181                        ! USE BENDING AND MEMBRANE STIFFNESS
FINISH
/SOLU
SOLVE
*GET,FREQ3,MODE,1,FREQ
FINISH
PARSAV
/CLEAR, NOSTART                ! CLEAR DATABASE FOR SECOND SOLUTION
PARRES,CHANGE
/TITLE, VM62, VIBRATION OF A FLAT PLATE
C***      USING SHELL281 ELEMENTS WITH SHELL OPTION
/PREP7
SMRT,OFF
ANTYPE,MODAL                    ! MODE-FREQUENCY ANALYSIS
MXPAND,1                        ! EXPAND FIRST MODE
MODOPT,REDUC,2,,,2              ! PRINT ALL REDUCED MODE SHAPES
ET,1,SHELL281                   ! SHELL281 WITH SHELL OPTION
R,1,1                           ! UNIT THICKNESS
MP,EX,1,30E6
MP,DENS,1,.000728
MP,NUXY,1,0                     ! POISSON'S RATIO IS ZERO
K,1                             ! DEFINE MODEL GEOMETRY
K,2,16
K,3,16,2
L,2,3
LESIZE,1,,,1
A,1,2,3,3
ARSYM,Y,1                       ! SYMMETRY REFLECTION OF AREAS
NUMMRG,KPOI                     ! MERGE COINCIDENT KEYPOINTS
ESIZE,,4
AMESH,1,2
NSEL,S,LOC,Y,0
M,ALL,UZ
NSEL,S,LOC,X,16
D,ALL,UZ,,,,,ROTX,ROTY,UX,UY    ! CONSTRAIN DISPLACEMENTS AT BASE
NSEL,ALL
OUTPR,ALL,1
OUTRES,ALL,0
FINISH
/SOLU
SOLVE
*GET,FREQ4,MODE,1,FREQ
FINISH
*DIM,LABEL,CHAR,1,2
*DIM,VALUE_1,,1,3
*DIM,VALUE_2,,1,3
*DIM,VALUE_3,,1,3
*DIM,VALUE_4,,1,3
LABEL(1,1) = '      f,'
LABEL(1,2) = ' Hz     '
*VFILL,VALUE_1(1,1),DATA,259.16
*VFILL,VALUE_1(1,2),DATA,FREQ1
*VFILL,VALUE_1(1,3),DATA,ABS(FREQ1/259.16 )
*VFILL,VALUE_2(1,1),DATA,259.16
*VFILL,VALUE_2(1,2),DATA,FREQ2
*VFILL,VALUE_2(1,3),DATA,ABS(FREQ2/259.16 )
*VFILL,VALUE_3(1,1),DATA,259.16
*VFILL,VALUE_3(1,2),DATA,FREQ3
*VFILL,VALUE_3(1,3),DATA,ABS(FREQ3/259.16 )
*VFILL,VALUE_4(1,1),DATA,259.16
*VFILL,VALUE_4(1,2),DATA,FREQ4
*VFILL,VALUE_4(1,3),DATA,ABS(FREQ4/259.16 )
/COM
/OUT,vm62,vrt
/COM,------------------- VM62 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,RESULTS USING PLATE ELEMENTS:SHELL63
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_1(1,1),VALUE_1(1,2),VALUE_1(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/COM,
/COM,RESULTS USING SHELL ELEMENTS:SHELL63
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_2(1,1),VALUE_2(1,2),VALUE_2(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/COM,
/COM,RESULTS USING SHELL ELEMENTS:SHELL181
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_3(1,1),VALUE_3(1,2),VALUE_3(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/COM,
/COM,RESULTS USING SHELL ELEMENTS:SHELL281
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE_4(1,1),VALUE_4(1,2),VALUE_4(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm62,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM61 Input Listing 		Up / Home Next
VM63 Input Listing


VM63 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM63
/PREP7
SMRT,OFF
/TITLE, VM63, STATIC HERTZ CONTACT PROBLEM SOLVED USING CONTAC178 ELEMENTS
/COM  REF:  TIMOSHENKO AND GOODIER, THEORY OF ELASTICITY, 3RD ED., ART. 140.
ET,1,PLANE82,,,1        ! AXISYMMETRIC ELEMENTS
ET,2,PLANE183,,,1
ET,3,CONTA178,,4        ! NODAL CONTACT
R,1
RMOD,1,7,1              !CONTACT NORMAL ALONG UY
MP,EX,1,1E3
MP,NUXY,1,.3
LOCAL,11,1,0,8,0        ! LOCAL CYLINDRICAL C.S. AT CENTERLINE
K,1,8,-90               ! DEFINE KEYPOINTS
K,2,8
K,3,7.5,-90
K,4,7.5
K,5
K,6,8,-82.65            ! PLACE KEYPOINT AND NODE AT EXPECTED CONTACT RADIUS
K,7,7.5,-82.65
L,1,3                   ! DEFINE LINES
L,2,4
L,6,7
LESIZE,ALL,,,1          ! DEFINE ELEMENT DIVISIONS ON ALL EXISTING LINES
A,1,6,7,3               ! DEFINE AREAS
A,6,2,4,7
A,3,7,4,5
LOCAL,12,0,0,8,0
ARSYM,Y,1,3,1           ! CREATE HALF-SYMMETRY MODEL
NUMMRG,KPOI
ESIZE,,4                ! DEFINE ELEMENT DIVISIONS ON REMAINING LINES
LESIZE,4,,,5
*REPEAT,2,1
LESIZE,6,,,8,8
LESIZE,7,,,8,(1/8)
LESIZE,10,,,1
*REPEAT,2,2
LESIZE,9,,,6,.2
TYPE,1                  ! CREATE NODES AND ELEMENTS
AMESH,1,2,1
AMESH,4,5,1
TYPE,2
MSHAPE,1,2D
MSHKEY,0
AMESH,3,6,3
CSYS,0
N,1001,-1,1E-8          !NODE 1001 IS THE GROUND
D,1001,ALL              !X POSITION DOES NOT MATTER IN THIS CASE BECAUSE
                        !THE CONTACT NORMAL IS ONLY ALONG UY
TYPE,3
REAL,1
EN,205,1001,2           !USE THE SAME ELEMENT NUMBERS AS VM63 FOR POST-PROC
EN,201,1001,4
EN,202,1001,6
EN,203,1001,8
EN,204,1001,10
EN,206,1001,31

MODMSH,NOCHECK
TYPE,1                  ! REMOVE MIDSIDE NODES ALONG CONTACT SURFACE
EMODIF,7,7,0
*REPEAT,6,1
MODMSH,CHECK
FINISH
/SOLU
NSEL,S,LOC,X,-.01,.01   ! BOUNDARY CONDITIONS AND LOADING
D,ALL,UX,0
NSEL,R,LOC,Y,0
D,ALL,UY,0
NSEL,ALL
LOAD=0
*CREATE,LOADSTEP        ! MACRO TO INCREMENTALLY APPLY LOAD
FK,8,FY,ARG1
SOLVE
*END
*DO,I,1,3
 LOAD=LOAD-10
 *USE,LOADSTEP,LOAD*6.2831853
*ENDDO
FINISH
/POST1                  ! POSTPROCESS
/OUT,
SET,3
ESEL,,TYPE,,3
ETABLE,RFOR,SMISC,1
NSLE
PRETAB,RFOR             ! PRINT REACTION FORCE TO DETERMINE CONTACT AREA
SSUM                    ! SUM OF REACTION FORCE
NLIST                   ! LIST COORDINATES OF NODES OF CONTACT SURFACE
PRNSOL,U,COMP           ! LIST DISPLACEMENTS OF NODES
/COM    CALCULATE RATIO OF A - ACTUAL TO A - TARGET
PI=(4*ATAN(1))
LOAD=-(LOAD)*(2*PI)
ATAR=(0.88*((LOAD*0.008)**(1/3)))   ! A - TARGET
*GET,EMAX,ELEM,,NUM,MAX
*DO,ENUM,201,EMAX                   ! START SEARCH FROM ELEM 201
 *GET,GRFR,ELEM,ENUM,ETAB,RFOR      ! FIND LAST ELEMENT IN CONTACT
 *IF,GRFR,EQ,0.0,EXIT
*ENDDO
ESEL,,ELEM,,(ENUM-1)    ! SELECT LAST CONTACTING ELEMENT
NSLE                    ! SELECT NODES ATTACHED TO SELECTED ELEMENTS
*GET,NMIN,NODE,0,NUM,MIN
NODX=NX(NMIN)
NODY=NY(NMIN)
NUX =UX(NMIN)
NUY =UY(NMIN)
AACT=NODX+NUX           ! A - ACTUAL
YCHK=NODY+NUY
RATA=(AACT/ATAR)        ! RATIO
*status,parm
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = '      A,'
LABEL(1,2) = ' mm     '
*VFILL,VALUE(1,1),DATA,1.010
*VFILL,VALUE(1,2),DATA,AACT
*VFILL,VALUE(1,3),DATA,ABS(AACT/1.010)
/COM
/OUT,vm63,vrt,,append
/COM,---------------------------------------------------------------------------
/COM,----------VM63 RESULTS COMPARISON (OBTAINED USING CONTACT178 ELEMENTS)-----
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,---------------------------------------------------------------------------
/OUT
FINISH
*LIST,vm63,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM62 Input Listing 		Up / Home Next
VM64 Input Listing


VM64 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM64
/PREP7
/TITLE, VM64, THERMAL EXPANSION TO CLOSE A GAP AT A RIGID SURFACE
C***          INTRO. TO STRESS ANALYSIS, HARRIS, 1ST PRINTING, PAGE 58, PROB. 8
C***          USING CONTAC26 AND PLANE42 ELEMENTS
ANTYPE,STATIC                ! STATIC ANALYSIS
ET,1,CONTA175                ! CONTACT ELEMENT
R,1                          ! USE DEFAULTS
KEYOPT,1,12,4                ! NO SEPARATION
ET,2,PLANE42,,,3
R,2,1                        ! THICKNESS = 1
ET,3,TARGE169                ! TARGET SURFACE
MP,EX,1,10.5E6
MP,ALPX,1,12.5E-6
MP,NUXY,1,0
N,1,2,1
N,2,3,1
N,3,3,4
N,4,2,4
N,11,1,0.998
N,12,4,0.998
TYPE,1
REAL,1
E,1                          ! CONTACT ELEMENTS
E,2
TYPE,3
REAL,1
TSHAP,LINE
E,11,12                      ! TARGET ELEMENT
TYPE,2
REAL,2
E,1,2,3,4                    ! BAR
TREF,70
BFUNIF,TEMP,170
D,3,ALL,,,4
D,1,UX,,,2,1
OUTPR,BASIC,LAST
FINISH
/SOLU
SOLVE
FINISH
/POST1
ETABLE,STRSX,S,X
ETABLE,STRSY,S,Y
*GET,STRSSX,ELEM,4,ETAB,STRSX
*GET,STRSSY,ELEM,4,ETAB,STRSY
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'SIGX, (p','SIGY, (p'
LABEL(1,2) = 'si)     ','si)     '
*VFILL,VALUE(1,1),DATA,-13125,-6125
*VFILL,VALUE(1,2),DATA,STRSSX,STRSSY
*VFILL,VALUE(1,3),DATA,ABS(STRSSX/13125) ,ABS(STRSSY/6125)
/COM
/OUT,vm64,vrt
/COM,------------------- VM64 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm64,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM63 Input Listing 		Up / Home Next
VM65 Input Listing


VM65 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM65
/PREP7
/TITLE, VM65, TRANSIENT RESPONSE OF A BALL IMPACTING A FLEXIBLE SURFACE
C***        VIBRATION THEORY AND APPLICATIONS, THOMSON, 2ND. PRINTING, PAGE 110,
C***        EX. 4.6-1, USING NON-LINEAR TRANSIENT DYNAMIC ANALYSIS
C***
/PREP7
ANTYPE,TRANS           ! NONLINEAR TRANSIENT DYNAMIC ANALYSIS
ET,1,MASS21, , ,4      ! 2-D MASS WITHOUT ROTARY INERTIA
ET,2,CONTA175,,1       ! 2-D NODE-TO-SURFACE CONTACT ELEMENT
ET,3,TARGE169          ! 2-D TARGET SEGMENT
R,1,.5                 ! MASS
R,2,,,-1973.92088      ! CONTACT SURFACE WITH STIFFNESS = 1973.92088
RMOD,2,6,-1.2          ! PIN BALL REGION
N,1,0,1
TYPE,1
REAL,1
E,1                    ! MASS ELEMENT
TYPE,2
REAL,2
E,1                    ! CONTACT ELEMENT
N,2,-1
N,3,1
TYPE,3
REAL,2
TSHAP,LINE
E,3,2                  ! TARGET ELEMENT
ALLSEL,ALL
FINISH
/SOLU
SOLCONTROL,0
NSUBST,10
ACEL,,386
KBC,1                  ! STEP ACCELERATION CHANGE
CNVTOL,F,1,1E-5        ! FORCE CONVERGENCE CRITERIA
TIME,1E-3              ! RELEASE MASS USING SMALL TIME STEP
SOLVE
OUTRES,,1
NSUBST,109             ! INTEGRATION TIME STEP OF 0.001 IN SECOND LOAD STEP
TIME,.11               ! TIME TO ALLOW THE MASS TO REACH ITS LARGEST DEFLECTION
SOLVE
FINISH
/POST26
NSOL,2,1,U,Y,UY
DERIV,3,2,1,,VEL1UY
PROD,4,3,3,,K.E.,,,.5,.5  ! CALCULATE K.E. BY 1/2(MV**2)
PLVAR,2,3,4
PRVAR,2,3,4               ! PRINT DISP., VELOCITY AND KINETIC ENERGY
*GET,DISP,VARI,2,RTIME,.072
*GET,VELO,VARI,3,RTIME,.072
*GET,KENG,VARI,4,RTIME,.072
*GET,MAXY,VARI,2,EXTREM,VMIN
*GET,TMAX,VARI,2,EXTREM,TMIN
FINISH
/POST1
SET,,,,,0.072          ! DEFINE DATA SET AT TIME = 0.072
ETABLE,KENE,KENE       ! RETRIEVE KINETIC ENERGY
PRETAB,KENE            ! PRINT KINETIC ENERGY
*DIM,LABEL2,CHAR,4,2
*DIM,VALUE2,,4,3
LABEL2(1,1) = 'TIME,  s','Y DISP, ','Y VEL, i','K ENRG, '
LABEL2(1,2) = 'ec      ','in      ','n/sec   ','lb-in   '
*VFILL,VALUE2(1,1),DATA,.07198,-1,-27.79,193
*VFILL,VALUE2(1,2),DATA,.072,DISP,VELO,KENG
*VFILL,VALUE2(1,3),DATA,ABS(.072/.07198),ABS(DISP/1),ABS(VELO/27.79),ABS(KENG/193)
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'TIME,  s','MAXY DISP, '
LABEL(1,2) = 'ec      ',' in    '
*VFILL,VALUE(1,1),DATA,.10037,-1.5506
*VFILL,VALUE(1,2),DATA,TMAX,MAXY
*VFILL,VALUE(1,3),DATA,ABS(TMAX/.10037),ABS(MAXY/1.5506)
FINISH
/COM
/OUT,vm65,vrt
/COM,=================== VM65 RESULTS COMPARISON ==============
/COM,
/COM,
/COM,AT IMPACT         |  TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL2(1,1),LABEL2(1,2),VALUE2(1,1),VALUE2(1,2),VALUE2(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/COM,
/COM,
/COM,AT "ZERO" VELOCITY |  TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/COM,==========================================================
/OUT
FINISH
/NOPR
*LIST,vm65,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM64 Input Listing 		Up / Home Next
VM66 Input Listing


VM66 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM66
/PREP7
SMRT,OFF
/TITLE, VM66, VIBRATION OF A FLAT PLATE
C***          VIBRATION PROBS. IN ENGR., TIMOSHENKO, 3RD. ED., PAGE 338, ART. 53
C***          USING SHELL63 ELEMENTS WITH SHELL OPTION
ANTYPE,MODAL                   ! MODE-FREQUENCY ANALYSIS
ET,1,SHELL63
R,1,1                          ! THICKNESS = 1
MXPAND,1                       ! EXPAND FIRST MODE
MODOPT,REDUC,2,,,2             ! PRINT ALL REDUCED MODE SHAPES
MP,EX,1,30E6
MP,DENS,1,728E-6
MP,NUXY,1,0
K,1,,-2
K,2,16,-2
KGEN,2,1,2,1,,4
L,1,3
L,2,4
LESIZE,ALL,,,2
A,1,2,4,3
ESIZE,,4
AMESH,1
NSEL,S,LOC,Y,0
M,ALL,UZ
NSEL,S,LOC,X,16
D,ALL,ALL
NSEL,ALL
OUTPR,ALL,1
FINISH
*CREATE,SOLVIT,MAC             ! CREATE MACRO TO SOLVE AND RETRIEVE RESULTS
/SOLU
SOLVE
*GET,FREQ,MODE,1,FREQ
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = '     f, '
LABEL(1,2) = 'Hz      '
*VFILL,VALUE(1,1),DATA,128.09
*VFILL,VALUE(1,2),DATA,FREQ
*VFILL,VALUE(1,3),DATA,ABS(FREQ/128.09)
FINISH
*END
SOLVIT                         ! EXECUTE MACRO TO SOLVE AND RETRIEVE RESULTS
SAVE,TABLE_1
/CLEAR, NOSTART                ! CLEAR DATABASE FOR SECOND SOLUTION
/TITLE, VM66, VIBRATION OF A FLAT PLATE
C***          USING SOLSH190 ELEMENTS
/PREP7
SMRT,OFF
ANTYPE,MODAL                   ! MODE-FREQUENCY ANALYSIS
ET,1,SHELL181                  ! USED ONLY TO GENERATE AREA MESH AND THEN DELETED
ET,2,SOLSH190                  ! ANALYZE AGAIN USING 3-D SOLSH190
THICK   = 1                    ! THICKNESS = 1
THKDENS = 1                    ! THICKNESS DENSITY = 1
R,1,THICK                      ! THICKNESS = 1
MXPAND,1                       ! EXPAND FIRST MODE
MODOPT,REDUC,2,,,2             ! PRINT ALL REDUCED MODE SHAPES
MP,EX,1,30E6
MP,DENS,1,728E-6
MP,NUXY,1,0
K,1,,-2
K,2,16,-2
KGEN,2,1,2,1,,4
L,1,3
L,2,4
LESIZE,ALL,,,2
A,1,2,4,3
ESIZE,,4
AMESH,1
ESIZE,0,THKDENS               ! THICKNESS DENSITY FOR SOLSH190
EXTOPT,ACLEAR,1               ! CLEAR AREA WHEN VOLUME GENERATION IS DONE
VOFFSET,1,THICK               ! GENERATES A VOLUME, OFFSET FROM A GIVEN AREA
NSEL,S,LOC,Y,0
M,ALL,UZ
NSEL,S,LOC,X,16
D,ALL,ALL
NSEL,ALL
OUTPR,ALL,1
FINISH
SOLVIT                        ! EXECUTE MACRO TO SOLVE AND RETRIEVE RESULTS
SAVE,TABLE_2
/CLEAR, NOSTART               ! CLEAR DATABASE FOR SECOND SOLUTION
/TITLE, VM66, VIBRATION OF A FLAT PLATE
C***          USING SHELL181 ELEMENTS
/PREP7
SMRT,OFF
ANTYPE,MODAL                   ! MODE-FREQUENCY ANALYSIS
ET,1,SHELL181
R,1,1                          ! THICKNESS = 1
MXPAND,1                       ! EXPAND FIRST MODE
MODOPT,REDUC,2,,,2             ! PRINT ALL REDUCED MODE SHAPES
MP,EX,1,30E6
MP,DENS,1,728E-6
MP,NUXY,1,0
K,1,,-2
K,2,16,-2
KGEN,2,1,2,1,,4
L,1,3
L,2,4
LESIZE,ALL,,,2
A,1,2,4,3
ESIZE,,4
AMESH,1
NSEL,S,LOC,Y,0
M,ALL,UZ
NSEL,S,LOC,X,16
D,ALL,ALL
NSEL,ALL
OUTPR,ALL,1
FINISH
SOLVIT                        ! EXECUTE MACRO TO SOLVE AND RETRIEVE RESULTS
SAVE,TABLE_3
/CLEAR, NOSTART               ! CLEAR DATABASE FOR SECOND SOLUTION
/TITLE, VM66, VIBRATION OF A FLAT PLATE
C***          USING SHELL281 ELEMENTS
/PREP7
SMRT,OFF
ANTYPE,MODAL                   ! MODE-FREQUENCY ANALYSIS
ET,1,SHELL281
R,1,1                          ! THICKNESS = 1
MXPAND,1                       ! EXPAND FIRST MODE
MODOPT,REDUC,2,,,2             ! PRINT ALL REDUCED MODE SHAPES
MP,EX,1,30E6
MP,DENS,1,728E-6
MP,NUXY,1,0
K,1,,-2
K,2,16,-2
KGEN,2,1,2,1,,4
L,1,3
L,2,4
LESIZE,ALL,,,2
A,1,2,4,3
ESIZE,,4
AMESH,1
NSEL,S,LOC,Y,0
M,ALL,UZ
NSEL,S,LOC,X,16
D,ALL,ALL
NSEL,ALL
OUTPR,ALL,1
FINISH
SOLVIT                        ! EXECUTE MACRO TO SOLVE AND RETRIEVE RESULTS
SAVE,TABLE_4
/NOPR
RESUME,TABLE_1
/COM
/OUT,vm66,vrt
/COM,------------------- VM66 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,
/COM, SHELL63
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM, SOLSH190
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/NOPR
RESUME,TABLE_3
/GOPR
/COM,
/COM, SHELL181
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/NOPR
RESUME,TABLE_4
/GOPR
/COM,
/COM, SHELL281
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm66,vrt
/DELETE,SOLVIT,MAC
/DELETE,TABLE_1
/DELETE,TABLE_2
/DELETE,TABLE_3
/DELETE,TABLE_4

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM65 Input Listing 		Up / Home Next
VM67 Input Listing


VM67 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM67
/PREP7
/TITLE, VM67, RADIAL VIBRATIONS OF A CIRCULAR RING FROM AN AXISYMMETRIC MODEL
C***         VIBRATION PROBS. IN ENGR., TIMOSHENKO, 3RD. ED., PAGE  425, ART. 68
C***         (AXISYMMETRIC) AND 2
ANTYPE,MODAL          ! MODE-FREQUENCY ANALYSIS
ET,1,PLANE25
MXPAND,1              ! EXPAND FIRST MODE
MP,EX,1,30E6
MP,DENS,1,73E-5
MP,NUXY,1,0           ! POISSON'S RATIO IS ZERO
LOCAL,11,,9.975       ! DEFINE LOCAL C.S. AT INSIDE SURFACE OF THE RING
N,1
N,2,,.05
NGEN,2,2,1,2,1,.05
E,1,3,4,2
CP,1,UX,1,2           ! COUPLE RADIAL DOF'S
M,1,UX
FINISH
/SOLU
OUTPR,ALL,1
D,ALL,UZ,0
D,1,UY,0
MODE,0,1
MODOPT,REDUC
SOLVE
*GET,FREQ0,MODE,1,FREQ
FINISH
/SOLU
OUTPR,ALL,1
DDELE,ALL             ! DELETE DISPLACEMENT CONSTRAINTS
M,1,UX,,,UZ
D,1,UY
MODE,2,1              ! SYMMETRIC LOADING FOR MODE 2
MXPAND,1,0,100        ! RANGE OF FREQUENCIES OF INTEREST
SOLVE
*GET,FREQ2,MODE,1,FREQ
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = '     f0,','     f2,'
LABEL(1,2) = ' Hz     ',' Hz     '
*VFILL,VALUE(1,1),DATA,3226.4,12.496
*VFILL,VALUE(1,2),DATA,FREQ0,FREQ2
*VFILL,VALUE(1,3),DATA,ABS(FREQ0/3226.4 ) ,ABS( FREQ2/12.496)
/COM
/OUT,vm67,vrt
/COM,------------------- VM67 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm67,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM66 Input Listing 		Up / Home Next
VM68 Input Listing


VM68 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM68

/PREP7
/TITLE, VM68, PSD RESPONSE OF TWO DOF SPRING-MASS SYSTEM
!     "VIBRATION ANALYSIS" R.K. VIERK ,2ND EDITION ,(CHAPTER 7)
ET,1,COMBIN40            ! DISPLACEMENT ALONG X AXIS, MASS AT NODE I
R,1,42832.,,0.50
R,2,32416.,,1.0
MP,EX,1,1                ! NOT USED, DUMMY PROPERTY
N,1                      ! DEFINE MODEL
N,2,1
N,3,2
E,2,1
REAL,2
E,3,2
D,1,UX,0.0               ! CONSTRAINT THE BASE
OUTPR,ALL,ALL
FINISH

/SOLU
ANTYPE,MODAL             ! PERFORM A MODAL ANALYSIS
MODOPT,SUBSP,2           ! SUBSPACE IERTATION METHOD
                         ! EXTRACT 2 MODES FROM ENTIRE FREQUENCY RANGE
MXPAND,2,,,YES           ! EXPAND 2 MODES, DO ELEMENT STRESS CALCULATIONS
SOLVE
*GET,FREQ1,MODE,1,FREQ
*GET,FREQ2,MODE,2,FREQ
FINISH

/SOLU
ANTYPE,SPECTR            ! PERFORM SPECTRUM ANALYSIS
SPOPT,PSD,2,ON           ! USE FIRST 2 MODES FROM MODAL ANALYSIS

PSDUNIT,1,ACCG           ! USE G**2/HZ FOR PSD AND DIMENSION IN INCHES
D,1,UX,1.0               ! APPLY SPECTRUM AT THE SUPPORT POINT
PSDFRQ,1,1,10.0,100.0    ! FREQUENCY RANGE OF 10 TO 100 HERTZ
PSDVAL,1,.1,.1           ! WHITE NOISE PSD, VALUES IN  G**2/HZ
PFACT,1,BASE             ! BASE EXCITATION

DMPRAT,0.02              ! 2% DAMPING
PSDCOM                   ! COMBINE MODES FOR PSD, USE DEFAULT SIGNIFICANCE LEVEL

PSDRES,ACEL,REL          ! CALCULATE RELATIVE ACCELERATION SOLUTIONS
SOLVE
FINISH

/POST1
LCDEF,6,5,1              ! DEFINE LOAD STEP AND SUBSTEP FOR LOAD FACTOR OPERATION
LCFACT,ALL,(1/386.4)     ! CONVERT ACCEL. RESULT TO G
LCASE,6
PRNSOL,U,COMP            ! PRINT NODAL SOLUTION RESULTS
*GET,M1STD,NODE,2,U,X
*GET,M2STD,NODE,3,U,X
*DIM,LABEL,CHAR,4,2
*DIM,VALUE,,4,3
LABEL(1,1) = 'f1,     ','f2,     ','MASS1,1S','MASS2,1S'
LABEL(1,2) = '      Hz','      Hz','IG.STDEV','IG.STDEV'
*VFILL,VALUE(1,1),DATA,20.57,64.88,9.059,10.63
*VFILL,VALUE(1,2),DATA,FREQ1,FREQ2,M1STD,M2STD
*VFILL,VALUE(1,3),DATA,ABS(FREQ1/20.57),ABS(FREQ2/64.88),ABS(M1STD/9.059),ABS(M2STD/10.63)
/COM
/OUT,vm68,vrt
/COM,------------------- VM68 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm68,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM67 Input Listing 		Up / Home Next
VM69 Input Listing


VM69 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM69
/PREP7
/TITLE, VM69, SEISMIC RESPONSE
C***VIBRATION THEORY AND APPLICATIONS, THOMSON, 2ND PRINTING, PAGE 78, EX 3.11-1
ET,1,COMBIN40,,,,,,2
R,1,9.8696,,1             ! SPRING CONSTANT = 9.8696, MASS = 1
N,1
N,2
E,1,2
M,2,UX
FINISH
/SOLU
ANTYPE,MODAL              ! MODE-FREQUENCY SEISMIC RESPONSE
MXPAND,1,,,YES            ! EXPAND MODES;   ELEM STRESS
                          ! ONLY ONE MODE WILL BE USED IN SPECTRUM ANALYSIS
MODOPT,LANB,1             ! USE BLOCK LANCZOS EIGENVALUE EXTRACTION METHOD
D,1,UX
OUTPR,NSOL,ALL
OUTRES,ALL,ALL
SOLVE
*GET,FREQ,MODE,1,FREQ
FINISH
/SOLU
ANTYPE,SPECTR             ! SPECTRUM ANALYSIS
SPOPT,SPRS,,ON            ! STRESS ON
SED,1                     ! GLOBAL X-AXIS AS SPECTRUM DIRECTION
SVTYP,3                   ! SEISMIC DISPLACEMENT SPECTRUM
FREQ,.4,.5,.6             ! FREQUENCY POINTS FOR SV V/S FREQ TABLE
SV,,1.01270849,1.02,1.02905569 ! SPECT. VALUES ASSOCIATED WITH FREQ. POINTS
OUTPR,NSOL,ALL
OUTRES,ALL,ALL
SOLVE
*GET,MC1,MODE,1,MCOEF     ! OBTAIN MODE COEFF. FOR THIS SPECTRUM & MODE 1
FINISH
/POST1
SET,1,1,MC1               ! MULTIPY DATABASE FOR MODE1 BY MODE COEFFICIENT
PRNSOL,U,X
*GET,AMP,NODE,2,U,X
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = '     f, ','     AE,'
LABEL(1,2) = '      Hz','      in'
*VFILL,VALUE(1,1),DATA,.5,1.02
*VFILL,VALUE(1,2),DATA,FREQ,AMP
*VFILL,VALUE(1,3),DATA,ABS(FREQ/.5),ABS(AMP/1.02)
/COM
/OUT,vm69,vrt
/COM,------------------- VM69 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm69,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM68 Input Listing 		Up / Home Next
VM70 Input Listing


VM70 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM70
/PREP7
MP,PRXY,,0.3
/TITLE, VM70, SEISMIC RESPONSE OF A BEAM STRUCTURE
C***           INTRODUCTION TO STRUCT. DYNAMICS, BIGGS, PAGE 262, ART. 6.4
ET,1,BEAM3
R,1,273.9726,(1000/3),14     ! A = 273.9726, I = (1000/3), H = 14
MP,EX,1,30E6
MP,DENS,1,73E-5
K,1
K,2,240
L,1,2
ESIZE,,8
LMESH,1
NSEL,S,LOC,X,0
D,ALL,UY
NSEL,S,LOC,X,240
D,ALL,UX,,,,,UY
NSEL,ALL
FINISH
/SOLU
ANTYPE,MODAL                 ! MODE-FREQUENCY ANALYSIS
MODOPT,REDUC,,,,3            ! HOUSEHOLDER, PRINT FIRST 3 REDUCED MODE SHAPES
MXPAND,1,,,YES               ! EXPAND FIRST MODE SHAPE, CALCULATE ELEMENT STRESSES
M,ALL,UY
OUTPR,BASIC,1
SOLVE
*GET,FREQ,MODE,1,FREQ
FINISH
/SOLU
ANTYPE,SPECTR                ! SPECTRUM ANALYSIS
SPOPT,SPRS                   ! SINGLE POINT SPECTRUM
SED,,1                       ! GLOBAL Y-AXIS AS SPECTRUM DIRECTION
SVTYP,3                      ! SEISMIC DISPLACEMENT SPECTRUM
FREQ,.1,10                   ! FREQUENCY POINTS FOR SV VS. FREQ TABLE
SV,,.44,.44                  ! SPECTRUM VALUES ASSOCIATED WITH FREQUENCY POINTS
SOLVE
*GET,MCOEF,MODE,1,MCOEF      ! GET MODE COEFFICIENT FOR FIRST FREQUENCY
FINISH
/POST1
SET,1,1,MCOEF                ! SCALE VALUES OF FIRST LOAD STEP
PRNSOL,DOF                   ! PRINT NODAL SOLUTION
PRESOL,ELEM                  ! PRINT ELEMENT SOLUTION IN ELEMENT FORMAT
PRRSOL,F                     ! PRINT REACTION SOLUTION
ETABLE,STRS,LS,3
*GET,STRSS,ELEM,5,ETAB,STRS
*GET,DEF,NODE,6,U,Y
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'f,      ','DEF.    ','SIG MAX,'
LABEL(1,2) = '      Hz','      in','     psi'
*VFILL,VALUE(1,1),DATA,6.0979,.56,20158
*VFILL,VALUE(1,2),DATA,FREQ,DEF,ABS(STRSS)
*VFILL,VALUE(1,3),DATA,ABS(FREQ/6.0979) ,ABS(DEF/.56), ABS(STRSS/20158)
/COM
/OUT,vm70,vrt
/COM,------------------- VM70 RESULTS COMPARISON --------------
/COM,
/COM,                   |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F12.5,'  ',F12.5,'   ',1F5.3)
/COM,----------------------------------------------------------

/OUT
FINISH
*LIST,vm70,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM69 Input Listing 		Up / Home Next
VM71 Input Listing


VM71 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM71
/PREP7
/TITLE, VM71, TRANSIENT RESPONSE OF A SPRING, MASS, DAMPING SYSTEM
C*** VIBRATION THEORY AND APPLICATIONS, THOMSON, 2ND PRINTING, PAGE 41, EX 2.2-1
ANTYPE,TRANS              ! TRANSIENT DYNAMIC ANALYSIS
TRNOPT,REDUC              ! REDUCED TRANSIENT DYNAMIC ANALYSIS
ET,1,COMBIN40,,,2         ! Y-DOF ELEMENT
R,1,30,3.52636,.02590673  ! VARIOUS SPRING CONST., DAMPING COEFFICIENTS, MASS
R,2,30,1.76318,.02590673
R,3,30,.352636,.02590673
R,4,30,0,.02590673
N,1
N,8
FILL
E,1,2
EGEN,4,2,1,1,1,,,1        ! GENERATE ELEMENTS WITH INCREMENTING REAL CONSTANT SET
M,1,UY,7,2                ! MASTER DOF IN Y DIRECTION AT FREE END OF SPRING
FINISH
/SOLU
DELTIM,1E-3               ! INTEGRATION TIME STEP SIZE
KBC,1                     ! STEP CHANGE B.C.'S
OUTPR,NSOL,1
OUTRES,NSOL,1
D,2,UY,,,8,2
F,1,FY,30,,7,2
SOLVE
TIME,95E-3                ! TIME TO COVER ABOUT 1/2 THE PERIOD
F,1,FY,,,7,2              ! REMOVE FORCE
SOLVE
FINISH
/POST26
FILE,,rdsp
NSOL,2,1,U,Y,1UY          ! STORE UY DISPLACEMENTS OF APPROPRIATE NODES
NSOL,3,3,U,Y,3UY
NSOL,4,5,U,Y,5UY
NSOL,5,7,U,Y,7UY
NPRINT,10                 ! PRINT EVERY 10 POINTS
PRVAR,2,3,4,5             ! PRINT VARIABLES 2,3,4,5
/GRID,1                   ! TURN GRID ON
/AXLAB,Y,DISP             ! Y-AXIS LABEL DISP
PLVAR,2,3,4,5             ! DISPLAY VARIABLES 2,3,4,5
*GET,U_DAMP2,VARI,2,RTIME,.09
*GET,U_DAMP1,VARI,3,RTIME,.09
*GET,U_DAMP02,VARI,4,RTIME,.09
*GET,U_DAMP0,VARI,5,RTIME,.09
*DIM,LABEL,CHAR,4,2
*DIM,VALUE,,4,3
LABEL(1,1) = 'U,in  DA','U,in  DA','U,in  DA','U,in  DA'
LABEL(1,2) = 'MPRAT=2 ','MPRAT=1 ','MPRAT=.2','MPRAT=0 '
*VFILL,VALUE(1,1),DATA,.4742,.18998,-.52108,-.99688
*VFILL,VALUE(1,2),DATA,U_DAMP2,U_DAMP1,U_DAMP02,U_DAMP0
*VFILL,VALUE(1,3),DATA,U_DAMP2/.4742,U_DAMP1/.18998,ABS(U_DAMP02/.52108)
*VFILL,VALUE(4,3),DATA,ABS(U_DAMP0/.99688)
/COM
/OUT,vm71,vrt
/COM,------------------- VM71 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm71,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM70 Input Listing 		Up / Home Next
VM72 Input Listing


VM72 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM72
/PREP7
/TITLE, VM72, LOGARITHMIC DECREMENT
C*** VIBRATION THEORY AND APPLICATIONS, THOMSON, 2ND PRINTING, PAGE 45, EX 2.3-1
ANTYPE,TRANS              ! TRANSIENT DYNAMIC ANALYSIS
TRNOPT,REDUC              ! LINEAR TRANSIENT
ET,1,COMBIN40,,,2         ! Y DOF ELEMENT
R,1,30,.12,.02590673      ! SPRING CONSTANT = 30, C=.12, MASS=.02590673
N,1
N,2
E,1,2
M,1,UY                    ! MASTER DOF IN Y DIRECTION AT FREE END OF SPRING
FINISH
/SOLU
DELTIM,.003               ! INTEGRATION TIME STEP SIZE
KBC,1                     ! STEP BOUNDARY CONDITIONS
D,2,UY
F,1,FY,30
OUTPR,BASIC,1
OUTRES,NSOL,1
SOLVE                     ! STATIC SOLUTION AT FIRST LOAD STEP
TIME,.69                  ! TIME TO INCLUDE ALMOST FOUR CYCLES
F,1,FY
SOLVE
FINISH
/POST26
FILE,,rdsp
NSOL,2,1,U,Y,UY           ! STORE UY DISPLACEMENTS OF NODE 1 AS UY
NPRINT,20                 ! PRINT EVERY 20 POINTS
/GRID,1                   ! TURN GRID ON
/AXLAB,Y,DISP             ! Y-AXIS LABEL AS DISP
PLVAR,2                   ! DISPLAY VARIABLE 2 V/S TIME
*GET,AMP1,VARI,2,RTIME,0
*GET,AMP2,VARI,2,RTIME,.186
*GET,AMP3,VARI,2,RTIME,.372
*GET,AMP4,VARI,2,RTIME,.558
R1_2 = AMP1/AMP2
R2_3 = AMP2/AMP3
R3_4 = AMP3/AMP4
TD1_2 = .186 - 0
TD2_3 = .372 - .186
TD3_4 = .558 - .372
*DIM,LABEL_1,CHAR,3,2
*DIM,VALUE_1,,3,4
LABEL_1(1,1) = 'PEAK NUM','MAX. AMP','TIME,   '
LABEL_1(1,2) = 'BER     ',', in    ',' sec    '
*VFILL,VALUE_1(1,1),DATA,1,AMP1,0
*VFILL,VALUE_1(1,2),DATA,2,AMP2,.186
*VFILL,VALUE_1(1,3),DATA,3,AMP3,.372
*VFILL,VALUE_1(1,4),DATA,4,AMP4,.558
*DIM,LABEL_2,CHAR,6,2
*DIM,VALUE_2,,6,3
LABEL_2(1,1) = '       R','       R','       R','       (','       (','       ('
LABEL_2(1,2) = ',1_2    ',',2_3    ',',3_4    ','TD)1_2  ','TD)2_3  ','TD)3_4  '
*VFILL,VALUE_2(1,1),DATA,1.5350,1.5350,1.5350,.18507,.18507,.18507
*VFILL,VALUE_2(1,2),DATA,R1_2,R2_3,R3_4,TD1_2,TD2_3,TD3_4
*VFILL,VALUE_2(1,3),DATA,ABS(R1_2/1.535),ABS(R2_3/1.5350),ABS(R3_4/1.535)
*VFILL,VALUE_2(4,3),DATA,ABS(TD1_2/.18507),ABS(TD2_3/.18507),ABS(TD3_4/.18507)
/COM
/OUT,vm72,vrt
/COM,------------------- VM72 RESULTS COMPARISON --------------
/COM,
*VWRITE,LABEL_1(1,1),LABEL_1(1,2),VALUE_1(1,1),VALUE_1(1,2),VALUE_1(1,3),VALUE_1(1,4)
(1X,A8,A8,'   ',F7.5,'  ',F7.5,'  ',F7.5,'  ',F7.5)
/COM,
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL_2(1,1),LABEL_2(1,2),VALUE_2(1,1),VALUE_2(1,2),VALUE_2(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm72,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM71 Input Listing 		Up / Home Next
VM73 Input Listing


VM73 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM73
/PREP7
/TITLE, VM73, FREE VIBRATION WITH COULOMB DAMPING
C***           MECHANICAL VIBRATIONS, TSE, MORSE, AND HINKLE, PAGE 175, CASE 1
ET,1,COMBIN40,,,,,,2         ! MASS AT NODE J OF ELEMENT
R,1,1E4,,(10/386),,1.875,30
N,1
N,2
E,1,2
FINISH
/SOLU
SOLCONTROL,0
ANTYPE,TRANS                 ! NONLINEAR TRANSIENT DYNAMIC ANALYSIS
TRNOPT, , , , , ,HHT
D,1,UX
IC,2,UX,-1,0                 ! STRETCH SPRING
KBC,1                        ! STEP BOUNDARY CONDITION
CNVTOL,F,1,0.001             ! FORCE CONVERGENCE CRITERIA
TIME,.2025
NSUBST,404                   ! TO COMPLETE CIRCLE
OUTRES,,1
SOLVE
FINISH
/POST26
NSOL,2,2,U,X,UX              ! STORE UX DISPLACEMENT OF NODE 2
ESOL,3,1,,SMISC,1,F1         ! STORE FORCE F1 OF ELEMENT 1 AS VARIABLE 3
PRVAR,2,3                    ! PRINT VARIABLES 2 AND 3
/GRID,1                      ! TURN GRID ON
/AXLAB,Y,DISP                ! Y AXIS LABEL AS DISP
/GTHK,CURVE,2                ! CURVE LINES THICKNESS RATIO OF 2
PLVAR,2                      ! DISPLAY VARIABLE 2
/AXLAB,Y,FORCE               ! Y AXIS LABEL AS FORCE
PLVAR,3                      ! DISPLAY VARIABLE 3
*GET,U1,VARI,2,RTIME,.09
*GET,U2,VARI,2,RTIME,.102
*GET,U3,VARI,2,RTIME,.183
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'U,IN(T=0','U,IN(T=0','U,IN(T=0'
LABEL(1,2) = '.09sec) ','.102sec)','.183sec)'
*VFILL,VALUE(1,1),DATA,.87208,.83132,-.74874
*VFILL,VALUE(1,2),DATA,U1,U2,U3
*VFILL,VALUE(1,3),DATA,ABS(U1/.87208 ),ABS(U2/.83132 ),ABS(U1/.87208 )
/COM
/OUT,vm73,vrt
/COM,------------------- VM73 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm73,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM72 Input Listing 		Up / Home Next
VM74 Input Listing


VM74 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM74
/PREP7
/TITLE, VM74, TRANSIENT RESPONSE TO AN IMPULSIVE EXCITATION
C*** VIBRATION THEORY AND APPLICATIONS, THOMSON, 2ND PRINTING, PAGE 99, ART. 4.1
ANTYPE,TRANS             ! TRANSIENT DYNAMIC ANALYSIS
TRNOPT,REDUC             ! REDUCED TRANSIENT
ET,1,COMBIN40,,,2,,,2    ! Y DOF ELEMENTS, MASS AT NODE J
R,1,200,,.5              ! TWO DAMPING RATIOS
R,2,200,14,.5
N,1
N,4
FILL
E,1,2
REAL,2
E,3,4
D,1,UY,,,3,2
F,2,FY,,,4,2
M,2,UY,4,2               ! MASTER DOF IN Y DIRECTION AT FREE END OF SPRING
FINISH
/SOLU
DELTIM,25E-4             ! INTEGRATION TIME STEP
KBC,1                    ! STEP BOUNDARY CONDITIONS
OUTPR,BASIC,1
SOLVE
TIME,25E-4               ! TIME AT END OF LOAD STEP
F,2,FY,4000,,4,2
SOLVE
TIME,.105                ! TIME TO ALLOW THE MASSES TO REACH LARGEST DEFLECTIONS
F,2,FY,,,4,2
SOLVE
FINISH
/POST26
FILE,,rdsp
NSOL,2,2,U,Y,2UY          ! STORE UY DISPLACEMENTS OF APPROPRIATE NODES
NSOL,4,4,U,Y,4UY
NPRINT,.25
PRVAR,2,4
*GET,Y1,VARI,2,RTIME,.08
*GET,Y2,VARI,2,RTIME,.1
*GET,Y3,VARI,4,RTIME,.1
*DIM,LABEL_1,CHAR,1,2
*DIM,VALUE_1,,1,3
LABEL_1(1,1) = 'Y,MAX in'
LABEL_1(1,2) = ' NODE=2 '
*VFILL,VALUE_1(1,1),DATA,.99957
*VFILL,VALUE_1(1,2),DATA,Y1
*VFILL,VALUE_1(1,3),DATA,ABS(Y1/.99957)
*DIM,LABEL_2,CHAR,2,2
*DIM,VALUE_2,,2,3
LABEL_2(1,1) = 'Y, in   ','Y, in   '
LABEL_2(1,2) = 'node=2  ','node=4  '
*VFILL,VALUE_2(1,1),DATA,.90930,.34180
*VFILL,VALUE_2(1,2),DATA,Y2,Y3
*VFILL,VALUE_2(1,3),DATA,ABS(Y2/.90930),ABS(Y3/.34180)
/COM
/OUT,vm74,vrt
/COM,------------------- VM74 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,TIME=.08 sec
/COM,
*VWRITE,LABEL_1(1,1),LABEL_1(1,2),VALUE_1(1,1),VALUE_1(1,2),VALUE_1(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/COM,
/COM,TIME=.1 sec
/COM,
*VWRITE,LABEL_2(1,1),LABEL_2(1,2),VALUE_2(1,1),VALUE_2(1,2),VALUE_2(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm74,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM73 Input Listing 		Up / Home Next
VM75 Input Listing


VM75 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM75
/PREP7
/TITLE, VM75, TRANSIENT RESPONSE TO A STEP EXCITATION
C*** VIBRATION THEORY AND APPLICATIONS, THOMSON, 2ND PRINTING, PAGE 102, ART 4.3
ANTYPE,TRANS              ! TRANSIENT DYNAMIC ANALYSIS
TRNOPT,REDUC              ! REDUCED TRANSIENT
ET,1,COMBIN40,,,2,,,2     ! Y DOF ELEMENTS, MASS AT NODE J
R,1,200,,.5               ! TWO DAMPING RATIOS
R,2,200,10,.5
N,1
N,4
FILL
E,1,2
REAL,2
E,3,4
M,2,UY,4,2                ! MASTER DOF IN Y DIRECTION AT FREE END OF SPRING
DELTIM,25E-4              ! INTEGRATION TIME STEP SIZE
KBC,1                     ! STEP BOUNDARY CONDITIONS
D,1,UY,,,3,2
FINISH
/SOLU
OUTPR,BASIC,1
OUTRES,NSOL,1
F,2,FY,,,4,2
SOLVE
TIME,.205                 ! TIME AT END OF LOAD STEP
F,2,FY,200,,4,2
SOLVE
FINISH
/POST26
FILE,,rdsp
NSOL,2,2,U,Y,2UY          ! STORE UY DISPLACEMENTS OF APPROPRIATE NODES
NSOL,3,4,U,Y,4UY
NPRINT,10                 ! PRINT EVERY 10 POINTS
PRVAR,2,3                 ! PRINT VARIABLES 2 AND 3
/GRID,1                   ! TURN GRID ON
/AXLAB,Y,DISP             ! Y-AXIS LABEL AS DISP
PLVAR,2,3                 ! DISPLAY VARIABLES 2 AND 3
*GET,UMAX,VARI,2,RTIME,.1575
*GET,U0,VARI,2,RTIME,.2
*GET,U5,VARI,3,RTIME,.2
*DIM,LABEL_1,CHAR,1,2
*DIM,VALUE_1,,1,3
LABEL_1(1,1) = 'UMAX,   '
LABEL_1(1,2) = 'in      '
*VFILL,VALUE_1(1,1),DATA,2
*VFILL,VALUE_1(1,2),DATA,UMAX
*VFILL,VALUE_1(1,3),DATA,ABS(UMAX/2)
*DIM,LABEL_2,CHAR,2,2
*DIM,VALUE_2,,2,3
LABEL_2(1,1) = 'U,in(DAM','U,in(DAM'
LABEL_2(1,2) = 'PING=0) ','PING=.5)'
*VFILL,VALUE_2(1,1),DATA,1.6536,1.1531
*VFILL,VALUE_2(1,2),DATA,U0,U5
*VFILL,VALUE_2(1,3),DATA,ABS(U0/1.6536),ABS(U5/1.1531)
/COM
/OUT,vm75,vrt
/COM,------------------- VM75 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,TIME = 0.1575 SEC:
*VWRITE,LABEL_1(1,1),LABEL_1(1,2),VALUE_1(1,1),VALUE_1(1,2),VALUE_1(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/COM,
/COM,TIME = 0.20 SEC:
*VWRITE,LABEL_2(1,1),LABEL_2(1,2),VALUE_2(1,1),VALUE_2(1,2),VALUE_2(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)

/COM,----------------------------------------------------------

/OUT
FINISH
*LIST,vm75,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM74 Input Listing 		Up / Home Next
VM76 Input Listing


VM76 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM76
/PREP7
/TITLE, VM76, HARMONIC RESPONSE OF A GUITAR STRING
/COM, REFERENCE: BLEVINS, FORMULAS FOR NAT. FREQ. AND MODE SHAPE, TABLE 7-1.
ANTYPE,STATIC       ! STATIC ANALYSIS, PRESTRESS
ET,1,LINK1          ! TWO-DIMENSIONAL SPAR
R,1,50671E-12       ! CROSS-SECTIONAL AREA OF STRING
MP,EX,1,190E9       ! MATERIAL, STAINLESS STEEL
MP,DENS,1,7920
N,1                 ! DEFINE NODES
N,31,.71
FILL
E,1,2               ! DEFINE ELEMENTS
EGEN,30,1,1
D,1,ALL             ! BOUNDARY CONDITIONS AND LOADING
D,2,UY,,,31
F,31,FX,84
FINISH
/SOLU
PSTRES,ON           ! DEFINE AS PRESTRESSED ANALYSIS
OUTPR,BASIC,1
SOLVE
FINISH
/SOLU
ANTYPE,MODAL        ! MODAL ANALYSIS
MODOPT,SUBSP,6      ! SUBSPACE ITERATION METHOD, 6 FREQ.
PSTRES,ON           ! PRESTRESSED ANALYSIS
DDEL,2,UY,30
SOLVE
FINISH
/SOLU
ANTYPE,HARMIC       ! HARMONIC RESPONSE ANALYSIS
HROPT,MSUP,6        ! MODE SUPERPOSITION
HROUT,OFF           ! AMPLITUDE, PHASE ANGLE PRINTOUT
PSTRES,ON           ! PRESTRESSED ANALYSIS
FDELE,31,FX         ! DELETE STRETCH LOAD
F,8,FY,-1           ! FORCE AT X=.1657, NEAR QUARTER POINT
KBC,1               ! STEP CHANGE FORCE
HARFRQ,,2000        ! OBTAIN FREQUENCY EVERY EIGHT HERTZ
NSUBST,250
OUTPR,,NONE
OUTRES,,1
SOLVE
FINISH
/POST26             ! TIME-HISTORY POSTPROCESSOR
FILE,,rfrq          ! REDUCED FREQUENCIES FILE
NSOL,2,16,U,Y,DISP  ! RETRIEVE STRING MIDPOINT DISPLACEMENT RESPONSE
PRVAR,2
/AXLAB,Y,AMPL
PLCPLX,0            ! DISPLAY AMPLITUDE OF COMPLEX VARIABLE (DEFAULT)
PLVAR,2
*GET,FREQ,MODE,1,FREQ
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = '      f,'
LABEL(1,2) = ' Hz     '
*VFILL,VALUE(1,1),DATA,322.2
*VFILL,VALUE(1,2),DATA,FREQ
*VFILL,VALUE(1,3),DATA,ABS(FREQ/322.2 )
/COM
/OUT,vm76,vrt
/COM,------------------- VM76 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,----------------------------------------------------------
/COM,
/COM,-----------------------------------------------------------
/COM,NOTE: THERE ARE VERIFIED RESULTS IN VM76  NOT CONTAINED IN
/COM,THIS TABLE
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm76,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM75 Input Listing 		Up / Home Next
VM77 Input Listing


VM77 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM77
/PREP7
/TITLE, VM77, TRANSIENT RESPONSE TO A CONSTANT FORCE WITH A FINITE RISE TIME
C***           INTRODUCTION TO STRUCT. DYNAMICS, BIGGS, PAGE 50, EXAMPLE E
C***           DISPLACEMENT PASS USING BEAM3 AND MASS21 ELEMENTS
ANTYPE,TRANS            ! TRANSIENT DYNAMIC ANALYSIS
TRNOPT,REDUC,,NODAMP    ! REDUCED TRANSIENT ANALYSIS, IGNORE DAMPING
ET,1,BEAM3              ! TWO-DIMENSIONAL BEAM
ET,2,MASS21,,,4         ! TWO-DIMENSIONAL MASS
R,1,1,800.6,18          ! BEAM AREA = 1, I = 800.6, H = 18
R,2,.0259067            ! MASS
MP,EX,1,30E3
MP,PRXY,1,11.54E3
N,1
N,3,240
FILL
E,1,2                   ! BEAM ELEMENTS
EGEN,2,1,1
TYPE,2
REAL,2
E,2                     ! TYPE 2 ELEMENT WITH REAL CONSTANT 2
M,2,UY                  ! MASTER DOF IN Y DIRECTION AT MIDDLE OF BEAM
DELTIM,.004             ! INTEGRATION TIME STEP SIZE
D,1,UY
D,3,UX,,,,,UY
FINISH
/SOLU
OUTPR,BASIC,1
OUTRES,ALL,1
F,2,FY,0                ! FORCE = 0 AT TIME = 0
SOLVE
TIME,.075               ! TIME AT END OF LOAD STEP
F,2,FY,20               ! FORCE IS RAMPED (KBC,0 IS DEFAULT) TO 20
SOLVE
TIME,.1                 ! CONSTANT FORCE UNTIL TIME = 0.1
SOLVE
FINISH
/SOLU
C***    EXPANSION PASS USING BEAM3 AND MASS21 ELEMENTS
EXPASS,ON               ! EXPANSION PASS ON
EXPSOL,,,0.092          ! TIME OF MAXIMUM RESPONSE
SOLVE
FINISH
/POST1
ETABLE,STRS,LS,3
*GET,STRSS,ELEM,2,ETAB,STRS
FINISH
/POST26
NSOL,2,2,U,Y
STORE
*GET,TMAX,VARI,2,EXTREM,TMAX
*GET,YMAX,VARI,2,EXTREM,VMAX
*DIM,LABEL_1,CHAR,2,2
*DIM,VALUE_1,,2,3
LABEL_1(1,1) = 'T_MAX, s','Y_MAX, i'
LABEL_1(1,2) = 'ec      ','n       '
*VFILL,VALUE_1(1,1),DATA,.092,.331
*VFILL,VALUE_1(1,2),DATA,TMAX,YMAX
*VFILL,VALUE_1(1,3),DATA,ABS(TMAX/.092),ABS(YMAX/.331)
*DIM,LABEL_2,CHAR,1,2
*DIM,VALUE_2,,1,3
LABEL_2(1,1) = 'SIG_BEND'
LABEL_2(1,2) = ', KSI   '
*VFILL,VALUE_2(1,1),DATA,-18.6
*VFILL,VALUE_2(1,2),DATA,STRSS
*VFILL,VALUE_2(1,3),DATA,ABS(STRSS/18.6)
/COM
/OUT,vm77,vrt
/COM,------------------- VM77 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,TRANSIENT:
/COM,
*VWRITE,LABEL_1(1,1),LABEL_1(1,2),VALUE_1(1,1),VALUE_1(1,2),VALUE_1(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.2)
/COM,
/COM,EXPANSION PASS:
/COM,
*VWRITE,LABEL_2(1,1),LABEL_2(1,2),VALUE_2(1,1),VALUE_2(1,2),VALUE_2(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.2)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm77,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM76 Input Listing 		Up / Home Next
VM78 Input Listing


VM78 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM78
/PREP7
/TITLE, VM78: TRANSVERSE SHEAR STRESSES IN A CANTILEVER BEAM
C***          THEORY OF ELASTICITY, TIMESHENKO, PG. 35, ARTICLE 20
ANTYPE,STATIC
ET,1,SHELL99,,,,,2,4         ! 8-NODE LAYERED SHELL; STRESS & STRAIN PRINTOUT
R,1,4,1                      ! FOUR SYMMETRIC LAYERS
RMORE
RMORE,1,,0.5,1,,0.5          ! EQUAL THICKNESSES
MP,EX,1,30E6
MP,NUXY,1,0
/COM  --- INPUT  FAILURE STRESSES FOR MATERIAL #1 ---
/COM  --- COMPRESSION VALUES ARE LEFT TO DEFAULT  ---
TB,FAIL,1
TBTEMP,,CRIT
TBDATA,1,0,0,1               ! USE TSAI-WU FAILURE CRITERION
TBTEMP,0
TBDATA,10,25000              ! FAILURE  X  TENSION
TBDATA,12,3000               ! FAILURE  Y  TENSION (ARBITRARY)
TBDATA,14,5000               ! FAILURE  Z  TENSION (ARBITRARY)
TBDATA,16,500                ! FAILURE  XY  DIRECTION SHEAR
N,1
N,3,,1
FILL
NGEN,11,3,1,3,1,1
E,1,7,9,3,4,8,6,2
EGEN,5,6,-1
NSEL,S,LOC,X                 ! SELECT NODES AT FIXED END AND CONSTRAIN
D,ALL,ALL
NSEL,S,LOC,X,10
CP,1,UZ,ALL                  ! COUPLE FREE END NODES
NSEL,R,LOC,Y
F,ALL,FZ,10000               ! APPLY END FORCE
NSEL,ALL
OUTPR,,1
FINISH
/SOLU
SOLVE
FINISH
/POST1
ETABLE,NX,SMISC,7            ! OUT-OF-PLANE ELEMENT SHEAR FORCE
ETABLE,FC,NMISC,1            ! MAXIMUM FAILURE CRITERION NUMBER
ETABLE,FCMX,NMISC,2          ! MAXIMUM FAILURE CRITERION VALUE
ETABLE,FCLN,NMISC,3          ! FAILURE LAYER
ETABLE,ILMX,NMISC,4          ! MAXIMUM INTERLAMINAR SHEAR STRESS
ETABLE,ILLN,NMISC,5          ! LOWER LAYER NUMBER FOR ILMX
PRETAB,NX,ILLN,ILMX
PRETAB,FC,FCLN,FCMX
ETABLE,SXZ,S,XZ
ETABLE,ILSXZ,SMISC,11
*GET,SIGXZ1,ELEM,4,ETAB,SXZ
*GET,SIGXZ2,ELEM,1,ETAB,ILSXZ
*GET,SIGXZ3,ELEM,1,ETAB,ILMX
*GET,FC3,ELEM,1,ETAB,FCMX
*DIM,LABEL,CHAR,4,2
*DIM,VALUE,,4,3
LABEL(1,1) = 'SIGXZ,ps','SIGXZ,ps','SIGXZ,ps','FC3MAX ('
LABEL(1,2) = 'i(Z=H/2)','i(Z=H/4)','i(Z= 0 )','FCMX)   '
*VFILL,VALUE(1,1),DATA,0,5625,7500,225
*VFILL,VALUE(1,2),DATA,SIGXZ1,SIGXZ2,SIGXZ3,FC3
*VFILL,VALUE(1,3),DATA,0,ABS(SIGXZ2/5625),ABS(SIGXZ3/7500),ABS(FC3/225)
/COM
/OUT,vm78,vrt
/COM,------------------- VM78 RESULTS COMPARISON ---------------

/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm78,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM77 Input Listing 		Up / Home Next
VM79 Input Listing


VM79 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM79
/PREP7
/TITLE, VM79, TRANSIENT RESPONSE OF A BI-LINEAR SPRING ASSEMBLY
C***VIBRATION THEORY AND APPLICATIONS, THOMSON, 2ND PRINTING, PAGE 150,FIG 5.6-1
ANTYPE,TRANS             ! TRANSIENT DYNAMIC ANALYSIS
TRNOPT,REDUC,,NODAMP     ! REDUCED TRANSIENT ANALYSIS, IGNORE DAMPING
ET,1,COMBIN40,,,2,,,2    ! Y DOF ELEMENTS, MASS AT NODE J
R,1,200,,.5              ! K1 = 200; M = .5
N,1
N,2
E,1,2
M,2,UY                   ! MASTER DOF IN Y DIRECTION AT FREE END OF SPRING
GP,3,2,FY,-200,.75       ! GAP CONDITION
FINISH
/SOLU
DELTIM,25E-4             ! INTEGRATION TIME STEP
KBC,1                    ! STEP BOUNDARY CONDITIONS
D,1,UY,,,3,2             ! CONSTRAIN UY DOF AT NODES 1 AND 3
F,2,FY
OUTPR,BASIC,1
SOLVE                    ! STATIC LOAD STEP
TIME,25E-4               ! TIME AT END OF LOAD STEP
F,2,FY,-4E3              ! APPLY 4000 LB. LOAD
SOLVE
TIME,.105
F,2,FY,0                 ! REMOVE LOAD
SOLVE
FINISH
/POST26
FILE,,rdsp
NSOL,2,2,U,Y,2UY          ! STORE UY DISPLACEMENTS OF APPROPRIATE NODES
PRVAR,2
*GET,Y1,VARI,2,RTIME,.09
*GET,Y2,VARI,2,RTIME,.04
*GET,Y3,VARI,2,RTIME,.07
*GET,Y4,VARI,2,RTIME,.085
*GET,Y5,VARI,2,RTIME,.105
*DIM,LABEL_1,CHAR,3,2
*DIM,VALUE_1,,3,4
LABEL_1(1,1) = 'TIME    ','Y, in   ','Y, in   '
LABEL_1(1,2) = 'sec     ','linear ','bilinear'
*VFILL,VALUE_1(1,1),DATA,.040,-.68122,Y2
*VFILL,VALUE_1(1,2),DATA,.070,-.97494,Y3
*VFILL,VALUE_1(1,3),DATA,.085,-.99604,Y4
*VFILL,VALUE_1(1,4),DATA,.105,-.88666,Y5
*DIM,LABEL_2,CHAR,1,2
*DIM,VALUE_2,,1,3
LABEL_2(1,1) = 'Y, in   '
LABEL_2(1,2) = 'MAX     '
*VFILL,VALUE_2(1,1),DATA,-1.0417
*VFILL,VALUE_2(1,2),DATA,Y1
*VFILL,VALUE_2(1,3),DATA,ABS(Y1/1.0417)
/COM
/OUT,vm79,vrt
/COM,------------------- VM79 RESULTS COMPARISON -----------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,TIME=.09 sec
/COM,
*VWRITE,LABEL_2(1,1),LABEL_2(1,2),VALUE_2(1,1),VALUE_2(1,2),VALUE_2(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/COM,
/COM,COMPARISON OF ANSYS LINEAR (VM74) AND BILINEAR SPRING RESULTS
/COM,
*VWRITE,LABEL_1(1,1),LABEL_1(1,2),VALUE_1(1,1),VALUE_1(1,2),VALUE_1(1,3),VALUE_1(1,4)
(1X,A8,A8,'   ',F8.5,'  ',F8.5,'  ',F8.5,'  ',F8.5)
/COM,
/COM,-------------------------------------------------------------
/OUT
FINISH
*LIST,vm79,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM78 Input Listing 		Up / Home Next
VM80 Input Listing


VM80 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM80
/PREP7
/TITLE, VM80, PLASTIC RESPONSE TO A SUDDENLY APPLIED CONSTANT FORCE
C***           INTRODUCTION TO STRUCT. DYNAMICS, BIGGS, PAGE 69, ART. 2.7
ANTYPE,TRANS        ! FULL TRANSIENT DYNAMIC ANALYSIS
ET,1,LINK1
ET,2,MASS21,,,4     ! TWO-DIMENSIONAL MASS
R,1,.278            ! AREA (A)
R,2,0.0259          ! MASS
MP,EX,1,30E3
TB,BKIN,1,1         ! BILINEAR KINEMATIC HARDENING STRESS-STRAIN CURVE
TBTEMP,0
TBDATA,1,162.9,0    ! YIELD STRESS AND TANGENT MODULUS
N,1
N,2,,-100
E,1,2
TYPE,2
REAL,2
E,1
FINISH
/SOLU
SOLCONTROL,0
KBC,1               ! STEP BOUNDARY CONDITIONS
TIME,4E-3           ! TIME AT THE END OF LOAD STEP 1
D,1,UX,,,2
D,2,UY
F,1,FY,30           ! APPLY F1
NSUBST,10           ! 10 SUBSTEPS FOR  TIME STEP OF .0004
OUTPR,BASIC,1       ! PRINT BASIC SOLUTION FOR EACH SUBSTEP
OUTRES,NSOL,1       ! STORE NODAL SOLUTION FOR EACH SUBSTEP
SOLVE
TIME,.14            ! FINAL TIME SLIGHTLY MORE THAN 1 CYCLE OF VIBRATION
NSUBST,68           ! 68 REPEATS FOR TIME STEP OF 0.002
OUTPR,BASIC,8       ! PRINT BASIC SOLUTION FOR EVERY 8TH SUBSTEP
SOLVE
FINISH
/POST26
NSOL,2,1,U,Y,UY       ! STORE UY DISPLACEMENTS OF NODE 1 AGAINST TIME
PRVAR,2               ! PRINT VARIABLE 2 (DISPLACEMENT UY OF NODE 1) V/S TIME
/GRID,1               ! TURN THE GRID ON FOR DISPLAY
/AXLAB,Y,DISPLACEMENT ! MAKE Y-AXIS LABEL AS DISP FOR DISPLAY
PLVAR,2               ! DISPLAY VARIABLE 2 (DISPLACEMENT UY OF NODE 1) V/S TIME
*GET,YMAX,VARI,2,EXTREM,VMAX
*GET,TMAX,VARI,2,EXTREM,TMAX
*GET,YMIN,VARI,2,RTIME,.122
TMIN = .122
*DIM,LABEL,CHAR,4,2
*DIM,VALUE,,4,3
LABEL(1,1) = 'Y_MAX, i','TIME, se','Y_MIN, i','TIME, se'
LABEL(1,2) = 'n       ','c       ','n       ','c       '
*VFILL,VALUE(1,1),DATA,.806,.0669,.438,.122
*VFILL,VALUE(1,2),DATA,YMAX,TMAX,YMIN,TMIN
*VFILL,VALUE(1,3),DATA,ABS(YMAX/.806),ABS(TMAX/.0669),ABS(YMIN/.438),ABS(TMIN/.122)
/COM
/OUT,vm80,vrt
/COM,------------------- VM80 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm80,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM79 Input Listing 		Up / Home Next
VM81 Input Listing


VM81 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM81
/PREP7
/TITLE, VM81, TRANSIENT RESPONSE OF A DROP CONTAINER (NONLINEAR)
C***        VIBRATION THEORY AND APPLICATIONS, THOMSON, 2ND. PRINTING, PAGE 110,
C***        EX. 4.6-1, USING NON-LINEAR TRANSIENT DYNAMIC ANALYSIS
ET,1,COMBIN40,,,2,,,2    ! SPRING, MASS, GAP COMBINATION ELEMENT
R,1,1973.92,,.5,1        ! SPRING STIFFNESS, MASS, AND GAP
N,1                      ! DEFINE NODES AND ELEMENT
N,2
E,2,1
FINISH
/SOLU
SOLCONTROL,0
ANTYPE,TRANS             ! NONLINEAR TRANSIENT DYNAMIC ANALYSIS
TIME,1E-6
D,2,UY
ACEL,,386                ! BOUNDARY CONDITIONS AND LOADING
KBC,1                    ! STEPPED BOUNDARY CONDITIONS
CNVTOL,F,1,0.001         ! FORCE CONVERGENCE CRITERIA
SOLVE
NSUBST,110
OUTPR,BASIC,LAST
OUTRES,NSOL,1
TIME,.11
SOLVE
FINISH
/POST26                  ! TIME-HISTORY POSTPROCESSOR
NSOL,2,1,U,Y
DERIV,3,2,1,,VEL_1UY     ! CALCULATE VELOCITY BY TAKING DERIVATIVE OF UY
PRVAR,2,3
*GET,Y1,VARI,2,RTIME,.072
*GET,V1,VARI,3,RTIME,.072
*GET,Y2,VARI,2,RTIME,.1
*GET,Y3,VARI,2,RTIME,.101
*DIM,LABEL1,CHAR,3,1
*DIM,VALUE1,,3,3
LABEL1(1,1) = 'TIME sec','Y, in   ','V,in/sec'
*VFILL,VALUE1(1,1),DATA,.07198,-1.00,-27.79
*VFILL,VALUE1(1,2),DATA,.072,Y1,V1
*VFILL,VALUE1(1,3),DATA,ABS(.072/.07198),ABS(Y1/1),ABS(V1/27.79)
*DIM,LABEL2,CHAR,2,2
*DIM,VALUE2,,2,3
LABEL2(1,1) = 't=.1 sec','t=1.01 s'
LABEL2(1,2) = ' Y, in  ','ec Y, in'
*VFILL,VALUE2(1,1),DATA,-1.5505,-1.5502
*VFILL,VALUE2(1,2),DATA,Y2,Y3
*VFILL,VALUE2(1,3),DATA,ABS(Y2/1.5505),ABS(Y3/1.5502)
SAVE,TABLE1
FINISH
/CLEAR, NOSTART ! CLEAR THE DATABASE
/PREP7
/TITLE, VM81, TRANSIENT RESPONSE OF A DROP CONTAINER (QUASI-LINEAR)
ET,1,MASS21,,,4          ! TWO-DIMENSIONAL MASS ELEMENT
R,1,.5                   ! MASS
N,1                      ! DEFINE NODE AND ELEMENT
E,1
FINISH
/SOLU
SOLCONTROL,0
ANTYPE,TRANS             ! TRANSIENT DYNAMIC ANALYSIS
TRNOPT,REDUC,,NODAMP     ! REDUCED ANALYSIS, IGNORE DAMPING
GP,2,1,FY,1973.92,1      ! GAP CONDITION
D,1,UX
M,1,UY
DELTIM,1E-3
OUTPR,NSOL,LAST
SOLVE
NSUBST,110
OUTRES,NSOL,1
TIME,.110
KBC,1                    ! STEPPED BOUNDARY CONDITIONS
ACEL,,386                ! BOUNDARY CONDITIONS AND LOADING
SOLVE
FINISH
/POST26                  ! TIME-HISTORY POSTPROCESSOR
FILE,,rdsp               ! REDUCED DISPLACEMENTS FILE
NSOL,2,1,U,Y
DERIV,3,2,1,,VEL_1UY     ! CALCULATE VELOCITY
PRVAR,2,3
*GET,Y1,VARI,2,RTIME,.072
*GET,V1,VARI,3,RTIME,.072
*GET,Y2,VARI,2,RTIME,.1
*GET,Y3,VARI,2,RTIME,.101
*DIM,LABEL1,CHAR,3,1
*DIM,VALUE1,,3,3
LABEL1(1,1) = 'TIME sec','Y, in   ','V,in/sec'
*VFILL,VALUE1(1,1),DATA,.07198,-1.00,-27.79
*VFILL,VALUE1(1,2),DATA,.072,Y1,V1
*VFILL,VALUE1(1,3),DATA,ABS(.072/.07198),ABS(Y1/1),ABS(V1/27.79)
*DIM,LABEL2,CHAR,2,2
*DIM,VALUE2,,2,3
LABEL2(1,1) = 't=.1 sec','t=1.01 s'
LABEL2(1,2) = ' Y, in  ','ec Y, in'
*VFILL,VALUE2(1,1),DATA,-1.5505,-1.5502
*VFILL,VALUE2(1,2),DATA,Y2,Y3
*VFILL,VALUE2(1,3),DATA,ABS(Y2/1.5505),ABS(Y3/1.5502)
SAVE,TABLE2
RESUME,TABLE1
/COM
/OUT,vm81,vrt
/COM,------------------- VM81 RESULTS COMPARISON --------------
/COM,
/COM,FULL DYNAMIC     |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,AT IMAPACT
*VWRITE,LABEL1(1,1),VALUE1(1,1),VALUE1(1,2),VALUE1(1,3)
(1X,A8,'   ',F18.4,'  ',F10.4,'   ',1F5.3)
/COM,
/COM,AT ZERO VELOCITY
*VWRITE,LABEL2(1,1),LABEL2(1,2),VALUE2(1,1),VALUE2(1,2),VALUE2(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/NOPR
RESUME,TABLE2
/GOPR
/COM,
/COM,REDUCED DYNAMIC  |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,AT IMAPACT
*VWRITE,LABEL1(1,1),VALUE1(1,1),VALUE1(1,2),VALUE1(1,3)
(1X,A8,'   ',F18.4,'  ',F10.4,'   ',1F5.3)
/COM,
/COM,AT ZERO VELOCITY
*VWRITE,LABEL2(1,1),LABEL2(1,2),VALUE2(1,1),VALUE2(1,2),VALUE2(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)

/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm81,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM80 Input Listing 		Up / Home Next
VM82 Input Listing


VM82 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM82
/PREP7
SMRT,OFF
/TITLE, VM82, SIMPLY SUPPORTED LAMINATED PLATE UNDER PRESSURE
C***    EXACT SOLUTIONS OF MODERATELY THICK LAMINATED SHELLS,
C***    J.N. REDDY, JNL. OF ENGR. MECHANICS, VOL 110, NO.5, MAY'84.
C*** USING SHELL99
ANTYPE,STATIC
ET,1,SHELL99,,,,,,,1        ! 8 NODE LAYERED SHELL
R,1,4,1                     ! 4 LAYERS; SYMMETRIC STACKING
RMORE
RMORE,1,0,.025,1,90,.025    ! LAYER 1 AND 2 OF (0/90/90/0)
MP,EX,1,25E6                ! ORTHOTROPIC MATERIAL PROPERTIES
MP,EY,1,1E6
MP,EZ,1,1E6                 ! EZ=EY ASSUMED
MP,GXY,1,5E5
MP,GYZ,1,2E5
MP,GXZ,1,5E5
MP,PRXY,1,0.25              ! MAJOR POISSONS RATIO
MP,PRYZ,1,0.01              ! MAJOR POISSONS RATIO
MP,PRXZ,1,0.25              ! MAJOR POISSONS RATIO
K,1                         ! CORNER KEYPOINTS OF QUADRANT (AREA)
K,2,5
K,3,5,5
K,4,,5
A,1,2,3,4
ESIZE,,3                    ! 3X3 MESH USING QUARTER SYMMETRY
AMESH,1
NSEL,S,LOC,X,0
DSYM,SYMM,X
NSEL,S,LOC,Y,0
DSYM,SYMM,Y
NSEL,S,LOC,X,5              ! APPLY FREELY SUPPORTED B.C.
D,ALL,UZ,,,,,UY
NSEL,S,LOC,Y,5
D,ALL,UZ,,,,,UX
NSEL,ALL
SFE,ALL,2,PRES,,1           ! APPLY UNIFORM PRESSURE
OUTPR,,1
FINISH
/SOLU
SOLVE
FINISH
/POST1
NSEL,S,LOC,X                ! SELECT CENTER NODE
NSEL,R,LOC,Y
PRNSOL,U,Z                  ! PRINT CENTER DEFLECTION
*GET,DEF99,NODE,1,U,Z
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'DEF,m (S'
LABEL(1,2) = 'HELL99)'
*VFILL,VALUE(1,1),DATA,.0683
*VFILL,VALUE(1,2),DATA,ABS(DEF99)
*VFILL,VALUE(1,3),DATA,ABS(DEF99/.0683)
SAVE,INF1
FINISH
/CLEAR, NOSTART
/PREP7
SMRT,OFF
/TITLE, VM82, SIMPLY SUPPORTED LAMINATED PLATE UNDER PRESSURE
C*** USING SOLID46
ANTYPE,STATIC
ET,1,SOLID46,,,,,,,1        ! 8 NODE LAYERED SOLID
R,1,4,1                     ! 4 LAYERS; SYMMETRIC STACKING
RMORE
RMORE,1,0,.25,1,90,.25      ! LAYERS 1 AND 2 OF (0/90/90/0)
MP,EX,1,25E6                ! ORTHOTROPIC MATERIAL PROPERTIES
MP,EY,1,1E6
MP,EZ,1,1E6                 ! EZ=EY ASSUMED
MP,GXY,1,5E5
MP,GYZ,1,2E5
MP,GXZ,1,5E5
MP,PRXY,1,0.25              ! MAJOR POISSONS RATIO
MP,PRYZ,1,0.01              ! MAJOR POISSONS RATIO
MP,PRXZ,1,0.25              ! MAJOR POISSONS RATIO
K,1                         ! CORNER KEYPOINTS OF QUADRANT (VOLUME)
K,2,5
K,3,5,5
K,4,,5
KGEN,2,1,4,1,,,0.1
L,1,5
*REPEAT,4,1,1
LESIZE,ALL,,,1
V,1,2,3,4,5,6,7,8
ESIZE,,6                    ! 6X6 MESH USING QUARTER SYMMETRY
VMESH,1
NSEL,S,LOC,X,0
DSYM,SYMM,X
NSEL,S,LOC,Y,0
DSYM,SYMM,Y
NSEL,S,LOC,X,5              ! FREELY SUPPORTED B.C.
D,ALL,UZ,,,,,UY
NSEL,S,LOC,Y,5
D,ALL,UZ,,,,,UX
NSEL,ALL
SFE,ALL,6,PRES,,1           ! APPLY UNIFORM PRESSURE ON TOP SURFACE
OUTPR,,1
FINISH
/SOLU
SOLVE
FINISH
/POST1
NSEL,S,LOC,X                ! SELECT CENTER NODES
NSEL,R,LOC,Y
PRNSOL,U,Z                  ! PRINT CENTER DEFLECTION
*GET,DEF46,NODE,1,U,Z
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'DEF,m (S'
LABEL(1,2) = 'OLID46) '
*VFILL,VALUE(1,1),DATA,.0683
*VFILL,VALUE(1,2),DATA,ABS(DEF46)
*VFILL,VALUE(1,3),DATA,ABS(DEF46/.0683)
SAVE,INF2
FINISH
/CLEAR,NOSTART
/PREP7
SMRT,OFF
/TITLE, VM82, SIMPLY SUPPORTED LAMINATED PLATE UNDER PRESSURE
C*** USING SHELL191
ANTYPE,STATIC
ET,1,SOLID191,,,,,,,1       ! 8 NODE LAYERED SOLID
R,1,4,1                     ! 4 LAYERS; SYMMETRIC STACKING
RMORE
RMORE,1,0,.25,1,90,.25      ! LAYERS 1 AND 2 OF (0/90/90/0)
MP,EX,1,25E6                ! ORTHOTROPIC MATERIAL PROPERTIES
MP,EY,1,1E6
MP,EZ,1,1E6                 ! EZ=EY ASSUMED
MP,GXY,1,5E5
MP,GYZ,1,2E5
MP,GXZ,1,5E5
MP,PRXY,1,0.25              ! MAJOR POISSONS RATIO
MP,PRYZ,1,0.01              ! MAJOR POISSONS RATIO
MP,PRXZ,1,0.25              ! MAJOR POISSONS RATIO
K,1                         ! CORNER KEYPOINTS OF QUADRANT (VOLUME)
K,2,5
K,3,5,5
K,4,,5
KGEN,2,1,4,1,,,0.1
L,1,5
*REPEAT,4,1,1
LESIZE,ALL,,,1
V,1,2,3,4,5,6,7,8
ESIZE,,6                    ! 6X6 MESH USING QUARTER SYMMETRY
VMESH,1
NSEL,S,LOC,X,0
DSYM,SYMM,X
NSEL,S,LOC,Y,0
DSYM,SYMM,Y
NSEL,S,LOC,X,5              ! FREELY SUPPORTED B.C.
D,ALL,UZ,,,,,UY
NSEL,S,LOC,Y,5
D,ALL,UZ,,,,,UX
NSEL,ALL
SFE,ALL,6,PRES,,1           ! APPLY UNIFORM PRESSURE ON TOP SURFACE
OUTPR,,1
FINISH
/SOLU
SOLVE
FINISH
/POST1
NSEL,S,LOC,X                ! SELECT CENTER NODES
NSEL,R,LOC,Y
PRNSOL,U,Z                  ! PRINT CENTER DEFLECTION
*GET,DEF191,NODE,1,U,Z
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'DEF,m (S'
LABEL(1,2) = 'OLID191) '
*VFILL,VALUE(1,1),DATA,.0683
*VFILL,VALUE(1,2),DATA,ABS(DEF191)
*VFILL,VALUE(1,3),DATA,ABS(DEF191/.0683)
SAVE,INF3
FINISH
/CLEAR, NOSTART
/PREP7
SMRT,OFF
/TITLE, VM82, SIMPLY SUPPORTED LAMINATED PLATE UNDER PRESSURE
C*** USING SOLSH190
ANTYPE,STATIC
ET,1,SOLSH190               ! 8 NODE LAYERED SOLID-SHELL
KEYOPT,1,8,1                ! WRITE LAYER RESULTS
SECTYPE,1,SHELL
SECDATA,0.025,1,0           ! LAYER 1: 0.025 THK, THETA 0
SECDATA,0.025,1,90          ! LAYER 2: 0.025 THK, THETA 90
SECDATA,0.025,1,90          ! LAYER 3: 0.025 THK, THETA 90
SECDATA,0.025,1,0           ! LAYER 4: 0.025 THK, THETA 0
MP,EX,1,25E6                ! ORTHOTROPIC MATERIAL PROPERTIES
MP,EY,1,1E6
MP,EZ,1,1E6                 ! EZ=EY ASSUMED
MP,GXY,1,5E5
MP,GYZ,1,2E5
MP,GXZ,1,5E5
MP,PRXY,1,0.25              ! MAJOR POISSONS RATIO
MP,PRYZ,1,0.01              ! MAJOR POISSONS RATIO
MP,PRXZ,1,0.25              ! MAJOR POISSONS RATIO
K,1                         ! CORNER KEYPOINTS OF QUADRANT (VOLUME)
K,2,5
K,3,5,5
K,4,,5
KGEN,2,1,4,1,,,0.1
L,1,5
*REPEAT,4,1,1
LESIZE,ALL,,,1
V,1,2,3,4,5,6,7,8
VEORIENT,1,THIN
ESIZE,,6                    ! 6X6 MESH USING QUARTER SYMMETRY
VMESH,1
NSEL,S,LOC,X,0
DSYM,SYMM,X
NSEL,S,LOC,Y,0
DSYM,SYMM,Y
NSEL,S,LOC,X,5              ! FREELY SUPPORTED B.C.
D,ALL,UZ,,,,,UY
NSEL,S,LOC,Y,5
D,ALL,UZ,,,,,UX
NSEL,ALL
SFE,ALL,6,PRES,,1           ! APPLY UNIFORM PRESSURE ON TOP SURFACE
OUTPR,NSOL,1
OUTPR,RSOL,1
FINISH
/SOLU
SOLVE
FINISH
/POST1
NSEL,S,LOC,X                ! SELECT CENTER NODES
NSEL,R,LOC,Y
PRNSOL,U,Z                  ! PRINT CENTER DEFLECTION
*GET,DEF46,NODE,1,U,Z
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'DEF,m (S'
LABEL(1,2) = 'OLID190) '
*VFILL,VALUE(1,1),DATA,.0683
*VFILL,VALUE(1,2),DATA,ABS(DEF46)
*VFILL,VALUE(1,3),DATA,ABS(DEF46/.0683)
SAVE,INF4
FINISH
/CLEAR,NOSTART
/PREP7
SMRT,OFF
/TITLE, VM82, SIMPLY SUPPORTED LAMINATED PLATE UNDER PRESSURE
C*** USING SOLID186
ANTYPE,STATIC
ET,1,SOLID186               ! 20-NODE SOLID ELEMENT
KEYOPT,1,3,1                ! LAYERED SOLID ELEMENT
KEYOPT,1,8,1                ! WRITE LAYER RESULTS
SECDATA,0.025,1,0           ! LAYER 1: 0.025 THK, THETA 0
SECDATA,0.025,1,90          ! LAYER 2: 0.025 THK, THETA 90
SECDATA,0.025,1,90          ! LAYER 3: 0.025 THK, THETA 90
SECDATA,0.025,1,0           ! LAYER 4: 0.025 THK, THETA 0
MP,EX,1,25E6                ! ORTHOTROPIC MATERIAL PROPERTIES
MP,EY,1,1E6
MP,EZ,1,1E6                 ! EZ=EY ASSUMED
MP,GXY,1,5E5
MP,GYZ,1,2E5
MP,GXZ,1,5E5
MP,PRXY,1,0.25              ! MAJOR POISSONS RATIO
MP,PRYZ,1,0.01              ! MAJOR POISSONS RATIO
MP,PRXZ,1,0.25              ! MAJOR POISSONS RATIO
K,1                         ! CORNER KEYPOINTS OF QUADRANT (VOLUME)
K,2,5
K,3,5,5
K,4,,5
KGEN,2,1,4,1,,,0.1
L,1,5
*REPEAT,4,1,1
LESIZE,ALL,,,1
V,1,2,3,4,5,6,7,8
ESIZE,,6                    ! 6X6 MESH USING QUARTER SYMMETRY
VMESH,1
NSEL,S,LOC,X,0
DSYM,SYMM,X
NSEL,S,LOC,Y,0
DSYM,SYMM,Y
NSEL,S,LOC,X,5              ! FREELY SUPPORTED B.C.
D,ALL,UZ,,,,,UY
NSEL,S,LOC,Y,5
D,ALL,UZ,,,,,UX
NSEL,ALL
SFE,ALL,6,PRES,,1           ! APPLY UNIFORM PRESSURE ON TOP SURFACE
OUTPR,NSOL,1
OUTPR,RSOL,1
FINISH
/SOLU
SOLVE
FINISH
/POST1
NSEL,S,LOC,X                ! SELECT CENTER NODES
NSEL,R,LOC,Y
PRNSOL,U,Z                  ! PRINT CENTER DEFLECTION
*GET,DEF191,NODE,1,U,Z
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'DEF,m (S'
LABEL(1,2) = 'OLID186) '
*VFILL,VALUE(1,1),DATA,.0683
*VFILL,VALUE(1,2),DATA,ABS(DEF191)
*VFILL,VALUE(1,3),DATA,ABS(DEF191/.0683)
SAVE,INF5
FINISH
/CLEAR,NOSTART
/PREP7
SMRT,OFF
/TITLE, VM82, SIMPLY SUPPORTED LAMINATED PLATE UNDER PRESSURE
C*** USING SOLID185
ANTYPE,STATIC
ET,1,SOLID185               ! 8-NODE SOLID ELEMENT
KEYOPT,1,2,2                ! ENHANCED STRAIN FORMULATION
KEYOPT,1,3,1                ! LAYERED SOLID ELEMENT
KEYOPT,1,8,1                ! WRITE LAYER RESULTS
SECDATA,0.025,1,0           ! LAYER 1: 0.025 THK, THETA 0
SECDATA,0.025,1,90          ! LAYER 2: 0.025 THK, THETA 90
SECDATA,0.025,1,90          ! LAYER 3: 0.025 THK, THETA 90
SECDATA,0.025,1,0           ! LAYER 4: 0.025 THK, THETA 0
MP,EX,1,25E6                ! ORTHOTROPIC MATERIAL PROPERTIES
MP,EY,1,1E6
MP,EZ,1,1E6                 ! EZ=EY ASSUMED
MP,GXY,1,5E5
MP,GYZ,1,2E5
MP,GXZ,1,5E5
MP,PRXY,1,0.25              ! MAJOR POISSONS RATIO
MP,PRYZ,1,0.01              ! MAJOR POISSONS RATIO
MP,PRXZ,1,0.25              ! MAJOR POISSONS RATIO
K,1                         ! CORNER KEYPOINTS OF QUADRANT (VOLUME)
K,2,5
K,3,5,5
K,4,,5
KGEN,2,1,4,1,,,0.1
L,1,5
*REPEAT,4,1,1
LESIZE,ALL,,,1
V,1,2,3,4,5,6,7,8
ESIZE,,6                    ! 6X6 MESH USING QUARTER SYMMETRY
VMESH,1
NSEL,S,LOC,X,0
DSYM,SYMM,X
NSEL,S,LOC,Y,0
DSYM,SYMM,Y
NSEL,S,LOC,X,5              ! FREELY SUPPORTED B.C.
D,ALL,UZ,,,,,UY
NSEL,S,LOC,Y,5
D,ALL,UZ,,,,,UX
NSEL,ALL
SFE,ALL,6,PRES,,1           ! APPLY UNIFORM PRESSURE ON TOP SURFACE
OUTPR,NSOL,1
OUTPR,RSOL,1
FINISH
/SOLU
SOLVE
FINISH
/POST1
NSEL,S,LOC,X                ! SELECT CENTER NODES
NSEL,R,LOC,Y
PRNSOL,U,Z                  ! PRINT CENTER DEFLECTION
*GET,DEF191,NODE,1,U,Z
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'DEF,m (S'
LABEL(1,2) = 'OLID185) '
*VFILL,VALUE(1,1),DATA,.0683
*VFILL,VALUE(1,2),DATA,ABS(DEF191)
*VFILL,VALUE(1,3),DATA,ABS(DEF191/.0683)
SAVE,INF6
FINISH
/CLEAR, NOSTART
/PREP7
SMRT,OFF
/TITLE, VM82, SIMPLY SUPPORTED LAMINATED PLATE UNDER PRESSURE
C*** USING SHELL181
/PREP7
SMRT,OFF
ANTYPE,STATIC
ET,1,SHELL181               ! 4 NODE LAYERED SHELL
KEYOPT,1,3,2                ! FULL INTEGRATION
KEYOPT,1,8,1                ! WRITE LAYER RESULTS
SECTYPE,1,SHELL
SECDATA,0.025,1,0           ! LAYER 1: 0.025 THK, THETA 0
SECDATA,0.025,1,90          ! LAYER 2: 0.025 THK, THETA 90
SECDATA,0.025,1,90          ! LAYER 3: 0.025 THK, THETA 90
SECDATA,0.025,1,0           ! LAYER 4: 0.025 THK, THETA 0
MP,EX,1,25E6                ! ORTHOTROPIC MATERIAL PROPERTIES
MP,EY,1,1E6
MP,EZ,1,1E6                 ! EZ=EY ASSUMED
MP,GXY,1,5E5
MP,GYZ,1,2E5
MP,GXZ,1,5E5
MP,PRXY,1,0.25              ! MAJOR POISSONS RATIO
MP,PRYZ,1,0.01              ! MAJOR POISSONS RATIO
MP,PRXZ,1,0.25              ! MAJOR POISSONS RATIO
K,1                         ! CORNER KEYPOINTS OF QUADRANT (AREA)
K,2,5
K,3,5,5
K,4,,5
A,1,2,3,4
ESIZE,,6                    ! 6X6 MESH USING QUARTER SYMMETRY
AMESH,1
NSEL,S,LOC,X,0
DSYM,SYMM,X
NSEL,S,LOC,Y,0
DSYM,SYMM,Y
NSEL,S,LOC,X,5              ! APPLY FREELY SUPPORTED B.C.
D,ALL,UZ,,,,,UY
NSEL,S,LOC,Y,5
D,ALL,UZ,,,,,UX
NSEL,ALL
SFE,ALL,2,PRES,,1           ! APPLY UNIFORM PRESSURE
OUTPR,NSOL,1
OUTPR,RSOL,1
FINISH
/SOLU
SOLVE
FINISH
/POST1
NSEL,S,LOC,X                ! SELECT CENTER NODE
NSEL,R,LOC,Y
PRNSOL,U,Z                  ! PRINT CENTER DEFLECTION
*GET,DEF99,NODE,1,U,Z
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'DEF,m (S'
LABEL(1,2) = 'HELL181)'
*VFILL,VALUE(1,1),DATA,.0683
*VFILL,VALUE(1,2),DATA,ABS(DEF99)
*VFILL,VALUE(1,3),DATA,ABS(DEF99/.0683)
SAVE,INF7
FINISH
FINISH
/CLEAR, NOSTART
/PREP7
SMRT,OFF
/TITLE, VM82, SIMPLY SUPPORTED LAMINATED PLATE UNDER PRESSURE
C*** USING SHELL281
/PREP7
SMRT,OFF
ANTYPE,STATIC
ET,1,SHELL281               ! 8 NODE LAYERED SHELL
KEYOPT,1,3,2                ! FULL INTEGRATION
KEYOPT,1,8,1                ! WRITE LAYER RESULTS
SECTYPE,1,SHELL
SECDATA,0.025,1,0           ! LAYER 1: 0.025 THK, THETA 0
SECDATA,0.025,1,90          ! LAYER 2: 0.025 THK, THETA 90
SECDATA,0.025,1,90          ! LAYER 3: 0.025 THK, THETA 90
SECDATA,0.025,1,0           ! LAYER 4: 0.025 THK, THETA 0
MP,EX,1,25E6                ! ORTHOTROPIC MATERIAL PROPERTIES
MP,EY,1,1E6
MP,EZ,1,1E6                 ! EZ=EY ASSUMED
MP,GXY,1,5E5
MP,GYZ,1,2E5
MP,GXZ,1,5E5
MP,PRXY,1,0.25              ! MAJOR POISSONS RATIO
MP,PRYZ,1,0.01              ! MAJOR POISSONS RATIO
MP,PRXZ,1,0.25              ! MAJOR POISSONS RATIO
K,1                         ! CORNER KEYPOINTS OF QUADRANT (AREA)
K,2,5
K,3,5,5
K,4,,5
A,1,2,3,4
ESIZE,,6                    ! 6X6 MESH USING QUARTER SYMMETRY
AMESH,1
NSEL,S,LOC,X,0
DSYM,SYMM,X
NSEL,S,LOC,Y,0
DSYM,SYMM,Y
NSEL,S,LOC,X,5              ! APPLY FREELY SUPPORTED B.C.
D,ALL,UZ,,,,,UY
NSEL,S,LOC,Y,5
D,ALL,UZ,,,,,UX
NSEL,ALL
SFE,ALL,2,PRES,,1           ! APPLY UNIFORM PRESSURE
OUTPR,NSOL,1
OUTPR,RSOL,1
FINISH
/SOLU
SOLVE
FINISH
/POST1
NSEL,S,LOC,X                ! SELECT CENTER NODE
NSEL,R,LOC,Y
PRNSOL,U,Z                  ! PRINT CENTER DEFLECTION
*GET,DEF99,NODE,1,U,Z
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'DEF,m (S'
LABEL(1,2) = 'HELL281)'
*VFILL,VALUE(1,1),DATA,.0683
*VFILL,VALUE(1,2),DATA,ABS(DEF99)
*VFILL,VALUE(1,3),DATA,ABS(DEF99/.0683)
SAVE,INF8
RESUME,INF1
/COM
/OUT,vm82,vrt
/COM,------------------- VM82 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/NOPR
RESUME,INF2
/GOPR
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/NOPR
RESUME,INF3
/GOPR
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/NOPR
RESUME,INF4
/GOPR
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/NOPR
RESUME,INF5
/GOPR
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/NOPR
RESUME,INF6
/GOPR
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/NOPR
RESUME,INF7
/GOPR
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/NOPR
RESUME,INF8
/GOPR
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm82,vrt
/DELETE,INF1
/DELETE,INF2
/DELETE,INF3
/DELETE,INF4
/DELETE,INF5
/DELETE,INF6
/DELETE,INF7
/DELETE,INF8

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM81 Input Listing 		Up / Home Next
VM83 Input Listing


VM83 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM83
/PREP7
/TITLE, VM83, IMPACT OF A BLOCK ON A SPRING SCALE
C***VECTOR MECHANICS FOR ENGINEERS, BEER AND JOHNSTON, 1962, PAGE 531, PROB 14.6
C*** WITH THANKS TO ALAN GOULD
ANTYPE,TRANS              ! NONLINEAR TRANSIENT DYNAMIC ANALYSIS
ET,1,COMBIN40,1,,2,,,2
ET,2,COMBIN40,,,2,,,2
R,1,100,,(25/386)         ! SPRING CONSTANT = 100, MASS = (25/386)
R,2,1E4,50.899,(50/386),71.75 ! SPRING CONSTANT = 1E4, C = 50.90,M=(50/386)
N,1,,-10
N,2
N,3,,72
TYPE,2
E,1,2
TYPE,1
REAL,2
E,2,3
ACEL,,386                 ! GRAVITY
FINISH
/SOLU
TIMINT,OFF                ! TIME INTEGRATION TURNED OFF
KBC,1                     ! STEP THE LOAD
NSUBST,2                  ! TWO SUBSTEPS TO GET ZERO INITIAL VELOCITY
                          !  AND ACCELERATION
D,1,UY,,,3,2
TIME,1E-8                 ! NEAR ZERO TIME FOR FIRST LOAD STEP
SOLVE
TIMINT,ON                 ! TIME INTEGRATION TURNED ON
DDELE,3,UY                ! REMOVE THE CONSTRAINT AT NODE 3 (RELEASE THE BLOCK)
AUTOTS,ON                 ! AUTO TIME STEPPING ON
NSUBST,1400               ! MAXIMUM 1400 SUBSTEPS
OUTRES,NSOL,1
TIME,.7
SOLVE
FINISH
/POST26
NSOL,2,2,U,Y,UY           ! STORE DISPLACEMENTS UY OF APPROPRIATE NODES
NSOL,3,3,U,Y,UY
FILLDATA,4,,,,71.75       ! DEFINE VARIABLE 4 AS CONSTANT
ADD,5,3,4,,3OFFSET        ! CALCULATE VARIABLE 5 AS 3UY + 71.75
PRTIME,.65,.7             ! LIMIT TIME INTERVAL TO BE PRINTED
PRVAR,2,3                 ! PRINT VARIABLES 2 AND 3
/AXLAB,Y,INCH
PLVAR,2,5                 ! DISPLAY VARIABLES 2 AND 5
*GET,DEF_N2,VARI,2,RTIME,0.68897
*GET,DEF_N3,VARI,3,RTIME,0.68897
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = '   DEF, ','   Y,   '
LABEL(1,2) = 'in      ','in      '
*VFILL,VALUE(1,1),DATA,-7.7,-79.450
*VFILL,VALUE(1,2),DATA,DEF_N2,DEF_N3
*VFILL,VALUE(1,3),DATA,ABS(DEF_N2/7.7) ,ABS(DEF_N3/79.450)
/COM
/OUT,vm83,vrt
/COM,------------------- VM83 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm83,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM82 Input Listing 		Up / Home Next
VM84 Input Listing


VM84 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM84
/PREP7
/TITLE, VM84, DISPLACEMENT PROPAGATION ALONG A BAR WITH FREE ENDS
C***      VIBRATION PROBS. IN ENGR., TIMOSHENKO, 3RD. ED., PAGE 311, PROB. 2
ANTYPE,TRANS            ! TRANSIENT DYNAMIC ANALYSIS
TRNOPT,REDUC,,NODAMP    ! REDUCED TRANSIENT AND IGNORE DAMPING
ET,1,LINK1
R,1,2                   ! AREA = 2
MP,EX,1,3E7
MP,DENS,1,7202E-7
N,1
N,17,48E3
FILL
E,1,2
EGEN,16,1,1
M,1,UX,17
FINISH
/SOLU
DELTIM,5E-3              ! INTEGRATION TIME STEP SIZE
KBC,1                    ! STEP LOADING CONDITION
OUTPR,BASIC,LAST
D,ALL,UY
F,17,FX                  ! DEFINE NULL FX LOAD AT NODE 17
SOLVE
OUTPR,BASIC,2
OUTRES,NSOL,1
TIME,.24                 ! FINAL TIME INCLUDES 1/2 OF THE FUNDAMENTAL PERIOD
F,17,FX,6000             ! APPLY FULL LOAD TO NODE 17
SOLVE
FINISH
/POST26
FILE,,rdsp               ! REDUCED DISPLACEMENTS FILE
NSOL,2,1,U,X,1UX         ! STORE APPROPRIATE NODAL DISPLACEMENTS
NSOL,3,9,U,X,9UX
NSOL,4,17,U,X,17UX
DERIV,5,2,,,1VX          ! COMPUTE VELOCITIES
DERIV,6,3,,,9VX
DERIV,7,4,,,17VX
/GRID,1                  ! TURN GRID ON
/AXLAB,Y,DISP            ! Y-AXIS LABEL DISP
PLVAR,2,3,4              ! DISPLAY VARIABLES 2, 3 AND 4
/AXLAB,Y,VELO            ! Y-AXIS LABEL VELO
PLVAR,5,6,7              ! DISPLAY VARIABLES 5, 6 AND 7
PRTIME,0.230,0.240       ! APPROPRIATE TIME RANGE (.23 TO .24)
PRVAR,4                  ! PRINT VARIABLE 4 (UX AT NODE 17)
*GET,DEF,VARI,4,RTIME,.240
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = '    DEF,'
LABEL(1,2) = 'in      '
*VFILL,VALUE(1,1),DATA,4.8
*VFILL,VALUE(1,2),DATA,DEF
*VFILL,VALUE(1,3),DATA,ABS(DEF/4.8)
/COM
/OUT,vm84,vrt
/COM,------------------- VM84 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm84,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM83 Input Listing 		Up / Home Next
VM85 Input Listing


VM85 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM85
/PREP7
/TITLE, VM85, TRANSIENT DISPLACEMENTS IN A SUDDENLY STOPPED MOVING BAR
C***      VIBRATION PROBS. IN ENGR., TIMOSHENKO, 3RD. ED., PAGE 305, PROB. NO. 3
ANTYPE,TRANS                ! REDUCED TRANSIENT DYNAMIC ANALYSIS
TRNOPT,REDUC,,NODAMP        ! IGNORE DAMPING
ET,1,LINK1
R,1,1                       ! AREA
MP,EX,1,30E6
MP,DENS,1,.00073
N,1
N,17,10000
FILL
E,1,2
EGEN,16,1,1
M,1,UX,17
GP,1,20,FX,3E7,.64          ! GAP CONDITION
FINISH
/SOLU
SOLCONTROL,0
DELTIM,.0001                ! ITS DEFINITION
KBC,1                       ! STEP BOUNDARY CONDITION
D,ALL,UY
F,1,FX,,,17                 ! DEFINE NULL FORCES ON ALL BAR NODES
SOLVE
TIME,.0004
F,1,FX,57031.25,,17,16      ! FORCES REQUIRED TO ACHIEVE INITIAL VELOCITY
F,2,FX,114062.5,,16
SOLVE
TIME,.06
F,1,FX,,,17                 ! REMOVE FORCES ("COAST")
SOLVE
FINISH
/POST26
FILE,,rdsp                  ! REDUCED DISPLACEMENTS FILE
NSOL,2,1,U,X
NSOL,3,17,U,X
NSOL,5,9,U,X
ADD,4,2,3,,REL_DISP,,,-1    ! COMPUTE RELATIVE DISPLACEMENTS
PRTIME,.053,.057
PRVAR,2,3,4,5
/AXLAB,Y,DISPLACEMENTS
PLVAR,2,3,4,5
DERIV,6,2,,,1 VX            ! COMPUTE VELOCITIES
DERIV,7,3,,,17VX
DERIV,8,5,,,9 VX
/AXLAB,Y,VELOCITY
PLVAR,6,7,8
*GET,D_0544,VARI,4,RTIME,.0544
*GET,D_0557,VARI,4,RTIME,.0557
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'D,in(T=.','D,in(T=.','D,in(T=.'
LABEL(1,2) = '05573sec','0544sec)','0557sec)'
*VFILL,VALUE(1,1),DATA,4.9329,0,0
*VFILL,VALUE(1,2),DATA,0,D_0544,D_0557
*VFILL,VALUE(1,3),DATA,0,ABS(D_0544/4.9329),ABS(D_0557/4.9329)
FINISH
/SOLU
EXPASS,ON                   ! EXPANSION PASS
EXPSOL,,,0.0557             ! EXPAND SOLUTION AT TIME CLOSEST TO THE THEORETICAL TIME POINT
OUTPR,,1
SOLVE
FINISH
/POST1
ETABLE,STRS,LS,1
*GET,STRSS,ELEM,1,ETAB,STRS
*DIM,LABEL_2,CHAR,2,2
*DIM,VALUE_2,,2,3
LABEL_2(1,1) = 'SIGX,PSI','SIGX,PSI'
LABEL_2(1,2) = 'T=.05573',' T=.0557'
*VFILL,VALUE_2(1,1),DATA,14799,0
*VFILL,VALUE_2(1,2),DATA,0,STRSS
*VFILL,VALUE_2(1,3),DATA,0,ABS(STRSS/14799)
/COM
/OUT,vm85,vrt
/COM,------------------- VM85 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,REDUCED TRANSIENT DYNAMIC:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/COM,
/COM,EXPANSION PASS:
/COM,
*VWRITE,LABEL_2(1,1),LABEL_2(1,2),VALUE_2(1,1),VALUE_2(1,2),VALUE_2(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm85,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM84 Input Listing 		Up / Home Next
VM86 Input Listing


VM86 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM86
/PREP7
/TITLE, VM86, HARMONIC RESPONSE OF A DYNAMIC SYSTEM
C*** VIBRATION THEORY AND APPLICATIONS, THOMSON, 2ND PRINTING, PAGE 56, EX 3.1-2
C***                BY VISCOUS DAMPING APPROACH
ANTYPE,HARMIC       ! HARMONIC RESPONSE ANALYSIS
HROPT,REDUC         ! REDUCED HARMONIC RESPONSE
HROUT,OFF           ! PRINT COMPLEX DISP. AS AMPLITUDES AND PHASE ANGLES
ET,1,COMBIN40,,,3,,,2
R,1,200,6,.5        ! SPRING STIFFNESS = 200, C = 6, M = .5
N,1
N,2
E,1,2
M,2,UZ
OUTPR,BASIC,1
HARFRQ,,3.1831      ! HARMONIC FREQUENCY RANGE
D,1,UZ
F,2,FZ,10
FINISH
/SOLU
SOLVE
FINISH
/POST26
FILE,,rfrq
NSOL,2,2,U,Z,2UX
PRVAR,2
*GET,A,VARI,2,ITIME,3.1831
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'AMPLITUD'
LABEL(1,2) = 'E, in   '
*VFILL,VALUE(1,1),DATA,.0833
*VFILL,VALUE(1,2),DATA,ABS(A)
*VFILL,VALUE(1,3),DATA,ABS(A/.0833)
/COM
/OUT,vm86,vrt
/COM,------------------- VM86 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/COM,-----------------------------------------------------------
/COM,
/COM,-----------------------------------------------------------
/COM,NOTE: THERE ARE VERIFIED RESULTS IN VM86  NOT CONTAINED IN
/COM,THIS TABLE
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm86,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM85 Input Listing 		Up / Home Next
VM87 Input Listing


VM87 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM87
/PREP7
/TITLE, VM87, EQUIVALENT STRUCTURAL DAMPING
C***         VIBRATION THEORY AND APPLICATIONS, THOMSON, 2ND. PRINTING, PAGE 72,
C***         ART. 3.9, AND PAGE 56, EX. 3.1-2
ANTYPE,HARMIC            ! HARMONIC RESPONSE ANALYSIS
HROPT,REDUC              ! REDUCED HARMONIC RESPONSE
HROUT,OFF                ! PRINT COMPLEX DISP. AS AMPLITUDES AND PHASE ANGLES
ET,1,COMBIN40,,,3,,,2
BETAD,.03                ! EQUIVALENT STRUCTURAL DAMPING
R,1,200,,.5              ! SPRING STIFFNESS = 200, C = 0, M = 0.5
N,1
N,2
E,1,2
M,2,UZ
OUTPR,BASIC,1
HARFRQ,,3.1831           ! HARMONIC FREQUENCY RANGE
D,1,UZ
F,2,FZ,10
FINISH
/SOLU
SOLVE
FINISH
/POST26
FILE,,rfrq
NSOL,2,2,U,Z,2UX
PRVAR,2
*GET,A,VARI,2,ITIME,3.1831
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'AMPLITUD'
LABEL(1,2) = 'E, in   '
*VFILL,VALUE(1,1),DATA,.0833
*VFILL,VALUE(1,2),DATA,ABS(A)
*VFILL,VALUE(1,3),DATA,ABS(A/.0833)
/COM
/OUT,vm87,vrt
/COM,------------------- VM87 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/COM,-----------------------------------------------------------
/COM,
/COM,-----------------------------------------------------------
/COM,NOTE: THERE ARE VERIFIED RESULTS IN VM87  NOT CONTAINED IN
/COM,THIS TABLE
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm87,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM86 Input Listing 		Up / Home Next
VM88 Input Listing


VM88 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM88
/PREP7
/TITLE, VM88, RESPONSE OF AN ECCENTRIC WEIGHT EXCITER
! VIBRATION THEORY AND APPLICATIONS, THOMSON, 2ND PRINTING, PAGE 60, EX 3.3-1
ANTYPE,HARMIC              ! HARMONIC RESPONSE ANALYSIS
HROPT,REDUC                ! REDUCED HARMONIC RESPONSE
HROUT,OFF                  ! PRINT COMPLEX DISP. AS AMPLITUDES AND PHASE ANGLES
ET,1,COMBIN40
R,1,30,.11754533,.02590673 ! K = 30, C = .11754533, M = .02590673
N,1
N,2
E,2,1
M,2,UX
FINISH
/SOLU
OUTPR,BASIC,1
HARFRQ,,5.415947           ! FREQUENCY RANGE FROM 0 TO 5.415947 HZ.
D,1,UX
F,2,FX,2.4
SOLVE
HARFRQ,,541.5947           ! FREQUENCY RANGE FROM 0 TO 541.5947 HZ.
F,2,FX,24000
SOLVE
FINISH
/POST26
FILE,,rfrq
NSOL,2,2,U,X,2UX
PRVAR,2
*GET,A1,VARI,2,ITIME,5.4159
*GET,A2,VARI,2,RTIME,541.59
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'AMP f=fn','AMP f=10'
LABEL(1,2) = ', in    ','0fn, in '
*VFILL,VALUE(1,1),DATA,.6,.08
*VFILL,VALUE(1,2),DATA,ABS(A1),ABS(A2)
*VFILL,VALUE(1,3),DATA,ABS(A1/.6),ABS(A2/.08)
/COM
/OUT,vm88,vrt
/COM,------------------- VM88 RESULTS COMPARISON ---------------

/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/COM,-----------------------------------------------------------
/COM,
/COM,-----------------------------------------------------------
/COM,NOTE: THERE ARE VERIFIED RESULTS IN VM88  NOT CONTAINED IN
/COM,THIS TABLE
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm88,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM87 Input Listing 		Up / Home Next
VM89 Input Listing


VM89 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM89
/PREP7
/TITLE, VM89, NATURAL FREQUENCIES OF A TWO-MASS-SPRING SYSTEM
C*** VIBRATION THEORY AND APPLICATIONS, THOMSON, 2ND PRINTING, PAGE 163,EX 6.2-2
ANTYPE,MODAL       ! MODE-FREQUENCY ANALYSIS
MODOPT,REDUC,,,,2  ! PRINT ALL REDUCED MODE SHAPES (TOTAL 2)
ET,1,COMBIN14,,,2
ET,2,MASS21,,,4
R,1,200            ! SPRING CONSTANT = 200
R,2,800            ! SPRING CONSTANT = 800
R,3,.5             ! MASS = .5
R,4,1              ! MASS = 1
N,1
N,4,1
FILL
E,1,2              ! SPRING ELEMENT (TYPE,1) AND K = 200 (REAL,1)
TYPE,2
REAL,3
E,2                ! MASS ELEMENT (TYPE,2) AND MASS = .5 (REAL,3)
TYPE,1
REAL,2
E,2,3              ! SPRING ELEMENT (TYPE,1) AND K = 800 (REAL,2)
TYPE,2
REAL,4
E,3                ! MASS ELEMENT (TYPE,2) AND MASS = 1 (REAL,4)
TYPE,1
REAL,1
E,3,4              ! SPRING ELEMENT (TYPE,1) AND K = 200 (REAL,1)
M,2,UX,3
OUTPR,BASIC,1
D,1,UY,,,4
D,1,UX,,,4,3
FINISH
/SOLU
SOLVE
*GET,FREQ1,MODE,1,FREQ
*GET,FREQ2,MODE,2,FREQ
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = '      f1','      f2'
LABEL(1,2) = ', Hz    ',', Hz    '
*VFILL,VALUE(1,1),DATA,2.5814,8.3263
*VFILL,VALUE(1,2),DATA,FREQ1,FREQ2
*VFILL,VALUE(1,3),DATA,ABS(FREQ1/2.5814 ) ,ABS( FREQ2/8.3263)
/COM
/OUT,vm89,vrt
/COM,------------------- VM89 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/COM,-----------------------------------------------------------
/COM,
/COM,-----------------------------------------------------------
/COM,NOTE: THERE ARE VERIFIED RESULTS IN VM89  NOT CONTAINED IN
/COM,THIS TABLE
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm89,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM88 Input Listing 		Up / Home Next
VM90 Input Listing


VM90 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM90
/PREP7
/TITLE, VM90, HARMONIC RESPONSE OF A TWO-MASS-SPRING SYSTEM
C*** VIBRATION THEORY AND APPLICATIONS, THOMSON, 2ND PRINTING, PAGE 178,EX 6.6-1
ANTYPE,HARMIC             ! HARMONIC RESPONSE ANALYSIS
HROPT,REDUC               ! REDUCED HARMONIC RESPONSE
HROUT,OFF                 ! PRINT RESULTS AS AMPLITUDES AND PHASE ANGLES
ET,1,COMBIN14,,,2
ET,2,MASS21,,,4
R,1,200                   ! SPRING CONSTANT = 200
R,2,.5                    ! MASS = 0.5
N,1
N,4,1
FILL
E,1,2
TYPE,2
REAL,2
E,2                       ! MASS ELEMENT
TYPE,1
REAL,1
E,2,3                     ! SPRING ELEMENT
TYPE,2
REAL,2
E,3                       ! MASS ELEMENT
TYPE,1
REAL,1
E,3,4                     ! SPRING ELEMENT
M,2,UX,3
OUTPR,BASIC,1
NSUBST,30                 ! 30 INTERVALS WITHIN FREQ. RANGE
HARFRQ,,7.5               ! FREQUENCY RANGE FROM 0 TO 7.5 HZ
KBC,1                     ! STEP BOUNDARY CONDITION
D,1,UY,,,4
D,1,UX,,,4,3
F,2,FX,200
FINISH
/SOLU
SOLVE
FINISH
/POST26
FILE,,rfrq
NSOL,2,2,U,X,2UX          ! STORE UX DISPLACEMENTS
NSOL,3,3,U,X,3UX
PRVAR,2,3
*GET,X1,VARI,2,RTIME,1.5
*GET,X2,VARI,3,RTIME,1.5
*GET,X3,VARI,2,RTIME,4
*GET,X4,VARI,3,RTIME,4
*GET,X5,VARI,2,RTIME,6.5
*GET,X6,VARI,3,RTIME,6.5
/GRID,1                   ! TURN GRID ON
/AXLAB,Y,DISP             ! Y-AXIS LABEL DISP
PLVAR,2,3                 ! DISPLAY VARIABLES 2 AND 3
*DIM,LABEL,CHAR,6,2
*DIM,VALUE,,6,3
LABEL(1,1) = 'X1, in  ','X2, in  ','X1, in  ','X2, in  ','X1, in  ','X2, in  '
LABEL(1,2) = 'f=1.5 Hz','f=1.5 Hz','f=4 Hz  ','f=4 Hz  ','f=6.5 Hz','f=6.5 Hz'
*VFILL,VALUE(1,1),DATA,.82272,.46274,.51145,1.2153,.58513,.26966
*VFILL,VALUE(1,2),DATA,ABS(X1),ABS(X2),ABS(X3),ABS(X4),ABS(X5),ABS(X6)
V1 = ABS(X1/.82272)
V2 = ABS(X2/.46274)
V3 = ABS(X3/.51145)
V4 = ABS(X4/1.2153)
V5 = ABS(X5/.58513)
V6 = ABS(X6/.26965)
*VFILL,VALUE(1,3),DATA,V1,V2,V3,V4,V5,V6
/COM
/OUT,vm90,vrt
/COM,------------------- VM90 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/COM,-----------------------------------------------------------
/COM,
/COM,-----------------------------------------------------------
/COM,NOTE: THERE ARE VERIFIED RESULTS IN VM90  NOT CONTAINED IN
/COM,THIS TABLE
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm90,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM89 Input Listing 		Up / Home Next
VM91 Input Listing


VM91 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM91
/PREP7
/TITLE, VM91, LARGE ROTATION OF A SWINGING PENDULUM
C*** VIBRATION THEORY AND APPLICATIONS, THOMSON, 2ND PRINTING, PAGE 138,EX 5.4-1
/NOPR
ANTYPE,TRANS          ! NONLINEAR TRANSIENT DYNAMIC ANALYSIS
NLGEOM,ON             ! LARGE DEFLECTION OPTION
ET,1,LINK8
ET,2,MASS21,,,2
R,1,.1                ! AREA = .1
R,2,.5                ! MASS = 0.5
MP,EX,1,3E7
N,1
N,2,60,-80
E,1,2                 ! ROD
TYPE,2
REAL,2
E,2                   ! MASS
SAVE
FINISH
*CREATE,SLV
/SOLU
ACEL,,386
KBC,1                 ! STEP BOUNDARY CONDITION
D,1,UZ,,,2
D,1,UX,,,,,UY
TIME,.01              ! INITIAL L.S. TO ATTAIN FINAL ACCELERATION
NSUBST,5
OUTRES,,1
LSWRITE,1             ! WRITE LOAD STEP FILE 1
TIME,.82071           ! SUCCEEDING LOAD STEPS AT T/4 INCREMENTS
NSUBST,8
OUTRES,,1
LSWRITE,2             ! WRITE LOAD STEP FILE 2
TIME,1.64142
LSWRITE,3             ! WRITE LOAD STEP FILE 3
TIME,2.46213
LSWRITE,4             ! WRITE LOAD STEP FILE 4
TIME,3.28284
LSWRITE,5             ! WRITE LOAD STEP FILE 5
LSSOLVE,1,5,1         ! READ IN LOAD STEP FILES 1 THROUGH 5 AND SOLVE
FINISH
*END
*USE,SLV
*CREATE,P26
/POST26
NSOL,2,2,U,X,UX2       ! STORE NODE 2 DISPLACEMENTS
NSOL,3,2,U,Y,UY2
PRVAR,2,3              ! PRINT DISPLACEMENTS VS. TIME
/AXLAB,Y,DISPLACEMENTS ! Y-AXIS LABEL
PLVAR,2,3              ! DISPLAY DISPLACEMENTS VS. TIME.
T = 3.28284
*GET,DEFX_Q,VARI,2,RTIME,T/4
*GET,DEFY_Q,VARI,3,RTIME,T/4
*GET,DEFX_H,VARI,2,RTIME,T/2
*GET,DEFY_H,VARI,3,RTIME,T/2
*GET,DEFX_3Q,VARI,2,RTIME,3*T/4
*GET,DEFY_3Q,VARI,3,RTIME,3*T/4
*GET,DEFX_F,VARI,2,RTIME,T
*GET,DEFY_F,VARI,3,RTIME,T
*DIM,LABEL,CHAR,8,2
*DIM,VALUE,,8,3
LABEL(1,1) = 'DEFX,in ','DEFY,in ','DEFX,in ','DEFY,in ','DEFX,in ','DEFY,in '
LABEL(7,1) = 'DEFX,in ','DEFY,in '
LABEL(1,2) = 'TIME=T/4','TIME=T/4','TIME=T/2','TIME=T/2','TIM=3T/4','TIM=3T/4'
LABEL(7,2) = 'TIME= T ','TIME= T '
*END
*USE,P26
*VFILL,VALUE(1,1),DATA,-60,-20,-120,0,-60,-20,0,0
*VFILL,VALUE(1,2),DATA,DEFX_Q,DEFY_Q,DEFX_H,DEFY_H,DEFX_3Q,DEFY_3Q,DEFX_F,DEFY_F
*VFILL,VALUE(1,3),DATA,ABS(DEFX_Q/60),ABS(DEFY_Q/20),ABS(DEFX_H/120),0,ABS(DEFX_3Q/60)
*VFILL,VALUE(6,3),DATA,ABS(DEFY_3Q/20),0,0
SAVE,TABLE1
FINISH
/CLEAR,NOSTART
/SHOW,vm91,grph
/COM, Switch to 3-Link Element, LINK180
/COM
/PREP7
RESUME
ET,1,LINK180
FINISH
*USE,SLV
*USE,P26
*VFILL,VALUE(1,1),DATA,-60,-20,-120,0,-60,-20,0,0
*VFILL,VALUE(1,2),DATA,DEFX_Q,DEFY_Q,DEFX_H,DEFY_H,DEFX_3Q,DEFY_3Q,DEFX_F,DEFY_F
*VFILL,VALUE(1,3),DATA,ABS(DEFX_Q/60),ABS(DEFY_Q/20),ABS(DEFX_H/120),0,ABS(DEFX_3Q/60)
*VFILL,VALUE(6,3),DATA,ABS(DEFY_3Q/20),0,0
SAVE,TABLE2
RESUME,TABLE1
/OUT,vm91,vrt
/COM,
/COM,------------------- VM91 RESULTS COMPARISON---------------
/COM,
/COM, LINK8 Results   |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
RESUME,TABLE2
/COM,
/COM, LINK180 Results |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
/DELETE,vm91,s01
/DELETE,vm91,s02
/DELETE,vm91,s03
/DELETE,vm91,s04
/DELETE,vm91,s05
FINISH
*LIST,vm91,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM90 Input Listing 		Up / Home Next
VM92 Input Listing


VM92 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM92
/PREP7
/TITLE, VM92, INSULATED WALL TEMPERATURE
C***        PRINCIPLES OF HEAT TRANSFER, KREITH, 2ND. PRINTING, PAGE 32, EX. 2-5
ANTYPE,STATIC                ! THERMAL ANALYSIS
ET,1,LINK34
ET,2,LINK32
R,1,1                        ! AREA = 1
MP,KXX,1,.8
MP,HF,1,12
MP,KXX,2,.1
MP,HF,2,2
N,1
N,2
N,3,.75
N,4,(14/12)                  ! 14 INCHES TO FEET
N,5,(14/12)
E,1,2
TYPE,2
E,2,3
MAT,2
E,3,4
TYPE,1
E,4,5
D,1,TEMP,3000
D,5,TEMP,80
FINISH
/SOLU
SOLVE
FINISH
/POST1
PRNSOL,TEMP                  ! PRINT NODAL TEMPERATURES
PRNLD,HEAT                   ! PRINT HEAT FLOW RATES
*GET,TI,NODE,2,TEMP
*GET,TO,NODE,4,TEMP
FINISH
/POST26
ESOL,2,4,5,HEAT,,HEAT
STORE
*GET,HEAT,VARI,2,EXTREM,VMAX
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'Q, BTU/h','TI,     ','TO,     '
LABEL(1,2) = 'r       ','F       ','F       '
*VFILL,VALUE(1,1),DATA,513,2957,336
*VFILL,VALUE(1,2),DATA,HEAT,TI,TO
*VFILL,VALUE(1,3),DATA,ABS(HEAT/513) ,ABS(TI/2957),ABS(TO/336)
/COM
/OUT,vm92,vrt
/COM,------------------- VM92 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm92,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM91 Input Listing 		Up / Home Next
VM93 Input Listing


VM93 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM93
/PREP7
/TITLE, VM93, TEMPERATURE DEPENDENT CONDUCTIVITY
C***        PRINCIPLES OF HEAT TRANSFER, KREITH, 2ND. PRINTING, PAGE 25, EX. 2-2
ANTYPE,STATIC
ET,1,LINK32
MP,KXX,1,.031,31E-6      ! TEMPERATURE-DEPENDENT CONDUCTIVITY
R,1,1                    ! AREA = 1
N,1
N,2,.25
E,1,2
OUTPR,ALL,1
OUTPR,VENG,NONE
KBC,1                    ! STEP BOUNDARY CONDITIONS
D,1,TEMP,300
D,2,TEMP,100
FINISH
/SOLU
SOLVE
FINISH
/POST26
ESOL,2,1,2,HEAT,,HEAT
STORE
*GET,HEAT,VARI,2,EXTREM,VMAX
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'Q, BTU/h'
LABEL(1,2) = 'r       '
*VFILL,VALUE(1,1),DATA,29.760
*VFILL,VALUE(1,2),DATA,HEAT
*VFILL,VALUE(1,3),DATA,ABS(HEAT/29.760 )
/COM
/OUT,vm93,vrt
/COM,------------------- VM93 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm93,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM92 Input Listing 		Up / Home Next
VM94 Input Listing


VM94 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM94
/PREP7
/TITLE, VM94, HEAT GENERATING PLATE
C***        PRINCIPLES OF HEAT TRANSFER, KREITH, 2ND. PRINTING, PAGE 42, EX. 2-9
ANTYPE,STATIC
ET,1,LINK32
ET,2,LINK34
R,1,1                        ! AREA = 1
MP,KXX,1,25                  ! CONDUCTIVITY
MP,HF,1,13.969738            ! CONVECTION COEFFICIENT
N,1
N,5,((.5/12)*.5)
FILL
N,6,((.5/12)*.5)
E,1,2                        ! LINK32 ELEMENTS (CONDUCTION)
EGEN,4,1,1
TYPE,2
E,5,6                        ! LINK34 ELEMENT (CONVECTION)
D,6,TEMP,150                 ! SPECIFY "FLUID" TEMPERATURES
ESEL,S,ELEM,,1,4
BFE,ALL,HGEN,,1E5            ! HEAT GENERATION
ESEL,ALL
FINISH
/SOLU
SOLVE
FINISH
/POST1
PRNSOL,TEMP                  ! PRINT NODAL TEMPERATURES
PRNLD,HEAT                   ! PRINT NODAL HEAT FLOW RATES
FINISH
/POST1
*GET,TC,NODE,1,TEMP
FINISH
/POST26
ESOL,2,5,6,HEAT,,HEAT
STORE
*GET,HEAT,VARI,2,EXTREM,VMAX
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'Qf, BTU/','Tc,     '
LABEL(1,2) = 'hr      ',' F      '
*VFILL,VALUE(1,1),DATA,2083.3,299.1
*VFILL,VALUE(1,2),DATA,HEAT,TC
*VFILL,VALUE(1,3),DATA,ABS(HEAT/2083.3) ,ABS(TC/299.1)
/COM
/OUT,vm94,vrt
/COM,------------------- VM94 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm94,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM93 Input Listing 		Up / Home Next
VM95 Input Listing


VM95 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM95
/PREP7
/TITLE, VM95, HEAT TRANSFER FROM A COOLING SPINE
C***  PRINCIPLES OF HEAT TRANSFER, KREITH, 2ND. PRINTING, PAGE 48, EQNS. 2-44,45
C***  USING LINK33 AND LINK34 ELEMENTS
ANTYPE,STATIC
ET,1,LINK33
ET,2,LINK34
R,1,(1/144)                     ! CONVERT AREAS INTO SQUARE FT. UNITS
R,2,(1/72)
R,3,(4/144)
MP,KXX,1,25
MP,HF,1,1
N,1
N,9,(8/12)
FILL
N,11
N,19
FILL
E,1,2                           ! DEFINE ELEMENTS
TYPE,2
REAL,2
E,1,11
TYPE,1
REAL,1
E,2,3
TYPE,2
REAL,3
E,2,12
EGEN,7,1,3,4
REAL,2
E,9,19
D,1,TEMP,100                    ! DEFINE WALL AND TIP TEMPERATURES
D,11,TEMP,,,19
FINISH
/SOLU
SOLVE
FINISH
/POST1
PRNSOL,TEMP                     ! PRINT NODAL TEMPERATURES
NSEL,S,NODE,,1                  ! SELECT NODE 1
PRNLD,HEAT                      ! PRINT NODAL HEAT FLOWS
FSUM                            ! PRINT HEAT FLOW SUMMATION
ALLSEL
*GET,TL,NODE,9,TEMP
/POST26
ESOL,2,2,1,HEAT,,HEAT
ESOL,3,1,1,HEAT,,HEAT
STORE
*GET,HEAT,VARI,2,EXTREM,VMAX
*GET,HEAT2,VARI,3,EXTREM,VMAX
HTTOT=(ABS(HEAT+HEAT2))
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = '      TL','Q,  BTU/'
LABEL(1,2) = ', F     ','hr	 '
*VFILL,VALUE(1,1),DATA,68.594,17.504
*VFILL,VALUE(1,2),DATA,TL,HTTOT
*VFILL,VALUE(1,3),DATA,ABS(TL/68.594),ABS(HTTOT/17.504)
SAVE,TABLE1
FINISH

/CLEAR, NOSTART ! CLEAR DATABASE BEFORE STARTING PART 2
/PREP7
C***  USING SOLID70 ELEMENTS
ANTYPE,STATIC
ET,1,SOLID70
MP,KXX,1,25
LOCAL,11,0,,(-.5/12),(-.5/12)
N,1
N,9,(8/12)
FILL
NGEN,2,10,1,9,1,,,(1/12)
NGEN,2,20,1,19,1,,(1/12)
E,1,2,22,21,11,12,32,31
EGEN,8,1,1
CP,1,TEMP,2,12,22,32             ! COUPLE APPROPRIATE NODAL TEMPERATURES
CPSGEN,8,1,1                     ! GENERATE 8 COUPLED SETS
NSEL,S,LOC,X,0
D,ALL,TEMP,100
NSEL,ALL
SFE,ALL,1,CONV,,1
SFE,ALL,2,CONV,,1
SFE,ALL,4,CONV,,1
SFE,ALL,6,CONV,,1
sfe,all,1,conv,2,0.0			! bulk temperature
sfe,all,2,conv,2,0.0			! bulk temperature
sfe,all,4,conv,2,0.0			! bulk temperature
sfe,all,6,conv,2,0.0			! bulk temperature
FINISH
/SOLU
SOLVE
FINISH
/POST1
NSEL,S,LOC,X,(8/12)              ! SELECT NODES AT X=L
PRNSOL,TEMP
NSEL,ALL                         ! PRINT NODAL TEMPERATURES
PRNLD,HEAT                       ! PRINT NODAL HEAT FLOWS AT WALL
NSEL,S,LOC,X,0                   ! SELECT NODES AT X=0
FSUM                             ! PRINT HEAT FLOW SUMMATION
ALLSEL
*GET,TL,NODE,9,TEMP
/POST26
ESOL,2,1,11,HEAT,,HEAT
ESOL,3,1,1,HEAT,,HEAT
ESOL,4,1,21,HEAT,,HEAT
ESOL,5,1,31,HEAT,,HEAT
STORE
*GET,HEAT,VARI,2,EXTREM,VMAX
*GET,HEAT2,VARI,3,EXTREM,VMAX
*GET,HEAT3,VARI,4,EXTREM,VMAX
*GET,HEAT4,VARI,5,EXTREM,VMAX
HTTOT=(ABS(HEAT+HEAT2+HEAT3+HEAT4))
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = '      TL','Q,  BTU/'
LABEL(1,2) = ', F     ','hr	 '
*VFILL,VALUE(1,1),DATA,68.594,17.504
*VFILL,VALUE(1,2),DATA,TL,HTTOT
*VFILL,VALUE(1,3),DATA,ABS(TL/68.594),ABS(HTTOT/17.504)
SAVE,TABLE2
RESUME,TABLE1
/COM
/OUT,vm95,vrt
/COM,------------------- VM95 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,LINK33&LINK34:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/NOPR
RESUME,TABLE2
/GOPR
/COM,
/COM,SOLID70:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm95,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM94 Input Listing 		Up / Home Next
VM96 Input Listing


VM96 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM96
/PREP7
smrt,off
MOPT,VMESH,MAIN
/TITLE, VM96, TEMPERATURE DISTRIBUTION IN A SHORT SOLID CYLINDER
C***      CONDUCTION HEAT TRANSFER, SCHNEIDER, 2ND. PRINTING, PAGE 134, FIG. 6-7
ANTYPE,STATIC
ET,1,SOLID87
MP,KXX,1,1
CSYS,1                ! CYLINDRICAL COORDINATE SYSTEM
K,1
K,2,.5,-22.5
K,3,.5,22.5
KGEN,2,ALL,,,,,.5
L,1,4
LESIZE,ALL,,,4        ! SET LINE SEGMENT DIVISIONS TO FOUR
V,1,2,3,1,4,5,6,4     ! DEFINE VOLUME
ESIZE,,6
MSHK,0
MSHA,1
VMESH,1
NSEL,S,LOC,Z
NSEL,A,LOC,X,.5       ! SELECT BOTTOM AND WALL NODES
D,ALL,TEMP
NSEL,S,LOC,Z,.5       ! SELECT NODES AT TOP OF CYLINDER
D,ALL,TEMP,40
NSEL,ALL
FINISH
/SOLU
SOLVE
FINISH
/POST1
/VIEW,1,.2,-1,.4
/ANGLE,1,-29,ZS
/CTYPE,1
/EDGE,1,1
/COM                  *** THE FOLLOWING ANNOTATION COMMANDS ARE ***
/COM                  *** TYPICALLY GENERATED INTERACTIVELY ***
/ANUM,1,1,-.78943,-.82532        ! ANNOTATION NUMBER, TYPE AND HOT SPOT
/TSPEC,15,1.000,2,0,0            ! TEXT ATTRIBUTES
/TLABEL,-.911,-.826,THERMAL      ! ANNOTATION LOCATION AND TEXT
/ANUM,2,1,-.72083,-.89575
/TLABEL,-.913,-.896,ISOSURFACES
/ANUM,3,4,-.54504,-.60828
/LSPEC,15,0,1.000                ! LINE ATTRIBUTES
/LINE,-.599,-.667,-.491,-.550    ! ANNOTATION LINE DEFINITION
/ANUM,4,4,-.55957,-.76672
/LINE,-.520,-.723,-.599,-.811
/ANUM,5,4,-.56409,-.69934
/LINE,-.541,-.697,-.587,-.703
/ANUM,6,8,-.53174,-.71106
/LARC,-.532,-.711,.016,315,468   ! ANNOTATION ARC DEFINITION
/ANUM,7,8,-.59338,-.68469
/LARC,-.593,-.685,.016,111,281
/ANUM,8,11,-.49353,-.55261
/LSYMBOL,-.494,-.553,48,1,1.000  ! ANNOTATION SYMBOL DEFINITION - ARROW
PLNSOL,TEMP           ! PLOT NODAL TEMPERATURES AS ISOSURFACES
CSYS,1
NSEL,S,LOC,X          ! SELECT CENTERLINE NODES
NSEL,U,LOC,Z,.0625    ! UNSELECT MIDSIDE NODES
NSEL,U,LOC,Z,.1875
NSEL,U,LOC,Z,.3125
NSEL,U,LOC,Z,.4375
NSORT,Z               ! SORT RESULTS BASED ON Z COORDINATES
NLIST,ALL
PRNSOL,TEMP           ! PRINT NODAL TEMPERATURES FOR CENTERLINE NODES (R=0)
N0 = node(0,0,0.000)
N1 = node(0,0,0.125)
N2 = node(0,0,0.250)
N3 = node(0,0,0.375)
N4 = node(0,0,0.500)
*GET,TA,NODE,N0,TEMP
*GET,TB,NODE,N1,TEMP
*GET,TC,NODE,N2,TEMP
*GET,TD,NODE,N3,TEMP
*GET,TE,NODE,N4,TEMP
*DIM,LABEL,CHAR,5,2
*DIM,VALUE,,5,3
LABEL(1,1) = 'Z=0.0 ft','Z=.125ft','Z=.25 ft','Z=.375ft','Z=0.5 ft'
LABEL(1,2) = ' T, F   ',' T, F   ',' T, F   ',' T, F   ',' T, F   '
*VFILL,VALUE(1,1),DATA,0,6.8,15.6,26.8,40.0
*VFILL,VALUE(1,2),DATA,TA,TB,TC,TD,TE
*VFILL,VALUE(1,3),DATA,0,ABS(TB/6.8),ABS(TC/15.6),ABS(TD/26.8),ABS(TE/40.0)
/COM
/OUT,vm96,vrt
/COM,------------------- VM96 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm96,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM95 Input Listing 		Up / Home Next
VM97 Input Listing


VM97 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM97
/PREP7
/TITLE, VM97, TEMPERATURE DISTRIBUTION ALONG A STRAIGHT FIN
C***       PRINCIPLES OF HEAT TRANSFER, KREITH, 2ND. PRINTING, PAGE 57, EX. 2-13
ANTYPE,STATIC
ET,1,SHELL131,,,2,1        ! CONDUCTING SHELL ELEMENTS
ET,2,LINK34                ! CONVECTION ELEMENTS
L=(4/12)                   ! FIN LENGTH
B=(1/12)                   ! FIN WIDTH
SECTYPE,1,SHELL            ! SECTION INFORMATION
SECD,B
R,2,B/2                    ! CROSS-SECTIONAL AREA OF CONVECTION ELEMENTS
MP,KXX,1,15                ! CONDUCTIVITY
MP,HF,1,15                 ! CONVECTION COEFFICIENT
N,1
N,11,L
FILL
N,12,L
NGEN,2,20,1,12,1,,1
E,1,2,22,21
EGEN,10,1,1
TYPE,2
REAL,2
E,11,12                    ! CONVECTION ELEMENTS AT THE TIP OF THE FIN
EGEN,2,20,11
D,12,TEMP,100,,32,20       ! DEFINE TEMPERATURE FOR CONVECTION ELEMENTS
NSEL,S,LOC,X,0
D,ALL,TEMP,1100            ! APPLY WALL TEMPERATURE
NSEL,ALL
ESEL,S,TYPE,,1
SFE,ALL,1,CONV,,15         ! H = 15 AND TBULK = 100
SFE,ALL,1,CONV,2,100
SFE,ALL,2,CONV,,15
SFE,ALL,2,CONV,2,100
ESEL,ALL
FINISH
/SOLU
SOLVE
FINISH
/POST26
ESOL,2,1,1,HEAT,,HEAT
ESOL,3,1,21,HEAT,,HEAT
STORE
*GET,HEAT,VARI,2,EXTREM,VMAX
*GET,HEAT2,VARI,3,EXTREM,VMAX
HTTOT=(ABS(HEAT+HEAT2))
/POST1
*DIM,VALUE,,12,3
*VFILL,VALUE(1,1),DATA,1100,955,835,740,660,595,535,490,460,430
*VFILL,VALUE(11,1),DATA,416,5820
*DO,I,0,1,0.1              ! PRINT NODAL TEMPERATURES FOR NODES
NSEL,S,LOC,X,(I*L)         !  ALONG INCREMENTS OF 0.1*L
PRNSOL,TEMP
NNUM = NODE (I*L,0,0)
*GET,VAL,NODE,NNUM,TEMP
*VFILL,VALUE(I*10+1,2),DATA,VAL
*VFILL,VALUE(I*10+1,3),DATA,ABS(VALUE(I*10+1,2) / VALUE(I*10+1,1) )
*ENDDO
*VFILL,VALUE(12,2),DATA,HTTOT
*VFILL,VALUE(12,3),DATA,ABS(HTTOT/5820)
NSEL,S,LOC,X,0             ! SELECT NODES TO GET HEAT DISSIPATION RATE (Q)
PRRSOL,HEAT                ! PRINT NODAL HEAT FLOW REACTIONS
*DIM,LABEL,CHAR,12,2
LABEL(1,1) = 'T,F(AT X','T,F(AT X','T,F(AT X','T,F(AT X','T,F(AT X','T,F(AT X','T,F(AT X'
LABEL(8,1) = 'T,F(AT X','T,F(AT X','T,F(AT X','T,F(AT X','q,   BTU'
LABEL(1,2) = '/L = 0.0','/L = 0.1','/L = 0.2','/L = 0.3','/L = 0.4','/L = 0.5','/L = 0.6'
LABEL(8,2) = '/L = 0.7','/L = 0.8','/L = 0.9','/L = 1.0','/hr	  '
/COM
/OUT,vm97,vrt
/COM,------------------- VM97 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm97,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM96 Input Listing 		Up / Home Next
VM98 Input Listing


VM98 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM98
/PREP7
/TITLE, VM98, TEMPERATURE DISTRIBUTION ALONG A TAPERED FIN
C***       PRINCIPLES OF HEAT TRANSFER, KREITH, 2ND. PRINTING, PAGE 57, EX. 2-13
C***       USING PLANE55 ELEMENTS
ANTYPE,STATIC
ET,1,PLANE55
MP,KXX,1,15
L=(4/12)                      ! FIN LENGTH
B=(1/12)                      ! FIN HEIGHT AT WALL
N,1,,-(B/2)
N,11,L
FILL
N,21,,(B/2)
N,31,L
FILL
E,21,1,2,22
EGEN,9,1,1
E,30,10,11,11
NSEL,S,LOC,X,0
D,ALL,TEMP,1100
NSEL,S,NODE,,1,11
SF,ALL,CONV,15,100
NSEL,S,NODE,,21,30
NSEL,A,NODE,,11
SF,ALL,CONV,15,100
NSEL,ALL
FINISH
/SOLU
SOLVE
FINISH
/POST26
ESOL,2,1,1,HEAT,,HEAT
ESOL,3,1,21,HEAT,,HEAT
STORE
*GET,HEAT,VARI,2,EXTREM,VMAX
*GET,HEAT2,VARI,3,EXTREM,VMAX
HTTOT=(ABS(HEAT+HEAT2))
/POST1
*DIM,VALUE,,12,3
*VFILL,VALUE(1,1),DATA,1100,970,850,750,655,575,495,430,370,315
*VFILL,VALUE(11,1),DATA,265,5050
*DO,I,0,1,.1                  ! CREATE DO LOOP TO PRINT TEMPS IN
NSEL,S,LOC,X,(I*L)            ! INCREMENTS OF 0.1*L
PRNSOL,TEMP
NNUM = NODE (I*L,(-(B/2)),0)
*GET,VAL,NODE,NNUM,TEMP
*VFILL,VALUE(I*10+1,2),DATA,VAL
*VFILL,VALUE(I*10+1,3),DATA,ABS(VALUE(I*10+1,2) / VALUE(I*10+1,1) )
*ENDDO
*VFILL,VALUE(12,2),DATA,HTTOT
*VFILL,VALUE(12,3),DATA,ABS(HTTOT/5050)
NSEL,ALL
PRNLD,HEAT                    ! PRINT NODAL HEAT FLOW RATES
*DIM,LABEL,CHAR,12,2
LABEL(1,1) = 'T,F(AT X','T,F(AT X','T,F(AT X','T,F(AT X','T,F(AT X','T,F(AT X','T,F(AT X'
LABEL(8,1) = 'T,F(AT X','T,F(AT X','T,F(AT X','T,F(AT X','q,   BTU'
LABEL(1,2) = '/L = 0.0','/L = 0.1','/L = 0.2','/L = 0.3','/L = 0.4','/L = 0.5','/L = 0.6'
LABEL(8,2) = '/L = 0.7','/L = 0.8','/L = 0.9','/L = 1.0','/hr	  '
/COM
/OUT,vm98,vrt
/COM,------------------- VM98 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm98,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM97 Input Listing 		Up / Home Next
VM99 Input Listing


VM99 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM99
/PREP7
/TITLE, VM99, TEMPERATURE DISTRIBUTION IN A TRAPEZOIDAL FIN
C***      CONDUCTION HEAT TRANSFER, SCHNEIDER, 2ND. PRINTING, PAGE 164, ART. 7-8
ANTYPE,STATIC
ET,1,PLANE55
MP,KXX,1,18
W=(.96/12)                         ! FIN LENGTH
N,7
N,8,(W/2)
N,3,W
N,1,W,-((2*W)/6)
FILL,1,3
N,6,,-(W/6)
FILL,2,7,1,5
FILL,1,6,1,4
E,6,4,5
E,7,6,5
E,7,5,8
E,5,3,8
E,5,2,3
E,4,2,5
E,4,1,2
NSEL,S,LOC,X,W
D,ALL,TEMP,100                     ! DEFINE WALL TEMPERATURE
NSEL,S,NODE,,1,4,3
NSEL,A,NODE,,6,7
SF,ALL,CONV,500,0.0
NSEL,ALL
FINISH
/SOLU
SOLVE
FINISH
/POST1
PRNSOL,TEMP                        ! PRINT NODAL TEMPERATURES
PRNLD,HEAT                         ! PRINT HEAT FLOW RATES
*GET,TN4,NODE,4,TEMP
*GET,TN5,NODE,5,TEMP
*GET,TN6,NODE,6,TEMP
*GET,TN7,NODE,7,TEMP
*DIM,LABEL,CHAR,4,2
*DIM,VALUE,,4,3
LABEL(1,1) = 'T,F (AT ','T,F (AT ','T,F (AT ','T,F (AT '
LABEL(1,2) = 'NODE 4) ','NODE 5) ','NODE 6) ','NODE 7) '
*VFILL,VALUE(1,1),DATA,27.6,32.7,9.5,10.7
*VFILL,VALUE(1,2),DATA,TN4,TN5,TN6,TN7
*VFILL,VALUE(1,3),DATA,ABS(TN4/27.6),ABS(TN5/32.7),ABS(TN6/9.5),ABS(TN7/10.7)
/COM
/OUT,vm99,vrt
/COM,------------------- VM99 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,-----------------------------------------------------------
/COM,
/COM,-----------------------------------------------------------
/COM,NOTE: THERE ARE VERIFIED RESULTS IN VM99  NOT CONTAINED IN
/COM,THIS TABLE
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm99,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM98 Input Listing 		Up / Home Next
VM100 Input Listing


VM100 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM100
/PREP7
/TITLE, VM100, HEAT CONDUCTION ACROSS A CHIMNEY SECTION
C***       PRINCIPLES OF HEAT TRANSFER, KREITH, 2ND. PRINTING, PAGE 102, EX. 3-4
ANTYPE,STATIC                ! THERMAL ANALYSIS
ET,1,PLANE55
MP,KXX,1,1
N,1
N,3,1
FILL
NGEN,5,3,1,5,1,,.5
E,4,1,2,5
E,3,6,5,2
EGEN,2,3,1,2,1
E,11,7,8,8
E,9,12,11,8
E,12,15,11,11
OUTPR,ALL,1
OUTPR,VENG,NONE
NSEL,S,LOC,X
SF,ALL,CONV,12,100           ! INNER CONVECTION SURFACE
NSEL,S,LOC,X,1
SF,ALL,CONV,3,0              ! OUTER CONVECTION SURFACE
NSEL,ALL
FINISH
/SOLU
SOLVE
FINISH
/POST1
PRNSOL,TEMP                  ! PRINT NODAL TEMPERATURES
ESEL,S,ELEM,,1,3,2           ! SELECT ELEMENTS 1 AND 3
FSUM                         ! PERFORM FORCE AND MOMENT SUMMATIONS
*GET,HT13,FSUM,,ITEM,HEAT    ! ADD HEAT FLOW RATES OF ELEMENTS 1 AND 3
HEAT=HT13*8                  ! COMPUTE TOTAL HEAT FLOW RATE
ESEL,ALL
/CLABEL,,1                   ! LABEL CONTOUR LINES
/CONTOUR,,20                 ! USE 20 CONTOUR LINES
PLNSOL,TEMP                  ! DISPLAY TEMPERATURE CONTOURS
*DIM,VALUE,,13,3
*VFILL,VALUE(1,1),DATA,93.7,56.3,22.2,93.2,54.6,21.4,87.6,47.5,18.3
*VFILL,VALUE(10,1),DATA,29.6,11.7,4.7,775.2
*DO,I,1,9,1
*GET,TN,NODE,I,TEMP
*VFILL,VALUE(I,2),DATA,TN
*VFILL,VALUE(I,3),DATA,ABS(VALUE(I,2)/VALUE(I,1))
*ENDDO
*VFILL,VALUE(13,2),DATA,HEAT
*VFILL,VALUE(13,3),DATA,ABS(HEAT/775.2)
*GET,TN11,NODE,11,TEMP
*GET,TN12,NODE,12,TEMP
*GET,TN15,NODE,15,TEMP
*VFILL,VALUE(10,2),DATA,TN11,TN12,TN15
*VFILL,VALUE(10,3),DATA,ABS(TN11/29.6),ABS(TN12/11.7),ABS(TN15/4.7)
*DIM,LABEL,CHAR,13,2
LABEL(1,1) = 'T,F (AT ','T,F (AT ','T,F (AT ','T,F (AT ','T,F (AT ','T,F (AT ','T,F (AT '
LABEL(8,1) = 'T,F (AT ','T,F (AT ','T,F (AT ','T,F (AT ','T,F (AT ','q,   BTU'
LABEL(1,2) = 'NODE 1) ','NODE 2) ','NODE 3) ','NODE 4) ','NODE 5) ','NODE 6) ','NODE 7) '
LABEL(8,2) = 'NODE 8) ','NODE 9) ','NODE 11)','NODE 12)','NODE 15)','/hr     '
/COM
/OUT,vm100,vrt
/COM,------------------- VM100 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.2)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm100,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM99 Input Listing 		Up / Home Next
VM101 Input Listing


VM101 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM101
/PREP7
/TITLE, VM101, TEMPERATURE DISTRIBUTION IN A SHORT SOLID CYLINDER
C***    CONDUCTION HEAT TRANSFER, SCHNEIDER, 2ND. PRINTING, PAGE 134, FIG. 6-7
ANTYPE,STATIC
ET,1,SOLID70
MP,KXX,1,1
CSYS,1
N,1,1E-10,-5               ! ZERO RADIUS WITH NON-ZERO THETA IS NOT PERMITTED
N,5,.5,-5
FILL
N,6,1E-10,5                ! ZERO RADIUS WITH NON-ZERO THETA IS NOT PERMITTED
N,10,.5,5
FILL
NGEN,5,10,1,10,1,,,.125
E,1,2,7,7,11,12,17,17
E,2,3,8,7,12,13,18,17
EGEN,3,1,2
EGEN,4,10,1,4
OUTPR,,1
D,1,TEMP,,,10               ! APPLY TEMPERATURES
D,15,TEMP,,,40,5
D,41,TEMP,40,,50
NUMMRG,NODE                 ! MERGE COINCIDENT NODE NUMBERS
FINISH
/SOLU
SOLVE
FINISH
/POST1
/VIEW,,,-1
!/DEVICE,VECTOR,ON
PLNSOL,TEMP
CSYS,1
NSEL,S,LOC,X,0
PRNSOL,TEMP                 ! TEMPERATURES ALONG AXIS (R=0)
NSEL,S,LOC,X,0.25
NSEL,R,LOC,Y,-5
PRNSOL,TEMP                 ! TEMPERATURES ALONG R=0.25 FT
ALLSEL
*GET,TN11,NODE,11,TEMP
*GET,TN21,NODE,21,TEMP
*GET,TN31,NODE,31,TEMP
*GET,TN13,NODE,13,TEMP
*GET,TN23,NODE,23,TEMP
*GET,TN33,NODE,33,TEMP
*DIM,LABEL_1,CHAR,3,2
*DIM,VALUE_1,,3,3
LABEL_1(1,1) = '   NODE ','   NODE ','   NODE '
LABEL_1(1,2) = '11      ','21      ','31      '
*VFILL,VALUE_1(1,1),DATA,6.8,15.6,26.8
*VFILL,VALUE_1(1,2),DATA,TN11,TN21,TN31
*VFILL,VALUE_1(1,3),DATA,ABS(TN11/6.8),ABS(TN21/15.6),ABS(TN31/26.8)
*DIM,LABEL_2,CHAR,3,2
*DIM,VALUE_2,,3,3
LABEL_2(1,1) = '   NODE ','   NODE ','   NODE '
LABEL_2(1,2) = '13      ','23      ','33      '
*VFILL,VALUE_2(1,1),DATA,5.2,12.8,24
*VFILL,VALUE_2(1,2),DATA,TN13,TN23,TN33
*VFILL,VALUE_2(1,3),DATA,ABS(TN13/5.2),ABS(TN23/12.8),ABS(TN33/24)
/COM
/OUT,vm101,vrt
/COM,------------------- VM101 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,T, F (CENTERLINE):
/COM,
*VWRITE,LABEL_1(1,1),LABEL_1(1,2),VALUE_1(1,1),VALUE_1(1,2),VALUE_1(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.2)
/COM,
/COM,T, F (MID-RADIUS):
/COM,
*VWRITE,LABEL_2(1,1),LABEL_2(1,2),VALUE_2(1,1),VALUE_2(1,2),VALUE_2(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.2)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm101,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM100 Input Listing 		Up / Home Next
VM102 Input Listing


VM102 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM102
/PREP7
/TITLE, VM102, CYLINDER WITH TEMPERATURE DEPENDENT CONDUCTIVITY
C***    CONDUCTION HEAT TRANSFER, SCHNEIDER, 2ND. PRINTING, PAGE 166, ART. 7-9
ANTYPE,STATIC
ET,1,PLANE55,,,1                   ! AXISYMMETRIC OPTION
MP,KXX,1,50                        ! CONSTANT CONDUCTIVITY
N,1,(1/24)
N,6,(1/12)
FILL
NGEN,2,10,1,6,1,,.01
E,1,2,12,11
EGEN,5,1,1
OUTPR,,1
KBC,1                              ! STEP BOUNDARY CONDITIONS
D,1,TEMP,100,,11,10
D,6,TEMP,,,16,10
FINISH
/SOLU
SOLVE
FINISH
/POST1
SET,1
NSEL,S,LOC,Y
PRNSOL,TEMP                        ! RADIAL TEMPERATURES FOR CONSTANT K
*GET,TN2,NODE,2,TEMP
*GET,TN3,NODE,3,TEMP
*GET,TN4,NODE,4,TEMP
*GET,TN5,NODE,5,TEMP
*DIM,LABEL_1,CHAR,4,2
*DIM,VALUE_1,,4,3
LABEL_1(1,1) = '   NODE ','   NODE ','   NODE ','   NODE '
LABEL_1(1,2) = '2       ','3       ','4       ','5       '
*VFILL,VALUE_1(1,1),DATA,73.8,51.5,32.2,15.3
*VFILL,VALUE_1(1,2),DATA,TN2,TN3,TN4,TN5
*VFILL,VALUE_1(1,3),DATA,ABS(TN2/73.8),ABS(TN3/51.5),ABS(TN4/32.2),ABS(TN5/15.3)
NSEL,ALL
FINISH

/PREP7
MP,KXX,1,50,0.5                    ! TEMPERATURE-DEPENDENT CONDUCTIVITY
FINISH
/SOLU
SOLVE
FINISH
/POST1
SET,1
NSEL,S,LOC,Y
PRNSOL,TEMP                        ! RADIAL TEMPERATURES FOR K(T)
*GET,TN2,NODE,2,TEMP
*GET,TN3,NODE,3,TEMP
*GET,TN4,NODE,4,TEMP
*GET,TN5,NODE,5,TEMP
*DIM,LABEL_2,CHAR,4,2
*DIM,VALUE_2,,4,3
LABEL_2(1,1) = '   NODE ','   NODE ','   NODE ','   NODE '
LABEL_2(1,2) = '2       ','3       ','4       ','5       '
*VFILL,VALUE_2(1,1),DATA,79.2,59.6,40.2,20.8
*VFILL,VALUE_2(1,2),DATA,TN2,TN3,TN4,TN5
*VFILL,VALUE_2(1,3),DATA,ABS(TN2/79.2),ABS(TN3/59.6),ABS(TN4/40.2),ABS(TN5/20.8)
/COM
/OUT,vm102,vrt
/COM,------------------- VM102 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,T, F (K=CONSTANT);FIRST LOAD STEP:
/COM,
*VWRITE,LABEL_1(1,1),LABEL_1(1,2),VALUE_1(1,1),VALUE_1(1,2),VALUE_1(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.2)
/COM,
/COM,T, F (K=K(T);SECOND LOAD STEP:
/COM,
*VWRITE,LABEL_2(1,1),LABEL_2(1,2),VALUE_2(1,1),VALUE_2(1,2),VALUE_2(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.2)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm102,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM101 Input Listing 		Up / Home Next
VM103 Input Listing


VM103 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM103
/PREP7
/TITLE, VM103, THIN PLATE WITH CENTRAL HEAT SOURCE
C***      CONDUCTION HEAT TRANSFER, SCHNEIDER, 2ND. PRINTING, PAGE 173, ART. 8-1
C***      USING SHELL131 ELEMENTS
ANTYPE,STATIC              ! THERMAL ANALYSIS
ET,1,SHELL131,,,2
SECT,1,SHELL
SECD,.1
MP,KXX,1,5
CSYS,1                     ! CYLINDRICAL COORDINATE SYSTEM
N,1,.1,-5
N,8,.8,-5
FILL
NGEN,2,10,1,8,1,,10
N,21
N,9,(2/15),-5
N,10,(1/6),-5
NGEN,2,10,9,10,1,,10
E,21,1,11                  ! 7 TRIANGULAR ELEMENTS
E,1,9,11
E,19,11,9
E,9,10,20
E,20,19,9
E,10,2,20
E,12,20,2
E,12,2,3,13                ! 6 QUADRILATERAL ELEMENTS
EGEN,6,1,8
CP,1,TEMP,1,11             ! COUPLE NODAL TEMPS TANGENTIALLY
CPSGEN,10,1,1
OUTPR,BASIC,1
ESEL,S,ELEM,,2,13,1
SFE,ALL,1,CONV,,30
SFE,ALL,1,CONV,2,100
SFE,ALL,2,CONV,,20
SFE,ALL,2,CONV,2,0
ESEL,ALL
BFE,1,HGEN,,250E3          ! HEAT SOURCE
FINISH
/SOLU
SOLVE
*DIM,VALUE,,10,3
*VFILL,VALUE(1,1),DATA,226.3,103.2,73.8,65.8,62.8,60.8,60.2,60,173.1
*VFILL,VALUE(10,1),DATA,130.7
*DO,I,1,10,1
*GET,TN,NODE,I,TEMP
*VFILL,VALUE(I,2),DATA,TN
*VFILL,VALUE(I,3),DATA,ABS(VALUE(I,2)/VALUE(I,1))
*ENDDO
*DIM,LABEL,CHAR,10,2
LABEL(1,1) = 'T,F (AT ','T,F (AT ','T,F (AT ','T,F (AT ','T,F (AT ','T,F (AT ','T,F (AT '
LABEL(8,1) = 'T,F (AT ','T,F (AT ','T,F (AT '
LABEL(1,2) = 'NODE 1) ','NODE 2) ','NODE 3) ','NODE 4) ','NODE 5) ','NODE 6) ','NODE 7) '
LABEL(8,2) = 'NODE 8) ','NODE 9) ','NODE 10)'
/COM
/OUT,vm103,vrt
/COM,------------------- VM103 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.2)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm103,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM102 Input Listing 		Up / Home Next
VM104 Input Listing


VM104 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM104
/PREP7
SMRT,OFF
/TITLE, VM104, LIQUID-SOLID PHASE CHANGE
C***    DANTZIG,J.A., IJNME, VOL 28, 1989, PAGE 1773-1775.
ANTYPE,TRANS
ET,1,PLANE55
MP,DENS,1,1000
MP,KXX,1,0.6
MPTEMP,1,-10,-1,0,10
MPDATA,ENTH,1,1,0,37.8E6,79.8E6,121.8E6  ! ENTHALPY
K,1
K,2,0.01
K,3,0.01,0.001
K,4,,0.001
L,2,3
L,1,4
LESIZE,ALL,,,1
A,1,2,3,4
ESIZE,,15
AMESH,1
FINISH
/SOLU
OUTRES,,ALL
BFUNIF,TEMP                              ! INITIAL TEMPERATURE
NSEL,S,LOC,X
D,ALL,TEMP,-5.0                          ! SURFACE TEMPERATURE
NSEL,ALL
KBC,1                                    ! STEP LOAD
AUTOTS,ON
DELTIM,3,3,10
TIME,900                                 ! FINAL TIME
SOLVE
FINISH
/POST1
SET,,,,,500
*GET,T1,NODE,5,TEMP
*GET,T2,NODE,8,TEMP
PATH,TPATH,2,,48                         ! DEFINE PATH WITH NAME = "TPATH"
PPATH,1,1                                ! DEFINE PATH POINTS BY NODE
PPATH,2,2
PDEF,TEMP,TEMP
PLPATH,TEMP
NSEL,S,LOC,Y
PRNSOL,TEMP                              ! NODAL TEMPERATURES
FINISH
/POST26
NSOL,2,2,TEMP,,T2
NSOL,3,3,TEMP,,T3
NSOL,4,4,TEMP,,T4
NSOL,5,5,TEMP,,T5
NSOL,6,6,TEMP,,T6
NSOL,7,7,TEMP,,T7
PLVAR,2,3,4,5,6,7                        ! DISPLAY TEMPERATURE HISTORY
PRTIME,700,900
PRVAR,2,3,4,5,6,7
FINISH
*DIM,VALUE,,2,3
*DIM,LABEL,CHAR,2,2
*VFILL,VALUE(1,1),DATA,-3.64,-2.32
*VFILL,VALUE(1,2),DATA,T1,T2
*VFILL,VALUE(1,3),DATA,ABS(T1/3.64),ABS(T2/2.32)
LABEL(1,1) = 'T,C (X=0','T,C (X=0'
LABEL(1,2) = '.002 m) ','004 m)  '
/OUT,vm104,vrt
/COM,------------------- VM104 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/COM,-----------------------------------------------------------
/COM,
/COM,-----------------------------------------------------------
/COM,NOTE: THERE ARE VERIFIED RESULTS IN VM104 NOT CONTAINED IN
/COM,THIS TABLE
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm104,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM103 Input Listing 		Up / Home Next
VM105 Input Listing


VM105 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM105
/PREP7
/TITLE, VM105, HEAT GENERATING COIL WITH TEMP. DEPENDENT CONDUCTIVITY
C***    CONDUCTION HEAT TRANSFER, SCHNEIDER, 2ND. PRINTING, PAGE 193, ART. 8-8
ANTYPE,STATIC
ET,1,PLANE55                 ! THERMAL SOLID
MP,KXX,1,10,.075
CSYS,1
N,1,(1/48),-5                ! RADIAL SECTOR ONE-ELEMENT WIDE
N,10,(1/12),-5
FILL
NGEN,2,10,1,10,1,,10
E,1,2,12,11
EGEN,9,1,1
OUTPR,BASIC,1
KBC,1                        ! STEP LOAD
D,1,TEMP,0,,11,10            ! INNER WALL TEMPERATURE
D,10,TEMP,0,,20,10           ! OUTER WALL TEMPERATURE
BFE,ALL,HGEN,,1E6            ! APPLY HEAT GENERATION RATES
FINISH
/SOLU
SOLVE
FINISH
/POST1
CSYS,1
NSEL,S,LOC,Y,-5              ! SELECT NODES ALONG RADIUS AT THETA=-5
PRNSOL,TEMP                  ! PRINT TEMPERATURE DISTRIBUTION
NSEL,S,NODE,,ALL
PATH,TPATH,2,,48             ! DEFINE PATH WITH NAME = "TPATH"
PPATH,1,1                    ! DEFINE PATH POINTS BY NODE
PPATH,2,10
PDEF,TEMP,TEMP
PLPATH,TEMP
*DIM,VALUE,,8,3
*VFILL,VALUE(1,1),DATA,23.3,35.9,42.2,44,42.2,37,28.6,16.5
*DO,I,2,9,1
*GET,TN,NODE,I,TEMP
*VFILL,VALUE(I-1,2),DATA,TN
*VFILL,VALUE(I-1,3),DATA,ABS(VALUE(I-1,2)/VALUE(I-1,1))
*ENDDO
*DIM,LABEL,CHAR,8,2
LABEL(1,1) = 'T,F (AT ','T,F (AT ','T,F (AT ','T,F (AT ','T,F (AT ','T,F (AT '
LABEL(7,1) = 'T,F (AT ','T,F (AT '
LABEL(1,2) = 'NODE 2) ','NODE 3) ','NODE 4) ','NODE 5) ','NODE 6) ','NODE 7) '
LABEL(7,2) = 'NODE 8) ','NODE 9) '
/COM
/OUT,vm105,vrt
/COM,------------------- VM105 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm105,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM104 Input Listing 		Up / Home Next
VM106 Input Listing


VM106 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM106
/PREP7
/TITLE, VM106, RADIANT ENERGY EMISSION
C***   PRINCIPLES OF HEAT TRANSFER, KREITH, 2ND. PRINTING, PAGE 22, PROB. 1-8(B)
ANTYPE,STATIC                   ! THERMAL ANALYSIS
ET,1,LINK31
R,1,144,1,1
N,1                             ! TWO COINCIDENT NODES
N,2
E,1,2
OUTPR,ALL,1
OUTPR,VENG,NONE
KBC,1
TOFFST,460                      ! OFFSET TEMPERATURE
D,1,TEMP,3000                   ! DEFINE NODAL TEMPERATURES
D,2,TEMP,0
FINISH
/SOLU
SOLVE
FINISH
/POST26
ESOL,2,1,1,HEAT,,HEAT
STORE
*GET,HEAT,VARI,2,EXTREM,VMAX
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'q, BTU/h'
LABEL(1,2) = 'r       '
*VFILL,VALUE(1,1),DATA,2.4559E5
*VFILL,VALUE(1,2),DATA,ABS(HEAT)
*VFILL,VALUE(1,3),DATA,ABS(HEAT/245590)
/COM,
/OUT,vm106,vrt
/COM,------------------ VM106 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',E11.4,'  ',E11.4,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm106,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM105 Input Listing 		Up / Home Next
VM107 Input Listing


VM107 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM107
/PREP7
/TITLE, VM107, THERMOCOUPLE RADIATION
C***    HEAT TRANSFER, CHAPMAN, 1ST. PRINTING, PAGE 396, ART. 13.5
ANTYPE,STATIC         ! STATIC ANALYSIS
ET,1,LINK34
ET,2,LINK31
R,1,1
R,2,1,1,.5, 0.174E-8
MP,HF,1,11.85         ! FILM COEFFICIENT
N,1
N,3
FILL
E,1,2
TYPE,2
REAL,2
E,2,3
OUTPR,BASIC,1
OUTPR,NLOAD,1         ! PRINT NODAL HEAT FLOWS
KBC,1                 ! STEP CHANGE LOADS
TOFFST,460            ! OFFSET TEMPERATURE
D,1,TEMP,1309
D,3,TEMP,300
FINISH
/SOLU
SOLVE
FINISH
/POST1
*GET,TN2,NODE,2,TEMP
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = '     TT,'
LABEL(1,2) = ' F      '
*VFILL,VALUE(1,1),DATA,1000
*VFILL,VALUE(1,2),DATA,TN2
*VFILL,VALUE(1,3),DATA,ABS(TN2/1000 )
/COM
/OUT,vm107,vrt
/COM,------------------- VM107 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/COM,-----------------------------------------------------------
/COM,
/COM,-----------------------------------------------------------
/COM,NOTE: THERE ARE VERIFIED RESULTS IN VM107 NOT CONTAINED IN
/COM,THIS TABLE
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm107,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM106 Input Listing 		Up / Home Next
VM108 Input Listing


VM108 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM108
/PREP7
/TITLE, VM108, TEMPERATURE GRADIENT ACROSS A SOLID CYLINDER
C***    HILDEBRAND, ADVANCED CALCULUS, PAGE 447, EQUATIONS 38-44
ANTYPE,STATIC
ET,1,PLANE75            ! AXISYMMETRIC HARMONIC THERMAL SOLID
MP,KXX,1,1
N,1
N,5,20
FILL
NGEN,2,5,1,5,1,,5       ! AXIAL LENGTH IS ARBITRARY
E,1,2,7,6               ! FOUR ELEMENTS ALONG RADIUS AT THETA=0
EGEN,4,1,1
OUTPR,BASIC,1
MODE,1,1                ! ANTISYMMETRIC MODE (ISYM=1)
D,5,TEMP,80,,10,5       ! DEFINE PEAK TEMPERATURE
FINISH
/SOLU
SOLVE
FINISH
/POST1
*GET,TN1,NODE,1,TEMP
*GET,TN2,NODE,2,TEMP
*GET,TN3,NODE,3,TEMP
*GET,TN4,NODE,4,TEMP
*DIM,VALUE,,4,3
*DIM,LABEL,CHAR,4,2
*VFILL,VALUE(1,1),DATA,0,20,40,60
*VFILL,VALUE(1,2),DATA,TN1,TN2,TN3,TN4
*VFILL,VALUE(1,3),DATA,0,ABS(TN2/20),ABS(TN3/40),ABS(TN4/60)
LABEL(1,1) = 'NODE 1 T','NODE 2 T','NODE 3 T','NODE 4 T'
LABEL(1,2) = ', F     ',', F     ',', F     ',', F     '
/COM
/OUT,vm108,vrt
/COM,------------------- VM108 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.2)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm108,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM107 Input Listing 		Up / Home Next
VM109 Input Listing


VM109 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM109
/PREP7
/TITLE, VM109, TEMPERATURE RESPONSE OF A SUDDENLY COOLED WIRE
C***    PRINCIPLES OF HEAT TRANSFER, KREITH, 2ND. PRINTING, PAGE 120, EX. 4-1
ANTYPE,TRANS            ! THERMAL ANALYSIS
ET,1,MASS71,,,1
ET,2,LINK34
R,1,2.7046E-4           ! THERMAL CAPACITANCE PER UNIT LENGTH
R,2,0.0081812           ! SURFACE AREA PER UNIT LENGTH
MP,HF,1,2               ! FILM COEFFICIENT
N,1                     ! COINCIDENT NODES AT ORIGIN
N,2
E,1
TYPE,2
REAL,2
E,1,2
FINISH
/SOLU
OUTRES,,ALL
AUTOTS,ON
OUTPR,BASIC,LAST
DELTIM,0.00125
TIME,.0125
BFUNIF,TEMP,300         ! UNIFORM INITIAL TEMPERATURE
KBC,1
D,2,TEMP,100            ! AIR TEMPERATURE
SOLVE
TIME,.0325
SOLVE
TIME,0.05
SOLVE
FINISH
/POST26
NSOL,2,1,TEMP
PRVAR,2                 ! PRINT TEMPERATURE
/GRID,1
/AXLAB,Y,TEMP
PLVAR,2                 ! DISPLAY TEMP OF NODE 1 VS. TIME
*GET,T1,VARI,2,RTIME,.0125
*GET,T2,VARI,2,RTIME,.0325
*GET,T3,VARI,2,RTIME,.05
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'T,F AT 0','T,F AT 0','T,F AT 0'
LABEL(1,2) = '.0125 hr','.0325 hr','.05   hr'
*VFILL,VALUE(1,1),DATA,193.89,128,109.71
*VFILL,VALUE(1,2),DATA,T1,T2,T3
*VFILL,VALUE(1,3),DATA,ABS(T1/193.89),ABS(T2/128),ABS(T3/109.71)
/COM
/OUT,vm109,vrt
/COM,------------------- VM109 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm109,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM108 Input Listing 		Up / Home Next
VM110 Input Listing


VM110 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM110
/PREP7
/TITLE, VM110, TRANSIENT TEMPERATURE DISTRIBUTION IN A SLAB
C***    PRINCIPLES OF HEAT TRANSFER, KREITH, 2ND. PRINTING, PAGE 140, EX. 4-4
ANTYPE,TRANS              ! TRANSIENT ANALYSIS
ET,1,LINK32               ! HEAT CONDUCTING BAR
ET,2,LINK34               ! CONVECTION LINK
R,1,1                     ! UNIT AREA
MP,KXX,1,.54              ! PROPERTIES OF WALL
MP,DENS,1,144
MP,C,1,.20
MP,HF,1,5                 ! CONVECTION COEFFICIENT
N,1
N,11,1
FILL
N,12,1
E,1,2
EGEN,10,1,1               ! TEN BAR ELEMENTS ACROSS WALL THICKNESS
TYPE,2
E,11,12                   ! ONE CONVECTION LINK AT GAS END
FINISH
/SOLU
OUTRES,,ALL
TIME,14.5                 ! TIME AT END OF LOAD STEP
NSUBST,80
BFUNIF,TEMP,100
D,12,TEMP,1600
KBC,1                     ! STEP BOUNDARY CONDITION
AUTOTS,ON
OUTPR,BASIC,LAST
TINTPAR,,,,0.5             ! USE CENTRAL DIFFERENCE
SOLVE
FINISH
/POST26
ESOL,2,11,,SMISC,1,HEAT   ! HEAT RATE FOR ELEMENT 11
INT1,3,2,1,,TOTAL_HT      ! INTEGRATE HEAT RATE OVER TIME SPAN
PRVAR,2,3
*GET,QTOT,VARI,3,RTIME,14.5
FINISH
/POST1
*GET,T1,NODE,1,TEMP
*GET,T3,NODE,3,TEMP
*GET,T5,NODE,5,TEMP
*GET,T7,NODE,7,TEMP
*GET,T9,NODE,9,TEMP
*GET,T11,NODE,11,TEMP
*DIM,LABEL,CHAR,7,2
*DIM,VALUE,,7,3
LABEL(1,1) = 'T, F (NO','T, F (NO','T, F (NO','T, F (NO','T, F (NO','T, F (NO','Q, BTU/f'
LABEL(1,2) = 'DE 1 )  ','DE 3 )  ','DE 5 )  ','DE 7 )  ','DE 9 )  ','DE 11)  ','t^2     '
*VFILL,VALUE(1,1),DATA,505,550,670,865,1135,1435,-20736
*VFILL,VALUE(1,2),DATA,T1,T3,T5,T7,T9,T11,QTOT
*VFILL,VALUE(1,3),DATA,ABS(T1/505),ABS(T3/550),ABS(T5/670),ABS(T7/865),ABS(T9/1135)
*VFILL,VALUE(6,3),DATA,ABS(T11/1435),ABS(QTOT/20736)
/COM
/OUT,vm110,vrt
/COM,------------------- VM110 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.2)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm110,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM109 Input Listing 		Up / Home Next
VM111 Input Listing


VM111 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM111
/PREP7
/TITLE, VM111, COOLING OF A SPHERICAL BODY
!       PRINCIPLES OF HEAT TRANSFER, KREITH, 2ND. PRINTING, PAGE 143, EX. 4-5
!       USING PLANE55 ELEMENTS (QUAD. ELEMENTS)
ANTYPE,TRANS
ET,1,PLANE55,,,1      ! AXISYMMETRIC ELEMENTS
MP,KXX,1,(1/3)
MP,DENS,1,62
MP,C,1,1.0752677
CSYS,1                ! CYLINDRICAL COORDINATE SYSTEM
N,1
N,2,(1/18),-7.5
N,4,(1/6),-7.5
FILL
NGEN,2,20,1,4,1,,15
E,2,22,1,1
E,3,23,22,2
EGEN,2,1,2
CP,1,TEMP,2,22        ! COUPLING TO ENSURE CIRCUMFERENTIAL SYMMETRY
CPSGEN,3,1,1
AUTOTS,ON             ! USE AUTOMATIC TIME STEPPING
DELTIM,.01            ! MIN TIME STEP SIZE
OUTPR,BASIC,LAST      ! PRINT LAST SUBSTEP
TIME,6
TUNIF,65
KBC,1                 ! STEP BOUNDARY CONDITIONS
NSEL,S,LOC,X,(1/6)
SF,ALL,CONV,2,25      ! CONVECTION ON ELEMENT SURFACE
NSEL,ALL
FINISH
/SOLU
SOLVE
FINISH
/POST1
PRNSOL,TEMP           ! PRINT NODAL TEMPERATURES
*GET,TEMP,NODE,1,TEMP
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = '       T'
LABEL(1,2) = ', F     '
*VFILL,VALUE(1,1),DATA,28
*VFILL,VALUE(1,2),DATA,TEMP
*VFILL,VALUE(1,3),DATA,ABS(TEMP/28)
/COM
/OUT,vm111,vrt
/COM,------------------- VM111 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.2,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm111,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM110 Input Listing 		Up / Home Next
VM112 Input Listing


VM112 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM112
/PREP7
/TITLE, VM112, COOLING OF A SPHERICAL BODY
C***       PRINCIPLES OF HEAT TRANSFER, KREITH, 2ND. PRINTING, PAGE 143, EX. 4-5
C***       USING PLANE77 ELEMENTS (MULTI-NODE ELEMENTS)
ANTYPE,TRANS                    ! THERMAL ANALYSIS
ET,1,PLANE77,,,1                ! AXISYMMETRIC ELEMENTS
MP,KXX,1,(1/3)
MP,DENS,1,62
MP,C,1,1.0752677
CSYS,1                          ! CYLINDRICAL COORDINATE SYSTEM
N,1
N,2,(1/18),-7.5
N,4,(1/6),-7.5
FILL
NGEN,2,20,1,4,1,,15
N,14,(1/6)
E,2,22,1,1
E,3,23,22,2
E,4,24,23,3,14
CP,1,TEMP,2,22                  ! COUPLING TO ENSURE CIRCUMFERENTIAL SYMMETRY
CPSGEN,2,1,1
CP,3,TEMP,4,14,24
AUTOTS,ON                       ! USE AUTOMATIC TIME STEPPING
OUTPR,BASIC,LAST
TIME,6
DELTIM,0.15
BFUNIF,TEMP,65
KBC,1                           ! STEP BOUNDARY CONDITIONS
NSEL,S,LOC,X,(1/6)
SF,ALL,CONV,2,25                ! CONVECTION ON ELEMENT SURFACE
NSEL,ALL
FINISH
/SOLU
SOLVE
FINISH
/POST1
PRNSOL,TEMP                     ! PRINT NODAL TEMPERATURES
*GET,TEMP,NODE,1,TEMP
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = '       T'
LABEL(1,2) = ', F     '
*VFILL,VALUE(1,1),DATA,28
*VFILL,VALUE(1,2),DATA,TEMP
*VFILL,VALUE(1,3),DATA,ABS(TEMP/28)
/COM
/OUT,vm112,vrt
/COM,------------------- VM112 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm112,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM111 Input Listing 		Up / Home Next
VM113 Input Listing


VM113 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM113
/PREP7
smrt,off
/TITLE, VM113, TRANSIENT TEMP. DISTRIBUTION IN AN ORTHOTROPIC METAL BAR
C***    CONDUCTION HEAT TRANSFER, SCHNEIDER, 2ND. PRINTING, PAGE 261, EX. 10-7
ANTYPE,TRANS
ET,1,PLANE55               ! THERMAL SOLID
MP,KXX,1,20                ! ORTHOTROPIC CONDUCTIVITIES
MP,KYY,1,3.6036
MP,DENS,1,400
MP,C,1,.009009
K,1                        ! USE SOLID MODEL
K,2,(2/12)
KGEN,2,1,2,1,,(1/12)
L,1,2
*REPEAT,2,2,2
LESIZE,ALL,,,6,(1/3)
L,1,3
*REPEAT,2,1,1
LESIZE,3,,,5,(1/3)
LESIZE,4,,,5,(1/3)
A,1,3,4,2
AMESH,1
TIME,(3/3600)
NSUBST,40
AUTOTS,ON                  ! USE AUTOMATIC TIME STEPPING
OUTPR,,LAST
BFUNIF,TEMP,500
KBC,1                      ! STEP BOUNDARY CONDITIONS
NSEL,S,LOC,X,(2/12)
NSEL,A,LOC,Y,(1/12)
SF,ALL,CONV,240,100        ! CONVECTION SURFACE
NSEL,ALL
FINISH
/SOLU
EQSLV,JCG                  ! USE JACOBI CONJUGATE GRADIENT SOLVER
SOLVE
FINISH
/POST1
NSEL,S,LOC,X
NSEL,A,LOC,X,(2/12)        ! SELECT NODES OF INTEREST
NSEL,U,LOC,Y,.01,(.99/12)
PRNSOL,TEMP                ! PRINT NODAL TEMPERATURES
*get,tn1,node,1,temp
*get,tn7,node,7,temp
*get,tn13,node,13,temp
*get,tn2,node,2,temp
*dim,label,char,4,2
*dim,value,,4,3
label(1,1) = 'T,F (nod','T,F (nod','T,F (nod','T,F (nod'
label(1,2) = 'e  1)   ','e  7)   ','e 13)   ','e  2)   '
*vfill,value(1,1),data,459,151,279,202
*vfill,value(1,2),data,tn1,tn7,tn13,tn2
*vfill,value(1,3),data,abs(tn1/459),abs(tn7/151),abs(tn13/279),abs(tn2/202)
/com

/OUT,vm113,vrt
/com,-------------------(VM113)RESULTS COMPARISON---------------
/com,
/com,                 |   TARGET   |   ANSYS   |   RATIO
/com,
*vwrite,label(1,1),label(1,2),value(1,1),value(1,2),value(1,3)
(1x,a8,a8,'   ',f10.0,'  ',f10.0,'   ',1f5.2)
/com,----------------------------------------------------------
/OUT
FINISH
*LIST,vm113,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM112 Input Listing 		Up / Home Next
VM114 Input Listing


VM114 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM114
/PREP7
/TITLE, VM114, TEMPERATURE RESPONSE TO A LINEARLY RISING SURFACE TEMPERATURE
C***    CONDUCTION HEAT TRANSFER, SCHNEIDER, 2ND. PRINTING, PAGE 274, ART 11-2
ANTYPE,TRANS
ET,1,LINK33         ! HEAT CONDUCTING BAR
R,1,1               ! UNIT AREA ASSUMED
MP,KXX,1,10
MP,DENS,1,500
MP,C,1,0.2
K,1
K,2,.3              ! LENGTH OF MODEL FROM SURFACE
L,1,2
LESIZE,1,,,8,3      ! NON-UNIFORM MESH WITH 8 DIVISIONS
LMESH,1
FINISH
/SOLU
SOLCONTROL,0
AUTOTS,ON
OUTPR,,LAST
OUTRES,,ALL
TIME,(2/60)         ! TIME PERIOD OF 2 MIN. CONVERTED TO HR.
NSUBST,20
DK,1,TEMP,120       ! TEMPERATURE SPECIFICATION AT KEY POINT 1
SOLVE
FINISH
/POST26
NSOL,2,1,TEMP       ! TEMPERATURE HISTORY AT NODES NEAR SURFACE
NSOL,3,3,TEMP
NSOL,4,4,TEMP
NSOL,5,5,TEMP
NSOL,6,6,TEMP
PRVAR,2,3,4,5,6     ! PRINT NODAL TEMPERATURE VARIATION WITH TIME
/GRID,1
/AXLAB,Y,TEMP
PLVAR,2,4,5,6,3     ! DISPLAY NODAL TEMPERATURE HISTORIES
FINISH
/POST1
SET,1
NSORT,TEMP          ! SORT NODES BY DESCENDING TEMPERATURE VALUES
NLIST               ! LIST NODES TO VERIFY X-COORDINATE LOCATION
PRNSOL,TEMP         ! PRINT NODAL TEMPERATURE DISTRIBUTION
*GET,TN1,NODE,1,TEMP
*GET,TN3,NODE,3,TEMP
*GET,TN4,NODE,4,TEMP
*GET,TN5,NODE,5,TEMP
*GET,TN6,NODE,6,TEMP
*GET,TN2,NODE,2,TEMP
*DIM,LABEL,CHAR,6,2
*DIM,VALUE,,6,3
LABEL(1,1) = 'T,F (NOD','T,F (NOD','T,F (NOD','T,F (NOD','T,F (NOD','T,F (NOD'
LABEL(1,2) = 'E 1)    ','E 3)    ','E 4)    ','E 5)    ','E 6)    ','E 2)    '
*VFILL,VALUE(1,1),DATA,120,79.32,46.62,23.44,9.51,0
*VFILL,VALUE(1,2),DATA,TN1,TN3,TN4,TN5,TN6,TN2
*VFILL,VALUE(1,3),DATA,ABS(TN1/120),ABS(TN3/79.32),ABS(TN4/46.62),ABS(TN5/23.44)
*VFILL,VALUE(5,3),DATA,ABS(TN6/9.51),0
/COM
/OUT,vm114,vrt
/COM,------------------- VM114 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm114,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM113 Input Listing 		Up / Home Next
VM115 Input Listing


VM115 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM115
/PREP7
/TITLE, VM115, THERMAL RESPONSE OF A HEAT GENERATING SLAB
C***    CONDUCTION HEAT TRANSFER, SCHNEIDER, 2ND. PRINTING, PAGE 283, EQN 11-21
ANTYPE,TRANS
ET,1,LINK32        ! HEAT CONDUCTING BAR
R,1,1
MP,KXX,1,20
MP,DENS,1,500
MP,C,1,.2
K,1                ! SURFACE KEYPOINT
K,2,.5             ! CENTERLINE KEYPOINT
L,1,2              ! UNIFORM MESH
LESIZE,1,,,5
LMESH,1
AUTOTS,ON
OUTPR,,LAST
TIME,(12/60)       ! CONVERT 12 MIN TO HRS
DELTIM,0.01
BFUNIF,TEMP,60     ! INITIAL UNIFORM TEMPERATURE
KBC,1              ! APPLY STEP LOADS
DK,1,TEMP,32       ! SURFACE TEMPERATURE APPLIED TO KEYPOINT 1
BFK,ALL,HGEN,4E4   ! HEAT GENERATION SPECIFIED AT KEYPOINTS 1 & 2
FINISH
/SOLU
SOLVE
/POST1
*GET,TN1,NODE,1,TEMP
*GET,TN3,NODE,3,TEMP
*GET,TN4,NODE,4,TEMP
*GET,TN5,NODE,5,TEMP
*GET,TN6,NODE,6,TEMP
*GET,TN2,NODE,2,TEMP
*DIM,LABEL,CHAR,6,2
*DIM,VALUE,,6,3
LABEL(1,1) = 'T,F (NOD','T,F (NOD','T,F (NOD','T,F (NOD','T,F (NOD','T,F (NOD'
LABEL(1,2) = 'E 1)    ','E 3)    ','E 4)    ','E 5)    ','E 6)    ','E 2)    '
*VFILL,VALUE(1,1),DATA,32,75.75,103.99,120.80,129.46,132.1
*VFILL,VALUE(1,2),DATA,TN1,TN3,TN4,TN5,TN6,TN2
*VFILL,VALUE(1,3),DATA,ABS(TN1/32 ),ABS(TN3/75.75),ABS(TN4/103.99),ABS(TN5/120.80)
*VFILL,VALUE(5,3),DATA,ABS(TN6/129.46),ABS(TN2/132.1)
/COM
/OUT,vm115,vrt
/COM,------------------- VM115 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm115,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM114 Input Listing 		Up / Home Next
VM116 Input Listing


VM116 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM116
/PREP7
/TITLE, VM116, HEAT CONDUCTING PLATE WITH SUDDEN COOLING
C***    PRINCIPLES OF HEAT TRANSFER, KREITH, 2ND. PRINTING, PAGE 161, EX. 4-11
ANTYPE,TRANS
ET,1,LINK34,,3     ! CONVECTION LINK, USE (TI-TJ) FOR HF EVALUATION
ET,2,LINK32        ! HEAT CONDUCTION BAR
R,1,1              ! UNIT AREA ASSUMED
MP,KXX,1,2         ! CONDUCTIVITY, DENSITY AND SPECIFIC HEAT
MP,DENS,1,800      !  INPUT USED BY CONDUCTION ELEMENTS
MP,C,1,0.833
MP,HF,1,2,.02      ! TEMPERATURE DEPENDENT HF (USED FOR ELEM 1)
N,1                ! NODES 1 AND 2 DEFINE THE CONVECTION LINK
N,2                !  (ARBIRARY LENGTH)
N,10,(8/12)        ! CONDUCTION LENGTH IN FT.
FILL
E,1,2              ! ELEMENT 1 IS CONVECTION LINK
TYPE,2             ! ELEMENTS 2 THROUGH 9 ARE CONDUCTION BARS
E,2,3
EGEN,8,1,-1
FINISH
/SOLU
D,2,TEMP,500       ! INITIAL SURFACE TEMPERATURES
D,10,TEMP,100
OUTPR,,LAST
OUTRES,,ALL
TIMINT,OFF         ! TURN OFF TIME INTEGRATION FOR
TIME,0.001         !  INITIAL STEADY-STATE CONDITION
SOLVE
TIMINT,ON          ! TURN ON TIME INTEGRATION ON FOR
TIME,7             !  TRANSIENT OVER 7 HRS
DDELE,2,TEMP       ! DELETE NODAL TEMPERATURE
D,1,TEMP,100       ! ENVIRONMENT TEMPERATURE IS DECREASED
KBC,1              !  SUDDENLY
AUTOTS,ON
NSUBST,20
SOLVE
FINISH

/POST26
NSOL,2,2,TEMP
PRVAR,2            ! PRINT TEMPERATURE HISTORY AT NODE 2
/AXLAB,Y,TEMP
/GRID,1
PLVAR,2
FINISH

/POST1
ETABLE,TI,SMISC,2  ! NODAL TEMPERATURES FOR CONDUCTION ELEMENTS
ETABLE,TJ,SMISC,3
PLLS,TI,TJ         ! DISPLAY TEMPERATURE VARIATION ACROSS PLATE (AT 7 HRS)
PRNSOL,TEMP
*GET,TN2,NODE,2,TEMP
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'T,F(AT X'
LABEL(1,2) = '=0.0 in)'
*VFILL,VALUE(1,1),DATA,285
*VFILL,VALUE(1,2),DATA,TN2
*VFILL,VALUE(1,3),DATA,ABS(TN2/285)
/COM
/OUT,vm116,vrt
/COM,------------------- VM116 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.2)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm116,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM115 Input Listing 		Up / Home Next
VM117 Input Listing


VM117 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM117
/PREP7
/TITLE, VM117, ELECTRIC CURRENT FLOWING IN A NETWORK
C*** BASIC ELECTRICAL ENGR, FITZGERALD AND HIGGIN BOTHAM, 2ND ED, P. 22, EX. 1-11
ANTYPE,STATIC
ET,1,LINK68              ! THERMAL-ELECTRICAL LINE ELEMENT
MP,RSVX,1,1              ! UNIT RESISTIVITY
R,1,(1/20)               ! AREAS INPUT TO GIVE REQUIRED RESISTANCE
R,2,(1/10)               !  AS PER RESISTANCE=RSVX*L/AREA
R,3,(SQRT(2)/9)
R,4,(1/30)
R,5,(1/90)
N,1
N,2,,1
NGEN,2,2,1,2,1,1
E,1,2                    ! BRANCH 1-2, 20 OHM
REAL,2                   ! BRANCH 1-3, 10 OHM
E,1,3
REAL,3                   ! BRANCH 2-3, 9  OHM
E,2,3
REAL,4                   ! BRANCH 2-4, 30 OHM
E,2,4
REAL,5                   ! BRANCH 3-4, 90 OHM
E,3,4
KBC,1                    ! STEP BOUNDARY CONDITIONS
D,4,VOLT,100             ! NODAL VOLTAGE
D,1,VOLT,0               ! GROUND NODE
OUTPR,ALL,1
OUTPR,VENG,NONE
FINISH
/SOLU
SOLVE
FINISH
/POST1
ETABLE,CUR,NMISC,5
PRETAB,CUR               ! PRINT CURRENT FOR ALL BRANCHES
*GET,I42,ELEM,4,ETAB,CUR ! CURRENT IN BRANCH 4-2
*GET,I43,ELEM,5,ETAB,CUR ! CURRENT IN BRANCH 4-3
I14=I42+I43              ! CURRENT THROUGH BATTERY (BRANCH 1-4)
*GET,I21,ELEM,1,ETAB,CUR
*GET,I31,ELEM,2,ETAB,CUR
*GET,I23,ELEM,3,ETAB,CUR
*GET,V1,NODE,1,VOLT
*GET,V2,NODE,2,VOLT
*GET,V3,NODE,3,VOLT
*GET,V4,NODE,4,VOLT
*DIM,LABEL,CHAR,10,2
*DIM,VALUE,,10,3
LABEL(1,1) = 'V1, VOLT','V2, VOLT','V3, VOLT','V4, VOLT','I2_1, AM'
LABEL(1,2) = 'S       ','S       ','S       ','S       ','PS      '
LABEL(6,1) = 'I3_1, AM','I2_3, AM','I4_2, AM','I4_3, AM','I1_4, AM'
LABEL(6,2) = 'PS      ','PS      ','PS      ','PS      ','PS      '
*VFILL,VALUE(1,1),DATA,0,28,19,100,1.4,1.9,1,2.4,.9,3.3
*VFILL,VALUE(1,2),DATA,V1,V2,V3,V4,ABS(I21),ABS(I31),ABS(I23),ABS(I42),ABS(I43),ABS(I14)
*VFILL,VALUE(1,3),DATA,0,ABS(V2/28),ABS(V3/19),ABS(V4/100),ABS(I21/1.4),ABS(I31/1.9)
*VFILL,VALUE(7,3),DATA,ABS(I23/1),ABS(I42/2.4 ),ABS(I43/.9),ABS(I14/3.3)
SAVE,TABLE_1
FINISH
/CLEAR,NOSTART
/PREP7
ANTYPE,STATIC
ET,1,CIRCU124,0
ET,2,CIRCU124,4
MP,RSVX,1,1              ! UNIT RESISTIVITY
R,1,20
R,2,10
R,3,9
R,4,30
R,5,90
R,6,100
N,1
N,2,,1
NGEN,2,2,1,2,1,1
N,5,2,.5
E,1,2                    ! BRANCH 1-2, 20 OHM
REAL,2                   ! BRANCH 1-3, 10 OHM
E,1,3
REAL,3                   ! BRANCH 2-3, 9  OHM
E,2,3
REAL,4                   ! BRANCH 2-4, 30 OHM
E,2,4
REAL,5                   ! BRANCH 3-4, 90 OHM
E,3,4
TYPE,2
REAL,6
E,4,1,5
KBC,1                    ! STEP BOUNDARY CONDITIONS
D,1,VOLT,0               ! GROUND NODE
OUTPR,ALL,1
OUTPR,VENG,NONE
FINISH
/SOLU
SOLVE
FINISH
/POST1
ETABLE,CUR,SMISC,2
PRETAB,CUR               ! PRINT CURRENT FOR ALL BRANCHES
*GET,I42,ELEM,4,ETAB,CUR ! CURRENT IN BRANCH 4-2
*GET,I43,ELEM,5,ETAB,CUR ! CURRENT IN BRANCH 4-3
I14=I42+I43              ! CURRENT THROUGH BATTERY (BRANCH 1-4)
*GET,I21,ELEM,1,ETAB,CUR
*GET,I31,ELEM,2,ETAB,CUR
*GET,I23,ELEM,3,ETAB,CUR
*GET,V1,NODE,1,VOLT
*GET,V2,NODE,2,VOLT
*GET,V3,NODE,3,VOLT
*GET,V4,NODE,4,VOLT
*DIM,LABEL,CHAR,10,2
*DIM,VALUE,,10,3
LABEL(1,1) = 'V1, VOLT','V2, VOLT','V3, VOLT','V4, VOLT','I2_1, AM'
LABEL(1,2) = 'S       ','S       ','S       ','S       ','PS      '
LABEL(6,1) = 'I3_1, AM','I2_3, AM','I4_2, AM','I4_3, AM','I1_4, AM'
LABEL(6,2) = 'PS      ','PS      ','PS      ','PS      ','PS      '
*VFILL,VALUE(1,1),DATA,0,28,19,100,1.4,1.9,1,2.4,.9,3.3
*VFILL,VALUE(1,2),DATA,V1,V2,V3,V4,ABS(I21),ABS(I31),ABS(I23),ABS(I42),ABS(I43),ABS(I14)
*VFILL,VALUE(1,3),DATA,0,ABS(V2/28),ABS(V3/19),ABS(V4/100),ABS(I21/1.4),ABS(I31/1.9)
*VFILL,VALUE(7,3),DATA,ABS(I23/1),ABS(I42/2.4 ),ABS(I43/.9),ABS(I14/3.3)
SAVE,TABLE_2
RESUME,TABLE_1
/COM
/OUT,vm117,vrt
/COM,------------------- VM117 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,LINK68:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,CIRCU124:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
/DELETE,TABLE_1
/DELETE,TABLE_2
FINISH
*LIST,vm117,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM116 Input Listing 		Up / Home Next
VM118 Input Listing


VM118 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM118
/PREP7
/TITLE, VM118, CENTERLINE TEMP. OF A HEAT GENERATING WIRE
C***      HEAT, MASS AND MOMENTUM TRANS., ROHSENOW AND CHOI, 2ND. PR., PAGE 106,
C***      EX. 6.5, USING PLANE55 ELEMENTS (PLANE ELEMENTS)
ANTYPE,STATIC                 ! THERMAL ANALYSIS
ET,1,PLANE55
MP,KXX,1,13
CSYS,1                        ! CYLINDRICAL COORDINATE SYSTEM
N,1,1E-10,-5                  ! USE NON-ZERO RADIUS SINCE NODE IS NOT AT THETA=0
N,6,(.375/12),-5
FILL
NGEN,2,10,1,6,1,,10
E,1,2,12,12
E,2,3,13,12
EGEN,4,1,2
CP,1,TEMP,2,12                 ! COUPLING TO ENSURE CIRCUMFERENTIAL SYMMETRY
CPSGEN,5,1,1
NSEL,S,LOC,X,(0.375/12)
SF,ALL,CONV,5,70
NSEL,ALL
BFE,ALL,HGEN,,111311.7         ! ELEMENT HEAT GENERATION
OUTPR,BASIC,1
FINISH
/SOLU
SOLVE
FINISH
/POST1
*GET,TEMP,NODE,6,TEMP           ! GET TEMPERATURE AT SURFACE NODE
PI=2*ASIN(1)
AREA=36*2*(0.375/12)*SIN(PI/36) ! COMPUTE AREA OF OUTER BOUNDARY
HRATE=AREA*5.0*(TEMP-70)        ! TOTAL HEAT DISSIPATION RATE
PRNSOL,TEMP                     ! PRINT NODAL TEMPERATURES
*status,parm                         ! SHOW STATUS
*GET,TCL,NODE,1,TEMP
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'T CL,   ','T S,    ','q,   BTU'
LABEL(1,2) = 'DEGREE F','DEGREE F','/hr     '
*VFILL,VALUE(1,1),DATA,419.9,417.9,341.5
*VFILL,VALUE(1,2),DATA,TCL,TEMP,HRATE
*VFILL,VALUE(1,3),DATA,ABS(TCL/419.9) ,ABS( TEMP/417.9 ),ABS(HRATE/341.5)
SAVE,TABLE1
FINISH

/PREP7
C***      USING SOLID70 ELEMENTS (SOLID ELEMENTS)
EDELE,ALL                       ! DELETE PLANE55 ELEMENTS
ET,1,SOLID70                    ! CHANGE ELEMENT TYPE
NGEN,2,20,1,16,1,,,-1           ! GENERATE 2ND PLANE OF NODES
NUMCMP,ELEM
E,1,2,12,12,21,22,32,32
E,2,3,13,12,22,23,33,32
EGEN,4,1,2
CPDELE,1,6,1                    ! REMOVE PREVIOUS COUPLING SPECIFICATIONS
CP,1,TEMP,1,21                  ! COUPLING TO ENSURE AXIAL SYMMETRY
CP,2,TEMP,2,12,22,32            ! COUPLING TO ENSURE CIRCUMFERENTIAL SYMMETRY
CPSGEN,5,1,2
CSYS,1
NSEL,S,LOC,X,(0.375/12)
SF,ALL,CONV,5,70
NSEL,ALL
BFE,ALL,HGEN,1,111311.7         ! ELEMENT HEAT GENERATION
FINISH
/SOLU
SOLVE
FINISH
/POST1
*GET,TEMP,NODE,6,TEMP            ! GET TEMPERATURE AT SURFACE NODE
PI=2*ASIN(1)
AREA=36*2*(0.375/12)*SIN(PI/36)  ! LENGTH ALONG 10 DEG ON OUTER FACE
HRATE=AREA*5.0*(TEMP-70)         ! TOTAL HEAT DISSIPATION RATE
PRNSOL,TEMP                      ! PRINT NODAL TEMPERATURES
*status,parm                          ! SHOW PARAMETER STATUS
*GET,TCL,NODE,1,TEMP
LABEL(1,1) = 'T CL,   ','T S,    ','q,   BTU'
LABEL(1,2) = 'DEGREE F','DEGREE F','/hr     '
*VFILL,VALUE(1,1),DATA,419.9,417.9,341.5
*VFILL,VALUE(1,2),DATA,TCL,TEMP,HRATE
*VFILL,VALUE(1,3),DATA,ABS(TCL/419.9) ,ABS( TEMP/417.9 ), ABS(HRATE/341.5)
SAVE,TABLE2
RESUME,TABLE1
/COM
/OUT,vm118,vrt
/COM,------------------- VM118 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,STIF55 RESULTS:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/NOPR
RESUME,TABLE2
/GOPR
/COM,
/COM,STIF70 RESULTS:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm118,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM117 Input Listing 		Up / Home Next
VM119 Input Listing


VM119 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM119
/PREP7
/TITLE, VM119, CENTERLINE TEMP. OF AN ELECTRICAL WIRE
C***      HEAT, MASS AND MOMENTUM TRANS., ROHSENOW AND CHOI, 2ND. PR., PAGE 106,
C***      EX. 6.5, USING PLANE67 ELEMENTS (PLANE ELEMENTS)
!
ANTYPE,STATIC                 ! THERMAL (ELECTRICAL) ANALYSIS
ET,1,PLANE67,,,1              ! AXISYMMETRIC ELEMENTS
MP,KXX,1,13                   ! CONDUCTIVITY
MP,RSVX,1,8.983782E-8         ! RESISTIVITY
N,1
N,6,(.375/12)
FILL
NGEN,2,10,1,6,1,,1
E,11,1,2,12
EGEN,5,1,1
CP,1,TEMP,1,11                ! COUPLING TO ENSURE AXIAL SYMMETRY
CPSGEN,6,1,1
D,1,VOLT,,,6                  ! NODAL VOLTAGE
D,11,VOLT,-0.1,,16
NSEL,S,LOC,X,(0.375/12)
SF,ALL,CONV,5,70
NSEL,ALL
FINISH
/SOLU
OUTPR,ALL,1                   ! USE TIME STEP OPTIMIZATION
OUTPR,VENG,NONE
KBC,1                         ! STEP BOUNDARY CONDITIONS
SOLVE
FINISH
/POST1
*GET,TEMP,NODE,6,TEMP         ! GET TEMPERATURE AT SURFACE NODE
PI=2*ASIN(1)
AREA=2*PI*(0.375/12)          ! COMPUTE AREA OF OUTER FACE (360 DEG)
HRATE=AREA*5.0*(TEMP-70)      ! TOTAL HEAT DISSIPATION RATE
PRNSOL,TEMP                   ! PRINT NODAL TEMPERATURES
*status,parm                       ! SHOW PARAMETER STATUS
*GET,TCL,NODE,1,TEMP
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'T CL,   ','T S,    ','q,   BTU'
LABEL(1,2) = 'DEGREE F','DEGREE F','/hr     '
*VFILL,VALUE(1,1),DATA,419.9,417.9,341.5
*VFILL,VALUE(1,2),DATA,TCL,TEMP,HRATE
*VFILL,VALUE(1,3),DATA,ABS(TCL/419.9) ,ABS( TEMP/417.9 ),ABS (HRATE/341.5)
SAVE,TABLE1
FINISH
!
/CLEAR, NOSTART ! CLEAR DATABASE FOR PLANE223 MODEL
/PREP7
/TITLE, VM119, CENTERLINE TEMP. OF AN ELECTRICAL WIRE
C***      USING PLANE223 ELEMENTS (PLANE ELEMENTS)
!
ANTYPE,STATIC                 ! THERMAL (ELECTRICAL) ANALYSIS
ET,1,PLANE223,110,,1          ! AXISYMMETRIC ELEMENTS
MP,KXX,1,13                   ! CONDUCTIVITY
MP,RSVX,1,8.983782E-8         ! RESISTIVITY
N,1
N,6,(.375/12)
FILL
NGEN,2,10,1,6,1,,1
E,11,1,2,12
EGEN,5,1,1
CP,1,TEMP,1,11                ! COUPLING TO ENSURE AXIAL SYMMETRY
CPSGEN,6,1,1
D,1,VOLT,,,6                  ! NODAL VOLTAGE
D,11,VOLT,-0.1,,16
NSEL,S,LOC,X,(0.375/12)
SF,ALL,CONV,5,70
NSEL,ALL
FINISH
/SOLU
OUTPR,ALL,1                   ! USE TIME STEP OPTIMIZATION
OUTPR,VENG,NONE
KBC,1                         ! STEP BOUNDARY CONDITIONS
SOLVE
FINISH
/POST1
*GET,TEMP,NODE,6,TEMP         ! GET TEMPERATURE AT SURFACE NODE
PI=2*ASIN(1)
AREA=2*PI*(0.375/12)          ! COMPUTE AREA OF OUTER FACE (360 DEG)
HRATE=AREA*5.0*(TEMP-70)      ! TOTAL HEAT DISSIPATION RATE
PRNSOL,TEMP                   ! PRINT NODAL TEMPERATURES
*status,parm                       ! SHOW PARAMETER STATUS
*GET,TCL,NODE,1,TEMP
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'T CL,   ','T S,    ','q,   BTU'
LABEL(1,2) = 'DEGREE F','DEGREE F','/hr     '
*VFILL,VALUE(1,1),DATA,419.9,417.9,341.5
*VFILL,VALUE(1,2),DATA,TCL,TEMP,HRATE
*VFILL,VALUE(1,3),DATA,ABS(TCL/419.9) ,ABS( TEMP/417.9 ),ABS (HRATE/341.5)
SAVE,TABLE2
FINISH
!
/CLEAR, NOSTART ! CLEAR DATABASE FOR SOLID69 MODEL
/PREP7
/TITLE, VM119, CENTERLINE TEMP. OF AN ELECTRICAL WIRE
C***      USING SOLID69 ELEMENTS (SOLID ELEMENTS)
ANTYPE,STATIC                 ! THERMAL (ELECTRICAL) ANALYSIS
ET,1,SOLID69
MP,KXX,1,13                   ! CONDUCTIVITY
MP,RSVX,1,8.983782E-8         ! RESISTIVITY
CSYS,1                        ! CYLINDRICAL COORDINATE SYSTEM
N,1,1E-10,-5                  ! USE NON-ZERO RADIUS SINCE NODE IS NOT AT THETA=0
N,6,(.375/12),-5
FILL
N,11,1E-10,5
N,16,.03125,5
FILL
NGEN,2,20,1,16,1,,,-1
E,1,2,12,12,21,22,32,32
E,2,3,13,12,22,23,33,32
EGEN,4,1,2
CP,1,TEMP,1,21                ! COUPLING TO ENSURE AXIAL SYMMETRY
CP,2,TEMP,2,12,22,32          ! COUPLING TO ENSURE CIRCUMFERENTIAL SYMMETRY
CPSGEN,5,1,2
D,1,VOLT,,,16
D,21,VOLT,-.1,,36
NSEL,S,LOC,X,(0.375/12)
SF,ALL,CONV,5,70
NSEL,ALL
FINISH
/SOLU
OUTPR,ALL,1
OUTPR,VENG,NONE
SOLVE
FINISH
/POST1
*GET,TEMP,NODE,6,TEMP         ! GET TEMPERATURE AT SURFACE NODE
PI=2*ASIN(1)
LENG=2*(0.375/12)*SIN(PI/36)  ! LENGTH ALONG 10 DEG ON OUTER FACE
AREA=LENG*36                  ! COMPUTE AREA OF OUTER FACE (360 DEG)
HRATE=AREA*5.0*(TEMP-70)      ! TOTAL HEAT DISSIPATION RATE
PRNSOL,TEMP                   ! PRINT NODAL TEMPERATURES
*status,parm                       ! SHOW PARAMETER STATUS
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
*GET,TCL,NODE,1,TEMP
LABEL(1,1) = 'T CL,   ','T S,    ','q,   BTU'
LABEL(1,2) = 'DEGREE F','DEGREE F','/hr     '
*VFILL,VALUE(1,1),DATA,419.9,417.9,341.5
*VFILL,VALUE(1,2),DATA,TCL,TEMP,HRATE
*VFILL,VALUE(1,3),DATA,ABS(TCL/419.9) ,ABS( TEMP/417.9 ),ABS (HRATE/341.5)
SAVE,TABLE3
FINISH
!
/CLEAR, NOSTART ! CLEAR DATABASE FOR SOLID226 MODEL
/PREP7
/TITLE, VM119, CENTERLINE TEMP. OF AN ELECTRICAL WIRE
C***      USING SOLID226 ELEMENTS (SOLID ELEMENTS)
ANTYPE,STATIC                 ! THERMAL (ELECTRICAL) ANALYSIS
ET,1,SOLID226,110
MP,KXX,1,13                   ! CONDUCTIVITY
MP,RSVX,1,8.983782E-8         ! RESISTIVITY
CSYS,1                        ! CYLINDRICAL COORDINATE SYSTEM
N,1,1E-10,-5                  ! USE NON-ZERO RADIUS SINCE NODE IS NOT AT THETA=0
N,6,(.375/12),-5
FILL
N,11,1E-10,5
N,16,.03125,5
FILL
NGEN,2,20,1,16,1,,,-1
E,1,2,12,12,21,22,32,32
E,2,3,13,12,22,23,33,32
EGEN,4,1,2
CP,1,TEMP,1,21                ! COUPLING TO ENSURE AXIAL SYMMETRY
CP,2,TEMP,2,12,22,32          ! COUPLING TO ENSURE CIRCUMFERENTIAL SYMMETRY
CPSGEN,5,1,2
D,1,VOLT,,,16
D,21,VOLT,-.1,,36
NSEL,S,LOC,X,(0.375/12)
SF,ALL,CONV,5,70
NSEL,ALL
FINISH
/SOLU
OUTPR,ALL,1
OUTPR,VENG,NONE
SOLVE
FINISH
/POST1
*GET,TEMP,NODE,6,TEMP         ! GET TEMPERATURE AT SURFACE NODE
PI=2*ASIN(1)
LENG=2*(0.375/12)*SIN(PI/36)  ! LENGTH ALONG 10 DEG ON OUTER FACE
AREA=LENG*36                  ! COMPUTE AREA OF OUTER FACE (360 DEG)
HRATE=AREA*5.0*(TEMP-70)      ! TOTAL HEAT DISSIPATION RATE
PRNSOL,TEMP                   ! PRINT NODAL TEMPERATURES
*status,parm                       ! SHOW PARAMETER STATUS
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
*GET,TCL,NODE,1,TEMP
LABEL(1,1) = 'T CL,   ','T S,    ','q,   BTU'
LABEL(1,2) = 'DEGREE F','DEGREE F','/hr     '
*VFILL,VALUE(1,1),DATA,419.9,417.9,341.5
*VFILL,VALUE(1,2),DATA,TCL,TEMP,HRATE
*VFILL,VALUE(1,3),DATA,ABS(TCL/419.9) ,ABS( TEMP/417.9 ),ABS (HRATE/341.5)
SAVE,TABLE4
!
RESUME,TABLE1
/COM
/OUT,vm119,vrt
/COM,------------------- VM119 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,PLANE67 RESULTS:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,----------------------------------------------------------
/NOPR
RESUME,TABLE2
/GOPR
/COM,
/COM,PLANE223 RESULTS:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,----------------------------------------------------------
/NOPR
RESUME,TABLE3
/GOPR
/COM,
/COM,SOLID69 RESULTS:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,----------------------------------------------------------
/NOPR
RESUME,TABLE4
/GOPR
/COM,
/COM,SOLID226 RESULTS:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm119,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM118 Input Listing 		Up / Home Next
VM120 Input Listing


VM120 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM120
/PREP7
SMRT,OFF
/TITLE, VM120,  MICROSTRIP TRANSMISSION LINE ANALYSIS
! BEREN AND KAIRES (REF. 56)
ANTYPE,STATIC                       ! ELECTROSTATIC ANALYSIS
ET,1,PLANE121                       ! USE 2-D 8-NODE ELECTROSTATIC ELEMENT
PER=8.85E-14                        ! DEFINE FREE-SPACE PERMITTIVITY
EMUNIT,EPZRO,PER
V1=1.5                              ! DEFINE STRIP POTENTIAL
V0=0.5                              ! DEFINE GROUND POTENTIAL
MP,PERX,1,10                        ! SUBSTRATE PERMITTIVITY
MP,PERX,2,1                         ! FREE SPACE PERMITTIVITY
K,1
K,2,5
K,3,,1
K,4,.5,1                            ! DEFINE GEOMETRY
K,5,5,1
K,6,,10
K,7,5,10
DESIZE,8,5,30
L,1,2
L,2,5
L,5,4
L,4,3
L,3,1
L,5,7
L,7,6
L,6,3
AL,1,2,3,4,5
AL,4,3,6,7,8
ASEL,S,AREA,,2
AATT,2
ASEL,ALL                           ! SET AREA ATTRIBUTES FOR AIR
AMESH,ALL
NSEL,S,LOC,Y,1                     ! SELECT NODES ON MICROSTRIP
NSEL,R,LOC,X,0,.5
CM,CON1,NODE
!D,ALL,VOLT,V1                      ! APPLY STRIP POTENTIAL
NSEL,S,LOC,Y,0
NSEL,A,LOC,Y,10
NSEL,A,LOC,X,5                     ! SELECT EXTERIOR NODES
CM,CON2,NODE
!D,ALL,VOLT,V0                      ! APPLY GROUND POTENTIAL
NSEL,ALL
FINISH
/SOLUTION
CMATRIX,2,'CON',2,0                ! CALCULATE CAPACITANCE USING CMATRIX MACRO
FINISH
/POST1
SET,LAST
ETABLE,EFX,EF,X                    ! STORE POTENTIAL FIELD GRADIENTS
ETABLE,EFY,EF,Y
/NUMBER,1
PLNSOL,VOLT                        ! DISPLAY EQUIPOTENTIAL LINES
/DIST,1,2.2                        ! FOCUS IN ON MICROSTRIP REGION
/FOCUS,1,2,1.5
PLVECT,EFX,EFY                     ! DISPLAY VECTOR ELECTRIC FIELD (VECTOR)
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'CAPACITA'
LABEL(1,2) = 'NCE,pF/m'
*VFILL,VALUE(1,1),DATA,178.1
*VFILL,VALUE(1,2),DATA,CMATRIX(1,1,1)*1E14
*VFILL,VALUE(1,3),DATA,ABS((CMATRIX(1,1,1)*1E14)/178.1)
/COM
/OUT,vm120,vrt
/COM,------------------- VM120 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm120,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM119 Input Listing 		Up / Home Next
VM121 Input Listing


VM121 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM121
/TITLE,VM121, LAMINAR FLOW THROUGH A PIPE WITH UNIFORM HEAT FLUX

! REFERENCES:  1. "FLUID MECHANICS," WHITE F., MCGRAW-HILL, 1979.
!              2. "FUNDAMENTALS OF HEAT TRANSFER," INCROPERA, F., &
!                  DEWITT, D., JOHN WILEY & SONS, 1981.

/PREP7
SMRT,OFF
ET,1,FLUID141,,,2                       ! 2D AXISYMMETRIC XR SYSTEM

MSHK,1                                  ! MAPPED AREA MESH
MSHA,0,2D                               ! USE QUADS

PI   = ACOS(-1)
L    = 0.1                              ! PIPE LENGTH (M)
R    = 0.0025                           ! PIPE RADIUS (M)
PIN  = 1.0                              ! INLET PRESSURE (PA)
TIN  = 300.0                            ! INLET TEMPERATURE (K)
QW   = 5000.0                           ! WALL HEAT FLUX (W/M**2)
RHO  = 13529.0                          ! FLUID DENSITY (KG/M**3)
MU   = 1.523E-03                        ! FLUID VISCOSITY (KG/(M*SEC))
K    = 8.54                             ! FLUID THERMAL CONDUCTIVITY (W/(M*K))
CP   = 139.3                            ! FLUID SPECIFIC HEAT (J/(KG*K))

RECTNG,,L,,R
LSEL,S,,,2,4,2
LESIZE,ALL,,,12,-2                      ! GRADED RADIAL LINE DIVISIONS
LSEL,INVE
LESIZE,ALL,,,100,1                      ! GRADED AXIAL LINE DIVISIONS
ALLSEL
AMESH,1

LSEL,S,,,3                              ! NO-SLIP WALL BOUNDARY
NSLL,S,1
D,ALL,VX
D,ALL,VY
SF,ALL,HFLUX,QW

LSEL,S,,,1                              ! SYMMETRY BOUNDARY
NSLL,S,1
D,ALL,VY

LSEL,S,,,4                              ! INLET BOUNDARY
NSLL,S,1
D,ALL,VY
D,ALL,PRES,PIN
D,ALL,TEMP,TIN

LSEL,S,,,2                              ! OUTLET BOUNDARY
NSLL,S,1
D,ALL,VY
D,ALL,PRES
ALLSEL
FINISH

/SOLU
FLDATA,ITER,EXEC,300                    ! # OF GLOBAL ITERATIONS
FLDATA,ITER,CHEC,10                     ! CHECKPOINT FREQUENCY
FLDATA,TEMP,NOMI,TIN                    ! NOMINAL TEMPERATURE
FLDATA,NOMI,DENS,RHO                    ! FLUID DENSITY
FLDATA,NOMI,VISC,MU                     ! FLUID VISCOSITY
FLDATA,NOMI,COND,K                      ! FLUID THERMAL CONDUCTIVITY
FLDATA,NOMI,SPHT,CP                     ! FLUID SPECIFIC HEAT
FLDATA,OUTP,TAUW,T                      ! OUTPUT WALL SHEAR STRESS
SAVE
/out,scratch
SOLVE
/out

FLDATA,ITER,EXEC,50                     ! # OF GLOBAL ITERATIONS
FLDATA,SOLU,TEMP,T                      ! ACTIVATE ENERGY EQUATION
FLDATA,SOLU,FLOW,F                      ! DEACTIVATE FLOW EQUATIONS
FLDATA,RELX,TEMP,1.0                    ! NO RELAXATION FOR TEMP
/out,scratch
SOLVE
/out
FINISH

/POST1
SET,LAST

/RATIO,,,10                             ! EXPAND Y-DISPLAY BY FACTOR OF 10
EPLOT

/EDGE,1,1
/CONTOUR,1,27
/TITLE,CONTOURS OF AXIAL VELOCITY
PLNSOL,VX                               ! PLOT CONTOURS OF AXIAL VELOCITY
VXC = VX(2)                             ! GET CENTERLINE AXIAL VELOCITY

PATH,PIPE,2,,48                         ! DEFINE PATH WITH NAME = "PIPE"
PPATH,1,,L,0,0                          ! DEFINE PATH POINTS BY LOCATION
PPATH,2,,L,R,0
PDEF,VX,VX                              ! MAP VX TO PATH
PDEF,TEMP,TEMP                          ! MAP TEMP TO PATH

PCALC,MULT,PROD1,VX,S                   ! MULTIPLY VX TIMES R COORDINATE
PCALC,INTG,VXM,PROD1,S,2/R**2           ! INTEGRATE AXIAL VELOCITY ALONG PATH
*GET,VXM,PATH,,LAST,VXM                 ! GET MEAN AXIAL VELOCITY

MDOT = RHO*VXM*PI*R**2                  ! DETERMINE MASS FLOW RATE

/TITLE,CONTOURS OF WALL SHEAR STRESS
PLNSOL,TAUW                             ! PLOT CONTOURS OF WALL SHEAR STRESS
*GET,TAU,PLNSOL,,MAX                    ! GET WALL SHEAR STRESS

PCALC,MULT,PROD2,VX,TEMP                ! MULTIPLY VX TIMES TEMP
PCALC,MULT,PROD3,PROD2,S                ! MULTIPLY ABOVE TIMES R COORDINATE
PCALC,INTG,TM,PROD3,S,2/VXM/R**2        ! INTEGRATE TEMPERATURE ALONG PATH
*GET,TM_O,PATH,,LAST,TM                 ! GET OUTLET MEAN TEMPERATURE

/TITLE,CONTOURS OF TEMPERATURE
PLNSOL,TEMP                             ! PLOT CONTOURS OF TEMPERATURE
*GET,TW_O,PLNSOL,,MAX                   ! GET OUTLET WALL TEMPERATURE
TC_O = TEMP(2)                          ! GET OUTLET CENTERLINE TEMPERATURE

*STATUS,PARM                                 ! LIST CURRENT PARAMETER VALUES
/RATIO
/TITLE,AXIAL VELOCITY PROFILE, VX(R)
/AXLAB,X,RADIAL COORDINATE, (M)
/AXLAB,Y,VELOCITY, (M/SEC)
/DEVICE,RASTOR,ON
PLPATH,VX                               ! PLOT VX ALONG PATH

/TITLE,OUTLET TEMPERATURE PROFILE, T(R)
/AXLAB,Y,TEMPERATURE, (K)
PLPATH,TEMP                             ! PLOT TEMP ALONG PATH

FINISH
/DELETE,vm121,pfl
/DELETE,vm121,rsw
*DIM,LABEL,CHAR,7,2
*DIM,VALUE,,7,3
LABEL(1,1) = 'VXC, ','VXM, ','MSFL, ','PRESS, ','Tmo, ','Two, ','Tco, '
LABEL(1,2) = 'cm/s ','cm/s ','kg/s ','Pa ','K ','K ','K '
*VFILL,VALUE(1,1),DATA,1.026,.513,.00136,.0125,341.4,342.2,341.0
*VFILL,VALUE(1,2),DATA,VXC*100,VXM*100,MDOT,TAU,TM_O,TW_O,TC_O
V1 = (VXC*100/1.026)
V2 = (VXM*100/.513)
V3 = (MDOT/.00136)
V4 = (TAU/.0125)
V5 = (TM_O/341.4)
V6 = (TW_O/342.2)
V7 = (TC_O/341.)
*VFILL,VALUE(1,3),DATA,V1,V2,V3,V4,V5,V6,V7
/COM
/OUT,vm121,vrt
/COM,------------------- VM121 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm121,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM120 Input Listing 		Up / Home Next
VM122 Input Listing


VM122 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM122
/PREP7
/TITLE, VM122, PRESSURE DROP IN A FLOWING FLUID
C***    FLUID MECHANICS, BINDER, 3RD. ED., PAGE 118, ART. 8-6
ET,1,FLUID116,2             ! Use only pressure degrees of freedom
keyo,1,7,1
R,1,6                       ! DIAMETER
MP,DENS,1,8.411E-5          ! BENZENE MASS DENSITY
MP,MU,1,.016                ! FRICTION FACTOR
N,1
N,2,2400
E,1,2
D,2,PRES,0                  ! OUTLET REFERENCE PRESSURE
F,1,FLOW,121.3/386.4        ! INLET MASS FLOWRATE
OUTPR,BASIC,1
OUTPR,NLOAD,1
FINISH
/SOLU
SOLVE
*GET,DELTAP,NODE,1,PRES
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'DELTA P'
LABEL(1,2) = ',(PSI)'
*VFILL,VALUE(1,1),DATA,4.69
*VFILL,VALUE(1,2),DATA,DELTAP
*VFILL,VALUE(1,3),DATA,ABS(DELTAP/4.69)
/OUT,vm122,vrt
/COM
/COM,------------------- VM122 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm122,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM121 Input Listing 		Up / Home Next
VM123 Input Listing


VM123 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM123
/PREP7
/TITLE, VM123, LAMINAR FLOW IN A PIPING SYSTEM
C***    FLOW OF FLUIDS, CRANE TECH. PAPER NO. 410, PAGE 4-5, EX. 4-9
ET,1,FLUID116,2     ! THERMAL-FLOW PIPE
R,1,.4206           ! PIPE DIAMETER
rmore
rmore,,53           ! LOSS LENGTH
MP,DENS,1,1.7546    ! MASS DENSITY OF OIL
MP,MU,1,.05         ! INITIAL FRICTION FACTOR
MP,VISC,1,.010032   ! OIL VISCOSITY
N,1
N,2,300
E,1,2
D,2,PRES,0          ! OUTLET REFERENCE PRESSURE
F,1,FLOW,75.53/32.2 ! INLET MASS FLOW
OUTPR,BASIC,1
OUTPR,NLOAD,1
FINISH
/SOLU
SOLVE
FINISH
/POST1
ETABLE,RE,NMISC,2
ESORT,RE
*GET,REY,SORT,,MAX
*GET,DELTAP,NODE,1,PRES
*status,parm
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'DELTA P ','Re'
LABEL(1,2) = 'lb/ft/ft '
*VFILL,VALUE(1,1),DATA,6160,708
*VFILL,VALUE(1,2),DATA,DELTAP,REY
*VFILL,VALUE(1,3),DATA,ABS(DELTAP/6160),ABS(REY/708)
/OUT,vm123,vrt
/COM
/COM,------------------- VM123 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm123,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM122 Input Listing 		Up / Home Next
VM124 Input Listing


VM124 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM124
/PREP7
/TITLE, VM124, DISCHARGE OF WATER FROM A RESERVOIR
C***    ELEMENTARY THEORETICAL FLUID MECHANICS, BRENKERT, PAGE 224, PROB. 4
ET,1,FLUID116,2      ! FLOW PIPE WITH LOSS COEFFICIENTS
KEYO,1,7,3
KEYO,1,8,1
DENS = 1.94
MP,DENS,1,DENS
MP,MU,1,.025
MP,VISC,1,2.36E-5
TB,FCON              ! NON-LINEAR FRICTION FACTOR TABLE
TBPT,,1e5,0.028
TBPT,,3e5,0.028
TBPT,,5e5,0.028
TBPT,,7e5,0.028
TBPT,,9e5,0.028
TBPT,,1e6,0.028
ACELY = 32.2
R,1,.25
RMORE
RMORE,10*ACELY*DENS  ! INCLUDE PUMP HEAD
R,2,.25
RMORE
RMORE,,.5            ! INCLUDE SHARP-EDGE LOSS
R,3,.25
RMORE
RMORE,,.9            ! INCLUDE ELBOW LOSS
R,4,.25
RMORE
RMORE,,.9            ! INCLUDE ELBOW LOSS
N,1,-.01,10
N,2,    ,10
N,3,20,  10
N,4,20
N,5,90
E,1,2
EGEN,4,1,-1,,,,,1    ! INCREMENT REAL CONSTANTS
ACEL,,ACELY          ! GRAVITY LOAD
D,1,PRES,,,5,4       ! WATER SURFACE AND PIPE OUTLET AT ZERO PRESSURE
CNVTOL,FLOW,1,.0001  ! SET CONVERGENCE VALUE FOR FLUID FLOW WITH
                     !  TOLERANCE LIMIT
OUTPR,,1             ! PRINT BASIC SOLUTION QUANTITIES OF SUBSTEP 1
FINISH
/SOLU
SOLVE
FINISH
/POST1
ETABLE,R,NMISC,2
ESORT,R
*GET,RE,SORT,,MAX
ETABLE,FL,NMISC,3
ESORT,FL
*GET,FLOW,SORT,,MAX
*status,parm
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'FLOW RT. ','Re'
LABEL(1,2) = 'lb/sec '
*VFILL,VALUE(1,1),DATA,0.898,1.94E5
*VFILL,VALUE(1,2),DATA,FLOW,RE
*VFILL,VALUE(1,3),DATA,ABS(FLOW/0.898),ABS(RE/1.94E5)
/OUT,vm124,vrt
/COM
/COM,------------------- VM124 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,' ',F12.3,F12.3,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm124,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM123 Input Listing 		Up / Home Next
VM125 Input Listing


VM125 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM125
/PREP7
/TITLE, VM125, RADIATION HEAT TRANSFER BETWEEN CONCENTRIC CYLINDERS
C*** PRINCIPLES OF HEAT TRANSFER, KREITH, 2ND PRINTING, PAGE 260
ANTYPE,STATIC
ET,1,LINK32,,,,,,,1    ! HEAT CONDUCTING BAR; SUPPRESS SOLUTION OUTPUT
R,1,1                  ! UNIT CROSS-SECTIONAL AREA (ARBITRARY)
MP,KXX,1,1             ! ARBITRARY CONDUCTIVITY DEFINED FOR
MP,KXX,2,1             !        INNER AND OUTER CYLINDERS
K,1
K,2,0,0,-1
K,3,-5
K,4,0,0,1
CIRCLE,1,1,2,3,,18     ! INNER CIRCLE; GENERATED CLOCKWISE
MAT,1
ESIZE,,1
LMESH,ALL
CIRCLE,1,2,4,3,,18     ! OUTER CIRCLE; GENERATED ANTI-CLOCKWISE
MAT,2
LMESH,19,36
FINISH
/AUX12
EMIS,1,.7
EMIS,2,.5
VTYPE,0                ! HIDDEN PROCEDURE FOR VIEW FACTORS
GEOM,1                 ! GEOMETRY SPECIFICATION 2-D
WRITE,VM125            ! WRITE RADIATION MATRIX TO FILE VM125.SUB
FINISH
/PREP7
DOF,TEMP
ET,2,MATRIX50,1,,,,,1  ! SUPERELEMENT (RADIATION MATRIX)
TYPE,2
SE,VM125
TOFFST,460.0           ! TEMPERATURE OFFSET FOR ABSOLUTE SCALE
LSEL,S,LINE,,1,18
NSLL,S,1               ! SELECT INNER CYLINDER NODES
D,ALL,TEMP,540         ! T1 = 540 + 460 = 1000 DEG. R.
LSEL,S,LINE,,19,36
NSLL,S,1               ! SELECT OUTER CYLINDER NODES
D,ALL,TEMP,0.0         ! T2 = 460 DEG. R.
NSEL,ALL
LSEL,ALL
FINISH
/SOLU
SOLVE
FINISH
/POST1
ESEL,S,ELEM,,1,18      ! SELECT INNER ELEMENTS
NSLE                   ! AND ASSOCIATED NODES
PRRSOL                 ! PRINT HEAT FLOW FROM INNER TO OUTER CYLINDER
NSEL,INVE
PRRSOL                 ! PRINT HEAT FLOW FROM OUTER TO INNER CYLINDER
ESEL,ALL
FSUM,HEAT
*GET,Q,FSUM,0,ITEM,HEAT
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'Q(BTU/hr'
LABEL(1,2) = '-in)'
*VFILL,VALUE(1,1),DATA,37
*VFILL,VALUE(1,2),DATA,Q
*VFILL,VALUE(1,3),DATA,ABS(Q/37)
/COM
/OUT,vm125,vrt
/COM,------------------- VM125 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,-----------------------------------------------------------
/COM,
/OUT
FINISH
/DELETE,VM125,sub
*LIST,vm125,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM124 Input Listing 		Up / Home Next
VM126 Input Listing


VM126 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM126
/PREP7
/TITLE, VM126, HEAT TRANSFERRED TO A FLOWING FLUID
C***    HEAT, MASS AND MOMENTUM TRANS, ROHSENOW AND CHOI, PAGE 168, EX 7.5
ET,1,FLUID116,1,4,,1                    ! THERMAL-FLOW PIPE ELEMENT
ET,2,FLUID116,1
R,1,(1/12),.00545415                    ! DIAMETER
RMORE,,,1.63,.08,.7,.35                 ! FLOW DEPENDENT FILM COEFF.
MP,KXX,1,.017				! BTU/hr-ft-F
MP,DENS,1,1.4377E-10			! lbf-hr**2/ft**4
MP,C,1,1.002e8				! BTU-ft/lbf-hr**2-F
MP,VISC,1,1.17418E-10			! lbf-hr/ft**2
N,1
N,19,,,.46875                           ! NODE JUST BEYOND
FILL,1,19,8,3,2                         ! NODES ALONG PIPE AXIS
N,2
N,18
FILL,2,18,7,4,2                         ! CONVECTION NODES (ARBITRARY LOCATION)
TYPE,1
E,1,3,2,4
EGEN,8,2,1
type,2
E,17,19                                 ! EXTENSION ELEMENT
D,1,TEMP,100                            ! INLET AIR TEMPERATURE
D,2,TEMP,200,,18,2                      ! WALL TEMPERATURE
SFE,ALL,,HFLUX,,1.1321e-8               ! FLOW RATE INPUT  lbf-hr/ft
OUTPR,,LAST                             ! PRINT FINAL CONVERGED ITERATION
OUTPR,NLOAD,1
FINISH
/SOLU
EQSLV,JCG
SOLVE
FINISH
/POST1
ETABLE,HEAT,NMISC,5                     ! STORE HEAT TRANSPORT RATE
PRETAB,HEAT                             ! PRINT HEAT TRANSPORT RATES PER ELEMENT
NSEL,S,NODE,,1,19,2                     ! SELECT PIPE NODES
PRNSOL,TEMP                             ! PRINT TEMPERATURES ALONG PIPE LENGTH
*GET,TO,NODE,17,TEMP
ETABLE,HEAT,NMISC,5
ESORT,HEAT
*GET,QOUT,SORT,,MAX
*GET,QIN,SORT,,MIN
*status,parm
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'To ','Q(in)','Q(out)'
LABEL(1,2) = 'F ','BTU/hr','BTU/hr'
*VFILL,VALUE(1,1),DATA,123,113.28,139.33
*VFILL,VALUE(1,2),DATA,TO,QIN,QOUT
*VFILL,VALUE(1,3),DATA,ABS(TO/123),ABS(QIN/113.28),ABS(QOUT/139.33)
/COM
/OUT,vm126,vrt
/COM,------------------- VM126 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm126,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM125 Input Listing 		Up / Home Next
VM127 Input Listing


VM127 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM127
/PREP7
MP,PRXY,,0.3
/TITLE, VM127, BUCKLING OF A BAR WITH HINGED SOLVES (LINE ELEMENTS)
C***    STR. OF MATL., TIMOSHENKO, PART 2, 3RD ED., PAGE 148
ET,1,BEAM3                ! BEAM ELEMENT
R,1,.25,52083E-7,.5       ! AREA,IZZ,HEIGHT
MP,EX,1,30E6
N,1
N,11,,100
FILL
E,1,2
EGEN,10,1,1
FINISH
/SOLU
ANTYPE,STATIC             ! STATIC ANALYSIS
PSTRES,ON                 ! CALCULATE PRESTRESS EFFECTS
D,1,ALL                   ! FIX SYMMETRY END
F,11,FY,-1                ! UNIT LOAD AT FREE END
OUTPR,,1
SOLVE
FINISH
/SOLU
ANTYPE,BUCKLE             ! BUCKLING ANALYSIS
BUCOPT,LANB,1             ! USE BLOCK LANCZOS EIGENVALUE EXTRACTION METHOD, EXTRACT 1 MODE
MXPAND,1                  ! EXPAND 1 MODE SHAPE
SOLVE
*GET,FCR,MODE,1,FREQ
*status,parm
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'Fcr '
LABEL(1,2) = 'lb '
*VFILL,VALUE(1,1),DATA,38.553
*VFILL,VALUE(1,2),DATA,FCR
*VFILL,VALUE(1,3),DATA,ABS(FCR/38.553)
/COM
/OUT,vm127,vrt
/COM,------------------- VM127 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm127,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM126 Input Listing 		Up / Home Next
VM128 Input Listing


VM128 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM128
/PREP7
MP,PRXY,,0.3
/TITLE, VM128, BUCKLING OF A BAR WITH HINGED SOLVES (AREA ELEMENTS)
C***    STR. OF MATL., TIMOSHENKO, PART 2, 3RD ED., PAGE 148
ET,1,PLANE42,,,3          ! 2-D SOLID
R,1,.5                    ! THICKNESS (SQUARE CROSS-SECTION)
MP,EX,1,30E6
MP,PRXY,1,0.3
N,1
N,11,,100
FILL
NGEN,2,11,1,11,,.5
E,12,13,2,1
EGEN,10,1,1
FINISH
/SOLU
PSTRES,ON                 ! CALCULATE PRESTRESS EFFECTS
D,1,ALL,,,12,11           ! FIX SYMMETRY SOLVE
F,11,FY,-.5,,22,11        ! UNIT LOAD AT FREE END DIVIDED BETWEEN NODES
OUTPR,,1
SOLVE
FINISH
/SOLU
ANTYPE,BUCKLE             ! BUCKLING ANALYSIS
BUCOPT,SUBSP,1            ! USE SUBSPACE SOLUTION METHOD, EXTRACT 1 MODE
MXPAND,1                  ! EXPAND 1 MODE SHAPE
SOLVE
*GET,FCR,MODE,1,FREQ
*status,parm
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'Fcr '
LABEL(1,2) = 'lb '
*VFILL,VALUE(1,1),DATA,38.553
*VFILL,VALUE(1,2),DATA,FCR
*VFILL,VALUE(1,3),DATA,ABS(FCR/38.553)
/COM
/OUT,vm128,vrt
/COM,------------------- VM128 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM, Subspace Solution
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINI
/SOLVE
BUCOPT,LANB ,1            ! USE BLOCK LAN. SOLUTION METHOD, EXTRACT 1 MODE
SOLVE
*GET,FCR,MODE,1,FREQ
*status,parm
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'Fcr '
LABEL(1,2) = 'lb '
*VFILL,VALUE(1,1),DATA,38.553
*VFILL,VALUE(1,2),DATA,FCR
*VFILL,VALUE(1,3),DATA,ABS(FCR/38.553)
/COM
/OUT,vm128,vrt,,APPEND
/COM,
/COM, Block-Lanczos Solution
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm128,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM127 Input Listing 		Up / Home Next
VM129 Input Listing


VM129 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM129
/TITLE, VM129, NUMERICAL DIFFERENTIATION AND INTEGRATION USING APDL COMMAND
C***    REFERENCE - ANY BASIC CALCULUS BOOK
*DIM,A,,145                ! DEFINE ARRAYS WITH DIMENSION
*DIM,B,,145
*DIM,C,,145
*DIM,D,,145
*DIM,E,,145
*DIM,F,,145
*DIM,G,,145
*DIM,H,,145
*VFILL,A(1),RAMP,0,1       ! ARRAY A(N) : TIME IN SECOND
*VFACT,0.043633            ! MULTIPLYING FACTOR : FREQUENCY = (PI/72)
*VFUN,B(1),COPY,A(1)       ! RESULT ARRAY B(N)=FREQUENCY*A(N)
*VFUN,C(1),SIN,B(1)        ! ARRAY C(N) : SIN(B(N))
*VFACT,1.2732              ! MULTIPLYING FACTOR : AMPLITUDE A
*VFUN,D(1),COPY,C(1)       ! ARRAY D(N) : A*C(N)
*VOPER,E(1),D(1),DER1,A(1) ! ARRAY E(N) : FIRST DERIVATIVE OF D WRT TIME
*VOPER,F(1),D(1),INT1,A(1) ! ARRAY F(N) : SINGLE INTEGRAL (I1) OF D WRT TIME
*VOPER,G(1),D(1),DER2,A(1) ! ARRAY G(N) : SECOND DERIVATIVE OF D WRT TIME
*VOPER,H(1),D(1),INT2,A(1) ! ARRAY H(N) : DOUBLE INTEGRAL (I2) OF D WRT TIME
*VSCFUN,DERIV1,MAX,E(1)    ! MAXIMUM VALUE OF FIRST DERIVATIVE
*VSCFUN,DERIV2,MAX,G(1)    ! MAXIMUM VALUE OF SECOND DERIVATIVE
*status,parm                    ! LIST SCALAR PARAMETERS
*STATUS,F,37,37            ! LIST VALUE OF F(N) AT UPPER LIMIT (INTEGRAL I1)
*STATUS,H,37,37            ! LIST VALUE OF H(N) AT UPPER LIMIT (INTEGRAL I2)
*SET,INTER1,F(37,1,1)
*SET,INTER2,H(37,1,1)
*DIM,LABEL,CHAR,4,2
*DIM,VALUE,,4,3
LABEL(1,1) = '1ST DER ','2ND DER','1ST INT','2ND INT'
LABEL(1,2) = 'MAX','MAX','T(0-36)','T(0-36)'
*VFILL,VALUE(1,1),DATA,5.555E-2,2.424E-3,29.18,381.7
*VFILL,VALUE(1,2),DATA,DERIV1,DERIV2,INTER1,INTER2
DRV1=ABS(DERIV1/5.555E-2)
DRV2=ABS(DERIV2/2.424E-3)
INT1=ABS(INTER1/29.18)
INT2=ABS(INTER2/381.7)
*VFILL,VALUE(1,3),DATA,DRV1,DRV2,INT1,INT2
/COM
/OUT,vm129,vrt
/COM,------------------- VM129 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.6,'  ',F10.6,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm129,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM128 Input Listing 		Up / Home Next
VM130 Input Listing


VM130 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM130
/TITLE, VM130, FOURIER SERIES GENERATION FOR A SAW TOOTH WAVE
/COM    VIBRATION PROBS. IN ENGR., TIMOSHENKO, 3RD. ED., PAGE 102, PROB. 2
*DIM,COEFF,,24
*DIM,MODE,TABLE,24
*DIM,ISYM,TABLE,24
*DIM,THETA,TABLE,121
*DIM,CURVEI,TABLE,121                  ! CURVE INPUT TO PROGRAM
*DIM,CURVEO,TABLE,121                  ! CURVE WHICH WILL BE DEVELOPED
!                                        FROM GENERATED COEFFICIENTS
*VFILL,MODE(2),RAMP,1,2                ! ODD MODE NUMBERS
*VFILL,ISYM(2),RAMP,-1,0               ! ISYM = -1 (SINE)
*VFILL,THETA(1),RAMP,0,3               ! THETA VALUES INCREMENT 3 DEGREES
*VFILL,CURVEI(1),RAMP,0,1/30           ! WAVE DATA:  0 TO 90 DEG
*VFILL,CURVEI(31),RAMP,1,-1/30         !             90 TO 270 DEG
*VFILL,CURVEI(91),RAMP,-1,1/30         !             270 TO 360 DEG
!     CALCULATE FOURIER COEFFICIENT
*MFOURI,FIT, COEFF(1),MODE(1),ISYM(1),THETA(1),CURVEI(1)
!     EVALUATE SERIES BASED ON COEFFICIENTS
*MFOURI,EVAL,COEFF(1),MODE(1),ISYM(1),THETA(1),CURVEO(1)

*VWRITE                                ! WRITE OUTPUT IN TABULAR FORMAT
(///T14,'MODE',T24,'COEFF',T34,'ISYM',/)
*VWRITE,  MODE(1),COEFF(1),ISYM(1)
(T10,F10.4,T20,F10.4,T30,F10.4,T40,F10.4)

*VWRITE
(///T14,'THETA',T23,'CURVE IN',T34,'CURVE OUT',/)
*VWRITE, THETA(1),CURVEI(1),CURVEO(1)
(T10,F10.4,T20,F10.4,T30,F10.4)
/GFILE,500
JPEG,QUAL,100
/TRIAD,OFF
/PLOPTS,LOGO,0
/PLOPTS,INFO,2
/PLOPTS,WP,0
/RGB,INDEX,100,100,100,0
/RGB,INDEX,80,80,80,13
/RGB,INDEX,60,60,60,14
/RGB,INDEX,0,0,0,15
/YRANGE,-1.25,1.25,ALL
*VPLOT,THETA(1),CURVEI(1)            ! PLOT INPUT CURVE VERSUS THETA
/USER
/NOERASE
/COM OVERLAY THE OUTPUT CURVE ON THE INPUT CURVE
*VPLOT,THETA(1),CURVEO(1)    ! PLOT OUTPUT CURVE VERSUS THETA
*SET,M1,COEFF(2,1,1)
*SET,M3,COEFF(3,1,1)
*SET,M5,COEFF(4,1,1)
*SET,M7,COEFF(5,1,1)
*status,parm
*DIM,LABEL,CHAR,4,2
*DIM,VALUE,,4,3
LABEL(1,1) = 'M1 ','M2 ','M3 ','M4 '
LABEL(1,2) = 'COEF','COEF','COEF','COEF'
*VFILL,VALUE(1,1),DATA,.811,-.901E-1,.324E-1,-.165E-1
*VFILL,VALUE(1,2),DATA,M1,M3,M5,M7
*VFILL,VALUE(1,3),DATA,ABS(M1/.811),ABS(M3/(-.901E-1)),ABS(M5/(.324E-1)),ABS(M7/(-.165E-1))
/COM
/OUT,vm130,vrt
/COM,------------------- VM130 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm130,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM129 Input Listing 		Up / Home Next
VM131 Input Listing


VM131 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM131
/PREP7
/TITLE, VM131, ACCELERATION OF A ROTATING CRANE BOOM
C***    VECTOR MECHANICS FOR ENGINEERS, BEER & JOHNSTON, P 616, PROB. 15.13
ANTYPE,STATIC
ET,1,MASS21,,,2      ! GENERALIZED MASS WITHOUT ROTARY INERTIA
R,1,1                ! UNIT MASS
N,1,34.64,20
E,1
OMEGA,,,.5           ! ANGULAR VELOCITY OF RISING BOOM WRT GLOBAL
CGOMGA,,.3           ! ANGULAR VELOCITY OF CAB WRT REFERENCE SYSTEM
D,1,ALL
OUTRES,,1
OUTPR,RSOL,1
OUTPR,NLOAD,1
FINISH
/SOLU
SOLVE
NSEL,S,NODE,,1,1
FINI
/POST1
FSUM
*GET,AX,FSUM,,ITEM,FX
*GET,AY,FSUM,,ITEM,FY
*GET,AZ,FSUM,,ITEM,FZ
*status,parm
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'AX ','AY ','AZ '
LABEL(1,2) = 'ft/s/s','ft/s/s','ft/s/s'
*VFILL,VALUE(1,1),DATA,-11.78,-5,6
*VFILL,VALUE(1,2),DATA,(-1)*(AX),(-1)*(AY),(-1)*(AZ)
*VFILL,VALUE(1,3),DATA,ABS((-1)*AX/11.78),ABS((-1)*AY/5),ABS((-1)*AZ/6)
/COM
/OUT,vm131,vrt
/COM,------------------- VM131 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.2)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm131,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM130 Input Listing 		Up / Home Next
VM132 Input Listing


VM132 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM132
/PREP7
/TITLE, VM132, STRESS RELAXATION OF A BOLT DUE TO CREEP
C***    STR. OF MATL., TIMOSHENKO, PART 2, 3RD ED., PAGE 531
ANTYPE,STATIC
ET,1,LINK1             ! SPAR ELEMENT
R,1,1,(1/30000)        ! INITIAL STRAIN
MP,EX,1,30E6
TB,CREEP,1
TBDATA,1,4.8E-30,7     ! CREEP PROPERTIES
N,1
N,2,10
E,1,2
BFUNIF,TEMP,900        ! UNIFORM TEMPERATURE
TIME,1000
KBC,1
D,ALL,ALL              ! FIX ALL DOFS
FINISH
/SOLU
SOLCONTROL,0
NSUBST,100
OUTPR,BASIC,10         ! PRINT BASIC SOLUTION FOR EVERY 10TH SUBSTEP
OUTRES,ESOL,1          ! STORE ELEMENT SOLUTION FOR EVERY SUBSTEP
SOLVE
FINISH
/POST26
ESOL,2,1,,LS,1,SIG     ! STORE AXIAL STRESS
PRVAR,2                ! PRINT AXIAL STRESS VS TIME
*GET,T190,VARI,2,RTIME,190
*GET,T420,VARI,2,RTIME,420
*GET,T690,VARI,2,RTIME,690
*GET,T880,VARI,2,RTIME,880
*GET,T950,VARI,2,RTIME,950
*status,parm
*DIM,LABEL,CHAR,5,2
*DIM,VALUE,,5,3
LABEL(1,1) = 'SIG @ ','SIG @ ','SIG @ ','SIG @ ','SIG @ '
LABEL(1,2) = '190 hr','420 hr','690 hr','880 hr','950 hr'
*VFILL,VALUE(1,1),DATA,975,950,925,910,905
*VFILL,VALUE(1,2),DATA,T190,T420,T690,T880,T950
V1 = ABS(T190/975)
V2 = ABS(T420/950)
V3 = ABS(T690/925)
V4 = ABS(T880/910)
V5 = ABS(T950/905)
*VFILL,VALUE(1,3),DATA,V1,V2,V3,V4,V5
/COM
/OUT,vm132,vrt
/COM,------------------- VM132 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.2)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm132,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM131 Input Listing 		Up / Home Next
VM133 Input Listing


VM133 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM133
/PREP7
MP,PRXY,,0.3
/TITLE, VM133, MOTION OF A ROD DUE TO IRRADIATION INDUCED CREEP
C***    REFERENCE - ANY BASIC CALCULUS BOOK
ANTYPE,STATIC
ET,1,BEAM23            ! PLASTIC BEAM
R,1,.25,.0052083,.5    ! AREA, IZZ, HEIGHT
MP,EX,1,300
TB,CREEP,1
TBDATA,55,0.5E-12,1E10 ! CREEP EQUATION CONSTANTS K1 AND K2
TBDATA,66,5            ! SELECT IRRADIATION INDUCED CREEP EQUATION
N,1
N,2,1
E,1,2
D,1,ALL                ! FIX ONE END
F,2,FX,.25             ! FORCE INDUCING CONSTANT STRESS
FINISH
/SOLU
!SOLCONTROL,0
BFE,1,TEMP,1,1000,1000,1000,1000 ! APPLY CONSTANT TEMPERATURE
BFE,1,FLUE,1,0,0,0,0             ! APPLY ZERO FLUENCE
TIME,1E-8              ! NEAR ZERO TIME FOR FIRST LOAD STEP
OUTPR,BASIC,1          ! PRINT BASIC ELEMENT SOLUTION
OUTRES,EPCR,1          ! STORE CREEP STRAIN RESULTS FOR EVERY SUBSTEP
CNVTOL,F,,,,1E-6       ! NEAR ZERO VALUE FOR MINREF FIELD
CNVTOL,M,-1            ! CONVERGENCE CRITERION BASED UPON MOMENTS IS
                       !  REMOVED AS IT IS NOT NEEDED FOR THIS TEST
SOLVE                  ! LOAD STEP 1
NSUBST,50,500,50
TIME,5
OUTPR,BASIC,5
BFE,1,FLUE,1,5E10,5E10,5E10,5E10 ! FINAL FLUENCES (RAMPED)
SOLVE                  ! LOAD STEP 2
FINISH
/POST26
ESOL,2,1,,LEPCR,1,EPCR ! STORE CREEP STRAIN
PRVAR,2                ! PRINT STRAIN VARIATION WITH TIME
*GET,T1,VARI,2,RTIME,0
*GET,T2,VARI,2,RTIME,.5
*GET,T3,VARI,2,RTIME,1
*GET,T4,VARI,2,RTIME,5
*status,parm
*DIM,LABEL,CHAR,4,2
*DIM,VALUE,,4,3
LABEL(1,1) = 'CRP STR @','CRP STR @','CRP STR @','CRP STR @'
LABEL(1,2) = '0 hr','.5 hr','1 hr','5 hr'
*VFILL,VALUE(1,1),DATA,0,.00197,.00316,.00497
*VFILL,VALUE(1,2),DATA,T1,T2,T3,T4
*VFILL,VALUE(1,3),DATA,000,ABS(T2/.00197),ABS(T3/.00316),ABS(T4/.00497)
/COM
/OUT,vm133,vrt
/COM,------------------- VM133 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm133,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM132 Input Listing 		Up / Home Next
VM134 Input Listing


VM134 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM134
/PREP7
MP,PRXY,,0.3
/TITLE, VM134, PLASTIC BENDING OF A CLAMPED I-BEAM
C***    THE ANALYSIS OF STRUCTURES, N.J. HOFF, 1964, P. 388
ANTYPE,STATIC
ET,1,BEAM24,,,1            ! PLASTIC BEAM WITH CENTROID AT NODES
R,1,0,0,0,10,0,.9415       ! BEAM SECTION PROPERTIES
RMORE,5,0,0,5,10.6,.0001
RMORE,0,10.6,0,10,10.6,.9415
MP,EX,1,29E6
TB,BKIN,1,1                ! BILINEAR KINEMATIC HARDENING BEHAVIOR
TBTEMP,0.0
TBDATA,1,38000,5.8E6       ! YIELD STRESSES AND TANGENT MODULUS
N,1
N,10,72
FILL
N,100,,,1
E,1,2,100
*REPEAT,9,1,1
D,1,ALL                       ! FIX ONE END
D,10,ROTY,,,,,UY,ROTX,ROTZ    ! SYMMETRIC MID-SPAN B.C.
FINISH
/SOLU
SOLCONTROL,0
SFBEAM,1,1,PRES,2190          ! LOAD STEP 1: W1
*REPEAT,9,1
OUTPR,BASIC,LAST              ! PRINT BASIC SOLUTION FOR LAST SUBSTEP
SOLVE
FINI
/POST1
*GET,DEF1,NODE,10,UZ
/POST26
RFOR,2,10,M,Y
RFOR,3,1,M,Y
PLVAR,2,3
*GET,MID1,VARI,2,EXTREM,VMAX
*GET,END1,VARI,3,EXTREM,VMAX
FINI
/SOLU
SFBEAM,1,1,PRES,3771          ! LOAD STEP 2: W2
*REPEAT,9,1
SOLVE
FINI
/POST1
*GET,DEF2,NODE,10,UZ
/POST26
RFOR,2,10,M,Y
RFOR,3,1,M,Y
PLVAR,2,3
*GET,MID2,VARI,2,EXTREM,VMAX
*GET,END2,VARI,3,EXTREM,VMAX
FINI
/SOLU
SFBEAM,1,1,PRES,9039          ! LOAD STEP 3: W3; PLASTIC YIELDING
*REPEAT,9,1
SOLVE
FINI
/POST1
*GET,DEF3,NODE,10,UZ
/POST26
RFOR,2,10,M,Y
RFOR,3,1,M,Y
PLVAR,2,3
*GET,MID3,VARI,2,EXTREM,VMAX
*GET,END3,VARI,3,EXTREM,VMAX
ESEL,S,ELEM,,1,1
/POST1
ETABLE,ESA1,LEPEL,1
ESORT,ESA1,,,1
*GET,EPELA,SORT,,MAX
ETABLE,ESB1,LEPPL,1
ESORT,ESB1,,,1
*GET,EPPLA,SORT,,MAX
/POST26
ESEL,S,ELEM,,9,9
/POST1
ETABLE,ESA2,LEPEL,1
ESORT,ESA2,,,1
*GET,EPELB,SORT,,MAX
ETABLE,ESB2,LEPPL,1
ESORT,ESB2,,,1
*GET,EPPLB,SORT,,MAX
*SET,ENDST,ABS(EPPLA+EPELA)
*SET,MIDST,ABS(EPELB+EPPLB)
*status,parm
FINI
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'MID DEFL  ','MOM END ','MID MOM '
LABEL(1,2) = ' in ','in-lb','in-lb'
*VFILL,VALUE(1,1),DATA,-.160,-3.784E6,-1.892E6
*VFILL,VALUE(1,2),DATA,DEF1,END1,MID1
*VFILL,VALUE(1,3),DATA,ABS(DEF1/(-.160)),ABS(END1/(-3.784E6)),ABS(MID1/(-1.892E6))
/COM
/OUT,vm134,vrt
/COM,------------------- VM134 RESULTS COMPARISON ------------------
/COM,
/COM,   W1=2190 lb/in  |      TARGET   |      ANSYS   | RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F13.3,'  ',F13.3,'   ',1F6.2)
/COM,---------------------------------------------------------------
/OUT
/NOPR
LABEL(1,1) = 'MID DEFL  ','MOM END ','MID MOM '
LABEL(1,2) = ' in ','in/lb','in/lb'
*VFILL,VALUE(1,1),DATA,-.357,-5.98E6,-3.78E6
*VFILL,VALUE(1,2),DATA,DEF2,END2,MID2
*VFILL,VALUE(1,3),DATA,ABS(DEF2/(-.357)),ABS(END2/(-5.98E6)),ABS(MID2/(-3.78E6))
/GOPR
/COM
/OUT,vm134,vrt,,APPEND
/COM,------------------- VM134 RESULTS COMPARISON ------------------
/COM,
/COM,   W2=3771 lb/in  |      TARGET   |      ANSYS   | RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F13.3,'  ',F13.3,'   ',1F6.2)
/COM,---------------------------------------------------------------
/OUT
/NOPR
*DIM,LABEL1,CHAR,5,2
*DIM,VALUE1,,5,3
LABEL1(1,1) = 'MID DEFL  ','MOM END ','MID MOM ','TTL END ','TTL MID '
LABEL1(1,2) = ' in ','in-lb','in-lb','STRAIN','STRAIN'
*VFILL,VALUE1(1,1),DATA,-2.09,-1.51E7,-8.36E6,.02,.0089
*VFILL,VALUE1(1,2),DATA,DEF3,END3,MID3,ENDST,MIDST
V1 = ABS(DEF3/(-2.09))
V2 = ABS(END3/(-1.51E7))
V3 = ABS(MID3/(-8.36E6))
V4 = ABS(ENDST/.02)
V5 = ABS(MIDST/.0089)
*VFILL,VALUE1(1,3),DATA,V1,V2,V3,V4,V5
/GOPR
/COM
/OUT,vm134,vrt,,APPEND
/COM,------------------- VM134 RESULTS COMPARISON ------------------
/COM,
/COM,   W3=9039 lb/in  |        TARGET   |        ANSYS   | RATIO
/COM,
*VWRITE,LABEL1(1,1),LABEL1(1,2),VALUE1(1,1),VALUE1(1,2),VALUE1(1,3)
(1X,A8,A8,'   ',F15.4,'  ',F15.4,'   ',1F6.2)
/COM,---------------------------------------------------------------
/OUT
/OUT,vm134,vrt,,APPEND
/COM,---------------------------------------------------------------
/COM,NOTE: THERE ARE VERIFIED RESULTS IN VM134 NOT CONTAINED IN
/COM,THIS TABLE
/COM,---------------------------------------------------------------
/OUT
FINISH
*LIST,vm134,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM133 Input Listing 		Up / Home Next
VM135 Input Listing


VM135 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM135
/PREP7
MP,PRXY,,0.3
/TITLE, VM135, BENDING OF A BEAM ON AN ELASTIC FOUNDATION
C***    STR. OF MATL., TIMOSHENKO, PART 2, 3RD ED., PAGE 12
ANTYPE,STATIC
ET,1,BEAM54              ! UNSYMMETRICAL BEAM ELEMENT
R,1,23,44,2.5,2.5        ! AREA, IZ, H/2, H/2
RMODIF,1,16,1515.15      ! ELASTIC FOUNDATION STIFFNESS
MP,EX,1,30E6
N,1
N,14,286
FILL
E,1,2
EGEN,13,1,1
D,1,UX                   ! FIX MOTION OF END ALONG X-DIRECTION
F,1,FY,-1000             ! APPLY DOWNWARD FORCE
F,1,MZ,10000             ! APPLY END MOMENT
OUTPR,,1
FINISH
/SOLU
SOLVE
*GET,UY,NODE,1,U,Y
*status,parm
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'END DISP  '
LABEL(1,2) = ' in '
*VFILL,VALUE(1,1),DATA,-.03762
*VFILL,VALUE(1,2),DATA,UY
*VFILL,VALUE(1,3),DATA,ABS(UY/.03762)
/COM
/OUT,vm135,vrt
/COM,------------------- VM135 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT

FINISH
*LIST,vm135,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM134 Input Listing 		Up / Home Next
VM136 Input Listing


VM136 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM136
/PREP7
MP,PRXY,,0.3
/TITLE, VM136, LARGE DEFLECTIONS OF A BUCKLED BAR (THE ELASTICA)
C***    THEORY OF ELASTIC STABILITY, TIMOSHENKO AND GERE, 2ND ED., PAGE 78
ANTYPE,STATIC
NLGEOM,ON                 ! ACTIVATE LARGE DEFLECTION PROCESS
ET,1,BEAM3,,,,,,,1        ! TURN OFF BEAM3 PRINTOUT
R,1,.25,52083E-7,.5       ! AREA, IZZ, HEIGHT OF BEAM
MP,EX,1,3E7
N,1
N,11,,100
FILL
E,1,2
EGEN,10,1,1
FINISH
/SOLU
SOLCONTROL,0
NEQIT,150                 ! PERFORM MAXIMUM 150 EQUILIBRIUM ITERATIONS
OUTPR,BASIC,LAST          ! PRINT BASIC SOLUTION AT THE END OF EACH LOAD STEP
D,1,ALL
FCR=-38.553               ! SET CRITICAL LOAD PARAMETER
PI=3.14159265359
F,11,FY,FCR*1.015         ! VERTICAL LOAD
F,11,FX,.5                ! SMALL HORIZONTAL LOAD
SOLVE                     ! LOAD STEP 1
FDEL,11,FX                ! REMOVE PERTURBING HORIZONTAL LOAD
F,11,FY,FCR*1.063
SOLVE                     ! LOAD STEP 2
F,11,FY,FCR*1.152
SOLVE                     ! LOAD STEP 3
F,11,FY,FCR*1.293
SOLVE                     ! LOAD STEP 4
F,11,FY,FCR*1.518
SOLVE                     ! LOAD STEP 5
F,11,FY,FCR*1.884
SOLVE                     ! LOAD STEP 6
FINISH
/POST1
/USER
/FOCUS,,50,50             ! USER FOCUS TO CENTER ALL DISPLAYS
/DIST,,55                 ! SELECT DISTANCE FOR MAGNIFICATION
/DSCALE,,1                ! SCALE TRUE TO GEOMETRY
SET,1,0
PLDISP,1
/NOERASE                  ! OVERLAY DISPLAYS ON SAME FRAME
SET,2,0
PLDISP
SET,3,0
PLDISP
*GET,UX3,NODE,11,U,X
*GET,UY3,NODE,11,U,Y
*GET,ROT3A,NODE,11,ROT,Z
SET,4,0
PLDISP
*GET,UX4,NODE,11,U,X
*GET,UY4,NODE,11,U,Y
*GET,ROT4A,NODE,11,ROT,Z
SET,5,0
PLDISP
*GET,UX5,NODE,11,U,X
*GET,UY5,NODE,11,U,Y
*GET,ROT5A,NODE,11,ROT,Z
SET,6,0
PLDISP
*GET,UX6,NODE,11,U,X
*GET,UY6,NODE,11,U,Y
*GET,ROT6A,NODE,11,ROT,Z
*status,parm
*SET,ROT6,(180*ROT6A/PI)
*SET,ROT5,(180*ROT5A/PI)
*SET,ROT4,(180*ROT4A/PI)
*SET,ROT3,(180*ROT3A/PI)
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'ROT Z ','UX','UY'
LABEL(1,2) = ' DEG',' in',' in'
*VFILL,VALUE(1,1),DATA,-60,59.3,-25.9
*VFILL,VALUE(1,2),DATA,ROT3,UX3,UY3
*VFILL,VALUE(1,3),DATA,ABS(ROT3/60),ABS(UX3/59.3),ABS(UY3/25.9)
/COM
/OUT,vm136,vrt
/COM,------------------- VM136 RESULTS COMPARISON -------------
/COM,
/COM,    F=44.413 lb  |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
/NOPR
*VFILL,VALUE(1,1),DATA,-80,71.9,-44
*VFILL,VALUE(1,2),DATA,ROT4,UX4,UY4
*VFILL,VALUE(1,3),DATA,ABS(ROT4/80),ABS(UX4/71.9),ABS(UY4/44)
/GOPR
/COM
/OUT,vm136,vrt,,APPEND
/COM,------------------- VM136 RESULTS COMPARISON -------------
/COM,
/COM,    F=49.849 lb  |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
/NOPR
*VFILL,VALUE(1,1),DATA,-100,79.2,-65.1
*VFILL,VALUE(1,2),DATA,ROT5,UX5,UY5
*VFILL,VALUE(1,3),DATA,ABS(ROT5/100),ABS(UX5/79.2),ABS(UY5/65.1)
/GOPR
/COM
/OUT,vm136,vrt,,APPEND
/COM,------------------- VM136 RESULTS COMPARISON -------------
/COM,
/COM,    F=58.523 lb  |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
/NOPR
*VFILL,VALUE(1,1),DATA,-120,80.3,-87.7
*VFILL,VALUE(1,2),DATA,ROT6,UX6,UY6
*VFILL,VALUE(1,3),DATA,ABS(ROT6/120),ABS(UX6/80.3),ABS(UY6/87.7)
/GOPR
/COM
/OUT,vm136,vrt,,APPEND
/COM,------------------- VM136 RESULTS COMPARISON -------------
/COM,
/COM,    F=72.634 lb  |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm136,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM135 Input Listing 		Up / Home Next
VM137 Input Listing


VM137 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM137
/PREP7
/TITLE, VM137, LARGE DEFLECTION OF A CIRCULAR MEMBRANE
C***    THEORY OF PLATES AND SHELLS, TIMOSHENKO, P. 404, EQ. 236
ET,1,SHELL208,,,2
SECTYPE,1,SHELL
SECDATA,0.0001
SECNUM,1
MP,EX,1,30E6
MP,NUXY,1,.25
MP,ALPX,1,1E-5
N,1
N,11,10
FILL
E,1,2
EGEN,10,1,1
FINISH
/SOLU
ANTYPE,STATIC
NLGEOM,ON          ! LARGE DEFLECTION OPTION
SSTIF,ON           ! STRESS STIFFENING OPTION
CNVTOL,F,,,,1      ! USE FORCE CONVERGENCE ONLY, MINIMUM REFERENCE VALUE OF 1
OUTPR,,LAST
TUNIF,-50          ! THERMAL PRESTRESS TO START
NSEL,S,LOC,X,0
DSYM,SYMM,X        ! SYMMETRY B.C. AT X=0
NSEL,ALL
D,11,ALL
SOLVE
KBC,1              ! STEP B.C.
SF,ALL,PRES,.1     ! APPLY PRESSURE LOAD
SOLVE
TUNIF,0            ! REMOVE THERMAL PRESSURES
SOLVE
/POST1
SET,3
SHELL,MID
*GET,UY,NODE,1,U,Y
ESEL,S,ELEM,,1,1
ETABLE,CENT,S,X
ESORT,CENT
*GET,PRSCNT,SORT,,MAX
ESEL,S,ELEM,,10,10
ETABLE,CEN,S,X
ESORT,CEN
*GET,PRSOUT,SORT,,MAX
*STATUS,PARM
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'Y DISP ','PRES CENT ','PRES RIM'
LABEL(1,2) = ' in',' psi',' psi'
*VFILL,VALUE(1,1),DATA,-.459,61010,47310
*VFILL,VALUE(1,2),DATA,UY,PRSCNT,PRSOUT
*VFILL,VALUE(1,3),DATA,ABS(UY/.459),ABS(PRSCNT/61010),ABS(PRSOUT/47310)
/COM
/OUT,vm137,vrt
/COM,------------------- VM137 RESULTS COMPARISON --------------
/COM,
/COM,   LOAD STEP 3   |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm137,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM136 Input Listing 		Up / Home Next
VM138 Input Listing


VM138 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM138
/PREP7
/TITLE, VM138, LARGE DEFLECTION BENDING OF A CIRCULAR PLATE
C***    THEORY OF PLATES AND SHELLS, TIMOSHENKO, P. 401, EQ. 232
ANTYPE,STATIC
NLGEOM,ON                ! LARGE DEFLECTION OPTION
SSTIF,ON                 ! STRESS STIFFENING OPTION
ET,1,SHELL208,,,2
SECTYPE,1,SHELL
SECDATA,0.0025
SECNUM,1
MP,EX,1,2E11
MP,NUXY,1,0.3
N,1
N,11,.25
FILL
E,1,2
EGEN,10,1,1
OUTPR,,LAST
NSEL,S,LOC,X,0
DSYM,SYMM,X              ! SYMMETRY B.C. AT X=0
NSEL,ALL
D,11,ALL                 ! FIX RIM
SFE,1,1,PRES,,6585.175   ! ELEMENT PRESSURE LOAD
*REPEAT,10,1
FINISH
/SOLU
SOLVE
FINISH
/POST1
*GET,UY,NODE,1,U,Y
*STATUS,PARM
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'Y DISP '
LABEL(1,2) = ' m'
*VFILL,VALUE(1,1),DATA,-.00125
*VFILL,VALUE(1,2),DATA,UY
*VFILL,VALUE(1,3),DATA,ABS(UY/.00125)
/COM
/OUT,vm138,vrt
/COM,------------------- VM138 RESULTS COMPARISON -------------
/COM,
/COM,   LOAD STEP 3   |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm138,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM137 Input Listing 		Up / Home Next
VM139 Input Listing


VM139 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM139
/PREP7
/TITLE, VM139, BENDING OF A LONG UNIFORMLY LOADED RECTANGULAR PLATE
C***            STR. OF MATL., TIMOSHENKO, PART 2, 3RD ED., PAGE 80
C***            USING SHELL63 ELEMENTS
ANTYPE,STATIC
ET,1,SHELL63,,,,,,2      ! CONSISTENT PRESSURE LOADING OPTION
R,1,.375                 ! PLATE THICKNESS
MP,EX,1,30E6
MP,NUXY,1,0.3
N,1
N,5,22.5
FILL
NGEN,2,10,1,5,,,9
E,1,2,12,11
EGEN,4,1,1
D,1,UX,,,,,UY,UZ
D,11,UX,,,,,UZ
D,ALL,ROTZ
NSEL,S,LOC,X,22.5
DSYM,SYMM,X,0,22.5       ! SYMMETRY B.C.'S AT CENTERLINE
NSEL,ALL
FINISH
/SOLU
SFE,ALL,2,PRES,0,10
OUTPR,BASIC,LAST
SOLVE                    ! ANALYSIS 1 : SMALL DEFLECTION SOLUTION
FINISH
/POST1
SET,1                    ! ANALYSIS 1 : SMALL DEFLECTION SOLUTION
NSEL,S,LOC,Y,0
SHELL,BOT                ! BOTTOM STRESSES ALONG LENGTH
PRNSOL,S,COMP
*GET,S2,NODE,5,S,X
PRNSOL,S,PRIN
NSEL,ALL
FINISH
/SOLU
NLGEOM,ON                ! LARGE DEFLECTION OPTION
SSTIF,ON                 ! STRESS STIFFENING OPTION
SOLVE                    ! ANALYSIS 2 : LARGE DEFLECTION SOLUTION
FINISH
/POST1
SET,1                    ! ANALYSIS 2 : CONVERGED LARGE DEFLECTION SOLUTION
NSEL,S,LOC,Y,0
SHELL,MID                ! MIDDLE STRESSES ALONG LENGTH
PRNSOL,S,COMP
*GET,S3,NODE,1,S,X
PRNSOL,S,PRIN
SHELL,BOT                ! BOTTOM STRESSES ALONG LENGTH
PRNSOL,S,COMP
*GET,S4,NODE,5,S,X
PRNSOL,S,PRIN
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'BOT PRS '
LABEL(1,2) = 'psi'
*VFILL,VALUE(1,1),DATA,108000
*VFILL,VALUE(1,2),DATA,S2
*VFILL,VALUE(1,3),DATA,ABS(S2/108000)
SAVE,TABLE1
*DIM,LABEL1,CHAR,2,2
*DIM,VALUE1,,2,3
LABEL1(1,1) = 'MID PRS ','BOT PRS '
LABEL1(1,2) = 'psi ','psi '
*VFILL,VALUE1(1,1),DATA,11240,25280
*VFILL,VALUE1(1,2),DATA,S3,S4
*VFILL,VALUE1(1,3),DATA,ABS(S3/11240),ABS(S4/25280)
FINISH
SAVE,TABLE2

/CLEAR, NOSTART          ! CLEAR DATABASE FOR SECOND SOLUTION
/PREP7
/TITLE, VM139, BENDING OF A LONG UNIFORMLY LOADED RECTANGULAR PLATE
C***           USING SOLSH190 ELEMENTS
ANTYPE,STATIC
ET,1,SOLSH190,,0
MP,EX,1,30E6
MP,NUXY,1,0.3
BLOCK,0,22.5,0,9,0,-0.375
LSEL,S,LINE,,9,12,1
LESIZE,ALL, , ,2
LSEL,INVE
LESIZE,ALL, , ,10
LSEL,ALL
VMESH,1
NSEL,S,LOC,Z,-0.375/2
NSEL,R,LOC,X,0
D,ALL,UX
D,ALL,UZ
NSEL,R,LOC,Y,0
D,ALL,UY
ALLSEL,ALL
NSEL,S,LOC,X,22.5
DSYM,SYMM,X,0,22.5       ! SYMMETRY B.C.'S AT CENTERLINE
NSEL,ALL
FINISH
/SOLU
NSEL,S,LOC,Z,-0.375
ESLN,S
SFE,ALL,6,PRES,0,10
ALLSEL,ALL
SOLVE                    ! ANALYSIS 1 : SMALL DEFLECTION SOLUTION
FINISH
/POST1
SET,1                    ! ANALYSIS 1 : SMALL DEFLECTION SOLUTION
NSEL,S,LOC,Z,-0.375/2    ! MID STRESSES ALONG LENGTH
NSEL,R,LOC,Y,0
NSEL,R,LOC,X,22.5
*GET,ND1,NODE,0,NUM,MAX  ! NODE AT SHELL-MID   X = 0.0, Y = 0.0, Z = -0.375/2
NSEL,S,LOC,Z,-0.375
NSEL,R,LOC,Y,0
NSEL,R,LOC,X,22.5
*GET,ND2,NODE,0,NUM,MAX  ! NODE AT SHELL-BOT   X = 22.5, Y = 0.0, Z = -0.375
NSEL,S,LOC,Z,-0.375      ! BOTTOM STRESSES ALONG LENGTH
NSEL,R,LOC,Y,0
PRNSOL,S,COMP
*GET,S2,NODE,ND2,S,X
PRNSOL,S,PRIN
NSEL,ALL
FINISH
/SOLU
NLGEOM,ON                ! LARGE DEFLECTION OPTION
SSTIF,ON                 ! STRESS STIFFENING OPTION
SOLVE                    ! ANALYSIS 2 : LARGE DEFLECTION SOLUTION
FINISH
/POST1
SET,1                    ! ANALYSIS 2 : CONVERGED LARGE DEFLECTION SOLUTION
NSEL,S,LOC,Z,-0.375/2    ! MIDDLE STRESSES ALONG LENGTH
NSEL,R,LOC,Y,0
PRNSOL,S,COMP
*GET,S3,NODE,ND1,S,X
PRNSOL,S,PRIN
NSEL,S,LOC,Z,-0.375      ! BOTTOM STRESSES ALONG LENGTH
NSEL,S,LOC,Y,0
PRNSOL,S,COMP
*GET,S4,NODE,ND2,S,X
PRNSOL,S,PRIN
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'BOT PRS '
LABEL(1,2) = 'PSI'
*VFILL,VALUE(1,1),DATA,108000
*VFILL,VALUE(1,2),DATA,S2
*VFILL,VALUE(1,3),DATA,ABS(S2/108000)
SAVE,TABLE3
*DIM,LABEL1,CHAR,2,2
*DIM,VALUE1,,2,3
LABEL1(1,1) = 'MID PRS ','BOT PRS '
LABEL1(1,2) = 'PSI ','PSI '
*VFILL,VALUE1(1,1),DATA,11240,25280
*VFILL,VALUE1(1,2),DATA,S3,S4
*VFILL,VALUE1(1,3),DATA,ABS(S3/11240),ABS(S4/25280)
SAVE,TABLE4
RESUME,TABLE1
/OUT,vm139,vrt
/COM,------------------- VM139 RESULTS COMPARISON --------------
/COM,
/COM,                |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,SMALL DEFLECTION SOLUTION USING SHELL63:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/NOPR
RESUME,TABLE2
/GOPR
/COM,
/COM,LARGE DEFLECTION SOLUTION USING SHELL63:
/COM,
*VWRITE,LABEL1(1,1),LABEL1(1,2),VALUE1(1,1),VALUE1(1,2),VALUE1(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/NOPR
RESUME,TABLE3
/GOPR
/COM,
/COM,SMALL DEFLECTION SOLUTION USING SOLSH190:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/NOPR
RESUME,TABLE4
/GOPR
/COM,
/COM,LARGE DEFLECTION SOLUTION USING SOLSH190:
/COM,
*VWRITE,LABEL1(1,1),LABEL1(1,2),VALUE1(1,1),VALUE1(1,2),VALUE1(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/COM,-----------------------------------------------------------
/COM,
/COM,-----------------------------------------------------------
/COM,NOTE: THERE ARE VERIFIED RESULTS IN VM139  NOT CONTAINED IN
/COM,THIS TABLE
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm139,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM138 Input Listing 		Up / Home Next
VM140 Input Listing


VM140 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM140
/PREP7
/TITLE, VM140, STRETCHING, TWISTING AND BENDING OF A LONG SOLID SHAFT
C***    STR. OF MATL., TIMOSHENKO, PART 1, 3RD ED., PAGE 296
ET,1,PLANE83,,,,2,,1
MP,EX,1,30E6
MP,NUXY,1,0                ! ZERO POISSONS RATIO
N,1
N,25,,24
FILL
NGEN,3,25,1,25,1,.25
E,51,53,3,1,52,28,2,26
EGEN,12,2,1
MODE,0,1                   ! AXIAL + TORSION MODE
D,1,ALL,,,51,25            ! FIX SUPPORT
D,2,UZ,,,25                ! CENTERLINE CONSTRAINTS AGAINST TORSION
F,75,FY,100                ! APPLY AXIAL FORCE
F,75,FZ,400                ! APPLY TORSION
FINISH
/SOLU
OUTPR,BASIC,LAST           ! PRINTOUT SOLUTION
SOLVE
MODE,1,1                   ! BENDING MODE
DDELE,2,UZ,25              ! DELETE PREVIOUS UZ CONSTRAINTS
FDEL,75,ALL                ! DELETE PREVIOUS FORCES
D,2,UY,,,25                ! CENTERLINE CONSTRAINTS AGAINST BENDING
F,75,FX,-50                ! APPLY VERTICAL FORCE
SOLVE
FINISH
/POST1
SET,1,1,,,,0.0             ! GET LOAD STEP 1 AT 0.0 DEGREES
LCWRITE,1                  ! WRITE OUT AS LOAD CASE 1
SET,2,1,,,,0.0             ! GET LOAD STEP 2 AT 0.0 DEGREES
LCOPER,ADD,1               ! ADD LOAD CASE 1 TO LOAD CASE 2
ESEL,S,ELEM,,1             ! SELECT ELEMENT 1
NSLE
PRNSOL,S,COMP
PRNSOL,S,PRIN              ! PRINT PRINCIPLE STRESSES
*GET,TOR,NODE,51,S,YZ
*GET,AXBND,NODE,51,S,Y
*GET,COMB,NODE,51,S,1
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'TORSION ','AXIAL+BEND ','COMBINED '
LABEL(1,2) = ' psi',' psi',' psi'
*VFILL,VALUE(1,1),DATA,1018.6,6238.9,6401
*VFILL,VALUE(1,2),DATA,TOR,AXBND,COMB
*VFILL,VALUE(1,3),DATA,ABS(TOR/1018.6),ABS(AXBND/6238.9),ABS(COMB/6401)
/COM
/OUT,vm140,vrt
/COM,------------------- VM140 RESULTS COMPARISON -------------
/COM,
/COM,   LOAD STEP 3   |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,-----------------------------------------------------------
*status,parm
/OUT
FINISH
*LIST,vm140,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM139 Input Listing 		Up / Home Next
VM141 Input Listing


VM141 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM141
/SHOW
/PREP7
smrt,off
/DEVICE,VECTOR,ON
/TITLE, VM141, DIAMETRAL COMPRESSION OF A DISK
/COM,               THEORY OF ELASTICITY, TIMOSHENKO AND GOODIER, 2ND ED., PG 107
/COM,               PLANE STRESS ELEMENTS (PLANE82 AND PLANE183)
C***  USING PLANE183, PLANE82 ELEMENTS
ANTYPE,STATIC             ! STATIC ANALYSIS
ET,1,PLANE183,,,3,,,,1      ! THICKNESS INPUT, SUPPRESS SOLUTION PRINTOUT
ET,2,PLANE82,,,3,,,,1
ET,3,PLANE82,,,3,,2       ! NODAL STRESS PRINTOUT SELECTED
R,1,.2                    ! THICKNESS
MP,EX,1,30E6
MP,NUXY,1,0.3
CSYS,1                    ! CYLINDRICAL COORDINATES
K,1,1,90
K,2,.5,90
K,4,1
K,5,1,50
L,1,5
LESIZE,1,,,7,5
L,5,4
LESIZE,2,,,4,2
CSYS,0                    ! CARTESIAN COORDINATES
K,3
L,3,4
LESIZE,3,,,5
L,2,3
LESIZE,4,,,4,2
L,2,5
LESIZE,5,,,5
L,1,2
LESIZE,6,,,7,5
A,1,2,5,5
A,2,3,4,5
TYPE,2
MSHK,1                    ! MAPPED AREA MESH
MSHA,0,2D                 ! USING QUADS
AMESH,2                   ! QUADRILATERAL MESHING (PLANE82)
EPLOT
TYPE,1
MSHK,0                    ! FREE AREA MESH
MSHA,1,2D                 ! USING TRIS
AMESH,1                   ! TRIANGLE MESHING (PLANE2)
EPLOT
NSEL,S,LOC,X,0
NSEL,R,LOC,Y,0
ESLN
TYPE,3
EMODIF,ALL                ! MODIFY ALL SELECTED ELEMENTS
SAVE,VM141,DB
NSEL,S,LOC,Y,0
DSYM,SYMM,Y               ! SYMMETRY ALONG X AXIS
NSEL,S,LOC,X,0
DSYM,SYMM,X               ! SYMMETRY ALONG Y AXIS
NSEL,ALL
ESEL,ALL
OUTPR,NSOL,NONE           ! NODAL DISPL. & REACTION FORCES PRINTOUT CONTROL
OUTPR,ESOL,ALL            ! ELEMENTAL  PRINTOUT CONTROL
FK,1,FY,-1000             ! APPLY HALF OF FORCE (SYMMETRY)
FINISH
*CREATE,SOLVIT,MAC
/SOLU
SOLVE
FINISH
/POST1
NSEL,S,LOC,X,0            ! SELECT ONLY THE NODES OF INTEREST
NSEL,A,LOC,X,0.1
NSEL,R,LOC,Y,0
PRNSOL,S,COMP             ! PRINT COMPONENT NODAL STRESSES
NSEL,R,LOC,X,0
NSEL,A,LOC,X,0.2
NSEL,R,LOC,Y,0
*GET,SNOD,NODE,,NUM,MIN   ! GET STARTING NODE FOR PATH (X=0)
*GET,FNOD,NODE,,NUM,MAX   ! GET END NODE FOR PATH (X=0.2)
NSEL,ALL
ESEL,ALL
PATH,STRESS1,2,,48         ! DEFINE PATH WITH NAME = "STRESS1"
PPATH,1,SNOD              ! DEFINE PATH POINTS BY NODE
PPATH,2,FNOD
PDEF,SY,S,Y               ! INTERPOLATE SY STRESS ON PATH
PRANGE,24                 ! PRINT EVERY 24TH POINT
PRPATH,SY                 ! PRINT SY STRESS ALONG THE PATH
*GET,S1,PATH,0,MIN,SY
NSEL,R,LOC,X,0
NSEL,A,LOC,X,0.1
NSEL,R,LOC,Y,0
*GET,FNOD,NODE,,NUM,MAX
PATH,STRESS2,2,,48        ! DEFINE PATH WITH NAME = "STRESS2"
PPATH,1,SNOD
PPATH,2,FNOD
PDEF,SY,S,Y               ! INTERPOLATE SY STRESS ON PATH
PRANGE,24                 ! PRINT EVERY 24TH POINT
PRPATH,SY                 ! PRINT SY STRESS ALONG THE PATH
*GET,S2,PATH,0,MAX,SY
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'P (psi)','P (psi)'
LABEL(1,2) = ' X=0 ',' X=.1'
*VFILL,VALUE(1,1),DATA,-9549,-9298
*VFILL,VALUE(1,2),DATA,S1,S2
*VFILL,VALUE(1,3),DATA,ABS(S1/9549),ABS(S2/9298)
FINISH
*END
SOLVIT
SAVE,TABLE_1
/CLEAR, NOSTART
C***  USING SHELL93 ELEMENTS
/FILNAM,GEN
/PREP7
smrt,off
!              S.E. GENERATION PASS  (SHELL ELEMENTS ,SHELL93)
RESUME,VM141,DB
ANTYPE,SUBST              ! SUBSTRUCTURE GENERATION PASS
SEOPT,GEN
! NOTE: SINCE PLANE2 AND SHELL93 HAVE DIFFERENT NODE ORDER, DELETE OLD MESH
ACLEAR,1,2                ! DELETE NODES AND ELEMENTS
ETDELE,1,3                ! DELETE PREVIOUS ELEMENT TYPES
ET,1,SHELL93,,,,,,,1      ! THICKNESS INPUT, SUPPRESS SOLUTION PRINTOUT
ET,2,SHELL93,,,,,,,1
ET,3,SHELL93,,,,,2        ! NODAL STRESS PRINTOUT
/OUTPUT,SCRATCH
NUMCMP,NODE               ! COMPRESS NODE NUMBER TO ZERO
/OUTPUT
TYPE,2
MSHK,1                    ! MAPPED AREA MESH
MSHA,0,2D                 ! USING QUADS
AMESH,2                   ! MESH AREA 2 WITH QUADRILATERALS
EPLOT
TYPE,1
MSHK,0                    ! FREE AREA MESH
MSHA,1,2D                 ! USING TRIS
AMESH,1                   ! MESH AREA 1 WITH TRIANGLES
EPLOT
NSEL,S,LOC,X,0
NSEL,R,LOC,Y,0
ESLN
TYPE,3
EMODIF,ALL
NSEL,S,LOC,Y,0
DSYM,SYMM,Y               ! SYMMETRY ALONG X AXIS
NSEL,S,LOC,X,0
DSYM,SYMM,X               ! SYMMETRY ALONG Y AXIS
NSEL,ALL
ESEL,ALL
D,ALL,UZ,,,,,ROTX,ROTY    ! CONSTRAIN UNNEEDED DOF'S
NSEL,S,LOC,X
NSEL,R,LOC,Y,1
*GET,NDOF,NODE,,NUM,MAX   ! GET NODE NUMBER FOR MASTER DOF
M,NDOF,UY                 ! SELECT MASTER DOF AT LOAD APPLICATION POINT
NSEL,ALL
FINISH
/SOLU
EQSLV,SPARSE
SOLVE
SAVE                      ! SAVE SUBSTRUCTURE DATA BASE FOR EXPANSION PASS
PARSAV,SCALAR,GEN,PARM
FINISH
/CLEAR, NOSTART
/FILNAM,USE
PARRES,,GEN,PARM
/PREP7
smrt,off
/TITLE, VM141, DIAMETRAL COMPRESSION OF A DISK  (S.E. USE PASS)
ET,1,MATRIX50
SE,GEN
F,NDOF,FY,-1000
FINISH
/SOLU
SOLVE
FINISH
/CLEAR, NOSTART
/FILNAM,GEN
RESUME
/SOLU
EXPASS,ON,YES             ! EXPANSION PASS WITH ELEMENT SOLUTION
SEEXP,GEN,USE
/TITLE, VM141, DIAMETRAL COMPRESSION OF A DISK  (S.E. EXPANSION PASS)
OUTPR,NSOL,NONE           ! DISPLACEMENT PRINTOUT CONTROL
OUTPR,ESOL,ALL
EXPSOL,1,1
SOLVE
FINISH
/POST1
NSEL,R,LOC,X,0
NSEL,A,LOC,X,0.2
NSEL,R,LOC,Y,0
*GET,SNOD,NODE,,NUM,MIN   ! GET STARTING NODE FOR PATH (X=0)
*GET,FNOD,NODE,,NUM,MAX   ! GET END NODE FOR PATH (X=0.2)
NSEL,ALL
ESEL,ALL
PATH,STRESS3,2,,48         ! DEFINE PATH WITH NAME = "STRESS3"
PPATH,1,SNOD
PPATH,2,FNOD
PDEF,SY,S,Y               ! INTERPOLATE SY STRESS ON PATH
PRANGE,24                 ! PRINT EVERY 24TH POINT
PRPATH,SY                 ! PRINT SY STRESS ALONG THE PATH
*GET,S1,PATH,0,MIN,SY
NSEL,R,LOC,X,0
NSEL,A,LOC,X,0.1
NSEL,R,LOC,Y,0
*GET,FNOD,NODE,,NUM,MAX
NSEL,ALL
ESEL,ALL
PATH,STRESS4,2,,48         ! DEFINE PATH WITH NAME = "STRESS4"
PPATH,1,SNOD
PPATH,2,FNOD
PDEF,SY,S,Y               ! INTERPOLATE SY STRESS ON PATH
PRANGE,24                 ! PRINT EVERY 24TH POINT
PRPATH,SY                 ! PRINT SY STRESS ALONG THE PATH
*GET,S2,PATH,0,LAST,SY
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'P (psi)','P (psi)'
LABEL(1,2) = ' X=0 ',' X=.1'
*VFILL,VALUE(1,1),DATA,-9549,-9298
*VFILL,VALUE(1,2),DATA,S1,S2
*VFILL,VALUE(1,3),DATA,ABS(S1/9549),ABS(S2/9298)
SAVE,TABLE_2
FINISH
/CLEAR, NOSTART
/PREP7
smrt,off
/TITLE, VM141, DIAMETRAL COMPRESSION OF A DISK
C***  USING PLANE145 ELEMENTS
ET,1,PLANE145,4,5,3       ! DEFINE ELEMENT WITH P-LEVELS & THICKNESS INPUT
R,1,.2                    ! THICKNESS
MP,EX,1,30E6              ! DEFINE MATERIAL PROPERTIES
MP,NUXY,1,0.3
PCIRC,,1,0,90             ! CREATE MODEL GEOMETRY
ESIZE,,5
AMESH,ALL                 ! MESH ALL AREAS
EPLOT
FINISH
/SOLU
NSEL,S,LOC,Y,0            ! APPLY BOUNDARY CONDITIONS
DSYM,SYMM,Y               ! SYMMETRY ALONG X AXIS
NSEL,S,LOC,X,0
DSYM,SYMM,X               ! SYMMETRY ALONG Y AXIS
NSEL,ALL
ESEL,ALL
F,NODE(0,1,0),FY,-1000    ! APPLY HALF OF FORCE (SYMMETRY)
PCONV,1,S,Y,NODE(0,0,0)   ! SET CONVERGENCE CRITERIA FOR SY AT CENTER
PCONV,1,S,Y,NODE(.10,0,0) ! SET CONVERGENCE CRITERIA FOR SY AT X=0.1,Y=0
SOLVE
PRCONV                    ! PRINT P-CONVERGENCE HISTORY
/POST1
*GET,S1,NODE,12,S,Y
*GET,S2,NODE,22,S,Y
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'P (psi)','P (psi)'
LABEL(1,2) = ' X=0 ',' X=.1'
*VFILL,VALUE(1,1),DATA,-9549,-9298
*VFILL,VALUE(1,2),DATA,S1,S2
*VFILL,VALUE(1,3),DATA,ABS(S1/9549),ABS(S2/9298)
FINISH
SAVE,TABLE_3
/CLEAR, NOSTART
/TITLE, VM141, DIAMETRAL COMPRESSION OF A DISK
C***  USING SHELL181 ELEMENTS
/PREP7
smrt,off
ET,1,SHELL181
R,1,.2                    ! THICKNESS
MP,EX,1,30E6              ! DEFINE MATERIAL PROPERTIES
MP,NUXY,1,0.3
PCIRC,,1,0,90             ! CREATE MODEL GEOMETRY
ESIZE,,10
AMESH,ALL                 ! MESH ALL AREAS
EPLOT
FINISH
/SOLU
NSEL,S,LOC,Y,0            ! APPLY BOUNDARY CONDITIONS
DSYM,SYMM,Y               ! SYMMETRY ALONG X AXIS
NSEL,S,LOC,X,0
DSYM,SYMM,X               ! SYMMETRY ALONG Y AXIS
NSEL,ALL
ESEL,ALL
F,NODE(0,1,0),FY,-1000    ! APPLY HALF OF FORCE (SYMMETRY)
D,ALL,UZ,,,,,ROTX,ROTY    ! CONSTRAIN UNNEEDED DOF'S
SOLVE
FINISH
/POST1
*GET,S1,NODE,12,S,Y
*GET,S2,NODE,22,S,Y
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'P (psi)','P (psi)'
LABEL(1,2) = ' X=0 ',' X=.1'
*VFILL,VALUE(1,1),DATA,-9549,-9298
*VFILL,VALUE(1,2),DATA,S1,S2
*VFILL,VALUE(1,3),DATA,ABS(S1/9549),ABS(S2/9298)
FINISH
SAVE,TABLE_4
/CLEAR,NOSTART
/TITLE, VM141, DIAMETRAL COMPRESSION OF A DISK
C***  USING SHELL281 ELEMENTS
/PREP7
smrt,off
/DEVICE,VECTOR,ON
ANTYPE,STATIC             ! STATIC ANALYSIS
ET,1,SHELL281
ET,2,SHELL281
ET,3,SHELL281
!ET,1,SHELL281, , ,2
!ET,2,SHELL281, , ,2
!ET,3,SHELL281, , ,2
R,1,.2                    ! THICKNESS
MP,EX,1,30E6
MP,NUXY,1,0.3
CSYS,1                    ! CYLINDRICAL COORDINATES
K,1,1,90
K,2,.5,90
K,4,1
K,5,1,50
L,1,5
LESIZE,1,,,7,5
L,5,4
LESIZE,2,,,4,2
CSYS,0                    ! CARTESIAN COORDINATES
K,3
L,3,4
LESIZE,3,,,5
L,2,3
LESIZE,4,,,4,2
L,2,5
LESIZE,5,,,5
L,1,2
LESIZE,6,,,7,5
A,1,2,5,5
A,2,3,4,5
TYPE,2
MSHK,1                    ! MAPPED AREA MESH
MSHA,0,2D                 ! USING QUADS
AMESH,2                   ! QUADRILATERAL MESHING (PLANE82)
EPLOT
TYPE,1
MSHK,0                    ! FREE AREA MESH
MSHA,1,2D                 ! USING TRIS
AMESH,1                   ! TRIANGLE MESHING (PLANE2)
EPLOT
NSEL,S,LOC,X,0
NSEL,R,LOC,Y,0
ESLN
TYPE,3
EMODIF,ALL                ! MODIFY ALL SELECTED ELEMENTS
NSEL,S,LOC,Y,0
DSYM,SYMM,Y               ! SYMMETRY ALONG X AXIS
NSEL,S,LOC,X,0
DSYM,SYMM,X               ! SYMMETRY ALONG Y AXIS
NSEL,ALL
ESEL,ALL
OUTPR,NSOL,NONE           ! NODAL DISPL. & REACTION FORCES PRINTOUT CONTROL
FK,1,FY,-1000             ! APPLY HALF OF FORCE (SYMMETRY)
D,ALL,UZ,,,,,ROTX,ROTY    ! CONSTRAIN UNNEEDED DOF'S
FINISH
SOLVIT
SAVE,TABLE_5
/NOPR
RESUME,TABLE_1
/COM
/OUT,vm141,vrt
/COM,------------------- VM141 RESULTS COMPARISON ------------
/COM,
/COM,                      TARGET   |    ANSYS   |    RATIO
/COM,
/COM, PLANE82 AND PLANE2
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F11.0,'  ',F11.0,'   ',1F6.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM, SHELL93
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F11.0,'  ',F11.0,'   ',1F6.3)
/NOPR
RESUME,TABLE_3
/GOPR
/COM,
/COM, PLANE145
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F11.0,'  ',F11.0,'   ',1F6.3)
/NOPR
RESUME,TABLE_4
/GOPR
/COM,
/COM, SHELL181
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F11.0,'  ',F11.0,'   ',1F6.3)
/NOPR
RESUME,TABLE_5
/GOPR
/COM,
/COM, SHELL281
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F11.0,'  ',F11.0,'   ',1F6.3)
/COM,---------------------------------------------------------
/OUT
FINISH
*LIST,vm141,vrt
/DELETE,TABLE_1
/DELETE,TABLE_2
/DELETE,TABLE_3
/DELETE,TABLE_4
/DELETE,TABLE_5
/DELETE,GEN,PARM
/DELETE,GEN,db
/DELETE,GEN,emat
/DELETE,GEN,esav
/DELETE,GEN,rst
/DELETE,GEN,seld
/DELETE,GEN,sub
/DELETE,USE,dsub
/DELETE,USE,emat
/DELETE,USE,esav
/DELETE,USE,rst
/DELETE,USE,sord
/DELETE,VM141,DB
/DELETE,SOLVIT,MAC

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM140 Input Listing 		Up / Home Next
VM142 Input Listing


VM142 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM142
/FILNAM,vm142         ! DEFINE JOBNAME FOR THE COARSE MODEL
/PREP7
smrt,off
/TITLE, VM142, STRESS CONCENTRATION AT A HOLE IN A PLATE
C*** ROARK 4TH EDITION, PAGE 384.
/NOPR
ANTYPE,STATIC         ! STATIC ANALYSIS
ET,1,PLANE183
MP,EX,1,30E6
MP,NUXY,1,0.3
K,1,6                 ! KEYPOINTS
K,2,6,6
K,3,,6
K,4,,.5
K,5,.5
K,6
L,1,2                 ! LINE SEGMENTS
L,2,3
L,3,4
LESIZE,3,,,4,.25      ! DEFINE NO. OF DIVISONS AND SPACING FOR LINE 3
LARC,4,5,6,0.5
LESIZE,4,,,6          ! DEFINE NO. OF DIVISONS FOR LINE 4
L,5,1
LESIZE,5,,,4,4        ! DEFINE NO. OF DIVISONS AND SPACING FOR LINE 5
AL,1,2,3,4,5          ! AREA DEFINED BY 5 BOUNDING LINES
ESIZE,,4              ! 4 DIVISIONS PER LINE
MSHAPE,1,2D
MSHKEY,0
AMESH,ALL
/AUTO,1               ! AUTO SCALE ON WINDOW 1
/PLOPTS,INFO,0        ! TURN WINDOW DOCUMENTATION OFF
/PLOPTS,WINS,0
/WINDOW,,LTOP         ! WINDOW 1 AT LEFT TOP CORNER
EPLOT
LSEL,S,LINE,,3,5,2
DL,ALL,,SYMM
LSEL,S,LINE,,1
NSLL,,1
SF,ALL,PRES,-1000.    ! APPLY TENSION ON PLATE
LSEL,ALL
NSEL,ALL
CSYS,1
FINISH
/SOLU
SOLVE
FINISH
SAVE                  ! SAVE FILE AS VM142.DB
/POST1
SET,1,1
NSORT,S,X,,,3         ! SORT BASED ON SX, RETAIN ONLY THE HIGHEST 3
PRNSOL,S,COMP
/WINDOW,1,OFF         ! TURN WINDOW 1 OFF
/NOERASE              ! OVERLAY DISPLAYS
/DSCALE,2,1
/WINDOW,2,RTOP        ! WINDOW 2 AT RIGHT TOP CORNER
PLNSOL,S,X
*GET,CRSESTR,NODE,18,S,X
*status,parm
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'MX STR '
LABEL(1,2) = 'CRS MODEL'
*VFILL,VALUE(1,1),DATA,3018
*VFILL,VALUE(1,2),DATA,CRSESTR
*VFILL,VALUE(1,3),DATA,ABS(CRSESTR/3018)
SAVE,TABLE_1
FINISH
/CLEAR, NOSTART ! CLEAR THE DATABASE
/FILNAM,SUBMODEL      ! DEFINE JOBNAME FOR THE SUBMODEL
/PREP7
smrt,off
/NOPR
/TITLE, VM142, STRESS CONCENTRATION AT A HOLE IN A PLATE
C*** BOUNDARY INTERPOLATION, MODIFIED SECTION
ANTYPE,STATIC
ET,1,PLANE42
MP,EX,1,30E6
MP,NUXY,1,0.3
CSYS,1
K,10,.5,45            ! DEFINE KEYPOINTS FOR SUBMODEL
K,11,.5,90
K,12,1.5,45
K,13,1.5,90
A,10,12,13,11
ESIZE,,8              ! 8 DIVISIONS
MSHK,1                    ! MAPPED AREA MESH
MSHA,0,2D                 ! USING QUADS
AMESH,1
/WINDOW,2,OFF
/NOERASE
/PLOPTS,INFO,0
/PLOPTS,WINS,0
/WINDOW,1,LTOP        ! WINDOW 1 AT LEFT TOP CORNER
/USER                 ! USER DEFINED SCALE
/DIST,1,3.3           ! USER DEFINED VIEW DISTANCE
/FOCUS,1,3,3          ! USER DEFINED FOCUS POINT
EPLOT
LSEL,S,LINE,,1,2
NSLL,,1               ! SELECT NODES OF CUT BOUNDARY
NWRITE                ! WRITE GEOMETRY TO SUBMODEL.NODE
LSEL,ALL
NSEL,ALL
FINISH
SAVE                  ! SAVE SUBMODEL DATA IN FILE SUBMODEL.DB
/POST1
RESUME,vm142,db       ! RESUME FROM FILE VM142.DB
FILE,vm142,rst        ! DEFINE RESULTS FILE NAME
CBDOF,,,,,,,0,,0      ! ACTIVATE CUT BOUNDARY INTERPOLATION
FINISH
/PREP7
smrt,off
RESUME                ! RESUME SUBMODEL FROM FILE SUBMODEL.DB
/NOPR
/INPUT,,cbdo,,:cb1    ! READ IN INTERPOLATED B.C.'S FROM SUBMODEL.CBDO
/GOPR
LSEL,S,LINE,,3        ! APPLY REMAINING BOUNDARY CONDITIONS
DL,ALL,,SYMM
FINISH
/SOLU
SOLVE
FINISH
/POST1
SET,1,1
NSORT,S,X,,,3
PRNSOL,S,COMP
/WINDOW,1,OFF
/AUTO,3
/WINDOW,3,BOT         ! WINDOW 3 AT LOWER HALF
/NOERASE
/PLOPTS,MINM,1
/USER,3
/DIST,3,.2
/FOCUS,3,.2,.5
/CONTOUR,3,,AUTO      ! AUTO CONTOUR SCALE FOR WINDOW 3
PLNSOL,SX
*GET,SUBSTR,NODE,18,S,X
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'MAX STRS'
LABEL(1,2) = ' SUBMOD'
*VFILL,VALUE(1,1),DATA,3018
*VFILL,VALUE(1,2),DATA,SUBSTR
*VFILL,VALUE(1,3),DATA,ABS(SUBSTR/3018 )
SAVE,TABLE_2
FINISH
/CLEAR,NOSTART
/FILNAM,SUBMODEL
/PREP7
smrt,off
/TITLE, VM142, STRESS CONCENTRATION AT A HOLE IN A PLATE
C*** ROARK 4TH EDITION, PAGE 384.
/NOPR
ANTYPE,STATIC         ! STATIC ANALYSIS
ET,1,PLANE146
MP,EX,1,30E6
MP,NUXY,1,0.3
K,1,6                 ! KEYPOINTS
K,2,6,6
K,3,,6
K,4,,.5
K,5,.5
K,6
L,1,2                 ! LINE SEGMENTS
L,2,3
L,3,4
LESIZE,3,,,4,.25      ! DEFINE NO. OF DIVISONS AND SPACING FOR LINE 3
LARC,4,5,6,0.5
LESIZE,4,,,6          ! DEFINE NO. OF DIVISONS FOR LINE 4
L,5,1
LESIZE,5,,,4,4        ! DEFINE NO. OF DIVISONS AND SPACING FOR LINE 5
AL,1,2,3,4,5          ! AREA DEFINED BY 5 BOUNDING LINES
ESIZE,,4              ! 4 DIVISIONS PER LINE
AMESH,ALL
/AUTO,1               ! AUTO SCALE ON WINDOW 1
/PLOPTS,INFO,0        ! TURN WINDOW DOCUMENTATION OFF
/PLOPTS,WINS,0
/WINDOW,,LTOP         ! WINDOW 1 AT LEFT TOP CORNER
EPLOT
LSEL,S,LINE,,3,5,2
DL,ALL,,SYMM
LSEL,S,LINE,,1
NSLL,,1
SF,ALL,PRES,-1000.    ! APPLY TENSION ON PLATE
LSEL,ALL
NSEL,ALL
CSYS,1
FINISH
/SOLU
SOLVE
FINISH
/POST1
SET,1,1
!PRNSOL,S,COMP
/WINDOW,1,OFF         ! TURN WINDOW 1 OFF
/NOERASE              ! OVERLAY DISPLAYS
/DSCALE,2,1
/WINDOW,2,RTOP        ! WINDOW 2 AT RIGHT TOP CORNER
PLNSOL,S,X
*GET,SUBSTR,NODE,18,S,X
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'MAX STRS'
LABEL(1,2) = 'CRS MOD '
*VFILL,VALUE(1,1),DATA,3018
*VFILL,VALUE(1,2),DATA,SUBSTR
*VFILL,VALUE(1,3),DATA,ABS(SUBSTR/3018 )
SAVE,TABLE_3
FINISH
/DEL,SUBMODEL,cbdo
/DEL,SUBMODEL,db
/DEL,SUBMODEL,emat
/DEL,SUBMODEL,esav
/DEL,SUBMODEL,node
/DEL,SUBMODEL,rst
/DEL,SUBMODEL,tri
RESUME,TABLE_1
/OUT,vm142,vrt
/COM,-------------------(VM142)RESULTS COMPARISON---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,PLANE183
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,PLANE42
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/NOPR
RESUME,TABLE_3
/GOPR
/COM,
/COM,PLANE146
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/COM,-----------------------------------------------------------
/COM,
/OUT
FINISH
/DEL,TABLE_1
/DEL,TABLE_2
/DEL,TABLE_3
*LIST,vm142,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM141 Input Listing 		Up / Home Next
VM143 Input Listing


VM143 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM143
*CREATE,FRACT,MAC
!  MACRO TO CREATE 3D SOLID95 CRACK TIP ELEMENTS FROM 3D SOLID45 ELEMENTS
!     MAKE A COMPONENT CONTAINING THE CRACK TIP NODES (CRACKTIP)
!     THE CRACK TIP IS BETWEEN NODES K AND O
!     SET ELEMENT TYPE TO POINT TO SOLID95
!     SET ARG1 TO  N  (THE TYPE OF THE ELEMENTS AROUND THE CRACK TIP)
!
/NOPR
NSEL,ALL
*GET,N,NODE,,NUM,MAX                 ! CURRENT MAXIMUM NODE NUMBER
CMSEL,S,CRACKTIP                     ! SELECT THE TIP NODES
ESLN                                 ! ANY ELEMENTS ATTACHED
*GET,ELMAX,ELEM,,NUM,MAX             ! CURRENT MAXIMUM ELEMENT NUMBER
*DO,IEL,1,ELMAX                      ! LOOP ON MAX ELEMENT
   ELMI=IEL
   *IF,ELMI,LE,0,EXIT                ! NO MORE SELECTED
   *GET,ELTYPE,ELEM,ELMI,ATTR,TYPE   ! GET ELEMENT TYPE
   *IF,ELTYPE,NE,ARG1,CYCLE          ! CHECK FOR SELECTED ELEMENT
   N3 = NELEM(ELMI,3)                ! GET NODE 3 (K)
   *IF,NSEL(N3),LE,0,CYCLE           ! IT MUST BE SELECTED
   N7 = NELEM(ELMI,7)                ! GET NODE 7 (L)
   *IF,NSEL(N7),LE,0,CYCLE           ! IT MUST ALSO BE SELECTED
   N1 = NELEM(ELMI,1)                ! GET NODE 1 (I)
   N2 = NELEM(ELMI,2)                ! GET NODE 2 (J)
   N5 = NELEM(ELMI,5)                ! GET NODE 5 (M)
   N6 = NELEM(ELMI,6)                ! GET NODE 6 (N)

   X3 = 0.75*NX(N3)                  ! WEIGHTED POSITION OF N3
   Y3 = 0.75*NY(N3)
   Z3 = 0.75*NZ(N3)
   X  = 0.25*NX(N2) + X3             ! QUARTER POINT LOCATION ( NODE (R) )
   Y  = 0.25*NY(N2) + Y3
   Z  = 0.25*NZ(N2) + Z3
   N  = N + 1                        ! NEXT NODE
   N10 = N
   N,N10,X,Y,Z                       ! MIDSIDE NODE LOCATION
   X  = 0.25*NX(N1) + X3
   Y  = 0.25*NY(N1) + Y3
   Z  = 0.25*NZ(N1) + Z3
   N  = N + 1
   N12= N
   N,N12,X,Y,Z
   X7 = 0.75*NX(N7)
   Y7 = 0.75*NY(N7)
   Z7 = 0.75*NZ(N7)
   X  = 0.25*NX(N6) + X7
   Y  = 0.25*NY(N6) + Y7
   Z  = 0.25*NZ(N6) + Z7
   N  = N + 1
   N14 = N
   N,N14,X,Y,Z
   X  = 0.25*NX(N5) + X7
   Y  = 0.25*NY(N5) + Y7
   Z  = 0.25*NZ(N5) + Z7
   N  = N + 1
   N16 = N
   N,N16,X,Y,Z
   N4=N3
   N8=N7
   NSEL,ALL
   TYPE,3
   EN,ELMI,N1,N2,N3,N4,N5,N6,N7,N8   ! REDEFINE THE ELEMENT
   EMORE,0,N10,0,N12,0,N14,0,N16
   EMORE,
*ENDDO
CMSEL,U,CRACKTIP                     ! UNSELECT THE TIP NODES
NUMMRG,NODE                          ! MERGE MIDSIDE NODES
NSEL,ALL                             ! SELECT ALL ELEMENTS
ESEL,ALL                             ! SELECT ALL ELEMENTS
/GOPR
*END

/PREP7
SMRT,OFF
/TITLE, VM143, FRACTURE MECHANICS STRESS INTENSITY  - CRACK IN A FINITE WIDTH PLATE
C***    BROWN AND SRAWLEY, ASTM SPECIAL TECHNICAL PUBLICATION NO. 410.
/COM,     ****** CRACK IN 3-DIMENSIONS USING SOLID45 AND SOLID95
ANTYPE,STATIC                ! STATIC ANALYSIS
ET,1,SOLID45
ET,2,SOLID45                 ! ELEMENTS AROUND THE CRACK TIP
ET,3,SOLID95                 ! CRACK TIP ELEMENTS CREATED USING MACRO FRACT
MP,EX,1,3E7
MP,NUXY,1,.3
CSYS,1                       ! CYLINDRICAL COORDINATE SYSTEM
N,1
NGEN,9,20,1
N,11,.8
N,171,.8,180
FILL,11,171,7,31,20
CSYS,0                       ! CARTESIAN COORDINATE SYSTEM
FILL,1,11,9,2,1,9,20,3
N,15,4
N,75,4,5
FILL,15,75,2,35,20
N,155,-1,5
FILL,75,155,3,95,20
N,172,-1
FILL,155,172,5,177,-1,,,.15
FILL,11,15,3,,,7,20,3
NGEN,2,200,1,177,,,,.25
E,2,22,1,1,202,222,201,201
EGEN,8,20,-1
E,2,3,23,22,202,203,223,222
EGEN,8,20,-1
EGEN,9,1,-8
EGEN,5,1,73,78
E,171,151,173,172,371,351,373,372
E,151,131,174,173,351,331,374,373
E,131,132,175,174,331,332,375,374
EGEN,3,1,-1
E,134,135,155,177,334,335,355,377
TYPE,2
EMODIF,1                    ! MODIFY ELEMENTS 1 TO 8 FROM TYPE,1 TO TYPE,2
*REPEAT,8,1
NUMMRG,NODE                 ! MERGE COINCIDENT NODES
NSEL,S,LOC,X,0
NSEL,R,LOC,Y,0
CM,CRACKTIP,NODE
/NERR,0                     ! TEMPORARILY NO WARNINGS OR ERRORS PRINTOUT
                            ! (IN ORDER TO AVOID WARNING MESSAGES DUE TO
                            !  MIDSIDE NODES LOCATION)
FRACT,2                     ! CONVERSION MACRO, TYPE 2 IS SOLID45
                            ! ELEMENTS AROUND THE CRACK TIP
/NERR,DEFA                  ! TURN ON THE WARNINGS OR ERRORS PRINTOUT
/OUTPUT
OUTPR,,ALL
OUTPR,VENG,ALL              ! STORE STRAIN ENERGY FOR J-INTEGRAL EVALUATION
NSEL,S,LOC,X,-1
DSYM,SYMM,X                 ! SYMMETRIC B.C.'S AT X = -1
NSEL,S,LOC,X,0,4
NSEL,R,LOC,Y,0
DSYM,SYMM,Y                 ! SYMMETRIC B.C.'S AT Y = 0 EXCEPT CRACK NODES
NSEL,ALL
D,ALL,UZ                    ! Z CONSTRAINTS FOR PLANE STRAIN PROBLEM
NSEL,S,LOC,Y,5
SF,ALL,PRES,-.5641895
NSEL,ALL
ESEL,ALL
FINISH
/OUTPUT,SCRATCH
/SOLU
SOLVE
FINISH
/OUTPUT
/POST1
ETABLE,SENE,SENE             ! RETRIEVE STRAIN ENERGY PER ELEMENT
ETABLE,VOLU,VOLU             ! RETRIEVE VOLUME PER ELEMENT
C*** IN POST1 DETERMINE KI (STRESS INTENSITY FACTOR) USING KCALC !**
PATH,KI1,3,,48                ! DEFINE PATH WITH NAME = "KI1"
PPATH,1,1                    ! DEFINE PATH POINTS BY NODE
PPATH,2,406
PPATH,3,162
KCALC,,,1                    ! COMPUTE KI FOR A HALF-MODEL WITH SYMM. B.C.
*GET,KI1,KCALC,,K,1          ! GET KI AS PARAMETER KI1
!********************************************************************************
!**************************  J-INTEGRAL USER FILE  *****************************
!*******************************************************************************
! ****NOTE:- IN GENERAL USAGE, THE USER FILE WOULD BE AVAILABLE IN THE
!            LOCAL DIRECTORY RATHER THAN BEING CREATED IN THE INPUT
!*******************************************************************************
*CREATE,JIN1
STINFC                        ! DATA BLOCK NAME
SEXP,W,SENE,VOLU,1,-1         ! CALCULATE STRAIN ENERGY DENSITY
PATH,JINT,4,50,48             ! DEFINE PATH WITH NAME = "JINT"
PPATH,1,ARG1                  ! DEFINE PATH POINTS BY NODE
PPATH,2,ARG2
PPATH,3,ARG3
PPATH,4,ARG4
PDEF,W,ETAB,W                 ! PUT STRAIN ENERGY DENSITY ON THE PATH
PCALC,INTG,J,W,YG             ! INTEGRATE ENERGY W.R.T. GLOBAL Y
*GET,JA,PATH,,LAST,J          ! GET FINAL VALUE OF INTEGRAL FOR 1ST TERM OF J
PDEF,CLEAR                    ! CLEAR OLD PATH VARIABLES
PVECT,NORM,NX,NY,NZ           ! DEFINE THE PATH UNIT NORMAL VECTOR
PDEF,INTR,SX,SX               ! PUT STRESS SX ON THE PATH
PDEF,INTR,SY,SY               ! PUT STRESS SY ON THE PATH
PDEF,INTR,SXY,SXY             ! PUT STRESS SXY ON THE PATH
PCALC,MULT,TX,SX,NX           ! CALCULATE TRACTION TX
PCALC,MULT,C1,SXY,NY          !   TX = SX*NX + SXY*NY
PCALC,ADD,TX,TX,C1
PCALC,MULT,TY,SXY,NX          ! CALCULATE TRACTION TY
PCALC,MULT,C1,SY,NY           !   TY = SXY*NX + SY*NY
PCALC,ADD,TY,TY,C1
*GET,DX,PATH,,LAST,S          ! DEFINE PATH SHIFT AS 1% OF PATH LENGTH
DX=DX/100
PCALC,ADD,XG,XG,,,,-DX/2      ! SHIFT PATH FROM X TO X-DX/2 (GLOBAL X DIR.)
PDEF,INTR,UX1,UX              ! DEFINE UX AT X-DX
PDEF,INTR,UY1,UY              ! DEFINE UY AT X-DX
PCALC,ADD,XG,XG,,,,DX         ! SHIFT PATH FROM X-DX/2 TO X+DX/2
PDEF,INTR,UX2,UX              ! DEFINE UX AT X+DX
PDEF,INTR,UY2,UY              ! DEFINE UY AT X+DX
PCALC,ADD,XG,XG,,,,-DX/2      ! SHIFT PATH BACK TO ORIGINAL POSITION
C=(1/DX)
PCALC,ADD,C1,UX2,UX1,C,-C     ! CALCULATE DERIVATIVE DUX/DX
PCALC,ADD,C2,UY2,UY1,C,-C     ! CALCULATE DERIVATIVE DUY/DX
PCALC,MULT,C1,TX,C1           ! DEFINE INTEGRAND
PCALC,MULT,C2,TY,C2           !   = TX*DUX/DX + TY*DUY/DX
PCALC,ADD,C1,C1,C2
PCALC,INTG,J,C1,S             ! FORM SECOND INTEGRAL (W.R.T. PATH LENGTH S)
*GET,JB,PATH,,LAST,J          ! GET FINAL VALUE OF INTEGRAL FOR 2ND TERM OF J
JINT=2*(JA-JB)                ! ADD BOTH TERMS AND DOUBLE FOR HALF MODELS
PDEF,CLEAR                    ! CLEAR PATH VARIABLES
*END
C**************** IN POST1 DETERMINE KI FROM J-INTEGRAL !***********************
CON1=30E6/(1-(0.3*0.3))       ! J-TO-KI CONVERSION FACTOR
*ULIB,JIN1                    ! ASSIGN LOCAL FILE JIN1 AS USER FILE
*USE,STINFC,4,45,125,164      ! USE DATA BLOCK STINFC AND GIVE PATH NODES
KI2=SQRT(CON1*JINT)           ! CALCULATE KI FROM J
*STATUS,KI1                   ! VIEW RESULTS
*STATUS,KI2
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'BY DISP ','BY J-'
LABEL(1,2) = 'EXTRP ','INT'
*VFILL,VALUE(1,1),DATA,1.0249,1.0249
*VFILL,VALUE(1,2),DATA,KI1,KI2
*VFILL,VALUE(1,3),DATA,ABS(KI1/1.0249),ABS(KI2/1.0249)
SAVE,TABLE_1
FINISH

/CLEAR, NOSTART ! CLEAR DATABASE FOR 2ND SOLUTION
/PREP7
SMRT,OFF
/TITLE, VM143, FRACTURE MECHANIC STRESS INTENSITY - CRACK IN A FINITE WIDTH PLATE
/COM,   ****** CRACK IN 2-DIMENSIONS USING 2-D PLANE82 ******
ET,1,PLANE82,,,2              ! PLANE82 (PLANE STRAIN)
MP,EX,1,30E6
MP,NUXY,1,0.3
K,1                           ! DEFINE KEYPOINTS AND LINE SEGMENTS
K,2,4
K,3,4,5
K,4,-1,5
K,5,-1
L,1,2
L,2,3
LESIZE,2,,,4
L,3,4
LESIZE,3,,,4
L,4,5,
LESIZE,4,,,6,.2
L,5,1
ESIZE,,5
KSCON,1,.15,1,8               ! DEFINE CRACK TIP ELEMENT SIZE
AL,1,2,3,4,5
DL,1,1,SYMM                   ! APPLY SOLID MODEL BOUNDARY CONDITIONS
DL,4,1,SYMM
SFL,3,PRES,-.5641895
AMESH,1
OUTPR,ALL
FINISH
/COM
/OUTPUT,SCRATCH
/SOLU
SOLVE
FINISH
/OUTPUT
/POST1
ETABLE,SENE,SENE              ! RETRIEVE STRAIN ENERGY PER ELEMENT
ETABLE,VOLU,VOLU              ! RETRIEVE VOLUME PER ELEMENT
C*** IN POST1 DETERMINE KI (STRESS INTENSITY FACTOR) USING KCALC !**
NSEL,S,LOC,Y,0                ! SELECT NODES FOR LPATH COMMAND
NSEL,R,LOC,X,0
*GET,NOD1,NODE,,NUM,MIN
NSEL,A,LOC,Y
NSEL,R,LOC,X,-.005,-.145
*GET,NOD2,NODE,,NUM,MIN
NSEL,A,LOC,Y
NSEL,R,LOC,X,-.145,-.155
*GET,NOD3,NODE,,NUM,MIN
NSEL,ALL
PATH,KI2,3,,48                  ! DEFINE PATH WITH NAME = "KI2"
PPATH,1,NOD1                   ! DEFINE PATH POINTS BY NODE
PPATH,2,NOD2
PPATH,3,NOD3
KCALC,,,1                      ! COMPUTE KI FOR A HALF-MODEL WITH SYMM. B.C.
*GET,KI1,KCALC,,K,1            ! GET KI AS A PARAMETER KI1
C**************** IN POST1 DETERMINE KI FROM J-INTEGRAL !***********************
CSYS,1
NSEL,S,LOC,X,.5,.8             ! SELECT NODES FOR LPATH COMMAND IN STINFC
NSEL,R,LOC,Y,-1,1
*GET,NOD4,NODE,,NUM,MAX
NSEL,S,LOC,X,.5,.8
NSEL,R,LOC,Y,35,55
*GET,NOD5,NODE,,NUM,MAX
NSEL,S,LOC,X,.5,.8
NSEL,R,LOC,Y,120,145
*GET,NOD6,NODE,,NUM,MAX
NSEL,S,LOC,X,.5,.8
NSEL,R,LOC,Y,179,181
*GET,NOD7,NODE,,NUM,MIN
NSEL,ALL
CSYS,0
*USE,STINFC,NOD4,NOD5,NOD6,NOD7 ! USE DATA BLOCK STINFC AND GIVE PATH NODES
CON1=30E6/(1-(0.3*0.3))         ! J-TO-KI CONVERSION FACTOR
KI2=SQRT(CON1*JINT)             ! CALCULATE KI FROM J
*STATUS,KI1                     ! VIEW RESULTS
*STATUS,KI2
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'BY DISP ','BY J-'
LABEL(1,2) = 'EXTRP ','INT'
*VFILL,VALUE(1,1),DATA,1.0249,1.0249
*VFILL,VALUE(1,2),DATA,KI1,KI2
*VFILL,VALUE(1,3),DATA,ABS(KI1/1.0249),ABS(KI2/1.0249)
SAVE,TABLE_2
FINISH

/CLEAR, NOSTART ! CLEAR DATABASE FOR 3ND SOLUTION
/PREP7
SMRT,OFF
/TITLE, VM143, FRACTURE MECHANICS STRESS INTENSITY  - CRACK IN A FINITE WIDTH PLATE
/COM,     ****** CRACK IN 3-DIMENSIONS USING SOLID185 AND SOLID186
ET,1,SOLID185
ET,2,SOLID185                 ! ELEMENTS AROUND THE CRACK TIP
ET,3,SOLID186                 ! CRACK TIP ELEMENTS CREATED USING MACRO FRACT
MP,EX,1,3E7
MP,NUXY,1,.3
CSYS,1                       ! CYLINDRICAL COORDINATE SYSTEM
N,1
NGEN,9,20,1
N,11,.8
N,171,.8,180
FILL,11,171,7,31,20
CSYS,0                       ! CARTESIAN COORDINATE SYSTEM
FILL,1,11,9,2,1,9,20,3
N,15,4
N,75,4,5
FILL,15,75,2,35,20
N,155,-1,5
FILL,75,155,3,95,20
N,172,-1
FILL,155,172,5,177,-1,,,.15
FILL,11,15,3,,,7,20,3
NGEN,2,200,1,177,,,,.25
E,2,22,1,1,202,222,201,201
EGEN,8,20,-1
E,2,3,23,22,202,203,223,222
EGEN,8,20,-1
EGEN,9,1,-8
EGEN,5,1,73,78
E,171,151,173,172,371,351,373,372
E,151,131,174,173,351,331,374,373
E,131,132,175,174,331,332,375,374
EGEN,3,1,-1
E,134,135,155,177,334,335,355,377
TYPE,2
EMODIF,1                    ! MODIFY ELEMENTS 1 TO 8 FROM TYPE,1 TO TYPE,2
*REPEAT,8,1
NUMMRG,NODE                 ! MERGE COINCIDENT NODES
NSEL,S,LOC,X,0
NSEL,R,LOC,Y,0
CM,CRACKTIP,NODE
/NERR,0                     ! TEMPORARILY NO WARNINGS OR ERRORS PRINTOUT
                            ! (IN ORDER TO AVOID WARNING MESSAGES DUE TO
                            !  MIDSIDE NODES LOCATION)
FRACT,2                     ! CONVERSION MACRO, TYPE 2 IS SOLID185
                            ! ELEMENTS AROUND THE CRACK TIP
/NERR,DEFA                  ! TURN ON THE WARNINGS OR ERRORS PRINTOUT
/OUTPUT
OUTPR,,ALL
OUTPR,VENG,ALL              ! STORE STRAIN ENERGY FOR J-INTEGRAL EVALUATION
NSEL,S,LOC,X,-1
DSYM,SYMM,X                 ! SYMMETRIC B.C.'S AT X = -1
NSEL,S,LOC,X,0,4
NSEL,R,LOC,Y,0
DSYM,SYMM,Y                 ! SYMMETRIC B.C.'S AT Y = 0 EXCEPT CRACK NODES
NSEL,ALL
D,ALL,UZ                    ! Z CONSTRAINTS FOR PLANE STRAIN PROBLEM
NSEL,S,LOC,Y,5
SF,ALL,PRES,-.5641895
NSEL,ALL
ESEL,ALL
FINISH
/OUTPUT,SCRATCH
/SOLU
SOLVE
FINISH
/OUTPUT
/POST1
ETABLE,SENE,SENE             ! RETRIEVE STRAIN ENERGY PER ELEMENT
ETABLE,VOLU,VOLU             ! RETRIEVE VOLUME PER ELEMENT
C*** IN POST1 DETERMINE KI (STRESS INTENSITY FACTOR) USING KCALC !**
PATH,KI1,3,,48                ! DEFINE PATH WITH NAME = "KI1"
PPATH,1,1                    ! DEFINE PATH POINTS BY NODE
PPATH,2,406
PPATH,3,162
KCALC,,,1                    ! COMPUTE KI FOR A HALF-MODEL WITH SYMM. B.C.
*GET,KI1,KCALC,,K,1          ! GET KI AS PARAMETER KI1
C**************** IN POST1 DETERMINE KI FROM J-INTEGRAL !***********************
CON1=30E6/(1-(0.3*0.3))       ! J-TO-KI CONVERSION FACTOR
*ULIB,JIN1                    ! ASSIGN LOCAL FILE JIN1 AS USER FILE
*USE,STINFC,4,45,125,164      ! USE DATA BLOCK STINFC AND GIVE PATH NODES
KI2=SQRT(CON1*JINT)           ! CALCULATE KI FROM J
*STATUS,KI1                   ! VIEW RESULTS
*STATUS,KI2
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'BY DISP ','BY J-'
LABEL(1,2) = 'EXTRP ','INT'
*VFILL,VALUE(1,1),DATA,1.0249,1.0249
*VFILL,VALUE(1,2),DATA,KI1,KI2
*VFILL,VALUE(1,3),DATA,ABS(KI1/1.0249),ABS(KI2/1.0249)
SAVE,TABLE_3
FINISH
RESUME,TABLE_1
/COM
/OUT,vm143,vrt
/COM,------------------- VM143 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,USING SOLID95 AND SOLID45 (3-D ANALYSIS)
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,USING PLANE82 (2-D ANALYSIS)
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/NOPR
RESUME,TABLE_3
/GOPR
/COM,
/COM,USING SOLID186 AND SOLID185 (3-D ANALYSIS)
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm143,vrt

/DELETE,FRACT,MAC

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM142 Input Listing 		Up / Home Next
VM144 Input Listing


VM144 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM144
/PREP7
/TITLE, VM144, BENDING OF A COMPOSITE BEAM
C***    FORMULAS FOR STRESS AND STRAIN, ROARK, 5TH ED.
C***    USING LAYERED SHELL ELEMENT (SHELL99)
ANTYPE,STATIC
ET,1,SHELL99                ! 8 NODE LAYERED SHELL ELEMENT
R,1,2                       ! 2 LAYERS PER ELEMENT
RMORE
RMORE,1,0,.2,2,0,.1         ! LAYER 1: 0.2 THK; LAYER 2: 0.1 THK
MP,EX,1,1.2E6               ! MATERIAL 1 PROPERTIES
MP,NUXY,1,0
MP,ALPX,1,18E-5
MP,ALPY,1,0.0
MP,EX,2,0.4E6               ! MATERIAL 2 PROPERTIES
MP,NUXY,2,0
MP,ALPX,2,6E-5
MP,ALPY,2,0
N,1
N,9,8
FILL
NGEN,3,10,1,9,,,.25
E,1,3,23,21,2,13,22,11
EGEN,4,2,-1                 ! 4 ELEMENTS ALONG BEAM LENGTH
CP,1,ROTY,9,19,29           ! COUPLE FREE END NODES FOR ROTATION
D,1,ALL,,,21,10             ! FIXED END
F,19,MY,10                  ! APPLY BENDING MOMENT AT FREE EDGE
BFUNIF,TEMP,100             ! ELEVATED TEMPERATURE LOAD
FINISH
/SOLU
SOLVE
FINISH
/POST1
NSEL,S,LOC,X,8              ! SELECT FREE EDGE
PRNSOL,U,Z                  ! PRINT DISPLACEMENTS
*GET,U1,NODE,9,U,Z
NSEL,S,LOC,Y                ! SELECT NODES ALONG LENGTH
SHELL,TOP
PRNSOL,S,COMP               ! PRINT TOP STRESSES
*GET,ST1,NODE,1,S,X
SHELL,BOT
PRNSOL,S,COMP               ! PRINT BOTTOM STRESSES
*GET,SB1,NODE,1,S,X
ALLSEL
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'DISP ','PRS TP ','PRS BTM '
LABEL(1,2) = 'in','psi','psi'
*VFILL,VALUE(1,1),DATA,.832,2258,1731
*VFILL,VALUE(1,2),DATA,U1,ST1,SB1
*VFILL,VALUE(1,3),DATA,ABS(U1/.832),ABS(ST1/2258),ABS(SB1/1731)
SAVE,TABLE_1
FINISH
/PREP7
C***     USING SHELL99 ELEMENTS WITH NODE OFFSET OPTION
ET,1,SHELL99                ! 8 NODE LAYERED SHELL ELEMENT
KEYOPT,1,11,2               ! WITH NODAL PLANE ON TOP FACE
R,1,1                       ! BOTTOM LAYER
RMORE
RMORE,1,0,.2
ET,2,SHELL99                ! 8 NODE LAYERED SHELL ELEMENT
KEYOPT,2,11,1               ! WITH NODAL PLANE ON BOTTOM FACE
R,2,1                       ! TOP LAYER
RMORE
RMORE,2,0,.1
EGEN,2,0,1,4,1,,1,1         ! GENERATE OVERLAPPING ELEMENTS
FINISH
/SOLU
SOLVE
FINISH
/POST1
NSEL,S,LOC,X,8              ! SELECT FREE EDGE
PRNSOL,U,Z                  ! PRINT DISPLACEMENTS
*GET,U2,NODE,9,U,Z
NSEL,S,LOC,Y                ! SELECT NODES ALONG LENGTH
SHELL,TOP
ESEL,S,TYPE,,2              ! ELEMENTS REPRESENTING TOP LAYER
PRNSOL,S,COMP               ! PRINT TOP STRESSES
*GET,ST2,NODE,1,S,X
SHELL,BOT
ESEL,S,TYPE,,1              ! ELEMENTS REPRESENTING BOTTOM LAYER
PRNSOL,S,COMP               ! PRINT BOTTOM STRESSES
*GET,SB2,NODE,1,S,X
*VFILL,VALUE(1,1),DATA,.832,2258,1731
*VFILL,VALUE(1,2),DATA,U2,ST2,SB2
*VFILL,VALUE(1,3),DATA,ABS(U2/.832),ABS(ST2/2258),ABS(SB2/1731)
SAVE,TABLE_2
FINISH
/CLEAR,NOSTART
/PREP7
/TITLE, VM144, BENDING OF A COMPOSITE BEAM
C***    FORMULAS FOR STRESS AND STRAIN, ROARK, 5TH ED.
C***    USING LAYERED SOLID ELEMENTS (SOLID46)
ANTYPE,STATIC
ET,1,SOLID46,,,,,2,4        ! LAYERED SOLID ELEMENTS
R,1,2                       ! 2 LAYERS
RMORE
RMORE,1,0,2,2,0,1           ! RELATIVE LAYER THICKNESSES
MP,EX,1,1.2E6               ! MATERIAL 1 PROPERTIES
MP,NUXY,1,0
MP,ALPX,1,1.8E-4
MP,ALPY,1,0.0
MP,ALPZ,1,0.0
MP,EX,2,0.4E6               ! MATERIAL 2 PROPERTIES
MP,NUXY,2,0
MP,ALPX,2,0.6E-4
MP,ALPY,2,0.0
MP,ALPZ,2,0.0
N,1
N,9,8
FILL
NGEN,2,10,1,9,1,,.5
NGEN,2,20,1,19,1,,,.3
E,1,2,12,11,21,22,32,31
EGEN,8,1,-1                 ! 8 ELEMENTS ALONG LENGTH
D,1,ALL,,,31,10             ! FIXED END
F,9,FX,-(50/3),,19,10       ! APPLY NODAL FORCES TO GENERATE MOMENT
F,29,FX,(50/3),,39,10
BFUNIF,TEMP,100             ! ELEVATED TEMPERATURE LOAD
FINISH
/SOLU
SOLVE
FINISH
/POST1
NSEL,S,LOC,X,8
PRNSOL,U,Z                  ! PRINT FREE END DISPLACEMENTS
*GET,U3,NODE,9,U,Z
NSEL,S,LOC,Z,0.3
PRNSOL,S,COMP               ! PRINT STRESSES ALONG TOP SURFACE
*GET,ST3,NODE,21,S,X
NSEL,S,LOC,Z
PRNSOL,S,COMP               ! PRINT STRESSES ALONG BOTTOM SURFACE
*GET,SB3,NODE,1,S,X
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'DISP ','PRS TP ','PRS BTM '
LABEL(1,2) = 'in','psi','psi'
*VFILL,VALUE(1,1),DATA,.832,2258,1731
*VFILL,VALUE(1,2),DATA,U3,ST3,SB3
*VFILL,VALUE(1,3),DATA,ABS(U3/.832),ABS(ST3/2258),ABS(SB3/1731)
SAVE, TABLE_3
FINISH
/CLEAR,NOSTART
/PREP7
/TITLE, VM144, BENDING OF A COMPOSITE BEAM
C***    FORMULAS FOR STRESS AND STRAIN, ROARK, 5TH ED.
C***    USING LAYERED SOLID ELEMENTS (SOLID191)
ANTYPE,STATIC
ET,1,SOLID191,,,,,2,        ! LAYERED SOLID ELEMENTS
R,1,2                       ! 2 LAYERS
RMORE
RMORE,1,0,2,2,0,1           ! RELATIVE LAYER THICKNESSES
MP,EX,1,1.2E6               ! MATERIAL 1 PROPERTIES
MP,NUXY,1,0
MP,ALPX,1,1.8E-4
MP,ALPY,1,0.0
MP,ALPZ,1,0.0
MP,EX,2,0.4E6               ! MATERIAL 2 PROPERTIES
MP,NUXY,2,0
MP,ALPX,2,0.6E-4
MP,ALPY,2,0.0
MP,ALPZ,2,0.0
N,1
N,9,8
FILL
NGEN,2,10,1,9,1,,.5
NGEN,2,20,1,19,1,,,.3
E,1,2,12,11,21,22,32,31
EGEN,8,1,-1                 ! 8 ELEMENTS ALONG LENGTH
EMID
NSEL,S,LOC,X
D,ALL,ALL,                  ! FIXED END
NSEL,ALL
NLIST,ALL
SFE,8,3,PRES,,4000/3,4000/3,-4000/3,-4000/3  ! TAPERED PRESSURE TO APPLY MOMENT ON FACE
BFUNIF,TEMP,100             ! ELEVATED TEMPERATURE LOAD
FINISH
/SOLU
OUTPR,NSOL,1
OUTPR,RSOL,1
SOLVE
FINISH
/POST1
NSEL,S,LOC,X,8
PRNSOL,U,Z                  ! PRINT FREE END DISPLACEMENTS
*GET,U3,NODE,9,U,Z
NSEL,S,LOC,Z,0.3
PRNSOL,S,COMP               ! PRINT STRESSES ALONG TOP SURFACE
*GET,ST3,NODE,21,S,X
NSEL,S,LOC,Z
PRNSOL,S,COMP               ! PRINT STRESSES ALONG BOTTOM SURFACE
*GET,SB3,NODE,1,S,X
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'DISP ','PRS TP ','PRS BTM '
LABEL(1,2) = 'in','psi','psi'
*VFILL,VALUE(1,1),DATA,.832,2258,1731
*VFILL,VALUE(1,2),DATA,U3,ST3,SB3
*VFILL,VALUE(1,3),DATA,ABS(U3/.832),ABS(ST3/2258),ABS(SB3/1731)
SAVE, TABLE_4
FINISH
/CLEAR,NOSTART
/PREP7
/TITLE, VM144, BENDING OF A COMPOSITE BEAM
C***    FORMULAS FOR STRESS AND STRAIN, ROARK, 5TH ED.
C***    USING LAYERED SOLID ELEMENTS (SOLSH190)
ANTYPE,STATIC
ET,1,SOLSH190               ! LAYERED SOLID-SHELL ELEMENT
KEYOPT,1,8,1                ! WRITE LAYER RESULTS
SECTYPE,1,SHELL
SECDATA,0.2,1               ! LAYER 1: 0.2 THK
SECDATA,0.1,2               ! LAYER 2: 0.1 THK
MP,EX,1,1.2E6               ! MATERIAL 1 PROPERTIES
MP,NUXY,1,0
MP,ALPX,1,1.8E-4
MP,ALPY,1,0.0
MP,ALPZ,1,0.0
MP,EX,2,0.4E6               ! MATERIAL 2 PROPERTIES
MP,NUXY,2,0
MP,ALPX,2,0.6E-4
MP,ALPY,2,0.0
MP,ALPZ,2,0.0
N,1
N,9,8
FILL
NGEN,2,10,1,9,1,,.5
NGEN,2,20,1,19,1,,,.3
E,1,2,12,11,21,22,32,31
EGEN,8,1,-1                 ! 8 ELEMENTS ALONG LENGTH
D,1,ALL,,,31,10             ! FIXED END
F,9,FX,-(50/3),,19,10       ! APPLY NODAL FORCES TO GENERATE MOMENT
F,29,FX,(50/3),,39,10
BFUNIF,TEMP,100             ! ELEVATED TEMPERATURE LOAD
FINISH
/SOLU
SOLVE
FINISH
/POST1
NSEL,S,LOC,X,8
PRNSOL,U,Z                  ! PRINT FREE END DISPLACEMENTS
*GET,U3,NODE,9,U,Z
NSEL,S,LOC,Z,0.3
PRNSOL,S,COMP               ! PRINT STRESSES ALONG TOP SURFACE
*GET,ST3,NODE,21,S,X
NSEL,S,LOC,Z
PRNSOL,S,COMP               ! PRINT STRESSES ALONG BOTTOM SURFACE
*GET,SB3,NODE,1,S,X
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'DISP ','PRS TP ','PRS BTM '
LABEL(1,2) = 'in','psi','psi'
*VFILL,VALUE(1,1),DATA,.832,2258,1731
*VFILL,VALUE(1,2),DATA,U3,ST3,SB3
*VFILL,VALUE(1,3),DATA,ABS(U3/.832),ABS(ST3/2258),ABS(SB3/1731)
SAVE, TABLE_5
FINISH
/CLEAR,NOSTART
/PREP7
/TITLE, VM144, BENDING OF A COMPOSITE BEAM
C***    FORMULAS FOR STRESS AND STRAIN, ROARK, 5TH ED.
C***    USING LAYERED SOLID ELEMENTS (SOLID186)
ANTYPE,STATIC
ET,1,SOLID186               ! LAYERED SOLID ELEMENT
KEYOPT,1,3,1                ! LAYERED SOLID
KEYOPT,1,8,1                ! WRITE LAYER RESULTS
SECTYPE,1,SHELL
SECDATA,0.2,1               ! LAYER 1: 0.2 THK
SECDATA,0.1,2               ! LAYER 2: 0.1 THK
MP,EX,1,1.2E6               ! MATERIAL 1 PROPERTIES
MP,NUXY,1,0
MP,ALPX,1,1.8E-4
MP,ALPY,1,0.0
MP,ALPZ,1,0.0
MP,EX,2,0.4E6               ! MATERIAL 2 PROPERTIES
MP,NUXY,2,0
MP,ALPX,2,0.6E-4
MP,ALPY,2,0.0
MP,ALPZ,2,0.0
N,1
N,9,8
FILL
NGEN,2,10,1,9,1,,.5
NGEN,2,20,1,19,1,,,.3
E,1,2,12,11,21,22,32,31
EGEN,8,1,-1                 ! 8 ELEMENTS ALONG LENGTH
EMID
NSEL,S,LOC,X
D,ALL,ALL,                  ! FIXED END
NSEL,ALL
NLIST,ALL
SFE,8,3,PRES,,4000/3,4000/3,-4000/3,-4000/3  ! TAPERED PRESSURE TO APPLY MOMENT ON FACE
BFUNIF,TEMP,100             ! ELEVATED TEMPERATURE LOAD
FINISH
/SOLU
OUTPR,NSOL,1
OUTPR,RSOL,1
SOLVE
FINISH
/POST1
NSEL,S,LOC,X,8
PRNSOL,U,Z                  ! PRINT FREE END DISPLACEMENTS
*GET,U3,NODE,9,U,Z
NSEL,S,LOC,Z,0.3
PRNSOL,S,COMP               ! PRINT STRESSES ALONG TOP SURFACE
*GET,ST3,NODE,21,S,X
NSEL,S,LOC,Z
PRNSOL,S,COMP               ! PRINT STRESSES ALONG BOTTOM SURFACE
*GET,SB3,NODE,1,S,X
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'DISP ','PRS TP ','PRS BTM '
LABEL(1,2) = 'in','psi','psi'
*VFILL,VALUE(1,1),DATA,.832,2258,1731
*VFILL,VALUE(1,2),DATA,U3,ST3,SB3
*VFILL,VALUE(1,3),DATA,ABS(U3/.832),ABS(ST3/2258),ABS(SB3/1731)
SAVE, TABLE_6
FINISH
/CLEAR,NOSTART
/PREP7
/TITLE, VM144, BENDING OF A COMPOSITE BEAM
C***    FORMULAS FOR STRESS AND STRAIN, ROARK, 5TH ED.
C***    USING LAYERED SOLID ELEMENTS (SOLID185)
ANTYPE,STATIC
ET,1,SOLID185               ! LAYERED SOLID ELEMENT
KEYOPT,1,2,2                ! ENHANCED STRAIN FORMULATION
KEYOPT,1,3,1                ! LAYERED SOLID
KEYOPT,1,8,1                ! WRITE LAYER RESULTS
SECTYPE,1,SHELL
SECDATA,0.2,1               ! LAYER 1: 0.2 THK
SECDATA,0.1,2               ! LAYER 2: 0.1 THK
MP,EX,1,1.2E6               ! MATERIAL 1 PROPERTIES
MP,NUXY,1,0
MP,ALPX,1,1.8E-4
MP,ALPY,1,0.0
MP,ALPZ,1,0.0
MP,EX,2,0.4E6               ! MATERIAL 2 PROPERTIES
MP,NUXY,2,0
MP,ALPX,2,0.6E-4
MP,ALPY,2,0.0
MP,ALPZ,2,0.0
N,1
N,9,8
FILL
NGEN,2,10,1,9,1,,.5
NGEN,2,20,1,19,1,,,.3
E,1,2,12,11,21,22,32,31
EGEN,8,1,-1                 ! 8 ELEMENTS ALONG LENGTH
D,1,ALL,,,31,10             ! FIXED END
F,9,FX,-(50/3),,19,10       ! APPLY NODAL FORCES TO GENERATE MOMENT
F,29,FX,(50/3),,39,10
BFUNIF,TEMP,100             ! ELEVATED TEMPERATURE LOAD
FINISH
/SOLU
SOLVE
FINISH
/POST1
NSEL,S,LOC,X,8
PRNSOL,U,Z                  ! PRINT FREE END DISPLACEMENTS
*GET,U3,NODE,9,U,Z
NSEL,S,LOC,Z,0.3
PRNSOL,S,COMP               ! PRINT STRESSES ALONG TOP SURFACE
*GET,ST3,NODE,21,S,X
NSEL,S,LOC,Z
PRNSOL,S,COMP               ! PRINT STRESSES ALONG BOTTOM SURFACE
*GET,SB3,NODE,1,S,X
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'DISP ','PRS TP ','PRS BTM '
LABEL(1,2) = 'in','psi','psi'
*VFILL,VALUE(1,1),DATA,.832,2258,1731
*VFILL,VALUE(1,2),DATA,U3,ST3,SB3
*VFILL,VALUE(1,3),DATA,ABS(U3/.832),ABS(ST3/2258),ABS(SB3/1731)
SAVE, TABLE_7
FINISH
/CLEAR,NOSTART
/PREP7
/TITLE, VM144, BENDING OF A COMPOSITE BEAM
C***    FORMULAS FOR STRESS AND STRAIN, ROARK, 5TH ED.
C***    USING LAYERED SHELL ELEMENTS (SHELL281)
ANTYPE,STATIC
ET,1,SHELL281               ! 8 NODE LAYERED SHELL ELEMENT
KEYOPT,1,3,2
KEYOPT,1,8,1                ! WRITE LAYER RESULTS
SECTYPE,1,SHELL
SECDATA,0.2,1               ! LAYER 1: 0.2 THK
SECDATA,0.1,2               ! LAYER 2: 0.1 THK
MP,EX,1,1.2E6               ! MATERIAL 1 PROPERTIES
MP,NUXY,1,0
MP,ALPX,1,18E-5
MP,ALPY,1,0.0
MP,EX,2,0.4E6               ! MATERIAL 2 PROPERTIES
MP,NUXY,2,0
MP,ALPX,2,6E-5
MP,ALPY,2,0
N,1
N,9,8
FILL
NGEN,3,10,1,9,,,.25
E,1,3,23,21,2,13,22,11
EGEN,4,2,-1                 ! 4 ELEMENTS ALONG BEAM LENGTH
CP,1,ROTY,9,19,29           ! COUPLE FREE END NODES FOR ROTATION
D,1,ALL,,,21,10             ! FIXED END
F,19,MY,10                  ! APPLY BENDING MOMENT AT FREE EDGE
BFUNIF,TEMP,100             ! ELEVATED TEMPERATURE LOAD
FINISH
/SOLU
SOLVE
FINISH
/POST1
NSEL,S,LOC,X,8              ! SELECT FREE EDGE
PRNSOL,U,Z                  ! PRINT DISPLACEMENTS
*GET,U1,NODE,9,U,Z
NSEL,S,LOC,Y                ! SELECT NODES ALONG LENGTH
SHELL,TOP
PRNSOL,S,COMP               ! PRINT TOP STRESSES
*GET,ST1,NODE,1,S,X
SHELL,BOT
PRNSOL,S,COMP               ! PRINT BOTTOM STRESSES
*GET,SB1,NODE,1,S,X
ALLSEL
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'DISP ','PRS TP ','PRS BTM '
LABEL(1,2) = 'in','psi','psi'
*VFILL,VALUE(1,1),DATA,.832,2258,1731
*VFILL,VALUE(1,2),DATA,U1,ST1,SB1
*VFILL,VALUE(1,3),DATA,ABS(U1/.832),ABS(ST1/2258),ABS(SB1/1731)
SAVE,TABLE_8
RESUME,TABLE_1
/COM
/OUT,vm144,vrt
/COM,------------------- VM144 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,RESULTS USING SHELL99 MODEL
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,RESULTS USING SHELL99 (WITH NODE OFFSET)
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/NOPR
RESUME,TABLE_3
/GOPR
/COM,
/COM,RESULTS USING SOLID46
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/NOPR
RESUME, TABLE_4
/GOPR
/COM,RESULTS USING SOLID191
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/NOPR
RESUME, TABLE_5
/GOPR
/COM,RESULTS USING SOLSH190
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/NOPR
RESUME, TABLE_6
/GOPR
/COM,RESULTS USING SOLID186
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/NOPR
RESUME, TABLE_7
/GOPR
/COM,RESULTS USING SOLID185
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/NOPR
RESUME, TABLE_8
/GOPR
/COM,RESULTS USING SHELL281
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm144,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM143 Input Listing 		Up / Home Next
VM145 Input Listing


VM145 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM145
/PREP7
/TITLE, VM145, STRETCHING OF AN ORTHOTROPIC SOLID
C***    MECHANICS OF SOLIDS, CRANDALL AND DAHL, 1959, PAGE 225
ANTYPE,STATIC              ! STATIC ANALYSIS
ET,1,SOLID185              ! ANISOTROPIC SOLID
MP,EX,2,10E6               ! LABELED MATERIAL PROPERTY INPUT
MP,EY,2,20E6
MP,EZ,2,40E6
MP,NUXY,2,.1
MP,NUYZ,2,.2
MP,NUXZ,2,.3
MP,GXY,2,10E6
MP,GYZ,2,10E6
MP,GXZ,2,10E6
TB,ANEL,1,,,1
TBDATA,1,.1E-6,-.5E-8,-.75E-8    ! UNINVERTED MATERIAL PROPERTY MATRIX INPUT
TBDATA,7,.5E-7,-.5E-8,,,,.25E-7
TBDATA,16,.1E-6,,,.1E-6,,.1E-6
N,1
N,2,1
NGEN,2,2,1,2,,,,1
NGEN,4,4,1,4,,,1
E,1,2,6,5,3,4,8,7
MAT,2
E,9,10,14,13,11,12,16,15
OUTPR,,1
D,1,ALL,,,9,8
D,3,UX,,,7,2
D,11,UX,,,15,2
D,2,UY,,,4
D,10,UY,,,12
D,2,UZ,,,14,4
D,5,UZ,,,13,8
F,2,FX,25,,16,2
F,5,FY,50,,8
F,13,FY,50,,16
FINISH
/SOLU
SOLVE
/POST1
*GET,UX,NODE,8,U,X
*GET,UY,NODE,8,U,Y
*GET,UZ,NODE,8,U,Z
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'X DISP ','Y DISP ','Z DISP '
LABEL(1,2) = ' in',' in',' in'
*VFILL,VALUE(1,1),DATA,.9E-5,.95E-5,-.175E-5
*VFILL,VALUE(1,2),DATA,UX,UY,UZ
*VFILL,VALUE(1,3),DATA,ABS(UX/(.9E-5)),ABS(UY/(.95E-5)),ABS(UZ/(-.175E-5))
/COM
/OUT,vm145,vrt
/COM,------------------- VM145 RESULTS COMPARISON ---------------
/COM,
/COM,                 |     TARGET   |     ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F12.8,'  ',F12.8,'   ',1F5.3)
/COM,------------------------------------------------------------
/OUT
FINISH
*LIST,vm145,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM144 Input Listing 		Up / Home Next
VM146 Input Listing


VM146 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM146
/PREP7
/TITLE, VM146, BENDING OF A REINFORCED CONCRETE BEAM
C***    STR. OF MATL., TIMOSHENKO, PART 1, 3RD ED., PAGE 221
ANTYPE,STATIC
ET,1,SOLID65,,,,,2           ! REINFORCED CONCRETE SOLID ELEMENT
ET,2,LINK8                   ! STEEL RODS
ET,3,PIPE16,,,,,,,1          ! DUMMY ELEMENTS FOR CONSTRAINT EQUATIONS
R,1
R,2,.15                      ! HALF AREA OF ROD
R,3,1,.5                     ! ARBITRARY CONSTANTS FOR DUMMY ELEMENTS
MP,EX,1,2E6                  ! CONCRETE PROPERTIES
MP,NUXY,1,0
TB,CONCR,1
TBDATA,3,0.0,-1              ! ZERO TENSILE CRACKING STRENGTH
                             ! REMOVE CRUSHING CAPABILITY
MP,EX,2,30E6                 ! STEEL PROPERTIES
MP,NUXY,2,0.3
N,1
N,2,1.5
NGEN,5,2,1,2,1,,1.5
NGEN,2,10,1,10,1,,,5
E,7,8,10,9,17,18,20,19
TYPE,3                       ! DEFINE DUMMY ELEMENTS FOR ROTZ DOF
REAL,3
E,10,8
E,20,18
EGEN,4,-2,1,3
TYPE,2                       ! REINFORCING RODS AT THE BOTTOM SURFACE
MAT,2
REAL,2
E,1,2
E,11,12
CE,1,, 2,UX,-1, 6,UX,1, 6,ROTZ,3        ! CONSTRAINT EQUATION TO ENSURE
CE,2,,12,UX,-1,16,UX,1,16,ROTZ,3        !  PLANE SECTION REMAINS PLANE
CE,3,, 4,UX,-1, 6,UX,1, 6,ROTZ,1.5
CE,4,,14,UX,-1,16,UX,1,16,ROTZ,1.5
CE,5,, 8,UX,-1, 6,UX,1, 6,ROTZ,-1.5
CE,6,,18,UX,-1,16,UX,1,16,ROTZ,-1.5
CE,7,,10,UX,-1, 6,UX,1, 6,ROTZ,-3
CE,8,,20,UX,-1,16,UX,1,16,ROTZ,-3
NSEL,S,LOC,X
D,ALL,ALL                               ! FIX NODES IN Y-Z PLANE
NSEL,ALL
D,ALL,ROTY                              ! CONSTRAIN UNNEEDED PIPE ROTATIONS
F,6,MZ,300,,16,10                       ! APPLY BENDING MOMENT
FINISH
/SOLU
AUTOTS,ON
NSUBST,5
OUTPR,,LAST
SOLVE
/POST1
ESEL,S,ELEM,,1,1
*GET,SCON,NODE,9,S,X
ESEL,S,ELEM,,13,13
ETAB,ST,LS,1
ESORT,ST
*GET,STL,SORT,,MAX
*status,parm
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'TSTR STL ','TSTR CON'
LABEL(1,2) = ' psi',' psi'
*VFILL,VALUE(1,1),DATA,387.28,-18.54
*VFILL,VALUE(1,2),DATA,STL,SCON
*VFILL,VALUE(1,3),DATA,ABS(STL/387.28),ABS(SCON/18.54)
/COM
/OUT,vm146,vrt
/COM,------------------- VM146 RESULTS COMPARISON --------------
/COM,
/COM,                 |     TARGET   |     ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F12.2,'  ',F12.2,'   ',1F5.3)
/COM,-----------------------------------------------------------
/COM,
/COM,-----------------------------------------------------------
/COM,NOTE: THERE ARE VERIFIED RESULTS IN VM146 NOT CONTAINED IN
/COM,THIS TABLE
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm146,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM145 Input Listing 		Up / Home Next
VM147 Input Listing


VM147 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM147
/PREP7
/TITLE, VM147, GRAY-BODY RADIATION WITHIN A FRUSTRUM OF A CONE
!       REF:  SIEGEL, R., HOWELL J.R., "THERMAL RADIATION HEAT TRANSFER"
!             2ND EDITION, HEMISPHERE PUBLISHING CORPORATION, 1981.
ET,1,LINK32           ! HEAT CONDUCTING BAR
N,1
N,2,0.075
N,3,0.075
N,4,0.05,0.075
N,5,0.05,0.075
N,6,0,0.075
MAT,1                 ! SURFACE 1 (LOWER SURFACE)
E,1,2
MAT,2                 ! SURFACE 2 (INSULATED OUTSIDE SURFACE)
E,3,4
MAT,3                 ! SURFACE 3 (TOP SURFACE)
E,5,6
FINISH
/AUX12
EMIS,1,0.6
EMIS,2,0.8
EMIS,3,0.5
VTYPE,1               ! NON-HIDDEN (FAST) METHOD
GEOM,1,50             ! 2-D AXISYMMETRIC GEOM WITH 50 FACETS
MPRINT,1
STEF,5.6696E-8        ! STEFAN-BOLTZMANN CONSTANT IN MKS UNITS
WRITE,CONE,SUB        ! WRITE RADIATION SUBSTRUCTURE MATRIX
FINISH
/CLEAR,NOSTART        ! CLEAR DATABASE; DO NOT READ START.ANS FILE
/PREP7
ET,1,SURF151,,,1,1    ! 2-D AXISYMMETRIC THERMAL SURFACE EFFECT ELEMENT
KEYOPT,1,8,1          !  WITH HEAT FLUX LOADS
ET,2,MATRIX50,1       ! RADIATION SUBSTRUCTURE MATRIX (SUPERELEMENT)
N,1
N,2,0.075
E,2,1                 ! LOWER SURFACE FOR HEAT FLUX
TYPE,2
SE,CONE,SUB           ! READ IN RADIATION SUPERELEMENT
FINISH
/SOLU
ANTYPE,STATIC         ! STEADY-STATE THERMAL ANALYSIS
SFE,1,1,HFLUX,,6000   ! APPLY HEAT FLUX LOAD ON SURFACE EFFECT ELEMENT
D,5,TEMP,550,,6
TUNIF,500             ! STARTING UNIFORM TEMPERATURE FOR NONLINEAR SOLUTION
SOLVE
FINISH
/POST1
NSEL,S,NODE,,1,2      ! SELECT LOWER SURFACE NODES
PRNSOL,TEMP           ! LIST TEMPERATURES
*GET,T1,NODE,1,TEMP
*status,parm
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'TEMP '
LABEL(1,2) = ' K'
*VFILL,VALUE(1,1),DATA,904
*VFILL,VALUE(1,2),DATA,T1
*VFILL,VALUE(1,3),DATA,ABS(T1/904)
/COM
/OUT,vm147,vrt
/COM,------------------- VM147 RESULTS COMPARISON --------------
/COM,
/COM,                 |     TARGET   |     ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F12.0,'  ',F12.0,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm147,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM146 Input Listing 		Up / Home Next
VM148 Input Listing


VM148 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM148
/PREP7
/TITLE, VM148, BENDING OF A PARABOLIC BEAM
C***    STR. OF MATL., TIMOSHENKO, PART 1, 3RD ED., PAGE 210
C***    USING 3-D SOLID95
ANTYPE,STATIC
ET,1,SOLID95                   ! 20 NODE SOLID ELEMENT
MP,EX,1,30E6
MP,EY,1,30E6
MP,EZ,1,30E6
MP,GXY,1,1.5E8
MP,GYZ,1,1.5E8
MP,GXZ,1,1.5E8
MP,NUXY,1,0
MP,NUYZ,1,0
MP,NUXZ,1,0
N,1,.05,SQRT(.05/4)            ! NODE CLOSE TO TIP
*DO,I,2,9
 N,I,(I-1)/2,SQRT((I-1)/8)     ! NEXT EIGHT NODES
*ENDDO
N,11
N,19,4
FILL                           ! NODES ALONG THE AXIS
NSYMM,Y,20,1,9                 ! REFLECT NODES IN Y DIRECTION
NGEN,3,30,1,29,1,,,-.1         ! GENERATE NODES ALONG THICKNESS
E,1,3,23,21,61,63,83,81
EMORE,2,13,22,11,62,73,82,71
EMORE,31,33,53,51
EGEN,4,2,1
F,11,FY,-500,,71,60            ! APPLY END LOAD AT TIP NODES
NSEL,S,LOC,X,4
D,ALL,ALL                      ! FIX NODES AT SUPPORTED END
NSEL,ALL
OUTPR,,1
SAVE
FINISH
/SOLU
SOLVE
FINISH
*CREATE,RES3D,MAC              ! CREATE MACRO TO RETRIEVE RESULTS
/POST1
*GET,UY,NODE,11,U,Y
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'Y DELF '
LABEL(1,2) = ' in'
*VFILL,VALUE(1,1),DATA,-.01067
*VFILL,VALUE(1,2),DATA,UY
*VFILL,VALUE(1,3),DATA,ABS(UY/.01067)
FINISH
*END
RES3D                                   !EXECUTE MACRO TO RETRIEVE RESULTS
SAVE,TABLE_1

/CLEAR, NOSTART                         !CLEAR DATABASE FOR SECOND SOLUTION
/TITLE, VM148, BENDING OF A PARABOLIC BEAM
C***    USING 3-D SOLID186
/PREP7
RESUME                                  ! RESUME DATABASE
ET,1,SOLID186                           ! ANALYZE AGAIN USING 3-D SOLID186
FINISH
/SOLU
SOLVE
FINISH
RES3D                                   !EXECUTE MACRO TO RETRIEVE RESULTS
SAVE,TABLE_2

/NOPR
RESUME,TABLE_1
/GOPR
/COM
/OUT,vm148,vrt
/COM,------------------- VM148 RESULTS COMPARISON --------------
/COM,
/COM,                 |     TARGET   |     ANSYS   |   RATIO
/COM,
/COM, SOLID95
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F12.5,'  ',F12.5,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM, SOLID186
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F12.5,'  ',F12.5,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm148,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM147 Input Listing 		Up / Home Next
VM149 Input Listing


VM149 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM149
/PREP7
SMRT,OFF
/TITLE, VM149, ROTATION OF A TANK OF FLUID
C***    ELEMENTARY THEORETICAL FLUID MECHANICS, BRENKERT, PAGE 54
ANTYPE,STATIC
ET,1,FLUID79,,,1       ! 2-D FLUID ELEMENT (AXISYMMETRIC)
MP,EX,1,3E3            ! BULK MODULUS
MP,DENS,1,9345E-8
K,1
K,2,48
KGEN,2,1,2,1,,-20
L,1,2
*REPEAT,2,2,2
LESIZE,ALL,,,12
L,1,3
*REPEAT,2,1,1
LESIZE,3,,,5
LESIZE,4,,,5
A,1,3,4,2
AMESH,1
ACEL,,386.4             ! GRAVITY
OMEGA,,1                ! CONSTANT ANGULAR VELOCITY
NSEL,R,LOC,X,0          ! CONSTRAIN FLUID TO FORM TANK WALLS
NSEL,A,LOC,X,48
D,ALL,UX
NSEL,ALL
NSEL,R,LOC,Y,-20
D,ALL,UY
NSEL,ALL
FINISH
/SOLU
SOLVE
FINISH
/POST1
SET,1,1
ETABLE,PREL,SMISC,1     ! STORE ELEMENT PRESSURES
UY1=UY(1)               ! GET THE SURFACE ELEVATION AT X=0
UY26=UY(26)             ! GET THE SURFACE ELEVATION AT X=12
UY29=UY(29)             ! GET THE SURFACE ELEVATION AT X=24
UY33=UY(33)             ! GET THE SURFACE ELEVATION AT X=40
UY26=UY26-UY1           ! ADJUST ELEVATIONS WRT CENTER
UY29=UY29-UY1
UY33=UY33-UY1
*GET,PR60,ELEM,60,ETAB,PREL   ! GET PRESSURE FOR (CORNER) ELEMENT 60
*status,parm
*DIM,LABEL,CHAR,4,2
*DIM,VALUE,,4,3
LABEL(1,1) = 'ELEV (X=, ','ELEV (X=, ','ELEV (X=, ','PRESS, '
LABEL(1,2) = '12) in ','24) in ','40) in ','psi '
*VFILL,VALUE(1,1),DATA,.186,.745,2.070,.695
*VFILL,VALUE(1,2),DATA,UY26,UY29,UY33,PR60
*VFILL,VALUE(1,3),DATA,(UY26/.186),(UY29/.745),(UY33/2.070),(PR60/.695)
/COM
/OUT,vm149,vrt
/COM,------------------- VM149 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm149,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM148 Input Listing 		Up / Home Next
VM150 Input Listing


VM150 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM150
/PREP7
SMRT,OFF
/TITLE, VM150, ACCELERATION OF A TANK OF FLUID
C***    ELEMENTARY THEORETICAL FLUID MECHANICS, BRENKERT, PAGE 50
ANTYPE,STATIC
ET,1,FLUID80                ! 3-D FLUID ELEMENT
MP,EX,1,30E4                ! BULK MODULUS
MP,DENS,,9.345E-5           ! MASS DENSITY OF FLUID
K,1                         ! SOLID MODEL USING KEYPTS, LINES AND VOLUME
K,2,,48
KGEN,2,1,2,1,,,-20
KGEN,2,1,4,1,1
L,1,2
*REPEAT,2,2,2
LESIZE,ALL,,,12
L,1,3
*REPEAT,2,1,1
LESIZE,3,,,5
LESIZE,4,,,5
LGEN,2,1,4,1,1
L,1,5
*REPEAT,2,1,1
LESIZE,9,,,1
LESIZE,10,,,1
V,1,2,4,3,5,6,8,7
VMESH,1
ACEL,,45,386.4              ! ACCELERATION OF TANK AND GRAVITY
NSEL,R,LOC,Z,-20            ! CONSTRAIN FLUID TO FORM TANK WALLS
D,ALL,UZ
NSEL,ALL
NSEL,R,LOC,Y,0
NSEL,A,LOC,Y,48
D,ALL,UY
NSEL,ALL
D,ALL,UX
FINISH
/SOLU
SOLVE
FINISH
/POST1
SET,1,1
ETABLE,PREL,SMISC,1         ! ELEMENT PRESSURE
NSEL,S,LOC,Y,8              ! SELECT 3 NODES ON LIQUID SURFACE
NSEL,A,LOC,Y,24
NSEL,A,LOC,Y,40
NSEL,R,LOC,Z,0
NSEL,R,LOC,X,0
PRNSOL,U,COMP               ! PRINT DISPLACEMENTS ALONG SURFACE
NSEL,S,LOC,Z,-20            ! SELECT BOTTOM CORNER NODE
NSEL,R,LOC,Y,0
ESLN                        ! SELECT ASSOCIATED ELEMENT
PRETAB,PREL                 ! PRINT ELEMENT PRESSURE ITEM
NSEL,S,LOC,Y,8              ! SELECT TWO NODES ALONG FREE SURFACE
NSEL,A,LOC,Y,40             ! AT Y=8 AND Y=40 RESP. AND X=0
NSEL,R,LOC,Z
NSEL,R,LOC,X
*GET,N1,NODE,,NUM,MIN       ! GET THE NODE NUMBERS SELECTED
*GET,N2,NODE,,NUM,MAX
Z1=UZ(N1)                   ! GET THE ELEVATIONS AT THESE NODES
Z2=UZ(N2)
Y1=NY(N1)                   ! GET THE Y COORDINATE
Y2=NY(N2)
SLOPE=((Z1-Z2)/(Y1-Y2))     ! FIND AVG. SLOPE OF LIQUID SURFACE
*GET,PR5,ELEM,5,ETAB,PREL
*status,parm
*DIM,LABEL,CHAR,4,2
*DIM,VALUE,,4,3
LABEL(1,1) = 'ELEV (Y=, ','ELEV (Y=, ','SLOPE, ','PRESS, '
LABEL(1,2) = '8) in ','40) in ',' ', 'psi '
*VFILL,VALUE(1,1),DATA,1.863,-1.863,-.1164,.7425
*VFILL,VALUE(1,2),DATA,Z1,Z2,SLOPE,PR5
*VFILL,VALUE(1,3),DATA,ABS(Z1/1.863),ABS(Z2/1.863),ABS(SLOPE/.1164),ABS(PR5/.7425)
/COM
/OUT,vm150,vrt
/COM,------------------- VM150 RESULTS COMPARISON -------------
/COM,
/COM,                 |    TARGET   |    ANSYS   |    RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F11.4,'  ',F11.4,'   ',1F6.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm150,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM149 Input Listing 		Up / Home Next
VM151 Input Listing


VM151 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM151
/PREP7
MP,PRXY,,0.3
/TITLE, VM151, NONAXISYMMETRIC VIBRATION OF A CIRCULAR PLATE
C***          FORMULAS FOR NATURAL FREQUENCY AND MODE SHAPE, BLEVINS, PAGE 240
ET,1,SHELL61
R,1,.05            ! THICKNESS OF PLATE
MP,EX,1,30E6
MP,DENS,1,.00073
MP,PRXY,1,0.3
K,1
K,2,3
L,1,2
LESIZE,1,,,9
LMESH,1
M,ALL,UY
NSEL,S,LOC,X,0
D,ALL,UX
NSEL,S,LOC,X,3     ! SELECT NODE AT R=3 AND CONSTRAIN
D,ALL,UX,,,,,UY
NSEL,ALL
D,ALL,UZ           ! CONSTRAIN TORSIONAL DOF'S
FINISH
/SOLU
ANTYPE,MODAL       ! MODE FREQUENCY ANALYSIS
MXPAND,3           ! EXPAND FIRST 3 MODE SHAPES
MODOPT,REDUC
OUTPR,BASIC,ALL
MODE,0             ! ZERO HARMONIC MODE
SOLVE
FINISH
/POST1
/WINDOW,1,LTOP
SET,1,1
PLDISP,1
/NOERASE
/WINDOW,1,OFF
*GET,F1,MODE,0,FREQ
FINISH
/SOLU
MODE,1             ! FIRST HARMONIC MODE
SOLVE
FINISH
/POST1
/WINDOW,2,RTOP
SET,1,1
PLDISP,1
/WINDOW,2,OFF
*GET,F2,MODE,1,FREQ
FINISH
/SOLU
MODE,2             ! SECOND HARMONIC MODE
SOLVE
FINISH
/POST1
/WINDOW,3,BOT
SET,1,1
PLDISP,1
*GET,F3,MODE,1,FREQ
*status,parm
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'F(0,1) ','F(1,1) ','F(1,2) '
LABEL(1,2) = 'Hz ','Hz ','Hz '
*VFILL,VALUE(1,1),DATA,269.96,756.13,1391.3
*VFILL,VALUE(1,2),DATA,F1,F2,F3
*VFILL,VALUE(1,3),DATA,ABS(F1/269.96),ABS(F2/756.13),ABS(F3/1391.3)
/COM
/OUT,vm151,vrt
/COM,------------------- VM151 RESULTS COMPARISON -------------
/COM,
/COM,                 |    TARGET   |    ANSYS   |    RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F11.2,'  ',F11.2,'   ',1F6.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm151,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM150 Input Listing 		Up / Home Next
VM152 Input Listing


VM152 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM152
/PREP7
/TITLE, VM152, NONAXISYM. VIBR. OF A STRETCHED CIRCULAR MEMBRANE (HARMONIC ELS)
C***          VIBRATION PROBS. IN ENGR., TIMOSHENKO, 3RD. ED., ART. 69, PAGE 438
ET,1,SHELL61
R,1,.00005              ! PLATE THICKNESS
MP,EX,1,30E6
MP,ALPX,1,1E-5
MP,DENS,1,.00073
MP,NUXY,1,0
K,1                     ! DEFINE GEOMETRY
K,2,3
L,1,2
LESIZE,1,,,9
LMESH,1
NSEL,S,LOC,X,0
D,ALL,UX
NSEL,S,LOC,X,3
D,ALL,UX,,,,,UY
NSEL,ALL
M,ALL,UY
D,ALL,UZ
TREF,0                  ! REFERENCE (STRESS-FREE) TEMPERATURE
BFUNIF,TEMP,-(20/3)     ! COOL MEMBRANE TO INVOKE PRESOLESS
FINISH
/SOLU
ANTYPE,STATIC
PSTRES,ON               ! STATIC PRESTRESS ANALYSIS
OUTPR,BASIC,ALL
SOLVE
FINISH
/SOLU
ANTYPE,MODAL
PSTRES,ON               ! PRESTRESSED MODAL ANALYSIS
MXPAND,3
MODOPT,REDUC
MODE,0                  ! ZERO HARMONIC MODE
SOLVE
FINISH
/POST1
/WINDOW,1,LTOP
SET,1,1                 ! FOR WINDOW 1
PLDISP,1
/NOERASE
*GET,F11,MODE,0,FREQ
/WINDOW,1,OFF
/WINDOW,4,RBOT
SET,1,2                 ! FOR 4TH WINDOW
PLDISP,1
*GET,F12,MODE,2,FREQ
/WINDOW,4,OFF
FINISH
/SOLU
MODE,1                  ! FIRST HARMONIC MODE
SOLVE
FINISH
/POST1
/WINDOW,2,RTOP
SET,1,1
PLDISP,1
*GET,F21,MODE,0,FREQ
/WINDOW,2,OFF
FINISH
/SOLU
MODE,2                  ! SECOND HARMONIC MODE
SOLVE
FINISH
/POST1
/WINDOW,3,LBOT
SET,1,1
PLDISP,1
*GET,F31,MODE,0,FREQ
*status,parm
*DIM,LABEL,CHAR,4,2
*DIM,VALUE,,4,3
LABEL(1,1) = 'F(0,1) ','F(1,1) ','F(2,1) ','F(0,2) '
LABEL(1,2) = 'Hz ','Hz ','Hz ','Hz '
*VFILL,VALUE(1,1),DATA,211.1,336.5,450.9,484.7
*VFILL,VALUE(1,2),DATA,F11,F21,F31,F12
*VFILL,VALUE(1,3),DATA,ABS(F11/211.1),ABS(F21/336.5),ABS(F31/450.9),ABS(F12/484.7)
/COM
/OUT,vm152,vrt
/COM,------------------- VM152 RESULTS COMPARISON -------------
/COM,
/COM,                 |    TARGET   |    ANSYS   |    RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F11.1,'  ',F11.1,'   ',1F6.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm152,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM151 Input Listing 		Up / Home Next
VM153 Input Listing


VM153 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM153
/FILNAM,PRSMEMB
/PREP7
/TITLE, VM153, NONAXISYM. VIBR. OF A STRETCHED CIRCULAR MEMBRANE (STATIC)
C***           VIBRATION PROBS. IN ENGR., TIMOSHENKO, PAGE 439, ARTICLE 69
C*** USING SHELL41 MEMBRANE SHELL
ANTYPE,STATIC            ! STATIC ANALYSIS
ET,1,SHELL41,,1
R,1,.00005               ! PLATE THICKNESS
MP,EX,1,30E6
MP,ALPX,1,1E-5
MP,DENS,1,.00073
MP,NUXY,1,0
CSYS,1
N,1,.001
N,10,3
FILL
NGEN,4,10,1,10,1,,10
NROTAT,ALL               ! ROTATE ALL NODES INTO CYLINDRICAL SYSTEM
E,1,2,12,11
EGEN,3,10,-1
EGEN,9,1,-3
NSEL,S,LOC,Y,0           ! DEFINE EDGE COMPONENTS FOR CYCLIC SYMM. MACRO
CM,RIGHT,NODE            ! RIGHT EDGE OF THE SECTOR MODEL
NSEL,S,LOC,Y,30
CM,LEFT,NODE             ! LEFT EDGE OF THE SECTOR MODEL
NSEL,ALL
/NOPR
CYCLIC
/GOPR
D,ALL,ALL,0              ! FIX ALL DISPLACEMENTS TO APPLY PRESTRESS
TREF,0                   ! REFERENCE TEMPERATURE
BFUNIF,TEMP,-6.66666     ! COOL DOWN TO INDUCE PRESTRESS
FINISH
*CREATE,SOLVIT,MAC
/SOLU                    ! SOLVE FOR STATIC SOLUTION
/OUTPUT,SCRATCH
ANTYPE,STATIC
PSTRES,ON                ! PRESTRESS KEY ON
CYCOPT,HINDX,0,0
SOLVE
FINISH
/PREP7
/TITLE, VM153, NONAXISYM. VIBR. OF A STRETCHED CIRCULAR MEMBRANE (MODAL)
CYCLIC,UNDOUBLE
DDEL,ALL,ALL             ! RELEASE ALL DISPLACEMENTS AND THEN
NSEL,S,LOC,Y,0           ! DEFINE BOUNDARY CONDITIONS
NSEL,A,LOC,Y,30
D,ALL,UX,,,,,UY
NSEL,S,LOC,X,3
D,ALL,ALL,0
NSEL,ALL
CYCLIC
FINISH
/SOLUTION
ANTYPE,MODAL             ! DEFINE MODAL ANALYSIS OPTIONS
MODOPT,LANB,4,1,1000     ! USE BLOCK LANCZOS ITER, EXTRACT 4 MODES IN 1 TO 1000 HZ
MXPAND,4                 ! EXPAND 4 MODES
PSTRES,ON
CYCOPT,HINDX,0,1         ! NODAL DIAMETER 0 TO 1, WITH 30 DEG. SECTORS
SOLVE
FINISH
/POST1
/OUTPUT
SET,1,1
*GET,F01_1,ACTIVE,,SET,FREQ   ! NATURAL FREQ. FOR 1ST MODE, 0 MODAL DIAM.
SET,1,2
*GET,F02_1,ACTIVE,,SET,FREQ   ! NATURAL FREQ. FOR 2ND MODE, 0 MODAL DIAM.
SET,2,1
*GET,F11_1,ACTIVE,,SET,FREQ   ! NATURAL FREQ. FOR 1ST MODE, 1 MODAL DIAM.
SET,2,2
*GET,F11_2,ACTIVE,,SET,FREQ   ! REPEATED FREQ. FOR 1ST MODE,1 MODAL DIAM.
SET,2,3
*GET,F12_1,ACTIVE,,SET,FREQ   ! NATURAL FREQ. FOR 2ND MODE, 1 MODAL DIAM.
SET,2,4
*GET,F12_2,ACTIVE,,SET,FREQ   ! REPEATED FREQ. FOR 2ND MODE,1 MODAL DIAM.
FINISH
/NOPR
/POST1
EXPAND,12                ! EXPAND RESULTS FOR THE FULL 12 SECTOR MODEL
/VIEW,,1,1,1
/VUP,1,Z
/GLINE,,-1               ! NO ELEMENT OUTLINE
/TRIAD,OFF
SET,1,2
/TITLE, VM153, STRETCHED CIRCULAR MEMBRANE - NODAL DIAM 0, MODE 2
PLNSOL,U,Z
SET,2,2
/TITLE, VM153, STRETCHED CIRCULAR MEMBRANE - NODAL DIAM 1, MODE 2
PLNSOL,U,Z
FINISH
*DIM,LABEL,CHAR,4,2
*DIM,VALUE,,4,3
LABEL(1,1) = 'F(0,1) ','F(0,2) ','F(1,1) ','F(1,2) '
LABEL(1,2) = 'Hz ','Hz ','Hz ','Hz '
*VFILL,VALUE(1,1),DATA,211.1,484.7,336.5,616.1
*VFILL,VALUE(1,2),DATA,F01_1,F02_1,F11_1,F12_1
*VFILL,VALUE(1,3),DATA,ABS(F01_1/211.1),ABS(F02_1/484.7),ABS(F11_1/336.5),ABS(F12_1/616.1)
FINISH
*END
SOLVIT
SAVE,TABLE_1
/CLEAR,NOSTART
/TITLE, VM153, NONAXISYM. VIBR. OF A STRETCHED CIRCULAR MEMBRANE (STATIC)
C*** USING SHELL181 MEMBRANE SHELL OPTION
/FILNAM,PRSMEMB
/PREP7
ANTYPE,STATIC            ! STATIC ANALYSIS
ET,1,SHELL181,1          ! MEMBRANE STIFFNESS ONLY
R,1,.00005               ! PLATE THICKNESS
MP,EX,1,30E6
MP,ALPX,1,1E-5
MP,DENS,1,.00073
MP,NUXY,1,0
CSYS,1
N,1,.001
N,10,3
FILL
NGEN,4,10,1,10,1,,10
NROTAT,ALL               ! ROTATE ALL NODES INTO CYLINDRICAL SYSTEM
E,1,2,12,11
EGEN,3,10,-1
EGEN,9,1,-3
NSEL,S,LOC,Y,0           ! DEFINE EDGE COMPONENTS FOR CYCLIC SYMM. MACRO
CM,RIGHT,NODE            ! RIGHT EDGE OF THE SECTOR MODEL
NSEL,S,LOC,Y,30
CM,LEFT,NODE             ! LEFT EDGE OF THE SECTOR MODEL
NSEL,ALL
/NOPR
CYCLIC
/GOPR
D,ALL,ALL,0              ! FIX ALL DISPLACEMENTS TO APPLY PRESTRESS
TREF,0                   ! REFERENCE TEMPERATURE
BFUNIF,TEMP,-6.66666     ! COOL DOWN TO INDUCE PRESTRESS
FINISH
SOLVIT
SAVE,TABLE_2
/NOPR
RESUME,TABLE_1
/COM
/OUT,vm153,vrt
/COM,------------------- VM153 RESULTS COMPARISON -------------
/COM,
/COM,                 |    TARGET   |    ANSYS   |    RATIO
/COM,
/COM,
/COM, SHELL41
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F11.1,'  ',F11.1,'   ',1F6.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM, SHELL181
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F11.1,'  ',F11.1,'   ',1F6.3)
/NOPR
/COM,----------------------------------------------------------
/OUT
*LIST,vm153,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM152 Input Listing 		Up / Home Next
VM154 Input Listing


VM154 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM154
/PREP7
/TITLE, VM154, VIBRATION OF A FLUID COUPLING
C***            FRITZ, ASME J. OF ENG. FOR INDUST., VOL. 94, 1972, PP 167-173.
C***            USING FLUID COUPLING ELEMENTS (FLUID38)
ANTYPE,MODAL          ! MODE-FREQUENCY ANALYSIS
MODOPT,REDUC
ET,1,FLUID38
ET,2,COMBIN14,,1      ! ELEMENT WITH UX DEGREE OF FREEDOM
R,1,8,7,1             ! GEOMETRIC PROPERTIES OF FLUID38
R,2,10                ! SPRING STIFFNESS
MP,DENS,1,934E-7
N,1
N,2
E,1,2
REAL,2
TYPE,2
E,1,2                 ! TYPE 2 ELEMENT WITH REAL CONSTANT 2
M,1,UX
OUTPR,,1
D,1,UZ
D,2,ALL
FINISH
/SOLU
SOLVE
FINISH
/POST1
*GET,F1,MODE,1,FREQ
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'f FLD38 '
LABEL(1,2) = 'Hz'
*VFILL,VALUE(1,1),DATA,1.5293
*VFILL,VALUE(1,2),DATA,F1
*VFILL,VALUE(1,3),DATA,ABS(F1/1.5293)
SAVE,TABLE_1
FINISH
/SOLU
FINISH
/CLEAR, NOSTART
/PREP7
/TITLE, VM154, VIBRATION OF A FLUID COUPLING
C***             USING HARMONIC FLUID ELEMENTS (FLUID81)
ANTYPE,MODAL           ! MODE-FREQUENCY ANALYSIS
MODOPT,REDUC
ET,1,FLUID81
ET,2,COMBIN14,,,2      ! 2-D LONGITUDINAL SPRING
R,2,10                 ! HARMONIC SPRING CONSTANT
MP,EX,1,3E5
MP,DENS,1,934E-7
N,1,7
N,2,8
N,3,8,1
N,4,7,1
N,11
N,14,,1
E,1,2,3,4
TYPE,2
REAL,2
E,11,1                  ! TYPE 2 ELEMENTS WITH REAL CONSTANT 2
E,14,4
NSEL,S,LOC,X,7
CP,1,UX,ALL             ! APPROPRIATE NODAL DISPLACEMENTS COUPLED
NSEL,S,NODE,,1,4
CP,2,UZ,ALL
NSEL,ALL
M,1,UX
MODE,1
NSEL,S,LOC,X,8
D,ALL,UX                ! APPLY DISPLACEMENT CONSTRAINTS
NSEL,S,NODE,,1,4
D,ALL,UY
NSEL,S,LOC,X,0
D,ALL,ALL
NSEL,ALL
FINISH
/SOLU
SOLVE
FINI
/POST1
*GET,F2,MODE,1,FREQ
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'f FLD81 '
LABEL(1,2) = 'Hz'
*VFILL,VALUE(1,1),DATA,1.5293
*VFILL,VALUE(1,2),DATA,F2
*VFILL,VALUE(1,3),DATA,ABS(F2/1.5293)
SAVE,TABLE_2
RESUME,TABLE_1
/COM
/OUT,vm154,vrt
/COM,------------------- VM154 RESULTS COMPARISON -------------
/COM,
/COM,                 |    TARGET   |    ANSYS   |    RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F11.4,'  ',F11.4,'   ',1F6.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F11.4,'  ',F11.4,'   ',1F6.3)
/COM,----------------------------------------------------------
FINISH
/DELETE,TABLE_1
/DELETE,TABLE_2
/OUT
FINISH
*LIST,vm154,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM153 Input Listing 		Up / Home Next
VM155 Input Listing


VM155 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM155
*CREATE,SCRATCH  		 ! USED FOR INTERACTIVE USE
TK16=.25                         ! SET INITIAL VALUES OF DESIGN VARIABLES
TK27=.25                         ! THICKNESS AT ONE FOURTH LENGTH
TK38=.25                         ! THICKNESS AT ONE HALF LENGTH
TK49=.25                         ! THICKNESS AT THREE FOURTHS LENGTH
/PREP7
smrt,off
/TITLE,VM155: SHAPE OPTIMIZATION OF A CANTILEVER BEAM
/COM
/COM
/COM,   REF.   B. PRASAD AND R.T.HAFTKA
/COM,          OPT. STRUCT. DESIGN WITH PLATE FINITE ELEMENTS
/COM,          ASCE JOURNAL OF THE STRUCT. DIVISION
/COM,          VOL. 105 (ST11) 1979 PP2367-2382
/COM
ET,1,PLANE42
MP,EX,1,10E6
MP,NUXY,1,0.3
K,1
K,5,10
KFILL
K,6,,TK16                        ! DEFINE KEYPOINTS IN TERMS OF DESIGN VARIABLES
K,7,2.5,TK27
K,8,5,TK38
K,9,7.5,TK49
K,10,10,.15
SPLINE,6,7,8,9,10                ! DEFINE TOP EDGE WITH A SPLINE
L,1,6
*REPEAT,5,1,1
LSEL,S,LINE,,5,9
LESIZE,ALL,,,1
LSEL,ALL
A,1,2,7,6
*REPEAT,4,1,1,1,1
ESIZE,,4
AMESH,ALL
NSEL,S,LOC,Y
DSYM,SYMM,X
NSEL,S,LOC,X
DSYM,ASYM,Y
NSEL,ALL
FK,10,FX,1500                    ! APPLY END COUPLE TO KEYPOINT
DK,1,ALL,0                       ! FIX NODE AT KEYPOINT #1
FINISH
/SOLU
SOLVE
FINISH
/POST1
SET,LAST
ETABLE,VOLU,VOLU
PRNSOL,S,PRIN
NSORT,S,1                        ! GET MAXIMUM STRESS
NSEL,S,LOC,X,0,9                 ! IGNORE LOCAL STRESSES @ POINT OF LOAD
*GET,STRS,SORT,,MAX
NSEL,ALL
SSUM
*GET,TVOL,SSUM,,ITEM,VOLU        ! TVOL = TOTAL VOLUME OF ELEMENTS
TVOL=TVOL*2                      ! MULTIPLY BY TWO FOR SYMMETRY
NSEL,S,LOC,X,9.9,10.1
PRNSOL,U,Y
NSORT,U,Y,,1
PRNSOL,U,Y
*GET,DEFL,SORT,,MAX
*status,parm
DEFL=ABS(DEFL)                   ! USE ABS. VALUE OF MAX END DEFLECTION
/COM     DEFINE STATE VARIABLES TO ENSURE CONSISTENT TAPER
DIF1=TK16-TK27
DIF2=TK27-TK38
DIF3=TK38-TK49
FINISH
*END

*USE,SCRATCH			! RUN INITIAL ANALYSIS

/OPT
OPANL,SCRATCH			 ! ASSIGN OPT LOOP FILE
OPVAR,TVOL,OBJ,,,.01             ! OBJECTIVE FUNCTION
OPVAR,STRS,SV,,30000             ! STATE VARIABLES
OPVAR,DEFL,SV,,0.50
OPVAR,DIF1,SV,0,.1
OPVAR,DIF2,SV,0,.1
OPVAR,DIF3,SV,0,.1
OPVAR,TK16,DV,0.15,0.27,.001     ! DESIGN VARIABLES
OPVAR,TK27,DV,0.15,0.27,.001
OPVAR,TK38,DV,0.15,0.27,.001
OPVAR,TK49,DV,0.15,0.27,.001
OPSAVE,INITIAL,OPT               ! SAVE INITIAL DESIGN
OPTYPE,SUBP                      ! OPT METHOD IS SUBPROBLEM APPROX.
OPSUBP,30                        ! OPTIMIZE FOR 30 ITERATIONS (MAX)
OPEXE                            ! PERFORM SUB-PROBLEM APPROX. OPTIMIZATION
VR1=TVOL
VR2=DEFL
VR3=STRS
PARSAV,,RSET1
OPLIST,ALL,,1                    ! LIST DESIGN SETS
/AXLAB,Y,VOLUME (TVOL)           ! OBJECTIVE FUNCTION ALONG Y-AXIS
PLVAROPT,TVOL                    ! PLOT OBJECTIVE CONVERGENCE
OPRESU,INITIAL,OPT               ! RESUME INITIAL DESIGN SET
OPVAR,DIF1,DEL                   ! DELETE ARTIFICIAL CONSTRAINTS
OPVAR,DIF2,DEL                   !  FOR FIRST ORDER METHOD
OPVAR,DIF3,DEL
OPTYPE,FIRST                     ! SPECIFY FIRST-ORDER METHOD
OPFRST,20                        !  WITH MAXIMUM OF 20 ITERATIONS
STATUS
OPEXE                            ! PERFORM FIRST-ORDER OPTIMIZATION
VR4=TVOL
VR5=DEFL
VR6=STRS
OPLIST,ALL,,1                    ! LIST DESIGN SETS
/AXLAB,Y,VOLUME (TVOL)           ! OBJECTIVE FUNCTION ALONG Y-AXIS
PLVAROPT,TVOL                    ! PLOT OBJECTIVE CONVERGENCE
FINISH
PARRES,CHANGE,RSET1
*DIM,LABEL1,CHAR,3
*DIM,LABEL2,CHAR,3
*DIM,VALUE1,,3,3
*DIM,VALUE2,,3,3
LABEL1(1) = 'TVOL ','DEFL ','STRS '
LABEL2(1) = 'TVOL ','DEFL ','STRS '
*VFILL,VALUE1(1,1),DATA,3.60,0.500,30000
*VFILL,VALUE1(1,2),DATA,VR1,VR2,VR3
*VFILL,VALUE1(1,3),DATA,(VR1/3.6),(VR2/0.5),(VR3/30000)
*VFILL,VALUE2(1,1),DATA,3.60,0.500,30000
*VFILL,VALUE2(1,2),DATA,VR4,VR5,VR6
*VFILL,VALUE2(1,3),DATA,(VR4/3.6),(VR5/0.5),(VR6/30000)
/OUT,vm155,vrt
/COM
/COM,------------------- VM155 RESULTS COMPARISON ---------------------
/COM,
/COM,         |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM, SUBPROBLEM APPROX. METHOD
/COM,
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),VALUE1(1,3)
(1X,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,
/COM, FIRST ORDER METHOD
/COM.
*VWRITE,LABEL2(1),VALUE2(1,1),VALUE2(1,2),VALUE2(1,3)
(1X,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,----------------------------------------------------------------
/OUT
/DELETE,INITIAL,OPT
FINISH
*LIST,vm155,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM154 Input Listing 		Up / Home Next
VM156 Input Listing


VM156 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM156
/PREP7
/TITLE, VM156, NATURAL FREQUENCY OF NONLINEAR SPRING-MASS SYSTEM
C***            VIBRATION PROBS. IN ENGR., TIMOSHENKO, 3RD. ED., PAGE 141
C***             USING NONLINEAR SPRING ELEMENT (COMBIN39)
ANTYPE,TRANS                 ! NONLINEAR TRANSIENT DYNAMIC ANALYSIS
ET,1,COMBIN39,,,2            ! ELEMENT WITH DISPLACEMENT ALONG NODAL Y-AXIS
ET,2,MASS21,,,4              ! MASS WITHOUT ROTARY INERTIA
R,1,0.0,0.0,.1,.204,.2,.432  ! SPRING DATA
RMORE,.3,.708,.4,1.056,.5,1.5
RMORE,.6,2.064,.7,2.772,.8,3.648
RMORE,.9,4.716,1.0,6.0
R,2,2588E-6                  ! MASS DATA
N,1
N,2
E,1,2
TYPE,2
REAL,2
E,2
D,1,ALL
D,2,UX
IC,2,UY,-1                   ! INITIAL DISPLACEMENT AND VELOCITY
KBC,1                        ! STEP LOADING
SAVE
FINISH
/SOLU
TRNOPT, , , , , ,HHT
SOLCONTROL,0
CNVTOL,F,1,1E-4              ! FORCE CONVERGENCE CRITERIA
OUTRES,NSOL,1
NSUBST,5
OUTPR,BASIC,NONE
TIME,.0002                   ! TIME TO ALLOW INITIAL CHANGE IN ACCELERATION
LSWRITE                      ! WRITE LOAD STEP FILE 1
NSUBST,40
OUTPR,BASIC,LAST
TIME,0.18                    ! TIME ARBITRARILY SELECTED
LSWRITE                      ! WRITE LOAD STEP FILE 2
LSSOLVE,1,2,1                ! READ IN 2 LOAD STEPS AND SOLVE
FINISH
/POST26
TIMERANGE,.003,.18
NSOL,2,2,U,Y,2UY
PRVAR,2		             ! PRINT DISPLACEMENTS
*GET,PER,VARI,2,EXTREM,TMIN
*status,parm
FINISH
/POST1
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'PERIOD '
LABEL(1,2) = 'sec'
*VFILL,VALUE(1,1),DATA,.1447
*VFILL,VALUE(1,2),DATA,PER
*VFILL,VALUE(1,3),DATA,ABS(PER/.1447)
SAVE,TABLE_1
FINISH
/CLEAR,NOSTART
RESUME
/PREP7
C***             USING NONLINEAR ELASTIC MATERIAL (SPAR ELEMENT, LINK1)
ET,1,LINK1
R,1,.01                      ! CROSS-SECTIONAL AREA
NROPT,MODI                   ! MODIFIED NEWTON-RAPHSON METHOD
MP,EX,1,12E4
TB,MELAS,1,1,5
TBTEMP,0
TBPT,DEFI,0.002,43.2
TBPT,DEFI,0.004,105.6
TBPT,DEFI,0.006,206.4
TBPT,DEFI,0.008,364.8
TBPT,DEFI,0.01,600
N,2,,-100                    ! REDEFINE NODE 2
FINISH
/SOLU
LSSOLVE,1,2,1                ! READ IN LOAD STEPS AND SOLVE
FINISH
/POST26
TIMERANGE,.003,.18
NSOL,2,2,U,Y,2UY
PRVAR,2		             ! PRINT DISPLACEMENTS
*GET,PER,VARI,2,EXTREM,TMIN
*status,parm
FINISH
/POST1
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'PERIOD '
LABEL(1,2) = 'sec'
*VFILL,VALUE(1,1),DATA,.1447
*VFILL,VALUE(1,2),DATA,PER
*VFILL,VALUE(1,3),DATA,ABS(PER/.1447)
SAVE,TABLE_2
RESUME,TABLE_1
/OUT,vm156,vrt
/COM,------------------- VM156 RESULTS COMPARISON --------------
/COM,
/COM,     STIF39      |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,     STIF1
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
/COM,
FINISH
/DELETE,TABLE_1
/DELETE,TABLE_2
FINISH
*LIST,vm156,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM155 Input Listing 		Up / Home Next
VM157 Input Listing


VM157 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
*CREATE,SCRATCH			! USED FOR OPT. LOOP INTERACTIVELY
D1=0.1
D2=0.1
/VERIFY,VM157
/PREP7
MP,PRXY,,0.3
/TITLE, VM157: OPTIMIZATION OF A FRAME STRUCTURE
/COM     REF. TOPPING AND ROBINSON, ENG.COMPUT., 1984, VOL.1, PP. 252-262
ANTYPE,STATIC
ET,1,BEAM3
C***   SET THE REAL CONSTANTS USING PARAMETRIC EXPRESSIONS
K=825000.0                       ! DEFINE CONVENIENT PARAMETERS
D1CB=D1**3
D2CB=D2**3
R,1,(D1**2)/2,D1*(D1CB/24),D1
R,2,(D2**2)/2,D2*(D2CB/24),D2
MP,EX,1,1E10
N,1
N,2,,2.5
N,3,2.16506,3.75
REAL,1
E,1,2
REAL,2
E,2,3
D,1,ALL,0
F,3,FY,-2000                     ! HALF LOAD DUE TO SYMMETRY
NSEL,S,LOC,X,2.1,2.2
DSYM,SYMM,X
NSEL,ALL
DLIST,ALL
FINISH
/SOLU
SOLVE
FINISH
/POST1
ETABLE,VOLU,VOLU
ETABLE,MI,SMISC,6
ETABLE,MJ,SMISC,12
*GET,M11,ELEM,1,ETAB,MI
*GET,M21,ELEM,1,ETAB,MJ
*GET,M12,ELEM,2,ETAB,MI
*GET,M22,ELEM,2,ETAB,MJ
*status,parm
LIM1=D1CB*K                      ! BENDING MOMENT LIMITS
LIM2=D2CB*K
M11L=LIM1-(ABS(M11))
M21L=LIM1-(ABS(M21))
M12L=LIM2-(ABS(M12))
M22L=LIM2-(ABS(M22))
SSUM
*GET,TVOL,SSUM,,ITEM,VOLU
TVOL=TVOL*2
FINISH
*END

*USE,SCRATCH

/OPT
OPANL,SCRATCH			 ! ASSIGN FILE FOR OPT. LOOP
OPVAR,D1,DV,.05,.5               ! DESIGN VARIABLES
OPVAR,D2,DV,.05,.5
OPVAR,M11L,SV,0,2000             ! STATE VARIABLES
OPVAR,M21L,SV,0,2000
OPVAR,M12L,SV,0,2000
OPVAR,M22L,SV,0,2000
OPVAR,TVOL,OBJ,,,.00001          ! OBJECTIVE FUNCTION
OPTYPE,SUBP
OPSUBP,15
OPPRNT,ON
OPEXE
OPLIST,ALL,,1
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'VOL ','DIS(1) ','DIS(2) '
LABEL(1,2) = 'CUB m','m','m'
*VFILL,VALUE(1,1),DATA,.0764,.118,.129
*VFILL,VALUE(1,2),DATA,TVOL,D1,D2
*VFILL,VALUE(1,3),DATA,(TVOL/.0764),(D1/.118),(D2/.129)
/COM
/OUT,vm157,vrt
/COM,------------------- VM157 RESULTS COMPARISON -------------
/COM,
/COM,                   |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F7.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm157,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM156 Input Listing 		Up / Home Next
VM158 Input Listing


VM158 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM158
/PREP7
MP,PRXY,,0.3
/TITLE, VM158, MOTION OF A BOBBING BUOY
C***            ELEMENTARY THEORETICAL FLUID MECHANICS, BRENKERT, PAGE 37
ANTYPE,TRANS
NLGEOM,ON                     ! LARGE DISPLACEMENTS
ET,1,PIPE59,,,,,,,1
R,1,1,.03                     ! DIAMETER, WALL THICKNESS
RMORE,,,,.3                   ! DRAG COEFFICIENT
MP,EX,1,21E10
MP,DENS,1,8000
MP,PRXY,1,0.3
TB,WATER,1
TBDATA,3,30                   ! DEPTH
TBDATA,4,1000                 ! WATER DENSITY
N,1,,,-9
N,7,,,1
FILL
E,1,2
EGEN,6,1,1
FINISH
/SOLU
NSUBST,20                     ! 20 SUBSTEPS
CNVTOL,U                      ! CONVERGENCE BASED ON DISPLACEMENTS
CNVTOL,F                      ! CONVERGENCE BASED ON FORCES
OUTPR,BASIC,LAST
OUTRES,NSOL,1
KBC,1
ALPHAD,3                      ! MASS DAMPING FOR SLOW DYNAMICS
ACEL,,,9.807
D,1,UX,,,7,,UY,ROTX,ROTY,ROTZ ! CONSTRAIN ALL BUT UZ DOF
TIME,30
SOLVE
FINISH
/POST26
NSOL,2,1,U,Z
PRVAR,2
/GRID,1
/AXLAB,Y,DISP
PLVAR,2                       ! DISPLAY TOP DISPLACEMENT VS. TIME
*GET,DISP,VARI,2,RTIME,30
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'DISP '
LABEL(1,2) = 'm '
*VFILL,VALUE(1,1),DATA,-.312
*VFILL,VALUE(1,2),DATA,DISP
*VFILL,VALUE(1,3),DATA,ABS(DISP/.312)
/COM
/OUT,vm158,vrt
/COM,------------------- VM158 RESULTS COMPARISON -------------
/COM,
/COM,              |    TARGET   |    ANSYS   |    RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F6.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm158,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM157 Input Listing 		Up / Home Next
VM159 Input Listing


VM159 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM159
/PREP7
/TITLE, VM159, TEMPERATURE CONTROLLED HEATER
C***            REFERENCE - SELF-CHECKING (RESPONSE FOLLOWS INPUT REQUEST)
ANTYPE,TRANS
ET,1,MASS71,,,1            ! THERMAL MASS
ET,2,LINK34                ! CONVECTION ELEMENT
ET,3,COMBIN37,,,8,,1       ! CONTROL ELEMENT
R,1,2.7046E-4              ! THERMAL CAPACITANCE OF HEATER
R,2,2.7046E-3              ! THERMAL CAPACITANCE OF BOX
R,3,8.1812E-3              ! SURFACE AREA OF HEATER
R,4,4.1666E-2              ! SURFACE AREA OF BOX
R,5,,,,100,125,-10         ! CONTROL TEMPERATURES, HEAT FLOW
RMORE,,1                   ! INITIAL CONTROL STATUS (ON)
MP,HF,1,4
N,1
*REPEAT,4,1
E,1                        ! HEATER
TYPE,2
REAL,3
E,1,2                      ! CONVECTION LINK
TYPE,1
REAL,2
E,2                        ! BOX
TYPE,3
REAL,5
E,4,1,2                    ! CONTROL
TYPE,2
REAL,4
E,2,3                      ! CONVECTION LINK
FINISH
/SOLU
SOLCONTROL,0
TIME,.2
IC,1,TEMP,70               ! UNIFORM STARTING TEMPERATURE
IC,2,TEMP,70
KBC,1
D,3,TEMP,70
D,4,TEMP,0
AUTOTS,ON
OUTPR,,10
OUTRES,,ALL
DELTIM,0.001
SOLVE
FINISH
/POST26
NSOL,2,1,TEMP
NSOL,3,2,TEMP
ESOL,4,4,,NMISC,1,STAT
PRVAR,2,3,4
/GRID,1                   ! DISPLAY BOX TEMP VS. TIME
/AXLAB,Y,TEMP
PLVAR,3
/GRID,0                   ! DISPLAY STATUS VS. TIME
/AXLAB,Y,STAT
PLVAR,4
FINISH
/OUT,vm159,vrt
/COM,-----------------------------------------------------------
/COM,NOTE: THERE ARE VERIFIED RESULTS IN VM159  NOT CONTAINED IN
/COM,THIS TABLE
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm159,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM158 Input Listing 		Up / Home Next
VM160 Input Listing


VM160 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM160
/PREP7
/TITLE, VM160, SOLID CYLINDER WITH HARMONIC TEMPERATURE LOAD
C***    HILDEBRAND, ADVANCED CALCULUS FOR APPLICATIONS, PAGE 447
ET,1,PLANE78               ! AXISYMMETRIC THERMAL SOLID
MP,KXX,1,1
N,1
N,9,20
FILL
NGEN,3,10,1,9,1,,2.5
E,1,3,23,21,2,13,22,11
EGEN,4,2,1
D,9,TEMP,80,,29,10         ! PEAK TEMPERATURE AT THETA=0
MODE,2,1                   ! SYMMETRIC MODE WITH 2 WAVES AROUND PERIPHERY
FINISH
/SOLU
OUTPR,ALL,LAST             ! PRINTOUT ELEMENT SOLUTION
SOLVE
FINISH
/POST1
SET,1,1,,,,0.0             ! STORE SOLUTION DATA AT 0 DEGREES
NSEL,S,NODE,,1,9           ! SELECT NODES 1-9
*GET,T1,NODE,1,TEMP
*GET,T2,NODE,3,TEMP
*GET,T3,NODE,5,TEMP
*GET,T4,NODE,7,TEMP
PRNSOL,TEMP                ! PRINT TEMPERATURE
SET,1,1,,,,90.0            ! STORE SOLUTION DATA AT 90 DEGREES
*GET,T5,NODE,1,TEMP
*GET,T6,NODE,3,TEMP
*GET,T7,NODE,5,TEMP
*GET,T8,NODE,7,TEMP
PRNSOL,TEMP                ! PRINT TEMPERATURE
*status,parm
*DIM,LABEL,CHAR,4,2
*DIM,VALUE,,4,3
LABEL(1,1) = 'T (ND=1) ','T (ND=3) ','T (ND=5) ','T (ND=7)'
LABEL(1,2) = 'F','F','F','F'
*VFILL,VALUE(1,1),DATA,0,5,20,45
*VFILL,VALUE(1,2),DATA,T1,T2,T3,T4
*VFILL,VALUE(1,3),DATA,ABS(0),ABS(T2/5),ABS(T3/20),ABS(T4/45)
/COM
/OUT,vm160,vrt
/COM,------------------- VM160 RESULTS COMPARISON -------------
/COM,
/COM,THETA=0       |      TARGET   |     ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F8.3)
/NOPR
*VFILL,VALUE(1,1),DATA,0,-5,-20,-45
*VFILL,VALUE(1,2),DATA,T5,T6,T7,T8
*VFILL,VALUE(1,3),DATA,ABS(0),ABS(T6/5),ABS(T7/20),ABS(T8/45)
/GOPR
/COM,
/COM,THETA=90      |      TARGET   |     ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F8.3)
/COM,---------------------------------------------------------
/OUT
FINISH
*LIST,vm160,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM159 Input Listing 		Up / Home Next
VM161 Input Listing


VM161 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM161
/PREP7
/TITLE, VM161, HEAT FLOW FROM AN INSULATED PIPE
C***  PRINCIPLES OF HEAT TRANSFER, KREITH, 2ND. PRINTING, PAGE 36, EX. 2-7
ANTYPE,STATIC
ET,1,SOLID90
MP,KXX,1,25
MP,KXX,2,.11
CSYS,1                       ! CYLINDRICAL C.S.
N,1,.12791666
N,2,.14583333
N,3,.1875
NGEN,3,3,1,3,1,,15
NGEN,3,10,1,9,1,,,.5
E,1,21,27,7,2,22,28,8
EMORE,11,24,17,4,12,25,18,5
EMORE,30,34,36,32
EGEN,2,1,1
MAT,2
EMODIF,2
NSEL,S,LOC,X,.12791666
SF,ALL,CONV,40,300           ! CONVECTION ON THE INSIDE
NSEL,S,LOC,X,.1875
SF,ALL,CONV,4,80             ! CONVECTION ON THE OUTSIDE
NSEL,ALL
OUTPR,,1
FINISH
/SOLU
SOLVE
FINISH
/POST1
SET,1,1
ESEL,S,ELEM,,1,1
FSUM,HEAT
*GET,Q1,FSUM,0,ITEM,HEAT
*SET,Q,ABS((Q1*360/30))
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'q '
LABEL(1,2) = 'BTU/hr'
*VFILL,VALUE(1,1),DATA,362
*VFILL,VALUE(1,2),DATA,Q
*VFILL,VALUE(1,3),DATA,ABS(Q/362)
/COM
/OUT,vm161,vrt
/COM,------------------- VM161 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm161,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM160 Input Listing 		Up / Home Next
VM162 Input Listing


VM162 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM162
/PREP7
/TITLE, VM162, CIRCULAR COOLING FIN OF RECTANGULAR PROFILE
C***     CONDUCTION HEAT TRANSFER, SCHNEIDER, 2ND. PRINTING, PAGE 82, ART. 4-10
ANTYPE,STATIC
ET,1,SOLID90
MP,KXX,1,15
CSYS,1
N,1,.04167
N,9,.0625
FILL
NGEN,3,10,1,9,1,,2.5
NGEN,3,30,1,29,1,,,.002604
E,1,3,23,21,61,63,83,81
EMORE,2,13,22,11,62,73,82,71
EMORE,31,33,53,51
EGEN,4,2,1
OUTPR,,1
D,1,TEMP,100,,81,10
NSEL,S,LOC,Z
SF,ALL,CONV,100,0.0
NSEL,S,LOC,Z,0.005208
SF,ALL,CONV,100,0.0
NSEL,S,LOC,X,0.0625
SF,ALL,CONV,100,0.0
NSEL,ALL
FINISH
/SOLU
SOLVE
FINISH
/POST1
*GET,T,NODE,29,TEMP
FSUM,HEAT
*GET,Q1,FSUM,0,ITEM,HEAT
*SET,Q,ABS((Q1*360/5))
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'T2 ','q '
LABEL(1,2) = 'F','BTU/hr'
*VFILL,VALUE(1,1),DATA,53.22,102.05
*VFILL,VALUE(1,2),DATA,T,Q
*VFILL,VALUE(1,3),DATA,ABS(T/53.22),ABS(Q/102.05)
/COM
/OUT,vm162,vrt
/COM,------------------- VM162 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm162,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM161 Input Listing 		Up / Home Next
VM163 Input Listing


VM163 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM163
/PREP7
SMRT,OFF
/TITLE, VM163 GROUNDWATER SEEPAGE
C***          A SIMPLE GUIDE TO FINITE ELEMENTS, R.J.OWEN AND E. HINTON, P.89
ANTYPE,STATIC             ! THERMAL ANALYSIS
ET,1,PLANE55,,,1,,,,1     ! AXISYMMETRIC, SUPRESS ALL PRINTOUT
MP,KXX,1,0.864            ! PERMEABILITY
K,1
*REPEAT,3,1,,3.5
KGEN,2,1,3,1,8.0
KGEN,2,1,2,1,18.0
K,9,18,10
K,10,8,10
K,11,8.0,3.5
L,1,4                     ! DEFINE LINE SEGMENTS AND MESH DIVISIONS
*REPEAT,3,1,1
L,10,9
L,11,8
L,4,7
LESIZE,ALL,,,8
A,1,4,5,2
A,2,5,6,3
A,4,7,8,5
A,11,8,9,10
ESIZE,,5
MSHK,2                    ! MAPPED AREA MESH IF POSSIBLE
MSHA,0,2D                 ! USING QUADS
AMESH,ALL                 ! MESH AREAS
NUMMRG,NODE               ! MERGE NODES AT BOTTOM OF CAISSON
NSEL,S,LOC,Y,7.0
D,ALL,TEMP,0
NSEL,S,LOC,Y,10
D,ALL,TEMP,3              ! PRESSURE HEAD
NSEL,ALL
FINISH
/SOLU
SOLVE
FINISH
/POST1
/CLABEL,,1
/CONTOUR,,20
/EDGE,,1
PLNSOL,TEMP          ! DISPLAY PRESSURE CONTOURS
/VSCALE,,-1
PLVECT,TG            ! DISPLAY THERMAL GRADIENT VECTORS
NSEL,S,LOC,Y,7.0
PRRSOL,HEAT          ! PRINT FLOWRATE THROUGH SOIL
FSUM,HEAT
*GET,Q1,FSUM,0,ITEM,HEAT
*SET,Q,(Q1/(2*3.14159265))
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'q '
LABEL(1,2) = 'CUBm/DAY'
*VFILL,VALUE(1,1),DATA,8.6
*VFILL,VALUE(1,2),DATA,Q
*VFILL,VALUE(1,3),DATA,ABS(Q/8.6)
/COM
/OUT,vm163,vrt
/COM,------------------- VM163 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm163,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM162 Input Listing 		Up / Home Next
VM164 Input Listing


VM164 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM164
/PREP7
/TITLE, VM164, DRYING OF A THICK WOODEN SLAB (DIFFUSION)
C***     HEAT, MASS AND MOMENTUM TRANS., ROHSENOW AND CHOI, 2ND. PR., PAGE 392
ANTYPE,TRANS
ET,1,LINK32
R,1,1                   ! ARBITRARY AREA
MP,KXX,1,4E-5           ! DIFFUSION COEFFICIENT D
MP,DENS,1,1             ! ARBITRARY DENSITY AND CAPACITANCE
MP,C,1,1
N,1
N,11,(1/12)
FILL
E,1,2
EGEN,10,1,1
TUNIF,30                ! INITIAL MOISTURE CONCENTRATION (THAT OF WOOD)
D,11,TEMP,5             ! FINAL MOISTURE CONCENTRATION (AMBIENT)
FINISH
/SOLU
SOLCONTROL,0
AUTOTS,ON
OUTPR,,LAST
DELTIM,0.434
TIME,127                ! TIME AT END OF LOAD STEP
KBC,1                   ! STEP BOUNDARY CONDITIONS
SOLVE
/POST1
*GET,T,NODE,1,TEMP
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = '      C '
LABEL(1,2) = ' % '
*VFILL,VALUE(1,1),DATA,10
*VFILL,VALUE(1,2),DATA,T
*VFILL,VALUE(1,3),DATA,ABS(T/10)
/COM
/OUT,vm164,vrt
/COM,------------------- VM164 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm164,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM163 Input Listing 		Up / Home Next
VM165 Input Listing


VM165 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM165
/PREP7
SMRT,OFF
/TITLE, VM165, CURRENT CARRYING FERROMAGNETIC CONDUCTOR
C***           PRINCIPLES OF ELECTRIC AND MAGNETIC FIELDS, BOAST, PAGE 225
ET,1,PLANE13           ! 2-D COUPLED FIELD SOLID
ET,2,INFIN9            ! 2-D INFINITE BOUNDARY ELEMENT
EMUNIT,MKS             ! MKS UNITS
MP,MURX,1,1            ! SET RELATIVE PERMEABILITY FOR AIR TO 1
TB,BH,2                ! B-H CURVE FOR MATERIAL 2
TBPT,,150,.21          ! H AND B RESPECTIVELY
TBPT,,300,.55
TBPT,,460,.80
TBPT,,640,.95
TBPT,,720,1.0
TBPT,,890,1.1
TBPT,,1020,1.15
TBPT,,1280,1.25
TBPT,,1900,1.40
TBPLOT,BH,2
TBPLOT,NB,2
/wind,1,top
/wind,2,bottom
/gtype,1,grph,1
/gtype,2,grph,1
/gcmd,1,tbplot,bh,2
/gcmd,2,tbplot,nb,2
gplot
/wind,2,off
/wind,1,full
SF=.0254               ! SET CONVERSION (INCHES TO METERS)
CSYS,1
K,1
K,2,.3,-2.5            ! INNER RADIUS OF RING
K,3,.45,-2.5           ! OUTER RADIUS OF RING
K,4,.75,-2.5           ! OUTER RADIUS OF SURROUNDING AIR
KPSCALE,ALL,,,SF,,,,,1 ! MOVE ORIGINAL KEYPOINTS TO NEW POSITION
CSYS,0
L,1,2
LESIZE,1,,,5
L,2,3
LESIZE,2,,,6
L,3,4
LSYMM,2,ALL
NUMMRG,KP              ! MERGE KEYPOINTS
L,4,8                  ! DEFINE OUTER RADIUS LINE SEGMENT
LESIZE,7,,,1
TYPE,2
ESIZE,,,1
LMESH,7                ! MESH LINE SEGMENT (WITH BOUNDARY ELEMENT)
A,2,6,1,1
A,2,3,7,6
A,3,4,8,7
ASEL,S,AREA,,2
AATT,2                 ! ASSIGN MATERIAL 2 TO STEEL AREA
ASEL,ALL
ESIZE,,1               ! DEFAULT ELEMENT DIVISIONS=1
TYPE,1
AMESH,1,2
LDVA
AMESH,3
FINISH
/SOLU                  ! ENTER SOLVER
BFA,2,JS,,,438559      ! APPLY CURRENT DENSITY JS(Z)
MAGSOLV
FINISH
/POST1
CSYS,1
NSEL,S,LOC,X,.325*SF
NSEL,A,LOC,X,.375*SF
NSEL,A,LOC,X,.425*SF
RSYS,1                 ! SET RESULTS C.S. TO CYLINDRICAL
PRNSOL,B,COMP          ! PRINT NODAL FLUX DENSITY
*GET,B1,NODE,21,B,SUM
*GET,B2,NODE,23,B,SUM
*GET,B3,NODE,25,B,SUM
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = '@ R=','@ R=','@ R='
LABEL(1,2) = '.325','.375','.425'
*VFILL,VALUE(1,1),DATA,.48,1.03,1.22
*VFILL,VALUE(1,2),DATA,B1,B2,B3
*VFILL,VALUE(1,3),DATA,ABS(B1/.48),ABS(B2/1.03),ABS(B3/1.22)
/COM
/OUT,vm165,vrt
/COM,------------------- VM165 RESULTS COMPARISON --------------
/COM,
/COM,B, TESLA
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/COM,
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm165,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM164 Input Listing 		Up / Home Next
VM166 Input Listing


VM166 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM166
/PREP7
SMRT,OFF
/TITLE, VM166, LONG CYLINDER IN A SINUSOIDAL MAGNETIC FIELD
/COM,   ELECTROMAGNETIC WORKSHOP, RAL-86-049, EMSON, PAGE 39
ANTYPE,HARMIC                   ! FULL HARMONIC ANALYSIS
ET,1,PLANE13                    ! 2-D COUPLED-FIELD SOLID (AZ DOF)
EMUNIT,MKS                      ! MKS UNITS
MP,MURX,1,1                     ! RELATIVE PERMEABILITY - AIR
MP,MURX,2,1                     ! RELATIVE PERMEABILITY - ALUMINUM
MP,RSVZ,2,(1/25380711)          ! RESISTIVITY - ALUMINUM
K,1
K,2,.03
K,3,.03,.03
K,4,,.03
CSYS,1
K,5,.05715
K,6,.05715,45
K,7,.05715,90
KGEN,2,5,7,1,.0127
KGEN,2,8,10,1,.77015
L,2,5
*REPEAT,3,1,1
L,5,8
*REPEAT,3,1,1
L,8,11
*REPEAT,3,1,1
CSYS,0
A,1,2,3,4                       ! DEFINE AREAS
CSYS,1
A,2,5,6,3
*REPEAT,3,3,3,3,3
A,3,6,7,4
*REPEAT,3,3,3,3,3
ASEL,S,AREA,,3,6,3
AATT,2
ASEL,ALL
LESIZE,1,,,4,.5                 ! DEFINE LINE SEGMENTS AND DIVISIONS
*REPEAT,3,1
LESIZE,4,,,5
*REPEAT,3,1
LESIZE,7,,,9,25
*REPEAT,3,1
MSHK,1                    ! MAPPED AREA MESH
MSHA,0,2D                 ! USING QUADS
ESIZE,,6
AMESH,ALL
PI=3.141592654
DTH=(7.5*PI)/180.               ! THETA INCREMENT
*DO,THP,0,90,3.75               ! IMPOSE EXTERIOR NODAL POTENTIALS
  NSEL,S,LOC,X,.83,.85          ! SELECT NODES AT OUTERMOST RADIUS
  NSEL,R,LOC,Y,(THP-1.),(THP+1.)
  TH=(THP*PI)/180
  VAL=-(COS(TH)*.084)           ! CALCULATE POTENTIAL
  D,ALL,AZ,VAL
  NSEL,ALL
*ENDDO
CSYS,0
NSEL,S,LOC,X,0
D,ALL,AZ,0                      ! IMPOSE DIRICHLET BOUNDARY CONDITION
NSEL,ALL
HARFRQ,60                       ! SET FREQUENCY = 60 HZ
FINI
/SOLU
SOLVE
FINI
/POST1
SET,1                           ! REAL RESULTS
NSEL,S,NODE,,1
PRNSOL,B,COMP                   ! PRINT NODAL REAL FLUX DENSITY AT ORIGIN
*GET,BR1,NODE,1,B,X
*GET,BR2,NODE,1,B,Y
SET,1,1,,1                      ! IMAGINARY RESULTS
PRNSOL,B,COMP                   ! PRINT NODAL IMAGINARY FLUX DENSITY AT ORIGIN
*GET,BI1,NODE,1,B,X
*GET,BI2,NODE,1,B,Y
ESEL,S,MAT,,2
POWERH				! CALCULATE TIME-AVERAGE POWER LOSS
*DIM,LABEL,CHAR,5,2
*DIM,VALUE,,5,3
LABEL(1,1) = 'BX REAL ','BY REAL ','BX IM ','BY IM ','PWR LOSS '
LABEL(1,2) = 'T','T','T','T','W/m'
*VFILL,VALUE(1,1),DATA,0,-.00184,0,-.02102,2288
*VFILL,VALUE(1,2),DATA,BR1,BR2,BI1,BI2,PAVG
*VFILL,VALUE(1,3),DATA,1,ABS(BR2/.00184),1,ABS(BI2/.02102),ABS(PAVG/2288)
/OUT,vm166,vrt
/COM,------------------- VM166 RESULTS COMPARISON --------------
/COM,
/COM,RESULTS AT ORIGIN
/COM,
/COM,                |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm166,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM165 Input Listing 		Up / Home Next
VM167 Input Listing


VM167 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vm167
/PREP7
/TITLE, VM167, TRANSIENT EDDY CURRENTS IN A SEMI-INFINITE SOLID
/COM,   HOLMAN, J.P., 'HEAT TRANSFER', 4TH EDITION, MCGRAW HILL,
/COM,   INC., 1976, PAGE 104, EQN. 4-14 (ANALOGOUS FIELD SOLUTION)
ET,1,PLANE13                         ! 2-D COUPLED-FIELD SOLID, AZ DOF
EMUNIT,MKS                           ! MKS UNITS
MP,MURX,1,1                          ! RELATIVE PERMEABILITY - AIR
MP,MURX,2,1                          ! RELATIVE PERMEABILITY - ALUMINUM
MP,RSVX,2,4E-7                       ! RESISTIVITY - ALUMINUM
N,1
N,41,20
FILL,1,41,,,,,,20
NGEN,2,50,1,41,1,,.4
MAT,2
E,1,2,52,51
EGEN,40,1,-1
FINISH
/SOLU
ANTYPE,TRANS                         ! TRANSIENT ANALYSIS
NSEL,S,LOC,X,0
D,ALL,AZ,2                           ! APPLY STEP POTENTIAL
NSEL,INVE
IC,ALL,AZ,0                          ! INITIAL CONDITION ON REMAINING POTENTIALS
NSEL,S,LOC,X,20
D,ALL,AZ,0                           ! SET FAR-FIELD POTENTIAL TO ZERO
NSEL,ALL
KBC,1                                ! STEPPED BOUNDARY CONDITIONS
DELTIM,.0002,.0002,.005              ! DEFINE TIME STEP SIZES
AUTOTS,ON                            ! AUTO TIME-STEPPING
TIME,.15                             ! TIME AT END OF 1ST LOAD STEP
OUTRES,ALL,ALL
SOLVE
DELTIM,,,,ON                         ! CARRY OVER TIME STEP USED PREVIOUSLY
TIME,.24                             ! TIME AT END OF 2ND LOAD STEP
SOLVE
FINISH
/POST26
NSOL,2,4,A,Z                         ! STORE NODE 4 VECTOR POTENTIAL
NSOL,3,6,A,Z                         ! STORE NODE 6 VECTOR POTENTIAL
NSOL,4,8,A,Z                         ! STORE NODE 8 VECTOR POTENTIAL
DERIV,5,2                            ! CALCULATE DA/DT
DERIV,6,3
DERIV,7,4
ADD,5,5,,,JEDDY_4,,,-.25E7           ! FIND EDDY CURRENT, -(DA/DT)/(RESISTIVITY)
ADD,6,6,,,JEDDY_6,,,-.25E7
ADD,7,7,,,JEDDY_8,,,-.25E7
SOLU,8,DTIM                          ! STORE TIME STEP SIZE
SOLU,9,RESE                          ! STORE RESPONSE EIGENVALUE
SOLU,10,NCMIT                        ! STORE NO. OF CUMULATIVE ITERATIONS
STORE,MERGE                          ! MERGE DATA WITH PREVIOUSLY STORED DATA
/AXLAB,Y,A
/GROPT,AXNSC,2.0
PLVAR,2,3,4                          ! DISPLAY VECTOR POTENTIAL VS. TIME
/AXLAB,Y,EDDY
PLVAR,5,6,7                          ! DISPLAY EDDY CURRENT DENSITY VS. TIME
PRVAR,2,3,4,5,6,7                    ! PRINT VALUES
*GET,V1,VARI,2,RTIME,.15
*GET,V2,VARI,3,RTIME,.15
*GET,V3,VARI,4,RTIME,.15
*GET,E1,VARI,5,RTIME,.15
*GET,E2,VARI,6,RTIME,.15
*GET,E3,VARI,7,RTIME,.15
PRVAR,8,9,10                         ! PRINT SOLUTION SUMMARY DATA
FINISH
/POST1
NSEL,S,NODE,,4,8,2
ESLN,S,0
SET,,,,,.15                          ! SELECT ITERATION AT TIME=.15
PRITER
PRNSOL,B,COMP                        ! PRINT NODAL FLUX DENSITY
*GET,F1,NODE,4,B,Y
*GET,F2,NODE,6,B,Y
*GET,F3,NODE,8,B,Y
*status,parm
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = '@ X=','@ X=','@ X='
LABEL(1,2) = '.2517','.4574','.6914'
*VFILL,VALUE(1,1),DATA,.831,.282,.05
*VFILL,VALUE(1,2),DATA,V1,V2,V3
*VFILL,VALUE(1,3),DATA,ABS(V1/.831),ABS(V2/.282),ABS(V3/.05)
/COM
/OUT,vm167,vrt
/COM,------------------- VM167 RESULTS COMPARISON ---------------
/COM,
/COM,VECTOR POTENTIALS (WB/M)
/COM,   	                   |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F14.3,'  ',F14.3,'   ',1F7.3)
/COM,
/NOPR
*VFILL,VALUE(1,1),DATA,3.707,1.749,.422
*VFILL,VALUE(1,2),DATA,F1,F2,F3
*VFILL,VALUE(1,3),DATA,ABS(F1/3.707),ABS(F2/1.749),ABS(F3/.422)
/GOPR
/COM,FLUX DENSITY (T)
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F14.3,'  ',F14.3,'   ',1F7.3)
/COM,
/NOPR
*VFILL,VALUE(1,1),DATA,-.777E7,-.663E7,-.243E7
*VFILL,VALUE(1,2),DATA,E1,E2,E3
*VFILL,VALUE(1,3),DATA,ABS(E1/(.777E7)),ABS(E2/(.663E7)),ABS(E3/(.243E7))
/GOPR
/COM,EDDY CURRENT DENSITY (A/M/M)
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F14.0,'  ',F14.0,'   ',1F7.3)
/COM-------------------------------------------------------------
/OUT
FINISH
*LIST,vm167,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM166 Input Listing 		Up / Home Next
VM168 Input Listing


VM168 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM168
/PREP7
/TITLE, VM168, MAGNETIC FIELD IN A NONFERROUS SOLENOID
/COM,   PRINCIPLES OF ELECTRIC AND MAGNETIC FIELDS, BOAST, PG.243
ANTYPE,STATIC
ET,1,SOLID5,10                         ! 3D COUPLED-FIELD SOLID, MAG DOF
ET,2,SOURC36                           ! CURRENT SOURCE ELEMENT
EMUNIT,MKS                             ! MKS UNITS
MP,MURX,1,1                            ! RELATIVE PERMEABILITY - AIR
/COM    !**    DEFINE CONVENIENT PARAMETERS    !**
I=0.5                                  ! CURRENT
NI=115.5                               ! MMF
S=2.5                                  ! SOLENOID 1/2 LENGTH
R=0.5                                  ! SOLENOID RADIUS
THK=.0216                              ! SOLENOID THICKNESS
INM=.0254                              ! INCHES TO METER CONVERSION
INC=.0001                              ! SET SMALL RADIUS
TH=5                                   ! SET ANGLE
L=7.5                                  ! SET BOUNDARY LENGTH
R,1,1,NI,THK*INM,S*2*INM,1,50          ! COIL REAL CONSTANTS
CSYS,1
N,1,INC,-TH                            ! CREATE NODES FOR SOLID5
N,8,INC,-TH,S-.1
FILL
N,9,INC,-TH,S
N,10,INC,-TH,S+.1
N,19,INC,-TH,L-.1
FILL,10,19,,,,,,2
N,20,INC,-TH,L
NGEN,4,20,1,20,1,R/3,,,5
NGEN,7,20,61,80,1,(5.5/6),,,10
NSEL,S,LOC,Z,0
DSYS,1
NLIST,ALL
NSEL,ALL
DSYS,0
NGEN,2,200,ALL,,,,(TH*2)
E,22,222,202,2,21,221,201,1            ! CREATE SOLID5 ELEMENTS
EGEN,19,1,-1
EGEN,9,20,-19
NUMMRG,NODE                            ! MERGE NODES NEAR X=0 AXIS
N,500,R                                ! CREATE NODES FOR SOURC36
N,501,R,90
N,502
TYPE,2
E,500,501,502                          ! CREATE SOURC36 ELEMENT
NSCALE,,ALL,,,INM,,INM                 ! SCALE MODEL TO METERS
D,ALL,MAG,0                            ! SET MAG=0 EVERYWHERE
FINISH
/SOLU
MAGOPT                                 ! RSP STRATEGY (DEFAULT)
OUTPR,ALL,NONE
SOLVE
FINISH
/POST1
PATH,FIELD,2,,48                       ! DEFINE PATH WITH NAME = "FIELD"
PPATH,1,1                              ! DEFINE PATH POINTS BY NODE
PPATH,2,20
PDEF,BZ,B,Z
PRPATH,BZ                              ! PRINT BZ ALONG COIL AXIS
/SHOW,,GRPH,1
PLPATH,BZ                              ! DISPLAY BZ ALONG COIL AXIS
*GET,S1A,PATH,0,MIN,BZ
*GET,S2A,PATH,0,MAX,BZ
*SET,S1,(S1A*1E6)
*SET,S2,(S2A*1E6)
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'BZ T ','BZ T'
LABEL(1,2) = 'Z=0','Z=.1905m'
*VFILL,VALUE(1,1),DATA,1120,2.12
*VFILL,VALUE(1,2),DATA,S2,S1
*VFILL,VALUE(1,3),DATA,ABS(S2/1120),ABS(S1/2.12)
/OUT,vm168,vrt
/COM,------------------- VM168 RESULTS COMPARISON --------------
/COM,ANSWERS MULTIPLIED BY 1E6
/COM,
/COM,                  |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/COM,-----------------------------------------------------------
/COM,
/COM,-----------------------------------------------------------
/COM,NOTE: THERE ARE VERIFIED RESULTS IN VM168  NOT CONTAINED IN
/COM,THIS TABLE
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm168,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM167 Input Listing 		Up / Home Next
VM169 Input Listing


VM169 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM169
/PREP7
smrt,off
/TITLE, VM169, PERMANENT MAGNET CIRCUIT WITH AN AIR GAP
!                MAGNETO-SOLID MECHANICS, MOON, PG. 275
!                USING TETRAHEDRAL SOLID ELEMENTS (SOLID98)
ET,1,SOLID98,10             ! TETRAHEDRAL COUPLED-FIELD SOLID
EMUNIT,MKS                  ! MKS UNITS
MP,MURX,1,1
MP,MURX,2,1E5               ! IRON RELATIVE PERMEABILITY
MP,MURX,3,5.30504           ! PERMANENT MAGNET RELATIVE PERMEABILITY
MP,MGXX,3,129900            ! MGXX
MP,MGZZ,3,-75000            ! MGZZ
LOCAL,11,0,,,,,,30          ! ROTATED LOCAL CARTESIAN SYSTEM
K,1
K,2,1.5E-2
K,3,2.5E-2
KGEN,2,1,3,1,,1E-2
KGEN,2,4,6,1,,2E-2
KGEN,2,7,9,1,,1E-3
KGEN,2,10,12,1,,1E-2
A,1,2,5,4                   ! CREATE AREAS
A,2,3,6,5
A,5,6,9,8
A,10,11,14,13
A,11,12,15,14
A,8,9,12,11
K,16,,,1E-2
L,1,16
VDRAG,1,2,3,4,5,6,20        ! DRAG AREAS TO CREATE VOLUMES
VSEL,S,,,1
VATT,3                      ! SET MATERIAL ATTRIBUTES
VSEL,S,,,6
VATT,1
VSEL,S,,,2,3
VSEL,A,,,4,5
VATT,2
VSEL,S,,,1,5
ESIZE,,1
MSHK,0                    ! FREE VOLUME MESH
MSHA,1,3D                 ! USING TETS
VMESH,ALL
VSEL,ALL
VMESH,6                     ! MESH AIR GAP
NSEL,,LOC,X,0
D,ALL,MAG,0                 ! SET FLUX-NORMAL BOUNDARY CONDITION
NSEL,ALL
WSORT,Y                     ! REORDER WAVEFRONT
FINISH
/SOLU
MAGSOLV,2                   ! RSP METHOD
FINISH
/POST1
RSYS,11
/VIEW,,6E-2,5E-2,6E-2
/EDGE,1,1
/DEVICE,VECTOR,1	    ! TURN ON WIREFRAME MODE
PLVECT,B                    ! DISPLAY B VECTOR
/VSCALE,,,1                 ! SET FOR UNIFORM VECTOR SCALING
PLVECT,H                    ! DISPLAY H VECTOR
ESEL,,MAT,,1                ! SELECT AIR ELEMENTS
PRNSOL,B,COMP               ! PRINT B
NSORT,B,SUM
*GET,B1,SORT,,MAX
PRNSOL,H,COMP               ! PRINT H
NSORT,H,SUM
*GET,H1,SORT,,MAX
ESEL,,MAT,,3                ! SELECT PERMANENT MAGNET ELEMENTS
PRNSOL,B,COMP               ! PRINT B
NSORT,B,SUM
*GET,B2,SORT,,MAX
PRNSOL,H,COMP               ! PRINT H
NSORT,H,SUM
*GET,H2,SORT,,MAX
*status,parm
*DIM,LABEL,CHAR,4,2
*DIM,VALUE,,4,3
LABEL(1,1) = 'B T ','H A/m ','B T ','H A/m '
LABEL(1,2) = 'PMAG','PMAG','AIR','AIR'

*VFILL,VALUE(1,1),DATA,.7387,39150,.7387,587860
*VFILL,VALUE(1,2),DATA,B2,H2,B1,H1
*VFILL,VALUE(1,3),DATA,ABS(B2/.7387),ABS(H2/39150),ABS(B1/.7387),ABS(H1/587860)
/COM
/OUT,vm169,vrt
/COM,------------------- VM169 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET     |   ANSYS     |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F12.4,'  ',F12.4,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
/DELETE,magsolv,out
*LIST,vm169,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM168 Input Listing 		Up / Home Next
VM170 Input Listing


VM170 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM170
/PREP7
/TITLE, VM170, MAGNETIC FIELD FROM A SQUARE CURRENT LOOP
/COM,   REF. BOAST, "PRINCIPLES OF ELECTRIC AND MAGNETIC FIELDS"
/COM,   PG. 200
ET,1,LINK68               ! LINK68 ELEMENT
R,1,1                     ! ARBITRARY AREA
MP,RSVX,1,4.0E-8          ! RESISTIVITY
N,1                       ! DEFINE NODES FOR LOOP
N,2,1.5
N,3,1.5,,1.5
N,4,,,1.5
N,5                       ! NODES 1 AND 5 OVERLAP
N,6,,.35                  ! NODE FOR RESULTS EXTRACTION
E,1,2                     ! GENERATE ELEMENTS
EGEN,4,1,-1
D,5,VOLT,0                ! GROUND VOLTAGE IN WIRE
F,1,AMPS,7.5              ! APPLY CURRENT AT "CUT"
FINISH
/SOLU
OUTPR,ESOL,LAST           ! BASIC ELEMENT PRINTOUT
SOLVE                     ! SOLVE ELECTRIC CURRENT CONDUCTION
BIOT,NEW                  ! CALCULATE HS FIELD VIA BIOT-SAVART INTEG.
*GET,HX,NODE,6,HS,X       ! GET HS(X) AS A PARAMETER
*GET,HY,NODE,6,HS,Y       ! GET HS(Y)
*GET,HZ,NODE,6,HS,Z       ! GET HS(Z)
MUZRO=12.5664E-7          ! DEFINE FREE=SPACE PERMEABILITY
BX=MUZRO*HX               ! CALCULATE FLUX DENSITY
BY=MUZRO*HY
BZ=MUZRO*HZ
*status,parm                   ! SHOW PARAMETER STATUS
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'BX ','BY ','BZ '
LABEL(1,2) = 'TESLA','TESLA','TESLA'
*VFILL,VALUE(1,1),DATA,2.010E-6,-.662E-6,2.01E-6
*VFILL,VALUE(1,2),DATA,BX,BY,BZ
*VFILL,VALUE(1,3),DATA,ABS(BX/(2.01E-6)),ABS(BY/.662E-6),ABS(BZ/(2.01E-6))
/COM
/OUT,vm170,vrt
/COM,------------------- VM170 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET     |   ANSYS     |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F12.9,'  ',F12.9,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm170,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM169 Input Listing 		Up / Home Next
VM171 Input Listing


VM171 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM171
/PREP7
/TITLE, VM171, PERMANENT MAGNET CIRCUIT WITH AN ELASTIC KEEPER
/COM,   MAGNETO-SOLID MECHANICS, MOON, PG. 275
ET,1,PLANE13,4                  ! 2-D COUPLED-FIELD SOLID (UX,UY,AZ DOF'S)
ET,2,COMBIN14,,,2
R,1,1.6534E5                    ! SPRING CONSTANT
MP,EX,1,1E2
MP,EX,2,10E10
MP,EX,3,10E10
MP,EX,4,10E10
MP,NUXY,1,0.0
*REP,4,,1
MP,KXX,1,1                      ! APPLY DUMMY KXX TO PREVENT WARNING MSGS.
*REP,4,,1
EMUNIT,MKS                      ! MKS UNITS
MP,MURX,1,1                     ! AIR RELATIVE PERMEABILITY
MP,MURX,2,1E5                   ! IRON RELATIVE PERMEABILITY
MP,MURX,3,5.30504               ! PERMANENT MAGNET RELATIVE PERMEABILITY
MP,MGXX,3,149990.0              ! COERCIVE FORCE (X-DIRECTION)
MP,MURX,4,1E5                   ! KEEPER RELATIVE PERMEABILITY
N,1
N,6,5E-2
FILL
NGEN,6,6,1,6,1E-2,,1E-2
N,37,0,6E-2
N,38,5E-2,6E-2
MAT,3
E,2,3,9,8
EGEN,3,1,-1
MAT,2
E,1,2,8,7
EGEN,3,6,-1
E,5,6,12,11
EGEN,3,6,-1
MAT,4
E,25,26,32,31
EGEN,5,1,-1
MAT,1
E,19,20,26,25
E,23,24,30,29
TYPE,2                          ! SPRINGS
E,37,31
E,38,36
D,37,ALL,0,,38                  ! CONSTRAIN SPRING
ESEL,S,MAT,,2,3
NSLE
D,ALL,UX,0,,,,UY                ! CONSTRAIN PERMANENT MAGNET STRUCTURE
ESEL,ALL
NSEL,S,LOC,X,0
NSEL,A,LOC,X,5E-2
NSEL,A,LOC,Y,0
NSEL,A,LOC,Y,5E-2
D,ALL,AZ,0                      ! SET EXTERIOR FLUX-PARALLEL BOUNDARY
NSEL,ALL
CP,1,AZ,8,9,10,11,14            ! COUPLE INTERNAL NODES
CP,1,AZ,17,20,23,26
CP,1,AZ,27,28,29
NSLE                            ! SELECT ONLY NODES USED IN MODEL
D,ALL,UX,0                      ! CONSTRAIN ALL HORIZONTAL DISPLACEMENTS
D,ALL,TEMP,0                    ! CONSTRAIN UNUSED TEMP DOF
ESEL,S,MAT,,1                   ! SELECT KEEPER ELEMENTS
NSEL,S,LOC,Y,4E-2               ! SELECT NODES AT BOTTOM SURFACE
SF,ALL,MXWF                     ! APPLY MAXWELL PRESSURE SURFACE
NSEL,ALL
ESEL,ALL
FINISH
/SOLU
NLGEOM,ON                       ! ACTIVATE LARGE DEFLECTION
CNVTOL,F                        ! SET FORCE CONVERGENCE (USE DEFAULTS)
CNVTOL,CSG                      ! SET CSG CONVERGENCE (.001% OF DEFAULT)
SOLVE
FINISH
/POST1
NSEL,S,LOC,Y,4e-2
PRNSOL,U,COMP                   ! PRINT NODAL DISPLACEMENTS
*GET,Y1,NODE,25,U,Y
*SET,Y,ABS(Y1)
ESEL,S,MAT,,3
NSLE
PRNSOL,B,COMP                   ! PRINT NODAL FLUX DENSITY IN PERMANENT MAGNET
*GET,B,NODE,2,B,X
NSEL,ALL
ESEL,S,MAT,,2,4                 ! SELECT ONLY ELEMENTS OF IRONAND KEEPER
/EDGE,1,1
/DSCALE,1,1                     ! TRUE SCALING OPTION
PLDISP,1                        ! DISPLAY DEFLECTED AND UNDEFLECTED SHAPE
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'DEFL ','MFLUX '
LABEL(1,2) = 'm','T'
*VFILL,VALUE(1,1),DATA,1.5E-3,.2496
*VFILL,VALUE(1,2),DATA,Y,B
*VFILL,VALUE(1,3),DATA,ABS(Y/1.5E-3),ABS(B/.2495)
/COM
/OUT,vm171,vrt
/COM,------------------- VM171 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm171,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM170 Input Listing 		Up / Home Next
VM172 Input Listing


VM172 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM172
/PREP7
smrt,off
/TITLE, VM172, STRESS ANALYSIS OF A LONG, THICK, ISOTROPIC SOLENOID
/COM,   MAGNETO-SOLID MECHANICS, MOON, PG. 275, 2D ANALYSIS
ANTYPE,STATIC                       ! COUPLED FIELD ANALYSIS
ET,1,PLANE13,,,1                    ! PLANE13, AZ DOF, AXISYMMETRIC OPTION
ET,2,PLANE13,4,,1                   ! PLANE13, AZ,UX,UY DOF, AXISYMMETRIC OPTION
MP,EX,2,10.76E10                    ! SOLENOID MODULUS OF ELASTICITY
MP,NUXY,2,.35                       ! SOLENOID POISSON RATIO
EMUNIT,MKS                          ! MKS UNITS
MP,MURX,1,1                         ! RELATIVE PERMEABILITY=1.0
MP,MURX,2,1
K,1
K,2,1E-2
K,3,2E-2
L,1,2
LESIZE,1,,,5
L,2,3
LESIZE,2,,,20
LGEN,2,ALL,,,,2E-3
A,1,2,5,4                           ! AREA 1=AIR
A,2,3,6,5                           ! AREA 2=SOLENOID
ASEL,S,AREA,,2
AATT,2,,2
ASEL,ALL
ESIZE,,1
MSHK,2                    ! MAPPED AREA MESH IF POSSIBLE
MSHA,0,2D                 ! USING QUADS
AMESH,ALL
ESEL,S,MAT,,2
NSLE,S
NSEL,R,LOC,Y,2E-3
CP,1,UY,ALL                         ! COUPLE SOLENOID NODAL UY DISP.
NSEL,S,LOC,X,2E-2                      ! SELECT NODES AT OUTER RADIUS
CP,2,AZ,ALL                         ! COUPLE AZ TO ENSURE FLUX-PARALLEL B.C.
FINISH
/SOLU
NSEL,S,LOC,X,0
D,ALL,AZ,0                          ! SET FLUX PARALLEL B.C.
ESEL,S,MAT,,2
BFE,ALL,JS,,,,1E+6                    ! APPLY CURRENT DENSITY LOAD
NSLE
NSEL,R,LOC,Y,0
DSYM,SYMM,2                         ! APPLY STRUCTURAL SYMMETRY B.C.
NSEL,ALL
ESEL,ALL
KBC,1                               ! STEP BOUNDARY CONDITIONS
OUTRES,,LAST
SOLVE
FINISH
/POST1
SET,1
ESEL,S,MAT,,2                       ! SELECT SOLENOID NODES AND ELEMENTS
NSLE
/AXLAB,X,DISTANCE
/AXLAB,Y,STRESS - 2-D MODEL
/GTHK,AXIS,2
!/YRANGE,0,150
PATH,COIL1,2,,48                     ! DEFINE PATH WITH NAME = "COIL1"
PPATH,1,2                           ! DEFINE PATH POINTS BY NODE
PPATH,2,13
PDEF,SZ,S,Z
PDEF,BY,B,Y
!/YRANGE,500,1500
PLPATH,SZ                           ! DISPLAY CIRCUM STRESS THRU SOLENOID
!/YRANGE,0,125
/AXLAB,Y,FLUX DENSITY - 2-D MODEL
PLPATH,BY                           ! DISPLAY AXIAL FLUX DENSITY THRU SOLENOID
NSEL,S,LOC,X,1e-2
NSEL,A,LOC,X,1.3e-2
NSEL,A,LOC,X,1.7e-2
PRNSOL,B,COMP                       ! PRINT AXIAL FLUX DENSITY
PRNSOL,S,COMP                       ! PRINT COMPONENT STRESSES
*GET,B1,NODE,7,B,SUM
*GET,B2,NODE,19,B,SUM
*GET,B3,NODE,27,B,SUM
*GET,S1,NODE,7,S,Z
*GET,S2,NODE,19,S,Z
*GET,S3,NODE,27,S,Z
*DIM,LABEL,CHAR,6,2
*DIM,VALUE,,6,3
LABEL(1,1) = 'B, T ','B, T ','B, T ','PRS ','PRS ','PRS '
LABEL(1,2) = 'R=1E-2','R=1.3E-2','R=1.7E-2','R=1E-2','R=1.3E-2','R=1.7E-2'
*VFILL,VALUE(1,1),DATA,0.01257,8.796E-3,3.77E-3,146.7,97.79,62.44
*VFILL,VALUE(1,2),DATA,B1,B2,B3,S1,S2,S3
V1=B1/0.01257
V2=B2/8.796E-3
V3=B3/3.77E-3
V4=S1/146.7
V5=S2/97.79
V6=S3/62.44
*VFILL,VALUE(1,3),DATA,V1,V2,V3,V4,V5,V6
SAVE,TABLE_1
FINISH
/CLEAR,NOSTART

/PREP7
smrt,off
/TITLE, VM172, STRESS ANALYSIS OF A LONG, THICK, ISOTROPIC SOLENOID
/COM,   MAGNETO-SOLID MECHANICS, MOON, PG. 275, 3D ANALYSIS
ANTYPE,STATIC                       ! COUPLED FIELD ANALYSIS
ET,1,62                             ! MAGNETO-STRUCTURAL ELEMENT
ET,2,97                             ! MAGNETIC FIELD ELEMENT
ET,3,47                             ! INFINITE ELEMENT
MP,EX,2,10.76E10                    ! SOLENOID MODULUS OF ELASTICITY
MP,NUXY,2,.35                       ! SOLENOID POISSON RATIO
EMUNIT,MKS                          ! MKS UNITS
MP,MURX,1,1                         ! RELATIVE PERMEABILITY=1.0
MP,MURX,2,1
K,1                                 ! CREATE 2-D MESH
K,2,1E-2
K,3,2E-2
L,1,2
LESIZE,1,,,5
L,2,3
LESIZE,2,,,20
LGEN,2,ALL,,,,,2E-3
A,1,2,5,4                           ! AREA 1=AIR
A,2,3,6,5                           ! AREA 2=SOLENOID
ESIZE,,1
MSHK,2                              ! MAPPED AREA MESH IF POSSIBLE
MSHA,0,2D                           ! USING QUADS
TYPE,3                              ! MESH WITH INFIN47
AMESH,ALL
TYPE,2                              ! ASSIGN 3-D ELEMENT TYPE
MAT,1
ESIZE,,2                            ! TWO DIVISIONS FOR SOLID ELEMENTS
VROTAT,1,,,,,,1,4,10,1              ! ROTATE 10 DEGREES
TYPE,1
MAT,2
VROTAT,2,,,,,,1,4,10,1
NUMMRG,NODE                         ! MERGE COINCIDENT NODES
ACLEAR,1,2                          ! CLEAR INFIN47 ELEMENT MESH
CSYS,1
NROTAT,ALL                          ! ROTATE NODES TO CYLINDRICAL COORDINATES
ESEL,S,MAT,,2
NSLE
NSEL,R,LOC,Z,2E-3
CP,1,UZ,ALL                         ! COUPLE SOLENOID NODAL UZ DISP.
ESEL,ALL
NSEL,S,LOC,X,2E-2                      ! SELECT NODES AT OUTER RADIUS
CP,2,AY,ALL                         ! COUPLE AY TO ENSURE FLUX-PARALLEL COND.
FINISH
/SOLU
NSEL,S,LOC,X,0
D,ALL,AX,0,,,,AY,AZ                 ! FLUX-PARALLEL ALONG SOLENOID AXIS
ESEL,S,MAT,,2
BFE,ALL,JS,,,1E+6                     ! APPLY CURRENT DENSITY LOAD
NSLE,S
NSEL,R,LOC,Z,0
D,ALL,UZ,0                          ! APPLY STRUCTURAL SYMMETRY B.C. TO SOLENOID
NSLE,S
NSEL,R,LOC,Y,0
D,ALL,UY,0
NSLE,S
NSEL,R,LOC,Y,10
D,ALL,UY,0
NSEL,ALL
ESEL,ALL
D,ALL,AX,0,,,,AZ                    ! ONLY AY REQUIRED FOR AXISYM. FIELD
KBC,1                               ! STEP BOUNDARY CONDITIONS
OUTRES,,LAST
CNVTOL,F,1E-3		            ! DEFINE FORCE CONVERGENCE VALUE
SOLVE
FINISH
/POST1
SET,LAST
ESEL,S,MAT,,2                       ! SELECT SOLENOID NODES AND ELEMENTS
NSLE
/AXLAB,X,DISTANCE
/AXLAB,Y,STRESS - 3-D MODEL
/GTHK,AXIS,2
PATH,COIL2,2,,48                      ! DEFINE PATH WITH NAME = "COIL2"
PPATH,1,2
PPATH,2,13
RSYS,1
PDEF,SY,S,Y
PDEF,BZ,B,Z
!/YRANGE,500,1500
PLPATH,SY                           ! DISPLAY CIRCUM STRESS THRU SOLENOID
!/YRANGE,0,125
/AXLAB,Y,FLUX DENSITY - 3-D MODEL
PLPATH,BZ                           ! DISPLAY AXIAL FLUX DENSITY THRU SOLENOID
NSEL,S,LOC,X,1E-2
NSEL,A,LOC,X,1.3E-2
NSEL,A,LOC,X,1.7E-2
NSEL,R,LOC,Y,0
PRNSOL,B,COMP                       ! PRINT AXIAL FLUX DENSITY
PRNSOL,S,COMP                       ! PRINT COMPONENT STRESSES
*GET,B1,NODE,7,B,SUM
*GET,B2,NODE,19,B,SUM
*GET,B3,NODE,27,B,SUM
*GET,S1,NODE,7,S,Y
*GET,S2,NODE,19,S,Y
*GET,S3,NODE,27,S,Y
*DIM,LABEL,CHAR,6,2
*DIM,VALUE,,6,3
LABEL(1,1) = 'B, T ','B, T ','B, T ','PRS ','PRS ','PRS '
LABEL(1,2) = 'R=1E-2','R=1.3E-2','R=1.7E-2','R=1E-2','R=1.3E-2','R=1.7E-2'
*VFILL,VALUE(1,1),DATA,0.01257,8.796E-3,3.77E-3,146.7,97.79,62.44
*VFILL,VALUE(1,2),DATA,B1,B2,B3,S1,S2,S3
V1=B1/0.01257
V2=B2/8.796E-3
V3=B3/3.77E-3
V4=S1/146.7
V5=S2/97.79
V6=S3/62.44
*VFILL,VALUE(1,3),DATA,V1,V2,V3,V4,V5,V6
SAVE,TABLE_2
RESUME,TABLE_1
/COM
/OUT,vm172,vrt
/COM,------------------- VM172 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,PRESSURES HAVE UNITS OF N/M**2
/COM,
/COM,RESULTS USING PLANE13:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',e12.5,'  ',e12.5,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,RESULTS USING SOLID62/97:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',e12.5,'  ',e12.5,'   ',1F5.3)
/COM,-----------------------------------------------------------
/COM,
/OUT
FINISH
*LIST,vm172,vrt

/DELETE,TABLE_1
/DELETE,TABLE_2

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM171 Input Listing 		Up / Home Next
VM173 Input Listing


VM173 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM173
/PREP7
/TITLE, VM173, CENTERLINE TEMPERATURE OF AN ELECTRICAL WIRE
C***      HEAT, MASS AND MOMENTUM TRANS., ROHSENOW AND CHOI, 2ND. PR., PAGE 106,
C***      EX. 6.5, USING SOLID5 ELEMENTS
ET,1,SOLID5,1                    ! SOLID5, TEMP,VOLT,MAG DOF OPTION
MP,KXX,1,13                      ! THERMAL CONDUCTIVITY
MP,RSVX,1,8.983782E-8            ! ELECTRICAL RESISTIVITY
CSYS,1
N,1,1E-10,-5                     ! MOVE AWAY FROM ORIGIN FOR THETA SPEC.
N,6,.03125,-5
FILL
NGEN,2,10,1,6,1,,10              ! MODEL 10 DEG. SECTOR
NGEN,2,20,1,16,1,,,-(1/12)       ! ARBITRARY Z-LENGTH OF 1 INCH
NUMMRG,NODE                      ! MERGE COINCIDENT NODES AT ORIGIN
E,2,12,1,1,22,32,21,21           ! GENERATE ELEMENTS
E,2,3,13,12,22,23,33,32
EGEN,4,1,2
CP,1,TEMP,1,21                   ! COUPLING TO ENSURE AXIAL SYMMETRY
CP,2,TEMP,2,12,22,32             ! COUPLING TO ENSURE CIRCUMFERENTIAL SYMMETRY
CPSGEN,5,1,2
NSEL,S,LOC,Z,0
D,ALL,VOLT,0                     ! SET VOLTAGES
NSEL,INVE
D,ALL,VOLT,-(.1/12)              ! .1 VOLT/FT OVER 1 IN LENGTH
NSEL,S,LOC,X,.03125
SF,ALL,CONV,5,70
NSEL,ALL
FINISH
/SOLU
SOLVE
FINISH
/POST1
NSEL,S,LOC,X,0
PRNSOL,TEMP                      ! RESULTS AT CENTERLINE
*GET,T,NODE,1,TEMP
NSEL,S,LOC,X,.03125
PRNSOL,TEMP                      ! RESULTS AT OUTER RADIUS
*GET,TEMP,NODE,6,TEMP        ! GET TEMPERATURE AT SURFACE NODE
PI=2*ASIN(1)
LENG=2*(0.375/12)*SIN(PI/36) ! LENGTH ALONG 10 DEG ON OUTER FACE
AREA=LENG*36                 ! COMPUTE AREA OF OUTER FACE (360 DEG)
HRATE=AREA*5.0*(TEMP-70)     ! TOTAL HEAT DISSIPATION RATE
*status,parm                      ! SHOW PARAMETER STATUS
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'T(CL) ','T(S) ','Q '
LABEL(1,2) = 'DEG F','DEG F','BTU/hr/ft'
*VFILL,VALUE(1,1),DATA,419.9,417.9,341.5
*VFILL,VALUE(1,2),DATA,T,TEMP,HRATE
*VFILL,VALUE(1,3),DATA,ABS(T/419.9),ABS(TEMP/417.9),ABS(HRATE/341.5)
/COM
/OUT,vm173,vrt
/COM,------------------- VM173 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT

FINISH
*LIST,vm173,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM172 Input Listing 		Up / Home Next
VM174 Input Listing


VM174 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM174
/PREP7
MP,PRXY,,0.3
MP,PRXY,,0.3
SMRT,OFF
/TITLE, VM174, BIMETALLIC BEAM UNDER THERMAL LOAD
/COM, THEORY OF THERMAL STRESS, BOLEY AND WEINER,
/COM, 1985 PRINTING, PG. 429
ANTYPE,STATIC                   ! COUPLED FIELD STATIC ANALYSIS
NLGEOM,ON                       ! LARGE DEFLECTION
ET,1,PLANE13,4,,2               ! 2-D COUPLED FIELD SOLID, PLANE STRESS
MP,EX,1,10E6
MP,EX,2,10E6
MP,ALPX,1,14.5E-6
MP,ALPX,2,2.5E-6
MP,KXX,1,5                      ! THERMAL CONDUCTIVITY
MP,KXX,2,5
MP,PRXY,1,0.3
MP,PRXY,2,0.3
K,1                             ! DEFINE GEOMETRY
K,2,5
KGEN,3,1,2,1,,.05
L,1,2
*REPEAT,3,2,2
LESIZE,ALL,,,5
A,1,2,4,3
AATT,2
A,3,4,6,5
ESIZE,,1
AMESH,ALL
NSEL,S,LOC,X,0
NSEL,R,LOC,Y,.05
D,ALL,UY
NSEL,S,LOC,Y,.1
D,ALL,TEMP,400.0                ! APPLY TOP SURFACE TEMPERATURE
NSEL,S,LOC,Y,0
D,ALL,TEMP,400.0                ! APPLY BOTTOM SURFACE TEMPERATURE
NSEL,S,LOC,X,5
DSYM,SYMM,0,X
NSEL,ALL
FINISH
/SOLU
CNVTOL,F,,,,0.1                 ! CONVERGENCE BASED ON FORCE ONLY
SOLVE
FINISH
/POST1
SET,1
/DSCALE,1,1                     ! TRUE SCALING OPTION
PLDISP,1                        ! DISPLAY DEFLECTED AND UNDEFLECTED SHAPE
NSEL,S,LOC,X,5
NSEL,R,LOC,Y,.05
PRNSOL,U,COMP                   ! PRINT DISPLACEMENTS
NPOST=NODE(5,0.05,0)
*GET,Y,NODE,NPOST,U,Y
PRNSOL,TEMP                     ! PRINT TEMPERATURES
*GET,T,NODE,NPOST,TEMP
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'Y ','TEMP,'
LABEL(1,2) = 'IN',' F'
*VFILL,VALUE(1,1),DATA,.9,400
*VFILL,VALUE(1,2),DATA,Y,T
*VFILL,VALUE(1,3),DATA,ABS(Y/.9),ABS(T/400)
/COM
/OUT,VM174,VRT
/COM,------------------- VM174 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,PLANE13
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/OUT
FINISH
!
LABEL=
VALUE=
!
/PREP7
DDELE,ALL,ALL
ACLEAR,ALL
ET,1,PLANE223,11,,0             ! 2-D COUPLED FIELD SOLID, PLANE STRESS
AMESH,ALL
NSEL,S,LOC,X,0
NSEL,R,LOC,Y,.05
D,ALL,UY
NSEL,S,LOC,Y,.1
D,ALL,TEMP,400.0                ! APPLY TOP SURFACE TEMPERATURE
NSEL,S,LOC,Y,0
D,ALL,TEMP,400.0                ! APPLY BOTTOM SURFACE TEMPERATURE
NSEL,S,LOC,X,5
DSYM,SYMM,0,X
NSEL,ALL
FINISH
/SOLU
CNVTOL,F,,,,0.1                 ! CONVERGENCE BASED ON FORCE ONLY
SOLVE
FINISH
/POST1
SET,1
/DSCALE,1,1                     ! TRUE SCALING OPTION
PLDISP,1                        ! DISPLAY DEFLECTED AND UNDEFLECTED SHAPE
NSEL,S,LOC,X,5
NSEL,R,LOC,Y,.05
PRNSOL,U,COMP                   ! PRINT DISPLACEMENTS
NPOST=NODE(5,0.05,0)
*GET,Y,NODE,NPOST,U,Y
PRNSOL,TEMP                     ! PRINT TEMPERATURES
*GET,T,NODE,NPOST,TEMP
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'Y ','TEMP,'
LABEL(1,2) = 'IN',' F'
*VFILL,VALUE(1,1),DATA,.9,400
*VFILL,VALUE(1,2),DATA,Y,T
*VFILL,VALUE(1,3),DATA,ABS(Y/.9),ABS(T/400)
/COM
/OUT,VM174,VRT,,APPEND
/COM,PLANE223
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
*LIST,VM174,VRT

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM173 Input Listing 		Up / Home Next
VM175 Input Listing


VM175 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM175
/PREP7
SMRT,OFF
/TITLE, VM175, NATURAL FREQUENCY OF A PIEZOELECTRIC TRANSDUCER
/COM,         COMPUTATION OF THE VIBRATIONAL MODES FOR PIEZOELECTRIC
/COM,         ARRAY TRANSDUCERS USING A MIXED FINITE ELEMENT
/COM,         PERTURBATION METHOD, BOUCHER, D., LAGIER, M., MAERFELD,
/COM,         C., IEEE TRANS. SONICS AND ULTRASONICS, VOL. SU-28,
/COM,         NO. 5, SEPTEMBER 1981., PG. 318-330
/COM,
ET,1,SOLID5,3                      ! 3-D COUPLED-FIELD SOLID, PIEZO OPTION
MP,DENS,3,7500                     ! DENSITY
MP,PERX,3,804.6                    ! PERMITTIVITY (X AND Y DIRECTION)
MP,PERZ,3,659.7                    ! PERMITTIVITY (Z DIRECTION)
TB,PIEZ,3                          ! DEFINE PIEZ. TABLE
TBDATA,16,10.5                     ! E61 PIEZOELECTRIC CONSTANT
TBDATA,14,10.5                     ! E52 PIEZOELECTRIC CONSTANT
TBDATA,3,-4.1                      ! E13 PIEZOELECTRIC CONSTANT
TBDATA,6,-4.1                      ! E23 PIEZOELECTRIC CONSTANT
TBDATA,9,14.1                      ! E33 PIEZOELECTRIC CONSTANT
TB,ANEL,3                          ! DEFINE STRUCTURAL TABLE
TBDATA,1,13.2E10,7.1E10,7.3E10     ! INPUT [C] MATRIX
TBDATA,7,13.2E10,7.3E10
TBDATA,12,11.5E10
TBDATA,16,3.0E10
TBDATA,19,2.6E10
TBDATA,21,2.6E10

L=10E-3                            ! SET LENGTH
W=10E-3                            ! SET WIDTH
H=20E-3                            ! SET HEIGHT
K,1
K,2,L
K,3,L,W
K,4,,W
KGEN,2,1,4,1,,,H
L,1,5
LESIZE,1,,,4
ESIZE,,2
MSHK,1                    ! MAPPED VOLUME MESH
MSHA,0,3D                 ! USING HEX
V,1,2,3,4,5,6,7,8
MAT,3
VMESH,1
NSEL,S,LOC,X,0
DSYM,SYMM,X                        ! SYMMETRY BOUNDARY CONSTRAINTS
NSEL,S,LOC,Y,0
DSYM,SYMM,Y
NSEL,ALL
FINISH
/SOLU
ANTYP,MODAL
MODOPT,LANB,10,50000,150000        ! BLOCK LANCZOS, EXTRACT 10 MODES
MXPAND,10                          ! EXPAND ALL MODES
/COM,                              ** RESONANCE FREQUENCY B.C.'S **
NSEL,S,LOC,Z,0
D,ALL,VOLT,0                       ! GROUND BOTTOM ELECTRODE
NSEL,S,LOC,Z,H
D,ALL,VOLT,0                       ! SHORT-CIRCUIT TOP ELECTRODE
NSEL,ALL
SOLVE
*GET,F1,MODE,2,FREQ
*GET,F2,MODE,5,FREQ
FINISH
/POST1
/VIEW,1,1,1,1
/VUP,,Z
/TYPE,,4
*DO,I,1,10
SET,LS,I
PLDISP,1                           ! DISPLAY ANTI-RESONANCE MODE SHAPES
*ENDDO
FINISH
/SOLU
ANTYPE,MODAL
MODOPT,LANB,10,50000,150000        ! BLOCK LANCZOS, EXTRACT 10 MODES
MXPAND,10
/COM,                              ** ANTI-RESONANCE FREQUENCY B.C.'S **
NSEL,S,LOC,Z,H
DDELE,ALL,VOLT                     ! DELETE VOLT CONSTRAINTS ON TOP ELECTRODE
CP,1,VOLT,ALL                      ! COUPLE VOLT DOF ON TOP ELECTRODE
NSEL,ALL
SOLVE
*GET,F3,MODE,4,FREQ
*GET,F4,MODE,8,FREQ
FINISH
/POST1
*DO,I,1,10
SET,LS,I
PLDISP,1                           ! DISPLAY RESONANCE MODE SHAPES
*ENDDO
*status,parm
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'F1 ','F2 '
LABEL(1,2) = 'Hz','Hz'
*VFILL,VALUE(1,1),DATA,66560,88010
*VFILL,VALUE(1,2),DATA,F1,F2
*VFILL,VALUE(1,3),DATA,ABS(F1/66560),ABS(F2/88010)
/COM
/OUT,vm175,vrt
/COM,------------------- VM175 RESULTS COMPARISON -------------
/COM,
/COM, SHORT CIRCUIT
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/COM,
/NOPR
*VFILL,VALUE(1,1),DATA,81590,93410
*VFILL,VALUE(1,2),DATA,F3,F4
*VFILL,VALUE(1,3),DATA,ABS(F3/81590),ABS(F4/93410)
/GOPR
/COM, OPEN CIRCUIT
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm175,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM174 Input Listing 		Up / Home Next
VM176 Input Listing


VM176 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM176
/PREP7
SMRT,OFF
/TITLE, VM176, FREQUENCY RESPONSE OF ELECTRICAL INPUT ADMITTANCE FOR A
/COM           PIEZOELECTRIC TRANSDUCER
/COM    KAGAWA AND YAMABUCHI, FINITE ELEMENT SIMULATION OF A COMPOSITE
/COM    PIEZOELECTRIC ULTRASONIC TRANSDUCER, IEEE TRANS. SONICS AND
/COM    ULTRASONICS, VOL. SU-26, NO.2, MARCH 1979
ET,1,SOLID5,0                    ! 3-D COUPLED-FIELD SOLID
MP,DENS,3,7730                   ! NEPEC DENSITY
MP,EX,2,7.03E10                  ! ALUMINUM MODULUS OF ELASTICITY
MP,NUXY,2,.345                   ! ALUMINUM POISSON RATIO
MP,DENS,2,2690                   ! ALUMINUM DENSITY
MP,EX,4,10E9                     ! ADHESIVE MODULUS OF ELASTICITY
MP,DENS,4,1700                   ! ADHESIVE DENSITY
MP,NUXY,4,.38                    ! ADHESIVE POISSON RATIO

TB,PIEZ,3                        ! DEFINE PIEZO. TABLE FOR NEPEC
TBDATA,3,-6.10                   ! PIEZO MATRIX CONSTANTS
TBDATA,6,-6.10
TBDATA,9,15.70
MP,PERX,3,993.55                 ! PERMITTIVITY
TB,ANEL,3                        ! DEFINE STRUCTURAL TABLE FOR NEPEC
TBDATA,1,12.80E10,6.8E10,6.6E10  ! INPUT [C] MATRIX FOR NEPEC
TBDATA,7,12.8E10,6.6E10
TBDATA,12,11.0E10
TBDATA,16,2.1E10
TBDATA,19,2.1E10
TBDATA,21,2.1E10

/COM                             ** DEFINE GEOMETRIC PARAMETERS **
R=27.5E-3                        ! DISK RADIUS
HA=15.275E-3                     ! ALUMINUM 1/2 HEIGHT LOCATION
HN=5E-3                          ! NEPEC 1/2 HEIGHT
HB=5.275E-3                      ! ADHESIVE MATERIAL HEIGHT
RDIV=5                           ! NO. ELEMENTS ALONG RADIUS
HADV=3                           ! NO. ELEMENTS ALONG ALUMINUM HEIGHT
HNDV=2                           ! NO. ELEMENTS ALONG NEPEC HEIGHT
HBDV=1                           ! NO. ELEMENTS ALONG ADHESIVE HEIGHT
ZRO=1E-5                         ! DEFINE ZERO FOR KEYPOINT LOCATION
CSYS,1
K,1,ZRO,-5                       ! DEFINE KEYPOINTS FOR MESH, WEDGE ELEMENTS
K,2,R,-5                         ! ARE NOT ALLOWED BY MESH MODULE SO KEYPOINTS
K,3,R,-5,HN                      ! ARE DEFINED NEAR ZERO AND LATER MERGED
K,4,ZRO,-5,HN
K,5,R,-5,HB
K,6,ZRO,-5,HB
K,7,R,-5,HA
K,8,ZRO,-5,HA
KGEN,2,1,8,1,,10
L,2,3                            ! DEFINE LINE SEGMENTS
LESIZE,1,,,HNDV
L,3,5
LESIZE,2,,,HBDV
L,5,7
LESIZE,3,,,HADV
L,2,10
LESIZE,4,,,1
V,11,3,4,12,10,2,1,9             ! CREATE NEPEC VOLUME
VATT,3                           ! ASSIGN MATERIAL ATTRIBUTES
V,13,5,6,14,11,3,4,12            ! CREATE ADHESIVE VOLUME
VSEL,S,VOLU,,2
VATT,4                           ! ASSIGN MATERIAL ATTRIBUTES
V,15,7,8,16,13,5,6,14            ! CREATE ALUMINUM VOLUME
VSEL,S,VOLU,,3
VATT,2                           ! ASSIGN MATERIAL ATTRIBUTES
VSEL,ALL
MSHK,1                           ! MAPPED VOLUME MESH
MSHA,0,3D                        ! USING HEX
ESIZE,,RDIV
SHPP,OFF                         ! TURN OFF SHAPE CHECKING TO ALLOW
!                                  FOR WEDGE SHAPE MESH OF SOLIDS
VMESH,ALL                        ! MESH ALL VOLUMES
NUMMRG,NODE                      ! MERGE NODES TO CREATE WEDGE ELMENTS
!                                  AT AXIS
NSEL,S,LOC,Y,-5
DSYM,SYMM,Y,1                    ! SYMMETRY B.C. AT THETA=-5 DEG.
NSEL,S,LOC,Y,5
DSYM,SYMM,Y,1                    ! SYMMETRY B.C. AT THETA=5 DEG.
NSEL,S,LOC,X,0,.001
DSYM,SYMM,X,1                    ! SYMMETRY B.C. AT X=0
NSEL,S,LOC,Z,0
DSYM,SYMM,Z,1                    ! SYMMETRY B.C. AT Z=0
NSEL,S,LOC,Z,HN                  ! SELECT NODES AT TOP ELECTRODE
CP,1,VOLT,ALL                    ! COUPLE VOLT DOF ON ELECTRODE
*GET,N1,NODE,,NUM,MIN            ! GET NODE ON ELECTRODE
D,N1,VOLT,-0.5                   ! APPLY -0.5 VOLT TO TOP ELECTRODE
NSEL,S,LOC,Z,0                   ! SELECT NODES AT SYMMETRY PLANE
D,ALL,VOLT,0.0                   ! SET VOLT TO ZERO AT SYMMETRY PLANE
NSEL,ALL
FINISH
/SOLU
EQSLV,SPARSE			 ! USING SPARSE MATRIX SOLVER
ANTYPE,HARMIC                    ! PERFORM HARMONIC ANALYSIS
OUTRES,ALL,ALL                   ! STORE EVERY SUBSTEP
HARFRQ,5000,35000                ! SOLVE FOR FREQ=20KHZ AND 35KHZ
NSUBST,2
KBC,1                            ! STEP BOUNDARY CONDITIONS
EQSLV,ICCG                       ! ICCG SOLVER
SOLVE
HARFRQ,39000,45000               ! SOLVE FOR FREQ=42KHZ AND 45KHZ
SOLVE
HARFRQ,46000,54000               ! SOLVE FOR FREQ=50KHZ AND 54KHZ
SOLVE
FINISH
/POST26
RFORCE,2,N1,AMPS                 ! STORE CHARGES ON ELECTRODE
PI2=(3.14159*2.)
PROD,3,2,1,,MHOS,,,PI2           ! CALCULATE ADMITTANCE (10 DEG. SLICE)
PROD,4,3,,,MMHO,,,36000          ! CALCULATE TOTAL ADMITTANCE (MMHOS)
PRVAR,4                          ! PRINT ELECTRICAL ADMITTANCE VS. FREQUENCY
*GET,F1,VARI,4,RTIME,20000
*GET,F2,VARI,4,RTIME,35000
*GET,F3,VARI,4,RTIME,42000
*GET,F4,VARI,4,RTIME,45000
*GET,F5,VARI,4,RTIME,50000
*GET,F6,VARI,4,RTIME,54000
*status,parm
*DIM,LABEL,CHAR,6,2
*DIM,VALUE,,6,3
LABEL(1,1) = 'Y MMHOS ','Y MMHOS','Y MMHOS ','Y MMHOS ','Y MMHOS ','Y MMHOS '
LABEL(1,2) = '@20 kHz','@35 kHz','@42 kHz','@45 kHz','@50 kHz','@54 kHz'
*VFILL,VALUE(1,1),DATA,.41,.9,2,0,.39,.65
*VFILL,VALUE(1,2),DATA,F1,F2,F3,F4,F5,F6
*VFILL,VALUE(1,3),DATA,ABS(F1/.41),ABS(F2/0.9),ABS(F3/2),0,ABS(F5/.39),ABS(F6/0.65)
/COM
/OUT,vm176,vrt
/COM,------------------- VM176 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT

FINISH
*LIST,vm176,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM175 Input Listing 		Up / Home Next
VM177 Input Listing


VM177 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM177
/PREP7
/TITLE, VM177, NATURAL FREQUENCY OF SUBMERGED RING
/COM,          REF. "FINITE ELEMENT SOLUTION OF FLUID STRUCTURE
/COM,          INTERACTION PROBLEMS"  SCHROEDER & MARCUS
/COM,          SHOCK & VIBRATION SYMPOSIUM, SAN DIEGO, 1975
/COM,          USING FLUID30 AND SHELL63 AND FULL HARMONIC ANALYSIS (ANTYPE=3)
ET,1,FLUID30                   ! FLUID ELEMENTS INTERFACING WITH STRUCTURE
ET,2,SHELL63                   ! SHELL ELEMENTS TO MODEL STEEL RING
ET,3,FLUID30,,1                ! NON-INTERFACING FLUID ELEMENTS
R,1,1
R,2,0.25
MP,DENS,1,9.6333E-5
MP,SONC,1,57480.0              ! SPEED OF SOUND IN WATER
MP,EX,2,30.E6
MP,DENS,2,7.4167E-4
MP,NUXY,2,0.3
CSYS,1
N,1,10.0
N,7,30.0
FILL
NGEN,9,10,1,10,1,0,(90/8)
NGEN,2,100,1,99,1,0,0,1        ! DEFINE UPPER PLANE OF NODES
E,1,101,111,11,2,102,112,12
EGEN,6,1,-1
EGEN,8,10,-6
TYPE,2
REAL,2
MAT,2
E,1,101,111,11
EGEN,8,10,-1
NSEL,S,LOC,X,10.0
ESLN
ESEL,INVE
TYPE,3
REAL,1
MAT,1
EMODIF,ALL                     ! CHANGE ELEMENT TYPE TO TYPE 3
ESEL,ALL
NSEL,S,LOC,X,10
SF,ALL,FSI                     ! COUPLE STRUCTURAL MOTION & FLUID PRESS.
NSEL,ALL
D,7,PRES,0.0,,87,10            ! SET PRESSURE AT OUTER RADIUS TO ZERO
D,107,PRES,0.0,,187,10
NSEL,S,LOC,X,10.0
NSEL,R,LOC,Y,90.0
DSYM,SYMM,X
NSEL,S,LOC,X,10.0
NSEL,R,LOC,Y,0.0
DSYM,SYMM,Y
NSEL,ALL
D,1,UZ,0.0,,7,6
D,81,UZ,0.0,,87,6
F,1,FX,1.0                     ! EXCITE THE EVEN MODES OF VIBRATION
F,81,FY,0,1.0
FINISH
SAVE,MODEL
*CREATE,SOLVIT,MAC
/SOLU
ANTYPE,HARMIC                  ! FULL HARMONIC ANALYSIS
HARFRQ,36.59,36.64             ! SELECT FREQUENCY RANGE
NSUBST,5
KBC,1
OUTRES,,1
EQSLV,ICCG                     ! ICCG SOLVER
/OUT,SOLVE,LOG                 ! DIVERT PLATFORM DEPENDENT SOLVER OUTPUT
SOLVE
/OUT
FINISH
/POST26
NSOL,2,1,U,X
NSOL,3,41,U,X
NSOL,4,81,U,Y
PRVAR,2,3,4                    ! PRINT DISPLACEMENTS OF RING VS. FREQUENCY
FINISH
/POST1
SET,1,2
PLDISP,1
*GET,F1,ACTIVE,0,SET,FREQ
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'F, '
LABEL(1,2) = ' HZ'
*VFILL,VALUE(1,1),DATA,35.62
*VFILL,VALUE(1,2),DATA,F1
*VFILL,VALUE(1,3),DATA,ABS(F1/35.62 )
SET,1,2,,1
PLDISP,1
FINISH
*END
SOLVIT
SAVE,TABLE_1
/CLEAR, NOSTART                ! CLEAR DATABASE BEFORE STARTING PART 2
/PREP7
/COM, USING FLUID29 AND BEAM3 AND UNSYMMETRIC MATRIX MODAL ANALYSIS (ANTYPE=2)
ET,1,FLUID29                   ! FLUID ELEMENTS INTERFACING WITH STRUCTURE
ET,2,BEAM3                     ! BEAM ELEMENTS TO MODEL STEEL RING
ET,3,FLUID29,,1                ! NON-INTERFACING FLUID ELEMENTS
MP,EX,1,1
MP,DENS,1,9.6333E-5
MP,SONC,1,57480.0
MP,EX,2,30.E6
MP,DENS,2,7.4167E-4
MP,NUXY,2,0.3
R,1,1
R,2,.25,(.25**3)/12,.25
CSYS,1
N,1,10.0
N,7,30.0
FILL
NGEN,9,10,1,10,1,0,(90/8)
E,1,2,12,11                    ! DEFINE FLUID ELEMENTS INTERFACE WITH STRUCTURE
EGEN,6,1,-1
EGEN,8,10,-6
TYPE,2
MAT,2
REAL,2
E,1,11                         ! DEFINE BEAM ELEMENTS TO MODEL STEEL RING
EGEN,8,10,-1
ESEL,,TYPE,,2
NSLE
NSEL,R,LOC,Y,90
DSYM,SYMM,X                    ! APPLY SYMMETRY BOUNDARY CONDITION ON RING
NSLE
NSEL,R,LOC,Y,0
DSYM,SYMM,Y
ESEL,ALL
NSEL,S,LOC,X,10
ESLN
ESEL,INVE
TYPE,3
MAT,1
REAL,1
EMODIF,ALL                       ! DEFINE UNCOUPLED FLUID ELEMENTS
NSEL,ALL
ESEL,S,TYPE,,1                 ! DEFINE FLUID-STRUCTURE INTERFACE
NSEL,R,LOC,X,10
SF,ALL,FSI                     ! COUPLE STRUCTURAL MOTION & FLUID PRESS.
ESEL,ALL
NSEL,S,LOC,X,30
D,ALL,PRES,0.0                 ! SET PRESSURE AT OUTER RADIUS TO ZERO
NSEL,ALL
FINISH
/SOLU
ANTYPE,MODAL                   ! MODAL ANALYSIS
MODOPT,UNSYM,4,-100            ! SELECT UNSYMMETRIC MATRIX MODE EXTRACTION
MXPAND,,36.50,36.60            ! EXPAND THE MODES OVER A SELECTED FREQUENCY
SOLVE                          !  RANGE
FINISH
/POST1
SET,1,1
PLDISP,1
*GET,F2,ACTIVE,0,SET,FREQ
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'F, '
LABEL(1,2) = ' Hz'
*VFILL,VALUE(1,1),DATA,35.62
*VFILL,VALUE(1,2),DATA,F2
*VFILL,VALUE(1,3),DATA,ABS(F2/35.62 )
SAVE,TABLE_2
FINISH
/CLEAR, NOSTART                ! CLEAR DATABASE BEFORE STARTING PART 3
RESUME,MODEL
/PREP7
ET,2,SHELL181,,,2              ! SHELL ELEMENTS TO MODEL STEEL RING
FINISH
SOLVIT
SAVE,TABLE_3
/NOPR
RESUME,TABLE_1
/COM
/OUT,vm177,vrt
/COM,------------------- VM177 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,RESULTS USING FLUID30 & SHELL63
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,RESULTS USING FLUID29 & BEAM3
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/NOPR
RESUME,TABLE_3
/GOPR
/COM,
/COM,RESULTS USING FLUID30 & SHELL181
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm177,vrt
/DELETE,TABLE_1
/DELETE,TABLE_2
/DELETE,TABLE_3
/DELETE,SOLVIT,MAC

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM176 Input Listing 		Up / Home Next
VM178 Input Listing


VM178 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM178
/TITLE, VM178, PLANE POISEULEE FLOW
! FOUNDATIONS OF FLUID MECHANICS, S.W. YUAN, SECTION 8.36
/PREP7
smrt,off
ET,1,FLUID141                    ! FLUID ELEMENT
FLDATA,NOMI,DENS,1               ! DENSITY
FLDATA,NOMI,VISC,1               ! VISCOSITY
K,1,0                            ! GEOMETRY
K,2,10.
K,3,10.,2.
K,4, 0.,2.
L,1,2
LESIZE,1,,,8
L,2,3
LESIZE,2,,,6
L,3,4
LESIZE,3,,,8
L,4,1
LESIZE,4,,,6
A,1,2,3,4
AMESH,1
LSEL,S,LINE,,4                   ! SELECT LINE SEGMENT AT INLET
NSLL,S,1                         ! SELECT NODES ON INLET LINE SEGMENT
D,ALL,VY                         ! NO VELOCITY IN Y DIRECTION
D,ALL,PRES,0.1                   ! INLET PRESSURE = 0.1 PSI
LSEL,S,LINE,,2                   ! SELECT LINE SEGMENT AT OUTLET
NSLL,S,1
D,ALL,VY                         ! NO VELOCITY IN Y DIRECTION
D,ALL,PRES,0.0                   ! OUTLET PRESSURE = 0.0 PSI
LSEL,S,LINE,,1,3,2
NSLL,S,1
D,ALL,VX,,,,,VY                  ! NO SLIP BC AT CHANNEL EDGES
LSEL,S,LINE,,ALL
NSEL,S,NODE,,ALL
NSEL,S,LOC,X,10.                 ! GET NODE NUMBERS FOR PATH ENDPOINTS
NSEL,R,LOC,Y, 0.
*GET,NOD1,NDMX
NSEL,S,LOC,X,10.
NSEL,R,LOC,Y, 2.
*GET,NOD2,NDMX
NSEL,ALL
FINISH
/SOLU
/OUT,SCRATCH                     ! REDIRECT CONVERGENCE OUTPUT
FLDATA,ITER,EXEC,50              ! # OF ITERATIONS
SOLVE
/OUT
FINISH
/POST1
SET,1,1
/EDGE,1,1
PLVECT,V                         ! DISPLAY VELOCITY VECTORS
/EDGE,1,0
PATH,VXX,2,,48                   ! DEFINE PATH WITH NAME = "VXX"
PPATH,1,NOD1                     ! DEFINE PATH POINTS BY NODE
PPATH,2,NOD2
PDEF,VX,V,X
PRPATH,VX
/AXLAB,Y,VELOCITY
PLPATH,VX                        ! DISPLAY VELOCITY PROFILE
LSEL,S,LINE,,ALL
NSEL,S,NODE,,ALL
NSEL,S,LOC,X,10
NSEL,R,LOC,Y,1
*GET,NOD2,NDMX
*GET,V1,NODE,NOD2,V,X
LSEL,S,LINE,,ALL
NSEL,S,NODE,,ALL
NSEL,S,LOC,X,10
NSEL,R,LOC,Y,(1+(1/3))
*GET,NOD3,NDMX
*GET,V2,NODE,NOD3,V,X
LSEL,S,LINE,,ALL
NSEL,S,NODE,,ALL
NSEL,S,LOC,X,10
NSEL,R,LOC,Y,(1+(2/3))
*GET,NOD4,NDMX
*GET,V3,NODE,NOD4,V,X
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = '@ Y=','@ Y=','@ Y='
LABEL(1,2) = '1 in ','1.33 in','1.67 in'
*VFILL,VALUE(1,1),DATA,.005,.0044,.0028
*VFILL,VALUE(1,2),DATA,V1,V2,V3
*VFILL,VALUE(1,3),DATA,ABS(V1/.005),ABS(V2/.0044),ABS(V3/.0028)
FINISH
/DELETE,vm178,pfl
/DELETE,vm178,rsw
/OUT,vm178,vrt
/COM,------------------- VM178 RESULTS COMPARISON --------------
/COM,
/COM,
/COM,VX (in/sec)       |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm178,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM177 Input Listing 		Up / Home Next
VM179 Input Listing


VM179 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM179
/PREP7
/TITLE, VM179, DYNAMIC DOUBLE ROTATION OF A JOINTED BEAM
C***   REFERENCE -- ANY BASIC MECHANICS TEXT
ANTYPE,TRANS                ! FULL TRANSIENT DYNAMIC ANALYSIS
NLGEOM,ON                   ! LARGE DEFLECTION
SSTIF,OFF                   ! TURN OFF STRESS STIFFENING
NROPT,FULL,,OFF             ! USE FULL NEWTON-RAPHSON WITHOUT ADAPTIVE DESCENT
ET,1,COMBIN7,,1             ! JOINT LOCK-UP WHEN STOP ENGAGED
ET,2,BEAM4
R,1,1E6,1E6,1E6,1E7,0,.05   ! TF = .05
RMORE,0,.5,,,,0.08727       ! 5 DEG. UPPER LIMIT
R,2,1,1,1,1,1
MP,EX,1,70E9                ! ALUMINUM MATERIAL PROPERTIES
MP,DENS,1,1E-6
MP,NUXY,1,.35
BETAD,3.1831E-6             ! 1% DAMPING AT 1000 HZ
N,1
N,2,1
N,3,1
N,4,2
N,5,1,-1                    ! NODE 5 IS USED FOR ORIENTING JOINT
TYPE,1
REAL,1
E,2,3,5,5,1                 ! JOINT ELEMENT
TYPE,2
REAL,2
E,1,2                       ! BEAMS
E,3,4
D,1,UX,0,,,,UY,UZ,ROTX,ROTY ! ALLOW ONLY Z-ROTATION AT PINNED END
KBC,1
FINISH
/OUTPUT,SCRATCH
/SOLU
PRED,ON
CNVTOL,F, , , ,1.0
CNVTOL,M, , , ,1.0
NSUBST,5
F,1,MZ,.7854                ! BEGIN ROTZ WITH NON-ZERO ACCELERATION
TIME,.05
SOLVE
NSUBST,60
TIME,1               ! DELTA THETA-Z = 45 DEG. ( AT 1 SEC )
SOLVE
NSUBST,5
F,1,MZ,-.7854        ! SLOW ROTZ W/ "INSTANTANEOUS" REVERSAL OF APPLIED MOMENT
TIME,1.05
SOLVE
NSUBST,60
TIME,2               ! DELTA THETA-Z = 90 DEG. ( AT 2 SEC )
SOLVE
FINISH
/OUTPUT
/POST1
SET,2
PRNSOL,DOF
*GET,DX1,NODE,4,U,X
*GET,DY1,NODE,4,U,Y
*GET,RZ1,NODE,4,ROT,Z
ESEL,S,TYPE,,1
ETABLE,ROT_STAT,NMISC,1
ETABLE,ROTATE,NMISC,9
ESEL,ALL
PRETAB,ROTATE,ROT_STAT
SET,4
PRNSOL,DOF
*GET,DX2,NODE,4,U,X
*GET,DY2,NODE,4,U,Y
*GET,RZ2,NODE,4,ROT,Z
ESEL,S,TYPE,,1
ETABLE,REFL
ESEL,ALL
PRETAB,ROTATE,ROT_STAT
FINISH
PARSAV
/COPY,,rdb,,rest,rdb          ! SAVE THE FILES NEEDED FOR RESTART (NOT NEEDED
/COPY,,ldhi,,rest,ldhi        ! FOR STRAIGHT-THRU RUN)
/COPY,,r001,,rest,r001
/COPY,,rst,,rest,rst          ! NEEDED FOR CONTINUITY OF THE RESULTS FILE
/CLEAR,NOSTART                ! CLEAR THE DATABASE (TO SIMULATE RESTART)
/COM,
/COM,        -----     RESTART  ANALYSIS    -----
/COPY,rest,rdb,,file,rdb      ! COPY THE FILES NEEDED FOR RESTART (NOT NEEDED
/COPY,rest,ldhi,,file,ldhi    ! FOR STRAIGHT-THRU RUN)
/COPY,rest,r001,,file,r001
/COPY,rest,rst,,file,rst
/OUTPUT,SCRATCH
/SOLU
ANTYPE,,REST         ! USE RESTART ANALYSIS TO DEFINE MORE LOADSTEPS
NSUBST,5
F,1,MZ,0             ! REMOVE M1, ALLOW ROTZ MOTION TO STABILIZE
TIME,2.05
SOLVE
NSUBST,60
F,3,MX,.5            ! DELTA THETA-X = 5 DEG., THEN STOP ( AT 3 SEC )
TIME,3
SOLVE
FINISH
/OUTPUT
PARRES               ! RESTORE PARAMETERS FROM INITIAL RUN
/POST1
SET,LAST
PRNSOL,DOF
*GET,DX3,NODE,4,U,X
*GET,DY3,NODE,4,U,Y
*GET,DZ3,NODE,4,U,Z
*GET,RX3,NODE,4,ROT,X
*GET,RZ3,NODE,4,ROT,Z
ESEL,S,TYPE,,1
ETABLE,ROT_STAT,NMISC,1
ETABLE,ROTATE,NMISC,9
ESEL,ALL
PRETAB,ROTATE,ROT_STAT
*status,parm
*DIM,LABEL,CHAR,11,2
*DIM,VALUE,,11,3
LABEL(1,1) = 'DX T1 ','DY T1 ','AZ T1 ','DX T2 ','DY T2 '
LABEL(6,1) = 'AZ T2 ','DX T3 ','DY T3 ','DZ T3 ','AX T3 ','AZ T3 '
LABEL(1,2) = 'in','in','rad','in','in','rad','in','in','in'
LABEL(10,2) = 'RAD','RAD'
*VFILL,VALUE(1,1),DATA,-.5858,1.4142,.7854,-2,2,1.5708,-2,1.9962,.08716
*VFILL,VALUE(10,1),DATA,.08727,1.5708
*VFILL,VALUE(1,2),DATA,DX1,DY1,RZ1,DX2,DY2,RZ2,DX3,DY3,DZ3
*VFILL,VALUE(10,2),DATA,RX3,RZ3
V1 = ABS(DX1/.5858)
V2 = (DY1/1.4142)
V3 = (RZ1/.7854)
V4 = ABS(DX2/2)
V5 = (DY2/2)
V6 = (RZ2/1.5708)
V7 = ABS(DX3/2)
V8 = (DY3/1.9962)
*VFILL,VALUE(1,3),DATA,V1,V2,V3,V4,V5,V6,V7,V8
*VFILL,VALUE(9,3),DATA,(DZ3/.08716),(RX3/.08727),(RZ3/1.5708)
/COM
/OUT,vm179,vrt
/COM,------------------- VM179 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT

FINISH
*LIST,vm179,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM178 Input Listing 		Up / Home Next
VM180 Input Listing


VM180 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM180
/PREP7
smrt,off
/TITLE, VM180, BENDING OF A CURVED BEAM
C***    THEORY OF ELASTICITY, TIMOSHENKO & GOODIER, 3RD ED., P. 78
ANTYPE,STATIC        ! STATIC ANALYSIS
ET,1,PLANE183
ET,2,BEAM3
R,2,1,1,1            ! ARBITRARY BEAM ELEMENT REAL CONSTANTS
MP,EX,1,30E6
MP,NUXY,1,0
CSYS,1
K,1,3.5
K,2,3.5,90
KGEN,2,1,2,1,1.0
L,2,4                ! CREATE STIFFENING BEAM ELEMENTS
LESIZE,1,,,4
TYPE,2
REAL,2
LMESH,1
L,1,2                ! CREATE CURVED BEAM
LESIZE,2,,,25
L,3,4
LESIZE,3,,,25
ESIZE,,4
A,1,2,4,3
AATT,1,1,1
MSHAPE,1,2D
MSHKEY,0
AMESH,1
NROTAT,ALL
DK,1,ALL,,,1         ! DEFINE KEYPOINT CONSTRAINTS AND FORCES
DK,3,UY,,,1          ! IN GLOBAL CYLINDRICAL COORDINATE SYSTEM
FK,2,FY,100
FK,4,FY,-100
FINISH
/SOLU
SOLVE
FINISH
/POST1
RSYS,1
NSEL,R,LOC,X,3.5     ! SELECT INNER RADIUS NODES
NSEL,U,LOC,Y,90
PRNSOL,S,COMP
NSORT,S,Y
*GET,SI,SORT,,MAX
NSEL,ALL
NSEL,R,LOC,X,4.5     ! SELECT OUTER RADIUS NODES
NSEL,U,LOC,Y,90
PRNSOL,S,COMP
NSORT,S,Y
*GET,SO,SORT,,MIN
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'INR STR ','OTR STR '
LABEL(1,2) = 'psi ','psi '
*VFILL,VALUE(1,1),DATA,655,-555
*VFILL,VALUE(1,2),DATA,SI,SO
*VFILL,VALUE(1,3),DATA,ABS(SI/655),ABS(SO/555)
/COM
/OUT,vm180,vrt
/COM,------------------- VM180 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm180,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM179 Input Listing 		Up / Home Next
VM181 Input Listing


VM181 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM181
/PREP7
SMRT,OFF
/TITLE, VM181, NATURAL FREQUENCY OF A FLAT CIRCULAR PLATE WITH A CLAMPED EDGE
C***          FORMULAS FOR NATURAL FREQUENCY AND MODE SHAPE, BLEVINS, PAGE 241
ET,1,PLANE183,,,1       ! AXISYMMETRIC ELEMENTS
MP,EX,1,3E7
MP,DENS,1,0.00073
MP,PRXY,1,0.3
K,1
K,2,17
KGEN,2,1,2,1,,.5
L,1,2
L,3,4
LESIZE,ALL,,,10       ! TEN DIVISIONS ALONG LENGTH
ESIZE,,1
A,1,2,4,3
MSHAPE,1,2D
MSHKEY,0
AMESH,1
NSEL,R,LOC,X,0
D,ALL,UX
NSEL,ALL
DK,2,ALL,,,1
DK,4,UX,,,1
FINISH
/SOLU
ANTYPE,MODAL          ! MODAL ANALYSIS
MODOPT,LANP,9
SOLVE
*GET,F1,MODE,1,FREQ
*GET,F2,MODE,2,FREQ
*GET,F3,MODE,3,FREQ
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'F (0,0) ','F (0,1) ','F (0,2) '
LABEL(1,2) = 'Hz','Hz','Hz'
*VFILL,VALUE(1,1),DATA,172.64,671.79,1505.7
*VFILL,VALUE(1,2),DATA,F1,F2,F3
*VFILL,VALUE(1,3),DATA,ABS(F1/172.64),ABS(F2/671.79),ABS(F3/1505.7)
/COM
/OUT,vm181,vrt
/COM,------------------- VM181 RESULTS COMPARISON --------------
/COM,
/COM,              |    TARGET   |        ANSYS   |        RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F15.2,'   ',1F10.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm181,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM180 Input Listing 		Up / Home Next
VM182 Input Listing


VM182 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM182
/PREP7
/TITLE, VM182; TRANSIENT RESPONSE OF A SPRING-MASS SYSTEM
C***               R. K. VIERCK, "VIBRATION ANALYSIS", 2ND EDITION, SEC.5-8
ANTYPE,MODAL          ! MODE-FREQUENCY ANALYSIS
MODOPT,REDUC,2,,,2    ! PRINT TWO REDUCED MODE SHAPES
ET,1,COMBIN40,,,2     ! UY DOF
R,1,6,,2              ! K1=6 N/M     M1=2 KG
R,2,16,,2             ! K2=16 N/M    M2=2 KG
N,1
N,2,0,1
N,3,0,2
REAL,1
E,1,2
REAL,2
E,2,3
M,1,UY,2              ! UY MASTERS AT NODES 1 & 2
D,3,ALL
OUTPR,,ALL
FINISH
/SOLU
SOLVE
FINISH
/SOLU
ANTYPE,TRANS          ! TRANSIENT DYNAMIC ANALYSIS
TRNOPT,MSUP,2         ! MODE SUPERPOSITION, BOTH MODES
DELTIM,0.01           ! INTEGRATION TIME STEP = .01
OUTPR,,NONE
OUTRES,,1
KBC,1                 ! STEP BOUNDARY CONDITIONS
F,1,FY,0              ! FORCE = 0 AT TIME = 0 (INIT. CONDITIONS)
SOLVE
TIME,1.8
F,1,FY,50             ! FORCE = 50N FROM TIME = 0 TO 1.8 SEC
SOLVE
TIME,2.4
F,1,FY,0              ! FORCE = 0 FROM TIME = 1.8 TO 2.4 SEC
SOLVE
FINISH
/POST26
FILE,,rdsp            ! REDUCED DISPLACEMENTS FILE
NSOL,2,1,U,Y,UY1
NSOL,3,2,U,Y,UY2
/GRID,1
/AXLAB,Y,DISP
PLVAR,2,3             ! DISPLAY DISPLACEMENT RESPONSE VS. TIME
PRVAR,2,3
*GET,Y1,VARI,2,RTIME,1.3
*GET,Y2,VARI,3,RTIME,1.3
*GET,Y3,VARI,2,RTIME,2.4
*GET,Y4,VARI,3,RTIME,2.4
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'DISP 1 ','DISP 2 '
LABEL(1,2) = 'm','m'
*VFILL,VALUE(1,1),DATA,14.48,3.99
*VFILL,VALUE(1,2),DATA,Y1,Y2
*VFILL,VALUE(1,3),DATA,ABS(Y1/14.48),ABS(Y2/3.99)
SAVE,TABLE_1
*VFILL,VALUE(1,1),DATA,18.32,6.14
*VFILL,VALUE(1,2),DATA,Y3,Y4
*VFILL,VALUE(1,3),DATA,ABS(Y3/18.32),ABS(Y4/6.14),
SAVE,TABLE_2
RESUME,TABLE_1
/COM
/OUT,vm182,vrt
/COM,------------------- VM182 RESULTS COMPARISON --------------
/COM,
/COM,                  |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,RESULTS AT T=1.3 S
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,RESULTS AT T=2.4 S
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
/DELETE,TABLE_1
/DELETE,TABLE_2
FINISH
*LIST,vm182,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM181 Input Listing 		Up / Home Next
VM183 Input Listing


VM183 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM183
/PREP7
/TITLE, VM183,  HARMONIC RESPONSE OF A SPRING-MASS SYSTEM
C***  R.K. VIERCK, "VIBRATION ANALYSIS", 2ND EDITION, SECTION 4-2
ANTYPE,MODAL         ! MODE - FREQUENCY ANALYSIS
MODOPT,REDUC,2,,,2   ! PRINT TWO REDUCED MODE SHAPES
ET,1,COMBIN40,,,2    ! UY DOF
R,1,6,,2             ! K1=6 N/M     M1=2 KG
R,2,16,,2            ! K2=16 N/M    M2=2 KG
N,1
N,2,0,1
N,3,0,2
REAL,1
E,1,2
REAL,2
E,2,3
M,1,UY,2             ! UY MASTERS AT NODES 1 & 2
OUTPR,,ALL
D,3,ALL
FINISH
/SOLU
SOLVE
FINISH
/SOLU
ANTYPE,HARMIC        ! HARMONIC ANALYSIS
HROPT,MSUP,2         ! MODE SUPERPOSITION USING TWO MODES
HARFRQ,0.1,1.0       ! RANGE OF FREQUENCIES FROM 0.1 TO 1.0 HZ
F,1,FY,50
KBC,1                ! STEP BOUNDARY CONDITIONS
NSUBST,50
OUTPR,,NONE
OUTRES,,1
SOLVE
FINISH
/POST26
FILE,,rfrq           ! REDUCED FREQUENCIES FILE
NSOL,2,1,U,Y,UY1
NSOL,3,2,U,Y,UY2
/GRID,1
/AXLAB,Y,DISP
PLVAR,2,3            ! DISPLAY DISPLACEMENT RESPONSE VS. FREQUENCY
PRVAR,2,3
*GET,Y1,VARI,2,RTIME,.226
*GET,Y2,VARI,3,RTIME,.226
*GET,Y3,VARI,2,RTIME,.910
*GET,Y4,VARI,3,RTIME,.910
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'DISP 1 ','DISP 2 '
LABEL(1,2) = 'm','m'
*VFILL,VALUE(1,1),DATA,-1371.7,-458.08
*VFILL,VALUE(1,2),DATA,Y1,Y2
*VFILL,VALUE(1,3),DATA,ABS(Y1/1371.7),ABS(Y2/458.08)
SAVE,TABLE_1
*VFILL,VALUE(1,1),DATA,-.8539,.1181
*VFILL,VALUE(1,2),DATA,Y3,Y4
*VFILL,VALUE(1,3),DATA,ABS(Y3/.8539),ABS(Y4/.1181),
SAVE,TABLE_2
RESUME,TABLE_1
/COM
/OUT,vm183,vrt
/COM,------------------- VM183 RESULTS COMPARISON --------------
/COM,
/COM,                  |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,RESULTS AT .226 Hz
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,RESULTS AT .910 Hz
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm183,vrt

/DELETE,TABLE_1
/DELETE,TABLE_2
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM182 Input Listing 		Up / Home Next
VM184 Input Listing


VM184 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM184
/PREP7
smrt,off
/TITLE, VM184, STRAIGHT CANTILEVER BEAM
C***  ANY BASIC MECHANICS OF MATERIALS TEXT
C***  USING SOLID5 HEXAHEDRONS
ANTYPE,STATIC         ! STATIC ANALYSIS
ET,1,SOLID5,2         ! MULTI-FIELD SOLID5
MP,EX,1,1E7
MP,NUXY,1,0.3
K,1
K,2,6
KGEN,2,1,2,1,,.2
KGEN,2,1,4,1,,,.1
L,1,2
LESIZE,ALL,,,10
ESIZE,,1
V,1,2,4,3,5,6,8,7
VMESH,1
NSEL,S,LOC,X,0
D,ALL,ALL              ! CONSTRAIN LEFT END
NSEL,ALL
FK,2,FX,0.25           ! APPLY AXIAL FORCES
*REPEAT,4,2
NOORDER
FINISH
/SOLU
SOLVE
FKDELE,ALL,FX          ! DELETE AXIAL FORCES
FK,2,FY,0.25           ! APPLY IN-PLANE LOADS
*REPEAT,4,2
SOLVE
FKDELE,ALL,FY          ! DELETE IN-PLANE LOADS
FK,2,FZ,0.25           ! APPLY OUT-OF-PLANE LOADS
*REPEAT,4,2
SOLVE
FINISH
/POST1                 ! PRINT END DISPLACEMENTS AS RATIO OF ANSYS:TARGET
CSYS,0
*CREATE,MAC            ! DEFINE MACRO TO CALCULATE ANSYS:TARGET RATIOS
SET,ARG1,1
LCDEF,ARG1,ARG1
NSEL,S,LOC,X,6         ! SELECT NODE AT END OF BEAM
PRNSOL,U,COMP          ! PRINT DISPLACEMENTS
LCFACT,ARG1,ARG2       ! APPLY SCALE FACTOR "ARG2" TO LOAD CASE 1
LCASE,ARG1
PRNSOL,U,COMP          ! PRINT DISPLACEMENTS
*END
/COM                   *** USE MACRO TO PROCESS ALL 3 LOADCASES  ***
*USE,MAC,1,(1/3E-5)
SET,1,1
LCSEL,S,0,0
N1=NODE(6,0,0)
*GET,UX1,NODE,N1,U,X
*USE,MAC,2,(1/.108)
SET,2,1
LCSEL,S,0,0
*GET,UY1,NODE,N1,U,Y
*USE,MAC,3,(1/.432)
SET,3,1
LCSEL,S,0,0
*GET,UZ1,NODE,N1,U,Z
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'DEFL X ','DEFL Y ','DEFL Z '
LABEL(1,2) = 'in','in','in'
*VFILL,VALUE(1,1),DATA,3E-5,.108,.432
*VFILL,VALUE(1,2),DATA,UX1,UY1,UZ1
*VFILL,VALUE(1,3),DATA,ABS(UX1/(3E-5)),ABS(UY1/.108),ABS(UZ1/.432)
SAVE,TABLE_1
FINISH
/CLEAR, NOSTART
/PREP7
smrt,off
MOPT,VMESH,MAIN
MOPT,AMESH,ALTE
/TITLE, VM184, STRAIGHT CANTILEVER BEAM
C***  USING SOLID92 TETRAHEDRONS
ANTYPE,STATIC          ! STATIC ANALYSIS
ET,1,SOLID92           ! STRUCTURAL SOLID92
MP,EX,1,1E7
MP,NUXY,1,0.3
K,1
K,2,,.2
KGEN,2,1,2,1,,,.1
KGEN,2,1,4,1,(2/3)
ESIZE,,1
V,1,2,4,3,5,6,8,7
VMESH,1
VGEN,9,1,1,1,(2/3),,,4 ! GENERATE 9 VOLUMES TO COMPLETE BEAM
NSEL,S,LOC,X,0
D,ALL,ALL              ! CONSTRAIN LEFT END
SAVE
/COM                   *** GET NODE NUMBERS FOR LOAD APPLICATION ***
NSEL,S,LOC,X,6
NSEL,R,LOC,Y,.1
NSEL,R,LOC,Z,.05
*GET,MIDD,NDMX
NSEL,S,LOC,X,6
NSEL,R,LOC,Y,.2
NSEL,R,LOC,Z,.05
*GET,TOPP,NDMX
NSEL,S,LOC,X,6
NSEL,R,LOC,Y,.0
NSEL,R,LOC,Z,.05
*GET,BOTT,NDMX
NSEL,S,LOC,X,6
NSEL,R,LOC,Y,.1
NSEL,R,LOC,Z,.10
*GET,LFT,NDMX
NSEL,S,LOC,X,6
NSEL,R,LOC,Y,.1
NSEL,R,LOC,Z,.00
*GET,RGHT,NDMX
NSEL,ALL
/COM                   *** APPLY LOADS TO PARAMETRIC NODE NUMBERS ***
F,RGHT,FX,(1/6)
F,LFT,FX,(1/6)
F,TOPP,FX,(1/6)
F,BOTT,FX,(1/6)
F,MIDD,FX,(1/3)
FINISH
/SOLU
SOLVE
FDELE,ALL              ! REMOVE ALL FORCES
F,RGHT,FY,(1/6)
F,LFT,FY,(1/6)
F,TOPP,FY,(1/6)
F,BOTT,FY,(1/6)
F,MIDD,FY,(1/3)
SOLVE
FDELE,ALL              ! REMOVE ALL FORCES
F,RGHT,FZ,(1/6)
F,LFT,FZ,(1/6)
F,TOPP,FZ,(1/6)
F,BOTT,FZ,(1/6)
F,MIDD,FZ,(1/3)
SOLVE
FINISH
/POST1                 ! PRINT END DISPLACEMENTS AS RATIO OF ANSYS:TARGET
/COM                   *** USE MACRO TO PROCESS ALL 3 LOADCASES  ***
*USE,MAC,1,(1/3E-5)
SET,1,1
LCSEL,S,0,0
N1=NODE(6,0,0)
*GET,UX2,NODE,N1,U,X
*USE,MAC,2,(1/.108)
SET,2,1
LCSEL,S,0,0
*GET,UY2,NODE,N1,U,Y
*USE,MAC,3,(1/.432)
SET,3,1
LCSEL,S,0,0
*GET,UZ2,NODE,N1,U,Z
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'DEFL X ','DEFL Y ','DEFL Z '
LABEL(1,2) = 'in','in','in'
*VFILL,VALUE(1,1),DATA,3E-5,.108,.432
*VFILL,VALUE(1,2),DATA,UX2,UY2,UZ2
*VFILL,VALUE(1,3),DATA,ABS(UX2/(3E-5)),ABS(UY2/.108),ABS(UZ2/.432)
SAVE,TABLE_2
FINISH
/CLEAR, NOSTART
/PREP7
smrt,off
MOPT,VMESH,MAIN
MOPT,AMESH,ALTE
/COM                   *** REPEAT USING SOLID98 TETRAHEDRONS ***
RESUME                 ! RESTORE PREP7 DATABASE
ET,1,SOLID98,2         ! MULTI-FIELD SOLID98
/COM                   *** GET NODE NUMBERS FOR LOAD APPLICATION ***
NSEL,S,LOC,X,6
NSEL,R,LOC,Y,.1
NSEL,R,LOC,Z,.05
*GET,MIDD,NDMX
NSEL,S,LOC,X,6
NSEL,R,LOC,Y,.2
NSEL,R,LOC,Z,.05
*GET,TOPP,NDMX
NSEL,S,LOC,X,6
NSEL,R,LOC,Y,.0
NSEL,R,LOC,Z,.05
*GET,BOTT,NDMX
NSEL,S,LOC,X,6
NSEL,R,LOC,Y,.1
NSEL,R,LOC,Z,.10
*GET,LFT,NDMX
NSEL,S,LOC,X,6
NSEL,R,LOC,Y,.1
NSEL,R,LOC,Z,.0
*GET,RGHT,NDMX
NSEL,ALL
/COM                   *** APPLY LOADS TO PARAMETRIC NODE NUMBERS ***
F,RGHT,FX,(1/6)
F,LFT,FX,(1/6)
F,TOPP,FX,(1/6)
F,BOTT,FX,(1/6)
F,MIDD,FX,(1/3)
FINISH
/SOLU
SOLVE
FDELE,ALL              ! REMOVE ALL FORCES
F,RGHT,FY,(1/6)
F,LFT,FY,(1/6)
F,TOPP,FY,(1/6)
F,BOTT,FY,(1/6)
F,MIDD,FY,(1/3)
SOLVE
FDELE,ALL              ! REMOVE ALL FORCES
F,RGHT,FZ,(1/6)
F,LFT,FZ,(1/6)
F,TOPP,FZ,(1/6)
F,BOTT,FZ,(1/6)
F,MIDD,FZ,(1/3)
SOLVE
FINISH
/POST1                 ! PRINT END DISPLACEMENTS AS RATIO OF ANSYS:THEORY
/COM                   *** USE MACRO TO PROCESS ALL 3 LOADCASES  ***
*USE,MAC,1,(1/3E-5)
SET,1,1
LCSEL,S,0,0
N1=NODE(6,0,0)
*GET,UX3,NODE,N1,U,X
*USE,MAC,2,(1/.108)
SET,2,1
LCSEL,S,0,0
*GET,UY3,NODE,N1,U,Y
*USE,MAC,3,(1/.432)
SET,3,1
LCSEL,S,0,0
*GET,UZ3,NODE,N1,U,Z
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'DEFL X ','DEFL Y ','DEFL Z '
LABEL(1,2) = 'in','in','in'
*VFILL,VALUE(1,1),DATA,3E-5,.108,.432
*VFILL,VALUE(1,2),DATA,UX3,UY3,UZ3
*VFILL,VALUE(1,3),DATA,ABS(UX3/(3E-5)),ABS(UY3/.108),ABS(UZ3/.432)
SAVE,TABLE_3
FINISH
/CLEAR,NOSTART
/PREP7
smrt,off
MOPT,VMESH,ALTE
MOPT,AMESH,ALTE
ANTYPE,STATIC         ! STATIC ANALYSIS
ET,1,SOLID147
MP,EX,1,1E7
MP,NUXY,1,0.3
K,1
K,2,6
KGEN,2,1,2,1,,.2
KGEN,2,1,4,1,,,.1
L,1,2
LESIZE,ALL,,,10
ESIZE,,1
V,1,2,4,3,5,6,8,7
VMESH,1
NSEL,S,LOC,X,0
D,ALL,ALL              ! CONSTRAIN LEFT END
NSEL,ALL
FK,2,FX,0.25           ! APPLY AXIAL FORCES
*REPEAT,4,2
NOORDER
FINISH
/SOLU
SOLVE
FKDELE,ALL,FX          ! DELETE AXIAL FORCES
FK,2,FY,0.25           ! APPLY IN-PLANE LOADS
*REPEAT,4,2
SOLVE
FKDELE,ALL,FY          ! DELETE IN-PLANE LOADS
FK,2,FZ,0.25           ! APPLY OUT-OF-PLANE LOADS
*REPEAT,4,2
SOLVE
FINISH
/POST1                 ! PRINT END DISPLACEMENTS AS RATIO OF ANSYS:TARGET
CSYS,0
*CREATE,MAC            ! DEFINE MACRO TO CALCULATE ANSYS:TARGET RATIOS
SET,ARG1,1
LCDEF,ARG1,ARG1
NSEL,S,LOC,X,6         ! SELECT NODE AT END OF BEAM
PRNSOL,U,COMP          ! PRINT DISPLACEMENTS
LCFACT,ARG1,ARG2       ! APPLY SCALE FACTOR "ARG2" TO LOAD CASE 1
LCASE,ARG1
PRNSOL,U,COMP          ! PRINT DISPLACEMENTS
*END
/COM                   *** USE MACRO TO PROCESS ALL 3 LOADCASES  ***
*USE,MAC,1,(1/3E-5)
SET,1,1
LCSEL,S,0,0
N1=NODE(6,0,0)
*GET,UX1,NODE,N1,U,X
*USE,MAC,2,(1/.108)
SET,2,1
LCSEL,S,0,0
*GET,UY1,NODE,N1,U,Y
*USE,MAC,3,(1/.432)
SET,3,1
LCSEL,S,0,0
*GET,UZ1,NODE,N1,U,Z
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'DEFL X ','DEFL Y ','DEFL Z '
LABEL(1,2) = 'in','in','in'
*VFILL,VALUE(1,1),DATA,3E-5,.108,.432
*VFILL,VALUE(1,2),DATA,UX1,UY1,UZ1
*VFILL,VALUE(1,3),DATA,ABS(UX1/(3E-5)),ABS(UY1/.108),ABS(UZ1/.432)
SAVE,TABLE_4
FINISH
/CLEAR, NOSTART
/PREP7
smrt,off
MOPT,VMESH,MAIN
MOPT,AMESH,ALTE
/TITLE, VM184, STRAIGHT CANTILEVER BEAM
C***  USING SOLID187 TETRAHEDRONS
ANTYPE,STATIC          ! STATIC ANALYSIS
ET,1,SOLID187           ! STRUCTURAL SOLID92
MP,EX,1,1E7
MP,NUXY,1,0.3
K,1
K,2,,.2
KGEN,2,1,2,1,,,.1
KGEN,2,1,4,1,(2/3)
ESIZE,,1
V,1,2,4,3,5,6,8,7
VMESH,1
VGEN,9,1,1,1,(2/3),,,4 ! GENERATE 9 VOLUMES TO COMPLETE BEAM
NSEL,S,LOC,X,0
D,ALL,ALL              ! CONSTRAIN LEFT END
SAVE
/COM                   *** GET NODE NUMBERS FOR LOAD APPLICATION ***
NSEL,S,LOC,X,6
NSEL,R,LOC,Y,.1
NSEL,R,LOC,Z,.05
*GET,MIDD,NDMX
NSEL,S,LOC,X,6
NSEL,R,LOC,Y,.2
NSEL,R,LOC,Z,.05
*GET,TOPP,NDMX
NSEL,S,LOC,X,6
NSEL,R,LOC,Y,.0
NSEL,R,LOC,Z,.05
*GET,BOTT,NDMX
NSEL,S,LOC,X,6
NSEL,R,LOC,Y,.1
NSEL,R,LOC,Z,.10
*GET,LFT,NDMX
NSEL,S,LOC,X,6
NSEL,R,LOC,Y,.1
NSEL,R,LOC,Z,.00
*GET,RGHT,NDMX
NSEL,ALL
/COM                   *** APPLY LOADS TO PARAMETRIC NODE NUMBERS ***
F,RGHT,FX,(1/6)
F,LFT,FX,(1/6)
F,TOPP,FX,(1/6)
F,BOTT,FX,(1/6)
F,MIDD,FX,(1/3)
FINISH
/SOLU
SOLVE
FDELE,ALL              ! REMOVE ALL FORCES
F,RGHT,FY,(1/6)
F,LFT,FY,(1/6)
F,TOPP,FY,(1/6)
F,BOTT,FY,(1/6)
F,MIDD,FY,(1/3)
SOLVE
FDELE,ALL              ! REMOVE ALL FORCES
F,RGHT,FZ,(1/6)
F,LFT,FZ,(1/6)
F,TOPP,FZ,(1/6)
F,BOTT,FZ,(1/6)
F,MIDD,FZ,(1/3)
SOLVE
FINISH
/POST1                 ! PRINT END DISPLACEMENTS AS RATIO OF ANSYS:TARGET
/COM                   *** USE MACRO TO PROCESS ALL 3 LOADCASES  ***
*USE,MAC,1,(1/3E-5)
SET,1,1
LCSEL,S,0,0
N1=NODE(6,0,0)
*GET,UX2,NODE,N1,U,X
*USE,MAC,2,(1/.108)
SET,2,1
LCSEL,S,0,0
*GET,UY2,NODE,N1,U,Y
*USE,MAC,3,(1/.432)
SET,3,1
LCSEL,S,0,0
*GET,UZ2,NODE,N1,U,Z
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'DEFL X ','DEFL Y ','DEFL Z '
LABEL(1,2) = 'in','in','in'
*VFILL,VALUE(1,1),DATA,3E-5,.108,.432
*VFILL,VALUE(1,2),DATA,UX2,UY2,UZ2
*VFILL,VALUE(1,3),DATA,ABS(UX2/(3E-5)),ABS(UY2/.108),ABS(UZ2/.432)
SAVE,TABLE_5
RESUME,TABLE_1
/COM                   *** CLIPPED AND CAPPED DISPLAY OF STRESS CONTOURS  ***
NSEL,ALL
/VIEW,1,2,1,1
EPLOT                  ! ELEMENT PLOT
/TYPE,1,CAP            ! DISPLAY TYPE CAP
/DIST,1,.2
/FOCUS,1,.3,.15,.09    ! SET FOCUS FOR SECTION LOCATION
PLNSOL,S,X             ! STRESS CONTOUR PLOT
/COM
/OUT,vm184,vrt
/COM,------------------- VM184 RESULTS COMPARISON ------------
/COM,
/COM,                      TARGET   |    ANSYS   |    RATIO
/COM, SOLID5
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F11.6,'  ',F11.6,'   ',1F6.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM, SOLID92
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F11.6,'  ',F11.6,'   ',1F6.3)
/NOPR
RESUME,TABLE_3
/GOPR
/COM,
/COM, SOLID98
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F11.6,'  ',F11.6,'   ',1F6.3)
/NOPR
RESUME,TABLE_4
/GOPR
/COM
/COM, SOLID147
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F11.6,'  ',F11.6,'   ',1F6.3)
/NOPR
RESUME,TABLE_5
/GOPR
/COM,
/COM, SOLID187
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F11.6,'  ',F11.6,'   ',1F6.3)
/COM,---------------------------------------------------------
/OUT
FINISH
/DELETE,MAC
/DELETE,TABLE_1
/DELETE,TABLE_2
/DELETE,TABLE_3
/DELETE,TABLE_4
/DELETE,TABLE_5
*LIST,vm184,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM183 Input Listing 		Up / Home Next
VM185 Input Listing


VM185 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM185
/PREP7
SMRT,OFF
/TITLE, VM185, AC ANALYSIS OF A SLOT EMBEDDED CONDUCTOR
C***    KONRAD, A., "INTEGRODIFFERENTIAL FINITE ELEMENT FORMULATION
C***    OF TWO-DIMENSIONAL STEADY-STATE SKIN EFFECT PROBLEMS",
C***    IEEE TRANS. MAGNETICS, VOL. MAG-18, NO. 1, JAN. 1982
C***    PP. 284-292.
C***
ET,1,PLANE13                        ! PLANE13, AZ DOF, (FOR AIR)
ET,2,PLANE13,6                      ! PLANE13, AZ VOLT DOF, (FOR CONDUCTOR)
EMUNIT,MKS                          ! DEFINE SYSTEM UNITS
MP,MURX,1,1                         ! RELATIVE PERMEABILITY
MP,MURX,2,1
RES=1.724E-8                        ! DEFINE RESISTIVITY OF CONDUCTOR
MP,RSVZ,2,RES                       ! CONDUCTOR RESISTIVITY
A=6.45E-3                           ! DEFINE GEOMETRY IN TERMS OF PARAMETERS
B=8.55E-3
C=8.45E-3
D=18.85E-3
E=8.95E-3
F=(D-E)/2

PTXY,0,0,D,0,D,C,D-F,C              ! CREATE POLYGON AREA OF CONDUCTOR
PTXY,D-F,B+C,F,B+C,F,C,0,C
POLY
RECTNG,F,F+E,B+C,B+C+A              ! CREATE AIR AREA
AGLUE,1,2                           ! GLUE AREAS TOGETHER

ASEL,S,AREA,,3
AATT,1,,1                           ! SET ATTRIBUTES FOR AIR
ASEL,S,AREA,,1
AATT,2,,2                           ! SET ATTRIBUTES FOR CONDUCTOR
ASEL,ALL
ESIZE,D/15                          ! SET ELEMENT EDGE LENGTH
MSHK,0                              ! FREE AREA MESH
MSHA,1,2D                           ! USING TRIS
AMESH,ALL                           ! MESH AREAS
ESEL,S,MAT,,2                       ! SELECT ALL NODES IN CONDUCTOR
NSLE,S
CP,1,VOLT,ALL                       ! COUPLE ALL NODES IN VOLT
I=1.0                               ! DEFINE TOTAL CURRENT
ASUM                                ! CALCULATE AREA ATTRIBUTES
*GET,AREA,AREA,1,AREA               ! GET AREA OF CONDUCTOR
*GET,N1,NODE,,NUM,MIN               ! SELECT A NODE IN THE CONDUCTOR
F,N1,AMPS,I                         ! APPLY 1 AMP TOTAL CURRENT
ESEL,ALL
NSEL,S,LOC,Y,.02345                 ! SELECT NODES AT TOP PLANE
D,ALL,AZ,0                          ! SET FLUX PARALLEL B.C.
NSEL,ALL
FINISH
/SOLU
ANTYPE,HARMIC                       ! HARMONIC ANALYSIS
HARFRQ,45                           ! SET OPERATING FREQUENCY
SOLVE
FINISH
/POST1
SET,1,1                             ! RETRIEVE REAL SOLUTION
ETABLE,JT,NMISC,7                   ! STORE TOTAL CURRENT DENSITY
ETABLE,JS,SMISC,1                   ! STORE SOURCE CURRENT DENSITY
ETABLE,JE,NMISC,6                   ! STORE EDDY CURRENT DENSITY
/PNUM,MAT,1
/EDGE,1,1
/NUM,1
/GFILE,500
JPEG,QUAL,100
/TRIAD,OFF
/PLOPTS,LOGO,0
/PLOPTS,INFO,2
/PLOPTS,WP,0
/RGB,INDEX,100,100,100,0
/RGB,INDEX,80,80,80,13
/RGB,INDEX,60,60,60,14
/RGB,INDEX,0,0,0,15
PLNSOL,A,Z                          ! DISPLAY FLUX LINES
/NUM,0
ESEL,MAT,2                          ! SELECT COPPER ONLY
PLETAB,JT,1                         ! DISPLAY TOTAL CURRENT DENSITY
PLETAB,JE,1                         ! DISPLAY EDDY CURRENT DENSITY
*GET,JSR,ELEM,1,ETAB,JS             ! GET REAL COMPONENT OF JS
ACRE=JSR*RES/I                      ! CALCULATE AC RESISTANCE/LENGTH
SET,1,1,,1                          ! READ IN IMAGINARY DATA
ETABLE,REFL                         ! REFILL ELEMENT TABLE WITH IMAG. DATA
*GET,JSI,ELEM,1,ETAB,JS             ! GET IMAGINARY COMPONENT OF JS
ACRA=JSI*RES/I                      ! CALCULATE AC REACTANCE/LENGTH
DCRE=RES/AREA                       ! CALCULATE DC RESISTANCE/LENGTH
RAT=ACRE/DCRE                       ! AC/DC LOSS RATIO
/OUTPUT
/GOPR
*status,parm                             ! SHOW PARAMETER STATUS
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'JS ','JS ','LOSS '
LABEL(1,2) = '(RE)','(IM)','RATIO'
*VFILL,VALUE(1,1),DATA,10183,27328,2.33
*VFILL,VALUE(1,2),DATA,JSR,JSI,RAT
*VFILL,VALUE(1,3),DATA,ABS(JSR/10183),ABS(JSI/27328),ABS(RAT/2.33)
/COM
/OUT,vm185,vrt
/COM,------------------- VM185 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F11.2,'  ',F11.2,'   ',1F6.3)
/COM,-----------------------------------------------------------
/COM,
/COM,-----------------------------------------------------------
/COM,NOTE: THERE ARE VERIFIED RESULTS IN VM185  NOT CONTAINED IN
/COM,THIS TABLE
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm185,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM184 Input Listing 		Up / Home Next
VM186 Input Listing


VM186 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM186
/PREP7
/TITLE, VM186, TRANSIENT ANALYSIS OF A SLOT EMBEDDED CONDUCTOR
C***            KONRAD, IEEE TRANS., MAGNETICS, VOL. MAG-18, NO. 1, JAN. 1982
/NOPR
ANTYPE,TRANS                  ! NONLINEAR TRANSIENT DYNAMIC ANALYSIS
ET,1,PLANE13                  ! PLANE13, AZ DOF, (FOR AIR)
ET,2,PLANE13,6                ! PLANE13, AZ VOLT DOF, (FOR CONDUCTOR)
EMUNIT,MUZRO,1                ! SET MUZERO=1
MP,MURX,1,1                   ! RELATIVE PERMEABILITY
MP,MURX,2,1                   ! RELATIVE PERMEABILITY (CONDUCTOR)
MP,RSVX,2,1                   ! RESISTIVITY (CONDUCTOR)
N,1
N,8,,7
FILL
NGEN,2,8,1,8,1,1
MAT,2
TYPE,2
E,1,2,10,9
EGEN,4,1,-1
MAT,1
TYPE,1
E,5,6,14,13
EGEN,3,1,-1
CP,1,AZ,1,9                   ! COUPLE AZ TO ENSURE 1-D SOLUTION
*REPEAT,5,1,,1,1
ESEL,,MAT,,2
NSLE
CP,6,VOLT,ALL                 ! COUPLE VOLT IN CONDUCTOR
ESEL,ALL
NSEL,S,LOC,Y,7
D,ALL,AZ,0                    ! FLUX-PARALLEL B.C.
NSEL,ALL
FINISH
/SOLU
EQSLV,JCG,1E-9                ! USE THE JACOBI CONJUGATE GRADIENT SOLVER
T=1E-8                        ! INITIALIZE TIME PARAMETER
C=0                           ! INITIALIZE COUNTER PARAMETER
N=80                          ! NUMBER OF TIME INCREMENTS PER TURN
PI=2*ASIN(1)                  ! VALUE OF PI
CON=2*PI/N                    ! SET TIME INCREMENT
NEQIT,1                       ! 1 ITERATION PER TIME STEP
*CREATE,LOAD                  ! CREATE MACRO TO SET UP LOAD STEPS
TIME,T
I=4*SIN(T)                    ! CALCULATE CURRENT
F,1,AMPS,I                    ! APPLY CURRENT TO A NODE IN CONDUCTOR
T=T+CON                       ! INCREMENT TIME
C=C+1                         ! INCREMENT COUNTER
OUTRES,ALL,1
*IF,C,EQ,((N*.75)+1),THEN     ! SET FOR PRINTOUT AT DESIRED TIME POINTS
 OUTPR,,1
*ELSEIF,C,EQ,(N+1),THEN
 OUTPR,,1
*ELSE
 OUTPR,,0
*ENDIF
SOLVE
*END
*DO,I,1,81                    ! REPEAT MACRO EXECUTION
 *USE,LOAD                    ! EXECUTE MACRO
*ENDDO
FINISH
/POST26
NUMVAR,12                     ! INCREASE STORAGE ARRAY SIZE
ESOL,2,1,,NMISC,6,JE          ! STORE JE
*REPEAT,4,1,1
ESOL,6,1,,VOLUME              ! STORE VOLUME
*REPEAT,4,1,1
PROD,2,2,6                    ! CALCULATE IE=JE*VOLUME
*REPEAT,4,1,1,1
ADD,2,2,3,4,IE                ! SUMM IE OVER ALL CONDUCTOR ELEMENTS
ADD,10,2,5,,IE                ! IE TOTAL
ESOL,2,1,,SMISC,1,JS          ! STORE JS
*REPEAT,4,1,1
PROD,2,2,6                    ! CALCULATE IS=JS*VOLUME
*REPEAT,4,1,1,1
ADD,2,2,3,4,IS                ! SUM IS OVER ALL CONDUCTOR ELEMENTS
ADD,11,2,5,,IS                ! IS TOTAL
ESOL,2,1,,NMISC,7,JT          ! STORE JT
*REPEAT,4,1,1
PROD,2,2,6                    ! CALCULATE IT=JT*VOLUME
*REPEAT,4,1,1,1
ADD,2,2,3,4,IT                ! SUM IT OVER ALL CONDUCTOR ELEMENTS
ADD,12,2,5,,IT                ! IT TOTAL
/AXLAB,Y,CURRENT
/GROPT,AXNSC,2.0
PRVAR,10,11,12                ! PRINT EDDY, SOURCE, AND TOTAL CURRENT
PLVAR,10,11,12                ! DISPLAY EDDY, SOURCE, AND TOTAL CURRENT
FINISH
/POST1
SET,61,1,,,4.7124
*GET,A1,NODE,1,A,Z
*GET,A2,NODE,4,A,Z
*GET,A3,NODE,7,A,Z
SET,81,1,,,6.2832
*GET,A4,NODE,1,A,Z
*GET,A5,NODE,4,A,Z
*GET,A6,NODE,7,A,Z
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'NODE ','NODE ','NODE '
LABEL(1,2) = '1','4','7'
*VFILL,VALUE(1,1),DATA,-15.18,-14.68,-4
*VFILL,VALUE(1,2),DATA,A1,A2,A3
*VFILL,VALUE(1,3),DATA,ABS(A1/15.18),ABS(A2/14.68),ABS(A3/4)
SAVE,TABLE_1
*VFILL,VALUE(1,1),DATA,-3.26,-.92,0
*VFILL,VALUE(1,2),DATA,A4,A5,A6
*VFILL,VALUE(1,3),DATA,ABS(A4/3.26),ABS(A5/.92),
SAVE,TABLE_2
RESUME,TABLE_1
/COM
/OUT,vm186,vrt
/COM,------------------- VM186 RESULTS COMPARISON --------------
/COM,
/COM, VECTOR POTENTIAL |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,RESULTS AT T=(3*PI/2)
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,RESULTS AT T=(2*PI)
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/COM,-----------------------------------------------------------
/COM,
/OUT
FINISH
*LIST,vm186,vrt

/DELETE,TABLE_1
/DELETE,TABLE_2
/DELETE,LOAD
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM185 Input Listing 		Up / Home Next
VM187 Input Listing


VM187 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM187
/PREP7
smrt,off
/TITLE, VM187, BENDING OF A CURVED BEAM
C***  FORMULAS FOR STRESS AND STRAIN, ROARK, 4TH ED.
ANTYPE,STATIC
ET,1,SOLID5,2             ! USING SOLID5 HEXAHEDRONS, DISPLACEMENT DOF ONLY
MP,EX,,1E7
MP,NUXY,,.25
CSYS,1
K,1,4.12                  ! DEFINE KEYPOINTS
K,2,4.32
KGEN,2,1,2,1,,,.1
KGEN,2,1,4,1,,90
L,1,5
LESIZE,1,,,20
V,1,2,4,3,5,6,8,7         ! DEFINE VOLUME
ESIZE,,1
VMESH,1                   ! CREATE NODES AND ELEMENTS
NSEL,S,LOC,Y,0
D,ALL,ALL,0               ! BOUNDARY CONDITIONS AND LOADING
NSEL,ALL
FK,5,FY,.25               ! APPLY LOAD
*REPEAT,4,1
NOORDER
FINISH
/SOLU
SOLVE
FINISH
*CREATE,MAC               ! CREATE A MACRO TO DO POSTPROCESSING
/POST1
CSYS,0
NSEL,S,LOC,X,0,.001,,1    ! SELECT NODES AT FREE END OF BEAM
PRNSOL,U,COMP
LCDEF,1,1
LCFACT,1,(1/.08854)
LCASE,1
PRNSOL,U,COMP
FINISH
*END
*GET,U1,NODE,5,U,Y
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'DEFL '
LABEL(1,2) = 'in '
*VFILL,VALUE(1,1),DATA,.08854
*VFILL,VALUE(1,2),DATA,U1
*VFILL,VALUE(1,3),DATA,ABS(U1/.08854)
SAVE,TABLE_1
*USE,MAC                  ! EXECUTE POSTPROCESSING MACRO
/CLEAR, NOSTART
/PREP7
smrt,off
/TITLE, VM187, BENDING OF A CURVED BEAM
ET,1,SOLID92              ! USING SOLID92 TETRAHEDRONS
MP,EX,,1E7
MP,NUXY,,.25
CSYS,1
K,1,4.12                  ! DEFINE KEYPOINTS
K,2,4.32
KGEN,2,1,2,1,,,.1
KGEN,2,1,4,1,,4.5
V,1,2,4,3,5,6,8,7         ! DEFINE VOLUMES
VGEN,20,1,1,1,,4.5,,4
ESIZE,,1
VMESH,ALL                 ! CREATE NODES AND ELEMENTS
NSEL,S,LOC,Y,0
D,ALL,ALL,0               ! BOUNDARY CONDITIONS AND LOADING
NSEL,S,LOC,Y,90
CP,1,UY,ALL               ! COUPLE UY DOF ON LOADED FACE
NSEL,R,LOC,X,4.32
NSEL,R,LOC,Z,0
F,ALL,FY,1                ! APPLY LOAD
NSEL,ALL
SAVE
FINISH
/SOLU
SOLVE
FINISH
*USE,MAC                  ! EXECUTE POSTPROCESSING MACRO
NDE=NODE(0,4.32,0)
*GET,UY2,NODE,NDE,U,Y
*SET,U2,(UY2/(1/.08854))
*status,parm
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'DEFL '
LABEL(1,2) = 'in '
*VFILL,VALUE(1,1),DATA,.08854
*VFILL,VALUE(1,2),DATA,U2
*VFILL,VALUE(1,3),DATA,ABS(U2/.08854)
SAVE,TABLE_2
/PREP7
smrt,off
RESUME
ET,1,SOLID98,2            ! ANALYZE AGAIN USING SOLID98 TETRAHEDRONS
FINISH
/SOLU
SOLVE
FINISH
*USE,MAC                  ! EXECUTE POSTPROCESSING MACRO
NDE=NODE(0,4.32,0)
*GET,UY3,NODE,NDE,U,Y
*SET,U3,(UY3/(1/.08854))
*status,parm
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'DEFL '
LABEL(1,2) = 'in '
*VFILL,VALUE(1,1),DATA,.08854
*VFILL,VALUE(1,2),DATA,U3
*VFILL,VALUE(1,3),DATA,ABS(U3/.08854)
SAVE,TABLE_3
/PREP7
smrt,off
RESUME
ET,1,SOLID148,2           ! ANALYZE AGAIN USING SOLID98 TETRAHEDRONS
FINISH
/SOLU
SOLVE
FINISH
*USE,MAC                  ! EXECUTE POSTPROCESSING MACRO
NDE=NODE(0,4.32,0)
*GET,UY3,NODE,NDE,U,Y
*SET,U3,(UY3/(1/.08854))
*status,parm
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'DEFL '
LABEL(1,2) = 'in '
*VFILL,VALUE(1,1),DATA,.08854
*VFILL,VALUE(1,2),DATA,U3
*VFILL,VALUE(1,3),DATA,ABS(U3/.08854)
SAVE,TABLE_4
/PREP7
smrt,off
RESUME
ET,1,SOLID187             ! ANALYZE AGAIN USING SOLID187 TETRAHEDRONS
FINISH
/SOLU
SOLVE
FINISH
*USE,MAC                  ! EXECUTE POSTPROCESSING MACRO
NDE=NODE(0,4.32,0)
*GET,UY3,NODE,NDE,U,Y
*SET,U3,(UY3/(1/.08854))
*status,parm
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'DEFL '
LABEL(1,2) = 'in '
*VFILL,VALUE(1,1),DATA,.08854
*VFILL,VALUE(1,2),DATA,U3
*VFILL,VALUE(1,3),DATA,ABS(U3/.08854)
SAVE,TABLE_5
RESUME,TABLE_1
/COM
/OUT,vm187,vrt
/COM,------------------- VM187 RESULTS COMPARISON ------------
/COM,
/COM,                      TARGET   |    ANSYS   |    RATIO
/COM, SOLID5
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F11.6,'  ',F11.6,'   ',1F6.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM, SOLID92
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F11.6,'  ',F11.6,'   ',1F6.3)
/NOPR
RESUME,TABLE_3
/GOPR
/COM,
/COM, SOLID98
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F11.6,'  ',F11.6,'   ',1F6.3)
/NOPR
RESUME,TABLE_4
/GOPR
/COM,
/COM, SOLID148
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F11.6,'  ',F11.6,'   ',1F6.3)
/NOPR
RESUME,TABLE_5
/GOPR
/COM,
/COM, SOLID187
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F11.6,'  ',F11.6,'   ',1F6.3)
/COM,---------------------------------------------------------
/OUT
FINISH
/DELETE,TABLE_1
/DELETE,TABLE_2
/DELETE,TABLE_3
/DELETE,TABLE_4
/DELETE,TABLE_5
/DELETE,MAC
*LIST,vm187,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM186 Input Listing 		Up / Home Next
VM188 Input Listing


VM188 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM188
/PREP7
smrt,off
/TITLE, VM188, FORCE CALCULATION ON A CURRENT CARRYING CONDUCTOR
/COM,   REF:  MOON, FRANCIS C., MAGNETO-SOLID MECHANICS, PG. 418, 1984
ET,1,PLANE53                       ! 8-NODE QUADRILATERAL MAGNETICS ELEMENT
ET,2,INFIN9                        ! 2-D INFINITE BOUNDARY ELEMENT
EMUNIT,MKS                         ! MKS UNITS
MP,MURX,1,1                        ! MATERIAL 1 RELATIVE PERMEABILITY=1.0
MP,MURX,2,1                        ! MATERIAL 2 RELATIVE PERMEABILITY=1.0
D=.01                              ! DEFINE GEOMETRY IN TERMS OF PARAMETERS
A=.012
T=.002
OB=.04                             ! OUTER BOUNDARY SIZE
X1=D/2-T/2
X2=D/2+T/2
GP=.0002                           ! GAP FOR THIN AIR LAYER NEXT TO CONDUCTOR
RECTNG,0,OB,0,OB                   ! DEFINE BOOLEAN AREAS
RECTNG,0,.012,0,.012
RECTNG,X1,X2,0,A/2
RECTNG,X1-GP,X2+GP,0,A/2+GP
AOVLAP,ALL                         ! OVERLAP AREAS
ASEL,S,AREA,,3
AATT,2                             ! ASSIGN MATERIAL ATTRIBUTE TO CONDUCTOR
ASEL,ALL
KSEL,S,LOC,X,0,.012                ! SELECT KEYPOINTS FOR KESIZE SPEC.
KSEL,R,LOC,Y,0,.012
KESIZE,ALL,A/8                     ! ASSIGN ELEMENT SIZE AT KEYPOINTS
KSEL,INVE
KESIZE,ALL,OB/5
KSEL,ALL
LSEL,S,LOC,X,OB                    ! SELECT FAR-FIELD BOUNDARY LINES
LSEL,A,LOC,Y,OB
TYPE,2
LMESH,ALL                          ! MESH WITH INFINITE LINE ELMENTS
LSEL,ALL
MSHK,0                             ! FREE AREA MESH
MSHA,0,2D                          !  USING QUADS
TYPE,1
/OUT,MESH,LIS
AMESH,ALL                          ! MESH AREAS WITH PLANE53
/OUT
FINISH
/SOLU
ANTYPE,STATIC                      ! STATIC MAGNETICS ANALYSIS
ESEL,S,MAT,,2                      ! SELECT CONDUCTOR ELEMENTS
BFE,ALL,JS,,,,1E6                  ! APPLY CURRENT DENSITY TO CONDUCTOR
NSLE,S                             ! SELECT NODES IN CONDUCTOR REGION
BF,ALL,MVDI,1                      ! APPLY VIRTUAL WORK DISPLACEMENT = 1
NSEL,INVE                          ! SELECT ALL OTHER NODES
BF,ALL,MVDI,0                      ! APPLY VIRTUAL WORK DISPLACEMENT = 0
NSEL,ALL
ESEL,ALL
SOLVE
FINISH
/POST1
ETABLE,FMAGX,FMAG,X                ! STORE J*B FORCE INFORMATION
ETABLE,FVWX,NMISC,3                ! STORE VIRTUAL WORK FORCE
SSUM                               ! SUM TABLE ENTRIES
*GET,FXL,SSUM,,ITEM,FMAGX          ! GET J*B FORCE AS PARAMETER
FXL=FXL*2                          ! TOTAL LORENTZ FORCE
*GET,FXVW,SSUM,,ITEM,FVWX          ! GET VIRTUAL WORK FORCE AS PARAMETER
FXVW=FXVW*2                        ! TOTAL VIRTUAL WORK FORCE
PATH,MAXWELL,4,,48                 ! DEFINE PATH WITH NAME = "MAXWELL"
PPATH,1,,.012,0,0                  ! DEFINE PATH POINTS BY LOCATION
PPATH,2,,.012,.012,0
PPATH,3,,0,.012,0
PPATH,4,,0,0,0
FOR2D                              ! COMMAND MACRO FOR MAXWELL STRESS FORCE CALC
FXM=FX*2                           ! TOTAL MAXWELL FORCE (SYMMETRY)
*status,parm                            ! SHOW RESULTS
/PBC,PATH,1                        ! ACTIVATE PATH B.C. FOR DISPLAY
PLF2D                              ! DISPLAY FLUX LINES
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'F (LRNZ) ','F (MAXW) ','F (VW) '
LABEL(1,2) = 'N/m','N/m','N/m'
*VFILL,VALUE(1,1),DATA,-9.684E-3,-9.684E-3,-9.684E-3
*VFILL,VALUE(1,2),DATA,FXL,FXM,FXVW
*VFILL,VALUE(1,3),DATA,ABS(FXL/(9.684E-3)),ABS(FXM/(9.684E-3)),ABS(FXVW/(9.684E-3))
/COM
/OUT,vm188,vrt
/COM,------------------- VM188 RESULTS COMPARISON --------------
/COM,
/COM,              |    TARGET   |        ANSYS   |        RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.6,'  ',F15.6,'   ',1F10.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
/nopr
/DELETE,for2d,out
/DELETE,plf2d,gsav
FINISH
*LIST,vm188,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM187 Input Listing 		Up / Home Next
VM189 Input Listing


VM189 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM189
/PREP7
SMRT,OFF
/TITLE, VM189, HOLLOW SPHERE IN A UNIFORM MAGNETIC FIELD
/COM,   COMPEL, VOL 7, NOS. 1&2, 89-101, 1988
/COM,   TEAM WORKSHOP PROBLEM NO. 6
ET,1,SOLID97,1                     ! MAGNETIC SOLID
ET,2,PLANE13                       ! 2-D MAGNETIC OPTION
ET,3,SOLID96                       ! MAGNETIC SCALAR SOLID
ET,4,INTER115                      ! INTERFACE ELEMENT
EMUNIT,MKS                         ! MKS UNITS
MP,MURX,1,1                        ! RELATIVE PERMEABILITY, AIR
MP,MURX,2,1                        ! RELATIVE PERMEABILITY, ALUMINUM
MP,RSVX,2,2E-9                     ! RESISTIVITY, ALUMINUM

CIR=.05                            ! SHELL INSIDE RADIUS
COR=.055                           ! SHELL OUTSIDE RADIUS
MOD=.6                             ! MODEL OUTSIDE DIMENSION

RECTNG,0,MOD,0,MOD                 ! CREATE 2-D GEOMETRY
PCIRC,CIR,COR,,90
AOVLAP,ALL
CSYS,1
LSEL,S,LOC,Y,45                    ! SET LINE SEGMENT DIVISIONS
LESIZE,ALL,,,12
LSEL,S,LOC,X,MOD,1
LESIZE,ALL,,,6
LSEL,S,LOC,X,(CIR+COR)/2
LESIZE,ALL,,,6
LSEL,S,LOC,X,CIR/2
LESIZE,ALL,,,12
KSEL,S,LOC,X,COR
KESIZE,ALL,.01
LSEL,S,LOC,X,COR+(MOD-COR)/2
LSEL,ALL
KSEL,ALL
CSYS,0
MSHK,1                              ! MAPPED AREA MESH
MSHA,0,2D                           ! USING QUADS
ET,2,PLANE13                        ! USE PLANE13 TO MESH AREA
TYPE,2
AMAP,4,4,2,5,6                      ! MAP MESH AREA 4 BY CORNERS
AMESH,ALL                           ! MAP MESH REMAINING AREAS
ALLSEL,ALL
TYPE,1                              ! SWITCH TO 3-D SOLID96 ELEMENT
ESIZE,,2                            ! SPECIFIY CIRCUMFERENTIAL DIVISIONS
MAT,2
VROTAT,2,,,,,,4,6,20                ! CREATE 20 DEG. SLICE OF SHELL
TYPE,3                              ! SCALAR POTENTIAL ELEMENTS
MAT,1
VROTAT,3,4,,,,,4,6,20               ! CREATE 20 DEG. SLICE OF AIR
MODMSH,DETACH                       ! DETACH SOLID MODEL
NUMMRG,NODE                         ! MERGE NODES
ESEL,S,TYPE,,2                      ! SELECT 2-D ELEMENTS
EDELE,ALL                           ! DELETE 2-D ELEMENTS
ESEL,S,TYPE,,1
NSLE,S
ESEL,INVE
TYPE,4
ESURF                               ! MESH INTERFACE ELEMENTS
ALLSEL,ALL
LOCAL,11,1,,,,,-90                  ! CREATE LOCAL CYLINDRICAL C.S.
NROTAT,ALL                          ! ROTATE NODES
ESEL,S,TYPE,,4                      ! SELECT INTERFACE ELEMENTS
NSLE,S                              ! SELECT NODES AT INTERFACE
CSYS,2
NROTAT,ALL                          ! ROTATE INTERFACE NODES
FINISH
/SOLU
ANTYPE,HARMIC                       ! FULL HARMONIC ANALYSIS
HARFRQ,50                           ! 50 HERTZ FREQUENCY
D,ALL,AX,0                          ! SET A*N=0 AT INTERFACE
CSYS,11
ESEL,S,TYPE,,1
NSLE,S
NSEL,R,LOC,Y,0                      ! SELECT NODES AT ONE PLANE
DSYM,ASYM,Y,11                      ! APPLY FLUX-PARALLEL CONDITIONS
NSLE,S
NSEL,R,LOC,Y,-20                    ! SELECT NODES AT OTHER PLANE
DSYM,ASYM,Y,11                      ! APPLY FLUX-PARALLEL CONDITIONS
NSLE,S
NSEL,R,LOC,Z,0
NSEL,R,LOC,Y,-10
D,ALL,AY,0                          ! APPLY FLUX-NORMAL CONSTRAINT
ESEL,S,TYPE,,1
NSLE,S
NSEL,R,LOC,X,0
D,ALL,AX,0,,,,AY,AZ                 ! FLUX-PARALLEL AT SYMMETRY AXIS
NSEL,ALL

MU=16*ATAN(1)*1E-7                  ! DEFINE FREE-SPACE PERMEABILITY
CSYS,0
NSEL,S,LOC,Y,MOD
D,ALL,MAG,-MOD/MU                   ! APPLY POTENTIAL TO GIVE 1 TESLA FIELD
NSEL,S,LOC,Y,0
D,ALL,MAG,0

CSYS,11
ESEL,S,MAT,,2                       ! SELECT SHELL ELEMENTS
NSLE,S                              ! SELECT NODES ATTACHED TO SHELL
NSEL,R,LOC,Y,0                      ! SELECT NODES AT ONE PLANE
D,ALL,VOLT,0                        ! SET TIME-INTEGRATED POTENTIAL TO 0
NSLE,S
NSEL,R,LOC,Y,-20                    ! SELECT NODES AT OTHER PLANE
D,ALL,VOLT,0                        ! SET TIME-INTEGRATED POTENTIAL TO 0
NSEL,ALL
ESEL,ALL
EQSLV,JCG,1e-6                      ! JCG SOLVER
SOLVE                               ! SOLVE HARMONIC ANALYSIS
FINISH
/POST1
SET,1,1
/VIEW,,-1,.5,.5
/VUP,1,Y
/EDGE,,1
ESEL,S,MAT,,2                       ! SELECT SHELL ELEMENTS
NSLE,S
PLVECT,JT,,,JT,VECT,ELEM,ON         ! PLOT REAL EDDY CURRENTS
SET,1,1,,1
PLVECT,JT,,,JT,VECT,ELEM,ON         ! PLOT IMAGINARY EDDY CURRENTS
POWERH                              ! CALCULATE POWER LOSS
PAVG=PAVG*8*4.5                     ! CALCULATE FOR TOTAL SHELL
NSEL,ALL
ESEL,ALL
NORIG=NODE(0,0,0)                   ! GET NODE NUMBER AT ORIGIN
SET,1
*GET,BYR,NODE,NORIG,B,Y             ! GET BY (REAL)
SET,1,1,,1
*GET,BYI,NODE,NORIG,B,Y             ! GET BY (IMAGINARY)
BYM=SQRT(BYR**2+BYI**2)             ! CALCULATE BY (MAGNITUDE)
*status,parm
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'BY (0,0)','POW LS '
LABEL(1,2) = ' T',' W'
*VFILL,VALUE(1,1),DATA,.0524,10062
*VFILL,VALUE(1,2),DATA,BYM,PAVG
*VFILL,VALUE(1,3),DATA,ABS(BYM/.0524),ABS(10062/PAVG)
/COM
/OUT,vm189,vrt
/COM,------------------- VM189 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F15.4,'   ',1F10.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm189,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM188 Input Listing 		Up / Home Next
VM190 Input Listing


VM190 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM190
/PREP7
smrt,off
/TITLE, VM190, FERROMAGNETIC INDUCTOR
/COM,   CHAPMAN, "ELECTRIC MACHINERY FUNDAMENTALS", MCGRAW-HILL,
/COM,   1985, EXAMPLE 1-1, PG. 14
ET,1,SOLID98,10               ! 10-NODE TETRAHEDRAL, MAG OPTION
ET,2,INFIN47                  ! INFINITE ELEMENT
ET,3,SOURC36                  ! CURRENT ELEMENT
EMUNIT,MKS                    ! MKS UNITS
MP,MURX,1,1                   ! RELATIVE PERMEABILITY OF AIR
MP,MURX,2,2500                ! RELATIVE PERMEABILITY OF IRON
R,1,1,200,.02,.25             ! COIL DIMENSIONS AND CURRENT
LOCAL,11,0,-.325              ! SHIFT ORIGIN TO CENTER OF MODEL
WPCSYS,,11                    ! WORKING PLANE FOR SOLID MODELLING
N,1,.125,0,0                  ! CREATE NODES TO LOCATE COIL
N,2,.235,0,0
N,3,.235,.235,0
TYPE,3
E,2,3,1                       ! DEFINE COIL
BLOCK,.05,.20,0,.05,0,.45     ! CREATE SOLID MODEL OF IRON
BLOCK,.20,.50,0,.05,.30,.45
BLOCK,.50,.60,0,.05,0,.45
VGLUE,ALL
BLOCK,0,.65,0,.10,0,.50       ! CREATE SOLID MODEL OF AIR
VOVLAP,ALL                    ! OVERLAP AIR AND IRON
ASEL,S,AREA,,8,10
ASEL,A,AREA,,4
MSHK,0                        ! FREE MESH
MSHA,1,3D                     ! USING TETS
MSHA,1,2D                     ! USING TRIS
ESIZE,.10
TYPE,2
AMESH,ALL                     ! MESH EXTERIOR BOUNDARY WITH INFIN47
TYPE,1
MAT,2
VMESH,4,6                     ! MESH IRON
MAT,1
VMESH,2                       ! MESH AIR
NSEL,S,LOC,Z,0
D,ALL,MAG,0                   ! SET FLUX-NORMAL SYMMETRY CONDITION
NSEL,ALL
FINISH
/SOLU
ANTYPE,STATIC                 ! STATIC MAGNETIC FIELD ANALYSIS
MAGSOLV,4
FINISH
/POST1
PATH,IRON,7,,48               ! DEFINE PATH WITH NAME = "IRON"
PPATH,1,,-.2,0,0             ! DEFINE PATHS POINTS BY
PPATH,2,,-.2,0,.20
PPATH,3,,-.2,0,.375
PPATH,4,,.025,0,.375
PPATH,5,,.225,0,.375
PPATH,6,,.225,0,.20
PPATH,7,,.225,0,0
*CREATE,MAC                     ! CREATE MACRO FOR MMF CALCULATION
PDEF,HX,H,X                     ! INTERPOLATE H FIELD TO PATH
PDEF,HY,H,Y
PDEF,HZ,H,Z
PVECT,TANG,TX,TY,TZ             ! INTERPOLATE UNIT TANGENTS
PDOT,D,HX,HY,HZ,TX,TY,TZ        ! PERFORM DOT PRODUCT
PCALC,INTG,MMF,D,S              ! INTEGRATE OVER PATH
*GET,MMF,PATH,,LAST,MMF         ! GET MMF
MMF=MMF*2                       ! MULTIPLY BY 2 FOR SYMMETRY
*STATUS,MMF
*END
ESEL,S,MAT,,2                   ! SELECT IRON ELEMENTS
*USE,MAC                        ! USE MACRO TO CALCULATE MMF
/VIEW,,1,-3,1
/VUP,1,Z
/TRIAD,OFF
/PBC,PATH,1                     ! SHOW PATH ON DISPLAY
/AUTO
WPSTYL,,,,,,,OFF
NSLE,S                          ! SELECT NODES ATTACHED TO IRON
/COM                            *** THE FOLLOWING ANNOTATION COMMANDS ARE ***
/COM                            *** TYPICALLY GENERATED INTERACTIVELY ***
/ANUM,1,12,-.28056,.71310       ! ANNOTATION NUMBER, TYPE, AND HOT SPOT
/LSYMBOL,-.282,.511,269,4,1.0 ! ANNOTATION SYMBOL DEFINITION - ARROW
/LINE,-.282,.511,-.279,.915     ! ANNOTATION LINE DEFINITION
/ANUM,2,4,-.21690,.91150
/LINE,-.282,.911,-.151,.911
/ANUM,3,1.14734,.93021
/TLABEL,-.133,.930,CONTOUR PATH FOR  ! ANNOTATION LOCATION AND TEXT
/ANUM,4,1,.91097E-01,.87406
/TLABEL,-.136,.874,LINE INTEGRAL
/ANNOT,ON
/TITLE, VM190: MAGNETIC FLUX DENSITY
PLNSOL,B,SUM                    ! DISPLAY FLUX DENSITY IN IRON
FINISH
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'MMF DRP '
LABEL(1,2) = 'A-t'
*VFILL,VALUE(1,1),DATA,200
*VFILL,VALUE(1,2),DATA,MMF
*VFILL,VALUE(1,3),DATA,ABS(MMF/200),
/COM
/OUT,vm190,vrt
/COM,------------------- VM190 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
/DELETE,MAC
/DELETE,magsolv,out
*LIST,vm190,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM189 Input Listing 		Up / Home Next
VM191 Input Listing


VM191 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM191
/TITLE, VM191, HERTZ CONTACT BETWEEN TWO CYLINDERS
/COM    "FINITE ELEMENT ANALYSIS OF HERTZ CONTACT PROBLEM"
/COM     N. CHANDRASEKARAN, W.E. HAISLER, R.E. GOFORTH,
/COM     FINITE ELEMENTS IN ANALYSIS AND DESIGN 3, 1987, PP 39-56.
/COM
/COM  2-D ANALYSIS USING PLANE42 AND CONTA175
/COM  CONTACT ALGORITHM: AUGMENTED LAGRANGIAN - KEYOPT(2) = 0
/COM
/PREP7
SMRT,OFF
ANTYPE,STATIC
ET,1,PLANE42           ! 2-D SOLID ELEMENTS
ET,2,TARGE169          ! 2-D TARGET ELEMENTS
ET,3,CONTA175          ! 2-D CONTACT ELEMENTS
MP,EX,1,30000          ! SMALLER CYLINDER PROPERTIES
MP,NUXY,1,0.25
MP,EX,2,29120          ! LARGER CYLINDER PROPERTIES
MP,NUXY,2,0.30
CSYS,1
K,1                    ! CREATE BIGGER CYLINDER
K,2,13
K,3,13,82
K,4,13,90
K,5,11,90
L,1,5
L,2,3
LESIZE,ALL,,,7
L,3,4                  ! TARGET SURFACE (LINE 3)
LOCAL,11,1,,13
L,3,5
CSYS,1
A,1,2,3,5
A,5,3,4,4
MAT,2
MSHK,1                    ! MAPPED AREA MESH
MSHA,0,2D                 ! USING QUADS
ESIZE,,4
AMESH,1,2
LOCAL,12,1,,23-1E-5,,-90  ! INTRODUCE SLIGHT INTERFERENCE
K,11                      ! CREATE SMALLER CYLINDER
K,12,10
K,13,10,8
K,14,10,90
K,15,8
L,11,15
L,13,14
LESIZE,7,,,6
LESIZE,8,,,6
L,12,13                ! CONTACT SURFACE (LINE 9)
CSYS,11
L,13,15
CSYS,12
MAT,1
A,12,13,15,15
A,15,13,14,11
ESIZE,,6
AMESH,3,4
LSEL,S,LINE,,9         ! SELECT CONTACT NODES ON SMALLER CYLINDER
NSLL,,1
CM,CYL1,NODE
REAL,1
TYPE,3
ESURF                  ! GENERATE COTAC175 ELEMENTS
LSEL,S,LINE,,3
NSLL,,1                ! SELECT TARGET NODES ON BIGGER CYLINDER
REAL,1
TYPE,2
ESURF                  ! GENERATE TARGE169 ELEMENTS
NSEL,ALL
CSYS,0
NSEL,S,LOC,Y,23        ! SELECT TOP EDGE OF MODEL
CP,1,UY,ALL            ! COUPLE NODES ON TOP EDGE
*GET,NC,NODE,,NUM,MIN  ! GET LOWEST NODE NUMBER (MASTER)
NSEL,S,LOC,X           ! SYMMETRY CONSTRAINTS
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,ALL
FINISH
SAVE,MODEL2D

*CREATE,SOLV2D,MAC     ! CREATE SOLUTION MACRO FOR 2-D CASE
/SOLU
D,NC,UY,-0.005         ! APPLY SMALL DISPLACEMENT TO ENGAGE CONTACT
SOLVE                  ! SOLVE FIRST LOAD STEP
DDELE,NC,UY            ! DELETE IMPOSED DISPLACEMENT
F,NC,FY,-1600          ! APPLY HALF LOAD ON (SYMMETRY) MODEL
nsub,2,10,1
SOLVE                  ! SOLVE SECOND LOAD STEP
FINISH
*END

SOLV2D                 ! EXECUTE SOLUTION MACRO FOR 2-D CASE

*CREATE,RES2D,MAC      ! CREATE RESULTS MACRO FOR 2-D CASE
/POST1
NSEL,,LOC,Y,23         ! SELECT TOP EDGE OF SMALLER CYLINDER
*GET,D,NODE,NC,U,Y     ! GET APPROACH DISTANCE (D)
ESEL,S,TYPE,,3         ! SELECT CONTACT ELEMENTS
ETABLE,NSTAT,CONT,STAT ! STORE CONTACT STATUS
ESEL,R,ETAB,NSTAT,2,2  ! SELECT ELEMENTS WITH CONTACT (STAT=2)
CMSEL,S,CYL1           ! SELECT CONTACT COMPONENT NODES
NSLE,R                 ! RESELECT NODES WITH CONTACT
NSORT,LOC,X,1          ! SORT CONTACT NODES BY ASCENDING X LOCATION
*GET,B,SORT,,MAX       ! GET SEMI-CONTACT LENGTH (B)
*STATUS,PARM
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'AP DIS ','S-CON LEN '
LABEL(1,2) = ' mm',' mm'
*VFILL,VALUE(1,1),DATA,-.4181,1.2
*VFILL,VALUE(1,2),DATA,D,B
*VFILL,VALUE(1,3),DATA,ABS(D/.4181),ABS(B/1.2)
FINISH
*END

RES2D                  ! EXECUTE POSTPROCESSING MACRO FOR 3-D CASE
SAVE,TABLE_1

/CLEAR, NOSTART
/COM
/COM  3-D ANALYSIS USING SOLID45 AND CONTA175
/COM  CONTACT ALGORITHM: AUGMENTED LAGRANGIAN - KEYOPT(2) = 0
/COM
/PREP7 $SMRT,OFF
ANTYPE,STATIC
ET,1,SOLID45           ! 3-D SOLID ELEMENTS
ET,2,170               ! 3-D TARGET ELEMENTS
ET,3,175               ! 3-D CONTACT ELEMENTS
MP,EX,1,30000          ! SMALLER CYLINDER PROPERTIES
MP,NUXY,1,0.25
MP,EX,2,29120          ! LARGER CYLINDER PROPERTIES
MP,NUXY,2,0.30
CSYS,1
K,1                    ! CREATE LOWER BIGGER CYLINDER
K,2,13
K,3,13,82
K,4,13,90
K,5,11,90
KGEN,2,1,5,1,,,1,100   ! UNIT THICKNESS SLICE
L,1,5
L,2,3
L,101,105
L,102,103
LESIZE,ALL,,,7
L,1,101
*REPEAT,5,1,1
LESIZE,5,,,1
*REPEAT,5,1
LOCAL,11,1,,13
L,3,5
L,103,105
CSYS,1
MAT,2
MSHK,1                 ! MAPPED VOLUME MESH
MSHA,0,3D              ! USING HEX
ESIZE,,4
V,1,2,3,5,101,102,103,105
V,5,3,4,4,105,103,104,104
VMESH,ALL
LOCAL,12,1,,23-1E-5,,-90 ! INTRODUCE SLIGHT INTERFERENCE
K,11                     ! CREATE UPPER SMALLER CYLINDER
K,12,10
K,13,10,8
K,14,10,90
K,15,8
KGEN,2,11,15,1,,,1,100
L,11,15
L,13,14
LESIZE,18,,,6
LESIZE,19,,,6
L,11,111
*REPEAT,5,1,1
LESIZE,20,,,1
*REPEAT,5,1
CSYS,11
L,13,15
L,113,115
CSYS,12
MAT,1
ESIZE,,6
V,12,13,15,15,112,113,115,115
V,15,13,14,11,115,113,114,111
VMESH,3,4
ASEL,S,AREA,,12
NSLA,,1                ! SELECT CONTACT NODES ON SMALLER CYLINDER
CM,CYL1,NODE           ! CONTACT NODES COMPONENT
REAL,1
TYPE,3
ESURF                  ! GENERATE 3-D CONTA175 ELEMENTS
ASEL,S,AREA,,8
NSLA,,1                ! SELECT TARGET NODES ON BIGGER CYLINDER
CM,CYL2,NODE           ! TARGET NODES COMPONENT
REAL,1
TYPE,2
ESURF                  ! GENERATE 3-D TARGE170 ELEMENTS
NSEL,ALL
CSYS,0
NSEL,S,LOC,Y,23        ! SELECT TOP EDGE OF MODEL
CP,1,UY,ALL            ! COUPLE NODES ON TOP EDGE
*GET,NC,NODE,,NUM,MIN  ! GET LOWEST NODE NUMBER (MASTER)
NSEL,S,LOC,X           ! SYMMETRY CONSTRAINTS
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,Z
D,ALL,UZ
NSEL,ALL
FINISH
SAVE,MODEL3D

*CREATE,SOLV3D,MAC     ! CREATE SOLUTION MACRO FOR 3-D CASE
/SOLU
D,NC,UY,-0.001         ! APPLY SMALL DISPLACEMENT TO ENGAGE CONTACT
SOLVE                  ! SOLVE FIRST LOAD STEP
DDELE,NC,UY            ! DELETE IMPOSED DISPLACEMENT
F,NC,FY,-1600          ! APPLY HALF LOAD ON (SYMMETRY) MODEL
nsub,2,10,1
SOLVE                  ! SOLVE SECOND LOAD STEP
FINISH
*END

SOLV3D                 ! EXECUTE SOLUTION MACRO FOR 3-D CASE

*CREATE,RES3D,MAC      ! CREATE RESULTS MACRO FOR 3D CASE
/POST1
NSEL,,LOC,Y,23         ! SELECT TOP EDGE OF SMALLER CYLINDER
*GET,D,NODE,NC,U,Y     ! GET APPROACH DISTANCE (D)
ESEL,S,TYPE,,3         ! SELECT CONTACT ELEMENTS
ETABLE,NSTAT,CONT,STAT ! STORE CONTACT STATUS
ESEL,R,ETAB,NSTAT,2,2  ! SELECT ELEMENTS WITH CONTACT (STAT=2)
CMSEL,S,CYL1           ! SELECT CONTACT COMPONENT NODES
NSLE,R                 ! RESELECT NODES WITH CONTACT
NSORT,LOC,X,1          ! SORT CONTACT NODES BY ASCENDING X LOCATION
*GET,B,SORT,,MAX       ! GET SEMI-CONTACT LENGTH (B)
*STATUS,PARM
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'AP DIS ','S-CON LEN '
LABEL(1,2) = ' mm',' mm'
*VFILL,VALUE(1,1),DATA,-.4181,1.2
*VFILL,VALUE(1,2),DATA,D,B
*VFILL,VALUE(1,3),DATA,ABS(D/.4181),ABS(B/1.2)
FINISH
*END

RES3D                  ! EXECUTE POSTPROCESSING MACRO FOR 3-D CASE
SAVE,TABLE_2

/CLEAR, NOSTART
/COM
/COM  2-D ANALYSIS USING PLANE42 AND CONTA175
/COM  CONTACT ALGORITHM: LAGRANGE MULTIPLIER - KEYOPT(2) = 3
/COM
RESUME,MODEL2D
/PREP7
KEYOPT,3,2,3           ! LAGRANGE MULTIPLIER ON CONTACT NORMAL AND PENALTY ON TANGENT
FINISH
SOLV2D
RES2D
SAVE,TABLE_3

/CLEAR, NOSTART
/COM
/COM  3-D ANALYSIS USING SOLID45 AND CONTA175
/COM  CONTACT ALGORITHM: LAGRANGE MULTIPLIER - KEYOPT(2) = 3
/COM
RESUME,MODEL3D
/PREP7
KEYOPT,3,2,3           ! LAGRANGE MULTIPLIER ON CONTACT NORMAL AND PENALTY ON TANGENT
FINISH
SOLV3D
RES3D
SAVE,TABLE_4

/CLEAR, NOSTART
/COM
/COM  2-D ANALYSIS USING PLANE182 AND CONTA175
/COM  CONTACT ALGORITHM: AUGMENTED LAGRANGIAN - KEYOPT(2) = 0
/COM
RESUME,MODEL2D
/PREP7
ET,1,PLANE182          ! 2-D SOLID ELEMENT
FINISH
SOLV2D
RES2D
SAVE,TABLE_5

/CLEAR, NOSTART
/COM
/COM  3-D ANALYSIS USING SOLID185 AND CONTA175
/COM  CONTACT ALGORITHM: LAGRANGE MULTIPLIER - KEYOPT(2) = 3
/COM
RESUME,MODEL3D
/PREP7
ET,1,SOLID185          ! 3-D SOLID ELEMENT
FINISH
SOLV3D
RES3D
SAVE,TABLE_6

/CLEAR, NOSTART
/COM
/COM  2-D ANALYSIS USING PLANE182 AND CONTA175
/COM  CONTACT ALGORITHM: LAGRANGE MULTIPLIER - KEYOPT(2) = 3
/COM
RESUME,MODEL2D
/PREP7
ET,1,PLANE182          ! 2-D SOLID ELEMENT
KEYOPT,3,2,3           ! LAGRANGE MULTIPLIER ON CONTACT NORMAL AND PENALTY ON TANGENT
FINISH
SOLV2D
RES2D
SAVE,TABLE_7

/CLEAR, NOSTART
/COM
/COM  3-D ANALYSIS USING SOLID185 AND CONTA175
/COM  CONTACT ALGORITHM: LAGRANGE MULTIPLIER - KEYOPT(2) = 3
/COM
RESUME,MODEL3D
/PREP7
ET,1,SOLID185          ! 3-D SOLID ELEMENT
KEYOPT,3,2,3           ! LAGRANGE MULTIPLIER ON CONTACT NORMAL AND PENALTY ON TANGENT
FINISH
SOLV3D
RES3D
SAVE,TABLE_8

RESUME,TABLE_1
/COM
/OUT,vm191,vrt
/COM,=========== VM191 RESULTS COMPARISON ======================
/COM,
/COM,                    |  TARGET  |   ANSYS  | RATIO
/COM,
/COM, 2-D ANALYSIS USING PLANE42 AND CONTA175:
/COM, CONTACT ALGORITHM: AUGMENTED LAGRANGIAN
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM, 3-D ANALYSIS USING SOLID45 AND CONTA175:
/COM, CONTACT ALGORITHM: AUGMENTED LAGRANGIAN
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/NOPR
RESUME,TABLE_3
/GOPR
/COM,
/COM, 2-D ANALYSIS USING PLANE42 AND CONTA175:
/COM, CONTACT ALGORITHM: LAGRANGE MULTIPLIER
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/NOPR
RESUME,TABLE_4
/GOPR
/COM,
/COM, 3-D ANALYSIS USING SOLID45 AND CONTA175:
/COM, CONTACT ALGORITHM: LAGRANGE MULTIPLIER
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/NOPR
RESUME,TABLE_5
/GOPR
/COM,
/COM, 2-D ANALYSIS USING PLANE182 AND CONTA175:
/COM, CONTACT ALGORITHM: AUGMENTED LAGRANGIAN
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/NOPR
RESUME,TABLE_6
/GOPR
/COM,
/COM, 3-D ANALYSIS USING SOLID185 AND CONTA175:
/COM, CONTACT ALGORITHM: AUGMENTED LAGRANGIAN
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/NOPR
RESUME,TABLE_7
/GOPR
/COM,
/COM, 2-D ANALYSIS USING PLANE182 AND CONTA175:
/COM, CONTACT ALGORITHM: LAGRANGE MULTIPLIER
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/NOPR
RESUME,TABLE_8
/GOPR
/COM,
/COM, 3-D ANALYSIS USING SOLID185 AND CONTA175:
/COM, CONTACT ALGORITHM: LAGRANGE MULTIPLIER
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/COM,===========================================================
/OUT
FINISH
*LIST,vm191,vrt
/DELETE,TABLE_1
/DELETE,TABLE_2
/DELETE,TABLE_3
/DELETE,TABLE_4
/DELETE,TABLE_5
/DELETE,TABLE_6
/DELETE,TABLE_7
/DELETE,TABLE_8
/DELETE,TABLE_9
/DELETE,MODEL2D
/DELETE,MODEL3D
/DELETE,SOLV2D,MAC
/DELETE,SOLV3D,MAC
/DELETE,RES2D,MAC
/DELETE,RES3D,MAC

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM190 Input Listing 		Up / Home Next
VM192 Input Listing


VM192 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM192
/PREP7
SMRT,OFF
/TITLE, VM192, COOLING OF A BILLET BY RADIATION
/COM    THERMAL RADIATION HEAT TRANSFER, SIEGEL AND HOWELL, 2ND EDITION,
/COM    PG. 229, PROBLEM NO. 21.
ET,1,SOLID70            ! 3-D THERMAL SOLID ELEMENT
ET,2,SURF152,,,,1,1     ! 3-D THERMAL SURFACE EFFECT ELEMENTS
KEYOPT,2,9,1            ! RADIATION OPTION
R,2,1,0.1712E-8         ! FORM FACTOR = 1, STEFAN-BOLTZMANN CONSTANT
MP,KXX,1,10000          ! ARBITRARY CONDUCTIVITY
MP,C,1,0.11
MP,DENS,1,487.5
MP,EMIS,2,1             ! BLACK BODY EMISSIVITY
BLOCK,,2,,2,,4
ESIZE,,1
VMESH,1                 ! MESH WITH A SINGLE SOLID70 ELEMENT
TYPE,2
REAL,2
MAT,2
N,100,5,5,5             ! EXTRA "SPACE" NODE FOR RADIATION
ESURF,100               ! GENERATE SURF152 ELEMENTS
FINISH

/SOLU
SOLCONTROL,0
ANTYPE,TRANS            ! TRANSIENT ANALYSIS
D,100,TEMP,530          ! SPECIFY SURROUNDING ABSOLUTE TEMPERATURE
TUNIF,2000              ! INITIAL BILLET ABSOLUTE TEMPERATURE
AUTOTS,ON
KBC,1                   ! STEP SURROUNDING TEMPERATURE IN FIRST TIME STEP
DELTIM,0.005            ! INITIAL (MINIMUM) INTEGRATION TIME STEP
OUTRES,,ALL
OUTPR,NSOL,LAST
TIME,3.7                ! TRANSIENT TIME SPAN
SOLVE
FINISH

/POST26
NSOL,2,1,TEMP,,TEMP
PRVAR,2                 ! PRINT TEMPERATURE HISTORY OF BILLET
*GET,T,VARI,2,RTIME,3.7
*DIM,VALUE,,1,3
*DIM,LABEL,CHAR,1,2
LABEL(1,1) = 'TEMP (B) '
LABEL(1,2) = 'DEG R'
*VFILL,VALUE(1,1),DATA,1000
*VFILL,VALUE(1,2),DATA,T
*VFILL,VALUE(1,3),DATA,ABS(T/1000)
/COM
/OUT,vm192,vrt
/COM,------------------- VM192 RESULTS COMPARISON --------------
/COM,
/COM,  LOAD STP 4      |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F8.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm192,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM191 Input Listing 		Up / Home Next
VM193 Input Listing


VM193 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM193
/NOPR
/PREP7
SMRT,OFF
/TITLE, VM193, TWO DIMENSIONAL HEAT TRANSFER WITH CONVECTION
C***    "THE STANDARD NAFEMS BENCHMARKS", TEST NO. T4,
C***    NAFEMS, REV 3, OCTOBER 1990.
ANTYPE,STATIC
ET,1,PLANE55
MP,KXX,1,52.0
K,1
K,2,.6
K,3,.6,1.0
K,4,,1.0
K,5,.6,.2
L,1,2
L,2,5
L,5,3
L,3,4
L,4,1
AL,ALL
DK,1,TEMP,100,,1
DK,2,TEMP,100,,1
SFL,2,CONV,750.0,,0.0
SFL,3,CONV,750.0,,0.0
SFL,4,CONV,750.0,,0.0
FINISH
ADAPT,10,,5,0.2,1            ! FINAL PERCENT ERROR NEAR 5% WITHIN 10 LOOPS
/POST1
PLNSOL,TEMP                  ! DISPLAY TEMP CONTOURS IN FINAL MESH
*GET,TEPC,PRERR,,TEPC
KSEL,,,,5
NSLK
*GET,N1,NODE,,NUM,MAX
*GET,TEMP1,NODE,N1,TEMP
*status,parm
*DIM,VALUE,,1,3
*DIM,LABEL,CHAR,1,2
LABEL(1,1) = 'TEMP '
LABEL(1,2) = 'DEG C'
*VFILL,VALUE(1,1),DATA,18.3
*VFILL,VALUE(1,2),DATA,TEMP1
*VFILL,VALUE(1,3),DATA,ABS(TEMP1/18.3)
/COM
/OUT,vm193,vrt
/COM,------------------- VM193 RESULTS COMPARISON --------------
/COM,
/COM,  LOAD STP 4      |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F8.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm193,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM192 Input Listing 		Up / Home Next
VM194 Input Listing


VM194 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM194
/PREP7
/TITLE, VM194, ELEMENT BIRTH/DEATH IN A FIXED BAR WITH THERMAL LOADING
/COM    ANY STANDARD MECHANICS OF MATERIALS TEXT
ET,1,LINK1          ! 2-D SPAR ELEMENTS
MP,EX,1,30E6        ! BAR MATERIAL PROPERTIES
MP,ALPX,1,.00005
MP,EX,2,30E6
MP,ALPX,2,.00005    ! MATERIAL PROPERTIES FOR RE-BORN ELEMENT
MP,REFT,2,100       ! REFERENCE TEMPERATURE FOR ELEMENT BIRTH
R,1,1.0
N,1
N,4,10
FILL
E,1,2
EGEN,3,1,-1         ! GENERATE THREE ELEMENTS
FINISH

/SOLU
ANTYPE,STATIC
D,1,ALL,,,4,3       ! FIX BOTH ENDS OF THE BAR
TREF,0              ! ZERO REFERENCE TEMPERATURE
TUNIF,100           ! UNIFORM TEMPERATURE THERMAL LOAD
NROPT,FULL
OUTPR,BASIC,ALL
SOLVE
EKILL,2             ! KILL CENTER ELEMENT
SOLVE
EALIVE,2            ! RESURRECT CENTER ELEMENT
MPCHG,2,2           !  AND CHANGE TO MATERIAL 2 FOR STRAIN-FREE BIRTH
SOLVE
TUNIF,0             ! REMOVE THERMAL LOADING
SOLVE
/POST1
ESEL,S,ELEM,,1,2
ETABLE,FO,SMISC,1
ESORT,FO
*GET,F,SORT,,MAX
ETABLE,STR,LEPTH,1
ESORT,STR
*GET,S1,SORT,,MAX
*GET,S2,SORT,,MIN
*status,parm
*DIM,VALUE,,3,3
*DIM,LABEL,CHAR,3,2
LABEL(1,1) = 'PRESS ','MAX STRS ','MAX STRS '
LABEL(1,2) = 'psi','EL(1)','EL(2)'
*VFILL,VALUE(1,1),DATA,150000,0,-.005
*VFILL,VALUE(1,2),DATA,F,S1,S2
*VFILL,VALUE(1,3),DATA,ABS(F/150000),0,ABS(S2/.005)
/COM
/OUT,vm194,vrt
/COM,------------------- VM194 RESULTS COMPARISON --------------
/COM,
/COM,  LOAD STP 4      |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F8.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm194,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM193 Input Listing 		Up / Home Next
VM195 Input Listing


VM195 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM195
/PREP7
MP,PRXY,,0.3
/TITLE, VM195, TOGGLE MECHANISM
C*** KINEMATICS AND DYNAMICS OF MACHINES, MARTIN, 2ND ED., P 56, FIG 3-22
ET,1,COMBIN7
ET,2,BEAM4
ET,3,COMBIN14
ET,4,COMBIN7,,1                    ! LOCK-UP JOINT WHEN STOP ENGAGED
ET,5,LINK11
R,1,1E9,1E3,1E3,1E3                ! REVOLUTE JOINT, ALLOW 37 DEG. ROTATION
RMORE,,,,,0.6435,0.6435
R,2,.01,8.3333E-6,8.3333E-6,.1,.1  ! BEAM PROPERTIES
R,3,166.6667                       ! SPRING STIFFNESS
R,4,1E9,1E3,1E3,1E3                ! REVOLUTE JOINT, ALLOW 74 DEG. ROTATION
RMORE,,,,,1.287,1.287
DIST=(SQRT(12.2)-1)                ! DISTANCE TO MOVE ACTUATOR
R,5,(100/DIST)                     ! ACTUATOR STIFFNESS (F=100=KX)
MP,EX,1,1E9
N,1,,0.8
N,2,1.6,2.0
N,3,1.6,2.0
N,4,3.2,3.2
N,5
N,6,1.6,1.2
N,7,1.6,1.2
N,8,1.6,1.2
N,9,3.2
N,10,5
N,11,1.6,2.0,1
N,12,1.6,1.2,1
N,21,3.2,4.2
TYPE,1
REAL,1
E,2,3,11
E,6,8,12
E,6,7,12
TYPE,4
REAL,4
E,7,8,12
TYPE,2
REAL,2
E,1,2
E,2,4
E,3,6
E,5,7
E,8,9
TYPE,3
REAL,3
E,9,10
TYPE,5
REAL,5
E,4,21
D,1,UX,,,5,4,UY
D,9,UY
D,10,ALL,,,21,11
D,ALL,UZ
SFE,11,2,PRES,,102            ! ACTUATOR FORCE, INCREASE BY 2% TO ENSURE IMPACT
FINISH
/SOLU
NLGEOM,ON
NSUBST,5
CNVTOL,F,,,,1
CNVTOL,M,,,,0.5
OUTPR,,LAST
SOLVE
/POST1
*GET,UY,NODE,4,U,Y
*GET,UX,NODE,9,U,X
ESEL,S,ELEM,,10,10
ETABLE,FORCE,SMISC,1
ESORT,FORCE
*GET,F,SORT,,MIN
*status,parm
*DIM,VALUE,,3,3
*DIM,LABEL,CHAR,3,2
LABEL(1,1) = 'FORCE ','UY ','UX '
LABEL(1,2) = 'MAX','ND=4','ND=9'
*VFILL,VALUE(1,1),DATA,-133.33,-2.4,.8
*VFILL,VALUE(1,2),DATA,F,UY,UX
*VFILL,VALUE(1,3),DATA,ABS(F/133.33),ABS(UY/2.4),ABS(UX/.8)
/COM
/OUT,vm195,vrt
/COM,------------------- VM195 RESULTS COMPARISON --------------
/COM,
/COM,                  |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F8.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm195,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM194 Input Listing 		Up / Home Next
VM196 Input Listing


VM196 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM196
/PREP7
MP,PRXY,,0.3
SMRT,OFF
/TITLE, VM196, COUNTER-BALANCED LOADS ON A BLOCK
C***   ANY BASIC MECHANICS BOOK
C***   USING 3-D SOLID45
ET,1,SOLID45
MP,EX,1,70E9          ! ALUMINUM
MP,DENS,1,2712
MP,PRXY,1,0.3
WPOFFS,,,300          ! AXIS OF ROTATION 300 M
BLOCK,-1,1,-1,1,0,3   ! 3 M HIGH BY 2 M SQUARE
ESIZE,1
VMESH,ALL
DK,1,ALL              ! CONSTRAIN 6 DOF SUCH THAT NO ROTATIONS OCCUR
DK,4,UX
DK,6,UY
DK,7,UZ
SAVE                  ! SAVE DATABASE FOR SECOND SOLUTION
FINISH
*CREATE,SOLV3D,MAC    ! CREATE MACRO TO SOLVE AND RETRIEVE RESULTS
/SOLU
ANTYPE,STATIC
IRLF,1                ! INERTIA RELIEF CALCULATIONS
FK,5,FX,-2000
FK,5,FY,3000
OUTPR,RSOL,1          ! PRINT REACTION SOLUTION
SOLVE
IRLIST                ! LIST INERTIA RELIEF LOADS AND ACCELERATIONS
*GET,MX,ELEM,,MMOR,X
*GET,MY,ELEM,,MMOR,Y
*GET,MZ,ELEM,,MMOR,Z
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'MOM X ','MOM Y','MOM Z'
LABEL(1,2) = 'N-m','N-m','N-m'
*VFILL,VALUE(1,1),DATA,-909000,-606000,-5000
*VFILL,VALUE(1,2),DATA,MX,MY,MZ
*VFILL,VALUE(1,3),DATA,ABS(MX/909000),ABS(MY/606000),ABS(MZ/5000)
FINISH
*END

SOLV3D                ! EXECUTE MACRO TO SOLVE AND RETRIEVE RESULTS
SAVE,TABLE_1

/CLEAR, NOSTART       ! CLEAR DATABASE FOR 2ND SOLUTION
/TITLE, VM196, COUNTER-BALANCED LOADS ON A BLOCK
C***   USING 3-D SOLID185
/PREP7
SMRT,OFF
RESUME                ! RESUME DATABASE
ET,1,SOLID185         ! ANALYZE AGAIN USING 3-D SOLID185
FINISH

SOLV3D                ! EXECUTE MACRO TO SOLVE AND RETRIEVE RESULTS
SAVE,TABLE_2
/NOPR
RESUME,TABLE_1
/GOPR
/COM
/OUT,vm196,vrt
/COM,------------------- VM196 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM, SOLID45
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM, SOLID185
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F5.3)
/COM,-----------------------------------------------------------
/COM,
/COM,-----------------------------------------------------------
/COM,NOTE: THERE ARE VERIFIED RESULTS IN VM196  NOT CONTAINED IN
/COM,THIS TABLE
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm196,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM195 Input Listing 		Up / Home Next
VM197 Input Listing


VM197 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM197
/PREP7
/TITLE, VM197, IGES WRITE/READ FOR THICK-WALLED CYLINDER WITH SPHERICAL END CAPS
/COM,   ANY BASIC GEOMETRY TEXT

RADIUS=20                                ! INSIDE RADIUS
THICK=10                                 ! WALL THICKNESS
LENGTH=50                                ! CYLINDER LENGTH (WITHOUT END CAPS)

CYLIND,RADIUS,RADIUS+THICK,0,LENGTH,90,270    ! CREATE HOLLOW CYLINDER
WPROTA,,90                      ! ROTATE WORKING PLANE FOR CREATION OF END CAPS
SPHERE,RADIUS,RADIUS+THICK,180,270     ! CREATE END CAP AT ONE END OF CYLINDER
WPOFFS,,LENGTH                         ! MOVE WORKING PLANE TO OTHER END OF CYL
SPHERE,RADIUS,RADIUS+THICK,90,180      ! CREATE END CAP AT OTHER END OF CYLINDER

/VIEW,1,1,1,1           ! SET VIEW DIRECTION FOR DISPLAY
/TYPE,1,4               ! SET TYPE OF DISPLAY TO PRECISE HIDDEN
/TRIAD,OFF              ! TURN OFF COORDINATE SYSTEM TRIAD ON DISPLAYS
WPSTYL,,,,,,,OFF        ! TURN OFF WORKING PLANE TRIAD ON DISPLAYS
VPLOT

IGESOUT,VM197,IGS            ! WRITE IGES FILE NAMED VM197.IGS
FINISH
PARSAV,ALL                   ! SAVE PARAMETERS (TO BE AVAILABLE AFTER CLEAR)
/CLEAR, NOSTART
/AUX15
IOPTN,IGES,SMOOTH            ! SELECT SMOOTH GEOMETRY IGES IMPORT
IOPTN,MERGE,YES
IOPTN,SOLID,YES
IGESIN,VM197,IGS             ! READ IN IGES FILE NAMED VM197.IGS
FINISH
/PREP7
VSUM                         ! PERFORM VSUM FOR SUBSEQUENT *GET OF TOT VOLUME

PARRES                       ! RESUME PARAMETERS SAVED PRIOR TO CLEAR
*GET,VOLUME,VOLU,,VOLU       ! VOLUME = TOTAL VOLUME OF GEOMETRY THAT WAS READ
                             ! IN FROM IGES FILE (FROM VSUM)

PI=(4.0)*ATAN(1.0)                     ! HAVE ANSYS CALCULATE VALUE FOR PI
CAPVOL=2/3*PI*(((RADIUS+THICK)**3)-(RADIUS**3))  ! CALC VOL OF TWO END CAPS
CYLVOL=.5*LENGTH*PI*(((RADIUS+THICK)**2)-(RADIUS**2)) ! CALC VOL OF THE CYLINDER
CALCVOL=CAPVOL+CYLVOL        ! TOTAL CALC'D VOL = CYL VOL + END CAPS VOL

NORMVOL=VOLUME/CALCVOL       ! NORMALIZE ANSYS'S VOLUME BY CALCULATED VOLUME

CAPVOL=                      ! DELETE PARAMETERS USED IN CALC. OF VOLUME
CYLVOL=
PI=
RADIUS=                      ! DELETE PARAMETERS USED IN MODEL GENERATION
THICK=
LENGTH=
*DIM,VALUE,,1,3
*DIM,LABEL,CHAR,1,2
LABEL(1,1) = 'VOLUME '
LABEL(1,2) = 'NO UNTS'
*VFILL,VALUE(1,1),DATA,79063
*VFILL,VALUE(1,2),DATA,VOLUME
*VFILL,VALUE(1,3),DATA,ABS(VOLUME/79063)
/COM
/OUT,vm197,vrt
/COM,------------------- VM197 RESULTS COMPARISON --------------
/COM,
/COM,                  |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.0,'  ',F10.0,'   ',1F8.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
/NOPR
/DELETE,VM197,IGS
FINISH
*LIST,vm197,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM196 Input Listing 		Up / Home Next
VM198 Input Listing


VM198 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM198
/SHOW,,,1
EL='VISCO106'
*DIM,A,CHAR,2              ! DEFINE AND DIMENSION THE CHARACTER PARAMETER A
A(1)='UX','UY'             ! SET CHARACTER STRINGS AS VALUES OF CHARACTER
!                             PARAMETER A
!         ANALYZE THE PROBLEM WITH ELEMENT VISCO106
/PREP7
/TITLE, VM198, LARGE STRAIN IN-PLANE TORSION TEST (%EL%)
!       "SOME COMPUTATIONAL ASPECTS ....",NAGTEGAAL ET AL.
ET,1,VISCO106              ! 2-D 4-NODE VISCOPLASTIC ELEMENT
MP,EX,1,7200
MP,NUXY,1,0.33
TB,BISO,1                  ! BILINEAR ISOTROPIC HARDENING
TBDATA,1,10                ! YIELD STRESS
TBDATA,2,40                ! TANGENT MODULUS
SAVE                       ! SAVE DATABASE FOR LATER USE
CSYS,1
N,1,10
N,11,20
FILL
NGEN,2,100,1,11,1,,3
E,1,2,102,101
EGEN,10,1,1,1
!         APPLY BOUNDARY CONDITIONS
NSEL,S,LOC,X,20
D,ALL,ALL                  ! CLAMP OUTER SURFACE
NSEL,ALL
!         ROTATE APPROPRIATE NODES AND APPLY COUPLING
LOCAL,11,0,,,,3
NROTAT,101,111
CSYS,0
CP,1,A(1),2,102            ! USE A(1) VALUE FOR DOF LABEL
CP,2,A(2),2,102            ! USE A(2) VALUE FOR DOF LABEL
CPSGEN,9,1,1,2,1
FINISH
/OUTPUT,SCRATCH            ! DIVERT VOLUMINOUS SOLUTION OUTPUT
/SOLU
!     CREATE SOLUTION OPTIONS AND LOADING MACRO FOR MULTIPLE USE
*CREATE,SOLD,MAC
   SOLCONTROL,0
   ANTYPE,STATIC
   NLGEOM,ON                  ! LARGE STRAIN OPTION ACTIVATED
   NEQIT,100                  ! 100 EQUILIBRIUM ITERATIONS ALLOWED
   CUTC,PLSLIMIT,0.5          ! RESET MAXIMUM PLASTIC INCREMENTAL STRAIN
   D,ARG1,ARG2,,,ARG3,ARG4,ARG5
   SOLVE
   OUTRES,ESOL,1              ! STORE RESULTS FOR EVERY SUBSTEP
   NSTP = 10                  ! NO. OF LOAD STEPS USED
   T1   = 60/NSTP             ! ROTATION PER LOAD STEP
   T2   = 3.1415927/180       ! PARAMETER FOR FURTHER CALCULATIONS
   T33  = T1*T2               ! DEGREES TO RADIANS CONVERSION
   *DO,I,1,NSTP               ! USE DO LOOP FOR LOADING
       T3   = (I*T33)         ! CURRENT ANGLE
       T4   = (10*SIN(T3))    ! UY DISPLACEMENT
       T5   = (10*COS(T3))
       T5   = (T5-10)         ! UX DISPLACEMENT
       D,ARG1,ARG2,T5,,ARG3,ARG4
       D,ARG1,ARG5,T4,,ARG3,ARG4
       SOLVE
   *ENDDO
*END
SOLD,1,A(1),101,100,A(2)      ! USE A(1) AND A(2) AS ARG2 AND ARG5 VALUES FOR
FINISH                        !  DOF LABELS
/OUTPUT
!         CREATE POST PROCESSING MACRO FOR MULTIPLE USE
*CREATE,POSP,MAC
   !COM      PLOT THE FINAL DISPLACED GEOMETRY USING POST1
   /POST1
   SET,NSTP+1
   /DSCALE,1,1
   /DIST,1,13
   PLDISP,1
   /DIST,1
   FINISH
   !         OBTAIN MAXIMUM SHEAR STRESS USING POST26
   /POST26
   ESOL,2,1,1,S,1
   ESOL,3,1,1,S,3
   FILLDATA,5,1,,,0,6
   ADD,4,2,3,,SHEAR,,,-1/2,1/2         ! COMPUTE MAX. SHEAR USING
                                       !  PRINCIPAL STRESSES
   PRVAR,4,5
   /GRID,1
   /XRANGE,0,60
   /YRANGE,-60,0
   /AXLAB,X,ROTATION (DEGREES)
   /AXLAB,Y,SHEAR STRESS (PSI)
   XVAR,5
   PLVAR,4
   *GET,P1,VARI,4,RTIME,11
   *DIM,LABEL,CHAR,1,2
   *DIM,VALUE,,1,3
   LABEL(1,1) = 'PRS MAX '
   LABEL(1,2) = 'psi'
   *VFILL,VALUE(1,1),DATA,-48
   *VFILL,VALUE(1,2),DATA,P1
   *VFILL,VALUE(1,3),DATA,ABS(P1/48)
   FINISH
*END
POSP
SAVE,TABLE_1
/CLEAR, NOSTART
!         ANALYZE THE SAME PROBLEM WITH ELEMENT VISCO108
/PREP7
RESUME
EL='VISCO108'
/STATUS,TITLE                  ! DISPLAY TITLE WITH NEW VALUE OF PARAMETER EL
ET,1,VISCO108                  ! 2-D, 8-NODE VISCOPLASTIC ELEMENT
N,1,10
N,21,20
FILL
CSYS,1
NGEN,3,30,1,21,1,,1.5
E,1,3,63,61,2,33,62,31
EGEN,10,2,1,1,1
NSLE
NSEL,INVE
NDELE,ALL
!         APPLY BOUNDARY CONDITIONS
NSEL,S,LOC,X,20
D,ALL,ALL
!         ROTATE APPROPRIATE NODES AND APPLY COUPLING
NSEL,S,NODE,,61,81
LOCAL,11,0,,,,3
NROTAT,ALL
NSEL,S,NODE,,31,51,2
LOCAL,12,0,,,,1.5
NROTAT,ALL
NSEL,ALL
CSYS,0
CP,1,A(1),3,33,63
CP,2,A(2),3,33,63
CPSGEN,9,2,1,2,1
CP,21,A(1),2,62
CP,22,A(2),2,62
CPSGEN,10,2,21,22,1
FINISH
/OUTPUT,SCRATCH            ! DIVERT VOLUMINOUS SOLUTION OUTPUT
/SOLU
SOLD,1,A(1),61,30,A(2)
FINISH
/OUTPUT
!          POSTPROCESS SOLUTION RESULTS USING POSP MACRO
POSP
SAVE,TABLE_2
/CLEAR, NOSTART
!         ANALYZE THE SAME PROBLEM WITH ELEMENT VISCO107
/PREP7
RESUME
EL='VISCO107'
/STATUS,TITLE              ! DISPLAY TITLE WITH NEW VALUE OF PARAMETER EL
ET,1,VISCO107
CSYS,1
N,1,10
N,11,20
FILL
NGEN,2,100,1,11,1,,3
NGEN,2,200,1,111,1,,,1
E,1,2,102,101,201,202,302,301
EGEN,10,1,1,1
!          APPLY BOUNDARY CONDITIONS
D,ALL,UZ
NSEL,S,LOC,X,20
D,ALL,ALL                  ! CLAMP OUTER SURFACE
NSEL,ALL
!          ROTATE APPROPRIATE NODES AND APPLY COUPLING
LOCAL,11,0,,,,3
NROTAT,101,111
NROTAT,301,311
CSYS,0
CP,1,A(1),2,102,202,302
CP,2,A(2),2,102,202,302
CPSGEN,9,1,1,2,1
FINISH
/OUTPUT,SCRATCH            ! DIVERT VOLUMINOUS SOLUTION OUTPUT
/SOLU
SOLD,1,A(1),301,100,A(2)
FINISH
/OUTPUT
POSP                       ! POSTPROCESS RESULTS USING POSP MACRO
SAVE,TABLE_3
RESUME,TABLE_1
/COM
/OUT,vm198,vrt
/COM,------------------- VM198 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,RESULTS USING VISCO106
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/NOPR
RESUME,TABLE_3
/GOPR
/COM,
/COM,RESULTS USING VISCO107
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,RESULTS USING VISCO108
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
/NOPR
/DELETE,POSP,MAC
/DELETE,SOLD,MAC
/DELETE,TABLE_1
/DELETE,TABLE_2
/DELETE,TABLE_3
FINISH
*LIST,vm198,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM197 Input Listing 		Up / Home Next
VM199 Input Listing


VM199 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM199
/PREP7
/TITLE, VM199, VISCOPLASTIC ANALYSIS OF A BODY UNDERGOING SHEAR DEFORMATION
!              " AN IMPLICIT STRESS UPDATE ....", LWO ET AL.
!           VISCO106 ELEMENT
ET,1,VISCO106                   ! 2-D, 4-NODE VISCOPLASTIC ELEMENT
MP,EX,1,60.6E9
MP,NUXY,1,0.4999
TB,ANAND,1                      ! VISCOPLASTIC MODEL BY ANAND
TBDATA,1,29.7E6
TBDATA,2,21.08999E3
TBDATA,3,1.91E7
TBDATA,4,7.0
TBDATA,5,0.23348
TBDATA,6,1115.6E6
TBDATA,7,18.92E6
TBDATA,8,0.07049
TBDATA,9,1.3
SAVE                            ! SAVE DATABASE FOR LATER USE
N,1
N,2,1E-2
N,3,1E-2,1E-2
N,4,,1E-2
E,1,2,3,4
D,1,ALL,,,2
FINISH
/OUTPUT,SCRATCH                 ! DIVERT VOLUMINOUS SOLUTION OUTPUT
/SOLU
SOLCONTROL,0
ANTYPE,STATIC
NLGEOM,ON                       ! LARGE DEFORMATION ACTIVATED
OUTRES,RSOL,ALL                 ! STORE REACTION RESULTS FOR ALL SUBSTEPS
BFUNIF,TEMP,673                 ! UNIFORM TEMPERATURE OF 673 K
D,3,ALL,0.0,,4
TIME,0.000001                   ! NEAR ZERO TIME FOR FIRST LOAD STEP
SOLVE
NSUBST,20
D,3,UX,0.2E-2,,4
TIME,20
SOLVE
FINISH
/OUTPUT
/POST26
RFORCE,2,3,F,X
RFORCE,3,4,F,X
ADD,4,2,3,,LOAD,,,(1/100),(1/100)
!         THE FX FORCE IS DIVIDED BY 100 BECAUSE THE DEFAULT OUT-
!          OF-PLANE THICKNESS IS 1 METER WHILE PROBLEM CONSIDERED
!          HAS OUT-OF-PLANE THICKNESS OF 0.01 METER WHICH IS 100
!          TIMES LESS THAN 1 METER.
PRVAR,4
*GET,F1,VARI,4,RTIME,20
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'Fx '
LABEL(1,2) = 'N'
*VFILL,VALUE(1,1),DATA,845
*VFILL,VALUE(1,2),DATA,F1
*VFILL,VALUE(1,3),DATA,ABS(F1/845)
SAVE,TABLE1
FINISH
/CLEAR, NOSTART
!         VISCO108 ELEMENT TYPE
/PREP7
RESUME
ET,1,VISCO108                   ! 2-D, 8-NODE VISCOPLASTIC ELEMENT
N,1
N,2,1E-2
N,3,1E-2,1E-2
N,4,,1E-2
N,5,0.5E-2
N,6,1E-2,0.5E-2
N,7,0.5E-2,1E-2
N,8,,0.5E-2
E,1,2,3,4,5,6,7,8
D,1,ALL
D,2,ALL
D,5,ALL
FINISH
/OUTPUT,SCRATCH                 ! DIVERT VOLUMINOUS SOLUTION OUTPUT
/SOLU
SOLCONTROL,0
NLGEOM,ON                       ! LARGE DEFORMATION ACTIVATED
OUTRES,RSOL,ALL                 ! STORE REACTION RESULTS FOR ALL SUBSTEPS
BFUNIF,TEMP,673                 ! UNIFORM TEMPERATURE OF 673 K
D,3,ALL,0.0,,8
TIME,0.000001                   ! NEAR ZERO TIME FOR FIRST LOAD STEP
SOLVE
NSUBST,20
D,3,UX,0.2E-2,,4
D,7,UX,0.2E-2
D,6,UX,0.1E-2,,8,2
TIME,20
SOLVE
FINISH
/OUTPUT
/POST26
RFORCE,2,3,F,X
RFORCE,3,4,F,X
RFORCE,4,7,F,X
ADD,5,2,3,4,LOAD,,,(1/100),(1/100),(1/100)
PRVAR,5
*GET,F1,VARI,5,RTIME,20
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'Fx '
LABEL(1,2) = 'N'
*VFILL,VALUE(1,1),DATA,845
*VFILL,VALUE(1,2),DATA,F1
*VFILL,VALUE(1,3),DATA,ABS(F1/845)
SAVE,TABLE2
FINISH

/CLEAR, NOSTART
!         VISCO107 ELEMENT
/PREP7
RESUME
ET,1,VISCO107             !3-D, 8-NODE VISCOPLASTIC ELEMENT
N,1
N,2,1E-2
N,3,1E-2,1E-2
N,4,,1E-2
NGEN,2,4,1,4,1,,,1E-2
E,1,2,3,4,5,6,7,8
D,1,ALL,,,2
D,5,ALL,,,6
FINISH
/OUTPUT,SCRATCH                 ! DIVERT VOLUMINOUS SOLUTION OUTPUT
/SOLU
SOLCONTROL,0
NLGEOM,ON                       ! LARGE DEFORMATION ACTIVATED
OUTRES,RSOL,ALL                 ! STORE REACTION RESULTS FOR ALL SUBSTEPS
BFUNIF,TEMP,673                 ! UNIFORM TEMPERATURE OF 673 K
D,3,ALL,0.0,,8
TIME,0.000001                   ! NEAR ZERO TIME FOR FIRST LOAD STEP
SOLVE
NSUBST,20
D,3,UX,0.2E-2,,4
D,7,UX,0.2E-2,,8
TIME,20
SOLVE
FINISH
/OUTPUT
/POST26
RFORCE,2,3,F,X
RFORCE,3,4,F,X
RFORCE,4,7,F,X
RFORCE,5,8,F,X
ADD,6,2,3,4
ADD,7,6,5,,LOAD
PRVAR,7
*GET,F1,VARI,7,RTIME,20
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'Fx '
LABEL(1,2) = 'N'
*VFILL,VALUE(1,1),DATA,845
*VFILL,VALUE(1,2),DATA,F1
*VFILL,VALUE(1,3),DATA,ABS(F1/845)
/COM
/OUT,vm199,vrt
/COM,------------------- VM199 RESULTS COMPARISON --------------
/COM,
/COM,                  |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,VISCO107 RESULTS:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F8.3)
/NOPR
RESUME,TABLE1
/GOPR
/COM,
/COM,VISCO106 RESULTS:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F8.3)
/NOPR
RESUME,TABLE2
/GOPR
/COM,
/COM,VISCO108 RESULTS:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F8.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm199,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM198 Input Listing 		Up / Home Next
VM200 Input Listing


VM200 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM200
/PREP7
/TITLE, VM200, VISCOELASTIC SANDWICH SEAL ANALYSIS
/COM,    ----- 2-D ANALYSIS -----
/COM,    "FE CALCULATIONS OF RESIDUAL STRESSES ....",SOULES ET AL.
ET,1,VISCO88,,,1            ! AXISYMMETRIC 2-D VISCOELASTIC ELEMENT
*CREATE,MAC1                ! MACRO FOR MATERIAL PROPERTIES
/COM,    MATERIAL ONE IS G-11 GLASS AND MATERIAL TWO IS ALUMINA
/COM,    NOTE THAT ALUMINA IS AN ELASTIC MATERIAL THEREFORE IT
/COM,     DOES NOT HAVE VISCOELASTICITY AND STRUCTURAL RELAXATION
/COM,    MATERIAL PROPERTIES OF ALUMINA
TB,EVISC,2
TBDATA,31,52.6E-7           ! THERMAL EXPANSION COEFFICENTS FOR ALUMINA
TBDATA,32,.119E-7           !    LOCATIONS 31-33
TBDATA,33,-1.0E-11
TBDATA,46,1.435E5           ! SHEAR MODULUS AT TIME = 0
TBDATA,47,1.435E5           ! SHEAR MODULUS AT TIME = INFINITY
TBDATA,48,3.11E5            ! BULK MODULUS AT TIME  = 0
TBDATA,49,3.11E5            ! BULK MODULUS AT TIME  = INFINITY
/COM,    MATERIAL PROPERTIES OF G-11 GLASS
TB,EVISC,1
TBDATA,1,6.45D4             ! H/R
TBDATA,2,0.53               ! VALUE OF X
TBDATA,3,6                  ! NO. OF MAXWELL ELEMENTS FOR STRUCTURAL RELAXATION
TBDATA,6,0.108              ! COEFFICIENTS OF THE MAXWELL ELEMENTS FOR
TBDATA,7,0.443              !    VOLUME DECAY (STRUCTURAL RELAXATION)
TBDATA,8,0.166              !    LOCATIONS 6-11
TBDATA,9,0.161
TBDATA,10,0.046
TBDATA,11,0.076
TBDATA,16,3.00              ! RELAXATION TIMES FOR VOLUME DECAY FUNCTION
TBDATA,17,0.671             !   LOCATIONS 16-21
TBDATA,18,0.247
TBDATA,19,0.091
TBDATA,20,0.033
TBDATA,21,0.008
TBDATA,26,3.43E-5           ! THERMAL EXPANSION COEFF. IN LIQUID STATE
TBDATA,31,64.7E-7           ! THERMAL EXPANSION COEFF. IN GLASS (SOLID) STATE
TBDATA,32,.02E-7            !      LOCATIONS 31-32
TBDATA,36,618               ! FICTIVE TEMPERATURE LOCATIONS 36-41
TBDATA,37,618
TBDATA,38,618
TBDATA,39,618
TBDATA,40,618
TBDATA,41,618
TBDATA,46,2.79D4            ! SHEAR MODULUS AT TIME = 0
TBDATA,47,0.0D0             ! SHEAR MODULUS AT TIME = INFINITY
TBDATA,48,6.05D4            ! BULK MODULUS AT TIME = 0
TBDATA,49,6.05D4            ! BULK MODULUS AT TIME = INFINITY
TBDATA,50,3                 ! THREE MAXWELL ELEMENTS FOR SHEAR RELAXATION
TBDATA,51,0.422             ! COEFF. FOR SHEAR RELAXATION LOCATIONS 51-53
TBDATA,52,0.423
TBDATA,53,0.155
TBDATA,61,0.0689            ! RELAXATION TIMES FOR SHEAR RELAXATION
TBDATA,62,0.0065            !    LOCATIONS 61-63
TBDATA,63,0.0001
TBDATA,71,0                 ! NO BULK MODULUS RELAXATION
*END
*USE,MAC1                   ! EXECUTE MACRO FOR MATERIAL PROPERTIES
:COM,   CREATE FINITE ELEMENT MODEL
N,1,
N,3,,0.00025
FILL
N,5,0,(0.00025+0.00325)
FILL
NGEN,3,10,1,5,1,.001
MAT,2
E,1,21,23,3,11,22,13,2
MAT,1
E,3,23,25,5,13,24,15,4
/COM,    APPLY BOUNDARY CONDITIONS AND COUPLING
NSEL,S,LOC,Y
DSYM,SYMM,Y
NSEL,S,LOC,X
DSYM,SYMM,X
NSEL,ALL
D,1,ALL
CP,1,UX,21,22,23,24,25
CP,2,UY,2,22
CP,3,UY,3,13,23
CPSGEN,2,2,2,3,1
FINISH
/COM    SINCE THE SOLUTION OUTPUT IS VOLUMINOUS IT IS DIVERTED TO A
/COM     SCRATCH FILE
/OUTPUT,SCRATCH
*CREATE,MAC2                   ! CREATE MACRO FOR ANALYSIS TYPE AND LOADING
/SOLU
SOLCONTROL,0
ANTYPE,STATIC
/COM,    TEMPERATURE SET UP
TREF,618
TOFFST,273
TUNIF,618
TIME,1E-5
CNVTOL,F,,,,.00001             ! VERY SMALL MINIMUM ENFORCED
                               !  FOR CONVERGENCE
SOLVE
OUTRES,ESOL,1                  ! STORE RESULTS FOR EVERY SUBSTEP
NSUBST,200
TUNIF,460                      ! COOLING
TIME,3160
SOLVE
TIME,(14400+3160)              ! ISOTHERMAL HOLD
SOLVE
TUNIF,18                       ! FURTHER COOLING
TIME,(14400+12000)
SOLVE
*END
FINISH
*USE,MAC2                      ! EXECUTE ANALYSIS AND LOADING MACRO
/OUTPUT
/POST26
ESOL,2,2,,BFE,TEMP
ESOL,3,2,3,S,X,STRESS
*CREATE,MAC3                   ! MACRO FOR PROCESSING RESULTS
XVAR,2
/GRID,1
/AXLAB,X,TEMPERATURE
/AXLAB,Y,IN-PLANE STRESS (MPA)
PLVAR,3
*GET,MXSX,VARI,3,EXTREM,VMAX   ! MAXIMUM IN-PLANE STRESS
NSTORE,20                      ! STORE EVERY 20TH TIME POINT RESULTS
PRVAR,2,3
*END
*USE,MAC3                      ! EXECUTE POSTPROCESSING MACRO
*SET,P1,(MXSX)
*GET,T1,VARI,3,EXTREM,TMAX
*GET,TE,VARI,2,RTIME,T1
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'PRES MX ','TEMP '
LABEL(1,2) = 'MPa','DEG C'
*VFILL,VALUE(1,1),DATA,12.5,460
*VFILL,VALUE(1,2),DATA,P1,TE
*VFILL,VALUE(1,3),DATA,ABS(P1/12.5),ABS(TE/460)
SAVE,TABLE_1
FINISH
/CLEAR,NOSTART                 ! CLEAR THE DATABASE
/PREP7
/TITLE, VM200, VISCOELASTIC SANDWICH SEAL ANALYSIS
/COM,    ----- 3-D ANALYSIS -----
ET,1,89                        ! 3-D VISCOELASTIC ELEMENT
*USE,MAC1                      ! EXECUTE MACRO FOR MATERIAL PROPERTIES
/COM,   CREATE FINITE ELEMENT MODEL
N,1,
N,3,0.00025
FILL
N,5,(0.00025+0.00325)
FILL
NGEN,3,10,1,5,1,,.001
NGEN,3,100,1,25,1,,,0.001
MAT,2
E,1,3,23,21,201,203,223,221
EMORE,2,13,22,11,202,213,222,211
EMORE,101,103,123,121
EGEN,2,2,1,1,1,-1
NSLE,S
NSEL,INVE
NDELE,ALL
NSLE,S
/COM,    APPLY BOUNDARY CONDITIONS AND COUPLING
NSEL,S,LOC,Y
DSYM,SYMM,Y
NSEL,S,LOC,X
DSYM,SYMM,X
NSEL,S,LOC,Z
DSYM,SYMM,Z
NSEL,S,LOC,Y,0.002
CP,1,UY,ALL
NSEL,S,LOC,Z,0.002
CP,2,UZ,ALL
NSEL,S,LOC,X,0.00025
CP,3,UX,ALL
NSEL,S,LOC,X,0.0035
CP,4,UX,ALL
NSEL,ALL
FINISH
/COM,    SINCE THE SOLUTION OUTPUT IS VOLUMINOUS IT IS DIVERTED TO A
/COM,     SCRATCH FILE
/OUTPUT,SCRATCH
*USE,MAC2                       ! EXECUTE ANALYSIS AND LOADING MACRO
/OUTPUT
/POST26
ESOL,2,2,,BFE,TEMP
ESOL,3,2,3,S,Y,STRESS
*USE,MAC3                       ! EXECUTE POSTPROCESSING MACRO
*SET,P2,(MXSX)
*GET,T2,VARI,3,EXTREM,TMAX
*GET,TE2,VARI,2,RTIME,T2
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'PRES MX ','TEMP '
LABEL(1,2) = 'MPa','DEG C'
*VFILL,VALUE(1,1),DATA,12.5,460
*VFILL,VALUE(1,2),DATA,P2,TE2
*VFILL,VALUE(1,3),DATA,ABS(P2/12.5),ABS(TE2/460)
SAVE,TABLE_2
RESUME,TABLE_1
/COM
/OUT,vm200,vrt
/COM,------------------- VM200 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,RESULTS USING VISCO88
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,RESULTS USING VISCO89
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
/NOPR
/DELETE,TABLE_1
/DELETE,TABLE_2
/DELETE,MAC1
/DELETE,MAC2
/DELETE,MAC3
FINISH
*LIST,vm200,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM199 Input Listing 		Up / Home Next
VM201 Input Listing


VM201 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM201
R = 200                        ! RADIUS OF CYLINDER (mm)
/PREP7
smrt,off
/TITLE, VM201, RUBBER CYLINDER PRESSED BETWEEN TWO PLATES
/COM    REF: T. SUSSMAN, K.J. BATHE, "A FE FORMULATION FOR NONLINEAR ..."
/COM         COMPUTERS & STRUCTURES, VOL. 26, NOS. 1/2, 1987
ET,1,PLANE182, , ,2            ! 2-D PLANE-STRAIN 4-NODE STRUCTURAL SOLID
KEYOPT,1,6,1
ET,2,CONTA175                  ! 2-D 1-NODE NODE-TO-SURFACE CONTACT ELEMENT
R,2, , ,-2000                  ! SET SURFACE STIFFNESS
ET,3,TARGE169                  ! 2-D TARGET ELEMENT
MP,EX,1,2.82                   ! YOUNG'S MODULUS [MPA]
MP,NUXY,1,0.49967              ! POISSON'S RATIO
C10 = 0.293
C01 = 0.177
NU1 = 0.49967
DD  = 2*(1-2*NU1)/(C10+C01)
TB,HYPER,1,1,2,MOONEY
TBDATA,1,C10,C01,DD
CSYS,1                         ! SWITCH TO CYLINDRICAL C.S.
K,1                            ! DEFINE KEYPOINTS
K,2,R,-90
K,3,R
K,4,(0.5*R),-90
K,5,(0.6*R),-45
K,6,(0.5*R)
K,7,R,-45
L,2,7
L,7,3
CSYS,0                         ! SWITCH TO CARTESIAN C.S.
A,2,7,5,4
A,7,3,6,5
A,4,5,6,1
ESIZE,,4                       ! SET ELEMENT DIVISION SIZE
AMESH,ALL                      ! MESH ALL AREAS
SAVE                           ! SAVE MODEL FOR MORE ANALYSIS
N,1001,(-2*R),-R               ! TARGET SURFACE NODES
N,1002,(2*R) ,-R
NSEL,S,NODE,,1001,1002
TYPE,3
REAL,2
TSHAP,LINE                     ! SET TARGET SHAPE TO LINE
E,1002,1001                    ! GENERATE RIGID TARGET
D,ALL,ALL,0                    ! FIX TARGET
NSEL,S,LOC,X                   ! SELECT LEFT EDGE
D,ALL,UX                       ! CONSTRAIN LEFT EDGE IN UX
NSEL,S,LOC,Y                   ! SELECT TOP EDGE
CP,1,UY,ALL                    ! COUPLE TOP EDGE IN UY
*GET,NCEN,NODE,,NUM,MIN        ! GET MINIMUM NODE NUMBER FROM SELECTED SET
NSEL,ALL
CSYS,1                         ! SWITCH TO CYLINDRICAL C.S.
ESEL,S,TYPE,,1
NSLE
NSEL,R,LOC,X,R
TYPE,2
REAL,2
ESURF                          ! DEFINE CONTACT ELEMENTS
ALLSEL,ALL
CSYS,0
SAVE,CONT2D                    ! SAVE 2D CONTACT MODEL FOR SECOND ANALYSIS
FINISH

*CREATE,SOLVIT,MAC             ! MACRO TO SOLVE MODEL
 /SOLU
 ANTYPE,STATIC
 CNVTOL,F,,,,-1
 NLGEOM,ON                     ! INCLUDE LARGE DEFORMATION EFFECTS
 NSUBST,6                      ! SPECIFY NUMBER OF SUBSTEPS IN LOAD STEP
 OUTRES,,1                     ! WRITE SOLUTION FOR EVERY SUBSTEP
 D,NCEN,UY,-100                ! APPLY DISPLACEMENT UY = -100 TO COUPLED NODES
 SOLVE
 FINISH
*END
SOLVIT                         ! USE MACRO SOLVIT

*CREATE,PLOTS,MAC              ! MACRO FOR POST-PROCESSING
 /POST1
 /DSCALE,1,1
 PLDISP,1                      ! PLOT DISPLACED SHAPE
 FINISH
 /POST26
 /AXLAB,Y,FORCE
 /AXLAB,X,DISPLACEMENT
 NSOL,2,NCEN,U,Y
 RFORCE,3,NCEN,F,Y
 PROD,2,2,,,,,,-2
 PROD,3,3,,,,,,-2
 XVAR,2
 PLVAR,3                       ! PLOT DISPLACEMENT VS FORCE
 PRVAR,2,3                     ! PRINT DISPLACEMENT, FORCE
 *GET,F1,VARI,3,RTIME,.5
 *GET,F2,VARI,3,RTIME,1
 *DIM,LABEL,CHAR,2,2
 *DIM,VALUE,,2,3
 LABEL(1,1) = 'F (N) @ ','F (N) @ '
 LABEL(1,2) = '.1','.2'
 *VFILL,VALUE(1,1),DATA,250,1400
 *VFILL,VALUE(1,2),DATA,F1,F2
 *VFILL,VALUE(1,3),DATA,ABS(F1/250),ABS(F2/1400)
 FINISH
*END
PLOTS                          ! USE MACRO PLOTS
SAVE,TABLE_1

RESUME
/PREP7
SMRT,OFF
ET,5,SOLID185                  ! 3-D 8-NODE STRUCTURAL SOLID
KEYOPT,5,6,1
ET,6,CONTA175                  ! 3-D 1-NODE NODE-TO-SURFACE CONTACT ELEMENT
R,6, , ,-2000,-0.1,
ET,7,TARGE170                  ! 3-D TARGET ELEMENT
ET,8,MESH200,6                 ! 2-D 4-NODED QUAD
R,8,0.05
ALLSEL
TYPE,5
ESIZE,,1
VEXT,ALL,,,,,1
N,1001,,-R                     ! CREATE TARGET PLANE OF NODES
N,1002,2*R,-R
N,1003,2*R,-R,8*R
N,1004,,-R,8*R
TYPE,8
REAL,8
E,1002,1001,1004,1003
NSEL,S,NODE,,1001,1004
TYPE,7
REAL,6
ESURF                          ! GENERATE TARGET ELEMENTS
D,ALL,ALL,0
CSYS,1                         ! SWITCH TO CYLINDRICAL C.S.
ESEL,S,TYPE,,5
NSLE
NSEL,R,LOC,X,R
ESEL,S,TYPE,,5,7
TYPE,6
REAL,6
ESURF
CSYS,0                         ! SWITCH TO CARTESIAN C.S.
NSEL,ALL
D,ALL,UZ                       ! CONSTRAIN ALL NODES IN Z (PLANE STRAIN)
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
CP,1,UY,ALL                    ! COUPLE TOP NODES IN Y
*GET,NCEN,NODE,,NUM,MIN
ESEL,S,TYPE,,5,7
NSLE
SAVE,CONT3D                    ! SAVE 3D CONTACT MODEL FOR SECOND ANALYSIS
FINISH
SOLVIT                         ! USE MACRO TO OBTAIN SOLUTION
PLOTS                          ! USE MACRO TO POSTPROCESS
SAVE,TABLE_2

RESUME,CONT2D                  ! RESUME CONT175 -2D MODEL
/PREP7
R,2                            ! CONTACT STIFFNESS IS NOT REQUIRED
KEYOPT,2,2,3                   ! LAGRANGE MULTIPLIER ON CONTACT NORMAL AND PENALTY ON TANGENT
FINISH
SOLVIT                         ! USE MACRO TO OBTAIN SOLUTION
PLOTS                          ! USE MACRO TO POSTPROCESS
SAVE,TABLE_3

RESUME,CONT3D                  ! RESUME CONT175 -3D MODEL
/PREP7
R,6                            ! CONTACT STIFFNESS IS NOT REQUIRED
KEYOPT,6,2,4                   ! PURE LAGRANGE MULTIPLIER ON CONTACT NORMAL AND TANGENT
FINISH
SOLVIT                         ! USE MACRO TO OBTAIN SOLUTION
PLOTS                          ! USE MACRO TO POSTPROCESS
SAVE,TABLE_4

RESUME,TABLE_1
/COM
/OUT,vm201,vrt
/COM,------------------- VM201 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,RESULTS USING PLANE182 AND 2D-CONTA175:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,RESULTS USING SOLID185 AND 3D-CONTA175:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/NOPR
RESUME,TABLE_3
/GOPR
/COM,
/COM,RESULTS USING PLANE182 AND 2D-CONTA175 WITH K(2)=3:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/NOPR
RESUME,TABLE_4
/GOPR
/COM,
/COM,RESULTS USING SOLID185 AND 3D-CONTA175 WITH K(2)=4:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/COM,-----------------------------------------------------------
/COM,
/OUT
FINISH
*LIST,vm201,vrt
/DELETE,PLOTS,MAC
/DELETE,SOLVIT,MAC
/DELETE,TABLE_1
/DELETE,TABLE_2
/DELETE,TABLE_3
/DELETE,TABLE_4

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM200 Input Listing 		Up / Home Next
VM202 Input Listing


VM202 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM202
/PREP7
/TITLE, VM202, TRANSVERSE VIBRATIONS OF A SHEAR BEAM
/COM, REF:  R. BLEVINS, FORMULAS FOR NATURAL FREQUENCY AND MODE SHAPE, 1979.
ANTYPE,MODAL
ET,1,SHELL28
R,1,0.1                 ! DEFINE REAL CONSTANT SET 1; THICKNESS OF SHELL
MP,EX,  1,200E9
MP,NUXY,1,0.27
MP,DENS,1,7860.0
N,1                     ! DEFINE NODES
N,2,10
N,3,10,10
N,4,  ,10
NGEN,9,4,1,4,1,,,3.75
E,1,2,6,5               ! DEFINE ELEMENTS
EGEN,3,1,-1
E,4,1,5,8
EGEN,8,4,-4
D,ALL,UZ                ! DEFINE BOUNDARY CONDITIONS
D,1,UX,,,4,1,UY
NSEL,S,LOC,Z,3.75       ! SELECT NODES AT COMMON Z LOCATION
CP,1,UX,ALL             ! COUPLE NODES IN X AND Y DOF
CP,2,UY,ALL
NSEL,S,LOC,Z,7.5
CP,3,UX,ALL
CP,4,UY,ALL
NSEL,S,LOC,Z,11.25
CP,5,UX,ALL
CP,6,UY,ALL
NSEL,S,LOC,Z,15
CP,7,UX,ALL
CP,8,UY,ALL
NSEL,S,LOC,Z,18.75
CP,9,UX,ALL
CP,10,UY,ALL
NSEL,S,LOC,Z,22.5
CP,11,UX,ALL
CP,12,UY,ALL
NSEL,S,LOC,Z,26.25
CP,13,UX,ALL
CP,14,UY,ALL
NSEL,S,LOC,Z,30
CP,15,UX,ALL
CP,16,UY,ALL
NSEL,ALL
FINISH
/SOLU
MXPAND,4                ! EXPAND FIRST TWO REPEATED MODES
MODOPT,REDUC
TOTAL,8                 ! SET AUTOMATIC MASTER DOF GENERATION TO 8
SOLVE
*GET,F1,MODE,1,FREQ
*GET,F2,MODE,3,FREQ
FINISH
/POST1
SET,1,1
/VUP,,Z
/VIEW,,,1
PLDISP,1                ! DISPLAY DISPLACEMENTS (FIRST MODE)
SET,1,3
PLDISP,1                ! DISPLAY DISPLACEMENTS (SECOND MODE)
*status,parm
*DIM,VALUE,,2,3
*DIM,LABEL,CHAR,2,2
LABEL(1,1) = 'F1 ','F2 '
LABEL(1,2) = 'Hz ','Hz '
*VFILL,VALUE(1,1),DATA,17.375,52.176
*VFILL,VALUE(1,2),DATA,F1,F2
*VFILL,VALUE(1,3),DATA,ABS(F1/17.375),ABS(F2/52.176)
/COM
/OUT,vm202,vrt
/COM,------------------- VM202 RESULTS COMPARISON -------------
/COM,
/COM,                  |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F8.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm202,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM201 Input Listing 		Up / Home Next
VM203 Input Listing


VM203 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM203
/PREP7
/TITLE, VM203, DYNAMIC LOAD EFFECT ON SIMPLY-SUPPORTED THICK SQUARE PLATE
/COM REFERENCE: NAFEMS FORCED VIBRATION BENCHMARKS, TEST 21R
C***          USING SHELL93 ELEMENTS
ET,1,SHELL93,,,,,1           ! DEFINE ELEMENT TYPE
MP,EX,1,200E9                ! DEFINE MATERIAL PROPERTIES
MP,NUXY,1,0.3
MP,ALPX,1,0.1E-5
MP,DENS,1,8000
R,1,1                        ! DEFINE REAL CONSTANTS
N,1,0,0,0                    ! DEFINE MODEL
N,9,0,10,0
FILL
NGEN,5,40,1,9,1,2.5
N,21,1.25,0,0
N,29,1.25,10,0
FILL,21,29,3
NGEN,4,40,21,29,2,2.5
EN,1,1,41,43,3,21,42,23,2
EGEN,4,2,1
EGEN,4,40,1,4
FINISH
SAVE,MODEL
*CREATE,SOLVIT,MAC
/SOLU
ANTYPE,MODAL                 ! DEFINE ANALYSIS TYPE AS MODAL VIBRATION
MODOPT,REDUC
MXPAND,16,,,YES
SFE,ALL,,PRES,,-1E6          ! PRESS LOAD OF 1000,000 N/M**2
D,ALL,UX,0,,,,UY,ROTZ        ! APPLY CONSTRAINTS
D,1,UZ,0,0,9,1,ROTX
D,161,UZ,0,0,169,1,ROTX
D,1,UZ,0,0,161,20,ROTY
D,9,UZ,0,0,169,20,ROTY
NSEL,S,LOC,X,.1,9.9
NSEL,R,LOC,Y,.1,9.9
M,ALL,UZ                      ! SELECT MASTERS
NSEL,ALL
SOLVE
*GET,F,MODE,1,FREQ
FINISH
/SOLU
/TITLE, VM203, RANDOM VIBRATION , RESPONSE TO UNIFORM PSD FORCE
ANTYPE,SPECTR                 ! DEFINE ANALYSIS TYPE
SPOPT,PSD,2,ON                ! USE FIRST 2 MODES, CALC ELEM. STRESSES
PSDUNIT,1,PRES                ! DEFINE TYPE OF PSD AS A PRESSURE SPECTRUM
DMPRAT,0.02
PSDFRQ,1,1,1.0,80.0
PSDVAL,1,1.0,1.0              ! IN N**2/HZ
LVSCALE,1                     ! USE AND SCALE THE LOAD VECTOR GENERATED AT MODAL ANALYSIS
PFACT,1,NODE
PSDRES,DISP,REL
PSDCOM
SOLVE
FINISH
/POST1
SET,3,1                       ! ONE SIGMA DISPLACEMENT SOLUTION RESULTS
/VIEW,1,2,3,4
PLNSOL,U,Z
PRNSOL,U,Z
L2=NODE(2,8,0)
*GET,SIGEL2,NODE,L2,S,EQV
NSEL,,NODE,,L2
PRNSOL,S,COMP
NSEL,ALL
FINISH
/SOLUTION
ANTYPE,HARMIC                ! REDEFINE ANALYSIS TYPE AND SOLVE AGAIN
HROPT,MSUP                   ! USING MODE SUPERPOSITION HARMONIC ANALYSIS
HROUT,OFF,ON                 ! PRINT AMPLITUDE & PHASE, CLUSTER FREQUENCIES
KBC,1
HARFRQ,1,80
DMPRAT,0.02
NSUBSTEP,10
SOLVE
FINISH
/POST26
FILE,,rfrq
PRCPLX,1
NSOL,2,85,U,Z
PSDDAT,6,1,1.0,80,1.0
PSDTYP,2
PSDCAL,7,2
PSDPRT
PRVAR,2,7
*GET,P,VARI,7,EXTREM,VMAX
*STATUS,PARM
/AXLAB,Y,PSD  (M^2/HZ)
PLVAR,7
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'f ','PSD '
LABEL(1,2) = 'Hz','SQmmS/Hz'
*VFILL,VALUE(1,1),DATA,45.9,3.4018E-3
*VFILL,VALUE(1,2),DATA,F,P
*VFILL,VALUE(1,3),DATA,ABS(F/45.9),ABS(P/(3.4018E-3))
FINISH
*END
SOLVIT
SAVE,TABLE_1
/CLEAR, NOSTART                ! CLEAR DATABASE FOR SECOND SOLUTION
/TITLE, VM203,DYNAMIC LOAD EFFECT ON SIMPLY-SUPPORTED THICK SQUARE PLATE
C***          USING SHELL281 ELEMENTS
RESUME,MODEL
/PREP7
ET,1,SHELL281, , , 2
FINISH
SOLVIT
SAVE,TABLE_2
/NOPR
RESUME,TABLE_1
/COM
/OUT,vm203,vrt
/COM,------------------- VM203 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM, SHELL93
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F11.6,'  ',F11.6,'   ',1F6.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM, SHELL281
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F11.6,'  ',F11.6,'   ',1F6.3)
/COM,-----------------------------------------------------------
/COM,
/OUT
FINISH
*LIST,vm203,vrt
/DELETE,MODEL
/DELETE,SOLVIT,MAC
/DELETE,TABLE_1
/DELETE,TABLE_2

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM202 Input Listing 		Up / Home Next
VM204 Input Listing


VM204 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM204
/UNITS,BIN
/PREP7
/TITLE, VM204, SOLID MODEL OF AN AXIAL BEARING
/COM    ANY BASIC GEOMETRY TEXT
BASEWD=8.0                                      ! BASE WIDTH
BASEDP=4.0                                      ! BASE DEPTH
BASEHT=1.0                                      ! BASE HEIGHT
BRNGWD=4.0                                      ! BEARING HOUSING WIDTH
BRNGDP=3.0                                      ! BEARING HOUSING DEPTH
BRNGHT=2.0                                      ! BEARING HOUSING HEIGHT
GRVDIA=3.5                                      ! GROOVE DIAMETER
BRCKWD=2.0                                      ! BRACKET WIDTH
BRCKDP=0.5                                      ! BRACKET DEPTH
SPRTHT=BRNGHT/2                                 ! SUPPORT HOLE HEIGHT
SPRTRAD=0.5                                     ! SUPPORT HOLE RADIUS
BLOCK,-BASEWD/2,BASEWD/2,0,-BASEHT,0,BASEDP     ! BASE
BLOCK,-BRNGWD/2,BRNGWD/2,0,BRNGHT,0,BRNGDP      ! BEARING HOUSING
WPAVE,BRNGWD/2,0,0                              ! MOVE WORKING PLANE ORIGIN
BLOCK,0,BRCKWD,0,BRNGHT,0,BRCKDP                ! RIGHT BRACKET
WPAVE,-BRNGWD/2,0,0
BLOCK,0,-BRCKWD,0,BRNGHT,0,BRCKDP               ! LEFT BRACKET
WPAVE,0,BRNGHT,0
CYLIND,0,GRVDIA/2,0,BRNGWD
VSBV,2,5                                        ! GROOVE
LOCAL,11,1,BRNGWD/2+(BASEWD-BRNGWD)/4,SPRTHT    ! LOCAL COORD SYSTEM
WPCSYS,1,11                                     ! MOVE WP TO LOCAL CS
CYLIND,0,SPRTRAD,0,1
VSBV,3,2                                        ! SUPPORT HOLE
LOCAL,12,1,-BRNGWD/2-(BASEWD-BRNGWD)/4,SPRTHT
WPCSYS,1,12
CYLIND,0,SPRTRAD,0,1
VSBV,4,2                                        ! SUPPORT HOLE
CSYS,0                                          ! CARTESIAN COORD SYSTEM
WPAVE,BRNGWD/2+(BASEWD-BRNGWD)/4,,BASEDP*0.75
WPROTA,,90
CYLIND,0,SPRTRAD,0,1
VSBV,1,2                                        ! SUPPORT HOLE
WPOFFS,-BRNGWD-(BASEWD-BRNGWD)/2                ! OFFSET WORKING PLANE
CYLIND,0,SPRTRAD,0,1
VSBV,4,1                                        ! SUPPORT HOLE
CSYS,11
K,100,(BASEWD-BRNGWD)/4,0,0
K,101,(BASEWD-BRNGWD)/4,90,0
K,102,(BASEWD-BRNGWD)/4,90,1
K,103,(BASEWD-BRNGWD)/4,0,1
A,100,101,102,103                               ! CUTTING AREA
VSBA,5,3,SEPO                                   ! ROUND
VDELE,1,,,1
CSYS,12
K,105,(BASEWD-BRNGWD)/4,180,0
K,106,(BASEWD-BRNGWD)/4,90,0
K,107,(BASEWD-BRNGWD)/4,90,1
K,108,(BASEWD-BRNGWD)/4,180,1
A,105,106,107,108                               ! CUTTING AREA
VSBA,3,3,SEPO                                   ! ROUND
VDELE,1,,,1
VGLUE,ALL                                       ! GLUE VOLUMES - CONTINUITY
/TYPE,1,4
/VIEW,1,1,2,3                                   ! VIEWING ANGLE
/AUTO,1
/TRIAD,OFF
VPLOT                                           ! DISPLAY VOLUMES
VSUM                                            ! CALCULATE TOTAL VOLUME
*GET,TVOL,VOLU,,VOLU
*status,parm
*DIM,VALUE,,1,3
*DIM,LABEL,CHAR,1,2
LABEL(1,1) = 'VOLUME '
LABEL(1,2) = 'NO UNTS '
*VFILL,VALUE(1,1),DATA,42.997
*VFILL,VALUE(1,2),DATA,TVOL
*VFILL,VALUE(1,3),DATA,ABS(TVOL/42.997)
/COM
/OUT,vm204,vrt
/COM,------------------- VM204 RESULTS COMPARISON--------------
/COM,
/COM,                  |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',F10.3,'   ',1F8.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm204,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM203 Input Listing 		Up / Home Next
VM205 Input Listing


VM205 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM205
/PREP7
SMRT,OFF
/TITLE, VM205, ELLIPTIC MEMBRANE UNDER A UNIFORMLY-DISTRIBUTED LOAD
/COM,   NAFEMS (REF.58), TEST NO. LE1 (MODIFIED)
/COM,   USING 2-D STRUCTURAL SOLID, PLANE42
ANTYPE,STATIC
ET,1,PLANE42,,,3            ! DEFINE ELEMENT AS PLANE42 FOR PLANE STRESS
                            !  WITH THICKNESS
MP,EX,1,210E9               ! DEFINE MATERIAL PROPERTIES
MP,NUXY,1,.3
R,1,0.1                     ! SET THICKNESS
LOCAL,11,1,,,,,,,0.5        ! DEFINE ELLIPTICAL COORD. SYSTEM
K,1,2,90                    ! CREATE MODEL GEOMETRY
K,2,2,0                     ! DEFINE KEYPOINTS
L,1,2                       ! DEFINE LINE SEGMENTS
LOCAL,12,1,,,,,,,0.8461585
K,3,3.25,90
K,4,3.25,0.0
L,3,4
CSYS,0
L,2,4
L,1,3
AL,2,4,1,3                  ! DEFINE AREA
DL,4,1,SYMM                 ! APPLY BOUNDARY CONDITIONS
DL,3,1,SYMM
SFL,2,PRES,-10E6            ! APPLY LINE PRESSURE LOAD
MSHK,2                    ! MAPPED AREA MESH IF POSSIBLE
MSHA,0,2D                 ! USING QUADS
SAVE                        ! SAVE DATABASE
FINISH
ADAPT,4,7,,,1               ! USE ANSYS PREDEFINED MACRO FOR ADAPTIVE MESHING
                            !  AND SOLUTION WITH NSOLN=3, STARGT=7, AND FACMX=1
*CREATE,MAC                 ! CREATE MACRO FOR POST PROCESSING
/POST1
EPLOT                       ! PLOT ELEMENTS
PRERR                       ! PRINT THE ENERGY NORM PERCENT ERROR (SEPC)
NSEL,S,LOC,Y,0.0
NSEL,R,LOC,X,2.0
*GET,MNODE,NODE,,NUM,MAX
*GET,SY_D,NODE,MNODE,S,Y    ! GET DESIRED STRESS SY VALUE
NSEL,ALL
ESEL,ALL
*status,parm                     ! SHOW STATUS OF PARAMETERS
*END
*USE,MAC                    ! USE POST PROCESSING MACRO
*DIM,LABEL,CHAR,1,2
*DIM,VALUE,,1,3
LABEL(1,1) = 'TAN STR '
LABEL(1,2) = 'MPa'
*VFILL,VALUE(1,1),DATA,92.70
*VFILL,VALUE(1,2),DATA,(SY_D/1000000)
*VFILL,VALUE(1,3),DATA,ABS((SY_D/1000000)/92.7)
SAVE,TABLE1
FINISH
/CLEAR, NOSTART ! CLEAR DATABASE BEFORE STARTING PART 2
/COM,        USING 2-D 8-NODE STRUCTURAL SOLID, PLANE82
/PREP7
SMRT,OFF
RESUME                      ! RESUME DATABASE
ET,1,PLANE82,,,3            ! DEFINE ELEMENT AS PLANE82 FOR PLANE STRESS
                            !  WITH THICKNESS
FINISH
ADAPT,2,5,,,1               ! USE ANSYS PREDEFINED MACRO FOR ADAPTIVE MESHING
                            !  AND SOLUTION WITH NSOLN=2, STARGT=5, AND FACMX=1
*USE,MAC                    ! USE POST PROCESSING MACRO
*DIM,VALUE,,1,3
*DIM,LABEL,CHAR,1,2
LABEL(1,1) = 'TAN STR '
LABEL(1,2) = 'MPa'
*VFILL,VALUE(1,1),DATA,92.70
*VFILL,VALUE(1,2),DATA,(SY_D/1000000)
*VFILL,VALUE(1,3),DATA,ABS((SY_D/1000000)/92.7)
SAVE,TABLE2
RESUME,TABLE1
/COM
/OUT,vm205,vrt
/COM,------------------- VM205 RESULTS COMPARISON --------------
/COM,
/COM,                  |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,PLANE42 RESULTS:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F8.3)
/NOPR
RESUME,TABLE2
/GOPR
/COM,
/COM,PLANE82 RESULTS:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F8.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm205,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM204 Input Listing 		Up / Home Next
VM206 Input Listing


VM206 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM206
/PREP7
SMRT,OFF
/TITLE,VM206,STRANDED COIL MODEL, WITH VOLTAGE EXCITATION
/COM,   REF: BOAST "ELECTRIC AND MAGNETIC FIELDS", PG. 247, EQN. 12.18
ET,1,53,,,1         ! AIR
ET,2,53,2,,1        ! VOLTAGE FORCED COIL
ET,3,110,,,1        ! FAR-FIELD

EMUNIT,MKS
MP,MURX,1,1
MP,MURX,2,1
MP,RSVX,2,3.00E-8   ! RESISTIVITY OF COIL

S=.02		    ! COIL WIDTH AND HEIGHT
N=500		    ! NUMBER OF TURNS
R=3*S/2		    ! COIL MIDSPAN RADIUS

RECTNG,S,2*S,0,S/2
PCIRC,0,6*S,0,90
PCIRC,0,12*S,0,90
AOVLAP,ALL
ASEL,S,AREA,,1
AATT,2,1,2
ASUM
*GET,A,AREA,,AREA        ! AREA OF 1/2 COIL CROSS-SECTION
ASEL,S,AREA,,5
AATT,1,1,1
ASEL,S,AREA,,4
AATT,1,1,3
ASEL,ALL
CSYS,1
LSEL,S,LOC,X,9*S
LESIZE,ALL,,,1
ESIZE,,8
AMESH,4

*GET,A,AREA,,AREA        ! AREA OF 1/2 COIL CROSS-SECTION
R,1,2*A,500,,1,1	 ! COIL CONSTANTS
ASEL,S,AREA,,1
LSLA,S
LESIZE,ALL,,,5
LSEL,ALL
ASEL,ALL
CSYS,0
KSEL,S,LOC,X,0
KSEL,R,LOC,Y,0
KESIZE,ALL,S/5
AMESH,ALL

NSEL,ALL

N1=NODE(S,0,0)           ! GET A NODE ON THE COIL
N2=NODE(0,0,0)           ! GET NODE AT ORIGIN

ESEL,S,MAT,,2            ! GET COIL ELEMENTS
NSLE,S
CP,1,CURR,ALL            ! COUPLE CURR DOF IN COIL
*GET,ELM,ELEM,,NUM,MIN   ! GET AN ELEMENT NUMBER IN THE COIL REGION
NSEL,ALL
ESEL,ALL
CSYS,1
NSEL,S,LOC,X,12*S
SF,ALL,INF
NSEL,S,LOC,X,0
D,ALL,AZ,0
NSEL,ALL
FINISH

/SOLU
ANTYPE,STATIC
ESEL,S,MAT,,2
BFE,ALL,VLTG,,12         ! 12 VOLT LOAD
ESEL,ALL
SOLVE
FINISH

/POST1
SET,LAST
ESEL,S,MAT,,2            ! SELECT COIL ELEMENTS
ETABLE,RES,NMISC,8       ! STORE ELEMENT RESISTANCE
ETABLE,IND,NMISC,9       ! STORE ELEMENT INDUCTANCE
SSUM
*GET,CRES,SSUM,,ITEM,RES ! GET COIL RESISTANCE
*GET,CIND,SSUM,,ITEM,IND ! GET COIL INDUCTANCE
 CRES=2*CRES             ! COIL RESISTANCE
 CIND=2*CIND             ! COIL INDUCTANCE
ICUR=12/CRES             ! CALCULATE COIL CURRENT
*GET,NCUR,NODE,N1,CURR   ! GET SOLUTION CURRENT
ESEL,ALL
FINISH
PI=4*ATAN(1)
W=2*PI*60
IMAG=12/SQRT(CRES**2+W**2*CIND**2)
ANG=-ATAN(W*CIND/CRES)
REALCURR=IMAG*COS(ANG)              ! TARGET REAL CURRENT
IMAGCURR=IMAG*SIN(ANG)              ! TARGET IMAGINARY CURRENT
/SOLU
ESEL,ALL
ANTYPE,HARM
HARFRQ,60
SOLVE
FINISH

/POST1
SET,1
*GET,CURREAL,NODE,N1,CURR        ! COMPARE TO REALCURR
SET,1,1,,1
*GET,CURIMAG,NODE,N1,CURR        ! COMPARE TO IMAGCURR
*DIM,LABEL,CHAR,5,2
*DIM,VALUE,,5,3
LABEL(1,1) = 'INDUCTAN','RESISTAN','COIL CUR','REAL SOL','IMAG SOL'
LABEL(1,2) = 'CE,HENRY','CE, OHM ','RENT    ','UTION   ','UTION   '
*VFILL,VALUE(1,1),DATA,.01274,3.534,3.395,1.192,-1.621
*VFILL,VALUE(1,2),DATA,CIND,CRES,ICUR,CURREAL,CURIMAG
V1 = ABS(CIND/.01274)
V2 = ABS(CRES/3.534)
V3 = ABS(ICUR/3.395)
V4 = ABS(CURREAL/1.192)
V5 = ABS(CURIMAG/1.621)
*VFILL,VALUE(1,3),DATA,V1,V2,V3,V4,V5
/COM
/OUT,vm206,vrt
/COM,------------------- VM206 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm206,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM205 Input Listing 		Up / Home Next
VM207 Input Listing


VM207 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM207
/PREP7
SMRT,OFF
/TITLE,VM207,  STRANDED COIL MODEL, CIRCUIT-FED OPTION
/COM,   REF: BOAST "ELECTRIC AND MAGNETIC FIELDS", PG. 247, EQN. 12.18
ET,1,53,,,1         ! AIR
ET,2,53,3,,1        ! CIRCUIT-COUPLED STRANDED COIL
ET,3,110,,,1        ! FAR-FIELD
ET,4,124,0          ! EXTERNAL RESISTOR
ET,5,124,4,4        ! INDEPENDENT VOLTAGE SOURCE, PIECEWISE LINEAR LOAD
ET,6,124,5          ! STRANDED COIL (TO FEA DOMAIN)
R,2,2               ! 2 OHM RESISTOR
R,3,1               ! SYMMETRY FACTOR FOR COIL
EMUNIT,MKS
MP,MURX,1,1
MP,MURX,2,1
MP,RSVX,2,3.04878E-8  ! RESISTIVITY OF COIL
S=.02
N=500
R=3*S/2
N,1                   ! CREATE NODES FOR CIRCUIT ELEMENTS
*REPEAT,4,1
RECTNG,S,2*S,0,S/2
PCIRC,0,6*S,0,90
PCIRC,0,12*S,0,90
AOVLAP,ALL
ASEL,S,AREA,,1
AATT,2,1,2
ASUM
*GET,A,AREA,,AREA        ! AREA OF 1/2 COIL CROSS-SECTION
ASEL,S,AREA,,5
AATT,1,1,1
ASEL,S,AREA,,4
AATT,1,1,3
ASEL,ALL
CSYS,1
LSEL,S,LOC,X,9*S
LESIZE,ALL,,,1
ESIZE,,8
AMESH,4
*GET,A,AREA,,AREA        ! AREA OF 1/2 COIL CROSS-SECTION
R,1,2*A,500,,1,.9
ASEL,S,AREA,,1
LSLA,S
LESIZE,ALL,,,5
LSEL,ALL
ASEL,ALL
CSYS,0
KSEL,S,LOC,X,0
KSEL,R,LOC,Y,0
KESIZE,ALL,S/5
AMESH,ALL
N1=NODE(S,0,0)           ! GET A NODE ON THE COIL
TYPE,5                   ! VOLTAGE SOURCE
R,4,0,12,.01,12,.010001,0 ! PIECEWISE LINEAR LOAD
REAL,4
E,2,1,4                  ! VOLTAGE SOURCE ELEMENT
TYPE,4                   ! RESISTOR
REAL,2
E,2,3                    ! EXTERNAL RESISTOR ELEMENT
TYPE,6                   ! STRANDED COIL (TO FEA DOMAIN)
REAL,3
E,3,1,N1                 ! STRANDED COIL "ELEMENT"
ESEL,S,MAT,,2            ! GET COIL ELEMENTS
NSLE,S
CP,1,CURR,ALL            ! COUPLE CURR DOF IN COIL
CP,2,EMF,ALL             ! COUPLE EMF DOF IN COIL
*GET,ELM,ELEM,,NUM,MIN   ! GET AN ELEMENT NUMBER IN THE COIL REGION
NSEL,ALL
ESEL,ALL
FINISH
/SOLU
ANTYPE,STATIC
TIME,1E-9
CSYS,1
NSEL,S,LOC,X,12*S
SF,ALL,INF               ! APPLY INFINITE SURFACE FLAG
CSYS,0
NSEL,S,LOC,X,0
D,ALL,AZ,0
NSEL,ALL
D,1,VOLT,0               ! GROUND
SOLVE
FINISH
/POST1
SET,LAST
ESEL,S,MAT,,2            ! SELECT COIL ELEMENTS
ETABLE,RES,NMISC,8       ! STORE ELEMENT RESISTANCE
ETABLE,IND,NMISC,9       ! STORE ELEMENT INDUCTANCE
SSUM
*GET,CRES,SSUM,,ITEM,RES ! GET COIL RESISTANCE
*GET,CIND,SSUM,,ITEM,IND ! GET COIL INDUCTANCE
 CRES=2*CRES
 CIND=2*CIND
ESEL,ALL
FINISH
/SOLU
ANTYPE,TRANS
OUTRES,ALL,ALL           ! STORE EVERY SUBSTEP
DELTIM,.0004
TIME,.01
SOLVE
FINISH
/POST26
NSOL,2,N1,CURR           ! GET CURRENT IN COIL
RES=CRES+2
I01=(12/RES)*(1-(EXP(-RES*.01/CIND)))
PRVAR,2
PLVAR,2
*GET,ICUR,VARI,2,RTIME,.01
/AXLAB,X,TIME
/AXLAB,Y,CURRENT IN COIL (AMPS)
/SHOW
PLVAR,2                  ! PLOT COIL CURRENT VS TIME.
*DIM,LABEL,CHAR,3,2
*DIM,VALUE,,3,3
LABEL(1,1) = 'INDUCTAN','RESISTAN','CURRENT,'
LABEL(1,2) = 'CE,HENRY','CE, OHM ',' AMPS   '
*VFILL,VALUE(1,1),DATA,.01274,3.9908,1.9849
*VFILL,VALUE(1,2),DATA,CIND,CRES,ICUR
*VFILL,VALUE(1,3),DATA,ABS(CIND/.01274),ABS(CRES/3.9908),ABS(ICUR/1.9849)
/COM
/OUT,vm207,vrt
/COM,------------------- VM207 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm207,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM206 Input Listing 		Up / Home Next
VM208 Input Listing


VM208 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM208
/PREP7
/TITLE, VM208, TEST CIRCUIT COMPONENT CCCS IN HARMONIC ANALYSIS
/COM  REV.5.2  SDS-98
/COM,   SEE SCHAUMS OUTLINE "BASIC CIRCUIT ANALYSIS", 2ND ED, 1992,
/COM,   PROBLEM 14.23, FIGURE 14-25.
/NOPR
ET,1,CIRCU124,4    ! VOLTAGE SOURCE
ET,2,CIRCU124,3    ! CURRENT SOURCE
ET,3,CIRCU124,0    ! RESISTOR
ET,4,CIRCU124,1    ! INDUCTOR
ET,5,CIRCU124,12   ! CURRENT CONTROLLED CURRENT SOURCE

R,1,15,30          ! VOLTAGE SOURCE
R,2,5,-45          ! CURRENT SOURCE
R,3,3              ! R1
R,4,2              ! R2
R,5,4              ! L1
R,6,-3              ! CCCS GAIN

N,1
NGEN,10,1,1,1,1

TYPE,1
REAL,1
E,2,1,7            ! V1
TYPE,3
REAL,3
E,2,3              ! R1
TYPE,4
REAL,5
E,3,1              ! L1
TYPE,3
REAL,4
E,3,4              ! R2
TYPE,5
REAL,6
E,3,4,5,2,1,7      ! CCCS
TYPE,2
REAL,2
E,1,4              ! C1

FINISH
/SOLU
ANTYP,HARM
D,1,VOLT,0
PI=4*ATAN(1)
HARFRQ,1/(2*PI)
OUTPR,ALL,ALL
HROUT,OFF
SOLVE
FINISH

/POST1
SET,1,1                 ! READ IN REAL SOLUTION
PRESOL,ELEM             ! PRINT CIRCUIT SOLUTION PER ELEMENT
SET,1,1,,1              ! READ IN IMAGINARY SOLUTION
PRESOL,ELEM             ! PRINT CIRCUIT SOLUTION PER ELEMENT
FINISH
/POST26
NSOL,2,4,VOLT
PRVAR,2
*GET,REAL,VARI,2,RTIME,15915
*GET,IMAG,VARI,2,ITIME,15915
FINISH
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'REAL VOL','IMAG VOL'
LABEL(1,2) = 'TAGE, V ','TAGE, V '
*VFILL,VALUE(1,1),DATA,16.44,-1.41
*VFILL,VALUE(1,2),DATA,REAL,IMAG
*VFILL,VALUE(1,3),DATA,ABS(REAL/16.44),ABS(IMAG/1.41)
/COM
/OUT,vm208,vrt
/COM,------------------- VM208 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.5,'  ',F10.5,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm208,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM207 Input Listing 		Up / Home Next
VM209 Input Listing


VM209 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/CONFIG,FLOLDEF,1
/VERIFY,VM209
/PREP7
/TITLE,VM209, ENTRANCE FLOW OF SPECIES THROUGH A CIRCULAR PIPE
/NOPR
/COM
/COM -----------------------------------------------------------------------
/COM
/COM   TEST THE SPECIES TRANSPORT EQUATION.
/COM
/COM   FLOW OF TWO SPECIES THROUGH A CIRCULAR PIPE IS CONSIDERED.
/COM   THE FLOW IS HYDRODYNAMICALLY DEVELOPED. THIS IS ACHIEVED BY SPECIFYING
/COM   THE PRESURE AT THE INLET AND OUTLET.  UNIFORM BUT DISSIMILIAR
/COM   MASS FRACTIONS ARE SPECIFIED AT THE INLET AND WALL.  SYMMETRY BOUNDARY
/COM   CONDITIONS ARE APPLIED AT THE PIPE CENTERLINE.  BOTH SPECIES HAVE THE
/COM   SAME DENSITY, VISCOSITY, MASS DIFFUSION COEFFICIENT.  RESULTING MASS
/COM   FRACTION DISTRUBUTIONS ARE ANALOGOUS TO THAT OF TEMPERATURE
/COM   IN GREATZ PROBLEM ( HYDRODYNAMICALLY FULLY DEVELOPED, THERMALLY
/COM   DEVELOPING FLOW IN A PIPE WITH UNIFORM WALL TEMPERATURE.)  THE RESULTS
/COM   ARE COMPARED WITH ANALYTICAL SOLUTION ( REF: CONVECTIVE HEAT AND MASS
/COM   TRANSFER, THIRD ED., KAYS, W.M., CRAWFORD,M.E,MCGRAW-HILL,1993.)
/COM
/COM ------------------------------------------------------------------------
ET,1,FLUID141,,,2                 ! 2D AXISYMMETRIC XR SYSTEM
MSHK,1
MSHA,0,2D
PI     = ACOS( -1.0 )
L      = 0.1                      ! PIPE LENGHT (m)
R      = 0.0025                   ! PIPE RADIUS (m)
NRD    = 12                       ! NO. OF DIVISIONS IN THE RADIAL DIRECTION
RS     = 4                        ! SPACING RATIO IN THE RADIAL DIRECTION
NXD    = 100                      ! NO. OF DIVISIONS IN THE AXIAL DIRECTION
XS     = 1                        ! SPACING RATIO IN THE AXIAL DIRECTION
PIN    = 1.28                     ! INLET PRESSURE
YBIN   = 1.0                      ! MASS FRACTION OF SPECIES B AT THE INLET
YBWALL = 0.0                      ! MASS FRACTION OF SPECIES B AT THE WALL
RHO    = 1.0                      ! DENSITY (kg/m**3)
MU     = 1.0E-5                   ! VISCOSITY (Pa*s)
DIFF   = 1.43E-5                  ! DIFFUSION COEFFICIENT (m**2/s)
!
!  DEFINE GEOMETRY AND GENERATE MESH
!
RECT,,L,,R
LESIZE,2,,,NRD,-RS
LESIZE,4,,,NRD,-RS
LESIZE,1,,,NXD,XS
LESIZE,3,,,NXD,1/XS
AMESH,1
KEYOPT,1,1,2                      ! SET THE NUMBER OF SPECIES TO TW0
!
!  APPLY THE BOUNDARY CONDITIONS
!
LSEL,S,,,4                        ! INLET BC'S
NSLL,S,1
D,ALL,PRES,PIN                    !   PRESSURE
D,ALL,SP01,1.0-YBIN               !   MASS FRACTION OF A
D,ALL,SP02,YBIN                   !   MASS FRACTION OF B
ALLS
LSEL,S,,,2                        ! OUTLET BC'S
NSLL,S,1
D,ALL,PRES,0.0                    !   PRESSURE
ALLS
LSEL,S,,,3                        ! WALL BC'S
NSLL,S,1
D,ALL,VX,0.0                      !   AXIAL VELOCITY IS SET TO ZERO
D,ALL,VY,0.0                      !   RADIAL VELOCITY IS SET TO ZERO
D,ALL,SP01,1.0-YBWALL             !   MASS FRACTION OF A
D,ALL,SP02,YBWALL                 !   MASS FRACTION OF B
ALLS
LSEL,S,,,1                        ! SYMMETRY BC'S
NSLL,S,1
D,ALL,VY,0.0                      !   RADIAL VELOCITY IS SET TO ZERO
ALLS
/SOLU
!
!  SOLUTION OPTIONS
!
FLDA,ITER,EXEC,700                ! NO. OF GLOBAL ITERATIONS
FLDATA,ITER,CHEC,50               ! CHECKPOINT FREQUENCY
FLDA,PROT,VISC,CONSTANT
FLDA,PROT,DENS,CONSTANT
FLDA,NOMI,DENS,RHO                ! FLUID DENSITY
FLDA,NOMI,VISC,MU                 ! FLUID  VISCOSITY
!
FLDA,SOLU,SPEC,T                  ! ACTIVATE SPECIES TRANSPORT EQUATIONS
MSDATA,1                          ! DESIGNATE ALGEBRAIC SPECIES
MSSPEC,1,SP01                     ! ESTABLISH SPECIES 1
MSSPEC,2,SP02                     ! ESTABLISH SPECIES 2
MSMETH,2,1                        ! SPECIFY THE METHOD OF SOLUTION
MSNOMF,1,(1.0-YBWALL)             ! INITIAL CONDITION FOR SPECIES 1
MSNOMF,2,YBWALL                   ! INITIAL CONDITION FOR SPECIES 2
MSRELAX,2,1.0                     ! NO RELAXATION FOR SPECIES
FLDATA,PROT,VISC,CMIX             ! RE-SPECIFY VISCOSITY AS OF MIXTURE
FLDATA,PROT,DENS,CMIX             ! RE-SPECIFY DENSITY  AS OF MIXTURE
FLDATA,VARY,VISC,T                ! ALLOW MIXTURE VISCOSITY TO VARY
FLDATA,VARY,DENS,T                ! ALLOW MIXTURE DENSITY TO VARY
MSPROP,1,VISC,CONSTANT,MU         ! VISCOSITY OF SP01
MSPROP,2,VISC,CONSTANT,MU         ! VISCOSITY OF SP02
MSPROP,1,DENS,CONSTANT,RHO        ! DENSITY OF SP01
MSPROP,2,DENS,CONSTANT,RHO        ! DENSITY OF SP02
MSPROP,1,MDIF,CONSTANT,DIFF       ! MASS DIFFUSION COEFFICIENT OF SP01
MSPROP,2,MDIF,CONSTANT,DIFF       ! MASS DIFFUSION COEFFICIENT OF SP02
!
SOLVE
FINISH
SAVE
!
!   POST PROCESSING
!
/POST1
SET,LAST
/TRIAD,OFF                        ! DO NOT SHOW TRIAD
/RATIO,1,1,10                     ! SCALE THE R_COORDINATE FOR CLEARITY
EPLOT                             ! PLOT THE MESH
/EDGE,1,1                         ! SHOW THE EDGES ONLY
/CONTOUR,1,21                     ! SET THE NUMBER OF CONTOUR LEVELS
/TITLE,CONTOURS OF AXIAL VELOCITY
PLNSOL,VX                         ! PLOT CONTOURS OF AXIAL VELOCITY
/TITLE,CONTOURS OF MASS FRACTION OF SPECIES A
PLNSOL,SP01                       ! PLOT CONTOURS OF MASS FRACTION (A)
/TITLE,CONTOURS OF MASS FRACTION OF SPECIES B
PLNSOL,SP02                       ! PLOT CONTOURS OF MASS FRACTION (B)
VAVE = 0.125*PIN*R**2/(L*MU)      ! CALC. THE AVERAGE VELOCITY FROM INPUT
DATA
RE = 2*RHO*R*VAVE/MU              ! CALC. THE REYNOLDS NUMBER
SC = (MU/RHO)/DIFF                ! CALC. THE SCHMIDT NUMBER
*DIM,XCORD,,10                    ! DECLARE AN ARRAY TO STORE AXIAL COORDINATES
*DIM,AVEYB,,10,2                  ! DECLARE AN ARRAY TO STORE AVERAGE MASS
*DIM,RAT,,10
                                  ! FRACTIONS OF SPECIES B AT VARIOUS AXIAL
                                  ! LOCATIONS ( BOTH CALCULATED AND ANALYTICAL)

/NOPR
*DIM,pth,char,10
pth(1)='pth1'
pth(2)='pth2'
pth(3)='pth3'
pth(4)='pth4'
pth(5)='pth5'
pth(6)='pth6'
pth(7)='pth7'
pth(8)='pth8'
pth(9)='pth9'
pth(10)='pth10'
/GOPR
*DO,I,1,10
XCORD(I) = L*I/10                 ! DETERMINE THE AXIAL LOCATION
N1 = NODE(XCORD(I),0,0)
N2 = NODE(XCORD(I),R,0)
PATH,pth(i),2,,48                 ! DEFINE THE PATH
PPATH,1,N1                        ! DEFINE THE PATH POINT
PPATH,2,N2                        ! DEFINE THE PATH POINT
PDEF,SP02,SP02
PCALC,INTG,YBC,SP02,S             ! INTEGRATE ALONG THE PATH TO CALC. TOTAL
                                  ! MASS FRACTION
*GET,YBC,PATH,,LAST,YBC
AVEYB(I,1) = YBC/R                ! CALCULATE AVERAGE MASS FRACTION OF B
ARG = XCORD(I)/(R*RE*SC)
TERM0 = 0.1024204*EXP(-7.313*ARG)
TERM1 = 0.0121946*EXP(-44.61*ARG)
TERM2 = 0.0040650*EXP(-113.9*ARG)
TERM3 = 0.0019284*EXP(-215.2*ARG)
TERM4 = 0.0010987*EXP(-348.6*ARG)
TERM  = TERM0 + TERM1 + TERM2 + TERM3 + TERM4
                                  ! CALCULATE THE AVERAGE MASS FRACTION
                                  ! ANALYTICALLY
AVEYB(I,2) = YBWALL - 8.0*(YBWALL-YBIN)*TERM
RAT(I) = AVEYB(I,1)/AVEYB(I,2)
*ENDDO
*vlen,10
/COM
/OUT,vm209,vrt
/COM,------------------- VM209 RESULTS COMPARISON ---------------
/COM,
/COM,Axial location(m)|   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,XCORD(1),AVEYB(1,2),AVEYB(1,1),RAT(1)
(4(5x,f8.4))
/COM,
/COM,-------------------------------------------------------------
/OUT
FINISH
*LIST,vm209,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM208 Input Listing 		Up / Home Next
VM210 Input Listing


VM210 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM210
/TITLE,VM210, BENDING OF HEX-TO-TET INTERFACE, FORMATION OF PYRAMIDS
/COM,   ****** USING 3-D SOLID95 ******
/PREP7
SMRT,OFF
ET,1,95                                  ! ELEMENT TYPE SOLID95
ET,2,95                                  ! ELEMENT TYPE SOLID95

*CREATE,MSHGEN3D,MAC                     ! CREATE MACRO TO GENERATE MESH
MP,EX,1,30E6                             ! ELASTIC MODULUS
MP,NUXY,1,0.3                            ! POISSON RATIO
P = 200                                  ! FORCE
W = 31.071                               ! WIDTH
H = 33.917                               ! HEIGHT
L = 37.264                               ! LENGTH
I = 1/12*(W)*(H**3)                      ! MOMENT OF INERTIA
SURF = P/(W*H)                           ! SURFACE FORCE
BLOCK,-W/2, 0  , 0  , H/2, 0  ,  L
BLOCK, 0  , W/2, 0  , H/2, 0  ,  L       ! CREATE BLOCKS
BLOCK, 0  , W/2,-H/2, 0  , 0  ,  L       ! FORMING MIDPLANES
BLOCK,-W/2, 0  ,-H/2, 0  , 0  ,  L
WPOFF,,,L/2                              ! OFFSET WORKPLANE
WPLANE,-1,0,0,18.632,.87653,.402592,18.896,-.437455,.894952,18.72
WPLANE,-1,0,0,18.632,.890222,.338091,18.937,-.405661,.893273,18.826
VSBW,ALL,,
VGLUE,ALL
NUMCMP,ALL
/VIEW, 1, 0.9227    , 0.3132    ,-0.2246
/ANG,  1,  4.473
/PNUM,LINE,1
/NUM,-1
LPLO
/PNUM,LINE,0
/NUM,0
LESIZE,ALL,,,2
MOPT,PYRA,ON                              ! MESH SET TO TRANSITIONAL PYRAMID
MSHK,1
MSHA,0
MSHM,0
TYPE,1
VSEL,S,VOLU,,1,2,1
VSEL,A,VOLU,,5,7,2
VMESH,ALL                                 ! VMESH ELEMENT TYPE 1
MSHK,0
MSHA,1,3D
MSHM,0
TYPE,2
VSEL,S,VOLU,,3,4,1
VSEL,A,VOLU,,6,8,2
VMESH,ALL                                ! VMESH ELEMENT TYPE 2
VSEL,ALL
CSYS,4                                   ! USE WP AS LOCAL COOR. SYS
NSEL,S,LOC,Z,0                           ! SELECT ALL NODES ON WP
CSYS,0                                   ! REVERT COOR. SYS TO CART.
ESLN                                     ! ALL ELEMENTS ATTACHED TO WP NODES
NSLE                                     ! AND ALL NODES ATT. TO ELEMS
/SHRINK,0.5
/VIEW,1,  0.51440  , -0.35450 ,  -0.78090
/ANG,1 ,1.41
EPLO                                     ! ADJUST VIEW AND CAPTURE INTERFACE
/SHRINK,0
*END

MSHGEN3D                                 ! READ MACRO TO GENERATE MESH

*CREATE,SOLV3D,MAC                       ! CREATE MACRO TO PERFORM SOLUTION
! THIS IS THE SECTION CONTAINING THE LOADING.  THE MOMENT
! USED IN THE VERIFICATION EQUATION IS THE SUM OF ALL
! OF THE MOMENTS ON THE AREA LOCATED AT Z=0 OR Z=L.  NOTE
! THAT THE LOADS ON EITHER AREA FORM A COUPLE.
SFGRAD,PRES,,Y,H/2,2*SURF/H                ! APPLY GRADIENT SURFACE LOADS
ASEL,S,LOC,Z,0
ASEL,A,LOC,Z,L
SFA,ALL,1,PRES,SURF,
ALLS
SFTRAN                                     ! LOADS END
NSEL,S,LOC,X,W/2                           ! DEFINE DOF CONSTRAINTS
NSEL,R,LOC,Y,0                             ! SIMILAR TO PATCH TEST
NSEL,R,LOC,Z,0                             ! CONSTRAINTS
D,ALL, UX ,
D,ALL, UY ,
D,ALL, UZ ,
NSEL,S,LOC,X,-W/2
NSEL,R,LOC,Y,0
NSEL,R,LOC,Z,0
D,ALL, UY ,
D,ALL, UZ ,
NSEL,S,LOC,X,W/2
NSEL,R,LOC,Y,0
NSEL,R,LOC,Z,L
D,ALL, UY ,                                ! CONSTRAINTS END
ALLSEL
FINISH
/SOLU
SOLVE                                      ! SOLVE
FINISH
*END

SOLV3D                                     ! READ MACRO TO PERFORM SOLUTION

*CREATE,RES3D,MAC
/POST1
SET,LAST
PRRSOL                                     ! PRINT REACTION SOLUTIONS
/GRA,OFF
/VIEW,1,1,0,0
/GLINE,1,0
/DEV,VECT,ON
PLNSOL,S,Z                                 ! Z-STRESS CONTOUR
/NUM,0

MST1=0                                     ! INIT PARAMETERS
NDE1=0
MST2=0
NDE2=0
MST3=0
NDE3=0
*DIM,RESULTS,ARRAY,3                       ! DEFINE ARRAY PARAMETER RESULTS
                                           ! CALCULATION : TOP AVERAGE OF STRESS
NSEL,S,LOC,Y,H/2                           ! SELECT NODES IN TOP AREA
*GET,NUMNOD1,NODE,,COUNT                   ! OBTAIN NUMBER OF TOP SURFACE NODES

ZSTR1=0
TOTAL=0
COUNT=0

*DO,J,1,NUMNOD1,1
   NDE1=NDNEXT(NDE1)
   NSEL,,,,NDE1
   ESLN
   *GET,NUMELM,ELEM,0,COUNT               ! GET NUMBER OF ELEMS CONNECTED TO NDE1
   ELNUM=0
   TRIP=0
   *DO,K,1,NUMELM,1                       ! LOOP ON ELEMS CONNECTED TO NDE1
      ELNUM=ELNEXT(ELNUM)
      *DO,L,1,8,1                         ! VOLUME : SOLID95 CORNER NODES
         POS=NELEM(ELNUM,L)               ! CHECK POS 1-8 ON SOLID95 FOR
                                          ! NODE NUMBER
         *IF,POS,EQ,NDE1,THEN
            TRIP=1                        ! SET TRIP IF OUR CURRENTLY SELECTED
                                          ! NODE IS CORNER OF ELEMENT ELNUM
         *ENDIF
         *IF,TRIP,EQ,1,EXIT
      *ENDDO
      *IF,TRIP,EQ,1,EXIT
   *ENDDO

   *IF,TRIP,NE,1,THEN
      NSEL,S,LOC,Y,H/2                    ! IF ENTRY IS GAINED TO HERE
      ESEL,ALL                            ! THEN IT MUST BE THAT NDE1 IS A
      *CYCLE                              ! MIDNODE : NO STRESS CALC WANTED!
   *ENDIF

   ALLSEL
   *GET,ZSTR1,NODE,NDE1,S,Z               ! IF ENTRY GAINED TO THIS POINT OF
   TOTAL=TOTAL+ZSTR1                      ! THE LOOP, THEN GRAB Z-STRESS AT
   COUNT=COUNT+1                          ! NODE NDE1 AND ADD IT TO TOTAL.
   NSEL,S,LOC,Y,H/2                       ! RESET SELECTED SETS TO WHAT IS
   ESEL,ALL                               ! NEEDED.
*ENDDO

MST1=(TOTAL/COUNT)                        ! AVERAGE OF Z-STRESS ON TOP SURFACE
RESULTS(1)=MST1

NSEL,S,LOC,Y,0                            ! SELECT NODES ALONG Z AXIS
NSEL,R,LOC,X,0                            ! ( THE NURTRAL AXIS )
*GET,NUMNOD2,NODE,,COUNT                  ! OBTAIN NUMBER OF TOP SURFACE NODES

ZSTR2=0
COUNT=0
TOTAL=0

*DO,J,1,NUMNOD2,1                         ! LOGIC IS SIMILAR TO ABOVE *DO LOOP!
   NDE2=NDNEXT(NDE2)
   NSEL,,,,NDE2
   ESLN
   *GET,NUMELM,ELEM,0,COUNT
   ELNUM=0
   TRIP=0
   *DO,K,1,NUMELM,1
      ELNUM=ELNEXT(ELNUM)
      *DO,L,1,8,1                         ! VOLUME : SOLID95 CORNER NODES
         POS=NELEM(ELNUM,L)
         *IF,POS,EQ,NDE2,THEN
            TRIP=1
         *ENDIF
         *IF,TRIP,EQ,1,EXIT
      *ENDDO
      *IF,TRIP,EQ,1,EXIT
   *ENDDO

   *IF,TRIP,NE,1,THEN
      NSEL,S,LOC,Y,0
      NSEL,R,LOC,X,0
      ESEL,ALL
      *CYCLE
   *ENDIF

   ALLSEL

   *GET,ZSTR2,NODE,NDE2,S,Z
   TOTAL=TOTAL+ZSTR2
   COUNT=COUNT+1
   NSEL,S,LOC,Y,0
   NSEL,R,LOC,X,0
   ESEL,ALL
*ENDDO

MST2=TOTAL/COUNT                         ! AVERAGE STRESS OF NEURTRAL AXIS
RESULTS(2)=MST2

NSEL,S,LOC,Y,-H/2                        ! SELECT NODES IN BOTTOM AREA
*GET,NUMNOD3,NODE,,COUNT

ZSTR3=0
COUNT=0
TOTAL=0

*DO,J,1,NUMNOD3,1                        !  LOGIC IS SIMILAR TO ABOVE *DO LOOP!
   NDE3=NDNEXT(NDE3)
   NSEL,,,,NDE3
   ESLN
   *GET,NUMELM,ELEM,0,COUNT
   ELNUM=0
   TRIP=0
   *DO,K,1,NUMELM,1
      ELNUM=ELNEXT(ELNUM)
      *DO,L,1,8,1                        ! VOLUME : SOLID CORNER NODES
         POS=NELEM(ELNUM,L)
         *IF,POS,EQ,NDE3,THEN
            TRIP=1
         *ENDIF
         *IF,TRIP,EQ,1,EXIT
      *ENDDO
      *IF,TRIP,EQ,1,EXIT
   *ENDDO

   *IF,TRIP,NE,1,THEN
      NSEL,S,LOC,Y,-H/2
      ESEL,ALL
      *CYCLE
   *ENDIF
   ALLSEL

   *GET,ZSTR3,NODE,NDE3,S,Z
   TOTAL=TOTAL+ZSTR3
   COUNT=COUNT+1
   NSEL,S,LOC,Y,-H/2
   ESEL,ALL
*ENDDO

MST3=TOTAL/COUNT                         ! AVERAGE STRESS ON BOTTOM NODES
RESULTS(3)=MST3
                                         ! CALCULATE THE RATIOS
RAT1=MST1/(-SURF)

!* EXPECTED VALUE FOR MST2 = 0.0
*if,MST2,le,1E-3,then
   RAT2=1
*else
   RAT2=MST2
*endif

RAT3=MST3/SURF

*DIM,RATIO,ARRAY,3                       ! DEFINE ARRAY PARAMETER RATIO
*VFILL,RATIO(1),DATA,RAT1,RAT2,RAT3      ! DEFINE ARRAY PARAMETER TAR

*DIM,TAR,ARRAY,3
*VFILL,TAR(1),DATA,(-SURF),0,SURF

*DIM,LABEL,CHAR,3,2
LABEL(1,1) = 'TOP'
LABEL(1,2) = 'STRESS'

LABEL(2,1) = 'MIDDLE'
LABEL(2,2) = 'STRESS'

LABEL(3,1) = 'BOTTOM'
LABEL(3,2) = 'STRESS'
FINISH
*END

RES3D                             ! READ MACRO TO RETRIEVE RESULTS
SAVE,TABLE_1

/CLEAR, NOSTART ! CLEAR DATABASE FOR 2ND SOLUTION
/PREP7
SMRT,OFF
/TITLE, VM210, BENDING OF HEX-TO-TET INTERFACE, FORMATION OF PYRAMIDS
/COM,   ****** USING 3-D SOLID186 ******
ET,1,186                                 ! ELEMENT TYPE SOLID186
ET,2,186                                 ! ELEMENT TYPE SOLID186

MSHGEN3D                                 ! READ MACRO TO GENERATE MESH

SOLV3D                                   ! READ MACRO TO PERFORM SOLUTION

RES3D                                    ! READ MACRO TO RETRIEVE RESULTS

SAVE,TABLE_2

/COM
/OUT,vm210,vrt
/NOPR
RESUME,TABLE_1
/GOPR
/COM,------------------- VM210 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,RESULTS USING SOLID95:
*VWRITE,LABEL(1,1),LABEL(1,2),TAR(1),RESULTS(1),RATIO(1)
(1X,A8,A8,'   ',F12.4,'  ',F10.4,'   ',1F9.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,RESULTS USING SOLID186:
*VWRITE,LABEL(1,1),LABEL(1,2),TAR(1),RESULTS(1),RATIO(1)
(1X,A8,A8,'   ',F12.4,'  ',F10.4,'   ',1F9.3)
/COM,----------------------------------------------------------------
/COM,
/OUT
FINISH
*LIST,vm210,vrt
/DELETE,MSHGEN3D,MAC
/DELETE,SOLV3D,MAC
/DELETE,RES3D,MAC

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM209 Input Listing 		Up / Home Next
VM211 Input Listing


VM211 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM211
R = 200                        ! RADIUS OF CYLINDER (mm)
/PREP7
SMRT,OFF
/TITLE, VM211, RUBBER CYLINDER PRESSED BETWEEN TWO PLATES
/COM    REF: T. SUSSMAN, K.J. BATHE, "A FE FORMULATION FOR NONLINEAR ..."
/COM         COMPUTERS & STRUCTURES, VOL. 26, NOS. 1/2, 1987
ET,1,PLANE182, , ,2            ! 2-D PLANE-STRAIN 4-NODE STRUCTURAL SOLID
KEYOPT,1,6,1                   ! Mixed U-P FORMULATION
ET,2,TARGE169                  ! 2-D TARGET ELEMENT
ET,3,CONTA171                  ! 2-D CONTACT ELEMENT
KEYOPT,3,5,4
KEYOPT,3,10,1
MP,EX,1,2.82                   ! YOUNG'S MODULUS [MPA]
MP,NUXY,1,0.49967              ! POISSON'S RATIO
C10 = 0.293
C01 = 0.177
NU1 = 0.49967
DD  = 2*(1-2*NU1)/(C10+C01)
TB,HYPER,1,1,2,MOONEY
TBDATA,1,C10,C01,DD
CSYS,1                         ! SWITCH TO CYLINDRICAL C.S.
K,1                            ! DEFINE KEYPOINTS
K,2,R,-90
K,3,R
K,4,(0.5*R),-90
K,5,(0.6*R),-45
K,6,(0.5*R)
K,7,R,-45
L,2,7
L,7,3
CSYS,0                         ! SWITCH TO CARTESIAN C.S.
A,2,7,5,4
A,7,3,6,5
A,4,5,6,1
TSHAPE,LINE
K,1001,-2*R,-R
K,1002,2*R,-R
L,1002,1001
SAVE,temp,db                    ! SAVE MODEL FOR SECOND ANALYSIS
TYPE,1
AMESH,ALL                         ! MESH ALL AREAS
REAL,2
TYPE,2
LMESH,10
LSEL,S,LINE,,1,2,1
TYPE,3
LMESH,ALL
save,cont171,db
FINI

*CREATE,SOLV2D,MAC             ! MACRO TO SOLVE MODEL
/SOLU
!SOLCONTROL,0
ANTYPE,STATIC
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
CP,1,UY,ALL
*GET,NCEN,NODE,,NUM,MIN
ALLSEL
!CNVTOL,F,,,,-1
NLGEOM,ON                     ! INCLUDE LARGE DEFORMATION EFFECTS
NSUBST,6                      ! SPECIFY NUMBER OF SUBSTEPS IN LOAD STEP
OUTRES,,1                     ! WRITE SOLUTION FOR EVERY SUBSTEP
D,NCEN,UY,-100                ! APPLY DISPLACEMENT UY = -100 TO COUPLED NODES
!NROPT,FULL,,OFF
SOLVE
FINISH
*END

SOLV2D                         ! USE MACRO SOLVE2D

*CREATE,PLOTS,MAC              ! MACRO FOR POST-PROCESSING
/POST1
/DSCALE,1,1
PLDISP,1                      ! PLOT DISPLACED SHAPE
FINISH
/POST26
/AXLAB,Y,FORCE
/AXLAB,X,DISPLACEMENT
NSOL,2,NCEN,U,Y
RFORCE,3,NCEN,F,Y
PROD,2,2,,,,,,-2
PROD,3,3,,,,,,-2
XVAR,2
PLVAR,3                       ! PLOT DISPLACEMENT VS FORCE
PRVAR,2,3                     ! PRINT DISPLACEMENT, FORCE
*GET,F1,VARI,3,RTIME,.5
*GET,F2,VARI,3,RTIME,1
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
 LABEL(1,1) = 'F (N) @ ','F (N) @ '
LABEL(1,2) = '.1','.2'
*VFILL,VALUE(1,1),DATA,250,1400
*VFILL,VALUE(1,2),DATA,F1,F2
*VFILL,VALUE(1,3),DATA,ABS(F1/250),ABS(F2/1400)
FINISH
*END

PLOTS                          ! USE MACRO PLOTS
SAVE,TABLE_1

RESUME,temp,db
/PREP7
ALLSEL
ET,1,PLANE183, , ,2            ! 2-D PLANE-STRAIN 8-NODE STRUCTURAL SOLID
KEYOPT,1,6,1                   ! Mixed U-P FORMULATION
ET,2,TARGE169                  ! 2-D TARGET ELEMENT
ET,3,CONTA172                  ! 2-D CONTACT ELEMENT
KEYOPT,3,5,4
KEYOPT,3,10,1
TYPE,1
AMESH,ALL
REAL,2
TYPE,2
LMESH,10
LSEL,S,LINE,,1,2,1
TYPE,3
LMESH,ALL
save,cont172,db
FINISH
SOLV2D                         ! USE MACRO TO OBTAIN SOLUTION
PLOTS                          ! USE MACRO TO POSTPROCESS
SAVE,TABLE_2

/PREP7
RESUME,temp,db
ET,5,SOLID185                  ! 3-D 8-NODE STRUCTURAL SOLID
KEYOPT,5,6,1                   ! Mixed U-P FORMULATION
ET,2,TARGE170
ET,3,CONTA173                  ! 3-D 4 NODE CONTACT ELEMENT
KEYOPT,3,10,1
KEYOPT,3,5,4
ET,4,200,6                     ! 2-D 4 NODED MESH200
LDELETE,10,,,1
ALLSEL
CSYS,0
K,1001,-.1*R,-R,-.1*R
K,1002,2*R,-R,-.1*R
K,1003,2*R,-R,8*R
K,1004,-.1*R,-R,8*R
A,1004,1003,1002,1001
TSHAPE,TRI
SAVE,temp3d,db
ESIZE,,1
REAL,2
TYPE,2
AMESH,4
REAL,1
TYPE,4
ESIZE,,4
AMESH,1,3,1
TYPE,1
ESIZE,,4
VEXT,1,3,1,,,1
CSYS,1
ASEL,S,LOC,X,R
TYPE,3
REAL,2
AMESH,ALL
LSEL,ALL
NSEL,ALL
CSYS,0
save,cont173,db
FINISH

*CREATE,SOLV3D,MAC            ! MACRO TO SOLVE MODEL
/SOLUTION
ANTYPE,STATIC
D,ALL,UZ                      ! CONSTRAIN ALL IN Z (PLANE STRAIN)
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
CP,1,UY,ALL
*GET,NCEN,NODE,,NUM,MIN
NSEL,ALL
!CNVTOL,F,1
NLGEOM,ON                     ! INCLUDE LARGE DEFORMATION EFFECTS
NSUBST,6                      ! SPECIFY NUMBER OF SUBSTEPS IN LOAD STEP
!NROPT,FULL,,OFF
OUTRES,,1                     ! WRITE SOLUTION FOR EVERY SUBSTEP
D,NCEN,UY,-100                ! APPLY DISPLACEMENT UY = -100 TO COUPLED NODES
SOLVE
FINISH
*END

SOLV3D                         ! USE MACRO TO OBTAIN SOLUTION

PLOTS                          ! USE MACRO TO POSTPROCESS
SAVE,TABLE_3

/PREP7
RESUME,temp3d,db
ET,1,SOLID186                  ! 3-D 20-NODE STRUCTURAL SOLID
KEYOPT,1,6,1                   ! Mixed U-P FORMULATION
ET,2,TARGE170
ET,3,CONTA174
KEYOPT,3,10,1
KEYOPT,3,5,4
KEYOPT,3,7,1
VEXT,1,3,1,,,1
TYPE,1
VMESH,ALL
REAL,2
TYPE,3
CSYS,1
ASEL,S,LOC,X,R
AMESH,ALL
ESIZE,,1
TYPE,2
ASEL,ALL
AMESH,4
ALLSEL
CSYS,0
save,cont174,db
FINI
SOLV3D
PLOTS
SAVE,TABLE_4

!* THE INPUT BELOW IS SAME AS INPUT ABOVE BUT WITH K(2)=3 OF CONTAC171-174 ELEMENTS...
RESUME,cont171,db
/PREP7
KEYOPT,3,4,2                   ! ON NODAL POINT - NORMAL TO TARGET SURFACE
KEYOPT,3,2,3                   ! LAGRANGE MULTIPLIER ON CONTACT NORMAL AND PENALTY ON TANGENT
FINISH
SOLV2D                         ! USE MACRO TO OBTAIN SOLUTION
PLOTS                          ! USE MACRO TO POSTPROCESS
SAVE,TABLE_5

RESUME,cont172,db
/PREP7
KEYOPT,3,4,2                   ! ON NODAL POINT - NORMAL TO TARGET SURFACE
KEYOPT,3,2,3                   ! LAGRANGE MULTIPLIER ON CONTACT NORMAL AND PENALTY ON TANGENT
FINISH
SOLV2D                         ! USE MACRO TO OBTAIN SOLUTION
PLOTS                          ! USE MACRO TO POSTPROCESS
SAVE,TABLE_6

RESUME,cont173,db
/PREP7
KEYOPT,3,4,2                   ! ON NODAL POINT - NORMAL TO TARGET SURFACE
KEYOPT,3,2,3                   ! LAGRANGE MULTIPLIER ON CONTACT NORMAL AND PENALTY ON TANGENT
FINISH
SOLV3D                         ! USE MACRO TO OBTAIN SOLUTION
PLOTS                          ! USE MACRO TO POSTPROCESS
SAVE,TABLE_7

RESUME,cont174,db
/PREP7
KEYOPT,3,4,2                   ! ON NODAL POINT - NORMAL TO TARGET SURFACE
KEYOPT,3,2,3                   ! LAGRANGE MULTIPLIER ON CONTACT NORMAL AND PENALTY ON TANGENT
FINISH
SOLV3D
PLOTS
SAVE,TABLE_8

/COM
/OUT,vm211,vrt
RESUME,TABLE_1
/COM,------------------- VM211 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,RESULTS USING PLANE182:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,RESULTS USING PLANE183:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/NOPR
RESUME,TABLE_3
/GOPR
/COM,
/COM,RESULTS USING SOLID185:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/NOPR
RESUME,TABLE_4
/GOPR
/COM,
/COM,RESULTS USING SOLID186:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/NOPR
RESUME,TABLE_5
/GOPR
/COM,
/COM,RESULTS USING PLANE182 WITH KEYOPT(2)=3 OF CONTAC171:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/NOPR
RESUME,TABLE_6
/GOPR
/COM,
/COM,RESULTS USING PLANE183 WITH KEYOPT(2)=3 OF CONTAC172:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/NOPR
RESUME,TABLE_7
/GOPR
/COM,
/COM,RESULTS USING SOLID185 WITH KEYOPT(2)=3 OF CONTAC173:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/NOPR
RESUME,TABLE_8
/GOPR
/COM,
/COM,RESULTS USING SOLID186 WITH KEYOPT(2)=3 OF CONTAC174:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/COM,-----------------------------------------------------------
/COM,
/OUT
FINISH
*LIST,vm211,vrt
/DELETE,PLOTS,MAC
/DELETE,SOLV2D,MAC
/DELETE,SOLV3D,MAC
/DELETE,TABLE_1
/DELETE,TABLE_2
/DELETE,TABLE_3
/DELETE,TABLE_4
/DELETE,TABLE_5
/DELETE,TABLE_6
/DELETE,TABLE_7
/DELETE,TABLE_8
/DELETE,temp,db
/DELETE,temp3d,db
/DELETE,cont171,db
/DELETE,cont172,db
/DELETE,cont173,db
/DELETE,cont174,db

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM210 Input Listing 		Up / Home Next
VM212 Input Listing


VM212 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM212
/PREP7
/TITLE, VM212, MODAL ANALYSIS OF A RECTANGULAR CAVITY
/COM,********************************************************************************
/COM,
/COM, INTRO TO GUIDED WAVES AND MICROWAVE CIRCUITS
/COM, ROBERT S. ELLIOT, PAGE 264
/COM,
/COM,********************************************************************************
ET,1,HF120,2                            ! HF SOLID BRICK ELEMENT, 2ND ORDER
MP,MURX,1,1.                            ! RELATIVE PERMEABILITY
MP,PERX,1,1.                            ! RELATIVE PERMITTIVITY
CH=0.3                                  ! CAVITY HEIGTH
CW=0.4                                  ! CAVITY WIDTH
CL=1.0                                  ! CAVITY LENGTH
FRQSTR=1.0E6                            ! SHIFT POINT FOR EIGENVALUE EXTRACTION
FRQEND=100E9                            ! UPPER BOUND FOR FREQUNECY EXTRACTION
MODES=1                                 ! NUMBER OF MODES TO EXTRACT
BLOCK,0,CL,0,CW,0,CH                    ! CREATE CAVITY
LSEL,S,LOC,X,0
LSEL,A,LOC,X,CL
LESIZE,ALL,,,5                          ! SET LINE DIVISIONS
LSEL,INVE
LESIZE,ALL,,,10
VMESH,1                                 ! MESH VOLUME
DA,ALL,AX,0                             ! SET ELECTRIC WALL CONDITION (TANGENTIAL E=0)
ASEL,ALL
FINISH
/SOLUTION
ANTYPE,MODAL                            ! MODAL ANALYSIS
MODOPT,LANB,MODES,FRQSTR,FRQEND,,ON     ! BLOCK LANCZOS SOLVER
MXPAND,,,,YES                           ! EXPAND MODE
SOLVE
FINISH
/POST1
SET,LAST
*GET,MODFRQ,ACTIVE,,SET,FREQ
MODFRQ=MODFRQ/1E9                       ! GHZ.

/VIEW,,.75,.5,.6
/VUP,1,Z
/DEVICE,VECTOR,1
EPLOT
PLVECT,H,,,,VECT,NODE,ON                ! DISPLAY H FIELD
PLVECT,EF,,,,VECT,NODE,ON               ! DISPLAY E FIELD
FINISH

PARSAVE,ALL,TEMP			! KEEP PARAMETERS
/CLEAR,NOSTART
PARRESUME,CHANGE,TEMP

/COM
/COM **** REPEAT TEST USING COURSE MESH WITH HF119, THEN DEMONSTRATE
/COM ****  HFEREFINE MACRO FOR HF119 ELEMENT REFINEMENT.
/COM

/PREP7
/TITLE, VM212, MODAL ANALYSIS OF A RECTANGULAR CAVITY
/COM,********************************************************************************
/COM,
/COM, INTRO TO GUIDED WAVES AND MICROWAVE CIRCUITS
/COM, ROBERT S. ELLIOT, PAGE 264
/COM,
/COM,********************************************************************************
/COM,
ET,1,HF119
MP,MURX,1,1.                            ! RELATIVE PERMEABILITY
MP,PERX,1,1.                            ! RELATIVE PERMITTIVITY
CH=0.3                                  ! CAVITY HEIGTH
CW=0.4                                  ! CAVITY WIDTH
CL=1.0                                  ! CAVITY LENGTH
FRQSTR=1.0E6                            ! SHIFT POINT FOR EIGENVALUE EXTRACTION
FRQEND=100E9                            ! UPPER BOUND FOR FREQUNECY EXTRACTION
MODES=1                                 ! NUMBER OF MODES TO EXTRACT
BLOCK,0,CL,0,CW,0,CH                    ! CREATE CAVITY
LSEL,S,LOC,X,0
LSEL,A,LOC,X,CL
LESIZE,ALL,,,2
LSEL,INVE
LESIZE,ALL,,,3
VMESH,1                                 ! MESH VOLUME
DA,ALL,AX,0                             ! SET ELECTRIC WALL CONDITION (TANGENTIAL E=0)
ASEL,ALL
FINISH
/SOLUTION
HFADP,ON                                ! TURN ADPATIVE EI ON
ANTYPE,MODAL                            ! MODAL ANALYSIS
MODOPT,LANB,MODES,FRQSTR,FRQEND,,ON     ! BLOCK LANCZOS SOLVER
MXPAND,,,,YES                           ! EXPAND MODE
SOLVE
FINISH
/POST1
SET,LAST
*GET,MODFRQ119_1,ACTIVE,,SET,FREQ
MODFRQ119_1=MODFRQ119_1/1E9                       ! GHZ.

/PREP7
HFEREFINE,1.2				! DEMONSTRATE HFEREFINE MACRO
                    ! MACRO WILL REFINE TET MESH
                    ! LOADS WILL NEED TO BE REAPPLIED
DA,ALL,AX,0                             ! SET ELECTRIC WALL CONDITION (TANGENTIAL E=0)
ASEL,ALL
FINISH
/SOLUTION
ANTYPE,MODAL                            ! MODAL ANALYSIS
MODOPT,LANB,MODES,FRQSTR,FRQEND,,ON     ! BLOCK LANCZOS SOLVER
MXPAND,,,,YES                           ! EXPAND MODE
SOLVE
FINISH
/POST1
SET,LAST
*GET,MODFRQ119_2,ACTIVE,,SET,FREQ
MODFRQ119_2=MODFRQ119_2/1E9                       ! GHZ.

/VIEW,,.75,.5,.6
/VUP,1,Z
/DEVICE,VECTOR,1
EPLOT
PLVECT,H,,,,VECT,NODE,ON                ! DISPLAY H FIELD
PLVECT,EF,,,,VECT,NODE,ON               ! DISPLAY E FIELD
FINISH

*DIM,LABEL,CHAR,3
*DIM,VALUE,,3,3
LABEL(1,1)='120_BRCK','119_NORFN','119_RFN'
*VFILL,VALUE(1,1),DATA,.40389,.40389,.40389
*VFILL,VALUE(1,2),DATA,MODFRQ,MODFRQ119_1,MODFRQ119_2
*VFILL,VALUE(1,3),DATA,ABS(MODFRQ/.40389),ABS(MODFRQ119_1/.40389),ABS(MODFRQ119_2/.40389)
/OUT,vm212,vrt
/COM,-------------------  VM212 RESULTS COMPARISON ----------------------
/COM,
/COM,         |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,FREQUENCY
/COM,
*VWRITE,LABEL(1,1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,'   ',F10.7,'  ',F10.7,'   ',1F5.3)
/COM,--------------------------------------------------------------------
/OUT
FINISH
*LIST,vm212,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM211 Input Listing 		Up / Home Next
VM213 Input Listing


VM213 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM213
/PREP7
/TITLE,VM213, HARMONIC RESPONSE ANALYSIS OF A COAXIAL CABLE
/COM,********************************************************************************
/COM,
/COM,   INTRO TO GUIDED WAVES AND MICROWAVE CIRCUITS
/COM,   ROBERT S. ELLIOT
/COM,   SECTION 3.3, THE COAXIAL CABLE, PAGE 48
/COM,
/COM,********************************************************************************
ET,1,HF120,2                    !HIGH FREQUENCY SOLID BRICK, 2ND ORDER
MP,MURX,1,1.                    !RELATIVE PERMEABILITY
MP,PERX,1,1.                    !RELATIVE PERMITTIVITY
FREQ=8E8                        !FREQUENCY (HZ.)
CA=0.025                        !INNER RADIUS
CB=0.075                        !OUTER RADIUS
CL=0.375                        !CABLE LENGTH
V0=1.0                          !VOLTAGE DIFFERENCE BETWEEN CONDUCTORS
NL=15                           !NUMBER OF ELEMENTS ALONG LENGTH
NR=8                            !NUMBER OF ELEMENTS ALONG RADIUS
NTH=1                           !NUMBER OF ELEMENT THROUGH CIRCUMFERENCE
ANG=5                           !CIRCUMFERENTIAL MODEL ANGLE
CYLIND,CA,CB,0,CL,0,5           !CREATE WEDGE MODEL
CSYS,1
LSEL,S,LOC,Z,CL/2
LESIZE,ALL,,,NL,-10             !NL ELEMENTS ALONG LENGTH OF COAX, CLUSTER AT PORTS
LSEL,S,LOC,X,(CA+CB)/2
LESIZE,ALL,,,NR                 !NR ELEMENTS ALONG THE RADIUS
LSEL,S,LOC,Y,ANG/2
LESIZE,ALL,,,NTH                !NTH ELEMENTS AROUND THE CIRCUMFERENCE
VMESH,1                         !MESH THE VOLUME
ASEL,S,LOC,X,CA
ASEL,A,LOC,X,CB
DA,ALL,AX,0                     !SET ELECTRIC WALL BC (TANGENTIAL E = 0)
LOCAL,11,1
CSYS,0
ASEL,S,LOC,Z,0                  !SELECT AREA AT PORT 1 LOCATION
SFA,ALL,,PORT,1                 !DEFINE AS PORT 1
PORTOPT,1,COAX,11,CA,CB,V0      !SPECIFY PORT OPTIONS
ASEL,S,LOC,Z,CL                 !SELECT AREA AT PORT 2 LOCATION
SFA,ALL,,PORT,2                 !DEFINE PORT 2
PORT,2,COAX,11, CA,CB,          !SPECIFY PORT OPTIONS (MATCHING PORT)
ASEL,ALL
CSYS,1
NBI=NODE(CA,0,CL)               !RETRIEVE NODE AT INNER RADIUS
NBO=NODE(CB,0,CL)               !RETRIEVE NODE AT OUTER RADIUS
NBA=NODE(CB,ANG,CL)             !RETRIVE NODE AT OUTER RADIUS, ANGLE "ANG"
FINISH
/SOLUTION
ANTYPE,HARMIC                   !FULL HARMONIC ANALYSIS
HARFRQ,FREQ
SOLVE
FINISH
/POST1
SPARM,1,2                       !CALCULATE S-PARAMETERS
SET,1,1,
/VIEW,,1,.5,.8
EPLOT
PLVECT,H,,,H,VECT,NODE,ON       !DISPLAY H FIELD
PLVECT,EF,,,EF,VECT,NODE,ON     !DISPLAY E FIELD
RSYS,1                          !RETRIEVE RESULTS IN CYLINDRICAL C.S.
*GET,EFX,NODE,NBO,EF,X          !RETRIEVE EF(X) AT NODE NBO
*GET,HY,NODE,NBO,H,Y            !RETRIEVE H(Y) AT NODE NBO
RSYS,0
ESEL,S,SFE,PORT,1               !SELECT ELEMENTS AT PORT1
ETABLE,PS1,NMISC,5              !STORE INCIDENT POWER
SSUM                            !SUM FOR ALL SELECTED ELEMENTS
*GET,PINC,SSUM,,ITEM,PS1        !RETRIEVE INCIDENT POWER
PINC=PINC*360/ANG               !CALCULATE POWER FOR FULL 360 DEGREES
ESEL,ALL
!
PATH,VLTG,2                     !CREATE PATH FOR VOLTAGE CALC.
PPATH,1,NBI                     !DEFINE PATH POINTS VIA NODES
PPATH,2,NBO
PATH,CURR,2                     !CREATE CURRENT PATH FOR CURRENT CALC.
PPATH,1,NBO                     !DEFINE PATH POINTS VIA NODES
PPATH,2,NBA
IMPD,'VLTG','CURR',1,360/ANG    !CALCULATE IMPEDANCE
EX=12.14
H=.0322
S12=1.0
S11=0.0
P=.01517/2
IMP=65.87
*DIM,LABEL,CHAR,6,2
*DIM,VALUE,,6,3
LABEL(1,1) = 'EX     ','HY     ','S11     ','S12    ','P      ','IMPD'
LABEL(1,2) = '=       ','=        ','=       ','=        ','=        ','=         '
*VFILL,VALUE(1,1),DATA,12.14,.0322,0,1.0,ABS(.01517/2),65.87
*VFILL,VALUE(1,2),DATA,EFX,HY,SII,SIJ,PINC,ZRE
*VFILL,VALUE(1,3),DATA,(EFX/12.14),(HY/.0322),0,(SIJ/1.0),(PINC/(.01517/2)),(ZRE/65.87)
/COM
/OUT,vm213,vrt
/COM,------------------- VM213 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.2,'  ',F10.2,'   ',1F5.3)
/COM,
/COM,-------------------------------------------------------------
/OUT
FINISH
*LIST,vm213,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM212 Input Listing 		Up / Home Next
VM214 Input Listing


VM214 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM214
/PREP7 $ SMRT,OFF
/TITLE,VM214, HARMONIC ANALYSIS OF A TE10-LOADED RECTANGULAR WAVEGUIDE
/COM,********************************************************************************
/COM,
/COM,   INTRO TO GUIDED WAVES AND MICROWAVE CIRCUITS
/COM,   ROBERT S. ELLIOT
/COM,   SECTION 4.3, THE RECTANGULAR WAVEGUIDE, PAGE 82
/COM,
/COM,********************************************************************************
/PREP7 $ SMRT,OFF
ET,1,HF119                      ! HIGH FREQUENCY SOLID TETRAHEDRAL
MP,MURX,1,1.                    ! REALTIVE PERMEABILITY
MP,PERX,1,1.                    ! RELATIVE PERMITTIVITY
CH=0.01                         ! WIDTH
CW=0.03                         ! HEIGHT
CL=0.048                        ! LENGTH EQUAL TO ONE WAVELENGTH
FREQ=8E9                        ! FREQUENCY (HZ.)
LAMDA=3E8/FREQ                  ! CALCULATE WAVELENGTH
BLOCK,-CW/2,CW/2,0,CH,0,CL      ! CREATE WAVEGUIDE
ESIZE,.003                      ! SET ELEMENT DIVISIONS
VMESH,1                         ! MESH VOLUME
ASEL,S,LOC,X,-CW/2
ASEL,A,LOC,X,CW/2
ASEL,A,LOC,Y,0
ASEL,A,LOC,Y,CH
DA,ALL,AX,0                     ! SET ELECTRIC WALL CONDITION (TANGENTIAL E=0)
LOCAL,11
PORT,1,TE10,11,CW,CH,1.0        ! INPUT PORT, 1 VOLT
PORT,2,TE10,11,CW,CH,           ! OUTPUT PORT, MATCHED
ASEL,S,LOC,Z,0                  ! SELECT AREAS TO ASSIGN INPUT PORT
SFA,ALL,,PORT,1                 ! ASSIGN INPUT PORT TO PORT 1
ASEL,S,LOC,Z,CL                 ! SELECT AREAS TO ASSIGN OUTPUT PORT
SFA,ALL,,PORT,2                 ! ASSIGN OUTPUT PORT TO PORT 2
ASEL,ALL
FINISH
/SOLUTION
ANTYPE,HARMIC                   ! FULL HARMONIC ANALYSIS
EQSLV,ICCG                      ! SELECT ICCG SOLVER
HARFRQ,FREQ                     ! SET FREQUENCY
SOLVE
FINISH
/POST1
SPARM,1,2
S11C = SII
S12C = SIJ
SET,1,1
ETABLE,PS1,NMISC,5              ! STORE INCIDENT POWER
/OUT,SCRATCH
SSUM                            ! SUM FOR ALL SELECTED ELEMENTS
/OUT
*GET,PINC,SSUM,,ITEM,PS1        ! RETRIEVE INCIDENT POWER
N1=NODE(0,0,0)                  ! INPUT PORT AT CENTERLINE
*GET,EYC,NODE,N1,EF,Y
*GET,HXC,NODE,N1,H,X
S11T=0.0
S12T=1.0
PIN=.1554E-6
EY=1.0
HX=-.2072E-2
*DIM,LABEL,CHAR,5,2
*DIM,VALUE,,5,3
LABEL(1,1) = 'S11     ','S12     ','POWER   ','EY      ','HX      '
LABEL(1,2) = '=       ','=       ','=        ','=       ','=       '
*VFILL,VALUE(1,1),DATA,S11T,S12T,PIN,EY,HX
*VFILL,VALUE(1,2),DATA,S11C,S12C,PINC,EYC,HXC
*VFILL,VALUE(1,3),DATA,0,(S12C/S12T),(PINC/PIN),(EYC/EY),(HXC/HX)
/COM
/OUT,vm214,vrt
/COM,------------------- VM214 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.8,'   ',F10.8,'   ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm214,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM213 Input Listing 		Up / Home Next
VM215 Input Listing


VM215 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM215
/PREP7
/TITLE,VM215, CONDUCTING SPHERE
ET,1,157
R,1,0.2               ! THICKNESS = 0.2
MP,RSVX,,7            ! DEFINE ELECTRICAL RESISTIVITIES PROPERTY
MP,KXX,,3             ! DEFINE THERMAL CONDUCTIVITIES PROPERTY
CSYS,2                ! SPHERICAL COORDINATE SYSTEM
N,1,10                ! 10 UNIT RADIUS SPHERE
N,21,10,,80           ! 10 DEGREE HOLE AT THE TOP
FILL,,, ,,, ,,0.1     ! SHIFT ELEMENTS TOWARD HOLE
NGEN,2,30,1,21,1,,3   ! ANALYSE A 3 DEGREE SECTOR
E,1,2,32,31           ! DEFINE ELEMENT
EGEN,20,1,-1          ! USE 20 ELEMENTS
CP,1,VOLT,1,31
CP,2,TEMP,1,31
CP,3,VOLT,21,51
CP,4,TEMP,21,51
FINISH
/SOLU
OUTPR,,1
D,21,ALL              ! SET ALL VOLTAGES AND TEMPERATURES AT THE HOLE TO ZERO
D,1,VOLT,100          ! SET VOLTAGE AT THE EQUATOR TO 100
SOLVE
FINISH
/POST1
PRRSOL,AMPS           ! PRINTS THE CONSTRAINED NODE REACTION AT CURRENT FLOW
PRRSOL,HEAT           ! PRINTS THE CONSTRAINED NODE REACTION AT HEAT FLOW
NSEL,S,NODE,,21,51,30
FSUM
*GET,I21,FSUM,0,ITEM,AMPS
*GET,H21,FSUM,0,ITEM,HEAT
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'I AMPS ','Q WATT'
LABEL(1,2) = 'NODE 21','NODE 21'
*VFILL,VALUE(1,1),DATA,0.0614,6.14058
*VFILL,VALUE(1,2),DATA,I21,H21
*VFILL,VALUE(1,3),DATA,(I21/0.0614),(H21/6.14058)
/COM
/OUT,vm215,vrt
/COM,------------------- VM215 RESULTS COMPARISON --------------------------
/COM,
/COM,      SHELL157    |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A9,A8,'     ',F7.5,'     ',F7.5,'     ',1F5.3)
/COM,------------------------------------------------------------------------
/OUT
FINISH
*LIST,vm215,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM214 Input Listing 		Up / Home Next
VM216 Input Listing


VM216 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM216
/TITLE,VM216, LATERAL BUCKLING OF RIGHT-ANGLE FRAME
!  J.C. SIMO, L. VU-QUOC, "THREE-DIMENSIONAL FINITE-STRAIN ROD
!  MODEL",PART II CMAME, VOL 58, 1986, PP 79-116
/PREP7
N,1 ,   ,240		!DEFINE NODES
N,21,240,240
N,41,240,0
FILL,1,21
FILL,21,41
N,101,120,360
N,201,360,120
SECNUM,1
ET,1,188		!USE BEAM188 ELEMENT TYPE
*DO,I,1,20,1
 E,I,I+1,101
*ENDDO
*DO,I,21,40,1
 E,I,I+1,201
*ENDDO
SECTYPE,1,BEAM,ASEC
SECDATA,18.0,1350.0,0.0,0.54,0.0,2.16
MP,EX,1,71240
MP,NUXY,1,0.31
D,1,ALL
FINISH
/SOLU
NLGEOM,ON
NSUBST,2
F,41,FZ,1.0E-3		!APPLY PERTURBATION FORCE
/OUT,SCRATCH,		!SUPPRESS SOLUTION DATA
SOLVE
/OUT
OUTRES,ALL,ALL
ARCLEN,ON
ARCTRM,U,60,41,UZ
F,41,FX,1.485		!APPLY END FORCE
NSUBST,10
/OUT,SCRATCH,		!SUPPRESS SOLUTION DATA
SOLVE
/OUT
FINISH
/POST26
/AXLAB,X,TIP DISPLACEMENT
/AXLAB,Y,END FORCE
NSOL,2,41,U,Z,DISP
RFORCE,3,1,F,X,FORCE
PROD,4,3, , ,FORCE , , ,-1.0,1,1,
XVAR,2
/COM,   THE LOAD DEFLECTION CURVE SHOWN IN VM216.GRPH
/COM,   SHOW A CRITICAL LOAD OF APPROX. 1.09
PRVAR,2,4
PLVAR,4
FINISH
/POST1
SET,2,7,1
NSEL,S,LOC,X,0
FSUM
*GET,CP1,FSUM,,ITEM,FX
*DIM,LABEL1,CHAR,1
*DIM,VALUE1,,1,3
LABEL1(1) = 'FX_CRLD'
*VFILL,VALUE1(1,1),DATA,1.09
*VFILL,VALUE1(1,2),DATA,ABS(CP1)
*VFILL,VALUE1(1,3),DATA,ABS(CP1 / 1.09)
/OUT,vm216,vrt
/COM,
/COM,------------------- VM216 RESULTS COMPARISON ---------------------
/COM,
/COM,BEAM188              |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),VALUE1(1,3)
(1X,A15,'     ',F10.3,'     ',F10.3,'     ',1F5.3)
/OUT
FINISH

/CLEAR,NOSTART			!PERFORM SAME ANALYSIS WITH BEAM189
/GFILE,500
JPEG,QUAL,100
/TRIAD,OFF
/PLOPTS,LOGO,0
/PLOPTS,INFO,2
/PLOPTS,WP,0
/RGB,INDEX,100,100,100,0
/RGB,INDEX,80,80,80,13
/RGB,INDEX,60,60,60,14
/RGB,INDEX,0,0,0,15
/PREP7
N,1 ,   ,240
N,21,240,240
N,41,240,0
FILL,1,21
FILL,21,41
N,101,120,360
N,201,360,120
SECNUM,1
ET,1,BEAM189                    ! 3-D QUADRATIC BEAM
*DO,I,1,10,1
 I0=(I-1)*2+1
 E,I0,I0+2,I0+1,101
*ENDDO
*DO,I,11,20,1
 I0=(I-1)*2+1
 E,I0,I0+2,I0+1,201
*ENDDO
SECTYPE,1,BEAM,ASEC
SECDATA,18.0,1350.0,0.0,0.54,0.0,2.16
MP,EX,1,71240
MP,NUXY,1,0.31
D,1,ALL
FINISH
/SOLU
NLGEOM,ON
NSUBST,2
F,41,FZ,1.0E-3
SOLVE
OUTRES,ALL,ALL
ARCLEN,ON
ARCTRM,U,60,41,UZ
F,41,FX,1.485
NSUBST,10
/VIEW,1,1,2,3
/ANG,1
/PBC,F,,1
/PBC,U,,1
/PBC,ROT,,1
/ESHAPE,7			!SET ESHAPE FACTOR TO 7
EPLOT
/ESHAPE,0			!TURN OFF ESHAPE
/PBC,ALL,OFF
/OUT,SCRATCH,,,APPEND
SOLVE
/OUT
FINISH
/POST26
/AXLAB,X,TIP DISPLACEMENT
/AXLAB,Y,END FORCE

NSOL,2,41,U,Z,DISP
RFORCE,3,1,F,X,FORCE
PROD,4,3, , , , , ,-1.0,1,1,
XVAR,2
PRVAR,2,4
PLVAR,4
FINISH
/POST1
SET,2,7,1
NSEL,S,LOC,X,0
FSUM
*GET,CP2,FSUM,,ITEM,FX
*DIM,LABEL2,CHAR,1
*DIM,VALUE2,,1,3
LABEL2(1) = 'FX_CRLD'
*VFILL,VALUE2(1,1),DATA,1.09
*VFILL,VALUE2(1,2),DATA,ABS(CP2)
*VFILL,VALUE2(1,3),DATA,ABS(CP2 / 1.09)

SET,LAST
/AUTO,1
ALLSEL
/VIEW,1,,,1
/ANG,1
PLDISP,1
/VIEW,1,,-1
PLDISP,1

/COM
/OUT,vm216,vrt,,APPEND
/COM,
/COM,BEAM189
/COM,
*VWRITE,LABEL2(1),VALUE2(1,1),VALUE2(1,2),VALUE2(1,3)
(1X,A15,'     ',F10.3,'     ',F10.3,'     ',1F5.3)
/COM,------------------------------------------------------------------
/OUT
FINISH
*LIST,vm216,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM215 Input Listing 		Up / Home Next
VM217 Input Listing


VM217 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM217
/TITLE,VM217, PORTAL FRAME UNDER SYMMETRIC LOADING
! N. J. HOFF, THE ANALYSIS OF STRUCTURES, PG 115
W=-500
A=400
EX=30E6
IO=20300
MROT=((W*A*A*A)/(EX*IO))*(1/27) !CALCULATE MAX ROT TARGET VALUE
BNDM=(W*A*A)*(19/54)		!CALCULATE MAX BEND MOMENT
/GRA,POWER
/GST,ON
/TRIAD,OFF
/ESHAPE,1
/PREP7
ET,1,BEAM188
ET,2,BEAM189
SECTYPE,1,BEAM,I
SECDATA,16.655,16.655,36.74,1.68,1.68,.945
SECPLOT,1
C = 1.49535
SECTYPE,2,BEAM,I
SECDATA,C*16.655,C*16.655,C*36.74,C*1.68,C*1.68,C*.945
SECPLOT,2
MP,EX,1,30E6
MP,NUXY,1,0.3
MP,EX,2,30E6
MP,NUXY,2,0.3
A = 400
COLUMDIV = 4
SPANDIV = 16
K,1
K,2,,A
K,3,2*A
K,4,2*A,A
L,2,1
L,3,4
L,4,2
LSEL,,,,1
LATT,,,,,3
LSEL,,,,2
LATT,,,,,1
LSEL,,,,3
LATT,,,,,1
ALLSEL
LESIZE,1,,,COLUMDIV
LESIZE,2,,,COLUMDIV
LESIZE,3,,,SPANDIV
TYPE,1
SECNUM,1
REAL,1
LMESH,1,2
TYPE,2
SECNUM,2
REAL,2
LMESH,3
ALLSEL
DK,1,ALL
DK,3,ALL
LSEL,,,,3
ESLL
SFBEAM,ALL,1,PRESS,-500,-500
ALLSEL
/VIEW,1,1,1,1
/ANG,1
EPLOT
FINISH

/SOLUTION
SOLVE
FINISH
/POST1
ETABLE,SMIS2,SMISC,2
ETABLE,SMIS15,SMISC,15
ETABLE,SMIS5,SMISC,5
ETABLE,SMIS18,SMISC,18
PRNSOL,DOF
PRETAB,SMIS2,SMIS15,SMIS5,SMIS18
/VIEW,1,,,1
PLLS,SMIS2,SMIS15
PLDISP,0
*GET,A,ROTZ,48		!GET ANSYS VALUE FOR MAX ROT
*GET,B,SMIS15,16	!GET ANSYS VALUE FOR MAX BEN MOMENT
/FORMAT,10,E,16

*DIM,LABEL,CHAR,2
*DIM,VALUE,,2,8
LABEL(1) = 'MAX.ROT','BEND.MOM.'
*VFILL,VALUE(1,1),DATA,ABS(MROT),ABS(BNDM)
*VFILL,VALUE(1,2),DATA,ABS(A),ABS(B)
*VFILL,VALUE(1,3),DATA,ABS(A / MROT),ABS(B / BNDM)

/COM
/OUT,vm217,vrt
/COM,------------------- VM217 RESULTS COMPARISON ---------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,'      ',E10.3,'     ',E10.3,'      ',1F5.3)
/COM,
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm217,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM216 Input Listing 		Up / Home Next
VM218 Input Listing


VM218 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM218
/TITLE,VM218, HYPERELASTICITY TEST: BALLOON/CIRCULAR PLATE PROBLEM
C***          USING SHELL181 ELEMENTS
/GRAPHICS,POWER
/PREP7
MP,EX,1,1.E6
MP,NUXY,1,0.5
MP,DENS,1,0.1
TB,HYPER,1,,,MOONEY
TBDATA,1,80.0,20.0
ET,1,SHELL181
R,1,0.5,
CSYS,1
K,1,0,0,0
K,2,7.5,0,0
K,3,7.5,7.5
L,1,2
L,2,3
L,3,1
A,1,2,3
LESIZE,1, , ,10
LESIZE,2, , ,1
LESIZE,3, , ,10
AMESH,1
D,ALL,UY
D,ALL,ROTX
D,ALL,ROTZ
NSEL,S,LOC,X,0
D,ALL,ALL
DDELE,ALL,UZ
NSEL,S,LOC,X,7.5
D,ALL,UX
D,ALL,UY
D,ALL,UZ
ALLSEL,ALL
LOCAL, 11,1, 0.0,0.0,0.0,0,0.0,0.0
NROTAT,ALL
AUTOTS,ON
NSUBST, 400, 1200,25
NLGEOM,ON
NROPT,FULL, ,OFF
OUTRES, ALL, ALL,
SF,ALL,PRES,50.0
NEQITR,20
/AUTO,1
/VIEW,1,,,1
/ANG,1
/ESHAPE,1
EPLOT
FINISH
/SOLUTION
/OUT,SCRATCH
SOLVE
/OUT
FINISH
/POST1
/NOPR		   !SUPPRESS GRAPHING DATA
/VIEW,1,,-1
/ANG,1
/USER
/FOCUS,1,4,,8,0	   !SET UP CENTER OF GRAPHICS SCREEN FOR DISPLACEMENT PLOT
/DIST,,12	   !SET DISTANCE TO ZOOM OUT
/TRIAD,OFF
SET,FIRST	   !SET DISPLACEMENT DATA FOR FIRST SUBSTEP
PLDISP,0	   !PLOT DISPLACEMENT DATA
/NOERASE	   !SET DISPLAY TO OVERLAY PLOTS
SET,,10
PLDISP,0
SET,,20
PLDISP,0
SET,,25
PLDISP,0
SET,LAST
PLDISP,1	   !PLOT FINAL DISPLACEMENT WITH ORIGINAL POSITION
/ERASE
/TRIAD,ON
/GOPR
/ESHAPE,0
FINISH
/POST26
/XRANGE,0,3.0
/YRANGE,0,1
/AXLAB,X,UZ OF CENTER/R-INITIAL
/AXLAB,Y,THICKNESS/ORIGINAL THICKNESS
NSOL,2,1,U,Z,UZ_1
ESOL,3,1, ,SMIS,17,TH_1
ADD,4,2, , ,UZRATIO, , ,0.13333333,0,0,
ADD,5,3, , ,SH.181, , ,2,0,0,
/COLOR,CURVE,MRED
XVAR,4
PLVAR,5
/ERASE
/NOPR
*DIM,X,TABLE,20,1
*DIM,Y,TABLE,20,1
X(  1,1)= 1.25
Y(  1,1)= 1.25
X(  2,1)= 1.8
Y(  2,1)= 2.5
X(  3,1)= 2.25
Y(  3,1)= 4.0
X(  4,1)= 2.6
Y(  4,1)= 5.9
X(  5,1)= 2.9
Y(  5,1)= 7.8
X(  6,1)= 3.2
Y(  6,1)= 9.8
X(  7,1)= 3.5
Y(  7,1)= 11.6
X(  8,1)= 3.62
Y(  8,1)= 12.6
X(  9,1)= 4.1
Y(  9,1)= 15.3
X( 10,1)= 4.9
Y( 10,1)= 18.8
X( 11,1)= 5.7
Y( 11,1)= 22.1
X( 12,1)= 6.2
Y( 12,1)= 24.0
X( 13,1)= 7.2
Y( 13,1)= 27.9
X( 14,1)= 8.3
Y( 14,1)= 31.2
X( 15,1)= 8.9
Y( 15,1)= 32.9
X( 16,1)= 9.9
Y( 16,1)= 35.8
X( 17,1)= 10.9
Y( 17,1)= 38.0
X( 18,1)= 13.1
Y( 18,1)= 42.9
X( 19,1)= 14.4
Y( 19,1)= 45
X( 20,1)= 15.2
Y( 20,1)= 46
/GOPR
/XRANGE,0,20
/YRANGE,0,60
/AXLAB,X,UZ OF CENTER (IN)
/AXLAB,Y,PRESSURE (LB/SQ IN)
/COLOR,CURVE,YGRE
*VPLOT,X(1,1),Y(1,1)
/NOERASE
NSOL,2,1,U,Z,UZ_1
PROD,7,1, , ,SH.181 , , ,50,0,0,!MULTIPLY SOLUTION BY 50
/COLOR,CURVE,MRED
XVAR,2  		        !SPECIFY X VARIABLE TO BE DISPLAYED
PLVAR,7 		        !DISPLAY SOLUTION IN GRPH FILE
/ERASE
PRVAR,7,2		        !LIST VARIABLE 7 VERSUS VARIABLE 2
FINISH
/POST1
/NOPR
SET,NEAR,,,,0.08		!SELECT UZ VALUE FOR NODE 1 AT T=0.08
*GET,VR1,NODE,1,U,Z
SET,NEAR,,,,0.48		!UZ VALUE FOR NODE 1 AT T=0.48
*GET,VR2,NODE,1,U,Z
SET,NEAR,,,,0.76		!UZ VALUE FOR NODE 1 AT T=0.76
*GET,VR3,NODE,1,U,Z
PRES1 = (0.08*50)		!SOLVE FOR PRES IN RESULTS TABLE
PRES2 = (0.48*50)
PRES3 = (0.76*50)
*DIM,LABEL,,3		        !SETUP RESULTS TABLE DATA
*DIM,VALUE,,3,3
LABEL(1) = PRES1,PRES2,PRES3
*VFILL,VALUE(1,1),DATA,2.25,6.2,10.9
*VFILL,VALUE(1,2),DATA,VR1,VR2,VR3
*VFILL,VALUE(1,3),DATA,(VR1/2.25),(VR2/6.2),(VR3/10.9)
FINISH
SAVE,TABLE_1
/CLEAR,NOSTART
/TITLE,VM218, HYPERELASTICITY TEST: BALLOON/CIRCULAR PLATE PROBLEM
C***          USING SHELL208 ELEMENTS
/PREP7
ET1 = 208
ET,1,SHELL208           ! 2 NODE ELEMENT, KEYOPT(3) = 0
THICK = 0.5             !SHELL THICKNESS
SECT,1,SHELL
SECD,THICK
MP,EX,1,1.E6
MP,NUXY,1,0.5
MP,DENS,1,0.1
TB,HYPER,1,,,MOONEY
TBDATA,1,80.0,20.0
N  ,     1 ,        0.,         0.
N  ,     2 ,   0.17143,         0.
N  ,     3 ,   0.47143,         0.
N  ,     4 ,   0.90000,         0.
N  ,     5 ,    1.4571,         0.
N  ,     6 ,    2.1429,         0.
N  ,     7 ,    2.9571,         0.
N  ,     8 ,    3.9000,         0.
N  ,     9 ,    4.9714,         0.
N  ,    10 ,    6.1714,         0.
N  ,    11 ,    7.5000,         0.
E,    1,       2
E,    2,       3
E,    3,       4
E,    4,       5
E,    5,       6
E,    6,       7
E,    7,       8
E,    8,       9
E,    9,      10
E,   10,      11
FINISH
*CREATE,SOLVEIT,MAC
/PREP7
NSEL,S,LOC,X, 0.0		!CONSTRAINTS AT X =0
D, ALL, UX
D, ALL, ROTZ
NSEL,ALL
NSEL,S,LOC,X,7.5
D, ALL,UX
D, ALL,UY
NSEL,ALL
AUTOTS,ON
NSUBST, 400, 1200,25
NLGEOM,ON
NROPT,FULL, ,OFF
OUTRES, ALL, ALL,
SF,ALL,PRES,-50.0
NEQITR,20
/AUTO,1
/VIEW,1,1,1,1
/ANG,1
/ESHAPE,1
EPLOT
FINISH
/SOLUTION
/OUT,SCRATCH
SOLVE
/OUT
FINISH
*END
SOLVEIT
*CREATE,PLOTS,MAC
/POST1
/NOPR		   !SUPPRESS GRAPHING DATA
/VIEW,1,,,1
/ANG,1
/USER
/FOCUS,1,4,8,,0	   !SET UP CENTER OF GRAPHICS SCREEN FOR DISPLACEMENT PLOT
/DIST,,12	   !SET DISTANCE TO ZOOM OUT
/TRIAD,OFF
SET,FIRST	   !SET DISPLACEMENT DATA FOR FIRST SUBSTEP
PLDISP,0	   !PLOT DISPLACEMENT DATA
/NOERASE	   !SET DISPLAY TO OVERLAY PLOTS
SET,,10
PLDISP,0
SET,,20
PLDISP,0
SET,,25
PLDISP,0
SET,LAST
PLDISP,1	   !PLOT FINAL DISPLACEMENT WITH ORIGINAL POSITION
/ERASE
/TRIAD,ON
/GOPR
/ESHAPE,0
FINISH
/POST26
/XRANGE,0,3.0
/YRANGE,0,1
/AXLAB,X,UY OF CENTER/R-INITIAL
/AXLAB,Y,THICKNESS/ORIGINAL THICKNESS
NSOL,2,1,U,Y,UY_1
ESOL,3,1, ,SMIS,13,TH_1
ADD,4,2, , ,UZRATIO, , ,0.13333333,0,0,
ADD,5,3, , ,SH.%ET1%, , ,2,0,0,
/COLOR,CURVE,MRED
XVAR,4
PLVAR,5
/ERASE
/NOPR
*DIM,X,TABLE,20,1
*DIM,Y,TABLE,20,1
X(  1,1)= 1.25
Y(  1,1)= 1.25
X(  2,1)= 1.8
Y(  2,1)= 2.5
X(  3,1)= 2.25
Y(  3,1)= 4.0
X(  4,1)= 2.6
Y(  4,1)= 5.9
X(  5,1)= 2.9
Y(  5,1)= 7.8
X(  6,1)= 3.2
Y(  6,1)= 9.8
X(  7,1)= 3.5
Y(  7,1)= 11.6
X(  8,1)= 3.62
Y(  8,1)= 12.6
X(  9,1)= 4.1
Y(  9,1)= 15.3
X( 10,1)= 4.9
Y( 10,1)= 18.8
X( 11,1)= 5.7
Y( 11,1)= 22.1
X( 12,1)= 6.2
Y( 12,1)= 24.0
X( 13,1)= 7.2
Y( 13,1)= 27.9
X( 14,1)= 8.3
Y( 14,1)= 31.2
X( 15,1)= 8.9
Y( 15,1)= 32.9
X( 16,1)= 9.9
Y( 16,1)= 35.8
X( 17,1)= 10.9
Y( 17,1)= 38.0
X( 18,1)= 13.1
Y( 18,1)= 42.9
X( 19,1)= 14.4
Y( 19,1)= 45
X( 20,1)= 15.2
Y( 20,1)= 46
/GOPR
/XRANGE,0,20
/YRANGE,0,60
/AXLAB,X,UY OF CENTER (IN)
/AXLAB,Y,PRESSURE (LB/SQ IN)
/COLOR,CURVE,YGRE
*VPLOT,X(1,1),Y(1,1)
/NOERASE
NSOL,2,1,U,Y,UY_1
PROD,7,1, , ,SH.%ET1%, , ,50,0,0,!MULTIPLY SOLUTION BY 50
/COLOR,CURVE,MRED
XVAR,2  		         !SPECIFY X VARIABLE TO BE DISPLAYED
PLVAR,7 		         !DISPLAY SOLUTION IN GRPH FILE
/ERASE
PRVAR,7,2		         !LIST VARIABLE 7 VERSUS VARIABLE 2
FINISH
/POST1
/NOPR
SET,NEAR,,,,0.08		 !SELECT UZ VALUE FOR NODE 1 AT T=0.08
*GET,VR1,NODE,1,U,Y
SET,NEAR,,,,0.48		 !UZ VALUE FOR NODE 1 AT T=0.48
*GET,VR2,NODE,1,U,Y
SET,NEAR,,,,0.76		 !UZ VALUE FOR NODE 1 AT T=0.76
*GET,VR3,NODE,1,U,Y
PRES1 = (0.08*50)		 !SOLVE FOR PRES IN RESULTS TABLE
PRES2 = (0.48*50)
PRES3 = (0.76*50)
*DIM,LABEL,,3			 !SETUP RESULTS TABLE DATA
*DIM,VALUE,,3,3
LABEL(1) = PRES1,PRES2,PRES3
*VFILL,VALUE(1,1),DATA,2.25,6.2,10.9
*VFILL,VALUE(1,2),DATA,VR1,VR2,VR3
*VFILL,VALUE(1,3),DATA,(VR1/2.25),(VR2/6.2),(VR3/10.9)
FINISH
*END
PLOTS
SAVE,TABLE_2
/CLEAR,NOSTART
/TITLE,VM218, HYPERELASTICITY TEST: BALLOON/CIRCULAR PLATE PROBLEM
C***          USING SHELL208 ELEMENTS
/PREP7
ET1 = 209
ET,1,SHELL209
THICK = 0.5
SECT,1,SHELL
SECD,THICK
MP,EX,1,1.E6
MP,NUXY,1,0.5
MP,DENS,1,0.1
TB,HYPER,1,,,MOONEY
TBDATA,1,80.0,20.0
N  ,     1 ,        0.,         0.
N  ,     2 ,   0.17143,         0.
N  ,     3 ,   0.47143,         0.
N  ,     4 ,   0.90000,         0.
N  ,     5 ,    1.4571,         0.
N  ,     6 ,    2.1429,         0.
N  ,     7 ,    2.9571,         0.
N  ,     8 ,    3.9000,         0.
N  ,     9 ,    4.9714,         0.
N  ,    10 ,    6.1714,         0.
N  ,    11 ,    7.5000,         0.
E,    1,       2
E,    2,       3
E,    3,       4
E,    4,       5
E,    5,       6
E,    6,       7
E,    7,       8
E,    8,       9
E,    9,      10
E,   10,      11
EMID,ADD  ! ADD MIDSIDE NODES FOR SHELL209
FINISH
SOLVEIT
PLOTS
SAVE,TABLE_3
/CLEAR,NOSTART
/TITLE,VM218, HYPERELASTICITY TEST: BALLOON/CIRCULAR PLATE PROBLEM
C***          USING SHELL281 ELEMENTS
/PREP7
MP,EX,1,1.E6
MP,NUXY,1,0.5
MP,DENS,1,0.1
TB,HYPER,1,,,MOONEY
TBDATA,1,80.0,20.0
ET,1,SHELL281
R,1,0.5,
CSYS,1
K,1,0,0,0
K,2,7.5,0,0
K,3,7.5,7.5
L,1,2
L,2,3
L,3,1
A,1,2,3
LESIZE,1, , ,20
LESIZE,2, , ,1
LESIZE,3, , ,20
AMESH,1
D,ALL,UY
D,ALL,ROTX
D,ALL,ROTZ
NSEL,S,LOC,X,0
D,ALL,ALL
DDELE,ALL,UZ
NSEL,S,LOC,X,7.5
D,ALL,UX
D,ALL,UY
D,ALL,UZ
ALLSEL,ALL
LOCAL, 11,1, 0.0,0.0,0.0,0,0.0,0.0
NROTAT,ALL
AUTOTS,ON
NSUBST, 400, 1200,25
NLGEOM,ON
NROPT,FULL, ,OFF
OUTRES, ALL, ALL,
SF,ALL,PRES,50.0
NEQITR,20
/AUTO,1
/VIEW,1,,,1
/ANG,1
/ESHAPE,1
EPLOT
FINISH
/SOLUTION
/OUT,SCRATCH
SOLVE
/OUT
FINISH
/POST1
/NOPR		   !SUPPRESS GRAPHING DATA
/VIEW,1,,-1
/ANG,1
/USER
/FOCUS,1,4,,8,0	   !SET UP CENTER OF GRAPHICS SCREEN FOR DISPLACEMENT PLOT
/DIST,,12	   !SET DISTANCE TO ZOOM OUT
/TRIAD,OFF
SET,FIRST	   !SET DISPLACEMENT DATA FOR FIRST SUBSTEP
PLDISP,0	   !PLOT DISPLACEMENT DATA
/NOERASE	   !SET DISPLAY TO OVERLAY PLOTS
SET,,10
PLDISP,0
SET,,20
PLDISP,0
SET,,25
PLDISP,0
SET,LAST
PLDISP,1	   !PLOT FINAL DISPLACEMENT WITH ORIGINAL POSITION
/ERASE
/TRIAD,ON
/GOPR
/ESHAPE,0
FINISH
/POST26
/XRANGE,0,3.0
/YRANGE,0,1
/AXLAB,X,UZ OF CENTER/R-INITIAL
/AXLAB,Y,THICKNESS/ORIGINAL THICKNESS
NSOL,2,1,U,Z,UZ_1
ESOL,3,1, ,SMIS,17,TH_1
ADD,4,2, , ,UZRATIO, , ,0.13333333,0,0,
ADD,5,3, , ,SH.281, , ,2,0,0,
/COLOR,CURVE,MRED
XVAR,4
PLVAR,5
/ERASE
/NOPR
*DIM,X,TABLE,20,1
*DIM,Y,TABLE,20,1
X(  1,1)= 1.25
Y(  1,1)= 1.25
X(  2,1)= 1.8
Y(  2,1)= 2.5
X(  3,1)= 2.25
Y(  3,1)= 4.0
X(  4,1)= 2.6
Y(  4,1)= 5.9
X(  5,1)= 2.9
Y(  5,1)= 7.8
X(  6,1)= 3.2
Y(  6,1)= 9.8
X(  7,1)= 3.5
Y(  7,1)= 11.6
X(  8,1)= 3.62
Y(  8,1)= 12.6
X(  9,1)= 4.1
Y(  9,1)= 15.3
X( 10,1)= 4.9
Y( 10,1)= 18.8
X( 11,1)= 5.7
Y( 11,1)= 22.1
X( 12,1)= 6.2
Y( 12,1)= 24.0
X( 13,1)= 7.2
Y( 13,1)= 27.9
X( 14,1)= 8.3
Y( 14,1)= 31.2
X( 15,1)= 8.9
Y( 15,1)= 32.9
X( 16,1)= 9.9
Y( 16,1)= 35.8
X( 17,1)= 10.9
Y( 17,1)= 38.0
X( 18,1)= 13.1
Y( 18,1)= 42.9
X( 19,1)= 14.4
Y( 19,1)= 45
X( 20,1)= 15.2
Y( 20,1)= 46
/GOPR
/XRANGE,0,20
/YRANGE,0,60
/AXLAB,X,UZ OF CENTER (IN)
/AXLAB,Y,PRESSURE (LB/SQ IN)
/COLOR,CURVE,YGRE
*VPLOT,X(1,1),Y(1,1)
/NOERASE
NSOL,2,1,U,Z,UZ_1
PROD,7,1, , ,SH.281 , , ,50,0,0,!MULTIPLY SOLUTION BY 50
/COLOR,CURVE,MRED
XVAR,2  		        !SPECIFY X VARIABLE TO BE DISPLAYED
PLVAR,7 		        !DISPLAY SOLUTION IN GRPH FILE
/ERASE
PRVAR,7,2		        !LIST VARIABLE 7 VERSUS VARIABLE 2
FINISH
/POST1
/NOPR
SET,NEAR,,,,0.08		!SELECT UZ VALUE FOR NODE 1 AT T=0.08
*GET,VR1,NODE,1,U,Z
SET,NEAR,,,,0.48		!UZ VALUE FOR NODE 1 AT T=0.48
*GET,VR2,NODE,1,U,Z
SET,NEAR,,,,0.76		!UZ VALUE FOR NODE 1 AT T=0.76
*GET,VR3,NODE,1,U,Z
PRES1 = (0.08*50)		!SOLVE FOR PRES IN RESULTS TABLE
PRES2 = (0.48*50)
PRES3 = (0.76*50)
*DIM,LABEL,,3			!SETUP RESULTS TABLE DATA
*DIM,VALUE,,3,3
LABEL(1) = PRES1,PRES2,PRES3
*VFILL,VALUE(1,1),DATA,2.25,6.2,10.9
*VFILL,VALUE(1,2),DATA,VR1,VR2,VR3
*VFILL,VALUE(1,3),DATA,(VR1/2.25),(VR2/6.2),(VR3/10.9)
FINISH
SAVE,TABLE_4
/COM
/OUT,vm218,vrt
RESUME,TABLE_1
/COM,============= VM218 RESULTS COMPARISON =============
/COM,
/COM,          |   TARGET   |   ANSYS   |   RATIO
/COM,RESULTS USING SHELL181:
/COM,PRES =
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,F8.1,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,RESULTS USING SHELL208:
/COM,PRES =
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,F8.1,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,
/NOPR
RESUME,TABLE_3
/GOPR
/COM,RESULTS USING SHELL209:
/COM,PRES =
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,F8.1,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,
/NOPR
RESUME,TABLE_4
/GOPR
/COM,RESULTS USING SHELL281:
/COM,PRES =
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,F8.1,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,
/COM,***VERIFIED RESULTS TABLE BASED ON GRAPHICAL DATA.
/COM,====================================================
/OUT
FINISH
*LIST,vm218,vrt
/DELETE,TABLE_1
/DELETE,TABLE_2
/DELETE,TABLE_3
/DELETE,TABLE_4
/DELETE,SOLVEIT,MAC
/DELETE,PLOTS,MAC

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM217 Input Listing 		Up / Home Next
VM219 Input Listing


VM219 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM219
/TITLE,VM219, PRESSURE DRIVEN NON-NEWTONIAN FLOW
!      FLUID DYNAMICS BY HUGHES & BRIGHTON- SCHAUM SERIES
R     = 1.0                           ! PIPE RADIUS
DELTAP= 0.2                           ! PRESSURE DROP ACROSS PIPE
L     = 0.2                           ! LENGTH OF PIPE
NDX   = 040                           ! NUMBER OF X DIVISIONS
NDY   = 002                           ! NUMBER OF Y DIVISIONS
RHO   = 1.0                           ! FLUID DENSITY
MU0   = 1.29684                       ! POWER LAW COEFFICIENTS
K     = 1.0
D0    = 1E-6
N     = 0.8
DPDX = DELTAP/L                       ! PRESSURE GRADIENT
POWER= (N+1)/N
FACTOR = (1/POWER)*( (DPDX/(2*MU0*K))**(1/N) )

/PREP7 $SMRT,OFF
ET,1,FLUID141,,,1                     ! 2D YR SYSTEM
ESHAPE,2                              ! QUAD ELEMENTS
RECTNG,,R,,L
LESIZE,3,,,NDX,-10
LESIZE,1,,,NDX,-10
LESIZE,4,,,NDY
LESIZE,2,,,NDY
AMESH,ALL

!APPLY BOUNDARY CONDITIONS
NSEL,S,LOC,Y                          ! DEFINE UPSTREAM PRESSURE
D,ALL,PRES,DELTAP
NSEL,S,LOC,X,                         ! DEFINE CENTER CONSTRAINTS
D,ALL,VX
NSEL,S,LOC,X,R-1E-10,R+1E-10          ! DEFINE WALL CONSTRAINTS
D,ALL,VX
D,ALL,VY
NSEL,S,LOC,Y,L                        ! DEFINE DOWNSTREAM PRESSURE
D,ALL,PRES
ALLS
FINISH

/SOLUTION
FLDA,ITER,EXEC,0900                    ! NUMBER OF GLOBAL ITERATIONS
FLDA,RELX,VX,0.7                      ! VX RELAXATION
FLDA,RELX,VY,0.5                      ! VY RELAXATION
FLDA,RELX,PRES,0.6                    ! PRES RELAXATION
FLDA,NOMI,DENS,RHO                    ! NOMINAL DENSITY
FLDA,NOMI,VISC,MU0                    ! NOMINAL VISCOSITY
FLDA,COF1,VISC,D0
FLDA,COF2,VISC,K
FLDA,COF3,VISC,N
FLDA,RELX,VISC,0.5
FLDA,PROT,VISC,POWL
FLDA,TERM,PRES,1E-30
/OUT,SCRATCH

SOLVE
/OUT
FINISH

/POST1
SET,LAST

*DIM,RES,,NDX+1,4           !STORE NODE#,X-COORD,VY(FLOTRAN),VY(ANALYTICAL)
NSEL,S,LOC,Y,L/2
*GET,MNNOD,NODE,,NUM,MIN
*GET,MXNOD,NODE,,NUM,MAX
INDEX = 0
*DO,INODE,MNNOD,MXNOD
 *GET,SELECTED,NODE,INODE,NSEL
 *IF,SELECTED,EQ,1,THEN
   INDEX = INDEX+1
   RES(INDEX,1) = INODE
   RES(INDEX,2) = NX(INODE)
   *GET,VYF,NODE,INODE,VY
   RES(INDEX,3) = VYF                                      !VX FLOTRAN
   FACTOR2      = RES(INDEX,2)
   RES(INDEX,4) = FACTOR*( R**POWER - FACTOR2**POWER )     !ANALYTICAL
 *ENDIF
*ENDDO
*DIM,OLDORDER,,NDX+1
*MOPER,OLDORDER(1),RES(1,1),SORT,RES(1,2)

/COM
/COM PRINT THE RESULTS
*VWRITE
(4X,'NODE',12X,'X',9X,'VY FLOTRAN',7X,'VY ANALYTICAL')
*VWRITE,RES(1,1),RES(1,2),RES(1,3),RES(1,4)
(3X,F5.0,3(1PE17.5))
/COM
/AUTO,ALL
/VIEW,1,,,1
/ANG,1
ALLSEL
/PBC,ALL,1
EPLOT
/PBC,ALL,0
PLNSOL,VY

*GET,VR1,NODE,84,V,Y
*GET,VR2,NODE,85,V,Y
*GET,VR3,NODE,86,V,Y
*GET,VR4,NODE,87,V,Y
*GET,VR5,NODE,104,V,Y
AR1=RES(1,4)
AR2=RES(2,4)
AR3=RES(3,4)
AR4=RES(4,4)
AR5=RES(21,4)
X1=RES(1,2)
X2=RES(2,2)
X3=RES(3,2)
X4=RES(4,2)
X5=RES(21,2)

*DIM,LABEL,,5
*DIM,VALUE,,5,3
LABEL(1) = X1,X2,X3,X4,X5
*VFILL,VALUE(1,1),DATA,AR1,AR2,AR3,AR4,AR5
*VFILL,VALUE(1,2),DATA,VR1,VR2,VR3,VR4,VR5
*VFILL,VALUE(1,3),DATA,(VR1/AR1),(VR2/AR2),(VR3/AR3),(VR4/AR4),(VR5/AR5)

/OUT,vm219,vrt
/COM,-------------------- VM219 RESULTS COMPARISON ---------------
/COM,
/COM,         |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,VY AT X =
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,F8.3,'   ',F8.5,'  ',F8.5,'   ',1F5.3)
/COM,-------------------------------------------------------------
/OUT
FINISH
*LIST,vm219,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM218 Input Listing 		Up / Home Next
VM220 Input Listing


VM220 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM220
/TITLE,VM220, EDDY CURRENT LOSS IN THICK STEEL PLATE
/NOPR
!
/PREP7
DD=2.5E-3		! 1/2 HEIGTH OF PLATE
HM=2644.1		! IMPOSED H FIELD
SIGMA=5.0E6		! MATERIAL CONDUCTIVITY
FF=50			! FREQUENCY (Hz.)
DX=DD/6			! MODELED PLATE WIDTH
DY=DD/6			! COIL HEIGTH
!
ET,1,PLANE53
MP,MURX,1,1.		! COIL RELATIVE PERMEABILITY
TB,BH,2,,25		! PLATE B-H CURVE
TBPT,,100,.46512
TBPT,,200,.72993
TBPT,,300,.90090
TBPT,,400,1.0204
TBPT,,500,1.1086
TBPT,,600,1.1765
TBPT,,700,1.2302
TBPT,,800,1.2739
TBPT,,900,1.3100
TBPT,,1000,1.3405
TBPT,,1400,1.4257
TBPT,,1800,1.4778
TBPT,,2200,1.5131
TBPT,,2600,1.5385
TBPT,,3000,1.5576
TBPT,,3400,1.5726
TBPT,,3800,1.5847
TBPT,,4200,1.5945
TBPT,,4600,1.6028
TBPT,,5000,1.6098
TBPT,,7000,1.6332
TBPT,,9000,1.6465
TBPT,,11000,1.6551
TBPT,,13000,1.6611
TBPT,,15000,1.6656
/NUM,1
TBPLOT			!PLOT B-H CURVE
MP,RSVX,2,1/SIGMA

RECT,0,DX,0,DD		! PLATE
RECT,0,DX, DD,DD+DY	! COIL
AGLUE,ALL

ASEL,S,LOC,Y,DD,DD+DY
AATT,1,0,1
ASEL,S,LOC,Y,0,DD
AATT,2,0,1
ASEL,ALL
AMESH,ALL
!
NSEL,S,LOC,Y,
D,ALL,AZ,0.		! FLUX-PARALLEL
NSEL,S,LOC,Y,DD+DY
CP,1,AZ,ALL		! COUPLE FOR FLUX-PARALLEL
NSEL,ALL
/PBC,ALL,1
/VIEW,1,,,1
/ANG,1
/PNUM,AREA,1
/NUM,1
APLOT
/PNUM,NODE,1
/PNUM,MAT,1
EPLOT			!PLOT ELEMENTS
FINISH

/SOLU
ANTYPE,HARMIC
ESEL,S,MAT,,1
BFE,ALL,JS,, 0.,0.,HM/DY,0. !APPLY COIL CURRENT DENSITY
ESEL,ALL
HMAGSOLV,FF,,1E-2 	! SOLVE NONLINEAR PROBLEM
FINISH

/POST1
!
! COMPUTE LOSSES
!
SET,LAST,1,,0
ESEL,S,MAT,,2
POWERH			! EXTRACT LOSSES IN PLATE (W/m)
PAVG=PAVG*2/DX		! CONVERT TO (W/m**2)
*VWRITE,PAVG
(/'COMPUTED EDDY CURRENT LOSS:', F9.4, 'Watts/m**2')

/VIEW,1,1,1,1
/ANG,1
PLVECT,H,,,,VECT,ELEM,ON,0
*DIM,LABEL,CHAR,1
*DIM,VALUE,,1,3
LABEL(1) = 'CUR LOSS'
*VFILL,VALUE(1,1),DATA,1342.323
*VFILL,VALUE(1,2),DATA,PAVG
*VFILL,VALUE(1,3),DATA,PAVG/1342.323
/OUT,vm220,vrt
/COM
/COM,------------------- VM220 RESULTS COMPARISON ---------------------
/COM,
/COM,         |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,'   ',F10.3,'  ',F10.3,'   ',1F5.3)
/COM,
/COM,***TARGET SOLUTION BASED ON GRAPHICAL RESULTS***
/COM,------------------------------------------------------------------
/OUT

FINISH
*LIST,vm220,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM219 Input Listing 		Up / Home Next
VM221 Input Listing


VM221 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vm221
/TITLE, VM221, ELEMENT 117 WITH LMATRIX (INDUCTANCE,FLUX) AND SENERGY MACROS
/NOPR
/COM
/COM
/COM       ^ y axis             : symmetry plane
/COM       :                    : core center
/COM       :<.x1.>.<.x2.>.<.x..>:
/COM       :      :      :      :
/COM  --------------------------:
/COM !                          : nonlin core:
/COM !     yoke ideal iron      : H = Hs (B/Bs)^2; BS=2T;HS=100A/m
/COM !                          :
/COM !      -------------       :....
/COM !leg  !      :      !nonlin:  ^
/COM !ideal!coil1 :coil2 ! iron :  y
/COM !iron !      :      ! core :  :
/COM !      -------------       :..v..> x axis
/COM !                          :
/COM !     yoke ideal iron      :
/COM !                          :
/COM  --------------------------:
/COM
/COM target
/COM
/COM nominal
/COM    magnetic field in the core    : Hn  = (N1 I1 + N2 I2) / y    = 25
/COM    flux density   in the core    : Bn  = Bs sqrt(H/Hs)          = 1
/COM    tangent reluctivity           : dH/dB = 2 Hs/Bs B/Bs         = 50
/COM    absolute energy in the core   : nlene = Hs/Bs^2 Bn^3/3 2xyz  = 0.0166
/COM    absolute coenergy in the core : nlcene = Bn Hn 2xyz - nlene  = 0.0333
/COM
/COM inductances
/COM    self coil 1                   : L11 ~ 2 N1^2  x z / (y nui)  = 0.4
/COM    self coil 2                   : L22 ~ 2 N2^2  x z / (y nui)  = 1.6
/COM    mutual between coil 1 and 2   : L12 ~ 2 N1 N2 x z / (y nui)  = 0.8
/COM
/COM flux linkages
/COM    coil 1                        : psi1 = 2 N1 x z B0           = 0.2
/COM    coil 2                        : psi2 = 2 N2 x z B0           = 0.4

!       GEOMETRY DATA
!
N=1                     ! MESHING PARAMETER
X1=0.1                  ! WIDTH (X SIZE) OF COIL 1
X2=0.1                  ! WIDTH (X SIZE) OF COIL 2
X=0.1                   ! WIDTH (X SIZE) OF CORE
Y=0.1                   ! HIGHT OF CORE, Y SIZE OF WINDOW
Z=0.1                   ! THICKNESS OF IRON IN Z DIRECTION
NUI=50                  ! ABSOLUTE RELUCTIVITY OF IRON
N1=10                   ! NUMBER OF TURNS IN COIL1
N2=20                   ! NUMBER OF TURNS IN COIL2
!
!      EXCITATION DATA USED BY LMATRIX.MAC
!
SYMFAC=2                ! SYMMETRIC FACTOR FOR INDUCTANCE COMPUTATION
NC=2                    ! NUMBER OF COILS
*DIM,CUR,ARRAY,NC       ! NOMINAL CURRENTS OF COILS
*DIM,COILS,CHAR,NC      ! NAMES OF COIL COMPONENTS
!
CUR(1)=0.2              ! NOMINAL CURRENT OF 1ST COIL
COILS(1)='COIL1'        ! NAME OF COIL 1 COMPONENT
!
CUR(2)=0.025            ! TINY NOMINAL CURRENT OF 2ND COIL
COILS(2)='COIL2'        ! NAME OF COIL 2 COMPONENT
!
!      DERIVED AUXILIARY PARAMETERS
!
MU0=3.1415926*4.0E-7
MURI=1/NUI/MU0          ! RELATIVE PERMEABILITY OF IRON
X3=X1+X2                ! X COORDINATE OF THE RIGHT OF COIL2
X4=X3+X                 ! X COORDINATE OF MIDDLE OF CORE (SYMMETRY PLANE)
JS1=CUR(1)*N1/(X1*Y)    ! NOMINAL CURRENT DENSITY OF COIL1
JS2=CUR(2)*N2/(X2*Y)    ! NOMINAL CURRENT DENSITY OF COIL2
!
/PREP7
SMRT,OFF
ET,1,117
!
MP,MURX,1,1             ! AIR/COIL
BS=2                    ! SATURATION FLUX DENSITY
HS=100                  ! SATURATION MAGNETIC FIELD
TB,BH,2                 ! CORE: H = Hs (B/Bs)^2; Bs=2T;Hs=100A/m
TBPT,,  1, 0.2
TBPT,,  4, 0.4
TBPT,,  9, 0.6
TBPT,, 16, 0.8
TBPT,, 25, 1.0
TBPT,, 36, 1.2
TBPT,, 49, 1.4
TBPT,, 64, 1.6
TBPT,, 81, 1.8
TBPT,,100, 2.0
TBPT,,121, 2.2
TBPT,,144, 2.4
TBPT,,169, 2.6
TBPT,,176, 2.8
TBPT,,225, 3.0
TBPT,,256, 3.2
TBPT,,289, 3.4
TBPT,,324, 3.6
TBPT,,361, 3.8
TBPT,,400, 4.0
TBPLOT,BH,2	 	!PLOT BH CURVE
!
BLOCK, 0,X1,0,Y,0,Z     ! COIL1
BLOCK,X1,X3,0,Y,0,Z     ! COIL2
BLOCK,X3,X4,0,Y,0,Z     ! CORE
!
VGLUE,ALL
!
VSEL,S,LOC,X,X1/2
VATT,1,1,1               ! COIL 1 VOLUME ATTRIBUTE
VSEL,S,LOC,X,X1+X2/2
VATT,1,2,1               ! COIL 2 VOLUME ATTRIBUTE
VSEL,S,LOC,X,X3+X/2
VATT,2,3,1               ! IRON VOLUME ATTRIBUTE
VSEL,ALL
!
ESIZE,,N
VMESH,ALL
EPLOT			! PLOT ELEMENTS
/NOPR
!
NSEL,S,LOC,X,X4         ! FLUX PARALLEL DIRICHLET AT SYMMETRY PLAIN, X=X4,Z=0,Z=Z
NSEL,A,LOC,Z,0
NSEL,A,LOC,Z,Z
D,ALL,AZ,0
!                       ! HOMOGENEOUS NEUMANN FLUX NORMAL AT YOKE, X=0, Y=0, Y=Y
NSEL,ALL
!
ESEL,S,REAL,,1          ! COIL 1 COMPONENT
CM,COILS(1),ELEM
BFE,ALL,JS,,,,JS1       ! CURRENT DENSITY IN COIL 1
!
ESEL,S,REAL,,2          ! COIL 2 COMPONENT
CM,COILS(2),ELEM
BFE,ALL,JS,,,,JS2       ! UNITE CURRENT DENSITY IN COIL 2
!
ALLSEL
!
FINI
!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
/COM
/COM OBTAIN OPERATING SOLUTION
/COM
!
/SOLU
CNVTOL,CSG,,1.0E-4
SOLVE
FINI
/POST1
!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! COMPUTE STORED ENERGY
/COM
/COM SENERGY MACRO DOESN'T TAKE SYMMETRY OF THE PROBLEM IN CONSIDERATION
/COM SO RESULTS MUST BE MULTIPLIED BY 2.
/COM
SENERGY
STORENG=S_ENG
! COMPUTE CO-ENERGY
ALLSEL
SENERGY,1
STORCOE=C_ENG
*DIM,LABENG,CHAR,2
*DIM,VALENG,,2,2
*DIM,RESENG,,2,1
LABENG(1)='ENERGY','CO-ENERGY'
*VFILL,VALENG(1,1),DATA,0.0166,0.0333
*VFILL,RESENG(1,1),DATA,2*STORENG,2*STORCOE
*VFILL,VALENG(1,2),DATA,ABS(2*STORENG/0.0166),ABS(2*STORCOE/0.0333)
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! COMPUTE INDUCTANCE
ALLSEL
LMATRIX,SYMFAC,'COIL','CUR','IND' ! COMPUTE INDUCTANCE MATRIX
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!SET UP AND FILL VM RATIO TABLE
RAT_1 = ABS(IND(1,1)/0.40)
RAT_2 = ABS(IND(2,2)/1.60)
RAT_3 = ABS(IND(1,2)/0.80)
*DIM,LABEL,CHAR,3
*DIM,VALUE,,3,2
*DIM,RESULTS,,3,1
LABEL(1) = 'COIL1','COIL2','MUTUAL'
*VFILL,VALUE(1,1),DATA,0.40,1.60,0.80
!
!FILL RESULTS VECTOR WITH INDUCTANCE MATRIX VALUES
!
*VFILL,RESULTS(1,1),DATA,IND(1,1),IND(2,2),IND(1,2)
*VFILL,VALUE(1,2),DATA,RAT_1,RAT_2,RAT_3

*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,2
*DIM,RESULT1,,2,1
LABEL1(1)= 'COIL1','COIL2'
*VFILL,VALUE1(1,1),DATA,0.2,0.4
!
! FILL RESULTS VECTOR WITH FLUX MATRIX VALUES
!
*VFILL,RESULT1(1,1),DATA,IND(1,3),IND(2,3)
*VFILL,VALUE1(1,2),DATA,ABS(IND(1,3)/0.2),ABS(IND(2,3)/0.4)

/OUT,vm221,vrt
/COM
/COM,------------------- VM221  RESULTS COMPARISON ---------------------
/COM
/COM,   ENERGY (J)   |   TARGET   |   ANSYS   |   RATIO
/COM
*VWRITE,LABENG(1),VALENG(1,1),RESENG(1,1),VALENG(1,2)
(1X,A10,'     ',F10.4,'    ',F10.4,'     ',1F5.3)
/COM
/COM,  FLUX (Weber)  |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL1(1),VALUE1(1,1),RESULT1(1,1),VALUE1(1,2)
(1X,A10,'     ',F10.4,'    ',F10.4,'     ',1F5.3)
/COM,
/COM, INDUCTANCE (H) |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),RESULTS(1,1),VALUE(1,2)
(1X,A10,'     ',F10.4,'    ',F10.4,'     ',1F5.3)
/COM,-------------------------------------------------------------------
/OUT
FINISH
*LIST,vm221,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM220 Input Listing 		Up / Home Next
VM222 Input Listing


VM222 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vm222
/TITLE,vm222, Warping Torsion Bar
!
/PREP7
!
!BUILD MODEL USING BEAM188 ELEMENTS
!
K,,
K,,1000
K,,500,100
L,1,2
ET,1,BEAM188
KEYOPT,1,1,1
SECT,1,BEAM,I
SECD,40,40,80,2,2,2
SECPLOT,1
!
MP,EX, 1, 217396.3331684	!SET MATERIAL PROPS
MP,NUXY,1,  0.335579823862
NEL=50
LATT,1,,,,3			!SET DEFAULT ATTRIBUTES
LESIZE,1,,,NEL
LMESH,ALL			!MESH MODEL
DK,1,ALL			!PIN MODEL AT KEYPOINT 1
SAVE,PREPDATA,DB		!SAVE DB FOR FUTURE PARTS OF TEST
DK,2,ALL			!PIN MODEL AT KEYPOINT 2
!
MLOAD1=(1000/NEL)/2
MLOAD2=MLOAD1*2
/ESHAPE,1	!TURN ESHAPE ON TO SHOW 3-D IMAGE OF MODEL
FINISH
/SOLU
OUTRES,ALL,ALL
F,ALL,MX,MLOAD2
FDEL,1,ALL
FDEL,2,ALL
F,1,MX,MLOAD1
F,2,MX,MLOAD1
SOLVE
FINISH
/POST1
PRNSOL,DOF
PRRSOL
NSORT,ROT,X
*GET,ROTX1,SORT, ,MAX		!GET VERIFIED RESULT FOR PART 1
PRES,SMISC,27
ETABLE,ROTX,ROT,X
/ESHAPE,1
PLDISP				!PLOT DISPLACED SHAPE
PLETAB,ROTX,NOAV
ETABLE,BIMOMENT,SMISC,27
PLETAB,BIMOMENT,NOAV
PARSAV				!SAVE PARAMETERS FOR NEXT PART OF TEST
FINISH
/CLEAR,NOSTART
PARRES,CHANGE			!RESTORE SAVED PARAMETERS
/PREP7
!
! REBUILD AND REMESH MODEL USING BEAM189 ELEMENTS
!
K,,
K,,1000
K,,500,100
L,1,2
ET,1,BEAM189
KEYOPT,1,1,1
SECT,1,BEAM,I
SECD,40,40,80,2,2,2

MP,EX, 1, 217396.3331684
MP,NUXY,1,  0.335579823862
NEL=50
LATT,1,,,,3
LESIZE,1,,,NEL
LMESH,ALL
!
! APPLY BOUNDRY CONDITIONS AND SET UP NEW PARAMETERS
!
DK,1,ALL
DK,2,ALL
MLOAD=(1000/NEL)/6.0
MLOAD1=MLOAD
MLOAD2=MLOAD*2
MLOAD4=MLOAD*4
FINISH
/SOLU
OUTRES,ALL,ALL
!
! SET UP LOOP TO APPLY LOADS
!
*DO,I,1,NEL,1
 J=NELEM(I,1)
 K=NELEM(I,2)
 L=NELEM(I,3)
 F,J,MX,MLOAD2
 F,K,MX,MLOAD2
 F,L,MX,MLOAD4
*ENDDO
F,1,MX,MLOAD1
F,2,MX,MLOAD1
FLIST
SOLVE
FINISH
/POST1
PRNSOL,DOF
NSORT,ROT,X
*GET,ROTX2,SORT, ,MAX		!GET VERIFIED RESULTS FOR PART 2
PRRSOL
PRES,SMISC,4
PRES,SMISC,17
PRES,SMISC,27
T1=ROTX1
T2=ROTX2
!
!SET UP AND FILL VM RATIO TABLE
!
RAT_1 = ABS(T1/0.3292617E-3)
RAT_2 = ABS(T2/0.3292617E-3)
*DIM,LABEL,CHAR,2
*DIM,VALUE,,2,2
*DIM,RESULTS,,2,1
LABEL(1) = 'BEAM188','BEAM189'
*VFILL,VALUE(1,1),DATA,0.3292617E-3,0.3292617E-3
*VFILL,RESULTS(1,1),DATA,T1,T2
*VFILL,VALUE(1,2),DATA,RAT_1,RAT_2
/OUT,vm222,vrt
/COM
/COM,------------------- VM222  RESULTS COMPARISON ---------------------
/COM,   MX TWIST
/COM,   IN X-DIR |   TARGET    |    ANSYS    |    RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),RESULTS(1,1),VALUE(1,2)
(1X,A10,'     ',E10.4,'      ',E10.4,'       ',1F5.3)
/COM,-------------------------------------------------------------------
/out
*LIST,vm222,vrt
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM221 Input Listing 		Up / Home Next
VM223 Input Listing


VM223 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM223
/TITLE,VM223, ELECTRO-THERMAL-COMPLIANT MICROACTUATOR
/COM,
/COM, REFERENCE:
/COM, N.D. MANKAME AND G.K. ANANTHASURESH, "COMPREHENSIVE THERMAL MODELLING
/COM, AND CHARACTERIZATION OF AN ELECTRO-THERMAL-COMPLIANT MICROACTUATOR,"
/COM, J. MICROMECH. MICROENG., V.11 (2001), PP. 452-462
/COM,
/NOPR
D1=40E-6                 ! MICROACTUATOR DIMENSIONS, m
D2=255E-6
D3=40E-6
D4=330E-6
D5=1900E-6
D6=90E-6
D7=75E-6
D8=352E-6
D9=352E-6
D11=20E-6
VLT=15                 ! APPLIED VOLTAGE, VOLT
TBLK=300               ! BULK TEMPERATURE, K
/PREP7
ET,1,SOLID227,111      ! STRUCTURAL-THERMOELECTRIC TETRAHEDRON
MP,EX,1,169E9
MP,PRXY,1,0.3
MP,RSVX,1,4.2E-4
MPTEMP,1,300,400,500,600,700,800
MPTEMP,7,900,1000,1100,1200,1300,1400
MPTEMP,13,1500
MPDATA,ALPX,1,1,2.568E-6,3.212E-6,3.594E-6,3.831E-6,3.987E-6,4.099E-6
MPDATA,ALPX,1,7,4.185E-6,4.258E-6,4.323E-6,4.384E-6,4.442E-6,4.5E-6
MPDATA,ALPX,1,13,4.556E-6
MPDATA,KXX,1,1,146.4,98.3,73.2,57.5,49.2,41.8
MPDATA,KXX,1,7,37.6,34.5,31.4,28.2,27.2,26.1
MPDATA,KXX,1,13,25.1
TREF,TBLK             ! REFERENCE TEMPERATURE
/COM, === SOLID MODEL
K,1,0,0               ! DEFINE KEYPOINTS
K,2,0,D9
K,3,D8,D9
K,4,D8,D1
K,5,D8+D4+D5,D1
K,6,D8+D4+D5,-(D7+D2)
K,7,D8+D4,-(D7+D2)
K,8,D8+D4,-(D7+D3)
K,9,D8,-(D7+D3)
K,10,D8,-(D7+D9)
K,11,0,-(D7+D9)
K,12,0,-D7
K,13,D8+D4+D5-D6,-D7
K,14,D8+D4+D5-D6,0
A,1,2,3,4,5,6,7,8,9,10,11,12,13,14
VEXT,1,,,,,D11

/COM, === FINITE ELEMENT MODEL
LSEL,S,LINE,,31,42   ! ELEMENT SIZE ALONG OUT-OF-PLANE DIMENSION
LESIZE,ALL,D11
LSEL,S,LINE,,1,3     ! ELEMENT SIZE ALONG ANCHOR SIDES
LSEL,A,LINE,,9,11
LSEL,A,LINE,,15,17
LSEL,A,LINE,,23,25
LESIZE,ALL,D9/2
LSEL,S,LINE,,5       ! ELEMENT SIZE ALONG SIDE WALLS
LSEL,A,LINE,,19
LESIZE,ALL,(D1+D2+D7)/6
LSEL,S,LINE,,13      ! ELEMENT SIZE ALONG THE END CONNECTION
LSEL,A,LINE,,27
LESIZE,ALL,D7/3
LSEL,S,LINE,,8       ! ELEMENT SIZE ALONG THE FLEXURE
LSEL,A,LINE,,22
LESIZE,ALL,D4/6
LSEL,S,LINE,,4       ! ELEMENT SIZE ALONG THE THIN ARM
LSEL,A,LINE,,18
LESIZE,ALL,(D4+D5)/30
LSEL,S,LINE,,14
LSEL,A,LINE,,28
LESIZE,ALL,(D8+D4+D5-D6)/40
LSEL,S,LINE,,7       ! ELEMENT SIZE ALONG THE WIDE ARM
LSEL,A,LINE,,21
LESIZE,ALL,D2/5
LSEL,S,LINE,,12
LSEL,A,LINE,,26
LESIZE,ALL,(D8+D4+D5-D6)/35
LSEL,S,LINE,,6
LSEL,A,LINE,,20
LESIZE,ALL,D5/25
LSEL,ALL
VMESH,1              ! MESH THE VOLUME

/COM, === DOF CONSTRAINTS ON THE ANCHORS
NSEL,S,LOC,X,0,D8
NSEL,R,LOC,Z,0       ! BOTTOM SURFACE
D,ALL,UX,0,,,,UY,UZ
D,ALL,TEMP,TBLK
NSEL,ALL

NSEL,S,LOC,X,0,D8
NSEL,R,LOC,Y,-(D7+D9),-D7
CP,1,VOLT,ALL
N_GR=NDNEXT(0)
D,N_GR,VOLT,0
NSEL,S,LOC,X,0,D8
NSEL,R,LOC,Y,0,D9
CP,2,VOLT,ALL
N_VLT=NDNEXT(0)
D,N_VLT,VOLT,VLT
NSEL,ALL

/COM, === RADIOSITY BOUNDARY CONDITIONS
SF,ALL,RDSF,0.7,1    ! SURFACE-TO-SURFACE RADIATION LOAD
SPCTEMP,1,TBLK       ! AMBIENT TEMPERATURE
STEF,5.6704E-8       ! STEFAN-BOLTZMAN RADIATION CONSTANT, J/(K)4(M)2(S)

/COM, === TEMPERATURE DEPENDENT CONVECTION BOUNDARY CONDITIONS
MPTEMP               ! INITIALIZE TEMPERATURE TABLE
/COM, TEMPERATURE TABLE FOR THERMAL LOADING
MPTEMP,1,300,500,700,900,1100,1300
MPTEMP,7,1500
/COM, === UPPER FACE
ASEL,S,AREA,,2       ! THIN ARM AND FLEXURE
NSLA,S,1
NSEL,R,LOC,X,D8,D8+D4+D5-D6
NSEL,R,LOC,Y,0,D1
SF,ALL,CONV,-1,TBLK
NSLA,S,1
NSEL,R,LOC,X,D8,D8+D4
NSEL,R,LOC,Y,-(D3+D7),-D7
SF,ALL,CONV,-1,TBLK
MPDATA,HF,1,1,17.8,60.0,65.6,68.9,71.1,72.6
MPDATA,HF,1,7,73.2
NSLA,S,1              ! WIDE ARM
NSEL,R,LOC,X,D8+D4,D8+D4+D5-D6
NSEL,R,LOC,Y,-(D2+D7),-D7
SF,ALL,CONV,-2,TBLK
MPDATA,HF,2,1,11.2,37.9,41.4,43.4,44.8,45.7
MPDATA,HF,2,7,46.0
NSLA,S,1              ! END CONNECTION
NSEL,R,LOC,X,D8+D4+D5-D6,D8+D4+D5
SF,ALL,CONV,-3,TBLK
MPDATA,HF,3,1,15.,50.9,55.5,58.2,60.,61.2
MPDATA,HF,3,7,62.7
NSLA,S,1              ! ANCHORS
NSEL,R,LOC,X,0,D8
SF,ALL,CONV,-4,TBLK
MPDATA,HF,4,1,10.3,35.0,38.2,40.,41.3,42.1
MPDATA,HF,4,7,42.5
/COM, === BOTTOM FACE
ASEL,S,AREA,,1
NSLA,S,1             ! THIN ARM AND FLEXURE
NSEL,R,LOC,X,D8,D8+D4+D5-D6
NSEL,R,LOC,Y,0,D1
SF,ALL,CONV,-5,TBLK
NSLA,S,1
NSEL,R,LOC,X,D8,D8+D4
NSEL,R,LOC,Y,-(D3+D7),-D7
SF,ALL,CONV,-5,TBLK
MPDATA,HF,5,1,22.4,69.3,76.1,80.5,83.7,86.0
MPDATA,HF,5,7,87.5
NSLA,S,1             ! WIDE ARM
NSEL,R,LOC,X,D8+D4,D8+D4+D5-D6
NSEL,R,LOC,Y,-(D2+D7),-D7
SF,ALL,CONV,-6,TBLK
MPDATA,HF,6,1,13.,39.6,43.6,46.,47.6,49.
MPDATA,HF,6,7,50.1
NSLA,S,1             ! END CONNECTION
NSEL,R,LOC,X,D8+D4+D5-D6,D8+D4+D5
SF,ALL,CONV,-7,TBLK
MPDATA,HF,7,1,24.,73.8,81.,85.7,89.2,91.6
MPDATA,HF,7,7,93.2
NSEL,ALL
ASEL,ALL
/COM, === SIDE WALLS (ANCHORS AND AREA BETWEEN THE THIN AND WIDE
/COM, ARMS ARE EXCLUDED)
ASEL,S,AREA,,6,16
ASEL,U,AREA,,11,16
SFA,ALL,,CONV,-8,TBLK
ASEL,ALL
MPDATA,HF,8,1,929,1193,1397,1597,1791,1982
MPDATA,HF,8,7,2176
FINISH

/SOLU
ANTYPE,STATIC
CNVTOL,F,1,1.E-4     ! DEFINE CONVERGENCE TOLERANCES
CNVTOL,HEAT,1,1.E-5
CNVTOL,AMPS,1,1.E-5
NLGEOM,ON            ! LARGE DEFLECTION ANALYSIS
SOLVE
FINISH

/POST1
/DSCALE,1,10
PLNSOL,U,SUM         ! PLOT DISPLACEMENT VECTOR SUM
PLNSOL,TEMP          ! PLOT TEMPERATURE
/COM,
/COM, TARGET RESULTS:
/COM, FIGURE 5 (P. 458) TIP TRANSVERSE DISPLACEMENT VS. VOLTAGE CURVE:
/COM,           VOLTAGE = 15.0 (V), UY = 27E-6 (m)
/COM,
UYANALYT=27.0E-6
NPOST=NODE(0.25820E-02,-0.33000E-03,0.20000E-04)
*GET,UYANSYS,NODE,NPOST,U,SUM
RATIO=ABS(UYANSYS/UYANALYT)
*DIM,LABEL,CHAR,1
LABEL(1) = 'UY (15V)'

/GOPR
/OUT,
/COM
/COM,------------------- VM223  RESULTS COMPARISON ---------------------
/COM,
/COM,               TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),UYANALYT,UYANSYS,RATIO
(1X,A10,'     ',E10.4,'    ',E10.4,'     ',1F5.3)
/COM,-------------------------------------------------------------------

FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM222 Input Listing 		Up / Home Next
VM224 Input Listing


VM224 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vm224
/TITLE,VM224, Implicit Creep Under Biaxial Load
/COM, NAFEMS Fundamental Tests of Creep Behavior, Becker and Hyde
/NOPR
/COM,
/COM, 2D CREEP TESTS WITH BIAXIAL CONSTANT LOAD,
/COM, REFERENCE: TEST 10(A) FROM NAFEMS R0027.
/COM,
/COM, EXPECTED RESULTS:
/COM,       TIME | EPCRX  | EPCRY
/COM,   ----------------------------
/COM,        0.0 | 0.0    | -0.0
/COM,        0.1 | 0.0427 | -0.0427
/COM,        1.0 | 0.135  | -0.135
/COM,        5.0 | 0.3019 | -0.3019
/COM,       10.0 | 0.4269 | -0.4269
/COM,       50.0 | 0.9546 | -0.9546
/COM,      100.0 | 1.35   | -1.35
/COM,      500.0 | 3.019  | -3.019
/COM,     1000.0 | 4.2691 | -4.2691
/COM,
/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS (PRIMARY CREEP)!***
*SET,C1,1.5625E-14			!ASSIGN VALUE
*SET,C2,5.0				!ASSIGN VALUE
*SET,C3,-0.5				!ASSIGN VALUE
*SET,C4,0				!ASSIGN VALUE
C***  TIME PARAMETER
*SET,HOUR,1000				!ASSIGN VALUE
C***   ELASTIC CONSTANT
MP,EX,1,200E3				!DEFINE YOUNG'S MODULUS
MP,NUXY,1,0.3				!DEFINE POISON'S RATIO
TUNIF,HOT				!ASSIGN TEMP TO NODES
TOFF,OFFS				!SPECIFY TEMP RELATIVE TO ABSOLUTE VALUES
TB,CREEP,1,,,6				!ACTIVATE DATA TABLE
TBDATA,1,C1,C2,C3,C4			!DEFINE DATA FOR TABLE
SAVE					!SAVE
/PREP7
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
N,9,50,50
ET,1,PLANE182
KEYOPT,1,1,1
KEYOPT,1,3,0
E,1,5,9,8
E,5,2,6,9
E,9,6,3,7
E,8,9,7,4
NSEL,ALL
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,ALL
/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-200
NSEL,ALL
NSEL,S,LOC,Y,100
SF,ALL,PRES,200
NSEL,ALL
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
/OUT,SCRATCH
OUTRES,ESOL,ALL
SOLVE
/OUT
RATE, ON, ON
DELT,1E-5,1E-5,100
TIME,1000
/OUT,SCRATCH
SOLVE
/OUT
FINISH
/POST26
ESOL,2,1,,EPCR,X
ESOL,3,1,,EPCR,Y
PRVAR,2,3
PLVAR,2,3
*GET,RES1X,VARI,2,RTIME,1000
*GET,RES1Y,VARI,3,RTIME,1000
FINISH
PARSAV,ALL
RESUME
PARRES,CHANGE
/PREP7
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
ET,1,PLANE183
KEYOPT,1,3,0
E,1,2,3,4,5,6,7,8
NSEL,ALL
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,ALL
/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-200
NSEL,ALL
NSEL,S,LOC,Y,100
SF,ALL,PRES,200
NSEL,ALL
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
/OUT,SCRATCH
SOLVE
/OUT
RATE, ON, ON
DELT,1E-5,1E-5,100
TIME,1000
/OUT,SCRATCH
OUTRES,ESOL,ALL
SOLVE
/OUT
FINISH
/POST26
ESOL,2,1,,EPCR,X
ESOL,3,1,,EPCR,Y
PRVAR,2,3
PLVAR,2,3
*GET,RES2X,VARI,2,RTIME,1000
*GET,RES2Y,VARI,3,RTIME,1000

*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECRXX ',' ECRYY '
*VFILL,VALUE1(1,1),DATA,4.2691,-4.2691
*VFILL,VALUE1(1,2),DATA,RES1X,RES1Y
*VFILL,VALUE1(1,3),DATA,ABS(RES1X/4.2691),ABS(RES1Y/(-4.2691))

*DIM,LABEL2,CHAR,2
*DIM,VALUE2,,2,3
LABEL2(1) = ' ECRXX ',' ECRYY '
*VFILL,VALUE2(1,1),DATA,4.2691,-4.2691
*VFILL,VALUE2(1,2),DATA,RES2X,RES2Y
*VFILL,VALUE2(1,3),DATA,ABS(RES2X/4.2691),ABS(RES2Y/(-4.2691))

/OUT,vm224,vrt
/COM
/COM,------------------- VM224 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM, PLANE182
/COM,
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),VALUE1(1,3)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',1F5.3)
/COM,
/COM, PLANE183
/COM,
*VWRITE,LABEL2(1),VALUE2(1,1),VALUE2(1,2),VALUE2(1,3)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',1F5.3)
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vm224,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM223 Input Listing 		Up / Home Next
VM225 Input Listing


VM225 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM225
/TITLE, VM225, BEAM WITH PRETENSION LOAD
C***    USING 3-D SOLID45
/COM,
/PREP7					!ENTER PREPROCESSOR
MP,PRXY,,0.3
BLOCK,,12,,1,,.5			!CREATE BLOCK
/VIEW,1,1,2,3				!CHANGE VIEW
ET,1,SOLID45				!SET ELEMENT TYPE
MP,EX,1,30E6, 				!DEFINE YOUNG'S MODULUS
MP,PRXY,1,0.3                           !DEFINE POISSON'S RATIO
MP,DENS,1,.283,				!DEFINE DENSITY
DA,2,SYMM				!DEFINE SYMMETRY BC ON AREA
DA,3,SYMM				!DEFINE SYMMETRY BC ON AREA
DA,5,UX					!DEFINE DOF ON AREA
DA,6,UX					!DEFINE DOF ON AREA
VMESH,ALL				!MESH VOLUME
PSMESH, , ,1000,ALL,,0,X,6,,,,EEE,NNN   !APPLY LOAD VIA PRE-TENSION ELEMENT
SLOAD,1,PL01,LOCK,FORC,125,1,2
EPLOT
SAVE                                    !SAVE DATABASE FOR SECOND SOLUTION
FINISH					!EXIT PREP7
/SOLU					!ENTER SOLVER
SOLVE					!SOLVE
FINISH  				!EXIT SOLVER
*CREATE,RES3D,MAC                       !CREATE MACRO TO RETRIEVE RESULTS
/POST1 					!ENTER POST PROCESSOR
NSORT,S,INT,1,0,,			!SORT STRESS RESULTS
*GET,MAXNFEA2,SORT,,IMAX		!GET NODE VALUE
*GET,SIGFEA2,NODE,MAXNFEA2,S,INT	!GET MAXIMUM VON MISSES STRESS
NSORT,U,X,SUM,1,0,,,			!SORT DEFLECTION RESULTS
*GET,MAXNFEA2,SORT,,IMAX		!GET NODE VALUE
*GET,UXFEA2,NODE,MAXNFEA2,U,X,SUM	!GET MAXIMUM UX VALUE
*STAT,UXFEA2				!LIST PARAMETER VALUE
*STAT,SIGFEA2				!LIST PARAMETER VALUE
/COM,**********************************
/COM,*** CLASSICAL ANALYSIS RESULTS ***
/COM,**********************************
SIGCA = 250
UXCA = 0.0001
*DIM,LABEL,CHAR,2
*DIM,VALUE,,2,3
LABEL(1) = 'SIGCA ','UXCA '
*VFILL,VALUE(1,1),DATA,SIGCA,UXCA
*VFILL,VALUE(1,2),DATA,SIGFEA2,UXFEA2
*VFILL,VALUE(1,3),DATA,ABS(SIGCA / SIGFEA2) ,ABS(UXCA / UXFEA2)
FINISH
*END
RES3D                                   !EXECUTE MACRO TO RETRIEVE RESULTS
SAVE,TABLE_1

/CLEAR, NOSTART                         !CLEAR DATABASE FOR SECOND SOLUTION
/TITLE, VM225, BEAM WITH PRETENSION LOAD
C***    USING 3-D SOLID185
/PREP7
RESUME                                  !RESUME DATABASE
ET,1,SOLID185                           !ANALYZE AGAIN USING 3-D SOLID185
FINISH                                  !EXIT PREP7
/SOLU					!ENTER SOLVER
SOLVE					!SOLVE
FINISH  				!EXIT SOLVER
RES3D                                   !EXECUTE MACRO TO RETRIEVE RESULTS
SAVE,TABLE_2

/NOPR
RESUME,TABLE_1
/GOPR
/OUT,vm225,vrt
/COM
/COM,------------------- VM225 RESULTS COMPARISON ---------------------
/COM,
/COM,          |   TARGET   |    ANSYS    |    RATIO
/COM,
/COM, SOLID45
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,'   ',F10.5,'   ',F10.5,'     ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM, SOLID185
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,'   ',F10.5,'   ',F10.5,'     ',1F5.3)
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vm225,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM224 Input Listing 		Up / Home Next
VM226 Input Listing


VM226 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vm226
/TITLE,VM226, FOURIER SERIES ANALYSIS OF A DIODE RECTIFIED CIRCUIT
/COM, REF: SEDRA/SMITH "MICROELECTRONIC CIRCUITS 4TH ED." SEC. 3.7
/COM,
/COM   FIRST PART: NO CAPACITANCE
/COM
PI = 4*ATAN(1)
R1=2500                         ! RESISTOR VALUE
OMEGA=2*PI*60
IFINAL=3                        ! NUMBER OF MODES ( 3 -> A0,A1,B1)
IFIN=IFINAL+20			! WE MUST COMPUTE MORE COEFF THAN WE NEED
U=135

! FOR THE SECOND PART
*DIM,CAPA,ARRAY,2
CAPA(1)=1E-6,10E-6		! CAPACITOR VALUES
EPS=1E-09                       ! ERROR CRITERIA FOR TO1

!FOR RESULTS
*DIM,RESUL,ARRAY,IFINAL,(IFINAL+1)*3
*DIM,COEFFOU,CHAR,IFINAL
*DIM,TAUARR,ARRAY,1,IFINAL+1
COEFFOU(1)='A0/2= ','A1= ','B1= '
TAUARR(1,1)=CAPA(1)*R1
TAUARR(1,2)=CAPA(2)*R1

/PREP7
R,1,,U,OMEGA/2/PI,              !SET UP SINUSOIDAL VOLTAGE SOURCE
N,1,-0.85,0.4,0
N,2,-0.85,0.25,0
RMOD,1,15,0,1
ET,1,CIRCU124,4,1
TYPE,1
REAL,1
MAT,1
!
N,3,-0.85,0.325,0
E,1,2,3                       !CREATE IND. SINUSOIDAL VOLT SOURCE
R,2,R1,                       !SET UP 2500 OHM RESISTOR
N,4,-0.75,0.4,0
N,5,-0.75,0.25,0
RMOD,2,15,0,2
ET,2,CIRCU124,0,0
TYPE,2
REAL,2
MAT,1
E,4,5                         !CREATE 2500 OHM RESISTOR
!
! THE FOLLOWING COMMANDS ARE USED TO SET UP THE IDEAL DIODE
!
ET,3,125,
R,3
TYPE,3
REAL,3
E,1,4
!
! APPLY GROUND TO CIRCUIT
!
D,2,VOLT,0
D,5,VOLT,0
SAVE
ALLS
EPLOT
FINISH
!
! SOLVE NON-LINEAR CIRCUIT WITH T = 0 TO 0.025
! USING A TIME STEP OF 0.001 FOR EACH ITERATION
!
/SOLU
ANTYPE,TRANS
OUTRES,ALL,ALL,
TIME,0.025
AUTOTS,-1
DELTIM,0.0001, , ,1
CNVTOL,VOLT,,0.0001,2,1.0E-6    !CONVERGANCE CRITERIA
/OUT,SCRATCH
SOLVE
/OUT
FINISH

/POST26
NSOL,2,4,VOLT,,

/COLOR,CURVE,BLUE,1
/TITLE,VM226, LOAD VOLTAGE WAVEFORM WITH NO CAPACITANCE
/AXLAB,Y,OUTPUT POTENTIAL (VOLT)
PLVAR,2,
/TITLE,VM226, FOURIER SERIES ANALYSIS OF A DIODE RECTIFIED CIRCUIT
!
! SET UP TABLE ARRAYS TO DISPLAY OUTPUT RESULTS
!
*DIM,VOLTG,TABLE,251
*DIM,TARGET,ARRAY,251
*DO,INC,1,251,1
  T = INC*0.0001
  !TIME(INC) = T
  *GET,V,VARI,2,RTIME,T
  VOLTG(INC,1) = V
  VOLTG(INC,0) = T
  ANAL = U*SIN(OMEGA*T)
  *IF,ANAL,LT,0,THEN            !SET TARGET TO ZERO IF ANALYTICAL SOLUTION
    TARGET(INC) = 0             ! IS NEGATIVE
  *ELSE
    TARGET(INC) = ANAL
  *ENDIF
*ENDDO
FINISH
*DIM,COEFF,,IFIN
*DIM,MODE,TABLE,IFIN
*DIM,ISYM,TABLE,IFIN
*DIM,THETA,TABLE,121
*DIM,CURVEI,TABLE,121                  ! CURVE INPUT TO PROGRAM
*DIM,CURVEO,TABLE,121

*VFILL,THETA(1),RAMP,0,3               ! THETA VALUES INCREMENT 3 DEGREES
*DO,INC,1,121,1
T=(INC-1)*3/360*2*PI/OMEGA
CURVEI(INC)=VOLTG(T,1)
*ENDDO
!     CALCULATE FOURIER COEFFICIENT
MODE(1)=0
ISYM(1)=1
ISTART=2
/COM
/COM *** *DO          *********************************************************
/COM
*DO,I,ISTART,IFIN,2
        MODE(I)=I/2                        ! FILL EVEN INDICIES OF {MODE}
        ISYM(I)=1
*ENDDO
/COM
/COM *** *ENDDO   WAS LAST COMMAND USED   *************************************
/COM
!                                       ! FILL ODD INDICIES OF {MODE}
ISTART=3
*DO,I,ISTART,IFIN,2
        MODE(I)=(I/2)-.5
        ISYM(I)=-1
*ENDDO
*MFOURI,FIT, COEFF(1),MODE(1),ISYM(1),THETA(1),CURVEI(1)
!
! CURVE WHICH WILL BE DEVELOPED FROM GENERATED COEFFICIENTS
!
*MFOURI,EVAL,COEFF(1),MODE(1),ISYM(1),THETA(1),CURVEO(1)

! PLOT CURVE
/TRIAD,OFF
/PLOPTS,LOGO,0
/PLOPTS,INFO,2
/PLOPTS,WP,0
/COLOR,CURVE,CBLU
/XRANGE,0,370
/YRANGE,0,140
/TSPEC,15
/TLAB,1,0.75,CAPACITANCE = 0
/TSPEC,4
/TLAB,1,0.7,BLUE->ANSYS
/TSPEC,1
/TLAB,1,0.65,RED->FOURIER
*VPLOT,THETA(1),CURVEI(1)            ! PLOT INPUT CURVE VERSUS THETA
/USER
/NOERASE
/COM OVERLAY THE OUTPUT CURVE ON THE INPUT CURVE
/COLOR,CURVE,RED
/COLOR,AXLAB,BLAC
/AXLAB,X,ANGLE IN DEGREE
/AXLAB,Y,VOLT
*VPLOT,THETA(1),CURVEO(1)    ! PLOT OUTPUT CURVE VERSUS THETA
/ERASE
!     ANALYTICAL FOURIER COEFFICIENT
RESUL(1,2)=2*U/PI/2             ! FIRST FOURIER COEFFICIENT = A0/2
ISTART=4
*DO,I,ISTART,IFINAL,4
RESUL(I,2)=-2*U/(PI*((I/2)**2-1))
*ENDDO
*DO,I,2,IFINAL,4
RESUL(I,2)=0
*ENDDO
RESUL(3,2)=U/2
ISTART=5
*DO,I,ISTART,IFINAL,2
RESUL(I,2)=0
*ENDDO
*DO,I,1,IFINAL
RESUL(I,1)=COEFF(I)
RESUL(I,3)=RESUL(I,2)/RESUL(I,1)
*ENDDO
*DO,CAP,1,2			! START DO LOOP ON CAPACITANCE
PARSAV,ALL
/CLEAR,NOSTART
/COM    SECOND PART: CAPACITANCE VALUE
/COM
/PREP7
RESUME
PARRES,CHANGE
C1=CAPA(CAP)
TAU=TAUARR(1,CAP)
N,6,-0.65,0.4,0

ET,4,CIRCU124,2
R,4,C1
TYPE,4
REAL,4
E,4,6
!
! APPLY GROUND TO CIRCUIT
!
D,6,VOLT,0
ALLS
EPLOT
FINISH
!
! SOLVE NON-LINEAR CIRCUIT WITH T = 0 TO 0.025
! USING A TIME STEP OF 0.0001 FOR EACH ITERATION
!
/SOLU
ANTYPE,TRANS
OUTRES,ALL,ALL,
TIME,0.025
AUTOTS,-1
DELTIM,0.0001, , ,1
CNVTOL,VOLT,,0.0001,2,1.0E-6    !CONVERGANCE CRITERIA
/OUT,SCRATCH
SOLVE
/OUT
FINISH
/POST26
NSOL,2,4,VOLT,,
/COLOR,CURVE,BLUE,1
*IF,CAP,EQ,1,THEN
/TITLE,VM226, VLOAD WITH CAPACITANCE OF 1E-6F
*ENDIF
*IF,CAP,EQ,2,THEN
/TITLE,VM226, VLOAD WITH CAPACITANCE OF 10E-6F
*ENDIF
*IF,CAP,EQ,3,THEN
/TITLE,VM226, VLOAD WITH CAPACITANCE OF 1E-3F
*ENDIF
/AXLAB,Y,OUTPUT POTENTIAL (VOLT)
PLVAR,2,
/TITLE,VM226, FOURIER SERIES ANALYSIS OF A DIODE RECTIFIED CIRCUIT
!
! DETERMINE T0
!
T0=1/OMEGA*ATAN(1/(OMEGA*TAU))
!
! DETERMINE T0' : MACRO TO DO A BISECTION BETWEEN THE TWO CURVES
!
TINIT=2*PI/OMEGA/4
TFINAL=2*PI/OMEGA
V1=U*COS(OMEGA*TINIT)-U*COS(OMEGA*T0)*EXP(-1*(TINIT-T0)/TAU)
V2=U*COS(OMEGA*TFINAL)-U*COS(OMEGA*T0)*EXP(-1*(TFINAL-T0)/TAU)
V0=U*COS(OMEGA*T0)
*DO,I,1,10000
T3=(TINIT+TFINAL)/2
V3=U*COS(OMEGA*T3)-V0*EXP(-1*(T3-T0)/TAU)
ERROR=ABS(V1-V2)
*IF,ERROR,LT,EPS,THEN
*EXIT
*ENDIF
  *IF,V3,LT,0,THEN
      TINIT=T3
      V1=V3
     *ELSE
      TFINAL=T3
      V2=V3
  *ENDIF
*ENDDO

T01=T3
!
! SET UP TABLE ARRAYS TO DISPLAY OUTPUT RESULTS
!
*DIM,VOLTG,TABLE,250
*DIM,TARGET,ARRAY,250
*DO,INC,1,250,1
  T = INC*0.0001
  !TIME(INC) = T
  *GET,V,VARI,2,RTIME,T
  VOLTG(INC,1) = V
  VOLTG(INC,0) = T
  ANAL = U*SIN(OMEGA*T)
  *IF,T,LE,T0+PI/2/OMEGA,THEN   !SET TARGET TO ZERO IF ANALYTICAL SOLUTION
    TARGET(INC) = ANAL          ! IS NEGATIVE
  *ELSE
    *IF,T,LE,T01+PI/2/OMEGA,THEN
    TARGET(INC) = U*COS(OMEGA*T0)*EXP(-(T-T0-PI/2/OMEGA)/TAU)
    *ELSE
    *IF,T,LE,T0+PI/2/OMEGA+2*PI/OMEGA,THEN
    TARGET(INC) = ANAL
    *ELSE
    TARGET(INC) = U*COS(OMEGA*T0)*EXP(-(T-T0-PI/2/OMEGA-2*PI/OMEGA)/TAU)
    *ENDIF
    *ENDIF
  *ENDIF
*ENDDO
FINISH
*DIM,COEFF,,IFIN
*DIM,MODE,TABLE,IFIN
*DIM,ISYM,TABLE,IFIN
*DIM,THETA,TABLE,121
*DIM,CURVEI,TABLE,121                  ! CURVE INPUT TO PROGRAM

*VFILL,THETA(1),RAMP,0,3               ! THETA VALUES INCREMENT 3 DEGREES
*DO,INC,1,121,1
T=(INC-1)*3/360*2*PI/OMEGA+PI/2/OMEGA
CURVEI(INC)=VOLTG(T,1)
*ENDDO
!     CALCULATE FOURIER COEFFICIENT
MODE(1)=0
ISYM(1)=1
ISTART=2
/COM
*DO,I,ISTART,IFIN,2
        MODE(I)=I/2                        ! FILL EVEN INDICIES OF {MODE}
        ISYM(I)=1
*ENDDO
/COM
!                                       ! FILL ODD INDICIES OF {MODE}
ISTART=3
*DO,I,ISTART,IFIN,2
        MODE(I)=(I/2)-.5
        ISYM(I)=-1
*ENDDO
*MFOURI,FIT, COEFF(1),MODE(1),ISYM(1),THETA(1),CURVEI(1)

*IF,CAP,EQ,1,THEN
!
! CURVE WHICH WILL BE DEVELOPED FROM GENERATED COEFFICIENTS
!
*MFOURI,EVAL,COEFF(1),MODE(1),ISYM(1),THETA(1),CURVEO(1)

! PLOT CURVE
/TRIAD,OFF
/PLOPTS,LOGO,0
/PLOPTS,INFO,2
/PLOPTS,WP,0
/COLOR,CURVE,CBLU
/XRANGE,0,370
/YRANGE,0,140
/TSPEC,15
/TLAB,-0.25,0.75,CAPACITANCE = 1E-06 FARAD
/TSPEC,4
/TLAB,0,0.7,BLUE->ANSYS
/TSPEC,1
/TLAB,0,0.65,RED->FOURIER
*VPLOT,THETA(1),CURVEI(1)            ! PLOT INPUT CURVE VERSUS THETA
/USER
/NOERASE
/COM OVERLAY THE OUTPUT CURVE ON THE INPUT CURVE
/COLOR,CURVE,RED
/COLOR,AXLAB,BLAC
/AXLAB,X,ANGLE IN DEGREE
/AXLAB,Y,VOLT
*VPLOT,THETA(1),CURVEO(1)    ! PLOT OUTPUT CURVE VERSUS THETA
/ERASE
*ENDIF
!
!     ANALYTICAL FOURIER COEFFICIENT
!
*DIM,ANALY,ARRAY,IFINAL

! FIRST FOURIER COEFFICIENT = A0/2

A01=U/PI*(SIN(OMEGA*T0)-SIN(OMEGA*T01))
A02=2*V0*TAU*OMEGA/2/PI*(1-EXP(-(T01-T0)/TAU))

A0=1/2*(A01+A02)

!SECOND FOURIER COEFFICIENT = A1

A11=U*OMEGA/PI*((T0-T01+2*PI/OMEGA)/2)
A12=U/PI/4*(SIN(2*OMEGA*T0)-SIN(2*OMEGA*T01))
A13=COS(OMEGA*T0)-OMEGA*TAU*SIN(OMEGA*T0)
A14=(COS(OMEGA*T01)-OMEGA*TAU*SIN(OMEGA*T01))*EXP(-(T01-T0)/TAU)

A1=A11+A12+2*V0*TAU/(1+(OMEGA*TAU)**2)*60*(A13-A14)

! THIRD FOURIER COEFFICIENT = B1

B11=U/PI/2*(SIN(OMEGA*T0)*SIN(OMEGA*T0)-SIN(OMEGA*T01)*SIN(OMEGA*T01))
B12=SIN(OMEGA*T0)+OMEGA*TAU*COS(OMEGA*T0)
B13=(SIN(OMEGA*T01)+OMEGA*TAU*COS(OMEGA*T01))*EXP(-(T01-T0)/TAU)

B1=B11+2*V0*TAU/(1+(OMEGA*TAU)**2)*60*(B12-B13)

RESUL(1,3*CAP+2)=A0,A1,B1

*DO,I,1,IFINAL
RESUL(I,3*CAP+1)=COEFF(I)
RESUL(I,3*CAP+3)=RESUL(I,3*CAP+2)/RESUL(I,3*CAP+1)
*ENDDO
*ENDDO
!
! DISPLAY RESULTS
!
/OUT,vm226,vrt
/COM
/COM,------------------- VM226 RESULTS COMPARISON -------------------------
/COM
*VWRITE,TAUARR(1,1)
('                   TAU=0                       TAU=',F6.4)
/COM
/COM           ANSYS    TARGET     RATIO  |   ANSYS     TARGET    RATIO
/COM     ------------------------------------------------------------------
*VWRITE,COEFFOU(1),RESUL(1,1),RESUL(1,2),RESUL(1,3),RESUL(1,4),RESUL(1,5),RESUL(1,6)
(A5,'| ',3F10.4,' |',3F10.4)
/COM
/COM
/COM
*VWRITE,TAUARR(1,2)
('                   TAU=',F6.4)
/COM
/COM           ANSYS    TARGET     RATIO  |
/COM     ------------------------------------------------------------------
*VWRITE,COEFFOU(1),RESUL(1,7),RESUL(1,8),RESUL(1,9)
(A5,'| ',3F10.4,' |',3F10.4)
/COM
/COM,------------------------------------------------------------------------
/OUT
FINISH
*LIST,vm226,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM225 Input Listing 		Up / Home Next
VM227 Input Listing


VM227 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM227
/TITLE,VM227, Radiation Between Finite Coaxial Cylinders
/COM,* EXPECTED RESULTS:
! RESULTS DERIVED FROM MODEST, RADIATIVE HEAT TRANSFER, P.791
! VIEW FACTOR EVALUATIONS 44, 45
/COM,* FOR INSIDE CYLINDER-INSIDE CYLINDER VFAVG1=0
/COM,* FOR OUTSIDE CYLINDER-INSIDE CYLINDER VFAVG2=0.288
/COM,* FOR OUTSIDE CYLINDER-OUTSIDE CYLINDER VFAVG3=0.503
*SET,NDIV,20          ! ADJUSTED TO DETERMINE SPACING FOR PROBLEM.
*SET,L1,10
*SET,R1,1
*SET,R2,3
/PREP7
BLC4,0,0,R1,L1
BLC4,R2,0,R1,L1
ET,1,PLANE77                        !CREATE 2D THERMAL ELEMENTS
KEYOPT,1,1,0
KEYOPT,1,3,1
LESIZE,ALL,,,10
MSHAPE,0,2D
MSHKEY,0
AMESH,ALL
SFL,2,RDSF,1, ,1,
SFL,8,RDSF,1, ,1,
FINISH
/AUX12
STEF,0.119E-10                      !SET STEFAN-BOLTZMAN CONSTANT FOR MODEL
hemiopt,,,,,,,,,,,,,,,,,,,0
TOFFST,100                          !SET TEMPERATURE OFFSET
RADOPT,0.1,0.1,0.E+00,1000,0.1,0.1  !SET RADIOSITY OPTIONS
SPCTEMP,1,0.E+00                    !SET TEMPERATURE FOR RADIATION TO SPACE
                                    !(NO RADIATION WILL APPEAR IN THIS MODEL)
HEMIOPT,1000,0.01  !SET HEMICUBE OPTIONS
V2DOPT,1,NDIV,0.E+00,200            !SET 2D CALCULATIONS TO AXISYMMETRIC
VFOPT,NEW
VFCALC   !CALCULATE RADIOSITY VIEW FACTORS
ASEL,S, , ,       1
ESLA,S
CM,INSIDE,ELEM
ASEL,S, , ,       2
ESLA,S
CM,OUTSIDE,ELEM
CMPL
VFQUERY,INSIDE,INSIDE !EXTRACT VIEW FACTOR FROM INTERIOR CYLINDER ELEMENTS DUE TO INTERIOR CYLINDER
*GET,VFAVG1,RAD,,VFAVG   !DETERMINE VIEW FACTOR FOR ENTIRE SURFACE
VFQUERY,OUTSIDE,INSIDE   !EXTRACT VIEW FACTOR FROM EXTERIOR CYLINDER ELEMENTS
                         !DUE TO INTERIOR CYLINDER
*GET,VFAVG2,RAD,,VFAVG   !DETERMINE VIEW FACTOR FOR ENTIRE SURFACE
VFQUERY,OUTSIDE,OUTSIDE  !EXTRACT VIEW FACTOR FROM EXTERIOR CYLINDER ELEMENTS
             !DUE TO EXTERIOR CYLINDER
*GET,VFAVG3,RAD,,VFAVG   !DETERMINE VIEW FACTOR FOR ENTIRE SURFACE
*status,parm
*DIM,VALUE,,3,3
*VFILL,VALUE(1,1),DATA,0,0.288,0.503
*VFILL,VALUE(1,2),DATA,VFAVG1,VFAVG2,VFAVG3
*VFILL,VALUE(1,3),DATA,0.000,VFAVG2/0.288,VFAVG3/0.503
*DIM,LABEL,CHAR,3,2
LABEL(1,1) = 'VF(1-1)','VF(2-1)','VF(2-2)'
/OUT,vm227,vrt
/COM,
/COM,------------------- VM227 RESULTS COMPARISON --------------
/COM,
/COM,               |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F8.3,'  ',F8.3,'   ',1F7.2)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm227,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM226 Input Listing 		Up / Home Next
VM228 Input Listing


VM228 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vm228,
/TITLE,vm228, Radiation Between Infinite Coaxial Cylinders
TIN=1000
TOUT=100
/PREP7
ET,1,PLANE35 !CREATE 2D THERMAL ELEMENTS
MPTEMP,,,,,,,,        !SET MATERIAL PROPERTIES
MPTEMP,1,0
MPDATA,EX,1,,30E6
MPDATA,PRXY,1,,.27
MPTEMP,,,,,,,,
MPTEMP,1,0
MPDATA,DENS,1,,.27
MPTEMP,,,,,,,,
MPTEMP,1,0
MPDATA,KXX,1,,1
MPTEMP,,,,,,,,
MPTEMP,1,0
MPDATA,C,1,,.21
CYL4,0,0,0.5,,1
CYL4,0,0,4, ,5
MSHAPE,1,2D
MSHKEY,0
SMRT,4
AMES,ALL

LSEL,S,,,1,4
LSEL,A,,,13,16
SFL,ALL,RDSF,1, ,1,   !SET ALL FACING SURFACES TO EMISSIVITY 1
LSEL,S,,,9,12
DL,ALL, ,TEMP,TOUT,1  !APPLY UNIFORM TEMPERATURE TO EXTERIOR
LSEL,S,,,5,8
DL,ALL, ,TEMP,TIN,1   !APPLY UNIFORM TEMPERATURE TO INTERIOR
ASEL,S, , ,       1
ESLA,S
CM,INSIDE,ELEM
ASEL,S, , ,       2
ESLA,S
CM,OUTSIDE,ELEM
ALLSEL
FINI
/AUX12
STFCONST=0.119E-10
hemiopt,,,,,,,,,,,,,,,,,,,0
STEF,STFCONST         !SET STEFAN-BOLTZMAN CONSTANT FOR MODEL
TOFFST,0.E+00         !SET TEMPERATURE OFFSET
RADOPT,0.1,0.1,0.E+00,1000,0.1,0.1  !SET RADIOSITY OPTIONS
SPCTEMP,1,0.E+00      !SET TEMPERATURE FOR RADIATION TO SPACE
                      !(NO RADIATION WILL APPEAR IN THIS MODEL)
!*
VFCALC !CALCULATE RADIOSITY VIEW FACTORS
VFQUERY,INSIDE,INSIDE !EXTRACT VIEW FACTOR FROM INTERIOR CYLINDER ELEMENTS DUE TO INTERIOR CYLINDER
*GET,VFAVG1,RAD,,VFAVG   !DETERMINE VIEW FACTOR FOR ENTIRE SURFACE
VFQUERY,OUTSIDE,INSIDE   !EXTRACT VIEW FACTOR FROM EXTERIOR CYLINDER ELEMENTS DUE TO INTERIOR CYLINDER
*GET,VFAVG2,RAD,,VFAVG   !DETERMINE VIEW FACTOR FOR ENTIRE SURFACE
VFQUERY,OUTSIDE,OUTSIDE  !EXTRACT VIEW FACTOR FROM EXTERIOR CYLINDER ELEMENTS DUE TO EXTERIOR CYLINDER
*GET,VFAVG3,RAD,,VFAVG   !DETERMINE VIEW FACTOR FOR ENTIRE SURFACE
FINISH
/SOLU
TIME,1
DELTIM,0.5
SOLV
FINI
/POST1
LSEL,S, , ,1,4
LSEL,A, , ,13,16
NSLL,S,1

*GET,TI,NODE,4,TEMP !INSIDE CYLINDER SURFACE TEMP
*GET,TO,NODE,13,TEMP !OUTSIDE CYLINDER SURFACE TEMP
*GET,HFI,NODE,4,TF,SUM !INSIDE CYLINDER HEAT FLUX
*GET,HFO,NODE,13,TF,SUM !OUTSIDE CYLINDER HEAT FLUX

! CALCULATE EXPECTED RADIATION FLUX
HFIEXP=ABS(TO**4-TI**4)*STFCONST/1
HFOEXP=ABS(TO**4-TI**4)*STFCONST/4

HFIERR=(HFI/HFIEXP)
HFOERR=(HFO/HFOEXP)
*status,parm
*DIM,VALUE,,5,3
*VFILL,VALUE(1,1),DATA,0,0.25,0.75,HFI,HFO
*VFILL,VALUE(1,2),DATA,VFAVG1,VFAVG2,VFAVG3,HFIEXP,HFOEXP
*VFILL,VALUE(1,3),DATA,0.000,VFAVG2/0.25,VFAVG3/0.75,HFIERR,HFOERR
*DIM,LABEL,CHAR,10,2
LABEL(1,1) = 'VF(1-1)','VF(2-1)','VF(2-2)','HFINSIDE','HFOUTSIDE'
SAVE,TABLE_1

FINI

/clea,nost

/VERIFY,vm228,
/TITLE,vm228, Radiation Between Infinite Coaxial Cylinders (RSURF METHOD)
TIN=1000
TOUT=100
/PREP7
ET,1,PLANE35 !CREATE 2D THERMAL ELEMENTS
MPTEMP,,,,,,,,        !SET MATERIAL PROPERTIES
MPTEMP,1,0
MPDATA,EX,1,,30E6
MPDATA,PRXY,1,,.27
MPTEMP,,,,,,,,
MPTEMP,1,0
MPDATA,DENS,1,,.27
MPTEMP,,,,,,,,
MPTEMP,1,0
MPDATA,KXX,1,,1
MPTEMP,,,,,,,,
MPTEMP,1,0
MPDATA,C,1,,.21
CYL4,0,0,0.5,,1
CYL4,0,0,4, ,5
MSHAPE,1,2D
MSHKEY,0
SMRT,4
AMES,ALL

LSEL,S,,,1,4
LSEL,A,,,13,16
SFL,ALL,RDSF,1, ,1,   !SET ALL FACING SURFACES TO EMISSIVITY 1
LSEL,S,,,9,12
DL,ALL, ,TEMP,TOUT,1  !APPLY UNIFORM TEMPERATURE TO EXTERIOR
LSEL,S,,,5,8
DL,ALL, ,TEMP,TIN,1   !APPLY UNIFORM TEMPERATURE TO INTERIOR
ASEL,S, , ,       1
ESLA,S
CM,INSIDE,ELEM
ASEL,S, , ,       2
ESLA,S
CM,OUTSIDE,ELEM
ALLSEL
rdec,,0.5
rsurf

FINI
/AUX12
STFCONST=0.119E-10
hemiopt,,,,,,,,,,,,,,,,,,,0
STEF,STFCONST         !SET STEFAN-BOLTZMAN CONSTANT FOR MODEL
TOFFST,0.E+00         !SET TEMPERATURE OFFSET
RADOPT,0.1,0.1,0.E+00,1000,0.1,0.1  !SET RADIOSITY OPTIONS
SPCTEMP,1,0.E+00      !SET TEMPERATURE FOR RADIATION TO SPACE
              !(NO RADIATION WILL APPEAR IN THIS MODEL)
!*
VFCALC !CALCULATE RADIOSITY VIEW FACTORS

nsel,s,loc,x,-1,1
nsel,r,loc,y,-1,1
esln,s,1
esel,r,type,,2
CM,inrs,elem
nsel,s,loc,x,-1,1
nsel,r,loc,y,-1,1
nsel,invert
esln,s,1
esel,r,type,,2
CM,outrs,elem
allsel

/out,scratch
VFQUERY,INRS,INRS !EXTRACT VIEW FACTOR FROM INTERIOR CYLINDER ELEMENTS DUE TO INTERIOR CYLINDER
*GET,VFAVG1,RAD,,VFAVG   !DETERMINE VIEW FACTOR FOR ENTIRE SURFACE
VFQUERY,OUTRS,INRS   !EXTRACT VIEW FACTOR FROM EXTERIOR CYLINDER ELEMENTS DUE TO INTERIOR CYLINDER
*GET,VFAVG2,RAD,,VFAVG   !DETERMINE VIEW FACTOR FOR ENTIRE SURFACE
VFQUERY,OUTRS,OUTRS  !EXTRACT VIEW FACTOR FROM EXTERIOR CYLINDER ELEMENTS DUE TO EXTERIOR CYLINDER
*GET,VFAVG3,RAD,,VFAVG   !DETERMINE VIEW FACTOR FOR ENTIRE SURFACE
/out
allsel
FINISH
/SOLU
TIME,1
DELTIM,0.5
SOLV
FINI
/POST1
LSEL,S, , ,1,4
LSEL,A, , ,13,16
NSLL,S,1

*GET,TI,NODE,4,TEMP !INSIDE CYLINDER SURFACE TEMP
*GET,TO,NODE,13,TEMP !OUTSIDE CYLINDER SURFACE TEMP
*GET,HFI,NODE,4,TF,SUM !INSIDE CYLINDER HEAT FLUX
*GET,HFO,NODE,13,TF,SUM !OUTSIDE CYLINDER HEAT FLUX

! CALCULATE EXPECTED RADIATION FLUX
HFIEXP=ABS(TO**4-TI**4)*STFCONST/1
HFOEXP=ABS(TO**4-TI**4)*STFCONST/4

HFIERR=(HFI/HFIEXP)
HFOERR=(HFO/HFOEXP)
*status,parm
*DIM,VALUE,,5,3
*VFILL,VALUE(1,1),DATA,0,0.25,0.75,HFI,HFO
*VFILL,VALUE(1,2),DATA,VFAVG1,VFAVG2,VFAVG3,HFIEXP,HFOEXP
*VFILL,VALUE(1,3),DATA,0.000,VFAVG2/0.25,VFAVG3/0.75,HFIERR,HFOERR
*DIM,LABEL,CHAR,10,2
LABEL(1,1) = 'VF(1-1)','VF(2-1)','VF(2-2)','HFINSIDE','HFOUTSIDE'
SAVE,TABLE_2
RESUME,TABLE_1
/COM
/OUT,vm228,vrt
/COM,------------------- VM228 RESULTS COMPARISON --------------
/COM,
/COM,               |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F8.3,'  ',F8.3,'   ',1F7.2)
/COM,-----------------------------------------------------------
/OUT,
RESUME,TABLE_2
/OUT,vm228,vrt,,APPEND
/COM,Using RSURF (SURF251)
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F8.3,'  ',F8.3,'   ',1F7.2)
/COM,-----------------------------------------------------------
/OUT
FINISH
/NOPR
*LIST,vm228,vrt

/DELETE,TABLE_1
/DELETE,TABLE_2

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM227 Input Listing 		Up / Home Next
VM229 Input Listing


VM229 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM229
/TITLE,VM229, FRICTION HEATING OF A SLIDING BLOCK
/COM, REF: WRIGGER AND MIEHE, COMP METH APPL ENGR 113, PP301-319
/PREP7
ET,1,PLANE13,4 ! 2-D COUPLED-FIELD SOLID
RECT,,5,,1.25
RECT,,1.25,1.25,2.5
!*
LESIZE,ALL,0.25, , ,1,1
AMESH,ALL
UIMP,1,EX, , ,70000,
UIMP,1,DENS, , ,2.7E-9,
UIMP,1,ALPX, , ,23.86E-6,
UIMP,1,NUXY, , ,0.3,
UIMP,1,MU, , ,0.2,
UIMP,1,KXX, , ,150,
UIMP,1,C, , ,9E8,
TOFFSET,460
TUNIF = 0.00
ET,2,TARGE169 ! 2-D TARGET SEGMENT
ET,3,CONTA171 ! 2-D SURFACE-TO-SURFACE CONTACT
KEYOPT,3,1,1
ASEL,S,,,1
NSLA,S,1
NSEL,R,LOC,Y,1.25
R,1
TYPE,2
ESURF
ALLSEL
ASEL,S,,,2
NSLA,S,1
NSEL,R,LOC,Y,1.25
TYPE,3
ESURF
ALLSEL,ALL
*DIM,PRE,TABLE,2,1,1,TIME
!*
SFL,7,PRES, %PRE%
PRE(1,0,1) = 0
PRE(1,1,1) = 10
PRE(2,0,1) = 10
PRE(2,1,1) = 10
ALLSEL
SAVE
FINISH
/SOLU
NSUB,1
ASEL,S,,,2
NSLA,S,1
NSEL,R,LOC,X,1.25
D,ALL,UX,3.75
ALLSEL
ASEL,S,,,1
NSLA,S,1
D,ALL,UX,0
D,ALL,UY,0
ALLSEL
ANTYPE,TRANS
TIMINT,OFF,STRUC
TINTPR,,,,1.0
NLGEOM,ON
TIME,3.75E-3
AUTO,ON
NSUB,100,10000,100
OUTRES,ALL,-10
NROP,UNSYM
/OUT,SCRATCH
SOLVE
TIME,1
AUTO,ON
TINTPR,,,,1.0
NSUB,100,10000,10
OUTRES,ALL,LAST
SOLVE
/OUT
FINI
/POST1
ALLSEL
PLNSOL,TEMP
/COM  *****************************************************************
/COM   TEST FROM COMP. METH. APPL. MECH. ENG. VOL.113,P301,1994
/COM   SOLUTION TEMPERATURE = 1.235
/COM  *****************************************************************
ESEL,S,ENAME,,CONTA171
NSLE
PRNSOL,TEMP
*GET,TEMP1,NODE,130,TEMP
/COM  *****************************************************************
/COM   SOLUTION TEMPERATURE = 0.309
/COM  *****************************************************************
ESEL,S,ENAME,,TARGE169
NSLE
PRNSOL,TEMP
*GET,TEMP2,NODE,40,TEMP
*DIM,LABEL,CHAR,2
*DIM,VALUE,,2,3
LABEL(1) = 'TEMP1','TEMP2 '
*VFILL,VALUE(1,1),DATA,1.235,0.309
*VFILL,VALUE(1,2),DATA,TEMP1,TEMP2
*VFILL,VALUE(1,3),DATA,ABS(TEMP1 / 1.235) ,ABS(TEMP2 / 0.309)
SAVE,TABLE_1
FINISH

!* SOLVE USING K(2)=3 OF CONTA171
RESUME
/PREP7
KEYOPT,3,4,2          ! ON NODAL POINT - NORMAL TO TARGET SURFACE
KEYOPT,3,2,4          ! PURE LAGRANGE MULTIPLIER ON CONTACT NORMAL AND TANGENT
FINISH
/SOLU
NSUB,1
ASEL,S,,,2
NSLA,S,1
NSEL,R,LOC,X,1.25
D,ALL,UX,3.75
ALLSEL
ASEL,S,,,1
NSLA,S,1
D,ALL,UX,0
D,ALL,UY,0
ALLSEL
ANTYPE,TRANS
TIMINT,OFF,STRUC
TINTPR,,,,1.0
NLGEOM,ON
TIME,3.75E-3
AUTO,ON
NSUB,100,10000,100
OUTRES,ALL,-10
NROP,UNSYM
/OUT,SCRATCH
SOLVE
TIME,1
AUTO,ON
TINTPR,,,,1.0
NSUB,100,10000,10
OUTRES,ALL,LAST
SOLVE
/OUT
FINI
/POST1
ALLSEL
PLNSOL,TEMP
/COM  *****************************************************************
/COM   TEST FROM COMP. METH. APPL. MECH. ENG. VOL.113,P301,1994
/COM   SOLUTION TEMPERATURE = 1.235
/COM  *****************************************************************
ESEL,S,ENAME,,CONTA171
NSLE
PRNSOL,TEMP
*GET,TEMP1,NODE,130,TEMP
/COM  *****************************************************************
/COM   SOLUTION TEMPERATURE = 0.309
/COM  *****************************************************************
ESEL,S,ENAME,,TARGE169
NSLE
PRNSOL,TEMP
*GET,TEMP2,NODE,40,TEMP
*DIM,LABEL,CHAR,2
*DIM,VALUE,,2,3
LABEL(1) = 'TEMP1','TEMP2 '
*VFILL,VALUE(1,1),DATA,1.235,0.309
*VFILL,VALUE(1,2),DATA,TEMP1,TEMP2
*VFILL,VALUE(1,3),DATA,ABS(TEMP1 / 1.235) ,ABS(TEMP2 / 0.309)
SAVE,TABLE_2
/COM
RESUME,TABLE_1
/OUT,VM229,VRT
/COM
/COM,------------------- VM229 RESULTS COMPARISON ---------------------
/COM,
/COM,        |   TARGET   |   ANSYS   |   RATIO
/COM,PLANE13
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,'  ',F7.4,'      ',F7.4,'     ',1F5.3)
/OUT,
RESUME,TABLE_2
/OUT,VM229,VRT,,APPEND
/COM,RESULTS USING K(2)=3 OF CONTA171
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,'  ',F7.4,'      ',F7.4,'     ',1F5.3)
/OUT
FINISH
!
/CLEAR,NOSTART
/PREP7
ET,1,PLANE223,11    ! 2-D STRUCTURAL-THERMAL SOLID
RECT,,5,,1.25
RECT,,1.25,1.25,2.5
!*
LESIZE,ALL,0.25, , ,1,1
AMESH,ALL
UIMP,1,EX, , ,70000,
UIMP,1,DENS, , ,2.7E-9,
UIMP,1,ALPX, , ,23.86E-6,
UIMP,1,NUXY, , ,0.3,
UIMP,1,MU, , ,0.2,
UIMP,1,KXX, , ,150,
UIMP,1,C, , ,9E8,
TOFFSET,460
TUNIF = 0.00
ET,2,TARGE169 ! 2-D TARGET SEGMENT
ET,3,CONTA172 ! 2-D SURFACE-TO-SURFACE CONTACT
KEYOPT,3,1,1
ASEL,S,,,1
NSLA,S,1
NSEL,R,LOC,Y,1.25
R,1
TYPE,2
ESURF
ALLSEL
ASEL,S,,,2
NSLA,S,1
NSEL,R,LOC,Y,1.25
TYPE,3
ESURF
ALLSEL,ALL
*DIM,PRE,TABLE,2,1,1,TIME
!*
SFL,7,PRES, %PRE%
PRE(1,0,1) = 0
PRE(1,1,1) = 10
PRE(2,0,1) = 10
PRE(2,1,1) = 10
ALLSEL
SAVE
FINISH

/SOLU
NSUB,1
ASEL,S,,,2
NSLA,S,1
NSEL,R,LOC,X,1.25
D,ALL,UX,3.75
ALLSEL
ASEL,S,,,1
NSLA,S,1
D,ALL,UX,0
D,ALL,UY,0
ALLSEL
ANTYPE,TRANS
TIMINT,OFF,STRUC
TINTPR,,,,1.0
NLGEOM,ON
TIME,3.75E-3
AUTO,ON
NSUB,100,10000,100
OUTRES,ALL,-10
NROP,UNSYM
/OUT,SCRATCH
SOLVE
TIME,1
AUTO,ON
TINTPR,,,,1.0
NSUB,100,10000,10
OUTRES,ALL,LAST
SOLVE
/OUT
FINI
/POST1
ALLSEL
PLNSOL,TEMP
/COM  *****************************************************************
/COM   TEST FROM COMP. METH. APPL. MECH. ENG. VOL.113,P301,1994
/COM   SOLUTION TEMPERATURE = 1.235
/COM  *****************************************************************
ESEL,S,ENAME,,CONTA172
NSLE
PRNSOL,TEMP
*GET,TEMP1,NODE,NODE(0.5,1.25,0),TEMP
/COM  *****************************************************************
/COM   SOLUTION TEMPERATURE = 0.309
/COM  *****************************************************************
ESEL,S,ENAME,,TARGE169
NSLE
PRNSOL,TEMP
*GET,TEMP2,NODE,NODE(1.75,1.25,0),TEMP
*DIM,LABEL,CHAR,2
*DIM,VALUE,,2,3
LABEL(1) = 'TEMP1','TEMP2 '
*VFILL,VALUE(1,1),DATA,1.235,0.309
*VFILL,VALUE(1,2),DATA,TEMP1,TEMP2
*VFILL,VALUE(1,3),DATA,ABS(TEMP1 / 1.235) ,ABS(TEMP2 / 0.309)
!
/OUT,VM229,VRT,,APPEND
/COM,PLANE223
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,'  ',F7.4,'      ',F7.4,'     ',1F5.3)
/COM,----------------------------------------------------------------
!
FINISH
/OUT,
*LIST,VM229,VRT

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM228 Input Listing 		Up / Home Next
VM230 Input Listing


VM230 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM230
/TITLE, VM230, Analytical Verification of PDS Results
/COM,Probability Concepts in Engineering Planing and Design, Volume 1
/COM, A Ang, H-S Tang, Wiley, 1975
/COM,
! ---------  make loop file  --------
*CREATE,VM230,INP
X1  = 3.0
X2  = 3.0
X3  = 3.0
X4  = 3.0
X5  = 3.0
Y   = (X1*X2*X3)/(X4*X5)
LOGY= log(Y)
*END
!
! ---------  run loop file  --------
/inp,VM230,INP
!
! ---------  define PDS parameters  --------
LMEAN1 = 1.1
LMEAN2 = 1.2
LMEAN3 = 1.3
LMEAN4 = 1.4
LMEAN5 = 1.5
LDEVI1 = 0.1
LDEVI2 = 0.2
LDEVI3 = 0.3
LDEVI4 = 0.4
LDEVI5 = 0.5
!
! ---------  PDS Definitions  --------
/PDS
PDANL,VM230,INP                  ! Define analysis file
PDVAR,X1,LOG2,LMEAN1,LDEVI1,0.0      ! Define X1 as Log-normal
PDPLOT,X1
PDVAR,X2,LOG2,LMEAN2,LDEVI2,0.0      ! Define X2 as Log-normal
PDVAR,X3,LOG2,LMEAN3,LDEVI3,0.0      ! Define X3 as Log-normal
PDVAR,X4,LOG2,LMEAN4,LDEVI4,0.0      ! Define X4 as Log-normal
PDVAR,X5,LOG2,LMEAN5,LDEVI5,0.0      ! Define X5 as Log-normal
PDVAR,Y,RESP                   ! Define Y as response parameter
PDVAR,LOGY,RESP                      ! Define LOGY as response parameter
!
! ---------  PDS Methods - LHS  --------
/COM, **************************************
/COM, Define and run latin hypercube samples
/COM, **************************************
PDMETH,MCS,LHS                 ! Set LHS as method
PDLHS,2000,1,RAND,,ALL,,,,INIT ! Define LHS options
PDEXEC,LHSRUN,SER              ! Execute LHS runs
!
! ---------  PDS POST-PROCESSING  --------
/COM,
/COM, **************************************
/COM, Analytical results
/COM, **************************************
LMEANY = LMEAN1 + LMEAN2 + LMEAN3 - LMEAN4 - LMEAN5
LDEVIY = 0.0
LDEVIY = LDEVIY + LDEVI1*LDEVI1
LDEVIY = LDEVIY + LDEVI2*LDEVI2
LDEVIY = LDEVIY + LDEVI3*LDEVI3
LDEVIY = LDEVIY + LDEVI4*LDEVI4
LDEVIY = LDEVIY + LDEVI5*LDEVI5
LDEVIY = SQRT(LDEVIY)
MEANY  = exp(LMEANY + 0.5*LDEVIY*LDEVIY)
HLP1  = exp(2.0*LMEANY + LDEVIY*LDEVIY)
HLP2  = exp(LDEVIY*LDEVIY) - 1.0
STDEVY = sqrt( HLP1*HLP2 )
*MSG,NOTE,LMEANY
The logarithmic mean of Y is      %g
*MSG,NOTE,LDEVIY
The logarithmic deviation of Y is %g
*MSG,NOTE,MEANY
The mean value of Y is            %g
*MSG,NOTE,STDEVY
The standard deviation of Y is    %g
/COM,
/COM, **************************************
/COM, Plot the CDF for LHS
/COM, **************************************
PDCDF,LHSRUN,Y,LOGN
PDCDF,LHSRUN,LOGY
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM229 Input Listing 		Up / Home Next
VM231 Input Listing


VM231 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vm231
/TITLE, VM231, PIEZOCERAMIC RECTANGLE UNDER PURE BENDING LOAD
/COM,   REF: PARTON,V.Z., KUDRYAVTSEV, B.A. AND SENIK,N.A. (1989)
/COM,   "MECHANICS OF PIEZOELECTRIC MATERIALS" IN "APPLIED MECHANICS:
/COM,   SOVIET REVIEW.", Vol.2: ELECTROMAGNETOELASTICITY,
/COM,   G.K.MIKHAILOV AND V.Z.PARTON (EDS.), HEMISPHERE PUBL. CORP., P.28
/NOPR
/COM,
/COM,       GEOMETRY DATA
/COM,
L=1.E-3                         ! PLATE LENGTH,m
H=0.5E-3                        ! PLATE THICKNESS,m
/COM,
/COM,       LOAD DATA
/COM,
SIG1=-20E9                      ! PRESSURE SLOPE, N/m**3

/PREP7
/COM,
/COM,       MATERTIAL PROPERTIES FOR THE FINITE ELEMENT SOLUTION:
/COM,       CONSTITUTIVE MATRICES FOR PZT-4 (POLAR AXIS ALONG Y)
/COM,
/COM,   [c11 c13 c12  0  0  0 ]        [ 0 e31  0 ]      [ep11  0    0  ]
/COM,   [c13 c33 c13  0  0  0 ]        [ 0 e33  0 ]      [  0  ep33  0  ]
/COM,   [c12 c13 c11  0  0  0 ]        [ 0 e31  0 ]      [  0   0   ep11]
/COM,   [ 0   0   0  c44 0  0 ]        [e15 0   0 ]
/COM,   [ 0   0   0   0 c44 0 ]        [ 0  0  e15]
/COM,   [ 0   0   0   0  0 c66]        [ 0  0   0 ]
/COM,
MP,PERX,1,728.5                 ! PERMITTIVITY AT CONSTANT STRAIN
MP,PERY,1,634.7
MP,PERZ,1,728.5
TB,ANEL,1                       ! ANISOTROPIC ELASTIC STIFFNESS
TBDA,1,13.9E10,7.43E10,7.78E10  ! c11,c13,c12
TBDA,7,11.5E10,7.43E10          ! c33,c13
TBDA,12,13.9E10                 ! c11
TBDA,16,2.56E10                 ! c44
TBDA,19,2.56E10                 ! c44
TBDA,21,3.06E10                 ! c66
TB,PIEZ,1                       ! PIEZOELECTRIC STRESS COEFFICIENTS
TBDA,2,-5.2                     ! e31
TBDA,5,15.1                     ! e33
TBDA,8,-5.2                     ! e31
TBDA,10,12.7                    ! e15
TBDA,15,12.7                    ! e15
/COM,
/COM,      FINITE ELEMENT MODEL
/COM,
ANTYPE,STATIC
ET,1,13,7,0,2,0                 ! PLANE13 (UX,UY,VOLT) PLANE STRESS
N,1,0,0
N,2,L,0
N,3,L,H
N,4,0,H
E,1,2,3,4
NSEL,S,LOC,X,0                  ! DEFINE STRUCTURAL B.C.
DSYM,SYMM,X
NSEL,R,LOC,Y,0
D,ALL,UY,0
D,ALL,VOLT,0
NSEL,S,LOC,Y,0
DSYM,ASYMM,Y
NSEL,ALL
SFGRAD,PRES,0,Y,0,-SIG1         ! SPECIFY PRESSURE LOAD GRADIENT
NSEL,S,LOC,X,L
SF,ALL,PRES,0                   ! APPLY PRESSURE LOAD
NSEL,ALL
FINISH
/SOLVE
OUTPR,,LAST
SOLVE
FINISH
/post1
PRNSOL,S,COMP
PRNSOL,EPEL,COMP
PRNSOL,EF,COMP
PRNSOL,D,COMP
!
!       MATERTIAL PROPERTIES FOR THE ANALYTICAL SOLUTION
!
S11=12.3093E-12                 ! ELASTIC COMPLIANCE COEFFICIENTS
S13=-5.34878E-12
D31=-1.23816E-10                ! PIEZOELECTRIC STRAIN COEFFICIENTS
D33= 2.91296E-10
EP33=11.3063E-9                 ! PERMITTIVITY COEFFICIENT AT CONSTANT STRESS
K31=D31*D31/(S11*EP33)          ! ELECTROMECHANICAL COEFFICIENTS
KS=D33*D31/(S13*EP33)
!
!      ANALYTICAL SOLUTION AT NODE 3
!
UX3=S11*(1-K31)*SIG1*NX(3)*NY(3)
UY3=S13*(1-KS)*SIG1*NY(3)**2/2
UY3=UY3-S11*(1-K31)*SIG1*NX(3)**2/2
VOLT3=D31*SIG1*NY(3)**2/(2*EP33)
SX3=SIG1*NY(3)
EFY3=-D31*SIG1*NY(3)/EP33
!
!      RESULT OUTPUT
!
*GET,SX,NODE,3,S,X
*GET,EFY,NODE,3,EF,Y
*DIM,LABEL,CHAR,5,3
*DIM,VALUE,ARRAY,5,3
LABEL(1,1)='UX, ','UY, ','VOLT, ','SX, ','EFZ, '
LABEL(1,2)='(um)  ','(um)  ','(V) ','(N/mm^2)','(V/mm)'
*VFILL,VALUE(1,1),DATA,UX3*1E6,UY3*1E6,VOLT3,SX3*1E-6,EFY3*1E-3
*VFILL,VALUE(1,2),DATA,UX(3)*1E6,UY(3)*1E6,VOLT(3),SX*1E-6,EFY*1E-3
*VFILL,VALUE(1,3),DATA,ABS(UX(3)/UX3),ABS(UY(3)/UY3),ABS(VOLT(3)/VOLT3)
*VFILL,VALUE(4,3),DATA,ABS(SX/SX3),ABS(EFY/EFY3)
/COM
/COM
/COM,---------------------- VM231 RESULTS COMPARISON ------------------
/COM,
/COM,     NODE 3       |    TARGET    |    ANSYS    |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1x,A8,A8,'     ',F9.3,'     ',F9.3,'     ',F7.3)
/COM,------------------------------------------------------------------

FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM230 Input Listing 		Up / Home Next
VM232 Input Listing


VM232 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vm232
/title,VM232, PDS Response Surface Study
/COM, Verification Example using the Weibull and the Exponential
/COM, distribution. We use MCS and RSM to compare with the
/COM, analytical results
!
! ---------  make loop file  --------
*CREATE,PDVERIFY1,INP
XEXPO  = 1.0
XWEIB  = 1.0
COEF1  = 1.0
COEF2  = 0.1
LAMBDA = 0.5
Y = COEF1*XWEIB*XWEIB - COEF2*XEXPO
*END
!
! ---------  run loop file  --------
/INP,PDVERIFY1,INP
!
! ---------  PDS Definitions  --------
/PDS
PDANL,PDVERIFY1,INP            ! Define analysis file
! ----------- Exponential ----------------------------------
PDVAR,XEXPO,EXPO,LAMBDA,0.0    ! Define XEXPO as exponential
PDPLOT,XEXPO
! -----------WEIBULL ----------------------------------
PDVAR,XWEIB,WEIB,2.0,1.0,0.0   ! Define XWEIB as Weibull
PDPLOT,XWEIB
! ----------- OUTPUT ----------------------------------
PDVAR,Y,RESP                   ! Define Y as response parameter
!
! ---------  PDS Methods - LHS  --------
/COM, **************************************
/COM, Define and run latin hypercube samples
/COM, **************************************
PDMETH,MCS,LHS                 ! Set LHS as method
PDLHS,1000,1,RAND,,ALL,,,,INIT ! Define LHS options
PDEXEC,LHSRUN,SER              ! Execute LHS runs
!
! ---------  PDS Methods - CCD  --------
/COM, **************************************
/COM, Define and run central composit design
/COM, **************************************
PDMETH,RSM,CCD                 ! Set CCD as method
PDEXEC,CCDRUN,SER              ! Execute CCD runs
!
! ---------  PDS FIT RESPONSE SURFACE  --------
/COM, *********************************
/COM, Fit response surface for CCD runs
/COM, *********************************
RSFIT,CCDFIT,CCDRUN,Y,QUAX,NONE,,FSR,0.95
!
! ---------  PDS SAMPLES ON RESPONSE SURFACE  --------
/COM, ***************************************
/COM, Perform MCS samples on response surface
/COM, ***************************************
RSSIMS,CCDFIT,50000,INIT
/DIST,1,1.05
/VIEW,1,-1,-1,1
RSPLOT,CCDFIT,Y,XEXPO,XWEIB,3D,
!
! ---------  PDS POST-PROCESSING  --------
/COM,
/COM, **************************************
/COM, Analytical probability that "Y<0.0"
/COM, **************************************
PROB = 1.0/( (LAMBDA*COEF1/COEF2) + 1.0)
/COM,
/COM, **************************************
/COM, Probability that "Y<0.0" for LHS
/COM, **************************************
PDPROB,LHSRUN,Y,LT,0.0
/COM,
/COM, **************************************
/COM, Probability that "Y<0.0" for CCD
/COM, **************************************
PDPROB,CCDFIT,Y,LT,0.0
Fini

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM231 Input Listing 		Up / Home Next
VM233 Input Listing


VM233 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM233
/TITLE,VM233, TEAM20: Static Force Computation of a 3-D Solenoid
/COM
/COM  This test utilizes DSP formulation with tet shaped 98 elements
/COM
/COM Reference:
/COM "Analysis of benchmark Problem TEAM 20 with Various Formulations",
/COM   Proceedings of TEAM Wokrshop, COMPUMAG Rio, p.18-20, 1997. also
/COM   IEEE Trans. on MAG, Vol. 34. No. 5. pp.2481-84, 1998.
/COM   IEEE Trans. on MAG, Vol. 35. No. 3. pp.1406-9, May 1999.
/COM   Analysis Solutions, Vol. 1. Issue 2, Winter 1997-98, pp.10-11.
/COM   ANSYS Conference, 1998.
/COM
/PREP7
/NOPR
/OUT,SCRATCH
ET,1,98,10

MP,MURX,1,1
MP,MURX,4,1

TB,BH,2,,40
TBPT,,355,.7
,,405,.8
,,470,.9
,,555,1.
,,673,1.1
,,836,1.2
,,1065,1.3
,,1220,1.35
,,1420,1.4
,,1720,1.45
,,2130,1.5
,,2670,1.55
,,3480,1.6
,,4500,1.65
,,5950,1.70
,,7650,1.75
,,10100,1.8
,,13000,1.85
,,15900,1.9
,,21100,1.95
,,26300,2.
,,32900,2.05
,,42700,2.1
,,61700,2.15
,,84300,2.2
,,110000,2.25
,,135000,2.3
,,200000,2.41
,,400000,2.69
,,800000,3.22

TBCOPY,BH,2,3
XINF=100.
YINF=100.
ZINF=175.
/COM, **************************************************
TCUR=5000                 ! Input current here (AT)
/COM, **************************************************

N,1,0,0,75/1000           ! path nodes for postprocessing
N,2,63.5/1000,0,75/1000

BLOCK,0,63.5,0,25/2,0,25  ! Pole
BLOCK,38.5,63.5,0,25/2,25,125
BLOCK,13.5,63.5,0,25/2,125,150
VGLUE,ALL

BLOCK,0,12.5,0,5,26.5,125  ! Armature
BLOCK,0,13,0,5.5,26,(125+.5)  ! Air region
VOVLAP,1,2
NUMCMP,VOLU

BLOCK,39/2,75/2,0,14.5,(25+1.7),(125-1.7)
BLOCK,0,14.5,39/2,75/2,(25+1.7),(125-1.7)
LOCAL,11,1,14.5,14.5,25+1.7
WPCSYS,11
CYL4,,,5,0,23,90,(125-1.7)-(25+1.7)
VGLUE,6,8
NUMCMP,VOLU

CSYS,0
WPCSYS,0
CYL4,,,0,0,100,90,175
VOVLAP,ALL
NUMCMP,ALL

VSEL,S,VOLU,,1
VATT,3,1,1              ! Armature
VSEL,S,VOLU,,3,5
VATT,2,1,1              ! Pole
VSEL,S,VOLU,,6
VATT,4,2,1              ! Coil +y
VSEL,S,VOLU,,7
VATT,4,4,1              ! Coil -x
VSEL,S,VOLU,,8
ESYS,11
VATT,4,3,1              ! Coil +y theta

ALLSEL,ALL
SMRT,10
MSHAPE,1,3D
MSHMID,1
MSHKEY,0
VMESH,ALL

ESEL,S,MAT,,3       ! armature
CM,ARM,ELEM
FMAGBC,'ARM'
ALLSEL,ALL

VLSCALE,ALL,,,.001,.001,.001,,0,1     ! scale to meters

LOCAL,12,0,0,0,75/1000
WPCSYS,-1
RACE,.0285,.0285,.014,TCUR,.018,.0966       ! create coil
SAVE
FINISH
/SOLU
NSLE,S
*GET,NMIN,NODE,,NUM,MIN
D,NMIN,MAG,0
NSEL,ALL
EQSLV,JCG
MAGSOLV,3,,,,,1
FINISH

/POST1
/OUT
*MSG,NOTE,TCUR
%/rESULTS FOR CURRENT = %G (mULTIPLY fORCE BY 4 FOR SYMMETRY)
FMAGSUM,'ARM'
*GET,FVWZ,SSUM, ,ITEM,FVW_Z     ! Extract Virtual Work Force Z-Direction
FZ = 4*FVWZ                     ! Scale force for symmetry

ESEL,S,MAT,,2,3
NSLE,S
NSEL,A,NODE,,1,2
LPATH,1,2
/COM, Path results for ARM and POLE regions
/COM
PDEF,BZ,B,Z
PRPATH,BZ
*GET,BZPOLE,PATH,0,LAST,BZ      ! Extract BZ at Pole
*GET,BZARM,PATH,0,MAX,BZ        ! Extract BZ at Arm

*DIM,LABEL,CHAR,3
*DIM,VALUE,,3,3
LABEL(1) = 'FVW(Z) ','POLE(BZ) ','ARM(BZ) '
*VFILL,VALUE(1,1),DATA,80.1,0.46,2.05
*VFILL,VALUE(1,3),DATA,ABS(FZ/80.1),ABS(bzpole/0.46),ABS(bzarm/2.05)
*VFILL,VALUE(1,2),DATA,ABS(FZ),ABS(bzpole),ABS(bzarm)
/OUT,vm233,vrt,,APPEND
/COM
/COM,------------------- VM233 RESULTS COMPARISON ---------------------
/COM,
/COM,          |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,'    ',F7.3,'     ',F7.3,'       ',1F5.3)
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vm233,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM232 Input Listing 		Up / Home Next
VM234 Input Listing


VM234 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vm234
/TITLE, VM234, Cyclic Loading of a Rubber Block
/COM
/COM, HOLZAPFEL, Gerhard A." On Large Strain Viscoelasticity: Continuum,
/COM, Formulation and Finite Element Applications to Elastomeric
/COM, Structures," International Journal for Numerical Methods,
/COM, Vol. 39, pp. 3903-3926, 1996.,
/COM
FINISH
/PREP7
MP,EX,1,422500.0              ! Material Definition
TB,HYPER,1, ,3,OGDEN,
TBDATA,1,6.3E+05*3.0,1.3,1200*3.0,5,-10000*3.0,-2
TB,PRONY,1, ,2,SHEAR
TBDATA,,1.0/3.0,0.40,1.0/3.0,0.20,

N,1, 0.0, 0.0, 0.0            ! Node Definition
N,2, 0.1, 0.0, 0.0
N,3, 0.1, 0.1, 0.0
N,4, 0.0, 0.1, 0.0
N,5, 0.0, 0.0, 0.1
N,6, 0.1, 0.0, 0.1
N,7, 0.1, 0.1, 0.1
N,8, 0.0, 0.1, 0.1

ET,1,185,,,,                  ! Element Definition
KEYOPT,1,6,1
E,1,2,3,4,5,6,7,8
FINISH
/SOLUTION

NSEL,S,LOC,X                  ! Boundary Conditions
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,Z
D,ALL,UZ
NSEL,ALL

*DIM,AMPL,ARRAY,4             ! Amplitude Vector Definition
AMPL(1)=0.01
AMPL(2)=0.02
AMPL(3)=0.03
AMPL(4)=0.04

*DIM,SOLTIME,ARRAY,161        ! Time Vector Definition
SOLTIME(1)=0.0
*DO,I,2,161,1
  SOLTIME(I)=SOLTIME(I-1)+0.1
*ENDDO

*DIM,BC_X,ARRAY,161           ! Displacement Vector Definition
J=1
*DO,I,1,161,1
  BC_X(I)=AMPL(J)*SIN(SOLTIME(I)/2.0*3.141592654)
  *IF,SOLTIME(I),EQ,(4.0*J),THEN
    J=J+1
  *ENDIF
*ENDDO

NLGEOM,ON                     ! Solution Controls
CNVT,U,1,1.0e-8
CNVT,F,1,1.0e-6
OUTRES,ALL,ALL
TIME,1E-07
DELTIM,1E-07,1E-08,5E-08
/OUT,SCRATCH
SOLVE

*DO,I,2,161,1
  D,2,UX,BC_X(I)
  D,3,UX,BC_X(I)
  D,6,UX,BC_X(I)
  D,7,UX,BC_X(I)
  TIME,SOLTIME(I)
  NSUB,5,10,5
  SOLVE
*ENDDO

TIME,20.0
SOLVE
/OUT

FINISH
/POST26
ESOL,2,1,7,S,X
ESOL,3,1,7,EPEL,X
NSOL,4,7,U,X
PRVAR,2,3,4
PLVAR,2
PLVAR,3
PLVAR,4
*get,Sig16,vari,2,rtime,16
*get,Sig20,vari,2,rtime,20
*DIM,LABEL,CHAR,2
*DIM,VALUE,,2,3
LABEL(1) = 'Sig16,Pa','Sig20,Pa'
*VFILL,VALUE(1,1),DATA,601300.0,0.0
*VFILL,VALUE(1,2),DATA,ABS(Sig16),ABS(Sig20)
*VFILL,VALUE(1,3),DATA,ABS(Sig16 / 601300) ,0.0
/OUT,vm234,vrt
/COM
/COM,------------------- VM234 RESULTS COMPARISON -------------------
/COM,
/COM,         |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,'   ',F10.1,'  ',F10.1,'   ',1F5.3)
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vm234,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM233 Input Listing 		Up / Home Next
VM235 Input Listing


VM235 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vm235
/PREP7
/TITLE,VM235, Frequency Response of a Prestressed Beam
/COM "Formulas for Natural Frequency and Mode Shape"
/COM  pg. 144, eqn 8-20,  R.D. Blevins, Van Nostrand Reinhold Co.
/COM  1979
/COM
/COM    Use the EMT in series with a beam.  Apply a voltage to the beam
/COM    to pre-stress the beam.  Compute the prestressed natural frequency.
/COM,   Note:  Calculations assume the gap stiffness is << than the
/COM,   beam stiffness and will not effect the frequency solution.
/COM

L=150                       ! beam length (micrometers)
B=4                         ! beam width
H=2                         ! beam heigth

I=B*H**3/12                 ! beam moment of inertia

E=169e3                     ! modulus  ( micro Newtons/micron**2)
P=10                        ! micron
DENS=2332E-18               ! density (kg/micron**3)
M=DENS*B*H                  ! mass/length (kg/micron)
PER0=8.85E-6                ! free-space permittivity (pF/micron)
PLATEA=100                  ! capacitor plate area (micron**2)

GAPI=1                      ! initial gap (microns)
GAP=GAPI-P*L/E/B/H          ! Approx deflected gap (ignore cap stiffness)  (micrometer)
C3=PER0*PLATEA              ! tranducer real contant
C3P=C3/(GAP**2)             ! derivitive of C3
C3PP=2*C3/(GAP**3)          ! second derivitive of C3
VLT=SQRT(2*P/C3P)           ! Applied voltage to plate
KUU=C3PP*VLT**2/2           ! gap stiffness
KBEAM=E*PLATEA/L            ! beam stiffness (Note: gap stiffness assumed << beam stiffness)
UX2=P*L/B/H/E               ! desired deflection

*DIM,FREQ,,5                ! array parameter for beam frequency
*DIM,PFREQ,,5               ! array parmeter for beam pre-stressed frequency

PI=4*ATAN(1)
!! Calculate Analytical Solution !!
*DO,J,1,5
LAMDA=J*PI
LAMDAP2=LAMDA**2*SQRT((1 + P*L**2/(E*I*LAMDA**2)))
LAMDAP=SQRT(LAMDAP2)
FREQ(J) = LAMDA**2/(2*PI*L**2)*SQRT(E*I/M)
PFREQ(J) = LAMDAP**2/(2*PI*L**2)*SQRT(E*I/M)
*ENDDO

ET,1,3			    ! BEAM3
R,1,B*H,I,H                 ! beam properties
MP,EX,1,E		    ! set EX to E
MP,DENS,1,DENS		    ! set Density to DENS
MP,PRXY,,0.3		    ! set PRXY to 0.3
ET,2,126		    ! TRANS126 for element 2
C3=PER0*PLATEA		    ! Set input Capacitance for transducer
R,2,0,0,1,0,C3		    !
RMORE,C3
N,1,-10			    ! Setup model nodes
N,2,0
N,22,L
FILL
TYPE,2
REAL,2
E,1,2			    ! Create Transducer
TYPE,1
REAL,1
E,2,3			    ! Create Beam
*REPEAT,20,1,1
NSEL,S,LOC,X,-10
NSEL,A,LOC,X,L
D,ALL,UX,0,,,,UY
NSEL,S,LOC,X,0
D,ALL,UY,0
D,ALL,VOLT,VLT
IC,ALL,VOLT,VLT
NSEL,S,LOC,X,-10
D,ALL,VOLT,0
NSEL,ALL
EPLOT			    ! Plot Elements
FINISH

/SOLUTION
ANTYP,STATIC
PSTRES,ON		    ! Prestressed Modal Analysis
SOLVE
FINISH
/POST1
FINISH

/SOLUTION
ANTYP,MODAL
MODOPT,UNSYM,3   	    ! extract 3 modes
MXPAND
PSTRES,ON
SOLVE
FINISH
/POST1
/nopr			    ! Setup Results Table data
SET,1,1
PLDISP,1		    ! Plot Mode Shape
*GET,FP1,ACTIVE,,SET,FREQ
SET,1,2
PLDISP,1		    ! Plot Mode Shape
*GET,FP2,ACTIVE,,SET,FREQ
SET,1,3
PLDISP,1		    ! Plot Mode Shape
*GET,FP3,ACTIVE,,SET,FREQ
FINISH

PFREQ1=PFREQ(1)
PFREQ2=PFREQ(2)
PFREQ3=PFREQ(3)

*DIM,LABEL,CHAR,3
*DIM,VALUE,,3,3
LABEL(1) = 'Freq 1' , 'Freq 2' , 'Freq 3'
*VFILL,VALUE(1,1),DATA,PFREQ1,PFREQ2,PFREQ3
*VFILL,VALUE(1,2),DATA,ABS(FP1),ABS(FP2),ABS(FP3)
*VFILL,VALUE(1,3),DATA,ABS(PFREQ1/FP1),ABS(PFREQ2/FP2),ABS(PFREQ3/FP3)
/OUT,vm235,vrt
/COM
/COM,------------------- VM235 RESULTS COMPARISON ---------------------
/COM,
/COM,         |    TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,'   ',F11.3,'  ',F11.3,'   ',1F5.3)
/COM,----------------------------------------------------------------
/OUT
/gopr
FINISH
*LIST,vm235,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM234 Input Listing 		Up / Home Next
VM236 Input Listing


VM236 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM236
/TITLE,VM236,HYSTERESIS LOOP VERIFICATION OF A CLAMPED BEAM
/COM, ------------------------------------------------------
/COM,          2D BEAM UNDER ELECTROSTATIC LOAD
/COM,          --------------------------------
/COM,   COMPARE WITH 3D MODEL FROM THE PAPER:
/COM,   J.R.GILBERT, G.K.ANANTHASURESH, S.D.SENTURIA, (MIT)
/COM,   "3D MODELLING OF CONTACT PROBLEMS AND HYSTERESIS IN
/COM,    COUPLED ELECTRO-MECHANICS", MEMS'96, PP. 127-132.
/COM,
/COM,                       3d MODEL:
/COM,   BEAM IS CLAMPED AT EITHER END, SUSPENDED 0.7UM OVER
/COM,   A GROUND PLANE WITH CONTACT STOP AT 0.1UM ABOVE THE
/COM,   GROUND PLANE.   BEAM DIMENSIONS AND MATERIAL PROPERTIES:
/COM,   LENGTH BL=80UM, WIDTH WB=10UM, HEIGHT BH=.5UM, E=169GPA, MU=0.25
/COM,   INITIAL GAP: GAP=0.7UM , FINISHING GAP GFI=0.1UM
/COM,   MAXIMUM DISPLACEMENT IS 0.6UM (GAP-GFI)
/COM,
/COM,	VALUE OF THE PULL-IN VOLTAGE: 18v
/COM,	BOTH PULL-IN AND RELEASE BEHAVIORS ARE MODELED (HYSTERESIS LOOP).

!-------------- Control parameters ----------------------
*DIM,UU,ARRAY,5			! RESULTS ARRAY

VLTG1 = 11.0			! BIAS VOLTAGE 1
VLTG2 = 14.5			! BIAS VOLTAGE 2
VLTG  = 18.0   			! PULL-IN VOLTAGE

ESIZE=0.5     			! ELEMENT MESH SIZE

!---------------- Geometry parameters ---------------

BL=40				! BEAM LENGTH
BH=.5				! BEAM HEIGHT
GAP=.7				! MAXIMUM GAP
GAP0=.6				! AIR GAP
EPS0=8.854E-6

!---------------------- Model ---------------

/PREP7

EMUNIT,EPZRO,EPS0

ET,1,42,,,2
ET,2,109,1,       		! WEIGHTED TRANSDUCER
ET,3,12,,,,1

MP,EX,1,169E3
MP,NUXY,1,0.25
MP,PERX,2,1
MP,MU,3,0

R,1,C0,EPS0
R,2,,1690

RECT,,BL,GAP,GAP+BH
RECT,,BL,,GAP+BH
AOVLAP,ALL
NUMMRG,KP

ASEL,S,LOC,Y,GAP+BH/2
AATT,1,,1
ASEL,INVERT
AATT,2,1,2
CM,AREA1,AREA

ALLS
ESIZE,ESIZE

ASEL,S,MAT,,1
MSHAPE,0,2
MSHKEY,2
AMESH,ALL

ASEL,S,MAT,,2
MSHAPE,1,2
MSHKEY,1
AMESH,ALL

TYPE,3				! GAP ELEMENT MESH
MAT,3
REAL,2
*GET,NOMAX,NODE,0,NUM,MAX
KN=BL/ESIZE
K8=NOMAX+1
XL=0
*DO,I8,1,KN+1
 N52=K8
 N53=N52+1
 N,N52,XL,GAP
 N,N53,XL,GAP-GAP0
 E,N53,N52
 K8=K8+2
 XL=XL+ESIZE
*ENDDO
NUMMRG,NODE
ALLS

!--------------- BOUNDARY CONDITIONS -----------------

ESEL,S,TYPE,,2
NSLE,S
NSEL,R,LOC,Y,GAP
CM,BNODE,NODE

NSLE,S
NSEL,R,LOC,Y,0
D,ALL,VOLT,0			! GROUND

ALLS
NSEL,S,LOC,X,0     		!  FIX LEFT END
NSEL,A,LOC,Y,0     		!  FIX BOTTOM
D,ALL,UX,0
D,ALL,UY,0

ALLS
NSEL,S,LOC,X,BL    		!  SYMMETRY LINE
D,ALL,UX,0

ESEL,S,TYPE,,3
NSLE,S
NSEL,R,LOC,Y,GAP-GAP0   	! FIX GAP ELEMENTS
D,ALL,ALL

ALLSEL,ALL
FINI
SAVE

!/PNUM,TYPE,1
/AUTO,1
EPLOT

!------------------ Loading (below pull-in) ---------------------

/SOLU

EQSLV,SPARSE
CNVTOL,F,1,1.0E-4
AUTOTS,ON
NSUBST,1
OUTRES,ALL,ALL
NEQIT,50
NLGEOM,ON

CMSEL,S,BNODE			! BIAS 1
D,ALL,VOLT,VLTG1
ALLS

SOLVE

CMSEL,S,BNODE			! BIAS 2
D,ALL,VOLT,VLTG2
ALLS

SOLVE
FINI

!---------------------------- POSTPROCESSING ------------------
/POST26
ALLS
NSEL,S,,,2
NSOL,2,2,U,Y,UY  		! Displacement at the tip
NSOL,3,2,VOLT,,VOLT		! Voltage at the tip
PRVAR,VOLT,UY
*GET,UU(1),VARI,2,RTIME,1
*GET,UU(2),VARI,2,RTIME,2
ALLS
FINI

!------------------- Pull-in  --------------------------------------
!--- 2-Step Solution: 	- moving beam to close-to-pull-in position
!---			- applying pull-in voltage and releasing BC
!-------------------------------------------------------------------

!-------- Step 1 (displacement) ------------

/SOLU
ANTYPE
ICDELE
IC,ALL,ALL,0.0
CMSEL,S,BNODE
DDELE,ALL,VOLT
ALLSEL,ALL

NSEL,S,LOC,X,BL			! DISPLACEMENT bc
NSEL,R,LOC,Y,GAP
D,ALL,UY,-0.65
ALLSEL,ALL

NSUBST,2
SOLVE
FINI
SAVE

/POST1
SET,LIST

ALLS
*GET,NNODE,NODE,,NUM,MAX
*DIM,ICUX,,NNODE
*DIM,ICUY,,NNODE

SET,LAST
*DO,I,1,NNODE
ICUX(I)=UX(I)
ICUY(I)=UY(I)
*ENDDO
FINI

!-------- Step 2 (voltage) ------------
/SOLU

ALLS
DDELE,ALL			! DELETE OLD bc

ESEL,S,TYPE,,2
NSLE,S
NSEL,R,LOC,Y,0
D,ALL,VOLT,0

ALLS
NSEL,S,LOC,X,0     		!  FIX ONE END
NSEL,A,LOC,Y,0     		!  FIX BOTTOM
D,ALL,UX,0
D,ALL,UY,0

ALLS
NSEL,S,LOC,X,BL    		!  SYMMETRY LINE
D,ALL,UX,0

ESEL,S,TYPE,,3
NSLE,S
NSEL,R,LOC,Y,GAP-GAP0   	! FIX GAP ELEMENTS
D,ALL,ALL

ALLSEL,ALL

CMSEL,S,BNODE			! APPLY PULL-IN VOLTAGE
IC,ALL,VOLT,VLTG
D,ALL,VOLT,VLTG
ALLS

*DO,I,1,NNODE			! NEW INITIAL CONDIITONS
 ICUQX=ICUX(I)
 ICUQY=ICUY(I)
 IC,I,UX,ICUQX
 IC,I,UY,ICUQY
*ENDDO

OUTRES,ALL,ALL
AUTOTS,ON
NSUBST,1

SOLVE

!------------------- UNLOADING (from 18V to 11V) -------------

CMSEL,S,BNODE
D,ALL,VOLT,VLTG2		! APPLY 14.5v
ALLSEL,ALL
SOLVE

CMSEL,S,BNODE
D,ALL,VOLT,VLTG1		! APPLY 11.0v
ALLSEL,ALL
SOLVE

FINI

!---------------------------- Postprocessing ------------------
/POST26
ALLS
NSEL,S,,,2
NSOL,2,2,U,Y,uy  		! DISPLACEMENT AT THE TIP
NSOL,3,2,VOLT,,volt		! VOLTAGE AT THE TIP
PRVAR,2,3
*GET,UU(3),VARI,2,RTIME,1
*GET,UU(4),VARI,2,RTIME,2
*GET,UU(5),VARI,2,RTIME,3

*DIM,LABEL,CHAR,5
*DIM,VALUE,,5,3
LABEL(1) = '@ 11V','@ 14.5V','@ 18V','@ 14.5V','@ 11V'
*VFILL,VALUE(1,1),DATA,-0.0722,-0.1451,-0.6004,-0.6002,-0.0723
*VFILL,VALUE(1,2),DATA,UU(1),UU(2),UU(3),UU(4),UU(5)
V1 = UU(1)/(-0.0722)
V2 = UU(2)/(-0.1451)
V3 = UU(3)/(-0.6004)
V4 = UU(4)/(-0.6002)
V5 = UU(5)/(-0.0723)
*VFILL,VALUE(1,3),DATA,ABS(V1),ABS(V2),ABS(V3),ABS(V4),ABS(V5)
/OUT,vm236,vrt
/COM
/COM,------------------- VM236 RESULTS COMPARISON ---------------------
/COM,
/COM,           |   TARGET   |    ANSYS    |   RATIO
/COM,
/COM, UY ...
/COM
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,'   ',F12.4,'  ',F12.4,'   ',1F5.3)
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vm236,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM235 Input Listing 		Up / Home Next
VM237 Input Listing


VM237 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM237
/TITLE,VM237, PIEZOELECTRIC-CIRCUIT ANALYSIS
/COM,  ---------------------------------------------------------------
/COM,     FINITE ELEMENT MODEL OF A PIEZOELECTRIC CIRCULAR PLATE
/COM,  ---------------------------------------------------------------
A=1E-3                        ! RADIUS, M
T=0.1E-3                      ! THICKNESS, M
/COM,
/COM,  MATERIAL PROPERTIES OF LEAD ZIRCONATE TITANATE (PZT-5A)
/COM,
/COM,  -- MATERIAL MATRICES (POLAR AXIS ALONG Y-AXIS): IEEE INPUT
/COM,
/COM,   [s11 s13 s12  0  0  0 ]        [ 0 d31  0 ]      [ep11  0    0  ]
/COM,   [s13 s33 s13  0  0  0 ]        [ 0 d33  0 ]      [  0  ep33  0  ]
/COM,   [s12 s13 s11  0  0  0 ]        [ 0 d31  0 ]      [  0   0   ep11]
/COM,   [ 0   0   0  s44 0  0 ]        [ 0  0  d15]
/COM,   [ 0   0   0   0 s66 0 ]        [ 0  0   0 ]
/COM,   [ 0   0   0   0  0 s44]        [d15 0   0 ]
/COM,
/COM,   - COMPLIANCE COEFFICIENTS, M2/N
S11=16.4E-12
S12=-5.74E-12
S13=-7.22E-12
S33=18.8E-12
S44=47.5E-12
S66=44.3E-12
/COM,  - PIEZOELECTRIC STRAIN COEFFICIENTS, C/N
D15=5.84E-10
D31=-1.71E-10
D33=3.74E-10
/COM,  - RELATIVE PERMITTIVITY AT CONSTANT STRESS
EP11=1730
EP33=1700
/COM,  - DENSITY, KG/M3
RHO=7750
/NOPR

/PREP7
/COM,
/COM,  -- MATERIAL MATRICES (POLAR AXIS ALONG Y-AXIS): ANSYS INPUT
/COM,
/COM,   [s11 s13 s12  0  0  0 ]        [ 0 d31  0 ]      [ep11  0    0  ]
/COM,   [s13 s33 s13  0  0  0 ]        [ 0 d33  0 ]      [  0  ep33  0  ]
/COM,   [s12 s13 s11  0  0  0 ]        [ 0 d31  0 ]      [  0   0   ep11]
/COM,   [ 0   0   0  s44 0  0 ]        [d15 0   0 ]
/COM,   [ 0   0   0   0 s44 0 ]        [ 0  0  d15]
/COM,   [ 0   0   0   0  0 s66]        [ 0  0   0 ]

TB,ANEL,1,,,1                 ! ANISOTROPIC ELASTIC COMPLIANCE MATRIX
TBDA,1,S11,S13,S12
TBDA,7,S33,S13
TBDA,12,S11
TBDA,16,S44

TB,PIEZ,1,,,1                 ! PIEZOELECTRIC STRAIN MATRIX
TBDA,2,D31
TBDA,5,D33
TBDA,8,D31
TBDA,10,D15

TB,DPER,1,,,1                 ! DIELECTRIC PERMITTIVITY AT CONSTANT STRESS
TBDA,1,EP11,EP33

TBLIS,ALL                     ! LIST INPUT AND CONVERTED MATRICES

MP,DENS,1,RHO                 ! DENSITY

ET,1,PLANE223,1001,,1         ! PIEZOELECTRIC AXISYMMETRIC ELEMENT TYPE
RECT,,A,,T
ESIZE,T                       ! MESH SOLID MODEL
NUMSTR,NODE,10
AMESH,1
                              ! APPLY STRUCTURAL BC, SIMPLY SUPPORTED PLATE
NSEL,S,LOC,X
D,ALL,UX,0
NSEL,S,LOC,X,A
NSEL,R,LOC,Y,0
D,ALL,UY,0
NSEL,ALL
                              ! APPLY ELECTRIC BC
NSEL,S,LOC,Y,0
CP,1,VOLT,ALL                 ! COUPLE BOTTOM ELECTRODE
*GET,NBOT,NODE,0,NUM,MIN      ! GET MASTER NODE ON BOTTOM ELECTRODE
NSEL,S,LOC,Y,T
CP,2,VOLT,ALL                 ! COUPLE TOP ELECTRODE
*GET,NTOP,NODE,0,NUM,MIN      ! GET MASTER NODE ON TOP ELECTRODE
NSEL,ALL
D,NBOT,VOLT,0                 ! GROUND BOTTOM ELECTRODE
D,NTOP,VOLT,1                 ! APPLY 1V LOAD ON TOP ELECTRODE

FINI
/SOLU
ANTYPE,STATIC                 ! STATIC ANALYSIS
SOLVE
FINI

/POST1
*GET,QT,NODE,NTOP,RF,CHRG     ! GET TOTAL CHARGE ON TOP ELECTRODE
CP=ABS(QT)                    ! CAPACITANCE CP=Q/V, WHERE V=1V
EPZ0=8.854E-12                ! FREE SPACE PERMITTIVITY
PI=3.1415                     ! PI CONSTANT
C=EP33*EPZ0*PI*A**2/T         ! ANALYTICAL CAPACITANCE
/COM,    2-D CAPACITANCE (ANALYTICAL) =%C%, F
/COM,    2-D CAPACITANCE (ANSYS) = %CP%, F
FINI

/COM,  ---------------------------------------------------------------
/COM,    FINITE ELEMENT MODEL OF RLC-CIRCUIT
/COM,  ---------------------------------------------------------------
/PREP7
DDELE,NTOP,VOLT               ! DELETE VOLTAGE LOAD ON TOP ELECTRODE
ET,2,CIRCU94,0                ! DEFINE A RESISTOR
R=3000                        ! RESISTANCE, OHM
R,1,R
N,1
TYPE,2
REAL,1
E,1,NTOP

ET,3,CIRCU94,1                ! DEFINE AN INDUCTOR
L=15                          ! INDUCTANCE, H
R,2,L
N,2
TYPE,3
REAL,2
E,2,1

ET,4,CIRCU94,4                ! DEFINE A VOLTAGE SOURCE
V=1                           ! VOLTAGE LOAD, V
R,3,V
N,3
TYPE,4
REAL,3
E,2,NBOT,3
FINI

/SOLU
ANTYPE,TRANS                  ! TRANSIENT ANALYSIS
NSUB,100                      ! NUMBER OF TIME STEPS
TIME,2E-3                     ! ANALYSIS TIME, S
TINTP,,0.25,0.5,0.5           ! INTEGRATION PARAMETERS FOR A PIEZOELECTRIC ANALYSIS
OUTRES,ALL,ALL
SOLVE
FINI

/GOPR
/COM, ANALYTICAL SOLUTION:
/COM,   V_C = 1-EXP(-D*T)*COS(B*T)-D/B*EXP(-D*T)*SIN(B*T)
/COM,   WHERE:
D=R/(2*L)
B=SQRT(1/(L*C)-D**2)
/NOPR

/POST26
NUMVAR,20
NSOL,2,NTOP,VOLT,,V_C_ANSYS

! DERIVE EXACT SOLUTION
*DIM,WORK1,ARRAY,100
*DIM,WORK2,ARRAY,100
FILLDATA,3,,,,1               ! 1
EXP,4,1,,,,,,-D,-1            ! -EXP(-D*T)
PROD,5,1,,,,,,B               ! B*T
VGET,WORK1(1),5
*VFUN,WORK2(1),COS,WORK1(1)
VPUT,WORK2(1),6               ! COS(B*T)
*VFUN,WORK2(1),SIN,WORK1(1)
VPUT,WORK2(1),7               ! SIN(B*T)
ADD,8,6,7,,,,,,D/B            ! COS(B*T) + D/B*SIN(B*T)
PROD,9,4,8                    ! -EXP(-D*T)*[COS(B*T) + D/B*SIN(B*T)]
ADD,10,3,9,,V_C_EXACT         ! 1-EXP(-D*T)*[COS(B*T) + D/B*SIN(B*T)]

! PRINT AND PLOT ANSYS AND EXACT VOLTAGE ACROSS THE PZT CAPACITOR
PRVAR,2,10
PLVAR,2,10

/NOPR
*DIM,VCE,ARRAY,5		! EXACT SOLUTION FOR RESULTS TABLE
*DIM,VCA,ARRAY,5		! ANSYS SOLUTION FOR RESULTS TABLE

*GET,VCE(1),VARI,10,RTIME,0.18E-3
*GET,VCE(2),VARI,10,RTIME,0.40E-3
*GET,VCE(3),VARI,10,RTIME,0.88E-3
*GET,VCE(4),VARI,10,RTIME,0.13E-2
*GET,VCE(5),VARI,10,RTIME,0.186E-2

*GET,VCA(1),VARI,2,RTIME,0.18E-3
*GET,VCA(2),VARI,2,RTIME,0.40E-3
*GET,VCA(3),VARI,2,RTIME,0.88E-3
*GET,VCA(4),VARI,2,RTIME,0.13E-2
*GET,VCA(5),VARI,2,RTIME,0.186E-2

*DIM,LABEL,CHAR,5
*DIM,VALUE,,5,3
LABEL(1) = '1.8E-2s','4.0E-2s','8.8E-2s','1.3E-1s','1.86E-1s'
*VFILL,VALUE(1,1),DATA,VCE(1),VCE(2),VCE(3),VCE(4),VCE(5)
*VFILL,VALUE(1,2),DATA,VCA(1),VCA(2),VCA(3),VCA(4),VCA(5)
V1 = VCA(1)/VCE(1)
V2 = VCA(2)/VCE(2)
V3 = VCA(3)/VCE(3)
V4 = VCA(4)/VCE(4)
V5 = VCA(5)/VCE(5)
*VFILL,VALUE(1,3),DATA,ABS(V1),ABS(V2),ABS(V3),ABS(V4),ABS(V5)
/OUT,vm237,vrt
/COM
/COM,------------------- VM237 RESULTS COMPARISON ---------------------
/COM,
/COM,               |  TARGET  |   ANSYS   |   RATIO
/COM,
/COM, VC for t @ ...
/COM
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,'   ',F12.4,'  ',F12.4,'   ',1F5.3)
/COM,----------------------------------------------------------------
/OUT
FINI
*LIST,vm237,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM236 Input Listing 		Up / Home Next
VM238 Input Listing


VM238 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM238
/TITLE,VM238,Wheatstone bridge connection of piezoresistors, uMKSV system of units
/COM,
/COM,  Geometric parameters:
/COM,
L=180                         ! length of the beam, um
W=120                         ! width of the beam, um
a=100                         ! length of piezoresistors, um
b=20                          ! width of piezoresistors, um
d=10                          ! distance from the edge, um
/COM,
/COM,  Material properties (Si):
/COM,
/COM,  Young modulus, MPa
E=165e3
/COM,  Poisson ratio
nu=0.25
/COM,
/COM,  Resistivity (p-type Si), TOhm*um
rho= 7.8e-8
/COM,
/COM,  Piezoresistive coefficients (p-type Si), (MPa)^1
/COM,   [p11 p12 p12  0 ]
/COM,   [p12 p11 p12  0 ]
/COM,   [p12 p12 p11  0 ]
/COM,   [ 0   0   0  p44]
/COM,
p11=6.5E-5
p12=-1.1E-5
p44=138.1E-5
/COM,
/COM,  Pressure load, MPa
p=1
/com,  Supply voltage, Volt
Vs=5
/NOPR

/PREP7
ET,1,PLANE223,101            ! piezoresistive element type
ET,2,PLANE82                 ! structural element type

                             ! Specify material orientation:
LOCAL,11
LOCAL,12,,,,,45              ! X-axis along <110> direction

MP,EX,1,E                    ! elastic properties
MP,NUXY,1,nu

MP,RSVX,1,rho                ! resistivity

TB,PZRS,1                    ! piezoresistive stress matrix
TBDATA,1,p11,p12,p12
TBDATA,7,p12,p11,p12
TBDATA,13,p12,p12,p11
TBDATA,22,p44

CSYS,11
RECT,-L/2,L/2,-W/2,W/2       ! define beam

RECT,-(L/2-d),-(L/2-d-b),-a/2,a/2   ! Resistor 1
RECT,-a/2,a/2,W/2-d-b,W/2-d         ! Resistor 2
RECT,-a/2,a/2,-(W/2-d),-(W/2-d-b)   ! Resistor 3
RECT,L/2-d-b,L/2-d,-a/2,a/2         ! Resistor 4

AOVLAP,ALL                   ! mesh areas
ESYS,12
TYPE,1
ESIZE,b/3
AMESH,2,5                    ! mesh resistor areas
TYPE,2
MSHAP,1,2-D
ESIZE,b/2
AMESH,6                      ! mesh rest of the beam

                             ! Apply electrical BC:
LSEL,S,LINE,,5               ! define supply voltage contact
LSEL,A,LINE,,16
NSLL,S,1
CP,1,VOLT,ALL
*GET,ns,NODE,0,NUM,MIN
D,NS,VOLT,Vs

LSEL,S,LINE,,10              ! define ground contact
LSEL,A,LINE,,19
NSLL,S,1
CP,2,VOLT,ALL
*GET,ng,NODE,0,NUM,MIN
D,NG,VOLT,0

LSEL,S,LINE,,7               ! define first output contact
LSEL,A,LINE,,12
NSLL,S,1
CP,3,VOLT,ALL
*GET,no1,NODE,0,NUM,MIN

LSEL,S,LINE,,14              ! define second output contact
LSEL,A,LINE,,17
NSLL,S,1
CP,4,VOLT,ALL
*GET,no2,NODE,0,NUM,MIN
NSEL,ALL
LSEL,ALL
                             ! Apply structural BC
NSEL,S,LOC,X,-L/2
D,ALL,UX,0
NSEL,R,LOC,Y,-W/2
D,ALL,UY,0
NSEL,S,LOC,X,L/2
SF,ALL,PRES,-p               ! pressure load
NSEL,ALL

/PBC,u,,1
/PBC,volt,,1
/PBC,cp,,1
/PNUM,TYPE,1
/NUMBER,1
EPLOT
FINI

/SOLU                        ! Solution
ANTYPE,STATIC
CNVTOL,AMPS,1,1.E-3
SOLVE
FINI

/POST1

!!! Calculate Results

Sx=p
VOC=p44/(2+(p11+p12)*Sx)*Sx*Vs*1.e3   ! Calculate Actual Result
VOA=abs(volt(no1)-volt(no2))*1.e3     ! Calculate ANSYS Result

*DIM,LABEL,CHAR,1
*DIM,VALUE,,1,3
LABEL(1) = 'VO (mV)'
*VFILL,VALUE(1,1),DATA,VOC
*VFILL,VALUE(1,2),DATA,VOA
*VFILL,VALUE(1,3),DATA,ABS(VOA/VOC)
/OUT,vm238,vrt
/COM
/COM,------------------- VM238 RESULTS COMPARISON ---------------------
/COM,
/COM,           |  TARGET  |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,'       ',F7.4,'  ',F7.4,'     ',1F5.3)
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vm238,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM237 Input Listing 		Up / Home Next
VM239 Input Listing


VM239 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM239
/PREP7
/TITLE, VM239, MECHANICS OF THE REVOLUTE AND UNIVERSAL JOINTS
/COM    J.E. SHIGLEY AND J.J. UICKER, "THEORY OF MACHINES AND
/COM    MECHANISMS" 2ND EDITION, P. 115, 1995.
C*** ADD UNIVERSAL JOINT MECHANISM TO THE ABOVE PROBLEM.
C*** PERFORM ANALYSIS USING ALL FLEXIBLE BODIES
PI=4*ATAN(1.0)
MULT  = 12
PI15  = PI/MULT
ANG   = PI15*3
R = .5                               ! LENGTH OF ROTATING ARM
L = 1.5                              ! LENGTH OF CRANK
ZDIST = L*SIN(ACOS(R/L))
C*** DEFINING ELEMENTS AND MATERIAL PROPERTIES
ET,1,BEAM188                         ! BEAM ELEMENTS
ET,2,MPC184,7                        ! UNIVERSAL JOINT
ET,3,MPC184,6                        ! REVOLUTE JOINT
ET,4,MPC184,3                        ! SLIDER
MP,EX,1,30E6
MP,PRXY,1,0.33
MP,DENS,1,10.0
TYPE,1
MAT, 1
SECTYPE, 1, BEAM, CSOLID
SECDATA, .05
C*** CREATING NODES AND LINK ELEMENTS
N,1, 0,0,0
N,2, 1,0,0
N,3, 1,0,0
N,4, 1+COS(ANG), SIN(ANG), 0.0
N,5, 1+COS(ANG), SIN(ANG), 0.0
N,6, 2+COS(ANG),SIN(ANG),0
N,8, 2+COS(ANG),.5+SIN(ANG),0
N,9, 2+COS(ANG),.5+SIN(ANG),0
N,10, 2+COS(ANG),SIN(ANG),ZDIST
N,11, 2+COS(ANG),SIN(ANG),.75
N,12, 2+COS(ANG),SIN(ANG),2.25
N,13, 2+COS(ANG),SIN(ANG),2.26
N,14, 2+COS(ANG),SIN(ANG),.74
TYPE,1
MAT, 1
SECNUM, 1
EN,1, 1,2
EN,2, 3,4
EN,3, 5,6
EN,4, 6,8
EN,5, 9,10
EN,6, 11,12
EN,11, 12,13
EN,12, 11,14
LOCAL,11,0, 0,0,0,-90.0         ! DEFINING LOCAL CSYS FOR UNIV. JOINTS
LOCAL,12,0, 0,0,0,-45.0
LOCAL,14,0, 0,0,0, 0,           ! DEFINING LOCAL CSYS FOR REVO. JOINTS
LOCAL,15,0, 0,0,0, 0,
CSLIST
C*** CREATING UNIVERSAL CONNECTIVITY ELEMENTS
SECTYPE,2,JOIN,UNIV,TESTING02      ! DEFINING UNIVERSAL JOINT
SECJOINT,1,11,12
TYPE,2
SECNUM,2
EN,7, 2,3
SECTYPE,3,JOIN,UNIV,TESTING03      ! DEFINING UNIVERSAL JOINT
SECJOINT,1,11,12
TYPE,2
SECNUM,3
EN,8, 5,4
C*** CREATING REVOLUTE CONNECTIVITY ELEMENTS
SECTYPE,4,JOIN,REVO,TESTING04      ! DEFINING REVOLUTE JOINT
SECJOINT,,14,15
TYPE,3
SECNUM,4
EN,9, 8,9
C*** CREATING SLIDER CONNECTIVITY ELEMENTS
TYPE,4
EN,10, 10,11,12
CSYS, 12
NROTAT, 4
CSYS,0
/SOLU                              ! SOLUTION
CSYS,0
ANTYPE, STAT
NLGEOM, ON                         ! LARGE DEFLECTION OPTION
TIME, 1.0
NSUBST, 32, 32, 32
D,1,UX,0,,,,UY,UZ,,ROTY,ROTZ
D,6,UX,0,,,,UY,UZ,,ROTY,ROTZ
NSEL,S,NODE,,13,14,1
D,ALL,ALL
ALLSEL,ALL
D,1,ROTX,2*PI
OUTRES, ALL, ALL
C*** NOTE: THE FORCES IN THIS PROBLEM ARE REALLY ZERO SINCE
C*** THIS IS EFFECTIVELY A RIGID BODY ROTATION
CNVTOL,F,1.0
CNVTOL,M,1.0
SOLVE
FINISH
/OUT
/POST26
NUMVAR,200                          ! TIME-HISTORY POSTPROCESSOR
NSOL,2,1,ROT,X,ROTX_1
NSOL,3,4,ROT,Y,ROTX_4
NSOL,4,6,ROT,X,ROTX_6
STORE,MERGE
PROD, 5, 2, , , , , , 1.0*180/PI
PROD, 6, 3, , , , , , 1.0*180/PI
PROD, 7, 4, , , , , , 1.0*180/PI
/AXLAB, X, Twist Angle of Driving Shaft
/AXLAB, Y, Twist Angle of Driven Shaft
/XRANGE, 0.0, 360
/YRANGE, 0.0, 360
/GROPT, DIVX, 8
/GROPT, DIVY, 8
XVAR,5
PLVAR,6
PLVAR,7
FINISH
/POST1                             ! GENERAL POSTPROCESSOR
SET,,4
NSEL,S,NODE,,10
*GET,X1,NODE,10,U,Z
ALLSEL,ALL
SET,,8
NSEL,S,NODE,,10
*GET,X2,NODE,10,U,Z
ALLSEL,ALL
SET,,12
NSEL,S,NODE,,10
*GET,X3,NODE,10,U,Z
ALLSEL,ALL
SET,,16
NSEL,S,NODE,,10
*GET,X4,NODE,10,U,Z
ALLSEL,ALL
*DIM,LABEL,CHAR,3
*DIM,VALUE,,3,4
LABEL(1) = 'PI/4','PI/2','3*PI/4'
*VFILL,VALUE(1,1),DATA,0.39708,0.58579,0.39708
*VFILL,VALUE(1,2),DATA,ABS(X1),ABS(X2),ABS(X3)
*VFILL,VALUE(1,3),DATA,ABS(X1/0.39708),ABS(X2/0.58579),ABS(X3/0.39708)
SAVE,TABLE_1
FINISH
/CLEAR,NOSTART
/TITLE, VM239, MECHANICS OF THE REVOLUTE AND UNIVERSAL JOINTS
C*** PERFORM ANALYSIS USING ALL RIGID BODIES
/PREP7
PI=4*ATAN(1.0)
MULT  = 12
PI15  = PI/MULT
ANG   = PI15*3
R = .5                               ! LENGTH OF ROTATING ARM
L = 1.5                              ! LENGTH OF CRANK
ZDIST = L*SIN(ACOS(R/L))
C*** DEFINING ELEMENTS, KEY OPTIONS AND MATERIAL PROPERTIES
ET,1,BEAM188                         ! BEAM ELEMENTS
ET,2,MPC184,7                        ! UNIVERSAL JOINT
ET,3,MPC184,6                        ! REVOLUTE JOINT
ET,4,MPC184,3                        ! SLIDER
ET,11,CONTA176                       ! CONTACT ELEMENT
ET,12,TARGE170                       ! TARGET ELEMENT
KEYOPT,11,2,2                        ! MPC CONTACT ALGORITHM
KEYOPT,11,12,5                       ! BONDED ALWAYS TYPE CONTACT
KEYOPT,12,2,1                        ! BC SPECIFIED BY USER
MP,EX,1,30E6
MP,PRXY,1,0.33
MP,DENS,1,10.0
TYPE,1
MAT, 1
SECTYPE, 1, BEAM, CSOLID
SECDATA, .05
C*** CREATING NODES AND LINK ELEMENTS
N,1, 0,0,0
N,2, 1,0,0
N,3, 1,0,0
N,4, 1+COS(ANG), SIN(ANG), 0.0
N,5, 1+COS(ANG), SIN(ANG), 0.0
N,6, 2+COS(ANG),SIN(ANG),0
N,8, 2+COS(ANG),.5+SIN(ANG),0
N,9, 2+COS(ANG),.5+SIN(ANG),0
N,10, 2+COS(ANG),SIN(ANG),ZDIST
N,11, 2+COS(ANG),SIN(ANG),.75
N,12, 2+COS(ANG),SIN(ANG),2.25
N,13, 2+COS(ANG),SIN(ANG),2.26
!N,14, 2+COS(ANG),SIN(ANG),.74
C*** CREATE NODES FOR DUMMY RIGID ELEMENTS FOR DISPLAY PURPOSE ONLY
N,100,0.5,0,0
N,101,0.5,0.25,0
N,104,1+COS(ANG)/2, SIN(ANG)/2, 0.0
NWPAVE,104
WPRO,45
CSYS,4
N,105, ,0.25
CSYS,0
N,106, 1.5+COS(ANG),SIN(ANG),0
N,107, 1.5+COS(ANG),0.25+SIN(ANG),0
TYPE,1
MAT, 1
SECNUM, 1
C*** THIS BEAM IS MODELED AS FLEXIBLE IN ORDER TO PREVENT OVERCONSTRAINT
C*** CAUSED DUE TO DISPLACEMENT LOADING APPLIED ON THIS ELEMENT NODE
EN,4, 6,8
C*** THIS BEAM IS MODELED AS FLEXIBLE IN ORDER TO PREVENT OVERCONSTRAINT
C*** CAUSED DUE TO DISPLACEMENT LOADING APPLIED ON THIS ELEMENT NODE
EN,11, 12,13
TYPE,11
REAL,11
EN,1, 1,2      ! CONTACT ELEMENT FOR 1ST RIGID BODY
EN,100,100,101 ! DUMMY RIGID ELEMENT FOR DISPLAY PURPOSE ONLY
REAL,12
EN,2, 3,4      ! CONTACT ELEMENT FOR 2ND RIGID BODY
CSYS,4
EN,101,104,105 ! DUMMY RIGID ELEMENT FOR DISPLAY PURPOSE ONLY
CSYS,0
REAL,13
EN,3,5,6       ! CONTACT ELEMENT FOR 3RD RIGID BODY
EN,102,106,107 ! DUMMY RIGID ELEMENT FOR DISPLAY PURPOSE ONLY
REAL,15
EN,5, 9,10     ! CONTACT ELEMENT FOR 4TH RIGID BODY
REAL,16
EN,6, 11,12    ! CONTACT ELEMENT FOR 5TH RIGID BODY
TYPE,12
TSHAP,PILO
REAL,11
EN,13,1       ! PILOT NODE FOR 1ST RIGID BODY
REAL,12
EN,14,3       ! PILOT NODE FOR 2ND RIGID BODY
REAL,13
EN,15,6       ! PILOT NODE FOR 3ND RIGID BODY
REAL,15
EN,16,9       ! PILOT NODE FOR 4TH RIGID BODY
REAL,16
EN,17,11      ! PILOT NODE FOR 5TH RIGID BODY
LOCAL,11,0, 0,0,0,-90.0         ! DEFINING LOCAL CSYS FOR UNIV. JOINTS
LOCAL,12,0, 0,0,0,-45.0
LOCAL,14,0, 0,0,0, 0,           ! DEFINING LOCAL CSYS FOR REVO. JOINTS
LOCAL,15,0, 0,0,0, 0,
C*** CREATING UNIVERSAL CONNECTIVITY ELEMENTS
SECTYPE,2,JOIN,UNIV,TESTING02      ! DEFINING UNIVERSAL JOINT
SECJ,1,11,12
TYPE,2
SECNUM,2
EN,7, 2,3
SECTYPE,3,JOIN,UNIV,TESTING03      ! DEFINING UNIVERSAL JOINT
SECJ,1,11,12
TYPE,2
SECNUM,3
EN,8, 5,4
C*** CREATING REVOLUTE CONNECTIVITY ELEMENTS
SECTYPE,4,JOIN,REVO,TESTING04      ! DEFINING REVOLUTE JOINT
SECJ,,14,15
TYPE,3
SECNUM,4
EN,9, 8,9
C*** CREATING SLIDER CONNECTIVITY ELEMENTS
TYPE,4
EN,10, 10,11,12
CSYS, 12
NROTAT, 4
CSYS,0
/SOLU                              ! SOLUTION
CSYS,0
ANTYPE, STAT
NLGEOM, ON                         ! LARGE DEFLECTION OPTION
TIME, 1.0
NSUBST, 32, 64, 32
D,1,UX,0,,,,UY,UZ,,ROTY,ROTZ
D,6,UX,0,,,,UY,UZ,,ROTY,ROTZ
NSEL,S,NODE,,13
D,ALL,ALL
ALLSEL,ALL
D,1,ROTX,2*PI
OUTRES, ALL, ALL
C*** NOTE: THE FORCES IN THIS PROBLEM ARE REALLY ZERO SINCE
C*** THIS IS EFFECTIVELY A RIGID BODY ROTATION
LNSRCH,OFF
!PRED,OFF
CNVTOL,U
CNVTOL,ROT
SOLVE
FINISH
/OUT
/POST26
NUMVAR,200                          ! TIME-HISTORY POSTPROCESSOR
NSOL,2,1,ROT,X,ROTX_1
NSOL,3,4,ROT,Y,ROTX_4
NSOL,4,6,ROT,X,ROTX_6
STORE,MERGE
PROD, 5, 2, , , , , , 1.0*180/PI
PROD, 6, 3, , , , , , 1.0*180/PI
PROD, 7, 4, , , , , , 1.0*180/PI
/AXLAB, X, Twist Angle of Driving Shaft
/AXLAB, Y, Twist Angle of Driven Shaft
/XRANGE, 0.0, 360
/YRANGE, 0.0, 360
/GROPT, DIVX, 8
/GROPT, DIVY, 8
XVAR,5
PLVAR,6
PLVAR,7
FINISH
/POST1                             ! GENERAL POSTPROCESSOR
SET,,4
NSEL,S,NODE,,10
*GET,X1,NODE,10,U,Z
ALLSEL,ALL
SET,,8
NSEL,S,NODE,,10
*GET,X2,NODE,10,U,Z
ALLSEL,ALL
SET,,12
NSEL,S,NODE,,10
*GET,X3,NODE,10,U,Z
ALLSEL,ALL
SET,,16
NSEL,S,NODE,,10
*GET,X4,NODE,10,U,Z
ALLSEL,ALL
*DIM,LABEL,CHAR,3
*DIM,VALUE,,3,4
LABEL(1) = 'PI/4','PI/2','3*PI/4'
*VFILL,VALUE(1,1),DATA,0.39708,0.58579,0.39708
*VFILL,VALUE(1,2),DATA,ABS(X1),ABS(X2),ABS(X3)
*VFILL,VALUE(1,3),DATA,ABS(X1/0.39708),ABS(X2/0.58579),ABS(X3/0.39708)
SAVE,TABLE_2
FINISH
RESUME,TABLE_1
/COM
/COM,------------------ VM239 RESULTS COMPARISON --------------------
/COM,
/COM,    APPLIED ROTX   |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM, RESULTS FOR ANALYSIS WITH ALL FLEXIBLE BODIES
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A12,'       ',F10.5,'  ',F10.5,'     ',1F5.1)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM, RESULTS FOR ANALYSIS WITH ALL RIGID BODIES
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A12,'       ',F10.5,'  ',F10.5,'     ',1F5.1)
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,VM239,VRT

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM238 Input Listing 		Up / Home Next
VM240 Input Listing


VM240 Input Listing

/VERIFY,VM240
/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/TITLE,VM240,THERMAL EXPANSION OF RIGID BEAMS IN A COMPOSITE BAR
/COM J.M. GERE, S.P. TIMOSHENKO, MECHANICS OF MATERIALS, 2ND EDITION,
/COM PWS PUBLISHERS, 1984, P. 20-21,71
/COM

/GRAPH,POWER
/AUTO
/VIEW,1,1,1,1
/PNUM,TYPE,1
/PNUM,MAT,1
/NUM,1
/ESHAPE,1

/PREP7
ET,1,185                      ! DEFINING SOLID ELEMENTS
MP,EX,1,10.0e6                ! MATERIAL 1 PROPERTIES
MP,NUXY,1,0.3
MP,EX,2,5.0e6                 ! MATERIAL 2 PROPERTIES
MP,NUXY,2,0.3
ET,2,184                      ! DEFINING RIGID BEAM ELEMENTS
KEYOPT,2,1,1
KEYOPT,2,2,1
TREF,0
MPTEMP,1,0,100
MPDATA,ALPX,3,1,0,0.0003      ! SETTING THERMAL COEFFICIENT FOR RIGID BEAMS
MPDATA,ALPY,3,1,0,0.0003
MPDATA,ALPZ,3,1,0,0.0003

BLOCK,0,40,0,4,0,2            ! CREATING GEOMETRY
BLOCK,0,40,0,4,2,4
VGLUE,1,2

TYPE,1
MAT,1
ESIZE,1
VSEL,S,VOLU,,1
VMESH,ALL                     ! MESHING 1ST MATERIAL
ALLSEL,ALL

MAT,2
VSEL,S,VOLU,,3
VMESH,ALL                     ! MESHING 2ND MATERIAL

TYPE,2
MAT,3
E,661,657                     ! GENERATING RIGID BEAM ELEMENTS
E,701,660
E,702,659
E,703,658
E,616,617
E,863,862
E,905,908
E,904,907
E,903,906
E,821,822
E,251,247
E,291,250
E,292,249
E,293,248
E,206,207
E,453,452
E,495,498
E,494,497
E,493,496
E,411,412
E,1,6
E,3,49
E,4,48
E,5,47
E,2,46

/SOLU
ANTYPE,STATIC
NROPT,FULL
SOLCON,ON
NLGEOM,ON
RESCON,DEFINE,NONE
OUTRES,ALL,ALL
AUTOTS,ON
NSUBST,10,1000,10

NSEL,S,LOC,X,0                ! APPLYING BOUNDARY CONDITIONS
D,ALL,ALL
ALLSEL,ALL

BF,ALL,TEMP,100               ! APPLYING TEMPERATURE LOAD
SOLVE                         ! SOLVING
FINISH

/POST1                        ! POSTPROCESSING
NSEL,S,LOC,X,20
NSEL,R,LOC,Y,2
NSEL,R,LOC,Z,1
*GET,STRESS1,NODE,557,S,EQV
ALLSEL,ALL
NSEL,S,LOC,X,20
NSEL,R,LOC,Y,2
NSEL,R,LOC,Z,3
*GET,STRESS2,NODE,967,S,EQV
*DIM,LABEL,CHAR,2
*DIM,VALUE,,2,3
LABEL(1) = 'SEQV1','SEQV2'
*VFILL,VALUE(1,1),DATA,300000,150000
*VFILL,VALUE(1,2),DATA,ABS(STRESS1),ABS(STRESS2)
*VFILL,VALUE(1,3),DATA,ABS(STRESS1 / 300000) ,ABS(STRESS2 / 150000)
/OUT,vm240,vrt
/COM
/COM,------------------- VM240 RESULTS COMPARISON -------------------
/COM,
/COM,              |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A10,'     ',E10.4,'    ',E10.4,'     ',1F5.3)
/OUT
FINISH
*LIST,vm240,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM239 Input Listing 		Up / Home Next
VM241 Input Listing


VM241 Input Listing

/VERIFY,VM241
/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/TITLE,VM241, TEAM20: Static Force Computation of a 3-D Solenoid
/COM
/COM  This test utilizes edge-flux formulation with tet shaped 117 elements
/COM
/COM Reference:
/COM "Analysis of benchmark Problem TEAM 20 with Various Formulations",
/COM   Proceedings of TEAM Wokrshop, COMPUMAG Rio, p.18-20, 1997. also
/COM   IEEE Trans. on MAG, Vol. 34. No. 5. pp.2481-84, 1998.
/COM   IEEE Trans. on MAG, Vol. 35. No. 3. pp.1406-9, May 1999.
/COM   Analysis Solutions, Vol. 1. Issue 2, Winter 1997-98, pp.10-11.
/COM   ANSYS Conference, 1998.
/COM
/PREP7
/NOPR
/OUT,SCRATCH
ET,1,117
!
/COM, ************* SMARTSIZE MESHING PARAMETER ******************
SMT=10
/COM, ************************************************************

MP,MURX,1,1
MP,MURX,4,1

TB,BH,2,,40
TBPT,,355,.7
,,405,.8
,,470,.9
,,555,1.
,,673,1.1
,,836,1.2
,,1065,1.3
,,1220,1.35
,,1420,1.4
,,1720,1.45
,,2130,1.5
,,2670,1.55
,,3480,1.6
,,4500,1.65
,,5950,1.70
,,7650,1.75
,,10100,1.8
,,13000,1.85
,,15900,1.9
,,21100,1.95
,,26300,2.
,,32900,2.05
,,42700,2.1
,,61700,2.15
,,84300,2.2
,,110000,2.25
,,135000,2.3
,,200000,2.41
,,400000,2.69
,,800000,3.22

TBCOPY,BH,2,3

XINF=100.
YINF=100.
ZINF=175.

/COM, **************************************************
TCUR=5000                 ! Input current here (AT)
/COM, **************************************************

N,1,0,0,75/1000               ! path nodes for postprocessing
N,2,63.5/1000,0,75/1000

BLOCK,0,63.5,0,25/2,0,25      ! Pole
BLOCK,38.5,63.5,0,25/2,25,125
BLOCK,13.5,63.5,0,25/2,125,150
VGLUE,ALL

BLOCK,0,12.5,0,5,26.5,125     ! Armature
BLOCK,0,13,0,5.5,26,(125+.5)  ! Air region
VOVLAP,1,2
NUMCMP,VOLU

BLOCK,39/2,75/2,0,14.5,(25+1.7),(125-1.7)
BLOCK,0,14.5,39/2,75/2,(25+1.7),(125-1.7)
LOCAL,11,1,14.5,14.5,25+1.7
LOCAL,12,1,.0145,.0145,.001*(25+1.7)
CSYS,11
WPCSYS,11
CYL4,,,5,0,23,90,(125-1.7)-(25+1.7)
VGLUE,6,8
NUMCMP,VOLU

CSYS,0
WPCSYS,0
CYL4,,,0,0,100,90,175
VOVLAP,ALL
NUMCMP,ALL

VSEL,S,VOLU,,1
VATT,3,1,1		! Armature
VSEL,S,VOLU,,3,5
VATT,2,1,1		! Pole
VSEL,S,VOLU,,6
VATT,4,2,1              ! Coil +y
VSEL,S,VOLU,,7
VATT,4,4,1              ! Coil -x
VSEL,S,VOLU,,8
VATT,4,3,1,12           ! Coil +y theta

ALLSEL,ALL
SMRT,SMT                   ! Meshing parameter
MSHAPE,1,3D
MSHKEY,0
VMESH,ALL

ESEL,S,MAT,,3       ! Armature
CM,ARM,ELEM
FMAGBC,'ARM'
ALLSEL,ALL

P1=NODE(0,0,25.75)
P2=NODE(12.5,5,25.75)

VLSCALE,ALL,,,.001,.001,.001,,0,1     ! Scale to meters

AREA = (18*96.6)*.001**2
CURDEN = TCUR/AREA        ! Current density

LOCAL,14,0,0,0,75/1000
WPCSYS,-1
RACE,.0285,.0285,.014,TCUR,.018,.0966       ! Create coil
CSYS,0

SAVE
FINISH

/SOLU
NSEL,EXT
D,ALL,AZ,0              ! Flux-parallel on boundaries
NSEL,ALL
EQSLV,SPARSE
NSUBS,3
KBC,0
NEQIT,1
OUTRES,ALL,NONE
MAGSOLV
KBC,1
CNVTOL,CSG,,1E-3
NEQIT,ARG5
NSUBS,1
OUTRES,ALL,LAST
MAGSOLV
FINISH

/POST1
/OUT
*MSG,NOTE,TCUR
%/RESULTS FOR CURRENT = %G (MULTIPLY fORCE BY 4 FOR SYMMETRY)
FMAGSUM,'ARM'
FVWZ=_fzsum                     ! Extract Virtual Work Force Z-Direction
FZ = 4*FVWZ                     ! Scale force for symmetry

ESEL,S,MAT,,2,3
NSLE,S
NSEL,A,NODE,,1,2
LPATH,1,2
/COM, Path results for ARM and POLE regions
/COM
PDEF,BZ,B,Z
PRPATH,BZ
*GET,BZPOLE,PATH,0,LAST,BZ      ! Extract BZ at Pole
*GET,BZARM,PATH,0,MAX,BZ        ! Extract BZ at Arm

*DIM,LABEL,CHAR,3
*DIM,VALUE,,3,3
LABEL(1) = 'FVW(Z) '
LABEL(2) = 'POLE(BZ) '
LABEL(3) = 'ARM(BZ) '
VALUE(1,1)=80.1
VALUE(2,1)=0.46
VALUE(3,1)=2.05
VALUE(1,2)=ABS(FZ)
VALUE(2,2)=ABS(bzpole)
VALUE(3,2)=ABS(bzarm)
VALUE(1,3)=ABS(FZ)/80.1
VALUE(2,3)=ABS(bzpole)/0.46
VALUE(3,3)=ABS(bzarm)/2.05
*VLEN,3
/OUT,
/COM
/COM,------------------- VM241 RESULTS COMPARISON ---------------------
/COM,
/COM,          |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,'    ',F7.3,'     ',F7.3,'       ',1F5.3)
/COM,----------------------------------------------------------------
/OUT

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM240 Input Listing 		Up / Home Next
VM242 Input Listing


VM242 Input Listing

/VERIFY,vm242
/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/PREP7
SMRT,OFF
/TITLE, VM242, SX STUDY OF AN ANNULAR PLATE
/com,  &COMPARE,DIFOPTSTRING,NUMBER OF WARNING MESSAGES ENCOUNTERED
/com,  &COMPARE,DIFOPTOPT,,,0

/COM,
N1 = 5
N2 = 10
IR = .05                        ! INNER RADIUS
OR = .10                        ! OUTER RADIUS
THK = 0.002                     ! THICKNESS
EX = 200E9                      ! ELASTIC MODULUS
ET,1,SHELL181
R,1,THK                         ! SPECIFY PLATE THICKNESS
MP,EX,1,EX                      ! SPECIFY MATERIAL PROPERTIES
MP,NUXY,1,.3
CSYS,1                          ! SPECIFY CYLINDRICAL COORDINATES
K,1,IR
K,2,OR                          ! DEFINE KEYPOINTS (FIRST QUADRANT)
K,3,OR,90
K,4,IR,90
L,1,2
L,2,3                           ! DEFINE LINES SEGMENTS
L,3,4
L,4,1
LSEL,S,LINE,,1,3,2
LESIZE,ALL,,,N1
LSEL,INVE
LESIZE,ALL,,,N2
LSEL,ALL
ESHAPE,1
A,1,2,3,4                       ! DEFINE AREA
MSHAPE,0,2D
MSHKEY,1
AMESH,1                         ! MESH AREA
CSYS,0                          ! SPECIFY CARTESIAN COORDINATE SYSTEM
ARSYM,1,1                       ! REFLECT AREA AND MESH ABOUT Y AXIS
ARSYM,2,1,2                     ! REFLECT AREAS AND MESH ABOUT X AXIS
NUMMRG,ALL                      ! MERGE ALL ENTITIES
D,ALL,UX,0,,,,UY,ROTZ           ! FIX ALL IN-PLANE DISP. AND ROTATIONS
CSYS,1                          ! SPECIFY CYLINDRICAL COORDINATE SYSTEM
NSEL,S,LOC,X,OR                 ! SELECT NODES AT OUTER RADIUS
NROTAT,ALL                      ! ROTATE NODES INTO CYLINDRICAL C.S.
D,ALL,ALL,0                     ! FIX ALL DOF IN CSYS,1
FINISH
/SOLU
CSYS,0                          ! SPECIFY CARTESIAN COORDINATE SYSTEMNSEL,ALL
ESEL,ALL
NSEL,ALL
SFE,ALL,,PRES,,-2000
SOLVE
FINISH

/SX
SXMETH,FULL,TAYLOR
SXRFIL,VM242,RSX
SXMP,ELASTIC MODULUS,EX - 0.1*EX,EX + 0.1*EX,CONT,EX,1, ,VAL
SXREAL,SHELL THICKNESS,THK - 0.1*THK,THK + 0.1*THK,CONT,TK,1, ,VAL
SXRSLT,DEPLACEMENT,NODE,U,ALL,,ALL
SXRSLT,REACTIONS,NODE,RF,ALL,,ALL
FINISH
/SOLUTION
STAOPT,SX
SOLVE
FINISH

/SX
SXVMOD,ELASTIC MODULUS,SET,EX + 0.1*EX
SXVMOD,SHELL THICKNESS,SET,THK + 0.1*THK
SXEVAL                          ! CASE 1: MAX E, MAX THICKNESS
FINISH
/POST1
NSORT,U,Z,0,1
*GET,UZMAX1,SORT,0,MAX
UZ1 = -4.941E-6
FINISH

/SX
SXVMOD,ELASTIC MODULUS,SET,EX + 0.1*EX
SXVMOD,SHELL THICKNESS,SET,THK - 0.1*THK
SXEVAL                          ! CASE 2: MAX E, MIN THICKNESS
FINISH
/POST1
NSORT,U,Z,0,1
*GET,UZMAX2,SORT,0,MAX
UZ2 = -9.022E-6
FINISH

/SX
SXVMOD,ELASTIC MODULUS,SET,EX - 0.1*EX
SXVMOD,SHELL THICKNESS,SET,THK + 0.1*THK
SXEVAL                          ! CASE 3: MIN E, MAX THICKNESS
FINISH
/POST1
NSORT,U,Z,0,1
*GET,UZMAX3,SORT,0,MAX
UZ3 = -6.039E-6
FINISH

/SX
SXVMOD,ELASTIC MODULUS,SET,EX - 0.1*EX
SXVMOD,SHELL THICKNESS,SET,THK - 0.1*THK
SXEVAL                          ! CASE 4: MIN E, MIN THICKNESS
FINISH
/POST1
NSORT,U,Z,0,1
*GET,UZMAX4,SORT,0,MAX
UZ4 = -1.103E-5
FINISH

RAT_1 = ABS(UZMAX1/UZ1)
RAT_2 = ABS(UZMAX2/UZ2)
RAT_3 = ABS(UZMAX3/UZ3)
RAT_4 = ABS(UZMAX4/UZ4)
*DIM,LABEL,CHAR,5
*DIM,VALUE,,4,2
*DIM,RESULTS,,4,1
LABEL(1) = 'CASE1','CASE2','CASE3','CASE4'
*VFILL,VALUE(1,1),DATA,UZ1,UZ2,UZ3,UZ4
*VFILL,RESULTS(1,1),DATA,UZMAX1,UZMAX2,UZMAX3,UZMAX4
*VFILL,VALUE(1,2),DATA,RAT_1,RAT_2,RAT_3,RAT_4
/OUT,vm242,vrt
/COM
/COM,------------------- VM242  RESULTS COMPARISON ---------------------
/COM,
/COM,              |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),RESULTS(1,1),VALUE(1,2)
(1X,A10,'     ',E10.4,'    ',E10.4,'     ',1F5.3)
/COM,-------------------------------------------------------------------
/OUT
FINISH
*LIST,vm242,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM241 Input Listing 		Up / Home Next
VM243 Input Listing


VM243 Input Listing

/verify,vm243
/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/title,vm243,dek,Cantilever Beam with Triangular Loading Defined by Function
/com,************************************************
/com, Expected results
/com,************************************************
/com, Two identical models of a simple square beam will have a triangular load
/com, defined by various methods.
/com, First:  Tabular functional loading
/com, Second: Via the two values VALI, and VALJ of the SFL command
/com, Both methods will be compared against the value of maximum displacement
/com, given by Euler-Bernoulli beam equation.
/nopr
MINLOAD=0  !minimum load
MAXLOAD=1  !maximum load
L=10
Thick=1
E1=30e6
/PREP7
!*
ET,1,PLANE183
KEYOPT,1,3,3
KEYOPT,1,6,0
KEYOPT,1,10,0
!*
!*
R,1,Thick,
!*
!*
MPTEMP,,,,,,,,
MPTEMP,1,0
MPDATA,EX,1,,E1
MPDATA,PRXY,1,,.27
MPDATA,DENS,1,,1
RECTNG,0,L,0,Thick  ! Use same thickness as real constant, ensures square beam
RECTNG,0,L,10,10+Thick,
ames,all
!*
*DEL,_FNCNAME
*DEL,_FNCMTID
*SET,_FNCNAME,'PRES1'
! /INPUT,rampload.func
*DIM,%_FNCNAME%,TABLE,6,5,1
!
! Begin of equation: {X}
*SET,%_FNCNAME%(0,0,1), 0.0, -999
*SET,%_FNCNAME%(2,0,1), 0.0
*SET,%_FNCNAME%(3,0,1), 0.0
*SET,%_FNCNAME%(4,0,1), 0.0
*SET,%_FNCNAME%(5,0,1), 0.0
*SET,%_FNCNAME%(6,0,1), 0.0
*SET,%_FNCNAME%(0,1,1), 1.0, -1, 0, (MAXLOAD-MINLOAD)/L, 0, 0, 2
*SET,%_FNCNAME%(0,2,1), 0.0, -2, 0, 1, -1, 3, 2
*SET,%_FNCNAME%(0,3,1),   0, -1, 0, MINLOAD, 0, 0, -2
*SET,%_FNCNAME%(0,4,1), 0.0, -3, 0, 1, -2, 1, -1
*SET,%_FNCNAME%(0,5,1), 0.0, 99, 0, 1, -3, 0, 0
! End of equation: {X}
!-->
SFL,3,PRES, %PRES1%        ! Loading by function
SFL,7,PRES,MAXLOAD,MINLOAD ! Loading by two endpoint values
DL,4,,ALL,0
DL,8,,ALL,0
FINISH
/SOL
/STATUS,SOLU
SOLVE
FINISH
/POST1
PLDISP,0
!*
/EFACET,1
AVPRIN,0,

LSEL,S,LINE,,1
nsll,s,1
prnsol,u,sum  !
*get,
LSEL,S,LINE,,5
nsll,s,1
prnsol,u,sum  ! Results of PRNSOLs by both methods should be identical

ALLSEL
I1=(Thick*Thick*Thick*Thick)/12  ! moment of Inertia for square beam
TARGET_DISP=(11/120)*(L*L*L*L*MAXLOAD)/(E1*I1)  ! Theoretical max displacement
*get,TBDISP,NODE,2,U,SUM   !Displacement at corner of tabular loaded beam
*get,LDDISP,NODE,127,U,SUM !Displacement at corned of linear loaded beam
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'Disp, ta'
LABEL(1,2) = 'ble (m)'
LABEL(2,1) = 'Disp, sl'
LABEL(2,2) = 'ope (m)'

*VFILL,VALUE(1,1),DATA,TARGET_DISP
*VFILL,VALUE(1,2),DATA,TBDISP
*VFILL,VALUE(1,3),DATA,ABS(TBDISP/TARGET_DISP)
*VFILL,VALUE(2,1),DATA,TARGET_DISP
*VFILL,VALUE(2,2),DATA,LDDISP
*VFILL,VALUE(2,3),DATA,ABS(LDDISP/TARGET_DISP)
/COM
/OUT,vm243,vrt
/COM,------------------- VM116 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO

/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',E10.3,'  ',E10.3,'   ',1F5.2)
/COM,----------------------------------------------------------
/OUT

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM242 Input Listing 		Up / Home Next
VM244 Input Listing


VM244 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM244
/TITLE,VM244, MODAL ANALYSIS OF CYCLIC SYMMETRIC ANNULAR PLATES
C*** ROBERT D BLEVINS,"FORMULAS FOR NATURAL FREQUENCY AND MODE
C*** SHAPE", NEW YORK, NY, VAN NOSTRAND REINHOLD PUBLISHING INC
C*** 1979, PP. 246-247, 286-287
_THETA1 = 0	        ! DEGREE, STARTING ANGLE FOR SECTION
_THETA2 = 30		! DEGREE, ENDING ANGLE FOR SECTION
_FLOWER = 23.381	! HZ, LOWER FREQUENCY LIMIT PER BLEVINS
_FREQDIF = 2.1		! PERCENT
_A = 500		! OUTSIDE RADIUS (MM)
_B = 185		! INSIDE RADIUS (MM)
_H = 5			! THICKNESS (MM)
_E = 70000		! YOUNGS (N/MM^2)
_V = 0.3		! POISON'S RATIO
_D = 2.7E-9		! DENSITY AL1100 H14 (NSEC^2/MM^4)
*DIM,VALUE,ARRAY,6,3
*DIM,LABEL,CHAR,6
LABEL(1)='SOLID185'
LABEL(2)='SOLID186'
LABEL(3)='SOLID187'
LABEL(4)='SHELL181'
LABEL(5)='SHELL281'
LABEL(6)='SOLSH190'
*DO,I,1,6,1
*IF,LABEL(I),EQ,'SHELL181',OR,LABEL(I),EQ,'SHELL281',THEN
C*** CYCSYM MODEL, SIMPLE SUPPORT OUTER EDGE, FREE INNER EDGE,
C*** SHELL ELEMENT
/PREP7
MP,EX,1,_E
MP,NUXY,1,_V
MP,DENS,1,_D
CYL4,0,0,_A,_THETA1,_B,_THETA2
R,1,_H
ET,1,LABEL(I)
AMESH,ALL
NSEL,S,LOC,X,_A
D,ALL,UY
NROTAT,ALL
D,ALL,UZ
NSEL,ALL
CYCLIC
FINISH
*ELSE
C*** CYCSYM MODEL, SIMPLE SUPPORT OUTER EDGE, FREE INNER EDGE
C*** SOLID ELEMENTS
/PREP7
MP,EX,1,_E
MP,NUXY,1,_V
MP,DENS,1,_D
CSYS,6
WPCSYS,6
CYL4,0,0,_A,_THETA1,_B,_THETA2,_H
ET,1,LABEL(I)
*IF,LABEL(I),EQ,'SOLID185',THEN
KEYOPT,1,2,3     ! REDUCE STIFFNESS FORMULATION TO MAKE FREQUENCIES MATCH
*ELSEIF,LABEL(I),EQ,'SOLSH190',THEN
VEORIENT,1,THIN
*ENDIF
VMESH,ALL
CSYS,4
NSEL,S,LOC,X,_A-.00001,_A+.00001
NSEL,R,LOC,Z,0
D,ALL,UY
NROTAT,ALL
D,ALL,UZ
NSEL,ALL
CYCLIC
FINISH
*ENDIF
/SOLU
ANTYPE,2
MODOPT,LANB,3
MXPAND,3, , ,1
MODOPT,LANB,3,1,100000, ,OFF
CYCOPT,HINDEX,0,0
SOLVE
FINISH
/POST1
*GET,F%I%,MODE,1,FREQ
/COM,                 FREQUENCY COMPARE FOR ELEMENT %LABEL(I)%
*IF,(ABS((F%I% - _FLOWER)/_FLOWER))*100,LT,_FREQDIF,THEN
C*** FREQUENCIES COMPARE WITHIN BLEVINS RESULT!!!
*ELSE
C*** FAILURE: FREQUENCIES OUT OF ACCAPTABLE LIMITS!!!
FINISH
*ENDIF
FINISH
PARSAV,ALL
/CLEAR,NOSTART
PARRES,
*ENDDO
*VFILL,VALUE(1,1),DATA,_FLOWER,_FLOWER,_FLOWER,_FLOWER,_FLOWER,_FLOWER
*VFILL,VALUE(1,2),DATA,F1,F2,F3,F4,F5,F6
*VFILL,VALUE(1,3),DATA,ABS(F1/_FLOWER),ABS(F2/_FLOWER),ABS(F3/_FLOWER),ABS(F4/_FLOWER),ABS(F5/_FLOWER),ABS(F6/_FLOWER)
/OUT,vm244,vrt
/COM,------------------- VM244 RESULTS COMPARISON -------------
/COM,
/COM,                 |    TARGET   |    ANSYS   |    RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A10,'     ',E10.4,'    ',E10.4,'     ',1F5.3)
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vm244,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM243 Input Listing 		Up / Home Next
VM245 Input Listing


VM245 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM245
/TITLE, VM245,SQUEEZE FILM DAMPING-RECTANGULAR PLATE
/COM, REFERENCE:  COUPLED FLUID-STRUCTURAL DOMAIN SOLVER AND ROM
/COM,		  EXTRACTION FOR MEMS, J. MEHNER, 1/31/03
/COM,			BENCHMARK #1: RECTANGULAR PLATE
/COM,
/COM,	CHARACTERISTICS:
/COM,	 UNIFORM VELOCITY (FLUE) LOAD, SINGLE SIDE
/COM,	 UMKS UNITS, GLOBAL CARTESIAN C.S.
/COM,    BLOCK LANCHOS, JCG SOLVERS,TRI MESH
/COM,    4-NODE QUAD OPTION, THK AND AMBIENT PRESSURE
/COM,	 REFERENCE PRESSURE, MEAN FREE PATH
/COM,	 COMPUTE AND EXTRACT SQUEEZE FILM AND DAMPING COEFFICIENT
/COM,
/COM,************************ INPUT PARAMETERS ********************************
/COM,
/COM, PLATE LENGTH = 2 000 UM
/COM, PLATE WIDTH = 1 000 UM
/COM, FILM THICKNESS = 5 UM
/COM, AMBIENT PRESSURE = 0.1 MPA
/COM, DYNAMIC VISCOSITY = 18.3E-12 KG/(UM)(S)
/COM, ARBITRARY UNIFORM VELOCITY = 2 000 UM/S
/COM, OPERATING FREQUENCY = 100 000 HZ
/COM,
/COM,************************ EXPECTED RESULTS ********************************
/COM,
/COM, DAMPING COEFFICIENT AT 100 KHZ = 15.29E-3
/COM, SQUEEZE STIFFNESS COEFFICIENT AT 100 KHZ = 28.65E3
/COM,
/COM,**************************************************************************
/COM,

/PREP7

ET,1,136

A=.001E6			! PLATE WIDTH (UM)
B=.002E6			! PLATE LENGTH (UM)
D=5				! GAP (UM)
PO=0.1				! NORMNAL PRESSURE (N/UM**2)
VISC=18.3E-12			! VISCOSITY (KG/UM/S)
VELO=0.002E6     		! ARBITRARY UNIFORM VELOCITY (UM/SEC)
AREA=A*B	        	! PLATE AREA
FREQ=100000     		! OPERATING FREQUENCY (HZ.)
OMEGA=2*3.14159*FREQ

MP,VISC,1,VISC
R,1,D,,,PO
RMORE,1.0E5,64E-9

RECTNG,0,B,0,A
MSHAPE,1
ESIZE,,40
AMESH,ALL

NSEL,EXT
D,ALL,PRESS,0		        ! SET PRESSURE TO ZERO
NSEL,ALL

BFE,ALL,FLUE,,VELO

FINISH

/SOLU
ANTYP,HARM	 		! HARMONIC THERMAL ANALYSIS
HARFRQ,FREQ
EQSLV,JCG
SOLVE
FINISH

/POST1
/OUT,SCRATCH
SET,1,1
ETABLE,PRESR,PRESS		! EXTRACT "REAL" PRESSURE
ETABLE,EAREA,VOLU
SMULT,FORR,PRESR,EAREA		! COMPUTE "REAL" FORCE
SSUM
*GET,FRE,SSUM,,ITEM,FORR
SET,1,1,,1
ETABLE,PRESI,PRESS		! EXTRACT "IMAGINARY" PRESSURE
SMULT,FORI,PRESI,EAREA		! COMPUTE "IMAGINARY" PRESSURE
SSUM
*GET,FIM,SSUM,,ITEM,FORI

K=ABS(FIM*OMEGA/VELO)		! COMPUTE EQUIVALENT STIFFNESS
C=ABS(FRE/VELO)			! COMPUTE EQUIVALENT DAMPING

FINISH

/POST1

*GET,EFFECTIVE_VISCOSITY,ELEM,1,NMISC,1
*GET,ACTUAL_GAP_SEPARATION,ELEM,1,NMISC,2
/OUT
/COM,
/COM,************************** OUTPUT RESULTS *******************************
/COM,
*VWRITE, EFFECTIVE_VISCOSITY
(/' EFFECTIVE VISCOSITY = ',E13.6)
*VWRITE, ACTUAL_GAP_SEPARATION
(/' ACTUAL GAP SEPARATION = ',E13.6)
 *VWRITE, K
(/' EQUIVALENT STIFFNESS = ',E13.6)
*VWRITE, C
(/' EQUIVALENT DAMPING = ',E13.6)
/COM,
/COM,**************************************************************************
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
LABEL(1,1) = 'K ','C '
LABEL(1,2) = 'NS/M','N/M'
*VFILL,VALUE(1,1),DATA,28.65E3,15.29E-3
*VFILL,VALUE(1,2),DATA,K,C
*VFILL,VALUE(1,3),DATA,ABS(K/28.65E3),ABS(C/15.29E-3)
/COM
/OUT,VM245,VRT
/COM,------------------- VM245 RESULTS COMPARISON -------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/COM,
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,VM245,VRT

FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM244 Input Listing 		Up / Home Next
VM246 Input Listing


VM246 Input Listing

/VERIFY,VM246
/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/TITLE,VM246, CYCLIC ANALYSIS OF AN END-LOADED HOLLOW CYLINDRICAL CANTILEVER BEAM
/COM,*************************************************************
/COM,* PREMISE OF TEST:   TEST UTILIZES THE FUNDAMENTAL FEATURES *
/COM,*                    OF ANSYS TO VERIFY FEA RESULTS         *
/COM,*                    TO CALCULATED APPROXIMATION RESULTS    *
/COM,*************************************************************
/COM,*************************************************************
/COM,*                   TEST OBJECTIVES:                        *
/COM,*                                                           *
/COM,* TEST THAT DEFLECTION VALUES MATCH THEORETICAL DEFLECTION  *
/COM,* TEST CYCLIC EXPANSION FEATURE                             *
/COM,*                                                           *
/COM,*************************************************************
/COM,*************************************************************
/COM,*                   VARIABLE DEFINITION:                    *
/COM,*                                                           *
/COM,*  _THETA1    = STARTING ANGLE FOR SECTION                  *
/COM,*  _THETA2    = ENDING ANGLE FOR SECTION                    *
/COM,*  _FLOWER    = MAX DISPLACEMENT                            *
/COM,*                                                           *
/COM,*************************************************************
/COM,*************************************************************
/COM,*                       REFFERENCES:                        *
/COM,*                                                           *
/COM,*  F. P. BEER, E. R. JOHNSTON, JR.,"MECHANICS OF MATERIALS" *
/COM,*  NEW YORK, NY, MCGRAW-HILL,INC 1981, P 598.               *
/COM,*                                                           *
/COM,*************************************************************
/OUT,SCRATCH
/COM,***********************************************************
/COM,*                                                         *
/COM,*              ANALYSIS PARAMETER DEFINITIONS             *
/COM,*                                                         *
/COM,***********************************************************
/SHOW,PLOTS,GRPH
/GRAPHICS,POWER

_A = .5			!OUTSIDE RADIUS (IN)
_B = .25		!INSIDE RADIUS (IN)
_L = 10			!LENGTH (IN)
_E = 70000		!YOUNGS (PSI)
_V = 0.3		!POISON'S RATIO
_THETA1 = 0		!DEGREE
_THETA2 = 30		!DEGREE
_FLOWER =0.5187         !DISPLACEMENT
_FREQDIF = 2.1		!PERCENT

*DIM,VALUE,ARRAY,3,3
*DIM,LABEL,CHAR,3
LABEL(1)='SOLID185'
LABEL(2)='SOLID186'
LABEL(3)='SOLID187'

*DO,I,1,3,1

/COM,************************************************************
/COM,*                                                          *
/COM,* FOLLOWING BLOCK OF INPUT WAS USED TO GENERATE MODEL      *
/COM,*                                                          *
/COM,************************************************************
/COM,************************************************************
/COM,*                                                          *
/COM,*  CYCSYM MODEL, FIXED AT ORGIN, 5LB LOAD AT FREE END      *
/COM,*  SOLID ELEMENTS                                          *
/COM,*                                                          *
/COM,************************************************************

/PREP7
        MP,EX,1,_E
    MP,NUXY,1,_V
    CSYS,1
    CYL4,0,0,_A,_THETA1,_B,_THETA2,_L
        ET,1,LABEL(I)
        TYPE,1

*IF,LABEL(I),EQ,'SOLID185',THEN
    KEYOPT,1,2,2	                     !ENHANCED STRAIN FORMULATION

*ELSEIF,LABEL(I),EQ,'SOLID186',THEN
    KEYOPT,1,2,1                         !FULL INTERGRATION

*ELSE,LABEL(I),EQ,'SOLID187',THEN
    KEYOPT,1,6,0	                     !USE PURE DISPLACEMENT FORMULATION
*ENDIF

        VMESH,ALL

        CYCLIC
        /CYCEXP,,ON

ASEL,S,AREA,,1
DA,ALL,ALL
ALLSEL

        /COM,SECTOR 12 FN
        CYCOPT,LDSECT,12
        NSEL,S,LOC,Z,10
    NSEL,R,LOC,X,_A
    NSEL,R,LOC,Y,0
        F,ALL,FX,-5
        ALLSEL

FINISH  	                              !EXIT PREPROCESSING
/SOLU					      !ENTER SOLUTION
SOLVE

FINISH						!EXIT SOLUTION
/POST1						!ENTER POST PROCESSING
/CYCEXPAND,,ON
SET,FIRST
PLNSOL,U,SUM
*GET,F%I%,PLNSOL,0,MAX

/OUT
/COM,
/COM,*********************************************************************
/COM,
/COM,                        COMPARE RESULTS:
/COM,             DISPLACEMENT COMPARE FOR ELEMENT %LABEL(I)%
/COM,*********************************************************************
/COM,
/OUT,SCRATCH
*IF,(ABS((F%I% - _FLOWER)/_FLOWER))*100,LT,_FREQDIF,THEN
        /OUT
           /COM,**********************************************************
           /COM,*                                                        *
           /COM,*  DISPLACEMENT MATCHES THEORETICAL RESULT!!!            *
           /COM,*                                                        *
           /COM,**********************************************************
           /COM,
    /OUT,SCRATCH
        *ELSE
        /OUT
           /COM,**********************************************************
           /COM,*                                                        *
           /COM,*  FAILURE: DISPLACEMENT OUT OF ACCAPTABLE LIMITS!!!     *
           /COM,*                                                        *
           /COM,**********************************************************
        FINISH                          !EXIT PREP7
        *ENDIF                          !CLOSE IF LOOP

FINISH
PARSAV,ALL
/CLEAR,NOSTART
PARRES,
*ENDDO

*VFILL,VALUE(1,1),DATA,_FLOWER,_FLOWER,_FLOWER
*VFILL,VALUE(1,2),DATA,F1,F2,F3
*VFILL,VALUE(1,3),DATA,ABS(F1/_FLOWER),ABS(F2/_FLOWER),ABS(F3/_FLOWER)

*STAT,VALUE

/OUT
/COM,------------------- VM246 RESULTS COMPARISON -------------
/COM,
/COM,                 |    TARGET   |    ANSYS   |    RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(8X,A9,4X,F8.2,4X,E12.5,4X,E12.5,4X,F8.5)
/COM,----------------------------------------------------------
/COM,
/COM,
/COM,*************************************************
/COM,*************************************************
/COM,********* ALL TEST WERE SUCCESSFUL !!! **********
/COM,*************************************************
/COM,*************************************************
FINISH                                    !FINISH
QAEND,23

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM245 Input Listing 		Up / Home Next
VM247 Input Listing


VM247 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM247
/TITLE, VM247 CAMPBELL DIAGRAMS AND CRITICAL SPEEDS USING SYMMETRIC BEARINGS
/COM,   REF: "THE DYNAMICS OF ROTOR-BEARING SYSTEMS USING FINITE ELEMENTS"
/COM,   JOURNAL OF ENG. FOR INDUSTRY - MAY 1976
/COM
/PREP7
*DIM,SPIN,,4		                                    ! SPIN VELOCITY (RPM)
SPIN(1) = 0.
SPIN(2) = 35000.
SPIN(3) = 70000.
SPIN(4) = 105000.
RO = 7806		                                          ! MATERIAL #1 : STEEL
PEX = 2.078E+11
PGXY = 1.E+12 		                                    ! NO SHEAR
MP,EX,1,PEX
MP,DENS,1,RO
MP,GXY,1,PGXY
ET,1,BEAM188,,,2                                            ! ELEMENT TYPE #1 : SHAFT
NBDIAM = 18                                                 ! SHAFT SECTION PROPERTIES
*DIM,DIAM,ARRAY,NBDIAM
DIAM(1) = 1.02E-2
DIAM(2) = 2.04E-2
DIAM(3) = 1.52E-2
DIAM(4) = 4.06E-2
DIAM(5) = DIAM(4)
DIAM(6) = 6.6E-2
DIAM(7) = DIAM(6)
DIAM(8) = 5.08E-2
DIAM(9) = DIAM(8)
DIAM(10) = 2.54E-2
DIAM(11) = DIAM(10)
DIAM(12) = 3.04E-2
DIAM(13) = DIAM(12)
DIAM(14) = 2.54E-2
DIAM(15) = DIAM(14)
DIAM(16) = 7.62E-2
DIAM(17) = 4.06E-2
DIAM(18) = DIAM(17)
*DO,I,1,NBDIAM
   SECTYPE,I,BEAM,CSOLID
   SECDATA,DIAM(I)/2
*ENDDO
SECTYPE,7,BEAM,CTUBE
SECDATA,(DIAM(7)/2 - (DIAM(7) - 3.04E-2)/2),DIAM(7)/2
SECTYPE,8,BEAM,CTUBE
SECDATA,(DIAM(8)/2 - (DIAM(8) - 3.56E-2)/2),DIAM(8)/2
SECTYPE,18,BEAM,CTUBE
SECDATA,(DIAM(18)/2 - (DIAM(18) - 3.04E-2)/2),DIAM(18)/2
ET,2,MASS21                                                ! ELEMENT TYPE #2 : DISK
R,20,1.401,1.401,1.401,0.002,0.00136,0.00136               ! REAL FOR DISK
ET,3,COMBIN14                                              ! ELEMENT TYPE #3 : BEARINGS
KEYOPT,3,2,2	                                         ! Y DIRECTION
ET,4,COMBIN14
KEYOPT,4,2,3	                                         ! Z DIRECTION
R,30,4.378E+7                                              ! BEARINGS
N,1 ,0.
N,2 ,1.27E-2
N,3 ,5.08E-2
N,4 ,7.62E-2
N,5 ,8.89E-2
N,6 ,10.16E-2
N,7 ,10.67E-2
N,8 ,11.43E-2
N,9 ,12.7E-2
N,10,13.46E-2
N,11,16.51E-2
N,12,19.05E-2
N,13,22.86E-2
N,14,26.67E-2
N,15,28.7E-2
N,16,30.48E-2
N,17,31.5E-2
N,18,34.54E-2
N,19,35.5E-2
BRG = 0		                                        ! BEARING "LENGTH" FOR VISUALISATION
N,20,16.51E-2,BRG
N,21,16.51E-2,,BRG
N,22,28.7E-2,BRG
N,23,28.7E-2,,BRG
TYPE,1                                                    ! CREATE SHAFT ELEMENTS
MAT,1
*DO,I,1,NBDIAM
   SECNUM,I
   E,I,I+1
*ENDDO
TYPE,2                                                    ! CREATE DISK ELEMENTS
REAL,20
E,5
TYPE,3                                                    ! CREATE BEARING ELEMENTS
REAL,30
E,11,20
E,15,22
TYPE,4
REAL,30
E,11,21
E,15,23
FINI
/SOLU
D,ALL,UX                                                  ! NO TRACTION & NO TORSION
D,ALL,ROTX
D,20,ALL
D,21,ALL
D,22,ALL
D,23,ALL
RATIO = 4*ATAN(1)/30
ANTYPE,MODAL
CORIOLIS,ON,,,ON                                         ! CORIOLIS ON IN A STATIONARY REFERENCE FRAME
NBF = 20
MODOPT,QRDAMP,NBF,,,ON
/OUT,SCRATCH
*DO,I,1,4
   OMEGA,SPIN(I)*RATIO
   MXPAND,NBF
   SOLVE
*ENDDO
FINI
/POST1
PRCAMP,,1.,RPM                                          ! PRINT CAMPBELL VALUES FOR SLOPE=1, UNIT= RPM
PLCAMP,,1.,RPM
*GET,CRIC1,CAMP,1,VCRI,,,
*GET,CRIC2,CAMP,2,VCRI,,,
*GET,CRIC3,CAMP,3,VCRI,,,
*GET,CRIC4,CAMP,4,VCRI,,,
*GET,CRIC5,CAMP,5,VCRI,,,
*GET,CRIC6,CAMP,6,VCRI,,,

PRCAMP,,4.,RPM                                          ! PRINT CAMPBELL VALUES FOR SLOPE=4, UNIT= RPM
PLCAMP,,4.,RPM
*GET,CRIC7,CAMP,1,VCRI,,,
*GET,CRIC8,CAMP,2,VCRI,,,
*GET,CRIC9,CAMP,3,VCRI,,,
*GET,CRIC10,CAMP,4,VCRI,,,
*GET,CRIC11,CAMP,5,VCRI,,,
*GET,CRIC12,CAMP,6,VCRI,,,

*DIM,LABEL,CHAR,1,12
*DIM,VALUE,,12,3
LABEL(1,1) = 'CRIC1'
LABEL(1,2) = 'CRIC2'
LABEL(1,3) = 'CRIC3'
LABEL(1,4) = 'CRIC4'
LABEL(1,5) = 'CRIC5'
LABEL(1,6) = 'CRIC6'
LABEL(1,7) = 'CRIC7'
LABEL(1,8) = 'CRIC8'
LABEL(1,9) = 'CRIC9'
LABEL(1,10) = 'CRIC10'
LABEL(1,11) = 'CRIC11'
LABEL(1,12) = 'CRIC12'
/COM,
/COM, WHIRL SPEEDS OBTAINED FOR SLOPE = 1
/COM,
*VFILL,VALUE(1,1),DATA,15470                            ! CRITICAL SPEED VALUE OBTAINED FROM REFERENCE
*VFILL,VALUE(1,2),DATA,CRIC1
*VFILL,VALUE(1,3),DATA,ABS(CRIC1/15470)
*VFILL,VALUE(2,1),DATA,17159                            ! CRITICAL SPEED VALUE OBTAINED FROM REFERENCE
*VFILL,VALUE(2,2),DATA,CRIC2
*VFILL,VALUE(2,3),DATA,ABS(CRIC2/17159)
*VFILL,VALUE(3,1),DATA,46612                            ! CRITICAL SPEED VALUE OBTAINED FROM REFERENCE
*VFILL,VALUE(3,2),DATA,CRIC3
*VFILL,VALUE(3,3),DATA,ABS(CRIC3/46612)
*VFILL,VALUE(4,1),DATA,49983                            ! CRITICAL SPEED VALUE OBTAINED FROM REFERENCE
*VFILL,VALUE(4,2),DATA,CRIC4
*VFILL,VALUE(4,3),DATA,ABS(CRIC4/49983)
*VFILL,VALUE(5,1),DATA,64752                            ! CRITICAL SPEED VALUE OBTAINED FROM REFERENCE
*VFILL,VALUE(5,2),DATA,CRIC5
*VFILL,VALUE(5,3),DATA,ABS(CRIC5/64752)
*VFILL,VALUE(6,1),DATA,96457                            ! CRITICAL SPEED VALUE OBTAINED FROM REFERENCE
*VFILL,VALUE(6,2),DATA,CRIC6
*VFILL,VALUE(6,3),DATA,ABS(CRIC6/96457)
/COM,
/COM, WHIRL SPEEDS OBTAINED FOR SLOPE = 4
/COM,
*VFILL,VALUE(7,1),DATA,4015                             ! CRITICAL SPEED VALUE OBTAINED FROM REFERENCE/4
*VFILL,VALUE(7,2),DATA,CRIC7
*VFILL,VALUE(7,3),DATA,ABS(CRIC7/4015)
*VFILL,VALUE(8,1),DATA,4120.25                          ! CRITICAL SPEED VALUE OBTAINED FROM REFERENCE/4
*VFILL,VALUE(8,2),DATA,CRIC8
*VFILL,VALUE(8,3),DATA,ABS(CRIC8/4120)
*VFILL,VALUE(9,1),DATA,11989.25                         ! CRITICAL SPEED VALUE OBTAINED FROM REFERENCE/4
*VFILL,VALUE(9,2),DATA,CRIC9
*VFILL,VALUE(9,3),DATA,ABS(CRIC9/11989)
*VFILL,VALUE(10,1),DATA,12200                           ! CRITICAL SPEED VALUE OBTAINED FROM REFERENCE/4
*VFILL,VALUE(10,2),DATA,CRIC10
*VFILL,VALUE(10,3),DATA,ABS(CRIC10/12200)
*VFILL,VALUE(11,1),DATA,18184.25                        ! CRITICAL SPEED VALUE OBTAINED FROM REFERENCE/4
*VFILL,VALUE(11,2),DATA,CRIC11
*VFILL,VALUE(11,3),DATA,ABS(CRIC11/18184)
*VFILL,VALUE(12,1),DATA,20162.25                        ! CRITICAL SPEED VALUE OBTAINED FROM REFERENCE/4
*VFILL,VALUE(12,2),DATA,CRIC12
*VFILL,VALUE(12,3),DATA,ABS(CRIC12/20162)
/COM
/OUT,vm247,vrt
/COM,------------ VM247 RESULTS COMPARISON --------------
/COM,
/COM,        |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM, ---------------------------------------
/COM, WHIRL SPEEDS WITH SLOPE = 1.0
/COM, --------------------------------------
*VWRITE,LABEL(1,1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,'   ',F10.4,'  ',F10.4,'   ',F5.3)
*VWRITE,LABEL(1,2),VALUE(2,1),VALUE(2,2),VALUE(2,3)
(1X,A8,'   ',F10.4,'  ',F10.4,'   ',F5.3)
*VWRITE,LABEL(1,3),VALUE(3,1),VALUE(3,2),VALUE(3,3)
(1X,A8,'   ',F10.4,'  ',F10.4,'   ',F5.3)
*VWRITE,LABEL(1,4),VALUE(4,1),VALUE(4,2),VALUE(4,3)
(1X,A8,'   ',F10.4,'  ',F10.4,'   ',F5.3)
*VWRITE,LABEL(1,5),VALUE(5,1),VALUE(5,2),VALUE(5,3)
(1X,A8,'   ',F10.4,'  ',F10.4,'   ',F5.3)
*VWRITE,LABEL(1,6),VALUE(6,1),VALUE(6,2),VALUE(6,3)
(1X,A8,'   ',F10.4,'  ',F10.4,'   ',F5.3)
/COM,
/COM, ------------------------------------
/COM, WHIRL SPEEDS WITH SLOPE = 4.0
/COM, ------------------------------------
*VWRITE,LABEL(1,7),VALUE(7,1),VALUE(7,2),VALUE(7,3)
(1X,A8,'   ',F10.4,'  ',F10.4,'   ',F5.3)
*VWRITE,LABEL(1,8),VALUE(8,1),VALUE(8,2),VALUE(8,3)
(1X,A8,'   ',F10.4,'  ',F10.4,'   ',F5.3)
*VWRITE,LABEL(1,9),VALUE(9,1),VALUE(9,2),VALUE(9,3)
(1X,A8,'   ',F10.4,'  ',F10.4,'   ',F5.3)
*VWRITE,LABEL(1,10),VALUE(10,1),VALUE(10,2),VALUE(10,3)
(1X,A8,'   ',F10.4,'  ',F10.4,'   ',F5.3)
*VWRITE,LABEL(1,11),VALUE(11,1),VALUE(11,2),VALUE(11,3)
(1X,A8,'   ',F10.4,'  ',F10.4,'   ',F5.3)
*VWRITE,LABEL(1,12),VALUE(12,1),VALUE(12,2),VALUE(12,3)
(1X,A8,'   ',F10.4,'  ',F10.4,'   ',F5.3)
/COM
/OUT
FINISH
*LIST,vm247,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM246 Input Listing 		Up / Home Next
VM248 Input Listing


VM248 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM248
/TITLE, VM248, DELAMINATION OF DOUBLE CANTILEVER BEAM - 2D PLANE STRAIN
/COM,   REF: ALFANO, G. AND CRISFIELD, M. A.,
/COM,   "FINITE ELEMENT INTERFACE MODELS FOR THE DELAMINATION ANALYSIS
/COM,   OF LAMINATED COMPOSITES: MECHANICAL AND COMPUTATIONAL ISSUES"
/COM,   INT. J. NUMER. METH. ENGNG 2001, 50:1701-1736.
/PREP7
ET,1,182                   !* 2D 4-NODE STRUCTURAL SOLID ELEMENT
KEYOPT,1,1,2               !* ENHANCE STRAIN FORMULATION
KEYOPT,1,3,2               !* PLANE STRAIN
ET,2,182
KEYOPT,2,1,2
KEYOPT,2,3,2
ET,3,202                   !* 2D 4-NODE COHESIVE ZONE ELEMENT
KEYOPT,3,3,2               !* PLANE STRAIN
MP,EX,4,1.353E5            !* E11 = 135.3 GPA
MP,EY,4,9.0E3              !* E22 =   9.0 GPA
MP,EZ,4,9.0E3              !* E33 =   9.0 GPA
MP,GXY,4,5.2E3             !* G12 =   5.2 GPA
!MP,GYZ,4,5.2E3
!MP,GXZ,4,3.08E3
MP,PRXY,4,0.24
MP,PRXZ,4,0.24
MP,PRYZ,4,0.46
GMAX = 0.004
TNMAX = 25                 !* TENSILE STRENGTH
TB,CZM,5,,,EXPO            !* COHESIVE ZONE MATERIAL
TBDATA,1,TNMAX,GMAX,1000.0
RECTNG,0,100,0,1.5         !* DEFINE AREAS
RECTNG,0,100,0,-1.5
LSEL,S,LINE,,2,8,2         !* DEFINE LINE DIVISION
LESIZE,ALL,0.75
LSEL,INVE
LESIZE,ALL, , ,200
ALLSEL,ALL
TYPE,1                     !* MESH AREA 2
MAT,4
LOCAL,11,0,0,0,0
ESYS,11
AMESH,2
CSYS,0
TYPE,2                     !* MESH AREA 1
ESYS,11
AMESH,1
CSYS,0
NSEL,S,LOC,X,30,100
NUMMRG,NODES
ESLN
TYPE,3
MAT,5
CZMESH,,,1,Y,0,            !* GENERATE INTERFACE ELEMENTS
ALLSEL,ALL
NSEL,S,LOC,X,100           !* APPLY CONSTRAINTS
D,ALL,ALL
NSEL,ALL
FINISH
/SOLU
ESEL,S,TYPE,,2
NSLE,S
NSEL,R,LOC,X
NSEL,R,LOC,Y,1.5           !* APPLY DISPLACEMENT LOADING ON TOP
D,ALL,UY,10
NSEL,ALL
ESEL,ALL
ESEL,S,TYPE,,1
NSLE,S
NSEL,R,LOC,X
NSEL,R,LOC,Y,-1.5          !* APPLY DISPLACEMENT LOADING ON BOTTOM
D,ALL,UY,-10
NSEL,ALL
ESEL,ALL
NLGEOM,ON
AUTOTS,ON
TIME,1
NSUBST,40,40,40
OUTRES,ALL,ALL
SOLVE                      !* PERFORM SOLUTION
FINISH
/POST26
NSEL,S,LOC,Y,1.5
NSEL,R,LOC,X,0
*GET,NTOP,NODE,0,NUM,MAX
NSEL,ALL
NSOL,2,NTOP,U,Y,UY
RFORCE,3,NTOP,F,Y,FY
PROD,4,3, , ,RF, , ,20
/TITLE,VM248, DCB: REACTION AT TOP NODE VERSES PRESCRIBED DISPLACEMENT
/AXLAB,X,DISP U (mm)
/AXLAB,Y,REACTION FORCE R (N)
/YRANGE,0,60
XVAR,2
PLVAR,4
PRVAR,UY,RF
*GET,TMAX,VARI,4,EXTREM,TMAX   !* TIME CORRESPONDING TO MAX RFORCE
FINISH
/POST1
SET, , , , ,TMAX               !* RETRIEVE RESULTS AT TMAX
NSEL,S,NODE, ,NTOP             !* SELECT NODE NTOP
*GET,RF_NTOP,NODE,NTOP,RF,FY   !* FY RFORCE AT NODE NTOP
*GET,UY_NTOP,NODE,NTOP,U,Y     !* DISP AT NODE NTOP CORRESPONDING TO RFORCE
RF_MAX = RF_NTOP*20            !* PLANE STRAIN OPTION AND WIDTH = 20 mm
SET,LAST                       !* RETRIEVE RESULTS AT LAST SUBSTEP
*GET,RF_END,NODE,NTOP,RF,FY    !* FY RFORCE AT NODE NTOP AT LAST SUBSTEP
*GET,UY_END,NODE,NTOP,U,Y      !* DISP AT NODE NTOP CORRESPONDING TO RFORCE
RF_END = RF_END*20             !* PLANE STRAIN OPTION AND WIDTH = 20 mm
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
*DIM,VALUE2,,2,3
LABEL(1,1) = 'RFORCE','DISP '
LABEL(1,2) = 'FY (N)','UY (mm)'
*VFILL,VALUE(1,1),DATA,60.0,1.0
*VFILL,VALUE(1,2),DATA,RF_MAX,UY_NTOP
*VFILL,VALUE(1,3),DATA,ABS(RF_MAX/60.0),ABS(UY_NTOP/1.0)
*VFILL,VALUE2(1,1),DATA,24,10.0
*VFILL,VALUE2(1,2),DATA,RF_END,UY_END
*VFILL,VALUE2(1,3),DATA,ABS(RF_END/24.0),ABS(UY_END/10.0)
/COM
/OUT,vm248,vrt
/COM,------------------- VM248 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,MAX RFORCE AND CORRESPONDING DISP USING INTER202:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',1F10.3,'   ',1F5.3)
/COM,
/COM,RFORCE CORRESPONDING TO DISP U = 10.0 USING INTER202:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE2(1,1),VALUE2(1,2),VALUE2(1,3)
(1X,A8,A8,'   ',F10.3,'  ',1F10.3,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm248,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM247 Input Listing 		Up / Home Next
VM249 Input Listing


VM249 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM249
/TITLE,VM249, GASKET MATERIAL UNDER UNIAXIAL COMPRESSION LOAD
/COM,   REF: ANY NONLINEAR MATERIAL VERIFICATION TEXT
/COM,   USING 2D 4-NODE INTER192 GASKET ELEMENTS
/PREP7
MP, EX, 1,15.2E6*6890
MP,NUXY, 1, 0.21
MP,DENS,1,7203
TB,GASKET,2,,13,COMP             !* COMPRESSION CURVE
TBPT,,0.508000E-04, 0.161226E+07
TBPT,,0.101600E-03, 0.520884E+07
TBPT,,0.152400E-03, 0.113134E+08
TBPT,,0.203200E-03, 0.200499E+08
TBPT,,0.254000E-03, 0.259960E+08
TBPT,,0.304800E-03, 0.290345E+08
TBPT,,0.355600E-03, 0.357453E+08
TBPT,,0.406400E-03, 0.440064E+08
TBPT,,0.457200E-03, 0.563189E+08
TBPT,,0.508000E-03, 0.748254E+08
TBPT,,0.558800E-03, 0.967287E+08
TBPT,,0.609600E-03, 0.129001E+09
TBPT,,0.683260E-03, 0.157147E+09
TB,GASKET,2,,5,LUNL              !* COMPRESSION CURVE
TBPT,,0.152400E-03, 2.430000E+11
TBPT,,0.304800E-03, 3.565000E+11
TBPT,,0.406400E-03, 5.923000E+11
TBPT,,0.558800E-03, 1.088000E+12
TBPT,,0.683260E-03, 1.490000E+12
*DIM,XA,TABLE,13,1
*DIM,YA,TABLE,13,1
XA(1,1) = 0.508000E-04
XA(2,1) = 0.101600E-03
XA(3,1) = 0.152400E-03
XA(4,1) = 0.203200E-03
XA(5,1) = 0.254000E-03
XA(6,1) = 0.304800E-03
XA(7,1) = 0.355600E-03
XA(8,1) = 0.406400E-03
XA(9,1) = 0.457200E-03
XA(10,1)= 0.508000E-03
XA(11,1)= 0.558800E-03
XA(12,1)= 0.609600E-03
XA(13,1)= 0.683260E-03
YA(1,1) = 0.161226E+07
YA(2,1) = 0.520884E+07
YA(3,1) = 0.113134E+08
YA(4,1) = 0.200499E+08
YA(5,1) = 0.259960E+08
YA(6,1) = 0.290345E+08
YA(7,1) = 0.357453E+08
YA(8,1) = 0.440064E+08
YA(9,1) = 0.563189E+08
YA(10,1)= 0.748254E+08
YA(11,1)= 0.967287E+08
YA(12,1)= 0.129001E+09
YA(13,1)= 0.157147E+09
*DIM,XB,TABLE,2,1
*DIM,YB,TABLE,2,1
XB(1,1) = 1.06E-04
YB(1,1) = 0.0
XB(2,1) = 0.152400E-03
YB(2,1) = 11313400
*DIM,XC,TABLE,2,1
*DIM,YC,TABLE,2,1
XC(1,1) = 2.23E-04
YC(1,1) = 0
XC(2,1) = 0.304800E-03
YC(2,1) = 29034500
*DIM,XD,TABLE,2,1
*DIM,YD,TABLE,2,1
XD(1,1) = 3.32E-04
YD(1,1) = 0.0
XD(2,1) = 0.406400E-03
YD(2,1) = 44006400
*DIM,XE,TABLE,2,1
*DIM,YE,TABLE,2,1
XE(1,1) = 4.70E-04
YE(1,1) = 0.0
XE(2,1) = 0.558800E-03
YE(2,1) = 96728700
*DIM,XF,TABLE,2,1
*DIM,YF,TABLE,2,1
XF(1,1) = 5.78E-04
YF(1,1) = 0.0
XF(2,1) = 0.683260E-03
YF(2,1) = 157147000
SAVE
/PREP7
ET,1,182                         !* 2D 4-NODE STRUCTURAL SOLID ELEMENT
ET,2,192                         !* 2D 4-NODE GASKET ELEMENT
RECTNG,0,1,0,1
RECTNG,0,1,1.02,2.02
A,4,3,6,5
ESIZE,,10
TYPE,1
MAT, 1
AMESH,1
TYPE,2
MAT, 2
IMESH,LINE,3,5, ,0,0.02, ,0.001  !* GENERATE GASKET ELEMENTS
TYPE,1
MAT, 1
AMESH,2
NSEL,S,LOC,X,0
NSEL,A,LOC,X,1
D,ALL,UX
NSEL,S,LOC,Y,0
D,ALL,UY
NSEL,ALL
FINISH
/SOLU
ERESX,NO
NLGEOM,ON
NSUBST,50,50,50
OUTRES,ALL,ALL
NSEL,S,LOC,Y,2.02
SF,ALL,PRES,44006400         !* 1ST LOAD STEP -- LOAD THE MODEL
NSEL,ALL
SOLVE
NSEL,S,LOC,Y,2.02
SF,ALL,PRES,0                !* 2ND LOAD STEP -- UNLOAD THE MODEL
NSEL,ALL
SOLVE
NSEL,S,LOC,Y,2.02            !* 3RD LOAD STEP -- RELOAD THE MODEL
SF,ALL,PRES,157147000
NSEL,ALL
SOLVE
NSEL,S,LOC,Y,2.02
SF,ALL,PRES,0                !* 4TH LOAD STEP -- UNLOAD THE MODEL
NSEL,ALL
SOLVE
FINISH
/POST26
/COLOR,CURVE,YGRE
/YRANGE,0,20E7
/XRANGE,0,8E-4
/AXLAB,X,CLOSURE
/AXLAB,Y,PRES
*VPLOT,XA(1,1),YA(1,1)
/NOERASE
*VPLOT,XB(1,1),YB(1,1)
*VPLOT,XC(1,1),YC(1,1)
*VPLOT,XD(1,1),YD(1,1)
*VPLOT,XE(1,1),YE(1,1)
*VPLOT,XF(1,1),YF(1,1)
ESOL,2,105,27,GKS,X
ESOL,3,105,27,GKD,X
PROD,4,2, , ,PRES, , ,-1
PROD,5,3, , ,CLOSURE, , ,-1
/COLOR,CURVE,MRED
/GMARKER,1,4,10
XVAR,5
PLVAR,4
PRVAR,5,4
FINISH
/POST1
SET,1,LAST
*GET,GK_PRES1,NODE,27,GKS,X
*GET,GK_CLOS1,NODE,27,GKD,X
SET,3,LAST
*GET,GK_PRES2,NODE,12,GKS,X
*GET,GK_CLOS2,NODE,12,GKD,X
GK_PRES1 = ABS(GK_PRES1)
GK_CLOS1 = ABS(GK_CLOS1)
GK_PRES2 = ABS(GK_PRES2)
GK_CLOS2 = ABS(GK_CLOS2)
R1 = GK_PRES1/44006400
R2 = GK_CLOS1/0.406400E-03
R3 = GK_PRES2/157147000
R4 = GK_CLOS2/0.683260E-03
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
*DIM,VALUE2,,2,3
LABEL(1,1) = 'GK','GK'
LABEL(1,2) = '-PRES','-CLOS'
*VFILL,VALUE(1,1),DATA,44006400,0.406400E-03
*VFILL,VALUE(1,2),DATA,GK_PRES1,GK_CLOS1
*VFILL,VALUE(1,3),DATA,R1,R2
*VFILL,VALUE2(1,1),DATA,157147000,0.683260E-03
*VFILL,VALUE2(1,2),DATA,GK_PRES2,GK_CLOS2
*VFILL,VALUE2(1,3),DATA,R3,R4
FINISH
SAVE,TABLE_1
/CLEAR, NOSTART                 !* CLEAR DATABASE FOR SECOND SOLUTION
/TITLE,VM249, GASKET MATERIAL UNDER UNIAXIAL COMPRESSION LOAD
/COM,   USING 2D 4-NODE INTER193 GASKET ELEMENTS
RESUME
/PREP7
ET,1,183                         !* 2D 8-NODE STRUCTURAL SOLID ELEMENT
ET,2,193                         !* 2D 6-NODE GASKET ELEMENT
RECTNG,0,1,0,1
RECTNG,0,1,1.02,2.02
A,4,3,6,5
ESIZE,,10
TYPE,1
MAT, 1
AMESH,1
TYPE,2
MAT, 2
IMESH,LINE,3,5, ,0,0.02, ,0.001  !* GENERATE GASKET ELEMENTS
TYPE,1
MAT, 1
AMESH,2
NSEL,S,LOC,X,0
NSEL,A,LOC,X,1
D,ALL,UX
NSEL,S,LOC,Y,0
D,ALL,UY
NSEL,ALL
FINISH
/SOLU
ERESX,NO
NLGEOM,ON
!NSUBST,100,1000,100
NSUBST,100,100,100
OUTRES,ALL,ALL
NSEL,S,LOC,Y,2.02
SF,ALL,PRES,44006400         !* 1ST LOAD STEP -- LOAD THE MODEL
NSEL,ALL
SOLVE
NSEL,S,LOC,Y,2.02
SF,ALL,PRES,0                !* 2ND LOAD STEP -- UNLOAD THE MODEL
NSEL,ALL
SOLVE
NSEL,S,LOC,Y,2.02            !* 3RD LOAD STEP -- RELOAD THE MODEL
SF,ALL,PRES,157147000
NSEL,ALL
SOLVE
NSEL,S,LOC,Y,2.02
SF,ALL,PRES,0                !* 4TH LOAD STEP -- UNLOAD THE MODEL
NSEL,ALL
SOLVE
FINISH
/POST26
/COLOR,CURVE,YGRE
/YRANGE,0,20E7
/XRANGE,0,8E-4
/AXLAB,X,CLOSURE
/AXLAB,Y,PRES
*VPLOT,XA(1,1),YA(1,1)
/NOERASE
*VPLOT,XB(1,1),YB(1,1)
*VPLOT,XC(1,1),YC(1,1)
*VPLOT,XD(1,1),YD(1,1)
*VPLOT,XE(1,1),YE(1,1)
*VPLOT,XF(1,1),YF(1,1)
ESOL,2,105,52,GKS,X
ESOL,3,105,52,GKD,X
PROD,4,2, , ,PRES, , ,-1
PROD,5,3, , ,CLOSURE, , ,-1
/COLOR,CURVE,MRED
/GMARKER,1,4,10
XVAR,5
PLVAR,4
PRVAR,5,4
FINISH
/POST1
SET,1,LAST
*GET,GK_PRES1,NODE,52,GKS,X
*GET,GK_CLOS1,NODE,52,GKD,X
SET,3,LAST
*GET,GK_PRES2,NODE,52,GKS,X
*GET,GK_CLOS2,NODE,52,GKD,X
GK_PRES1 = ABS(GK_PRES1)
GK_CLOS1 = ABS(GK_CLOS1)
GK_PRES2 = ABS(GK_PRES2)
GK_CLOS2 = ABS(GK_CLOS2)
R1 = GK_PRES1/44006400
R2 = GK_CLOS1/0.406400E-03
R3 = GK_PRES2/157147000
R4 = GK_CLOS2/0.683260E-03
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
*DIM,VALUE2,,2,3
LABEL(1,1) = 'GK','GK'
LABEL(1,2) = '-PRES','-CLOS'
*VFILL,VALUE(1,1),DATA,44006400,0.406400E-03
*VFILL,VALUE(1,2),DATA,GK_PRES1,GK_CLOS1
*VFILL,VALUE(1,3),DATA,R1,R2
*VFILL,VALUE2(1,1),DATA,157147000,0.683260E-03
*VFILL,VALUE2(1,2),DATA,GK_PRES2,GK_CLOS2
*VFILL,VALUE2(1,3),DATA,R3,R4
SAVE,TABLE_2
RESUME,TABLE_1
/COM,
/OUT,vm249,vrt
/COM,------------------- VM249 RESULTS COMPARISON --------------
/COM,
/COM,               |  TARGET   |   ANSYS  |  RATIO
/COM,
/COM,RESULTS USING INTER192 ELEMENTS:
/COM,
/COM,GASKET PRESSURE AND CLOSURE AT END OF 1ST LOADING:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A2,A8,'   ',E12.6,'  ',1E12.6,'   ',1F5.3)
/COM,
/COM,GASKET PRESSURE AND CLOSURE AT THE END OF 2ND LOADING:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE2(1,1),VALUE2(1,2),VALUE2(1,3)
(1X,A2,A8,'   ',E12.6,'  ',1E12.6,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,RESULTS USING INTER193 ELEMENTS:
/COM,
/COM,GASKET PRESSURE AND CLOSURE AT END OF 1ST LOADING:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A2,A8,'   ',E12.6,'  ',1E12.6,'   ',1F5.3)
/COM,
/COM,GASKET PRESSURE AND CLOSURE AT THE END OF 2ND LOADING:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE2(1,1),VALUE2(1,2),VALUE2(1,3)
(1X,A2,A8,'   ',E12.6,'  ',1E12.6,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm249,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM248 Input Listing 		Up / Home Next
VM250 Input Listing


VM250 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM250
/TITLE,VM250, GASKET MATERIAL UNDER UNIAXIAL COMPRESSION LOAD
/COM,   REF: ANY NONLINEAR MATERIAL VERIFICATION TEXT
/COM,   USING 3D 8-NODE INTER195 GASKET ELEMENTS
/PREP7
MP, EX, 1,15.2E6*6890
MP,NUXY, 1, 0.21
MP,DENS,1,7203
TB,GASKET,2,,13,COMP             !* COMPRESSION CURVE
TBPT,,0.508000E-04, 0.161226E+07
TBPT,,0.101600E-03, 0.520884E+07
TBPT,,0.152400E-03, 0.113134E+08
TBPT,,0.203200E-03, 0.200499E+08
TBPT,,0.254000E-03, 0.259960E+08
TBPT,,0.304800E-03, 0.290345E+08
TBPT,,0.355600E-03, 0.357453E+08
TBPT,,0.406400E-03, 0.440064E+08
TBPT,,0.457200E-03, 0.563189E+08
TBPT,,0.508000E-03, 0.748254E+08
TBPT,,0.558800E-03, 0.967287E+08
TBPT,,0.609600E-03, 0.129001E+09
TBPT,,0.683260E-03, 0.157147E+09
TB,GASKET,2,,5,LUNL              !* COMPRESSION CURVE
TBPT,,0.152400E-03, 2.430000E+11
TBPT,,0.304800E-03, 3.565000E+11
TBPT,,0.406400E-03, 5.923000E+11
TBPT,,0.558800E-03, 1.088000E+12
TBPT,,0.683260E-03, 1.490000E+12
*DIM,XA,TABLE,13,1
*DIM,YA,TABLE,13,1
XA(1,1) = 0.508000E-04
XA(2,1) = 0.101600E-03
XA(3,1) = 0.152400E-03
XA(4,1) = 0.203200E-03
XA(5,1) = 0.254000E-03
XA(6,1) = 0.304800E-03
XA(7,1) = 0.355600E-03
XA(8,1) = 0.406400E-03
XA(9,1) = 0.457200E-03
XA(10,1)= 0.508000E-03
XA(11,1)= 0.558800E-03
XA(12,1)= 0.609600E-03
XA(13,1)= 0.683260E-03
YA(1,1) = 0.161226E+07
YA(2,1) = 0.520884E+07
YA(3,1) = 0.113134E+08
YA(4,1) = 0.200499E+08
YA(5,1) = 0.259960E+08
YA(6,1) = 0.290345E+08
YA(7,1) = 0.357453E+08
YA(8,1) = 0.440064E+08
YA(9,1) = 0.563189E+08
YA(10,1)= 0.748254E+08
YA(11,1)= 0.967287E+08
YA(12,1)= 0.129001E+09
YA(13,1)= 0.157147E+09
*DIM,XB,TABLE,2,1
*DIM,YB,TABLE,2,1
XB(1,1) = 1.06E-04
YB(1,1) = 0.0
XB(2,1) = 0.152400E-03
YB(2,1) = 11313400
*DIM,XC,TABLE,2,1
*DIM,YC,TABLE,2,1
XC(1,1) = 2.23E-04
YC(1,1) = 0
XC(2,1) = 0.304800E-03
YC(2,1) = 29034500
*DIM,XD,TABLE,2,1
*DIM,YD,TABLE,2,1
XD(1,1) = 3.32E-04
YD(1,1) = 0.0
XD(2,1) = 0.406400E-03
YD(2,1) = 44006400
*DIM,XE,TABLE,2,1
*DIM,YE,TABLE,2,1
XE(1,1) = 4.70E-04
YE(1,1) = 0.0
XE(2,1) = 0.558800E-03
YE(2,1) = 96728700
*DIM,XF,TABLE,2,1
*DIM,YF,TABLE,2,1
XF(1,1) = 5.78E-04
YF(1,1) = 0.0
XF(2,1) = 0.683260E-03
YF(2,1) = 157147000
SAVE
/PREP7
ET,1,185                         !* 3D 8-NODE STRUCTURAL SOLID ELEMENT
ET,2,195                         !* 3D 8-NODE GASKET ELEMENT
BLOCK,0,1,0,1,0,1
BLOCK,0,1,0,1,1.02,2.02
V,5,6,7,8,10,12,11,9
ESIZE,,4
TYPE,1
MAT, 1
VMESH,1
TYPE,2
MAT,2
IMESH,AREA,2,7, ,0,0,0.02,0.001  !* GENERATE GASKET ELEMENTS
TYPE,1
MAT, 1
VMESH,2
NSEL,S,LOC,X,0
D,ALL,UX
NSEL,S,LOC,Y,0
D,ALL,UY
NSEL,S,LOC,Z,0
D,ALL,UZ
NSEL,ALL
FINISH
/SOLU
NLGEOM,ON
NSUBST,50,50,50
OUTRES,ALL,-10
NSEL,S,LOC,Z,2.02
SF,ALL,PRES,44006400         !* 1ST LOAD STEP -- LOAD THE MODEL
NSEL,ALL
SOLVE
NSEL,S,LOC,Z,2.02
SF,ALL,PRES,0                !* 2ND LOAD STEP -- UNLOAD THE MODEL
NSEL,ALL
SOLVE
NSEL,S,LOC,Z,2.02            !* 3RD LOAD STEP -- RELOAD THE MODEL
SF,ALL,PRES,157147000
NSEL,ALL
SOLVE
NSEL,S,LOC,Z,2.02
SF,ALL,PRES,0                !* 4TH LOAD STEP -- UNLOAD THE MODEL
NSEL,ALL
SOLVE
FINISH
/POST26
/COLOR,CURVE,YGRE
/YRANGE,0,20E7
/XRANGE,0,8E-4
/AXLAB,X,CLOSURE
/AXLAB,Y,PRES
*VPLOT,XA(1,1),YA(1,1)
/NOERASE
*VPLOT,XB(1,1),YB(1,1)
*VPLOT,XC(1,1),YC(1,1)
*VPLOT,XD(1,1),YD(1,1)
*VPLOT,XE(1,1),YE(1,1)
*VPLOT,XF(1,1),YF(1,1)
ESOL,2,70,145,GKS,X
ESOL,3,70,145,GKD,X
PROD,4,2, , ,PRES, , ,-1
PROD,5,3, , ,CLOSURE, , ,-1
/COLOR,CURVE,MRED
/GMARKER,1,4,10
XVAR,5
PLVAR,4
PRVAR,5,4
FINISH
/POST1
SET,1,LAST
*GET,GK_PRES1,NODE,145,GKS,X
*GET,GK_CLOS1,NODE,145,GKD,X
SET,3,LAST
*GET,GK_PRES2,NODE,145,GKS,X
*GET,GK_CLOS2,NODE,145,GKD,X
GK_PRES1 = ABS(GK_PRES1)
GK_CLOS1 = ABS(GK_CLOS1)
GK_PRES2 = ABS(GK_PRES2)
GK_CLOS2 = ABS(GK_CLOS2)
R1 = GK_PRES1/44006400
R2 = GK_CLOS1/0.406400E-03
R3 = GK_PRES2/157147000
R4 = GK_CLOS2/0.683260E-03
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
*DIM,VALUE2,,2,3
LABEL(1,1) = 'GK','GK'
LABEL(1,2) = '-PRES','-CLOS'
*VFILL,VALUE(1,1),DATA,44006400,0.406400E-03
*VFILL,VALUE(1,2),DATA,GK_PRES1,GK_CLOS1
*VFILL,VALUE(1,3),DATA,R1,R2
*VFILL,VALUE2(1,1),DATA,157147000,0.683260E-03
*VFILL,VALUE2(1,2),DATA,GK_PRES2,GK_CLOS2
*VFILL,VALUE2(1,3),DATA,R3,R4
FINISH
SAVE,TABLE_1
/CLEAR, NOSTART                 !* CLEAR DATABASE FOR SECOND SOLUTION
/TITLE,VM250, GASKET MATERIAL UNDER UNIAXIAL COMPRESSION LOAD
/COM   USING 3D 16-NODE INTER194 GASKET ELEMENT
RESUME
/PREP7
ET,1,186                         !* 3D 20-NODE STRUCTURAL SOLID ELEMENT
ET,2,194                         !* 3D 16-NODE GASKET ELEMENT
BLOCK,0,1,0,1,0,1
BLOCK,0,1,0,1,1.02,2.02
V,5,6,7,8,10,12,11,9
ESIZE,,4
TYPE,1
MAT, 1
VMESH,1
TYPE,2
MAT,2
IMESH,AREA,2,7, ,0,0,0.02,0.001  !* GENERATE GASKET ELEMENTS
TYPE,1
MAT, 1
VMESH,2
NSEL,S,LOC,X,0
D,ALL,UX
NSEL,S,LOC,Y,0
D,ALL,UY
NSEL,S,LOC,Z,0
D,ALL,UZ
NSEL,ALL
FINISH
/SOLU
NLGEOM,ON
NSUBST,50,50,50
OUTRES,ALL,-10
NSEL,S,LOC,Z,2.02
SF,ALL,PRES,44006400         !* 1ST LOAD STEP -- LOAD THE MODEL
NSEL,ALL
SOLVE
NSEL,S,LOC,Z,2.02
SF,ALL,PRES,0                !* 2ND LOAD STEP -- UNLOAD THE MODEL
NSEL,ALL
SOLVE
NSEL,S,LOC,Z,2.02            !* 3RD LOAD STEP -- RELOAD THE MODEL
SF,ALL,PRES,157147000
NSEL,ALL
SOLVE
NSEL,S,LOC,Z,2.02
SF,ALL,PRES,0                !* 4TH LOAD STEP -- UNLOAD THE MODEL
NSEL,ALL
SOLVE
FINISH
/POST26
/COLOR,CURVE,YGRE
/YRANGE,0,20E7
/XRANGE,0,8E-4
/AXLAB,X,CLOSURE
/AXLAB,Y,PRES
*VPLOT,XA(1,1),YA(1,1)
/NOERASE
*VPLOT,XB(1,1),YB(1,1)
*VPLOT,XC(1,1),YC(1,1)
*VPLOT,XD(1,1),YD(1,1)
*VPLOT,XE(1,1),YE(1,1)
*VPLOT,XF(1,1),YF(1,1)
ESOL,2,70,472,GKS,X
ESOL,3,70,472,GKD,X
PROD,4,2, , ,PRES, , ,-1
PROD,5,3, , ,CLOSURE, , ,-1
/COLOR,CURVE,MRED
/GMARKER,1,4,10
XVAR,5
PLVAR,4
PRVAR,5,4
FINISH
/POST1
SET,1,LAST
*GET,GK_PRES1,NODE,472,GKS,X
*GET,GK_CLOS1,NODE,472,GKD,X
SET,3,LAST
*GET,GK_PRES2,NODE,472,GKS,X
*GET,GK_CLOS2,NODE,472,GKD,X
GK_PRES1 = ABS(GK_PRES1)
GK_CLOS1 = ABS(GK_CLOS1)
GK_PRES2 = ABS(GK_PRES2)
GK_CLOS2 = ABS(GK_CLOS2)
R1 = GK_PRES1/44006400
R2 = GK_CLOS1/0.406400E-03
R3 = GK_PRES2/157147000
R4 = GK_CLOS2/0.683260E-03
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
*DIM,VALUE2,,2,3
LABEL(1,1) = 'GK','GK'
LABEL(1,2) = '-PRES','-CLOS'
*VFILL,VALUE(1,1),DATA,44006400,0.406400E-03
*VFILL,VALUE(1,2),DATA,GK_PRES1,GK_CLOS1
*VFILL,VALUE(1,3),DATA,R1,R2
*VFILL,VALUE2(1,1),DATA,157147000,0.683260E-03
*VFILL,VALUE2(1,2),DATA,GK_PRES2,GK_CLOS2
*VFILL,VALUE2(1,3),DATA,R3,R4
SAVE,TABLE_2
RESUME,TABLE_1
/COM,
/OUT,vm250,vrt
/COM,------------------- VM250 RESULTS COMPARISON --------------
/COM,
/COM,               |  TARGET   |   ANSYS  |  RATIO
/COM,
/COM,RESULTS USING INTER195 ELEMENTS:
/COM,
/COM,GASKET PRESSURE AND CLOSURE AT END OF 1ST LOADING:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A2,A8,'   ',E12.6,'  ',1E12.6,'   ',1F5.3)
/COM,
/COM,GASKET PRESSURE AND CLOSURE AT THE END OF 2ND LOADING:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE2(1,1),VALUE2(1,2),VALUE2(1,3)
(1X,A2,A8,'   ',E12.6,'  ',1E12.6,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,RESULTS USING INTER194 ELEMENTS:
/COM,
/COM,GASKET PRESSURE AND CLOSURE AT END OF 1ST LOADING:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A2,A8,'   ',E12.6,'  ',1E12.6,'   ',1F5.3)
/COM,
/COM,GASKET PRESSURE AND CLOSURE AT THE END OF 2ND LOADING:
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE2(1,1),VALUE2(1,2),VALUE2(1,3)
(1X,A2,A8,'   ',E12.6,'  ',1E12.6,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm250,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM249 Input Listing 		Up / Home Next
VM251 Input Listing


VM251 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM251
/TITLE,VM251, SHAPE MEMORY ALLOY UNDER UNIAXIAL TENSION LOAD
/COM,   REF: FERDINANDO AURICHIO, ROBERT L. TAYLOR, JACOB LUBLINER
/COM,   "SHAPE-MEMORY ALLOYS: MACROMODELLING AND NUMERICAL SIMULATIONS
/COM,   OF SUPERELASTIC BEHAVIOR"
/COM,   COMPUT. METHODS APPL. MECH. ENGNG. 146 (1997) 281-312
/COM,   USING 2D 4-NODE PLANE182 STRUCTURAL SOLID ELEMENTS
/PREP7
ET,1,182                        !* 2D 4-NODE STRUCTURAL SOLID ELEMENT
KEYOPT,1,3,1                    !* AXISYMMETRIC OPTION
MP, EX, 1, 60.0E3               !* MPA
MP,NUXY, 1, 0.3
TB,SMA,1
TBDATA,1,520,600,300,200,0.07,0 !* SHAPE MEMORY ALLOY
TBDATA,7,60E3
N,101, 0.00, 0.00
N,102,10.00, 0.00
N,103,10.00,10.00
N,104, 0.00,10.00
TYPE,1
MAT,1
E,101,102,103,104
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,ALL
FINISH
/SOLU
NLGEOM,ON
NSUBST,100,100,100
OUTRES,ALL,1
NSEL,S,LOC,Y,10
SF,ALL,PRES,-600        !* 1ST LOAD STEP -- LOAD THE MODEL
NSEL,ALL
SOLVE
NSEL,S,LOC,Y,10
SF,ALL,PRES,0          !* 2ND LOAD STEP -- UNLOAD THE MODEL
NSEL,ALL
SOLVE
FINISH
/POST26
ESOL,2,1,103,S,EQV           !* EQUIVALENT STRESS AT NODE 103
ESOL,3,1,103,EPEL,EQV        !* ELASTIC STRAIN AT NODE 103
ESOL,4,1,103,EPPL,EQV        !* PLASTIC STRAIN AT NODE 103
ADD,5,3,4                    !* TOTAL STRAIN AT NODE 103
PROD,6,5, , ,STRAIN, , ,100  !* PERCENT TOTAL STRAIN
XVAR,6
/AXLAB,X,Strain[%]
/AXLAB,Y,Stress [MPa]
/YRANGE,0,700                !* SET Y-RANGE
/XRANGE,0,8                  !* SET X-RANGE
/GROPT,DIVY,7
PLVAR,2                      !* PLOT TOTAL STRAIN VS EQV STRESS
PRVAR,2,5
FINISH
/POST1
SET, , , , ,0.87
*GET,SIG_SAS,NODE,103,S,EQV
*GET,EPTO_SAS,NODE,103,EPTO,EQV
SET, , , , ,1
*GET,SIG_FAS,NODE,103,S,EQV
*GET,EPTO_FAS,NODE,103,EPTO,EQV
SET, , , , ,1.5
*GET,SIG_SSA,NODE,103,S,EQV
*GET,EPTO_SSA,NODE,103,EPTO,EQV
SET, , , , ,1.67
*GET,SIG_FSA,NODE,103,S,EQV
*GET,EPTO_FSA,NODE,103,EPTO,EQV
R1 = SIG_SAS/520
R2 = EPTO_SAS/0.01
R3 = SIG_FAS/600
R4 = EPTO_FAS/0.08
R5 = SIG_SSA/300
R6 = EPTO_SSA/0.074
R7 = SIG_FSA/200
R8 = EPTO_FSA/0.32E-02
*DIM,LABEL,CHAR,8,2
*DIM,VALUE,,8,3
LABEL(1,1) = 'SIG','EPTO','SIG','EPTO','SIG','EPTO','SIG','EPTO'
LABEL(1,2) = '-SAS','-SAS','-FAS','-FAS','-SSA','-SSA','-FSA','-FSA'
*VFILL,VALUE(1,1),DATA,520,0.01,600,0.08,300,0.074,200,0.32E-02
*VFILL,VALUE(1,2),DATA,SIG_SAS,EPTO_SAS,SIG_FAS,EPTO_FAS,SIG_SSA,EPTO_SSA,SIG_FSA,EPTO_FSA
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8
SAVE,TABLE_1
FINISH
/CLEAR, NOSTART                 !* CLEAR DATABASE FOR SECOND SOLUTION
/TITLE,VM251, SHAPE MEMORY ALLOY UNDER UNIAXIAL TENSION LOAD - 2D AXISYMMETRIC
/COM    USING 2D 8-NODE PLANE183 STRUCTURAL SOLID ELEMENTS
/PREP7
ET,1,183                        !* 3D 8-NODE STRUCTURAL SOLID ELEMENT
KEYOPT,1,3,1                    !* AXISYMMETRIC OPTION
MP, EX, 1, 60.0E3               !* MPA
MP,NUXY, 1, 0.3
TB,SMA,1
TBDATA,1,520,600,300,200,0.07,0 !* SHAPE MEMORY ALLOY
TBDATA,7,60E3
N,101, 0.00, 0.00
N,102, 1.00, 0.00
N,103, 1.00, 1.00
N,104, 0.00, 1.00
N,105, 0.50, 0.00
N,106, 1.00, 0.50
N,107, 0.50, 1.00
N,108, 0.00, 0.50
TYPE,1
MAT,1
E,101,102,103,104,105,106,107,108
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,ALL
FINISH
/SOLU
NLGEOM,ON
NSUBST,200,200,200
OUTRES,ALL,1
NSEL,S,LOC,Y,1.0
SF,ALL,PRES,-600        !* 1ST LOAD STEP -- LOAD THE MODEL
NSEL,ALL
SOLVE
NSEL,S,LOC,Y,1.0
SF,ALL,PRES,0          !* 2ND LOAD STEP -- UNLOAD THE MODEL
NSEL,ALL
SOLVE
FINISH
/POST26
ESOL,2,1,103,S,EQV           !* EQUIVALENT STRESS AT NODE 103
ESOL,3,1,103,EPEL,EQV        !* ELASTIC STRAIN AT NODE 103
ESOL,4,1,103,EPPL,EQV        !* PLASTIC STRAIN AT NODE 103
ADD,5,3,4                    !* TOTAL STRAIN AT NODE 103
PROD,6,5, , ,STRAIN, , ,100  !* PERCENT TOTAL STRAIN
XVAR,6
/TITLE,UNIAXIAL TENSION STRESS-STRAIN RESPONSE FRO A Ni-Ti ALLOY
/AXLAB,X,Strain[%]
/AXLAB,Y,Stress [MPA]
/GROPT,DIVY,7
/YRANGE,0,700                !* SET Y-RANGE
/XRANGE,0,8                  !* SET X-RANGE
PLVAR,2                      !* PLOT TOTAL STRAIN VS EQV STRESS
PRVAR,2,5
FINISH
/POST1
SET, , , , ,0.87
*GET,SIG_SAS,NODE,103,S,EQV
*GET,EPTO_SAS,NODE,103,EPTO,EQV
SET, , , , ,1
*GET,SIG_FAS,NODE,103,S,EQV
*GET,EPTO_FAS,NODE,103,EPTO,EQV
SET, , , , ,1.5
*GET,SIG_SSA,NODE,103,S,EQV
*GET,EPTO_SSA,NODE,103,EPTO,EQV
SET, , , , ,1.67
*GET,SIG_FSA,NODE,103,S,EQV
*GET,EPTO_FSA,NODE,103,EPTO,EQV
R1 = SIG_SAS/520
R2 = EPTO_SAS/0.01
R3 = SIG_FAS/600
R4 = EPTO_FAS/0.08
R5 = SIG_SSA/300
R6 = EPTO_SSA/0.074
R7 = SIG_FSA/200
R8 = EPTO_FSA/0.32E-02
*DIM,LABEL,CHAR,8,2
*DIM,VALUE,,8,3
LABEL(1,1) = 'SIG','EPTO','SIG','EPTO','SIG','EPTO','SIG','EPTO'
LABEL(1,2) = '-SAS','-SAS','-FAS','-FAS','-SSA','-SSA','-FSA','-FSA'
*VFILL,VALUE(1,1),DATA,520,0.01,600,0.08,300,0.074,200,0.32E-02
*VFILL,VALUE(1,2),DATA,SIG_SAS,EPTO_SAS,SIG_FAS,EPTO_FAS,SIG_SSA,EPTO_SSA,SIG_FSA,EPTO_FSA
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8
SAVE,TABLE_2
FINISH
/CLEAR, NOSTART                 !* CLEAR DATABASE FOR SECOND SOLUTION
/TITLE,VM251, SHAPE MEMORY ALLOY UNDER UNIAXIAL TENSION LOAD
/COM    USING 3D 8-NODE SOLID185 STRUCTURAL SOLID ELEMENTS
/PREP7
ET,1,185                        !* 3D 8-NODE STRUCTURAL SOLID ELEMENT
MP, EX, 1, 60.0E3               !* MPA
MP,NUXY, 1, 0.3
TB,SMA,1
TBDATA,1,520,600,300,200,0.07,0 !* SHAPE MEMORY ALLOY
TBDATA,7,60E3
N,101, 0.00, 0.00
N,102, 10.00, 0.00
N,103, 10.00, 10.00
N,104, 0.00, 10.00
N,105, 0.00, 0.00,10.00
N,106, 10.00, 0.00,10.00
N,107, 10.00, 10.00,10.00
N,108, 0.00, 10.00,10.00
TYPE,1
MAT,1
E,101,102,103,104,105,106,107,108
TYPE,1
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,Z
D,ALL,UZ
NSEL,ALL
FINISH
/SOLU
NLGEOM,ON
NSUBST,100,100,100
OUTRES,ALL,1
NSEL,S,LOC,Y,10.0
SF,ALL,PRES,-600        !* 1ST LOAD STEP -- LOAD THE MODEL
NSEL,ALL
SOLVE
NSEL,S,LOC,Y,10.0
SF,ALL,PRES,0          !* 2ND LOAD STEP -- UNLOAD THE MODEL
NSEL,ALL
SOLVE
FINISH
/POST26
ESOL,2,1,103,S,EQV           !* EQUIVALENT STRESS AT NODE 103
ESOL,3,1,103,EPEL,EQV        !* ELASTIC STRAIN AT NODE 103
ESOL,4,1,103,EPPL,EQV        !* PLASTIC STRAIN AT NODE 103
ADD,5,3,4                    !* TOTAL STRAIN AT NODE 103
PROD,6,5, , ,STRAIN, , ,100  !* PERCENT TOTAL STRAIN
XVAR,6
/axlab,x,Strain[%]
/axlab,y,Stress [MPa]
/YRANGE,0,700                !* SET Y-RANGE
/XRANGE,0,8                  !* SET X-RANGE
/GROPT,DIVY,7
PLVAR,2                      !* PLOT TOTAL STRAIN VS EQV STRESS
PRVAR,2,5
FINISH
/POST1
SET, , , , ,0.87
*get,SIG_SAS,node,103,s,eqv
*get,EPTO_SAS,node,103,epto,eqv
SET, , , , ,1
*get,SIG_FAS,node,103,s,eqv
*get,EPTO_FAS,node,103,epto,eqv
SET, , , , ,1.5
*get,SIG_SSA,node,103,s,eqv
*get,EPTO_SSA,node,103,epto,eqv
SET, , , , ,1.67
*get,SIG_FSA,node,103,s,eqv
*get,EPTO_FSA,node,103,epto,eqv
R1 = SIG_SAS/520
R2 = EPTO_SAS/0.01
R3 = SIG_FAS/600
R4 = EPTO_FAS/0.08
R5 = SIG_SSA/300
R6 = EPTO_SSA/0.074
R7 = SIG_FSA/200
R8 = EPTO_FSA/0.32E-02
*DIM,LABEL,CHAR,8,2
*DIM,VALUE,,8,3
LABEL(1,1) = 'Sig','EPTO','Sig','EPTO','Sig','EPTO','Sig','EPTO'
LABEL(1,2) = '-SAS','-SAS','-FAS','-FAS','-SSA','-SSA','-FSA','-FSA'
*VFILL,VALUE(1,1),DATA,520,0.01,600,0.08,300,0.074,200,0.32E-02
*VFILL,VALUE(1,2),DATA,SIG_SAS,EPTO_SAS,SIG_FAS,EPTO_FAS,SIG_SSA,EPTO_SSA,SIG_FSA,EPTO_FSA
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8
SAVE,TABLE_3
RESUME,TABLE_1
/COM
/OUT,vm251,vrt
/COM,------------------- VM251 RESULTS COMPARISON --------------
/COM,
/COM,               |  TARGET   |   ANSYS  |  RATIO
/COM,
/COM,RESULTS USING PLANE182 ELEMENT
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A4,A8,'   ',F10.3,'  ',1F10.3,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,RESULTS USING PLANE183 ELEMENT
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A4,A8,'   ',F10.3,'  ',1F10.3,'   ',1F5.3)
/NOPR
RESUME,TABLE_3
/GOPR
/COM,
/COM,RESULTS USING SOLID185 ELEMENT
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A4,A8,'   ',F10.3,'  ',1F10.3,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm251,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM250 Input Listing 		Up / Home Next
VM252 Input Listing


VM252 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM252
/TITLE,VM252,GURSON BAR-NECKING BENCHMARK WITH APPLIED DISPLACEMENT
/COM, REFERENCE:
/COM, N. ARAVAS, "ON THE NUMERICAL INTEGRATION OF A CLASS OF PRESSURE
/COM, DEPENDENT PLASTICITY MODELS." INT. J. FOR NUMERICAL METHODS IN
/COM, ENGINEERING.  VOLUME. 24, PP. 1395-1416 (1987)
/COM, SECTION 5.3, FIGURE 10.
! DEFINED CONSTANTS
PI=3.141592654
MYSUBST=100                  ! NUMBER OF SUBSTEPS FOR SOLUTION
UAPP=0.7602                  ! APPLIED DISPLACEMENT
R0=1                         ! WIDTH OF ROD
DR0=0.005*R0                 ! NODE OFFSET TO CREATE NOTCH
L0=4.0*R0                    ! LENGTH OF MODEL
YOUNG=1000000                ! YOUNG'S MODULUS
NU=0.3                       ! POISSON RATIO
! GURSON COEFFICIENTS
Q1=1.5                       ! FIRST TVERGAARD CONSTANT
Q2=1                         ! SECOND TVERGAARD CONSTANT
Q3=Q1*Q1                     ! THIRD TVERGAARD CONSTANT
SIGMA_Y=YOUNG/300.0          ! YIELD STRESS
YIELD=1.0D0/SIGMA_Y/PI/R0/R0 ! YIELD STRENGTH
F_0=1E-8                     ! INITIAL POROSITY
F_N=0.04                     ! VOLUME FRACTION/ VOID NUCLEATION
S_N=0.1                      ! STANDARD DEV. OF MEAN STRAIN FOR NUCLEATION.
STRAIN_N=0.3                 ! MEAN STRAIN FOR NUCLEATIONS
POWER_N=0.1                  ! FOR ELASTIC MATERIAL DEFINITION
/PREP7
MP,EX,1,YOUNG                ! MATERIAL PROPERTIES
MP,NUXY,1,NU
TB,NLISO,1,1,2,5             ! ELASTIC MODEL
TBDATA,1,SIGMA_Y,POWER_N

TB,GURS,1,,5,BASE		! BASE DEFINED
TBDATA,1,SIGMA_Y,F_0,Q1,Q2,Q3

TB,GURS,1,,3,SNNU		! SNNU DEFINED
TBDATA,1,F_N,STRAIN_N,S_N

ET,1,PLANE182,,,1                 ! AXISYMMETRIC 2D
RECT,0,R0,0,L0/8             ! DEFINE GEOMETRY AND MESH
RECT,0,R0,L0/8,L0
AGLUE,ALL
LSEL,S,LOC,X,R0/2
LESIZE,ALL,,,10
LSEL,S,LOC,Y,L0/16
LESIZE,ALL,,,5
LSEL,S,LOC,Y,L0/8,L0
LESIZE,ALL,,,20,4
SAVE,MODEL
AMESH,ALL
MODMSH,DETACH
NMODIF,NODE(R0,0,0),R0-DR0,0,0    ! TO CREATE NOTCH AT BOTTOM OF ROD
NSEL,S,LOC,X,0                    ! BOUNDARY CONDITIONS
D,ALL,UX,0
NSEL,S,LOC,Y,0
D,ALL,UY,0
ALLS
NSEL,S,LOC,Y,L0
D,ALL,UY,UAPP
ALLS
FINISH
*CREATE,MACRO,MAC		  ! MACRO FOR SOLUTION AND POST PROCESSING
/SOLU                             ! NON-LINEAR SOLUTION
OUTRES,ALL,ALL
NLGEOM,ON
NROPT,UNSYM
SOLCONTROL,ON
CNVTOL,F,1.0,0.1
NSUBST,MYSUBST,MYSUBST,MYSUBST
ALLS
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH
/POST1                            ! REACTION FORCES AT TOP OF BAR
*DIM,X,ARRAY,MYSUBST
*DIM,Y,ARRAY,MYSUBST
*DO,J,1,MYSUBST
SET,1,J
*GET,DISPY,NODE,NODE(R0,L0,0),U,Y
X(J)=LOG(1+DISPY/L0)              ! AS DEFINED BY REFERENCE
TOTFORCE=0.0D0
NSEL,ALL
ESLN
NSLE
*GET,NNODE,NODE,,COUNT
*DO,K,1,NNODE
*IF,NY(K),EQ,4.0,THEN
*GET,NFOR,NODE,K,RF,FY
TOTFORCE=TOTFORCE+NFOR            ! TOTAL FORCE
*ENDIF
*ENDDO
Y(J)=TOTFORCE*YIELD               ! Y DATA TO BE PLOTTED
*ENDDO
MAXIMUM=0.01                      ! LOOP TO DETERMINE MAXIMUM IN VECTOR Y
*DO,KK,1,MYSUBST,1
*IF,Y(KK),LT,MAXIMUM,THEN
MAXIMUM=Y(KK-1)
*EXIT
*ELSE
MAXIMUM=Y(KK)
KK=KK+1
*ENDIF
*ENDDO
/AXLAB,Y,NORMALIZED LOAD
*VPLOT,X(1),Y(1)
*DIM,VALUE,ARRAY,1,3
*DIM,LABEL,CHAR,1,1
LABEL(1) = 'LOADING'
*VFILL,VALUE(1,1),DATA,1.25
*VFILL,VALUE(1,2),DATA,MAXIMUM
*VFILL,VALUE(1,3),DATA,1.25/MAXIMUM
*END
MACRO
SAVE,TABLE_1
RESUME,MODEL
/PREP7
ET,1,PLANE183,,,1
AMESH,ALL
MODMSH,DETACH
NMODIF,NODE(R0,0,0),R0-DR0,0,0    ! TO CREATE NOTCH AT BOTTOM OF ROD
NSEL,S,LOC,X,0                    ! BOUNDARY CONDITIONS
D,ALL,UX,0
NSEL,S,LOC,Y,0
D,ALL,UY,0
ALLS
NSEL,S,LOC,Y,L0
D,ALL,UY,UAPP
ALLS
FINISH
MACRO
SAVE,TABLE_2
RESUME,TABLE_1
/COM,
/OUT,vm252,vrt
/COM,--------------- VM252 RESULTS COMPARISON -------------------
/COM,
/COM,            |  TARGET  |  ANSYS |  RATIO  |
/COM,
/COM,PLANE182 RESULTS COMPARISON
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,'   ',F8.4,'   ',F8.4,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,PLANE183 RESULTS COMPARISON
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,'   ',F8.4,'   ',F8.4,'   ',1F5.3)
/COM,------------------------------------------------------------
/OUT
FINISH
*LIST,vm252,vrt
/DELETE,TABLE_1
/DELETE,TABLE_2

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM251 Input Listing 		Up / Home Next
VM253 Input Listing


VM253 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vm253
/TITLE,VM253,GURSON HYDROSTATIC TENSION BENCHMARK
/COM, REFERENCE:
/COM, N. ARAVAS, "ON THE NUMERICAL INTEGRATION OF A CLASS OF PRESSURE
/COM, DEPENDENT PLASTICITY MODELS." INT. J. FOR NUMERICAL METHODS IN
/COM, ENGINEERING.  VOLUME. 24, PP. 1395-1416 (1987)
/COM, SECTION 5.2, FIGURE 7.
! DEFINED CONSTANTS
PI=3.141592654
UAPP=0.15                    ! APPLIED DISPLACEMENT
YOUNG=1000000                ! YOUNG'S MODULUS
NU=0.3                       ! POISSON RATIO
! GURSON COEFFICIENTS
Q1=1.5                       ! FIRST TVERGAARD CONSTANT
Q2=1                         ! SECOND TVERGAARD CONSTANT
Q3=Q1*Q1                     ! THIRD TVERGAARD CONSTANT
SIGMA_Y=YOUNG/300.0          ! YIELD STRESS
YIELD=1.0D0/SIGMA_Y/PI       ! YIELD STRENGTH
F_0=0.04                     ! INITIAL POROSITY
F_N=0.04                     ! VOLUME FRACTION OF VOID NUCLEATING PARTICLES
S_N=0.1                      ! STANDARD DEVIATION OF MEAN STRAIN FOR NUCLEA.
STRAIN_N=0.3                 ! MEAN STRAIN FOR NUCLEATIONS
POWER_N=0.1                  ! POWER FOR ELASTIC MODEL
/PREP7
MP,EX,1,YOUNG
MP,NUXY,1,NU
TB,NLISO,1,1,2,5             ! ELASTIC MODEL DEFINITION
TBDATA,1,SIGMA_Y,POWER_N

TB,GURS,1,,5,BASE		! BASE DEFINED
TBDATA,1,SIGMA_Y,F_0,Q1,Q2,Q3

TB,GURS,1,,3,SNNU		! SNNU DEFINED
TBDATA,1,F_N,STRAIN_N,S_N

BLOCK,,1,,1,,1               ! GEOMETRY AND MESHING
SAVE,MODEL
ET,1,SOLID185
VMESH,ALL
NSEL,S,LOC,X,0               ! BOUNDARY CONDITIONS
D,ALL,UX,0
NSEL,S,LOC,Y,0
D,ALL,UY,0
NSEL,S,LOC,Z,0
D,ALL,UZ,0
ALLS
FINISH
/SOLU
NSEL,S,LOC,X,1
D,ALL,UX,UAPP
NSEL,S,LOC,Y,1
D,ALL,UY,UAPP
NSEL,S,LOC,Z,1
D,ALL,UZ,UAPP
ALLS
NLGEOM,ON                    ! NON-LINEAR SOLUTION
NROPT,UNSYM
AUTOTS,OFF
SOLCONTROL,ON
CNVTOL,F,1.0,1E-5
NSUBST,100,100,100
OUTRES,ALL,ALL
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH
*CREATE,MACRO,MAC            ! MACRO FOR PLOTTING AND DATA COLLECTION
/POST26                      ! VOLUMETRIC PRESSURE VS. VOLUMETRIC STRAIN
NSOL,2,NODE(1,0,0),U,X
EXP,3,2,,,ONE,,,1E-10,1.0
ADD,4,2,3
NLOG,5,4,,,EPSV,,,1.0,3.0    ! X-AXIS ADJUSTMENT
ESOL,6,1,,NL,HPRES
PROD,7,6,,,P_SIGMAY,,,1/SIGMA_Y
XVAR,5
/AXLAB,X,VOLUMETRIC STRAIN
/AXLAB,Y,PRESSURE
PLVAR,7
*GET,EPSV10,VARI,7,RTIME,0.23
*GET,EPSV24,VARI,7,RTIME,0.55
*GET,EPSV40,VARI,7,RTIME,0.93
*DIM,TARGET,ARRAY,3,1
*DIM,ANSYS,ARRAY,3,1
*DIM,RATIO,ARRAY,3,1
*DIM,LABEL,CHAR,10
LABEL(1) = '0.10','0.24','0.40'
*VFILL,TARGET(1,1),DATA,1.62,1.00,0.62
*VFILL,ANSYS(1,1),DATA,EPSV10,EPSV24,EPSV40
R1=ANSYS(1,1)/TARGET(1,1)
R2=ANSYS(2,1)/TARGET(2,1)
R3=ANSYS(3,1)/TARGET(3,1)
*VFILL,RATIO(1,1),DATA,R1,R2,R3
*END
MACRO
SAVE,TABLE_1
RESUME,MODEL
/PREP7
ET,1,SOLID186
VMESH,ALL
NSEL,S,LOC,X,0               ! BOUNDARY CONDITIONS
D,ALL,UX,0
NSEL,S,LOC,Y,0
D,ALL,UY,0
NSEL,S,LOC,Z,0
D,ALL,UZ,0
ALLS
FINISH
/SOLU
NSEL,S,LOC,X,1
D,ALL,UX,UAPP
NSEL,S,LOC,Y,1
D,ALL,UY,UAPP
NSEL,S,LOC,Z,1
D,ALL,UZ,UAPP
ALLS
NLGEOM,ON                    ! NON-LINEAR SOLUTION
NROPT,UNSYM
AUTOTS,OFF
SOLCONTROL,ON
CNVTOL,F,1.0,1E-5
NSUBST,100,100,100
OUTRES,ALL,ALL
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH
MACRO
SAVE,TABLE_2
RESUME,TABLE_1
/COM,
/OUT,vm253,vrt
/COM,--------------- VM253 RESULTS COMPARISON -------------------
/COM,
/COM, EPSV  |  TARGET PRESSURE  |  ANSYS |  RATIO  |
/COM,
/COM,SOLID185 RESULTS COMPARISON
*VWRITE,LABEL(1),TARGET(1,1),ANSYS(1,1),RATIO(1,1)
(1X,A8,'   ',F10.4,'   ',F10.4,'   ',1F10.4)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,SOLID186 RESULTS COMPARISON
*VWRITE,LABEL(1),TARGET(1,1),ANSYS(1,1),RATIO(1,1)
(1X,A8,'   ',F10.4,'   ',F10.4,'   ',1F10.4)
/COM,------------------------------------------------------------
/OUT
FINISH
*LIST,vm253,vrt
/DELETE,TABLE_1
/DELETE,TABLE_2

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM252 Input Listing 		Up / Home Next
VM254 Input Listing


VM254 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM254
/TITLE, VM254 CAMPBELL DIAGRAMS AND CRITICAL SPEEDS USING SYMMETRIC ORTHOTROPIC BEARINGS
/COM,   REF: "THE DYNAMICS OF ROTOR-BEARING SYSTEMS USING FINITE ELEMENTS"
/COM,   JOURNAL OF ENG. FOR INDUSTRY - MAY 1976, PG: 598-600
/COM
/PREP7
*DIM,SPIN,,6		                         ! SPIN VELOCITY (RPM)
SPIN(1) = 1000.
SPIN(2) = 20000.
SPIN(3) = 40000.
SPIN(4) = 60000.
SPIN(5) = 80000.
SPIN(6) = 100000.
RO = 7806                                        ! MATERIAL : STEEL
PEX = 2.078E+11
PGXY = 1.E+20 		                         ! NO SHEAR
MP,EX,1,PEX
MP,DENS,1,RO
MP,GXY,1,PGXY

ET,1,PIPE16                                      ! ELEMENT TYPE # 1: SHAFT
NBDIAM = 18                                      ! SHAFT SECTION PROPERTIES
*DIM,DIAM,ARRAY,NBDIAM
DIAM(1) = 1.02E-2
DIAM(2) = 2.04E-2
DIAM(3) = 1.52E-2
DIAM(4) = 4.06E-2
DIAM(5) = DIAM(4)
DIAM(6) = 6.6E-2
DIAM(7) = DIAM(6)
DIAM(8) = 5.08E-2
DIAM(9) = DIAM(8)
DIAM(10) = 2.54E-2
DIAM(11) = DIAM(10)
DIAM(12) = 3.04E-2
DIAM(13) = DIAM(12)
DIAM(14) = 2.54E-2
DIAM(15) = DIAM(14)
DIAM(16) = 7.62E-2
DIAM(17) = 4.06E-2
DIAM(18) = DIAM(17)
*DO,I,1,NBDIAM
   R,I,DIAM(I),DIAM(I)/2
*ENDDO
R,7,DIAM(7),(DIAM(7)-3.04E-2)/2
R,8,DIAM(8),(DIAM(8)-3.56E-2)/2
R,18,DIAM(18),(DIAM(18)-3.04E-2)/2

ET,2,MASS21                                    ! ELEMENT TYPE # 2: MASS
R,20,1.401,1.401,1.401,0.002,0.00136,0.00136

ET,3,COMBI214                                  ! ELEMENT TYPE # 3: BEARING ELEMENT
KEYOPT,3,2,1                                   ! YZ PLANE
KEYOPT,3,3,0                                   ! ELEMENT IS SYMMETRIC
R,30,3.503E+7,3.503E+7,-8.756E+6,-8.756E+6,,   ! REAL CONSTANTS ( K11,K22,K12,K21) NO DAMPING

ET,4,COMBI214
KEYOPT,4,2,1                                   ! YZ PLANE
KEYOPT,4,3,0                                   ! ELEMENT IS SYMMETRIC
R,40,3.503E+7,3.503E+7,-8.756E+6,-8.756E+6,,   ! REAL CONSTANTS ( K11,K22,K12,K21) NO DAMPING

/COM, NODES
N,1 ,0.
N,2 ,1.27E-2
N,3 ,5.08E-2
N,4 ,7.62E-2
N,5 ,8.89E-2
N,6 ,10.16E-2
N,7 ,10.67E-2
N,8 ,11.43E-2
N,9 ,12.7E-2
N,10,13.46E-2
N,11,16.51E-2
N,12,19.05E-2
N,13,22.86E-2
N,14,26.67E-2
N,15,28.7E-2
N,16,30.48E-2
N,17,31.5E-2
N,18,34.54E-2
N,19,35.5E-2

BRG = 0.1		                             ! BEARING "LENGTH" FOR VISUALISATION
N,20,16.51E-2,BRG
N,22,28.7E-2,BRG

/COM, ELEMENTS
/COM, SHAFT
TYPE,1
MAT,1
*DO,I,1,NBDIAM
REAL,I
   E,I,I+1
*ENDDO

/COM, DISK
TYPE,2
REAL,20
E,5

/COM, BEARINGS
TYPE,3
REAL,30
E,11,20
TYPE,4
REAL,40
E,15,22
ALLSEL,ALL
FINI
/SOLU
D,ALL,UX                                      ! NO TRACTION AND TORSION
D,ALL,ROTX
D,20,ALL                                      ! SECOND NODES OF BEARING
D,22,ALL

/COM, MODAL
/OUT,SCRATCH
RATIO = 4*ATAN(1)/30
ANTYPE,MODAL
CORIOLIS,ON,,,ON
NBF = 20
MODOPT,DAMP,NBF,,,ON
*DO,I,1,6
   OMEGA,SPIN(I)*RATIO                       ! UNIT FOR OMEGA IS RAD/SEC
   MXPAND,NBF
   SOLVE
*ENDDO
FINI

/POST1
PRCAMP,,1.,RPM
PLCAMP,,1.,RPM
*GET,F1,CAMP,1,FREQ,6
*GET,F2,CAMP,2,FREQ,6
*GET,F3,CAMP,3,FREQ,6
*GET,F4,CAMP,4,FREQ,6
*DIM,LABEL,CHAR,1,4
*DIM,VALUE,ARRAY,4,3

LABEL(1,1) = 'WHIRL BW'
LABEL(1,2) = 'WHIRL FW'
LABEL(1,3) = 'WHIRL BW'
LABEL(1,4) = 'WHIRL FW'
*VFILL,VALUE(1,1),DATA,10747
*VFILL,VALUE(1,2),DATA,F1*60
*VFILL,VALUE(1,3),DATA,ABS((F1*60)/10747)
*VFILL,VALUE(2,1),DATA,19665
*VFILL,VALUE(2,2),DATA,F2*60
*VFILL,VALUE(2,3),DATA,ABS((F2*60)/19665)
*VFILL,VALUE(3,1),DATA,39077
*VFILL,VALUE(3,2),DATA,F3*60
*VFILL,VALUE(3,3),DATA,ABS((F3*60)/39077)
*VFILL,VALUE(4,1),DATA,47549
*VFILL,VALUE(4,2),DATA,F4*60
*VFILL,VALUE(4,3),DATA,ABS((F4*60)/47549)
/OUT,vm254,vrt
/COM,------------ VM254 RESULTS COMPARISON --------------
/COM,
/COM,         |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,
*VWRITE,LABEL(1,1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,'   ',F10.4,'  ',F10.4,'   ',F5.3)
*VWRITE,LABEL(1,2),VALUE(2,1),VALUE(2,2),VALUE(2,3)
(1X,A8,'   ',F10.4,'  ',F10.4,'   ',F5.3)
*VWRITE,LABEL(1,3),VALUE(3,1),VALUE(3,2),VALUE(3,3)
(1X,A8,'   ',F10.4,'  ',F10.4,'   ',F5.3)
*VWRITE,LABEL(1,4),VALUE(4,1),VALUE(4,2),VALUE(4,3)
(1X,A8,'   ',F10.4,'  ',F10.4,'   ',F5.3)
/COM,----------------------------------------------------------
/OUT,
FINISH
*LIST,vm254,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM253 Input Listing 		Up / Home Next
VM255 Input Listing


VM255 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM255
/TITLE,VM255,DELAMINATION OF DOUBLE CANTILEVER BEAM USING DEBONDING
/COM,   REF: ALFANO, G. AND CRISFIELD, M. A.,
/COM,   "FINITE ELEMENT INTERFACE MODELS FOR THE DELAMINATION ANALYSIS
/COM,   OF LAMINATED COMPOSITES: MECHANICAL AND COMPUTATIONAL ISSUES"
/COM,   INT. J. NUMER. METH. ENGNG 2001, 50:1701-1736.
/PREP7
ET,1,PLANE182              !* 2D 4-NODE STRUCTURAL SOLID ELEMENT
KEYOPT,1,1,2               !* ENHANCE STRAIN FORMULATION
KEYOPT,1,3,2               !* PLANE STRAIN
ET,2,PLANE182
KEYOPT,2,1,2
KEYOPT,2,3,2
ET,3,TARGE169              !* 2D TARGET ELEMENT
ET,4,CONTA171              !* 2D CONTACT ELEMENT
KEYOPT,4,12,5              !* BONDED ALWAYS CONTACT
MP,EX,1,1.353E5            !* E11 = 135.3 GPA
MP,EY,1,9.0E3              !* E22 =   9.0 GPA
MP,EZ,1,9.0E3              !* E33 =   9.0 GPA
MP,GXY,1,5.2E3             !* G12 =   5.2 GPA
MP,PRXY,1,0.24
MP,PRXZ,1,0.24
MP,PRYZ,1,0.46
KOPEN  = 1.E6
TB,CZM,2,1,1,CBDE
TBDATA,1,1.7,0.28,,,1.E-5
RECTNG,0,100,0,1.5         !* DEFINE AREAS
RECTNG,0,100,0,-1.5
LSEL,S,LINE,,2,8,2         !* DEFINE LINE DIVISION
LESIZE,ALL,0.75
LSEL,INVE
LESIZE,ALL, , ,200
ALLSEL,ALL
TYPE,1                     !* MESH AREA 2
MAT,1
LOCAL,11,0,0,0,0
ESYS,11
AMESH,2
CSYS,0
TYPE,2                     !* MESH AREA 1
ESYS,11
AMESH,1
CSYS,0
NSEL,S,LOC,X,30,100
TYPE,3
MAT,2
REAL,3
ESEL,S,TYPE,,2
NSLE,S
NSEL,R,LOC,Y
ESURF                      !* TARGET ELEMENTS
TYPE,4
REAL,3
RMODIF,3,3,-KOPEN
RMODIF,3,12,-KOPEN
ESEL,S,TYPE,,1
NSLE,S
NSEL,R,LOC,Y
NSEL,R,LOC,X,30,100
ESURF                      !* CONTACT ELEMENTS
ALLSEL,ALL
NSEL,S,LOC,X,100           !* APPLY CONSTRAINTS
D,ALL,ALL
NSEL,ALL
FINISH
/SOLU
ESEL,S,TYPE,,2
NSLE,S
NSEL,R,LOC,X
NSEL,R,LOC,Y,1.5           !* APPLY DISPLACEMENT LOADING ON TOP
D,ALL,UY,10
NSEL,ALL
ESEL,ALL
ESEL,S,TYPE,,1
NSLE,S
NSEL,R,LOC,X
NSEL,R,LOC,Y,-1.5          !* APPLY DISPLACEMENT LOADING ON BOTTOM
D,ALL,UY,-10
NSEL,ALL
ESEL,ALL
NLGEOM,ON
AUTOTS,ON
TIME,1
NSUBST,40,40,40
OUTRES,ALL,ALL
SOLVE                      !* PERFORM SOLUTION
FINISH
/POST26
NSEL,S,LOC,Y,1.5
NSEL,R,LOC,X,0
*GET,NTOP,NODE,0,NUM,MAX
NSEL,ALL
NSOL,2,NTOP,U,Y,UY
RFORCE,3,NTOP,F,Y,FY
PROD,4,3, , ,RF, , ,20
/TITLE,VM255, DCB: REACTION AT TOP NODE VERSES PRESCRIBED DISPLACEMENT
/AXLAB,X,DISP U (mm)
/AXLAB,Y,REACTION FORCE R (N)
/YRANGE,0,60
XVAR,2
PLVAR,4
PRVAR,UY,RF
*GET,TMAX,VARI,4,EXTREM,TMAX   !* TIME CORRESPONDING TO MAX RFORCE
FINISH
/POST1
SET, , , , ,TMAX               !* RETRIEVE RESULTS AT TMAX
NSEL,S,NODE, ,NTOP             !* SELECT NODE NTOP
*GET,RF_NTOP,NODE,NTOP,RF,FY   !* FY RFORCE AT NODE NTOP
*GET,UY_NTOP,NODE,NTOP,U,Y     !* DISP AT NODE NTOP CORRESPONDING TO RFORCE
RF_MAX = RF_NTOP*20            !* PLANE STRAIN OPTION AND WIDTH = 20 mm
SET,LAST                       !* RETRIEVE RESULTS AT LAST SUBSTEP
*GET,RF_END,NODE,NTOP,RF,FY    !* FY RFORCE AT NODE NTOP AT LAST SUBSTEP
*GET,UY_END,NODE,NTOP,U,Y      !* DISP AT NODE NTOP CORRESPONDING TO RFORCE
RF_END = RF_END*20             !* PLANE STRAIN OPTION AND WIDTH = 20 mm
*DIM,LABEL,CHAR,2,2
*DIM,VALUE,,2,3
*DIM,VALUE2,,2,3
LABEL(1,1) = 'RFORCE','DISP '
LABEL(1,2) = 'FY (N)','UY (mm)'
*VFILL,VALUE(1,1),DATA,50.0,1.5
*VFILL,VALUE(1,2),DATA,RF_MAX,UY_NTOP
*VFILL,VALUE(1,3),DATA,ABS(RF_MAX/50.0),ABS(UY_NTOP/1.5)
*VFILL,VALUE2(1,1),DATA,24.0,10.0
*VFILL,VALUE2(1,2),DATA,RF_END,UY_END
*VFILL,VALUE2(1,3),DATA,ABS(RF_END/24.0),ABS(UY_END/10.0)
/COM
/OUT,vm255,vrt
/COM,------------------- VM255 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,MAX RFORCE AND CORRESPONDING DISP USING DEBONDING:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.3,'  ',1F10.3,'   ',1F5.3)
/COM,
/COM,RFORCE CORRESPONDING TO DISP U = 10.0 USING DEBONDING:
/COM,
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE2(1,1),VALUE2(1,2),VALUE2(1,3)
(1X,A8,A8,'   ',F10.3,'  ',1F10.3,'   ',1F5.3)
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm255,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM254 Input Listing 		Up / Home Next
VM256 Input Listing


VM256 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM256
/COM,   VERIFICATION MANUAL FOR FRACTURE MECHANCIS, REL 11.0
/TITLE,VM256 FRACTURE MECHANICS STRESS INTENSITY  - CRACK IN A 2D PLATE
/COM    REFERENCE: BROWN AND SRAWLEY, ASTM SPECIAL TECHNICAL PUBLICATION NO. 410.
/COM    ****** CRACK IN 2-DIMENSIONS USING 2-D PLANE183 ELEMENT  ******
/PREP7
ET,1,PLANE183,,,2              ! PLANE183 (PLANE STRAIN)
MP,EX,1,30E6
MP,NUXY,1,0.3
K,1                           ! DEFINE KEYPOINTS AND LINE SEGMENTS
K,2,4
K,3,4,5
K,4,-1,5
K,5,-1
L,1,2
L,2,3
LESIZE,2,,,4
L,3,4
LESIZE,3,,,4
L,4,5,
LESIZE,4,,,6,.2
L,5,1
ESIZE,,5
KSCON,1,.15,0,8               ! DEFINE CRACK TIP ELEMENT SIZE, NO SINGULAR ELEMENTS
AL,1,2,3,4,5
DL,1,1,SYMM                   ! APPLY SOLID MODEL BOUNDARY CONDITIONS
DL,4,1,SYMM
SFL,3,PRES,-.5641895
AMESH,1
OUTPR,ALL
FINISH
/SOLU
ANTYPE,STATIC
OUTRES,ALL,ALL
NSEL,S,LOC,X,0,10
NSEL,R,LOC,Y,0
D,ALL,UY,0
ALLSEL,ALL
NSEL,S,LOC,X,0
NSEL,R,LOC,Y,0
D,ALL,UX,0
ALLSEL,ALL
NSEL,S,LOC,X,0
NSEL,R,LOC,Y,0
CM,CRACKTIP,NODE             ! DEFINE CRACK TIP NODE COMPONENT
ALLSEL,ALL
CINT,NEW,1                   ! DEFINE CRACK ID
CINT,CTNC,CRACKTIP           ! DEFINE CRACK TIP NODE COMPONENT
CINT,SYMM,ON                 ! SYMMETRY ON
CINT,NCON,6                  ! NUMBER OF COUNTOURS
CINT,NORM,0,2                ! DEFINE CRACK PLANE NORMAL
CINT,LIST
ALLSEL,ALL
/OUT,SCRATCH
SOLVE
FINI
/POST1
/OUT,
PRCINT,1                        ! PRINT THE J INTEGRAL VALUES FOR ALL PATHS
*GET,J,CINT,1,,1,,6             ! GET THE J INTEGRAL VALUE FOR CRACK TIP NODE 1, COUNTOUR NUMBER 6
*STATUS,J
CON1=30E6/(1-(0.3*0.3))         ! WHERE E=30E6; NU=0.3
K =(CON1*ABS(J))**0.5
*STATUS,K
/OUT,SCRATCH
*DIM,LABEL,CHAR,1,
*DIM,VALUE,,1,3
LABEL(1,1) = 'KI ',
*VFILL,VALUE(1,1),DATA,1.0249     ! STRESS INTENSITY VALUE OBTAINED FROM REFERENCE
*VFILL,VALUE(1,2),DATA,K
*VFILL,VALUE(1,3),DATA,ABS(K/1.0249)
SAVE,TABLE_1
FINISH
/CLEAR, NOSTART                ! CLEAR DATABASE FOR 2ND SOLUTION
/OUT,

/COM ************* CRACK IN 3D PLATE USING SOLID 185 ELEMENT ******************* C

/PREP7
SMRT,OFF
/TITLE, VM256, FRACTURE MECHANICS STRESS INTENSITY  - CRACK IN A FINITE WIDTH PLATE
/COM,     ****** CRACK IN 3-DIMENSIONS USING SOLID185
/COM,
ET,1,SOLID185          ! SOLID 185 ELEMENT
ET,2,SOLID185          ! ELEMENTS AROUND THE CRACK TIP
MP,EX,1,3E7
MP,NUXY,1,0.3
CSYS,1                 ! CYLINDRICAL COORDINATE SYSTEM
N,1
NGEN,9,20,1
N,11,0.8
N,171,0.8,180
FILL,11,171,7,31,20
CSYS,0                ! CARTESIAN COORDINATE SYSTEM
FILL,1,11,9,2,1,9,20,3
N,15,4
N,75,4,5
FILL,15,75,2,35,20
N,155,-1,5
FILL,75,155,3,95,20
N,172,-1
FILL,155,172,5,177,-1,,,.15
FILL,11,15,3,,,7,20,3
NGEN,2,200,1,177,,,,.25
/OUT,SCRATCH
E,2,22,1,1,202,222,201,201
EGEN,8,20,-1
E,2,3,23,22,202,203,223,222
EGEN,8,20,-1
EGEN,9,1,-8
EGEN,5,1,73,78
E,171,151,173,172,371,351,373,372
E,151,131,174,173,351,331,374,373
E,131,132,175,174,331,332,375,374
EGEN,3,1,-1
E,134,135,155,177,334,335,355,377
TYPE,2
EMODIF,1                    ! MODIFY ELEMENTS 1 TO 8 FROM TYPE,1 TO TYPE,2
*REPEAT,8,1
NUMMRG,NODE                 ! MERGE COINCIDENT NODES
ALLSEL,ALL
/OUT,
NSEL,S,LOC,X,0
NSEL,R,LOC,Y,0
NLIST
CM,CRACKTIP,NODE            ! CRACK TIP NODE COMPONENT
ALLSEL,ALL
NSEL,S,LOC,X,-1
DSYM,SYMM,X                 ! SYMMETRY BOUNDARY CONDITIONS
NSEL,S,LOC,X,0,4
NSEL,R,LOC,Y,0
DSYM,SYMM,Y                 ! SYMMETRY BOUNDARY CONDITIONS
ALLSEL,ALL
D,ALL,UZ,0
ALLSEL,ALL
NSEL,S,LOC,Y,5
SF,ALL,PRES,-0.5641895      ! SURFACE PRESSURE
ALLSEL,ALL
FINI
/SOLU
AUTOTS,ON
NSUBST,10
OUTRES,ALL,ALL
CINT,NEW,1                    ! CRACK ID
CINT,NAME,CRACKTIP            ! CRACK COMPONENT
CINT,NCON,6                   ! NO OF CONTOURS
CINT,SYMM,ON                  ! SYMMETRY ON
CINT,NORM,0,2                 ! CRACK PLANE NORMAL
CINT,LIST
ALLSEL,ALL
SAVE
/NERR,0,,,,
/OUT,SCRATCH
SOLVE
FINI
/POST1
/OUT,
*GET,J,CINT,1,,1,,6             ! GET J INTEGRAL VALUE FOR CRACK ID 1, CRACK TIP NODE 1, COUNTOUR 6
*STATUS,J
CON1=3E7/(1-(0.3*0.3))          ! WHERE E=3E7; NU=0.3
K =(CON1*ABS(J))**0.5
*STATUS,K
*DIM,LABEL,CHAR,1,
*DIM,VALUE,,1,3
LABEL(1,1) = 'KI ',
*VFILL,VALUE(1,1),DATA,1.0249     ! STRESS INTENSITY VALUE OBTAINED FROM REFERENCE
*VFILL,VALUE(1,2),DATA,K
*VFILL,VALUE(1,3),DATA,ABS(K/1.0249)
SAVE,TABLE_2
FINISH
/CLEAR, NOSTART                ! CLEAR DATABASE FOR 3RD SOLUTION
/OUT,

/COM ************* SEMI CIRCULAR SURFACE CRACK IN 3D PLATE USING SOLID 186 ELEMENT ******************* C

/PREP7
/TITLE,VM256 FRACTURE MECHANICS STRESS INTENSITY  - SEMI CIRCULAR SURFACE CRACK IN A 3D PLATE
/COM    REFERENCE: RAJU, I.S.,NEWMAN, J.C., " STRESS INTENSITY FACTORS FOR A WIDE RANGE OF
/COM,              SEMI ELLIPTICAL SURFACE CRACK IN FINITE-THICKNESS PLATES", ENGINEERING
/COM,              FRACTURE MECHANICS, VOL 11, 1979, PP 817-829
/COM,
ET,1,186               ! SOLID ELEMENT 186
ET,11,200,7            ! MESH 200 ELEMENT
SIGM = -100            ! LOAD
MP,EX,1,30E6
MP,NUXY,1,0.3
A=6                   ! CRACK LENGTH
B=6                   ! CRACK RADIUS
BW=15                 ! THICKNESS
BB=A+B
BB2=30                ! HALF WIDTH
BH=1.5
BH2=30                ! HALF HEIGHT
A1=1
B1=1
LOCAL,11,1,0,0,0, 0,0,0,1,1
X1=0
Y1=0
Z1=0
X2=a
Y2=0
Z2=0
X3=bb
Y3=0
Z3=0
X4=bb
Y4=0
Z4=bh
X5=0
Y5=bw
Z5=0
X6=bb
Y6=bw
Z6=0
X7=bb
Y7=0
Z7=bh2
X8=bb2
Y8=0
Z8=0
CSYS,11
K,1,A
K,2,A,90
L,1,2
K,3,A1
K,4,A1,90
L,3,4
CSYS,0

K,14,X4,Y4,Z4                ! KEYPOINTS
K,11,X1,Y1,Z1
K,13,X3,Y3,Z3
K,15,X5,Y5,Z5
K,16,X6,Y6,Z6
K,17,X7,Y7,Z7
K,18,X8,Y8,Z8

L,13,14
L,14,17
L,13,18

A,11,3,4
A,3,1,2,4
A,1,13,16,15,2

VEXT,ALL,,,,,1.5
ALLSEL,ALL

ESIZE,0.25
KSEL,S,,,1
KESIZE,1,0.2
KSCON,1,0.2,0,4,1.0

/OUT,SCRATCH
TYPE,11
AMESH,5                        ! BASE AREA
AMESH,9                        ! BASE AREA
AMESH,13                       ! BASE AREA
ALLSEL,ALL
EXTOPT,ACLEAR,1

TYPE,1
VSWEEP,2,9,11
VSWEEP,3,13,16
VSWEEP,1,5,7

ASEL,S,,,4
ASEL,A,,,8
ASEL,A,,,12
LESIZE,4,,,4,4                 ! LINE ALONG Z DIRECTION
VDRAG,ALL,,,,,,4

LESIZE,5,,,4,4                 ! LINE ALONG X AXIS
ASEL,S,LOC,X,BB
VDRAG,ALL,,,,,,5

CSYS,11
NSEL,S,LOC,Z,0
AA = A-0.01
NSEL,R,LOC,X,AA,100000
D,ALL,UZ
CSYS,0

NSEL,S,LOC,X,
D,ALL,UX,0
NSEL,R,LOC,Y,
NSEL,R,LOC,Z,
D,ALL,UY
ALLSEL,ALL
NSEL,S,LOC,Z,BH2-0.001,100000
SF,ALL,PRES,SIGM
ALLSEL,ALL
FINI

/SOLU
ANTYPE,STATIC
EQSLV,PCG
LSEL,S,LINE,,1
/OUT,
NSLL,S,1
CM,CRACKTIP,NODE
ALLSEL,ALL

CINT,NEW,1                        ! CRACK ID
CINT,CTNC,CRACKTIP                ! CRACK TIP NODE COMPONENT
CINT,NCON,5                       ! NUMBER OF COUNTOUR
CINT,NORM,0,3                     ! CRACK PLANE NORMAL
CINT,SYMM,ON                      ! SYMMETRY ON
CINT,LIST
ALLSEL,ALL
/OUT,SCRATCH
SOLVE
SAVE
FINI

/POST1
SET,LAST
PRCINT,1                          ! J INTEGRAL VALUES
/OUT,
/COM,
/COM,  ********** CALCULATING STRESS INTENSITY USING CINT COMMAND ************** C
*GET,J1,CINT,1,,94,,5             ! GET THE J VALUE FOR CRACK TIP NODE 94 ( 0 DEGREE)
*STAT,J1
CON1 = 30E6 / (1-(0.3*0.3))
K1 = SQRT(ABS(J1)*CON1)
KI1 = K1 / (100*SQRT(A))          ! STRESS INTENSITY VALUE OBTAINED FROM CINT COMMAND
*STATUS,KI1
/COM,
/COM,  ********** CALCULATING STRESS INTENSITY USING KCALC COMMAND **************** C
CS,14,0,94,680,140                ! DEFINE A LOCAL COORDINATE SYSTEM ( CRACK TIP NODE AT 0 DEGREE)
CSYS,14
RSYS,14
PATH,PATH1,3,,48                  ! DEFINE PATH WITH NAME = "PATH1"
PPATH,1,94                        ! DEFINE PATH POINTS BY NODE
PPATH,2,137
PPATH,3,136
KCALC,0,1,0,1
*GET,K2,KCALC,,K,1
*STATUS,K2
KI2 = K2 / (100*SQRT(A))
*STATUS,KI2
/COM,
*DIM,LABEL,CHAR,1,
*DIM,VALUE,,1,3
LABEL(1,1) = 'KI ',
*VFILL,VALUE(1,1),DATA,1.40       ! STRESS INTENSITY VALUE OBTAINED FROM REFERENCE FOR 0 DEGREE
*VFILL,VALUE(1,2),DATA,KI1        ! STRESS INTENSITY VALUE OBTAINED FROM CINT COMMAND
*VFILL,VALUE(1,3),DATA,ABS(KI1/1.40)
SAVE,TABLE_3
FINISH
RESUME,TABLE_1
/COM
/OUT,vm256,vrt
/COM,------------------- VM256 RESULTS COMPARISON --------------
/COM,
/COM,           |  TARGET  |   ANSYS  |  RATIO
/COM,
/COM, ****************************************
/COM,  USING PLANE 183 ELEMENT (2-D ANALYSIS)
/COM, *****************************************
/COM,
*VWRITE,LABEL(1,1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,'   ',F10.4,'  ',F10.4,'   ',F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM, *****************************************
/COM,  USING SOLID 185 ELEMENT (3-D ANALYSIS)
/COM, *****************************************
/COM,
*VWRITE,LABEL(1,1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,'   ',F10.4,'  ',F10.4,'   ',F5.3)
/NOPR
RESUME,TABLE_3
/GOPR
/COM,
/COM, ********************************************************
/COM,  USING SOLID 186 ELEMENT - SURFACE CRACK (3-D ANALYSIS)
/COM, ********************************************************
/COM,
*VWRITE,LABEL(1,1),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,'   ',F10.4,'  ',F10.4,'   ',F5.3)
/NOPR
/COM,
/COM,-----------------------------------------------------------
/OUT
FINISH
*LIST,vm256,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM255 Input Listing 		Up / Home Next
VM257 Input Listing


VM257 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM257
/TITLE,VM257,SWING COMPRISING TWO RIGID LINKS AND A BEAM WITH MIDSPAN MASS
/COM    O.A. BAUCHAU. G. DAMILANO AND N.J. THERON
/COM    NUMERICAL INTEGRATION OF NON-LINEAR ELASTIC MULTI-BODY SYSTEMS
/COM    INTERNATIONAL JOURNAL FOR NUMERICAL METHODS IN  ENGINEERING,
/COM    VOL. 38, 2727-2751 (1995)
C***  PERFORM ANALYSIS USING MPC184 RIGID LINKS
/PREP7
MP,EX,1,73E9               ! 73 GN/M^2
MP,NUXY,1,0.3
MP,DENS,1,2700             ! KG/M^3
K,1,0,0.36,0
K,2,0,0,0
K,3,0.72,0,0
K,4,0.72+0.36,0.36
L,1,2
L,2,3
L,3,4
ET,1,BEAM188               ! 3D LINEAR FINITE STRAIN BEAM
ET,2,MPC184                ! RIGID LINK
ET,3,MASS21                ! 3DMASS ELEMENT
KEYOPT,3,3,2               ! 3D MASS WITHOUT ROTARY INERTIA
R,3,0.5                    ! 0.5 KG
SECTYPE, 1, BEAM, RECT
SECDATA,1E-3,5E-3          ! 1 MM X 5 MM CROSS SECTION
TYPE,1
MAT,1
SECNUM,1
LESIZE,2, , ,4
LMESH,2                    ! DEFORMABLE BEAM
TYPE,2
MAT,2
SECNUM,2
LESIZE,1, , ,1             ! RIGID LINK
LMESH,1
TYPE,2
MAT,2
SECNUM,2
LESIZE,3, , ,1
LMESH,3                    ! RIGID LINK
NDMID = NODE(0.72/2,0,0)   ! NODE AT BEAM MIDSPAN
NDB   = NODE(0.72/4,0,0)   ! NODE AT LOCATION B
TYPE,3
REAL,3
E,NDMID                    ! MASS AT BEAM MIDSPAN
NSEL,S,LOC,Y,0.36
D,ALL,ALL
DDELE,ALL,ROTZ
ALLSEL,ALL
NDA = NODE(0,0,0)          ! NODE AT LOCATION A
NDE = NODE(0.72,0,0)       ! NODE AT LOCATION E
D, NDA, UZ, 0.0, ,, ,ROTX,ROTY
D, NDB, UZ, 0.0, ,, ,ROTX,ROTY
ALLSEL
FINISH
SAVE
C*** PERFORM SOLUTION USING HHT ALGORITHM WITH RESPONSE FREQ
/SOLU
*DIM,FXMID,TABLE,4,1,1
FXMID(1,0,1) = 0.0         !  TIME VALUES
FXMID(2,0,1) = 0.128
FXMID(3,0,1) = 0.256
FXMID(4,0,1) = 1.0
FXMID(1,1,1) = 0.0         !  FX IMPULSE LOAD VALUES
FXMID(2,1,1) = 2.0
FXMID(3,1,1) = 0.0
FXMID(4,1,1) = 0.0
F,NDMID,FX,%FXMID%         ! APPLY TABULAR LOADS
ANTYPE,TRANS
TRNOPT,FULL,,,,,HHT
TINTP,0.3                  ! 30% DAMPING
NLGEOM,ON                  ! LARGE DEFLECTION
AUTOTS,ON                  ! AUTO TIME STEPPING
OUTRES,ALL,-100            ! SAVE ALL RESULTS
KBC,0                      ! RAMPED LOADING
TOT_TIME = 1.0
TIME,TOT_TIME
NSUBST,1000,10E5,1000
CNVTOL,F                   ! FORCE CONVERGENCE CHECK
CNVTOL,M, , , ,1E-3        ! MOMENT CONVERGENCE CHECK
CNVTOL,U                   ! DISPLACEMENT CONVERGENCE CHECK
CNVTOL,ROT                 ! ROTATION CONVERGENCE CHECK
/OUT,scratch
SOLVE
/OUT
FINISH
/AUTO,1
/DIST,  1, 0
/REPLO
/VIEW,1,,,1
/ANG,1
/POST1
/PLOPTS,INFO,0
/PLOPTS,LEG1,0
/PLOPTS,LEG2,0
/PLOPTS,LEG3,0
/PLOPTS,FRAME,0
/PLOPTS,MINM,0
/PLOPTS,TITLE,0
/PLOPTS,FILE,0
/PLOPTS,LOGO,0
/PLOPTS,WINS,1
/PLOPTS,WP,0
/PLOPTS,DATE,0
/TRIAD,OFF
*DO,JJ,0,10
SET, , , , ,JJ/10
*IF,JJ,EQ,10,THEN
/PLOPTS,TITLE,1
/TITLE,SWING:MOTION AND DEFORMATION OF BEAM AND MOTION OF LINKS,AT 0.1 S
*ENDIF
PLNSOL,U,SUM
/NOERASE
*ENDDO
/ERASE
/POST26
NSOL,2,NDB,U,X
NSOL,3,NDB,U,Y
/TITLE,SWING:TIME HISTORY OF DISP COMPS OF POINT B IN THE I1&I2 DIRECTIONS
PLVAR,2,3                      ! COMPARE THIS PLOT WITH FIGURE 15. IN REFERENCE
!PRVAR,2,3
ESOL,4,2,3,F,X                 ! AXIAL FORCE AT POINT B
/TITLE,SWING:TIME HISTORY OF AXIAL FORCE IN THE BEAM, AT POINT B
PLVAR,4                        ! COMPARE THIS PLOT WITH FIGURE 16. IN REFERENCE
*GET,FMAX,VARI,4,EXTREM,VMAX   ! MAX AXIAL FORCE AT POINT B CORRESPONDING TO EVENT-X IN REF.
*GET,TMAX,VARI,4,EXTREM,TMAX   ! TIME CORRESPONDING TO EVENT-X IN REFERENCE
FINISH
/POST1
SET, , , , ,TMAX               ! RETRIEVE RESULTS AT TMAX
*GET,UY_NDB,NODE,NDB,U,X       ! UX DISP AT POINT B CORRESPONDING TO EVENT-X IN REFERENCE
*GET,UX_NDB,NODE,NDB,U,Y       ! UY DISP AT POINT B CORRESPONDING TO EVENT-X IN REFERENCE
*DIM,LABEL,CHAR,4,2
*DIM,VALUE,,4,3
LABEL(1,1) = 'TIME','DISP','DISP','FORCE'
LABEL(1,2) = '   (sec)','UY (m)','UX (m)','FX (N)'
*VFILL,VALUE(1,1),DATA,0.641,0.28,0.075,112.7
*VFILL,VALUE(1,2),DATA,TMAX,UY_NDB,UX_NDB,FMAX
*VFILL,VALUE(1,3),DATA,ABS(TMAX/0.641),ABS(UY_NDB/0.28),ABS(UX_NDB/0.075),ABS(FMAX/112.7)
FINISH
SAVE,TABLE_1
/CLEAR,NOSTART
C***  PERFORM ANALYSIS USING CONTACT RIGID LINKS
/PREP7
MP,EX,1,73E9               ! 73 GN/M^2
MP,NUXY,1,0.3
MP,DENS,1,2700             ! KG/M^3
K,1,0,0.36,0
K,2,0,0,0
K,3,0.72,0,0
K,4,0.72+0.36,0.36
L,1,2
L,2,3
L,3,4
ET,1,BEAM188               ! 3D LINEAR FINITE STRAIN BEAM
ET,11,CONTA176             ! CONTACT ELEMENT
ET,12,TARGE170             ! TARGET ELEMENT
KEYOPT,11,2,2              ! MPC CONTACT ALGORITHM
KEYOPT,11,12,5             ! BONDED ALWAYS TYPE CONTACT
KEYOPT,12,2,1              ! BC SPECIFIED BY USER
KEYOPT,12,4,111            ! DO NOT CONSTRAIN ROTATIONS
ET,3,MASS21                ! 3DMASS ELEMENT
KEYOPT,3,3,2               ! 3D MASS WITHOUT ROTARY INERTIA
R,3,0.5                    ! 0.5 KG
SECTYPE, 1, BEAM, RECT
SECDATA,1E-3,5E-3          ! 1MM X 5 MM CROSS SECTION
TYPE,1
MAT, 1
SECNUM,1
LESIZE,2, , ,4
LMESH,2                    ! DEFORMABLE BEAM
TYPE,11
REAL,11
LESIZE,1, , ,1
LMESH,1
TSHAP,PILO
TYPE,12
E,6
TYPE,11
REAL,12
LESIZE,3, , ,1
LMESH,3
TSHAP,PILO
TYPE,12
REAL,12
E,7
NDMID = NODE(0.72/2,0,0)   ! NODE AT BEAM MIDSPAN
NDB   = NODE(0.72/4,0,0)   ! NODE AT LOCATION B
TYPE,3
REAL,3
E,NDMID                    ! MASS AT BEAM MIDSPAN
NSEL,S,LOC,Y,0.36
D,ALL,ALL
DDELE,ALL,ROTZ
ALLSEL,ALL
NDA = NODE(0,0,0)          ! NODE AT LOCATION A
NDE = NODE(0.72,0,0)       ! NODE AT LOCATION E
D, NDA, UZ, 0.0, ,, ,ROTX,ROTY
D, NDE, UZ, 0.0, ,, ,ROTX,ROTY
FINISH
SAVE
C*** PERFORM SOLUTION USING HHT ALGORITHM WITH RESPONSE FREQ
/SOLU
*DIM,FXMID,TABLE,4,1,1
FXMID(1,0,1) = 0.0         !  TIME VALUES
FXMID(2,0,1) = 0.128
FXMID(3,0,1) = 0.256
FXMID(4,0,1) = 1.0
FXMID(1,1,1) = 0.0         !  FX IMPULSE LOAD VALUES
FXMID(2,1,1) = 2.0
FXMID(3,1,1) = 0.0
FXMID(4,1,1) = 0.0
F,NDMID,FX,%FXMID%         ! APPLY TABULAR LOADS
ANTYPE,TRANS
TRNOPT,FULL,,,,,HHT
TINTP,0.3                  ! 30% DAMPING
NLGEOM,ON                  ! LARGE DEFLECTION
AUTOTS,ON                  ! AUTO TIME STEPPING
OUTRES,ALL,-100            ! SAVE ONLY 100 RESULTS
KBC,0                      ! RAMPED LOADING
TOT_TIME = 1.0
TIME,TOT_TIME
NSUBST,1000,1000,1000
CNVTOL,U                   ! DISPLACEMENT CONVERGENCE CHECK
CNVTOL,ROT                 ! ROTATION CONVERGENCE CHECK
CNVTOL,F                   ! FORCE CONVERGENCE CHECK
CNVTOL,M, , , ,0.01        ! MOMENT CONVERGENCE CHECK
PRED,OFF
LNSRCH,OFF
/OUT,scratch
SOLVE
FINISH
/DIST,1,0
/AUTO,1
/REPLO
/VIEW,1,,,1
/ANG,1
/POST1
/PLOPTS,INFO,0
/PLOPTS,LEG1,0
/PLOPTS,LEG2,0
/PLOPTS,LEG3,0
/PLOPTS,FRAME,0
/PLOPTS,MINM,0
/PLOPTS,TITLE,0
/PLOPTS,FILE,0
/PLOPTS,LOGO,0
/PLOPTS,WINS,1
/PLOPTS,WP,0
/PLOPTS,DATE,0
/TRIAD,OFF
*DO,JJ,0,10
SET, , , , ,JJ/10
*IF,JJ,EQ,10,THEN
/PLOPTS,TITLE,1
/TITLE,SWING:MOTION AND DEFORMATION OF BEAM AND MOTION OF LINKS,AT 0.1 S
*ENDIF
PLNSOL,U,SUM
/NOERASE
*ENDDO
/ERASE
/POST26
NSOL,2,NDB,U,X
NSOL,3,NDB,U,Y
/TITLE,SWING:TIME HISTORY OF DISP COMPS OF POINT B IN THE I1&I2 DIRECTIONS
PLVAR,2,3                      ! COMPARE THIS PLOT WITH FIGURE 15. IN REFERENCE
!PRVAR,2,3
ESOL,4,2,3,F,X                 ! AXIAL FORCE AT POINT B
/TITLE,SWING:TIME HISTORY OF AXIAL FORCE IN THE BEAM, AT POINT B
PLVAR,4                        ! COMPARE THIS PLOT WITH FIGURE 16. IN REFERENCE
*GET,FMAX,VARI,4,EXTREM,VMAX   ! MAX AXIAL FORCE AT POINT B CORRESPONDING TO EVENT-X IN REF.
*GET,TMAX,VARI,4,EXTREM,TMAX   ! TIME CORRESPONDING TO EVENT-X IN REFERENCE
FINISH
/POST1
SET, , , , ,TMAX               ! RETRIEVE RESULTS AT TMAX
*GET,UY_NDB,NODE,NDB,U,X       ! UX DISP AT POINT B CORRESPONDING TO EVENT-X IN REFERENCE
*GET,UX_NDB,NODE,NDB,U,Y       ! UY DISP AT POINT B CORRESPONDING TO EVENT-X IN REFERENCE
*DIM,LABEL,CHAR,4,2
*DIM,VALUE,,4,3
LABEL(1,1) = 'TIME','DISP','DISP','FORCE'
LABEL(1,2) = '   (sec)','UY (m)','UX (m)','FX (N)'
*VFILL,VALUE(1,1),DATA,0.641,0.28,0.075,112.7
*VFILL,VALUE(1,2),DATA,TMAX,UY_NDB,UX_NDB,FMAX
*VFILL,VALUE(1,3),DATA,ABS(TMAX/0.641),ABS(UY_NDB/0.28),ABS(UX_NDB/0.075),ABS(FMAX/112.7)
FINISH
SAVE,TABLE_2
RESUME,TABLE_1
/COM
/OUT,vm257,vrt
/COM,------------------- VM257 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,RESULTS USING MPC184 RIGID LINKS
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,RESULTS USING CONTACT RIGID LINKS
*VWRITE,LABEL(1,1),LABEL(1,2),VALUE(1,1),VALUE(1,2),VALUE(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/COM,-----------------------------------------------------------
/COM,
/OUT
FINISH
*LIST,vm257,vrt
/DELETE,TABLE_1
/DELETE,TABLE_2

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM256 Input Listing 		Up / Home Next
VM258 Input Listing


VM258 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VM258
/TITLE,VM258,SPIN-UP MANEUVER OF A FLEXIBLE BEAM
/COM,   J.C. SIMO AND L. VU-QUOC
/COM    ON THE DYNAMICS IN SPACE OF RODS UNDERGOING LARGE MOTIONS-
/COM,   -A GEOMETRICALLY EXACT APPROACH
/COM,   COMPUTER METHODS IN APPLIED MECHANICS AND ENGINEERING, VOL. 66,
/COM,   125-161 (1988.
/PREP7
ET,1,189	!3D QUADRATIC FINITE STRAIN BEAM
ET,2,184,16	!JOINT ELEMENT TYPE GENERAL
ET,3,184,6	!JOINT ELEMENT TYPE REVOLUTE
KEYOPT,3,4,1    !Z-AXIS REVOLUTE JOINT
N,1,0.0,0.0	!NODES FOR CANTILEVER BEAM
N,9,10.0,0.0
FILL,1,9
SECT,1,GENB,ELASTIC	        !NONLINEAR GENERAL BEAM SECTION (ELASTIC)
BSAX,0.0,0.0	!BEAM SECTION AXIAL STIFFNESS (AXIAL STRAIN/AXIAL FORCE)
BSAX,1.0,2.8E7
BSM1,0.0,0.0	!BEAM SECTION BENDING STIFFNESS FOR PLANE XZ(CURVATURE/BENDING MOMENT)
BSM1,1.0,1.4E4
BSM2,0.0,0.0	!BEAM SECTION BENDING STIFFNESS FOR PLANE XY(CURVATURE/BENDING MOMENT)
BSM2,1.0,1.4E4
BSTQ,0.0,0.0	!BEAM SECTION TORSION STIFFNESS (TWIST/TORQUE)
BSTQ,1.0,1.4E4
BSS1,0.0,0.0	!BEAM SECTION SHEAR STIFFNESS FOR PLANE XZ (SHEAR STRAIN/TRANSVERSE SHEAR FORCE)
BSS1,1.0,1.0E7
BSS2,0.0,0.0	!BEAM SECTION SHEAR STIFFNESS FOR PLANE XY (SHEAR STRAIN/ TRANSVERSE SHEAR FORCE)
BSS2,1.0,1.0E7
BSMD,1.2	!BEAM SECTION MASS DENSITY (MASS/LENGTH)
TYPE,1		!BEAM ELEMENT DEFINITION
SECNUM,1
EN,1,1,3,2
ENGEN,1,4,2,1
SECTYPE,2,JOIN,GENE,GENE	!GENERAL JOINT SECTION
SECJOIN,                        !LOCAL COORDINATE SYSTEM=GLOBAL CARTESIAN (DEFAULT)
TYPE,2		                !GENERAL JOINT ELEMENT DEFINITION
SECNUM,2
EN,201,1,9
SECTYPE,3,JOIN,REVO,REVO	!REVOLUTE JOINT SECTION
SECJOIN,                        !LOCAL COORDINATE SYSTEM=GLOBAL CARTESIAN(DEFAULT)
TYPE,3		                !REVOLUTE JOINT ELEMENT DEFINITION
SECNUM,3
EN,301, ,1                      !GROUNDED JOINT ELEMENT
C***DEFINE ROTATION ANGLE AS A FUNCTION OF TIME
*DIM,FUNC1,TABLE,3001,1,1
!FIRST TABULAR LOAD: (6/15)*(((TIME*TIME)/2)+((15/(2*PI))^2)*(COS((2*TIME*PI)/15)-1))
FUNC1(0,0,1) = 0.0
FUNC1(0,1,1) = 0.0
PI = ACOS(-1.0)
OM = (2.0*PI)/15.0
A  = 0.4
B  = 45.0/(2.0*PI*PI)
*DO,II,1,3001
 T1 = (II-1)*0.005
 FUNC1(II,0,1) = T1             !TIME
 T2 = A*((T1*T1)/2.0)
 T3 = B*(COS(OM*T1)-1.0)
 FUNC1(II,1,1) = T2 + T3        !VALUE
*END DO
!SECOND TABULAR LOAD: 6*TIME-45
*DIM,FUNC2,TABLE,2,1,1
FUNC2(0,0,1) = 0.0
FUNC2(0,1,1) = 0.0
FUNC2(1,0,1) = 15.0             !TIME VALUES
FUNC2(2,0,1) = 30.0
FUNC2(1,1,1) = 45               !ROTATION VALUES
FUNC2(2,1,1) = 135.0
FINISH
C*** PERFORM SOLUTION USING HHT ALGORITHM
/SOLU
ANTYPE,TRANS	                !TRANSIENT ANALYSIS
NLGEOM,ON	                !LARGE DEFLECTION
! LOAD STEP 1--ROTATION WITH ANGULAR ACCELERATION (SMALL CENTRIFUGAL FORCE)
DJ,301,ROTZ,%FUNC1%             !APPLY FIRST TABULAR LOAD
TRNOPT,FULL, , , , ,HHT	        !HHT TIME INTEGRATION SCHEME
TINTP,0.1		        !10% NUMERICAL DAMPING
TIME,10
AUTOTS,ON		        !AUTO TIME STEPPING
MIDTOL,ON,2		        !MIDSTEP RESIDUAL CHECK
DELTIM,0.005,0.002,0.02
OUTRES,ALL,2                    !WRITE RESULTS EVERY 2 SUBSTEPS
/OUT,SCRATCH
SOLVE
/OUT
TIME,15
! LOAD STEP 2--ROTATION WITH ANGULAR ACCELERATION (INTERMEDIATE CENTRIFUGAL FORCE)
DELTIM,0.005,0.005,0.01
OUTRES,ALL,2
/OUT,SCRATCH
SOLVE
/OUT
! LOAD STEP 3--STEADY MOTION AT CONSTANT ANGULAR VELOCITY
DJ,301,ROTZ,%FUNC2%             !APPLY SECOND TABULAR LOAD
TIME,18
OUTRES,ALL,2
/OUT,SCRATCH
SOLVE
/OUT
FINISH
! EXTRACT TIME POINTS FROM ANSYS RESULTS CLOSEST TO THE REFERENCE TIME DATA
*DIM,TIME2,ARRAY,12
/POST1
*DO,K,1,12,1
 T = K*1.5
 SET,NEAR, , , ,T
 *GET,TIME2(K),ACTIVE,0,SET,TIME
*END DO
FINISH
/POST26
ESOL,2,201,9,SMISC,61,U1        !AXIAL DISPLACEMENT OF BEAM TIP
ESOL,3,201,9,SMISC,62,U2        !TRANSVERSE DISPLACEMENT OF BEAM TIP
NSOL,4,9,ROT,Z,ROTZ9            !ROTATION OF BEAM BASE
NSOL,5,1,ROT,Z,ROTZ1            !ROTATION OF BEAM TIP
! ROTATION OF BEAM TIP RELATIVE TO BASE--CONVERTED TO DEGREES
ADD,6,5,4,,ROTZ, , ,57.2957795131,-57.2957795131,0
/OUT
/TITLE,SPIN-UP OF A FLEXIBLE BEAM: ROTATION ANGLE VS. TIME
/AXLAB,Y,ROTATION ANGLE
PLVAR,5
/TITLE, TIME HISTORY OF AXIAL DISPLACEMENT OF BEAM TIP
/AXLAB,Y,AXIAL DISPLACEMENT
PLVAR,2                         !COMPARE THIS PLOT WITH FIGURE 6 IN REFERENCE
/TITLE,TIME HISTORY OF TRANSVERSE DISPLACEMENT OF BEAM TIP
/AXLAB,Y,TRANSVERSE DISPLACEMENT
PLVAR,3                         !COMPARE THIS PLOT WITH FIGURE 6 IN REFERENCE
/TITLE,TIME HISTORY OF RELATIVE ROTATION OF BEAM TIP
/AXLAB,Y,RELATIVE ROTATION
PLVAR,6                         !COMPARE THIS PLOT WITH FIGURE 6 IN REFERENCE

*GET,UXMIN,VARI,2,EXTREM,VMIN   ! MIN AXIAL DISPLACEMENT AT BEAM TIP
*GET,TXMIN,VARI,2,EXTREM,TMIN   ! TIME CORRESPONDING TO MIN AXIAL DISPLACEMENT

*GET,UYMIN,VARI,3,EXTREM,VMIN   ! MIN TRANSVERSE DISPLACEMENT AT BEAM TIP
*GET,TYMIN,VARI,3,EXTREM,TMIN   ! TIME CORRESPONDING TO MIN TRANSVERSE  DISPLACEMENT

*GET,ROTZMAX,VARI,6,EXTREM,VMAX ! MAX RELATIVE ROTATION
*GET,TZMAX,VARI,6,EXTREM,TMAX   ! TIME CORRESPONDING TO MAXIMUM RELATIVE ROTATION

*GET,UXMAX,VARI,2,EXTREM,VMAX   ! MAX STRETCH
*GET,TXMAX,VARI,2,EXTREM,TMAX   ! TIME CORRESPONDING TO MAX STRETCH

*DIM,LABEL1,CHAR,2,2
*DIM,VALUE1,,2,3
LABEL1(1,1) = 'TIME','TIP DISP'
LABEL1(1,2) = '   (sec)','UX '
*VFILL,VALUE1(1,1),DATA,6.7,-0.019
*VFILL,VALUE1(1,2),DATA,TXMIN,UXMIN
*VFILL,VALUE1(1,3),DATA,ABS(TXMIN/6.7),ABS(UXMIN/(-0.019))
FINISH
SAVE,TABLE_1
/POST26
*DIM,LABEL2,CHAR,2,2
*DIM,VALUE2,,2,3
LABEL2(1,1) = 'TIME','TIP DISP'
LABEL2(1,2) = '   (sec)','UY '
*VFILL,VALUE2(1,1),DATA,6.85,-0.575
*VFILL,VALUE2(1,2),DATA,TYMIN,UYMIN
*VFILL,VALUE2(1,3),DATA,ABS(TYMIN/6.85),ABS(UYMIN/(-0.575))
FINISH
SAVE,TABLE_2
/POST26
*DIM,LABEL3,CHAR,2,2
*DIM,VALUE3,,2,3
LABEL3(1,1) = 'TIME','REL'
LABEL3(1,2) = '   (sec)','ROTZ(deg)'
*VFILL,VALUE3(1,1),DATA,6.7,4.424
*VFILL,VALUE3(1,2),DATA,TZMAX,ROTZMAX
*VFILL,VALUE3(1,3),DATA,ABS(TZMAX/6.7),ABS(ROTZMAX/4.424)
FINISH
SAVE,TABLE_3
/POST26
*DIM,LABEL4,CHAR,2,2
*DIM,VALUE4,,2,3
LABEL4(1,1) = 'TIME','STRETCH'
LABEL4(1,2) = '   (sec)','UX'
*VFILL,VALUE4(1,1),DATA,16,5.14E-4
*VFILL,VALUE4(1,2),DATA,TXMAX,UXMAX
*VFILL,VALUE4(1,3),DATA,ABS(TXMAX/16),ABS(UXMAX/5.14E-4)
FINISH
SAVE,TABLE_4

RESUME,TABLE_1
/COM
/OUT,vm258,vrt
/COM,------------------- VM258 RESULTS COMPARISON --------------
/COM,
/COM,                 |   TARGET   |   ANSYS   |   RATIO
/COM,
/COM,PEAK AXIAL DISPLACEMENT
*VWRITE,LABEL1(1,1),LABEL1(1,2),VALUE1(1,1),VALUE1(1,2),VALUE1(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/NOPR
RESUME,TABLE_2
/GOPR
/COM,
/COM,PEAK TRANSVERSE DISPLACEMENT
*VWRITE,LABEL2(1,1),LABEL2(1,2),VALUE2(1,1),VALUE2(1,2),VALUE2(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/NOPR
RESUME,TABLE_3
/GOPR
/COM,
/COM,PEAK RELATIVE ROTATION
*VWRITE,LABEL3(1,1),LABEL3(1,2),VALUE3(1,1),VALUE3(1,2),VALUE3(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/NOPR
RESUME,TABLE_4
/GOPR
/COM,
/COM,STEADY-STATE STRETCH
*VWRITE,LABEL4(1,1),LABEL4(1,2),VALUE4(1,1),VALUE4(1,2),VALUE4(1,3)
(1X,A8,A8,'   ',F10.4,'  ',F10.4,'   ',1F5.3)
/COM,-----------------------------------------------------------
/COM,
/OUT
FINISH
*LIST,vm258,vrt
/DELETE,TABLE_1
/DELETE,TABLE_2
/DELETE,TABLE_3
/DELETE,TABLE_4

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM257 Input Listing 		Up / Home Next
Part II, Benchmark Study Descriptions


Part II, Benchmark Study Descriptions

Release 11.0 Documentation for ANSYS

Verification Manual |

Benchmark Study Descriptions

Table of Contents

2. Overview
2.1. Description of the Benchmark Studies
2.2. Benchmark Test Case Content and Nomenclature
2.3. Running the Benchmark Test Cases
2.4. Energy Norm
2.5. Benchmark Test Case Coverage Index
Benchmark C1 - Built-In Plate Under Uniformly Distributed Load
Benchmark C2 - Elliptic Membrane Under a Uniformly Load
Benchmark C3 - Barrel Vault Roof Under Self Weight
Benchmark C4 - Simply-Supported Thin Annular Plate
Benchmark C5 - Simply-Supported Solid Square Plate
Benchmark C6 - 2-D Heat Transfer With Convection
Benchmark C7 - One-Dimensional Transient Heat Transfer
Benchmark C8 - Aluminum Bar Impacting a Rigid Boundary
Benchmark D1 - Straight Cantilever Beam Under Unit Load
Benchmark D2 - Barrel Vault Roof Under Self Weight
Benchmark D3 - Free-Free Vibration of a Solid Beam
B. Benchmark Input Listings
Benchmark C1 Input Listing
Benchmark C2 Input Listing
Benchmark C3 Input Listing
Benchmark C4 Input Listing
Benchmark C5 Input Listing
Benchmark C6 Input Listing
Benchmark C7 Input Listing
Benchmark C8 Input Listing
Benchmark D1 Input Listing
Benchmark D2 Input Listing
Benchmark D3 Input Listing

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM258 Input Listing 		Up / Home Next
Chapter 2. Overview


Chapter 2. Overview

This manual also provides information on the applicability, selection and performance of ANSYS finite elements, meshing algorithms, and solution algorithms by a series of benchmark test cases. The benchmark studies are designed to illustrate both proper, and in some cases, improper application of finite element techniques in various modeling situations. Improper use may take the form of inappropriate element selection, mesh discretization, or master degree of freedom selection. The results presented here for some test cases may appear in error, but are in fact the "expected" solutions for the chosen element, discretization, and loading condition. By providing the results for such test cases, we hope to provide guidance in the selection of appropriate analysis options.

While ANSYS cannot provide an exhaustive set of benchmark studies, we have included the most commonly-used elements and analysis types. Using these benchmark studies as a guideline, you can extend the applicability to other element types or solution methods. In many instances, existing benchmark standards were used as the basis of the test case construction.

The following benchmark topics are available:

  • Description of the Benchmark Studies
  • Benchmark Test Case Content and Nomenclature
  • Running the Benchmark Test Cases
  • Energy Norm
  • Benchmark Test Case Coverage Index

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Part II, Benchmark Study Descriptions 		Up / Home Next
2.1. Description of the Benchmark Studies


2.1. Description of the Benchmark Studies

The benchmark test cases are designed to test element performance, meshing algorithm's effect on solution performance, alternative solution algorithms (for modal analysis), and element energy error norm performance.

Element performance (accuracy) is checked for a subset of some of the more frequently used ANSYS solid and shell elements including PLANE35, PLANE42, SHELL43, SOLID45, PLANE55, SHELL63, SOLID70, PLANE77, PLANE82, SOLID92, SHELL93, SOLID95, VISCO106, and VISCO107. The tests are designed to check the element performance under various load conditions and element shapes. Solution accuracy and convergence rates are also presented for the elements.

The effect of alternative meshing schemes on solution accuracy is studied for several test cases. The meshing schemes include quadrilateral and triangle meshing for areas, and brick and tetrahedral meshing for volumes. Solution accuracy is based on the energy error norm and/or localized stress and displacement evaluation.

For mode-frequency analysis, comparison is made between solutions using alternative eigenvalue extraction techniques (subspace and Householder). Also tested is the influence and accuracy of automatic master degree of freedom selection in Householder analyses.

For benchmark test cases using 2-D and 3-D solid elements in a static analysis, results are in part expressed in terms of an energy error norm. Energy error norms can be used as a guide in evaluating the mesh discretization used in a finite element analysis. See Energy Norm for more information.

The benchmarks are categorized into VMDXX test cases and VMCXX test cases (where XX is the problem number). The VMD series is specifically designed to test individual finite element performance under distorted, or irregular shapes. The VMC series is designed to test solution accuracy and convergence for a series of test cases that undergo increasing mesh refinement or use alternate element types. The benchmark studies follow the documentation of the VM test cases in this manual.

Three types of analyses are included in the benchmark tests:

  • Static analysis (ANTYPE = 0)

  • Mode frequency analysis (ANTYPE = 2)

  • Transient analysis (ANTYPE = 4)

The benchmark test cases are drawn from a variety of resources, such as NAFEMS (National Agency for Finite Element Methods and Standards) based in the United Kingdom, proposed benchmarks in the literature, and textbook problems. Where applicable, test cases that conform to published benchmark specifications are identified.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 2. Overview 		Up / Home Next
2.2. Benchmark Test Case Content and Nomenclature


2.2. Benchmark Test Case Content and Nomenclature

Format and content for the benchmark test cases are as follows:

  • Overview--a list of the major reference for the problem, the analysis type, the element type(s), and the name of the test case file (in the printed manual) or a link to the test case file (in the online version).

  • Test Case--a brief description of the problem and desired solution output. Also included are necessary material properties, geometric properties, loadings, boundary conditions, and parameter definitions. The parameters listed in the parameter definition area are used to define model variables that distinguish each test case run. Each test case is uniquely defined by these parameters and noted in the Results Comparison section.

  • Representative Mesh Options--a graphics display of a sampling of the finite element meshes created by the test. Parameters defined in the Test Case section are used to specify the finite element mesh patterns shown.

  • Target Solution--solution used for comparison purposes. The target solution is obtained from the problem reference unless specifically mentioned otherwise in the Assumptions, Modeling Notes, and Solution Comments section.

  • Results Comparison--results from the ANSYS solution compared with the target solution. Where applicable, the ANSYS results are normalized with respect to the target solution and presented as the ratio of the ANSYS results divided by the target results.

  • Graphical Results (optional)--results displayed in graphical form.

  • Assumptions, Modeling Notes, and Solution Comments--general comments on the test case modeling, assumptions, and results interpretation.

In addition to the abbreviations, symbols, and units defined in Abbreviation, Element, and Product Lists, one additional symbol is used throughout the benchmark studies to identify the location of a target point where a solution comparison is made. The target point symbol is a bull's-eye:

Several target points may be used in a test case, so each is identified separately as Target Pointxx (or TP-XX). The example below shows two target points on a simple 2-D finite element mesh.

Solution comparisons between the target solution and the ANSYS solution at target points are listed in the Results Comparison section.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.1. Description of the Benchmark Studies 		Up / Home Next
2.3. Running the Benchmark Test Cases


2.3. Running the Benchmark Test Cases

The benchmark test cases are contained on the installation media. Each test case input file is designed to be executed in one of two ways:

  • Execute the single documented test case input (as shown in the Data Input Listing section for the problem in this manual; see Appendix B)

  • Execute all test cases for the problem. The single test case executions are designed to run quickly, with run times comparable to the larger tests in "Overview". Executing all test cases is, in many instances, very time consuming and may require extremely large amounts of disk space and memory.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.2. Benchmark Test Case Content and Nomenclature 		Up / Home Next
2.4. Energy Norm


2.4. Energy Norm

The finite element solution is an approximation to the true solution of a mathematical problem. From an analyst's standpoint, it is important to know the magnitude of error involved in the solution. The ANSYS program offers a method for a posteriori estimation of the solution error due to mesh discretization. The method involves calculating the energy error within each finite element and expressing this error in terms of a global error energy norm.

The error energy within each finite element is calculated as

ei = 1/2 [image] v {Δσ}T [D]-1 {Δσ} dV

where:

ei = error energy in element i
{Δσ} = nodal stress error vector
[D] = stress-strain matrix

The nodal stress error vector {Δσ} is the averaged nodal stresses minus the unaveraged nodal stresses.

By summing all element error energies e, the global energy error in the model, e, can be determined. This can be normalized against the total energy (u + e), where u is the strain energy, and expressed as a percent error in energy norm, E:

The percent error in energy norm E is a good overall global estimate of the discretization or mesh accuracy. Several VMD and VMC tests use this error norm to illustrate its behavior as a function of known displacement or stress error. It should be recognized that the correlation of the error energy norm to displacements or stress error is problem-dependent, and therefore this norm should only be viewed as a relative measure of accuracy.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.3. Running the Benchmark Test Cases 		Up / Home Next
2.5. Benchmark Test Case Coverage Index


2.5. Benchmark Test Case Coverage Index

Table 2.1 Structural Solid Elements

Test Case No. | Element Number
 | 2 | 42 | 45 | 82 | 92 | 95 | 106 | 107
C1 |  |  | X |  | X | X |  |
C2 | X | X |  | X |  |  |  |
C5 |  |  | X |  | X |  |  |
C8 | X | X | X | X |  | X | X | X
D1 | X | X | X | X | X | X |  |
D3 | X | X | X | X | X | X |  |

Table 2.2 Structural Shell Elements

Test Case No. | Element Number
 | 43 | 63 | 93
C3 | X | X | X
C4 | X | X | X
D2 | X | X | X

Table 2.3 Thermal Solid Elements

Test Case No. | Element Number
 | 35 | 55 | 77
C6 | X | X | X
C7 | X | X | X

Table 2.4 Analysis Type Coverage

Test Case No. | ANTYPE Analysis Type
 | 0 | 2 | 4
C1 | X |  |
C2 | X |  |
C3 | X |  |
C4 |  | X |
C5 |  | X |
C6 | X |  |
C7 | X |  |
C8 |  |  | X
D1 | X |  |
D2 | X |  |
D3 |  | X |

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.4. Energy Norm 		Up / Home Next
Benchmark C1


Benchmark C1

Release 11.0 Documentation for ANSYS

Verification Manual | Part II, Benchmark Study Descriptions |

VMC1

Built-In Plate Under Uniformly Distributed Load

Overview

Reference: S. Timoshenko, S, Woinowsky-Knieger, Theory of Plates and Shells, McGraw-Hill Book Co., Inc., New York, NY, 1959, pg. 202, Approximate Solution
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
3-D Structural Solid Elements (SOLID45)
3-D 8-Node Structural Solid Elements (SOLID185)
3-D 10-Node Tetrahedral Structural Solid Elements (SOLID92, SOLID187)
3-D 20-Node Structural Solid Elements (SOLID95, SOLID186)
Input Listing: vmc1.dat

Test Case

A rectangular plate with built-in edges is subjected to a uniform pressure load on the top and bottom surface. Monitor displacement and stress results at three target points for a series of mesh refinements for different elements. Compare the effect of increased mesh refinement on the percent energy error norm.

Figure C1.1 Built-in Plate Problem Sketch

Material Properties
E = 1 x 107 psi
υ = 0.3
Geometric Properties
a = 10 in
t = 1 in
Parameter Definitions
N1 = no. elements along each horizontal edge
N2 = no. elements through thickness
Loading and Boundary Conditions
At X = a/2, UX = 0
At x = a/2 and Z = 0, UZ = 0
At Y = a/2, UY = 0
At Y = a/2 and Z = 0, UZ = 0
At X = 0, UX = 0
At Y = 0, UY = 0
At Z = 0, UX = UY = 0
At Z = -t/2, P = -500

Figure C1.2 Representative Mesh Options

Solution Information

Table C1.1 Target Solution

ETYP | N1 | N2 | DOF | % Error Norm | UZ(1), in | SX(2), ksi | SX(3), ksi
95 | 25 | 10 | 45708 | 10 | -.0172 | -32.124 | 14.465

Table C1.2 Results Comparison

 |  |  |  |  | Ratio
ETYP | N1 | N2 | DOF | % Error Norm | UZ(1) | SX(2) | SX(3)
45 | 3 | 1 | 96 | 57 | .925 | .461 | .983
45 | 6 | 1 | 294 | 33 | .961 | .663 | .985
45 | 15 | 2 | 2304 | 19 | .980 | .851 | .992
45 | 20 | 4 | 6615 | 15 | .987 | .913 | .996
45 | 25 | 5 | 12168 | 13 | .990 | .936 | .997
95 | 3 | 1 | 288 | 8.4 | .958 | .829 | 1.037
95 | 6 | 1 | 945 | 7.7 | .978 | .955 | 1.006
95 | 15 | 2 | 8160 | 10 | .991 | .961 | .999
95 | 20 | 4 | 24507 | 10 | .997 | 1.000 | 1.000
92 | 3 | 1 | 687 | 39 | .948 | .680 | 1.003
92 | 5 | 1 | 1377 | 28 | .974 | .933 | 1.001
92 | 7 | 1 | 2493 | 24 | .980 | .961 | 1.000
92 | 10 | 2 | 4575 | 21 | .984 | .958 | 0.997
185 | 3 | 1 | 96 | 56.946 | 0.928 | 0.434 | 0.935
185 | 6 | 1 | 294 | 34.017 | 0.962 | 0.653 | 0.973
185 | 15 | 2 | 2304 | 19.154 | 0.980 | 0.850 | 0.991
185 | 20 | 4 | 6615 | 14.591 | 0.987 | 0.913 | 0.996
185 | 25 | 5 | 12168 | 13.202 | 0.990 | 0.936 | 0.997
186 | 3 | 1 | 288 | 8.365 | 0.958 | 0.829 | 1.037
186 | 6 | 1 | 945 | 8.365 | 0.958 | 0.955 | 1.006
186 | 15 | 2 | 8160 | 10.250 | 0.991 | 0.961 | 0.999
186 | 20 | 4 | 24507 | 10.160 | 0.997 | 1.001 | 1.000
187 | 3 | 1 | 687 | 39.985 | 0.948 | 0.677 | 1.005
187 | 5 | 1 | 1377 | 27.360 | 0.974 | 0.934 | 1.001
187 | 7 | 1 | 2493 | 23.585 | 0.980 | 0.959 | 1.000
187 | 10 | 2 | 4575 | 21.035 | 0.983 | 0.960 | 0.997

Table C1.3 Results Comparison - Shell Element and Analytical Solution

ETYP | N1 | N2 | DOF | % Error Norm | UZ(1), in | SX(2), ksi | SX(3), ksi
35 | 5 | 1 | 576 | NA | -.0165 | -29.580 | 14.303
Approximate Analytical Solution (neglecting shear deflection) |  |  |  |  | -.0138 | -30.780 | 13.860

Assumptions, Modeling Notes, and Solution Comments

  1. The problem exhibits symmetry about the midplane of the plate, and about the X and Y axes. This symmetry allows for a 1/8 symmetry sector to be modeled.

  2. The approximate analytical solution neglects shear deflection. Shear deflection is accounted for in the finite element solutions.

  3. The target solution is obtained from a fine mesh solution using SOLID95.

  4. The 8-node isoparametric shell (SHELL93), subjected to the same loading, has results in line with the target solution. The SHELL93 element takes into account shear deflection effects.

  5. Deflection and bending stresses converge quickly to the target solution at the center of the plate (target points 1 and 3) for the solid element test cases.

  6. Bending-stresses are maximum at the built-in edges, peaking at the midspan of the plate (target point 2). It can be seen that a significant number of elements through the plate thickness are required to accurately predict the bending stresses at the built-in edge for the solid elements.

  7. The percent error in energy norm remains relatively high as the mesh is refined, with most of the error energy located at the built-in edges. This behavior is expected at built-in edges where point-wise inaccuracies in the solution occur. The displacement and stress results for which the refinement was targeted are quite good, despite the high energy error.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.5. Benchmark Test Case Coverage Index 		Up / Home Next
Benchmark C2


Benchmark C2

Release 11.0 Documentation for ANSYS

Verification Manual | Part II, Benchmark Study Descriptions |

VMC2

Elliptic Membrane Under a Uniformly Load

Overview

Reference: J. Barlow, G. A. O. Davis, "Selected FE Benchmarks in Structural and Thermal Analysis", NAFEMS Rept. FEBSTA, Rev. 1, October 1986, Test No. LE1 (modified)
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
2-D Structural Solid Elements (PLANE42)
2-D 4-Node Structural Solid Elements (PLANE182)
2-D 8-Node Structural Solid Elements (PLANE82, PLANE183)
Input Listing: vmc2.dat

Test Case

An elliptic membrane structure of thickness t is subjected to a uniformly distributed outward pressure P. Monitor the tangential edge stress σy at target point 1 for a series of uniform mesh refinements using quadrilateral and triangular elements. Compare the effect of increased mesh refinement with the percent energy error norm.

Figure C2.1 Elliptic Membrane Problem Sketch

Material Properties
E = 210 x 103 MPa
υ = 0.3
Parameter Definitions
N1 = no. elements in circumferential direction, per area
N2 = no. elements in radial direction per area
Loading and Boundary Conditions
At x = 0 UX = 0
At y = 0 UY = 0
Along outer edge P = -10 MPa
Geometric Properties
a = 1.75 m
b = 1.0 m
c = 2.0 m
d = 1.25 m
t = 0.1 m

Figure C2.2 Representative Mesh Options

Results Tables

Target Solution: SY = 92.7 MPa Results Comparison - Quadrilateral Meshing

ETYP | N1 | N2 | DOF | % Error Norm | SY Ratio
42 | 1 | 2 | 24 | 36.452 | 0.634
42 | 2 | 3 | 56 | 22.545 | 0.809
42 | 3 | 4 | 100 | 16.549 | 0.885
42 | 5 | 7 | 256 | 10.781 | .960
42 | 8 | 10 | 550 | 7.513 | 0.987
42 | 10 | 12 | 806 | 6.306 | 0.994
82 | 1 | 2 | 58 | 15.914 | 0.844
82 | 2 | 3 | 146 | 5.764 | 0.899
82 | 3 | 4 | 270 | 3.157 | 0.924
82 | 5 | 7 | 720 | 0.981 | 0.963
82 | 8 | 10 | 1578 | 0.422 | 0.977
82 | 10 | 12 | 2330 | 0.270 | 0.982
182 | 1 | 2 | 24 | 33.020 | 0.720
182 | 2 | 3 | 56 | 26.575 | 0.861
182 | 3 | 4 | 100 | 20.817 | 0.923
182 | 5 | 7 | 256 | 14.197 | 0.987
182 | 8 | 10 | 550 | 9.906 | 1.007
182 | 10 | 12 | 806 | 8.290 | 1.012
183 | 1 | 2 | 58 | 15.914 | 0.844
183 | 2 | 3 | 146 | 5.764 | 0.899
183 | 3 | 4 | 270 | 3.157 | 0.924
183 | 5 | 7 | 720 | 0.981 | 0.963
183 | 8 | 10 | 1578 | 0.422 | 0.977
183 | 10 | 12 | 2330. | 0.270 | 0.982

Results Comparison - Triangular Meshing

ETYP | N1 | N2 | DOF | % Error Norm | Normalized SY
2 | 1 | 2 | 70 | 22.484 | 0.737
2 | 2 | 3 | 182 | 10.657 | 0.837
2 | 3 | 4 | 342 | 6.612 | 0.882
2 | 5 | 7 | 930 | 2.665 | 0.942
2 | 8 | 10 | 2058 | 1.480 | 0.965
2 | 10 | 12 | 3050 | 1.159 | 0.973

Assumptions, Modeling Notes, and Solution Comments

  1. From an element performance standpoint, the problem is designed to test membrane elements for accurate modeling of the strain variation, nodal stress extrapolation, and curved boundary modeling (of higher order elements).

  2. From a modeling standpoint, the problem is designed to test quadrilateral and triangular meshes for solution accuracy with various element types. For the areas modeled, all exterior line segment specifications for mesh density are made equal for the various mesh options.

  3. For quadrilateral and triangle element meshes under uniform mesh refinement (parameters N1 and N2 varied), the calculated percent error in energy norm follows a log-log linear relationship to the number of degrees of freedom in the model. The higher order element (PLANE82) exhibits nearly identical log-log slopes while the lower order element (PLANE42) exhibits a more gradual slope. These results illustrate that the PLANE82 solutions converge at nearly the same rate under uniform refinement while PLANE42 converges at a slower rate. The percent error in energy norm results indicate that global accuracy is best obtained by PLANE82 for any given DOF set. However, the σy stress at target point 1 shows that for uniform refinement, PLANE42 gives better results (at that point) under moderate mesh refinement. A fine mesh using PLANE42 in place of a coarse mesh of PLANE82 may produce better localized stress values.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Benchmark C1 		Up / Home Next
Benchmark C3


Benchmark C3

Release 11.0 Documentation for ANSYS

Verification Manual | Part II, Benchmark Study Descriptions |

VMC3

Barrel Vault Roof Under Self Weight

Overview

Reference: R. D. Cook, Concepts and Applications of Finite Element Analysis, 2nd Edition, John Wiley and Sons, Inc., 1981, pp. 284-287.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
4-Node Plastic Large Strain Shell Elements (SHELL43)
Elastic Shell Elements (SHELL63)
8-Node Structural Shell Elements (SHELL93)
4-Node Finite Strain Shell Elements (SHELL181)
Input Listing: vmc3.dat

Test Case

A cylindrical shell roof is subjected to gravity loading. The roof is supported by walls at each end and is free along the sides. Monitor the y displacement and bottom axial stress (σz) at target point 1, along with the bottom circumferential stress (σθ) at target point 2 for a series of test cases with increasing mesh refinement using quadrilateral and triangular element shapes. A companion problem that studies irregular element shapes is VMD2.

Figure C3.1 Barrel Vault Roof Problem Sketch

Material Properties
E = 4.32 x 108 N/m2
υ = 0.3
ρ = 36.7347 kg/m3
Loading and Boundary Conditions
At x = 0 Symmetric
At z = 0 Symmetric
At x = L/2 UX = UY = ROTZ = 0
Geometric Properties
L = 50 m
R = 25 m
t = 0.25 m
Θ = 40°
g = 9.8 m/sec2
Parameter Definitions
N = No. elements along each edge

Figure C3.2 Representative Mesh Options

Target Solution

Target solution is obtained from an 8-node quadrilateral shell element solution with N=8, (see R. D. Cook, Concepts and Applications of Finite Element Analysis).

ETYP | N | DOF | UY(1), m | σz (1), Bottom | σθ (2), Bottom
-- | 8 | 2310 | 3016 | 358,420 | -213,400
 |  |  | Ratio
ETYP | N | DOF | UY(1) | σz (1), Bottom | σθ (2), Bottom
Results Comparison - Quadrilateral Elements
43 | 4 | 150 | 1.049 | .940 | .983
43 | 8 | 486 | 1.008 | .998 | .985
63 | 4 | 150 | 1.008 | .928 | 1.017
63 | 8 | 486 | .997 | .994 | .994
93 | 4 | 390 | 1.012 | .956 | 1.028
93 | 8 | 1350 | 1.002 | 1.001 | 1.002
181 | 4 | 150 | 1.048 | 0.940 | 0.983
181 | 8 | 486 | 1.008 | 0.999 | 0.985
Results Comparison - Triangular Elements
43[1] | 4 | 222 | .763 | .507 | .721
43[1] | 8 | 546 | .905 | .731 | .887
63 | 4 | 222 | .791 | .525 | .771
63 | 8 | 546 | .916 | .737 | .900
93 | 4 | 774 | .971 | .954 | .985
93 | 8 | 1974 | .991 | .990 | .995
181 | 4 | 222 | .780 | .512 | .742
181 | 8 | 546 | .899 | .723 | .893

  1. SHELL43 in triangular form is not recommended.

Assumptions, Modeling Notes, and Solution Comments

  1. The problem is designed to test singly-curved shell elements under membrane and bending deformation. The quadrilateral mesh patterns produce uniform rectangular shapes while the triangle mesh patterns are as generated by the meshing algorithm in the solid modeler.

  2. Results for SHELL43 in triangular form are presented, though they are not recommended for use. SHELL43 is based on a hybrid formulation for a quadrilateral element shape. Hence, degeneration of the element to a triangular shape will show some slight node-ordering dependence on the element solution.

  3. The target solution is obtained in the prescribed reference for the author's 8-node shell element.

  4. Results for the linear SHELL43 and SHELL63 singly-curved quadrilateral elements are comparable, with SHELL63 showing better accuracy in displacement for a given mesh discretization. As expected, the quadratic SHELL93 performs better than the linear elements for comparable meshes.

  5. Results for the linear triangular-shaped elements is poor due to the constant-strain membrane behavior within the element. The effect of constant-strain membrane behavior is to overly stiffen the element under this type of loading, hence underpredicting both displacement and stresses. For triangular elements, only a fine mesh using the quadratic SHELL93 elements produces acceptable results.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Benchmark C2 		Up / Home Next
Benchmark C4


Benchmark C4

Release 11.0 Documentation for ANSYS

Verification Manual | Part II, Benchmark Study Descriptions |

VMC4

Simply-Supported Thin Annular Plate

Overview

Reference: J. Barlow, G. A. O. Davis, "Selected FE Benchmarks in Structural and Thermal Analysis", NAFEMS Rept. FEBSTA, Rev. 1, October 1986, Test No. 14 (modified).
Analysis Type(s): Mode-frequency Analysis (ANTYPE = 2)
Element Type(s):
4-Node Plastic Large Strain Shell Elements (SHELL43)
Elastic Shell Elements (SHELL63]
8-Node Structural Shell Elements (SHELL93]
Input Listing: vmc4.dat

Test Case

A simply-supported thin annular plate of thickness t is to be analyzed to determine the first nine natural frequencies. Determine the natural frequencies for two mesh densities using both quadrilateral and triangular element shapes with subspace eigenvalue extraction. Next, determine the natural frequencies considering a single mesh density of quadrilateral elements using Householder eigenvalue extraction for three sets of master degrees of freedom.

Figure C4.1 Thin Annular Plate Problem Sketch

Material Properties
E = 200 x 109 N/m2
υ = 0.3
ρ = 8000 kg/m3
Geometric Properties
a = 1.8 m
b = 6.0 m
t = 0.06 m
Loading and Boundary Conditions
All nodes UX = UY = ROTZ = 0 in cylindrical coordinate system;
At x = b UZ = 0
At x = b ROTX = 0
Parameter Definitions
N1 = No. elements along radial direction
N2 = No. elements along circumferential direction

Figure C4.2 Representative Mesh Options

(a) Quadrilateral Mesh (N1 = 3, N2 = 16)
(b) Quadrilateral Mesh (N1 = 5, N2 = 32)
(c) Triangle Mesh (N1 = 3, N2 = 16)
(d) Triangle Mesh (N1 = 5, N2 = 32)

Target Solution

Mode | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9
Frequency (Hz) | 1.870 | 5.137 | 5.137 | 9.673 | 9.673 | 14.850 | 15.573 | 15.573 | 18.382

Results Comparison - First Study on Subspace Extraction Method Frequency Ratio

ETYP | N1 | N2 | DOF | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9
Quadrilateral Mesh
43 | 3 | 16 | 480 | 0.972 | 1.103 | 1.103 | 1.132 | 1.132 | 0.901 | 1.098 | 1.098 | 0.947
43[1] | 5 | 32 | 1296 | 0.991 | 1.024 | 1.020 | 1.022 | 1.022 | 0.961 | 1.015 | 1.015 | 0.974
63 | 3 | 16 | 480 | 1.009 | 1.024 | 1.024 | 0.983 | 0.983 | 0.994 | 0.958 | 0.958 | 1.026
63[1] | 5 | 32 | 1296 | 1.007 | 1.013 | 1.013 | 0.998 | 0.998 | 1.001 | 0.986 | 0.986 | 1.013
93[2] | 3 | 16 | 1224 | 1.001 | 0.994 | 0.994 | 1.000 | 1.000 | 1.005 | 1.015 | 1.015 | 0.994
93 | 5 | 32 | 3528 | 1.001 | 0.994 | 0.994 | 1.000 | 1.000 | 1.001 | 0.998 | 0.998 | 0.995
Triangular Mesh
43[2] | 3 | 16 | 600 | 1.055 | 1.851 | 1.336 | 1.348 | 1.583 | 1.140 | 1.518 | 1.598 | 1.358
43[2] | 5 | 32 | 1416 | 1.010 | 1.066 | 1.068 | 1.058 | 1.069 | 1.047 | 1.094 | 1.097 | 1.133
63 | 3 | 16 | 600 | 1.001 | 1.004 | 1.007 | 0.981 | 0.983 | 0.985 | 0.968 | 0.969 | 0.999
63 | 5 | 32 | 1416 | 1.002 | 1.003 | 1.003 | 0.995 | 0.996 | 0.998 | 0.987 | 0.989 | 1.000
93 | 3 | 16 | 1992 | 1.016 | 1.030 | 1.031 | 1.027 | 1.029 | 1.040 | 1.045 | 1.052 | 1.068
93 | 5 | 32 | 4968 | 1.004 | 1.008 | 1.008 | 1.010 | 1.010 | 1.012 | 1.014 | 1.017 | 1.017

  1. Test case corresponds to NAFEMS test specification for mesh discretization.

  2. SHELL43 in triangular form is not recommended.

Results Comparison - Second Study on Reduced Householder Extraction Method

Model Information
N1 = 5 | DOF = 1296
N2 = 32 | Quadrilateral Elements
Element = SHELL63 | No. Elements = 160
Householder Extraction
 | Frequency Ratio |  |  |  |  |  |  |  |  |
MDOF[1] | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | CPU Ratio[2]
2P | 1.026 | 1.072 | 1.195 | 1.158 | 1.347 | 1.165 | 1.321 | 1.452 | 1.498 | .55
4P | 1.011 | 1.027 | 1.066 | 1.064 | 1.082 | 1.072 | 1.079 | 1.099 | 1.117 | .596
8P | 1.007 | 1.015 | 1.015 | 1.001 | 1.005 | 1.017 | 0.995 | 0.998 | 1.041 | .677

  1. Master degrees of freedoms based on multiples of P = 9 eigenvectors.

  2. Computing time CPU is normalized to a solution using the Subspace Extraction

Assumptions, Modeling Notes, and Solution Comments

  1. The problem is designed to test a solution involving repeated eigenvalues and the use of various eigenvalue extraction techniques.

  2. The representative input data listing is for a subspace extraction analysis. Modifications to the input data are required to execute a Householder extraction analysis.

  3. For the linear elements, SHELL63 shows better solution results than SHELL43. These results are consistent with other similar observations: that for thin, flat elastic structures and regular-shaped elements, SHELL43 does not perform as well as SHELL63.

  4. Results for SHELL43 in triangular form are presented, though they are not recommended for use. SHELL43 is based on a hybrid formulation for a quadrilateral element shape. Hence, degeneration of the element to a triangular shape will show some slight node-ordering dependence on the element solution.

  5. For the reduced analysis, the TOTAL option is used to automatically select master degrees of freedom. Masters are chosen in multiples of two, four, and eight times the number of desired frequencies (abbreviated as P).

  6. For the reduced analysis using quadrilateral elements, engineering accuracy (2%) is obtained for the first natural frequency with a total of 18 MDOF ( [image] 2P) specified. Engineering accuracy for the first eight natural frequencies requires a specification of 72 MDOF ( [image] 8P).

  7. The Householder method can provide considerable computational time savings over full eigenvalue extraction. In this example, roughly 25-50% time savings is achieved.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Benchmark C3 		Up / Home Next
Benchmark C5


Benchmark C5

Release 11.0 Documentation for ANSYS

Verification Manual | Part II, Benchmark Study Descriptions |

VMC5

Simply-Supported Solid Square Plate

Overview

Reference: NAFEMS, "The Standard NAFEMS Benchmarks", Rev. No. TSNB, National Engineering Laboratory, E. Kilbride, Glasgow, UK, August, 1989, Test No. FV52 (modified).
Analysis Type(s): Mode-frequency Analysis (ANTYPE = 2)
Element Type(s):
3-D Structural Solid Elements (SOLID45)
3-D 10-Node Tetrahedral Structural Solid Elements (SOLID92)
Input Listing: vmc5.dat

Test Case

A simply-supported rectangular solid of thickness t is analyzed to determine the first P = 10 natural frequencies (the first three of which are rigid body modes). Determine the natural frequencies and mode shapes using Householder eigenvalue extraction for six sets of master degree of freedom selections for both element types.

Figure C5.1 Solid Square Plate Problem Sketch

Material Properties
E = 200 x 109 N/m2
υ = 0.3
ρ = 8000 kg/m3
Geometric Properties
a = 10.0 m
t = 1.0 m
Loading
At Z = 0 UZ = 0 along 4 edges
Parameter Definitions
N1 = No. elements along edges
N2 = No. elements through thickness

Target Solution

Modes 1-3 are rigid body modes (zero frequency).

Mode | 4 | 5 | 6 | 7 | 8 | 9 | 10
Frequency (Hz) | 45.897 | 109.44 | 109.44 | 167.89 | 193.59 | 206.19 | 206.19

Results Comparison

 |  |  |  |  | Frequency Ratio
ETYP | N1 | N2 | MDOF | % of DOF | 4 | 5 | 6 | 7 | 8 | 9 | 10
45 | 8 | 3 | 20 | 2.128 | 1.145 | 1.568 | 1.850 | 1.706 | 1.514 | 1.641 | 2.089
45 | 8 | 3 | 40 | 4.255 | 1.050 | 1.159 | 1.464 | 1.434 | 1.251 | 1.212 | 1.321
45 | 8 | 3 | 80 | 8.511 | 1.043 | 1.200 | 1.281 | 1.296 | 1.197 | 1.143 | 1.172
45 | 8 | 3 | 120 | 12.770 | 1.004 | 1.157 | 1.178 | 1.265 | 1.105 | 1.104 | 1.155
45 | 8 | 3 | 160 | 17.020 | 1.009 | 1.099 | 1.112 | 1.118 | 1.066 | 1.049 | 1.096
45[1] | 8 | 3 | 940 | 100.000 | 0.987 | 1.041 | 1.041 | 1.032 | 1.016 | 1.016 | 1.016
92 | 6 | 1 | 20 | 1.265 | 0.986 | 1.090 | 1108 | 1.273 | 1.298 | 1.328 | 1.363
92 | 6 | 1 | 40 | 2.530 | 0.979 | 1.034 | 1.066 | 1.146 | 1.257 | 1.209 | 1.267
92 | 6 | 1 | 80 | 5.060 | 0.975 | 1.011 | 1.030 | 1.042 | 1.130 | 1.083 | 1.102
92 | 6 | 1 | 120 | 7.590 | 0.973 | 1.014 | 1.018 | 1.047 | 1.079 | 1.067 | 1.077
92 | 6 | 1 | 160 | 10.120 | 0.973 | 1.010 | 1.017 | 1.046 | 1.057 | 1.057 | 1.065
92 | 6 | 1 | 500 | 31.626 | 0.970 | 0.995 | 0.995 | 0.997 | 1.011 | 1.011 | 1.018

  1. Test case corresponds to NAFEMS test specification

Figure C5.2 Representative Mesh Options

Figure C5.3 Graphical Results - Mode Shapes

Assumptions, Modeling Notes, and Solution Comments

  1. The problem is designed to test the calculation of rigid body modes, coincident frequencies, and associated mode shapes.

  2. Master degree of freedom selection for the tests is based on an even multiple of the desired number of modes (P = 10). Masters are chosen using the TOTAL command.

  3. The plate is simply supported on the bottom plate edges only (not at the midplane).

  4. Three rigid body modes are correctly predicted in every test case analyzed.

  5. The level of error introduced by mesh discretization is small compared to the level of error introduced by an insufficient number of master degrees of freedom.

  6. For the primary bending mode (mode 4), both SOLID45 and SOLID92 accurately predict the eigenvalue with only two percent of the degrees of freedom selected as MDOFs. However, for higher modes (modes 5-10), accurate eigenvalue prediction requires considerably more MDOFs.

  7. The mode shape for mode 10 is not captured unless sufficient numbers of MDOFs are chosen. This is due to the fact that the TOTAL option in this test case does not choose a uniformly distributed set of in-plane MDOFs, hence allowing for possible inaccurate in-plane mode representation at higher modes. For SOLID45, 8P (or 80 MDOFs) are required to capture the tenth mode shape while 16P (or 160 MDOFs) are required for SOLID92. In both cases roughly 7 to 8 percent of the degrees of freedom are required as MDOF in order to capture the tenth mode.

  8. Coincident frequencies (modes 5-6, modes 9-10) are predicted only for the following test cases

    • SOLID45 with all DOFs chosen as MDOF

    • SOLID92 with 50P DOFs chosen as MDOF. For cases with significantly reduced MDOF sets, the correct coincident mode shapes are predicted but the frequencies are slightly different.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Benchmark C4 		Up / Home Next
Benchmark C6


Benchmark C6

Release 11.0 Documentation for ANSYS

Verification Manual | Part II, Benchmark Study Descriptions |

VMC6

2-D Heat Transfer With Convection

Overview

Reference: J. Barlow, G. A. O. Davis, "Selected FE Benchmarks in Structural and Thermal Analysis", NAFEMS Rept. FEBSTA, Rev. 1, October 1986, Test No. T4 (modified).
Analysis Type(s): Thermal Analysis (ANTYPE = 0)
Element Type(s):
2-D 6-Node Triangular Thermal Solid Elements (PLANE35)
2-D Thermal Solid Elements (PLANE55)
2-D 8-Node Thermal Solid Elements (PLANE77)
Input Listing: vmc6.dat

Test Case

A two-dimensional rectangular body is insulated at the left edge and has the bottom edge held at a prescribed temperature T1. Two other edges are subjected to a convection environment with a convection coefficient h and an ambient temperature T0. Determine the steady-state temperature on the right edge, at a location 0.2 m above the bottom (Target Point-1) for a series of test cases with increasing mesh refinements for each element type.

Figure C6.1 2-D Rectangular Body Problem Sketch

Material Properties
k = 52 W/m°C
Parameter Definition
N1 = Element edge length
Geometric Properties
a = 0.6 m
b = 1.0 m
c = 0.2 m
Loading
h = 750 W/m2°C
T0 = 0°C
T1 = 100°C

Figure C6.2 Representative Mesh Options

Results Comparison - Triangle Mesh

ETYP | N1 | DOF | Temp(°C) | Temperature Ratio
Quadrilateral Mesh
55[1] | .2 | 24 | 19.3 | 1.06
55 | .1 | 77 | 18.9 | 1.03
77[1] | .2 | 62 | 16.4 | 0.90
77 | .1 | 213 | 18.7 | 1.02
Triangle Mesh
35 | .2 | 93 | 17.9 | 0.98
35 | .1 | 317 | 18.3 | 1.00
55 | .2 | 28 | 20.9 | 1.14
55 | .1 | 88 | 19.0 | 1.04
77 | .2 | 93 | 17.9 | 0.98
77 | .1 | 317 | 18.3 | 1.00
Uniform Triangle Mesh
35[1] | 2 | 77 | 16.5 | 0.90
35 | .1 | 273 | 18.3 | 1.00
55 | .2 | 24 | 22.4 | 1.22
55 | .1 | 77 | 18.9 | 1.04
77[1] | 2 | 77 | 16.5 | 0.90
77 | .1 | 273 | 18.3 | 1.00

  1. Test case corresponds to NAFEMS test specification

Assumptions, Modeling Notes, and Solution Comments

  1. The lower order PLANE55 element converges toward the solution from above the target temperature while, in general, the higher order PLANE35 and PLANE77 elements converge from below the target temperature.

  2. For the coarse meshes, the lower order PLANE55 element, in triangular form, does not predict accurate results. However, further mesh refinement produces more accurate results.

  3. The higher order PLANE35 triangular element and the higher order PLANE77 element in triangular form, produce identical results.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Benchmark C5 		Up / Home Next
Benchmark C7


Benchmark C7

Release 11.0 Documentation for ANSYS

Verification Manual | Part II, Benchmark Study Descriptions |

VMC7

One-Dimensional Transient Heat Transfer

Overview

Reference: J. P. Holman, Heat Transfer, 4th Edition, McGraw-Hill Book Co., Inc., New York, NY, 1976, pg. 106.
Analysis Type(s): Thermal Analysis (ANTYPE = 4)
Element Type(s):
2-D 6-Node Triangular Thermal Solid Elements (PLANE35)
2-D Thermal Solid Elements (PLANE55)
2-D 8-Node Thermal Solid Elements (PLANE77)
Input Listing: vmc7.dat

Test Case

A semi-infinite solid, initially of temperature To, is suddenly subjected to a convection environment with convection coefficient h and ambient temperature T1. Determine the surface temperature after 2 seconds for a series of test cases with increasing mesh refinement for each element type.

Figure C7.1 Semi-Infinite Solid Problem Sketch

Material Properties
k = 54 W/m-°C
ρ = 7833 kg/m3
c = 0.465 J/kg-°C
Geometric Properties
a = 1.0 m
See Comments below
b = a/2 Nm
Loading
h = 50 W/m2-°C
To = 0°C
T1 = 1000°C
Parameter Definitions
N = No. of elements in longitudinal direction
N3 = Initial Δt increment

Representative Mesh Options

Results Comparison

Target Solution: T = 157.25

ETYP | N | Deflection Δtmin | Cumulative Iterations | Surface Temperature | Temperature Ratio
55 | 6 | .5 | 4 | 142.953 | .909
55 | 8 | .25 | 8 | 150.472 | .957
55 | 16 | .0667 | 30 | 155.655 | .990
77 | 6 | .5 | 4 | 151.993 | .967
77 | 8 | .25 | 8 | 154.573 | .983
77 | 16 | .0667 | 30 | 156.523 | .995
35 | 6 | .5 | 4 | 151.934 | .966
35 | 8 | .25 | 8 | 154.560 | .983
35 | 16 | .0667 | 30 | 156.524 | .995

Assumptions, Modeling Notes, and Solution Comments

  1. One-dimensional heat transfer is assumed along the model length, a, which is chosen such that no significant change in temperature occurs at the end region. This is done to ensure an infinite length approximation. The model width, b, is chosen such that the element aspect ratio remain constant for all test cases.

  2. Time step optimization was activated to automatically increment the time step during the solution. The minimum Δt increments chosen were arbitrary.

  3. Results tabulation includes the cumulative number of iterations per run. From these results it is shown that the time step opened up from the initial value, for the Δt = 0.5 and 0.0667 cases.

  4. All three elements are shown to converge to the correct solution. The quadratic elements (PLANE35, PLANE77) provide a more accurate solution than the linear PLANE55 element for a similar mesh configuration.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Benchmark C6 		Up / Home Next
Benchmark C8


Benchmark C8

Release 11.0 Documentation for ANSYS

Verification Manual | Part II, Benchmark Study Descriptions |

VMC8

Aluminum Bar Impacting a Rigid Boundary

Overview

Reference: M. L. Wilkins, M. W. Guinan, "Impact of Cylinders on a Rigid Boundary", Journal of Applied Physics, Vol. 44 No. 3, 1973, pp. 1200.
Analysis Type(s): Nonlinear Transient Dynamic Analysis (ANTYPE = 4)
Element Type(s):
2-D Structural Solid Elements (PLANE42)
2-D 8-Node Structural Solid Elements (PLANE82)
2-D 4-Node Structural Solid Elements (PLANE182)
2-D 9-Node Structural Solid Elements (PLANE183)
2-D 4-Node Viscoplastic Solid Elements (VISCO106)
Input Listing: vmc8.dat

Test Case

A cylindrical aluminum bar impacts a rigid wall at a velocity Vo. Determine the deformed length of the bar and perform axisymmetric analyses with the element types noted above.

Figure C8.1 Aluminum Bar Problem Sketch

Material Properties
E = 70 x 109 N/M2
ET = 100 x 106 N/M2
σyp = 420 x 106 N/M2
υ = 0.3
ρ = 2700 Kq/m3
Geometric Properties
= 2.347 cm
d = 0.762 cm
Loading
Vo = 478 m/sec

Representative Finite Element Models

2-D Axisymmetric Model

Assumptions, Modeling Notes, and Solution Comments

  1. The test case is modelled as a 2-D axisymmetric analysis with elements PLANE42, PLANE82, VISCO106, PLANE182 ,and PLANE183. Each analysis consists of two load steps. The first load step is static and serves to define the initial velocity. The second load step resolves the nonlinear transient effects.

  2. The material behavior is assumed to be elastic perfectly plastic and obey a bilinear isotropic hardening law. The elastic wave propagation speed is defined as [image]. The time required for the elastic wave to travel across a typical element in the radial direction is used to define the minimum number of substeps. A time span of 4.5 x 10-5 seconds allows the bar to impact and realize its maximum deflection. Auto time stepping (AUTOTS) is used to control the time step increments. The large deflection effects are included using NLGEOM. Solution efficiency is improved by relaxing the convergence criteria (CNVTOL).

  3. The 2-D axisymmetric analysis with PLANE42 elements fails to converge due to excessive element distortion or collapse (Figure C8.2: "Deformed Shape"). The element distortion can be attributed to an increased stiffness in element edges along the axis of symmetry resulting from dropped extra shape functions. The axisymmetric formulation removes extra shape functions along the axis of symmetry, hence incompressibility associated with large-strain plasticity is not maintained.

  4. In comparison, the plane and solid elements perform equally well as the viscoplastic elements for the strain levels encountered in this problem. Introducing a rate-dependent material property to the problem would illustrate advantage to viscoplastic elements.

  5. Using POST26, plots of the displacement vs. time (Figure C8.2: "Deformed Shape") and equivalent plastic strain (Figure C8.3: "VISCO106 Graphs" - for the center node on the impact face) vs. time are produced.

Results Comparison

Target Solution: Lf = .01319 m (Obtained experimentally)

ETYP | Lf,m | Ratio
2 | .014 | 1.067
42 | .017 [1] | 1.298
82 | .014 | 1.065
106 | .014 | 1.065
182 | .014 | 1.078
183 | .014 | 1.068

  1. Solution did not converge

Figure C8.2 Deformed Shape

(a) PLANE42 Elements and (b) VISCO106 Elements

Figure C8.3 VISCO106 Graphs

(c) Free End Displacement vs. Time and (d) Impact Face - Equivalent Plastic Strain vs. Time

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Benchmark C7 		Up / Home Next
Benchmark D1


Benchmark D1

Release 11.0 Documentation for ANSYS

Verification Manual | Part II, Benchmark Study Descriptions |

VMD1

Straight Cantilever Beam Under Unit Load

Overview

Reference: R. H. MacNeal, R. L. Harder, "A Proposed Standard Set of Problems to Test Finite Element Accuracy", Proceedings, 25th SDM Finite Element Validation Forum, 1984.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
2-D Structural Solid Elements (PLANE42)
2-D 8-Node Structural Solid Elements (PLANE82)
2-D 8-Node Structural Solid Elements (PLANE183)
3-D Structural Solid Elements (SOLID45)
3-D 10-Node Tetrahedral Structural Solid Elements (SOLID92)
3-D 20-Node Structural Solid Elements (SOLID95)
Input Listing: vmd1.dat

Test Case

A straight cantilever beam, fixed at one end, is subjected to a unit load. Determine the displacement at the end of the beam for unit loads including extension, in-plane shear, out-of-plane shear, and twist (where applicable). Examine the influence of rectangular, trapezoidal, and parallelogram element shape models on tip displacement and the percent energy error norm.

Figure D1.1 Straight Cantilever Beam Problem Sketch

Material Properties
E = 10 x 106 psi
υ = 0.3
Geometric Properties
L = 6 in
d = 0.1 in
t = 0.2 in
Parameter Definitions
Θ = Element Distortion Angle
Loading
At X = 0 UX = UY = UZ = 0
At X = L Unit Load
a. Extension (FX = 1)
b. In-plane (FY = 1)
c. Out-plane (FZ = 1)
d. Twist (Equivalent FX, FY forces applied)

Representative Mesh Options

Results Comparison

Tip Loading | Tip Displacement Ratio / % Error in Energy Norm
Shape/Direction | PLANE42 |  | PLANE82 |  | PLANE183 |  | SOLID45 |  | SOLID92 |  | SOLID95
Rectangular
Extension | .996 | 0 | .999 | 5 | .997 | 6 | .988 | 0 | .993 | 11 | .994 | 3
In-Plane Shear | .993 | 24 | .987 | 0 | .983 | 22 | .978 | 25 | .960 | 30 | .971 | 17
Out-Of-Plane Shear |  |  |  |  |  |  | .973 | 27 | .959 | 33 | .861 | 22
Twist |  |  |  |  |  |  | .892 | 10 | .910 | 24 | .903 | 8
Trapezoidal (θ = 15°)
Extension | .997 | 4 | .999 | 5 | .997 | 6 | .991 | 5 | .993 | 11 | .994 | 3
In-Plane Shear | .293 | 66 | .986 | 7 | .982 | 23 | .272 | 66 | .959 | 31 | .969 | 18
Out-Of-Plane Shear |  |  |  |  |  |  | .215 | 67 | .958 | 33 | .960 | 23
Twist |  |  |  |  |  |  | .854 | 16 | .910 | 24 | .903 | 8
Trapezoidal (θ = 30°)
Extension | .999 | 4 | 1.000 | 4 | .997 | 6 | .993 | 6 | .993 | 11 | .994 | 3
In-Plane Shear | .109 | 64 | .982 | 17 | .976 | 26 | .100 | 64 | .954 | 32 | .957 | 23
Out-Of-Plane Shear |  |  |  |  |  |  | .072 | 64 | .954 | 34 | .954 | 25
Twist |  |  |  |  |  |  | .742 | 27 | .910 | 25 | .903 | 8
Trapezoidal (θ = 45°)
Extension | .999 | 3 | 1.000 | 4 | .997 | 6 | .994 | 4 | .993 | 11 | .994 | 3
In-Plane Shear | .052 | 59 | .967 | 36 | .961 | 32 | .047 | 59 | .939 | 37 | .891 | 34
Out-Of-Plane Shear |  |  |  |  |  |  | .030 | 60 | .941 | 38 | .921 | 36
Twist |  |  |  |  |  |  | .563 | 40 | .910 | 25 | .903 | 8
Parallelogram (θ = 15°)
Extension | .997 | 4 | .999 | 5 | .998 | 6 | .991 | 5 | .993 | 11 | .994 | 3
In-Plane Shear | .812 | 38 | .988 | 1 | .983 | 22 | .798 | 40 | .959 | 31 | .971 | 18
Out-Of-Plane Shear |  |  |  |  |  |  | .749 | 49 | .958 | 33 | .960 | 23
Twist |  |  |  |  |  |  | .886 | 19 | .910 | 24 | .903 | 8
Parallelogram (θ = 30°)
Extension | .999 | 4 | .999 | 5 | .998 | 6 | .993 | 5 | .993 | 11 | .994 | 3
In-Plane Shear | .680 | 51 | .991 | 4 | .980 | 24 | .669 | 53 | .954 | 33 | .972 | 21
Out-Of-Plane Shear |  |  |  |  |  |  | .608 | 65 | .953 | 35 | .955 | 26
Twist |  |  |  |  |  |  | .866 | 34 | .910 | 25 | .903 | 8
Parallelogram (θ = 45°)
Extension | .999 | 3 | 1.000 | 4 | .998 | 6 | .994 | 4 | .992 | 11 | .994 | 3
In-Plane Shear | .632 | 55 | .997 | 8 | .970 | 29 | .624 | 57 | .940 | 38 | .968 | 27
Out-Of-Plane Shear |  |  |  |  |  |  | .528 | 74 | .935 | 40 | .942 | 32
Twist |  |  |  |  |  |  | .820 | 51 | .909 | 26 | .903 | 8

Assumptions, Modeling Notes, and Solution Comments

  1. The straight cantilever beam is a frequently used test problem applicable to beam, plate, and solid elements. The problem tests elements under constant and linearly varying strain conditions. Although the problem appears rather simplistic in nature, it is a severe test for linear elements, especially when distorted element geometries are present.

  2. The fixed boundary conditions at the left edge of the beam are not representative of a "patch test." Thus, under extensional loading, the finite element solution will not agree with the beam theory solution.

  3. Element solution accuracy degrades as elements are distorted. The degradation is more pronounced for linear elements (PLANE42, SOLID45) than it is for quadratic elements (PLANE82, PLANE183, SOLID92, SOLID95). The degradation in performance for linear elements is most pronounced for bending loads coupled with irregular element shapes. The linear elements experience a locking phenomena due to their inability to properly account for shear energy in bending resulting in excessive stiffness in the element. The inclusion of extra shape functions in the element formulation helps in correcting the shear energy prediction, but this is only applicable to rectangular element shapes. Hence results for PLANE42 and SOLID45 in rectangular form show very acceptable results.

  4. Distorted linear elements show more pronounced locking (excessive stiffness) for trapezoidal element shapes than for parallelogram shapes. Results clearly show underpredicted displacements for trapezoidal element shapes for PLANE42 and SOLID45.

  5. The quadratic elements show very good performance under all loadings and geometries. The good performance is attributed to the ability of the elements to properly handle bending and shear energy, in contrast to the linear elements.

  6. The percent error in energy norm for each test case is displayed against the tip displacement ratio to illustrate the general correlation between the two for this particular problem. The linear elements show a patterned correlation between solution accuracy and the percent error in energy norm. For the quadratic elements the correlation pattern is similar. In both cases, the results illustrate that a considerable bandwidth on norm values may exist at any desired solution accuracy level for problems under a variety of load conditions with irregular element shapes.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Benchmark C8 		Up / Home Next
Benchmark D2


Benchmark D2

Release 11.0 Documentation for ANSYS

Verification Manual | Part II, Benchmark Study Descriptions |

VMD2

Barrel Vault Roof Under Self Weight

Overview

Reference: R. D. Cook, Concepts and Applications of Finite Element Analysis, 2nd Edition, John Wiley and Sons, Inc., 1981, pp. 284-287.
Analysis Type(s): Static Analysis (ANTYPE = 0)
Element Type(s):
4-Node Plastic Large Strain Shell Elements (SHELL43)
Elastic Shell Elements (SHELL63)
8-Node Structural Shell Elements (SHELL93)
4-Node Finite Strain Shell Elements (SHELL181)
8-Node Finite Strain Shell Elements (SHELL281)
Input Listing: vmd2.dat

Test Case

A cylindrical shell roof is subjected to gravity loading. The roof is supported by walls at each end and is free along the sides. Monitor the y-displacement and bottom axial stress (σz) at target point 1 along with the bottom circumference stress (σθ) at target point 2 for a series of test cases with varying skew angle β for each element type. A companion problem that studies uniform element mesh refinement is VMC3.

Figure D2.1 Cylindrical Shell Roof Problem Sketch

Material Properties
E = 4.32 x 108 N/m2
υ = 0.0
ρ = 36.7347 kg/m3
Geometric Properties
L = 50 m
R = 25 m
t = 0.25 m
Θ = 40°
g = 9.8 m/sec2
Loading and Boundary Conditions
At x = 0 Symmetric
At z = 0 Symmetric
At x = L UX = UY = ROTZ = 0
Parameter Definitions
β = Skew Angle

Representative Mesh Options

Target Solution

Target solution is obtained using a uniform 8 x 8 quadrilateral mesh of an 8-node quadrilateral shell element, (see R. D. Cook, Concepts and Applications of Finite Element Analysis).

ETYP | Beta (Deg.) | Alpha (Deg.) | UY (1), in | Axial Stress (1) Bottom,kPa | Hoop Stress (2) Bottom,kPa
-- | 90 | 90 | -.3016 | 358.42 | -213.40

Results Comparison - Quadrilateral Elements

 |  |  | Ratio
ETYP | Beta | Alpha | UY (1) | Axial Stress (1) Bottom | Hoop Stress (2) Bottom
43 | 65.0 | 133.4 | 1.005 | 0.948 | 0.844
43 | 77.5 | 106.0 | 1.036 | 0.951 | 0.941
43 | 90.0 | 90.0 | 1.049 | 0.940 | 0.983
43 | 110.0 | 75.1 | 1.052 | 0.913 | 0.986
43 | 130.0 | 66.2 | 1.045 | 0.876 | 0.950
63[1] | 65.0 | 133.4 | 1.003 | 1.136 | 0.958
63[2] | 77.5 | 106.0 | 1.006 | 1.025 | 1.002
63 | 90.0 | 90.0 | 1.008 | 0.928 | 1.017
63[3] | 110.0 | 75.1 | 1.009 | 0.796 | 1.022
63[4] | 130.0 | 66.2 | 1.008 | 0.674 | 1.018
93 | 65.0 | 133.4 | 0.982 | 0.985 | 1.085
93 | 77.5 | 106.0 | 1.001 | 0.968 | 1.045
93 | 90.0 | 90.0 | 1.004 | 0.953 | 1.029
93 | 110.0 | 75.1 | 0.996 | 0.934 | 1.024
93 | 130.0 | 66.2 | 0.978 | 0.923 | 1.013
181 | 65 | 133.4 | 0.982 | 0.985 | 1.085
181 | 77.5 | 106 | 1.001 | 0.968 | 1.045
181 | 90 | 90 | 1.004 | 0.953 | 1.029
181 | 110 | 75.1 | 0.996 | 0.934 | 1.024
181 | 130 | 66.2 | 0.978 | 0.923 | 1.013
281 | 65 | 133.4 | 0.974 | 0.985 | 1.111
281 | 77.5 | 106 | 0.999 | 0.967 | 1.028
281 | 90 | 90 | 1.004 | 0.953 | 1.006
281 | 110 | 75.1 | 0.994 | 0.949 | 1.025
281 | 130 | 66.2 | 0.971 | 0.960 | 1.035

  1. Test case results in ANSYS warning message on element warping:

    .155 < Warping Factor < .278

  2. Test case results in ANSYS warning message on element warping:

    .105 < Warping Factor < .105

  3. Test case results in ANSYS warning message on element warping:

    .114 < Warping Factor < .131

  4. Test case results in ANSYS warning message on element warping:

    .179 < Warping Factor < .257

Assumptions, Modeling Notes, and Solution Comments

  1. The problem is designed to test singly-curved shell elements under combined membrane and bending deformation. The solid model is set up to produce irregular element shapes for quadrilateral elements. The angle β is prescribed, while the angle α is calculated from the resulting geometry. The range of β is set such that all element interior angles fall within 90° ± 45°.

  2. The target solution is obtained from the author's 8-node shell element, (see R. D. Cook, Concepts and Applications of Finite Element Analysis), under a uniform rectangular element geometry using an 8 x 8 mesh pattern.

  3. Results for uniform quadrilateral element shapes are noted in the tabular and graphical output for β = 90° and should be used as a basis for comparison of distorted element performance.

  4. SHELL63 is permitted for use in a curved shell environment for slightly warped shapes. Excessive warping produces warning messages. These are noted in the tabular output.

  5. Displacement results over the range of element distortion vary the greatest for SHELL43 and the least for SHELL63. In this problem, SHELL63 and SHELL93 predict the displacement more accurately for mild element geometry distortion.

  6. Axial (σz) stress results, over the range of element distortion, show wide variation for SHELL63, but considerably less variation for SHELL43, SHELL93, SHELL181, and SHELL281 elements. The wide variation in results for SHELL63 is due to nodal stress extrapolation inaccuracies for distorted, warped element configurations. Hoop (σθ) stress results are less affected by irregular element shapes except at the extreme β angle range.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Benchmark D1 		Up / Home Next
Benchmark D3


Benchmark D3

Release 11.0 Documentation for ANSYS

Verification Manual | Part II, Benchmark Study Descriptions |

VMD3

Free-Free Vibration of a Solid Beam

Overview

Reference: R. D. Blevins, Formulas for Natural Frequency and Mode Shape, Van Nostrand Reinhold Co., New York, NY, 1979, Tables 8-1 and 8-16.
Analysis Type(s): Mode-frequency analysis (ANTYPE = 2)
Element Type(s):
2-D Structural Solid Elements (PLANE42)
2-D 8-Node Structural Solid Elements (PLANE82)
2-D 8-Node Structural Solid Elements (PLANE183)
3-D Structural Solid Elements (SOLID45)
3-D 10-Node Tetrahedral Structural Solid Elements (SOLID92)
3-D 20-Node Structural Solid Elements (SOLID95)
Input Listing: vmd3.dat

Test Case

A free-free solid beam is analyzed to determine the first axial and bending mode natural frequencies. For the axial mode case use Householder eigenvalue extraction and for the bending mode case use subspace eigenvalue extraction to extract the required eigenvalues. Examine the influence of rectangular, trapezoidal, and parallelogram element shape models on the eigenvalue calculations.

Figure D3.1 Free-Free Solid Beam Problem Sketch

Material Properties
E = 200 x 109 N/m2
υ = 0.3
ρ = 8000 kg/m3
Parameter Definitions
Θ = Element Distortion Angle
Loading and Boundary Conditions
At X = L/2 UX = 0
At Z = 0 UZ = 0
At Y = 0 UY = 0 (Axial mode)
Geometric Properties
L = 12 m
d = 0.1 m
t = 0.2 m

Representative Mesh Options

Target Solution and Results Comparison

Target Solution:

Freq = 208.333 Hz (Axial Mode)

Freq = 7.138 Hz (Bending Mode)

Results Comparison:

 |  | 1st Natural Frequency Ratio
Axial Mode
Shape | Angle | PLANE42 | PLANE82 | PLANE183 | SOLID45 | SOLID92 | SOLID95
Rectangular | 0 | 1.004 | 1.001 | 1.000 | 1.005 | 1.000 | 1.001
Trapezoidal | 15 | 1.004 | 1.001 | 1.000 | 1.005 | 1.000 | 1.001
Trapezoidal | 30 | 1.004 | 1.001 | 1.000 | 1.005 | 1.000 | 1.001
Trapezoidal | 45 | 1.005 | 1.001 | 1.000 | 1.006 | 1.000 | 1.001
Parallelogram | 15 | 1.004 | 1.001 | 1.000 | 1.005 | 1.000 | 1.001
Parallelogram | 30 | 1.004 | 1.001 | 1.000 | 1.005 | 1.000 | 1.001
Parallelogram | 45 | 1.004 | 1.001 | 1.000 | 1.005 | 1.000 | 1.001
Bending Mode
Rectangular | 0 | 1.010 | 0.999 | 1.003 | 1.010 | 1.004 | 1.002
Trapezoidal | 15 | 1.567 | 1.000 | 1.003 | 1.598 | 1.005 | 1.003
Trapezoidal | 30 | 1.973 | 1.003 | 1.006 | 2.015 | 1.008 | 1.010
Trapezoidal | 45 | 2.207 | 1.012 | 1.016 | 2.254 | 1.020 | 1.051
Parallelogram | 15 | 1.040 | 0.999 | 1.003 | 1.043 | 1.005 | 1.002
Parallelogram | 30 | 1.091 | 0.999 | 1.005 | 1.097 | 1.009 | 1.004
Parallelogram | 45 | 1.119 | 0.999 | 1.011 | 1.127 | 1.020 | 1.010

Assumptions, Modeling Notes, and Solution Comments

  1. The problem tests the influence of irregular element shapes on eigenvalue calculations. Although the problem appears rather simplistic in nature, it is a severe test for linear irregular shaped elements where accurate bending mode frequencies are required.

  2. Since the beam is free of any constraints, only one-half of the beam is required for modeling. Symmetry constraints are applied at the mid-length of the models. To obtain the desired bending mode (in the XY plane) all nodes at Z = 0 are constrained in the Z direction. Additionally, for the axial mode only, all nodes at Y = 0 are constrained in the Y direction.

  3. For the axial mode case, Householder extraction is used with all UX degrees of freedom chosen as MDOFs. For the bending mode case, subspace extraction is used with shifted subspace to circumvent zero energy modes.

  4. All load cases show good agreement in the prediction of the first axial natural frequency. This mode is simply linearly-varying longitudinal motion which is easily handled by both linear and quadratic elements. Irregular element shapes have only a minor effect on solution accuracy since axial motion is predominant.

  5. For the linear elements (PLANE42, SOLID45), prediction of the first bending mode is significantly affected by irregularly shaped elements. Linear elements have an inherent inability to properly account for shear energy in bending modes resulting in excessive stiffness within the element. The inclusion of extra shape functions in the element formulation help in correcting the shear energy prediction, but are only suitable to rectangular element shapes. Hence, rectangular element results for PLANE42 and SOLID45 are in good agreement. However, as the elements are distorted, the stiffness of the element increases hence overpredicting the bending mode natural frequency.

  6. For the quadratic elements (PLANE82, PLANE183 , SOLID92, SOLID95), prediction of the first bending mode is very good. Irregular element shapes for quadratic elements have little effect on the solution accuracy.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Benchmark D2 		Up / Home Next
Appendix B. Benchmark Input Listings


Appendix B. Benchmark Input Listings

This appendix contains all of the input listings for the benchmarks documented in Part II, Benchmark Study Descriptions.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Benchmark D3 		Up / Home Next
Benchmark C1 Input Listing


Benchmark C1 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMC1
*DIM,NARAY,TABLE,13,8           ! 2-D NARAY FOR RESULTS INFO
*taxis,naray(1,0),1,1,2,3,4,5,6,7,8,9,10
*taxis,naray(11,0),1,11,12,13
*taxis,naray(0,1),2,1,2,3,4,5,6,7,8
*CREATE,base,
  PARSAV,ALL
  /clear, nostart
  PARRES,CHANGE
  /PREP7
  smrt,off
  /TITLE, VMC1, CLAMPED PLATE UNDER UNIFORMLY-DISTRIBUTED LOAD
  /COM,
  /OUT,SCRATCH
  ANTYPE,STATIC
  ET,1,ETYP                       ! DEFINE ELEMENT TYPE PARAMETRICALLY
  MP,EX,1,10E6                    ! DEFINE MATERIAL PROPERTIES
  MP,NUXY,1,.3
  A=10                            ! DEFINE PLATE EDGE LENGTH
  T=1.0                           ! DEFINE PLATE THICKNESS
  K,1,,,(-T/2)                    ! DEFINE KEYPOINTS
  K,2,(A/2),,(-T/2)
  K,3,(A/2),(A/2),(-T/2)
  K,4,,(A/2),(-T/2)
  KGEN,2,1,4,1,,,(T/2)
  L,1,5
  *REPEAT,4,1,1
  L,1,4
  *REPEAT,2,4,4
  L,1,2
  *REPEAT,2,4,4
  L,2,3
  *REPEAT,2,4,4
  L,3,4
  *REPEAT,2,4,4
  LSEL,S,LINE,,1,4
  LESIZE,ALL,,,ARG2
  LSEL,INVE
  LESIZE,ALL,,,ARG1
  LSEL,ALL
  V,1,2,3,4,5,6,7,8
  ESIZE,,1
  MOPT,VMESH,ALTE
  VMESH,ALL                       ! MESH VOLUMES
  *GET,MAXN,NODE,,NUM,MAX         ! GET MAX NODE NUMBER
  NARAY(ARG3,2)=ARG1              ! STORE N1
  NARAY(ARG3,3)=ARG2              ! STORE N2
  NARAY(ARG3,4)=MAXN*3            ! CALCULATE TOTAL NO. OF DOF'S
  NSEL,S,LOC,X,(A/2)              ! SELECT NODES AND APPLY BOUNDARY CONDITIONS
  D,ALL,UX,0
  NSEL,R,LOC,Z,0
  D,ALL,ALL,0
  NSEL,S,LOC,Y,(A/2)
  D,ALL,UY,0
  NSEL,R,LOC,Z,0
  D,ALL,ALL,0
  NSEL,S,LOC,X,0
  DSYM,SYMM,X
  NSEL,S,LOC,Y,0
  DSYM,SYMM,Y
  NSEL,S,LOC,Z,0
  DSYM,ASYM,Z
  NSEL,S,LOC,Z,-T/2
  SF,ALL,PRES,-500                ! APPLY PRESSURE TO BOTTOM SURFACE
  NSEL,ALL
  /VIEW,1,0.5,-0.5,0.5
  /ANG,1,-63
  /AUTO,1
  /DEVICE,VECTOR,1
  /DEVICE,DITHER,1
  /TYPE,ALL,4
  /COLOR,NUM,BLUE,1
  *IF,ETYP,EQ,45,THEN
  *IF,ARG1,EQ,3,THEN
   *IF,ARG2,EQ,1,THEN
    /TITLE,VMC1 - SQUARE MESH: (N1 = 3, N2 = 1)
    EPLOT
   *ENDIF
  *ENDIF
  *ENDIF
  *IF,ETYP,EQ,92,THEN
  *IF,ARG1,EQ,3,THEN
   *IF,ARG2,EQ,1,THEN
    /TITLE,VMC1 - TETRAHEDRAL MESH: (N1 = 3, N2 = 1)
    EPLOT
   *ENDIF
  *ENDIF
  *ENDIF
  *IF,ETYP,EQ,45,THEN
  *IF,ARG1,EQ,15,THEN
   *IF,ARG2,EQ,2,THEN
    /TITLE,VMC1 - SQUARE MESH: (N1 = 15, N2 = 2)
    EPLOT
   *ENDIF
  *ENDIF
  *ENDIF
  *IF,ARG1,EQ,5,THEN
   *IF,ARG2,EQ,1,THEN
    /TITLE,VMC1 - TETRAHEDRAL MESH: (N1 = 5, N2 = 1)
    EPLOT
   *ENDIF
  *ENDIF
  *IF,ETYP,EQ,45,THEN
  *IF,ARG1,EQ,25,THEN
   *IF,ARG2,EQ,5,THEN
    /TITLE,VMC1 - SQUARE MESH: (N1 = 25, N2 = 5)
    EPLOT
   *ENDIF
  *ENDIF
  *ENDIF
  *IF,ARG1,EQ,7,THEN
   *IF,ARG2,EQ,1,THEN
    /TITLE,VMC1 - TETRAHEDRAL MESH: (N1 = 7, N2 = 1)
    EPLOT
   *ENDIF
  *ENDIF
  /SHOW,GRPH
  /TITLE, VMC1, CLAMPED PLATE UNDER UNIFORMLY-DISTRIBUTED LOAD
  FINISH
  /SOLU
  EQSLV,PCG
  SOLVE
  FINISH
  /POST1
  NOD1=NODE(0,0,0)                ! SELECT NODE AT LOCATION 1
  *GET,UZ0,NODE,NOD1,U,Z          ! GET DISPLACEMENT VALUE UZ(1)
  NARAY(ARG3,6)=-(UZ0/.017169)    ! CALCULATE NORMALIZED UZ(1)
  NOD3=NODE(0,0,-T/2)
  *GET,SX3,NODE,NOD3,S,X          ! GET STRESS VALUE SX(3)
  NARAY(ARG3,8)=(SX3/14.465E3)    ! CALCULATE NORMALIZED SX(3)
  NOD2=NODE(A/2,0,-T/2)           ! SELECT NODES AT LOCATION 2
  *GET,SX2,NODE,NOD2,S,X          ! GET STRESS VALUE SX(2)
  NARAY(ARG3,7)=-(SX2/32.124E3)   ! CALCULATE NORMALIZED SX(2)
  NSEL,ALL
  *GET,NARAY(ARG3,5),PRERR,,SEPC  ! STORE PERCENT ENERGY ERROR NORM
  PARSAV,,PARAM
  FINISH
*END
*DO,I,1,5                       ! INITIALIZE COLUMN 1 WITH ELEMENT TYPES
 NARAY(I,1)=45
*ENDDO
*DO,I,6,9
 NARAY(I,1)=95
*ENDDO
*DO,I,10,13
 NARAY(I,1)=92
*ENDDO
*DO,I,1,3                       ! FOR ETYP = 45,95,92
  *IF,I,LT,3,THEN
     *IF,I,EQ,1,THEN
       ETYP=45
       NEND=5
       JINDX=0
     *ELSE
       ETYP=95
       NEND=4
       JINDX=5
     *ENDIF
     /COM, COMMENT:  CALL MACRO TO LOOP THROUGH DIFFERENT ELEMENT TYPES
     *DO,J,1,NEND
       *IF,J,EQ,1,THEN
         *USE,base,3,1,JINDX+J
       *ELSEIF,J,EQ,2,THEN
         *USE,base,6,1,JINDX+J
       *ELSEIF,J,EQ,3,THEN
         *USE,base,15,2,JINDX+J
       *ELSEIF,J,EQ,4,THEN
         *USE,base,20,4,JINDX+J
       *ELSEIF,J,EQ,5,THEN
         *USE,base,25,5,JINDX+J
       *ENDIF
     *ENDDO
  *ELSE
     ETYP=92
     NEND=4
     JINDX=9
     *DO,J,1,NEND
       *IF,J,EQ,1,THEN
         *USE,base,3,1,JINDX+J
       *ELSEIF,J,EQ,2,THEN
          *USE,base,5,1,JINDX+J
       *ELSEIF,J,EQ,3,THEN
          *USE,base,7,1,JINDX+J
       *ELSEIF,J,EQ,4,THEN
          *USE,base,10,2,JINDX+J
       *ENDIF
     *ENDDO
  *ENDIF
*ENDDO
SAVE,temp,db
/OUT
/GRID,1
/AXLAB,X,No. DOF'S
/AXLAB,Y,% ERROR IN ENERGY NORM
/GTHK,AXIS,2
/GTHK,CURVE,3
/GROPT,LOGX,ON
/GROPT,LOGY,ON
/XRANGE,10,1E5
/YRANGE,0,1.25
*VLEN,5,1
*VPLOT,NARAY(1,4),NARAY(1,5)
*VLEN,4,1
*VPLOT,NARAY(6,4),NARAY(6,5)
*VLEN,4,1
*VPLOT,NARAY(10,4),NARAY(10,5)
/AXLAB,Y,SX(2) RATIO
/GROPT,LOGY,OFF
*VLEN,5,1
*VPLOT,NARAY(1,4),NARAY(1,7)
*VLEN,4,1
*VPLOT,NARAY(6,4),NARAY(6,7)
*VLEN,4,1
*VPLOT,NARAY(10,4),NARAY(10,7)
FINISH
/DELETE,PARAM
/DELETE,base
/DELETE,vmc1,PCS

/TITLE, VMC1, CLAMPED PLATE UNDER UNIFORMLY-DISTRIBUTED LOAD
*DIM,NARAY,TABLE,13,8           ! 2-D NARAY FOR RESULTS INFO
*taxis,naray(1,0),1,1,2,3,4,5,6,7,8,9,10
*taxis,naray(11,0),1,11,12,13
*taxis,naray(0,1),2,1,2,3,4,5,6,7,8
*CREATE,base,
  PARSAV,ALL
  /clear, nostart
  PARRES,CHANGE
  /PREP7
  smrt,off
  /TITLE, VMC1, CLAMPED PLATE UNDER UNIFORMLY-DISTRIBUTED LOAD
  /COM,
  !/OUT,SCRATCH
  ANTYPE,STATIC
  *IF,ETYP,EQ,185,THEN
    K2=2
  *ELSEIF,ETYP,EQ,186,THEN
    K2=1
  *ELSE
    K2=0
  *ENDIF
  ET,1,ETYP,,K2                   ! DEFINE ELEMENT TYPE PARAMETRICALLY
  MP,EX,1,10E6                    ! DEFINE MATERIAL PROPERTIES
  MP,NUXY,1,.3
  A=10                            ! DEFINE PLATE EDGE LENGTH
  T=1.0                           ! DEFINE PLATE THICKNESS
  K,1,,,(-T/2)                    ! DEFINE KEYPOINTS
  K,2,(A/2),,(-T/2)
  K,3,(A/2),(A/2),(-T/2)
  K,4,,(A/2),(-T/2)
  KGEN,2,1,4,1,,,(T/2)
  L,1,5
  *REPEAT,4,1,1
  L,1,4
  *REPEAT,2,4,4
  L,1,2
  *REPEAT,2,4,4
  L,2,3
  *REPEAT,2,4,4
  L,3,4
  *REPEAT,2,4,4
  LSEL,S,LINE,,1,4
  LESIZE,ALL,,,ARG2
  LSEL,INVE
  LESIZE,ALL,,,ARG1
  LSEL,ALL
  V,1,2,3,4,5,6,7,8
  ESIZE,,1
  MOPT,VMESH,ALTE
  VMESH,ALL                       ! MESH VOLUMES
  *GET,MAXN,NODE,,NUM,MAX         ! GET MAX NODE NUMBER
  NARAY(ARG3,2)=ARG1              ! STORE N1
  NARAY(ARG3,3)=ARG2              ! STORE N2
  NARAY(ARG3,4)=MAXN*3            ! CALCULATE TOTAL NO. OF DOF'S
  NSEL,S,LOC,X,(A/2)              ! SELECT NODES AND APPLY BOUNDARY CONDITIONS
  D,ALL,UX,0
  NSEL,R,LOC,Z,0
  D,ALL,ALL,0
  NSEL,S,LOC,Y,(A/2)
  D,ALL,UY,0
  NSEL,R,LOC,Z,0
  D,ALL,ALL,0
  NSEL,S,LOC,X,0
  DSYM,SYMM,X
  NSEL,S,LOC,Y,0
  DSYM,SYMM,Y
  NSEL,S,LOC,Z,0
  DSYM,ASYM,Z
  NSEL,S,LOC,Z,-T/2
  SF,ALL,PRES,-500                ! APPLY PRESSURE TO BOTTOM SURFACE
  NSEL,ALL
  /VIEW,1,0.5,-0.5,0.5
  /ANG,1,-63
  /AUTO,1
  /DEVICE,VECTOR,1
  /DEVICE,DITHER,1
  /TYPE,ALL,4
  /COLOR,NUM,BLUE,1
  *IF,ETYP,EQ,185,THEN
  *IF,ARG1,EQ,3,THEN
   *IF,ARG2,EQ,1,THEN
    /TITLE,VMC1 - SQUARE MESH: (N1 = 3, N2 = 1)
    EPLOT
   *ENDIF
  *ENDIF
  *ENDIF
  *IF,ETYP,EQ,187,THEN
  *IF,ARG1,EQ,3,THEN
   *IF,ARG2,EQ,1,THEN
    /TITLE,VMC1 - TETRAHEDRAL MESH: (N1 = 3, N2 = 1)
    EPLOT
   *ENDIF
  *ENDIF
  *ENDIF
  *IF,ETYP,EQ,185,THEN
  *IF,ARG1,EQ,15,THEN
   *IF,ARG2,EQ,2,THEN
    /TITLE,VMC1 - SQUARE MESH: (N1 = 15, N2 = 2)
    EPLOT
   *ENDIF
  *ENDIF
  *ENDIF
  *IF,ARG1,EQ,5,THEN
   *IF,ARG2,EQ,1,THEN
    /TITLE,VMC1 - TETRAHEDRAL MESH: (N1 = 5, N2 = 1)
    EPLOT
   *ENDIF
  *ENDIF
  *IF,ETYP,EQ,185,THEN
  *IF,ARG1,EQ,25,THEN
   *IF,ARG2,EQ,5,THEN
    /TITLE,VMC1 - SQUARE MESH: (N1 = 25, N2 = 5)
    EPLOT
   *ENDIF
  *ENDIF
  *ENDIF
  *IF,ARG1,EQ,7,THEN
   *IF,ARG2,EQ,1,THEN
    /TITLE,VMC1 - TETRAHEDRAL MESH: (N1 = 7, N2 = 1)
    EPLOT
   *ENDIF
  *ENDIF
  /SHOW,GRPH
  /TITLE, VMC1, CLAMPED PLATE UNDER UNIFORMLY-DISTRIBUTED LOAD
  FINISH
  /SOLU
  EQSLV,PCG
  SOLVE
  FINISH
  /POST1
  NOD1=NODE(0,0,0)                ! SELECT NODE AT LOCATION 1
  *GET,UZ0,NODE,NOD1,U,Z          ! GET DISPLACEMENT VALUE UZ(1)
  NARAY(ARG3,6)=-(UZ0/.017169)    ! CALCULATE NORMALIZED UZ(1)
  NOD3=NODE(0,0,-T/2)
  *GET,SX3,NODE,NOD3,S,X          ! GET STRESS VALUE SX(3)
  NARAY(ARG3,8)=(SX3/14.465E3)    ! CALCULATE NORMALIZED SX(3)
  NOD2=NODE(A/2,0,-T/2)           ! SELECT NODES AT LOCATION 2
  *GET,SX2,NODE,NOD2,S,X          ! GET STRESS VALUE SX(2)
  NARAY(ARG3,7)=-(SX2/32.124E3)   ! CALCULATE NORMALIZED SX(2)
  NSEL,ALL
  *GET,NARAY(ARG3,5),PRERR,,SEPC  ! STORE PERCENT ENERGY ERROR NORM
  PARSAV,,PARAM
  FINISH
*END
*DO,I,1,5                       ! INITIALIZE COLUMN 1 WITH ELEMENT TYPES
 NARAY(I,1)=185
*ENDDO
*DO,I,6,9
 NARAY(I,1)=186
*ENDDO
*DO,I,10,13
 NARAY(I,1)=187
*ENDDO
*DO,I,1,3                       ! FOR ETYP = 185,186,187
  *IF,I,LT,3,THEN
     *IF,I,EQ,1,THEN
       ETYP=185
       K2=2
       NEND=5
       JINDX=0
     *ELSEIF,I,EQ,2,THEN
       ETYP=186
       K2=1
       NEND=4
       JINDX=5
     *ELSEIF,I,EQ,3,THEN
       ETYP=187
       K2=0
       NEND=4
       JINDX=5
     *ENDIF
     /COM, COMMENT:  CALL MACRO TO LOOP THROUGH DIFFERENT ELEMENT TYPES
     *DO,J,1,NEND
       *IF,J,EQ,1,THEN
         *USE,base,3,1,JINDX+J
       *ELSEIF,J,EQ,2,THEN
         *USE,base,6,1,JINDX+J
       *ELSEIF,J,EQ,3,THEN
         *USE,base,15,2,JINDX+J
       *ELSEIF,J,EQ,4,THEN
         *USE,base,20,4,JINDX+J
       *ELSEIF,J,EQ,5,THEN
         *USE,base,25,5,JINDX+J
       *ENDIF
     *ENDDO
  *ELSE
     ETYP=187
     NEND=4
     JINDX=9
     *DO,J,1,NEND
       *IF,J,EQ,1,THEN
         *USE,base,3,1,JINDX+J
       *ELSEIF,J,EQ,2,THEN
          *USE,base,5,1,JINDX+J
       *ELSEIF,J,EQ,3,THEN
          *USE,base,7,1,JINDX+J
       *ELSEIF,J,EQ,4,THEN
          *USE,base,10,2,JINDX+J
       *ENDIF
     *ENDDO
  *ENDIF
*ENDDO
SAVE,temp2,db
/GRID,1
/AXLAB,X,No. DOF'S
/AXLAB,Y,% ERROR IN ENERGY NORM
/GTHK,AXIS,2
/GTHK,CURVE,3
/GROPT,LOGX,ON
/GROPT,LOGY,ON
/XRANGE,10,1E5
/YRANGE,0,1.25
*VLEN,5,1
*VPLOT,NARAY(1,4),NARAY(1,5)
*VLEN,4,1
*VPLOT,NARAY(6,4),NARAY(6,5)
*VLEN,4,1
*VPLOT,NARAY(10,4),NARAY(10,5)
/AXLAB,Y,SX(2) RATIO
/GROPT,LOGY,OFF
*VLEN,5,1
*VPLOT,NARAY(1,4),NARAY(1,7)
*VLEN,4,1
*VPLOT,NARAY(6,4),NARAY(6,7)
*VLEN,4,1
*VPLOT,NARAY(10,4),NARAY(10,7)
FINISH
/DELETE,PARAM
/DELETE,base
/DELETE,vmc1,PCS
RESUME,temp,db
/OUT
/OUT
/COM
/COM,------------------- VMC1 RESULTS LISTING ------------------------------------
/COM,
/COM,| ETYP | N1  | N2   |   DOF  | %ERR NM  | UZ(1)
/COM,
*VWRITE,naray(1,1),naray(1,2),naray(1,3),NARAY(1,4),NARAY(1,5),NARAY(1,6)
(F5.0,'  ',F5.0,'  ',F5.0,' ',F10.0,'  ',F7.3,'     ',F5.3)
/COM,-----------------------------------------------------------------------------
/COM
/COM,------------------- VMC1 RESULTS CONT. --------------------------------------
/COM,
/COM,| SX(2)  |   SX(3) |
/COM,
*VWRITE,NARAY(1,7),NARAY(1,8)
(F7.3,'    ',F7.3)
/COM,-----------------------------------------------------------------------------
/OUT
RESUME,temp2,db
/OUT
/OUT
/COM
/COM,------------------- VMC1 RESULTS LISTING ------------------------------------
/COM,
/COM,| ETYP | N1  | N2   |   DOF  | %ERR NM  | UZ(1)
/COM,
*VWRITE,naray(1,1),naray(1,2),naray(1,3),NARAY(1,4),NARAY(1,5),NARAY(1,6)
(F5.0,'  ',F5.0,'  ',F5.0,' ',F10.0,'  ',F7.3,'     ',F5.3)
/COM,-----------------------------------------------------------------------------
/COM
/COM,------------------- VMC1 RESULTS CONT. --------------------------------------
/COM,
/COM,| SX(2)  |   SX(3) |
/COM,
*VWRITE,NARAY(1,7),NARAY(1,8)
(F7.3,'    ',F7.3)
/COM,-----------------------------------------------------------------------------
/OUT

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Appendix B. Benchmark Input Listings 		Up / Home Next
Benchmark C2 Input Listing


Benchmark C2 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMC2
/NOPR
*DIM,NARAY,TABLE,12,6          ! 2-D NARAY FOR RESULTS INFO
*DO,I,1,12
  *DO,J,1,6
    NARAY(I,J)=0.              ! INITIALIZE NARAY
  *ENDDO
*ENDDO
*CREATE,base,
  PARSAV,ALL
  /clear, nostart
  PARRES,CHANGE
  /PREP7 $smrt,off
  /TITLE, VMC2, ELLIPTIC MEMBRANE UNDER A UNIFORMLY-DISTRIBUTED LOAD
  /COM,   SEE "SELECTED FE BENCHMARKS FOR STRUCTURAL AND THERMAL ANALYSIS",
  /COM,   NAFEMS REPORT NO. FEBSTA, REV. 1, OCT. 1986, TEST NO. LE1
  /COM,
  ET,1,ETYP,,,3                  ! DEFINE ELEMENT TYPE (PARAMETRICALLY)
  MP,EX,1,210E9                  ! DEFINE MATERIAL PROPERTIES
  MP,NUXY,1,.3
  R,1,0.1                        ! SET THICKNESS
  LOCAL,11,1,,,,,,,0.5           ! DEFINE ELLIPTICAL COORD. SYSTEM
  K,1,2,90
  K,4,2,0                        ! CREATE MODEL GEOMETRY
  K,5,1.165,20
  KMOVE,5,0,1.165,U,0.0,11,2.0,U,0.0
  K,8,2.0,5.0
  KMOVE,8,0,U,0.453,0.0,11,E,U,0.0
  L,1,5
  L,5,8
  L,8,4
  LOCAL,12,1,,,,,,,0.8461585
  K,2,3.25,90
  K,3,3.25,0.0
  K,6,3.25,67
  KMOVE,6,0,1.783,U,0.0,12,E,U,0.0
  K,7,3.25,25
  KMOVE,7,0,U,1.348,0.0,12,E,U,0.0
  L,2,6
  L,6,7
  L,7,3
  LESIZE,ALL,,,ARG1
  CSYS,0
  L,1,2,
  L,4,3,
  LSEL,S,LINE,,7,8
  LESIZE,ALL,,,ARG2
  LSEL,ALL
  A,4,3,7,8
  A,8,7,6,5
  A,5,6,2,1
  ESIZE,,ARG2
  ESHAPE,2
  AMESH,ALL                      ! MESH ALL AREAS
  *GET,MAXN,NODE,,NUM,MAX        ! GET MAX NODE NUMBER
  NARAY(ARG3,2)=ARG1             ! STORE N1
  NARAY(ARG3,3)=ARG2             ! STORE N2
  NARAY(ARG3,4)=MAXN*2           ! CALCULATE NO. DEGREES OF FREEDOM
  NSEL,S,LOC,Y,0
  DSYM,SYMM,Y,1                  ! APPLY BOUNDARY CONDITIONS
  NSEL,S,LOC,X,0
  DSYM,SYMM,Y,1
  CSYS,12
  NSEL,S,LOC,X,3.25
  SF,ALL,PRES,-10E6              ! APPLY PRESSURE LOAD
  NSEL,ALL

  /VIEW,1,,,1
  /ANG,1
  /AUTO,1
  /DEVICE,VECTOR,1
  /DEVICE,DITHER,1
  /TYPE,ALL,4
  /COLOR,NUM,BLUE,1
  *IF,ETYP,EQ,42,THEN
  *IF,ARG1,EQ,1,THEN
   *IF,ARG2,EQ,2,THEN
    /TITLE,VMC2 - QUADRILATERAL MESH: (N1 = 1, N2 = 2)
    EPLOT
   *ENDIF
  *ENDIF
  *ENDIF
  *IF,ETYP,EQ,42,THEN
  *IF,ARG1,EQ,3,THEN
   *IF,ARG2,EQ,4,THEN
    /TITLE,VMC2 - QUADRILATERAL MESH: (N1 = 3, N2 = 4)
    EPLOT
   *ENDIF
  *ENDIF
  *ENDIF
   *IF,ETYP,EQ,42,THEN
   *IF,ARG1,EQ,8,THEN
   *IF,ARG2,EQ,10,THEN
    /TITLE,VMC2 - QUADRILATERAL MESH: (N1 = 8, N2 = 10)
    EPLOT
   *ENDIF
  *ENDIF
  *ENDIF
  /SHOW,GRPH
  /TITLE, VMC2, ELLIPTIC MEMBRANE UNDER A UNIFORMLY-DISTRIBUTED LOAD

  OUTRES,STRS
  OUTPR,BASIC
  FINISH
  /SOLU
  SOLVE
  FINISH
  /POST1
  NSEL,S,LOC,Y,0,.1
  NSEL,R,LOC,X,2.0
  NSORT,S,Y
  *GET,MAXN,NODE,,NUM,MAX         ! GET MAX NODE NUMBER
  *GET,SYM,NODE,MAXN,S,Y          ! GET DESIRED SY STRESS VALUE
  TARG=92.7E6                     ! TARGET SY VALUE
  NARAY(ARG3,6)=SYM/TARG          ! NORMALIZED SY VALUE
  *GET,NARAY(ARG3,5),PRERR,,SEPC  ! STORE PERCENT ENERGY ERROR NORM
  PARSAV,,PARAM
  FINISH
*END
  *DO,I,1,6                       ! INITIALIZE COLUMN 1 WITH ELEMENT TYPES
   NARAY(I,1)=42
   NARAY(I+6,1)=82
  *ENDDO
  *DO,I,1,2
    *IF,I,EQ,1,THEN
      ETYP=42
      JINDX=0
    *ELSEIF,I,EQ,2,THEN
      ETYP=82
      JINDX=6
    *ENDIF
    /COM, COMMENT:  CALL MACRO TO LOOP THROUGH DIFFERENT ELEMENT TYPES
    *DO,J,1,6
      *IF,J,EQ,1,THEN
        *USE,base,1,2,JINDX+J
      *ELSEIF,J,EQ,2,THEN
        *USE,base,2,3,JINDX+J
      *ELSEIF,J,EQ,3,THEN
        *USE,base,3,4,JINDX+J
      *ELSEIF,J,EQ,4,THEN
        *USE,base,5,7,JINDX+J
      *ELSEIF,J,EQ,5,THEN
        *USE,base,8,10,JINDX+J
      *ELSEIF,J,EQ,6,THEN
        *USE,base,10,12,JINDX+J
      *ENDIF
    *ENDDO
  *ENDDO
  SAVE,temp,db
  /OUT
  /SHOW,,GRPH
  /GRID,1
  /AXLAB,X,No. DOF'S
  /AXLAB,Y,% ERROR IN ENERGY NORM
  /GTHK,AXIS,2
  /GTHK,CURVE,3
  /GROPT,LOGX,ON
  /GROPT,LOGY,ON
  /XRANGE,10,1E5
  /YRANGE,0,1.25
  *VLEN,6,1
  *VPLOT,NARAY(1,4),NARAY(1,5)
  *VLEN,6,1
  *VPLOT,NARAY(7,4),NARAY(7,5)
  /AXLAB,Y,SY RATIO
  /GROPT,LOGY,OFF
  *VLEN,6,1
  *VPLOT,NARAY(1,4),NARAY(1,6)
  *VLEN,6,1
  *VPLOT,NARAY(7,4),NARAY(7,6)
finish
/delete,PARAM
/delete,base

/VERIFY,VMC2
/NOPR
*DIM,NARAY,TABLE,12,6          ! 2-D NARAY FOR RESULTS INFO
*DO,I,1,12
  *DO,J,1,6
    NARAY(I,J)=0.              ! INITIALIZE NARAY
  *ENDDO
*ENDDO
*CREATE,base,
  PARSAV,ALL
  /clear, nostart
  PARRES,CHANGE
  /PREP7 $smrt,off
  /TITLE, VMC2, ELLIPTIC MEMBRANE UNDER A UNIFORMLY-DISTRIBUTED LOAD
  /COM,   SEE "SELECTED FE BENCHMARKS FOR STRUCTURAL AND THERMAL ANALYSIS",
  /COM,   NAFEMS REPORT NO. FEBSTA, REV. 1, OCT. 1986, TEST NO. LE1
  /COM,
  ET,1,ETYP,,,3                  ! DEFINE ELEMENT TYPE (PARAMETRICALLY)
  MP,EX,1,210E9                  ! DEFINE MATERIAL PROPERTIES
  MP,NUXY,1,.3
  R,1,0.1                        ! SET THICKNESS
  LOCAL,11,1,,,,,,,0.5           ! DEFINE ELLIPTICAL COORD. SYSTEM
  K,1,2,90
  K,4,2,0                        ! CREATE MODEL GEOMETRY
  K,5,1.165,20
  KMOVE,5,0,1.165,U,0.0,11,2.0,U,0.0
  K,8,2.0,5.0
  KMOVE,8,0,U,0.453,0.0,11,E,U,0.0
  L,1,5
  L,5,8
  L,8,4
  LOCAL,12,1,,,,,,,0.8461585
  K,2,3.25,90
  K,3,3.25,0.0
  K,6,3.25,67
  KMOVE,6,0,1.783,U,0.0,12,E,U,0.0
  K,7,3.25,25
  KMOVE,7,0,U,1.348,0.0,12,E,U,0.0
  L,2,6
  L,6,7
  L,7,3
  LESIZE,ALL,,,ARG1
  CSYS,0
  L,1,2,
  L,4,3,
  LSEL,S,LINE,,7,8
  LESIZE,ALL,,,ARG2
  LSEL,ALL
  A,4,3,7,8
  A,8,7,6,5
  A,5,6,2,1
  ESIZE,,ARG2
  ESHAPE,2
  AMESH,ALL                      ! MESH ALL AREAS
  *GET,MAXN,NODE,,NUM,MAX        ! GET MAX NODE NUMBER
  NARAY(ARG3,2)=ARG1             ! STORE N1
  NARAY(ARG3,3)=ARG2             ! STORE N2
  NARAY(ARG3,4)=MAXN*2           ! CALCULATE NO. DEGREES OF FREEDOM
  NSEL,S,LOC,Y,0
  DSYM,SYMM,Y,1                  ! APPLY BOUNDARY CONDITIONS
  NSEL,S,LOC,X,0
  DSYM,SYMM,Y,1
  CSYS,12
  NSEL,S,LOC,X,3.25
  SF,ALL,PRES,-10E6              ! APPLY PRESSURE LOAD
  NSEL,ALL

  /VIEW,1,,,1
  /ANG,1
  /AUTO,1
  /DEVICE,VECTOR,1
  /DEVICE,DITHER,1
  /TYPE,ALL,4
  /COLOR,NUM,BLUE,1
  *IF,ETYP,EQ,182,THEN
  *IF,ARG1,EQ,1,THEN
   *IF,ARG2,EQ,2,THEN
    /TITLE,VMC2 - QUADRILATERAL MESH: (N1 = 1, N2 = 2)
    EPLOT
   *ENDIF
  *ENDIF
  *ENDIF
  *IF,ETYP,EQ,183,THEN
  MSHAPE,1,2D
  *IF,ARG1,EQ,2,THEN
   *IF,ARG2,EQ,3,THEN
    /TITLE,VMC2 - TRIANGLE MESH: (N1 = 2, N2 = 3)
    EPLOT
   *ENDIF
  *ENDIF
  *ENDIF
  *IF,ETYP,EQ,182,THEN
  *IF,ARG1,EQ,3,THEN
   *IF,ARG2,EQ,4,THEN
    /TITLE,VMC2 - QUADRILATERAL MESH: (N1 = 3, N2 = 4)
    EPLOT
   *ENDIF
  *ENDIF
  *ENDIF
  *IF,ETYP,EQ,183,THEN
  MSHAPE,1,2D
  *IF,ARG1,EQ,5,THEN
   *IF,ARG2,EQ,7,THEN
    /TITLE,VMC2 - TRIANGLE MESH: (N1 = 5, N2 = 7)
    EPLOT
   *ENDIF
  *ENDIF
  *ENDIF
   *IF,ETYP,EQ,182,THEN
   *IF,ARG1,EQ,8,THEN
   *IF,ARG2,EQ,10,THEN
    /TITLE,VMC2 - QUADRILATERAL MESH: (N1 = 8, N2 = 10)
    EPLOT
   *ENDIF
  *ENDIF
  *ENDIF
  *IF,ETYP,EQ,183,THEN
  MSHAPE,1,2D
  *IF,ARG1,EQ,10,THEN
   *IF,ARG2,EQ,12,THEN
    /TITLE,VMC2 - TRIANGLE MESH: (N1 = 10, N2 = 12)
    EPLOT
   *ENDIF
  *ENDIF
  *ENDIF
  /SHOW,GRPH
  /TITLE, VMC2, ELLIPTIC MEMBRANE UNDER A UNIFORMLY-DISTRIBUTED LOAD

  OUTRES,STRS
  OUTPR,BASIC
  FINISH
  /SOLU
  SOLVE
  FINISH
  /POST1
  NSEL,S,LOC,Y,0,.1
  NSEL,R,LOC,X,2.0
  NSORT,S,Y
  *GET,MAXN,NODE,,NUM,MAX         ! GET MAX NODE NUMBER
  *GET,SYM,NODE,MAXN,S,Y          ! GET DESIRED SY STRESS VALUE
  TARG=92.7E6                     ! TARGET SY VALUE
  NARAY(ARG3,6)=SYM/TARG          ! NORMALIZED SY VALUE
  *GET,NARAY(ARG3,5),PRERR,,SEPC  ! STORE PERCENT ENERGY ERROR NORM
  PARSAV,,PARAM
  FINISH
*END
  *DO,I,1,6                       ! INITIALIZE COLUMN 1 WITH ELEMENT TYPES
   NARAY(I,1)=182
   NARAY(I+6,1)=183
  *ENDDO
  *DO,I,1,2
    *IF,I,EQ,1,THEN
      ETYP=182
      JINDX=0
    *ELSEIF,I,EQ,2,THEN
      ETYP=183
      JINDX=6
    *ENDIF
    /COM, COMMENT:  CALL MACRO TO LOOP THROUGH DIFFERENT ELEMENT TYPES
    *DO,J,1,6
      *IF,J,EQ,1,THEN
        *USE,base,1,2,JINDX+J
      *ELSEIF,J,EQ,2,THEN
        *USE,base,2,3,JINDX+J
      *ELSEIF,J,EQ,3,THEN
        *USE,base,3,4,JINDX+J
      *ELSEIF,J,EQ,4,THEN
        *USE,base,5,7,JINDX+J
      *ELSEIF,J,EQ,5,THEN
        *USE,base,8,10,JINDX+J
      *ELSEIF,J,EQ,6,THEN
        *USE,base,10,12,JINDX+J
      *ENDIF
    *ENDDO
  *ENDDO
  SAVE,temp2,db
  /SHOW,,GRPH
  /GRID,1
  /AXLAB,X,No. DOF'S
  /AXLAB,Y,% ERROR IN ENERGY NORM
  /GTHK,AXIS,2
  /GTHK,CURVE,3
  /GROPT,LOGX,ON
  /GROPT,LOGY,ON
  /XRANGE,10,1E5
  /YRANGE,0,1.25
  *VLEN,6,1
  *VPLOT,NARAY(1,4),NARAY(1,5)
  *VLEN,6,1
  *VPLOT,NARAY(7,4),NARAY(7,5)
  /AXLAB,Y,SY RATIO
  /GROPT,LOGY,OFF
  *VLEN,6,1
  *VPLOT,NARAY(1,4),NARAY(1,6)
  *VLEN,6,1
  *VPLOT,NARAY(7,4),NARAY(7,6)
  finish
  RESUME,temp,db
  /OUT
  /COM
  /COM,------------------- VMC2 RESULTS LISTING ------------------------------------
  /COM,
  /COM,| ETYP | N1  | N2   |   DOF  | %ERR NM  | SY RAT |
  /COM,
  *VWRITE,naray(1,1),naray(1,2),naray(1,3),NARAY(1,4),NARAY(1,5),NARAY(1,6)
  (F5.0,'  ',F5.0,'  ',F5.0,' ',F10.0,'  ',F7.3,'     ',F5.3)
  /COM,-----------------------------------------------------------------------------
  /OUT
  RESUME,temp2,db
  /OUT
  /COM
  /COM,------------------- VMC2 RESULTS LISTING ------------------------------------
  /COM,
  /COM,| ETYP | N1  | N2   |   DOF  | %ERR NM  | SY RAT |
  /COM,
  *VWRITE,naray(1,1),naray(1,2),naray(1,3),NARAY(1,4),NARAY(1,5),NARAY(1,6)
  (F5.0,'  ',F5.0,'  ',F5.0,' ',F10.0,'  ',F7.3,'     ',F5.3)
  /COM,-----------------------------------------------------------------------------
  /OUT
/delete,PARAM
/delete,base
finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Benchmark C1 Input Listing 		Up / Home Next
Benchmark C3 Input Listing


Benchmark C3 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMC3
/SHOW
  /TITLE, VMC3, BARREL VAULT ROOF UNDER SELF WEIGHT
  /COM, REF:  COOK, CONCEPTS AND APPL OF F.E.A., 2ND ED., 1981, PP. 284-287.
  *DIM,NARAY,TABLE,20,7            ! 2-D NARAY FOR RESULTS INFO
  *DO,I,1,20
    *DO,J,1,7
      NARAY(I,J)=0.                ! INITIALIZE NARAY
    *ENDDO
  *ENDDO
*CREATE,base,
  PARSAV,ALL
  /clear, nostart
  PARRES,CHANGE
  /PREP7
  smrt,off
  /TITLE, VMC3, BARREL VAULT ROOF UNDER SELF WEIGHT
  /COM, REF:  COOK, CONCEPTS AND APPL OF F.E.A., 2ND ED., 1981, PP. 284-287.
  /OUT,SCRATCH
  ANTYPE,STATIC
  ET,1,ETYP                        ! DEFINE ELEMENT TYPE PARAMETRICALLY
  *IF,ETYP,EQ,181,OR,ETYP,EQ,281,THEN
   KEYOPT,1,3,2
  *ENDIF
  MP,EX,1,4.32E8                   ! DEFINE MATERIAL PROPERTIES
  MP,NUXY,1,0.0
  R,1,0.25
  MP,DENS,1,36.7347
  CSYS,1                           ! DEFINE CYLINDRICAL C.S.
  K,1,25,50
  K,2,25,70                        ! DEFINE KEYPOINTS
  K,3,25,90
  KGEN,3,1,3,1,,,12.5
  A,1,2,5,4
  A,2,3,6,5                        ! DEFINE AREAS
  A,4,5,8,7
  A,5,6,9,8
  ESIZE,,ARG1/2
  ESHAPE,ARG2
  AMESH,ALL                        ! MESH ALL AREAS
  /VIEW,1,1,1,1
  NARAY(ARG3,2)=ARG1               ! STORE N1
  NARAY(ARG3,3)=ARG2               ! STORE N2
  *GET,MAXN,NODE,,NUM,MAX          ! GET MAX NODE NUMBER
  NARAY(ARG3,4)=MAXN*6             ! CALCULATE NO. DEGREES OF FREEDOM
  NSEL,S,LOC,Z,0
  NSEL,R,LOC,Y,50                  ! SELECT NODE OF INTEREST
  *GET,N1,NODE,,NUM,MAX            ! GET NODE NUMBER
  NSEL,S,LOC,Z,0
  NSEL,R,LOC,Y,90
  *GET,N2,NODE,,NUM,MAX            ! GET NODE NUMBER
  NSEL,ALL
  CSYS,0                           ! SWITCH TO GLOBAL CARTESIAN C.S.
  NSEL,S,LOC,X,0
  DSYM,SYMM,X,0
  NSEL,S,LOC,Z,0
  DSYM,SYMM,Z,0
  NSEL,S,LOC,Z,25
  D,ALL,UX,0,,,,UY,ROTZ            ! CONSTRAIN MODEL EDGE
  NSEL,ALL
  ACEL,,9.8                        ! DEFINE GRAVITATIONAL ACCELERATION
  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  !!  SETUP AND PLOT ELEMENTS FOR DOCUMENTATION !!
  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  /AUTO,1
  /VIEW,1,0.5,0.5,0.5
  /ANG,1,6.28
  /DEVICE,VECTOR,1
  /DEVICE,DITHER,1
  /TYPE,ALL,4
  /COLOR,NUM,BLUE,1
  *IF,ETYP,NE,43,OR,ETYP,NE,63,THEN,
  *IF,ARG1,EQ,4,THEN
  *IF,ARG2,EQ,2,THEN
  /TITLE,VMC3 - QUADRILATERAL MESH (N = 4)
  EPLOT
  *ENDIF
  *ENDIF
  *ENDIF
  *IF,ETYP,NE,43,OR,ETYP,NE,63,THEN
  *IF,ARG1,EQ,8,THEN
  *IF,ARG2,EQ,2,THEN
  /TITLE,VMC3 - QUADRILATERAL MESH (N = 8)
  EPLOT
  *ENDIF
  *ENDIF
  *ENDIF
  *IF,ETYP,NE,43,OR,ETYP,NE,63,THEN
  *IF,ARG1,EQ,4,THEN
  *IF,ARG2,EQ,1,THEN
  /TITLE,VMC3 - TRIANGLE MESH (N = 4)
  EPLOT
  *ENDIF
  *ENDIF
  *ENDIF
  *IF,ETYP,NE,43,OR,ETYP,NE,63,THEN
  *IF,ARG1,EQ,8,THEN
  *IF,ARG2,EQ,1,THEN
  /TITLE,VMC3 - TRIANGLE MESH (N = 8)
  EPLOT
  *ENDIF
  *ENDIF
  *ENDIF
  /SHOW,GRPH
  /TITLE, VMC3, BARREL VAULT ROOF UNDER SELF WEIGHT
  FINISH
  /SOLU
  SOLVE
  FINISH
  /POST1
  SHELL,MID                        ! SELECT BOTTOM SURFACE
  *GET,UY1,NODE,N1,U,Y             ! GET UY AT NODE N1
  NARAY(ARG3,5)=-(UY1/.3016)       ! CALCULATE NORMALIZED UY1 W/R TO TARGET
  RSYS,1                           ! ACTIVATE CYLINDRICAL C.S. FOR RESULTS
  SHELL,BOT                        ! SELECT BOTTOM SURFACE
  *GET,SY2B,NODE,N2,S,Y            ! GET CIRCUMFERENTIAL (Y) STRESS AT BOTTOM
  NARAY(ARG3,7)=(SY2B/(-213400))   ! CALCULATE NORMALIZED SY2B
  *GET,SZ1B,NODE,N1,S,Z            ! GET AXIAL (Z) STRESS AT BOTTOM
  NARAY(ARG3,6)=(SZ1B/358420)      ! CALCULATE NORMALIZED SZ1B
  PARSAV,,PARAM
  FINISH
*END
  *DO,I,1,4                        ! INITIALIZE COLUMN 1 WITH ELEMENT TYPES
   NARAY(I,1)=43
   NARAY(I+4,1)=63
   NARAY(I+8,1)=93
   NARAY(I+12,1)=181
   NARAY(I+16,1)=281
 *ENDDO
  *DO,I,1,5
    *IF,I,EQ,1,THEN
      ETYP=43
      JINDX=0
    *ELSEIF,I,EQ,2,THEN
      ETYP=63
      JINDX=4
    *ELSEIF,I,EQ,3,THEN
      ETYP=93
      JINDX=8
    *ELSEIF,I,EQ,4,THEN
      ETYP=181
      JINDX=12
    *ELSEIF,I,EQ,5,THEN
      ETYP=281
      JINDX=16
    *ENDIF
    /COM, COMMENT:  CALL MACRO TO LOOP THROUGH DIFFERENT ELEMENT TYPE
    *DO,J,1,4
      *IF,J,EQ,1,THEN
        *USE,base,4,2,JINDX+J
      *ELSEIF,J,EQ,2,THEN
        *USE,base,8,2,JINDX+J
      *ELSEIF,J,EQ,3,THEN
        *USE,base,4,1,JINDX+J
      *ELSEIF,J,EQ,4,THEN
        *USE,base,8,1,JINDX+J
      *ENDIF
    *ENDDO
  *ENDDO
SAVE,temp,db
finish
  RESUME,temp,db
  /OUT
  /OUT
  /COM
  /COM,------------------- VMC3 RESULTS LISTING ------------------------------------
  /COM,
  /COM,| ETYP | N  | DOF   |  UY(1)  | SIG-z  | SIG-th  |
  /COM,
  *VWRITE,naray(1,1),naray(1,2),naray(1,4),NARAY(1,5),NARAY(1,6),NARAY(1,7)
  (F5.0,'  ',F5.0,'  ',F5.0,' ',F10.3,'  ',F7.3,'     ',F5.3)
  /COM,-----------------------------------------------------------------------------
  /OUT
finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Benchmark C2 Input Listing 		Up / Home Next
Benchmark C4 Input Listing


Benchmark C4 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMC4
/SHOW
  *DIM,NARAY,TABLE,12,13          ! 2-D NARAY FOR RESULTS INFO
  *DO,I,1,12
    *DO,J,1,13
      NARAY(I,J)=0.               ! INITIALIZE NARAY
    *ENDDO
  *ENDDO
*CREATE,base,
  PARSAV,ALL
  /clear, nostart
  PARRES,CHANGE
  /PREP7
smrt,off
  /TITLE, VMC4, SIMPLY-SUPPORTED THIN ANNULAR PLATE
  /COM,   SEE "SELECTED BENCHMARKS FOR NATURAL FREQUENCY ANALYSIS", REPORT TO
  /COM,   NAFEMS BY W.S. ATKINS ENGINEERING SCIENCES, REPORT NO. 20939.01, ISSUE
  /COM,   JUNE 1987, TEST CASE NO. 14. (MODIFIED)
  /COM,
  /OUT,SCRATCH
  ANTYPE,MODAL
  MODOPT,SUBSP,9
  ET,1,ARG1                       ! DEFINE ELEMENT TYPE PARAMETRICALLY
  NARAY(ARG5,1)=ARG1              ! STORE ETYPE
  R,1,.06                         ! SPECIFY PLATE THICKNESS
  MP,EX,1,200E9                   ! SPECIFY MATERIAL PROPERTIES
  MP,NUXY,1,.3
  MP,DENS,1,8000
  CSYS,1                          ! SPECIFY CYLINDRICAL COORDINATES
  K,1,1.8
  K,2,6                           ! DEFINE KEYPOINTS (FIRST QUADRANT)
  K,3,6,90
  K,4,1.8,90
  L,1,2
  L,2,3                           ! DEFINE LINES SEGMENTS
  L,3,4
  L,4,1
  LSEL,S,LINE,,1,3,2
  LESIZE,ALL,,,ARG2
  LSEL,INVE
  LESIZE,ALL,,,ARG3/4
  LSEL,ALL
  ESHAPE,ARG4                     ! DEFINE ELEMENT SHAPE (PARAMETRIC)
  A,1,2,3,4                       ! DEFINE AREA
  AMESH,1                         ! MESH AREA
  CSYS,0                          ! SPECIFY CARTESIAN COORDINATE SYSTEM
  ARSYM,1,1                       ! REFLECT AREA AND MESH ABOUT Y AXIS
  ARSYM,2,1,2                     ! REFLECT AREAS AND MESH ABOUT X AXIS
  NUMMRG,ALL                      ! MERGE ALL ENTITIES
  D,ALL,UX,0,,,,UY,ROTZ           ! FIX ALL IN-PLANE DISP. AND ROTATIONS
  CSYS,1                          ! SPECIFY CYLINDRICAL COORDINATE SYSTEM
  NSEL,S,LOC,X,6                  ! SELECT NODES AT OUTER RADIUS
  NROTAT,ALL                      ! ROTATE NODES INTO CYLINDRICAL C.S.
  D,ALL,UZ,0,,,,ROTX              ! FIX UZ AND ROTX IN CSYS,1
  NSEL,ALL
  NARAY(ARG5,2)=ARG2              ! STORE N1
  NARAY(ARG5,3)=ARG3              ! STORE N2
  *GET,MAXN,NODE,,NUM,MAX         ! GET MAX NODE NUMBER
  NARAY(ARG5,4)=MAXN*6            ! CALCULATE NO. DEGREES OF FREEDOM
  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  !!  SETUP AND PLOT ELEMENTS FOR DOCUMENTATION !!
  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  /VIEW,1,,,1
  /ANG,1
  /AUTO,1
  /DEVICE,VECTOR,1
  /DEVICE,DITHER,1
  /TYPE,ALL,4
  /COLOR,NUM,BLUE,1
  *IF,ARG1,EQ,93,THEN
  *IF,ARG2,EQ,3,THEN
  *IF,ARG3,EQ,16,THEN
  *IF,ARG4,EQ,2,THEN
  /TITLE,VMC4 - QUADRILATERAL MESH (N1 = 3, N2 = 16)
  EPLOT
  *ENDIF
  *ENDIF
  *ENDIF
  *ENDIF
  *IF,ARG1,EQ,93,THEN
  *IF,ARG2,EQ,5,THEN
  *IF,ARG3,EQ,32,THEN
  *IF,ARG4,EQ,2,THEN
  /TITLE,VMC4 - QUADRILATERAL MESH (N1 = 5, N2 = 32)
  EPLOT
  *ENDIF
  *ENDIF
  *ENDIF
  *ENDIF
  *IF,ARG1,EQ,93,THEN
  *IF,ARG2,EQ,3,THEN
  *IF,ARG3,EQ,16,THEN
  *IF,ARG4,EQ,1,THEN
  /TITLE,VMC4 - TRIANGLE MESH (N1 = 3, N2 = 16)
  EPLOT
  *ENDIF
  *ENDIF
  *ENDIF
  *ENDIF
  *IF,ARG1,EQ,93,THEN
  *IF,ARG2,EQ,5,THEN
  *IF,ARG3,EQ,32,THEN
  *IF,ARG4,EQ,1,THEN
  /TITLE,VMC4 - TRIANGLE MESH (N1 = 5, N2 = 32)
  EPLOT
  *ENDIF
  *ENDIF
  *ENDIF
  *ENDIF
  /TITLE, VMC4, SIMPLY-SUPPORTED THIN ANNULAR PLATE

  FINISH
  /SOLU
  SOLVE
  FINISH
  /POST1
  /DEVICE,VECTOR,1
  /DEVICE,DITHER,1
  /TYPE,ALL,4
  /COLOR,NUM,BLUE,1
  *GET,MOD1,MODE,1,FREQ           ! GET MODE 1 FREQUENCY
  NARAY(ARG5,5)=MOD1/1.870        ! CALCULATE NORMALIZED FREQUENCY
  /VIEW,1,0.9,0,0.369
  /ANG,1,270
  *IF,I,EQ,1,THEN
  SET,1,1
  /TITLE,VMC 4 - MODE 1
  PLDISP,0
  *ENDIF
  *GET,MOD2,MODE,2,FREQ           ! GET MODE 2 FREQUENCY
  NARAY(ARG5,6)=MOD2/5.137        ! CALCULATE NORMALIZED FREQUENCY
  *IF,I,EQ,2,THEN
  SET,1,2
  /TITLE,VMC4 - MODE 2
  PLDISP,0
  *ENDIF

  *GET,MOD3,MODE,3,FREQ           ! GET MODE 3 FREQUENCY
  NARAY(ARG5,7)=MOD3/5.137        ! CALCULATE NORMALIZED FREQUENCY
  *IF,I,EQ,3,THEN
  SET,1,3
  /TITLE,VMC4 - MODE 3
  PLDISP,0
  *ENDIF
  *GET,MOD4,MODE,4,FREQ           ! GET MODE 4 FREQUENCY
  NARAY(ARG5,8)=MOD4/9.673        ! CALCULATE NORMALIZED FREQUENCY
  *IF,I,EQ,4,THEN
  SET,1,4
  /TITLE,VMC4 - MODE 4
  PLDISP,0
  *ENDIF
  *GET,MOD5,MODE,5,FREQ           ! GET MODE 5 FREQUENCY
  NARAY(ARG5,9)=MOD5/9.673        ! CALCULATE NORMALIZED FREQUENCY
  *IF,I,EQ,5,THEN
  SET,1,5
  /TITLE,VMC4 - MODE 5
  PLDISP,0
  *ENDIF
  *GET,MOD6,MODE,6,FREQ           ! GET MODE 6 FREQUENCY
  NARAY(ARG5,10)=MOD6/14.850      ! CALCULATE NORMALIZED FREQUENCY
  *IF,I,EQ,6,THEN
  SET,1,6
  /TITLE,VMC4 - MODE 6
  PLDISP,0
  *ENDIF
  *GET,MOD7,MODE,7,FREQ           ! GET MODE 7 FREQUENCY
  NARAY(ARG5,11)=MOD7/15.573      ! CALCULATE NORMALIZED FREQUENCY
  *IF,I,EQ,7,THEN
  SET,1,7
  /TITLE,VMC4 - MODE 7
  PLDISP,0
  *ENDIF
  *GET,MOD8,MODE,8,FREQ           ! GET MODE 8 FREQUENCY
  NARAY(ARG5,12)=MOD8/15.573      ! CALCULATE NORMALIZED FREQUENCY
  *IF,I,EQ,8,THEN
  SET,1,8
  /TITLE,VMC4 - MODE 8
  PLDISP,0
  *ENDIF
  *GET,MOD9,MODE,9,FREQ           ! GET MODE 9 FREQUENCY
  NARAY(ARG5,13)=MOD9/18.382      ! CALCULATE NORMALIZED FREQUENCY
  *IF,I,EQ,9,THEN
  SET,1,9
  /TITLE,VMC4 - MODE 9
  PLDISP
  *ENDIF
  /TITLE, VMC4, SIMPLY-SUPPORTED THIN ANNULAR PLATE
  PARSAV,,PARAM
  FINISH
*END
  /COM, COMMENT:  CALL MACRO TO LOOP THROUGH DIFFERENT ELEMENT TYPES, MESHES
  *DO,I,1,12
    *IF,I,EQ,1,THEN
      *USE,base,43,3,16,2,I       ! QUAD MESH
    *ELSEIF,I,EQ,2,THEN
      *USE,base,43,5,32,2,I       ! QUAD MESH
    *ELSEIF,I,EQ,3,THEN
      *USE,base,63,3,16,2,I       ! QUAD MESH
    *ELSEIF,I,EQ,4,THEN
      *USE,base,63,5,32,2,I       ! QUAD MESH
    *ELSEIF,I,EQ,5,THEN
      *USE,base,93,3,16,2,I       ! QUAD MESH
    *ELSEIF,I,EQ,6,THEN
      *USE,base,93,5,32,2,I       ! QUAD MESH
    *ELSEIF,I,EQ,7,THEN
      *USE,base,43,3,16,1,I       ! TRIANGLE MESH
    *ELSEIF,I,EQ,8,THEN
      *USE,base,43,5,32,1,I       ! TRIANGLE MESH
    *ELSEIF,I,EQ,9,THEN
      *USE,base,63,3,16,1,I       ! TRIANGLE MESH
    *ELSEIF,I,EQ,10,THEN
      *USE,base,63,5,32,1,I       ! TRIANGLE MESH
    *ELSEIF,I,EQ,11,THEN
      *USE,base,93,3,16,1,I       ! TRIANGLE MESH
    *ELSEIF,I,EQ,12,THEN
      *USE,base,93,5,32,1,I       ! TRIANGLE MESH
    *ENDIF
  *ENDDO
  /OUT,
  !*STAT,NARAY
  /OUT,vmc4,vrt
  /COM
  /COM,------------------- VMC4 RESULTS LISTING ------------------------------------
  /COM,
  /COM,| ETYP | N1 | N2 | DOF |  RAT1 | RAT2 | RAT3 |
  /COM,
  *VWRITE,naray(1,1),naray(1,2),naray(1,3),NARAY(1,4),NARAY(1,5),NARAY(1,6),NARAY(1,7)
  (F5.0,' ',F5.0,' ',F6.0,' ',F5.0,' ',F6.3,' ',F6.3,' ',F7.3)
  /COM,-----------------------------------------------------------------------------
  /COM,
  /COM,------------------- VMC4 RESULTS CONT... ------------------------------------
  /COM,
  /COM,| RAT4  | RAT5  | RAT6  | RAT7  | RAT8  | RAT9  |
  /COM,
  *VWRITE,NARAY(1,8),NARAY(1,9),NARAY(1,10),naray(1,11),naray(1,12),naray(1,13)
  (F7.3,' ',F7.3,' ',F7.3,' ',F7.3,' ',F7.3,' ',F7.3)

  /COM,-----------------------------------------------------------------------------
  /OUT
  /OUT,SCRATCH
/COM, COMMENT:  RUN VMC4-2P, VMC4-4P AND VMC4-8P
  *DIM,NARRAY,TABLE,1,14          ! 2-D NARAY FOR RESULTS INFO
*CREATE,base,
  *DO,I,1,14
    NARRAY(1,I)=0.                ! INITIALIZE NARRAY
  *ENDDO
  PARSAV,ALL
  /clear, nostart
  PARRES,CHANGE
  /PREP7
smrt,off
  /TITLE, VMC4, SIMPLY-SUPPORTED THIN ANNULAR PLATE
  /COM,   SEE "SELECTED BENCHMARKS FOR NATURAL FREQUENCY ANALYSIS", REPORT TO
  /COM,   NAFEMS BY W.S. ATKINS ENGINEERING SCIENCES, REPORT NO. 20939.01, ISSUE
  /COM,   JUNE 1987, TEST CASE NO. 14. (MODIFIED)
  /COM,
  /OUT,SCRATCH
  ANTYPE,MODAL
  MODOPT,REDUC,9
  ET,1,ARG1                       ! DEFINE ELEMENT TYPE PARAMETRICALLY
  NARRAY(ARG5,1)=ARG1             ! STORE ETYPE
  R,1,.06                         ! SPECIFY PLATE THICKNESS
  MP,EX,1,200E9                   ! SPECIFY MATERIAL PROPERTIES
  MP,NUXY,1,.3
  MP,DENS,1,8000
  CSYS,1                          ! SPECIFY CYLINDRICAL COORDINATES
  K,1,1.8
  K,2,6                           ! DEFINE KEYPOINTS (FIRST QUADRANT)
  K,3,6,90
  K,4,1.8,90
  L,1,2
  L,2,3                           ! DEFINE LINES SEGMENTS
  L,3,4
  L,4,1
  LSEL,S,LINE,,1,3,2
  LESIZE,ALL,,,ARG2
  LSEL,INVE
  LESIZE,ALL,,,ARG3/4
  LSEL,ALL
  ESHAPE,ARG4                     ! DEFINE ELEMENT SHAPE (PARAMETRIC)
  A,1,2,3,4                       ! DEFINE AREA
  AMESH,1                         ! MESH AREA
  CSYS,0                          ! SPECIFY CARTESIAN COORDINATE SYSTEM
  ARSYM,1,1                       ! REFLECT AREA AND MESH ABOUT Y AXIS
  ARSYM,2,1,2                     ! REFLECT AREAS AND MESH ABOUT X AXIS
  NUMMRG,ALL                      ! MERGE ALL ENTITIES
  D,ALL,UX,0,,,,UY,ROTZ           ! FIX ALL IN-PLANE DISP. AND ROTATIONS
  CSYS,1                          ! SPECIFY CYLINDRICAL COORDINATE SYSTEM
  NSEL,S,LOC,X,6                  ! SELECT NODES AT OUTER RADIUS
  NROTAT,ALL                      ! ROTATE NODES INTO CYLINDRICAL C.S.
  D,ALL,UZ,0,,,,ROTX              ! FIX UZ AND ROTX IN CSYS,1
  NSEL,ALL
  NARRAY(ARG5,2)=ARG2             ! STORE N1
  NARRAY(ARG5,3)=ARG3             ! STORE N2
  *GET,MAXN,NODE,,NUM,MAX         ! GET MAX NODE NUMBER
  NARRAY(ARG5,4)=MAXN*6           ! CALCULATE NO. DEGREES OF FREEDOM
  FINISH
  /SOLU
  TOTAL,ARG6
  SOLVE
  FINISH
  /POST1
  RSYS,1
  SHELL,MID
  *GET,MOD1,MODE,1,FREQ           ! GET MODE 1 FREQUENCY
  NARRAY(ARG5,5)=MOD1/1.870       ! CALCULATE NORMALIZED FREQUENCY
  *GET,MOD2,MODE,2,FREQ           ! GET MODE 2 FREQUENCY
  NARRAY(ARG5,6)=MOD2/5.137       ! CALCULATE NORMALIZED FREQUENCY
  *GET,MOD3,MODE,3,FREQ           ! GET MODE 3 FREQUENCY
  NARRAY(ARG5,7)=MOD3/5.137       ! CALCULATE NORMALIZED FREQUENCY
  *GET,MOD4,MODE,4,FREQ           ! GET MODE 4 FREQUENCY
  NARRAY(ARG5,8)=MOD4/9.673       ! CALCULATE NORMALIZED FREQUENCY
  *GET,MOD5,MODE,5,FREQ           ! GET MODE 5 FREQUENCY
  NARRAY(ARG5,9)=MOD5/9.673       ! CALCULATE NORMALIZED FREQUENCY
  *GET,MOD6,MODE,6,FREQ           ! GET MODE 6 FREQUENCY
  NARRAY(ARG5,10)=MOD6/14.850     ! CALCULATE NORMALIZED FREQUENCY
  *GET,MOD7,MODE,7,FREQ           ! GET MODE 7 FREQUENCY
  NARRAY(ARG5,11)=MOD7/15.573     ! CALCULATE NORMALIZED FREQUENCY
  *GET,MOD8,MODE,8,FREQ           ! GET MODE 8 FREQUENCY
  NARRAY(ARG5,12)=MOD8/15.573     ! CALCULATE NORMALIZED FREQUENCY
  *GET,MOD9,MODE,9,FREQ           ! GET MODE 9 FREQUENCY
  NARRAY(ARG5,13)=MOD9/18.382     ! CALCULATE NORMALIZED FREQUENCY
  PARSAV,,PARAM
  FINISH
  /OUT,
*END
  /COM, COMMENT:  CALL MACRO FOR VMC4-2P, VMC4-4P, VMC4-8P
  *USE,base,63,5,32,2,1,18        ! QUAD MESH
  *GET,NARRAY(1,14),ELEM,,NUM,MAX ! MAX ELEMENT NO.
  *STAT,NARRAY                    ! VMC4-2P
  *USE,base,63,5,32,2,1,36        ! QUAD MESH
  *GET,NARRAY(1,14),ELEM,,NUM,MAX ! MAX ELEMENT NO.
  *STAT,NARRAY                    ! VMC4-4P
  *USE,base,63,5,32,2,1,72        ! QUAD MESH
  *GET,NARRAY(1,14),ELEM,,NUM,MAX ! MAX ELEMENT NO.
  *STAT,NARRAY                    ! VMC4-8P
  /OUT,vmc4,vrt,,append
  /COM,
  /COM,----------- MODEL INFORMATION -------------
  /COM,
  /COM,| ELEM# | N1 | N2 | DOF | #ELEMTS |
  *VWRITE,NARRAY(1,1),NARRAY(1,2),NARRAY(1,3),NARRAY(1,4),NARRAY(1,14)
  (F5.0,'  ',F5.0,'  ',F5.0,'  ',F5.0,'  ',F5.0)
  /COM,-------------------------------------------
  /COM,
  /OUT

*LIST,vmc4,vrt
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Benchmark C3 Input Listing 		Up / Home Next
Benchmark C5 Input Listing


Benchmark C5 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMC5
/SHOW
/DEVICE,VECTOR,ON
  *DIM,NARAY,TABLE,12,12        ! 2-D NARAY FOR RESULTS INFO
  *DO,I,1,12
    *DO,J,1,12
      NARAY(I,J)=0.             ! INITIALIZE NARAY
    *ENDDO
  *ENDDO
*CREATE,base,
  PARSAV,ALL
  /clear, nostart
  PARRES,CHANGE
  /PREP7
smrt,off
  /TITLE, VMC5, SIMPLY-SUPPORTED SOLID SQUARE PLATE
  /COM,   SEE NAFEMS "THE STANDARD NAFEMS BENCHMARKS",
  /COM,   REV. NO. TSNB, NATIONAL ENGNG. LABORATORY, UK
  /COM,   AUG. 1989, TEST NO. FV52
  /COM,
  /OUT,SCRATCH
  ANTYPE,MODAL                  ! MODE-FREQUENCY ANALYSIS
  ET,1,ARG1                     ! ELEMENT TYPE PARAMETRICALLY
  NARAY(ARG5,1)=ARG1            ! STORE ETYPE
  MODOPT,REDUC,                 ! REDUCED HOUSEHOLDER EXTRACTION
  MXPAND,10                     ! EXPAND FIRST 10 MODES
  MP,EX,1,200E9                 ! DEFINE MATERIAL PROPERTIES
  MP,NUXY,1,.3
  MP,DENS,1,8000
  K,1
  K,2,10
  K,3,10,10
  K,4,,10                       ! DEFINE KEYPOINTS
  KGEN,2,1,4,1,,,1
  L,1,5
  *REPEAT,4,1,1                 ! DEFINE LINE SEGMENTS AND DIVISIONS
  LESIZE,ALL,,,ARG3
  V,1,2,3,4,5,6,7,8             ! DEFINE VOLUME
  ESIZE,,ARG2                   ! SET NUMVER OF ELEMENT DIVISIONS
  NARAY(ARG5,2)=ARG2            ! STORE N1
  NARAY(ARG5,3)=ARG3            ! STORE N2
  *IF,ARG1,NE,92,THEN
    MOPT,VMESH,ALTE
  *ELSE
    MOPT,VMESH,MAIN
  *ENDIF
  VMESH,1                       ! MESH VOLUME
  NSEL,S,LOC,Y,0                ! SELECT NODES FOR CONSTRAINING
  NSEL,A,LOC,Y,10
  NSEL,A,LOC,X,0
  NSEL,A,LOC,X,10
  NSEL,R,LOC,Z,0
  D,ALL,UZ,0                    ! CONSTRAIN NODES
  NSEL,ALL
  WAVES
  TOTAL,ARG4                    ! SPECIFY MDOF'S PARAMETRICALLY
   !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  !!  SETUP AND PLOT ELEMENTS FOR DOCUMENTATION !!
  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  /VIEW,1,0.5,-0.5,0.5
  /ANG,1,-63
  /AUTO,1
  /DEVICE,VECTOR,1
  /DEVICE,DITHER,1
  /TYPE,ALL,4
  /COLOR,NUM,BLUE,1
  *IF,I,EQ,1,THEN
  *IF,ARG1,EQ,45,THEN
  *IF,ARG2,EQ,8,THEN
  *IF,ARG3,EQ,3,THEN
  /TITLE,VMC5 - BRICK MESH (N1 = 8, N2 = 3)
  EPLOT
  *ENDIF
  *ENDIF
  *ENDIF
  *ENDIF
  *IF,I,EQ,7,THEN
  *IF,ARG1,EQ,92,THEN
  *IF,ARG2,EQ,6,THEN
  *IF,ARG3,EQ,1,THEN
  /TITLE,VMC5 - TETRAHEDRAL MESH (N1 = 6, N2 = 1)
  EPLOT
  *ENDIF
  *ENDIF
  *ENDIF
  *ENDIF

  FINISH
  /SOLU
  SOLVE
  *GET,F1,MODE,1,FREQ           ! GET MODE 1 FREQUENCY
  *GET,F2,MODE,2,FREQ           ! GET MODE 2 FREQUENCY
  *GET,F3,MODE,3,FREQ           ! GET MODE 3 FREQUENCY
  *GET,F4,MODE,4,FREQ           ! GET MODE 4 FREQUENCY
  NARAY(ARG5,6)=F4/45.897       ! CALCULATE NORMALIZED FREQUENCY
  *GET,F5,MODE,5,FREQ           ! GET MODE 5 FREQUENCY
  NARAY(ARG5,7)=F5/109.44       ! CALCULATE NORMALIZED FREQUENCY
  *GET,F6,MODE,6,FREQ           ! GET MODE 6 FREQUENCY
  NARAY(ARG5,8)=F6/109.44       ! CALCULATE NORMALIZED FREQUENCY
  *GET,F7,MODE,7,FREQ           ! GET MODE 7 FREQUENCY
  NARAY(ARG5,9)=F7/167.89       ! CALCULATE NORMALIZED FREQUENCY
  *GET,F8,MODE,8,FREQ           ! GET MODE 8 FREQUENCY
  NARAY(ARG5,10)=F8/193.59      ! CALCULATE NORMALIZED FREQUENCY
  *GET,F9,MODE,9,FREQ           ! GET MODE 9 FREQUENCY
  NARAY(ARG5,11)=F9/206.19      ! CALCULATE NORMALIZED FREQUENCY
  *GET,F10,MODE,10,FREQ         ! GET MODE 10 FREQUENCY
  NARAY(ARG5,12)=F10/206.19     ! CALCULATE NORMALIZED FREQUENCY
  NARAY(ARG5,4)=ARG4            ! MDOF
  NARAY(ARG5,5)=(ARG4/ARG6)*100 ! PERCENT OF DOF
  PARSAV,,PARAM
  FINISH
  /POST1
  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  !!!  SET UP POST TO PRODUCE PLDISP PLOTS  !!!
  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

  /VIEW,1,,,-1
  /ANG,1
  /DEVICE,VECTOR,1
  /DEVICE,DITHER,1
  /TYPE,ALL,4
  /COLOR,NUM,BLUE,1
  *IF,I,EQ,6,THEN
  SET,1,1
  /TITLE,VMC5 - RIGID BODY - MODE 1
  PLDISP,1
  *ENDIF
  *IF,I,EQ,6,THEN
  SET,1,2
  /TITLE,VMC5 - RIGID BODY - MODE 2
  PLDISP,1
  *ENDIF
  *IF,I,EQ,6,THEN
  SET,1,3
  /TITLE,VMC5 - RIGID BODY - MODE 3
  PLDISP,1
  *ENDIF
  /VIEW,1,-0.677530527371,-0.68876415506,0.257985122023
  /ANG,1,76.7942822618
  *IF,I,EQ,6,THEN
  SET,1,4
  /TITLE,VMC5 - OUT OF PLANE - MODE 4
  PLDISP,0
  *ENDIF
  *IF,I,EQ,6,THEN
  SET,1,5
  /TITLE,VMC5 - OUT OF PLANE - MODE 5
  PLDISP,0
  *ENDIF
  *IF,I,EQ,6,THEN
  SET,1,6
  /TITLE,VMC5 - OUT OF PLANE - MODE 6
  PLDISP,0
  *ENDIF
  *IF,I,EQ,6,THEN
  SET,1,7
  /TITLE,VMC5 - OUT OF PLANE - MODE 7
  PLDISP,0
  *ENDIF
  /VIEW,1,,,-1
  /ANG,1
  *IF,I,EQ,6,THEN
  SET,1,8
  /TITLE,VMC5 - IN PLANE - MODE 8
  PLDISP,0
  *ENDIF
  *IF,I,EQ,6,THEN
  SET,1,9
  /TITLE,VMC5 - IN PLANE - MODE 9
  PLDISP,0
  *ENDIF
  *IF,I,EQ,6,THEN
  SET,1,10
  /TITLE,VMC5 - IN PLANE - MODE 10
  PLDISP,0
  *ENDIF
  /TITLE, VMC5, SIMPLY-SUPPORTED SOLID SQUARE PLATE
  FINISH
*END
  /COM, COMMENT:  CALL MACRO TO LOOP THROUGH DIFFERENT ELEMENT TYPES
  *DO,I,1,12
    *IF,I,EQ,1,THEN
      *USE,base,45,8,3,20,I,940
    *ELSEIF,I,EQ,2,THEN
      *USE,base,45,8,3,40,I,940
    *ELSEIF,I,EQ,3,THEN
      *USE,base,45,8,3,80,I,940
    *ELSEIF,I,EQ,4,THEN
      *USE,base,45,8,3,120,I,940
    *ELSEIF,I,EQ,5,THEN
      *USE,base,45,8,3,160,I,940
    *ELSEIF,I,EQ,6,THEN
      *USE,base,45,8,3,940,I,940
    *ELSEIF,I,EQ,7,THEN
      *USE,base,92,6,1,20,I,1581
    *ELSEIF,I,EQ,8,THEN
      *USE,base,92,6,1,40,I,1581
    *ELSEIF,I,EQ,9,THEN
      *USE,base,92,6,1,80,I,1581
    *ELSEIF,I,EQ,10,THEN
      *USE,base,92,6,1,120,I,1581
    *ELSEIF,I,EQ,11,THEN
      *USE,base,92,6,1,160,I,1581
    *ELSEIF,I,EQ,12,THEN
      *USE,base,92,6,1,500,I,1581
    *ENDIF
  *ENDDO
  /OUT,
  /OUT,vmc5,vrt
  /COM,
  /COM,---------------------- VMC5 RESULTS LISTING ------------------------
  /COM,
  /COM,| ETYP | N1 |  N2 |  MDOF |  %DOF |
  /COM,
  *VWRITE,NARAY(1,1),NARAY(1,2),NARAY(1,3),NARAY(1,4),NARAY(1,5)
  (F5.0,'  ',F5.0,'  ',F5.0,'  ',F5.0,'  ',F7.3)
  /COM,
  /COM,--------------------------------------------------------------------
  /COM,
  /COM,---------------------- VMC5 RESULTS CONT.... -----------------------
  /COM,
  /COM,| RAT4 |  RAT5 |  RAT6 |  RAT7 |  RAT8 |  RAT9 |  RAT10 |
  /COM,
  *VWRITE,NARAY(1,6),NARAY(1,7),NARAY(1,8),NARAY(1,9),NARAY(1,10),NARAY(1,11),NARAY(1,12)
  ('  ',F5.3,'   ',F5.3,'   ',F5.3,'   ',F5.3,'   ',F5.3,'   ',F5.3,'  ',F5.3,'  ',F5.3)
  /COM,
  /COM,--------------------------------------------------------------------
  /OUT
FINISH
/delete,PARAM
/delete,base
*LIST,vmc5,vrt
finish

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Benchmark C4 Input Listing 		Up / Home Next
Benchmark C6 Input Listing


Benchmark C6 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMC6
/SHOW
  /OUT,SCRATCH
  *DIM,NARAY,TABLE,16,6         ! 2-D NARAY FOR RESULTS INFO
  *DO,I,1,16
    *DO,J,1,6
      NARAY(I,J)=0.             ! INITIALIZE NARAY
    *ENDDO
  *ENDDO
*CREATE,base,
  PARSAV,ALL
  /clear, nostart
  PARRES,CHANGE
  /PREP7
smrt,off
  /TITLE, VMC6, TWO-DIMENSIONAL HEAT TRANSFER WITH CONVECTION
  /COM,   SEE "SELECTED FE BENCHMARKS IN STRUCTURAL AND THERMAL
  /COM,   ANALYSIS", NAFEMS REPT. FEBSTA REV. 1, OCT. 1986
  /COM,   TEST NO. T4
  ANTYPE,STATIC                 ! THERMAL ANALYSIS
  ET,1,ARG1                     ! DEFINE ELEMENT TYPE PARAMETRICALLY
  NARAY(ARG4,1)=ARG1            ! STORE ETYPE
  MP,KXX,1,52.0                 ! DEFINE CONDUCTIVITY
  *IF,I,LE,10,THEN
    K,1                         ! DEFINE KEYPOINTS
    K,2,.6
    K,3,.6,1.0
    K,4,,1.0
    A,1,2,3,4
    ESIZE,ARG2                  ! DEFINE ELEMENT SIZE, & SHAPE PARAMETRICALLY
    ESHAPE,ARG3
    NARAY(ARG4,2)=ARG2          ! STORE N1 (ELEMENT EDGE LENGTH)
    NARAY(ARG4,3)=ARG3          ! STORE N2 (ELEMENT SHAPE)
    AMESH,1                     ! MESH AREA
  *ELSE
    G1=(.6/ARG2)+1              ! DEFINE PARAMETERS FOR MESH GENERATION
    G2=(1/ARG2)+1
    G3=(G2-1)
    N,1
    NGEN,G1,1,ALL,,,ARG2
    NGEN,G2,G1,ALL,,,,ARG2
    *IF,ARG1,EQ,77,THEN
      E,1,2,(G1+2),(G1+2)
      EGEN,(G1-1),1,ALL
      E,1,(G1+2),(G1+1),(G1+1)
      EGEN,(G1-1),1,G1
      EGEN,G3,G1,ALL
    *ELSE
      E,1,2,(G1+2)
      EGEN,(G1-1),1,ALL
      E,1,(G1+2),(G1+1)
      EGEN,(G1-1),1,G1
      EGEN,G3,G1,ALL
    *ENDIF
    *IF,ARG1,NE,55,THEN
      EMID
    *ENDIF
  *ENDIF
  *GET,MAXE,ELEM,,NUM,MAX
  *GET,MAXN,NODE,,NUM,MAX
  NARAY(ARG4,4)=MAXN*1          ! CALCULATE NO. DEGREES OF FREEDOM
  T1=NODE(.6,.2,0)              ! GET NODE NUMBER OF INTEREST
  NSEL,S,LOC,Y,0
  D,ALL,TEMP,100.               ! SPECIFY EDGE TEMPERATURE
  NSEL,S,LOC,X,0.6
  SF,ALL,CONV,750.0,0.0         ! SPECIFY CONVECTION SURFACES
  NSEL,A,LOC,Y,1.0
  SF,ALL,CONV,750.0,0.0
  NSEL,ALL

  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  !!  SETUP AND PLOT ELEMENTS FOR DOCUMENTATION !!
  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  /AUTO,1
  /VIEW,1,,,1
  /ANG,1
  /DEVICE,VECTOR,1
  /DEVICE,DITHER,1
  /TYPE,ALL,4
  /COLOR,NUM,BLUE,1
  *IF,ARG1,EQ,77,THEN
   *IF,ARG2,EQ,0.2,THEN
   *IF,ARG3,EQ,2,THEN
   /TITLE,VMC6 - QUADRILATERAL MESH (N1 = 0.2)
   EPLOT
   *ENDIF
   *ENDIF
   *IF,ARG2,EQ,0.1,THEN
   *IF,ARG3,EQ,2,THEN
   /TITLE,VMC6 - QUADRILATERAL MESH (N1 = 0.1)
   EPLOT
   *ENDIF
   *ENDIF
   *IF,ARG2,EQ,0.2,THEN
   *IF,ARG3,EQ,1,THEN
   *IF,I,EQ,15,THEN
   /TITLE,VMC6 - UNIFORM TRIANGLE MESH (N1 = 0.2)
   EPLOT
   *ENDIF
   *ENDIF
   *ENDIF
   *IF,ARG2,EQ,0.1,THEN
   *IF,ARG3,EQ,1,THEN
   *IF,I,EQ,16,THEN
   /TITLE,VMC6 - UNIFORM TRIANGLE MESH (N1 = 0.1)
   EPLOT
   *ENDIF
   *ENDIF
   *ENDIF
   *IF,ARG2,EQ,0.2,THEN
   *IF,ARG3,EQ,1,THEN
   *IF,I,EQ,9,THEN
   /TITLE,VMC6 - TRIANGLE MESH (N1 = 0.2)
   EPLOT
   *ENDIF
   *ENDIF
   *ENDIF
   *IF,ARG2,EQ,0.1,THEN
   *IF,ARG3,EQ,1,THEN
   *IF,I,EQ,10,THEN
   /TITLE,VMC6 - TRIANGLE MESH (N1 = 0.1)
   EPLOT
   *ENDIF
   *ENDIF
   *ENDIF
*ENDIF

  FINISH
  /SOLU
  SOLVE
  *GET,NTEM,TEMP,T1             ! GET TEMERATURE AT NODE OF INTEREST
  NARAY(ARG4,5)=NTEM            ! STORE TEMPERATURE
  NARAY(ARG4,6)=NTEM/18.3       ! CALCULATE TEMPERATURE RATIO
  PARSAV,,PARAM
  FINISH
*END
  /COM, COMMENT:  CALL MACRO TO LOOP THROUGH DIFFERENT ELEMENT TYPES, MESHES
  *DO,I,1,16
    *IF,I,EQ,1,THEN
      *USE,base,55,.2,2,I       ! QUAD MESH
    *ELSEIF,I,EQ,2,THEN
      *USE,base,55,.1,2,I       ! QUAD MESH
    *ELSEIF,I,EQ,3,THEN
      *USE,base,77,.2,2,I       ! QUAD MESH
    *ELSEIF,I,EQ,4,THEN
      *USE,base,77,.1,2,I       ! QUAD MESH
    *ELSEIF,I,EQ,5,THEN
      *USE,base,35,.2,1,I       ! TRIANGLE MESH
    *ELSEIF,I,EQ,6,THEN
      *USE,base,35,.1,1,I       ! TRIANGLE MESH
    *ELSEIF,I,EQ,7,THEN
      *USE,base,55,.2,1,I       ! TRIANGLE MESH
    *ELSEIF,I,EQ,8,THEN
      *USE,base,55,.1,1,I       ! TRIANGLE MESH
    *ELSEIF,I,EQ,9,THEN
      *USE,base,77,.2,1,I       ! TRIANGLE MESH
    *ELSEIF,I,EQ,10,THEN
      *USE,base,77,.1,1,I       ! TRIANGLE MESH
    *ELSEIF,I,EQ,11,THEN
      *USE,base,35,.2,1,I       ! TRIANGLE MESH
    *ELSEIF,I,EQ,12,THEN
      *USE,base,35,.1,1,I       ! TRIANGLE MESH
    *ELSEIF,I,EQ,13,THEN
      *USE,base,55,.2,1,I       ! TRIANGLE MESH
    *ELSEIF,I,EQ,14,THEN
      *USE,base,55,.1,1,I       ! TRIANGLE MESH
    *ELSEIF,I,EQ,15,THEN
      *USE,base,77,.2,1,I       ! TRIANGLE MESH
    *ELSEIF,I,EQ,16,THEN
      *USE,base,77,.1,1,I       ! TRIANGLE MESH
    *ENDIF
  *ENDDO
  /OUT,
  !*STAT,NARAY                   ! GET STATUS OF NARAY
  *VLEN,4
  *VCOL,6
  /OUT,vmc6,vrt
  /COM,
  /COM,------------------- VMC6 RESULTS LISTING ---------------------
  /COM
  /COM, QUAD MESH
  /COM,
  /COM,| ETYP | N1  | DOF  | TEMP(C) | TEMP RATIO |
  /COM,
  *VWRITE,NARAY(1,1),NARAY(1,2),NARAY(1,4),NARAY(1,5),NARAY(1,6)
  (F5.0,'   ',F5.2,'  ',F5.0,'   ',F5.1,'    ',F5.2)
  /COM,
  /OUT
  *VLEN,6
  /OUT,vmc6,vrt,,append
  /COM, TRIANGLE MESH
  /COM,
  /COM,| ETYP | N1  | DOF  | TEMP(C) | TEMP RATIO |
  /COM,
  *VWRITE,NARAY(5,1),NARAY(5,2),NARAY(5,4),NARAY(5,5),NARAY(5,6)
  (F5.0,'   ',F5.2,'  ',F5.0,'   ',F5.1,'    ',F5.2)
  /COM,
  /COM, UNIFORM TRIANGLE MESH
  /COM,
  /COM,| ETYP | N1  | DOF  | TEMP(C) | TEMP RATIO |
  /COM,
  *VWRITE,NARAY(11,1),NARAY(11,2),NARAY(11,4),NARAY(11,5),NARAY(11,6)
  (F5.0,'   ',F5.2,'  ',F5.0,'   ',F5.1,'    ',F5.2)
  /COM,
  /COM,---------------------------------------------------------------
/OUT
FINISH
*LIST,vmc6,vrt
/DELETE,PARAM
/DELETE,base
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Benchmark C5 Input Listing 		Up / Home Next
Benchmark C7 Input Listing


Benchmark C7 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMC7
/SHOW
  /OUT,SCRATCH
  *DIM,NARAY,TABLE,9,6            ! 2-D NARAY FOR RESULTS INFO
    *DO,I,1,9
      *DO,J,1,6
        NARAY(I,J)=0.             ! INITIALIZE NARAY
      *ENDDO
    *ENDDO
*CREATE,base,
  PARSAV,ALL
  /clear, nostart
  PARRES,CHANGE
  /PREP7
smrt,off
  /TITLE, VMC7, ONE-DIMENSIONAL TRANSIENT HEAT TRANSFER WITH CONVECTION
  /COM,   SEE HOLMAN: "HEAT TRANSFER", MCGRAW HILL CO., 4TH EDITION,
  /COM,   PG. 106, 1976.
  /COM,
  ANTYPE,TRANS
  ET,1,ARG1                       ! DEFINE ELEMENT TYPE PARAMETRICALLY
  NARAY(ARG4,1)=ARG1              ! STORE ETYPE
  MP,KXX,1,54                     ! DEFINE MATERIAL PROPERTIES
  MP,DENS,1,7833
  MP,C,1,.465
  K,1
  K,2,(1/(ARG2*2))                ! DEFINE KEYPOINTS
  K,3,(1/(ARG2*2)),1
  K,4,,1
  L,1,2
  L,4,3                           ! DEFINE LINE SEGMENTS
  LESIZE,ALL,,,1
  A,1,2,3,4                       ! DEFINE AREAS
  ESIZE,,ARG2                     ! SET ELEMENT DIVISIONS PARAMETRICALLY
  NARAY(ARG4,2)=ARG2              ! STORE ELEMENT DIVISIONS
  AMESH,1                         ! MESH AREA
  NSEL,S,LOC,Y,1
  NSEL,R,LOC,X,0
  *GET,N1,NODE,,NUM,MAX           ! GET NODE NUMBER ON TOP SURFACE
  NSEL,ALL
  TUNIF,0                         ! DEFINE INITIAL TEMPERATURE
  NSEL,S,LOC,Y,1
  SF,ALL,CONV,50,1000             ! APPLY CONVECTION H=50 TBULK=1000
  NSEL,ALL
  KBC,1                           ! STEP BOUNDARY CONDITION
  TIME,2.0                        ! END TIME= 2 SEC.
  DELTIM,ARG3
  NARAY(ARG4,3)=ARG3              ! STORE DELTA T MIN

  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  !!  SETUP AND PLOT ELEMENTS FOR DOCUMENTATION !!
  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  /AUTO,1
  /VIEW,1,,,1
  /ANG,1
  /DEVICE,VECTOR,1
  /DEVICE,DITHER,1
  /TYPE,ALL,4
  /COLOR,NUM,BLUE,1

  *IF,ARG1,EQ,77,THEN
   *IF,ARG2,EQ,6,THEN
   /TITLE,VMC7 - QUADRILATERAL MESH (N = 6)
   EPLOT
   *ENDIF
   *IF,ARG2,EQ,8,THEN
   /TITLE,VMC7 - QUADRILATERAL MESH (N = 8)
   EPLOT
   *ENDIF
   *IF,ARG2,EQ,16,THEN
   /TITLE,VMC7 - QUADRILATERAL MESH (N = 16)
   EPLOT
   *ENDIF
  *ENDIF

  *IF,ARG1,EQ,35,THEN
   *IF,ARG2,EQ,6,THEN
   /TITLE,VMC7 - TRIANGLE MESH (N = 6)
   EPLOT
   *ENDIF
   *IF,ARG2,EQ,8,THEN
   /TITLE,VMC7 - TRIANGLE MESH (N = 8)
   EPLOT
   *ENDIF
   *IF,ARG2,EQ,16,THEN
   /TITLE,VMC7 - TRIANGLE MESH (N = 16)
   EPLOT
   *ENDIF
  *ENDIF

  /TITLE, VMC7, ONE-DIMENSIONAL TRANSIENT HEAT TRANSFER WITH CONVECTION
  FINISH
  /SOLU
  AUTOTS,ON                       ! INVOKE AUTO TIME STEPPING
  SOLVE
  *GET,CIT,ACTIVE,,SOLU,NCMIT     ! GET CUMULATIVE ITERATIONS
  NARAY(ARG4,4)=CIT               ! STORE CUMULATIVE ITERATIONS
  FINISH
  /POST1
  *GET,TN1,NODE,N1,TEMP           ! GET SURFACE NODE TEMPERATURE
  NARAY(ARG4,5)=TN1               ! STORE TEMPERATURE
  NARAY(ARG4,6)=TN1/157.25        ! NORMALIZE TEMPERATURE TO TARGET VALUE
  PARSAV,,PARAM
  FINISH
*END
  /COM, COMMENT:  CALL MACRO TO LOOP THROUGH DIFFERENT ELEMENT TYPES
  *DO,I,1,9
    *IF,I,EQ,1,THEN
      *USE,base,55,6,.5,I
    *ELSEIF,I,EQ,2,THEN
      *USE,base,55,8,.25,I
    *ELSEIF,I,EQ,3,THEN
      *USE,base,55,16,.0667,I
    *ELSEIF,I,EQ,4,THEN
      *USE,base,77,6,.5,I
    *ELSEIF,I,EQ,5,THEN
      *USE,base,77,8,.25,I
    *ELSEIF,I,EQ,6,THEN
      *USE,base,77,16,.0667,I
    *ELSEIF,I,EQ,7,THEN
      *USE,base,35,6,.5,I
    *ELSEIF,I,EQ,8,THEN
      *USE,base,35,8,.25,I
    *ELSEIF,I,EQ,9,THEN
      *USE,base,35,16,.0667,I
    *ENDIF
  *ENDDO
  /OUT,
  !*STAT,NARAY
  /OUT,vmc7,vrt
  /COM
  /COM,------------------- VMC7 RESULTS LISTING ------------------------------------
  /COM,
  /COM, TARGET SOLUTION: T = 157.25
  /COM,
  /COM,| ETYP | N  | DELTA-T  | CUM ITR  | SURF-TEMP  | TEMP RAT  |
  /COM,
  *VWRITE,naray(1,1),naray(1,2),naray(1,3),NARAY(1,4),NARAY(1,5),NARAY(1,6)
  (F5.0,'  ',F5.0,'   ',F5.4,'     ',F5.0,'        ',F7.3,'     ',F5.3)
  /COM,-----------------------------------------------------------------------------
  /OUT

FINISH
*LIST,vmc7,vrt
/DELETE,PARAM
/DELETE,base
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Benchmark C6 Input Listing 		Up / Home Next
Benchmark C8 Input Listing


Benchmark C8 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMC8
/config,nlco,0
/SHOW
/DEVICE,VECTOR,ON
OKEY=1
/TITLE, VMC8, ALUMINUM BAR IMPACTING A RIGID BOUNDARY
/COM
/COM   Ref: Wilkins M.L and Guinan M.W., "Impact of Cylinders on a Rigid
/COM        Boundary", J. Appl. Phys., Vol. 44, No. 3, 1973.
/COM
/UNITS,SI                       ! (KG, Ne, M , SEC)

*dim,LFA,,2,6
*do,i,1,6

*if,i,eq,1,then
  atype=2
  etyp=2
  /title, VMC8, ALUMINUM BAR IMPACTING A RIGID BOUNDARY - PLANE2
*elseif,i,eq,2,then
  atype=2
  etyp=42
  /title, VMC8, ALUMINUM BAR IMPACTING A RIGID BOUNDARY - PLANE42
*elseif,i,eq,3,then
  atype=2
  etyp=82
  /title, VMC8, ALUMINUM BAR IMPACTING A RIGID BOUNDARY - PLANE82
*elseif,i,eq,4,then
  atype=2
  etyp=106
  /title, VMC8, ALUMINUM BAR IMPACTING A RIGID BOUNDARY - VISCO106
*elseif,i,eq,5,then
  atype=2
  etyp=182
  /title, VMC8, ALUMINUM BAR IMPACTING A RIGID BOUNDARY - PLANE182
*elseif,i,eq,6,then
  atype=2
  etyp=183
  /title, VMC8, ALUMINUM BAR IMPACTING A RIGID BOUNDARY - PLANE183
*endif

/PREP7
RAD = 0.00381                   ! BAR RADIUS [m]
L = 0.02347                     ! BAR LENGTH
DI = 0.0001                     ! INTERFACE BETWEEN THE BAR AND THE WALL
VEL = 478                       ! INITIAL VELOCITY [M/SEC]
CVEL= (70E9/2700)**0.5          ! ELASTIC WAVE PROPAGATION SPEED
TEL=(RAD/4)/CVEL                ! TIME STEP INCREMENT (4 ELEMENTS ALONG RADIUS)
NLS=NINT(1.1*(4.5E-5/TEL))      ! MINIMUM NUMBER OF SUBSTEPS FOT TIME=4.5E-5
ET,1,ETYP                       ! ELEMENT TYPE
*IF,ATYPE,EQ,2,THEN
KEYOPT,1,3,1                    ! AXISYMMETIRC OPTION
*ENDIF
*IF,ETYP,EQ,42,THEN
KEYOPT,1,1,1			! REDUCED INTEGRATION FOR 42
*ENDIF
*IF,ETYP,EQ,182,THEN
KEYOPT,1,1,1			! REDUCED INTEGRATION FOR 182
*ENDIF
MP,EX,1,70E9                    ! ELASTIC MODULUS [Pa]
MP,NUXY,1,0.3
MP,DENS,1,2700                  ! DENSITY (KG/M^3)
TB,BISO,1                       ! BILINEAR ISOTROPIC HARDENING
TBDAT,1,420E6,100E6             ! YEILD STRESS [Pa], TANGENT MODULUS [Pa]
K,1,0,DI                        ! SOLID MODEL
K,2,RAD,DI
K,3,RAD,(DI+L)
K,4,0,(DI+L)
L,1,2
L,3,4
LESIZE,ALL,,,4
L,1,4
L,2,3
LESIZE,ALL,,,12,3
A,1,2,3,4
AMESH,1
EPLOT
NSEL,S,LOC,X,0
D,ALL,UX
NSEL,S,LOC,X,0
NSEL,R,LOC,Y,L+DI
*GET,NTOP,NODE,,NUM,MIN
NSEL,ALL
NBOT=NODE(0,0,0)
NSEL,S,,,NBOT
ESLN,S
*GET,EBOT,ELEM,,NUM,MIN
NSEL,ALL
ESEL,ALL
SAVE
FINISH

/SOLU
ANTYPE,TRANS
NLGEOM,ON
NROPT,FULL
AUTOTS,ON
TIMINT,OFF                      ! STATIC LOAD STEP - DEFINE INITIAL VELOCITY
T1=DI/VEL                       ! TIME INCREMENT
TIME,T1
DELTIM,T1
NSEL,S,LOC,Y,DI
D,ALL,UY,-DI
NSEL,ALL
NCNV,2
CNVTOL,U,1,0.001
OUTPR,ALL,NONE
OUTRES,ALL,10
SOLVE                           ! LOAD STEP 1 - STATIC
TIMINT,ON
NEQIT,40
CNVTOL,U
CNVTOL,F,0.01,0.001
NSUBSTEP,NLS,10*NLS,NLS
TIME,(T1+4.5E-5)
/OUT,SCRATCH
SOLVE                           ! LOAD STEP 1 - DYNAMIC
/OUT
SAVE
FINISH

/POST1
SET,LAST
/DSCAL,1,1
PLDISP                          ! PLOT DEFORMED SHAPE
*GET,DYTP,UY,NTOP               ! NODAL DISPLACEMENT OF TOP NODE
LF=(L+DI)+DYTP                  ! DEFORMED LENGTH
LFA(1,i)=LF
LFA(2,i)=LF/(L*0.562)
*STATUS,LF
FINISH

/POST26
/GRID,1
XVAR,1
NSOL,2,NTOP,U,Y                 ! DISPLACEMENT OF FREE END NODE
ESOL,3,EBOT,NBOT,EPPL,EQV       ! EQUIVALENT PLASTIC STRAIN
ADD,2,2,,,DISP,,,-1
/AXLAB,X,TIME [SEC]
/AXLAB,Y,FREE END DISPLACEMENT [M]
PLVAR,2                         ! PLOT DISPLACEMENT VS. TIME
/AXLAB,Y,EPPL-EQV AT NODE 1
PLVAR,3                         ! PLOT PLASTIC STRAIN
FINISH

PARSAV,ALL
/clear, nostart
PARRES

*ENDDO

FINISH
*VLEN,1
/OUT,vmc8,vrt
/COM
/COM,------------------- VMC8 RESULTS LISTING ------------------------------------
/COM,
/COM,
/COM,ETYP  |   2   |   42   |   82   |   106   |   182   |   183   |
/COM,
*VWRITE,LFA(1,1),LFA(1,2),LFA(1,3),LFA(1,4),LFA(1,5),LFA(1,6)
(' L (m)   ',F5.3,'   ',F5.3,'    ',F5.3,'     ',F5.3,'     ',F5.3,'     ',F5.3)
*VWRITE,LFA(2,1),LFA(2,2),LFA(2,3),LFA(2,4),LFA(2,5),LFA(2,6)
(' RATIO   ',F5.3,'   ',F5.3,'    ',F5.3,'     ',F5.3,'     ',F5.3,'     ',F5.3)
/COM,-----------------------------------------------------------------------------
/OUT
*LIST,vmc8,vrt
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Benchmark C7 Input Listing 		Up / Home Next
Benchmark D1 Input Listing


Benchmark D1 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMD1
/DEVICE,VECTOR,ON
! ----------------------------------------------------------------------
! PARAMETER KEY:
!
! ATYP  - ANALYSIS TYPE (2=2D, 3=3D)
! ETYP  - ELEMENT TYPE NUMBER
! QUAD  - '1' IF QUADRILATERAL ELEMENT
! TRI   - '1' IF TRIANGULAR HIGHER ORDER ELEMENT
! BRICK - '1' IF BRICK ELEMENT
! TET   - '1' IF HIGHER ORDER TET ELEMENT
! LOW   - '1' IF LOWER ORDER QUAD OR BRICK ELEMENT
! HIGH  - '1' IF HIGHER ORDER QUAD OR BRICK ELEMENT
!
! NOTE: FOR QUAD, TRI, BRICK, & TET KEYS: ONLY ONE MAY BE SET TO
!       '1' (ACTIVE).  LOW & HIGH ARE APPLICABLE ONLY TFOR EITHER
!       QUAD OR BRICK ELEMENT TYPES.  SET LOW OR HIGH TO ZERO FOR
!       TRI OR TET ELEMENTS.
! ----------------------------------------------------------------------
/TITLE, VMD1, STRAIGHT BEAM UNDER VARIOUS LOADS
/COM
/COM    MACNEAL, R.H., AND HARDER R.L., "A PROPOSED STANDARD SET OF
/COM    PROBLEMS TO TEST FINITE ELEMENT ACCURACY
/COM
/NOPR
/OUT,SCRATCH
*CREATE,MAC1
 ARG1=(ARG1*3.141592654)/180.           ! ARG1=DISTORTION ANGLE (DEG.)
 DELX=(0.1*TAN(ARG1))
 NMODIF,ARG2,(1+DELX)
 *REPEAT,3,4,2
 NMODIF,ARG3,(2-DELX)
 *REPEAT,2,4,2
 NMODIF,ARG4,(1-DELX)
 *REPEAT,3,4,2
 NMODIF,ARG5,(2+DELX)
 *REPEAT,2,4,2
*END
*CREATE,MAC2
 ARG1=(ARG1*3.141592654)/180.
 DELX=(0.1*TAN(ARG1))
 NMODIF,ARG2,(1-DELX)
 *REPEAT,5,2,1
 NMODIF,ARG3,(1+DELX)
 *REPEAT,5,2,1
*END
*CREATE,MAC3                                   ! MACRO - EXTRACT DISP
  *DO,I,1,7
    *GET,X1,NODE,13+(I-1)*200,U,ARG1
    *GET,X2,NODE,53+(I-1)*200,U,ARG1
    DR(ARG2,I)=(ABS(X1)+ABS(X2))/2
  *ENDDO
*END
*CREATE,MAC4                                   ! MACRO - EXTRACT ERROR
  SET,ARG1
  *DO,J,1,7
    ESEL,S,,,EINC*(J-1)+1,EINC*(J-1)+EINC
    PRERR
 *GET,ER(ARG1,J),PRERR,,SEPC
  *ENDDO
*END
*DO,L,1,6
*IF,L,EQ,1,THEN
  ETYP=2
 ATYP=2
 QUAD=0
 TRI=1
 BRICK=0
 TET=0
 LOW=0
 HIGH=0
  ELAB='PLANE2'
*ELSEIF,L,EQ,2,THEN
  ETYP=42
 ATYP=2
 QUAD=1
 TRI=0
 BRICK=0
 TET=0
 LOW=1
 HIGH=0
  ELAB='PLANE42'
*ELSEIF,L,EQ,3,THEN
  ETYP=82
 ATYP=2
 QUAD=1
 TRI=0
 BRICK=0
 TET=0
 LOW=0
 HIGH=1
  ELAB='PLANE82'
*ELSEIF,L,EQ,4,THEN
  ETYP=45
 ATYP=3
 QUAD=0
 TRI=0
 BRICK=1
 TET=0
 LOW=1
 HIGH=0
  ELAB='SOLID45'
*ELSEIF,L,EQ,5,THEN
  ETYP=92
 ATYP=3
 QUAD=0
 TRI=0
 BRICK=0
 TET=1
 LOW=0
 HIGH=0
  ELAB='SOLID92'
*ELSEIF,L,EQ,6,THEN
  ETYP=95
 ATYP=3
 QUAD=0
 TRI=0
 BRICK=1
 TET=0
 LOW=0
 HIGH=1
  ELAB='SOLID95'
*ENDIF
*DIM,DR,,4,7                            ! ARRAY - DISPLACEMENT RATIO
*DIM,ER,,4,7                            ! ARRAY - ENERY NORM ERROR
*DIM,LAB,CHAR,4
LAB(1)='EXTEND'
 LAB(2)='IP SHEAR'
 LAB(3)='OP SHEAR'
 LAB(4)='TWIST'

*IF,TRI,EQ,1,THEN                       ! DEFINE ELEMENTS PER MODEL
  EINC=12
*ELSEIF,TET,EQ,1,THEN
  EINC=30
*ELSE
  EINC=6
*ENDIF
/PREP7
*IF,BRICK,EQ,1,THEN
  ET,1,ETYP
*ELSEIF,TET,EQ,1,THEN
  ET,1,ETYP
*ELSE
  ET,1,ETYP,,,3
*ENDIF
R,1,0.1
MP,EX,1,1E7
MP,NUXY,1,0.3
N,1
 N,13,6,0
FILL,1,13,5,3,2
NGEN,3,20,1,13,2,0,0.1,0                ! DEFINE CORNER NODES
NGEN,4,200,1,53,2,0,0,0                 ! DEFINE NODES FOR TRAPIZOIDAL ELEMENTS
*USE,MAC1,15,203,205,243,245            ! MODIFY NODE LOCATIONS
*USE,MAC1,30,403,405,443,445
*USE,MAC1,45,603,605,643,645
NGEN,2,800,1,53,2,0,0,0                 ! DEFINE NODES PARALLELOGRAM ELEMENTS
NGEN,3,200,801,853,2
*USE,MAC2,15,803,843                    ! MODIFY NODE LOCATIONS
*USE,MAC2,30,1003,1043
*USE,MAC2,45,1203,1243
*IF,QUAD,EQ,1,THEN                      ! QUAD ELEMENT GENERATION
  E,1,3,43,41
  EGEN,6,2,-1
  EGEN,4,200,-6
  EGEN,4,200,-6
  *IF,HIGH,EQ,1,THEN
    EMID
  *ENDIF
  /VIEW,1,1,2,3
  EPLOT
*ENDIF
*IF,TRI,EQ,1,THEN                       ! HIGHER ORDER TRI ELEMENT GENERATION
  E,1,3,41
  E,3,43,41
  EGEN,6,2,-2
  EGEN,4,200,-12
  EGEN,4,200,-12
  EMID
  /VIEW,1,1,2,3
  EPLOT
*ENDIF
*IF,BRICK,EQ,1,THEN                     ! BRICK ELEMENT GENERATION
  NGEN,2,1300,1,1353,1,,,.1
  E,1,3,43,41,1301,1303,1343,1341
  EGEN,6,2,-1
  EGEN,4,200,-6
  EGEN,4,200,-6
  *IF,HIGH,EQ,1,THEN
    EMID
  *ENDIF
  /VIEW,1,1,2,3
  EPLOT
*ENDIF
*IF,TET,EQ,1,THEN                       ! TET ELEMENT GENERATION
  NGEN,2,1300,1,1353,1,,,.1
  E,1,1301,1303,1341
  E,1,1303,3,43
  E,1303,1343,43,1341
  E,1,1303,43,1341
  E,1,43,1341,41
  E,3,1303,5,43
  E,1303,1305,5,1345
  E,1303,5,43,1345
  E,5,43,1345,45
  E,1303,1345,43,1343
  EGEN,3,4,-10
  EGEN,4,200,-30
  EGEN,4,200,-30
  EMID
  /VIEW,1,1,2,3
  EPLOT
*ENDIF
NSLE,S
NSEL,INVERT
NDELE,ALL
NSEL,ALL
NSEL,S,LOC,X,0
D,ALL,ALL                               ! FIX LEFT END
NSEL,ALL
WSORT,x
FINISH
/SOLU
*IF,QUAD,EQ,1,THEN                      ! QUAD ELEMENT LOADS
  *IF,LOW,EQ,1,THEN
    /TITLE, STRAIGHT BEAM -  EXTENSION (DISP = 3E-5)
    F,13,FX,.50,,53,40
 *REPEAT,7,200,,,,200
    SOLVE
    /TITLE, STRAIGHT BEAM -  IN-PLANE LOAD (DISP = .1081)
    FDEL,ALL
    F,13,FY,.50,,53,40
 *REPEAT,7,200,,,,200
    SOLVE
  *ELSE
    /TITLE, STRAIGHT BEAM -  EXTENSION (DISP = 3E-5)
    NSEL,S,LOC,X,6
    F,ALL,FX,(1/6)
    NSEL,R,LOC,Y,.1
    F,ALL,FX,(2/3)
    NSEL,ALL
    SOLVE
    /TITLE, STRAIGHT BEAM -  IN-PLANE LOAD (DISP = .1081)
    FDEL,ALL
    NSEL,S,LOC,X,6
    F,ALL,FY,(1/6)
    NSEL,R,LOC,Y,.1
    F,ALL,FY,(2/3)
    NSEL,ALL
    SOLVE
  *ENDIF
*ENDIF
*IF,TRI,EQ,1,THEN                       ! HIGHER ORDER TRAINGLE LOADS
  /TITLE, STRAIGHT BEAM -  EXTENSION (DISP = 3E-5)
  NSEL,S,LOC,X,6
  F,ALL,FX,(1/6)
  NSEL,R,LOC,Y,.1
  F,ALL,FX,(2/3)
  NSEL,ALL
  SOLVE
  /TITLE, STRAIGHT BEAM -  IN-PLANE LOAD (DISP = .1081)
  FDEL,ALL
  NSEL,S,LOC,X,6
  F,ALL,FY,(1/6)
  NSEL,R,LOC,Y,.1
  F,ALL,FY,(2/3)
  NSEL,ALL
  SOLVE
*ENDIF
*IF,BRICK,EQ,1,THEN                     ! BRICK ELEMENT LOADS
  *IF,LOW,EQ,1,THEN
    /TITLE, STRAIGHT BEAM -  EXTENSION (DISP = 3E-5)
    F,13,FX,.25,,53,40
 *REPEAT,7,200,,,,200
    F,1313,FX,.25,,1353,40
 *REPEAT,7,200,,,,200
    SOLVE
    /TITLE, STRAIGHT BEAM -  IN-PLANE LOAD (DISP = .1081)
    FDEL,ALL
    F,13,FY,.25,,53,40
 *REPEAT,7,200,,,,200
    F,1313,FY,.25,,1353,40
 *REPEAT,7,200,,,,200
    SOLVE
    /TITLE, STRAIGHT BEAM -  OUT-OF-PLANE LOAD (DISP. = .4321)
    FDEL,ALL
    F,13,FZ,.25,,53,40
 *REPEAT,7,200,,,,200
    F,1313,FZ,.25,,1353,40
 *REPEAT,7,200,,,,200
    SOLVE
    /TITLE, STRAIGHT BEAM -  TWIST LOAD (ROT = .03208)
    FDEL,ALL
    F,13,FZ,2.5,,1213,200
    F,53,FZ,-2.5,,1253,200  *UNIT TWISTING MOMENT (0.2*5)
    F,1313,FZ,2.5,,2513,200
    F,1353,FZ,-2.5,,2553,200
    SOLVE
  *ELSE
    /TITLE, STRAIGHT BEAM -  EXTENSION (DISP = 3E-5)
    NSEL,S,LOC,X,6
    F,ALL,FX,(1/3)
    NSEL,R,LOC,Z,0
 NSEL,R,LOC,Y,0
    F,ALL,FX,(-1/12)
    NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,0
 NSEL,R,LOC,Y,.2
    F,ALL,FX,(-1/12)
    NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,.1
 NSEL,R,LOC,Y,0
    F,ALL,FX,(-1/12)
    NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,.1
 NSEL,R,LOC,Y,.2
    F,ALL,FX,(-1/12)
    NSEL,ALL
    SOLVE
    /TITLE, STRAIGHT BEAM -  IN-PLANE LOAD (DISP = .1081)
    FDEL,ALL
    NSEL,S,LOC,X,6
    F,ALL,FY,(1/3)
    NSEL,R,LOC,Z,0
 NSEL,R,LOC,Y,0
    F,ALL,FY,(-1/12)
    NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,0
 NSEL,R,LOC,Y,.2
    F,ALL,FY,(-1/12)
    NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,.1
 NSEL,R,LOC,Y,0
    F,ALL,FY,(-1/12)
    NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,.1
 NSEL,R,LOC,Y,.2
    F,ALL,FY,(-1/12)
    NSEL,ALL
    SOLVE
    /TITLE, STRAIGHT BEAM -  OUT-OF-PLANE LOAD (DISP. = .4321)
    FDEL,ALL
    NSEL,S,LOC,X,6
    F,ALL,FZ,(1/3)
    NSEL,R,LOC,Z,0
 NSEL,R,LOC,Y,0
    F,ALL,FZ,(-1/12)
    NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,0
 NSEL,R,LOC,Y,.2
    F,ALL,FZ,(-1/12)
    NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,.1
 NSEL,R,LOC,Y,0
    F,ALL,FZ,(-1/12)
    NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,.1
 NSEL,R,LOC,Y,.2
    F,ALL,FZ,(-1/12)
    NSEL,ALL
    SOLVE
    /TITLE, STRAIGHT BEAM -  TWIST LOAD (ROT = .03208)
    FDEL,ALL
    NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,0
 NSEL,R,LOC,Y,.1
    F,ALL,FY,-5
    NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,.05
 NSEL,R,LOC,Y,0
    F,ALL,FZ,5
    NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,.1
 NSEL,R,LOC,Y,.1
    F,ALL,FY,5
    NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,.05
 NSEL,R,LOC,Y,.2
    F,ALL,FZ,-5
    NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,0
 NSEL,R,LOC,Y,0
    F,ALL,FZ,(-15/12)
    NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,0
 NSEL,R,LOC,Y,.2
    F,ALL,FZ,(15/12)
    NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,.1
 NSEL,R,LOC,Y,0
    F,ALL,FZ,(-15/12)
    NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,.1
 NSEL,R,LOC,Y,.2
    F,ALL,FZ,(15/12)
    NSEL,ALL
    SOLVE
  *ENDIF
*ENDIF
*IF,TET,EQ,1,THEN                     ! HIGHER ORDER TET ELEMENT LOADS
  /TITLE, STRAIGHT BEAM -  EXTENSION (DISP = 3E-5)
  NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,.05
  F,ALL,FX,(1/6)
  NSEL,S,LOC,X,6
 NSEL,R,LOC,Y,.1
  F,ALL,FX,(1/6)
  NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,.05
 NSEL,R,LOC,Y,.1
  F,ALL,FX,(1/3)
  NSEL,ALL
  SOLVE
  /TITLE, STRAIGHT BEAM -  IN-PLANE LOAD (DISP = .1081)
  FDEL,ALL
  NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,.05
  F,ALL,FY,(1/6)
  NSEL,S,LOC,X,6
 NSEL,R,LOC,Y,.1
  F,ALL,FY,(1/6)
  NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,.05
 NSEL,R,LOC,Y,.1
  F,ALL,FY,(1/3)
  NSEL,ALL
  SOLVE
  /TITLE, STRAIGHT BEAM -  OUT-OF-PLANE LOAD (DISP. = .4321)
  FDEL,ALL
  NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,.05
  F,ALL,FZ,(1/6)
  NSEL,S,LOC,X,6
 NSEL,R,LOC,Y,.1
  F,ALL,FZ,(1/6)
  NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,.05
 NSEL,R,LOC,Y,.1
  F,ALL,FZ,(1/3)
  NSEL,ALL
  SOLVE
  /TITLE, STRAIGHT BEAM -  TWIST LOAD (ROT = .03208)
  FDEL,ALL
  NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,0
 NSEL,R,LOC,Y,.1
  F,ALL,FY,-(1/.3)
  NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,.05
 NSEL,R,LOC,Y,0
  F,ALL,FZ,(1/.3)
  NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,.1
 NSEL,R,LOC,Y,.1
  F,ALL,FY,(1/.3)
  NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,.05
 NSEL,R,LOC,Y,.2
  F,ALL,FZ,-(1/.3)
  NSEL,ALL
  SOLVE
*ENDIF
FINISH
/POST1
! --  DISPLACEMENT RATIOS --
LCDEF,1,1
 LCFACT,1,(1/3E-5)
 LCASE,1          ! LOAD CASE 1
NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,0
PRNSOL,U,X
*USE,MAC3,'X',1
LCDEF,2,2,$ LCFACT,2,(1/0.1081)
 LCASE,2        ! LOAD CASE 2
NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,0
PRNSOL,U,Y
*USE,MAC3,'Y',2
*IF,ATYP,EQ,3,THEN
  LCDEF,3,3
 LCFACT,3,(1/0.4321)
 LCASE,3      ! LOAD CASE 3
  NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,0
  PRNSOL,U,Z
  *USE,MAC3,'Z',3
  LCDEF,4,4
 LCFACT,4,(1/0.003208)
 LCASE,4    ! LOAD CASE 4
  NSEL,S,LOC,X,6
 NSEL,R,LOC,Z,0
  *USE,MAC3,'Z',4
*ENDIF
! -- ENERGRY ERROR NORMS --
*USE,MAC4,1
*USE,MAC4,2
*IF,ATYP,EQ,3,THEN
  *USE,MAC4,3
  *USE,MAC4,4
*ENDIF
/OUT
/COM
/COM =================================================================
/COM
*MSG,INFO,ELAB
ELEMENT TYPE: %C
/COM
/COM DISPLACEMENT RATIO
/COM
/COM  LOADING  | RECT   TRAP15  TRAP30  TRAP45  PARL15  PARL30  PARL45
/COM -----------------------------------------------------------------
*VWRITE,LAB(1),DR(1,1),DR(1,2),DR(1,3),DR(1,4),DR(1,5),DR(1,6),DR(1,7)
(2X,A8,2X,7(F5.3,3X))
/COM
/COM ENERGY NORM ERROR
/COM
/COM  LOADING  | RECT   TRAP15  TRAP30  TRAP45  PARL15  PARL30  PARL45
/COM -----------------------------------------------------------------
*VWRITE,LAB(1),ER(1,1),ER(1,2),ER(1,3),ER(1,4),ER(1,5),ER(1,6),ER(1,7)
(2X,A8,3X,7(F4.0,4X))
/OUT,SCRATCH
FINISH
PARSAV                                          ! SAVE LOOP PARAMETERS
/clear, nostart
/NOPR
PARRES
*ENDDO

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Benchmark C8 Input Listing 		Up / Home Next
Benchmark D2 Input Listing


Benchmark D2 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMD2
/DEVICE,VECTOR,ON
/TITLE, VMD2, BARREL VAULT ROOF UNDER SELF-WEIGHT

/COM
/COM    COOK, CONCEPTS AND APPL OF F.E.A., 2ND ED., 1981, PP. 284-287.
/COM
/NOPR
/OUT,SCRATCH

*DIM,R,,5,5                        ! ARRAY PARAMETER FOR RESULTS
*DO,I,1,5

*IF,I,EQ,1,THEN                    ! DEFINE ELEMENT TYPE
  ETYP=43
*ELSEIF,I,EQ,2,THEN
  ETYP=63
*ELSEIF,I,EQ,3,THEN
  ETYP=93
*ELSEIF,I,EQ,4,THEN
  ETYP=181
*ELSEIF,I,EQ,5,THEN
  ETYP=281
*ENDIF

*DO,J,1,5
*IF,J,EQ,1,THEN                    ! DEFINE SKEW ANGLE
  BETA=65.0
*ELSEIF,J,EQ,2,THEN
  BETA=77.5
*ELSEIF,J,EQ,3,THEN
  BETA=90.0
*ELSEIF,J,EQ,4,THEN
  BETA=110.0
*ELSEIF,J,EQ,5,THEN
  BETA=130.0
*ENDIF

/PREP7 $smrt,off
ANTYPE,STATIC                      ! STATIC ANALYSIS
ET,1,ETYP                          ! DEFINE ELEMENT TYPE PARAMETRICALLY
*IF,ETYP,EQ,181,OR,ETYP,EQ,281,THEN
KEYOPT,1,3,2
*ENDIF
MP,EX,1,4.32E8                     ! DEFINE MATERIAL PROPERTIES
MP,NUXY,1,0.0
MP,DENS,1,36.7347
R,1,0.25
CSYS,1                             ! DEFINE CYLINDRICAL C.S.
A=6.25
K,1,25,50 $ K,2,25,60              ! DEFINE KEYPOINTS
K,3,25,70 $ K,4,25,80
K,5,25,90 $ KGEN,5,1,5,1,,,A
GAM=(135-(BETA/2))                 ! CALCULATE SKEWED KEYPOINT COORDINATES
DEGR=(3.14159/180)
TGAM=TAN((GAM*DEGR))
*IF,BETA,GE,90.0,THEN
  ZZ=((A*TGAM)/(1+TGAM))
  TAU=ATAN((A-ZZ)/((2*A)-ZZ))
  TAU=TAU/DEGR
  ALPA=(90-(2*TAU))                ! CALCULATE ANGLE ALPHA (ALPA)
*ELSE
  GAM=(180-GAM)
  TGAM=TAN((GAM*DEGR))
  ZZ=((A*TGAM)/(TGAM-1))
  TAU=ATAN((ZZ-A)/((2*A)-ZZ))
  TAU=TAU/DEGR
  ALPA=(90+(2*TAU))                ! CALCULATE ANGLE ALPHA (ALPA)
*ENDIF
R(J,4)=BETA                        ! STORE SKEW ANGLES
R(J,5)=ALPA
RAT=ZZ/A
Z1=ZZ                              ! Z COORDINATES OF SKEWED KEYPOINTS
Z2=((2*A)-Z1)
Z3=((2*A)+Z1)
Z4=((4*A)-Z1)
ANG=(RAT*10)                       ! CALCULATE ANGLE OF SKEWED KEYPOINTS
K,7,25,(ANG+50),Z1                 ! DEFINE SKEWED KEYPOINT
K,9,25,(ANG+70),Z2
K,17,25,(70-ANG),Z3
K,19,25,(90-ANG),Z4
A,1,2,7,6     $ *REPEAT,4,1,1,1,1  ! GENERATE AREAS
A,6,7,12,11   $ *REPEAT,4,1,1,1,1
A,11,12,17,16 $ *REPEAT,4,1,1,1,1
A,16,17,22,21 $ *REPEAT,4,1,1,1,1
ESIZE,,1                           ! DEFINE ELEMENT SIZE
ESHAPE,2                           ! MAPPED MESHING
AMESH,ALL                          ! MESH ALL AREAS
/VIEW,1,1,1,1
EPLOT
NSEL,S,LOC,Z,0 $ NSEL,R,LOC,Y,50   ! SELECT NODE OF INTEREST
*GET,N1,NODE,,NUM,MAX              ! GET NODE NUMBER
NSEL,S,LOC,Z,0 $ NSEL,R,LOC,Y,90   ! SELECT NODE OF INTEREST
*GET,N2,NODE,,NUM,MAX              ! GET NODE NUMBER
NSEL,ALL
CSYS,0                             ! SWITCH TO GLOBAL CARTESIAN C.S.
NSEL,S,LOC,Z,0
DSYMM,SYMM,Z                       ! APPLY SYMMETRY B.C.
NSEL,S,LOC,X,0
DSYMM,SYMM,X
NSEL,S,LOC,Z,25
D,ALL,UX,0,,,,UY,ROTZ              ! CONSTRAIN MODEL EDGE
NSEL,ALL
ACEL,,9.8                          ! DEFINE GRAVITATIONAL ACCELERATION
WSORT,Z                            ! REORDER ELEMENTS
CHECK                              ! CHECK ELEMENTS FOR EXCESSIVE WARPING
FINISH
/SOLU
SOLVE
FINISH
/POST1
SET,1,1
UY1T=-.3016                        ! TARGET DISPLACEMENT SOLUTION
SZ1T=358420                        ! TARGET SZ STRESS
SY2T=-213400                       ! TARGET SY STRESS
SHELL,MID                          ! PROCESS MIDDLE STRESSES
*GET,UY1,NODE,N1,U,Y               ! GET UY AT NODE N1
UYN=UY1/UY1T                       ! CALCULATE NORMALIZED DISPLACEMENT
R(J,1)=UYN
RSYS,1                             ! ACTIVATE CYLINDRICAL RESULTS C.S.
SHELL,BOT                          ! PROCESS BOTTOM STRESSES
*GET,SZ1B,NODE,N1,S,Z              ! GET AXIAL (Z) STRESS AT BOTTOM
SZN=SZ1B/SZ1T                      ! CALCULATE NORMALIZED SZ STRESS
R(J,2)=SZN
*GET,SY2B,NODE,N2,S,Y              ! GET CIRCUMFERENTIAL (Y) STRESS AT BOTTOM
SYN=SY2B/SY2T                      ! CALCULATE NORMALIZED SY STRESS
R(J,3)=SYN
FINISIH
PARSAV,ALL                         ! SAVE LOOP PARAMETERS
/CLEAR, NOSTART ! CLEAR DATABASE
PARRES
*ENDDO
/GOPR
/OUT
/COM
/COM
*MSG,INFO,ETYP
 ELEMENT: SHELL %I
/COM
/COM     SKEW ANGLE                     RATIO
/COM   BETA     ALPHA  |   UY(1)      S AXIAL(1)  S THETA(2)
/COM --------------------------------------------------------
*VWRITE,R(1,4),R(1,5),R(1,1),R(1,2),R(1,3)
(2X,F5.1,5X,F5.1,5X,3(F6.3,6X))
/NOPR
/OUT,SCRATCH
*ENDDO

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Benchmark D1 Input Listing 		Up / Home Next
Benchmark D3 Input Listing


Benchmark D3 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMD3
/DEVICE,VECTOR,ON
/TITLE, VMD3, FREE-FREE VIBRATION OF A SOLID BEAM
/COM
/COM    BLEVINS "FORMULAS FOR NATURAL FREQUENCY AND MODE SHAPE"
/COM    TABLE 8-1, PG. 108, AND TABLE 8-16, PG. 183.
/COM
! ------------------------------------------------------------------------
! PARAMETER KEY:
!
! ETYP   - ELEMENT TYPE
! ATYP     ANALYSIS OPTION (0=BENDING MODE, 1=AXIAL MODE)
! QUAD     '1' IF QUADRILATERAL ELEMENTS
! TRI      '1' IF TRIANGULAR HIGHER ORDER ELEMENTS
! BRICK    '1' IF BRICK ELEMENTS
! TET      '1' IF HIGHER ORDER TET ELEMENTS
! LOW      '1' LOWER ORDER QUAD OR BRICK ELEMENTS
! HIGH     '1' HIGHER ORDER QUAD OR BRICK ELEMENTS
! AD       ANALYSIS TYPE (2=2D, 3=3D)
!
! NOTE: FOR QUAD, TRI, BRICK, AND TET ELEMENTS: ONLY ONE BE ACTIVE ('1').
!       LOW OR HIGH ARE APPLICABLE ONLY FOR QUAD OR BRICK ELEMENTS. SET
!       LOW AND HIGH TO ZERO FOR TRI AND TET ELEMENTS.
! -----------------------------------------------------------------------
/NOPR
/OUTPUT,SCRATCH

*DIM,NF,,7,6
*DIM,LAB,CHAR,7
LAB(1)='RECT'    $ LAB(2)='TRAP 15' $ LAB(3)='TRAP 30' $ LAB(4)='TRAP 45'
LAB(5)='PARL 15' $ LAB(6)='PARL 30' $ LAB(7)='PARL 45'

*CREATE,MAC1                          ! CREATE MACRO TO MODIFY NODES
  ARG1=(ARG1*3.141592654)/180.
  DELX=(0.1*TAN(ARG1))
  NMODIF,ARG2,(1+DELX) $ *REPEAT,3,4,2
  NMODIF,ARG3,(2-DELX) $ *REPEAT,2,4,2
  NMODIF,ARG4,(1-DELX) $ *REPEAT,3,4,2
  NMODIF,ARG5,(2+DELX) $ *REPEAT,2,4,2
*END

*CREATE,MAC2                          ! CREATE MACRO TO MODIFY NODES
  ARG1=(ARG1*3.141592654)/180.
  DELX=(0.1*TAN(ARG1))
  NMODIF,ARG2,(1-DELX) $ *REPEAT,5,2,1
  NMODIF,ARG3,(1+DELX) $ *REPEAT,5,2,1
*END

*CREATE,MAC3                          ! CREATE MACRO TO PERFORM ANALYSIS
  /PREP7
  ESEL,S,,,E1,E2                      ! SELECT APPROPRIATE (MODEL) ELEMENTS
  NSLE,S $ ESEL,INVERT $ NSEL,INVERT  ! SELECT UNUSED NODES & ELEMENTS
  DDELE,ALL,ALL                       ! DELETE EXTRANEOUS CONTRAINTS
  MDELE,ALL,UX                        !    "        "     MDOFS
  EDELE,ALL $ NDELE,ALL               !    "        "     NODES & ELEMENTS
  NSEL,ALL  $ ESEL,ALL
  FINISH
  /SOLU
  ANTYPE,MODAL                        ! MODAL ANALYSIS
  *IF,ATYP,EQ,1,THEN
    MODOPT,SUBSP,2                    ! SUBSPACE EXTRACTION
  *ELSE
    MODOPT,REDUC                      ! HOUSEHOLDER EXTRACTION
  *ENDIF
  MXPAND,2                            ! EXPAND FIRST MODE
  SOLVE
  FINISH
  /POST1
  *IF,ATYP,EQ,1,THEN
    SET,,2                            ! SKIP 1ST FREQUENCY - RIGID BODY MOTION
  *ELSE
    SET,,1
  *ENDIF
  *GET,NF1,ACTIVE,,SET,FREQ           ! GET 1ST NATURAL FREQUENCY
  NF(ARG1,J)=NF1/TF                   ! NORMALIZE
  FINISH
  E1=E2+1                             ! INCREMENT ELEMENTS
  E2=E2+EINC
  PARSAV,ALL                          ! SAVE PARAMETES
  RESUME                              ! RESTORE DATABASE
  PARRES                              ! RESTORE PARAMETERS
*END

*DO,I,1,2
*IF,I,EQ,1,THEN                       ! AXIAL MODE
  ATYP=0 $ MTYPE='AXIAL'
*ELSE                                 ! BENDING MODE
  ATYP=1 $ MTYPE='BENDING'
*ENDIF
*DO,J,1,6
*IF,J,EQ,1,THEN                       ! PLANE183
  ETYP=183 $ QUAD=1 $ TRI=0 $ BRICK=0 $ TET=0 $ LOW=0 $ HIGH=1 $ AD=2
*ELSEIF,J,EQ,2,THEN                   ! PLANE 42
  ETYP=42 $ QUAD=1 $ TRI=0 $ BRICK=0 $ TET=0 $ LOW=1 $ HIGH=0 $ AD=2
*ELSEIF,J,EQ,3,THEN                   ! PLANE82
  ETYP=82 $ QUAD=1 $ TRI=0 $ BRICK=0 $ TET=0 $ LOW=0 $ HIGH=1 $ AD=2
*ELSEIF,J,EQ,4,THEN                   ! SOLID45
  ETYP=45 $ QUAD=0 $ TRI=0 $ BRICK=1 $ TET=0 $ LOW=1 $ HIGH=0 $ AD=3
*ELSEIF,J,EQ,5,THEN                   ! SOLID92
  ETYP=92 $ QUAD=0 $ TRI=0 $ BRICK=0 $ TET=1 $ LOW=0 $ HIGH=0 $ AD=3
*ELSEIF,J,EQ,6,THEN                   ! SOLID95
  ETYP=95 $ QUAD=0 $ TRI=0 $ BRICK=1 $ TET=0 $ LOW=0 $ HIGH=1 $ AD=3
*ENDIF

/PREP7

*IF,BRICK,EQ,1,THEN
  ET,1,ETYP
*ELSEIF,TET,EQ,1,THEN
  ET,1,ETYP
*ELSE
  ET,1,ETYP,,,3
*ENDIF
R,1,.1

MP,EX,1,200E9                         ! MATERIAL PROPERTIES
MP,NUXY,1,0.3
MP,DENS,1,8000

N,1 $ N,13,6,0
FILL,1,13,5,3,2
NGEN,3,20,1,13,2,0,0.1,0              ! DEFINE CORNER NODES
NGEN,4,200,1,53,2,0,0,0               ! DEFINE NODES FOR TRAPIZOIDAL ELEMENTS
*USE,MAC1,15,203,205,243,245          ! MODIFY NODE LOCATIONS
*USE,MAC1,30,403,405,443,445
*USE,MAC1,45,603,605,643,645
NGEN,2,800,1,53,2,0,0,0               ! DEFINE NODES FOR PARALLALOGRAM ELEMENTS
NGEN,3,200,801,853,2
*USE,MAC2,15,803,843                  ! MODIFY NODE LOCATIONS
*USE,MAC2,30,1003,1043
*USE,MAC2,45,1203,1243

*IF,QUAD,EQ,1,THEN                    ! QUAD ELEMENT
  E,1,3,43,41
  EGEN,6,2,-1
  EGEN,4,200,-6
  EGEN,4,200,-6
  *IF,HIGH,EQ,1,THEN
    EMID
  *ENDIF
  EPLOT
*ENDIF

*IF,TRI,EQ,1,THEN                     ! HIGHER ORDER TRIANGLE ELEMENT
  E,1,3,41
  E,3,43,41
  EGEN,6,2,-2
  EGEN,4,200,-12
  EGEN,4,200,-12
  EMID
  EPLOT
*ENDIF

*IF,BRICK,EQ,1,THEN                   ! BRICK ELEMENT
  NGEN,2,1300,1,1353,1,,,.1
  E,1,3,43,41,1301,1303,1343,1341
  EGEN,6,2,-1
  EGEN,4,200,-6
  EGEN,4,200,-6
  *IF,HIGH,EQ,1,THEN
    EMID
  *ENDIF
  EPLOT
*ENDIF

*IF,TET,EQ,1,THEN                     ! HIGHER ORDER TET ELEMENT
  NGEN,2,1300,1,1353,1,,,.1
  E,1,1301,1303,1341
  E,1,1303,3,43
  E,1303,1343,43,1341
  E,1,1303,43,1341
  E,1,43,1341,41
  E,3,1303,5,43
  E,1303,1305,5,1345
  E,1303,5,43,1345
  E,5,43,1345,45
  E,1303,1345,43,1343
  EGEN,3,4,-10
  EGEN,4,200,-30
  EGEN,4,200,-30
  EMID
  EPLOT
*ENDIF

NSLE,S                                ! SELECT AND DELETE UNNECESSARY NODES
NSEL,INVERT
NDELE,ALL
NSEL,ALL

NSEL,S,LOC,X,6                        ! SYMMETRY CONSTRAINTS
DSYMM,SYMM,X

*IF,TET,EQ,1,THEN                     ! PREVENT OUT-OF-PLANE DISP (3D)
  NSEL,S,LOC,Z,0 $ D,ALL,UZ,0 $ NSEL,ALL
*ELSEIF,BRICK,EQ,1,THEN
  NSEL,S,LOC,Z,0 $ D,ALL,UZ,0 $ NSEL,ALL
*ENDIF

*IF,ATYP,EQ,1,THEN
  TF=7.138                            ! TARGET FREQUENCY - BENDING MODE
*ELSE
  TF=208.333                          ! TARGET FREQUENCY - AXIAL MODE
  NSEL,S,LOC,Y,0 $ D,ALL,UY,0 $ NSEL,ALL
  NSEL,U,LOC,Y,0 $ NSEL,U,LOC,X,6
  *IF,AD,EQ,3,THEN
    NSEL,U,LOC,Z,0
  *ENDIF
  M,ALL,ALL
  NSEL,ALL
*ENDIF

*IF,TRI,EQ,1,THEN
  EINC=12
*ELSEIF,TET,EQ,1,THEN
  EINC=30
*ELSE
  EINC=6
*ENDIF

SAVE
FINISH

E1=1 $ E2=EINC
/TITLE, MODAL ANALYSIS - RECTANGULAR ELEMENTS
*USE,MAC3,1
/TITLE, MODAL ANALYSIS - TRAPEZOIDAL ELEMENTS - 15 DEG.
*USE,MAC3,2
/TITLE, MODAL ANALYSIS - TRAPEZOIDAL ELEMENTS - 30 DEG.
*USE,MAC3,3
/TITLE, MODAL ANALYSIS - TRAPEZOIDAL ELEMENTS - 45 DEG.
*USE,MAC3,4
/TITLE, MODAL ANALYSIS - PARALLELOGRAM ELEMENTS - 15 DEG.
*USE,MAC3,5
/TITLE, MODAL ANALYSIS - PARALLELOGRAM ELEMENTS - 30 DEG.
*USE,MAC3,6
/TITLE, MODAL ANALYSIS - PARALLELOGRAM ELEMENTS - 45 DEG.
*USE,MAC3,7

*STAT,NF

PARSAV,ALL
/clear, nostart
PARRES

*IF,J,EQ,6,THEN
/OUT
/COM
/COM
/COM
*MSG,INFO,MTYPE
 MODE: %C
/COM
/COM                      1ST NATURAL FREQUENCY RATIO
/COM
/COM  SHAPE    | PLANE183  PLANE42  PLANE82  SOLID45  SOLID92  SOLID95
/COM ----------------------------------------------------------------
*VWRITE,LAB(1),NF(1,1),NF(1,2),NF(1,3),NF(1,4),NF(1,5),NF(1,6)
(2X,A8,2X,6(F6.3,3X))
*ENDIF
/OUT,SCRATCH
*ENDDO
*ENDDO
/OUT

/TITLE, VMD3, FREE-FREE VIBRATION OF A SOLID BEAM
/COM
/COM    BLEVINS "FORMULAS FOR NATURAL FREQUENCY AND MODE SHAPE"
/COM    TABLE 8-1, PG. 108, AND TABLE 8-16, PG. 183.
/COM
/NOPR
/OUTPUT,SCRATCH
*DIM,NF,,7,6
*DIM,LAB,CHAR,7
LAB(1)='RECT'    $ LAB(2)='TRAP 15' $ LAB(3)='TRAP 30' $ LAB(4)='TRAP 45'
LAB(5)='PARL 15' $ LAB(6)='PARL 30' $ LAB(7)='PARL 45'
*CREATE,MAC1                          ! CREATE MACRO TO MODIFY NODES
  ARG1=(ARG1*3.141592654)/180.
  DELX=(0.1*TAN(ARG1))
  NMODIF,ARG2,(1+DELX) $ *REPEAT,3,4,2
  NMODIF,ARG3,(2-DELX) $ *REPEAT,2,4,2
  NMODIF,ARG4,(1-DELX) $ *REPEAT,3,4,2
  NMODIF,ARG5,(2+DELX) $ *REPEAT,2,4,2
*END
*CREATE,MAC2                          ! CREATE MACRO TO MODIFY NODES
  ARG1=(ARG1*3.141592654)/180.
  DELX=(0.1*TAN(ARG1))
  NMODIF,ARG2,(1-DELX) $ *REPEAT,5,2,1
  NMODIF,ARG3,(1+DELX) $ *REPEAT,5,2,1
*END
*CREATE,MAC3                          ! CREATE MACRO TO PERFORM ANALYSIS
  /PREP7
  ESEL,S,,,E1,E2                      ! SELECT APPROPRIATE (MODEL) ELEMENTS
  NSLE,S $ ESEL,INVERT $ NSEL,INVERT  ! SELECT UNUSED NODES & ELEMENTS
  DDELE,ALL,ALL                       ! DELETE EXTRANEOUS CONSTRAINTS
  MDELE,ALL,UX                        !    "        "     MDOFS
  EDELE,ALL $ NDELE,ALL               !    "        "     NODES & ELEMENTS
  NSEL,ALL  $ ESEL,ALL
  FINISH
  /SOLU
  ANTYPE,MODAL                        ! MODAL ANALYSIS
  *IF,ATYP,EQ,1,THEN
    MODOPT,SUBSP,2                    ! SUBSPACE EXTRACTION
  *ELSE
    MODOPT,REDUC                      ! HOUSEHOLDER EXTRACTION
  *ENDIF
  MXPAND,2                            ! EXPAND FIRST MODE
  SOLVE                               ! PERFORM MODAL ANALYSIS
  FINISH
  /POST1
  *IF,ATYP,EQ,1,THEN
    SET,,2                            ! SKIP 1ST MODE - RIGID BODY MOTION
  *ELSE
    SET,,1
  *ENDIF
  *GET,NF1,ACTIVE,,SET,FREQ           ! GET 1ST NATURAL FREQUENCY
  NF(ARG1,1)=NF1/TF                   ! NORMALIZE
  FINISH
  E1=E2+1                             ! INCREMENT ELEMENTS
  E2=E2+EINC
  PARSAV,ALL                          ! SAVE PARAMETERS
  RESUME                              ! RESTORE DATABASE
  PARRES                              ! RESTORE PARAMETERS
*END
ETYP=2
ATYP=0                                ! 0=BENDING MODE, 1=AXIAL MODE
/PREP7
ET,1,ETYP,,,3
R,1,.1
MP,EX,1,200E9                         ! MATERIAL PROPERTIES
MP,NUXY,1,0.3
MP,DENS,1,8000
N,1 $ N,13,6,0
FILL,1,13,5,3,2
NGEN,3,20,1,13,2,0,0.1,0              ! DEFINE CORNER NODES
NGEN,4,200,1,53,2,0,0,0               ! DEFINE NODES FOR TRAPEZOIDAL ELEMENTS
*USE,MAC1,15,203,205,243,245          ! MODIFY NODE LOCATIONS
*USE,MAC1,30,403,405,443,445
*USE,MAC1,45,603,605,643,645
NGEN,2,800,1,53,2,0,0,0               ! DEFINE NODES FOR PARALLELOGRAM ELEMENTS
NGEN,3,200,801,853,2
*USE,MAC2,15,803,843                  ! MODIFY NODE LOCATIONS
*USE,MAC2,30,1003,1043
*USE,MAC2,45,1203,1243
E,1,3,41                              ! ELEMENT GENERATION
E,3,43,41
EGEN,6,2,-2
EGEN,4,200,-12
EGEN,4,200,-12
EMID
NSLE,S                                ! SELECT AND DELETE UNNECESSARY NODES
NSEL,INVERT
NDELE,ALL
NSEL,ALL
WSORT,X
NSEL,S,LOC,X,6                        ! SYMMETRY CONSTRAINTS
DSYMM,SYMM,X
*IF,ATYP,EQ,1,THEN
  TF=7.138                            ! TARGET FREQUENCY - BENDING MODE
*ELSE
  TF=208.333                          ! TARGET FREQUENCY - AXIAL MODE
  NSEL,S,LOC,Y,0 $ D,ALL,UY,0 $ NSEL,ALL
  NSEL,U,LOC,Y,0 $ NSEL,U,LOC,X,6
  M,ALL,ALL
  NSEL,ALL
*ENDIF
EINC=12
SAVE
FINISH
E1=1 $ E2=EINC
/TITLE, MODAL ANALYSIS - RECTANGULAR ELEMENTS
*USE,MAC3,1
/TITLE, MODAL ANALYSIS - TRAPEZOIDAL ELEMENTS - 15 DEG.
*USE,MAC3,2
/TITLE, MODAL ANALYSIS - TRAPEZOIDAL ELEMENTS - 30 DEG.
*USE,MAC3,3
/TITLE, MODAL ANALYSIS - TRAPEZOIDAL ELEMENTS - 45 DEG.
*USE,MAC3,4
/TITLE, MODAL ANALYSIS - PARALLELOGRAM ELEMENTS - 15 DEG.
*USE,MAC3,5
/TITLE, MODAL ANALYSIS - PARALLELOGRAM ELEMENTS - 30 DEG.
*USE,MAC3,6
/TITLE, MODAL ANALYSIS - PARALLELOGRAM ELEMENTS - 45 DEG.
*USE,MAC3,7
/OUTPUT
/COM
/COM  1ST NATURAL FREQUENCY RATIO
/COM
/COM  SHAPE     |    RATIO
/COM -----------------------
*VWRITE,LAB(1),NF(1,1)
(2X,A8,6X,F6.3)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Benchmark D2 Input Listing 		Up / Home Next
Part III, ANSYS LS-DYNA Study Descriptions


Part III, ANSYS LS-DYNA Study Descriptions

Release 11.0 Documentation for ANSYS

Verification Manual |

ANSYS LS-DYNA Study Descriptions

Table of Contents

3. ANSYS LS-DYNA Study Overview
VME1 - Response of Spring-Mass System to Step Input
VME2 - Drop Analysis of a Block Onto a Spring Scale
VME3 - Response of Spring-Mass-Damper System
VME4 - Undamped Vibration Absorber
VME5 - Pinned Bar Under Gravity Loading
VME6 - Projectile with Air Resistance
C. ANSYS LS-DYNA Input Listings
VME1 Input Listing
VME2 Input Listing
VME3 Input Listing
VME4 Input Listing
VME5 Input Listing
VME6 Input Listing

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Benchmark D3 Input Listing 		Up / Home Next
Chapter 3. ANSYS LS-DYNA Study Overview


Chapter 3. ANSYS LS-DYNA Study Overview

This section of the manual contains ANSYS LS-DYNA studies. The related input listings appear in Appendix C.

The ANSYS LS-DYNA Studies are presented to demonstrate the use of the LS-DYNA Solver with the ANSYS preprocessor and postprocessor.

The LS-DYNA Solver that is packaged with ANSYS LS-DYNA is not an ANSYS product. It is a Livermore Software Technology Corporation (LSTC) product which ANSYS resells. Test cases including the LS-DYNA Solver exist in the ANSYS test set. ANSYS, Inc. reports any errors in the LS-DYNA Solver to LSTC.

The results presented in these studies are representative of the platform and version on which the studies were completed. It is normal that these results will be slightly different in different platforms and other versions of LS-DYNA. The difference is due to different numerical accuracy in different platforms and/or due to the improvements made by LSTC.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Part III, ANSYS LS-DYNA Study Descriptions 		Up / Home Next
VME1


VME1

Release 11.0 Documentation for ANSYS

Verification Manual | Part III, ANSYS LS-DYNA Study Descriptions |

VME1

Response of Spring-Mass System to Step Input

Overview

Reference: W. T. Thomson, Vibration Theory and Applications, 2nd Printing, Prentice-Hall, Inc., Englewood Cliffs, NJ, 1965, pp. 98-99.
Analysis Type(s): Explicit Dynamics with ANSYS LS-DYNA
Element Type(s):
Explicit 3-D Structural Mass Elements (MASS166)
Explicit Spring-Damper Elements (COMBI165)
Input Listing: vme1.dat

Test Case

The one-DOF system consists of a spring, K, and mass, M. The load is a step function with a rise time, as shown. The peak displacement of M from the finite element solution is compared to an analytical result.

Figure E1.1 Response of Spring-Mass System Problem Sketch

Material Properties
M = 1kg
K = 100 N/m
Geometric Properties
Spring
L.C. = 1m
Loading
Applied force, f(t), to the mass in the form shown in Figure E1.1: "Response of Spring-Mass System Problem Sketch", with t1=1 second, and Fo = 3 N.

Analysis Assumptions and Modeling Notes

The magnitude and rise time of the force input were chosen arbitrarily. As outlined in W. T. Thomson, Vibration Theory and Applications, for the system in Figure E1.1: "Response of Spring-Mass System Problem Sketch", with the force input shown, the peak response is given by:

where ωn is the system undamped natural frequency in units of radians per second.

Results Comparison

 | Target | ANSYS | Ratio
Peak Ux of Mass | 3.575E-2 | 3.575E-2 | 1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 3. ANSYS LS-DYNA Study Overview 		Up / Home Next
VME2


VME2

Release 11.0 Documentation for ANSYS

Verification Manual | Part III, ANSYS LS-DYNA Study Descriptions |

VME2

Drop Analysis of a Block Onto a Spring Scale

Overview

Reference: F. P. Beer, E. R. Johnston, Jr., Vector Mechanics for Engineers, Statics and Dynamics, 5th Edition, McGraw-Hill Book Co., Inc., New York, NY, 1962, pg. 635.
Analysis Type(s): Explicit Dynamics with ANSYS LS-DYNA
Element Type(s):
Explicit 3-D Structural Solid Elements (SOLID164)
Explicit Spring-Damper Elements (COMBI165)
Input Listing: vme2.dat

Test Case

A 30 kg block is dropped from a height of 2 m onto a 10 kg pan of a spring scale. The maximum deflection of the pan will be determined for a spring with a stiffness of 20 kN/m.

Figure E2.1 Drop Analysis Of A Block Onto A Spring Scale Problem Sketch and Finite Element Model

Material Properties
Block
E = 207 GPa
ρ = 60 kg/m3
υ = .29
Pan
E = 207 GPa
ρ = 10 kg/m3
υ = .29
Spring
k = 20 kN/m
Geometric Properties
Block
base = 1 m
width = 1 m
height = .5m
Pan
base = 2 m
width = 2 m
height = .25 m
Spring
length = 6m
Loading
The block is dropped from rest at a height of 2 m.
g = 9.81 m/sec2

Analysis Assumptions and Modeling Notes

The sizes of the block, pan, and spring have been arbitrarily selected. The densities of the block and pan, however, are based on the respective volumes of each component. A relatively course mesh was chosen for both the block and pan.

Results Comparison

 | Target | ANSYS | Ratio
Maximum Uy of Pan | .225 | .226 | 1.003

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VME1 		Up / Home Next
VME3


VME3

Release 11.0 Documentation for ANSYS

Verification Manual | Part III, ANSYS LS-DYNA Study Descriptions |

VME3

Response of Spring-Mass-Damper System

Overview

Reference:
C. M. Close, D. R. Frederick, Modeling and Analysis of Dynamic Systems, 2nd Edition, John Wiley and Sons, Inc., New York, NY, 1994, pp. 314-315,
G. F. Franklin, J. D. Powell, A. Emami-Naeini, Feedback Control of Dynamic Systems, 3rd Edition, Addison-Wesley Publishing Co., Inc., Reading, MA, 1994, pp. 126-127.
Analysis Type(s): Explicit Dynamics with ANSYS LS-DYNA
Element Type(s):
Explicit 3-D Structural Mass Elements (MASS166)
Explicit Spring-Damper Elements (COMBI165)
Input Listing: vme3.dat

Test Case

The one-DOF system consists of a spring, K, and mass, M, with viscous damping, C. There are two loading cases:

  • Case 1: f(t) = A = constant (step input)

  • Case 2: f(t) = At (ramp input)

For this underdamped system, the displacement of M for Case 1 overshoots the steady-state static displacement. The overshoot and the peak time, tp are compared to theory outlined in C. M. Close, D. R. Frederick, Modeling and Analysis of Dynamic Systems. Based on the discussion in G. F. Franklin, J. D. Powell, A. Emami-Naeini, Feedback Control of Dynamic Systems, the mass velocity in response to the ramp input, in theory, is equal to the mass displacement due to the step input.

Figure E3.1 Response of Spring-Mass-Damper System

Material Properties
Mass
M = 1.0 kg
Spring
K = 4π2 N/m
Damper
C = 0.21545376
Geometric Properties
Spring
Length = 1 m
Loading
Case 1: A step force input, f(t) = 4π2 on the mass M in the +x direction.
Case 2: A ramp force input, f(t) = (4π2 )t, on the mass M in the +x direction.

Analysis Assumptions and Modeling Notes

The magnitude of the step force input for Case 1 was chosen to equal the spring stiffness constant to produce a steady-state static deflection of unity. The ramp input for Case 2 was defined such that the input for Case 1 is the time derivative of the input for Case 2. The value of the stiffness constant was chosen so that the system undamped natural frequency equals 2 Hz. The damping constant was chosen to produce a damping ratio that results in a theoretical 50% overshoot of the steady-state deflection for the step input.

As outlined in G. F. Franklin, J. D. Powell, A. Emami-Naeini, Feedback Control of Dynamic Systems, for a single DOF system subjected to a step input, the relationship between overshoot, Mp, and damping ratio, ζ, is given by:

For the system in Figure 3.1: "Support Structure Problem Sketch":

Mp = (Xmax - Xsteady-state)/Xsteady-state

The expression for peak time, tp which is the time to reach xmax is given by:

where ωnis the system undamped natural frequency in units of radians per second.

Results Comparison

Table E3.1 Case 1: Step Input

 | Target | ANSYS | Ratio
Maximum Ux of Mass | 1.5000 | 1.5001 | 1.000
Peak Time for Mass Ux | 0.2560 | 0.2559 | 1.000

Table E3.2 Case 2: Ramp Input

 | Target | ANSYS | Ratio
Maximum Vx of Mass | 1.5000 | 1.5001 | 1.000
Peak Time for Mass Vx | 0.2560 | 0.2559 | 1.000

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VME2 		Up / Home Next
VME4


VME4

Release 11.0 Documentation for ANSYS

Verification Manual | Part III, ANSYS LS-DYNA Study Descriptions |

VME4

Undamped Vibration Absorber

Overview

Reference: L. Meirovitch, Elements of Vibration Analysis, 2nd Edition, McGraw-Hill Book College Division, 1986, pp. 131-134.
Analysis Type(s): Explicit Dynamics with ANSYS LS-DYNA
Element Type(s):
Explicit Spring-Damper Elements (COMBI165)
Explicit 3-D Structural Mass Elements (MASS166)
Input Listing: vme4.dat

Test Case

A sinusoidal force is applied to the main mass, M1 of the undamped system with a dynamic vibration absorber. The response of the main mass is zero for the case of a tuned main system / absorber system at steady-state. The absorber system consists of a spring, K2 and an absorber mass, M2.

Material Properties
Main Mass
M1 = 5 kg
Main Spring
K1 = 10 N/m
Absorber Mass
M2 = 1 kg
Absorber Spring
K2 = 10 N/m
Geometric Properties
Spring
Length of Springs = 1 m
Loading
Force of Main Mass = 1.0 sin(10t) (Entered as discrete values in an array.)
Initial Absorber Mass Velocity = -0.1 m/s

Analysis Assumptions and Modeling Notes

As outlined in L. Meirovitch, Elements of Vibration Analysis, if a sinusoidal force, of the form f(t)=Fo sin(ωt), acts on the main mass of a system with a vibration absorber, and if the forcing frequency equals the natural frequency of the absorber system alone:

then at steady-state, the main mass motion, x1(t), is zero, and the absorber mass motion, x2(t) is given by:

In the analysis, a sinusoidal force, of unit amplitude, is approximated by entering discrete values in an array and specifying the array in a dynamic load definition. An initial velocity is provided to the absorber mass, corresponding to the steady-state condition. The resulting motion agrees with the theory of the vibration absorber. The system parameters were selected arbitrarily, resulting in a natural frequency for the absorber system alone of 10 radians per second. This is the required absorber natural frequency for eliminating main mass motion if the input frequency is also 10 radians per second. Also, the chosen parameters result in a steady-state absorber mass response amplitude of 0.01 m.

Results Comparison

 | Target | ANSYS | Ratio
Amplitude of Absorber Deflection | 0.01 | 0.01 | 1.000
Maximum Main Mass Deflection | 0.00 | 5.96E-7 |

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VME3 		Up / Home Next
VME5


VME5

Release 11.0 Documentation for ANSYS

Verification Manual | Part III, ANSYS LS-DYNA Study Descriptions |

VME5

Pinned Bar Under Gravity Loading

Overview

Reference: | W. G. McLean, E. W. Nelson, C. L. Best, Schaum's Outline of Theory and Problems of Engineering Mechanics, Statics and Dynamics, McGraw-Hill Book Co., Inc., New York, NY, 1978, p. 336.
Analysis Type(s): | Explicit Dynamics with ANSYS LS-DYNA
Element Type(s): | Explicit 3-D Beam Elements (BEAM161)
Input Listing: | vme5.dat

Test Case

A homogeneous bar, pinned at a distance a from one end, with total length, L, is subjected to gravity loading and released from rest at an angle θ = 30° from the vertical. The rotational speed when it passes through θ = 0° is calculated and compared to an analytical expression.

Figure E5.1 Pinned Bar Under Gravity Loading Problem Sketch

Material Properties
Density = 1.0 kg/m3
Modulus of Elasticity = 10E6 N/m2
Poisson's Ratio = 0.30
Geometric Properties
Constant square cross-section of 0.1 x 0.1 m2
Total Length,
L = 1.0 m;
a = 0.25m
Loading
The acceleration due to gravity is 9.8 m/s2 in the y-direction. One node is constrained in UX, UY, and UZ. All other nodes constrained only in UZ.
At y = 0 UY = 0

Analysis Assumptions and Modeling Notes

The material properties were selected arbitrarily. As noted in W. G. McLean, E. W. Nelson, C. L. Best, Schaum's Outline of Theory and Problems of Engineering Mechanics, Statics and Dynamics, the magnitude of the bar's angular velocity when θ = 0°, can be written as,

assuming the bar is released at θ = 30°. Based on the geometry chosen for this analysis, it can be seen that, at the time the bar passes through θ = 0°, ω = vx / 0.75, where vx is the translational velocity in the global Cartesian x-direction of the end of the bar. Twenty-eight BEAM161 elements were used to model the bar.

Results Comparison

 | Target | ANSYS | Ratio
| Angular Velocity | when θ = 0° (rad/sec) | 2.121 | 2.07 | 0.976

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VME4 		Up / Home Next
VME6


VME6

Release 11.0 Documentation for ANSYS

Verification Manual | Part III, ANSYS LS-DYNA Study Descriptions |

VME6

Projectile with Air Resistance

Overview

Reference: | J. B. Marion, S. T. Thornton, Classical Dynamics of Particles & Systems, 3rd Edition, Saunders College Publishing, 1988, pp. 60-63.
Analysis Type(s): | Explicit Dynamics with ANSYS LS-DYNA
Element Type(s): | Explicit 3-D Structural Solid Elements (SOLID164)
Input Listing: | vme6.dat

Test Case

A projectile is subjected to gravity and air resistance loading. The total travel time and travel distance are calculated for an assumed initial velocity and air resistance proportionality constant, k.

Figure E6.1 Projectile with Air Resistance Problem Sketch

Material Properties
Projectile
Density = 1.0 lb-s2/in
Modulus of Elasticity = 1.0 lb/in2
Poisson's Ratio = 0.30
Air Resistance (Viscous Damping)
Alpha Damping Used, Alpha = 1.0
Geometric Properties
Projectile
Volume = 1 in3 (1 in x 1 in x 1 in)
Loading
The acceleration due to gravity is ay = 386.4 in/s2 in the y-direction. The initial velocity in the x-direction is Vxi = 100 in/s2, and the initial velocity in the y-direction is Vyi = 500 in/s2.

Analysis Assumptions and Modeling Notes

The acceleration due to gravity is ay = 386.4 in/s2 in the y-direction. The initial velocity in the x-direction is Vxi = 100 in/s2, and the initial velocity in the y-direction is Vyi = 500 in/s2.

The material properties have no effect on the results of interest, so they are selected arbitrarily. As outlined in J. B. Marion, S. T. Thornton, Classical Dynamics of Particles & Systems, the force due to the air resistance is assumed to be proportional to the mass, m, and the velocity, v, according to:

where k is a constant of proportionality. If the initial projectile velocity in the x-direction is U, the initial projectile velocity in the y-direction (vertical) is V, and the acceleration due to gravity is g, then the x and y-direction projectile displacements are given by:

For a projectile fired from the ground, the total travel time, T, before returning to the ground, is given by the transcendental equation:

In this analysis, for simplicity, k was taken to equal 1. This produces a theoretical total travel time of T = 1.976 seconds, and a total x-direction travel distance of 86.138. In the analysis, the total travel time and the total x-direction travel distance are estimated by linearly interpolating between two time points. This is because there is not a time point in the solution, after the initial condition, at which the projectile y-location is exactly zero, but a close estimate is obtained by interpolation between two time points in the solution.

Results Comparison

 | Target | ANSYS | Ratio
Travel Time for Projectile (sec) | 1.9760 | 1.9756 | 1.000
X-direction Travel Distance (in) | 86.138 | 86.112 | 1.000

Figure E6.2 Displacement of Projectile Over Time

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VME5 		Up / Home Next
Appendix C. ANSYS LS-DYNA Input Listings


Appendix C. ANSYS LS-DYNA Input Listings

This appendix contains all of the input listings for the ANSYS LS-DYNA problems documented in Part III, ANSYS LS-DYNA Study Descriptions.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VME6 		Up / Home Next
VME1 Input Listing


VME1 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VME1
/TITLE,VME1, Spring-Mass System Response to Step Input
/CONFIG,NRES,3000

/PREP7          !Enter preprocessor
M=1             !The mass is 1 kg.
K=100           !The system spring constant is 100 N/m
W=SQRT(K/M)     !The system natural frequnecy is w

N,1,0,0,0        !Define nodes
N,2,1,0,0

!Define element type 1 as MASS166
ET,1,166
!Define element type 2 as COMBIN165
ET,2,165

R,1,M   !Real constant set one is for the mass
R,2

!Although the discrete lumped mass and stiffness elements
!are used, a material model is still required, and it is
!defined below.
MP,EX,1,30E6
MP,DENS,1,.000733
MP,NUXY,1,0.29

TYPE,1   !Create the MASS166 element at node 2
REAL,1
E,2

MP,EX,2,30E6
MP,DENS,2,.000733
MP,NUXY,2,0.29
TB,discrete,2,,,0
tbdata,1,K
TYPE,2   !Create the COMBIN165 spring element
REAL,2
mat,2
E,1,2

NSEL,S,NODE,,2   !Create a nodal component
CM,MASS,NODE
ALLSEL

D,1,UX,0    !Constrain deflections.
D,1,UY,0
D,1,UZ,0
D,2,UY,0
D,2,UZ,0

FINISH

!Enter solution processor.
/SOLU

!Generate 1000 time history points.
EDRST,1000
EDHTIME,1000

!Specify the mass component for time history output.
EDHIST,MASS

!Set the time step scaling factor to 0.01.  The default
!for solution stability considerations is 0.9, however, for this
!small dof system, the solution time is small, and a smoother response
!curve can be obtained in minimal time with a reduced time step size.
EDCTS,,0.01

!Dimension the arrays that will be used for specifying the
!load on the mass at node 2.
*DIM,T,ARRAY,3
*DIM,F,ARRAY,3

!Enter the force vs. time values in the arrays.
T(1)=0,1,10
F(1)=0,3,3

EDLOAD,ADD,FX,,MASS,T,F   !Specify the load
TIME,2                    !Specify the solution time

/COM  &COMPARE,NOCOMPARE
SOLVE
/COM  &COMPARE,NORMAL

FINI

/POST26     !Enter the time history post-processor.

!Define variable number 2 as the node 2 deflection in the
!x-direction.
NSOL,2,2,U,X,MASS-UX
PLVAR,2
EXTREM,2
*GET,RES1,VARI,2,EXTREM,VMAX, ,
*DIM,LABEL,CHAR,1
*DIM,RES,,1,3
LABEL(1) = 'PEAK Uz'
*VFILL,RES(1,1),DATA,3.575E-2
*VFILL,RES(1,2),DATA,ABS(RES1)
*VFILL,RES(1,3),DATA,ABS(RES(1,2)/RES(1,1))
!/OUT,vme1,vrt
/COM,
/COM,-------------------- VME1 DYNA RESULTS COMPARISION --------------------
/COM,
/COM,         |  TARGET  |  ANSYS  |  RATIO  |
/COM,
*VWRITE,LABEL(1),RES(1,1),RES(1,2),RES(1,3)
(1X,A8,'   ',F5.4,'      ',F5.4,'     ',F5.3)
/COM,
/COM,-----------------------------------------------------------------------
!/OUT
!*LIST,vme1,vrt
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Appendix C. ANSYS LS-DYNA Input Listings 		Up / Home Next
VME2 Input Listing


VME2 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VME2

/title,VME2, Drop Analysis Of A Block Onto A Spring Scale
! Beer and Johnson, Vector Mechanics for Engineers, pg 635
/PREP7
ET,1,164
R,1
MP,EX,1,207E9
MP,NUXY,1,.29
MP,DENS,1,60
BLOCK,-.5,.5,8.25,8.75,-.5,.5,
VMESH,1
CM,BLOCK,NODE

ET,2,164
R,2
MP,EX,2,207E9
MP,NUXY,2,.29
MP,DENS,2,10
EDMP,RIGID,2,6,7
TYPE,2
REAL,2
MAT,2
BLOCK,-1,1,6,6.25,-1,1,
VMESH,2
ET,3,165
R,3
MP,EX,3,207E9
MP,NUXY,3,.29
MP,DENS,3,10
TB,DISC,3,,,0
TBDATA,1,20000

TYPE,3
REAL,3
MAT,3
N,1000
E,143,1000
NSEL,S,NODE,,1000
D,ALL,ALL
ALLS

NSEL,S,LOC,Y,6.25
CM,N1,NODE
NSEL,S,LOC,Y,8.25
CM,N2,NODE
EDCGEN,NTS,N2,N1
ALLS

*DIM,TIME,ARRAY,2
*DIM,ACCL,ARRAY,2
TIME(1)=0
TIME(2)=1.5
ACCL(1)=9.81
ACCL(2)=9.81
EDLOAD,ADD,ACLY,,BLOCK,TIME(1),ACCL(1)
/VIEW,1,1,1,1
/ANG,1
/AUTO,1
EPLOT
FINI

/SOLU
TIME,.75
EDRST,10
EDHT,50
NSEL,S,NODE,,143
CM,SCALE,NODE
EDHIST,SCALE
ALLS
SAVE
/COM  &COMPARE,NOCOMPARE
SOLVE
/COM  &COMPARE,NORMAL

/POST26
FILE,vme2,his
NSOL,2,143,U,Y,DISPY
PLVAR,2
PRVAR,2
*GET,RES1,VARI,2,EXTREM,VMIN, ,
*DIM,LABEL,CHAR,1
*DIM,RES,,1,3
LABEL(1) = 'MAX Uy'
*VFILL,RES(1,1),DATA,0.225
*VFILL,RES(1,2),DATA,ABS(RES1)
*VFILL,RES(1,3),DATA,ABS(RES(1,2)/RES(1,1))
/OUT,vme2,vrt
/COM,
/COM,-------------------- VME2 DYNA RESULTS COMPARISION --------------------
/COM,
/COM,         |  TARGET  |  ANSYS  |  RATIO  |
/COM,
*VWRITE,LABEL(1),RES(1,1),RES(1,2),RES(1,3)
(1X,A8,'   ',F5.3,'      ',F5.3,'     ',F5.3)
/COM,
/COM,-----------------------------------------------------------------------
/OUT
*LIST,vme2,vrt
*DELETE,vme2,db
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VME1 Input Listing 		Up / Home Next
VME3 Input Listing


VME3 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vme3
/CONFIG,NRES,3000

/TITLE,VME3,Response of Spring-Mass-Damper System
! Modeling And Analysis of Dynamic Systems,
! Close and Frederick, page 314
PI=3.1415927
ZETA=0.21545376         ! zeta=damping ratio.
M=1.0                   ! m=mass.
K=(4*PI)**2.0           ! k=spring stiffness.
WN=SQRT(K/M)            ! wn=system undamped natural frequency.
C=M*(2*ZETA*WN)         ! c=damping constant.
/PREP7                  ! Enter preprocessor.
N,1,0,0,0		! Node 1 will be the fixed end.
N,2,1,0,0		! The applied force will be at node 2.
ET,1,166		! Define element type 1 as MASS166.
ET,2,165		! Define element type 2 as COMBIN165.
R,1,M			! Real constant for MASS166 is the value of the mass.
R,2
MP,EX,1,30E6            ! Define modulus of elasticity.
MP,DENS,1,.000733	! Define density.
MP,NUXY,1,0.29          ! Define poisson's ratio.

MP,EX,2,30E6
MP,DENS,2,.000733
MP,NUXY,2,0.29
TB,discrete,2,,,0
tbdata,1,K
TYPE,1
REAL,1
E,2			! Create the MASS166 element at node 2.

TYPE,2
REAL,2
MAT,2
E,1,2			! Create the COMBIN165 element with end nodes 1 and 2.
NSEL,S,NODE,,2
CM,MASS,NODE            ! Create a nodal component at node 2 named "mass"
ALLSEL
D,1,UX,0		! Constrain all deflections at node 1.
D,1,UY,0
D,1,UZ,0
D,2,UY,0		! Constrain uy and uz deflections at node 2.
D,2,UZ,0
EDDAMP,ALL,0,C/M	! Define alpha damping.
FINI
/SOLU
EDRST,1000
EDHTIME,1000
EDHIST,MASS		! Specify the mass component for time history output.
EDCTS,,0.001            ! Set a time step scaling factor to 0.001.
*DIM,T,ARRAY,2		! Dimension array for time values.
*DIM,FSTEP,ARRAY,2	! Dimension array for step force input.
*DIM,FRAMP,ARRAY,2	! Dimension array for ramp force input.
T(1)=0,1
FSTEP(1)=K,K	! The step input magnitude equals k so x=1 at steady-state.
FRAMP(1)=0,K	! The ramp input is the integral of the step input.
EDLOAD,ADD,FX,,MASS,T,FSTEP	!Specify the load for the step input solution.
TIME,1				!Specify the solution time.
/COM  &COMPARE,NOCOMPARE
SOLVE
/COM  &COMPARE,NORMAL
FINI
/POST26				!Enter the time history post-processor.
NSOL,2,2,U,X,DISPLACE		!Define variable 2 - node 2 ux deflection
EXTREM,2                        !Print the max deflection and peak time
*GET,RES1,VARI,2,EXTREM,VMAX,,
*GET,TMAX1,VARI,2,EXTREM,TMAX,,
/solu                           !Return to the solution processor.
EDLOAD,ADD,FX,,MASS,T,FRAMP	!Redefine the load for a ramp input.
/COM  &COMPARE,NOCOMPARE
SOLVE
/COM  &COMPARE,NORMAL
FINI
/POST26
NSOL,2,2,V,X,VELOCITY 		!Define variable 2 - node 2 velocity.
PLVAR,2
EXTREM,2                        !Print the max velocity and peak time
*GET,RES2,VARI,2,EXTREM,VMAX,,
*GET,TMAX2,VARI,2,EXTREM,TMAX,,
save
*DIM,LABEL,CHAR,4
*DIM,RES,,4,3
LABEL(1) = 'MAX Ux','PK TIME','MAX Vx','PK TIME'
*VFILL,RES(1,1),DATA,1.5,0.256,1.5,0.256
*VFILL,RES(1,2),DATA,RES1,TMAX1,RES2,TMAX2
*DO,I,1,4
  *VFILL,RES(I,3),DATA,(RES(I,2)/RES(I,1))
*ENDDO
/OUT,vme3,vrt
/COM,
/COM,-------------------- VME3 DYNA RESULTS COMPARISION --------------------
/COM,
/COM,        |  TARGET  |  ANSYS  |  RATIO  |
/COM,
*VWRITE,LABEL(1),RES(1,1),RES(1,2),RES(1,3)
(1X,A8,'   ',F5.3,'      ',F5.3,'    ',F5.3)
/COM,
/COM,-----------------------------------------------------------------------
/OUT
*LIST,vme3,vrt
/GOPR
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VME2 Input Listing 		Up / Home Next
VME4 Input Listing


VME4 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vme4
/CONFIG,NRES,3000
/TITLE,VME4, Undamped Vibration Absorber
! Elements of Vibration Analysis, Meirovitch, pp. 131-134

PI=3.1415927
M1=5             !The main mass is 5 kg
K1=10            !The main system spring constant is 10 N/m
WN=SQRT(K1/M1)   !The main system natural frequency is wn
M2=1             !The absorber mass is 1 kg.
K2=100           !The absorber system spring constant is 100 N/m
WA=SQRT(K2/M2)   !The absorber system alone natural frequnecy is wa
W=WA             !The forcing frequency is w

/PREP7           !Enter preprocessor

N,1,0,0,0        !Define nodes
N,2,1,0,0
N,3,2,0,0

!Define element type 1 as MASS166
ET,1,166
!Define element type 2 as COMBIN165
ET,2,165

R,1,M1   !Real constant set one is for the main mass
R,2,M2   !Real constant set two is for the absorber mass
R,3
R,4

MP,EX,1,30E6
MP,DENS,1,.000733
MP,NUXY,1,0.29

TYPE,1   !Create the main system MASS166 element at node 2 and
REAL,1   !the absorber mass at node 3.
E,2
REAL,2
E,3

MP,EX,2,30E6
MP,DENS,2,.000733
MP,NUXY,2,0.29
TB,disc,2,,,0
TBDATA,1,K1
TYPE,2         !Create the COMBIN165 spring elements between the masses.
REAL,3
MAT,2
E,1,2

MP,EX,3,30E6
MP,DENS,3,.000733
MP,NUXY,3,0.29
TB,disc,3,,,0
TBDATA,1,K2
TYPE,2         !Create the COMBIN165 spring elements between the masses.
REAL,4
MAT,3
E,2,3

NSEL,S,NODE,,2,3  !Create nodal components
CM,MASSES,NODE
ALLSEL
NSEL,S,NODE,,2
CM,MASS1,NODE
ALLSEL
NSEL,S,NODE,,3
CM,MASS2,NODE
ALLSEL

D,1,UX,0    !Constrain deflections.
D,1,UY,0
D,1,UZ,0
D,2,UY,0
D,2,UZ,0
D,3,UY,0
D,3,UZ,0

FINISH

!Enter solution processor.
/SOLU

!Generate 1000 time history points.
EDRST,1000
EDHTIME,1000

!Specify the mass component for time history output.
EDHIST,MASSES

!Set the time step scaling factor to 0.01.  The default
!for solution stability considerations is 0.9, however, for this
!small dof system, the solution time is small, and a smoother response
!curve can be obtained in minimal time with a reduced time step size.
edcts,,0.01

!Dimension the arrays that will be used for specifying the
!sinusoidal load on the mass at node 2.
*dim,t,array,8000
*dim,f,array,8000

!Enter the force vs. time values in the arrays.
*do,i,1,8000,1
 t(i)=(i-1)/4000
 f(i)=sin(w*t(i))
*enddo

edload,add,fx,,mass1,t,f   !Specify the load
time,2                     !Specify the solution time
EDVEL,VELO,MASS2,-W/k2 !Specify the initial velocity for mass 2, it is at steady-state.

/COM  &COMPARE,NOCOMPARE
solve
/COM  &COMPARE,NORMAL
fini

/post26     !Enter the time history post-processor.

!Define variable number 2 as the node 2 deflection in the
!x-direction.
nsol,2,2,u,x,MAIN
nsol,3,3,u,x,ABSORBER
plvar,2,3

extrem,2,3  !List the maximum and minimum values of the variables.
*GET,RES1,VARI,2,EXTREM,VMAX, ,
*GET,RES2,VARI,3,EXTREM,VMAX, ,
*DIM,LABEL,CHAR,2
*DIM,RES,,2,3
LABEL(1) = 'ABS AMP','MAX DEFL'
*VFILL,RES(1,1),DATA,0.01,0.00
*VFILL,RES(1,2),DATA,RES2,RES1
*VFILL,RES(1,3),DATA,RES(1,2)/RES(1,1)
/OUT,vme4,vrt
/COM,
/COM,-------------------- VME4 DYNA RESULTS COMPARISION --------------------
/COM,
/COM,        |  TARGET  |  ANSYS  |  RATIO  |
/COM,
*VWRITE,LABEL(1),RES(1,1),RES(1,2),RES(1,3)
(1X,A8,'   ',F5.3,'      ',F5.3,'    ',F5.3)
/COM,
/COM,-----------------------------------------------------------------------
/OUT
*LIST,vme4,vrt
/GOPR
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VME3 Input Listing 		Up / Home Next
VME5 Input Listing


VME5 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vme5
/TITLE,VME5, Pinned Bar Under Gravity Loading
/com, Ref: Maclean and Nelson, page 336

/PREP7          			! ENTER PREPROCESSOR
*AFUN,DEG				! SET MODE TO DEGREE
N,1,0.25*COS(120),0.25*SIN(120)		! DEFINE NODES
N,8,0,0,0
FILL,1,8
N,29,0.75*COS(-60),0.75*SIN(-60)
FILL,8,29
N,30,1
ET,1,161				! SET ELEMENT TYPE TO EXPLICIT BEAM
R,1,5/6,0.1,0.1,0.1,0.1			! REAL CONSTANT SET
E,1,2,30				! DEFINE ELEMENTS
*REPEAT,28,1,1,0
MP,EX,1,10E6				! DEFINE YOUNG'S MODULUS
MP,DENS,1,1.0				! DEFINE DENSITY
MP,NUXY,1,0.3				! DEFINE POISSON'S RATIO
D,8,UX					! CONSTRAIN PIVOT ALONG
D,8,UY					! UX AND UY
D,ALL,UZ				! CONTSRAIN ALL NODES ALONG UZ
NSEL,S,NODE,,8
NSEL,A,NODE,,30
NSEL,INVE
CM,GNODES,NODE				! CREATE NODAL COMPONENT
ALLSEL
FINISH
/CONFIG,nres,1005   			! To avoid error message of number of result
/SOLUTION				! ENTER SOLUTION
EDRST,100				! SPECIFY OUTPUT INTERVAL
EDHTIME,100				! SPECIFY TIME-HISTORY OUTPUT INTERVAL
NSEL,S,NODE,,29				! SELECT THE NODE AT THE END OF THE BEAM
CM,NODE29,NODE				! CREATE NODAL COMPONENT
ALLSEL
EDHIST,NODE29				! SPECIFY TIME-HISTORY OUTPUT FOR NODE 29
EDCTS,,0.4				! DEFINE SCALE FATOR FOR COMPUTED TIME STEP
*DIM,T,ARRAY,2				! DEFINE TIME ARRAY
*DIM,G,ARRAY,2				! DEFINE GRAVITY ARRAY
T(1)=0,0.5				! INITIALIZE THE TIME ARRAY
G(1)=9.8,9.8				! INITIALIZE THE GRAVITY ARRAY
EDLOAD,ADD,ACLY,,GNODES,T,G   		! SPECIFY THE LOAD
TIME,0.5                      		! SPECIFY THE SOLUTION TIME
/COM  &COMPARE,NOCOMPARE
SOLVE					! SOLVE THE PROBLEM
/COM  &COMPARE,NORMAL
FINISH
/POST26     				! ENTER TIME-HISTORY POSTPROCESSOR
FILE,vme5,his			! READ THE HISTORY FILE
NSOL,2,29,U,X				! DEFINE VARIABLE 2 AS UX AT NODE 29
DERIV,3,2,1,,VX				! DEFINE VARIABLE 3 AS VELOCITY AT NODE 29
NSOL,4,29,U,Y				! DEFINE VARIABLE 4 AS UY AT NODE 29
EXTREM,3,4
*GET,TEMP1,VARI,3,EXTREM,VMIN, ,
RES1 = ABS(TEMP1/0.75)
*DIM,RES,,1,3
*VFILL,RES(1,1),DATA,2.121
*VFILL,RES(1,2),DATA,ABS(RES1)
*VFILL,RES(1,3),DATA,ABS(RES(1,2)/RES(1,1))
/COM,
/OUT,vme5,vrt
/COM,-------------------- VME5 DYNA RESULTS COMPARISION --------------------
/COM,
/COM,                 TARGET  |  ANSYS  |  RATIO
/COM,
/COM, |w| THTA = 0 deg
/COM,
*VWRITE,RES(1,1),RES(1,2),RES(1,3)
('                ','   ',F5.3,'      ',F5.3,'     ',F5.3)
/COM,
/COM,-----------------------------------------------------------------------
/OUT
*LIST,vme5,vrt
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VME4 Input Listing 		Up / Home Next
VME6 Input Listing


VME6 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vme6
/TITLE,VME6, Projectile with Air Resistance
/COM, REF: Marion and Thornton, Pages 60-63
/CONFIG,NRES,3000
G=386.4                 	! DEFINE ACCELERATION DUE TO GRAVITY
VX=100.0			! DEFINE INTIAL VELOCITY IN X DIRECTION
VY=500.0			! DEFINE INTIAL VELOCITY IN Y DIRECTION
/PREP7				! ENTER PREPROCESSOR
BLOCK,0,1,0,1,0,1       	! CREATE THE PROJECTILE
ET,1,164			! SET ELEMENT TYPE TO EXPLICIT 3D SOLID
MP,EX,1,1.0			! DEFINE YOUNG'S MODULUS
MP,DENS,1,1.0           	! DEFINE DENSITY
MP,NUXY,1,0.3           	! DEFINE POISSON'S RATIO
ESIZE,,1
TYPE,1
REAL,1
VMESH,ALL			! MESH THE PROJECTILE
NSEL,S,LOC,X,0
NSEL,R,LOC,Y,0
NSEL,R,LOC,Z,0
CM,NODE0,NODE 			! CREATE NODAL COMPONENT OF NODE AT ORIGIN
*GET,NODENUM,NODE,0,NUM,MAX 	! STORE THE NODE NUMBER
ALLSEL
CM,NODES,NODE			! CREATE NODAL COMPONENT OF ALL NODES
ALLSEL
EDDAMP,ALL,0,1.0                ! DEFINE ALPHA DAMPING
FINISH
/SOLUTION			! ENTER SOLUTION PROCESSOR
EDRST,100			! SPECIFY OUTPUT INTERVAL
EDHTIME,100			! SPECIFY TIME-HISTORY OUTPUT INTERVAL
EDHIST,NODE0			! SPECIFY TIME-HISTORY OUTPUT FOR NODE0
EDCTS,,0.00025			! SPECIFY SCALE FACTOR FOR COMPUTED TIME STEP
*DIM,T,ARRAY,2			! DEFINE TIME ARRAY
*DIM,ACCELY,ARRAY,2		! DEFINE ACCELERATION ARRAY
T(1)=0.0,2.0            	! INTIALIZE TIME ARRAY
ACCELY(1)=-G,-G         	! INTIALIZE ACCELERATION ARRAY
EDLOAD,ADD,AY,,NODES,T,ACCELY   ! SPECIFY THE ACCELERATION DUE TO GRAVITY LOAD
TIME,2.0                	! SPECIFY SOLUTION TIME
EDVEL,VELO,NODES,VX,VY		! SPECIFY INITIAL VELOCITY ON ALL LOADS
/COM  &COMPARE,NOCOMPARE
SOLVE				! PERFORM SOLUTION
/COM  &COMPARE,NORMAL
FINISH
/POST26				! ENTER TIME-HISTORY POSTPROCESSOR
FILE,vme6,his			! READ THE HISTORY FILE
NSOL,2,NODENUM,U,Y,dISPL-Y	! DEFINE VARIABLE 2 AS UY OF NODENUM
NSOL,3,NODENUM,U,X,dISPL-X	! DEFINE VARIABLE 3 AS UX OF NODENUM
*DIM,TIME,ARRAY,3000		! DEFINE TIME ARRAY
*DIM,YDISP,ARRAY,3000		! DEFINE Y-DISPLACEMENT ARRAY
*DIM,XDISP,ARRAY,3000		! DEFINE X-DISPLACEMENT ARRAY
VGET,TIME(1),1			! STORE TIME VECTOR IN THE ARRAY
VGET,YDISP(1),2			! STORE Y-DISPLACEMENT VECTOR IN THE ARRAY
VGET,XDISP(1),3			! STORE X-DISPLACEMENT VECTOR IN THE ARRAY

! SORT THROUGH THE ARRAY YDISP AND FIND THE TIME STEP INCREMENT
! AT WHICH THE Y-DIRECTION DEFLECTION WOULD REACH ZERO. THE
! PROJECTILE BEGINS AT Y = 0, AND THEN TRAVELS INTO POSITIVE
! Y-VALUES, THEN FALLS BACK TO Y = 0. THE TIME AT WHICH
! IT REACHES Y = 0 AGAIN IS THE TOTAL TRAVEL TIME OF THE PROJECTILE.
*DO,I,1,1000,1
  *IF,YDISP(I),LT,0,THEN
    *EXIT
  *ENDIF
*ENDDO

Z=(0.0-YDISP(I-1))/(YDISP(I)-YDISP(I-1))
TRAVELT=TIME(I-1)+Z*(TIME(I)-TIME(I-1))		! LINEAR INTERPOLATION OF TRAVEL TIME
TRAVELD=XDISP(I-1)+Z*(XDISP(I)-XDISP(I-1))	! LINEAR INTERPOLATION OF TRAVEL DISTANCE
CHECK=((VY+G)/G)*(1.0-EXP(-TRAVELT))		! COMPUTE THEORETICAL SOLUTION

*VWRITE,CHECK,TRAVELT,TRAVELD
('TRAVELT=',E10.4,' CHECK=',E10.4,' TRAVELD=',E10.4)
*DIM,LABEL,CHAR,2
*DIM,RES,,2,3
LABEL(1) = 'TRAV TM','DIST TRA'
*VFILL,RES(1,1),DATA,1.976,86.138
*VFILL,RES(1,2),DATA,TRAVELT,TRAVELD
*VFILL,RES(1,3),DATA,(RES(1,2)/RES(1,1)),(RES(2,2)/RES(2,1))
/OUT,vme6,vrt
/COM,
/COM,-------------------- VME6 DYNA RESULTS COMPARISION --------------------
/COM,
/COM,          |  TARGET  |   ANSYS   |  RATIO  |
/COM,
*VWRITE,LABEL(1),RES(1,1),RES(1,2),RES(1,3)
(1X,A8,'    ',F7.4,'      ',F7.4,'    ',F5.3)
/COM,
/COM,-----------------------------------------------------------------------
/OUT
*LIST,vme6,vrt
/GOPR
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VME5 Input Listing 		Up / Home Next
Part IV, NAFEMS Benchmarks


Part IV, NAFEMS Benchmarks

Release 11.0 Documentation for ANSYS

Verification Manual |

NAFEMS Benchmarks

Table of Contents

4. NAFEMS Benchmarks Overview
VMP09-T2 - Pin-ended double cross: In-plane vibration
VMP09-T4 - Cantilever with off-centre point masses
VMP09-T5 - Deep simply-supported beam
VMP09-T12 - Free thin square plate
VMP09-T15 - Clamped thin rhombic plate
VMP09-T33 - Free annular membrane
VMP09-T52 - Simply-supported 'solid' square plate
VMR027-3A - 2-D Plane Stress - Biaxial (negative) Load Secondary Creep
VMR027-3B - 2-D Plane Stress - Biaxial (negative) Displacement Secondary Creep
VMR027-4C - 2-D Plane Stress - Shear Loading Secondary Creep
VMR027-5B - 2-D Plane Strain - Biaxial Displacement Secondary Creep
VMR027-6B - 3-D - Triaxial Displacement Secondary Creep
VMR027-10A - 2-D Plane Stress - Biaxial (negative) Load Primary Creep
VMR027-10B - 2-D Plane Stress - Biaxial (negative) Displacement Primary Creep
VMR027-10C - 2-D Plane Stress - Biaxial (negative) Stepped Load - Primary Creep
VMR027-12B - 2-D Plane Stress - Uniaxial Displacement Primary-Secondary Creep
VMR027-12C - 2-D Plane Stress - Stepped Load Primary - Secondary Creep
VMR029-T1 - Elastic large deflection response of a z-shaped cantilever upper end load
VMR029-T4 - Lateral torsional buckling of an elastic cantilever subjected to transverse end load
VMR029-T5 - Large deflection of a curved elastic cantilever under transverse end load
VMR029-T7 - Large displacement elastic response of a hinged spherical shell under uniform pressure loading
VMR029-T9 - Large elastic deflection of a pinched hemispherical shell
VMR049-CR1 - Constant-Load Creep Benchmark
VMR049-CR2 - Constant-Displacement Creep Benchmark
VMR049-CR3 - Variable-Load Uniaxial Creep Benchmark
VMR049-CR4 - Pressurised Cylinder Creep Benchmark
VMR049-CR5 - Torsional Creep of Square Shaft
VMR049-CR6 - Thermally Induced Creep Benchmark
VMR049-PL1 - 2D Plane Strain Plasticity Benchmark
VMR049-PL2 - 2D Plane Stress Plasticity Benchmark
VMR049-PL3 - 3D Plasticity Benchmark
VMR049-PL5 - Pressurised Cylinder Plasticity Benchmark
D. NAFEMS Input Listings
VM-P09-t2 188 Input Listing
VM-P09-t2 189 Input Listing
VM-P09-t4 188 Input Listing
VM-P09-t4 189 Input Listing
VM-P09-t5 188 Input Listing
VM-P09-t5 189 Input Listing
VM-P09-t12 181 Input Listing
VM-P09-t12 281 Input Listing
VM-P09-t15 181 Input Listing
VM-P09-t15 281 Input Listing
VM-P09-t33 182 Input Listing
VM-P09-t33 183 Input Listing
VM-P09-t52 181 Input Listing
VM-P09-t52 185 Input Listing
VM-P09-t52 186 Input Listing
VM-P09-t52 187 Input Listing
VM-P09-t52 281 Input Listing
VM-R027-3A 181 Input Listing
VM-R027-3A 182 Input Listing
VM-R027-3A 183 Input Listing
VM-R027-3A 281 Input Listing
VM-R027-3B 181 Input Listing
VM-R027-3B 182 Input Listing
VM-R027-3B 183 Input Listing
VM-R027-3B 281 Input Listing
VM-R027-4C 181 Input Listing
VM-R027-4C 182 Input Listing
VM-R027-4C 183 Input Listing
VM-R027-4C 281 Input Listing
VM-R027-5B 182 Input Listing
VM-R027-5B 183 Input Listing
VM-R027-6B 185 Input Listing
VM-R027-6B 186 Input Listing
VM-R027-6B 187 Input Listing
VM-R027-10A 181 Input Listing
VM-R027-10A 182 Input Listing
VM-R027-10A 183 Input Listing
VM-R027-10A 281 Input Listing
VM-R027-10B 181 Input Listing
VM-R027-10B 182 Input Listing
VM-R027-10B 183 Input Listing
VM-R027-10B 281 Input Listing
VM-R027-10C 181 Input Listing
VM-R027-10C 182 Input Listing
VM-R027-10C 183 Input Listing
VM-R027-10C 281 Input Listing
VM-R027-12B 181 Input Listing
VM-R027-12B 182 Input Listing
VM-R027-12B 183 Input Listing
VM-R027-12B 281 Input Listing
VM-R027-12C 181 Input Listing
VM-R027-12C 182 Input Listing
VM-R027-12C 183 Input Listing
VM-R027-12C 281 Input Listing
VM-R029-t1 181 Input Listing
VM-R029-t1 185 Input Listing
VM-R029-t1 188 Input Listing
VM-R029-t1 189 Input Listing
VM-R029-t1 190 Input Listing
VM-R029-t1 281 Input Listing
VM-R029-t4 181 Input Listing
VM-R029-t4 185 Input Listing
VM-R029-t4 188 Input Listing
VM-R029-t4 189 Input Listing
VM-R029-t4 190 Input Listing
VM-R029-t4 281 Input Listing
VM-R029-t5 185 Input Listing
VM-R029-t5 188 Input Listing
VM-R029-t5 189 Input Listing
VM-R029-t5 190 Input Listing
VM-R029-t7 181 Input Listing
VM-R029-t7 185 Input Listing
VM-R029-t7 190 Input Listing
VM-R029-t7 281 Input Listing
VM-R029-t9 181 Input Listing
VM-R029-t9 185 Input Listing
VM-R029-t9 190 Input Listing
VM-R029-t9 281 Input Listing
VM-R049-1A 181 Input Listing
VM-R049-1A 182 Input Listing
VM-R049-1A 183 Input Listing
VM-R049-1A 281 Input Listing
VM-R049-1B 181 Input Listing
VM-R049-1B 182 Input Listing
VM-R049-1B 183 Input Listing
VM-R049-1B 281 Input Listing
VM-R049-1C 181 Input Listing
VM-R049-1C 182 Input Listing
VM-R049-1C 183 Input Listing
VM-R049-1C 281 Input Listing
VM-R049-2 181 Input Listing
VM-R049-2 182 Input Listing
VM-R049-2 183 Input Listing
VM-R049-2 185 Input Listing
VM-R049-2 187 Input Listing
VM-R049-2 281 Input Listing
VM-R049-3 181 Input Listing
VM-R049-3 182 Input Listing
VM-R049-3 183 Input Listing
VM-R049-3 281 Input Listing
VM-R049-4 182 Input Listing
VM-R049-4 183 Input Listing
VM-R049-5 185 Input Listing
VM-R049-5 186 Input Listing
VM-R049-5 187 Input Listing
VM-R049-6 182 Input Listing
VM-R049-6 183 Input Listing
VM-R049-PL1A 182 Input Listing
VM-R049-PL1A 183 Input Listing
VM-R049-PL1B 182 Input Listing
VM-R049-PL1B 183 Input Listing
VM-R049-PL2A 181 Input Listing
VM-R049-PL2A 182 Input Listing
VM-R049-PL2A 183 Input Listing
VM-R049-PL2A 281 Input Listing
VM-R049-PL2B 181 Input Listing
VM-R049-PL2B 182 Input Listing
VM-R049-PL2B 281 Input Listing
VM-R049-PL3A 185 Input Listing
VM-R049-PL3A 186 Input Listing
VM-R049-PL3A 187 Input Listing
VM-R049-PL3B 185 Input Listing
VM-R049-PL3B 186 Input Listing
VM-R049-PL3B 187 Input Listing
VM-R049-PL3B 190 Input Listing
VM-R049-PL5A 182 Input Listing
VM-R049-PL5A 183 Input Listing
VM-R049-PL5B 182 Input Listing
VM-R049-PL5B 183 Input Listing

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VME6 Input Listing 		Up / Home Next
Chapter 4. NAFEMS Benchmarks Overview


Chapter 4. NAFEMS Benchmarks Overview

The following section contains ANSYS solutions of several NAFEMS benchmark publications. NAFEMS (National Agency for Finite Element Methods and Standards) has published many excellent technical reports on engineering analysis subjects which have become industry standard benchmarks. Some of those benchmarks have been reproduced here as Verification Manual test cases.

In this chapter benchmarks from the following publications are presented:

R0027 Fundamental Tests of Creep Behavior, A. A. Becker and T. H. Hyde
R0049 Background to Material Non-Linear Benchmarks, A. A. Becker

Each different load condition is presented as a problem to be solved by appropriate ANSYS element types. The test case includes a text description of the geometry, material properties, boundary conditions and loads. A results table of the verified solution is included at the end of the description of each test case. Test case inputs for each element type are also included.

If you are interested in the benchmark technical reports, you can contact NAFEMS using the following information;

NAFEMS Ltd
Whitworth Building
Scottish Enterprise Technology Park
East Kilbride
Glasgow G75 0QD
United Kingdom
Tel: +44 13 55 22 56 88
Fax: +44 13 55 24 91 42
USA Freephone +1 888 601 4207
www.nafems.org

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Part IV, NAFEMS Benchmarks 		Up / Home Next
VMP09-T2


VMP09-T2

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMP09-T2

Pin-ended double cross: In-plane vibration

Test Description

Eight beams of equal length L = 5 equally spaced apart and interconnected at center are constrained in the x and y direction at all 8 beam endpoints. Frequency vibration analysis is performed on the model.

Geometic Properties
L = 5m
Material Properties
E = 200 x 109 N/m2
ρ = 8000.0 kg/m3
Boundary Conditions
Applied at beam endpoints:
uy = 0
ux = 0

Results

Results are tabulated and displayed as NAFEMS manual.

                   |   ANSYS   |   RATIO  |         INPUT         |

  BEAM188
  MODE1                11.3308     0.9995        vmp09-t2-188
  MODE2,3              17.6659     0.9976        vmp09-t2-188
  MODE4,5,6,7,8        17.6954     0.9992        vmp09-t2-188
  MODE9                45.4568     1.0025        vmp09-t2-188
  MODE10,11            57.4029     1.0002        vmp09-t2-188
  MODE12,13,14,15,16   57.7281     1.0059        vmp09-t2-188
  BEAM189
  MODE1                11.3308     0.9995        vmp09-t2-189
  MODE2,3              17.6659     0.9976        vmp09-t2-189
  MODE4,5,6,7,8        17.6954     0.9992        vmp09-t2-189
  MODE9                45.4568     1.0025        vmp09-t2-189
  MODE10,11            57.4029     1.0002        vmp09-t2-189
  MODE12,13,14,15,16   57.7281     1.0059        vmp09-t2-189

 ----------------------------------------------------------------

Element ANSYS Ratio Test Input

vmp09-t2-188.dat
vmp09-t2-189.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 4. NAFEMS Benchmarks Overview 		Up / Home Next
VMP09-T4


VMP09-T4

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMP09-T4

Cantilever with off-centre point masses

Test Description

A cantilever beam situated horizontally with two off-center lump masses of mass M1 = 10000kg and M2 = 1000kg at right free ends. The beam is constrained in all DOF at left end. Frequency vibration analysis is performed on the model.

Geometic Properties
L = 10m
H = 4m
Material Properties
E = 200 x 109 N/m2
ρ = 8000.0 kg/m3
ν = 0.3
Boundary Conditions
Applied at right beam endpoint:
Uy = 0
Ux = 0
Uz = 0
Rx = 0
Ry = 0
Rz = 0

Results

Results are tabulated and displayed as NAFEMS manual.

             |   ANSYS   |   RATIO  |         INPUT         |

  BEAM188
  MODE1         1.7198       0.9982        vmp09-t4-188
  MODE2         1.7236       0.9980        vmp09-t4-188
  MODE3         7.4021       0.9985        vmp09-t4-188
  MODE4         9.9733       1.0002        vmp09-t4-188
  MODE5        18.0842       0.9961        vmp09-t4-188
  MODE6        27.0797       1.0046        vmp09-t4-188
  BEAM189
  MODE1         1.7203       0.9984        vmp09-t4-189
  MODE2         1.7238       0.9982        vmp09-t4-189
  MODE3         7.4032       0.9987        vmp09-t4-189
  MODE4         9.9365       0.9965        vmp09-t4-189
  MODE5        18.0351       0.9934        vmp09-t4-189
  MODE6        26.6788       0.9897        vmp09-t4-189

 ----------------------------------------------------------------

Element ANSYS Ratio Test Input

vmp09-t4-188.dat
vmp09-t4-189.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMP09-T2 		Up / Home Next
VMP09-T5


VMP09-T5

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMP09-T5

Deep simply-supported beam

Test Description

A simply-supported beam of length L = 10 is situated along the x-axis. The beam is constrained in the x, y, z and Rx direction on the left endpoint and in the y and z direction on the right endpoint. Frequency vibration analysis is performed on the model.

Geometic Properties
L = 10m
Material Properties
E = 200 x 109 N/m2
ρ = 8000.0 kg/m3
ν = 0.3
Boundary Conditions
Applied at left beam endpoint:
Uy = 0
Ux = 0
Uz = 0
Rx = 0
Applied at right beam endpoint:
Uy = 0
Uz = 0

Results

Results are tabulated and displayed as NAFEMS manual.

             |   ANSYS   |   RATIO  |         INPUT         |

  BEAM188
  MODE1,2        42.730      1.0019        vmp09-t5-188
  MODE3          71.453      1.0035        vmp09-t5-188
  MODE4         124.872      0.9990        vmp09-t5-188
  MODE5,6       148.544      1.0027        vmp09-t5-188
  MODE7         212.598      0.9953        vmp09-t5-188
  MODE8,9       282.239      0.9957        vmp09-t5-188
  BEAM189
  MODE1,2        42.634      0.9996        vmp09-t5-189
  MODE3          71.713      1.0072        vmp09-t5-189
  MODE4         125.000      1.0000        vmp09-t5-189
  MODE5,6       148.195      1.0003        vmp09-t5-189
  MODE7         215.080      1.0069        vmp09-t5-189
  MODE8,9       284.095      1.0022        vmp09-t5-189

 ----------------------------------------------------------------

Element ANSYS Ratio Test Input

vmp09-t5-188.dat
vmp09-t5-189.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMP09-T4 		Up / Home Next
VMP09-T12


VMP09-T12

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMP09-T12

Free thin square plate

Test Description

A square plate of length L = 10 is situated in the x-y plane and is constrained in the x, y, and Rz direction at all nodes. Frequency vibration analysis is performed on the model.

Geometic Properties
L = H = 10m
Material Properties
E = 200 x 109 N/m2
ρ = 8000.0 kg/m3
ν = 0.3
Boundary Conditions
Applied at all nodes:
Ux = 0
Uy = 0
Rz = 0

Results

Results are tabulated and displayed as NAFEMS manual.

             |   ANSYS   |   RATIO  |         INPUT         |

  SHELL181
  MODE4          1.632       1.0060       vmp09-t12-181
  MODE5          2.403       1.0181       vmp09-t12-181
  MODE6          3.007       1.0290       vmp09-t12-181
  MODE7,8        4.271       1.0089       vmp09-t12-181
  MODE9          7.905       1.0659       vmp09-t12-181
  MODE10         8.029       1.0002       vmp09-t12-181
  SHELL281
  MODE4          1.620       0.9989       vmp09-t12-281
  MODE5          2.360       1.0001       vmp09-t12-281
  MODE6          2.924       1.0006       vmp09-t12-281
  MODE7,8        4.184       0.9884       vmp09-t12-281
  MODE9          7.385       0.9959       vmp09-t12-281
  MODE10         7.390       0.9207       vmp09-t12-281

 ----------------------------------------------------------------

Element ANSYS Ratio Test Input

vmp09-t12-181.dat
vmp09-t12-281.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMP09-T5 		Up / Home Next
VMP09-T15


VMP09-T15

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMP09-T15

Clamped thin rhombic plate

Test Description

A rhombus plate of length L = 10 and angle offset θ = 45° from the y-axis is constrained in the x, y, and Rz direction at all nodes and the z', Rx' and Ry' direction along the four edges. Frequency vibration analysis is performed on the model.

Geometic Properties
L = 10m
θ = 45°
Material Properties
E = 200 x 109 N/m2
ρ = 8000.0 kg/m3
ν = 0.3
Boundary Conditions
Applied at all nodes:
Ux = 0
Uy = 0
Rz = 0
Applied along all 4 edges:
Uz' = 0
Rx' = 0
Ry' = 0

Results

Results are tabulated and displayed as NAFEMS manual.

             |   ANSYS   |   RATIO  |         INPUT         |

  SHELL181
  MODE1          8.1425      1.0258       vmp09-t15-181
  MODE2         13.8919      1.0823       vmp09-t15-181
  MODE3         20.0380      1.1169       vmp09-t15-181
  MODE4         20.1671      1.0540       vmp09-t15-181
  MODE5         27.9538      1.1643       vmp09-t15-181
  MODE6         32.0477      1.1478       vmp09-t15-181
  SHELL281
  MODE1          7.9358      0.9997       vmp09-t15-281
  MODE2         12.8568      1.0017       vmp09-t15-281
  MODE3         18.0159      1.0042       vmp09-t15-281
  MODE4         19.0948      0.9980       vmp09-t15-281
  MODE5         24.1072      1.0041       vmp09-t15-281
  MODE6         27.8501      0.9974       vmp09-t15-281

 ----------------------------------------------------------------

Element ANSYS Ratio Test Input

vmp09-t15-181.dat
vmp09-t15-281.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMP09-T12 		Up / Home Next
VMP09-T33


VMP09-T33

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMP09-T33

Free annular membrane

Test Description

A hollow circular plate of inner radius R1 = 1.8 and outer radius R2 = 6 is situated in the x-y plane constrained in the z direction at all nodes. Frequency vibration analysis is performed on the model.

Geometic Properties
R1 = 1.8m
R2 = 6m
Material Properties
E = 200 x 109 N/m2
ρ = 8000.0 kg/m3
ν = 0.3
Boundary Conditions
Applied at all nodes:
Uz = 0

Results

Results are tabulated and displayed as NAFEMS manual.

             |   ANSYS   |   RATIO  |         INPUT         |

  PLANE182
  MODE4,5       137.164       1.061       vmp09-t33-182
  MODE6         228.563       1.011       vmp09-t33-182
  MODE7,8       240.395       1.024       vmp09-t33-182
  MODE9,10      292.317       1.105       vmp09-t33-182
  MODE11,12     354.146       1.052       vmp09-t33-182
  MODE13,14     433.481       1.150       vmp09-t33-182
  PLANE183
  MODE4,5       125.834       0.974       vmp09-t33-183
  MODE6         224.207       0.991       vmp09-t33-183
  MODE7,8       232.940       0.992       vmp09-t33-183
  MODE9,10      263.489       0.996       vmp09-t33-183
  MODE11,12     335.553       0.997       vmp09-t33-183
  MODE13,14     376.986       1.001       vmp09-t33-183

 ----------------------------------------------------------------

Element ANSYS Ratio Test Input

vmp09-t33-182.dat
vmp09-t33-183.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMP09-T15 		Up / Home Next
VMP09-T52


VMP09-T52

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMP09-T52

Simply-supported 'solid' square plate

Test Description

A solid rectangular plate of length and width L = 10 and height H = 1 is situated in the x-y plane and constrained in the z direction. Frequency vibration analysis is performed on the model.

Geometic Properties
L = H = 10m
W = 1m
Material Properties
E = 200 x 109 N/m2
ρ = 8000.0 kg/m3
ν = 0.3
Boundary Conditions
Applied along the 4 edges on the plane Z = -0.5m
Uz = 0

Results

Results are tabulated and displayed as NAFEMS manual.

             |   ANSYS   |   RATIO  |         INPUT         |

  SHELL181
  MODE4           44.396     0.9673        vmp09-t52-181
  MODE5,6        108.221     0.9889        vmp09-t52-181
  MODE7          164.503     0.9816        vmp09-t52-181
  MODE8          194.097     1.0026        vmp09-t52-181
  MODE9,10       206.734     1.0026        vmp09-t52-181
  SOLID185
  MODE4           48.925     1.0660        vmp09-t52-185
  MODE5,6        123.931     1.1324        vmp09-t52-185
  MODE7          184.648     1.0998        vmp09-t52-185
  MODE8          195.655     1.0107        vmp09-t52-185
  MODE9,10       209.403     1.0121        vmp09-t52-185
  SOLID186
  MODE4           43.837     0.9551        vmp09-t52-186
  MODE5,6        106.751     0.9754        vmp09-t52-186
  MODE7          161.176     0.9600        vmp09-t52-186
  MODE8          193.796     1.0011        vmp09-t52-186
  MODE9,10       205.971     0.9989        vmp09-t52-186
  SOLID187
  MODE4           45.375     0.9886        vmp09-t52-187
  MODE5,6        112.672     1.0295        vmp09-t52-187
  MODE7          179.272     1.0678        vmp09-t52-187
  MODE8          193.940     1.0018        vmp09-t52-187
  MODE9,10       206.608     1.0020        vmp09-t52-187
  SHELL281
  MODE4           44.110     0.9611        vmp09-t52-281
  MODE5,6        106.982     0.9775        vmp09-t52-281
  MODE7          162.337     0.9687        vmp09-t52-281
  MODE8          193.609     1.0001        vmp09-t52-281
  MODE9,10       202.570     0.9824        vmp09-t52-281

 ----------------------------------------------------------------

Element ANSYS Ratio Test Input

vmp09-t52-181.dat
vmp09-t52-185.dat
vmp09-t52-186.dat
vmp09-t52-187.dat
vmp09-t52-281.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMP09-T33 		Up / Home Next
VMR027-3A


VMR027-3A

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMR027-3A

2-D Plane Stress - Biaxial (negative) Load Secondary Creep

Test Description

A square of length L and height L is constrained in the Y-direction on the bottom edge and constrained in the X-direction on the left edge. A tensile distributed load, σ1, is applied on the right edge and a compressive distributed load, σ2, is applied to the top edge.

Geometic Properties
L = 100 mm
Material Properties
E = 200 x 103 N/mm2
ν = 0.3
Creep Law: ε = Aσntm
A = 3.125 x 10-14 per hour (σ in N/mm2 )
n = 5
Boundary Conditions
Bottom Edge: uy = 0
Left Edge: ux = 0
Loading
Right Edge: σ1 = 200 N/mm2
Top Edge: σ2 = -200 N/mm2

Results

Results are tabulated and displayed as NAFEMS manual.

             |   ANSYS   |   RATIO  |         INPUT         |

  SHELL181
  ECR6X         133.952       0.9922     vmr027-cr3a-181
  ECR6Y        -133.952       0.9922     vmr027-cr3a-181
  PLANE182
  ECR6X         135.000       1.0000     vmr027-cr3a-182
  ECR6Y        -135.000       1.0000     vmr027-cr3a-182
  PLANE183
  ECR6X         135.000       1.0000     vmr027-cr3a-183
  ECR6Y        -135.000       1.0000     vmr027-cr3a-183
  SHELL281
  ECR6X         133.952       0.9922     vmr027-cr3a-281
  ECR6Y        -133.952       0.9922     vmr027-cr3a-281

 ----------------------------------------------------------------
vmr027-cr3a-181.dat
vmr027-cr3a-182.dat
vmr027-cr3a-183.dat
vmr027-cr3a-281.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMP09-T52 		Up / Home Next
VMR027-3B


VMR027-3B

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMR027-3B

2-D Plane Stress - Biaxial (negative) Displacement Secondary Creep

Test Description

A square of length L and height L is constrained in the Y-direction on the bottom edge and constrained in the X-direction on the left edge. The model is displaced in the X-direction by u1 and in the Y-direction by u2

Geometic Properties
L = 100 mm
Material Properties
E = 200 x 103 N/mm2
ν = 0.3
Creep: ε = Aσntm
n = 5
m = 0.5
Boundary Conditions
Top Edge: uy = -0.1, Bottom Edge: uy = 0
Right Edge: ux = 0.1, Left Edge: ux = 0
Loading
No applied forces

Results

Results are tabulated and displayed as NAFEMS manual.

             |   ANSYS   |   RATIO  |         INPUT         |

  SHELL181
  ECR6X           7.976       1.0318     vmr027-cr3b-181
  PLANE182
  ECR6X           7.976       1.0318     vmr027-cr3b-182
  PLANE183
  ECR6X           7.976       1.0318     vmr027-cr3b-183
  SHELL281
  ECR6X           7.976       1.0318     vmr027-cr3b-281

 ----------------------------------------------------------------
vmr027-cr3b-181.dat
vmr027-cr3b-182.dat
vmr027-cr3b-183.dat
vmr027-cr3b-281.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMR027-3A 		Up / Home Next
VMR027-4C


VMR027-4C

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMR027-4C

2-D Plane Stress - Shear Loading Secondary Creep

Test Description

A square of length L and height L is constrained in the Y-direction at the corners on the bottom edge and constrained in the X-direction on the bottom edge, left corner. The same shear stress, τ, is applied on all four faces as shown in the figure.

Geometic Properties
L = 100 mm
Material Properties
E = 200 x 103 N/mm2
ν = 0.3
Creep Law: ε = Aσntm
n = 5
Boundary Conditions
Bottom Edge: uy = 0.0 at Points (0,0) and (L,0)
Bottom Edge: ux = 0 at Point (0,0)
Loading
τ = 100 N/mm2
Shear Force on all Edges: τ/6, 2τ/3, τ/6

Results

Results are tabulated and displayed as NAFEMS manual.

             |   ANSYS   |   RATIO  |         INPUT         |

  SHELL181
  ECR2X           8.359       0.9907     vmr027-cr4c-181
  PLANE182
  ECR2X           8.437       1.0000     vmr027-cr4c-182
  PLANE183
  ECR2X           8.437       1.0000     vmr027-cr4c-183
  PLANE281
  ECR2X           6.856       0.8126     vmr027-cr4c-281

 ----------------------------------------------------------------
vmr027-cr4c-181.dat
vmr027-cr4c-182.dat
vmr027-cr4c-183.dat
vmr027-cr4c-281.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMR027-3B 		Up / Home Next
VMR027-5B


VMR027-5B

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMR027-5B

2-D Plane Strain - Biaxial Displacement Secondary Creep

Test Description

A square of length L and height L is constrained in the X-direction on the left edge and constrained in the Y-direction on the bottom edge. A displacement, u1, is applied in the X-direction on the right edge and another displacement, u2, is applied in the Y-direction on the top edge.

Geometic Properties
L = 100 mm
Material Properties
E = 200 x 103 N/mm2
ν = 0.3
Creep Law: ε = Aσnt
A = 3.125 x 10-14 per hour ( σ in N/mm2 )
n = 5
Boundary Conditions
Bottom Edge: uy = 0, Top Edge: uy = 0.05
Right Edge: ux = 0.1, Left Edge: ux = 0
Loading
No applied forces

Results

Results are tabulated and displayed as NAFEMS manual.

             |   ANSYS   |   RATIO  |         INPUT         |

  PLANE182
  ECR6X         257.947       1.0008     vmr027-cr5b-182
  PLANE183
  ECR6X         257.947       1.0008     vmr027-cr5b-183

 ----------------------------------------------------------------
vmr027-cr5b-182.dat
vmr027-cr5b-183.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMR027-4C 		Up / Home Next
VMR027-6B


VMR027-6B

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMR027-6B

3-D - Triaxial Displacement Secondary Creep

Test Description

A block of length, height, and width L is constrained on the left face in the X-direction and constrained on the bottom face in the Y-direction. The model is displaced in all three directions by a given quantity.

Geometic Properties
L = 100 mm
Material Properties
E = 200 x 103 N/mm2
ν = 0.3
Creep Law: ε = Aσnt
A = 3.125 x 10-14 per hour ( σ in N/mm2 )
n = 5
Boundary Conditions
Left Face: ux = 0, Right Face: ux = 0.3
Bottom Face: uy = 0, Top Face: uy = 0.2
Front Face: uz = 0, Back Face: uz = 0.1
Loading
No applied forces

Results

Results are tabulated and displayed as NAFEMS manual.

             |   ANSYS   |   RATIO  |         INPUT         |

  SOLID185
  ISOCRX       1007.950       1.0002     vmr027-cr6b-185
  ANICRX       1007.950       1.0002     vmr027-cr6b-185
  SOLID186
  ISOCRX       1007.950       1.0002     vmr027-cr6b-186
  ANICRX       1007.950       1.0002     vmr027-cr6b-186
  SOLID187
  ISOCRX       1007.950       1.0002     vmr027-cr6b-187
  ANICRX       1007.950       1.0002     vmr027-cr6b-187

 ----------------------------------------------------------------
vmr027-cr6b-185.dat
vmr027-cr6b-186.dat
vmr027-cr6b-187.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMR027-5B 		Up / Home Next
VMR027-10A


VMR027-10A

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMR027-10A

2-D Plane Stress - Biaxial (negative) Load Primary Creep

Test Description

A square of length L and height L is constrained in the Y-direction on the bottom edge and constrained in the X-direction on the left edge. A tensile distributed load, σ1, is applied on the right edge and a compressive distributed load, σ2, is applied to the top edge.

Geometic Properties
L = 100 mm
Material Properties
E = 200 x 103 N/mm2
ν = 0.3
Creep Law: ε = Aσntm
n = 5
m = 0.5
Boundary Conditions
Bottom Edge: uy = 0
Left Edge: ux = 0
Loading
Right Edge:
σ1 = 200 N/mm2
Top Edge:
σ2 = -200 N/mm2

Results

Results are tabulated and displayed as NAFEMS manual.

             |   ANSYS   |   RATIO  |         INPUT         |

  SHELL181
  ECR6X           4.242       0.9937     vmr027-cr10a-181
  EFFCR           4.899       0.9936     vmr027-cr10a-181
  PLANE182
  ECR6X           4.267       0.9996     vmr027-cr10a-182
  EFFCR           4.928       0.9995     vmr027-cr10a-182
  PLANE183
  ECR6X           4.267       0.9996     vmr027-cr10a-183
  EFFCR           4.928       0.9995     vmr027-cr10a-183
  SHELL281
  ECR6X           4.242       0.9937     vmr027-cr10a-281
  EFFCR           4.899       0.9936     vmr027-cr10a-281

 ----------------------------------------------------------------
vmr027-cr10a-181.dat
vmr027-cr10a-182.dat
vmr027-cr10a-183.dat
vmr027-cr10a-281.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMR027-6B 		Up / Home Next
VMR027-10B


VMR027-10B

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMR027-10B

2-D Plane Stress - Biaxial (negative) Displacement Primary Creep

Test Description

A square of length L and height L is constrained in the Y-direction on the bottom edge and constrained in the X-direction on the left edge. The model is displaced in the X-direction by u1 and in the Y-direction by u2.

Geometic Properties
L = 100 mm
Material Properties
E = 200 x 103 N/mm2
ν = 0.3
Creep Law: ε = Aσntm
n = 5
m = 0.5
Boundary Conditions
Top Edge: uy = -0.1, Bottom Edge: uy = 0
Right Edge: ux = 0.1, Left Edge: ux = 0
Loading
No applied forces

Results

Results are tabulated and displayed as NAFEMS manual.

             |   ANSYS   |   RATIO  |         INPUT         |

  SHELL181
  S6             19.061       1.0393     vmr027-cr10b-181
  S7             26.636       1.0206     vmr027-cr10b-181
  PLANE182
  S6             19.061       1.0393     vmr027-cr10b-182
  S7             26.636       1.0206     vmr027-cr10b-182
  PLANE183
  S6             19.061       1.0393     vmr027-cr10b-183
  S7             26.636       1.0206     vmr027-cr10b-183
  SHELL281
  S6             19.061       1.0393     vmr027-cr10b-281
  S7             26.636       1.0206     vmr027-cr10b-281

 ----------------------------------------------------------------
vmr027-cr10b-181.dat
vmr027-cr10b-182.dat
vmr027-cr10b-183.dat
vmr027-cr10b-281.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMR027-10A 		Up / Home Next
VMR027-10C


VMR027-10C

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMR027-10C

2-D Plane Stress - Biaxial (negative) Stepped Load - Primary Creep

Test Description

A square of length L and height L is constrained in the Y-direction on the bottom edge and constrained in the X-direction on the left edge. A tensile distributed load, σ1, is applied on the right edge and a compressive distributed load, σ2, is applied to the top edge.

Geometic Properties
Plane Stress
L = 100 mm
Material Properties
E = 200 x 103 N/mm2
ν = 0.3
Creep Law: ε = Aσntm
n = 5
m = 0.5
Boundary Conditions
Bottom Edge: uy = 0
Left Edge: ux = 0
Loading
Right Edge:
σ = 200 N/mm2 (t = 100 hrs)
σ = 250N/mm2 (t > 100 hrs)
Top Edge:
σ = -200 N/mm2 (t = 100 hrs)
σ = -250N/mm2 (t > 100 hrs)

Results

Results are tabulated and displayed as NAFEMS manual.

             |   ANSYS   |   RATIO  |         INPUT         |

  SHELL181
  S2              2.900       0.9488     vmr027-cr10c-181
  S7              4.188       0.9660     vmr027-cr10c-181
  PLANE182
  S2              2.934       0.9598     vmr027-cr10c-182
  S7              4.211       0.9714     vmr027-cr10c-182
  PLANE183
  S2              2.934       0.9598     vmr027-cr10c-183
  S7              4.211       0.9714     vmr027-cr10c-183
  SHELL281
  S2              2.900       0.9488     vmr027-cr10c-281
  S7              4.188       0.9660     vmr027-cr10c-281

 ----------------------------------------------------------------
vmr027-cr10c-181.dat
vmr027-cr10c-182.dat
vmr027-cr10c-183.dat
vmr027-cr10c-281.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMR027-10B 		Up / Home Next
VMR027-12B


VMR027-12B

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMR027-12B

2-D Plane Stress - Uniaxial Displacement Primary-Secondary Creep

Test Description

A square of length L and height L is constrained in the X-direction on the left edge and constrained in the Y-direction at the midpoint of the left edge. A displacement, u1, is applied in the X-direction.

Geometic Properties
L = 100 mm
Material Properties
E = 200 x 103 N/mm2
ν = 0.3
Creep Law:
ε = A1σn1t + A2σn2tm
n1 = n2 = 5
m = 0.5
Boundary Conditions
Bottom Edge: uy = 0
Left Edge: ux = 0
Left Edge (midpoint): uy = 0
Right Edge: ux = 0.1
Loading
No applied forces

Results

Results are tabulated and displayed as NAFEMS manual.

             |   ANSYS   |   RATIO  |         INPUT         |

  SHELL181
  ECR11X         42.218       1.0146     vmr027-cr12b-181
  PLANE182
  ECR11X         42.218       1.0146     vmr027-cr12b-182
  PLANE183
  ECR11X         42.218       1.0146     vmr027-cr12b-183
  SHELL281
  ECR11X         42.218       1.0146     vmr027-cr12b-281

 ----------------------------------------------------------------
vmr027-cr12b-181.dat
vmr027-cr12b-182.dat
vmr027-cr12b-183.dat
vmr027-cr12b-281.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMR027-10C 		Up / Home Next
VMR027-12C


VMR027-12C

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMR027-12C

2-D Plane Stress - Stepped Load Primary - Secondary Creep

Test Description

A square of length L and height L is constrained in the X-direction on the left edge and constrained in the Y-direction at the midpoint of the left edge. A distributed load, σ1, is applied in the X-direction on the right edge.

Geometic Properties
L = 100 mm
Material Properties
E = 200 x 103 N/mm2
ν = 0.3
Creep Law:
ε = A1σn1t + A2σn2tm
n1 = n2 = 5
m = 0.5
Boundary Conditions
Left Edge: ux = 0
Left Edge (midpoint): uy = 0
Loading
Right Edge:
σ = 100 N/mm2 (t = 10000 hrs)
σ = 110 N/mm2 (t > 10000 hrs)

Results

Results are tabulated and displayed as NAFEMS manual.

             |   ANSYS   |   RATIO  |         INPUT         |

  SHELL181
  ECR11X          0.043       0.9952     vmr027-cr12c-181
  PLANE182
  ECR11X          0.043       0.9988     vmr027-cr12c-182
  PLANE183
  ECR11X          0.043       0.9988     vmr027-cr12c-183
  SHELL281
  ECR11X          0.043       0.9952     vmr027-cr12c-281

 ----------------------------------------------------------------
vmr027-cr12c-181.dat
vmr027-cr12c-182.dat
vmr027-cr12c-183.dat
vmr027-cr12c-281.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMR027-12B 		Up / Home Next
VMR029-T1


VMR029-T1

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMR029-T1

Elastic large deflection response of a z-shaped cantilever upper end load

Test Description

A Z-shaped cantilever of length L = 180, height H = 30, width W = 20 and thickness t = 1.7 is constrained in all directions at the origin and a total conservative end load of Pmax = 4000 is applied to the rightmost edge of the cantilever. Elastic large deflection analysis is performed.

Geometic Properties
L = 180
H = 30
W = 20
t = 1.7
Material Properties
E = 2.0 x 105
ν = 0.3
Boundary Conditions
Applied at built-in end:
Uy = 0
Ux = 0
Uz = 0
Loading
Applied at right edge:
Pmax = 4000

Results

Results are tabulated and displayed as NAFEMS manual.

 |  LOAD  |      ANSYS      |   RATIO   |      TEST      |

 SHELL181
  4000.00       143.95          1.00      vmr029-t1-181
 SOLID185
  4000.00       142.62          0.99      vmr029-t1-185
 BEAM188
  4000.00       143.41          1.00      vmr029-t1-188
 BEAM189
  4000.00       143.43          1.00      vmr029-t1-189
 SOLSH190
  4000.00       144.11          1.00      vmr029-t1-190
 SHELL281
  4000.00       142.94          1.00      vmr029-t1-281

 ----------------------------------------------------------

Element ANSYS Ratio Test Input

vmr029-t1-181.dat
vmr029-t1-185.dat
vmr029-t1-188.dat
vmr029-t1-189.dat
vmr029-t1-190.dat
vmr029-t1-281.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMR027-12C 		Up / Home Next
VMR029-T4


VMR029-T4

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMR029-T4

Lateral torsional buckling of an elastic cantilever subjected to transverse end load

Test Description

A cantilever of length L = 100, height H = 5 and thickness t = 0.2 is supported in all directions at the built-in end. A conservative load and a non-conservative load are applied using arc-length procedures and the model is solved for tip lateral displacement.

Geometic Properties
L = 100
H = 5
t = 0.2
Material Properties
E = 1.0 x 104
G = 0.5 x 104
Boundary Conditions
Applied at built-in end:
Uy = 0
Ux = 0
Uz = 0
Loading
Conservative: nodal force P
Non-conservative: nodal follower force P

Results

Results are tabulated and displayed as NAFEMS manual.

          |   ANSYS   |   RATIO   |      TEST      |

 SHELL181
  PCR        .01883      0.9951      vmr029-t4-181
 SOLID185
  PCR        .01978      1.0454      vmr029-t4-185
 BEAM188
  PCR        .01892      1.0001      vmr029-t4-188
 BEAM189
  PCR        .01883      0.9955      vmr029-t4-189
 SOLSH190
  PCR        .01978      1.0454      vmr029-t4-190
 SHELL281
  PCR        .01874      0.9903      vmr029-t4-281

 ----------------------------------------------------------------

Element ANSYS Ratio Test Input

vmr029-t4-181.dat
vmr029-t4-185.dat
vmr029-t4-188.dat
vmr029-t4-189.dat
vmr029-t4-190.dat
vmr029-t4-281.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMR029-T1 		Up / Home Next
VMR029-T5


VMR029-T5

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMR029-T5

Large deflection of a curved elastic cantilever under transverse end load

Test Description

A curved cantilever beam of radius R = 100 is constrained in all directions at left end and a conservative transverse load of Pmax = 3000 is applied at the right end. Large deflection analysis is performed.

Geometic Properties
R = 100
θ = 45°
Material Properties
E = 1.0 x 107
G = 0.5 x 107
Boundary Conditions
Applied at built-in end:
Uy = 0
Ux = 0
Uz = 0
Loading
Applied at unbounded end:
Pmax = 3000

Results

Results are tabulated and displayed as NAFEMS manual.

           |    ANSYS    |   RATIO   |     INPUT     |

 SOLID185
    UX       25.3500       1.0152      vmr029-t5-185
    UY       47.2331       0.9984      vmr029-t5-185
    UZ       67.1181       0.9857      vmr029-t5-185
 BEAM188
    UX       25.0028       1.0013      vmr029-t5-188
    UY       47.6393       1.0070      vmr029-t5-188
    UZ       68.4212       1.0049      vmr029-t5-188
 BEAM189
    UX       25.0733       1.0041      vmr029-t5-189
    UY       47.7445       1.0092      vmr029-t5-189
    UZ       68.5207       1.0063      vmr029-t5-189
 SOLSH190
    UX       24.9927       1.0009      vmr029-t5-190
    UY       47.3291       1.0004      vmr029-t5-190
    UZ       67.1028       0.9855      vmr029-t5-190

 ----------------------------------------------------------------

Element ANSYS Ratio Test Input

vmr029-t5-185.dat
vmr029-t5-188.dat
vmr029-t5-189.dat
vmr029-t5-190.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMR029-T4 		Up / Home Next
VMR029-T7


VMR029-T7

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMR029-T7

Large displacement elastic response of a hinged spherical shell under uniform pressure loading

Test Description

A spherical shell plate of length L = 1570 is simply supported along all 4 edges and a uniform distributed pressure load is applied on the shell surface. Elastic large deflection analysis is performed.

Geometic Properties
L = 1570
Shell mid-surface equation:
Z = 2.0285 x 10-4[X x (1570 - X) + Y x (1570 - Y)]
Material Properties
E = 69
ν = 0.3
Boundary Conditions
Applied along edges:
Uy = 0
Ux = 0
Uz = 0
Loading
Evenly distributed pressure load normal to shell surface with Pmax = 0.1

Results

Results are tabulated and displayed as NAFEMS manual.

           |    ANSYS    |   RATIO   |      INPUT      |

 SHELL181
 LIMIT1        0.06003      0.92424      vmr029-t7-181
 LIMIT2        0.03414      1.10699      vmr029-t7-181
 SOLID185
 LIMIT1        0.05524      0.85053      vmr029-t7-185
 LIMIT2        0.03278      1.06299      vmr029-t7-185
 SOLSH190
 LIMIT1        0.05441      0.83777      vmr029-t7-190
 LIMIT2        0.02863      0.92827      vmr029-t7-190
 SHELL281
 LIMIT1        0.05950      0.91610      vmr029-t7-281
 LIMIT2        0.03283      1.06455      vmr029-t7-281

 ----------------------------------------------------------------

Element ANSYS Ratio Test Input

vmr029-t7-181.dat
vmr029-t7-185.dat
vmr029-t7-190.dat
vmr029-t7-281.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMR029-T5 		Up / Home Next
VMR029-T9


VMR029-T9

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMR029-T9

Large elastic deflection of a pinched hemispherical shell

Test Description

A hemispherical shell of radius R = 10 and thickness t = 0.04 with symmetry boundary conditions applied along the planes x = 0 and y = 0 and a concentrated load Pmax = 100 applied inward and outward iametrically. Elastic large deflection analysis is performed.

Geometic Properties
R = 10
t = 0.04
θ = 0° - 90°
φ = 18° - 90°
Material Properties
E = 6.825 x 107
ν = 0.3
Boundary Conditions
Symmetry on plane y = 0
Uy = 0
Rx = 0
Rz = 0
Symmetry on plane x = 0
Ux = 0
Ry = 0
Rz = 0
Applied at node location (10,0,0)
Uz = 0
Loading
Pmax = 100 applied inward at node location (10,0,0)
Pmax = 100 applied outward at node location (0,10,0)

Results

Results are tabulated and displayed as NAFEMS manual.

           |    ANSYS    |   RATIO   |      INPUT      |

 SHELL181
 NODE A       -5.9806       1.0137      vmr029-t9-181
 NODE B        3.3847       0.9897      vmr029-t9-181
 SOLID185
 NODE A       -5.7384       0.9726      vmr029-t9-185
 NODE B        3.3282       0.9732      vmr029-t9-185
 SOLSH190
 NODE A       -5.8983       0.9997      vmr029-t9-190
 NODE B        3.4113       0.9974      vmr029-t9-190
 SHELL281
 NODE A       -5.6802       0.9627      vmr029-t9-281
 NODE B        3.3126       0.9686      vmr029-t9-281

 ----------------------------------------------------------------

Element ANSYS Ratio Test Input

vmr029-t9-181.dat
vmr029-t9-185.dat
vmr029-t9-190.dat
vmr029-t9-281.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMR029-T7 		Up / Home Next
VMR049-CR1


VMR049-CR1

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMR049-CR1

Constant-Load Creep Benchmark

Test Description

A 2-D box of length L and height L is constrained at left edge in Y-direction and in both X and Y directions at midpoint. A distributed load, σ, is applied on the right edge.

Geometric Properties
L = 100 mm
Material Properties
E = 200 x 103 N/mm 2
ν = 0.3
Secondary Creep: ε = Aσntm
A = 3.125 x 10-14 (t in hours, σ in N/mm2)
m = 1, n = 5
Primary Creep: As Secondary Creep, except m = 0.5
Combined Primary-Secondary Creep:
ε A1σn1t + A2σn2tm
A1 = 10-16
A2 =10-14 (t in hour,σ in N/mm2)
n1 = n2 = 5
Boundary Conditions
Left End: ux = 0
Left End Midpoint: uy = 0
Loading
σ = 200 N/mm2 (Secondary Creep and Primary Creep)
σ = 100 N/mm 2 (Combined Primary-Secondary Creep)

Results

Reference: Creep strain results are displayed at intervals of 200 ending at 1000.

             |   ANSYS   |   RATIO  |         INPUT         |

  SHELL181
  ECR2X         9.9118       0.9912     vmr049-cr1a-181
  ECR2Y        -4.9415       0.9883     vmr049-cr1a-181
  PLANE182
  ECR2X        10.0000       1.0000     vmr049-cr1a-182
  ECR2Y        -5.0000       1.0000     vmr049-cr1a-182
  PLANE183
  ECR2X        10.0000       1.0000     vmr049-cr1a-183
  ECR2Y        -5.0000       1.0000     vmr049-cr1a-183
  SHELL281
  ECR2X         9.9118       0.9912     vmr049-cr1a-281
  ECR2Y        -4.9415       0.9883     vmr049-cr1a-281

 ----------------------------------------------------------------

             |   ANSYS   |   RATIO  |         INPUT         |

  PLANE181
  ECR2X         0.2502       0.9969     vmr049-cr1b-181
  ECR2Y        -0.1250       0.9999     vmr049-cr1b-181
  PLANE182
  ECR2X         0.2509       0.9997     vmr049-cr1b-182
  ECR2Y        -0.1255       1.0037     vmr049-cr1b-182
  PLANE183
  ECR2X         0.2509       0.9997     vmr049-cr1b-183
  ECR2Y        -0.1255       1.0037     vmr049-cr1b-183
  SHELL281
  ECR2X         0.2502       0.9969     vmr049-cr1b-281
  ECR2Y        -0.1250       0.9999     vmr049-cr1b-281

 ----------------------------------------------------------------

             |   ANSYS   |   RATIO  |         INPUT         |

  PLANE181
  ECR11X        0.0041       0.9999     vmr049-cr1c-181
  ECR11Y       -0.0021       0.9993     vmr049-cr1c-181
  PLANE182
  ECR11X        0.0042       1.0032     vmr049-cr1c-182
  ECR11Y       -0.0021       1.0031     vmr049-cr1c-182
  PLANE183
  ECR11X        0.0042       1.0032     vmr049-cr1c-183
  ECR11Y       -0.0021       1.0031     vmr049-cr1c-183
  SHELL281
  ECR11X        0.0041       0.9999     vmr049-cr1c-281
  ECR11Y       -0.0021       0.9993     vmr049-cr1c-281

 ----------------------------------------------------------------
vmr049-cr1a-181.dat
vmr049-cr1a-182.dat
vmr049-cr1a-183.dat
vmr049-cr1a-281.dat
vmr049-cr1b-181.dat
vmr049-cr1b-182.dat
vmr049-cr1b-183.dat
vmr049-cr1b-281.dat
vmr049-cr1c-181.dat
vmr049-cr1c-182.dat
vmr049-cr1c-183.dat
vmr049-cr1c-281.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMR029-T9 		Up / Home Next
VMR049-CR2


VMR049-CR2

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMR049-CR2

Constant-Displacement Creep Benchmark

Test Description

A box of length L and height L (and thickness L if 3D) is constrained in the Y-direction along the bottom edge and in the X-direction along the left edge. The box is displaced in all directions by a set amount.

Geometric Properties
L = 100 mm
Material Properties
E = 200 x 103 N/mm2
ν = 0.3
Creep Law: ε = Aσntm
A = 3.125x10-14 (t in hours, σ in N/mm2)
n = 5
2D Plane Stress: m = 0.5
3D: m = 1
Boundary Conditions
2D Plane Stress
Left Edge: ux = 0, Right Edge: ux = 0.1
Top Edge: uy = 0.1, Bottom Edge: uy = 0
3D
Left Face: ux = 0, Right Face: ux = 0.3
Top Face: uy = 0.2, Bottom Face: uy = 0
Front Face: uz = 0, Back Face: uz = 0.1
Loading
No applied forces

Results

Reference: Stress results are displayed at incremented time intervals of 200 hours ending at 1000 hours

             |   ANSYS   |   RATIO  |         INPUT         |

  SHELL181
  S6           37.2112       1.0000     vmr049-cr2-181
  S7           51.6610       1.0000     vmr049-cr2-181
  PLANE182
  S6           37.2112       1.0000     vmr049-cr2-182
  S7           51.6610       1.0000     vmr049-cr2-182
  PLANE183
  S6             37.211       1.0000     vmr049-cr2-183
  S7             51.661       1.0000     vmr049-cr2-183
  SOLID185
  S6X          1009.911       1.0009     vmr049-cr2-185
  S6Y          1000.000       1.0000     vmr049-cr2-185
  S6Z           990.089       0.9991     vmr049-cr2-185
  SOLID187
  S6X          1008.189        0.9991     vmr049-cr2-187
  S6Y          1000.000        1.0000     vmr049-cr2-187
  S6Z           991.811        1.0009     vmr049-cr2-187
  SHELL281
  S6           37.2112       1.0000     vmr049-cr2-281
  S7           51.6610       1.0000     vmr049-cr2-281

 ----------------------------------------------------------------
vmr049-cr2-181.dat
vmr049-cr2-182.dat
vmr049-cr2-183.dat
vmr049-cr2-185.dat
vmr049-cr2-187.dat
vmr049-cr2-281.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMR049-CR1 		Up / Home Next
VMR049-CR3


VMR049-CR3

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMR049-CR3

Variable-Load Uniaxial Creep Benchmark

Test Description

A 2-D box of length L and height L is constrained at left edge in Y-direction and in both X and Y directions at midpoint. A distributed load, σ, is applied on the right edge

Geometric Properties
L = 100 mm
Material Properties
E = 200 x 103 N/mm2
ν = 0.3
Creep Law: ε = Aσntm
n = 5
m = 0.5
Boundary Conditions
Left End: ux = 0
Midpoint of Left End: uy = 0
Loading
Tensile Stress,σ1, on right edge
Uniaxial Load
σ1 = 200 N/mm2 (t = 0-100hrs)
σ1 = 250 N/mm2 (t > 100hrs)

Results

Reference: Creep strain results in X-direction are displayed by incrementing the time every 50 hours ending at 200 hours.

             |   ANSYS   |   RATIO  |         INPUT         |

  SHELL181
  S2            0.2183       0.9878     vmr049-cr3-181
  S7            0.3139       0.9966     vmr049-cr3-181
  PLANE182
  S2            0.2213       1.0015     vmr049-cr3-182
  S7            0.3148       0.9994     vmr049-cr3-182
  PLANE183
  S2            0.2213       1.0015     vmr049-cr3-183
  S7            0.3149       0.9997     vmr049-cr3-183
  SHELL281
  S2            0.2183       0.9878     vmr049-cr3-281
  S7            0.3140       0.9967     vmr049-cr3-281

 ----------------------------------------------------------------
vmr049-cr3-181.dat
vmr049-cr3-182.dat
vmr049-cr3-183.dat
vmr049-cr3-281.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMR049-CR2 		Up / Home Next
VMR049-CR4


VMR049-CR4

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMR049-CR4

Pressurised Cylinder Creep Benchmark

Test Description

A box of length R2-R1 and height H is offset from the origin by a distance R1. The bottom and top edge is constrained in the Y-direction and a distributed load, P, is applied to the left edge.

Geometric Properties
R1 = 100 mm
R2 = 200 mm
H = 25 mm
P = 100 N/mm2
Material Properties
E = 200 x 103 N/mm2
ν = 0.3
Creep Law: ε = Aσntm
A = 3.125 x 10-14 (t in hours, σ in N/mm2)
n = 5
m = 1
Boundary Conditions
Bottom and Top Edge: uz = 0
Loading
Pressure, P, applied to left edge.

Results

Reference: Stress results are displayed at incremented intervals of 25 starting at 0 and ending at 100.

             |   ANSYS   |   RATIO  |         INPUT         |

  PLANE182
  RESULTS TAKEN AT RADIUS=175
  ELS6X        -20.8547       1.0702     vmr049-cr4-182
  ELS6Z        154.1880       1.0089     vmr049-cr4-182
  SSS6X        -34.4550       0.9983     vmr049-cr4-182
  SSS6Z        229.4624       0.9991     vmr049-cr4-182
  PLANE183
  RESULTS TAKEN AT RADIUS=175
  ELS6X        -19.4872       1.0000     vmr049-cr4-183
  ELS6Z        152.8205       1.0000     vmr049-cr4-183
  SSS6X        -34.5117       1.0000     vmr049-cr4-183
  SSS6Z        229.6722       1.0000     vmr049-cr4-183

 ----------------------------------------------------------------
vmr049-cr4-182.dat
vmr049-cr4-183.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMR049-CR3 		Up / Home Next
VMR049-CR5


VMR049-CR5

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMR049-CR5

Torsional Creep of Square Shaft

Test Description

A block of length L1, height L2, and thickness L3is rotated about the Z axis by β.

Geometric Properties
L1 = 1 mm
L2 = 2 mm
L3 = 0.2 mm
Angle of Rotation: β = 0.01 radians per unit length
Material Properties
E = 10.0 N/mm2
ν = 0.3
Creep Law: dε/dt = Aσntm
A = 104 (t in hours, σ in N/mm2)
n = 5
m = -0.5
Boundary Conditions
Back Face: ux = 0, uy = 0
Bottom Face and Left Face: uz = unknown (multi-point constraints)
uz = 0 at location (0,0,0), (L1,0,0), and (0,L2,0)
Loading
No applied forces

Note

Front face and mid-plane, located at half the thickness, are rotated by an angle β. All nodes on the front face and mid-plane have ux = -rβLsinθ and uy = rβLsinθ, where L = 0.2 mm for the front face and L = 0.1 mm for the mid-plane. θ = angle measured anticlockwise from the X axis.

Results

Reference: Shear stress values in YZ-direction are displayed at each decade starting at 0.001 and ending at 100.

             |   ANSYS   |   RATIO  |         INPUT         |

  SOLID185
  SYZ2          0.0143       1.0004     vmr049-cr5-185
  SOLID186
  SYZ2          0.0143       1.0000     vmr049-cr5-186
  SOLID187
  SYZ2          0.0142       0.9966     vmr049-cr5-187

 ----------------------------------------------------------------
vmr049-cr5-185.dat
vmr049-cr5-186.dat
vmr049-cr5-187.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMR049-CR4 		Up / Home Next
VMR049-CR6


VMR049-CR6

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMR049-CR6

Thermally Induced Creep Benchmark

Test Description

A 10° slice of an axisymmetric sphere having an inner radius of R1 and outer radius of R2 is constrained at the top and bottom edges in the Y-direction. A distributed load, P, is applied to the left edge.

Geometric Properties
R1 = 200 mm
R2 = 500 mm
β = 10°
P = 30 N/mm2
Material Properties
E = 10x103 N/mm2
ν = 0.25
Creep Law: dε/dt = Aσnf(T)
A = 3.0x10-6 (t in hours, σ, in N/mm2)
n = 5.5
f(T) = e-12500/T where T is temperature in °K
Boundary Conditions
Bottom Edge: uz = 0
Top Edge: Perpendicular Displacement = 0 (symmetry condition)
Temperature prescibed at all nodes as follows: T = 333(1+100/r) where r is radius measured from the center of the sphere.
Loading
Pressure, P, on left edge.

Results

Reference: Effective stress results are displayed for each hour starting from 0 and ending at 10 (log scale).

             |   ANSYS   |   RATIO  |         INPUT         |

  PLANE182
  SR205        11.2551       1.0005     vmr049-cr6-182
  SR350        17.5837       1.0002     vmr049-cr6-182
  SR495        21.1643       1.0002     vmr049-cr6-182
  PLANE183
  SR205        11.5369       1.0255     vmr049-cr6-183
  SR350        17.6113       1.0018     vmr049-cr6-183
  SR495        21.0756       0.9960     vmr049-cr6-183

 ----------------------------------------------------------------
vmr049-cr6-182.dat
vmr049-cr6-183.dat

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMR049-CR5 		Up / Home Next
VMR049-PL1


VMR049-PL1

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMR049-PL1

2D Plane Strain Plasticity Benchmark

Test Description

A square of length L and height L is constrained in the Y-direction along the bottom edge and in the X-direction along the left edge. The model is displaced in the X and Y directions.

Geometric Properties
L = 1.0 mm
Material Properties
E = 250.0 x 103 N/mm2
ν = 0.25
Plasticity Model
Perfect Plasticity: σys = 5.0 N/mm2
Isotropic Hardening: ET = 50.0 x 103 N/mm2
Boundary Conditions
Left Edge: ux = 0
Bottom Edge: uy = 0
Right Edge: ux = δx
Top Edge: uy = δy
Loading
No applied forces
Displacements prescribed in 8 increments (R = 2.5x10-5), as follows:
Step: Disp. Change | Step: Stress State
Step 1: Δux= +R | Step 1: First Yield
Step 2: Δux = +R | Step 2: Plastic Flow
Step 3: Δuy = +R | Step 3: Elastic Unloading
Step 4: Δuy = +R | Step 4: Plastic Reloading
Step 5: Δux = -R | Step 5: Plastic Flow
Step 6: Δux = -R | Step 6: Plastic Flow
Step 7: Δuy = -R | Step 7: Elastic Unloading
Step 8: Δuy = -R | Step 8: Plastic Flow

Results

Reference: Stress results are displayed as the step is incremented by 1 starting with 0 and ending at 8.

             |   ANSYS   |   RATIO  |         INPUT         |

  PLANE182
  RESULTS LISTED USING LOAD STEP 6
  SX            5.1140       0.9961     vmr049-pl1a-182
  SY           10.6919       0.9951     vmr049-pl1a-182
  SZ            9.1935       1.0081     vmr049-pl1a-182
  PLANE183
  RESULTS LISTED USING LOAD STEP 6
  SX            5.1140       0.9961     vmr049-pl1a-183
  SY           10.6919       0.9951     vmr049-pl1a-183
  SZ            9.1935       1.0081     vmr049-pl1a-183

 ----------------------------------------------------------------

             |   ANSYS   |   RATIO  |         INPUT         |

  PLANE182
  RESULTS REPORTED USING LOAD STEP 7
  SX            1.5057       0.9701     vmr049-pl1b-182
  SY            4.9217       0.9937     vmr049-pl1b-182
  SZ            6.0725       1.0129     vmr049-pl1b-182
  PLANE183
  RESULTS REPORTED USING LOAD STEP 7
  SX            1.5057       0.9701     vmr049-pl1b-183
  SY            4.9217       0.9937     vmr049-pl1b-183
  SZ            6.0725       1.0129     vmr049-pl1b-183

 ----------------------------------------------------------------
vmr049-pl1a-182.dat (a)
vmr049-pl1a-183.dat (a)
vmr049-pl1b-182.dat (b)
vmr049-pl1b-183.dat (b)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMR049-CR6 		Up / Home Next
VMR049-PL2


VMR049-PL2

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMR049-PL2

2D Plane Stress Plasticity Benchmark

Test Description

A square of length L and height L is constrained in the Y-direction along the bottom edge and in the X-direction along the left edge. The model is displaced in the X and Y directions.

Geometry
L = 1.0 mm
Material Properties
E = 250.0 x 103 N/mm2
ν = 0.25
Plasticity Model
Perfect Plasticity: σys = 5.0 N/mm2
Isotropic Hardening: ET = 50.0 x 103 N/mm2
Boundary Conditions
Left Edge: ux = 0
Bottom Edge: uy = 0
Right Edge: ux = δx
Top Edge: uy = δy
Loading
No applied forces
Displacements prescribed in 8 increments (R = 2.5 x 10-5), as follows:
Step: Disp. change | Step: Stress state
Step 1: Δux = +R | Step 1: First Yield
Step 2: Δux = +R | Step 2: Plastic Flow
Step 3: Δuy = +R | Step 3: Elastic Unloading
Step 4: Δuy = +R | Step 4: Plastic Reloading
Step 5: Δux = -R | Step 5: Plastic Flow
Step 6: Δux = -R | Step 6: Plastic Flow
Step 7: Δuy = -R | Step 7: Elastic Unloading
Step 8: Δuy = -R | Step 8: Plastic Flow

Results

Reference: Stress results are displayed as the step is incremented by 1 starting with 0 and ending at 8.

             |   ANSYS   |   RATIO  |         INPUT         |

  SHELL181
  SX           -3.3494       1.0001     vmr049-pl2a-181
  SY           -5.7473       1.0001     vmr049-pl2a-181
  SEFF          5.0000       1.0000     vmr049-pl2a-181
  PLANE182
  SX           -3.3494       1.0001     vmr049-pl2a-182
  SY           -5.7473       1.0001     vmr049-pl2a-182
  SEFF          5.0000       1.0000     vmr049-pl2a-182
  PLANE183
  SX           -3.3494       1.0001     vmr049-pl2a-183
  SY           -5.7473       1.0001     vmr049-pl2a-183
  SEFF          5.0000       1.0000     vmr049-pl2a-183
  SHELL281
  SX           -3.3494       1.0001     vmr049-pl2a-281
  SY           -5.7473       1.0001     vmr049-pl2a-281
  SEFF          5.0000       1.0000     vmr049-pl2a-281

 ----------------------------------------------------------------

             |   ANSYS   |   RATIO  |         INPUT         |

  SHELL181
  SX           -9.1555       1.0001     vmr049-pl2b-181
  SY           -8.4910       1.0000     vmr049-pl2b-181
  SEFF          8.8420       1.0000     vmr049-pl2b-181
  PLANE182
  SX           -9.1555       1.0001     vmr049-pl2b-182
  SY           -8.4910       1.0000     vmr049-pl2b-182
  SEFF          8.8420       1.0000     vmr049-pl2b-182
  SHELL281
  SX           -9.1555       1.0001     vmr049-pl2b-281
  SY           -8.4910       1.0000     vmr049-pl2b-281
  SEFF          8.8420       1.0000     vmr049-pl2b-281

 ----------------------------------------------------------------
vmr049-pl2a-181.dat (a)
vmr049-pl2a-182.dat (a)
vmr049-pl2a-183.dat (a)
vmr049-pl2a-281.dat (a)
vmr049-pl2b-181.dat (b)
vmr049-pl2b-182.dat (b)
vmr049-pl2b-281.dat (b)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMR049-PL1 		Up / Home Next
VMR049-PL3


VMR049-PL3

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMR049-PL3

3D Plasticity Benchmark

Test Description

A block with length, height, and length L is constrained at Z = L in the Y-direction and constrained in the X-direction when Z = L and Y ranges from 0 to L. The block is displaced according to the given boundary conditions.

Geometry
L = 1.0 mm
Material Properties
E = 250 x 103 N/mm2
ν = 0.25
Plasticity Model
Perfect Plasticity: σys = 5.0 N/mm2
Isotropic Hardening: ET = 50 x 103 N/mm2
Boundary Conditions
Left Face: ux = 0
Bottom Face: uy = 0
Front Face: uz = 0
Right Face: ux = δx
Top Face: uy = δy
Back Face: uz = δz
Loading
No applied forces
Displacements prescribed in 12 steps (R = 2.5 x 10-5) as follows:
Step: Disp. change
Step 1: Δux = +R
Step 2: Δux = +R
Step 3: Δuy = +R
Step 4: Δuy = +R
Step 5: Δuz = +R
Step 6: Δuz = +R
Step 7: Δux = -R
Step 8: Δux = -R
Step 9: Δuy = -R
Step 10: Δuy = -R
Step 11: Δuz = -R
Step 12: Δuz = -R

Results

Reference: Stress results are displayed for each step as the step is incremented by 1 starting from 0 and ending at 12.

             |   ANSYS   |   RATIO  |         INPUT         |

  SOLID185
  SX            2.7470       1.0000     vmr049-pl3a-185
  SY            0.2618       0.9991     vmr049-pl3a-185
  SZ           -3.0087       0.9999     vmr049-pl3a-185
  SEFF          5.0000       1.0000     vmr049-pl3a-185
  SOLID186
  SX            2.7470       1.0000     vmr049-pl3a-186
  SY            0.2618       0.9991     vmr049-pl3a-186
  SZ           -3.0087       0.9999     vmr049-pl3a-186
  SEFF          5.0000       1.0000     vmr049-pl3a-186
  SOLID187
  SX            2.7470       1.0000     vmr049-pl3a-187
  SY            0.2618       0.9991     vmr049-pl3a-187
  SZ           -3.0087       0.9999     vmr049-pl3a-187
  SEFF          5.0000       1.0000     vmr049-pl3a-187

 ----------------------------------------------------------------

             |   ANSYS   |   RATIO  |         INPUT         |

  SOLID185
  SX            1.9340       1.0000     vmr049-pl3b-185
  SY           -0.5406       0.9993     vmr049-pl3b-185
  SZ           -1.3934       1.0003     vmr049-pl3b-185
  SEFF          2.9936       0.9999     vmr049-pl3b-185
  SOLID186
  SX            1.9340       1.0000     vmr049-pl3b-186
  SY           -0.5406       0.9993     vmr049-pl3b-186
  SZ           -1.3934       1.0003     vmr049-pl3b-186
  SEFF          2.9936       0.9999     vmr049-pl3b-186
  SOLID187
  SX            1.9340       1.0000     vmr049-pl3b-187
  SY           -0.5406       0.9993     vmr049-pl3b-187
  SZ           -1.3934       1.0003     vmr049-pl3b-187
  SEFF          2.9936       0.9999     vmr049-pl3b-187
  SOLSH190
  SX            1.9340       1.0000     vmr049-pl3b-190
  SY           -0.5406       0.9993     vmr049-pl3b-190
  SZ           -1.3934       1.0003     vmr049-pl3b-190
  SEFF          2.9936       0.9999     vmr049-pl3b-190

 ----------------------------------------------------------------
vmr049-pl3a-185.dat (a)
vmr049-pl3a-186.dat (a)
vmr049-pl3a-187.dat (a)
vmr049-pl3b-185.dat (b)
vmr049-pl3b-186.dat (b)
vmr049-pl3b-187.dat (b)
vmr049-pl3b190.dat (b)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMR049-PL2 		Up / Home Next
VMR049-PL5


VMR049-PL5

Release 11.0 Documentation for ANSYS

Verification Manual | Part IV, NAFEMS Benchmarks |

VMR049-PL5

Pressurised Cylinder Plasticity Benchmark

Test Description

A square of length R2-R1 and height H is constrained in the Z-direction on the top and bottom edges and offset a distance R1 from the origin. A distributed pressure load is applied to the left edge.

Geometric Properties (Axisymmetric)
R1 = 100 mm
R2 = 200 mm
H = 100 mm
Material Properties
E = 21.0 x 103 N/mm2
ν = 0.3
Plasticity Model
Perfect Plasticity: σys = 24.0 N/mm2
Isotropic Hardening: ET = 4.2 x 103 N/mm2
Boundary Conditions
Top and Bottom Edges: uz = 0
Loading
Internal pressure, P, at the bore (left edge) applied in 4 steps.
Step: Perfect Plasticity | Step: Iso. Hardening
1: P = 10.0 N/mm2 | 1: P = 10.0 N/mm2
2: P = 14.0 N/mm2 | 2: P = 14.0 N/mm2
3: P = 16.6 N/mm2 | 3: P = 24.0 N/mm2
4: P = 19.2 N/mm2 | 4: P = 34.0 N/mm2

Results

Reference: Stress results are displayed for each step as the step is incremented by 1 starting at 0 and ending at 4.

             |   ANSYS   |   RATIO  |         INPUT         |

  PLANE182
  SRAD         -15.3322       0.9720     vmr049-pl5a-182
  SAXI          -1.9040       1.0133     vmr049-pl5a-182
  SHOOP         12.3762       1.0371     vmr049-pl5a-182
  SEFF          24.0000       1.0000     vmr049-pl5a-182
  PLANE183
  SRAD         -16.2156       1.0280     vmr049-pl5a-183
  SAXI          -1.8541       0.9868     vmr049-pl5a-183
  SHOOP         11.4910       0.9629     vmr049-pl5a-183
  SEFF          24.0000       1.0000     vmr049-pl5a-183

 ----------------------------------------------------------------

             |   ANSYS   |   RATIO  |         INPUT         |

  PLANE182
  SRAD         -26.7817       0.9910     vmr049-pl5b-182
  SAXI           3.1492       0.8671     vmr049-pl5b-182
  SHOOP         38.6501       1.0231     vmr049-pl5b-182
  PLANE183
  SRAD         -27.2679       1.0090     vmr049-pl5b-183
  SAXI           4.1140       1.1327     vmr049-pl5b-183
  SHOOP         36.9054       0.9769     vmr049-pl5b-183

 ----------------------------------------------------------------
vmr049-pl5a-182.dat (a)
vmr049-pl5a-183.dat (a)
vmr049-pl5b-182.dat (b)
vmr049-pl5b-183.dat (b)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMR049-PL3 		Up / Home Next
Appendix D. NAFEMS Input Listings


Appendix D. NAFEMS Input Listings

This appendix contains all of the input listings for the NAFEMS problems documented in Part IV, NAFEMS Benchmarks.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VMR049-PL5 		Up / Home Next
VM-P09-t2 188 Input Listing


VM-P09-t2 188 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMP09-T2-188
/TITLE, VMP09-T2-188,PIN ENDED DOUBLE CROSS: IN-PLANE VIBRATION
/COM,NAFEMS EIGENVALUE SET, TEST NO. 2 (LANCZOS)
/COM REFERENCE: THE STANDARD NAFEMS BENCHMARKS FVB REPORT:TEST 2(C)  NOVEMBER 1987

/PREP7
ET,1,BEAM188
KEYOPT,1,3,2
ET,2,30
SECTYPE,1,BEAM,RECT
SECDATA,0.125,0.125,4,4
MP,EX,1,200E9
MP,NUXY,1,0
MP,DENS,1,8000
DIAG=3.535533906
K,1
K,2,5
K,3,DIAG,DIAG
K,4,,5
K,5,-DIAG,DIAG
K,6,-5
K,7,-DIAG,-DIAG
K,8,,-5
K,9,DIAG,-DIAG
L,1,2,4
*REPEAT,8,0,1,0
LMESH,ALL
CSYS,1
NSEL,X,4.99,5.01
D,ALL,UX
D,ALL,UY
NSEL,S,LOC,Z,0
DSYM,SYMM,Z,0
NSEL,ALL
CSYS,0
FINISH

/SOLU
LUMPM,ON
ANTYPE,2
MODOPT,UNSYM,32
MXPAND,16
SOLVE
FINISH

/POST1
SET,1,1
*GET,F1,FREQ
HF1=F1/11.336
SET,1,2
*GET,F2,FREQ
HF2=F2/17.709
SET,1,3
*GET,F3,FREQ
HF3=F3/17.709
SET,1,4
*GET,F4,FREQ
HF4=F4/17.709
SET,1,5
*GET,F5,FREQ
HF5=F5/17.709
SET,1,6
*GET,F6,FREQ
HF6=F6/17.709
SET,1,7
*GET,F7,FREQ
HF7=F7/17.709
SET,1,8
*GET,F8,FREQ
HF8=F8/17.709
SET,1,9
*GET,F9,FREQ
HF9=F9/45.345
SET,1,10
*GET,F10,FREQ
HF10=F10/57.390
SET,1,11
*GET,F11,FREQ
HF11=F11/57.390
SET,1,12
*GET,F12,FREQ
HF12=F12/57.390
SET,1,13
*GET,F13,FREQ
HF13=F13/57.390
SET,1,14
*GET,F14,FREQ
HF14=F14/57.390
SET,1,15
*GET,F15,FREQ
HF15=F15/57.390
SET,1,16
*GET,F16,FREQ
HF16=F16/57.390
/GOPR
*STATUS,PARM
FINISH
*DIM,VALUE,,10,3
*DIM,VALUE2,,6,3
*DIM,LABEL,CHAR,10
*DIM,LABEL2,CHAR,10
LABEL(1) = 'FREQ 1','FREQ 2', 'FREQ 3', 'FREQ 4', 'FREQ 5', 'FREQ 6','FREQ 7','FREQ 8','FREQ 9','FREQ 10'
LABEL2(1) = 'FREQ 11','FREQ 12','FREQ 13','FREQ 14','FREQ 15','FREQ 16'
*VFILL,VALUE(1,1),DATA,11.336,17.709,17.709,17.709,17.709,17.709,17.709,17.709,45.345,57.390
*VFILL,VALUE2(1,1),DATA,57.390,57.390,57.390,57.390,57.390,57.390
*VFILL,VALUE(1,2),DATA,F1,F2,F3,F4,F5,F6,F7,F8,F9,F10
*VFILL,VALUE2(1,2),DATA,F11,F12,F13,F14,F15,F16
*VFILL,VALUE(1,3),DATA,HF1,HF2,HF3,HF4,HF5,HF6,HF7,HF8,HF9,HF10
*VFILL,VALUE2(1,3),DATA,HF11,HF12,HF13,HF14,HF15,HF16
/COM
/COM,--------- VMP09-T2-188 RESULTS COMPARISON-----------
/COM,
/COM,       | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F5.3)
*VWRITE,LABEL2(1), VALUE2(1,1), VALUE2(1,2), VALUE2(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F5.3)
FINISH

/POST26
*DIM,LABEL1,CHAR,1
*DIM,LABEL4,CHAR,8
*DIM,VALUE1,,6,3
LABEL1(1) = ' MODE'
LABEL4(1) = '1','2,3','4,5,6,7,','8','9','10,11','12,13,14',',15,16'
*VFILL,VALUE1(1,1),DATA,F1,F3,F8,F9,F11,F16
*VFILL,VALUE1(1,2),DATA,HF1,HF3,HF8,HF9,HF11,HF16
*DIM,LABEL3,CHAR,2
LABEL3(1) = 'vmp09-t2','-188'

/OUT,vmp09-t2-188,vrt
/COM
/COM,------------------- VMP09-T2 RESULTS COMPARISON ---------------------
/COM,
/COM,                  |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, BEAM188
*VWRITE,LABEL1(1),LABEL4(1),VALUE1(1,1),VALUE1(1,2),LABEL3(1),LABEL3(2)
(1X,A5,A1,'                ',F7.4,'    ',F7.4,'        ',A8,A4)
*VWRITE,LABEL1(1),LABEL4(2),VALUE1(2,1),VALUE1(2,2),LABEL3(1),LABEL3(2)
(1X,A5,A3,'              ',F7.4,'    ',F7.4,'        ',A8,A4)
*VWRITE,LABEL1(1),LABEL4(3),LABEL4(4),VALUE1(3,1),VALUE1(3,2),LABEL3(1),LABEL3(2)
(1X,A5,A8,A1,'        ',F7.4,'    ',F7.4,'        ',A8,A4)
*VWRITE,LABEL1(1),LABEL4(5),VALUE1(4,1),VALUE1(4,2),LABEL3(1),LABEL3(2)
(1X,A5,A1,'                ',F7.4,'    ',F7.4,'        ',A8,A4)
*VWRITE,LABEL1(1),LABEL4(6),VALUE1(5,1),VALUE1(5,2),LABEL3(1),LABEL3(2)
(1X,A5,A5,'            ',F7.4,'    ',F7.4,'        ',A8,A4)
*VWRITE,LABEL1(1),LABEL4(7),LABEL4(8),VALUE1(6,1),VALUE1(6,2),LABEL3(1),LABEL3(2)
(1X,A5,A8,A6,'   ',F7.4,'    ',F7.4,'        ',A8,A4)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmp09-t2-188,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Appendix D. NAFEMS Input Listings 		Up / Home Next
VM-P09-t2 189 Input Listing


VM-P09-t2 189 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMP09-T2-189
/TITLE, VMP09-T2-189,PIN ENDED DOUBLE CROSS: IN-PLANE VIBRATION
/COM,NAFEMS EIGENVALUE SET, TEST NO. 2 (LANCZOS)
/COM REFERENCE: THE STANDARD NAFEMS BENCHMARKS FVB REPORT:TEST 2(C)  NOVEMBER 1987

/PREP7
ET,1,BEAM189
ET,2,30
SECTYPE,1,BEAM,RECT
SECDATA,0.125,0.125,4,4
MP,EX,1,200E9
MP,NUXY,1,0
MP,DENS,1,8000
DIAG=3.535533906
K,1
K,2,5
K,3,DIAG,DIAG
K,4,,5
K,5,-DIAG,DIAG
K,6,-5
K,7,-DIAG,-DIAG
K,8,,-5
K,9,DIAG,-DIAG
L,1,2,4
*REPEAT,8,0,1,0
LMESH,ALL
CSYS,1
NSEL,X,4.99,5.01
D,ALL,UX
D,ALL,UY
NSEL,S,LOC,Z,0
DSYM,SYMM,Z,0
NSEL,ALL
CSYS,0
FINISH

/SOLU
LUMPM,ON
ANTYPE,2
MODOPT,UNSYM,32
MXPAND,16
SOLVE
FINISH

/POST1
SET,1,1
*GET,F1,FREQ
HF1=F1/11.336
SET,1,2
*GET,F2,FREQ
HF2=F2/17.709
SET,1,3
*GET,F3,FREQ
HF3=F3/17.709
SET,1,4
*GET,F4,FREQ
HF4=F4/17.709
SET,1,5
*GET,F5,FREQ
HF5=F5/17.709
SET,1,6
*GET,F6,FREQ
HF6=F6/17.709
SET,1,7
*GET,F7,FREQ
HF7=F7/17.709
SET,1,8
*GET,F8,FREQ
HF8=F8/17.709
SET,1,9
*GET,F9,FREQ
HF9=F9/45.345
SET,1,10
*GET,F10,FREQ
HF10=F10/57.390
SET,1,11
*GET,F11,FREQ
HF11=F11/57.390
SET,1,12
*GET,F12,FREQ
HF12=F12/57.390
SET,1,13
*GET,F13,FREQ
HF13=F13/57.390
SET,1,14
*GET,F14,FREQ
HF14=F14/57.390
SET,1,15
*GET,F15,FREQ
HF15=F15/57.390
SET,1,16
*GET,F16,FREQ
HF16=F16/57.390
/GOPR
*STATUS,PARM
FINISH
*DIM,VALUE,,10,3
*DIM,VALUE2,,6,3
*DIM,LABEL,CHAR,10
*DIM,LABEL2,CHAR,10
LABEL(1) = 'FREQ 1','FREQ 2', 'FREQ 3', 'FREQ 4', 'FREQ 5', 'FREQ 6','FREQ 7','FREQ 8','FREQ 9','FREQ 10'
LABEL2(1) = 'FREQ 11','FREQ 12','FREQ 13','FREQ 14','FREQ 15','FREQ 16'
*VFILL,VALUE(1,1),DATA,11.336,17.709,17.709,17.709,17.709,17.709,17.709,17.709,45.345,57.390
*VFILL,VALUE2(1,1),DATA,57.390,57.390,57.390,57.390,57.390,57.390
*VFILL,VALUE(1,2),DATA,F1,F2,F3,F4,F5,F6,F7,F8,F9,F10
*VFILL,VALUE2(1,2),DATA,F11,F12,F13,F14,F15,F16
*VFILL,VALUE(1,3),DATA,HF1,HF2,HF3,HF4,HF5,HF6,HF7,HF8,HF9,HF10
*VFILL,VALUE2(1,3),DATA,HF11,HF12,HF13,HF14,HF15,HF16
/COM
/COM,--------- VMP09-T2-189 RESULTS COMPARISON-----------
/COM,
/COM,       | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F5.3)
*VWRITE,LABEL2(1), VALUE2(1,1), VALUE2(1,2), VALUE2(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F5.3)
FINISH

/POST26
*DIM,LABEL1,CHAR,1
*DIM,LABEL4,CHAR,8
*DIM,VALUE1,,6,3
LABEL1(1) = ' MODE'
LABEL4(1) = '1','2,3','4,5,6,7,','8','9','10,11','12,13,14',',15,16'
*VFILL,VALUE1(1,1),DATA,F1,F3,F8,F9,F11,F16
*VFILL,VALUE1(1,2),DATA,HF1,HF3,HF8,HF9,HF11,HF16
*DIM,LABEL3,CHAR,1
*DIM,LABEL5,CHAR,1
LABEL3(1) = 'vmp09-t2'
LABEL5(1) = '-189'

/OUT,vmp09-t2-189,vrt
/COM
/COM,------------------- VMP09-T2 RESULTS COMPARISON ---------------------
/COM,
/COM,                   |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, BEAM189
*VWRITE,LABEL1(1),LABEL4(1),VALUE1(1,1),VALUE1(1,2),LABEL3(1),LABEL5(1)
(1X,A5,A1,'                ',F7.4,'    ',F7.4,'        ',A8,A4)
*VWRITE,LABEL1(1),LABEL4(2),VALUE1(2,1),VALUE1(2,2),LABEL3(1),LABEL5(1)
(1X,A5,A3,'              ',F7.4,'    ',F7.4,'        ',A8,A4)
*VWRITE,LABEL1(1),LABEL4(3),LABEL4(4),VALUE1(3,1),VALUE1(3,2),LABEL3(1),LABEL5(1)
(1X,A5,A8,A1,'        ',F7.4,'    ',F7.4,'        ',A8,A4)
*VWRITE,LABEL1(1),LABEL4(5),VALUE1(4,1),VALUE1(4,2),LABEL3(1),LABEL5(1)
(1X,A5,A1,'                ',F7.4,'    ',F7.4,'        ',A8,A4)
*VWRITE,LABEL1(1),LABEL4(6),VALUE1(5,1),VALUE1(5,2),LABEL3(1),LABEL5(1)
(1X,A5,A5,'            ',F7.4,'    ',F7.4,'        ',A8,A4)
*VWRITE,LABEL1(1),LABEL4(7),LABEL4(8),VALUE1(6,1),VALUE1(6,2),LABEL3(1),LABEL5(1)
(1X,A5,A8,A6,'   ',F7.4,'    ',F7.4,'        ',A8,A4)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmp09-t2-189,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-P09-t2 188 Input Listing 		Up / Home Next
VM-P09-t4 188 Input Listing


VM-P09-t4 188 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMP09-T4-188
/TITLE,VMP09-T4-188, CANTILEVER WITH OFF-CENTRE POINT MASSES
/COM,REFERENCE: TEST 4 FROM NAFEMS FVB

/PREP7
N,1,0.0
N,2,1.0
N,3,2.0
N,4,3.0
N,5,4.0
N,6,5.0
N,7,6.0
N,8,7.0
N,9,8.0
N,10,9.0
N,11,10.0
ET,1,188
SECN,1
N,101,5.0,5.0
N,201,10.0,0.0,5.0
E,1,2,101
E,2,3,101
E,3,4,101
E,4,5,101
E,5,6,101
E,6,7,101
E,7,8,101
E,8,9,101
E,9,10,101
E,10,11,101
SECT,1,BEAM,CSOLID
SECD,0.25
MP,EX,1,200E9
MP,NUXY,1,0.3
MP,DENS,1,8000.0
D,1,ALL
ET,2,188
TYPE,2
MP,EX,2,1.0E16
MP,NUXY,2,0.0
MP,DENS,2,0.0
MAT,2
REAL,2
SECN,2
SECT,2,BEAM,CSOLID
SECD,1.0
N,21,10.0,2.0
N,31,10.0,-2.0
E,11,21,201
E,11,31,201
ET,3,MASS21
TYPE,3
REAL,3
SECN,3
R,3,10000.0,10000.0,10000.0
E,21
ET,4,MASS21
TYPE,4
REAL,4
SECN,4
R,4,1000.0,1000.0,1000.0
E,31

/SOLU
ANTYPE,MODAL
MODOPT,SUBSP,6
MXPAND,6
LUMPM,ON
SOLVE
FINISH

/POST1
*DIM,FREQ,ARRAY,6
*GET,FREQ(1,1),MODE,1,FREQ
*GET,FREQ(2,1),MODE,2,FREQ
*GET,FREQ(3,1),MODE,3,FREQ
*GET,FREQ(4,1),MODE,4,FREQ
*GET,FREQ(5,1),MODE,5,FREQ
*GET,FREQ(6,1),MODE,6,FREQ
R1=FREQ(1,1)/1.723
R2=FREQ(2,1)/1.727
R3=FREQ(3,1)/7.413
R4=FREQ(4,1)/9.971
R5=FREQ(5,1)/18.155
R6=FREQ(6,1)/26.957

*DIM,VALUE,,6,2
*DIM,LABEL,CHAR,6
*DIM,RATIO,,6,1
LABEL(1) = 'FREQ 1','FREQ 2','FREQ 3','FREQ 4','FREQ 5','FREQ 6'
*VFILL,VALUE(1,1),DATA,1.723,1.727,7.413,9.972,18.155,26.957
*VFILL,VALUE(1,2),DATA,FREQ(1,1),FREQ(2,1),FREQ(3,1),FREQ(4,1),FREQ(5,1),FREQ(6,1)
*VFILL,RATIO(1,1),DATA,R1,R2,R3,R4,R5,R6

/COM
/COM
/COM,------------- VMP09-T4-188 RESULTS COMPARISON ---------------------
/COM,
/COM,         |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),RATIO(1,1)
(1X,A8,'   ',F10.3,'  ',F10.3,'   ',1F8.3)
FINISH

/POST26
*DIM,LABEL1,CHAR,6
LABEL1(1) = ' MODE1',' MODE2',' MODE3',' MODE4',' MODE5',' MODE6'
*DIM,LABEL2,CHAR,6
*DIM,LABEL3,CHAR,6
LABEL2(1) = 'vmp09-t4','vmp09-t4','vmp09-t4','vmp09-t4','vmp09-t4','vmp09-t4'
LABEL3(1) = '-188','-188','-188','-188','-188','-188'

/OUT,vmp09-t4-188,vrt
/COM
/COM,-------------------- VMP09-T4 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, BEAM188
*VWRITE,LABEL1(1),VALUE(1,2),RATIO(1,1),LABEL2(1),LABEL3(1)
(1X,A8,'      ',F7.4,'      ',F7.4,'        ',A8,A4)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmp09-t4-188,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-P09-t2 189 Input Listing 		Up / Home Next
VM-P09-t4 189 Input Listing


VM-P09-t4 189 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMP09-T4-189
/TITLE,VMP09-T4-189, CANTILEVER WITH OFF-CENTRE POINT MASSES
/COM,REFERENCE: NAFEMS FVB MANUAL TEST 4

/PREP7
N,1,0.0
N,2,1.0
N,3,2.0
N,4,3.0
N,5,4.0
N,6,5.0
N,7,6.0
N,8,7.0
N,9,8.0
N,10,9.0
N,11,10.0
ET,1,189
SECN,1
N,101,5.0,5.0
N,201,10.0,0.0,5.0
E,1,3,2,101
E,3,5,4,101
E,5,7,6,101
E,7,9,8,101
E,9,11,10,101
SECT,1,BEAM,CSOLID
SECD,0.25
MP,EX,1,200E9
MP,NUXY,1,0.3
MP,DENS,1,8000.0
D,1,ALL
ET,2,188
TYPE,2
MP,EX,2,1.0E16
MP,NUXY,2,0.0
MP,DENS,2,0.0
MAT,2
REAL,2
SECN,2
SECT,2,BEAM,CSOLID
SECD,1.0
N,21,10.0,2.0
N,31,10.0,-2.0
E,11,21,201
E,11,31,201
ET,3,MASS21
TYPE,3
REAL,3
SECN,3
R,3,10000.0,10000.0,10000.0
E,21
ET,4,MASS21
TYPE,4
REAL,4
SECN,4
R,4,1000.0,1000.0,1000.0
E,31
FINISH

/SOLU
ANTYPE,MODAL
MODOPT,SUBSP,6
MXPAND,6
LUMPM,ON
SOLVE
FINISH

/POST1
*DIM,FREQ,ARRAY,6
*GET,FREQ(1,1),MODE,1,FREQ
*GET,FREQ(2,1),MODE,2,FREQ
*GET,FREQ(3,1),MODE,3,FREQ
*GET,FREQ(4,1),MODE,4,FREQ
*GET,FREQ(5,1),MODE,5,FREQ
*GET,FREQ(6,1),MODE,6,FREQ
R1=FREQ(1,1)/1.723
R2=FREQ(2,1)/1.727
R3=FREQ(3,1)/7.413
R4=FREQ(4,1)/9.971
R5=FREQ(5,1)/18.155
R6=FREQ(6,1)/26.957
*DIM,VALUE,,6,3
*DIM,RATIO,,6,1
*DIM,LABEL,CHAR,6
LABEL(1) = 'FREQ 1','FREQ 2','FREQ 3','FREQ 4','FREQ 5','FREQ 6'
*VFILL,VALUE(1,1),DATA,1.723,1.727,7.413,9.972,18.155,26.957
*VFILL,VALUE(1,2),DATA,FREQ(1,1),FREQ(2,1),FREQ(3,1),FREQ(4,1),FREQ(5,1),FREQ(6,1)
*VFILL,RATIO(1,1),DATA,R1,R2,R3,R4,R5,R6

/COM
/COM
/COM,-------------- VMP09-T4-189 RESULTS COMPARISON ------------------
/COM,
/COM,         |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),RATIO(1,1)
(1X,A8,'   ',F10.3,'  ',F10.3,'   ',1F8.3)
FINISH

/POST26
*DIM,LABEL1,CHAR,6
LABEL1(1) = ' MODE1',' MODE2',' MODE3',' MODE4',' MODE5',' MODE6'
*DIM,LABEL2,CHAR,6
*DIM,LABEL3,CHAR,6
LABEL2(1) = 'vmp09-t4','vmp09-t4','vmp09-t4','vmp09-t4','vmp09-t4','vmp09-t4'
LABEL3(1) = '-189','-189','-189','-189','-189','-189'
/OUT,vmp09-t4-189,vrt
/COM
/COM,------------------- VMP09-T4 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, BEAM189
*VWRITE,LABEL1(1),VALUE(1,2),RATIO(1,1),LABEL2(1),LABEL3(1)
(1X,A8,'      ',F7.4,'      ',F7.4,'        ',A8,A4)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmp09-t4-189,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-P09-t4 188 Input Listing 		Up / Home Next
VM-P09-t5 188 Input Listing


VM-P09-t5 188 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMP09-T5-188
/TITLE,VMP09-T5-188, DEEP SIMPLY SUPPORTED BEAM
/COM,REFERENCE NAFEMS FVB TEST 5

/PREP7
N,1,0.0
N,2,1.0
N,3,2.0
N,4,3.0
N,5,4.0
N,6,5.0
N,7,6.0
N,8,7.0
N,9,8.0
N,10,9.0
N,11,10.0
ET,1,188
SECN,1
N,101,5.0,5.0
E,1,2,101
E,2,3,101
E,3,4,101
E,4,5,101
E,5,6,101
E,6,7,101
E,7,8,101
E,8,9,101
E,9,10,101
E,10,11,101
SECT,1,BEAM,RECT
SECD,2.0,2.0,4,4
MP,EX,1,200E9
MP,NUXY,1,0.3
MP,DENS,1,8000.0
D,1,UX
D,1,UY
D,1,UZ
D,1,ROTX
D,11,UY
D,11,UZ
FINISH

/SOLU
ANTYPE,MODAL
MODOPT,LANB,9
MXPAND,9
LUMPM,ON
SOLVE
FINISH

/POST1
*DIM,FREQ,ARRAY,9
*GET,FREQ(1,1),MODE,1,FREQ
*GET,FREQ(2,1),MODE,2,FREQ
*GET,FREQ(3,1),MODE,3,FREQ
*GET,FREQ(4,1),MODE,4,FREQ
*GET,FREQ(5,1),MODE,5,FREQ
*GET,FREQ(6,1),MODE,6,FREQ
*GET,FREQ(7,1),MODE,7,FREQ
*GET,FREQ(8,1),MODE,8,FREQ
*GET,FREQ(9,1),MODE,9,FREQ
R1=FREQ(1,1)/42.650
R2=FREQ(2,1)/42.650
R3=FREQ(3,1)/71.200
R4=FREQ(4,1)/125.000
R5=FREQ(5,1)/148.150
R6=FREQ(6,1)/148.150
R7=FREQ(7,1)/213.610
R8=FREQ(8,1)/283.470
R9=FREQ(9,1)/283.470
*DIM,VALUE,,9,2
*DIM,LABEL,CHAR,9
*DIM,RATIO,,9,1
LABEL(1) = 'FREQ 1','FREQ 2','FREQ 3','FREQ 4','FREQ 5','FREQ 6','FREQ 7','FREQ 8','FREQ 9'
*VFILL,VALUE(1,1),DATA,42.650,42.650,71.200,125.000,148.150,148.150,213.610,283.470,283.470
*VFILL,VALUE(1,2),DATA,FREQ(1,1),FREQ(2,1),FREQ(3,1),FREQ(4,1),FREQ(5,1),FREQ(6,1),FREQ(7,1),FREQ(8,1),FREQ(9,1)
*VFILL,RATIO(1,1),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9
/COM,
/COM
/COM,------------- VMP09-T5-188 RESULTS COMPARISON -------------
/COM,
/COM,         |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),RATIO(1,1)
(1X,A8,'   ',F10.3,'  ',F10.3,'   ',1F8.3)
FINISH

/POST26
*DIM,LABEL1,CHAR,6
*DIM,LABEL3,CHAR,6
LABEL1(1) = ' MODE',' MODE',' MODE',' MODE',' MODE',' MODE'
LABEL3(1) = '1,2','3','4','5,6','7','8,9'
*DIM,VALUE1,,6,3
*VFILL,VALUE1(1,1),DATA,FREQ(2,1),FREQ(3,1),FREQ(4,1),FREQ(6,1),FREQ(7,1),FREQ(9,1)
*VFILL,VALUE1(1,2),DATA,R2,R3,R4,R6,R7,R9
*DIM,LABEL2,CHAR,6
*DIM,LABEL4,CHAR,6
LABEL2(1) = 'vmp09-t5','vmp09-t5','vmp09-t5','vmp09-t5','vmp09-t5','vmp09-t5'
LABEL4(1) = '-188','-188','-188','-188','-188','-188'

/OUT,vmp09-t5-188,vrt
/COM
/COM,------------------- VMP09-T5 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, BEAM188
*VWRITE,LABEL1(1),LABEL3(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL4(1)
(1X,A5,A3,'      ',F8.3,'     ',F7.4,'        ',A8,A4)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmp09-t5-188,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-P09-t4 189 Input Listing 		Up / Home Next
VM-P09-t5 189 Input Listing


VM-P09-t5 189 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMP09-T5-189
/TITLE,VMP09-T5-189, DEEP SIMPLY-SUPPORTED BEAM
/COM,REFERENCE: NAFEMS FVB MANUAL TEST 5

/PREP7
N,1,0.0
N,2,1.0
N,3,2.0
N,4,3.0
N,5,4.0
N,6,5.0
N,7,6.0
N,8,7.0
N,9,8.0
N,10,9.0
N,11,10.0
ET,1,189
SECN,1
N,101,5.0,5.0
E,1,3,2,101
E,3,5,4,101
E,5,7,6,101
E,7,9,8,101
E,9,11,10,101
SECT,1,BEAM,RECT
SECD,2.0,2.0
MP,EX,1,200E9
MP,NUXY,1,0.3
MP,DENS,1,8000.0
D,1,UX
D,1,UY
D,1,UZ
D,1,ROTX
D,11,UY
D,11,UZ
FINISH

/SOLU
ANTYPE,MODAL
MODOPT,SUBSP,9
MXPAND,9
LUMPM,ON
SOLVE
FINISH

/POST1
*DIM,FREQ,ARRAY,9
*GET,FREQ(1,1),MODE,1,FREQ
*GET,FREQ(2,1),MODE,2,FREQ
*GET,FREQ(3,1),MODE,3,FREQ
*GET,FREQ(4,1),MODE,4,FREQ
*GET,FREQ(5,1),MODE,5,FREQ
*GET,FREQ(6,1),MODE,6,FREQ
*GET,FREQ(7,1),MODE,7,FREQ
*GET,FREQ(8,1),MODE,8,FREQ
*GET,FREQ(9,1),MODE,9,FREQ
R1=FREQ(1,1)/42.650
R2=FREQ(2,1)/42.650
R3=FREQ(3,1)/71.200
R4=FREQ(4,1)/125.000
R5=FREQ(5,1)/148.150
R6=FREQ(6,1)/148.150
R7=FREQ(7,1)/213.610
R8=FREQ(8,1)/283.470
R9=FREQ(9,1)/283.470

*DIM,VALUE,,9,2
*DIM,RATIO,,9,1
*DIM,LABEL,CHAR,9
LABEL(1) = 'FREQ 1','FREQ 2','FREQ 3','FREQ 4','FREQ 5','FREQ 6','FREQ 7','FREQ 8','FREQ 9'
*VFILL,VALUE(1,1),DATA,42.650,42.650,71.200,125.000,148.150,148.150,213.610,283.470,283.470
*VFILL,VALUE(1,2),DATA,FREQ(1,1),FREQ(2,1),FREQ(3,1),FREQ(4,1),FREQ(5,1),FREQ(6,1),FREQ(7,1),FREQ(8,1),FREQ(9,1)
*VFILL,RATIO(1,1),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9

/COM,
/COM,
/COM,-------------- VMP09-T5-189 RESULTS COMPARISON ------------------
/COM,
/COM,         |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),RATIO(1,1)
(1X,A8,'   ',F10.3,'  ',F10.3,'   ',1F8.3)
FINISH

/POST26
*DIM,LABEL1,CHAR,6
*DIM,LABEL3,CHAR,6
LABEL1(1) = ' MODE',' MODE',' MODE',' MODE',' MODE',' MODE'
LABEL3(1) = '1,2','3','4','5,6','7','8,9'
*DIM,VALUE1,,6,2
*VFILL,VALUE1(1,1),DATA,FREQ(2,1),FREQ(3,1),FREQ(4,1),FREQ(6,1),FREQ(7,1),FREQ(9,1)
*VFILL,VALUE1(1,2),DATA,R2,R3,R4,R6,R7,R9
*DIM,LABEL2,CHAR,6
LABEL2(1) = 'vmp09-t5','vmp09-t5','vmp09-t5','vmp09-t5','vmp09-t5','vmp09-t5'
*DIM,LABEL4,CHAR,6
LABEL4(1) = '-189','-189','-189','-189','-189','-189'

/OUT,vmp09-t5-189,vrt
/COM
/COM,------------------- VMP09-T5 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, BEAM189
*VWRITE,LABEL1(1),LABEL3(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL4(1)
(1X,A5,A3,'      ',F8.3,'     ',F7.4,'        ',A8,A4)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmp09-t5-189,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-P09-t5 188 Input Listing 		Up / Home Next
VM-P09-t12 181 Input Listing


VM-P09-t12 181 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMP09-T12-181
/TITLE,VMP09-T12-181,FREE THIN SQUARE PLATE
/COM,REFERENCE: NAFEMS FVB MANUAL TEST 12

/NOPR
/PREP7
ET,1,181
R,1,.05
MP,EX,1,200E9
MP,NUXY,1,0.3
MP,DENS,1,8000
K,1
K,2,10
K,3,10,10
K,4,,10
A,1,2,3,4
ESIZE,,8
AMESH,1
D,ALL,UX,0,0,,,UY,ROTZ
FINISH
/SOLU
TOTAL,120
ANTYPE,MODAL,NEW
MODOPT,REDUC,10
MXPAND,10,0,0,0
/OUT,SCRATCH
SOLVE
/OUT
FINISH

/POST1
*DIM,FREQ,ARRAY,7
*GET,FREQ(1,1),MODE,4,FREQ
*GET,FREQ(2,1),MODE,5,FREQ
*GET,FREQ(3,1),MODE,6,FREQ
*GET,FREQ(4,1),MODE,7,FREQ
*GET,FREQ(5,1),MODE,8,FREQ
*GET,FREQ(6,1),MODE,9,FREQ
*GET,FREQ(7,1),MODE,10,FREQ
R1=FREQ(1,1)/1.622
R2=FREQ(2,1)/2.36
R3=FREQ(3,1)/2.922
R4=FREQ(4,1)/4.233
R5=FREQ(5,1)/4.233
R6=FREQ(6,1)/7.416
R7=FREQ(7,1)/8.027
*DIM,VALUE,,7,2
*DIM,LABEL,CHAR,10
*DIM,RATIO,,7,1
LABEL(1) = 'FREQ 4','FREQ 5','FREQ 6','FREQ 7','FREQ 8','FREQ 9','FREQ 10'
*VFILL,VALUE(1,1),DATA,1.622,2.36,2.922,4.233,4.233,7.416,8.027
*VFILL,VALUE(1,2),DATA,FREQ(1,1),FREQ(2,1),FREQ(3,1),FREQ(4,1),FREQ(5,1),FREQ(6,1),FREQ(7,1)
*VFILL,RATIO(1,1),DATA,R1,R2,R3,R4,R5,R6,R7
/COM
/COM,------------- VMP09-T12-181 RESULTS COMPARISON ------------------
/COM,
/COM,         |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),RATIO(1,1)
(1X,A8,'   ',F10.3,'  ',F10.3,'   ',1F8.3)
FINISH

/POST26
*DIM,LABEL1,CHAR,6
*DIM,VALUE1,,6,2
LABEL1(1) = ' MODE4',' MODE5',' MODE6',' MODE7,8',' MODE9',' MODE10'
*VFILL,VALUE1(1,1),DATA,FREQ(1,1),FREQ(2,1),FREQ(3,1),FREQ(5,1),FREQ(6,1),FREQ(7,1)
*VFILL,VALUE1(1,2),DATA,R1,R2,R3,R5,R6,R7
*DIM,LABEL2,CHAR,6
*DIM,LABEL3,CHAR,6
LABEL2(1) = 'vmp09-t1','vmp09-t1','vmp09-t1','vmp09-t1','vmp09-t1','vmp09-t1'
LABEL3(1) = '2-181','2-181','2-181','2-181','2-181','2-181'

/OUT,vmp09-t12-181,vrt
/COM
/COM,------------------- VMP09-T12 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL181
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL3(1)
(1X,A8,'      ',F7.3,'      ',F7.4,'       ',A8,A5)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmp09-t12-181,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-P09-t5 189 Input Listing 		Up / Home Next
VM-P09-t12 281 Input Listing


VM-P09-t12 281 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMP09-T12-281
/TITLE,VMP09-T12-281,FREE THIN SQUARE PLATE
/COM,REFERENCE: NAFEMS FVB MANUAL TEST 12
/NOPR
/PREP7
ET,1,281
R,1,.05
MP,EX,1,200E9
MP,NUXY,1,0.3
MP,DENS,1,8000
K,1
K,2,10
K,3,10,10
K,4,,10
A,1,2,3,4
ESIZE,,8
AMESH,1
D,ALL,UX,0,0,,,UY,ROTZ
FINISH
/SOLU
TOTAL,120
ANTYPE,MODAL,NEW
MODOPT,REDUC,10
MXPAND,10,0,0,0
/OUT,SCRATCH
SOLVE
/OUT
FINISH
/POST1
*DIM,FREQ,ARRAY,7
*GET,FREQ(1,1),MODE,4,FREQ
*GET,FREQ(2,1),MODE,5,FREQ
*GET,FREQ(3,1),MODE,6,FREQ
*GET,FREQ(4,1),MODE,7,FREQ
*GET,FREQ(5,1),MODE,8,FREQ
*GET,FREQ(6,1),MODE,9,FREQ
*GET,FREQ(7,1),MODE,10,FREQ
R1=FREQ(1,1)/1.622
R2=FREQ(2,1)/2.36
R3=FREQ(3,1)/2.922
R4=FREQ(4,1)/4.233
R5=FREQ(5,1)/4.233
R6=FREQ(6,1)/7.416
R7=FREQ(7,1)/8.027
*DIM,VALUE,,7,2
*DIM,LABEL,CHAR,10
*DIM,RATIO,,7,1
LABEL(1) = 'FREQ 4','FREQ 5','FREQ 6','FREQ 7','FREQ 8','FREQ 9','FREQ 10'
*VFILL,VALUE(1,1),DATA,1.622,2.36,2.922,4.233,4.233,7.416,8.027
*VFILL,VALUE(1,2),DATA,FREQ(1,1),FREQ(2,1),FREQ(3,1),FREQ(4,1),FREQ(5,1),FREQ(6,1),FREQ(7,1)
*VFILL,RATIO(1,1),DATA,R1,R2,R3,R4,R5,R6,R7
/COM
/COM,------------- VMP09-T12-281 RESULTS COMPARISON ------------------
/COM,
/COM,         |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),RATIO(1,1)
(1X,A8,'   ',F10.3,'  ',F10.3,'   ',1F8.3)
FINISH
/POST26
*DIM,LABEL1,CHAR,6
*DIM,VALUE1,,6,2
LABEL1(1) = ' MODE4',' MODE5',' MODE6',' MODE7,8',' MODE9',' MODE10'
*VFILL,VALUE1(1,1),DATA,FREQ(1,1),FREQ(2,1),FREQ(3,1),FREQ(5,1),FREQ(6,1),FREQ(7,1)
*VFILL,VALUE1(1,2),DATA,R1,R2,R3,R5,R6,R7
*DIM,LABEL2,CHAR,6
*DIM,LABEL3,CHAR,6
LABEL2(1) = 'vmp09-t1','vmp09-t1','vmp09-t1','vmp09-t1','vmp09-t1','vmp09-t1'
LABEL3(1) = '2-281','2-281','2-281','2-281','2-281','2-281'
/OUT,vmp09-t12-281,vrt
/COM
/COM,------------------- VMP09-T12 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL281
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL3(1)
(1X,A8,'      ',F7.3,'      ',F7.4,'       ',A8,A5)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmp09-t12-281,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-P09-t12 181 Input Listing 		Up / Home Next
VM-P09-t15 181 Input Listing


VM-P09-t15 181 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMP09-T15-181
/TITLE,VMP09-T15-181, CLAMPED THIN RHOMBIC PLATE
/COM,REFERENCE NAFEMS FVB MANUAL TEST 15

/PREP7
MP,EX,1,2.000000000E+11,
MP,NUXY,1,0.300000000
MP,DENS,1,8000.00000
LOCAL,11,0,10,0,0,45,0,0,1,1
CSCIR,  11,   0,   0
LOCAL,12,0,0,0,0,45,0,0,1,1
CSCIR,  12,   0,   0
ET,1,181,,,2
R,1,0.5E-01
CSYS,12
K,1,0,0,0
K,4,10,0,0
CSYS,11
K,2,0,0,0
K,3,10,0,0
CSYS,0
A,1,2,3,4
LESIZE,ALL,,,12
AMESH,1
D,ALL,UX,0
D,ALL,UY,0
D,ALL,ROTZ,0
NSLL,S,1
D,ALL,ROTX,0
D,ALL,ROTY,0
D,ALL,UZ,0
ALLSEL,ALL
FINISH

/SOLU
OUTRES,ALL,ALL,
ANTYPE,MODAL
MODOPT,SUBSP,22
MXPAND,8
SOLVE
FINISH

/POST1
*DIM,FREQ,ARRAY,6
*GET,FREQ(1,1),MODE,1,FREQ
*GET,FREQ(2,1),MODE,2,FREQ
*GET,FREQ(3,1),MODE,3,FREQ
*GET,FREQ(4,1),MODE,4,FREQ
*GET,FREQ(5,1),MODE,5,FREQ
*GET,FREQ(6,1),MODE,6,FREQ
R1=FREQ(1,1)/7.938
R2=FREQ(2,1)/12.835
R3=FREQ(3,1)/17.941
R4=FREQ(4,1)/19.133
R5=FREQ(5,1)/24.009
R6=FREQ(6,1)/27.922
*DIM,VALUE,,6,2
*DIM,LABEL,CHAR,6
*DIM,RATIO,,6,1
LABEL(1) = 'FREQ 1','FREQ 2','FREQ 3','FREQ 4','FREQ 5','FREQ 6'
*VFILL,VALUE(1,1),DATA,7.938,12.835,17.941,19.133,24.009,27.922
*VFILL,VALUE(1,2),DATA,FREQ(1,1),FREQ(2,1),FREQ(3,1),FREQ(4,1),FREQ(5,1),FREQ(6,1)
*VFILL,RATIO(1,1),DATA,R1,R2,R3,R4,R5,R6
/COM,
/COM,------------- VMP09-T15-181 RESULTS COMPARISON -----------------
/COM,
/COM,         |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),RATIO(1,1)
(1X,A8,'   ',F10.3,'  ',F10.3,'   ',1F8.3)
FINISH

/POST26
*DIM,LABEL1,CHAR,6
LABEL1(1) = ' MODE1',' MODE2',' MODE3',' MODE4',' MODE5',' MODE6'
*DIM,LABEL2,CHAR,6
*DIM,LABEL3,CHAR,6
LABEL2(1) = 'vmp09-t1','vmp09-t1','vmp09-t1','vmp09-t1','vmp09-t1','vmp09-t1'
LABEL3(1) = '5-181','5-181','5-181','5-181','5-181','5-181'
/OUT,vmp09-t15-181,vrt
/COM
/COM,------------------- VMP09-T15 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL181
*VWRITE,LABEL1(1),VALUE(1,2),RATIO(1,1),LABEL2(1),LABEL3(1)
(1X,A8,'       ',F7.4,'     ',F7.4,'       ',A8,A5)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmp09-t15-181,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-P09-t12 281 Input Listing 		Up / Home Next
VM-P09-t15 281 Input Listing


VM-P09-t15 281 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMP09-T15-281
/TITLE,VMP09-T15-281, CLAMPED THIN RHOMBIC PLATE
/COM,REFERENCE NAFEMS FVB MANUAL TEST 15
/PREP7
MP,EX,1,2.000000000E+11,
MP,NUXY,1,0.300000000
MP,DENS,1,8000.00000
LOCAL,11,0,10,0,0,45,0,0,1,1
CSCIR,  11,   0,   0
LOCAL,12,0,0,0,0,45,0,0,1,1
CSCIR,  12,   0,   0
ET,1,281,,,2
R,1,0.5E-01
CSYS,12
K,1,0,0,0
K,4,10,0,0
CSYS,11
K,2,0,0,0
K,3,10,0,0
CSYS,0
A,1,2,3,4
LESIZE,ALL,,,12
AMESH,1
D,ALL,UX,0
D,ALL,UY,0
D,ALL,ROTZ,0
NSLL,S,1
D,ALL,ROTX,0
D,ALL,ROTY,0
D,ALL,UZ,0
ALLSEL,ALL
FINISH
/SOLU
OUTRES,ALL,ALL,
ANTYPE,MODAL
MODOPT,SUBSP,22
MXPAND,8
SOLVE
FINISH
/POST1
*DIM,FREQ,ARRAY,6
*GET,FREQ(1,1),MODE,1,FREQ
*GET,FREQ(2,1),MODE,2,FREQ
*GET,FREQ(3,1),MODE,3,FREQ
*GET,FREQ(4,1),MODE,4,FREQ
*GET,FREQ(5,1),MODE,5,FREQ
*GET,FREQ(6,1),MODE,6,FREQ
R1=FREQ(1,1)/7.938
R2=FREQ(2,1)/12.835
R3=FREQ(3,1)/17.941
R4=FREQ(4,1)/19.133
R5=FREQ(5,1)/24.009
R6=FREQ(6,1)/27.922
*DIM,VALUE,,6,2
*DIM,LABEL,CHAR,6
*DIM,RATIO,,6,1
LABEL(1) = 'FREQ 1','FREQ 2','FREQ 3','FREQ 4','FREQ 5','FREQ 6'
*VFILL,VALUE(1,1),DATA,7.938,12.835,17.941,19.133,24.009,27.922
*VFILL,VALUE(1,2),DATA,FREQ(1,1),FREQ(2,1),FREQ(3,1),FREQ(4,1),FREQ(5,1),FREQ(6,1)
*VFILL,RATIO(1,1),DATA,R1,R2,R3,R4,R5,R6
/COM,
/COM,------------- VMP09-T15-281 RESULTS COMPARISON -----------------
/COM,
/COM,         |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),RATIO(1,1)
(1X,A8,'   ',F10.3,'  ',F10.3,'   ',1F8.3)
FINISH
/POST26
*DIM,LABEL1,CHAR,6
LABEL1(1) = ' MODE1',' MODE2',' MODE3',' MODE4',' MODE5',' MODE6'
*DIM,LABEL2,CHAR,6
*DIM,LABEL3,CHAR,6
LABEL2(1) = 'vmp09-t1','vmp09-t1','vmp09-t1','vmp09-t1','vmp09-t1','vmp09-t1'
LABEL3(1) = '5-281','5-281','5-281','5-281','5-281','5-281'
/OUT,vmp09-t15-281,vrt
/COM
/COM,------------------- VMP09-T15 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL281
*VWRITE,LABEL1(1),VALUE(1,2),RATIO(1,1),LABEL2(1),LABEL3(1)
(1X,A8,'       ',F7.4,'     ',F7.4,'       ',A8,A5)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmp09-t15-281,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-P09-t15 181 Input Listing 		Up / Home Next
VM-P09-t33 182 Input Listing


VM-P09-t33 182 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMP09-T33-182
/TITLE, VMP09-T33-182, FREE ANNULAR MEMBRANE
/COM,REFERENCE NAFEMS FVB MANUAL TEST 33

/PREP7
ETYP=182
RDIV=3
CDIV=16
ET,1,ETYP
MP,EX,1,200E9
MP,NUXY,1,.3
MP,DENS,1,8000
CSYS,1
K,1,1.8
K,2,6
K,3,6,90
K,4,1.8,90
L,1,2,RDIV
L,2,3,(CDIV/4)
L,3,4,RDIV
L,4,1,(CDIV/4)
ESIZ,,,2
A,1,2,3,4
AMESH,1
CSYS,0
ARSYM,1,1
ARSYM,2,1,2
NUMMRG,ALL
FINISH

/SOLU
ANTYPE,MODAL
MODOPT,SUBSP,14
MXPAND,14
RIGID,ALL
SOLVE
FINISH

/POST1
*DIM,FREQ,ARRAY,14
*GET,FREQ(1,1),MODE,1,FREQ
*GET,FREQ(2,1),MODE,2,FREQ
*GET,FREQ(3,1),MODE,3,FREQ
*GET,FREQ(4,1),MODE,4,FREQ
*GET,FREQ(5,1),MODE,5,FREQ
*GET,FREQ(6,1),MODE,6,FREQ
*GET,FREQ(7,1),MODE,7,FREQ
*GET,FREQ(8,1),MODE,8,FREQ
*GET,FREQ(9,1),MODE,9,FREQ
*GET,FREQ(10,1),MODE,10,FREQ
*GET,FREQ(11,1),MODE,11,FREQ
*GET,FREQ(12,1),MODE,12,FREQ
*GET,FREQ(13,1),MODE,13,FREQ
*GET,FREQ(14,1),MODE,14,FREQ
R1=1.00
R2=1.00
R3=1.00
R4=FREQ(4,1)/129.240
R5=FREQ(5,1)/129.240
R6=FREQ(6,1)/226.17
R7=FREQ(7,1)/234.74
R8=FREQ(8,1)/234.74
R9=FREQ(9,1)/264.66
R10=FREQ(10,1)/264.66
R11=FREQ(11,1)/336.61
R12=FREQ(12,1)/336.61
R13=FREQ(13,1)/376.79
R14=FREQ(14,1)/376.79

*DIM,VALUE,,7,4
*DIM,RATIO,,7,2
*DIM,LABEL,CHAR,7
*DIM,LABEL2,CHAR,7
LABEL(1)='FREQ 1','FREQ 2','FREQ 3','FREQ 4','FREQ 5','FREQ 6','FREQ 7'
LABEL2(1)='FREQ 8','FREQ 9','FREQ 10','FREQ 11','FREQ 12','FREQ 13','FREQ 14'
*VFILL,VALUE(1,1),DATA,0,0,0,129.240,129.240,226.170,234.740,
*VFILL,VALUE(1,2),DATA,234.740,264.660,264.660,336.610,336.610,376.790,376.790
*VFILL,VALUE(1,3),DATA,FREQ(1,1),FREQ(2,1),FREQ(3,1),FREQ(4,1),FREQ(5,1),FREQ(6,1),FREQ(7,1)
*VFILL,VALUE(1,4),DATA,FREQ(8,1),FREQ(9,1),FREQ(10,1),FREQ(11,1),FREQ(12,1),FREQ(13,1),FREQ(14,1)
*VFILL,RATIO(1,1),DATA,R1,R2,R3,R4,R5,R6,R7
*VFILL,RATIO(1,2),DATA,R8,R9,R10,R11,R12,R13,R14
/COM,
/COM,
/COM,------------- VMP09-T33-182 RESULTS COMPARISON ---------------------
/COM,
/COM,         |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,3),RATIO(1,1)
(1X,A8,'   ',F10.3,'  ',F10.3,'   ',1F8.3)
*VWRITE,LABEL2(1),VALUE(1,2),VALUE(1,4),RATIO(1,2)
(1X,A8,'   ',F10.3,'  ',F10.3,'   ',1F8.3)
FINISH

/POST26
*DIM,LABEL1,CHAR,6
*DIM,LABEL4,CHAR,6
*DIM,VALUE1,,6,2
LABEL1(1) = ' MODE',' MODE',' MODE',' MODE',' MODE',' MODE'
LABEL4(1) = '4,5','6','7,8','9,10','11,12','13,14'
*VFILL,VALUE1(1,1),DATA,FREQ(5,1),FREQ(6,1),FREQ(8,1),FREQ(10,1),FREQ(12,1),FREQ(14,1)
*VFILL,VALUE1(1,2),DATA,R5,R6,R8,R10,R12,R14
*DIM,LABEL3,CHAR,6
*DIM,LABEL5,CHAR,6
LABEL3(1) = 'vmp09-t3','vmp09-t3','vmp09-t3','vmp09-t3','vmp09-t3','vmp09-t3'
LABEL5(1) = '3-182','3-182','3-182','3-182','3-182','3-182',

/OUT,vmp09-t33-182,vrt
/COM
/COM,------------------- VMP09-T33 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE182
*VWRITE,LABEL1(1),LABEL4(1),VALUE1(1,1),VALUE1(1,2),LABEL3(1),LABEL5(1)
(1X,A5,A5,'     ',F7.3,'     ',F7.3,'       ',A8,A5)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmp09-t33-182,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-P09-t15 281 Input Listing 		Up / Home Next
VM-P09-t33 183 Input Listing


VM-P09-t33 183 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMP09-T33-183
/TITLE, VMP09-T33-183, FREE ANNULAR MEMBRANE
/COM,REFERENCE NAFEMS FVB MANUAL TEST 33

/PREP7 $SMRT,OFF
ETYP=183
RDIV=3
CDIV=16
ET,1,ETYP
MP,EX,1,200E9
MP,NUXY,1,.3
MP,DENS,1,8000
CSYS,1
K,1,1.8
K,2,6
K,3,6,90
K,4,1.8,90
L,1,2,RDIV
L,2,3,(CDIV/4)
L,3,4,RDIV
L,4,1,(CDIV/4)
ESIZ,,,2
A,1,2,3,4
AMESH,1
CSYS,0
ARSYM,1,1
ARSYM,2,1,2
NUMMRG,ALL
FINISH

/SOLU
ANTYPE,MODAL
MODOPT,SUBSP,14
MXPAND,14
RIGID,ALL
SOLVE
FINISH

/POST1
*DIM,FREQ,ARRAY,14
*GET,FREQ(1,1),MODE,1,FREQ
*GET,FREQ(2,1),MODE,2,FREQ
*GET,FREQ(3,1),MODE,3,FREQ
*GET,FREQ(4,1),MODE,4,FREQ
*GET,FREQ(5,1),MODE,5,FREQ
*GET,FREQ(6,1),MODE,6,FREQ
*GET,FREQ(7,1),MODE,7,FREQ
*GET,FREQ(8,1),MODE,8,FREQ
*GET,FREQ(9,1),MODE,9,FREQ
*GET,FREQ(10,1),MODE,10,FREQ
*GET,FREQ(11,1),MODE,11,FREQ
*GET,FREQ(12,1),MODE,12,FREQ
*GET,FREQ(13,1),MODE,13,FREQ
*GET,FREQ(14,1),MODE,14,FREQ
R1=1.00
R2=1.00
R3=1.00
R4=FREQ(4,1)/129.240
R5=FREQ(5,1)/129.240
R6=FREQ(6,1)/226.17
R7=FREQ(7,1)/234.74
R8=FREQ(8,1)/234.74
R9=FREQ(9,1)/264.66
R10=FREQ(10,1)/264.66
R11=FREQ(11,1)/336.61
R12=FREQ(12,1)/336.61
R13=FREQ(13,1)/376.79
R14=FREQ(14,1)/376.79

*DIM,VALUE,,7,4
*DIM,RATIO,,7,2
*DIM,LABEL,CHAR,7
*DIM,LABEL2,CHAR,7
LABEL(1)='FREQ 1','FREQ 2','FREQ 3','FREQ 4','FREQ 5','FREQ 6','FREQ 7'
LABEL2(1)='FREQ 8','FREQ 9','FREQ 10','FREQ 11','FREQ 12','FREQ 13','FREQ 14'
*VFILL,VALUE(1,1),DATA,0,0,0,129.240,129.240,226.170,234.740,
*VFILL,VALUE(1,2),DATA,234.740,264.660,264.660,336.610,336.610,376.790,376.790
*VFILL,VALUE(1,3),DATA,FREQ(1,1),FREQ(2,1),FREQ(3,1),FREQ(4,1),FREQ(5,1),FREQ(6,1),FREQ(7,1)
*VFILL,VALUE(1,4),DATA,FREQ(8,1),FREQ(9,1),FREQ(10,1),FREQ(11,1),FREQ(12,1),FREQ(13,1),FREQ(14,1)
*VFILL,RATIO(1,1),DATA,R1,R2,R3,R4,R5,R6,R7
*VFILL,RATIO(1,2),DATA,R8,R9,R10,R11,R12,R13,R14
/COM,
/COM,
/COM,------------- VMP09-T33-183 RESULTS COMPARISON ---------------------
/COM,
/COM,         |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,3),RATIO(1,1)
(1X,A8,'   ',F10.3,'  ',F10.3,'   ',1F8.3)
*VWRITE,LABEL2(1),VALUE(1,2),VALUE(1,4),RATIO(1,2)
(1X,A8,'   ',F10.3,'  ',F10.3,'   ',1F8.3)
FINISH

/POST26
*DIM,LABEL1,CHAR,6
*DIM,LABEL4,CHAR,6
*DIM,VALUE1,,6,2
LABEL1(1) = ' MODE',' MODE',' MODE',' MODE',' MODE',' MODE'
LABEL4(1) = '4,5','6','7,8','9,10','11,12','13,14'
*VFILL,VALUE1(1,1),DATA,FREQ(5,1),FREQ(6,1),FREQ(8,1),FREQ(10,1),FREQ(12,1),FREQ(14,1)
*VFILL,VALUE1(1,2),DATA,R5,R6,R8,R10,R12,R14
*DIM,LABEL3,CHAR,6
*DIM,LABEL5,CHAR,6
LABEL3(1) = 'vmp09-t3','vmp09-t3','vmp09-t3','vmp09-t3','vmp09-t3','vmp09-t3'
LABEL5(1) = '3-183','3-183','3-183','3-183','3-183','3-183',

/OUT,vmp09-t33-183,vrt
/COM
/COM,------------------- VMP09-T33 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE183
*VWRITE,LABEL1(1),LABEL4(1),VALUE1(1,1),VALUE1(1,2),LABEL3(1),LABEL5(1)
(1X,A5,A5,'     ',F7.3,'     ',F7.3,'       ',A8,A5)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmp09-t33-183,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-P09-t33 182 Input Listing 		Up / Home Next
VM-P09-t52 181 Input Listing


VM-P09-t52 181 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMP09-T52-181
/TITLE,VMP09-T52-181, SIMPLY SUPPORTED SOLID SQUARE PLATE
/COM,REFERENCE: NAFEMS FVB MANUAL TEST 52

/PREP7
ET,1,181,,,2
R,1,1.0
MP,EX,1,200E9
MP,NUXY,1,0.3
MP,DENS,1,8000.0
RECT,0,10,0,10
ESIZE,,20
AMESH, ALL
FINISH

/SOLU
ANTYPE,MODAL
NSEL,,LOC,X,0.0,0.0001
D,ALL,UZ
NSEL,,LOC,Y,0.0,0.00001
D,ALL,UZ
NSEL,,LOC,X,10
D,ALL,UZ
NSEL,,LOC,Y,10
D,ALL,UZ
NSEL,ALL
MODOPT,LANB,10,
SOLVE
FINISH

/POST1
*DIM,FREQ,ARRAY,10
*GET,FREQ(1,1),MODE,4,FREQ
*GET,FREQ(2,1),MODE,5,FREQ
*GET,FREQ(3,1),MODE,6,FREQ
*GET,FREQ(4,1),MODE,7,FREQ
*GET,FREQ(5,1),MODE,8,FREQ
*GET,FREQ(6,1),MODE,9,FREQ
*GET,FREQ(7,1),MODE,10,FREQ
R1=FREQ(1,1)/45.897
R2=FREQ(2,1)/109.44
R3=FREQ(3,1)/109.44
R4=FREQ(4,1)/167.59
R5=FREQ(5,1)/193.59
R6=FREQ(6,1)/206.19
R7=FREQ(7,1)/206.19

*DIM,VALUE,,7,2
*DIM,LABEL,CHAR,10
*DIM,RATIO,,7,2
LABEL(1) = 'FREQ 4','FREQ 5','FREQ 6','FREQ 7','FREQ 8','FREQ 9','FREQ 10'
*VFILL,VALUE(1,1),DATA,45.897,109.44,109.44,167.89,193.59,206.19,206.19
*VFILL,VALUE(1,2),DATA,FREQ(1,1),FREQ(2,1),FREQ(3,1),FREQ(4,1),FREQ(5,1),FREQ(6,1),FREQ(7,1)
*VFILL,RATIO(1,1),DATA,R1,R2,R3,R4,R5,R6,R7

/COM
/COM,-------------- VMP09-T52-181 RESULTS COMPARISON ---------------------
/COM,
/COM,         |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),RATIO(1,1)
(1X,A8,'   ',F10.3,'  ',F10.3,'   ',1F8.3)
FINISH

/POST26
*DIM,LABEL1,CHAR,5
*DIM,VALUE1,,5,3
*DIM,LABEL3,CHAR,5
LABEL1(1) = ' MODE',' MODE',' MODE',' MODE',' MODE'
LABEL3(1) = '4','5,6','7','8','9,10'
*VFILL,VALUE1(1,1),DATA,FREQ(1,1),FREQ(3,1),FREQ(4,1),FREQ(5,1),FREQ(7,1)
*VFILL,VALUE1(1,2),DATA,R1,R3,R4,R5,R7
*DIM,LABEL2,CHAR,5
*DIM,LABEL4,CHAR,5
LABEL2(1) = 'vmp09-t5','vmp09-t5','vmp09-t5','vmp09-t5','vmp09-t5'
LABEL4(1) = '2-181','2-181','2-181','2-181','2-181'

/OUT,vmp09-t52-181,vrt
/COM
/COM,------------------- VMP09-T52 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL181
*VWRITE,LABEL1(1),LABEL3(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL4(1)
(1X,A5,A5,'      ',F7.3,'    ',F7.4,'        ',A8,A5)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmp09-t52-181,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-P09-t33 183 Input Listing 		Up / Home Next
VM-P09-t52 185 Input Listing


VM-P09-t52 185 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMP09-T52-185
/TITLE,VMP09-T52-185,SIMPLY SUPPORTED SOLID SQUARE PLATE
/COM,REFERENCE: NAFEMS FVB MANUAL TEST 52

/NOPR
/PREP7
BLOCK,0,10,0,10,0,1,
ET,1,185
MP,EX,1,200E9
MP,NUXY,1,0.3
MP,DENS,1,8000.0
MSHAPE,0,3D
MSHKEY,1
LESIZE,ALL,,,10,,,,,1
VMESH, ALL
FINISH

/SOLU
ANTYPE,MODAL
NSEL,,LOC,Z,0.049999,0.050011
NSEL,,LOC,X,0.0,0.0001
D,ALL,UZ
NSEL,,LOC,Z,0.049999,0.050011
NSEL,,LOC,Y,0.0,0.00001
D,ALL,UZ
NSEL,,LOC,Z,0.049999,0.050011
NSEL,,LOC,X,10
D,ALL,UZ
NSEL,,LOC,Z,0.049999,0.050011
NSEL,,LOC,Y,10
D,ALL,UZ
NSEL,ALL
MODOPT,LANB,10,
/OUT,SCRATCH
SOLVE
/OUT
FINISH
/POST1
*DIM,FREQ,ARRAY,10
*GET,FREQ(1,1),MODE,4,FREQ
*GET,FREQ(2,1),MODE,5,FREQ
*GET,FREQ(3,1),MODE,6,FREQ
*GET,FREQ(4,1),MODE,7,FREQ
*GET,FREQ(5,1),MODE,8,FREQ
*GET,FREQ(6,1),MODE,9,FREQ
*GET,FREQ(7,1),MODE,10,FREQ
R1=FREQ(1,1)/45.897
R2=FREQ(2,1)/109.44
R3=FREQ(3,1)/109.44
R4=FREQ(4,1)/167.89
R5=FREQ(5,1)/193.59
R6=FREQ(6,1)/206.19
R7=FREQ(7,1)/206.9

*DIM,VALUE,,7,2
*DIM,LABEL,CHAR,10
*DIM,RATIO,,7,1
LABEL(1) = 'FREQ 4','FREQ 5','FREQ 6','FREQ 7','FREQ 8','FREQ 9','FREQ 10'
*VFILL,VALUE(1,1),DATA,45.897,109.44,109.44,167.89,193.59,206.19,206.19
*VFILL,VALUE(1,2),DATA,FREQ(1,1),FREQ(2,1),FREQ(3,1),FREQ(4,1),FREQ(5,1),FREQ(6,1),FREQ(7,1)
*VFILL,RATIO(1,1),DATA,R1,R2,R3,R4,R5,R6,R7

/COM
/COM,-------------- VMP09-T52-185 RESULTS COMPARISON ---------------------
/COM,
/COM,         |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),RATIO(1,1)
(1X,A8,'   ',F10.3,'  ',F10.3,'   ',1F8.3)
FINISH

/POST26
*DIM,LABEL1,CHAR,5
*DIM,VALUE1,,5,3
*DIM,LABEL3,CHAR,5
LABEL1(1) = ' MODE',' MODE',' MODE',' MODE',' MODE'
LABEL3(1) = '4','5,6','7','8','9,10'
*VFILL,VALUE1(1,1),DATA,FREQ(1,1),FREQ(3,1),FREQ(4,1),FREQ(5,1),FREQ(7,1)
*VFILL,VALUE1(1,2),DATA,R1,R3,R4,R5,R7
*DIM,LABEL2,CHAR,5
*DIM,LABEL4,CHAR,5
LABEL2(1) = 'vmp09-t5','vmp09-t5','vmp09-t5','vmp09-t5','vmp09-t5'
LABEL4(1) = '2-185','2-185','2-185','2-185','2-185'

/OUT,vmp09-t52-185,vrt
/COM
/COM,------------------- VMP09-T52 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SOLID185
*VWRITE,LABEL1(1),LABEL3(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL4(1)
(1X,A5,A5,'      ',F7.3,'    ',F7.4,'        ',A8,A5)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmp09-t52-185,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-P09-t52 181 Input Listing 		Up / Home Next
VM-P09-t52 186 Input Listing


VM-P09-t52 186 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMP09-T52-186
/TITLE,VMP09-T52-186, SIMPLY-SUPPORTED SOLID SQUARE PLATE
/COM,   SELECTED BENCHMARKS FOR NATURAL FREQUENCY ANALYSIS
/COM,   JUNE 1987, TEST 52

/PREP7
N1=4
N2=1
ET,1,186
MP,EX,1,200E9
MP,NUXY,1,.3
MP,DENS,1,8000
K,1
K,2,10
K,3,10,10
K,4,,10
KGEN,2,1,4,1,,,1
L,1,5,N2
*REP,4,1,1
V,1,2,3,4,5,6,7,8
ESIZE,,N1
VMESH,1
NSEL,S,LOC,Y,0
NSEL,R,LOC,Z,0
D,ALL,UZ,0
NSEL,S,LOC,X,0
NSEL,R,LOC,Z,0
D,ALL,UZ,0
NSEL,S,LOC,Y,10
NSEL,R,LOC,Z,0
D,ALL,UZ,0
NSEL,S,LOC,X,10
NSEL,R,LOC,Z,0
D,ALL,UZ,0
NSEL,ALL
FINISH

/SOLU
ANTYPE,MODAL
MODOPT,SUBSP,20
MXPAND,10
SOLVE
FINISH

/POST1
*DIM,FREQ,ARRAY,10
*GET,FREQ(1,1),MODE,4,FREQ
*GET,FREQ(2,1),MODE,5,FREQ
*GET,FREQ(3,1),MODE,6,FREQ
*GET,FREQ(4,1),MODE,7,FREQ
*GET,FREQ(5,1),MODE,8,FREQ
*GET,FREQ(6,1),MODE,9,FREQ
*GET,FREQ(7,1),MODE,10,FREQ
R1=FREQ(1,1)/45.897
R2=FREQ(2,1)/109.44
R3=FREQ(3,1)/109.44
R4=FREQ(4,1)/167.89
R5=FREQ(5,1)/193.59
R6=FREQ(6,1)/206.19
R7=FREQ(7,1)/206.19
*DIM,VALUE,,7,2
*DIM,LABEL,CHAR,10
*DIM,RATIO,,7,1
LABEL(1) = 'FREQ 4','FREQ 5','FREQ 6','FREQ 7','FREQ 8','FREQ 9','FREQ 10'
*VFILL,VALUE(1,1),DATA,45.897,109.44,109.44,167.89,193.59,206.19,206.19
*VFILL,VALUE(1,2),DATA,FREQ(1,1),FREQ(2,1),FREQ(3,1),FREQ(4,1),FREQ(5,1),FREQ(6,1),FREQ(7,1)
*VFILL,RATIO(1,1),DATA,R1,R2,R3,R4,R5,R6,R7
FINISH

/PREP7
ET,1,186
LUMPM,ON
FINISH

/SOLU
SOLVE
FINISH

/POST1
*DIM,FREQ1,ARRAY,10
*GET,FREQ1(1,1),MODE,4,FREQ
*GET,FREQ1(2,1),MODE,5,FREQ
*GET,FREQ1(3,1),MODE,6,FREQ
*GET,FREQ1(4,1),MODE,7,FREQ
*GET,FREQ1(5,1),MODE,8,FREQ
*GET,FREQ1(6,1),MODE,9,FREQ
*GET,FREQ1(7,1),MODE,10,FREQ
R8=FREQ1(1,1)/45.897
R9=FREQ1(2,1)/109.44
R10=FREQ1(3,1)/109.44
R11=FREQ1(4,1)/167.89
R12=FREQ1(5,1)/193.59
R13=FREQ1(6,1)/206.19
R14=FREQ1(7,1)/206.19
*DIM,VALUE1,,7,2
*DIM,LABEL1,CHAR,10
*DIM,RATIO1,,7,1
LABEL1(1) = 'FREQ 4','FREQ 5','FREQ 6','FREQ 7','FREQ 8','FREQ 9','FREQ 10'
*VFILL,VALUE1(1,1),DATA,45.897,109.44,109.44,167.89,193.59,206.19,206.19
*VFILL,VALUE1(1,2),DATA,FREQ1(1,1),FREQ1(2,1),FREQ1(3,1),FREQ1(4,1),FREQ1(5,1),FREQ1(6,1), FREQ1(7,1)
*VFILL,RATIO1(1,1),DATA,R8,R9,R10,R11,R12,R13,R14
/COM,
/COM,------------ VMP09-T52-186 RESULTS COMPARISON ----------------
/COM,
/COM,         |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),RATIO(1,1)
(1X,A8,'   ',F10.3,'  ',F10.3,'   ',1F8.3)
/COM
/COM,---------------- LUMPED MASS RESULTS --------------------
/COM
/COM,         |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),RATIO1(1,1)
(1X,A8,'   ',F10.3,'  ',F10.3,'   ',1F8.3)
FINISH

/POST26
*DIM,LABEL3,CHAR,5
*DIM,LABEL4,CHAR,5
*DIM,VALUE2,,5,3
LABEL3(1) = ' MODE',' MODE',' MODE',' MODE',' MODE'
LABEL4(1) = '4','5,6','7','8','9,10'
*VFILL,VALUE2(1,1),DATA,FREQ(1,1),FREQ(3,1),FREQ(4,1),FREQ(5,1),FREQ(7,1)
*VFILL,VALUE2(1,2),DATA,R1,R3,R4,R5,R7
*DIM,LABEL2,CHAR,5
*DIM,LABEL5,CHAR,5
LABEL2(1) = 'vmp09-t5','vmp09-t5','vmp09-t5','vmp09-t5','vmp09-t5'
LABEL5(1) = '2-186','2-186','2-186','2-186','2-186'

/OUT,vmp09-t52-186,vrt
/COM
/COM,------------------- VMP09-T52 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SOLID186
*VWRITE,LABEL3(1),LABEL4(1),VALUE2(1,1),VALUE2(1,2),LABEL2(1),LABEL5(1)
(1X,A5,A5,'      ',F7.3,'    ',F7.4,'        ',A8,A5)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmp09-t52-186,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-P09-t52 185 Input Listing 		Up / Home Next
VM-P09-t52 187 Input Listing


VM-P09-t52 187 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMP09-T52-187
/TITLE,VMP09-T52-187, SIMPLY-SUPPORTED SOLID SQUARE PLATE
/COM,   SELECTED BENCHMARKS FOR NATURAL FREQUENCY ANALYSIS
/COM,   JUNE 1987, TEST 52

/PREP7
N1=4
N2=1
ET,1,187
MP,EX,1,200E9
MP,NUXY,1,.3
MP,DENS,1,8000
K,1
K,2,10
K,3,10,10
K,4,,10
KGEN,2,1,4,1,,,1
L,1,5,N2
*REP,4,1,1
V,1,2,3,4,5,6,7,8
ESIZE,,N1
VMESH,1
NSEL,S,LOC,Y,0
NSEL,R,LOC,Z,0
D,ALL,UZ,0
NSEL,S,LOC,X,0
NSEL,R,LOC,Z,0
D,ALL,UZ,0
NSEL,S,LOC,Y,10
NSEL,R,LOC,Z,0
D,ALL,UZ,0
NSEL,S,LOC,X,10
NSEL,R,LOC,Z,0
D,ALL,UZ,0
NSEL,ALL
FINISH

/SOLVE
ANTYPE,MODAL
MODOPT,SUBSP,20
MXPAND,10
SOLVE
FINISH

/POST1
*DIM,FREQ,ARRAY,10
*GET,FREQ(1,1),MODE,4,FREQ
*GET,FREQ(2,1),MODE,5,FREQ
*GET,FREQ(3,1),MODE,6,FREQ
*GET,FREQ(4,1),MODE,7,FREQ
*GET,FREQ(5,1),MODE,8,FREQ
*GET,FREQ(6,1),MODE,9,FREQ
*GET,FREQ(7,1),MODE,10,FREQ
R1=FREQ(1,1)/45.897
R2=FREQ(2,1)/109.44
R3=FREQ(3,1)/109.44
R4=FREQ(4,1)/167.89
R5=FREQ(5,1)/193.59
R6=FREQ(6,1)/206.19
R7=FREQ(7,1)/206.19
*DIM,VALUE,,7,2
*DIM,LABEL,CHAR,10
*DIM,RATIO,,7,1
LABEL(1) = 'FREQ 4','FREQ 5','FREQ 6','FREQ 7','FREQ 8','FREQ 9','FREQ 10'
*VFILL,VALUE(1,1),DATA,45.897,109.44,109.44,167.89,193.59,206.19,206.19
*VFILL,VALUE(1,2),DATA,FREQ(1,1),FREQ(2,1),FREQ(3,1),FREQ(4,1),FREQ(5,1),FREQ(6,1),FREQ(7,1)
*VFILL,RATIO(1,1),DATA,R1,R2,R3,R4,R5,R6,R7
FINISH

/PREP7
ET,1,187
LUMPM,ON
FINISH

/SOLU
SOLVE
FINISH

/POST1
*DIM,FREQ1,ARRAY,10
*GET,FREQ1(1,1),MODE,4,FREQ
*GET,FREQ1(2,1),MODE,5,FREQ
*GET,FREQ1(3,1),MODE,6,FREQ
*GET,FREQ1(4,1),MODE,7,FREQ
*GET,FREQ1(5,1),MODE,8,FREQ
*GET,FREQ1(6,1),MODE,9,FREQ
*GET,FREQ1(7,1),MODE,10,FREQ
R8=FREQ1(1,1)/45.897
R9=FREQ1(2,1)/109.44
R10=FREQ1(3,1)/109.44
R11=FREQ1(4,1)/167.89
R12=FREQ1(5,1)/193.59
R13=FREQ1(6,1)/206.19
R14=FREQ1(7,1)/206.19
*DIM,VALUE1,,7,2
*DIM,LABEL1,CHAR,10
*DIM,RATIO1,,7,1
LABEL1(1) = 'FREQ 4','FREQ 5','FREQ 6','FREQ 7','FREQ 8','FREQ 9','FREQ 10'
*VFILL,VALUE1(1,1),DATA,45.897,109.44,109.44,167.89,193.59,206.19,206.19
*VFILL,VALUE1(1,2),DATA,FREQ1(1,1),FREQ1(2,1),FREQ1(3,1),FREQ1(4,1),FREQ1(5,1),FREQ1(6,1), FREQ1(7,1)
*VFILL,RATIO1(1,1),DATA,R8,R9,R10,R11,R12,R13,R14
/COM,
/COM,------------ VMP09-T52-187 RESULTS COMPARISON ----------------
/COM,
/COM,         |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),RATIO(1,1)
(1X,A8,'   ',F10.3,'  ',F10.3,'   ',1F8.3)
/COM
/COM,---------------- LUMPED MASS RESULTS --------------------
/COM
/COM,         |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),RATIO1(1,1)
(1X,A8,'   ',F10.3,'  ',F10.3,'   ',1F8.3)
FINISH

/POST26
*DIM,LABEL3,CHAR,5
*DIM,VALUE2,,5,3
*DIM,LABEL4,CHAR,5
LABEL3(1) = ' MODE',' MODE',' MODE',' MODE',' MODE'
LABEL4(1) = '4','5,6','7','8','9,10'
*VFILL,VALUE2(1,1),DATA,FREQ(1,1),FREQ(3,1),FREQ(4,1),FREQ(5,1),FREQ(7,1),
*VFILL,VALUE2(1,2),DATA,R1,R3,R4,R5,R7
*DIM,LABEL2,CHAR,5
*DIM,LABEL5,CHAR,5
LABEL2(1) = 'vmp09-t5','vmp09-t5','vmp09-t5','vmp09-t5','vmp09-t5'
LABEL5(1) = '2-187','2-187','2-187','2-187','2-187'

/OUT,vmp09-t52-187,vrt
/COM
/COM,------------------- VMP09-T52 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SOLID187
*VWRITE,LABEL3(1),LABEL4(1),VALUE2(1,1),VALUE2(1,2),LABEL2(1),LABEL5(1)
(1X,A5,A5,'      ',F7.3,'    ',F7.4,'        ',A8,A5)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmp09-t52-187,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-P09-t52 186 Input Listing 		Up / Home Next
VM-P09-t52 281 Input Listing


VM-P09-t52 281 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMP09-T52-281
/TITLE,VMP09-T52-281, SIMPLY SUPPORTED SOLID SQUARE PLATE
/COM,REFERENCE: NAFEMS FVB MANUAL TEST 52
/PREP7
ET,1,SHELL281,,,2
R,1,1.0
MP,EX,1,200E9
MP,NUXY,1,0.3
MP,DENS,1,8000.0
RECT,0,10,0,10
ESIZE,,20
AMESH, ALL
FINISH
/SOLU
ANTYPE,MODAL
NSEL,,LOC,X,0.0,0.0001
D,ALL,UZ
NSEL,,LOC,Y,0.0,0.00001
D,ALL,UZ
NSEL,,LOC,X,10
D,ALL,UZ
NSEL,,LOC,Y,10
D,ALL,UZ
NSEL,ALL
MODOPT,LANB,10,
SOLVE
FINISH
/POST1
*DIM,FREQ,ARRAY,10
*GET,FREQ(1,1),MODE,4,FREQ
*GET,FREQ(2,1),MODE,5,FREQ
*GET,FREQ(3,1),MODE,6,FREQ
*GET,FREQ(4,1),MODE,7,FREQ
*GET,FREQ(5,1),MODE,8,FREQ
*GET,FREQ(6,1),MODE,9,FREQ
*GET,FREQ(7,1),MODE,10,FREQ
R1=FREQ(1,1)/45.897
R2=FREQ(2,1)/109.44
R3=FREQ(3,1)/109.44
R4=FREQ(4,1)/167.59
R5=FREQ(5,1)/193.59
R6=FREQ(6,1)/206.19
R7=FREQ(7,1)/206.19
*DIM,VALUE,,7,2
*DIM,LABEL,CHAR,10
*DIM,RATIO,,7,2
LABEL(1) = 'FREQ 4','FREQ 5','FREQ 6','FREQ 7','FREQ 8','FREQ 9','FREQ 10'
*VFILL,VALUE(1,1),DATA,45.897,109.44,109.44,167.89,193.59,206.19,206.19
*VFILL,VALUE(1,2),DATA,FREQ(1,1),FREQ(2,1),FREQ(3,1),FREQ(4,1),FREQ(5,1),FREQ(6,1),FREQ(7,1)
*VFILL,RATIO(1,1),DATA,R1,R2,R3,R4,R5,R6,R7
/COM
/COM,-------------- VMP09-T52-281 RESULTS COMPARISON ---------------------
/COM,
/COM,         |   TARGET   |   ANSYS   |   RATIO
/COM,
*VWRITE,LABEL(1),VALUE(1,1),VALUE(1,2),RATIO(1,1)
(1X,A8,'   ',F10.3,'  ',F10.3,'   ',1F8.3)
FINISH
/POST26
*DIM,LABEL1,CHAR,5
*DIM,VALUE1,,5,3
*DIM,LABEL3,CHAR,5
LABEL1(1) = ' MODE',' MODE',' MODE',' MODE',' MODE'
LABEL3(1) = '4','5,6','7','8','9,10'
*VFILL,VALUE1(1,1),DATA,FREQ(1,1),FREQ(3,1),FREQ(4,1),FREQ(5,1),FREQ(7,1)
*VFILL,VALUE1(1,2),DATA,R1,R3,R4,R5,R7
*DIM,LABEL2,CHAR,5
*DIM,LABEL4,CHAR,5
LABEL2(1) = 'vmp09-t5','vmp09-t5','vmp09-t5','vmp09-t5','vmp09-t5'
LABEL4(1) = '2-281','2-281','2-281','2-281','2-281'
/OUT,vmp09-t52-281,vrt
/COM
/COM,------------------- VMP09-T52 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL281
*VWRITE,LABEL1(1),LABEL3(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL4(1)
(1X,A5,A5,'      ',F7.3,'    ',F7.4,'        ',A8,A5)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmp09-t52-281,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-P09-t52 187 Input Listing 		Up / Home Next
VM-R027-3A 181 Input Listing


VM-R027-3A 181 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr3a-181
/TITLE,vmr027-cr3a-181,2D PLANE STRESS-BIAXIAL LOAD SECONDARY CREEP
/COM, REFERENCE: TEST 3(A) FROM NAFEMS R0027.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(SECONDARY CREEP)***
*SET,C1,3.125E-14
*SET,C2,5
*SET,C3,0
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
SAVE
N,1,0,0,0
N,2,100,0
N,3,100,50
N,4,0,50
N,5,100,100
N,6,0,100
ET,1,181,,,
R,1,1,1,1,1,
E,1,2,3,4
E,4,3,5,6
NSEL,S,LOC,X,
D,ALL,UX,
NSEL,ALL
NSEL,S,LOC,Y,
D,ALL,UY,
NSEL,ALL
D,ALL,ROTX
D,ALL,ROTY

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-200
NSEL,ALL
NSEL,S,LOC,Y,100
SF,ALL,PRES,200
NSEL,ALL

/SOLU
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,0.10,0.099,0.10
TIME, 0.10
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,1.0,0.99,1.0
TIME, 1.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,5.0,4.99,5.0
TIME, 5.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,10.0,9.99,10.0
TIME, 10.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
OUTRES,ALL,ALL
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH

/POST26
ESOL,2,1,,EPCR,X
ESOL,3,1,,EPCR,Y
ESOL,4,1,,EPCR,EQV
PRVAR,2,3
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/YRANGE,-160,160
/COLOR,CURVE,RED,1
PLVAR,2
/NOERASE
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/YRANGE,-160,160
/COLOR,CURVE,BLUE,1
PLVAR,3
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/YRANGE,-160,160
/COLOR,CURVE,GREEN,1
PLVAR,4
/SHOW,CLOSE

/POST1
SET,1,1
*GET,SH1,NODE,3,EPCR,X
*GET,SH11,NODE,3,EPCR,Y
R1=1.00
R11=1.00
SET,2,1
*GET,SH2,NODE,3,EPCR,X
*GET,SH12,NODE,3,EPCR,Y
R2=SH2/0.0135
R12=SH12/(-0.0135)
SET,3,1
*GET,SH3,NODE,3,EPCR,X
*GET,SH13,NODE,3,EPCR,Y
R3=SH3/(0.135)
R13=SH13/(-0.135)
SET,4,1
*GET,SH4,NODE,3,EPCR,X
*GET,SH14,NODE,3,EPCR,Y
R4=SH4/0.675
R14=SH14/(-0.675)
SET,,,,,,,5
*GET,SH5,NODE,3,EPCR,X
*GET,SH15,NODE,3,EPCR,Y
R5=SH5/(1.35)
R15=SH15/(-1.35)
SET,,,,,,,9
*GET,SH6,NODE,3,EPCR,X
*GET,SH16,NODE,3,EPCR,Y
R6=SH6/6.75
R16=SH16/(-6.75)
SET,,,,,,,14
*GET,SH7,NODE,3,EPCR,X
*GET,SH17,NODE,3,EPCR,Y
R7=SH7/13.5
R17=SH17/(-13.5)
SET,,,,,,,54
*GET,SH8,NODE,3,EPCR,X
*GET,SH18,NODE,3,EPCR,Y
R8=SH8/67.5
R18=SH18/(-67.5)
SET,,,,,,,104
*GET,SH9,NODE,3,EPCR,X
*GET,SH19,NODE,3,EPCR,Y
R9=SH9/135.0
R19=SH19/(-135.0)
*DIM,VALUE,,9,6
*DIM,LABEL,CHAR,10
LABEL(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE(1,1),DATA,0.0,0.0135,0.135,0.675,1.35,6.75,13.5,67.5,135.0
*VFILL,VALUE(1,2),DATA,SH1,SH2,SH3,SH4,SH5,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9
*VFILL,VALUE(1,4),DATA,0.0,-0.0135,-0.135,-0.675,-1.35,-6.75,-13.5,-67.5,-135.0
*VFILL,VALUE(1,5),DATA,SH11,SH12,SH13,SH14,SH15,SH16,SH17,SH18,SH19
*VFILL,VALUE(1,6),DATA,R11,R12,R13,R14,R15,R16,R17,R18,R19
/COM
/COM
/COM,-------------------- vmr027-cr3a-181 RESULTS COMPARISON ----------------------
/COM,
/COM,|   TIME   | TARGETX |   ANSYS  |   RATIO  |  TARGETY |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3), VALUE(1,4),VALUE(1,5),VALUE(1,6)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ',F8.3,'   ',F8.3,'   ',F8.3)
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR6X ',' ECR6Y '
*VFILL,VALUE1(1,1),DATA,SH9,SH19
*VFILL,VALUE1(1,2),DATA,R9,R19
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr027-','cr3a-181'

/OUT,vmr027-cr3a-181,vrt
/COM
/COM,------------------- vmr027-cr3a RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL181
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr3a-181,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-P09-t52 281 Input Listing 		Up / Home Next
VM-R027-3A 182 Input Listing


VM-R027-3A 182 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr3a-182
/TITLE,vmr027-cr3a-182,2D PLANE STRESS-BIAXIAL LOAD SECONDARY CREEP
/COM, REFERENCE: TEST 3(A) FROM NAFEMS R0027.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(SECONDARY CREEP)***
*SET,C1,3.125E-14
*SET,C2,5
*SET,C3,0
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
SAVE
N,1,0,0,0
N,2,100,0
N,3,100,50
N,4,0,50
N,5,100,100
N,6,0,100
ET,1,182
KEYOPT,1,1,1
KEYOPT,1,3,0
E,1,2,3,4
E,4,3,5,6
NSEL,S,LOC,X,
D,ALL,UX,
NSEL,ALL
NSEL,S,LOC,Y,
D,ALL,UY,
NSEL,ALL

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-200
NSEL,ALL
NSEL,S,LOC,Y,100
SF,ALL,PRES,200
NSEL,ALL

/SOLU
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,0.10,0.099,0.10
TIME, 0.10
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,1.0,0.99,1.0
TIME, 1.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,5.0,4.99,5.0
TIME, 5.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,10.0,9.99,10.0
TIME, 10.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
OUTRES,ALL,ALL
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH

/POST26
ESOL,2,1,,EPCR,X
ESOL,3,1,,EPCR,Y
ESOL,4,1,,EPCR,EQV
PRVAR,2,3
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/YRANGE,-160,160
/COLOR,CURVE,RED,1
PLVAR,2
/NOERASE
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/YRANGE,-160,160
/COLOR,CURVE,BLUE,1
PLVAR,3
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/YRANGE,-160,160
/COLOR,CURVE,GREEN,1
PLVAR,4
/SHOW,CLOSE

/POST1
SET,1,1
*GET,SH1,NODE,3,EPCR,X
*GET,SH11,NODE,3,EPCR,Y
R1=1.00
R11=1.00
SET,2,1
*GET,SH2,NODE,3,EPCR,X
*GET,SH12,NODE,3,EPCR,Y
R2=SH2/0.0135
R12=SH12/(-0.0135)
SET,3,1
*GET,SH3,NODE,3,EPCR,X
*GET,SH13,NODE,3,EPCR,Y
R3=SH3/(0.135)
R13=SH13/(-0.135)
SET,4,1
*GET,SH4,NODE,3,EPCR,X
*GET,SH14,NODE,3,EPCR,Y
R4=SH4/0.675
R14=SH14/(-0.675)
SET,,,,,,,5
*GET,SH5,NODE,3,EPCR,X
*GET,SH15,NODE,3,EPCR,Y
R5=SH5/(1.35)
R15=SH15/(-1.35)
SET,,,,,,,9
*GET,SH6,NODE,3,EPCR,X
*GET,SH16,NODE,3,EPCR,Y
R6=SH6/6.75
R16=SH16/(-6.75)
SET,,,,,,,14
*GET,SH7,NODE,3,EPCR,X
*GET,SH17,NODE,3,EPCR,Y
R7=SH7/13.5
R17=SH17/(-13.5)
SET,,,,,,,54
*GET,SH8,NODE,3,EPCR,X
*GET,SH18,NODE,3,EPCR,Y
R8=SH8/67.5
R18=SH18/(-67.5)
SET,,,,,,,104
*GET,SH9,NODE,3,EPCR,X
*GET,SH19,NODE,3,EPCR,Y
R9=SH9/135.0
R19=SH19/(-135.0)
*DIM,VALUE,,9,6
*DIM,LABEL,CHAR,10
LABEL(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE(1,1),DATA,0.0,0.0135,0.135,0.675,1.35,6.75,13.5,67.5,135.0
*VFILL,VALUE(1,2),DATA,SH1,SH2,SH3,SH4,SH5,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9
*VFILL,VALUE(1,4),DATA,0.0,-0.0135,-0.135,-0.675,-1.35,-6.75,-13.5,-67.5,-135.0
*VFILL,VALUE(1,5),DATA,SH11,SH12,SH13,SH14,SH15,SH16,SH17,SH18,SH19
*VFILL,VALUE(1,6),DATA,R11,R12,R13,R14,R15,R16,R17,R18,R19
/COM
/COM
/COM,-------------------- vmr027-cr3a-182 RESULTS COMPARISON ----------------------
/COM,
/COM,|   TIME   | TARGETX |   ANSYS  |   RATIO  |  TARGETY |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3), VALUE(1,4),VALUE(1,5),VALUE(1,6)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ',F8.3,'   ',F8.3,'   ',F8.3)
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR6X ',' ECR6Y '
*VFILL,VALUE1(1,1),DATA,SH9,SH19
*VFILL,VALUE1(1,2),DATA,R9,R19
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr027-','cr3a-182'

/OUT,vmr027-cr3a-182,vrt
/COM
/COM,------------------- vmr027-cr3a RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE182
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr3a-182,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-3A 181 Input Listing 		Up / Home Next
VM-R027-3A 183 Input Listing


VM-R027-3A 183 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr3a-183
/TITLE,vmr027-cr3a-183, 2D PLANE STRESS-BIAXIAL LOAD SECONDARY CREEP
/COM, REFERENCE: TEST 3(A) FROM NAFEMS R0027.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(SECONDARY CREEP)***
*SET,C1,3.125E-14
*SET,C2,5
*SET,C3,0
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
SAVE
/PREP7
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
ET,1,183
KEYOPT,1,3,0
E,1,2,3,4,5,6,7,8
NSEL,S,LOC,X,
D,ALL,UX,
NSEL,ALL
NSEL,S,LOC,Y,
D,ALL,UY,
NSEL,ALL

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-200
NSEL,ALL
NSEL,S,LOC,Y,100
SF,ALL,PRES,200
NSEL,ALL

/SOLU
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,0.10,0.099,0.10
TIME, 0.10
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,1.0,0.99,1.0
TIME, 1.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,5.0,4.99,5.0
TIME, 5.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,10.0,9.99,10.0
TIME, 10.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
OUTRES,ALL,ALL
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH

/POST26
ESOL,2,1,,EPCR,X
ESOL,3,1,,EPCR,Y
ESOL,4,1,,EPCR,EQV
PRVAR,2,3
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/YRANGE,-160,160
/COLOR,CURVE,RED,1
PLVAR,2
/NOERASE
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/YRANGE,-160,160
/COLOR,CURVE,BLUE,1
PLVAR,3
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/YRANGE,-160,160
/COLOR,CURVE,GREEN,1
PLVAR,4
/SHOW,CLOSE

/POST1
SET,1,1
*GET,SH1,NODE,3,EPCR,X
*GET,SH11,NODE,3,EPCR,Y
R1=1.00
R11=1.00
SET,2,1
*GET,SH2,NODE,3,EPCR,X
*GET,SH12,NODE,3,EPCR,Y
R2=SH2/0.0135
R12=SH12/(-0.0135)
SET,3,1
*GET,SH3,NODE,3,EPCR,X
*GET,SH13,NODE,3,EPCR,Y
R3=SH3/(0.135)
R13=SH13/(-0.135)
SET,4,1
*GET,SH4,NODE,3,EPCR,X
*GET,SH14,NODE,3,EPCR,Y
R4=SH4/0.675
R14=SH14/(-0.675)
SET,,,,,,,5
*GET,SH5,NODE,3,EPCR,X
*GET,SH15,NODE,3,EPCR,Y
R5=SH5/(1.35)
R15=SH15/(-1.35)
SET,,,,,,,9
*GET,SH6,NODE,3,EPCR,X
*GET,SH16,NODE,3,EPCR,Y
R6=SH6/6.75
R16=SH16/(-6.75)
SET,,,,,,,14
*GET,SH7,NODE,3,EPCR,X
*GET,SH17,NODE,3,EPCR,Y
R7=SH7/13.5
R17=SH17/(-13.5)
SET,,,,,,,54
*GET,SH8,NODE,3,EPCR,X
*GET,SH18,NODE,3,EPCR,Y
R8=SH8/67.5
R18=SH18/(-67.5)
SET,,,,,,,104
*GET,SH9,NODE,3,EPCR,X
*GET,SH19,NODE,3,EPCR,Y
R9=SH9/135.0
R19=SH19/(-135.0)
*DIM,VALUE,,9,6
*DIM,LABEL,CHAR,10
LABEL(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE(1,1),DATA,0.0,0.0135,0.135,0.675,1.35,6.75,13.5,67.5,135.0
*VFILL,VALUE(1,2),DATA,SH1,SH2,SH3,SH4,SH5,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9
*VFILL,VALUE(1,4),DATA,0.0,-0.0135,-0.135,-0.675,-1.35,-6.75,-13.5,-67.5,-135.0
*VFILL,VALUE(1,5),DATA,SH11,SH12,SH13,SH14,SH15,SH16,SH17,SH18,SH19
*VFILL,VALUE(1,6),DATA,R11,R12,R13,R14,R15,R16,R17,R18,R19
/COM
/COM
/COM,-------------------- vmr027-cr3a-183 RESULTS COMPARISON ----------------------
/COM,
/COM,|   TIME   | TARGETX |   ANSYS  |   RATIO  |  TARGETY |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3), VALUE(1,4),VALUE(1,5),VALUE(1,6)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ',F8.3,'   ',F8.3,'   ',F8.3)
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR6X ',' ECR6Y '
*VFILL,VALUE1(1,1),DATA,SH9,SH19
*VFILL,VALUE1(1,2),DATA,R9,R19
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr027-','cr3a-183'

/OUT,vmr027-cr3a-183,vrt
/COM
/COM,------------------- vmr027-cr3a RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE183
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr3a-183,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-3A 182 Input Listing 		Up / Home Next
VM-R027-3A 281 Input Listing


VM-R027-3A 281 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr3a-281
/TITLE,vmr027-cr3a-281,2D PLANE STRESS-BIAXIAL LOAD SECONDARY CREEP
/COM, REFERENCE: TEST 3(A) FROM NAFEMS R0027.
/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(SECONDARY CREEP)***
*SET,C1,3.125E-14
*SET,C2,5
*SET,C3,0
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
SAVE
N,1,0,0,0
N,2,100,0
N,3,100,50
N,4,0,50
N,5,100,100
N,6,0,100
N,7,50,0
N,8,100,25
N,9,50,50
N,10,0,25
N,11,100,75
N,12,50,100
N,13,0,75
ET,1,SHELL281,,,
R,1,1,1,1,1,
E,1,2,3,4,7,8,9,10
E,4,3,5,6,9,11,12,13
NSEL,S,LOC,X,
D,ALL,UX,
NSEL,ALL
NSEL,S,LOC,Y,
D,ALL,UY,
NSEL,ALL
D,ALL,ROTX
D,ALL,ROTY
/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-200
NSEL,ALL
NSEL,S,LOC,Y,100
SF,ALL,PRES,200
NSEL,ALL
/SOLU
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,0.10,0.099,0.10
TIME, 0.10
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,1.0,0.99,1.0
TIME, 1.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,5.0,4.99,5.0
TIME, 5.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,10.0,9.99,10.0
TIME, 10.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
OUTRES,ALL,ALL
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH
/POST26
ESOL,2,1,,EPCR,X
ESOL,3,1,,EPCR,Y
ESOL,4,1,,EPCR,EQV
PRVAR,2,3
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/YRANGE,-160,160
/COLOR,CURVE,RED,1
PLVAR,2
/NOERASE
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/YRANGE,-160,160
/COLOR,CURVE,BLUE,1
PLVAR,3
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/YRANGE,-160,160
/COLOR,CURVE,GREEN,1
PLVAR,4
/SHOW,CLOSE
/POST1
SET,1,1
*GET,SH1,NODE,3,EPCR,X
*GET,SH11,NODE,3,EPCR,Y
R1=1.00
R11=1.00
SET,2,1
*GET,SH2,NODE,3,EPCR,X
*GET,SH12,NODE,3,EPCR,Y
R2=SH2/0.0135
R12=SH12/(-0.0135)
SET,3,1
*GET,SH3,NODE,3,EPCR,X
*GET,SH13,NODE,3,EPCR,Y
R3=SH3/(0.135)
R13=SH13/(-0.135)
SET,4,1
*GET,SH4,NODE,3,EPCR,X
*GET,SH14,NODE,3,EPCR,Y
R4=SH4/0.675
R14=SH14/(-0.675)
SET,,,,,,,5
*GET,SH5,NODE,3,EPCR,X
*GET,SH15,NODE,3,EPCR,Y
R5=SH5/(1.35)
R15=SH15/(-1.35)
SET,,,,,,,9
*GET,SH6,NODE,3,EPCR,X
*GET,SH16,NODE,3,EPCR,Y
R6=SH6/6.75
R16=SH16/(-6.75)
SET,,,,,,,14
*GET,SH7,NODE,3,EPCR,X
*GET,SH17,NODE,3,EPCR,Y
R7=SH7/13.5
R17=SH17/(-13.5)
SET,,,,,,,54
*GET,SH8,NODE,3,EPCR,X
*GET,SH18,NODE,3,EPCR,Y
R8=SH8/67.5
R18=SH18/(-67.5)
SET,,,,,,,104
*GET,SH9,NODE,3,EPCR,X
*GET,SH19,NODE,3,EPCR,Y
R9=SH9/135.0
R19=SH19/(-135.0)
*DIM,VALUE,,9,6
*DIM,LABEL,CHAR,10
LABEL(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE(1,1),DATA,0.0,0.0135,0.135,0.675,1.35,6.75,13.5,67.5,135.0
*VFILL,VALUE(1,2),DATA,SH1,SH2,SH3,SH4,SH5,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9
*VFILL,VALUE(1,4),DATA,0.0,-0.0135,-0.135,-0.675,-1.35,-6.75,-13.5,-67.5,-135.0
*VFILL,VALUE(1,5),DATA,SH11,SH12,SH13,SH14,SH15,SH16,SH17,SH18,SH19
*VFILL,VALUE(1,6),DATA,R11,R12,R13,R14,R15,R16,R17,R18,R19
/COM
/COM
/COM,-------------------- vmr027-cr3a-281 RESULTS COMPARISON ----------------------
/COM,
/COM,|   TIME   | TARGETX |   ANSYS  |   RATIO  |  TARGETY |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3), VALUE(1,4),VALUE(1,5),VALUE(1,6)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ',F8.3,'   ',F8.3,'   ',F8.3)
FINISH
/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR6X ',' ECR6Y '
*VFILL,VALUE1(1,1),DATA,SH9,SH19
*VFILL,VALUE1(1,2),DATA,R9,R19
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr027-','cr3a-281'
/OUT,vmr027-cr3a-281,vrt
/COM
/COM,----------------- vmr027-cr3a RESULTS COMPARISON -------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL281
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr027-cr3a-281,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-3A 183 Input Listing 		Up / Home Next
VM-R027-3B 181 Input Listing


VM-R027-3B 181 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr3b-181
/TITLE,vmr027-cr3b-181,2D PLANE STRESS-BIAXIAL DISPLACEMENT SECONDARY CREEP
/COM, REFERENCE: TEST 3(B) FROM NAFEMS R0027.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(SECONDARY CREEP)***
*SET,C1,3.125E-14
*SET,C2,5
*SET,C3,0
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
N,1,0,0,0
N,2,100,0
N,3,100,50
N,4,0,50
N,5,100,100
N,6,0,100
ET,1,181,,,
R,1,1,1,1,1,
E,1,2,3,4
E,4,3,5,6
NSEL,S,LOC,X,
D,ALL,UX,
NSEL,ALL
NSEL,S,LOC,Y,
D,ALL,UY,
NSEL,ALL
D,ALL,ROTX
D,ALL,ROTY

/SOLU
NSEL,S,LOC,X,100
D,ALL,UX,0.1
NSEL,ALL
NSEL,S,LOC,Y,100
D,ALL,UY,-0.1
NSEL,ALL
RATE,ON,ON
TIME,1E-8
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,10,10,10
TIME,0.1
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,10,10,10
TIME,1.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,10,10,10
TIME,5.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,10,10,10
TIME,10.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,10,10,10
TIME,50.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,5,5,5
TIME,100.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,10,10,10
TIME,500.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,100,100,100
TIME,1000
/OUTPUT,SCRATCH
SOLVE
/OUT

/POST26
ESOL,2,1,,S,X
PLVAR,2
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/XRANGE,0,1000
/YRANGE,0,40
FINISH

/POST1
SET,1
*GET,SH1,NODE,3,S,X
R1=SH1/153.85
SET,2
*GET,SH2,NODE,3,S,X
R2=SH2/76.29
SET,3
*GET,SH3,NODE,3,S,X
R3=SH3/43.42
SET,4
*GET,SH4,NODE,3,S,X
R4=SH4/29.11
SET,5
*GET,SH5,NODE,3,S,X
R5=SH5/24.45
SET,6
*GET,SH6,NODE,3,S,X
R6=SH6/16.33
SET,7
*GET,SH7,NODE,3,S,X
R7=SH7/13.78
SET,8
*GET,SH8,NODE,3,S,X
R8=SH8/9.20
SET,9
*GET,SH9,NODE,3,S,X
R9=SH9/7.73
*DIM,VALUE,,9,3
*DIM,LABEL,CHAR,10
LABEL(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE(1,1),DATA,153.85,76.29,43.42,29.11,24.45,16.33,13.78,9.20,7.73
*VFILL,VALUE(1,2),DATA,SH1,SH2,SH3,SH4,SH5,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9
/COM
/COM
/COM,----------- vmr027-cr3b-181 RESULTS COMPARISON -------------
/COM,
/COM, vmr027-cr3b-181.jpeg RESULTS SHOULD MATCH R0027 NAFEMS MANUAL
/COM, GRAPH RESULTS OF TEST 3(B).
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ')
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR6X ',' ECR6Y '
*VFILL,VALUE1(1,1),DATA,SH9
*VFILL,VALUE1(1,2),DATA,R9
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr027-','cr3b-181'

/OUT,vmr027-cr3b-181,vrt
/COM
/COM,------------------- vmr027-cr3b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL181
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr3b-181,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-3A 281 Input Listing 		Up / Home Next
VM-R027-3B 182 Input Listing


VM-R027-3B 182 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr3b-182
/TITLE,vmr027-cr3b-182, 2D PLANE STRESS-BIAXIAL DISPLACEMENT SECONDARY CREEP
/COM, REFERENCE: TEST 3(B) FROM NAFEMS R0027.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(SECONDARY CREEP)***
*SET,C1,3.125E-14
*SET,C2,5
*SET,C3,0
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
N,1,0,0,0
N,2,100,0
N,3,100,50
N,4,0,50
N,5,100,100
N,6,0,100
ET,1,182
KEYOPT,1,1,1
KEYOPT,1,3,0
E,1,2,3,4
E,4,3,5,6
NSEL,S,LOC,X,
D,ALL,UX,
NSEL,ALL
NSEL,S,LOC,Y,
D,ALL,UY,
NSEL,ALL

/SOLU
NSEL,S,LOC,X,100
D,ALL,UX,0.1
NSEL,ALL
NSEL,S,LOC,Y,100
D,ALL,UY,-0.1
NSEL,ALL
RATE,ON,ON
TIME,1E-8
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,10,10,10
TIME,0.1
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,10,10,10
TIME,1.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,10,10,10
TIME,5.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,10,10,10
TIME,10.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,10,10,10
TIME,50.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,5,5,5
TIME,100.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,10,10,10
TIME,500.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,100,100,100
TIME,1000
/OUTPUT,SCRATCH
SOLVE
/OUT

/POST26
ESOL,2,1,,S,X
PLVAR,2
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/XRANGE,0,1000
/YRANGE,0,40
FINISH

/POST1
SET,1
*GET,SH1,NODE,3,S,X
R1=SH1/153.85
SET,2
*GET,SH2,NODE,3,S,X
R2=SH2/76.29
SET,3
*GET,SH3,NODE,3,S,X
R3=SH3/43.42
SET,4
*GET,SH4,NODE,3,S,X
R4=SH4/29.11
SET,5
*GET,SH5,NODE,3,S,X
R5=SH5/24.45
SET,6
*GET,SH6,NODE,3,S,X
R6=SH6/16.33
SET,7
*GET,SH7,NODE,3,S,X
R7=SH7/13.78
SET,8
*GET,SH8,NODE,3,S,X
R8=SH8/9.20
SET,9
*GET,SH9,NODE,3,S,X
R9=SH9/7.73
*DIM,VALUE,,9,3
*DIM,LABEL,CHAR,10
LABEL(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE(1,1),DATA,153.85,76.29,43.42,29.11,24.45,16.33,13.78,9.20,7.73
*VFILL,VALUE(1,2),DATA,SH1,SH2,SH3,SH4,SH5,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9
/COM
/COM
/COM,----------- vmr027-cr3b-182 RESULTS COMPARISON -------------
/COM,
/COM, vmr027-cr3b-182.jpeg RESULTS SHOULD MATCH R0027 NAFEMS MANUAL
/COM, GRAPH RESULTS OF TEST 3(B).
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ')
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR6X ',' ECR6Y '
*VFILL,VALUE1(1,1),DATA,SH9
*VFILL,VALUE1(1,2),DATA,R9
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr027-','cr3b-182'

/OUT,vmr027-cr3b-182,vrt
/COM
/COM,------------------- vmr027-cr3b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE182
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr3b-182,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-3B 181 Input Listing 		Up / Home Next
VM-R027-3B 183 Input Listing


VM-R027-3B 183 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr3b-183
/TITLE,vmr027-cr3b-183,2D PLANE STRESS-BIAXIAL DISPLACEMENT SECONDARY CREEP
/COM, REFERENCE: TEST 3(B) FROM NAFEMS R0027.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(SECONDARY CREEP)***
*SET,C1,3.125E-14
*SET,C2,5
*SET,C3,0
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
ET,1,183
KEYOPT,1,3,0
E,1,2,3,4,5,6,7,8
NSEL,S,LOC,X,
D,ALL,UX,
NSEL,ALL
NSEL,S,LOC,Y,
D,ALL,UY,
NSEL,ALL

/SOLU
NSEL,S,LOC,X,100
D,ALL,UX,0.1
NSEL,ALL
NSEL,S,LOC,Y,100
D,ALL,UY,-0.1
NSEL,ALL
RATE,ON,ON
TIME,1E-8
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,10,10,10
TIME,0.1
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,10,10,10
TIME,1.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,10,10,10
TIME,5.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,10,10,10
TIME,10.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,10,10,10
TIME,50.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,5,5,5
TIME,100.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,10,10,10
TIME,500.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,100,100,100
TIME,1000
/OUTPUT,SCRATCH
SOLVE
/OUT

/POST26
ESOL,2,1,,S,X
PLVAR,2
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/XRANGE,0,1000
/YRANGE,0,40
FINISH

/POST1
SET,1
*GET,SH1,NODE,3,S,X
R1=SH1/153.85
SET,2
*GET,SH2,NODE,3,S,X
R2=SH2/76.29
SET,3
*GET,SH3,NODE,3,S,X
R3=SH3/43.42
SET,4
*GET,SH4,NODE,3,S,X
R4=SH4/29.11
SET,5
*GET,SH5,NODE,3,S,X
R5=SH5/24.45
SET,6
*GET,SH6,NODE,3,S,X
R6=SH6/16.33
SET,7
*GET,SH7,NODE,3,S,X
R7=SH7/13.78
SET,8
*GET,SH8,NODE,3,S,X
R8=SH8/9.20
SET,9
*GET,SH9,NODE,3,S,X
R9=SH9/7.73
*DIM,VALUE,,9,3
*DIM,LABEL,CHAR,10
LABEL(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE(1,1),DATA,153.85,76.29,43.42,29.11,24.45,16.33,13.78,9.20,7.73
*VFILL,VALUE(1,2),DATA,SH1,SH2,SH3,SH4,SH5,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9
/COM
/COM
/COM,----------- vmr027-cr3b-183 RESULTS COMPARISON -------------
/COM,
/COM, vmr027-cr3b-183.jpeg RESULTS SHOULD MATCH R0027 NAFEMS MANUAL
/COM, GRAPH RESULTS OF TEST 3(B).
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ')
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR6X ',' ECR6Y '
*VFILL,VALUE1(1,1),DATA,SH9
*VFILL,VALUE1(1,2),DATA,R9
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr027-','cr3b-183'

/OUT,vmr027-cr3b-183,vrt
/COM
/COM,------------------- vmr027-cr3b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE183
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr3b-183,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-3B 182 Input Listing 		Up / Home Next
VM-R027-3B 281 Input Listing


VM-R027-3B 281 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr3b-281
/TITLE,vmr027-cr3b-281,2D PLANE STRESS-BIAXIAL DISPLACEMENT SECONDARY CREEP
/COM, REFERENCE: TEST 3(B) FROM NAFEMS R0027.
/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(SECONDARY CREEP)***
*SET,C1,3.125E-14
*SET,C2,5
*SET,C3,0
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
N,1,0,0,0
N,2,100,0
N,3,100,50
N,4,0,50
N,5,100,100
N,6,0,100
N,7,50,0
N,8,100,25
N,9,50,50
N,10,0,25
N,11,100,75
N,12,50,100
N,13,0,75
ET,1,SHELL281,,,
R,1,1,1,1,1,
E,1,2,3,4,7,8,9,10
E,4,3,5,6,9,11,12,13
NSEL,S,LOC,X,
D,ALL,UX,
NSEL,ALL
NSEL,S,LOC,Y,
D,ALL,UY,
NSEL,ALL
D,ALL,ROTX
D,ALL,ROTY
/SOLU
NSEL,S,LOC,X,100
D,ALL,UX,0.1
NSEL,ALL
NSEL,S,LOC,Y,100
D,ALL,UY,-0.1
NSEL,ALL
RATE,ON,ON
TIME,1E-8
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,10,10,10
TIME,0.1
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,10,10,10
TIME,1.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,10,10,10
TIME,5.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,10,10,10
TIME,10.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,10,10,10
TIME,50.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,5,5,5
TIME,100.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,10,10,10
TIME,500.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,100,100,100
TIME,1000
/OUTPUT,SCRATCH
SOLVE
/OUT
/POST26
ESOL,2,1,,S,X
PLVAR,2
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/XRANGE,0,1000
/YRANGE,0,40
FINISH
/POST1
SET,1
*GET,SH1,NODE,3,S,X
R1=SH1/153.85
SET,2
*GET,SH2,NODE,3,S,X
R2=SH2/76.29
SET,3
*GET,SH3,NODE,3,S,X
R3=SH3/43.42
SET,4
*GET,SH4,NODE,3,S,X
R4=SH4/29.11
SET,5
*GET,SH5,NODE,3,S,X
R5=SH5/24.45
SET,6
*GET,SH6,NODE,3,S,X
R6=SH6/16.33
SET,7
*GET,SH7,NODE,3,S,X
R7=SH7/13.78
SET,8
*GET,SH8,NODE,3,S,X
R8=SH8/9.20
SET,9
*GET,SH9,NODE,3,S,X
R9=SH9/7.73
*DIM,VALUE,,9,3
*DIM,LABEL,CHAR,10
LABEL(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE(1,1),DATA,153.85,76.29,43.42,29.11,24.45,16.33,13.78,9.20,7.73
*VFILL,VALUE(1,2),DATA,SH1,SH2,SH3,SH4,SH5,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9
/COM
/COM
/COM,----------- vmr027-cr3b-281 RESULTS COMPARISON -------------
/COM,
/COM, vmr027-cr3b-281.jpeg RESULTS SHOULD MATCH R0027 NAFEMS MANUAL
/COM, GRAPH RESULTS OF TEST 3(B).
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ')
FINISH
/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR6X ',' ECR6Y '
*VFILL,VALUE1(1,1),DATA,SH9
*VFILL,VALUE1(1,2),DATA,R9
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr027-','cr3b-281'
/OUT,vmr027-cr3b-281,vrt
/COM
/COM,------------------- vmr027-cr3b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL281
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr027-cr3b-281,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-3B 183 Input Listing 		Up / Home Next
VM-R027-4C 181 Input Listing


VM-R027-4C 181 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr4c-181
/TITLE,vmr027-cr4c-181,2D PLANE STRESS-SHEAR LOADING SECONDARY CREEP
/COM,THE COMPARISON IS MADE GRAPHICALLY AND QUANTITATIVELY WITH
/COM,THE RESULTS OF THE TEST4(C) FROM THE NAFEMS R0027 REPORT.

/PREP7
TAU=100.0
L=100
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(TIME HARDENING)***
*SET,C1,3.125E-14
*SET,C2,5
*SET,C3,0
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,2
TBDATA,1,C1,C2,C3,C4
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
N,9,50,50
ET,1,181,,,
R,1,1,1,1,1,
E,1,5,9,8
E,5,2,6,9
E,9,6,3,7
E,8,9,7,4
NSEL,S,LOC,X,
NSEL,R,LOC,Y,
D,ALL,UX,
D,ALL,UY,
NSEL,ALL
NSEL,S,LOC,X,
NSEL,R,LOC,Y,100
D,ALL,UX,
NSEL,ALL

/SOLU
F,1,FX,-L*TAU/4
F,5,FX,-L*TAU/2
F,2,FX,-L*TAU/4
F,2,FY,L*TAU/4
F,6,FY,L*TAU/2
F,3,FY,L*TAU/4
F,3,FX,L*TAU/4
F,7,FX,L*TAU/2
F,4,FX,L*TAU/4
F,4,FY,-L*TAU/4
F,8,FY,-L*TAU/2
F,1,FY,-L*TAU/4
RATE, ON
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,0.10,0.0999,0.10
TIME, 0.10
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,1.0,0.999,1.0
TIME, 1.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,5.0,4.999,5.0
TIME, 5.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,10.0,9.999,10.0
TIME, 10.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
/OUTPUT,SCRATCH
OUTRES,ALL,ALL
SOLVE
/OUT
FINISH

/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/GTHK,AXIS,1
/GRTYP,0
/GROPT,DIG1,5
/GROPT,DIG2,3
/GROPT,DIVX,5
/GROPT,DIVY,9
/XRANGE,0,1000
/YRANGE,0,9
ESOL,2,1,,EPCR,XY
PLVAR,2
PRVAR,2

/POST1
SET,1,1
*GET,SH1,NODE,3,EPCR,XY
R1=1
SET,2,1
*GET,SH2,NODE,3,EPCR,XY
R2=SH2/0.000844
SET,3,1
*GET,SH3,NODE,3,EPCR,XY
R3=SH3/0.0084375
SET,4,1
*GET,SH4,NODE,3,EPCR,XY
R4=SH4/0.042188
SET,,,,,,,5
*GET,SH5,NODE,3,EPCR,XY
R5=SH5/0.084375
SET,,,,,,,9
*GET,SH6,NODE,3,EPCR,XY
R6=SH6/0.421875
SET,,,,,,,14
*GET,SH7,NODE,3,EPCR,XY
R7=SH7/0.84375
SET,,,,,,,54
*GET,SH8,NODE,3,EPCR,XY
R8=SH8/4.21875
SET,,,,,,,104
*GET,SH9,NODE,3,EPCR,XY
R9=SH9/8.4375
*DIM,VALUE,,9,3
*DIM,LABEL,CHAR,13
LABEL(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE(1,1),DATA,0.0, 0.000844, 0.0084375,0.042188,0.084375,0.421875,0.84375,4.21875,8.4375
*VFILL,VALUE(1,2),DATA,SH1,SH2,SH3,SH4,SH5,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9
/COM
/COM,--------- vmr027-cr4c-181 RESULTS COMPARISON-----------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.5,'   ',F8.5,'   ',1F5.3)
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR2X ',' ECR2Y '
*VFILL,VALUE1(1,1),DATA,SH9
*VFILL,VALUE1(1,2),DATA,R9
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr027-','cr4c-181'

/OUT,vmr027-cr4c-181,vrt
/COM
/COM,------------------- vmr027-cr4c RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL181
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr4c-181,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-3B 281 Input Listing 		Up / Home Next
VM-R027-4C 182 Input Listing


VM-R027-4C 182 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr4c-182
/TITLE,vmr027-cr4c-182,2D PLANE STRESS-SHEAR LOADING SECONDARY CREEP
/COM,THE COMPARISON IS MADE GRAPHICALLY AND QUANTITATIVELY WITH
/COM,THE RESULTS OF THE TEST4(C) FROM THE NAFEMS R0027 REPORT.

/PREP7
TAU=100.0
L=100
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(TIME HARDENING)***
*SET,C1,3.125E-14
*SET,C2,5
*SET,C3,0
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,2
TBDATA,1,C1,C2,C3,C4
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
N,9,50,50
ET,1,182
KEYOPT,1,1,1
KEYOPT,1,3,0
E,1,5,9,8
E,5,2,6,9
E,9,6,3,7
E,8,9,7,4
NSEL,S,LOC,X,
NSEL,R,LOC,Y,
D,ALL,UX,
D,ALL,UY,
NSEL,ALL
NSEL,S,LOC,X,
NSEL,R,LOC,Y,100
D,ALL,UX,
NSEL,ALL

/SOLU
F,1,FX,-L*TAU/4
F,5,FX,-L*TAU/2
F,2,FX,-L*TAU/4
F,2,FY,L*TAU/4
F,6,FY,L*TAU/2
F,3,FY,L*TAU/4
F,3,FX,L*TAU/4
F,7,FX,L*TAU/2
F,4,FX,L*TAU/4
F,4,FY,-L*TAU/4
F,8,FY,-L*TAU/2
F,1,FY,-L*TAU/4
RATE, ON
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,0.10,0.0999,0.10
TIME, 0.10
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,1.0,0.999,1.0
TIME, 1.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,5.0,4.999,5.0
TIME, 5.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,10.0,9.999,10.0
TIME, 10.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
/OUTPUT,SCRATCH
OUTRES,ALL,ALL
SOLVE
/OUT
FINISH

/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/GTHK,AXIS,1
/GRTYP,0
/GROPT,DIG1,5
/GROPT,DIG2,3
/GROPT,DIVX,5
/GROPT,DIVY,9
/XRANGE,0,1000
/YRANGE,0,9
ESOL,2,1,,EPCR,XY
PLVAR,2
PRVAR,2
FINISH

/POST1
SET,1,1
*GET,SH1,NODE,3,EPCR,XY
R1=1
SET,2,1
*GET,SH2,NODE,3,EPCR,XY
R2=SH2/0.000844
SET,3,1
*GET,SH3,NODE,3,EPCR,XY
R3=SH3/0.0084375
SET,4,1
*GET,SH4,NODE,3,EPCR,XY
R4=SH4/0.042188
SET,,,,,,,5
*GET,SH5,NODE,3,EPCR,XY
R5=SH5/0.084375
SET,,,,,,,9
*GET,SH6,NODE,3,EPCR,XY
R6=SH6/0.421875
SET,,,,,,,14
*GET,SH7,NODE,3,EPCR,XY
R7=SH7/0.84375
SET,,,,,,,54
*GET,SH8,NODE,3,EPCR,XY
R8=SH8/4.21875
SET,,,,,,,104
*GET,SH9,NODE,3,EPCR,XY
R9=SH9/8.4375
*DIM,VALUE,,9,3
*DIM,LABEL,CHAR,13
LABEL(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE(1,1),DATA,0.0, 0.000844, 0.0084375,0.042188,0.084375,0.421875,0.84375,4.21875,8.4375
*VFILL,VALUE(1,2),DATA,SH1,SH2,SH3,SH4,SH5,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9
/COM
/COM,--------- vmr027-cr4c-182 RESULTS COMPARISON-----------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.5,'   ',F8.5,'   ',1F5.3)
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR2X ',' ECR2Y '
*VFILL,VALUE1(1,1),DATA,SH9
*VFILL,VALUE1(1,2),DATA,R9
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr027-','cr4c-182'

/OUT,vmr027-cr4c-182,vrt
/COM
/COM,------------------- vmr027-cr4c RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE182
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr4c-182,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-4C 181 Input Listing 		Up / Home Next
VM-R027-4C 183 Input Listing


VM-R027-4C 183 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr4c-183
/TITLE,vmr027-cr4c-183,2D PLANE STRESS-SHEAR LOADING SECONDARY CREEP
/COM,THE COMPARISON IS MADE GRAPHICALLY AND QUANTITATIVELY WITH THE
/COM,RESULTS OF THE TEST4(C) FROM THE NAFEMS R0027 REPORT.

/PREP7
TAU=100.0
L=100
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(TIME HARDENING)***
*SET,C1,3.125E-14
*SET,C2,5
*SET,C3,0
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,2
TBDATA,1,C1,C2,C3,C4
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
ET,1,183
KEYOPT,1,3,0
E,1,2,3,4,5,6,7,8
NSEL,S,LOC,X,
NSEL,R,LOC,Y,
D,ALL,UX,
D,ALL,UY,
NSEL,ALL
NSEL,S,LOC,X,
NSEL,R,LOC,Y,100
D,ALL,UX,
D,ALL,UY
NSEL,ALL
FINISH

/SOLU
F,1,FX,-L*TAU/6
F,5,FX,-L*TAU*2/3
F,2,FX,-L*TAU/6
F,2,FY,L*TAU/6
F,6,FY,L*TAU*2/3
F,3,FY,L*TAU/6
F,3,FX,L*TAU/6
F,7,FX,L*TAU*2/3
F,4,FX,L*TAU/6
F,4,FY,-L*TAU/6
F,8,FY,-L*TAU*2/3
F,1,FY,-L*TAU/6
RATE, ON
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,0.10,0.0999,0.10
TIME, 0.10
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,1.0,0.999,1.0
TIME, 1.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,5.0,4.999,5.0
TIME, 5.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,10.0,9.999,10.0
TIME, 10.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
/OUTPUT,SCRATCH
OUTRES,ALL,ALL
SOLVE
/OUT
FINISH

/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/GTHK,AXIS,1
/GRTYP,0
/GROPT,DIG1,5
/GROPT,DIG2,3
/GROPT,DIVX,5
/GROPT,DIVY,9
/XRANGE,0,1000
/YRANGE,0,9
ESOL,2,1,,EPCR,XY
PLVAR,2
PRVAR,2
FINISH

/POST1
SET,1,1
*GET,SH1,NODE,3,EPCR,XY
R1=1.000
SET,2,1
*GET,SH2,NODE,3,EPCR,XY
R2=SH2/0.000844
SET,3,1
*GET,SH3,NODE,3,EPCR,XY
R3=SH3/0.0084375
SET,4,1
*GET,SH4,NODE,3,EPCR,XY
R4=SH4/0.042188
SET,,,,,,,5
*GET,SH5,NODE,3,EPCR,XY
R5=SH5/0.084375
SET,,,,,,,9
*GET,SH6,NODE,3,EPCR,XY
R6=SH6/0.421875
SET,,,,,,,14
*GET,SH7,NODE,3,EPCR,XY
R7=SH7/0.84375
SET,,,,,,,54
*GET,SH8,NODE,3,EPCR,XY
R8=SH8/4.21875
SET,,,,,,,104
*GET,SH9,NODE,3,EPCR,XY
R9=SH9/8.4375
*DIM,VALUE,,9,3
*DIM,LABEL,CHAR,13
LABEL(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE(1,1),DATA,0.0, 0.000844, 0.0084375,0.042188,0.084375,0.421875,0.84375,4.21875,8.4375
*VFILL,VALUE(1,2),DATA,SH1,SH2,SH3,SH4,SH5,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9
/COM
/COM,--------- vmr027-cr4c-183 RESULTS COMPARISON-----------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.5,'   ',F8.5,'   ',1F5.3)
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR2X ',' ECR2Y '
*VFILL,VALUE1(1,1),DATA,SH9
*VFILL,VALUE1(1,2),DATA,R9
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr027-','cr4c-183'

/OUT,vmr027-cr4c-183,vrt
/COM
/COM,------------------- vmr027-cr4c RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE183
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr027-cr4c-183,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-4C 182 Input Listing 		Up / Home Next
VM-R027-4C 281 Input Listing


VM-R027-4C 281 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr4c-281
/TITLE,vmr027-cr4c-281,2D PLANE STRESS-SHEAR LOADING SECONDARY CREEP
/COM,THE COMPARISON IS MADE GRAPHICALLY AND QUANTITATIVELY WITH THE
/COM,RESULTS OF THE TEST4(C) FROM THE NAFEMS R0027 REPORT.
/PREP7
TAU=100.0
L=100
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(TIME HARDENING)***
*SET,C1,3.125E-14
*SET,C2,5
*SET,C3,0
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,2
TBDATA,1,C1,C2,C3,C4
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
ET,1,281
R,1,1,1,1,1
E,1,2,3,4,5,6,7,8
NSEL,S,LOC,X,
NSEL,R,LOC,Y,
D,ALL,ALL
NSEL,ALL
NSEL,S,LOC,X,
NSEL,R,LOC,Y,100
D,ALL,UX
D,ALL,UY
D,ALL,UZ
NSEL,ALL
FINISH
/SOLU
F,1,FX,-L*TAU/6
F,5,FX,-L*TAU*2/3
F,2,FX,-L*TAU/6
F,2,FY,L*TAU/6
F,6,FY,L*TAU*2/3
F,3,FY,L*TAU/6
F,3,FX,L*TAU/6
F,7,FX,L*TAU*2/3
F,4,FX,L*TAU/6
F,4,FY,-L*TAU/6
F,8,FY,-L*TAU*2/3
F,1,FY,-L*TAU/6
RATE, ON
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,0.10,0.0999,0.10
TIME, 0.10
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,1.0,0.999,1.0
TIME, 1.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,5.0,4.999,5.0
TIME, 5.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,10.0,9.999,10.0
TIME, 10.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
/OUTPUT,SCRATCH
OUTRES,ALL,ALL
SOLVE
/OUT
FINISH
/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/GTHK,AXIS,1
/GRTYP,0
/GROPT,DIG1,5
/GROPT,DIG2,3
/GROPT,DIVX,5
/GROPT,DIVY,9
/XRANGE,0,1000
/YRANGE,0,9
ESOL,2,1,,EPCR,XY
PLVAR,2
PRVAR,2
FINISH
/POST1
SET,1,1
*GET,SH1,NODE,3,EPCR,XY
R1=1.000
SET,2,1
*GET,SH2,NODE,3,EPCR,XY
R2=SH2/0.000844
SET,3,1
*GET,SH3,NODE,3,EPCR,XY
R3=SH3/0.0084375
SET,4,1
*GET,SH4,NODE,3,EPCR,XY
R4=SH4/0.042188
SET,,,,,,,5
*GET,SH5,NODE,3,EPCR,XY
R5=SH5/0.084375
SET,,,,,,,9
*GET,SH6,NODE,3,EPCR,XY
R6=SH6/0.421875
SET,,,,,,,14
*GET,SH7,NODE,3,EPCR,XY
R7=SH7/0.84375
SET,,,,,,,54
*GET,SH8,NODE,3,EPCR,XY
R8=SH8/4.21875
SET,,,,,,,104
*GET,SH9,NODE,3,EPCR,XY
R9=SH9/8.4375
*DIM,VALUE,,9,3
*DIM,LABEL,CHAR,13
LABEL(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE(1,1),DATA,0.0, 0.000844, 0.0084375,0.042188,0.084375,0.421875,0.84375,4.21875,8.4375
*VFILL,VALUE(1,2),DATA,SH1,SH2,SH3,SH4,SH5,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9
/COM
/COM,--------- vmr027-cr4c-281 RESULTS COMPARISON-----------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.5,'   ',F8.5,'   ',1F5.3)
FINISH
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR2X ',' ECR2Y '
*VFILL,VALUE1(1,1),DATA,SH9
*VFILL,VALUE1(1,2),DATA,R9
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr027-','cr4c-281'
/OUT,vmr027-cr4c-281,vrt
/COM
/COM,------------------- vmr027-cr4c RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE281
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
*LIST,vmr027-cr4c-281,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-4C 183 Input Listing 		Up / Home Next
VM-R027-5B 182 Input Listing


VM-R027-5B 182 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr5b-182
/TITLE,vmr027-cr5b-182,2D PLANE STRAIN-BIAXIAL DISPLACEMENT SECONDARY CREEP
/COM, REFERENCE: TEST 5(B) FROM NAFEMS R0027.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS !***
*SET,C1,3.125E-14
*SET,C2,5.0
*SET,C3,0.0
*SET,C4,0
C***  TIME PARAMETER
*SET,HOUR,1000
C***   ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,OFFS
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
SAVE
N,1
N,2,100
N,3,100,100
N,4,0,100
ET,1,182,1,,2
E,1,2,3,4
NSEL,ALL
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,X,100
D,ALL,UX,0.1
NSEL,S,LOC,Y,100
D,ALL,UY,0.05
NSEL,ALL
FINI

/SOLU
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,0.10,0.099,0.10
TIME, 0.10
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,1.0,0.99,1.0
TIME, 1.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,5.0,4.99,5.0
TIME, 5.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,10.0,9.99,10.0
TIME, 10.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
OUTRES,ALL,ALL
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH

/POST26
ESOL,2,1,,S,X
ESOL,3,1,,S,Y
ESOL,4,1,,S,Z
PRVAR,2,3,4
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/YRANGE,250,330
PLVAR,2
/POST1
SET,1,1
*GET,SH13,NODE,3,S,X
R13=SH13/326.92
SET,2,1
*GET,SH23,NODE,3,S,X
R23=SH23/314.79
SET,3,1
*GET,SH33,NODE,3,S,X
R33=SH33/292.41
SET,4,1
*GET,SH43,NODE,3,S,X
R43=SH43/278.97
SET,,,,,,,5
*GET,SH53,NODE,3,S,X
R53=SH53/274.41
SET,,,,,,,9
*GET,SH63,NODE,3,S,X
R63=SH63/266.34
SET,,,,,,,14
*GET,SH73,NODE,3,S,X
R73=SH73/263.76
SET,,,,,,,54
*GET,SH83,NODE,3,S,X
R83=SH83/259.21
SET,,,,,,,104
*GET,SH93,NODE,3,S,X
R93=SH93/257.74
*DIM,VALUE3,,9,3
*DIM,LABEL3,CHAR,10
LABEL3(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE3(1,1),DATA,326.92,314.79,292.41,278.97,274.41,266.34,263.76,259.21,257.74
*VFILL,VALUE3(1,2),DATA,SH13,SH23,SH33,SH43,SH53,SH63,SH73,SH83,SH93
*VFILL,VALUE3(1,3),DATA,R13,R23,R33,R43,R53,R63,R73,R83,R93
/COM
/COM
/COM,--------- vmr027-cr5b-182 RESULTS COMPARISON-----------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL3(1), VALUE3(1,1), VALUE3(1,2), VALUE3(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F5.3)
/SHOW,CLOSE
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR6X ',' ECR6Y '
*VFILL,VALUE1(1,1),DATA,SH93
*VFILL,VALUE1(1,2),DATA,R93
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr027-','cr5b-182'

/OUT,vmr027-cr5b-182,vrt
/COM
/COM,------------------- vmr027-cr5b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE182
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr5b-182,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-4C 281 Input Listing 		Up / Home Next
VM-R027-5B 183 Input Listing


VM-R027-5B 183 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr5b-183
/TITLE,vmr027-cr5b-183, 2D PLANE STRAIN-BIAXIAL DISPLACEMENT SECONDARY CREEP
/COM, REFERENCE: TEST 5(B) FROM NAFEMS R0027.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS !***
*SET,C1,3.125E-14
*SET,C2,5.0
*SET,C3,0.0
*SET,C4,0
C***  TIME PARAMETER
*SET,HOUR,1000
C***   ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,OFFS
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
SAVE
N,1
N,2,100
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
ET,1,183,,,2
E,1,2,3,4,5,6,7,8
NSEL,ALL
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,X,100
D,ALL,UX,0.1
NSEL,S,LOC,Y,100
D,ALL,UY,0.05
NSEL,ALL
FINISH

/SOLU
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,0.10,0.099,0.10
TIME, 0.10
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,1.0,0.99,1.0
TIME, 1.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,5.0,4.99,5.0
TIME, 5.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,10.0,9.99,10.0
TIME, 10.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
OUTRES,ALL,ALL
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH

/POST26
ESOL,2,1,,S,X
ESOL,3,1,,S,Y
ESOL,4,1,,S,Z
PRVAR,2,3,4
/AXLAB,Y,STRESS
/AXLAB,X,TIME
/YRANGE,250,330
PLVAR,2

/POST1
SET,1,1
*GET,SH12,NODE,3,S,X
R12=SH12/326.92
SET,2,1
*GET,SH22,NODE,3,S,X
R22=SH22/314.79
SET,3,1
*GET,SH32,NODE,3,S,X
R32=SH32/292.41
SET,4,1
*GET,SH42,NODE,3,S,X
R42=SH42/278.97
SET,,,,,,,5
*GET,SH52,NODE,3,S,X
R52=SH52/274.41
SET,,,,,,,9
*GET,SH62,NODE,3,S,X
R62=SH62/266.34
SET,,,,,,,14
*GET,SH72,NODE,3,S,X
R72=SH72/263.76
SET,,,,,,,54
*GET,SH82,NODE,3,S,X
R82=SH82/259.21
SET,,,,,,,104
*GET,SH92,NODE,3,S,X
R92=SH92/257.74
*DIM,VALUE2,,9,3
*DIM,LABEL2,CHAR,10
LABEL2(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE2(1,1),DATA,326.92,314.79,292.41,278.97,274.41,266.34,263.76,259.21,257.74
*VFILL,VALUE2(1,2),DATA,SH12,SH22,SH32,SH42,SH52,SH62,SH72,SH82,SH92
*VFILL,VALUE2(1,3),DATA,R12,R22,R32,R42,R52,R62,R72,R82,R92
/COM
/COM
/COM,--------- vmr027-cr5b-183 RESULTS COMPARISON-----------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL2(1), VALUE2(1,1), VALUE2(1,2), VALUE2(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F5.3)
/SHOW,CLOSE
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR6X ',' ECR6Y '
*VFILL,VALUE1(1,1),DATA,SH92
*VFILL,VALUE1(1,2),DATA,R92
*DIM,LABEL3,CHAR,2
LABEL3(1) = 'vmr027-','cr5b-183'

/OUT,vmr027-cr5b-183,vrt
/COM
/COM,------------------- vmr027-cr5b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE183
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL3(1),LABEL3(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr5b-183,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-5B 182 Input Listing 		Up / Home Next
VM-R027-6B 185 Input Listing


VM-R027-6B 185 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr6b-185
/TITLE,vmr027-cr6b-185,3D TRIAXIAL DISPLACEMENT SECONDARY CREEP
/COM, REFRENCE: TEST 6(B) FROM NAFEMS R0027.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS !***
*SET,C1,3.125E-14
*SET,C2,5.0
*SET,C3,0.0
*SET,C4,0
C***  TIME PARAMETER
*SET,HOUR,1000
C***   ELASTIC CONSTANT
MP,EX,1,0.2000E+06
MP,EY,1,0.2000E+06
MP,EZ,1,0.2000E+06
MP,GXY,1,0.7692E+05
MP,GYZ,1,0.7692E+05
MP,GXZ,1,0.7692E+05
MP,NUXY,1,0.3000E+00
MP,NUYZ,1,0.3000E+00
MP,NUXZ,1,0.3000E+00
MP,DENS,1,0.0000E+00
TUNIF,HOT
TOFF,OFFS
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
SAVE
ET,1,SOLID185
KEYOPT,1,1,0
KEYOPT,1,2,1
KEYOPT,1,4,0
KEYOPT,1,5,0
KEYOPT,1,6,0
BLOCK,0,100,0,100,0,100,
ESIZE,50,0,
VMESH,ALL
NSEL,ALL
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,Z,100
D,ALL,UZ
NSEL,S,LOC,X,100
D,ALL,UX,0.3
NSEL,S,LOC,Y,100
D,ALL,UY,0.2
NSEL,S,LOC,Z
D,ALL,UZ,-0.1
NSEL,ALL

*DO,I,1,2,1
*IF,I,EQ,2,THEN
/PREP7
TB,HILL,1
TBDATA,1, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0
*ENDIF

/SOLU
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,0.10,0.099,0.10
TIME, 0.10
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,1.0,0.99,1.0
TIME, 1.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,5.0,4.99,5.0
TIME, 5.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,10.0,9.99,10.0
TIME, 10.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
OUTRES,ALL,ALL
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH

*IF,I,EQ,1,THEN
/POST26
ESOL,2,1,,S,X
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/COLOR,CURVE,RED,1
/YRANGE,1000,1160
PLVAR,2
PRVAR,2
FINISH

/POST1
SET,1,1
*GET,SH1,NODE,1,S,X
R1=SH1/1153.85
SET,2,1
*GET,SH2,NODE,1,S,X
R2=SH2/1076.29
SET,3,1
*GET,SH3,NODE,1,S,X
R3=SH3/1043.42
SET,4,1
*GET,SH4,NODE,1,S,X
R4=SH4/1029.11
SET,,,,,,,5
*GET,SH5,NODE,1,S,X
R5=SH5/1024.45
SET,,,,,,,9
*GET,SH6,NODE,1,S,X
R6=SH6/1016.33
SET,,,,,,,14
*GET,SH7,NODE,1,S,X
R7=SH7/1013.78
SET,,,,,,,54
*GET,SH8,NODE,1,S,X
R8=SH8/1009.20
SET,,,,,,,104
*GET,SH9,NODE,1,S,X
R9=SH9/1007.73
*DIM,VALUE,,9,3
*DIM,LABEL,CHAR,10
LABEL(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE(1,1),DATA,1153.85,1076.29,1043.42,1029.11,1024.45,1016.33,1013.78,1009.20,1007.73
*VFILL,VALUE(1,2),DATA,SH1,SH2,SH3,SH4,SH5,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9
*ENDIF
*IF,I,EQ,2,THEN
/COM,
/COM,  ANISOTROPIC CREEP MODELED AS ISOTROPIC
/COM,

/POST26
ESOL,3,1,,S,X
PRVAR,3
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/YRANGE,1000,1160
/COLOR,CURVE,BLUE,1
PLVAR,3

/POST1
SET,1,1
*GET,SH12,NODE,1,S,X
R12=SH12/1153.85
SET,2,1
*GET,SH13,NODE,1,S,X
R13=SH13/1076.29
SET,3,1
*GET,SH14,NODE,1,S,X
R14=SH14/1043.42
SET,4,1
*GET,SH15,NODE,1,S,X
R15=SH15/1029.11
SET,,,,,,,5
*GET,SH16,NODE,1,S,X
R16=SH16/1024.45
SET,,,,,,,9
*GET,SH17,NODE,1,S,X
R17=SH17/1016.33
SET,,,,,,,14
*GET,SH18,NODE,1,S,X
R18=SH18/1013.78
SET,,,,,,,54
*GET,SH19,NODE,1,S,X
R19=SH19/1009.20
SET,,,,,,,104
*GET,SH20,NODE,1,S,X
R20=SH20/1007.73
*DIM,VALUE2,,9,3
*DIM,LABEL2,CHAR,10
LABEL2(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE2(1,1),DATA,1153.85,1076.29,1043.42,1029.11,1024.45,1016.33,1013.78,1009.20,1007.73
*VFILL,VALUE2(1,2),DATA,SH12,SH13,SH14,SH15,SH16,SH17,SH18,SH19,SH20
*VFILL,VALUE2(1,3),DATA,R12,R13,R14,R15,R16,R17,R18,R19,R20
*ENDIF
*ENDDO
/COM
/COM
/COM,--------- vmr027-cr6b-185 ISOTROPIC RESULTS COMPARISON-----------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F5.3)
/COM
/COM
/COM,--------- vmr027-cr6b-185 ANISOTROPIC RESULTS COMPARISON-----------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL2(1), VALUE2(1,1), VALUE2(1,2), VALUE2(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F5.3)
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ISOCRX ',' ANICRX '
*VFILL,VALUE1(1,1),DATA,SH9,SH20
*VFILL,VALUE1(1,2),DATA,R9,R20
*DIM,LABEL3,CHAR,2
LABEL3(1) = 'vmr027-','cr6b-185'

/OUT,vmr027-cr6b-185,vrt
/COM
/COM,------------------- vmr027-cr6b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SOLID185
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL3(1),LABEL3(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL3(1),LABEL3(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr6b-185,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-5B 183 Input Listing 		Up / Home Next
VM-R027-6B 186 Input Listing


VM-R027-6B 186 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr6b-186
/TITLE,vmr027-cr6b-186,3D TRIXIAL DISPLACEMENT SECONDARY CREEP
/COM, REFRENCE: TEST 6(B) FROM NAFEMS R0027.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS !***
*SET,C1,3.125E-14
*SET,C2,5.0
*SET,C3,0.0
*SET,C4,0
C***  TIME PARAMETER
*SET,HOUR,1000
C***   ELASTIC CONSTANT
MP,EX,1,0.2000E+06
MP,EY,1,0.2000E+06
MP,EZ,1,0.2000E+06
MP,GXY,1,0.7692E+05
MP,GYZ,1,0.7692E+05
MP,GXZ,1,0.7692E+05
MP,NUXY,1,0.3000E+00
MP,NUYZ,1,0.3000E+00
MP,NUXZ,1,0.3000E+00
MP,DENS,1,0.0000E+00
TUNIF,HOT
TOFF,OFFS
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
SAVE
ET,1,SOLID186
KEYOPT,1,5,0
KEYOPT,1,6,0
KEYOPT,1,11,0
BLOCK,0,100,0,100,0,100,
ESIZE,100,0,
VMESH,ALL
NSEL,ALL
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,Z,100
D,ALL,UZ
NSEL,S,LOC,X,100
D,ALL,UX,0.3
NSEL,S,LOC,Y,100
D,ALL,UY,0.2
NSEL,S,LOC,Z
D,ALL,UZ,-0.1
NSEL,ALL

*DO,I,1,2,1
*IF,I,EQ,2,THEN
/PREP7
TB,HILL,1
TBDATA,1, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0
*ENDIF

/SOLU
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,0.10,0.099,0.10
TIME, 0.10
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,1.0,0.99,1.0
TIME, 1.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,5.0,4.99,5.0
TIME, 5.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,10.0,9.99,10.0
TIME, 10.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
OUTRES,ALL,ALL
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH

*IF,I,EQ,1,THEN
/POST26
ESOL,2,1,,S,X
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/COLOR,CURVE,RED,1
/YRANGE,1000,1160
PLVAR,2
PRVAR,2
FINISH

/POST1
SET,1,1
*GET,SH1,NODE,1,S,X
R1=SH1/1153.85
SET,2,1
*GET,SH2,NODE,1,S,X
R2=SH2/1076.29
SET,3,1
*GET,SH3,NODE,1,S,X
R3=SH3/1043.42
SET,4,1
*GET,SH4,NODE,1,S,X
R4=SH4/1029.11
SET,,,,,,,5
*GET,SH5,NODE,1,S,X
R5=SH5/1024.45
SET,,,,,,,9
*GET,SH6,NODE,1,S,X
R6=SH6/1016.33
SET,,,,,,,14
*GET,SH7,NODE,1,S,X
R7=SH7/1013.78
SET,,,,,,,54
*GET,SH8,NODE,1,S,X
R8=SH8/1009.20
SET,,,,,,,104
*GET,SH9,NODE,1,S,X
R9=SH9/1007.73
*DIM,VALUE,,9,3
*DIM,LABEL,CHAR,10
LABEL(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE(1,1),DATA,1153.85,1076.29,1043.42,1029.11,1024.45,1016.33,1013.78,1009.20,1007.73
*VFILL,VALUE(1,2),DATA,SH1,SH2,SH3,SH4,SH5,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9
*ENDIF

*IF,I,EQ,2,THEN
/COM,
/COM,  ANISOTROPIC CREEP MODELED AS ISOTROPIC
/COM,

/POST26
ESOL,3,1,,S,X
PRVAR,3
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/COLOR,CURVE,BLUE,1
/YRANGE,1000,1160
PLVAR,3

/POST1
SET,1,1
*GET,SH12,NODE,1,S,X
R12=SH12/1153.85
SET,2,1
*GET,SH13,NODE,1,S,X
R13=SH13/1076.29
SET,3,1
*GET,SH14,NODE,1,S,X
R14=SH14/1043.42
SET,4,1
*GET,SH15,NODE,1,S,X
R15=SH15/1029.11
SET,,,,,,,5
*GET,SH16,NODE,1,S,X
R16=SH16/1024.45
SET,,,,,,,9
*GET,SH17,NODE,1,S,X
R17=SH17/1016.33
SET,,,,,,,14
*GET,SH18,NODE,1,S,X
R18=SH18/1013.78
SET,,,,,,,54
*GET,SH19,NODE,1,S,X
R19=SH19/1009.20
SET,,,,,,,104
*GET,SH20,NODE,1,S,X
R20=SH20/1007.73
*DIM,VALUE2,,9,3
*DIM,LABEL2,CHAR,10
LABEL2(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE2(1,1),DATA,1153.85,1076.29,1043.42,1029.11,1024.45,1016.33,1013.78,1009.20,1007.73
*VFILL,VALUE2(1,2),DATA,SH12,SH13,SH14,SH15,SH16,SH17,SH18,SH19,SH20
*VFILL,VALUE2(1,3),DATA,R12,R13,R14,R15,R16,R17,R18,R19,R20
*ENDIF
*ENDDO
/COM
/COM,--------- vmr027-cr6b-186 ISOTROPIC RESULTS COMPARISON-----------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F5.3)
/COM,
/COM,
/COM,--------- vmr027-cr6b-186 ANISOTROPIC RESULTS COMPARISON-----------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL2(1), VALUE2(1,1), VALUE2(1,2), VALUE2(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F5.3)
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ISOCRX ',' ANICRX '
*VFILL,VALUE1(1,1),DATA,SH9,SH20
*VFILL,VALUE1(1,2),DATA,R9,R20
*DIM,LABEL3,CHAR,2
LABEL3(1) = 'vmr027-','cr6b-186'

/OUT,vmr027-cr6b-186,vrt
/COM
/COM,------------------- vmr027-cr6b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SOLID186
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL3(1),LABEL3(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL3(1),LABEL3(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr6b-186,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-6B 185 Input Listing 		Up / Home Next
VM-R027-6B 187 Input Listing


VM-R027-6B 187 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr6b-187
/TITLE,vmr027-cr6b-187,3D TRIAXIAL DISPLACEMENT SECONDARY CREEP
/COM, REFRENCE: TEST 6(B) FROM NAFEMS R0027.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS !***
*SET,C1,3.125E-14
*SET,C2,5.0
*SET,C3,0.0
*SET,C4,0
C***  TIME PARAMETER
*SET,HOUR,1000
C***   ELASTIC CONSTANT
MP,EX,1,0.2000E+06
MP,EY,1,0.2000E+06
MP,EZ,1,0.2000E+06
MP,GXY,1,0.7692E+05
MP,GYZ,1,0.7692E+05
MP,GXZ,1,0.7692E+05
MP,NUXY,1,0.3000E+00
MP,NUYZ,1,0.3000E+00
MP,NUXZ,1,0.3000E+00
MP,DENS,1,0.0000E+00
TUNIF,HOT
TOFF,OFFS
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
SAVE
ET,1,SOLID187
BLOCK,0,100,0,100,0,100,
ESIZE,100,0,
VMESH,ALL
NSEL,ALL
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,Z,100
D,ALL,UZ
NSEL,S,LOC,X,100
D,ALL,UX,0.3
NSEL,S,LOC,Y,100
D,ALL,UY,0.2
NSEL,S,LOC,Z
D,ALL,UZ,-0.1
NSEL,ALL

*DO,I,1,2,1

*IF,I,EQ,2,THEN
/PREP7
TB,HILL,1
TBDATA,1, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0
*ENDIF

/SOLU
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,0.10,0.099,0.10
TIME, 0.10
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,1.0,0.99,1.0
TIME, 1.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,5.0,4.99,5.0
TIME, 5.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,10.0,9.99,10.0
TIME, 10.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
OUTRES,ALL,ALL
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH

*IF,I,EQ,1,THEN
/POST26
ESOL,2,1,,S,X
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/COLOR,CURVE,RED,1
/YRANGE,1000,1160
PLVAR,2
PRVAR,2
FINISH

/POST1
SET,1,1
*GET,SH1,NODE,1,S,X
R1=SH1/1153.85
SET,2,1
*GET,SH2,NODE,1,S,X
R2=SH2/1076.29
SET,3,1
*GET,SH3,NODE,1,S,X
R3=SH3/1043.42
SET,4,1
*GET,SH4,NODE,1,S,X
R4=SH4/1029.11
SET,,,,,,,5
*GET,SH5,NODE,1,S,X
R5=SH5/1024.45
SET,,,,,,,9
*GET,SH6,NODE,1,S,X
R6=SH6/1016.33
SET,,,,,,,14
*GET,SH7,NODE,1,S,X
R7=SH7/1013.78
SET,,,,,,,54
*GET,SH8,NODE,1,S,X
R8=SH8/1009.20
SET,,,,,,,104
*GET,SH9,NODE,1,S,X
R9=SH9/1007.73
*DIM,VALUE,,9,3
*DIM,LABEL,CHAR,10
LABEL(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE(1,1),DATA,1153.85,1076.29,1043.42,1029.11,1024.45,1016.33,1013.78,1009.20,1007.73
*VFILL,VALUE(1,2),DATA,SH1,SH2,SH3,SH4,SH5,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9
*ENDIF

*IF,I,EQ,2,THEN
/COM,
/COM,  ANISOTROPIC CREEP MODELED AS ISOTROPIC
/COM,

/POST26
ESOL,3,1,,S,X
PRVAR,3
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/COLOR,CURVE,BLUE,1
/YRANGE,1000,1160
PLVAR,3

/POST1
SET,1,1
*GET,SH12,NODE,1,S,X
R12=SH12/1153.85
SET,2,1
*GET,SH13,NODE,1,S,X
R13=SH13/1076.29
SET,3,1
*GET,SH14,NODE,1,S,X
R14=SH14/1043.42
SET,4,1
*GET,SH15,NODE,1,S,X
R15=SH15/1029.11
SET,,,,,,,5
*GET,SH16,NODE,1,S,X
R16=SH16/1024.45
SET,,,,,,,9
*GET,SH17,NODE,1,S,X
R17=SH17/1016.33
SET,,,,,,,14
*GET,SH18,NODE,1,S,X
R18=SH18/1013.78
SET,,,,,,,54
*GET,SH19,NODE,1,S,X
R19=SH19/1009.20
SET,,,,,,,104
*GET,SH20,NODE,1,S,X
R20=SH20/1007.73
*DIM,VALUE2,,9,3
*DIM,LABEL2,CHAR,10
LABEL2(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE2(1,1),DATA,1153.85,1076.29,1043.42,1029.11,1024.45,1016.33,1013.78,1009.20,1007.73
*VFILL,VALUE2(1,2),DATA,SH12,SH13,SH14,SH15,SH16,SH17,SH18,SH19,SH20
*VFILL,VALUE2(1,3),DATA,R12,R13,R14,R15,R16,R17,R18,R19,R20
*ENDIF
*ENDDO
/COM
/COM,--------- vmr027-cr6b-187 ISOTROPIC RESULTS COMPARISON-----------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F5.3)
/COM,
/COM,
/COM,--------- vmr027-cr6b-187 ANISOTROPIC RESULTS COMPARISON-----------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL2(1), VALUE2(1,1), VALUE2(1,2), VALUE2(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F5.3)
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ISOCRX ',' ANICRX '
*VFILL,VALUE1(1,1),DATA,SH9,SH20
*VFILL,VALUE1(1,2),DATA,R9,R20
*DIM,LABEL3,CHAR,2
LABEL3(1) = 'vmr027-','cr6b-187'

/OUT,vmr027-cr6b-187,vrt
/COM
/COM,------------------- vmr027-cr6b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SOLID187
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL3(1),LABEL3(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL3(1),LABEL3(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr6b-187,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-6B 186 Input Listing 		Up / Home Next
VM-R027-10A 181 Input Listing


VM-R027-10A 181 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr10a-181
/TITLE,vmr027-cr10a-181,2D PLANE STRESS-BIAXIAL LOAD PRIMARY CREEP
/COM, REFERENCE: TEST 10(A) FROM NAFEMS R0027.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS (PRIMARY CREEP)!***
*SET,C1,1.5625E-14
*SET,C2,5.0
*SET,C3,-0.5
*SET,C4,0
C***  TIME PARAMETER
*SET,HOUR,1000
C***   ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,OFFS
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
SAVE
N,1,0,0,0
N,2,100,0
N,3,100,50
N,4,0,50
N,5,100,100
N,6,0,100
ET,1,181,,,
R,1,1,1,1,1,
E,1,2,3,4
E,4,3,5,6
NSEL,ALL
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,ALL

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-200
NSEL,ALL
NSEL,S,LOC,Y,100
SF,ALL,PRES,200
NSEL,ALL
D,ALL,UZ
D,ALL,ROTZ
FINISH

/SOLU
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,0.10,0.099,0.10
TIME, 0.10
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,1.0,0.99,1.0
TIME, 1.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,5.0,4.99,5.0
TIME, 5.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,10.0,9.99,10.0
TIME, 10.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
OUTRES,ALL,ALL
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH

/POST26
ESOL,2,1,,EPCR,X
ESOL,3,1,,EPCR,Y
ESOL,4,1,,EPCR,EQV
PRVAR,2,3,4
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
PLVAR,2,3,4

/POST1
SET,1,1
*GET,SH1,NODE,3,EPCR,X
R1=1.0
SET,2,1
*GET,SH2,NODE,3,EPCR,X
R2=SH2/0.0427
SET,3,1
*GET,SH3,NODE,3,EPCR,X
R3=SH3/0.135
SET,4,1
*GET,SH4,NODE,3,EPCR,X
R4=SH4/0.3019
SET,,,,,,,5
*GET,SH5,NODE,3,EPCR,X
R5=SH5/0.4269
SET,,,,,,,9
*GET,SH6,NODE,3,EPCR,X
R6=SH6/0.9546
SET,,,,,,,14
*GET,SH7,NODE,3,EPCR,X
R7=SH7/1.35
SET,,,,,,,54
*GET,SH8,NODE,3,EPCR,X
R8=SH8/3.019
SET,,,,,,,104
*GET,SH9,NODE,3,EPCR,X
R9=SH9/4.2691
*DIM,VALUE,,9,3
*DIM,LABEL,CHAR,10
LABEL(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE(1,1),DATA,0.0000,0.0427,0.1350,0.3019,0.4269,0.9546,1.3500,3.0190,4.2691
*VFILL,VALUE(1,2),DATA,SH1,SH2,SH3,SH4,SH5,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9

/POST1
SET,1,1
*GET,SH11,NODE,3,EPCR,EQV
R11=1.0
SET,2,1
*GET,SH21,NODE,3,EPCR,EQV
R21=SH21/(0.0493)
SET,3,1
*GET,SH31,NODE,3,EPCR,EQV
R31=SH31/(0.1559)
SET,4,1
*GET,SH41,NODE,3,EPCR,EQV
R41=SH41/(0.3486)
SET,,,,,,,5
*GET,SH51,NODE,3,EPCR,EQV
R51=SH51/(0.4930)
SET,,,,,,,9
*GET,SH61,NODE,3,EPCR,EQV
R61=SH61/(1.1024)
SET,,,,,,,14
*GET,SH71,NODE,3,EPCR,EQV
R71=SH71/(1.5590)
SET,,,,,,,54
*GET,SH81,NODE,3,EPCR,EQV
R81=SH81/(3.4861)
SET,,,,,,,104
*GET,SH91,NODE,3,EPCR,EQV
R91=SH91/(4.9300)
*DIM,VALUE1,,9,3
*DIM,LABEL1,CHAR,10
LABEL1(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE1(1,1),DATA,0.0000,0.0493,0.1559,0.3486,0.4930,1.1024,1.5590,3.4861,4.9300
*VFILL,VALUE1(1,2),DATA,SH11,SH21,SH31,SH41,SH51,SH61,SH71,SH81,SH91
*VFILL,VALUE1(1,3),DATA,R11,R21,R31,R41,R51,R61,R71,R81,R91
/COM
/COM
/COM,------------ vmr027-cr10a-181 RESULTS COMPARISON ---------------
/COM,
/COM, vmr027-cr10a-181.jpeg RESULTS SHOULD MATCH R0027 NAFEMS MANUAL
/COM, GRAPH AND NUMERICAL RESULTS IN TEST 10(A).
/COM,
/COM,--------- CREEP STRAIN RESULTS IN X DIRECTION ----------
/COM,
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F5.3)
/COM
/COM,----------- CREEP EFFECTIVE STRAIN RESULTS -------------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL1(1), VALUE1(1,1), VALUE1(1,2), VALUE1(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F5.3)
FINISH

/POST26
*DIM,LABEL3,CHAR,2
*DIM,VALUE2,,2,3
LABEL3(1) = ' ECR6X ',' EFFCR '
*VFILL,VALUE2(1,1),DATA,SH9,SH91
*VFILL,VALUE2(1,2),DATA,R9,R91
*DIM,LABEL2,CHAR,3
LABEL2(1) = 'vmr027-','cr10a-18','1'

/OUT,vmr027-cr10a-181,vrt
/COM
/COM,------------------- vmr027-cr10a RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL181
*VWRITE,LABEL3(1),VALUE2(1,1),VALUE2(1,2),LABEL2(1),LABEL2(2),LABEL2(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
*VWRITE,LABEL3(2),VALUE2(2,1),VALUE2(2,2),LABEL2(1),LABEL2(2),LABEL2(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr10a-181,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-6B 187 Input Listing 		Up / Home Next
VM-R027-10A 182 Input Listing


VM-R027-10A 182 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr10a-182
/TITLE,vmr027-cr10a-182,2D PLANE STRESS-BIAXIAL LOAD PRIMARY CREEP
/COM, REFERENCE: TEST 10(A) FROM NAFEMS R0027.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS (PRIMARY CREEP)!***
*SET,C1,1.5625E-14
*SET,C2,5.0
*SET,C3,-0.5
*SET,C4,0
C***  TIME PARAMETER
*SET,HOUR,1000
C***   ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,OFFS
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
SAVE
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
N,9,50,50
ET,1,182
KEYOPT,1,1,1
KEYOPT,1,3,0
E,1,5,9,8
E,5,2,6,9
E,9,6,3,7
E,8,9,7,4
NSEL,ALL
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,ALL

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-200
NSEL,ALL
NSEL,S,LOC,Y,100
SF,ALL,PRES,200
NSEL,ALL

/SOLU
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
OUTRES,ALL,LAST
OUTPR,ALL,LAST
SOLVE
RATE, ON
DELT,0.10,0.099,0.10
TIME, 0.10
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,1.0,0.99,1.0
TIME, 1.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,5.0,4.99,5.0
TIME, 5.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,10.0,9.99,10.0
TIME, 10.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
OUTRES,ALL,ALL
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH

/POST26
ESOL,2,1,,EPCR,X
ESOL,3,1,,EPCR,Y
ESOL,4,1,,EPCR,EQV
PRVAR,2,3,4
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
PLVAR,2,3,4

/POST1
SET,1,1
*GET,SH1,NODE,3,EPCR,X
R1=1.0
SET,2,1
*GET,SH2,NODE,3,EPCR,X
R2=SH2/0.0427
SET,3,1
*GET,SH3,NODE,3,EPCR,X
R3=SH3/0.135
SET,4,1
*GET,SH4,NODE,3,EPCR,X
R4=SH4/0.3019
SET,,,,,,,5
*GET,SH5,NODE,3,EPCR,X
R5=SH5/0.4269
SET,,,,,,,9
*GET,SH6,NODE,3,EPCR,X
R6=SH6/0.9546
SET,,,,,,,14
*GET,SH7,NODE,3,EPCR,X
R7=SH7/1.35
SET,,,,,,,54
*GET,SH8,NODE,3,EPCR,X
R8=SH8/3.019
SET,,,,,,,104
*GET,SH9,NODE,3,EPCR,X
R9=SH9/4.2691
*DIM,VALUE,,9,3
*DIM,LABEL,CHAR,10
LABEL(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE(1,1),DATA,0.0000,0.0427,0.1350,0.3019,0.4269,0.9546,1.3500,3.0190,4.2691
*VFILL,VALUE(1,2),DATA,SH1,SH2,SH3,SH4,SH5,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9

/POST1
SET,1,1
*GET,SH11,NODE,3,EPCR,EQV
R11=1.0
SET,2,1
*GET,SH21,NODE,3,EPCR,EQV
R21=SH21/(0.0493)
SET,3,1
*GET,SH31,NODE,3,EPCR,EQV
R31=SH31/(0.1559)
SET,4,1
*GET,SH41,NODE,3,EPCR,EQV
R41=SH41/(0.3486)
SET,,,,,,,5
*GET,SH51,NODE,3,EPCR,EQV
R51=SH51/(0.4930)
SET,,,,,,,9
*GET,SH61,NODE,3,EPCR,EQV
R61=SH61/(1.1024)
SET,,,,,,,14
*GET,SH71,NODE,3,EPCR,EQV
R71=SH71/(1.5590)
SET,,,,,,,54
*GET,SH81,NODE,3,EPCR,EQV
R81=SH81/(3.4861)
SET,,,,,,,104
*GET,SH91,NODE,3,EPCR,EQV
R91=SH91/(4.9300)
*DIM,VALUE1,,9,3
*DIM,LABEL1,CHAR,10
LABEL1(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE1(1,1),DATA,0.0000,0.0493,0.1559,0.3486,0.4930,1.1024,1.5590,3.4861,4.9300
*VFILL,VALUE1(1,2),DATA,SH11,SH21,SH31,SH41,SH51,SH61,SH71,SH81,SH91
*VFILL,VALUE1(1,3),DATA,R11,R21,R31,R41,R51,R61,R71,R81,R91
/COM
/COM
/COM,------------ vmr027-cr10a-182 RESULTS COMPARISON ---------------
/COM,
/COM, vmr027-cr10a-182.jpeg RESULTS SHOULD MATCH R0027 NAFEMS MANUAL
/COM, GRAPH AND NUMERICAL RESULTS IN TEST 10(A).
/COM,
/COM,--------- CREEP STRAIN RESULTS IN X DIRECTION ----------
/COM,
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F5.3)
/COM
/COM,----------- CREEP EFFECTIVE STRAIN RESULTS -------------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL1(1), VALUE1(1,1), VALUE1(1,2), VALUE1(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F5.3)
FINISH

/POST26
*DIM,LABEL3,CHAR,2
*DIM,VALUE2,,2,3
LABEL3(1) = ' ECR6X ',' EFFCR '
*VFILL,VALUE2(1,1),DATA,SH9,SH91
*VFILL,VALUE2(1,2),DATA,R9,R91
*DIM,LABEL2,CHAR,3
LABEL2(1) = 'vmr027-','cr10a-18','2'

/OUT,vmr027-cr10a-182,vrt
/COM
/COM,------------------- vmr027-cr10a RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE182
*VWRITE,LABEL3(1),VALUE2(1,1),VALUE2(1,2),LABEL2(1),LABEL2(2),LABEL2(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
*VWRITE,LABEL3(2),VALUE2(2,1),VALUE2(2,2),LABEL2(1),LABEL2(2),LABEL2(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr10a-182,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-10A 181 Input Listing 		Up / Home Next
VM-R027-10A 183 Input Listing


VM-R027-10A 183 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr10a-183
/TITLE,vmr027-cr10a-183,2D PLANE STRESS-BIAXIAL LOAD PRIMARY CREEP
/COM, REFERENCE: TEST 10(A) FROM NAFEMS R0027.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS (PRIMARY CREEP)!***
*SET,C1,1.5625E-14
*SET,C2,5.0
*SET,C3,-0.5
*SET,C4,0
C***  TIME PARAMETER
*SET,HOUR,1000
C***   ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,OFFS
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
SAVE
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
ET,1,183
KEYOPT,1,3,0
E,1,2,3,4,5,6,7,8
NSEL,ALL
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,ALL

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-200
NSEL,ALL
NSEL,S,LOC,Y,100
SF,ALL,PRES,200
NSEL,ALL

/SOLU
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,0.10,0.099,0.10
TIME, 0.10
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,1.0,0.99,1.0
TIME, 1.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,5.0,4.99,5.0
TIME, 5.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,10.0,9.99,10.0
TIME, 10.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
OUTRES,ALL,ALL
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH

/POST26
ESOL,2,1,,EPCR,X
ESOL,3,1,,EPCR,Y
ESOL,4,1,,EPCR,EQV
PRVAR,2,3,4
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
PLVAR,2,3,4

/POST1
SET,1,1
*GET,SH1,NODE,3,EPCR,X
R1=1.0
SET,2,1
*GET,SH2,NODE,3,EPCR,X
R2=SH2/0.0427
SET,3,1
*GET,SH3,NODE,3,EPCR,X
R3=SH3/0.135
SET,4,1
*GET,SH4,NODE,3,EPCR,X
R4=SH4/0.3019
SET,,,,,,,5
*GET,SH5,NODE,3,EPCR,X
R5=SH5/0.4269
SET,,,,,,,9
*GET,SH6,NODE,3,EPCR,X
R6=SH6/0.9546
SET,,,,,,,14
*GET,SH7,NODE,3,EPCR,X
R7=SH7/1.35
SET,,,,,,,54
*GET,SH8,NODE,3,EPCR,X
R8=SH8/3.019
SET,,,,,,,104
*GET,SH9,NODE,3,EPCR,X
R9=SH9/4.2691
*DIM,VALUE,,9,3
*DIM,LABEL,CHAR,10
LABEL(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE(1,1),DATA,0.0000,0.0427,0.1350,0.3019,0.4269,0.9546,1.3500,3.0190,4.2691
*VFILL,VALUE(1,2),DATA,SH1,SH2,SH3,SH4,SH5,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9

/POST1
SET,1,1
*GET,SH11,NODE,3,EPCR,EQV
R11=1.0
SET,2,1
*GET,SH21,NODE,3,EPCR,EQV
R21=SH21/(0.0493)
SET,3,1
*GET,SH31,NODE,3,EPCR,EQV
R31=SH31/(0.1559)
SET,4,1
*GET,SH41,NODE,3,EPCR,EQV
R41=SH41/(0.3486)
SET,,,,,,,5
*GET,SH51,NODE,3,EPCR,EQV
R51=SH51/(0.4930)
SET,,,,,,,9
*GET,SH61,NODE,3,EPCR,EQV
R61=SH61/(1.1024)
SET,,,,,,,14
*GET,SH71,NODE,3,EPCR,EQV
R71=SH71/(1.5590)
SET,,,,,,,54
*GET,SH81,NODE,3,EPCR,EQV
R81=SH81/(3.4861)
SET,,,,,,,104
*GET,SH91,NODE,3,EPCR,EQV
R91=SH91/(4.9300)
*DIM,VALUE1,,9,3
*DIM,LABEL1,CHAR,10
LABEL1(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE1(1,1),DATA,0.0000,0.0493,0.1559,0.3486,0.4930,1.1024,1.5590,3.4861,4.9300
*VFILL,VALUE1(1,2),DATA,SH11,SH21,SH31,SH41,SH51,SH61,SH71,SH81,SH91
*VFILL,VALUE1(1,3),DATA,R11,R21,R31,R41,R51,R61,R71,R81,R91
/COM
/COM
/COM,------------ vmr027-cr10a-183 RESULTS COMPARISON ---------------
/COM,
/COM, vmr027-cr10a-183.jpeg RESULTS SHOULD MATCH R0027 NAFEMS MANUAL
/COM, GRAPH AND NUMERICAL RESULTS IN TEST 10(A).
/COM,
/COM,--------- CREEP STRAIN RESULTS IN X DIRECTION ----------
/COM,
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F5.3)
/COM
/COM,----------- CREEP EFFECTIVE STRAIN RESULTS -------------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL1(1), VALUE1(1,1), VALUE1(1,2), VALUE1(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F5.3)
FINISH

/POST26
*DIM,LABEL3,CHAR,2
*DIM,VALUE2,,2,3
LABEL3(1) = ' ECR6X ',' EFFCR '
*VFILL,VALUE2(1,1),DATA,SH9,SH91
*VFILL,VALUE2(1,2),DATA,R9,R91
*DIM,LABEL2,CHAR,3
LABEL2(1) = 'vmr027-','cr10a-18','3'

/OUT,vmr027-cr10a-183,vrt
/COM
/COM,------------------- vmr027-cr10a RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE183
*VWRITE,LABEL3(1),VALUE2(1,1),VALUE2(1,2),LABEL2(1),LABEL2(2),LABEL2(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
*VWRITE,LABEL3(2),VALUE2(2,1),VALUE2(2,2),LABEL2(1),LABEL2(2),LABEL2(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr10a-183,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-10A 182 Input Listing 		Up / Home Next
VM-R027-10A 281 Input Listing


VM-R027-10A 281 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr10a-281
/TITLE,vmr027-cr10a-281,2D PLANE STRESS-BIAXIAL LOAD PRIMARY CREEP
/COM, REFERENCE: TEST 10(A) FROM NAFEMS R0027.
/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS (PRIMARY CREEP)!***
*SET,C1,1.5625E-14
*SET,C2,5.0
*SET,C3,-0.5
*SET,C4,0
C***  TIME PARAMETER
*SET,HOUR,1000
C***   ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,OFFS
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
SAVE
N,1,0,0,0
N,2,100,0
N,3,100,50
N,4,0,50
N,5,100,100
N,6,0,100
N,7,50,0
N,8,100,25
N,9,50,50
N,10,0,25
N,11,100,75
N,12,50,100
N,13,0,75
ET,1,SHELL281,,,
R,1,1,1,1,1,
E,1,2,3,4,7,8,9,10
E,4,3,5,6,9,11,12,13
NSEL,ALL
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,ALL
/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-200
NSEL,ALL
NSEL,S,LOC,Y,100
SF,ALL,PRES,200
NSEL,ALL
D,ALL,UZ
D,ALL,ROTZ
FINISH
/SOLU
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,0.10,0.099,0.10
TIME, 0.10
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,1.0,0.99,1.0
TIME, 1.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,5.0,4.99,5.0
TIME, 5.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,10.0,9.99,10.0
TIME, 10.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
OUTRES,ALL,ALL
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH
/POST26
ESOL,2,1,,EPCR,X
ESOL,3,1,,EPCR,Y
ESOL,4,1,,EPCR,EQV
PRVAR,2,3,4
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
PLVAR,2,3,4
/POST1
SET,1,1
*GET,SH1,NODE,3,EPCR,X
R1=1.0
SET,2,1
*GET,SH2,NODE,3,EPCR,X
R2=SH2/0.0427
SET,3,1
*GET,SH3,NODE,3,EPCR,X
R3=SH3/0.135
SET,4,1
*GET,SH4,NODE,3,EPCR,X
R4=SH4/0.3019
SET,,,,,,,5
*GET,SH5,NODE,3,EPCR,X
R5=SH5/0.4269
SET,,,,,,,9
*GET,SH6,NODE,3,EPCR,X
R6=SH6/0.9546
SET,,,,,,,14
*GET,SH7,NODE,3,EPCR,X
R7=SH7/1.35
SET,,,,,,,54
*GET,SH8,NODE,3,EPCR,X
R8=SH8/3.019
SET,,,,,,,104
*GET,SH9,NODE,3,EPCR,X
R9=SH9/4.2691
*DIM,VALUE,,9,3
*DIM,LABEL,CHAR,10
LABEL(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE(1,1),DATA,0.0000,0.0427,0.1350,0.3019,0.4269,0.9546,1.3500,3.0190,4.2691
*VFILL,VALUE(1,2),DATA,SH1,SH2,SH3,SH4,SH5,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9
/POST1
SET,1,1
*GET,SH11,NODE,3,EPCR,EQV
R11=1.0
SET,2,1
*GET,SH21,NODE,3,EPCR,EQV
R21=SH21/(0.0493)
SET,3,1
*GET,SH31,NODE,3,EPCR,EQV
R31=SH31/(0.1559)
SET,4,1
*GET,SH41,NODE,3,EPCR,EQV
R41=SH41/(0.3486)
SET,,,,,,,5
*GET,SH51,NODE,3,EPCR,EQV
R51=SH51/(0.4930)
SET,,,,,,,9
*GET,SH61,NODE,3,EPCR,EQV
R61=SH61/(1.1024)
SET,,,,,,,14
*GET,SH71,NODE,3,EPCR,EQV
R71=SH71/(1.5590)
SET,,,,,,,54
*GET,SH81,NODE,3,EPCR,EQV
R81=SH81/(3.4861)
SET,,,,,,,104
*GET,SH91,NODE,3,EPCR,EQV
R91=SH91/(4.9300)
*DIM,VALUE1,,9,3
*DIM,LABEL1,CHAR,10
LABEL1(1) = '0','0.1', '1.0', '5.0', '10.0', '50.0','100.0','500.0','1000.0'
*VFILL,VALUE1(1,1),DATA,0.0000,0.0493,0.1559,0.3486,0.4930,1.1024,1.5590,3.4861,4.9300
*VFILL,VALUE1(1,2),DATA,SH11,SH21,SH31,SH41,SH51,SH61,SH71,SH81,SH91
*VFILL,VALUE1(1,3),DATA,R11,R21,R31,R41,R51,R61,R71,R81,R91
/COM
/COM
/COM,------------ vmr027-cr10a-281 RESULTS COMPARISON ---------------
/COM,
/COM, vmr027-cr10a-281.jpeg RESULTS SHOULD MATCH R0027 NAFEMS MANUAL
/COM, GRAPH AND NUMERICAL RESULTS IN TEST 10(A).
/COM,
/COM,--------- CREEP STRAIN RESULTS IN X DIRECTION ----------
/COM,
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F5.3)
/COM
/COM,----------- CREEP EFFECTIVE STRAIN RESULTS -------------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL1(1), VALUE1(1,1), VALUE1(1,2), VALUE1(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F5.3)
FINISH
/POST26
*DIM,LABEL3,CHAR,2
*DIM,VALUE2,,2,3
LABEL3(1) = ' ECR6X ',' EFFCR '
*VFILL,VALUE2(1,1),DATA,SH9,SH91
*VFILL,VALUE2(1,2),DATA,R9,R91
*DIM,LABEL2,CHAR,3
LABEL2(1) = 'vmr027-','cr10a-28','1'
/OUT,vmr027-cr10a-281,vrt
/COM
/COM,------------------- vmr027-cr10a RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL281
*VWRITE,LABEL3(1),VALUE2(1,1),VALUE2(1,2),LABEL2(1),LABEL2(2),LABEL2(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
*VWRITE,LABEL3(2),VALUE2(2,1),VALUE2(2,2),LABEL2(1),LABEL2(2),LABEL2(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr027-cr10a-281,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-10A 183 Input Listing 		Up / Home Next
VM-R027-10B 181 Input Listing


VM-R027-10B 181 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr10b-181
/TITLE,vmr027-cr10b-181,2D PLANE STRESS-BIAXIAL DISPLACEMENT PRIMARY CREEP
/COM, REFERENCE: TEST 10(B) FROM NAFEMS R0027.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS (TIME HARDENING)!***
*SET,C1,1.5625E-14
*SET,C2,5.0
*SET,C3,-0.5
*SET,C4,0
C***  TIME PARAMETER
*SET,HOUR,1000
C***   ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,OFFS
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS (STRAIN HARDENING)!***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
MP,EX,2,200E3
MP,NUXY,2,0.3
TB,CREEP,2,,,7
TBDATA,1,C1,C2,C3
SAVE
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
N,9,50,50
ET,1,181,,,
R,1,1,1,1,1,
E,1,5,9,8
E,5,2,6,9
E,9,6,3,7
E,8,9,7,4
NSEL,ALL
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,ALL
NSEL,S,LOC,X,100
D,ALL,UX,0.1
NSEL,ALL
NSEL,S,LOC,Y,100
D,ALL,UY,-0.1
NSEL,ALL

*DO,I,1,2

/PREP7
*IF,I,EQ,1,THEN
/COM,
/COM, TIME HARDENING CASE
/COM,
MAT,1
*ELSEIF,I,EQ,2,THEN
/COM,
/COM, STRAIN HARDENING CASE
/COM,
MPCHG,2,ALL
*ENDIF

/SOLU
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,0.10,0.099,0.10
TIME, 0.10
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,1.0,0.99,1.0
TIME, 1.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,5.0,4.99,5.0
TIME, 5.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,10.0,9.99,10.0
TIME, 10.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
OUTRES,ALL,ALL
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH

/POST26
*IF,I,EQ,1,THEN
ESOL,2,1,,S,X,TIMEHARD
PRVAR,2
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/YRANGE,0,160
/COLOR,CURVE,RED,1
PLVAR,2
/NOERASE

/POST1
SET,1,1
*GET,SH1,NODE,3,S,X
R1=SH1/153.85
SET,,,,,,,9
*GET,SH6,NODE,3,S,X
R6=SH6/26.69
SET,,,,,,,14
*GET,SH7,NODE,3,S,X
R7=SH7/24.45
SET,,,,,,,54
*GET,SH8,NODE,3,S,X
R8=SH8/20.00
SET,,,,,,,104
*GET,SH9,NODE,3,S,X
R9=SH9/18.34
*DIM,VALUE,,5,3
*DIM,LABEL,CHAR,10
LABEL(1) = '0','50.0','100.0','500.0','1000.0'
*VFILL,VALUE(1,1),DATA,153.85,26.69,24.45,20.00,18.34
*VFILL,VALUE(1,2),DATA,SH1,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R6,R7,R8,R9
/COM
/COM
/COM,----------- vmr027-cr10b-181 TIME HARDENING RESULTS COMPARISON ------------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ')
FINISH

*ELSEIF,I,EQ,2,THEN
/POST26
ESOL,3,1,,S,X,STRAINHA
PRVAR,3
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/YRANGE,0,160
/COLOR,CURVE,BLUE,1
PLVAR,3

/POST1
SET,1,1
*GET,S1,NODE,3,S,X
R11=S1/153.85
SET,,,,,,,9
*GET,S6,NODE,3,S,X
R66=S6/35.96
SET,,,,,,,14
*GET,S7,NODE,3,S,X
R77=S7/33.46
SET,,,,,,,54
*GET,S8,NODE,3,S,X
R88=S8/28.06
SET,,,,,,,104
*GET,S9,NODE,3,S,X
R99=S9/26.10
*DIM,VALUE2,,5,6
LABEL(1) = '0','50.0','100.0','500.0','1000.0'
*VFILL,VALUE2(1,1),DATA,153.85,35.96,33.46,28.06,26.10
*VFILL,VALUE2(1,2),DATA,S1,S6,S7,S8,S9
*VFILL,VALUE2(1,3),DATA,R11,R66,R77,R88,R99
/COM
/COM
/COM,------------ vmr027-cr10b-181 STRAIN HARDENING RESULTS COMPARISON -------------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO  |
/COM,
*VWRITE,LABEL(1), VALUE2(1,1), VALUE2(1,2), VALUE2(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ')
FINISH
*ENDIF
*ENDDO
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' S6 ',' S7 '
*VFILL,VALUE1(1,1),DATA,SH9,S9
*VFILL,VALUE1(1,2),DATA,R9,R99
*DIM,LABEL2,CHAR,3
LABEL2(1) = 'vmr027-','cr10b-18','1'

/OUT,vmr027-cr10b-181,vrt
/COM
/COM,------------------- vmr027-cr10b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL181
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2),LABEL2(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2),LABEL2(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr10b-181,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-10A 281 Input Listing 		Up / Home Next
VM-R027-10B 182 Input Listing


VM-R027-10B 182 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr10b-182
/TITLE,vmr027-cr10b-182,2D PLANE STRESS-BIAXIAL DISPLACEMENT PRIMARY CREEP
/COM, REFERENCE: TEST 10(B) FROM NAFEMS R0027.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS (TIME HARDENING)!***
*SET,C1,1.5625E-14
*SET,C2,5.0
*SET,C3,-0.5
*SET,C4,0
C***  TIME PARAMETER
*SET,HOUR,1000
C***   ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,OFFS
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS (STRAIN HARDENING)!***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
MP,EX,2,200E3
MP,NUXY,2,0.3
TB,CREEP,2,,,7
TBDATA,1,C1,C2,C3
SAVE
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
N,9,50,50
ET,1,182
KEYOPT,1,1,1
KEYOPT,1,3,0
E,1,5,9,8
E,5,2,6,9
E,9,6,3,7
E,8,9,7,4
NSEL,ALL
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,ALL
NSEL,S,LOC,X,100
D,ALL,UX,0.1
NSEL,ALL
NSEL,S,LOC,Y,100
D,ALL,UY,-0.1
NSEL,ALL

*DO,I,1,2

/PREP7
*IF,I,EQ,1,THEN
/COM,
/COM, TIME HARDENING CASE
/COM,
MAT,1
*ELSEIF,I,EQ,2,THEN
/COM,
/COM, STRAIN HARDENING CASE
/COM,
MPCHG,2,ALL
*ENDIF

/SOLU
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,0.10,0.099,0.10
TIME, 0.10
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,1.0,0.99,1.0
TIME, 1.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,5.0,4.99,5.0
TIME, 5.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,10.0,9.99,10.0
TIME, 10.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
OUTRES,ALL,ALL
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH

/POST26
*IF,I,EQ,1,THEN
ESOL,2,1,,S,X,TIMEHARD
PRVAR,2
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/YRANGE,0,160
/COLOR,CURVE,RED,1
PLVAR,2
/NOERASE

/POST1
SET,1,1
*GET,SH1,NODE,3,S,X
R1=SH1/153.85
SET,,,,,,,9
*GET,SH6,NODE,3,S,X
R6=SH6/26.69
SET,,,,,,,14
*GET,SH7,NODE,3,S,X
R7=SH7/24.45
SET,,,,,,,54
*GET,SH8,NODE,3,S,X
R8=SH8/20.00
SET,,,,,,,104
*GET,SH9,NODE,3,S,X
R9=SH9/18.34
*DIM,VALUE,,5,3
*DIM,LABEL,CHAR,10
LABEL(1) = '0','50.0','100.0','500.0','1000.0'
*VFILL,VALUE(1,1),DATA,153.85,26.69,24.45,20.00,18.34
*VFILL,VALUE(1,2),DATA,SH1,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R6,R7,R8,R9
/COM
/COM
/COM,----------- vmr027-cr10b-182 TIME HARDENING RESULTS COMPARISON -------------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ')
FINISH

*ELSEIF,I,EQ,2,THEN
/POST26
ESOL,3,1,,S,X,STRAINHA
PRVAR,3
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/YRANGE,0,160
/COLOR,CURVE,BLUE,1
PLVAR,3

/POST1
SET,1,1
*GET,S1,NODE,3,S,X
R11=S1/153.85
SET,,,,,,,9
*GET,S6,NODE,3,S,X
R66=S6/35.96
SET,,,,,,,14
*GET,S7,NODE,3,S,X
R77=S7/33.46
SET,,,,,,,54
*GET,S8,NODE,3,S,X
R88=S8/28.06
SET,,,,,,,104
*GET,S9,NODE,3,S,X
R99=S9/26.10
*DIM,VALUE2,,5,6
LABEL(1) = '0','50.0','100.0','500.0','1000.0'
*VFILL,VALUE2(1,1),DATA,153.85,35.96,33.46,28.06,26.10
*VFILL,VALUE2(1,2),DATA,S1,S6,S7,S8,S9
*VFILL,VALUE2(1,3),DATA,R11,R66,R77,R88,R99
/COM
/COM
/COM,--------- vmr027-cr10b-182 STRAIN HARDENING RESULTS COMPARISON ----------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO  |
/COM,
*VWRITE,LABEL(1), VALUE2(1,1), VALUE2(1,2), VALUE2(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ')
FINISH
*ENDIF
*ENDDO
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' S6 ',' S7 '
*VFILL,VALUE1(1,1),DATA,SH9,S9
*VFILL,VALUE1(1,2),DATA,R9,R99
*DIM,LABEL2,CHAR,3
LABEL2(1) = 'vmr027-','cr10b-18','2'

/OUT,vmr027-cr10b-182,vrt
/COM
/COM,------------------- vmr027-cr10b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE182
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2),LABEL2(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2),LABEL2(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr10b-182,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-10B 181 Input Listing 		Up / Home Next
VM-R027-10B 183 Input Listing


VM-R027-10B 183 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr10b-183
/TITLE,vmr027-cr10b-183,2D PLANE STRESS-BIAXIAL DISPLACEMENT PRIMARY CREEP
/COM, REFERENCE: TEST 10(B) FROM NAFEMS R0027.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS (TIME HARDENING)!***
*SET,C1,1.5625E-14
*SET,C2,5.0
*SET,C3,-0.5
*SET,C4,0
C***  TIME PARAMETER
*SET,HOUR,1000
C***   ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,OFFS
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS (STRAIN HARDENING)!***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
MP,EX,2,200E3
MP,NUXY,2,0.3
TB,CREEP,2,,,7
TBDATA,1,C1,C2,C3
SAVE
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
ET,1,183
KEYOPT,1,3,0
E,1,2,3,4,5,6,7,8
NSEL,ALL
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,ALL
NSEL,S,LOC,X,100
D,ALL,UX,0.1
NSEL,ALL
NSEL,S,LOC,Y,100
D,ALL,UY,-0.1
NSEL,ALL

*DO,I,1,2

/PREP7
*IF,I,EQ,1,THEN
/COM,
/COM, TIME HARDENING CASE
/COM,
MAT,1
*ELSEIF,I,EQ,2,THEN
/COM,
/COM, STRAIN HARDENING CASE
/COM,
MPCHG,2,ALL
*ENDIF

/SOLU
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,0.10,0.099,0.10
TIME, 0.10
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,1.0,0.99,1.0
TIME, 1.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,5.0,4.99,5.0
TIME, 5.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,10.0,9.99,10.0
TIME, 10.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
OUTRES,ALL,ALL
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH

/POST26
*IF,I,EQ,1,THEN
ESOL,2,1,,S,X,TIMEHARD
PRVAR,2
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/YRANGE,0,160
/COLOR,CURVE,RED,1
PLVAR,2
/NOERASE

/POST1
SET,1,1
*GET,SH1,NODE,3,S,X
R1=SH1/153.85
SET,,,,,,,9
*GET,SH6,NODE,3,S,X
R6=SH6/26.69
SET,,,,,,,14
*GET,SH7,NODE,3,S,X
R7=SH7/24.45
SET,,,,,,,54
*GET,SH8,NODE,3,S,X
R8=SH8/20.00
SET,,,,,,,104
*GET,SH9,NODE,3,S,X
R9=SH9/18.34
*DIM,VALUE,,5,3
*DIM,LABEL,CHAR,10
LABEL(1) = '0','50.0','100.0','500.0','1000.0'
*VFILL,VALUE(1,1),DATA,153.85,26.69,24.45,20.00,18.34
*VFILL,VALUE(1,2),DATA,SH1,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R6,R7,R8,R9
/COM
/COM
/COM,--------- vmr027-cr10b-183 TIME HARDENING RESULTS COMPARISON ------------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ')
FINISH

*ELSEIF,I,EQ,2,THEN
/POST26
ESOL,3,1,,S,X,STRAINHA
PRVAR,3
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/YRANGE,0,160
/COLOR,CURVE,BLUE,1
PLVAR,3

/POST1
SET,1,1
*GET,S1,NODE,3,S,X
R11=S1/153.85
SET,,,,,,,9
*GET,S6,NODE,3,S,X
R66=S6/35.96
SET,,,,,,,14
*GET,S7,NODE,3,S,X
R77=S7/33.46
SET,,,,,,,54
*GET,S8,NODE,3,S,X
R88=S8/28.06
SET,,,,,,,104
*GET,S9,NODE,3,S,X
R99=S9/26.10
*DIM,VALUE2,,5,6
LABEL(1) = '0','50.0','100.0','500.0','1000.0'
*VFILL,VALUE2(1,1),DATA,153.85,35.96,33.46,28.06,26.10
*VFILL,VALUE2(1,2),DATA,S1,S6,S7,S8,S9
*VFILL,VALUE2(1,3),DATA,R11,R66,R77,R88,R99
/COM
/COM
/COM,-------- vmr027-cr10b-183 STRAIN HARDENING RESULTS COMPARISON ---------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO  |
/COM,
*VWRITE,LABEL(1), VALUE2(1,1), VALUE2(1,2), VALUE2(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ')
FINISH
*ENDIF
*ENDDO
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' S6 ',' S7 '
*VFILL,VALUE1(1,1),DATA,SH9,S9
*VFILL,VALUE1(1,2),DATA,R9,R99
*DIM,LABEL2,CHAR,3
LABEL2(1) = 'vmr027-','cr10b-18','3'

/OUT,vmr027-cr10b-183,vrt
/COM
/COM,------------------- vmr027-cr10b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE183
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2),LABEL2(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2),LABEL2(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr10b-183,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-10B 182 Input Listing 		Up / Home Next
VM-R027-10B 281 Input Listing


VM-R027-10B 281 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr10b-281
/TITLE,vmr027-cr10b-281,2D PLANE STRESS-BIAXIAL DISPLACEMENT PRIMARY CREEP
/COM, REFERENCE: TEST 10(B) FROM NAFEMS R0027.
/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS (TIME HARDENING)!***
*SET,C1,1.5625E-14
*SET,C2,5.0
*SET,C3,-0.5
*SET,C4,0
C***  TIME PARAMETER
*SET,HOUR,1000
C***   ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,OFFS
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS (STRAIN HARDENING)!***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
MP,EX,2,200E3
MP,NUXY,2,0.3
TB,CREEP,2,,,7
TBDATA,1,C1,C2,C3
SAVE
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
N,9,50,50
N,10,25,0,0
N,11,75,0,0
N,12,0,25,0
N,13,50,25,0
N,14,100,25,0
N,15,25,50,0
N,16,75,50,0
N,17,0,75,0
N,18,50,75,0
N,19,100,75,0
N,20,25,100,0
N,21,75,100,0
ET,1,SHELL281,,,
R,1,1,1,1,1,
E,1,5,9,8,10,13,15,12
E,5,2,6,9,11,14,16,13
E,9,6,3,7,16,19,21,18
E,8,9,7,4,15,18,20,17
NSEL,ALL
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,ALL
NSEL,S,LOC,X,100
D,ALL,UX,0.1
NSEL,ALL
NSEL,S,LOC,Y,100
D,ALL,UY,-0.1
NSEL,ALL
*DO,I,1,2
/PREP7
*IF,I,EQ,1,THEN
/COM,
/COM, TIME HARDENING CASE
/COM,
MAT,1
*ELSEIF,I,EQ,2,THEN
/COM,
/COM, STRAIN HARDENING CASE
/COM,
MPCHG,2,ALL
*ENDIF
/SOLU
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,0.10,0.099,0.10
TIME, 0.10
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,1.0,0.99,1.0
TIME, 1.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,5.0,4.99,5.0
TIME, 5.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON
DELT,10.0,9.99,10.0
TIME, 10.0
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
OUTRES,ALL,ALL
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH
/POST26
*IF,I,EQ,1,THEN
ESOL,2,1,,S,X,TIMEHARD
PRVAR,2
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/YRANGE,0,160
/COLOR,CURVE,RED,1
PLVAR,2
/NOERASE
/POST1
SET,1,1
*GET,SH1,NODE,3,S,X
R1=SH1/153.85
SET,,,,,,,9
*GET,SH6,NODE,3,S,X
R6=SH6/26.69
SET,,,,,,,14
*GET,SH7,NODE,3,S,X
R7=SH7/24.45
SET,,,,,,,54
*GET,SH8,NODE,3,S,X
R8=SH8/20.00
SET,,,,,,,104
*GET,SH9,NODE,3,S,X
R9=SH9/18.34
*DIM,VALUE,,5,3
*DIM,LABEL,CHAR,10
LABEL(1) = '0','50.0','100.0','500.0','1000.0'
*VFILL,VALUE(1,1),DATA,153.85,26.69,24.45,20.00,18.34
*VFILL,VALUE(1,2),DATA,SH1,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R6,R7,R8,R9
/COM
/COM
/COM,----------- vmr027-cr10b-281 TIME HARDENING RESULTS COMPARISON ------------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ')
FINISH
*ELSEIF,I,EQ,2,THEN
/POST26
ESOL,3,1,,S,X,STRAINHA
PRVAR,3
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/YRANGE,0,160
/COLOR,CURVE,BLUE,1
PLVAR,3
/POST1
SET,1,1
*GET,S1,NODE,3,S,X
R11=S1/153.85
SET,,,,,,,9
*GET,S6,NODE,3,S,X
R66=S6/35.96
SET,,,,,,,14
*GET,S7,NODE,3,S,X
R77=S7/33.46
SET,,,,,,,54
*GET,S8,NODE,3,S,X
R88=S8/28.06
SET,,,,,,,104
*GET,S9,NODE,3,S,X
R99=S9/26.10
*DIM,VALUE2,,5,6
LABEL(1) = '0','50.0','100.0','500.0','1000.0'
*VFILL,VALUE2(1,1),DATA,153.85,35.96,33.46,28.06,26.10
*VFILL,VALUE2(1,2),DATA,S1,S6,S7,S8,S9
*VFILL,VALUE2(1,3),DATA,R11,R66,R77,R88,R99
/COM
/COM
/COM,------------ vmr027-cr10b-281 STRAIN HARDENING RESULTS COMPARISON -------------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO  |
/COM,
*VWRITE,LABEL(1), VALUE2(1,1), VALUE2(1,2), VALUE2(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ')
FINISH
*ENDIF
*ENDDO
FINISH
/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' S6 ',' S7 '
*VFILL,VALUE1(1,1),DATA,SH9,S9
*VFILL,VALUE1(1,2),DATA,R9,R99
*DIM,LABEL2,CHAR,3
LABEL2(1) = 'vmr027-','cr10b-28','1'
/OUT,vmr027-cr10b-281,vrt
/COM
/COM,------------------- vmr027-cr10b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL281
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2),LABEL2(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2),LABEL2(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr027-cr10b-281,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-10B 183 Input Listing 		Up / Home Next
VM-R027-10C 181 Input Listing


VM-R027-10C 181 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr10c-181
/TITLE,vmr027-cr10c-181,2D PLANE STRESS-BIAXIAL STEPPED LOAD PRIMARY CREEP
/COM, REFERENCE: TEST 10(C) FROM NAFEMS R0027.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(TIME HARDENING)***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,2
TBDATA,1,C1,C2,C3,C4
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(STRAIN HARDENING)***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
C*** ELASTIC CONSTANT
MP,EX,2,200E3
MP,NUXY,2,0.3
TB,CREEP,2,,,7
TBDATA,1,C1,C2,C3,C4
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
N,9,50,50
ET,1,181,,,
R,1,1,1,1,1,
E,1,5,9,8
E,5,2,6,9
E,9,6,3,7
E,8,9,7,4
NSEL,S,LOC,X,
D,ALL,UX,
NSEL,ALL
NSEL,S,LOC,Y,
D,ALL,UY,
NSEL,ALL
D,ALL,UZ
D,ALL,ROTX
D,ALL,ROTY

*DO,I,1,2
*STATUS,I

/PREP7
*IF,I,EQ,1,THEN
MAT,1
*ELSEIF,I,EQ,2,THEN
MPCHG,2,ALL
*ENDIF
FINI

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-200
NSEL,ALL
NSEL,S,LOC,Y,100
SF,ALL,PRES,200
NSEL,ALL

RATE,ON,ON
TIME,1E-8
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,20,20,20
TIME,1.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,20,20,20
TIME,10.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,20,20,20
TIME,50.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,50,50,50
TIME,100.0
/OUTPUT,SCRATCH
SOLVE
/OUT

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-250
NSEL,ALL
NSEL,S,LOC,Y,100
SF,ALL,PRES,250
NSEL,ALL
RATE,ON,ON
NSUBST,50,50,50
TIME,110.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,50,50,50
TIME,120.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,50,50,50
TIME,150.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON, ON
NSUBST,50,50,50
TIME,200
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH

/POST1
*IF,I,EQ,1,THEN
SET,,,,,,,1
*GET,S1,NODE,1,EPCR,X
R1=1.00
SET,,,,,,,2
*GET,S2,NODE,1,EPCR,X
R2=S2/0.135
SET,,,,,,,3
*GET,S3,NODE,1,EPCR,X
R3=S3/0.4269
SET,,,,,,,4
*GET,S4,NODE,1,EPCR,X
R4=S4/0.9546
SET,,,,,,,5
*GET,S5,NODE,1,EPCR,X
R5=S5/1.35
SET,,,,,,,6
*GET,S6,NODE,1,EPCR,X
R6=S6/1.5511
SET,,,,,,,7
*GET,S7,NODE,1,EPCR,X
R7=S7/1.7433
SET,,,,,,,8
*GET,S8,NODE,1,EPCR,X
R8=S8/2.276
SET,,,,,,,9
*GET,S9,NODE,1,EPCR,X
R9=S9/3.0565
*DIM,VALUE,,9,3
*DIM,LABEL,CHAR,10
LABEL(1) = '0','1.0', '10.0', '50.0', '100.0', '110.0','120.0','150.0','200.0'
*VFILL,VALUE(1,1),DATA,0.0000,0.1350,0.4269,0.9546,1.3500,1.5511,1.7433,2.2760,3.0565
*VFILL,VALUE(1,2),DATA,S1,S2,S3,S4,S5,S6,S7,S8,S9
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9

*ELSEIF,I,EQ,2,THEN
SET,,,,,,,1
*GET,SH1,NODE,1,EPCR,X
R10=1.00
SET,,,,,,,2
*GET,SH2,NODE,1,EPCR,X
R11=SH2/0.135
SET,,,,,,,3
*GET,SH3,NODE,1,EPCR,X
R12=SH3/0.4269
SET,,,,,,,4
*GET,SH4,NODE,1,EPCR,X
R13=SH4/0.9546
SET,,,,,,,5
*GET,SH5,NODE,1,EPCR,X
R14=SH5/1.35
SET,,,,,,,6
*GET,SH6,NODE,1,EPCR,X
R15=SH6/1.8762
SET,,,,,,,7
*GET,SH7,NODE,1,EPCR,X
R16=SH7/2.2842
SET,,,,,,,8
*GET,SH8,NODE,1,EPCR,X
R17=SH8/3.2108
SET,,,,,,,9
*GET,SH9,NODE,1,EPCR,X
R18=SH9/4.3354
*DIM,VALUE2,,9,3
*DIM,LABEL2,CHAR,10
LABEL2(1) = '0','1.0', '10.0', '50.0', '100.0', '110.0','120.0','150.0','200.0'
*VFILL,VALUE2(1,1),DATA,0.0000,0.1350,0.4269,0.9546,1.3500,1.8762,2.2842,3.2108,4.3354
*VFILL,VALUE2(1,2),DATA,SH1,SH2,SH3,SH4,SH5,SH6,SH7,SH8,SH9
*VFILL,VALUE2(1,3),DATA,R10,R11,R12,R13,R14,R15,R16,R17,R18
*ENDIF

/POST26
*IF,I,EQ,1,THEN
ESOL,2,1,,EPCR,X,TIMEHARD
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/XRANGE,0,200
/YRANGE,0,5
/COLOR,CURVE,BLUE,1
PLVAR,2
/NOERASE
*ELSEIF,I,EQ,2,THEN
ESOL,3,1,,EPCR,X,STRAINHA
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/COLOR,CURVE,RED,1
/XRANGE,0,200
/YRANGE,0,5
PLVAR,3
*ENDIF
*ENDDO

/COM
/COM
/COM,----------- vmr027-cr10c-181 TIME HARDENING RESULTS COMPARISON -------------
/COM,
/COM, vmr027-cr10c-181.jpeg RESULTS SHOULD MATCH R0027 NAFEMS MANUAL
/COM, GRAPH RESULTS OF TEST 10(C).
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ')
/COM,
/COM,
/COM,----------- vmr027-cr10c-181 STRAIN HARDENING RESULTS COMPARISON -------------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL2(1), VALUE2(1,1), VALUE2(1,2), VALUE2(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ')
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' S2 ',' S7 '
*VFILL,VALUE1(1,1),DATA,S9,SH9
*VFILL,VALUE1(1,2),DATA,R9,R18
*DIM,LABEL3,CHAR,3
LABEL3(1) = 'vmr027-','cr10c-18','1'

/OUT,vmr027-cr10c-181,vrt
/COM
/COM,------------------- vmr027-cr10c RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL181
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL3(1),LABEL3(2),LABEL3(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL3(1),LABEL3(2),LABEL3(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr10c-181,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-10B 281 Input Listing 		Up / Home Next
VM-R027-10C 182 Input Listing


VM-R027-10C 182 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr10c-182
/TITLE,vmr027-cr10c-182,2D PLANE STRESS-BIAXIAL STEPPED LOAD PRIMARY CREEP
/COM, REFERENCE: TEST 10(C) FROM NAFEMS R0027.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(TIME HARDENING)***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,2
TBDATA,1,C1,C2,C3,C4
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(STRAIN HARDENING)***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
C*** ELASTIC CONSTANT
MP,EX,2,200E3
MP,NUXY,2,0.3
TB,CREEP,2,,,7
TBDATA,1,C1,C2,C3,C4
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
N,9,50,50
ET,1,182
KEYOPT,1,1,1
KEYOPT,1,3,0
E,1,5,9,8
E,5,2,6,9
E,9,6,3,7
E,8,9,7,4
NSEL,S,LOC,X,
D,ALL,UX,
NSEL,ALL
NSEL,S,LOC,Y,
D,ALL,UY,
NSEL,ALL

*DO,I,1,2
*STATUS,I

/PREP7
*IF,I,EQ,1,THEN
MAT,1
*ELSEIF,I,EQ,2,THEN
MPCHG,2,ALL
*ENDIF
FINI

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-200
NSEL,ALL
NSEL,S,LOC,Y,100
SF,ALL,PRES,200
NSEL,ALL

RATE,ON,ON
TIME,1E-8
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,20,20,20
TIME,1.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,20,20,20
TIME,10.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,20,20,20
TIME,50.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,50,50,50
TIME,100.0
/OUTPUT,SCRATCH
SOLVE
/OUT

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-250
NSEL,ALL
NSEL,S,LOC,Y,100
SF,ALL,PRES,250
NSEL,ALL
RATE,ON,ON
NSUBST,50,50,50
TIME,110.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,50,50,50
TIME,120.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,50,50,50
TIME,150.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON, ON
NSUBST,50,50,50
TIME,200
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH

/POST1
*IF,I,EQ,1,THEN
SET,,,,,,,1
*GET,S1,NODE,1,EPCR,X
R1=1.00
SET,,,,,,,2
*GET,S2,NODE,1,EPCR,X
R2=S2/0.135
SET,,,,,,,3
*GET,S3,NODE,1,EPCR,X
R3=S3/0.4269
SET,,,,,,,4
*GET,S4,NODE,1,EPCR,X
R4=S4/0.9546
SET,,,,,,,5
*GET,S5,NODE,1,EPCR,X
R5=S5/1.35
SET,,,,,,,6
*GET,S6,NODE,1,EPCR,X
R6=S6/1.5511
SET,,,,,,,7
*GET,S7,NODE,1,EPCR,X
R7=S7/1.7433
SET,,,,,,,8
*GET,S8,NODE,1,EPCR,X
R8=S8/2.276
SET,,,,,,,9
*GET,S9,NODE,1,EPCR,X
R9=S9/3.0565
*DIM,VALUE,,9,3
*DIM,LABEL,CHAR,10
LABEL(1) = '0','1.0', '10.0', '50.0', '100.0', '110.0','120.0','150.0','200.0'
*VFILL,VALUE(1,1),DATA,0.0000,0.1350,0.4269,0.9546,1.3500,1.5511,1.7433,2.2760,3.0565
*VFILL,VALUE(1,2),DATA,S1,S2,S3,S4,S5,S6,S7,S8,S9
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9

*ELSEIF,I,EQ,2,THEN
SET,,,,,,,1
*GET,SH1,NODE,1,EPCR,X
R10=1.00
SET,,,,,,,2
*GET,SH2,NODE,1,EPCR,X
R11=SH2/0.135
SET,,,,,,,3
*GET,SH3,NODE,1,EPCR,X
R12=SH3/0.4269
SET,,,,,,,4
*GET,SH4,NODE,1,EPCR,X
R13=SH4/0.9546
SET,,,,,,,5
*GET,SH5,NODE,1,EPCR,X
R14=SH5/1.35
SET,,,,,,,6
*GET,SH6,NODE,1,EPCR,X
R15=SH6/1.8762
SET,,,,,,,7
*GET,SH7,NODE,1,EPCR,X
R16=SH7/2.2842
SET,,,,,,,8
*GET,SH8,NODE,1,EPCR,X
R17=SH8/3.2108
SET,,,,,,,9
*GET,SH9,NODE,1,EPCR,X
R18=SH9/4.3354
*DIM,VALUE2,,9,3
*DIM,LABEL2,CHAR,10
LABEL2(1) = '0','1.0', '10.0', '50.0', '100.0', '110.0','120.0','150.0','200.0'
*VFILL,VALUE2(1,1),DATA,0.0000,0.1350,0.4269,0.9546,1.3500,1.8762,2.2842,3.2108,4.3354
*VFILL,VALUE2(1,2),DATA,SH1,SH2,SH3,SH4,SH5,SH6,SH7,SH8,SH9
*VFILL,VALUE2(1,3),DATA,R10,R11,R12,R13,R14,R15,R16,R17,R18
*ENDIF

/POST26
*IF,I,EQ,1,THEN
ESOL,2,1,,EPCR,X,TIMEHARD
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/XRANGE,0,200
/YRANGE,0,5
/COLOR,CURVE,BLUE,1
PLVAR,2
/NOERASE
*ELSEIF,I,EQ,2,THEN
ESOL,3,1,,EPCR,X,STRAINHA
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/COLOR,CURVE,RED,1
/XRANGE,0,200
/YRANGE,0,5
PLVAR,3
*ENDIF
*ENDDO

/COM
/COM
/COM,----------- vmr027-cr10c-182 TIME HARDENING RESULTS COMPARISON -------------
/COM,
/COM, vmr027-cr10c-182.jpeg RESULTS SHOULD MATCH R0027 NAFEMS MANUAL
/COM, GRAPH RESULTS OF TEST 10(C).
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ')
/COM,
/COM,
/COM,----------- vmr027-cr10c-182 STRAIN HARDENING RESULTS COMPARISON -------------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL2(1), VALUE2(1,1), VALUE2(1,2), VALUE2(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ')
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' S2 ',' S7 '
*VFILL,VALUE1(1,1),DATA,S9,SH9
*VFILL,VALUE1(1,2),DATA,R9,R18
*DIM,LABEL3,CHAR,3
LABEL3(1) = 'vmr027-','cr10c-18','2'

/OUT,vmr027-cr10c-182,vrt
/COM
/COM,------------------- vmr027-cr10c RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE182
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL3(1),LABEL3(2),LABEL3(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL3(1),LABEL3(2),LABEL3(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr10c-182,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-10C 181 Input Listing 		Up / Home Next
VM-R027-10C 183 Input Listing


VM-R027-10C 183 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr10c-183
/TITLE,vmr027-cr10c-183,2D PLANE STRESS-BIAXIAL STEPPED LOAD PRIMARY CREEP
/COM, REFERENCE: TEST 10(C) FROM NAFEMS R0027.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(TIME HARDENING)***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,2
TBDATA,1,C1,C2,C3,C4
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(STRAIN HARDENING)***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
C*** ELASTIC CONSTANT
MP,EX,2,200E3
MP,NUXY,2,0.3
TB,CREEP,2,,,7
TBDATA,1,C1,C2,C3,C4
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
ET,1,183
KEYOPT,1,3,0
E,1,2,3,4,5,6,7,8
NSEL,S,LOC,X,
D,ALL,UX,
NSEL,ALL
NSEL,S,LOC,Y,
D,ALL,UY,
NSEL,ALL

*DO,I,1,2
*STATUS,I

/PREP7
*IF,I,EQ,1,THEN
MAT,1
*ELSEIF,I,EQ,2,THEN
MPCHG,2,ALL
*ENDIF
FINI

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-200
NSEL,ALL
NSEL,S,LOC,Y,100
SF,ALL,PRES,200
NSEL,ALL

RATE,ON,ON
TIME,1E-8
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,20,20,20
TIME,1.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,20,20,20
TIME,10.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,20,20,20
TIME,50.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,50,50,50
TIME,100.0
/OUTPUT,SCRATCH
SOLVE
/OUT

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-250
NSEL,ALL
NSEL,S,LOC,Y,100
SF,ALL,PRES,250
NSEL,ALL
RATE,ON,ON
NSUBST,50,50,50
TIME,110.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,50,50,50
TIME,120.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,50,50,50
TIME,150.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON, ON
NSUBST,50,50,50
TIME,200
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH

/POST1
*IF,I,EQ,1,THEN
SET,,,,,,,1
*GET,S1,NODE,1,EPCR,X
R1=1.00
SET,,,,,,,2
*GET,S2,NODE,1,EPCR,X
R2=S2/0.135
SET,,,,,,,3
*GET,S3,NODE,1,EPCR,X
R3=S3/0.4269
SET,,,,,,,4
*GET,S4,NODE,1,EPCR,X
R4=S4/0.9546
SET,,,,,,,5
*GET,S5,NODE,1,EPCR,X
R5=S5/1.35
SET,,,,,,,6
*GET,S6,NODE,1,EPCR,X
R6=S6/1.5511
SET,,,,,,,7
*GET,S7,NODE,1,EPCR,X
R7=S7/1.7433
SET,,,,,,,8
*GET,S8,NODE,1,EPCR,X
R8=S8/2.276
SET,,,,,,,9
*GET,S9,NODE,1,EPCR,X
R9=S9/3.0565
*DIM,VALUE,,9,3
*DIM,LABEL,CHAR,10
LABEL(1) = '0','1.0', '10.0', '50.0', '100.0', '110.0','120.0','150.0','200.0'
*VFILL,VALUE(1,1),DATA,0.0000,0.1350,0.4269,0.9546,1.3500,1.5511,1.7433,2.2760,3.0565
*VFILL,VALUE(1,2),DATA,S1,S2,S3,S4,S5,S6,S7,S8,S9
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9

*ELSEIF,I,EQ,2,THEN
SET,,,,,,,1
*GET,SH1,NODE,1,EPCR,X
R10=1.00
SET,,,,,,,2
*GET,SH2,NODE,1,EPCR,X
R11=SH2/0.135
SET,,,,,,,3
*GET,SH3,NODE,1,EPCR,X
R12=SH3/0.4269
SET,,,,,,,4
*GET,SH4,NODE,1,EPCR,X
R13=SH4/0.9546
SET,,,,,,,5
*GET,SH5,NODE,1,EPCR,X
R14=SH5/1.35
SET,,,,,,,6
*GET,SH6,NODE,1,EPCR,X
R15=SH6/1.8762
SET,,,,,,,7
*GET,SH7,NODE,1,EPCR,X
R16=SH7/2.2842
SET,,,,,,,8
*GET,SH8,NODE,1,EPCR,X
R17=SH8/3.2108
SET,,,,,,,9
*GET,SH9,NODE,1,EPCR,X
R18=SH9/4.3354
*DIM,VALUE2,,9,3
*DIM,LABEL2,CHAR,10
LABEL2(1) = '0','1.0', '10.0', '50.0', '100.0', '110.0','120.0','150.0','200.0'
*VFILL,VALUE2(1,1),DATA,0.0000,0.1350,0.4269,0.9546,1.3500,1.8762,2.2842,3.2108,4.3354
*VFILL,VALUE2(1,2),DATA,SH1,SH2,SH3,SH4,SH5,SH6,SH7,SH8,SH9
*VFILL,VALUE2(1,3),DATA,R10,R11,R12,R13,R14,R15,R16,R17,R18
*ENDIF

/POST26
*IF,I,EQ,1,THEN
ESOL,2,1,,EPCR,X,TIMEHARD
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/XRANGE,0,200
/YRANGE,0,5
/COLOR,CURVE,BLUE,1
PLVAR,2
/NOERASE
*ELSEIF,I,EQ,2,THEN
ESOL,3,1,,EPCR,X,STRAINHA
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/COLOR,CURVE,RED,1
/XRANGE,0,200
/YRANGE,0,5
PLVAR,3
*ENDIF
*ENDDO

/COM
/COM
/COM,----------- vmr027-cr10c-183 TIME HARDENING RESULTS COMPARISON -------------
/COM,
/COM, vmr027-cr10c-183.jpeg RESULTS SHOULD MATCH R0027 NAFEMS MANUAL
/COM, GRAPH RESULTS OF TEST 10(C).
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ')
/COM,
/COM,
/COM,----------- vmr027-cr10c-183 STRAIN HARDENING RESULTS COMPARISON -------------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL2(1), VALUE2(1,1), VALUE2(1,2), VALUE2(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ')
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' S2 ',' S7 '
*VFILL,VALUE1(1,1),DATA,S9,SH9
*VFILL,VALUE1(1,2),DATA,R9,R18
*DIM,LABEL3,CHAR,3
LABEL3(1) = 'vmr027-','cr10c-18','3'

/OUT,vmr027-cr10c-183,vrt
/COM
/COM,------------------- vmr027-cr10c RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE183
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL3(1),LABEL3(2),LABEL3(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL3(1),LABEL3(2),LABEL3(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr10c-183,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-10C 182 Input Listing 		Up / Home Next
VM-R027-10C 281 Input Listing


VM-R027-10C 281 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr10c-281
/TITLE,vmr027-cr10c-281,2D PLANE STRESS-BIAXIAL STEPPED LOAD PRIMARY CREEP
/COM, REFERENCE: TEST 10(C) FROM NAFEMS R0027.
/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(TIME HARDENING)***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,2
TBDATA,1,C1,C2,C3,C4
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(STRAIN HARDENING)***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
C*** ELASTIC CONSTANT
MP,EX,2,200E3
MP,NUXY,2,0.3
TB,CREEP,2,,,7
TBDATA,1,C1,C2,C3,C4
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
N,9,50,50
N,10,25,0,0
N,11,75,0,0
N,12,0,25,0
N,13,50,25,0
N,14,100,25,0
N,15,25,50,0
N,16,75,50,0
N,17,0,75,0
N,18,50,75,0
N,19,100,75,0
N,20,25,100,0
N,21,75,100,0
ET,1,SHELL281,,,
R,1,1,1,1,1,
E,1,5,9,8,10,13,15,12
E,5,2,6,9,11,14,16,13
E,9,6,3,7,16,19,21,18
E,8,9,7,4,15,18,20,17
NSEL,S,LOC,X,
D,ALL,UX,
NSEL,ALL
NSEL,S,LOC,Y,
D,ALL,UY,
NSEL,ALL
D,ALL,UZ
D,ALL,ROTX
D,ALL,ROTY
*DO,I,1,2
*STATUS,I
/PREP7
*IF,I,EQ,1,THEN
MAT,1
*ELSEIF,I,EQ,2,THEN
MPCHG,2,ALL
*ENDIF
FINI
/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-200
NSEL,ALL
NSEL,S,LOC,Y,100
SF,ALL,PRES,200
NSEL,ALL
RATE,ON,ON
TIME,1E-8
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,20,20,20
TIME,1.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,20,20,20
TIME,10.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,20,20,20
TIME,50.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,50,50,50
TIME,100.0
/OUTPUT,SCRATCH
SOLVE
/OUT
/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-250
NSEL,ALL
NSEL,S,LOC,Y,100
SF,ALL,PRES,250
NSEL,ALL
RATE,ON,ON
NSUBST,50,50,50
TIME,110.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,50,50,50
TIME,120.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
NSUBST,50,50,50
TIME,150.0
/OUTPUT,SCRATCH
SOLVE
/OUT
RATE, ON, ON
NSUBST,50,50,50
TIME,200
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH
/POST1
*IF,I,EQ,1,THEN
SET,,,,,,,1
*GET,S1,NODE,1,EPCR,X
R1=1.00
SET,,,,,,,2
*GET,S2,NODE,1,EPCR,X
R2=S2/0.135
SET,,,,,,,3
*GET,S3,NODE,1,EPCR,X
R3=S3/0.4269
SET,,,,,,,4
*GET,S4,NODE,1,EPCR,X
R4=S4/0.9546
SET,,,,,,,5
*GET,S5,NODE,1,EPCR,X
R5=S5/1.35
SET,,,,,,,6
*GET,S6,NODE,1,EPCR,X
R6=S6/1.5511
SET,,,,,,,7
*GET,S7,NODE,1,EPCR,X
R7=S7/1.7433
SET,,,,,,,8
*GET,S8,NODE,1,EPCR,X
R8=S8/2.276
SET,,,,,,,9
*GET,S9,NODE,1,EPCR,X
R9=S9/3.0565
*DIM,VALUE,,9,3
*DIM,LABEL,CHAR,10
LABEL(1) = '0','1.0', '10.0', '50.0', '100.0', '110.0','120.0','150.0','200.0'
*VFILL,VALUE(1,1),DATA,0.0000,0.1350,0.4269,0.9546,1.3500,1.5511,1.7433,2.2760,3.0565
*VFILL,VALUE(1,2),DATA,S1,S2,S3,S4,S5,S6,S7,S8,S9
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9
*ELSEIF,I,EQ,2,THEN
SET,,,,,,,1
*GET,SH1,NODE,1,EPCR,X
R10=1.00
SET,,,,,,,2
*GET,SH2,NODE,1,EPCR,X
R11=SH2/0.135
SET,,,,,,,3
*GET,SH3,NODE,1,EPCR,X
R12=SH3/0.4269
SET,,,,,,,4
*GET,SH4,NODE,1,EPCR,X
R13=SH4/0.9546
SET,,,,,,,5
*GET,SH5,NODE,1,EPCR,X
R14=SH5/1.35
SET,,,,,,,6
*GET,SH6,NODE,1,EPCR,X
R15=SH6/1.8762
SET,,,,,,,7
*GET,SH7,NODE,1,EPCR,X
R16=SH7/2.2842
SET,,,,,,,8
*GET,SH8,NODE,1,EPCR,X
R17=SH8/3.2108
SET,,,,,,,9
*GET,SH9,NODE,1,EPCR,X
R18=SH9/4.3354
*DIM,VALUE2,,9,3
*DIM,LABEL2,CHAR,10
LABEL2(1) = '0','1.0', '10.0', '50.0', '100.0', '110.0','120.0','150.0','200.0'
*VFILL,VALUE2(1,1),DATA,0.0000,0.1350,0.4269,0.9546,1.3500,1.8762,2.2842,3.2108,4.3354
*VFILL,VALUE2(1,2),DATA,SH1,SH2,SH3,SH4,SH5,SH6,SH7,SH8,SH9
*VFILL,VALUE2(1,3),DATA,R10,R11,R12,R13,R14,R15,R16,R17,R18
*ENDIF
/POST26
*IF,I,EQ,1,THEN
ESOL,2,1,,EPCR,X,TIMEHARD
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/XRANGE,0,200
/YRANGE,0,5
/COLOR,CURVE,BLUE,1
PLVAR,2
/NOERASE
*ELSEIF,I,EQ,2,THEN
ESOL,3,1,,EPCR,X,STRAINHA
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/COLOR,CURVE,RED,1
/XRANGE,0,200
/YRANGE,0,5
PLVAR,3
*ENDIF
*ENDDO
/COM
/COM
/COM,----------- vmr027-cr10c-281 TIME HARDENING RESULTS COMPARISON -------------
/COM,
/COM, vmr027-cr10c-281.jpeg RESULTS SHOULD MATCH R0027 NAFEMS MANUAL
/COM, GRAPH RESULTS OF TEST 10(C).
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ')
/COM,
/COM,
/COM,----------- vmr027-cr10c-281 STRAIN HARDENING RESULTS COMPARISON -------------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL2(1), VALUE2(1,1), VALUE2(1,2), VALUE2(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ')
FINISH
/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' S2 ',' S7 '
*VFILL,VALUE1(1,1),DATA,S9,SH9
*VFILL,VALUE1(1,2),DATA,R9,R18
*DIM,LABEL3,CHAR,3
LABEL3(1) = 'vmr027-','cr10c-28','1'
/OUT,vmr027-cr10c-281,vrt
/COM
/COM,------------------- vmr027-cr10c RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL281
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL3(1),LABEL3(2),LABEL3(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL3(1),LABEL3(2),LABEL3(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr027-cr10c-281,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-10C 183 Input Listing 		Up / Home Next
VM-R027-12B 181 Input Listing


VM-R027-12B 181 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr12b-181
/TITLE,vmr027-cr12b-181,2D PLANE STRESS-UNIAXIAL DISPLACEMENT PRIMARY-SECONDARY CREEP
/COM,THE COMPARISON IS MADE GRAPHICALLY AND QUANTITATIVELY WITH THE
/COM,RESULTS OF THE TEST 12(B)FROM NAFEMS REPORT R0027.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(PRIMARY AND SECONDARY CREEP)***
*SET,C1,0.5E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
*SET,C5,1E-16
*SET,C6,5
*SET,C7,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,11
TBDATA,1,C1,C2,C3,C4,C5,C6
TBDATA,7,C7
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
N,9,50,50
ET,1,181,,,
R,1,1,1,1,1,
E,1,5,9,8
E,5,2,6,9
E,9,6,3,7
E,8,9,7,4
NSEL,S,LOC,X,0
D,ALL,UX,
NSEL,ALL
NSEL,S,LOC,Y,50
NSEL,R,LOC,X,0
D,ALL,UY,
NSEL,ALL

/SOLU
NSEL,S,LOC,X,100
D,ALL,UX,0.1
NSEL,ALL
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,0.10,0.099,0.10
TIME, 0.10
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,1.0,0.99,1.0
TIME, 1.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,5.0,4.99,5.0
TIME, 5.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,10.0,9.99,10.0
TIME, 10.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
/OUTPUT,SCRATCH
OUTRES,ALL,ALL
SOLVE
/OUT
FINISH

/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/GTHK,AXIS,1
/GRTYP,0
/GROPT,DIG1,5
/GROPT,DIG2,3
/GROPT,DIVX,5
/GROPT,DIVY,9
/XRANGE,0,1000
/YRANGE,0,225
ESOL,2,1,,S,X
PLVAR,2
PRVAR,2

/POST1
SET,1,1
*GET,SH1,NODE,3,S,X
R1=SH1/200.0
SET,,,,,,,9
*GET,SH6,NODE,3,S,X
R6=SH6/63.58
SET,,,,,,,14
*GET,SH7,NODE,3,S,X
R7=SH7/57.96
SET,,,,,,,54
*GET,SH8,NODE,3,S,X
R8=SH8/46.20
SET,,,,,,,104
*GET,SH9,NODE,3,S,X
R9=SH9/41.61
*DIM,VALUE,,5,3
*DIM,LABEL,CHAR,10
LABEL(1) = '0','50.0','100.0','500.0','1000.0'
*VFILL,VALUE(1,1),DATA,200.00,63.58,57.96,46.20,41.61
*VFILL,VALUE(1,2),DATA,SH1,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R6,R7,R8,R9
/COM
/COM
/COM,--------- vmr027-cr12b-181 RESULTS COMPARISON-----------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F5.3)
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR11X ',' ECR11Y '
*VFILL,VALUE1(1,1),DATA,SH9
*VFILL,VALUE1(1,2),DATA,R9
*DIM,LABEL2,CHAR,3
LABEL2(1) = 'vmr027-','cr12b-18','1'

/OUT,vmr027-cr12b-181,vrt
/COM
/COM,------------------- vmr027-cr12b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL181
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2),LABEL2(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr12b-181,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-10C 281 Input Listing 		Up / Home Next
VM-R027-12B 182 Input Listing


VM-R027-12B 182 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr12b-182
/TITLE,vmr027-cr12b-182,2D PLANE STRESS-UNIAXIAL DISPLACEMENT PRIMARY-SECONDARY CREEP
/COM,THE COMPARISON IS MADE GRAPHICALLY AND QUANTITATIVELY WITH THE
/COM RESULTS OF THE TEST 12(B)FROM NAFEMS REPORT R0027.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(PRIMARY AND SECONDARY CREEP)***
*SET,C1,0.5E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
*SET,C5,1E-16
*SET,C6,5
*SET,C7,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,11
TBDATA,1,C1,C2,C3,C4,C5,C6
TBDATA,7,C7
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
N,9,50,50
ET,1,182
KEYOPT,1,1,1
KEYOPT,1,3,0
E,1,5,9,8
E,5,2,6,9
E,9,6,3,7
E,8,9,7,4
NSEL,S,LOC,X,0
D,ALL,UX,
NSEL,ALL
NSEL,S,LOC,Y,50
NSEL,R,LOC,X,0
D,ALL,UY,
NSEL,ALL

/SOLU
NSEL,S,LOC,X,100
D,ALL,UX,0.1
NSEL,ALL
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,0.10,0.099,0.10
TIME, 0.10
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,1.0,0.99,1.0
TIME, 1.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,5.0,4.99,5.0
TIME, 5.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,10.0,9.99,10.0
TIME, 10.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
/OUTPUT,SCRATCH
OUTRES,ALL,ALL
SOLVE
/OUT
FINISH

/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/GTHK,AXIS,1
/GRTYP,0
/GROPT,DIG1,5
/GROPT,DIG2,3
/GROPT,DIVX,5
/GROPT,DIVY,9
/XRANGE,0,1000
/YRANGE,0,225
ESOL,2,1,,S,X
PLVAR,2
PRVAR,2

/POST1
SET,1,1
*GET,SH1,NODE,3,S,X
R1=SH1/200.0
SET,,,,,,,9
*GET,SH6,NODE,3,S,X
R6=SH6/63.58
SET,,,,,,,14
*GET,SH7,NODE,3,S,X
R7=SH7/57.96
SET,,,,,,,54
*GET,SH8,NODE,3,S,X
R8=SH8/46.20
SET,,,,,,,104
*GET,SH9,NODE,3,S,X
R9=SH9/41.61
*DIM,VALUE,,5,3
*DIM,LABEL,CHAR,10
LABEL(1) = '0','50.0','100.0','500.0','1000.0'
*VFILL,VALUE(1,1),DATA,200.0,63.58,57.96,46.20,41.61
*VFILL,VALUE(1,2),DATA,SH1,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R6,R7,R8,R9
/COM
/COM
/COM,--------- vmr027-cr12b-182 RESULTS COMPARISON-----------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F5.3)
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR11X ',' ECR11Y '
*VFILL,VALUE1(1,1),DATA,SH9
*VFILL,VALUE1(1,2),DATA,R9
*DIM,LABEL2,CHAR,3
LABEL2(1) = 'vmr027-','cr12b-18','2'

/OUT,vmr027-cr12b-182,vrt
/COM
/COM,------------------- vmr027-cr12b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE182
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2),LABEL2(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr12b-182,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-12B 181 Input Listing 		Up / Home Next
VM-R027-12B 183 Input Listing


VM-R027-12B 183 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr12b-183
/TITLE,vmr027-cr12b-183,2D PLANE STRESS-UNIAXIAL DISPLACEMENT PRIMARY-SECONDARY CREEP
/COM,THE COMPARISON IS MADE GRAPHICALLY AND QUANTITATIVELY WITH
/COM THE RESULTS OF THE TEST 12(B) FROM NAFEMS REPORT R0027.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(PRIMARY AND SECONDARY CREEP)***
*SET,C1,0.5E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
*SET,C5,1E-16
*SET,C6,5
*SET,C7,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,11
TBDATA,1,C1,C2,C3,C4,C5,C6
TBDATA,7,C7
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
ET,1,183
KEYOPT,1,3,0
E,1,2,3,4,5,6,7,8
NSEL,S,LOC,X,0
D,ALL,UX,
NSEL,ALL
NSEL,S,LOC,Y,50
NSEL,R,LOC,X,0
D,ALL,UY,
NSEL,ALL

/SOLU
NSEL,S,LOC,X,100
D,ALL,UX,0.1
NSEL,ALL
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,0.10,0.099,0.10
TIME, 0.10
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,1.0,0.99,1.0
TIME, 1.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,5.0,4.99,5.0
TIME, 5.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
OUTPR,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,10.0,9.99,10.0
TIME, 10.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
/OUTPUT,SCRATCH
OUTRES,ALL,ALL
SOLVE
/OUT
FINISH

/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/GTHK,AXIS,1
/GRTYP,0
/GROPT,DIG1,5
/GROPT,DIG2,3
/GROPT,DIVX,5
/GROPT,DIVY,9
/XRANGE,0,1000
/YRANGE,0,225
ESOL,2,1,,S,X
PLVAR,2
PRVAR,2

/POST1
SET,1,1
*GET,SH1,NODE,3,S,X
R1=SH1/200.0
SET,,,,,,,9
*GET,SH6,NODE,3,S,X
R6=SH6/63.58
SET,,,,,,,14
*GET,SH7,NODE,3,S,X
R7=SH7/57.96
SET,,,,,,,54
*GET,SH8,NODE,3,S,X
R8=SH8/46.20
SET,,,,,,,104
*GET,SH9,NODE,3,S,X
R9=SH9/41.61
*DIM,VALUE,,5,3
*DIM,LABEL,CHAR,10
LABEL(1) = '0','50.0','100.0','500.0','1000.0'
*VFILL,VALUE(1,1),DATA,200.0,63.58,57.96,46.20,41.61
*VFILL,VALUE(1,2),DATA,SH1,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R6,R7,R8,R9
/COM
/COM
/COM,--------- vmr027-cr12b-183 RESULTS COMPARISON-----------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F5.3)
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR11X ',' ECR11Y '
*VFILL,VALUE1(1,1),DATA,SH9
*VFILL,VALUE1(1,2),DATA,R9
*DIM,LABEL2,CHAR,3
LABEL2(1) = 'vmr027-','cr12b-18','3'

/OUT,vmr027-cr12b-183,vrt
/COM
/COM,------------------- vmr027-cr12b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE183
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2),LABEL2(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr12b-183,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-12B 182 Input Listing 		Up / Home Next
VM-R027-12B 281 Input Listing


VM-R027-12B 281 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr12b-281
/TITLE,vmr027-cr12b-281,2D PLANE STRESS-UNIAXIAL DISPLACEMENT PRIMARY-SECONDARY CREEP
/COM,THE COMPARISON IS MADE GRAPHICALLY AND QUANTITATIVELY WITH THE
/COM,RESULTS OF THE TEST 12(B)FROM NAFEMS REPORT R0027.
/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(PRIMARY AND SECONDARY CREEP)***
*SET,C1,0.5E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
*SET,C5,1E-16
*SET,C6,5
*SET,C7,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,11
TBDATA,1,C1,C2,C3,C4,C5,C6
TBDATA,7,C7
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
N,9,50,50
N,10,25,0,0
N,11,75,0,0
N,12,0,25,0
N,13,50,25,0
N,14,100,25,0
N,15,25,50,0
N,16,75,50,0
N,17,0,75,0
N,18,50,75,0
N,19,100,75,0
N,20,25,100,0
N,21,75,100,0
ET,1,SHELL281,,,
R,1,1,1,1,1,
E,1,5,9,8,10,13,15,12
E,5,2,6,9,11,14,16,13
E,9,6,3,7,16,19,21,18
E,8,9,7,4,15,18,20,17
NSEL,S,LOC,X,0
D,ALL,UX,
NSEL,ALL
NSEL,S,LOC,Y,50
NSEL,R,LOC,X,0
D,ALL,UY,
NSEL,ALL
/SOLU
NSEL,S,LOC,X,100
D,ALL,UX,0.1
NSEL,ALL
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,0.10,0.099,0.10
TIME, 0.10
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,1.0,0.99,1.0
TIME, 1.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,5.0,4.99,5.0
TIME, 5.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,10.0,9.99,10.0
TIME, 10.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
/OUTPUT,SCRATCH
OUTRES,ALL,ALL
SOLVE
/OUT
FINISH
/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/GTHK,AXIS,1
/GRTYP,0
/GROPT,DIG1,5
/GROPT,DIG2,3
/GROPT,DIVX,5
/GROPT,DIVY,9
/XRANGE,0,1000
/YRANGE,0,225
ESOL,2,1,,S,X
PLVAR,2
PRVAR,2
/POST1
SET,1,1
*GET,SH1,NODE,3,S,X
R1=SH1/200.0
SET,,,,,,,9
*GET,SH6,NODE,3,S,X
R6=SH6/63.58
SET,,,,,,,14
*GET,SH7,NODE,3,S,X
R7=SH7/57.96
SET,,,,,,,54
*GET,SH8,NODE,3,S,X
R8=SH8/46.20
SET,,,,,,,104
*GET,SH9,NODE,3,S,X
R9=SH9/41.61
*DIM,VALUE,,5,3
*DIM,LABEL,CHAR,10
LABEL(1) = '0','50.0','100.0','500.0','1000.0'
*VFILL,VALUE(1,1),DATA,200.00,63.58,57.96,46.20,41.61
*VFILL,VALUE(1,2),DATA,SH1,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R6,R7,R8,R9
/COM
/COM
/COM,--------- vmr027-cr12b-281 RESULTS COMPARISON-----------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',1F5.3)
FINISH
/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR11X ',' ECR11Y '
*VFILL,VALUE1(1,1),DATA,SH9
*VFILL,VALUE1(1,2),DATA,R9
*DIM,LABEL2,CHAR,3
LABEL2(1) = 'vmr027-','cr12b-28','1'
/OUT,vmr027-cr12b-281,vrt
/COM
/COM,---------------- vmr027-cr12b RESULTS COMPARISON ------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL281
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2),LABEL2(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr027-cr12b-281,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-12B 183 Input Listing 		Up / Home Next
VM-R027-12C 181 Input Listing


VM-R027-12C 181 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr12c-181
/TITLE,vmr027-cr12c-181,2D PLANE STRESS-STEPPED LOAD PRIMARY-SECONDARY CREEP
/COM, REFERENCE: TEST 12(C) FROM NAFEMS REPORT R0027.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(PRIMARY AND SECONDARY CREEP)***
*SET,C1,0.5E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
*SET,C5,1E-16
*SET,C6,5
*SET,C7,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,11
TBDATA,1,C1,C2,C3,C4,C5,C6
TBDATA,7,C7
SAVE
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
N,9,50,50
ET,1,181,,,
R,1,1,1,1,1,
E,1,5,9,8
E,5,2,6,9
E,9,6,3,7
E,8,9,7,4

NSEL,S,LOC,X,0
D,ALL,UX,
NSEL,ALL
NSEL,S,LOC,Y,50
NSEL,R,LOC,X,0
D,ALL,UY,
NSEL,ALL
D,ALL,UZ
D,ALL,ROTX
D,ALL,ROTY

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-100
NSEL,ALL
RATE, ON
TIME, 1.0E-8
/OUT,SCRATCH
SOLVE
/OUT
RATE, ON
TIME,10
/OUT,SCRATCH
SOLVE
/OUT
RATE, ON
TIME,100
/OUT,SCRATCH
SOLVE
/OUT
RATE, ON
TIME,1000
/OUT,SCRATCH
SOLVE
/OUT
RATE,ON
TIME,10000
/OUT,SCRATCH
SOLVE
/OUT

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-110
NSEL,ALL
RATE,ON,ON
DELT,1000,999.999,1000.0001
AUTOS,OFF
OUTRES,ALL,ALL
TIME,11000
/OUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
DELT,1000
AUTOS,OFF
OUTRES,ALL,ALL
TIME,12000
/OUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
DELT,1000
AUTOS,OFF
OUTRES,ALL,ALL
TIME,15000
/OUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
DELT,1000
AUTOS,OFF
OUTRES,ALL,ALL
TIME,20000
/OUT,SCRATCH
SOLVE
/OUT

/POST26
ESOL,2,1,,EPCR,X
PRVAR,2
/AXLAB,Y,CREEP STRAIN
PLVAR,2

/POST1
SET,,,,,,,1
*GET,SH1,NODE,3,EPCR,X
R1=1.0
SET,,,,,,,2
*GET,SH2,NODE,3,EPCR,X
R2=SH2/0.000326
SET,,,,,,,3
*GET,SH3,NODE,3,EPCR,X
R3=SH3/0.00110
SET,,,,,,,4
*GET,SH4,NODE,3,EPCR,X
R4=SH4/0.00416
SET,,,,,,,5
*GET,SH5,NODE,3,EPCR,X
R5=SH5/0.02
SET,,,,,,,6
*GET,SH6,NODE,3,EPCR,X
R6=SH6/0.02240
SET,,,,,,,7
*GET,SH7,NODE,3,EPCR,X
R7=SH7/0.02476
SET,,,,,,,10
*GET,SH8,NODE,3,EPCR,X
R8=SH8/0.03167
SET,,,,,,,15
*GET,SH9,NODE,3,EPCR,X
R9=SH9/0.04278
*DIM,VALUE,,9,3
*DIM,LABEL,CHAR,10
LABEL(1) = '0','10', '100', '1000', '10000', '11000','12000','15000','20000'
*VFILL,VALUE(1,1),DATA,0.0,0.000326,0.00110,0.00416,0.02,0.02240,0.02476,0.03167,0.04278
*VFILL,VALUE(1,2),DATA,SH1,SH2,SH3,SH4,SH5,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9
/COM
/COM
/COM,--------- vmr027-cr12c-181 RESULTS COMPARISON-----------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.6,'   ',F8.6,'   ',1F5.3)
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR11X ',' ECR11Y '
*VFILL,VALUE1(1,1),DATA,SH9
*VFILL,VALUE1(1,2),DATA,R9
*DIM,LABEL2,CHAR,3
LABEL2(1) = 'vmr027-','cr12c-18','1'

/OUT,vmr027-cr12c-181,vrt
/COM
/COM,------------------- vmr027-cr12c RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL181
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2),LABEL2(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr12c-181,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-12B 281 Input Listing 		Up / Home Next
VM-R027-12C 182 Input Listing


VM-R027-12C 182 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr12c-182
/TITLE,vmr027-cr12c-182,2D PLANE STRESS-STEPPED LOAD PRIMARY-SECONDARY CREEP
/COM, REFERENCE: TEST 12(C) FROM NAFEMS REPORT R0027.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(PRIMARY AND SECONDARY CREEP)***
*SET,C1,0.5E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
*SET,C5,1E-16
*SET,C6,5
*SET,C7,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,11
TBDATA,1,C1,C2,C3,C4,C5,C6
TBDATA,7,C7
SAVE
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
N,9,50,50
ET,1,182
KEYOPT,1,1,1
KEYOPT,1,3,0
E,1,5,9,8
E,5,2,6,9
E,9,6,3,7
E,8,9,7,4
NSEL,S,LOC,X,0
D,ALL,UX,
NSEL,ALL
NSEL,S,LOC,Y,50
NSEL,R,LOC,X,0
D,ALL,UY,
NSEL,ALL

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-100
NSEL,ALL
RATE, ON
TIME, 1.0E-8
/OUT,SCRATCH
SOLVE
/OUT
RATE, ON
TIME,10
/OUT,SCRATCH
SOLVE
/OUT
RATE, ON
TIME,100
/OUT,SCRATCH
SOLVE
/OUT
RATE, ON
TIME,1000
/OUT,SCRATCH
SOLVE
/OUT
RATE,ON
TIME,10000
/OUT,SCRATCH
SOLVE
/OUT

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-110
NSEL,ALL
RATE,ON,ON
DELT,1000,999.999,1000.0001
AUTOS,OFF
OUTRES,ALL,ALL
TIME,11000
/OUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
DELT,1000
AUTOS,OFF
OUTRES,ALL,ALL
TIME,12000
/OUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
DELT,1000
AUTOS,OFF
OUTRES,ALL,ALL
TIME,15000
/OUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
DELT,1000
AUTOS,OFF
OUTRES,ALL,ALL
TIME,20000
/OUT,SCRATCH
SOLVE
/OUT

/POST26
ESOL,2,1,,EPCR,X
PRVAR,2
/AXLAB,Y,CREEP STRAIN
PLVAR,2

/POST1
SET,,,,,,,1
*GET,SH1,NODE,3,EPCR,X
R1=1.0
SET,,,,,,,2
*GET,SH2,NODE,3,EPCR,X
R2=SH2/0.000326
SET,,,,,,,3
*GET,SH3,NODE,3,EPCR,X
R3=SH3/0.00110
SET,,,,,,,4
*GET,SH4,NODE,3,EPCR,X
R4=SH4/0.00416
SET,,,,,,,5
*GET,SH5,NODE,3,EPCR,X
R5=SH5/0.02
SET,,,,,,,6
*GET,SH6,NODE,3,EPCR,X
R6=SH6/0.02240
SET,,,,,,,7
*GET,SH7,NODE,3,EPCR,X
R7=SH7/0.02476
SET,,,,,,,10
*GET,SH8,NODE,3,EPCR,X
R8=SH8/0.03167
SET,,,,,,,15
*GET,SH9,NODE,3,EPCR,X
R9=SH9/0.04278
*DIM,VALUE,,9,3
*DIM,LABEL,CHAR,10
LABEL(1) = '0','10', '100', '1000', '10000', '11000','12000','15000','20000'
*VFILL,VALUE(1,1),DATA,0.0,0.000326,0.00110,0.00416,0.02,0.02240,0.02476,0.03167,0.04278
*VFILL,VALUE(1,2),DATA,SH1,SH2,SH3,SH4,SH5,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9
/COM
/COM
/COM,--------- vmr027-cr12c-182 RESULTS COMPARISON-----------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.6,'   ',F8.6,'   ',1F5.3)
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR11X ',' ECR11Y '
*VFILL,VALUE1(1,1),DATA,SH9
*VFILL,VALUE1(1,2),DATA,R9
*DIM,LABEL2,CHAR,3
LABEL2(1) = 'vmr027-','cr12c-18','2'

/OUT,vmr027-cr12c-182,vrt
/COM
/COM,------------------- vmr027-cr12c RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE182
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2),LABEL2(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr12c-182,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-12C 181 Input Listing 		Up / Home Next
VM-R027-12C 183 Input Listing


VM-R027-12C 183 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr12c-183
/TITLE,vmr027-cr12c-183,2D PLANE STRESS-STEPPED LOAD PRIMARY-SECONDARY CREEP
/COM, REFERENCE: TEST 12(C) FROM NAFEMS REPORT R0027.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(PRIMARY AND SECONDARY CREEP)***
*SET,C1,0.5E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
*SET,C5,1E-16
*SET,C6,5
*SET,C7,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,11
TBDATA,1,C1,C2,C3,C4,C5,C6
TBDATA,7,C7
SAVE
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
ET,1,183
KEYOPT,1,3,0
E,1,2,3,4,5,6,7,8
NSEL,S,LOC,X,0
D,ALL,UX,
NSEL,ALL
NSEL,S,LOC,Y,50
NSEL,R,LOC,X,0
D,ALL,UY,
NSEL,ALL

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-100
NSEL,ALL
RATE, ON
TIME, 1.0E-8
/OUT,SCRATCH
SOLVE
/OUT
RATE, ON
TIME,10
/OUT,SCRATCH
SOLVE
/OUT
RATE, ON
TIME,100
/OUT,SCRATCH
SOLVE
/OUT
RATE, ON
TIME,1000
/OUT,SCRATCH
SOLVE
/OUT
RATE,ON
TIME,10000
/OUT,SCRATCH
SOLVE
/OUT

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-110
NSEL,ALL
RATE,ON,ON
DELT,1000,999.999,1000.0001
AUTOS,OFF
OUTRES,ALL,ALL
TIME,11000
/OUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
DELT,1000
AUTOS,OFF
OUTRES,ALL,ALL
TIME,12000
/OUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
DELT,1000
AUTOS,OFF
OUTRES,ALL,ALL
TIME,15000
/OUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
DELT,1000
AUTOS,OFF
OUTRES,ALL,ALL
TIME,20000
/OUT,SCRATCH
SOLVE
/OUT

/POST26
ESOL,2,1,,EPCR,X
PRVAR,2
/AXLAB,Y,CREEP STRAIN
PLVAR,2

/POST1
SET,,,,,,,1
*GET,SH1,NODE,3,EPCR,X
R1=1.0
SET,,,,,,,2
*GET,SH2,NODE,3,EPCR,X
R2=SH2/0.000326
SET,,,,,,,3
*GET,SH3,NODE,3,EPCR,X
R3=SH3/0.00110
SET,,,,,,,4
*GET,SH4,NODE,3,EPCR,X
R4=SH4/0.00416
SET,,,,,,,5
*GET,SH5,NODE,3,EPCR,X
R5=SH5/0.02
SET,,,,,,,6
*GET,SH6,NODE,3,EPCR,X
R6=SH6/0.02240
SET,,,,,,,7
*GET,SH7,NODE,3,EPCR,X
R7=SH7/0.02476
SET,,,,,,,10
*GET,SH8,NODE,3,EPCR,X
R8=SH8/0.03167
SET,,,,,,,15
*GET,SH9,NODE,3,EPCR,X
R9=SH9/0.04278
*DIM,VALUE,,9,3
*DIM,LABEL,CHAR,10
LABEL(1) = '0','10', '100', '1000', '10000', '11000','12000','15000','20000'
*VFILL,VALUE(1,1),DATA,0.0,0.000326,0.00110,0.00416,0.02,0.02240,0.02476,0.03167,0.04278
*VFILL,VALUE(1,2),DATA,SH1,SH2,SH3,SH4,SH5,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9
/COM
/COM
/COM,--------- vmr027-cr12c-183 RESULTS COMPARISON-----------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.6,'   ',F8.6,'   ',1F5.3)
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR11X ',' ECR11Y '
*VFILL,VALUE1(1,1),DATA,SH9
*VFILL,VALUE1(1,2),DATA,R9
*DIM,LABEL2,CHAR,3
LABEL2(1) = 'vmr027-','cr12c-18','3'

/OUT,vmr027-cr12c-183,vrt
/COM
/COM,------------------- vmr027-cr12c RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE183
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2),LABEL2(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr027-cr12c-183,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-12C 182 Input Listing 		Up / Home Next
VM-R027-12C 281 Input Listing


VM-R027-12C 281 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr027-cr12c-281
/TITLE,vmr027-cr12c-281,2D PLANE STRESS-STEPPED LOAD PRIMARY-SECONDARY CREEP
/COM, REFERENCE: TEST 12(C) FROM NAFEMS REPORT R0027.
/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(PRIMARY AND SECONDARY CREEP)***
*SET,C1,0.5E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
*SET,C5,1E-16
*SET,C6,5
*SET,C7,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,11
TBDATA,1,C1,C2,C3,C4,C5,C6
TBDATA,7,C7
SAVE
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
N,9,50,50
N,10,25,0,0
N,11,75,0,0
N,12,0,25,0
N,13,50,25,0
N,14,100,25,0
N,15,25,50,0
N,16,75,50,0
N,17,0,75,0
N,18,50,75,0
N,19,100,75,0
N,20,25,100,0
N,21,75,100,0
ET,1,SHELL281,,,
R,1,1,1,1,1,
E,1,5,9,8,10,13,15,12
E,5,2,6,9,11,14,16,13
E,9,6,3,7,16,19,21,18
E,8,9,7,4,15,18,20,17
NSEL,S,LOC,X,0
D,ALL,UX,
NSEL,ALL
NSEL,S,LOC,Y,50
NSEL,R,LOC,X,0
D,ALL,UY,
NSEL,ALL
D,ALL,UZ
D,ALL,ROTX
D,ALL,ROTY
/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-100
NSEL,ALL
RATE, ON
TIME, 1.0E-8
/OUT,SCRATCH
SOLVE
/OUT
RATE, ON
TIME,10
/OUT,SCRATCH
SOLVE
/OUT
RATE, ON
TIME,100
/OUT,SCRATCH
SOLVE
/OUT
RATE, ON
TIME,1000
/OUT,SCRATCH
SOLVE
/OUT
RATE,ON
TIME,10000
/OUT,SCRATCH
SOLVE
/OUT
/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-110
NSEL,ALL
RATE,ON,ON
DELT,1000,999.999,1000.0001
AUTOS,OFF
OUTRES,ALL,ALL
TIME,11000
/OUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
DELT,1000
AUTOS,OFF
OUTRES,ALL,ALL
TIME,12000
/OUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
DELT,1000
AUTOS,OFF
OUTRES,ALL,ALL
TIME,15000
/OUT,SCRATCH
SOLVE
/OUT
RATE,ON,ON
DELT,1000
AUTOS,OFF
OUTRES,ALL,ALL
TIME,20000
/OUT,SCRATCH
SOLVE
/OUT
/POST26
ESOL,2,1,,EPCR,X
PRVAR,2
/AXLAB,Y,CREEP STRAIN
PLVAR,2
/POST1
SET,,,,,,,1
*GET,SH1,NODE,3,EPCR,X
R1=1.0
SET,,,,,,,2
*GET,SH2,NODE,3,EPCR,X
R2=SH2/0.000326
SET,,,,,,,3
*GET,SH3,NODE,3,EPCR,X
R3=SH3/0.00110
SET,,,,,,,4
*GET,SH4,NODE,3,EPCR,X
R4=SH4/0.00416
SET,,,,,,,5
*GET,SH5,NODE,3,EPCR,X
R5=SH5/0.02
SET,,,,,,,6
*GET,SH6,NODE,3,EPCR,X
R6=SH6/0.02240
SET,,,,,,,7
*GET,SH7,NODE,3,EPCR,X
R7=SH7/0.02476
SET,,,,,,,10
*GET,SH8,NODE,3,EPCR,X
R8=SH8/0.03167
SET,,,,,,,15
*GET,SH9,NODE,3,EPCR,X
R9=SH9/0.04278
*DIM,VALUE,,9,3
*DIM,LABEL,CHAR,10
LABEL(1) = '0','10', '100', '1000', '10000', '11000','12000','15000','20000'
*VFILL,VALUE(1,1),DATA,0.0,0.000326,0.00110,0.00416,0.02,0.02240,0.02476,0.03167,0.04278
*VFILL,VALUE(1,2),DATA,SH1,SH2,SH3,SH4,SH5,SH6,SH7,SH8,SH9
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6,R7,R8,R9
/COM
/COM
/COM,--------- vmr027-cr12c-281 RESULTS COMPARISON-----------
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3)
(1X,A8,'   ',F8.6,'   ',F8.6,'   ',1F5.3)
FINISH
/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR11X ',' ECR11Y '
*VFILL,VALUE1(1,1),DATA,SH9
*VFILL,VALUE1(1,2),DATA,R9
*DIM,LABEL2,CHAR,3
LABEL2(1) = 'vmr027-','cr12c-28','1'
/OUT,vmr027-cr12c-281,vrt
/COM
/COM,---------------- vmr027-cr12c RESULTS COMPARISON ------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL281
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2),LABEL2(3)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr027-cr12c-281,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-12C 183 Input Listing 		Up / Home Next
VM-R029-t1 181 Input Listing


VM-R029-t1 181 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr029-t1-181
/TITLE,vmr029-t1-181,ELASTIC LARGE DEFLECTION RESPONSE OF A Z-SHAPED CANTILEVER UNDER END LOAD
/COM, REFERENCE: NAFEMS GEOMETRIC NONLINEAR BEHAVIOUR OF 3D BEAMS AND SHELLS
/COM, MANUAL TEST 3DNLG-1
/PREP7
MP,EX,1,2.0E5
MP,NUXY,1,0.3
ET,1,SHELL181
SECT,1,SHELL
SECD,1.7
LENGTH = 60.0
THICK = 1.7
WIDTH = 20.0
MY_FORCE  = 2000.0
K,1,0,0,THICK
K,2,0,0,0
K,3,LENGTH,0,0
K,4,LENGTH,0,THICK
K,5,2.0*LENGTH,0,30.0
K,6,2.0*LENGTH,0,30.0+THICK
K,7,3.0*LENGTH,0,30.0
K,8,3.0*LENGTH,0,30.0+THICK
K,9, 0,WIDTH,THICK
K,10,0,WIDTH,0
K,11,LENGTH,WIDTH,0
K,12,LENGTH,WIDTH,THICK
K,13,2.0*LENGTH,WIDTH,30.0
K,14,2.0*LENGTH,WIDTH,30.0+THICK
K,15,3.0*LENGTH,WIDTH,30.0
K,16,3.0*LENGTH,WIDTH,30.0+THICK
V,2,3,11,10,1,4,12,9
V,3,5,13,11,4,6,14,12
V,5,7,15,13,6,8,16,14
ESIZE,10.0
AMESH,6
AMESH,11
AMESH,16
NSEL,S,LOC,X
D,ALL,ALL
NSEL,ALL
NSEL,S,LOC, X,3.0*LENGTH
NSEL,R,LOC, Y,0.0
NSEL,R,LOC, Z,30.0+THICK
F,ALL,FZ,MY_FORCE
NSEL,S,LOC, X,3.0*LENGTH
NSEL,R,LOC, Y,WIDTH
NSEL,R,LOC, Z, 30.0+THICK
F,ALL,FZ,MY_FORCE
NSEL,ALL
FINISH
/SOLU
NLGEOM,ON
NSUB,200
OUTRES,ALL,ALL
SOLVE
FINIH
/POST1
PLNSOL,U,Z
FINISH
/POST26
NUMVAR,20
/GOLIST
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,TIP DEFLECTION
/AXLAB,Y,LOAD
/GTHK,AXIS,1
/GRTYP,0
/GROPT,ASCAL,ON
/GROPT,LOGX,OFF
/GROPT,LOGY,OFF
/GROPT,AXDV,1
/GROPT,AXNM,ON
/GROPT,AXNSC,1,
/GROPT,DIG1,4,
/GROPT,DIG2,3,
/XRANGE,0,150
/YRANGE,0,4000
/GOPR
/OUT,
NSOL,2,43,U,Z
RFORCE,3,10,F,Z,
RFORCE,4,16,F,Z,
RFORCE,5,2 ,F,Z,
ADD,6,3,4,5
PROD,7,6, , , , , ,-1,1,1,
XVAR,2
PLVAR,7
PRVAR,7,2
FINISH
/POST1
SET,LAST
*GET,UY1,NODE,43,U,Z
HF1=UY1/143.43
/GOPR
*STATUS,PARM
FINISH
*DIM,VALUE,,1,3
*DIM,LABEL,CHAR,2
LABEL(1) = 'vmr029-','t1-181'
*VFILL,VALUE(1,1),DATA,4000
*VFILL,VALUE(1,2),DATA,UY1
*VFILL,VALUE(1,3),DATA,HF1
/OUT,vmr029-t1-181,vrt
/COM
/COM,-------------- VMR029-T1 RESULTS COMPARISON--------------
/COM,
/COM,|  LOAD  |      ANSYS      |   RATIO   |      TEST      |
/COM,
/COM,SHELL181
*VWRITE,VALUE(1,1), VALUE(1,2), VALUE(1,3), LABEL(1),LABEL(2)
(1X,F8.2,'     ',F8.2,'      ',F8.2,'      ',A7,A8)
/COM,
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vmr029-t1-181,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R027-12C 281 Input Listing 		Up / Home Next
VM-R029-t1 185 Input Listing


VM-R029-t1 185 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMR029-T1-185
/TITLE,VMR029-T1-185,ELASTIC LARGE DEFLECTION RESPONSE OF A Z-SHAPED CANTILEVER UNDER END LOAD
/COM,REFERENCE NAFEMS 3D BEAMS AND SHELLS MANUAL TEST 3DNLG-1

/PREP7
MP,EX,1,2.0E5
MP,NUXY,1,0.3
ET,1,185
KEYOPT,1,2,2
K,1,
K,2,60.401315561,
K,3,120,30,
K,4,180,30,
K,5,180,31.7,
K,6,119.5986844,31.7,
K,7,60,1.7,
K,8,,1.7
L,1,2
L,2,3
L,3,4
L,4,5
L,5,6
L,6,7
L,7,8
L,8,1
L,2,7
L,3,6
AL,1,9,7,8
AL,2,10,6,9
AL,3,4,5,10
VOFFST,1,-20,
VOFFST,2,-20,
VOFFST,3,-20,
NUMMRG,ALL
LESIZE,9,,,1
LESIZE,1,,,9
LESIZE,17,,,3
LESIZE,2,,,9
LESIZE,3,,,9
LESIZE,10,,,1
LESIZE,25,,,3
MSHKEY,1
TYPE,1 $ MAT,1
VMESH,1,3
NUMMRG,NODE
NUMMRG,ELEM
NUMMRG,KP
ALLSEL,ALL
NSEL,S,LOC,X,0.0
D,ALL,ALL
ALLSEL,ALL
NSEL,S,LOC,X,180.0
NSEL,R,LOC,Y,31.7
F,ALL,FY,1000
ALLS,
FINISH

/SOLU
NLGEOM,ON
TIME,1
NSUBST,20,10000,10
OUTRES,ALL,ALL
SOLVE
FINISH

/POST26
/SHOW,,jpeg
/OUT
*DIM,XA,TABLE,11,1
*DIM,YA,TABLE,11,1
XA(  1,1)= 0
YA(  1,1)= 0
XA(  2,1)= 15
YA(  2,1)= 16
XA(  3,1)= 30
YA(  3,1)= 33
XA(  4,1)= 45
YA(  4,1)= 47.25
XA(  5,1)= 60
YA(  5,1)= 63
XA(  6,1)= 80.43
YA(  6,1)= 104.5
XA(  7,1)= 90
YA(  7,1)= 150
XA(  8,1)= 105
YA(  8,1)= 233.3
XA(  9,1)= 120
YA(  9,1)= 450
XA( 10,1)= 133.1
YA( 10,1)= 1263
XA( 11,1)= 143.4
YA( 11,1)= 4000
/XRANGE,0,150
/YRANGE,0,4000
/AXLAB,X,TIP DISPLACEMENT
/AXLAB,Y,LOAD
/COLOR,CURVE,YGRE
*VPLOT,XA(1,1),YA(1,1)
/NOERASE
NSOL,2,189,U,Y
ADD,3,1,,,APLOAD,,,4000
/COLOR,CURVE,MRED
XVAR,2
PLVAR,3
PRVAR,2,3
FINISH

/POST1
NSEL,S,NODE,,62,80,2
NSEL,A,NODE,,136,152,2
NSEL,A,NODE,,208,224,2
PRNSOL,U,COMP
PRNSOL,S,COMP
NSEL,ALL
SET,LIST
SET,1,25
*GET,UY3,NODE,189,U,Y
HF3=UY3/143.4
*DIM,VALUE,,1,3
*DIM,LABEL,CHAR,3
LABEL(1) = 'vmr029-','t1-185'
*VFILL,VALUE(1,1),DATA,4000.0
*VFILL,VALUE(1,2),DATA,UY3
*VFILL,VALUE(1,3),DATA,HF3
/OUT,vmr029-t1-185,vrt
/COM
/COM,-------------- VMR029-T1 RESULTS COMPARISON--------------
/COM,
/COM,|  LOAD  |      ANSYS      |   RATIO   |      TEST      |
/COM,
/COM,SOLID185
*VWRITE,VALUE(1,1), VALUE(1,2), VALUE(1,3), LABEL(1),LABEL(2)
(1X,F8.2,'     ',F8.2,'      ',F8.2,'      ',A7,A8)
/COM,
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vmr029-t1-185,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R029-t1 181 Input Listing 		Up / Home Next
VM-R029-t1 188 Input Listing


VM-R029-t1 188 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMR029-T1-188
/TITLE,VMR029-T1-188,ELASTIC LARGE DEFLECTION RESPONSE OF A Z-SHAPED CANTILEVER UNDER END LOAD
/COM, REFERENCE: NAFEMS GEOMETRIC NONLINEAR BEHAVIOUR OF 3D BEAMS AND SHELLS
/COM, MANUAL TEST 3DNLG-1

/PREP7
SECN,1
SECT,1,BEAM,RECT
SECD,20,1.7
N,1,0.0
N,7,60.0
N,13,120.0,30.0
N,19,180.0,30.0
FILL,1,7
FILL,7,13
FILL,13,19
N,101,30,30
N,102,120,60
N,103,160,160
ET,1,188
E,1,2,101
E,2,3,101
E,3,4,101
E,4,5,101
E,5,6,101
E,6,7,101
E,7,8,102
E,8,9,102
E,9,10,102
E,10,11,102
E,11,12,102
E,12,13,102
E,13,14,103
E,14,15,103
E,15,16,103
E,16,17,103
E,17,18,103
E,18,19,103
MP,EX,1,2.0E5
MP,NUXY,1,0.3
FINISH

/SOLU
ANTYPE,0
NLGEOM,ON
SOLC,ON
NSUBST,100
D,1,ALL
F,19,FY,4000
OUTRES,ALL,ALL
SOLVE
FINISH

/POST26
/GOLIST
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,TIP DEFLECTION
/AXLAB,Y,LOAD
/GTHK,AXIS,1
/GRTYP,0
/GROPT,ASCAL,ON
/GROPT,LOGX,OFF
/GROPT,LOGY,OFF
/GROPT,AXDV,1
/GROPT,AXNM,ON
/GROPT,AXNSC,1,
/GROPT,DIG1,4,
/GROPT,DIG2,3,
/XRANGE,0,150
/YRANGE,0,4000
/GOPR
/OUT,
NSOL,2,19,U,Y,
RFORCE,3,1,F,Y,
PROD,4,3, , , , , ,-1,1,1,
XVAR,2
/SHOW,,jpeg
PLVAR,4
PRVAR,4,2
FINISH

/POST1
SET,1,18
*GET,UY1,NODE,19,U,Y
HF1=UY1/143.43
*DIM,VALUE,,1,3
*DIM,LABEL,CHAR,2
LABEL(1) = 'vmr029-','t1-188'
*VFILL,VALUE(1,1),DATA,4000.0
*VFILL,VALUE(1,2),DATA,UY1
*VFILL,VALUE(1,3),DATA,HF1
/OUT,vmr029-t1-188,vrt
/COM
/COM,-------------- VMR029-T1 RESULTS COMPARISON--------------
/COM,
/COM,|  LOAD  |      ANSYS      |   RATIO   |      TEST      |
/COM,
/COM,BEAM188
*VWRITE,VALUE(1,1), VALUE(1,2), VALUE(1,3), LABEL(1),LABEL(2)
(1X,F8.2,'     ',F8.2,'      ',F8.2,'      ',A7,A8)
/COM,
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vmr029-t1-188,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R029-t1 185 Input Listing 		Up / Home Next
VM-R029-t1 189 Input Listing


VM-R029-t1 189 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMR029-T1-189
/TITLE,VMR029-T1-189,ELASTIC LARGE DEFLECTION RESPONSE OF A Z-SHAPED CANTILEVER UNDER END LOAD
/COM, REFERENCE: NAFEMS 3D BEAMS AND SHELL MANUAL TEST 3DNLG-1

/PREP7
SECN,1
SECT,1,BEAM,RECT
SECD,20,1.7
N,1,0.0
N,7,60.0
N,13,120.0,30.0
N,19,180.0,30.0
FILL,1,7
FILL,7,13
FILL,13,19
N,101,30,30
N,102,120,60
N,103,160,160
ET,1,189
E,1,3,2,101
E,3,5,4,101
E,5,7,6,101
E,7,9,8,102
E,9,11,10,102
E,11,13,12,102
E,13,15,14,103
E,15,17,16,103
E,16,19,18,103
MP,EX,1,2.0E5
MP,NUXY,1,0.3
FINISH

/SOLU
ANTYPE,0
NLGEOM,ON
SOLC,ON
NSUBST,100
D,1,ALL
F,19,FY,4000.0
OUTRES,ALL,ALL
SOLVE
FINISH

/POST26
/GOLIST
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,TIP DEFLECTION
/AXLAB,Y,LOAD
/GTHK,AXIS,1
/GRTYP,0
/GROPT,ASCAL,ON
/GROPT,LOGX,OFF
/GROPT,LOGY,OFF
/GROPT,AXDV,1
/GROPT,AXNM,ON
/GROPT,AXNSC,1,
/GROPT,DIG1,4,
/GROPT,DIG2,3,
/XRANGE,0,150
/YRANGE,0,4000
/GOPR
/OUT,
NSOL,2,19,U,Y,
RFORCE,3,1,F,Y,
PROD,4,3, , , , , ,-1,1,1,
XVAR,2
/SHOW,,jpeg
PLVAR,4
PRVAR,4,2

/POST1
SET,1,18
*GET,UY3,NODE,19,U,Y
HF3=UY3/143.4
*DIM,VALUE,,1,3
*DIM,LABEL,CHAR,3
LABEL(1) = 'vmr029-','t1-189'
*VFILL,VALUE(1,1),DATA,4000.0
*VFILL,VALUE(1,2),DATA,UY3
*VFILL,VALUE(1,3),DATA,HF3
/OUT,vmr029-t1-189,vrt
/COM
/COM,-------------- VMR029-T1 RESULTS COMPARISON--------------
/COM,
/COM,|  LOAD  |      ANSYS      |   RATIO   |      TEST      |
/COM,
/COM,BEAM189
*VWRITE,VALUE(1,1), VALUE(1,2), VALUE(1,3), LABEL(1),LABEL(2)
(1X,F8.2,'     ',F8.2,'      ',F8.2,'      ',A7,A8)
/COM,
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vmr029-t1-189,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R029-t1 188 Input Listing 		Up / Home Next
VM-R029-t1 190 Input Listing


VM-R029-t1 190 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr029-t1-190
/TITLE,vmr029-t1-190,ELASTIC LARGE DEFLECTION RESPONSE OF A Z-SHAPED CANTILEVER UNDER END LOAD
/COM, REFERENCE: NAFEMS GEOMETRIC NONLINEAR BEHAVIOUR OF 3D BEAMS AND SHELLS
/COM, MANUAL TEST 3DNLG-1

/PREP7
MP,EX,1,2.0E5
MP,NUXY,1,0.3
ET,1,190,,0
KEYOPT,1,8,1
LENGTH = 60.0
THICK = 1.7
WIDTH = 20.0
MY_FORCE  = 2000.0
K,1,0,0,THICK
K,2,0,0,0
k,3,LENGTH,0,0
k,4,LENGTH,0,THICK
K,5,2.0*LENGTH,0,30.0
K,6,2.0*LENGTH,0,30.0+THICK
K,7,3.0*LENGTH,0,30.0
K,8,3.0*LENGTH,0,30.0+THICK
K,9, 0,WIDTH,THICK
K,10,0,WIDTH,0
K,11,LENGTH,WIDTH,0
K,12,LENGTH,WIDTH,THICK
K,13,2.0*LENGTH,WIDTH,30.0
K,14,2.0*LENGTH,WIDTH,30.0+THICK
K,15,3.0*LENGTH,WIDTH,30.0
K,16,3.0*LENGTH,WIDTH,30.0+THICK
V,2,3,11,10,1,4,12,9
V,3,5,13,11,4,6,14,12
V,5,7,15,13,6,8,16,14
VEORIENT,1,THIN
VEORIENT,2,THIN
VEORIENT,3,THIN
ESIZE,10.0
VMESH,1
VMESH,2
VMESH,3
NSEL,S,LOC,X
D,ALL,ALL
NSEL,ALL
NSEL,S,LOC, X,3.0*LENGTH
NSEL,R,LOC, Y,0.0
NSEL,R,LOC, Z,30.0+THICK
F,ALL,FZ,MY_FORCE
NSEL,S,LOC, X,3.0*LENGTH
NSEL,R,LOC, Y,WIDTH
NSEL,R,LOC, Z, 30.0+THICK
F,ALL,FZ,MY_FORCE
NSEL,ALL
FINI

/SOLU
NLGEOM,ON
NSUB,200
OUTRES,ALL,ALL
SOLVE
FINI

/POST26
NUMVAR,20
/GOLIST
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,TIP DEFLECTION
/AXLAB,Y,LOAD
/GTHK,AXIS,1
/GRTYP,0
/GROPT,ASCAL,ON
/GROPT,LOGX,OFF
/GROPT,LOGY,OFF
/GROPT,AXDV,1
/GROPT,AXNM,ON
/GROPT,AXNSC,1,
/GROPT,DIG1,4,
/GROPT,DIG2,3,
/XRANGE,0,150
/YRANGE,0,4000
/GOPR
/OUT,
NSOL,2,85,U,Z
RFORCE,3,1,F,Z,
RFORCE,4,10,F,Z,
RFORCE,5,16,F,Z,
RFORCE,6,23,F,Z,
RFORCE,7,31,F,Z,
RFORCE,8,37,F,Z,
ADD,9,3,4,5
ADD,10,6,7,8
ADD,11,9,10
PROD,12,11, , , , , ,-1,1,1,
XVAR,2
/SHOW,,jpeg
PLVAR,12
PRVAR,12,2
FINISH

/POST1
SET,LIST,2
SET,1,26
*GET,UY1,NODE,85,U,Z
HF1=UY1/143.43
/GOPR
*STATUS,PARM
FINISH
*DIM,VALUE,,1,3
*DIM,LABEL,CHAR,2
LABEL(1) = 'vmr029-','t1-190'
*VFILL,VALUE(1,1),DATA,4000
*VFILL,VALUE(1,2),DATA,UY1
*VFILL,VALUE(1,3),DATA,HF1
/OUT,vmr029-t1-190,vrt
/COM
/COM,-------------- VMR029-T1 RESULTS COMPARISON--------------
/COM,
/COM,|  LOAD  |      ANSYS      |   RATIO   |      TEST      |
/COM,
/COM,SOLSH190
*VWRITE,VALUE(1,1), VALUE(1,2), VALUE(1,3), LABEL(1),LABEL(2)
(1X,F8.2,'     ',F8.2,'      ',F8.2,'      ',A7,A8)
/COM,
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vmr029-t1-190,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R029-t1 189 Input Listing 		Up / Home Next
VM-R029-t1 281 Input Listing


VM-R029-t1 281 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr029-t1-281
/TITLE,vmr029-t1-281,ELASTIC LARGE DEFLECTION RESPONSE OF A Z-SHAPED CANTILEVER UNDER END LOAD
/COM, REFERENCE: NAFEMS GEOMETRIC NONLINEAR BEHAVIOUR OF 3D BEAMS AND SHELLS
/COM, MANUAL TEST 3DNLG-1
/PREP7
MP,EX,1,2.0E5
MP,NUXY,1,0.3
ET,1,SHELL281
SECT,1,SHELL
SECD,1.7
LENGTH = 60.0
THICK = 1.7
WIDTH = 20.0
MY_FORCE  = 2000.0
K,1,0,0,THICK
K,2,0,0,0
K,3,LENGTH,0,0
K,4,LENGTH,0,THICK
K,5,2.0*LENGTH,0,30.0
K,6,2.0*LENGTH,0,30.0+THICK
K,7,3.0*LENGTH,0,30.0
K,8,3.0*LENGTH,0,30.0+THICK
K,9, 0,WIDTH,THICK
K,10,0,WIDTH,0
K,11,LENGTH,WIDTH,0
K,12,LENGTH,WIDTH,THICK
K,13,2.0*LENGTH,WIDTH,30.0
K,14,2.0*LENGTH,WIDTH,30.0+THICK
K,15,3.0*LENGTH,WIDTH,30.0
K,16,3.0*LENGTH,WIDTH,30.0+THICK
V,2,3,11,10,1,4,12,9
V,3,5,13,11,4,6,14,12
V,5,7,15,13,6,8,16,14
ESIZE,10.0
AMESH,6
AMESH,11
AMESH,16
NSEL,S,LOC,X
D,ALL,ALL
NSEL,ALL
NSEL,S,LOC, X,3.0*LENGTH
NSEL,R,LOC, Y,0.0
NSEL,R,LOC, Z,30.0+THICK
F,ALL,FZ,MY_FORCE
NSEL,S,LOC, X,3.0*LENGTH
NSEL,R,LOC, Y,WIDTH
NSEL,R,LOC, Z, 30.0+THICK
F,ALL,FZ,MY_FORCE
NSEL,ALL
FINISH
/SOLU
NLGEOM,ON
NSUB,200
OUTRES,ALL,ALL
SOLVE
FINI
/POST1
PLNSOL,U,Z
/POST26
NUMVAR,20
/GOLIST
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,TIP DEFLECTION
/AXLAB,Y,LOAD
/GTHK,AXIS,1
/GRTYP,0
/GROPT,ASCAL,ON
/GROPT,LOGX,OFF
/GROPT,LOGY,OFF
/GROPT,AXDV,1
/GROPT,AXNM,ON
/GROPT,AXNSC,1,
/GROPT,DIG1,4,
/GROPT,DIG2,3,
/XRANGE,0,150
/YRANGE,0,4000
/GOPR
/OUT,
NSOL,2,110,U,Z
RFORCE,3,2,F,Z
RFORCE,4,32,F,Z
RFORCE,5,31,F,Z
RFORCE,6,30,F,Z
RFORCE,7,18,F,Z
ADD,8,3,4,5
ADD,9,6,7
ADD,10,8,9
PROD,11,10, , , , , ,-1,1,1,
XVAR,2
PLVAR,11
PRVAR,11,2
FINISH
/POST1
SET,LAST
*GET,UY1,NODE,110,U,Z
HF1=UY1/143.43
/GOPR
*STATUS,PARM
FINISH
*DIM,VALUE,,1,3
*DIM,LABEL,CHAR,2
LABEL(1) = 'vmr029-','t1-281'
*VFILL,VALUE(1,1),DATA,4000
*VFILL,VALUE(1,2),DATA,UY1
*VFILL,VALUE(1,3),DATA,HF1
/OUT,vmr029-t1-281,vrt
/COM
/COM,-------------- VMR029-T1 RESULTS COMPARISON--------------
/COM,
/COM,|  LOAD  |      ANSYS      |   RATIO   |      TEST      |
/COM,
/COM,SHELL281
*VWRITE,VALUE(1,1), VALUE(1,2), VALUE(1,3), LABEL(1),LABEL(2)
(1X,F8.2,'     ',F8.2,'      ',F8.2,'      ',A7,A8)
/COM,
/COM,----------------------------------------------------------
/OUT
FINISH
*LIST,vmr029-t1-281,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R029-t1 190 Input Listing 		Up / Home Next
VM-R029-t4 181 Input Listing


VM-R029-t4 181 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMR029-T4-181
/TITLE,VMR029-T4-181,LATERAL-TORSIONAL BUCKLING OF AN ELASTIC CANTILEVER SUBJECTED TO TRANSVERSE END LOAD
/COM,REFERENCE NAFEMS 3D BEAMS AND SHELLS MANUAL TEST 3DNLG-4
/FILNAME,vmr029-t4-181
/PREP7
ET,  1,SHELL181,,,2
R,1,0.2,0.2,0.2,0.2
MP,EX,1,1E4
MP,NUXY,1,0
MP,GXY,1,5000
BLOCK,0,100,0,5,0,5
LSEL,S,LINE,,9,10
LESIZE,ALL, , ,6
LSEL,S,LINE,,4,5
LESIZE,ALL, , ,10
TYPE,1
REAL,1
MAT,1
AMESH,3
NSEL,S,LOC,X,0
D,ALL,ALL
NSEL,S,LOC,X,100
NSEL,R,LOC,Z,2.5
*GET,NTIP,NODE,0,NUM,MAX
NSEL,S,LOC,X,100
NSEL,R,LOC,Z,0
*GET,ND1,NODE,0,NUM,MAX
NSEL,S,LOC,X,100
NSEL,R,LOC,Z,5
*GET,ND2,NODE,0,NUM,MAX
ALLSEL,ALL
F,NTIP,FZ,-1
ALLSEL,ALL
FINISH
/SOLU
PSTRES,ON
EQSLV,SPARSE
SOLVE
FINISH
/SOLU
ANTYPE,BUCKLE
OUTRES,ALL,ALL
BUCOPT,LANB,4
SOLVE
FINISH
/SOLU
EXPASS,ON
MXPAND,4,,,YES
OUTRES,ALL,ALL
SOLVE
FINISH
/PREP7
UPGEOM,0.001/4,1,1,vmr029-t4-181,rst
NSEL,S,NODE,,ND1
NSEL,A,NODE,,ND2
NLIST
NSEL,ALL
FINISH
/SOLU
ANTYPE,STATIC
OUTRES,ALL,ALL
NLGEOM,ON
ARCLEN,ON,25,0.0001
ARCTRM,U,1.0,NTIP,UY
NSUBST,10000
SOLVE
FINISH
/POST26
NSOL,2,NTIP,U,Y,TIPDISP
ADD,3,1,,,APLOAD,,,1,
/XRANGE,0,0.06
/YRANGE,0,0.02
/GROPT,DIVX,6
/AXLAB,X,TIP LATERAL DISP
/AXLAB,Y,LOAD
/COLOR,CURVE,YGRE
XVAR,2
PLVAR,3
PRVAR,2,4
/POST1
SET,1,12
*GET,APLOAD,TIME
R=APLOAD/0.01892
*DIM,VALUE,,1,3
*DIM,LABEL,CHAR,3
LABEL(1) = 'PCR','vmr029-','t4-181'
*VFILL,VALUE(1,1),DATA,APLOAD
*VFILL,VALUE(1,2),DATA,R
/OUT,vmr029-t4-181,vrt
/COM
/COM,-------------- VMR029-T4 RESULTS COMPARISON ---------------
/COM,
/COM,         |   ANSYS   |   RATIO   |      TEST      |
/COM,
/COM,SHELL181
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2),LABEL(2),LABEL(3)
(1X,' ',A4,'       ',F6.5,'      ',F6.4,'      ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr029-t4-181,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R029-t1 281 Input Listing 		Up / Home Next
VM-R029-t4 185 Input Listing


VM-R029-t4 185 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMR029-T4-185
/TITLE,VMR029-T4-185,LATERAL-TORSIONAL BUCKLING OF AN ELASTIC CANTILEVER SUBJECTED TO TRANSVERSE END LOAD
/COM,REFERENCE: NAFEMS 3D BEAMS AND SHELLS MANUAL TEST 3DNLG-4

/FILENAME,vmr029-t4-185
/PREP7
MP,EX,1,1.0E4
MP,NUXY,1,0.0
ET,1,185
KEYOPT,1,2,2
K,1,
K,2,100,
K,3,100,0.2
K,4,,0.2
L,1,2
L,2,3
L,3,4
L,4,1
AL,1,2,3,4
VOFFST,1,-5
LESIZE,1,,,40
LESIZE,2,,,2
LESIZE,11,,,4
MSHKEY,1
TYPE,1 $ MAT,1
VMESH,1
NSEL,S,LOC,X,0.0
D,ALL,ALL
ALLSEL,ALL
F,374,FZ,1.0
ALLSEL,ALL
FINISH

/SOLU
PSTRES,ON
EQSLV,SPARSE
SOLVE
FINISH

/SOLU
ANTYPE,BUCKLE
OUTRES,ALL,ALL
BUCOPT,LANB,4,
SOLVE
FINISH

/SOLU
EXPASS,ON
MXPAND,4,,,YES
OUTRES,ALL,ALL
SOLVE
FINISH

/PREP7
UPGEOM,0.001/4,1,1,vmr029-t4-185,rst
FINISH

/SOLU
ANTYPE,STATIC
OUTRES,ALL,ALL
NLGEOM,ON
ARCLEN,ON,25,0.0001
ARCTRM,U,1.0,374,UY
NSUBST,10000
SOLVE
FINISH

/POST26
/SHOW,,jpeg
NSOL,2,374,U,Y,TIPDISP
ADD,3,1,,,APLOAD,,,1,
/XRANGE,0,0.06
/YRANGE,0,0.020
/GROPT,DIVX,6
/AXLAB,X,TIP LATERAL DISP
/AXLAB,Y,LOAD
/COLOR,CURVE,YGRE
XVAR,2
PLVAR,3
PRVAR,2,3

/POST1
SET,1,11
*GET,APLOAD,TIME
R=APLOAD/0.01892
*DIM,VALUE,,1,3
*DIM,LABEL,CHAR,3
LABEL(1) = 'PCR','vmr029-','t4-185'
*VFILL,VALUE(1,1),DATA,APLOAD
*VFILL,VALUE(1,2),DATA,R
/OUT,vmr029-t4-185,vrt
/COM
/COM,-------------- VMR029-T4 RESULTS COMPARISON ---------------
/COM,
/COM,         |   ANSYS   |   RATIO   |      TEST      |
/COM,
/COM,SOLID185
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2),LABEL(2),LABEL(3)
(1X,' ',A4,'       ',F6.5,'      ',F6.4,'      ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr029-t4-185,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R029-t4 181 Input Listing 		Up / Home Next
VM-R029-t4 188 Input Listing


VM-R029-t4 188 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMR029-T4-188
/TITLE,VMR029-T4-188,LATERAL-TORSIONAL BUCKLING OF AN ELASTIC CANTILEVER SUBJECTED TO TRANSVERSE END LOAD
/COM, REFERENCE NAFEMS 3D BEAMS AND SHELLS MANUAL TEST 3DNLG-4
/FILENAME,vmr029-t4-188

/PREP7
MP,EX,1,1E4
MP,NUXY,1,0
MP,GXY,1,5000
ET,1,188
SECT,1,BEAM,RECT
SECD,.2,5.0
N,1
N,2,10
N,3,20
N,4,30
N,5,40
N,6,50
N,7,60
N,8,70
N,9,80
N,10,90
N,11,100
N,101 , 50,50
TYPE,1
MAT,1
SECN,1
E,1,2,101
E,2,3,101
E,3,4,101
E,4,5,101
E,5,6,101
E,6,7,101
E,7,8,101
E,8,9,101
E,9,10,101
E,10,11,101
NSEL,S,LOC,X,100
*GET,NTIP,NODE,0,NUM,MAX
NSEL,ALL
D,1,ALL
F,NTIP,FY,1.0
FINISH

/SOLU
PSTRES,ON
SOLVE
FINISH

/SOLU
ANTYPE,BUCKLE
OUTRES,ALL,ALL
BUCOPT,LANB,4
SOLVE
FINISH

/SOLU
EXPASS,ON
MXPAND,4,,,YES
OUTRES,ALL,ALL
SOLVE
FINISH

/PREP7
UPGEOM,0.001/3,1,1,vmr029-t4-188,rst
FINISH

/SOLU
ANTYPE,STATIC
OUTRES,ALL,ALL
NLGEOM,ON
ARCLEN,ON,25,0.0001
ARCTRM,U,1.0,NTIP,UZ
NSUBST,10000
SOLVE
FINISH

/POST26
/SHOW,,jpeg
NSOL,2,NTIP,U,Z,TIPDISP
ADD,3,1,,,APLOAD,,,1,
/XRANGE,0,0.06
/YRANGE,0,0.02
/GROPT,DIVX,6
/AXLAB,X,TIP LATERAL DISP
/AXLAB,Y,LOAD
/COLOR,CURVE,YGRE
XVAR,2
PLVAR,3
PRVAR,2,4

/POST1
SET,1,12
*GET,APLOAD,TIME
R=APLOAD/0.01892
*DIM,VALUE,,1,3
*DIM,LABEL,CHAR,3
LABEL(1) = 'PCR','vmr029-','t4-188'
*VFILL,VALUE(1,1),DATA,APLOAD
*VFILL,VALUE(1,2),DATA,R
/OUT,vmr029-t4-188,vrt
/COM
/COM,-------------- VMR029-T4 RESULTS COMPARISON ---------------
/COM,
/COM,         |   ANSYS   |   RATIO   |      TEST      |
/COM,
/COM,BEAM188
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2),LABEL(2),LABEL(3)
(1X,' ',A4,'       ',F6.5,'      ',F6.4,'      ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr029-t4-188,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R029-t4 185 Input Listing 		Up / Home Next
VM-R029-t4 189 Input Listing


VM-R029-t4 189 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMR029-T4-189
/TITLE,VMR029-T4-189,LATERAL-TORSIONAL BUCKLING OF AN ELASTIC CANTILEVER SUBJECTED TO TRANSVERSE END LOAD
/COM,REFERENCE NAFEMS 3D BEAMS AND SHELLS MANUAL TEST 3DNLG-4
/FILNAME,vmr029-t4-189

/PREP7
MP,EX,1,1E4
MP,NUXY,1,0
MP,GXY,1,5000
ET,1,189
SECT,1,BEAM,RECT
SECD,.2,5.0
N,1
N,2,10
N,3,20
N,4,30
N,5,40
N,6,50
N,7,60
N,8,70
N,9,80
N,10,90
N,11,100
N,101,50,50
TYPE,1
MAT,1
SECN,1
E,1,3,2,101
E,3,5,4,101
E,5,7,6,101
E,7,9,8,101
E,9,11,10,101
NSEL,S,LOC,X,100
*GET,NTIP,NODE,0,NUM,MAX
NSEL,ALL
D,1,ALL
F,NTIP,FY,1.0
FINISH

/SOLU
PSTRES,ON
SOLVE
FINISH

/SOLU
ANTYPE,BUCKLE
OUTRES,ALL,ALL
BUCOPT,LANB,4
SOLVE
FINISH

/SOLU
EXPASS,ON
MXPAND,4,,,YES
OUTRES,ALL,ALL
SOLVE
FINISH

/PREP7
UPGEOM,0.001/3,1,1,vmr029-t4-189,rst
FINISH

/SOLU
ANTYPE,STATIC
OUTRES,ALL,ALL
NLGEOM,ON
ARCLEN,ON,25,0.0001
ARCTRM,U,1.0,NTIP,UZ
NSUBST,10000
SOLVE
FINISH

/POST26
/SHOW,,jpeg
NSOL,2,NTIP,U,Z,TIPDISP
ADD,3,1,,,APLOAD,,,1,
/XRANGE,0,0.06
/YRANGE,0,0.02
/GROPT,DIVX,6
/AXLAB,X,TIP LATERAL DISP
/AXLAB,Y,LOAD
/COLOR,CURVE,YGRE
XVAR,2
PLVAR,3
PRVAR,2,4

/POST1
SET,1,12
*GET,APLOAD,TIME
R=APLOAD/0.01892
*DIM,VALUE,,1,3
*DIM,LABEL,CHAR,3
LABEL(1) = 'PCR','vmr029-','t4-189'
*VFILL,VALUE(1,1),DATA,APLOAD
*VFILL,VALUE(1,2),DATA,R
/OUT,vmr029-t4-189,vrt
/COM
/COM,-------------- VMR029-T4 RESULTS COMPARISON ---------------
/COM,
/COM,         |   ANSYS   |   RATIO   |      TEST      |
/COM,
/COM,BEAM189
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2),LABEL(2),LABEL(3)
(1X,' ',A4,'       ',F6.5,'      ',F6.4,'      ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr029-t4-189,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R029-t4 188 Input Listing 		Up / Home Next
VM-R029-t4 190 Input Listing


VM-R029-t4 190 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMR029-T4-190
/TITLE,VMR029-T4-190,LATERAL-TORSIONAL BUCKLING OF AN ELASTIC CANTILEVER SUBJECTED TO TRANSVERSE END LOAD
/COM,REFERENCE NAFEMS 3D BEAMS AND SHELLS MANUAL TEST 3DNLG-4

/FILENAME,vmr029-t4-190
/PREP7
MP,EX,1,1.0E4
MP,NUXY,1,0.0
ET,1,190
K,1,
K,2,100,
K,3,100,0.2
K,4,,0.2
L,1,2
L,2,3
L,3,4
L,4,1
AL,1,2,3,4
VOFFST,1,-5
LESIZE,1,,,40
LESIZE,2,,,2
LESIZE,11,,,4
MSHKEY,1
TYPE,1 $ MAT,1
VMESH,1
NSEL,S,LOC,X,0.0
D,ALL,ALL
ALLSEL,ALL
F,374,FZ,1.0
ALLSEL,ALL
FINISH

/SOLU
PSTRES,ON
EQSLV,SPARSE
SOLVE
FINISH

/SOLU
ANTYPE,BUCKLE
OUTRES,ALL,ALL
BUCOPT,LANB,4,
SOLVE
FINISH

/SOLU
EXPASS,ON
MXPAND,4,,,YES
OUTRES,ALL,ALL
SOLVE
FINISH

/PREP7
UPGEOM,0.001/4,1,1,vmr029-t4-190,rst
FINISH

/SOLU
ANTYPE,STATIC
OUTRES,ALL,ALL
NLGEOM,ON
ARCLEN,ON,25,0.0001
ARCTRM,U,1.0,374,UY
NSUBST,10000
SOLVE
FINISH

/POST26
/SHOW,,jpeg
NSOL,2,374,U,Y,TIPDISP
ADD,3,1,,,APLOAD,,,1,
/XRANGE,0,0.06
/YRANGE,0,0.020
/GROPT,DIVX,6
/AXLAB,X,TIP LATERAL DISP
/AXLAB,Y,LOAD
/COLOR,CURVE,YGRE
XVAR,2
PLVAR,3
PRVAR,2,3

/POST1
SET,1,11
*GET,APLOAD,TIME
R=APLOAD/0.01892
*DIM,VALUE,,1,3
*DIM,LABEL,CHAR,3
LABEL(1) = 'PCR','vmr029-','t4-190'
*VFILL,VALUE(1,1),DATA,APLOAD
*VFILL,VALUE(1,2),DATA,R
/OUT,vmr029-t4-190,vrt
/COM
/COM,-------------- VMR029-T4 RESULTS COMPARISON ---------------
/COM,
/COM,         |   ANSYS   |   RATIO   |      TEST      |
/COM,
/COM,SOLSH190
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2),LABEL(2),LABEL(3)
(1X,' ',A4,'       ',F6.5,'      ',F6.4,'      ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr029-t4-190,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R029-t4 189 Input Listing 		Up / Home Next
VM-R029-t4 281 Input Listing


VM-R029-t4 281 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMR029-T4-281
/TITLE,VMR029-T4-281,LATERAL-TORSIONAL BUCKLING OF AN ELASTIC CANTILEVER SUBJECTED TO TRANSVERSE END LOAD
/COM,REFERENCE NAFEMS 3D BEAMS AND SHELLS MANUAL TEST 3DNLG-4
/FILNAME,vmr029-t4-281
/PREP7
ET,  1,281,,,2
R,1,0.2,0.2,0.2,0.2
MP,EX,1,1E4
MP,NUXY,1,0
MP,GXY,1,5000
BLOCK,0,100,0,5,0,5
LSEL,S,LINE,,9,10
LESIZE,ALL, , ,6
LSEL,S,LINE,,4,5
LESIZE,ALL, , ,10
TYPE,1
REAL,1
MAT,1
AMESH,3
NSEL,S,LOC,X,0
D,ALL,ALL
NSEL,S,LOC,X,100
NSEL,R,LOC,Z,2.5
*GET,NTIP,NODE,0,NUM,MAX
NSEL,S,LOC,X,100
NSEL,R,LOC,Z,0
*GET,ND1,NODE,0,NUM,MAX
NSEL,S,LOC,X,100
NSEL,R,LOC,Z,5
*GET,ND2,NODE,0,NUM,MAX
ALLSEL,ALL
F,NTIP,FZ,-1
ALLSEL,ALL
FINISH
/SOLU
PSTRES,ON
EQSLV,SPARSE
SOLVE
FINISH
/SOLU
ANTYPE,BUCKLE
OUTRES,ALL,ALL
BUCOPT,LANB,4
SOLVE
FINISH
/SOLU
EXPASS,ON
MXPAND,4,,,YES
OUTRES,ALL,ALL
SOLVE
FINISH
/PREP7
UPGEOM,0.0015,1,1,vmr029-t4-281,rst
NSEL,S,NODE,,ND1
NSEL,A,NODE,,ND2
NLIST
NSEL,ALL
FINISH
/SOLU
ANTYPE,STATIC
OUTRES,ALL,ALL
NLGEOM,ON
ARCLEN,ON,25,0.0001
ARCTRM,U,1.0,NTIP,UY
NSUBST,10000
SOLVE
FINISH
/POST26
NSOL,2,NTIP,U,Y,TIPDISP
ADD,3,1,,,APLOAD,,,1,
/XRANGE,0,0.06
/YRANGE,0,0.02
/GROPT,DIVX,6
/AXLAB,X,TIP LATERAL DISP
/AXLAB,Y,LOAD
/COLOR,CURVE,YGRE
XVAR,2
PLVAR,3
PRVAR,2,4
FINISH
/POST1
SET,1,12
*GET,APLOAD,TIME
R=APLOAD/0.01892
*DIM,VALUE,,1,3
*DIM,LABEL,CHAR,3
LABEL(1) = 'PCR','vmr029-','t4-281'
*VFILL,VALUE(1,1),DATA,APLOAD
*VFILL,VALUE(1,2),DATA,R
/OUT,vmr029-t4-281,vrt
/COM
/COM,-------------- VMR029-T4 RESULTS COMPARISON ---------------
/COM,
/COM,         |   ANSYS   |   RATIO   |      TEST      |
/COM,
/COM,SHELL281
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2),LABEL(2),LABEL(3)
(1X,' ',A4,'       ',F6.5,'      ',F6.4,'      ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr029-t4-281,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R029-t4 190 Input Listing 		Up / Home Next
VM-R029-t5 185 Input Listing


VM-R029-t5 185 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMR029-T5-185
/TITLE,VMR029-T5-185, LARGE DEFLECTION OF A CURVED ELASTIC CANTILEVER UNDER TRANSVERSE END LOAD
/COM,REFERENCE NAFEMS 3D BEAMS AND SHELLS MANUAL TEST 3DNLG-5

/PREP7
W=1.0
H=1.0
R=100
THETA=45
F=3000.0
ET,1,185
KEYOPT,1,2,2
MP,EX,1,1E7
MP,NUXY,1,0.3
K,1,0,-H/2,-W/2
K,2,0,-H/2,W/2
K,3,0,H/2,W/2
K,4,0,H/2,-W/2
K,5,0,0,R
K,6,0,1,R
A,1,2,3,4
VROTAT,ALL, , , , , ,5,6,-45, ,
LESIZE,ALL,,,1
LESIZE,9,,,16
LESIZE,10,,,16
LESIZE,11,,,16
LESIZE,12,,,16
VMESH,ALL
NSEL,S,LOC,X,0
D,ALL,ALL
NSEL,S,LOC,Z,28.5,30
F,ALL,FY,750
ALLSEL,ALL
ESEL,S,,,1
ESEL,A,,,4
ESEL,A,,,16
CM,ELESOL,ELEM
ALLSEL,ALL
FINISH

/SOLVE
NLGEOM,ON
AUTOTS,ON
NSUBST,100,100000,10
OUTRES,ALL,ALL
SOLVE
FINISH
/SHOW,,jpeg

/POST26
*DIM,XUX,TABLE,11,1
*DIM,YUX,TABLE,11,1
XUX(1,1)= 0
YUX(1,1)= 0
XUX(2,1)= 300
YUX(2,1)= -7.14
XUX(3,1)= 600
YUX(3,1)= -13.68
XUX(4,1)= 900
YUX(4,1)= -18
XUX(5,1)= 1200
YUX(5,1)= -20.5
XUX(6,1)= 1500
YUX(6,1)= -21.5
XUX(7,1)= 1800
YUX(7,1)= -22.8
XUX(8,1)= 2100
YUX(8,1)= -23.7
XUX(9,1)= 2400
YUX(9,1)= -24.4
XUX(10,1)= 2700
YUX(10,1)= -24.6
XUX(11,1)= 3000
YUX(11,1)= -25

/XRANGE,0,3000
/YRANGE,-60,90
/AXLAB,X,LOAD
/AXLAB,Y,TIP DISPLACEMENT
/COLOR,CURVE,YGRE
/GCOLUMN,1,'  X_REF'
*VPLOT,XUX(1,1),YUX(1,1)
/NOERASE
NSOL,2,3,U,Z,UX
PROD,7,1, , ,LOAD, , ,3000.0,0,0,
/COLOR,CURVE,MRED
XVAR,7
PLVAR,2
/NOERASE
*DIM,XUY,TABLE,11,1
*DIM,YUY,TABLE,11,1
XUY(1,1)= 0
YUY(1,1)= 0
XUY(2,1)= 300
YUY(2,1)= -12.18
XUY(3,1)= 600
YUY(3,1)= -23.87
XUY(4,1)= 900
YUY(4,1)= -30
XUY(5,1)= 1200
YUY(5,1)= -33.5
XUY(6,1)= 1500
YUY(6,1)= -38
XUY(7,1)= 1800
YUY(7,1)= -40
XUY(8,1)= 2100
YUY(8,1)= -42.5
XUY(9,1)= 2400
YUY(9,1)= -44
XUY(10,1)= 2700
YUY(10,1)= -45
XUY(11,1)= 3000
YUY(11,1)= -47.31

/COLOR,CURVE,YGRE
/GCOLUMN,1,'  Y_REF'
*VPLOT,XUY(1,1),YUY(1,1)
/NOERASE
NSOL,3,3,U,X,UY
/COLOR,CURVE,MRED
XVAR,7
PLVAR,3
/NOERASE
*DIM,XUZ,TABLE,11,1
*DIM,YUZ,TABLE,11,1
XUZ(1,1)= 0
YUZ(1,1)= 0
XUZ(2,1)= 300
YUZ(2,1)= 40.53
XUZ(3,1)= 600
YUZ(3,1)= 53.71
XUZ(4,1)= 900
YUZ(4,1)= 60
XUZ(5,1)= 1200
YUZ(5,1)= 62
XUZ(6,1)= 1500
YUZ(6,1)= 63
XUZ(7,1)= 1800
YUZ(7,1)= 64.5
XUZ(8,1)= 2100
YUZ(8,1)= 65.5
XUZ(9,1)= 2400
YUZ(9,1)= 66
XUZ(10,1)= 2700
YUZ(10,1)= 67
XUZ(11,1)= 3000
YUZ(11,1)= 68.09

/COLOR,CURVE,YGRE
/GCOLUMN,1,'  Z_REF'
*VPLOT,XUZ(1,1),YUZ(1,1)
/NOERASE
NSOL,4,3,U,Y,UZ
/COLOR,CURVE,MRED
XVAR,7
PLVAR,4
FINISH

/POST1
SET,,,1,,0.1,,
*GET,UX_300,NODE,3,U,Z
*GET,UY_300,NODE,3,U,X
*GET,UZ_300,NODE,3,U,Y
SET,,,1,,0.15,,
*GET,UX_450,NODE,3,U,Z
*GET,UY_450,NODE,3,U,X
*GET,UZ_450,NODE,3,U,Y
SET,,,1,,0.2,,
*GET,UX_600,NODE,3,U,Z
*GET,UY_600,NODE,3,U,X
*GET,UZ_600,NODE,3,U,Y
SET,,,1,,1.0,,
*GET,UX_3000,NODE,3,U,Z
*GET,UY_3000,NODE,3,U,X
*GET,UZ_3000,NODE,3,U,Y
*DIM,LABEL1,CHAR,1,4
LABEL1(1,1) = ' 300'
LABEL1(1,2) = ' 450'
LABEL1(1,3) = ' 600'
LABEL1(1,4) = '3000'
*DIM,VALUE1,CHAR,1,4
VALUE1(1,1) = '-7.14'
VALUE1(1,2) = '-10.86'
VALUE1(1,3) = '-13.68'
VALUE1(1,4) = '-24.97'
*DIM,VALUE2,CHAR,1,4
VALUE2(1,1) = '-6.98'
VALUE2(1,2) = '-10.70'
VALUE2(1,3) = '-13.51'
VALUE2(1,4) = '-25.00'
*DIM,ERROR1,,1,4
*VFILL,ERROR1(1,1),DATA,UX_300
*VFILL,ERROR1(1,2),DATA,UX_450
*VFILL,ERROR1(1,3),DATA,UX_600
*VFILL,ERROR1(1,4),DATA,UX_3000

/COM, ************************* NOTE ****************************
/COM,
/COM, THE GLOBAL CS OF THIS MODEL DOES NOT MATCH THE CS OF NAFEMS
/COM, TEST. HERE IS THE CORRESPODANCE:
/COM,                   NAFEMS         ANSYS
/COM,                     X      >>>     Z
/COM,                     Y      >>>     X
/COM,                     Z      >>>     Y
/COM,
/COM,  -------------  TIP DISPLACEMENT:  UX   --------------
/COM,
/COM,                  |      NAFEMS TEST      |   ANSYS   |
/COM,         |  LOAD  |   REF.   |  NUM.RES.  |  SOL.185  |
/COM,
*VWRITE,LABEL1(1,1),VALUE1(1,1),VALUE2(1,1),ERROR1(1,1)
(1X,'            ',A4,'     ',A6,'     ',A6,'      ',F8.4)
*VWRITE,LABEL1(1,2),VALUE1(1,2),VALUE2(1,2),ERROR1(1,2)
(1X,'            ',A4,'     ',A6,'     ',A6,'      ',F8.4)
*VWRITE,LABEL1(1,3),VALUE1(1,3),VALUE2(1,3),ERROR1(1,3)
(1X,'            ',A4,'     ',A6,'     ',A6,'      ',F8.4)
*VWRITE,LABEL1(1,4),VALUE1(1,4),VALUE2(1,4),ERROR1(1,4)
(1X,'            ',A4,'     ',A6,'     ',A6,'      ',F8.4)
/COM,
/COM,  -----------------------------------------------------
/OUT,SCRATCH
VALUE1(1,1) = '-12.18'
VALUE1(1,2) = '-18.78'
VALUE1(1,3) = '-23.87'
VALUE1(1,4) = '-47.31'
VALUE2(1,1) = '-11.91'
VALUE2(1,2) = '-18.45'
VALUE2(1,3) = '-23.54'
VALUE2(1,4) = '-47.70'
*VFILL,ERROR1(1,1),DATA,UY_300
*VFILL,ERROR1(1,2),DATA,UY_450
*VFILL,ERROR1(1,3),DATA,UY_600
*VFILL,ERROR1(1,4),DATA,UY_3000
/OUT
/COM,  -------------  TIP DISPLACEMENT:  UY   --------------
/COM,
/COM,                  |      NAFEMS TEST      |   ANSYS   |
/COM,         |  LOAD  |   REF.   |  NUM.RES.  |  SOL.185  |
/COM,
*VWRITE,LABEL1(1,1),VALUE1(1,1),VALUE2(1,1),ERROR1(1,1)
(1X,'            ',A4,'     ',A6,'     ',A6,'      ',F8.4)
*VWRITE,LABEL1(1,2),VALUE1(1,2),VALUE2(1,2),ERROR1(1,2)
(1X,'            ',A4,'     ',A6,'     ',A6,'      ',F8.4)
*VWRITE,LABEL1(1,3),VALUE1(1,3),VALUE2(1,3),ERROR1(1,3)
(1X,'            ',A4,'     ',A6,'     ',A6,'      ',F8.4)
*VWRITE,LABEL1(1,4),VALUE1(1,4),VALUE2(1,4),ERROR1(1,4)
(1X,'            ',A4,'     ',A6,'     ',A6,'      ',F8.4)
/COM,
/COM,  -----------------------------------------------------
/OUT,SCRATCH
VALUE1(1,1) = '40.53'
VALUE1(1,2) = '48.79'
VALUE1(1,3) = '53.71'
VALUE1(1,4) = '68.09'
VALUE2(1,1) = '40.15'
VALUE2(1,2) = '48.48'
VALUE2(1,3) = '53.47'
VALUE2(1,4) = '68.56'
*VFILL,ERROR1(1,1),DATA,UZ_300
*VFILL,ERROR1(1,2),DATA,UZ_450
*VFILL,ERROR1(1,3),DATA,UZ_600
*VFILL,ERROR1(1,4),DATA,UZ_3000
/OUT
/COM,  -------------  TIP DISPLACEMENT:  UZ   --------------
/COM,
/COM,                  |      NAFEMS TEST      |   ANSYS   |
/COM,         |  LOAD  |   REF.   |  NUM.RES.  |  SOL.185  |
/COM,
*VWRITE,LABEL1(1,1),VALUE1(1,1),VALUE2(1,1),ERROR1(1,1)
(1X,'            ',A4,'      ',A5,'      ',A5,'      ',F8.4)
*VWRITE,LABEL1(1,2),VALUE1(1,2),VALUE2(1,2),ERROR1(1,2)
(1X,'            ',A4,'      ',A5,'      ',A5,'      ',F8.4)
*VWRITE,LABEL1(1,3),VALUE1(1,3),VALUE2(1,3),ERROR1(1,3)
(1X,'            ',A4,'      ',A5,'      ',A5,'      ',F8.4)
*VWRITE,LABEL1(1,4),VALUE1(1,4),VALUE2(1,4),ERROR1(1,4)
(1X,'            ',A4,'      ',A5,'      ',A5,'      ',F8.4)
/COM,
/COM,  -----------------------------------------------------
ESEL,,,,ELESOL
NSLE
ESEL,ALL
PRNSOL,S,COMP
PRNSOL,EPTO,COMP
FINISH

/POST1
/COM,		               !WARNING!
/COM,		ANSYS RESULTS GIVEN IN DIFFERENT CS THAN
/COM,		NAFEMS MANUAL, CS RESULTS SHOULD BE TAKEN AS:
/COM,		                X >>> Z
/COM,		                Y >>> X
/COM,		                Z >>> Y
SET,1,23
*GET,UX1,NODE,52,U,Z
*GET,UY1,NODE,52,U,X
*GET,UZ1,NODE,52,U,Y
*GET,APLOAD,TIME
RX=ABS(UX1/24.97)
RY=ABS(UY1/47.31)
RZ=ABS(UZ1/68.09)
*DIM,VALUE,,3,2
*DIM,LABEL2,CHAR,3
*DIM,LABEL3,CHAR,3
*DIM,LABEL,CHAR,3
LABEL2(1) = 'UX','UY','UZ'
LABEL(1) = 'vmr029-','vmr029-','vmr029-'
LABEL3(1) = 't5-185','t5-185','t5-185'
*VFILL,VALUE(1,1),DATA,ABS(UX1),ABS(UY1),ABS(UZ1)
*VFILL,VALUE(1,2),DATA,RX,RY,RZ
/OUT,vmr029-t5-185,vrt
/COM
/COM,-------------- VMR029-T5 RESULTS COMPARISON ---------------
/COM,
/COM,          |    ANSYS    |   RATIO   |     INPUT     |
/COM,
/COM,SOLID185
*VWRITE,LABEL2(1),VALUE(1,1),VALUE(1,2),LABEL(1),LABEL3(1)
(1X,'   ',A2,'       ',F7.4,'      ',F7.4,'      ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr029-t5-185,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R029-t4 281 Input Listing 		Up / Home Next
VM-R029-t5 188 Input Listing


VM-R029-t5 188 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMR029-T5-188
/TITLE,VMR029-T5-188,LARGE DEFLECTION OF A CURVED ELASTIC CANTILEVER UNDER TRANSVERSE END LOAD
/COM, REFERENCE: NAFEMS BENCHMARK TEST FOR BEAMS AND SHELLS TEST 3DNLG-5

/PREP7
CSYS,1
T = 45/8.0
N,1,100.0,0.0
N,2,100.0,-T
N,3,100.0,-2*T
N,4,100.0,-3*T
N,5,100.0,-4*T
N,6,100.0,-5*T
N,7,100.0,-6*T
N,8,100.0,-7*T
N,9,100.0,-8*T
ET,1,188
SECN,1
N,101,0.0,
CSYS,0
E,1,2,101
E,2,3,101
E,3,4,101
E,4,5,101
E,5,6,101
E,6,7,101
E,7,8,101
E,8,9,101
SECT,1,BEAM,RECT
SECD,1,1
MP,EX,1,1E7
MP,GXY,1,0.5E7
MP,NUXY,1,0.0
D,1,ALL

/SOLU
NLGEOM,ON
OUTRES,ALL,ALL
F,9,FZ,3000
/OUT,
SOLC,ON
NSUBST,40,200
SOLVE
FINISH
/SHOW,,jpeg

/POST26
*DIM,XUX,TABLE,11,1
*DIM,YUX,TABLE,11,1
XUX(1,1)= 0
YUX(1,1)= 0
XUX(2,1)= 300
YUX(2,1)= -7.14
XUX(3,1)= 600
YUX(3,1)= -13.68
XUX(4,1)= 900
YUX(4,1)= -18
XUX(5,1)= 1200
YUX(5,1)= -20.5
XUX(6,1)= 1500
YUX(6,1)= -21.5
XUX(7,1)= 1800
YUX(7,1)= -22.8
XUX(8,1)= 2100
YUX(8,1)= -23.7
XUX(9,1)= 2400
YUX(9,1)= -24.4
XUX(10,1)= 2700
YUX(10,1)= -24.6
XUX(11,1)= 3000
YUX(11,1)= -25

/XRANGE,0,3000
/YRANGE,-60,90
/AXLAB,X,LOAD
/AXLAB,Y,TIP DISPLACEMENT
/COLOR,CURVE,YGRE
/GCOLUMN,1,'  REF_UX'
*VPLOT,XUX(1,1),YUX(1,1)
/NOERASE
NSOL,2,9,U,Z,UZ
PROD,7,1, , ,LOAD, , ,3000.0,0,0,
/COLOR,CURVE,MRED
XVAR,7
PLVAR,2
/NOERASE
*DIM,XUY,TABLE,11,1
*DIM,YUY,TABLE,11,1
XUY(1,1)= 0
YUY(1,1)= 0
XUY(2,1)= 300
YUY(2,1)= -12.18
XUY(3,1)= 600
YUY(3,1)= -23.87
XUY(4,1)= 900
YUY(4,1)= -30
XUY(5,1)= 1200
YUY(5,1)= -33.5
XUY(6,1)= 1500
YUY(6,1)= -38
XUY(7,1)= 1800
YUY(7,1)= -40
XUY(8,1)= 2100
YUY(8,1)= -42.5
XUY(9,1)= 2400
YUY(9,1)= -44
XUY(10,1)= 2700
YUY(10,1)= -45
XUY(11,1)= 3000
YUY(11,1)= -47.31

/COLOR,CURVE,YGRE
/GCOLUMN,1,'  REF_UY'
*VPLOT,XUY(1,1),YUY(1,1)
/NOERASE
NSOL,3,9,U,X,UX
PROD,5,3,,,UX,,,-1
/COLOR,CURVE,MRED
XVAR,7
PLVAR,5
/NOERASE
*DIM,XUZ,TABLE,11,1
*DIM,YUZ,TABLE,11,1
XUZ(1,1)= 0
YUZ(1,1)= 0
XUZ(2,1)= 300
YUZ(2,1)= 40.53
XUZ(3,1)= 600
YUZ(3,1)= 53.71
XUZ(4,1)= 900
YUZ(4,1)= 60
XUZ(5,1)= 1200
YUZ(5,1)= 62
XUZ(6,1)= 1500
YUZ(6,1)= 63
XUZ(7,1)= 1800
YUZ(7,1)= 64.5
XUZ(8,1)= 2100
YUZ(8,1)= 65.5
XUZ(9,1)= 2400
YUZ(9,1)= 66
XUZ(10,1)= 2700
YUZ(10,1)= 67
XUZ(11,1)= 3000
YUZ(11,1)= 68.09

/COLOR,CURVE,YGRE
/GCOLUMN,1,'  REF_UZ'
*VPLOT,XUZ(1,1),YUZ(1,1)
/NOERASE
NSOL,4,9,U,Y,UY
PROD,6,4,,,UY,,,-1
/COLOR,CURVE,MRED
XVAR,7
PLVAR,6
FINISH

/POST1
SET,LAST
PRNSOL,DOF
*GET,UX1,NODE,9,U,X
*GET,UY1,NODE,9,U,Y
*GET,UZ1,NODE,9,U,Z
*GET,APLOAD,TIME
RX=ABS(UX1/24.97)
RY=ABS(UY1/47.31)
RZ=ABS(UZ1/68.09)
*DIM,VALUE,,3,2
*DIM,LABEL2,CHAR,3
*DIM,LABEL,CHAR,3
*DIM,LABEL3,CHAR,3
LABEL2(1) = 'UX','UY','UZ'
LABEL(1) = 'vmr029-','vmr029-','vmr029-'
LABEL3(1) = 't5-188','t5-188','t5-188'
*VFILL,VALUE(1,1),DATA,ABS(UX1),ABS(UY1),ABS(UZ1)
*VFILL,VALUE(1,2),DATA,RX,RY,RZ
/OUT,vmr029-t5-188,vrt
/COM
/COM,-------------- VMR029-T5 RESULTS COMPARISON ---------------
/COM,
/COM,         |    ANSYS    |   RATIO   |      INPUT      |
/COM,
/COM,BEAM188
*VWRITE,LABEL2(1),VALUE(1,1),VALUE(1,2),LABEL(1),LABEL3(1)
(1X,'   ',A2,'       ',F7.4,'      ',F7.4,'      ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr029-t5-188,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R029-t5 185 Input Listing 		Up / Home Next
VM-R029-t5 189 Input Listing


VM-R029-t5 189 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMR029-T5-189
/TITLE,VMR029-T5-189,LARGE DEFLECTION OF A CURVED ELASTIC CANTILEVER UNDER TRANSVERSE END LOAD
/COM, REFERENCE: NAFEMS BENCHMARK TEST FOR BEAMS AND SHELLS TEST 3DNLG-5

/PREP7
CSYS,1
T = 45/8.0
N,1,100.0,0.0
N,2,100.0,-0.5*T
N,3,100.0,-1.0*T
N,4,100.0,-1.5*T
N,5,100.0,-2.0*T
N,6,100.0,-2.5*T
N,7,100.0,-3.0*T
N,8,100.0,-3.5*T
N,9,100.0,-4.0*T
N,10,100.0,-4.5*T
N,11,100.0,-5.0*T
N,12,100.0,-5.5*T
N,13,100.0,-6.0*T
N,14,100.0,-6.5*T
N,15,100.0,-7.0*T
N,16,100.0,-7.5*T
N,17,100.0,-8.0*T
ET,1,189
SECN,1
N,101,0.0,
CSYS,0
E,1,3,2,101
E,3,5,4,101
E,5,7,6,101
E,7,9,8,101
E,9,11,10,101
E,11,13,12,101
E,13,15,14,101
E,15,17,16,101
SECT,1,BEAM,RECT
SECD,1,1
MP,EX,1,1E7
MP,GXY,1,0.5E7
MP,NUXY,1,0.0
D,1,ALL

/SOLU
NLGEOM,ON
OUTRES,ALL,ALL
F,17,FZ,3000
/OUT,
SOLC,ON
NSUBST,20,200
SOLVE
FINISH

/SHOW,,jpeg

/POST26
*DIM,XUX,TABLE,11,1
*DIM,YUX,TABLE,11,1
XUX(1,1)= 0
YUX(1,1)= 0
XUX(2,1)= 300
YUX(2,1)= -7.14
XUX(3,1)= 600
YUX(3,1)= -13.68
XUX(4,1)= 900
YUX(4,1)= -18
XUX(5,1)= 1200
YUX(5,1)= -20.5
XUX(6,1)= 1500
YUX(6,1)= -21.5
XUX(7,1)= 1800
YUX(7,1)= -22.8
XUX(8,1)= 2100
YUX(8,1)= -23.7
XUX(9,1)= 2400
YUX(9,1)= -24.4
XUX(10,1)= 2700
YUX(10,1)= -24.6
XUX(11,1)= 3000
YUX(11,1)= -25

/XRANGE,0,3000
/YRANGE,-60,90
/AXLAB,X,LOAD
/AXLAB,Y,TIP DISPLACEMENT
/COLOR,CURVE,YGRE
/GCOLUMN,1,'  REF_UX'
*VPLOT,XUX(1,1),YUX(1,1)
/NOERASE
NSOL,2,17,U,Z,UZ
PROD,7,1, , ,LOAD, , ,3000.0,0,0,
/COLOR,CURVE,MRED
XVAR,7
PLVAR,2
/NOERASE
*DIM,XUY,TABLE,11,1
*DIM,YUY,TABLE,11,1
XUY(1,1)= 0
YUY(1,1)= 0
XUY(2,1)= 300
YUY(2,1)= -12.18
XUY(3,1)= 600
YUY(3,1)= -23.87
XUY(4,1)= 900
YUY(4,1)= -30
XUY(5,1)= 1200
YUY(5,1)= -33.5
XUY(6,1)= 1500
YUY(6,1)= -38
XUY(7,1)= 1800
YUY(7,1)= -40
XUY(8,1)= 2100
YUY(8,1)= -42.5
XUY(9,1)= 2400
YUY(9,1)= -44
XUY(10,1)= 2700
YUY(10,1)= -45
XUY(11,1)= 3000
YUY(11,1)= -47.31

/COLOR,CURVE,YGRE
/GCOLUMN,1,'  REF_UY'
*VPLOT,XUY(1,1),YUY(1,1)
/NOERASE
NSOL,3,17,U,X,UX
PROD,5,3,,,UX,,,-1
/COLOR,CURVE,MRED
XVAR,7
PLVAR,5
/NOERASE
*DIM,XUZ,TABLE,11,1
*DIM,YUZ,TABLE,11,1
XUZ(1,1)= 0
YUZ(1,1)= 0
XUZ(2,1)= 300
YUZ(2,1)= 40.53
XUZ(3,1)= 600
YUZ(3,1)= 53.71
XUZ(4,1)= 900
YUZ(4,1)= 60
XUZ(5,1)= 1200
YUZ(5,1)= 62
XUZ(6,1)= 1500
YUZ(6,1)= 63
XUZ(7,1)= 1800
YUZ(7,1)= 64.5
XUZ(8,1)= 2100
YUZ(8,1)= 65.5
XUZ(9,1)= 2400
YUZ(9,1)= 66
XUZ(10,1)= 2700
YUZ(10,1)= 67
XUZ(11,1)= 3000
YUZ(11,1)= 68.09

/COLOR,CURVE,YGRE
/GCOLUMN,1,'  REF_UZ'
*VPLOT,XUZ(1,1),YUZ(1,1)
/NOERASE
NSOL,4,17,U,Y,UY
PROD,6,4,,,UY,,,-1
/COLOR,CURVE,MRED
XVAR,7
PLVAR,6
FINISH

/POST1
SET,LAST
PRNSOL,DOF
*GET,UX1,NODE,17,U,X
*GET,UY1,NODE,17,U,Y
*GET,UZ1,NODE,17,U,Z
*GET,APLOAD,TIME
RX=ABS(UX1/24.97)
RY=ABS(UY1/47.31)
RZ=ABS(UZ1/68.09)
*DIM,VALUE,,3,2
*DIM,LABEL2,CHAR,3
*DIM,LABEL,CHAR,3
*DIM,LABEL3,CHAR,3
LABEL2(1) = 'UX','UY','UZ'
LABEL(1) = 'vmr029-','vmr029-','vmr029-'
LABEL3(1) = 't5-189','t5-189','t5-189'
*VFILL,VALUE(1,1),DATA,ABS(UX1),ABS(UY1),ABS(UZ1)
*VFILL,VALUE(1,2),DATA,RX,RY,RZ
/OUT,vmr029-t5-189,vrt
/COM
/COM,-------------- VMR029-T5  RESULTS COMPARISON ---------------
/COM,
/COM,         |    ANSYS    |   RATIO   |      INPUT      |
/COM,
/COM,BEAM189
*VWRITE,LABEL2(1),VALUE(1,1),VALUE(1,2),LABEL(1),LABEL3(1)
(1X,'   ',A2,'       ',F7.4,'      ',F7.4,'      ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr029-t5-189,vrt
FINISH

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R029-t5 188 Input Listing 		Up / Home Next
VM-R029-t5 190 Input Listing


VM-R029-t5 190 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMR029-T5-190
/TITLE,VMR029-T5-190, LARGE DEFLECTION OF A CURVED ELASTIC CANTILEVER UNDER TRANSVERSE END LOAD
/COM,REFERENCE NAFEMS 3D BEAMS AND SHELLS MANUAL TEST 3DNLG-5

/PREP7
W=1.0
H=1.0
R=100
THETA=45
F=3000.0
ET,1,190
MP,EX,1,1E7
MP,NUXY,1,0.3
K,1,0,-H/2,-W/2
K,2,0,-H/2,W/2
K,3,0,H/2,W/2
K,4,0,H/2,-W/2
K,5,0,0,R
K,6,0,1,R
A,1,2,3,4
VROTAT,ALL, , , , , ,5,6,-45, ,
LESIZE,ALL,,,1
LESIZE,9,,,16
LESIZE,10,,,16
LESIZE,11,,,16
LESIZE,12,,,16
VEORIENT,1,THIN
VMESH,ALL
NSEL,S,LOC,X,0
D,ALL,ALL
NSEL,S,LOC,Z,28.5,30
F,ALL,FY,750
ALLSEL,ALL
ESEL,S,,,1
ESEL,A,,,4
ESEL,A,,,16
CM,ELESOL,ELEM
ALLSEL,ALL
FINISH

/SOLVE
NLGEOM,ON
AUTOTS,ON
NSUBST,100,100000,40
OUTRES,ALL,ALL
SOLVE
FINISH
/SHOW,,jpeg

/POST26
*DIM,XUX,TABLE,11,1
*DIM,YUX,TABLE,11,1
XUX(1,1)= 0
YUX(1,1)= 0
XUX(2,1)= 300
YUX(2,1)= -7.14
XUX(3,1)= 600
YUX(3,1)= -13.68
XUX(4,1)= 900
YUX(4,1)= -18
XUX(5,1)= 1200
YUX(5,1)= -20.5
XUX(6,1)= 1500
YUX(6,1)= -21.5
XUX(7,1)= 1800
YUX(7,1)= -22.8
XUX(8,1)= 2100
YUX(8,1)= -23.7
XUX(9,1)= 2400
YUX(9,1)= -24.4
XUX(10,1)= 2700
YUX(10,1)= -24.6
XUX(11,1)= 3000
YUX(11,1)= -25

/XRANGE,0,3000
/YRANGE,-60,90
/AXLAB,X,LOAD
/AXLAB,Y,RADIAL DISPLACEMENT
/COLOR,CURVE,YGRE
/GCOLUMN,1,'  X_REF'
*VPLOT,XUX(1,1),YUX(1,1)
/NOERASE
NSOL,2,3,U,Z,UX
PROD,7,1, , ,LOAD, , ,3000.0,0,0,
/COLOR,CURVE,MRED
XVAR,7
PLVAR,2
/NOERASE
*DIM,XUY,TABLE,11,1
*DIM,YUY,TABLE,11,1
XUY(1,1)= 0
YUY(1,1)= 0
XUY(2,1)= 300
YUY(2,1)= -12.18
XUY(3,1)= 600
YUY(3,1)= -23.87
XUY(4,1)= 900
YUY(4,1)= -30
XUY(5,1)= 1200
YUY(5,1)= -33.5
XUY(6,1)= 1500
YUY(6,1)= -38
XUY(7,1)= 1800
YUY(7,1)= -40
XUY(8,1)= 2100
YUY(8,1)= -42.5
XUY(9,1)= 2400
YUY(9,1)= -44
XUY(10,1)= 2700
YUY(10,1)= -45
XUY(11,1)= 3000
YUY(11,1)= -47.31

/COLOR,CURVE,YGRE
/GCOLUMN,1,'  Y_REF'
*VPLOT,XUY(1,1),YUY(1,1)
/NOERASE
NSOL,3,3,U,X,UY
/COLOR,CURVE,MRED
XVAR,7
PLVAR,3
/NOERASE
*DIM,XUZ,TABLE,11,1
*DIM,YUZ,TABLE,11,1
XUZ(1,1)= 0
YUZ(1,1)= 0
XUZ(2,1)= 300
YUZ(2,1)= 40.53
XUZ(3,1)= 600
YUZ(3,1)= 53.71
XUZ(4,1)= 900
YUZ(4,1)= 60
XUZ(5,1)= 1200
YUZ(5,1)= 62
XUZ(6,1)= 1500
YUZ(6,1)= 63
XUZ(7,1)= 1800
YUZ(7,1)= 64.5
XUZ(8,1)= 2100
YUZ(8,1)= 65.5
XUZ(9,1)= 2400
YUZ(9,1)= 66
XUZ(10,1)= 2700
YUZ(10,1)= 67
XUZ(11,1)= 3000
YUZ(11,1)= 68.09

/COLOR,CURVE,YGRE
/GCOLUMN,1,'  Z_REF'
*VPLOT,XUZ(1,1),YUZ(1,1)
/NOERASE
NSOL,4,3,U,Y,UZ
/COLOR,CURVE,MRED
XVAR,7
PLVAR,4
FINISH

/POST1
SET,,,1,,0.1,,
*GET,UX_300,NODE,3,U,Z
*GET,UY_300,NODE,3,U,X
*GET,UZ_300,NODE,3,U,Y
SET,,,1,,0.15,,
*GET,UX_450,NODE,3,U,Z
*GET,UY_450,NODE,3,U,X
*GET,UZ_450,NODE,3,U,Y
SET,,,1,,0.2,,
*GET,UX_600,NODE,3,U,Z
*GET,UY_600,NODE,3,U,X
*GET,UZ_600,NODE,3,U,Y
SET,,,1,,1.0,,
*GET,UX_3000,NODE,3,U,Z
*GET,UY_3000,NODE,3,U,X
*GET,UZ_3000,NODE,3,U,Y
*DIM,LABEL1,CHAR,1,4
LABEL1(1,1) = ' 300'
LABEL1(1,2) = ' 450'
LABEL1(1,3) = ' 600'
LABEL1(1,4) = '3000'
*DIM,VALUE1,CHAR,1,4
VALUE1(1,1) = '-7.14'
VALUE1(1,2) = '-10.86'
VALUE1(1,3) = '-13.68'
VALUE1(1,4) = '-24.97'
*DIM,VALUE2,CHAR,1,4
VALUE2(1,1) = '-6.98'
VALUE2(1,2) = '-10.70'
VALUE2(1,3) = '-13.51'
VALUE2(1,4) = '-25.00'
*DIM,ERROR1,,1,4
*VFILL,ERROR1(1,1),DATA,UX_300
*VFILL,ERROR1(1,2),DATA,UX_450
*VFILL,ERROR1(1,3),DATA,UX_600
*VFILL,ERROR1(1,4),DATA,UX_3000

/COM, ************************* NOTE ****************************
/COM,
/COM, THE GLOBAL CS OF THIS MODEL DOES NOT MATCH THE CS OF NAFEMS
/COM, TEST. HERE IS THE CORRESPODANCE:
/COM,                   NAFEMS         ANSYS
/COM,                     X      >>>     Z
/COM,                     Y      >>>     X
/COM,                     Z      >>>     Y
/COM,
/COM,  -------------  TIP DISPLACEMENT:  UX   --------------
/COM,
/COM,                  |      NAFEMS TEST      |   ANSYS   |
/COM,         |  LOAD  |   REF.   |  NUM.RES.  |  SOL.190  |
/COM,
*VWRITE,LABEL1(1,1),VALUE1(1,1),VALUE2(1,1),ERROR1(1,1)
(1X,'            ',A4,'     ',A6,'     ',A6,'      ',F8.4)
*VWRITE,LABEL1(1,2),VALUE1(1,2),VALUE2(1,2),ERROR1(1,2)
(1X,'            ',A4,'     ',A6,'     ',A6,'      ',F8.4)
*VWRITE,LABEL1(1,3),VALUE1(1,3),VALUE2(1,3),ERROR1(1,3)
(1X,'            ',A4,'     ',A6,'     ',A6,'      ',F8.4)
*VWRITE,LABEL1(1,4),VALUE1(1,4),VALUE2(1,4),ERROR1(1,4)
(1X,'            ',A4,'     ',A6,'     ',A6,'      ',F8.4)
/COM,
/COM,  -----------------------------------------------------
/OUT,SCRATCH
VALUE1(1,1) = '-12.18'
VALUE1(1,2) = '-18.78'
VALUE1(1,3) = '-23.87'
VALUE1(1,4) = '-47.31'
VALUE2(1,1) = '-11.91'
VALUE2(1,2) = '-18.45'
VALUE2(1,3) = '-23.54'
VALUE2(1,4) = '-47.70'
*VFILL,ERROR1(1,1),DATA,UY_300
*VFILL,ERROR1(1,2),DATA,UY_450
*VFILL,ERROR1(1,3),DATA,UY_600
*VFILL,ERROR1(1,4),DATA,UY_3000
/OUT
/COM,  -------------  TIP DISPLACEMENT:  UY   --------------
/COM,
/COM,                  |      NAFEMS TEST      |   ANSYS   |
/COM,         |  LOAD  |   REF.   |  NUM.RES.  |  SOL.190  |
/COM,
*VWRITE,LABEL1(1,1),VALUE1(1,1),VALUE2(1,1),ERROR1(1,1)
(1X,'            ',A4,'     ',A6,'     ',A6,'      ',F8.4)
*VWRITE,LABEL1(1,2),VALUE1(1,2),VALUE2(1,2),ERROR1(1,2)
(1X,'            ',A4,'     ',A6,'     ',A6,'      ',F8.4)
*VWRITE,LABEL1(1,3),VALUE1(1,3),VALUE2(1,3),ERROR1(1,3)
(1X,'            ',A4,'     ',A6,'     ',A6,'      ',F8.4)
*VWRITE,LABEL1(1,4),VALUE1(1,4),VALUE2(1,4),ERROR1(1,4)
(1X,'            ',A4,'     ',A6,'     ',A6,'      ',F8.4)
/COM,
/COM,  -----------------------------------------------------
/OUT,SCRATCH
VALUE1(1,1) = '40.53'
VALUE1(1,2) = '48.79'
VALUE1(1,3) = '53.71'
VALUE1(1,4) = '68.09'
VALUE2(1,1) = '40.15'
VALUE2(1,2) = '48.48'
VALUE2(1,3) = '53.47'
VALUE2(1,4) = '68.56'
*VFILL,ERROR1(1,1),DATA,UZ_300
*VFILL,ERROR1(1,2),DATA,UZ_450
*VFILL,ERROR1(1,3),DATA,UZ_600
*VFILL,ERROR1(1,4),DATA,UZ_3000
/OUT
/COM,  -------------  TIP DISPLACEMENT:  UZ   --------------
/COM,
/COM,                  |      NAFEMS TEST      |   ANSYS   |
/COM,         |  LOAD  |   REF.   |  NUM.RES.  |  SOL.190  |
/COM,
*VWRITE,LABEL1(1,1),VALUE1(1,1),VALUE2(1,1),ERROR1(1,1)
(1X,'            ',A4,'      ',A5,'      ',A5,'      ',F8.4)
*VWRITE,LABEL1(1,2),VALUE1(1,2),VALUE2(1,2),ERROR1(1,2)
(1X,'            ',A4,'      ',A5,'      ',A5,'      ',F8.4)
*VWRITE,LABEL1(1,3),VALUE1(1,3),VALUE2(1,3),ERROR1(1,3)
(1X,'            ',A4,'      ',A5,'      ',A5,'      ',F8.4)
*VWRITE,LABEL1(1,4),VALUE1(1,4),VALUE2(1,4),ERROR1(1,4)
(1X,'            ',A4,'      ',A5,'      ',A5,'      ',F8.4)
/COM,
/COM,  -----------------------------------------------------
ESEL,,,,ELESOL
NSLE
ESEL,ALL
PRNSOL,S,COMP
PRNSOL,EPTO,COMP
FINISH

/POST1
/COM,		               !WARNING!
/COM,		ANSYS RESULTS GIVEN IN DIFFERENT CS THAN
/COM,		NAFEMS MANUAL, CS RESULTS SHOULD BE TAKEN AS:
/COM,		                X >>> Z
/COM,		                Y >>> X
/COM,		                Z >>> Y
SET,LAST
*GET,UX1,NODE,52,U,Z
*GET,UY1,NODE,52,U,X
*GET,UZ1,NODE,52,U,Y
*GET,APLOAD,TIME
RX=ABS(UX1/24.97)
RY=ABS(UY1/47.31)
RZ=ABS(UZ1/68.09)
*DIM,VALUE,,3,2
*DIM,LABEL2,CHAR,3
*DIM,LABEL3,CHAR,3
*DIM,LABEL,CHAR,3
LABEL2(1) = 'UX','UY','UZ'
LABEL(1) = 'vmr029-','vmr029-','vmr029-'
LABEL3(1) = 't5-190','t5-190','t5-190'
*VFILL,VALUE(1,1),DATA,ABS(UX1),ABS(UY1),ABS(UZ1)
*VFILL,VALUE(1,2),DATA,RX,RY,RZ
/OUT,vmr029-t5-190,vrt
/COM
/COM,-------------- VMR029-T5 RESULTS COMPARISON ---------------
/COM,
/COM,          |    ANSYS    |   RATIO   |     INPUT     |
/COM,
/COM,SOLSH190
*VWRITE,LABEL2(1),VALUE(1,1),VALUE(1,2),LABEL(1),LABEL3(1)
(1X,'   ',A2,'       ',F7.4,'      ',F7.4,'      ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr029-t5-190,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R029-t5 189 Input Listing 		Up / Home Next
VM-R029-t7 181 Input Listing


VM-R029-t7 181 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMR029-T7-181
/TITLE,VMR029-T7-181,LARGE DISPLACEMENT ELASTIC RESPONSE OF A HINGED SPHERICAL SHELL UNDER UNIFORM PRESSURE LOADING
/COM, REF. 'NAFEMS ASSEMBLY BENCHMARK TESTS FOR 3D BEAMS AND SHELLS
/COM,       TEST 3DNLG-7
/PREP7
L=1570
T=100
P=0.1
ET,1,SHELL181
R,1,100,100,100,100
RMODIF,1,7,30000,30000
MP,EX,1,69
MP,NUXY,1,0.3
K,1,
K,6,5*L/8,,0.00020285*((5*L/8)*(3*L/8))
K,9,L,,0
LARC,       1,       9,       6
K,15,,3*L/4,0.00020285*((3*L/4)*(L/4))
K,17,,L,0
LARC,       1,      17,      15
ADRAG,1, , , , , ,2
KWPAVE,2
WPRO,,90.000000,
ASBW,1
ADELE,2, , ,1
LSLA,S,1
LESIZE,ALL,,,16
AMESH,ALL
DL,ALL, ,UX,
DL,ALL, ,UY,
DL,ALL, ,UZ,
SFE,ALL,2,PRES,,P
ALLSEL,ALL
FINISH
/SOLVE
NLGEOM,ON
NSUBST,200,2000,25
OUTRES,ALL,ALL
ARCLEN,1,,
AUTOTS,-1
SOLVE
FINISH
/OUT
/POST26
*DIM,X,TABLE,11,1
*DIM,Y,TABLE,11,1
X(  1,1)= 0
Y(  1,1)= 0
X(  2,1)= 30
Y(  2,1)= 0.042
X(  3,1)= 60
Y(  3,1)= 0.06
X(  4,1)= 90
Y(  4,1)= 0.063
X(  5,1)= 120
Y(  5,1)= 0.056
X(  6,1)= 150
Y(  6,1)= 0.048
X(  7,1)= 180
Y(  7,1)= 0.037
X(  8,1)= 210
Y(  8,1)= 0.031
X(  9,1)= 240
Y(  9,1)= 0.03
X( 10,1)= 270
Y( 10,1)= 0.05
X( 11,1)= 300
Y( 11,1)= 0.096
/XRANGE,0,420
/YRANGE,0,0.1
/AXLAB,X,CENTRAL DEFLECTION
/AXLAB,Y,APPLIED PRESSURE
/GROPT,DIVX,11
/COLOR,CURVE,YGRE
*VPLOT,X(1,1),Y(1,1)
/NOERASE
NSOL,2,177,U,Z,DISP.
PROD,3,2, , ,DISP., , ,-1.0,0,0,
PROD,7,1, , ,LOAD, , ,0.1,0,0,
/COLOR,CURVE,MRED
XVAR,3
PLVAR,7
PRVAR,1,3,7
FINISH
/POST1
SET,LAST
NSEL,S,NODE,,177
PRNSOL,U,COMP
*GET,VAL8,NODE,177,U,Z
*SET,UA_8,-1*VAL8
*DIM,LABEL1,CHAR,1,2
LABEL1(1,1) = '0.1012'
LABEL1(1,2) = '      '
*DIM,VALUE1,CHAR,1,2
VALUE1(1,1) = '303.1'
*DIM,LABEL2,CHAR,1,3
LABEL2(1,1) = '177'
*DIM,ERROR1,,1,3
*VFILL,ERROR1(1,1),DATA,UA_8
/OUT,
/COM,
/COM,  -------------      CENTRAL DISPLACEMENT      -------------
/COM,
/COM,                  |   NAFEMS   |       ANSYS         |
/COM,         |  LOAD  |  NUM.RES.  |  NODE  |  SHL.181   |
/COM,
*VWRITE,LABEL1(1,1),VALUE1(1,1),LABEL2(1,1),ERROR1(1,1)
(1X,'           ',A6,'     ',A5,'       ',A4,'    ',F8.3)
/COM,
/COM,  ----------------------------------------------------------
SET,1,12
*GET,PRES1,TIME
SET,1,23
*GET,PRES2,TIME
V1=PRES1*0.1
V2=PRES2*0.1
R1=V1/0.06495
R2=V2/0.03084
*DIM,VALUE,,2,2
*DIM,LABEL3,CHAR,2
*DIM,LABEL,CHAR,2
*DIM,LABEL4,CHAR,2
*VFILL,VALUE(1,1),DATA,V1,V2
*VFILL,VALUE(1,2),DATA,R1,R2
LABEL3(1) = 'LIMIT1','LIMIT2'
LABEL(1) = 'vmr029-','vmr029-'
LABEL4(1) = 't7-181','t7-181'
/OUT,vmr029-t7-181,vrt
/COM
/COM,-------------- VMR029-T7  RESULTS COMPARISON ---------------
/COM,
/COM,          |    ANSYS    |   RATIO   |      INPUT      |
/COM,
/COM,SHELL181
*VWRITE,LABEL3(1),VALUE(1,1),VALUE(1,2),LABEL(1),LABEL4(1)
(1X,A6,'        ',F7.5,'      ',F7.5,'      ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr029-t7-181,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R029-t5 190 Input Listing 		Up / Home Next
VM-R029-t7 185 Input Listing


VM-R029-t7 185 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMR029-T7-185
/TITLE,VMR029-T7-185,LARGE DISPLACEMENT ELASTRIC RESPONSE OF A HINGED SPHERICAL SHELL UNDER UNIFORM PRESSURE LOADING
/COM, REF. NAFEMS ASSEMBLY BENCHMARK TESTS FOR 3D BEAMS AND SHELLS TEST 3DNLG-7

/PREP7
L=1570
T=100
P=0.1
ET,1,185
KEYOPT,1,2,2
MP,EX,1,69
MP,NUXY,1,0.3
K,1,
K,6,5*L/8,,0.00020285*((5*L/8)*(3*L/8))
K,9,L,,0
LARC,       1,       9,       6
K,15,,3*L/4,0.00020285*((3*L/4)*(L/4))
K,17,,L,0
LARC,       1,      17,      15
ADRAG,1,,,,,,2
VEXT,ALL,,,0,0,T/2,,,,
VEXT,1,,,0,0,-T/2,,,,
K,111,10000,1570,10000
K,112,10000,1570,-10000
K,113,-10000,1570,-10000
K,114,-10000,1570,10000
A,111,112,113,114
VSBA,1,12,,,KEEP
VSBA,2,12
VDELE,1,3
LESIZE,ALL,,,8
LESIZE,10,,,1
LESIZE,11,,,1
LESIZE,12,,,1
LESIZE,13,,,1
LESIZE,18,,,1
LESIZE,19,,,1
LESIZE,20,,,1
LESIZE,21,,,1
VMESH,ALL
NUMMRG,ALL, , , ,LOW
DL,26, ,ALL,
DL,5, ,ALL,
DL,2, ,ALL,
DL,1, ,ALL,
VSEL,S, , ,4
ESLV,S
SFE,ALL,6,PRES,,P
ALLSEL,ALL
ESEL,S,,,1
ESEL,A,,,35
ESEL,A,,,92
CM,ELESOL,ELEM
ALLSEL,ALL
FINISH

/SOLVE
NLGEOM,ON
NSUBST,200,1000,25
OUTRES,ALL,ALL
ARCLEN,1,,
AUTOTS,-1
SOLVE
FINISH

/SHOW,,jpeg
/OUT

/POST26
*DIM,X,TABLE,11,1
*DIM,Y,TABLE,11,1
X(1,1)= 0
Y(1,1)= 0
X(2,1)= 30
Y(2,1)= 0.042
X(3,1)= 60
Y(3,1)= 0.06
X(4,1)= 90
Y(4,1)= 0.063
X(5,1)= 120
Y(5,1)= 0.056
X(6,1)= 150
Y(6,1)= 0.048
X(7,1)= 180
Y(7,1)= 0.037
X(8,1)= 210
Y(8,1)= 0.031
X(9,1)= 240
Y(9,1)= 0.03
X(10,1)= 270
Y(10,1)= 0.05
X(11,1)= 300
Y(11,1)= 0.096
/XRANGE,0,420
/YRANGE,0,0.1
/AXLAB,X,CENTRAL DEFLECTION
/AXLAB,Y,APPLIED PRESSURE
/COLOR,CURVE,YGRE
/GCOLUMN,1,REF.
*VPLOT,X(1,1),Y(1,1)
/NOERASE
NSOL,2,138,U,Z,DISP.
PROD,3,2,,,DISP.,,,-1.0,0,0,
PROD,7,1,,,LOAD,,,0.1,0,0,
/COLOR,CURVE,MRED
XVAR,3
PLVAR,7
PRVAR,1,,3,7
FINISH

/POST1
SET, , ,1, ,1.012, ,
*GET,VAL8,NODE,138,U,Z
*SET,UA_8,-1*VAL8
*GET,VAL9,NODE,219,U,Z
*SET,UA_9,-1*VAL9
*GET,VAL7,NODE,57,U,Z
*SET,UA_7,-1*VAL7
*DIM,LABEL1,CHAR,1,2
LABEL1(1,1) = '0.1012'
LABEL1(1,2) = '      '
*DIM,VALUE1,CHAR,1,2
VALUE1(1,1) = '303.1'
VALUE1(1,2) = '     '
*DIM,LABEL2,CHAR,1,3
LABEL2(1,1) = ' TOP '
LABEL2(1,2) = ' MID.'
LABEL2(1,3) = 'BOTT.'
*DIM,ERROR1,,1,3
*VFILL,ERROR1(1,1),DATA,UA_8
*VFILL,ERROR1(1,2),DATA,UA_7
*VFILL,ERROR1(1,3),DATA,UA_9
/COM,------------------------NOTE-------------------------------
/COM,GRAPHICAL DIFFERENCES IN RESULTS ARE DUE TO DIFFERENT
/COM,ELEMENT FORMULATIONS BETWEEN SHELLS/SOLID AND DUE TO DIFFERENT
/COM,GEOMETRY BECAUSE OF THE ASSUMPTIONS MADE IN SHELL ELEMENTS.

/OUT,
/COM,
/COM,  -------------      CENTRAL DISPLACEMENT      -------------
/COM,
/COM,                  |   NAFEMS   |       ANSYS         |
/COM,         |  LOAD  |  NUM.RES.  |  LAYER  |  SOL.185  |
/COM,
*VWRITE,LABEL1(1,1),VALUE1(1,1),LABEL2(1,1),ERROR1(1,1)
(1X,'           ',A6,'     ',A5,'       ',A5,'    ',F8.3)
*VWRITE,LABEL1(1,2),VALUE1(1,2),LABEL2(1,2),ERROR1(1,2)
(1X,'           ',A6,'     ',A5,'       ',A5,'    ',F8.3)
*VWRITE,LABEL1(1,2),VALUE1(1,2),LABEL2(1,3),ERROR1(1,3)
(1X,'           ',A6,'     ',A5,'       ',A5,'    ',F8.3)
/COM,
/COM,  ----------------------------------------------------------

ESEL,,,,ELESOL
NSLE
ESEL,ALL
PRNSOL,S,COMP
PRNSOL,EPTO,COMP

SET,1,11
*GET,PRES1,TIME
SET,1,21
*GET,PRES2,TIME
V1=PRES1*0.1
V2=PRES2*0.1
R1=V1/0.06495
R2=V2/0.03084
*DIM,VALUE,,2,2
*DIM,LABEL3,CHAR,2
*DIM,LABEL,CHAR,2
*DIM,LABEL4,CHAR,2
*VFILL,VALUE(1,1),DATA,V1,V2
*VFILL,VALUE(1,2),DATA,R1,R2
LABEL3(1) = 'LIMIT1','LIMIT2'
LABEL(1) = 'vmr029-','vmr029-'
LABEL4(1) = 't7-185','t7-185'
/OUT,vmr029-t7-185,vrt
/COM
/COM,-------------- VMR029-T7  RESULTS COMPARISON ---------------
/COM,
/COM,          |    ANSYS    |   RATIO   |      INPUT      |
/COM,
/COM,SOLID185
*VWRITE,LABEL3(1),VALUE(1,1),VALUE(1,2),LABEL(1),LABEL4(1)
(1X,A6,'        ',F7.5,'      ',F7.5,'      ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr029-t7-185,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R029-t7 181 Input Listing 		Up / Home Next
VM-R029-t7 190 Input Listing


VM-R029-t7 190 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMR029-T7-190
/TITLE,VMR029-T7-190,LARGE DISPLACEMENT ELASTRIC RESPONSE OF A HINGED SPHERICAL SHELL UNDER UNIFORM PRESSURE LOADING
/COM, REF. NAFEMS ASSEMBLY BENCHMARK TESTS FOR 3D BEAMS AND SHELLS
/COM, TEST 3DNLG-7

/PREP7
L=1570
T=100
P=0.1
ET,1,190
MP,EX,1,69
MP,NUXY,1,0.3
K,1,
K,6,5*L/8,,0.00020285*((5*L/8)*(3*L/8))
K,9,L,,0
LARC,       1,       9,       6
K,15,,3*L/4,0.00020285*((3*L/4)*(L/4))
K,17,,L,0
LARC,       1,      17,      15
ADRAG,1,,,,,,2
VEXT,ALL,,,0,0,T/2,,,,
VEXT,1,,,0,0,-T/2,,,,
K,111,10000,1570,10000
K,112,10000,1570,-10000
K,113,-10000,1570,-10000
K,114,-10000,1570,10000
A,111,112,113,114
VSBA,1,12,,,KEEP
VSBA,2,12
VDELE,1,3
LESIZE,ALL,,,8
LESIZE,10,,,1
LESIZE,11,,,1
LESIZE,12,,,1
LESIZE,13,,,1
LESIZE,18,,,1
LESIZE,19,,,1
LESIZE,20,,,1
LESIZE,21,,,1
VMESH,ALL
NUMMRG,ALL, , , ,LOW
DL,26,,ALL,
DL,5,,ALL,
DL,2,,ALL,
DL,1,,ALL,
VSEL,S,,,4
ESLV,S
SFE,ALL,6,PRES,,P
ALLSEL,ALL
ESEL,S,,,1
ESEL,A,,,35
ESEL,A,,,92
CM,ELESOL,ELEM
ALLSEL,ALL
FINISH

/SOLU
NLGEOM,ON
NSUBST,200,1000,25
OUTRES,ALL,ALL
ARCLEN,1,,
AUTOTS,-1
SOLVE
FINISH
/SHOW,,jpeg

/OUT
/POST26
*DIM,X,TABLE,11,1
*DIM,Y,TABLE,11,1
X(1,1)= 0
Y(1,1)= 0
X(2,1)= 30
Y(2,1)= 0.042
X(3,1)= 60
Y(3,1)= 0.06
X(4,1)= 90
Y(4,1)= 0.063
X(5,1)= 120
Y(5,1)= 0.056
X(6,1)= 150
Y(6,1)= 0.048
X(7,1)= 180
Y(7,1)= 0.037
X(8,1)= 210
Y(8,1)= 0.031
X(9,1)= 240
Y(9,1)= 0.03
X(10,1)= 270
Y(10,1)= 0.05
X(11,1)= 300
Y(11,1)= 0.096
/XRANGE,0,420
/YRANGE,0,0.1
/AXLAB,X,CENTRAL DEFLECTION
/AXLAB,Y,APPLIED PRESSURE
/COLOR,CURVE,YGRE
*VPLOT,X(1,1),Y(1,1)
/NOERASE
NSOL,2,138,U,Z,DISP.
PROD,3,2,,,DISP.,,,-1.0,0,0,
PROD,7,1,,,LOAD,,,0.1,0,0,
/COLOR,CURVE,MRED
XVAR,3
PLVAR,7
PRVAR,1,,3,7
FINISH

/POST1
SET, , ,1, ,1.012, ,
*GET,VAL8,NODE,138,U,Z
*SET,UA_8,-1*VAL8
*GET,VAL9,NODE,219,U,Z
*SET,UA_9,-1*VAL9
*GET,VAL7,NODE,57,U,Z
*SET,UA_7,-1*VAL7
*DIM,LABEL1,CHAR,1,2
LABEL1(1,1) = '0.1012'
LABEL1(1,2) = '      '
*DIM,VALUE1,CHAR,1,2
VALUE1(1,1) = '303.1'
VALUE1(1,2) = '     '
*DIM,LABEL2,CHAR,1,3
LABEL2(1,1) = ' TOP '
LABEL2(1,2) = ' MID.'
LABEL2(1,3) = 'BOTT.'
*DIM,ERROR1,,1,3
*VFILL,ERROR1(1,1),DATA,UA_8
*VFILL,ERROR1(1,2),DATA,UA_7
*VFILL,ERROR1(1,3),DATA,UA_9

/OUT,
/COM,
/COM,  -------------      CENTRAL DISPLACEMENT      -------------
/COM,
/COM,                  |   NAFEMS   |       ANSYS         |
/COM,         |  LOAD  |  NUM.RES.  |  LAYER  |  SOL.190  |
/COM,
*VWRITE,LABEL1(1,1),VALUE1(1,1),LABEL2(1,1),ERROR1(1,1)
(1X,'           ',A6,'     ',A5,'       ',A5,'    ',F8.3)
*VWRITE,LABEL1(1,2),VALUE1(1,2),LABEL2(1,2),ERROR1(1,2)
(1X,'           ',A6,'     ',A5,'       ',A5,'    ',F8.3)
*VWRITE,LABEL1(1,2),VALUE1(1,2),LABEL2(1,3),ERROR1(1,3)
(1X,'           ',A6,'     ',A5,'       ',A5,'    ',F8.3)
/COM,
/COM,  ----------------------------------------------------------

ESEL,,,,ELESOL
NSLE
ESEL,ALL
PRNSOL,S,COMP
PRNSOL,EPTO,COMP

SET,1,11
*GET,PRES1,TIME
SET,1,21
*GET,PRES2,TIME
V1=PRES1*0.1
V2=PRES2*0.1
R1=V1/0.06495
R2=V2/0.03084
*DIM,VALUE,,2,2
*DIM,LABEL3,CHAR,3
*DIM,LABEL,CHAR,3
*DIM,LABEL4,CHAR,3
*VFILL,VALUE(1,1),DATA,V1,V2
*VFILL,VALUE(1,2),DATA,R1,R2
LABEL3(1) = 'LIMIT1','LIMIT2'
LABEL(1) = 'vmr029-','vmr029-'
LABEL4(1) = 't7-190','t7-190'
/OUT,vmr029-t7-190,vrt
/COM
/COM,-------------- VMR029-T7  RESULTS COMPARISON ---------------
/COM,
/COM,          |    ANSYS    |   RATIO   |      INPUT      |
/COM,
/COM,SOLSH190
*VWRITE,LABEL3(1),VALUE(1,1),VALUE(1,2),LABEL(1),LABEL4(1)
(1X,A6,'        ',F7.5,'      ',F7.5,'      ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr029-t7-190,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R029-t7 185 Input Listing 		Up / Home Next
VM-R029-t7 281 Input Listing


VM-R029-t7 281 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMR029-T7-281
/TITLE,VMR029-T7-281,LARGE DISPLACEMENT ELASTIC RESPONSE OF A HINGED SPHERICAL SHELL UNDER UNIFORM PRESSURE LOADING
/COM, REF. 'NAFEMS ASSEMBLY BENCHMARK TESTS FOR 3D BEAMS AND SHELLS
/COM,       TEST 3DNLG-7
/PREP7
L=1570
T=100
P=0.1
ET,1,281
R,1,100,100,100,100
RMODIF,1,7,30000,30000
MP,EX,1,69
MP,NUXY,1,0.3
K,1,
K,6,5*L/8,,0.00020285*((5*L/8)*(3*L/8))
K,9,L,,0
LARC,       1,       9,       6
K,15,,3*L/4,0.00020285*((3*L/4)*(L/4))
K,17,,L,0
LARC,       1,      17,      15
ADRAG,1, , , , , ,2
KWPAVE,2
WPRO,,90.000000,
ASBW,1
ADELE,2, , ,1
LSLA,S,1
LESIZE,ALL,,,16
AMESH,ALL
DL,ALL, ,UX,
DL,ALL, ,UY,
DL,ALL, ,UZ,
SFE,ALL,2,PRES,,P
ALLSEL,ALL
FINISH
/SOLVE
NLGEOM,ON
NSUBST,200,2000,25
OUTRES,ALL,ALL
ARCLEN,1,,
AUTOTS,-1
SOLVE
FINISH
/OUT
/POST26
*DIM,X,TABLE,11,1
*DIM,Y,TABLE,11,1
X(  1,1)= 0
Y(  1,1)= 0
X(  2,1)= 30
Y(  2,1)= 0.042
X(  3,1)= 60
Y(  3,1)= 0.06
X(  4,1)= 90
Y(  4,1)= 0.063
X(  5,1)= 120
Y(  5,1)= 0.056
X(  6,1)= 150
Y(  6,1)= 0.048
X(  7,1)= 180
Y(  7,1)= 0.037
X(  8,1)= 210
Y(  8,1)= 0.031
X(  9,1)= 240
Y(  9,1)= 0.03
X( 10,1)= 270
Y( 10,1)= 0.05
X( 11,1)= 300
Y( 11,1)= 0.096
/XRANGE,0,330
/YRANGE,0,0.1
/AXLAB,X,CENTRAL DEFLECTION
/AXLAB,Y,APPLIED PRESSURE
/GROPT,DIVX,11
/COLOR,CURVE,YGRE
*VPLOT,X(1,1),Y(1,1)
/NOERASE
NSOL,2,481,U,Z,DISP.          ! CENTER NODE
PROD,3,2, , ,DISP., , ,-1,0,0,
PROD,7,1, , ,LOAD, , ,0.1,0,0,
/COLOR,CURVE,MRED
XVAR,3
PLVAR,7
PRVAR,1,3,7
FINISH
/POST1
NSEL,S,NODE,,481             ! CENTER NODE
PRNSOL,U,COMP
SET,LAST
*GET,VAL8,NODE,481,U,Z
*SET,UA_8,-1*VAL8
*DIM,LABEL1,CHAR,1,2
LABEL1(1,1) = '0.1012'
LABEL1(1,2) = '      '
*DIM,VALUE1,CHAR,1,2
VALUE1(1,1) = '303.1'
*DIM,LABEL2,CHAR,1,3
LABEL2(1,1) = '481'
*DIM,ERROR1,,1,3
*VFILL,ERROR1(1,1),DATA,UA_8
/OUT,
/COM,
/COM,  -------------      CENTRAL DISPLACEMENT      -------------
/COM,
/COM,                  |   NAFEMS   |       ANSYS         |
/COM,         |  LOAD  |  NUM.RES.  |  NODE  |  SHL.281  |
/COM,
*VWRITE,LABEL1(1,1),VALUE1(1,1),LABEL2(1,1),ERROR1(1,1)
(1X,'           ',A6,'     ',A5,'       ',A4,'    ',F8.3)
/COM,
/COM,  ----------------------------------------------------------
SET,LIST
SET,1,12
*GET,PRES1,TIME
SET,1,23
*GET,PRES2,TIME
V1=PRES1*0.1
V2=PRES2*0.1
R1=V1/0.06495
R2=V2/0.03084
*DIM,VALUE,,2,2
*DIM,LABEL3,CHAR,2
*DIM,LABEL,CHAR,2
*DIM,LABEL4,CHAR,2
*VFILL,VALUE(1,1),DATA,V1,V2
*VFILL,VALUE(1,2),DATA,R1,R2
LABEL3(1) = 'LIMIT1','LIMIT2'
LABEL(1) = 'vmr029-','vmr029-'
LABEL4(1) = 't7-281','t7-281'
/OUT,vmr029-t7-281,vrt
/COM
/COM,-------------- VMR029-T7  RESULTS COMPARISON ---------------
/COM,
/COM,          |    ANSYS    |   RATIO   |      INPUT      |
/COM,
/COM,SHELL281
*VWRITE,LABEL3(1),VALUE(1,1),VALUE(1,2),LABEL(1),LABEL4(1)
(1X,A6,'        ',F7.5,'      ',F7.5,'      ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr029-t7-281,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R029-t7 190 Input Listing 		Up / Home Next
VM-R029-t9 181 Input Listing


VM-R029-t9 181 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY, VMR029-T9-181
/TITLE, VMR029-T9-181,LARGE ELASTIC DEFLECTION OF A PINCHED HEMISPHERICAL SHELL
/COM, REF. NAFEMS ASSEMBLY BENCHMARK TESTS FOR 3D BEAMS AND SHELLS
/COM,       TEST 3DNLG-9
/PREP7
RM=10.00
T=0.04
THETA=18
F=100.0
ET,1,181
R,1,0.04,0.04,0.04,0.04
MP,EX,1,6.825E7
MP,NUXY,1,0.3
K,1,
K,2,,RM
PCIRC,RM,RM+T,0,90-THETA,
AROTAT,3, , , , , ,1,2,-90, ,
LESIZE,ALL,,,8
AMESH,2
NSEL,S,LOC,Z,RM
NSEL,R,LOC,X,0
NSEL,R,LOC,Y,0
D,ALL,UY,0.0
CSYS,2
NSEL,S,LOC,X,RM
NSEL,R,LOC,Y,0
NSEL,R,LOC,Z,0
F,ALL,FX,F
NSEL,S,LOC,X,RM
NSEL,R,LOC,Y,0
NSEL,R,LOC,Z,90
F,ALL,FX,-1*F
NSEL,S,LOC,Z,0
NSEL,R,LOC,Y,0,90
DSYM,SYMM,Z,2
NSEL,S,LOC,Y,90
NSEL,R,LOC,Z,0,91
DSYM,SYMM,Y,2
NSEL,S,LOC,Y,0
NSEL,R,LOC,Z,90
DSYM,SYMM,Z,2
ALLSEL,ALL
FINISH
/SOLU
NLGEOM,ON
AUTOTS,ON
NSUBST,100,100000,40
OUTRES,ALL,ALL
SOLVE
FINISH
/POST26
*DIM,XA,TABLE,11,1
*DIM,YA,TABLE,11,1
XA(  1,1)= 0
YA(  1,1)= 0
XA(  2,1)= 10
YA(  2,1)= 1.0
XA(  3,1)= 20
YA(  3,1)= 1.75
XA(  4,1)= 30
YA(  4,1)= 2.625
XA(  5,1)= 40
YA(  5,1)= 3.23
XA(  6,1)= 50
YA(  6,1)= 3.875
XA(  7,1)= 60
YA(  7,1)= 4.29
XA(  8,1)= 70
YA(  8,1)= 4.815
XA(  9,1)= 80
YA(  9,1)= 5.185
XA( 10,1)= 90
YA( 10,1)= 5.52
XA( 11,1)= 100
YA( 11,1)= 5.875
/XRANGE,0,100
/YRANGE,0,6
/AXLAB,X,LOAD
/AXLAB,Y,RADIAL DISPLACEMENT
/COLOR,CURVE,YGRE
/GCOLUMN,1,REF.
*VPLOT,XA(1,1),YA(1,1)
/NOERASE
NSOL,2,2,U,X,UR_A
PROD,3,2, , ,'   URATA', , ,-1.0,0,0,
PROD,7,1, , ,LOAD, , ,100.0,0,0,
/COLOR,CURVE,MRED
XVAR,7
PLVAR,3
/NOERASE
*DIM,XB,TABLE,11,1
*DIM,YB,TABLE,11,1
XB(  1,1)= 0
YB(  1,1)= 0
XB(  2,1)= 10
YB(  2,1)= 0.88
XB(  3,1)= 20
YB(  3,1)= 1.5
XB(  4,1)= 30
YB(  4,1)= 2
XB(  5,1)= 40
YB(  5,1)= 2.30
XB(  6,1)= 50
YB(  6,1)= 2.63
XB(  7,1)= 60
YB(  7,1)= 2.82
XB(  8,1)= 70
YB(  8,1)= 3
XB(  9,1)= 80
YB(  9,1)= 3.16
XB( 10,1)= 90
YB( 10,1)= 3.30
XB( 11,1)= 100
YB( 11,1)= 3.42
/COLOR,CURVE,YGRE
/GCOLUMN,1,REF.
*VPLOT,XB(1,1),YB(1,1)
/NOERASE
NSOL,5,1,U,X,'   URATB'
/COLOR,CURVE,MRED
XVAR,7
PLVAR,5
FINISH
/POST1
NSEL,ALL
SET,1,42
*GET,UB,NODE,1,U,X
*GET,UA,NODE,2,U,Z
RA=UA/(-5.9)
RB=UB/3.42
*DIM,VALUE3,,2,2
*DIM,LABEL2,CHAR,2
*DIM,LABEL4,CHAR,2
*DIM,LABEL5,CHAR,2
LABEL2(1) = 'NODE A','NODE B',
LABEL4(1) = 'vmr029-','vmr029-'
LABEL5(1) = 't9-181','t9-181'
*VFILL,VALUE3(1,1),DATA,UA,UB
*VFILL,VALUE3(1,2),DATA,RA,RB
/OUT,vmr029-t9-181,vrt
/COM
/COM,-------------- VMR029-T9 RESULTS COMPARISON ---------------
/COM,
/COM,          |    ANSYS    |   RATIO   |      INPUT      |
/COM,
/COM,SHELL181
*VWRITE,LABEL2(1),VALUE3(1,1),VALUE3(1,2),LABEL4(1),LABEL5(1)
(1X,A6,'       ',F7.4,'      ',F7.4,'      ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr029-t9-181,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R029-t7 281 Input Listing 		Up / Home Next
VM-R029-t9 185 Input Listing


VM-R029-t9 185 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMR029-T9-185
/TITLE,VMR029-T9-185,LARGE ELASTIC DEFLECTION OF A PINCHED HEMISPHERICAL SHELL
/COM, REF. NAFEMS ASSEMBLY BENCHMARK TESTS FOR 3D BEAMS AND SHELLS
/COM, TEST 3DNLG-9

/PREP7
RM=10.02
T=0.04
THETA=18
F=100.0
ET,1,185
KEYOPT,1,2,2
MP,EX,1,6.825E7
MP,NUXY,1,0.3
K,1,
K,2,,RM+2*T
PCIRC,RM+T/2,RM-T/2,0,90-THETA,
VROTAT,ALL,,,,,,1,2,-90,,
LESIZE,ALL,,,32
LESIZE,2,,,1
LESIZE,4,,,1
LESIZE,6,,,1
LESIZE,8,,,1
VMESH,ALL
NSEL,S,LOC,Z,RM+T/2,RM+T
NSEL,R,LOC,X,0
NSEL,R,LOC,Y,0
D,ALL,UY,0.0
CSYS,2
NSEL,S,LOC,X,RM+T/2,RM+T
NSEL,R,LOC,Y,0
NSEL,R,LOC,Z,0
F,ALL,FX,F
NSEL,S,LOC,X,RM+T/2,RM+T
NSEL,R,LOC,Y,0
NSEL,R,LOC,Z,90
NROTAT,ALL
F,ALL,FX,-1*F
NSEL,S,LOC,Z,0
NSEL,R,LOC,Y,0,90
DSYM,SYMM,Z,2
NSEL,S,LOC,Y,90
NSEL,R,LOC,Z,0,91
DSYM,SYMM,Y,2
NSEL,S,LOC,Y,0
NSEL,R,LOC,Z,90
DSYM,SYMM,Z,2
ALLSEL,ALL
ESEL,S,,,1
ESEL,A,,,120
ESEL,A,,,1024
CM,ELESOL,ELEM
ALLSEL,ALL
FINISH

/SOLU
NLGEOM,ON
AUTOTS,ON
NSUBST,100,100000,10
OUTRES,ALL,ALL
SOLVE
FINISH

/SHOW,,jpeg
/POST26
*DIM,XA,TABLE,11,1
*DIM,YA,TABLE,11,1
XA(1,1)= 0
YA(1,1)= 0
XA(2,1)= 10
YA(2,1)= 1.0
XA(3,1)= 20
YA(3,1)= 1.75
XA(4,1)= 30
YA(4,1)= 2.625
XA(5,1)= 40
YA(5,1)= 3.23
XA(6,1)= 50
YA(6,1)= 3.875
XA(7,1)= 60
YA(7,1)= 4.29
XA(8,1)= 70
YA(8,1)= 4.815
XA(9,1)= 80
YA(9,1)= 5.185
XA(10,1)= 90
YA(10,1)= 5.52
XA(11,1)= 100
YA(11,1)= 5.875
/XRANGE,0,100
/YRANGE,0,6
/AXLAB,X,LOAD
/AXLAB,Y,DISPLACEMENT
/COLOR,CURVE,YGRE
/GCOLUMN,1,REF.
*VPLOT,XA(1,1),YA(1,1)

/NOERASE
NSOL,2,2,U,X,UR_A
PROD,3,2, , ,UR AT A, , ,-1.0,0,0,
PROD,7,1, , ,LOAD, , ,100.0,0,0,
/COLOR,CURVE,MRED
XVAR,7
PLVAR,3
/NOERASE
*DIM,XB,TABLE,11,1
*DIM,YB,TABLE,11,1
XB(1,1)= 0
YB(1,1)= 0
XB(2,1)= 10
YB(2,1)= 0.88
XB(3,1)= 20
YB(3,1)= 1.5
XB(4,1)= 30
YB(4,1)= 2
XB(5,1)= 40
YB(5,1)= 2.30
XB(6,1)= 50
YB(6,1)= 2.63
XB(7,1)= 60
YB(7,1)= 2.82
XB(8,1)= 70
YB(8,1)= 3
XB(9,1)= 80
YB(9,1)= 3.16
XB(10,1)= 90
YB(10,1)= 3.30
XB(11,1)= 100
YB(11,1)= 3.42

/COLOR,CURVE,YGRE
/GCOLUMN,1,REF.
*VPLOT,XB(1,1),YB(1,1)
/NOERASE
NSOL,5,1,U,X,UR AT B
/COLOR,CURVE,MRED
XVAR,7
PLVAR,5
FINISH

/POST1
RSYS,2
SET, , ,1, ,0.4, ,
*GET,UB_4,NODE,1,U,X
*GET,UA_4,NODE,2,U,X
SET, , ,1, ,0.6, ,
*GET,UB_6,NODE,1,U,X
*GET,UA_6,NODE,2,U,X
SET, , ,1, ,0.9, ,
*GET,UB_9,NODE,1,U,X
*GET,UA_9,NODE,2,U,X
SET, , ,1, ,1.0, ,
*GET,UB_10,NODE,1,U,X
*GET,UA_10,NODE,2,U,X

*DIM,LABEL1,CHAR,1,4
LABEL1(1,1) = '40'
LABEL1(1,2) = '60'
LABEL1(1,3) = '90'
LABEL1(1,4) = '100'

*DIM,VALUE1,CHAR,1,4
VALUE1(1,1) = '-3.28'
VALUE1(1,2) = '-4.36'
VALUE1(1,3) = '-5.61'
VALUE1(1,4) = '-5.9 '

*DIM,VALUE2,CHAR,1,4
VALUE2(1,1) = '-3.23'
VALUE2(1,2) = '-4.29'
VALUE2(1,3) = '-5.52'
VALUE2(1,4) = '     '

*DIM,ERROR1,,1,4
*VFILL,ERROR1(1,1),DATA,UA_4
*VFILL,ERROR1(1,2),DATA,UA_6
*VFILL,ERROR1(1,3),DATA,UA_9
*VFILL,ERROR1(1,4),DATA,UA_10

/COM,                     N O T E
/COM, NUMERICAL RESULTS FROM NAFEMS TEST MAY APPEAR MORE
/COM, ACCURATE THAN SOLID185 BECAUSE THOSE ARE SHELL RESULTS.

/COM,
/COM,  ------   RADIAL DISPLACEMENT UNDER LOAD (NODE A(2))  ------
/COM,
/COM,                  |      NAFEMS TEST      |   ANSYS   |
/COM,         |  LOAD  |   REF.   |  NUM.RES.  |  SOL.185  |
/COM,
*VWRITE,LABEL1(1,1),VALUE2(1,1),VALUE1(1,1),ERROR1(1,1)
(1X,'             ',A3,'     ',A5,'       ',A5,'      ',F8.5)
*VWRITE,LABEL1(1,2),VALUE2(1,2),VALUE1(1,2),ERROR1(1,2)
(1X,'             ',A3,'     ',A5,'       ',A5,'      ',F8.5)
*VWRITE,LABEL1(1,3),VALUE2(1,3),VALUE1(1,3),ERROR1(1,3)
(1X,'             ',A3,'     ',A5,'       ',A5,'      ',F8.5)
*VWRITE,LABEL1(1,4),VALUE2(1,4),VALUE1(1,4),ERROR1(1,4)
(1X,'             ',A3,'     ',A5,'       ',A5,'      ',F8.5)
/COM,
/COM,  ----------------------------------------------------------

*DIM,LABELB,CHAR,1,4
LABELB(1,1) = '40'
LABELB(1,2) = '60'
LABELB(1,3) = '90'
LABELB(1,4) = '100'

*DIM,VALUEB,CHAR,1,4
VALUEB(1,1) = '2.33'
VALUEB(1,2) = '2.83'
VALUEB(1,3) = '3.31'
VALUEB(1,4) = '3.42'

*DIM,VALUEB1,CHAR,1,4
VALUEB1(1,1) = '2.30'
VALUEB1(1,2) = '2.82'
VALUEB1(1,3) = '3.30'
VALUEB1(1,4) = '    '

*DIM,ERRORB,,1,4
*VFILL,ERRORB(1,1),DATA,UB_4
*VFILL,ERRORB(1,2),DATA,UB_6
*VFILL,ERRORB(1,3),DATA,UB_9
*VFILL,ERRORB(1,4),DATA,UB_10

/OUT,
/COM,
/COM,
/COM,  ------  RADIAL DISPLACEMENT UNDER LOAD (NODE B(1))  ------
/COM,
/COM,                  |    NAFEMS TEST      |   ANSYS   |
/COM,         |  LOAD  |  REF.  |  NUM.RES.  |  SOL.185  |
/COM,
*VWRITE,LABELB(1,1),VALUEB1(1,1),VALUEB(1,1),ERRORB(1,1)
(1X,'             ',A3,'     ',A4,'       ',A4,'      ',F8.5)
*VWRITE,LABELB(1,2),VALUEB1(1,2),VALUEB(1,2),ERRORB(1,2)
(1X,'             ',A3,'     ',A4,'       ',A4,'      ',F8.5)
*VWRITE,LABELB(1,3),VALUEB1(1,3),VALUEB(1,3),ERRORB(1,3)
(1X,'             ',A3,'     ',A4,'       ',A4,'      ',F8.5)
*VWRITE,LABELB(1,4),VALUEB1(1,4),VALUEB(1,4),ERRORB(1,4)
(1X,'             ',A3,'     ',A4,'       ',A4,'      ',F8.5)
/COM,
/COM,  ----------------------------------------------------------

ESEL,,,,ELESOL
NSLE
ESEL,ALL
PRNSOL,S,COMP
PRNSOL,EPTO,COMP
FINISH

/POST1
NSEL,ALL
SET,1,16
*GET,UB,NODE,1,U,X
*GET,UA,NODE,2,U,X
RA=UA/(-5.9)
RB=UB/3.42
*DIM,VALUE3,,2,2
*DIM,LABEL2,CHAR,2
*DIM,LABEL4,CHAR,2
*DIM,LABEL5,CHAR,2
LABEL2(1) = 'NODE A','NODE B',
LABEL4(1) = 'vmr029-','vmr029-'
LABEL5(1) = 't9-185','t9-185'
*VFILL,VALUE3(1,1),DATA,UA,UB
*VFILL,VALUE3(1,2),DATA,RA,RB
/OUT,vmr029-t9-185,vrt
/COM
/COM,-------------- VMR029-T9  RESULTS COMPARISON ---------------
/COM,
/COM,          |    ANSYS    |   RATIO   |      INPUT      |
/COM,
/COM,SOLID185
*VWRITE,LABEL2(1),VALUE3(1,1),VALUE3(1,2),LABEL4(1),LABEL5(1)
(1X,A6,'       ',F7.4,'      ',F7.4,'      ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr029-t9-185,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R029-t9 181 Input Listing 		Up / Home Next
VM-R029-t9 190 Input Listing


VM-R029-t9 190 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMR029-T9-190
/TITLE,VMR029-T9-190,LARGE ELASTIC DEFLECTION OF A PINCHED HEMISPHERICAL SHELL
/COM, REF. NAFEMS ASSEMBLY BENCHMARK TESTS FOR 3D BEAMS AND SHELLS TEST 3DNLG-9

/PREP7
RM=10.02
T=0.04
THETA=18
F=100.0
ET,1,190
MP,EX,1,6.825E7
MP,NUXY,1,0.3
K,1,
K,2,,RM+2*T
PCIRC,RM+T/2,RM-T/2,0,90-THETA,
VROTAT,ALL, , , , , ,1,2,-90, ,
LESIZE,ALL,,,32
LESIZE,2,,,1
LESIZE,4,,,1
LESIZE,6,,,1
LESIZE,8,,,1
VEORIENT,1,THIN
VMESH,ALL
NSEL,S,LOC,Z,RM+T/2,RM+T
NSEL,R,LOC,X,0
NSEL,R,LOC,Y,0
D,ALL,UY,0.0
CSYS,2
NSEL,S,LOC,X,RM+T/2,RM+T
NSEL,R,LOC,Y,0
NSEL,R,LOC,Z,0
F,ALL,FX,F
NSEL,S,LOC,X,RM+T/2,RM+T
NSEL,R,LOC,Y,0
NSEL,R,LOC,Z,90
NROTAT,ALL
F,ALL,FX,-1*F
NSEL,S,LOC,Z,0
NSEL,R,LOC,Y,0,90
DSYM,SYMM,Z,2
NSEL,S,LOC,Y,90
NSEL,R,LOC,Z,0,91
DSYM,SYMM,Y,2
NSEL,S,LOC,Y,0
NSEL,R,LOC,Z,90
DSYM,SYMM,Z,2
ALLSEL,ALL
ESEL,S,,,1
ESEL,A,,,120
ESEL,A,,,1024
CM,ELESOL,ELEM
ALLSEL,ALL
FINISH

/SOLU
NLGEOM,ON
AUTOTS,ON
NSUBST,100,100000,40
OUTRES,ALL,ALL
SOLVE
FINISH

/SHOW,,jpeg
/POST26
*DIM,XA,TABLE,11,1
*DIM,YA,TABLE,11,1
XA(  1,1)= 0
YA(  1,1)= 0
XA(  2,1)= 10
YA(  2,1)= 1.0
XA(  3,1)= 20
YA(  3,1)= 1.75
XA(  4,1)= 30
YA(  4,1)= 2.625
XA(  5,1)= 40
YA(  5,1)= 3.23
XA(  6,1)= 50
YA(  6,1)= 3.875
XA(  7,1)= 60
YA(  7,1)= 4.29
XA(  8,1)= 70
YA(  8,1)= 4.815
XA(  9,1)= 80
YA(  9,1)= 5.185
XA( 10,1)= 90
YA( 10,1)= 5.52
XA( 11,1)= 100
YA( 11,1)= 5.875
/XRANGE,0,100
/YRANGE,0,6
/AXLAB,X,LOAD
/AXLAB,Y,RADIAL DISPLACEMENT
/COLOR,CURVE,YGRE
/GCOLUMN,1,REF.
*VPLOT,XA(1,1),YA(1,1)
/NOERASE
NSOL,2,2,U,X,UR_A
PROD,3,2, , ,'   URATA', , ,-1.0,0,0,
PROD,7,1, , ,LOAD, , ,100.0,0,0,
/COLOR,CURVE,MRED
XVAR,7
PLVAR,3
/NOERASE
*DIM,XB,TABLE,11,1
*DIM,YB,TABLE,11,1
XB(  1,1)= 0
YB(  1,1)= 0
XB(  2,1)= 10
YB(  2,1)= 0.88
XB(  3,1)= 20
YB(  3,1)= 1.5
XB(  4,1)= 30
YB(  4,1)= 2
XB(  5,1)= 40
YB(  5,1)= 2.30
XB(  6,1)= 50
YB(  6,1)= 2.63
XB(  7,1)= 60
YB(  7,1)= 2.82
XB(  8,1)= 70
YB(  8,1)= 3
XB(  9,1)= 80
YB(  9,1)= 3.16
XB( 10,1)= 90
YB( 10,1)= 3.30
XB( 11,1)= 100
YB( 11,1)= 3.42
/COLOR,CURVE,YGRE
/GCOLUMN,1,REF.
*VPLOT,XB(1,1),YB(1,1)
/NOERASE
NSOL,5,1,U,X,'   URATB'
/COLOR,CURVE,MRED
XVAR,7
PLVAR,5
FINISH

/POST1
RSYS,2
SET, , ,1, ,0.4, ,
*GET,UB_4,NODE,1,U,X
*GET,UA_4,NODE,2,U,X
SET, , ,1, ,0.6, ,
*GET,UB_6,NODE,1,U,X
*GET,UA_6,NODE,2,U,X
SET, , ,1, ,0.9, ,
*GET,UB_9,NODE,1,U,X
*GET,UA_9,NODE,2,U,X
SET, , ,1, ,1.0, ,
*GET,UB_10,NODE,1,U,X
*GET,UA_10,NODE,2,U,X

*DIM,LABEL1,CHAR,1,4
LABEL1(1,1) = '40'
LABEL1(1,2) = '60'
LABEL1(1,3) = '90'
LABEL1(1,4) = '100'

*DIM,VALUE1,CHAR,1,4
VALUE1(1,1) = '-3.28'
VALUE1(1,2) = '-4.36'
VALUE1(1,3) = '-5.61'
VALUE1(1,4) = '-5.9 '

*DIM,VALUE2,CHAR,1,4
VALUE2(1,1) = '-3.23'
VALUE2(1,2) = '-4.29'
VALUE2(1,3) = '-5.52'
VALUE2(1,4) = '     '

*DIM,ERROR1,,1,4
*VFILL,ERROR1(1,1),DATA,UA_4
*VFILL,ERROR1(1,2),DATA,UA_6
*VFILL,ERROR1(1,3),DATA,UA_9
*VFILL,ERROR1(1,4),DATA,UA_10

/COM,
/COM,  ------   RADIAL DISPLACEMENT UNDER LOAD (NODE A(2))  ------
/COM,
/COM,                  |      NAFEMS TEST      |   ANSYS   |
/COM,         |  LOAD  |   REF.   |  NUM.RES.  |  SOL.190  |
/COM,
*VWRITE,LABEL1(1,1),VALUE2(1,1),VALUE1(1,1),ERROR1(1,1)
(1X,'             ',A3,'     ',A5,'       ',A5,'      ',F8.5)
*VWRITE,LABEL1(1,2),VALUE2(1,2),VALUE1(1,2),ERROR1(1,2)
(1X,'             ',A3,'     ',A5,'       ',A5,'      ',F8.5)
*VWRITE,LABEL1(1,3),VALUE2(1,3),VALUE1(1,3),ERROR1(1,3)
(1X,'             ',A3,'     ',A5,'       ',A5,'      ',F8.5)
*VWRITE,LABEL1(1,4),VALUE2(1,4),VALUE1(1,4),ERROR1(1,4)
(1X,'             ',A3,'     ',A5,'       ',A5,'      ',F8.5)
/COM,
/COM,  ----------------------------------------------------------

*DIM,LABELB,CHAR,1,4
LABELB(1,1) = '40'
LABELB(1,2) = '60'
LABELB(1,3) = '90'
LABELB(1,4) = '100'

*DIM,VALUEB,CHAR,1,4
VALUEB(1,1) = '2.33'
VALUEB(1,2) = '2.83'
VALUEB(1,3) = '3.31'
VALUEB(1,4) = '3.42'

*DIM,VALUEB1,CHAR,1,4
VALUEB1(1,1) = '2.30'
VALUEB1(1,2) = '2.82'
VALUEB1(1,3) = '3.30'
VALUEB1(1,4) = '    '

*DIM,ERRORB,,1,4
*VFILL,ERRORB(1,1),DATA,UB_4
*VFILL,ERRORB(1,2),DATA,UB_6
*VFILL,ERRORB(1,3),DATA,UB_9
*VFILL,ERRORB(1,4),DATA,UB_10

/OUT,
/COM,
/COM,  ------  RADIAL DISPLACEMENT UNDER LOAD (NODE B(1))  ------
/COM,
/COM,                  |    NAFEMS TEST      |   ANSYS   |
/COM,         |  LOAD  |  REF.  |  NUM.RES.  |  SOL.190  |
/COM,
*VWRITE,LABELB(1,1),VALUEB1(1,1),VALUEB(1,1),ERRORB(1,1)
(1X,'             ',A3,'     ',A4,'       ',A4,'      ',F8.5)
*VWRITE,LABELB(1,2),VALUEB1(1,2),VALUEB(1,2),ERRORB(1,2)
(1X,'             ',A3,'     ',A4,'       ',A4,'      ',F8.5)
*VWRITE,LABELB(1,3),VALUEB1(1,3),VALUEB(1,3),ERRORB(1,3)
(1X,'             ',A3,'     ',A4,'       ',A4,'      ',F8.5)
*VWRITE,LABELB(1,4),VALUEB1(1,4),VALUEB(1,4),ERRORB(1,4)
(1X,'             ',A3,'     ',A4,'       ',A4,'      ',F8.5)
/COM,
/COM,  ----------------------------------------------------------

ESEL,,,,ELESOL
NSLE
ESEL,ALL
PRNSOL,S,COMP
PRNSOL,EPTO,COMP
FINISH

/POST1
NSEL,ALL
SET,LAST
*GET,UB,NODE,1,U,X
*GET,UA,NODE,2,U,X
RA=UA/(-5.9)
RB=UB/3.42
*DIM,VALUE3,,2,2
*DIM,LABEL2,CHAR,2
*DIM,LABEL4,CHAR,2
*DIM,LABEL5,CHAR,2
LABEL2(1) = 'NODE A','NODE B',
LABEL4(1) = 'vmr029-','vmr029-'
LABEL5(1) = 't9-190','t9-190'
*VFILL,VALUE3(1,1),DATA,UA,UB
*VFILL,VALUE3(1,2),DATA,RA,RB
/OUT,vmr029-t9-190,vrt
/COM
/COM,-------------- VMR029-T9 RESULTS COMPARISON ---------------
/COM,
/COM,          |    ANSYS    |   RATIO   |      INPUT      |
/COM,
/COM,SOLSH190
*VWRITE,LABEL2(1),VALUE3(1,1),VALUE3(1,2),LABEL4(1),LABEL5(1)
(1X,A6,'       ',F7.4,'      ',F7.4,'      ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr029-t9-190,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R029-t9 185 Input Listing 		Up / Home Next
VM-R029-t9 281 Input Listing


VM-R029-t9 281 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY, VMR029-T9-281
/TITLE, VMR029-T9-281,LARGE ELASTIC DEFLECTION OF A PINCHED HEMISPHERICAL SHELL
/COM, REF. NAFEMS ASSEMBLY BENCHMARK TESTS FOR 3D BEAMS AND SHELLS
/COM,       TEST 3DNLG-9

/PREP7
RM=10.00
T=0.04
THETA=18
F=100.0
ET,1,SHELL281
R,1,0.04,0.04,0.04,0.04
MP,EX,1,6.825E7
MP,NUXY,1,0.3
K,1,
K,2,,RM
PCIRC,RM,RM+T,0,90-THETA,
AROTAT,3, , , , , ,1,2,-90, ,
LESIZE,ALL,,,8
AMESH,2
NSEL,S,LOC,Z,RM
NSEL,R,LOC,X,0
NSEL,R,LOC,Y,0
D,ALL,UY,0.0
CSYS,2
NSEL,S,LOC,X,RM
NSEL,R,LOC,Y,0
NSEL,R,LOC,Z,0
F,ALL,FX,F
NSEL,S,LOC,X,RM
NSEL,R,LOC,Y,0
NSEL,R,LOC,Z,90
F,ALL,FX,-1*F
NSEL,S,LOC,Z,0
NSEL,R,LOC,Y,0,90
DSYM,SYMM,Z,2
NSEL,S,LOC,Y,90
NSEL,R,LOC,Z,0,91
DSYM,SYMM,Y,2
NSEL,S,LOC,Y,0
NSEL,R,LOC,Z,90
DSYM,SYMM,Z,2
ALLSEL,ALL
FINISH

/SOLU
NLGEOM,ON
AUTOTS,ON
NSUBST,100,100000,35
OUTRES,ALL,ALL
SOLVE
FINISH

/SHOW,,jpeg
/POST26
*DIM,XA,TABLE,11,1
*DIM,YA,TABLE,11,1
XA(  1,1)= 0
YA(  1,1)= 0
XA(  2,1)= 10
YA(  2,1)= 1.0
XA(  3,1)= 20
YA(  3,1)= 1.75
XA(  4,1)= 30
YA(  4,1)= 2.625
XA(  5,1)= 40
YA(  5,1)= 3.23
XA(  6,1)= 50
YA(  6,1)= 3.875
XA(  7,1)= 60
YA(  7,1)= 4.29
XA(  8,1)= 70
YA(  8,1)= 4.815
XA(  9,1)= 80
YA(  9,1)= 5.185
XA( 10,1)= 90
YA( 10,1)= 5.52
XA( 11,1)= 100
YA( 11,1)= 5.875
/XRANGE,0,100
/YRANGE,0,6
/AXLAB,X,LOAD
/AXLAB,Y,RADIAL DISPLACEMENT
/COLOR,CURVE,YGRE
/GCOLUMN,1,REF.
*VPLOT,XA(1,1),YA(1,1)
/NOERASE
NSOL,2,2,U,X,UR_A
PROD,3,2, , ,'   URATA', , ,-1.0,0,0,
PROD,7,1, , ,LOAD, , ,100.0,0,0,
/COLOR,CURVE,MRED
XVAR,7
PLVAR,3
/NOERASE
*DIM,XB,TABLE,11,1
*DIM,YB,TABLE,11,1
XB(  1,1)= 0
YB(  1,1)= 0
XB(  2,1)= 10
YB(  2,1)= 0.88
XB(  3,1)= 20
YB(  3,1)= 1.5
XB(  4,1)= 30
YB(  4,1)= 2
XB(  5,1)= 40
YB(  5,1)= 2.30
XB(  6,1)= 50
YB(  6,1)= 2.63
XB(  7,1)= 60
YB(  7,1)= 2.82
XB(  8,1)= 70
YB(  8,1)= 3
XB(  9,1)= 80
YB(  9,1)= 3.16
XB( 10,1)= 90
YB( 10,1)= 3.30
XB( 11,1)= 100
YB( 11,1)= 3.42
/COLOR,CURVE,YGRE
/GCOLUMN,1,REF.
*VPLOT,XB(1,1),YB(1,1)
/NOERASE
NSOL,5,1,U,X,'   URATB'
/COLOR,CURVE,MRED
XVAR,7
PLVAR,5
FINISH

/POST1
NSEL,ALL
SET,LAST
*GET,UB,NODE,1,U,X
*GET,UA,NODE,2,U,Z
RA=UA/(-5.9)
RB=UB/3.42
*DIM,VALUE3,,2,2
*DIM,LABEL2,CHAR,2
*DIM,LABEL4,CHAR,2
*DIM,LABEL5,CHAR,2
LABEL2(1) = 'NODE A','NODE B',
LABEL4(1) = 'vmr029-','vmr029-'
LABEL5(1) = 't9-281','t9-281'
*VFILL,VALUE3(1,1),DATA,UA,UB
*VFILL,VALUE3(1,2),DATA,RA,RB
/OUT,vmr029-t9-281,vrt
/COM
/COM,-------------- VMR029-T9 RESULTS COMPARISON ---------------
/COM,
/COM,          |    ANSYS    |   RATIO   |      INPUT      |
/COM,
/COM,SHELL281
*VWRITE,LABEL2(1),VALUE3(1,1),VALUE3(1,2),LABEL4(1),LABEL5(1)
(1X,A6,'       ',F7.4,'      ',F7.4,'      ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr029-t9-281,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R029-t9 190 Input Listing 		Up / Home Next
VM-R049-1A 181 Input Listing


VM-R049-1A 181 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-cr1a-181
/TITLE,vmr049-cr1a-181,CONSTANT-LOAD CREEP BENCHMARK
/COM, REFERENCE: TEST CR-1A FROM NAFEMS REPORT 0049.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(TIME HARDENING)***
*SET,C1,3.125E-14
*SET,C2,5
*SET,C3,0
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,0
TOFF,1E-10
TB,CREEP,1,,,2
TBDATA,1,C1,C2,C3,C4
SAVE
N,1,0,0,0
N,2,100,0
N,3,100,50
N,4,0,50
N,5,100,100
N,6,0,100
ET,1,181,,,
R,1,1,1,1,1,
E,1,2,3,4
E,4,3,5,6
NSEL,S,LOC,X,
D,ALL,UX,
NSEL,ALL
NSEL,S,,,4
D,ALL,UY,
NSEL,ALL
D,ALL,ROTX
D,ALL,ROTY

*DO,I,1,2,1

*IF,I,EQ,2,THEN
/PREP7
TB,HILL,1
TBDATA,1, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0
*ENDIF

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-200
NSEL,ALL
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON, ON
DELT,100,1,100
AUTOS,OFF
TIME,1000
/OUTPUT,SCRATCH
OUTRES,ALL,ALL
SOLVE
/OUT
FINISH

*IF,I,EQ,1,THEN
/POST26
ESOL,2,1,,EPCR,X
ESOL,3,1,,EPCR,Y
PRVAR,2,3
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/COLOR,CURVE,RED,1
/YRANGE,-5,10
PLVAR,2,3
FINISH

/POST1
SET,1,1
*GET,S1,NODE,3,EPCR,X
R1=1.00
SET,2,2
*GET,S2,NODE,3,EPCR,X
R2=S2/2
SET,2,4
*GET,S3,NODE,3,EPCR,X
R3=S3/4
SET,2,6
*GET,S4,NODE,3,EPCR,X
R4=S4/6
SET,2,8
*GET,S5,NODE,3,EPCR,X
R5=S5/8
SET,2,10
*GET,S6,NODE,3,EPCR,X
R6=S6/10

*DIM,VALUE,,6,6
*DIM,LABEL,CHAR,10
LABEL(1) = '0','200','400','600','800','1000'
*VFILL,VALUE(1,1),DATA,0,2,4,6,8,10
*VFILL,VALUE(1,2),DATA,S1,S2,S3,S4,S5,S6
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6

/POST1
SET,1,1
*GET,S1_Y,NODE,3,EPCR,Y
R7=1.00
SET,2,2
*GET,S2_Y,NODE,3,EPCR,Y
R8=S2_Y/(-1.0)
SET,2,4
*GET,S3_Y,NODE,3,EPCR,Y
R9=S3_Y/(-2.0)
SET,2,6
*GET,S4_Y,NODE,3,EPCR,Y
R10=S4_Y/(-3.0)
SET,2,8
*GET,S5_Y,NODE,3,EPCR,Y
R11=S5_Y/(-4.0)
SET,2,10
*GET,S6_Y,NODE,3,EPCR,Y
R12=S6_Y/(-5.0)
LABEL(1) = '0','200','400','600','800','1000'
*VFILL,VALUE(1,4),DATA,0,-1,-2,-3,-4,-5
*VFILL,VALUE(1,5),DATA,S1_Y,S2_Y,S3_Y,S4_Y,S5_Y,S6_Y
*VFILL,VALUE(1,6),DATA,R7,R8,R9,R10,R11,R12
*ENDIF

*IF,I,EQ,2,THEN
/COM,
/COM,  ANISOTROPIC CREEP MODELED AS ISOTROPIC /COM,

/POST26
ESOL,3,1,,EPCR,X
ESOL,4,1,,EPCR,Y
PRVAR,2
/AXLAB,X,TIME
/AXLAB,Y,ANISOTROPIC CREEP STRAIN
/COLOR,CURVE,BLUE,1
/YRANGE,-5,10
PLVAR,3,4
FINISH

/POST1
SET,1,1
*GET,S11,NODE,3,EPCR,X
R11=1.00
SET,2,2
*GET,S22,NODE,3,EPCR,X
R22=S22/2
SET,2,4
*GET,S33,NODE,3,EPCR,X
R33=S33/4
SET,2,6
*GET,S44,NODE,3,EPCR,X
R44=S44/6
SET,2,8
*GET,S55,NODE,3,EPCR,X
R55=S55/8
SET,2,10
*GET,S66,NODE,3,EPCR,X
R66=S66/10

*DIM,VALUE2,,6,6
*VFILL,VALUE2(1,1),DATA,0,2,4,6,8,10
*VFILL,VALUE2(1,2),DATA,S11,S22,S33,S44,S55,S66
*VFILL,VALUE2(1,3),DATA,R11,R22,R33,R44,R55,R66

/POST1
SET,1,1
*GET,S11_Y,NODE,3,EPCR,Y
R77=1.00
SET,2,2
*GET,S22_Y,NODE,3,EPCR,Y
R88=S22_Y/(-1.0)
SET,2,4
*GET,S33_Y,NODE,3,EPCR,Y
R99=S33_Y/(-2.0)
SET,2,6
*GET,S44_Y,NODE,3,EPCR,Y
R100=S44_Y/(-3.0)
SET,2,8
*GET,S55_Y,NODE,3,EPCR,Y
R111=S55_Y/(-4.0)
SET,2,10
*GET,S66_Y,NODE,3,EPCR,Y
R122=S66_Y/(-5.0)
LABEL(1) = '0','200','400','600','800','1000'
*VFILL,VALUE2(1,4),DATA,0,-1,-2,-3,-4,-5
*VFILL,VALUE2(1,5),DATA,S11_Y,S22_Y,S33_Y,S44_Y,S55_Y,S66_Y
*VFILL,VALUE2(1,6),DATA,R77,R88,R99,R100,R111,R122
*ENDIF
*ENDDO
/COM,
/COM,
/COM,------------- vmr049-cr1a-181 ISOTROPIC RESULTS COMPARISON --------------
/COM,
/COM, vmr049-cr1a-181.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS.  THE RESULTS DISPLAYED ARE INCREMENTED /COM, FOR THIS PURPOSE.
/COM,
/COM,
/COM,|  TIME  |  TARGET X  |  ANSYS  |  RATIO  |  TARGET Y  |  ANSYS  | RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3), VALUE(1,4),VALUE(1,5), VALUE(1,6)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM,------------ vmr049-cr1a-181 ANISOTROPIC RESULTS COMPARISON -------------
/COM,
/COM,
/COM,|  TIME  |  TARGET X  |  ANSYS  |  RATIO  |  TARGET Y  |  ANSYS  | RATIO
/COM,
*VWRITE,LABEL(1), VALUE2(1,1), VALUE2(1,2), VALUE2(1,3), VALUE2(1,4),VALUE2(1,5), VALUE2(1,6)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ',F8.3,'   ',F8.3,'   ')
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR2X ',' ECR2Y '
*VFILL,VALUE1(1,1),DATA,S6,S6_Y
*VFILL,VALUE1(1,2),DATA,R6,R12
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','cr1a-181'

/OUT,vmr049-cr1a-181,vrt
/COM
/COM,------------------- vmr049-cr1a RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL181
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-cr1a-181,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R029-t9 281 Input Listing 		Up / Home Next
VM-R049-1A 182 Input Listing


VM-R049-1A 182 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-cr1a-182
/TITLE,vmr049-cr1a-182,CONSTANT-LOAD CREEP BENCHMARK
/COM, REFERENCE: TEST CR-1A FROM NAFEMS REPORT 0049.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(TIME HARDENING)***
*SET,C1,3.125E-14
*SET,C2,5
*SET,C3,0
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,0
TOFF,1E-10
TB,CREEP,1,,,2
TBDATA,1,C1,C2,C3,C4
SAVE
N,1,0,0,0
N,2,100,0
N,3,100,50
N,4,0,50
N,5,100,100
N,6,0,100
ET,1,182
KEYOPT,1,1,1
KEYOPT,1,3,0
E,1,2,3,4
E,4,3,5,6
NSEL,S,LOC,X,
D,ALL,UX,
NSEL,ALL
NSEL,S,,,4
D,ALL,UY,
NSEL,ALL

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-200
NSEL,ALL
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON, ON
DELT,100,1,100
AUTOS,OFF
TIME,1000
/OUTPUT,SCRATCH
OUTRES,ALL,ALL
SOLVE
/OUT
FINISH

*DO,I,1,2,1

*IF,I,EQ,2,THEN
/PREP7
TB,HILL,1
TBDATA,1, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0
*ENDIF

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-200
NSEL,ALL
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON, ON
DELT,100,1,100
AUTOS,OFF
TIME,1000
/OUTPUT,SCRATCH
OUTRES,ALL,ALL
SOLVE
/OUT
FINISH

*IF,I,EQ,1,THEN
/POST26
ESOL,2,1,,EPCR,X
ESOL,3,1,,EPCR,Y
PRVAR,2,3
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/COLOR,CURVE,RED,1
/YRANGE,-5,10
PLVAR,2,3
FINISH

/POST1
SET,1,1
*GET,S1,NODE,3,EPCR,X
R1=1.00
SET,2,2
*GET,S2,NODE,3,EPCR,X
R2=S2/2
SET,2,4
*GET,S3,NODE,3,EPCR,X
R3=S3/4
SET,2,6
*GET,S4,NODE,3,EPCR,X
R4=S4/6
SET,2,8
*GET,S5,NODE,3,EPCR,X
R5=S5/8
SET,2,10
*GET,S6,NODE,3,EPCR,X
R6=S6/10

*DIM,VALUE,,6,6
*DIM,LABEL,CHAR,10
LABEL(1) = '0','200','400','600','800','1000'
*VFILL,VALUE(1,1),DATA,0,2,4,6,8,10
*VFILL,VALUE(1,2),DATA,S1,S2,S3,S4,S5,S6
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6

/POST1
SET,1,1
*GET,S1_Y,NODE,3,EPCR,Y
R7=1.00
SET,2,2
*GET,S2_Y,NODE,3,EPCR,Y
R8=S2_Y/(-1.0)
SET,2,4
*GET,S3_Y,NODE,3,EPCR,Y
R9=S3_Y/(-2.0)
SET,2,6
*GET,S4_Y,NODE,3,EPCR,Y
R10=S4_Y/(-3.0)
SET,2,8
*GET,S5_Y,NODE,3,EPCR,Y
R11=S5_Y/(-4.0)
SET,2,10
*GET,S6_Y,NODE,3,EPCR,Y
R12=S6_Y/(-5.0)
LABEL(1) = '0','200','400','600','800','1000'
*VFILL,VALUE(1,4),DATA,0,-1,-2,-3,-4,-5
*VFILL,VALUE(1,5),DATA,S1_Y,S2_Y,S3_Y,S4_Y,S5_Y,S6_Y
*VFILL,VALUE(1,6),DATA,R7,R8,R9,R10,R11,R12
*ENDIF

*IF,I,EQ,2,THEN
/COM,
/COM,  ANISOTROPIC CREEP MODELED AS ISOTROPIC
/COM,

/POST26
ESOL,3,1,,EPCR,X
ESOL,4,1,,EPCR,Y
PRVAR,3,4
/AXLAB,X,TIME
/AXLAB,Y, ANISOTROPIC CREEP STRAIN
/COLOR,CURVE,BLUE,1
/YRANGE,-5,10
PLVAR,3,4
FINISH

/POST1
SET,1,1
*GET,S11,NODE,3,EPCR,X
R11=1.00
SET,2,2
*GET,S22,NODE,3,EPCR,X
R22=S22/2
SET,2,4
*GET,S33,NODE,3,EPCR,X
R33=S33/4
SET,2,6
*GET,S44,NODE,3,EPCR,X
R44=S44/6
SET,2,8
*GET,S55,NODE,3,EPCR,X
R55=S55/8
SET,2,10
*GET,S66,NODE,3,EPCR,X
R66=S66/10

*DIM,VALUE2,,6,6
*VFILL,VALUE2(1,1),DATA,0,2,4,6,8,10
*VFILL,VALUE2(1,2),DATA,S11,S22,S33,S44,S55,S66
*VFILL,VALUE2(1,3),DATA,R11,R22,R33,R44,R55,R66

/POST1
SET,1,1
*GET,S11_Y,NODE,3,EPCR,Y
R77=1.00
SET,2,2
*GET,S22_Y,NODE,3,EPCR,Y
R88=S22_Y/(-1.0)
SET,2,4
*GET,S33_Y,NODE,3,EPCR,Y
R99=S33_Y/(-2.0)
SET,2,6
*GET,S44_Y,NODE,3,EPCR,Y
R100=S44_Y/(-3.0)
SET,2,8
*GET,S55_Y,NODE,3,EPCR,Y
R111=S55_Y/(-4.0)
SET,2,10
*GET,S66_Y,NODE,3,EPCR,Y
R122=S66_Y/(-5.0)
LABEL(1) = '0','200','400','600','800','1000'
*VFILL,VALUE2(1,4),DATA,0,-1,-2,-3,-4,-5
*VFILL,VALUE2(1,5),DATA,S11_Y,S22_Y,S33_Y,S44_Y,S55_Y,S66_Y
*VFILL,VALUE2(1,6),DATA,R77,R88,R99,R100,R111,R122
*ENDIF
*ENDDO
/COM,
/COM,
/COM,------------- vmr049-cr1a-182 ISOTROPIC RESULTS COMPARISON --------------
/COM,
/COM, vmr049-cr1a-182.grph RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS.  THE RESULTS DISPLAYED ARE INCREMENTED
/COM, FOR THIS PURPOSE.
/COM,
/COM,
/COM,|  TIME  |  TARGET X  |  ANSYS  |  RATIO  |  TARGET Y  |  ANSYS  | RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3), VALUE(1,4),VALUE(1,5), VALUE(1,6)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM,------------ vmr049-cr1a-182 ANISOTROPIC RESULTS COMPARISON -------------
/COM,
/COM,
/COM,|  TIME  |  TARGET X  |  ANSYS  |  RATIO  |  TARGET Y  |  ANSYS  | RATIO
/COM,
*VWRITE,LABEL(1), VALUE2(1,1), VALUE2(1,2), VALUE2(1,3), VALUE2(1,4),VALUE2(1,5), VALUE2(1,6)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ',F8.3,'   ',F8.3,'   ')
FINISH

/POST26
/COM,ESOL,2,1,,EPCR,X
/COM,ESOL,3,1,,EPCR,Y
/COM,PRVAR,2,3
/COM,PLVAR,2,3
/COM,*GET,RES1X,VARI,2,RTIME,1000
/COM,*GET,RES1Y,VARI,3,RTIME,1000

*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR2X ',' ECR2Y '
*VFILL,VALUE1(1,1),DATA,S66,S66_Y
*VFILL,VALUE1(1,2),DATA,R66,R122
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','cr1a-182'

/OUT,vmr049-cr1a-182,vrt
/COM
/COM,------------------- vmr049-cr1a RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE182
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-cr1a-182,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-1A 181 Input Listing 		Up / Home Next
VM-R049-1A 183 Input Listing


VM-R049-1A 183 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-cr1a-183
/TITLE,vmr049-cr1a-183,CONSTANT-LOAD CREEP BENCHMARK
/COM, REFERENCE: TEST CR-1A FROM NAFEMS REPORT 0049.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(TIME HARDENING)***
*SET,C1,3.125E-14
*SET,C2,5
*SET,C3,0
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,0
TOFF,1E-10
TB,CREEP,1,,,2
TBDATA,1,C1,C2,C3,C4
SAVE
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
ET,1,183
KEYOPT,1,3,0
E,1,2,3,4,5,6,7,8
NSEL,S,LOC,X,
D,ALL,UX,
NSEL,ALL
NSEL,S,,,8
D,ALL,UY,
NSEL,ALL

*DO,I,1,2,1

*IF,I,EQ,2,THEN
/PREP7
TB,HILL,1
TBDATA,1, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0
*ENDIF

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-200
NSEL,ALL
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON, ON
DELT,100,1,100
AUTOS,OFF
TIME,1000
/OUTPUT,SCRATCH
OUTRES,ALL,ALL
SOLVE
/OUT
FINISH

*IF,I,EQ,1,THEN
/POST26
ESOL,2,1,,EPCR,X
ESOL,3,1,,EPCR,Y
PRVAR,2,3
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/COLOR,CURVE,RED,1
/YRANGE,-5,10
PLVAR,2,3
FINISH

/POST1
SET,1,1
*GET,S1,NODE,3,EPCR,X
R1=1.00
SET,2,2
*GET,S2,NODE,3,EPCR,X
R2=S2/2
SET,2,4
*GET,S3,NODE,3,EPCR,X
R3=S3/4
SET,2,6
*GET,S4,NODE,3,EPCR,X
R4=S4/6
SET,2,8
*GET,S5,NODE,3,EPCR,X
R5=S5/8
SET,2,10
*GET,S6,NODE,3,EPCR,X
R6=S6/10

*DIM,VALUE,,6,6
*DIM,LABEL,CHAR,10
LABEL(1) = '0','200','400','600','800','1000'
*VFILL,VALUE(1,1),DATA,0,2,4,6,8,10
*VFILL,VALUE(1,2),DATA,S1,S2,S3,S4,S5,S6
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6

/POST1
SET,1,1
*GET,S1_Y,NODE,3,EPCR,Y
R7=1.00
SET,2,2
*GET,S2_Y,NODE,3,EPCR,Y
R8=S2_Y/(-1.0)
SET,2,4
*GET,S3_Y,NODE,3,EPCR,Y
R9=S3_Y/(-2.0)
SET,2,6
*GET,S4_Y,NODE,3,EPCR,Y
R10=S4_Y/(-3.0)
SET,2,8
*GET,S5_Y,NODE,3,EPCR,Y
R11=S5_Y/(-4.0)
SET,2,10
*GET,S6_Y,NODE,3,EPCR,Y
R12=S6_Y/(-5.0)
LABEL(1) = '0','200','400','600','800','1000'
*VFILL,VALUE(1,4),DATA,0,-1,-2,-3,-4,-5
*VFILL,VALUE(1,5),DATA,S1_Y,S2_Y,S3_Y,S4_Y,S5_Y,S6_Y
*VFILL,VALUE(1,6),DATA,R7,R8,R9,R10,R11,R12
*ENDIF

*IF,I,EQ,2,THEN
/COM,
/COM,  ANISOTROPIC CREEP MODELED AS ISOTROPIC
/COM,

/POST26
ESOL,2,1,,EPCR,X
ESOL,3,1,,EPCR,Y
PRVAR,2,3
/AXLAB,X,TIME
/AXLAB,Y,ANISOTROPIC CREEP STRAIN
/COLOR,CURVE,BLUE,1
/YRANGE,-5,10
PLVAR,2,3
FINISH

/POST1
SET,1,1
*GET,S11,NODE,3,EPCR,X
R11=1.00
SET,2,2
*GET,S22,NODE,3,EPCR,X
R22=S22/2
SET,2,4
*GET,S33,NODE,3,EPCR,X
R33=S33/4
SET,2,6
*GET,S44,NODE,3,EPCR,X
R44=S44/6
SET,2,8
*GET,S55,NODE,3,EPCR,X
R55=S55/8
SET,2,10
*GET,S66,NODE,3,EPCR,X
R66=S66/10

*DIM,VALUE2,,6,6
*VFILL,VALUE2(1,1),DATA,0,2,4,6,8,10
*VFILL,VALUE2(1,2),DATA,S11,S22,S33,S44,S55,S66
*VFILL,VALUE2(1,3),DATA,R11,R22,R33,R44,R55,R66

/POST1
SET,1,1
*GET,S11_Y,NODE,3,EPCR,Y
R77=1.00
SET,2,2
*GET,S22_Y,NODE,3,EPCR,Y
R88=S22_Y/(-1.0)
SET,2,4
*GET,S33_Y,NODE,3,EPCR,Y
R99=S33_Y/(-2.0)
SET,2,6
*GET,S44_Y,NODE,3,EPCR,Y
R100=S44_Y/(-3.0)
SET,2,8
*GET,S55_Y,NODE,3,EPCR,Y
R111=S55_Y/(-4.0)
SET,2,10
*GET,S66_Y,NODE,3,EPCR,Y
R122=S66_Y/(-5.0)
LABEL(1) = '0','200','400','600','800','1000'
*VFILL,VALUE2(1,4),DATA,0,-1,-2,-3,-4,-5
*VFILL,VALUE2(1,5),DATA,S11_Y,S22_Y,S33_Y,S44_Y,S55_Y,S66_Y
*VFILL,VALUE2(1,6),DATA,R77,R88,R99,R100,R111,R122
*ENDIF
*ENDDO
/COM,
/COM,
/COM,------------- vmr049-cr1a-183 ISOTROPIC RESULTS COMPARISON --------------
/COM,
/COM, vmr049-cr1a-183.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS.  THE RESULTS DISPLAYED ARE INCREMENTED
/COM, FOR THIS PURPOSE.
/COM,
/COM,
/COM,|  TIME  |  TARGET X  |  ANSYS  |  RATIO  |  TARGET Y  |  ANSYS  | RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3), VALUE(1,4),VALUE(1,5), VALUE(1,6)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM,------------ vmr049-cr1a-183 ANISOTROPIC RESULTS COMPARISON -------------
/COM,
/COM,
/COM,|  TIME  |  TARGET X  |  ANSYS  |  RATIO  |  TARGET Y  |  ANSYS  | RATIO
/COM,
*VWRITE,LABEL(1), VALUE2(1,1), VALUE2(1,2), VALUE2(1,3), VALUE2(1,4),VALUE2(1,5), VALUE2(1,6)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ',F8.3,'   ',F8.3,'   ')
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR2X ',' ECR2Y '
*VFILL,VALUE1(1,1),DATA,S6,S6_Y
*VFILL,VALUE1(1,2),DATA,R6,R12
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','cr1a-183'

/OUT,vmr049-cr1a-183,vrt
/COM
/COM,------------------- vmr049-cr1a RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE183
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-cr1a-183,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-1A 182 Input Listing 		Up / Home Next
VM-R049-1A 281 Input Listing


VM-R049-1A 281 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-cr1a-281
/TITLE,vmr049-cr1a-281,CONSTANT-LOAD CREEP BENCHMARK
/COM, REFERENCE: TEST CR-1A FROM NAFEMS REPORT 0049.
/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(TIME HARDENING)***
*SET,C1,3.125E-14
*SET,C2,5
*SET,C3,0
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,0
TOFF,1E-10
TB,CREEP,1,,,2
TBDATA,1,C1,C2,C3,C4
SAVE
N,1,0,0,0
N,2,100,0
N,3,100,50
N,4,0,50
N,5,100,100
N,6,0,100
N,7,50,0
N,8,100,25
N,9,50,50
N,10,0,25
N,11,100,75
N,12,50,100
N,13,0,75
ET,1,SHELL281,,,
R,1,1,1,1,1,
E,1,2,3,4,7,8,9,10
E,4,3,5,6,9,11,12,13
NSEL,S,LOC,X,
D,ALL,UX,
NSEL,ALL
NSEL,S,,,4
D,ALL,UY,
NSEL,ALL
D,ALL,ROTX
D,ALL,ROTY
*DO,I,1,2,1
*IF,I,EQ,2,THEN
/PREP7
TB,HILL,1
TBDATA,1, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0
*ENDIF
/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-200
NSEL,ALL
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON, ON
DELT,100,1,100
AUTOS,OFF
TIME,1000
/OUTPUT,SCRATCH
OUTRES,ALL,ALL
SOLVE
/OUT
FINISH
*IF,I,EQ,1,THEN
/POST26
ESOL,2,1,,EPCR,X
ESOL,3,1,,EPCR,Y
PRVAR,2,3
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
/COLOR,CURVE,RED,1
/YRANGE,-5,10
PLVAR,2,3
FINISH
/POST1
SET,1,1
*GET,S1,NODE,3,EPCR,X
R1=1.00
SET,2,2
*GET,S2,NODE,3,EPCR,X
R2=S2/2
SET,2,4
*GET,S3,NODE,3,EPCR,X
R3=S3/4
SET,2,6
*GET,S4,NODE,3,EPCR,X
R4=S4/6
SET,2,8
*GET,S5,NODE,3,EPCR,X
R5=S5/8
SET,2,10
*GET,S6,NODE,3,EPCR,X
R6=S6/10
*DIM,VALUE,,6,6
*DIM,LABEL,CHAR,10
LABEL(1) = '0','200','400','600','800','1000'
*VFILL,VALUE(1,1),DATA,0,2,4,6,8,10
*VFILL,VALUE(1,2),DATA,S1,S2,S3,S4,S5,S6
*VFILL,VALUE(1,3),DATA,R1,R2,R3,R4,R5,R6
/POST1
SET,1,1
*GET,S1_Y,NODE,3,EPCR,Y
R7=1.00
SET,2,2
*GET,S2_Y,NODE,3,EPCR,Y
R8=S2_Y/(-1.0)
SET,2,4
*GET,S3_Y,NODE,3,EPCR,Y
R9=S3_Y/(-2.0)
SET,2,6
*GET,S4_Y,NODE,3,EPCR,Y
R10=S4_Y/(-3.0)
SET,2,8
*GET,S5_Y,NODE,3,EPCR,Y
R11=S5_Y/(-4.0)
SET,2,10
*GET,S6_Y,NODE,3,EPCR,Y
R12=S6_Y/(-5.0)
LABEL(1) = '0','200','400','600','800','1000'
*VFILL,VALUE(1,4),DATA,0,-1,-2,-3,-4,-5
*VFILL,VALUE(1,5),DATA,S1_Y,S2_Y,S3_Y,S4_Y,S5_Y,S6_Y
*VFILL,VALUE(1,6),DATA,R7,R8,R9,R10,R11,R12
*ENDIF
*IF,I,EQ,2,THEN
/COM,
/COM,  ANISOTROPIC CREEP MODELED AS ISOTROPIC /COM,
/POST26
ESOL,3,1,,EPCR,X
ESOL,4,1,,EPCR,Y
PRVAR,2
/AXLAB,X,TIME
/AXLAB,Y,ANISOTROPIC CREEP STRAIN
/COLOR,CURVE,BLUE,1
/YRANGE,-5,10
PLVAR,3,4
FINISH
/POST1
SET,1,1
*GET,S11,NODE,3,EPCR,X
R11=1.00
SET,2,2
*GET,S22,NODE,3,EPCR,X
R22=S22/2
SET,2,4
*GET,S33,NODE,3,EPCR,X
R33=S33/4
SET,2,6
*GET,S44,NODE,3,EPCR,X
R44=S44/6
SET,2,8
*GET,S55,NODE,3,EPCR,X
R55=S55/8
SET,2,10
*GET,S66,NODE,3,EPCR,X
R66=S66/10
*DIM,VALUE2,,6,6
*VFILL,VALUE2(1,1),DATA,0,2,4,6,8,10
*VFILL,VALUE2(1,2),DATA,S11,S22,S33,S44,S55,S66
*VFILL,VALUE2(1,3),DATA,R11,R22,R33,R44,R55,R66
SET,1,1
*GET,S11_Y,NODE,3,EPCR,Y
R77=1.00
SET,2,2
*GET,S22_Y,NODE,3,EPCR,Y
R88=S22_Y/(-1.0)
SET,2,4
*GET,S33_Y,NODE,3,EPCR,Y
R99=S33_Y/(-2.0)
SET,2,6
*GET,S44_Y,NODE,3,EPCR,Y
R100=S44_Y/(-3.0)
SET,2,8
*GET,S55_Y,NODE,3,EPCR,Y
R111=S55_Y/(-4.0)
SET,2,10
*GET,S66_Y,NODE,3,EPCR,Y
R122=S66_Y/(-5.0)
LABEL(1) = '0','200','400','600','800','1000'
*VFILL,VALUE2(1,4),DATA,0,-1,-2,-3,-4,-5
*VFILL,VALUE2(1,5),DATA,S11_Y,S22_Y,S33_Y,S44_Y,S55_Y,S66_Y
*VFILL,VALUE2(1,6),DATA,R77,R88,R99,R100,R111,R122
*ENDIF
*ENDDO
/COM,
/COM,
/COM,------------- vmr049-cr1a-281 ISOTROPIC RESULTS COMPARISON --------------
/COM,
/COM, vmr049-cr1a-281.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS.  THE RESULTS DISPLAYED ARE INCREMENTED /COM, FOR THIS PURPOSE.
/COM,
/COM,
/COM,|  TIME  |  TARGET X  |  ANSYS  |  RATIO  |  TARGET Y  |  ANSYS  | RATIO
/COM,
*VWRITE,LABEL(1), VALUE(1,1), VALUE(1,2), VALUE(1,3), VALUE(1,4),VALUE(1,5), VALUE(1,6)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM,------------ vmr049-cr1a-281 ANISOTROPIC RESULTS COMPARISON -------------
/COM,
/COM,
/COM,|  TIME  |  TARGET X  |  ANSYS  |  RATIO  |  TARGET Y  |  ANSYS  | RATIO
/COM,
*VWRITE,LABEL(1), VALUE2(1,1), VALUE2(1,2), VALUE2(1,3), VALUE2(1,4),VALUE2(1,5), VALUE2(1,6)
(1X,A8,'   ',F8.3,'   ',F8.3,'   ',F8.3,'   ',1F8.3,'   ',F8.3,'   ',F8.3,'   ')
FINISH
/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR2X ',' ECR2Y '
*VFILL,VALUE1(1,1),DATA,S6,S6_Y
*VFILL,VALUE1(1,2),DATA,R6,R12
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','cr1a-281'
/OUT,vmr049-cr1a-281,vrt
/COM
/COM,------------------- vmr049-cr1a RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL281
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr049-cr1a-281,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-1A 183 Input Listing 		Up / Home Next
VM-R049-1B 181 Input Listing


VM-R049-1B 181 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-cr1b-181
/TITLE,vmr049-cr1b-181,CONSTANT-LOAD CREEP BENCHMARK
/COM, REFERENCE: TEST CR-1B FROM NAFEMS REPORT R0049.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(TIME HARDENING)***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,2
TBDATA,1,C1,C2,C3,C4
N,1,0,0,0
N,2,100,0
N,3,100,50
N,4,0,50
N,5,100,100
N,6,0,100
ET,1,181,,,
R,1,1,1,1,1,
E,1,2,3,4
E,4,3,5,6
NSEL,S,LOC,X,
D,ALL,UX,
D,ALL,ROTX
NSEL,ALL
NSEL,S,,,4
D,ALL,UY,
D,ALL,ROTY
NSEL,ALL
D,ALL,ROTZ
D,ALL,UZ

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-200
NSEL,ALL
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
SOLVE
RATE, ON, ON
DELT,100,99,101
TIME,1000
OUTRES,ALL,ALL
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH

/POST26
ESOL,2,1,,EPCR,X
ESOL,3,1,,EPCR,Y
PRVAR,2,3
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
PLVAR,2,3
FINISH

/POST1
SET,,,,,,,1
*GET,S1,NODE,3,EPCR,X
*GET,S1_Y,NODE,3,EPCR,Y
R1=1.00
R7=1.00
SET,,,,,,,3
*GET,S2,NODE,3,EPCR,X
*GET,S2_Y,NODE,3,EPCR,Y
R2=S2/0.854E-1
R8=S2_Y/(-0.427E-1)
SET,,,,,,,5
*GET,S3,NODE,3,EPCR,X
*GET,S3_Y,NODE,3,EPCR,Y
R3=S3/0.1396
R9=S3_Y/(-0.698E-1)
SET,,,,,,,7
*GET,S4,NODE,3,EPCR,X
*GET,S4_Y,NODE,3,EPCR,Y
R4=S4/0.183
R10=S4_Y/(-0.9133E-1)
SET,,,,,,,9
*GET,S5,NODE,3,EPCR,X
*GET,S5_Y,NODE,3,EPCR,Y
R5=S5/0.219
R11=S5_Y/(-0.1097)
SET,,,,,,,11
*GET,S6,NODE,3,EPCR,X
*GET,S6_Y,NODE,3,EPCR,Y
R6=S6/0.251
R12=S6_Y/(-0.125)
*DIM,VALUE,,6,4
*DIM,LABEL,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,RATIO,,6,4
LABEL(1) = '0','200','400','600','800','1000'
TARGETX(1) = '0.50E-6','0.0854','0.1396','0.183','0.219','0.251'
TARGETY(1) = '-0.25E-6','-0.0427','-0.0698','-0.09133','-0.1097','-0.125'
*VFILL,VALUE(1,1),DATA,S1,S2,S3,S4,S5,S6
*VFILL,VALUE(1,2),DATA,R1,R2,R3,R4,R5,R6
*VFILL,VALUE(1,3),DATA,S1_Y,S2_Y,S3_Y,S4_Y,S5_Y,S6_Y
*VFILL,VALUE(1,4),DATA,R7,R8,R9,R10,R11,R12
/COM
/COM
/COM,--------- vmr049-cr1b-181 RESULTS COMPARISON-----------
/COM,
/COM, vmr049-cr1b-181.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 100,FIGURE 3.7(B). THE RESULTS
/COM, DISPLAYED ARE INCREMENTED FOR THIS PURPOSE
/COM,
/COM,-------- CREEP COMPONENT IN X DIRECTION ---------
/COM,
/COM,| TIME |   TARGET  |    ANSYS   |    RATIO
/COM,
*VWRITE,LABEL(1),TARGETX(1), VALUE(1,1), VALUE(1,2)
(1X,A6,'   ',1X,A9,'   ',F9.5,'   ',F8.3,'   ')
/COM,
/COM,-------- CREEP COMPONENT IN Y DIRECTION ---------
/COM,
/COM,| TIME |   TARGET  |    ANSYS   |    RATIO
/COM,
*VWRITE,LABEL(1),TARGETY(1), VALUE(1,3), VALUE(1,4)
(1X,A6,'   ',1X,A9,'   ',F9.5,'   ',F8.3,'   ')
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR2X ',' ECR2Y '
*VFILL,VALUE1(1,1),DATA,S6,S6_Y
*VFILL,VALUE1(1,2),DATA,R6,R12
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','cr1b-181'

/OUT,vmr049-cr1b-181,vrt
/COM
/COM,------------------- vmr049-cr1b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE181
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-cr1b-181,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-1A 281 Input Listing 		Up / Home Next
VM-R049-1B 182 Input Listing


VM-R049-1B 182 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-cr1b-182
/TITLE,vmr049-cr1b-182,CONSTANT-LOAD CREEP BENCHMARK
/COM, REFERENCE: TEST CR-1B FROM NAFEMS REPORT R0049.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(TIME HARDENING)***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,2
TBDATA,1,C1,C2,C3,C4
N,1,0,0,0
N,2,100,0
N,3,100,50
N,4,0,50
N,5,100,100
N,6,0,100
ET,1,182
KEYOPT,1,1,1
KEYOPT,1,3,0
E,1,2,3,4
E,4,3,5,6
NSEL,S,LOC,X,
D,ALL,UX,
NSEL,ALL
NSEL,S,,,4
D,ALL,UY,
NSEL,ALL

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-200
NSEL,ALL
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
SOLVE
RATE, ON, ON
DELT,100,99,101
TIME,1000
OUTRES,ALL,ALL
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH

/POST26
ESOL,2,1,,EPCR,X
ESOL,3,1,,EPCR,Y
PRVAR,2,3
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
PLVAR,2,3
FINISH

/POST1
SET,,,,,,,1
*GET,S1,NODE,3,EPCR,X
*GET,S1_Y,NODE,3,EPCR,Y
R1=1.00
R7=1.00
SET,,,,,,,3
*GET,S2,NODE,3,EPCR,X
*GET,S2_Y,NODE,3,EPCR,Y
R2=S2/0.854E-1
R8=S2_Y/(-0.427E-1)
SET,,,,,,,5
*GET,S3,NODE,3,EPCR,X
*GET,S3_Y,NODE,3,EPCR,Y
R3=S3/0.1396
R9=S3_Y/(-0.698E-1)
SET,,,,,,,7
*GET,S4,NODE,3,EPCR,X
*GET,S4_Y,NODE,3,EPCR,Y
R4=S4/0.183
R10=S4_Y/(-0.9133E-1)
SET,,,,,,,9
*GET,S5,NODE,3,EPCR,X
*GET,S5_Y,NODE,3,EPCR,Y
R5=S5/0.219
R11=S5_Y/(-0.1097)
SET,,,,,,,11
*GET,S6,NODE,3,EPCR,X
*GET,S6_Y,NODE,3,EPCR,Y
R6=S6/0.251
R12=S6_Y/(-0.125)
*DIM,VALUE,,6,4
*DIM,LABEL,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,RATIO,,6,4
LABEL(1) = '0','200','400','600','800','1000'
TARGETX(1) = '0.50E-6','0.0854','0.1396','0.183','0.219','0.251'
TARGETY(1) = '-0.25E-6','-0.0427','-0.0698','-0.09133','-0.1097','-0.125'
*VFILL,VALUE(1,1),DATA,S1,S2,S3,S4,S5,S6
*VFILL,VALUE(1,2),DATA,R1,R2,R3,R4,R5,R6
*VFILL,VALUE(1,3),DATA,S1_Y,S2_Y,S3_Y,S4_Y,S5_Y,S6_Y
*VFILL,VALUE(1,4),DATA,R7,R8,R9,R10,R11,R12
/COM
/COM
/COM,--------- vmr049-cr1b-182 RESULTS COMPARISON-----------
/COM,
/COM, vmr049-cr1b-182.grph RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 100,FIGURE 3.7(B). THE RESULTS
/COM, DISPLAYED ARE INCREMENTED FOR THIS PURPOSE
/COM,
/COM,-------- CREEP COMPONENT IN X DIRECTION ---------
/COM,
/COM,| TIME |   TARGET  |    ANSYS   |    RATIO
/COM,
*VWRITE,LABEL(1),TARGETX(1), VALUE(1,1), VALUE(1,2)
(1X,A6,'   ',1X,A9,'   ',F9.5,'   ',F8.3,'   ')
/COM,
/COM,-------- CREEP COMPONENT IN Y DIRECTION ---------
/COM,
/COM,| TIME |   TARGET  |    ANSYS   |    RATIO
/COM,
*VWRITE,LABEL(1),TARGETY(1), VALUE(1,3), VALUE(1,4)
(1X,A6,'   ',1X,A9,'   ',F9.5,'   ',F8.3,'   ')
FINISH

/POST26
/COM,ESOL,2,1,,EPCR,X
/COM,ESOL,3,1,,EPCR,Y
/COM,PRVAR,2,3
/COM,PLVAR,2,3
/COM,*GET,RES1X,VARI,2,RTIME,1000
/COM,*GET,RES1Y,VARI,3,RTIME,1000

*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR2X ',' ECR2Y '
*VFILL,VALUE1(1,1),DATA,S6,S6_Y
*VFILL,VALUE1(1,2),DATA,R6,R12
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','cr1b-182'

/OUT,vmr049-cr1b-182,vrt
/COM
/COM,------------------- vmr049-cr1b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE182
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-cr1b-182,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-1B 181 Input Listing 		Up / Home Next
VM-R049-1B 183 Input Listing


VM-R049-1B 183 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-cr1b-183
/TITLE,vmr049-cr1b-183,CONSTANT-LOAD CREEP BENCHMARK
/COM, REFERENCE: TEST CR-1B FROM NAFEMS REPORT R0049.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(TIME HARDENING)***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,2
TBDATA,1,C1,C2,C3,C4
SAVE
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
ET,1,183
KEYOPT,1,3,0
E,1,2,3,4,5,6,7,8
NSEL,S,LOC,X,
D,ALL,UX,
NSEL,ALL
NSEL,S,,,8
D,ALL,UY,
NSEL,ALL

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-200
NSEL,ALL
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
SOLVE
RATE, ON, ON
DELT,100,99,101
TIME,1000
OUTRES,ALL,ALL
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH

/POST26
ESOL,2,1,,EPCR,X
ESOL,3,1,,EPCR,Y
PRVAR,2,3
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
PLVAR,2,3
FINISH

/POST1
SET,,,,,,,1
*GET,S1,NODE,3,EPCR,X
*GET,S1_Y,NODE,3,EPCR,Y
R1=1.00
R7=1.00
SET,,,,,,,3
*GET,S2,NODE,3,EPCR,X
*GET,S2_Y,NODE,3,EPCR,Y
R2=S2/0.854E-1
R8=S2_Y/(-0.427E-1)
SET,,,,,,,5
*GET,S3,NODE,3,EPCR,X
*GET,S3_Y,NODE,3,EPCR,Y
R3=S3/0.1396
R9=S3_Y/(-0.698E-1)
SET,,,,,,,7
*GET,S4,NODE,3,EPCR,X
*GET,S4_Y,NODE,3,EPCR,Y
R4=S4/0.183
R10=S4_Y/(-0.9133E-1)
SET,,,,,,,9
*GET,S5,NODE,3,EPCR,X
*GET,S5_Y,NODE,3,EPCR,Y
R5=S5/0.219
R11=S5_Y/(-0.1097)
SET,,,,,,,11
*GET,S6,NODE,3,EPCR,X
*GET,S6_Y,NODE,3,EPCR,Y
R6=S6/0.251
R12=S6_Y/(-0.125)
*DIM,VALUE,,6,4
*DIM,LABEL,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,RATIO,,6,4
LABEL(1) = '0','200','400','600','800','1000'
TARGETX(1) = '0.50E-6','0.0854','0.1396','0.183','0.219','0.251'
TARGETY(1) = '-0.25E-6','-0.0427','-0.0698','-0.09133','-0.1097','-0.125'
*VFILL,VALUE(1,1),DATA,S1,S2,S3,S4,S5,S6
*VFILL,VALUE(1,2),DATA,R1,R2,R3,R4,R5,R6
*VFILL,VALUE(1,3),DATA,S1_Y,S2_Y,S3_Y,S4_Y,S5_Y,S6_Y
*VFILL,VALUE(1,4),DATA,R7,R8,R9,R10,R11,R12
/COM
/COM
/COM,--------- vmr049-cr1b-183 RESULTS COMPARISON-----------
/COM,
/COM, vmr049-cr1b-183.grph RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 100,FIGURE 3.7(B). THE RESULTS
/COM, DISPLAYED ARE INCREMENTED FOR THIS PURPOSE
/COM,
/COM,-------- CREEP COMPONENT IN X DIRECTION ---------
/COM,
/COM,| TIME |   TARGET  |    ANSYS   |    RATIO
/COM,
*VWRITE,LABEL(1),TARGETX(1), VALUE(1,1), VALUE(1,2)
(1X,A6,'   ',1X,A9,'   ',F9.5,'   ',F8.3,'   ')
/COM,
/COM,-------- CREEP COMPONENT IN Y DIRECTION ---------
/COM,
/COM,| TIME |   TARGET  |    ANSYS   |    RATIO
/COM,
*VWRITE,LABEL(1),TARGETY(1), VALUE(1,3), VALUE(1,4)
(1X,A6,'   ',1X,A9,'   ',F9.5,'   ',F8.3,'   ')
FINISH

/POST26
/COM,ESOL,2,1,,EPCR,X
/COM,ESOL,3,1,,EPCR,Y
/COM,PRVAR,2,3
/COM,PLVAR,2,3
/COM,*GET,RES1X,VARI,2,RTIME,1000
/COM,*GET,RES1Y,VARI,3,RTIME,1000

*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR2X ',' ECR2Y '
*VFILL,VALUE1(1,1),DATA,S6,S6_Y
*VFILL,VALUE1(1,2),DATA,R6,R12
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','cr1b-183'

/OUT,vmr049-cr1b-183,vrt
/COM
/COM,------------------- vmr049-cr1b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE183
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-cr1b-183,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-1B 182 Input Listing 		Up / Home Next
VM-R049-1B 281 Input Listing


VM-R049-1B 281 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-cr1b-281
/TITLE,vmr049-cr1b-281,CONSTANT-LOAD CREEP BENCHMARK
/COM, REFERENCE: TEST CR-1B FROM NAFEMS REPORT R0049.
/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(TIME HARDENING)***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,2
TBDATA,1,C1,C2,C3,C4
N,1,0,0,0
N,2,100,0
N,3,100,50
N,4,0,50
N,5,100,100
N,6,0,100
N,7,50,0
N,8,100,25
N,9,50,50
N,10,0,25
N,11,100,75
N,12,50,100
N,13,0,75
ET,1,SHELL281,,,
R,1,1,1,1,1,
E,1,2,3,4,7,8,9,10
E,4,3,5,6,9,11,12,13
NSEL,S,LOC,X,
D,ALL,UX,
D,ALL,ROTX
NSEL,ALL
NSEL,S,,,4
D,ALL,UY,
D,ALL,ROTY
NSEL,ALL
D,ALL,ROTZ
D,ALL,UZ
/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-200
NSEL,ALL
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
SOLVE
RATE, ON, ON
DELT,100,99,101
TIME,1000
OUTRES,ALL,ALL
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH
/POST26
ESOL,2,1,,EPCR,X
ESOL,3,1,,EPCR,Y
PRVAR,2,3
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
PLVAR,2,3
FINISH
/POST1
SET,,,,,,,1
*GET,S1,NODE,3,EPCR,X
*GET,S1_Y,NODE,3,EPCR,Y
R1=1.00
R7=1.00
SET,,,,,,,3
*GET,S2,NODE,3,EPCR,X
*GET,S2_Y,NODE,3,EPCR,Y
R2=S2/0.854E-1
R8=S2_Y/(-0.427E-1)
SET,,,,,,,5
*GET,S3,NODE,3,EPCR,X
*GET,S3_Y,NODE,3,EPCR,Y
R3=S3/0.1396
R9=S3_Y/(-0.698E-1)
SET,,,,,,,7
*GET,S4,NODE,3,EPCR,X
*GET,S4_Y,NODE,3,EPCR,Y
R4=S4/0.183
R10=S4_Y/(-0.9133E-1)
SET,,,,,,,9
*GET,S5,NODE,3,EPCR,X
*GET,S5_Y,NODE,3,EPCR,Y
R5=S5/0.219
R11=S5_Y/(-0.1097)
SET,,,,,,,11
*GET,S6,NODE,3,EPCR,X
*GET,S6_Y,NODE,3,EPCR,Y
R6=S6/0.251
R12=S6_Y/(-0.125)
*DIM,VALUE,,6,4
*DIM,LABEL,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,RATIO,,6,4
LABEL(1) = '0','200','400','600','800','1000'
TARGETX(1) = '0.50E-6','0.0854','0.1396','0.183','0.219','0.251'
TARGETY(1) = '-0.25E-6','-0.0427','-0.0698','-0.09133','-0.1097','-0.125'
*VFILL,VALUE(1,1),DATA,S1,S2,S3,S4,S5,S6
*VFILL,VALUE(1,2),DATA,R1,R2,R3,R4,R5,R6
*VFILL,VALUE(1,3),DATA,S1_Y,S2_Y,S3_Y,S4_Y,S5_Y,S6_Y
*VFILL,VALUE(1,4),DATA,R7,R8,R9,R10,R11,R12
/COM
/COM
/COM,--------- vmr049-cr1b-281 RESULTS COMPARISON-----------
/COM,
/COM, vmr049-cr1b-281.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 100,FIGURE 3.7(B). THE RESULTS
/COM, DISPLAYED ARE INCREMENTED FOR THIS PURPOSE
/COM,
/COM,-------- CREEP COMPONENT IN X DIRECTION ---------
/COM,
/COM,| TIME |   TARGET  |    ANSYS   |    RATIO
/COM,
*VWRITE,LABEL(1),TARGETX(1), VALUE(1,1), VALUE(1,2)
(1X,A6,'   ',1X,A9,'   ',F9.5,'   ',F8.3,'   ')
/COM,
/COM,-------- CREEP COMPONENT IN Y DIRECTION ---------
/COM,
/COM,| TIME |   TARGET  |    ANSYS   |    RATIO
/COM,
*VWRITE,LABEL(1),TARGETY(1), VALUE(1,3), VALUE(1,4)
(1X,A6,'   ',1X,A9,'   ',F9.5,'   ',F8.3,'   ')
FINISH
/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR2X ',' ECR2Y '
*VFILL,VALUE1(1,1),DATA,S6,S6_Y
*VFILL,VALUE1(1,2),DATA,R6,R12
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','cr1b-281'
/OUT,vmr049-cr1b-281,vrt
/COM
/COM,------------------- vmr049-cr1b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL281
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr049-cr1b-281,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-1B 183 Input Listing 		Up / Home Next
VM-R049-1C 181 Input Listing


VM-R049-1C 181 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-cr1c-181
/TITLE,vmr049-cr1c-181,CONSTANT-LOAD CREEP BENCHMARK
/COM, REFERENCE: TEST CR-1C FROM NAFEMS R0049.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(TIME HARDENING)***
*SET,C1,0.5E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
*SET,C5,1E-16
*SET,C6,5
*SET,C7,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,11
TBDATA,1,C1,C2,C3,C4,C5,C6,C6
SAVE
N,1,0,0,0
N,2,100,0
N,3,100,50
N,4,0,50
N,5,100,100
N,6,0,100
ET,1,181
R,1,1,1,1,1,
E,1,2,3,4
E,4,3,5,6
NSEL,S,LOC,X,
D,ALL,UX,
NSEL,ALL
NSEL,S,,,4
D,ALL,UY,
NSEL,ALL
D,ALL,UZ
D,ALL,ROTZ
FINISH

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-100
NSEL,ALL
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
SOLVE
RATE, ON, ON
DELT,100,99,101
TIME,1000
OUTRES,ALL,ALL
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH

/POST26
ESOL,2,1,,EPCR,X
ESOL,3,1,,EPCR,Y
PRVAR,2,3
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
PLVAR,2,3
FINISH

/POST1
SET,,,,,,,1
*GET,S1,NODE,3,EPCR,X
*GET,S1_Y,NODE,3,EPCR,Y
R1=1.00
R7=1.00
SET,,,,,,,3
*GET,S2,NODE,3,EPCR,X
*GET,S2_Y,NODE,3,EPCR,Y
R2=S2/0.1614E-2
R8=S2_Y/(-0.807E-3)
SET,,,,,,,5
*GET,S3,NODE,3,EPCR,X
*GET,S3_Y,NODE,3,EPCR,Y
R3=S3/0.2407E-2
R9=S3_Y/(-0.1203E-2)
SET,,,,,,,7
*GET,S4,NODE,3,EPCR,X
*GET,S4_Y,NODE,3,EPCR,Y
R4=S4/0.3055E-2
R10=S4_Y/(-0.15275E-2)
SET,,,,,,,9
*GET,S5,NODE,3,EPCR,X
*GET,S5_Y,NODE,3,EPCR,Y
R5=S5/0.36339E-2
R11=S5_Y/(-0.18172E-2)
SET,,,,,,,11
*GET,S6,NODE,3,EPCR,X
*GET,S6_Y,NODE,3,EPCR,Y
R6=S6/0.41475E-2
R12=S6_Y/(-0.2074E-2)
*DIM,VALUE,,6,4
*DIM,LABEL,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,RATIO,,6,4
LABEL(1) = '0','200','400','600','800','1000'
TARGETX(1) = '0.100E-7','0.001614','0.002407','0.003055','0.0036339','0.0041475'
TARGETY(1) = '-0.50E-8','-0.000807','-0.001203','-0.001528','-0.001817','-0.002074'
*VFILL,VALUE(1,1),DATA,S1,S2,S3,S4,S5,S6
*VFILL,VALUE(1,2),DATA,R1,R2,R3,R4,R5,R6
*VFILL,VALUE(1,3),DATA,S1_Y,S2_Y,S3_Y,S4_Y,S5_Y,S6_Y
*VFILL,VALUE(1,4),DATA,R7,R8,R9,R10,R11,R12
/COM
/COM
/COM,--------- vmr049-cr1c-181 RESULTS COMPARISON-----------
/COM,
/COM, vmr049-cr1c-181.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 100 ,FIGURE 3.7C. THE RESULTS
/COM, DISPLAYED ARE INCREMENTED FOR THIS PURPOSE
/COM,
/COM,-------- CREEP COMPONENT IN X DIRECTION ---------
/COM,
/COM,| TIME |   TARGET  |    ANSYS   |    RATIO
/COM,
*VWRITE,LABEL(1),TARGETX(1), VALUE(1,1), VALUE(1,2)
(1X,A6,'   ',1X,A8,'   ',F9.5,'   ',F8.3,'   ')
/COM,
/COM,-------- CREEP COMPONENT IN Y DIRECTION ---------
/COM,
/COM,| TIME |   TARGET  |    ANSYS   |    RATIO
/COM,
*VWRITE,LABEL(1),TARGETY(1), VALUE(1,3), VALUE(1,4)
(1X,A6,'   ',1X,A8,'   ',F9.5,'   ',F8.3,'   ')
FINISH

/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR11X ',' ECR11Y '
*VFILL,VALUE1(1,1),DATA,S6,S6_Y
*VFILL,VALUE1(1,2),DATA,R6,R12
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','cr1c-181'

/OUT,vmr049-cr1c-181,vrt
/COM
/COM,------------------- vmr049-cr1c RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE181
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-cr1c-181,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-1B 281 Input Listing 		Up / Home Next
VM-R049-1C 182 Input Listing


VM-R049-1C 182 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-cr1c-182
/TITLE,vmr049-cr1c-182,CONSTANT LOAD CREEP BENCHMARK
/COM, REFERENCE: TEST CR-1C FROM NAFEMS R0049.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(TIME HARDENING)***
*SET,C1,0.5E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
*SET,C5,1E-16
*SET,C6,5
*SET,C7,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,11
TBDATA,1,C1,C2,C3,C4,C5,C6,C6
SAVE
N,1,0,0,0
N,2,100,0
N,3,100,50
N,4,0,50
N,5,100,100
N,6,0,100
ET,1,182
KEYOPT,1,1,0
KEYOPT,1,3,0
E,1,2,3,4
E,4,3,5,6
NSEL,S,LOC,X,
D,ALL,UX,
NSEL,ALL
NSEL,S,,,4
D,ALL,UY,
NSEL,ALL

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-100
NSEL,ALL
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
SOLVE
RATE, ON, ON
DELT,100,99,101
TIME,1000
OUTRES,ALL,ALL
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH

/POST26
ESOL,2,1,,EPCR,X
ESOL,3,1,,EPCR,Y
PRVAR,2,3
PLVAR,2,3
*GET,RES1X,VARI,2,RTIME,1000
*GET,RES1Y,VARI,3,RTIME,1000

*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR11X ',' ECR11Y '
*VFILL,VALUE1(1,1),DATA,4.2691,-4.2691
*VFILL,VALUE1(1,1),DATA,RES1X,RES1Y
*VFILL,VALUE1(1,2),DATA,ABS(RES1X/0.0041475),ABS(RES1Y/(-0.002074))
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','cr1c-182'

/OUT,vmr049-cr1c-182,vrt
/COM
/COM,------------------- vmr049-cr1c RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE182
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-cr1c-182,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-1C 181 Input Listing 		Up / Home Next
VM-R049-1C 183 Input Listing


VM-R049-1C 183 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-cr1c-183
/TITLE,vmr049-cr1c-183,CONSTANT-LOAD CREEP BENCHMARK
/COM, REFERENCE: TEST CR-1C FROM NAFEMS R0049.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(TIME HARDENING)***
*SET,C1,0.5E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
*SET,C5,1E-16
*SET,C6,5
*SET,C7,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,11
TBDATA,1,C1,C2,C3,C4,C5,C6,C6
SAVE
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
ET,1,183
KEYOPT,1,3,0
E,1,2,3,4,5,6,7,8
NSEL,S,LOC,X,
D,ALL,UX,
NSEL,ALL
NSEL,S,,,8
D,ALL,UY,
NSEL,ALL

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-100
NSEL,ALL
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8

SOLVE
RATE, ON, ON
DELT,100,99,101
TIME,1000
OUTRES,ALL,ALL
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH

/POST26
ESOL,2,1,,EPCR,X
ESOL,3,1,,EPCR,Y
PRVAR,2,3
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
PLVAR,2,3
FINISH

/POST1
SET,,,,,,,1
*GET,S1,NODE,3,EPCR,X
*GET,S1_Y,NODE,3,EPCR,Y
R1=S1/0.100E-7
R7=S1_Y/(-0.500E-8)
SET,,,,,,,3
*GET,S2,NODE,3,EPCR,X
*GET,S2_Y,NODE,3,EPCR,Y
R2=S2/0.1614E-2
R8=S2_Y/(-0.807E-3)
SET,,,,,,,5
*GET,S3,NODE,3,EPCR,X
*GET,S3_Y,NODE,3,EPCR,Y
R3=S3/0.2407E-2
R9=S3_Y/(-0.1203E-2)
SET,,,,,,,7
*GET,S4,NODE,3,EPCR,X
*GET,S4_Y,NODE,3,EPCR,Y
R4=S4/0.3055E-2
R10=S4_Y/(-0.15275E-2)
SET,,,,,,,9
*GET,S5,NODE,3,EPCR,X
*GET,S5_Y,NODE,3,EPCR,Y
R5=S5/0.36339E-2
R11=S5_Y/(-0.18172E-2)
SET,,,,,,,11
*GET,S6,NODE,3,EPCR,X
*GET,S6_Y,NODE,3,EPCR,Y
R6=S6/0.41475E-2
R12=S6_Y/(-0.2074E-2)
*DIM,VALUE,,6,4
*DIM,LABEL,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,RATIO,,6,4
LABEL(1) = '0','200','400','600','800','1000'
TARGETX(1) = '0.100E-7','0.001614','0.002407','0.003055','0.0036339','0.0041475'
TARGETY(1) = '-0.50E-8','-0.000807','-0.001203','-0.001528','-0.001817','-0.002074'
*VFILL,VALUE(1,1),DATA,S1,S2,S3,S4,S5,S6
*VFILL,VALUE(1,2),DATA,R1,R2,R3,R4,R5,R6
*VFILL,VALUE(1,3),DATA,S1_Y,S2_Y,S3_Y,S4_Y,S5_Y,S6_Y
*VFILL,VALUE(1,4),DATA,R7,R8,R9,R10,R11,R12
/COM
/COM
/COM,--------- vmr049-cr1c-183 RESULTS COMPARISON-----------
/COM,
/COM, vmr049-cr1c-183.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 100 ,FIGURE 3.7C. THE RESULTS
/COM, DISPLAYED ARE INCREMENTED FOR THIS PURPOSE
/COM,
/COM,-------- CREEP COMPONENT IN X DIRECTION ---------
/COM,
/COM,| TIME |   TARGET  |    ANSYS   |    RATIO
/COM,
*VWRITE,LABEL(1),TARGETX(1), VALUE(1,1), VALUE(1,2)
(1X,A6,'   ',1X,A8,'   ',F9.5,'   ',F8.3,'   ')
/COM,
/COM,-------- CREEP COMPONENT IN Y DIRECTION ---------
/COM,
/COM,| TIME |   TARGET  |    ANSYS   |    RATIO
/COM,
*VWRITE,LABEL(1),TARGETY(1), VALUE(1,3), VALUE(1,4)
(1X,A6,'   ',1X,A8,'   ',F9.5,'   ',F8.3,'   ')
FINISH

/POST26
/COM,ESOL,2,1,,EPCR,X
/COM,ESOL,3,1,,EPCR,Y
/COM,PRVAR,2,3
/COM,PLVAR,2,3
/COM,*GET,RES1X,VARI,2,RTIME,1000
/COM,*GET,RES1Y,VARI,3,RTIME,1000

*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR11X ',' ECR11Y '
*VFILL,VALUE1(1,1),DATA,S6,S6_Y
*VFILL,VALUE1(1,2),DATA,R6,R12
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','cr1c-183'

/OUT,vmr049-cr1c-183,vrt
/COM
/COM,------------------- vmr049-cr1c RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE183
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-cr1c-183,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-1C 182 Input Listing 		Up / Home Next
VM-R049-1C 281 Input Listing


VM-R049-1C 281 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-cr1c-281
/TITLE,vmr049-cr1c-281,CONSTANT-LOAD CREEP BENCHMARK
/COM, REFERENCE: TEST CR-1C FROM NAFEMS R0049.
/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(TIME HARDENING)***
*SET,C1,0.5E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
*SET,C5,1E-16
*SET,C6,5
*SET,C7,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,11
TBDATA,1,C1,C2,C3,C4,C5,C6,C6
SAVE
N,1,0,0,0
N,2,100,0
N,3,100,50
N,4,0,50
N,5,100,100
N,6,0,100
N,7,50,0
N,8,100,25
N,9,50,50
N,10,0,25
N,11,100,75
N,12,50,100
N,13,0,75
ET,1,SHELL281
R,1,1,1,1,1,
E,1,2,3,4,7,8,9,10
E,4,3,5,6,9,11,12,13
NSEL,ALL
NSEL,S,LOC,X,
D,ALL,UX,
NSEL,ALL
NSEL,S,,,4
D,ALL,UY,
NSEL,ALL
D,ALL,UZ
D,ALL,ROTZ
FINISH
/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-100
NSEL,ALL
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
SOLVE
RATE, ON, ON
DELT,100,99,101
TIME,1000
OUTRES,ALL,ALL
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH
/POST26
ESOL,2,1,,EPCR,X
ESOL,3,1,,EPCR,Y
PRVAR,2,3
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN
PLVAR,2,3
FINISH
/POST1
SET,,,,,,,1
*GET,S1,NODE,3,EPCR,X
*GET,S1_Y,NODE,3,EPCR,Y
R1=1.00
R7=1.00
SET,,,,,,,3
*GET,S2,NODE,3,EPCR,X
*GET,S2_Y,NODE,3,EPCR,Y
R2=S2/0.1614E-2
R8=S2_Y/(-0.807E-3)
SET,,,,,,,5
*GET,S3,NODE,3,EPCR,X
*GET,S3_Y,NODE,3,EPCR,Y
R3=S3/0.2407E-2
R9=S3_Y/(-0.1203E-2)
SET,,,,,,,7
*GET,S4,NODE,3,EPCR,X
*GET,S4_Y,NODE,3,EPCR,Y
R4=S4/0.3055E-2
R10=S4_Y/(-0.15275E-2)
SET,,,,,,,9
*GET,S5,NODE,3,EPCR,X
*GET,S5_Y,NODE,3,EPCR,Y
R5=S5/0.36339E-2
R11=S5_Y/(-0.18172E-2)
SET,,,,,,,11
*GET,S6,NODE,3,EPCR,X
*GET,S6_Y,NODE,3,EPCR,Y
R6=S6/0.41475E-2
R12=S6_Y/(-0.2074E-2)
*DIM,VALUE,,6,4
*DIM,LABEL,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,RATIO,,6,4
LABEL(1) = '0','200','400','600','800','1000'
TARGETX(1) = '0.100E-7','0.001614','0.002407','0.003055','0.0036339','0.0041475'
TARGETY(1) = '-0.50E-8','-0.000807','-0.001203','-0.001528','-0.001817','-0.002074'
*VFILL,VALUE(1,1),DATA,S1,S2,S3,S4,S5,S6
*VFILL,VALUE(1,2),DATA,R1,R2,R3,R4,R5,R6
*VFILL,VALUE(1,3),DATA,S1_Y,S2_Y,S3_Y,S4_Y,S5_Y,S6_Y
*VFILL,VALUE(1,4),DATA,R7,R8,R9,R10,R11,R12
/COM
/COM,--------- vmr049-cr1c-281 RESULTS COMPARISON-----------
/COM,
/COM, vmr049-cr1c-281.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 100 ,FIGURE 3.7C. THE RESULTS
/COM, DISPLAYED ARE INCREMENTED FOR THIS PURPOSE
/COM,
/COM,-------- CREEP COMPONENT IN X DIRECTION ---------
/COM,
/COM,| TIME |   TARGET  |    ANSYS   |    RATIO
/COM,
*VWRITE,LABEL(1),TARGETX(1), VALUE(1,1), VALUE(1,2)
(1X,A6,'   ',1X,A8,'   ',F9.5,'   ',F8.3,'   ')
/COM,
/COM,-------- CREEP COMPONENT IN Y DIRECTION ---------
/COM,
/COM,| TIME |   TARGET  |    ANSYS   |    RATIO
/COM,
*VWRITE,LABEL(1),TARGETY(1), VALUE(1,3), VALUE(1,4)
(1X,A6,'   ',1X,A8,'   ',F9.5,'   ',F8.3,'   ')
FINISH
/POST26
*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' ECR11X ',' ECR11Y '
*VFILL,VALUE1(1,1),DATA,S6,S6_Y
*VFILL,VALUE1(1,2),DATA,R6,R12
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','cr1c-281'
/OUT,vmr049-cr1c-281,vrt
/COM
/COM,------------------- vmr049-cr1c RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL281
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr049-cr1c-281,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-1C 183 Input Listing 		Up / Home Next
VM-R049-2 181 Input Listing


VM-R049-2 181 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-cr2-181
/TITLE,vmr049-cr2-181,CONSTANT-DISPLACEMENT CREEP BENCHMARK
/COM, REFERENCE: TEST CR-2A FROM NAFEMS REPORT 0049.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS (TIME HARDENING)!***
*SET,C1,1.5625E-14
*SET,C2,5.0
*SET,C3,-0.5
*SET,C4,0
C***  TIME PARAMETER
*SET,HOUR,1000
C***   ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,OFFS
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS (STRAIN HARDENING)!***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
MP,EX,2,200E3
MP,NUXY,2,0.3
TB,CREEP,2,,,7
TBDATA,1,C1,C2,C3
SAVE
/PREP7
N,1
N,2,100
N,3,100,100
N,4,0,100
ET,1,181,,,
R,1,1,1,1,1,
E,1,2,3,4
NSEL,ALL
D,ALL,UZ,
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,X,100
D,ALL,UX,0.1
NSEL,S,LOC,Y,100
D,ALL,UY,0.1
NSEL,ALL
*DO,I,1,2
*STATUS,I

/PREP7
*IF,I,EQ,1,THEN
MAT,1
*ELSEIF,I,EQ,2,THEN
MPCHG,2,ALL
*ENDIF
FINI

/SOLU
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE

/OUT
RATE, ON
DELT,0.10,0.099,0.10
TIME, 0.10
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,1.0,0.99,1.0
TIME, 1.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,5.0,4.99,5.0
TIME, 5.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,10.0,9.99,10.0
TIME, 10.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
/OUTPUT,SCRATCH

OUTRES,ALL,ALL
SOLVE
/OUT
FINISH

/POST26
*IF,I,EQ,1,THEN
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/GTHK,AXIS,1
/GRTYP,0
/GROPT,DIG1,5
/GROPT,DIG2,3
/GROPT,DIVX,5
/GROPT,DIVY,6
/XRANGE,0,1000
/YRANGE,0,300
ESOL,2,1,,S,EQV,TIMEHARD
PRVAR,2
/COLOR,CURVE,BMAG,1
/AXLAB,X,TIME
/AXLAB,Y,STRESS
PLVAR,2
/NOERASE

/POST1
SET,1,1
*GET,SH1,NODE,3,S,X
R1=SH1/285.714
SET,6,19
*GET,SH2,NODE,3,S,X
R2=SH2/46.612
SET,6,39
*GET,SH3,NODE,3,S,X
R3=SH3/42.206
SET,6,59
*GET,SH4,NODE,3,S,X
R4=SH4/39.893
SET,6,79
*GET,SH5,NODE,3,S,X
R5=SH5/38.353
SET,6,99
*GET,SH6,NODE,3,S,X
R6=SH6/37.211
*DIM,VALUE,,6,3
*DIM,LABEL,CHAR,10
*DIM,TARGET,CHAR,10
*DIM,RATIO,,6,4
LABEL(1) = '0','200.0','400.0','600.0','800.0','1000'
TARGET(1) = '285.714','46.612','42.206','39.893','38.353','37.211'
*VFILL,VALUE(1,1),DATA,SH1,SH2,SH3,SH4,SH5,SH6
*VFILL,RATIO(1,1),DATA,R1,R2,R3,R4,R5,R6

*ELSEIF,I,EQ,2,THEN
ESOL,3,1,,S,EQV,STRAINHA
PRVAR,3
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/YRANGE,0,300
/COLOR,CURVE,BLUE,1
PLVAR,3

/POST1
SET,1,1
*GET,SH1_1,NODE,3,S,X
R7=SH1_1/285.714
SET,6,19
*GET,SH2_1,NODE,3,S,X
R8=SH2_1/62.014
SET,6,39
*GET,SH3_1,NODE,3,S,X
R9=SH3_1/57.251
SET,6,59
*GET,SH4_1,NODE,3,S,X
R10=SH4_1/54.690
SET,6,79
*GET,SH5_1,NODE,3,S,X
R11=SH5_1/52.959
SET,6,99
*GET,SH6_1,NODE,3,S,X
R12=SH6_1/51.661
*DIM,VALUE1,,6,3
*DIM,LABEL1,CHAR,10
*DIM,TARGET1,CHAR,10
*DIM,RATIO1,,6,3
LABEL1(1) = '0','200.0','400.0','600.0','800.0','1000'
TARGET1(1) = '285.714','62.014','57.251','54.690','52.959','51.661'
*VFILL,VALUE1(1,1),DATA,SH1_1,SH2_1,SH3_1,SH4_1,SH5_1,SH6_1
*VFILL,RATIO1(1,1),DATA,R7,R8,R9,R10,R11,R12
/COM
/COM,--------- vmr049-cr2-181 STRESS RESULTS COMPARISON (TIME HARDENING)-----------
/COM,
/COM, COMPARE NUMERICAL VALUES LISTED BELOW WITH FIGURE 3.10(A)
/COM, ON PAGE 103 AS NO NUMERICAL RESULTS ARE PRESENTED.
/COM,
/COM,|   TIME   |   TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,LABEL(1), TARGET(1), VALUE(1,1), RATIO(1,1)
(1X,A8,'   ',1X,A8,'   ',F8.3,'   ',1F8.3)
/COM,
/COM,
/COM,--------- vmr049-cr2-181 STRESS RESULTS COMPARISON (STRAIN HARDENING)-----------
/COM,
/COM,|   TIME   |   TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,LABEL(1), TARGET1(1), VALUE1(1,1), RATIO1(1,1)
(1X,A8,'   ',1X,A8,'   ',F8.3,'   ',1F8.3)
*ENDIF
*ENDDO
FINISH

/POST26
*DIM,LABEL2,CHAR,2
*DIM,VALUE2,,2,3
LABEL2(1) = ' S6 ',' S7 '
*VFILL,VALUE2(1,1),DATA,SH6,SH6_1
*VFILL,VALUE2(1,2),DATA,R6,R12
*DIM,LABEL3,CHAR,2
LABEL3(1) = 'vmr049-','cr2-181'

/OUT,vmr049-cr2-181,vrt
/COM
/COM,------------------- vmr049-cr2 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL181
*VWRITE,LABEL2(1),VALUE2(1,1),VALUE2(1,2),LABEL3(1),LABEL3(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL2(2),VALUE2(2,1),VALUE2(2,2),LABEL3(1),LABEL3(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-cr2-181,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-1C 281 Input Listing 		Up / Home Next
VM-R049-2 182 Input Listing


VM-R049-2 182 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-cr2-182
/TITLE,vmr049-cr2-182,CONSTANT-DISPLACEMENT CREEP BENCHMARK
/COM TEST CASE REFERENCED FROM ROO49 NAFEMS MANUAL,
/COM TEST CR-2:  CONSTANT-DISPLACEMENT CREEP BENCHMARK

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS (TIME HARDENING)!***
*SET,C1,1.5625E-14
*SET,C2,5.0
*SET,C3,-0.5
*SET,C4,0
C***  TIME PARAMETER
*SET,HOUR,1000
C***   ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,OFFS
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS (STRAIN HARDENING)!***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
MP,EX,2,200E3
MP,NUXY,2,0.3
TB,CREEP,2,,,7
TBDATA,1,C1,C2,C3
N,1
N,2,100
N,3,100,100
N,4,0,100
ET,1,182,1,,
E,1,2,3,4
NSEL,ALL
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,X,100
D,ALL,UX,0.1
NSEL,S,LOC,Y,100
D,ALL,UY,0.1
NSEL,ALL
*DO,I,1,2
*STATUS,I
/PREP7
*IF,I,EQ,1,THEN
MAT,1
*ELSEIF,I,EQ,2,THEN
MPCHG,2,ALL
*ENDIF
FINISH

/SOLU
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,0.10,0.099,0.10
TIME, 0.10
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,1.0,0.99,1.0
TIME, 1.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,5.0,4.99,5.0
TIME, 5.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,10.0,9.99,10.0
TIME, 10.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
/OUTPUT,SCRATCH
OUTRES,ALL,ALL
SOLVE
/OUT
FINISH

/POST26

*IF,I,EQ,1,THEN
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/GTHK,AXIS,1
/GRTYP,0
/GROPT,DIG1,5
/GROPT,DIG2,3
/GROPT,DIVX,5
/GROPT,DIVY,6
/XRANGE,0,1000
/YRANGE,0,300
ESOL,2,1,,S,EQV,TIMEHARD
PRVAR,2
/COLOR,CURVE,BMAG,1
/AXLAB,X,TIME
/AXLAB,Y,STRESS
PLVAR,2

/POST1
SET,1,1
*GET,SH1,NODE,3,S,X
R1=SH1/285.714
SET,6,19
*GET,SH2,NODE,3,S,X
R2=SH2/46.612
SET,6,39
*GET,SH3,NODE,3,S,X
R3=SH3/42.206
SET,6,59
*GET,SH4,NODE,3,S,X
R4=SH4/39.893
SET,6,79
*GET,SH5,NODE,3,S,X
R5=SH5/38.353
SET,6,99
*GET,SH6,NODE,3,S,X
R6=SH6/37.211
*DIM,VALUE1,,6,3
*DIM,VALUE2,,6,3
*DIM,LABEL,CHAR,10
*DIM,TARGET,CHAR,10
LABEL(1) = '0','200', '400', '600', '800', '1000'
TARGET(1) = '285.714','46.612','42.206','39.353','38.353','37.211'
*VFILL,VALUE1(1,1),DATA,SH1,SH2,SH3,SH4,SH5,SH6
*VFILL,VALUE2(1,1),DATA,R1,R2,R3,R4,R5,R6

*ELSEIF,I,EQ,2,THEN
/NOERASE
/GROPT,DIVX,5
/GROPT,DIVY,6
/XRANGE,0,1000
/YRANGE,0,300
ESOL,3,1,,S,EQV,STRAINHARDENING
PRVAR,3
/COLOR,CURVE,GREE,1
/AXLAB,X,TIME
/AXLAB,Y,STRESS
PLVAR,3

/POST1
SET,1,1
*GET,S1,NODE,3,S,X
R10=S1/285.714
SET,6,19
*GET,S2,NODE,3,S,X
R11=S2/62.014
SET,6,39
*GET,S3,NODE,3,S,X
R12=S3/57.251
SET,6,59
*GET,S4,NODE,3,S,X
R13=S4/54.690
SET,6,79
*GET,S5,NODE,3,S,X
R14=S5/52.959
SET,6,99
*GET,S6,NODE,3,S,X
R15=S6/51.661
*DIM,VALUE3,,6,3
*DIM,VALUE4,,6,3
*DIM,LABEL2,CHAR,10
*DIM,TARGET2,CHAR,10
LABEL2(1) = '0','200', '400', '600', '800', '1000'
TARGET2(1) = '285.714','62.014','57.251','54.690','52.959','51.661'
*VFILL,VALUE3(1,1),DATA,S1,S2,S3,S4,S5,S6
*VFILL,VALUE4(1,1),DATA,R10,R11,R12,R13,R14,R15
/COM
/COM
/COM,--------- vmr049-cr2-182 TIME HARDENING COMPARISON -----------
/COM,
/COM COMPARE NUMERICAL VALUES LISTED
/COM BELOW WITH GRAPH OF FIGURE
/COM 3.10A ON PAGE 103 AS NO NUMERICAL
/COM RESULTS ARE PRESENTED.
/COM,
/COM,|   TIME   |  TARGET |  ANSYS  |  RATIO |
/COM,
*VWRITE,LABEL(1),TARGET(1),VALUE1(1,1),VALUE2(1,1)
(1X,A8,'   ',1X,A8,'   ',F8.3,'   ',1F8.3,'   ')
/COM,
/COM,
/COM,--------- vmr049-cr2-182 STRAIN HARDENING COMPARISON ---------
/COM,
/COM,|   TIME   |  TARGET |  ANSYS  |  RATIO |
/COM,
*VWRITE,LABEL2(1),TARGET2(1), VALUE3(1,1), VALUE4(1,1)
(1X,A8,'   ',1X,A8,'   ',F8.3,'   ',1F8.3,'   ')
*ENDIF
*ENDDO
FINISH

/POST26
*DIM,LABEL3,CHAR,2
*DIM,VALUE5,,2,3
LABEL3(1) = ' S6 ',' S7 '
*VFILL,VALUE5(1,1),DATA,SH6,S6
*VFILL,VALUE5(1,2),DATA,R6,R15
*DIM,LABEL4,CHAR,2
LABEL4(1) = 'vmr049-','cr2-182'

/OUT,vmr049-cr2-182,vrt
/COM
/COM,------------------- vmr049-cr2 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE182
*VWRITE,LABEL3(1),VALUE5(1,1),VALUE5(1,2),LABEL4(1),LABEL4(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL3(2),VALUE5(2,1),VALUE5(2,2),LABEL4(1),LABEL4(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-cr2-182,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-2 181 Input Listing 		Up / Home Next
VM-R049-2 183 Input Listing


VM-R049-2 183 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-cr2-183
/TITLE,vmr049-cr2-183,CONSTANT-DISPLACEMENT CREEP BENCHMARK
/COM, REFERENCE: TEST CR-2A FROM NAFEMS REPORT 0049.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS (TIME HARDENING)!***
*SET,C1,1.5625E-14
*SET,C2,5.0
*SET,C3,-0.5
*SET,C4,0
C***  TIME PARAMETER
*SET,HOUR,1000
C***   ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,OFFS
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS (STRAIN HARDENING)!***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
MP,EX,2,200E3
MP,NUXY,2,0.3
TB,CREEP,2,,,7
TBDATA,1,C1,C2,C3
SAVE
N,1
N,2,100
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
ET,1,183,,,
E,1,2,3,4,5,6,7,8
NSEL,ALL
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,X,100
D,ALL,UX,0.1
NSEL,S,LOC,Y,100
D,ALL,UY,0.1
NSEL,ALL
*DO,I,1,2
*STATUS,I

/PREP7
*IF,I,EQ,1,THEN
MAT,1
*ELSEIF,I,EQ,2,THEN
MPCHG,2,ALL
*ENDIF
FINI

/SOLU
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE

/OUT
RATE, ON
DELT,0.10,0.099,0.10
TIME, 0.10
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,1.0,0.99,1.0
TIME, 1.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,5.0,4.99,5.0
TIME, 5.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,10.0,9.99,10.0
TIME, 10.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME, 1000
/OUT,SCRATCH
OUTRES,ALL,ALL
OUTPR,ALL,LAST
SOLVE
/OUT
FINISH

/POST26
*IF,I,EQ,1,THEN
ESOL,2,1,,S,EQV,TIMEHARD
PRVAR,2
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/YRANGE,0,400
PLVAR,2
/NOERASE

/POST1
SET,1,1
*GET,SH1,NODE,3,S,X
R1=SH1/285.714
SET,6,19
*GET,SH2,NODE,3,S,X
R2=SH2/46.612
SET,6,39
*GET,SH3,NODE,3,S,X
R3=SH3/42.206
SET,6,59
*GET,SH4,NODE,3,S,X
R4=SH4/39.893
SET,6,79
*GET,SH5,NODE,3,S,X
R5=SH5/38.353
SET,6,99
*GET,SH6,NODE,3,S,X
R6=SH6/37.211
*DIM,VALUE,,6,3
*DIM,LABEL,CHAR,10
*DIM,TARGET,CHAR,10
*DIM,RATIO,,6,4
LABEL(1) = '0','200.0','400.0','600.0','800.0','1000'
TARGET(1) = '285.714','46.612','42.206','39.893','38.353','37.211'
*VFILL,VALUE(1,1),DATA,SH1,SH2,SH3,SH4,SH5,SH6
*VFILL,RATIO(1,1),DATA,R1,R2,R3,R4,R5,R6

*ELSEIF,I,EQ,2,THEN
ESOL,3,1,,S,EQV,STRAINHA
PRVAR,3
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/COLOR,CURVE,BLUE,1
/YRANGE,0,400
PLVAR,3

/POST1
SET,1,1
*GET,SH1_1,NODE,3,S,X
R7=SH1_1/285.714
SET,6,19
*GET,SH2_1,NODE,3,S,X
R8=SH2_1/62.014
SET,6,39
*GET,SH3_1,NODE,3,S,X
R9=SH3_1/57.251
SET,6,59
*GET,SH4_1,NODE,3,S,X
R10=SH4_1/54.690
SET,6,79
*GET,SH5_1,NODE,3,S,X
R11=SH5_1/52.959
SET,6,99
*GET,SH6_1,NODE,3,S,X
R12=SH6_1/51.661
*DIM,VALUE1,,6,3
*DIM,LABEL1,CHAR,10
*DIM,TARGET1,CHAR,10
*DIM,RATIO1,,6,3
LABEL1(1) = '0','200.0','400.0','600.0','800.0','1000'
TARGET1(1) = '285.714','62.014','57.251','54.690','52.959','51.661'
*VFILL,VALUE1(1,1),DATA,SH1_1,SH2_1,SH3_1,SH4_1,SH5_1,SH6_1
*VFILL,RATIO1(1,1),DATA,R7,R8,R9,R10,R11,R12
/COM
/COM,--------- vmr049-cr2-183 STRESS RESULTS COMPARISON (TIME HARDENING)-----------
/COM,
/COM, COMPARE NUMERICAL VALUES LISTED BELOW WITH FIGURE 3.10(A)
/COM, ON PAGE 103 AS NO NUMERICAL RESULTS ARE PRESENTED.
/COM,
/COM,|   TIME   |   TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,LABEL(1), TARGET(1), VALUE(1,1), RATIO(1,1)
(1X,A8,'   ',1X,A8,'   ',F8.3,'   ',1F8.3)
/COM,
/COM,
/COM,--------- vmr049-cr2-183 STRESS RESULTS COMPARISON (STRAIN HARDENING)-----------
/COM,
/COM,|   TIME   |   TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,LABEL(1), TARGET1(1), VALUE1(1,1), RATIO1(1,1)
(1X,A8,'   ',1X,A8,'   ',F8.3,'   ',1F8.3)
*ENDIF
*ENDDO
FINISH

/POST26
*DIM,LABEL3,CHAR,2
*DIM,VALUE2,,2,3
LABEL3(1) = ' S6 ',' S7 '
*VFILL,VALUE2(1,1),DATA,SH6,SH6_1
*VFILL,VALUE2(1,2),DATA,R6,R12
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','cr2-183'

/OUT,vmr049-cr2-183,vrt
/COM
/COM,------------------- vmr049-cr2 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE183
*VWRITE,LABEL3(1),VALUE2(1,1),VALUE2(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL3(2),VALUE2(2,1),VALUE2(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-cr2-183,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-2 182 Input Listing 		Up / Home Next
VM-R049-2 185 Input Listing


VM-R049-2 185 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-cr2-185
/TITLE,vmr049-cr2-185,CONSTANT-DISPLACEMENT CREEP BENCHMARK
/COM,REFERENCE: COMPARISON IS MADE GRAPHICLY WITH THE SOLUTION
/COM,OF THE TEST CR-2C FROM THE NAFEMS REPORT

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS
*SET,C1,3.125E-14
*SET,C2,5.0
*SET,C3,0.0
*SET,C4,0
C***  TIME PARAMETER
*SET,HOUR,1000
C***   ELASTIC CONSTANT
MP,EX,1,0.2000E+06
MP,EY,1,0.2000E+06
MP,EZ,1,0.2000E+06
MP,GXY,1,0.7692E+05
MP,GYZ,1,0.7692E+05
MP,GXZ,1,0.7692E+05
MP,NUXY,1,0.3000E+00
MP,NUYZ,1,0.3000E+00
MP,NUXZ,1,0.3000E+00
MP,DENS,1,0.0000E+00
TUNIF,HOT
TOFF,OFFS
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
ET,1,SOLID185
KEYOPT,1,1,0
KEYOPT,1,2,0
KEYOPT,1,4,0
KEYOPT,1,5,0
KEYOPT,1,6,0
BLOCK,0,100,0,100,0,100,
ESIZE,50
VMESH,1
NSEL,ALL
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,Z,100
D,ALL,UZ
NSEL,S,LOC,X,100
D,ALL,UX,0.3
NSEL,S,LOC,Y,100
D,ALL,UY,0.2
NSEL,S,LOC,Z
D,ALL,UZ,-0.1
NSEL,ALL
FINISH

/SOLU
RATE, OFF
SOLCONTROL,ON
DELT,1.0E-10,1E-11,1E-9
TIME, 1.0E-10
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT

/SOLU
RATE, ON, ON
SOLCONTROL,ON
DELT,1E-1,1E-1,100
TIME, 1000
/OUTPUT,SCRATCH
OUTRES,ALL,ALL
SOLVE
/OUT
FINISH

/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/GTHK,AXIS,1
/GRTYP,0
/GROPT,ASCAL,ON
/GROPT,AXDV,ON
/GROPT,AXNM,ON
/GROPT,AXNSC,ON
/GROPT,DIG1,5
/GROPT,DIG2,3
ESOL,2,1,,S,X
ESOL,3,1,,S,Y
ESOL,4,1,,S,Z
PRVAR,2,3,4
PLVAR,2,3,4

/POST1
SET,,,,,,,1
*GET,S1,NODE,4,S,X
R1=S1/1153.846
SET,,,,,,,14
*GET,S2,NODE,4,S,X
R2=S2/1016.393
SET,,,,,,,16
*GET,S3,NODE,4,S,X
R3=S3/1013.616
SET,,,,,,,18
*GET,S4,NODE,4,S,X
R4=S4/1011.562
SET,,,,,,,20
*GET,S5,NODE,4,S,X
R5=S5/1009.958
SET,,,,,,,22
*GET,S6,NODE,4,S,X
R6=S6/1009.05
*DIM,VALUE,,6,4
*DIM,RATIO,,6,4
*DIM,LABEL,CHAR,10
*DIM,TARGET,CHAR,10
LABEL(1) = '0','200','400','600','800','1000'
TARGET(1) = '1153.846','1016.393','1013.616','1011.562','1009.958','1009.05'
*VFILL,VALUE(1,1),DATA,S1,S2,S3,S4,S5,S6
*VFILL,RATIO(1,1),DATA,R1,R2,R3,R4,R5,R6
SET,,,,,,,1
*GET,S1_Y,NODE,4,S,Y
R7=S1_Y/1000.000
SET,,,,,,,14
*GET,S2_Y,NODE,4,S,Y
R8=S2_Y/1000.000
SET,,,,,,,16
*GET,S3_Y,NODE,4,S,Y
R9=S3_Y/1000.000
SET,,,,,,,18
*GET,S4_Y,NODE,4,S,Y
R10=S4_Y/1000.000
SET,,,,,,,20
*GET,S5_Y,NODE,4,S,Y
R11=S5_Y/1000.000
SET,,,,,,,22
*GET,S6_Y,NODE,4,S,Y
R12=S6_Y/1000.000
*DIM,TARGET2,CHAR,10
*VFILL,VALUE(1,2),DATA,S1_Y,S2_Y,S3_Y,S4_Y,S5_Y,S6_Y
*VFILL,RATIO(1,2),DATA,R7,R8,R9,R10,R11,R12
TARGET2(1)='1000.000','1000.000','1000.000','1000.000','1000.000','1000.000'
SET,,,,,,,1
*GET,S1_Z,NODE,4,S,Z
R13=S1_Z/846.154
SET,,,,,,,14
*GET,S2_Z,NODE,4,S,Z
R14=S2_Z/983.608
SET,,,,,,,16
*GET,S3_Z,NODE,4,S,Z
R15=S3_Z/985.942
SET,,,,,,,18
*GET,S4_Z,NODE,4,S,Z
R16=S4_Z/988.439
SET,,,,,,,20
*GET,S5_Z,NODE,4,S,Z
R17=S5_Z/990.043
SET,,,,,,,22
*GET,S6_Z,NODE,4,S,Z
R18=S6_Z/990.950
*DIM,TARGET3,CHAR,10
*VFILL,VALUE(1,3),DATA,S1_Z,S2_Z,S3_Z,S4_Z,S5_Z,S6_Z
*VFILL,RATIO(1,3),DATA,R13,R14,R15,R16,R17,R18
TARGET3(1)='846.154','983.608','985.942','988.439','990.043','990.950'
/COM
/COM---------- VMR049-CR2-185 RESULTS COMPARISON -------------
/COM
/COM COMPARE NUMERICAL VALUES LISTED
/COM BELOW WITH GRAPH OF FIGURE
/COM 3.10C ON PAGE 103 AS NO NUMERICAL
/COM,RESULTS ARE PRESENTED
/COM
/COM
/COM,--------- VMR049-CR2-185 STRESS RESULTS IN X DIRECTION -----------
/COM,
/COM,|   TIME   |  TARGET  |  ANSYS  | RATIO
/COM,
*VWRITE,LABEL(1), TARGET(1), VALUE(1,1), RATIO(1,1)
(1X,A8,'   ',1X,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,--------- VMR049-CR2-185 RESULTS IN Y DIRECTION -----------
/COM,
/COM,|   TIME   |  TARGET  |  ANSYS  | RATIO
/COM,
*VWRITE,LABEL(1), TARGET2(1), VALUE(1,2), RATIO(1,2)
(1X,A8,'   ',1X,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,--------- VMR049-CR2-185 STRESS RESULTS IN Z DIRECTION -----------
/COM,
/COM,|   TIME   |  TARGET  |  ANSYS  | RATIO
/COM,
*VWRITE,LABEL(1), TARGET3(1), VALUE(1,3), RATIO(1,3)
(1X,A8,'   ',1X,A8,'   ',F8.3,'   ',F8.3,'   ')
FINISH

/POST26
*DIM,LABEL1,CHAR,3
*DIM,VALUE1,,3,3
LABEL1(1) = ' S6X ',' S6Y ',' S6Z'
*VFILL,VALUE1(1,1),DATA,S6,S6_Y,S6_Z
*VFILL,VALUE1(1,2),DATA,R6,R12,R18
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','cr2-185'

/OUT,vmr049-cr2-185,vrt
/COM
/COM,------------------- vmr049-cr2 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SOLID185
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.3,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(3),VALUE1(3,1),VALUE1(3,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.3,'     ',F8.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-cr2-185,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-2 183 Input Listing 		Up / Home Next
VM-R049-2 187 Input Listing


VM-R049-2 187 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-cr2-187
/TITLE,vmr049-cr2-187,CONSTANT-DISPLACEMENT CREEP BENCHMARK
/COM,REFERENCE:COMPARISON IS MADE GRAPHICLY WITH THE SOLUTION OF
/COM THE TEST CR-2C FROM THE NAFEMS REPORT ROO49

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS !***
*SET,C1,3.125E-14
*SET,C2,5.0
*SET,C3,0.0
*SET,C4,0
C***  TIME PARAMETER
*SET,HOUR,1000
C***   ELASTIC CONSTANT
MP,EX,1,0.2000E+06
MP,EY,1,0.2000E+06
MP,EZ,1,0.2000E+06
MP,GXY,1,0.7692E+05
MP,GYZ,1,0.7692E+05
MP,GXZ,1,0.7692E+05
MP,NUXY,1,0.3000E+00
MP,NUYZ,1,0.3000E+00
MP,NUXZ,1,0.3000E+00
MP,DENS,1,0.0000E+00
TUNIF,HOT
TOFF,OFFS
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
ET,1,SOLID187
BLOCK,0,100,0,100,0,100,
/VIEW, 1 ,1,1,1
/ANG, 1

ESIZE,100
VMESH,1
NSEL,ALL
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,Z,100
D,ALL,UZ
NSEL,S,LOC,X,100
D,ALL,UX,0.3
NSEL,S,LOC,Y,100
D,ALL,UY,0.2
NSEL,S,LOC,Z
D,ALL,UZ,-0.1
NSEL,ALL
FINISH

/SOLU
RATE, OFF
SOLCONTROL,ON
DELT,1.0E-10,1E-11,1E-9
TIME, 1.0E-10
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT

/SOLU
RATE, ON, ON
SOLCONTROL,ON
DELT,1,1,100
TIME, 1000
/OUTPUT,SCRATCH
OUTRES,ALL,ALL
SOLVE
/OUT
FINISH

/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/GTHK,AXIS,1
/GRTYP,0
/GROPT,ASCAL,ON
/GROPT,AXDV,ON
/GROPT,AXNM,ON
/GROPT,AXNSC,ON
/GROPT,DIG1,5
/GROPT,DIG2,3
ESOL,2,1,,S,X
ESOL,3,1,,S,Y
ESOL,4,1,,S,Z
PRVAR,2,3,4
PLVAR,2,3,4
FINISH

/POST1
SET,,,,,,,1
*GET,S1,NODE,4,S,X
R1=S1/1153.846
SET,,,,,,,14
*GET,S2,NODE,4,S,X
R2=S2/1016.393
SET,,,,,,,16
*GET,S3,NODE,4,S,X
R3=S3/1013.616
SET,,,,,,,18
*GET,S4,NODE,4,S,X
R4=S4/1011.562
SET,,,,,,,20
*GET,S5,NODE,4,S,X
R5=S5/1009.957
SET,,,,,,,22
*GET,S6,NODE,4,S,X
R6=S6/1009.05
*DIM,VALUE,,6,4
*DIM,TARGET,CHAR,10
*DIM,RATIO,,6,4
*DIM,LABEL,CHAR,10
LABEL(1) = '0','200','400','600','800','1000'
TARGET(1) ='1153.846','1016.393','1013.616','1011.562','1009.957','1009.05'
*VFILL,VALUE(1,1),DATA,S1,S2,S3,S4,S5,S6
*VFILL,RATIO(1,1),DATA,R1,R2,R3,R4,R5,R6
SET,,,,,,,1
*GET,S1_Y,NODE,4,S,Y
R7=S1_Y/1000.000
SET,,,,,,,14
*GET,S2_Y,NODE,4,S,Y
R8=S2_Y/1000.000
SET,,,,,,,16
*GET,S3_Y,NODE,4,S,Y
R9=S3_Y/1000.000
SET,,,,,,,18
*GET,S4_Y,NODE,4,S,Y
R10=S4_Y/1000.000
SET,,,,,,,20
*GET,S5_Y,NODE,4,S,Y
R11=S5_Y/1000.000
SET,,,,,,,22
*GET,S6_Y,NODE,4,S,Y
R12=S6_Y/1000.000
*VFILL,VALUE(1,2),DATA,S1_Y,S2_Y,S3_Y,S4_Y,S5_Y,S6_Y
*VFILL,RATIO(1,2),DATA,R6,R7,R8,R9,R10,R11,R12
*DIM,TARGET2,CHAR,10
TARGET2(1)='1000.000','1000.000','1000.000','1000.000','1000.000','1000.000'
SET,,,,,,,1
*GET,S1_Z,NODE,4,S,Z
R13=S1_Z/846.154
SET,,,,,,,14
*GET,S2_Z,NODE,4,S,Z
R14=S2_Z/983.608
SET,,,,,,,16
*GET,S3_Z,NODE,4,S,Z
R15=S3_Z/985.942
SET,,,,,,,18
*GET,S4_Z,NODE,4,S,Z
R16=S4_Z/988.439
SET,,,,,,,20
*GET,S5_Z,NODE,4,S,Z
R17=S5_Z/990.043
SET,,,,,,,22
*GET,S6_Z,NODE,4,S,Z
R18=S6_Z/990.95
*DIM,TARGET3,CHAR,10
*VFILL,VALUE(1,3),DATA,S1_Z,S2_Z,S3_Z,S4_Z,S5_Z,S6_Z
*VFILL,RATIO(1,3),DATA,R13,R14,R15,R16,R17,R18
TARGET3(1)='846.154','983.608','985.942','988.439','990.043','990.95'
/COM
/COM NAFEMS RESULTS
/COM COMPARE NUMERICAL VALUES LISTED
/COM BELOW WITH GRAPH OF FIGURE
/COM 3.10C ON PAGE 103 AS NO NUMERICAL RESULTS
/COM ARE PRESENTED
/COM
/COM,--------- vmr049-cr2-187 STRESS RESULTS IN X DIRECTION -----------
/COM,
/COM,|   TIME   |  TARGET  |  ANSYS  | RATIO
/COM,
*VWRITE,LABEL(1), TARGET(1), VALUE(1,1), RATIO(1,3)
(1X,A8,'   ',1X,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,--------- vmr049-cr2-187 STRESS RESULTS IN Y DIRECTION -----------
/COM,
/COM,|   TIME   |  TARGET  |  ANSYS  | RATIO
/COM,
*VWRITE,LABEL(1), TARGET2(1), VALUE(1,2), RATIO(1,3)
(1X,A8,'   ',1X,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,--------- vmr049-cr2-187 STRESS RESULTS IN Z DIRECTION -----------
/COM,
/COM,|   TIME   |  TARGET  |  ANSYS  | RATIO
/COM,
*VWRITE,LABEL(1), TARGET3(1), VALUE(1,3), RATIO(1,3)
(1X,A8,'   ',1X,A8,'   ',F8.3,'   ',F8.3,'   ')
FINISH

/POST26
*DIM,LABEL1,CHAR,3
*DIM,VALUE1,,3,3
LABEL1(1) = ' S6X ',' S6Y ',' S6Z '
*GET,S6,NODE,4,S,X
*GET,S6_Y,NODE,4,S,Y

*VFILL,VALUE1(1,1),DATA,S6,S6_Y,S6_Z
*VFILL,VALUE1(1,2),DATA,R6,R12,R18
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','cr2-187'

/OUT,vmr049-cr2-187,vrt
/COM
/COM,------------------- vmr049-cr2 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SOLID187
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.3,'      ',F8.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.3,'      ',F8.4,'     ',A7,A8)
*VWRITE,LABEL1(3),VALUE1(3,1),VALUE1(3,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.3,'      ',F8.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-cr2-187,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-2 185 Input Listing 		Up / Home Next
VM-R049-2 281 Input Listing


VM-R049-2 281 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-cr2-281
/TITLE,vmr049-cr2-281,CONSTANT-DISPLACEMENT CREEP BENCHMARK
/COM, REFERENCE: TEST CR-2A FROM NAFEMS REPORT 0049.
/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS (TIME HARDENING)!***
*SET,C1,1.5625E-14
*SET,C2,5.0
*SET,C3,-0.5
*SET,C4,0
C***  TIME PARAMETER
*SET,HOUR,1000
C***   ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,OFFS
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS (STRAIN HARDENING)!***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
MP,EX,2,200E3
MP,NUXY,2,0.3
TB,CREEP,2,,,7
TBDATA,1,C1,C2,C3
SAVE
/PREP7
N,1
N,2,100
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
ET,1,SHELL281,,,
R,1,1,1,1,1,
E,1,2,3,4,5,6,7,8
NSEL,ALL
D,ALL,UZ,
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,X,100
D,ALL,UX,0.1
NSEL,S,LOC,Y,100
D,ALL,UY,0.1
NSEL,ALL
*DO,I,1,2
*STATUS,I
/PREP7
*IF,I,EQ,1,THEN
MAT,1
*ELSEIF,I,EQ,2,THEN
MPCHG,2,ALL
*ENDIF
FINI
/SOLU
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,0.10,0.099,0.10
TIME, 0.10
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,1.0,0.99,1.0
TIME, 1.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,5.0,4.99,5.0
TIME, 5.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON
DELT,10.0,9.99,10.0
TIME, 10.0
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON, ON
DELT,10,1,100
AUTOS,OFF
TIME,1000
/OUTPUT,SCRATCH
OUTRES,ALL,ALL
SOLVE
/OUT
FINISH
/POST26
*IF,I,EQ,1,THEN
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/GTHK,AXIS,1
/GRTYP,0
/GROPT,DIG1,5
/GROPT,DIG2,3
/GROPT,DIVX,5
/GROPT,DIVY,6
/XRANGE,0,1000
/YRANGE,0,300
ESOL,2,1,,S,EQV,TIMEHARD
PRVAR,2
/COLOR,CURVE,BMAG,1
/AXLAB,X,TIME
/AXLAB,Y,STRESS
PLVAR,2
/NOERASE
/POST1
SET,1,1
*GET,SH1,NODE,3,S,X
R1=SH1/285.714
SET,6,19
*GET,SH2,NODE,3,S,X
R2=SH2/46.612
SET,6,39
*GET,SH3,NODE,3,S,X
R3=SH3/42.206
SET,6,59
*GET,SH4,NODE,3,S,X
R4=SH4/39.893
SET,6,79
*GET,SH5,NODE,3,S,X
R5=SH5/38.353
SET,6,99
*GET,SH6,NODE,3,S,X
R6=SH6/37.211
*DIM,VALUE,,6,3
*DIM,LABEL,CHAR,10
*DIM,TARGET,CHAR,10
*DIM,RATIO,,6,4
LABEL(1) = '0','200.0','400.0','600.0','800.0','1000'
TARGET(1) = '285.714','46.612','42.206','39.893','38.353','37.211'
*VFILL,VALUE(1,1),DATA,SH1,SH2,SH3,SH4,SH5,SH6
*VFILL,RATIO(1,1),DATA,R1,R2,R3,R4,R5,R6
*ELSEIF,I,EQ,2,THEN
ESOL,3,1,,S,EQV,STRAINHA
PRVAR,3
/AXLAB,X,TIME
/AXLAB,Y,STRESS
/YRANGE,0,300
/COLOR,CURVE,BLUE,1
PLVAR,3
/POST1
SET,1,1
*GET,SH1_1,NODE,3,S,X
R7=SH1_1/285.714
SET,6,19
*GET,SH2_1,NODE,3,S,X
R8=SH2_1/62.014
SET,6,39
*GET,SH3_1,NODE,3,S,X
R9=SH3_1/57.251
SET,6,59
*GET,SH4_1,NODE,3,S,X
R10=SH4_1/54.690
SET,6,79
*GET,SH5_1,NODE,3,S,X
R11=SH5_1/52.959
SET,6,99
*GET,SH6_1,NODE,3,S,X
R12=SH6_1/51.661
*DIM,VALUE1,,6,3
*DIM,LABEL1,CHAR,10
*DIM,TARGET1,CHAR,10
*DIM,RATIO1,,6,3
LABEL1(1) = '0','200.0','400.0','600.0','800.0','1000'
TARGET1(1) = '285.714','62.014','57.251','54.690','52.959','51.661'
*VFILL,VALUE1(1,1),DATA,SH1_1,SH2_1,SH3_1,SH4_1,SH5_1,SH6_1
*VFILL,RATIO1(1,1),DATA,R7,R8,R9,R10,R11,R12
/COM
/COM,--------- vmr049-cr2-281 STRESS RESULTS COMPARISON (TIME HARDENING)-----------
/COM,
/COM, COMPARE NUMERICAL VALUES LISTED BELOW WITH FIGURE 3.10(A)
/COM, ON PAGE 103 AS NO NUMERICAL RESULTS ARE PRESENTED.
/COM,
/COM,|   TIME   |   TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,LABEL(1), TARGET(1), VALUE(1,1), RATIO(1,1)
(1X,A8,'   ',1X,A8,'   ',F8.3,'   ',1F8.3)
/COM,
/COM,
/COM,--------- vmr049-cr2-281 STRESS RESULTS COMPARISON (STRAIN HARDENING)-----------
/COM,
/COM,|   TIME   |   TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,LABEL(1), TARGET1(1), VALUE1(1,1), RATIO1(1,1)
(1X,A8,'   ',1X,A8,'   ',F8.3,'   ',1F8.3)
*ENDIF
*ENDDO
FINISH
/POST26
*DIM,LABEL2,CHAR,2
*DIM,VALUE2,,2,3
LABEL2(1) = ' S6 ',' S7 '
*VFILL,VALUE2(1,1),DATA,SH6,SH6_1
*VFILL,VALUE2(1,2),DATA,R6,R12
*DIM,LABEL3,CHAR,2
LABEL3(1) = 'vmr049-','cr2-281'
/OUT,vmr049-cr2-281,vrt
/COM
/COM,------------------- vmr049-cr2 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL281
*VWRITE,LABEL2(1),VALUE2(1,1),VALUE2(1,2),LABEL3(1),LABEL3(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL2(2),VALUE2(2,1),VALUE2(2,2),LABEL3(1),LABEL3(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr049-cr2-281,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-2 187 Input Listing 		Up / Home Next
VM-R049-3 181 Input Listing


VM-R049-3 181 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-cr3-181
/TITLE,vmr049-cr3-181,VARIABLE-LOAD UNIAXIAL CREEP BENCHMARK
/COM,THE COMPARISON IS MADE GRAPHICALLY WITH THE RESULTS OF THE
/COM,TEST CR-3A FROM NAFEMS REPORT.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(TIME HARDENING)***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,2
TBDATA,1,C1,C2,C3,C4
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(STRAIN HARDENING)***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
C*** ELASTIC CONSTANT
MP,EX,2,200E3
MP,NUXY,2,0.3
TB,CREEP,2,,,7
TBDATA,1,C1,C2,C3,C4
N,1,0,0,0
N,2,100,0
N,3,100,50
N,4,0,50
N,5,100,100
N,6,0,100
ET,1,181,,,
R,1,1,1,1,1,
E,1,2,3,4
E,4,3,5,6
NSEL,S,LOC,X,
D,ALL,UX,
NSEL,ALL
NSEL,S,,,4
D,ALL,UY,
NSEL,ALL
D,ALL,UZ
D,ALL,ROTX
D,ALL,ROTY
D,ALL,ROTZ

*DO,I,1,2
*STATUS,I

/PREP7
*IF,I,EQ,1,THEN
MAT,1
*ELSEIF,I,EQ,2,THEN
MPCHG,2,ALL
*ENDIF
FINISH

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-200
NSEL,ALL
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON, ON
DELT,1E-2,1E-2,1
TIME,100
/OUTPUT,SCRATCH
OUTRES,ALL,ALL
SOLVE
/OUT

/SOLU
SFDELE,ALL,ALL
NSEL,S,LOC,X,100
SF,ALL,PRES,-250
NSEL,ALL
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME,100.00000001
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON, ON
DELT,1,1,10
TIME,200
/OUTPUT,SCRATCH
OUTRES,ALL,ALL
SOLVE
/OUT
FINISH

*IF,I,EQ,1,THEN
/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/GTHK,AXIS,1
/GRTYP,0
/GROPT,DIG1,5
/GROPT,DIG2,3
/GROPT,DIVX,4
/GROPT,DIVY,7
/XRANGE,0,200
/YRANGE,0,0.35
ESOL,2,1,,EPCR,X,TIMEHARDENING
/COLOR,CURVE,GREE,1
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN (XX)
PLVAR,2
PRVAR,2

/POST1
SET,,,,,,,1
*GET,S1,NODE,3,EPCR,X
R1=1.000
SET,,,,,,,62
*GET,S2,NODE,3,EPCR,X
R2=S2/0.068
SET,,,,,,,112
*GET,S3,NODE,3,EPCR,X
R3=S3/0.097
SET,,,,,,,123
*GET,S4,NODE,3,EPCR,X
R4=S4/0.166
SET,,,,,,,128
*GET,S5,NODE,3,EPCR,X
R5=S5/0.221
*DIM,VALUE,,5,3
*DIM,VALUE2,,5,3
*DIM,LABEL,CHAR,10
*DIM,TARGET,CHAR,10
LABEL(1) = '0','50','100','150','200'
TARGET(1) = '0.000','0.068','0.097','0.166','0.221'
*VFILL,VALUE(1,1),DATA,S1,S2,S3,S4,S5
*VFILL,VALUE2(1,1),DATA,R1,R2,R3,R4,R5

*ELSEIF,I,EQ,2,THEN
/POST26
/NOERASE
/AXLAB,X,
/AXLAB,Y,
/GROPT,DIVX,4
/GROPT,DIVY,7
/XRANGE,0,200
/YRANGE,0,0.35
ESOL,3,1,,EPCR,X,STRAINHARDENING
/COLOR,CURVE,BMAG,1
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN (XX)
PLVAR,3
PRVAR,3

/POST1
SET,,,,,,,1
*GET,S1_2,NODE,3,EPCR,X
R6=1.000
SET,,,,,,,62
*GET,S2_2,NODE,3,EPCR,X
R7=S2_2/0.070
SET,,,,,,,112
*GET,S3_2,NODE,3,EPCR,X
R8=S3_2/0.099
SET,,,,,,,123
*GET,S4_2,NODE,3,EPCR,X
R9=S4_2/0.236
SET,,,,,,,128
*GET,S5_2,NODE,3,EPCR,X
R10=S5_2/0.315
*DIM,VALUE3,,5,3
*DIM,VALUE4,,5,3
*DIM,LABEL2,CHAR,10
*DIM,TARGET2,CHAR,10
*VFILL,VALUE3(1,1),DATA,S1_2,S2_2,S3_2,S4_2,S5_2
*VFILL,VALUE4(1,1),DATA,R6,R7,R8,R9,R10
LABEL2(1) = '0','50','100','150','200'
TARGET2(1) = '0.000','0.070','0.099','0.236','0.315'
*ENDIF
FINISH
*ENDDO
/COM
/COM
/COM
/COM,--------- vmr049-cr3-181 TIME HARDENING COMPARISON-----------
/COM
/COM  COMPARE NUMERICAL VALUES LISTED
/COM  BELOW WITH GRAPH OF FIGURE 3.12A ON
/COM  PAGE 105 AS NO NUMERICAL RESULTS ARE
/COM  PRESENTED.
/COM
/COM,| TIME |  TARGET |  ANSYS  |  RATIO |
/COM,
*VWRITE,LABEL(1),TARGET(1),VALUE(1,1),VALUE2(1,1)
(1X,A6,'   ',1X,A6,'   ',F8.3,'   ',1F8.3,'   ')
/COM
/COM
/COM,--------- vmr049-cr3-181 STRAIN HARDENING COMPARISON-----------
/COM,
/COM,| TIME |  TARGET |  ANSYS  |  RATIO |
/COM,
*VWRITE,LABEL2(1),TARGET2(1),VALUE3(1,1),VALUE4(1,1)
(1X,A6,'   ',1X,A6,'   ',F8.3,'   ',1F8.3,'   ')
FINISH

/POST26
*DIM,LABEL3,CHAR,2
*DIM,VALUE5,,2,3
LABEL3(1) = ' S2 ',' S7 '
*VFILL,VALUE5(1,1),DATA,S5,S5_2
*VFILL,VALUE5(1,2),DATA,R5,R10
*DIM,LABEL4,CHAR,2
LABEL4(1) = 'vmr049-','cr3-181'

/OUT,vmr049-cr3-181,vrt
/COM
/COM,------------------- vmr049-cr3 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL181
*VWRITE,LABEL3(1),VALUE5(1,1),VALUE5(1,2),LABEL4(1),LABEL4(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL3(2),VALUE5(2,1),VALUE5(2,2),LABEL4(1),LABEL4(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-cr3-181,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-2 281 Input Listing 		Up / Home Next
VM-R049-3 182 Input Listing


VM-R049-3 182 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-cr3-182
/TITLE,vmr049-cr3-182,VARIABLE-LOAD UNIAXIAL CREEP BENCHMARK
/COM,THE COMPARISON IS MADE GRAPHICALLY WITH THE RESULTS OF THE TEST CR-3A
/COM,FROM NAFEMS REPORT R0049.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(TIME HARDENING)***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,2
TBDATA,1,C1,C2,C3,C4
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(STRAIN HARDENING)***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
C*** ELASTIC CONSTANT
MP,EX,2,200E3
MP,NUXY,2,0.3
TB,CREEP,2,,,7
TBDATA,1,C1,C2,C3,C4
N,1,0,0,0
N,2,100,0
N,3,100,50
N,4,0,50
N,5,100,100
N,6,0,100
ET,1,182
KEYOPT,1,1,1
KEYOPT,1,3,0
E,1,2,3,4
E,4,3,5,6
NSEL,S,LOC,X,
D,ALL,UX,
NSEL,ALL
NSEL,S,,,4
D,ALL,UY,
NSEL,ALL
*DO,I,1,2
*STATUS,I

/PREP7
*IF,I,EQ,1,THEN
MAT,1
*ELSEIF,I,EQ,2,THEN
MPCHG,2,ALL
*ENDIF
FINISH

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-200
NSEL,ALL
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON, ON
DELT,1E-2,1E-2,1
TIME,100
/OUTPUT,SCRATCH
OUTRES,ALL,ALL
SOLVE
/OUT

/SOLU
SFDELE,ALL,ALL
NSEL,S,LOC,X,100
SF,ALL,PRES,-250
NSEL,ALL
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME,100.00000001
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON, ON
DELT,1,1,10
TIME,200
/OUTPUT,SCRATCH
OUTRES,ALL,ALL
SOLVE
/OUT
FINISH

*IF,I,EQ,1,THEN

/POST1
SET,,,,,,,1
*GET,S1,NODE,3,EPCR,X
R1=1.000
SET,,,,,,,62
*GET,S2,NODE,3,EPCR,X
R2=S2/0.068
SET,,,,,,,112
*GET,S3,NODE,3,EPCR,X
R3=S3/0.097
SET,,,,,,,123
*GET,S4,NODE,3,EPCR,X
R4=S4/0.166
SET,,,,,,,128
*GET,S5,NODE,3,EPCR,X
R5=S5/0.221
*DIM,VALUE,,5,3
*DIM,VALUE2,,5,3
*DIM,LABEL,CHAR,10
*DIM,TARGET,CHAR,10
LABEL(1) = '0','50','100','150','200'
TARGET(1) = '0.000','0.068','0.097','0.166','0.221'
*VFILL,VALUE(1,1),DATA,S1,S2,S3,S4,S5
*VFILL,VALUE2(1,1),DATA,R1,R2,R3,R4,R5

/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/GTHK,AXIS,1
/GRTYP,0
/GROPT,DIG1,5
/GROPT,DIG2,3
/GROPT,DIVX,4
/GROPT,DIVY,7
/XRANGE,0,200
/YRANGE,0,0.35
ESOL,2,1,,EPCR,X,TIMEHARDENING
PRVAR,2
/COLOR,CURVE,GREE,1
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN(XX)
PLVAR,2

*ELSEIF,I,EQ,2,THEN
/POST1
SET,,,,,,,1
*GET,S1_2,NODE,3,EPCR,X
R6=1.000
SET,,,,,,,62
*GET,S2_2,NODE,3,EPCR,X
R7=S2_2/0.070
SET,,,,,,,112
*GET,S3_2,NODE,3,EPCR,X
R8=S3_2/0.099
SET,,,,,,,123
*GET,S4_2,NODE,3,EPCR,X
R9=S4_2/0.236
SET,,,,,,,128
*GET,S5_2,NODE,3,EPCR,X
R10=S5_2/0.315
*DIM,VALUE3,,5,3
*DIM,VALUE4,,5,3
*DIM,LABEL2,CHAR,10
*DIM,TARGET2,CHAR,10
*VFILL,VALUE3(1,1),DATA,S1_2,S2_2,S3_2,S4_2,S5_2
*VFILL,VALUE4(1,1),DATA,R6,R7,R8,R9,R10
LABEL2(1) = '0','50','100','150','200'
TARGET2(1) = '0.000','0.070','0.099','0.236','0.315'

/POST26
/NOERASE
/AXLAB,X,
/AXLAB,Y,
/GROPT,DIVX,4
/GROPT,DIVY,7
/XRANGE,0,200
/YRANGE,0,0.35
ESOL,3,1,,EPCR,X,STRAINHARDENING
/COLOR,CURVE,BMAG,1
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN(XX)
PLVAR,3
PRVAR,3
*ENDIF
*ENDDO
/COM
/COM
/COM
/COM,--------- vmr049-cr3-182 TIME HARDENING COMPARISON-----------
/COM
/COM  COMPARE NUMERICAL VALUES LISTED
/COM  BELOW WITH GRAPH OF FIGURE 3.12A ON
/COM  PAGE 105 AS NO NUMERICAL RESULTS ARE
/COM  PRESENTED.
/COM
/COM,| TIME |  TARGET |  ANSYS  |  RATIO |
/COM,
*VWRITE,LABEL(1),TARGET(1),VALUE(1,1),VALUE2(1,1)
(1X,A6,'   ',1X,A6,'   ',F8.3,'   ',1F8.3,'   ')
/COM
/COM
/COM,--------- vmr049-cr3-182 STRAIN HARDENING COMPARISON-----------
/COM,
/COM,| TIME |  TARGET |  ANSYS  |  RATIO |
/COM,
*VWRITE,LABEL2(1),TARGET2(1),VALUE3(1,1),VALUE4(1,1)
(1X,A6,'   ',1X,A6,'   ',F8.3,'   ',1F8.3,'   ')
FINISH

/POST26
*DIM,LABEL3,CHAR,2
*DIM,VALUE5,,2,3
LABEL3(1) = ' S2 ',' S7 '
*VFILL,VALUE5(1,1),DATA,S5,S5_2
*VFILL,VALUE5(1,2),DATA,R5,R10
*DIM,LABEL4,CHAR,2
LABEL4(1) = 'vmr049-','cr3-182'

/OUT,vmr049-cr3-182,vrt
/COM
/COM,------------------- vmr049-cr3 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE182
*VWRITE,LABEL3(1),VALUE5(1,1),VALUE5(1,2),LABEL4(1),LABEL4(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL3(2),VALUE5(2,1),VALUE5(2,2),LABEL4(1),LABEL4(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-cr3-182,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-3 181 Input Listing 		Up / Home Next
VM-R049-3 183 Input Listing


VM-R049-3 183 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-cr3-183
/TITLE,vmr049-cr3-183,VARIABLE-LOAD UNIAXIAL CREEP BENCHMARK
/COM,THE COMPARISON IS MADE GRAPHICALLY WITH THE RESULTS OF THE TEST CR-3A
/COM,FROM NAFEMS REPORT R0049.

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(TIME HARDENING)***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,2
TBDATA,1,C1,C2,C3,C4
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(STRAIN HARDENING)***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
C*** ELASTIC CONSTANT
MP,EX,2,200E3
MP,NUXY,2,0.3
TB,CREEP,2,,,7
TBDATA,1,C1,C2,C3,C4
N,1,0,0,0
N,2,100,0
N,3,100,100
N,4,0,100
N,5,50,0
N,6,100,50
N,7,50,100
N,8,0,50
ET,1,183
KEYOPT,1,3,0
E,1,2,3,4,5,6,7,8
NSEL,S,LOC,X,
D,ALL,UX,
NSEL,ALL
NSEL,S,,,8
D,ALL,UY,
NSEL,ALL
*DO,I,1,2
*STATUS,I

/PREP7
*IF,I,EQ,1,THEN
MAT,1
*ELSEIF,I,EQ,2,THEN
MPCHG,2,ALL
*ENDIF
FINISH

/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-200
NSEL,ALL
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON, ON
DELT,1E-2,1E-2,1
TIME,100
/OUTPUT,SCRATCH
OUTRES,ALL,-10
SOLVE
/OUT

/SOLU
SFDELE,ALL,ALL
NSEL,S,LOC,X,100
SF,ALL,PRES,-250
NSEL,ALL
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME,100.00000001
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON, ON
DELT,1,1,10
TIME,200
/OUTPUT,SCRATCH
OUTRES,ALL,-10
SOLVE
/OUT
FINISH

*IF,I,EQ,1,THEN

/POST1
SET,,,,,,,1
*GET,S1,NODE,3,EPCR,X
R1=1.000
SET,,,,,,,6
*GET,S2,NODE,3,EPCR,X
R2=S2/0.068
SET,,,,,,,11
*GET,S3,NODE,3,EPCR,X
R3=S3/0.097
SET,,,,,,,17
*GET,S4,NODE,3,EPCR,X
R4=S4/0.166
SET,,,,,,,22
*GET,S5,NODE,3,EPCR,X
R5=S5/0.221
*DIM,VALUE,,5,3
*DIM,VALUE2,,5,3
*DIM,LABEL,CHAR,10
*DIM,TARGET,CHAR,10
LABEL(1) = '0','50','100','150','200'
TARGET(1) = '0.000','0.068','0.097','0.166','0.221'
*VFILL,VALUE(1,1),DATA,S1,S2,S3,S4,S5
*VFILL,VALUE2(1,1),DATA,R1,R2,R3,R4,R5

/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/GTHK,AXIS,1
/GRTYP,0
/GROPT,DIG1,5
/GROPT,DIG2,3
/GROPT,DIVX,4
/GROPT,DIVY,7
/XRANGE,0,200
/YRANGE,0,0.35
ESOL,2,1,,EPCR,X,TIMEHARDENING
PRVAR,2
/COLOR,CURVE,GREE,1
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN (XX)
PLVAR,2

*ELSEIF,I,EQ,2,THEN
/POST1
SET,,,,,,,1
*GET,S1_2,NODE,3,EPCR,X
R6=1.000
SET,,,,,,,6
*GET,S2_2,NODE,3,EPCR,X
R7=S2_2/0.070
SET,,,,,,,11
*GET,S3_2,NODE,3,EPCR,X
R8=S3_2/0.099
SET,,,,,,,17
*GET,S4_2,NODE,3,EPCR,X
R9=S4_2/0.236
SET,,,,,,,22
*GET,S5_2,NODE,3,EPCR,X
R10=S5_2/0.315
*DIM,VALUE3,,5,3
*DIM,VALUE4,,5,3
*DIM,LABEL2,CHAR,10
*DIM,TARGET2,CHAR,10
*VFILL,VALUE3(1,1),DATA,S1_2,S2_2,S3_2,S4_2,S5_2
*VFILL,VALUE4(1,1),DATA,R6,R7,R8,R9,R10
LABEL2(1) = '0','50','100','150','200'
TARGET2(1) = '0.000','0.070','0.099','0.236','0.315'

/POST26
/NOERASE
/GROPT,DIVX,4
/GROPT,DIVY,7
/XRANGE,0,200
/YRANGE,0,0.35
ESOL,3,1,,EPCR,X,STRAINHARDENING
/COLOR,CURVE,BMAG,1
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN (XX)
PLVAR,3
PRVAR,3
*ENDIF
*ENDDO
/COM
/COM
/COM,--------- vmr049-cr3-183 TIME HARDENING COMPARISON-----------
/COM,
/COM  NAFEMS RESULTS
/COM
/COM  COMPARE NUMERICAL VALUES LISTED
/COM  BELOW WITH GRAPH OF FIGURE 3.12A ON
/COM  PAGE 105 AS NO NUMERICAL RESULTS ARE
/COM  PRESENTED.
/COM
/COM,|   TIME   |  TARGET |  ANSYS  |  RATIO |
/COM,
*VWRITE,LABEL(1),TARGET(1),VALUE(1,1),VALUE2(1,1)
(1X,A8,'   ',1X,A8,'   ',F8.3,'   ',1F8.2,'   ')
/COM
/COM
/COM,--------- vmr049-cr3-183 STRAIN HARDENING COMPARISON-----------
/COM,
/COM,|   TIME   |  TARGET |  ANSYS  |  RATIO |
/COM,
*VWRITE,LABEL2(1),TARGET2(1),VALUE3(1,1),VALUE4(1,1)
(1X,A8,'   ',1X,A8,'   ',F8.3,'   ',1F8.2,'   ')
FINISH

/POST26
*DIM,LABEL3,CHAR,2
*DIM,VALUE5,,2,3
LABEL3(1) = ' S2 ',' S7 '
*VFILL,VALUE5(1,1),DATA,S5,S5_2
*VFILL,VALUE5(1,2),DATA,R5,R10
*DIM,LABEL4,CHAR,2
LABEL4(1) = 'vmr049-','cr3-183'

/OUT,vmr049-cr3-183,vrt
/COM
/COM,------------------- vmr049-cr3 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE183
*VWRITE,LABEL3(1),VALUE5(1,1),VALUE5(1,2),LABEL4(1),LABEL4(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL3(2),VALUE5(2,1),VALUE5(2,2),LABEL4(1),LABEL4(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-cr3-183,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-3 182 Input Listing 		Up / Home Next
VM-R049-3 281 Input Listing


VM-R049-3 281 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-cr3-281
/TITLE,vmr049-cr3-281,VARIABLE-LOAD UNIAXIAL CREEP BENCHMARK
/COM,THE COMPARISON IS MADE GRAPHICALLY WITH THE RESULTS OF THE
/COM,TEST CR-3A FROM NAFEMS REPORT.
/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(TIME HARDENING)***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
C*** TIME PARAMETER
*SET,HOUR,200
C*** ELASTIC CONSTANT
MP,EX,1,200E3
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1E-10
TB,CREEP,1,,,2
TBDATA,1,C1,C2,C3,C4
C*** PARAMETRIC INPUT FOR CREEP CONSTANT !(STRAIN HARDENING)***
*SET,C1,1.5625E-14
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
C*** ELASTIC CONSTANT
MP,EX,2,200E3
MP,NUXY,2,0.3
TB,CREEP,2,,,7
TBDATA,1,C1,C2,C3,C4
N,1,0,0,0
N,2,100,0
N,3,100,50
N,4,0,50
N,5,100,100
N,6,0,100
N,7,50,0
N,8,100,25
N,9,50,50
N,10,0,25
N,11,100,75
N,12,50,100
N,13,0,75
ET,1,SHELL281,,,
R,1,1,1,1,1,
E,1,2,3,4,7,8,9,10
E,4,3,5,6,9,11,12,13
NSEL,S,LOC,X,
D,ALL,UX,
NSEL,ALL
NSEL,S,,,4
D,ALL,UY,
NSEL,ALL
D,ALL,UZ
D,ALL,ROTX
D,ALL,ROTY
D,ALL,ROTZ
*DO,I,1,2
*STATUS,I
/PREP7
*IF,I,EQ,1,THEN
MAT,1
*ELSEIF,I,EQ,2,THEN
MPCHG,2,ALL
*ENDIF
FINISH
/SOLU
NSEL,S,LOC,X,100
SF,ALL,PRES,-200
NSEL,ALL
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON, ON
DELT,1E-2,1E-2,1
TIME,100
/OUTPUT,SCRATCH
OUTRES,ALL,ALL
SOLVE
/OUT
/SOLU
SFDELE,ALL,ALL
NSEL,S,LOC,X,100
SF,ALL,PRES,-250
NSEL,ALL
RATE, OFF
DELT,1.0E-8,1.0E-9,1.0E-8
TIME,100.00000001
/OUTPUT,SCRATCH
OUTRES,ALL,LAST
SOLVE
/OUT
RATE, ON, ON
DELT,1,1,10
TIME,200
/OUTPUT,SCRATCH
OUTRES,ALL,ALL
SOLVE
/OUT
FINISH
*IF,I,EQ,1,THEN
/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/GTHK,AXIS,1
/GRTYP,0
/GROPT,DIG1,5
/GROPT,DIG2,3
/GROPT,DIVX,4
/GROPT,DIVY,7
/XRANGE,0,200
/YRANGE,0,0.35
ESOL,2,1,,EPCR,X,TIMEHARDENING
/COLOR,CURVE,GREE,1
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN (XX)
PLVAR,2
PRVAR,2
/POST1
SET,,,,,,,1
*GET,S1,NODE,3,EPCR,X
R1=1.000
SET,,,,,,,62
*GET,S2,NODE,3,EPCR,X
R2=S2/0.068
SET,,,,,,,112
*GET,S3,NODE,3,EPCR,X
R3=S3/0.097
SET,,,,,,,123
*GET,S4,NODE,3,EPCR,X
R4=S4/0.166
SET,,,,,,,128
*GET,S5,NODE,3,EPCR,X
R5=S5/0.221
*DIM,VALUE,,5,3
*DIM,VALUE2,,5,3
*DIM,LABEL,CHAR,10
*DIM,TARGET,CHAR,10
LABEL(1) = '0','50','100','150','200'
TARGET(1) = '0.000','0.068','0.097','0.166','0.221'
*VFILL,VALUE(1,1),DATA,S1,S2,S3,S4,S5
*VFILL,VALUE2(1,1),DATA,R1,R2,R3,R4,R5
*ELSEIF,I,EQ,2,THEN
/POST26
/NOERASE
/AXLAB,X,
/AXLAB,Y,
/GROPT,DIVX,4
/GROPT,DIVY,7
/XRANGE,0,200
/YRANGE,0,0.35
ESOL,3,1,,EPCR,X,STRAINHARDENING
/COLOR,CURVE,BMAG,1
/AXLAB,X,TIME
/AXLAB,Y,CREEP STRAIN (XX)
PLVAR,3
PRVAR,3
/POST1
SET,,,,,,,1
*GET,S1_2,NODE,3,EPCR,X
R6=1.000
SET,,,,,,,62
*GET,S2_2,NODE,3,EPCR,X
R7=S2_2/0.070
SET,,,,,,,112
*GET,S3_2,NODE,3,EPCR,X
R8=S3_2/0.099
SET,,,,,,,123
*GET,S4_2,NODE,3,EPCR,X
R9=S4_2/0.236
SET,,,,,,,128
*GET,S5_2,NODE,3,EPCR,X
R10=S5_2/0.315
*DIM,VALUE3,,5,3
*DIM,VALUE4,,5,3
*DIM,LABEL2,CHAR,10
*DIM,TARGET2,CHAR,10
*VFILL,VALUE3(1,1),DATA,S1_2,S2_2,S3_2,S4_2,S5_2
*VFILL,VALUE4(1,1),DATA,R6,R7,R8,R9,R10
LABEL2(1) = '0','50','100','150','200'
TARGET2(1) = '0.000','0.070','0.099','0.236','0.315'
*ENDIF
FINISH
*ENDDO
/COM
/COM
/COM
/COM,--------- vmr049-cr3-281 TIME HARDENING COMPARISON-----------
/COM
/COM  COMPARE NUMERICAL VALUES LISTED
/COM  BELOW WITH GRAPH OF FIGURE 3.12A ON
/COM  PAGE 105 AS NO NUMERICAL RESULTS ARE
/COM  PRESENTED.
/COM
/COM,| TIME |  TARGET |  ANSYS  |  RATIO |
/COM,
*VWRITE,LABEL(1),TARGET(1),VALUE(1,1),VALUE2(1,1)
(1X,A6,'   ',1X,A6,'   ',F8.3,'   ',1F8.3,'   ')
/COM
/COM
/COM,--------- vmr049-cr3-281 STRAIN HARDENING COMPARISON-----------
/COM,
/COM,| TIME |  TARGET |  ANSYS  |  RATIO |
/COM,
*VWRITE,LABEL2(1),TARGET2(1),VALUE3(1,1),VALUE4(1,1)
(1X,A6,'   ',1X,A6,'   ',F8.3,'   ',1F8.3,'   ')
FINISH
/POST26
*DIM,LABEL3,CHAR,2
*DIM,VALUE5,,2,3
LABEL3(1) = ' S2 ',' S7 '
*VFILL,VALUE5(1,1),DATA,S5,S5_2
*VFILL,VALUE5(1,2),DATA,R5,R10
*DIM,LABEL4,CHAR,2
LABEL4(1) = 'vmr049-','cr3-281'
/OUT,vmr049-cr3-281,vrt
/COM
/COM,------------------- vmr049-cr3 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL281
*VWRITE,LABEL3(1),VALUE5(1,1),VALUE5(1,2),LABEL4(1),LABEL4(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL3(2),VALUE5(2,1),VALUE5(2,2),LABEL4(1),LABEL4(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr049-cr3-281,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-3 183 Input Listing 		Up / Home Next
VM-R049-4 182 Input Listing


VM-R049-4 182 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-cr4-182
/TITLE,vmr049-cr4-182,PRESSURISED CYLINDER CREEP BENCHMARK
/COM,NAFEMS REPORT R0049, TEST:  CR-4

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS !***
*SET,C1,3.125E-14
*SET,C2,5.0
*SET,C3,0.0
*SET,C4,0
C***  TIME PARAMETER
*SET,HOUR,100
C***   ELASTIC CONSTANT
MP,EX,,0.2000E+06
MP,EY,,0.2000E+06
MP,EZ,,0.2000E+06
MP,GXY,,0.7692E+05
MP,GYZ,,0.7692E+05
MP,GXZ,,0.7692E+05
MP,NUXY,,0.3000E+00
MP,NUYZ,,0.3000E+00
MP,NUXZ,,0.3000E+00
MP,DENS,,0.0000E+00
TUNIF,HOT
TOFF,OFFS
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
N,1,100
N,9,200
FILL,1,9,7,2,1,1,
N,10,100,12.5
N,18,200,12.5
FILL,10,18,7,11,1,1,
N,19,100,25
N,27,200,25
FILL,19,27,7,20,1,1,
ET,1,182,1,,1
E,1,2,11,10
EGEN,8,1,1
EN,9,10,11,20,19
EGEN,8,1,9
NSEL,ALL
NSEL,S,LOC,Y
D,ALL,UY
NSEL,ALL
NSEL,S,LOC,Y,25
D,ALL,UY
NSEL,ALL
FINI

/SOLU
RATE, OFF
SOLCONTROL,ON
ERESX,ON
NSEL,S,LOC,X,100
SF,ALL,PRES,200
NSEL,ALL
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
OUTRES,ALL,LAST
/OUT,SCRATCH
SOLVE
/OUT
/SOLU
RATE, ON, ON
SOLCONTROL,ON
ERESX,OFF
NSUBST,1000,10000,100
TIME, 100
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT

/POST1
SET,FIRST
FLST,2,2,1
FITEM,2,1
FITEM,2,9
PATH,PATH,2,30,20,
PPATH,P51X,1
PDEF,STAT
AVPRIN,0,0,
PDEF,SXELASTI,S,X,AVG
*DIM,SXELAS,ARRAY,21,1
*DO,JJ,1,21,5
*GET,SXELAS(JJ,1),PATH,0,ITEM,SXELASTI,PATHPT,JJ
*ENDDO
V1=SXELAS(1,1)
V2=SXELAS(6,1)
V3=SXELAS(11,1)
V4=SXELAS(16,1)
V5=SXELAS(21,1)
*DIM,SXELAST,,5,1
*VFILL,SXELAST,DATA,V1,V2,V3,V4,V5
R1=SXELAS(1,1)/(-194.074)
R2=SXELAS(6,1)/(-100.337)
R3=SXELAS(11,1)/(-50.123)
R4=SXELAS(16,1)/(-19.487)
R5=SXELAS(21,1)/(.635)
AVPRIN,0,0,
PDEF,SZELASTI,S,Z,AVG
*DIM,SZELAS,ARRAY,21,1
*DO,JJ,1,21,5
*GET,SZELAS(JJ,1),PATH,0,ITEM,SZELASTI,PATHPT,JJ
*ENDDO
V6=SZELAS(1,1)
V7=SZELAS(6,1)
V8=SZELAS(11,1)
V9=SZELAS(16,1)
V10=SZELAS(21,1)
*DIM,SZELAST,,5,1
*VFILL,SZELAST,DATA,V6,V7,V8,V9,V10
R6=SZELAS(1,1)/(327.407)
R7=SZELAS(6,1)/(233.670)
R8=SZELAS(11,1)/(183.457)
R9=SZELAS(16,1)/(152.821)
R10=SZELAS(21,1)/(132.698)
/AXLAB,X,RADIUS
/AXLAB,Y,STRESS
/XRANGE,0,100
/YRANGE,-250,500
/COLOR,CURVE,RED,1
PLPATH,SXELASTI
/NOERASE
/COLOR,CURVE,BLUE,1
PLPATH,SZELASTI
PRPATH,SXELASTI,SZELASTI
/NOERASE
SET,LAST
PDEF,SXSTEADY,S,X,AVG
AVPRIN,0,0,
PDEF,SZSTEADY,S,Z,AVG
/COLOR,CURVE,GREE,1
PLPATH,SXSTEADY
/COLOR,CURVE,YELL,1
PLPATH,SZSTEADY
PRPATH,SXSTEADY,SZSTEADY
*DIM,SXSTEA,ARRAY,21,1
*DO,JJ,1,21,5
*GET,SXSTEA(JJ,1),PATH,0,ITEM,SXSTEADY,PATHPT,JJ
*ENDDO
V11=SXSTEA(1,1)
V12=SXSTEA(6,1)
V13=SXSTEA(11,1)
V14=SXSTEA(16,1)
V15=SXSTEA(21,1)
*DIM,SXSTEAD,,5,1
*VFILL,SXSTEAD,DATA,V11,V12,V13,V14,V15
R11=SXSTEA(1,1)/(-183.134)
R12=SXSTEA(6,1)/(-129.850)
R13=SXSTEA(11,1)/(-76.583)
R14=SXSTEA(16,1)/(-34.512)
R15=SXSTEA(21,1)/(-6.742)
PRPATH,SZSTEADY
*DIM,SZSTEA,ARRAY,21,1
*DO,JJ,1,21,5
*GET,SZSTEA(JJ,1),PATH,0,ITEM,SZSTEADY,PATHPT,JJ
*ENDDO
V16=SZSTEA(1,1)
V17=SZSTEA(6,1)
V18=SZSTEA(11,1)
V19=SZSTEA(16,1)
V20=SZSTEA(21,1)
*DIM,SZSTEAD,,5,1
*VFILL,SZSTEAD,DATA,V16,V17,V18,V19,V20
R16=SZSTEA(1,1)/(140.547)
R17=SZSTEA(6,1)/(172.463)
R18=SZSTEA(11,1)/(204.427)
R19=SZSTEA(16,1)/(229.672)
R20=SZSTEA(21,1)/(246.329)
*DIM,TIME,CHAR,10
*DIM,TSXELAST,CHAR,10
*DIM,TSZELAST,CHAR,10
*DIM,TSXSTEAD,CHAR,10
*DIM,TSZSTEAD,CHAR,10
*DIM,RSXELAST,,5,1
*DIM,RSZELAST,,5,1
*DIM,RSXSTEAD,,5,1
*DIM,RSZSTEAD,,5,1
TIME(1)='100','125','150','175','200'
TSXELAST(1)='-194.074','-100.337','-50.123','-19.487','.635'
TSZELAST(1)='327.407','233.670','183.457','152.821','132.698'
TSXSTEAD(1)='-183.134','-129.850','-76.583','-34.512','-6.742'
TSZSTEAD(1)='140.547','172.463','204.427','229.672','246.329'
*VFILL,RSXELAST,DATA,R1,R2,R3,R4,R5
*VFILL,RSZELAST,DATA,R6,R7,R8,R9,R10
*VFILL,RSXSTEAD,DATA,R11,R12,R13,R14,R15
*VFILL,RSZSTEAD,DATA,R16,R17,R18,R19,R20
/COM,
/COM, ----------- vmr049-cr4-182 RESULTS COMPARISON --------------
/COM,
/COM, vmr049-cr4-182.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 107, FIGURE 3.14.  THE TARGET VALUES
/COM, DISPLAYED ARE TAKEN FROM VMR049-CR4-183 BECAUSE GRAPH IS
/COM, NOT EXPLICIT ENOUGH, REFINING MESH WILL GIVE MORE ACCURATE RESULTS
/COM,
/COM,
/COM, ------ vmr049-cr4-182 ELASTIC RADIAL STRESS -------
/COM,
/COM, |  RADIUS  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,TIME(1),TSXELAST(1),SXELAST(1,1),RSXELAST(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM, ------ vmr049-cr4-182 ELASTIC HOOP STRESS -------
/COM,
/COM, |  RADIUS  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,TIME(1),TSZELAST(1),SZELAST(1,1),RSZELAST(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-cr4-182 STEADY-STATE RADIAL STRESS -------
/COM,
/COM, |  RADIUS  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,TIME(1),TSXSTEAD(1),SXSTEAD(1,1),RSXSTEAD(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-cr4-182 STEADY-STATE HOOP STRESS -------
/COM,
/COM, |  RADIUS  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,TIME(1),TSZSTEAD(1),SZSTEAD(1,1),RSZSTEAD(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
FINISH

/POST26
*DIM,LABEL1,CHAR,4
*DIM,VALUE1,,4,3
LABEL1(1) = ' ELS6X ',' ELS6Z ',' SSS6X ',' SSS6Z '
*VFILL,VALUE1(1,1),DATA,V4,V9,V14,V19
*VFILL,VALUE1(1,2),DATA,R4,R9,R14,R19
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','cr4-182'

/OUT,vmr049-cr4-182,vrt
/COM
/COM,------------------- vmr049-cr4 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE182
/COM, RESULTS TAKEN AT RADIUS=175
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(3),VALUE1(3,1),VALUE1(3,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(4),VALUE1(4,1),VALUE1(4,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-cr4-182,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-3 281 Input Listing 		Up / Home Next
VM-R049-4 183 Input Listing


VM-R049-4 183 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-cr4-183
/TITLE,vmr049-cr4-183,PRESSURISED CYLINDER CREEP BENCHMARK
/COM,NAFEMS ROO49, TEST:  CR-4

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS !***
*SET,C1,3.125E-14
*SET,C2,5.0
*SET,C3,0.0
*SET,C4,0
C***  TIME PARAMETER
*SET,HOUR,100
C***   ELASTIC CONSTANT
MP,EX,1,0.2000E+06
MP,EY,1,0.2000E+06
MP,EZ,1,0.2000E+06
MP,GXY,1,0.7692E+05
MP,GYZ,1,0.7692E+05
MP,GXZ,1,0.7692E+05
MP,NUXY,1,0.3000E+00
MP,NUYZ,1,0.3000E+00
MP,NUXZ,1,0.3000E+00
TUNIF,HOT
TOFF,OFFS
TB,CREEP,1,,,6
TBDATA,1,C1,C2,C3,C4
N,1,100
N,9,200
FILL,1,9,7,2,1,1,1,1,
N,10,100,25
N,18,200,25
FILL,10,18,7,11,1,1,1,1,
N,19,100,12.5
N,27,200,12.5
FILL,19,27,3,21,2
ET,1,183,,,1
E,1,3,12,10,2,21,11,19
EGEN,4,2,1
NSEL,ALL
NSEL,S,LOC,Y
D,ALL,UY
NSEL,ALL
NSEL,S,LOC,Y,25
D,ALL,UY
NSEL,ALL
FINISH

/SOLU
RATE, OFF
SOLCONTROL,ON
ERESX,ON
NSEL,S,LOC,X,100
SF,ALL,PRES,200
NSEL,ALL
DELT,1.0E-8,1.0E-9,1.0E-8
TIME, 1.0E-8
OUTRES,ALL,LAST
/OUT,SCRATCH
SOLVE
/OUT
/SOLU
RATE, ON, ON
SOLCONTROL,ON
ERESX,OFF
NSUBST,1000,10000,100
TIME, 100
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE
/OUT

/POST1
SET,FIRST
FLST,2,2,1
FITEM,2,1
FITEM,2,9
PATH,PATH,2,30,20,
PPATH,P51X,1
PDEF,STAT
AVPRIN,0,0,
PDEF,SXELASTI,S,X,AVG
*DIM,SXELAS,ARRAY,21,1
*DO,JJ,1,21,5
*GET,SXELAS(JJ,1),PATH,0,ITEM,SXELASTI,PATHPT,JJ
*ENDDO
V1=SXELAS(1,1)
V2=SXELAS(6,1)
V3=SXELAS(11,1)
V4=SXELAS(16,1)
V5=SXELAS(21,1)
*DIM,SXELAST,,5,1
*VFILL,SXELAST,DATA,V1,V2,V3,V4,V5
R1=SXELAS(1,1)/(-194.074)
R2=SXELAS(6,1)/(-100.337)
R3=SXELAS(11,1)/(-50.123)
R4=SXELAS(16,1)/(-19.487)
R5=SXELAS(21,1)/(.635)
AVPRIN,0,0,
PDEF,SZELASTI,S,Z,AVG
*DIM,SZELAS,ARRAY,21,1
*DO,JJ,1,21,5
*GET,SZELAS(JJ,1),PATH,0,ITEM,SZELASTI,PATHPT,JJ
*ENDDO
V6=SZELAS(1,1)
V7=SZELAS(6,1)
V8=SZELAS(11,1)
V9=SZELAS(16,1)
V10=SZELAS(21,1)
*DIM,SZELAST,,5,1
*VFILL,SZELAST,DATA,V6,V7,V8,V9,V10
R6=SZELAS(1,1)/(327.407)
R7=SZELAS(6,1)/(233.670)
R8=SZELAS(11,1)/(183.457)
R9=SZELAS(16,1)/(152.821)
R10=SZELAS(21,1)/(132.698)
/AXLAB,X,RADIUS
/AXLAB,Y,STRESS
/XRANGE,0,100
/YRANGE,-250,500
/COLOR,CURVE,RED,1
PLPATH,SXELASTI
/NOERASE
/COLOR,CURVE,BLUE,1
PLPATH,SZELASTI
PRPATH,SXELASTI,SZELASTI
/NOERASE
SET,LAST
PDEF,SXSTEADY,S,X,AVG
AVPRIN,0,0,
PDEF,SZSTEADY,S,Z,AVG
/COLOR,CURVE,GREE,1
PLPATH,SXSTEADY
/COLOR,CURVE,YELL,1
PLPATH,SZSTEADY
PRPATH,SXSTEADY,SZSTEADY
*DIM,SXSTEA,ARRAY,21,1
*DO,JJ,1,21,5
*GET,SXSTEA(JJ,1),PATH,0,ITEM,SXSTEADY,PATHPT,JJ
*ENDDO
V11=SXSTEA(1,1)
V12=SXSTEA(6,1)
V13=SXSTEA(11,1)
V14=SXSTEA(16,1)
V15=SXSTEA(21,1)
*DIM,SXSTEAD,,5,1
*VFILL,SXSTEAD,DATA,V11,V12,V13,V14,V15
R11=SXSTEA(1,1)/(-183.134)
R12=SXSTEA(6,1)/(-129.850)
R13=SXSTEA(11,1)/(-76.583)
R14=SXSTEA(16,1)/(-34.512)
R15=SXSTEA(21,1)/(-6.742)
*DIM,SZSTEA,ARRAY,21,1
*DO,JJ,1,21,5
*GET,SZSTEA(JJ,1),PATH,0,ITEM,SZSTEADY,PATHPT,JJ
*ENDDO
V16=SZSTEA(1,1)
V17=SZSTEA(6,1)
V18=SZSTEA(11,1)
V19=SZSTEA(16,1)
V20=SZSTEA(21,1)
*DIM,SZSTEAD,,5,1
*VFILL,SZSTEAD,DATA,V16,V17,V18,V19,V20
R16=SZSTEA(1,1)/(140.547)
R17=SZSTEA(6,1)/(172.463)
R18=SZSTEA(11,1)/(204.427)
R19=SZSTEA(16,1)/(229.672)
R20=SZSTEA(21,1)/(246.329)
*DIM,TIME,CHAR,10
*DIM,TSXELAST,CHAR,10
*DIM,TSZELAST,CHAR,10
*DIM,TSXSTEAD,CHAR,10
*DIM,TSZSTEAD,CHAR,10
*DIM,RSXELAST,,5,1
*DIM,RSZELAST,,5,1
*DIM,RSXSTEAD,,5,1
*DIM,RSZSTEAD,,5,1
TIME(1)='100','125','150','175','200'
TSXELAST(1)='-194.074','-100.337','-50.123','-19.487',' 0.635'
TSZELAST(1)='327.407','233.670','183.457','152.821','132.698'
TSXSTEAD(1)='-183.134','-129.850','-76.583','-34.512','-6.742'
TSZSTEAD(1)='140.547','172.463','204.427','229.672','246.329'
*VFILL,RSXELAST,DATA,R1,R2,R3,R4,R5
*VFILL,RSZELAST,DATA,R6,R7,R8,R9,R10
*VFILL,RSXSTEAD,DATA,R11,R12,R13,R14,R15
*VFILL,RSZSTEAD,DATA,R16,R17,R18,R19,R20
/COM,
/COM, ----------- vmr049-cr4-183 RESULTS COMPARISON --------------
/COM,
/COM, vmr049-cr4-183.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 107, FIGURE 3.14.  THE RESULTS
/COM, DISPLAYED ARE TAKEN FROM THIS TEST BECAUSE GRAPH RESULTS ARE
/COM, NOT EXPLICIT ENOUGH TO JUDGE ACTUAL VALUES.
/COM,
/COM,
/COM, ------ vmr049-cr4-183 ELASTIC RADIAL STRESS -------
/COM,
/COM, |  RADIUS  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,TIME(1),TSXELAST(1),SXELAST(1,1),RSXELAST(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM, ------ vmr049-cr4-183 ELASTIC HOOP STRESS  -------
/COM,
/COM, |  RADIUS  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,TIME(1),TSZELAST(1),SZELAST(1,1),RSZELAST(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-cr4-183 STEADY-STATE RADIAL STRESS -------
/COM,
/COM, |  RADIUS  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,TIME(1),TSXSTEAD(1),SXSTEAD(1,1),RSXSTEAD(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-cr4-183 STEADY-STATE HOOP STRESS -------
/COM,
/COM, |  RADIUS  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,TIME(1),TSZSTEAD(1),SZSTEAD(1,1),RSZSTEAD(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
FINISH

/POST26
*DIM,LABEL1,CHAR,4
*DIM,VALUE1,,4,3
LABEL1(1) = ' ELS6X ',' ELS6Z ',' SSS6X ',' SSS6Z '
*VFILL,VALUE1(1,1),DATA,V4,V9,V14,V19
*VFILL,VALUE1(1,2),DATA,R4,R9,R14,R19
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','cr4-183'

/OUT,vmr049-cr4-183,vrt
/COM
/COM,------------------- vmr049-cr4 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE183
/COM, RESULTS TAKEN AT RADIUS=175
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(3),VALUE1(3,1),VALUE1(3,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(4),VALUE1(4,1),VALUE1(4,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-cr4-183,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-4 182 Input Listing 		Up / Home Next
VM-R049-5 185 Input Listing


VM-R049-5 185 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-cr5-185
/TITLE,vmr049-cr5-185,TORSIONAL CREEP OF SQUARE SHAFT
/COM, THE COMPARISON IS MADE GRAPHICALLY WITH THE RESULTS OF THE TEST CR-5 (R0049)
/COM, FROM THE NAFEMS REPORT, FOR THE CONSTANT TWIST STUDY

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT
*SET,C1,1E4
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
*SET,C5,0
*SET,C6,1
C*** TIME PARAMETER
*SET,HOUR,100
ET,1,185
MP,EX,1,10
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1.0E-10
TB,CREEP,1,,,2
TBDATA,1,C1,C2,C3,C4,C5,C6
BLOCK,0,1,0,1,0,0.2
ESIZE,0.125
VMESH,ALL
NODE10=NODE(1,0,0.2)
CSYS,1
NROTAT,ALL
*DIM,A,ARRAY,243
*DIM,B,ARRAY,243
*DO,I,1,243
A(I)=NX(I)
B(I)=NY(I)*3.1415926/180
*ENDDO
CSYS,0
NROTAT,ALL
NSEL,S,LOC,Z,
D,ALL,UX,0
D,ALL,UY,0
NSEL,ALL
NODE1=NODE(0,0,0)
NODE2=NODE(1,0,0)
NODE3=NODE(0,1,0)
D,NODE1,UZ,0
D,NODE2,UZ,0
D,NODE3,UZ,0
NSEL,ALL
NSEL,S,LOC,X,
NSEL,R,LOC,Z,0.1
NSEL,A,LOC,Y,
NSEL,R,LOC,Z,0.1
CP,163,UZ,ALL
NSEL,ALL
NSEL,S,LOC,X,
NSEL,R,LOC,Z,0.2
NSEL,A,LOC,Y,
NSEL,R,LOC,Z,0.2
CP,82,UZ,ALL
NSEL,ALL
NSEL,S,LOC,X,
NSEL,R,LOC,Z,
NSEL,A,LOC,Y,
NSEL,R,LOC,Z,
CP,2,UZ,ALL
NSEL,ALL

/SOLU
*DO,I,163,243
D,I,UX,-A(I)*0.001*SIN(B(I))
D,I,UY,A(I)*0.001*COS(B(I))
*ENDDO

*DO,I,82,162
D,I,UX,-A(I)*0.002*SIN(B(I))
D,I,UY,A(I)*0.002*COS(B(I))
*ENDDO

/SOLU
RATE, ON
DELT,.0001,.000099,.000101
TIME, .0001
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE

/OUT
/SOLU
RATE, ON
DELT,.001,.00099,.00101
TIME, .001
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE

/OUT
/SOLU
RATE, ON
DELT,.01,.009,.011
TIME, .01
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE

/OUT
/SOLU
RATE, ON
DELT,0.10,0.09,0.11
TIME, 0.10
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE

/OUT
/SOLU
RATE, ON
DELT,1,0.99,1.1
TIME, 1
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE

/OUT
/SOLU
RATE, ON
DELT,10,9.99,10.01
TIME, 10
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE

/OUT
/SOLU
RATE, ON
DELT,100,99.9,100.01
TIME, 100
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE

/OUT
/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,LOGTIME
/AXLAB,Y,SHEAR STRESS(YZ)
/GTHK,AXIS,1
/GRTYP,0
/GROPT,DIG1,5
/GROPT,DIG2,3
/GROPT,LOGX,ON
/GROPT,DIVX,6
/GROPT,DIVY,3
/XRANGE,1E-4,1E2
/YRANGE,0,0.06
ANSOL,2,NODE10,S,YZ
PLVAR,2
PRVAR,2
/GROPT,DIVX,6
/GROPT,DIVY,5
/XRANGE,1E-4,1E2
/YRANGE,0,0.05
ANSOL,3,NODE10,EPEL,YZ
ANSOL,4,NODE10,EPCR,YZ
ADD,5,3,4,,ETOTAL
PLVAR,3,4,5
PRVAR,3,4,5
FINISH

/POST1
*DIM,LABEL,CHAR,10
*DIM,SYZ,ARRAY,7,1
*DIM,TARGET,CHAR,10
*DIM,RATIO,ARRAY,7,1
*DO,JJ,1,7,1
SET,JJ
*GET,SYZ(JJ),NODE,NODE10,S,YZ

*ENDDO
R1=SYZ(1)/0.05000
R2=SYZ(2)/0.04322
R3=SYZ(3)/0.03751
R4=SYZ(4)/0.03081
R5=SYZ(5)/0.02499
R6=SYZ(6)/0.01877
R7=SYZ(7)/0.01427
TARGET(1)='0.05000','0.04322','0.03751','0.03081','0.02499','0.01877','0.01427'
LABEL(1)='-4','-3','-2','-1','0','1','2'
*VFILL,RATIO,DATA,R1,R2,R3,R4,R5,R6,R7
/COM
/COM,--------- vmr049-cr5-185 RESULTS COMPARISON-----------
/COM,
/COM, vmr049-cr5-185.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 109, FIGURE 3.16(A).  THE RESULTS
/COM, DISPLAYED ARE INCREMENTED FOR THIS PURPOSE.
/COM,
/COM,|  LOG(TIME) |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,LABEL(1),TARGET(1),SYZ(1,1),RATIO(1,1)
(1X,A12,'   ',1X,A8,'   ',F8.6,'   ',1F5.3)
FINISH

*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' SYZ2 ',' ECRYY '
*VFILL,VALUE1(1,1),DATA,SYZ(7)
*VFILL,VALUE1(1,2),DATA,R7
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','cr5-185'

/OUT,vmr049-cr5-185,vrt
/COM
/COM,------------------- vmr049-cr5 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SOLID185
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-cr5-185,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-4 183 Input Listing 		Up / Home Next
VM-R049-5 186 Input Listing


VM-R049-5 186 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-cr5-186
/TITLE,vmr049-cr5-186,TORSIONAL CREEP OF SQUARE SHAFT
/COM NAFEMS: R0049  TEST: CR-5

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT
*SET,C1,1E4
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
*SET,C5,0
*SET,C6,1
*SET,HOUR,100
ET,1,186
MP,EX,1,10
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1.0E-10
TB,CREEP,1,,,2
TBDATA,1,C1,C2,C3,C4,C5,C6
BLOCK,0,1,0,1,0,0.2
ESIZE,0.25
VMESH,ALL
NODE10=NODE(1,0,0.2)
CSYS,1
NROTAT,ALL
*DIM,A,ARRAY,155
*DIM,B,ARRAY,155
*DO,I,1,155
A(I)=NX(I)
B(I)=NY(I)*3.1415926/180
*ENDDO
CSYS,0
NROTAT,ALL
NSEL,S,LOC,Z,
D,ALL,UX,0
D,ALL,UY,0
NSEL,ALL
NODE1=NODE(0,0,0)
NODE2=NODE(1,0,0)
NODE3=NODE(0,1,0)
D,NODE1,UZ,0
D,NODE2,UZ,0
D,NODE3,UZ,0
NSEL,ALL
NSEL,S,LOC,X,
NSEL,R,LOC,Z,0.1
NSEL,A,LOC,Y,
NSEL,R,LOC,Z,0.1
CP,131,UZ,ALL
NSEL,ALL
NSEL,S,LOC,X,
NSEL,R,LOC,Z,0.2
NSEL,A,LOC,Y,
NSEL,R,LOC,Z,0.2
CP,66,UZ,ALL
NSEL,ALL
NSEL,S,LOC,X,
NSEL,R,LOC,Z,
NSEL,A,LOC,Y,
NSEL,R,LOC,Z,
CP,2,UZ,ALL
NSEL,ALL

/SOLU
*DO,I,131,155
D,I,UX,-A(I)*0.001*SIN(B(I))
D,I,UY,A(I)*0.001*COS(B(I))
*ENDDO

*DO,I,66,130
D,I,UX,-A(I)*0.002*SIN(B(I))
D,I,UY,A(I)*0.002*COS(B(I))
*ENDDO

/SOLU
RATE, ON
DELT,.0001,.000099,.000101
TIME, .0001
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE

/OUT
/SOLU
RATE, ON
DELT,.001,.00099,.00101
TIME, .001
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE

/OUT
/SOLU
RATE, ON
DELT,.01,.009,.011
TIME, .01
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE

/OUT
/SOLU
RATE, ON
DELT,0.10,0.09,0.11
TIME, 0.10
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE

/OUT
/SOLU
RATE, ON
DELT,1,0.99,1.1
TIME, 1
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE

/OUT
/SOLU
RATE, ON
DELT,10,9.99,10.01
TIME, 10
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE

/OUT
/SOLU
RATE, ON
DELT,100,99.9,100.01
TIME, 100
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE

/OUT
/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,LOGTIME
/AXLAB,Y,SHEAR STRESS(YZ)
/GTHK,AXIS,1
/GRTYP,0
/GROPT,DIG1,5
/GROPT,DIG2,3
/GROPT,LOGX,ON
/GROPT,DIVX,6
/GROPT,DIVY,3
/XRANGE,1E-4,1E2
/YRANGE,0,0.06
ANSOL,2,NODE10,S,YZ
PLVAR,2
PRVAR,2
/GROPT,DIVX,6
/GROPT,DIVY,5
/XRANGE,1E-4,1E2
/YRANGE,0,0.05
ANSOL,3,NODE10,EPEL,YZ
ANSOL,4,NODE10,EPCR,YZ
ADD,5,3,4,,ETOTAL
PLVAR,3,4,5
PRVAR,3,4,5
FINISH

/POST1
*DIM,LABEL,CHAR,10
*DIM,SYZ,ARRAY,7,1
*DIM,TARGET,CHAR,10
*DIM,RATIO,ARRAY,7,1
*DO,JJ,1,7,1
SET,JJ
*GET,SYZ(JJ),NODE,NODE10,S,YZ
*ENDDO
R1=SYZ(1)/0.05000
R2=SYZ(2)/0.04322
R3=SYZ(3)/0.03751
R4=SYZ(4)/0.03081
R5=SYZ(5)/0.02499
R6=SYZ(6)/0.01877
R7=SYZ(7)/0.01427
TARGET(1)='0.0500','0.04322','0.03751','0.03081','0.02499','0.01877','0.01427'
LABEL(1)='-4','-3','-2','-1','0','1','2'
*VFILL,RATIO,DATA,R1,R2,R3,R4,R5,R6,R7
/COM
/COM,--------- vmr049-cr5-186 MIXED FORMULATION COMPARISON-----------
/COM,
/COM, vmr049-cr5-186.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 109, FIGURE 3.16(A).  THE RESULTS
/COM, DISPLAYED ARE INCREMENTED FOR THIS PURPOSE.
/COM,
/COM,|  LOG(TIME) |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,LABEL(1),TARGET(1),SYZ(1,1),RATIO(1,1)
(1X,A12,'   ',1X,A8,'   ',F8.6,'   ',1F5.3)
FINISH

*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' SYZ2 ',' ECRYY '
*VFILL,VALUE1(1,1),DATA,SYZ(7)
*VFILL,VALUE1(1,2),DATA,R7
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','cr5-186'

/OUT,vmr049-cr5-186,vrt
/COM
/COM,------------------- vmr049-cr5 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SOLID186
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-cr5-186,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-5 185 Input Listing 		Up / Home Next
VM-R049-5 187 Input Listing


VM-R049-5 187 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-cr5-187
/TITLE,vmr049-cr5-187,TORSIONAL CREEP OF SQUARE SHAFT
/COM NAFEMS: R0049  TEST: CR-5

/PREP7
C*** PARAMETRIC INPUT FOR CREEP CONSTANT
*SET,C1,1E4
*SET,C2,5
*SET,C3,-0.5
*SET,C4,0
*SET,C5,0
*SET,C6,1
*SET,HOUR,100
ET,1,187
MP,EX,1,10
MP,NUXY,1,0.3
TUNIF,HOT
TOFF,1.0E-10
TB,CREEP,1,,,2
TBDATA,1,C1,C2,C3,C4,C5,C6
BLOCK,0,1,0,1,0,0.2
ESIZE,0.25
VMESH,ALL
NODE10=NODE(1,0,0.2)
CSYS,1
NROTAT,ALL
*DIM,A,ARRAY,349
*DIM,B,ARRAY,349
*DO,I,1,349
A(I)=NX(I)
B(I)=NY(I)*3.1415926/180
*ENDDO
CSYS,0
NROTAT,ALL
NSEL,S,LOC,Z,
D,ALL,UX,0
D,ALL,UY,0
NSEL,ALL
NODE1=NODE(0,0,0)
NODE2=NODE(1,0,0)
NODE3=NODE(0,1,0)
D,NODE1,UZ,0
D,NODE2,UZ,0
D,NODE3,UZ,0
NSEL,ALL
NSEL,S,LOC,X,
NSEL,R,LOC,Z,0.1
NSEL,A,LOC,Y,
NSEL,R,LOC,Z,0.1
CP,195,UZ,ALL
NSEL,ALL
NSEL,S,LOC,X,
NSEL,R,LOC,Z,0.2
NSEL,A,LOC,Y,
NSEL,R,LOC,Z,0.2
CP,98,UZ,ALL
NSEL,ALL
NSEL,S,LOC,X,
NSEL,R,LOC,Z,
NSEL,A,LOC,Y,
NSEL,R,LOC,Z,
CP,2,UZ,ALL
NSEL,ALL

/SOLU
NSEL,S,LOC,Z,0.1
*GET,_NMIN,NODE,,NUM,MIN
*GET,_NNUM,NODE,,COUNT

*DO,I,1,_NNUM
   D,_NMIN,UX,-A(_NMIN)*0.001*SIN(B(_NMIN))
   D,_NMIN,UY,A(_NMIN)*0.001*COS(B(_NMIN))
   NSEL,U,,,_NMIN
   *GET,_NMIN,NODE,,NUM,MIN
*ENDDO

NSEL,S,LOC,Z,0.2
*GET,_NMIN,NODE,,NUM,MIN
*GET,_NNUM,NODE,,COUNT

*DO,I,1,_NNUM
   D,_NMIN,UX,-A(_NMIN)*0.002*SIN(B(_NMIN))
   D,_NMIN,UY,A(_NMIN)*0.002*COS(B(_NMIN))
   NSEL,U,,,_NMIN
   *GET,_NMIN,NODE,,NUM,MIN
*ENDDO
NSEL,ALL
FINISH

/SOLU
RATE, ON
DELT,.0001,.000099,.000101
TIME, .0001
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE

/OUT
/SOLU
RATE, ON
DELT,.001,.00099,.00101
TIME, .001
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE

/OUT
/SOLU
RATE, ON
DELT,.01,.009,.011
TIME, .01
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE

/OUT
/SOLU
RATE, ON
DELT,0.10,0.09,0.11
TIME, 0.10
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE

/OUT
/SOLU
RATE, ON
DELT,1,0.99,1.1
TIME, 1
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE

/OUT
/SOLU
RATE, ON
DELT,10,9.99,10.01
TIME, 10
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE

/OUT
/SOLU
RATE, ON
DELT,100,99.9,100.01
TIME, 100
OUTRES,ALL,LAST
/OUTPUT,SCRATCH
SOLVE

/OUT
/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,LOGTIME
/AXLAB,Y,SHEAR STRESS(YZ)
/GTHK,AXIS,1
/GRTYP,0
/GROPT,DIG1,5
/GROPT,DIG2,3
/GROPT,LOGX,ON
/GROPT,DIVX,6
/GROPT,DIVY,3
/XRANGE,1E-4,1E2
/YRANGE,0,0.06
ANSOL,2,NODE10,S,YZ
PLVAR,2
PRVAR,2
/GROPT,DIVX,6
/GROPT,DIVY,5
/XRANGE,1E-4,1E2
/YRANGE,0,0.05
ANSOL,3,NODE10,EPEL,YZ
ANSOL,4,NODE10,EPCR,YZ
ADD,5,3,4,,ETOTAL
PLVAR,3,4,5
PRVAR,3,4,5
FINISH

/POST1
*DIM,LABEL,CHAR,10
*DIM,SYZ,ARRAY,7,1
*DIM,TARGET,CHAR,10
*DIM,RATIO,ARRAY,7,1
*DO,JJ,1,7,1
SET,JJ
*GET,SYZ(JJ),NODE,NODE10,S,YZ
*ENDDO
R1=SYZ(1)/0.05000
R2=SYZ(2)/0.04322
R3=SYZ(3)/0.03751
R4=SYZ(4)/0.03081
R5=SYZ(5)/0.02499
R6=SYZ(6)/0.01877
R7=SYZ(7)/0.01427
TARGET(1)='0.05000','0.04322','0.03751'
TARGET(4)='0.03081','0.02499','0.01877','0.01427'
LABEL(1)='-4','-3','-2','-1','0','1','2'
*VFILL,RATIO,DATA,R1,R2,R3,R4,R5,R6,R7
/COM
/COM,--------- vmr049-cr5-187 MIXED FORMULATION COMPARISON-----------
/COM,
/COM, vmr049-cr5-187.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 109, FIGURE 3.16(A).  THE RESULTS
/COM, DISPLAYED ARE INCREMENTED FOR THIS PURPOSE.
/COM,
/COM,|  LOG(TIME) |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,LABEL(1),TARGET(1),SYZ(1,1),RATIO(1,1)
(1X,A12,'   ',1X,A8,'   ',F8.6,'   ',1F5.3)
FINISH

*DIM,LABEL1,CHAR,2
*DIM,VALUE1,,2,3
LABEL1(1) = ' SYZ2 ',' ECRYY '
*VFILL,VALUE1(1,1),DATA,SYZ(7)
*VFILL,VALUE1(1,2),DATA,R7
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','cr5-187'

/OUT,vmr049-cr5-187,vrt
/COM
/COM,------------------- vmr049-cr5 RESULTS COMPARISON --------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SOLID187
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-cr5-187,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-5 186 Input Listing 		Up / Home Next
VM-R049-6 182 Input Listing


VM-R049-6 182 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMR049-CR6-182
/TITLE,VMR049-CR6-182,THERMALLY INDUCED CREEP BENCHMARK
C*** REFERENCE NAFEMS101

/PREP7
CYL4,0,0,200,0,500,10
ET,1,PLANE182
KEYOPT,1,1,0
KEYOPT,1,3,1
LSEL,S,LINE,,1,3,2
LESIZE,ALL, , ,2
LSEL,ALL
LSEL,S,LINE,,2,4,2
LESIZE,ALL,,,20
AMESH,ALL
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS !***
*SET,C1,3E-6
*SET,C2,5.5
*SET,C3,0
*SET,C4,12500
*SET,C5,0
*SET,C6,1
C***  TIME PARAMETER
*SET,HOUR,10E10
C***   ELASTIC CONSTANT
MP,EX,1,1E4
MP,NUXY,1,0.25
TUNIF,HOT
TOFF,OFFS
TB,CREEP,1,,,2
TBDATA,1,C1,C2,C3,C4,C5,C6
CSYS,1
NROTAT,ALL
 FINISH

 /SOLU
 NLGEOM,OFF
 RATE, OFF
 SOLCONTROL,ON

 NSEL,ALL
 NSEL,S,LOC,Y
 D,ALL,UY
 NSEL,ALL
 NSEL,S,LOC,Y,10
 D,ALL,UY
 NSEL,ALL
 NSEL,S,LOC,X,200
 SF,ALL,PRES,30
 NSEL,ALL
*DO,I,1,63
    *STATUS,I
    BF,I,TEMP,333*(1+100/NX(I))
*ENDDO
 DELT,1.0E-8,1E-8,1E-7
 TIME, 1.0E-8
 OUTRES,ALL,LAST
 /OUT
 OUTPR,ALL,LAST
 /OUT,SCRATCH
 SOLVE

 /SOLU
 NLGEOM,OFF
 RATE, ON, ON
 SOLCONTROL,ON
 /OUT,SCRATCH
 DELT,1,1,1E3
 TIME, 1E4
 OUTRES,ALL,LAST
 OUTPR,ALL,ALL
 /OUT,SCRATCH
 SOLVE

 /SOLU
 NLGEOM,OFF
 RATE, ON, ON
 SOLCONTROL,ON
 /OUT,SCRATCH
 DELT,1,1,1E4
 TIME, 1E5
 OUTRES,ALL,LAST
 OUTPR,ALL,ALL
 /OUT,SCRATCH
 SOLVE

 /SOLU
 NLGEOM,OFF
 RATE, ON, ON
 SOLCONTROL,ON
 /OUT,SCRATCH
 DELT,1,1,1E6
 TIME, 1E7
 OUTRES,ALL,LAST
 OUTPR,ALL,ALL
 /OUT,SCRATCH
 SOLVE

 /SOLU
 NLGEOM,OFF
 RATE, ON, ON
 SOLCONTROL,ON
 /OUT,SCRATCH
 DELT,1,1,1E7
 TIME, 1E8
 OUTRES,ALL,LAST
 OUTPR,ALL,ALL
 /OUT,SCRATCH
 SOLVE

 /SOLU
 NLGEOM,OFF
 RATE, ON, ON
 SOLCONTROL,ON
 /OUT,SCRATCH
 DELT,1,1,1E8
 TIME, 1E10
 OUTRES,ALL,ALL
 OUTPR,ALL,ALL
 /OUT,SCRATCH
 SOLVE
 FINISH

/POST1
 /GROPT,VIEW,0
 /GTHK,CURVE,1
 /GROPT,FILL,OFF
 /GRID,1
 /GTHK,GRID,1
 /GROPT,CGRID,1
 /AXLAB,X,RADIUS
 /AXLAB,Y,EFFECTIVE STRESS
 /GTHK,AXIS,1
 /GRTYP,0
 /GROPT,ASCAL,ON
 /GROPT,AXDV,ON
 /GROPT,AXNM,ON
 /GROPT,AXNSC,ON
 /GROPT,DIG1,5
 /GROPT,DIG2,3
 /GROPT,DIVX,2
 /GROPT,DIVY,3
 /XRANGE,0,300
 /YRANGE,0,60,ALL
SET,FIRST
FLST,2,2,1
FITEM,2,24
FITEM,2,1
PATH,PATH,2,30,25,
PPATH,P51X,1
PDEF,STAT
AVPRIN,0,0,
PDEF,1E-8 ,S,EQV,AVG
/PBC,PATH, ,0
/PSF,DEFA, ,1
/PBF,DEFA, ,1
/PSYMB,CS,0
/PSYMB,NDIR,0
/PSYMB,ESYS,0
/PSYMB,LDIR,0
/PSYMB,ECON,0
/PSYMB,XNODE,1
/PSYMB,DOT,1
/PSYMB,PCONV,
/PSYMB,LAYR,0
/PBC,MAST, ,0
/PBC,CP, ,0
/PBC,CE, ,0
/PBC,ACEL, ,0
/PBC,OMEG, ,0
/PBC,PATH, ,1
/REP
PLPATH,1E-8
PRPATH,1E-8

/NOERASE
SET,NEXT
PDEF,1E4 ,S,EQV,AVG
/PBC,PATH, ,0
/PSF,DEFA, ,1,0
/PBF,DEFA, ,1
/PSYMB,CS,0
/PSYMB,NDIR,0
/PSYMB,ESYS,0
/PSYMB,LDIR,0
/PSYMB,ECON,1
/PSYMB,XNODE,0
/PSYMB,DOT,1
/PSYMB,PCONV,
/PSYMB,LAYR,0
/PBC,MAST, ,0
/PBC,CP, ,0
/PBC,CE, ,0
/PBC,ACEL, ,0
/PBC,OMEG, ,0
/PBC,PATH, ,1
/REP
PLPATH,1E4
PRPATH,1E4

/NOERASE
SET,NEXT
PDEF,1E5 ,S,EQV,AVG
/PBC,PATH, ,0
/PSF,DEFA, ,1,0
/PBF,DEFA, ,1
/PSYMB,CS,0
/PSYMB,NDIR,0
/PSYMB,ESYS,0
/PSYMB,LDIR,0
/PSYMB,ECON,1
/PSYMB,XNODE,0
/PSYMB,DOT,1
/PSYMB,PCONV,
/PSYMB,LAYR,0
/PBC,MAST, ,0
/PBC,CP, ,0
/PBC,CE, ,0
/PBC,ACEL, ,0
/PBC,OMEG, ,0
/PBC,PATH, ,1
/REP
PLPATH,1E5
PRPATH,1E5

/NOERASE
SET,NEXT
PDEF,1E7 ,S,EQV,AVG
/PBC,PATH, ,0
/PSF,DEFA, ,1,0
/PBF,DEFA, ,1
/PSYMB,CS,0
/PSYMB,NDIR,0
/PSYMB,ESYS,0
/PSYMB,LDIR,0
/PSYMB,ECON,1
/PSYMB,XNODE,0
/PSYMB,DOT,1
/PSYMB,PCONV,
/PSYMB,LAYR,0
/PBC,MAST, ,0
/PBC,CP, ,0
/PBC,CE, ,0
/PBC,ACEL, ,0
/PBC,OMEG, ,0
/PBC,PATH, ,1
/REP
PLPATH,1E7
PRPATH,1E7

/NOERASE
SET,NEXT
PDEF,1E8 ,S,EQV,AVG
/PBC,PATH, ,0
/PSF,DEFA, ,1,0
/PBF,DEFA, ,1
/PSYMB,CS,0
/PSYMB,NDIR,0
/PSYMB,ESYS,0
/PSYMB,LDIR,0
/PSYMB,ECON,1
/PSYMB,XNODE,0
/PSYMB,DOT,1
/PSYMB,PCONV,
/PSYMB,LAYR,0
/PBC,MAST, ,0
/PBC,CP, ,0
/PBC,CE, ,0
/PBC,ACEL, ,0
/PBC,OMEG, ,0
/PBC,PATH, ,1
/REP
PLPATH,1E8
PRPATH,1E8

/NOERASE
SET,LAST
PDEF,1E10 ,S,EQV,AVG
/PBC,PATH, ,0
/PSF,DEFA, ,1,0
/PBF,DEFA, ,1
/PSYMB,CS,0
/PSYMB,NDIR,0
/PSYMB,ESYS,0
/PSYMB,LDIR,0
/PSYMB,ECON,1
/PSYMB,XNODE,0
/PSYMB,DOT,1
/PSYMB,PCONV,
/PSYMB,LAYR,0
/PBC,MAST, ,0
/PBC,CP, ,0
/PBC,CE, ,0
/PBC,ACEL, ,0
/PBC,OMEG, ,0
/PBC,PATH, ,1
/REP
PLPATH,1E10
PRPATH,1E10

ERASE
/ERASE
 /POST26
 /GROPT,VIEW,0
 /GTHK,CURVE,1
 /GROPT,FILL,OFF
 /GRID,1
 /GTHK,GRID,1
 /GROPT,CGRID,1
 /AXLAB,X,LOG(TIME)
 /AXLAB,Y,STRESS
 /GTHK,AXIS,1
 /GRTYP,0
 /GROPT,ASCAL,ON
 /GROPT,AXDV,ON
 /GROPT,AXNM,ON
 /GROPT,AXNSC,ON
 /GROPT,DIG1,5
 /GROPT,DIG2,3
 /GROPT,LOGX,ON
 /GROPT,DIVX,10
 /GROPT,DIVY,3
 /XRANGE,1,1E10
 /YRANGE,0,30
 NODE1=NODE(200,0,0)
 NODE2=NODE(500,0,0)
 NSOL,2,NODE1,U,X
 NSOL,3,NODE2,U,X
 /GOPR
 /GOLIST
 PLVAR,2,3
 PRVAR,2,3
/GROPT,DIVY,5
 /YRANGE,0,50
 ESOL,4,39,NODE1,S,EQV
 ESOL,5,19,35,S,EQV
 ESOL,6,1,1,S,EQV
 PLVAR,4,5,6
 PRVAR,4,5,6
 FINISH

/POST1
SET,LIST
SET,1,1
*GET,X1,NODE,2,S,EQV
*GET,Y1,NODE,24,S,EQV
*GET,Z1,NODE,35,S,EQV
RX1=X1/3.17
RY1=Y1/44.71
RZ1=Z1/8.98
SET,2,27
*GET,X2,NODE,2,S,EQV
*GET,Y2,NODE,24,S,EQV
*GET,Z2,NODE,35,S,EQV
RX2=X2/3.21
RY2=Y2/41.93
RZ2=Z2/9.08
SET,3,31
*GET,X3,NODE,2,S,EQV
*GET,Y3,NODE,24,S,EQV
*GET,Z3,NODE,35,S,EQV
RX3=X3/3.42
RY3=Y3/34.56
RZ3=Z3/9.63
SET,4,43
*GET,X4,NODE,2,S,EQV
*GET,Y4,NODE,24,S,EQV
*GET,Z4,NODE,35,S,EQV
RX4=X4/5.55
RY4=Y4/17.56
RZ4=Z4/15.54
SET,5,48
*GET,X5,NODE,2,S,EQV
*GET,Y5,NODE,24,S,EQV
*GET,Z5,NODE,35,S,EQV
RX5=X5/9.12
RY5=Y5/13.33
RZ5=Z5/20.52
SET,6,53
*GET,X6,NODE,2,S,EQV
*GET,Y6,NODE,24,S,EQV
*GET,Z6,NODE,35,S,EQV
RX6=X6/18.63
RY6=Y6/11.36
RZ6=Z6/17.83
SET,6,144
*GET,X7,NODE,2,S,EQV
*GET,Y7,NODE,24,S,EQV
*GET,Z7,NODE,35,S,EQV
RX7=X7/21.16
RY7=Y7/11.25
RZ7=Z7/17.58
*DIM,VALUE1,,7,2
*DIM,VALUE2,,7,2
*DIM,VALUE3,,7,2
*DIM,LABEL3,CHAR,10
*DIM,LABEL1,CHAR,10
*DIM,LABEL2,CHAR,10
*DIM,LABEL4,CHAR,10
LABEL3(1) = '    1E-8','    1E4', '    1E5', '    1E7', '    1E8','    1E9', '    1E10'
LABEL1(1) = '   3.17','   3.21','   3.42','   5.55','   9.12','  18.63','  21.16'
*VFILL,VALUE1(1,1),DATA,X1,X2,X3,X4,X5,X6,X7
*VFILL,VALUE1(1,2),DATA,RX1,RX2,RX3,RX4,RX5,RX6,RX7
LABEL2(1) = '  44.71','  41.93','  34.56','  17.56','  13.33','  11.36','  11.25'
*VFILL,VALUE2(1,1),DATA,Y1,Y2,Y3,Y4,Y5,Y6,Y7
*VFILL,VALUE2(1,2),DATA,RY1,RY2,RY3,RY4,RY5,RY6,RY7
LABEL4(1) = '   8.98','   9.08','   9.63','  15.54','  20.52','  17.83','  17.58'
*VFILL,VALUE3(1,1),DATA,Z1,Z2,Z3,Z4,Z5,Z6,Z7
*VFILL,VALUE3(1,2),DATA,RZ1,RZ2,RZ3,RZ4,RZ5,RZ6,RZ7
/OUT
/COM
/COM
/COM,--------- vmr049-cr6-182 RESULTS COMPARISON-----------
/COM,   RADIUS=495
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL3(1), LABEL1(1), VALUE1(1,1), VALUE1(1,2)
(1X,A8,'   ',A8,'   ',F8.3,'   ',F8.3)
/SHOW,CLOSE

/COM
/COM
/COM,--------- vmr049-cr6-182 RESULTS COMPARISON-----------
/COM,   RADIUS=205
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL3(1), LABEL2(1), VALUE2(1,1), VALUE2(1,2)
(1X,A8,'   ',A8,'   ',F8.3,'   ',F8.3)
/SHOW,CLOSE

/COM
/COM
/COM,--------- vmr049-cr6-182 RESULTS COMPARISON-----------
/COM,   RADIUS=350
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL3(1), LABEL4(1), VALUE3(1,1), VALUE3(1,2)
(1X,A8,'   ',A8,'   ',F8.3,'   ',F8.3)
/SHOW,CLOSE

/OUT,SCRATCH
*DIM,LABEL5,CHAR,7
*DIM,VALUE4,,3,3
LABEL5(1) = ' SR205 ',' SR350 ',' SR495 '
*VFILL,VALUE4(1,1),DATA,Y7,Z7,X7
*VFILL,VALUE4(1,2),DATA,RY7,RZ7,RX7
*DIM,LABEL6,CHAR,2
LABEL6(1) = 'vmr049-','cr6-182'

/OUT,vmr049-cr6-182,vrt
/COM
/COM,------------------- vmr049-cr6 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE182
*VWRITE,LABEL5(1),VALUE4(1,1),VALUE4(1,2),LABEL6(1),LABEL6(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL5(2),VALUE4(2,1),VALUE4(2,2),LABEL6(1),LABEL6(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL5(3),VALUE4(3,1),VALUE4(3,2),LABEL6(1),LABEL6(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr049-cr6-182,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-5 187 Input Listing 		Up / Home Next
VM-R049-6 183 Input Listing


VM-R049-6 183 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMR049-CR6-183
/TITLE,VMR049-CR6-183,THERMALLY INDUCED CREEP BENCHMARK
C*** REFERENCE NAFEMS100

/PREP7
CYL4,0,0,200,0,500,10
ET,1,PLANE183
KEYOPT,1,3,1
LSEL,S,LINE,,1,3,2
LESIZE,ALL,,,1
LSEL,ALL
LSEL,S,LINE,,2,4,2
LESIZE,ALL,,,10
AMESH,ALL
C*** PARAMETRIC INPUT FOR CREEP CONSTANTS !***
*SET,C1,3E-6
*SET,C2,5.5
*SET,C3,0
*SET,C4,12500
*SET,C5,0
*SET,C6,1
C***  TIME PARAMETER
*SET,HOUR,1E9
C***   ELASTIC CONSTANT
MP,EX,1,1E4
MP,NUXY,1,0.25
TOFF,0
TB,CREEP,1,,,2
TBDATA,1,C1,C2,C3,C4,C5,C6
CSYS,1
 NSEL,ALL
NROTAT,ALL
 FINISH

 /SOLU
 RESCONTROL,,NONE
 NLGEOM,OFF
 RATE, OFF
 NSEL,S,LOC,Y
 D,ALL,UY
 NSEL,ALL
 NSEL,S,LOC,Y,10
 D,ALL,UY
 NSEL,ALL
 NSEL,S,LOC,X,200
 SF,ALL,PRES,30
 NSEL,ALL
*DO,I,1,53
    *STATUS,I
    BF,I,TEMP,333*(1+100/NX(I))
*ENDDO
 DELT,1.0E-8,1E-8,1E-7
 TIME, 1.0E-8
 OUTRES,ALL,LAST
 OUTPR,ALL,LAST
 /OUT,scratch
 SOLVE
 /SOLU
 NLGEOM,OFF
 RATE, ON, ON
 SOLCONTROL,ON
 /OUT,scratch
 DELT,1,1,1E3
 TIME, 1E4
 OUTRES,ALL,LAST
 OUTPR,ALL,LAST
 SOLVE

 /SOLU
 NLGEOM,OFF
 RATE, ON, ON
 SOLCONTROL,ON
 /OUT,scratch
 DELT,1,1,1E4
 TIME, 1E5
 OUTRES,ALL,-5
 OUTPR,ALL,-5
 SOLVE

 /SOLU
 NLGEOM,OFF
 RATE, ON, ON
 SOLCONTROL,ON
 /OUT,scratch
 DELT,1,1,1E6
 TIME, 1E7
 OUTRES,ALL,-5
 OUTPR,ALL,-5
 SOLVE

 /SOLU
 NLGEOM,OFF
 RATE, ON, ON
 SOLCONTROL,ON
 /OUT,scratch
 DELT,1,1,1E7
 TIME, 1E8
 OUTRES,ALL,-5
 OUTPR,ALL,-5
 SOLVE

 /SOLU
 NLGEOM,OFF
 RATE, ON, ON
 SOLCONTROL,ON
 /OUT,scratch
 DELT,1,1,1E8
 TIME, 1E10
 OUTRES,ALL,-10
 OUTPR,ALL,-10
 /OUT,scratch
 SOLVE
 FINISH

/POST1
 /GROPT,VIEW,0
 /GTHK,CURVE,1
 /GROPT,FILL,OFF
 /GRID,1
 /GTHK,GRID,1
 /GROPT,CGRID,1
 /AXLAB,X,RADIUS
 /AXLAB,Y,EFFECTIVE STRESS
 /GTHK,AXIS,1
 /GRTYP,0
 /GROPT,ASCAL,OFF
 /GROPT,AXDV,ON
 /GROPT,AXNM,ON
 /GROPT,AXNSC,ON
 /GROPT,DIG1,5
 /GROPT,DIG2,3
 /GROPT,DIVX,2
 /GROPT,DIVY,3
 /XRANGE,0,300
 /YRANGE,0,60,ALL
SET,FIRST
FLSTT,2,2,1
FITEM,2,24
FITEM,2,1
PATH,P3,2,30,20,
PPATH,P51X,1
PDEF,STAT
AVPRIN,0,0,
PDEF,1E-8,S,EQV,AVG
/PBC,PATH, ,0
/PSF,DEFA, ,1
/PBF,DEFA, ,1
/PSYMB,CS,0
/PSYMB,NDIR,0
/PSYMB,ESYS,0
/PSYMB,LDIR,0
/PSYMB,ECON,0
/PSYMB,XNODE,1
/PSYMB,DOT,1
/PSYMB,PCONV,
/PSYMB,LAYR,0
/PBC,MAST, ,0
/PBC,CP, ,0
/PBC,CE, ,0
/PBC,ACEL, ,0
/PBC,OMEG, ,0
/PBC,PATH, ,1
/REP
PLPATH,1E-8
PRPATH,1E-8

/NOERASE
SET,NEXT
PDEF,1E4,S,EQV,AVG
/PBC,PATH, ,0
/PSF,DEFA, ,1
/PBF,DEFA, ,1
/PSYMB,CS,0
/PSYMB,NDIR,0
/PSYMB,ESYS,0
/PSYMB,LDIR,0
/PSYMB,ECON,0
/PSYMB,XNODE,1
/PSYMB,DOT,1
/PSYMB,PCONV,
/PSYMB,LAYR,0
/PBC,MAST, ,0
/PBC,CP, ,0
/PBC,CE, ,0
/PBC,ACEL, ,0
/PBC,OMEG, ,0
/PBC,PATH, ,1
/REP
PLPATH,1E4
PRPATH,1E4

/NOERASE
SET,NEXT
PDEF,1E5,S,EQV,AVG
/PBC,PATH, ,0
/PSF,DEFA, ,1
/PBF,DEFA, ,1
/PSYMB,CS,0
/PSYMB,NDIR,0
/PSYMB,ESYS,0
/PSYMB,LDIR,0
/PSYMB,ECON,0
/PSYMB,XNODE,1
/PSYMB,DOT,1
/PSYMB,PCONV,
/PSYMB,LAYR,0
/PBC,MAST, ,0
/PBC,CP, ,0
/PBC,CE, ,0
/PBC,ACEL, ,0
/PBC,OMEG, ,0
/PBC,PATH, ,1
/REP
PLPATH,1E5
PRPATH,1E5

/NOERASE
SET,NEXT
PDEF,1E7,S,EQV,AVG
/PBC,PATH, ,0
/PSF,DEFA, ,1
/PBF,DEFA, ,1
/PSYMB,CS,0
/PSYMB,NDIR,0
/PSYMB,ESYS,0
/PSYMB,LDIR,0
/PSYMB,ECON,0
/PSYMB,XNODE,1
/PSYMB,DOT,1
/PSYMB,PCONV,
/PSYMB,LAYR,0
/PBC,MAST, ,0
/PBC,CP, ,0
/PBC,CE, ,0
/PBC,ACEL, ,0
/PBC,OMEG, ,0
/PBC,PATH, ,1
/REP
PLPATH,1E7
PRPATH,1E7

/NOERASE
SET,NEXT
PDEF,1E8,S,EQV,AVG
/PBC,PATH, ,0
/PSF,DEFA, ,1
/PBF,DEFA, ,1
/PSYMB,CS,0
/PSYMB,NDIR,0
/PSYMB,ESYS,0
/PSYMB,LDIR,0
/PSYMB,ECON,0
/PSYMB,XNODE,1
/PSYMB,DOT,1
/PSYMB,PCONV,
/PSYMB,LAYR,0
/PBC,MAST, ,0
/PBC,CP, ,0
/PBC,CE, ,0
/PBC,ACEL, ,0
/PBC,OMEG, ,0
/PBC,PATH, ,1
/REP
PLPATH,1E8
PRPATH,1E8

/NOERASE
SET,LAST
PDEF,1E10,S,EQV,AVG
/PBC,PATH, ,0
/PSF,DEFA, ,1
/PBF,DEFA, ,1
/PSYMB,CS,0
/PSYMB,NDIR,0
/PSYMB,ESYS,0
/PSYMB,LDIR,0
/PSYMB,ECON,0
/PSYMB,XNODE,1
/PSYMB,DOT,1
/PSYMB,PCONV,
/PSYMB,LAYR,0
/PBC,MAST, ,0
/PBC,CP, ,0
/PBC,CE, ,0
/PBC,ACEL, ,0
/PBC,OMEG, ,0
/PBC,PATH, ,1
/REP
PLPATH,1E10
PRPATH,1E10
ERASE
/ERASE

 /POST26
 /GROPT,VIEW,0
 /GTHK,CURVE,1
 /GROPT,FILL,OFF
 /GRID,1
 /GTHK,GRID,1
 /GROPT,CGRID,1
 /AXLAB,X,LOG(TIME)
 /AXLAB,Y,
 /GTHK,AXIS,1
 /GRTYP,0
 /GROPT,ASCAL,OFF
 /GROPT,AXDV,ON
 /GROPT,AXNM,ON
 /GROPT,AXNSC,ON
 /GROPT,DIG1,3
 /GROPT,DIG2,1
 /GROPT,LOGX,ON
 /GROPT,DIVX,10
 /GROPT,DIVY,3
 /XRANGE,1,1E10
 /YRANGE,0,30
 NODE1=NODE(200,0,0)
 NODE2=NODE(500,0,0)
 NSOL,2,NODE1,U,X
 NSOL,3,NODE2,U,X
 /GOPR
 /GOLIST
 PLVAR,2,3
 PRVAR,2,3
 /GROPT,DIVY,5
 /YRANGE,0,50
 ESOL,4,10,24,S,EQV
 ESOL,5,5,35,S,EQV
 ESOL,6,1,1,S,EQV
 PLVAR,4,5,6
 PRVAR,4,5,6
 FINISH

/POST1
SET,1,1
*GET,X1,NODE,2,S,EQV
*GET,Y1,NODE,24,S,EQV
*GET,Z1,NODE,35,S,EQV
RX1=X1/3.17
RY1=Y1/44.71
RZ1=Z1/8.98
SET,2,27
*GET,X2,NODE,2,S,EQV
*GET,Y2,NODE,24,S,EQV
*GET,Z2,NODE,35,S,EQV
RX2=X2/3.21
RY2=Y2/41.93
RZ2=Z2/9.08
SET,3,31
*GET,X3,NODE,2,S,EQV
*GET,Y3,NODE,24,S,EQV
*GET,Z3,NODE,35,S,EQV
RX3=X3/3.42
RY3=Y3/34.56
RZ3=Z3/9.63
SET,4,43
*GET,X4,NODE,2,S,EQV
*GET,Y4,NODE,24,S,EQV
*GET,Z4,NODE,35,S,EQV
RX4=X4/5.55
RY4=Y4/17.56
RZ4=Z4/15.54
SET,5,48
*GET,X5,NODE,2,S,EQV
*GET,Y5,NODE,24,S,EQV
*GET,Z5,NODE,35,S,EQV
RX5=X5/9.12
RY5=Y5/13.33
RZ5=Z5/20.52
SET,6,55
*GET,X6,NODE,2,S,EQV
*GET,Y6,NODE,24,S,EQV
*GET,Z6,NODE,35,S,EQV
RX6=X6/18.63
RY6=Y6/11.36
RZ6=Z6/17.83
SET,6,144
*GET,X7,NODE,2,S,EQV
*GET,Y7,NODE,24,S,EQV
*GET,Z7,NODE,35,S,EQV
RX7=X7/21.16
RY7=Y7/11.25
RZ7=Z7/17.58
*DIM,VALUE1,,7,2
*DIM,VALUE2,,7,2
*DIM,VALUE3,,7,2
*DIM,LABEL3,CHAR,10
*DIM,LABEL1,CHAR,10
*DIM,LABEL2,CHAR,10
*DIM,LABEL4,CHAR,10
LABEL3(1) = '    1E-8','    1E4', '    1E5', '    1E7', '    1E8','    1E9', '    1E10'
LABEL1(1) = '   3.17','   3.21','   3.42','   5.55','   9.12','  18.63','  21.16'
*VFILL,VALUE1(1,1),DATA,X1,X2,X3,X4,X5,X6,X7
*VFILL,VALUE1(1,2),DATA,RX1,RX2,RX3,RX4,RX5,RX6,RX7
LABEL2(1) = '  44.71','  41.93','  34.56','  17.56','  13.33','  11.36','  11.25'
*VFILL,VALUE2(1,1),DATA,Y1,Y2,Y3,Y4,Y5,Y6,Y7
*VFILL,VALUE2(1,2),DATA,RY1,RY2,RY3,RY4,RY5,RY6,RY7
LABEL4(1) = '   8.98','   9.08','   9.63','  15.54','  20.52','  17.83','  17.58'
*VFILL,VALUE3(1,1),DATA,Z1,Z2,Z3,Z4,Z5,Z6,Z7
*VFILL,VALUE3(1,2),DATA,RZ1,RZ2,RZ3,RZ4,RZ5,RZ6,RZ7
/OUT
/COM
/COM
/COM,--------- vmr049-cr6-183 RESULTS COMPARISON-----------
/COM,   RADIUS=495
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL3(1), LABEL1(1), VALUE1(1,1), VALUE1(1,2)
(1X,A8,'   ',A8,'   ',F8.3,'   ',F8.3)
/SHOW,CLOSE

/COM
/COM
/COM,--------- vmr049-cr6-183 RESULTS COMPARISON-----------
/COM,   RADIUS=205
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL3(1), LABEL2(1), VALUE2(1,1), VALUE2(1,2)
(1X,A8,'   ',A8,'   ',F8.3,'   ',F8.3)
/SHOW,CLOSE

/COM
/COM
/COM,--------- vmr049-cr6-183 RESULTS COMPARISON-----------
/COM,   RADIUS=350
/COM,
/COM,|   TIME   | TARGET |   ANSYS  |   RATIO
/COM,
*VWRITE,LABEL3(1), LABEL4(1), VALUE3(1,1), VALUE3(1,2)
(1X,A8,'   ',A8,'   ',F8.3,'   ',F8.3)
/SHOW,CLOSE

/OUT,SCRATCH
*DIM,LABEL5,CHAR,7
*DIM,VALUE4,,3,3
LABEL5(1) = ' SR205 ',' SR350 ',' SR495 '
*VFILL,VALUE4(1,1),DATA,Y7,Z7,X7
*VFILL,VALUE4(1,2),DATA,RY7,RZ7,RX7
*DIM,LABEL6,CHAR,2
LABEL6(1) = 'vmr049-','cr6-183'

/OUT,vmr049-cr6-183,vrt
/COM
/COM,------------------- vmr049-cr6 RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE183
*VWRITE,LABEL5(1),VALUE4(1,1),VALUE4(1,2),LABEL6(1),LABEL6(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL5(2),VALUE4(2,1),VALUE4(2,2),LABEL6(1),LABEL6(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL5(3),VALUE4(3,1),VALUE4(3,2),LABEL6(1),LABEL6(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-cr6-183,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-6 182 Input Listing 		Up / Home Next
VM-R049-PL1A 182 Input Listing


VM-R049-PL1A 182 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,VMR049-PL1A-182
/TITLE, VMR049-PL1A-182, 2D PLANE STRAIN PLASTICITY BENCHMARK
/COM, REFERENCE: NAFEMS REPORT-R0049

/PREP7
R = 2.5E-5
ET,1,182,,,
KEYOPT,1,3,2
N,1,,,,
N,2,0,1,,
N,3,1,0,,
N,4,1,1,,
E, 1,3,4,2
MP,EX,1,250E3,
MP,NUXY,1,0.25,
TB,BISO,1,1, , ,
TBMODIF,2,1,5
TBMODIF,3,1,0.0
TB,HILL,1
TBDATA,1,1.0,1.0,1.0,1.0,1.0,1.0
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,Y,1.0
D,ALL,UY
FINISH

/SOLU
NLGEOM,ON
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
FINISH

/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,STEP
/AXLAB,Y,STRESS
/GTHK,AXIS,1
/GRTYP,0
/XRANGE,0,8
/YRANGE,-10,25
ESOL,2,1,4,S,X,
ESOL,3,1,4,S,Y,
ESOL,4,1,4,S,Z,
ESOL,5,1,4,S,EQV,
PLVAR,2,3,4,5
PRVAR,2,3,4,5

*DIM,VALUEX,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEX(JJ,1),VARI,2,RTIME,JJ
*ENDDO
R1=VALUEX(1,1)/7.500
R2=VALUEX(2,1)/11.666
R3=VALUEX(3,1)/14.166
R4=VALUEX(4,1)/16.418
R5=VALUEX(5,1)/9.927
R6=VALUEX(6,1)/5.134
R7=VALUEX(7,1)/2.635
R8=VALUEX(8,1)/1.218

*DIM,VALUEY,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEY(JJ,1),VARI,3,RTIME,JJ
*ENDDO
R9=VALUEY(1,1)/2.500
R10=VALUEY(2,1)/6.666
R11=VALUEY(3,1)/14.166
R12=VALUEY(4,1)/19.669
R13=VALUEY(5,1)/15.622
R14=VALUEY(6,1)/10.745
R15=VALUEY(7,1)/3.245
R16=VALUEY(8,1)/(-3.715)

*DIM,VALUEZ,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEZ(JJ,1),VARI,4,RTIME,JJ
*ENDDO
R17=VALUEZ(1,1)/2.500
R18=VALUEZ(2,1)/6.666
R19=VALUEZ(3,1)/9.166
R20=VALUEZ(4,1)/13.912
R21=VALUEZ(5,1)/11.951
R22=VALUEZ(6,1)/9.120
R23=VALUEZ(7,1)/6.620
R24=VALUEZ(8,1)/3.521

*DIM,VALUEEF,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEEF(JJ,1),VARI,5,RTIME,JJ
*ENDDO
R25=VALUEEF(1,1)/5.000
R26=VALUEEF(2,1)/5.000
R27=VALUEEF(3,1)/5.000
R28=VALUEEF(4,1)/5.000
R29=VALUEEF(5,1)/5.000
R30=VALUEEF(6,1)/5.000
R31=VALUEEF(7,1)/3.719
R32=VALUEEF(8,1)/5.000

*DIM,STEP,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,TARGETZ,CHAR,10
*DIM,TARGETEF,CHAR,10
*DIM,RATIOX,,8,1
*DIM,RATIOY,,8,1
*DIM,RATIOZ,,8,1
*DIM,RATIOEF,,8,1
STEP(1)='1.0','2.0','3.0','4.0','5.0','6.0','7.0','8.0'
TARGETX(1)='7.500','11.666','14.166','16.418','9.927','5.134','2.635','1.218'
TARGETY(1)='2.500','6.666','14.166','19.669','15.622','10.745','3.245','-3.715'
TARGETZ(1)='2.500','6.666','9.166','13.914','11.951','9.120','6.620','3.521'
TARGETEF(1)='5.000','5.000','5.000','5.000','5.000','5.000','3.719','5.000'
*VFILL,RATIOX,DATA,R1,R2,R3,R4,R5,R6,R7,R8
*VFILL,RATIOY,DATA,R9,R10,R11,R12,R13,R14,R15,R16
*VFILL,RATIOZ,DATA,R17,R18,R19,R20,R21,R22,R23,R24
*VFILL,RATIOEF,DATA,R25,R26,R27,R28,R29,R30,R31,R32
/COM,
/COM, ----------- VMR049-PL1A-182 RESULTS COMPARISON --------------
/COM,
/COM, vmr049-pl1a-182.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 49, FIGURE 2.14(A).  THE RESULTS
/COM, DISPLAYED ARE INCREMENTED FOR THIS PURPOSE.
/COM,
/COM,
/COM, ------ VMR049-PL1A-182 STRESS RESULTS IN X DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETX(1),VALUEX(1,1),RATIOX(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM, ------ VMR049-PL1A-182 STRESS RESULTS IN Y DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETY(1),VALUEY(1,1),RATIOY(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ VMR049-PL1A-182 STRESS RESULTS IN Z DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETZ(1),VALUEZ(1,1),RATIOZ(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ VMR049-PL1A-182 EFFECTIVE STRESS RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETEF(1),VALUEEF(1,1),RATIOEF(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
FINISH

/POST26
*DIM,LABEL1,CHAR,3
*DIM,VALUE1,,3,3
LABEL1(1) = ' SX ',' SY ',' SZ '
*VFILL,VALUE1(1,1),DATA,VALUEX(6,1),VALUEY(6,1),VALUEZ(6,1)
*VFILL,VALUE1(1,2),DATA,R6,R14,R22
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','pl1a-182'

/OUT,vmr049-pl1a-182,vrt
/COM
/COM,------------------- vmr049-pl1a RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE182
/COM, RESULTS LISTED USING LOAD STEP 6
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(3),VALUE1(3,1),VALUE1(3,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-pl1a-182,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-6 183 Input Listing 		Up / Home Next
VM-R049-PL1A 183 Input Listing


VM-R049-PL1A 183 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-pl1a-183
/TITLE, vmr049-pl1a-183, 2D PLANE STRAIN PLASTICITY BENCHMARK
/COM, REFERENCE: NAFEMS REPORT-R0049, PL-1

/PREP7
R = 2.5E-5
ET,1,183,,,
KEYOPT,1,3,2
N,1,,,,
N,2,0.0,0.5,,
N,3,0.0,1.0,,
N,4,0.5,0.0,,
N,5,0.5,1.0,,
N,6,1.0,0.0,,
N,7,1.0,0.5,,
N,8,1.0,1.0,,
E,1,6,8,3,4,7,5,2
MP,EX,1,250E3,
MP,NUXY,1,0.25,
TB,BISO,1,1, , ,
TBMODIF,2,1,5
TBMODIF,3,1,0.0
TB,HILL,1
TBDATA,1,1.0,1.0,1.0,1.0,1.0,1.0
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,Y,1.0
D,ALL,UY
FINISH

/SOLU
NLGEOM,ON
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
FINISH

/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,STEP
/AXLAB,Y,STRESS
/GTHK,AXIS,1
/GRTYP,0
/XRANGE,0,8
/YRANGE,-10,25
ESOL,2,1,8,S,X,
ESOL,3,1,3,S,Y,
ESOL,4,1,8,S,Z,
ESOL,5,1,8,S,EQV
PLVAR,2,3,4,5
PRVAR,2,3,4,5

*DIM,VALUEX,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEX(JJ,1),VARI,2,RTIME,JJ
*ENDDO
R1=VALUEX(1,1)/7.500
R2=VALUEX(2,1)/11.666
R3=VALUEX(3,1)/14.166
R4=VALUEX(4,1)/16.418
R5=VALUEX(5,1)/9.927
R6=VALUEX(6,1)/5.134
R7=VALUEX(7,1)/2.635
R8=VALUEX(8,1)/1.218

*DIM,VALUEY,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEY(JJ,1),VARI,3,RTIME,JJ
*ENDDO
R9=VALUEY(1,1)/2.500
R10=VALUEY(2,1)/6.666
R11=VALUEY(3,1)/14.166
R12=VALUEY(4,1)/19.669
R13=VALUEY(5,1)/15.622
R14=VALUEY(6,1)/10.745
R15=VALUEY(7,1)/3.245
R16=VALUEY(8,1)/(-3.715)

*DIM,VALUEZ,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEZ(JJ,1),VARI,4,RTIME,JJ
*ENDDO
R17=VALUEZ(1,1)/2.500
R18=VALUEZ(2,1)/6.666
R19=VALUEZ(3,1)/9.166
R20=VALUEZ(4,1)/13.912
R21=VALUEZ(5,1)/11.951
R22=VALUEZ(6,1)/9.120
R23=VALUEZ(7,1)/6.620
R24=VALUEZ(8,1)/3.521

*DIM,VALUEEF,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEEF(JJ,1),VARI,5,RTIME,JJ
*ENDDO
R25=VALUEEF(1,1)/5.000
R26=VALUEEF(2,1)/5.000
R27=VALUEEF(3,1)/5.000
R28=VALUEEF(4,1)/5.000
R29=VALUEEF(5,1)/5.000
R30=VALUEEF(6,1)/5.000
R31=VALUEEF(7,1)/3.719
R32=VALUEEF(8,1)/5.000

*DIM,STEP,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,TARGETZ,CHAR,10
*DIM,TARGETEF,CHAR,10
*DIM,RATIOX,,8,1
*DIM,RATIOY,,8,1
*DIM,RATIOZ,,8,1
*DIM,RATIOEF,,8,1
STEP(1)='1.0','2.0','3.0','4.0','5.0','6.0','7.0','8.0'
TARGETX(1)='7.500','11.666','14.166','16.418','9.927','5.134','2.635','1.218'
TARGETY(1)='2.500','6.666','14.166','19.669','15.622','10.745','3.245','-3.715'
TARGETZ(1)='2.500','6.666','9.166','13.914','11.951','9.120','6.620','3.521'
TARGETEF(1)='5.000','5.000','5.000','5.000','5.000','5.000','3.719','5.000'
*VFILL,RATIOX,DATA,R1,R2,R3,R4,R5,R6,R7,R8
*VFILL,RATIOY,DATA,R9,R10,R11,R12,R13,R14,R15,R16
*VFILL,RATIOZ,DATA,R17,R18,R19,R20,R21,R22,R23,R24
*VFILL,RATIOEF,DATA,R25,R26,R27,R28,R29,R30,R31,R32
/COM,
/COM, ----------- vmr049-pl1a-183 RESULTS COMPARISON --------------
/COM,
/COM, vmr049-pl1a-183.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 49, FIGURE 2.11(A).  THE RESULTS
/COM, DISPLAYED ARE INCREMENTED FOR THIS PURPOSE.
/COM,
/COM,
/COM, ------ vmr049-pl1a-183 STRESS RESULTS IN X DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETX(1),VALUEX(1,1),RATIOX(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM, ------ vmr049-pl1a-183 STRESS RESULTS IN Y DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETY(1),VALUEY(1,1),RATIOY(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl1a-183 STRESS RESULTS IN Z DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETZ(1),VALUEZ(1,1),RATIOZ(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl1a-183 EFFECTIVE STRESS RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETEF(1),VALUEEF(1,1),RATIOEF(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
FINISH

/POST26
*DIM,LABEL1,CHAR,3
*DIM,VALUE1,,3,3
LABEL1(1) = ' SX ',' SY ',' SZ '
*VFILL,VALUE1(1,1),DATA,VALUEX(6,1),VALUEY(6,1),VALUEZ(6,1)
*VFILL,VALUE1(1,2),DATA,R6,R14,R22
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','pl1a-183'

/OUT,vmr049-pl1a-183,vrt
/COM
/COM,------------------- vmr049-pl1a RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE183
/COM, RESULTS LISTED USING LOAD STEP 6
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(3),VALUE1(3,1),VALUE1(3,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-pl1a-183,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-PL1A 182 Input Listing 		Up / Home Next
VM-R049-PL1B 182 Input Listing


VM-R049-PL1B 182 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-pl1b-182
/TITLE, vmr049-pl1b-182,2D PLANE STRAIN PLASTICITY BENCHMARK
/COM,THE SOLUTION OBTAINED HERE IS COMPARED WITH THE SOLUTION GIVEN
/COM,IN THE NAFEMS REPORT-R0049

/PREP7
R = 2.5E-5
ET,1,182,,,
KEYOPT,1,3,2
N,1,,,,
N,2,0,1,,
N,3,1,0,,
N,4,1,1,,
E,1,3,4,2
MP,EX,1,250E3,
MP,NUXY,1,0.25,
TB,BISO,1,1, , ,
TBMODIF,2,1,5
TBMODIF,3,1,50000
TB,HILL,1
TBDATA,1,1.0,1.0,1.0,1.0,1.0,1.0
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,Y,1.0
D,ALL,UY
FINISH

/SOLU
NLGEOM,ON
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
FINISH

/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,STEP
/AXLAB,Y,STRESS
/GTHK,AXIS,1
/GRTYP,0
/XRANGE,0,8
/YRANGE,-5,25
ESOL,2,1,4,S,X,
ESOL,3,1,4,S,Y,
ESOL,4,1,4,S,Z,
ESOL,5,1,4,S,EQV,
PLVAR,2,3,4,5
PRVAR,2,3,4,5
*DIM,VALUEX,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEX(JJ,1),VARI,2,RTIME,JJ
*ENDDO
R1=VALUEX(1,1)/7.500
R2=VALUEX(2,1)/12.241
R3=VALUEX(3,1)/14.741
R4=VALUEX(4,1)/16.939
R5=VALUEX(5,1)/9.845
R6=VALUEX(6,1)/4.052
R7=VALUEX(7,1)/1.552
R8=VALUEX(8,1)/.324
*DIM,VALUEY,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEY(JJ,1),VARI,3,RTIME,JJ
*ENDDO
R9=VALUEY(1,1)/(2.500)
R10=VALUEY(2,1)/(6.379)
R11=VALUEY(3,1)/13.879
R12=VALUEY(4,1)/20.193
R13=VALUEY(5,1)/16.877
R14=VALUEY(6,1)/12.452
R15=VALUEY(7,1)/4.953
R16=VALUEY(8,1)/(1.441)
*DIM,VALUEZ,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEZ(JJ,1),VARI,4,RTIME,JJ
*ENDDO
R17=VALUEZ(1,1)/2.500
R18=VALUEZ(2,1)/6.379
R19=VALUEZ(3,1)/8.879
R20=VALUEZ(4,1)/12.867
R21=VALUEZ(5,1)/10.777
R22=VALUEZ(6,1)/8.495
R23=VALUEZ(7,1)/5.995
R24=VALUEZ(8,1)/4.615
*DIM,STEP,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,TARGETZ,CHAR,10
*DIM,RATIOX,,8,1
*DIM,RATIOY,,8,1
*DIM,RATIOZ,,8,1
STEP(1)='1.0','2.0','3.0','4.0','5.0','6.0','7.0','8.0'
TARGETX(1)='7.500','12.241','14.741','16.938','9.845','4.052','1.552','0.324'
TARGETY(1)='2.500','6.379','13.879','20.193','16.877','12.452','4.953','1.441'
TARGETZ(1)='2.500','6.379','8.879','12.867','10.777','8.495','5.995','4.615'
*VFILL,RATIOX,DATA,R1,R2,R3,R4,R5,R6,R7,R8
*VFILL,RATIOY,DATA,R9,R10,R11,R12,R13,R14,R15,R16
*VFILL,RATIOZ,DATA,R17,R18,R19,R20,R21,R22,R23,R24
/COM,
/COM, ----------- vmr049-pl1b-182 RESULTS COMPARISON --------------
/COM,
/COM, vmr049-pl1b-182.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 49, FIGURE 2.11(B).  THE RESULTS
/COM, DISPLAYED ARE INCREMENTED FOR THIS PURPOSE.
/COM,
/COM,
/COM, ------ vmr049-pl1b-182 STRESS RESULTS IN X DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETX(1),VALUEX(1,1),RATIOX(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM, ------ vmr049-pl1b-182 STRESS RESULTS IN Y DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETY(1),VALUEY(1,1),RATIOY(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl1b-182 STRESS RESULTS IN Z DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETZ(1),VALUEZ(1,1),RATIOZ(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
FINISH

*DIM,LABEL1,CHAR,3
*DIM,VALUE1,,3,3
LABEL1(1) = ' SX ',' SY ',' SZ '
*VFILL,VALUE1(1,1),DATA,VALUEX(7,1),VALUEY(7,1),VALUEZ(7,1)
*VFILL,VALUE1(1,2),DATA,R7,R15,R23
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','pl1b-182'

/OUT,vmr049-pl1b-182,vrt
/COM
/COM,------------------- vmr049-pl1b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE182
/COM, RESULTS REPORTED USING LOAD STEP 7
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(3),VALUE1(3,1),VALUE1(3,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-pl1b-182,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-PL1A 183 Input Listing 		Up / Home Next
VM-R049-PL1B 183 Input Listing


VM-R049-PL1B 183 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-pl1b-183
/TITLE, vmr049-pl1b-183,2D PLANE STRAIN PLASTICITY BENCHMARK
/COM,REFERENCE: NAFEMS REPORT, PL-1, R0049.

/PREP7
R = 2.5E-5
ET,1,183,,,
KEYOPT,1,3,2
N,1,,,,
N,2,0.0,0.5,,
N,3,0.0,1.0,,
N,4,0.5,0.0,,
N,5,0.5,1.0,,
N,6,1.0,0.0,,
N,7,1.0,0.5,,
N,8,1.0,1.0,,
E,1,6,8,3,4,7,5,2
MP,EX,1,250E3,
MP,NUXY,1,0.25,
TB,BISO,1,1, , ,
TBMODIF,2,1,5
TBMODIF,3,1,50000
TB,HILL,1
TBDATA,1,1.0,1.0,1.0,1.0,1.0,1.0
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,Y,1.0
D,ALL,UY
FINISH

/SOLU
NLGEOM,ON
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
FINISH

/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,STEP
/AXLAB,Y,STRESS
/GTHK,AXIS,1
/GRTYP,0
/XRANGE,0,8
/YRANGE,-5,25
ESOL,2,1,8,S,X,
ESOL,3,1,8,S,Y,
ESOL,4,1,8,S,Z,
ESOL,5,1,8,S,EQV,
PLVAR,2,3,4,5
PRVAR,2,3,4,5

*DIM,VALUEX,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEX(JJ,1),VARI,2,RTIME,JJ
*ENDDO
R1=VALUEX(1,1)/7.500
R2=VALUEX(2,1)/12.241
R3=VALUEX(3,1)/14.741
R4=VALUEX(4,1)/16.938
R5=VALUEX(5,1)/9.845
R6=VALUEX(6,1)/4.052
R7=VALUEX(7,1)/1.552
R8=VALUEX(8,1)/0.324
*DIM,VALUEY,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEY(JJ,1),VARI,3,RTIME,JJ
*ENDDO
R9=VALUEY(1,1)/2.500
R10=VALUEY(2,1)/6.379
R11=VALUEY(3,1)/13.879
R12=VALUEY(4,1)/20.193
R13=VALUEY(5,1)/16.877
R14=VALUEY(6,1)/12.452
R15=VALUEY(7,1)/4.953
R16=VALUEY(8,1)/1.441
*DIM,VALUEZ,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEZ(JJ,1),VARI,4,RTIME,JJ
*ENDDO
R17=VALUEZ(1,1)/2.500
R18=VALUEZ(2,1)/6.379
R19=VALUEZ(3,1)/8.879
R20=VALUEZ(4,1)/12.867
R21=VALUEZ(5,1)/10.777
R22=VALUEZ(6,1)/8.495
R23=VALUEZ(7,1)/5.995
R24=VALUEZ(8,1)/4.615
*DIM,TIME,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,TARGETZ,CHAR,10
*DIM,RATIOX,,8,1
*DIM,RATIOY,,8,1
*DIM,RATIOZ,,8,1
TIME(1)='1.0','2.0','3.0','4.0','5.0','6.0','7.0','8.0'
TARGETX(1)='7.500','12.241','14.741','16.938','9.845','4.052','1.552','0.324'
TARGETY(1)='2.500','6.379','13.879','20.193','16.877','12.452','4.953','1.441'
TARGETZ(1)='2.500','6.379','8.879','12.867','10.777','8.495','5.995','4.615'
*VFILL,RATIOX,DATA,R1,R2,R3,R4,R5,R6,R7,R8
*VFILL,RATIOY,DATA,R9,R10,R11,R12,R13,R14,R15,R16
*VFILL,RATIOZ,DATA,R17,R18,R19,R20,R21,R22,R23,R24
/COM,
/COM, ----------- vmr049-pl1b-183 RESULTS COMPARISON --------------
/COM,
/COM, vmr049-pl1b-183.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS.  THE RESULTS DISPLAYED ARE INCREMENTED
/COM, FOR THIS PURPOSE.
/COM,
/COM,
/COM, ------ vmr049-pl1b-183 STRESS RESULTS IN X DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,TIME(1),TARGETX(1),VALUEX(1,1),RATIOX(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM, ------ vmr049-pl1b-183 STRESS RESULTS IN Y DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,TIME(1),TARGETY(1),VALUEY(1,1),RATIOY(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl1b-183 STRESS RESULTS IN Z DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,TIME(1),TARGETZ(1),VALUEZ(1,1),RATIOZ(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
FINISH

*DIM,LABEL1,CHAR,3
*DIM,VALUE1,,3,3
LABEL1(1) = ' SX ',' SY ',' SZ '
*VFILL,VALUE1(1,1),DATA,VALUEX(7,1),VALUEY(7,1),VALUEZ(7,1)
*VFILL,VALUE1(1,2),DATA,R7,R15,R23
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','pl1b-183'

/OUT,vmr049-pl1b-183,vrt
/COM
/COM,------------------- vmr049-pl1b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE183
/COM, RESULTS REPORTED USING LOAD STEP 7
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(3),VALUE1(3,1),VALUE1(3,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-pl1b-183,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-PL1B 182 Input Listing 		Up / Home Next
VM-R049-PL2A 181 Input Listing


VM-R049-PL2A 181 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-pl2a-181
/TITLE, vmr049-pl2a-181,  2D PLANE STRESS PLASTICITY BENCHMARK
/COM, REFERENCE: NAFEMS REPORT: R0049

/PREP7
R = 2.5E-5
ET,1,181
N, 1, 0.0, 0.0
N, 2, 0.0, 1.0
N, 3, 1.0, 0.0
N, 4, 1.0, 1.0
E, 1,3,4,2
R,1,1.0
MP,EX,1,250E3
MP,NUXY,1,0.25
TB,BISO,1,1
TBMODIF,2,1,5
TBMODIF,3,1,0
TB,HILL,1
TBDATA,1,1.0,1.0,1.0,1.0,1.0,1.0
D,ALL,ROTX
D,ALL,ROTY
D,ALL,ROTZ
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,Y,1.0
D,ALL,UY
NSEL,ALL
D,ALL,UZ
D,ALL,ROTZ
FINISH

/SOLU
NLGEOM,ON
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,X,1.0
D,ALL,UX,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,Y,1.0
D,ALL,UY,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,X,1.0
D,ALL,UX,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,Y,1.0
D,ALL,UY,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH

/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,STEP
/AXLAB,Y,STRESS
/GTHK,AXIS,1
/GRTYP,0
/XRANGE,0,8
/YRANGE,-8,8
ESOL,2,1,4,S,X,
ESOL,3,1,4,S,Y,
ESOL,4,1,4,S,EQV,
PLVAR,2,3,4
PRVAR,2,3,4
*DIM,VALUEX,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEX(JJ,1),VARI,2,RTIME,JJ
*ENDDO
R1=VALUEX(1,1)/5.620
R2=VALUEX(2,1)/5.761
R3=VALUEX(3,1)/4.078
R4=VALUEX(4,1)/3.191
R5=VALUEX(5,1)/(-2.736)
R6=VALUEX(6,1)/(-5.230)
R7=VALUEX(7,1)/(-4.664)
R8=VALUEX(8,1)/(-3.349)
*DIM,VALUEY,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEY(JJ,1),VARI,3,RTIME,JJ
*ENDDO
R9=VALUEY(1,1)/1.666
R10=VALUEY(2,1)/2.551
R11=VALUEY(3,1)/5.578
R12=VALUEY(4,1)/5.762
R13=VALUEY(5,1)/3.035
R14=VALUEY(6,1)/(-0.497)
R15=VALUEY(7,1)/(-5.279)
R16=VALUEY(8,1)/(-5.747)
*DIM,VALUEEF,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEEF(JJ,1),VARI,4,RTIME,JJ
*ENDDO
R17=VALUEEF(1,1)/5.000
R18=VALUEEF(2,1)/5.000
R19=VALUEEF(3,1)/5.000
R20=VALUEEF(4,1)/5.000
R21=VALUEEF(5,1)/5.000
R22=VALUEEF(6,1)/5.000
R23=VALUEEF(7,1)/5.000
R24=VALUEEF(8,1)/5.000
*DIM,STEP,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,TARGETEF,CHAR,10
*DIM,RATIOX,,8,1
*DIM,RATIOY,,8,1
*DIM,RATIOEF,,8,1
STEP(1)='1.0','2.0','3.0','4.0','5.0','6.0','7.0','8.0'
TARGETX(1)='5.620','5.761','4.078','3.191','-2.736','-5.230','-4.664','-3.349'
TARGETY(1)='1.666','2.551','5.578','5.762','3.035','-0.497','-5.279','-5.747'
TARGETEF(1)='5.000','5.000','5.000','5.000','5.000','5.000','5.000','5.000'
*VFILL,RATIOX,DATA,R1,R2,R3,R4,R5,R6,R7,R8
*VFILL,RATIOY,DATA,R7,R8,R9,R10,R11,R12,R13,R14,R15,R16
*VFILL,RATIOEF,DATA,R17,R18,R19,R20,R21,R22,R23,R24
/COM,
/COM, ----------- vmr049-pl2a-181 RESULTS COMPARISON --------------
/COM,
/COM, vmr049-pl2a-181.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 52, FIGURE 2.14(A).  THE RESULTS
/COM, DISPLAYED ARE INCREMENTED FOR THIS PURPOSE.
/COM,
/COM,
/COM, ------ vmr049-pl2a-181 STRESS RESULTS IN X DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETX(1),VALUEX(1,1),RATIOX(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM, ------ vmr049-pl2a-181 STRESS RESULTS IN Y DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETY(1),VALUEY(1,1),RATIOY(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl2a-181 EFFECTIVE RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETEF(1),VALUEEF(1,1),RATIOEF(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
FINISH

/POST26
*DIM,LABEL1,CHAR,3
*DIM,VALUE1,,3,3
LABEL1(1) = ' SX ',' SY ',' SEFF '
*VFILL,VALUE1(1,1),DATA,VALUEX(8,1),VALUEY(8,1),VALUEEF(8,1)
*VFILL,VALUE1(1,2),DATA,R8,R16,R24
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','pl2a-181'

/OUT,vmr049-pl2a-181,vrt
/COM
/COM,------------------- vmr049-pl2a RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL181
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(3),VALUE1(3,1),VALUE1(3,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr049-pl2a-181,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-PL1B 183 Input Listing 		Up / Home Next
VM-R049-PL2A 182 Input Listing


VM-R049-PL2A 182 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-pl2a-182
/TITLE, vmr049-pl2a-182,  2D PLANE STRESS PLASTICITY BENCHMARK
/COM, REFERENCE: NAFEMS REPORT: R0049

/PREP7
R = 2.5E-5
ET,1,182
KEYOPT,1,3,0
N, 1, 0.0, 0.0
N, 2, 0.0, 1.0
N, 3, 1.0, 0.0
N, 4, 1.0, 1.0
E, 1,3,4,2
MP,EX,1,250E3
MP,NUXY,1,0.25
TB,BISO,1,1
TBMODIF,2,1,5
TBMODIF,3,1,0
TB,HILL,1
TBDATA,1,1.0,1.0,1.0,1.0,1.0,1.0
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,Y,1.0
D,ALL,UY
FINISH

/SOLU
NLGEOM,ON
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,X,1.0
D,ALL,UX,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,Y,1.0
D,ALL,UY,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,X,1.0
D,ALL,UX,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,Y,1.0
D,ALL,UY,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUT,SCRATCH
SOLVE
/OUT
FINISH

/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,STEP
/AXLAB,Y,STRESS
/GTHK,AXIS,1
/GRTYP,0
/XRANGE,0,8
/YRANGE,-8,8
ESOL,2,1,4,S,X,
ESOL,3,1,4,S,Y,
ESOL,4,1,4,S,EQV,
PLVAR,2,3,4
PRVAR,2,3,4
*DIM,VALUEX,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEX(JJ,1),VARI,2,RTIME,JJ
*ENDDO
R1=VALUEX(1,1)/5.620
R2=VALUEX(2,1)/5.761
R3=VALUEX(3,1)/4.078
R4=VALUEX(4,1)/3.191
R5=VALUEX(5,1)/(-2.736)
R6=VALUEX(6,1)/(-5.230)
R7=VALUEX(7,1)/(-4.664)
R8=VALUEX(8,1)/(-3.349)
*DIM,VALUEY,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEY(JJ,1),VARI,3,RTIME,JJ
*ENDDO
R9=VALUEY(1,1)/1.666
R10=VALUEY(2,1)/2.551
R11=VALUEY(3,1)/5.578
R12=VALUEY(4,1)/5.762
R13=VALUEY(5,1)/3.035
R14=VALUEY(6,1)/(-0.497)
R15=VALUEY(7,1)/(-5.279)
R16=VALUEY(8,1)/(-5.747)
*DIM,VALUEEF,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEEF(JJ,1),VARI,4,RTIME,JJ
*ENDDO
R17=VALUEEF(1,1)/5.000
R18=VALUEEF(2,1)/5.000
R19=VALUEEF(3,1)/5.000
R20=VALUEEF(4,1)/5.000
R21=VALUEEF(5,1)/5.000
R22=VALUEEF(6,1)/5.000
R23=VALUEEF(7,1)/5.000
R24=VALUEEF(8,1)/5.000
*DIM,STEP,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,TARGETEF,CHAR,10
*DIM,RATIOX,,8,1
*DIM,RATIOY,,8,1
*DIM,RATIOEF,,8,1
STEP(1)='1.0','2.0','3.0','4.0','5.0','6.0','7.0','8.0'
TARGETX(1)='5.620','5.761','4.078','3.191','-2.736','-5.230','-4.664','-3.349'
TARGETY(1)='1.666','2.551','5.578','5.762','3.035','-0.497','-5.279','-5.747'
TARGETEF(1)='5.000','5.000','5.000','5.000','5.000','5.000','5.000','5.000'
*VFILL,RATIOX,DATA,R1,R2,R3,R4,R5,R6,R7,R8
*VFILL,RATIOY,DATA,R7,R8,R9,R10,R11,R12,R13,R14,R15,R16
*VFILL,RATIOEF,DATA,R17,R18,R19,R20,R21,R22,R23,R24
/COM,
/COM, ----------- vmr049-pl2a-182 RESULTS COMPARISON --------------
/COM,
/COM, vmr049-pl2a-182.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 52, FIGURE 2.14(A).  THE RESULTS
/COM, DISPLAYED ARE INCREMENTED FOR THIS PURPOSE.
/COM,
/COM,
/COM, ------ vmr049-pl2a-182 STRESS RESULTS IN X DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETX(1),VALUEX(1,1),RATIOX(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM, ------ vmr049-pl2a-182 STRESS RESULTS IN Y DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETY(1),VALUEY(1,1),RATIOY(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl2a-182 EFFECTIVE RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETEF(1),VALUEEF(1,1),RATIOEF(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
FINISH

/POST26
*DIM,LABEL1,CHAR,3
*DIM,VALUE1,,3,3
LABEL1(1) = ' SX ',' SY ',' SEFF '
*VFILL,VALUE1(1,1),DATA,VALUEX(8,1),VALUEY(8,1),VALUEEF(8,1)
*VFILL,VALUE1(1,2),DATA,R8,R16,R24
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','pl2a-182'

/OUT,vmr049-pl2a-182,vrt
/COM
/COM,------------------- vmr049-pl2a RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE182
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(3),VALUE1(3,1),VALUE1(3,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr049-pl2a-182,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-PL2A 181 Input Listing 		Up / Home Next
VM-R049-PL2A 183 Input Listing


VM-R049-PL2A 183 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-pl2a-183
/TITLE, vmr049-pl2a-183, 2D PLANE STRESS PLASTICITY BENCHMARK
/COM, REFERENCE: NAFEMS REPORT: R0049

/PREP7
R = 2.5E-5
ET,1,183
KEYOPT,1,3,0
N, 1, 0.0, 0.0
N, 2, 0.0, 0.5
N, 3, 0.0, 1.0
N, 4, 0.5, 0.0
N, 5, 0.5, 1.0
N, 6, 1.0, 0.0
N, 7, 1.0, 0.5
N, 8, 1.0, 1.0
E, 1,6,8,3,4,7,5,2
MP,EX,1,250E3
MP,NUXY,1,0.25
TB,BISO,1,1
TBMODIF,2,1,5
TBMODIF,3,1,0
TB,HILL,1
TBDATA,1,1.0,1.0,1.0,1.0,1.0,1.0
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,Y,1.0
D,ALL,UY
FINISH

/SOLU
NLGEOM,ON
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,X,1.0
D,ALL,UX,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,Y,1.0
D,ALL,UY,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,X,1.0
D,ALL,UX,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,Y,1.0
D,ALL,UY,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUT,SCRATCH
SOLVE
/OUT
FINISH

/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,STEP
/AXLAB,Y,STRESS
/GTHK,AXIS,1
/GRTYP,0
/XRANGE,0,8
/YRANGE,-8,8
ESOL,2,1,8,S,X,
ESOL,3,1,8,S,Y,
ESOL,4,1,8,S,EQV,
PLVAR,2,3,4
PRVAR,2,3,4
*DIM,VALUEX,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEX(JJ,1),VARI,2,RTIME,JJ
*ENDDO
R1=VALUEX(1,1)/5.620
R2=VALUEX(2,1)/5.761
R3=VALUEX(3,1)/4.078
R4=VALUEX(4,1)/3.191
R5=VALUEX(5,1)/(-2.736)
R6=VALUEX(6,1)/(-5.230)
R7=VALUEX(7,1)/(-4.664)
R8=VALUEX(8,1)/(-3.349)
*DIM,VALUEY,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEY(JJ,1),VARI,3,RTIME,JJ
*ENDDO
R9=VALUEY(1,1)/1.666
R10=VALUEY(2,1)/2.551
R11=VALUEY(3,1)/5.578
R12=VALUEY(4,1)/5.762
R13=VALUEY(5,1)/3.035
R14=VALUEY(6,1)/(-0.497)
R15=VALUEY(7,1)/(-5.279)
R16=VALUEY(8,1)/(-5.747)
*DIM,VALUEEF,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEEF(JJ,1),VARI,4,RTIME,JJ
*ENDDO
R17=VALUEEF(1,1)/5.000
R18=VALUEEF(2,1)/5.000
R19=VALUEEF(3,1)/5.000
R20=VALUEEF(4,1)/5.000
R21=VALUEEF(5,1)/5.000
R22=VALUEEF(6,1)/5.000
R23=VALUEEF(7,1)/5.000
R24=VALUEEF(8,1)/5.000
*DIM,TIME,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,TARGETEF,CHAR,10
*DIM,RATIOX,,8,1
*DIM,RATIOY,,8,1
*DIM,RATIOEF,,8,1
TIME(1)='1.0','2.0','3.0','4.0','5.0','6.0','7.0','8.0'
TARGETX(1)='5.620','5.761','4.078','3.191','-2.736','-5.230','-4.664','-3.349'
TARGETY(1)='1.666','2.551','5.578','5.762','3.035','-0.497','-5.279','-5.747'
TARGETEF(1)='5.000','5.000','5.000','5.000','5.000','5.000','5.000','5.000'
*VFILL,RATIOX,DATA,R1,R2,R3,R4,R5,R6,R7,R8
*VFILL,RATIOY,DATA,R9,R10,R11,R12,R13,R14,R15,R16
*VFILL,RATIOEF,DATA,R17,R18,R19,R20,R21,R22,R23,R24
/COM,
/COM, ----------- vmr049-pl2a-183 RESULTS COMPARISON --------------
/COM,
/COM, vmr049-pl2a-183.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 52, FIGURE 2.14(A).  THE RESULTS
/COM, DISPLAYED ARE INCREMENTED FOR THIS PURPOSE.
/COM,
/COM,
/COM, ------ vmr049-pl2a-183 STRESS RESULTS IN X DIRECTION -------
/COM,
/COM, |  TIME  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,TIME(1),TARGETX(1),VALUEX(1,1),RATIOX(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM, ------ vmr049-pl2a-183 STRESS RESULTS IN Y DIRECTION -------
/COM,
/COM, |  TIME  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,TIME(1),TARGETY(1),VALUEY(1,1),RATIOY(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl2a-183 EFFECTIVE STRESS RESULTS -------
/COM,
/COM, |  TIME  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,TIME(1),TARGETEF(1),VALUEEF(1,1),RATIOEF(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
FINISH

/POST26
*DIM,LABEL1,CHAR,3
*DIM,VALUE1,,3,3
LABEL1(1) = ' SX ',' SY ',' SEFF '
*VFILL,VALUE1(1,1),DATA,VALUEX(8,1),VALUEY(8,1),VALUEEF(8,1)
*VFILL,VALUE1(1,2),DATA,R8,R16,R24
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','pl2a-183'

/OUT,vmr049-pl2a-183,vrt
/COM
/COM,------------------- vmr049-pl2a RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE183
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(3),VALUE1(3,1),VALUE1(3,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr049-pl2a-183,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-PL2A 182 Input Listing 		Up / Home Next
VM-R049-PL2A 281 Input Listing


VM-R049-PL2A 281 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-pl2a-281
/TITLE, vmr049-pl2a-281,  2D PLANE STRESS PLASTICITY BENCHMARK
/COM, REFERENCE: NAFEMS REPORT: R0049
/PREP7
R = 2.5E-5
ET,1,SHELL281
N, 1, 0.0, 0.0
N, 2, 0.0, 1.0
N, 3, 1.0, 0.0
N, 4, 1.0, 1.0
N, 5, 0.5, 0.0
N, 6, 1.0, 0.5
N, 7, 0.5, 1.0
N, 8, 0.0, 0.5
E, 1,3,4,2,5,6,7,8
R,1,1.0
MP,EX,1,250E3
MP,NUXY,1,0.25
TB,BISO,1,1
TBMODIF,2,1,5
TBMODIF,3,1,0
TB,HILL,1
TBDATA,1,1.0,1.0,1.0,1.0,1.0,1.0
D,ALL,ROTX
D,ALL,ROTY
D,ALL,ROTZ
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,Y,1.0
D,ALL,UY
NSEL,ALL
D,ALL,UZ
D,ALL,ROTZ
FINISH
/SOLU
NLGEOM,ON
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,X,1.0
D,ALL,UX,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,Y,1.0
D,ALL,UY,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,X,1.0
D,ALL,UX,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,Y,1.0
D,ALL,UY,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH
/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,STEP
/AXLAB,Y,STRESS
/GTHK,AXIS,1
/GRTYP,0
/XRANGE,0,8
/YRANGE,-8,8
ESOL,2,1,4,S,X,
ESOL,3,1,4,S,Y,
ESOL,4,1,4,S,EQV,
PLVAR,2,3,4
PRVAR,2,3,4
*DIM,VALUEX,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEX(JJ,1),VARI,2,RTIME,JJ
*ENDDO
R1=VALUEX(1,1)/5.620
R2=VALUEX(2,1)/5.761
R3=VALUEX(3,1)/4.078
R4=VALUEX(4,1)/3.191
R5=VALUEX(5,1)/(-2.736)
R6=VALUEX(6,1)/(-5.230)
R7=VALUEX(7,1)/(-4.664)
R8=VALUEX(8,1)/(-3.349)
*DIM,VALUEY,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEY(JJ,1),VARI,3,RTIME,JJ
*ENDDO
R9=VALUEY(1,1)/1.666
R10=VALUEY(2,1)/2.551
R11=VALUEY(3,1)/5.578
R12=VALUEY(4,1)/5.762
R13=VALUEY(5,1)/3.035
R14=VALUEY(6,1)/(-0.497)
R15=VALUEY(7,1)/(-5.279)
R16=VALUEY(8,1)/(-5.747)
*DIM,VALUEEF,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEEF(JJ,1),VARI,4,RTIME,JJ
*ENDDO
R17=VALUEEF(1,1)/5.000
R18=VALUEEF(2,1)/5.000
R19=VALUEEF(3,1)/5.000
R20=VALUEEF(4,1)/5.000
R21=VALUEEF(5,1)/5.000
R22=VALUEEF(6,1)/5.000
R23=VALUEEF(7,1)/5.000
R24=VALUEEF(8,1)/5.000
*DIM,STEP,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,TARGETEF,CHAR,10
*DIM,RATIOX,,8,1
*DIM,RATIOY,,8,1
*DIM,RATIOEF,,8,1
STEP(1)='1.0','2.0','3.0','4.0','5.0','6.0','7.0','8.0'
TARGETX(1)='5.620','5.761','4.078','3.191','-2.736','-5.230','-4.664','-3.349'
TARGETY(1)='1.666','2.551','5.578','5.762','3.035','-0.497','-5.279','-5.747'
TARGETEF(1)='5.000','5.000','5.000','5.000','5.000','5.000','5.000','5.000'
*VFILL,RATIOX,DATA,R1,R2,R3,R4,R5,R6,R7,R8
*VFILL,RATIOY,DATA,R7,R8,R9,R10,R11,R12,R13,R14,R15,R16
*VFILL,RATIOEF,DATA,R17,R18,R19,R20,R21,R22,R23,R24
/COM,
/COM, ----------- vmr049-pl2a-281 RESULTS COMPARISON --------------
/COM,
/COM, vmr049-pl2a-281.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 52, FIGURE 2.14(A).  THE RESULTS
/COM, DISPLAYED ARE INCREMENTED FOR THIS PURPOSE.
/COM,
/COM,
/COM, ------ vmr049-pl2a-281 STRESS RESULTS IN X DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETX(1),VALUEX(1,1),RATIOX(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM, ------ vmr049-pl2a-281 STRESS RESULTS IN Y DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETY(1),VALUEY(1,1),RATIOY(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl2a-281 EFFECTIVE RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETEF(1),VALUEEF(1,1),RATIOEF(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
FINISH
/POST26
*DIM,LABEL1,CHAR,3
*DIM,VALUE1,,3,3
LABEL1(1) = ' SX ',' SY ',' SEFF '
*VFILL,VALUE1(1,1),DATA,VALUEX(8,1),VALUEY(8,1),VALUEEF(8,1)
*VFILL,VALUE1(1,2),DATA,R8,R16,R24
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','pl2a-281'
/OUT,vmr049-pl2a-281,vrt
/COM
/COM,------------------- vmr049-pl2a RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL281
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(3),VALUE1(3,1),VALUE1(3,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr049-pl2a-281,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-PL2A 183 Input Listing 		Up / Home Next
VM-R049-PL2B 181 Input Listing


VM-R049-PL2B 181 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-pl2b-181
/TITLE, vmr049-pl2b-181,  2D PLANE STRESS PLASTICITY BENCHMARK
/COM, REFERENCE: NAFEMS REPORT: R0049

/PREP7
R = 2.5E-5
ET,1,181,,,
KEYOPT,1,3,0
N, 1, 0.0, 0.0
N, 2, 0.0, 1.0
N, 3, 1.0, 0.0
N, 4, 1.0, 1.0
E, 1,3,4,2
R,1,1.0
MP,EX  ,1,250E3,
MP,NUXY,1,0.25,
TB,BISO,1, , , ,
TBMODIF,2,1,5
TBMODIF,3,1,50000
TB,HILL,1
TBDATA,1,1.0,1.0,1.0,1.0,1.0,1.0
D,ALL,ROTX
D,ALL,ROTY
D,ALL,ROTZ
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,Y,1.0
D,ALL,UY
NSEL,ALL
D,ALL,UZ
D,ALL,ROTZ
FINISH

/SOLU
NLGEOM,ON
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,X,1.0
D,ALL,UX,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,Y,1.0
D,ALL,UY,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,X,1.0
D,ALL,UX,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,Y,1.0
D,ALL,UY,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH

/POST26
/XRANGE,0,8
/YRANGE,-10,10
/AXLAB,X,STEP
/AXLAB,Y,STRESS
ESOL,2,1,4,S,X,
ESOL,3,1,4,S,Y,
ESOL,4,1,4,S,EQV,
PRVAR,2,3,4
PLVAR,2,3,4
*DIM,VALUEX,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEX(JJ,1),VARI,2,RTIME,JJ
*ENDDO
R1=VALUEX(1,1)/5.845
R2=VALUEX(2,1)/7.484
R3=VALUEX(3,1)/6.838
R4=VALUEX(4,1)/6.136
R5=VALUEX(5,1)/(-0.530)
R6=VALUEX(6,1)/(-5.822)
R7=VALUEX(7,1)/(-7.489)
R8=VALUEX(8,1)/(-9.155)
*DIM,VALUEY,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEY(JJ,1),VARI,3,RTIME,JJ
*ENDDO
R9=VALUEY(1,1)/1.673
R10=VALUEY(2,1)/2.944
R11=VALUEY(3,1)/7.742
R12=VALUEY(4,1)/9.925
R13=VALUEY(5,1)/8.259
R14=VALUEY(6,1)/4.842
R15=VALUEY(7,1)/(-1.824)
R16=VALUEY(8,1)/(-8.491)
*DIM,VALUEEF,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEEF(JJ,1),VARI,4,RTIME,JJ
*ENDDO
R17=VALUEEF(1,1)/5.214
R18=VALUEEF(2,1)/6.531
R19=VALUEEF(3,1)/7.332
R20=VALUEEF(4,1)/8.675
R21=VALUEEF(5,1)/8.536
R22=VALUEEF(6,1)/9.248
R23=VALUEEF(7,1)/6.764
R24=VALUEEF(8,1)/8.842
*DIM,STEP,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,TARGETEF,CHAR,10
*DIM,RATIOX,,8,1
*DIM,RATIOY,,8,1
*DIM,RATIOEF,,8,1
STEP(1)='1.0','2.0','3.0','4.0','5.0','6.0','7.0','8.0'
TARGETX(1)='5.845','7.484','6.838','6.136','-0.530','-5.822','-7.489','-9.155'
TARGETY(1)='1.673','2.944','7.742','9.925','8.259','4.842','-1.824','-8.491'
TARGETEF(1)='5.214','6.531','7.332','8.675','8.536','9.248','6.764','8.842'
*VFILL,RATIOX,DATA,R1,R2,R3,R4,R5,R6,R7,R8
*VFILL,RATIOY,DATA,R9,R10,R11,R12,R13,R14,R15,R16
*VFILL,RATIOEF,DATA,R17,R18,R19,R20,R21,R22,R23,R24
/COM,
/COM, ----------- vmr049-pl2b-181 RESULTS COMPARISON --------------
/COM,
/COM, vmr049-pl2b-181.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 52, FIGURE 2.14(B).  THE RESULTS
/COM, DISPLAYED ARE INCREMENTED FOR THIS PURPOSE.
/COM,
/COM,
/COM, ------ vmr049-pl2b-181 STRESS RESULTS IN X DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETX(1),VALUEX(1,1),RATIOX(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM, ------ vmr049-pl2b-181 STRESS RESULTS IN Y DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETY(1),VALUEY(1,1),RATIOY(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl2b-181 EFFECTIVE STRESS RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETEF(1),VALUEEF(1,1),RATIOEF(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
FINISH

/POST26
*DIM,LABEL1,CHAR,3
*DIM,VALUE1,,3,3
LABEL1(1) = ' SX ',' SY ',' SEFF '
*VFILL,VALUE1(1,1),DATA,VALUEX(8,1),VALUEY(8,1),VALUEEF(8,1)
*VFILL,VALUE1(1,2),DATA,R8,R16,R24
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','pl2b-181'

/OUT,vmr049-pl2b-181,vrt
/COM
/COM,------------------- vmr049-pl2b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL181
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(3),VALUE1(3,1),VALUE1(3,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-pl2b-181,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-PL2A 281 Input Listing 		Up / Home Next
VM-R049-PL2B 182 Input Listing


VM-R049-PL2B 182 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-pl2b-182
/TITLE, vmr049-pl2b-182,  2D PLANE STRESS PLASTICITY BENCHMARK
/COM, REFERENCE: NAFEMS REPORT: R0049

/PREP7
R = 2.5E-5
ET,1,182,,,
KEYOPT,1,3,0
N, 1, 0.0, 0.0
N, 2, 0.0, 1.0
N, 3, 1.0, 0.0
N, 4, 1.0, 1.0
E, 1,3,4,2
MP,EX  ,1,250E3,
MP,NUXY,1,0.25,
TB,BISO,1, , , ,
TBMODIF,2,1,5
TBMODIF,3,1,50000
TB,HILL,1
TBDATA,1,1.0,1.0,1.0,1.0,1.0,1.0
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,Y,1.0
D,ALL,UY

/SOLU
NLGEOM,ON
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
FINISH

/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/GTHK,AXIS,1
/GRTYP,0
/XRANGE,0,8
/YRANGE,-10,10
/AXLAB,X,STEP
/AXLAB,Y,STRESS
ESOL,2,1,4,S,X,
ESOL,3,1,4,S,Y,
ESOL,4,1,4,S,EQV,
PRVAR,2,3,4
PLVAR,2,3,4
*DIM,VALUEX,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEX(JJ,1),VARI,2,RTIME,JJ
*ENDDO
R1=VALUEX(1,1)/5.845
R2=VALUEX(2,1)/7.484
R3=VALUEX(3,1)/6.838
R4=VALUEX(4,1)/6.136
R5=VALUEX(5,1)/(-0.530)
R6=VALUEX(6,1)/(-5.822)
R7=VALUEX(7,1)/(-7.489)
R8=VALUEX(8,1)/(-9.155)
*DIM,VALUEY,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEY(JJ,1),VARI,3,RTIME,JJ
*ENDDO
R9=VALUEY(1,1)/1.673
R10=VALUEY(2,1)/2.944
R11=VALUEY(3,1)/7.742
R12=VALUEY(4,1)/9.925
R13=VALUEY(5,1)/8.259
R14=VALUEY(6,1)/4.842
R15=VALUEY(7,1)/(-1.824)
R16=VALUEY(8,1)/(-8.491)
*DIM,VALUEEF,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEEF(JJ,1),VARI,4,RTIME,JJ
*ENDDO
R17=VALUEEF(1,1)/5.214
R18=VALUEEF(2,1)/6.531
R19=VALUEEF(3,1)/7.332
R20=VALUEEF(4,1)/8.675
R21=VALUEEF(5,1)/8.536
R22=VALUEEF(6,1)/9.248
R23=VALUEEF(7,1)/6.764
R24=VALUEEF(8,1)/8.842
*DIM,STEP,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,TARGETEF,CHAR,10
*DIM,RATIOX,,8,1
*DIM,RATIOY,,8,1
*DIM,RATIOEF,,8,1
STEP(1)='1.0','2.0','3.0','4.0','5.0','6.0','7.0','8.0'
TARGETX(1)='5.845','7.484','6.838','6.136','-0.530','-5.822','-7.489','-9.155'
TARGETY(1)='1.673','2.944','7.742','9.925','8.259','4.842','-1.824','-8.491'
TARGETEF(1)='5.214','6.531','7.332','8.675','8.536','9.248','6.764','8.842'
*VFILL,RATIOX,DATA,R1,R2,R3,R4,R5,R6,R7,R8
*VFILL,RATIOY,DATA,R9,R10,R11,R12,R13,R14,R15,R16
*VFILL,RATIOEF,DATA,R17,R18,R19,R20,R21,R22,R23,R24
/COM,
/COM, ----------- vmr049-pl2b-182 RESULTS COMPARISON --------------
/COM,
/COM, vmr049-pl2b-182.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 52, FIGURE 2.14(B).  THE RESULTS
/COM, DISPLAYED ARE INCREMENTED FOR THIS PURPOSE.
/COM,
/COM,
/COM, ------ vmr049-pl2b-182 STRESS RESULTS IN X DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETX(1),VALUEX(1,1),RATIOX(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM, ------ vmr049-pl2b-182 STRESS RESULTS IN Y DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETY(1),VALUEY(1,1),RATIOY(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl2b-182 EFFECTIVE STRESS RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETEF(1),VALUEEF(1,1),RATIOEF(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
FINISH

/POST26
*DIM,LABEL1,CHAR,3
*DIM,VALUE1,,3,3
LABEL1(1) = ' SX ',' SY ',' SEFF '
*VFILL,VALUE1(1,1),DATA,VALUEX(8,1),VALUEY(8,1),VALUEEF(8,1)
*VFILL,VALUE1(1,2),DATA,R8,R16,R24
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','pl2b-182'

/OUT,vmr049-pl2b-182,vrt
/COM
/COM,------------------- vmr049-pl2b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE182
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(3),VALUE1(3,1),VALUE1(3,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-pl2b-182,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-PL2B 181 Input Listing 		Up / Home Next
VM-R049-PL2B 281 Input Listing


VM-R049-PL2B 281 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-pl2b-281
/TITLE, vmr049-pl2b-281,  2D PLANE STRESS PLASTICITY BENCHMARK
/COM, REFERENCE: NAFEMS REPORT: R0049
/PREP7
R = 2.5E-5
ET,1,SHELL281,,,
KEYOPT,1,3,0
N, 1, 0.0, 0.0
N, 2, 0.0, 1.0
N, 3, 1.0, 0.0
N, 4, 1.0, 1.0
N, 5, 0.5, 0.0
N, 6, 1.0, 0.5
N, 7, 0.5, 1.0
N, 8, 0.0, 0.5
E, 1,3,4,2,5,6,7,8
R,1,1.0
MP,EX  ,1,250E3,
MP,NUXY,1,0.25,
TB,BISO,1, , , ,
TBMODIF,2,1,5
TBMODIF,3,1,50000
TB,HILL,1
TBDATA,1,1.0,1.0,1.0,1.0,1.0,1.0
D,ALL,ROTX
D,ALL,ROTY
D,ALL,ROTZ
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,Y,1.0
D,ALL,UY
NSEL,ALL
D,ALL,UZ
D,ALL,ROTZ
FINISH
/SOLU
NLGEOM,ON
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,X,1.0
D,ALL,UX,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,Y,1.0
D,ALL,UY,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,X,1.0
D,ALL,UX,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
NSEL,S,LOC,Y,1.0
D,ALL,UY,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
/OUTPUT,SCRATCH
SOLVE
/OUT
FINISH
/POST26
/XRANGE,0,8
/YRANGE,-10,10
/AXLAB,X,STEP
/AXLAB,Y,STRESS
ESOL,2,1,4,S,X,
ESOL,3,1,4,S,Y,
ESOL,4,1,4,S,EQV,
PRVAR,2,3,4
PLVAR,2,3,4
*DIM,VALUEX,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEX(JJ,1),VARI,2,RTIME,JJ
*ENDDO
R1=VALUEX(1,1)/5.845
R2=VALUEX(2,1)/7.484
R3=VALUEX(3,1)/6.838
R4=VALUEX(4,1)/6.136
R5=VALUEX(5,1)/(-0.530)
R6=VALUEX(6,1)/(-5.822)
R7=VALUEX(7,1)/(-7.489)
R8=VALUEX(8,1)/(-9.155)
*DIM,VALUEY,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEY(JJ,1),VARI,3,RTIME,JJ
*ENDDO
R9=VALUEY(1,1)/1.673
R10=VALUEY(2,1)/2.944
R11=VALUEY(3,1)/7.742
R12=VALUEY(4,1)/9.925
R13=VALUEY(5,1)/8.259
R14=VALUEY(6,1)/4.842
R15=VALUEY(7,1)/(-1.824)
R16=VALUEY(8,1)/(-8.491)
*DIM,VALUEEF,ARRAY,8,1
*DO,JJ,1,8,1
*GET,VALUEEF(JJ,1),VARI,4,RTIME,JJ
*ENDDO
R17=VALUEEF(1,1)/5.214
R18=VALUEEF(2,1)/6.531
R19=VALUEEF(3,1)/7.332
R20=VALUEEF(4,1)/8.675
R21=VALUEEF(5,1)/8.536
R22=VALUEEF(6,1)/9.248
R23=VALUEEF(7,1)/6.764
R24=VALUEEF(8,1)/8.842
*DIM,STEP,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,TARGETEF,CHAR,10
*DIM,RATIOX,,8,1
*DIM,RATIOY,,8,1
*DIM,RATIOEF,,8,1
STEP(1)='1.0','2.0','3.0','4.0','5.0','6.0','7.0','8.0'
TARGETX(1)='5.845','7.484','6.838','6.136','-0.530','-5.822','-7.489','-9.155'
TARGETY(1)='1.673','2.944','7.742','9.925','8.259','4.842','-1.824','-8.491'
TARGETEF(1)='5.214','6.531','7.332','8.675','8.536','9.248','6.764','8.842'
*VFILL,RATIOX,DATA,R1,R2,R3,R4,R5,R6,R7,R8
*VFILL,RATIOY,DATA,R9,R10,R11,R12,R13,R14,R15,R16
*VFILL,RATIOEF,DATA,R17,R18,R19,R20,R21,R22,R23,R24
/COM,
/COM, ----------- vmr049-pl2b-281 RESULTS COMPARISON --------------
/COM,
/COM, vmr049-pl2b-281.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 52, FIGURE 2.14(B).  THE RESULTS
/COM, DISPLAYED ARE INCREMENTED FOR THIS PURPOSE.
/COM,
/COM,
/COM, ------ vmr049-pl2b-281 STRESS RESULTS IN X DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETX(1),VALUEX(1,1),RATIOX(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM, ------ vmr049-pl2b-281 STRESS RESULTS IN Y DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETY(1),VALUEY(1,1),RATIOY(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl2b-281 EFFECTIVE STRESS RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETEF(1),VALUEEF(1,1),RATIOEF(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
FINISH
/POST26
*DIM,LABEL1,CHAR,3
*DIM,VALUE1,,3,3
LABEL1(1) = ' SX ',' SY ',' SEFF '
*VFILL,VALUE1(1,1),DATA,VALUEX(8,1),VALUEY(8,1),VALUEEF(8,1)
*VFILL,VALUE1(1,2),DATA,R8,R16,R24
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','pl2b-281'
/OUT,vmr049-pl2b-281,vrt
/COM
/COM,------------------- vmr049-pl2b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SHELL281
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(3),VALUE1(3,1),VALUE1(3,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT
FINISH
*LIST,vmr049-pl2b-281,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-PL2B 182 Input Listing 		Up / Home Next
VM-R049-PL3A 185 Input Listing


VM-R049-PL3A 185 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-pl3a-185
/TITLE, vmr049-pl3a-185,  3D PLASTICITY BENCHMARK
/COM, REFERENCE: NAFEMS REPORT: R0049, PL-3

/PREP7
R = 2.5E-5
ET,1,185
N, 1, 0.0, 0.0, 0.0
N, 2, 0.0, 1.0, 0.0
N, 3, 1.0, 0.0, 0.0
N, 4, 1.0, 1.0, 0.0
N, 5, 0.0, 0.0, 1.0
N, 6, 0.0, 1.0, 1.0
N, 7, 1.0, 0.0, 1.0
N, 8, 1.0, 1.0, 1.0
E,1,3,4,2,5,7,8,6
MP,EX,1,250.0E3,
MP,NUXY,1,0.25,
TB,BISO,1,1, , ,
TBMODIF,2,1,5
TBMODIF,3,1,0
TB,HILL,1
TBDATA,1,1.0,1.0,1.0,1.0,1.0,1.0
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,Y,1.0
D,ALL,UY
NSEL,S,LOC,Z
D,ALL,UZ
NSEL,S,LOC,Z,1.0
D,ALL,UZ
FINISH

/SOLU
NLGEOM,ON
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
FINISH

/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,STEP
/AXLAB,Y,STRESS
/GTHK,AXIS,1
/GRTYP,0
/XRANGE,0,13
/YRANGE,-10,30
ESOL,2,1,8,S,X,
ESOL,3,1,8,S,Y,
ESOL,4,1,8,S,Z,
ESOL,5,1,8,S,EQV,
PRVAR,2,3,4,5
PLVAR,2,3,4,5

*DIM,V,ARRAY,24
*DIM,VALUEX,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V(JJ),VARI,2,RTIME,JJ
*ENDDO
*VFILL,VALUEX,DATA,V(1),V(4),V(7),V(10),V(13)
R1=VALUEX(1)/7.499
R2=VALUEX(2)/16.365
R3=VALUEX(3)/17.595
R4=VALUEX(4)/8.710
R5=VALUEX(5)/2.747

*DIM,V2,ARRAY,24
*DIM,VALUEY,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V2(JJ),VARI,3,RTIME,JJ
*ENDDO
*VFILL,VALUEY,DATA,V2(1),V2(4),V2(7),V2(10),V2(13)
R6=VALUEY(1)/2.500
R7=VALUEY(2)/19.692
R8=VALUEY(3)/21.766
R9=VALUEY(4)/5.277
R10=VALUEY(5)/0.262

*DIM,V3,ARRAY,24
*DIM,VALUEZ,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V3(JJ),VARI,4,RTIME,JJ
*ENDDO
*VFILL,VALUEZ,DATA,V3(1),V3(4),V3(7),V3(10),V3(13)
R11=VALUEZ(1)/2.500
R12=VALUEZ(2)/13.942
R13=VALUEZ(3)/23.138
R14=VALUEZ(4)/11.013
R15=VALUEZ(5)/(-3.009)

*DIM,V4,ARRAY,24
*DIM,VALUEEF,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V4(JJ),VARI,5,RTIME,JJ
*ENDDO
*VFILL,VALUEEF,DATA,V4(1),V4(4),V4(7),V4(10),V4(13)
R16=VALUEEF(1)/5.000
R17=VALUEEF(2)/5.000
R18=VALUEEF(3)/5.000
R19=VALUEEF(4)/5.000
R20=VALUEEF(5)/5.000

*DIM,STEP,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,TARGETZ,CHAR,10
*DIM,TARGETEF,CHAR,10
*DIM,RATIOX,,5,1
*DIM,RATIOY,,5,1
*DIM,RATIOZ,,5,1
*DIM,RATIOEF,,5,1
STEP(1)='1.0','4.0','7.0','10.0','13.0'
TARGETX(1)='7.500','16.365','17.595','8.710','2.747'
TARGETY(1)='2.500','19.692','21.766','5.277','0.262'
TARGETZ(1)='2.500','13.942','23.138','11.013','-3.009'
TARGETEF(1)='5.000','5.000','5.000','5.000','5.000'
*VFILL,RATIOX,DATA,R1,R2,R3,R4,R5
*VFILL,RATIOY,DATA,R6,R7,R8,R9,R10
*VFILL,RATIOZ,DATA,R11,R12,R13,R14,R15
*VFILL,RATIOEF,DATA,R16,R17,R18,R19,R20
/COM,
/COM, ----------- vmr049-pl3a-185 RESULTS COMPARISON --------------
/COM,
/COM, vmr049-pl3a-185.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 55, FIGURE 2.17(A).  THE RESULTS
/COM, DISPLAYED ARE INCREMENTED FOR THIS PURPOSE.
/COM,
/COM,
/COM, ------ vmr049-pl3a-185 STRESS RESULTS IN X DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETX(1),VALUEX(1,1),RATIOX(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM, ------ vmr049-pl3a-185 STRESS RESULTS IN Y DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETY(1),VALUEY(1,1),RATIOY(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl3a-185 STRESS RESULTS IN Z DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETZ(1),VALUEZ(1,1),RATIOZ(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl3a-185 EFFECTIVE STRESS RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETEF(1),VALUEEF(1,1),RATIOEF(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
FINISH

*DIM,LABEL1,CHAR,4
*DIM,VALUE1,,4,3
LABEL1(1) = ' SX ',' SY ',' SZ ',' SEFF '
*VFILL,VALUE1(1,1),DATA,VALUEX(5),VALUEY(5),VALUEZ(5),VALUEEF(5)
*VFILL,VALUE1(1,2),DATA,R5,R10,R15,R20
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','pl3a-185'

/OUT,vmr049-pl3a-185,vrt
/COM
/COM,------------------- vmr049-pl3a RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SOLID185
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(3),VALUE1(3,1),VALUE1(3,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(4),VALUE1(4,1),VALUE1(4,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-pl3a-185,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-PL2B 281 Input Listing 		Up / Home Next
VM-R049-PL3A 186 Input Listing


VM-R049-PL3A 186 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-pl3a-186
/TITLE, vmr049-pl3a-186, 3D PLASTICITY BENCHMARK
/COM, REFERENCE: NAFEMS REPORT: R0049, PL-3

/PREP7
R = 2.5E-5
ET,1,186
N, 1, 0.0, 0.0, 0.0
N, 2, 0.0, 0.5, 0.0
N, 3, 0.0, 1.0, 0.0
N, 4, 0.5, 0.0, 0.0
N, 5, 0.5, 1.0, 0.0
N, 6, 1.0, 0.0, 0.0
N, 7, 1.0, 0.5, 0.0
N, 8, 1.0, 1.0, 0.0
N, 9, 0.0, 0.0, 1.0
N,10, 0.0, 0.5, 1.0
N,11, 0.0, 1.0, 1.0
N,12, 0.5, 0.0, 1.0
N,13, 0.5, 1.0, 1.0
N,14, 1.0, 0.0, 1.0
N,15, 1.0, 0.5, 1.0
N,16, 1.0, 1.0, 1.0
N,17, 0.0, 0.0, 0.5
N,18, 1.0, 0.0, 0.5
N,19, 1.0, 1.0, 0.5
N,20, 0.0, 1.0, 0.5
E,1,6,8,3,9,14,16,11
EMORE,4,7,5,2,12,15,13,10
EMORE,17,18,19,20
MP,EX,1,250.0E3
MP,NUXY,1,0.25
TB,BISO,1,1
TBMODIF,2,1,5
TBMODIF,3,1,0
TB,HILL,1
TBDATA,1,1.0,1.0,1.0,1.0,1.0,1.0
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,Y,1.0
D,ALL,UY
NSEL,S,LOC,Z
D,ALL,UZ
NSEL,S,LOC,Z,1.0
D,ALL,UZ
FINISH

/SOLU
NLGEOM,ON
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
FINISH

/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,STEP
/AXLAB,Y,STRESS
/GTHK,AXIS,1
/GRTYP,0
/XRANGE,0,13
/YRANGE,-10,30
ESOL,2,1,16,S,X,
ESOL,3,1,16,S,Y,
ESOL,4,1,16,S,Z,
ESOL,5,1,16,S,EQV,
PRVAR,2,3,4,5
PLVAR,2,3,4,5

*DIM,V,ARRAY,24
*DIM,VALUEX,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V(JJ),VARI,2,RTIME,JJ
*ENDDO
*VFILL,VALUEX,DATA,V(1),V(4),V(7),V(10),V(13)
R1=VALUEX(1)/7.499
R2=VALUEX(2)/16.365
R3=VALUEX(3)/17.595
R4=VALUEX(4)/8.710
R5=VALUEX(5)/2.747

*DIM,V2,ARRAY,24
*DIM,VALUEY,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V2(JJ),VARI,3,RTIME,JJ
*ENDDO
*VFILL,VALUEY,DATA,V2(1),V2(4),V2(7),V2(10),V2(13)
R6=VALUEY(1)/2.500
R7=VALUEY(2)/19.692
R8=VALUEY(3)/21.766
R9=VALUEY(4)/5.277
R10=VALUEY(5)/0.262

*DIM,V3,ARRAY,24
*DIM,VALUEZ,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V3(JJ),VARI,4,RTIME,JJ
*ENDDO
*VFILL,VALUEZ,DATA,V3(1),V3(4),V3(7),V3(10),V3(13)
R11=VALUEZ(1)/2.500
R12=VALUEZ(2)/13.942
R13=VALUEZ(3)/23.138
R14=VALUEZ(4)/11.013
R15=VALUEZ(5)/(-3.009)

*DIM,V4,ARRAY,24
*DIM,VALUEEF,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V4(JJ),VARI,5,RTIME,JJ
*ENDDO
*VFILL,VALUEEF,DATA,V4(1),V4(4),V4(7),V4(10),V4(13)
R16=VALUEEF(1)/5.000
R17=VALUEEF(2)/5.000
R18=VALUEEF(3)/5.000
R19=VALUEEF(4)/5.000
R20=VALUEEF(5)/5.000

*DIM,STEP,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,TARGETZ,CHAR,10
*DIM,TARGETEF,CHAR,10
*DIM,RATIOX,,5,1
*DIM,RATIOY,,5,1
*DIM,RATIOZ,,5,1
*DIM,RATIOEF,,5,1
STEP(1)='1.0','4.0','7.0','10.0','13.0'
TARGETX(1)='7.500','16.365','17.595','8.710','2.747'
TARGETY(1)='2.500','19.692','21.766','5.277','0.262'
TARGETZ(1)='2.500','13.942','23.138','11.013','-3.009'
TARGETEF(1)='5.000','5.000','5.000','5.000','5.000'
*VFILL,RATIOX,DATA,R1,R2,R3,R4,R5
*VFILL,RATIOY,DATA,R6,R7,R8,R9,R10
*VFILL,RATIOZ,DATA,R11,R12,R13,R14,R15
*VFILL,RATIOEF,DATA,R16,R17,R18,R19,R20
/COM,
/COM, ----------- vmr049-pl3a-186 RESULTS COMPARISON --------------
/COM,
/COM, vmr049-pl3a-186.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 55, FIGURE 2.17(A).  THE RESULTS
/COM, DISPLAYED ARE INCREMENTED FOR THIS PURPOSE.
/COM,
/COM,
/COM, ------ vmr049-pl3a-186 STRESS RESULTS IN X DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETX(1),VALUEX(1,1),RATIOX(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM, ------ vmr049-pl3a-186 STRESS RESULTS IN Y DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETY(1),VALUEY(1,1),RATIOY(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl3a-186 STRESS RESULTS IN Z DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETZ(1),VALUEZ(1,1),RATIOZ(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl3a-186 EFFECTIVE STRESS RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETEF(1),VALUEEF(1,1),RATIOEF(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
FINISH

*DIM,LABEL1,CHAR,4
*DIM,VALUE1,,4,3
LABEL1(1) = ' SX ',' SY ',' SZ ',' SEFF '
*VFILL,VALUE1(1,1),DATA,VALUEX(5),VALUEY(5),VALUEZ(5),VALUEEF(5)
*VFILL,VALUE1(1,2),DATA,R5,R10,R15,R20
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','pl3a-186'

/OUT,vmr049-pl3a-186,vrt
/COM
/COM,------------------- vmr049-pl3a RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SOLID186
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(3),VALUE1(3,1),VALUE1(3,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(4),VALUE1(4,1),VALUE1(4,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-pl3a-186,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-PL3A 185 Input Listing 		Up / Home Next
VM-R049-PL3A 187 Input Listing


VM-R049-PL3A 187 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-pl3a-187
/TITLE, vmr049-pl3a-187, 3D PLASTICITY BENCHMARK
/COM, REFERENCE: NAFEMS REPORT: R0049, PL-3

/PREP7
R = 2.5E-5
ET,1,187
BLOCK,0,1,0,1,0,1
ESIZE,1
VMESH,ALL,
MP,EX,1,250.0E3
MP,NUXY,1,0.25
TB,BISO,1,1
TBMODIF,2,1,5
TBMODIF,3,1,0
TB,HILL,1
TBDATA,1,1.0,1.0,1.0,1.0,1.0,1.0
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,Y,1.0
D,ALL,UY
NSEL,S,LOC,Z
D,ALL,UZ
NSEL,S,LOC,Z,1.0
D,ALL,UZ
FINISH

/SOLU
NLGEOM,ON
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
FINISH

/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,STEP
/AXLAB,Y,STRESS
/GTHK,AXIS,1
/GRTYP,0
/XRANGE,0,13
/YRANGE,-10,30
NSEL,S,LOC,X,1
NSEL,R,LOC,Y,1
NSEL,R,LOC,Z,1
*GET,N1,NODE,,NUM,MAX
ESLN,S
*GET,E1,ELEM,,NUM,MIN
ESOL,2,E1,N1,S,X,
ESOL,3,E1,N1,S,Y,
ESOL,4,E1,N1,S,Z,
ESOL,5,E1,N1,S,EQV,
PRVAR,2,3,4,5
PLVAR,2,3,4,5

*DIM,V,ARRAY,24
*DIM,VALUEX,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V(JJ),VARI,2,RTIME,JJ
*ENDDO
*VFILL,VALUEX,DATA,V(1),V(4),V(7),V(10),V(13)
R1=VALUEX(1)/7.499
R2=VALUEX(2)/16.365
R3=VALUEX(3)/17.595
R4=VALUEX(4)/8.710
R5=VALUEX(5)/2.747

*DIM,V2,ARRAY,24
*DIM,VALUEY,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V2(JJ),VARI,3,RTIME,JJ
*ENDDO
*VFILL,VALUEY,DATA,V2(1),V2(4),V2(7),V2(10),V2(13)
R6=VALUEY(1)/2.500
R7=VALUEY(2)/19.692
R8=VALUEY(3)/21.766
R9=VALUEY(4)/5.277
R10=VALUEY(5)/0.262

*DIM,V3,ARRAY,24
*DIM,VALUEZ,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V3(JJ),VARI,4,RTIME,JJ
*ENDDO
*VFILL,VALUEZ,DATA,V3(1),V3(4),V3(7),V3(10),V3(13)
R11=VALUEZ(1)/2.500
R12=VALUEZ(2)/13.942
R13=VALUEZ(3)/23.138
R14=VALUEZ(4)/11.013
R15=VALUEZ(5)/(-3.009)

*DIM,V4,ARRAY,24
*DIM,VALUEEF,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V4(JJ),VARI,5,RTIME,JJ
*ENDDO
*VFILL,VALUEEF,DATA,V4(1),V4(4),V4(7),V4(10),V4(13)
R16=VALUEEF(1)/5.000
R17=VALUEEF(2)/5.000
R18=VALUEEF(3)/5.000
R19=VALUEEF(4)/5.000
R20=VALUEEF(5)/5.000

*DIM,STEP,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,TARGETZ,CHAR,10
*DIM,TARGETEF,CHAR,10
*DIM,RATIOX,,5,1
*DIM,RATIOY,,5,1
*DIM,RATIOZ,,5,1
*DIM,RATIOEF,,5,1
STEP(1)='1.0','4.0','7.0','10.0','13.0'
TARGETX(1)='7.500','16.365','17.595','8.710','2.747'
TARGETY(1)='2.500','19.692','21.766','5.277','0.262'
TARGETZ(1)='2.500','13.942','23.138','11.013','-3.009'
TARGETEF(1)='5.000','5.000','5.000','5.000','5.000'
*VFILL,RATIOX,DATA,R1,R2,R3,R4,R5
*VFILL,RATIOY,DATA,R6,R7,R8,R9,R10
*VFILL,RATIOZ,DATA,R11,R12,R13,R14,R15
*VFILL,RATIOEF,DATA,R16,R17,R18,R19,R20
/COM,
/COM, ----------- vmr049-pl3a-187 RESULTS COMPARISON --------------
/COM,
/COM, vmr049-pl3a-187.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 55, FIGURE 2.17(A).  THE RESULTS
/COM, DISPLAYED ARE INCREMENTED FOR THIS PURPOSE.
/COM,
/COM,
/COM, ------ vmr049-pl3a-187 STRESS RESULTS IN X DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETX(1),VALUEX(1,1),RATIOX(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM, ------ vmr049-pl3a-187 STRESS RESULTS IN Y DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETY(1),VALUEY(1,1),RATIOY(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl3a-187 STRESS RESULTS IN Z DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETZ(1),VALUEZ(1,1),RATIOZ(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl3a-187 EFFECTIVE STRESS RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETEF(1),VALUEEF(1,1),RATIOEF(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
FINISH

*DIM,LABEL1,CHAR,4
*DIM,VALUE1,,4,3
LABEL1(1) = ' SX ',' SY ',' SZ ',' SEFF '
*VFILL,VALUE1(1,1),DATA,VALUEX(5),VALUEY(5),VALUEZ(5),VALUEEF(5)
*VFILL,VALUE1(1,2),DATA,R5,R10,R15,R20
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','pl3a-187'

/OUT,vmr049-pl3a-187,vrt
/COM
/COM,------------------- vmr049-pl3a RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SOLID187
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(3),VALUE1(3,1),VALUE1(3,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(4),VALUE1(4,1),VALUE1(4,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-pl3a-187,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-PL3A 186 Input Listing 		Up / Home Next
VM-R049-PL3B 185 Input Listing


VM-R049-PL3B 185 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-pl3b-185
/TITLE, vmr049-pl3b-185,  3D PLASTICITY BENCHMARK
/COM, REFERENCE: NAFEMS REPORT: R0049, PL-3

/PREP7
R = 2.5E-5
ET,1,185
N, 1, 0.0, 0.0, 0.0
N, 2, 0.0, 1.0, 0.0
N, 3, 1.0, 0.0, 0.0
N, 4, 1.0, 1.0, 0.0
N, 5, 0.0, 0.0, 1.0
N, 6, 0.0, 1.0, 1.0
N, 7, 1.0, 0.0, 1.0
N, 8, 1.0, 1.0, 1.0
E,1,3,4,2,5,7,8,6
MP,EX,1,250.0E3
MP,NUXY,1,0.25
TB,BISO,1,1, , ,
TBMODIF,2,1,5
TBMODIF,3,1,50000
TB,HILL,1
TBDATA,1,1.0,1.0,1.0,1.0,1.0,1.0
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,Y,1.0
D,ALL,UY
NSEL,S,LOC,Z
D,ALL,UZ
NSEL,S,LOC,Z,1.0
D,ALL,UZ
FINISH

/SOLU
NLGEOM,ON
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
FINISH

/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,STEP
/AXLAB,Y,STRESS
/GTHK,AXIS,1
/GRTYP,0
/XRANGE,0,13
/YRANGE,-10,35
ESOL,2,1,8,S,X,
ESOL,3,1,8,S,Y,
ESOL,4,1,8,S,Z,
ESOL,5,1,8,S,EQV,
PLVAR,2,3,4,5
PRVAR,2,3,4,5

*DIM,V,ARRAY,24
*DIM,VALUEX,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V(JJ),VARI,2,RTIME,JJ
*ENDDO
*VFILL,VALUEX,DATA,V(1),V(4),V(7),V(10),V(13)
R1=VALUEX(1)/7.499
R2=VALUEX(2)/16.894
R3=VALUEX(3)/16.291
R4=VALUEX(4)/6.934
R5=VALUEX(5)/1.934

*DIM,V2,ARRAY,24
*DIM,VALUEY,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V2(JJ),VARI,3,RTIME,JJ
*ENDDO
*VFILL,VALUEY,DATA,V2(1),V2(4),V2(7),V2(10),V2(13)
R6=VALUEY(1)/2.500
R7=VALUEY(2)/20.218
R8=VALUEY(3)/22.236
R9=VALUEY(4)/4.459
R10=VALUEY(5)/(-0.541)

*DIM,V3,ARRAY,24
*DIM,VALUEZ,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V3(JJ),VARI,4,RTIME,JJ
*ENDDO
*VFILL,VALUEZ,DATA,V3(1),V3(4),V3(7),V3(10),V3(13)
R11=VALUEZ(1)/2.500
R12=VALUEZ(2)/12.886
R13=VALUEZ(3)/23.972
R14=VALUEZ(4)/13.606
R15=VALUEZ(5)/(-1.393)

*DIM,V4,ARRAY,24
*DIM,VALUEEF,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V4(JJ),VARI,5,RTIME,JJ
*ENDDO
*VFILL,VALUEEF,DATA,V4(1),V4(4),V4(7),V4(10),V4(13)
R16=VALUEEF(1)/5.000
R17=VALUEEF(2)/6.359
R18=VALUEEF(3)/6.976
R19=VALUEEF(4)/8.195
R20=VALUEEF(5)/2.994

*DIM,STEP,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,TARGETZ,CHAR,10
*DIM,TARGETEF,CHAR,10
*DIM,RATIOX,,5,1
*DIM,RATIOY,,5,1
*DIM,RATIOZ,,5,1
*DIM,RATIOEF,,5,1
STEP(1)='1.0','4.0','7.0','10.0','13.0'
TARGETX(1)='7.500','16.894','16.291','6.934','1.934'
TARGETY(1)='2.500','20.218','22.236','4.459','-0.541'
TARGETZ(1)='2.500','12.886','23.972','13.606','-1.393'
TARGETEF(1)='5.000','6.359','6.976','8.195','2.994'
*VFILL,RATIOX,DATA,R1,R2,R3,R4,R5
*VFILL,RATIOY,DATA,R6,R7,R8,R9,R10
*VFILL,RATIOZ,DATA,R11,R12,R13,R14,R15
*VFILL,RATIOEF,DATA,R16,R17,R18,R19,R20
/COM,
/COM, ----------- vmr049-pl3b-185 RESULTS COMPARISON --------------
/COM,
/COM, vmr049-pl3b-185.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 55, FIGURE 2.17(B).  THE RESULTS
/COM, DISPLAYED ARE INCREMENTED FOR THIS PURPOSE.
/COM,
/COM,
/COM, ------ vmr049-pl3b-185 STRESS RESULTS IN X DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETX(1),VALUEX(1,1),RATIOX(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM, ------ vmr049-pl3b-185 STRESS RESULTS IN Y DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETY(1),VALUEY(1,1),RATIOY(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl3b-185 STRESS RESULTS IN Z DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETZ(1),VALUEZ(1,1),RATIOZ(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl3b-185 EFFECTIVE STRESS RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETEF(1),VALUEEF(1,1),RATIOEF(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
FINISH

/POST26
*DIM,LABEL1,CHAR,4
*DIM,VALUE1,,4,3
LABEL1(1) = ' SX ',' SY ',' SZ ',' SEFF '
*VFILL,VALUE1(1,1),DATA,VALUEX(5),VALUEY(5),VALUEZ(5),VALUEEF(5)
*VFILL,VALUE1(1,2),DATA,R5,R10,R15,R20
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','pl3b-185'

/OUT,vmr049-pl3b-185,vrt
/COM
/COM,------------------- vmr049-pl3b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SOLID185
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(3),VALUE1(3,1),VALUE1(3,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(4),VALUE1(4,1),VALUE1(4,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-pl3b-185,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-PL3A 187 Input Listing 		Up / Home Next
VM-R049-PL3B 186 Input Listing


VM-R049-PL3B 186 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-pl3b-186
/TITLE, vmr049-pl3b-186,  3D PLASTICITY BENCHMARK
/COM, REFERENCE: NAFEMS REPORT: R0049, PL-3

/PREP7
R = 2.5E-5
ET,1,186
N, 1, 0.0, 0.0, 0.0
N, 2, 0.0, 0.5, 0.0
N, 3, 0.0, 1.0, 0.0
N, 4, 0.5, 0.0, 0.0
N, 5, 0.5, 1.0, 0.0
N, 6, 1.0, 0.0, 0.0
N, 7, 1.0, 0.5, 0.0
N, 8, 1.0, 1.0, 0.0
N, 9, 0.0, 0.0, 1.0
N,10, 0.0, 0.5, 1.0
N,11, 0.0, 1.0, 1.0
N,12, 0.5, 0.0, 1.0
N,13, 0.5, 1.0, 1.0
N,14, 1.0, 0.0, 1.0
N,15, 1.0, 0.5, 1.0
N,16, 1.0, 1.0, 1.0
N,17, 0.0, 0.0, 0.5
N,18, 1.0, 0.0, 0.5
N,19, 1.0, 1.0, 0.5
N,20, 0.0, 1.0, 0.5
E,1,6,8,3,9,14,16,11
EMORE,4,7,5,2,12,15,13,10
EMORE,17,18,19,20
MP,EX,1,250.0E3
MP,NUXY,1,0.25
TB,BISO,1,1, , ,
TBMODIF,2,1,5
TBMODIF,3,1,50000
TB,HILL,1
TBDATA,1,1.0,1.0,1.0,1.0,1.0,1.0
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,Y,1.0
D,ALL,UY
NSEL,S,LOC,Z
D,ALL,UZ
NSEL,S,LOC,Z,1.0
D,ALL,UZ
FINISH

/SOLU
NLGEOM,ON
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
FINISH

/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,STEP
/AXLAB,Y,STRESS
/GTHK,AXIS,1
/GRTYP,0
/XRANGE,0,13
/YRANGE,-10,35
ESOL,2,1,16,S,X,
ESOL,3,1,16,S,Y,
ESOL,4,1,16,S,Z,
ESOL,5,1,16,S,EQV,
PRVAR,2,3,4,5
PLVAR,2,3,4,5

*DIM,V,ARRAY,24
*DIM,VALUEX,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V(JJ),VARI,2,RTIME,JJ
*ENDDO
*VFILL,VALUEX,DATA,V(1),V(4),V(7),V(10),V(13)
R1=VALUEX(1)/7.499
R2=VALUEX(2)/16.894
R3=VALUEX(3)/16.291
R4=VALUEX(4)/6.934
R5=VALUEX(5)/1.934

*DIM,V2,ARRAY,24
*DIM,VALUEY,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V2(JJ),VARI,3,RTIME,JJ
*ENDDO
*VFILL,VALUEY,DATA,V2(1),V2(4),V2(7),V2(10),V2(13)
R6=VALUEY(1)/2.500
R7=VALUEY(2)/20.218
R8=VALUEY(3)/22.236
R9=VALUEY(4)/4.459
R10=VALUEY(5)/(-0.541)

*DIM,V3,ARRAY,24
*DIM,VALUEZ,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V3(JJ),VARI,4,RTIME,JJ
*ENDDO
*VFILL,VALUEZ,DATA,V3(1),V3(4),V3(7),V3(10),V3(13)
R11=VALUEZ(1)/2.500
R12=VALUEZ(2)/12.886
R13=VALUEZ(3)/23.972
R14=VALUEZ(4)/13.606
R15=VALUEZ(5)/(-1.393)

*DIM,V4,ARRAY,24
*DIM,VALUEEF,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V4(JJ),VARI,5,RTIME,JJ
*ENDDO
*VFILL,VALUEEF,DATA,V4(1),V4(4),V4(7),V4(10),V4(13)
R16=VALUEEF(1)/5.000
R17=VALUEEF(2)/6.359
R18=VALUEEF(3)/6.976
R19=VALUEEF(4)/8.195
R20=VALUEEF(5)/2.994

*DIM,STEP,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,TARGETZ,CHAR,10
*DIM,TARGETEF,CHAR,10
*DIM,RATIOX,,5,1
*DIM,RATIOY,,5,1
*DIM,RATIOZ,,5,1
*DIM,RATIOEF,,5,1
STEP(1)='1.0','4.0','7.0','10.0','13.0'
TARGETX(1)='7.500','16.894','16.291','6.934','1.934'
TARGETY(1)='2.500','20.218','22.236','4.459','-0.541'
TARGETZ(1)='2.500','12.886','23.972','13.606','-1.393'
TARGETEF(1)='5.000','6.359','6.976','8.195','2.994'
*VFILL,RATIOX,DATA,R1,R2,R3,R4,R5
*VFILL,RATIOY,DATA,R6,R7,R8,R9,R10
*VFILL,RATIOZ,DATA,R11,R12,R13,R14,R15
*VFILL,RATIOEF,DATA,R16,R17,R18,R19,R20
/COM,
/COM, ----------- vmr049-pl3b-186 RESULTS COMPARISON --------------
/COM,
/COM, vmr049-pl3b-186.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 55, FIGURE 2.17(B).  THE RESULTS
/COM, DISPLAYED ARE INCREMENTED FOR THIS PURPOSE.
/COM,
/COM,
/COM, ------ vmr049-pl3b-186 STRESS RESULTS IN X DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETX(1),VALUEX(1,1),RATIOX(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM, ------ vmr049-pl3b-186 STRESS RESULTS IN Y DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETY(1),VALUEY(1,1),RATIOY(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl3b-186 STRESS RESULTS IN Z DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETZ(1),VALUEZ(1,1),RATIOZ(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl3b-186 EFFECTIVE STRESS RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETEF(1),VALUEEF(1,1),RATIOEF(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
FINISH

/POST26
*DIM,LABEL1,CHAR,4
*DIM,VALUE1,,4,3
LABEL1(1) = ' SX ',' SY ',' SZ ',' SEFF '
*VFILL,VALUE1(1,1),DATA,VALUEX(5),VALUEY(5),VALUEZ(5),VALUEEF(5)
*VFILL,VALUE1(1,2),DATA,R5,R10,R15,R20
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','pl3b-186'

/OUT,vmr049-pl3b-186,vrt
/COM
/COM,------------------- vmr049-pl3b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SOLID186
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(3),VALUE1(3,1),VALUE1(3,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(4),VALUE1(4,1),VALUE1(4,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-pl3b-186,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-PL3B 185 Input Listing 		Up / Home Next
VM-R049-PL3B 187 Input Listing


VM-R049-PL3B 187 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-pl3b-187
/TITLE, vmr049-pl3b-187, 3D PLASTICITY BENCHMARK
/COM, REFERENCE: NAFEMS REPORT: R0049, PL-3

/PREP7
R = 2.5E-5
ET,1,187
BLOCK,0,1,0,1,0,1
ESIZE,1
VMESH,ALL
MP,EX,1,250.0E3
MP,NUXY,1,0.25
TB,BISO,1,1, , ,
TBMODIF,2,1,5
TBMODIF,3,1,50000
TB,HILL,1
TBDATA,1,1.0,1.0,1.0,1.0,1.0,1.0
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,Y,1.0
D,ALL,UY
NSEL,S,LOC,Z
D,ALL,UZ
NSEL,S,LOC,Z,1.0
D,ALL,UZ
FINISH

/SOLU
NLGEOM,ON
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
FINISH

/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,STEP
/AXLAB,Y,STRESS
/GTHK,AXIS,1
/GRTYP,0
/XRANGE,0,13
/YRANGE,-10,35
NSEL,S,LOC,X,1
NSEL,R,LOC,Y,1
NSEL,R,LOC,Z,1
*GET,N1,NODE,,NUM,MAX
ESLN,S
*GET,E1,ELEM,,NUM,MIN
ESOL,2,E1,N1,S,X,
ESOL,3,E1,N1,S,Y,
ESOL,4,E1,N1,S,Z,
ESOL,5,E1,N1,S,EQV,
PLVAR,2,3,4,5
PRVAR,2,3,4,5

*DIM,V,ARRAY,24
*DIM,VALUEX,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V(JJ),VARI,2,RTIME,JJ
*ENDDO
*VFILL,VALUEX,DATA,V(1),V(4),V(7),V(10),V(13)
R1=VALUEX(1)/7.499
R2=VALUEX(2)/16.894
R3=VALUEX(3)/16.291
R4=VALUEX(4)/6.934
R5=VALUEX(5)/1.934

*DIM,V2,ARRAY,24
*DIM,VALUEY,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V2(JJ),VARI,3,RTIME,JJ
*ENDDO
*VFILL,VALUEY,DATA,V2(1),V2(4),V2(7),V2(10),V2(13)
R6=VALUEY(1)/2.500
R7=VALUEY(2)/20.218
R8=VALUEY(3)/22.236
R9=VALUEY(4)/4.459
R10=VALUEY(5)/(-0.541)

*DIM,V3,ARRAY,24
*DIM,VALUEZ,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V3(JJ),VARI,4,RTIME,JJ
*ENDDO
*VFILL,VALUEZ,DATA,V3(1),V3(4),V3(7),V3(10),V3(13)
R11=VALUEZ(1)/2.500
R12=VALUEZ(2)/12.886
R13=VALUEZ(3)/23.972
R14=VALUEZ(4)/13.606
R15=VALUEZ(5)/(-1.393)

*DIM,V4,ARRAY,24
*DIM,VALUEEF,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V4(JJ),VARI,5,RTIME,JJ
*ENDDO
*VFILL,VALUEEF,DATA,V4(1),V4(4),V4(7),V4(10),V4(13)
R16=VALUEEF(1)/5.000
R17=VALUEEF(2)/6.359
R18=VALUEEF(3)/6.976
R19=VALUEEF(4)/8.195
R20=VALUEEF(5)/2.994

*DIM,STEP,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,TARGETZ,CHAR,10
*DIM,TARGETEF,CHAR,10
*DIM,RATIOX,,5,1
*DIM,RATIOY,,5,1
*DIM,RATIOZ,,5,1
*DIM,RATIOEF,,5,1
STEP(1)='1.0','4.0','7.0','10.0','13.0'
TARGETX(1)='7.500','16.894','16.291','6.934','1.934'
TARGETY(1)='2.500','20.218','22.236','4.459','-0.541'
TARGETZ(1)='2.500','12.886','23.972','13.606','-1.393'
TARGETEF(1)='5.000','6.359','6.976','8.195','2.994'
*VFILL,RATIOX,DATA,R1,R2,R3,R4,R5
*VFILL,RATIOY,DATA,R6,R7,R8,R9,R10
*VFILL,RATIOZ,DATA,R11,R12,R13,R14,R15
*VFILL,RATIOEF,DATA,R16,R17,R18,R19,R20
/COM,
/COM, ----------- vmr049-pl3b-187 RESULTS COMPARISON --------------
/COM,
/COM, vmr049-pl3b-187.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 55, FIGURE 2.17(B).  THE RESULTS
/COM, DISPLAYED ARE INCREMENTED FOR THIS PURPOSE.
/COM,
/COM,
/COM, ------ vmr049-pl3b-187 STRESS RESULTS IN X DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETX(1),VALUEX(1,1),RATIOX(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM, ------ vmr049-pl3b-187 STRESS RESULTS IN Y DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETY(1),VALUEY(1,1),RATIOY(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl3b-187 STRESS RESULTS IN Z DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETZ(1),VALUEZ(1,1),RATIOZ(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl3b-187 EFFECTIVE STRESS RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETEF(1),VALUEEF(1,1),RATIOEF(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
FINISH

/POST26
*DIM,LABEL1,CHAR,4
*DIM,VALUE1,,4,3
LABEL1(1) = ' SX ',' SY ',' SZ ',' SEFF '
*VFILL,VALUE1(1,1),DATA,VALUEX(5),VALUEY(5),VALUEZ(5),VALUEEF(5)
*VFILL,VALUE1(1,2),DATA,R5,R10,R15,R20
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','pl3b-187'

/OUT,vmr049-pl3b-187,vrt
/COM
/COM,------------------- vmr049-pl3b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SOLID187
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(3),VALUE1(3,1),VALUE1(3,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(4),VALUE1(4,1),VALUE1(4,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-pl3b-187,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-PL3B 186 Input Listing 		Up / Home Next
VM-R049-PL3B 190 Input Listing


VM-R049-PL3B 190 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-pl3b-190
/TITLE, vmr049-pl3b-190,  3D PLASTICITY BENCHMARK
/COM, REFERENCE: NAFEMS REPORT: R0049, PL-3

/PREP7
R = 2.5E-5
ET,1,190
N, 1, 0.0, 0.0, 0.0
N, 2, 0.0, 1.0, 0.0
N, 3, 1.0, 0.0, 0.0
N, 4, 1.0, 1.0, 0.0
N, 5, 0.0, 0.0, 1.0
N, 6, 0.0, 1.0, 1.0
N, 7, 1.0, 0.0, 1.0
N, 8, 1.0, 1.0, 1.0
E,1,3,4,2,5,7,8,6
MP,EX,1,250.0E3
MP,NUXY,1,0.25
TB,BISO,1,1, , ,
TBMODIF,2,1,5
TBMODIF,3,1,50000
TB,HILL,1
TBDATA,1,1.0,1.0,1.0,1.0,1.0,1.0
NSEL,S,LOC,X
D,ALL,UX
NSEL,S,LOC,Y
D,ALL,UY
NSEL,S,LOC,Y,1.0
D,ALL,UY
NSEL,S,LOC,Z
D,ALL,UZ
NSEL,S,LOC,Z,1.0
D,ALL,UZ
FINISH

/SOLU
NLGEOM,ON
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,2*R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,X,1.0
D,ALL,UX,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Y,1.0
D,ALL,UY,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,R
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
NSEL,S,LOC,Z,1.0
D,ALL,UZ,0.0
NSEL,ALL
NSUBST,10,10,10,
OUTRES,ALL,5
SOLVE
FINISH

/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,STEP
/AXLAB,Y,STRESS
/GTHK,AXIS,1
/GRTYP,0
/XRANGE,0,13
/YRANGE,-5,30
ESOL,2,1,8,S,X,
ESOL,3,1,8,S,Y,
ESOL,4,1,8,S,Z,
ESOL,5,1,8,S,EQV,
PLVAR,2,3,4,5
PRVAR,2,3,4,5

*DIM,V,ARRAY,24
*DIM,VALUEX,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V(JJ),VARI,2,RTIME,JJ
*ENDDO
*VFILL,VALUEX,DATA,V(1),V(4),V(7),V(10),V(13)
R1=VALUEX(1)/7.499
R2=VALUEX(2)/16.894
R3=VALUEX(3)/16.291
R4=VALUEX(4)/6.934
R5=VALUEX(5)/1.934

*DIM,V2,ARRAY,24
*DIM,VALUEY,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V2(JJ),VARI,3,RTIME,JJ
*ENDDO
*VFILL,VALUEY,DATA,V2(1),V2(4),V2(7),V2(10),V2(13)
R6=VALUEY(1)/2.500
R7=VALUEY(2)/20.218
R8=VALUEY(3)/22.236
R9=VALUEY(4)/4.459
R10=VALUEY(5)/(-0.541)

*DIM,V3,ARRAY,24
*DIM,VALUEZ,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V3(JJ),VARI,4,RTIME,JJ
*ENDDO
*VFILL,VALUEZ,DATA,V3(1),V3(4),V3(7),V3(10),V3(13)
R11=VALUEZ(1)/2.500
R12=VALUEZ(2)/12.886
R13=VALUEZ(3)/23.972
R14=VALUEZ(4)/13.606
R15=VALUEZ(5)/(-1.393)

*DIM,V4,ARRAY,24
*DIM,VALUEEF,ARRAY,5
*DO,JJ,1.0,24,3
*GET,V4(JJ),VARI,5,RTIME,JJ
*ENDDO
*VFILL,VALUEEF,DATA,V4(1),V4(4),V4(7),V4(10),V4(13)
R16=VALUEEF(1)/5.000
R17=VALUEEF(2)/6.359
R18=VALUEEF(3)/6.976
R19=VALUEEF(4)/8.195
R20=VALUEEF(5)/2.994

*DIM,STEP,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,TARGETZ,CHAR,10
*DIM,TARGETEF,CHAR,10
*DIM,RATIOX,,5,1
*DIM,RATIOY,,5,1
*DIM,RATIOZ,,5,1
*DIM,RATIOEF,,5,1
STEP(1)='1.0','4.0','7.0','10.0','13.0'
TARGETX(1)='7.500','16.894','16.291','6.934','1.934'
TARGETY(1)='2.500','20.218','22.236','4.459','-0.541'
TARGETZ(1)='2.500','12.886','23.972','13.606','-1.393'
TARGETEF(1)='5.000','6.359','6.976','8.195','2.994'
*VFILL,RATIOX,DATA,R1,R2,R3,R4,R5
*VFILL,RATIOY,DATA,R6,R7,R8,R9,R10
*VFILL,RATIOZ,DATA,R11,R12,R13,R14,R15
*VFILL,RATIOEF,DATA,R16,R17,R18,R19,R20
/COM,
/COM, ----------- vmr049-pl3b-190 RESULTS COMPARISON --------------
/COM,
/COM, vmr049-pl3b-190.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 55, FIGURE 2.17(B).  THE RESULTS
/COM, DISPLAYED ARE INCREMENTED FOR THIS PURPOSE.
/COM,
/COM,
/COM, ------ vmr049-pl3b-190 STRESS RESULTS IN X DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETX(1),VALUEX(1,1),RATIOX(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM, ------ vmr049-pl3b-190 STRESS RESULTS IN Y DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETY(1),VALUEY(1,1),RATIOY(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl3b-190 STRESS RESULTS IN Z DIRECTION -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETZ(1),VALUEZ(1,1),RATIOZ(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl3b-190 EFFECTIVE STRESS RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETEF(1),VALUEEF(1,1),RATIOEF(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
FINISH

/POST26
*DIM,LABEL1,CHAR,4
*DIM,VALUE1,,4,3
LABEL1(1) = ' SX ',' SY ',' SZ ',' SEFF '
*VFILL,VALUE1(1,1),DATA,VALUEX(5),VALUEY(5),VALUEZ(5),VALUEEF(5)
*VFILL,VALUE1(1,2),DATA,R5,R10,R15,R20
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','pl3b-190'

/OUT,vmr049-pl3b-190,vrt
/COM
/COM,------------------- vmr049-pl3b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, SOLSH190
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(3),VALUE1(3,1),VALUE1(3,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(4),VALUE1(4,1),VALUE1(4,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F7.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-pl3b-190,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-PL3B 187 Input Listing 		Up / Home Next
VM-R049-PL5A 182 Input Listing


VM-R049-PL5A 182 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-pl5a-182
/TITLE, vmr049-pl5a-182, PRESSURISED CYLINDER PLASTICITY BENCHMARK
/COM, REFERENCE: NAFEMS REPORT: R0049. TEST PL-5

/PREP7
R = 2.5E-5
ET,1,182,,,
KEYOPT,1,3,1
N,1,100,0,,
N,2,100,50,,
N,3,100,100,,
N,4,125,0,,
N,5,125,50,,
N,6,125,100,,
N,7,150,0,,
N,8,150,50,,
N,9,150,100,,,
N,10,175,0,,
N,11,175,50,,
N,12,175,100,,
N,13,200,0,,
N,14,200,50,,
N,15,200,100,,
E, 1,4,5,2
E, 2,5,6,3
E, 4,7,8,5
E, 5,8,9,6
E, 7,10,11,8
E, 8,11,12,9
E, 10,13,14,11
E, 11,14,15,12
MP,EX,1,21E3,
MP,NUXY,1,0.3,
TB,BISO,1
TBMODIF,2,1,24.0
TBMODIF,3,1,0.0
NSEL,U,LOC,Y,50
D,ALL,UY,0.0
NSEL,ALL,
FINISH

/SOLU
NLGEOM,ON
NSEL,S,LOC,X,100
SF,ALL,PRES,10.0
NSEL,ALL,
NSUBST,10,,,
OUTRES,ALL,ALL
SOLVE
NSEL,S,LOC,X,100
SF,ALL,PRES,14.0
NSEL,ALL,
NSUBST,10,,,
SOLVE
NSEL,S,LOC,X,100
SF,ALL,PRES,16.6
NSEL, ALL,
NSUBST,10,,,
SOLVE
NSEL,S,LOC,X,100
SF,ALL,PRES,19.1
NSEL,ALL,
NSUBST,10,,,
SOLVE

/POST26
/XRANGE,0,4
/YRANGE,-40,60
/AXLAB,X,STEP
/AXLAB,Y,STRESS
ESOL,2,1,1,S,X,
ESOL,3,1,1,S,Y,
ESOL,4,1,1,S,Z,
ESOL,5,1,1,S,EQV,
PLVAR,2,3,4,5
PRVAR,2,3,4,5

*DIM,VALUEX,ARRAY,4,1
*DO,JJ,1,4,1
*GET,VALUEX(JJ,1),VARI,2,RTIME,JJ
*ENDDO
R1=VALUEX(1,1)/(-8.603)
R2=VALUEX(2,1)/(-10.642)
R3=VALUEX(3,1)/(-13.319)
R4=VALUEX(4,1)/(-15.774)
*DIM,VALUEY,ARRAY,4,1
*DO,JJ,1,4,1
*GET,VALUEY(JJ,1),VARI,3,RTIME,JJ
*ENDDO
R5=VALUEY(1,1)/1.599
R6=VALUEY(2,1)/1.810
R7=VALUEY(3,1)/0.303
R8=VALUEY(4,1)/(-1.879)
*DIM,VALUEZ,ARRAY,4,1
*DO,JJ,1,4,1
*GET,VALUEZ(JJ,1),VARI,4,RTIME,JJ
*ENDDO
R9=VALUEZ(1,1)/15.706
R10=VALUEZ(2,1)/17.019
R11=VALUEZ(3,1)/14.386
R12=VALUEZ(4,1)/11.934
*DIM,VALUEEF,ARRAY,4,1
*DO,JJ,1,4,1
*GET,VALUEEF(JJ,1),VARI,5,RTIME,JJ
*ENDDO
R13=VALUEEF(1,1)/21.153
R14=VALUEEF(2,1)/24.0
R15=VALUEEF(3,1)/24.0
R16=VALUEEF(4,1)/24.0
*DIM,STEP,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,TARGETZ,CHAR,10
*DIM,TARGETEF,CHAR,10
*DIM,RATIOX,,4,1
*DIM,RATIOY,,4,1
*DIM,RATIOZ,,4,1
*DIM,RATIOEF,,4,1
STEP(1)='1.0','2.0','3.0','4.0'
TARGETX(1)='-8.603','-10.642','-13.319','-15.774'
TARGETY(1)='1.599','1.810','0.303','-1.879'
TARGETZ(1)='15.706','17.019','14.386','11.934'
TARGETEF(1)='21.153','24.000','24.000','24.000'
*VFILL,RATIOX,DATA,R1,R2,R3,R4
*VFILL,RATIOY,DATA,R5,R6,R7,R8
*VFILL,RATIOZ,DATA,R9,R10,R11,R12
*VFILL,RATIOEF,DATA,R13,R14,R15,R16
/COM,
/COM, ----------- vmr049-pl5a-182 RESULTS COMPARISON --------------
/COM,
/COM, vmr049-pl5a-182.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 61 FIGURE 2.23(A).
/COM, THE RESULTS DISPLAYED ARE INCREMENTED FOR THIS PURPOSE.
/COM,
/COM,
/COM, ------ vmr049-pl5a-182 RADIAL STRESS RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETX(1),VALUEX(1,1),RATIOX(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM, ------ vmr049-pl5a-182 AXIAL STRESS RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETY(1),VALUEY(1,1),RATIOY(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl5a-182 HOOP STRESS RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETZ(1),VALUEZ(1,1),RATIOZ(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl5a-182 EFFECTIVE STRESS RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETEF(1),VALUEEF(1,1),RATIOEF(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
FINISH

/POST26
*DIM,LABEL1,CHAR,4
*DIM,VALUE1,,4,3
LABEL1(1) = ' SRAD ',' SAXI ',' SHOOP ',' SEFF '
*VFILL,VALUE1(1,1),DATA,VALUEX(4,1),VALUEY(4,1),VALUEZ(4,1),VALUEEF(4,1)
*VFILL,VALUE1(1,2),DATA,R4,R8,R12,R16
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','pl5a-182'

/OUT,vmr049-pl5a-182,vrt
/COM
/COM,------------------- vmr049-pl5a RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE182
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(3),VALUE1(3,1),VALUE1(3,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(4),VALUE1(4,1),VALUE1(4,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-pl5a-182,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-PL3B 190 Input Listing 		Up / Home Next
VM-R049-PL5A 183 Input Listing


VM-R049-PL5A 183 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-pl5a-183
/TITLE, vmr049-pl5a-183, PRESSURISED CYLINDER PLASTICITY BENCHMARK
/COM, REFERENCE: NAFEMS REPORT:R0049. TEST PL-5

/PREP7
ET,1,183,,,
KEYOPT,1,3,1
N,1,100,0,,
N,2,100,50,,
N,3,100,100,,
N,4,125,0,,
N,5,125,100,,
N,6,150,0,,
N,7,150,50,,
N,8,150,100,,
N,9,175,0,,
N,10,175,100,,
N,11,200,0,,
N,12,200,50,,
N,13,200,100,,
E, 1,6,8,3,4,7,5,2
E, 6,11,13,8,9,12,10,7
MP,EX,1,21E3,
MP,NUXY,1,0.3,
TB,BISO,1
TBMODIF,2,1,24.0
TBMODIF,3,1,0.0
D,ALL,UY,0.0
FINISH

/SOLU
NLGEOM,ON
NSEL,S,LOC,X,100
SF,ALL,PRES,10.0
NSEL,ALL,
NSUBST,10,,,
OUTRES,ALL,ALL
SOLVE
NSEL,S,LOC,X,100
SF,ALL,PRES,14.0
NSEL,ALL,
NSUBST,10,,,
OUTRES,ALL,ALL
SOLVE
NSEL,S,LOC,X,100
SF,ALL,PRES,16.6
NSEL, ALL,
NSUBST,10,,,
SOLVE
NSEL,S,LOC,X,100
SF,ALL,PRES,19.0
NSEL,ALL,
NSUBST,10,,,
SOLVE

/POST26
/XRANGE,0,4
/YRANGE,-40,60
/AXLAB,X,STEP
/AXLAB,Y,STRESS
ESOL,2,1,1,S,X,
ESOL,3,1,1,S,Y,
ESOL,4,1,1,S,Z,
ESOL,5,1,1,S,EQV
PLVAR,2,3,4,5
PRVAR,2,3,4,5

*DIM,VALUEX,ARRAY,4,1
*DO,JJ,1,4,1
*GET,VALUEX(JJ,1),VARI,2,RTIME,JJ
*ENDDO
R1=VALUEX(1,1)/(-8.603)
R2=VALUEX(2,1)/(-10.642)
R3=VALUEX(3,1)/(-13.319)
R4=VALUEX(4,1)/(-15.774)
*DIM,VALUEY,ARRAY,4,1
*DO,JJ,1,4,1
*GET,VALUEY(JJ,1),VARI,3,RTIME,JJ
*ENDDO
R5=VALUEY(1,1)/1.599
R6=VALUEY(2,1)/1.810
R7=VALUEY(3,1)/0.303
R8=VALUEY(4,1)/(-1.879)
*DIM,VALUEZ,ARRAY,4,1
*DO,JJ,1,4,1
*GET,VALUEZ(JJ,1),VARI,4,RTIME,JJ
*ENDDO
R9=VALUEZ(1,1)/15.706
R10=VALUEZ(2,1)/17.019
R11=VALUEZ(3,1)/14.386
R12=VALUEZ(4,1)/11.934
*DIM,VALUEEF,ARRAY,4,1
*DO,JJ,1,4,1
*GET,VALUEEF(JJ,1),VARI,5,RTIME,JJ
*ENDDO
R13=VALUEEF(1,1)/21.153
R14=VALUEEF(2,1)/24.0
R15=VALUEEF(3,1)/24.0
R16=VALUEEF(4,1)/24.0
*DIM,STEP,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,TARGETZ,CHAR,10
*DIM,TARGETEF,CHAR,10
*DIM,RATIOX,,4,1
*DIM,RATIOY,,4,1
*DIM,RATIOZ,,4,1
*DIM,RATIOEF,,4,1
STEP(1)='1.0','2.0','3.0','4.0'
TARGETX(1)='-8.603','-10.642','-13.319','-15.774'
TARGETY(1)='1.599','1.810','0.303','-1.879'
TARGETZ(1)='15.706','17.019','14.386','11.934'
TARGETEF(1)='21.153','24.000','24.000','24.000'
*VFILL,RATIOX,DATA,R1,R2,R3,R4
*VFILL,RATIOY,DATA,R5,R6,R7,R8
*VFILL,RATIOZ,DATA,R9,R10,R11,R12
*VFILL,RATIOEF,DATA,R13,R14,R15,R16
/COM,
/COM, ----------- vmr049-pl5a-183 RESULTS COMPARISON --------------
/COM,
/COM, vmr049-pl5a-183.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 61 FIGURE 2.23(A).
/COM, THE RESULTS DISPLAYED ARE INCREMENTED FOR THIS PURPOSE.
/COM,
/COM,
/COM, ------ vmr049-pl5a-183 RADIAL STRESS RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETX(1),VALUEX(1,1),RATIOX(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM, ------ vmr049-pl5a-183 AXIAL STRESS RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETY(1),VALUEY(1,1),RATIOY(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl5a-183 HOOP STRESS RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETZ(1),VALUEZ(1,1),RATIOZ(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl5a-183 EFFECTIVE STRESS RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETEF(1),VALUEEF(1,1),RATIOEF(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
FINISH

/POST26
*DIM,LABEL1,CHAR,4
*DIM,VALUE1,,4,3
LABEL1(1) = ' SRAD ',' SAXI ',' SHOOP ',' SEFF '
*VFILL,VALUE1(1,1),DATA,VALUEX(4,1),VALUEY(4,1),VALUEZ(4,1),VALUEEF(4,1)
*VFILL,VALUE1(1,2),DATA,R4,R8,R12,R16
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','pl5a-183'

/OUT,vmr049-pl5a-183,vrt
/COM
/COM,------------------- vmr049-pl5a RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE183
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(3),VALUE1(3,1),VALUE1(3,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(4),VALUE1(4,1),VALUE1(4,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-pl5a-183,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-PL5A 182 Input Listing 		Up / Home Next
VM-R049-PL5B 182 Input Listing


VM-R049-PL5B 182 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-pl5b-182
/TITLE, vmr049-pl5b-182, PRESSURISED CYLINDER PLASTICITY BENCHMARK
/COM, REFERENCE: NAFEMS REPORT: R0049. TEST PL-5

/PREP7
ET,1,182,,,
KEYOPT,1,3,1
N,1,100,0,,
N,2,100,50,,
N,3,100,100,,
N,4,125,0,,
N,5,125,50,,
N,6,125,100,,
N,7,150,0,,
N,8,150,50,,
N,9,150,100,,
N,10,175,0,,
N,11,175,50,,
N,12,175,100,,
N,13,200,0,,
N,14,200,50,,
N,15,200,100,,
E, 1,4,5,2
E, 2,5,6,3
E, 4,7,8,5
E, 5,8,9,6
E, 7,10,11,8
E, 8,11,12,9
E, 10,13,14,11
E, 11,14,15,12
MP,EX,1,21.0E3,
MP,NUXY,1,0.3,
TB,BISO,1, , , ,
TBMODIF,2,1,24.0
TBMODIF,3,1,4200
NSEL,U,LOC,Y,50
D,ALL,UY,0.0
NSEL,ALL,
FINISH

/SOLU
NLGEOM,ON
NSEL,S,LOC,X,100
SF,ALL,PRES,10.0
NSEL,ALL,
NSUBST,10,,,
OUTRES,ALL,ALL
SOLVE
NSEL,S,LOC,X,100
SF,ALL,PRES,14.0
NSEL,ALL,
NSUBST,10,,,
OUTRES,ALL,ALL
SOLVE
NSEL,S,LOC,X,100
SF,ALL,PRES,24.0
NSEL, ALL,
NSUBST,10,,,
SOLVE
NSEL,S,LOC,X,100
SF,ALL,PRES,34.0
NSEL,ALL,
NSUBST,10,,,
SOLVE
SAVE

/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,STEP
/AXLAB,Y,STRESS
/GTHK,AXIS,1
/GRTYP,0
/XRANGE,0,4
/YRANGE,-40,60
ESOL,2,1,1,S,X,
ESOL,3,1,1,S,Y,
ESOL,4,1,1,S,Z,
ESOL,5,1,1,EPEL,X,
PLVAR,2,3,4
PRVAR,2,3,4,5

*DIM,VALUEX,ARRAY,4,1
*DO,JJ,1,4,1
*GET,VALUEX(JJ,1),VARI,2,RTIME,JJ
*ENDDO
R1=VALUEX(1,1)/(-8.603)
R2=VALUEX(2,1)/(-10.603)
R3=VALUEX(3,1)/(-19.307)
R4=VALUEX(4,1)/(-27.025)
*DIM,VALUEY,ARRAY,4,1
*DO,JJ,1,4,1
*GET,VALUEY(JJ,1),VARI,3,RTIME,JJ
*ENDDO
R5=VALUEY(1,1)/1.598
R6=VALUEY(2,1)/2.094
R7=VALUEY(3,1)/0.946
R8=VALUEY(4,1)/3.632
*DIM,VALUEZ,ARRAY,4,1
*DO,JJ,1,4,1
*GET,VALUEZ(JJ,1),VARI,4,RTIME,JJ
*ENDDO
R9=VALUEZ(1,1)/15.706
R10=VALUEZ(2,1)/18.193
R11=VALUEZ(3,1)/22.820
R12=VALUEZ(4,1)/37.778
*DIM,STEP,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,TARGETZ,CHAR,10
*DIM,RATIOX,,4,1
*DIM,RATIOY,,4,1
*DIM,RATIOZ,,4,1
STEP(1)='1.0','2.0','3.0','4.0'
TARGETX(1)='-8.603','-10.603','-19.307','-27.025'
TARGETY(1)='1.598','2.094','0.964','3.632'
TARGETZ(1)='15.706','18.193','22.820','37.778'
*VFILL,RATIOX,DATA,R1,R2,R3,R4
*VFILL,RATIOY,DATA,R5,R6,R7,R8
*VFILL,RATIOZ,DATA,R9,R10,R11,R12
/COM,
/COM, ----------- vmr049-pl5b-182 RESULTS COMPARISON --------------
/COM,
/COM, vmr049-pl5b-182.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 61 FIGURE 2.23(C).
/COM, THE RESULTS DISPLAYED ARE INCREMENTED FOR THIS PURPOSE.
/COM,
/COM,
/COM, ------ vmr049-pl5b-182 RADIAL STRESS RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETX(1),VALUEX(1,1),RATIOX(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM, ------ vmr049-pl5b-182 AXIAL STRESS RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETY(1),VALUEY(1,1),RATIOY(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl5b-182 HOOP STRESS RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETZ(1),VALUEZ(1,1),RATIOZ(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
FINISH

/POST26
*DIM,LABEL1,CHAR,3
*DIM,VALUE1,,3,3
LABEL1(1) = ' SRAD ',' SAXI ',' SHOOP '
*VFILL,VALUE1(1,1),DATA,VALUEX(4,1),VALUEY(4,1),VALUEZ(4,1)
*VFILL,VALUE1(1,2),DATA,R4,R8,R12
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','pl5b-182'

/OUT,vmr049-pl5b-182,vrt
/COM
/COM,------------------- vmr049-pl5b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE182
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(3),VALUE1(3,1),VALUE1(3,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-pl5b-182,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-PL5A 183 Input Listing 		Up / Home Next
VM-R049-PL5B 183 Input Listing


VM-R049-PL5B 183 Input Listing

/COM,ANSYS MEDIA REL. 11.0 (10/27/2006) REF. VERIF. MANUAL: REL. 11.0
/VERIFY,vmr049-pl5b-183
/TITLE, vmr049-pl5b-183, PRESSURISED CYLINDER PLASTICITY BENCHMARK
/COM, REFERENCE: NAFEMS REPORT:R0049. TEST PL-5
/PREP7
ET,1,183,,,
KEYOPT,1,3,1
N,1,100,0,,
N,2,100,50,,
N,3,100,100,,
N,4,125,0,,
N,5,125,100,,
N,6,150,0,,
N,7,150,50,,
N,8,150,100,,
N,9,175,0,,
N,10,175,100,,
N,11,200,0,,
N,12,200,50,,
N,13,200,100,,
E, 1,6,8,3,4,7,5,2
E, 6,11,13,8,9,12,10,7
MP,EX,1,21E3,
MP,NUXY,1,0.3,
TB,BISO,1, , , ,
TBMODIF,2,1,24.0
TBMODIF,3,1,4200
NSEL,U,LOC,Y,50
D,ALL,UY,0.0
NSEL,ALL
FINISH

/SOLU
NLGEOM,ON
NSEL,S,LOC,X,100
SF,ALL,PRES,10.0
NSEL,ALL,
NSUBST,10,,,
OUTRES,ALL,ALL
SOLVE
NSEL,S,LOC,X,100
SF,ALL,PRES,14.0
NSEL,ALL,
NSUBST,10,,,
OUTRES,ALL,ALL
SOLVE
NSEL,S,LOC,X,100
SF,ALL,PRES,24.0
NSEL, ALL,
NSUBST,10,,,
SOLVE
NSEL,S,LOC,X,100
SF,ALL,PRES,34.0
NSEL,ALL,
NSUBST,10,,,
SOLVE
SAVE

/POST26
/GROPT,VIEW,0
/GTHK,CURVE,1
/GROPT,FILL,OFF
/GRID,1
/GTHK,GRID,1
/GROPT,CGRID,1
/AXLAB,X,STEP
/AXLAB,Y,STRESS
/GTHK,AXIS,1
/GRTYP,0
/XRANGE,0,4
/YRANGE,-40,60
ESOL,2,1,1,S,X,
ESOL,3,1,1,S,Y,
ESOL,4,1,1,S,Z,
ESOL,5,1,1,EPEL,X,
PLVAR,2,3,4
PRVAR,2,3,4,5

*DIM,VALUEX,ARRAY,4,1
*DO,JJ,1,4,1
*GET,VALUEX(JJ,1),VARI,2,RTIME,JJ
*ENDDO
R1=VALUEX(1,1)/(-8.603)
R2=VALUEX(2,1)/(-10.603)
R3=VALUEX(3,1)/(-19.307)
R4=VALUEX(4,1)/(-27.025)
*DIM,VALUEY,ARRAY,4,1
*DO,JJ,1,4,1
*GET,VALUEY(JJ,1),VARI,3,RTIME,JJ
*ENDDO
R5=VALUEY(1,1)/1.598
R6=VALUEY(2,1)/2.094
R7=VALUEY(3,1)/.964
R8=VALUEY(4,1)/3.632
*DIM,VALUEZ,ARRAY,4,1
*DO,JJ,1,4,1
*GET,VALUEZ(JJ,1),VARI,4,RTIME,JJ
*ENDDO
R9=VALUEZ(1,1)/15.706
R10=VALUEZ(2,1)/18.193
R11=VALUEZ(3,1)/22.820
R12=VALUEZ(4,1)/37.778
*DIM,STEP,CHAR,10
*DIM,TARGETX,CHAR,10
*DIM,TARGETY,CHAR,10
*DIM,TARGETZ,CHAR,10
*DIM,RATIOX,,4,1
*DIM,RATIOY,,4,1
*DIM,RATIOZ,,4,1
STEP(1)='1.0','2.0','3.0','4.0'
TARGETX(1)='-8.603','-10.603','-19.307','-27.025'
TARGETY(1)='1.598','2.094','0.964','3.632'
TARGETZ(1)='15.706','18.193','22.820','37.778'
*VFILL,RATIOX,DATA,R1,R2,R3,R4
*VFILL,RATIOY,DATA,R5,R6,R7,R8
*VFILL,RATIOZ,DATA,R9,R10,R11,R12
/COM,
/COM, ----------- vmr049-pl5b-183 RESULTS COMPARISON --------------
/COM,
/COM, vmr049-pl5b-183.jpeg RESULTS SHOULD MATCH R0049 NAFEMS MANUAL
/COM, GRAPH RESULTS ON PAGE 61 FIGURE 2.23(C).
/COM, THE RESULTS DISPLAYED ARE INCREMENTED FOR THIS PURPOSE.
/COM,
/COM,
/COM, ------ vmr049-pl5b-183 RADIAL STRESS RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETX(1),VALUEX(1,1),RATIOX(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM, ------ vmr049-pl5b-183 AXIAL STRESS RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETY(1),VALUEY(1,1),RATIOY(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
/COM, ------ vmr049-pl5b-183 HOOP STRESS RESULTS -------
/COM,
/COM, |  STEP  |  TARGET  |  ANSYS  |  RATIO
/COM,
*VWRITE,STEP(1),TARGETZ(1),VALUEZ(1,1),RATIOZ(1,1)
(1X,A8,'   ',1x,A8,'   ',F8.3,'   ',F8.3,'   ')
/COM,
/COM,
FINISH

/POST26
*DIM,LABEL1,CHAR,3
*DIM,VALUE1,,3,3
LABEL1(1) = ' SRAD ',' SAXI ',' SHOOP '
*VFILL,VALUE1(1,1),DATA,VALUEX(4,1),VALUEY(4,1),VALUEZ(4,1)
*VFILL,VALUE1(1,2),DATA,R4,R8,R12
*DIM,LABEL2,CHAR,2
LABEL2(1) = 'vmr049-','pl5b-183'

/OUT,vmr049-pl5b-183,vrt
/COM
/COM,------------------- vmr049-pl5b RESULTS COMPARISON ---------------------
/COM,
/COM,            |   ANSYS   |   RATIO  |         INPUT         |
/COM,
/COM, PLANE183
*VWRITE,LABEL1(1),VALUE1(1,1),VALUE1(1,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(2),VALUE1(2,1),VALUE1(2,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.4,'      ',F7.4,'     ',A7,A8)
*VWRITE,LABEL1(3),VALUE1(3,1),VALUE1(3,2),LABEL2(1),LABEL2(2)
(1X,A8,'      ',F8.4,'      ',F7.4,'     ',A7,A8)
/COM,
/COM,----------------------------------------------------------------
/OUT

FINISH
*LIST,vmr049-pl5b-183,vrt

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-PL5B 182 Input Listing 		Up / Home Next
Theory Reference for ANSYS and ANSYS Workbench


Theory Reference for ANSYS and ANSYS Workbench

Release 11.0 Documentation for ANSYS

Table of Contents

1. Introduction
1.1. Purpose of the Theory Reference
1.2. Understanding Theory Reference Notation
1.3. Applicable Products
1.3.1. ANSYS Products
1.3.2. ANSYS Workbench Products
1.4. Using the Theory Reference for the ANSYS Workbench Product
1.4.1. Elements Used by the ANSYS Workbench Product
1.4.2. Solvers Used by the ANSYS Workbench Product
1.4.3. Other Features
2. Structures
2.1. Structural Fundamentals
2.1.1. Stress-Strain Relationships
2.1.2. Orthotropic Material Transformation for Axisymmetric Models
2.1.3. Temperature-Dependent Coefficient of Thermal Expansion
2.2. Derivation of Structural Matrices
2.3. Structural Strain and Stress Evaluations
2.3.1. Integration Point Strains and Stresses
2.3.2. Surface Stresses
2.3.3. Shell Element Output
2.4. Combined Stresses and Strains
2.4.1. Combined Strains
2.4.2. Combined Stresses
2.4.3. Failure Criteria
2.4.4. Maximum Strain Failure Criteria
2.4.5. Maximum Stress Failure Criteria
2.4.6. Tsai-Wu Failure Criteria
2.4.7. Safety Tools in the ANSYS Workbench Product
3. Structures with Geometric Nonlinearities
3.1. Understanding Geometric Nonlinearities
3.2. Large Strain
3.2.1. Theory
3.2.2. Implementation
3.2.3. Definition of Thermal Strains
3.2.4. Element Formulation
3.2.5. Applicable Input
3.2.6. Applicable Output
3.3. Large Rotation
3.3.1. Theory
3.3.2. Implementation
3.3.3. Element Transformation
3.3.4. Deformational Displacements
3.3.5. Updating Rotations
3.3.6. Applicable Input
3.3.7. Applicable Output
3.3.8. Consistent Tangent Stiffness Matrix and Finite Rotation
3.4. Stress Stiffening
3.4.1. Overview and Usage
3.4.2. Theory
3.4.3. Implementation
3.4.4. Pressure Load Stiffness
3.4.5. Applicable Input
3.4.6. Applicable Output
3.5. Spin Softening
3.6. General Element Formulations
3.6.1. Fundamental Equations
3.6.2. Classical Pure Displacement Formulation
3.6.3. Mixed u-P Formulations
3.6.4. u-P Formulation I
3.6.5. u-P Formulation II
3.6.6. u-P Formulation III
3.6.7. Volumetric Constraint Equations in u-P Formulations
3.7. Constraints and Lagrange Multiplier Method
4. Structures with Material Nonlinearities
4.1. Understanding Material Nonlinearities
4.2. Rate-Independent Plasticity
4.2.1. Theory
4.2.2. Yield Criterion
4.2.3. Flow Rule
4.2.4. Hardening Rule
4.2.5. Plastic Strain Increment
4.2.6. Implementation
4.2.7. Elastoplastic Stress-Strain Matrix
4.2.8. Specialization for Hardening
4.2.9. Specification for Nonlinear Isotropic Hardening
4.2.10. Specialization for Bilinear Kinematic Hardening
4.2.11. Specialization for Multilinear Kinematic Hardening
4.2.12. Specialization for Nonlinear Kinematic Hardening
4.2.13. Specialization for Anisotropic Plasticity
4.2.14. Hill Potential Theory
4.2.15. Generalized Hill Potential Theory
4.2.16. Specialization for Drucker-Prager
4.2.17. Cap Model
4.2.18. Gurson's Model
4.2.19. Cast Iron Material Model
4.3. Rate-Dependent Plasticity
4.3.1. Creep Option
4.3.2. Rate-Dependent Plasticity
4.3.3. Anand Viscoplasticity
4.4. Gasket Material
4.4.1. Stress and Deformation
4.4.2. Material Definition
4.4.3. Thermal Deformation
4.5. Nonlinear Elasticity
4.5.1. Overview and Guidelines for Use
4.6. Shape Memory Alloy Material Model
4.6.1. Background
4.6.2. The Continuum Mechanics Model
4.7. Hyperelasticity
4.7.1. Introduction
4.7.2. Finite Strain Elasticity
4.7.3. Deviatoric-Volumetric Multiplicative Split
4.7.4. Isotropic Hyperelasticity
4.7.5. Anisotropic Hyperelasticity
4.7.6. USER Subroutine
4.7.7. Output Quantities
4.7.8. Hyperelasticity Material Curve Fitting
4.7.9. Material Stability Check
4.8. Viscoelasticity
4.8.1. Small Strain Viscoelasticity
4.8.2. Constitutive Equations
4.8.3. Numerical Integration
4.8.4. Thermorheological Simplicity
4.8.5. Large Deformation Viscoelasticity
4.8.6. Visco-Hypoelasticity
4.8.7. Large Strain Viscoelasticity
4.8.8. Shift Functions
4.9. Concrete
4.9.1. The Domain (Compression - Compression - Compression)
4.9.2. The Domain (Tension - Compression - Compression)
4.9.3. The Domain (Tension - Tension - Compression)
4.9.4. The Domain (Tension - Tension - Tension)
4.10. Swelling
4.11. Cohesive Zone Material Model
4.11.1. Interface Elements
4.11.2. Contact Elements
5. Electromagnetics
5.1. Electromagnetic Field Fundamentals
5.1.1. Magnetic Scalar Potential
5.1.2. Solution Strategies
5.1.3. Magnetic Vector Potential
5.1.4. Edge Flux Degrees of Freedom
5.1.5. Limitation of the Nodal Vector Potential
5.1.6. Harmonic Analysis Using Complex Formalism
5.1.7. Nonlinear Time-Harmonic Magnetic Analysis
5.1.8. Electric Scalar Potential
5.2. Derivation of Electromagnetic Matrices
5.2.1. Magnetic Scalar Potential
5.2.2. Magnetic Vector Potential
5.2.3. Electric Scalar Potential
5.3. Electromagnetic Field Evaluations
5.3.1. Magnetic Scalar Potential Results
5.3.2. Magnetic Vector Potential Results
5.3.3. Magnetic Forces
5.3.4. Joule Heat in a Magnetic Analysis
5.3.5. Electric Scalar Potential Results
5.3.6. Electrostatic Forces
5.3.7. Electric Constitutive Error
5.4. Voltage Forced and Circuit-Coupled Magnetic Field
5.4.1. Voltage Forced Magnetic Field
5.4.2. Circuit-Coupled Magnetic Field
5.5. High-Frequency Electromagnetic Field Simulation
5.5.1. High-Frequency Electromagnetic Field FEA Principle
5.5.2. Boundary Conditions and Perfectly Matched Layers (PML)
5.5.3. Excitation Sources
5.5.4. High-Frequency Parameters Evaluations
5.6. Inductance, Flux and Energy Computation by LMATRIX and SENERGY Macros
5.6.1. Differential Inductance Definition
5.6.2. Review of Inductance Computation Methods
5.6.3. Inductance Computation Method Used
5.6.4. Transformer and Motion Induced Voltages
5.6.5. Absolute Flux Computation
5.6.6. Inductance Computations
5.6.7. Absolute Energy Computation
5.7. Electromagnetic Particle Tracing
5.8. Maxwell Stress Tensor
5.8.1. Notation
5.8.2. Fundamental Relations
5.8.3. Derived Relations
5.8.4. Maxwell Tensor From Maxwell's Equations
5.9. Electromechanical Transducers
5.10. Capacitance Computation
5.11. Open Boundary Analysis with a Trefftz Domain
5.12. Circuit Analysis, Reduced Order Modeling
5.12.1. Mechanical Circuit Elements
5.12.2. Electrical Circuit Elements
5.12.3. Coupled Field Circuit Elements
5.13. Conductance Computation
6. Heat Flow
6.1. Heat Flow Fundamentals
6.1.1. Conduction and Convection
6.1.2. Radiation
6.2. Derivation of Heat Flow Matrices
6.3. Heat Flow Evaluations
6.3.1. Integration Point Output
6.3.2. Surface Output
6.4. Radiation Matrix Method
6.4.1. Non-Hidden Method
6.4.2. Hidden Method
6.4.3. View Factors of Axisymmetric Bodies
6.4.4. Space Node
6.5. Radiosity Solution Method
6.5.1. View Factor Calculation - Hemicube Method
7. Fluid Flow
7.1. Fluid Flow Fundamentals
7.1.1. Continuity Equation
7.1.2. Momentum Equation
7.1.3. Compressible Energy Equation
7.1.4. Incompressible Energy Equation
7.1.5. Turbulence
7.1.6. Pressure
7.1.7. Multiple Species Transport
7.1.8. Arbitrary Lagrangian-Eulerian (ALE) Formulation
7.2. Derivation of Fluid Flow Matrices
7.2.1. Discretization of Equations
7.2.2. Transient Term
7.2.3. Advection Term
7.2.4. Monotone Streamline Upwind Approach (MSU)
7.2.5. Streamline Upwind/Petro-Galerkin Approach (SUPG)
7.2.6. Collocated Galerkin Approach (COLG)
7.2.7. Diffusion Terms
7.2.8. Source Terms
7.2.9. Segregated Solution Algorithm
7.3. Volume of Fluid Method for Free Surface Flows
7.3.1. Overview
7.3.2. CLEAR-VOF Advection
7.3.3. CLEAR-VOF Reconstruction
7.3.4. Treatment of Finite Element Equations
7.3.5. Treatment of Volume Fraction Field
7.3.6. Treatment of Surface Tension Field
7.4. Fluid Solvers
7.5. Overall Convergence and Stability
7.5.1. Convergence
7.5.2. Stability
7.5.3. Residual File
7.5.4. Modified Inertial Relaxation
7.6. Fluid Properties
7.6.1. Density
7.6.2. Viscosity
7.6.3. Thermal Conductivity
7.6.4. Specific Heat
7.6.5. Surface Tension Coefficient
7.6.6. Wall Static Contact Angle
7.6.7. Multiple Species Property Options
7.7. Derived Quantities
7.7.1. Mach Number
7.7.2. Total Pressure
7.7.3. Y-Plus and Wall Shear Stress
7.7.4. Stream Function
7.7.5. Heat Transfer Film Coefficient
7.8. Squeeze Film Theory
7.8.1. Flow Between Flat Surfaces
7.8.2. Flow in Channels
7.9. Slide Film Theory
8. Acoustics
8.1. Acoustic Fluid Fundamentals
8.1.1. Governing Equations
8.1.2. Discretization of the Lossless Wave Equation
8.2. Derivation of Acoustics Fluid Matrices
8.3. Absorption of Acoustical Pressure Wave
8.3.1. Addition of Dissipation due to Damping at the Boundary
8.4. Acoustics Fluid-Structure Coupling
8.5. Acoustics Output Quantities
9. This chapter intentionally omitted.
10. This chapter intentionally omitted.
11. Coupling
11.1. Coupled Effects
11.1.1. Elements
11.1.2. Coupling Methods
11.2. Thermoelasticity
11.3. Piezoelectrics
11.4. Electroelasticity
11.5. Piezoresistivity
11.6. Thermoelectrics
11.7. Review of Coupled Electromechanical Methods
12. Shape Functions
12.1. Understanding Shape Function Labels
12.2. 2-D Lines
12.2.1. 2-D Lines without RDOF
12.2.2. 2-D Lines with RDOF
12.3. 3-D Lines
12.3.1. 3-D 2 Node Lines without RDOF
12.3.2. 3-D 2 Node Lines with RDOF
12.3.3. 3-D 3 Node Lines
12.4. Axisymmetric Shells
12.4.1. Axisymmetric Shell without ESF
12.5. Axisymmetric Harmonic Shells
12.5.1. Axisymmetric Harmonic Shells without ESF
12.5.2. Axisymmetric Harmonic Shells with ESF
12.6. 3-D Shells
12.6.1. 3-D 3-Node Triangular Shells without RDOF (CST)
12.6.2. 3-D 6-Node Triangular Shells without RDOF (LST)
12.6.3. 3-D 3-Node Triangular Shells with RDOF but without SD
12.6.4. 3-D 3-Node Triangular Shells with RDOF and with SD
12.6.5. 3-D 6-Node Triangular Shells with RDOF and with SD
12.6.6. 3-D 4-Node Quadrilateral Shells without RDOF and without ESF (Q4)
12.6.7. 3-D 4-Node Quadrilateral Shells without RDOF but with ESF (QM6)
12.6.8. 3-D 8-Node Quadrilateral Shells without RDOF
12.6.9. 3-D 4-Node Quadrilateral Shells with RDOF but without SD and without ESF
12.6.10. 3-D 4-Node Quadrilateral Shells with RDOF but without SD and with ESF
12.6.11. 3-D 4-Node Quadrilateral Shells with RDOF and with SD
12.6.12. 3-D 8-Node Quadrilateral Shells with RDOF and with SD
12.7. 2-D and Axisymmetric Solids
12.7.1. 2-D and Axisymmetric 3 Node Triangular Solids (CST)
12.7.2. 2-D and Axisymmetric 6 Node Triangular Solids (LST)
12.7.3. 2-D and Axisymmetric 4 Node Quadrilateral Solid without ESF (Q4)
12.7.4. 2-D and Axisymmetric 4 Node Quadrilateral Solids with ESF (QM6)
12.7.5. 2-D and Axisymmetric 8 Node Quadrilateral Solids (Q8)
12.7.6. 2-D and Axisymmetric 4 Node Quadrilateral Infinite Solids
12.7.7. 2-D and Axisymmetric 8 Node Quadrilateral Infinite Solids
12.8. Axisymmetric Harmonic Solids
12.8.1. Axisymmetric Harmonic 3 Node Triangular Solids
12.8.2. Axisymmetric Harmonic 6 Node Triangular Solids
12.8.3. Axisymmetric Harmonic 4 Node Quadrilateral Solids without ESF
12.8.4. Axisymmetric Harmonic 4 Node Quadrilateral Solids with ESF
12.8.5. Axisymmetric Harmonic 8 Node Quadrilateral Solids
12.9. 3-D Solids
12.9.1. 4 Node Tetrahedra
12.9.2. 10 Node Tetrahedra
12.9.3. 5 Node Pyramids
12.9.4. 13 Node Pyramids
12.9.5. 6 Node Wedges without ESF
12.9.6. 6 Node Wedges with ESF
12.9.7. 15 Node Wedges as a Condensation of 20 Node Brick
12.9.8. 15 Node Wedges Based on Wedge Shape Functions
12.9.9. 8 Node Bricks without ESF
12.9.10. 8 Node Bricks with ESF
12.9.11. 20 Node Bricks
12.9.12. 8 Node Infinite Bricks
12.9.13. 3-D 20 Node Infinite Bricks
12.10. Electromagnetic Edge Elements
12.10.1. 2-D 8 Node Quad Geometry and DOFs
12.10.2. 3-D 20 Node Brick Geometry and DOFs
12.11. High Frequency Electromagnetic Tangential Vector Elements
12.11.1. Tetrahedral Elements (HF119)
12.11.2. Hexahedral Elements (HF120)
12.11.3. Triangular Elements (HF118)
12.11.4. Quadrilateral Elements (HF118)
13. Element Tools
13.1. Integration Point Locations
13.1.1. Lines (1, 2, or 3 Points)
13.1.2. Quadrilaterals (2 x 2 or 3 x 3 Points)
13.1.3. Bricks and Pyramids (2 x 2 x 2 Points)
13.1.4. Triangles (1, 3, or 6 Points)
13.1.5. Tetrahedra (1, 4, 5, or 11 Points)
13.1.6. Triangles and Tetrahedra (2 x 2 or 2 x 2 x 2 Points)
13.1.7. Wedges (3 x 2 or 3 x 3 Points)
13.1.8. Wedges (2 x 2 x 2 Points)
13.1.9. Bricks (14 Points)
13.1.10. Nonlinear Bending (5 Points)
13.2. Lumped Matrices
13.2.1. Diagonalization Procedure
13.2.2. Limitations of Lumped Mass Matrices
13.3. Reuse of Matrices
13.3.1. Element Matrices
13.3.2. Structure Matrices
13.3.3. Override Option
13.4. Temperature-Dependent Material Properties
13.5. Positive Definite Matrices
13.5.1. Matrices Representing the Complete Structure
13.5.2. Element Matrices
13.6. Nodal and Centroidal Data Evaluation
13.7. Element Shape Testing
13.7.1. Overview
13.7.2. 3-D Solid Element Faces and Cross-Sections
13.7.3. Aspect Ratio
13.7.4. Aspect Ratio Calculation for Triangles
13.7.5. Aspect Ratio Calculation for Quadrilaterals
13.7.6. Angle Deviation
13.7.7. Angle Deviation Calculation
13.7.8. Parallel Deviation
13.7.9. Parallel Deviation Calculation
13.7.10. Maximum Corner Angle
13.7.11. Maximum Corner Angle Calculation
13.7.12. Jacobian Ratio
13.7.13. Warping Factor
14. Element Library
14.1. LINK1 - 2-D Spar (or Truss)
14.1.1. Assumptions and Restrictions
14.1.2. Other Applicable Sections
14.2. Not Documented
14.3. BEAM3 - 2-D Elastic Beam
14.3.1. Element Matrices and Load Vectors
14.3.2. Stress Calculation
14.4. BEAM4 - 3-D Elastic Beam
14.4.1. Stiffness and Mass Matrices
14.4.2. Gyroscopic Damping Matrix
14.4.3. Pressure and Temperature Load Vector
14.4.4. Local to Global Conversion
14.4.5. Stress Calculations
14.5. SOLID5 - 3-D Coupled-Field Solid
14.5.1. Other Applicable Sections
14.6. Not Documented
14.7. COMBIN7 - Revolute Joint
14.7.1. Element Description
14.7.2. Element Matrices
14.7.3. Modification of Real Constants
14.8. LINK8 - 3-D Spar (or Truss)
14.8.1. Assumptions and Restrictions
14.8.2. Element Matrices and Load Vector
14.8.3. Force and Stress
14.9. INFIN9 - 2-D Infinite Boundary
14.9.1. Introduction
14.9.2. Theory
14.10. LINK10 - Tension-only or Compression-only Spar
14.10.1. Assumptions and Restrictions
14.10.2. Element Matrices and Load Vector
14.11. LINK11 - Linear Actuator
14.11.1. Assumptions and Restrictions
14.11.2. Element Matrices and Load Vector
14.11.3. Force, Stroke, and Length
14.12. CONTAC12 - 2-D Point-to-Point Contact
14.12.1. Element Matrices
14.12.2. Orientation of the Element
14.12.3. Rigid Coulomb Friction
14.13. PLANE13 - 2-D Coupled-Field Solid
14.13.1. Other Applicable Sections
14.14. COMBIN14 - Spring-Damper
14.14.1. Types of Input
14.14.2. Stiffness Pass
14.14.3. Output Quantities
14.15. Not Documented
14.16. PIPE16 - Elastic Straight Pipe
14.16.1. Other Applicable Sections
14.16.2. Assumptions and Restrictions
14.16.3. Stiffness Matrix
14.16.4. Mass Matrix
14.16.5. Gyroscopic Damping Matrix
14.16.6. Stress Stiffness Matrix
14.16.7. Load Vector
14.16.8. Stress Calculation
14.17. PIPE17 - Elastic Pipe Tee
14.17.1. Other Applicable Sections
14.18. PIPE18 - Elastic Curved Pipe
14.18.1. Other Applicable Sections
14.18.2. Stiffness Matrix
14.18.3. Mass Matrix
14.18.4. Load Vector
14.18.5. Stress Calculations
14.19. Not Documented
14.20. PIPE20 - Plastic Straight Thin-Walled Pipe
14.20.1. Assumptions and Restrictions
14.20.2. Other Applicable Sections
14.20.3. Stress and Strain Calculation
14.21. MASS21 - Structural Mass
14.22. Not Documented
14.23. BEAM23 - 2-D Plastic Beam
14.23.1. Other Applicable Sections
14.23.2. Integration Points
14.23.3. Tangent Stiffness Matrix for Plasticity
14.23.4. Newton-Raphson Load Vector
14.23.5. Stress and Strain Calculation
14.24. BEAM24 - 3-D Thin-walled Beam
14.24.1. Assumptions and Restrictions
14.24.2. Other Applicable Sections
14.24.3. Temperature Distribution Across Cross-Section
14.24.4. Calculation of Cross-Section Section Properties
14.24.5. Offset Transformation
14.25. PLANE25 - Axisymmetric-Harmonic 4-Node Structural Solid
14.25.1. Other Applicable Sections
14.25.2. Assumptions and Restrictions
14.25.3. Use of Temperature
14.26. Not Documented
14.27. MATRIX27 - Stiffness, Damping, or Mass Matrix
14.27.1. Assumptions and Restrictions
14.28. SHELL28 - Shear/Twist Panel
14.28.1. Assumptions and Restrictions
14.28.2. Commentary
14.28.3. Output Terms
14.29. FLUID29 - 2-D Acoustic Fluid
14.29.1. Other Applicable Sections
14.30. FLUID30 - 3-D Acoustic Fluid
14.30.1. Other Applicable Sections
14.31. LINK31 - Radiation Link
14.31.1. Standard Radiation (KEYOPT(3) = 0)
14.31.2. Empirical Radiation (KEYOPT(3) = 1)
14.31.3. Solution
14.32. LINK32 - 2-D Conduction Bar
14.32.1. Other Applicable Sections
14.32.2. Matrices and Load Vectors
14.33. LINK33 - 3-D Conduction Bar
14.33.1. Other Applicable Sections
14.33.2. Matrices and Load Vectors
14.33.3. Output
14.34. LINK34 - Convection Link
14.34.1. Conductivity Matrix
14.34.2. Output
14.35. PLANE35 - 2-D 6-Node Triangular Thermal Solid
14.35.1. Other Applicable Sections
14.36. SOURC36 - Current Source
14.36.1. Description
14.37. COMBIN37 - Control
14.37.1. Element Characteristics
14.37.2. Element Matrices
14.37.3. Adjustment of Real Constants
14.37.4. Evaluation of Control Parameter
14.38. FLUID38 - Dynamic Fluid Coupling
14.38.1. Description
14.38.2. Assumptions and Restrictions
14.38.3. Mass Matrix Formulation
14.38.4. Damping Matrix Formulation
14.39. COMBIN39 - Nonlinear Spring
14.39.1. Input
14.39.2. Element Stiffness Matrix and Load Vector
14.39.3. Choices for Element Behavior
14.40. COMBIN40 - Combination
14.40.1. Characteristics of the Element
14.40.2. Element Matrices for Structural Applications
14.40.3. Determination of F1 and F2 for Structural Applications
14.40.4. Thermal Analysis
14.41. SHELL41 - Membrane Shell
14.41.1. Assumptions and Restrictions
14.41.2. Wrinkle Option
14.42. PLANE42 - 2-D Structural Solid
14.42.1. Other Applicable Sections
14.43. SHELL43 - 4-Node Plastic Large Strain Shell
14.43.1. Other Applicable Sections
14.43.2. Assumptions and Restrictions
14.43.3. Assumed Displacement Shape Functions
14.43.4. Stress-Strain Relationships
14.43.5. In-Plane Rotational DOF
14.43.6. Spurious Mode Control with Allman Rotation
14.43.7. Natural Space Extra Shape Functions with Allman Rotation
14.43.8. Warping
14.43.9. Stress Output
14.44. BEAM44 - 3-D Elastic Tapered Unsymmetric Beam
14.44.1. Other Applicable Sections
14.44.2. Assumptions and Restrictions
14.44.3. Tapered Geometry
14.44.4. Shear Center Effects
14.44.5. Offset at the Ends of the Member
14.44.6. End Moment Release
14.44.7. Local to Global Conversion
14.44.8. Stress Calculations
14.45. SOLID45 - 3-D Structural Solid
14.45.1. Other Applicable Sections
14.46. SOLID46 - 3-D 8-Node Layered Structural Solid
14.46.1. Other Applicable Sections
14.46.2. Assumptions and Restrictions
14.46.3. Stress-Strain Relationships
14.46.4. General Strain and Stress Calculations
14.46.5. Interlaminar Shear Stress Calculation
14.47. INFIN47 - 3-D Infinite Boundary
14.47.1. Introduction
14.47.2. Theory
14.47.3. Reduced Scalar Potential
14.47.4. Difference Scalar Potential
14.47.5. Generalized Scalar Potential
14.48. Not Documented
14.49. Not Documented
14.50. MATRIX50 - Superelement (or Substructure)
14.50.1. Other Applicable Sections
14.51. Not Documented
14.52. CONTAC52 - 3-D Point-to-Point Contact
14.52.1. Other Applicable Sections
14.52.2. Element Matrices
14.52.3. Orientation of Element
14.53. PLANE53 - 2-D 8-Node Magnetic Solid
14.53.1. Other Applicable Sections
14.53.2. Assumptions and Restrictions
14.53.3. VOLT DOF in 2-D and Axisymmetric Skin Effect Analysis
14.54. BEAM54 - 2-D Elastic Tapered Unsymmetric Beam
14.54.1. Derivation of Matrices
14.55. PLANE55 - 2-D Thermal Solid
14.55.1. Other Applicable Sections
14.55.2. Mass Transport Option
14.56. Not Documented
14.57. SHELL57 - Thermal Shell
14.57.1. Other Applicable Sections
14.58. Not Documented
14.59. PIPE59 - Immersed Pipe or Cable
14.59.1. Overview of the Element
14.59.2. Location of the Element
14.59.3. Stiffness Matrix
14.59.4. Mass Matrix
14.59.5. Load Vector
14.59.6. Hydrostatic Effects
14.59.7. Hydrodynamic Effects
14.59.8. Stress Output
14.60. PIPE60 - Plastic Curved Thin-Walled Pipe
14.60.1. Assumptions and Restrictions
14.60.2. Other Applicable Sections
14.60.3. Load Vector
14.60.4. Stress Calculations
14.61. SHELL61 - Axisymmetric-Harmonic Structural Shell
14.61.1. Other Applicable Sections
14.61.2. Assumptions and Restrictions
14.61.3. Stress, Force, and Moment Calculations
14.62. SOLID62 - 3-D Magneto-Structural Solid
14.62.1. Other Applicable Sections
14.63. SHELL63 - Elastic Shell
14.63.1. Other Applicable Sections
14.63.2. Foundation Stiffness
14.63.3. In-Plane Rotational Stiffness
14.63.4. Warping
14.63.5. Options for Non-Uniform Material
14.63.6. Extrapolation of Results to the Nodes
14.64. Not Documented
14.65. SOLID65 - 3-D Reinforced Concrete Solid
14.65.1. Assumptions and Restrictions
14.65.2. Description
14.65.3. Linear Behavior - General
14.65.4. Linear Behavior - Concrete
14.65.5. Linear Behavior - Reinforcement
14.65.6. Nonlinear Behavior - Concrete
14.65.7. Modeling of a Crack
14.65.8. Modeling of Crushing
14.65.9. Nonlinear Behavior - Reinforcement
14.66. Not Documented
14.67. PLANE67 - 2-D Coupled Thermal-Electric Solid
14.67.1. Other Applicable Sections
14.68. LINK68 - Coupled Thermal-Electric Line
14.68.1. Other Applicable Sections
14.69. SOLID69 - 3-D Coupled Thermal-Electric Solid
14.69.1. Other Applicable Sections
14.70. SOLID70 - 3-D Thermal Solid
14.70.1. Other Applicable Sections
14.70.2. Fluid Flow in a Porous Medium
14.71. MASS71 - Thermal Mass
14.71.1. Specific Heat Matrix
14.71.2. Heat Generation Load Vector
14.72. Not Documented
14.73. Not Documented
14.74. Not Documented
14.75. PLANE75 - Axisymmetric-Harmonic 4-Node Thermal Solid
14.75.1. Other Applicable Sections
14.76. Not Documented
14.77. PLANE77 - 2-D 8-Node Thermal Solid
14.77.1. Other Applicable Sections
14.77.2. Assumptions and Restrictions
14.78. PLANE78 - Axisymmetric-Harmonic 8-Node Thermal Solid
14.78.1. Other Applicable Sections
14.78.2. Assumptions and Restrictions
14.79. FLUID79 - 2-D Contained Fluid
14.79.1. Other Applicable Sections
14.80. FLUID80 - 3-D Contained Fluid
14.80.1. Other Applicable Sections
14.80.2. Assumptions and Restrictions
14.80.3. Material Properties
14.80.4. Free Surface Effects
14.80.5. Other Assumptions and Limitations
14.81. FLUID81 - Axisymmetric-Harmonic Contained Fluid
14.81.1. Other Applicable Sections
14.81.2. Assumptions and Restrictions
14.81.3. Load Vector Correction
14.82. PLANE82 - 2-D 8-Node Structural Solid
14.82.1. Other Applicable Sections
14.82.2. Assumptions and Restrictions
14.83. PLANE83 - Axisymmetric-Harmonic 8-Node Structural Solid
14.83.1. Other Applicable Sections
14.83.2. Assumptions and Restrictions
14.84. Not Documented
14.85. Not Documented
14.86. Not Documented
14.87. SOLID87 - 3-D 10-Node Tetrahedral Thermal Solid
14.87.1. Other Applicable Sections
14.88. VISCO88 - 2-D 8-Node Viscoelastic Solid
14.88.1. Other Applicable Sections
14.89. VISCO89 - 3-D 20-Node Viscoelastic Solid
14.89.1. Other Applicable Sections
14.90. SOLID90 - 3-D 20-Node Thermal Solid
14.90.1. Other Applicable Sections
14.91. SHELL91 - Nonlinear Layered Structural Shell
14.91.1. Other Applicable Sections
14.91.2. Assumptions and Restrictions
14.91.3. Stress-Strain Relationship
14.91.4. Stress, Force and Moment Calculations
14.91.5. Force and Moment Summations
14.91.6. Interlaminar Shear Stress Calculation
14.91.7. Sandwich Option
14.92. SOLID92 - 3-D 10-Node Tetrahedral Structural Solid
14.92.1. Other Applicable Sections
14.93. SHELL93 - 8-Node Structural Shell
14.93.1. Other Applicable Sections
14.93.2. Assumptions and Restrictions
14.93.3. Stress-Strain Relationships
14.93.4. Stress Output
14.94. CIRCU94 - Piezoelectric Circuit
14.94.1. Electric Circuit Elements
14.94.2. Piezoelectric Circuit Element Matrices and Load Vectors
14.95. SOLID95 - 3-D 20-Node Structural Solid
14.95.1. Other Applicable Sections
14.96. SOLID96 - 3-D Magnetic Scalar Solid
14.96.1. Other Applicable Sections
14.97. SOLID97 - 3-D Magnetic Solid
14.97.1. Other Applicable Sections
14.98. SOLID98 - Tetrahedral Coupled-Field Solid
14.98.1. Other Applicable Sections
14.99. SHELL99 - Linear Layered Structural Shell
14.99.1. Other Applicable Sections
14.99.2. Assumptions and Restrictions
14.99.3. Direct Matrix Input
14.99.4. Stress Calculations
14.99.5. Force and Moment Summations
14.99.6. Shear Strain Adjustment
14.99.7. Interlaminar Shear Stress Calculations
14.100. Not Documented
14.101. Not Documented
14.102. Not Documented
14.103. Not Documented
14.104. Not Documented
14.105. Not Documented
14.106. VISCO106 - 2-D 4-Node Viscoplastic Solid
14.106.1. Other Applicable Sections
14.107. VISCO107 - 3-D 8-Node Viscoplastic Solid
14.107.1. Basic Assumptions
14.107.2. Element Tangent Matrices and Newton-Raphson Restoring Force
14.107.3. Plastic Energy Output
14.108. VISCO108 - 2-D 8-Node Viscoplastic Solid
14.108.1. Other Applicable Sections
14.108.2. Assumptions and Restrictions
14.109. TRANS109 - 2-D Electromechanical Transducer
14.110. INFIN110 - 2-D Infinite Solid
14.110.1. Mapping Functions
14.110.2. Matrices
14.111. INFIN111 - 3-D Infinite Solid
14.111.1. Other Applicable Sections
14.112. Not Documented
14.113. Not Documented
14.114. Not Documented
14.115. INTER115 - 3-D Magnetic Interface
14.115.1. Element Matrix Derivation
14.115.2. Formulation
14.116. FLUID116 - Coupled Thermal-Fluid Pipe
14.116.1. Assumptions and Restrictions
14.116.2. Combined Equations
14.116.3. Thermal Matrix Definitions
14.116.4. Fluid Equations
14.117. SOLID117 - 3-D 20-Node Magnetic Edge
14.117.1. Other Applicable Sections
14.117.2. Matrix Formulation of Low Frequency Edge Element and Tree Gauging
14.118. Not Documented
14.119. HF119 - 3-D High-Frequency Magnetic Tetrahedral Solid
14.119.1. Other Applicable Sections
14.119.2. Solution Shape Functions - H (curl) Conforming Elements
14.120. HF120 - High-Frequency Magnetic Brick Solid
14.120.1. Other Applicable Sections
14.120.2. Solution Shape Functions - H(curl) Conforming Element
14.121. PLANE121 - 2-D 8-Node Electrostatic Solid
14.121.1. Other Applicable Sections
14.121.2. Assumptions and Restrictions
14.122. SOLID122 - 3-D 20-Node Electrostatic Solid
14.122.1. Other Applicable Sections
14.123. SOLID123 - 3-D 10-Node Tetrahedral Electrostatic Solid
14.123.1. Other Applicable Sections
14.124. CIRCU124 - Electric Circuit
14.124.1. Electric Circuit Elements
14.124.2. Electric Circuit Element Matrices
14.125. CIRCU125 - Diode
14.125.1. Diode Elements
14.125.2. Norton Equivalents
14.125.3. Element Matrix and Load Vector
14.126. TRANS126 - Electromechanical Transducer
14.127. SOLID127 - 3-D Tetrahedral Electrostatic Solid p-Element
14.127.1. Other Applicable Sections
14.128. SOLID128 - 3-D Brick Electrostatic Solid p-Element
14.128.1. Other Applicable Sections
14.129. FLUID129 - 2-D Infinite Acoustic
14.129.1. Other Applicable Sections
14.130. FLUID130 - 3-D Infinite Acoustic
14.130.1. Mathematical Formulation and F.E. Discretization
14.130.2. Finite Element Discretization
14.131. SHELL131 - 4-Node Layered Thermal Shell
14.131.1. Other Applicable Sections
14.132. SHELL132 - 8-Node Layered Thermal Shell
14.132.1. Other Applicable Sections
14.133. Not Documented
14.134. Not Documented
14.135. Not Documented
14.136. FLUID136 - 3-D Squeeze Film Fluid Element
14.136.1. Other Applicable Sections
14.136.2. Assumptions and Restrictions
14.137. Not Documented
14.138. FLUID138 - 3-D Viscous Fluid Link Element
14.138.1. Other Applicable Sections
14.139. FLUID139 - 3-D Slide Film Fluid Element
14.139.1. Other Applicable Sections
14.140. Not Documented
14.141. FLUID141 - 2-D Fluid-Thermal
14.141.1. Other Applicable Sections
14.142. FLUID142 - 3-D Fluid-Thermal
14.142.1. Other Applicable Sections
14.142.2. Distributed Resistance Main Diagonal Modification
14.142.3. Turbulent Kinetic Energy Source Term Linearization
14.142.4. Turbulent Kinetic Energy Dissipation Rate
14.143. Not Documented
14.144. ROM144 - Reduced Order Electrostatic-Structural
14.144.1. Element Matrices and Load Vectors
14.144.2. Combination of Modal Coordinates and Nodal Displacement at Master Nodes
14.144.3. Element Loads
14.145. PLANE145 - 2-D Quadrilateral Structural Solid p-Element
14.145.1. Other Applicable Sections
14.146. PLANE146 - 2-D Triangular Structural Solid p-Element
14.146.1. Other Applicable Sections
14.147. SOLID147 - 3-D Brick Structural Solid p-Element
14.147.1. Other Applicable Sections
14.148. SOLID148 - 3-D Tetrahedral Structural Solid p-Element
14.148.1. Other Applicable Sections
14.149. Not Documented
14.150. SHELL150 - 8-Node Structural Shell p-Element
14.150.1. Other Applicable Sections
14.150.2. Assumptions and Restrictions
14.150.3. Stress-Strain Relationships
14.151. SURF151 - 2-D Thermal Surface Effect
14.152. SURF152 - 3-D Thermal Surface Effect
14.152.1. Matrices and Load Vectors
14.152.2. Adiabatic Wall Temperature as Bulk Temperature
14.152.3. Film Coefficient Adjustment
14.152.4. Radiation Form Factor Calculation
14.153. SURF153 - 2-D Structural Surface Effect
14.154. SURF154 - 3-D Structural Surface Effect
14.155. Not Documented
14.156. SURF156 - 3-D Structural Surface Line Load Effect
14.157. SHELL157 - Thermal-Electric Shell
14.157.1. Other Applicable Sections
14.158. Not Documented
14.159. Not Documented
14.160. LINK160 - Explicit 3-D Spar (or Truss)
14.161. BEAM161 - Explicit 3-D Beam
14.162. PLANE162 - Explicit 2-D Structural Solid
14.163. SHELL163 - Explicit Thin Structural Shell
14.164. SOLID164 - Explicit 3-D Structural Solid
14.165. COMBI165 - Explicit Spring-Damper
14.166. MASS166 - Explicit 3-D Structural Mass
14.167. LINK167 - Explicit Tension-Only Spar
14.168. SOLID168 - Explicit 3-D 10-Node Tetrahedral Structural Solid
14.169. TARGE169 - 2-D Target Segment
14.169.1. Other Applicable Sections
14.169.2. Segment Types
14.170. TARGE170 - 3-D Target Segment
14.170.1. Introduction
14.170.2. Segment Types
14.170.3. Reaction Forces
14.171. CONTA171 - 2-D 2-Node Surface-to-Surface Contact
14.171.1. Other Applicable Sections
14.172. CONTA172 - 2-D 3-Node Surface-to-Surface Contact
14.172.1. Other Applicable Sections
14.173. CONTA173 - 3-D 4-Node Surface-to-Surface Contact
14.173.1. Other Applicable Sections
14.174. CONTA174 - 3-D 8-Node Surface-to-Surface Contact
14.174.1. Introduction
14.174.2. Contact Kinematics
14.174.3. Frictional Model
14.174.4. Contact Algorithm
14.174.5. Debonding
14.174.6. Thermal/Structural Contact
14.174.7. Electric Contact
14.174.8. Magnetic Contact
14.175. CONTA175 - 2-D/3-D Node-to-Surface Contact
14.175.1. Other Applicable Sections
14.175.2. Contact Models
14.175.3. Contact Forces
14.176. CONTA176 - 3-D Line-to-Line Contact
14.176.1. Other Applicable Sections
14.176.2. Contact Kinematics
14.176.3. Contact Forces
14.177. CONTA177 - 3-D Line-to-Surface Contact
14.177.1. Other Applicable Sections
14.177.2. Contact Forces
14.178. CONTA178 - 3-D Node-to-Node Contact
14.178.1. Introduction
14.178.2. Contact Algorithms
14.178.3. Element Damper
14.179. PRETS179 - Pretension
14.179.1. Introduction
14.179.2. Assumptions and Restrictions
14.180. LINK180 - 3-D Finite Strain Spar (or Truss)
14.180.1. Assumptions and Restrictions
14.180.2. Element Mass Matrix
14.181. SHELL181 - 4-Node Finite Strain Shell
14.181.1. Other Applicable Sections
14.181.2. Assumptions and Restrictions
14.181.3. Assumed Displacement Shape Functions
14.181.4. Membrane Option
14.181.5. Warping
14.182. PLANE182 - 2-D 4-Node Structural Solid
14.182.1. Other Applicable Sections
14.182.2. Theory
14.183. PLANE183 - 2-D 8-Node Structural Solid
14.183.1. Other Applicable Sections
14.183.2. Assumptions and Restrictions
14.184. MPC184 - Multipoint Constraint
14.184.1. Slider Element
14.184.2. Joint Elements
14.185. SOLID185 - 3-D 8-Node Structural Solid
14.185.1. SOLID185 - 3-D 8-Node Structural Solid
14.185.2. SOLID185 - 3-D 8-Node Layered Solid
14.185.3. Other Applicable Sections
14.185.4. Theory
14.186. SOLID186 - 3-D 20-Node Non-Layered/Layered Structural Solid
14.186.1. SOLID186 - 3-D 20-Node Non-layered Structural Solid
14.186.2. SOLID186 - 3-D 20-Node Layered Structural Solid
14.186.3. Other Applicable Sections
14.187. SOLID187 - 3-D 10-Node Tetrahedral Structural Solid
14.187.1. Other Applicable Sections
14.188. BEAM188 - 3-D Linear Finite Strain Beam
14.189. BEAM189 - 3-D Quadratic Finite Strain Beam
14.189.1. Assumptions and Restrictions
14.189.2. Stress Evaluation
14.190. SOLSH190 - 3-D 8-Node Layered Solid Shell
14.190.1. Other Applicable Sections
14.190.2. Theory
14.191. SOLID191 - 3-D 20-Node Layered Structural Solid
14.191.1. Other Applicable Sections
14.192. INTER192 - 2-D 4-Node Gasket
14.192.1. Other Applicable Sections
14.193. INTER193 - 2-D 6-Node Gasket
14.193.1. Other Applicable Sections
14.194. INTER194 - 3-D 16-Node Gasket
14.194.1. Element Technology
14.195. INTER195 - 3-D 8-Node Gasket
14.195.1. Other Applicable Sections
14.196. Not Documented
14.197. Not Documented
14.198. Not Documented
14.199. Not Documented
14.200. Not Documented
14.201. Not Documented
14.202. INTER202 - 2-D 4-Node Interface
14.202.1. Other Applicable Sections
14.203. INTER203 - 2-D 6-Node Interface
14.203.1. Other Applicable Sections
14.204. INTER204 - 3-D 16-Node Interface
14.204.1. Element Technology
14.205. INTER205 - 3-D 8-Node Interface
14.205.1. Other Applicable Sections
14.206. Not Documented
14.207. Not Documented
14.208. SHELL208 - 2-Node Finite Strain Axisymmetric Shell
14.208.1. Other Applicable Sections
14.208.2. Assumptions and Restrictions
14.209. SHELL209 - 2-Node Finite Strain Axisymmetric Shell
14.209.1. Other Applicable Sections
14.209.2. Assumptions and Restrictions
14.210. Not Documented
14.211. Not Documented
14.212. Not Documented
14.213. Not Documented
14.214. COMBI214 - 2-D Spring-Damper Bearing
14.214.1. Matrices
14.214.2. Output Quantities
14.215. Not Documented
14.216. Not Documented
14.217. Not Documented
14.218. Not Documented
14.219. Not Documented
14.220. Not Documented
14.221. Not Documented
14.222. Not Documented
14.223. PLANE223 - 2-D 8-Node Coupled-Field Solid
14.223.1. Other Applicable Sections
14.224. Not Documented
14.225. Not Documented
14.226. SOLID226 - 3-D 20-Node Coupled-Field Solid
14.226.1. Other Applicable Sections
14.227. SOLID227 - 3-D 10-Node Coupled-Field Solid
14.227.1. Other Applicable Sections
14.228. Not Documented
14.229. Not Documented
14.230. PLANE230 - 2-D 8-Node Electric Solid
14.230.1. Other Applicable Sections
14.230.2. Assumptions and Restrictions
14.231. SOLID231 - 3-D 20-Node Electric Solid
14.231.1. Other Applicable Sections
14.232. SOLID232 - 3-D 10-Node Tetrahedral Electric Solid
14.232.1. Other Applicable Sections
14.233. Not Documented
14.234. Not Documented
14.235. Not Documented
14.236. Not Documented
14.237. Not Documented
14.238. Not Documented
14.239. Not Documented
14.240. Not Documented
14.241. Not Documented
14.242. Not Documented
14.243. Not Documented
14.244. Not Documented
14.245. Not Documented
14.246. Not Documented
14.247. Not Documented
14.248. Not Documented
14.249. Not Documented
14.250. Not Documented
14.251. SURF251 - 2-D Radiosity Surface
14.252. SURF252 - 3-D Thermal Radiosity Surface
14.253. Not Documented
14.254. Not Documented
14.255. Not Documented
14.256. Not Documented
14.257. Not Documented
14.258. Not Documented
14.259. Not Documented
14.260. Not Documented
14.261. Not Documented
14.262. Not Documented
14.263. Not Documented
14.264. Not Documented
14.265. REINF265 - 3-D Smeared Reinforcing
14.265.1. Other Applicable Sections
14.265.2. Stiffness and Mass Matrices of a Reinforcing Layer
14.266. Not Documented
14.267. Not Documented
14.268. Not Documented
14.269. Not Documented
14.270. Not Documented
14.271. Not Documented
14.272. Not Documented
14.273. Not Documented
14.274. Not Documented
14.275. Not Documented
14.276. Not Documented
14.277. Not Documented
14.278. Not Documented
14.279. Not Documented
14.280. Not Documented
14.281. SHELL281 - 8-Node Finite Strain Shell
14.281.1. Other Applicable Sections
14.281.2. Assumptions and Restrictions
14.281.3. Membrane Option
15. Analysis Tools
15.1. Acceleration Effect
15.2. Inertia Relief
15.3. Damping Matrices
15.4. Rotating Structures
15.4.1. Coriolis Matrix and Coriolis Force
15.4.2. Gyroscopic Matrix
15.5. Element Reordering
15.5.1. Reordering Based on Topology with a Program-Defined Starting Surface
15.5.2. Reordering Based on Topology with a User- Defined Starting Surface
15.5.3. Reordering Based on Geometry
15.5.4. Automatic Reordering
15.6. Automatic Master DOF Selection
15.7. Automatic Time Stepping
15.7.1. Time Step Prediction
15.7.2. Time Step Bisection
15.7.3. The Response Eigenvalue for 1st Order Transients
15.7.4. The Response Frequency for Structural Dynamics
15.7.5. Creep Time Increment
15.7.6. Plasticity Time Increment
15.7.7. Midstep Residual for Structural Dynamic Analysis
15.8. Solving for Unknowns and Reactions
15.8.1. Reaction Forces
15.8.2. Disequilibrium
15.9. Equation Solvers
15.9.1. Direct Solvers
15.9.2. Sparse Direct Solver
15.9.3. Frontal Solver
15.9.4. Iterative Solver
15.10. Mode Superposition Method
15.10.1. Modal Damping
15.10.2. Residual Vector Method
15.11. Extraction of Modal Damping Parameter for Squeeze Film Problems
15.12. Reduced Order Modeling of Coupled Domains
15.12.1. Selection of Modal Basis Functions
15.12.2. Element Loads
15.12.3. Mode Combinations for Finite Element Data Acquisition and Energy Computation
15.12.4. Function Fit Methods for Strain Energy
15.12.5. Coupled Electrostatic-Structural Systems
15.12.6. Computation of Capacitance Data and Function Fit
15.13. Newton-Raphson Procedure
15.13.1. Overview
15.13.2. Convergence
15.13.3. Predictor
15.13.4. Adaptive Descent
15.13.5. Line Search
15.13.6. Arc-Length Method
15.14. Constraint Equations
15.14.1. Derivation of Matrix and Load Vector Operations
15.15. This section intentionally omitted
15.16. Eigenvalue and Eigenvector Extraction
15.16.1. Reduced Method
15.16.2. Subspace Method
15.16.3. Block Lanczos
15.16.4. PCG Lanczos
15.16.5. Unsymmetric Method
15.16.6. Damped Method
15.16.7. QR Damped Method
15.16.8. Shifting
15.16.9. Repeated Eigenvalues
15.16.10. Complex Eigensolutions
15.17. Analysis of Cyclic Symmetric Structures
15.17.1. Modal Analysis
15.17.2. Complete Mode Shape Derivation
15.17.3. Cyclic Symmetry Transformations
15.18. Mass Moments of Inertia
15.18.1. Accuracy of the Calculations
15.18.2. Effect of KSUM, LSUM, ASUM, and VSUM Commands
15.19. Energies
15.20. ANSYS Workbench Product Adaptive Solutions
16. This chapter intentionally omitted.
17. Analysis Procedures
17.1. Static Analysis
17.1.1. Assumptions and Restrictions
17.1.2. Description of Structural Systems
17.1.3. Description of Thermal, Magnetic and Other First Order Systems
17.2. Transient Analysis
17.2.1. Assumptions and Restrictions
17.2.2. Description of Structural and Other Second Order Systems
17.2.3. Description of Thermal, Magnetic and Other First Order Systems
17.3. Mode-Frequency Analysis
17.3.1. Assumptions and Restrictions
17.3.2. Description of Analysis
17.4. Harmonic Response Analyses
17.4.1. Assumptions and Restrictions
17.4.2. Description of Analysis
17.4.3. Complex Displacement Output
17.4.4. Nodal and Reaction Load Computation
17.4.5. Solution
17.4.6. Variational Technology Method
17.4.7. Automatic Frequency Spacing
17.4.8. Rotating Forces on Rotating Structures
17.5. Buckling Analysis
17.5.1. Assumptions and Restrictions
17.5.2. Description of Analysis
17.6. Substructuring Analysis
17.6.1. Assumptions and Restrictions (within Superelement)
17.6.2. Description of Analysis
17.6.3. Statics
17.6.4. Transients
17.6.5. Component Mode Synthesis (CMS)
17.7. Spectrum Analysis
17.7.1. Assumptions and Restrictions
17.7.2. Description of Analysis
17.7.3. Single-Point Response Spectrum
17.7.4. Damping
17.7.5. Participation Factors and Mode Coefficients
17.7.6. Combination of Modes
17.7.7. Reduced Mass Summary
17.7.8. Effective Mass
17.7.9. Dynamic Design Analysis Method
17.7.10. Random Vibration Method
17.7.11. Description of Method
17.7.12. Response Power Spectral Densities and Mean Square Response
17.7.13. Cross Spectral Terms for Partially Correlated Input PSDs
17.7.14. Spatial Correlation
17.7.15. Wave Propagation
17.7.16. Multi-Point Response Spectrum Method
18. Preprocessing and Postprocessing Tools
18.1. Integration and Differentiation Procedures
18.1.1. Single Integration Procedure
18.1.2. Double Integration Procedure
18.1.3. Differentiation Procedure
18.1.4. Double Differentiation Procedure
18.2. Fourier Coefficient Evaluation
18.3. Statistical Procedures
18.3.1. Mean, Covariance, Correlation Coefficient
18.3.2. Random Samples of a Uniform Distribution
18.3.3. Random Samples of a Gaussian Distribution
18.3.4. Random Samples of a Triangular Distribution
18.3.5. Random Samples of a Beta Distribution
18.3.6. Random Samples of a Gamma Distribution
19. Postprocessing
19.1. POST1 - Derived Nodal Data Processing
19.1.1. Derived Nodal Data Computation
19.2. POST1 - Vector and Surface Operations
19.2.1. Vector Operations
19.2.2. Surface Operations
19.3. POST1 - Path Operations
19.3.1. Defining the Path
19.3.2. Defining Orientation Vectors of the Path
19.3.3. Mapping Nodal and Element Data onto the Path
19.3.4. Operating on Path Data
19.4. POST1 - Stress Linearization
19.4.1. Cartesian Case
19.4.2. Axisymmetric Case (General)
19.4.3. Axisymmetric Case
19.5. POST1 - Fatigue Module
19.6. POST1 - Electromagnetic Macros
19.6.1. Flux Passing Thru a Closed Contour
19.6.2. Force on a Body
19.6.3. Magnetomotive Forces
19.6.4. Power Loss
19.6.5. Terminal Parameters for a Stranded Coil
19.6.6. Energy Supplied
19.6.7. Terminal Inductance
19.6.8. Flux Linkage
19.6.9. Terminal Voltage
19.6.10. Torque on a Body
19.6.11. Energy in a Magnetic Field
19.6.12. Relative Error in Electrostatic or Electromagnetic Field Analysis
19.6.13. SPARM Macro-Parameters
19.6.14. Electromotive Force
19.6.15. Impedance of a Device
19.6.16. Computation of Equivalent Transmission-line Parameters
19.6.17. Quality Factor
19.7. POST1 - Error Approximation Technique
19.7.1. Error Approximation Technique for Displacement-Based Problems
19.7.2. Error Approximation Technique for Temperature-Based Problems
19.7.3. Error Approximation Technique for Magnetics-Based Problems
19.8. POST1 - Crack Analysis
19.9. POST1 - Harmonic Solid and Shell Element Postprocessing
19.9.1. Thermal Solid Elements (PLANE75, PLANE78)
19.9.2. Structural Solid Elements (PLANE25, PLANE83)
19.9.3. Structural Shell Element (SHELL61)
19.10. POST26 - Data Operations
19.11. POST26 - Response Spectrum Generator (RESP)
19.11.1. Time Step Size
19.12. POST1 and POST26 - Interpretation of Equivalent Strains
19.12.1. Physical Interpretation of Equivalent Strain
19.12.2. Elastic Strain
19.12.3. Plastic Strain
19.12.4. Creep Strain
19.12.5. Total Strain
19.13. POST26 - Response Power Spectral Density
19.14. POST26 - Computation of Covariance
20. Design Optimization
20.1. Introduction to Design Optimization
20.1.1. Feasible Versus Infeasible Design Sets
20.1.2. The Best Design Set
20.1.3. Optimization Methods and Design Tools
20.2. Subproblem Approximation Method
20.2.1. Function Approximations
20.2.2. Minimizing the Subproblem Approximation
20.2.3. Convergence
20.3. First Order Optimization Method
20.3.1. The Unconstrained Objective Function
20.3.2. The Search Direction
20.3.3. Convergence
20.4. Topological Optimization
20.4.1. General Optimization Problem Statement
20.4.2. Maximum Static Stiffness Design
20.4.3. Minimum Volume Design
20.4.4. Maximum Dynamic Stiffness Design
20.4.5. Element Calculations
21. Probabilistic Design
21.1. Uses for Probabilistic Design
21.2. Probabilistic Modeling and Preprocessing
21.2.1. Statistical Distributions for Random Input Variables
21.3. Probabilistic Methods
21.3.1. Introduction
21.3.2. Common Features for all Probabilistic Methods
21.3.3. Monte Carlo Simulation Method
21.3.4. The Response Surface Method
21.4. Regression Analysis for Building Response Surface Models
21.4.1. General Definitions
21.4.2. Linear Regression Analysis
21.4.3. F-Test for the Forward-Stepwise-Regression
21.4.4. Transformation of Random Output Parameter Values for Regression Fitting
21.4.5. Goodness-of-Fit Measures
21.5. Probabilistic Postprocessing
21.5.1. Statistical Procedures
21.5.2. Correlation Coefficient Between Sampled Data
21.5.3. Cumulative Distribution Function
21.5.4. Evaluation of Probabilities From the Cumulative Distribution Function
21.5.5. Inverse Cumulative Distribution Function
22. Reference Index

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
VM-R049-PL5B 183 Input Listing 		Up / Home Next
Chapter 1. Introduction


Chapter 1. Introduction

Welcome to the Theory Reference for ANSYS and ANSYS Workbench. The reference presents theoretical descriptions of all elements, as well as of many procedures and commands used in these products. It is available to any of our product users who need to understand how the program uses input data to calculate the output, and is an indispensable tool to help you interpret various element and command results. The Theory Reference for ANSYS and ANSYS Workbench describes the relationship between input data and output results produced by the programs, and is essential for a thorough understanding of how the programs function.

The following introductory topics are available:

  • Purpose of the Theory Reference
  • Understanding Theory Reference Notation
  • Applicable Products
  • Using the Theory Reference for the ANSYS Workbench Product

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Theory Reference for ANSYS and ANSYS Workbench 		Up / Home Next
1.1. Purpose of the Theory Reference


1.1. Purpose of the Theory Reference

The purpose of the Theory Reference for ANSYS and ANSYS Workbench is to inform you of the theoretical basis of these products. By understanding the underlying theory, you can use these products more intelligently and with greater confidence, making better use of their capabilities while being aware of their limitations. Of course, you are not expected to study the entire volume; you need only to refer to sections of it as required for specific elements and procedures. This manual does not, and cannot, present all theory relating to finite element analysis. If you need the theory behind the basic finite element method, you should obtain one of the many references available on the topic. If you need theory or information that goes beyond that presented here, you should (as applicable) consult the indicated reference, run a simple test problem to try the feature of interest, or contact your ANSYS Support Distributor for more information.

The theory behind the basic analysis disciplines is presented in "Structures" through "Coupling". "Structures" covers structural theory, with "Structures with Geometric Nonlinearities" and "Structures with Material Nonlinearities" adding geometric and structural material nonlinearities. "Electromagnetics" discusses electromagnetics, "Heat Flow" deals with heat flow, "Fluid Flow" handles fluid flow and "Acoustics" deals with acoustics. Chapters 9 and 10 are reserved for future topics. Coupled effects are treated in "Coupling".

Element theory is examined in "Shape Functions", "Element Tools", and "Element Library". Shape functions are presented in "Shape Functions", information about element tools (integration point locations, matrix information, and other topics) is discussed in "Element Tools", and theoretical details of each ANSYS element are presented in "Element Library".

"Analysis Tools" examines a number of analysis tools (acceleration effect, damping, element reordering, and many other features). Chapter 16 is reserved for a future topic. "Analysis Procedures" discusses the theory behind the different analysis types used in the ANSYS program.

Numerical processors used in preprocessing and postprocessing are covered in "Preprocessing and Postprocessing Tools". "Postprocessing" goes into a number of features from the general postprocessor (POST1) and the time-history postprocessor (POST26). "Design Optimization" and "Probabilistic Design" deal with design optimization and probabilistic design.

An index of keywords and commands has been compiled to give you handy access to the topic or command of interest.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 1. Introduction 		Up / Home Next
1.2. Understanding Theory Reference Notation


1.2. Understanding Theory Reference Notation

The notation defined below is a partial list of the notation used throughout the manual. There are also some tables of definitions given in following sections:

  • "Coupling"

  • Rate-Independent Plasticity

Due to the wide variety of topics covered in this manual, some exceptions will exist.

Table 1.1 General Terms

Term | Meaning
[B] | strain-displacement matrix
[C] | damping matrix
[Ct] | specific heat matrix
[D] | elasticity matrix
E | Young's modulus
{F} | force vector
[I] | identity matrix
{I} | current vector, associated with electrical potential DOFs
{J} | current vector, associated with magnetic potential DOFs
[K] | stiffness matrix
[Kt] | conductivity matrix
[M] | mass matrix
[O] | null matrix
P, {P} | pressure (vector)
{Q} | heat flow vector
[S] | stress stiffness matrix
{T} | temperature vector
t | time, thickness
[TR] | local to global conversion matrix
u, v, w, {u} | displacement, displacement vector
{V} | electric potential vector
δ U | virtual internal work
δ V | virtual external work
{W} | fluid flow vector
x, y, z | element coordinate
X, Y, Z | nodal coordinates (usually global Cartesian)
α | coefficient of thermal expansion
ε | strain
ν | Poisson's ratio
σ | stress

Below is a partial list of superscripts and subscripts used on [K], [M], [C], [S], {u}, {T}, and/or {F}. See also "Coupling". The absence of a subscript on the above terms implies the total matrix in final form, ready for solution.

Table 1.2 Superscripts and Subscripts

Term | Meaning
ac | nodal effects caused by an acceleration field
c | convection surface
cr | creep
e | based on element in global coordinates
el | elastic
g | internal heat generation
i | equilibrium iteration number
 | based on element in element coordinates
m | master
n | substep number (time step)
nd | effects applied directly to node
pl | plasticity
pr | pressure
s | slave
sw | swelling
t, th | thermal
^ | (flex over term) reduced matrices and vectors
. | (dot over term) time derivative

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.1. Purpose of the Theory Reference 		Up / Home Next
1.3. Applicable Products


1.3. Applicable Products

This manual applies to the following ANSYS and ANSYS Workbench products:

1.3.1. ANSYS Products

ANSYS Multiphysics
ANSYS Mechanical
ANSYS Structural
ANSYS Mechanical with the electromagnetics add-on
ANSYS Mechanical with the FLOTRAN CFD add-on
ANSYS Professional
ANSYS Emag
ANSYS FLOTRAN
ANSYS PrepPost
ANSYS ED

Some command arguments and element KEYOPT settings have defaults in the derived products that are different from those in the full ANSYS product. These cases are clearly documented under the “Product Restrictions” section of the affected commands and elements. If you plan to use your derived product input file in the ANSYS Multiphysics product, you should explicitly input these settings in the derived product, rather than letting them default; otherwise, behavior in the full ANSYS product will be different.

1.3.2. ANSYS Workbench Products

ANSYS DesignSpace (Simulation)
ANSYS DesignSpace Structural
ANSYS DesignSpace Advansia
ANSYS DesignSpace Entra

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.2. Understanding Theory Reference Notation 		Up / Home Next
1.4. Using the Theory Reference for the ANSYS Workbench Product


1.4. Using the Theory Reference for the ANSYS Workbench Product

Many of the basic concepts and principles that are described in the Theory Reference for ANSYS and ANSYS Workbench apply to both products; for instance, element formulations, number of integration points per element, stress evaluation techniques, solve algorithms, contact mechanics. Items that will be of particular interest to ANSYS Workbench users include the elements and solvers. They are listed below; for more information on these items, see the appropriate sections later in this manual.

1.4.1. Elements Used by the ANSYS Workbench Product

COMBIN14 (Spring-Damper)
MASS21 (Structural Mass)
LINK33 (3-D Conduction Bar)
SOURC36 (Current Source)
PLANE42 (2-D Structural Solid)
PLANE55 (2-D Thermal Solid)
SHELL57 (Thermal Shell)
SOLID70 (3-D Thermal Solid)
PLANE77 (2-D 8-Node Thermal Solid)
SOLID87 (3-D 10-Node Tetrahedral Thermal Solid)
SOLID90 (3-D 20-Node Thermal Solid)
SOLID92 (3-D 10-Node Tetrahedral Structural Solid)
SOLID95 (3-D 20-Node Structural Solid)
SOLID117 (3-D 20-Node Magnetic Solid)
SURF151 (2-D Thermal Surface Effect)
SURF152 (3-D Thermal Surface Effect)
SURF153 (2-D Structural Surface Effect)
SURF154 (3-D Structural Surface Effect)
SURF156 (3-D Structural Surface Line Load Effect)
TARGE169 (2-D Target Segment)
TARGE170 (3-D Target Segment)
CONTA172 (2-D 3-Node Surface-to-Surface Contact)
CONTA174 (3-D 8-Node Surface-to-Surface Contact)
CONTA175 (2-D/3-D Node-to-Surface Contact)
PRETS179 (Pretension)
SHELL181 (3-D Finite Strain Shell, full integration option)
PLANE182 (2-D 4-Node Structural Solid)
PLANE183 (2-D 8-Node Structural Solid
MPC184 Multipoint Constraint)
SOLID186 (3-D 20-Node Structural Solid)
SOLID187 (3-D 10-Node Tetrahedral Structural Solid)
BEAM188 (3-D Linear Finite Strain Beam)
MESH200 (Meshing Facet)
FOLLW201 (Follower Load)

1.4.2. Solvers Used by the ANSYS Workbench Product

Sparse

The ANSYS Workbench product uses this solver for most structural and all thermal analyses.

Back To Top

PCG

The ANSYS Workbench product often uses this solver for some structural analyses, especially those with thick models; i.e., models that have more than one solid element through the thickness.

Back To Top

Boeing Block Lanczos

The ANSYS Workbench product uses this solver for modal analyses.

1.4.3. Other Features

Shape Tool

The shape tool used by the ANSYS Workbench product is based on the same topological optimization capabilities as discussed in Topological Optimization. Note that the shape tool is only available for stress shape optimization with solid models; no surface or thermal models are supported. Frequency shape optimization is not available. In the ANSYS Workbench product, the maximum number of iteration loops to achieve a shape solution is 40; in the ANSYS environment, you can control the number of iterations. In the ANSYS Workbench product, only a single load case is considered in shape optimization.

Back To Top

Solution Convergence

This is discussed in ANSYS Workbench Product Adaptive Solutions.

Back To Top

Safety Tool

The ANSYS Workbench product safety tool capability is described in Safety Tools in the ANSYS Workbench Product.

Back To Top

Fatigue Tool

The ANSYS Workbench product fatigue capabilities are described by Hancq, et al.(316).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.3. Applicable Products 		Up / Home Next
Chapter 2. Structures


Chapter 2. Structures

The following topics are available for structures:

  • Structural Fundamentals
  • Derivation of Structural Matrices
  • Structural Strain and Stress Evaluations
  • Combined Stresses and Strains

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
1.4. Using the Theory Reference for the ANSYS Workbench Product 		Up / Home Next
2.1. Structural Fundamentals


2.1. Structural Fundamentals

The following topics concerning structural fundamentals are available:

  • Stress-Strain Relationships
  • Orthotropic Material Transformation for Axisymmetric Models
  • Temperature-Dependent Coefficient of Thermal Expansion

2.1.1. Stress-Strain Relationships

This section discusses material relationships for linear materials. Nonlinear materials are discussed in "Structures with Material Nonlinearities". The stress is related to the strains by:

(2–1)

where:

{σ} = stress vector = [image] (output as S)
[D] = elasticity or elastic stiffness matrix or stress-strain matrix (defined in (Equation 2–14) through (Equation 2–19)) or inverse defined in (Equation 2–4) or, for a few anisotropic elements, defined by full matrix definition (input with TB,ANEL.)
{εel} = {ε} - {εth} = elastic strain vector (output as EPEL)
{ε} = total strain vector =
{εth} = thermal strain vector (defined in (Equation 2–3)) (output as EPTH)

Note

{εel} (output as EPEL) are the strains that cause stresses.

The shear strains (εxy, εyz, and εxz) are the engineering shear strains, which are twice the tensor shear strains. The ε notation is commonly used for tensor shear strains, but is used here as engineering shear strains for simplicity of output.

A related quantity used in POST1 labeled “component total strain” (output as EPTO) is described in "Structures with Material Nonlinearities".

The stress vector is shown in the figure below. The sign convention for direct stresses and strains used throughout the ANSYS program is that tension is positive and compression is negative. For shears, positive is when the two applicable positive axes rotate toward each other.

Figure 2.1 Stress Vector Definition

(Equation 2–1) may also be inverted to:

(2–2)

For the 3-D case, the thermal strain vector is:

(2–3)

where:

= secant coefficient of thermal expansion in the x direction (see Temperature-Dependent Coefficient of Thermal Expansion)
ΔT = T - Tref
T = current temperature at the point in question
Tref = reference (strain-free) temperature (input on TREF command or as REFT on MP command)

The flexibility or compliance matrix, [D]-1 is:

(2–4)

where typical terms are:

Ex = Young's modulus in the x direction (input as EX on MP command)
νxy = major Poisson's ratio (input as PRXY on MP command)
νyx = minor Poisson's ratio (input as NUXY on MP command)
Gxy = shear modulus in the xy plane (input as GXY on MP command)

Also, the [D]-1 matrix is presumed to be symmetric, so that:

(2–5)

(2–6)

(2–7)

Because of the above three relationships, νxy, νyz, νxz, νyx, νzy, and νzx are not independent quantities and therefore the user should input either νxy, νyz, and νxz (input as PRXY, PRYZ, and PRXZ), or νyx, νzy, and νzx (input as NUXY, NUYZ, and NUXZ). The use of Poisson's ratios for orthotropic materials sometimes causes confusion, so that care should be taken in their use. Assuming that Ex is larger than Ey, νxy (PRXY) is larger than νyx (NUXY). Hence, νxy is commonly referred to as the “major Poisson's ratio”, because it is larger than νyx, which is commonly referred to as the “minor” Poisson's ratio. For orthotropic materials, the user needs to inquire of the source of the material property data as to which type of input is appropriate. In practice, orthotropic material data are most often supplied in the major (PR-notation) form. For isotropic materials (Ex = Ey = Ez and νxy = νyz = νxz), so it makes no difference which type of input is used.

Expanding (Equation 2–2) with (Equation 2–3) thru (Equation 2–7) and writing out the six equations explicitly,

(2–8)

(2–9)

(2–10)

(2–11)

(2–12)

(2–13)

where typical terms are:

εx = direct strain in the x direction
σx = direct stress in the x direction
εxy = shear strain in the x-y plane
σxy = shear stress on the x-y plane

Alternatively, (Equation 2–1) may be expanded by first inverting (Equation 2–4) and then combining that result with (Equation 2–3) and (Equation 2–5) thru (Equation 2–7) to give six explicit equations:

(2–14)

(2–15)

(2–16)

(2–17)

(2–18)

(2–19)

where:

(2–20)

If the shear moduli Gxy, Gyz, and Gxz are not input for isotropic materials, they are computed as:

(2–21)

For orthotropic materials, the user needs to inquire of the source of the material property data as to the correct values of the shear moduli, as there are no defaults provided by the program.

The [D] matrix must be positive definite. The program checks each material property as used by each active element type to ensure that [D] is indeed positive definite. Positive definite matrices are defined in Positive Definite Matrices. In the case of temperature dependent material properties, the evaluation is done at the uniform temperature (input as BFUNIF,TEMP) for the first load step. The material is always positive definite if the material is isotropic or if νxy, νyz, and νxz are all zero. When using the major Poisson's ratios (PRXY, PRYZ, PRXZ), h as defined in (Equation 2–20) must be positive for the material to be positive definite.

2.1.2. Orthotropic Material Transformation for Axisymmetric Models

The transformation of material property data from the R-θ-Z cylindrical system to the x-y-z system used for the input requires special care. The conversion of the Young's moduli is fairly direct, whereas the correct method of conversion of the Poisson's ratios is not obvious. Consider first how the Young's moduli transform from the global cylindrical system to the global Cartesian as used by the axisymmetric elements for a disc:

Figure 2.2 Material Coordinate Systems

Thus, ER → Ex, Eθ → Ez, EZ → Ey. Starting with the global Cartesian system, the input for x-y-z coordinates gives the following stress-strain matrix for the non-shear terms (from (Equation 2–4)):

(2–22)

Rearranging so that the R-θ-Z axes match the x-y-z axes (i.e., x → R, y → Z, z → θ):

(2–23)

If one coordinate system uses the major Poisson's ratios, and the other uses the minor Poisson's ratio, an additional adjustment will need to be made.

Comparing (Equation 2–22) and (Equation 2–23) gives:

(2–24)

(2–25)

(2–26)

(2–27)

(2–28)

(2–29)

This assumes that: νxy, νyz, νxz and νRZ, νRθ, νZθ are all major Poisson's ratios (i.e., Ex [image] EY [image] Ez and ER [image] EZ [image] Eθ).

If this is not the case (e.g., Eθ > EZ):

(2–30)

2.1.3. Temperature-Dependent Coefficient of Thermal Expansion

Considering a typical component, the thermal strain from (Equation 2–3) is:

(2–31)

where:

αse(T) = temperature-dependent secant coefficient of thermal expansion (SCTE)

αse(T) is input in one of three ways:

  1. Input αse(T) directly (input as ALPX, ALPY, or ALPZ on MP command)

  2. Computed using (Equation 2–34) from αin(T), the instantaneous coefficients of thermal expansion (input as CTEX, CTEY, or CTEZ on MP command)

  3. Computed using (Equation 2–32) from εith(T), the input thermal strains (input as THSX, THSY, or THSZ on MP command)

αse(T) is computed from εith(T) by rearranging (Equation 2–31):

(2–32)

(Equation 2–32) assumes that when T = Tref, εith = 0. If this is not the case, the εith data is shifted automatically by a constant so that it is true. αse at Tref is calculated based on the slopes from the adjacent user-defined data points. Hence, if the slopes of εith above and below Tref are not identical, a step change in αse at Tref will be computed.

εth(T) (thermal strain) is related to αin(T) by:

(2–33)

Combining this with equation (Equation 2–32),

(2–34)

No adjustment is needed for αin(T) as αse(T) is defined to be αin(T) when T = Tref.

As seen above, αse(T) is dependent on what was used for Tref. If αse(T) was defined using Tref as one value but then the thermal strain was zero at another value, an adjustment needs to be made (using the MPAMOD command). Consider:

(2–35)

(2–36)

(Equation 2–35) and (Equation 2–36) represent the thermal strain at a temperature T for two different starting points, To and Tref. Now let To be the temperature about which the data has been generated (definition temperature), and Tref be the temperature at which all strains are zero (reference temperature). Thus, [image] is the supplied data, and [image] is what is needed as program input.

The right-hand side of (Equation 2–35) may be expanded as:

(2–37)

also,

(2–38)

or

(2–39)

Combining (Equation 2–35) through (Equation 2–38),

(2–40)

Thus, (Equation 2–40) must be accounted for when making an adjustment for the definition temperature being different from the strain-free temperature. This adjustment may be made (using the MPAMOD command).

Note that:

(Equation 2–40) is nonlinear. Segments that were straight before may be no longer straight. Hence, extra temperatures may need to be specified initially (using the MPTEMP command).
If Tref = To, (Equation 2–40) is trivial.
If T = Tref, (Equation 2–40) is undefined.

The values of T as used here are the temperatures used to define αse (input on MPTEMP command). Thus, when using the αse adjustment procedure, it is recommended to avoid defining a T value to be the same as T = Tref (to a tolerance of one degree). If a T value is the same as Tref, and:

  • the T value is at either end of the input range, then the new αse value is simply the same as the new α value of the nearest adjacent point.

  • the T value is not at either end of the input range, then the new αse value is the average of the two adjacent new α values.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 2. Structures 		Up / Home Next
2.2. Derivation of Structural Matrices


2.2. Derivation of Structural Matrices

The principle of virtual work states that a virtual (very small) change of the internal strain energy must be offset by an identical change in external work due to the applied loads, or:

(2–41)

where:

U = strain energy (internal work) = U1 + U2
V = external work = V1 + V2 + V3
δ = virtual operator

The virtual strain energy is:

(2–42)

where:

{ε} = strain vector
{σ} = stress vector
vol = volume of element

Continuing the derivation assuming linear materials and geometry, (Equation 2–41) and (Equation 2–42) are combined to give:

(2–43)

The strains may be related to the nodal displacements by:

(2–44)

where:

[B] = strain-displacement matrix, based on the element shape functions
{u} = nodal displacement vector

It will be assumed that all effects are in the global Cartesian system. Combining (Equation 2–44) with (Equation 2–43), and noting that {u} does not vary over the volume:

(2–45)

Another form of virtual strain energy is when a surface moves against a distributed resistance, as in a foundation stiffness. This may be written as:

(2–46)

where:

{wn} = motion normal to the surface
{σ} = stress carried by the surface
areaf = area of the distributed resistance

Both {wn} and {σ} will usually have only one nonzero component. The point-wise normal displacement is related to the nodal displacements by:

(2–47)

where:

[Nn] = matrix of shape functions for normal motions at the surface

The stress, {σ}, is

(2–48)

where:

k = the foundation stiffness in units of force per length per unit area

Combining (Equation 2–46) thru (Equation 2–48), and assuming that k is constant over the area,

(2–49)

Next, the external virtual work will be considered. The inertial effects will be studied first:

(2–50)

where:

{w} = vector of displacements of a general point
{Fa} = acceleration (D'Alembert) force vector

According to Newton's second law:

(2–51)

where:

ρ = density (input as DENS on MP command)
t = time

The displacements within the element are related to the nodal displacements by:

(2–52)

where [N] = matrix of shape functions. Combining (Equation 2–50), (Equation 2–51), and (Equation 2–52) and assuming that ρ is constant over the volume,

(2–53)

The pressure force vector formulation starts with:

(2–54)

where:

{P} = the applied pressure vector (normally contains only one nonzero component)
areap = area over which pressure acts

Combining equations (Equation 2–52) and (Equation 2–54),

(2–55)

Unless otherwise noted, pressures are applied to the outside surface of each element and are normal to curved surfaces, if applicable.

Nodal forces applied to the element can be accounted for by:

(2–56)

where:

Finally, (Equation 2–41), (Equation 2–45), (Equation 2–49), (Equation 2–53), (Equation 2–55), and (Equation 2–56) may be combined to give:

(2–57)

Noting that the {δu}T vector is a set of arbitrary virtual displacements common in all of the above terms, the condition required to satisfy equation (Equation 2–57) reduces to:

(2–58)

where:

(Equation 2–58) represents the equilibrium equation on a one element basis.

The above matrices and load vectors were developed as “consistent”. Other formulations are possible. For example, if only diagonal terms for the mass matrix are requested (LUMPM,ON), the matrix is called “lumped” (see Lumped Matrices). For most lumped mass matrices, the rotational degrees of freedom (DOFs) are removed. If the rotational DOFs are requested to be removed (KEYOPT commands with certain elements), the matrix or load vector is called “reduced”. Thus, use of the reduced pressure load vector does not generate moments as part of the pressure load vector. Use of the consistent pressure load vector can cause erroneous internal moments in a structure. An example of this would be a thin circular cylinder under internal pressure modelled with irregular shaped shell elements. As suggested by Figure 2.3: "Effects of Consistent Pressure Loading", the consistent pressure loading generates an erroneous moment for two adjacent elements of dissimilar size.

Figure 2.3 Effects of Consistent Pressure Loading

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.1. Structural Fundamentals 		Up / Home Next
2.3. Structural Strain and Stress Evaluations


2.3. Structural Strain and Stress Evaluations

2.3.1. Integration Point Strains and Stresses

The element integration point strains and stresses are computed by combining equations (Equation 2–1) and (Equation 2–44) to get:

(2–59)

(2–60)

where:

{εel} = strains that cause stresses (output as EPEL)
[B] = strain-displacement matrix evaluated at integration point
{u} = nodal displacement vector
{εth} = thermal strain vector
{σ} = stress vector (output as S)
[D] = elasticity matrix

Nodal and centroidal stresses are computed from the integration point stresses as described in Nodal and Centroidal Data Evaluation.

2.3.2. Surface Stresses

Surface stress output may be requested on “free” faces of 2-D and 3-D elements. “Free” means not connected to other elements as well as not having any imposed displacements or nodal forces normal to the surface. The following steps are executed at each surface Gauss point to evaluate the surface stresses. The integration points used are the same as for an applied pressure to that surface.

  1. Compute the in-plane strains of the surface at an integration point using:

            (2–61)

    Hence, [image], [image] and [image] are known. The prime (') represents the surface coordinate system, with z being normal to the surface.

  2. A each point, set:

            (2–62)

            (2–63)

            (2–64)

    where P is the applied pressure. (Equation 2–63) and (Equation 2–64) are valid, as the surface for which stresses are computed is presumed to be a free surface.

  3. At each point, use the six material property equations represented by:

            (2–65)

    to compute the remaining strain and stress components ( [image], [image], [image], [image], [image] and [image]).

  4. Repeat and average the results across all integration points.

2.3.3. Shell Element Output

For elastic shell elements, the forces and moments per unit length (using shell nomenclature) are computed as:

(2–66)

(2–67)

(2–68)

(2–69)

(2–70)

(2–71)

(2–72)

(2–73)

where:

Tx, Ty, Txy = in-plane forces per unit length (output as TX, TY, and TXY)
Mx, My, Mxy = bending moments per unit length (output as MX, MY, and MXY)
Nx, Ny = transverse shear forces per unit length (output as NX and NY)
t = thickness at midpoint of element, computed normal to center plane
σx, etc. = direct stress (output as SX, etc.)
σxy, etc. = shear stress (output as SXY, etc.)

For shell elements with linearly elastic material, (Equation 2–66) to (Equation 2–73) reduce to:

(2–74)

(2–75)

(2–76)

(2–77)

(2–78)

(2–79)

(2–80)

(2–81)

For shell elements with nonlinear materials, (Equation 2–66) to (Equation 2–73) are numerically integrated.

It should be noted that the shell nomenclature and the nodal moment conventions are in apparent conflict with each other. For example, a cantilever beam located along the x axis and consisting of shell elements in the x-y plane that deforms in the z direction under a pure bending load with coupled nodes at the free end, has the following relationship:

(2–82)

where:

b = width of beam
FMY = nodal moment applied to the free end (input as VALUE on F command with Lab = MY (not MX))

The shape functions of the shell element result in constant transverse strains and stresses through the thickness. Some shell elements adjust these values so that they will peak at the midsurface with 3/2 of the constant value and be zero at both surfaces, as noted in the element discussions in "Element Library".

The thru-thickness stress (σz) is set equal to the negative of the applied pressure at the surfaces of the shell elements, and linearly interpolated in between.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.2. Derivation of Structural Matrices 		Up / Home Next
2.4. Combined Stresses and Strains


2.4. Combined Stresses and Strains

When a model has only one functional direction of strains and stress (e.g., LINK8), comparison with an allowable value is straightforward. But when there is more than one component, the components are normally combined into one number to allow a comparison with an allowable. This section discusses different ways of doing that combination, representing different materials and/or technologies.

2.4.1. Combined Strains

The principal strains are calculated from the strain components by the cubic equation:

(2–83)

where:

εo = principal strain (3 values)

The three principal strains are labeled ε1, ε2, and ε3 (output as 1, 2, and 3 with strain items such as EPEL). The principal strains are ordered so that ε1 is the most positive and ε3 is the most negative.

The strain intensity εI (output as INT with strain items such as EPEL) is the largest of the absolute values of ε1 - ε2, ε2 - ε3, or ε3 - ε1. That is:

(2–84)

The von Mises or equivalent strain εe (output as EQV with strain items such as EPEL) is computed as:

(2–85)

where:

2.4.2. Combined Stresses

The principal stresses (σ1, σ2, σ3) are calculated from the stress components by the cubic equation:

(2–86)

where:

σo = principal stress (3 values)

The three principal stresses are labeled σ1, σ2, and σ3 (output quantities S1, S2, and S3). The principal stresses are ordered so that σ1 is the most positive (tensile) and σ3 is the most negative (compressive).

The stress intensity σI (output as SINT) is the largest of the absolute values of σ1 - σ2, σ2 - σ3, or σ3 - σ1. That is:

(2–87)

The von Mises or equivalent stress σe (output as SEQV) is computed as:

(2–88)

or

(2–89)

When ν' = ν (input as PRXY or NUXY on MP command), the equivalent stress is related to the equivalent strain through

(2–90)

where:

E = Young's modulus (input as EX on MP command)

2.4.3. Failure Criteria

Failure criteria are used to assess the possibility of failure of a material. This allows the consideration of orthotropic materials, which might be much weaker in one direction than another. Failure criteria are available in POST1 for all plane, shell, and solid structural elements (using the FC commands) and during solution for SHELL91, SHELL99, SOLID46, and SOLID191 (using TB,FAIL) only for composite elements.

Possible failure of a material can be evaluated by up to six different criteria, of which three are predefined. They are evaluated at the top and bottom (or middle) of each layer at each of the in-plane integration points. The failure criteria are:

2.4.4. Maximum Strain Failure Criteria

(2–91)

where:

ξ1 = value of maximum strain failure criterion
εx = strain in layer x-direction

2.4.5. Maximum Stress Failure Criteria

(2–92)

where:

ξ2 = value of maximum stress failure criterion
σx = stress in layer x-direction

2.4.6. Tsai-Wu Failure Criteria

If the criterion used is the “strength index”:

(2–93)

and if the criterion used is the inverse of the "strength ratio":

(2–94)

where:

ξ3 = value of Tsai-Wu failure criterion
Cxy, Cyz, Cxz = x-y, y-z, x-z, respectively, coupling coefficient for Tsai-Wu theory

The Tsai-Wu failure criteria used here are 3-D versions of the failure criterion reported in of Tsai and Hahn(190) for the 'strength index' and of Tsai(93) for the 'strength ratio'. Apparent differences are:

  1. The program input used negative values for compression limits, whereas Tsai uses positive values for all limits.

  2. The program uses Cxy instead of the [image] used by Tsai and Hahn with Cxy being twice the value of [image].

2.4.7. Safety Tools in the ANSYS Workbench Product

The ANSYS Workbench product uses safety tools that are based on four different stress quantities:

  1. Equivalent stress (σe).

    This is the same as given in (Equation 2–88).

  2. Maximum tensile stress (σ1).

    This is the same as given in (Equation 2–86).

  3. Maximum shear stress (τMAX)

    This uses Mohr's circle:

            (2–95)

    where:

    σ1 and σ3 = principal stresses, defined in (Equation 2–86).

  4. Mohr-Coulomb stress

    This theory uses a stress limit based on

            (2–96)

    where:

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.3. Structural Strain and Stress Evaluations 		Up / Home Next
Chapter 3. Structures with Geometric Nonlinearities


Chapter 3. Structures with Geometric Nonlinearities

This chapter discusses the various geometrically nonlinear options within the ANSYS program, including large strain, large deflection, stress stiffening, pressure load stiffness, and spin softening. Only elements with displacements degrees of freedom (DOFs) are applicable. Not included in this section are the multi-status elements (such as LINK10, CONTAC12, COMBIN40, and CONTAC52, discussed in "Element Library") and the eigenvalue buckling capability (discussed in Buckling Analysis).

The following topics are available:

  • Understanding Geometric Nonlinearities
  • Large Strain
  • Large Rotation
  • Stress Stiffening
  • Spin Softening
  • General Element Formulations
  • Constraints and Lagrange Multiplier Method

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
2.4. Combined Stresses and Strains 		Up / Home Next
3.1. Understanding Geometric Nonlinearities


3.1. Understanding Geometric Nonlinearities

Geometric nonlinearities refer to the nonlinearities in the structure or component due to the changing geometry as it deflects. That is, the stiffness [K] is a function of the displacements {u}. The stiffness changes because the shape changes and/or the material rotates. The program can account for four types of geometric nonlinearities:

  1. Large strain assumes that the strains are no longer infinitesimal (they are finite). Shape changes (e.g. area, thickness, etc.) are also accounted for. Deflections and rotations may be arbitrarily large.

  2. Large rotation assumes that the rotations are large but the mechanical strains (those that cause stresses) are evaluated using linearized expressions. The structure is assumed not to change shape except for rigid body motions. The elements of this class refer to the original configuration.

  3. Stress stiffening assumes that both strains and rotations are small. A 1st order approximation to the rotations is used to capture some nonlinear rotation effects.

  4. Spin softening also assumes that both strains and rotations are small. This option accounts for the radial motion of a body's structural mass as it is subjected to an angular velocity. Hence it is a type of large deflection but small rotation approximation.

All elements support the spin softening capability, while only some of the elements support the other options. Please refer to the Elements Reference for details.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 3. Structures with Geometric Nonlinearities 		Up / Home Next
3.2. Large Strain


3.2. Large Strain

When the strains in a material exceed more than a few percent, the changing geometry due to this deformation can no longer be neglected. Analyses which include this effect are called large strain, or finite strain, analyses. A large strain analysis is performed in a static (ANTYPE,STATIC) or transient (ANTYPE,TRANS) analysis while flagging large deformations (NLGEOM,ON) when the appropriate element type(s) is used.

The remainder of this section addresses the large strain formulation for elastic-plastic elements. These elements use a hypoelastic formulation so that they are restricted to small elastic strains (but allow for arbitrarily large plastic strains). Hyperelasticity addresses the large strain formulation for hyperelastic elements, which allow arbitrarily large elastic strains.

3.2.1. Theory

The theory of large strain computations can be addressed by defining a few basic physical quantities (motion and deformation) and the corresponding mathematical relationship. The applied loads acting on a body make it move from one position to another. This motion can be defined by studying a position vector in the “deformed” and “undeformed” configuration. Say the position vectors in the “deformed” and “undeformed” state are represented by {x} and {X} respectively, then the motion (displacement) vector {u} is computed by (see Figure 3.1: "Position Vectors and Motion of a Deforming Body"):

(3–1)

Figure 3.1 Position Vectors and Motion of a Deforming Body

The deformation gradient is defined as:

(3–2)

which can be written in terms of the displacement of the point via (Equation 3–1) as:

(3–3)

where:

[I] = identity matrix

The information contained in the deformation gradient [F] includes the volume change, the rotation and the shape change of the deforming body. The volume change at a point is

(3–4)

where:

Vo = original volume
V = current volume
det [ [image]] = determinant of the matrix

The deformation gradient can be separated into a rotation and a shape change using the right polar decomposition theorem:

(3–5)

where:

[R] = rotation matrix ([R]T[R] = [I])
[U] = right stretch (shape change) matrix

Once the stretch matrix is known, a logarithmic or Hencky strain measure is defined as:

(3–6)

([ε] is in tensor (matrix) form here, as opposed to the usual vector form {ε}). Since [U] is a 2nd order tensor (matrix), (Equation 3–6) is determined through the spectral decomposition of [U]:

(3–7)

where:

λi = eigenvalues of [U] (principal stretches)
{ei} = eigenvectors of [U] (principal directions)

The polar decomposition theorem ((Equation 3–5)) extracts a rotation [R] that represents the average rotation of the material at a point. Material lines initially orthogonal will not, in general, be orthogonal after deformation (because of shearing), see Figure 3.2: "Polar Decomposition of a Shearing Deformation". The polar decomposition of this deformation, however, will indicate that they will remain orthogonal (lines x-y' in Figure 3.2: "Polar Decomposition of a Shearing Deformation"). For this reason, non-isotropic behavior (e.g. orthotropic elasticity or kinematic hardening plasticity) should be used with care with large strains, especially if large shearing deformation occurs.

Figure 3.2 Polar Decomposition of a Shearing Deformation

3.2.2. Implementation

Computationally, the evaluation of (Equation 3–6) is performed by one of two methods using the incremental approximation (since, in an elastic-plastic analysis, we are using an incremental solution procedure):

(3–8)

with

(3–9)

where [ΔUn] is the increment of the stretch matrix computed from the incremental deformation gradient:

(3–10)

where [ΔFn] is:

(3–11)

[Fn] is the deformation gradient at the current time step and [Fn-1] is at the previous time step. Two methods are employed for evaluating (Equation 3–9).

Method 1 (Weber, et al.(127)) uses the idea of (Equation 3–7):

(3–12)

where λi and {ei} are the eigenvalue and eigenvector for the ith principal stretch increment of the incremental stretch matrix [ΔUn], (Equation 3–10). This is the method employed by the large strain solids VISCO106, VISCO107 and VISCO108.

Method 2 (Hughes(156)) uses the approximate 2nd order accurate calculation:

(3–13)

where [R1/2] is the rotation matrix computed from the polar decomposition of the deformation gradient evaluated at the midpoint configuration:

(3–14)

where [F1/2] is (using (Equation 3–3)):

(3–15)

and the midpoint displacement is:

(3–16)

{un} is the current displacement and {un-1} is the displacement at the previous time step. [Δεn] is the “rotation-neutralized” strain increment over the time step. The strain increment [image] is also computed from the midpoint configuration:

(3–17)

{Δun} is the displacement increment over the time step and [B1/2] is the strain-displacement relationship evaluated at the midpoint geometry:

(3–18)

This method is an excellent approximation to the logarithmic strain if the strain steps are less than ~10%. This method is used by the standard 2-D and 3-D solid and shell elements.

The computed strain increment [Δεn] (or equivalently {Δεn}) can then be added to the previous strain {εn-1} to obtain the current total Hencky strain:

(3–19)

This strain can then be used in the stress updating procedures, see Rate-Independent Plasticity and Rate-Dependent Plasticity for discussions of the rate-independent and rate-dependent procedures respectively.

3.2.3. Definition of Thermal Strains

According to Callen(243), the coefficient of thermal expansion is defined as the fractional increase in the length per unit increase in the temperature. Mathematically,

(3–20)

where:

α = coefficient of thermal expansion
= current length
T = temperature

Rearranging (Equation 3–20) gives:

(3–21)

On the other hand, the logarithmic strain is defined as:

(3–22)

where:

= logarithmic strain
o = initial length

Differential of (Equation 3–22) yields:

(3–23)

Comparison of (Equation 3–21) and (Equation 3–23) gives:

(3–24)

Integration of (Equation 3–24) yields:

(3–25)

where:

= initial (reference) strain at temperature To
To = reference temperature

In the absence of initial strain ( [image] ), then (Equation 3–25) reduces to:

(3–26)

The thermal strain corresponds to the logarithmic strain. As an example problem, consider a line element of a material with a constant coefficient of thermal expansion α. If the length of the line is [image] o at temperature To, then the length after the temperature increases to T is:

(3–27)

Now if one interpreted the thermal strain as the engineering (or nominal) strain, then the final length would be different.

(3–28)

where:

εe = engineering strain

The final length is then:

(3–29)

However, the difference should be very small as long as:

(3–30)

because

(3–31)

3.2.4. Element Formulation

The element matrices and load vectors are derived using an updated Lagrangian formulation. This produces equations of the form:

(3–32)

where the tangent matrix [image] has the form:

(3–33)

[Ki] is the usual stiffness matrix:

(3–34)

[Bi] is the strain-displacement matrix in terms of the current geometry {Xn} and [Di] is the current stress-strain matrix.

[Si] is the stress stiffness (or geometric stiffness) contribution, written symbolically as:

(3–35)

where [Gi] is a matrix of shape function derivatives and [τi] is a matrix of the current Cauchy (true) stresses {σi} in the global Cartesian system. The Newton-Raphson restoring force is:

(3–36)

All of the plane stress and shell elements account for the thickness changes due to the out-of-plane strain εz (Hughes and Carnoy(157)). Shells, however, do not update their reference plane (as might be required in a large strain out-of-plane bending deformation); the thickness change is assumed to be constant through the thickness. General element formulations using finite deformation are developed in General Element Formulations and are applicable to the 18x solid elements.

3.2.5. Applicable Input

NLGEOM,ON activates large strain computations in those elements which support it. SSTIF,ON activates the stress-stiffening contribution to the tangent matrix.

3.2.6. Applicable Output

For elements which have large strain capability, stresses (output as S) are true (Cauchy) stresses in the rotated element coordinate system (the element coordinate system follows the material as it rotates). Strains (output as EPEL, EPPL, etc.) are the logarithmic or Hencky strains, also in the rotated element coordinate system.

An exception is for the hyperelastic elements. For these elements, stress and strain components maintain their original orientations and some of these elements use other strain measures.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.1. Understanding Geometric Nonlinearities 		Up / Home Next
3.3. Large Rotation


3.3. Large Rotation

If the rotations are large but the mechanical strains (those that cause stresses) are small, then a large rotation procedure can be used. A large rotation analysis is performed in a static (ANTYPE,STATIC) or transient (ANTYPE,TRANS) analysis while flagging large deformations (NLGEOM,ON) when the appropriate element type is used. Note that all large strain elements also support this capability, since both options account for the large rotations and for small strains, the logarithmic strain measure and the engineering strain measure coincide.

3.3.1. Theory

Large Strain presented the theory for general motion of a material point. Large rotation theory follows a similar development, except that the logarithmic strain measure ((Equation 3–6)) is replaced by the Biot, or small (engineering) strain measure:

(3–37)

where:

[U] = stretch matrix
[I] = 3 x 3 identity matrix

3.3.2. Implementation

A corotational (or convected coordinate) approach is used in solving large rotation/small strain problems (Rankin and Brogan(66)). "Corotational" may be thought of as "rotated with". The nonlinearities are contained in the strain-displacement relationship which for this algorithm takes on the special form:

(3–38)

where:

[Bv] = usual small strain-displacement relationship in the original (virgin) element coordinate system
[Tn] = orthogonal transformation relating the original element coordinates to the convected (or rotated) element coordinates

The convected element coordinate frame differs from the original element coordinate frame by the amount of rigid body rotation. Hence [Tn] is computed by separating the rigid body rotation from the total deformation {un} using the polar decomposition theorem, (Equation 3–5). From (Equation 3–38), the element tangent stiffness matrix has the form:

(3–39)

and the element restoring force is:

(3–40)

where the elastic strain is computed from:

(3–41)

is the element deformation which causes straining as described in a subsequent subsection.

The large rotation process can be summarized as a three step process for each element:

  1. Determine the updated transformation matrix [Tn] for the element.

  2. Extract the deformational displacement [image] from the total element displacement {un} for computing the stresses as well as the restoring force [image] .

  3. After the rotational increments in {Δu} are computed, update the node rotations appropriately. All three steps require the concept of a rotational pseudovector in order to be efficiently implemented (Rankin and Brogan(66), Argyris(67)).

3.3.3. Element Transformation

The updated transformation matrix [Tn] relates the current element coordinate system to the global Cartesian coordinate system as shown in Figure 3.3: "Element Transformation Definitions".

Figure 3.3 Element Transformation Definitions

[Tn] can be computed directly or the rotation of the element coordinate system [Rn] can be computed and related to [Tn] by

(3–42)

where [Tv] is the original transformation matrix. The determination of [Tn] is unique to the type of element involved, whether it is a solid element, shell element, beam element, or spar element.

Solid Elements. The rotation matrix [Rn] for these elements is extracted from the displacement field using the deformation gradient coupled with the polar decomposition theorem (see Malvern(87)).
Shell Elements. The updated normal direction (element z direction) is computed directly from the updated coordinates. The computation of the element normal is given in "Element Library" for each particular shell element. The extraction procedure outlined for solid elements is used coupled with the information on the normal direction to compute the rotation matrix [Rn].
Beam Elements. The nodal rotation increments from {Δu} are averaged to determine the average rotation of the element. The updated average element rotation and then the rotation matrix [Rn] is computed using Rankin and Brogan(66). In special cases where the average rotation of the element computed in the above way differs significantly from the average rotation of the element computed from nodal translations, the quality of the results will be degraded.
Link Elements. The updated transformation [Tn] is computed directly from the updated coordinates.
Generalized Mass Element (MASS21). The nodal rotation increment from {Δu} is used to update the element rotation which then yields the rotation matrix [Rn].

3.3.4. Deformational Displacements

The displacement field can be decomposed into a rigid body translation, a rigid body rotation, and a component which causes strains:

(3–43)

where:

{ur} = rigid body motion
{ud} = deformational displacements which cause strains

{ud} contains both translational as well as rotational DOF.

The translational component of the deformational displacement can be extracted from the displacement field by

(3–44)

where:

= translational component of the deformational displacement
[Rn] = current element rotation matrix
{xv} = original element coordinates in the global coordinate system
{u} = element displacement vector in global coordinates

{ud} is in the global coordinate system.

For elements with rotational DOFs, the rotational components of the deformational displacement must be computed. The rotational components are extracted by essentially “subtracting” the nodal rotations {u} from the element rotation given by {ur}. In terms of the pseudovectors this operation is performed as follows for each node:

  1. Compute a transformation matrix from the nodal pseudovector {θn} yielding [Tn].

  2. Compute the relative rotation [Td] between [Rn] and [Tn]:

            (3–45)

    This relative rotation contains the rotational deformations of that node as shown in Figure 3.4: "Definition of Deformational Rotations".

  3. Extract the nodal rotational deformations {ud} from [Td].

Because of the definition of the pseudovector, the deformational rotations extracted in step 3 are limited to less than 30°, since 2sin(θ /2) no longer approximates θ itself above 30°. This limitation only applies to the rotational distortion (i.e., bending) within a single element.

Figure 3.4 Definition of Deformational Rotations

3.3.5. Updating Rotations

Once the transformation [T] and deformational displacements {ud} are determined, the element matrices (Equation 3–39) and restoring force (Equation 3–40) can be determined. The solution of the system of equations yields a displacement increment {Δu}. The nodal rotations at the element level are updated with the rotational components of {Δu}. The global rotations (in the output and on the results file) are not updated with the pseudovector approach, but are simply added to the previous rotation in {un-1}.

3.3.6. Applicable Input

The large rotation computations in those elements which support it are activated by the large deformation key (NLGEOM,ON). Stress-stiffening (SSTIF,ON) contributes to the tangent stiffness matrix (which may be required for structures weak in bending resistance).

3.3.7. Applicable Output

Stresses (output as S) are engineering stresses in the rotated element coordinate system (the element coordinate system follows the material as it rotates). Strains (output as EPEL, EPPL, etc.) are engineering strains, also in the rotated element coordinate system. This applies to element types that do not have large strain capability. For element types that have large strain capability, see Large Strain.

3.3.8. Consistent Tangent Stiffness Matrix and Finite Rotation

It has been found in many situations that the use of consistent tangent stiffness in a nonlinear analysis can speed up the rate of convergence greatly. It normally results in a quadratic rate of convergence. A consistent tangent stiffness matrix is derived from the discretized finite element equilibrium equations without the introduction of various approximations. The terminology of finite rotation in the context of geometrical nonlinearity implies that rotations can be arbitrarily large and can be updated accurately. A consistent tangent stiffness accounting for finite rotations derived by Nour-Omid and Rankin(175) for beam/shell elements is used. The technology of consistent tangent matrix and finite rotation makes the buckling and postbuckling analysis a relatively easy task. KEYOPT(2) = 1 implemented in BEAM4 and SHELL63 uses this technology. The theory of finite rotation representation and update has been described in Large Rotation using a pseudovector representation. The following will outline the derivations of a consistent tangent stiffness matrix used for the corotational approach.

The nonlinear static finite element equations solved can be characterized by at the element level by:

(3–46)

where:

N = number of total elements
= element internal force vector in the element coordinate system, generally see (Equation 3–47)
[Tn]T = transform matrix transferring the local internal force vector into the global coordinate system
= applied load vector at the element level in the global coordinate system

(3–47)

Hereafter, we shall focus on the derivation of the consistent tangent matrix at the element level without introducing an approximation. The consistent tangent matrix is obtained by differentiating (Equation 3–46) with respect to displacement variables {ue}:

(3–48)

It can be seen that Part I is the main tangent matrix (Equation 3–39) and Part II is the stress stiffening matrix ((Equation 3–35), (Equation 3–62) or (Equation 3–65)). Part III is another part of the stress stiffening matrix (see Nour-Omid and Rankin(175)) traditionally neglected in the past. However, many numerical experiments have shown that Part III of [image] is essential to the faster rate of convergence. KEYOPT(2) = 1 implemented in BEAM4 and SHELL63 allows the use of [image] as shown in (Equation 3–48). In some cases, Part III of [image] is unsymmetric; when this occurs, a procedure of symmetrizing [image] is invoked.

As Part III of the consistent tangent matrix utilizes the internal force vector [image] to form the matrix, it is required that the internal vector [image] not be so large as to dominate the main tangent matrix (Part I). This can normally be guaranteed if the realistic material and geometry are used, that is, the element is not used as a rigid link and the actual thicknesses are input.

It is also noted that the consistent tangent matrix (Equation 3–48) is very suitable for use with the arc-length solution method.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.2. Large Strain 		Up / Home Next
3.4. Stress Stiffening


3.4. Stress Stiffening

3.4.1. Overview and Usage

Stress stiffening (also called geometric stiffening, incremental stiffening, initial stress stiffening, or differential stiffening by other authors) is the stiffening (or weakening) of a structure due to its stress state. This stiffening effect normally needs to be considered for thin structures with bending stiffness very small compared to axial stiffness, such as cables, thin beams, and shells and couples the in-plane and transverse displacements. This effect also augments the regular nonlinear stiffness matrix produced by large strain or large deflection effects (NLGEOM,ON). The effect of stress stiffening is accounted for by generating and then using an additional stiffness matrix, hereinafter called the “stress stiffness matrix”. The stress stiffness matrix is added to the regular stiffness matrix in order to give the total stiffness (SSTIF,ON command). Stress stiffening may be used for static (ANTYPE,STATIC) or transient (ANTYPE,TRANS) analyses. Working with the stress stiffness matrix is the pressure load stiffness, discussed in Pressure Load Stiffness.

The stress stiffness matrix is computed based on the stress state of the previous equilibrium iteration. Thus, to generate a valid stress-stiffened problem, at least two iterations are normally required, with the first iteration being used to determine the stress state that will be used to generate the stress stiffness matrix of the second iteration. If this additional stiffness affects the stresses, more iterations need to be done to obtain a converged solution.

In some linear analyses, the static (or initial) stress state may be large enough that the additional stiffness effects must be included for accuracy. Modal (ANTYPE,MODAL), reduced harmonic (ANTYPE,HARMIC with Method = FULL or REDUC on the HROPT command), reduced transient (ANTYPE,TRANS with Method = REDUC on the TRNOPT command) and substructure (ANTYPE,SUBSTR) analyses are linear analyses for which the prestressing effects can be requested to be included (PSTRES,ON command). Note that in these cases the stress stiffness matrix is constant, so that the stresses computed in the analysis (e.g. the transient or harmonic stresses) are assumed small compared to the prestress stress.

If membrane stresses should become compressive rather than tensile, then terms in the stress stiffness matrix may “cancel” the positive terms in the regular stiffness matrix and therefore yield a nonpositive-definite total stiffness matrix, which indicates the onset of buckling. If this happens, it is indicated with the message: “Large negative pivot value ___, at node ___ may be because buckling load has been exceeded”. It must be noted that a stress stiffened model with insufficient boundary conditions to prevent rigid body motion may yield the same message.

The linear buckling load can be calculated directly by adding an unknown multiplier of the stress stiffness matrix to the regular stiffness matrix and performing an eigenvalue buckling problem (ANTYPE,BUCKLE) to calculate the value of the unknown multiplier. This is discussed in more detail in Buckling Analysis.

3.4.2. Theory

The strain-displacement equations for the general motion of a differential length fiber are derived below. Two different results have been obtained and these are both discussed below. Consider the motion of a differential fiber, originally at dS, and then at ds after deformation.

Figure 3.5 General Motion of a Fiber

One end moves {u}, and the other end moves {u + du}, as shown in Figure 3.5: "General Motion of a Fiber". The motion of one end with the rigid body translation removed is {u + du} - {u} = {du}. {du} may be expanded as

(3–49)

where u is the displacement parallel to the original orientation of the fiber. This is shown in Figure 3.6: "Motion of a Fiber with Rigid Body Motion Removed". Note that X, Y, and Z represent global Cartesian axes, and x, y, and z represent axes based on the original orientation of the fiber. By the Pythagorean theorem,

(3–50)

The stretch, Λ, is given by dividing ds by the original length dS:

(3–51)

Figure 3.6 Motion of a Fiber with Rigid Body Motion Removed

As dS is along the local x axis,

(3–52)

Next, Λ is expanded and converted to partial notation:

(3–53)

The binominal theorem states that:

(3–54)

when A2 < 1. One should be aware that using a limited number of terms of this series may restrict its applicability to small rotations and small strains. If the first two terms of the series in (Equation 3–54) are used to expand (Equation 3–53),

(3–55)

The resultant strain (same as extension since strains are assumed to be small) is then

(3–56)

If, more accurately, the first three terms of (Equation 3–54) are used and displacement derivatives of the third order and above are dropped, (Equation 3–54) reduces to:

(3–57)

The resultant strain is:

(3–58)

For most 2-D and 3-D elements, (Equation 3–56) is more convenient to use as no account of the loaded direction has to be considered. The error associated with this is small as the strains were assumed to be small. For 1-D structures, and some 2-D elements, (Equation 3–58) is used for its greater accuracy and causes no difficulty in its implementation.

3.4.3. Implementation

The stress-stiffness matrices are derived based on (Equation 3–35), but using the nonlinear strain-displacement relationships given in (Equation 3–56) or (Equation 3–58) (Cook(5)).

For a spar such as LINK8 the stress-stiffness matrix is given as:

(3–59)

The stress stiffness matrix for a 2-D beam (BEAM3) is given in (Equation 3–60), which is the same as reported by Przemieniecki(28). All beam and straight pipe elements use the same type of matrix. The 3-D beam and straight pipe elements (except BEAM188 and BEAM189) do not account for twist buckling. Forces used by straight pipe elements are based on not only the effect of axial stress with pipe wall, but also internal and external pressures on the "end-caps" of each element. This force is sometimes referred to as effective tension.

(3–60)

where:

F = force in member
L = length of member

The stress stiffness matrix for 2-D and 3-D solid elements is generated by the use of numerical integration. A 3-D solid element (SOLID45) is used here as an example:

(3–61)

where the matrices shown in (Equation 3–61) have been reordered so that first all x-direction DOF are given, then y, and then z. [So] is an 8 by 8 matrix given by:

(3–62)

The matrices used by this equation are:

(3–63)

where σx, σxy etc. are stress based on the displacements of the previous iteration, and,

(3–64)

where Ni represents the ith shape function. This is the stress stiffness matrix for small strain analyses. For large strain elements in a large strain analysis (NLGEOM,ON), the stress stiffening contribution is computed using the actual strain-displacement relationship ((Equation 3–6)).

One further case requires some explanation: axisymmetric structures with nonaxisymmetric deformations. As any stiffening effects may only be axisymmetric, only axisymmetric cases are used for the prestress case. Axisymmetric cases are defined as [image] (input as MODE on MODE command) = 0. Then, any subsequent load steps with any value of [image] (including 0 itself) uses that same stress state, until another, more recent, [image] = 0 case is available. Also, torsional stresses are not incorporated into any stress stiffening effects.

Specializing this to SHELL61 (Axisymmetric-Harmonic Structural Shell), only two stresses are used for prestressing: σs, σθ, the meridional and hoop stresses, respectively. The element stress stiffness matrix is:

(3–65)

(3–66)

where [As] is defined below and [N] is defined by the element shape functions. [As] is an operator matrix and its terms are:

(3–67)

where:

The three columns of the [As] matrix refer to u, v, and w motions, respectively. As suggested by the definition for [Sm], the first two rows of [As] relate to σs and the second two rows relate to σθ. The first row of [As] is for motion normal to the shell varying in the s direction and the second row is for hoop motions varying in the s direction. Similarly, the third row is for normal motions varying in the hoop direction. Thus (Equation 3–58), rather than (Equation 3–56), is the type of nonlinear strain-displacement expression that has been used to develop (Equation 3–67).

3.4.4. Pressure Load Stiffness

Quite often concentrated forces are treated numerically by equivalent pressure over a known area. This is especially common in the context of a linear static analysis. However, it is possible that different buckling loads may be predicted from seemingly equivalent pressure and force loads in a eigenvalue buckling analysis. The difference can be attributed to the fact that pressure is considered as a “follower” load. The force on the surface depends on the prescribed pressure magnitude and also on the surface orientation. Concentrated loads are not considered as follower loads. The follower effects is a preload stiffness and plays a significant role in nonlinear and eigenvalue buckling analysis. The follower effects manifest in the form of a “load stiffness matrix” in addition to the normal stress stiffening effects. As with any numerical analysis, it is recommended to use the type of loading which best models the in-service component.

The effect of change of direction and/or area of an applied pressure is responsible for the pressure load stiffness matrix ([Spr]) (see section 6.5.2 of Bonet and Wood(236)). It is used either for a large deflection analysis (NLGEOM,ON), regardless of the request for stress stiffening (SSTIF command), for an eigenvalue buckling analysis, or for a modal, linear transient, or harmonic response analysis that has prestressing flagged (PSTRES,ON command).

The need of [Spr] is most dramatically seen when modelling the collapse of a ring due to external pressure using eigenvalue buckling. The expected answer is:

(3–68)

where:

Pcr = critical buckling load
E = Young's modulus
I = moment of inertia
R = radius of the ring
C = 3.0

This value of C = 3.0 is achieved when using [Spr], but when it is missing, C = 4.0, a 33% error.

[Spr] is available only for those elements identified as such in Table 2.9: " Elements Having Nonlinear Geometric Capability" in the Elements Reference.

For eigenvalue buckling analyses, all elements with pressure load stiffness capability use that capability. Otherwise, its use is controlled by KEY3 on the SOLCONTROL command.

[Spr] is derived as an unsymmetric matrix. Symmetricizing is done, unless the command NROPT,UNSYM is used. Processing unsymmetric matrices takes more running time and storage, but may be more convergent.

3.4.5. Applicable Input

In a nonlinear analysis (ANTYPE,STATIC or ANTYPE,TRANS), the stress stiffness contribution is activated (SSTIF,ON) and then added to the stiffness matrix. When not using large deformations (NLGEOM,OFF), the rotations are presumed to be small and the additional stiffness induced by the stress state is included. When using large deformations (NLGEOM,ON), the stress stiffness augments the tangent matrix, affecting the rate of convergence but not the final converged solution.

The stress stiffness contribution in the prestressed analysis is activated by the prestress flag (PSTRES,ON) and directs the preceding analysis to save the stress state.

3.4.6. Applicable Output

In a small deflection/small strain analysis (NLGEOM,OFF), the 2-D and 3-D elements compute their strains using (Equation 3–56). The strains (output as EPEL, EPPL, etc.) therefore include the higher-order terms (e.g. in the strain computation. Also, nodal and reaction loads (output quantities F and M) will reflect the stress stiffness contribution, so that moment and force equilibrium include the higher order (small rotation) effects.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.3. Large Rotation 		Up / Home Next
3.5. Spin Softening


3.5. Spin Softening

The vibration of a spinning body will cause relative circumferential motions, which will change the direction of the centrifugal load which, in turn, will tend to destabilize the structure. As a small deflection analysis cannot directly account for changes in geometry, the effect can be accounted for by an adjustment of the stiffness matrix, called spin softening. Spin softening (input with KSPIN on the OMEGA command) is intended for use only with modal (ANTYPE,MODAL), harmonic response (ANTYPE,HARMIC), reduced transient (ANTYPE,TRANS, with TRNOPT,REDUC) or substructure (ANTYPE,SUBSTR) analyses. When doing a static (ANTYPE,STATIC) or a full transient (ANTYPE,TRANS with TRNOPT,FULL) analysis, this effect is more accurately accounted for by large deflections (NLGEOM,ON).

Consider a simple spring-mass system, with the spring oriented radially with respect to the axis of rotation, as shown in Figure 3.7: "Spinning Spring-Mass System". Equilibrium of the spring and centrifugal forces on the mass using small deflection logic requires:

(3–69)

where:

u = radial displacement of the mass from the rest position
r = radial rest position of the mass with respect to the axis of rotation
ωs = angular velocity of rotation

Figure 3.7 Spinning Spring-Mass System

However, to account for large deflection effects, (Equation 3–69) must be expanded to:

(3–70)

Rearranging terms,

(3–71)

Defining:

(3–72)

and

(3–73)

(Equation 3–71) becomes simply,

(3–74)

is the stiffness needed in a small deflection solution to account for large deflection effects. is the same as that derived from small deflection logic. Thus, the large deflection effects are included in a small deflection solution. This decrease in the effective stiffness matrix is called spin (or centrifugal) softening. See also Carnegie(104) for additional development.

Extension of (Equation 3–72) into three dimensions is illustrated for a single noded element here:

(3–75)

with

(3–76)

where:

ωx, ωy, ωz = x, y, and z components of the angular velocity (input with OMEGA or CMOMEGA command)

It can be seen from (Equation 3–75)and (Equation 3–76) that if there are more than one non-zero component of angular velocity of rotation, the stiffness matrix may become unsymmetric. For example, for a diagonal mass matrix with a different mass in each direction, the [image] matrix becomes nonsymmetric with the expression in (Equation 3–75) expanded as:

(3–77)

(3–78)

(3–79)

(3–80)

(3–81)

(3–82)

(3–83)

(3–84)

(3–85)

where:

Kxx, Kyy, Kzz = x, y, and z components of stiffness matrix as computed by the element
Kxy, Kyx, Kxz, Kzx, Kyz, Kzy = off-diagonal components of stiffness matrix as computed by the element
Mxx, Myy, Mzz = x, y, and z components of mass matrix

From (Equation 3–77) thru (Equation 3–85), it may be seen that there are spin softening effects only in the plane of rotation, not normal to the plane of rotation. Using the example of a modal analysis, (Equation 3–72) can be combined with (Equation 17–40) to give:

(3–86)

or

(3–87)

where:

ω = the natural circular frequencies of the rotating body.

If stress stiffening is added to (Equation 3–87), the resulting equation is:

(3–88)

Stress stiffening is normally applied whenever spin softening is activated, even though they are independent theoretically. The modal analysis of a thin fan blade is shown in Figure 3.8: "Effects of Spin Softening and Stress Stiffening".

Figure 3.8 Effects of Spin Softening and Stress Stiffening

On Fan Blade Natural Frequencies

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.4. Stress Stiffening 		Up / Home Next
3.6. General Element Formulations


3.6. General Element Formulations

Element formulations developed in this section are applicable for general finite strain deformation. Naturally, they are applicable to small deformations, small deformation-large rotations, and stress stiffening as particular cases. The formulations are based on principle of virtual work. Minimal assumptions are used in arriving at the slope of nonlinear force-displacement relationship, i.e., element tangent stiffness. Hence, they are also called consistent formulations. These formulations have been implemented in PLANE182, PLANE183 , SOLID185, and SOLID186. SOLID187, SOLSH190, LINK180, SHELL181, BEAM188, BEAM189, SHELL208, SHELL209, and SHELL281 are further specializations of the general theory.

In this section, the convention of index notation will be used. For example, repeated subscripts imply summation on the possible range of the subscript, usually the space dimension, so that σii = σ11 + σ22 + σ33, where 1, 2, and 3 refer to the three coordinate axes x1, x2, and x3, otherwise called x, y, and z.

3.6.1. Fundamental Equations

General finite strain deformation has the following characteristics:

  • Geometry changes during deformation. The deformed domain at a particular time is generally different from the undeformed domain and the domain at any other time.

  • Strain is no longer infinitesimal so that a large strain definition has to be employed.

  • Cauchy stress can not be updated simply by adding its increment. It has to be updated by a particular algorithm in order to take into account the finite deformation.

  • Incremental analysis is necessary to simulate the nonlinear behaviors.

The updated Lagrangian method is applied to simulate geometric nonlinearities (accessed with NLGEOM,ON). Assuming all variables, such as coordinates xi, displacements ui, strains εij, stresses σij, velocities vi, volume V and other material variables have been solved for and are known at time t; one solves for a set of linearized simultaneous equations having displacements (and hydrostatic pressures in the mixed u-P formulation) as primary unknowns to obtain the solution at time t + Δt. These simultaneous equations are derived from the element formulations which are based on the principle of virtual work:

(3–89)

where:

σij = Cauchy stress component
ui = displacement
xi = current coordinate
V = volume of deformed body
S = surface of deformed body on which tractions are prescribed

The internal virtual work can be indicated by:

(3–90)

where:

W = internal virtual work

Element formulations are obtained by differentiating the virtual work (Bonet and Wood(236) and Gadala and Wang(292)). In derivation, only linear differential terms are kept and all higher order terms are ignored so that finally a linear set of equations can be obtained.

In element formulation, material constitutive law has to be used to create the relation between stress increment and strain increment. The constitutive law only reflects the stress increment due to straining. However, the Cauchy stress is affected by the rigid body rotation and is not objective (not frame invariant). An objective stress is needed, therefore, to be able to be applied in constitutive law. One of these is Jaumann rate of Cauchy stress expressed by McMeeking and Rice(293)

(3–91)

where:

= Jaumann rate of Cauchy stress
= time rate of Cauchy stress

Therefore, the Cauchy stress rate is:

(3–92)

Using the constitutive law, the stress change due to straining can be expressed as:

(3–93)

where:

cijkl = material constitutive tensor
vi = velocity

The Cauchy stress rate can be shown as:

(3–94)

3.6.2. Classical Pure Displacement Formulation

Pure displacement formulation only takes displacements or velocities as primary unknown variables. All other quantities such as strains, stresses and state variables in history-dependent material models are derived from displacements. It is the most widely used formulation and is able to handle most nonlinear deformation problems.

The differentiation of δW:

(3–95)

From (Equation 3–94), the stress differentiation can be derived as:

(3–96)

where:

The differentiation of ωV is:

(3–97)

where:

ev = eii

Substitution of (Equation 3–96) and (Equation 3–97) into (Equation 3–95) yields:

(3–98)

The third term is unsymmetric and is usually insignificant in most of deformation cases. Hence, it is ignored. The final pure displacement formulation is:

(3–99)

The above equation is a set of linear equations of Dui or displacement change. They can be solved out by linear solvers. This formulation is exactly the same as the one published by McMeeking and Rice(293). The stiffness has two terms: the first one is material stiffness due to straining; the second one is stiffness due to geometric nonlinearity (stress stiffness).

Since no other assumption is made on deformation, the formulation can be applied to any deformation problems (small deformation, finite deformation, small deformation-large rotation, stress stiffening, etc.) so it is called a general element formulation.

To achieve higher efficiency, the second term or stress stiffness is included only if requested for analyses with geometric nonlinearities (NLGEOM,ON, PSTRES,ON, or SSTIF,ON) or buckling analysis (ANTYPE,BUCKLE).

3.6.3. Mixed u-P Formulations

The above pure displacement formulation is computationally efficient. However, the accuracy of any displacement formulation is dependent on Poisson's ratio or the bulk modulus. In such formulations, volumetric strain is determined from derivatives of displacements, which are not as accurately predicted as the displacements themselves. Under nearly incompressible conditions (Poisson's ratio is close to 0.5 or bulk modulus approaches infinity), any small error in the predicted volumetric strain will appear as a large error in the hydrostatic pressure and subsequently in the stresses. This error will, in turn, also affect the displacement prediction since external loads are balanced by the stresses. This may result in displacements very much smaller than they should be for a given mesh (this is called “locking”) or, in some cases, it will result in no convergence at all.

Another disadvantage of pure displacement formulation is that it is not to be able to handle fully incompressible deformation, such as fully incompressible hyperelastic materials.

To overcome these difficulties, mixed u-P formulations were developed as an option in 18x solid elements using KEYOPT(6) > 0. In these u-P formulations, the hydrostatic pressure [image] is interpolated on the element level and solved on the global level independently in the same way as displacements. The final stiffness matrix has the format of:

(3–100)

where:

Δu = displacement increment
= hydrostatic pressure increment

Since hydrostatic pressure is obtained on a global level instead of being calculated from volumetric strain, the solution accuracy is independent of Poisson's ratio and bulk modulus. Hence, it is more robust for nearly incompressible material. For fully incompressible material, mixed u-P formulation has to be employed in order to get solutions.

The pressure DOFs are brought to global level by using internal nodes. The internal nodes are different from the regular (external) nodes in the following aspects:

  • Each internal node is associated with only one element.

  • The location of internal nodes is not important. They are used only to bring the pressure DOFs into the global equations.

  • Internal nodes are created automatically and are not accessible by users.

The interpolation function of pressure is determined according to the order of elements. To remedy the locking problem, they are one order less than the interpolation function of strains or stresses. For 18x solid elements, the number of pressure DOFs, number of internal nodes, and interpolation functions are shown in Table 3.1: "Interpolation Functions of Hydrostatic Pressure".

Table 3.1 Interpolation Functions of Hydrostatic Pressure

Element | KEYOPT(6) | Internal nodes |  | Functions
182 | 1 | 1 | 1 |
183 | 1 | 2 | 3 |
185 | 1 | 1 | 1 |
186 | 1 | 2 | 4 |
187 | 1 | 1 | 1 |
187 | 2 | 2 | 4 |

In Table 3.1: "Interpolation Functions of Hydrostatic Pressure", [image], [image], [image], [image], and [image] are the pressure DOF at internal node i. s, t, and r are the natural coordinates.

3.6.4. u-P Formulation I

This formulation is for nearly incompressible materials other than hyperelastic materials. For these materials, the volumetric constraint equations or volumetric compatibility can be defined as (see Bathe(2) for details):

(3–101)

where:

K = bulk modulus

P can also be defined as:

(3–102)

In mixed formulation, stress is updated and reported by:

(3–103)

where:

δij = Kronecker delta
σij = Cauchy stress from constitutive law

so that the internal virtual work (Equation 3–90) can be expressed as:

(3–104)

Introduce the constraint (Equation 3–101) by Lagrangian multiplier [image], the augmented internal virtual work is:

(3–105)

Substitute (Equation 3–103) into above; it is obtained:

(3–106)

where:

ev = δij eij = eii

Take differentiation of (Equation 3–105), ignore all higher terms of Dui and D [image] than linear term, the final formulation can be expressed as:

(3–107)

This is a linear set of equations of Dui and D [image] (displacement and hydrostatic pressure changes). In the final mixed u-P formulation, the third term is the stress stiffness and is included only if requested (NLGEOM,ON, PSTRES,ON, or SSTIF,ON). The rest of the terms are based on the material stiffness. The first term is from material constitutive law directly or from straining; the second term is because of the stress modification ((Equation 3–103)); the fourth and fifth terms are the extra rows and columns in stiffness matrix due to the introduction of the extra DOF: pressure, i.e., KuP, KPu and KPP as in (Equation 3–100).

The stress stiffness in the above formulation is the same as the one in pure displacement formulation. All other terms exist even for small deformation and are the same as the one derived by Bathe(2) for small deformation problems.

It is worthwhile to indicate that in the mixed formulation of the higher order elements (PLANE183 , SOLID186 and SOLID187 with KEYOPT(6) = 1), elastic strain only relates to the stress in the element on an averaged basis, rather than pointwise. The reason is that the stress is updated by (Equation 3–103) and pressure [image] is interpolated independently in an element with a function which is one order lower than the function for volumetric strain. For lower order elements (PLANE182, SOLID185), this problem is eliminated since either B bar technology or uniform reduced integration is used; volumetric strain is constant within an element, which is consistent with the constant pressure [image] interpolation functions (see Table 3.1: "Interpolation Functions of Hydrostatic Pressure"). In addition, this problem will not arise in element SOLID187 with linear interpolation function of [image] (KEYOPT(6) = 2). This is because the order of interpolation function of [image] is the same as the one for volumetric strain. In other words, the number of DOF [image] in one element is large enough to make [image] consistent with the volumetric strain at each integration point. Therefore, when mixed formulation of element SOLID187 is used with nearly incompressible material, the linear interpolation function of [image] or KEYOPT(6) = 2 is recommended.

3.6.5. u-P Formulation II

A special formulation is necessary for fully incompressible hyperelastic material since the volume constraint equation is different and hydrostatic pressure can not be obtained from material constitutive law. Instead, it has to be calculated separately. For these kinds of materials, the stress has to be updated by:

(3–108)

where:

= deviatoric component of Cauchy stress tensor

The deviatoric component of deformation tensor defined by the eij term of (Equation 3–89) can be expressed as:

(3–109)

The internal virtual work ((Equation 3–90)) can be shown using [image] and [image]:

(3–110)

The volume constraint is the incompressible condition. For a fully incompressible hyperelastic material, it can be as defined by Sussman and Bathe(124), Bonet and Wood(236), Crisfield(294):

(3–111)

where:

= determinant of deformation gradient tensor
Xi = original coordinate
Vo = original volume

As in the mixed u-P formulation I (u-P Formulation I), the constraint (Equation 3–111) was introduced to the internal virtual work by the Lagrangian multiplier [image]. Then, differentiating the augmented internal virtual work, the final formulation is obtained.

This formulation is similar to the formulation for nearly incompressible materials, i.e. (Equation 3–107). The only major difference is that [KPP] = [0] in this formulation. This is because material in this formulation is fully incompressible.

3.6.6. u-P Formulation III

When material behavior is almost incompressible, the pure displacement formulation may be applicable. The bulk modulus of material, however, is usually very large and thus often results in a poorly ill-conditional matrix. To avoid this problem, a special mixed u-P formulation is therefore introduced. The almost incompressible material usually has small volume changes at all material integration points. A new variable [image] is introduced to quantify this small volume change, and the constraint equation

(3–112)

is enforced by introduction of the modified potential:

(3–113)

where:

W = hyperelastic strain energy potential
Q = energy augmentation due to volume constraint condition

3.6.7. Volumetric Constraint Equations in u-P Formulations

The final set of linear equations of mixed formulations (see (Equation 3–100)) can be grouped into two:

(3–114)

(3–115)

(Equation 3–114) are the equilibrium equations and (Equation 3–115) are the volumetric constraint equations. The total number of active equilibrium equations on a global level (indicated by Nd) is the total number of displacement DOFs without any prescribed displacement boundary condition. The total number of volumetric constraint equations (indicated by Np) is the total number of pressure DOFs in all mixed u-P elements. The optimal ratio of Nd/Np is 2 for 2-D elements and 3 for 3-D elements. When Nd/Np is too small, the system may have too many constraint equations which may result in a severe locking problem. On the other hand, when Nd/Np is too large, the system may have too few constraint equations which may result in too much deformation and loss of accuracy.

When Nd/Np < 1, the system has more volumetric constraint equations than equilibrium equations, thus the system is over-constrained. In this case, if the u-P formulation I is used, the system equations will be very ill-conditioned so that it is hard to keep accuracy of solution and may cause divergence. If the u-P formulation II is used, the system equation will be singular because [KPP] = [0] in this formulation so that the system is not solvable. Therefore, over-constrained models should be avoided as described in the Elements Reference.

Volumetric constraint is incorporated into the final equations as extra conditions. A check is made at the element level to see if the constraint equations are satisfied. The number of elements in which constraint equations have not been satisfied is reported.

For u-P formulation I, the volumetric constraint is met if:

(3–116)

and for u-P formulation II, the volumetric constraint is met if:

(3–117)

and for u-P formulation III, the volumetric constraint is met if:

(3–118)

where:

tolV = tolerance for volumetric compatibility (input as Vtol on SOLCONTROL command)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.5. Spin Softening 		Up / Home Next
3.7. Constraints and Lagrange Multiplier Method


3.7. Constraints and Lagrange Multiplier Method

Constraints are generally implemented using the Lagrange Multiplier Method (See Belytschko(348)). This formulation has been implemented in MPC184 as described in the Elements Reference. In this method, the internal energy term given by (Equation 3–90) is augmented by a set of constraints, imposed by the use of Lagrange multipliers and integrated over the volume leading to an augmented form of the virtual work equation:

(3–119)

where:

W' = augmented potential

and

(3–120)

is the set of constraints to be imposed.

The variation of the augmented potential is zero provided [image] (and, hence [image]) and, simultaneously:

(3–121)

The equation for augmented potential ((Equation 3–119)) is a system of ntot equations, where:

(3–122)

where:

ndof = number of degrees of freedom in the model
nc = number of Lagrange multipliers

The solution vector consists of the displacement degrees of freedom [image] and the Lagrange multipliers.

The stiffness matrix is of the form:

(3–123)

where:

= increments in displacements and Lagrange multiplier, respectively.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.6. General Element Formulations 		Up / Home Next
Chapter 4. Structures with Material Nonlinearities


Chapter 4. Structures with Material Nonlinearities

This chapter discusses the structural material nonlinearities of plasticity, creep, nonlinear elasticity, hyperelasticity, viscoelasticity, concrete and swelling. Not included in this section are the slider, frictional, or other nonlinear elements (such as COMBIN7, COMBIN40, CONTAC12, etc. discussed in "Element Library") that can represent other nonlinear material behavior.

The following topics are available:

  • Understanding Material Nonlinearities
  • Rate-Independent Plasticity
  • Rate-Dependent Plasticity
  • Gasket Material
  • Nonlinear Elasticity
  • Shape Memory Alloy Material Model
  • Hyperelasticity
  • Viscoelasticity
  • Concrete
  • Swelling
  • Cohesive Zone Material Model

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
3.7. Constraints and Lagrange Multiplier Method 		Up / Home Next
4.1. Understanding Material Nonlinearities


4.1. Understanding Material Nonlinearities

Material nonlinearities occur because of the nonlinear relationship between stress and strain; that is, the stress is a nonlinear function of the strain. The relationship is also path-dependent (except for the case of nonlinear elasticity and hyperelasticity), so that the stress depends on the strain history as well as the strain itself.

The ANSYS program can account for many material nonlinearities, as follows:

  1. Rate-independent plasticity is characterized by the irreversible instantaneous straining that occurs in a material.

  2. Rate-dependent plasticity allows the plastic-strains to develop over a time interval. This is also termed viscoplasticity.

  3. Creep is also an irreversible straining that occurs in a material and is rate-dependent so that the strains develop over time. The time frame for creep is usually much larger than that for rate-dependent plasticity.

  4. Gasket material may be modelled using special relationships.

  5. Nonlinear elasticity allows a nonlinear stress-strain relationship to be specified. All straining is reversible.

  6. Hyperelasticity is defined by a strain energy density potential that characterizes elastomeric and foam-type materials. All straining is reversible.

  7. Viscoelasticity is a rate-dependent material characterization that includes a viscous contribution to the elastic straining.

  8. Concrete materials include cracking and crushing capability.

  9. Swelling allows materials to enlarge in the presence of neutron flux.

Only the concrete element (SOLID65) supports the concrete model and only the viscoelastic elements (VISCO88, VISCO89) support the viscoelastic material model. Note that also listed in this table are how many stress and strain components are involved. One component uses x (e.g., SX, EPELX, etc.), four components use X, Y, Z, XY and six components use X, Y, Z, XY, YZ, XZ.

The plastic pipe elements (PIPE20 and PIPE60) have four components, so that the nonlinear torsional and pressure effects may be considered. If only one component is available, only the nonlinear stretching and bending effects could be considered. This is relevant, for instance, to the 3-D thin-walled beam (BEAM24) which has only one component. Thus linear torsional effects are included, but nonlinear torsional effects are not.

Strain Definitions

For the case of nonlinear materials, the definition of elastic strain given with (Equation 2–1) has the form of:

(4–1)

where:

εel = elastic strain vector (output as EPEL)
ε = total strain vector
εth = thermal strain vector (output as EPTH)
εpl = plastic strain vector (output as EPPL)
εcr = creep strain vector (output as EPCR)
εsw = swelling strain vector (output as EPSW)

In this case, {ε} is the strain measured by a strain gauge. (Equation 4–1) is only intended to show the relationships between the terms. See subsequent sections for more detail).

In POST1, total strain is reported as:

(4–2)

where:

εtot = component total strain (output as EPTO)

Comparing the last two equations,

(4–3)

The difference between these two “total” strains stems from the different usages: {ε} can be used to compare strain gauge results and εtot can be used to plot nonlinear stress-strain curves.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 4. Structures with Material Nonlinearities 		Up / Home Next
4.2. Rate-Independent Plasticity


4.2. Rate-Independent Plasticity

Rate-independent plasticity is characterized by the irreversible straining that occurs in a material once a certain level of stress is reached. The plastic strains are assumed to develop instantaneously, that is, independent of time. The ANSYS program provides seven options to characterize different types of material behaviors. These options are:

  • Material Behavior Option

  • Bilinear Isotropic Hardening

  • Multilinear Isotropic Hardening

  • Nonlinear Isotropic Hardening

  • Classical Bilinear Kinematic Hardening

  • Multilinear Kinematic Hardening

  • Nonlinear Kinematic Hardening

  • Anisotropic

  • Drucker-Prager

  • Cast Iron

  • User Specified Behavior (see User Routines and Non-Standard Uses of the Advanced Analysis Techniques Guide and the Guide to ANSYS User Programmable Features)

Except for User Specified Behavior (TB,USER), each of these is explained in greater detail later in this chapter. Figure 4.1: "Stress-Strain Behavior of Each of the Plasticity Options" represents the stress-strain behavior of each of the options.

4.2.1. Theory

Plasticity theory provides a mathematical relationship that characterizes the elastoplastic response of materials. There are three ingredients in the rate-independent plasticity theory: the yield criterion, flow rule and the hardening rule. These will be discussed in detail subsequently. Table 4.1: "Notation" summarizes the notation used in the remainder of this chapter.

4.2.2. Yield Criterion

The yield criterion determines the stress level at which yielding is initiated. For multi-component stresses, this is represented as a function of the individual components, f({σ}), which can be interpreted as an equivalent stress σe:

(4–4)

where:

{σ} = stress vector

Table 4.1 Notation

Variable | Definition | ANSYS Output Label
{εel} | elastic strains | EPEL
{εpl} | plastic strains | EPPL
{εtr} | trial strain |
 | equivalent plastic strain | EPEQ[1]
{σ} | stresses | S
σe | equivalent stress |
σy | material yield parameter |
σm | mean or hydrostatic stress | HPRES
 | equivalent stress parameter | SEPL
λ | plastic multiplier |
{α} | yield surface translation |
κ | plastic work |
C | translation multiplier |
[D] | stress-strain matrix |
ET | tangent modulus |
F | yield criterion |
N | stress ratio | SRAT
Q | plastic potential |
{S} | deviatoric stress |

  1. In the large strain solids VISCO106, VISCO107, and VISCO108, EPEQ is labeled as PSV.

When the equivalent stress is equal to a material yield parameter σy,

(4–5)

the material will develop plastic strains. If σe is less than σy, the material is elastic and the stresses will develop according to the elastic stress-strain relations. Note that the equivalent stress can never exceed the material yield since in this case plastic strains would develop instantaneously, thereby reducing the stress to the material yield. (Equation 4–5) can be plotted in stress space as shown in Figure 4.2: "Various Yield Surfaces" for some of the plasticity options. The surfaces in Figure 4.2: "Various Yield Surfaces" are known as the yield surfaces and any stress state inside the surface is elastic, that is, they do not cause plastic strains.

Figure 4.1 Stress-Strain Behavior of Each of the Plasticity Options

Figure 4.2 Various Yield Surfaces

4.2.3. Flow Rule

The flow rule determines the direction of plastic straining and is given as:

(4–6)

where:

λ = plastic multiplier (which determines the amount of plastic straining)
Q = function of stress termed the plastic potential (which determines the direction of plastic straining)

If Q is the yield function (as is normally assumed), the flow rule is termed associative and the plastic strains occur in a direction normal to the yield surface.

4.2.4. Hardening Rule

The hardening rule describes the changing of the yield surface with progressive yielding, so that the conditions (i.e. stress states) for subsequent yielding can be established. Two hardening rules are available: work (or isotropic) hardening and kinematic hardening. In work hardening, the yield surface remains centered about its initial centerline and expands in size as the plastic strains develop. For materials with isotropic plastic behavior this is termed isotropic hardening and is shown in Figure 4.3: "Types of Hardening Rules" (a). Kinematic hardening assumes that the yield surface remains constant in size and the surface translates in stress space with progressive yielding, as shown in Figure 4.3: "Types of Hardening Rules" (b).

The yield criterion, flow rule and hardening rule for each option are summarized in Table 4.2: "Summary of Plasticity Options" and are discussed in detail later in this chapter.

Figure 4.3 Types of Hardening Rules

Table 4.2 Summary of Plasticity Options

Name | TB Lab | Yield Criterion | Flow Rule | Hardening Rule | Material Response
Bilinear Isotropic Hardening | BISO | von Mises/Hill | associative | work hardening | bilinear
Multilinear Isotropic Hardening | MISO | von Mises/Hill | associative | work hardening | multilinear
Nonlinear Isotropic Hardening | NLISO | von Mises/Hill | associative | work hardening | nonlinear
Classical Bilinear Kinematic Hardening | BKIN | von Mises/Hill | associative (Prandtl- Reuss equations) | kinematic hardening | bilinear
Multilinear Kinematic Hardening | MKIN/KINH | von Mises/Hill | associative | kinematic hardening | multilinear
Nonlinear Kinematic Hardening | CHAB | von Mises/Hill | associative | kinematic hardening | nonlinear
Anisotropic | ANISO | modified von Mises | associative | work hardening | bilinear, each direction and tension and compression different
Drucker- Prager | DP | von Mises with dependence on hydrostatic stress | associative or non- associative | none | elastic- perfectly plastic
Extended Drucker-Prager | EDP | von MIses with dependence on hydrostatic stress | associative or non- associative | work hardening | multilinear
Cast Iron | CAST | von Mises with dependence on hydrostatic stress | non- associative | work hardening | multilinear
Gurson | GURS | von Mises with dependence pressure and porosity | associative | work hardening | multilinear

4.2.5. Plastic Strain Increment

If the equivalent stress computed using elastic properties exceeds the material yield, then plastic straining must occur. Plastic strains reduce the stress state so that it satisfies the yield criterion, (Equation 4–5). Based on the theory presented in the previous section, the plastic strain increment is readily calculated.

The hardening rule states that the yield criterion changes with work hardening and/or with kinematic hardening. Incorporating these dependencies into (Equation 4–5), and recasting it into the following form:

(4–7)

where:

κ = plastic work
{α} = translation of yield surface

κ and {α} are termed internal or state variables. Specifically, the plastic work is the sum of the plastic work done over the history of loading:

(4–8)

where:

and translation (or shift) of the yield surface is also history dependent and is given as:

(4–9)

where:

C = material parameter
{α} = back stress (location of the center of the yield surface)

(Equation 4–7) can be differentiated so that the consistency condition is:

(4–10)

Noting from (Equation 4–8) that

(4–11)

and from (Equation 4–9) that

(4–12)

(Equation 4–10) becomes

(4–13)

The stress increment can be computed via the elastic stress-strain relations

(4–14)

where:

[D] = stress-strain matrix

with

(4–15)

since the total strain increment can be divided into an elastic and plastic part. Substituting (Equation 4–6) into (Equation 4–13) and (Equation 4–15) and combining (Equation 4–13), (Equation 4–14), and (Equation 4–15) yields

(4–16)

The size of the plastic strain increment is therefore related to the total increment in strain, the current stress state, and the specific forms of the yield and potential surfaces. The plastic strain increment is then computed using (Equation 4–6):

(4–17)

4.2.6. Implementation

An Euler backward scheme is used to enforce the consistency condition (Equation 4–10). This ensures that the updated stress, strains and internal variables are on the yield surface. The algorithm proceeds as follows:

  1. The material parameter σy (Equation 4–5) is determined for this time step (e.g., the yield stress at the current temperature).

  2. The stresses are computed based on the trial strain {εtr}, which is the total strain minus the plastic strain from the previous time point (thermal and other effects are ignored):

            (4–18)

    where the superscripts are described with Understanding Theory Reference Notation and subscripts refer to the time point. Where all terms refer to the current time point, the subscript is dropped. The trial stress is then

            (4–19)

  3. The equivalent stress σe is evaluated at this stress level by (Equation 4–4). If σe is less than σy the material is elastic and no plastic strain increment is computed.

  4. If the stress exceeds the material yield, the plastic multiplier λ is determined by a local Newton-Raphson iteration procedure (Simo and Taylor(155)).

  5. {Δεpl} is computed via (Equation 4–17).

  6. The current plastic strain is updated

            (4–20)

    where:

    = current plastic strains (output as EPPL)

    and the elastic strain computed

            (4–21)

    where:

    εel = elastic strains (output as EPEL)

    The stress vector is:

            (4–22)

    where:

    {σ} = stresses (output as S)

  7. The increments in the plastic work Δκ and the center of the yield surface {Δα} are computed via (Equation 4–11) and (Equation 4–12) and the current values updated

            (4–23)

    and

            (4–24)

    where the subscript n-1 refers to the values at the previous time point.

  8. For output purposes, an equivalent plastic strain [image] (output as EPEQ), equivalent plastic strain increment Δ [image] (output with the label “MAX PLASTIC STRAIN STEP”), equivalent stress parameter [image] (output as SEPL) and stress ratio N (output as SRAT) are computed. The stress ratio is given as

            (4–25)

    where σe is evaluated using the trial stress . N is therefore greater than or equal to one when yielding is occurring and less than one when the stress state is elastic. The equivalent plastic strain increment is given as:

            (4–26)

    The equivalent plastic strain and equivalent stress parameters are developed for each option in the next sections.

Note that the Euler backward integration scheme in step 4 is the radial return algorithm (Krieg(46)) for the von Mises yield criterion.

4.2.7. Elastoplastic Stress-Strain Matrix

The tangent or elastoplastic stress-strain matrix is derived from the local Newton-Raphson iteration scheme used in step 4 above (Simo and Taylor(155)). It is therefore the consistent (or algorithmic) tangent. If the flow rule is nonassociative (F ≠ Q), then the tangent is unsymmetric. To preserve the symmetry of the matrix, for analyses with a nonassociative flow rule (Drucker-Prager only), the matrix is evaluated using F only and again with Q only and the two matrices averaged.

4.2.8. Specialization for Hardening

Multilinear Isotropic Hardening and Bilinear Isotropic Hardening

These options use the von Mises yield criterion with the associated flow rule and isotropic (work) hardening (accessed with TB,MISO and TB,BISO).

The equivalent stress (Equation 4–4) is:

(4–27)

where {s} is the deviatoric stress (Equation 4–37). When σe is equal to the current yield stress σk the material is assumed to yield. The yield criterion is:

(4–28)

For work hardening, σk is a function of the amount of plastic work done. For the case of isotropic plasticity assumed here, σk can be determined directly from the equivalent plastic strain [image] of (Equation 4–42) (output as EPEQ) and the uniaxial stress-strain curve as depicted in Figure 4.4: "Uniaxial Behavior". σk is output as the equivalent stress parameter (output as SEPL). For temperature-dependent curves with the MISO option, σk is determined by temperature interpolation of the input curves after they have been converted to stress-plastic strain format.

Figure 4.4 Uniaxial Behavior

For Multilinear Isotropic Hardening and σk Determination

4.2.9. Specification for Nonlinear Isotropic Hardening

Both the Voce(253) hardening law, and the nonlinear power hardening law can be used to model nonlinear isotropic hardening. The Voce hardening law for nonlinear isotropic hardening behavior (accessed with TB,NLISO,,,,VOCE) is specified by the following equation:

(4–29)

where:

k = elastic limit
Ro, [image], b = material parameters characterizing the isotropic hardening behavior of materials
= equivalent plastic strain

The constitutive equations are based on linear isotropic elasticity, the von Mises yield function and the associated flow rule. The yield function is:

(4–30)

The plastic strain increment is:

(4–31)

where:

λ = plastic multiplier

The equivalent plastic strain increment is then:

(4–32)

The accumulated equivalent plastic strain is:

(4–33)

The power hardening law for nonlinear isotropic hardening behavior (accessed with TB,NLISO,,,,POWER) which is used primarily for ductile plasticity and damage is developed in the Gurson's Model:

(4–34)

where:

σY = current yield strength
σ0 = initial yield strength
G = shear modulus

is the microscopic equivalent plastic strain and is defined by:

(4–35)

where:

εp = macroscopic plastic strain tensor
= rate change of variables
σ = Cauchy stress tensor
: = inner product operator of two second order tensors
f = porosity

4.2.10. Specialization for Bilinear Kinematic Hardening

This option uses the von Mises yield criterion with the associated flow rule and kinematic hardening (accessed with TB,BKIN).

The equivalent stress (Equation 4–4) is therefore

(4–36)
where: {s} = deviatoric stress vector

(4–37)

where:

{α} = yield surface translation vector (Equation 4–9)

Note that since (Equation 4–36) is dependent on the deviatoric stress, yielding is independent of the hydrostatic stress state. When σe is equal to the uniaxial yield stress, σy, the material is assumed to yield. The yield criterion (Equation 4–7) is therefore,

(4–38)

The associated flow rule yields

(4–39)

so that the increment in plastic strain is normal to the yield surface. The associated flow rule with the von Mises yield criterion is known as the Prandtl-Reuss flow equation.

The yield surface translation is defined as:

(4–40)

where:

G = shear modulus = E/(2 (1+ν))
E = Young's modulus (input as EX on MP command)
ν = Poisson's ratio (input as PRXY or NUXY on MP command)

The shift strain is computed analogously to (Equation 4–24):

(4–41)

where:

(4–42)

where:

E = Young's modulus (input as EX on MP command)
ET = tangent modulus from the bilinear uniaxial stress-strain curve

The yield surface translation {εsh} is initially zero and changes with subsequent plastic straining.

The equivalent plastic strain is dependent on the loading history and is defined to be:

(4–43)

where:

= equivalent plastic strain for this time point (output as EPEQ)
= equivalent plastic strain from the previous time point

The equivalent stress parameter is defined to be:

(4–44)

where:

= equivalent stress parameter (output as SEPL)

Note that if there is no plastic straining ( [image] = 0), then [image] is equal to the yield stress. only has meaning during the initial, monotonically increasing portion of the load history. If the load were to be reversed after plastic loading, the stresses and therefore σe would fall below yield but [image] would register above yield (since [image] is nonzero).

4.2.11. Specialization for Multilinear Kinematic Hardening

This option (accessed with TB,MKIN and TB,KINH) uses the Besseling(53) model also called the sublayer or overlay model (Zienkiewicz(54)) to characterize the material behavior. The material behavior is assumed to be composed of various portions (or subvolumes), all subjected to the same total strain, but each subvolume having a different yield strength. (For a plane stress analysis, the material can be thought to be made up of a number of different layers, each with a different thickness and yield stress.) Each subvolume has a simple stress-strain response but when combined the model can represent complex behavior. This allows a multilinear stress-strain curve that exhibits the Bauschinger (kinematic hardening) effect (Figure 4.1: "Stress-Strain Behavior of Each of the Plasticity Options" (b)).

The following steps are performed in the plasticity calculations:

  1. The portion of total volume for each subvolume and its corresponding yield strength are determined.

  2. The increment in plastic strain is determined for each subvolume assuming each subvolume is subjected to the same total strain.

  3. The individual increments in plastic strain are summed using the weighting factors determined in step 1 to compute the overall or apparent increment in plastic strain.

  4. The plastic strain is updated and the elastic strain is computed.

The portion of total volume (the weighting factor) and yield stress for each subvolume is determined by matching the material response to the uniaxial stress-strain curve. A perfectly plastic von Mises material is assumed and this yields for the weighting factor for subvolume k

(4–45)

where:

wk = the weighting factor (portion of total volume) for subvolume k and is evaluated sequentially from 1 to the number of subvolumes
ETk = the slope of the kth segment of the stress-strain curve (see Figure 4.5: "Uniaxial Behavior for Multilinear Kinematic Hardening")
Σwi = the sum of the weighting factors for the previously evaluated subvolumes

Figure 4.5 Uniaxial Behavior for Multilinear Kinematic Hardening

The yield stress for each subvolume is given by

(4–46)

where (εk, σk) is the breakpoint in the stress-strain curve. The number of subvolumes corresponds to the number of breakpoints specified.

The increment in plastic strain [image] for each subvolume is computed using a von Mises yield criterion with the associated flow rule. The section on specialization for bilinear kinematic hardening is followed but since each subvolume is elastic-perfectly plastic, C and therefore {α} is zero.

The plastic strain increment for the entire volume is the sum of the subvolume increments:

(4–47)

where:

Nsv = number of subvolumes

The current plastic strain and elastic strain can then be computed for the entire volume via (Equation 4–20) and (Equation 4–21).

The equivalent plastic strain [image] (output as EPEQ) is defined by (Equation 4–43) and equivalent stress parameter [image] (output as SEPL) is computed by evaluating the input stress-strain curve at [image] (after adjusting the curve for the elastic strain component).

4.2.12. Specialization for Nonlinear Kinematic Hardening

The material model considered is a rate-independent version of the nonlinear kinematic hardening model proposed by Chaboche(244, 245) (accessed with TB,CHAB). The constitutive equations are based on linear isotropic elasticity, a von Mises yield function and the associated flow rule. Like the bilinear and multilinear kinematic hardening options, the model can be used to simulate the monotonic hardening and the Bauschinger effect. The model is also applicable to simulate the ratcheting effect of materials. In addition, the model allows the superposition of several kinematic models as well as isotropic hardening models. It is thus able to model the complicated cyclic plastic behavior of materials, such as cyclic hardening or softening and ratcheting or shakedown.

The model uses the von Mises yield criterion with the associated flow rule, the yield function is:

(4–48)

where:

R = isotropic hardening variable

According to the normality rule, the flow rule is written:

(4–49)

where:

λ = plastic multiplier

The back stress {α} is superposition of several kinematic models as:

(4–50)

where:

n = number of kinematic models to be superposed.

The evolution of the back stress (the kinematic hardening rule) for each component is defined as:

(4–51)

where:

Ci, γi, i = 1, 2, ... n = material constants for kinematic hardening

The associated flow rule yields:

(4–52)

The plastic strain increment, (Equation 4–49) is rewritten as:

(4–53)

The equivalent plastic strain increment is then:

(4–54)

The accumulated equivalent plastic strain is:

(4–55)

The isotropic hardening variable, R, can be defined by:

(4–56)

where:

k = elastic limit
Ro, [image], b = material constants characterizing the material isotropic hardening behavior.

The material hardening behavior, R, in (Equation 4–48) can also be defined through bilinear or multilinear isotropic hardening options, which have been discussed early in Specialization for Hardening.

The return mapping approach with consistent elastoplastic tangent moduli that was proposed by Simo and Hughes(252) is used for numerical integration of the constitutive equation described above.

4.2.13. Specialization for Anisotropic Plasticity

There are two anisotropic plasticity options in ANSYS. The first option uses Hill's(50) potential theory (accessed by TB,HILL command). The second option uses a generalized Hill potential theory (Shih and Lee(51)) (accessed by TB, ANISO command).

4.2.14. Hill Potential Theory

The anisotropic Hill potential theory (accessed by TB,HILL) uses Hill's(50) criterion. Hill's criterion is an extension to the von Mises yield criterion to account for the anisotropic yield of the material. When this criterion is used with the isotropic hardening option, the yield function is given by:

(4–57)

where:

σ0 = reference yield stress
= equivalent plastic strain

and when it is used with the kinematic hardening option, the yield function takes the form:

(4–58)

The material is assumed to have three orthogonal planes of symmetry. Assuming the material coordinate system is perpendicular to these planes of symmetry, the plastic compliance matrix [M] can be written as:

(4–59)

F, G, H, L, M and N are material constants that can be determined experimentally. They are defined as:

(4–60)

(4–61)

(4–62)

(4–63)

(4–64)

(4–65)

The yield stress ratios Rxx, Ryy, Rzz, Rxy, Ryz and Rxz are specified by the user and can be calculated as:

(4–66)

(4–67)

(4–68)

(4–69)

(4–70)

(4–71)

where:

= yield stress values

Two notes:

  • The inelastic compliance matrix should be positive definite in order for the yield function to exist.

  • The plastic slope (see also (Equation 4–42)) is calculated as:

(4–72)

where:

Ex = elastic modulus in x-direction
Et = tangent modulus defined by the hardening input

4.2.15. Generalized Hill Potential Theory

The generalized anisotropic Hill potential theory (accessed by TB,ANISO) uses Hill's(50) yield criterion, which accounts for differences in yield strengths in orthogonal directions, as modified by Shih and Lee(51) accounting for differences in yield strength in tension and compression. An associated flow rule is assumed and work hardening as presented by Valliappan et al.(52) is used to update the yield criterion. The yield surface is therefore a distorted circular cylinder that is initially shifted in stress space which expands in size with plastic straining as shown in Figure 4.2: "Various Yield Surfaces" (b).

The equivalent stress for this option is redefined to be:

(4–73)

where [M] is a matrix which describes the variation of the yield stress with orientation and {L} accounts for the difference between tension and compression yield strengths. {L} can be related to the yield surface translation {α} of (Equation 4–36) (Shih and Lee(51)) and hence the equivalent stress function can be interpreted as having an initial translation or shift. When σe is equal to a material parameter K, the material is assumed to yield. The yield criterion (Equation 4–7) is then

(4–74)

The material is assumed to have three orthogonal planes of symmetry. The plastic behavior can then be characterized by the stress-strain behavior in the three element coordinate directions and the corresponding shear stress-shear strain behavior. Therefore [M] has the form:

(4–75)

By evaluating the yield criterion (Equation 4–74) for all the possible uniaxial stress conditions the individual terms of [M] can be identified:

(4–76)

where:

σ+j and σ-j = tensile and compressive yield strengths in direction j (j = x, y, z, xy, yz, xz)

The compressive yield stress is handled as a positive number here. For the shear yields, σ+j = σ-j. Letting M11 = 1 defines K to be

(4–77)

The strength differential vector {L} has the form

(4–78)

and from the uniaxial conditions {L} is defined as

(4–79)

Assuming plastic incompressibility (i.e. no increase in material volume due to plastic straining) yields the following relationships

(4–80)

and

(4–81)

The off-diagonals of [M] are therefore

(4–82)

Note that (Equation 4–81) (by means of (Equation 4–76) and (Equation 4–79)) yields the consistency equation

(4–83)

that must be satisfied due to the requirement of plastic incompressibility. Therefore the uniaxial yield strengths are not completely independent.

The yield strengths must also define a closed yield surface, that is, elliptical in cross section. An elliptical yield surface is defined if the following criterion is met:

(4–84)

Otherwise, the following message is output: “THE DATA TABLE DOES NOT REPRESENT A CLOSED YIELD SURFACE. THE YIELD STRESSES OR SLOPES MUST BE MADE MORE EQUAL”. This further restricts the independence of the uniaxial yield strengths. Since the yield strengths change with plastic straining (a consequence of work hardening), this condition must be satisfied throughout the history of loading. The program checks this condition through an equivalent plastic strain level of 20% (.20).

For an isotropic material,

(4–85)

and

(4–86)

and the yield criterion ((Equation 4–74) reduces down to the von Mises yield criterion

(Equation 4–38) with {α} = 0).

Work hardening is used for the hardening rule so that the subsequent yield strengths increase with increasing total plastic work done on the material. The total plastic work is defined by (Equation 4–23) where the increment in plastic work is

(4–87)

where:

= average stress over the increment

Figure 4.6 Plastic Work for a Uniaxial Case

For the uniaxial case the total plastic work is simply

(4–88)

where the terms are defined as shown in Figure 4.6: "Plastic Work for a Uniaxial Case".

For bilinear stress-strain behavior,

(4–89)

where:

= plastic slope (see also (Equation 4–42))
E = elastic modulus
ET = tangent moulus

(4–90)

Combining (Equation 4–89) with (Equation 4–88) and solving for the updated yield stress σ:

(4–91)

Extending this result to the anisotropic case gives,

(4–92)

where j refers to each of the input stress-strain curves. (Equation 4–92) determines the updated yield stresses by equating the amount of plastic work done on the material to an equivalent amount of plastic work in each of the directions.

The parameters [M] and {L} can then be updated from their definitions (Equation 4–76) and (Equation 4–79) and the new values of the yield stresses. For isotropic materials, this hardening rule reduces to the case of isotropic hardening.

The equivalent plastic strain [image] (output as EPEQ) is computed using the tensile x direction as the reference axis by substituting (Equation 4–89) into (Equation 4–88):

(4–93)

where the yield stress in the tensile x direction σ+x refers to the initial (not updated) yield stress. The equivalent stress parameter [image] (output as SEPL) is defined as

(4–94)

where again σ+x is the initial yield stress.

4.2.16. Specialization for Drucker-Prager

4.2.16.1. The Drucker-Prager Model

This option uses the Drucker-Prager yield criterion with either an associated or nonassociated flow rule (accessed with TB,DP). The yield surface does not change with progressive yielding, hence there is no hardening rule and the material is elastic- perfectly plastic (Figure 4.1: "Stress-Strain Behavior of Each of the Plasticity Options" (f) Drucker-Prager). The equivalent stress for Drucker-Prager is

(4–95)

where:

{s} = deviatoric stress (Equation 4–37)
β = material constant
[M] = as defined with (Equation 4–36)

This is a modification of the von Mises yield criterion ((Equation 4–36) with {α} = {0}) that accounts for the influence of the hydrostatic stress component: the higher the hydrostatic stress (confinement pressure) the higher the yield strength. β is a material constant which is given as

(4–96)

where:

φ = input angle of internal friction

The material yield parameter is defined as

(4–97)

where:

c = input cohesion value

The yield criterion (Equation 4–7) is then

(4–98)

This yield surface is a circular cone (Figure 4.2: "Various Yield Surfaces"-c) with the material parameters (Equation 4–96) and (Equation 4–97) chosen such that it corresponds to the outer aspices of the hexagonal Mohr-Coulomb yield surface, Figure 4.7: "Drucker-Prager and Mohr-Coulomb Yield Surfaces".

Figure 4.7 Drucker-Prager and Mohr-Coulomb Yield Surfaces

is readily computed as

(4–99)

is similar, however β is evaluated using φf (the input “dilatancy” constant). When φf = φ, the flow rule is associated and plastic straining occurs normal to the yield surface and there will be a volumetric expansion of the material with plastic strains. If φf is less than φ there will be less volumetric expansion and if φf is zero, there will be no volumetric expansion.

The equivalent plastic strain [image] (output as EPEQ) is defined by (Equation 4–43) and the equivalent stress parameter [image] (output as SEPL) is defined as

(4–100)

The equivalent stress parameter is interpreted as the von Mises equivalent stress at yield at the current hydrostatic stress level. Therefore for any integration point undergoing yielding (stress ratio (output as SRAT) >1), [image] should be close to the actual von Mises equivalent stress (output as SIGE) at the converged solution.

4.2.16.2. The Extended Drucker-Prager Model

This option is an extension of the linear Drucker-Prager yield criterion (input with TB,EDP). Both yield surface and the flow potential, (input with TBOPT on TB,EDP command) can be taken as linear, hyperbolic and power law independently, and thus results in either an associated or nonassociated flow rule. The yield surface can be changed with progressive yielding of the isotropic hardening plasticity material options, see hardening rule Figure 4.1: "Stress-Strain Behavior of Each of the Plasticity Options" (c) Bilinear Isotropic and (d) Multilinear Isotropic.

The yield function with linear form (input with TBOPT = LYFUN) is:

(4–101)

where:

α = material parameter referred to pressure sensitive parameter (input as C1 on TBDATA command using TB,EDP)

The yield function with hyperbolic form (input with TBOPT = HYFUN) is:

(4–102)

where:

a = material parameter characterizing the shape of yield surface (input as C2 on TBDATA command using TB,EDP)

The yield function with power law form (input with TBOPT = PYFUN) is:

(4–103)

where:

b = material parameter characterizing the shape of yield surface (input as C2 on TBDATA command using TB,EDP):

Similarly, the flow potential Q for linear form (input with TBOPT = LFPOT) is:

(4–104)

The flow potential Q for hyperbolic form (input with TBOPT = HFPOT) is:

(4–105)

The flow potential Q for power law form (input with TBOPT = PFPOT) is:

(4–106)

The plastic strain is defined as:

(4–107)

where:

Note that when the flow potential is the same as the yield function, the plastic flow rule is associated, which in turn results in a symmetric stiffness matrix. When the flow potential is different from the yield function, the plastic flow rule is nonassociated, and this results in an unsymmetric material stiffness matrix. By default, the unsymmetric stiffness matrix (accessed by NROPT,UNSYM) will be symmetricized.

4.2.17. Cap Model

The cap model focuses on geomaterial plasticity resulting from compaction at low mean stresses followed by significant dilation before shear failure. A three-invariant cap plasticity model with three smooth yielding surfaces including a compaction cap, an expansion cap, and a shear envelope is described here.

Geomaterials typically have much higher tri-axial strength in compression than in tension. The cap model accounts for this by incorporating the third-invariant of stress tensor (J3) into the yielding functions.

Functions that will be utilized in the cap model are first introduced. These functions include shear failure envelope function, compaction cap function, expansion cap function, the Lode angle function, and hardening functions. Then, a unified yielding function for the cap model that is able to describe all the behaviors of shear, compaction, and expansion yielding surfaces is derived using the shear failure envelope and cap functions.

4.2.17.1. Shear Failure Envelope Function

A typical geomaterial shear envelope function is based on the exponential format given below:

(4–108)

where:

I1 = first invariant of Cauchy stress tensor
subscript "s" = shear envelope function
superscript "y" = yielding related material constants
σ0 = current cohesion-related material constant (input using TB,EDP with TBOPT = CYFUN)
A, βy, αy = material constants (input using TB,EDP with TBOPT = CYFUN)

(Equation 4–108) reduces to the Drucker-Prager yielding function if parameter "A" is set to zero. It should be noted that all material constants in (Equation 4–108) are defined based on I1 and J2 , which are different from those in the previous sections. The effect of hydrostatic pressure on material yielding may be exaggerated at high pressure range by only using the linear term (Drucker-Prager) in (Equation 4–108). Such an exaggeration is reduced by using both the exponential term and linear term in the shear function. Figure 4.8: "Shear Failure Envelope Functions" shows the configuration of the shear function. In Figure 4.8: "Shear Failure Envelope Functions" the dots are the testing data points, the finer dashed line is the fitting curve based on the Drucker-Prager linear yielding function, the solid curved line is the fitting curve based on (Equation 4–108), and the coarser dashed line is the limited state of (Equation 4–108) at very high pressures. In the figure [image] is the current modified cohesion obtained through setting I1 in (Equation 4–108) to zero.

Figure 4.8 Shear Failure Envelope Functions

4.2.17.2. Compaction Cap Function

The compaction cap function is formulated using the shear envelope function defined in (Equation 4–108).

(4–109)

where:

H = Heaviside (or unit step) function
subscript "c" = compaction cap-related function or constant
R = ratio of elliptical x-axis to y-axis (I1 to J2)
K0 = key flag indicating the current transition point at which the compaction cap surface and shear portion intersect.

In (Equation 4–109), Yc is an elliptical function combined with the Heaviside function. Yc is plotted in Figure 4.9: "Compaction Cap Function".

This function implies:

  1. When I1, the first invariant of stress, is greater than K0, the compaction cap takes no effect on yielding. The yielding may happen in either shear or expansion cap portion.

  2. When I1 is less than K0, the yielding may only happen in the compaction cap portion, which is shaped by both the shear function and the elliptical function.

Figure 4.9 Compaction Cap Function

4.2.17.3. Expansion Cap Function

Similarly, Yt is an elliptical function combined with the Heaviside function designed for the expansion cap. Yt is shown in Figure 4.10: "Expansion Cap Function".

(4–110)

where:

subscript "t" = expansion cap-related function or constant

This function implies that:

  1. When I1 is negative, the yielding may happen in either shear or compaction cap portion, while the tension cap has no effect on yielding.

  2. When I1 is positive, the yielding may only happen in the tension cap portion. The tension cap is shaped by both the shear function and by another elliptical function.

(Equation 4–110) assumes that Yt is only a function of σ0 and not a function of K0 as I1 is set to zero in function Ys.

Figure 4.10 Expansion Cap Function

4.2.17.4. Lode Angle Function

Unlike metals, the yielding and failure behaviors of geomaterials are affected by their relatively weak (compared to compression) tensile strength. The ability of a geomaterial to resist yielding is lessened by non-uniform stress states in the principle directions. The effect of reduced yielding capacity for such geomaterials is described by the Lode angle β and the ratio ψ of tri-axial extension strength to compression strength. The Lode angle β can be written in a function of stress invariants J2 and J3:

(4–111)

where:

J2 and J3 = second and third invariants of the deviatoric tensor of the Cauchy stress tensor.

The Lode angle function Γ is defined by:

(4–112)

where:

ψ = ratio of triaxial extension strength to compression strength

The three-invariant plasticity model is formulated by multiplying J2 in the yielding function by the Lode angle function described by (Equation 4–112). The profile of the yielding surface in a three-invariant plasticity model is presented in Figure 4.11: "Yielding Surface in π-Plane".

Figure 4.11 Yielding Surface in π-Plane

4.2.17.5. Hardening Functions

The cap hardening law is defined by describing the evolution of the parameter X0, the intersection point of the compaction cap and the I1axis. The evolution of X0 is related only to the plastic volume strain [image]. A typical cap hardening law has the exponential form proposed in Fossum and Fredrich(92):

(4–113)

where:

Xi = initial value of X0 at which the cap takes effect in the plasticity model.
= maximum possible plastic volumetric strain for geomaterials.

Parameters [image] and [image] have units of 1/Mpa and 1 Mpa/Mpa, respectively. All constants in (Equation 4–113) are non-negative.

Besides cap hardening, another hardening law defined for the evolution of the cohesion parameter used in the shear portion described in (Equation 4–108) is considered. The evolution of the modified cohesion [image] is assumed to be purely shear-related and is the function of the effective deviatoric plastic strain γp:

(4–114)

The effective deviatoric plastic strain γp is defined by its rate change as follows:

(4–115)

where:

εp = plastic strain tensor
" [image] " = rate change of variables
I = second order identity tensor

The unified and compacted yielding function for the cap model with three smooth surfaces is formulated using above functions as follows:

(4–116)

where:

K0 = function of both X0 and σ0

Again, the parameter X0 is the intersection point of the compaction cap and the I1 axis. The parameter K0 is the state variable and can be implicitly described using X0 and σ0 given below:

(4–117)

The yielding model described in (Equation 4–116) is used and is drawn in the J2 and I1 plane in Figure 4.12: "Cap Model".

Figure 4.12 Cap Model

The cap model also allows non-associated models for all compaction cap, shear envelope, and expansion cap portions. The non-associated models are defined through using the yielding functions in (Equation 4–116) as its flow potential functions, while providing different values for some material constants. It is written below:

(4–118)

where:

(4–119)

where:

superscript "f" = flow-related material constant

The flow functions in (Equation 4–118) and (Equation 4–119) are obtained by replacing βy, αy, [image], and [image] in (Equation 4–116) and (Equation 4–117) with βf, αf, [image], and [image]. The nonassociated cap model is input by using TB,EDP with TBOPT = CFPOT.

You can take into account on shear hardening through providing [image] by using TB,MISO, TB,BISO, TB,NLISO, or TB,PLAS. The initial value of [image] must be consistent to σi - A. This input regulates the relationship between the modified cohesion and the effective deviatoric plastic strain.

Note

Calibrating the CAP constants σi, βY, A, αY, βY, αF and the hardening input for [image] differs significantly from the other EDP options. The CAP parameters are all defined in relation to I1 and I2, while the other EDP coefficients are defined according to p and q.

4.2.18. Gurson's Model

The Gurson Model is used to represent plasticity and damage in ductile porous metals. The model theory is based on Gurson(366) and Tvergaard and Needleman(367). When plasticity and damage occur, ductile metal goes through a process of void growth, nucleation, and coalescence. Gurson’s method models the process by incorporating these microscopic material behaviors into macroscopic plasticity behaviors based on changes in the void volume fraction (porosity) and pressure. A porosity index increase corresponds to an increase in material damage, which implies a diminished material load-carrying capacity.

The microscopic porous metal representation in Figure 4.13: "Growth, Nucleation, and Coalescence of Voids in Microscopic Scale"(a), shows how the existing voids dilate (a phenomenon, called void growth) when the solid matrix is in a hydrostatic-tension state. The solid matrix portion is assumed to be incompressible when it yields, therefore any material volume growth (solid matrix plus voids) is due solely to the void volume expansion.

The second phenomenon is void nucleation which means that new voids are created during plastic deformation. Figure 4.13: "Growth, Nucleation, and Coalescence of Voids in Microscopic Scale"(b), shows the nucleation of voids resulting from the debonding of the inclusion-matrix or particle-matrix interface, or from the fracture of the inclusions or particles themselves.

The third phenomenon is the coalescence of existing voids. In this process, shown in Figure 4.13: "Growth, Nucleation, and Coalescence of Voids in Microscopic Scale"(c), the isolated voids establish connections. Although coalescence may not discernibly affect the void volume, the load carrying capacity of this material begins to decay more rapidly at this stage.

Figure 4.13 Growth, Nucleation, and Coalescence of Voids in Microscopic Scale

The evolution equation of porosity is given by

(4–120)

where:

f = porosity
= rate change of variables

The evolution of the microscopic equivalent plastic work is:

(4–121)

where:

= microscopic equivalent plastic strain
σ = Cauchy stress
: = inner product operator of two second order tensors
εp = macroscopic plastic strain
σY = current yielding strength

The evolution of porosity related to void growth and nucleation can be stated in terms of the microscopic equivalent plastic strain, as follows:

(4–122)

where:

I = second order identity tensor

The void nucleation is controlled by either the plastic strain or stress, and is assumed to follow a normal distribution of statistics. In the case of strain-controlled nucleation, the distribution is described in terms of the mean strain and its corresponding deviation. In the case of stress-controlled nucleation, the distribution is described in terms of the mean stress and its corresponding deviation. The porosity rate change due to nucleation is then given as follows:

(4–123)

where:

fN = volume fraction of the segregated inclusions or particles
εN = mean strain
SN = strain deviation
σN = mean stress

It should be noted that "stress controlled nucleation" means that the void nucleation is determined by the maximum normal stress on the interfaces between inclusions and the matrix. This maximum normal stress is measured by σY + p. Thus, more precisely, the "stress" in the mean stress σN refers to σY + p. This relationship better accounts for the effect of tri-axial loading conditions on nucleation.

Given (Equation 4–120) through (Equation 4–123), the material yielding rule of the Gurson model is defined as follows:

(4–124)

where:

q1, q2, and q3 = Tvergaard-Needleman constants
σY = yield strength of material

f*, the Tvergaard-Needleman function is:

(4–125)

where:

fc = critical porosity
fF = failure porosity

The Tvergaard-Needleman function is used to model the loss of material load carrying capacity, which is associated with void coalescence. When the current porosity f reaches a critical value fc, the material load carrying capacity decreases more rapidly due to the coalescence. When the porosity f reaches a higher value fF, the material load carrying capacity is lost completely. The associative plasticity model for the Gurson model has been implemented.

4.2.19. Cast Iron Material Model

The cast iron plasticity model is designed to model gray cast iron. The microstructure of gray cast iron can be looked at as a two-phase material, graphite flakes inserted into a steel matrix (Hjelm(334)). This microstructure leads to a substantial difference in behavior in tension and compression. In tension, the material is more brittle with low strength and cracks form due to the graphite flakes. In compression, no cracks form, the graphite flakes behave as incompressible media that transmit stress and the steel matrix only governs the overall behavior.

The model assumes isotropic elastic behavior, and the elastic behavior is assumed to be the same in tension and compression. The plastic yielding and hardening in tension may be different from that in compression (see Figure 4.14: "Idealized Response of Gray Cast Iron in Tension and Compression"). The plastic behavior is assumed to harden isotropically and that restricts the model to monotonic loading only.

Figure 4.14 Idealized Response of Gray Cast Iron in Tension and Compression

Yield Criteria

A composite yield surface is used to describe the different behavior in tension and compression. The tension behavior is pressure dependent and the Rankine maximum stress criterion is used. The compression behavior is pressure independent and the von Mises yield criterion is used. The yield surface is a cylinder with a tension cutoff (cap). Figure 4.15: "Cross-Section of Yield Surface" shows a cross section of the yield surface on principal deviatoric-stress space and Figure 4.16: "Meridian Section of Yield Surface" shows a meridional sections of the yield surface for two different stress states, compression (θ = 60) and tension (θ = 0).

Figure 4.15 Cross-Section of Yield Surface

(Viewed along the hydrostatic pressure axis)

Figure 4.16 Meridian Section of Yield Surface

(von Mises cylinder with tension cutoff)

The yield surface for tension and compression "regimes" are described by (Equation 4–126) and (Equation 4–127) (Chen and Han(332)).

The yield function for the tension cap is:

(4–126)

and the yield function for the compression regime is:

(4–127)

where:

p = I1 / 3 = σii / 3 = hydrostatic pressure
S = deviatoric stress tensor
σt = tension yield stress
σc = compression yield stress

Flow Rule

The plastic strain increments are defined as:

(4–128)

where Q is the so-called plastic flow potential, which consists of the von Mises cylinder in compression and modified to account for the plastic Poisson's ratio in tension, and takes the form:

(4–129)

(4–130)

and

where:

νpl = plastic Poisson's ratio (input using TB,CAST)

(Equation 4–130) is for less than 0.5. When νpl = 0.5, the equation reduces to the von Mises cylinder. This is shown below:

Figure 4.17 Flow Potential for Cast Iron

As the flow potential is different from the yield function, nonassociated flow rule, the resulting material Jacobian is unsymmetric.

Hardening

The yield stress in uniaxial tension, σt, depends on the equivalent uniaxial plastic strain in tension, [image], and the temperature T. Also the yield stress in uniaxial compression, σc, depends on the equivalent uniaxial plastic strain in compression, [image], and the temperature T.

To calculate the change in the equivalent plastic strain in tension, the plastic work expression in the uniaxial tension case is equated to general plastic work expression as:

(4–131)

where:

{Δεpl} = plastic strain vector increment

(Equation 4–128) leads to:

(4–132)

In contrast, the change in the equivalent plastic strain in compression is defined as:

(4–133)

where:

The yield and hardening in tension and compression are provided using the TB,UNIAXIAL command which has two options, tension and compression.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.1. Understanding Material Nonlinearities 		Up / Home Next
4.3. Rate-Dependent Plasticity


4.3. Rate-Dependent Plasticity

(Including Creep and Viscoplasticity)

Rate-dependent plasticity describes the flow rule of materials, which depends on time. The deformation of materials is now assumed to develop as a function of the strain rate (or time). An important class of applications of this theory is high temperature “creep”. Several options are provided in ANSYS to characterize the different types of rate-dependent material behaviors. The creep option is used for describing material “creep” over a relative long period or at low strain. The rate-dependent plasticity option adopts a unified creep approach to describe material behavior that is strain rate dependent. Anand's viscoplasticity option is another rate-dependent plasticity model for simulations such as metal forming. Other than other these built-in options, a rate-dependent plasticity model may be incorporated as user material option through the user programmable feature.

4.3.1. Creep Option

4.3.1.1. Definition and Limitations

Creep is defined as material deforming under load over time in such a way as to tend to relieve the stress. Creep may also be a function of temperature and neutron flux level. The term “relaxation” has also been used interchangeably with creep. The von Mises or Hill stress potentials can be used for creep analysis. For the von Mises potential, the material is assumed to be isotropic and the basic solution technique used is the initial-stiffness Newton-Raphson method.

The options available for creep are described in Rate-Dependent Viscoplastic Materials of the Elements Reference. Four different types of creep are available and the effects of the first three may be added together except as noted:

Primary creep is accessed with C6 (Ci values refer to the ith value given in the TBDATA command with TB,CREEP). The creep calculations are bypassed if C1 = 0.

Secondary creep is accessed with C12. These creep calculations are bypassed if C7 = 0. They are also bypassed if a primary creep strain was computed using the option C6 = 9, 10, 11, 13, 14, or 15, since they include secondary creep in their formulations.

Irradiation induced creep is accessed with C66.

User-specified creep may be accessed with C6 = 100. See User Routines and Non-Standard Uses of the Advanced Analysis Techniques Guide for more details.

The creep calculations are also bypassed if:

  1. (change of time) [image] 10-6

  2. (input temperature + Toff) [image] 0 where Toff = offset temperature (input on TOFFST command).

  3. For C6 = 0 case: A special effective strain based on εe and εcr is computed. A bypass occurs if it is equal to zero.

4.3.1.2. Calculation of Creep

The creep equations are integrated with an explicit Euler forward algorithm, which is efficient for problems having small amounts of contained creep strains. A modified total strain is computed:

(4–134)

This equation is analogous to (Equation 4–18) for plasticity. The superscripts are described with Understanding Theory Reference Notation and subscripts refer to the time point n. An equivalent modified total strain is defined as:

(4–135)

Also an equivalent stress is defined by:

(4–136)

where:

E = Young's modulus (input as EX on MP command)
ν = Poisson's ratio (input as PRXY or NUXY on MP command)

The equivalent creep strain increment (Δεcr) is computed as a scalar quantity from the relations given in Rate-Dependent Viscoplastic Materials of the Elements Reference and is normally positive. If C11 = 1, a decaying creep rate is used rather than a rate that is constant over the time interval. This option is normally not recommended, as it can seriously underestimate the total creep strain where primary stresses dominate. The modified equivalent creep strain increment [image], which would be used in place of the equivalent creep strain increment (Δεcr) if C11 = 1, is computed as:

(4–137)

where:

e = 2.718281828 (base of natural logarithms)
A = Δεcr/εet

Next, the creep ratio (a measure of the increment of creep strain) for this integration point (Cs) is computed as:

(4–138)

The largest value of Cs for all elements at all integration points for this iteration is called Cmax and is output with the label “CREEP RATIO”.

The creep strain increment is then converted to a full strain tensor. Nc is the number of strain components for a particular type of element. If Nc = 1,

(4–139)

Note that the term in brackets is either +1 or -1. If Nc = 4,

(4–140)

(4–141)

(4–142)

(4–143)

The first three components are the three normal strain components, and the fourth component is the shear component. If Nc = 6, components 1 through 4 are the same as above, and the two additional shear components are:

(4–144)

(4–145)

Next, the elastic strains and the total creep strains are calculated as follows, using the example of the x-component:

(4–146)

(4–147)

Stresses are based on [image]. This gives the correct stresses for imposed force problems and the maximum stresses during the time step for imposed displacement problems.

4.3.1.3. Time Step Size

A stability limit is placed on the time step size (Zienkiewicz and Cormeau(154)). This is because an explicit integration procedure is used in which the stresses and strains are referred to time tn-1 (however, the temperature is at time tn). The creep strain rate is calculated using time tn. It is recommended to use a time step such that the creep ratio Cmax is less than 0.10. If the creep ratio exceeds 0.25, the run terminates with the message: “CREEP RATIO OF . . . EXCEEDS STABILITY LIMIT OF .25.” Automatic Time Stepping discusses the automatic time stepping algorithm which may be used with creep in order to increase or decrease the time step as needed for an accurate yet efficient solution.

4.3.2. Rate-Dependent Plasticity

Currently this material option includes two models, Perzyna(296) and Peirce et al.(297). They are defined by field TBOPT (=PERZYNA, or PEIRCE) on the TB, RATE command. The material hardening behavior is assumed to be isotropic. The options (TB,RATE) are available with following elements: LINK180 , SHELL181, PLANE182, PLANE183 , SOLID185, SOLID186 , SOLID187, SOLSH190, BEAM188, BEAM189, SHELL208, and SHELL209. The integration of the material constitutive equations are based a return mapping procedure (Simo and Hughes(252)) to enforce both stress and material tangential stiffness matrix are consistent at the end of time step. A typical application of this material model is the simulation of material deformation at high strain rate, such as impact.

4.3.2.1. Perzyna Option

The Perzyna model has the form of

(4–148)

where:

σ = material yield stress
= equivalent plastic strain rate
m = strain rate hardening parameter (input as C1 in TBDATA command)
γ = material viscosity parameter (input as C2 in TBDATA command)
σo = static yield stress of material (defined using TB,BISO; TB,MISO; or TB,NLISO commands)

Note that σo is a function of some hardening parameters in general.

As γ tends to [image], or m tends to zero or [image] tends to zero, the solution converges to the static (rate-independent) solution. However, for this material option when m is very small (< 0.1), the solution shows difficulties in convergence (Peric and Owen(298)).

4.3.2.2. Peirce Option

The option of Peirce model takes form

(4–149)

Similar to Perzyna model, the solution converges to the static (rate-independent) solution, as γ tends to [image], or m tends to zero, or [image] tends to zero. For small value of m, this option shows much better convergency than PERZYNA option (Peric and Owen(298)).

4.3.3. Anand Viscoplasticity

Viscoplasticity is characterized by the irreversible straining that occurs in a material over time. The plastic strains are assumed to develop as a function of the strain rate. Two options are provided to characterize different types of rate-dependent material behaviors, and they are only available with the large strain solids VISCO106, VISCO107, and VISCO108. These options are:

Material Behavior Option
Anand's Model
User Specified Behavior (see User Routines and Non-Standard Uses of the Advanced Analysis Techniques Guide and the Guide to ANSYS User Programmable Features)

(Note that a rate-dependent model may be incorporated in the USER option of the rate-independent plasticity).

4.3.3.1. Overview

For metals, it has long been recognized that the notion of rate-independence of plastic response is only a convenient approximation at low temperature. Although in reality the plastic flow due to dislocation even at low temperature is not truly rate-independent, the use of rate-independent plastic models is quite common. Here we present a rate-dependent plasticity model as proposed by Anand(159) and Brown et al.(147). This rate-dependent model differs from the rate-independent model in that there is no explicit yield condition, and no loading/unloading criterion is used. Instead, plastic flow is assumed to take place at all nonzero stress values, although at low stresses the rate of plastic flow may be immeasurably small. Further, the equivalent plastic strain rate, which is determined by the consistency condition in the rate-independent model, needs to be prescribed by an appropriate constitutive function in the rate-dependent model.

4.3.3.2. Theory

There are two basic features in Anand's model applicable to isotropic rate-dependent constitutive model for metals. First, there is no explicit yield surface, rather the instantaneous response of the material is dependent on its current state. Secondly, a single scalar internal variable “s”, called the deformation resistance, is used to represent the isotropic resistance to inelastic flow of the material. The specifics of this constitutive equation are the flow equation:

(4–150)

and the evolution equation:

(4–151)

(Equation 4–151) allows modelling not only strain hardening, but also strain softening.

where:

with

(4–152)

where:

dp = effective inelastic deformation rate
σ = effective Cauchy stress
s = deformation resistance (output as PSV)
s* = saturation value of deformation resistance
= time derivative of deformation resistance
θ = absolute temperature

The remaining terms are defined in Table 4.3: "Material Parameter Units for Anand Model". All terms must be positive, except constant a, which must be 1.0 or greater. The inelastic strain rate in Anand's definition of material is temperature and stress dependent as well as dependent on the rate of loading. Determination of the material parameters is performed by curve-fitting a series of the stress-strain data at various temperatures and strain rates as in Anand(159) or Brown et al.(147).

4.3.3.3. Implementation

A consistent stress update procedure which is equivalent to the Euler backward scheme used to enforce the consistency condition and the evolution (Equation 4–151) at the end of the time step. The consistency condition in rate-dependent plasticity requires that the stress and strain values are consistent via (Equation 4–14), (Equation 4–15) and the rate-dependent counterpart to (Equation 4–17).

The accumulated plastic work (see (Equation 4–23)) is available (output as PLWK).

Table 4.3 Material Parameter Units for Anand Model

TBDATA Constant | Parameter | Meaning | Units
1 | so | Initial value of deformation resistance | stress, e.g. psi, MPa
2 | Q/R | Q = activation energy | energy / volume, e.g. kJ / mole
 |  | R = universal gas content | energy / (volume temperature), e.g. kJ / (mole - °K
3 | A | pre-exponential factor | 1 / time e.g. 1 / second
4 | ξ | multiplier of stress | dimensionless
5 | m | strain rate sensitivity of stress | dimensionless
6 | ho | hardening/softening constant | stress e.g. psi, MPa
7 |  | coefficient for deformation resistance saturation value | stress e.g. psi, MPa
8 | n | strain rate sensitivity of saturation (deformation resistance) value | dimensionless
9 | a | strain rate sensitivity of hardening or softening | dimensionless

where:

kJ = kilojoules
°K = degrees Kelvin

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.2. Rate-Independent Plasticity 		Up / Home Next
4.4. Gasket Material


4.4. Gasket Material

Gasket joints are essential components in most of structural assemblies. Gaskets as sealing components between structural components are usually very thin and made of many materials, such as steel, rubber and composites. From a mechanics point of view, gaskets act to transfer the force between mating components. The gasket material is usually under compression. The material under compression exhibits high nonlinearity. The gasket material also shows quite complicated unloading behavior. The primary deformation of a gasket is usually confined to 1 direction, that is through-thickness. The stiffness contribution from membrane (in-plane) and transverse shear are much smaller, and are neglected.

The table option GASKET allows gasket joints to be simulated with the interface elements, in which the through-thickness deformation is decoupled from the in-plane deformation, see INTER192 - 2-D 4-Node Gasket, INTER193 - 2-D 6-Node Gasket, INTER194 - 3-D 16-Node Gasket, and INTER195 - 3-D 8-Node Gasket for detailed description of interface elements. The user can directly input the experimentally measured complex pressure-closure curve (compression curve) and several unloading pressure-closure curves for characterizing the through thickness deformation of gasket material.

Figure 4.18: "Pressure vs. Deflection Behavior of a Gasket Material" shows the experimental pressure vs. closure (relative displacement of top and bottom gasket surfaces) data for a graphite composite gasket material. The sample was unloaded and reloaded 5 times along the loading path and then unloaded at the end of the test to determine the unloading stiffness of the material.

Figure 4.18 Pressure vs. Deflection Behavior of a Gasket Material

4.4.1. Stress and Deformation

The gasket pressure and deformation are based on the local element coordinate systems. The gasket pressure is actually the stress normal to the gasket element midsurface in the gasket layer. Gasket deformation is characterized by the closure of top and bottom surfaces of gasket elements, and is defined as:

(4–153)

Where, uTOP and uBOTTOM are the displacement of top and bottom surfaces of interface elements in the local element coordinate system based on the mid-plane of element.

4.4.2. Material Definition

The input of material data of a gasket material is specified by the command (TB,GASKET). The input of material data considers of 2 main parts: general parameters and pressure closure behaviors. The general parameters defines initial gasket gap, the stable stiffness for numerical stabilization, and the stress cap for gasket in tension. The pressure closure behavior includes gasket compression (loading) and tension data (unloading).

The GASKET option has followings sub-options:

Sub-option | Description
PARA | Define gasket material general parameters
COMP | Define gasket compression data
LUNL | Define gasket linear unloading data
NUNL | Define gasket nonlinear unloading data

A gasket material can have several options at the same time. When no unloading curves are defined, the material behavior follows the compression curve while it is unloaded.

4.4.3. Thermal Deformation

The thermal deformation is taken into account by using an additive decomposition in the total deformation, d, as:

(4–154)

where:

d = relative total deformation between top and bottom surfaces of the interface element
di = relative deformation between top and bottom surfaces causing by the applying stress, this can be also defined as mechanical deformation
dth = relative thermal deformation between top and bottom surfaces due to free thermal expansion
do = initial gap of the element and is defined by sub-option PARA

The thermal deformation causing by free thermal expansion is defined as:

(4–155)

where:

α = coefficient of thermal expansion (input as ALPX on MP command)
ΔT = temperature change in the current load step
h = thickness of layer at the integration point where thermal deformation is of interest

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.3. Rate-Dependent Plasticity 		Up / Home Next
4.5. Nonlinear Elasticity


4.5. Nonlinear Elasticity

4.5.1. Overview and Guidelines for Use

The ANSYS program provides a capability to model nonlinear (multilinear) elastic materials (input using TB,MELAS). Unlike plasticity, no energy is lost (the process is conservative).

Figure 4.19: "Stress-Strain Behavior for Nonlinear Elasticity" represents the stress-strain behavior of this option. Note that the material unloads along the same curve, so that no permanent inelastic strains are induced.

Figure 4.19 Stress-Strain Behavior for Nonlinear Elasticity

The total strain components {εn} are used to compute an equivalent total strain measure:

(4–156)

is used with the input stress-strain curve to get an equivalent value of stress σe .

The elastic (linear) component of strain can then be computed:

(4–157)

and the “plastic” or nonlinear portion is therefore:

(4–158)

In order to avoid an unsymmetric matrix, only the symmetric portion of the tangent stress-strain matrix is used:

(4–159)

which is the secant stress-strain matrix.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.4. Gasket Material 		Up / Home Next
4.6. Shape Memory Alloy Material Model


4.6. Shape Memory Alloy Material Model

4.6.1. Background

The shape memory alloy (SMA) material model implemented (accessed with TB,SMA) is intended for modeling the superelastic behavior of Nitinol alloys, in which the material undergoes large deformation without showing permanent deformation under isothermal conditions, as shown in Figure 4.20: "Typical Superelasticity Behavior". In this figure the material is first loaded (ABC), showing a nonlinear behavior. When unloaded (CDA), the reverse transformation occurs. This behavior is hysteretic with no permanent strain (Auricchio et al.(347)).

Figure 4.20 Typical Superelasticity Behavior

Nitinol is a nickel titanium alloy that was discovered in 1960s, at the Naval Ordnance Laboratory. Hence, the acronym NiTi-NOL (or nitinol) has been commonly used when referring to Ni-Ti based shape memory alloys.

The mechanism of superelasticity behavior of the shape memory alloy is due to the reversible phase transformation of austenite and martensite. Austenite is the crystallographically more-ordered phase and martensite is the crystallographically less-ordered phase. Typically, the austenite is stable at high temperatures and low values of the stress, while the martensite is stable at low temperatures and high values of the stress. When the material is at or above a threshold temperature and has a zero stress state, the stable phase is austenite. Increasing the stress of this material above the threshold temperature activates the phase transformation from austenite to martensite. The formation of martensite within the austenite body induces internal stresses. These internal stresses are partially relieved by the formation of a number of different variants of martensite. If there is no preferred direction for martensite orientation, the martensite tends to form a compact twinned structure and the product phase is called multiple-variant martensite. If there is a preferred direction for the occurrence of the phase transformation, the martensite tends to form a de-twinned structure and is called single-variant martensite. This process usually associated with a nonzero state of stress. The conversion of a single-variant martensite to another single-variant martensite is possible and is called re-orientation process (Auricchio et al.(347)).

4.6.2. The Continuum Mechanics Model

The phase transformation mechanisms involved in the superelastic behavior are:

a. Austenite to Martensite (A->S)
b. Martensite to Austenite (S->A)
c. Martensite reorientation (S->S)

We consider here two of the above phase transformations: that is A->S and S->A. The material is composed of two phases, the austenite (A) and the martensite (S). Two internal variables, the martensite fraction, ξS, and the austenite fraction, ξA, are introduced. One of them is dependent variable, and they are assumed to satisfy the following relation,

(4–160)

The independent internal variable chosen here is ξS.

The material behavior is assumed to be isotropic. The pressure dependency of the phase transformation is modeled by introducing the Drucker-Prager loading function:

(4–161)

where:

α = material parameter

(4–162)

(4–163)

where:

M = matrix defined with (Equation 4–8)
σ = stress vector
Tr = trace operator

The evolution of the martensite fraction, ξS, is then defined:

(4–164)

where:

where:

= material parameters shown in Figure 4.21: "Idealized Stress-Strain Diagram of Superelastic Behavior"

Figure 4.21 Idealized Stress-Strain Diagram of Superelastic Behavior

(4–165)

(4–166)

(4–167)

(4–168)

where:

= material parameters shown in Figure 4.21: "Idealized Stress-Strain Diagram of Superelastic Behavior"

The material parameter α characterizes the material response in tension and compression. If tensile and compressive behaviors are the same α = 0. For a uniaxial tension - compression test, α can be related to the initial value of austenite to martensite phase tranformation in tension, [image] and compression, [image], as:

(4–169)

The incremental stress-strain relation is:

(4–170)

(4–171)

where:

[D] = stress-stain matrix
{Δεtr} = incremental transformation strain
= material parameter shown in Figure 4.21: "Idealized Stress-Strain Diagram of Superelastic Behavior".

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.5. Nonlinear Elasticity 		Up / Home Next
4.7. Hyperelasticity


4.7. Hyperelasticity

4.7.1. Introduction

Hyperelasticity refers to the materials which can experience large elastic strain that is recoverable. Elastomers such as rubber and many other polymer materials fall in this category. The microstructure of polymer solids consists of chain-like molecules. The chain backbone is mostly made up of the carbon atoms. The flexibility of polymer molecules allows different types of arrangement such as amorphous and semicrystalline polymers. As a result, the molecules possess a much less regular character than the metal crystals. The behavior of the elastomers are therefore very complex, on macroscopic scale, they usually behave elastically isotropic initially, and anisotropic at finite strain as the molecule chains tends to realign to loading direction. Under essentially monotonically loading condition, however, a larger class of the elastomers can be approximated by an isotropic assumption, which has been historically popular in the modeling of the elastomers.

Another different type of polymers is the reinforced elastomer composites. The combination of fibers embedded to in a resin results in composite materials with a specific resistance that maybe even higher than that of certain metal materials. The most of common used fibers are glass. Typical fiber direction can be unidirectional, bidirectional and tridirectional. Fiber reinforced elastomer composites are strongly anisotropic initially, as the stiffness and the strength of the fibers are 50-1000 times of those of resins. Another very large class of nonlinear anisotropic materials is formed by biomaterials which show also a fibrous structure. Biomaterials are in many cases deformed at large strains as can be found for muscles and arteries.

ANSYS offers material constitutive models for modeling both isotropic and anisotropic behaviors of the elastomer materials as well as biomaterials.

The constitutive behavior of hyperelastic materials are usually derived from the strain energy potentials. Also, hyperelastic materials generally have very small compressibility. This is often referred to incompressibility. The hyperelastic material models assume that materials response is isothermal. This assumption allows that the strain energy potentials are expressed in terms of strain invariants or principal stretch ratios. Except as otherwise indicated, the materials are also assumed to be nearly or purely incompressible. Material thermal expansion is always assumed to be isotropic.

The hyperelastic material models include:

  1. Several forms of strain energy potential, such as Neo-Hookean, Mooney-Rivlin, Polynomial Form, Ogden Potential, Arruda-Boyce, Gent, and Yeoh are defined through data tables (accessed with TB,HYPER). This option works with following elements SHELL181, PLANE182, PLANE183, SOLID185, SOLID186 , SOLID187, SOLSH190, SHELL208, SHELL209, and SHELL281.

  2. Blatz-Ko and Ogden Compressible Foam options are applicable to compressible foam or foam-type materials.

  3. Invariant based anisotropic strain energy potential (accessed with TB,AHYPER). This option works for elements PLANE182 and PLANE183 with plane strain and axisymmetric option, and SOLID185, SOLID186, SOLID187, and SOLSH190.

4.7.2. Finite Strain Elasticity

A material is said to be hyperelastic if there exists an elastic potential function W (or strain energy density function) which is a scalar function of one of the strain or deformation tensors, whose derivative with respect to a strain component determines the corresponding stress component. This can be expressed by:

(4–172)

where:

Sij = components of the second Piola-Kirchhoff stress tensor
W = strain energy function per unit undeformed volume
Eij = components of the Lagrangian strain tensor
Cij = components of the right Cauchy-Green deformation tensor

The Lagrangian strain may be expressed as follows:

(4–173)

where:

δij = Kronecker delta (δij = 1, i = j; δij = 0, i ≠ j)

The deformation tensor Cij is comprised of the products of the deformation gradients fij

(4–174)

where:

Fij = components of the second Piola-Kirchhoff stress tensor
Xi = undeformed position of a point in direction i
xi = Xi + ui = deformed position of a point in direction i
ui = displacement of a point in direction i

The Kirchhoff stress is defined:

(4–175)

and the Cauchy stress is obtained by:

(4–176)

The eigenvalues (principal stretch ratios) of Cij are [image], [image], and [image], and exist only if:

(4–177)

which can be re-expressed as:

(4–178)

where:

I1, I2, and I3 = invariants of Cij,

(4–179)

and

(4–180)

J is also the ratio of the deformed elastic volume over the reference (undeformed) volume of materials (Ogden(295) and Crisfield(294)).

When there is thermal volume strain, the volume ratio J is replaced by the elastic volume ratio Jel which is defined as the total volume ratio J over thermal volume ratio Jth, as:

(4–181)

and the thermal volume ratio Jth is:

(4–182)

where:

α = coefficient of the thermal expansion
ΔT = temperature difference about the reference temperature

4.7.3. Deviatoric-Volumetric Multiplicative Split

Under the assumption that material response is isotropic, it is convenient to express the strain energy function in terms of strain invariants or principal stretches (Simo and Hughes(252)).

(4–183)

or

(4–184)

Define the volume-preserving part of the deformation gradient, [image], as:

(4–185)

and thus

(4–186)

The modified principal stretch ratios and invariants are then:

(4–187)

(4–188)

The strain energy potential can then be defined as:

(4–189)

4.7.4. Isotropic Hyperelasticity

Following are several forms of strain energy potential (W) provided (as options TBOPT in TB,HYPER) for the simulation of incompressible or nearly incompressible hyperelastic materials.

4.7.4.1. Neo-Hookean

The form Neo-Hookean strain energy potential is:

(4–190)

where:

μ = initial shear modulus of materials (input on TBDATA commands with TB,HYPER)
d = material incompressibility parameter (input on TBDATA commands with TB,HYPER)

The initial bulk modulus is related to the material incompressibility parameter by:

(4–191)

where:

K = initial bulk modulus

4.7.4.2. Mooney-Rivlin

This option includes 2, 3, 5, and 9 terms Mooney-Rivlin models. The form of the strain energy potential for 2 parameter Mooney-Rivlin model is:

(4–192)

where:

c10, c01, d = material constants (input on TBDATA commands with TB,HYPER)

The form of the strain energy potential for 3 parameter Mooney-Rivlin model is

(4–193)

where:

c10, c01, c11, d = material constants (input on TBDATA commands with TB,HYPER)

The form of the strain energy potential for 5 parameter Mooney-Rivlin model is:

(4–194)

where:

c10, c01, c20, c11, c02, d = material constants (input on TBDATA commands with TB,HYPER)

The form of the strain energy potential for 9 parameter Mooney-Rivlin model is:

(4–195)

where:

c10, c01, c20, c11, c02, c30, c21, c12, c03, d = material constants (input on TBDATA commands with TB,HYPER)

The initial shear modulus is given by:

(4–196)

The initial bulk modulus is:

(4–197)

4.7.4.3. Polynomial Form

The polynomial form of strain energy potential is

(4–198)

where:

N = material constant (input as NPTS on TB,HYPER)
cij, dk = material constants (input on TBDATA commands with TB,HYPER)

In general, there is no limitation on N in ANSYS program (see TB command). A higher N may provide better fit the exact solution, however, it may, on the other hand, cause numerical difficulty in fitting the material constants and requires enough data to cover the entire range of interest of deformation. Therefore a very higher N value is not usually recommended.

The Neo-Hookean model can be obtained by setting N = 1 and c01 = 0. Also for N = 1, the two parameters Mooney-Rivlin model is obtained, for N = 2, the five parameters Mooney-Rivlin model is obtained and for N = 3, the nine parameters Mooney-Rivlin model is obtained.

The initial shear modulus is defined:

(4–199)

The initial bulk modulus is:

(4–200)

4.7.4.4. Ogden Potential

The Ogden form of strain energy potential is based on the principal stretches of left-Cauchy strain tensor, which has the form:

(4–201)

where:

N = material constant (input as NPTS on TB,HYPER)
μi, αi, dk = material constants (input on TBDATA commands with TB,HYPER)

Similar to the Polynomial form, there is no limitation on N. A higher N can provide better fit the exact solution, however, it may, on the other hand, cause numerical difficulty in fitting the material constants and also it requests to have enough data to cover the entire range of interest of the deformation. Therefore a value of N > 3 is not usually recommended.

The initial shear modulus, μ, is given as:

(4–202)

The initial bulk modulus is:

(4–203)

For N = 1 and α1 = 2, the Ogden potential is equivalent to the Neo-Hookean potential. For N = 2, α1 = 2 and α2 = -2, the Ogden potential can be converted to the 2 parameter Mooney-Rivlin model.

4.7.4.5. Arruda-Boyce Model

The form of the strain energy potential for Arruda-Boyce model is:

(4–204)

where:

μ = initial shear modulus of material (input on TBDATA commands with TB,HYPER)
λL = limiting network stretch (input on TBDATA commands with TB,HYPER)
d = material incompressibility parameter (input on TBDATA commands with TB,HYPER)

The initial bulk modulus is:

(4–205)

As the parameter λL goes to infinity, the model is converted to Neo-Hookean form.

4.7.4.6. Gent Model

The form of the strain energy potential for the Gent model is:

(4–206)

where:

μ = initial shear modulus of material (input on TBDATA commands with TB,HYPER)
Jm = limiting value of [image] (input on TBDATA commands with TB,HYPER)
d = material incompressibility parameter (input on TBDATA commands with TB,HYPER)

The initial bulk modulus is:

(4–207)

As the parameter Jm goes to infinity, the model is converted to Neo-Hookean form.

4.7.4.7. Yeoh Model

The Yeoh model is also called the reduced polynomial form. The strain energy potential is:

(4–208)

where:

N = material constant (input as NPTS on TB,HYPER)
Ci0 = material constants (input on TBDATA commands with TB,HYPER)
dk = material constants (input on TBDATA commands with TB,HYPER)

The Neo-Hookean model can be obtained by setting N = 1.

The initial shear modulus is defined:

(4–209)

The initial bulk modulus is:

(4–210)

4.7.4.8. Ogden Compressible Foam Model

The strain energy potential of the Ogden compressible foam model is based on the principal stretches of left-Cauchy strain tensor, which has the form:

(4–211)

where:

N = material constant (input as NPTS on TB,HYPER)
μi, αi, βi = material constants (input on TBDATA commands with TB,HYPER)

The initial shear modulus, μ, is given as:

(4–212)

The initial bulk modulus K is defined by:

(4–213)

For N = 1, α1 = -2, μ1= –μ, and β = 0.5, the Ogden option is equivalent to the Blatz-Ko option.

4.7.4.9. Blatz-Ko Model

The form of strain energy potential for the Blatz-Ko model is:

(4–214)

where:

μ = initial shear modulus of material (input on TBDATA commands with TB,HYPER)

The initial bulk modulus is defined as:

(4–215)

4.7.5. Anisotropic Hyperelasticity

The anisotropic constitutive strain energy density function W is:

(4–216)

where:

Wv = volumetric part of the strain energy
Wd = deviatoric part of strain energy (often called isochoric part of the strain energy)

We assume the material is nearly incompressible or purely incompressible. The volumetric part Wv is absolutely independent of the isochoric part Wd.

The volumetric part, Wv, is assumed to be only function of J as:

(4–217)

The isochoric part Wd is a function of the invariants [image] of the isochoric part of the right Cauchy Green tensor [image] and the two constitutive material directions A, B in the undeformed configuration. The material directions yield so-called structural tensors [image] of the microstructure of the material. Thus, the strain energy density yields:

(4–218)

where:

The third invariant [image] is ignored due to the incompressible assumption. The parameter ς is defined as:

(4–219)

In (Equation 4–218) the irreducible basis of invariants:

(4–220)

4.7.6. USER Subroutine

The option of user subroutine allows users to define their own strain energy potential. A user subroutine userhyper.F is need to provide the derivatives of the strain energy potential with respect to the strain invariants. Refer to the Guide to ANSYS User Programmable Features for more information on writing a user hyperelasticity subroutine.

4.7.7. Output Quantities

Stresses (output quantities S) are true (Cauchy) stresses in the global coordinate system. They are computed from the second Piola-Kirchhoff stresses using:

(4–221)

where:

ρ, ρo = mass densities in the current and initial configurations

Strains (output as EPEL) are the Hencky (logarithmic) strains (see (Equation 3–6)). They are in the global coordinate system. Thermal strain (output as EPTH) is reported as:

(4–222)

4.7.8. Hyperelasticity Material Curve Fitting

The hyperelastic constants in the strain energy density function of a material determine its mechanical response. Therefore, in order to obtain successful results during a hyperelastic analysis, it is necessary to accurately assess the material constants of the materials being examined. Material constants are generally derived for a material using experimental stress-strain data. It is recommended that this test data be taken from several modes of deformation over a wide range of strain values. In fact, it has been observed that to achieve stability, the material constants should be fit using test data in at least as many deformation states as will be experienced in the analysis. Currently the anisotropic hyperelastic model is not supported for curve fitting.

For hyperelastic materials, simple deformation tests (consisting of six deformation modes) can be used to accurately characterize the material constants (see "Material Curve Fitting" in the Structural Analysis Guide for details). All the available laboratory test data will be used to determine the hyperelastic material constants. The six different deformation modes are graphically illustrated in Figure 4.22: "Illustration of Deformation Modes". Combinations of data from multiple tests will enhance the characterization of the hyperelastic behavior of a material.

Figure 4.22 Illustration of Deformation Modes

Although the algorithm accepts up to six different deformation states, it can be shown that apparently different loading conditions have identical deformations, and are thus equivalent. Superposition of tensile or compressive hydrostatic stresses on a loaded incompressible body results in different stresses, but does not alter deformation of a material. As depicted in Figure 4.23: "Equivalent Deformation Modes", we find that upon the addition of hydrostatic stresses, the following modes of deformation are identical:

  1. Uniaxial Tension and Equibiaxial Compression.

  2. Uniaxial Compression and Equibiaxial Tension.

  3. Planar Tension and Planar Compression.

With several equivalent modes of testing, we are left with only three independent deformation states for which one can obtain experimental data.

Figure 4.23 Equivalent Deformation Modes

The following sections outline the development of hyperelastic stress relationships for each independent testing mode. In the analyses, the coordinate system is chosen to coincide with the principal directions of deformation. Thus, the right Cauchy-Green strain tensor can be written in matrix form by:

(4–223)

where:

λi = 1 + εi [image] principal stretch ratio in the ith direction
εi = principal value of the engineering strain tensor in the ith direction

The principal invariants of Cij are:

(4–224)

(4–225)

(4–226)

For each mode of deformation, fully incompressible material behavior is also assumed so that third principal invariant, I3, is identically one:

(4–227)

Finally, the hyperelastic Piola-Kirchhoff stress tensor, (Equation 4–172) can be algebraically manipulated to determine components of the Cauchy (true) stress tensor. In terms of the principal invariants of the right Cauchy-Green strain tensor, the Cauchy stress components, as determined from (Equation 4–172), can be shown to be:

(4–228)

where:

p = pressure

4.7.8.1. Uniaxial Tension (Equivalently, Equibiaxial Compression)

As shown in Figure 4.22: "Illustration of Deformation Modes", a hyperelastic specimen is loaded along one of its axis during a uniaxial tension test. For this deformation state, the principal stretch ratios in the directions orthogonal to the 'pulling' axis will be identical. Therefore, during uniaxial tension, the principal stretches, λi, are given by:

(4–229)

(4–230)

Due to incompressibility (Equation 4–227):

(4–231)

and with (Equation 4–230),

(4–232)

For uniaxial tension, the first and second strain invariants then become:

(4–233)

and

(4–234)

Substituting the uniaxial tension principal stretch ratio values into the (Equation 4–228), we obtain the following stresses in the 1 and 2 directions:

(4–235)

and

(4–236)

Subtracting (Equation 4–236) from (Equation 4–235), we obtain the principal true stress for uniaxial tension:

(4–237)

The corresponding engineering stress is:

(4–238)

4.7.8.2. Equibiaxial Tension (Equivalently, Uniaxial Compression)

During an equibiaxial tension test, a hyperelastic specimen is equally loaded along two of its axes, as shown in Figure 4.22: "Illustration of Deformation Modes". For this case, the principal stretch ratios in the directions being loaded are identical. Hence, for equibiaxial tension, the principal stretches, λi, are given by:

(4–239)

(4–240)

Utilizing incompressibility (Equation 4–227), we find:

(4–241)

For equibiaxial tension, the first and second strain invariants then become:

(4–242)

and

(4–243)

Substituting the principal stretch ratio values for equibiaxial tension into the Cauchy stress (Equation 4–228), we obtain the stresses in the 1 and 3 directions:

(4–244)

and

(4–245)

Subtracting (Equation 4–245) from (Equation 4–244), we obtain the principal true stress for equibiaxial tension:

(4–246)

The corresponding engineering stress is:

(4–247)

4.7.8.3. Pure Shear

(Uniaxial Tension and Uniaxial Compression in Orthogonal Directions)

Pure shear deformation experiments on hyperelastic materials are generally performed by loading thin, short and wide rectangular specimens, as shown in Figure 4.24: "Pure Shear from Direct Components". For pure shear, plane strain is generally assumed so that there is no deformation in the 'wide' direction of the specimen: λ2 = 1.

Figure 4.24 Pure Shear from Direct Components

Due to incompressibility (Equation 4–227), it is found that:

(4–248)

For pure shear, the first and second strain invariants are:

(4–249)

and

(4–250)

Substituting the principal stretch ratio values for pure shear into the Cauchy stress (Equation 4–228), we obtain the following stresses in the 1 and 3 directions:

(4–251)

and

(4–252)

Subtracting (Equation 4–252) from (Equation 4–251), we obtain the principal pure shear true stress equation:

(4–253)

The corresponding engineering stress is:

(4–254)

4.7.8.4. Volumetric Deformation

The volumetric deformation is described as:

(4–255)

As nearly incompressible is assumed, we have:

(4–256)

The pressure, P, is directly related to the volume ratio J through:

(4–257)

4.7.8.5. Least Squares Fit Analysis

By performing a least squares fit analysis the Mooney-Rivlin constants can be determined from experimental stress-strain data and (Equation 4–236), (Equation 4–246), and (Equation 4–253). Briefly, the least squares fit minimizes the sum of squared error between experimental and Cauchy predicted stress values. The sum of the squared error is defined by:

(4–258)

where:

E = least squares residual error
Ti(Cj) = engineering stress values (function of hyperelastic material constants
n = number of experimental data points

(Equation 4–258) is minimized by setting the variation of the squared error to zero: δ E2 = 0. This yields a set of simultaneous equations which can be used to solve for the hyperelastic constants:

(4–259)

It should be noted that for the pure shear case, the hyperelastic constants cannot be uniquely determined from (Equation 4–253). In this case, the shear data must by supplemented by either or both of the other two types of test data to determine the constants.

4.7.9. Material Stability Check

Stability checks are provided for the Mooney-Rivlin hyperelastic materials. A nonlinear material is stable if the secondary work required for an arbitrary change in the deformation is always positive. Mathematically, this is equivalent to:

(4–260)

where:

dσ = change in the Cauchy stress tensor corresponding to a change in the logarithmic strain

Since the change in stress is related to the change in strain through the material stiffness tensor, checking for stability of a material can be more conveniently accomplished by checking for the positive definiteness of the material stiffness.

The material stability checks are done at the end of preprocessing but before an analysis actually begins. At that time, the program checks for the loss of stability for six typical stress paths (uniaxial tension and compression, equibiaxial tension and compression, and planar tension and compression). The range of the stretch ratio over which the stability is checked is chosen from 0.1 to 10. If the material is stable over the range then no message will appear. Otherwise, a warning message appears that lists the Mooney-Rivlin constants and the critical values of the nominal strains where the material first becomes unstable.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.6. Shape Memory Alloy Material Model 		Up / Home Next
4.8. Viscoelasticity


4.8. Viscoelasticity

A material is said to be viscoelastic if the material has an elastic (recoverable) part as well as a viscous (nonrecoverable) part. Upon application of a load, the elastic deformation is instantaneous while the viscous part occurs over time.

The viscoelastic model usually depicts the deformation behavior of glass or glass-like materials and may simulate cooling and heating sequences of such material. These materials at high temperatures turn into viscous fluids and at low temperatures behave as solids. Further, the material is restricted to be thermorheologically simple (TRS), which assumes the material response to a load at a high temperature over a short duration is identical to that at a lower temperature but over a longer duration. The material model is available with the viscoelastic elements VISCO88, VISCO89 for small deformation viscoelasticity and elements LINK180, SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SOLSH190, SHELL208, SHELL209, and SHELL281 for small as well as large deformation viscoelasticity.

4.8.1. Small Strain Viscoelasticity

In this section, the constitutive equations and the numerical integration scheme for small strain viscoelasticity are discussed. Large strain viscoelasticity will be presented in Large Deformation Viscoelasticity.

4.8.2. Constitutive Equations

A material is viscoelastic if its stress response consists of an elastic part and viscous part. Upon application of a load, the elastic response is instantaneous while the viscous part occurs over time. Generally, the stress function of a viscoelastic material is given in an integral form. Within the context of small strain theory, the constitutive equation for an isotropic viscoelastic material can be written as:

(4–261)

where:

σ = Cauchy stress
e = deviatoric part of the strain
Δ = volumetric part of the strain
G(t) = shear relaxation kernel function
K(t) = bulk relaxation kernel function
t = current time
τ = past time
I = unit tensor

For the viscoelastic elements VISCO88 and VISCO89 the material properties are expressed in integral form using the kernel function of the generalized Maxwell elements as:

(4–262)

(4–263)

(4–264)

(4–265)

where:

ξ = reduced or pseudo time
G(ξ) = shear relaxation kernel function
K(ξ) = bulk relaxation kernel function
nG = number of Maxwell elements used to approximate the shear relaxation kernel (input constant 50)
nK = number of Maxwell elements used to approximate the bulk relaxation kernel (input constant 71)
Ci = constants associated with the instantaneous response for shear behavior (input constants 51–60)
Di = constants associated with the instantaneous response for bulk behavior (input constants 76–85)
G0 = initial shear modulus (input constant 46)
K0 = initial bulk modulus (input constant 48)

For the elements LINK180, SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, SOLSH190, SHELL208, SHELL209, and SHELL281, the kernel functions are represented in terms of Prony series, which assumes that:

(4–266)

(4–267)

where:

, Gi = shear elastic moduli
, Ki = bulk elastic moduli
, [image] = relaxation times for each Prony component

Introducing the relative moduli:

(4–268)

(4–269)

where:

The kernel functions can be equivalently expressed as:

(4–270)

The integral function (Equation 4–261) can recover the elastic behavior at the limits of very slow and very fast load. Here, G0 and K0 are, respectively, the shear and bulk moduli at the fast load limit (i.e. the instantaneous moduli), and [image] and [image] are the moduli at the slow limit. The elasticity parameters input correspond to those of the fast load limit. Moreover by admitting (Equation 4–266), the deviatoric and volumetric parts of the stress are assumed to follow different relaxation behavior. The number of Prony terms for shear nG and for volumetric behavior nK need not be the same nor do the relaxation times [image] and [image].

The Prony representation has a prevailing physical meaning, that it corresponds to the solution of the classical differential model, parallel Maxwell model, of viscoelasticity. This physical rooting is the key to understand the extension of the above constitutive equations to large deformation cases as well as the appearance of the time-scaling law (e.g. pseudo time) at the presence of time-dependent viscous parameters.

4.8.3. Numerical Integration

To perform finite element analysis, the integral (Equation 4–261) need to be integrated. The integration scheme proposed by Taylor(112) and subsequently modified by Simo(327) is adapted. We will delineate the integration procedure for the deviatoric stress. The pressure response can be handled in an analogous way. To integrate the deviatoric part of (Equation 4–261), first, break the stress response into components and write:

(4–271)

where:

s = deviatoric stress

In addition,

(4–272)

One should note that

(4–273)

where:

Δt = tn+1 - tn.

The first term of (Equation 4–273) is readily recognized as: .

Using the middle point rule for time integration for the second term, a recursive formula can be obtained as:

(4–274)

where:

Δe = en+1 - en.

4.8.4. Thermorheological Simplicity

Materials viscous property depends strongly on temperature. For example, glass-like materials turn into viscous fluids at high temperatures while behave like solids at low temperatures. In reality, the temperature effects can be complicated. The so called thermorheological simplicity is an assumption based on the observations for many glass-like materials, of which the relaxation curve at high temperature is identical to that at a low temperature if the time is properly scaled (Scherer(326)). In essence, it stipulates that the relaxation times (of all Prony components) obey the scaling law

(4–275)

Here, A(T, Tr) is called the shift function. Under this assumption (and in conjunction with the differential model), the deviatoric stress function can be shown to take the form

(4–276)

likewise for the pressure part. Here, notably, the Prony representation still holds with the time t, τ in the integrand being replaced by:

here ξ is called pseudo (or reduced) time. In (Equation 4–276), [image] is the decay time at a given temperature.

The assumption of thermorheological simplicity allows for not only the prediction of the relaxation time over temperature, but also the simulation of mechanical response under prescribed temperature histories. In the latter situation, A is an implicit function of time t through T = T(t). In either case, the stress equation can be integrated in a manner similar to (Equation 4–271). Indeed,

(4–277)

Using the middle point rule for time integration on (Equation 4–277) yields

(4–278)

where:

Two widely used shift functions, namely the William-Landel-Ferry shift function and the Tool-Narayanaswamy shift function, are available. The form of the functions are given in Shift Functions.

4.8.5. Large Deformation Viscoelasticity

Two types of large deformation viscoelasticity models are implemented: large deformation, small strain and large deformation, large strain viscoelasticity. The first is associated with hypo-type constitutive equations and the latter is based on hyperelasticity.

4.8.6. Visco-Hypoelasticity

For visco-hypoelasticity model, the constitutive equations are formulated in terms of the rotated stress RTσR, here R is the rotation arising from the polar decomposition of the deformation gradient F. Let RTσR = Σ + pI where Σ is the deviatoric part and p is the pressure. It is evident that Σ = RTSR. The stress response function is given by:

(4–279)

(4–280)

where:

d = deviatoric part of the rate of deformation tensor D.

This stress function is consistent with the generalized differential model in which the stress rate is replaced by Green-Naghdi rate.

To integrate the stress function, one perform the same integration scheme in (Equation 4–271) to the rotated stress (Equation 4–279) to yield:

(4–281)

where:

= rotation tensor arising from the polar decomposition of the middle point deformation gradient

In the actual implementations, the rate of deformation tensor is replaced by the strain increment and we have

(4–282)

where:

symm[.] = symmetric part of the tensor.

From Σ = RTsR and using (Equation 4–281) and (Equation 4–282), it follows that the deviatoric Cauchy stress is given by

(4–283)

where:

The pressure response can be integrated in a similar manner and the details are omitted.

4.8.7. Large Strain Viscoelasticity

The large strain viscoelasticity implemented is based on the formulation proposed by (Simo(327)), amended here to take into account the viscous volumetric response and the thermorheological simplicity. Simo's formulation is an extension of the small strain theory. Again, the viscoelastic behavior is specified separately by the underlying elasticity and relaxation behavior.

(4–284)

where:

J = det (F)

This decomposition of the energy function is consistent with hyperelasticity described in Hyperelasticity.

As is well known, the constitutive equations for hyperelastic material with strain energy function Φ is given by:

(4–285)

where:

S2d = second Piola-Kirchhoff stress tensor

The true stress can be obtained as:

(4–286)

Using (Equation 4–284) in (Equation 4–286) results

(4–287)

It has been shown elsewhere that [image] is deviatoric, therefore (Equation 4–287) already assumes the form of deviatoric/pressure decomposition.

Following Simo(327) and Holzapfel(328), the viscoelastic constitutive equations, in terms of the second Piola-Kirchhoff stress, is given by

(4–288)

Denote

(4–289)

(4–290)

and applying the recursive formula to (Equation 4–289) and (Equation 4–290) yields,

(4–291)

(4–292)

The above are the updating formulas used in the implementation. Cauchy stress can be obtained using (Equation 4–286).

4.8.8. Shift Functions

For VISCO88, VISCO89 viscoelastic elements, the Tool-Narayanaswamy shift function (defined in Narayanaswamy(110)) is accessed with constant 5 = 0, and is calculated as:

(4–293)

where:

= activation energy divided by the ideal gas constant (input constant 1)
Tref = reference temperature (input on TREF command)
x = input constant 2
T(t') = temperature at time t'
Tf(t') = fictive temperature at time t' (see below for more information)

The Williams-Landau-Ferry shift function (defined in Williams et al.(277)) is accessed with constant 5 = 1, and is based on logarithm to the base 10. For consistency, this is converted to base e internally and is calculated as:

(4–294)

where:

c1 = first material constant (input constant 1)
c2 = second material constant (input constant 2)
T(t') = temperature at time t'
Tbase = base temperature for TRS material properties (input constant 4)

Initial fictive temperature is defined using input constants 6 thru 15 and 36 thru 45. Subsequent fictive temperatures use input constants 16 thru 25. These usages are explained in (Markovsky(108)), and (Narayanaswamy(110)). (The fictive temperature is output as FICT TEMP.)

The incremental change in growth (volumetric) strain follows the relationship:

(4–295)

where:

Δεgr = incremental change in growth strain
α(T)g = coefficient of thermal expansion for the glass state, which is a function of the actual temperature T (input constants 31 thru 35)
ΔT = change of actual temperature
= coefficient of thermal expansion for the liquid state, which is a function of the fictive temperature Tf (input constants 26 thru 30)
ΔTf = change of fictive temperature

The incremental changes in growth strain are summed to give:

(4–296)

where:

εgr = summed total strains (output as GR STRAIN)
Nt = total number of time steps up to and including the current time point

For elements LINK180, SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SOLSH190, SHELL208, SHELL209, and SHELL281, the shift functions the William-Landel-Ferry shift function takes the form:

(4–297)

where:

c1 = first material constant
c2 = second material constant
T = temperature at time t
Tr = base temperature

and the Tool-Narayanaswamy shift function takes the form:

(4–298)

where:

d1 = first material constant

Other shift functions may be accommodated for elements LINK180, SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, BEAM188, BEAM189, SOLSH190, SHELL208, SHELL209, and SHELL281 through the user provided subroutine USRSHIFT. The inputs for this subroutine are the user-defined parameters, the current value of time and temperature, their increments and the current value of user state variables (if any). The outputs from the subroutine are Δξ, Δξ1/2 as well as the current value of user state variables.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.7. Hyperelasticity 		Up / Home Next
4.9. Concrete


4.9. Concrete

The concrete material model predicts the failure of brittle materials. Both cracking and crushing failure modes are accounted for. TB,CONCR accesses this material model, which is available with the reinforced concrete element SOLID65.

The criterion for failure of concrete due to a multiaxial stress state can be expressed in the form (Willam and Warnke(37)):

(4–299)

where:

F = a function (to be discussed) of the principal stress state (σxp, σyp, σzp)
S = failure surface (to be discussed) expressed in terms of principal stresses and five input parameters ft, fc, fcb, f1 and f2 defined in Table 4.4: "Concrete Material Table"
fc = uniaxial crushing strength
σxp, σyp, σzp = principal stresses in principal directions

If (Equation 4–299) is satisfied, the material will crack or crush.

A total of five input strength parameters (each of which can be temperature dependent) are needed to define the failure surface as well as an ambient hydrostatic stress state. These are presented in Table 4.4: "Concrete Material Table".

Table 4.4 Concrete Material Table

(Input on TBDATA Commands with TB,CONCR)
Label | Description | Constant
ft | Ultimate uniaxial tensile strength | 3
fc | Ultimate uniaxial compressive strength | 4
fcb | Ultimate biaxial compressive strength | 5
 | Ambient hydrostatic stress state | 6
f1 | Ultimate compressive strength for a state of biaxial compression superimposed on hydrostatic stress state | 7
f2 | Ultimate compressive strength for a state of uniaxial compression superimposed on hydrostatic stress state | 8

However, the failure surface can be specified with a minimum of two constants, ft and fc. The other three constants default to Willam and Warnke(37):

(4–300)

(4–301)

(4–302)

However, these default values are valid only for stress states where the condition

(4–303)

(4–304)

is satisfied. Thus condition (Equation 4–303) applies to stress situations with a low hydrostatic stress component. All five failure parameters should be specified when a large hydrostatic stress component is expected. If condition (Equation 4–303) is not satisfied and the default values shown in (Equation 4–300) thru (Equation 4–302) are assumed, the strength of the concrete material may be incorrectly evaluated.

When the crushing capability is suppressed with fc = -1.0, the material cracks whenever a principal stress component exceeds ft.

Both the function F and the failure surface S are expressed in terms of principal stresses denoted as σ1, σ2, and σ3 where:

(4–305)

(4–306)

and σ1 [image] σ2 [image] σ3. The failure of concrete is categorized into four domains:

  1. 0 [image] σ1 [image] σ2 [image] σ3 (compression - compression - compression)

  2. σ1 [image] 0 [image] σ2 [image] σ3 (tensile - compression - compression)

  3. σ1 [image] σ2 [image] 0 [image] σ3 (tensile - tensile - compression)

  4. σ1 [image] σ2 [image] σ3 [image] 0 (tensile - tensile - tensile)

In each domain, independent functions describe F and the failure surface S. The four functions describing the general function F are denoted as F1, F2, F3, and F4 while the functions describing S are denoted as S1, S2, S3, and S4. The functions Si (i = 1,4) have the properties that the surface they describe is continuous while the surface gradients are not continuous when any one of the principal stresses changes sign. The surface will be shown in Figure 4.25: "3-D Failure Surface in Principal Stress Space" and Figure 4.27: "Failure Surface in Principal Stress Space with Nearly Biaxial Stress". These functions are discussed in detail below for each domain.

4.9.1. The Domain (Compression - Compression - Compression)

0 [image] σ1 [image] σ2 [image] σ3

In the compression - compression - compression regime, the failure criterion of Willam and Warnke(37) is implemented. In this case, F takes the form

(4–307)

and S is defined as

(4–308)

Terms used to define S are:

(4–309)

(4–310)

(4–311)

(4–312)

σh is defined by (Equation 4–304) and the undetermined coefficients a0, a1, a2, b0, b1, and b2 are discussed below.

This failure surface is shown as Figure 4.25: "3-D Failure Surface in Principal Stress Space". The angle of similarity η describes the relative magnitudes of the principal stresses. From (Equation 4–309), η = 0° refers to any stress state such that σ3 = σ2 > σ1 (e.g. uniaxial compression, biaxial tension) while ξ = 60° for any stress state where σ3 >σ2 = σ1 (e.g. uniaxial tension, biaxial compression). All other multiaxial stress states have angles of similarity such that 0° [image] η [image] 60°. When η = 0°, S1 (Equation 4–308) equals r1 while if η = 60°, S1 equals r2. Therefore, the function r1 represents the failure surface of all stress states with η = 0°. The functions r1, r2 and the angle η are depicted on Figure 4.25: "3-D Failure Surface in Principal Stress Space".

Figure 4.25 3-D Failure Surface in Principal Stress Space

It may be seen that the cross-section of the failure plane has cyclic symmetry about each 120° sector of the octahedral plane due to the range 0° < η < 60° of the angle of similitude. The function r1 is determined by adjusting a0, a1, and a2 such that ft, fcb, and f1 all lie on the failure surface. The proper values for these coefficients are determined through solution of the simultaneous equations:

(4–313)

with

(4–314)

The function r2 is calculated by adjusting b0, b1, and b2 to satisfy the conditions:

(4–315)

ξ2 is defined by:

(4–316)

and ξ0 is the positive root of the equation

(4–317)

where a0, a1, and a2 are evaluated by (Equation 4–313).

Since the failure surface must remain convex, the ratio r1 / r2 is restricted to the range

(4–318)

although the upper bound is not considered to be restrictive since r1 / r2 < 1 for most materials (Willam(36)). Also, the coefficients a0, a1, a2, b0, b1, and b2 must satisfy the conditions (Willam and Warnke(37)):

(4–319)

(4–320)

Therefore, the failure surface is closed and predicts failure under high hydrostatic pressure (ξ > ξ2). This closure of the failure surface has not been verified experimentally and it has been suggested that a von Mises type cylinder is a more valid failure surface for large compressive σh values (Willam(36)). Consequently, it is recommended that values of f1 and f2 are selected at a hydrostatic stress level [image] in the vicinity of or above the expected maximum hydrostatic stress encountered in the structure.

(Equation 4–317) expresses the condition that the failure surface has an apex at ξ = ξ0. A profile of r1 and r2 as a function of ξ is shown in Figure 4.26: "A Profile of the Failure Surface".

Figure 4.26 A Profile of the Failure Surface

As a Function of ξα

The lower curve represents all stress states such that η = 0° while the upper curve represents stress states such that η = 60°. If the failure criterion is satisfied, the material is assumed to crush.

4.9.2. The Domain (Tension - Compression - Compression)

σ1 [image] 0 [image] σ2 [image] σ3

In the regime, F takes the form

(4–321)

and S is defined as

(4–322)

where cos η is defined by (Equation 4–309) and

(4–323)

(4–324)

The coefficients a0, a1, a2, b0, b1, b2 are defined by (Equation 4–313) and (Equation 4–315) while

(4–325)

If the failure criterion is satisfied, cracking occurs in the plane perpendicular to principal stress σ1.

This domain can also crush. See (Willam and Warnke(37)) for details.

4.9.3. The Domain (Tension - Tension - Compression)

σ1 [image] σ2 [image] 0 [image] σ3

In the tension - tension - compression regime, F takes the form

(4–326)

and S is defined as

(4–327)

If the failure criterion for both i = 1, 2 is satisfied, cracking occurs in the planes perpendicular to principal stresses σ1 and σ2. If the failure criterion is satisfied only for i = 1, cracking occurs only in the plane perpendicular to principal stress σ1.

This domain can also crush. See (Willam and Warnke(37)) for details.

4.9.4. The Domain (Tension - Tension - Tension)

σ1 [image] σ2 [image] σ3 [image] 0

In the tension - tension - tension regimes, F takes the form

(4–328)

and S is defined as

(4–329)

If the failure criterion is satisfied in directions 1, 2, and 3, cracking occurs in the planes perpendicular to principal stresses σ1, σ2, and σ3.

If the failure criterion is satisfied in directions 1 and 2, cracking occurs in the plane perpendicular to principal stresses σ1 and σ2.

If the failure criterion is satisfied only in direction 1, cracking occurs in the plane perpendicular to principal stress σ1.

Figure 4.27 Failure Surface in Principal Stress Space with Nearly Biaxial Stress

Figure 4.27: "Failure Surface in Principal Stress Space with Nearly Biaxial Stress" represents the 3-D failure surface for states of stress that are biaxial or nearly biaxial. If the most significant nonzero principal stresses are in the σxp and σyp directions, the three surfaces presented are for σzp slightly greater than zero, σzp equal to zero, and σzp slightly less than zero. Although the three surfaces, shown as projections on the σxp - σyp plane, are nearly equivalent and the 3-D failure surface is continuous, the mode of material failure is a function of the sign of σzp. For example, if σxp and σyp are both negative and σzp is slightly positive, cracking would be predicted in a direction perpendicular to the σzp direction. However, if σzp is zero or slightly negative, the material is assumed to crush.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.8. Viscoelasticity 		Up / Home Next
4.10. Swelling


4.10. Swelling

The ANSYS program provides a capability of irradiation induced swelling (accessed with TB,SWELL). Swelling is defined as a material enlarging volumetrically in the presence of neutron flux. The amount of swelling may also be a function of temperature. The material is assumed to be isotropic and the basic solution technique used is the initial stress method. Swelling calculations are available only through the user swelling subroutine. See User Routines and Non-Standard Uses of the Advanced Analysis Techniques Guide and the Guide to ANSYS User Programmable Features for more details. Input must have C72 set to 10. Constants C67 through C71 are used together with fluence and temperature, as well as possibly strain, stress and time, to develop an expression for swelling rate.

Any of the following three conditions cause the swelling calculations to be bypassed:

  1. If C67 [image] 0. and C68 [image] 0.

  2. If (input temperature + Toff) U [image] 0, where Toff = offset temperature (input on TOFFST command).

  3. If Fluencen [image] Fluencen-1 (n refers to current time step).

The total swelling strain is computed in subroutine USERSW as:

(4–330)

where:

= swelling strain at end of substep n
Δεsw = rΔf = swelling strain increment
r = swelling rate
Δf = fn - fn-1 = change of fluence
fn = fluence at end of substep n (input as VAL1, etc. on the BFE,,FLUE command)

For a solid element, the swelling strain vector is simply:

(4–331)

It is seen that the swelling strains are handled in a manner totally analogous to temperature strains in an isotropic medium and that shearing strains are not used.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.9. Concrete 		Up / Home Next
4.11. Cohesive Zone Material Model


4.11. Cohesive Zone Material Model

Fracture or delamination along an interface between phases plays a major role in limiting the toughness and the ductility of the multi-phase materials, such as matrix-matrix composites and laminated composite structure. This has motivated considerable research on the failure of the interfaces. Interface delamination can be modeled by traditional fracture mechanics methods such as the nodal release technique. Alternatively, you can use techniques that directly introduce fracture mechanism by adopting softening relationships between tractions and the separations, which in turn introduce a critical fracture energy that is also the energy required to break apart the interface surfaces. This technique is called the cohesive zone model. The interface surfaces of the materials can be represented by a special set of interface elements or contact elements, and a cohesive zone model can be used to characterize the constitutive behavior of the interface.

The cohesive zone model consists of a constitutive relation between the traction T acting on the interface and the corresponding interfacial separation δ (displacement jump across the interface). The definitions of traction and separation depend on the element and the material model.

4.11.1. Interface Elements

For interface elements, the interfacial separation is defined as the displacement jump, δ , i.e., the difference of the displacements of the adjacent interface surfaces:

(4–332)

Note that the definition of the separation is based on local element coordinate system, Figure 4.28: "Schematic of Interface Elements". The normal of the interface is denoted as local direction n, and the local tangent direction is denoted as t. Thus:

(4–333)

(4–334)

Figure 4.28 Schematic of Interface Elements

4.11.1.1. Material Model - Exponential Behavior

An exponential form of the cohesive zone model (input using TB,CZM), originally proposed by Xu and Needleman(363), uses a surface potential:

(4–335)

where:

φ(δ) = surface potential
e = 2.7182818
σmax = maximum normal traction at the interface (input on TBDATA command as C1 using TB,CZM)

The traction is defined as:

(4–336)

or

(4–337)

and

(4–338)

From equations (Equation 4–337) and (Equation 4–338), we obtain the normal traction of the interface

(4–339)

and the shear traction

(4–340)

The normal work of separation is:

(4–341)

and shear work of separation is assumed to be the same as the normal work of separation, φn, and is defined as:

(4–342)

For the 3-D stress state, the shear or tangential separations and the tractions have two components, δt1 and δt2 in the element's tangential plane, and we have:

(4–343)

The traction is then defined as:

(4–344)

and

(4–345)

(In POST1 and POST26 the traction, T, is output as SS and the separation, δ, is output as SD.)

The tangential direction t1 is defined along ij edge of element and the direction t2 is defined along direction perpendicular to the plane formed by n and t1. Directions t1, t2, and n follow the righthand side rule.

4.11.2. Contact Elements

Delamination with contact elements is referred to as debonding.The interfacial separation is defined in terms of contact gap or penetration and tangential slip distance. The computation of contact and tangential slip is based on the type of contact element and the location of contact detection point. Cohesive zone model can only be used for bonded contact (KEYOPT(12) = 4, 5, or 6) with the augmented Lagrangian method (KEYOPT(2) = 0) or the pure penalty method (KEYOPT(2) = 1). See CONTA174 - 3-D 8-Node Surface-to-Surface Contact in the Theory Reference for ANSYS and ANSYS Workbench for details.

4.11.2.1. Material Model - Bilinear Behavior

The bilinear cohesive zone material model (input using TB,CZM) is based on the model proposed by Alfano and Crisfield(365).

Mode I Debonding

Mode I debonding defines a mode of separation of the interface surfaces where the separation normal to the interface dominates the slip tangent to the interface. The normal contact stress (tension) and contact gap behavior is plotted in Figure 4.29: "Normal Contact Stress and Contact Gap Curve for Bilinear Cohesive Zone Material". It shows linear elastic loading (OA) followed by linear softening (AC). The maximum normal contact stress is achieved at point A. Debonding begins at point A and is completed at point C when the normal contact stress reaches zero value; any further separation occurs without any normal contact stress. The area under the curve OAC is the energy released due to debonding and is called the critical fracture energy. The slope of the line OA determines the contact gap at the maximum normal contact stress and, hence, characterizes how the normal contact stress decreases with the contact gap, i.e., whether the fracture is brittle or ductile. After debonding has been initiated it is assumed to be cumulative and any unloading and subsequent reloading occurs in a linear elastic manner along line OB at a more gradual slope.

Figure 4.29 Normal Contact Stress and Contact Gap Curve for Bilinear Cohesive Zone Material

The equation for curve OAC can be written as:

(4–346)

where:

P = normal contact stress (tension)
Kn = normal contact stiffness
un = contact gap
= contact gap at the maximum normal contact stress (tension)
= contact gap at the completion of debonding (input on TBDATA command as C2 using TB,CZM)
dn = debonding parameter

The debonding parameter for Mode I Debonding is defined as:

(4–347)

with dn = 0 for Δn [image] 1 and 0 < dn [image] 1 for Δn > 1.

where:

The normal critical fracture energy is computed as:

(4–348)

where:

σmax = maximum normal contact stress (input on TBDATA command as C1 using TB,CZM).

For mode I debonding the tangential contact stress and tangential slip behavior follows the normal contact stress and contact gap behavior and is written as:

(4–349)

where:

τt = tangential contact stress
Kt = tangential contact stiffness
ut = tangential slip distance

Mode II Debonding

Mode II debonding defines a mode of separation of the interface surfaces where tangential slip dominates the separation normal to the interface. The equation for the tangential contact stress and tangential slip distance behavior is written as:

(4–350)

where:

= tangential slip distance at the maximum tangential contact stress
= tangential slip distance at the completion of debonding (input on TBDATA command as C4 using TB,CZM)
dt = debonding parameter

The debonding parameter for Mode II Debonding is defined as:

(4–351)

with dt = 0 for Δt [image] 1 and 0 < dt [image] 1 for Δt > 1.

where:

For the 3-D stress state an "isotropic" behavior is assumed and the debonding parameter is computed using an equivalent tangential slip distance:

(4–352)

where:

uy and uz = slip distances in the two tangent directions

The components of the tangential contact stress are defined as:

(4–353)

and

(4–354)

The tangential critical fracture energy is computed as:

(4–355)

where:

τmax = maximum tangential contact stress (input on TBDATA command as C3 using TB,CZM).

The normal contact stress and contact gap behavior follows the tangential contact stress and tangential slip behavior and is written as:

(4–356)

Mixed Mode Debonding

In mixed mode debonding the interface separation depends on both normal and tangential components. The equations for the normal and the tangential contact stresses are written as:

(4–357)

and

(4–358)

The debonding parameter is defined as:

(4–359)

with dm = 0 for Δm [image] 1 and 0 < dm [image] 1 for Δm > 1, and Δ and χ are defined below.

where:

and

The constraint on χ that the ratio of the contact gap distances be the same as the ratio of tangential slip distances is enforced automatically by appropriately scaling the contact stiffness values.

For mixed mode debonding, both normal and tangential contact stresses contribute to the total fracture energy and debonding is completed before the critical fracture energy values are reached for the components. Therefore, a power law based energy criterion is used to define the completion of debonding:

(4–360)

where:

and
are, respectively, the normal and tangential fracture energies.

Identifying Debonding Modes

The debonding modes are based on input data:

  1. Mode I for normal data (input on TBDATA command as C1, C2, C5 and C6).

  2. Mode II for tangential data (input on TBDATA command as C3, C4, C5 and C6).

  3. Mixed mode for normal and tangential data (input on TBDATA command as C1, C2, C3, C4, C5 and C6).

Artificial Damping

Debonding is accompanied by convergence difficulties in the Newton-Raphson solution. Artificial damping is used in the numerical solution to overcome these problems. For mode I debonding the normal contact stress expression would appear as:

(4–361)

where:

t = time interval
η = damping coefficient (input on TBDATA command as C5 using TB,CZM).

The damping coefficient has units of time and is typically chosen to be 0.01 to 0.1 times the smallest time increment to give a numerically stable and fairly accurate solution.

Tangential Slip under Normal Compression

An option is provided to control tangential slip under compressive normal contact stress for mode II and mixed mode debonding. By default, no tangential slip is allowed for the above mentioned cases but it can be activated by setting the flag β (input on TBDATA command as C6 using TB,CZM) to 1. Settings on β are:

β = 0 (default) no tangential slip under compressive normal contact stress for mode II and mixed mode debonding
β = 1 tangential slip under compressive normal contact stress for mode II and mixed mode debonding

Post Separation Behavior

After debonding is completed the surface interaction is governed by standard contact constraints for normal and tangential directions. Frictional contact is used if friction is specified for contact elements.

Results Output for POST1 and POST26

All applicable output quantities for contact elements are also available for debonding: normal contact stress P (output as PRES), tangential contact stress τt (output as SFRIC) or its components τy and τz (output as TAUR and TAUS), contact gap un (output as GAP), tangential slip ut (output as SLIDE) or its components uy and uz (output as TASR and TASS), etc. Additionally, debonding specific output quantities are also available (output as NMISC data): debonding time history (output as DTSTART), debonding parameter dn , dt or dm (output as DPARAM), fracture energies Gn and Gt (output as DENERI and DENERII).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.10. Swelling 		Up / Home Next
Chapter 5. Electromagnetics


Chapter 5. Electromagnetics

The following topics concerning electromagnetic are available:

  • Electromagnetic Field Fundamentals
  • Derivation of Electromagnetic Matrices
  • Electromagnetic Field Evaluations
  • Voltage Forced and Circuit-Coupled Magnetic Field
  • High-Frequency Electromagnetic Field Simulation
  • Inductance, Flux and Energy Computation by LMATRIX and SENERGY Macros
  • Electromagnetic Particle Tracing
  • Maxwell Stress Tensor
  • Electromechanical Transducers
  • Capacitance Computation
  • Open Boundary Analysis with a Trefftz Domain
  • Circuit Analysis, Reduced Order Modeling
  • Conductance Computation

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
4.11. Cohesive Zone Material Model 		Up / Home Next
5.1. Electromagnetic Field Fundamentals


5.1. Electromagnetic Field Fundamentals

Electromagnetic fields are governed by the following Maxwell's equations (Smythe(150)):

(5–1)

(5–2)

(5–3)

(5–4)

where:

x = curl operator
= divergence operator
{H} = magnetic field intensity vector
{J} = total current density vector
{Js} = applied source current density vector
{Je} = induced eddy current density vector
{Jvs} = velocity current density vector
{D} = electric flux density vector (Maxwell referred to this as the displacement vector, but to avoid misunderstanding with mechanical displacement, the name electric flux density is used here.)
t = time
{E} = electric field intensity vector
{B} = magnetic flux density vector
ρ = electric charge density

The continuity equation follows from taking the divergence of both sides of (Equation 5–1).

(5–5)

The continuity equation must be satisfied for the proper setting of Maxwell's equations. Users should prescribe Js taking this into account.

The above field equations are supplemented by the constitutive relation that describes the behavior of electromagnetic materials. For problems considering saturable material without permanent magnets, the constitutive relation for the magnetic fields is:

(5–6)

where:

μ = magnetic permeability matrix, in general a function of {H}

The magnetic permeability matrix [μ] may be input either as a function of temperature or field. Specifically, if [μ] is only a function of temperature,

(5–7)

where:

μo = permeability of free space (input on EMUNIT command)
μrx = relative permeability in the x-direction (input as MURX on MP command)

If [μ] is only a function of field,

(5–8)

where:

μh = permeability derived from the input B versus H curve (input with TB,BH).

Mixed usage is also permitted, e.g.:

(5–9)

When permanent magnets are considered, the constitutive relation becomes:

(5–10)

where:

{Mo} = remanent intrinsic magnetization vector

Rewriting the general constitutive equation in terms of reluctivity it becomes:

(5–11)

where:

[ν] = reluctivity matrix = [μ]-1

The constitutive relations for the related electric fields are:

(5–12)

(5–13)

where:

σxx = conductivity in the x-direction (input as inverse of RSVX on MP command)
εxx = permittivity in the x-direction (input as PERX on MP command)

The solution of magnetic field problems is commonly obtained using potential functions. Two kinds of potential functions, the magnetic vector potential and the magnetic scalar potential are used depending on the problem to be solved. Factors affecting the choice of potential include: field dynamics, field dimensionality, source current configuration, domain size and discretization.

The applicable regions are shown below. These will be referred to with each solution procedure discussed below.

Figure 5.1 Electromagnetic Field Regions

where:

Ω0 = free space region
Ω1 = nonconducting permeable region
Ω2 = conducting region
μ = permeability of iron
μo = permeability of air
Mo = permanent magnets
S1 = boundary of W1
σ = conductivity
Ω = Ω1 + Ω2 + Ω0

5.1.1. Magnetic Scalar Potential

The scalar potential method as implemented in SOLID5, SOLID96, and SOLID98 for 3-D magnetostatic fields is discussed in this section. Magnetostatics means that time varying effects are ignored. This reduces Maxwell's equations for magnetic fields to:

(5–14)

(5–15)

5.1.2. Solution Strategies

In the domain Ω0 and Ω1 of a magnetostatic field problem (Ω2 is not considered for magnetostatics) a solution is sought which satisfies the relevant Maxwell's (Equation 5–14) and (Equation 5–15) and the constitutive relation (Equation 5–10) in the following form (Gyimesi(141) and Gyimesi(149)):

(5–16)

(5–17)

where:

{Hg} = preliminary or “guess” magnetic field
φg = generalized potential

The development of {Hg} varies depending on the problem and the formulation. Basically, {Hg} must satisfy Ampere's law ((Equation 5–14)) so that the remaining part of the field can be derived as the gradient of the generalized scalar potential φg. This ensures that φg is singly valued. Additionally, the absolute value of {Hg} must be greater than that of Δφg. In other words, {Hg} should be a good approximation of the total field. This avoids difficulties with cancellation errors (Gyimesi(149)).

This framework allows for a variety of scalar potential formulation to be used. The appropriate formulation depends on the characteristics of the problem to be solved. The process of obtaining a final solution may involve several steps (controlled by the MAGOPT solution option).

As mentioned above, the selection of {Hg} is essential to the development of any of the following scalar potential strategies. The development of {Hg} always involves the Biot-Savart field {Hs} which satisfies Ampere's law and is a function of source current {Js}. {Hs} is obtained by evaluating the integral:

(5–18)

where:

{Js} = current source density vector at d(volc)
{r} = position vector from current source to node point
volc = volume of current source

The above volume integral can be reduced to the following surface integral (Gyimesi et al.(173))

(5–19)

where:

surfc = surface of the current source

Evaluation of this integral is automatically performed upon initial solution execution or explicitly (controlled by the BIOT command). The values of {Js} are obtained either directly as input by:

SOURC36 - Current Source

or indirectly calculated by electric field calculation using:

SOLID5 - 3-D Coupled-Field Solid
LINK68 - Coupled Thermal-Electric Line
SOLID69 - 3-D Coupled Thermal-Electric Solid
SOLID98 - Tetrahedral Coupled-Field Solid

Depending upon the current configuration, the integral given in (Equation 5–19) is evaluated in a closed form and/or a numerical fashion (Smythe(150)).

Three different solution strategies emerge from the general framework discussed above:

Reduced Scalar Potential (RSP) Strategy
Difference Scalar Potential (DSP) Strategy
General Scalar Potential (GSP) Strategy

5.1.2.1. RSP Strategy

Applicability

If there are no current sources ({Js} = 0) the RSP strategy is applicable. Also, in general, if there are current sources and there is no iron ([μ] = [μo]) within the problem domain, the RSP strategy is also applicable. This formulation is developed by Zienkiewicz(75).

Back To Top

Procedure

The RSP strategy uses a one-step procedure (MAGOPT,0). (Equation 5–16) and (Equation 5–17) are solved making the following substitution:

(5–20)

Saturation is considered if the magnetic material is nonlinear. Permanent magnets are also considered.

5.1.2.2. DSP Strategy

Applicability

The DSP strategy is applicable when current sources and singly connected iron regions exist within the problem domain ({Js} ≠ {0}) and ([μ] ≠ [μo]). A singly connected iron region does not enclose a current. In other words a contour integral of {H} through the iron must approach zero as u → [image].

(5–21)

This formulation is developed by Mayergoyz(119).

Back To Top

Procedure

The DSP strategy uses a two-step solution procedure. The first step (MAGOPT,2) makes the following substitution into (Equation 5–16) and (Equation 5–17):

(5–22)

subject to:

(5–23)

This boundary condition is satisfied by using a very large value of permeability in the iron (internally set by the program). Saturation and permanent magnets are not considered. This step produces a near zero field in the iron region which is subsequently taken to be zero according to:

(5–24)

and in the air region:

(5–25)

The second step (MAGOPT,3) uses the fields calculated on the first step as the preliminary field for (Equation 5–16) and (Equation 5–17):

(5–26)

(5–27)

Here saturation and permanent magnets are considered. This step produces the following fields:

(5–28)

and

(5–29)

which are the final results to the applicable problems.

5.1.2.3. GSP Strategy

Applicability

The GSP strategy is applicable when current sources ({Js ≠ {0}) in conjunction with a multiply connected iron ([μ] ≠ [μo]) region exist within the problem domain. A multiply connected iron region encloses some current source. This means that a contour integral of {H} through the iron region is not zero:

(5–30)

where:

= refers to the dot product

This formulation is developed by Gyimesi(141, 149, 201).

Back To Top

Procedure

The GSP strategy uses a three-step solution procedure. The first step (MAGOPT,1) performs a solution only in the iron with the following substitution into (Equation 5–16) and (Equation 5–17):

(5–31)

subject to:

(5–32)

Here S1 is the surface of the iron air interface. Saturation can optimally be considered for an improved approximation of the generalized field but permanent magnets are not. The resulting field is:

(5–33)

The second step (MAGOPT,2) performs a solution only in the air with the following substitution into (Equation 5–16) and (Equation 5–17):

(5–34)

subject to:

(5–35)

This boundary condition is satisfied by automatically constraining the potential solution φg at the surface of the iron to be what it was on the first step (MAGOPT,1). This step produces the following field:

(5–36)

Saturation or permanent magnets are of no consequence since this step obtains a solution only in air.

The third step (MAGOPT,3) uses the fields calculated on the first two steps as the preliminary field for (Equation 5–16) and (Equation 5–17):

(5–37)

(5–38)

Here saturation and permanent magnets are considered. The final step allows for the total field to be computed throughout the domain as:

(5–39)

5.1.3. Magnetic Vector Potential

The vector potential method as implemented in PLANE13, PLANE53, and SOLID97 for both 2-D and 3-D electromagnetic fields is discussed in this section. Considering static and dynamic fields and neglecting displacement currents (quasi-stationary limit), the following subset of Maxwell's equations apply:

(5–40)

(5–41)

(5–42)

The usual constitutive equation for magnetic and electric field apply as described by (Equation 5–11) and (Equation 5–12). Although some restriction on anisotropy and nonlinearity do occur in the formulations mentioned below.

In the entire domain, Ω, of an electromagnetic field problem a solution is sought which satisfies the relevant Maxwell's (Equation 5–40) thru (Equation 5–41). See Figure 5.1: "Electromagnetic Field Regions" for a representation of the problem domain Ω.

A solution can be obtained by introducing potentials which allow the magnetic field {B} and the electric field {E} to be expressed as (Biro(120)):

(5–43)

(5–44)

where:

{A} = magnetic vector potential
V = electric scalar potential

These specifications ensure the satisfaction of two of Maxwell's equations, (Equation 5–41) and (Equation 5–42). What remains to be solved is Ampere's law, (Equation 5–40) in conjunction with the constitutive relations, (Equation 5–11), and the divergence free property of current density. Additionally, to ensure uniqueness of the vector potential, the Coulomb gauge condition is employed. The resulting differential equations are:

(5–45)

(5–46)

(5–47)

where:

Of course these equations are subject to the appropriate boundary conditions.

This system of simplified Maxwell's equations with the introduction of potential functions has been used for the solutions of 2-D and 3-D, static and dynamic fields. Silvester(72) presents a 2-D static formulation and Demerdash(151) develops the 3-D static formulation. Chari(69), Brauer(70) and Tandon(71) discuss the 2-D eddy current problem and Weiss(94) and Garg(95) discuss 2-D eddy current problems which allow for skin effects (eddy currents present in the source conductor). The development of 3-D eddy current problems is found in Biro(120). In many of these references the important issues of appropriate boundary conditions, gauging and uniqueness are discussed. The edge-flux formulation with tree gauging (Gyimesi and Ostergaard(202), (221), Ostergaard and Gyimesi(222), (223)) is discussed in SOLID117 - 3-D 20-Node Magnetic Edge.

For models containing materials with different permeabilities, the 3-D vector potential formulation is not recommended. The solution has been found to be incorrect when the normal component of the vector potential is significant at the interface between elements of different permeability. A further discussion on this limitation is found in Biro et al.(200).

5.1.4. Edge Flux Degrees of Freedom

Biro et al.(200) and Preis et al.(203) observed inaccuracies in the finite element analysis of 3-D magnetic field problems with the nodal based continuous vector potential, A, in the presence of inhomogeneous medium. This theoretical shortcomings of the nodal vector potential, A, has been demonstrated by Gyimesi and Ostergaard(201, 221), Ostergaard and Gyimesi(222, 223).

The shortcomings of the nodal based continuous vector potential formulation is demonstrated below. These shortcomings can be eliminated by the edge element method. The edge element formulation constitutes the theoretical foundation of low-frequency electromagnetic element, SOLID117. Electromagnetic Edge Elements describes the pertinent edge shape functions. Electromagnetic Edge Elements discusses topics related to the matrix formulation and gauging. Inductance, Flux and Energy Computation by LMATRIX and SENERGY Macros presents the details of the high frequency edge formulation.

To eliminate these inaccuracies, edge elements with a discontinuous normal component have been proposed. SOLID117 - 3-D 20-Node Magnetic Edge and Electromagnetic Edge Elements are devoted to discuss this topic.

5.1.5. Limitation of the Nodal Vector Potential

Consider a volume bounded by planes, x = ± -1, y = ± 1, and z = ± 1. See Figure 5.2: "Patch Test Geometry". Subdivide the volume into four elements by planes, x = 0 and y = 0. The element numbers are set according to the space quadrant they occupy. The permeability, μ, of the elements is μ1, μ2, μ3, and μ4, respectively. Denote unit vectors by {1x}, {1y}, and {1z}. Consider a patch test with a known field, {Hk} = {1z}, {Bk} = μ{Hk} changes in the volume according to μ.

Figure 5.2 Patch Test Geometry

Since {Bk} is constant within the elements, one would expect that even a first order element could pass the patch test. This is really the case with edge element but not with nodal elements. For example, {A} = μ x {1y} provides a perfect edge solution but not a nodal one because the normal component of A in not continuous.

The underlying reason is that the partials of a continuous {A} do not exist; not even in a piece-wise manner. To prove this statement, assume that they exist. Denote the partials at the origin by:

(5–48)

Note that there are only four independent partials because of A continuity. The following equations follow from Bk = curl A.

(5–49)

Since the equation system, ((Equation 5–49)) is singular, a solution does not exist for arbitrary μ. This contradiction concludes the proof.

5.1.6. Harmonic Analysis Using Complex Formalism

In a general dynamic problem, any field quantity, q(r,t) depends on the space, r, and time, t, variables. In a harmonic analysis, the time dependence can be described by periodic functions:

(5–50)

or

(5–51)

where:

r = location vector in space
t = time
w = angular frequency of time change.
a(r) = amplitude (peak)
φ(r) = phase angle
c(r) = measurable field at ωt = 0 degrees
s(r) = measurable field at ωt = -90 degrees

In an electromagnetic analysis, q(r,t) can be the flux density, {B}, the magnetic field, {H}, the electric field, {E}, the current density, J, the vector potential, {A}, or the scalar potential, V. Note, however, that q(r,t) can not be the Joule heat, Qj, the magnetic energy, W, or the force, Fjb, because they include a time-constant term.

The quantities in (Equation 5–50) and (Equation 5–51) are related by

(5–52)

(5–53)

(5–54)

(5–55)

In (Equation 5–50)) a(r), φ(r), c(r) and s(r) depend on space coordinates but not on time. This separation of space and time is taken advantage of to minimize the computational cost. The originally 4 (3 space + 1 time) dimensional real problem can be reduced to a 3 (space) dimensional complex problem. This can be achieved by the complex formalism.

The measurable quantity, q(r,t), is described as the real part of a complex function:

(5–56)

Q(r) is defined as:

(5–57)

where:

j = imaginary unit
Re { } = denotes real part of a complex quantity
Qr(r) and Qi(r) = real and imaginary parts of Q(r). Note that Q depends only on the space coordinates.

The complex exponential in (Equation 5–56) can be expressed by sine and cosine as

(5–58)

Substituting (Equation 5–58) into (Equation 5–56) provides (Equation 5–57)

(5–59)

Comparing (Equation 5–50) with (Equation 5–59) reveals:

(5–60)

(5–61)

In words, the complex real, Qr(r), and imaginary, Qi(r), parts are the same as the measurable cosine, c(r), and sine, s(r), amplitudes.

A harmonic analysis provides two sets of solution: the real and imaginary components of a complex solution. According to (Equation 5–50), and (Equation 5–60) the magnitude of the real and imaginary sets describe the measurable field at t = 0 and at ωt = -90 degrees, respectively. Comparing (Equation 5–51) and (Equation 5–60) provides:

(5–62)

(5–63)

(Equation 5–62) expresses the amplitude (peak) and phase angle of the measurable harmonic field quantities by the complex real and imaginary parts.

The time average of harmonic fields such as A, E, B, H, J, or V is zero at point r. This is not the case for P, W, or F because they are quadratic functions of B, H, or J. To derive the time dependence of a quadratic function - for the sake of simplicity - we deal only with a Lorentz force, F, which is product of J and B. (This is a cross product; but components are not shown to simplify writing. The space dependence is also omitted.)

(5–64)

where:

Fjb = Lorentz Force density (output as FMAG on PRESOL command)

The time average of cos2 and sin2 terms is 1/2 whereas that of the sin cos term is zero. Therefore, the time average force is:

(5–65)

Thus, the force can be obtained as the sum of “real” and “imaginary” forces. In a similar manner the time averaged Joule power density, Qj, and magnetic energy density, W, can be obtained as:

(5–66)

(5–67)

where:

W = magnetic energy density (output as SENE on PRESOL command)
Qj = Joule Power density heating per unit volume (output as JHEAT on PRESOL command)

The time average values of these quadratic quantities can be obtained as the sum of real and imaginary set solutions.

The element returns the integrated value of Fjb is output as FJB and W is output as SENE. Qj is the average element Joule heating and is output as JHEAT. For F and Qj the 1/2 time averaging factor is taken into account at printout. For W the 1/2 time factor is ignored to preserve the printout of the real and imaginary energy values as the instantaneous stored magnetic energy at t = 0 and at ωt = -90 degrees, respectively. The element force, F, is distributed among nodes to prepare a magneto-structural coupling. The average Joule heat can be directly applied to thermoelectric coupling.

5.1.7. Nonlinear Time-Harmonic Magnetic Analysis

Many electromagnetic devices operate with a time-harmonic source at a typical power frequency. Although the power source is time-harmonic, numerical modeling of such devices can not be assumed as a linear harmonic magnetic field problem in general, since the magnetic materials used in these devices have nonlinear B-H curves. A time-stepping procedure should be used instead. This nonlinear transient procedure provides correct solutions for electromagnetic field distribution and waveforms, as well as global quantities such as force and torque. The only problem is that the procedure is often computationally intensive. In a typical case, it takes about 4-5 time cycles to reach a sinusoidal steady state. Since in each cycle, at least 10 time steps should be used, the analysis would require 40-50 nonlinear solution steps.

In many cases, an analyst is often more interested in obtaining global electromagnetic torque and power losses in a magnetic device at sinusoidal steady state, but less concerned with the actual flux density waveform. Under such circumstances, an approximate time-harmonic analysis procedure may be pursued. If posed properly, this procedure can predict the time-averaged torque and power losses with good accuracy, and yet at much reduced computational cost.

The basic principle of the present nonlinear time-harmonic analysis is briefly explained next. First of all, the actual nonlinear ferromagnetic material is represented by another fictitious material based on energy equivalence. This amounts to replacing the DC B-H curve with a fictitious or effective B-H curve based on the following equation for a time period cycle T (Demerdash and Gillott(231)):

(5–68)

where:

Hm = peak value of magnetic field
B = magnetic flux density
Beff = effective magnetic flux density
T = time period
ω = angular velocity
t = time

With the effective B-H curve, the time transient is suppressed, and the nonlinear transient problem is reduced to a nonlinear time-harmonic one. In this nonlinear analysis, all field quantities are all sinusoidal at a given frequency, similar to the linear harmonic analysis, except that a nonlinear solution has to be pursued.

It should be emphasized that in a nonlinear transient analysis, given a sinusoidal power source, the magnetic flux density B has a non-sinusoidal waveform. While in the nonlinear harmonic analysis, B is assumed sinusoidal. Therefore, it is not the true waveform, but rather represents an approximation of the fundamental time harmonic of the true flux density waveform. The time-averaged global force, torque and loss, which are determined by the approximate fundamental harmonics of fields, are then subsequently approximation to the true values, Numerical benchmarks show that the approximation is of satisfactory engineering accuracy.

5.1.8. Electric Scalar Potential

Neglecting the time-derivative of magnetic flux density [image] (the quasistatic approximation), the system of Maxwell's equations ((Equation 5–1) through (Equation 5–4)) reduces to:

(5–69)

(5–70)

(5–71)

(5–72)

As follows from (Equation 5–70), the electric field {E} is irrotational, and can be derived from:

(5–73)

where:

V = electric scalar potential

In the time-varying electromagnetic field governed by (Equation 5–69) through (Equation 5–72), the electric and magnetic fields are uncoupled. If only electric solution is of interest, replacing (Equation 5–69) by the continuity (Equation 5–5) and eliminating (Equation 5–71) produces the system of differential equations governing the quasistatic electric field.

Repeating (Equation 5–12) and (Equation 5–13) without velocity effects, the constitutive equations for the electric fields become:

(5–74)

(5–75)

where:

ρxx = resistivity in the x-direction (input as RSVX on MP command)
εxx = permittivity in the x-direction (input as PERX on MP command)

The conditions for {E}, {J}, and {D} on an electric material interface are:

(5–76)

(5–77)

(5–78)

where:

Et1, Et2 = tangential components of {E} on both sides of the interface
Jn1, Jn2 = normal components of {J} on both sides of the interface
Dn1, Dn2 = normal components of {D} on both sides of the interface
ρs = surface charge density

Two cases of the electric scalar potential approximation are considered below.

5.1.8.1. Quasistatic Electric Analysis

In this analysis, the relevant governing equations are (Equation 5–73) and the continuity equation (below):

(5–79)

Substituting the constitutive (Equation 5–74) and (Equation 5–75) into (Equation 5–79), and taking into account (Equation 5–73), one obtain the differential equation for electric scalar potential:

(5–80)

(Equation 5–80) is used to approximate a time-varying electric field in elements PLANE230, SOLID231, and SOLID232. It takes into account both the conductive and dielectric effects in electric materials. Neglecting time-variation of electric potential (Equation 5–80) reduces to the governing equation for steady-state electric conduction:

(5–81)

In the case of a time-harmonic electric field analysis, the complex formalism allows (Equation 5–80) to be re-written as:

(5–82)

where:

ω = angular frequency

(Equation 5–82) is the governing equation for a time-harmonic electric analysis using elements PLANE121, SOLID122, and SOLID123.

In a time-harmonic analysis, the loss tangent tan δ can be used instead of or in addition to the electrical conductivity [σ] to characterize losses in dielectric materials. In this case, the conductivity matrix [σ] is replaced by the effective conductivity [σeff] defined as:

(5–83)

where:

tan δ = loss tangent (input as LSST on MP command)

5.1.8.2. Electrostatic Analysis

Electric scalar potential equation for electrostatic analysis is derived from governing (Equation 5–72) and (Equation 5–73), and constitutive (Equation 5–75):

(5–84)

(Equation 5–84), subject to appropriate boundary conditions, is solved in an electrostatic field analysis of dielectrics using elements PLANE121, SOLID122, and SOLID123.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 5. Electromagnetics 		Up / Home Next
5.2. Derivation of Electromagnetic Matrices


5.2. Derivation of Electromagnetic Matrices

The finite element matrix equations can be derived by variational principles. These equations exist for linear and nonlinear material behavior as well as static and transient response. Based on the presence of linear or nonlinear materials (as well as other factors), the program chooses the appropriate Newton-Raphson method. The user may select another method with the (NROPT command (see Newton-Raphson Procedure)). When transient affects are to be considered a first order time integration scheme must be involved (TIMINT command (see Transient Analysis)).

5.2.1. Magnetic Scalar Potential

The scalar potential formulations are restricted to static field analysis with partial orthotropic nonlinear permeability. The degrees of freedom (DOFs), element matrices, and load vectors are presented here in the following form (Zienkiewicz(75), Chari(73), and Gyimesi(141)):

5.2.1.1. Degrees of freedom

{φe} = magnetic scalar potentials at the nodes of the element (input/output as MAG)

5.2.1.2. Coefficient Matrix

(5–85)

(5–86)

(5–87)

5.2.1.3. Applied Loads

(5–88)

where:

{N} = element shape functions (φ = {N}T{φe})
vol = volume of the element
{Hg} = preliminary or “guess” magnetic field (see Electromagnetic Field Fundamentals)
{Hc} = coercive force vector (input as MGXX, MGYY, MGZZ on MP command))
[μ] = permeability matrix (derived from input material property MURX, MURY, and MURZ (MP command) and/or material curve B versus H (accessed with TB,BH))(see (Equation 5–7), (Equation 5–8), and (Equation 5–9))
= derivative of permeability with respect to magnitude of the magnetic field intensity (derived from the input material property curve B versus H (accessed with TB,BH))

The material property curve is input in the form of B values versus H values and is then converted to a spline fit curve of μ versus H from which the permeability terms μh and [image] are evaluated.

The coercive force vector is related to the remanent intrinsic magnetization vector as:

(5–89)

where:

μo = permeability of free space (input as MUZRO on EMUNIT command)

The Newton-Raphson solution technique (Option on the NROPT command) is necessary for nonlinear analyses. Adaptive descent is also recommended (Adaptky on the NROPT command). When adaptive descent is used (Equation 5–85) becomes:

(5–90)

where:

ξ = descent parameter (see Newton-Raphson Procedure)

5.2.2. Magnetic Vector Potential

The vector potential formulation is applicable to both static and dynamic fields with partial orthotropic nonlinear permeability. The basic equation to be solved is of the form:

(5–91)

The terms of this equation are defined below (Biro(120)); the edge-flux formulation matrices are obtained from these terms in SOLID117 - 3-D 20-Node Magnetic Edge following Gyimesi and Ostergaard(201).

5.2.2.1. Degrees of Freedom

(5–92)

where:

{Ae} = magnetic vector potentials (input/output as AX, AY, AZ)
{νe} = time integrated electric scalar potential (ν = [image] Vdt) (input/output as VOLT)

The VOLT DOF is a time integrated electric potential to allow for symmetric matrices.

5.2.2.2. Coefficient Matrices

(5–93)

(5–94)

(5–95)

(5–96)

(5–97)

(5–98)

(5–99)

(5–100)

(5–101)

(5–102)

5.2.2.3. Applied Loads

(5–103)

(5–104)

(5–105)

(5–106)

(5–107)

where:

[NA] = matrix of element shape functions for {A}
[N] = vector of element shape functions for {V} (V = {N}T{Ve})
{Js} = source current density vector (input as JS on BFE command)
{Jt} = total current density vector (input as JS on BFE command) (valid for 2-D analysis only)
vol = volume of the element
{Hc} = coercive force vector (input as MGXX, MGYY, MGZZ on MP command)
νo = reluctivity of free space (derived from value using MUZRO on EMUNIT command)
[ν] = partially orthotropic reluctivity matrix (inverse of [μ], derived from input material property curve B versus H (input using TB,BH command))
= derivative of reluctivity with respect to the magnitude of magnetic flux squared (derived from input material property curve B versus H (input using TB,BH command))
[σ] = orthotropic conductivity (input as RSVX, RSVY, RSVZ on MP command (inverse)) (see (Equation 5–12)).
{v} = velocity vector

The coercive force vector is related to the remanent intrinsic magnetization vector as:

(5–108)

The material property curve is input in the form of B values versus H values and is then converted to a spline fit curve of ν versus |B|2 from which the isotropic reluctivity terms νh and [image] are evaluated.

The above element matrices and load vectors are presented for the most general case of a vector potential analysis. Many simplifications can be made depending on the conditions of the specific problem. In 2-D there is only one component of the vector potential as opposed to three for 3-D problems (AX, AY, AZ).

Combining some of the above equations, the variational equilibrium equations may be written as:

(5–109)

(5–110)

Here T denotes transposition.

Static analyses require only the magnetic vector potential DOFs (KEYOPT controlled) and the K coefficient matrices. If the material behavior is nonlinear then the Newton-Raphson solution procedure is required (Option on the NROPT command (see Newton-Raphson Procedure)).

For 2-D dynamic analyses a current density load of either source ({Js}) or total {Jt} current density is valid. Jt input represents the impressed current expressed in terms of a uniformly applied current density. This loading is only valid in a skin-effect analysis with proper coupling of the VOLT DOFs. In 3-D only source current density is allowed. The electric scalar potential must be constrained properly in order to satisfy the fundamentals of electromagnetic field theory. This can be achieved by direct specification of the potential value (using the D command) as well as with coupling and constraining (using the CP and CE commands).

The general transient analysis (ANTYPE,TRANS (see Element Reordering)) accepts nonlinear material behavior (field dependent [ν] and permanent magnets (MGXX, MGYY, MGZZ). Harmonic transient analyses (ANTYPE,HARMIC (see Harmonic Response Analyses)) is a linear analyses with sinusoidal loads; therefore, it is restricted to linear material behavior without permanent magnets.

5.2.3. Electric Scalar Potential

The electric scalar potential V is approximated over the element as follows:

(5–111)

where:

{N} = element shape functions
{Ve} = nodal electric scalar potential (input/output as VOLT)

5.2.3.1. Quasistatic Electric Analysis

The application of the variational principle and finite element discretization to the differential (Equation 5–80) produces the matrix equation of the form:

(5–112)

where:

vol = element volume
[σeff] = "effective" conductivity matrix (defined by (Equation 5–83))
{Ie} = nodal current vector (input/output as AMPS)

(Equation 5–112) is used in the finite element formulation of PLANE230, SOLID231, and SOLID232. These elements model both static (steady-state electric conduction) and dynamic (time-transient and time-harmonic) electric fields. In the former case, matrix [Cv] is ignored.

A time-harmonic electric analysis can also be performed using elements PLANE121, SOLID122, and SOLID123. In this case, the variational principle and finite element discretization are applied to the differential (Equation 5–82) to produce:

(5–113)

where:

5.2.3.2. Electrostatic Analysis

The matrix equation for an electrostatic analysis using elements PLANE121, SOLID122, and SOLID123 is derived from (Equation 5–84):

(5–114)

{ρ} = charge density vector (input as CHRGD on BF command)
{ρs} = surface charge density vector (input as CHRGS on SF command)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.1. Electromagnetic Field Fundamentals 		Up / Home Next
5.3. Electromagnetic Field Evaluations


5.3. Electromagnetic Field Evaluations

The basic magnetic analysis results include magnetic field intensity, magnetic flux density, magnetic forces and current densities. These types of evaluations are somewhat different for magnetic scalar and vector formulations. The basic electric analysis results include electric field intensity, electric current densities, electric flux density, Joule heat and stored electric energy.

5.3.1. Magnetic Scalar Potential Results

The first derived result is the magnetic field intensity which is divided into two parts (see Electromagnetic Field Fundamentals); a generalized field {Hg} and the gradient of the generalized potential - [image] φg. This gradient (referred to here as {Hφ) is evaluated at the integration points using the element shape function as:

(5–115)

where:

{N} = shape functions
{ωg} = nodal generalized potential vector

The magnetic field intensity is then:

(5–116)

where:

{H} = magnetic field intensity (output as H)

Then the magnetic flux density is computed from the field intensity:

(5–117)

where:

{B} = magnetic flux density (output as B)
[μ] = permeability matrix (defined in (Equation 5–7), (Equation 5–8), and (Equation 5–9))

Nodal values of field intensity and flux density are computed from the integration points values as described in Nodal and Centroidal Data Evaluation.

Magnetic forces are also available and are discussed below.

5.3.2. Magnetic Vector Potential Results

The magnetic flux density is the first derived result. It is defined as the curl of the magnetic vector potential. This evaluation is performed at the integration points using the element shape functions:

(5–118)

where:

{B} = magnetic flux density (output as B)
x = curl operator
[NA] = shape functions
{Ae} = nodal magnetic vector potential

Then the magnetic field intensity is computed from the flux density:

(5–119)

where:

{H} = magnetic field intensity (output as H)
[ν] = reluctivity matrix

Nodal values of field intensity and flux density are computed from the integration point value as described in Nodal and Centroidal Data Evaluation.

Magnetic forces are also available and are discussed below.

For a vector potential transient analysis current densities are also calculated.

(5–120)

where:

{Jt} = total current density

(5–121)

where:

{Je} = current density component due to {A}
[σ] = conductivity matrix
n = number of integration points
[NA] = element shape functions for {A} evaluated at the integration points
{Ae} = time derivative of magnetic vector potential

and

(5–122)

where:

{Js} = current density component due to V
= divergence operator
{Ve} = electric scalar potential
{N} = element shape functions for V evaluated at the integration points

and

(5–123)

where:

{Jv} = velocity current density vector
{v} = applied velocity vector
{B} = magnetic flux density (see (Equation 5–118))

5.3.3. Magnetic Forces

Magnetic forces are computed by elements using the vector potential method (PLANE13, PLANE53, SOLID97, and SOLID117) and the scalar potential method (SOLID5, SOLID96, and SOLID98). Three different techniques are used to calculate magnetic forces at the element level.

5.3.3.1. Lorentz forces

Magnetic forces in current carrying conductors (element output quantity FJB) are numerically integrated using:

(5–124)

where:

{N} = vector of shape functions

For a 2-D analysis, the corresponding electromagnetic torque about +Z is given by:

(5–125)

where:

{Z} = unit vector along +Z axis
{r} = position vector in the global Cartesian coordinate system

In a time-harmonic analysis, the time-averaged Lorentz force and torque are computed by:

(5–126)

and

(5–127)

respectively.

where:

{J}* = complex conjugate of {J}

5.3.3.2. Maxwell Forces

The Maxwell stress tensor is used to determine forces on ferromagnetic regions (element output quantity FMX). This force calculation is performed on surfaces of air material elements which have a nonzero face loading specified (MXWF on SF commands) (Moon(77)). For the 2-D application, this method uses extrapolated field values and results in the following numerically integrated surface integral:

(5–128)

where:

μo = permeability of free space (input on EMUNIT command)
T12 = Bx By
T21 = Bx By

3-D applications are an extension of the 2-D case.

For a 2-D analysis, the corresponding electromagnetic torque about +Z axis is given by:

(5–129)

where:

= unit surface normal in the global Cartesian coordinate system

In a time-harmonic analysis, the time-averaged Maxwell stress tensor force and torque are computed by:

(5–130)

and

(5–131)

respectively.

where:

{B}* = complex conjugate of {B}
Re{ } = denotes real part of a complex quantity

5.3.3.3. Virtual Work Forces

Electromagnetic nodal forces (including electrostatic forces) are calculated using the virtual work principle. The two formulations currently used for force calculations are the element shape method (magnetic forces) and nodal perturbations method (electromagnetic forces).

5.3.3.3.1. Element Shape Method

Magnetic forces calculated using the virtual work method (element output quantity FVW) are obtained as the derivative of the energy versus the displacement (MVDI on BF commands) of the movable part. This calculation is valid for a layer of air elements surrounding a movable part (Coulomb(76)). To determine the total force acting on the body, the forces in the air layer surrounding it can be summed. The basic equation for force of an air material element in the s direction is:

(5–132)

where:

Fs = force in element in the s direction
s = virtual displacement of the nodal coordinates taken alternately to be in the X, Y, Z global directions
vol = volume of the element

For a 2-D analysis, the corresponding electromagnetic torque about +Z axis is given by:

(5–133)

In a time-harmonic analysis, the time-averaged virtual work force and torque are computed by:

(5–134)

and

(5–135)

respectively.

5.3.3.3.2. Nodal Perturbation Method

Electromagnetic (both electric and magnetic) forces are calculated as the derivatives of the total element coenergy (sum of electrostatic and magnetic coenergies) with respect to the element nodal coordinates(Gyimesi et al.(346)):

(5–136)

where:

Fxi = x-component (y- or z-) of electromagnetic force calculated in node i
xi = nodal coordinate (x-, y-, or z-coordinate of node i)
vol = volume of the element

Nodal electromagnetic forces are calculated for each node in each element. In an assembled model the nodal forces are added up from all adjacent to the node elements. The nodal perturbation method provides consistent and accurate electric and magnetic forces (using the EMFT command macro).

5.3.4. Joule Heat in a Magnetic Analysis

Joule heat is computed by elements using the vector potential method (PLANE13, PLANE53, SOLID97, and SOLID117) if the element has a nonzero resistivity (material property RSVX) and a nonzero current density (either applied Js or resultant Jt). It is available as the output power loss (output as JHEAT) or as the coupled field heat generation load (LDREAD,HGEN).

Joule heat per element is computed as:

  1. Static or Transient Magnetic Analysis

            (5–137)

    where:

    Qj = Joule heat per unit volume
    n = number of integration points
    [ρ] = resistivity matrix (input as RSVX, RSVY, RSVZ on MP command)
    {Jti} = total current density in the element at integration point i

  2. Harmonic Magnetic Analysis

            (5–138)

    where:

    Re = real component
    {Jti} = complex total current density in the element at integration point i
    {Jti}* = complex conjugate of {Jti}

5.3.5. Electric Scalar Potential Results

The first derived result in this analysis is the electric field. By definition ((Equation 5–73)), it is calculated as the negative gradient of the electric scalar potential. This evaluation is performed at the integration points using the element shape functions:

(5–139)

Nodal values of electric field (output as EF) are computed from the integration points values as described in Nodal and Centroidal Data Evaluation. The derivation of other output quantities depends on the analysis types described below.

5.3.5.1. Quasistatic Electric Analysis

The conduction current and electric flux densities are computed from the electric field (see (Equation 5–74) and (Equation 5–75)):

(5–140)

(5–141)

where:

Both the conduction current {J} and electric flux {D} densities are evaluated at the integration point locations; however, whether these values are then moved to nodal or centroidal locations depends on the element type used to do a quasistatic electric analysis:

  • In a current-based electric analysis using elements PLANE230, SOLID231, and SOLID232, the conduction current density is stored at both the nodal (output as JC) and centoidal (output as JT) locations. The electric flux density vector components are stored at the element centroidal location and output as nonsummable miscellaneous items;

  • In a charge-based analysis using elements PLANE121, SOLID122, and SOLID123 (harmonic analysis), the conduction current density is stored at the element centroidal location (output as JT), while the electric flux density is moved to the nodal locations (output as D).

The total electric current {Jtot} density is calculated as a sum of conduction {J} and displacement current [image] densities:

(5–142)

The total electric current density is stored at the element centroidal location (output as JS). It can be used as a source current density in a subsequent magnetic analysis (LDREAD,JS).

The Joule heat is computed from the centroidal values of electric field and conduction current density. In a steady-state or transient electric analysis, the Joule heat is calculated as:

(5–143)

where:

Q = Joule heat generation rate per unit volume (output as JHEAT)

In a harmonic electric analysis, the Joule heat is time-averaged over a one period and calculated as:

(5–144)

where:

Re = real component
{E}* = complex conjugate of {E}

The value of Joule heat can be used as heat generation load in a subsequent thermal analysis (LDREAD,HGEN).

In a transient electric analysis, the element stored electric energy is calculated as:

(5–145)

where:

W = stored electric energy (output as SENE)

In a harmonic electric analysis, the time-averaged electric energy is calculated as:

(5–146)

5.3.5.2. Electrostatic Analysis

The derived results in an electrostatic analysis are:

Electric field (see (Equation 5–139)) at nodal locations (output as EF);
Electric flux density (see (Equation 5–141)) at nodal locations (output as D);
Element stored electric energy (see (Equation 5–145)) output as SENE

Electrostatic forces are also available and are discussed below.

5.3.6. Electrostatic Forces

Electrostatic forces are determined using the nodal perturbation method (recommended) described in Nodal Perturbation Method or the Maxwell stress tensor described here. This force calculation is performed on surfaces of elements which have a nonzero face loading specified (MXWF on SF commands). For the 2-D application, this method uses extrapolated field values and results in the following numerically integrated surface integral:

(5–147)

where:

εo = free space permittivity (input as PERX on MP command)
T12 = Ex Ey
T21 = Ey Ex
n1 = component of unit normal in x-direction
n2 = component of unit normal in y-direction
s = surface area of the element face

3-D applications are an extension of the 2-D case.

5.3.7. Electric Constitutive Error

The dual constitutive error estimation procedure as implemented for the electrostatic p-elements SOLID127 and SOLID128 is activated (with the PEMOPTS command) and is briefly discussed in this section. Suppose a field pair [image] which verifies the Maxwell's (Equation 5–70) and (Equation 5–72), can be found for a given problem. This couple is the true solution if the pair also verifies the constitutive relation ((Equation 5–75)). Or, the couple is just an approximate solution to the problem, and the quantity

(5–148)

is called error in constitutive relation, as originally suggested by Ladeveze(274) for linear elasticity. To measure the error [image], the energy norm over the whole domain Ω is used:

(5–149)

with

(5–150)

By virtue of Synge's hypercircle theorem(275), it is possible to define a relative error for the problem:

(5–151)

The global relative error ((Equation 5–151)) is seen as sum of element contributions:

(5–152)

where the relative error for an element E is given by

(5–153)

The global error εΩ allows to quantify the quality of the approximate solution pair [image] and local error εE allows to localize the error distribution in the solution domain as required in a p-adaptive analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.2. Derivation of Electromagnetic Matrices 		Up / Home Next
5.4. Voltage Forced and Circuit-Coupled Magnetic Field


5.4. Voltage Forced and Circuit-Coupled Magnetic Field

The magnetic vector potential formulation discussed in "Electromagnetics" requires electric current density as input. In many industrial applications, a magnetic device is often energized by an applied voltage or by a controlling electric circuit. In this section, a brief outline of the theoretical foundation for modeling such voltage forced and circuit-coupled magnetic field problems is provided. The formulations apply to static, transient and harmonic analysis types.

To make the discussion simpler, a few definitions are introduced first. A stranded coil refers to a coil consisting of many turns of conducting wires. A massive conductor refers to an electric conductor where eddy currents must be accounted for. When a stranded coil is connected directly to an applied voltage source, we have a voltage forced problem. If a stranded coil or a massive conductor is connected to an electric circuit, we have a circuit-coupled problem. A common feature in both voltage forced and circuit-coupled problems is that the electric current in the coil or conductor must be treated as an additional unknown.

For general circuit and reduced order modeling capabilities refer to Circuit Analysis, Reduced Order Modeling. To obtain parameters of circuit elements one may either compute them using a handbook formula, use LMATRIX (Inductance, Flux and Energy Computation by LMATRIX and SENERGY Macros) and/or CMATRIX (Capacitance Computation), or another numerical package and/or GMATRIX (Conductance Computation)

5.4.1. Voltage Forced Magnetic Field

Assume that a stranded coil has an isotropic and constant magnetic permeability and electric conductivity. Then, by using the magnetic vector potential approach from "Electromagnetics", the following element matrix equation is derived.

(5–154)

where:

{A} = nodal magnetic vector potential vector (AX, AY, AZ)
= time derivative
{i} = nodal electric current vector (input/output as CURR)
[KAA] = potential stiffness matrix
[Kii] = resistive stiffness matrix
[KAi] = potential-current coupling stiffness matrix
[CiA] = inductive damping matrix
{Vo} = applied voltage drop vector

The magnetic flux density {B}, the magnetic field intensity {H}, magnetic forces, and Joule heat can be calculated from the nodal magnetic vector potential {A} using (Equation 5–117) and (Equation 5–118).

The nodal electric current represents the current in a wire of the stranded coil. Therefore, there is only one independent electric current unknown in each stranded coil. In addition, there is no gradient or flux calculation associated with the nodal electric current vector.

5.4.2. Circuit-Coupled Magnetic Field

When a stranded coil or a massive conductor is connected to an electric circuit, both the electric current and voltage (not the time-integrated voltage) should be treated as unknowns. To achieve a solution for this problem, the finite element equation and electric circuit equations must be solved simultaneously.

The modified nodal analysis method (McCalla(188)) is used to build circuit equations for the following linear electric circuit element options:

  1. resistor

  2. inductor

  3. capacitor

  4. voltage source

  5. current source

  6. stranded coil current source

  7. 2-D massive conductor voltage source

  8. 3-D massive conductor voltage source

  9. mutual inductor

  10. voltage-controlled current source

  11. voltage-controlled voltage source

  12. current-controlled voltage source

  13. current-controlled current source

These circuit elements are implemented in element CIRCU124.

Assuming an isotropic and constant magnetic permeability and electric conductivity, the following element matrix equation is derived for a circuit-coupled stranded coil:

(5–155)

where:

{e} = nodal electromotive force drop (EMF)
[Kie] = current-emf coupling stiffness

For a circuit-coupled massive conductor, the matrix equation is:

(5–156)

where:

{V} = nodal electric voltage vector (input/output as VOLT)
[KVV] = voltage stiffness matrix
[KiV] = current-voltage coupling stiffness matrix
[CAA] = potential damping matrix
[CVA] = voltage-potential damping matrix

The magnetic flux density {B}, the magnetic field intensity {H}, magnetic forces and Joule heat can be calculated from the nodal magnetic vector potential {A} using (Equation 5–117) and (Equation 5–118).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.3. Electromagnetic Field Evaluations 		Up / Home Next
5.5. High-Frequency Electromagnetic Field Simulation


5.5. High-Frequency Electromagnetic Field Simulation

In previous sections, it has been assumed that the electromagnetic field problem under consideration is either static or quasi-static. For quasi-static or low-frequency problem, the displacement current in Maxwell's equations is ignored, and Maxwell's (Equation 5–1) through (Equation 5–4) are simplified as (Equation 5–40) through (Equation 5–42). This approach is valid when the working wavelength is much larger than the geometric dimensions of structure or the electromagnetic interactions are not obvious in the system. Otherwise, the full set of Maxwell's equations must be solved. The underlying problems are defined as high-frequency/full-wave electromagnetic field problem (Volakis et al.(299) and Itoh et al.(300)), in contrast to the quasi-static/low-frequency problems in previous sections. The purpose of this section is to introduce full-wave FEA formulations, and define useful output quantities.

5.5.1. High-Frequency Electromagnetic Field FEA Principle

A typical electromagnetic FEA configuration is shown in Figure 5.3: "A Typical FEA Configuration for Electromagnetic Field Simulation". A closed surface Γ0 truncates the infinite open domain into a finite numerical domain Ω where FEA is applied to simulate high frequency electromagnetic fields. An electromagnetic plane wave from the infinite may project into the finite FEA domain, and the FEA domain may contain radiation sources, inhomogeneous materials and conductors, etc.

Figure 5.3 A Typical FEA Configuration for Electromagnetic Field Simulation

Based on Maxwell's (Equation 5–1) and (Equation 5–2) with the time-harmonic assumption ejωt, the electric field vector Helmholtz equation is cast:

(5–157)

where:

= electric field vector
= complex tensor associated with the relative permittivity and conductivity of material (input as PERX, PERY, PERZ, and RSVX, RSVY, RSVZ on MP command)
μ0 = free space permeability
= complex relative permeability tensor of material (input as MURX, MURY, MURZ on MP command)
k0 = vacuum wave number
ω = operating angular frequency
= excitation current density (input as JS on BF command)

Test the residual [image] of the electric field vector Helmholtz equation with vector function [image] and integrate over the FEA domain to obtain the “weak” form formulation:

(5–158)

where:

= outward directed normal unit of surface
= magnetic field
Y = surface admittance

Assume that the electric field [image] is approximated by:

(5–159)

where:

Ei = degree of freedom that is the projection of vector electric field at edge, on face or in volume of element.
= vector basis function

Representing the testing vector [image] as vector basis function [image] (Galerkin's approach) and rewriting (Equation 5–158) in FEA matrix notation yields:

(5–160)

where:

Re = real part of a complex number
Im = imaginary part of a complex number

For electromagnetic scattering simulation, a pure scattered field formulation should be used to ensure the numerical accuracy of solution, since the difference between total field and incident field leads to serious round-off numerical errors when the scattering fields are required. Since the total electric field is the sum of incident field [image] inc and scattered field [image] sc , i.e. tot = [image] inc + [image] sc, the “weak” form formulation for scattered field is:

(5–161)

where:

d = outward directed normal unit of surface of dielectric volume

Rewriting the scattering field formulation ((Equation 5–161)) in FEA matrix notation again yields:

(5–162)

where matrix [M], [C], [K] are the same as matrix notations for total field formulation ((Equation 5–160)) and:

(5–163)

It should be noticed that the total tangential electric field is zero on the perfect electric conductor (PEC) boundary, and the boundary condition for [image] sc of (Equation 5–6) will be imposed automatically.

For a resonant structure, a generalized eigenvalue system is involved. The matrix notation for the cavity analysis is written as:

(5–164)

where:

Here the real generalized eigen-equation will be solved, and the damping matrix [C] is not included in the eigen-equation. The lossy property of non-PEC cavity wall and material filled in cavity will be post-processed if the quality factor of cavity is calculated.

If the electromagnetic wave propagates in a guided-wave structure, the electromagnetic fields will vary with the propagating factor exp(-jγz) in longitude direction, γ = β - jγ. Here γ is the propagating constant, and α is the attenuation coefficient of guided-wave structure if exists. When a guided-wave structure is under consideration, the electric field is split into the transverse component [image] t and longitudinal component Ez, i.e., [image]. The variable transformation is implemented to construct the eigen-equation using [image] and ez = Ez. The “weak” form formulation for the guided-wave structure is:

(5–165)

where:

t = transverse components of [image] operator

The FEA matrix notation of (Equation 5–165) is:

(5–166)

where:

kmax = maximum wave number in the material

and the matrix elements are:

(5–167)

(5–168)

(5–169)

(5–170)

(5–171)

(5–172)

(5–173)

Refer to Electromagnetic Edge Elements for high-frequency electromagnetic vector shapes.

5.5.2. Boundary Conditions and Perfectly Matched Layers (PML)

5.5.2.1. PEC Boundary Condition

On a Perfect Electric Conductor (PEC) boundary, the tangential components of the electric field [image] will vanish, i.e.:

(5–174)

A PEC condition exists typically in two cases. One is the surface of electrical conductor with high conductance if the skin depth effect can be ignored. Another is on an antisymmetric plane for electric field [image]. It should be stated that the degree of freedom must be constrained to zero on PEC.

5.5.2.2. PMC Boundary Condition

On the Perfect Magnetic Conductor (PMC) boundary, the tangential components of electric field [image] will vanish, i.e.:

(5–175)

A PMC condition exists typically either on the surface of high permeable material or on the symmetric plane of magnetic field [image]. No special constraint conditions are required on PMC when electric field “weak” form formulation is used.

5.5.2.3. Impedance Boundary Condition

A Standard Impedance Boundary Condition (SIBC) exists on the surface (Figure 5.4: "Impedance Boundary Condition") where the electric field is related to the magnetic field by

(5–176)

(5–177)

where:

= outward directed normal unit
= inward directed normal unit
inc, [image] inc = fields of the normal incoming wave
out, [image] out = fields of the outgoing wave
Z = complex wave impedance (input as IMPD on SF or SFE command)

Figure 5.4 Impedance Boundary Condition

The SIBC can be used to approximate the far-field radiation boundary, a thin dielectric layer, skin effect of non-perfect conductor and resistive surface, where a very fine mesh is required. Also, SIBC can be used to match the single mode in the waveguide.

On the far-field radiation boundary, the relation between the electric field and the magnetic field of incident plane wave, (Equation 5–176), is modified to:

(5–178)

where:

= unit wave vector

and the impedance on the boundary is the free-space plane wave impedance, i.e.:

(5–179)

where:

ε0 = free-space permittivity

For air-dielectric interface, the surface impedance on the boundary is:

(5–180)

For a dielectric layer with thickness τ coating on PEC, the surface impedance on the boundary is approximated as:

(5–181)

For a non-perfect electric conductor, after considering the skin effect, the complex surface impedance is defined as:

(5–182)

where:

σ = conductivity of conductor

For a traditional waveguide structure, such as a rectangular, cylindrical coaxial or circular waveguide, where the analytic solution of electromagnetic wave is known, the wave impedance (not the characteristics impedance) of the mode can be used to terminate the waveguide port with matching the associated single mode. The surface integration of (Equation 5–158) is cast into

(5–183)

where:

Einc = incident wave defined by a waveguide field
η = wave impedance corresponding to the guided wave

5.5.2.4. Perfectly Matched Layers

Perfectly Matched Layers (PML) is an artificial anisotropic material that is transparent and heavily lossy to incoming electromagnetic waves so that the PML is considered as a super absorbing boundary condition for the mesh truncation of an open FEA domain, and superior to conventional radiation absorbing boundary conditions. The computational domain can be reduced significantly using PML. It is easy to implement PML in FEA for complicated materials, and the sparseness of the FEA matrices will not be destroyed, which leads to an efficient solution.

Figure 5.5 PML Configuration

(5–184)

(5–185)

where:

[Λ] = anisotropic diagonal complex material defined in different PML regions

For the face PML region PMLx to which the x-axis is normal (PMLy, PMLz), the matrix [Λ]x is specified as:

(5–186)

where:

Wx = frequency-dependent complex number representing the property of the artificial material

The indices and the elements of diagonal matrix are permuted for other regions.

For the edge PML region PMLyz sharing the region PMLy and PMLz (PMLzx, PMLxy), the matrix [Λ]yz is defined as

(5–187)

where:

Wy, Wz = frequency-dependent complex number representing the property of the artificial material.

The indices and the elements of diagonal matrix are permuted for other regions.

For corner PML region Pxyz, the matrix [Λ]xyz is:

(5–188)

See Zhao and Cangellaris(301) for details about PML.

5.5.2.5. Periodic Boundary Condition

The periodic boundary condition is necessary for the numerical modeling of the time-harmonic electromagnetic scattering, radiation, and absorption characteristics of general doubly-periodic array structures. The periodic array is assumed to extend infinitely as shown in Figure 5.6: "Arbitrary Infinite Periodic Structure". Without loss of the generality, the direction normal to the periodic plane is selected as the z-direction of a global Cartesian coordinate system.

Figure 5.6 Arbitrary Infinite Periodic Structure

From the theorem of Floquet, the electromagnetic fields on the cellular sidewalls exhibit the following dependency:

(5–189)

where:

φ1 = phase shift of electromagnetic wave in the s1 direction
φ2 = phase shift of electromagnetic wave in the s2 direction

5.5.3. Excitation Sources

In terms of applications, several excitation sources, waveguide modal sources, current sources, a plane wave source, electric field source and surface magnetic field source, can be defined in high frequency simulator.

5.5.3.1. Waveguide Modal Sources

The waveguide modal sources exist in the waveguide structures where the analytic electromagnetic field solutions are available. In high frequency simulator, TEM modal source in cylindrical coaxial waveguide, TEmn/TMmn modal source in either rectangular waveguide or circular waveguide and TEM/TE0n/TM0n modal source in parallel-plate waveguide are available. See High-Frequency Electromagnetic Analysis Guide for details about commands and usage.

5.5.3.2. Current Excitation Source

The current source can be used to excite electromagnetic fields in high-frequency structures by contribution to (Equation 5–158):

(5–190)

where:

= electric current density

5.5.3.3. Plane Wave Source

A plane incident wave in Cartesian coordinate is written by:

(5–191)

where:

0 = polarization of incident wave
(x, y, z) = coordinate values
φ = angle between x-axis and wave vector
θ = angle between z-axis and wave vector

5.5.3.4. Surface Magnetic Field Source

A surface magnetic field source on the exterior surface of computational domain is a “hard” magnetic field source that has a fixed magnetic field distribution no matter what kind of electromagnetic wave projects on the source surface. Under this circumstance the surface integration in (Equation 5–158) becomes on exterior magnetic field source surface

(5–192)

When a surface magnetic field source locates on the interior surface of the computational domain, the surface excitation magnetic field becomes a “soft” source that radiates electromagnetic wave into the space and allows various waves to go through source surface without any reflection. Such a “soft” source can be realized by transforming surface excitation magnetic field into an equivalent current density source (Figure 5.7: "Soft Excitation Source"), i.e.:

(5–193)

Figure 5.7 "Soft" Excitation Source

5.5.3.5. Electric Field Source

Electric field source is a “hard” source. The DOF that is the projection of electric field at the element edge for 1st-order element will be imposed to the fixed value so that a voltage source can be defined.

5.5.4. High-Frequency Parameters Evaluations

A time-harmonic complex solution of the full-wave formulations in High-Frequency Electromagnetic Field FEA Principle yields the solution for all degrees of freedom in FEA computational domain. However, those DOF solutions are not immediately transparent to the needs of analyst. It is necessary to compute the concerned electromagnetic parameters, in terms of the DOF solution.

5.5.4.1. Electric Field

The electric field [image] is calculated at the element level using the vector shape functions [image]:

(5–194)

5.5.4.2. Magnetic Field

The magnetic field [image] is calculated at the element level using the curl of the vector shape functions [image]:

(5–195)

5.5.4.3. Poynting Vector

The time-average Poynting vector (i.e., average power density) over one period is defined by:

(5–196)

where:

* = complex conjugate

5.5.4.4. Power Flow

The complex power flow through an area is defined by

(5–197)

5.5.4.5. Stored Energy

The time-average stored electric and magnetic energy are given by:

(5–198)

(5–199)

5.5.4.6. Dielectric Loss

For a lossy dielectric, the incurred time-average volumetric power loss is:

(5–200)

where:

= conductivity tensor of the dielectric material

5.5.4.7. Surface Loss

On the resistive surface, the incurred time-average surface loss is calculated:

(5–201)

where:

Rs = surface resistivity

5.5.4.8. Quality Factor

Taking into account dielectric and surface loss, the quality factor (Q-factor) of a resonant structure at certain resonant frequency is calculated (using the QFACT command macro) by:

(5–202)

where:

ωr = resonant frequency of structure

5.5.4.9. Voltage

The voltage Vba (computed by the EMF command macro) is defined as the line integration of the electric field [image] projection along a path from point a to b by:

(5–203)

where:

= differential vector line element of the path

5.5.4.10. Current

The electrical current (computed by the MMF command macro) is defined as the line integration of the magnetic field [image] projection along an enclosed path containing the conductor by:

(5–204)

5.5.4.11. Characteristic Impedance

The characteristic impedance (computed by the IMPD command macro) of a circuit is defined by:

(5–205)

5.5.4.12. Scattering Matrix (S-Parameter)

Scattering matrix of a network with multiple ports is defined as (Figure 5.8: "Two Ports Network"):

(5–206)

A typical term of [S] is:

(5–207)

where:

ai = normalized incoming wave at port i
bj = normalized outgoing wave at port j

Figure 5.8 Two Ports Network

Assume port i as the driven port and port j as matched port in a guided-wave structure, if the transverse eigen electric field [image] is known at port i, the coefficients are written as:

(5–208)

(5–209)

where:

t,tot = transverse total electric field
t,inc = transverse incident electric field

For port j, we have aj = 0, and the [image] t,inc = 0 in above formulations. The coefficients must be normalized by the power relation

(5–210)

S-parameters of rectangular, circular, cylindrical coaxial and parallel-plate waveguide can be calculated (by SPARM command macro).

If the transverse eigen electric field is not available in a guided-wave structure, an alternative for S-parameter can be defined as:

(5–211)

where:

Vi = voltage at port i
Vj = voltage at port j
Zi = characteristic impedance at port i
Zj = characteristic impedance at port j

The conducting current density on Perfect Electric Conductor (PEC) surface is:

(5–212)

where:

= current density
= magnetic field

The conducting current density in lossy material is:

(5–213)

where:

σ = conductivity of material
= electric field

If the S-parameter is indicated as S' on the extraction plane and S on the reference plane (see Figure 5.9: "Two Ports Network for S-parameter Calibration"), the S-parameter on the reference plane is written as:

(5–214)

(5–215)

where:

li and lj = distance from extraction plane to refernce plant at port i and port j, respectively
βi and βj = propagating constant of propagating mode at port i and port j, respectively.

Figure 5.9 Two Ports Network for S-parameter Calibration

5.5.4.13. Surface Equivalence Principle

The surface equivalence principle states that the electromagnetic fields exterior to a given (possibly fictitious) surface is exactly represented by equivalent currents (electric and magnetic) placed on that surface and allowed radiating into the region external to that surface (see figure below). The radiated fields due to these equivalent currents are given by the integral expressions

(5–216)

(5–217)

Figure 5.10 Surface Equivalent Currents

where:

= observation point
= integration point
= outward directed unit normal at point

When [image], [image] are radiating in free space, the dyadic Green's function is given in closed form by:

(5–218)

where:

The scalar Green's function is given by:

(5–219)

The surface equivalence principle is necessary for the calculation of either near or far electromagnetic field beyond FEA computational domain.

5.5.4.14. Radar Cross Section (RCS)

Radar Cross Section (RCS) is used to measure the scattering characteristics of target projected by incident plane wave, and depends on the object dimension, material, wavelength and incident angles of plane wave etc. In dB units, RCS is defined by:

(5–220)

σ is given by:

(5–221)

where:

inc = incident electric field
sc = scattered electric field

If RCS is normalized by wavelength square, the definition is written by

(5–222)

For RCS due to the pth component of the scattered field for a q-polarized incident plane wave, the scattering cross section is defined as:

(5–223)

where p and q represent either φ or θ spherical components with φ measured in the xy plane from the x-axis and θ measured from the z-axis.

For 2-D case, RCS is defined as:

(5–224)

or

(5–225)

If RCS is normalized by the wavelength, it is given by:

(5–226)

5.5.4.15. Antenna Pattern

The far-field radiation pattern of the antenna measures the radiation direction of antenna. The normalized antenna pattern is defined by:

(5–227)

where:

φ = angle between position vector and x-axis
θ = angle between position vector and z-axis

5.5.4.16. Antenna Radiation Power

The total time-average power radiated by an antenna is:

(5–228)

where:

dΩ = differential solid angle
dΩ = sinθdθdφ
and the radiation intensity is defined by:

(5–229)

5.5.4.17. Antenna Directive Gain

The directive gain, GD (φ, θ), of an antenna is the ration of the radiation intensity in the direction (φ, θ) to the average radiation intensity:

(5–230)

where:

The maximum directive gain of an antenna is called the directivity of the antenna. It is the ratio of the maximum radiation intensity to the average radiation intensity and is usually denoted by D:

(5–231)

5.5.4.18. Antenna Power Gain

The power gain, Gp, is used to measure the efficiency of an antenna. It is defined as:

(5–232)

where:

Pi = input power

5.5.4.19. Antenna Radiation Efficiency

The ratio of the power gain to the directivity of an antenna is the radiation efficiency, ηr:

(5–233)

5.5.4.20. Electromagnetic Field of Phased Array Antenna

The total electromagnetic field of a phased array antenna is equal to the product of an array factor and the unit cell field:

(5–234)

where:

M = number of array units in the s1 direction
φ1 = phase shift of electromagnetic wave in the unit in s1 direction
β1 = initial phase in the s1 direction
N = number of array units in the s2 direction
φ2 = phase shift of electromagnetic wave in the unit in s2 direction
β2 = initial phase in the s2 direction

5.5.4.21. Specific Absorption Rate (SAR)

The time-average specific absorption rate of electromagnetic field in lossy material is defined by :

(5–235)

where:

SAR = specific absorption rate (output using PRESOL and PLESOL commands)
σ = electrical conductivity of material (S/m) (input electrical resistivity, the inverse of conductivity, as RSVX on MP command)
ρ = mass density of material (kg/m3) (input as DENS on MP command)

5.5.4.22. Power Reflection and Transmission Coefficient

The Power reflection coefficient (Reflectance) of a system is defined by:

(5–236)

where:

Γp = power reflection coefficient (output using HFPOWER command)
Pi = input power (W) (Figure 5.11: "Input, Reflection, and Transmission Power in the System")
Pr = reflection power (W) (Figure 5.11: "Input, Reflection, and Transmission Power in the System")

The Power transmission coefficient (Transmittance) of a system is defined by:

(5–237)

where:

Tp = power transmission coefficient (output using HFPOWER command)
Pt = transmission power (W) (Figure 5.11: "Input, Reflection, and Transmission Power in the System")

The Return Loss of a system is defined by:

(5–238)

where:

LR = return loss (output using HFPOWER command)

The Insertion Loss of a system is defined by:

(5–239)

where:

IL = insertion loss (output using HFPOWER command)

Figure 5.11 Input, Reflection, and Transmission Power in the System

5.5.4.23. Reflection and Transmission Coefficient in Periodic Structure

The reflection coefficient in a periodic structure under plane wave excitation is defined by:

(5–240)

where:

Γ = reflection coefficient (output with FSSPARM command)
= tangential electric field of incident wave (Figure 5.12: "Periodic Structure Under Plane Wave Excitation")
= tangential electric field of reflection wave (Figure 5.12: "Periodic Structure Under Plane Wave Excitation")

In general the electric fields are referred to the plane of periodic structure.

The transmission coefficient in a periodic structure under plane wave excitation is defined by:

(5–241)

where:

T = transmission coefficient (output with FSSPARM command)
= tangential electric field of transmission wave (Figure 5.12: "Periodic Structure Under Plane Wave Excitation")

Figure 5.12 Periodic Structure Under Plane Wave Excitation

5.5.4.24. The Smith Chart

In the complex wave w = u + jv, the Smith Chart is constructed by two equations:

(5–242)

where:

r and x = determined by Z/Zo = r + jx and Y/Yo = r + jx
Z = complex impedance
Y = complex admittance
Zo = reference characteristic impedance
Yo = 1/Zo

The Smith Chart is generated by PLSCH command.

5.5.4.25. Conversion Among Scattering Matrix (S-parameter), Admittance Matrix (Y-parameter), and Impedance Matrix (Z-parameter)

For a N-port network the conversion between matrices can be written by:

(5–243)

where:

[S] = scattering matrix of the N-port network
[Y] = admittance matrix of the N-port network
[Z] = impedance matrix of the N-port network
[Zo] = diagonal matrix with reference characteristic impedances at ports
[I] = identity matrix

Use PLSYZ and PRSYZ commands to convert, display, and plot network parameters.

5.5.4.26. RLCG Synthesized Equivalent Circuit of an M-port Full Wave Electromagnetic Structure

The approximation of the multiport admittance matrix can be obtained by N-pole/residue pairs in the form:

(5–244)

where:

The equivalent circuit for port 1 of M-port device using N poles can be case:

Figure 5.13 Equivalent Circuit for Port 1 of an M-port Circuit

The RLCG lumped circuit is extracted and output to a SPICE subcircuit by the SPICE command.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.4. Voltage Forced and Circuit-Coupled Magnetic Field 		Up / Home Next
5.6. Inductance, Flux and Energy Computation by LMATRIX and SENERGY Macros


5.6. Inductance, Flux and Energy Computation by LMATRIX and SENERGY Macros

For general circuit and reduced order modeling capabilities refer to Circuit Analysis, Reduced Order Modeling. The capacitance may be obtained using the CMATRIX command macro (Capacitance Computation).

Inductance plays an important role in the characterization of magnetic devices, electrical machines, sensors and actuators. The concept of a non-variant (time-independent), linear inductance of wire-like coils is discussed in every electrical engineering book. However, its extension to variant, nonlinear, distributed coil cases is far from obvious. The LMATRIX command macro accomplishes this goal for a multi-coil, potentially distributed system by the most robust and accurate energy based method.

Time-variance is essential when the geometry of the device is changing: for example actuators, electrical machines. In this case, the inductance depends on a stroke (in a 1-D motion case) which, in turn, depends on time.

Many magnetic devices apply iron for the conductance of magnetic flux. Most iron has a nonlinear B-H curve. Because of this nonlinear feature, two kinds of inductance must be differentiated: differential and secant. The secant inductance is the ratio of the total flux over current. The differential inductance is the ratio of flux change over a current excitation change.

The flux of a single wire coil can be defined as the surface integral of the flux density. However, when the size of the wire is not negligible, it is not clear which contour spans the surface. The field within the coil must be taken into account. Even larger difficulties occur when the current is not constant: for example solid rotor or squirrel-caged induction machines.

The energy-based methodology implemented in the LMATRIX macro takes care of all of these difficulties. Moreover, energy is one of the most accurate qualities of finite element analysis - after all it is energy-based - thus the energy perturbation methodology is not only general but also accurate and robust.

The voltage induced in a variant coil can be decomposed into two major components: transformer voltage and motion induced voltage.

The transformer voltage is induced in coils by the rate change of exciting currents. It is present even if the geometry of the system is constant, the coils don't move or expand. To obtain the transformer voltage, the knowledge of flux change (i.e., that of differential flux) is necessary when the exciting currents are perturbed. This is characterized by the differential inductance provided by the LMATRIX command macro.

The motion induced voltage (sometimes called back-EMF) is related to the geometry change of the system. It is present even if the currents are kept constant. To obtain the motion induced voltage, the knowledge of absolute flux in the coils is necessary as a function of stroke. The LMATRIX command macro provides the absolute flux together with the incremental inductance.

Obtaining the proper differential and absolute flux values needs consistent computations of magnetic absolute and incremental energies and co-energies. This is provided by the SENERGY command macro. The macro uses an “energy perturbation” consistent energy and co-energy definition.

5.6.1. Differential Inductance Definition

Consider a magnetic excitation system consisting of n coils each fed by a current, Ii. The flux linkage ψi of the coils is defined as the surface integral of the flux density over the area multiplied by the number of turns, Ni, of the of the pertinent coil. The relationship between the flux linkage and currents can be described by the secant inductance matrix, [Ls]:

(5–245)

where:

{ψ} = vector of coil flux linkages
t = time
{I} = vector of coil currents.
{ψo} = vector of flux linkages for zero coil currents (effect of permanent magnets)

Main diagonal element terms of [Ls] are called self inductance, whereas off diagonal terms are the mutual inductance coefficients. [Ls] is symmetric which can be proved by the principle of energy conservation.

In general, the inductance coefficients depend on time, t, and on the currents. The time dependent case is called time variant which is characteristic when the coils move. The inductance computation used by the program is restricted to time invariant cases. Note that time variant problems may be reduced to a series of invariant analyses with fixed coil positions. The inductance coefficient depends on the currents when nonlinear magnetic material is present in the domain.

The voltage vector, {U}, of the coils can be expressed as:

(5–246)

In the time invariant nonlinear case

(5–247)

The expression in the bracket is called the differential inductance matrix, [Ld]. The circuit behavior of a coil system is governed by [Ld]: the induced voltage is directly proportional to the differential inductance matrix and the time derivative of the coil currents. In general, [Ld] depends on the currents, therefore it should be evaluated for each operating point.

5.6.2. Review of Inductance Computation Methods

After a magnetic field analysis, the secant inductance matrix coefficients, Lsij, of a coupled coil system could be calculated at postprocessing by computing flux linkage as the surface integral of the flux density, {B}. The differential inductance coefficients could be obtained by perturbing the operating currents with some current increments and calculating numerical derivatives. However, this method is cumbersome, neither accurate nor efficient. A much more convenient and efficient method is offered by the energy perturbation method developed by Demerdash and Arkadan(225), Demerdash and Nehl(226) and Nehl et al.(227). The energy perturbation method is based on the following formula:

(5–248)

where W is the magnetic energy, Ii and Ij are the currents of coils i and j. The first step of this procedure is to obtain an operating point solution for nominal current loads by a nonlinear analysis. In the second step linear analyses are carried out with properly perturbed current loads and a tangent reluctivity tensor, νt, evaluated at the operating point. For a self coefficient, two, for a mutual coefficient, four, incremental analyses are required. In the third step the magnetic energies are obtained from the incremental solutions and the coefficients are calculated according to (Equation 5–248).

5.6.3. Inductance Computation Method Used

The inductance computation method used by the program is based on Gyimesi and Ostergaard(229) who revived Smythe's procedure(150).

The incremental energy Wij is defined by

(5–249)

where {ΔH} and {ΔB} denote the increase of magnetic field and flux density due to current increments, ΔIi and ΔIj. The coefficients can be obtained from

(5–250)

This allows an efficient method that has the following advantages:

  1. For any coefficient, self or mutual, only one incremental analysis is required.

  2. There is no need to evaluate the absolute magnetic energy. Instead, an “incremental energy” is calculated according to a simple expression.

  3. The calculation of incremental analysis is more efficient: The factorized stiffness matrix can be applied. (No inversion is needed.) Only incremental load vectors should be evaluated.

5.6.4. Transformer and Motion Induced Voltages

The absolute flux linkages of a time-variant multi-coil system can be written in general:

(5–251)

where:

{X} = vector of strokes

The induced voltages in the coils are the time derivative of the flux linkages, according to (Equation 5–246). After differentiation:

(5–252)

(5–253)

where:

{V} = vector of stroke velocities

The first term is called transformer voltage (it is related to the change of the exciting current). The proportional term between the transformer voltage and current rate is the differential inductance matrix according to (Equation 5–247).

The second term is the motion included voltage or back EMF (it is related to the change of strokes). The time derivative of the stroke is the velocity, hence the motion induced voltage is proportional to the velocity.

5.6.5. Absolute Flux Computation

Whereas the differential inductance can be obtained from the differential flux due to current perturbation as described in Differential Inductance Definition, Review of Inductance Computation Methods, and Inductance Computation Method Used. The computation of the motion induced voltage requires the knowledge of absolute flux. In order to apply (Equation 5–253), the absolute flux should be mapped out as a function of strokes for a given current excitation ad the derivative [image] provides the matrix link between back EMF and velocity.

The absolute flux is related to the system co-energy by:

(5–254)

According to (Equation 5–254), the absolute flux can be obtained with an energy perturbation method by changing the excitation current for a given stroke position and taking the derivative of the system co-energy.

The increment of co-energy can be obtained by:

(5–255)

where:

= change of co-energy due to change of current Ii
ΔHi = change of magnetic field due to change of current Ii

5.6.6. Inductance Computations

The differential inductance matrix and the absolute flux linkages of coils can be computed (with the LMATRIX command macro).

The differential inductance computation is based on the energy perturbation procedure using (Equation 5–249) and (Equation 5–250).

The absolute flux computation is based on the co-energy perturbation procedure using (Equation 5–254) and (Equation 5–255).

The output can be applied to compute the voltages induced in the coils using (Equation 5–253).

5.6.7. Absolute Energy Computation

The absolute magnetic energy is defined by:

(5–256)

and the absolute magnetic co-energy is defined by:

(5–257)

See Figure 5.14: "Energy and Co-energy for Non-Permanent Magnets" and Figure 5.15: "Energy and Co-energy for Permanent Magnets" for the graphical representation of these energy definitions. Equations and provide the incremental magnetic energy and incremental magnetic co-energy definitions used for inductance and absolute flux computations.

The absolute magnetic energy and co-energy can be computed (with the LMATRIX command macro).

Figure 5.14 Energy and Co-energy for Non-Permanent Magnets

Figure 5.15 Energy and Co-energy for Permanent Magnets

(Equation 5–249) and (Equation 5–255) provide the incremental magnetic energy and incremental magnetic co-energy definitions used for inductance and absolute flux computations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.5. High-Frequency Electromagnetic Field Simulation 		Up / Home Next
5.7. Electromagnetic Particle Tracing


5.7. Electromagnetic Particle Tracing

Once the electromagnetic field is computed, particle trajectories can be evaluated by solving the equations of motion:

(5–258)

where:

m = mass of particle
q = charge of particle
{E} = electric field vector
{B} = magnetic field vector
{F} = Lorentz force vector
{a} = acceleration vector
{v} = velocity vector

The tracing follows from element to element: the exit point of an old element becomes the entry point of a new element. Given the entry location and velocity for an element, the exit location and velocity can be obtained by integrating the equations of motion.

ANSYS particle tracing algorithm is based on Gyimesi et al.(228) exploiting the following assumptions:

  1. No relativistic effects (Velocity is much smaller than speed of light).

  2. Pure electric tracing ({B} = {0}), pure magnetic tracing ({E} = {0}), or combined {E-B} tracing.

  3. Electrostatic and/or magnetostatic analysis

  4. Constant {E} and/or {B} within an element.

  5. Quadrangle, triangle, hexahedron, tetrahedron, wedge or pyramid element shapes bounded by planar surfaces.

These simplifications significantly reduce the computation time of the tracing algorithm because the trajectory can be given in an analytic form:

  1. parabola in the case of electric tracing

  2. helix in the case of magnetic tracing.

  3. generalized helix in the case of coupled E-B tracing.

The exit point from an element is the point where the particle trajectory meets the plane of bounding surface of the element. It can be easily computed when the trajectory is a parabola. However, to compute the exit point when the trajectory is a helix, a transcendental equation must be solved. A Newton Raphson algorithm is implemented to obtain the solution. The starting point is carefully selected to ensure convergence to the correct solution. This is far from obvious: about 70 sub-cases are differentiated by the algorithm. This tool allows particle tracing within an element accurate up to machine precision. This does not mean that the tracing is exact since the element field solution may be inexact. However, with mesh refinement, this error can be controlled.

Once a trajectory is computed, any available physical items can be printed or plotted along the path (using the PLTRAC command). For example, elapsed time, traveled distance, particle velocity components, temperature, field components, potential values, fluid velocity, acoustic pressure, mechanical strain, etc. Animation is also available.

The plotted particle traces consist of two branches: the first is a trajectory for a given starting point at a given velocity (forward ballistic); the second is a trajectory for a particle to hit a given target location at a given velocity (backward ballistics).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.6. Inductance, Flux and Energy Computation by LMATRIX and SENERGY Macros 		Up / Home Next
5.8. Maxwell Stress Tensor


5.8. Maxwell Stress Tensor

The Maxwell stress tensor provides a convenient way of computing forces acting on bodies by evaluating a surface integral. The Maxwell stress tensor is output in various ways (e.g., ETABLE and ESOL commands, and FMAGBC and FMAGSUM command macros.)

Following Vago and Gyimesi(239), this section derives the Maxwell stress tensor from Maxwell's equations ((Equation 5–1) thru (Equation 5–4)). The derivation requires involved mathematical operations. Notation summarizes the vector and tensor algebraic notations. The fundamental identities of vector and tensor analysis are given in Fundamental Relations. Using these identities, (Equation 5–273) is derived in Derived Relations. Maxwell Tensor From Maxwell's Equations derives the Maxwell stress tensor from Maxwell's equations using (Equation 5–273). The fundamental vector and tensor algebraic equations can be found in Flugge(240) and Legally(241).

5.8.1. Notation

This section summarizes the notations of vector and tensor algebraic notations used to derive the Maxwell stress tensor.

where:

a = scalar
{A} = vector
[A] = 2nd order tensor
{1x}, {1y}, {1z} = unit vectors
[1] = 2nd order unit tensor
{A} [image] {B} = dot product vectors resulting in a scalar
{A} * {B} = cross product of vectors resulting in a vector
{A} @ {B} = dyadic product of vectors resulting in a 2nd order tensor
grad = gradient of a scalar resulting in a vector
curl = rotation of a vector resulting in a scalar
div = divergence of a vector resulting in a scalar
grad = gradient of a vector resulting in a tensor
div = divergence of a tensor resulting in a vector

5.8.2. Fundamental Relations

This section provides the fundamental identities of vector and tensor analysis. See Vago & Gyimesi(239), Flugge(240), and Lagally(241).

(5–259)

(5–260)

(5–261)

(5–262)

(5–263)

(5–264)

(5–265)

(5–266)

from (Equation 5–266):

(5–267)

(5–268)

5.8.3. Derived Relations

This section proves (Equation 5–273) using the fundamental identities of vector and tensor analysis.

From (Equation 5–268):

(5–269)

From (Equation 5–263), (Equation 5–266), and (Equation 5–267):

(5–270)

From (Equation 5–269) and (Equation 5–270):

(5–271)

Substitute {B} = a {A} in (Equation 5–271) and apply (Equation 5–259), (Equation 5–260), and (Equation 5–262)

(5–272)

After arrangement,

(5–273)

5.8.4. Maxwell Tensor From Maxwell's Equations

This section derives the Maxwell stress tensor from Maxwell's equations using (Equation 5–16). (Equation 5–20) constitutes the fundamental relation of Maxwell stress tensor, and (Equation 5–22) shows its application to evaluate forces by a surface integral.

Maxwell's equations are described in Electromagnetic Field Fundamentals. The definitions used there are the same as used here. Take the vector product of (Equation 5–1) by {B} and (Equation 5–2) by {D} and add up these equations, providing:

(5–274)

In a homogeneous linear constitutive case, (Equation 5–5) and (Equation 5–13) simplify:

(5–275)

(5–276)

Combining (Equation 5–273) and (Equation 5–274) provides:

(5–277)

After arrangement

(5–278)

where:

{f} = force density
ρ = charge density
{S} = Poynting vector

(Equation 5–278) is the same as equations (1.255) and (1.257) in Vago and Gyimesi(239). The terms in (Equation 5–278) can be interpreted as:

ρ {E} + {J} * {B} = Lorentz force density
grad terms = force due to material inhomogeneity

The force over a volume V:

(5–279)

Applying Gauss theorem:

(5–280)

i.e., the force is the surface integral of Maxwell stress tensor.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.7. Electromagnetic Particle Tracing 		Up / Home Next
5.9. Electromechanical Transducers


5.9. Electromechanical Transducers

For general circuit and reduced order modeling capabilities refer to Circuit Analysis, Reduced Order Modeling. To obtain the capacitance of the transducer element one may either compute the capacitance using a handbook formula, use CMATRIX (Capacitance Computation), or another numerical package.

A review of electromechanical coupling methods and available transducers are given in:

Review of Coupled Electromechanical Methods
TRANS109 - 2-D Electromechanical Transducer
TRANS126 - Electromechanical Transducer

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.8. Maxwell Stress Tensor 		Up / Home Next
5.10. Capacitance Computation


5.10. Capacitance Computation

Capacitance computation is one of the primary goals of an electrostatic analysis. For the definition of ground (partial) and lumped capacitance matrices see Vago and Gyimesi(239). The knowledge of capacitance is essential in the design of electrostatic devices, Micro Electro Mechanical Systems (MEMS), transmission lines, printed circuit boards (PCB), electromagnetic interference and compatibility (EMI/EMC) etc. The computed capacitance can be the input of a subsequent MEMS analysis by an electrostructural transducer element TRANS126; for theory see TRANS126 - Electromechanical Transducer.

For general circuit and reduced order modeling capabilities refer to Circuit Analysis, Reduced Order Modeling. To obtain inductance and flux using the LMATRIX command macro see Inductance, Flux and Energy Computation by LMATRIX and SENERGY Macros.

The capacitance matrix of an electrostatic system can be computed (by the CMATRIX command macro). The capacitance calculation is based on the energy principle. For details see Gyimesi and Ostergaard(249) and its successful application Hieke(251). The energy principle constitutes the basis for inductance matrix computation, as shown in Inductance, Flux and Energy Computation by LMATRIX and SENERGY Macros.

The electrostatic energy of a linear three electrode (the third is ground) system is:

(5–281)

where:

W = electrostatic energy
V1 = potential of first electrode with respect to ground
V2 = potential of second electrode with respect to ground

By applying appropriate voltages on electrodes, the coefficients of the ground capacitance matrix can be calculated from the stored static energy.

The charges on the conductors are:

(5–282)

(5–283)

where:

Q1 = charge of first electrode
Q2 = charge of second electrode

The charge can be expressed by potential differences, too:

(5–284)

(5–285)

where:

The lumped capacitances can be realized by lumped capacitors as shown in Figure 5.16: "Lumped Capacitor Model of Two Conductors and Ground". Lumped capacitances are suitable for use in circuit simulators.

Figure 5.16 Lumped Capacitor Model of Two Conductors and Ground

In some cases, one of the electrodes may be located very far from the other electrodes. This can be modeled as an open electrode problem with one electrode at infinity. The open boundary region can be modeled by infinite elements, Trefftz method (see Open Boundary Analysis with a Trefftz Domain) or simply closing the FEM region far enough by an artificial Dirichlet boundary condition. In this case the ground key parameter (GRNDKEY on the CMATRIX command macro) should be activated. This key assumes that there is a ground electrode at infinity.

The previous case should be distinguished from an open boundary problem without an electrode at infinity. In this case the ground electrode is one of the modeled electrodes. The FEM model size can be minimized in this case, too, by infinite elements or the Trefftz method. When performing the capacitance calculation, however, the ground key (GRNDKEY on the CMATRIX command macro) should not be activated since there is no electrode at infinity.

Figure 5.17 Trefftz and Multiple Finite Element Domains

The FEM region can be multiply connected. See for example Figure 5.17: "Trefftz and Multiple Finite Element Domains". The electrodes are far from each other: Meshing of the space between the electrodes would be computationally expensive and highly ineffective. Instead, a small region is meshed around each electrode and the rest of the region is modeled by the Trefftz method (see Open Boundary Analysis with a Trefftz Domain).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.9. Electromechanical Transducers 		Up / Home Next
5.11. Open Boundary Analysis with a Trefftz Domain


5.11. Open Boundary Analysis with a Trefftz Domain

The Trefftz method was introduced in 1926 by the founder of boundary element techniques, E. Trefftz(259, 260). The generation of Trefftz complete function systems was analyzed by Herrera(261). Zienkiewicz et al.(262), Zielinski and Zienkiewicz(263), Zienkiewicz et al.(264, 265, 266) exploited the energy property of the Trefftz method by introducing the Generalized Finite Element Method with the marriage a la mode: best of both worlds (finite and boundary elements) and successfully applied it to mechanical problems. Mayergoyz et al.(267), Chari(268), and Chari and Bedrosian(269) successfully applied the Trefftz method with analytic Trefftz functions to electromagnetic problems. Gyimesi et al.(255), Gyimesi and Lavers(256), and Gyimesi and Lavers(257) introduced the Trefftz method with multiple multipole Trefftz functions to electromagnetic and acoustic problems. This last approach successfully preserves the FEM-like positive definite matrix structure of the Trefftz stiffness matrix while making no restriction to the geometry (as opposed to analytic functions) and inheriting the excellent accuracy of multipole expansion.

Figure 5.18 Typical Hybrid FEM-Trefftz Domain

Figure 5.18: "Typical Hybrid FEM-Trefftz Domain" shows a typical hybrid FEM-Trefftz domain. The FEM domain lies between the electrode and exterior surface. The Trefftz region lies outside the exterior surface. Within the finite element domain, Trefftz multiple multipole sources are placed to describe the electrostatic field in the Trefftz region according to Green's representation theorem. The FEM domain can be multiply connected as shown in Figure 5.19: "Multiple FE Domains Connected by One Trefftz Domain". There is minimal restriction regarding the geometry of the exterior surface. The FEM domain should be convex (ignoring void region interior to the model from conductors) and it should be far enough away so that a sufficiently thick cushion distributes the singularities at the electrodes and the Trefftz sources.

The energy of the total system is

(5–286)

where:

W = energy
{u} = vector of FEM DOFs
{w} = vector of Trefftz DOFs
[K] = FEM stiffness matrix
[L] = Trefftz stiffness matrix

At the exterior surface, the potential continuity can be described by the following constraint equations:

(5–287)

where:

[Q] = FEM side of constraint equations
[P] = Trefftz side of constraint equations

The continuity conditions are obtained by a Galerkin procedure. The conditional energy minimum can be found by the Lagrangian multiplier's method. This minimization process provides the (weak) satisfaction of the governing differential equations and continuity of the normal derivative (natural Neumann boundary condition.)

To treat the Trefftz region, creates a superelement and using the constraint equations are created (using the TZEGEN command macro). The user needs to define only the Trefftz nodes (using the TZAMESH command macro).

Figure 5.19 Multiple FE Domains Connected by One Trefftz Domain

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.10. Capacitance Computation 		Up / Home Next
5.12. Circuit Analysis, Reduced Order Modeling


5.12. Circuit Analysis, Reduced Order Modeling

In many analysis problems, a distributed finite element analysis is not practical; a reduced order with lumped circuit elements is more efficient or practical. ANSYS provides several circuit elements to exploit this simplification. An ANSYS model may be built using circuit elements only or, distributed finite elements and lumped circuit elements can be used together.

ANSYS has pure mechanical and electrical circuit elements as well as coupled field circuit elements. Coupled field elements permit strong coupling between different physics domains.

5.12.1. Mechanical Circuit Elements

  • COMBIN14: spring, dashpot

  • MASS21: lumped mass

  • COMBIN39: nonlinear spring

5.12.2. Electrical Circuit Elements

  • CIRCU124: resistor, inductor, capacitor, sources, etc.

  • CIRCU125: common diode, Zener diode

5.12.3. Coupled Field Circuit Elements

  • TRANS126 : electromechanical transducer

  • CIRCU124: voltage fed and circuit coupled magnetic field

The parameters of the lumped circuit elements may be obtained from an ANSYS field analysis using the command macros (CMATRIX and LMATRIX) described in Inductance, Flux and Energy Computation by LMATRIX and SENERGY Macros and Capacitance Computation of the Theory Reference for ANSYS and ANSYS Workbench.

For details on these elements, see the following sections of the Theory Reference for ANSYS and ANSYS Workbench: Voltage Forced and Circuit-Coupled Magnetic Field (Voltage Forced and Circuit Coupled Magnetic Field); Electromechanical Transducers; COMBIN14 - Spring-Damper; MASS21 - Structural Mass; COMBIN39 - Nonlinear Spring; CIRCU124 - Electric Circuit; CIRCU125 - Diode, and TRANS126 - Electromechanical Transducer.

For a more detailed explanation and demonstration, refer to Demerdash and Arkadan(225), Demerdash and Nehl(226), Nehl, Faud, et al.(227), Gyimesi and Ostergaard(229, 248, 286, 289, 290), Vago and Gyimesi (239), Heike, et al.(251), Ostergaard, Gyimesi, et al.(287), Gyimesi, Wang, et al.(288), and Hieke(291).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.11. Open Boundary Analysis with a Trefftz Domain 		Up / Home Next
5.13. Conductance Computation


5.13. Conductance Computation

Conductance computation is one of the primary goals of an electrostatic analysis. For the definition of ground (partial) and lumped conductance matrices see Vago and Gyimesi(239). The knowledge of conductance is essential in the design of electrostatic devices, Micro Electro Mechanical Systems (MEMS), transmission lines, printed circuit boards (PCB), electromagnetic interference and compatibility (EMI/EMC) etc. The computed conductance can be the input of a subsequent MEMS analysis by an electrostructural transducer element TRANS126; for theory see TRANS126 - Electromechanical Transducer.

For general circuit and reduced order modeling capabilities refer to Circuit Analysis, Reduced Order Modeling. To obtain inductance and flux using the LMATRIX command macro see Inductance, Flux and Energy Computation by LMATRIX and SENERGY Macros.

The conductance matrix of an electrostatic system can be computed (by the GMATRIX command macro). The conductance calculation is based on the energy principle. For details see Gyimesi and Ostergaard(249) and its successful application Hieke(251). The energy principle constitutes the basis for inductance matrix computation, as shown in Inductance, Flux and Energy Computation by LMATRIX and SENERGY Macros.

The electrostatic energy of a linear three conductor (the third is ground) system is:

(5–288)

where:

W = electrostatic energy
V1 = potential of first conductor with respect to ground
V2 = potential of second conductor with respect to ground

By applying appropriate voltages on conductors, the coefficients of the ground conductance matrix can be calculated from the stored static energy.

The currents in the conductors are:

(5–289)

(5–290)

where:

I1 = current in first conductor
I2 = current in second conductor

The currents can be expressed by potential differences, too:

(5–291)

(5–292)

where:

The lumped conductances can be realized by lumped conductors as shown in Figure 5.20: "Lumped Conductor Model of Two Conductors and Ground". Lumped conductances are suitable for use in circuit simulators.

Figure 5.20 Lumped Conductor Model of Two Conductors and Ground

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.12. Circuit Analysis, Reduced Order Modeling 		Up / Home Next
Chapter 6. Heat Flow


Chapter 6. Heat Flow

The following heat flow topics are available:

  • Heat Flow Fundamentals
  • Derivation of Heat Flow Matrices
  • Heat Flow Evaluations
  • Radiation Matrix Method
  • Radiosity Solution Method

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
5.13. Conductance Computation 		Up / Home Next
6.1. Heat Flow Fundamentals


6.1. Heat Flow Fundamentals

The following topics concerning heat flow fundamentals are available:

  • Conduction and Convection
  • Radiation

6.1.1. Conduction and Convection

The first law of thermodynamics states that thermal energy is conserved. Specializing this to a differential control volume:

(6–1)

where:

ρ = density (input as DENS on MP command)
c = specific heat (input as C on MP command)
T = temperature (=T(x,y,z,t))
t = time
{q} = heat flux vector (output as TFX, TFY, and TFZ)
= heat generation rate per unit volume (input on BF or BFE commands)

It should be realized that the terms {L}T and {L}T{q} may also be interpreted as [image] T and [image] [image] {q}, respectively, where [image] represents the grad operator and [image] [image] represents the divergence operator.

Next, Fourier's law is used to relate the heat flux vector to the thermal gradients:

(6–2)

where:

Kxx, Kyy, Kzz = conductivity in the element x, y, and z directions, respectively (input as KXX, KYY, KZZ on MP command)

Combining (Equation 6–1) and (Equation 6–2),

(6–3)

Expanding (Equation 6–3) to its more familiar form:

(6–4)

It will be assumed that all effects are in the global Cartesian system.

Three types of boundary conditions are considered. It is presumed that these cover the entire element.

  1. Specified temperatures acting over surface S1:

            (6–5)

    where T* is the specified temperature (input on D command).

  2. Specified heat flows acting over surface S2:

            (6–6)

    where:

    {η} = unit outward normal vector
    q* = specified heat flow (input on SF or SFE commands)

  3. Specified convection surfaces acting over surface S3 (Newton's law of cooling):

            (6–7)

    where:

    hf = film coefficient (input on SF or SFE commands) Evaluated at (TB + TS)/2 unless otherwise specified for the element
    TB = bulk temperature of the adjacent fluid (input on SF or SFE commands)
    TS = temperature at the surface of the model

Note that positive specified heat flow is into the boundary (i.e., in the direction opposite of {η}), which accounts for the negative signs in (Equation 6–6) and (Equation 6–7).

Combining (Equation 6–2) with (Equation 6–6) and (Equation 6–7)

(6–8)

(6–9)

Premultiplying (Equation 6–3) by a virtual change in temperature, integrating over the volume of the element, and combining with (Equation 6–8) and (Equation 6–9) with some manipulation yields:

(6–10)

where:

vol = volume of the element
δT = an allowable virtual temperature (=δT(x,y,z,t))

6.1.2. Radiation

Radiant energy exchange between neighboring surfaces of a region or between a region and its surroundings can produce large effects in the overall heat transfer problem. Though the radiation effects generally enter the heat transfer problem only through the boundary conditions, the coupling is especially strong due to nonlinear dependence of radiation on surface temperature.

Extending the Stefan-Boltzmann Law for a system of N enclosures, the energy balance for each surface in the enclosure for a gray diffuse body is given by Siegal and Howell(88(Equation 8-19)) , which relates the energy losses to the surface temperatures:

(6–11)

where:

N = number of radiating surfaces
δji = Kronecker delta
εi = effective emissivity (input on EMIS or MP command) of surface i
Fji = radiation view factors (see below)
Ai = area of surface i
Qi = energy loss of surface i
σ = Stefan-Boltzmann constant (input on STEF or R command)
Ti = absolute temperature of surface i

For a system of two surfaces radiating to each other, (Equation 6–11) can be simplified to give the heat transfer rate between surfaces i and j as (see Chapman(356)):

(6–12)

where:

Ti, Tj = absolute temperature at surface i and j, respectively

If Aj is much greater than Ai, (Equation 6–12) reduces to:

(6–13)

where:

6.1.2.1. View Factors

The view factor, Fij, is defined as the fraction of total radiant energy that leaves surface i which arrives directly on surface j, as shown in Figure 6.1: "View Factor Calculation Terms". It can be expressed by the following equation:

Figure 6.1 View Factor Calculation Terms

(6–14)

where:

Ai,Aj = area of surface i and surface j
r = distance between differential surfaces i and j
θi = angle between Ni and the radius line to surface d(Aj)
θj = angle between Nj and the radius line to surface d(Ai)
Ni,Nj = surface normal of d(Ai) and d(Aj)

6.1.2.2. Radiation Usage

Four methods for analysis of radiation problems are included:

  1. Radiation link element LINK31(LINK31 - Radiation Link). For simple problems involving radiation between two points or several pairs of points. The effective radiating surface area, the form factor and emissivity can be specified as real constants for each radiating point.

  2. Surface effect elements - SURF151 in 2-D and SURF152 in 3-D for radiating between a surface and a point (SURF151 - 2-D Thermal Surface Effect and SURF152 - 3-D Thermal Surface Effect ). The form factor between a surface and the point can be specified as a real constant or can be calculated from the basic element orientation and the extra node location.

  3. Radiation matrix method (Radiation Matrix Method). For more generalized radiation problems involving two or more surfaces. The method involves generating a matrix of view factors between radiating surfaces and using the matrix as a superelement in the thermal analysis.

  4. Radiosity solver method (Radiosity Solution Method). For generalized problems in 3-D involving two or more surfaces. The method involves calculating the view factor for the flagged radiating surfaces using the hemicube method and then solving the radiosity matrix coupled with the conduction problem.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 6. Heat Flow 		Up / Home Next
6.2. Derivation of Heat Flow Matrices


6.2. Derivation of Heat Flow Matrices

As stated before, the variable T was allowed to vary in both space and time. This dependency is separated as:

(6–15)

where:

T = T(x,y,z,t) = temperature
{N} = {N(x,y,z)} = element shape functions
{Te} = {Te(t)} = nodal temperature vector of element

Thus, the time derivatives of (Equation 6–15) may be written as:

(6–16)

δT has the same form as T:

(6–17)

The combination {L}T is written as

(6–18)

where:

[B] = {L}{N}T

Now, the variational statement of (Equation 6–10) can be combined with (Equation 6–15) thru (Equation 6–18) to yield:

(6–19)

Terms are defined in Heat Flow Fundamentals. ρ is assumed to remain constant over the volume of the element. On the other hand, c and [image] may vary over the element. Finally, {Te}, [image] , and {δTe} are nodal quantities and do not vary over the element, so that they also may be removed from the integral. Now, since all quantities are seen to be premultiplied by the arbitrary vector {δTe}, this term may be dropped from the resulting equation. Thus, (Equation 6–19) may be reduced to:

(6–20)

(Equation 6–20) may be rewritten as:

(6–21)

where:

Comments on and modifications of the above definitions:

  1. is not symmetric.

  2. is calculated as defined above, for SOLID90 only. All other elements use a diagonal matrix, with the diagonal terms defined by the vector [image].

  3. is frequently diagonalized, as described in Lumped Matrices.

  4. If [image] exists and has been diagonalized and also the analysis is a transient (Key = ON on the TIMINT command), [image] has its terms adjusted so that they are proportioned to the main diagonal terms of [image]. , the heat generation rate vector for Joule heating is treated similarly, if present. This adjustment ensures that elements subjected to uniform heating will have a uniform temperature rise. However, this adjustment also changes nonuniform input of heat generation to an average value over the element.

  5. For phase change problems, [image] is evaluated from the enthalpy curve (Tamma and Namnuru(42)) if enthalpy is input (input as ENTH on MP command). This option should be used for phase change problems.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.1. Heat Flow Fundamentals 		Up / Home Next
6.3. Heat Flow Evaluations


6.3. Heat Flow Evaluations

6.3.1. Integration Point Output

The element thermal gradients at the integration points are:

(6–22)

where:

{a} = thermal gradient vector (output as TG)
{L} = vector operator
T = temperature

Using shape functions, (Equation 6–22) may be written as:

(6–23)

where:

[B] = shape function derivative matrix evaluated at the integration points
{Te} = nodal temperature vector of element

Then, the heat flux vector at the integration points may be computed from the thermal gradients:

(6–24)

where:

{q} = heat flux vector (output as TF)
[D] = conductivity matrix (see (Equation 6–2))

Nodal gradient and flux vectors may be computed from the integration point values as described in Nodal and Centroidal Data Evaluation.

6.3.2. Surface Output

The convection surface output is:

(6–25)

where:

qc = heat flow per unit area due to convection
hf = film coefficient (input on SF or SFE commands)
TS = temperature at surface of model
TB = bulk temperature of the adjacent fluid (input on SF or SFE commands)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.2. Derivation of Heat Flow Matrices 		Up / Home Next
6.4. Radiation Matrix Method


6.4. Radiation Matrix Method

In the radiation matrix method, for a system of two radiating surfaces, (Equation 6–13) can be expanded as:

(6–26)

or

(6–27)

where:

K' cannot be calculated directly since it is a function of the unknowns Ti and Tj. The temperatures from previous iterations are used to calculate K' and the solution is computed iteratively.

For a more general case, (Equation 6–11) can be used to construct a single row in the following matrix equation:

(6–28)

such that:

(6–29)

(6–30)

Solving for {Q}:

(6–31)

and therefore:

(6–32)

(Equation 6–31) is analogous to (Equation 6–11) and can be set up for standard matrix equation solution by the process similar to the steps shown in (Equation 6–26) and (Equation 6–27).

(6–33)

[K'] now includes T3 terms and is calculated in the same manner as in (Equation 6–27)). To be able to include radiation effects in elements other than LINK31, MATRIX50 (the substructure element) is used to bring in the radiation matrix. MATRIX50 has an option that instructs the solution phase to calculate [K']. The AUX12 utility is used to create the substructure radiation matrix. AUX12 calculates the effective conductivity matrix, [Kts], in (Equation 6–31), as well as the view factors required for finding [Kts]. The user defines flat surfaces to be used in AUX12 by overlaying nodes and elements on the radiating edge of a 2-D model or the radiating face of a 3-D model.

Two methods are available in the radiation matrix method to calculate the view factors (VTYPE command), the non-hidden method and the hidden method.

6.4.1. Non-Hidden Method

The non-hidden procedure calculates a view factor for every surface to every other surface whether the view is blocked by an element or not. In this procedure, the following equation is used and the integration is performed adaptively.

For a finite element discretized model, (Equation 6–14) for the view factor Fij between two surfaces i and j can be written as:

(6–34)

where:

m = number of integration points on surface i
n = number of integration points on surface j

When the dimensionless distance between two viewing surfaces D, defined in (Equation 6–35), is less than 0.1, the accuracy of computed view factors is known to be poor (Siegal and Howell(88)).

(6–35)

where:

dmin = minimum distance between the viewing surfaces A1 and A2
Amax = max (A1, A2)

So, the order of surface integration is adaptively increased from order one to higher orders as the value of D falls below 8. The area integration is changed to contour integration when D becomes less than 0.5 to maintain the accuracy. The contour integration order is adaptively increased as D approaches zero.

6.4.2. Hidden Method

The hidden procedure is a simplified method which uses (Equation 6–14) and assumes that all the variables are constant, so that the equation becomes:

(6–36)

The hidden procedure numerically calculates the view factor in the following conceptual manner. The hidden-line algorithm is first used to determine which surfaces are visible to every other surface. Then, each radiating, or “viewing”, surface (i) is enclosed with a hemisphere of unit radius. This hemisphere is oriented in a local coordinate system (x' y' z'), whose center is at the centroid of the surface with the z axis normal to the surface, the x axis is from node I to node J, and the y axis orthogonal to the other axes. The receiving, or “viewed”, surface (j) is projected onto the hemisphere exactly as it would appear to an observer on surface i.

As shown in Figure 6.2: "Receiving Surface Projection", the projected area is defined by first extending a line from the center of the hemisphere to each node defining the surface or element. That node is then projected to the point where the line intersects the hemisphere and transformed into the local system x' y' z', as described in Kreyszig(23)

Figure 6.2 Receiving Surface Projection

The view factor, Fij, is determined by counting the number of rays striking the projected surface j and dividing by the total number of rays (Nr) emitted by surface i. This method may violate the radiation reciprocity rule, that is, AiFi-j ≠ Aj Fj-i.

6.4.3. View Factors of Axisymmetric Bodies

When the radiation view factors between the surfaces of axisymmetric bodies are computed (GEOM,1,n command), special logic is used. In this logic, the axisymmetric nature of the body is exploited to reduce the amount of computations. The user, therefore, needs only to build a model in plane 2-D representing the axisymmetric bodies as line “elements”.

Consider two axisymmetric bodies A and B as shown in Figure 6.3: "Axisymmetric Geometry".

Figure 6.3 Axisymmetric Geometry

The view factor of body A to body B is computed by expanding the line “element” model into a full 3-D model of n circumferential segments (GEOM,1,n command) as shown in Figure 6.4: "End View of Showing n = 8 Segments".

Figure 6.4 End View of Showing n = 8 Segments

View factor of body A to B is given by

(6–37)

where:

Fk - [image] = view factor of segment k on body A to segment [image] on body B

The form factors between the segments of the axisymmetric bodies are computed using the method described in the previous section. Since the coefficients are symmetric, the summation (Equation 6–37) may be simplified as:

(6–38)

Both hidden and non-hidden methods are applicable in the computation of axisymmetric view factors. However, the non-hidden method should be used if and only if there are no blocking surfaces. For example, if radiation between concentric cylinders are considered, the outer cylinder can not see part of itself without obstruction from the inner cylinder. For this case, the hidden method must be used, as the non-hidden method would definitely give rise to inaccurate view factor calculations.

6.4.4. Space Node

A space node may be defined (SPACE command) to absorb all energy not radiated to other elements. Any radiant energy not incident on any other part of the model will be directed to the space node. If the model is not a closed system, then the user must define a space node with its appropriate boundary conditions.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.3. Heat Flow Evaluations 		Up / Home Next
6.5. Radiosity Solution Method


6.5. Radiosity Solution Method

In the radiosity solution method for the analysis of gray diffuse radiation between N surfaces, (Equation 6–11) is solved in conjunction with the basic conduction problem.

For the purpose of computation it is convenient to rearrange (Equation 6–11) into the following series of equations

(6–39)

and

(6–40)

(Equation 6–39) and (Equation 6–40) are expressed in terms of the outgoing radiative fluxes (radiosity) for each surface, [image], and the net flux from each surface qi. For known surface temperatures, Ti, in the enclosure, (Equation 6–40) forms a set of linear algebraic equations for the unknown, outgoing radiative flux (radiosity) at each surface. (Equation 6–40) can be written as

(6–41)

where:

[A] is a full matrix due to the surface to surface coupling represented by the view factors and is a function of temperature due to the possible dependence of surface emissivities on temperature. (Equation 6–41) is solved using a Newton-Raphson procedure for the radiosity flux {qo}.

When the qo values are available, (Equation 6–40) then allows the net flux at each surface to be evaluated. The net flux calculated during each iteration cycle is under-relaxed, before being updated using

(6–42)

where:

φ = radiosity flux relaxation factor
k = iteration number

The net surface fluxes provide boundary conditions to the finite element model for the conduction process. The radiosity (Equation 6–41) is solved coupled with the conduction (Equation 6–11) using a segregated solution procedure until convergence of the radiosity flux and temperature for each time step or load step.

The surface temperatures used in the above computation must be uniform over each surface in order to satisfy conditions of the radiation model. In the finite element model, each surface in the radiation problem corresponds to a face or edge of a finite element. The uniform surface temperatures needed for use in (Equation 6–41) are obtained by averaging the nodal point temperatures on the appropriate element face.

For open enclosure problems using the radiosity method, an ambient temperature needs to be specified using a space temperature (SPCTEMP command) or a space node (SPCNOD command), to account for energy balance between the radiating surfaces and the ambient.

6.5.1. View Factor Calculation - Hemicube Method

For solution of radiation problems in 3-D, the radiosity method calculates the view factors using the hemicube method as compared to the traditional double area integration method for 3-D geometry. Details using the Hemicube method for view factor calculation are given in Glass(272) and Cohen and Greenberg(276).

The hemicube method is based upon Nusselt's hemisphere analogy. Nusselt's analogy shows that any surface, which covers the same area on the hemisphere, has the same view factor. From this it is evident that any intermediate surface geometry can be used without changing the value of the view factors. In the hemicube method, instead of projecting onto a sphere, an imaginary cube is constructed around the center of the receiving patch. A patch in a finite element model corresponds to an element face of a radiating surface in an enclosure. The environment is transformed to set the center of the patch at the origin with the normal to the patch coinciding with the positive Z axis. In this orientation, the imaginary cube is the upper half of the surface of a cube, the lower half being below the 'horizon' of the patch. One full face is facing in the Z direction and four half faces are facing in the +X, -X, +Y, and -Y directions. These faces are divided into square 'pixels' at a given resolution, and the environment is then projected onto the five planar surfaces. Figure 6.5: "The Hemicube" shows the hemicube discretized over a receiving patch from the environment.

Figure 6.5 The Hemicube

Figure 6.6 Derivation of Delta-View Factors for Hemicube Method

The contribution of each pixel on the cube's surface to the form-factor value varies and is dependent on the pixel location and orientation as shown in Figure 6.6: "Derivation of Delta-View Factors for Hemicube Method ". A specific delta form-factor value for each pixel on the cube is found from modified form of (Equation 6–14) for the differential area to differential area form-factor. If two patches project on the same pixel on the cube, a depth determination is made as to which patch is seen in that particular direction by comparing distances to each patch and selecting the nearer one. After determining which patch (j) is visible at each pixel on the hemicube, a summation of the delta form-factors for each pixel occupied by patch (j) determines the form-factor from patch (i) at the center of the cube to patch (j). This summation is performed for each patch (j) and a complete row of N form-factors is found.

At this point the hemicube is positioned around the center of another patch and the process is repeated for each patch in the environment. The result is a complete set of form-factors for complex environments containing occluded surfaces. The overall view factor for each surface on the hemicube is given by:

(6–43)

where:

N = number of pixels
ΔF = delta-view factor for each pixel

The hemicube resolution (input on the HEMIOPT command) determines the accuracy of the view factor calculation and the speed at which they are calculated using the hemicube method. Default is set to 10. Higher values increase accuracy of the view factor calculation.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.4. Radiation Matrix Method 		Up / Home Next
Chapter 7. Fluid Flow


Chapter 7. Fluid Flow

This chapter discusses the FLOTRAN solution method used with elements FLUID141 and FLUID142. These elements are used for the calculation of 2-D and 3-D velocity and pressure distributions in a single phase, Newtonian fluid. Thermal effects, if present, can be modeled as well.

The following fluid flow topics are available:

  • Fluid Flow Fundamentals
  • Derivation of Fluid Flow Matrices
  • Volume of Fluid Method for Free Surface Flows
  • Fluid Solvers
  • Overall Convergence and Stability
  • Fluid Properties
  • Derived Quantities
  • Squeeze Film Theory
  • Slide Film Theory

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
6.5. Radiosity Solution Method 		Up / Home Next
7.1. Fluid Flow Fundamentals


7.1. Fluid Flow Fundamentals

The fluid flow problem is defined by the laws of conservation of mass, momentum, and energy. These laws are expressed in terms of partial differential equations which are discretized with a finite element based technique.

Assumptions about the fluid and the analysis are as follows:

  1. There is only one phase.

  2. The user must determine: (a) if the problem is laminar (default) or turbulent; (b) if the incompressible (default) or the compressible algorithm must be invoked.

7.1.1. Continuity Equation

From the law of conservation of mass law comes the continuity equation:

(7–1)

where:

vx, vy and vz = components of the velocity vector in the x, y and z directions, respectively
ρ = density (see Density)
x, y, z = global Cartesian coordinates
t = time

The rate of change of density can be replaced by the rate of change of pressure and the rate at which density changes with pressure:

(7–2)

where:

P = pressure

The evaluation of the derivative of the density with respect to pressure comes from the equation of state. If the compressible algorithm is used, an ideal gas is assumed:

(7–3)

where:

R = gas constant
T = temperature

If the incompressible solution algorithm is used (the default), the user can control the specification of the value with:

(7–4)

where:

β = bulk modulus (input on the FLDATA16 command)

The default value of 1015 for β implies that for a perfectly incompressible fluid, pressure waves will travel infinitely fast throughout the entire problem domain, e.g. a change in mass flow will be seen downstream immediately .

7.1.2. Momentum Equation

In a Newtonian fluid, the relationship between the stress and rate of deformation of the fluid (in index notation) is:

(7–5)

where:

tij = stress tensor
ui = orthogonal velocities (u1 = vx, u2 = vy, u3 = vz)
μ = dynamic viscosity
λ = second coefficient of viscosity

The final term, the product of the second coefficient of viscosity and the divergence of the velocity, is zero for a constant density fluid and is considered small enough to neglect in a compressible fluid.

(Equation 7–5) transforms the momentum equations to the Navier-Stokes equations; however, these will still be referred to as the momentum equations elsewhere in this chapter.

The momentum equations, without further assumptions regarding the properties, are as follows:

(7–6)

(7–7)

(7–8)

where:

gx, gy, gz = components of acceleration due to gravity (input on ACEL command)
ρ = density (input as described in Fluid Properties)
μe = effective viscosity (discussed below)
Rx, Ry, Rz = distributed resistances (discussed below)
Tx, Ty, Tz = viscous loss terms (discussed below)

For a laminar case, the effective viscosity is merely the dynamic viscosity, a fluid property (input as described in Fluid Properties). The effective viscosity for the turbulence model is described later in this section.

The terms Rx, Ry Rz represent any source terms the user may wish to add. An example is distributed resistance, used to model the effect of some geometric feature without modeling its geometry. Examples of this include flow through screens and porous media.

The terms Tx, Ty Tz are viscous loss terms which are eliminated in the incompressible, constant property case. The order of the differentiation is reversed in each term, reducing the term to a derivative of the continuity equation, which is zero.

(7–9)

(7–10)

(7–11)

The conservation of energy can be expressed in terms of the stagnation (total) temperature, often useful in highly compressible flows, or the static temperature, appropriate for low speed incompressible analyses.

7.1.3. Compressible Energy Equation

The complete energy equation is solved in the compressible case with heat transfer (using the FLDATA1 command).

In terms of the total (or stagnation) temperature, the energy equation is:

(7–12)

where:

Cp = specific heat (input with FLDATA8 command for fluid, MP command for non-fluid element)
To = total (or stagnation) temperature (input and output as TTOT)
K = thermal conductivity (input with FLDATA8 command for fluid, MP command for non-fluid element)
Wv = viscous work term
Qv = volumetric heat source (input with BFE or BF command)
Φ = viscous heat generation term
Ek = kinetic energy (defined later)

The static temperature is calculated from the total temperature from the kinetic energy:

(7–13)

where:

T = static temperature (output as TEMP)
v = magnitude of the fluid velocity vector

The static and total temperatures for the non-fluid nodes will be the same.

The Wv, Ek and Φ terms are described next.

The viscous work term using tensor notation is:

(7–14)

where the repetition of a subscript implies a summation over the three orthogonal directions.

The kinetic energy term is

(7–15)

Finally, the viscous dissipation term in tensor notation is

(7–16)

In the absence of heat transfer (i.e., the adiabatic compressible case), (Equation 7–13) is used to calculate the static temperature from the total temperature specified (with the FLDATA14 command).

7.1.4. Incompressible Energy Equation

The energy equation for the incompressible case may be derived from the one for the compressible case by neglecting the viscous work (Wv), the pressure work, viscous dissipation (f), and the kinetic energy (Ek). As the kinetic energy is neglected, the static temperature (T) and the total temperature (To) are the same. The energy equation now takes the form of a thermal transport equation for the static temperature:

(7–17)

7.1.5. Turbulence

If inertial effects are great enough with respect to viscous effects, the flow may be turbulent. The user is responsible for deciding whether or not the flow is turbulent (using the FLDATA1 command). Turbulence means that the instantaneous velocity is fluctuating at every point in the flow field. The velocity is thus expressed in terms of a mean value and a fluctuating component:

(7–18)

where:

= mean component of velocity in x-direction
= fluctuating component of velocity in x-direction

If an expression such as this is used for the instantaneous velocity in the Navier-Stokes equations, the equations may then be time averaged, noting that the time average of the fluctuating component is zero, and the time average of the instantaneous value is the average value. The time interval for the integration is arbitrarily chosen as long enough for this to be true and short enough so that “real time” transient effects do not affect this integration.

(7–19)

After the substitution of (Equation 7–18) into the momentum equations, the time averaging leads to additional terms. The velocities in the momentum equations are the averaged ones, and we drop the bar in the subsequent expression of the momentum equations, so that the absence of a bar now means the mean value. The extra terms are:

(7–20)

(7–21)

(7–22)

where:

σR = Reynolds stress terms

In the eddy viscosity approach to turbulence modeling one puts these terms into the form of a viscous stress term with an unknown coefficient, the turbulent viscosity. For example:

(7–23)

The main advantage of this strategy comes from the observation that the representation of σR is of exactly the same form as that of the diffusion terms in the original equations. The two terms can be combined if an effective viscosity is defined as the sum of the laminar viscosity and the turbulent viscosity:

(7–24)

The solution to the turbulence problem then revolves around the solution of the turbulent viscosity.

Note that neither the Reynolds stress nor turbulent heat flux terms contain a fluctuating density because of the application of Favre averaging to (Equation 7–20) to (Equation 7–22). Bilger(187) gives an excellent description of Favre averaging. Basically this technique weights each term by the mean density to create a Favre averaged value for variable φ which does not contain a fluctuating density:

(7–25)

The tilde indicates the Favre averaged variable. For brevity, reference is made to Bilger(187) for further details.

There are eight turbulence models available in FLOTRAN (selected with the FLDATA24 command). The model acronyms and names are as follows:

  • Standard k-ε Model

  • Zero Equation Model

  • RNG - (Re-normalized Group Model)

  • NKE - (New k-ε Model due to Shih)

  • GIR - (Model due to Girimaji)

  • SZL - (Shi, Zhu, Lumley Model)

  • Standard k-ω Model

  • SST - (Shear Stress Transport Model)

The simplest model is the Zero Equation Model, and the other five models are the two equation standard k-ε model and four extensions of it. The final two models are the Standard k-ω Model and SST model. In the Zero Equation Model, the turbulent viscosity is calculated as:

(7–26)

where:

μt = turbulent viscosity
Φ = viscous dissipation ((Equation 7–16))
Lx = length scale (input on FLDATA24 command)
Ln = shortest distance from the node to the closest wall
Lc = characteristic length scale (largest value of Ln encountered)

In the k-ε model and its extensions, the turbulent viscosity is calculated as a function of the turbulence parameters kinetic energy k and its dissipation rate ε using (Equation 7–27). In the RNG and standard models, Cμ is constant, while it varies in the other models.

(7–27)

where:

Cμ = turbulence constant (input on FLDATA24 command)
k = turbulent kinetic energy (input/output as ENKE)
ε = turbulent kinetic energy dissipation rate (input/output as ENDS)

In the k-ω model and SST model, the turbulent viscosity is calculated as:

(7–28)

Here ω is defined as:

(7–29)

where:

ω = specific dissipation rate

The k-ε model and its extensions entail solving partial differential equations for turbulent kinetic energy and its dissipation rate whereas the k-ω and SST models entail solving partial differential equations for the turbulent kinetic energy and the specific dissipation rate. The equations below are for the standard k-ε model. The different calculations for the other k-ε models will be discussed in turn. The basic equations are as follows:

7.1.5.1. Standard k-epsilon Model

The reader is referred to Spalding and Launder(178) for details.

The Turbulent Kinetic Energy equation is:

(7–30)

The Dissipation Rate equation is:

(7–31)

The final term in each equation are terms used to model the effect of buoyancy and are described by Viollet(177). Default values for the various constants in the standard model are provided by Lauder and Spalding(178) and are given in Table 7.1: "Standard Model Coefficients".

Table 7.1 Standard Model Coefficients

Value | Default | Command
C1, C1ε | 1.44 | (FLDATA24,TURB,C1,Value)
C2 | 1.92 | (FLDATA24,TURB,C2,Value)
Cμ | 0.09 | (FLDATA24,TURB,CMU,Value)
σk | 1.0 | (FLDATA24,TURB,SCTK,Value)
σε | 1.3 | (FLDATA24,TURB,SCTD,Value)
σt | 0.85 | (FLDATA24,TURB,SCTT,Value)
C3 | 1.0 | (FLDATA24,TURB,BUC3,Value)
C4 | 0.0 | (FLDATA24,TURB,BUC4,Value)
β | 0.0 | (FLDATA24,TURB,BETA,Value)

The solution to the turbulence equations is used to calculate the effective viscosity and the effective thermal conductivity:

(7–32)

(7–33)

where:

μe = effective viscosity
Ke = effective conductivity
σt = Turbulent Prandtl (Schmidt) Number

The four extensions to the standard k-ε model have changes in either the Cμ term or in the source term of the dissipation equation. The new functions utilize two invariants constructed from the symmetric deformation tensor Sij, and the antisymmetric rotation tensor Wij. These are based on the velocity components vk in the flow field.

(7–34)

(7–35)

where:

Cr = constant depending on turbulence model used
Ωm = angular velocity of the coordinate system
εmij = alternating tensor operator

The invariants are:

(7–36)

and

(7–37)

7.1.5.2. RNG Turbulence Model

In the RNG model, the constant C1ε in the dissipation (Equation 7–31), is replaced by a function of one of the invariants.

(7–38)

Table 7.2 RNG Model Coefficients

Value | Default | Command
β | 0.12 | (FLDATA24A,RNGT,BETA,Value)
C2 | 1.68 | (FLDATA24A,RNGT,C2,Value)
Cμ | 0.085 | (FLDATA24A,RNGT,CMU,Value)
σk | 0.72 | (FLDATA24A,RNGT,SCTK,Value)
σε | 0.72 | (FLDATA24A,RNGT,SCTD,Value)
η | 4.38 | (FLDATA24A,RNGT,ETAI,Value)

In the RNG model a constant Cμ is used. The value is specified with a separate command than the one used to specify the Cμ in the standard model. The same is true of the constant C2. As shown in the above table, the diffusion multipliers have different values than the default model, and these parameters also have their own commands for the RNG model. The value of the rotational constant Cr in the RNG model is 0.0. Quantities in (Equation 7–31) not specified in Table 7.2: "RNG Model Coefficients" are covered by Table 7.1: "Standard Model Coefficients".

7.1.5.3. NKE Turbulence Model

The NKE Turbulence model uses both a variable Cμ term and a new dissipation source term.

The Cμ function used by the NKE model is a function of the invariants.

(7–39)

The production term for dissipation takes on a different form. From (Equation 7–31), the production term for the standard model is:

(7–40)

The NKE model replaces this with:

(7–41)

The constant in the dissipation rate (Equation 7–31) is modified in the NKE model to be:

(7–42)

The constant C2 in the dissipation (Equation 7–31) of the NKE model has a different value than that for the corresponding term in the standard model. Also, the values for the diffusion multipliers are different. Commands are provided for these variables to distinguish them from the standard model parameters. So for the NKE model, the input parameters are as follows:

Table 7.3 NKE Turbulence Model Coefficients

Value | Default | Command
C1M | 0.43 | (FLDATA24B,NKET,C1MX,Value)
C2 | 1.90 | (FLDATA24B,NKET,C2,Value)
σk | 1.0 | (FLDATA24B,NKET,SCTK,Value)
σε | 1.2 | (FLDATA24B,NKET,SCTD,Value)

The value of the rotational constant Cr in the NKE model is 3.0. All parameters in (Equation 7–30) and (Equation 7–31) not covered by this table are covered in Table 7.1: "Standard Model Coefficients"

7.1.5.4. GIR Turbulence Model

The Girimaji model relies on a complex function for the calculation of the Cμ coefficient. The coefficients in Table 7.4: "GIR Turbulence Model Coefficients" are used.

Table 7.4 GIR Turbulence Model Coefficients

Value | Default | Command
 | 3.6 | (FLDATA24C,GIRT,G0,Value)
 | 0.0 | (FLDATA24C,GIRT,G1,Value)
C2 | 0.8 | (FLDATA24C,GIRT,G2,Value)
C3 | 1.94 | (FLDATA24C,GIRT,G3,Value)
C4 | 1.16 | (FLDATA24C,GIRT,G4,Value)

These input values are used in a series of calculations as follows

First of all, the coefficients [image] to L4 have to be determined from the input coefficients. Note, these coefficients are also needed for the coefficients of the nonlinear terms of this model, which will be discussed later.

(7–43)

Secondly, the following coefficients have to be calculated:

(7–44)

With these coefficients we can now determine the coefficient Cμ from the following set of equations:

(7–45)

and for the GIR model, the rotational term constant Cr is

(7–46)

7.1.5.5. SZL Turbulence Model

The Shi-Zhu-Lemley turbulence model uses a simple expression for the Cμ coefficient and uses the standard dissipation source terms.

The user controls three constants in the calculation of the coefficients:

(7–47)

The constants and their defaults are as follows:

Table 7.5 SZL Turbulence Model Coefficients

Value | Default | Command
As1 | 0.66666 | (FLDATA24D,SZLT,SZL1,Value)
As2 | 1.25 | (FLDATA24D,SZLT,SZL2,Value)
As3 | 0.90 | (FLDATA24D,SZLT,SZL3,Value)

The value of the rotational constant Cr for the SZL model is 4.0.

7.1.5.6. Standard k-omega Model

The k-ω model solves for the turbulent kinetic energy k and the specific dissipation rate ω (Wilcox(349)). As in the k-ε based turbulence models, the quantity k represents the exact kinetic energy of turbulence. The other quantity ω represents the ratio of the turbulent dissipation rate ε to the turbulent kinetic energy k, i.e., is the rate of dissipation of turbulence per unit energy (see (Equation 7–29)).

The turbulent kinetic energy equation is:

(7–48)

The specific dissipation rate equation is:

(7–49)

The final term in (Equation 7–48) and (Equation 7–49) is derived from the standard k-ε model to model the effect of buoyancy. Default values for the model constants in the k-ω model are provided by Wilcox(349). Some values are the same with the standard k-ε model and are thus given in Table 7.1: "Standard Model Coefficients", whereas the other values are given in Table 7.6: "The k-ω Model Coefficients".

Table 7.6 The k-ω Model Coefficients

Value | Default | Command
σk | 2.0 | (FLDATA24E,SKWT,SCTK,Value)
σω | 2.0 | (FLDATA24E,SKWT,SCTW,Value)
γ | 0.5555 | (FLDATA24E,SKWT,BUC3,Value)
 | 0.075 | (FLDATA24E,SKWT,BETA,Value)

The k-ω model has the advantage near the walls to predict the turbulence length scale accurately in the presence of adverse pressure gradient, but it suffers from strong sensitivity to the free-stream turbulence levels. Its deficiency away from the walls can be overcome by switching to the k-ε model away from the walls with the use of the SST model.

7.1.5.7. SST Turbulence Model

The SST turbulence model combines advantages of both the standard k-ε model and the k-ω model. As compared to the turbulence equations in the k-ω model, the SST model first modifies the turbulence production term in the turbulent kinetic energy equation. From (Equation 7–48), the production term from the k-ω model is:

(7–50)

The SST model replaces it with:

(7–51)

By default, the limiting value of Clmt is set to 1015, so (Equation 7–51) is essentially the same with (Equation 7–50). However, (Equation 7–51) allows the SST model to eliminate the excessive build-up of turbulence in stagnation regions for some flow problems with the use of a moderate value of Clmt.

Further, the SST model adds a new dissipation source term in the specific dissipation rate equation:

(7–52)

Here, F1 is a blending function that is one near the wall surface and zero far away from the wall. The expression of the bending function F1 is given by Menter(350), and with the help of F1, the SST model automatically switches to the k-ω model in the near region and the k-ε model away from the walls. The model coefficients are all calculated as functions of F1:

(7–53)

Here, φ stands for the model coefficient (σk, σω, [image], γ) of the SST model, and φ1 and φ2 stand for the model coefficient of the k-ω model and the k-ε model respectively. Default values for the various constants in the SST model are provided by Menter(350), and are given in Table 7.7: "The SST Model Coefficients".

Table 7.7 The SST Model Coefficients

Value | Default | Command
Clmt | 1015 | (FLDATA24F,SST1,CLMT,Value)
σk1 | 1.176 | (FLDATA24G,SST1,SCTK,Value)
σω1 | 2.0 | (FLDATA24G,SST1,SCTW,Value)
γ1 | 0.5532 | (FLDATA24G,SST1,GAMA,Value)
 | 0.075 | (FLDATA24G,SST1,BETA,Value)
σk2 | 1.0 | (FLDATA24H,SST2,SCTK,Value)
σω2 | 1.168 | (FLDATA24H,SST2,SCTW,Value)
γ2 | 0.4403 | (FLDATA24H,SST2,GAMA,Value)
 | 0.0828 | (FLDATA24EH,SST2,BETA,Value)

7.1.5.8. Near-Wall Treatment

All of the above turbulence models except the Zero Equation Model use the near-wall treatment discussed here. The near-wall treatment for the k-ω model and SST model are slightly different from the following discussions. Refer to Wilcox (349) and Menter (350) for differences for those two models.

The k-ε models are not valid immediately adjacent to the walls. A wall turbulence model is used for the wall elements. Given the current value of the velocity parallel to the wall at a certain distance from the wall, an approximate iterative solution is obtained for the wall shear stress. The equation is known as the “Log-Law of the Wall” and is discussed in White(181) and Launder and Spalding(178).

(7–54)

where:

vtan = velocity parallel to the wall
τ = shear stress
ν = kinematic viscosity (m/r)
κ = slope parameter of law of the wall (FLDATA24,TURB,KAPP,Value)
E = law of the wall constant (FLDATA24,TURB,EWLL,Value)
δ = distance from the wall

The default values of κ and E are 0.4 and 9.0 respectively, the latter corresponding to a smooth wall condition.

From the shear stress comes the calculation of a viscosity:

(7–55)

The wall element viscosity value is the larger of the laminar viscosity and that calculated from (Equation 7–55).

Near wall values of the turbulent kinetic energy are obtained from the k-ε model. The near wall value of the dissipation rate is dominated by the length scale and is given by (Equation 7–56).

(7–56)

where:

εnw = near wall dissipation rate
knw = near wall kinetic energy

The user may elect to use an alternative wall formulation (accessed with the FLDATA24,TURB,WALL,EQLB command) directly based on the equality of turbulence production and dissipation. This condition leads to the following expression for the wall parameter y+ (see White(181) for more background):

(7–57)

The wall element effective viscosity and thermal conductivity are then based directly on the value of y+. The laminar sublayer extends to [image] (input on the FLDATA24,TURB,TRAN command) with the default being 11.5.

For y+ < [image]:

(7–58)

For y+ [image] [image]:

(7–59)

(7–60)

where:

n = natural logarithm
Pr = Prandtl number

Although the wall treatment should not affect the laminar solution, the shear stress calculation is part of the wall algorithm. Thus, shear stresses from the equilibrium model will differ slightly from those obtained from the default treatment, as described in (Equation 7–54) thru (Equation 7–56).

7.1.6. Pressure

For numerical accuracy reasons, the algorithm solves for a relative pressure rather than an absolute pressure.

Considering the possibility that the equations are solved in a rotating coordinate system, the defining expression for the relative pressure is:

(7–61)

where:

ρo = reference density (calculated from the equation of state defined by the property type using the nominal temperature (input using FLDATA14 command))
Pref = reference pressure (input using FLDATA15 command)
{g} = acceleration vector due to gravity (input using ACEL command)
Pabs = absolute pressure
Prel = relative pressure
{r} = position vector of the fluid particle with respect to the rotating coordinate system
{ω} = constant angular velocity vector of the coordinate system (input using CGOMGA command)

Combining the momentum equations ((Equation 7–6) through (Equation 7–8)) into vector form and again considering a rotating coordinate system, the result is:

(7–62)

where:

{v} = vector velocity in the rotating coordinate system
μ = fluid viscosity (assumed constant for simplicity)
ρ = fluid density

In the absence of rotation, {v} is simply the velocity vector in the global coordinate system.

The negative of the gradient of the absolute pressure is:

(7–63)

Inserting this expression into the vector form of the momentum equation puts it in terms of the relative pressure and the density differences.

(7–64)

This form has the desirable feature (from a numerical precision standpoint) of expressing the forcing function due to gravity and the centrifugal acceleration in terms of density differences.

For convenience, the relative pressure output is that measured in the stationary global coordinate system. That is, the rotational terms are subtracted from the pressure calculated by the algorithm.

Conversely, the total pressure is output in terms of the rotating coordinate system frame. This is done for the convenience of those working in turbomachinery applications.

7.1.7. Multiple Species Transport

Several different fluids, each with different properties, are tracked if the multiple species option is invoked (with the FLDATA1 command).

A single momentum equation is solved for the flow field. The properties for this equation are calculated from those of the species fluids and their respective mass fractions if the user specifies the composite gas option (FLDATA7,PROT,DENS,CGAS) for density or the composite mixture option (FLDATA7,PROT,DENS,CMIX). CGAS only applies for density, but CMIX applies to density, viscosity or conductivity. If these options are not invoked, the species fluids are carried by a bulk fluid, with the momentum equation solved with properties of a single fluid.

The governing equations for species transport are the mass balance equations for each of the species.

For i = 1, . . . , n-1 (where n is the number of species)

(7–65)

where:

Yi = mass fraction for the ith species
ρ = bulk density (mass/length3)
v = velocity vector (length/time)
Dmi = mass diffusion coefficient (length2/time) (input on MSPROP command)

The equation for the nth species, selected by the user as the “algebraic species”, is not solved directly. The mass fraction for the nth species is calculated at each node from the identity:

(7–66)

The diffusion information available for the species fluid is sometimes cast in terms of a Schmidt number for a species (not to be confused with the turbulent Schmidt number). The relationship between the Schmidt number and the mass diffusion coefficient is as follows:

(7–67)

In the above expression, the density and the viscosity are those of the bulk carrier fluid, or the “average” properties of the flow.

As with the general “bulk” momentum equation, the effect of turbulence is to increase the diffusion and is modeled with an eddy viscosity approach. First note that the laminar diffusion term can be cast in terms of the “laminar” Schmidt number associated with the species diffusion:

(7–68)

In the presence of turbulence, an additional term is added:

(7–69)

where:

μt = turbulent viscosity (from the turbulence model)
ScTi = turbulent Schmidt number (input on MSSPEC command)

7.1.8. Arbitrary Lagrangian-Eulerian (ALE) Formulation

The equations of motion described in the previous sections were based on an Eulerian (fixed) frame of reference. The governing equations may also be formulated in a Lagrangian frame of reference, i.e. the reference frame moves with the fluid particles. Both formulations have their advantages and disadvantages. With the Eulerian framework it is not straightforward to solve problems involving moving boundaries or deforming domains. While such problems are more suitable for a Lagrangian framework, in practice the mesh distortions can be quite severe leading to mesh entanglement and other inaccuracies. A pragmatic way around this problem is to move the mesh independent of the fluid particles in such a way as to minimize the distortions. This is the ALE formulation which involves moving the mesh nodal points in some heuristic fashion so as to track the boundary motion/domain deformation and at the same time minimizing the mesh degradation.

The Eulerian equations of motion described in the previous sections need to be modified to reflect the moving frame of reference. Essentially the time derivative terms need to be rewritten in terms of the moving frame of reference.

(7–70)

where:

φ = any degree of freedom
= velocity of the moving frame of reference

For example, (Equation 7–65) is rewritten as:

(7–71)

A complete and detailed description of the ALE formulation may be found in Huerta and Liu(278).

Note that a steady state solution in an Eulerian sense requires,

(7–72)

In order to have the same interpretation of a steady solution in an ALE formulation we require that,

(7–73)

In practice, this can be achieved for the following two cases:

(7–74)

(7–75)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 7. Fluid Flow 		Up / Home Next
7.2. Derivation of Fluid Flow Matrices


7.2. Derivation of Fluid Flow Matrices

A segregated, sequential solution algorithm is used. This means that element matrices are formed, assembled and the resulting system solved for each degree of freedom separately. Development of the matrices proceeds in two parts. In the first, the form of the equations is achieved and an approach taken towards evaluating all the terms. Next, the segregated solution algorithm is outlined and the element matrices are developed from the equations.

7.2.1. Discretization of Equations

The momentum, energy, species transport, and turbulence equations all have the form of a scalar transport equation. There are four types of terms: transient, advection, diffusion, and source. For the purposes of describing the discretization methods, let us refer to the variable considered as φ. The form of the scalar transport equation is:

(7–76)

where:

Cφ = transient and advection coefficient
Γφ = diffusion coefficient
Sφ = source terms

Table 7.8: "Transport Equation Representation" below shows what the variables, coefficients, and source terms are for the transport equations. The pressure equation is derived using the continuity equation. Its form will unfold during the discussion of the segregated solver. The terms are defined in the previous section.

Since the approach is the same for each equation, only the generic transport equation need be treated. Each of the four types of terms will be outlined in turn. Since the complete derivation of the discretization method would require too much space, the methods will be outlined and the reader referred to more detailed expositions on the subjects.

Table 7.8 Transport Equation Representation

φ | Meaning | DOF | Cφ | Γφ | Sφ
vx | x-velocity | VX | 1 | μe |
vy | y-velocity | VY | 1 | μe |
vz | z-velocity | VZ | 1 | μe |
T | temperature | TEMP | Cp | K |
k | kinematic energy | ENKE | 1 | μt/σk |
ε | dissipation rate | ENDS | 1 | μt/σε |
Yi | species mass fraction | SP01-06 | 1 | ρ Dmi | 0

The discretization process, therefore, consists of deriving the element matrices to put together the matrix equation:

(7–77)

Galerkin's method of weighted residuals is used to form the element integrals. Denote by We the weighting function for the element, which is also the shape function.

7.2.2. Transient Term

The first of the element matrix contributions is from the transient term. The general form is simply:

(7–78)

For node i:

(7–79)

Subscripts i and j indicate the node number. If the second part in (Equation 7–79) is neglected, the consistent mass matrix can be expressed as:

(7–80)

If a lumped mass approximation is used (accessed with the FLDATA38 command for fluid, and the MSMASS command for multiple species).

(7–81)

where:

δij = Kronecker delta (0 if i ≠ j, 1 if i = j)

There are two time integration methods available (selected on the FLDATA4 command): Newmark and backward difference. If the Newmark time integration method is selected, the following nodal basis implicit formulation is used. The current time step is the nth time step and the expression involves the previous one time step results.

(7–82)

where:

δ = time integration coefficient for the Newmark method (input on the FLDATA4 command).

(Equation 7–82) can be rewritten as:

(7–83)

If the backward difference method is selected, the following nodal basis implicit formulation is used. The current time step is the nth time step and the expression involves the previous two time step results.

(7–84)

For a Volume of Fluid (VOF) analysis, the above equation is modified as only the results at one previous time step are needed:

(7–85)

The above first-order time difference scheme is chosen to be consistent with the current VOF advection algorithm.

The nth time step produces a contribution to the diagonal of the element matrix, while the derivatives from the previous time step form contributions to the source term.

7.2.3. Advection Term

Currently FLOTRAN has three approaches to discretize the advection term. The monotone streamline upwind (MSU) approach is first order accurate and tends to produce smooth and monotone solutions. The streamline upwind/Petro-Galerkin (SUPG) and the collocated Galerkin (COLG) approaches are second order accurate and tend to produce oscillatory solutions.

7.2.4. Monotone Streamline Upwind Approach (MSU)

The advection term is handled through a monotone streamline approach based on the idea that pure advection transport is along characteristic lines. It is useful to think of the advection transport formulation in terms of a quantity being transported in a known velocity field. See Figure 7.1: "Streamline Upwind Approach".

Figure 7.1 Streamline Upwind Approach

The velocity field itself can be envisioned as a set of streamlines everywhere tangent to the velocity vectors. The advection terms can therefore be expressed in terms of the streamline velocities.

In pure advection transport, one assumes that no transfer occurs across characteristic lines, i.e. all transfer occurs along streamlines. Therefore one may assume that the advection term,

(7–86)

when expressed along a streamline, is constant throughout an element:

(7–87)

This formulation is made for every element, each of which will have only one node which gets contributions from inside the element. The derivative is calculated using a simple difference:

(7–88)

where:

D = subscript for value at the downstream node
U = subscript for value taken at the location at which the streamline through the downwind node enters the element
Δs = distance from the upstream point to the downstream node

The value at the upstream location is unknown but can be expressed in terms of the unknown nodal values it is between. See Figure 7.1: "Streamline Upwind Approach" again.

The process consists of cycling through all the elements and identifying the downwind nodes. A calculation is made based on the velocities to see where the streamline through the downwind node came from. Weighting factors are calculated based on the proximity of the upwind location to the neighboring nodes.

Consult Rice and Schnipke(179) for more details .

7.2.5. Streamline Upwind/Petro-Galerkin Approach (SUPG)

The SUPG approach consists of a Galerkin discretization of the advection term and an additional diffusion-like perturbation term which acts only in the advection direction.

(7–89)

where:

C2τ = global coefficient set to 1.0
h = element length along advection direction

It is clear from the SUPG approach that as the mesh is refined, the perturbation terms goes to zero and the Galerkin formulation approaches second order accuracy. The perturbation term provides the necessary stability which is missing in the pure Galerkin discretization. Consult Brooks and Hughes(224) for more details.

7.2.6. Collocated Galerkin Approach (COLG)

The COLG approach uses the same discretization scheme with the SUPG approach with a collocated concept. In this scheme, a second set of velocities, namely, the element-based nodal velocities are introduced. The element-based nodal velocities are made to satisfy the continuity equation, whereas the traditional velocities are made to satisfy the momentum equations.

(7–90)

Where all the parameters are defined similar to those in the SUPG approach.

In this approach, the pressure equation is derived from the element-based nodal velocities, and it is generally asymmetric even for incompressible flow problems. The collocated Galerkin approach is formulated in such a way that, for steady-state incompressible flows, exact conservation is preserved even on coarse meshes upon the convergence of the overall system.

7.2.7. Diffusion Terms

The expression for the diffusion terms comes from an integration over the problem domain after the multiplication by the weighting function.

(7–91)

The x, y and z terms are all treated in similar fashion. Therefore, the illustration is with the term in the x direction. An integration by parts is applied:

(7–92)

Once the derivative of φ is replaced by the nodal values and the derivatives of the weighting function, the nodal values will be removed from the integrals

(7–93)

(7–94)

The diffusion matrix may now be expressed as:

(7–95)

7.2.8. Source Terms

The evaluation of the source terms consists of merely multiplying the source terms as depicted in Figure 7.1: "Streamline Upwind Approach" by the weighting function and integrating over the volume.

(7–96)

7.2.9. Segregated Solution Algorithm

Each degree of freedom is solved in sequential fashion. The equations are coupled, so that each equation is solved with intermediate values of the other degrees of freedom. The process of solving all the equations in turn and then updating the properties is called a global iteration. Before showing the entire global iteration structure, it is necessary to see how each equation is formed.

The preceding section outlined the approach for every equation except the pressure equation, which comes from the segregated velocity-pressure solution algorithm. In this approach, the momentum equation is used to generate an expression for the velocity in terms of the pressure gradient. This is used in the continuity equation after it has been integrated by parts. This nonlinear solution procedure used in FLOTRAN belongs to a general class of Semi-Implicit Method for Pressure Linked Equations (SIMPLE). There are currently two segregated solution algorithms available. One is the original SIMPLEF algorithm, and the other is the enhanced SIMPLEN algorithm.

The incompressible algorithm is a special case of the compressible algorithm. The change in the product of density and velocity from iteration to the next is approximating by considering the changes separately through a linearization process. Denoting by the superscript * values from the previous iteration, in the x direction, for example, results:

(7–97)

The continuity equation becomes:

(7–98)

The transient term in the continuity equation can be expressed in terms of pressure immediately by employing the ideal gas relationship:

(7–99)

The backward differencing process is then applied directly to this term.

Application of Galerkin's method to the remaining terms yields:

(7–100)

There are thus three groups of terms. In the first group, terms with the derivatives of the unknown new velocities must be integrated by parts to remove the derivative. The integration by parts of just these terms becomes:

(7–101)

Illustrating with the x direction, the unknown densities in the second group expressed in terms of the pressures are:

(7–102)

In the third group, the values from the previous iteration are used to evaluate the integrals.

The next step is the derivation of an expression for the velocities in terms of the pressure gradient. When the momentum equations are solved, it is with a previous value of pressure. Write the algebraic expressions of the momentum equations assuming that the coefficient matrices consist of the transient, advection and diffusion contributions as before, and all the source terms are evaluated except the pressure gradient term.

(7–103)

(7–104)

(7–105)

Each of these sets represents a system of N algebraic equations for N unknown velocities. It is possible, after the summation of all the element quantities, to show an expression for each velocity component at each node in terms of the velocities of its neighbors, the source terms which have been evaluated, and the pressure drop. Using the subscript “i” to denote the nodal equation, for i =1 to N, where N is the number of fluid nodes and subscript “j” to denote its neighboring node:

For SIMPLEF algorithm:

(7–106)

(7–107)

(7–108)

For SIMPLEN algorithm:

(7–109)

(7–110)

(7–111)

where for SIMPLEF algorithm:

and or SIMPLEN algorithm:

Here the aij represent the values in the x, y, and z coefficient matrices for the three momentum equations, r is the relaxation factor, and bi is the modified source term taking into effect the relaxation factors.

For the purposes of this expression, the neighboring velocities for each node are considered as being known from the momentum equation solution. At this point, the assumption is made that the pressure gradient is constant over the element, allowing it to be removed from the integral. This means that only the weighting function is left in the integral, allowing a pressure coefficient to be defined in terms of the main diagonal of the momentum equations and the integral of the weighting function:

For SIMPLEF algorithm:

(7–112)

(7–113)

(7–114)

For SIMPLEN algorithm:

(7–115)

(7–116)

(7–117)

Therefore, expressions for unknown nodal velocities have been obtained in terms of the pressure drop and a pressure coefficient.

(7–118)

(7–119)

(7–120)

These expressions are used to replace the unknown velocities in the continuity equation to convert it into a pressure equation. The terms coming from the unknown velocities (replaced with the pressure gradient term) and with the unknown density (expressed in terms of the pressure) contribute to the coefficient matrix of the pressure equation while all the remaining terms will contribute to the forcing function.

The entire pressure equation can be written on an element basis, replacing the pressure gradient by the nodal pressures and the derivatives of the weighting function, putting all the pressure terms on the left hand side and the remaining terms on the right hand side ((Equation 7–121)).

(7–121)

It is in the development of the forcing function that the solution to the momentum equation comes into play: the “hat” velocities contribute to the source term of the pressure equation.

In the incompressible case, the second and fourth lines of the above equation disappear because the linearization defined in (Equation 7–97) is unnecessary. The second line is treated with the same advection routines that are used for the momentum equation.

The final step is the velocity update. After the solution for pressure equation, the known pressures are used to evaluate the pressure gradients. In order to ensure that a velocity field exists which conserves mass, the pressure term is added back into the “hat” velocities:

For SIMPLEF algorithm:

(7–122)

(7–123)

(7–124)

For SIMPLEN algorithm:

(7–125)

(7–126)

(7–127)

The global iterative procedure is summarized below.

  • Formulate and solve [image] equation approximately

  • Formulate and solve [image] equation approximately

  • Formulate and solve [image] equation approximately

  • Formulate pressure equation using [image], [image], and

  • Solve pressure equation for P

  • Update velocities based on [image], [image], [image], and P

  • Formulate and solve energy equation for T

  • Solve species transport equations

  • Update temperature dependent properties

  • Solve turbulence equations for k and ε

  • Update effective properties based on turbulence solution

  • Check rate of change of the solution (convergence monitors)

  • End of global iteration

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.1. Fluid Flow Fundamentals 		Up / Home Next
7.3. Volume of Fluid Method for Free Surface Flows


7.3. Volume of Fluid Method for Free Surface Flows

7.3.1. Overview

A free surface refers to an interface between a gas and a liquid where the difference in the densities between the two is quite large. Due to a low density, the inertia of the gas is usually negligible, so the only influence of the gas is the pressure acted on the interface. Hence, the region of gas need not be modeled, and the free surface is simply modeled as a boundary with constant pressure.

The volume of fluid (VOF) method (activated with the FLDATA1 command) determines the shape and location of free surface based on the concept of a fractional volume of fluid. A unity value of the volume fraction (VFRC) corresponds to a full element occupied by the fluid (or liquid), and a zero value indicates an empty element containing no fluid (or gas). The VFRC value between zero and one indicates that the corresponding element is the partial (or surface) element. In general, the evolution of the free surface is computed either through a VOF advection algorithm or through the following equation:

(7–128)

where:

F = volume fraction (or VFRC)

In order to study complex flow problems, an original VOF algorithm has been developed that is applicable to the unstructured mesh.

7.3.2. CLEAR-VOF Advection

Here, CLEAR stands for Computational Lagrangian-Eulerian Advection Remap. This algorithm takes a new approach to compute the fluxes of fluid originating from a home element towards each of its immediate neighboring elements. Here, these fluxes are referred to as the VFRC fluxes. The idea behind the computation of the VFRC fluxes is to move the fluid portion of an element in a Lagrangian sense, and compute how much of the fluid remains in the home element, and how much of it passes into each of its neighboring elements. This process is illustrated in Figure 7.2: "Typical Advection Step in CLEAR-VOF Algorithm"(a-d).

Figure 7.2 Typical Advection Step in CLEAR-VOF Algorithm

First, the fluid portion inside each non-empty element is used to define a polygon in that element as shown in Figure 7.2: "Typical Advection Step in CLEAR-VOF Algorithm"(a). If the element is full, the polygon of fluid coincides with the element. The vertices of this polygon are material points in the fluid flow. Each material point undergoes a Lagrangian displacement (ξ, η) which define the velocity components (vx, vy):

(7–129)

(7–130)

After the velocity field is obtained through the normal FLOTRAN solution procedure, the (Equation 7–129) and (Equation 7–130) can be used to compute the Lagrangian displacements:

(7–131)

(7–132)

After the computation of the displacements for each vertex of the polygon, the new locations of these vertices can be obtained, as shown in Figure 7.2: "Typical Advection Step in CLEAR-VOF Algorithm"(b). A portion of the new polygon of fluid will remains inside of the home element (Sii), and several other parts will cross into the neighboring elements (Sij, Sil and Sim) as illustrated in Figure 7.2: "Typical Advection Step in CLEAR-VOF Algorithm"(c). The exact amount of fluid volume portions belonging to each element is determined by an algorithm for intersection of the advected polygon and the home element (or its immediate neighboring elements) with theoretical basis in computational geometry. For efficiency, algorithms are developed to compute the intersection of two convex polygons. The assumption of convexity holds by the grid generation characteristics for quadrilateral 2-D elements, and the advected polygons of fluid are maintained to convex shape through an automatic procedure for selecting the time step. In summary, this algorithm uses the following geometric calculations:

  • Computation of the polygon area

  • Relative location of a point with respect to a line segment

  • Intersection of two line segments

  • Relative location of a point with respect to a polygon

  • Intersection of the two polygons

With the above geometric tools available, we can proceed to compute exactly how much of the advected fluid is still in the home element, and how much of it is located in the immediate neighboring elements. At this moment, a local conservation of the volume (or area) is checked, by comparing the volume of fluid in the initial polygon and the sum of all VFRC fluxes originating from the home element. A systematic error will occur if the time step is too large, where either the immediate neighbors of the home element fail to cover all the elements touched by the advected polygon, or the advected polygon lose the convexity. In either case, the time increment for VOF advection will be automatically reduced by half. This automatic reduction will continue until the local balance of volume is preserved.

After the advected polygons of fluid from all non-empty elements have been redistributed locally in the Eulerian fixed mesh, a sweep through all elements is necessary to update the volume fraction field. The new volume of fluid in each home element can be obtained by the sum of all VFRC fluxes originating from itself (Sii) and its immediate neighboring elements (Spi, Sqi and Ski), and the new volume fraction can simply obtained by dividing this sum by the volume of this home element as illustrated in Figure 7.2: "Typical Advection Step in CLEAR-VOF Algorithm"(d).

7.3.3. CLEAR-VOF Reconstruction

In order to continue the VOF advection in the next time step, the new volume fraction is needed to reconstruct the new polygon of fluid in each non-empty element. In the present implementation, a piecewise linear reconstruction method is used where the interface is reconstructed as a line segment inside each partial element. Since the polygon of fluid coincides with the home element for every full element, there is no need for interface reconstruction for full elements. This process is illustrated in Figure 7.3: "Types of VFRC Boundary Conditions".

In order to combine the unstructured mesh capability of the CLEAR-VOF with a piecewise linear method, the following procedure has been adopted for the interface reconstruction:

  • Store the local distribution of updated volume fraction field and mesh geometry. Here, local means the home element and its immediate neighbors.

  • Compute the unit normal vector [image] to the interface line inside the home element as the unit gradient vector of the volume fraction field in its neighborhood

  • The equation of line in the home element is g( [image]) = [image] [image] [image] + c = 0. Once the unit vector [image] is found, the constant c is computed by requiring the volume fraction of the polygon of fluid delimited by the corresponding line interface to be equal to the given volume fraction for the home element.

  • When a given value for c is computed, the volume fraction inside the home element is determined by constructing the polygon of fluid delimited by the line of equation inside the home element. It is thus necessary to retain the vertices of the home element inside the fluid, i.e., the vertices that verify g( [image]) > 0, and the intersection points lie between the interface line and the edges of the home element.

In the present algorithm, the least squares gradient method has been chosen to compute the unit normal vector [image] = [image] f / | [image] f |. This method is essentially independent of any mesh topology or dimensionality, and is thus able to handle any unstructured meshes. Further, the line constant c is obtained by solving an additional equation that imposes the conservation of fluid volume in the home element. The idea is that volume of the polygon of fluid, delimited inside the home element by the interface line, must correspond to the known VFRC value. The solution of this equation can be obtained iteratively by halving iteration of the interval [cmin, cmax]. The limits are found by allowing the interface line to pass through each of the home element vertices, computing the volume fraction and isolating the extreme cases F = 0 and F = 1.

7.3.4. Treatment of Finite Element Equations

In a VOF (Volume of Fluid) analysis, each element can be identified as full, partially full, or empty. Full elements represent the fluid, and empty elements represent the void. Partial elements are regions of transition between the fluid and the void. In the present solution algorithm, the finite element equations are assembled only for partial and full elements, because empty elements have no effect on the motion of the fluid. The contributions of the full elements are treated in the usual manner as in other flow analyses, whereas those of the partial elements are modified to reflect the absence of fluid in parts of the elements.

In the solution algorithm, partial elements are reconstructed differently from the CLEAR-VOF reconstruction scheme. The nodes are moved towards the center of the element so that the reduced element preserves the same shape as the original element, and the ratio between the two is kept to be equal to the volume fraction of this partial element. The modified nodal coordinates are then used to evaluate the integration of the finite element equations over a reduced integration limit. It shall be noted that this modification is only intended for the evaluation of the finite element equations, and the actual spatial coordinates of the nodes are not changed.

For a VOF analysis, boundary conditions are required for boundary nodes that belong to at least one non-empty (partial or full) element. For boundary nodes belonging to only empty elements, on the other hand, the prescribed boundary conditions will remain inactive until those nodes are touched by fluid. Finally, boundary conditions are also applied to nodes that belong to at least one empty element and at least one non-empty element. These nodes represent the transition region between the fluid and the void. This free surface is treated as natural boundary conditions for all degrees of freedom except pressure. For the pressure, a constant value (using the FLDATA36 command) is imposed on the free surface.

In order to impose proper boundary conditions on the element-based volume fraction (VFRC), imaginary elements are created along the exterior boundary to act as neighbors to the elements forming the boundary. Two types of boundary conditions are applied on these imaginary elements. The imaginary elements can be specified as either full or empty depending on the imposed volume fraction value as shown in Figure 7.3: "Types of VFRC Boundary Conditions"(a and b).

Figure 7.3 Types of VFRC Boundary Conditions

Partial imaginary elements are not allowed on boundaries. These boundary volume fraction will serve as a neighbor value when determine the interface normal vector. For the full imaginary elements, a second boundary condition is specified to determine whether the fluid is advected into the computational domain. The boundary is then further identified as either wetting or non-wetting as shown in Figure 7.3: "Types of VFRC Boundary Conditions"(c and d).

For the wetting boundary, the imaginary elements have to be full, and the fluid is advected into the domain. For the non-wetting boundary, the fluid or void can not be advected into the domain.

7.3.5. Treatment of Volume Fraction Field

In summary, the advection of the reconstructed polygon of fluid consists of the following steps:

  1. Compute the new locations of the polygon vertices in the Lagrangian displacement step.

  2. Determine the distribution of the advected fluid volume into the neighborhood using an algorithm for intersection of polygons.

  3. Update the volume fraction at the new time step.

In the last step, the VFRC fluxes are regrouped to evaluate the total volume flowing into each home element. Since the volume fraction is just this volume divided by the volume of the home element, this evaluation of volume fraction is exact, and there exists no error in this step.

In the second step, the polygon of fluid at the new time level is only redistributed into its neighborhood, and no fluid shall be created or destroyed in this process. Therefore, the volume of fluid in the advected polygon shall be equal to the sum of all VFRC fluxes originating from this polygon. This conservation of the fluid volume will be violated only in two cases. The first one involves the failure of the polygon intersection algorithm. This will occur when the deformation of the advected polygon is too large during the Lagrangian step such that the convexity of the polygon is lost. The second one involves an incomplete coverage of the advected polygon by the immediate neighbors of the home element. In this case, some VFRC fluxes will flow into its far neighbors and will not be taken into account by the present algorithm. In either case, the time increment in the Lagrangian step will be reduced by half in order to reduce the Lagrangian deformation and the traveling distance of the advected polygon. This automatic reduction in time increment will continue until the local balance of fluid volume is preserved. You can also specify the number of VOF advection steps per solution step (using the FLDATA4 command).

In the Lagrangian step, the polygon of fluid undergoes a Lagrangian movement. The Lagrangian velocity is taken to be the same with the Eulerian velocity at a particular instance in time. The Lagrangian velocity is then used to calculate the displacements and the new locations of the polygon vertices. This new polygon is then used to intersect with the immediate neighbors of the home element in the next step. There do exist some potential problems in the numerical approximation of this algorithm. Consider a bulk of fluid flows along a no-slip wall emptying the elements behind it as time advances. In reality, however, there exist certain cases where the polygon may have two vertices lie on the no-slip wall during the reconstruction stage. In such cases, there will always a certain amount of volume left in the home element, which make it practically impossible to empty these wall elements. As time advances, the bulk of fluid may leave behind a row of partial elements rather empty elements. This phenomenon is usually referred to as the artificial formation and accumulation of droplets. In other words, a droplet is never reattached to the main fluid once it is formed. To eliminate those isolated droplets, the status of partial element's neighbors are always checked, and if necessary, a local adjustment will be performed. A partial element is reset to be empty if it is not adjacent to at least one full element. Similarly, a partial element is reset to be full if its immediate neighbors are all full elements to avoid an isolated partial element inside a bulk of fluid.

Another type of error introduced in the Lagrangian advection step is due to the imperfection of Eulerian velocity field. In the solution algorithm, the continuity equation is expressed in a Galerkin weak form. As a result, divergence-free condition is not satisfied exactly, and the error is usually in the same order with the discretization error. This error will further result in artificial compressibility of the polygon of fluid during the Lagrangian advection step, and thus introduce local and global imbalance in the fluid volume. Fortunately, both this type of error and that in the local adjustment of volume fraction field are very small compared to the total fluid volume. Unfortunately, the error due to the velocity divergence can accumulate exponentially as time advances. Hence a global adjustment is necessary to retain the global balance of the fluid volume. Currently, the volume fraction of partial elements are increased or decreased proportionally according to the global imbalance.

(7–133)

where:

Fp, Fq = volume fraction of a given partial element
old = superscript for the value before the adjustment
new = superscript for the value after the adjustment
Nq = total number of partial elements
Vimb = amount of the total volume imbalance = difference between the volume flowing across the external boundary (in - out) and the change of total volume inside the domain.
Vq = volume of a given partial element

In the above practice, the volume fraction of a nearly full element may be artificially adjusted to an unphysical value greater than one, and will thus be reset to one. Although this global adjustment for partial elements introduces a numerical diffusion effect, it is believed that the benefit of global conservation of the fluid volume will certainly outweigh this effect. Hence, the global balance of the fluid volume is always checked, and if an imbalance occurs, it will adjust the volume fraction to enforce the global balance.

7.3.6. Treatment of Surface Tension Field

In a VOF analysis, the surface tension is modeled through a continuum-surface force (CSF) method (accessed with the FLDATA1 command). There are two components in this surface force. The first one is normal to the interface due to the local curvature, and the second one is tangential to the interface due to local variations of the surface tension coefficient (accessed with FLDATA13 command). In this approach, the surface force localized at the fluid interface is replaced by a continuous volume force to fluid elements everywhere within a thin transition region near the interface. The CSF method removes the topological restrictions without losing accuracy (Brackbill(281)), and it has thus been used widely and successfully in a variety of studies (Koth and Mjolsness(282); Richards(283); Sasmal and Hochstein(284); Wang(285)).

The surface tension is a force per unit area given by:

(7–134)

where:

= surface force
σ = surface tension coefficient
κ = surface curvature
= unit normal vector
= surface gradient

Refer to Multiple Species Property Options on details on surface tension coefficient. Here, the surface curvature and unit normal vector are respectively given by:

(7–135)

(7–136)

The surface gradient is given by:

(7–137)

where:

= unit tangent vector at the surface

In (Equation 7–134), the first term is acting normal to the interface, and is directed toward the center of the local curvature of the interface. The second term is acting tangential to the interface, and is directed toward the region of higher surface tension coefficient σ.

In the CSF method, the surface force is reformulated into a volumetric force [image] as follows:

(7–138)

where:

< F > = averaged volume fraction across the interface
δs = surface delta function

(7–139)

The δs function is only nonzero within a finite thickness transition region near the interface, and the corresponding volumetric force [image] will only act within this transition region.

In this model, the surface curvature depends on the second derivatives of the volume fraction. On the other hand, the volume fraction from the CLEAR-VOF algorithm will usually jump from zero to one within a single layer of partial elements. As a result, there may exist large variations in the κ values near the interface, which in turn may introduce artificial numerical noises in the surface pressure. One remedy is to introduce spatial smoothing operations for the volume fraction and the surface curvature. In order to minimize any unphysical smearing of the interface shape, only one pass of least square smoothing is performed for F, [image] and κ values, and under-relaxation is used with its value set to one half.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.2. Derivation of Fluid Flow Matrices 		Up / Home Next
7.4. Fluid Solvers


7.4. Fluid Solvers

The algorithm requires repeated solutions to the matrix equations during every global iteration. In some cases, exact solutions to the equations must be obtained, while in others approximate solutions are adequate. In certain situations, the equation need not be solved at all. It has been found that for the momentum equations, the time saved by calculating fast approximate solutions offsets the slightly slower convergence rates one obtains with an exact solution. In the case of the pressure equation, exact solutions are required to ensure conservation of mass. In a thermal problem with constant properties, there is no need to solve the energy equation at all until the flow problem has been converged.

To accommodate the varying accuracy requirements, three types of solvers are provided. Two types of solvers are iterative and the other one is direct. The direct solver used here is the Boeing sparse direct method. The first iterative solver is a sweeping method known as the Tri-Diagonal Matrix Algorithm (TDMA), and the rest are semi-direct including the conjugate direction methods, the preconditioned generalized minimal residual method, and the preconditioned bi-conjugate gradient stabilized method. TDMA is used to obtain the approximate solution and the other methods are used when exact solutions are needed. The user has control over which method is applied to which degree of freedom (using the FLDATA18 command).

The TDMA method is described in detail in Patankar(182). The method consists of breaking the problem into a series of tri-diagonal problems where any entries outside the tri-diagonal portion are treated as source terms using the previous values. For a completely unstructured mesh, or an arbitrarily numbered system, the method reduces to the Gauss-Seidel iterative method.

Since it is considered an approximate method, TDMA is not executed to convergence. Rather, the number of TDMA sweeps that should be executed is input (using the FLDATA19 command).

The conjugate direction methods are the conjugate gradient (for symmetric systems) method and the conjugate residual method (for non-symmetric systems). These are iterative methods used to attempt an exact solution to the equation of interest. The conjugate gradient method is preconditioned with an incomplete Choleski decomposition and is used only for the pressure equation in incompressible flows. The sequential solution algorithm must allow space for a non-symmetric coefficient matrix for the momentum and energy equations. Only half this storage is required for the symmetric matrix and the other half is used to store the decomposition. The conjugate residual method can be used with or without preconditioning, the latter approach requiring significantly less computer memory. A convergence criterion and a maximum number of iterations are specified by the user (using the FLDATA21 and FLDATA22 commands).

The conjugate direction method develop a solution as a linear combination of orthogonal vectors. These vectors are generated one at a time during an iteration. In the case of the conjugate gradient method, the symmetry of the coefficient matrix and the process generating the vectors ensures that each one is automatically orthogonal to all of the previous vectors. In the non-symmetric case, the new vector at each iteration is made orthogonal to some user specified number of previous vectors (search directions). The user has control of the number (using the FLDATA20 command).

More information on the conjugate directions is available from Hestenes and Stiefel(183) , Reid(184), and Elman(185).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.3. Volume of Fluid Method for Free Surface Flows 		Up / Home Next
7.5. Overall Convergence and Stability


7.5. Overall Convergence and Stability

7.5.1. Convergence

The fluid problem is nonlinear in nature and convergence is not guaranteed. Some problems are transient in nature, and a steady state algorithm may not yield satisfactory results. Instabilities can result from a number of factors: the matrices may have poor condition numbers because of the finite element mesh or very large gradients in the actual solution. The fluid phenomena being observed could be unstable in nature.

Overall convergence of the segregated solver is measured through the convergence monitoring parameters. A convergence monitor is calculated for each degree of freedom at each global iteration. It is loosely normalized rate of change of the solution from one global iteration to the next and is calculated for each DOF as follows:

(7–140)

where:

Mφ = convergence monitor for degree of freedom f
N = total number of finite element nodes
φ = degree of freedom
k = current global iteration number

It is thus the sum of the absolute value of the changes over the sum of the absolute values of the degree of freedom.

The user may elect to terminate the calculations when the convergence monitors for pressure and temperature reach very small values. The convergence monitors are adjusted (with FLDATA3 command). Reduction of the rate of change to these values is not guaranteed. In some cases the problem is too unstable and in others the finite element mesh chosen leads to solution oscillation.

7.5.2. Stability

Three techniques are available to slow down and stabilize a solution. These are relaxation, inertial relaxation, and artificial viscosity.

7.5.2.1. Relaxation

Relaxation is simply taking as the answer some fraction of the difference between the previous global iteration result and the newly calculated values. In addition to the degrees of freedom, relaxation can be applied to the laminar properties (which may be a function of temperature and, in the case of the density of a gas, pressure) and the effective viscosity and effective conductivity calculated through the turbulence equations. Denoting by φi the nodal value of interest, the expression for relaxation is as follows:

(7–141)

where:

rφ = relaxation factor for the variable.

7.5.2.2. Inertial Relaxation

Inertial relaxation is used to make a system of equations more diagonally dominant. It is similar to a transient solution. It is most commonly used in the solution of the compressible pressure equation and in the turbulence equations. It is only applied to the DOF.

The algebraic system of equations to be solved may be represented as, for i = 1 to the number of nodes:

(7–142)

With inertial relaxation, the system of equations becomes:

(7–143)

where:

Brf = inertial relaxation factor (input on the FLDATA26 command)

At convergence, [image] (i.e. the value of the φi from the previous global iteration) and φi will be identical, so the same value will have been added to both sides of the equation. This form of relaxation is always applied to the equations, but the default value of Brf = 1.0 x 1015 effectively defeats it.

7.5.2.3. Artificial Viscosity

Artificial viscosity is a stabilization technique that has been found useful in compressible problems and incompressible problems involving distributed resistance. The technique serves to increase the diagonal dominance of the equations where the gradients in the momentum solution are the highest. Artificial viscosity enters the equations in the same fashion as the fluid viscosity. The additional terms are:

(7–144)

(7–145)

(7–146)

where:

μa = artificial viscosity

This formulation is slightly different from that of Harlow and Amsden(180) in that here μa is adjustable (using the FLDATA26 command).

In each of the momentum equations, the terms resulting from the discretization of the derivative of the velocity in the direction of interest are additions to the main diagonal, while the terms resulting from the other gradients are added as source terms.

Note that since the artificial viscosity is multiplied by the divergence of the velocity, (zero for an incompressible fluid), it should not impact the final solution. For compressible flows, the divergence of the velocity is not zero and artificial viscosity must be regarded as a temporary convergence tool, to be removed for the final solution.

7.5.3. Residual File

One measure of how well the solution is converged is the magnitude of the nodal residuals throughout the solution domain. The residuals are calculated based on the “old” solution and the “new” coefficient matrices and forcing functions. Residuals are calculated for each degree of freedom (VX, VY, VZ, PRES, TEMP, ENKE, ENDS).

Denoting the DOF by φ, the matrix equation for the residual vector r may be written as follows:

(7–147)

where the superscript refers to the global iteration number and the subscript associates the matrix and the forcing function with the degree of freedom φ.

The residuals provide information about where a solution may be oscillating.

The values at each node are normalized by the main diagonal value for that node in the coefficient matrix. This enables direct comparison between the value of the residual and value of the degree of freedom at the node.

7.5.4. Modified Inertial Relaxation

Similar to inertial relaxation, modified inertial relaxation (MIR) is used to make the system of equations more diagonally dominant. It is most commonly used to make the solution procedure by SUPG scheme more stable. The algebraic system of equations with modified inertial relaxation has the same form with (Equation 7–143), but the definition of the added diagonal term is different:

(7–148)

where:

ρ = density
Γ = generalized diffusion coefficient
u = local velocity scale
h = local length scale
BMIR = modified inertial relaxation factor (input on the FLDATA34 or MSMIR command).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.4. Fluid Solvers 		Up / Home Next
7.6. Fluid Properties


7.6. Fluid Properties

Specific relationships are implemented for the temperature variation of the viscosity and thermal conductivity for both gases and liquids. These relationships were proposed by Sutherland and are discussed in White(181). The equation of state for a gas is assumed to be the ideal gas law. Density in a liquid may vary as a function of temperature through a polynomial. Fluid properties are isotropic. In addition to gas and liquid-type variations, non-Newtonian variations of viscosity are also included (Gartling(197) and Crochet et al.(198)).

The relationships are:

7.6.1. Density

Constant: For the constant type, the density is:

(7–149)

where:

ρ = density
ρN = nominal density (input on FLDATA8 command)

Liquid: For the liquid type, the density is:

(7–150)

where:

P = absolute pressure
T = absolute temperature
= first density coefficient (input on FLDATA9 command)
= absolute temperature at which
= second density coefficient (input on FLDATA10 command)
= third density coefficient (input on FLDATA11 command)

Gas: For the gas type, the density is:

(7–151)

Table: For the table type, you enter density data as a function of temperature (using the MPTEMP and MPDATA commands).

User-Defined Density: In recognition of the fact that the density models described above can not satisfy the requests of all users, a user-programmable subroutine (UserDens) is also provided with access to the following variables: position, time, pressure, temperature, etc. See the Guide to ANSYS User Programmable Features and User Routines and Non-Standard Uses in the Advanced Analysis Techniques Guide for information about user written subroutines.

7.6.2. Viscosity

Constant: For the constant type, the viscosity is:

(7–152)

where:

μ = viscosity
μN = nominal viscosity (input on FLDATA8 command)

Liquid: For the liquid type, the viscosity is:

(7–153)

where:

= first viscosity coefficient (input on FLDATA9 command)
= absolute temperature at which μ = μN
= second viscosity coefficient (input on FLDATA10 command)
= third viscosity coefficient (input on FLDATA11 command)

Gas: For the gas type, the viscosity is:

(7–154)

In addition for non-Newtonian flows, additional viscosity types are available (selected with FLDATA7 command). A viscosity type is considered non-Newtonian if it displays dependence on the velocity gradient.

Power Law: For the power law model, the viscosity is:

(7–155)

where:

μo = nominal viscosity (input on FLDATA8 command)
K = consistency index (input on FLDATA10 command)
D =
Do = cutoff value for D (input on FLDATA9 command)
n = power (input as value on FLDATA11 command)
I2 = second invariant of strain rate tensor
vi,j = ith velocity component gradient in jth direction

This relationship is used for modeling polymers, blood, rubber solution, etc. The units of K depend on the value of n.

Carreau Model: For the Carreau Model, the viscosity is:

(7–156)
= viscosity at infinite shear rate (input on FLDATA9 command)
μo = viscosity at zero shear rate (input on FLDATA8 command)
λ = time constant (input on FLDATA10 command)
n = power (input on FLDATA11 command)

Typically the fluid viscosity behaves like a Power Law model for intermediate values of shear rate while remaining bounded for zero/infinite shear rates. This model removes some of the deficiencies associated with the Power Law model. The fluid is assumed to have lower and upper bounds on the viscosity.

Bingham Model: For the “ideal” Bingham model, the viscosity is:

(7–157)

where:

μo = plastic viscosity (input on FLDATA8 command)
G = yield stress (input on FLDATA9 command)
τij = extra stress on ith face in the jth direction

Figure 7.4 Stress vs. Strain Rate Relationship for “Ideal” Bingham Model

Figure 7.4: "Stress vs. Strain Rate Relationship for “Ideal” Bingham Model" shows the stress-strain rate relationship.

So long as the stress is below the plastic level, the fluid behaves as a rigid body. When the stress exceeds the plastic level the additional stress is proportional to the strain rate, i.e., the behavior is Newtonian. Numerically, it is difficult to model. In practice it is modelled as a “biviscosity” model:

(7–158)

where:

μr = Newtonian viscosity (input on FLDATA10 command)

Figure 7.5: "Stress vs. Strain Rate Relationship for “Biviscosity” Bingham Model" shows the stress-strain rate relationship for the “biviscosity” Bingham model.

μr is chosen to at least an order of magnitude larger than μo. Typically μr is approximately 100 μo in order to replicate true Bingham fluid behavior.

Figure 7.5 Stress vs. Strain Rate Relationship for “Biviscosity” Bingham Model

Table: For the table type, you enter viscosity data as a function of temperature (using the MPTEMP and MPDATA commands).

User-Defined Viscosity: In recognition of the fact that the viscosity models described above can not satisfy the requests of all users, a user-programmable subroutine (UserVisLaw) is also provided with access to the following variables: position, time, pressure, temperature, velocity component, velocity gradient component. See the Guide to ANSYS User Programmable Features and User Routines and Non-Standard Uses in the Advanced Analysis Techniques Guide for information about user written subroutines.

7.6.3. Thermal Conductivity

Constant: For the constant type, the conductivity is:

(7–159)

where:

K = conductivity
KN = nominal conductivity (input on FLDATA8 command)

Liquid: For a liquid type, the conductivity is:

(7–160)

where:

= first conductivity coefficient (input on FLDATA9 command)
= absolute temperature at which K = KN
= second conductivity coefficient (input on FLDATA10 command)
= third conductivity coefficient (input on FLDATA11 command)

Gas: For a gas type, the conductivity is:

(7–161)

Table: For the table type, you enter conductivity data as a function of temperature (using the MPTEMP and MPDATA commands).

User-Defined Conductivity: In recognition of the fact that the conductivity models described above can not satisfy the requests of all users, a user-programmable subroutine (UserCond) is also provided with access to the following variables: position, time, pressure, temperature, etc. See the Guide to ANSYS User Programmable Features and User Routines and Non-Standard Uses in the Advanced Analysis Techniques Guide for information about user written subroutines.

7.6.4. Specific Heat

Constant: For the constant type, the specific heat is:

(7–162)

where:

CpN = nominal specific heat (input on FLDATA8 command)

Table: For the table type, you specify specific heat data as a function of temperature (using the MPTEMP and MPDATA commands).

User-Defined Specific Heat: In recognition of the fact that the specific heat models described above can not satisfy the requests of all users, a user-programmable subroutine (UserSpht) is also provided with access to the following variables: position, time, pressure, temperature, etc. See the Guide to ANSYS User Programmable Features and User Routines and Non-Standard Uses in the Advanced Analysis Techniques Guide for information about user written subroutines.

7.6.5. Surface Tension Coefficient

Constant: For the constant type, the surface tension coefficient is:

(7–163)

where:

σ = surface tension coefficient
σN = nominal surface tension coefficient (input on FLDATA8 command)

Liquid: For the liquid type, the surface tension is:

(7–164)

where:

T = absolute temperature
= first coefficient for surface tension coefficient (input as value on FLDATA9 command)
= second coefficient for surface tension coefficient (input on FLDATA10 command)
= third coefficient for surface tension coefficient (input on FLDATA11 command)

Table: For the table type, you enter density data as a function of temperature (using the MPTEMP and MPDATA commands).

User-Defined Surface Tension Coefficient: In recognition of the fact that the surface tension models described above can not satisfy the requests of all users, a user-programmable subroutine (UserSfTs) is also provided with access to the following variables: position, time, pressure, temperature, etc. See the Guide to ANSYS User Programmable Features and User Routines and Non-Standard Uses in the Advanced Analysis Techniques Guide for information about user written subroutines.

7.6.6. Wall Static Contact Angle

The wall static contact angle θw describes the effect of wall adhesion at the solid boundary. It is defined as the angle between the tangent to the fluid interface and the tangent to the wall. The angle is not only a material property of the fluid but also depends on the local conditions of both the fluid and the wall. For simplicity, it is input as a constant value between 0° and 180° (on the FLDATA8 command). The wall adhesion force is then calculated in the same manner with the surface tension volume force using (Equation 7–138) except that the unit normal vector at the wall is modified as follows (Brackbill(281)):

(7–165)

where:

= unit wall normal vector directed into the wall
= unit vector normal to the interface near the wall

7.6.7. Multiple Species Property Options

For multiple species problems, the bulk properties can be calculated as a combination of the species properties by appropriate specification of the bulk property type. Choices are composite mixture, available for the density, viscosity, thermal conductivity, specific heat and composite gas, available only for the density.

Composite Mixture: For the composite mixture (input with FLDATA7,PROT,property,CMIX) each of the properties is a combination of the species properties:

(7–166)

where:

αbulk = bulk density, viscosity, conductivity or specific heat
αi = values of density, viscosity, conductivity or specific heat for each of the species

Composite Gas: For a composite gas (input with FLDATA7,PROT,DENS,CGAS), the bulk density is calculated as a function of the ideal gas law and the molecular weights and mass fractions.

(7–167)

where:

R = universal gas constant (input on MSDATA command)
Mi = molecular weights of each species (input on MSSPEC command)

The most important properties in simulating species transport are the mass diffusion coefficient and the bulk properties. Typically, in problems with dilute species transport, the global properties will not be affected by the dilute species and can be assumed to be dependent only on the temperature (and pressure for gas density).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.5. Overall Convergence and Stability 		Up / Home Next
7.7. Derived Quantities


7.7. Derived Quantities

The derived quantities are total pressure, pressure coefficient, mach number, stream function, the wall parameter y-plus, and the wall shear stress. These quantities are calculated from the nodal unknowns and stored on a nodal basis.

7.7.1. Mach Number

The Mach number is ratio of the speed of the fluid to the speed of sound in that fluid. Since the speed of sound is a function of the equation of state of the fluid, it can be calculated for a gas regardless of whether or not the compressible algorithm is used.

(7–168)

where:

M = Mach number (output as MACH)
γ = ratio of specific heats
| v | = magnitude of velocity
R = ideal gas constant
T = absolute temperature

7.7.2. Total Pressure

The calculation differs, depending on whether the compressible option has been activated (on the FLDATA1 command).

Compressible:

(7–169)

Incompressible:

(7–170)

where:

Ptot = total pressure (output as PTOT)
P = relative pressure
Pref = reference pressure
ρ = density

The calculation is the same for compressible and incompressible cases.

(7–171)

where:

Pcoef = pressure coefficient (output as PCOEF)
subscript f = free stream conditions

7.7.3. Y-Plus and Wall Shear Stress

These quantities are part of the turbulence modeling of the wall conditions. First, solving iteratively for τw:

(7–172)

where:

μ = viscosity
δ = distance of the near wall node from the wall
vtan = velocity at the near wall node parallel to the wall
E = constant in the turbulence model (defaults to 9.0)
κ = constant in the turbulence model (defaults to 0.4)
τw = wall shear stress (output as TAUW)

Then, using τw:

(7–173)

where:

y+ = nondimensional distance from the wall (output as YPLU)

7.7.4. Stream Function

The stream function is computed for 2-D structures and is defined by way of its derivatives:

7.7.4.1. Cartesian Geometry

(7–174)

(7–175)

7.7.4.2. Axisymmetric Geometry (about x)

(7–176)

(7–177)

7.7.4.3. Axisymmetric Geometry (about y)

(7–178)

(7–179)

7.7.4.4. Polar Coordinates

(7–180)

(7–181)

where:

y = stream function (output as STRM)
x, y = global Cartesian coordinates
r = radial coordinate (= x2 + y2)
θ = circumferential coordinate
vx, vy = global Cartesian velocity components
vr, vθ = polar velocity components

The stream function is zero at points where both vx and vy are zero. Thus, a zero value of the stream function would bound a recirculation region.

7.7.5. Heat Transfer Film Coefficient

7.7.5.1. Matrix Procedure

To calculate the heat flux and film coefficient, the matrix procedure (accessed using FLDATA37,ALGR,HFLM,MATX) first calculates the sum of heat transfer rate from the boundary face using the sum of the residual of the right-hand side:

(7–182)

where:

{Qn} = nodal heat rate
[Kt] = conductivity matrix for entire model
{T} = nodal temperature vector

See Heat Flow Fundamentals for more information.

The nodal heat flux at each node on the wall is defined as:

(7–183)

where:

qn = nodal heat flux
Qn = a value of the vector {Qn}
An = surface area associated with the node (depends on all of its neighboring surface elements)

7.7.5.2. Thermal Gradient Procedure

The thermal gradient procedure (accessed with FLDATA37,ALGR,HFLM,TEMP) does not use a saved thermal conductivity matrix. Instead, it uses the temperature solution at each node and uses a numerical interpolation method to calculate the temperature gradient normal to the wall.

(7–184)

where:

n = direction normal to the surface
D = material conductivity matrix at a point

7.7.5.3. Film Coefficient Evaluation

For both procedures the film coefficient is evaluated at each node on the wall by:

(7–185)

where:

hn = nodal film coefficient
Tn = nodal temperature
TB = free stream or bulk fluid temperature (input on SF or SFE commands)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.6. Fluid Properties 		Up / Home Next
7.8. Squeeze Film Theory


7.8. Squeeze Film Theory

Reynolds equation known from lubrication technology and theory of rarified gas physics are the theoretical background to analyze fluid structural interactions of microstructures (Blech(337), Griffin(338), Langlois(339)). FLUID136 and FLUID138 can by applied to structures where a small gap between two plates opens and closes with respect to time. This happens in case of accelerometers where the seismic mass moves perpendicular to a fixed wall, in micromirror displays where the mirror plate tilts around an horizontal axis, and for clamped beams such as RF filters where a flexible structure moves with respect to a fixed wall. Other examples are published in literature (Mehner(340)).

FLUID136 and FLUID138 can be used to determine the fluidic response for given wall velocities. Both elements allow for static, harmonic and transient types of analyses. Static analyses can be used to compute damping parameter for low driving frequencies (compression effects are neglected). Harmonic response analysis can be used to compute damping and squeeze effects at the higher frequencies. Transient analysis can be used for non-harmonic load functions. Both elements assume isothermal viscous flow.

7.8.1. Flow Between Flat Surfaces

FLUID136 is used to model the thin-film fluid behavior between flat surfaces and is based in the linearized Reynolds squeeze film equation known from lubrication theory (Blech(337), Yang(341)):

(7–186)

where:

P = pressure change
x, y = coordinates
η = dynamic viscosity
d = local gap separation
Po = ambient pressure
t = time
νz = wall velocity in normal direction

Reynolds squeeze film equations are restricted to structures with lateral dimensions much larger than the gap separation. Furthermore the pressure change must be small compared to Po, and viscous friction may not cause a significant temperature change. Continuum theory (KEYOPT(1) = 0) is valid for Knudsen numbers smaller than 0.01.

The Knudsen number Kn of the squeeze film problem can be estimated by:

(7–187)

Lo = mean free path length of the fluid
Pref = reference pressure for the mean free path Lo

For systems which operate at high Knudsen numbers, an effective viscosity ηeff is introduced in order to consider slip flow boundary conditions and models derived from Boltzmann equation. This assumption holds for Knudsen numbers up to 880 (Veijola(342)):

(7–188)

The surface accommodation coefficient, α, distinguishes between diffuse reflection (α = 1), specular reflection (α = 0), and molecular reflection (0 < α < 1) of the molecules at the walls of the squeeze film. Typical accommodation factors for silicon are reported between 0.8 and 0.9, those of metal surfaces are almost 1. Specular reflection decreases the effective viscosity at high Knudsen numbers compared to diffuse reflection. Different accommodation factors might be specified for each wall by using α1 and α2 (input as A1 and A2 on R command). The fit functions for the effective viscosity are found in Veijola(342).

7.8.2. Flow in Channels

FLUID138 can be used to model the fluid flow though short circular and rectangular channels of micrometer size. The element assumes isothermal viscous flow at low Reynolds numbers, the channel length to be small compared to the acoustic wave length, and a small pressure drop with respect to ambient pressure.

In contrast to FLUID116, FLUID138 considers gas rarefaction, is more accurate for channels of rectangular cross sections, allows channel dimensions to be small compared to the mean free path, allows evacuated systems, and considers fringe effects at the inlet and outlet which considerably increase the damping force in case of short channel length. FLUID138 can be used to model the stiffening and damping effects of fluid flow in channels of micro-electromechanical systems (MEMS).

Using continuum theory (KEYOPT(1) = 0) the flow rate Q of channels with circular cross-section (KEYOPT(3) = 0) is given by the Hagen-Poiseuille equation:

(7–189)

Q = flow rate in units of volume/time
r = radius
lc = channel length
A = cross-sectional area
ΔP = pressure difference along channel length

This assumption holds for low Reynolds numbers (Re < 2300), for l >> r and r >> Lm where Lm is the mean free path at the current pressure.

(7–190)

In case of rectangular cross sections (KEYOPT(3) = 1) the channel resistance depends on the aspect ratio of channel. The flow rate is defined by:

(7–191)

where:

rh = hydraulic radius (defined below)
A = true cross-sectional area (not that corresponding to the hydraulic radius)
χ = so-called friction factor (defined below)

The hydraulic radius is defined by:

(7–192)

and the friction factor χ is approximated by:

(7–193)

where:

H = height of channel
W = width of channel (must be greater than H)
n = H/W

A special treatment is necessary to consider high Knudsen numbers and short channel length (KEYOPT(1) = 1) (Sharipov(343)).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.7. Derived Quantities 		Up / Home Next
7.9. Slide Film Theory


7.9. Slide Film Theory

Slide film damping occurs when surfaces move tangentially with respect to each other. Typical applications of slide film models are damping between fingers of a comb drive and damping between large horizontally moving plates (seismic mass) and the silicon substrate. Slide film damping can be described by a nodal force displacement relationship. FLUID139 is used to model slide film fluid behavior and assumes isothermal viscous flow.

Slide film problems are defined by:

(7–194)

where:

P = pressure
ν = plate fluid velocity
η = dynamic viscosity
z = normal direction of the laterally moving plates
t = time

Slide film problems can be represented by a series connection of mass-damper elements with internal nodes where each damper represents the viscous shear stress between two fluid layers and each mass represents its inertial force. The damper elements are defined by:

(7–195)

where:

C = damping coefficient
A = actual overlapping plate area
di = separation between two internal nodes (not the gap separation)

The mass of each internal node is given by:

(7–196)

where:

ρ = fluid density

In case of slip flow boundary conditions (KEYOPT(3) = 1) the fluid velocity at the moving plate is somewhat smaller than the plate velocity itself. Slip flow BC can be considered by additional damper elements which are placed outside the slide film whereby the damping coefficient must be:

(7–197)

where:

Lm = mean free path length of the fluid at the current pressure

In case of second order slip flow (KEYOPT(3) = 2) the damping coefficient is:

(7–198)

where Kn is defined with (Equation 7–187)

Note that all internal nodes are placed automatically by FLUID139.

Two node models are sufficient for systems where the operating frequency is below the cut-off frequency which is defined by:

(7–199)

where:

fc = cut-off frequency
d = gap separation

In this special case, damping coefficients are almost constant, regardless of the frequency, and inertial effects are negligible. At higher frequencies, the damping ratio increases significantly up to a so-called maximum frequency, which is defined by:

(7–200)

where:

fmax = maximum frequency

The meaning of both numbers is illustrated below:

Figure 7.6 Flow Theory, Cut-off, and Maximum Frequency Interrelation

In case of large signal damping, the current overlapping plate are as defined by:

(7–201)

where:

Anew = actual area
Ainit = initial area
ui = nodal displacement in operating direction of the first interface node
un = nodal displacement of the second interface node

For rectangular plates which move parallel to its edge, the area change with respect to the plate displacement (dA/du) is equal to the plate width. These applications are typical for micro-electromechanical systems as comb drives where the overlapping area changes with respect to deflection.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.8. Squeeze Film Theory 		Up / Home Next
Chapter 8. Acoustics


Chapter 8. Acoustics

The following acoustics topics are available:

  • Acoustic Fluid Fundamentals
  • Derivation of Acoustics Fluid Matrices
  • Absorption of Acoustical Pressure Wave
  • Acoustics Fluid-Structure Coupling
  • Acoustics Output Quantities

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
7.9. Slide Film Theory 		Up / Home Next
8.1. Acoustic Fluid Fundamentals


8.1. Acoustic Fluid Fundamentals

8.1.1. Governing Equations

In acoustical fluid-structure interaction problems, the structural dynamics equation needs to be considered along with the Navier-Stokes equations of fluid momentum and the flow continuity equation. The discretized structural dynamics equation can be formulated using the structural elements as shown in (Equation 17–5). The fluid momentum (Navier-Stokes) and continuity equations ((Equation 7–1) and (Equation 7–6) through (Equation 7–8)) are simplified to get the acoustic wave equation using the following assumptions (Kinsler(84)):

  1. The fluid is compressible (density changes due to pressure variations).

  2. The fluid is inviscid (no viscous dissipation).

  3. There is no mean flow of the fluid.

  4. The mean density and pressure are uniform throughout the fluid.

The acoustic wave equation is given by:

(8–1)

where:

c = speed of sound [image] in fluid medium (input as SONC on MP command)
ρo = mean fluid density (input as DENS on MP command)
k = bulk modulus of fluid
P = acoustic pressure (=P(x, y, z, t))
t = time

Since the viscous dissipation has been neglected, (Equation 8–1) is referred to as the lossless wave equation for propagation of sound in fluids. The discretized structural (Equation 17–5) and the lossless wave (Equation 8–1) have to be considered simultaneously in fluid-structure interaction problems. The lossless wave equation will be discretized in the next subsection followed by the derivation of the damping matrix to account for the dissipation at the fluid-structure interface. The fluid pressure acting on the structure at the fluid-structure interface will be considered in the final subsection to form the coupling stiffness matrix.

For harmonically varying pressure, i.e.

(8–2)

where:

= amplitude of the pressure
j =
ω = 2πf
f = frequency of oscillations of the pressure

(Equation 8–1) reduces to the Helmholtz equation:

(8–3)

8.1.2. Discretization of the Lossless Wave Equation

The following matrix operators (gradient and divergence) are introduced for use in (Equation 8–1):

(8–4)

(8–5)

(Equation 8–1) is rewritten as follows:

(8–6)

Using the notations given in (Equation 8–4) and (Equation 8–5), (Equation 8–6) becomes in matrix notation:

(8–7)

The element matrices are obtained by discretizing the wave (Equation 8–7) using the Galerkin procedure (Bathe(2)). Multiplying (Equation 8–7) by a virtual change in pressure and integrating over the volume of the domain (Zienkiewicz(86)) with some manipulation yields:

(8–8)

where:

vol = volume of domain
δP = a virtual change in pressure (=δP(x, y, z, t))
S = surface where the derivative of pressure normal to the surface is applied (a natural boundary condition)
{n} = unit normal to the interface S

In the fluid-structure interaction problem, the surface S is treated as the interface. For the simplifying assumptions made, the fluid momentum equations yield the following relationships between the normal pressure gradient of the fluid and the normal acceleration of the structure at the fluid-structure interface S (Zienkiewicz(86)):

(8–9)

where:

{u} = displacement vector of the structure at the interface

In matrix notation, (Equation 8–9) is given by:

(8–10)

After substituting (Equation 8–10) into (Equation 8–8), the integral is given by:

(8–11)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 8. Acoustics 		Up / Home Next
8.2. Derivation of Acoustics Fluid Matrices


8.2. Derivation of Acoustics Fluid Matrices

(Equation 8–11) contains the fluid pressure P and the structural displacement components ux, uy, and uz as the dependent variables to solve. The finite element approximating shape functions for the spatial variation of the pressure and displacement components are given by:

(8–12)

(8–13)

where:

{N} = element shape function for pressure
{N'} = element shape function for displacements
{Pe} = nodal pressure vector
{ue} = {uxe},{uye},{uze} = nodal displacement component vectors

From (Equation 8–12) and (Equation 8–13), the second time derivative of the variables and the virtual change in the pressure can be written as follows:

(8–14)

(8–15)

(8–16)

Let the matrix operator {L} applied to the element shape functions {N} be denoted by:

(8–17)

Substituting (Equation 8–12) through (Equation 8–17) into (Equation 8–11), the finite element statement of the wave (Equation 8–1) is given by:

(8–18)

where:

{n} = normal at the fluid boundary

Other terms are defined in Acoustic Fluid Fundamentals. Terms which do not vary over the element are taken out of the integration sign. {δPe} is an arbitrarily introduced virtual change in nodal pressure, and it can be factored out in (Equation 8–18). Since {δPe} is not equal to zero, (Equation 8–18) becomes:

(8–19)

(Equation 8–19) can be written in matrix notation to get the discretized wave equation:

(8–20)

where:

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.1. Acoustic Fluid Fundamentals 		Up / Home Next
8.3. Absorption of Acoustical Pressure Wave


8.3. Absorption of Acoustical Pressure Wave

8.3.1. Addition of Dissipation due to Damping at the Boundary

In order to account for the dissipation of energy due to damping, if any, present at the fluid boundary, a dissipation term is added to the lossless (Equation 8–1) to get (Craggs(85)):

(8–21)

where:

r = absorption at the boundary

Other terms are defined in Acoustic Fluid Fundamentals.

Since it is assumed that the dissipation occurs only at the boundary surface S, the dissipation term in (Equation 8–21) is integrated over the surface S:

(8–22)

where:

D = dissipation term

Using the finite element approximation for P given by (Equation 8–15):

(8–23)

Using the following notations:

and {δPe} are constant over the surface of the element and can be taken out of the integration. (Equation 8–23) is rewritten as:

(8–24)

The dissipation term given by (Equation 8–24) is added to (Equation 8–18) to account for the energy loss at the absorbing boundary surface.

(8–25)

where:

Finally, combining (Equation 8–20) and (Equation 8–25), the discretized wave equation accounting for losses at the interface is given by:

(8–26)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.2. Derivation of Acoustics Fluid Matrices 		Up / Home Next
8.4. Acoustics Fluid-Structure Coupling


8.4. Acoustics Fluid-Structure Coupling

In order to completely describe the fluid-structure interaction problem, the fluid pressure load acting at the interface is now added to (Equation 17–5). This effect is included in FLUID29 and FLUID30 only if KEYOPT(2) = 0. So, the structural equation is rewritten here:

(8–27)

The fluid pressure load vector [image] at the interface S is obtained by integrating the pressure over the area of the surface:

(8–28)

where:

{N'} = shape functions employed to discretize the displacement components u, v, and w (obtained from the structural element)
{n} = normal at the fluid boundary

Substituting the finite element approximating function for pressure given by (Equation 8–12) into (Equation 8–19):

(8–29)

By comparing the integral in (Equation 8–29) with the matrix definition of ρo [Re]T in (Equation 8–20), it becomes clear that:

(8–30)

where:

The substitution of (Equation 8–30) into (Equation 8–27) results in the dynamic elemental equation of the structure:

(8–31)

(Equation 8–26) and (Equation 8–31) describe the complete finite element discretized equations for the fluid-structure interaction problem and are written in assembled form as:

(8–32)

where:

[Mfs] = ρo [Re]T
[Kfs] = -[Re]

For a problem involving fluid-structure interaction, therefore, the acoustic fluid element will generate all the submatrices with superscript p in addition to the coupling submatrices ρo [Re]T and [Re]. Submatrices without a superscript will be generated by the compatible structural element used in the model.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.3. Absorption of Acoustical Pressure Wave 		Up / Home Next
8.5. Acoustics Output Quantities


8.5. Acoustics Output Quantities

The pressure gradient is evaluated at the element centroid using the computed nodal pressure values.

(8–33)

(8–34)

(8–35)

where:

Other terms are defined in Acoustic Fluid Fundamentals and Derivation of Acoustics Fluid Matrices.

The element fluid velocity is computed at the element centroid for the full harmonic analysis (ANTYPE,HARM with HROPT,FULL) by:

(8–36)

(8–37)

(8–38)

where:

Vx, Vy, and Vz = components of the fluid velocity in the x, y, and z directions, respectively (output quantities VLX, VLY and VLZ)
ω = 2πf
f = frequency of oscillations of the pressure wave (input on HARFRQ command)
j =

The sound pressure level is computed by:

(8–39)

where:

Lsp = sound pressure level (output as SOUND PR. LEVEL)
log = logarithm to the base 10
Pref = reference pressure (input as PREF on R command, defaults to 20 x 10-6)
Prms = root mean square pressure (Prms = P / [image])

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.4. Acoustics Fluid-Structure Coupling 		Up / Home Next
Chapter 9. This chapter intentionally omitted.


Chapter 9. This chapter intentionally omitted.

This chapter is reserved for future use.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
8.5. Acoustics Output Quantities 		Up / Home Next
Chapter 10. This chapter intentionally omitted.


Chapter 10. This chapter intentionally omitted.

This chapter is reserved for future use.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 9. This chapter intentionally omitted. 		Up / Home Next
Chapter 11. Coupling


Chapter 11. Coupling

Coupled-field analyses are useful for solving problems where the coupled interaction of phenomena from various disciplines of physical science is significant. Several examples of this include: an electric field interacting with a magnetic field, a magnetic field producing structural forces, a temperature field influencing fluid flow, a temperature field giving rise to thermal strains and the usual influence of temperature dependent material properties. The latter two examples can be modeled with most non-coupled-field elements, as well as with coupled-field elements.

The following coupled-field topics are available

  • Coupled Effects
  • Thermoelasticity
  • Piezoelectrics
  • Electroelasticity
  • Piezoresistivity
  • Thermoelectrics
  • Review of Coupled Electromechanical Methods

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 10. This chapter intentionally omitted. 		Up / Home Next
11.1. Coupled Effects


11.1. Coupled Effects

The following topics concerning coupled effects are available:

  • Elements
  • Coupling Methods

11.1.1. Elements

The following elements have coupled-field capability:

Table 11.1 Elements Used for Coupled Effects

SOLID5 | 3-D Coupled-Field Solid (Derivation of Electromagnetic Matrices, Coupled Effects, SOLID5 - 3-D Coupled-Field Solid)
PLANE13 | 2-D Coupled-Field Solid (Derivation of Electromagnetic Matrices, Coupled Effects, SOLID5 - 3-D Coupled-Field Solid)
FLUID29 | 2-D Acoustic Fluid (Derivation of Acoustics Fluid Matrices, FLUID29 - 2-D Acoustic Fluid)
FLUID30 | 3-D Acoustic Fluid (Derivation of Acoustics Fluid Matrices, FLUID30 - 3-D Acoustic Fluid)
PLANE53 | 2-D 8-Node Magnetic Solid (Derivation of Electromagnetic Matrices, Electromagnetic Field Evaluations, PLANE53 - 2-D 8-Node Magnetic Solid)
SOLID62 | 3-D Magneto-Structural Solid (SOLID62 - 3-D Magneto-Structural Solid)
PLANE67 | 2-D Coupled Thermal-Electric Solid (PLANE67 - 2-D Coupled Thermal-Electric Solid)
LINK68 | Coupled Thermal-Electric Line (LINK68 - Coupled Thermal-Electric Line)
SOLID69 | 3-D Coupled Thermal-Electric Solid (SOLID69 - 3-D Coupled Thermal-Electric Solid)
SOLID97 | 3-D Magnetic Solid (SOLID97 - 3-D Magnetic Solid)
SOLID98 | Tetrahedral Coupled-Field Solid (Derivation of Electromagnetic Matrices, Coupled Effects, SOLID98 - Tetrahedral Coupled-Field Solid)
TRANS109 | 2-D Electromechanical Transducer (Electromechanical Transducers, Review of Coupled Electromechanical Methods, TRANS109 - 2-D Electromechanical Transducer)
FLUID116 | Coupled Thermal-Fluid Pipe (FLUID116 - Coupled Thermal-Fluid Pipe)
CIRCU124 | Electric Circuit Element (Voltage Forced and Circuit-Coupled Magnetic Field, CIRCU124 - Electric Circuit)
TRANS126 | Electromechanical Transducer (Electromechanical Transducers, Capacitance Computation, Open Boundary Analysis with a Trefftz Domain, Review of Coupled Electromechanical Methods, TRANS126 - Electromechanical Transducer)
FLUID141 | 2-D Fluid (Derivation of Fluid Flow Matrices, FLUID141 - 2-D Fluid-Thermal)
FLUID142 | 3-D Fluid (Derivation of Fluid Flow Matrices, FLUID142 - 3-D Fluid-Thermal)
SHELL157 | Coupled Thermal-Electric Shell (SHELL157 - Thermal-Electric Shell)
PLANE223 | 2-D 8-Node Coupled-Field Solid (PLANE223 - 2-D 8-Node Coupled-Field Solid)
SOLID226 | 3-D 20-Node Coupled-Field Solid (SOLID226 - 3-D 20-Node Coupled-Field Solid)
SOLID227 | 3-D 10-Node Coupled-Field Solid (SOLID227 - 3-D 10-Node Coupled-Field Solid)

There are certain advantages and disadvantages inherent with coupled-field formulations:

11.1.1.1. Advantages

  1. Allows for solutions to problems otherwise not possible with usual finite elements.

  2. Simplifies modeling of coupled-field problems by permitting one element type to be used in a single analysis pass.

11.1.1.2. Disadvantages

  1. Increases wavefront (unless a segregated solver is used).

  2. Inefficient matrix reformulation (if a section of a matrix associated with one phenomena is reformed, the entire matrix will be reformed).

  3. Larger storage requirements.

11.1.2. Coupling Methods

There are basically two methods of coupling distinguished by the finite element formulation techniques used to develop the matrix equations. These are illustrated here with two types of degrees of freedom ({X1}, {X2}):

  1. Strong (simultaneous, full) coupling - where the matrix equation is of the form:

            (11–1)

    and the coupled effect is accounted for by the presence of the off-diagonal submatrices [K12] and [K21]. This method provides for a coupled response in the solution after one iteration.

  2. Weak (sequential) coupling - where the coupling in the matrix equation is shown in the most general form:

            (11–2)

    and the coupled effect is accounted for in the dependency of [K11] and {F1} on {X2} as well as [K22] and {F2} on {X1}. At least two iterations are required to achieve a coupled response.

The following is a list of the types of coupled-field analyses including methods of coupling present in each:

Table 11.2 Coupling Methods

Analysis Category | Coupling Method Used | Example Applications
Thermal-Structural Analysis | S, W | High temperature turbine
Magneto-Structural Analysis (Vector Potential) | W | Solenoid, high energy magnets (MRI)
Magneto-Structural Analysis (Scalar Potential)
Electromagnetic Analysis | S | Current fed massive conductors
Electro-Thermo-Structural Analysis | W | Electro-thermal MEMS actuators
Electro-Magneto-Thermo-Structural Analysis | W | Direct current electromechanical devices in general
Electro-Magneto-Thermal Analysis
Piezoelectric Analysis | S | Transducers, resonators
Electroelastic Analysis | W | Dielectric elastomers
Thermo-Piezoelectric Analysis | W, S | Sensors and actuators for smart structures
Piezoresistive Analysis | W | Pressure and force sensors
Electromechanical Transducers | S | MEMS
Thermo-Pressure Analysis | S, W | Piping networks
Velocity-Thermo-Pressure Analysis | W | Fluid structure interaction
Pressure-Structural (Acoustic) Analysis | S | Acoustics
Thermo-Electric Analysis | S, W | High temperature electronics, Peltier coolers, thermoelectric generators
Magnetic-Thermal Analysis | W | Direct current transients: power interrupts, surge protection
Circuit-Magnetic Analysis | S | Circuit-fed solenoids, transformers, and motors

where:

S = strong coupling
W = weak coupling

The solution sequence follows the standard finite element methodology. Convergence is achieved when changes in all unknowns (i.e. DOF) and knowns, regardless of units, are less than the values specified (on the CNVTOL command) (except for FLUID141 and FLUID142). Some of the coupling described above is always or usually one-way. For example, in Category A, the temperatures affect the displacements of the structure by way of the thermal strains, but the displacements usually do not affect the temperatures.

The following descriptions of coupled phenomena will include:

  1. Applicable element types

  2. Basic matrix equation indicating coupling terms in bold print. In addition to the terms indicated in bold print, any equation with temperature as a degree of freedom can have temperature-dependency in all terms. FLUID141 and FLUID142 have coupling indicated with a different method.

  3. Applicable analysis types, including the matrix and/or vector terms possible in each analysis type.

The nomenclature used on the following pages is given in Table 11.3: "Nomenclature of Coefficient Matrices" at the end of the section. In some cases, element KEYOPTS are used to select the DOF of the element. DOF will not be fully active unless the appropriate material properties are specified. Some of the elements listed may not be applicable for a particular use as it may be only 1-D, whereas a 3-D element is needed (e.g. FLUID116).

11.1.2.1. Thermal-Structural Analysis

(see Derivation of Structural Matrices, Derivation of Heat Flow Matrices, and Thermoelasticity)

  1. Element type: SOLID5, PLANE13, SOLID98, PLANE223, SOLID226, SOLID227

  2. Matrix equation:

    (a). Strong coupling

            (11–3)

    (b). Weak coupling

            (11–4)

    where:

    [Kt] = [Ktb] + [Ktc]
    {F} = {Fnd} + {Fpr} + {Fac}
    {Q} = {Qnd} + {Qg} + {Qc}

  3. Analysis types:

    (a). Strong coupling: static, transient, or harmonic

    (b). Weak coupling: static or transient

Note

Strong coupling is supported only by PLANE223, SOLID226, and SOLID227.

{Qted} is applicable to only PLANE223, SOLID226, and SOLID227.

11.1.2.2. Magneto-Structural Analysis (Vector Potential)

(see Derivation of Electromagnetic Matrices and Piezoelectrics)

  1. Element type: PLANE13, SOLID62

  2. Matrix equation:

            (11–5)

    where:

    {F} = {Fnd} + {Fpr} + {Fac} + {Fth} + {Fjb} + {Fmx}

  3. Analysis types: Static or Transient

11.1.2.3. Magneto-Structural Analysis (Scalar Potential)

  1. Element type: SOLID5, SOLID98

  2. Matrix equation:

            (11–6)

    where:

    {F} = {Fnd} + {Fpr} + {Fac} + {Fth} + {Fmx}

  3. Analysis types: Static

11.1.2.4. Electromagnetic Analysis

(see Derivation of Electromagnetic Matrices and Voltage Forced and Circuit-Coupled Magnetic Field)

  1. Element type: PLANE13, PLANE53, SOLID97

  2. Matrix equation:

            (11–7)

    where:

    {I} = {Ind}

  3. Analysis types: Harmonic or Transient

11.1.2.5. Electro-Thermo-Structural Analysis

(see Derivation of Structural Matrices, Derivation of Heat Flow Matrices, Thermoelasticity, and Thermoelectrics)

  1. Element type: PLANE223, SOLID226, SOLID227

  2. Matrix equation

            (11–8)

    where:

    [Kt] = [Ktb] + [Ktc]
    {F} = {Fnd} + {Fpr} + {Fac}
    {Q} = {Qnd} + {Qg} + {Qc} + {Qj} + {Qp}
    {I} = {Ind}

  3. Analysis types: static and transient

11.1.2.6. Electro-Magneto-Thermo-Structural Analysis

(see Derivation of Electromagnetic Matrices and Piezoelectrics)

  1. Element types: SOLID5, SOLID98

  2. Matrix equation:

            (11–9)

    where:

    [Kt] = [Ktb] + [Ktc]
    {F} = {Fnd} + {Fth} + {Fac} + {Fjb} + {Fpr} + {Fmx}
    {Q} = {Qnd} + {Qg} + {Qj} + {Qc}
    {I} = {Ind}

  3. Analysis types: Static or Transient

11.1.2.7. Electro-Magneto-Thermal Analysis

(see Derivation of Electromagnetic Matrices)

  1. Element types: SOLID5, SOLID98

  2. Matrix equation:

            (11–10)

    where:

    [Kt] = [Ktb] + [Ktc]
    {Q} = {Qnd} + {Qg} + {Qj} + {Qc}
    {I} = {Ind}

  3. Analysis types: Static or Transient

11.1.2.8. Piezoelectric Analysis

(see Piezoelectrics)

  1. Element types: SOLID5, PLANE13, SOLID98, PLANE223, SOLID226, and SOLID227.

  2. Matrix equation:

            (11–11)

    where:

    {F} = {Fnd} + {Fth} + {Fac} + {Fpr}
    {L} = {Lnd} + {Lc} + {Lsc}

    Note

    {Lc} and {Lsc} are applicable to only PLANE223, SOLID226, and SOLID227.

  3. Analysis types: Static, modal, harmonic, or transient

11.1.2.9. Electroelastic Analysis

(see Electroelasticity)

  1. Element types: PLANE223, SOLID226, and SOLID227.

  2. Matrix equation:

            (11–12)

    where:

    {F} = {Fnd} + {Fth} + {Fac} + {Fpr} + {Fe}
    {L} = {Lnd} + {Lc} + {Lsc}

  3. Analysis types: Static or transient

11.1.2.10. Thermo-Piezoelectric Analysis

(see Derivation of Structural Matrices, Derivation of Heat Flow Matrices, Thermoelasticity, and Piezoelectrics)

  1. Element type: PLANE223, SOLID226, SOLID227

  2. Matrix equation

            (11–13)

    where:

    [Kt] = [Ktb] + [Ktc]
    {F} = {Fnd} + {Fpr} + {Fac}
    {Q} = {Qnd} + {Qg} + {Qc}
    {L} = {Lnd} + {Lc} + {Lsc}

  3. Analysis types: static, transient, or harmonic

11.1.2.11. Piezoresistive Analysis

(see Piezoresistivity)

  1. Element type: PLANE223, SOLID226, SOLID227

  2. Matrix equation:

            (11–14)

    where:

    [Kv] = conductivity matrix (see (Equation 11–57)) updated for piezoresistive effects
    {F} = {Fnd} + {Fth} + {Fpr} + {Fac)
    {I} = {Ind}

  3. Analysis types: Static or transient

11.1.2.12. Thermo-Pressure Analysis

(see FLUID116 - Coupled Thermal-Fluid Pipe)

  1. Element type: FLUID116

  2. Matrix equation:

            (11–15)

    where:

    [Kt] = [Ktb] + [Ktc] + [Ktm]
    {Q} = {Qnd} + {Qc} + {Qg}
    {W} = {Wnd} + {Wh}

  3. Analysis types: Static or Transient

11.1.2.13. Velocity-Thermo-Pressure Analysis

(See Derivation of Fluid Flow Matrices)

  1. Element type: FLUID141 and FLUID142

  2. Matrix equation ([A] matrices combine effects of [C] and [K] matrices):

            (11–16)

            (11–17)

            (11–18)

            (11–19)

            (11–20)

            (11–21)

            (11–22)

    where:

    [AVX] = advection-diffusion matrix for Vx velocities = function of previous {Vx}, {Vy}, {Vz}, {T}, {k}, and {ε}
    [AVY] = advection-diffusion matrix for Vy velocities = function of previous {Vx}, {Vy}, {Vz}, {T}, {k}, and {ε}
    [AVZ] = advection-diffusion matrix for Vz velocities = function of previous {Vx}, {Vy}, {Vz}, {T}, {k}, and {ε}
    [AP] = pressure coefficient matrix = function of previous {Vx}, {Vy}, {Vz}, {T}, {k}, and {ε}
    [AT] = advection-diffusion matrix for temperature = function of previous {Vx}, {Vy}, {Vz}, and {T}
    [Ak] = advection-diffusion matrix for turbulent kinetic energy = function of previous {Vx}, {Vy}, {Vz}, {k}, and {ε}
    [Aε] = advection-diffusion matrix for dissipation energy = function of previous {Vx}, {Vy}, {Vz}, {k}, and {ε}
    {FVX} = load vector for Vx velocities = function of previous {P} and {T}
    {FVY} = load vector for Vy velocities = function of previous {P} and {T}
    {FVZ} = load vector for Vz velocities = function of previous {P} and {T}
    {FP} = pressure load vector = function of previous {Vx}, {Vy} and {Vz}
    {FT} = heat flow vector = function of previous {T}
    {Fk} = turbulent kinetic energy load vector = function of previous {Vx}, {Vy}, {Vz}, {T}, {k}, and {ε}
    {Fε} = dissipation rate load vector = function of previous {Vx}, {Vy}, {Vz}, {k}, and {ε}

  3. Analysis types: Static or Transient

11.1.2.14. Pressure-Structural (Acoustic) Analysis

(see Derivation of Acoustics Fluid Matrices)

  1. Element type: FLUID29 and FLUID30 (with other structural elements)

  2. Matrix equation:

            (11–23)

    where:

    {F} = {Fnd}
    {W} = {Wnd}

    Note that [M], [C], and [K] are provided by other elements.

  3. Analysis types: Transient, harmonic and modal analyses can be performed. Applicable matrices are shown in the following table:

    Modal | Transient | Harmonic
    Damped | Unsym. | Sym. | Unsym. | Sym.
    [M] * * * *
    [Mfs] * * * *
    [Mp] * * * * * *
    [C] * * *
    [Cp] * * * *
    [K] * * * *
    [Kfs] * * * *
    [Kp] * * * * * *
    {Fnd} * *

11.1.2.15. Thermo-Electric Analysis

  1. Element types: SOLID5, PLANE67, LINK68, SOLID69, SOLID98, SHELL157, PLANE223, SOLID226, and SOLID227

  2. Matrix equation:

            (11–24)

    where:

    [Kt] = [Ktb] + [Ktc]
    {Q} = {Qnd} + {Qc} + {Qg} + {Qj} + {Qp}
    {I} = {Ind}

    Note

    {Qp}, [Kvt], and [Cv] are used only for PLANE223, SOLID226, and SOLID227.

  3. Analysis types: Static or Transient

11.1.2.16. Magnetic-Thermal Analysis

(see Derivation of Electromagnetic Matrices)

  1. Element type: PLANE13

  2. Matrix equation:

            (11–25)

    where:

    [Kt] = [Ktb] + [Ktc]
    {Q} = {Qnd} + {Qg} + {Qj} + {Qc}

  3. Analysis types: Static or Transient

11.1.2.17. Circuit-Magnetic Analysis

(see Voltage Forced and Circuit-Coupled Magnetic Field)

  1. Element type: PLANE53, SOLID97, CIRCU124

  2. Matrix equation:

            (11–26)

  3. Analysis types: Static, Transient, or Harmonic

Table 11.3 Nomenclature of Coefficient Matrices

Symbol | Meaning | Usage
[M] | structural mass matrix (discussed in Derivation of Structural Matrices) | [1]
[Mfs] | fluid-structure coupling mass matrix (discussed in Derivation of Acoustics Fluid Matrices) | [1]
[Mp] | acoustic mass matrix (discussed in Derivation of Acoustics Fluid Matrices) | [1]
[C] | structural damping matrix (discussed in Derivation of Structural Matrices) | [2]
[Ct] | thermal specific heat matrix (discussed in Derivation of Heat Flow Matrices) | [2]
[Ctu] | thermoelastic damping matrix (discussed in Thermoelasticity) | [2]
[CAA] | magnetic damping matrix (discussed in Electromagnetic Field Evaluations) | [2]
[Cp] | acoustic damping matrix (discussed in Derivation of Acoustics Fluid Matrices) | [2]
[CAv] | magnetic-electric damping matrix (discussed in Derivation of Electromagnetic Matrices) | [2]
[Cvv] | electric damping matrix (discussed in Derivation of Electromagnetic Matrices) | [2]
[CiA] | inductive damping matrix (discussed in Voltage Forced and Circuit-Coupled Magnetic Field) | [2]
[Cv] | dielectric permittivity coefficient matrix (discussed in Quasistatic Electric Analysis) | [2]
[Cvh] | dielectric damping matrix (discussed in Quasistatic Electric Analysis) | [2]
[K] | structural stiffness matrix (discussed in Derivation of Structural Matrices) | [3]
[Kt] | thermal conductivity matrix (may consist of 1, 2, or 3 of the following 3 matrices) (discussed in Derivation of Heat Flow Matrices) | [3]
[Ktb] | thermal conductivity matrix of material (discussed in Derivation of Heat Flow Matrices) | [3]
[Ktc] | thermal conductivity matrix of convection surface (discussed in Derivation of Heat Flow Matrices) | [3]
[Ktm] | thermal conductivity matrix associated with mass transport (discussed in Derivation of Heat Flow Matrices) | [3]
[Kut] | thermoelastic stiffness matrix (discussed in Thermoelasticity) | [3]
[Km] | scalar magnetic potential coefficient matrix (discussed in Derivation of Electromagnetic Matrices) | [3]
[KAA] | vector magnetic potential coefficient matrix (discussed in Derivation of Electromagnetic Matrices) | [3]
[KAi] | potential-current coupling stiffness matrix (discussed in Voltage Forced and Circuit-Coupled Magnetic Field) | [3]
[Kii] | resistive stiffness matrix (discussed in Voltage Forced and Circuit-Coupled Magnetic Field) | [3]
[Kie] | current-emf coupling stiffness (discussed in Voltage Forced and Circuit-Coupled Magnetic Field) | [3]
[Kv] | electrical conductivity coefficient matrix (discussed in Derivation of Electromagnetic Matrices) | [3]
[Kz] | piezoelectric stiffness matrix (discussed in Piezoelectrics) | [3]
[Kd] | dielectric coefficient matrix (discussed in Piezoelectrics) | [3]
[Kf] | momentum matrix due to diffusion (discussed in Derivation of Fluid Flow Matrices) | [3]
[Kg] | buoyancy matrix (discussed in Derivation of Fluid Flow Matrices) | [3]
[Kc] | pressure gradient matrix (discussed in Derivation of Fluid Flow Matrices) | [3]
[Kp] | pressure coefficient or fluid stiffness matrix (discussed in Derivation of Fluid Flow Matrices) | [3]
[Kfs] | fluid-structure coupling stiffness matrix (discussed in Derivation of Fluid Flow Matrices) | [3]
[Kvt] | Seebeck coefficient coupling matrix | [3]

  1. Coefficient matrices of second time derivatives of unknowns.

  2. Coefficient matrices of first time derivative of unknowns

  3. Coefficient matrices of unknowns

Vectors of Knowns

Symbol | Meaning | Associated Input / Output Label
{Fnd} | applied nodal force vector (discussed in Derivation of Structural Matrices) | FX ... MZ
{Fnr} | Newton-Raphson restoring load vector (discussed in Newton-Raphson Procedure | FX ... MZ
{Fth} | thermal strain force vector (discussed in Derivation of Structural Matrices) | FX ... MZ
{Fpr} | pressure load vector (discussed in Derivation of Structural Matrices) | FX ... MZ
{Fac} | force vector due to acceleration effects (i.e., gravity) (discussed in Derivation of Structural Matrices) | FX ... MZ
{Fjb} | Lorentz force vector (discussed in Derivation of Electromagnetic Matrices) | FX ... FZ
{Fmx} | Maxwell force vector (discussed in Derivation of Electromagnetic Matrices) | FX ... FZ
{Fe} | electrostatic body force load vector (discussed in Electroelasticity) | FX ...FZ
{Fb} | body force load vector due to non-gravity effects (discussed in Derivation of Heat Flow Matrices) | FX ... MZ
{Qnd} | applied nodal heat flow rate vector (discussed in Derivation of Heat Flow Matrices) | HEAT, HBOT, HE2, ... HTOP
{Qf} | heat flux vector (discussed in Derivation of Heat Flow Matrices) | HEAT, HBOT, HE2, ... HTOP
{Qc} | convection surface vector (discussed in Derivation of Heat Flow Matrices) | HEAT, HBOT, HE2, ... HTOP
{Qg} | heat generation rate vector for causes other than Joule heating (discussed in Derivation of Heat Flow Matrices) | HEAT, HBOT, HE2, ... HTOP
{Qj} | heat generation rate vector for Joule heating (discussed in Electromagnetic Field Evaluations) | HEAT
{Qp} | Peltier heat flux vector (discussed in Thermoelectrics) | HEAT
{Qted} | heat generation rate vector for thermoelastic damping | HEAT
 | applied nodal source current vector (associated with {A}) (discussed in Derivation of Electromagnetic Matrices) | CSGX, CSGY, CSGZ
 | applied nodal flux vector (associated with {φ}) (discussed in Derivation of Electromagnetic Matrices) | FLUX
{Ψg} | source (Biot-Savart) vector (discussed in Derivation of Electromagnetic Matrices) | FLUX
{Ψpm} | coercive force (permanent magnet) vector (discussed in Derivation of Electromagnetic Matrices) | FLUX
{Ψs} | source current vector (discussed in Derivation of Electromagnetic Matrices) | FLUX
{Ind} | applied nodal electric current vector (discussed in Derivation of Electromagnetic Matrices) | AMPS
{Lnd} | applied nodal charge vector (discussed in Piezoelectrics) | AMPS (CHRG for PLANE223, SOLID226, and SOLID227)
{Lc} | charge density load vector (discussed in Derivation of Electromagnetic Matrices) | CHRGD
{Lsc} | surface charge density load vector (discussed in Derivation of Electromagnetic Matrices) | CHRGS
{Wnd} | applied nodal fluid flow vector (discussed in FLUID116 - Coupled Thermal-Fluid Pipe) | FLOW
{Wh} | static head vector (discussed in FLUID116 - Coupled Thermal-Fluid Pipe) | FLOW

Vectors of Unknowns

{u} | displacement vector (discussed in Derivation of Structural Matrices) | UX ... ROTZ
{T} | thermal potential (temperature) vector (discussed in (discussed in Derivation of Heat Flow Matrices and Derivation of Fluid Flow Matrices) | TEMP, TBOT, TE2, ... TTOP
{V} | electric potential vector (discussed in Derivation of Electromagnetic Matrices) | VOLT
{ν} | time integrated electric potential vector (discussed in Derivation of Electromagnetic Matrices) | VOLT
{φ} | magnetic scalar potential vector (discussed in Derivation of Electromagnetic Matrices) | MAG
{A} | magnetic vector potential vector (discussed in Derivation of Electromagnetic Matrices) | AX, AY, AZ
{i} | electric current vector (discussed in Voltage Forced and Circuit-Coupled Magnetic Field) | CURR
{e} | electromagnetic force drop vector (discussed in Voltage Forced and Circuit-Coupled Magnetic Field) | EMF
{P} | pressure vector (discussed in Derivation of Fluid Flow Matrices and Derivation of Acoustics Fluid Matrices) | PRES
{v} | velocity (discussed in Derivation of Fluid Flow Matrices) | VX, VY, VZ
{k} | turbulent kinetic energy (discussed in Derivation of Fluid Flow Matrices) | ENKE
{ε} | turbulent dissipation energy (discussed in Derivation of Fluid Flow Matrices) | ENDS
. | time derivative |
. . | second time derivative |

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 11. Coupling 		Up / Home Next
11.2. Thermoelasticity


11.2. Thermoelasticity

The capability to do a thermoelastic analysis exists in the following elements:

PLANE223 - 2-D 8-Node Coupled-Field Solid
SOLID226 - 3-D 20-Node Coupled-Field Solid
SOLID227 - 3-D 10-Node Coupled-Field Solid

These elements support both the thermal expansion and piezocaloric effects, and use the strong (matrix) coupling method.

In addition to the above, the following elements support the thermal expansion effect only in the form of a thermal strain load vector, i.e. use weak coupling method:

SOLID5 - 3-D 8-Node Coupled-Field Solid
PLANE13 - 2-D 4-Node Coupled-Field Solid
SOLID98 - 3-D 10-Node Coupled-Field Solid

Constitutive Equations of Thermoelasticity

The coupled thermoelastic constitutive equations (Nye(359)) are:

(11–27)

(11–28)

where:

{ε} = total strain vector = [εx εy εz εxy εyz εxz]T
S = entropy density
{σ} = stress vector = [σx σy σz σxy σyz σxz]T
ΔT = T - Tref
T = current temperature
T0 = absolute reference temperature = Tref + Toff
Tref = reference temperature (input on TREF command or as REFT on MP command)
Toff = offset temperature from absolute zero to zero (input on TOFFST command)
[D] = elastic stiffness matrix (inverse defined in (Equation 2–4) or input using TB,ANEL command)
{α} = vector of coefficients of thermal expansion = [αx αy αz 0 0 0]T (input using, for example, ALPX, ALPY, ALPZ on MP command)
ρ = density (input as DENS on MP command)
Cp = specific heat at constant stress or pressure (input as C on MP command)

Using {ε} and ΔT as independent variables, and replacing the entropy density S in (Equation 11–28) by heat density Q using the second law of thermodynamics for a reversible change

(11–29)

we obtain

(11–30)

(11–31)

where:

{β} = vector of thermoelastic coefficients = [D] {α}

Substituting Q from (Equation 11–31) into the heat flow equation (Equation 6–1) produces:

(11–32)

where:

Kxx, Kyy, Kzz = thermal conductivities (input as KXX, KYY, KZZ on MP command)

Derivation of Thermoelastic Matrices

Applying the variational principle to stress equation of motion and the heat flow conservation equation coupled by the thermoelastic constitutive equations, produces the following finite element matrix equation:

(11–33)

where:

[M] = element mass matrix (defined by (Equation 2–58))
[C] = element structural damping matrix (discussed in Damping Matrices)
[K] = element stiffness matrix (defined by (Equation 2–58))
{u} = displacement vector
{F} = sum of the element nodal force (defined by (Equation 2–56)) and element pressure (defined by (Equation 2–58)) vectors
[Ct] = element specific heat matrix (defined by (Equation 6–21))
[Kt] = element diffusion conductivity matrix (defined by (Equation 6–21))
{T} = temperature vector
{Q} = sum of the element heat generation load and element convection surface heat flow vectors (defined by (Equation 6–21))
[B] = strain-displacement matrix (see (Equation 2–44))
[Ctu] = element thermoelastic damping matrix = -T0[Kut]T

Energy Calculation

In a static and transient thermoelastic analyses, the element instantaneous total strain energy is calculated as:

(11–34)

where:

Ut = total strain energy (output as an NMISC element item).

Note that (Equation 11–34) uses the total strain, whereas the standard strain energy (output as SENE) uses the elastic strain.

In a harmonic thermoelastic analysis, the time-averaged element total strain energy is given by:

(11–35)

where:

{ε}* = complex conjugate of the total strain

The real part of (Equation 11–35) represents the average stored strain energy, while it's imaginary part - the average energy loss due to thermoelastic damping.

The thermoelastic damping can be quantified by the quality factor {Q} derived from the total strain energy (Equation 11–35) using the real and imaginary solution sets:

(11–36)

where:

Ne = number of thermoelastic elements

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
11.1. Coupled Effects 		Up / Home Next
11.3. Piezoelectrics


11.3. Piezoelectrics

The capability of modeling piezoelectric response exists in the following elements:

SOLID5 - 3-D 8-Node Coupled-Field Solid
PLANE13 - 2-D 4-Node Coupled-Field Solid
SOLID98 - 3-D 10-Node Coupled-Field Solid
PLANE223 - 2-D 8-Node Coupled-Field Solid
SOLID226 - 3-D 20-Node Coupled-Field Solid
SOLID227 - 3-D 10-Node Coupled-Field Solid

Constitutive Equations of Piezoelectricity

In linear piezoelectricity the equations of elasticity are coupled to the charge equation of electrostatics by means of piezoelectric constants (IEEE Standard on Piezoelectricity(89)):

(11–37)

(11–38)

or equivalently

(11–39)

where:

{T} = stress vector (referred to as {σ} elsewhere in this manual)
{D} = electric flux density vector
{S} = strain vector (referred to as {ε } elsewhere in this manual)
{E} = electric field intensity vector
[cE] = elasticity matrix (evaluated at constant electric field (referred to as [D] elsewhere in this manual))
[e] = piezoelectric stress matrix
[εS] = dielectric matrix (evaluated at constant mechanical strain)

(Equation 11–37) and (Equation 11–38) are the usual constitutive equations for structural and electrical fields, respectively, except for the coupling terms involving the piezoelectric matrix [e].

The elasticity matrix [c] is the usual [D] matrix described in Structural Fundamentals (input using the MP commands). It can also be input directly in uninverted form [c] or in inverted form [c]-1 as a general anisotropic symmetric matrix (input using TB,ANEL):

(11–40)

The piezoelectric stress matrix [e] (input using TB,PIEZ with TBOPT = 0) relates the electric field vector {E} in the order X, Y, Z to the stress vector {T} in the order X, Y, Z, XY, YZ, XZ and is of the form:

(11–41)

The piezoelectric matrix can also be input as a piezoelectric strain matrix [d] (input using TB,PIEZ with TBOPT = 1). ANSYS will automatically convert the piezoelectric strain matrix [d] to a piezoelectric stress matrix [e] using the elasticity matrix [c] at the first defined temperature:

(11–42)

The orthotropic dielectric matrix [εS] uses the electrical permittivities (input as PERX, PERY and PERZ on the MP commands) and is of the form:

(11–43)

The anisotropic dielectric matrix at constant strain [εS] (input using TB,DPER,,,,0 command) is used by PLANE223, SOLID226, and SOLID227 and is of the form:

(11–44)

The dielectric matrix can also be input as a dielectric permittivity matrix at constant stress [εT] (input using TB,DPER,,,,1). The program will automatically convert the dielectric matrix at constant stress to a dielectric matrix at constant strain:

(11–45)

where:

[εS] = dielectric permittivity matrix at constant strain
[εT] = dielectric permittivity matrix at constant stress
[e] = piezoelectric stress matrix
[d] = piezoelectric strain matrix

Derivation of Piezoelectric Matrices

After the application of the variational principle and finite element discretization (Allik(81)), the coupled finite element matrix equation derived for a one element model is:

(11–46)

where:

[K] = element stiffness matrix (defined by (Equation 2–58))
[M] = element mass matrix (defined by (Equation 2–58))
[C] = element structural damping matrix (discussed in Damping Matrices)
{F} = vector of nodal and surface forces (defined by (Equation 2–56) and (Equation 2–58))
[Kd] = element dielectric permittivity coefficient matrix ([Kvs] in (Equation 5–114) or [Kvh] in (Equation 5–113))
{L} = vector of nodal, surface, and body charges (defined by (Equation 5–114))
[B] = strain-displacement matrix (see (Equation 2–44))
[Cvh] = element dielectric damping matrix (defined by (Equation 5–113))

In the reduced mode-frequency analysis (ANTYPE,MODAL), the potential DOF is not usable as a master DOF in the reduction process since it has no mass and is, therefore, condensed into the master DOF.

In a harmonic response analysis (ANTYPE,HARMIC), the potential DOF is allowed as a master DOF.

Energy Calculation

The following energies are calculated for each piezoelectric element:

Elastic energy:

(11–47)

Dielectric energy:

(11–48)

Electromechanical coupling energy:

(11–49)

The potential energy (output as OUTPR,VENG command) is calculated as:

(11–50)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
11.2. Thermoelasticity 		Up / Home Next
11.4. Electroelasticity


11.4. Electroelasticity

The capability of modeling electrostatic force coupling in elastic dielectrics exists in the following elements:

PLANE223 - 2-D 8-Node Coupled-Field Solid
SOLID226 - 3-D 20-Node Coupled-Field Solid
SOLID227 - 3-D 10-Node Coupled-Field Solid

Elastic dielectrics exhibit a deformation when subject to an electrostatic field. The electrostatic body force that causes the deformation can be derived from the Maxwell stress tensor [σM] (Landau and Lifshitz(358)).

(11–51)

where:

{E} = electric field intensity vector
{D} = electric flux density vector

Applying the variational principle to the stress equation of motion with the electrostatic body force loading and to the charge equation of electrostatics, produces the following finite element equation for electroelasticity:

(11–52)

where:

[K] = element structural stiffness matrix (see [Ke] in (Equation 2–58))
[M] = element mass matrix (see [Me] in (Equation 2–58))
[C] = element structural damping matrix (discussed in Damping Matrices)
{F} = vector of nodal and surface forces (defined by (Equation 2–56) and (Equation 2–58))
[B] = strain-displacement matrix (see (Equation 2–44))
[Kd] = element dielectric permittivity coefficient matrix (see [Kvs] in (Equation 5–114))
{L} = vector of nodal, surface, and body charges (see {Le} in (Equation 5–114))

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
11.3. Piezoelectrics 		Up / Home Next
11.5. Piezoresistivity


11.5. Piezoresistivity

The capability to model piezoresistive effect exists in the following elements:

PLANE223 - 2-D 8-Node Coupled-Field Solid
SOLID226 - 3-D 20-Node Coupled-Field Solid
SOLID227 - 3-D 10-Node Coupled-Field Solid

In piezoresistive materials, stress or strain cause a change of electric resistivity:

(11–53)

where:

(11–54)

where:

{r} = vector of matrix [r] components = [rx ry rz rxy ryz rxz]T

Similarly, for strains:

(11–55)

where:

[m] = piezoresistive strain matrix (input on TB,PZRS command with TBOPT = 1)
{εel} = elastic strain vector

The coupled-field finite element matrix equation for the piezoresistive analysis is given by:

(11–56)

The terms used in the above equation are explained in Piezoresistive Analysis where the conductivity matrix [Kv] is derived as:

(11–57)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
11.4. Electroelasticity 		Up / Home Next
11.6. Thermoelectrics


11.6. Thermoelectrics

The capability to model thermoelectric effects exists in the following elements:

PLANE223 - 2-D 8-Node Coupled-Field Solid
SOLID226 - 3-D 20-Node Coupled-Field Solid
SOLID227 - 3-D 10-Node Coupled-Field Solid

These elements support the Joule heating effect (irreversible), and the Seebeck, Peltier, and Thomson effects (reversible).

In addition to the above, the following elements support a basic thermoelectric analysis that takes into consideration Joule heating effect only:

SOLID5 - 3-D 8-Node Coupled-Field Solid
PLANE67 - 2-D 4-Node Coupled Thermal-Electric Solid
LINK68 - 3-D 2-Node Coupled Thermal-Electric Line
SOLID69 - 3-D 8-Node Coupled Thermal-Electric Solid
SOLID98 - 3-D 10-Node Coupled-Field Solid
SHELL157 - 3-D 4-Node Thermal-Electric Shell

Constitutive Equations of Thermoelectricity

The coupled thermoelectric constitutive equations (Landau and Lifshitz(358)) are:

(11–58)

(11–59)

Substituting [Π] with T[α] to further demonstrate the coupling between the above two equations,

(11–60)

(11–61)

where:

[Π] = Peltier coefficient matrix = T[α]
T = absolute temperature
{q} = heat flux vector (output as TF)
{J} = electric current density (output as JC for elements that support conduction current calculation)
{E} = electric field (output as EF)
αxx, αyy, αzz = Seebeck coefficients (input as SBKX, SBKY, SBKZ on MP command)
Kxx, Kyy, Kzz = thermal conductivities (input as KXX, KYY, KZZ on MP command)
ρxx, ρyy, ρzz = resistivity coefficients (input as RSVX, RSVY, RSVZ on MP command)

Note that the Thomson effect is associated with the temperature dependencies of the Seebeck coefficients (MPDATA,SBKX also SBKY, SBKZ).

Derivation of Thermoelectric Matrices

After the application of the variational principle to the equations of heat flow ((Equation 6–1)) and of continuity of electric charge ((Equation 5–5)) coupled by (Equation 11–58) and (Equation 11–59), the finite element equation of thermoelectricity becomes (Antonova and Looman(90)):

(11–62)

where:

[Kt] = element diffusion conductivity matrix (defined by (Equation 6–21))
[Ct] = element specific heat matrix (defined by (Equation 6–21))
{Q} = sum of the element heat generation load and element convection surface heat flow vectors (defined by (Equation 6–21))
[Kv] = element electrical conductivity coefficient matrix (defined by (Equation 5–112))
[Cv] = element dielectric permittivity coefficient matrix (defined by (Equation 5–112))
{N} = element shape functions
{I} = vector of nodal current load

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
11.5. Piezoresistivity 		Up / Home Next
11.7. Review of Coupled Electromechanical Methods


11.7. Review of Coupled Electromechanical Methods

The sequential coupling between electrical and mechanical finite element physics domains for coupled Electromechanical analysis can be performed by the ANSYS Multi-field solver. The ANSYS Multi-field solver allows the most general treatment of individual physics domains. However, it cannot be applied to small signal modal and harmonic analyses because a total system eigen frequency analysis requires matrix coupling. Moreover, sequential coupling generally converges slower.

Strong Electromechanical coupling can be performed by transducer elements:

TRANS126, Gyimesi and Ostergaard(248), Gyimesi and Ostergaard(330), TRANS126 - Electromechanical Transducer (also see Electromechanical Transducers
TRANS109, TRANS109 - 2-D Electromechanical Transducer

Both TRANS126 and TRANS109 completely model the fully coupled system, converting electrostatic energy into mechanical energy and vise versa as well as storing electrostatic energy. Coupling between electrostatic forces and mechanical forces is obtained from virtual work principles (Gyimesi and Ostergaard(248), Gyimesi et al.(329)).

TRANS126 takes on the form of a 2-node line element with electrical voltage and mechanical displacement DOFs as across variables and electric current and mechanical force as through variables. Input for the element consists of a capacitance-stroke relationship that can be derived from electrostatic field solutions and using the CMATRIX command macro (Gyimesi et al.(288), Gyimesi and Ostergaard(289), (Capacitance Computation)).

The element can characterize up to three independent translation degrees of freedom at any point to simulate 3-D coupling. Thus, the electrostatic mesh is removed from the problem domain and replaced by a set of TRANS126 elements hooked to the mechanical and electrical model providing a reduced order modeling of a coupled electromechanical system (Gyimesi and Ostergaard (286), Gyimesi et al.(287), (Open Boundary Analysis with a Trefftz Domain)).

TRANS126 allows treatment of all kinds of analysis types, including prestressed modal and harmonic analyses. However, TRANS126 is limited geometrically to problems when the capacitance can be accurately described as a function of a single degree of freedom, usually the stroke of a comb drive. In a bending electrode problem, like an optical switch, obviously, a single TRANS126 element can not be applied. When the gap is small and fringing is not significant, the capacitance between deforming electrodes can be practically modeled reasonably well by several capacitors connected parallel. The EMTGEN (electromechanical transducer generator) command macro can be applied to this case.

For more general 2-D geometries the 3-node transducer element TRANS109 (Gyimesi et al.(329)) is recommended (TRANS109 - 2-D Electromechanical Transducer). TRANS109 has electrical voltage and mechanical displacements as degrees of freedom. TRANS109 has electrical charge and mechanical force as reaction solution. TRANS109 can model geometries where it would be difficult to obtain a capacitance-stroke relationship, however, TRANS109 can be applied only in static and transient analyses - prestressed modal and harmonic analyses are not supported.

The Newton-Raphson nonlinear iteration converges more quickly and robustly with TRANS126 than with TRANS109. Convergence issues may be experienced even with TRANS126 when applied to the difficult hysteric pull-in and release analysis (Gyimesi et al.(329), Avdeev et al.(331)) because of the negative total system stiffness matrix. The issue is resolved when the augmented stiffness method is applied in TRANS126. TRANS109 Laplacian mesh morphing algorithm may result in convergence problems. See the Magnetic User Guides for their treatment.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
11.6. Thermoelectrics 		Up / Home Next
Chapter 12. Shape Functions


Chapter 12. Shape Functions

This chapter provides the shape functions for ANSYS elements. The shape functions are referred to by the individual element descriptions in "Element Library". All subheadings for this chapter are included in the table of contents to aid in finding a specific type of shape function.

The following shape function topics are available:

  • Understanding Shape Function Labels
  • 2-D Lines
  • 3-D Lines
  • Axisymmetric Shells
  • Axisymmetric Harmonic Shells
  • 3-D Shells
  • 2-D and Axisymmetric Solids
  • Axisymmetric Harmonic Solids
  • 3-D Solids
  • Electromagnetic Edge Elements
  • High Frequency Electromagnetic Tangential Vector Elements

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
11.7. Review of Coupled Electromechanical Methods 		Up / Home Next
12.1. Understanding Shape Function Labels


12.1. Understanding Shape Function Labels

The given functions are related to the nodal quantities by:

Table 12.1 Shape Function Labels

Variable | Input/Output Label | Meaning
u | UX | Translation in the x (or s) direction
v | UY | Translation in the y (or t) direction
w | UZ | Translation in the x (or r) direction
θx | ROTX | Rotation about the x direction
θy | ROTY | Rotation about the y direction
θz | ROTZ | Rotation about the z direction
Ax | AX | X-component of vector magnetic potential
Ay | AY | Y-component of vector magnetic potential
Az | AZ | Z-component of vector magnetic potential
Vx | VX | Velocity in the x direction
Vy | VY | Velocity in the y direction
Vz | VZ | Velocity in the z direction
 |  | Unused
P | PRES | Pressure
T | TEMP, TBOT, TE2, ... TTOP | Temperature
V | VOLT | Electric potential or source current
φ | MAG | Scalar magnetic potential
Ek | ENKE | Turbulent kinetic energy
ED | ENDS | Energy dissipation

The vector correspondences are not exact, since, for example, u, v, and w are in the element coordinate system, whereas UX, UY, UZ represent motions in the nodal coordinate system. Generally, the element coordinate system is the same as the global Cartesian system, except for:

  1. Line elements (2-D Lines to Axisymmetric Harmonic Shells), where u motions are axial motions, and v and w are transverse motions.

  2. Shell elements (3-D Shells), where u and v are in-plane motions and w is the out-of-plane motion.

Subscripted variables such as uJ refer to the u motion at node J. When these same variables have numbers for subscripts (e.g. u1), nodeless variables for extra shape functions are being referred to. Coordinates s, t, and r are normalized, going from -1.0 on one side of the element to +1.0 on the other, and are not necessarily orthogonal to one another. L1, L2, L3, and L4 are also normalized coordinates, going from 0.0 at a vertex to 1.0 at the opposite side or face.

Elements with midside nodes allow those midside nodes to be dropped in most cases. A dropped midside node implies that the edge is and remains straight, and that any other effects vary linearly along that edge.

Gaps are left in the equation numbering to allow for additions. Labels given in subsection titles within parentheses are used to relate the given shape functions to their popular names, where applicable.

Some elements in "Element Library" (notably the 8 node solids) imply that reduced element geometries (e.g., wedge) are not available. However, the tables in "Element Library" refer only to the available shape functions. In other words, the shape functions used for the 8-node brick is the same as the 6-node wedge.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 12. Shape Functions 		Up / Home Next
12.2. 2-D Lines


12.2. 2-D Lines

This section contains shape functions for line elements without and with rotational degrees of freedom (RDOF).

Figure 12.1 2–D Line Element

12.2.1. 2-D Lines without RDOF

These shape functions are for 2-D line elements without RDOF, such as LINK1 or LINK32.

(12–1)

(12–2)

(12–3)

12.2.2. 2-D Lines with RDOF

These shape functions are for 2-D line elements with RDOF, such as BEAM3.

(12–4)

(12–5)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.1. Understanding Shape Function Labels 		Up / Home Next
12.3. 3-D Lines


12.3. 3-D Lines

This section contains shape functions for line elements without and with rotational degrees of freedom (RDOF).

Figure 12.2 3–D Line Element

12.3.1. 3-D 2 Node Lines without RDOF

These shape functions are for 3-D 2 node line elements without RDOF, such as LINK8, LINK33, LINK68, or BEAM188.

(12–6)

(12–7)

(12–8)

(12–9)

(12–10)

(12–11)

(12–12)

(12–13)

(12–14)

12.3.2. 3-D 2 Node Lines with RDOF

These shape functions are for 3-D 2-node line elements with RDOF, such as BEAM4.

(12–15)

(12–16)

(12–17)

(12–18)

12.3.3. 3-D 3 Node Lines

These shape functions are for 3-D 3 node line elements such as BEAM189.

(12–19)

(12–20)

(12–21)

(12–22)

(12–23)

(12–24)

(12–25)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.2. 2-D Lines 		Up / Home Next
12.4. Axisymmetric Shells


12.4. Axisymmetric Shells

This section contains shape functions for 2-node axisymmetric shell elements under axisymmetric load. These elements may have extra shape functions (ESF).

12.4.1. Axisymmetric Shell without ESF

These shape functions are for 2-node axisymmetric shell elements without extra shape functions, such as SHELL61.

(12–26)

(12–27)

(12–28)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.3. 3-D Lines 		Up / Home Next
12.5. Axisymmetric Harmonic Shells


12.5. Axisymmetric Harmonic Shells

This section contains shape functions for 2-node axisymmetric shell elements under nonaxisymmetric (harmonic) load. These elements may have extra shape functions (ESF).

Figure 12.3 Axisymmetric Harmonic Shell Element

The shape functions of this section use the quantities sin [image] β and cos [image] β, where [image] = input quantity MODE on the MODE command. The sin [image] β and cos [image] β are interchanged if Is = -1, where Is = input quantity ISYM on the MODE command. If [image] = 0, both sin [image] β and cos [image] β are set equal to 1.0.

12.5.1. Axisymmetric Harmonic Shells without ESF

These shape functions are for 2-node axisymmetric harmonic shell elements without extra shape functions, such as SHELL61 with KEYOPT(3) = 1.

(12–29)

(12–30)

(12–31)

12.5.2. Axisymmetric Harmonic Shells with ESF

These shape functions are for 2-node axisymmetric harmonic shell elements with extra shape functions, such as SHELL61 with KEYOPT(3) = 0.

(12–32)

(12–33)

(12–34)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.4. Axisymmetric Shells 		Up / Home Next
12.6. 3-D Shells


12.6. 3-D Shells

This section contains shape functions for 3-D shell elements. These elements are available in a number of configurations, including certain combinations of the following features:

  • triangular or quadrilateral.

    - if quadrilateral, with or without extra shape functions (ESF).

  • with or without rotational degrees of freedom (RDOF).

    - if with RDOF, with or without shear deflections (SD).

  • with or without midside nodes.

Figure 12.4 3-D Shell Elements

12.6.1. 3-D 3-Node Triangular Shells without RDOF (CST)

These shape functions are for 3-D 3-node triangular shell elements without RDOF, such as SHELL41, SHELL131, or SHELL132:

(12–35)

(12–36)

(12–37)

(12–38)

(12–39)

(12–40)

(12–41)

(12–42)

12.6.2. 3-D 6-Node Triangular Shells without RDOF (LST)

These shape functions are for 3-D 6-node triangular shell elements without RDOF, such as the mass or stress stiffening matrix of SHELL93:

(12–43)

(12–44)

(12–45)

(12–46)

(12–47)

12.6.3. 3-D 3-Node Triangular Shells with RDOF but without SD

These shape functions are for the 3-D 3-node triangular shell elements with RDOF, but without shear deflection, such as SHELL63 when used as a triangle.

(12–48)

(12–49)

(12–50)

12.6.4. 3-D 3-Node Triangular Shells with RDOF and with SD

These shape functions are for 3-D 3-node triangular shell elements with RDOF and with shear deflection, such as SHELL43 when used as a triangle.

(12–51)

where:

Ni = shape functions given with u for PLANE42 ((Equation 12–81))
ui = motion of node i
r = thickness coordinate
ti = thickness at node i
{a} = unit vector in s direction
{b} = unit vector in plane of element and normal to {a}
θx,i = rotation of node i about vector {a}
θy,i = rotation of node i about vector {b}

Note that the nodal translations are in global Cartesian space, and the nodal rotations are based on element (s-t) space. Transverse shear strains in natural space (see Figure 12.5: "Interpolation Functions for Transverse Strains for Triangles") are assumed as:

(12–52)

where:

DI stands for values computed from assumed displacement fields directly. These assumptions can be seen to cause geometric anisotropy. See SHELL43 - 4-Node Plastic Large Strain Shell for more details. The in-plane RDOF (KEYOPT(3) = 2) logic is based on Allman(113).

Figure 12.5 Interpolation Functions for Transverse Strains for Triangles

12.6.5. 3-D 6-Node Triangular Shells with RDOF and with SD

These shape functions are for 3-D 6-node triangular shell elements with RDOF and with shear deflection, such as for the stiffness matrix of SHELL93:

(12–53)

where:

Ni = shape functions given with u for a 6-node triangle ((Equation 12–93))
ui, vi, wi = motion of node i
r = thickness coordinate
ti = thickness at node i
{a} = unit vector in s direction
{b} = unit vector in plane of element and normal to {a}
θx,i = rotation of node i about vector {a}
θy,i = rotation of node i about vector {b}

Note that the nodal translations are in global Cartesian space, and the nodal rotations are based on element (s-t) space.

12.6.6. 3-D 4-Node Quadrilateral Shells without RDOF and without ESF (Q4)

These shape functions are for 3-D 4-node triangular shell elements without RDOF and without extra displacement shapes, such as SHELL41 with KEYOPT(2) = 1 and the magnetic interface element INTER115.

(12–54)

(12–55)

(12–56)

(12–57)

(12–58)

(12–59)

(12–60)

(12–61)

(12–62)

(12–63)

12.6.7. 3-D 4-Node Quadrilateral Shells without RDOF but with ESF (QM6)

These shape functions are for 3-D 4-node quadrilateral shell elements without RDOF but with extra shape functions, such as SHELL41 with KEYOPT(2) = 0:

(12–64)

(12–65)

12.6.8. 3-D 8-Node Quadrilateral Shells without RDOF

These shape functions are for 3-D 8-node quadrilateral shell elements without RDOF such as the mass or stress stiffening matrix of SHELL93:

(12–66)

(12–67)

(12–68)

(12–69)

(12–70)

(12–71)

12.6.9. 3-D 4-Node Quadrilateral Shells with RDOF but without SD and without ESF

These shape functions are for 3-D 4-node quadrilateral shell elements with RDOF but without shear deflection and without extra shape functions, such as SHELL63 with KEYOPT(3) = 1 when used as a quadrilateral:

(12–72)

(12–73)

(12–74)

12.6.10. 3-D 4-Node Quadrilateral Shells with RDOF but without SD and with ESF

These shape functions are for 3-D 4-node quadrilateral shell elements with RDOF but without shear deflection and with extra shape functions, such as SHELL63 with KEYOPT(3) = 0 when used as a quadrilateral:

(12–75)

(12–76)

(12–77)

12.6.11. 3-D 4-Node Quadrilateral Shells with RDOF and with SD

These shape functions are for 3-D 4-node quadrilateral shell with RDOF and with shear deflection such as SHELL43. Both use and nonuse of extra shape functions are considered.

(12–78)

where:

Ni = shape functions given with u for in (Equation 12–100). Extra shapes, if requested, use the shape functions of (Equation 12–112)
ui, vi, wi = motion of node i
r = thickness coordinate
ti = thickness at node i
{a} = unit vector in s direction
{b} = unit vector in plane of element and normal to {a}
θx,i = rotation of node i about vector {a}
θy,i = rotation of node i about vector {b}

Note that the nodal translations are in global Cartesian space, and the nodal rotations are based on element (s-t) space. Transverse shear strains in natural space (Figure 12.6: "Interpolation Functions for the Transverse Strains for Quadrilaterals") are assumed as:

(12–79)

where:

DI stands for values computed from assumed displacement fields directly (see Figure 12.6: "Interpolation Functions for the Transverse Strains for Quadrilaterals"). See SHELL43 - 4-Node Plastic Large Strain Shell for more details. The in-plane RDOF logic is based on Yunus(117).

Figure 12.6 Interpolation Functions for the Transverse Strains for Quadrilaterals

12.6.12. 3-D 8-Node Quadrilateral Shells with RDOF and with SD

These shape functions are for 3-D 8-node quadrilateral shell elements with RDOF and with shear deflection, such as for the stiffness matrix of SHELL93:

(12–80)

where:

Ni = shape functions given with u for PLANE82, (Equation 12–114)
ui, vi, wi = motion of node i
r = thickness coordinate
ti = thickness at node i
{a} = unit vector in s direction
{b} = unit vector in plane of element and normal to {a}
θx,i = rotation of node i about vector {a}
θy,i = rotation of node i about vector {b}

Note that the nodal translations are in global Cartesian space, and the nodal rotations are based on element (s-t) space.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.5. Axisymmetric Harmonic Shells 		Up / Home Next
12.7. 2-D and Axisymmetric Solids


12.7. 2-D and Axisymmetric Solids

This section contains shape functions for 2-D and axisymmetric solid elements. These elements are available in a number of configurations, including certain combinations of the following features:

  • triangular or quadrilateral.

    - if quadrilateral, with or without extra shape functions (ESF).

  • with or without midside nodes.

Figure 12.7 2-D and Axisymmetric Solid Element

12.7.1. 2-D and Axisymmetric 3 Node Triangular Solids (CST)

These shape functions are for 2-D 3 node and axisymmetric triangular solid elements, such as PLANE13, PLANE42, PLANE67, or FLUID141 with only 3 nodes input:

(12–81)

(12–82)

(12–83)

(12–84)

(12–85)

(12–86)

(12–87)

(12–88)

(12–89)

(12–90)

(12–91)

(12–92)

12.7.2. 2-D and Axisymmetric 6 Node Triangular Solids (LST)

These shape functions are for 2-D 6 node and axisymmetric triangular solids, such as PLANE35 (or PLANE77 or PLANE82 reduced to a triangle):

(12–93)

(12–94)

(12–95)

(12–96)

(12–97)

(12–98)

(12–99)

12.7.3. 2-D and Axisymmetric 4 Node Quadrilateral Solid without ESF (Q4)

These shape functions are for the 2-D 4 node and axisymmetric quadrilateral solid elements without extra shape functions, such as PLANE13 with KEYOPT(2) = 1, PLANE42 with KEYOPT(2) = 1, LINK68, or FLUID141.

(12–100)

(12–101)

(12–102)

(12–103)

(12–104)

(12–105)

(12–106)

(12–107)

(12–108)

(12–109)

(12–110)

(12–111)

12.7.4. 2-D and Axisymmetric 4 Node Quadrilateral Solids with ESF (QM6)

These shape functions are for the 2-D 4 node and axisymmetric solid elements with extra shape functions, such as PLANE13 with KEYOPT(2) = 0 or PLANE42 with KEYOPT(2) = 0. (Taylor et al.(49))

(12–112)

(12–113)

(Equation 12–112) is adjusted for axisymmetric situations by removing the u1 or u2 term for elements near the centerline, in order to avoid holes or “doubled” material at the centerline.

12.7.5. 2-D and Axisymmetric 8 Node Quadrilateral Solids (Q8)

These shape functions are for the 2-D 8 node and axisymmetric quadrilateral elements such as PLANE77 and PLANE82:

(12–114)

(12–115)

(12–116)

(12–117)

(12–118)

(12–119)

12.7.6. 2-D and Axisymmetric 4 Node Quadrilateral Infinite Solids

Figure 12.8 4 Node Quadrilateral Infinite Solid Element

These Lagrangian isoparametric shape functions and “mapping” functions are for the 2-D and axisymmetric 4 node quadrilateral solid infinite elements such as INFIN110:

12.7.6.1. Lagrangian Isoparametric Shape Functions

(12–120)

(12–121)

(12–122)

12.7.6.2. Mapping Functions

(12–123)

(12–124)

12.7.7. 2-D and Axisymmetric 8 Node Quadrilateral Infinite Solids

Figure 12.9 8 Node Quadrilateral Infinite Solid Element

These Lagrangian isoparametric shape functions and “mapping” functions are for the 2-D and axisymmetric 8 node quadrilateral infinite solid elements such as INFIN110:

12.7.7.1. Lagrangian Isoparametric Shape Functions

(12–125)

(12–126)

(12–127)

12.7.7.2. Mapping Functions

(12–128)

(12–129)

The shape and mapping functions for the nodes N, O and P are deliberately set to zero.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.6. 3-D Shells 		Up / Home Next
12.8. Axisymmetric Harmonic Solids


12.8. Axisymmetric Harmonic Solids

This section contains shape functions for axisymmetric harmonic solid elements. These elements are available in a number of configurations, including certain combinations of the following features:

  • triangular or quadrilateral.

    - if quadrilateral, with or without extra shape functions (ESF).

  • with or without midside nodes.

The shape functions of this section use the quantities sin [image] β and cos [image] β (where [image] = input as MODE on the MODE command). sin [image] β and cos [image] β are interchanged if Is = -1 (where Is = input as ISYM on the MODE command). If [image] = 0, sin [image] β = cos [image] β = 1.0.

Figure 12.10 Axisymmetric Harmonic Solid Elements

12.8.1. Axisymmetric Harmonic 3 Node Triangular Solids

These shape functions are for the 3 node axisymmetric triangular solid elements, such as PLANE25 with only 3 nodes input:

(12–130)

(12–131)

(12–132)

(12–133)

12.8.2. Axisymmetric Harmonic 6 Node Triangular Solids

These shape functions are for the 6 node axisymmetric triangular solids elements, such as PLANE83 input as a triangle:

(12–134)

(12–135)

(12–136)

(12–137)

12.8.3. Axisymmetric Harmonic 4 Node Quadrilateral Solids without ESF

These shape functions are for the 4 node axisymmetric harmonic quadrilateral solid elements without extra shape functions, such as PLANE25 with KEYOPT(2) = 1, or PLANE75:

(12–138)

(12–139)

(12–140)

(12–141)

12.8.4. Axisymmetric Harmonic 4 Node Quadrilateral Solids with ESF

These shape functions are for the 4 node axisymmetric harmonic quadrilateral elements with extra shape functions, such as PLANE25 with KEYOPT(2) = 0.

(12–142)

(12–143)

(12–144)

Unless [image] (MODE) = 1, u1 or u2 and w1 or w2 motions are suppressed for elements near the centerline.

12.8.5. Axisymmetric Harmonic 8 Node Quadrilateral Solids

These shape functions are for the 8 node axisymmetric harmonic quadrilateral solid elements such as PLANE78 or PLANE83.

(12–145)

(12–146)

(12–147)

(12–148)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.7. 2-D and Axisymmetric Solids 		Up / Home Next
12.9. 3-D Solids


12.9. 3-D Solids

This section contains shape functions for 3-D solid elements. These elements are available in a number of configurations, including certain combinations of the following features:

  • element shapes may be tetrahedra, pyramids, wedges, or bricks (hexahedra).

    - if wedges or bricks, with or without extra shape functions (ESF)

  • with or without rotational degrees of freedom (RDOF)

  • with or without midside nodes

The wedge elements with midside nodes (15 node wedges) are either a condensation of the 20 node brick element or are based on wedge shape functions.

12.9.1. 4 Node Tetrahedra

This element is a condensation of an 8 node brick element such as SOLID5, FLUID30, SOLID45, or FLUID142

Figure 12.11 3-D Solid Elements

The resulting effective shape functions are:

(12–149)

(12–150)

(12–151)

(12–152)

(12–153)

(12–154)

(12–155)

(12–156)

(12–157)

(12–158)

(12–159)

(12–160)

12.9.2. 10 Node Tetrahedra

These shape functions are for 10 node tetrahedron elements such as SOLID98 and SOLID92:

Figure 12.12 10 Node Tetrahedra Element

(12–161)

(12–162)

(12–163)

(12–164)

(12–165)

(12–166)

12.9.3. 5 Node Pyramids

This element is a condensation of an 8 node brick element.

Figure 12.13 8 Node Brick Element

The resulting effective shape functions are:

(12–167)

12.9.4. 13 Node Pyramids

These shape functions are for 13 node pyramid elements which are based on a condensation of a 20 node brick element such as SOLID95:

Figure 12.14 13 Node Pyramid Element

(12–168)

(12–169)

(12–170)

(12–171)

(12–172)

12.9.5. 6 Node Wedges without ESF

Figure 12.15 6 Node Wedge Element

The 6 node wedge elements are a condensation of an 8 node brick such as SOLID5, FLUID30, or SOLID45. These shape functions are for 6 node wedge elements without extra shape functions:

(12–173)

(12–174)

(12–175)

(12–176)

(12–177)

(12–178)

(12–179)

12.9.6. 6 Node Wedges with ESF

The 6 node wedge elements are a condensation of an 8 node brick such as SOLID5, FLUID30, or SOLID45. (Please see Figure 12.15: "6 Node Wedge Element".) These shape functions are for 6 node wedge elements with extra shape functions:

(12–180)

(12–181)

(12–182)

12.9.7. 15 Node Wedges as a Condensation of 20 Node Brick

Figure 12.16 15 Node Wedge Element (SOLID90)

These shape functions are for 15 node wedge elements such as SOLID90 that are based on a condensation of a 20 node brick element (Equation 12–206).

12.9.8. 15 Node Wedges Based on Wedge Shape Functions

Figure 12.17 15 Node Wedge Element (SOLID95)

Elements such as SOLID95 in a wedge configuration use shape functions based on triangular coordinates and the r coordinate going from -1.0 to +1.0.

(12–183)

(12–184)

(12–185)

(12–186)

(12–187)

12.9.9. 8 Node Bricks without ESF

Figure 12.18 8 Node Brick Element

These shape functions are for 8 node brick elements without extra shape functions such as SOLID5 with KEYOPT(3) = 1, FLUID30, SOLID45 with KEYOPT(1) = 1, or FLUID142:

(12–188)

(12–189)

(12–190)

(12–191)

(12–192)

(12–193)

(12–194)

(12–195)

(12–196)

(12–197)

(12–198)

(12–199)

(12–200)

(12–201)

(12–202)

12.9.10. 8 Node Bricks with ESF

(Please see Figure 12.18: "8 Node Brick Element") These shape functions are for 8 node brick elements with extra shape functions such as SOLID5 with KEYOPT(3) = 0 or SOLID45 with KEYOPT(1) = 0:

(12–203)

(12–204)

(12–205)

12.9.11. 20 Node Bricks

Figure 12.19 20 Node Brick Element

These shape functions are used for 20 node solid elements such as SOLID90 or SOLID95.

(12–206)

(12–207)

(12–208)

(12–209)

(12–210)

(12–211)

12.9.12. 8 Node Infinite Bricks

Figure 12.20 3-D 8 Node Brick Element

These Lagrangian isoparametric shape functions and “mapping” functions are for the 3-D 8 node solid brick infinite elements such as INFIN111:

12.9.12.1. Lagrangian Isoparametric Shape Functions

(12–212)

(12–213)

(12–214)

(12–215)

(12–216)

(12–217)

12.9.12.2. Mapping Functions

(12–218)

(12–219)

(12–220)

12.9.13. 3-D 20 Node Infinite Bricks

Figure 12.21 20 Node Solid Brick Infinite Element

These Lagrangian isoparametric shape functions and “mapping” functions are for the 3-D 20 node solid brick infinite elements such as INFIN111:

12.9.13.1. Lagrangian Isoparametric Shape Functions

(12–221)

(12–222)

(12–223)

(12–224)

(12–225)

(12–226)

12.9.13.2. Mapping Functions

(12–227)

(12–228)

(12–229)

The shape and mapping functions for the nodes U, V, W, X, Y, Z, A, and B are deliberately set to zero.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.8. Axisymmetric Harmonic Solids 		Up / Home Next
12.10. Electromagnetic Edge Elements


12.10. Electromagnetic Edge Elements

The shortcomings of electromagnetic analysis by nodal based continuous vector potential is discussed in Edge Flux Degrees of Freedom. These can be eliminated by edge shape functions described in this section. The edge element formulation constitutes the theoretical foundation of low-frequency electromagnetic element, SOLID117 - 3-D 20-Node Magnetic Edge.

Edge elements on tetrahedra and rectangular blocks have been introduced by Nedelec(204); first order and quadratic isoparametric hexahedra by van Welij(205) and Kameari(206), respectively. Difficulty with distorted hexahedral edge elements is reported by Jin(207) without appropriate resolution. Gyimesi and Ostergaard(201), (221), Ostergaard and Gyimesi(222, 223) explained the theoretical shortage of isoparametric hexahedra. Their nonconforming edge shape functions are implemented, eliminating the negative effect of element distortion. The extension of brick shapes to tetrahedra, wedge and pyramid geometries is given in Gyimesi and Ostergaard(221).

2-D 8 Node Quad Geometry and DOFs and 3-D 20 Node Brick Geometry and DOFs describe the 2-D and 3-D electromagnetic edge elements, respectively.

12.10.1. 2-D 8 Node Quad Geometry and DOFs

Figure 12.22 2-D 8 Node Quad Edge Element

Figure 12.22: "2-D 8 Node Quad Edge Element" shows the geometry of 2-D 8-node electromagnetic edge elements. The corner nodes, I, J, K, and L are used to:

  • describe the geometry

  • orient the edges

  • support time integrated electric potential DOFs, labeled VOLT

The side nodes, M, N, O, and P are used to:

  • support the edge-flux DOFs, labeled as AZ. The positive orientation of an edge is defined to point from the adjacent (to the edge) corner node with lower node number to the other adjacent node with higher node number. For example, edge, M, is oriented from node I to J if I has a smaller node number than J; otherwise it is oriented from J to I.

The edge-flux DOFs are used in both magnetostatic and dynamic analyses; the VOLT DOFs are used only for dynamic analysis.

The vector potential, A, and time integrated electric scalar potential, V, can be described as

(12–230)

(12–231)

where:

AM, AN, AO, AP = edge-flux
AZ = nodal DOFs supported by the side nodes
VI, VJ, VK, VL = time integrated electric scalar potential
VOLT = nodal DOFs supported by corner nodes
EM, EN, EO, EP = vector edge shape functions
NI, NJ, NK, NL = scalar nodal shape functions

The following subsections describe these shape functions.

The global Cartesian coordinates, X and Y, can be expressed by the isoparametric coordinates, r and s.

(12–232)

(12–233)

where:

XI thru YL = global Cartesian coordinates of the corner nodes
NI, NJ, NK, and NL = first order scalar nodal shape functions

(12–234)

(12–235)

(12–236)

(12–237)

The isoparametric vector edge shape functions are defined as

(12–238)

(12–239)

(12–240)

(12–241)

Note that the tangential component (the dot product with a unit vector pointing in the edge direction) of the vector edge shape functions disappears on all edges but one. The one on which the tangential component of an edge shape function is not zero is called a supporting edge which is associated with the pertinent side node.

Note also that the line integral of an edge shape function along the supporting edge is unity. The flux crossing a face is the closed line integral of the vector potential, A. Thus, the sum of the DOFs supported by side nodes around a face is the flux crossing the face. Therefore, these DOFs are called edge-flux DOFs.

12.10.2. 3-D 20 Node Brick Geometry and DOFs

Figure 12.23 3-D 20 Node Brick Edge Element

Figure 12.23: "3-D 20 Node Brick Edge Element" shows the geometry of 3-D 20-node electromagnetic edge elements. The corner nodes, I ... P are used to:

  • describe the geometry

  • orient the edges

  • support time integrated electric potential DOFs (labeled VOLT)

The side nodes, Q ... A are used to:

  • support the edge-flux DOFs, labeled as AZ

  • define the positive orientation of an edge to point from the adjacent (to the edge) corner node with lower node number to the other adjacent node with higher node number. For example, edge, M, is oriented from node I to J if I has a smaller node number than J; otherwise it is oriented from J to I.

The edge-flux DOFs are used in both magnetostatic and dynamic analyses; the VOLT DOFs are used only for dynamic analysis.

The vector potential, A, and time integrated electric scalar potential, V, can be described as

(12–242)

(12–243)

where:

AQ . . . AB = edge-flux
AZ = nodal DOFs supported by the side nodes
VI . . . VP = time integrated electric scalar potential
VOLT = nodal DOFs supported by corner nodes
EQ . . . EB = vector edge shape functions
NI . . . NP = scalar nodal shape functions

Do not confuse edge-flux DOF label, AZ, with the actual value of the DOF at node Z, AZ.

The following subsections describe these shape functions.

The global Cartesian coordinates, X, Y and Z, can be expressed by the master coordinates, r, s and t.

(12–244)

(12–245)

(12–246)

where:

XI, YI, ZI . . . = global Cartesian coordinates of the corner nodes
NI . . . NP = first order scalar nodal shape functions

(12–247)

(12–248)

(12–249)

(12–250)

(12–251)

(12–252)

(12–253)

(12–254)

The isoparametric vector edge shape functions are defined as

(12–255)

(12–256)

(12–257)

(12–258)

(12–259)

(12–260)

(12–261)

(12–262)

(12–263)

(12–264)

(12–265)

(12–266)

Note that the tangential component (the dot product with a unit vector pointing in the edge direction) of the vector edge shape functions disappears on all edges but one. The one on which the tangential component of an edge shape function is not zero is called a supporting edge which is associated with the pertinent side node.

Note also that the line integral of an edge shape function along the supporting edge is unity. The flux crossing a face is the closed line integral of the vector potential, A. Thus, the sum of the DOFs supported by side nodes around a face is the flux crossing the face. Therefore, these DOFs are called edge-flux DOFs.

The 20 node brick geometry is allowed to degenerate to 10-node tetrahedron, 13-node pyramid or 15-node wedge shapes as described in Gyimesi and Ostergaard(221). The numerical bench-working shows that tetrahedra shapes are advantageous in air (no current) domains, whereas hexahedra are recommended for current carrying regions. Pyramids are applied to maintain efficient meshing between hexahedra and tetrahedra regions. Wedges are generally applied for 2-D like geometries, when longitudinal dimensions are longer than transverse sizes. In this case the cross-section can be meshed by area meshing and wedges are generated by extrusion.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.9. 3-D Solids 		Up / Home Next
12.11. High Frequency Electromagnetic Tangential Vector Elements


12.11. High Frequency Electromagnetic Tangential Vector Elements

In electromagnetics, we encounter serious problems when node-based elements are used to represent vector electric or magnetic fields. First, the spurious modes can not be avoided when modeling cavity problems using node-based elements. This limitation can also jeopardize the near-field results of a scattering problem, the far-field simulation typically has no such a limitation, since the spurious modes do not radiate. Secondly, node-based elements require special treatment for enforcing boundary conditions of electromagnetic field at material interfaces, conducting surfaces and geometric corners. Tangential vector elements, whose degrees of freedom are associated with the edges, faces and volumes of the finite element mesh, have been shown to be free of the above shortcomings (Volakis, et al.(299), Itoh, et al.(300)).

12.11.1. Tetrahedral Elements (HF119)

The tetrahedral element is the simplest tessellated shape and is able to model arbitrary 3-D geometric structures. It is also well suited for automatic mesh generation. The tetrahedral element, by far, is the most popular element shape for 3-D applications in FEA.

For the 1st-order tetrahedral element (KEYOPT(1) = 1), the degrees of freedom (DOF) are at the edges of element i.e., (DOFs = 6) (Figure 12.24: "1st-Order Tetrahedral Element"). In terms of volume coordinates, the vector basis functions are defined as:

(12–267)

(12–268)

(12–269)

(12–270)

(12–271)

(12–272)

where:

hIJ = edge length between node I and J
λI, λJ, λK, λL = volume coordinates (λK = 1 - λI - λJ - λL)
λI, [image] λJ, [image] λK, [image] λL = the gradient of volume coordinates

Figure 12.24 1st-Order Tetrahedral Element

The tangential component of electric field is constant along the edge. The normal component of field varies linearly.

For the 2nd-order tetrahedral element (KEYOPT(1) = 2), the degrees of freedom (DOF) are at the edges and on the faces of element. Each edge and face have two degrees of freedom (DOFs = 20) (Figure 12.25: "2nd-Order Tetrahedral Element"). The vector basis functions are defined by:

(12–273)

(12–274)

(12–275)

(12–276)

(12–277)

(12–278)

(12–279)

(12–280)

(12–281)

(12–282)

Figure 12.25 2nd-Order Tetrahedral Element

12.11.2. Hexahedral Elements (HF120)

Tangential vector bases for hexahedral elements can be derived by carrying out the transformation mapping a hexahedral element in the global xyz coordinate to a brick element in local str coordinate.

For the 1st-order brick element (KEYOPT(1) = 1), the degrees of freedom (DOF) are at the edges of element (DOFs = 12) (Figure 12.26: "1st-Order Brick Element"). The vector basis functions are cast in the local coordinate

(12–283)

(12–284)

(12–285)

where:

hs, ht, hr = length of element edge
s, [image] t, [image] r = gradient of local coordinates

Figure 12.26 1st-Order Brick Element

For the 2nd-order brick element (KEYOPT(1) = 2), 24 DOFs are edge-based (2 DOFs/per edge), 24 DOFs are face-based (4 DOFs/per face) and 6 DOFs are volume-based (6 DOFs/per volume) (DOFs = 54) (Figure 12.27: "2nd-Order Brick Element"). The edge-based vector basis functions can be derived by:

(12–286)

(12–287)

(12–288)

The face-based vector basis functions are given by:

(12–289)

(12–290)

(12–291)

(12–292)

(12–293)

(12–294)

The volume-based vector basis functions are cast into:

(12–295)

(12–296)

(12–297)

Figure 12.27 2nd-Order Brick Element

12.11.3. Triangular Elements (HF118)

Triangular elements can be used to model electromagnetic problems in 2-D arbitrary geometric structures, especially for guided-wave structure whose either cutoff frequencies or relations between the longitude propagating constant and working frequency are required, while the mixed scalar-vector basis functions must be used.

For the 1st-order mixed scalar-vector triangular element (KEYOPT(1) = 1), there are three edge-based vector basis functions for transverse electric field, and three node-based scalar basis functions for longitude component of electric field (DOFs = 6) (see Figure 12.28: "Mixed 1st-Order Triangular Element"). The edge-based vector basis functions are defined as:

(12–298)

(12–299)

(12–300)

The node-based scalar basis functions are given by

(12–301)

(12–302)

(12–303)

where:

hIJ = edge length between node I and J
λI, λJ, λK = area coordinates (λK = 1 - λI - λJ)
λI, [image] λJ, [image] λK = gradient of area coordinate

Figure 12.28 Mixed 1st-Order Triangular Element

For the 2nd-order mixed scalar-vector triangular element (KEYOPT(1) = 2), there are six edge-based, two face-based vector basis functions for transverse components of electric field, and six node-based scalar basis functions for longitude component of electric field (DOFs = 14) (see Figure 12.29: "Mixed 2nd-Order Triangular Element"). The edge-based vector basis functions can be written by:

(12–304)

(12–305)

(12–306)

The face-based vector basis functions are similar to those in 3-D tetrahedron, i.e.:

(12–307)

(12–308)

The node-based scalar basis functions are given by:

(12–309)

(12–310)

(12–311)

(12–312)

(12–313)

(12–314)

Figure 12.29 Mixed 2nd-Order Triangular Element

12.11.4. Quadrilateral Elements (HF118)

Tangential vector bases for quadrilateral elements can be derived by carrying out the transformation mapping a quadrilateral element in the global xy coordinate to a square element in local st coordinate.

For the 1st-order mixed scalar-vector quadrilateral element (KEYOPT(1) = 1), there are four edge-based vector basis functions and four node-based scalar basis functions (DOFs = 8) (Figure 12.30: "Mixed 1st-Order Quadrilateral Element"). Four edge-based vector basis functions are cast into:

(12–315)

(12–316)

Four node-based scalar basis functions are given by

(12–317)

(12–318)

(12–319)

(12–320)

Figure 12.30 Mixed 1st-Order Quadrilateral Element

For the 2nd-order mixed scalar-vector quadrilateral element (KEYOPT(1) = 2), there are 8 edge-based, 4 face-based vector basis functions and 8 node-based scalar basis functions (DOFs = 20) (Figure 12.31: "Mixed 2nd-Order Quadrilateral Element"). The edge-based vector basis functions are derived by:

(12–321)

(12–322)

Four face-based vector basis functions can also be defined by:

(12–323)

(12–324)

The node-based scalar basis functions are given by:

(12–325)

(12–326)

(12–327)

(12–328)

(12–329)

(12–330)

(12–331)

(12–332)

Figure 12.31 Mixed 2nd-Order Quadrilateral Element

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.10. Electromagnetic Edge Elements 		Up / Home Next
Chapter 13. Element Tools


Chapter 13. Element Tools

The following element tools are available:

  • Integration Point Locations
  • Lumped Matrices
  • Reuse of Matrices
  • Temperature-Dependent Material Properties
  • Positive Definite Matrices
  • Nodal and Centroidal Data Evaluation
  • Element Shape Testing

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
12.11. High Frequency Electromagnetic Tangential Vector Elements 		Up / Home Next
13.1. Integration Point Locations


13.1. Integration Point Locations

The ANSYS program makes use of both standard and nonstandard numerical integration formulas. The particular integration scheme used for each matrix or load vector is given with each element description in "Element Library". Both standard and nonstandard integration formulas are described in this section. The numbers after the subsection titles are labels used to identify the integration point rule. For example, line (1, 2, or 3 points) represents the 1, 2, and 3 point integration schemes along line elements. Midside nodes, if applicable, are not shown in the figures in this section.

13.1.1. Lines (1, 2, or 3 Points)

The standard 1-D numerical integration formulas which are used in the element library are of the form:

(13–1)

where:

f(x) = function to be integrated
Hi = weighting factor (see Table 13.1: "Gauss Numerical Integration Constants")
xi = locations to evaluate function (see Table 13.1: "Gauss Numerical Integration Constants"; these locations are usually the s, t, or r coordinates)
= number of integration (Gauss) points

Table 13.1 Gauss Numerical Integration Constants

No. Integration Points | Integration Point Locations (xi) | Weighting Factors (Hi)
1 | 0.00000.00000.00000 | 2.00000.00000.00000
2 | ±0.57735 02691 89626 | 1.00000.00000.00000
3 | ±0.77459 66692 41483 | 0.55555 55555 55556
 | 0.00000.00000.00000 | 0.88888 88888 88889

For some integrations of multi-dimensional regions, the method of (Equation 13–1) is simply expanded, as shown below.

13.1.2. Quadrilaterals (2 x 2 or 3 x 3 Points)

The numerical integration of 2-D quadrilaterals gives:

(13–2)

and the integration point locations are shown in Figure 13.1: "Integration Point Locations for Quadrilaterals".

Figure 13.1 Integration Point Locations for Quadrilaterals

One element models with midside nodes (e.g., PLANE82) using a 2 x 2 mesh of integration points have been seen to generate spurious zero energy (hourglassing) modes.

13.1.3. Bricks and Pyramids (2 x 2 x 2 Points)

The 3-D integration of bricks and pyramids gives:

(13–3)

and the integration point locations are shown in Figure 13.2: "Integration Point Locations for Bricks and Pyramids".

Figure 13.2 Integration Point Locations for Bricks and Pyramids

One element models with midside nodes using a 2 x 2 x 2 mesh of integration points have been seen to generate spurious zero energy (hourglassing) modes.

13.1.4. Triangles (1, 3, or 6 Points)

The integration points used for these triangles are given in Table 13.2: "Numerical Integration for Triangles" and appear as shown in Figure 13.3: "Integration Point Locations for Triangles". L varies from 0.0 at an edge to 1.0 at the opposite vertex.

Table 13.2 Numerical Integration for Triangles

Type |  | Integration Point Location | Weighting Factor
1 Point Rule |  | L1=L2=L3=.3333333 | 1.000000
3 Point Rule |  | L1=.66666 66666 66666 L2=L3=.16666 66666 66666 Permute L1, L2, and L3 for other locations) | 0.33333 33333 33333
6 Point Rule | Corner Points | L1=0.81684 75729 80459 L2=L3=0.09157 62135 09661 Permute L1, L2, and L3 for other locations) | 0.10995 17436 55322
 | Edge Center Points | L1=0.10810 30181 6807 L2=L3=0.44594 84909 15965 Permute L1, L2, and L3 for other locations) | 0.22338 15896 78011

Figure 13.3 Integration Point Locations for Triangles

13.1.5. Tetrahedra (1, 4, 5, or 11 Points)

The integration points used for tetrahedra are given in Table 13.3: "Numerical Integration for Tetrahedra".

Table 13.3 Numerical Integration for Tetrahedra

Type |  | Integration Point Location | Weighting Factor
1 Point Rule | Center Point | L1=L2=L3=L4=.25000 00000 00000 | 1.00000 00000 00000
4 Point Rule | Corner Points | L1=.58541 01966 24968 L2=L3=L4=.13819 66011 25010 Permute L1, L2, L3, and L4 for other locations) | 0.25000 00000 00000
5 Point Rule | Center Point | L1=L2=L3=L4=.25000 00000 00000 | -0.80000 00000 00000
 | Corner Points | L1=.50000 00000 00000 L2=L3=L4=.16666 66666 66666 Permute L1, L2, L3, and L4 for other locations) | 0.45000 00000 00000
11 Point Rule | Center Point | L1=L2=L3=L4=.25000 00000 00000 | 0.01315 55555 55555
 | Corner Point | L1=L2=L3=.0714285714285714 L4=.78571 42857 14286 (Permute L1, L2, L3 and L4 for other three locations) | 0.00762 22222 22222
 | Edge Center Points | L1=L2=0.39940 35761 66799 L3=L4=0.10059 64238 33201 Permute L1, L2, L3 and L4 such that two of L1, L2, L3 and L4 equal 0.39940 35761 66799 and the other two equal 0.10059 64238 33201 for other five locations | 0.02488 88888 88888

These appear as shown in Figure 13.4: "Integration Point Locations for Tetrahedra". L varies from 0.0 at a face to 1.0 at the opposite vertex.

Figure 13.4 Integration Point Locations for Tetrahedra

13.1.6. Triangles and Tetrahedra (2 x 2 or 2 x 2 x 2 Points)

These elements use the same integration point scheme as for 4-node quadrilaterals and 8-node solids, as shown in Figure 13.5: "Integration Point Locations for Triangles and Tetrahedra":

Figure 13.5 Integration Point Locations for Triangles and Tetrahedra

3x3 and 3x3x3 cases are handled similarly.

13.1.7. Wedges (3 x 2 or 3 x 3 Points)

These wedge elements use an integration scheme that combines linear and triangular integrations, as shown in Figure 13.6: "6 and 9 Integration Point Locations for Wedges"

Figure 13.6 6 and 9 Integration Point Locations for Wedges

13.1.8. Wedges (2 x 2 x 2 Points)

These wedge elements use the same integration point scheme as for 8-node solid elements as shown by two orthogonal views in Figure 13.7: "8 Integration Point Locations for Wedges":

Figure 13.7 8 Integration Point Locations for Wedges

13.1.9. Bricks (14 Points)

The 20-node solid uses a different type of integration point scheme. This scheme places points close to each of the 8 corner nodes and close to the centers of the 6 faces for a total of 14 points. These locations are given in Table 13.4: "Numerical Integration for 20-Node Brick":

Table 13.4 Numerical Integration for 20-Node Brick

Type |  | Integration Point Location | Weighting Factor
14 Point Rule | Corner Points | s = ±.75868 69106 39328 t = ±75878 69106 39329 r = ±75878 69106 39329 | .33518 00554 01662
 | Center Points | s = ±.79582 24257 54222, t=r=0.0 t = ±79582 24257 54222, s=r=0.0 r = ±79582 24257 54222, s=t=0.0 | .88642 65927 97784

and are shown in Figure 13.8: "Integration Point Locations for 14 Point Rule".

Figure 13.8 Integration Point Locations for 14 Point Rule

13.1.10. Nonlinear Bending (5 Points)

Both beam and shell elements that have nonlinear materials must have their effects accumulated thru the thickness. This uses nonstandard integration point locations, as both the top and bottom surfaces have an integration point in order to immediately detect the onset of the nonlinear effects.

Table 13.5 Thru-Thickness Numerical Integration

Type | Integration Point Location[1] | Weighting Factor
5 | ±0.500 | 0.1250000
 | ±0.300 | 0.5787036
 | 0.000 | 0.5925926

  1. Thickness coordinate going from -0.5 to 0.5.

These locations are shown in Figure 13.9: "Nonlinear Bending Integration Point Locations".

Figure 13.9 Nonlinear Bending Integration Point Locations

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 13. Element Tools 		Up / Home Next
13.2. Lumped Matrices


13.2. Lumped Matrices

Some of the elements allow their consistent mass or specific heat matrices to be reduced to diagonal matrices (accessed with the LUMPM,ON command). This is referred to as “lumping”.

13.2.1. Diagonalization Procedure

One of two procedures is used for the diagonalization, depending on the order of the element shape functions. The mass matrix is used as an example.

For lower order elements (linear or bilinear) the diagonalized matrix is computed by summing rows (or columns). The steps are:

  1. Compute the consistent mass matrix [image] in the usual manner.

  2. Compute:

            (13–4)

    where:

    n = number of degrees of freedom (DOFs) in the element

  3. Set

            (13–5)

            (13–6)

For higher order elements the procedure suggested by Hinton, et al.(45), is used. The steps are:

  1. Compute the consistent mass matrix [image] in the usual manner.

  2. Compute:

            (13–7)

            (13–8)

  3. Set:

            (13–9)

            (13–10)

Note that this method ensures that:

  1. The element mass is preserved

  2. The element mass matrix is positive definite

It may be observed that if the diagonalization is performed by simply summing rows or columns in higher order elements, the resulting element mass matrix is not always positive definite.

13.2.2. Limitations of Lumped Mass Matrices

Lumped mass matrices have the following limitations:

  1. Elements containing both translational and rotational degrees of freedom will have mass contributions only for the translational degrees of freedom. Rotational degrees of freedom are included for:

    • SHELL181, SHELL208, SHELL209, and SHELL281 unless an unbalanced laminate construction is used.

    • BEAM188 and BEAM189 if there are no offsets.

  2. Lumping, by its very nature, eliminates the concept of mass coupling between degrees of freedom. Therefore, the following restrictions exist:

    • Lumping is not allowed for FLUID29, FLUID30, or FLUID38 elements.

    • Lumping is not allowed for BEAM44 elements when using member releases in the element UY or UZ directions.

    • Lumping is not allowed for PIPE59 elements when using 'added mass' on the outside of the pipe. In this case, the implied coupling exists when the element x-axis is not parallel to one of the three nodal axes.

    • A warning message will be output if BEAM23, BEAM24, BEAM44, or BEAM54 elements are used with explicit or implied offsets.

    • The effect of the implied offsets is ignored by the lumping logic when used with warped SHELL63 elements.

    • Lumping is not allowed for the mass matrix option of MATRIX27 elements if it is defined with nonzero off-diagonal terms.

    • The use of lumping with constraint equations may effectively cause the loss of some mass for modal analyses, resulting in higher frequencies. This loss comes about because of the generation of off-diagonal terms by the constraint equations, which then are ignored.

      The exception to this is the PCG Lanczos mode extraction method. This method does contain the off-diagonal terms when lumped mass is used with constraint equations. It is important to note however, that the assembled mass matrix in a jobname.FULL file generated by the PCG Lanczos mode extraction method will not contain the off-diagonal mass terms for this case.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.1. Integration Point Locations 		Up / Home Next
13.3. Reuse of Matrices


13.3. Reuse of Matrices

Matrices are reused automatically as often as possible in order to decrease running time. The information below is made available for use in running time estimates.

13.3.1. Element Matrices

For static (ANTYPE,STATIC) or full transient dynamic (ANTYPE,TRANS with TRNOPT,FULL) analyses, element stiffness/conductivity, mass, and damping/specific heat, matrices ([Ke], [Me], [Ce]) are always reused from iteration to iteration, except when:

  1. The full Newton-Raphson option (NROPT,FULL) is used, or for the first equilibrium iteration of a time step when the modified Newton-Raphson option (NROPT,MODI) is used and the element has either nonlinear materials or large deformation (NLGEOM,ON) is active.

  2. The element is nonlinear (e.g. gap, radiation, or control element) and its status changes.

  3. MODE or ISYM (MODE command) have changed from the previous load step for elements PLANE25, SHELL61, PLANE75, PLANE78, FLUID81, or PLANE83.

  4. will be reformulated if a convective film coefficient (input on the SF or SFE commands) on an element face changes. Such a change could occur as a ramp (KBC,0) within a load step.

  5. The materials or real constants are changed by new input, or if the material properties have changed due to temperature changes for temperature-dependent input.

Element stress stiffness matrices [Se] are never reused, as the stress normally varies from iteration to iteration.

13.3.2. Structure Matrices

The overall structure matrices are reused from iteration to iteration except when:

  1. An included element matrix is reformed (see above).

  2. The set of specified degrees of freedom (DOFs) is changed.

  3. The integration time step size changes from that used in the previous substep for the transient (ANTYPE,TRANS) analysis.

  4. The stress stiffening option (SSTIF,ON) has been activated.

  5. Spin softening (KSPIN on the OMEGA Command) is active.

    and/or

  6. The first iteration of a restart is being performed.

13.3.3. Override Option

The above tests are all performed automatically by the program. The user can select to override the program's decision with respect to whether the matrices should be reformed or not. For example, if the user has temperature-dependent input as the only cause which is forcing the reformulation of the matrices, and there is a load step where the temperature dependency is not significant, the user can select that the matrices will not be reformed at that load step (KUSE,1). (Normally, the user would want to return control back to the program for the following load step (KUSE,0)). On the other hand, the user can select that all element matrices are to be reformed each iteration (KUSE,-1).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.2. Lumped Matrices 		Up / Home Next
13.4. Temperature-Dependent Material Properties


13.4. Temperature-Dependent Material Properties

Temperature-dependent material properties are evaluated at each integration point. Elements for which this applies include PLANE42, SOLID45, PLANE82, SOLID92, SOLID95, SHELL181, PLANE182, PLANE183 , SOLID185, SOLID186 , SOLID187, SOLSH190, BEAM188, BEAM189, SHELL208, SHELL209, and SHELL281. Elements using a closed form solution (without integration points) have their material properties evaluated at the average temperature of the element. Elements for which this applies include LINK1, BEAM3, BEAM4, LINK8, PIPE16, PIPE17, PIPE18, SHELL28, BEAM44, BEAM54, PIPE59, and LINK180 .

Other cases:

  1. For the structural elements PLANE13, PIPE20, BEAM23, BEAM24, SHELL43, PIPE60, SOLID62, SOLID65, SHELL91, SHELL93, and SOLID191, the nonlinear material properties (TB commands) are evaluated at the integration points, but the linear material properties (MP commands) are evaluated at the average element temperature.

  2. Layered structural elements SOLID46, SOLID191, SHELL91, and SHELL99 have their linear material properties evaluated at the average temperature of the layer.

  3. Numerically integrated structural elements PLANE25, SHELL41, SHELL61, SHELL63, and PLANE83 have their linear material properties evaluated at the average element temperature.

  4. Non-structural elements have their material properties evaluated only at the average element temperature, except for the specific heat (Cp) which is evaluated at each integration point.

Whether shape functions are used or not, materials are evaluated at the temperature given, i.e. no account is made of the temperature offset (TOFFST command).

For a stress analysis, the temperatures used are based directly on the input. As temperature is the unknown in a heat transfer analysis, the material property evaluation cannot be handled in the same direct manner. For the first iteration of a heat transfer analysis, the material properties are evaluated at the uniform temperature (input on BFUNIF command). The properties of the second iteration are based on the temperatures of the first iteration. The properties of the third iteration are based on the temperatures of the second iteration, etc.

See Temperature-Dependent Coefficient of Thermal Expansion for a special discussion about the coefficient of thermal expansion.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.3. Reuse of Matrices 		Up / Home Next
13.5. Positive Definite Matrices


13.5. Positive Definite Matrices

By definition, a matrix [D] (as well as its inverse [D]-1) is positive definite if the determinants of all submatrices of the series:

(13–11)

including the determinant of the full matrix [D], are positive. The series could have started out at any other diagonal term and then had row and column sets added in any order. Thus, two necessary (but not sufficient) conditions for a symmetric matrix to be positive definite are given here for convenience:

(13–12)

(13–13)

If any of the above determinants are zero (and the rest positive), the matrix is said to be positive semidefinite. If all of the above determinants are negative, the matrix is said to be negative definite.

13.5.1. Matrices Representing the Complete Structure

In virtually all circumstances, matrices representing the complete structure with the appropriate boundary conditions must be positive definite. If they are not, the message “NEGATIVE PIVOT . . .” appears. This usually means that insufficient boundary conditions were specified. An exception is a piezoelectric analysis, which works with negative definite matrices, but does not generate any error messages.

13.5.2. Element Matrices

Element matrices are often positive semidefinite, but sometimes they are either negative or positive definite. For most cases where a negative definite matrix could inappropriately be created, the program will abort with a descriptive message.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.4. Temperature-Dependent Material Properties 		Up / Home Next
13.6. Nodal and Centroidal Data Evaluation


13.6. Nodal and Centroidal Data Evaluation

Area and volume elements normally compute results most accurately at the integration points. The location of these data, which includes structural stresses, elastic and thermal strains, field gradients, and fluxes, can then be moved to nodal or centroidal locations for further study. This is done with extrapolation or interpolation, based on the element shape functions or simplified shape functions given in Table 13.6: "Assumed Data Variation of Stresses".

Table 13.6 Assumed Data Variation of Stresses

Geometry | No. Integration Points | Assumed Data Variation
Triangles | 3 | a + bs + ct
Quadrilaterals | 4 | a + bs + ct + dst
Tetrahedra | 4 | a + bs + ct + dr
Hexahedra | 8 | a + bs + ct + dr + est + ftr + gsr + hstr

where:

a, b, c, d, e, f, g, h = coefficients
s, t, r = element natural coordinates

The extrapolation is done or the integration point results are simply moved to the nodes, based on the user's request (input on the ERESX command). If material nonlinearities exist in an element, the least squares fit can cause inaccuracies in the extrapolated nodal data or interpolated centroidal data. These inaccuracies are normally minor for plasticity, creep, or swelling, but are more pronounced in elements where an integration point may change status, such as SHELL41, SOLID65, etc.

There are a number of adjustments and special cases:

  1. SOLID90 and SOLID95 use only the eight corner integration points.

  2. SHELL63 uses a least squares fitting procedure for the bending stresses. Data from all three integration points of each of the four triangles is used.

  3. SHELL43, SOLID46, SHELL91, SHELL93, SHELL99, and SOLID191 use the procedure for quadrilaterals repeatedly at various levels through the element thickness.

  4. Uniform stress cases, like a constant stress triangle, do not require the above processing.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.5. Positive Definite Matrices 		Up / Home Next
13.7. Element Shape Testing


13.7. Element Shape Testing

13.7.1. Overview

All continuum elements (2-D and 3-D solids, 3-D shells) are tested for acceptable shape as they are defined by the E, EGEN, AMESH, VMESH, or similar commands. This testing, described in the following sections, is performed by computing shape parameters (such as Jacobian ratio) which are functions of geometry, then comparing them to element shape limits whose default values are functions of element type and settings (but can be modified by the user on the SHPP command with Lab = MODIFY as described below). Nothing may be said about an element, one or more warnings may be issued, or it may be rejected with an error.

13.7.2. 3-D Solid Element Faces and Cross-Sections

Some shape testing of 3-D solid elements (bricks [hexahedra], wedges, pyramids, and tetrahedra) is performed indirectly. Aspect ratio, parallel deviation, and maximum corner angle are computed for 3-D solid elements using the following steps:

  1. Each of these 3 quantities is computed, as applicable, for each face of the element as though it were a quadrilateral or triangle in 3-D space, by the methods described in sections Aspect Ratio, Parallel Deviation, and Maximum Corner Angle.

  2. Because some types of 3-D solid element distortion are not revealed by examination of the faces, cross-sections through the solid are constructed. Then, each of the 3 quantities is computed, as applicable, for each cross-section as though it were a quadrilateral or triangle in 3-D space.

  3. The metric for the element is assigned as the worst value computed for any face or cross-section.

A brick element has 6 quadrilateral faces and 3 quadrilateral cross-sections (Figure 13.10: "Brick Element"). The cross-sections are connected to midside nodes, or to edge midpoints where midside nodes are not defined.

Figure 13.10 Brick Element

A pyramid element has 1 quadrilateral face and 4 triangle faces, and 8 triangle cross-sections (Figure 13.11: "Pyramid Element").

Figure 13.11 Pyramid Element

As shown in Figure 13.12: "Pyramid Element Cross-Section Construction", each pyramid cross-section is constructed by passing a plane through one of the base edges and the closest point on the straight line containing one of the opposite edges. (Midside nodes, if any, are ignored.)

Figure 13.12 Pyramid Element Cross-Section Construction

A wedge element has 3 quadrilateral and 2 triangle faces, and has 3 quadrilateral and 1 triangle cross-sections. As shown in Figure 13.13: "Wedge Element", the cross-sections are connected to midside nodes, or to edge midpoints where midside nodes are not defined.

Figure 13.13 Wedge Element

A tetrahedron element has 4 triangle faces and 6 triangle cross-sections (Figure 13.14: "Tetrahedron Element").

Figure 13.14 Tetrahedron Element

As shown in Figure 13.15: "Tetrahedron Element Cross-Section Construction", each tetrahedron cross-section is constructed by passing a plane through one of the edges and the closest point on the straight line containing the opposite edge. (Midside nodes, if any, are ignored.)

Figure 13.15 Tetrahedron Element Cross-Section Construction

13.7.3. Aspect Ratio

Aspect ratio is computed and tested for all except Emag or FLOTRAN elements (see Table 13.7: "Aspect Ratio Limits"). This shape measure has been reported in finite element literature for decades (Robinson(121)), and is one of the easiest ones to understand. Some analysts want to be warned about high aspect ratio so they can verify that the creation of any stretched elements was intentional. Many other analysts routinely ignore it.

Unless elements are so stretched that numeric round off could become a factor (aspect ratio > 1000), aspect ratio alone has little correlation with analysis accuracy. Finite element meshes should be tailored to the physics of the given problem; i.e., fine in the direction of rapidly changing field gradients, relatively coarse in directions with less rapidly changing fields. Sometimes this calls for elements having aspect ratios of 10, 100, or in extreme cases 1000. (Examples include shell or thin coating analyses using solid elements, thermal shock “skin” stress analyses, and fluid boundary layer analyses.) Attempts to artificially restrict aspect ratio could compromise analysis quality in some cases.

13.7.4. Aspect Ratio Calculation for Triangles

Figure 13.16 Triangle Aspect Ratio Calculation

The aspect ratio for a triangle is computed in the following manner, using only the corner nodes of the element (Figure 13.16: "Triangle Aspect Ratio Calculation"):

  1. A line is constructed from one node of the element to the midpoint of the opposite edge, and another through the midpoints of the other 2 edges. In general, these lines are not perpendicular to each other or to any of the element edges.

  2. Rectangles are constructed centered about each of these 2 lines, with edges passing through the element edge midpoints and the triangle apex.

  3. These constructions are repeated using each of the other 2 corners as the apex.

  4. The aspect ratio of the triangle is the ratio of the longer side to the shorter side of whichever of the 6 rectangles is most stretched, divided by the square root of 3.

The best possible triangle aspect ratio, for an equilateral triangle, is 1. A triangle having an aspect ratio of 20 is shown in Figure 13.17: "Aspect Ratios for Triangles".

Figure 13.17 Aspect Ratios for Triangles

13.7.5. Aspect Ratio Calculation for Quadrilaterals

Figure 13.18 Quadrilateral Aspect Ratio Calculation

The aspect ratio for a quadrilateral is computed by the following steps, using only the corner nodes of the element (Figure 13.18: "Quadrilateral Aspect Ratio Calculation"):

  1. If the element is not flat, the nodes are projected onto a plane passing through the average of the corner locations and perpendicular to the average of the corner normals. The remaining steps are performed on these projected locations.

  2. Two lines are constructed that bisect the opposing pairs of element edges and which meet at the element center. In general, these lines are not perpendicular to each other or to any of the element edges.

  3. Rectangles are constructed centered about each of the 2 lines, with edges passing through the element edge midpoints. The aspect ratio of the quadrilateral is the ratio of a longer side to a shorter side of whichever rectangle is most stretched.

  4. The best possible quadrilateral aspect ratio, for a square, is one. A quadrilateral having an aspect ratio of 20 is shown in Figure 13.19: "Aspect Ratios for Quadrilaterals".

Figure 13.19 Aspect Ratios for Quadrilaterals

Table 13.7 Aspect Ratio Limits

Command to modify | Type of Limit | Default | Why default is this tight | Why default is this loose
SHPP,MODIFY,1 | warning | 20 | Elements this stretched look to many users like they deserve warnings. | Disturbance of analysis results has not been proven It is difficult to avoid warnings even with a limit of 20.
SHPP,MODIFY,2 | error | 106 | Informal testing has demonstrated solution error attributable to computer round off at aspect ratios of 1,000 to 100,000. | Threshold of round off problems depends on what computer is being used. Valid analyses should not be blocked.

13.7.6. Angle Deviation

Angle deviation from 90° corner angle is computed and tested only for the SHELL28 shear/twist panel quadrilateral (see Table 13.8: "Angle Deviation Limits"). It is an important measure because the element derivation assumes a rectangle.

13.7.7. Angle Deviation Calculation

The angle deviation is based on the angle between each pair of adjacent edges, computed using corner node positions in 3-D space. It is simply the largest deviation from 90° of any of the 4 corner angles of the element.

The best possible deviation is 0° (Figure 13.20: "Angle Deviations for SHELL28"). Figure 13.20: "Angle Deviations for SHELL28" also shows angle deviations of 5° and 30°, respectively.

Figure 13.20 Angle Deviations for SHELL28

Table 13.8 Angle Deviation Limits

Command to Modify | Type of Limit | Default | Why default is this tight | Why default is this loose
SHPP,MODIFY,7 | warning | 5° | Results degrade as the element deviates from a rectangular shape. | It is difficult to avoid warnings even with a limit of 5°
SHPP,MODIFY,8 | error | 30° | Pushing the limit further does not seem prudent. | Valid analyses should not be blocked.

13.7.8. Parallel Deviation

Parallel deviation is computed and tested for all quadrilaterals or 3-D solid elements having quadrilateral faces or cross-sections, except Emag or FLOTRAN elements (see Table 13.9: "Parallel Deviation Limits"). Formal testing has demonstrated degradation of stress convergence in linear displacement quadrilaterals as opposite edges become less parallel to each other.

13.7.9. Parallel Deviation Calculation

Parallel deviation is computed using the following steps:

  1. Ignoring midside nodes, unit vectors are constructed in 3-D space along each element edge, adjusted for consistent direction, as demonstrated in Figure 13.21: "Parallel Deviation Unit Vectors".

    Figure 13.21 Parallel Deviation Unit Vectors

  2. For each pair of opposite edges, the dot product of the unit vectors is computed, then the angle (in degrees) whose cosine is that dot product. The parallel deviation is the larger of these 2 angles. (In the illustration above, the dot product of the 2 horizontal unit vectors is 1, and acos (1) = 0°. The dot product of the 2 vertical vectors is 0.342, and acos (0.342) = 70°. Therefore, this element's parallel deviation is 70°.)

  3. The best possible deviation, for a flat rectangle, is 0°. Figure 13.22: "Parallel Deviations for Quadrilaterals" shows quadrilaterals having deviations of 0°, 70°, 100°, 150°, and 170°.

Figure 13.22 Parallel Deviations for Quadrilaterals

Table 13.9 Parallel Deviation Limits

Command to Modify | Type of Limit | Default | Why default is this tight | Why default is this loose
SHPP,MODIFY,11 | warning for elements without midside nodes | 70° | Testing has shown results are degraded by this much distortion | It is difficult to avoid warnings even with a limit of 70°
SHPP,MODIFY,12 | error for elements without midside nodes | 150° | Pushing the limit further does not seem prudent | Valid analyses should not be blocked.
SHPP,MODIFY,13 | warning for elements with midside nodes | 100° | Elements having deviations > 100° look like they deserve warnings. | Disturbance of analysis results for quadratic elements has not been proven.
SHPP,MODIFY,14 | error for elements with midside nodes | 170° | Pushing the limit further does not seem prudent | Valid analyses should not be blocked.

13.7.10. Maximum Corner Angle

Maximum corner angle is computed and tested for all except Emag or FLOTRAN elements (see Table 13.10: "Maximum Corner Angle Limits"). Some in the finite element community have reported that large angles (approaching 180°) degrade element performance, while small angles don't.

13.7.11. Maximum Corner Angle Calculation

The maximum angle between adjacent edges is computed using corner node positions in 3-D space. (Midside nodes, if any, are ignored.) The best possible triangle maximum angle, for an equilateral triangle, is 60°. Figure 13.23: "Maximum Corner Angles for Triangles" shows a triangle having a maximum corner angle of 165°. The best possible quadrilateral maximum angle, for a flat rectangle, is 90°. Figure 13.24: "Maximum Corner Angles for Quadrilaterals" shows quadrilaterals having maximum corner angles of 90°, 140° and 180°.

Figure 13.23 Maximum Corner Angles for Triangles

Figure 13.24 Maximum Corner Angles for Quadrilaterals

Table 13.10 Maximum Corner Angle Limits

Command to Modify | Type of Limit | Default | Why default is this tight | Why default is this loose
SHPP,MODIFY,15 | warnings for triangles | 165° | Any element this distorted looks like it deserves a warning. | Disturbance of analysis results has not been proven. It is difficult to avoid warnings even with a limit of 165°.
SHPP,MODIFY,16 | error for triangles | 179.9° | We can not allow 180° | Valid analyses should not be blocked.
SHPP,MODIFY,17 | warning for quadrilaterals without midside nodes | 155° | Any element this distorted looks like it deserves a warning. | Disturbance of analysis results has not been proven. It is difficult to avoid warnings even with a limit of 155°.
SHPP,MODIFY,18 | error for quadrilaterals without midside nodes | 179.9° | We can not allow 180° | Valid analyses should not be blocked.
SHPP,MODIFY,19 | warning for quadrilaterals with midside nodes | 165° | Any element this distorted looks like it deserves a warning. | Disturbance of analysis results has not been proven. It is difficult to avoid warnings even with a limit of 165°.
SHPP,MODIFY,20 | error for quadrilaterals with midside nodes | 179.9° | We can not allow 180° | Valid analyses should not be blocked.

13.7.12. Jacobian Ratio

Jacobian ratio is computed and tested for all elements except triangles and tetrahedra that (a) are linear (have no midside nodes) or (b) have perfectly centered midside nodes (see Table 13.11: "Jacobian Ratio Limits"). A high ratio indicates that the mapping between element space and real space is becoming computationally unreliable.

13.7.12.1. Jacobian Ratio Calculation

An element's Jacobian ratio is computed by the following steps, using the full set of nodes for the element:

  1. At each sampling location listed in the table below, the determinant of the Jacobian matrix is computed and called RJ. RJ at a given point represents the magnitude of the mapping function between element natural coordinates and real space. In an ideally-shaped element, RJ is relatively constant over the element, and does not change sign.

    Element Shape | RJ Sampling Locations
    10-node tetrahedra - SHPP,LSTET,OFF | corner nodes
    10-node tetrahedra - SHPP,LSTET,ON | integration points
    5-node or 13-node pyramids | base corner nodes and near apex node (apex RJ factored so that a pyramid having all edges the same length will produce a Jacobian ratio of 1)
    8-node quadrilaterals | corner nodes and centroid
    20-node bricks | all nodes and centroid
    all other elements | corner nodes

  2. The Jacobian ratio of the element is the ratio of the maximum to the minimum sampled value of RJ. If the maximum and minimum have opposite signs, the Jacobian ratio is arbitrarily assigned to be -100 (and the element is clearly unacceptable).

  3. If the element is a midside-node tetrahedron, an additional RJ is computed for a fictitious straight-sided tetrahedron connected to the 4 corner nodes. If that RJ differs in sign from any nodal RJ (an extremely rare occurrence), the Jacobian ratio is arbitrarily assigned to be -100.

  4. The sampling locations for midside-node tetrahedra depend upon the setting of the linear stress tetrahedra key on the SHPP command. The default behavior (SHPP,LSTET,OFF) is to sample at the corner nodes, while the optional behavior (SHPP,LSTET.ON) is to sample at the integration points (similar to what was done for the DesignSpace product). Sampling at the integration points will result in a lower Jacobian ratio than sampling at the nodes, but that ratio is compared to more restrictive default limits (see Table 13.11: "Jacobian Ratio Limits" below). Nevertheless, some elements which pass the LSTET,ON test fail the LSTET,OFF test - especially those having zero RJ at a corner node. Testing has shown that such elements have no negative effect on linear elastic stress accuracy. Their effect on other types of solutions has not been studied, which is why the more conservative test is recommended for general ANSYS usage. Brick elements (i.e. SOLID95 and SOLID186) degenerated into tetrahedra are tested in the same manner as are 'native' tetrahedra (SOLID92 and SOLID187). In most cases, this produces conservative results. However, for SOLID185 and SOLID186 when using the non-recommended tetrahedron shape, it is possible that such a degenerate element may produce an error during solution, even though it produced no warnings during shape testing.

  5. If the element is a line element having a midside node, the Jacobian matrix is not square (because the mapping is from one natural coordinate to 2-D or 3-D space) and has no determinant. For this case, a vector calculation is used to compute a number which behaves like a Jacobian ratio. This calculation has the effect of limiting the arc spanned by a single element to about 106°

A triangle or tetrahedron has a Jacobian ratio of 1 if each midside node, if any, is positioned at the average of the corresponding corner node locations. This is true no matter how otherwise distorted the element may be. Hence, this calculation is skipped entirely for such elements. Moving a midside node away from the edge midpoint position will increase the Jacobian ratio. Eventually, even very slight further movement will break the element (Figure 13.25: "Jacobian Ratios for Triangles"). We describe this as “breaking” the element because it suddenly changes from acceptable to unacceptable- “broken”.

Figure 13.25 Jacobian Ratios for Triangles

Any rectangle or rectangular parallelepiped having no midside nodes, or having midside nodes at the midpoints of its edges, has a Jacobian ratio of 1. Moving midside nodes toward or away from each other can increase the Jacobian ratio. Eventually, even very slight further movement will break the element (Figure 13.26: "Jacobian Ratios for Quadrilaterals").

Figure 13.26 Jacobian Ratios for Quadrilaterals

A quadrilateral or brick has a Jacobian ratio of 1 if (a) its opposing faces are all parallel to each other, and (b) each midside node, if any, is positioned at the average of the corresponding corner node locations. As a corner node moves near the center, the Jacobian ratio climbs. Eventually, any further movement will break the element (Figure 13.27: "Jacobian Ratios for Quadrilaterals").

Figure 13.27 Jacobian Ratios for Quadrilaterals

Table 13.11 Jacobian Ratio Limits

Command to modify | Type of limit | Default | Why default is this tight | Why default is this loose
SHPP,MODIFY,31 | warning for h-elements | 30 if SHPP, LSTET,OFF | A ratio this high indicates that the mapping between element and real space is becoming computationally unreliable. | Disturbance of analysis results has not been proven. It is difficult to avoid warnings even with a limit of 30.
 |  | 10 if SHPP, LSTET,ON
SHPP,MODIFY,32 |  | 1,000 if SHPP, LSTET,OFF | Pushing the limit further does not seem prudent. | Valid analyses should not be blocked.
 |  | 40 if SHPP, LSTET,ON
SHPP,MODIFY,33 | warning for p-elements | 30 | A ratio this high indicates that the mapping between element and real space is becoming computationally unreliable. |
SHPP,MODIFY,34 | warning for p-elements | 40 | The mapping is more critical for p- than h- elements | Valid analyses should not be blocked.

13.7.13. Warping Factor

Warping factor is computed and tested for some quadrilateral shell elements, and the quadrilateral faces of bricks, wedges, and pyramids (see Table 13.12: "Applicability of Warping Tests" and Table 13.13: "Warping Factor Limits"). A high factor may indicate a condition the underlying element formulation cannot handle well, or may simply hint at a mesh generation flaw.

13.7.13.1. Warping Factor Calculation for Quadrilateral Shell Elements

A quadrilateral element's warping factor is computed from its corner node positions and other available data by the following steps:

  1. An average element normal is computed as the vector (cross) product of the 2 diagonals (Figure 13.28: "Shell Average Normal Calculation").

    Figure 13.28 Shell Average Normal Calculation

  2. The projected area of the element is computed on a plane through the average normal (the dotted outline on Figure 13.29: "Shell Element Projected onto a Plane").

  3. The difference in height of the ends of an element edge is computed, parallel to the average normal. In Figure 13.29: "Shell Element Projected onto a Plane", this distance is 2h. Because of the way the average normal is constructed, h is the same at all four corners. For a flat quadrilateral, the distance is zero.

    Figure 13.29 Shell Element Projected onto a Plane

  4. The “area warping factor” ( [image]) for the element is computed as the edge height difference divided by the square root of the projected area.

  5. For all shells except those in the “membrane stiffness only” group, if the thickness is available, the “thickness warping factor” is computed as the edge height difference divided by the average element thickness. This could be substantially higher than the area warping factor computed in 4 (above).

  6. The warping factor tested against warning and error limits (and reported in warning and error messages) is the larger of the area factor and, if available, the thickness factor.

  7. The best possible quadrilateral warping factor, for a flat quadrilateral, is zero.

  8. The warning and error limits for SHELL63 quadrilaterals in a large deflection analysis are much tighter than if these same elements are used with small deflection theory, so existing SHELL63 elements are retested any time the nonlinear geometry key is changed. However, in a large deflection analysis it is possible for warping to develop after deformation, causing impairment of nonlinear convergence and/or degradation of results. Element shapes are not retested during an analysis.

Figure 13.30: "Quadrilateral Shell Having Warping Factor" shows a “warped” element plotted on top of a flat one. Only the right-hand node of the upper element is moved. The element is a unit square, with a real constant thickness of 0.1.

When the upper element is warped by a factor of 0.01, it cannot be visibly distinguished from the underlying flat one.

When the upper element is warped by a factor of 0.04, it just begins to visibly separate from the flat one.

Figure 13.30 Quadrilateral Shell Having Warping Factor

Warping of 0.1 is visible given the flat reference, but seems trivial. However, it is well beyond the error limit for a membrane shell or a SHELL63 in a large deflection environment. Warping of 1.0 is visually unappealing. This is the error limit for most shells.

Warping beyond 1.0 would appear to be obviously unacceptable. However, SHELL43 and SHELL181 permit even this much distortion. Furthermore, the warping factor calculation seems to peak at about 7.0. Moving the node further off the original plane, even by much larger distances than shown here, does not further increase the warping factor for this geometry. Users are cautioned that manually increasing the error limit beyond its default of 5.0 for these elements could mean no real limit on element distortion.

13.7.13.2. Warping Factor Calculation for 3-D Solid Elements

The warping factor for a 3-D solid element face is computed as though the 4 nodes make up a quadrilateral shell element with no real constant thickness available, using the square root of the projected area of the face as described in 4 (above).

The warping factor for the element is the largest of the warping factors computed for the 6 quadrilateral faces of a brick, 3 quadrilateral faces of a wedge, or 1 quadrilateral face of a pyramid.

Any brick element having all flat faces has a warping factor of zero (Figure 13.31: "Warping Factor for Bricks").

Figure 13.31 Warping Factor for Bricks

Twisting the top face of a unit cube by 22.5° and 45° relative to the base produces warping factors of about 0.2 and 0.4, respectively.

Table 13.12 Applicability of Warping Tests

Element Name | Limits Group from Warping Factor Limits | ANSYS internal key ielc(JSHELL)
SHELL28 | "shear / twist" | 7
SHELL41 | "membrane stiffness only" | 4
SHELL43 | "bending with high warping limit" | 2
INFIN47 | "non-stress" | 11
SHELL57 | "non-stress" | 11
SHELL63 | "bending stiffness included" if KEYOPT(1) = 0 or 2 | 3
 | "membrane stiffness only" if KEYOPT(1) = 1 | 4
SHELL91 | none ... element can curve out of plane | 1
SHELL93 | none ... element can curve out of plane | 1
SHELL99 | none ... element can curve out of plane | 1
INTER115 | "non-stress" | 11
SHELL131 | "non-stress" | 11
SHELL132 | "non-stress" | 11
SHELL150 | none ... element can curve out of plane | 1
SHELL157 | "non-stress" | 11
SHELL163 | "bending with high warping limit" | 2
SHELL181 | "bending with high warping limit " if KEYOPT(1) = 0 | 2
 | "membrane stiffness only" if KEYOPT(1) = 1 | 4

Table 13.13 Warping Factor Limits

Command to modify | Type of limit | Default | Why default is this tight | Why default is this loose
SHPP,MODIFY,51 warning for “bending with high warping limit” shells {ielc (JSHELL)=2} 1 Elements having warping factors > 1 look like they deserve warnings

Element formulation derived from 8-node solid isn't disturbed by warping.

Disturbance of analysis results has not been proven

SHPP,MODIFY,52 | same as above, error limit | 5 | Pushing this limit further does not seem prudent | Valid analyses should not be blocked.
SHPP,MODIFY,53 warning for “non-stress” shells or “bending stiffness included” shells without geometric nonlinearities {3, 11} 0.1

The element formulation is based on flat shell theory, with rigid beam offsets for moment compatibility.

Informal testing has shown that result error became significant for warping factor > 0.1.

It is difficult to avoid these warnings even with a limit of 0.1.
SHPP,MODIFY,54 | same as above, error limit | 1 | Pushing this limit further does not seem prudent. | Valid analyses should not be blocked.
SHPP,MODIFY,55 | warning for “membrane stiffness only” shells {4} | 0.02 | The element formulation is based on flat shell theory, without any correction for moment compatibility. The element cannot handle forces not in the plane of the element. | Informal testing has shown that the effect of warping < 0.02 is negligible.
SHPP,MODIFY,56 | same as above, error limit | 0.2 | Pushing this limit further does not seem prudent | Valid analyses should not be blocked.
SHPP,MODIFY,57 warning for “shear / twist” shells {7} 0.1

The element formulation is based on flat shell theory, with rigid beam offsets for moment compatibility.

Informal testing has shown that result error became significant for warping factor > 0.1.

It is difficult to avoid these warnings even with a limit of 0.1.
SHPP,MODIFY,58 | same as above, error limit | 1 | Pushing this limit further does not seem prudent | Valid analyses should not be blocked.
SHPP,MODIFY,59 warning for “bending stiffness included” shells with geometric nonlinearities {3} 0.00001

The element formulation is based on flat shell theory. The rigid beam offsets added to warped elements for moment compatibility do not work well with geometric nonlinearities.

Informal testing has shown that nonlinear convergence was impaired and/or result error became significant for warping factors > 0.00001.
SHPP,MODIFY,60 | same as above, error limit | 0.01 | Pushing this limit further does not seem prudent | Valid analyses should not be blocked.
SHPP,MODIFY,67 | warning for 3-D solid element quadrilateral face | 0.2 | A warping factor of 0.2 corresponds to about a 22.5° rotation of the top face of a unit cube. Brick elements distorted this much look like they deserve warnings. | Disturbance of analysis results has not been proven.
SHPP,MODIFY,68 | same as above, error limit | 0.4 | A warping factor of 0.4 corresponds to about a 45° rotation of the top face of a unit cube. Pushing this limit further does not seem prudent. | Valid analyses should not be blocked.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.6. Nodal and Centroidal Data Evaluation 		Up / Home Next
Chapter 14. Element Library


Chapter 14. Element Library

This chapter describes the theory underlying each ANSYS element. The explanations are augmented by references to other sections in this manual as well as external sources.

The table below the introductory figure of each element is complete, except that the Newton-Raphson load vector is omitted. This load vector always uses the same shape functions and integration points as the applicable stiffness, conductivity and/or coefficient matrix. Exceptions associated mostly with some nonlinear line elements are noted with the element description.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
13.7. Element Shape Testing 		Up / Home Next
14.1. LINK1 - 2-D Spar (or Truss)


14.1. LINK1 - 2-D Spar (or Truss)

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix and Thermal Load Vector | (Equation 12–1) | None
Mass Matrix | (Equation 12–1) and (Equation 12–2) | None
Stress Stiffness Matrix | (Equation 12–2) | None
Load Type | Distribution
Element Temperature | Linear along length
Nodal Temperature | Linear along length

14.1.1. Assumptions and Restrictions

The element is not capable of carrying bending loads. The stress is assumed to be uniform over the entire element.

14.1.2. Other Applicable Sections

LINK8, the 3-D Spar, has analogous element matrices and load vectors described, as well as the stress printout.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 14. Element Library 		Up / Home Next
14.2. Not Documented


14.2. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.1. LINK1 - 2-D Spar (or Truss) 		Up / Home Next
14.3. BEAM3 - 2-D Elastic Beam


14.3. BEAM3 - 2-D Elastic Beam

Matrix or Vector | Shape Functions | Integration Points
Stiffness and Mass Matrices; and Thermal and Pressure Load Vector | (Equation 12–4) and (Equation 12–5) | None
Stress Stiffness Matrix | (Equation 12–5) | None
Load Type | Distribution
Element Temperature | Linear thru thickness and along length
Nodal Temperature | Constant thru thickness, linear along length
Pressure | Linear along length

14.3.1. Element Matrices and Load Vectors

The element stiffness matrix in element coordinates is (Przemieniecki(28)):

(14–1)

where:

A = cross-section area (input as AREA on R command)
E = Young's modulus (input as EX on MP command)
L = element length
I = moment of inertia (input as IZZ on R command)
G = shear modulus (input as GXY on MP command)
Fs = shear deflection constant (input as SHEARZ on R command)

The consistent element mass matrix (LUMPM,OFF) in element coordinates is (Yokoyama(167)):

(14–2)

where:

ρ = density (input as DENS on MP command)
m = added mass per unit length (input as ADDMAS on R command)
εin = prestrain (input as ISTRN on R command)

The lumped element mass matrix (LUMPM,ON) in element coordinates is:

(14–3)

The element pressure load vector in element coordinates is:

(14–4)

For uniform lateral pressure,

(14–5)

(14–6)

(14–7)

where:

P = uniform applied pressure (units = force/length) (input on SFE command)

Other standard formulas (Roark(48)) for P1 through P6 are used for linearly varying loads, partially loaded elements, and point loads.

14.3.2. Stress Calculation

The centroidal stress at end i is:

(14–8)

where:

Fx,i = axial force (output as FORCE)

The bending stress is

(14–9)

where:

Mi = moment at end i
t = thickness of beam in element y direction (input as HEIGHT on R command)

The presumption has been made that the cross-section is symmetric.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.2. Not Documented 		Up / Home Next
14.4. BEAM4 - 3-D Elastic Beam


14.4. BEAM4 - 3-D Elastic Beam

Matrix or Vector | Shape Functions | Integration Points
Stiffness and Mass Matrices | (Equation 12–15), (Equation 12–16), (Equation 12–17), and (Equation 12–18) | None
Stress Stiffness and Damping Matrices | (Equation 12–7) and (Equation 12–8) | None
Pressure Load Vector and Temperatures | (Equation 12–15), (Equation 12–16), and (Equation 12–17) | None
Load Type | Distribution
Element Temperature | Bilinear across cross-section, linear along length
Nodal Temperature | Constant across cross-section, linear along length
Pressure | Linear along length

14.4.1. Stiffness and Mass Matrices

The order of degrees of freedom (DOFs) is shown in Figure 14.1: "Order of Degrees of Freedom".

Figure 14.1 Order of Degrees of Freedom

The stiffness matrix in element coordinates is (Przemieniecki(28)):

(14–10)

where:

A = cross-section area (input as AREA on R command)
E = Young's modulus (input as EX on MP command)
L = element length
G = shear modulus (input as GXY on MP command)
Ix = input torsional moment of inertia (input as IXX on RMORE command)
Jx = polar moment of inertia = Iy + Iz
az = a(Iz,φy)
ay = a(Iy,φz)
bz = b(Iz,φy)
fz = f(Iz,φy)
fy = f(Iy,φz)
Ii = moment of inertia normal to direction i (input as Iii on R command)

The consistent mass matrix (LUMPM,OFF) in element coordinates LUMPM,OFF is (Yokoyama(167)):

(14–11)

where:

Mt = (ρA+m)L(1-εin)
ρ = density (input as DENS on MP command)
m = added mass per unit length (input as ADDMAS on RMORE command)
εin = prestrain (input as ISTRN on RMORE command)
Az = A(rz,φy)
Ay = A(ry,φz)
Bz = B(rz,φy)
Fz = F(rz,φy)
Fy = F(ry,φz)

The mass matrix (LUMPM,ON) in element coordinates is:

(14–12)

14.4.2. Gyroscopic Damping Matrix

The element gyroscopic damping matrix is the same as for PIPE16.

14.4.3. Pressure and Temperature Load Vector

The pressure and temperature load vector are computed in a manner similar to that of BEAM3.

14.4.4. Local to Global Conversion

The element coordinates are related to the global coordinates by:

(14–13)

where:

{u} = vector of displacements in global Cartesian coordinates

[T] is defined by:

(14–14)

where:

S3 = sin (θ)
C3 = cos (θ)
X1, etc. = x coordinate of node 1, etc.
Lxy = projection of length onto X-Y plane
d = .0001 L
θ = user-selected adjustment angle (input as THETA on R command)

If a third node is given, θ is not used. Rather C3 and S3 are defined using:

{V1} = vector from origin to node 1
{V2} = vector from origin to node 2
{V3} = vector from origin to node 3
{V4} = unit vector parallel to global Z axis, unless element is almost parallel to Z axis, in which case it is parallel to the X axis.

Then,

(14–15)

(14–16)

(14–17)

(14–18)

and

(14–19)

(14–20)

The x and • refer to vector cross and dot products, respectively. Thus, the element stiffness matrix in global coordinates becomes:

(14–21)

(14–22)

(14–23)

(14–24)

( [image] is defined in Large Strain).

14.4.5. Stress Calculations

The centroidal stress at end i is:

(14–25)

where:

Fx,i = axial force (output as FX)

The bending stresses are

(14–26)

(14–27)

where:

My,i = moment about the element y axis at end i
Mz,i = moment about the element z axis at end i
tz = thickness of beam in element z direction (input as TKZ on R command)
ty = thickness of beam in element y direction (input as TKY on R command)

The maximum and minimum stresses are:

(14–28)

(14–29)

The presumption has been made that the cross-section is a rectangle, so that the maximum and minimum stresses of the cross-section occur at the corners. If the cross-section is of some other form, such as an ellipse, the user must replace (Equation 14–28) and (Equation 14–29) with other more appropriate expressions.

For long members, subjected to distributed loading (such as acceleration or pressure), it is possible that the peak stresses occur not at one end or the other, but somewhere in between. If this is of concern, the user should either use more elements or compute the interior stresses outside of the program.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.3. BEAM3 - 2-D Elastic Beam 		Up / Home Next
14.5. SOLID5 - 3-D Coupled-Field Solid


14.5. SOLID5 - 3-D Coupled-Field Solid

Matrix or Vector | Shape Functions | Integration Points
Magnetic Potential Coefficient Matrix | (Equation 12–202) | 2 x 2 x 2
Electrical Conductivity Matrix | (Equation 12–201) | 2 x 2 x 2
Thermal Conductivity Matrix | (Equation 12–200) | 2 x 2 x 2
Stiffness Matrix and Thermal Expansion Load Vector | (Equation 12–188), (Equation 12–189), and (Equation 12–190) or, if modified extra shapes are included (KEYOPT(3) = 0), (Equation 12–203), (Equation 12–204), and (Equation 12–205) | 2 x 2 x 2
Piezoelectric Coupling Matrix | Same as combination of stiffness matrix and conductivity matrix. | 2 x 2 x 2
Specific Heat Matrix | Same as conductivity matrix. Matrix is diagonalized as described in 3-D Lines | 2 x 2 x 2
Mass and Stress Stiffening Matrices | (Equation 12–188), (Equation 12–189), and (Equation 12–190) | 2 x 2 x 2
Load Vector due to Imposed Thermal and Electric Gradients, Heat Generation, Joule Heating, Magnetic Forces, Magnetism due to Source Currents and Permanent Magnets | Same as coefficient or conductivity matrix | 2 x 2 x 2
Load Vector due to Convection Surfaces and Pressures | Same as stiffness or conductivity matrix specialized to the surface. | 2 x 2 x 2

References: Wilson(38), Taylor(49),
Coulomb(76), Mayergoyz(119),
Gyimesi(141,149)

14.5.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations. "Heat Flow" describes the derivation of thermal element matrices and load vectors as well as heat flux evaluations. Derivation of Electromagnetic Matrices discusses the scalar potential method, which is used by this element. Piezoelectrics discusses the piezoelectric capability used by the element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.4. BEAM4 - 3-D Elastic Beam 		Up / Home Next
14.6. Not Documented


14.6. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.5. SOLID5 - 3-D Coupled-Field Solid 		Up / Home Next
14.7. COMBIN7 - Revolute Joint


14.7. COMBIN7 - Revolute Joint

Matrix or Vector | Shape Functions | Integration Points
Stiffness and Damping Matrices; and Load Vector | None | None
Mass Matrix | None (lumped mass formulation) | None

14.7.1. Element Description

COMBIN7 is a 5-node, 3-D structural element that is intended to represent a pin (or revolute) joint. The pin element connects two links of a kinematic assemblage. Nodes I and J are active and physically represent the pin joint. Node K defines the initial (first iteration) orientation of the moving joint coordinate system (x, y, z), while nodes L and M are control nodes that introduce a certain level of feedback to the behavior of the element.

In kinematic terms, a pin joint has only one primary DOF, which is a rotation (θz) about the pin axis (z). The joint element has six DOFs per node (I and J) : three translations (u, v, w) and three rotations (θx, θy, θz) referenced to element coordinates (x, y, z). Two of the DOFs (θz for nodes I and J) represent the pin rotation. The remaining 10 DOFs have a relatively high stiffness (see below). Among other options available are rotational limits, feedback control, friction, and viscous damping.

Flexible behavior for the constrained DOF is defined by the following input quantities:

K1 = spring stiffness for translation in the element x-y plane (input as K1 on R command)
K2 = spring stiffness for translation in the element z direction (input as K2 on R command)
K3 = spring stiffness for rotation about the element x and y axes (input as K3 on R command)

Figure 14.2 Joint Element Dynamic Behavior About the Revolute Axis

The dynamics of the primary DOF (θz) of the pin is shown in Figure 14.2: "Joint Element Dynamic Behavior About the Revolute Axis". Input quantities are:

K4 = rotation spring stiffness about the pin axis when the element is “locked” (input as K4 on R command)
Tf = friction limit torque (input as TF on R command)
Ct = rotational viscous friction (input as CT on R command)
Ti = imposed element torque (input as TLOAD on RMORE command)
= reverse rotation limit (input as STOPL on RMORE command)
= forward rotation limit (input as STOPU on RMORE command)
θi = imposed (or interference) rotation (input as ROT on RMORE command)
Im = joint mass (input as MASS on RMORE command)

A simple pin can be modeled by merely setting K4 = 0, along with Ki > 0 (i = 1 to 3). Alternately, when K4 > 0, a simple pin is formed with zero friction (Tf = 0). The total differential rotation of the pin is given by:

(14–30)

When friction is present (Tf = 0), this may be divided into two parts, namely:

(14–31)

where:

θf = the amount of rotation associated with friction
θK = the rotation associated with the spring (i.e., spring torque /K4)

One extreme condition occurs when Tf = 0, and it follows that θK = 0 and θt = θf. On the other hand, when a high level of friction is specified to the extent that the spring torque never exceeds Tf, then it follows that θf = 0 and θf = θK. When a negative friction torque is specified (Tf < 0), the pin axis is “locked” (or stuck) with revolute stiffness K4. The pin also becomes locked when a stop is engaged, that is when:

(14–32)

(14–33)

Stopping action is removed when [image] = [image] = 0.

Internal self-equilibrating element torques are imposed about the pin axis if either Ti or θi are specified. If Ti is specified, the internal torques applied to the active nodes are:

(14–34)

If a local rotation θi is input, it is recommended that one should set Tf < 0, K4 > 0, and Ti = 0. Internal loads then become

(14–35)

14.7.2. Element Matrices

For this element, nonlinear behavior arises when sliding friction is present, stops are specified, control features are active, or large rotations are represented.

As mentioned above, there are two active nodes and six DOFs per node. Thus, the size of the element mass, damping, and stiffness matrices in 12 x 12, with a 12 x 1 load vector.

The stiffness matrix is given by:

(14–36)

where:

The mass matrix is lumped and given by:

(14–37)

where:

M = total mass (input as MASS on RMORE command)
Im = total mass moment of inertia (input as IMASS on RMORE command)

The damping matrix, derived from rotational viscous damping about the pin axis is given as:

(14–38)

The applied load vector for COMBIN7 is given by:

(14–39)

14.7.3. Modification of Real Constants

Four real constants (C1, C2, C3, C4) are used to modify other real constants for a dynamic analysis (ANTYPE,TRAN with TRNOPT,FULL). The modification is performed only if either C1 ≠ 0 or C3 ≠ 0 and takes the form:

(14–40)

where:

R' = modified real constant value
R = original real constant value
C1, C2, C3, C4 = user-selected constants (input as C1, C2, C3 and C4 on RMORE command)
Cv = control value (defined below)
f1 = function defined by subroutine USERRC

By means of KEYOPT(7), the quantity R is as follows:

(14–41)

Negative values for R' are set equal to zero for quantities Tf (KEYOPT(7) = 6), [image] (KEYOPT(7) = 11), and [image] (KEYOPT(7) = 12).

The calculation for Cv depends of control nodes L and M, as well as KEYOPT(1), KEYOPT(3), and KEYOPT(4). The general formulation is given by:

(14–42)

in which t is time and Δu is determined from

(14–43)

If KEYOPT(4) = 0, then the DOFs above are in nodal coordinates. The DOFs are in the moving element coordinates if KEYOPT(4) = 1.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.6. Not Documented 		Up / Home Next
14.8. LINK8 - 3-D Spar (or Truss)


14.8. LINK8 - 3-D Spar (or Truss)

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix and Thermal Load Vector | (Equation 12–6) | None
Mass Matrix | (Equation 12–6), (Equation 12–7), and (Equation 12–8) | None
Stress Stiffening Matrix | (Equation 12–7) and (Equation 12–8) | None
Load Type | Distribution
Element Temperature | Linear along length
Nodal Temperature | Linear along length

Reference: Cook et al.(117)

14.8.1. Assumptions and Restrictions

The element is not capable of carrying bending loads. The stress is assumed to be uniform over the entire element.

14.8.2. Element Matrices and Load Vector

All element matrices and load vectors described below are generated in the element coordinate system and are then converted to the global coordinate system. The element stiffness matrix is:

(14–44)

where:

A = element cross-sectional area (input as AREA on R command)
L = element length

The consistent element mass matrix (LUMPM,OFF) is:

(14–45)

where:

ρ = density (input as DENS on MP command)
εin = initial strain (input as ISTRN on R command)

The lumped element mass matrix (LUMPM,ON) is:

(14–46)

The element stress stiffness matrix is:

(14–47)

where:

The element load vector is:

(14–48)

where:

The applied load vector is:

(14–49)

For a linear analysis or the first iteration of a nonlinear (Newton-Raphson) analysis [image] is:

(14–50)

with

(14–51)

where:

αn = coefficient of thermal expansion (input as ALPX on MP command) evaluated at Tn
Tn = average temperature of the element in this iteration
Tref = reference temperature (input on TREF command)

For the subsequent iterations of a Newton-Raphson analysis:

(14–52)

with the thermal strain increment computed through:

(14–53)

where:

αn, αn-1 = coefficients of thermal expansion evaluated at Tn and Tn-1, respectively
Tn, Tn-1 = average temperature of the element for this iteration and the previous iteration

The Newton-Raphson restoring force vector is:

(14–54)

where:

14.8.3. Force and Stress

For a linear analysis or the first iteration of a nonlinear (Newton-Raphson) analysis:

(14–55)

where:

u = difference of nodal displacements in axial direction

For the subsequent iterations of a nonlinear (Newton-Raphson) analysis:

(14–56)

where:

Δu = difference of nodal displacements increment in axial direction
Δεth = thermal strain increment
Δεpl = plastic strain increment
Δεcr = creep strain increment
Δεsw = swelling strain increment

The stress is:

(14–57)

where:

σ = stress (output as SAXL)

Thus, the strain used to compute the stress has the creep and swelling effects as of the beginning of the substep, not the end. Finally,

(14–58)

where:

F = force (output as MFORX)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.7. COMBIN7 - Revolute Joint 		Up / Home Next
14.9. INFIN9 - 2-D Infinite Boundary


14.9. INFIN9 - 2-D Infinite Boundary

Matrix or Vector | Shape Functions | Integration Points
Magnetic Potential Coefficient Matrix or Thermal Conductivity Matrix | A = C1 + C2x | None

References: Kagawa, Yamabuchi and Kitagami(122)

14.9.1. Introduction

This boundary element (BE) models the exterior infinite domain of the far-field magnetic and thermal problems. This element is to be used in combination with elements having a magnetic potential (AZ) or temperature (TEMP) as the DOF.

14.9.2. Theory

The formulation of this element is based on a first order infinite boundary element (IBE) that is compatible with first order quadrilateral or triangular shaped finite elements, or higher order elements with dropped midside nodes. For unbounded field problems, the model domain is set up to consist of an interior finite element domain, ΩF, and a series of exterior BE subdomains, ΩB, as shown in Figure 14.3: "Definition of BE Subdomain and the Characteristics of the IBE". Each subdomain, ΩB, is treated as an ordinary BE domain consisting of four segments: the boundary element I-J, infinite elements J-K and I-L, and element K-L; element K-L is assumed to be located at infinity.

Figure 14.3 Definition of BE Subdomain and the Characteristics of the IBE

The approach used here is to write BE equations for ΩB, and then convert them into equivalent load vectors for the nodes I and J. The procedure consists of four separate steps that are summarized below (see reference (122) for details).

First, a set of boundary integral equations is written for ΩB. To achieve this, linear shape functions are used for the BE I-J:

(14–59)

(14–60)

Over the infinite elements J-K and I-L the potential (or temperature) φ and its derivative q (flux) are respectively assumed to be:

(14–61)

(14–62)

The boundary integral equations are the same as presented in (Equation 14–365) except that the Green's function in this case would be:

(14–63)

where:

x = field point in boundary element
ξ = source point

Note that all the integrations in the present case are performed in closed form.

Second, in the absence of a source or sink in ΩB, the flux q(r) is integrated over the boundary ΓB of ΩB and set to zero.

(14–64)

Third, a geometric constraint condition that exists between the potential φ and its derivatives [image] at the nodes I and J is written as:

(14–65)

Fourth, the energy flow quantity from ΩB is written as:

(14–66)

This energy flow is equated to that due to an equivalent nodal {F} defined below.

The four steps mentioned above are combined together to yield, after eliminating qn and qτ,

(14–67)

where:

[K] = 2 x 2 equivalent unsymmetric element coefficient matrix
{φ} = 2 x 1 nodal DOFs, AZ or TEMP
{F} = 2 x 1 equivalent nodal force vector

For linear problems, the INFIN9 element forms the coefficient matrix [K] only. The load vector {F} is not formed. The coefficient matrix multiplied by the nodal DOF's represents the nodal load vector which brings the effects of the semi-infinite domain ΩB onto nodes I and J.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.8. LINK8 - 3-D Spar (or Truss) 		Up / Home Next
14.10. LINK10 - Tension-only or Compression-only Spar


14.10. LINK10 - Tension-only or Compression-only Spar

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix and Thermal Load Vector | (Equation 12–6) | None
Mass Matrix | (Equation 12–6), (Equation 12–7) , and (Equation 12–8) | None
Stress Stiffness Matrix | (Equation 12–7) and (Equation 12–8) | None
Load Type | Distribution
Element Temperature | Linear along length
Nodal Temperature | Linear along length

14.10.1. Assumptions and Restrictions

The element is not capable of carrying bending loads. The stress is assumed to be uniform over the entire element.

14.10.2. Element Matrices and Load Vector

All element matrices and load vectors are generated in the element coordinate system and must subsequently then be converted to the global coordinate system. The element stiffness matrix is:

(14–68)

where:

A = element cross-sectional area (input as AREA on R command)
E = Young's modulus (input as EX on MP command)
L = element length
C1 = value given in Table 14.1: "Value of Stiffness Coefficient (C1)"

Table 14.1 Value of Stiffness Coefficient (C1)

User Options | Strain is Currently Tensile | Strain is Currently Compressive
KEYOPT(2) = 0 KEYOPT(3) = 0 | 1.0 | 0.0
KEYOPT(2) > 0 KEYOPT(3) = 0 | 1.0 | 1.0 x 10-6
KEYOPT(2) = 0 KEYOPT(3) = 1 | 0.0 | 1.0
KEYOPT(2) > 0 KEYOPT(3) = 1 | 1.0 x 10-6 | 1.0
Meanings: KEYOPT(2) = 0 KEYOPT(2) = 1,2 KEYOPT(3) = 0 KEYOPT(3) = 1 | No extra stiffness for non-load carrying case Has small stiffness for non-load carrying case Tension-only spar Compression-only spar

The element mass matrix is the same as for LINK8.

The element stress stiffness matrix is:

(14–69)

where:

C2 = value given in Table 14.2: "Value of Stiffness Coefficient (C2)".

Table 14.2 Value of Stiffness Coefficient (C2)

User Options | Strain is Currently Tensile | Strain is Currently Compressive
KEYOPT(2) < 2 KEYOPT(3) = 0 | 1.0 | 0.0
KEYOPT(2) = 2 KEYOPT(3) = 0 | 1.0 |
KEYOPT(2) < 2 KEYOPT(3) = 1 | 0.0 | 1.0
KEYOPT(2) = 2 KEYOPT(3) = 1 |  | 1.0
Meanings: KEYOPT(2) = 0,1 KEYOPT(2) = 2 KEYOPT(3) = 0 KEYOPT(3) = 1 | No extra stress stiffness value Include extra stress stiffness value Tension-only spar Compression-only spar

The element applied load vector is:

(14–70)

where:

εT = αΔT - εin
α = coefficient of thermal expansion (input as ALPX on MP command)
ΔT = Tave - TREF
Tave = average temperature of element
TREF = reference temperature (input on TREF command)
εin = prestrain (input as ISTRN on R command)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.9. INFIN9 - 2-D Infinite Boundary 		Up / Home Next
14.11. LINK11 - Linear Actuator


14.11. LINK11 - Linear Actuator

Matrix or Vector | Shape Functions | Integration Points
Stiffness and Damping Matrices | (Equation 12–6) | None
Mass Matrix | None (lumped mass formulation) | None
Stress Stiffness Matrix | (Equation 12–7) and (Equation 12–8) | None

14.11.1. Assumptions and Restrictions

The element is not capable of carrying bending or twist loads. The force is assumed to be constant over the entire element.

14.11.2. Element Matrices and Load Vector

All element matrices and load vectors are described below. They are generated in the element coordinate system and are then converted to the global coordinate system. The element stiffness matrix is:

(14–71)

where:

K = element stiffness (input as K on R command)

The element mass matrix is:

(14–72)

where:

M = total element mass (input as M on R command)

The element damping matrix is:

(14–73)

where:

C = element damping (input as C on R command)

The element stress stiffness matrix is:

(14–74)

where:

F = the axial force in the element (output as FORCE)
L = current element length (output as CLENG)

The element load vector is:

(14–75)

where:

The applied force vector is:

(14–76)

where:

F' = applied force thru surface load input using the PRES label

The Newton-Raphson restoring force vector is:

(14–77)

14.11.3. Force, Stroke, and Length

The element spring force is determined from

(14–78)

where:

F = element spring force (output as FORCE)
SA = applied stroke (output as STROKE) thru surface load input using the PRES label
SM = computed or measured stroke (output as MSTROKE)

The lengths, shown in the figure at the beginning of this section, are:

Lo = initial length (output as ILEN)
Lo + SM = current length (output as CLEN)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.10. LINK10 - Tension-only or Compression-only Spar 		Up / Home Next
14.12. CONTAC12 - 2-D Point-to-Point Contact


14.12. CONTAC12 - 2-D Point-to-Point Contact

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix | None (nodes may be coincident) | None
Load Type | Distribution
Element Temperature | None - average used for material property evaluation
Nodal Temperature | None - average used for material property evaluation

14.12.1. Element Matrices

CONTAC12 may have one of three conditions if the elastic Coulomb friction option (KEYOPT(1) = 0) is used: closed and stuck, closed and sliding, or open. The following matrices are derived assuming that θ is input as 0.0.

  1. Closed and stuck. This occurs if:

            (14–79)

    where:

    μ = coefficient of friction (input as MU on TB command with Lab = FRIC or MP command)
    Fn = normal force across gap
    Fs = sliding force parallel to gap

    The normal force is:

            (14–80)

    where:

    kn = normal stiffness (input as KN on R command
    un,I = displacement of node I in normal direction
    un,J = displacement of node J in normal direction

    d = distance between nodes

    The sliding force is:

            (14–81)

    where:

    ks = sticking stiffness (input as KS on R command)
    us,I = displacement of node I in sliding direction
    us,J = displacement of node J in sliding direction
    uo = distance that nodes I and J have slid with respect to each other

    The resulting element stiffness matrix (in element coordinates) is:

            (14–82)

    and the Newton-Raphson load vector (in element coordinates) is:

            (14–83)

  2. Closed and sliding. This occurs if:

            (14–84)

    In this case, the element stiffness matrix (in element coordinates) is:

            (14–85)

    and the Newton-Raphson load vector is the same as in (Equation 14–83). If the unsymmetric option is chosen (NROPT,UNSYM), then the stiffness matrix includes the coupling between the normal and sliding directions; which for STAT = 2 is:

            (14–86)

  3. Open - When there is no contact between nodes I and J. There is no stiffness matrix or load vector.

Figure 14.4: "Force-Deflection Relations for Standard Case" shows the force-deflection relationships for this element. It may be seen in these figures that the element is nonlinear and therefore needs to be solved iteratively. Further, since energy lost in the slider cannot be recovered, the load needs to be applied gradually.

Figure 14.4 Force-Deflection Relations for Standard Case

14.12.2. Orientation of the Element

The element is normally oriented based on θ (input as THETA on R command). If KEYOPT(2) = 1, however, θ is not used. Rather, the first iteration has θ equal to zero, and all subsequent iterations have the orientation of the element based on the displacements of the previous iteration. In no case does the element use its nodal coordinates.

14.12.3. Rigid Coulomb Friction

If the user knows that a gap element will be in sliding status for the life of the problem, and that the relative displacement of the two nodes will be monotonically increasing, the rigid Coulomb friction option (KEYOPT(1) = 1) can be used to avoid convergence problems. This option removes the stiffness in the sliding direction, as shown in Figure 14.5: "Force-Deflection Relations for Rigid Coulomb Option". It should be noted that if the relative displacement does not increase monotonically, the convergence characteristics of KEYOPT(1) = 1 will be worse than for KEYOPT(1) = 0.

Figure 14.5 Force-Deflection Relations for Rigid Coulomb Option

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.11. LINK11 - Linear Actuator 		Up / Home Next
14.13. PLANE13 - 2-D Coupled-Field Solid


14.13. PLANE13 - 2-D Coupled-Field Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Magnetic Potential Coefficient Matrix; and Permanent Magnet and Applied Current Load Vector | Quad | (Equation 12–103) | 2 x 2
 | Triangle | (Equation 12–84) | 1 if planar 3 if axisymmetric
Thermal Conductivity Matrix | Quad | (Equation 12–108) | Same as coefficient matrix
 | Triangle | (Equation 12–89)
Stiffness Matrix; and Thermal and Magnetic Force Load Vector | Quad | (Equation 12–100) and (Equation 12–101) and, if modified extra shapes are included (KEYOPT(2) = 0) and element has 4 unique nodes) (Equation 12–112) and (Equation 12–113). | Same as coefficient matrix
 | Triangle | (Equation 12–81) and (Equation 12–82)
Mass and Stress Stiffness Matrices | Quad | (Equation 12–100) and (Equation 12–101) | Same as coefficient matrix
 | Triangle | (Equation 12–81) and (Equation 12–82)
Specific Heat Matrix | Same as conductivity matrix. Matrix is diagonalized as described in Lumped Matrices |  | Same as coefficient matrix
Damping (Eddy Current) Matrix | Quad | (Equation 12–103) and (Equation 12–109) | Same as coefficient matrix
 | Triangle | (Equation 12–84) and (Equation 12–90)
Convection Surface Matrix and Load Vector | Same as conductivity matrix, specialized to the surface |  | 2
Pressure Load Vector | Same as mass matrix specialized to the face |  | 2
Load Type | Distribution
Current Density | Bilinear across element
Current Phase Angle | Bilinear across element
Heat Generation | Bilinear across element
Pressure | Linear along each face

References: Wilson(38), Taylor, et al.(49), Silvester, et al.(72),Weiss, et al.(94), Garg, et al.(95)

14.13.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations. "Heat Flow" describes the derivation of thermal element matrices and load vectors as well as heat flux evaluations. Derivation of Electromagnetic Matrices and Electromagnetic Field Evaluations discuss the magnetic vector potential method, which is used by this element. The diagonalization of the specific heat matrix is described in Lumped Matrices. PLANE42 - 2-D Structural Solid provides additional information on the element coordinate system, extra displacement shapes, and stress calculations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.12. CONTAC12 - 2-D Point-to-Point Contact 		Up / Home Next
14.14. COMBIN14 - Spring-Damper


14.14. COMBIN14 - Spring-Damper

Matrix or Vector | Option | Shape Functions[1] | Integration Points
Stiffness and Damping Matrices | Longitudinal | (Equation 12–6) | None
 | Torsional | (Equation 12–18) | None
Stress Stiffening Matrix | Longitudinal | (Equation 12–7), and (Equation 12–8) | None

  1. There are no shape functions used if the element is input on a one DOF per node basis (KEYOPT(2) > 0) as the nodes may be coincident.

14.14.1. Types of Input

COMBIN14 essentially offers two types of elements, selected with KEYOPT(2).

  1. Single DOF per node (KEYOPT(2) > 0). The orientation is defined by the value of KEYOPT(2) and the two nodes are usually coincident.

  2. Multiple DOFs per node (KEYOPT(2) = 0). The orientation is defined by the location of the two nodes; therefore, the two nodes must not be coincident.

14.14.2. Stiffness Pass

Consider the case of a single DOF per node first. The orientation is selected with KEYOPT(2). If KEYOPT(2) = 7 (pressure) or = 8 (temperature), the concept of orientation does not apply. The form of the element stiffness and damping matrices are:

(14–87)

(14–88)

where:

k = stiffness (input as K on R command)
Cv = Cv1 + Cv2 |v|
Cv1 = constant damping coefficient (input as CV1 on R command)
Cv2 = linear damping coefficient (input as CV2 on R command)
v = relative velocity between nodes computed from the nodal Newmark velocities

Next, consider the case of multiple DOFs per node. Only the case with three DOFs per node will be discussed, as the case with two DOFs per node is simply a subset. The stiffness, damping, and stress stiffness matrices in element coordinates are developed as:

(14–89)

(14–90)

(14–91)

where subscript [image] refers to element coordinates.

and where:

F = force in element from previous iteration
L = distance between the two nodes

There are some special notes that apply to the torsion case (KEYOPT(3) = 1):

  1. Rotations are simply treated as a vector quantity. No other effects (including displacements) are implied.

  2. In a large rotation problem (NLGEOM,ON), the coordinates do not get updated, as the nodes only rotate. (They may translate on other elements, but this does not affect COMBIN14 with KEYOPT(3) = 1). Therefore, there are no large rotation effects.

  3. Similarly, as there is no axial force computed, no stress stiffness matrix is computed.

14.14.3. Output Quantities

The stretch is computed as:

(14–92)

where:

A = (XJ - XI)(uJ - uI) + (YJ - YI)(vJ - vI) + (ZJ - ZI)(wJ - wI)
X, Y, Z = coordinates in global Cartesian coordinates
u, v, w = displacements in global Cartesian coordinates
u', v', w' = displacements in nodal Cartesian coordinates (UX, UY, UZ)
P = pressure (PRES)
T = temperatures (TEMP)

If KEYOPT(3) = 1 (torsion), the expression for A has rotation instead of translations, and εo is output as TWIST. Next, the static force (or torque) is computed:

(14–93)

where:

Fs = static force (or torque) (output as FORC (TORQ if KEYOPT(3) = 1))

Finally, if a nonlinear transient dynamic (ANTYPE,TRANS, with TIMINT,ON) analysis is performed, a damping force is computed:

(14–94)

where:

FD = damping force (or torque) (output as DAMPING FORCE (DAMPING TORQUE if KEYOPT(3) = 1))
v = relative velocity

relative velocity is computed using (Equation 14–92), where the nodal displacements u, v, w, etc. are replaced with the nodal Newmark velocities [image] etc.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.13. PLANE13 - 2-D Coupled-Field Solid 		Up / Home Next
14.15. Not Documented


14.15. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.14. COMBIN14 - Spring-Damper 		Up / Home Next
14.16. PIPE16 - Elastic Straight Pipe


14.16. PIPE16 - Elastic Straight Pipe

Matrix or Vector | Shape Functions | Integration Points
Stiffness and Mass Matrices | (Equation 12–15), (Equation 12–16), (Equation 12–17), and (Equation 12–18) | None
Stress Stiffness and Damping Matrices | (Equation 12–16) and (Equation 12–17) | None
Pressure and Thermal Load Vectors | (Equation 12–15), (Equation 12–16), and (Equation 12–17) | None
Load Type | Distribution
Element Temperature | Linear thru thickness or across diameter, and along length
Nodal Temperature | Constant across cross-section, linear along length
Pressure | Internal and External: constant along length and around circumference. Lateral: constant along length

14.16.1. Other Applicable Sections

The basic form of the element matrices is given with the 3-D beam element, BEAM4.

14.16.2. Assumptions and Restrictions

The element is assumed to be a thin-walled pipe except as noted. The corrosion allowance is used only in the stress evaluation, not in the matrix formulation.

14.16.3. Stiffness Matrix

The element stiffness matrix of PIPE16 is the same as for BEAM4, except that

(14–95)

(14–96)

(14–97)

and,

(14–98)

where:

π = 3.141592653
Do = outside diameter (input as OD on R command)
Di = inside diameter = Do - 2tw
tw = wall thickness (input as TKWALL on R command)
f = flexibility factor (input as FLEX on R command)

Further, the axial stiffness of the element is defined as

(14–99)

where:

E = Young's modulus (input as EX on MP command)
L = element length
k = alternate axial pipe stiffness (input as STIFF on RMORE command)

14.16.4. Mass Matrix

The element mass matrix of PIPE16 is the same as for BEAM4, except total mass of the element is assumed to be:

(14–100)

where:

me = total mass of element
mw = alternate pipe wall mass (input as MWALL on RMORE command)
ρ = pipe wall density (input as DENS on MP command)
ρfl = internal fluid density (input as DENSFL on R command)
ρin = insulation density (input as DENSIN on RMORE command)
Do+ = Do + 2tin
tin = insulation thickness (input as TKIN on RMORE command)
= alternate representation of the surface area of the outside of the pipe element (input as AREAIN on RMORE command)

Also, the bending moments of inertia ((Equation 14–96)) are used without the Cf term.

14.16.5. Gyroscopic Damping Matrix

The element gyroscopic damping matrix is:

(14–101)

where:

Ω = rotation frequency about the positive x axis (input as SPIN on RMORE command)
G = shear modulus (input as GXY on MP command)
As = shear area ( = Aw/2.0)

14.16.6. Stress Stiffness Matrix

The element stress stiffness matrix of PIPE16 is identical to that for BEAM4.

14.16.7. Load Vector

The element pressure load vector is

(14–102)

where:

F1 = FA + FP
F7 = -FA + FP
F4 = F10 = 0.0
P1 = parallel pressure component in element coordinate system (force/unit length)
P2, P3 = transverse pressure components in element coordinate system (force/unit length)

The transverse pressures are assumed to act on the centerline, and not on the inner or outer surfaces. The transverse pressures in the element coordinate system are computed by

(14–103)

where:

[T] = conversion matrix defined in (Equation 14–14)
PX = transverse pressure acting in global Cartesian X direction) (input using face 2 on SFE command)
PY = transverse pressure acting in global Cartesian Y direction) (input using face 3 on SFE command)
PZ = transverse pressure acting in global Cartesian Z direction) (input using face 4 on SFE command)

, the unrestrained axial strain caused by internal and external pressure effects, is needed to compute the pressure part of the element load vector (see Figure 14.6: "Thermal and Pressure Effects").

Figure 14.6 Thermal and Pressure Effects

is computed using thick wall (Lame') effects:

(14–104)

where:

ν = Poisson's ratio (input as PRXY or NUXY on MP command)
Pi = internal pressure (input using face 1 on SFE command)
Po = external pressure (input using face 5 on SFE command)

An element thermal load vector is computed also, based on thick wall effects.

14.16.8. Stress Calculation

The output stresses, computed at the outside surface and illustrated in Figure 14.7: "Elastic Pipe Direct Stress Output" and Figure 14.8: "Elastic Pipe Shear Stress Output", are calculated from the following definitions:

(14–105)

(14–106)

(14–107)

(14–108)

(14–109)

where:

σdir = direct stress (output as SDIR)
Fx = axial force
do = 2 ro
tc = corrosion allowance (input as TKCORR on RMORE command)
σbend = bending stress (output as SBEND)
Cσ = stress intensification factor, defined in Table 14.3: "Stress Intensification Factors"
σtor = torsional shear stress (output as ST)
Mx = torsional moment
J = 2Ir
σh = hoop pressure stress at the outside surface of the pipe (output as SH)
te = tw - tc
= lateral force shear stress (output as SSF)

Average values of Pi and Po are reported as first and fifth items of the output quantities ELEMENT PRESSURES. (Equation 14–108) is a specialization of (Equation 14–399). The outside surface is chosen as the bending stresses usually dominate over pressure induced stresses.

Figure 14.7 Elastic Pipe Direct Stress Output

Figure 14.8 Elastic Pipe Shear Stress Output

Stress intensification factors are given in Table 14.3: "Stress Intensification Factors".

Table 14.3 Stress Intensification Factors

KEYOPT(2) | Cσ
 | at node I | at node J
0 |  |
1 |  | 1.0
2 | 1.0 |
3 |  |

Any entry in Table 14.3: "Stress Intensification Factors" either input as or computed to be less than 1.0 is set to 1.0. The entries are:

= stress intensification factor of end I of straight pipe (input as SIFI on R command)
= stress intensification factor of end J of straight pipe (input as SIFJ on R command)

σth (output as STH), which is in the postprocessing file, represents the stress due to the thermal gradient thru the thickness. If the temperatures are given as nodal temperatures, σth = 0.0. But, if the temperatures are input as element temperatures,

(14–110)

where:

To = temperature at outside surface
Ta = temperature midway thru wall

(Equation 14–110) is derived as a special case of (Equation 2–8), (Equation 2–9) and (Equation 2–11) with y as the hoop coordinate (h) and z as the radial coordinate (r). Specifically, these equations

  1. are specialized to an isotropic material

  2. are premultiplied by [D] and -1

  3. have all motions set to zero, hence εx = εh = εr = γxh = γhr = γxr = 0.0

  4. have σr = τhr = τxr = 0.0 since r = Ro is a free surface.

This results in:

(14–111)

or

(14–112)

and

(14–113)

Finally, the axial and shear stresses are combined with:

(14–114)

(14–115)

where:

A, B = sine and cosine functions at the appropriate angle
σx = axial stress on outside surface (output as SAXL)
σxh = hoop stress on outside surface (output as SXH)

The maximum and minimum principal stresses, as well as the stress intensity and the equivalent stress, are based on the stresses at two extreme points on opposite sides of the bending axis, as shown in Figure 14.9: "Stress Point Locations". If shear stresses due to lateral forces [image] are greater than the bending stresses, the two points of maximum shearing stresses due to those forces are reported instead. The stresses are calculated from the typical Mohr's circle approach in Figure 14.10: "Mohr Circles".

The equivalent stress for Point 1 is based on the three principal stresses which are designated by small circles in Figure 14.10: "Mohr Circles". Note that one of the small circles is at the origin. This represents the radial stress on the outside of the pipe, which is equal to zero (unless Po ≠ 0.0). Similarly, the points marked with an X represent the principal stresses associated with Point 2, and a second equivalent stress is derived from them.

Next, the program selects the largest of the four maximum principal stresses (σ1, output as S1MX), the smallest of the four minimum principal stresses (σ3, output as S3MN), the largest of the four stress intensities (σI, output as SINTMX), and the largest of the four equivalent stresses (σe, output as SEQVMX). Finally, these are also compared (and replaced as necessary) to the values at the right positions around the circumference at each end. These four values are then printed out and put on the postprocessing file.

Figure 14.9 Stress Point Locations

Figure 14.10 Mohr Circles

Three additional items are put on the postdata file for use with certain code checking. These are:

(14–116)

(14–117)

(14–118)

where:

MXI = moment about the x axis at node I, etc.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.15. Not Documented 		Up / Home Next
14.17. PIPE17 - Elastic Pipe Tee


14.17. PIPE17 - Elastic Pipe Tee

Matrix or Vector | Shape Functions | Integration Points
Stiffness and Mass Matrices | (Equation 12–15), (Equation 12–16), (Equation 12–17), and (Equation 12–18) | None
Stress Stiffness Matrix | (Equation 12–16) and (Equation 12–17) | None
Pressure and Thermal Load Vectors | (Equation 12–15), (Equation 12–16), and (Equation 12–17) | None
Load Type | Distribution
Element Temperature | In each branch: linear thru thickness, constant along the length
Nodal Temperature | In each branch: constant thru thickness, linear along the length
Pressure | Internal and External: constant on all branches along the length and around the circumference Lateral: constant on each branch along the length

14.17.1. Other Applicable Sections

PIPE17 is essentially the same as three PIPE16 (elastic straight pipe) elements.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.16. PIPE16 - Elastic Straight Pipe 		Up / Home Next
14.18. PIPE18 - Elastic Curved Pipe


14.18. PIPE18 - Elastic Curved Pipe

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix | No shape functions are explicitly used. Rather a flexibility matrix similar to that developed by Chen(4) is inverted and used. | None
Mass Matrix | No shape functions are used. Rather a lumped mass matrix using only translational degrees of freedom is used. | None
Thermal and Pressure Load Vector | (Equation 12–15), (Equation 12–16), and (Equation 12–17) | None
Load Type | Distribution
Element Temperature | Linear thru thickness or across diameter, and along length
Nodal Temperature | Constant across cross-section, linear along length
Pressure | Internal and External: constant along length and around the circumference Lateral: varies trigonometrically along length (see below)

14.18.1. Other Applicable Sections

PIPE16 - Elastic Straight Pipe covers some of the applicable stress calculations.

14.18.2. Stiffness Matrix

The geometry in the plane of the element is given in Figure 14.11: "Plane Element".

Figure 14.11 Plane Element

The stiffness matrix is developed based on an approach similar to that of Chen(4). The flexibility of one end with respect to the other is:

(14–119)

where:

and where:

R = radius of curvature (input as RADCUR on R command) (see Figure 14.11: "Plane Element")
θ = included angle of element (see Figure 14.11: "Plane Element")
E = Young's modulus (input as EX on MP command)
ν = Poisson's ratio (input as PRXY or NUXY on MP command)
Do = outside diameter (input as OD on R command)
Di = Do - 2t = inside diameter
t = wall thickness (input as TKWALL on R command)
Pi = internal pressure (input on SFE command)
Po = external pressure (input on SFE command)

The user should not use the KEYOPT(3) = 1 option if:

(14–120)

where:

θc = included angle of the complete elbow, not just the included angle for this element (θ)

Next, the 6 x 6 stiffness matrix is derived from the flexibility matrix by inversion:

(14–121)

The full 12 x 12 stiffness matrix (in element coordinates) is derived by expanding the 6 x 6 matrix derived above and transforming to the global coordinate system.

14.18.3. Mass Matrix

The element mass matrix is a diagonal (lumped) matrix with each translation term being defined as:

(14–122)

where:

mt = mass at each node in each translation direction
me= (ρAw + ρflAfl + ρinAin)Rθ = total mass of element
ρ = pipe wall density (input as DENS on MP command)
ρfl = internal fluid density (input as DENSFL on RMORE command)
ρin = insulation density (input as DENSIN on RMORE command)
Do+ = Do + 2 tin
tin = insulation thickness (input as TKIN on RMORE command)

14.18.4. Load Vector

The load vector in element coordinates due to thermal and pressure effects is:

(14–123)

where:

εx = strain caused by thermal as well as internal and external pressure effects (see (Equation 14–104) )
[Ke] = element stiffness matrix in global coordinates

is computed based on the transverse pressures acting in the global Cartesian directions (input using face 2, 3, and 4 on SFE command) and curved beam formulas from Roark(48). Table 18, reference no. (loading) 3, 4, and 5 and 5c was used for in-plane effects and Table 19, reference no. (end restraint) 4e was used for out-of-plane effects. As a radial load varying trigonometrically along the length of the element was not one of the available cases given in Roark(48), an integration of a point radial load was done, using Loading 5c.

14.18.5. Stress Calculations

In the stress pass, the stress evaluation is similar to that for PIPE16 - Elastic Straight Pipe. It is not the same as for PIPE60 . The wall thickness is diminished by tc, the corrosion allowance (input as TKCORR on R command). The bending stress components are multiplied by stress intensification factors (Cσ). The “intensified” stresses are used in the principal and combined stress calculations. The factors are:

(14–124)

(14–125)

(14–126)

where:

te = t - tc
do = Do - 2 tc

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.17. PIPE17 - Elastic Pipe Tee 		Up / Home Next
14.19. Not Documented


14.19. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.18. PIPE18 - Elastic Curved Pipe 		Up / Home Next
14.20. PIPE20 - Plastic Straight Thin-Walled Pipe


14.20. PIPE20 - Plastic Straight Thin-Walled Pipe

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix | (Equation 12–15), (Equation 12–16), (Equation 12–17), and (Equation 12–18) | None for elastic matrix. Same as Newton-Raphson load vector for tangent matrix with plasticity
Stress Stiffness Matrix | (Equation 12–16) and (Equation 12–17) | None
Mass Matrix | Same as stiffness matrix | None
Pressure and Thermal Load Vector | (Equation 12–15), (Equation 12–16), and (Equation 12–17) | None
Newton-Raphson Load Vector | Same as stiffness matrix | 2 along the length and 8 points around circumference. The points are located midway between the inside and outside surfaces.
Load Type | Distribution
Element Temperature | Linear across diameter and along length
Nodal Temperature | Constant across cross-section, linear along length
Pressure | Internal and External: constant along length and around circumference Lateral: constant along length

14.20.1. Assumptions and Restrictions

The radius/thickness ratio is assumed to be large.

14.20.2. Other Applicable Sections

BEAM4 - 3-D Elastic Beam has an elastic beam element stiffness and mass matrix explicitly written out. PIPE16 - Elastic Straight Pipe discusses the effect of element pressure and the elastic stress printout. BEAM23 - 2-D Plastic Beam defines the tangent matrix with plasticity and the Newton-Raphson load vector.

14.20.3. Stress and Strain Calculation

PIPE20 uses four components of stress and strain in the stress calculation:

(14–127)

where x, h, r are subscripts representing the axial, hoop and radial directions, respectively. Since only the axial and shear strains can be computed directly from the strain-displacement matrices, the strains are computed from the stresses as follows.

The stresses (before plasticity adjustment) are defined as:

(14–128)

(14–129)

(14–130)

(14–131)

where:

ε' = modified axial strain (see BEAM23 - 2-D Plastic Beam)
E = Young's modulus (input as EX on MP command)
Pi = internal pressure (input using face 1 of SFE command)
Po = external pressure (input using face 5 of SFE command)
Di = internal diameter = Do - 2t
Do = external diameter (input as OD on R command)
t = wall thickness (input as TKWALL on R command)
Dm = (Di + Do)/2 = average diameter
βj = angular position of integration point J (see Figure 14.12: "Integration Points for End J") (output as ANGLE)
Fy, Fz, Mx = forces on element node by integration point

Figure 14.12 Integration Points for End J

The forces on the element (Fy, Fz, Mx) are computed from:

(14–132)

where:

= member forces (output as FORCES ON MEMBER AT NODE)
[TR] = global to local conversion matrix
[Ke] = element stiffness matrix
{Δue} = element incremental displacement vector
{Fe} = element load vector from pressure, thermal and Newton-Raphson restoring force effects

The forces [image] are in element coordinates while the other terms are given in global Cartesian coordinates. The forces used in (Equation 14–131) correspond to either those at node I or node J, depending at which end the stresses are being evaluated.

The modified total strains for the axial and shear components are readily calculated by:

(14–133)

(14–134)

where:

ν = Poisson's ratio (input as PRXY or NUXY on MP command)
G = shear modulus (input as GXY on MP command)

The hoop and radial modified total strains are computed through:

(14–135)

(14–136)

where:

εh,n-1 = hoop strain from the previous iteration
εr,n-1 = radial strain from the previous iteration
Δεh = increment in hoop strain
Δεr = increment in radial strain

The strains from the previous iterations are computed using:

(14–137)

(14–138)

where σx,n-1 is computed using (Equation 14–128) with the modified total strain from the previous iteration. The strain increments in (Equation 14–135) and (Equation 14–136) are computed from the strain increment in the axial direction:

(14–139)

(14–140)

where:

These factors are obtained from the static condensation of the 3-D elastoplastic stress-strain matrix to the 1-D component, which is done to form the tangent stiffness matrix for plasticity.

(Equation 14–133) through (Equation 14–136) define the four components of the modified total strain from which the plastic strain increment vector can be computed (see Rate-Independent Plasticity). The elastic strains are:

(14–141)

where:

{εel} = elastic strain components (output as EPELAXL, EPELRAD, EPELH, EPELXH)
{Δεpl} = plastic strain increment

The stresses are then:

(14–142)

where:

{σ} = stress components (output as SAXL, SRAD, SH, SXH)
[D] = elastic stress-strain matrix

The definition of {σ} given by (Equation 14–142) is modified in that σh and σr are redefined by (Equation 14–129) and (Equation 14–130) as the stress values and must be maintained, regardless of the amount of plastic strain.

As long as the element remains elastic, additional printout is given during the solution phase. The stress intensification factors (Cσ) of PIPE16 are used in this printout, but are not used in the printout associated with the plastic stresses and strains. The maximum principal stresses, the stress intensity, and equivalent stresses are compared (and replaced if necessary) to the values of the plastic printout at the eight positions around the circumference at each end. Also, the elastic printout is based on stresses at the outer fiber, but the plastic printout is based on midthickness stresses. Hence, some apparent inconsistency appears in the printout.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.19. Not Documented 		Up / Home Next
14.21. MASS21 - Structural Mass


14.21. MASS21 - Structural Mass

Matrix or Vector | Shape Functions | Integration Points
Mass Matrix | None | None

The element mass matrix is:

(14–143)

where:

ρ = density (input as DENS on MP command)

where a', b', c', d', e', and f' are user input (input on the R command) in the locations shown in the following table:

 | KEYOPT(3) = 0 | KEYOPT(3) = 2 | KEYOPT(3) = 3 | KEYOPT(3) = 4
a' | 1 | 1 | 1 | 1
b' | 2 | 1 | 1 | 1
c' | 3 | 1 | - | -
d' | 4 | - | - | -
e' | 5 | - | - | -
f' | 6 | - | 2 | -

For the mass summary, only the first real constant is used, regardless of which option of KEYOPT(3) is used. Analyses with inertial relief use the complete matrix.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.20. PIPE20 - Plastic Straight Thin-Walled Pipe 		Up / Home Next
14.22. Not Documented


14.22. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.21. MASS21 - Structural Mass 		Up / Home Next
14.23. BEAM23 - 2-D Plastic Beam


14.23. BEAM23 - 2-D Plastic Beam

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix | (Equation 12–4) and (Equation 12–5) | None for elastic case. Same as Newton-Raphson load vector for tangent matrix with plastic case
Mass and Stress Stiffness Matrices; and Thermal Load and Pressure Load Vectors | (Equation 12–5) | None
Newton-Raphson Load Vector and Stress Evaluation | Same as stiffness matrix | 3 along the length 5 thru the thickness
Load Type | Distribution
Element Temperature | Linear thru thickness and along length
Nodal Temperature | Constant thru thickness, linear along length
Pressure | Linear along length

14.23.1. Other Applicable Sections

The complete stiffness and mass matrices for an elastic 2-D beam element are given in BEAM3 - 2-D Elastic Beam.

14.23.2. Integration Points

There are three sets of integration points along the length of the element, one at each end and one at the middle.

Figure 14.13 Integration Point Locations

h is defined as:

h = thickness or height of member (input as HEIGHT on R command)

The five integration points through the thickness are located at positions y = -0.5 h, -0.3 h, 0.0, 0.3 h, and 0.5 h. Each one of these points has a numerical integration factor associated with it, as well as an effective width, which are different for each type of cross-section. These are derived here in order to explain the procedure used in the element, as well as providing users with a good basis for selecting their own input values for the case of an arbitrary section (KEYOPT(6) = 4).

The criteria used for the element are:

  1. The element, when under simple tension or compression, should respond exactly for elastic or plastic situations. That is, the area (A) of the element should be correct.

  2. The first moment should be correct. This is nonzero only for unsymmetric cross-sections.

  3. The element, when under pure bending, should respond correctly to elastic strains. That is, the (second) moment of inertia (I) of the element should be correct.

  4. The third moment should be correct. This is nonzero only for unsymmetric cross-sections.

  5. Finally, as is common for numerically integrated cross-sections, the fourth moment of the cross-section (I4) should be correct.

For symmetrical sections an additional criterion is that symmetry about the centerline of the beam must be maintained. Thus, rather than five independent constants, there are only three. These three constants are sufficient to satisfy the previous three criteria exactly. Some other cases, such as plastic combinations of tension and bending, may not be satisfied exactly, but the discrepancy for actual problems is normally small. For the unsymmetric cross-section case, the user needs to solve five equations, not three. For this case, use of two additional equations representing the first and third moments are recommended. This case is not discussed further here.

The five criteria may be set up in equation form:

(14–144)

(14–145)

(14–146)

(14–147)

(14–148)

where:

dA = differential area
y = distance to centroid

These criteria can be rewritten in terms of the five integration points:

(14–149)

(14–150)

(14–151)

(14–152)

(14–153)

where:

H(i) = weighting factor at point i
L(i) = effective width at point i
P(i) = integration point locations in y direction (P(1) = -0.5, P(2) = -0.3, etc.)

The L(i) follows physical reasoning whenever possible as in Figure 14.14: "Beam Widths".

Figure 14.14 Beam Widths

Starting with the case of a rectangular beam, all values of L(i) are equal to the width of the beam, which is computed from

(14–154)

where:

Izz = moment of inertia (input as IZZ on R command)

Note that the area is not used in the computation of the width. As mentioned before, symmetry may be used to get H(1) = H(5) and H(2) = H(4). Thus, H(1), H(2), and H(3) may be derived by solving the simultaneous equations developed from the above three criteria. These weighting factors are used for all other cross-sections, with the appropriate adjustments made in L(i) based on the same criteria. The results are summarized in Table 14.4: "Cross-Sectional Computation Factors".

One interesting case to study is that of a rectangular cross-section that has gone completely plastic in bending. The appropriate parameter is the first moment of the area or

(14–155)

This results in

(14–156)

Table 14.4 Cross-Sectional Computation Factors

Numerical Integration Point (i) | Location thru Thickness (P(i)) | Numerical Weighting Factor (H(i)) | Effective Width (L(i))
 |  |  | Rectangular | Pipe
1 | -.5 | .06250000 | 12Izz/h3 | 8.16445tp
2 | -.3 | .28935185 | 12Izz/h3 | 2.64115tp
3 | .0 | .29629630 | 12Izz/h3 | 2.00000tp
4 | .3 | .28935185 | 12Izz/h3 | 2.64115tp
5 | .5 | .06250000 | 12Izz/h3 | 8.16445tp
Numerical Integration Point (i) | Location thru Thickness (P(i)) | Numerical Weighting Factor (H(i)) | Effective Width (L(i))
 |  |  | Round Bar | Arbitrary Section
1 | -.5 | .06250000 | 0.25341Do | A(-0.5)/h
2 | -.3 | .28935185 | 0.79043Do | A(-0.3)/h
3 | .0 | .29629630 | 1.00000Do | A(0.0)/h
4 | .3 | .28935185 | 0.79043Do | A(0.3)/h
5 | .5 | .06250000 | 0.25341Do | A(0.5)/h

where:

P(i) = location, defined as fraction of total thickness from centroid
Izz = moment of inertia (input as IZZ on R command)
h = thickness (input as HEIGHT on R command)
tp = pipe wall thickness (input as TKWALL on R command)
Do = outside diameter (input as OD on R command)
A(i) = effective area based on width at location i (input as A(i) on R command)

Substituting in the values from Table 14.4: "Cross-Sectional Computation Factors", the ratio of the theoretical value to the computed value is 18/17, so that an error of about 6% is present for this case.

Note that the input quantities for the arbitrary cross-section (KEYOPT(6) = 4) are h, hL(1)(=A(-50)), hL(2)(=A(-30)), hL(3)(=A(0)), hL(4)(=A(30)), and hL(5)(=A(50)). It is recommended that the user try to satisfy (Equation 14–149) through (Equation 14–153) using this input option. These equations may be rewritten as:

(14–157)

(14–158)

(14–159)

(14–160)

(14–161)

Of course, I1 = I3 = 0.0 for symmetric sections.

Alternative to one of the above five equations, (Equation 14–156) can be used and rewritten as:

(14–162)

Remember that I2 is taken about the midpoint and that Izz is taken about the centroid. The relationship between these two is:

(14–163)

where:

14.23.3. Tangent Stiffness Matrix for Plasticity

The elastic stiffness, mass, and stress stiffness matrices are the same as those for a 2-D beam element (BEAM3 ). The tangent stiffness matrix for plasticity, however, is formed by numerical integration. This discussion of the tangent stiffness matrix as well as the Newton-Raphson restoring force of the next subsection has been generalized to include the effects of 3-D plastic beams. The general form of the tangent stiffness matrix for plasticity is:

(14–164)

where:

[B] = strain-displacement matrix
[Dn] = elastoplastic stress-strain matrix

This stiffness matrix for a general beam can also be written symbolically as:

(14–165)

[KB] = bending contribution
[KS] = transverse shear contribution
[KA] = axial contribution
[KT] = torsional contribution

where the subscript n has been left off for convenience. As each of these four matrices use only one component of strain at a time, the integrand of (Equation 14–165) can be simplified from [B]T[Dn][B] to {B} Dn [image]. Each of these matrices will be subsequently described in detail.

  1. Bending Contribution ([KB]). The strain-displacement matrix for the bending stiffness matrix for bending about the z axis can be written as:

            (14–166)

    where [image] contains the terms of [image] which are only a function of x (see Narayanaswami and Adelman(129)) :

            (14–167)

    where:

    L = beam length
    Φ = shear deflection constant (see COMBIN14 - Spring-Damper)

    The elastoplastic stress-strain matrix has only one component relating the axial strain increment to the axial stress increment:

            (14–168)

    where ET is the current tangent modulus from the stress-strain curve. Using these definitions (Equation 14–164) reduces to:

            (14–169)

    The numerical integration of (Equation 14–169) can be simplified by writing the integral as:

            (14–170)

    The integration along the length uses a two or three point Gauss rule while the integration through the cross-sectional area of the beam is dependent on the definition of the cross-section. For BEAM23, the integration through the thickness (area) is performed using the 5 point rule described in the previous section. Note that if the tangent modulus is the elastic modulus, ET = E, the integration of (Equation 14–170) yields the exact linear bending stiffness matrix.

    The Gaussian integration points along the length of the beam are interior, while the stress evaluation and, therefore, the tangent modulus evaluation is performed at the two ends and the middle of the beam for BEAM23. The value of the tangent modulus used at the integration point in evaluating (Equation 14–170) therefore assumes ET is linearly distributed between the adjacent stress evaluation points.

  2. Transverse Shear Contribution ([KS]). The strain-displacement vector for the shear deflection matrix is (see Narayanaswami and Adelman(129)):

            (14–171)

    A plasticity tangent matrix for shear deflection is not required because either the shear strain component is ignored (BEAM23 and BEAM24) or where the shear strain component is computed (PIPE20), the plastic shear deflection is calculated with the initial-stiffness Newton-Raphson approach instead of the tangent stiffness approach. Therefore, since Dn = G (the elastic shear modulus) (Equation 14–164) reduces to:

            (14–172)

    Integrating over the shear area explicitly yields:

            (14–173)

    where As is the shear area (see BEAM3 - 2-D Elastic Beam). As is not a function of x in (Equation 14–171), the integral along the length of the beam in (Equation 14–173) could also be easily performed explicitly. However, it is numerically integrated with the two or three point Gauss rule along with the bending matrix [KB].

  3. Axial Contribution ([KA]). The strain-displacement vector for the axial contribution is:

            (14–174)

    As with the bending matrix, Dn = ET and (Equation 14–164) becomes:

            (14–175)

    which simplifies to:

            (14–176)

    The numerical integration is performed using the same scheme BEAM3 as is used for the bending matrix.

  4. Torsion Contribution ([KT]). Torsional plasticity (PIPE20 only) is computed using the initial-stiffness Newton-Raphson approach. The elastic torsional matrix (needed only for the 3-D beams) is:

            (14–177)

14.23.4. Newton-Raphson Load Vector

The Newton-Raphson restoring force is:

(14–178)

where:

[D] = elastic stress-strain matrix

The load vector for a general beam can be written symbolically as:

(14–179)

where:

and where the subscript n has been left off for convenience. Again, as each of the four vectors use only one component of strain at a time, the integrand of (Equation 14–178) can be simplified from [B]T[D] [image] to {B} D [image]. The appropriate {B} vector for each contribution was given in the previous section. The following paragraphs describe D and [image] for each of the contributing load vectors.

  1. Bending Restoring Force [image]. For this case, the elasticity matrix has only the axial component of stress and strain, therefore D = E, the elastic modulus. (Equation 14–178) for the bending load vector is:

            (14–180)

    The elastic axial strain is computed by:

            (14–181)

    where:

    φ = total curvature (defined below)
    εa = total strain from the axial deformation (defined below)
    εth = axial thermal strain
    εpl = axial plastic strain
    εcr = axial creep strain
    εsw = axial swelling strain

    The total curvature is:

            (14–182)

    where {uB} is the bending components of the total nodal displacement vector {u}. The total strain from the axial deformation of the beam is:

            (14–183)

    where:

    {uA} = axial components for the total nodal displacement vector {u}
    uXI, uXJ = axial displacement of nodes I and J

    (Equation 14–180) is integrated numerically using the same scheme outlined in the previous section. Again, since the nonlinear strain evaluation points for the plastic, creep and swelling strains are not at the same location as the integration points along the length of the beam, they are linearly interpolated.

  2. Shear Deflection Restoring Force [image]. The shear deflection contribution to the restoring force load vector uses D = G, the elastic shear modulus and the strain vector is simply:

            (14–184)

    where γS is the average shear strain due to shear forces in the element:

            (14–185)

    The load vector is therefore:

            (14–186)

  3. Axial Restoring Force [image]. The axial load vector uses the axial elastic strain defined in (Equation 14–181) for which the load vector integral reduces to:

            (14–187)

  4. Torsional Restoring Force [image]. The torsional restoring force load vector (needed only for 3-D beams) uses D = G, the elastic shear modulus and the strain vector is:

            (14–188)

    where:

    γ = total torsional strain (defined below)
    γpl = plastic shear strain
    γcr = creep shear strain

    The total torsional shear strain is defined by:

            (14–189)

    where:

    θXI, θXJ = total torsional rotations from {u} for nodes I, J, respectively.

    The load vector is:

            (14–190)

    where:

    {BT} = strain-displacement vector for torsion (same as axial (Equation 14–174))

14.23.5. Stress and Strain Calculation

The modified total axial strain at any point in the beam is given by:

(14–191)

where:

The total curvature and axial deformation strains are adjusted to account for the applied pressure and acceleration load vector terms. The adjusted curvature is:

(14–192)

where:

φ = [BB]{uB} = total curvature
φpa = pressure and acceleration contribution to the curvature

φpa is readily calculated through:

(14–193)

Mpa is extracted from the moment terms of the applied load vector (in element coordinates):

(14–194)

{Fpr} is given in BEAM3 - 2-D Elastic Beam and {Fac} is given in Static Analysis. The value used depends on the location of the evaluation point:

(14–195)

The adjusted axial deformation strain is:

(14–196)

where:

ε = [BA]{uA} = total axial deformation strain
εpa = pressure and acceleration contribution to the axial deformation strain

εpa is computed using:

(14–197)

where [image] is calculated in a similar manner to Mpa.

From the modified total strain ((Equation 14–191)) the plastic strain increment can be computed (see Rate-Independent Plasticity), leaving the elastic strain as:

(14–198)

where Δεpl is the plastic strain increment. The stress at this point in the beam is then:

(14–199)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.22. Not Documented 		Up / Home Next
14.24. BEAM24 - 3-D Thin-walled Beam


14.24. BEAM24 - 3-D Thin-walled Beam

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix | (Equation 12–15), (Equation 12–16), (Equation 12–17), and (Equation 12–18) | Locations on the cross-section are user defined. No integration points are used along the length for elastic matrix. Same as Newton-Raphson load vector for tangent matrix with plasticity.
Mass and Stress Stiffness Matrices; and Pressure Load Vector | Same as stress stiffness matrix. | None
Thermal Load Vector | (Equation 12–15), (Equation 12–16), and (Equation 12–17) | None
Newton-Raphson Load Vector | Same as thermal load vector | 2 along the length 2 in each segment
Stress Evaluation | Same as thermal load vector | The user defined points on the cross-section are used at each end of the element
Load Type | Distribution
Element Temperature | Bilinear across cross-section and linear along length. See Temperature Distribution Across Cross-Section for more details.
Nodal Temperature | Constant across cross-section, linear along length
Pressure | Linear along length. The pressure is assumed to act along the element x axis.

References: Oden(27), Galambos(13), Kollbrunner(21)

14.24.1. Assumptions and Restrictions

  1. The wall thickness is small in comparison to the overall cross-section dimensions (thin-walled theory).

  2. The cross-section does not change shape under deformation.

  3. St. Venant's theory of torsion governs the torsional behavior. The cross-section is therefore assumed free to warp.

  4. Only axial stresses and strains are used in determining the nonlinear material effects. Shear and torsional components are neglected.

14.24.2. Other Applicable Sections

BEAM4 - 3-D Elastic Beam has an elastic beam element stiffness and mass matrix explicitly written out. BEAM23 - 2-D Plastic Beam defines the tangent matrix with plasticity, the Newton-Raphson load vector and the stress and strain computation.

14.24.3. Temperature Distribution Across Cross-Section

As stated above, the temperature is assumed to vary bilinearly across the cross-section (as well as along the length). Specifically,

(14–200)

where:

T(x,y,z) = temperature at integration point located at x, y, z
x, y, z = location of point in reference coordinate system (coordinate system defined by the nodes
Ti = temperature at node i (input as T1, T4 on BFE command)
L = length

The gradients are:

(14–201)

(14–202)

where:

Tyi = temperature at one unit from the node i parallel to reference y axis (input as T2, T5 on BFE command)
Tzi = temperature at one unit from the node i parallel to reference z axis (input as T3, T6 on BFE command)

14.24.4. Calculation of Cross-Section Section Properties

The cross-section constants are determined by numerical integration, with the integration points (segment points) input by the user. The area of the kth segment (Ak) is:

(14–203)

where:

k = length of segment k (input indirectly as Y and Z on R commands)
tk = thickness of segment k (input as TK on R commands)

The total cross-section area is therefore

(14–204)

where:

∑ = implies summation over all the segments

The first moments of area with respect to the reference axes used to input the cross-section are

(14–205)

(14–206)

where:

yi, zi = input coordinate locations at beginning of segment k
yj, zj = input coordinate locations at end of segment k

The centroidal location with respect to the origin of the reference axes is therefore

(14–207)

(14–208)

where:

yc, zc = coordinates of the centroid

The moments of inertia about axes parallel to the reference axes but whose origin is at the centroid (yc, zc) can be computed by:

(14–209)

(14–210)

where:

The product moment of inertia is

(14–211)

Note that these are simply Simpson's integration rule applied to the standard formulas. The principal moments of inertia are at an angle θp with respect to the reference coordinate system Figure 14.15: "Cross-Section Input and Principal Axes", where θp (output as THETAP) is calculated from:

(14–212)

Figure 14.15 Cross-Section Input and Principal Axes

The principal moments of inertia with respect to the element coordinate system are therefore:

(14–213)

and

(14–214)

The torsional constant for a thin-walled beam of either open or closed (single cell only) cross-section is

(14–215)

where:

J = torsional constant (output as J)

The shear center location with respect to the origin of the reference axes (Figure 14.15: "Cross-Section Input and Principal Axes") is:

(14–216)

(14–217)

The sectorial products of inertia used to develop the above expressions are:

(14–218)

(14–219)

The sectorial products of inertia are analogous to the moments of inertia, except that one of the coordinates in the definition (such as (Equation 14–211)) is replaced with the sectorial coordinate ω. The sectorial coordinate of a point p on the cross-section is defined as

(14–220)

where h is the distance from some reference point (here the centroid) to the cross-section centerline and s is the distance along the centerline from an arbitrary starting point to the point p. h is considered positive when the cross-section is being transversed in the counterclockwise direction with respect to the centroid. Note that the absolute value of the sectorial coordinate is twice the area enclosed by the sector indicated in Figure 14.16: "Definition of Sectorial Coordinate".

Figure 14.16 Definition of Sectorial Coordinate

(Equation 14–220) can be rewritten using Simpson's integration rule as

(14–221)

where:

If the segment is part of a closed section or cell, the sectorial coordinate is defined as

(14–222)

The warping moment of inertia (output quantity IW) is computed as:

(14–223)

where the normalized sectorial coordinates ωni and ωnj are defined in general as ωnp below. As BEAM24 ignores warping torsion, Iω is not used in the stiffness formulation but it is calculated and printed for the user's convenience. A normalized sectorial coordinate is defined to be

(14–224)

where:

ωop = sectorial coordinate with respect to the shear center for integration point p

ωop is defined as with the expressions for the sectorial coordinates (Equation 14–221) and (Equation 14–222) except that [image] and [image] are replaced by [image] and [image]. These are defined by:

(14–225)

(14–226)

Thus, these two equations have been written in terms of the shear center instead of the centroid.

The location of the reference coordinate system affects the line of application of nodal and pressure loadings as well as the member force printout directions. By default, the reference coordinate system is coincident with the y-z coordinate system used to input the cross-section geometry (Figure 14.17: "Reference Coordinate System"(a)). If KEYOPT(3) = 1, the reference coordinate system x axis is coincident with the centroidal line while the reference y and z axes remain parallel to the input y-z axes (Figure 14.17: "Reference Coordinate System"(b)). The shear center and centroidal locations with respect to this coordinate system are

(14–227)

and

(14–228)

where the subscript o on the shear center and centroid on the right-hand side of (Equation 14–227) refers to definitions with respect to the input coordinate systems in (Equation 14–207), (Equation 14–208), (Equation 14–216) and (Equation 14–217). Likewise, if KEYOPT(3) = 2, the reference x axis is coincident with the shear centerline and the locations of the centroid and shear center are determined to be (Figure 14.17: "Reference Coordinate System"(c)).

(14–229)

and

(14–230)

14.24.5. Offset Transformation

The stiffness matrix for a beam element (BEAM4 - 3-D Elastic Beam) is formulated with respect to the element coordinate (principal axis) system for the bending and axial behavior and the shear center for torsional behavior. The stiffness matrix and load vector in this system are [image] and [image]. In general, the reference coordinate system in BEAM24 is noncoincident with the element system, hence a transformation between the coordinate systems is necessary. The transformation is composed of a rotational part that accounts for the angle between the reference y and z axes and the element y and z axes (principal axes) and a translational part that accounts for the offsets of the centroid and shear center. The rotational part has the form

(14–231)

where:

(14–232)

and θp is the angle defined in (Equation 14–212). The translational part is

(14–233)

where [I] is the 3 x 3 identity matrix and [Ti] is

(14–234)

in which yc, zc, ys, and zs are centroid and shear center locations with respect to the element coordinate system and xi is the offset in the element x direction for end i. The material to element transformation matrix is then

(14–235)

The transformation matrix [Of] is used to transform the element matrices and load vector from the element to the reference coordinate system

(14–236)

(14–237)

Figure 14.17 Reference Coordinate System

The standard local to global transformation (BEAM4 - 3-D Elastic Beam) can then be used to calculate the element matrices and load vector in the global system:

(14–238)

and

(14–239)

The mass and stress stiffening matrices are similarly transformed. The material to element transformation ((Equation 14–236)) for the mass matrix, however, neglects the shear center terms ys and zs as the center of mass coincides with the centroid, not the shear center.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.23. BEAM23 - 2-D Plastic Beam 		Up / Home Next
14.25. PLANE25 - Axisymmetric-Harmonic 4-Node Structural Solid


14.25. PLANE25 - Axisymmetric-Harmonic 4-Node Structural Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness Matrix and Thermal Load Vector | Quad | Equations (Equation 12–138), (Equation 12–139) , and (Equation 12–140) or if modified extra shape functions are included (KEYOPT(2) = 0) and element has 4 unique nodes: (Equation 12–142), (Equation 12–143) , and (Equation 12–144) | 2 x 2
 | Triangle | (Equation 12–130), (Equation 12–131) , and (Equation 12–132) | 3
Mass and Stress Stiffness Matrices | Quad | (Equation 12–100), (Equation 12–101) , and (Equation 12–102) | 2 x 2
 | Triangle | (Equation 12–81), (Equation 12–82) , and (Equation 12–83) | 3
Pressure Load Vector | Same as stress stiffness matrix, specialized to the surface |  | 2
Load Type | Distribution
Element Temperature | Bilinear across element, harmonic around circumference
Nodal Temperature | Bilinear across element, harmonic around circumference
Pressure | Linear along each face, harmonic around circumference

Reference: Wilson(38), Zienkiewicz(39), Taylor(49)

14.25.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations.

14.25.2. Assumptions and Restrictions

The material properties are assumed to be constant around the entire circumference, regardless of temperature dependent material properties or loading. For [image] (input as MODE on MODE command) > 0, the extreme values for combined stresses are obtained by computing these stresses at every 10/ [image] degrees and selecting the extreme values.

14.25.3. Use of Temperature

In general, temperatures have two effects on a stress analysis:

  1. Temperature dependent material properties.

  2. Thermal expansion

In the case of [image] = 0, there is no conflict between these two effects. However, if [image] > 0, questions arise. As stated in the assumptions, the material properties may not vary around the circumference, regardless of the temperature. That is, one side cannot be soft and the other side hard. The input temperature for [image] > 0 varies sinusoidally around the circumference. As no other temperatures are available to the element, the material properties are evaluated at Tref (input on TREF command). The input temperature can therefore be used to model thermal bending. An approximate application of this would be a chimney subjected to solar heating on one side only. A variant on this basic procedure is provided by the temperature KEYOPT (KEYOPT(3) for PLANE25). This variant provides that the input temperatures be used only for material property evaluation rather than for thermal bending. This second case requires that αx, αy, and αz (input on MP commands) all be input as zero. An application of the latter case is a chimney, which is very hot at the bottom and relatively cool at the top, subjected to a wind load.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.24. BEAM24 - 3-D Thin-walled Beam 		Up / Home Next
14.26. Not Documented


14.26. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.25. PLANE25 - Axisymmetric-Harmonic 4-Node Structural Solid 		Up / Home Next
14.27. MATRIX27 - Stiffness, Damping, or Mass Matrix


14.27. MATRIX27 - Stiffness, Damping, or Mass Matrix

Matrix or Vector | Shape Functions | Integration Points
Stiffness, Mass, and Damping Matrices | None | None

14.27.1. Assumptions and Restrictions

All MATRIX27 matrices should normally be positive definite or positive semidefinite (see Positive Definite Matrices for definition) in order to be valid structural matrices. The only exception to this occurs when other (positive definite) matrices dominate the involved DOFs and/or sufficient DOFs are removed by way of imposed constraints, so that the total (structure) matrix is positive definite.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.26. Not Documented 		Up / Home Next
14.28. SHELL28 - Shear/Twist Panel


14.28. SHELL28 - Shear/Twist Panel

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix | None (see reference) | None
Mass Matrix | None (one-sixth of the mass of each of the IJK, JKL, KLI, and LIJ subtriangles is put at the nodes) | None
Stress Stiffness Matrix | No shape functions are used. Rather, the stress stiffness matrix is developed from the two diagonal forces used as spars | None

Reference: Garvey(116)

14.28.1. Assumptions and Restrictions

This element is based directly on the reference by Garvey(116). It uses the idea that shear effects can be represented by a uniform shear flow and nodal forces in the direction of the diagonals. The element only resists shear stress; direct stresses will not be resisted.

The shear panel assumes that only shearing stresses are present along the element edges. Similarly, the twist panel assumes only twisting moment, and no direct moment.

This element does not generate a consistent mass matrix; only the lumped mass matrix is available.

14.28.2. Commentary

The element loses validity when used in shapes other than rectangular. For non-rectangular cases, the resulting shear stress is nonuniform, so that the patch test cannot be satisfied. Consider a rectangular element under uniform shear:

Figure 14.18 Uniform Shear on Rectangular Element

Then, add a fictional cut at 45° to break the rectangular element into two trapezoidal regions (elements):

Figure 14.19 Uniform Shear on Separated Rectangular Element

As can be seen, shear forces as well as normal forces are required to hold each part of the rectangle in equilibrium for the case of “uniform shear”. The above discussion for trapezoids can be extended to parallelograms. If the presumption of uniform shear stress is dropped, it is possible to hold the parts in equilibrium using only shear stresses along all edges of the quadrilateral (the presumption used by Garvey) but a truly uniform shear state will not exist.

14.28.3. Output Terms

The stresses are also computed using the approach of Garvey(116).

When all four nodes lie in a flat plane, the shear flows are related to the nodal forces by:

(14–240)

where:

FJI = force at node I from node J (output as FJI)
FIJ = force at node J from node I (output as FIJ)
IJ = length of edge I-J

The forces in the element z direction (output quantities FZI, FZJ, FZK, FZL) are zero for the flat case. When the flat element is also rectangular, all shear flows are the same. The stresses are:

(14–241)

where:

σxy = shear stress (output as SXY)
t = thickness (input as THCK on R command)

The logic to compute the results for the cases where all four nodes do not lie in a flat plane or the element is non-rectangular is more complicated and is not developed here.

The margin of safety calculation is:

(14–242)

where:

Ms = margin of safety (output as SMARGN)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.27. MATRIX27 - Stiffness, Damping, or Mass Matrix 		Up / Home Next
14.29. FLUID29 - 2-D Acoustic Fluid


14.29. FLUID29 - 2-D Acoustic Fluid

Matrix or Vector | Shape Functions | Integration Points
Fluid Stiffness and Mass Matrices | (Equation 12–107) | 2 x 2
Coupling Stiffness, Mass, and Damping Matrices (fluid-structure interface) | (Equation 12–100), (Equation 12–101) , and (Equation 12–107) specialized to the interface | 2

14.29.1. Other Applicable Sections

"Acoustics" describes the derivation of acoustic element matrices and load vectors.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.28. SHELL28 - Shear/Twist Panel 		Up / Home Next
14.30. FLUID30 - 3-D Acoustic Fluid


14.30. FLUID30 - 3-D Acoustic Fluid

Matrix or Vector | Shape Functions | Integration Points
Fluid Stiffness and Mass Matrices | (Equation 12–197) | 2 x 2 x 2
Coupling Stiffness and Mass Matrices (fluid-structure interface) | (Equation 12–188), (Equation 12–189), (Equation 12–190), and (Equation 12–197) specialized to the interface | 2 x 2
Fluid Damping Matrix (fluid at fluid-structure interface) | No shape functions are used. Instead, the area associated with each node at the interface is computed for the damping to act upon. | None

14.30.1. Other Applicable Sections

"Acoustics" describes the derivation of acoustic element matrices and load vectors.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.29. FLUID29 - 2-D Acoustic Fluid 		Up / Home Next
14.31. LINK31 - Radiation Link


14.31. LINK31 - Radiation Link

Matrix or Vector | Shape Functions | Integration Points
Conductivity Matrix | None (nodes may be coincident) | None

14.31.1. Standard Radiation (KEYOPT(3) = 0)

The two-surface radiation equation (from (Equation 6–13)) that is solved (iteratively) is:

(14–243)

where:

Q = heat flow rate between nodes I and J (output as HEAT RATE)
σ = Stefan-Boltzmann constant (input as SBC on R command)
ε = emissivity (input as EMISSIVITY on R or EMIS on MP command)
F = geometric form factor (input as FORM FACTOR on R command)
A = area of element (input as AREA on R command)
TI, TJ = absolute temperatures at nodes I and J

The program uses a linear equation solver. Therefore, (Equation 14–243) is expanded as:

(14–244)

and then rewritten as:

(14–245)

where the subscripts n and n-1 refer to the current and previous iterations, respectively. It is then recast into finite element form:

(14–246)

with

(14–247)

14.31.2. Empirical Radiation (KEYOPT(3) = 1)

The basic equation is:

(14–248)

instead of (Equation 14–243). This form leads to

(14–249)

instead of (Equation 14–247). And, hence the matrix (Equation 14–246) becomes:

(14–250)

14.31.3. Solution

If the emissivity is input on a temperature dependent basis, (Equation 14–247) is rewritten to be:

(14–251)

where:

Toff = offset temperature (input on TOFFST command)

(Equation 14–249) is handled analogously.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.30. FLUID30 - 3-D Acoustic Fluid 		Up / Home Next
14.32. LINK32 - 2-D Conduction Bar


14.32. LINK32 - 2-D Conduction Bar

Matrix or Vector | Shape Functions | Integration Points
Conductivity and Specific Heat Matrices; and Heat Generation Load Vector | (Equation 12–3) | None

14.32.1. Other Applicable Sections

"Heat Flow" describes the derivation of thermal element matrices and load vectors as well as heat flux evaluations.

14.32.2. Matrices and Load Vectors

The matrices and load vectors described in LINK33 - 3-D Conduction Bar apply here.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.31. LINK31 - Radiation Link 		Up / Home Next
14.33. LINK33 - 3-D Conduction Bar


14.33. LINK33 - 3-D Conduction Bar

Matrix or Vector | Shape Functions | Integration Points
Conductivity and Specific Heat Matrices; and Heat Generation Load Vector | (Equation 12–13) | None

14.33.1. Other Applicable Sections

"Heat Flow" describes the derivation of thermal element matrices and load vectors as well as heat flux evaluations.

14.33.2. Matrices and Load Vectors

The conductivity matrix is:

(14–252)

where:

A = area (input as AREA on R command)
Kx = conductivity (input as KXX on MP command)
L = distance between nodes

The specific heat matrix is:

(14–253)

where:

ρ = density (input as DENS on MP command)
Cp = specific heat (input as C on MP command)

This specific heat matrix is a diagonal matrix with each diagonal being the sum of the corresponding row of a consistent specific heat matrix. The heat generation load vector is:

(14–254)

where:

14.33.3. Output

The output is computed as:

(14–255)

and

(14–256)

where:

q = thermal flux (output as THERMAL FLUX)
TI = temperature at node I
TJ = temperature at node J
Q = heat rate (output as HEAT RATE)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.32. LINK32 - 2-D Conduction Bar 		Up / Home Next
14.34. LINK34 - Convection Link


14.34. LINK34 - Convection Link

Matrix or Vector | Shape Functions | Integration Points
Conductivity Matrix and Heat Generation Load Vector | None (nodes may be coincident) | None

14.34.1. Conductivity Matrix

The element conductivity (convection) matrix is

(14–257)

where:

A = area over which element acts (input as AREA on R command)

The effective film coefficient is:

(14–258)

where:

Cc = user input constant (input as CC on R command)

The partial film coefficient term is:

(14–259)

where:

TB = bulk temperature (input as TBULK on SFE command)
H(x) = alternate film coefficient (input on MP,HF command for material x)
me = material number for this element (input on MAT command)
ΔTp = Tp,J - Tp,I
Tp,J = temperature from previous iteration at node J
n = exponent on temperature change (input as EN on R command)

ΔTp must be thought of as unitless, even though it is obviously derived from temperatures.

The heat generation load vector is:

(14–260)

where:

L = distance between nodes

14.34.2. Output

The output is computed as:

(14–261)

where:

Q = heat rate (output as HEAT RATE)
TI = temperature at node I
TJ = temperature at node J

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.33. LINK33 - 3-D Conduction Bar 		Up / Home Next
14.35. PLANE35 - 2-D 6-Node Triangular Thermal Solid


14.35. PLANE35 - 2-D 6-Node Triangular Thermal Solid

Matrix or Vector | Shape Functions | Integration Points
Conductivity Matrix and Heat Generation Load Vector | (Equation 12–98) | 6
Specific Heat Matrix | (Equation 12–98). If KEYOPT(1) = 1, matrix is diagonalized as described in Lumped Matrices | 6
Convection Surface Matrix and Load Vector | (Equation 12–98), specialized to the face | 2

14.35.1. Other Applicable Sections

"Heat Flow" describes the derivation of thermal element matrices and load vectors as well as heat flux evaluations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.34. LINK34 - Convection Link 		Up / Home Next
14.36. SOURC36 - Current Source


14.36. SOURC36 - Current Source

14.36.1. Description

The functionality of SOURC36 is basically one of user convenience. It provides a means of specifying the necessary data to evaluate the Biot-Savart integral ((Equation 5–18)) for the simple current source configurations, coil, bar and arc. The magnetic field {Hs} that results from this evaluation in turn becomes a load for the magnetic scalar potential elements (SOLID5, SOLID96 and SOLID98) as discussed in "Electromagnetics".

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.35. PLANE35 - 2-D 6-Node Triangular Thermal Solid 		Up / Home Next
14.37. COMBIN37 - Control


14.37. COMBIN37 - Control

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix | None (nodes may be coincident) | None
Mass Matrix | None (lumped mass formulation) | None
Damping Matrix | None | None

14.37.1. Element Characteristics

COMBIN37 is a nonlinear, 1-D element with two active nodes and one or two control nodes. The element has spring-damper-sliding capability similar to COMBIN40. The degree of freedom (DOF) for the active nodes is selected using KEYOPT(3) and the DOF for the control nodes is selected using KEYOPT(2).

The action of the element in the structure is based upon the value of the control parameter (Pcn) (explained later), On and Of (input as ONVAL and OFFVAL on R command), and the behavior switches KEYOPT(4) and (5). Figure 14.20: "Element Behavior" illustrates the behavior of one of the more common modes of operation of the element. It is analogous to the normal home thermostat during the winter.

The behavior of all possible combinations of KEYOPT(4) and (5) values is summarized in the following table. Pcn represents the control parameter (output as CONTROL PARAM). The element is active where the figure indicates on, and inactive where it indicates off. For some options, the element may be either on or off for Pcn between On and Of, depending upon the last status change.

Figure 14.20 Element Behavior

KEYOPT(4) = 0, KEYOPT(5) = 1, and Of > On

KEYOPT(4) = 0, KEYOPT(5) = 0, Of [image] On: | KEYOPT(4) = 0, KEYOPT(5) = 0, Of > On:
KEYOPT(4) = 0, KEYOPT(5) = 1, Of [image] On: | KEYOPT(4) = 0, KEYOPT(5) = 1, Of > On: [1]
KEYOPT(4) = 1, KEYOPT(5) = 0: | KEYOPT(4) = 1, KEYOPT(5) = 1:

  1. Analogous to Figure 14.20: "Element Behavior"

14.37.2. Element Matrices

When the element status is ON, the element matrices are:

(14–262)

(14–263)

(14–264)

where:

ko = stiffness (input as STIF on R command)
MI = mass at node I (input as MASI on R command)
MJ = mass at node J (input as MASJ on R command)
Co = damping constant (input as DAMP on R command)

When the element status is OFF, all element matrices are set to zero.

14.37.3. Adjustment of Real Constants

If KEYOPT(6) > 0, a real constant is to be adjusted as a function of the control parameter as well as other real constants. Specifically,

(14–265)

(14–266)

(14–267)

(14–268)

(14–269)

(14–270)

(14–271)

(14–272)

where:

FA = element load (input as AFORCE ON R command)
FS = slider force (input as FSLIDE on RMORE command)
C1, C2, C3, C4 = input constants (input as C1, C2, C3, and C4 on RMORE command)
Pcn = control parameter (defined below)
f1 = function defined by subroutine USERRC

If [image] (or FS, if KEYOPT(6) ≠ 8) is less than zero, it is reset to zero.

14.37.4. Evaluation of Control Parameter

The control parameter is defined as:

(14–273)

where:

t = time (input on TIME command)
u = degree of freedom as selected by KEYOPT(2)

The assumed value of the control parameter for the first iteration ( [image]) is defined as:

(14–274)

where:

St = constant defining starting status where: 1 means ON, -1 means OFF (input as START on R command)
TUNIF = uniform temperature (input on BFUNIF command)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.36. SOURC36 - Current Source 		Up / Home Next
14.38. FLUID38 - Dynamic Fluid Coupling


14.38. FLUID38 - Dynamic Fluid Coupling

Matrix or Vector | Shape Functions | Integration Points
Mass Matrix |  | None
Damping Matrix | Not defined | None

Reference: Fritz(12)

14.38.1. Description

This element is used to represent a dynamic coupling between two points of a structure. The coupling is based on the dynamic response of two points connected by a constrained mass of fluid. The points represent the centerlines of concentric cylinders. The fluid is contained in the annular space between the cylinders. The cylinders may be circular or have an arbitrary cross-section. The element has two DOFs per node: translations in the nodal x and z directions. The axes of the cylinders are assumed to be in the nodal y directions. These orientations may be changed with KEYOPT(6).

14.38.2. Assumptions and Restrictions

  1. The motions are assumed to be small with respect to the fluid channel thickness.

  2. The fluid is assumed to be incompressible.

  3. Fluid velocities should be less than 10% of the speed of sound in the fluid.

  4. The flow channel length should be small compared to the wave length for propagating vibratory disturbances (less than about 10%), in order to avoid the possibility of standing wave effects.

14.38.3. Mass Matrix Formulation

The mass matrix formulation used in the element is of the following form:

(14–275)

The m values are dependent upon the KEYOPT(3) value selected. For KEYOPT(3) = 0 (concentric cylinder case):

(14–276)

(14–277)

(14–278)

where:

ρ = fluid mass density (input as DENS on MP command)
R1 = radius of inner cylinder (input as R1 on R command)
R2 = radius of outer cylinder (input as R2 on R command)
L = length of cylinders (input as L on R command)

Note that the shape functions are similar to that for PLANE25 or FLUID81 with MODE = 1. The element mass used in the evaluation of the total structure mass is [image].

For KEYOPT(3) = 2, which is a generalization of the above cylindrical values but for different geometries, the m values are as follows:

(14–279)

(14–280)

(14–281)

(14–282)

(14–283)

(14–284)

where:

M1 = mass of fluid displaced by the inner boundary (Boundary 1) (input as M1 on R command)
M2 = mass of fluid that could be contained within the outer boundary (Boundary 2) in absence of the inner boundary (input as M2 on R command)
Mhx, Mhz = hydrodynamic mass for motion in the x and z directions, respectively (input as MHX and MHZ on R command)

The element mass used in the evaluation of the total structure mass is M2 - M1.

The lumped mass option (LUMPM,ON) is not available.

14.38.4. Damping Matrix Formulation

The damping matrix formulation used in the element is of the following form:

(14–285)

The c values are dependent upon the KEYOPT(3) value selected. For KEYOPT(3) = 0:

(14–286)

(14–287)

(14–288)

(14–289)

where:

Wx, Wz = estimate of resonant frequencies in the x and z response directions, respectively (input as WX, WZ on RMORE command)
f = Darcy friction factor for turbulent flow (input as F on R command)
Δx, Δz = estimate of peak relative amplitudes between inner and outer boundaries for the x and z motions, respectively (input as DX, DZ on R command)

For KEYOPT(3) = 2, the c values are as follows:

(14–290)

(14–291)

(14–292)

(14–293)

where:

Cx, Cz = flow and geometry constants for the x and z motions, respectively (input as CX, CZ on RMORE command)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.37. COMBIN37 - Control 		Up / Home Next
14.39. COMBIN39 - Nonlinear Spring


14.39. COMBIN39 - Nonlinear Spring

Matrix or Vector | Option | Shape Functions[1] | Integration Points
Stiffness Matrix | Longitudinal | (Equation 12–15) | None
 | Torsional | (Equation 12–18) | None
Stress Stiffening Matrix | Longitudinal | (Equation 12–7) and (Equation 12–8) | None

  1. There are no shape functions used if the element is input as a one DOF per node basis (KEYOPT(4) = 0) as the nodes are coincident.

14.39.1. Input

The user explicitly defines the force-deflection curve for COMBIN39 by the input of discrete points of force versus deflection. Up to 20 points on the curve may be defined, and are entered as real constants. The input curve must pass through the origin and must lie within the unshaded regions, if KEYOPT(1) = 1.

Figure 14.21 Input Force-Deflection Curve

The input deflections must be given in ascending order, with the minimum change of deflection of:

(14–294)

where:

ui = input deflections (input as D1, D2, ... D20 on R or RMORE commands)
umax = most positive input deflection
umin = most negative input deflection

14.39.2. Element Stiffness Matrix and Load Vector

During the stiffness pass of a given iteration, COMBIN39 will use the results of the previous iteration to determine which segment of the input force-deflection curve is active. The stiffness matrix and load vector of the element are then:

(14–295)

(14–296)

where:

Ktg = slope of active segment from previous iteration (output as SLOPE)
F1 = force in element from previous iteration (output as FORCE)

If KEYOPT(4) > 0, (Equation 14–295) and (Equation 14–296) are expanded to 2 or 3 dimensions.

During the stress pass, the deflections of the current equilibrium iteration will be examined to see whether a different segment of the force-deflection curve should be used in the next equilibrium iteration.

Figure 14.22 Stiffness Computation

14.39.3. Choices for Element Behavior

If KEYOPT(2) = 0 and if no force-deflection points are input for deflection less than zero, the points in the first quadrant are reflected through the origin (Figure 14.23: "Input Force-Deflection Curve Reflected Through Origin").

Figure 14.23 Input Force-Deflection Curve Reflected Through Origin

If KEYOPT(2) = 1, there will be no stiffness for the deflection less than zero (Figure 14.24: "Force-Deflection Curve with KEYOPT(2) = 1").

Figure 14.24 Force-Deflection Curve with KEYOPT(2) = 1

If KEYOPT(1) = 0, COMBIN39 is conservative. This means that regardless of the number of loading reversals, the element will remain on the originally defined force-deflection curve, and no energy loss will occur in the element. This also means that the solution is not path-dependent. If, however, KEYOPT(1) = 1, the element is nonconservative. With this option, energy losses can occur in the element, so that the solution is path-dependent. The resulting behavior is illustrated in Figure 14.25: "Nonconservative Unloading (KEYOPT(1) = 1)".

Figure 14.25 Nonconservative Unloading (KEYOPT(1) = 1)

When a load reversal occurs, the element will follow a new force-deflection line passing through the point of reversal and with slope equal to the slope of the original curve on that side of the origin (0+ or 0-). If the reversal does not continue past the force = 0 line, reloading will follow the straight line back to the original curve (Figure 14.26: "No Origin Shift on Reversed Loading (KEYOPT(1) = 1)").

Figure 14.26 No Origin Shift on Reversed Loading (KEYOPT(1) = 1)

If the reversal continues past the force = 0 line, a type of origin shift occurs, and reloading will follow a curve that has been shifted a distance uorig (output as UORIG) (Figure 14.27: "Origin Shift on Reversed Loading (KEYOPT(1) = 1)").

Figure 14.27 Origin Shift on Reversed Loading (KEYOPT(1) = 1)

A special option (KEYOPT(2) = 2) is included to model crushing behavior. With this option, the element will follow the defined tensile curve if it has never been loaded in compression. Otherwise, it will follow a reflection through the origin of the defined compressive curve (Figure 14.28: "Crush Option (KEYOPT(2) = 2)").

Figure 14.28 Crush Option (KEYOPT(2) = 2)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.38. FLUID38 - Dynamic Fluid Coupling 		Up / Home Next
14.40. COMBIN40 - Combination


14.40. COMBIN40 - Combination

Matrix or Vector | Shape Functions | Integration Points
Stiffness, Mass, and Damping Matrices | None (nodes may be coincident) | None

14.40.1. Characteristics of the Element

The force-deflection relationship for the combination element under initial loading is as shown below (for no damping).

Figure 14.29 Force-Deflection Relationship

where:

F1 = force in spring 1 (output as F1)
F2 = force in spring 2 (output as F2)
K1 = stiffness of spring 1 (input as K1 on R command)
K2 = stiffness of spring 2 (input as K2 on R command)
ugap = initial gap size (input as GAP on R command) (if zero, gap capability removed)
uI = displacement at node I
uJ = displacement at node J
FS = force required in spring 1 to cause sliding (input as FSLIDE on R command)

14.40.2. Element Matrices for Structural Applications

The element mass matrix is:

(14–297)

(14–298)

(14–299)

where:

M = element mass (input as M on R command)

If the gap is open during the previous iteration, all other matrices and load vectors are null vectors. Otherwise, the element damping matrix is:

(14–300)

where:

c = damping constant (input as C on R command)

The element stiffness matrix is:

(14–301)

where:

and the element Newton-Raphson load vector is:

(14–302)

F1 and F2 are the current forces in the element.

14.40.3. Determination of F1 and F2 for Structural Applications

  1. If the gap is open,

            (14–303)

    If no sliding has taken place, F1 = F2 = 0.0. However, if sliding has taken place during unidirectional motion,

            (14–304)

    and thus

            (14–305)

    where:

    us = amount of sliding (output as SLIDE)

  2. If the gap is closed and the slider is sliding,

            (14–306)

    and

            (14–307)

    where:

    u2 = uJ - uI + ugap = output as STR2

  3. If the gap is closed and the slider is not sliding, but had slid before,

            (14–308)

    where:

    u1 = u2 - us = output as STR1

    and

            (14–309)

14.40.4. Thermal Analysis

The above description refers to structural analysis only. When this element is used in a thermal analysis, the conductivity matrix is [Ke], the specific heat matrix is [Ce] and the Newton-Raphson load vector is [image], where F1 and F2 represent heat flow. The mass matrix [M] is not used. The gap size ugap is the temperature difference. Sliding, Fslide, is the element heat flow limit for conductor K1.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.39. COMBIN39 - Nonlinear Spring 		Up / Home Next
14.41. SHELL41 - Membrane Shell


14.41. SHELL41 - Membrane Shell

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness Matrix; and Thermal and Normal Pressure Load Vector | Quad | (Equation 12–54) and (Equation 12–55) and, if modified extra shape functions are included (KEYOPT(2) = 0) and element has 4 unique nodes (Equation 12–64) and (Equation 12–65) | 2 x 2
 | Triangle | (Equation 12–35) and (Equation 12–36) | 1
Foundation Stiffness Matrix | Quad | (Equation 12–56) | 2 x 2
 | Triangle | (Equation 12–37) | 1
Mass and Stress Stiffness Matrices | Quad | (Equation 12–54), (Equation 12–55) and (Equation 12–56) | 2 x 2
 | Triangle | (Equation 12–35), (Equation 12–36), and (Equation 12–37) | 1
Edge Pressure Load Vector | Same as mass matrix, specialized to the edge |  | 2
Load Type | Distribution
Element Temperature | Bilinear in plane of element, constant thru thickness
Nodal Temperature | Bilinear in plane of element, constant thru thickness
Pressure | Bilinear in plane of element and linear along each edge

References: Wilson(38), Taylor(49)

14.41.1. Assumptions and Restrictions

There is no out-of-plane bending stiffness.

When the 4-node option of this element is used, it is possible to input these four nodes so they do not lie in an exact flat plane. This is called a warped element, and such a nodal pattern should be avoided because equilibrium is lost. The element assumes that the resisting stiffness is at one location (in the plane defined by the cross product of the diagonals) and the structure assumes that the resisting stiffnesses are at other locations (the nodes). This causes an imbalance of the moments. The warping factor is computed as:

(14–310)

where:

D = component of the vector from the first node to the fourth node parallel to the element normal
A = element area

A warning message will print out if the warping factor exceeds 0.00004 and a fatal message occurs if it exceeds 0.04. Rigid offsets of the type used with SHELL63 are not used.

14.41.2. Wrinkle Option

When the wrinkle option is requested (KEYOPT(1) = 2), the stiffness is removed when the previous iteration is in compression, which is similar to the logic of the gap elements. This is referred to as the wrinkle option or cloth option. The following logic is used. First, the membrane stresses at each integration point are resolved into their principal directions so that shear is not directly considered. Then, three possibilities exist:

  1. Both principal stresses are in tension. In this case, the program proceeds with the full stiffness at this integration point in the usual manner.

  2. Both principal stresses are in compression. In this case, the contribution of this integration point to the stiffness is ignored.

  3. One of the principal stresses is in tension and one is in compression. In this case, the integration point is treated as an orthotropic material with no stiffness in the compression direction and full stiffness in the tension direction. Then a tensor transformation is done to convert these material properties to the element coordinate system. The rest of the development of the element is done in the same manner is if the option were not used.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.40. COMBIN40 - Combination 		Up / Home Next
14.42. PLANE42 - 2-D Structural Solid


14.42. PLANE42 - 2-D Structural Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness Matrix | Quad | (Equation 12–100) and (Equation 12–101) and, if modified extra shapes are included (KEYOPT(2) ≠ 1) and element has 4 unique nodes, (Equation 12–112) and (Equation 12–113) | 2 x 2
 | Triangle | (Equation 12–81) and (Equation 12–82) | 3 if axisymmetric 1 if plane
Mass and Stress Stiffness Matrices | Quad | (Equation 12–100) and (Equation 12–101) | Same as stiffness matrix
 | Triangle | (Equation 12–81) and (Equation 12–82)
Pressure Load Vector | Same as mass matrix, specialized to face |  | 2
Load Type | Distribution
Element Temperature | Bilinear across element, constant thru thickness or around circumference
Nodal Temperature | Same as element temperature distribution
Pressure | Linear along each face

References: Wilson(38), Taylor(49)

14.42.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.41. SHELL41 - Membrane Shell 		Up / Home Next
14.43. SHELL43 - 4-Node Plastic Large Strain Shell


14.43. SHELL43 - 4-Node Plastic Large Strain Shell

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness Matrix and Thermal Load Vector | Quad | (Equation 12–78) | In-plane: 2 x 2 Thru-the-thickness: 2 (linear material), 5 (nonlinear material)
 | Triangle | (Equation 12–51) | In-plane: 1 Thru-the-thickness: 2 (linear material), 5 (nonlinear material)
Mass and Stress Stiffness Matrices | Quad | (Equation 12–54), (Equation 12–55) , and (Equation 12–56) | Same as stiffness matrix
 | Triangle | (Equation 12–35), (Equation 12–36) , and (Equation 12–37) | Same as stiffness matrix
Transverse Pressure Load Vector | Quad | (Equation 12–56) | 2 x 2
 | Triangle | (Equation 12–37) | 1
Edge Pressure Load Vector | Quad | (Equation 12–54) and (Equation 12–55) specialized to the edge | 2
 | Triangle | (Equation 12–35) and (Equation 12–36) specialized to the edge | 2
Load Type | Distribution
Element Temperature | Bilinear in plane of element, linear thru thickness
Nodal Temperature | Bilinear in plane of element, constant thru thickness
Pressure | Bilinear in plane of element and linear along each edge

References: Ahmad(1), Cook(5),
Dvorkin(96), Dvorkin(97),
Bathe and Dvorkin(98), Allman(113),
Cook(114), MacNeal and Harder(115)

14.43.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations.

14.43.2. Assumptions and Restrictions

Normals to the centerplane are assumed to remain straight after deformation, but not necessarily normal to the centerplane.

Each pair of integration points (in the r direction) is assumed to have the same element (material) orientation.

This element does not generate a consistent mass matrix; only the lumped mass matrix is available.

14.43.3. Assumed Displacement Shape Functions

The assumed displacement and transverse shear strain shape functions are given in "Shape Functions". The basic shape functions are essentially a condensation of those used for SHELL93. The basic functions for the transverse shear strain have been changed to avoid shear locking (Dvorkin(96), Dvorkin(97), Bathe and Dvorkin(98)) and are pictured in Figure 14.30: "Shape Functions for the Transverse Strains". One result of the use of these displacement and strain shapes is that elastic rectangular elements give constant curvature results for flat elements, and also, in the absence of membrane loads, for curved elements. Thus, for these cases, nodal stresses are the same as centroidal stresses. Both SHELL63 and SHELL93 can have linearly varying curvatures.

14.43.4. Stress-Strain Relationships

The material property matrix [D] for the element is:

(14–311)

where:

Ex = Young's modulus in element x-direction (input as EX on MP command)
νxy = Poisson's ratio in element x-y plane (input as NUXY on MP command)
Gxy = shear modulus in element x-y plane (input as GXY on MP command)
Gyz = shear modulus in element y-z plane (input as GYZ on MP command)
Gxz = shear modulus in element x-z plane (input as GXZ on MP command)

Figure 14.30 Shape Functions for the Transverse Strains

14.43.5. In-Plane Rotational DOF

If KEYOPT(3) is 0 or 1, there is no significant stiffness associated with the in-plane rotation DOF (rotation about the element r axis). A nominal value of stiffness is present (as described with SHELL63), however, to prevent free rotation at the node. KEYOPT(3) = 2 is used to include the Allman-type rotational DOFs (as described by Allman(113) and Cook(114)). Such rotations improve the in-plane and general 3-D shell performance of the element. However, one of the outcomes of using the Allman rotation is that the element stiffness matrix contains up to two spurious zero energy modes (discussed below).

14.43.6. Spurious Mode Control with Allman Rotation

The first spurious mode is associated with constant rotations (Figure 14.31: "Constant In-Plane Rotation Spurious Mode"). The second spurious mode coincides with the well-known hourglass mode induced by reduced order integration (Figure 14.32: "Hourglass Mode"). It is interesting to note that the hourglass spurious mode is elastically restrained for nonrectangular and multi-element configurations.

Figure 14.31 Constant In-Plane Rotation Spurious Mode

(θz1 = θz2 = θz3 = θz4)

Figure 14.32 Hourglass Mode

(θz1 = -θz2 = θz3 = -θz4)

The spurious modes are controlled on an elemental level using the concept suggested by MacNeal and Harder(115). For the constant rotation (Figure 14.31: "Constant In-Plane Rotation Spurious Mode") spurious mode control, an energy penalty is defined as:

(14–312)

where:

PI = energy penalty I
δ1 = penalty parameter (input as ZSTIF1 on R command)
V = element volume
θI = relative rotation, defined below

The relative rotation is computed at the element center as,

(14–313)

where:

u, v = in-plane motions assuming edges remain straight
θzi = in-plane rotation at node i
n = number of nodes per element
|o = evaluated at center of element

For the hourglass spurious modes which occur only for 4-node elements, the energy penalty is taken as the inner product of the constraint force vector and the alternating rotational mode shapes as,

(14–314)

where:

PII = energy penalty II
δ2 = penalty parameter (input as ZSTIF2 on RMORE command)

Once the energy penalties (PI and PII) are defined, the associated stiffness augmentations can be calculated as,

(14–315)

where:

ui = nodal displacement vector

This augmented stiffness matrix when added to the regular element stiffness matrix results in an effective stiffness matrix with no spurious modes.

14.43.7. Natural Space Extra Shape Functions with Allman Rotation

One of the outcomes of the Allman rotation is the dissimilar displacement variation along the normal and tangential directions of the element edges. The result of such variation is that the in-plane bending stiffness of the elements is too large by a factor 1/(1-ν2) and sometimes termed as Poisson's ratio locking. To overcome this difficulty, two natural space (s and t) nodeless in-plane displacement shape functions are added in the element stiffness matrix formulation and then condensed out at the element level. The element thus generated is free of Poisson's ratio locking. For details of a similar implementation, refer to Yunus et al. (117).

14.43.8. Warping

A warping factor is computed as:

(14–316)

where:

D = component of the vector from the first node to the fourth node parallel to the element normal
t = average thickness of the element

If φ > 1.0, a warning message is printed.

14.43.9. Stress Output

The stresses at the center of the element are computed by taking the average of the four integration points on that plane.

The output forces and moments are computed as described in Structural Strain and Stress Evaluations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.42. PLANE42 - 2-D Structural Solid 		Up / Home Next
14.44. BEAM44 - 3-D Elastic Tapered Unsymmetric Beam


14.44. BEAM44 - 3-D Elastic Tapered Unsymmetric Beam

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix | (Equation 12–15), (Equation 12–16), (Equation 12–17), and (Equation 12–18) | None
Mass Matrix | If consistent mass matrix option is used (KEYOPT(2) = 0), same as stiffness matrix. If reduced mass matrix option is used (KEYOPT(2) = 1), (Equation 12–6), (Equation 12–7), and (Equation 12–8) | None
Stress Stiffness and Foundation Stiffness Matrices | (Equation 12–16) and (Equation 12–17) | None
Pressure and Temperature Load Vectors | (Equation 12–15), (Equation 12–16), and (Equation 12–17) | None
Load Type | Distribution
Element Temperature | Bilinear across cross-section, linear along length
Nodal Temperature | Constant across cross-section, linear along length
Pressure | Linear along length

14.44.1. Other Applicable Sections

This element is an extension of BEAM4, so that the basic element formulation as well as the local to global matrix conversion logic is described in BEAM4 - 3-D Elastic Beam.

14.44.2. Assumptions and Restrictions

  1. Normals before deformation remain straight and normal after deformation.

  2. Offsets, if any, are assumed to be completely rigid.

  3. If both offsets and also angular velocities or angular accelerations (input on OMEGA, DOMEGA, CGOMGA, or DCGOMG commands) are used, the radius used in the inertial force calculations does not account for the offsets.

  4. Foundation stiffness effects are applied on the flexible length (i.e., before offsets are used).

  5. Shear deflection effects are not included in the mass matrix, as they are for BEAM4.

  6. Thermal bending assumes an (average) uniform thickness.

14.44.3. Tapered Geometry

When a tapered geometry is input, the program has no “correct” form to follow as the program does not know the shape of the cross-section. The supplied thicknesses are used only for thermal bending and stress evaluation. Consider the case of a beam with an area of 1.0 at one end and 4.0 at the other. Assuming all tapers are straight, the small end is a square, the large end is a 1.0 × 4.0 rectangular, and the midpoint of the beam would then have an area of 2.50. But if the large end is also square (2.0 × 2.0), the midpoint area would then be 2.25. Thus, there is no unique solution. All effects of approximations are reduced by ensuring that the ratios of the section properties are as close to 1.0 as possible. The discussion below indicates what is done for this element.

The stiffness matrix is the same as for BEAM4 ((Equation 14–10)), except that an averaged area is used:

(14–317)

and all three moments of inertia use averages of the form:

(14–318)

The mass matrix is also the same as for BEAM4 ((Equation 14–11)), except the upper left quadrant uses section properties only from end I, the lower right quadrant uses section properties only from end J, and the other two quadrants use averaged values. For example, assuming no prestrain or added mass, the axial mass terms would be ρA1 L/3 for end I, ρA2 L/3 for end J, and ρ(A1 + A2) L/12 for both off-diagonal terms. Thus, the total mass of the element is: ρ(A1 + A2) L/2.

The stress stiffness matrix assumes a constant area as determined in (Equation 14–317).

Finally, the thermal load vector uses average thicknesses.

14.44.4. Shear Center Effects

The shear center effects affect only the torsional terms (Mx, θx). The rotation matrix [Rs] (used below) is:

(14–319)

where:

= shear center offset in y-direction at end z (input as DYSC2 on RMORE command)
LG = actual flexible length, as shown in Figure 14.33: "Offset Geometry"

Note that only rotation about the shear centerline (θx) is affected. The shear center translations at node I are accounted for by:

(14–320)

A similar matrix [image] is defined at node J based on [image] and [image]. These matrices are then combined to generate the [Sc] matrix:

(14–321)

This combination of [R] and [T] results because shear center offsets are measured in the element coordinate system (xe ye ze in Figure 14.33: "Offset Geometry"). The element matrices are then transformed by

(14–322)

(14–323)

(14–324)

where:

= element stiffness matrix in element (centroidal) coordinate system, similar to (Equation 14–10)
= element stress stiffness matrix in element (centroidal) coordinate system
= element load vector in element (centroidal) coordinate system, similar to (Equation 14–13).

Figure 14.33 Offset Geometry

14.44.5. Offset at the Ends of the Member

It is convenient to define

(14–325)

(14–326)

(14–327)

where:

Δx2 = offset in x-direction at end z (input as DX2 on RMORE command)

These definitions of [image] may be thought of as simply setting the offsets at node I to zero and setting the differential offset to the offset at node J, as shown in Figure 14.33: "Offset Geometry". The rotation matrix [Ro] implied by the offsets is defined by:

(14–328)

where:

To account for the translation of forces and moments due to offsets at node I, matrix [image] is defined using Figure 14.34: "Translation of Axes".

Figure 14.34 Translation of Axes

The two systems are related by:

(14–329)

where:

A similar matrix [image] is defined at node J, based on Δx2, Δy2, and Δz2. These matrices are then combined to generate the [OF] matrix:

(14–330)

The basis for the above transformations is taken from Hall and Woodhead(15). The element matrices are then transformed again by:

(14–331)

(14–332)

(14–333)

(14–334)

where:

= element mass matrix in element (centroidal) coordinate system, similar to (Equation 14–11).

14.44.6. End Moment Release

End moment release (or end rotational stiffness release) logic is activated if either KEYOPT(7) or KEYOPT(8) > 0. The release logic is analogous to that discussed in Substructuring Analysis, with the dropped rotational DOF represented by the slave DOF. The processing of the matrices may be symbolized by:

(14–335)

(14–336)

(14–337)

(14–338)

14.44.7. Local to Global Conversion

The generation of the local to global transformation matrix [TR] is discussed in BEAM4 - 3-D Elastic Beam. Thus, the final matrix conversions are:

(14–339)

(14–340)

(14–341)

(14–342)

14.44.8. Stress Calculations

The axial stresses are computed analogously to BEAM4. The maximum stress at cross section i is computed by:

(14–343)

where:

σdir = direct stress at centerline (output as SDIR)

The minimum stress is analogously defined.

The shear stresses are computed as:

(14–344)

(14–345)

where:

Fy, Fz = transverse shear forces

and

(14–346)

where:

τT = torsional shear stress (output as SYZ)
Mx = torsion moment
C = user-supplied constant (input as TSF1 and TSF2 on RMORE command)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.43. SHELL43 - 4-Node Plastic Large Strain Shell 		Up / Home Next
14.45. SOLID45 - 3-D Structural Solid


14.45. SOLID45 - 3-D Structural Solid

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix and Thermal Load Vector (Equation 12–188), (Equation 12–189), and (Equation 12–190) or, if modified extra shape functions are included (KEYOPT(1) = 0) and element has 8 unique nodes, (Equation 12–203), (Equation 12–204), and (Equation 12–205)

2 x 2 x 2 if KEYOPT(2) = 0
1 if KEYOPT(2) = 1

Mass and Stress Stiffness Matrices | (Equation 12–188), (Equation 12–189), and (Equation 12–190) | Same as stiffness matrix
Pressure Load Vector | Quad | (Equation 12–54) and (Equation 12–55) | 2 x 2
Triangle | (Equation 12–35) and (Equation 12–36) | 3
Load Type | Distribution
Element Temperature | Trilinear thru element
Nodal Temperature | Trilinear thru element
Pressure | Bilinear across each face

Reference: Wilson(38), Taylor et al.(49)

14.45.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations. Uniform reduced integration technique (Flanagan and Belytschko(232)) can be chosen by using KEYOPT(2) = 1.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.44. BEAM44 - 3-D Elastic Tapered Unsymmetric Beam 		Up / Home Next
14.46. SOLID46 - 3-D 8-Node Layered Structural Solid


14.46. SOLID46 - 3-D 8-Node Layered Structural Solid

Matrix or Vector | Shape Functions |  | Integration Points
Stiffness Matrix and Thermal Load Vector | (Equation 12–188), (Equation 12–189), and (Equation 12–190) and, if modified extra shape functions are included (KEYOPT(1) ≠ 1) and element has 8 unique nodes (Equation 12–203), (Equation 12–204), and (Equation 12–205) |  | 2 x 2 x 2
Mass and Stress Stiffness Matrices | (Equation 12–188), (Equation 12–189), and (Equation 12–190) |  | 2 x 2 x 2
Pressure Load Vector | Quad | (Equation 12–54) and (Equation 12–55) | 2 x 2
 | Triangle | (Equation 12–35) and (Equation 12–36) | 3
Load Type | Distribution
Element Temperature | Trilinear thru element
Nodal Temperature | Trilinear thru element
Pressure | Bilinear across each face

References: Wilson(38), Taylor et al.(49)

14.46.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations. The theory of SOLID46 is analogous to that given with SHELL99 (SHELL99 - Linear Layered Structural Shell), except as given in this section.

14.46.2. Assumptions and Restrictions

All material orientations are assumed to be parallel to the reference plane, even if the element has nodes inferring warped layers.

The numerical integration scheme for the thru-thickness effects are identical to that used in SHELL99. This may yield a slight numerical inaccuracy for elements having a significant change of size of layer area in the thru-thickness direction. The main reason for such discrepancy stems from the approximation of the variation of the determinant of the Jacobian in the thru-thickness direction. The error is usually insignificant. However, users may want to try a patch-test problem to assess accuracy for their particular circumstances.

Unlike shell elements, SOLID46 cannot assume a zero transverse shear stiffness at the top and bottom surfaces of the element. Hence the interlaminar shear stress must be computed without using this assumption, which leads to relatively constant values thru the element.

The use of effective (“eff”) material properties developed below is based on heuristic arguments and numerical experiences rather than on a rigorous theoretical formulation. The fundamental difficulty is that multilinear displacement fields are attempted to be modeled by a linear (or perhaps quadratic) displacement shape function since the number of DOF per element must be kept to a minimum. A more rigorous solution can always be obtained by using more elements in the thru-the-layer direction. Numerical experimentation across a variety of problems indicates that the techniques used with SOLID46 give reasonable answers in most cases.

Figure 14.35 Offset Geometry

14.46.3. Stress-Strain Relationships

For layer j, the stress-strain relationships in the layer coordinate system are (from (Equation 2–8) thru (Equation 2–13):

(14–347)

where:

αx,j = coefficient of thermal expansion of layer j in the layer x-direction (input as ALPX on MP command)
Ex,j = Young's modulus of layer j in the layer x-direction (input as EX on MP command)
Gxy,j = shear modulus of layer j in layer x-y plane (input as GXY on MP command)
νxy,j = Poisson's ratio of layer j in x-y plane (input as NUXY on MP command)
ΔT = T - Tref
T = temperature at point being studied
Tref = reference temperature (input on TREF command)

To help ensure continuity of stresses between the layers, (Equation 14–347) is modified to yield:

(14–348)

where:

[T]j = transformation matrix to convert from layer to element systems
tj = average thickness of layer j
tTOT = average total thickness of element

As the temperatures themselves are not used in the definition of [image], large changes in αΔT may need to be modelled with a relatively fine mesh thru the thickness.

14.46.4. General Strain and Stress Calculations

The following steps are used to compute strains and stresses at a typical point within layer j:

  1. The strain vector [image] is determined from the displacements and the strain-displacement relationships, evaluated at the point of interest.

  2. The strains are converted from element to layer coordinates.

  3. The strains are adjusted for thermal effects, with the effective coefficient of thermal expansion in the z-direction being:

            (14–349)

  4. The normal strain is then adjusted with

            (14–350)

  5. The transverse shear strains are computed by way of the stresses all in the layer coordinate system.

            (14–351)

    where:

    εyz, εxz = shear strains based on strain-displacement relationships

    Then,

            (14–352)

            (14–353)

    where:

  6. Finally, the strains are converted to stresses by the usual relationship:

            (14–354)

    where:

    [D]j = inverse of stress-strain matrix used in (Equation 14–347)

  7. If the element has more than one layer and any layer has [image] or [image] exceeding 0.45, the normal stresses are computed based on nodal forces.

14.46.5. Interlaminar Shear Stress Calculation

It may be seen that the interlaminar shear stress will, in general, not be zero at a free surface. This is because the element has no knowledge as to whether or not the top or bottom face is a free surface or if there is another element attached to that face.

There are two methods of calculating interlaminar shear stress: by nodal forces and by evaluating stresses layer-by-layer.

Nodal Forces

The shear stresses over the entire volume are computed to be:

(14–355)

(14–356)

where:

σxz, σyz = average transverse shear stress components
AI-M, etc. = tributary area for node (evaluated by using the determinant of the Jacobian at the nearest integration point in base plane)

Evaluating Stresses Layer-by-Layer

This option is available only if KEYOPT(2) = 0 or 1 and simply uses the layer shear stresses for the interlaminar stresses. Thus, the interlaminar shear stresses in the element x direction are:

(14–357)

(14–358)

(14–359)

The σxz terms are the shear stresses computed from (Equation 14–354), except that the stresses have been converted to element coordinates. The interlaminar shear stresses in the element y-direction are analogous. The components are combined as:

(14–360)

and the largest value of σil is output as the maximum interlaminar shear stress.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.45. SOLID45 - 3-D Structural Solid 		Up / Home Next
14.47. INFIN47 - 3-D Infinite Boundary


14.47. INFIN47 - 3-D Infinite Boundary

Matrix or Vector | Shape Functions | Integration Points
Magnetic Potential Coefficient Matrix or Thermal Conductivity Matrix |  | None on the boundary element IJK itself, however, 16-point 1-D Gaussian quadrature is applied for some of the integration on each of the edges IJ, JK, and KI of the infinite elements IJML, JKNM, and KILN (see Figure 14.36: "A Semi-infinite Boundary Element Zone and the Corresponding Boundary Element IJK")

Reference: Kaljevic', et al.(130)

14.47.1. Introduction

This boundary element (BE) models the exterior infinite domain of the far-field magnetic and thermal problems. This element is to be used in combination with 3-D scalar potential solid elements, and can have magnetic scalar potential (MAG), or temperature (TEMP) as the DOF.

14.47.2. Theory

The formulation of this element is based on a first order triangular infinite boundary element (IBE), but the element can be used as a 4-node quadrilateral as well. For unbounded field problems, the model domain is set up to consist of an interior volumetric finite element domain, ΩF, and a series of exterior volumetric BE subdomains, ΩB, as shown in Figure 14.36: "A Semi-infinite Boundary Element Zone and the Corresponding Boundary Element IJK". Each subdomain, ΩB, is treated as an ordinary BE domain consisting of five segments: the boundary element IJK, infinite elements IJML, JKNM and KILN, and element LMN; element LMN is assumed to be located at infinity.

Figure 14.36 A Semi-infinite Boundary Element Zone and the Corresponding Boundary Element IJK

The approach used here is to write BE equations for ΩB, and then convert them into equivalent load vectors for the nodes I, J and K. The procedure consists of four steps that are summarized below (see (Kaljevic', et al.130) for details).

First, a set of boundary integral equations is written for ΩB. To achieve this, the potential (or temperature) and its normal derivatives (fluxes) are interpolated on the triangle IJK (Figure 14.36: "A Semi-infinite Boundary Element Zone and the Corresponding Boundary Element IJK") by linear shape functions:

(14–361)

(14–362)

where:

φ = potential (or temperature)
NI, NJ, NK = linear shape functions defined earlier
φI, φJ, φK = nodal potentials (or temperatures)
qnI, qnJ, qnK = nodal normal derivatives (or fluxes)
n = normal to the surface IJK

Figure 14.37 Infinite Element IJML and the Local Coordinate System

Over an infinite element, such as IJML (Figure 14.37: "Infinite Element IJML and the Local Coordinate System"), the dependent variables, i.e., potentials (or temperatures) and their normal derivatives (fluxes) are respectively assumed to be (Figure 14.37: "Infinite Element IJML and the Local Coordinate System"):

(14–363)

(14–364)

where:

qτI, qτJ = nodal (nodes I and J) normal derivatives for infinite element IJML
s = a variable length from node I towards node J
LIJ = length of edge IJ
ρ = radial distance from the origin of the local coordinate system O to the edge IJ
r = radial distance from the edge IJ towards infinity
β = variable angle from x-axis for local polar coordinate system
τ = normal to infinite elements IJML

The boundary integral equations for ΩB are now written as:

(14–365)

where:

c(ξ) = jump term in boundary element method
(x,ξ) = field and source points, respectively
r = distance between field and source points

The integrations in (Equation 14–365) are performed in closed form on the boundary element IJK. The integrations on the infinite elements IJML, JKNM and KILN in the 'r' direction (Figure 14.37: "Infinite Element IJML and the Local Coordinate System") are also performed in closed form. However, a 16-point Gaussian quadrature rule is used for the integrations on each of the edges IJ, JK and KI on the infinite elements.

Second, in the absence of a source or sink in ΩB, the flux q(r) is integrated over the boundary ΓB of ΩB and set to zero:

(14–366)

Third, geometric constraint conditions that exist between the potential φ (or temperature) and its derivatives [image] and [image] at the nodes I, J and K are written. These conditions would express the fact that the normal derivative qn at the node I, say, can be decomposed into components along the normals to the two infinite elements IJML and KILN meeting at I and along OI.

Fourth, the energy flow quantity from ΩB is written as:

(14–367)

This energy flow is equated to that due to an equivalent nodal force vector {F} defined below.

The four steps mentioned above are combined together to yield, after eliminating qn and qτ,

(14–368)

where:

[K] = 3 x 3 equivalent unsymmetric element coefficient matrix
{φ} = 3 x 1 nodal degrees of freedom, MAG or TEMP
{F}eqv = 3 x 1 equivalent nodal force vector

The coefficient matrix [K] multiplied by the nodal DOF's {φ} represents the equivalent nodal load vector which brings the effects of the semi-infinite domain ΩB onto nodes I, J and K.

As mentioned in the beginning, the INFIN47 can be used with magnetic scalar potential elements to solve 3-D magnetic scalar potential problems (MAG degree of freedom). Magnetic scalar potential elements incorporate three different scalar potential formulations (see Electromagnetic Field Fundamentals) selected with the MAGOPT command:

  1. Reduced Scalar Potential (accessed with MAGOPT,0)

  2. Difference Scalar Potential (accessed with MAGOPT,2 and MAGOPT,3)

  3. Generalized Scalar Potential (accessed with MAGOPT,1, MAGOPT,2, and then MAGOPT,3)

14.47.3. Reduced Scalar Potential

If there is no “iron” in the problem domain, the reduced scalar potential formulation can be used both in the FE and the BE regimes. In this case, the potential is continuous across FE-BE interface. If there is “iron” in the FE domain, the reduced potential formulation is likely to produce “cancellation errors”.

14.47.4. Difference Scalar Potential

If there is “iron” and current in the FE region and the problem domain is singly-connected, we can use the difference potential formulation in order to avoid cancellation error. The formulation consists of two-step solution procedures:

  1. Preliminary solution in the air domain (MAGOPT, 2)

    Here the first step consists of computing a magnetic field {Ho} under the assumption that the magnetic permeability of iron is infinity, thereby neglecting any saturation. The reduced scalar potential φ is used in FE region and the total scalar potential ψ is used in BE region. In this case, the potential will be discontinuous across the FE-BE interface. The continuity condition of the magnetic field at the interface can be written as:

            (14–369)

    where:

    {τ} = tangent vector at the interface along element edge
    {Hs} = magnetic field due to current sources

    Integrating the above equation along the interface, we obtain

            (14–370)

    If we take ψ = φ at a convenient point po on the interface, then the above equation defines the potential jump at any point p on the interface. Now, the total potential ψ can be eliminated from the problem using this equation, leading to the computation of the additional load vector,

            (14–371)

    where:

    [K] = coefficient matrix defined with (Equation 14–368)

  2. Total solution (air and iron) (MAGOPT, 3)

    In this step the total field, {H} = {Ho} - [image] ψ, is computed where {H} is the actual field and {Ho} is the field computed in step 1 above. Note that the same relation given in (Equation 5–39) uses φg in place of ψ. The total potential ψ is used in both FE and BE regimes. As a result, no potential discontinuity exists at the interface, but an additional load vector due to the field {Ho} must be computed. Since the magnetic flux continuity condition at the interface of air and iron is:

            (14–372)

    where:

    μo = magnetic permeability of free space (air)
    μI = magnetic permeability of iron

    The additional load vector may be computed as

            (14–373)

    where:

    {N} = weighting functions

14.47.5. Generalized Scalar Potential

If there is iron and current in the FE domain and the domain is multiply-connected, the generalized potential formulation can be used. It consists of three different steps.

  1. Preliminary solution in the iron domain (MAGOPT, 1). This step computes a preliminary solution in the iron only. The boundary elements are not used for this step.

  2. Preliminary solution in the air domain (MAGOPT, 2). This step is exactly the same as the step 1 of the difference potential formulation.

  3. Total solution (air and iron) (MAGOPT, 3) . This step is exactly the same as the step 2 of the difference potential formulation.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.46. SOLID46 - 3-D 8-Node Layered Structural Solid 		Up / Home Next
14.48. Not Documented


14.48. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.47. INFIN47 - 3-D Infinite Boundary 		Up / Home Next
14.49. Not Documented


14.49. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.48. Not Documented 		Up / Home Next
14.50. MATRIX50 - Superelement (or Substructure)


14.50. MATRIX50 - Superelement (or Substructure)

Matrix or Vector | Shape Functions | Integration Points
Stiffness, Conductivity, Stress Stiffness (used only when added to the Stiffness Matrix), Convection Surface Matrices; and Gravity, Thermal and Pressure/Heat Generation and Convection Surface Load Vectors | Same as the constituent elements | Same as the constituent elements
Mass/Specific Heat and Damping Matrices | Same as the constituent elements reduced down to the master degrees of freedom | Same as the constituent elements
Load Type | Distribution
Element Temperature and Heat Generation Rate | As input during generation run
Pressure/Convection Surface Distribution | As input during generation run

14.50.1. Other Applicable Sections

Superelements are discussed in Substructuring Analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.49. Not Documented 		Up / Home Next
14.51. Not Documented


14.51. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.50. MATRIX50 - Superelement (or Substructure) 		Up / Home Next
14.52. CONTAC52 - 3-D Point-to-Point Contact


14.52. CONTAC52 - 3-D Point-to-Point Contact

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness Matrix | Normal Direction | None | None
 | Sliding Direction | None | None
Load Type | Distribution
Element Temperature | None - average used for material property evaluation
Nodal Temperature | None - average used for material property evaluation

14.52.1. Other Applicable Sections

CONTAC12 - 2-D Point-to-Point Contact has many aspects also valid for CONTAC52, including normal and sliding force determinations, rigid Coulomb friction (KEYOPT(1) = 1), and the force-deflection relationship shown in Figure 14.4: "Force-Deflection Relations for Standard Case".

14.52.2. Element Matrices

CONTAC52 may have one of three conditions: closed and stuck, closed and sliding, or open.

If the element is closed and stuck, the element stiffness matrix (in element coordinates) is:

(14–374)

where:

kn = normal stiffness (input as KN on R command)
ks = sticking stiffness (input as KS on R command)

The Newton-Raphson load vector is:

(14–375)

where:

Fn = normal force across gap (from previous iteration)
Fs = sticking force across gap (from previous iteration)

If the element is closed and sliding in both directions, the element stiffness matrix (in element coordinates) is:

(14–376)

and the Newton-Raphson load vector is the same as in (Equation 14–375). For details on the unsymmetric option (NROPT,UNSYM), see CONTAC12 - 2-D Point-to-Point Contact

If the element is open, there is no stiffness matrix or load vector.

14.52.3. Orientation of Element

For both small and large deformation analysis, the orientation of the element is unchanged. The element is oriented so that the normal force is in line with the original position of the two nodes.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.51. Not Documented 		Up / Home Next
14.53. PLANE53 - 2-D 8-Node Magnetic Solid


14.53. PLANE53 - 2-D 8-Node Magnetic Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Magnetic Potential Coefficient Matrix; and Permanent Magnet and Applied Current Load Vectors | Quad | (Equation 12–117) | 2 x 2
 | Triangle | (Equation 12–96) | 3
Damping (Eddy Current) Matrix | Quad | (Equation 12–117) and (Equation 12–119) | Same as coefficient matrix
 | Triangle | (Equation 12–96) and (Equation 12–99) | Same as coefficient matrix
Load Type | Distribution
Current Density, Voltage Load and Phase Angle Distribution | Bilinear across element

References: Silvester et al.(72), Weiss et al.(94), Garg et al.(95)

14.53.1. Other Applicable Sections

Derivation of Electromagnetic Matrices has a complete derivation of the matrices and load vectors of a general magnetic analysis element. Coupled Effects contains a discussion of coupled field analyses.

14.53.2. Assumptions and Restrictions

A dropped midside node implies that the edge is straight and that the solution varies linearly along that edge.

14.53.3. VOLT DOF in 2-D and Axisymmetric Skin Effect Analysis

KEYOPT(1) = 1 can be used to model skin effect problems. The corresponding DOFs are AZ and VOLT. Here, AZ represents the z- or θ-component of the magnetic vector potential for 2-D or axisymmetric geometry, respectively. VOLT has different meanings for 2-D and axisymmetric geometry. The difference is explained below for a transient case.

A skin effect analysis is used to find the eddy current distribution in a massive conductor when a source current is applied to it. In a general 3-D case, the (total) current density {J} is given by

(14–377)

where:

ν = (time-integrated) electric scalar potential

Refer to Magnetic Vector Potential Results for definitions of other variables. For a 2-D massive conductor, the z-component of {J} may be rewritten as:

(14–378)

where [image] may be termed as the (time-integrated) source voltage drop per unit length and is defined by:

(14–379)

For an axisymmetric massive conductor, the θ-component of {J} may be rewritten as

(14–380)

where the (time-integrated) source voltage drop in a full 2π radius is defined by

(14–381)

When KEYOPT(1) = 1, the VOLT DOF represents the definition given by (Equation 14–379) and (Equation 14–381) for a 2-D and axisymmetric conductor, respectively. Also, all VOLT DOFs in a massive conductor region must be coupled together so that [image] has a single value.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.52. CONTAC52 - 3-D Point-to-Point Contact 		Up / Home Next
14.54. BEAM54 - 2-D Elastic Tapered Unsymmetric Beam


14.54. BEAM54 - 2-D Elastic Tapered Unsymmetric Beam

Matrix or Vector | Shape Functions | Integration Points
Stiffness and Mass Matrices; and Thermal Load Vector | (Equation 12–4) and (Equation 12–5) | None
Stress Stiffness and Foundation Stiffness Matrices; and Pressure Load Vector | (Equation 12–5) | None
Load Type | Distribution
Element Temperature | Linear thru thickness, linear along length
Nodal Temperature | Constant thru thickness, linear along length
Pressure | Linear along length

14.54.1. Derivation of Matrices

All matrices and load vectors are derived in the same way as for BEAM44 - 3-D Elastic Tapered Unsymmetric Beam, except that they are reduced to 2-D. Further, the same assumptions and restrictions apply.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.53. PLANE53 - 2-D 8-Node Magnetic Solid 		Up / Home Next
14.55. PLANE55 - 2-D Thermal Solid


14.55. PLANE55 - 2-D Thermal Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Conductivity Matrix and Heat Generation Load Vector | Quad | (Equation 12–108) | 2 x 2
 | Triangle | (Equation 12–89) | 1 if planar 3 if axisymmetric
Specific Heat Matrix | Same as conductivity matrix. Matrix is diagonalized as described in Lumped Matrices. |  | Same as conductivity matrix
Convection Surface Matrix and Load Vector | Same as conductivity matrix evaluated at the face |  | 2

14.55.1. Other Applicable Sections

"Heat Flow" describes the derivation of the element matrices and load vectors as well as heat flux evaluations. SOLID70 - 3-D Thermal Solid describes fluid flow in a porous medium, accessed in PLANE55 with KEYOPT(9) = 1.

14.55.2. Mass Transport Option

If KEYOPT(8) > 0, the mass transport option is included as described in Heat Flow Fundamentals with (Equation 6–1) and by [image] of (Equation 6–21). The solution accuracy is dependent on the element size. The accuracy is measured in terms of the non-dimensional criteria called the element Peclet number (Gresho(58)):

(14–382)

where:

V = magnitude of the velocity vector
L = element length dimension along the velocity vector direction
ρ = density of the fluid (input as DENS on MP command)
Cp = specific heat of the fluid (input as C on MP command)
K = equivalent thermal conductivity along the velocity vector direction

The terms V, L, and K are explained more thoroughly below:

(14–383)

where:

Vx = fluid velocity (mass transport) in x direction (input as VX on R command)
Vy = fluid velocity (mass transport) in y direction (input as VY on R command)

Length L is calculated by finding the intersection points of the velocity vector which passes through the element origin and intersects at the element boundaries.

For orthotropic materials, the equivalent thermal conductivity K is given by:

(14–384)

where:

Kx, Ky = thermal conductivities in the x and y directions (input as KXX and KYY on MP command)

For the solution to be physically valid, the following condition has to be satisfied (Gresho(58)):

(14–385)

This check is carried out during the element formulation and an error message is printed out if equation (14.431) is not satisfied. When this error occurs, the problem should be rerun after reducing the element size in the direction of the velocity vector.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.54. BEAM54 - 2-D Elastic Tapered Unsymmetric Beam 		Up / Home Next
14.56. Not Documented


14.56. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.55. PLANE55 - 2-D Thermal Solid 		Up / Home Next
14.57. SHELL57 - Thermal Shell


14.57. SHELL57 - Thermal Shell

Matrix or Vector | Geometry | Shape Functions | Integration Points
Conductivity Matrix, Heat Generation Load Vector, and Convection Surface Matrix and Load Vector | Quad | (Equation 12–61). No variation thru thickness | 2 x 2
 | Triangle | (Equation 12–87) No variation thru thickness | 1
Specific Heat Matrix | Same as conductivity matrix. Matrix is diagonalized as described in Lumped Matrices |  | Same as conductivity matrix

14.57.1. Other Applicable Sections

"Heat Flow" describes the derivation of the thermal element matrices and load vectors as well as heat flux evaluations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.56. Not Documented 		Up / Home Next
14.58. Not Documented


14.58. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.57. SHELL57 - Thermal Shell 		Up / Home Next
14.59. PIPE59 - Immersed Pipe or Cable


14.59. PIPE59 - Immersed Pipe or Cable

Matrix or Vector | Options | Shape Functions | Integration Points
Stiffness Matrix; and Thermal, Pressure, and Hydrostatic Load Vectors | Pipe Option (KEYOPT(1) ≠ 1) | (Equation 12–15), (Equation 12–16), (Equation 12–17), and (Equation 12–18) | None
 | Cable Option (KEYOPT(1) = 1) | (Equation 12–6), (Equation 12–7), and (Equation 12–8) | None
Stress Stiffness Matrix | Pipe Option (KEYOPT(1) ≠ 1) | (Equation 12–16) and (Equation 12–17) | None
 | Cable Option (KEYOPT(1) = 1) | (Equation 12–7) and (Equation 12–8) | None
Mass Matrix | Pipe Option (KEYOPT(1) ≠ 1) with consistent mass matrix (KEYOPT(2) = 0) | (Equation 12–15), (Equation 12–17), and (Equation 12–16) | None
 | Cable Option (KEYOPT(1) = 1) or reduced mass matrix (KEYOPT(2) = 1) | (Equation 12–6), (Equation 12–7), and (Equation 12–8) | None
Hydrodynamic Load Vector | Same as stiffness matrix |  | 2
Load Type | Distribution
Element Temperature* | Linear thru thickness or across diameter, and along length
Nodal Temperature* | Constant across cross-section, linear along length
Pressure | Linearly varying (in Z direction) internal and external pressure caused by hydrostatic effects. Exponentially varying external overpressure (in Z direction) caused by hydrodynamic effects

Note

* Immersed elements with no internal diameter assume the temperatures of the water.

14.59.1. Overview of the Element

PIPE59 is similar to PIPE16 (or LINK8 if the cable option (KEYOPT(1) = 1) is selected). The principal differences are that the mass matrix includes the:

  1. Outside mass of the fluid (“added mass”) (acts only normal to the axis of the element),

  2. Internal structural components (pipe option only), and the load vector includes:

    1. Hydrostatic effects

    2. Hydrodynamic effects

14.59.2. Location of the Element

The origin for any problem containing PIPE59 must be at the free surface (mean sea level). Further, the Z axis is always the vertical axis, pointing away from the center of the earth.

The element may be located in the fluid, above the fluid, or in both regimes simultaneously. There is a tolerance of only [image] below the mud line, for which

(14–386)

where:

ti = thickness of external insulation (input as TKIN on RMORE command)
Do = outside diameter of pipe/cable (input as DO on R command)

The mud line is located at distance d below the origin (input as DEPTH with TB,WATER (water motion table)). This condition is checked with:

(14–387)

(14–388)

where Z(N) is the vertical location of node N. If it is desired to generate a structure below the mud line, the user can set up a second material property for those elements using a greater d and deleting hydrodynamic effects. Alternatively, the user can use a second element type such as PIPE16, the elastic straight pipe element.

If the problem is a large deflection problem, greater tolerances apply for second and subsequent iterations:

(14–389)

(14–390)

(14–391)

where Z(N) is the present vertical location of node N. In other words, the element is allowed to sink into the mud for 10 diameters before generating a warning message. If a node sinks into the mud a distance equal to the water depth, the run is terminated. If the element is supposed to lie on the ocean floor, gap elements must be provided.

14.59.3. Stiffness Matrix

The element stiffness matrix for the pipe option (KEYOPT(1) ≠ 1) is the same as for BEAM4 ((Equation 14–10)), except that:

where:

GT = twist-tension stiffness constant, which is a function of the helical winding of the armoring (input as TWISTEN on RMORE command, may be negative)
Di = inside diameter of pipe = Do - 2 tw
tw = wall thickness (input as TWALL on R command)
L = element length
J = 2I

The element stiffness matrix for the cable option (KEYOPT(1) = 1) is the same as for LINK8.

14.59.4. Mass Matrix

The element mass matrix for the pipe option (KEYOPT(1) ≠ 1) and KEYOPT(2) = 0) is the same as for BEAM4 ((Equation 14–11)), except that [image] (1,1), [image] (7,7), [image] (1,7), and [image] (7,1), as well as M(4,4), M(10,10), M(4,10), and M(10,4), are multiplied by the factor (Ma /Mt).

where:

Mt = (mw + mint + mins + madd) L = mass/unit length for motion normal to axis of element
Ma = (mw + mint + mins) L= mass/unit length for motion parallel to axis of element
ρ = density of the pipe wall (input as DENS on MP command)
εin = initial strain (input as ISTR on RMORE command)
mint = mass/unit length of the internal fluid and additional hardware (input as CENMPL on RMORE command)
ρi = density of external insulation (input as DENSIN on RMORE command)
CI = coefficient of added mass of the external fluid (input as CI on RMORE command)
ρw = fluid density (input as DENSW with TB,WATER)

The element mass matrix for the cable option (KEYOPT(1) = 1) or the reduced mass matrix option (KEYOPT(2) ≠ 0) is the same form as for LINK8 except that [image] (1,1), [image] (4,4), [image] (1,4) and [image] (4,1) are also multiplied by the factor (Ma/Mt).

14.59.5. Load Vector

The element load vector consists of two parts:

  1. Distributed force per unit length to account for hydrostatic (buoyancy) effects ({F/L}b) as well as axial nodal forces due to internal pressure and temperature effects {Fx}.

  2. Distributed force per unit length to account for hydrodynamic effects (current and waves) ({F/L}d).

The hydrostatic and hydrodynamic effects work with the original diameter and length, i.e., initial strain and large deflection effects are not considered.

14.59.6. Hydrostatic Effects

Hydrostatic effects may affect the outside and the inside of the pipe. Pressure on the outside crushes the pipe and buoyant forces on the outside tend to raise the pipe to the water surface. Pressure on the inside tends to stabilize the pipe cross-section.

The buoyant force for a totally submerged element acting in the positive z direction is:

(14–392)
where: {F/L}b = vector of loads per unit length due to buoyancy
Cb = coefficient of buoyancy (input as CB on RMORE command)
{g} = acceleration vector

Also, an adjustment for the added mass term is made.

The crushing pressure at a node is:

(14–393)

where:

= crushing pressure due to hydrostatic effects
g = acceleration due to gravity
z = vertical coordinate of the node
= input external pressure (input on SFE command)

The internal (bursting) pressure is:

(14–394)

where:

Pi = internal pressure
ρo = internal fluid density (input as DENSO on R command)
Sfo = z coordinate of free surface of fluid (input as FSO on R command)
= input internal pressure (input as SFE command)

To ensure that the problem is physically possible as input, a check is made at the element midpoint to see if the cross-section collapses under the hydrostatic effects. The cross-section is assumed to be unstable if:

(14–395)

where:

E = Young's modulus (input as EX on MP command)
ν = Poisson's ratio (input as PRXY or NUXY on MP command)

The axial force correction term (Fx) is computed as

(14–396)
where εx, the axial strain (see (Equation 2–12)) is:

(14–397)

where:

α = coefficient of thermal expansion (input as ALPX on MP command)
ΔT = Ta - TREF
Ta = average element temperature
TREF = reference temperature (input on TREF command)
σx = axial stress, computed below
σh = hoop stress, computed below
σr = radial stress, computed below

The axial stress is:

(14–398)

and using the Lamé stress distribution,

(14–399)

(14–400)

where:

= hydrodynamic pressure, described below
D = diameter being studied

Pi and Po are taken as average values along each element. Combining (Equation 14–397) thru (Equation 14–400).

(14–401)

Note:

Note that if the cross-section is solid (Di = 0.), (Equation 14–399) reduces to:

(14–402)

14.59.7. Hydrodynamic Effects

Hydrodynamic effects may occur because the structure moves in a motionless fluid, the structure is fixed but there is fluid motion, or both the structure and fluid are moving. The fluid motion consists of two parts: current and wave motions. The current is input by giving the current velocity and direction (input as W(i) and θ(i)) at up to eight different vertical stations (input as Z(i)). (All input quantities referred to in this section not otherwise identified comes from the TBDATA commands used with TB,WATER). The velocity and direction are interpolated linearly between stations. The current is assumed to flow horizontally only. The wave may be input using one of four wave theories in Table 14.5: "Wave Theory Table" (input as KWAVE with TB,WATER).

Table 14.5 Wave Theory Table

KWAV | Description of Wave Theory
0 | Small amplitude wave theory, modified with empirical depth decay function, (Wheeler(35))
1 | Small amplitude wave theory, unmodified (Airy wave theory), (Wheeler(35))
2 | Strokes fifth order wave theory, (Skjelbreia et al.(31))
3 | Steam function wave theory, (Dean(59))

The free surface of the wave is defined by

(14–403)

where:

ηs = total wave height
Kw = wave theory key (input as KWAVE with TB,WATER)
ηi = wave height of component i
R = radial distance to point on element from origin in the X-Y plane in the direction of the wave
t = time elapsed (input as TIME on TIME command) (Note that the default value of TIME is usually not desired. If zero is desired, 10-12 can be used).
φi = phase shift = input as φ(i)

If λi is not input (set to zero) and Kw < 2, λi is computed iteratively from:

(14–404)

where:

λi = output quantity small amplitude wave length
g = acceleration due to gravity (Z direction) (input on ACEL command)
d = water depth (input as DEPTH with TB,WATER)

Each component of wave height is checked that it satisfies the “Miche criterion” if Kw ≠3. This is to ensure that the wave is not a breaking wave, which the included wave theories do not cover. A breaking wave is one that spills over its crest, normally in shallow water. A warning message is issued if:

(14–405)

where:

When using wave loading, there is an error check to ensure that the input acceleration does not change after the first load step, as this would imply a change in the wave behavior between load steps.

For Kw = 0 or 1, the particle velocities at integration points are computed as a function of depth from:

(14–406)

(14–407)

where:

= radial particle velocity
= vertical particle velocity
ki = 2π/λi
= height of integration point above the ocean floor = d+Z
= time derivative of ηi
= drift velocity (input as W with TB,WATER)

The particle accelerations are computed by differentiating [image] and [image] with respect to time. Thus:

(14–408)

(14–409)

where:

Expanding equation 2.29 of the Shore Protection Manual(43) for a multiple component wave, the wave hydrodynamic pressure is:

(14–410)

However, use of this equation leads to nonzero total pressure at the surface at the crest or trough of the wave. Thus, (Equation 14–410) is modified to be:

(14–411)

which does result in a total pressure of zero at all points of the free surface. This dynamic pressure, which is calculated at the integration points during the stiffness pass, is extrapolated to the nodes for the stress pass. The hydrodynamic pressure for Stokes fifth order wave theory is:

(14–412)

Other aspects of the Stokes fifth order wave theory are discussed by Skjelbreia et al. (31). The modification as suggested by Nishimura et al.(143) has been included. The stream function wave theory is described by Dean(59).

If both waves and current are present, the question of wave-current interaction must be dealt with. Three options are made available thru Kcr (input as KCRC with TB,WATER):

For Kcr = 0, the current velocity at all points above the mean sea level is simply set equal to Wo, where Wo is the input current velocity at Z = 0.0. All points below the mean sea level have velocities selected as though there were no wave.

For Kcr = 1, the current velocity profile is “stretched” or “compressed” to fit the wave. In equation form, the Z coordinate location of current measurement is adjusted by

(14–413)

where:

Z(j) = Z coordinate location of current measurement (input as Z(j))
Z(j) = adjusted value of Z(j)

For Kcr = 2, the same adjustment as for Kcr = 1 is used, as well as a second change that accounts for “continuity.” That is,

(14–414)

where:

W(j) = velocity of current at this location (input as W(j))
W(j) = adjusted value of W(j)

These three options are shown pictorially in Figure 14.38: "Velocity Profiles for Wave-Current Interactions".

Figure 14.38 Velocity Profiles for Wave-Current Interactions

To compute the relative velocities ( [image] , [image]), both the fluid particle velocity and the structure velocity must be available so that one can be subtracted from the other. The fluid particle velocity is computed using relationships such as (Equation 14–406) and (Equation 14–407) as well as current effects. The structure velocity is available through the Newmark time integration logic (see Transient Analysis).

Finally, a generalized Morison's equation is used to compute a distributed load on the element to account for the hydrodynamic effects:

(14–415)

where:

{F/L}d = vector of loads per unit length due to hydrodynamic effects
CD = coefficient of normal drag (see below)
ρw = water density (mass/length3) (input as DENSW on TB,WATER)
De = outside diameter of the pipe with insulation (length)
= normal relative particle velocity vector (length/time)
CM = coefficient of inertia (input as CM on R command)
= normal particle acceleration vector (length/time2)
CT = coefficient of tangential drag (see below)
= tangential relative particle velocity vector (length/time)

Two integration points along the length of the element are used to generate the load vector. Integration points below the mud line are simply bypassed. For elements intersecting the free surface, the integration points are distributed along the wet length only. If the reduced load vector option is requested (KEYOPT(2) = 2), the moment terms are set equal to zero.

The coefficients of drag (CD,CT) may be defined in one of two ways:

  1. They may be input as fixed numbers using the real constant table (input as CD and CT on R and RMORE commands), or

  2. They may be input as functions of Reynolds number using the water motion table (input as RE, CD, and CT).

The dependency on Reynolds number (Re) may be expressed as:

(14–416)

where:

fD = functional relationship (input on the water motion table as RE and CD with TB,WATER)
μ = viscosity (input as VISC on MP command)

and

(14–417)

where:

fT = functional relationship (input on the water motion table as RE and CT with TB,WATER)

Temperature-dependent quantity may be input as μ, where the temperatures used are those given by input quantities T(i) of the water motion table.

14.59.8. Stress Output

The below two equations are specialized either to end I or to end J.

The stress output for the pipe format (KEYOPT(1) ≠ 1), is similar to PIPE16 (PIPE16 - Elastic Straight Pipe). The average axial stress is:

(14–418)

where:

σx = average axial stress (output as SAXL)
Fn = axial element reaction force (output as FX, adjusted for sign)
Pi = internal pressure (output as the first term of ELEMENT PRESSURES)
Po = external pressure = [image] (output as the fifth term of the ELEMENT PRESSURES)

and the hoop stress is:

(14–419)

where:

σh = hoop stress at the outside surface of the pipe (output as SH)

(Equation 14–419) is a specialization of (Equation 14–399). The outside surface is chosen as the bending stresses usually dominate over pressure induced stresses.

All stress results are given at the nodes of the element. However, the hydrodynamic pressure had been computed only at the two integration points. These two values are then used to compute hydrodynamic pressures at the two nodes of the element by extrapolation.

The stress output for the cable format (KEYOPT(1) = 1 with Di = 0.0) is similar to that for LINK8 (LINK8 - 3-D Spar (or Truss)), except that the stress is given with and without the external pressure applied:

(14–420)

(14–421)

(14–422)

where:

σxI = axial stress (output as SAXL)
σeI = equivalent stress (output as SEQV)
= axial force on node (output as FX)
Fa = axial force in the element (output as FAXL)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.58. Not Documented 		Up / Home Next
14.60. PIPE60 - Plastic Curved Thin-Walled Pipe


14.60. PIPE60 - Plastic Curved Thin-Walled Pipe

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix | No shape functions are explicitly used. Rather, a flexibility matrix similar to that developed by Chen (4) is inverted and used. | None
Mass Matrix | No shape functions are used. Rather a lumped mass matrix using only translational DOF is used. | None
Pressure, Thermal, and Newton-Raphson Load Vector | No shape functions are explicitly used. See development below. | 8 around circumference at each end of the element. The points are located midway between the inside and outside surfaces
Load Type | Distribution
Element Temperature | Bilinear across cross-section, linear along length
Nodal Temperature | Constant across cross-section, linear along length
Pressure | Internal and External: constant along length and around circumference. Lateral: varies trigonometrically along length

14.60.1. Assumptions and Restrictions

The radius/thickness ratio is assumed to be large.

14.60.2. Other Applicable Sections

The stiffness and mass matrices are identical to those derived for PIPE18 - Elastic Curved Pipe. PIPE16 - Elastic Straight Pipe discusses some aspects of the elastic stress printout.

14.60.3. Load Vector

The element load vector is computed in a linear analysis by:

(14–423)

and in a nonlinear (Newton-Raphson) analysis by:

(14–424)

where:

= element load vector (in element coordinates) (applied loads minus Newton-Raphson restoring force) from previous iteration
= element stiffness matrix (in element coordinates)
{uF} = induced nodal displacements in the element (see (Equation 14–425))
{un-1} = displacements of the previous iteration

The element coordinate system is a cylindrical system as shown in Figure 14.39: "3-D Plastic Curved Pipe Element Geometry".

The induced nodal displacement vector {uF} is defined by:

(14–425)

where:

εth = α(Tj - TREF) (= thermal strain)
α = thermal coefficient of expansion (input as ALPX on MP command)
Tj = temperature at integration point j
= axial strain due to pressure (see (Equation 14–104))
= plastic axial strain (see Rate-Independent Plasticity)
= axial creep strain (see Rate-Dependent Plasticity)
= swelling strain (see Nonlinear Elasticity)
= plastic shear strain (see Rate-Independent Plasticity)
= creep shear strain (see Rate-Dependent Plasticity)
R = radius of curvature (input as RADCUR on R command)
Dm = 1/2 (Do + Di) (= average diameter)
Do = outside diameter (input as OD on R command)
Di = Do - 2t ( = inside diameter)
t = thickness (input as TKWALL on R command)
θ = subtended angle of the elbow
βj = angular position of integration point j on the circumference Figure 14.40: "Integration Point Locations at End J" (output as ANGLE)

Figure 14.39 3-D Plastic Curved Pipe Element Geometry

There are eight integration points around the circumference at each end of the element, as shown in Figure 14.40: "Integration Point Locations at End J". The assumption has been made that the elbow has a large radius-to-thickness ratio so that the integration points are located at the midsurface of the shell. Since there are integration points only at each end of the element, the subtended angle of the element should not be too large. For example, if there are effects other than internal pressure and in-plane bending, the elements should have a subtended angle no larger than 45°.

Figure 14.40 Integration Point Locations at End J

14.60.4. Stress Calculations

The stress calculations take place at each integration point, and have a different basis than for PIPE18, the elastic elbow element. The calculations have three phases:

  1. Computing the modified total strains (ε').

  2. Using the modified total strains and the material properties, computing the change in plastic strains and then the current elastic strains.

  3. Computing the current stresses based on the current elastic strains.

Phase 2 is discussed in Rate-Independent Plasticity. Phase 1 and 3 are discussed below. Phase 1: The modified total strains at an integration point are computed as:

(14–426)

where:

x, h, r = subscripts representing axial, hoop, and radial directions, respectively
E = Young's modulus (input as EX on MP command)
ν = Poisson's ratio (input as PRXY or NUXY on MP command)

{σb}, the integration point stress vector before plasticity computations, is defined as:

(14–427)

These terms are defined by:

(14–428)

(14–429)

(14–430)

(14–431)

where:

Fy, Fz, Mx = forces on element at node by integration point (see (Equation 14–432) below)
Pi = internal pressure (input on SFE command)
Po = external pressure (input on SFE command)
P = Pi - Po

Note that Sy and Sz are expressed in three-term Fourier series around the circumference of the pipe cross-section. These terms have been developed from the ASME Code(60). Note also that φj is the same angle from the element y axis as βj is for PIPE20. The forces on both ends of the element (Fy, Mx, etc.) are computed from:

(14–432)

where:

[TR] = global to local conversion matrix (note that the local x axis is not straight but rather is curved along the centerline of the element)
[Ke] = element stiffness matrix (global Cartesian coordinates)
{Δue} = element incremental displacement vector

Phase 3: Performed after the plasticity calculations, Phase 3 is done simply by:

(14–433)

where:

{εe} = elastic strain after the plasticity calculations

The {σ} vector, which is used for output, is defined with the same terms as in (Equation 14–427). But lastly, σr is redefined by (Equation 14–430) as this stress value must be maintained, regardless of the amount of plastic strain.

As long as the element remains elastic, additional printout is given during the solution phase. The stress intensification factors (Cσ) of PIPE18 are used in this printout, but are not used in the printout associated with the plastic stresses and strains. The maximum principal stresses, the stress intensity, and equivalent stresses are compared (and replaced if necessary) to the values of the plastic printout at the eight positions around the circumference at each end. Also, the elastic printout is based on outer-fiber stresses, but the plastic printout is based on mid-thickness stresses. Further, other thin-walled approximations in (Equation 14–428) and (Equation 14–429) are not used by the elastic printout. Hence some apparent inconsistency appears in the printout.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.59. PIPE59 - Immersed Pipe or Cable 		Up / Home Next
14.61. SHELL61 - Axisymmetric-Harmonic Structural Shell


14.61. SHELL61 - Axisymmetric-Harmonic Structural Shell

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix; and Thermal and Pressure Load Vectors | (Equation 12–32), (Equation 12–33), and (Equation 12–34). If extra shape functions are not included (KEYOPT(3) = 1): (Equation 12–29), (Equation 12–30), and (Equation 12–31) | 3 along length
Mass and Stress Stiffness Matrices | (Equation 12–26), (Equation 12–27), and (Equation 12–28) | Same as stiffness matrix
Load Type | Distribution
Element Temperature | Linear through thickness and along length, harmonic around circumference
Nodal Temperature | Constant through thickness, linear along length, harmonic around circumference
Pressure | Linear along length, harmonic around circumference

Reference: Zienkiewicz(39)

14.61.1. Other Applicable Sections

"Structures" discusses fundamentals of linear elements. PLANE25 - Axisymmetric-Harmonic 4-Node Structural Solid has a discussion on temperature, applicable to this element.

14.61.2. Assumptions and Restrictions

The material properties are assumed to be constant around the entire circumference, regardless of temperature dependent material properties or loading.

14.61.3. Stress, Force, and Moment Calculations

Element output comes in two forms:

  1. Stresses as well as forces and moments per unit length: This printout is controlled by the KEYOPT(6). The thru-the-thickness stress locations are shown in Figure 14.41: "Stress Locations". The stresses are computed using standard procedures as given in Structural Strain and Stress Evaluations. The stresses may then be integrated thru the thickness to give forces per unit length and moments per unit length at requested points along the length:

            (14–434)

            (14–435)

            (14–436)

            (14–437)

            (14–438)

            (14–439)

    Figure 14.41 Stress Locations

    where:

    Tx, Tz, Txz, Mx, Mz, Mxz = resultant forces and moments (output as TX, TZ, TXZ, MX, MZ, MXZ, respectively)
    t = thickness (input as TK(I), TK(J) on R command)
    σx, σy, σz, σxz = stresses (output as SX, SY, SZ, and SXZ, respectively)

  2. Forces and moments on a circumference basis: This printout is controlled by KEYOPT(4). The values are computed using:

            (14–440)

    where:

    [TR] = local to global transformation matrix
    [Ke] = element stiffness matrix
    {ue} = nodal displacements

Another difference between the two types of output are the nomenclature conventions. Since the first group of output uses a shell nomenclature convention and the second group of output uses a nodal nomenclature convention, Mz and [image] represent moments in different directions.

The rest of this subsection will describe some of the expected relationships between these two methods of output at the ends of the element. This is done to give a better understanding of the terms, and possibly detect poor internal consistency, suggesting that a finer mesh is in order. It is advised to concentrate on the primary load carrying mechanisms. In order to relate these two types of output in the printout, they have to be requested with both KEYOPT(6) > 1 and KEYOPT(4) = 1. Further, care must be taken to ensure that the same end of the element is being considered.

The axial reaction force based on the stress over an angle Δβ is:

(14–441)

or

(14–442)

where:

Rc = radius at midplane
t = thickness

The reaction moment based on the stress over an angle Δβ is:

(14–443)

or

(14–444)

Since SHELL61 computes stiffness matrices and load vectors using the entire circumference for axisymmetric structures, Δβ = 2π. Using this fact, the definition of [image], and (Equation 14–434) and (Equation 14–437), (Equation 14–442) and (Equation 14–444) become:

(14–445)

(14–446)

As the definition of φ is critical for these equations, Figure 14.42: "Element Orientations" is provided to show φ in all four quadrants.

Figure 14.42 Element Orientations

In a uniform stress (σx) environment, a reaction moment will be generated to account for the greater material on the outside side. This is equivalent to moving the reaction point outward a distance yf. yf is computed by:

(14–447)

Using (Equation 14–445) and (Equation 14–446) and setting Mx to zero gives:

(14–448)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.60. PIPE60 - Plastic Curved Thin-Walled Pipe 		Up / Home Next
14.62. SOLID62 - 3-D Magneto-Structural Solid


14.62. SOLID62 - 3-D Magneto-Structural Solid

Matrix or Vector | Shape Functions |  | Integration Points
Magnetic Vector Potential Coefficient, and Damping (Eddy Current) Matrices; and Permanent Magnet and Applied Current Load Vector | (Equation 12–191), (Equation 12–192), and (Equation 12–193) |  | 2 x 2 x 2
Stiffness Matrix and Thermal Load Vector | (Equation 12–188), (Equation 12–189), and (Equation 12–190) or, if modified extra shape functions are included (KEYOPT(1) = 0) and element has 8 unique nodes (Equation 12–203), (Equation 12–204), and (Equation 12–205) |  | 2 x 2 x 2
Mass and Stress Stiffness Matrices | (Equation 12–188), (Equation 12–189) and (Equation 12–190) |  | 2 x 2 x 2
Magnetic Force Load Vector | Same as damping matrix |  | 2 x 2 x 2
Pressure Load Vector | Quad | (Equation 12–54) and (Equation 12–55) | 2 x 2
 | Triangle | (Equation 12–35) and (Equation 12–36) | 3
Load Type | Distribution
Current Density and Phase Angle | Trilinear thru element
Element Temperature | Trilinear thru element
Nodal Temperature | Trilinear thru element
Pressure | Bilinear across each face

References: Wilson(38), Taylor et al.(49), Coulomb(76), Biro et al.(120)

14.62.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations. Derivation of Electromagnetic Matrices and Electromagnetic Field Evaluations contain a discussion of the 2-D magnetic vector potential formulation which is similar to the 3-D formulation of this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.61. SHELL61 - Axisymmetric-Harmonic Structural Shell 		Up / Home Next
14.63. SHELL63 - Elastic Shell


14.63. SHELL63 - Elastic Shell

Matrix or Vector |  | Shape Functions | Integration Points
Stiffness Matrix and Thermal Load Vector | Membrane / Quad | (Equation 12–72) and (Equation 12–73) (and, if modified extra shape functions are included (KEYOPT(3) = 0) and element has 4 unique nodes, (Equation 12–75), (Equation 12–76), and (Equation 12–77) | 2 x 2
 | Membrane / Triangle | (Equation 12–48), (Equation 12–49), and (Equation 12–50) | 1
 | Bending | Four triangles that are overlaid are used. These subtriangles refer to (Equation 12–50) | 3 (for each triangle)
Mass, Foundation Stiffness and Stress Stiffness Matrices | Membrane / Quad | (Equation 12–54), (Equation 12–55), and (Equation 12–56) | 2 x 2
 | Membrane / Triangle | (Equation 12–35), (Equation 12–36), and (Equation 12–37) | 1
 | Bending | Four triangles that are overlaid are used. These triangles connect nodes IJK, IJL, KLI, and KLJ. w is defined as given in Zienkiewicz(39) | 3 (for each triangle)
Transverse Pressure Load Vector | Reduced shell pressure loading (KEYOPT(6) = 0) (Load vector excludes moments) | One-sixth (one- third for triangles) of the total pressure times the area is applied to each node normal of each subtriangle of the element | None
 | Consistent shell pressure loading (KEYOPT(6) = 2) (Load vector includes moments) | Same as mass matrix | Same as mass matrix
Edge Pressure Load Vector | Quad | (Equation 12–54) and (Equation 12–55) specialized to the edge | 2
 | Triangle | (Equation 12–35) and (Equation 12–36) specialized to the edge | 2
Load Type | Distribution
Element Temperature | Bilinear in plane of element, linear thru thickness
Nodal Temperature | Bilinear in plane of element, constant thru thickness
Pressure | Bilinear in plane of element, linear along each edge

14.63.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations.

14.63.2. Foundation Stiffness

If Kf, the foundation stiffness, is input, the out-of-plane stiffness matrix is augmented by three or four springs to ground. The number of springs is equal to the number of distinct nodes, and their direction is normal to the plane of the element. The value of each spring is:

(14–449)

where:

Kf,i = normal stiffness at node i
Δ = element area
Kf = foundation stiffness (input as EFS on R command)
Nd = number of distinct nodes

The output includes the foundation pressure, computed as:

(14–450)

where:

σp = foundation pressure (output as FOUND, PRESS)
wI, etc. = lateral deflection at node I, etc.

14.63.3. In-Plane Rotational Stiffness

The in-plane rotational (drilling) DOF has no stiffness associated with it, based on the shape functions. A small stiffness is added to prevent a numerical instability following the approach presented by Kanok-Nukulchai(26) for nonwarped elements if KEYOPT(1) = 0. KEYOPT(3) = 2 is used to include the Allman-type rotational DOFs (as described with SHELL43).

14.63.4. Warping

If all four nodes are not defined to be in the same flat plane (or if an initially flat element loses its flatness due to large displacements (using NLGEOM,ON)), additional calculations are performed in SHELL63. The purpose of the additional calculations is to convert the matrices and load vectors of the element from the points on the flat plane in which the element is derived to the actual nodes. Physically, this may be thought of as adding short rigid offsets between the flat plane of the element and the actual nodes. (For the membrane stiffness only case (KEYOPT(1) = 1), the limits given with SHELL41 are used). When these offsets are required, it implies that the element is not flat, but rather it is “warped”. To account for the warping, the following procedure is used: First, the normal to element is computed by taking the vector cross-product (the common normal) between the vector from node I to node K and the vector from node J to node L. Then, the check can be made to see if extra calculations are needed to account for warped elements. This check consists of comparing the normal to each of the four element corners with the element normal as defined above. The corner normals are computed by taking the vector cross-product of vectors representing the two adjacent edges. All vectors are normalized to 1.0. If any of the three global Cartesian components of each corner normal differs from the equivalent component of the element normal by more than .00001, then the element is considered to be warped.

A warping factor is computed as:

(14–451)

where:

D = component of the vector from the first node to the fourth node parallel to the element normal
t = average thickness of the element

If:

φ ≤ 0.1 no warning message is printed
.10 ≤ φ ≤ 1.0 a warning message is printed
1.0 < φ a message suggesting the use of triangles is printed and the run terminates

To account for the warping, the following matrix is developed to adjust the output matrices and load vector:

(14–452)

(14–453)

where:

and the DOF are in the usual order of UX, UY, UZ, ROTX, ROTY, and ROTZ. To ensure the location of the average plane goes through the middle of the element, the following condition is met:

(14–454)

14.63.5. Options for Non-Uniform Material

SHELL63 can be adjusted for nonuniform materials, using an approach similar to that of Takemoto and Cook(107). Considering effects in the element x direction only, the loads are related to the displacement by:

(14–455)

(14–456)

where:

Tx = force per unit length
t = thickness (input as TK(I), TK(J), TK(K), TK(L) on R command)
Ex = Young's modulus in x direction (input as EX on MP command)
Ey = Young's modulus in y direction (input as EY on MP command)
εx = strain of middle fiber in x direction
Mx = moment per unit length
νxy = Poisson's ratio (input as PRXY on MP command)
κx = curvature in x direction

A nonuniform material may be represented with (Equation 14–456) as:

(14–457)

where:

Cr = bending moment multiplier (input as RMI on RMORE command)

The above discussion relates only to the formulation of the stiffness matrix.

Similarly, stresses for uniform materials are determined by:

(14–458)

(14–459)

where:

For nonuniform materials, the stresses are determined by:

(14–460)

(14–461)

where:

ct = top bending stress multiplier (input as CTOP, RMORE command)
cb = bottom bending stress multiplier (input as CBOT, RMORE command)

The resultant moments (output as MX, MY, MXY) are determined from the output stresses rather than from (Equation 14–457).

14.63.6. Extrapolation of Results to the Nodes

Integration point results can be requested to be copied to the nodes (ERESX,NO command). For the case of quadrilateral shaped elements, the bending results of each subtriangle are averaged and copied to the node of the quadrilateral which shares two edges with that subtriangle.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.62. SOLID62 - 3-D Magneto-Structural Solid 		Up / Home Next
14.64. Not Documented


14.64. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.63. SHELL63 - Elastic Shell 		Up / Home Next
14.65. SOLID65 - 3-D Reinforced Concrete Solid


14.65. SOLID65 - 3-D Reinforced Concrete Solid

Matrix or Vector | Shape Functions |  | Integration Points
Stiffness Matrix and Thermal Load Vector | (Equation 12–188), (Equation 12–189), and (Equation 12–190), or if modified extra shape functions are included (KEYOPT(1) = 0) and element has 8 unique nodes (Equation 12–203), (Equation 12–204), and (Equation 12–205) |  | 2 x 2 x 2
Mass Matrix | (Equation 12–188), (Equation 12–189), and (Equation 12–190) |  | 2 x 2 x 2
Pressure Load Vector | Quad | (Equation 12–54) and (Equation 12–55) | 2 x 2
 | Triangle | (Equation 12–35) and (Equation 12–36) | 3
Load Type | Distribution
Element Temperature | Trilinear thru element
Nodal Temperature | Trilinear thru element
Pressure | Bilinear across each face

References: Willam and Warnke(37), Wilson(38), Taylor(49)

14.65.1. Assumptions and Restrictions

  1. Cracking is permitted in three orthogonal directions at each integration point.

  2. If cracking occurs at an integration point, the cracking is modeled through an adjustment of material properties which effectively treats the cracking as a “smeared band” of cracks, rather than discrete cracks.

  3. The concrete material is assumed to be initially isotropic.

  4. Whenever the reinforcement capability of the element is used, the reinforcement is assumed to be “smeared” throughout the element.

  5. In addition to cracking and crushing, the concrete may also undergo plasticity, with the Drucker-Prager failure surface being most commonly used. In this case, the plasticity is done before the cracking and crushing checks.

14.65.2. Description

SOLID65 allows the presence of four different materials within each element; one matrix material (e.g. concrete) and a maximum of three independent reinforcing materials. The concrete material is capable of directional integration point cracking and crushing besides incorporating plastic and creep behavior. The reinforcement (which also incorporates creep and plasticity) has uniaxial stiffness only and is assumed to be smeared throughout the element. Directional orientation is accomplished through user specified angles.

14.65.3. Linear Behavior - General

The stress-strain matrix [D] used for this element is defined as:

(14–462)

where:

Nr = number of reinforcing materials (maximum of three, all reinforcement is ignored if M1 is zero. Also, if M1, M2, or M3 equals the concrete material number, the reinforcement with that material number is ignored)
[Dc] = stress-strain matrix for concrete, defined by (Equation 14–463)
[Dr]i = stress-strain matrix for reinforcement i, defined by (Equation 14–464)
M1, M2, M3 = material numbers associated of reinforcement (input as MAT1, MAT2, and MAT3 on R command)

14.65.4. Linear Behavior - Concrete

The matrix [Dc] is derived by specializing and inverting the orthotropic stress-strain relations defined by (Equation 2–4) to the case of an isotropic material or

(14–463)

where:

E = Young's modulus for concrete (input as EX on MP command)
ν = Poisson's ratio for concrete (input as PRXY or NUXY on MP command)

14.65.5. Linear Behavior - Reinforcement

The orientation of the reinforcement i within an element is depicted in Figure 14.43: "Reinforcement Orientation". The element coordinate system is denoted by (X, Y, Z) and [image] describes the coordinate system for reinforcement type i. The stress-strain matrix with respect to each coordinate system [image] has the form

(14–464)

where:

It may be seen that the only nonzero stress component is [image], the axial stress in the [image] direction of reinforcement type i. The reinforcement direction [image] is related to element coordinates X, Y, Z through

(14–465)

where:

θi = angle between the projection of the [image] axis on XY plane and the X axis (input as THETA1, THETA2, and THETA3 on R command)
φi = angle between the [image] axis and the XY plane (input as PHI1, PHI2, and PHI3 on R command)
= direction cosines between [image] axis and element X, Y, Z axes

Figure 14.43 Reinforcement Orientation

Since the reinforcement material matrix is defined in coordinates aligned in the direction of reinforcement orientation, it is necessary to construct a transformation of the form

(14–466)

in order to express the material behavior of the reinforcement in global coordinates. The form of this transformation by Schnobrich(29) is

(14–467)

where the coefficients aij are defined as

(14–468)

The vector [image] is defined by (Equation 14–465) while [image] and [image] are unit vectors mutually orthogonal to [image] thus defining a Cartesian coordinate referring to reinforcement directions. If the operations presented by (Equation 14–466) are performed substituting (Equation 14–464) and (Equation 14–467), the resulting reinforcement material matrix in element coordinates takes the form

(14–469)

where:

Therefore, the only direction cosines used in [DR]i involve the uniquely defined unit vector [image].

14.65.6. Nonlinear Behavior - Concrete

As mentioned previously, the matrix material (e.g. concrete) is capable of plasticity, creep, cracking and crushing. The plasticity and creep formulations are the same as those implemented in SOLID45 (see Rate-Independent Plasticity). The concrete material model with its cracking and crushing capabilities is discussed in Concrete. This material model predicts either elastic behavior, cracking behavior or crushing behavior. If elastic behavior is predicted, the concrete is treated as a linear elastic material (discussed above). If cracking or crushing behavior is predicted, the elastic, stress-strain matrix is adjusted as discussed below for each failure mode.

14.65.7. Modeling of a Crack

The presence of a crack at an integration point is represented through modification of the stress-strain relations by introducing a plane of weakness in a direction normal to the crack face. Also, a shear transfer coefficient βt (constant C1 with TB,CONCR) is introduced which represents a shear strength reduction factor for those subsequent loads which induce sliding (shear) across the crack face. The stress-strain relations for a material that has cracked in one direction only become:

(14–470)

where the superscript ck signifies that the stress strain relations refer to a coordinate system parallel to principal stress directions with the xck axis perpendicular to the crack face. If KEYOPT(7) = 0, Rt = 0.0. If KEYOPT(7) = 1, Rt is the slope (secant modulus) as defined in the figure below. Rt works with adaptive descent and diminishes to 0.0 as the solution converges.

Figure 14.44 Strength of Cracked Condition

where:

ft = uniaxial tensile cracking stress (input as C3 with TB,CONCR)
Tc = multiplier for amount of tensile stress relaxation (input as C9 with TB,CONCR, defaults to 0.6)

If the crack closes, then all compressive stresses normal to the crack plane are transmitted across the crack and only a shear transfer coefficient βc (constant C2 with TB,CONCR) for a closed crack is introduced. Then [image] can be expressed as

(14–471)

The stress-strain relations for concrete that has cracked in two directions are:

(14–472)

If both directions reclose,

(14–473)

The stress-strain relations for concrete that has cracked in all three directions are:

(14–474)

If all three cracks reclose, (Equation 14–473) is followed. In total there are 16 possible combinations of crack arrangement and appropriate changes in stress-strain relationships incorporated in SOLID65. A note is output if 1 >βc >βt >0 are not true.

The transformation of [image] to element coordinates has the form

(14–475)

where [Tck] has a form identical to (Equation 14–467) and the three columns of [A] in (Equation 14–468) are now the principal direction vectors.

The open or closed status of integration point cracking is based on a strain value [image] called the crack strain. For the case of a possible crack in the x direction, this strain is evaluated as

(14–476)

where:

The vector {εck} is computed by:

(14–477)

where:

{ε'} = modified total strain (in element coordinates)

{ε'}, in turn, is defined as:

(14–478)

where:

n = substep number
{Δεn} = total strain increment (based on {Δun}, the displacement increment over the substep)

If [image] is less than zero, the associated crack is assumed to be closed.

If [image] is greater than or equal to zero, the associated crack is assumed to be open. When cracking first occurs at an integration point, the crack is assumed to be open for the next iteration.

14.65.8. Modeling of Crushing

If the material at an integration point fails in uniaxial, biaxial, or triaxial compression, the material is assumed to crush at that point. In SOLID65, crushing is defined as the complete deterioration of the structural integrity of the material (e.g. material spalling). Under conditions where crushing has occurred, material strength is assumed to have degraded to an extent such that the contribution to the stiffness of an element at the integration point in question can be ignored.

14.65.9. Nonlinear Behavior - Reinforcement

The one-dimensional creep and plasticity behavior for SOLID65 reinforcement is modeled in the same manner as for LINK8.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.64. Not Documented 		Up / Home Next
14.66. Not Documented


14.66. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.65. SOLID65 - 3-D Reinforced Concrete Solid 		Up / Home Next
14.67. PLANE67 - 2-D Coupled Thermal-Electric Solid


14.67. PLANE67 - 2-D Coupled Thermal-Electric Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Electrical Conductivity Matrix | Quad | (Equation 12–109) | 2 x 2
 | Triangle | (Equation 12–90) | 3
Thermal Conductivity Matrix and Heat Generation Load Vector | Quad | (Equation 12–108) | 2 x 2
 | Triangle | (Equation 12–89) | 3
Specific Heat Matrix | Same as for thermal conductivity matrix. Matrix is diagonalized as described in Lumped Matrices |  | Same as conductivity matrices
Convection Surface Matrix and Load Vector | Same as thermal conductivity matrix evaluated at the face |  | 2

Reference: Kohnke and Swanson(19)

14.67.1. Other Applicable Sections

"Coupling" discusses coupled effects.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.66. Not Documented 		Up / Home Next
14.68. LINK68 - Coupled Thermal-Electric Line


14.68. LINK68 - Coupled Thermal-Electric Line

Matrix or Vector | Shape Functions | Integration Points
Electrical Conductivity Matrices | (Equation 12–14) | None
Thermal Conductivity and Specific Heat Matrices; and Heat Generation Load Vector | (Equation 12–13) | None

Reference: Kohnke and Swanson(19)

14.68.1. Other Applicable Sections

"Coupling" discusses coupled effects.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.67. PLANE67 - 2-D Coupled Thermal-Electric Solid 		Up / Home Next
14.69. SOLID69 - 3-D Coupled Thermal-Electric Solid


14.69. SOLID69 - 3-D Coupled Thermal-Electric Solid

Matrix or Vector | Shape Functions | Integration Points
Electrical Conductivity Matrix | (Equation 12–199) | 2 x 2 x 2
Thermal Conductivity Matrix and Heat Generation Load Vector | (Equation 12–198) | 2 x 2 x 2
Specific Heat Matrix | (Equation 12–198). Matrix is diagonalized as described in Lumped Matrices | 2 x 2 x 2
Convection Surface Matrix and Load Vector | (Equation 12–198), specialized to the face | None

Reference: Kohnke and Swanson(19)

14.69.1. Other Applicable Sections

"Coupling" discusses coupled effects.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.68. LINK68 - Coupled Thermal-Electric Line 		Up / Home Next
14.70. SOLID70 - 3-D Thermal Solid


14.70. SOLID70 - 3-D Thermal Solid

Matrix or Vector | Shape Functions | Integration Points
Conductivity Matrix and Heat Generation Load Vector | (Equation 12–198) | 2 x 2 x 2
Specific Heat Matrix | (Equation 12–198). Matrix is diagonalized as described in Lumped Matrices | Same as conductivity matrix
Convection Surface Matrix and Load Vector | (Equation 12–198) specialized to the face | 2 x 2

14.70.1. Other Applicable Sections

Derivation of Heat Flow Matrices has a complete derivation of the matrices and load vectors of a general thermal analysis element. Mass transport is discussed in PLANE55 - 2-D Thermal Solid.

14.70.2. Fluid Flow in a Porous Medium

An option (KEYOPT(7) = 1) is available to convert SOLID70 to a nonlinear steady-state fluid flow element. Pressure is the variable rather than temperature. From (Equation 6–21), the element conductivity matrix is:

(14–479)

[B] is defined by (Equation 6–21) and for this option, [D] is defined as:

(14–480)

where:

= absolute permeability of the porous medium in the x direction (input as KXX on MP command)
ρ = mass density of the fluid (input as DENS on MP command)
μ = viscosity of the fluid (input as VISC on MP command)
β = visco-inertial parameter of the fluid (input as C on MP command)
S = seepage velocity (at centroid from previous iteration, defined below)
α = empirical exponent on S (input as MU on MP command)

For this option, no “specific heat” matrix or “heat generation” load vector is computed.

The pressure gradient components are computed by:

(14–481)

where:

= pressure gradient in the x-direction (output as PRESSURE GRADIENT (X))
{Te} = vector of element temperatures (pressures)

The pressure gradient is computed from:

(14–482)

where:

gp = total pressure gradient (output as PRESSURE GRADIENT (TOTAL))

The mass flux components are:

(14–483)

The vector sum of the mass flux components is:

(14–484)

where:

f = mass flux (output as MASS FLUX)

The fluid velocity components are:

(14–485)

where:

Sx = fluid velocity in the x-direction (output as FLUID VELOCITY (X))

and the maximum fluid velocity is:

(14–486)

where:

S = total fluid velocity (output as FLUID VELOCITY (TOTAL))

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.69. SOLID69 - 3-D Coupled Thermal-Electric Solid 		Up / Home Next
14.71. MASS71 - Thermal Mass


14.71. MASS71 - Thermal Mass

Matrix or Vector | Shape Functions | Integration Points
Specific Heat Matrix and Heat Generation Load Vector | None | None

14.71.1. Specific Heat Matrix

The specific heat matrix for this element is simply:

(14–487)

Co is defined as:

(14–488)

where:

ρ = density (input as DENS on MP command)
Cp = specific heat (input as C on MP command)
vol = volume (input as CON1 on R command)
Ca = capacitance (input as CON1 on R command)

14.71.2. Heat Generation Load Vector

The heat generation load vector is:

(14–489)

where:

QR = heat rate (input as QRATE on MP command)
A1, A2, etc. = constants (input as A1, A2, etc. on R command)
Tunif = uniform temperature (input on BFUNIF command)
= temperature from previous iteration
To = offset temperature (input on TOFFST command)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.70. SOLID70 - 3-D Thermal Solid 		Up / Home Next
14.72. Not Documented


14.72. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.71. MASS71 - Thermal Mass 		Up / Home Next
14.73. Not Documented


14.73. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.72. Not Documented 		Up / Home Next
14.74. Not Documented


14.74. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.73. Not Documented 		Up / Home Next
14.75. PLANE75 - Axisymmetric-Harmonic 4-Node Thermal Solid


14.75. PLANE75 - Axisymmetric-Harmonic 4-Node Thermal Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Conductivity Matrix and Heat Generation Load Vector | Quad | (Equation 12–141) | 2 x 2
 | Triangle | (Equation 12–133) | 3
Specific Heat Matrix | Same as conductivity matrix. Matrix is diagonalized as described in Lumped Matrices |  | Same as conductivity matrix
Convection Surface Matrix and Load Vector | Same as conductivity matrix specialized to the face |  | 2

14.75.1. Other Applicable Sections

"Heat Flow" describes the derivation of the element matrices and load vectors as well as heat flux evaluations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.74. Not Documented 		Up / Home Next
14.76. Not Documented


14.76. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.75. PLANE75 - Axisymmetric-Harmonic 4-Node Thermal Solid 		Up / Home Next
14.77. PLANE77 - 2-D 8-Node Thermal Solid


14.77. PLANE77 - 2-D 8-Node Thermal Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Conductivity Matrix and Heat Generation Load Vector | Quad | (Equation 12–118) | 3 x 3
 | Triangle | (Equation 12–98) | 6
Specific Heat Matrix | Same as conductivity matrix. If KEYOPT(1) = 1, matrix is diagonalized as described in Lumped Matrices |  | Same as conductivity matrix
Convection Surface Matrix and Load Vector | Same as conductivity matrix, specialized to the face |  | 2

14.77.1. Other Applicable Sections

"Heat Flow" describes the derivation of the thermal element matrices and load vectors as well as heat flux evaluations. If KEYOPT(1) = 1, the specific heat matrix is diagonalized as described in Lumped Matrices.

14.77.2. Assumptions and Restrictions

A dropped midside node implies that the edge is straight and that the temperature varies linearly along that edge.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.76. Not Documented 		Up / Home Next
14.78. PLANE78 - Axisymmetric-Harmonic 8-Node Thermal Solid


14.78. PLANE78 - Axisymmetric-Harmonic 8-Node Thermal Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Conductivity Matrix and Heat Generation Load Vector | Quad | (Equation 12–148) | 3 x 3
 | Triangle | (Equation 12–137) | 6
Specific Heat Matrix | Same as conductivity matrix. If KEYOPT(1) = 1, matrix is diagonalized as described in Lumped Matrices |  | Same as conductivity matrix
Convection Surface Matrix and Load Vector | Same as stiffness matrix, specialized to the face |  | 2

14.78.1. Other Applicable Sections

"Heat Flow" describes the derivation of the thermal element matrices and load vectors as well as heat flux evaluations.

14.78.2. Assumptions and Restrictions

A dropped midside node implies that the edge is straight and that the temperature varies linearly along that edge.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.77. PLANE77 - 2-D 8-Node Thermal Solid 		Up / Home Next
14.79. FLUID79 - 2-D Contained Fluid


14.79. FLUID79 - 2-D Contained Fluid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness and Damping Matrices; and Thermal Load Vector | Quad | (Equation 12–100) and (Equation 12–101) | 1 x 1 for bulk strain effects 2 x 2 for shear and rotational resistance effects
 | Triangle | (Equation 12–81) and (Equation 12–82) | 1 x 1 for bulk strain effects 3 for shear and rotational resistance effects
Mass Matrix | Same as stiffness matrix. Matrix is diagonalized as in Lumped Matrices. |  | Same as for shear effects
Pressure Load Vector | Same as stiffness matrix, specialized to the face |  | 2
Load Type | Distribution
Element Temperature | Average of the four nodal temperatures is used throughout the element
Nodal Temperature | Same as element temperature distribution
Pressure | Linear along each face

14.79.1. Other Applicable Sections

"Structures" describes the derivation of element matrices and load vectors. The fluid aspects of this element are the same as described for FLUID80.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.78. PLANE78 - Axisymmetric-Harmonic 8-Node Thermal Solid 		Up / Home Next
14.80. FLUID80 - 3-D Contained Fluid


14.80. FLUID80 - 3-D Contained Fluid

Matrix or Vector | Shape Functions | Integration Points
Stiffness and Damping Matrices; and Thermal Load Vector | (Equation 12–188), (Equation 12–189), and (Equation 12–190) | 1 x 1 x 1 for bulk strain effects 2 x 2 x 2 for shear and rotational resistance effects
Mass Matrix | Same as stiffness matrix. Matrix is diagonalized as described in Lumped Matrices | 2 x 2 x 2
Pressure Load Vector | Same as stiffness matrix, specialized to the face | 2 x 2
Load Type | Distribution
Element Temperature | Average of the 8 nodal temperatures is used throughout element
Nodal Temperature | Average of the 8 nodal temperatures is used throughout element
Pressure | Bilinear across each face

14.80.1. Other Applicable Sections

"Structures" describes the derivation of element matrices and load vectors.

14.80.2. Assumptions and Restrictions

This element does not generate a consistent mass matrix; only the lumped mass matrix is available.

14.80.3. Material Properties

Rather than (Equation 2–3), the stress-strain relationships used to develop the stiffness matrix and thermal load vector are:

(14–490)

where:

α = thermal coefficient of expansion (input as ALPX on MP command)
ΔT = change of temperature from reference temperature
K = fluid elastic (bulk) modulus (input as EX on MP command)
P = pressure
γ = shear strain
S = K x 10-9 (arbitrarily small number to give element some shear stability)
τ = shear stress
Ri = rotation about axis i
B = K x 10-9 (arbitrarily small number to give element some rotational stability)
Mi = twisting force about axis i

A damping matrix is also developed based on:

(14–491)

where:

η = viscosity (input as VISC on MP command)
c = .00001*η

and the ( [image]) represents differentiation with respect to time.

A lumped mass matrix is developed, based on the density (input as DENS on MP command).

14.80.4. Free Surface Effects

The free surface is handled with an additional special spring effect. The necessity of these springs can be seen by studying a U-Tube, as shown in Figure 14.45: "U-Tube with Fluid".

Note that if the left side is pushed down a distance of Δh, the displaced fluid mass is:

(14–492)

where:

MD = mass of displaced fluid
Δh = distance fluid surface has moved
A = cross-sectional area of U-Tube
ρ = fluid density

Then, the force required to hold the fluid in place is

(14–493)

where:

FD = force required to hold the fluid in place
g = acceleration due to gravity (input on ACEL command)

Figure 14.45 U-Tube with Fluid

Finally, the stiffness at the surface is the force divided by the distance, or

(14–494)

This expression is generalized to be:

(14–495)

where:

AF = area of the face of the element
gi = acceleration in the i direction
Ci = ith component of the normal to the face of the element

This results in adding springs from each node to ground, with the spring constants being positive on the top of the element, and negative on the bottom. For an interior node, positive and negative effects cancel out and, at the bottom where the boundary must be fixed to keep the fluid from leaking out, the negative spring has no effect. If KEYOPT(2) = 1, positive springs are added only to faces located at z = 0.0.

14.80.5. Other Assumptions and Limitations

The surface springs tend to retard the hydrostatic motions of the element from their correct values. The hydrodynamic motions are not changed. From the definition of bulk modulus,

(14–496)

where:

us = vertical motion of a static column of fluid (unit cross-sectional area)
H = height of fluid column
P = pressure at any point
z = distance from free surface

The pressure is normally defined as:

(14–497)

But this pressure effect is reduced by the presence of the surface springs, so that

(14–498)

Combining (Equation 14–496) and (Equation 14–498) and integrating,

(14–499)

or

(14–500)

If there were no surface springs,

(14–501)

Thus the error for hydrostatic effects is the departure from 1.0 of the factor (1 / (1+Hρg/K)), which is normally quite small.

The 1 x 1 x 1 integration rule is used to permit the element to “bend” without the bulk modulus resistance being mobilized, i.e.

Figure 14.46 Bending Without Resistance

While this motion is permitted, other motions in a static problem often result, which can be thought of as energy-free eddy currents. For this reason, small shear and rotational resistances are built in, as indicated in (Equation 14–490).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.79. FLUID79 - 2-D Contained Fluid 		Up / Home Next
14.81. FLUID81 - Axisymmetric-Harmonic Contained Fluid


14.81. FLUID81 - Axisymmetric-Harmonic Contained Fluid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness and Damping Matrices; and Thermal Load Vector | Quad | (Equation 12–138), (Equation 12–139), and (Equation 12–140) | 1 for bulk strain effects 2 x 2 for shear and rotational resistance effects
 | Triangle | (Equation 12–130), (Equation 12–131), and (Equation 12–132) | 1 for bulk strain effects 3 for shear and rotational resistance effects
Mass Matrix | Quad | (Equation 12–100), (Equation 12–101), and (Equation 12–102) | 2 x 2
 | Triangle | (Equation 12–81), (Equation 12–83), and (Equation 12–84) | 3
Pressure Load Vector | Same as stiffness matrix, specialized to the face |  | 2
Load Type | Distribution
Element Temperature | Average of the four nodal temperatures is used throughout the element
Nodal Temperature | Same as element temperature distribution
Pressure | Linear along each face

14.81.1. Other Applicable Sections

"Structures" describes the derivation of element matrices and load vectors. The fluid aspects of this element are the same as described for FLUID80 - 3-D Contained Fluid except that a consistent mass matrix is also available (LUMPM,OFF).

14.81.2. Assumptions and Restrictions

The material properties are assumed to be constant around the entire circumference, regardless of temperature dependent material properties or loading.

14.81.3. Load Vector Correction

When [image] (input as MODE on MODE command) > 0, the gravity that is required to be input for use as a gravity spring (input as ACELY on ACEL command) also is erroneously multiplied by the mass matrix for a gravity force effect. This erroneous effect is cancelled out by an element load vector that is automatically generated during the element stiffness pass.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.80. FLUID80 - 3-D Contained Fluid 		Up / Home Next
14.82. PLANE82 - 2-D 8-Node Structural Solid


14.82. PLANE82 - 2-D 8-Node Structural Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Mass, Stiffness and Stress Stiffness Matrices; and Thermal Load Vector | Quad | (Equation 12–114) and (Equation 12–115) | 2 x 2
 | Triangle | (Equation 12–93) and (Equation 12–94) | 3
Pressure Load Vector | Same as stiffness matrix, specialized to the face |  | 2 along face
Load Type | Distribution
Element Temperature | Same as shape functions across element, constant thru thickness or around circumference
Nodal Temperature | Same as element temperature distribution
Pressure | Linear along each face

Reference: Zienkiewicz(39)

14.82.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations.

14.82.2. Assumptions and Restrictions

A dropped midside node implies that the face is and remains straight.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.81. FLUID81 - Axisymmetric-Harmonic Contained Fluid 		Up / Home Next
14.83. PLANE83 - Axisymmetric-Harmonic 8-Node Structural Solid


14.83. PLANE83 - Axisymmetric-Harmonic 8-Node Structural Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness, Mass, and Stress Stiffness Matrices; and Thermal Load Vector | Quad | (Equation 12–145), (Equation 12–146), and (Equation 12–147) | 2 x 2
 | Triangle | (Equation 12–134), (Equation 12–135), and (Equation 12–136) | 3
Pressure Load Vector | Same as stiffness matrix, specialized to the face |  | 2
Load Type | Distribution
Element Temperature | Same as shape functions across element, harmonic around circumference
Nodal Temperature | Same as element temperature distribution
Pressure | Linear along each face, harmonic around circumference

Reference: Zienkiewicz(39)

14.83.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations. PLANE25 - Axisymmetric-Harmonic 4-Node Structural Solid has a discussion of temperature applicable to this element.

14.83.2. Assumptions and Restrictions

A dropped midside node implies that the edge is and remains straight.

The material properties are assumed to be constant around the entire circumference, regardless of temperature-dependent material properties or loading. For [image] (input as MODE on MODE command) > 0, extreme values for combined stresses are obtained by computing these stresses at every 10/ [image] degrees and selecting the extreme values.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.82. PLANE82 - 2-D 8-Node Structural Solid 		Up / Home Next
14.84. Not Documented


14.84. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.83. PLANE83 - Axisymmetric-Harmonic 8-Node Structural Solid 		Up / Home Next
14.85. Not Documented


14.85. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.84. Not Documented 		Up / Home Next
14.86. Not Documented


14.86. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.85. Not Documented 		Up / Home Next
14.87. SOLID87 - 3-D 10-Node Tetrahedral Thermal Solid


14.87. SOLID87 - 3-D 10-Node Tetrahedral Thermal Solid

Matrix or Vector | Shape Functions | Integration Points
Conductivity Matrix and Heat Generation Load Vector | (Equation 12–164) | 4
Specific Heat Matrix | Same as conductivity matrix. If KEYOPT(1) = 1, the matrix is diagonalized as described in Lumped Matrices | 11
Convection Surface Matrix and Load Vector

(Equation 12–164) specialized to the face.
Diagonalized surface matrix if KEYOPT(5) = 0,
consistent surface matrix if KEYOPT(5) = 1

6

14.87.1. Other Applicable Sections

"Heat Flow" describes the derivation of thermal element matrices and load vectors as well as heat flux evaluations. If KEYOPT(1) = 1, the specific heat matrix is diagonalized as described in Lumped Matrices.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.86. Not Documented 		Up / Home Next
14.88. VISCO88 - 2-D 8-Node Viscoelastic Solid


14.88. VISCO88 - 2-D 8-Node Viscoelastic Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness, Mass, and Stress Stiffness Matrices; and Thermal and Newton-Raphson Load Vector | Quad | (Equation 12–114) and (Equation 12–115) | 2 x 2
 | Triangle | (Equation 12–93) and (Equation 12–94) | 3
Pressure Load Vector | Same as stiffness matrix, specialized to the face |  | 2 along face
Load Type | Distribution
Element Temperature | Same as shape functions across element, constant thru thickness or around circumference
Nodal Temperature | Same as element temperature distribution
Pressure | Linear along each face

References: Zienkiewicz(39), Markovsky et
al.(108), Scherer and Rekhson(109),
Narayanaswamy(110), Zienkiewicz et al.(111),
Taylor et al.(112)

14.88.1. Other Applicable Sections

Viscoelasticity describes the basic theory regarding viscoelasticity.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.87. SOLID87 - 3-D 10-Node Tetrahedral Thermal Solid 		Up / Home Next
14.89. VISCO89 - 3-D 20-Node Viscoelastic Solid


14.89. VISCO89 - 3-D 20-Node Viscoelastic Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness, Mass, and Stress Stiffness Matrices; and Thermal and Newton-Raphson Load Vectors | Brick | (Equation 12–206), (Equation 12–207), and (Equation 12–208) | 14
 | Wedge | (Equation 12–183), (Equation 12–184), and (Equation 12–185) | 3 x 3
 | Pyramid | (Equation 12–168), (Equation 12–169), and (Equation 12–170) | 2 x 2 x 2
 | Tet | (Equation 12–161), (Equation 12–162), and (Equation 12–163) | 4
Pressure Load Vector | Quad | (Equation 12–66) and (Equation 12–67) | 3 x 3
 | Triangle | (Equation 12–43) and (Equation 12–44) | 6
Load Type | Distribution
Element Temperature | Same as shape functions across element
Nodal Temperature | Same as shape functions across element
Pressure | Bilinear across each face

References: Zienkiewicz(39), Markovsky et
al.(108), Scherer and Rekhson(109),
Narayanaswamy(110), Zienkiewicz et al.(111),
Taylor et al.(112)

14.89.1. Other Applicable Sections

Viscoelasticity describes the basic theory regarding viscoelasticity. If KEYOPT(3) = 1, the matrix is diagonalized as described in Lumped Matrices.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.88. VISCO88 - 2-D 8-Node Viscoelastic Solid 		Up / Home Next
14.90. SOLID90 - 3-D 20-Node Thermal Solid


14.90. SOLID90 - 3-D 20-Node Thermal Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Conductivity Matrix and Heat Generation Load Vector | Brick | (Equation 12–209) | 14
 | Wedge | (Equation 12–186) | 3 x 3
 | Pyramid | (Equation 12–171) | 2 x 2 x 2
 | Tet | (Equation 12–164) | 4
Specific Heat Matrix | Same as conductivity matrix. If KEYOPT(1) = 1, the matrix is diagonalized as described in Lumped Matrices. |  | Same as conductivity matrix
Convection Surface Matrix and Load Vector | Quad | (Equation 12–70) | 3 x 3
 | Triangle | (Equation 12–46) | 6

14.90.1. Other Applicable Sections

"Heat Flow" describes the derivation of thermal element matrices and load vectors as well as heat flux evaluations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.89. VISCO89 - 3-D 20-Node Viscoelastic Solid 		Up / Home Next
14.91. SHELL91 - Nonlinear Layered Structural Shell


14.91. SHELL91 - Nonlinear Layered Structural Shell

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness Matrix and Thermal Load Vector | Quad | (Equation 12–80) | Thru-the-thickness: 3 for each layer In-plane: 2 x 2
Stiffness Matrix and Thermal Load Vector | Triangle | (Equation 12–53) | Thru-the-thickness: 3 for each layer In-plane: 3
Mass and Stress Stiffness Matrices | Quad | (Equation 12–66), (Equation 12–67), and (Equation 12–68) | Same as stiffness matrix
Mass and Stress Stiffness Matrices | Triangle | (Equation 12–43), (Equation 12–44), and (Equation 12–45) | Same as stiffness matrix
Transverse Pressure Load Vector | Quad | (Equation 12–68) | 2 x 2
Transverse Pressure Load Vector | Triangle | (Equation 12–45) | 3
Edge Pressure Load Vector | Same as in-plane mass matrix specialized to the edge. |  | 2
Load Type | Distribution
Element Temperature | Linear thru each layer, bilinear in plane of element
Nodal Temperature | Constant thru thickness, bilinear in plane of element
Pressure | Bilinear in plane of element, linear along each edge

Reference: Ahmad(1), Cook(5)

14.91.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations. The mass matrix is diagonalized as described in Lumped Matrices.

14.91.2. Assumptions and Restrictions

Normals to the centerplane are assumed to remain straight after deformation, but not necessarily normal to the centerplane.

Each set of integration points thru a layer (in the r direction) is assumed to have the same element (material) orientation.

There is no significant stiffness associated with rotation about the element r axis. A nominal value of stiffness is present using the approach of Zienkiewicz(39), however, to prevent free rotation at the node.

14.91.3. Stress-Strain Relationship

The material property matrix [D]j for the layer j is:

(14–502)

where:

Ex,j = Young's modulus in layer x direction of layer j (input as EX on MP command)
νxy,j = Poisson's ratio in layer x-y plane of layer j (input as NUXY on MP command)
Gxy,j = shear modulus in layer x-y plane of layer j (input as GXY on MP command)
A = element area (in s-t plane)
t = average total thickness

The above definition of f is designed to avoid shear locking. Unlike most other elements, the temperature-dependent material properties are evaluated at each of the in-plane integration points, rather than only at the centroid.

14.91.4. Stress, Force and Moment Calculations

The shape functions assume that the transverse shear strains are constant thru the thickness. However, these strains must be zero at the free surface. Therefore, unless nonlinear materials are used or the sandwich option is used (KEYOPT(9) = 1), they are adjusted by:

(14–503)

(14–504)

where typically:

σxz,j = transverse shear stress as computed from strain-displacement relationships
r = normal coordinate, varying from -1.0 (bottom) to +1.0 (top)

Even with this adjustment, these strains will not be exact due to the variable nature of the material properties thru the thickness. However, for thin shell environments, these strains and their resulting stresses are small in comparison to the x, y, and xy components. The interlaminar shear stresses are equivalent to the transverse shear stresses at the layer boundaries and are computed using equilibrium considerations, and hence are more accurate for most applications.

14.91.5. Force and Moment Summations

The in-plane forces are computed as:

(14–505)

(14–506)

(14–507)

where typically:

Tx = in-plane x force per unit length (output as TX)
tj = thickness of layer j

The out-of-plane moments are computed as:

(14–508)

(14–509)

(14–510)

where, typically:

Mx = x-moment per unit length (output as MX)
z = coordinate normal to shell, with z = 0 being at shell midsurface

The transverse shear forces are computed as:

(14–511)

(14–512)

where, typically:

Nx = transverse x-shear force per unit length (output as NX)
σxz,j = average transverse shear stress in layer j in element x-z plane

For this computation of transverse shear forces, the shear stresses have not been adjusted as shown in (Equation 14–503) and (Equation 14–504).

14.91.6. Interlaminar Shear Stress Calculation

In the absence of body forces, the in-plane equilibrium equations of infinitesimally small volume are:

(14–513)

(14–514)

Rewriting these in incremental form,

(14–515)

(14–516)

Setting these equations in terms of layer j,

(14–517)

(14–518)

where:

Δx and Δy are shown in Figure 14.47: "Integration Point Locations".

Figure 14.47 Integration Point Locations

Thus, the interlaminar shear stress is:

(14–519)

(14–520)

where, typically,

t = total thickness

14.91.7. Sandwich Option

If KEYOPT(9) = 1, SHELL91 uses “sandwich” logic. This causes:

  • The term f in (Equation 14–502) to be set to 1.0 for the middle layer (core).

  • The transverse shear moduli (Gyz and Gxz) are set to zero for the top and bottom layers.

  • The transverse shear strains and stresses in the face plate (non-core) layers are set to 0.0.

  • As mentioned earlier, the adjustment to the transverse shear strains and stresses in the core as suggested by (Equation 14–503) and (Equation 14–504) is not done.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.90. SOLID90 - 3-D 20-Node Thermal Solid 		Up / Home Next
14.92. SOLID92 - 3-D 10-Node Tetrahedral Structural Solid


14.92. SOLID92 - 3-D 10-Node Tetrahedral Structural Solid

Matrix or Vector | Shape Functions | Integration Points
Stiffness, Mass, and Stress Stiffness Matrices; and Thermal Load Vector | (Equation 12–161), (Equation 12–162), and (Equation 12–163) | 4
Pressure Load Vector | (Equation 12–161), (Equation 12–162), and (Equation 12–163) specialized to the face | 6
Load Type | Distribution
Element Temperature | Same as shape functions
Nodal Temperature | Same as shape functions
Pressure | Linear over each face

Reference: Zienkiewicz(39)

14.92.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.91. SHELL91 - Nonlinear Layered Structural Shell 		Up / Home Next
14.93. SHELL93 - 8-Node Structural Shell


14.93. SHELL93 - 8-Node Structural Shell

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness Matrix and Thermal Load Vector | Quad | (Equation 12–80) | Thru-the-thickness: 2 (linear material) 5 (nonlinear material) In-plane: 2 x 2
 | Triangle | (Equation 12–53) | Thru-the-thickness: 2 (linear material) 5 (nonlinear material) In-plane: 3
Mass and Stress Stiffness Matrices | Quad | (Equation 12–66), (Equation 12–67), and (Equation 12–68) | Same as stiffness matrix
 | Triangle | (Equation 12–43), (Equation 12–44), and (Equation 12–45) | Same as stiffness matrix
Transverse Pressure Load Vector | Quad | (Equation 12–68) | 2 x 2
 | Triangle | (Equation 12–45) | 3
Edge Pressure Load Vector | Same as in-plane mass matrix, specialized to the edge |  | 2
Load Type | Distribution
Element Temperature | Linear thru thickness, bilinear in plane of element
Nodal Temperature | Constant thru thickness, bilinear in plane of element
Pressure | Bilinear in plane of element, linear along each edge

Reference: Ahmad(1) Cook(5)

14.93.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations. The mass matrix is diagonalized as described in Lumped Matrices.

14.93.2. Assumptions and Restrictions

Normals to the centerplane are assumed to remain straight after deformation, but not necessarily normal to the centerplane.

Each set of integration points thru the thickness (in the r direction) is assumed to have the same element (material) orientation.

There is no significant stiffness associated with rotation about the element r axis. A nominal value of stiffness is present (as described with SHELL63), however, to prevent free rotation at the node.

14.93.3. Stress-Strain Relationships

The material property matrix [D] for the element is:

(14–521)

where:

Ex = Young's modulus in element x direction (input as EX on MP command)
νxy = Poisson's ratio in element x-y plane (input as NUXY on MP command)
Gxy = shear modulus in element x-y plane (input as GXY on MP command)
A = element area (in s-t plane)
t = average thickness

The above definition of f is designed to avoid shear locking.

14.93.4. Stress Output

The stresses at the center of the element are computed by taking the average of the four integration points on that plane. See Nodal and Centroidal Data Evaluation for more details.

The output forces and moments are computed as described in Structural Strain and Stress Evaluations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.92. SOLID92 - 3-D 10-Node Tetrahedral Structural Solid 		Up / Home Next
14.94. CIRCU94 - Piezoelectric Circuit


14.94. CIRCU94 - Piezoelectric Circuit

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix | None (lumped) | None
Damping Matrix | None (lumped, harmonic analysis only) | None
Load Vector | None (lumped) | None

The piezoelectric circuit element, CIRCU94, simulates basic linear electric circuit components that can be directly connected to the piezoelectric FEA domain. For details about the underlying theory, see Wang and Ostergaard(323). It is suitable for the simulation of circuit-fed piezoelectric transducers, piezoelectric dampers for vibration control, crystal filters and oscillators etc.

14.94.1. Electric Circuit Elements

CIRCU94 contains 5 linear electric circuit element options:

a. Resistor | (KEYOPT(1) = 0)
b. Inductor | (KEYOPT(1) = 1)
c. Capacitor | (KEYOPT(1) = 2)
d. Current Source | (KEYOPT(1) = 3)
e. Voltage Source | (KEYOPT(1) = 4)

Options a, b, c, d are defined by two nodes I and J (see figure above), each node having a VOLT DOF. The voltage source is also characterized by a third node K with CURR DOF to represent an auxiliary charge variable.

14.94.2. Piezoelectric Circuit Element Matrices and Load Vectors

The finite element equations for the resistor, inductor, capacitor and current source of CIRCU94 are derived using the nodal analysis method (McCalla(188)) that enforces Kirchhoff's Current Law (KCL) at each circuit node. To be compatible with the system of piezoelectric finite element equations (see Piezoelectrics), the nodal analysis method has been adapted to maintain the charge balance at each node:

(14–522)

where:

[K] = stiffness (capacitance) matrix
{V} = vector of nodal voltages (to be determined)
{Q} = load vector of nodal charges

The voltage source is modeled using the modified nodal analysis method (McCalla(188)) in which the set of unknowns is extended to include electric charge at the auxiliary node K, while the corresponding entry of the load vector is augmented by the voltage source amplitude. In a transient analysis, different integration schemes are employed to determine the vector of nodal voltages.

For a resistor, the generalized trapezoidal rule is used to approximate the charge at time step n+1 thus yielding:

(14–523)

(14–524)

(14–525)

where:

θ = first order time integration parameter (input on TINTP command)
Δt = time increment (input on DELTIM command)
R = resistance

The constitutive equation for an inductor is of second order with respect to the charge time-derivative, and therefore the Newmark integration scheme is used to derive its finite element equation:

(14–526)

(14–527)

where:

L = inductance
α, δ = Newmark integration parameters (input on TINTP command

A capacitor with nodes I and J is represented by

(14–528)

(14–529)

where:

C = capacitance

For a current source, the [K] matrix is a null matrix, while the charge vector is updated at each time step as

(14–530)

where:

Note that for the first substep of the first load step in a transient analysis, as well as on the transient analysis restart, all the integration parameters (θ, α, δ) are set to 1. For every subsequent substep/load step, ANSYS uses either the default integration parameters or their values input using the TINTP command.

In a harmonic analysis, the time-derivative is replaced by jω, which produces

(14–531)

for a resistor,

(14–532)

for an inductor, and

(14–533)

where:

j = imaginary unit
ω = angular frequency (input on HARFRQ command)

The element charge vector {Q} is a null vector for all of the above components.

For a current source, the [K] matrix is a null matrix and the charge vector is calculated as

(14–534)

where:

IS = source current amplitude
φ = source current phase angle (in radians)

Note that all of the above matrices and load vectors are premultiplied by -1 before being assembled with the piezoelectric finite element equations that use negative electric charge as a through variable (reaction "force") for the VOLT degree of freedom.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.93. SHELL93 - 8-Node Structural Shell 		Up / Home Next
14.95. SOLID95 - 3-D 20-Node Structural Solid


14.95. SOLID95 - 3-D 20-Node Structural Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness, Mass, and Stress Stiffness Matrices; and Thermal Load Vector Brick (Equation 12–206) , (Equation 12–207), and (Equation 12–208)

14 if KEYOPT(11) = 0
2 x 2 x 2 if KEYOPT(11) = 1

Wedge | (Equation 12–183), (Equation 12–184), and (Equation 12–185) | 3 x 3
Pyramid | (Equation 12–168), (Equation 12–169), and (Equation 12–170) | 2 x 2 x 2
Tet | (Equation 12–161), (Equation 12–162), and (Equation 12–163) | 4
Pressure Load Vector | Quad | (Equation 12–66) and (Equation 12–67) | 3 x 3
Triangle | (Equation 12–43) and (Equation 12–44) | 6
Load Type | Distribution
Element Temperature | Same as shape functions thru element
Nodal Temperature | Same as shape functions thru element
Pressure | Bilinear across each face

Reference: Zienkiewicz(39)

14.95.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations. If KEYOPT(3) = 1, the mass matrix is diagonalized as described in Lumped Matrices.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.94. CIRCU94 - Piezoelectric Circuit 		Up / Home Next
14.96. SOLID96 - 3-D Magnetic Scalar Solid


14.96. SOLID96 - 3-D Magnetic Scalar Solid

Matrix or Vector | Shape Functions | Integration Points
Magnetic Scalar Potential Coefficient Matrix; and Load Vector of Magnetism due to Permanent Magnets, and Source Currents | (Equation 12–200) | 2 x 2 x 2

References: Coulomb(76), Mayergoyz(119), Gyimesi(141,149)

14.96.1. Other Applicable Sections

Derivation of Electromagnetic Matrices discusses the magnetic scalar potential method used by this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.95. SOLID95 - 3-D 20-Node Structural Solid 		Up / Home Next
14.97. SOLID97 - 3-D Magnetic Solid


14.97. SOLID97 - 3-D Magnetic Solid

Matrix or Vector | Shape Functions | Integration Points
Magnetic Vector Potential Coefficient Matrix and Load Vector of Magnetism due to Source Currents, Permanent Magnets, and Applied Currents | (Equation 12–191), (Equation 12–192), and (Equation 12–193) | 2 x 2 x 2
Electric Potential Coefficient Matrix | (Equation 12–199) | 2 x 2 x 2
Load Type | Distribution
Current Density, Voltage Load and Phase Angle Distribution | Trilinearly thru element

References: Coulomb(76), Mohammed(118), Biro et al.(120)

14.97.1. Other Applicable Sections

Derivation of Electromagnetic Matrices and Electromagnetic Field Evaluations contain a discussion of the 2-D magnetic vector potential formulation which is similar to the 3-D formulation of this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.96. SOLID96 - 3-D Magnetic Scalar Solid 		Up / Home Next
14.98. SOLID98 - Tetrahedral Coupled-Field Solid


14.98. SOLID98 - Tetrahedral Coupled-Field Solid

Matrix or Vector | Shape Functions | Integration Points
Magnetic Potential Coefficient Matrix | (Equation 12–166) | 4
Electric Conductivity Matrix | (Equation 12–165) | 4
Thermal Conductivity Matrix | (Equation 12–164) | 4
Stiffness and Mass Matrices; and Thermal Expansion Load Vector | (Equation 12–161), (Equation 12–162), and (Equation 12–163) | 4
Piezoelectric Coupling Matrix | Same as combination of stiffness matrix and conductivity matrix | 4
Specific Heat Matrix | Same as conductivity matrix. If KEYOPT(3) = 1, matrix is diagonalized as described in Lumped Matrices | 11
Load Vector due to Imposed Thermal and Electric Gradients, Heat Generation, Joule Heating, Magnetic Forces, Permanent Magnet and Magnetism due to Source Currents | Same as coefficient or conductivity matrix | 4
Load Vector due to Convection and Pressures | Same as stiffness or conductivity matrix, specialized to the face | 6

References: Zienkiewicz(39), Coulomb(76), Mayergoyz(119), Gyimesi(141)

14.98.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations. "Heat Flow" describes the derivation of thermal element matrices and load vectors as well as heat flux evaluations. Derivation of Electromagnetic Matrices describes the scalar potential method, which is used by this element. Piezoelectrics discusses the piezoelectric capability used by the element. If KEYOPT(3) = 1, the specific heat matrix is diagonalized as described in Lumped Matrices. Also, SOLID69 - 3-D Coupled Thermal-Electric Solid discusses the thermoelectric capability.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.97. SOLID97 - 3-D Magnetic Solid 		Up / Home Next
14.99. SHELL99 - Linear Layered Structural Shell


14.99. SHELL99 - Linear Layered Structural Shell

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness Matrix and Thermal Load Vector | Quad | (Equation 12–80) | Thru the thickness: 2 In-plane: 2 x 2
 | Triangle | (Equation 12–53) | Thru the thickness: 2 In-plane: 3
Mass and Stress Stiffness Matrices | Quad | (Equation 12–66), (Equation 12–67), and (Equation 12–68) | Same as stiffness matrix
 | Triangle | (Equation 12–43), (Equation 12–44), and (Equation 12–45) | Same as stiffness matrix
Transverse Pressure Load Vector | Quad | (Equation 12–68) | 2 x 2
 | Triangle | (Equation 12–45) | 3
Edge Pressure Load Vector | Same as in-plane mass matrix, specialized to the edge |  | 2
Load Type | Distribution
Element Temperature | Linear thru thickness, bilinear in plane of element
Nodal Temperature | Constant thru thickness, bilinear in plane of element
Pressure | Bilinear in plane of element, linear along each edge

References: Ahmad(1), Cook(5), Yunus et al.(139)

14.99.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations. The mass matrix is diagonalized as described in Lumped Matrices. Stress-Strain Relationship describes the details of material for each layer.

14.99.2. Assumptions and Restrictions

Normals to the centerplane are assumed to remain straight after deformation, but not necessarily normal to the centerplane.

Each pair of integration points (in the r direction) is assumed to have the same material orientation.

There is no significant stiffness associated with rotation about the element r axis. A nominal value of stiffness is present using the approach of Zienkiewicz(39), however, to prevent free rotation at the node.

14.99.3. Direct Matrix Input

SHELL99 has two options for the direct input of the matrices that account for the stiffness and mass effects as well as one thermal load distribution. This permits the user to incorporate the results of their own composite material programs, as well as lifting any restriction as to the number of layers.

If KEYOPT(2) = 3, the matrices [E0], [E1], [E2], [E3], and [E4] are input directly (input as A, B, D, E, and F, respectively on the R and RMORE commands). For the thermal load, the vectors {S0}, {S1}, and {S2} are also input directly (input as MT, BT, and QT on the R and RMORE commands). [E3], [E4], and {S2} are used only if KEYOPT(2) = 3 and if the shell is curved. Further, for both cases, the average density is input directly (input as AVDENS on the RMORE command).

The following thru thickness accumulated effects can be derived following the theoretical formulation given in reference (139) as:

(14–535)

(14–536)

(14–537)

(14–538)

(14–539)

(14–540)

(14–541)

(14–542)

where:

[D]j = stress-strain relationships at point of interest within layer j
[Tm] = layer to element transformation matrix

[E0], [E1], [E2], {S0}, and {S1} can be used to define the forces and moments on a unit square out of the flat shell (KEYOPT(2) = 2):

(14–543)

where:

{N} = forces per unit length
{M} = moments per unit length
{ε} = strains
{κ} = curvatures

A curved shell has more material on the outside layers of the shell than on the inside. To account for this additional effect, (Equation 14–543) is expanded for a curved shell (KEYOPT(2) = 3):

(14–544)

where:

{L} = spatial derivatives of moments
{ω} = spatial derivatives of curvatures

Each of the above matrices and load vectors are of sizes 6 x 6 and 6 x 1, as opposed to the 3 x 3 and 3 x 1 sizes commonly used in thin shell analysis. Thus, if only 3 x 3 matrix information is available, it is recommended to use KEYOPT(2) = 4, which transforms the 3 x 3 matrices to a 6 x 6 matrices (using [E0] as an example):

(14–545)

where:

G = 3 x 3 matrix of terms available from outside of the ANSYS program
L = G1110-8
H = G33C
C = transverse shear multiplier (input as TRSHEAR on RMORE command)

As discussed earlier, the values in [E0] (as well as other matrices) used by the ANSYS program for either the layer or matrix input may be printed with KEYOPT(10) = 1 in order to verify the input.

For matrix input, the required stress vector {Nc} needed for stress stiffening is computed as:

(14–546)

where:

{δ} = {ue} from the previous iteration

14.99.4. Stress Calculations

Strains and stresses are computed at the top and bottom of each layer (KEYOPT(9) = 0) or at the midthickness (KEYOPT(9) = 1). The strains within layer j are:

(14–547)

where:

{ue} = element displacement vector

The stresses within layer j are:

(14–548)

where:

{εth}j = thermal strain in layer j

14.99.5. Force and Moment Summations

First, all stresses are converted from the layer orientation to the element orientation:

(14–549)

where:

{σe}j = stresses in element orientation

To simplify the below descriptions, the subscript e is dropped. The in-plane forces are computed as:

(14–550)

(14–551)

(14–552)

where, typically,

Tx = in-plane force per unit length (output as TX)
tj = thickness of layer j

The out-of-plane moments are computed as:

(14–553)

(14–554)

(14–555)

where, typically,

Mx = x-moment per unit length (output as MX)
z = coordinate normal to shell, with z = 0 being at shell midsurface

The transverse shear forces are computed as:

(14–556)

(14–557)

where, typically,

Nx = transverse x-shear force per unit length (output as NX)
σxz,j = average transverse shear stress in layer j in element x-z plane

For this computation of transverse shear forces, the shear stresses have not been adjusted as shown in the next subsection.

14.99.6. Shear Strain Adjustment

The shape functions assume that the transverse shear strains are constant thru the thickness. However, these strains must be zero at the free surface. Therefore, they are adjusted by:

(14–558)

(14–559)

where typically,

εxz,j = transverse shear strain as computed from strain-displacement relationships
r = normal coordinate, varying from -1.0 (bottom) to +1.0 (top)

Even with this adjustment, these strains will not be exact due to the variable nature of the material properties thru the thickness. However, for thin shell environments, these strains and their resulting stresses are small in comparison to the x, y, and xy components. The interlaminar shear stresses are equivalent to the transverse shear stresses at the layer boundaries and are computed using equilibrium considerations, and hence are more accurate for most applications.

14.99.7. Interlaminar Shear Stress Calculations

In the absence of body forces, the in-plane equilibrium equations of infinitesimally small volume are

(14–560)

(14–561)

Rewriting these in incremental form,

(14–562)

(14–563)

Setting these equations in terms of layer j,

(14–564)

(14–565)

where:

Δx and Δy are shown in Figure 14.47: "Integration Point Locations" in SHELL91 - Nonlinear Layered Structural Shell.

The interlaminar shear stress components between layer k and layer k+1 may now be written as:

(14–566)

(14–567)

where, typically,

t = total thickness

Finally,

(14–568)

where:

τk = maximum interlaminar shear stress between layers K and K + 1 (output as ILSUM)

The maximum of all values τk is [image] (output as ILMAX). If [image] is less than a small number β, the interlaminar shear stress printout is suppressed and the post data values are set to zero. β is determined by:

(14–569)

where the summation is over all integration points in the top and bottom layers (or in layers LP1 and LP2, if requested).

Finally, a check is made on the validity of the interlaminar shear stresses. R is defined as:

(14–570)

where:

R = error measure (output as Max. Adjustment / Max. Stress)

R is output if it is greater than 0.1.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.98. SOLID98 - Tetrahedral Coupled-Field Solid 		Up / Home Next
14.100. Not Documented


14.100. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.99. SHELL99 - Linear Layered Structural Shell 		Up / Home Next
14.101. Not Documented


14.101. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.100. Not Documented 		Up / Home Next
14.102. Not Documented


14.102. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.101. Not Documented 		Up / Home Next
14.103. Not Documented


14.103. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.102. Not Documented 		Up / Home Next
14.104. Not Documented


14.104. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.103. Not Documented 		Up / Home Next
14.105. Not Documented


14.105. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.104. Not Documented 		Up / Home Next
14.106. VISCO106 - 2-D 4-Node Viscoplastic Solid


14.106. VISCO106 - 2-D 4-Node Viscoplastic Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness and Mass Matrices; and Thermal Load Vector | Quad | (Equation 12–100), (Equation 12–101), and (Equation 12–102) | 2 x 2
 | Triangle | (Equation 12–81), (Equation 12–82), and (Equation 12–83) | 3 if axisymmetric 1 if plane
Pressure Load Vector | Same as stiffness matrix, specialized to face |  | 2
Load Type | Distribution
Element Temperature | Bilinear across element, constant thru thickness or around circumference
Nodal Temperature | Same as element temperature distribution
Pressure | Linear along each face

References: Oden(123), Weber et al.(127), Anand(159) and Brown et al.(147)

14.106.1. Other Applicable Sections

For the basic element formulation refer to VISCO107 - 3-D 8-Node Viscoplastic Solid. Rate-dependent plasticity (Anand's model) is described in Rate-Dependent Plasticity.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.105. Not Documented 		Up / Home Next
14.107. VISCO107 - 3-D 8-Node Viscoplastic Solid


14.107. VISCO107 - 3-D 8-Node Viscoplastic Solid

Matrix or Vector | Shape Functions | Integration Points
Stiffness and Mass Matrices; and Thermal Load Vector | (Equation 12–188), (Equation 12–189), and (Equation 12–190) | 2 x 2 x 2
Pressure Load Vector | Same as stiffness matrix, specialized to the face | 2 x 2
Load Type | Distribution
Element Temperature | Trilinear thru element
Nodal Temperature | Trilinear thru element
Pressure | Bilinear across each face

References: Oden(123), Weber et al.(127)

14.107.1. Basic Assumptions

This section discusses the basic theory of the large strain viscoplastic elements. The elements developed use the updated Lagrangian concept along with logarithmic (Hencky) strain and Cauchy (true) stress measures. The material is limited to be isotropic in nature and elastic strains are assumed to be small relative to plastic strains. Further the plastic flow is assumed to be isochoric (i.e. volume preserving) and both the rate-independent and rate-dependent elastic-plastic constitutive relationship is considered.

The strain energy calculation is based on integration of loading rates and a large time increment may produce inaccurate energy values, even though stress-strain solutions are quite accurate.

14.107.2. Element Tangent Matrices and Newton-Raphson Restoring Force

The formulation considered is highly nonlinear in nature both from the point of view of kinematic or geometric consideration as well as constitutive behavior. The full Newton-Raphson solution option is utilized when the Newton-Raphson restoring force is given by (see (Equation 15–142)):

(14–571)

where:

[B] = strain-displacement matrix
{σ} = Cauchy stress

(Equation 14–571) is modified by assuming a decomposition of the Cauchy stress into the deviatoric part plus the pressure part:

(14–572)

where:

{σ'} = Cauchy stress deviator
P = hydrostatic stress
- hydrostatic stress = (σx + σy + σz) / 3 (output as HPRES)

The pressure is separately interpolated to conveniently allow for enforcement of the incompressibility constraint associated with large plastic strains (Oden and Kikuchi(123)). The restoring force can now be rewritten as:

(14–573)

The incompressibility constraint during plastic flow is enforced through the augmentation of the momentum equations with the additional equation:

(14–574)

where:

[NP] = shape function associated with the independently interpolated pressure DOF
ΔJ = determinant of the relative deformation gradient (the relative volume change)

(14–575)

where:

K = elastic bulk modulus for the material (= E / (3(1-2ν)))
E = Young's modulus (input as EX on MP command)
ν = Poisson's ratio (input as NUXY on MP command)

The total Cauchy stress is calculated by finding the deviatoric part from the constitutive equations using the strains calculated from nodal displacements and subtracting the separately interpolated pressure, i.e.:

(14–576)

where:

Po = interpolated from the pressure field

The stiffness matrix for the static analysis is constructed by evaluating the exact Jacobian of the discretized system. This yields an equation of the form:

(14–577)

where:

{F} = external nodal forces
{Δu}, {ΔP} = increments of displacement and pressure, respectively

The tangent matrix developed in (Equation 14–577) has two parts, namely the constitutive part and geometric part. From the requirement of full tangent matrices, both the constitutive and geometric parts are essential, but the numerical efficiency and stability considerations can prove to be different. Thus, it is left on the user to control the inclusion of stress (geometric) stiffness (using the SSTIF command). Symmetry of the stiffness matrix is achieved by assuming small strain increments for the constitutive part and negligible volume change during the step for the geometric part. The assumptions generally result in good convergence characteristic for these elements even when these assumptions of small strain increments and negligible volume change are violated. Additional detail of the stiffness matrix can be found in Weber et al.(127).

For the constitutive part of the rate-dependent plasticity (Anand's model), see Rate-Dependent Plasticity. Integration Point Locations describes the integration point locations.

14.107.3. Plastic Energy Output

(14–578)

where:

Nint = number of integration points
Ncs = total number of converged substeps
{Δεpl} = plastic strain increment

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.106. VISCO106 - 2-D 4-Node Viscoplastic Solid 		Up / Home Next
14.108. VISCO108 - 2-D 8-Node Viscoplastic Solid


14.108. VISCO108 - 2-D 8-Node Viscoplastic Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness and Mass Matrices; and Thermal Load Vector | Quad | (Equation 12–114), (Equation 12–115), and (Equation 12–116) | 3 x 3
 | Triangle | (Equation 12–93), (Equation 12–94), and (Equation 12–95) | 3
Pressure Load Vector | Same as stiffness matrix, specialized to the face |  | 2
Load Type | Distribution
Element Temperature | Same as shape functions across element, constant thru thickness or around circumference
Nodal Temperature | Same as element temperature distribution
Pressure | Linear along each face

References: Oden(123), Weber et al.(127), Anand(159) and Brown et al.(147)

14.108.1. Other Applicable Sections

For the basic element formulation refer to VISCO107 - 3-D 8-Node Viscoplastic Solid. Rate-dependent plasticity (Anand's model) is described in Rate-Dependent Plasticity.

14.108.2. Assumptions and Restrictions

A dropped midside node implies that the edge is and remains straight.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.107. VISCO107 - 3-D 8-Node Viscoplastic Solid 		Up / Home Next
14.109. TRANS109 - 2-D Electromechanical Transducer


14.109. TRANS109 - 2-D Electromechanical Transducer

TRANS109 realizes strong electromechanical coupling between distributed and lumped mechanical and electrostatic systems. TRANS109 is especially suitable for the analysis of Micro Electromechanical Systems (MEMS): accelerometers, pressure sensors, microactuators, gyroscopes, torsional actuators, filters, HF and optical switches, etc.

TRANS109 (Gyimesi and Ostergaard(329) and Gyimesi et al.(346)) is the 2-D extension of strongly coupled line transducer TRANS126 (Gyimesi and Ostergaard(248)), (Review of Coupled Electromechanical Methods, and TRANS126 - Electromechanical Transducer). TRANS109 is a 2-D 3-node element with triangle geometry. It supports three degrees of freedom at its nodes: mechanical displacement, UX and UY, as well as electrical scalar potential, VOLT. Its reaction solutions are mechanical forces, FX and FY, and electrical charge, CHRG.

The element potential energy is stored in the electrostatic domain. The energy change is associated with the change of potential distribution in the system, which produces mechanical reaction forces. The finite element formulation of the TRANS109 transducer follows standard Ritz-Galerkin variational principles which ensure that it is compatible with regular finite elements. The electrostatic energy definition is

(14–579)

where:

{V} = vector of nodal voltages
superscript T = denotes matrix transpose
[C] = element capacitance matrix

The vector of nodal electrostatic charges, {q}, can be obtained as

(14–580)

where:

{q} = vector of nodal charges

The capacitance matrix, [C], depends on the element geometry:

(14–581)

where:

{u} = vector of nodal displacements

According to the principle of virtual work

(14–582)

where:

{f} = vector of nodal mechanical reaction forces

At equilibrium, the electrostatic forces between each transducer elements as well as transducers and mechanical elements balance each other. The mesh, including the air region, deforms so that the force equilibrium be obtained.

During solution, TRANS109 automatically morphs the mesh based on equilibrium considerations. This means that users need to create an initial mesh using usual meshing tools, then during solution TRANS109 automatically changes the mesh according to the force equilibrium criteria. No new nodes or elements are created during morphing, but the displacements of the original nodes are constantly updated according to the electromechanical force balance. The morph supports large displacements, even of uneven meshes.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.108. VISCO108 - 2-D 8-Node Viscoplastic Solid 		Up / Home Next
14.110. INFIN110 - 2-D Infinite Solid


14.110. INFIN110 - 2-D Infinite Solid

Matrix or Vector | Mapping and Shape Functions | Integration Points
Magnetic Potential Coefficient Matrix | (Equation 12–120), (Equation 12–123), and (Equation 12–124) | 2 x 2
Thermal Conductivity and Specific Heat Matrices | (Equation 12–121), (Equation 12–123), and (Equation 12–124) | 2 x 2
Dielectric Permittivity and Electrical Conductivity Coefficient Matrices | (Equation 12–122), (Equation 12–123), and (Equation 12–124) | 2 x 2

References: Zienkiewicz et al.(169), Damjanic' and Owen(170), Marques and Owen(171), Li et al.(172)

14.110.1. Mapping Functions

The theory for the infinite mapping functions is briefly summarized here. Consider the 1-D situation shown below:

Figure 14.48 Global to Local Mapping of a 1-D Infinite Element

The 1-D element may be thought of as one edge of the infinite element of Figure 14.49: "Mapping of 2-D Solid Infinite Element". It extends from node J, through node K to the point M at infinity and is mapped onto the parent element defined by the local coordinate system in the range -1 [image] t [image] 1.

Figure 14.49 Mapping of 2-D Solid Infinite Element

The position of the "pole", xo, is arbitrary, and once chosen, the location of node K is defined by

(14–583)

The interpolation from local to global positions is performed as

(14–584)

where:

MJ(t) = -2t/(1 - t)
MK(t) = 1 - MJ(t)

Examining the above mapping, it can be seen that t = -1, 0, 1 correspond respectively to the global positions x = xJ, xK, [image], respectively.

The basic field variable is:

and can be interpolated using standard shape functions, which when written in polynomial form becomes

(14–585)

Solving (Equation 14–584) for t yields

(14–586)

where:

r = distance from the pole, O, to a general point within the element
a = xK - xJ as shown in Figure 14.49: "Mapping of 2-D Solid Infinite Element"

Substituting (Equation 14–586) into (Equation 14–585) gives

(14–587)

Where c0 = 0 is implied since the variable A is assumed to vanish at infinity.

(Equation 14–587) is truncated at the quadratic (r2) term in the present implementation. (Equation 14–587) also shows the role of the pole position, O.

In 2-D (Figure 14.49: "Mapping of 2-D Solid Infinite Element") mapping is achieved by the shape function products. The mapping functions and the Lagrangian isoparametric shape functions for 2-D and axisymmetric 4 node quadrilaterals are given in 2-D and Axisymmetric 4 Node Quadrilateral Infinite Solids. The shape functions for the nodes M and N are not needed as the field variable, A, is assumed to vanish at infinity.

14.110.2. Matrices

The coefficient matrix can be written as:

(14–588)

with the terms defined below:

  1. Magnetic Vector Potential (accessed with KEYOPT(1) = 0)

    [Ke] = magnetic potential coefficient matrix
    μo = magnetic permeability of free space (input on EMUNIT command)

    The infinite elements can be used in magnetodynamic analysis even though these elements do not compute mass matrices. This is because air has negligible conductivity.

  2. Electric Potential (Electric Charge) (accessed with KEYOPT(1) = 1)

    [Ke] = dielectric permittivity matrix
    εx, εy = dielectric permittivity (input as PERX and PERY on MP command)
    = effective electrical conductivity (defined by (Equation 5–83))

  3. Temperature (accessed with KEYOPT(1) = 2)

    [Ke] = thermal conductivity matrix
    kx, ky = thermal conductivities in the x and y direction (input as KXX and KYY on MP command)
    Cc = ρ Cp
    ρ = density of the fluid (input as DENS on MP command)
    Cp = specific heat of the fluid (input as C on MP command)
    {N} = shape functions given in 2-D and Axisymmetric 4 Node Quadrilateral Infinite Solids

  4. Electric Potential (Electric Current) (accessed with KEYOPT(1) = 3)

    [Ke] = electrical conductivity matrix
    = effective electrical conductivity (defined by (Equation 5–83))
    εx, εy = dielectric permittivity (input as PERX and PERY on MP command)

Although it is assumed that the nodal DOFs are zero at infinity, it is possible to solve thermal problems in which the nodal temperatures tend to some constant value, To, rather than zero. In that case, the temperature differential, θ (= T - To), may be thought to be posed as the nodal DOF. The actual temperature can then be easily found from T = θ + To. For transient analysis, θ must be zero at infinity t > 0, where t is time. Neumann boundary condition is automatically satisfied at infinity.

The {Bi} vectors of the [B] matrix in (Equation 14–588) contain the derivatives of Ni with respect to the global coordinates which are evaluated according to

(14–589)

where:

[J] = Jacobian matrix which defines the geometric mapping

[J] is given by

(14–590)

The mapping functions [M] in terms of s and t are given in 2-D and Axisymmetric 4 Node Quadrilateral Infinite Solids. The domain differential d(vol) must also be written in terms of the local coordinates, so that

(14–591)

Subject to the evaluation of {Bi} and d(vol), which involves the mapping functions, the element matrices [Ke] and [Ce] may now be computed in the standard manner using Gaussian quadrature.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.109. TRANS109 - 2-D Electromechanical Transducer 		Up / Home Next
14.111. INFIN111 - 3-D Infinite Solid


14.111. INFIN111 - 3-D Infinite Solid

Matrix or Vector | Mapping and Shape Functions | Integration Points
Magnetic Scalar Potential Coefficient, Dielectric Permittivity, Electrical Conductivity Coefficient, and Thermal Conductivity Matrices | (Equation 12–126), (Equation 12–127), (Equation 12–128), (Equation 12–129), (Equation 12–130), and (Equation 12–131) | 2 x 2 x 2
Specific Heat Matrix | (Equation 12–126), (Equation 12–129), (Equation 12–130), and (Equation 12–131) | 2 x 2 x 2
Magnetic Vector Potential Coefficient Matrix | (Equation 12–123), (Equation 12–124), (Equation 12–125), (Equation 12–129), (Equation 12–130), and (Equation 12–131) | 2 x 2 x 2

14.111.1. Other Applicable Sections

See INFIN110 - 2-D Infinite Solid for the theoretical development of infinite solid elements. The derivation presented in INFIN110 - 2-D Infinite Solid for 2-D can be extended to 3-D in a straightforward manner.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.110. INFIN110 - 2-D Infinite Solid 		Up / Home Next
14.112. Not Documented


14.112. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.111. INFIN111 - 3-D Infinite Solid 		Up / Home Next
14.113. Not Documented


14.113. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.112. Not Documented 		Up / Home Next
14.114. Not Documented


14.114. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.113. Not Documented 		Up / Home Next
14.115. INTER115 - 3-D Magnetic Interface


14.115. INTER115 - 3-D Magnetic Interface

Matrix or Vector | Geometry | Shape Functions | Integration Points
Coefficient Matrix and Load Vector | Quad | (Equation 12–57), (Equation 12–58), (Equation 12–61), and (Equation 12–63) | 2 x 2
Coefficient Matrix and Load Vector | Triangle | (Equation 12–38), (Equation 12–39), (Equation 12–40), and (Equation 12–42) | 1

14.115.1. Element Matrix Derivation

A general 3-D electromagnetics problem is schematically shown in Figure 14.50: "A General Electromagnetics Analysis Field and Its Component Regions". The analysis region of the problem may be divided into three parts. Ω1 is the region of conduction, in which the conductivity, σ, is not zero so that eddy currents may be induced. Ω1 may also be a ferromagnetic region so that the permeability μ is much larger than that of the free space, μo. However, no source currents exist in Ω1. Both Ω2 and Ω3 are regions free of eddy currents. There may be source currents present in these regions. A distinction is made between Ω2 and Ω3 to ensure that the scalar potential region, Ω3, is single-connected and to provide an option to place the source currents in either the vector potential or the scalar potential region. ΓB and ΓH represent boundaries on which fluxes are parallel and normal respectively.

In Ω1, due to the nonzero conductivity and/or high permeability, the magnetic vector potential together with the electric scalar potential are employed to model the influence of eddy currents. In Ω2, only the magnetic vector potential is used. In Ω3, the total magnetic field is composed of a reduced field which is derived from the magnetic reduced scalar potential, φ, and the field, Hs, which is computed using the Biot-Savart law.

Figure 14.50 A General Electromagnetics Analysis Field and Its Component Regions

14.115.2. Formulation

The A, V-A-θ Formulation

The equations relating the various field quantities are constituted by the following subset of Maxwell's equations with the displacement currents neglected.

(14–592)

(14–593)

The constitutive relationships are:

(14–594)

The boundary and interface conditions, respectively, are:

(14–595)

(14–596)

(14–597)

Variables are defined in Section Electromagnetic Field Fundamentals.

By introducing the magnetic vector potential, {A} (AX, AY, AZ), both in Ω1 and Ω2; the electric scalar potential V (VOLT) in Ω1; and the generalized scalar potential φg (MAG) in Ω3, the field quantities can be written in terms of various potentials as:

(14–598)

(14–599)

(14–600)

In order to make the solution of potential {A} unique, the Coulomb gauge condition is applied to define the divergence of {A} in addition to its curl.

Substituting (Equation 14–598) through (Equation 14–600) into the field equations and the boundary conditions (Equation 14–592) through (Equation 14–597) and using the Galerkin form of the method of weighted residual equations, the weak form of the differential equations in terms of the potentials {A}, V and φg can be obtained. Through some algebraic manipulations and by applying the boundary as well as interface conditions, respectively, the finite element equations may be written as:

(14–601)

(14–602)

(14–603)

where:

[NA] = matrix of element shape functions for {A}
{N} = vector of element shape function for both V and φ
v = related to the potential V as:

(14–604)

A number of interface terms arise in the above equations because of the coupling of vector potential and scalar potential formulations across different regions. These are the terms that involve integration over the surface shared by two adjoining subregions and are given as:

(14–605)

(14–606)

(14–607)

where:

Γij = surface at the interface of subregions Ωi and Ωj, respectively.

The term, I3, contributes to the load vector while the terms, I1 and I2, contribute to the coefficient matrix. The asymmetric contributions of I1 and I2 to the coefficient matrix may be made symmetric following the procedure by Emson and Simkin(176). After some algebraic manipulations including applying the Stokes' theorem, we get

(14–608)

(14–609)

(14–610)

It is observed from (Equation 14–608) that the integrals represented by I1 and I2 are symmetric if the condition I22 = 0 is satisfied. The integral given by I22 is evaluated along a closed path lying on the interface. If the interface lies completely inside the region of the problem, the integrals over the internal edges will cancel each other; if the integral path is on a plane of symmetry, the tangential component of {A} will be zero, so the integral will be vanish; and if the integral path is on the part of the boundary where the scalar potential is prescribed, the terms containing N will be omitted and the symmetry of the matrix will be ensured. Therefore, the condition that ensures symmetry can usually be satisfied. Even if, as in some special cases, the condition can not be directly satisfied, the region may be remeshed to make the interface of the vector and scalar potential regions lie completely inside the problem domain. Thus, the symmetry condition can be assumed to hold without any loss of generality.

Replacing the vector and scalar potentials by the shape functions and nodal degrees of freedom as described by (Equation 14–611) through (Equation 14–614),

(14–611)

(14–612)

(14–613)

(14–614)

the above manipulations finally result in the following set of finite element equations:

(14–615)

(14–616)

(14–617)

(14–618)

(Equation 14–615) through (Equation 14–618) represent a symmetric system of equations for the entire problem.

The interface elements couple the vector potential and scalar potential regions, and therefore have AX, AY, AZ and MAG degrees of freedom at each node. The coefficient matrix and the load vector terms in (Equation 14–615) through (Equation 14–618) are computed in the magnetic vector potential elements (SOLID97), the scalar potential elements SOLID96, SOLID98 with KEYOPT(1) = 10, or SOLID5 with KEYOPT(1) = 10) and the interface elements (INTER115). The only terms in these equations that are computed in the interface elements are given by:

Coefficient Matrix:

(14–619)

Load Vector:

(14–620)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.114. Not Documented 		Up / Home Next
14.116. FLUID116 - Coupled Thermal-Fluid Pipe


14.116. FLUID116 - Coupled Thermal-Fluid Pipe

Matrix or Vector | Geometry | Shape Functions | Integration Points
Thermal Conductivity Matrix | Between nodes I and J | (Equation 12–13) | None
 | Convection between nodes I and K and between nodes J and L (optional) | None | None
Pressure Conductivity Matrix | Between nodes I and J | (Equation 12–12) | None
Specific Heat Matrix and Heat Generation Load Vector | (Equation 12–13) |  | None

14.116.1. Assumptions and Restrictions

Transient pressure and compressibility effects are also not included.

14.116.2. Combined Equations

The thermal and pressure aspects of the problem have been combined into one element having two different types of working variables: temperatures and pressures. The equilibrium equations for one element have the form of:

(14–621)

where:

[Ct] = specific heat matrix for one channel
{T} = nodal temperature vector
{P} = nodal pressure vector
[Kt] = thermal conductivity matrix for one channel (includes effects of convection and mass transport)
[Kp] = pressure conductivity matrix for one channel
{Q} = nodal heat flow vector (input as HEAT on F command)
{w} = nodal fluid flow vector (input as FLOW on F command)
{Qg} = internal heat generation vector for one channel
{H} = gravity and pumping effects vector for one channel
Nc = number of parallel flow channels (input as Nc on R command)

14.116.3. Thermal Matrix Definitions

Specific Heat Matrix

The specific heat matrix is a diagonal matrix with each term being the sum of the corresponding row of a consistent specific heat matrix:

(14–622)

where:

ρ = mass density (input as DENS on MP command
P = pressure (average of first two nodes)
Tabs = T + TOFFST = absolute temperature
T = temperature (average of first two nodes)
TOFFST = offset temperature (input on TOFFST command)
Cp = specific heat (input as C on MP command)
A = flow cross-sectional area (input as A on R command)
Lo = length of member (distance between nodes I and J)
Rgas = gas constant (input as Rgas on R command)

Thermal Conductivity Matrix

The thermal conductivity matrix is given by:

(14–623)

where:

Ks = thermal conductivity (input as KXX on MP command)
B2 = h AI
h = film coefficient (defined below)
B3 = h AJ
D = hydraulic diameter (input as D on R command)
w = mass fluid flow rate in the element

w may be determined by the program or may be input by the user:

(14–624)

The above definitions of B4 and B5, as used by (Equation 14–623), cause the energy change due to mass transport to be lumped at the outlet node.

The film coefficient h is defined as:

(14–625)

Nu, the Nusselt number, is defined for KEYOPT(4) = 1 as:

(14–626)

where:

N1 to N4 = input constants (input on R commands)
μ = viscosity (input as VISC on MP command)

A common usage of (Equation 14–626) is the Dittus-Boelter correlation for fully developed turbulent flow in smooth tubes (Holman(55)):

(14–627)

where:

Heat Generation Load Vector

The internal heat generation load vector is due to both average heating effects and viscous damping:

(14–628)

where:

VDF = viscous damping multiplier (input on RMORE command)
Cver = units conversion factor (input on RMORE command)
v = average velocity

The expression for the viscous damping part of Qn is based on fully developed laminar flow.

14.116.4. Fluid Equations

Bernoulli's equation is:

(14–629)

where:

Z = coordinate in the negative acceleration direction
P = pressure
γ = ρg
g = acceleration of gravity
v = velocity
PPMP = pump pressure (input as Pp on R command)
CL = loss coefficient

The loss coefficient is defined as:

(14–630)

where:

a = additional length to account for extra flow losses (input as La on R command)
k = loss coefficient for typical fittings (input as K on R command)
f = Moody friction factor, defined below:

For the first iteration of the first load step,

(14–631)

where:

fm = input as MU on MP command

For all subsequent iterations

(14–632)

The smooth pipe empirical correlation is:

(14–633)

Bernoulli's (Equation 14–629) may be simplified for this element, since the cross-sectional area of the pipe does not change. Therefore, continuity requires all velocities not to vary along the length. Hence v1 = v2 = va, so that Bernoulli's (Equation 14–629) reduces to:

(14–634)

Writing (Equation 14–634) in terms of mass flow rate (w = ρAv), and rearranging terms to match the second half of (Equation 14–621),

(14–635)

Since the pressure drop (PI - PJ) is not linearly related to the flow (w), a nonlinear solution will be required. As the w term may not be squared in the solution, the square root of all terms is taken in a heuristic way:

(14–636)

Defining:

(14–637)

and

(14–638)

(Equation 14–636) reduces to:

(14–639)

Hence, the pressure conductivity matrix is based on the term [image] and the pressure (gravity and pumping) load vector is based on the term Bc PL.

Two further points:

  1. Bc is generalized as:

            (14–640)

  1. (-ZI + ZJ)g is generalized as:

            (14–641)

    where:

    {Δx} = vector from node I to node J
    {at} = translational acceleration vector which includes effects of angular velocities (see Acceleration Effect)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.115. INTER115 - 3-D Magnetic Interface 		Up / Home Next
14.117. SOLID117 - 3-D 20-Node Magnetic Edge


14.117. SOLID117 - 3-D 20-Node Magnetic Edge

Matrix or Vector | Shape Functions | Integration Points
Edge Formulation of Magnetic Vector Potential Coefficient Matrix and Load Vector of Magnetism due to Source Currents, Permanent Magnets, and Applied Currents | (Equation 12–191), (Equation 12–192), and (Equation 12–193) for magnetic vector potential; (Equation 12–255) thru (Equation 12–266) for edge-flux | 2 x 2 x 2
Electric Potential Coefficient Matrix | (Equation 12–247) thru (Equation 12–254) | 2 x 2 x 2
Load Type | Distribution
Current Density, Voltage Load and Phase Angle Distribution | Trilinearly varying over the thru element

References: Biro et al.(120), Gyimesi and Ostergaard(201), Gyimesi and Ostergaard (221), Ostergaard and Gyimesi(222), Ostergaard and Gyimesi(223), Preis et al.(203), Nedelec(204), Kameari(206), Jin(207)

14.117.1. Other Applicable Sections

The following sections describe the theorem of the magnetic edge element using edge flux DOF:

  • Magnetic Vector Potential

  • Edge Flux Degrees of Freedom

  • Harmonic Analysis Using Complex Formalism

  • Magnetic Vector Potential

  • Electromagnetic Edge Elements

  • Integration Point Locations

SOLID117 of the Elements Reference serves as a reference user guide. 3-D Magnetostatics and Fundamentals of Edge-based Analysis, 3-D Harmonic Magnetic Analysis (Edge-Based), and 3-D Transient Magnetic Analysis (Edge-Based) of the Low-Frequency Electromagnetic Analysis Guide describe respectively static, harmonic and transient analyses by magnetic element SOLID117.

14.117.2. Matrix Formulation of Low Frequency Edge Element and Tree Gauging

This low frequency electromagnetic element eliminates the shortcomings of nodal vector potential formulation discussed in Harmonic Analysis Using Complex Formalism. The pertinent shape functions are presented in Electromagnetic Edge Elements.

The column vector of nodal vector potential components in SOLID97 is denoted by {Ae}, that of time integrated scalar potentials by {νe}. (See definitions in Magnetic Vector Potential.) The vector potential, {A}, can be expressed by linear combinations of both corner node vector potential DOFs, {Ae}, as in SOLID97, and side node edge-flux DOFs, {AZ}. For this reason there is a linear relationship between {Ae} and {AZ}.

(14–642)

where:

[TR] = transformation matrix. Relationship (Equation 14–642) allows to compute the stiffness and damping matrices as well as load vectors of SOLID117 in terms of SOLID97.

Substituting (Equation 14–642) into (Equation 5–109) and (Equation 5–110) provides

(14–643)

(14–644)

where:

(Equation 14–643) and (Equation 14–644) need to be properly gauged to obtain uniqueness. For more on this topic see for example Preiss et al.(203). SOLID117 applies a tree gauging algorithm. It considers the relationship between nodes and edges by a topological graph. A fundamental tree of a graph is an assembly of edges constituting a path over which there is one and only one way between different nodes. It can be shown that the edge-flux DOFs over the fundamental tree can be set to zero providing uniqueness without violating generality.

The tree gauging applied is transparent to most users. At the solution phase the extra constraints are automatically supplied over the tree edges on top of the set of constraints provided by users. After equation solution, the extra constraints are removed. This method is good for most of the practical problems. However, expert users may apply their own gauging for specific problems by turning the tree gauging off by the command, GAUGE,OFF.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.116. FLUID116 - Coupled Thermal-Fluid Pipe 		Up / Home Next
14.118. Not Documented


14.118. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.117. SOLID117 - 3-D 20-Node Magnetic Edge 		Up / Home Next
14.119. HF119 - 3-D High-Frequency Magnetic Tetrahedral Solid


14.119. HF119 - 3-D High-Frequency Magnetic Tetrahedral Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness, Mass and Damping Matrices | (Equation 12–161), (Equation 12–162), and (Equation 12–163) | Polynomial variable in order of 1 | Variable
Surface PORT, INF, IMPD, SHLD Load Vectors | (Equation 12–43) and (Equation 12–44) | Polynomial variable in order of 1 | Variable
Load Type | Distribution
Surface Loads | Linear across each face

14.119.1. Other Applicable Sections

Inductance, Flux and Energy Computation by LMATRIX and SENERGY Macros describes the derivation of element matrices and load vectors as well as results evaluations.

14.119.2. Solution Shape Functions - H (curl) Conforming Elements

HF119, along with HF120, uses a set of vector solution functions, which belong to the finite element functional space, H(curl), introduced by Nedelec(158). These vector functions have, among others, a very useful property, i.e., they possess tangential continuity on the boundary between two adjacent elements. This property fits naturally the need of HF119 to solve the electric field E based on the Maxwell's equations, since E is only tangentially continuous across material interfaces.

Similar to HF120 as discussed in Solution Shape Functions - H(curl) Conforming Element, the electric field E is approximated by:

(14–645)

where:

Nv = number of vector functions
Ei = covariant components of E at proper locations (AX DOFs)
Wi = vector shape functions defined in the tetrahedral element

Refer to the tetrahedral element shown at the beginning of this subsection. The geometry of the element is represented by the following mapping:

(14–646)

where:

Nj = nodal shape functions
Lj = volume coordinates
rj = nodal coordinates

Consider the local oblique coordinate system (s, t, r) based on node K. A set of unitary vectors can be defined as:

(14–647)

These defines subsequently the gradients of the four volume coordinates:

(14–648)

The vector shape functions for the first order tetrahedral element can be conveniently defined as

(14–649)

The first order element is often referred to as the Whitney element (Whitney(208)).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.118. Not Documented 		Up / Home Next
14.120. HF120 - High-Frequency Magnetic Brick Solid


14.120. HF120 - High-Frequency Magnetic Brick Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness, Mass and Damping Matrices | Brick, (Equation 12–206), (Equation 12–207), and (Equation 12–208) | Polynomial variable in order from 1 to 2 | Variable
 | Wedge, (Equation 12–183), (Equation 12–184), and (Equation 12–185) | Polynomial variable in order from 1 to 2 | Variable
Surface PORT, INF, IMPD, SHLD Load Vectors | Quad, (Equation 12–66) and (Equation 12–67) | Polynomial variable in order from 1 to 2 | Variable
 | Triangle, (Equation 12–43) and (Equation 12–44) | Polynomial variable in order from 1 to 2 | Variable
Load Type | Distribution
Surface Loads | Bilinear across each face

14.120.1. Other Applicable Sections

Inductance, Flux and Energy Computation by LMATRIX and SENERGY Macros describes the derivation of element matrices and load vectors as well as result evaluations.

14.120.2. Solution Shape Functions - H(curl) Conforming Element

HF120 uses a set of vector solution functions, which belong to the finite element functional space, H(curl), introduced by Nedelec(158). These vector functions have, among others, a very useful property, i.e., they possess tangential continuity on the boundary between two adjacent elements. This property fits naturally the need of HF120 to solve the electric field E based on the Maxwell's equations, since E is only tangentially continuous across material interfaces.

The electric field E is approximated by:

(14–650)

where:

Nv = number of vector shape functions
Wi = vector shape functions defined in the brick element
Ei = covariant components of E

In the following, three aspects in (Equation 14–650) are explained, i.e., how to define the Wi functions, how to choose the number of functions Nv, and what are the physical meanings of the associated expansion coefficients Ei. Recall that coefficients Ei are represented by the AX degrees of freedom (DOF) in HF120.

To proceed, a few geometric definitions associated with an oblique coordinate system are necessary. Refer to the brick element shown at the beginning of this subsection. The geometry of the element is determined by the following mapping:

(14–651)

where:

Ni = standard isoparametric shape functions

Based on the mapping, a set of unitary basis vectors can be defined (Stratton(209)):

(14–652)

These are simply tangent vectors in the local oblique coordinate system (s, t, r). Alternatively, a set of reciprocal unitary basis vectors can also be defined:

(14–653)

A vector F may be represented using either set of basis vectors:

(14–654)

where:

fj = covariant components
fi = contravariant components.

Given the covariant components of a vector F, its curl is found to be

(14–655)

Having introduced the above geometric concepts, appropriate vector shape functions for the brick element are defined next. For the first order element (KEYOPT(1) = 1), there is one function associated with each edge:

(14–656)

where:

φi = scalar functions.

Therefore, Nv = 12.

Now consider the second order brick (KEYOPT(1) = 2). There are two functions defined for each edge. For example for node Q:

(14–657)

In addition, there are two functions defined associated with each face of the brick. For example, for the face MNOP (r = 1):

(14–658)

The total number of functions are Nv = 36.

Since each vector functions Wi has only one covariant component, it becomes clear that each expansion coefficients Ei in (1), i.e., the AX DOF, represents a covariant component of the electric field E at a proper location, aside from a scale factor that may apply. The curl of E can be readily computed by using (Equation 14–655).

Similarly, we can define vector shape functions for the wedge shape by combining functions from the brick and tetrahedral shapes. See HF119 - 3-D High-Frequency Magnetic Tetrahedral Solid for tetrahedral functions.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.119. HF119 - 3-D High-Frequency Magnetic Tetrahedral Solid 		Up / Home Next
14.121. PLANE121 - 2-D 8-Node Electrostatic Solid


14.121. PLANE121 - 2-D 8-Node Electrostatic Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Dielectric Permittivity and Electrical Conductivity Coefficient Matrices, Charge Density Load Vector | Quad | (Equation 12–119) | 3 x 3
 | Triangle | (Equation 12–99) | 3
Surface Charge Density and Load Vector | Same as coefficient matrix, specialized to the face |  | 2

14.121.1. Other Applicable Sections

"Electromagnetics" describes the derivation of the electrostatic element matrices and load vectors as well as electric field evaluations.

14.121.2. Assumptions and Restrictions

A dropped midside node implies that the edge is straight and that the potential varies linearly along that edge.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.120. HF120 - High-Frequency Magnetic Brick Solid 		Up / Home Next
14.122. SOLID122 - 3-D 20-Node Electrostatic Solid


14.122. SOLID122 - 3-D 20-Node Electrostatic Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Dielectric Permittivity and Electrical Conductivity Coefficient Matrices, Charge Density Load Vector | Brick | (Equation 12–210) | 14
 | Wedge | (Equation 12–187) | 3 x 3
 | Pyramid | (Equation 12–172) | 8
 | Tet | (Equation 12–165) | 4
Surface Charge Density Load Vector | Quad | (Equation 12–71) | 3 x 3
 | Triangle | (Equation 12–47) | 6

14.122.1. Other Applicable Sections

"Electromagnetics" describes the derivation of electrostatic element matrices and load vectors as well as electric field evaluations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.121. PLANE121 - 2-D 8-Node Electrostatic Solid 		Up / Home Next
14.123. SOLID123 - 3-D 10-Node Tetrahedral Electrostatic Solid


14.123. SOLID123 - 3-D 10-Node Tetrahedral Electrostatic Solid

Matrix or Vector | Shape Functions | Integration Points
Dielectric Permittivity and Electrical Conductivity Coefficient Matrices, Charge Density Load Vector | (Equation 12–165) | 4
Charge Density Surface Load Vector | (Equation 12–165) specialized to the face | 6

14.123.1. Other Applicable Sections

"Electromagnetics" describes the derivation of electrostatic element matrices and load vectors as well as electric field evaluations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.122. SOLID122 - 3-D 20-Node Electrostatic Solid 		Up / Home Next
14.124. CIRCU124 - Electric Circuit


14.124. CIRCU124 - Electric Circuit

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix | None (lumped) | None
Damping Matrix | None (lumped, harmonic analysis only) | None
Load Vector | None (lumped) | None

14.124.1. Electric Circuit Elements

CIRCU124 contains 13 linear electric circuit element options. These may be classified into two groups:

  1. Independent Circuit Element options, defined by 2 or 3 nodes:

    Resistor (KEYOPT(1) = 0)

    Inductor (KEYOPT(1) = 1)

    Capacitor (KEYOPT(1) = 2)

    Current Source (KEYOPT(1) = 3)

    Voltage Source (KEYOPT(1) = 4)

  2. Dependent Circuit Element options, defined by 3, 4, 5, or 6 nodes:

    Stranded coil current source (KEYOPT(1) = 5)

    2-D massive conductor voltage source (KEYOPT(1) = 6)

    3-D massive conductor voltage source (KEYOPT(1) = 7)

    Mutual inductor (KEYOPT(1) = 8)

    Voltage-controlled current source (KEYOPT(1) = 9)

    Voltage-controlled voltage source (KEYOPT(1) = 10)

    Current-controlled voltage source (KEYOPT(1) = 11)

    Current-controlled current source (KEYOPT(1) = 12)

14.124.2. Electric Circuit Element Matrices

All circuit options in CIRCU124 are based on Kirchhoff's Current Law. These options use stiffness matrices based on a simple lumped circuit model.

For transient analysis, an inductor with nodes I and J can be presented by:

(14–659)

where:

L = inductance
VI = voltage at node I
VJ = voltage at node J
Δt = time increment
θ = time integration parameter
n = time step n

A capacitor with nodes I and J is represented by:

(14–660)

where:

C = capacitance

Similarly, a mutual inductor with nodes I, J, K and L has the following matrix:

(14–661)

where:

L1 = input side inductance
L2 = output side inductance
M = mutual inductance

For harmonic analysis, the above three circuit element options have only a damping matrix. For an inductor:

(14–662)

for a capacitor:

(14–663)

and for a mutual inductor:

(14–664)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.123. SOLID123 - 3-D 10-Node Tetrahedral Electrostatic Solid 		Up / Home Next
14.125. CIRCU125 - Diode


14.125. CIRCU125 - Diode

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix | None (lumped) | None
Damping Matrix | None | None
Load Vector | None (lumped) | None

14.125.1. Diode Elements

CIRCU125 has two highly nonlinear electric circuit element options:

  • Common Diode (KEYOPT(1) = 0)

  • Zener Diode (KEYOPT(1) = 1)

The I-V characteristics of common and Zener Diodes are plotted in Figure 14.51: "I-V (Current-Voltage) Characteristics of CIRCU125".

As can be seen, the characteristics of the diodes are approximated by a piece-wise linear curve. The common diode has two sections corresponding to open and close states. The Zener diode has three sections corresponding to open, block, and Zener states. The parameters of the piece-wise linear curves are described by real constants depending on KEYOPT(1) selection.

Figure 14.51 I-V (Current-Voltage) Characteristics of CIRCU125

14.125.2. Norton Equivalents

The behavior of a diode in a given state is described by the Norton equivalent circuit representation (see Figure 14.52: "Norton Current Definition").

The Norton equivalent conductance, G, is the derivative (steepness) of the I-V curve to a pertinent diode state. The Norton equivalent current generator, I, is the current where the extension of the linear section of the I-V curve intersects the I-axis.

Figure 14.52 Norton Current Definition

14.125.3. Element Matrix and Load Vector

The element matrix and load vectors are obtained by using the nodal potential formulation, a circuit analysis technique which suits perfectly for coupling lumped circuit elements to distributed finite element models.

The stiffness matrix is:

(14–665)

The load vector is:

(14–666)

where:

G and I = Norton equivalents of the diode in the pertinent state of operation.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.124. CIRCU124 - Electric Circuit 		Up / Home Next
14.126. TRANS126 - Electromechanical Transducer


14.126. TRANS126 - Electromechanical Transducer

The line electromechanical transducer element, TRANS126, realizes strong coupling between distributed and lumped mechanical and electrostatic systems. For details about its theory see Gyimesi and Ostergaard(248). For more general geometries and selection between various transducers, see TRANS109 - 2-D Electromechanical Transducer and Review of Coupled Electromechanical Methods. TRANS126 is especially suitable for the analysis of Micro Electromechanical Systems (MEMS): accelerometers, pressure sensors, micro actuators, gyroscopes, torsional actuators, filters, HF switches, etc.

Figure 14.53 Electromechanical Transducer

See, for example, Figure 14.53: "Electromechanical Transducer" with a damped spring mass resonator driven by a parallel plate capacitor fed by a voltage generator constituting an electromechanical system. The left side shows the physical layout of the transducer connected to the mechanical system, the right side shows the equivalent electromechanical transducer element connected to the mechanical system.

TRANS126 is a 2 node element each node having a structural (UX, UY or UZ) and an electrical (VOLT) DOFs. The force between the plates is attractive:

(14–667)

where:

F = force
C = capacitance
x = gap size
V = voltage between capacitor electrodes

The capacitance can be obtained by using the CMATRIX macro for which the theory is given in Capacitance Computation.

The current is

(14–668)

where:

I = current
t = time

The first term is the usual capacitive current due to voltage change; the second term is the motion induced current.

For small signal analysis:

(14–669)

(14–670)

where:

F0 = force at the operating point
I0 = current at the operating point
[D] = linearized damping matrices
[K] = linearized stiffness matrices
Δx = gap change between the operating point and the actual solution
ΔV = voltage change between the operating point and the actual solution

The stiffness and damping matrices characterize the transducer for small signal prestressed harmonic, modal and transient analyses.

For large signal static and transient analyses, the Newton-Raphson algorithm is applied with F0 and I0 constituting the Newton-Raphson restoring force and [K] and [D] the tangent stiffness and damping matrices.

(14–671)

where:

Kxx = electrostatic stiffness (output as ESTIF)
F = electrostatic force between capacitor plates
V = voltage between capacitor electrodes
C'' = second derivative of capacitance with respect to gap displacement

(14–672)

where:

Kvv = motion conductivity (output as CONDUCT)
I = current
C' = first derivative of capacitance with respect to gap displacement
v = velocity of gap opening

Definitions of additional post items for the electromechanical transducer are as follows:

(14–673)

where:

Pm = mechanical power (output as MECHPOWER)
F = force between capacitor plates
v = velocity of gap opening

(14–674)

where:

Pe = electrical power (output as ELECPOWER)
V = voltage between capacitor electrodes
I = current

(14–675)

where:

Wc = electrostatic energy of capacitor (output as CENERGY)
V = voltage between capacitor electrodes
C = capacitance

(14–676)

where:

F = electrostatic force between capacitor plates (output as EFORCE)
C = capacitance
x = gap size
V = voltage between capacitor electrodes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.125. CIRCU125 - Diode 		Up / Home Next
14.127. SOLID127 - 3-D Tetrahedral Electrostatic Solid p-Element


14.127. SOLID127 - 3-D Tetrahedral Electrostatic Solid p-Element

Matrix or Vector | Geometric Shape Functions | Shape Functions | Integration Points
Coefficient Matrix and Charge Density Load Vector | (Equation 12–161), (Equation 12–162), and (Equation 12–163) | Polynomial variable in order from 2 to 8 | Variable
Surface Charge Density Load Vector | Same as coefficient matrix specialized to face | Polynomial variable in order from 2 to 8 | Variable

14.127.1. Other Applicable Sections

"Electromagnetics" describes the derivation of electrostatic element matrices and load vectors as well as electric field evaluations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.126. TRANS126 - Electromechanical Transducer 		Up / Home Next
14.128. SOLID128 - 3-D Brick Electrostatic Solid p-Element


14.128. SOLID128 - 3-D Brick Electrostatic Solid p-Element

Matrix or Vector | Geometry | Shape Functions | Integration Points
Coefficient Matrix and Charge Density Load Vector | Brick, (Equation 12–206), (Equation 12–207), and (Equation 12–208) | Polynomial variable in order from 2 to 8 | Variable
 | Wedge, (Equation 12–183), (Equation 12–184), and (Equation 12–185) | Polynomial variable in order from 2 to 8 | Variable
Surface Charge Density Load Vector | Quad, (Equation 12–66) and (Equation 12–67) | Polynomial variable in order from 2 to 8 | Variable
 | Triangle, (Equation 12–43) and (Equation 12–44) | Polynomial variable in order from 2 to 8 | Variable

14.128.1. Other Applicable Sections

"Electromagnetics" describes the derivation of electrostatic element matrices and load vectors as well as electric field evaluations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.127. SOLID127 - 3-D Tetrahedral Electrostatic Solid p-Element 		Up / Home Next
14.129. FLUID129 - 2-D Infinite Acoustic


14.129. FLUID129 - 2-D Infinite Acoustic

Matrix or Vector | Shape Functions | Integration Points
Fluid Stiffness and Damping Matrices | (Equation 12–12) | 2

14.129.1. Other Applicable Sections

The mathematical formulation and finite element discretization are presented in FLUID130 - 3-D Infinite Acoustic.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.128. SOLID128 - 3-D Brick Electrostatic Solid p-Element 		Up / Home Next
14.130. FLUID130 - 3-D Infinite Acoustic


14.130. FLUID130 - 3-D Infinite Acoustic

Matrix or Vector | Shape Functions | Integration Points
Fluid Stiffness and Damping Matrices | (Equation 12–107) | 2 x 2

14.130.1. Mathematical Formulation and F.E. Discretization

The exterior structural acoustics problem typically involves a structure submerged in an infinite, homogeneous, inviscid fluid. The fluid is considered linear, meaning that there is a linear relationship between pressure fluctuations and changes in density. (Equation 14–677) is the linearized, lossless wave equation for the propagation of sound in fluids.

(14–677)

where:

P = pressure
c = speed of sound in the fluid (input as SONC on MP command)
= second derivative of pressure with respect to time
Ω+ = unbounded region occupied by the fluid

In addition to (Equation 14–677)), the following Sommerfeld radiation condition (which simply states that the waves generated within the fluid are outgoing) needs to be satisfied at infinity:

(14–678)

where:

r = distance from the origin
Pr = pressure derivative along the radial direction
d = dimensionality of the problem (i.e., d =3 or d =2 if Ω+ is 3-D or 2-D respectively

A primary difficulty associated with the use of finite elements for the modeling of the infinite medium stems precisely from the need to satisfy the Sommerfeld radiation condition, (Equation 14–678). A typical approach for tackling the difficulty consists of truncating the unbounded domain Ω+ by the introduction of an absorbing (artificial) boundary Γa at some distance from the structure.

Figure 14.54 Absorbing Boundary

The equation of motion (Equation 14–677) is then solved in the annular region Ωf which is bounded by the fluid-structure interface Γ and the absorbing boundary Γa. In order, however, for the resulting problem in Ωf to be well-posed, an appropriate condition needs to be specified on Γa. Towards this end, the following second-order conditions are used (Kallivokas et al.(218)) on Γa:

In two dimensions:

(14–679)

where:

n = outward normal to Γa
Pn = pressure derivative in the normal direction
Pλλ = pressure derivative along Γa
k = curvature of Γa
γ = stability parameter

In three dimensions:

(14–680)

where:

n = outward normal
u and v = orthogonal curvilinear surface coordinates (e.g., the meridional and polar angles in spherical coordinates)
Pu, Pv = pressure derivatives in the Γa surface directions
H and K = mean and Gaussian curvature, respectively
E and G = usual coefficients of the first fundamental form

14.130.2. Finite Element Discretization

Following a Galerkin based procedure, (Equation 14–677) is multiplied by a virtual quantity δP and integrated over the annular domain Ωf. By using the divergence theorem on the resulting equation it can be shown that:

(14–681)

Upon discretization of (Equation 14–681), the first term on the left hand side will yield the mass matrix of the fluid while the second term will yield the stiffness matrix.

Next, the following finite element approximations for quantities on the absorbing boundary Γa placed at a radius R and their virtual counterparts are introduced:

(14–682)

(14–683)

where:

N1, N2, N3 = vectors of shape functions ( = {N1}, {N2}, {N3})
P, q(1), q(2) = unknown nodal values (P is output as degree of freedom PRES. q(1) and q(2) are solved for but not output).

Furthermore, the shape functions in (Equation 14–682) and (Equation 14–683) are set to:

(14–684)

The element stiffness and damping matrices reduce to:

For two dimensional case:

(14–685)

(14–686)

where:

dλe = arc-length differential

These matrices are 6 x 6 in size, having 2 nodes per element with 3 degrees of freedom per node (P, q(1), q(2)).

For three dimensional case:

(14–687)

(14–688)

where:

dAe = area differential

These matrices are 8 x 8 in size, having 4 nodes per element with 2 degrees of freedom per node (P, q) (Barry et al.(217)).

For axisymmetric case:

(14–689)

(14–690)

where:

x = radius

These matrices are 4 x 4 in size having 2 nodes per element with 2 degrees of freedom per node (P, q).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.129. FLUID129 - 2-D Infinite Acoustic 		Up / Home Next
14.131. SHELL131 - 4-Node Layered Thermal Shell


14.131. SHELL131 - 4-Node Layered Thermal Shell

Matrix or Vector | Geometry | Layer Shape Functions | Layer Integration Points
Conductivity Matrix, Heat Generation Load Vector, and Convection Surface Matrix and Load Vector | 3 unknowns per node per layer (KEYOPT(3) = 0) | In-Plane: (Equation 12–61) | In-Plane: 2 x 2
 |  | Thru Thickness: (Equation 12–25) | Thru Thickness: 2
 | 2 unknowns per node per layer (KEYOPT(3) = 1) | In-Plane: (Equation 12–61) | In-Plane: 2 x 2
 |  | Thru Thickness: (Equation 12–13) | Thru Thickness: 1
 | 1 unknown per node per layer (KEYOPT(3) = 2) | In-Plane: (Equation 12–61) | In-Plane: 2 x 2
 |  | Thru Thickness: Constant | Thru Thickness: 1
Specific Heat Matrix | Same as conductivity matrix. Matrix is diagonalized as described in Lumped Matrices |  | Same as conductivity matrix

14.131.1. Other Applicable Sections

"Heat Flow" describes the derivation of the thermal element matrices and load vectors as well as heat flux evaluations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.130. FLUID130 - 3-D Infinite Acoustic 		Up / Home Next
14.132. SHELL132 - 8-Node Layered Thermal Shell


14.132. SHELL132 - 8-Node Layered Thermal Shell

Matrix or Vector | Geometry | Layer Shape Functions |  | Layer Integration Points
Conductivity Matrix, Heat Generation Load Vector, Specific Heat Matrix and Convection Surface Matrix and Load Vector | 3 unknowns per node per layer (KEYOPT(3) = 0) | In-Plane | (Equation 12–70) | Quad: 3 x 3 Triangle: 3
 |  | Thru Thickness | (Equation 12–25) | 2
 | 2 unknowns per node per layer (KEYOPT(3) = 1) | In-Plane | (Equation 12–70) | Quad: 3 x 3 Triangle: 3
 |  | Thru Thickness | (Equation 12–13) | 1
 | 1 unknown per node per layer (KEYOPT(3) = 2) | In-Plane | (Equation 12–70) | Quad: 3 x 3 Triangle: 3
 |  | Thru Thickness | Constant | 1

14.132.1. Other Applicable Sections

"Heat Flow" describes the derivation of the thermal element matrices and load vectors as well as heat flux evaluations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.131. SHELL131 - 4-Node Layered Thermal Shell 		Up / Home Next
14.133. Not Documented


14.133. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.132. SHELL132 - 8-Node Layered Thermal Shell 		Up / Home Next
14.134. Not Documented


14.134. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.133. Not Documented 		Up / Home Next
14.135. Not Documented


14.135. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.134. Not Documented 		Up / Home Next
14.136. FLUID136 - 3-D Squeeze Film Fluid Element


14.136. FLUID136 - 3-D Squeeze Film Fluid Element

Matrix or Vector | Geometry | Shape Functions | Integration Points
Conductivity Matrix and Velocity Load Vector | Quad, if KEYOPT(2) = 0 | (Equation 12–60) | 2 x 2 (4-node)
 | Quad, if KEYOPT(2) = 1 | (Equation 12–88) | 3 x 3 (8-node)
Damping Matrix | Same as conductivity matrix. If KEYOPT(1) = 1, matrix is diagonalized as described in Lumped Matrices |  | Same as conductivity matrix

14.136.1. Other Applicable Sections

Squeeze Film Theory describes the governing squeeze film equations used as a basis for forming the element matrices.

14.136.2. Assumptions and Restrictions

A dropped midside node implies that the edge is straight and that the pressure varies linearly along that edge.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.135. Not Documented 		Up / Home Next
14.137. Not Documented


14.137. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.136. FLUID136 - 3-D Squeeze Film Fluid Element 		Up / Home Next
14.138. FLUID138 - 3-D Viscous Fluid Link Element


14.138. FLUID138 - 3-D Viscous Fluid Link Element

Matrix or Vector | Shape Functions | Integration Points
Pressure and Damping Matrices | (Equation 12–12) | None

14.138.1. Other Applicable Sections

Squeeze Film Theory describes the governing squeeze film equations used as a basis for forming the element matrices.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.137. Not Documented 		Up / Home Next
14.139. FLUID139 - 3-D Slide Film Fluid Element


14.139. FLUID139 - 3-D Slide Film Fluid Element

Matrix or Vector | Shape Functions | Integration Points
Fluid, Stiffness, Mass, and Damping Matrices | Analytical Formula | None

14.139.1. Other Applicable Sections

Slide Film Theory describes the governing slide film equations used as a basis for forming the element matrices.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.138. FLUID138 - 3-D Viscous Fluid Link Element 		Up / Home Next
14.140. Not Documented


14.140. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.139. FLUID139 - 3-D Slide Film Fluid Element 		Up / Home Next
14.141. FLUID141 - 2-D Fluid-Thermal


14.141. FLUID141 - 2-D Fluid-Thermal

Matrix or Vector | Geometry | Shape Functions | Integration Points
Advection-Diffusion Matrices for Momentum Equations (X, Y and Z) | Quad | (Equation 12–104), (Equation 12–105), and (Equation 12–106) | if 2-D 1 (default) or 2 x 2; if axisymmetric 1 or 2 x 2 (default) (adjustable with the FLDATA,QUAD,MOMD command)
 | Triangle | (Equation 12–104), (Equation 12–105), and (Equation 12–106) | 1
Advection-Diffusion Matrix for Pressure | Quad | (Equation 12–107) | Same as for momentum equation, but adjustable (with the FLDATA,QUAD,PRSD command)
 | Triangle | (Equation 12–107)
Advection-Diffusion Matrix for Energy (Temperature) | Quad | (Equation 12–108) | Same as for momentum, equations but adjustable (with the FLDATA,QUAD,THRD command)
 | Triangle | (Equation 12–108)
Advection-Diffusion Matrices for Turbulent Kinetic Energy and Dissipation Rate | Quad | (Equation 12–110) and (Equation 12–111) | Same as for momentum, equations but adjustable (with the FLDATA,QUAD,TRBD command)
 | Triangle | (Equation 12–110) and (Equation 12–111)
Momentum Equation Source Vector | Same as momentum equation matrix |  | Same as momentum equations, but adjustable (with the FLDATA,QUAD,MOMS command)
Pressure Equation Source Vector | Same as pressure matrix |  | Same as pressure equations, but adjustable (with the FLDATA,QUAD,PRSS command)
Heat Generation Vector | Same as temperature matrix |  | Same as temperature equations, but adjustable (with the FLDATA,QUAD,THRS command)
Turbulent Kinetic Energy and Dissipation Rate Source Term Vectors | Same as kinetic energy and dissipation rate matrices |  | Same as kinetic energy and dissipation rate equations, but adjustable (with the FLDATA,QUAD,TRBS command)
Distributed Resistance Source Term Vector | Same as momentum equation matrix |  | 1
Convection Surface Matrix and Load Vector and Heat Flux Load Vector | One-half of the element face length times the heat flow rate is applied at each edge node |  | None

14.141.1. Other Applicable Sections

"Fluid Flow" describes the derivation of the applicable matrices, vectors, and output quantities. "Heat Flow" describes the derivation of the heat transfer logic, including the film coefficient treatment.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.140. Not Documented 		Up / Home Next
14.142. FLUID142 - 3-D Fluid-Thermal


14.142. FLUID142 - 3-D Fluid-Thermal

Matrix or Vector | Geometry | Shape Functions | Integration Points
Advection-Diffusion Matrix for Momentum Equations (X, Y and Z) | Brick, Pyramid, and Wedge | (Equation 12–194), (Equation 12–195), and (Equation 12–196) | 1 (default) or 2 x 2 x 2 (adjustable with the FLDATA,QUAD,MOMD command)
 | Tet | (Equation 12–194), (Equation 12–195), and (Equation 12–196) | 1
Advection-Diffusion Matrix for Pressure | Brick, Pyramid, and Wedge | (Equation 12–197) | Same as for equation momentum, but adjustable (with the FLDATA,QUAD,PRSD command)
 | Tet | (Equation 12–197) | 1
Advection-Diffusion Matrix for Energy (Temperature) | Brick, Pyramid, and Wedge | (Equation 12–198) | Same as for momentum, equations but adjustable (with the FLDATA,QUAD,THRD command)
 | Tet | (Equation 12–198) | 1
Advection-Diffusion Matrices for Turbulent Kinetic Energy and Dissipation Rate | Brick, Pyramid, and Wedge | (Equation 12–201) and (Equation 12–202) | Same as for momentum, equations but adjustable (with the FLDATA,QUAD,TRBD command)
 | Tet | (Equation 12–201) and (Equation 12–202) | 1
Momentum Equation Source Vector | Brick, Pyramid, and Wedge | (Equation 12–194), (Equation 12–195), and (Equation 12–196) | 1 (default) or 2 x 2 x 2 but adjustable (with the FLDATA,QUAD,MOMS command)
 | Tet | (Equation 12–194), (Equation 12–195), and (Equation 12–196) | 1
Pressure Equation Source Vector | Brick, Pyramid, and Wedge | (Equation 12–197) | Same as for equation momentum, but adjustable (with the FLDATA,QUAD,PRSS command)
 | Tet | (Equation 12–197) | 1
Heat Generation Vector | Brick, Pyramid, and Wedge | (Equation 12–198) | Same as for momentum, equations but adjustable (with the FLDATA,QUAD,THRS command)
 | Tet | (Equation 12–198) | 1
Turbulent Kinetic Energy and Dissipation Rate Source Term Vectors | Brick, Pyramid, and Wedge | (Equation 12–201) and (Equation 12–202) | Same as for momentum, equations but adjustable (with the FLDATA,QUAD,TRBS command)
 | Tet | (Equation 12–201) and (Equation 12–202) | 1
Distributed Resistance Source Term Vector | Same as momentum equation source vector |  | Same as momentum equation source vector
Convection Surface Matrix and Load Vector and Heat Flux Load Vector | Brick, Pyramid, and Wedge | One-fourth of the element surface area times the heat flow rate is applied at each face node | None
 | Tet | One-third of the element surface area times the heat flow rate is applied at each face node

14.142.1. Other Applicable Sections

"Fluid Flow" describes the derivation of the applicable matrices, vectors, and output quantities. "Heat Flow" describes the derivation of the heat transfer logic, including the film coefficient treatment.

14.142.2. Distributed Resistance Main Diagonal Modification

Suppose the matrix equation representation for the momentum equation in the X direction written without distributed resistance may be represented by the expression:

(14–691)

The source terms for the distributed resistances are summed:

(14–692)

where:

DRx = distributed resistance in the x direction
Kx = loss coefficient in the X direction
ρ = density
fx = friction factor for the X direction
μ = viscosity
Cx = permeability in the X direction
| V | = velocity magnitude
Dhx = hydraulic diameter in the X direction

Consider the ith node algebraic equation. The main diagonal of the A matrix and the source terms are modified as follows:

(14–693)

(14–694)

14.142.3. Turbulent Kinetic Energy Source Term Linearization

The source terms are modified for the turbulent kinetic energy k and the turbulent kinetic energy dissipation rate ε to prevent negative values of kinetic energy.

The source terms for the kinetic energy combine as follows:

(14–695)

where the velocity spatial derivatives are written in index notation and μt is the turbulent viscosity:

(14–696)

where:

ρ = density
Cμ = constant

The source term may thus be rewritten:

(14–697)

A truncated Taylor series expansion of the kinetic energy term around the previous (old) value is expressed:

(14–698)

The partial derivative of the source term with respect to the kinetic energy is:

(14–699)

The source term is thus expressed

(14–700)

The first two terms are the source term, and the final term is moved to the coefficient matrix. Denote by Ak the coefficient matrix of the turbulent kinetic energy equation before the linearization. The main diagonal of the ith row of the equation becomes:

(14–701)

and the source term is:

(14–702)

14.142.4. Turbulent Kinetic Energy Dissipation Rate

Source Term Linearization

The source term for the dissipation rate is handled in a similar fashion.

(14–703)

Replace ε using the expression for the turbulent viscosity to yield

(14–704)

A truncated Taylor series expansion of the dissipation source term around the previous (old) value is expressed

(14–705)

The partial derivative of the dissipation rate source term with respect to ε is:

(14–706)

The dissipation source term is thus expressed

(14–707)

The first two terms are the source term, and the final term is moved to the coefficient matrix. Denote by Aε the coefficient matrix of the turbulent kinetic energy dissipation rate equation before the linearization. The main diagonal of the ith row of the equation becomes:

(14–708)

and the source term is:

(14–709)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.141. FLUID141 - 2-D Fluid-Thermal 		Up / Home Next
14.143. Not Documented


14.143. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.142. FLUID142 - 3-D Fluid-Thermal 		Up / Home Next
14.144. ROM144 - Reduced Order Electrostatic-Structural


14.144. ROM144 - Reduced Order Electrostatic-Structural

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix | None (lumped) | None
Damping Matrix | None (lumped) | None
Mass Matrix | None (lumped) | None
Load Vector | None (lumped) | None

ROM144 represents a reduced order model of distributed electostatic-structural systems. The element is derived from a series of uncoupled static FEM analyses using electrostatic and structural elements (Reduced Order Modeling of Coupled Domains). The element fully couples the electrostatic-structural domains and is suitable for simulating the electromechanical response of micro-electromechanical systems (MEMS) such as clamped beams, micromirror actuators, and RF switches.

ROM144 is defined by either 20 (KEYOPT(1) = 0) or 30 nodes (KEYOPT(1) = 1). The first 10 nodes are associated with modal amplitudes, and represented by the EMF DOF labels. Nodes 11 to 20 have electric potential (VOLT) DOFs, of which only the first five are used. The last 10 optional nodes (21 to 30) have structural (UX) DOF to represent master node displacements in the operating direction of the device. For each master node, ROM144 internally uses additional structural DOFs (UY) to account for Lagrange multipliers used to represent internal nodal forces.

14.144.1. Element Matrices and Load Vectors

The FE equations of the 20-node option of ROM144 are derived from the system of governing equations of a coupled electrostatic-structural system in modal coordinates ((Equation 15–138) and (Equation 15–139))

(14–710)

where:

K = stiffness matrix
D = damping matrix
M = mass matrix
F = force
I = electric current

The system of (Equation 14–710) is similar to that of the TRANS126 - Electromechanical Transducer element with the difference that the structural DOFs are generalized coordinates (modal amplitudes) and the electrical DOFs are the electrode voltages of the multiple conductors of the electromechanical device.

The contribution to the ROM144 FE matrices and load vectors from the electrostatic domain is calculated based on the electrostatic co-energy Wel (Reduced Order Modeling of Coupled Domains).

The electrostatic forces are the first derivative of the co-energy with respect to the modal coordinates:

(14–711)

where:

Fk = electrostatic force
Wel = co-energy
qk = modal coordinate
k = index of modal coordinate

Electrode charges are the first derivatives of the co-energy with respect to the conductor voltage:

(14–712)

where:

Qi = electrode charge
Vi = conductor voltage
i = index of conductor

The corresponding electrode current Ii is calculated as a time-derivative of the electrode charge Qi. Both, electrostatic forces and the electrode currents are stored in the Newton-Raphson restoring force vector.

The stiffness matrix terms for the electrostatic domain are computed as follows:

(14–713)

(14–714)

(14–715)

(14–716)

where:

l = index of modal coordinate
j = index of conductor

The damping matrix terms for the electrostatic domain are calculated as follows:

(14–717)

(14–718)

(14–719)

There is no contribution to the mass matrix from the electrostatic domain.

The contribution to the FE matrices and load vectors from the structural domain is calculated based on the strain energy WSENE (Reduced Order Modeling of Coupled Domains). The Newton-Raphson restoring force F, stiffness K, mass M, and damping matrix D are computed according to (Equation 14–720) to (Equation 14–723).

(14–720)

(14–721)

(14–722)

(14–723)

where:

i, j = indices of modal coordinates
ωi = angular frequency of ith eigenmode
ξi = modal damping factor (input as Damp on the RMMRANGE command

14.144.2. Combination of Modal Coordinates and Nodal Displacement at Master Nodes

For the 30-node option of ROM144, it is necessary to establish a self-consistent description of both modal coordinates and nodal displacements at master nodes (defined on the RMASTER command defining the generation pass) in order to connect ROM144 to other structural elements UX DOF or to apply nonzero structural displacement constraints or forces.

Modal coordinates qi describe the amplitude of a global deflection state that affects the entire structure. On the other hand, a nodal displacement ui is related to a special point of the structure and represents the true local deflection state.

Both modal and nodal descriptions can be transformed into each other. The relationship between modal coordinates qj and nodal displacements ui is given by:

(14–724)

where:

φij = jth eigenmode shape at node i
m = number of eigenmodes considered

Similarly, nodal forces Fi can be transformed into modal forces fj by:

(14–725)

where:

n = number of master nodes

Both the displacement boundary conditions at master nodes ui and attached elements create internal nodal forces Fi in the operating direction. The latter are additional unknowns in the total equation system, and can be viewed as Lagrange multipliers λi mapped to the UY DOF. Hence each master UX DOF requires two equations in the system FE equations in order to obtain a unique solution. This is illustrated on the example of a FE equation (stiffness matrix only) with 3 modal amplitude DOFs (q1, q2, q3), 2 conductors (V1, V2), and 2 master UX DOFs (u1, u2):

(14–726)

Rows 6 and 7 of (Equation 14–726) correspond to the modal and nodal displacement relationship of (Equation 14–724), while column 6 and 7 - to nodal and modal force relationship ((Equation 14–725)). Rows and columns (8) and (9) correspond to the force-displacement relationship for the UX DOF at master nodes:

(14–727)

(14–728)

where [image] is set to zero by the ROM144 element. These matrix coefficients represent the stiffness caused by other elements attached to the master node UX DOF of ROM144.

14.144.3. Element Loads

In the generation pass of the ROM tool, the ith mode contribution factors [image] for each element load case j (Reduced Order Modeling of Coupled Domains) are calculated and stored in the ROM database file. In the Use Pass, the element loads can be scaled and superimposed in order to define special load situations such as acting gravity, external acceleration or a pressure difference. The corresponding modal forces for the jth load case [image] ((Equation 15–138)) is:

(14–729)

where:

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.143. Not Documented 		Up / Home Next
14.145. PLANE145 - 2-D Quadrilateral Structural Solid p-Element


14.145. PLANE145 - 2-D Quadrilateral Structural Solid p-Element

Matrix or Vector | Geometry / Geometric Shape Functions | Solution Shape Functions | Integration Points
Stiffness Matrix; and Thermal and Inertial Load Vectors | Quad, (Equation 12–114) and (Equation 12–115) | Polynomial variable in order from 2 to 8 | Variable
 | Triangle, (Equation 12–93) and (Equation 12–94) | Polynomial variable in order from 2 to 8 | Variable
Pressure Load Vector | Same as stiffness matrix, specialized to the edge | Polynomial variable in order from 2 to 8 | Variable
Load Type | Distribution
Element Temperature | Same as geometric shape functions across element, constant thru thickness or around circumference
Nodal Temperature | Same as element temperature distribution
Pressure | Linear across each face

Reference: Szabo and Babuska(192)

14.145.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.144. ROM144 - Reduced Order Electrostatic-Structural 		Up / Home Next
14.146. PLANE146 - 2-D Triangular Structural Solid p-Element


14.146. PLANE146 - 2-D Triangular Structural Solid p-Element

Matrix or Vector | Geometric Shape Functions | Solution Shape Functions | Integration Points
Stiffness Matrix; and Thermal and Inertial Load Vectors | (Equation 12–93) and (Equation 12–94) | Polynomial variable in order from 2 to 8 | Variable
Pressure Load Vector | Same as stiffness matrix, specialized to the edge | Polynomial variable in order from 2 to 8 | Variable
Load Type | Distribution
Element Temperature | Same as geometric shape functions across element, constant thru thickness or around circumference
Nodal Temperature | Same as element temperature distribution
Pressure | Linear across each face

Reference: Szabo and Babuska(192)

14.146.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.145. PLANE145 - 2-D Quadrilateral Structural Solid p-Element 		Up / Home Next
14.147. SOLID147 - 3-D Brick Structural Solid p-Element


14.147. SOLID147 - 3-D Brick Structural Solid p-Element

Matrix or Vector | Geometry / Geometric Shape Functions | Solution Shape Functions | Integration Points
Stiffness Matrix; and Thermal and Inertial Load Vectors | (Equation 12–206), (Equation 12–207), and (Equation 12–208) | Polynomial variable in order from 2 to 8 | Variable
 | Wedge, (Equation 12–183), (Equation 12–184), and (Equation 12–185) | Polynomial variable in order from 2 to 8 | Variable
Pressure Load Vector | Quad, (Equation 12–66) and (Equation 12–67) | Polynomial variable in order from 2 to 8 | Variable
 | Triangle, (Equation 12–43) and (Equation 12–44) | Polynomial variable in order from 2 to 8 | Variable
Load Type | Distribution
Element Temperature | Same as geometric shape functions thru element
Nodal Temperature | Same as geometric shape functions thru element
Pressure | Bilinear across each face

Reference: Szabo and Babuska(192)

14.147.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.146. PLANE146 - 2-D Triangular Structural Solid p-Element 		Up / Home Next
14.148. SOLID148 - 3-D Tetrahedral Structural Solid p-Element


14.148. SOLID148 - 3-D Tetrahedral Structural Solid p-Element

Matrix or Vector | Geometric Shape Functions | Solution Shape Functions | Integration Points
Stiffness Matrix; and Thermal and Inertial Load Vectors | (Equation 12–161), (Equation 12–162), and (Equation 12–163) | Polynomial variable in order from 2 to 8 | Variable
Pressure Load Vector | Same as stiffness matrix specialized to face | Polynomial variable in order from 2 to 8 | Variable
Load Type | Distribution
Element Temperature | Same as geometric shape functions
Nodal Temperature | Same as geometric shape functions
Pressure | Linear across each face

Reference: Szabo and Babuska(192)

14.148.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.147. SOLID147 - 3-D Brick Structural Solid p-Element 		Up / Home Next
14.149. Not Documented


14.149. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.148. SOLID148 - 3-D Tetrahedral Structural Solid p-Element 		Up / Home Next
14.150. SHELL150 - 8-Node Structural Shell p-Element


14.150. SHELL150 - 8-Node Structural Shell p-Element

Matrix or Vector | Geometry / Geometric Shape Functions | Solution Shape Functions | Integration Points
Stiffness Matrix; and Thermal and Inertial Load Vectors | Quad, (Equation 12–80) | Polynomial variable in order from 2 to 8 | Thru-the-thickness: 2 In-plane: Variable
 | Triangle, (Equation 12–53) | Polynomial variable in order from 2 to 8 | Thru-the-thickness: 2 In-plane: Variable
Transverse Pressure Load Vector | Quad, (Equation 12–68) | Polynomial variable in order from 2 to 8 | Variable
 | Triangle, (Equation 12–45) | Polynomial variable in order from 2 to 8 | Variable
Edge Pressure Load Vector | Same as in-plane stiffness matrix, specialized to the edge | Polynomial variable in order from 2 to 8 | Variable
Load Type | Distribution
Element Temperature | Linear thru thickness, bilinear in plane of element
Nodal Temperature | Constant thru thickness, bilinear in plane of element
Pressure | Bilinear across plane of element, linear along each edge

Reference: Ahmad(1), Cook(5), Szabo and Babuska(192)

14.150.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations.

14.150.2. Assumptions and Restrictions

Normals to the centerplane are assumed to remain straight after deformation, but not necessarily normal to the centerplane.

Each pair of integration points (in the r direction) is assumed to have the same element (material) orientation.

There is no significant stiffness associated with rotation about the element r axis.

This element uses a lumped (translation only) inertial load vector.

14.150.3. Stress-Strain Relationships

The material property matrix [D] for the element is:

(14–730)

where:

Ex = Young's modulus in element x direction (input as EX on MP command)
νxy = Poisson's ratio in element x-y plane (input as PRXY on MP command)
Gxy = shear modulus in element x-y plane (input as GXY on MP command)
A = element area (in s-t plane)
t = average thickness

The above definition of f is designed to avoid shear locking.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.149. Not Documented 		Up / Home Next
14.151. SURF151 - 2-D Thermal Surface Effect


14.151. SURF151 - 2-D Thermal Surface Effect

Matrix or Vector | Shape Functions | Integration Points
All | w = C1 + C2x with no midside node w = C1 + C2x + C3x2 with midside node | 2 2
Load Type | Distribution
All Loads | Same as shape functions

The logic is very similar to that given for SURF152 - 3-D Thermal Surface Effect.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.150. SHELL150 - 8-Node Structural Shell p-Element 		Up / Home Next
14.152. SURF152 - 3-D Thermal Surface Effect


14.152. SURF152 - 3-D Thermal Surface Effect

Matrix or Vector | Geometry / Midside Nodes | Shape Functions | Integration Points
Convection Surface Matrix and Load Vector; and Heat Generation Load Vector | Quad, if KEYOPT(4) = 0 (has midside nodes) | (Equation 12–70) | 3 x 3
 | Quad, if KEYOPT(4) = 1 (has no midside nodes) | (Equation 12–61) | 2 x 2
 | Triangle, if KEYOPT(4) = 0 (has midside nodes) | (Equation 12–46) | 6
 | Triangle, if KEYOPT(4) = 0 (has no midside nodes) | (Equation 12–87) | 3
Load Type | Distribution
All Loads | Same as shape functions

14.152.1. Matrices and Load Vectors

When the extra node is not present, the logic is the same as given and as described in Derivation of Heat Flow Matrices. The discussion below relates to theory that uses the extra node.

The conductivity matrix is based on one-dimensional flow to and away from the surface. The form is conceptually the same as for LINK33 ((Equation 14–252)) except that the surface has four or eight nodes instead of only one node. Using the example of convection and no midside nodes are requested (KEYOPT(4) = 1) (resulting in a 5 x 5 matrix), the first four terms of the main diagonal are:

(14–731)

where:

hu = output argument for film coefficient of USRSURF116
{N} = vector of shape functions

which represents the main diagonal of the upper-left corner of the conductivity matrix. The remaining terms of this corner are all zero. The last main diagonal term is simply the sum of all four terms of (Equation 14–731) and the off-diagonal terms in the fifth column and row are the negative of the main diagonal of each row and column, respectively.

If midside nodes are present (KEYOPT(4) = 0) (resulting in a 9 x 9 matrix) (Equation 14–731) is replaced by:

(14–732)

which represents the upper-left corner of the conductivity matrix. The last main diagonal is simply the sum of all 64 terms of (Equation 14–732) and the off-diagonal terms in the ninth column and row are the negative of the sum of each row and column respectively.

Radiation is handled similarly, except that the approach discussed for LINK31 in LINK31 - Radiation Link is used. A load vector is also generated. The area used is the area of the element. The form factor is discussed in a subsequent section.

An additional load vector is formed when using the extra node by:

(14–733)

where:

{Qc} = load vector to be formed
[Ktc] = element conductivity matrix due to convection

TEMVEL from USRSURF116 is the difference between the bulk temperature and the temperature of the extra node.

14.152.2. Adiabatic Wall Temperature as Bulk Temperature

There is special logic that accesses FLUID116 information where FLUID116 has had KEYOPT(2) set equal to 1. This logic uses SURF151 or SURF152 with the extra node present (KEYOPT(5) = 1) and computes an adiabatic wall temperature (KEYOPT(6) = 1). For this case, Tv, as used above, is defined as:

(14–734)

where:

FR = recovery factor (see (Equation 14–735))
Vabs = absolute value of fluid velocity (input as VABS on R command)
Ω = angular velocity of moving wall (input as OMEGA on R command)
Ωref = reference angular velocity (input as (An)I and (An)J on R command of FLUID116)
Fs = slip factor (input as SLIPFAI, SLIPFAJ on R command of FLUID116)
V116 = velocity of fluid at extra node from FLUID116
gc = gravitational constant used for units consistency (input as GC on R command)
Jc = Joule constant used to convert work units to heat units (input as JC on R command)

The recovery factor is computed as follows:

(14–735)

where:

Cn = constant used for recovery factor calculation (input as NRF on R command)
μf = viscosity of fluid (from FLUID116)
ρf = density of fluid (from FLUID116)
D = diameter of fluid pipe (from FLUID116)

(14–736)

where:

V = velocity used to compute Reynold's number

The adiabatic wall temperature is reported as:

(14–737)

where:

Taw = adiabatic wall temperature
Tex = temperature of extra node

KEYOPT(1) = 0 or 1 is ordinarily used for turbomachinry analysis, whereas KEYOPT(1) = 2 is ordinarily used for flow past stationary objects. For turbomachinery analyses Tex is assumed to be the total temperature, but for flow past stationary objects Tex is assumed to be the static temperature.

14.152.3. Film Coefficient Adjustment

After the first coefficient has been determined, it is adjusted if KEYOPT(7) = 1:

(14–738)

where:

hf = unadjusted film coefficient
TS = surface temperature
TB = bulk temperature (Taw, if defined)
n = real constant (input as ENN on RMORE command)

14.152.4. Radiation Form Factor Calculation

The form factor is computed as:

(14–739)

also,

F = form factor (output as FORM FACTOR)

Developing B further

α = angle between element z axis at integration point being processed and the line connecting the integration point and the extra node (see Figure 14.55: "Form Factor Calculation")

Figure 14.55 Form Factor Calculation

F is then used in the two-surface radiation equation:

(14–740)

where:

σ = Stefan-Boltzmann constant (input as SBCONST on R command)
ε = emissivity (input as EMIS on MP command)
A = element area

Note that this “form factor” does not have any distance affects. Thus, if distances are to be included, they must all be similar in size, as in an object on or near the earth being warmed by the sun. For this case, distance affects can be included by an adjusted value of σ.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.151. SURF151 - 2-D Thermal Surface Effect 		Up / Home Next
14.153. SURF153 - 2-D Structural Surface Effect


14.153. SURF153 - 2-D Structural Surface Effect

Matrix or Vector | Midside Nodes | Shape Functions | Integration Points
All | If KEYOPT(4) = 0 (has midside nodes) | w = C1 + C2x + C3x2 | 3
All | If KEYOPT(4) = 1 (has no midside nodes) | w = C1 + C2x | 2
Load Type | Distribution
All Loads | Same as shape functions

The logic is very similar to that given for SURF154 in SURF154 - 3-D Structural Surface Effect with the differences noted below:

  1. For surface tension (input as SURT on R command)) on axisymmetric models (KEYOPT(3) = 1), an average force is used on both end nodes.

  2. For surface tension with midside nodes, no load is applied at the middle node, and only the component directed towards the other end node is used.

  3. When using large deflections, the area on which pressure is applied changes. The updated distance between the two end nodes is used. For plain strain problems, the thickness (distance normal to the X-Y plane) remains at 1.0, by definition. For plane stress problems, the thickness is adjusted:

            (14–741)

    where:

    tu = final thickness used.
    ti = thickness for user input option (input as TKPS on R command)
    εz = strain in thickness direction (normal to X-Y plane)

    Using the assumption of constant volume:

            (14–742)

    where:

    εx = strain along the length of the element
    εy = strain normal to the underlying solid.

    Assuming further that:

            (14–743)

    yields:

            (14–744)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.152. SURF152 - 3-D Thermal Surface Effect 		Up / Home Next
14.154. SURF154 - 3-D Structural Surface Effect


14.154. SURF154 - 3-D Structural Surface Effect

Matrix or Vector | Geometry / Midside Nodes | Shape Functions | Integration Points
Stiffness and Damping Matrices, and Pressure Load Vector | Quad, if KEYOPT(4) = 0 (has midside nodes) | (Equation 12–68) | 3 x 3
 | Quad, if KEYOPT(4) = 1 (has no midside nodes) | (Equation 12–56) | 2 x 2
 | Triangle, if KEYOPT(4) = 0 (has midside nodes) | (Equation 12–53) (option w) | 6
 | Triangle, if KEYOPT(4) = 0 (has no midside nodes) | (Equation 12–50) | 3
Mass and Stress Stiffness Matrices | Quad, if KEYOPT(4) = 0 (has midside nodes) | (Equation 12–66), (Equation 12–67) and (Equation 12–68) | 3 x 3
 | Quad, if KEYOPT(4) = 1 (has no midside nodes) | (Equation 12–54), (Equation 12–55) and (Equation 12–56) | 2 x 2
 | Triangle, if KEYOPT(4) = 0 (has midside nodes) | (Equation 12–53) | 6
 | Triangle, if KEYOPT(4) = 0 (has no midside nodes) | (Equation 12–48), (Equation 12–49) and (Equation 12–50) | 3
Surface Tension Load Vector | Quad, if KEYOPT(4) = 0 (has midside nodes) | (Equation 12–66) and (Equation 12–67) | 3 x 3
 | Quad, if KEYOPT(4) = 1 (has no midside nodes) | (Equation 12–54) and (Equation 12–55) | 2 x 2
 | Triangle, if KEYOPT(4) = 0 (has midside nodes) | (Equation 12–53) (options u and v) | 6
 | Triangle, if KEYOPT(4) = 0 (has no midside nodes) | (Equation 12–48) and (Equation 12–49) | 3
Load Type | Distribution
All Loads | Same as shape functions

The stiffness matrix is:

(14–745)

where:

kf = foundation stiffness (input as EFS on R command)
A = area of element
{Nz} = vector of shape functions representing motions normal to the surface

The mass matrix is:

(14–746)

where:

th = thickness (input as TKI, TKJ, TKK, TKL on RMORE command)
ρ = density (input as DENS on MP command)
{N} = vector of shape functions
Ad = added mass per unit area (input as ADMSUA on R command)

If the command LUMPM,ON is used, [Me] is diagonalized as described in Lumped Matrices.

The element damping matrix is:

(14–747)

where:

μ = dissipation (input as VISC on MP command)

The element stress stiffness matrix is:

(14–748)

where:

[Sg] = derivatives of shape functions of normal motions
s = in-plane force per unit length (input as SURT on R command)

If pressure is applied to face 1, the pressure load stiffness matrix is computed as described in Pressure Load Stiffness.

The element load vector is:

(14–749)

where:

{Np} = vector of shape functions representing in-plane motions normal to the edge
E = edge of element
{Nx} = vector of shape functions representing motion in element x direction
{Ny} = vector of shape functions representing motion in element y direction
Pv = uniform pressure magnitude
P1 = input (VAL1 with LKEY = 5 on SFE command)
θ = angle between element normal and applied load direction
Dx, Dy, Dz = vector directions (input as VAL2 thru VAL4 with LKEY = 5 on SFE command)
{NX}, {NY}, {NZ} = vectors of shape functions in global Cartesian coordinates

The integration used to arrive at [image] is the usual numerical integration, even if KEYOPT(6) ≠ 0. The output quantities “average face pressures” are the average of the pressure values at the integration points.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.153. SURF153 - 2-D Structural Surface Effect 		Up / Home Next
14.155. Not Documented


14.155. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.154. SURF154 - 3-D Structural Surface Effect 		Up / Home Next
14.156. SURF156 - 3-D Structural Surface Line Load Effect


14.156. SURF156 - 3-D Structural Surface Line Load Effect

Matrix or Vector | Midside Nodes | Shape Functions | Integration Points
Pressure Load Vector | Has midside nodes | (Equation 12–19), (Equation 12–20), (Equation 12–21) | 3
 | Has no midside nodes | (Equation 12–15), (Equation 12–16), (Equation 12–17) | 2
Load Type | Distribution
Pressures | Bilinear along length for faces 1, 2, and 3; constant along length for face 4

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.155. Not Documented 		Up / Home Next
14.157. SHELL157 - Thermal-Electric Shell


14.157. SHELL157 - Thermal-Electric Shell

Matrix or Vector | Geometry | Shape Functions | Integration Points
Electrical Conductivity Matrix | Quad | (Equation 12–62). No variation thru thickness | 2 x 2
 | Triangle | (Equation 12–62). No variation thru thickness | 1
Thermal Conductivity Matrix; Heat Generation Load and Convection Surface Matrix and Load Vectors | Quad | (Equation 12–61) and (Equation 12–62). No variation thru thickness | 2 x 2
 | Triangle | (Equation 12–87) and (Equation 12–62). No variation thru thickness | 1
Specific Heat Matrix | Same as conductivity matrix. Matrix is diagonalized as described in Lumped Matrices |  | Same as conductivity matrix

14.157.1. Other Applicable Sections

"Coupling" discusses coupled effects.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.156. SURF156 - 3-D Structural Surface Line Load Effect 		Up / Home Next
14.158. Not Documented


14.158. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.157. SHELL157 - Thermal-Electric Shell 		Up / Home Next
14.159. Not Documented


14.159. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.158. Not Documented 		Up / Home Next
14.160. LINK160 - Explicit 3-D Spar (or Truss)


14.160. LINK160 - Explicit 3-D Spar (or Truss)

For all theoretical information about this element, see the LS-DYNA Theoretical Manual(199).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.159. Not Documented 		Up / Home Next
14.161. BEAM161 - Explicit 3-D Beam


14.161. BEAM161 - Explicit 3-D Beam

For all theoretical information about this element, see the LS-DYNA Theoretical Manual(199).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.160. LINK160 - Explicit 3-D Spar (or Truss) 		Up / Home Next
14.162. PLANE162 - Explicit 2-D Structural Solid


14.162. PLANE162 - Explicit 2-D Structural Solid

For all theoretical information about this element, see the LS-DYNA Theoretical Manual(199).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.161. BEAM161 - Explicit 3-D Beam 		Up / Home Next
14.163. SHELL163 - Explicit Thin Structural Shell


14.163. SHELL163 - Explicit Thin Structural Shell

For all theoretical information about this element, see the LS-DYNA Theoretical Manual(199).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.162. PLANE162 - Explicit 2-D Structural Solid 		Up / Home Next
14.164. SOLID164 - Explicit 3-D Structural Solid


14.164. SOLID164 - Explicit 3-D Structural Solid

For all theoretical information about this element, see the LS-DYNA Theoretical Manual(199).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.163. SHELL163 - Explicit Thin Structural Shell 		Up / Home Next
14.165. COMBI165 - Explicit Spring-Damper


14.165. COMBI165 - Explicit Spring-Damper

For all theoretical information about this element, see the LS-DYNA Theoretical Manual(199).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.164. SOLID164 - Explicit 3-D Structural Solid 		Up / Home Next
14.166. MASS166 - Explicit 3-D Structural Mass


14.166. MASS166 - Explicit 3-D Structural Mass

For all theoretical information about this element, see the LS-DYNA Theoretical Manual(199).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.165. COMBI165 - Explicit Spring-Damper 		Up / Home Next
14.167. LINK167 - Explicit Tension-Only Spar


14.167. LINK167 - Explicit Tension-Only Spar

For all theoretical information about this element, see the LS-DYNA Theoretical Manual(199).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.166. MASS166 - Explicit 3-D Structural Mass 		Up / Home Next
14.168. SOLID168 - Explicit 3-D 10-Node Tetrahedral Structural Solid


14.168. SOLID168 - Explicit 3-D 10-Node Tetrahedral Structural Solid

For all theoretical information about this element, see the LS-DYNA Theoretical Manual(199).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.167. LINK167 - Explicit Tension-Only Spar 		Up / Home Next
14.169. TARGE169 - 2-D Target Segment


14.169. TARGE169 - 2-D Target Segment

14.169.1. Other Applicable Sections

TARGE170 - 3-D Target Segment discusses Target Elements.

14.169.2. Segment Types

TARGE169 supports six 2-D segment types:

Figure 14.56 2-D Segment Types

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.168. SOLID168 - Explicit 3-D 10-Node Tetrahedral Structural Solid 		Up / Home Next
14.170. TARGE170 - 3-D Target Segment


14.170. TARGE170 - 3-D Target Segment

14.170.1. Introduction

In studying the contact between two bodies, the surface of one body is conventionally taken as a contact surface and the surface of the other body as a target surface. The “contact-target” pair concept has been widely used in finite element simulations. For rigid-flexible contact, the contact surface is associated with the deformable body; and the target surface must be the rigid surface. For flexible-flexible contact, both contact and target surfaces are associated with deformable bodies. The contact and target surfaces constitute a “Contact Pair”.

TARGE170 is used to represent various 3-D target surfaces for the associated contact elements (CONTA173, CONTA174, CONTA175, CONTA176, and CONTA177). The contact elements themselves overlay the solid elements, line elements, or shell element edges describing the boundary of a deformable body that is potentially in contact with the rigid target surface, defined by TARGE170. Hence, a “target” is simply a geometric entity in space that senses and responds when one or more contact elements move into a target segment element.

14.170.2. Segment Types

The target surface is modelled through a set of target segments; typically several target segments comprise one target surface. Each target segment is a single element with a specific shape or segment type. TARGE170 supports ten 3-D segment types; see Figure 14.57: "3-D Segment Types"

Figure 14.57 3-D Segment Types

14.170.3. Reaction Forces

The reaction forces on the entire rigid target surface are obtained by summing all the nodal forces of the associated contact elements. The reaction forces are accumulated on the pilot node. If the pilot node has not been explicitly defined by the user, one of the target nodes (generally the one with the smallest number) will be used to accumulate the reaction forces.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.169. TARGE169 - 2-D Target Segment 		Up / Home Next
14.171. CONTA171 - 2-D 2-Node Surface-to-Surface Contact


14.171. CONTA171 - 2-D 2-Node Surface-to-Surface Contact

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix | W = C1 + C2 x | 2

14.171.1. Other Applicable Sections

The CONTA171 description is the same as for CONTA174 - 3-D 8-Node Surface-to-Surface Contact except that it is 2-D and there are no midside nodes.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.170. TARGE170 - 3-D Target Segment 		Up / Home Next
14.172. CONTA172 - 2-D 3-Node Surface-to-Surface Contact


14.172. CONTA172 - 2-D 3-Node Surface-to-Surface Contact

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix | W = C1 + C2 x + C3x2 | 2

14.172.1. Other Applicable Sections

The CONTA172 description is the same as for CONTA174 - 3-D 8-Node Surface-to-Surface Contact except that it is 2-D.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.171. CONTA171 - 2-D 2-Node Surface-to-Surface Contact 		Up / Home Next
14.173. CONTA173 - 3-D 4-Node Surface-to-Surface Contact


14.173. CONTA173 - 3-D 4-Node Surface-to-Surface Contact

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness and Stress Stiffness Matrices | Quad | (Equation 12–54), (Equation 12–55), and (Equation 12–56) | 2 x 2
 | Triangle | (Equation 12–48), (Equation 12–49), and (Equation 12–50) | 3

14.173.1. Other Applicable Sections

The CONTA173 description is the same as for CONTA174 - 3-D 8-Node Surface-to-Surface Contact except there are no midside nodes.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.172. CONTA172 - 2-D 3-Node Surface-to-Surface Contact 		Up / Home Next
14.174. CONTA174 - 3-D 8-Node Surface-to-Surface Contact


14.174. CONTA174 - 3-D 8-Node Surface-to-Surface Contact

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness and Stress Stiffness Matrices | Quad | If KEYOPT(4) = 0 (has midside nodes) (Equation 12–66), (Equation 12–67), and (Equation 12–68) | 2 x 2
 | Triangle | If KEYOPT(4) = 0 (has midside nodes) (Equation 12–53) | 3

14.174.1. Introduction

CONTA174 is an 8-node element that is intended for general rigid-flexible and flexible-flexible contact analysis. In a general contact analysis, the area of contact between two (or more) bodies is generally not known in advance. CONTA174 is applicable to 3-D geometries. It may be applied for contact between solid bodies or shells.

14.174.2. Contact Kinematics

Contact Pair

In studying the contact between two bodies, the surface of one body is conventionally taken as a contact surface and the surface of the other body as a target surface. For rigid-flexible contact, the contact surface is associated with the deformable body; and the target surface must be the rigid surface. For flexible-flexible contact, both contact and target surfaces are associated with deformable bodies. The contact and target surfaces constitute a "Contact Pair".

The CONTA174 contact element is associated with the 3-D target segment elements (TARGE170) using a shared real constant set number. This element is located on the surface of 3-D solid, shell elements (called underlying element). It has the same geometric characteristics as the underlying elements. The contact surface can be either side or both sides of the shell or beam elements.

Location of Contact Detection

Figure 14.58 Contact Detection Point Location at Gauss Point

CONTA174 is surface-to-surface contact element. The contact detection points are the integration point and are located either at nodal points or Gauss points. The contact elements is constrained against penetration into target surface at its integration points. However, the target surface can, in principle, penetrate through into the contact surface. See Figure 14.58: "Contact Detection Point Location at Gauss Point". CONTA174 uses Gauss integration points as a default (Cescotto and Charlier(213), Cescotto and Zhu(214)), which generally provides more accurate results than those using the nodes themselves as the integration points. A disadvantage with the use of nodal contact points is that: when for a uniform pressure, the kinematically equivalent forces at the nodes are unrepresentative and indicate release at corners.

Penetration Distance

The penetration distance is measured along the normal direction of contact surface located at integration points to the target surface (Cescotto and Charlier(214)). See Figure 14.59: "Penetration Distance". It is uniquely defined even the geometry of the target surface is not smooth. Such discontinuities may be due to physical corners on the target surface, or may be introduced by a numerical discretization process (e.g. finite elements). Based on the present way of calculating penetration distance there is no restriction on the shape of the rigid target surface. Smoothing is not always necessary typically for the concave corner. For the convex corner, it is still recommended to smooth out the region of abrupt curvature changes (see Figure 14.60: "Smoothing Convex Corner").

Figure 14.59 Penetration Distance

Figure 14.60 Smoothing Convex Corner

Pinball Algorithm

The position and the motion of a contact element relative to its associated target surface determine the contact element status. The program monitors each contact element and assigns a status:

STAT = 0 Open far-field contact
STAT = 1 Open near-field contact
STAT = 2 Sliding contact
STAT = 3 Sticking contact

A contact element is considered to be in near-field contact when the element enters a pinball region, which is centered on the integration point of the contact element. The computational cost of searching for contact depends on the size of the pinball region. Far-field contact element calculations are simple and add few computational demands. The near-field calculations (for contact elements that are nearly or actually in contact) are slower and more complex. The most complex calculations occur the elements are in actual contact.

Setting a proper pinball region is useful to overcome spurious contact definitions if the target surface has several convex regions. The current default setting should be appropriate for most contact problems.

14.174.3. Frictional Model

Coulomb's Law

In the basic Coulomb friction model, two contacting surfaces can carry shear stresses up to a certain magnitude across their interface before they start sliding relative to each other. The state is known as sticking. The Coulomb friction model is defined as:

(14–750)

(14–751)

where:

τlim = limit shear stress
τ = equivalent shear stress
P = contact normal pressure
b = contact cohesion (input as COHE on R command)

Once the equivalent shear stress exceeds τlim, the contact and target surfaces will slide relative to each other. This state is known as sliding. The sticking/sliding calculations determine when a point transitions from sticking to sliding or vice versa. The contact cohesion provides sliding resistance even with zero normal pressure.

CONTA174 provides an option for defining a maximum equivalent shear stress τmax (input as TAUMAX on RMORE command) so that, regardless of the magnitude of the contact pressure, sliding will occur if the magnitude of the equivalent shear stress reaches this value.

Figure 14.61 Friction Model

Contact elements offer two models for Coulomb friction: isotropic friction and orthotropic friction. The isotropic friction model uses a single coefficient of friction μiso based on the assumption of uniform stick-slip behavior in all directions. It is available with all 2-D and 3-D contact elements (CONTAC12, CONTAC52, CONTA171, CONTA172, CONTA173, CONTA174, CONTA175, CONTA176, and CONTA178).

The orthotropic friction model is based on two coefficients of friction, μ1 and μ2, to model different stick-slip behavior in different directions. Use orthotropic friction model in 3-D contact only (CONTA173, CONTA174, CONTA175, CONTA176, and CONTA177). The two coefficients are defined in two orthogonal sliding directions called the principal directions (see Elements Reference for more details). The shear stress in principal direction i=1,2 is given by:

(14–752)

and the limit shear stress defined in (Equation 14–750) is computed using equivalent coefficient of friction (Michalowski and Mroz(361)) which is defined as:

(14–753)

where:

μeq = equivalent coefficient of friction for orthotropic friction
μ1, μ2 = coefficients of friction in first and second principal directions (input as MU1 and MU2 using TB command with Lab = FRIC)

Static and Dynamic Friction

CONTA174 provides the exponential friction model, which is used to smooth the transition between the static coefficient of friction and the dynamic coefficient of friction according to the formula (Benson and Hallquist(317)):

(14–754)

where:

v = slip rate
μs= Rf μd = static coefficient of friction
Rf = ratio of static and dynamic friction (input as FACT on RMORE command)
c = decay coefficient (input as DC on RMORE command)

Integration of Frictional Law

The integration of the frictional mode is similar to that of nonassociated theory of plasticity (see Rate-Independent Plasticity). In each substep that sliding friction occurs, an elastic predictor is computed in contact traction space. The predictor is modified with a radial return mapping function, providing both a small elastic deformation along sliding response as developed by Giannakopoulos(135).

Algorithmic Symmetrization

Contact problems involving friction produce non-symmetric stiffness. Using an unsymmetric solver (NROPT,UNSYM) is more computationally expensive than a symmetric solver for each iteration. For this reason, a symmetrization algorithm developed by Laursen and Simo(216) is used by which most frictional contact problems can be solved using solvers for symmetric systems. If frictional stresses have a substantial influence on the overall displacement field and the magnitude of the frictional stresses is highly solution dependent, any symmetric approximation to the stiffness matrix may provide a low rate of convergence. In such cases, the use of an unsymmetric stiffness matrix is more computationally efficient.

14.174.4. Contact Algorithm

Four different contact algorithms are implemented in this element (selected by KEYOPT(2)).

  • Pure penalty method

  • Augmented Lagrangian method (Simo and Laursens(215))

  • Pure Lagrange multiplier method (Bathe(2))

  • Lagrange multiplier on contact normal and penalty on frictional direction

Pure Penalty Method

This method requires both contact normal and tangential stiffness. The main drawback is that the amount penetration between the two surfaces depends on this stiffness. Higher stiffness values decrease the amount of penetration but can lead to ill-conditioning of the global stiffness matrix and to convergence difficulties. Ideally, you want a high enough stiffness that contact penetration is acceptably small, but a low enough stiffness that the problem will be well-behaved in terms of convergence or matrix ill-conditioning.

The contact traction vector is:

(14–755)

where:

P = normal contact pressure
τy = tangential contact stress in y direction
τz = tangential contact stress in z direction

The contact pressure is:

(14–756)

where:

Kn = contact normal stiffness
un = contact gap size

The frictional stress is obtained by Coulomb's law:

(14–757)

where:

Ks = tangential contact stiffness (input as FKT on R command)
uy = contact slip distance in y direction
μ = coefficient of friction

Augmented Lagrangian Method

The augmented Lagrangian method is an iterative series of penalty updates to find the Lagrange multipliers (i.e., contact tractions). Compared to the penalty method, the augmented Lagrangian method usually leads to better conditioning and is less sensitive to the magnitude of the contact stiffness coefficient. However, in some analyses, the augmented Lagrangian method may require additional iterations, especially if the deformed mesh becomes excessively distorted.

The contact pressure is defined by:

(14–758)

where:

ε = compatibility tolerance (input as FTOLN on R command)
λi = Lagrange multiplier component at iteration i

The Lagrange multiplier component λi is computed locally (for each element) and iteratively.

Pure Lagrange Multiplier Method

The pure Lagrange multiplier method does not require contact stiffness. Instead it requires chattering control parameters. Theoretically, the pure Lagrange multiplier method enforces zero penetration when contact is closed and "zero slip" when sticking contact occurs. However the pure Lagrange multiplier method adds additional degrees of freedom to the model and requires additional iterations to stabilize contact conditions. This will increase the computational cost. This algorithm has chattering problems due to contact status changes between open and closed or between sliding and sticking. The other main drawback of the Lagrange multiplier method is the overconstraint occuring in the model. The model is overconstrained when a contact constraint condition at a node conflicts with a prescribed boundary condition on that degree of freedom (e.g., D command) at the same node. Overconstraints can lead to convergence difficulties and/or inaccurate results. The Lagrange multiplier method also introduces zero diagonal terms in the stiffness matrix, so that iterative solvers (e.g., PCG) can not be used.

The contact traction components (i.e., Lagrange multiplier parameters) become unknown DOFs for each element. The associated Newton-Raphson load vector is:

(14–759)

Lagrange Multiplier on Contact Normal and Penalty on Frictional Direction

In this method only the contact normal pressure is treated as a Lagrange multiplier. The tangential contact stresses are calculated based on the penalty method (see (Equation 14–757)).

This method allows only a very small amount of slip for a sticking contact condition. It overcomes chattering problems due to contact status change between sliding and sticking which often occurs in the pure Lagrange Multiplier method. Therefore this algorithm treats frictional sliding contact problems much better than the pure Lagrange method.

14.174.5. Debonding

Debonding refers to separation of bonded contact (KEYOPT(12) = 4, 5 or 6). It is activated by associating a cohesive zone material model (input with TB,CZM) with contact elements. Debonding is available only for pure penalty method and augmented Lagrangian method (KEYOPT(2) = 0,1) with contact elements CONTA171, CONTA172, CONTA173, CONTA174, CONTA175, CONTA176, and CONTA177.

A cohesive zone material model is provided with bilinear behavior (Alfano and Crisfield(365)) for debonding. The model defines contact stresses as:

(14–760)

(14–761)

and

(14–762)

where:

P = normal contact stress (tension)
τy = tangential contact stress in y-direction
τz = tangential contact stress in z-direction
Kn = normal contact stiffness
Kt = tangential contact stiffness
un = contact gap
uy = contact slip distance in y-direction
uz = contact slip distance in z-direction
d = debonding parameter

The debonding parameter is defined as:

(14–763)

with d = 0 for Δ [image] 1 and 0 < d [image] 1 for Δ > 1, and Δ and χ are defined below.

Debonding allows three modes of separation:

Mode I debonding is defined by setting

(14–764)

and

(14–765)

where:

= contact gap at the maximum normal contact traction (tension)
= contact gap at the completion of debonding (input on TBDATA command as C2 using TB,CZM)

Mode II debonding is defined by setting

(14–766)

(14–767)

and

(14–768)

where:

= equivalent tangential slip distance at the maximum equivalent tangential stress,
= equivalent tangential slip distance at the completion of debonding (input on TBDATA command as C4 using TB,CZM)

Mixed mode debonding is defined by setting

(14–769)

and

(14–770)

The constraint on χ that the ratio of the contact gap distances be same as the ratio of tangential slip distances is enforced automatically by appropriately scaling the contact stiffness values.

For mixed mode, debonding is complete when the energy criterion is satisfied:

(14–771)

with

(14–772)

(14–773)

(14–774)

(14–775)

where:

σmax = maximum normal contact stress (input on TBDATA command as C1 using TB,CZM)
τmax = maximum equivalent tangential contact stress (input on TBDATA command as C3 using TB,CZM)

The debonding modes are based on input data:

  1. Mode I for normal data (input on TBDATA command as C1, C2, C5 and C6).

  2. Mode II for tangential data (input on TBDATA command as C3, C4, C5 and C6).

  3. Mixed mode for normal and tangential data (input on TBDATA command as C1, C2, C3, C4, C5 and C6).

Artificial damping can be used to overcome convergence difficulties associated with debonding. It is activated by specifying the damping coefficient η (input on TBDATA command as C5 using TB,CZM).

Tangential slip under compressive normal contact stress for mode II and mixed mode debonding is controlled by appropriately setting the flag β (input on TBDATA command as C6 using TB,CZM). Settings on β are:

β = 0 (default) indicates no tangential slip
β = 1 indicates tangential slip is allowed

After debonding is completed the surface interaction is governed by standard contact constraints for normal and tangential directions. Frictional contact is used if friction is specified for contact elements.

14.174.6. Thermal/Structural Contact

Combined structural and thermal contact is specified if KEYOPT(1) = 1, which indicates that structural and thermal DOFs are active. Pure thermal contact is specified if KEYOPT(1) = 2. The thermal contact features (Zhu and Cescotto(280)) are:

Thermal Contact Conduction

(14–776)

where:

q = heat flux (heat flow rate per area)
Kc = thermal contact conductance coefficient (input as TCC on R command)
TT = temperature on target surface
TC = temperature on contact surface

Heat Convection

(14–777)

where:

hf = convection coefficient (input on SFE command with Lab = CONV and KVAL = 1)

Heat Radiation

(14–778)

where:

σ = Stefan-Boltzmann constant (input as SBCT on R command)
ε = emissivity (input using EMIS on MP command)
F = radiation view factor (input as RDVF on R command)
To = temperature offset (input as VALUE on TOFFST command)

Heat Generation Due to Frictional Sliding

(14–779)

where:

qc = amount of frictional dissipation on contact surface
qT = amount of frictional dissipation on target surface
Fw = weight factor for the distribution of heat between two contact and target surfaces (input as FWGT on R command)
Ff = fractional dissipated energy converted into heat (input on FHTG on R command)
t = equivalent frictional stress
v = sliding rate

Note

When KEYOPT(1) = 2, heat generation due to friction is ignored.

14.174.7. Electric Contact

Combined structural, thermal, and electric contact is specified if KEYOPT(1)
= 3. Combined thermal and electric contact is specified if KEYOPT(1) = 4.
Combined structural and electric contact is specified if KEYOPT(1) = 5. Pure
electric contact is specified if KEYOPT(1) = 6. The electric contact features
are:

Electric Current Conduction (KEYOPT(1) = 3 or 4)

(14–780)

where:

J = current density
σ/L = electric conductivity per unit length (input as ECC on R command)
VT = voltage on target surface
VC = voltage on contact surface

Electrostatic (KEYOPT(1) = 5 or 6)

(14–781)

where:

14.174.8. Magnetic Contact

The magnetic contact is specified if KEYOPT(1) = 7. Using the magnetic scalar potential approach, the 3-D magnetic flux across the contacting interface is defined by:

(14–782)

where:

ψn = magnetic flux
φt = magnetic potential at target surface (MAG degree of freedom)
φc = magnetic potential at contact surface (MAG degree of freedom)
CM = magnetic contact permeance coefficient
μo = free space permeability
A = contact area
= normal component of the "guess" magnetic field (See (Equation 5–16))

The gap permeance is defined as the ratio of the magnetic flux in the gap to the total magnetic potential difference across the gap. The equation for gap permeance is:

(14–783)

where:

t = gap thickness

The magnetic contact permeance coefficient is defined as:

(14–784)

The above equations are only valid for 3-D analysis using the Magnetic Scalar Potential approach.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.173. CONTA173 - 3-D 4-Node Surface-to-Surface Contact 		Up / Home Next
14.175. CONTA175 - 2-D/3-D Node-to-Surface Contact


14.175. CONTA175 - 2-D/3-D Node-to-Surface Contact

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness Matrix | Normal Direction | None | None
 | Sliding Direction | None | None

14.175.1. Other Applicable Sections

The CONTA175 description is the same as for CONTA174 - 3-D 8-Node Surface-to-Surface Contact except that it is a one node contact element.

14.175.2. Contact Models

The contact model can be either contact force based (KEYOPT(3) = 0, default) or contact traction based (KEYOPT(3) = 1). For a contact traction based model, ANSYS can determine the area associated with the contact node. For the single point contact case, a unit area will be used which is equivalent to the contact force based model.

14.175.3. Contact Forces

In order to satisfy contact compatibility, forces are developed in a direction normal (n-direction) to the target that will tend to reduce the penetration to an acceptable numerical level. In addition to normal contact forces, friction forces are developed in directions that are tangent to the target plane.

(14–785)

where:

Fn = normal contact force
Kn = contact normal stiffness (input as FKN on R command)
un = contact gap size

(14–786)

where:

FT = tangential contact force
KT = tangential contact stiffness (input as FKT on R command)
uT = contact slip distance

For orthotropic friction, μeq is computed using the expression:

(14–787)

where:

μeq = equivalent coefficient of friction for orthotropic friction
μ1, μ2 = coefficients of friction in first and second principal directions (input as MU1 and MU2 using TB command with Lab = FRIC)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.174. CONTA174 - 3-D 8-Node Surface-to-Surface Contact 		Up / Home Next
14.176. CONTA176 - 3-D Line-to-Line Contact


14.176. CONTA176 - 3-D Line-to-Line Contact

Matrix or Vector | Shape Function | Integration Points
Stiffness Matrix | W = C1 + C2x + C3x2 | None

14.176.1. Other Applicable Sections

The CONTA176 description is the same as for CONTA174 - 3-D 8-Node Surface-to-Surface Contact except that it is a 3-D line contact element.

14.176.2. Contact Kinematics

Three different scenarios can be modeled by CONTA176:

  • Internal contact where one beam (or pipe) slides inside another hollow beam (or pipe) (see Figure 14.62: "Beam Sliding Inside a Hollow Beam").

  • External contact between two beams that lie next to each other and are roughly parallel (see Figure 14.63: "Parallel Beams in Contact").

  • External contact between two beams that cross (see Figure 14.64: "Crossing Beams in Contact").

Use KEYOPT(3) = 0 for the first two scenarios (internal contact and parallel beams). In both cases, the contact condition is only checked at contact nodes.

Use KEYOPT(3) = 1 for the third scenario (beams that cross). In this case, the contact condition is checked along the entire length of the beams. The beams with circular cross-sections are assumed to come in contact in a point-wise manner.

Figure 14.62 Beam Sliding Inside a Hollow Beam

Figure 14.63 Parallel Beams in Contact

Figure 14.64 Crossing Beams in Contact

Contact is detected when two circular beams touch or overlap each other. The non-penetration condition for beams with a circular cross-section can be defined as follows.

For internal contact:

(14–788)

and for external contact:

(14–789)

where:

g = gap distance
rc and rt = radii of the cross-sections of the beam on the contact and target sides, respectively.
d = minimal distance between the two beam centerlines (also determines the contact normal direction).

Contact occurs for negative values of g.

14.176.3. Contact Forces

CONTA176 uses a contact force based model. In order to satisfy contact compatibility, forces are developed in a direction normal (n-direction) to the target that will tend to reduce the penetration to an acceptable numerical level. In addition to normal contact forces, friction forces are developed in directions that are tangent to the target plane.

(14–790)

where:

Fn = normal contact force
Kn = contact normal stiffness (input as FKN on R command)
un = contact gap size

(14–791)

where:

FT = tangential contact force
KT = tangential contact stiffness (input as FKT on R command)
uT = contact slip distance

For orthotropic friction, μeq is computed using the expression:

(14–792)

where:

μeq = equivalent coefficient of friction for orthotropic friction
μ1, μ2 = coefficients of friction in first and second principal directions (input as MU1 and MU2 using TB command with Lab = FRIC)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.175. CONTA175 - 2-D/3-D Node-to-Surface Contact 		Up / Home Next
14.177. CONTA177 - 3-D Line-to-Surface Contact


14.177. CONTA177 - 3-D Line-to-Surface Contact

Matrix or Vector | Shape Function | Integration Points
Stiffness Matrix | W = C1 + C2x + C3x2 | None

14.177.1. Other Applicable Sections

The CONTA177 description is the same as for CONTA174 - 3-D 8-Node Surface-to-Surface Contact except that it is a 3-D line contact element.

14.177.2. Contact Forces

CONTA177 uses a contact force based model. In order to satisfy contact compatibility, forces are developed in a direction normal (n-direction) to the target that will tend to reduce the penetration to an acceptable numerical level. In addition to normal contact forces, friction forces are developed in directions that are tangent to the target plane.

(14–793)

where:

Fn = normal contact force
Kn = contact normal stiffness (input as FKN on R command)
un = contact gap size

(14–794)

where:

FT = tangential contact force
KT = tangential contact stiffness (input as FKT on R command)
uT = contact slip distance

For orthotropic friction, μeq is computed using the expression:

(14–795)

where:

μeq = equivalent coefficient of friction for orthotropic friction
μ1, μ2 = coefficients of friction in first and second principal directions (input as MU1 and MU2 using TB command with Lab = FRIC)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.176. CONTA176 - 3-D Line-to-Line Contact 		Up / Home Next
14.178. CONTA178 - 3-D Node-to-Node Contact


14.178. CONTA178 - 3-D Node-to-Node Contact

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness Matrix | Normal Direction | None | None
 | Sliding Direction | None | None
Load Type | Distribution
Element Temperature | None - average used for material property evaluation
Nodal Temperature | None - average used for material property evaluation

14.178.1. Introduction

CONTA178 represents contact and sliding between any two nodes of any types of elements. This node-to-node contact element can handle cases when the contact location is known beforehand.

CONTA178 is applicable to 3-D geometries. It can also be used in 2-D and axisymmetric models by constraining the UZ degrees of freedom. The element is capable of supporting compression in the contact normal direction and Coulomb friction in the tangential direction.

14.178.2. Contact Algorithms

Four different contact algorithms are implemented in this element.

  • Pure penalty method

  • Augmented Lagrange method

  • Pure Lagrange multiplier method

  • Lagrange multiplier on contact normal penalty on frictional direction

Pure Penalty Method

The Newton-Raphson load vector is:

(14–796)

where:

Fn = normal contact force
Fsy = tangential contact force in y direction
Fsz = tangential contact force in z direction

(14–797)

where:

Kn = contact normal stiffness (input FKN on R command)
un = contact gap size

(14–798)

where:

Ks = tangential contact stiffness (input as FKS on R command)
uy = contact slip distance in y direction
μ = coefficient of friction (input as MU on TB command with Lab = FRIC or MP command)

Augmented Lagrange Method

(14–799)

where:

ε = user-defined compatibility tolerance (input as TOLN on R command)

The Lagrange multiplier component of force λ is computed locally (for each element) and iteratively.

Pure Lagrange Multiplier Method

The contact forces (i.e., Lagrange multiplier components of forces) become unknown DOFs for each element. The associated Newton-Raphson load vector is:

(14–800)

Lagrange Multiplier on Contact Normal Penalty on Frictional Direction

In this method only the contact normal face is treated as a Lagrange multiplier. The tangential forces are calculated based on penalty method:

(14–801)

14.178.3. Element Damper

The damping capability is only used for modal and transient analyses. Damping is only active in the contact normal direction when contact is closed. The damping force is computed as:

(14–802)

where:

V = relative velocity between two contact nodes in contact normal direction
Cv1 = constant damping coefficient (input as CV1 on R command)
Cv2 = linear damping coefficient (input as CV2 on R command)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.177. CONTA177 - 3-D Line-to-Surface Contact 		Up / Home Next
14.179. PRETS179 - Pretension


14.179. PRETS179 - Pretension

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix | None | None
Load Type | Distribution
Pretension Force | Applied on pretension node K across entire pretension section

14.179.1. Introduction

The element is used to represent a two or three dimensional section for a bolted structure. The pretension section can carry a pretension load. The pretension node (K) on each section is used to control and monitor the total tension load.

14.179.2. Assumptions and Restrictions

The pretension element is not capable of carrying bending or torsion loads.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.178. CONTA178 - 3-D Node-to-Node Contact 		Up / Home Next
14.180. LINK180 - 3-D Finite Strain Spar (or Truss)


14.180. LINK180 - 3-D Finite Strain Spar (or Truss)

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix; and Thermal and Newton Raphson Load Vectors | (Equation 12–6) | 1
Mass and Stress Stiffening Matrices | (Equation 12–6), (Equation 12–7), and (Equation 12–8) | 1
Load Type | Distribution
Element Temperature | Linear along length
Nodal Temperature | Linear along length

Reference: Cook et al.(117)

14.180.1. Assumptions and Restrictions

The theory for this element is a reduction of the theory for BEAM189 - 3-D Quadratic Finite Strain Beam. The reductions include only 2 nodes, no bending or shear effects, no pressures, and the entire element as only one integration point.

The element is not capable of carrying bending loads. The stress is assumed to be uniform over the entire element.

14.180.2. Element Mass Matrix

All element matrices and load vectors described below are generated in the element coordinate system and are then converted to the global coordinate system. The element stiffness matrix is:

The element mass matrix is:

(14–803)
where:
A = element cross-sectional area (input as AREA on R command)
L = element length
ρ = density (input as DENS on MP command)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.179. PRETS179 - Pretension 		Up / Home Next
14.181. SHELL181 - 4-Node Finite Strain Shell


14.181. SHELL181 - 4-Node Finite Strain Shell

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix; and Thermal Load Vector | (Equation 12–78) | In-plane: 1 x 1 (KEYOPT(3) = 0) 2 x 2 (KEYOPT(3) = 2) Thru-the-thickness: 5 for real constant input 1, 3, 5, 7, or 9 per layer for data input for section general shell option (KEYOPT(1) = 0) 1 per layer for section data input for membrane shell option (KEYOPT(1) = 1)
Mass and Stress Stiffness Matrices | (Equation 12–54), (Equation 12–55), and (Equation 12–56) | Closed form integration
Transverse Pressure Load Vector | (Equation 12–56) | 2 x 2
Edge Pressure Load Vector | (Equation 12–54) and (Equation 12–55) specialized to the edge | 2
Load Type | Distribution
Element Temperature | Bilinear in plane of element, linear thru each layer
Nodal Temperature | Bilinear in plane of element, constant thru thickness
Pressure | Bilinear in plane of element and linear along each edge

References: Ahmad(1), Cook(5),
Dvorkin(96), Dvorkin(97),
Bathe and Dvorkin(98), Allman(113),
Cook(114), MacNeal and Harder(115)

14.181.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations.

14.181.2. Assumptions and Restrictions

Normals to the centerplane are assumed to remain straight after deformation, but not necessarily normal to the centerplane.

Each set of integration points thru a layer (in the r direction) is assumed to have the same element (material) orientation.

14.181.3. Assumed Displacement Shape Functions

The assumed displacement and transverse shear strain shape functions are given in "Shape Functions". The basic functions for the transverse shear strain have been changed to avoid shear locking (Dvorkin(96), Dvorkin(97), Bathe and Dvorkin(98)) and are pictured in Figure 14.30: "Shape Functions for the Transverse Strains" in SHELL43 - 4-Node Plastic Large Strain Shell.

14.181.4. Membrane Option

A membrane option is available for SHELL181 if KEYOPT(1) = 1. For this option, there is no bending stiffness or rotational degrees of freedom. There is only one integration point per layer, regardless of other input.

14.181.5. Warping

A warping factor is computed as:

(14–804)

where:

D = component of the vector from the first node to the fourth node parallel to the element normal
t = average thickness of the element

If φ > 1.0, a warning message is printed.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.180. LINK180 - 3-D Finite Strain Spar (or Truss) 		Up / Home Next
14.182. PLANE182 - 2-D 4-Node Structural Solid


14.182. PLANE182 - 2-D 4-Node Structural Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness and Stress Stiffness Matrices; and Thermal Load Vector Quad (Equation 12–100) and (Equation 12–101)

2 x 2 if KEYOPT(1) = 0, 2, or 3
1 if KEYOPT(1) = 1

Triangle | (Equation 12–81) and (Equation 12–82) | 1
Mass Matrix | Quad | Same as stiffness matrix | 2 x 2
Triangle | 1
Pressure Load Vector | Same as stiffness matrix, specialized to face | 2
Load Type | Distribution
Element Temperature | Bilinear across element, constant thru thickness or around circumference
Nodal Temperature | Same as element temperature distribution
Pressure | Linear along each face

14.182.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations. General Element Formulations gives the general element formulations used by this element.

14.182.2. Theory

If KEYOPT(1) = 0, this element uses [image] method (selective reduced integration technique for volumetric terms) (Hughes(219), Nagtegaal et al.(220)).

If KEYOPT(1) = 1, the uniform reduced integration technique (Flanagan and Belytschko(232)) is used.

If KEYOPT(1) = 2 or 3, the enhanced strain formulations from the work of Simo and Rifai(318), Simo and Armero(319), Simo et al.(320), Andelfinger and Ramm(321), and Nagtegaal and Fox(322) are used. It introduces 5 internal degrees of freedom to prevent shear and volumetric locking for KEYOPT(1) = 2, and 4 internal degrees of freedom to prevent shear locking for KEYOPT(1) = 3. If mixed u-P formulation is employed with the enhanced strain formulations, only 4 degrees of freedom for overcoming shear locking are activated.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.181. SHELL181 - 4-Node Finite Strain Shell 		Up / Home Next
14.183. PLANE183 - 2-D 8-Node Structural Solid


14.183. PLANE183 - 2-D 8-Node Structural Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness and Stress Stiffness Matrices; and Thermal Load Vector | Quad | (Equation 12–114) and (Equation 12–115) | 2 x 2
 | Triangle | (Equation 12–93) and (Equation 12–94) | 3
Mass Matrix | Quad | Same as stiffness matrix | 3 x 3
 | Triangle |  | 3
Pressure Load Vector | Same as stiffness matrix, specialized to the face |  | 2 along face
Load Type | Distribution
Element Temperature | Same as shape functions across element, constant thru thickness or around circumference
Nodal Temperature | Same as element temperature distribution
Pressure | Linear along each face

Reference: Zienkiewicz(39)

14.183.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations. General Element Formulations gives the general element formulations used by this element.

14.183.2. Assumptions and Restrictions

A dropped midside node implies that the face is and remains straight.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.182. PLANE182 - 2-D 4-Node Structural Solid 		Up / Home Next
14.184. MPC184 - Multipoint Constraint


14.184. MPC184 - Multipoint Constraint

MPC184 comprises a general class of multipoint constraint elements that implement kinematic constraints using Lagrange multipliers. The elements are loosely classified here as "constraint elements" and "joint elements". All of these elements are used in situations that require you to impose some kind of constraint to meet certain requirements. Since these elements are implemented using Lagrange multipliers, the constraint forces and moments are available for output purposes. The different constraint elements and joint elements are identified by KEYOPT(1).

14.184.1. Slider Element

The slider element (KEYOPT(1) = 3) is a 3-node element that allows a "slave" node to slide on a line joining two "master" nodes.

Figure 14.65 184.2 Slider Constraint Geometry

The constraints required to maintain the "slave" node on the line joining the two "master" nodes are as follows:

Define a unit vector n as:

(14–805)

where:

xI, xJ = position vectors of nodes I and J in the current configuration

Identify unit vectors l and m such that l, m, and n form an orthonormal set.

The constraints are then defined as:

(14–806)

(14–807)

where:

xk = position vector of the node K in the current configuration

Let i, j, and k be the global base vectors. Then we can define the unit vector l as:

(14–808)

If n = l, then:

(14–809)

Finally, the unit vector m is defined as:

(14–810)

The virtual work contributions are obtained from taking the variations of the above equations.

14.184.2. Joint Elements

The equations for the constraints imposed in joint elements are described in the individual element descriptions:

MPC184-Revolute
MPC184-Universal
MPC184-Slot
MPC184-Point
MPC184-Translational
MPC184-Cylindrical
MPC184-Planar
MPC184-Weld
MPC184-Orient
MPC184-Spherical
MPC184-General

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.183. PLANE183 - 2-D 8-Node Structural Solid 		Up / Home Next
14.185. SOLID185 - 3-D 8-Node Structural Solid


14.185. SOLID185 - 3-D 8-Node Structural Solid

SOLID185 is available in two forms:

  • Standard (nonlayered) structural solid (KEYOPT(3) = 0, the default) - see SOLID185 - 3-D 8-Node Structural Solid.

  • Layered structural solid (KEYOPT(3) = 1) - see SOLID185 - 3-D 8-Node Layered Solid.

14.185.1. SOLID185 - 3-D 8-Node Structural Solid

Matrix or Vector | Shape Functions | Integration Points
Stiffness and Stress Stiffness Matrices; and Thermal Load Vector (Equation 12–188), (Equation 12–189), and (Equation 12–190)

2 x 2 x 2 if KEYOPT(2) = 0, 2, or 3
1 if KEYOPT(2) = 1

Mass Matrix | Same as stiffness matrix | 2 x 2 x 2
Pressure Load Vector | Quad | (Equation 12–54) and (Equation 12–55) | 2 x 2
Triangle | (Equation 12–35) and (Equation 12–36) | 3
Load Type | Distribution
Element Temperature | Trilinear thru element
Nodal Temperature | Trilinear thru element
Pressure | Bilinear across each face

14.185.2. SOLID185 - 3-D 8-Node Layered Solid

Matrix or Vector | Shape Functions |  | Integration Points
Stiffness and Stress Stiffness Matrices; and Thermal Load Vector | (Equation 12–188), (Equation 12–189), and (Equation 12–190) |  | In-plane: 2 x 2 Thru-the-thickness: 2 if no shell section defined. 1, 3, 5, 7, or 9 per layer if a shell section is defined
Mass Matrix | Same as stiffness matrix |  | Same as stiffness matrix
Pressure Load Vector | Quad | (Equation 12–54) and (Equation 12–55) | 2 x 2
 | Triangle | (Equation 12–35) and (Equation 12–36) | 3
Load Type | Distribution
Element Temperature | Bilinear in plane of element, linear thru each layer
Nodal Temperature | Trilinear thru element
Pressure | Bilinear across each face

14.185.3. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations. General Element Formulations gives the general element formulations used by this element.

14.185.4. Theory

If KEYOPT(2) = 0 (not applicable to layered SOLID185), this element uses [image] method (selective reduced integration technique for volumetric terms) (Hughes(219), Nagtegaal et al.(220)).

If KEYOPT(2) = 1 (not applicable to layered SOLID185), the uniform reduced integration technique (Flanagan and Belytschko(232)) is used.

If KEYOPT(2) = 2 or 3, the enhanced strain formulations from the work of Simo and Rifai(318), Simo and Armero(319), Simo et al.(320), Andelfinger and Ramm(321), and Nagtegaal and Fox(322) are used. It introduces 13 internal degrees of freedom to prevent shear and volumetric locking for KEYOPT(2) = 2, and 9 degrees of freedom to prevent shear locking only for KEYOPT(2) = 3. If mixed u-P formulation is employed with the enhanced strain formulations, only 9 degrees of freedom for overcoming shear locking are activated.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.184. MPC184 - Multipoint Constraint 		Up / Home Next
14.186. SOLID186 - 3-D 20-Node Non-Layered/Layered Structural Solid


14.186. SOLID186 - 3-D 20-Node Non-Layered/Layered Structural Solid

SOLID186 is available in two forms:

  • Standard (nonlayered) structural solid (KEYOPT(3) = 0, the default) - see SOLID186 - 3-D 20-Node Non-layered Structural Solid.

  • Layered structural solid (KEYOPT(3) = 1) - see SOLID186 - 3-D 20-Node Layered Structural Solid.

14.186.1. SOLID186 - 3-D 20-Node Non-layered Structural Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness and Stress Stiffness Matrices; and Thermal Load Vector Brick (Equation 12–206), (Equation 12–207), and (Equation 12–208)

14 if KEYOPT(2) = 1
2 x 2 x 2 if KEYOPT(2) = 0

Wedge | (Equation 12–183), (Equation 12–184), and (Equation 12–185) | 3 x 3
Pyramid | (Equation 12–168), (Equation 12–169), and (Equation 12–170) | 2 x 2 x 2
Tet | (Equation 12–161), (Equation 12–162), and (Equation 12–163) | 4
Mass Matrix | Same as stiffness matrix. | 3 x 3 x 3 if brick. If other shapes, same as stiffness matrix
Pressure Load Vector | Quad | (Equation 12–66) and (Equation 12–67) | 3 x 3
Triangle | (Equation 12–43) and (Equation 12–44) | 6
Load Type | Distribution
Element Temperature | Same as shape functions thru element
Nodal Temperature | Same as shape functions thru element
Pressure | Bilinear across each face

14.186.2. SOLID186 - 3-D 20-Node Layered Structural Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness and Stress Stiffness Matrices; and Thermal Load Vector | Brick | (Equation 12–206), (Equation 12–207), and (Equation 12–208) | In-plane: 2 x 2 Thru-the-thickness: 2 if no shell section defined. 1, 3, 5, 7, or 9 per layer if a shell section is defined
 | Wedge | (Equation 12–183), (Equation 12–184), and (Equation 12–185) | In-plane: 3 Thru-the-thickness: 2 if no shell section defined. 1, 3, 5, 7, or 9 per layer if a shell section is defined
Mass Matrix | Same as stiffness matrix. |  | In-plane: 3 x 3 if brick 3 if wedge Thru-the-thickness: Same as stiffness matrix
Pressure Load Vector | Quad | (Equation 12–66) and (Equation 12–67) | 3 x 3
 | Triangle | (Equation 12–43) and (Equation 12–44) | 6
Load Type | Distribution
Element Temperature | Bilinear in plane of element, linear thru each layer
Nodal Temperature | Same as shape functions thru element
Pressure | Bilinear across each face

Reference: Zienkiewicz(39)

14.186.3. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations. General Element Formulations gives the general element formulations used by this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.185. SOLID185 - 3-D 8-Node Structural Solid 		Up / Home Next
14.187. SOLID187 - 3-D 10-Node Tetrahedral Structural Solid


14.187. SOLID187 - 3-D 10-Node Tetrahedral Structural Solid

Matrix or Vector | Shape Functions | Integration Points
Stiffness, Mass, and Stress Stiffness Matrices; and Thermal Load Vector | (Equation 12–161), (Equation 12–162), and (Equation 12–163) | 4
Pressure Load Vector | (Equation 12–161), (Equation 12–162), and (Equation 12–163) specialized to the face | 6
Load Type | Distribution
Element Temperature | Same as shape functions
Nodal Temperature | Same as shape functions
Pressure | Linear over each face

Reference: Zienkiewicz(39)

14.187.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations. General Element Formulations gives the general element formulations used by this element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.186. SOLID186 - 3-D 20-Node Non-Layered/Layered Structural Solid 		Up / Home Next
14.188. BEAM188 - 3-D Linear Finite Strain Beam


14.188. BEAM188 - 3-D Linear Finite Strain Beam

Matrix or Vector | Shape Functions | Integration Points
Stiffness and Stress Stiffness Matrices; and Thermal and Newton-Raphson Load Vectors | (Equation 12–6), (Equation 12–7), (Equation 12–8), (Equation 12–9), (Equation 12–10), and (Equation 12–11) | Along the length: 1 Across the section: see BEAM189 - 3-D Quadratic Finite Strain Beam
Mass Matrix and Pressure Load Vector | Same as stiffness matrix | Along the length: 2 Across the section: 1
Load Type | Distribution
Element Temperature | Bilinear across cross-section and linear along length (see BEAM24 - 3-D Thin-walled Beam for details)
Nodal Temperature | Constant across cross-section, linear along length
Pressure | Linear along length. The pressure is assumed to act along the element x-axis.

References: Simo and Vu-Quoc(237), Ibrahimbegovic(238).

The theory for this element is the same as BEAM189 - 3-D Quadratic Finite Strain Beam, except that it is a linear, 2-node beam element.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.187. SOLID187 - 3-D 10-Node Tetrahedral Structural Solid 		Up / Home Next
14.189. BEAM189 - 3-D Quadratic Finite Strain Beam


14.189. BEAM189 - 3-D Quadratic Finite Strain Beam

Matrix or Vector | Shape Functions | Integration Points
Stiffness and Stress Stiffness Matrices; and Thermal and Newton-Raphson Load Vectors | (Equation 12–19), (Equation 12–20), (Equation 12–21), (Equation 12–22), (Equation 12–23), and (Equation 12–24) | Along the length: 2 Across the section: see text below
Mass Matrix and Pressure Load Vector | Same as stiffness matrix | Along the length: 3 Across the section: 1
Load Type | Distribution
Element Temperature | Bilinear across cross-section and linear along length (see BEAM24 - 3-D Thin-walled Beam for details)
Nodal Temperature | Constant across cross-section, linear along length
Pressure | Linear along length. The pressure is assumed to act along the element x-axis.

References: Simo and Vu-Quoc(237), Ibrahimbegovic(238).

14.189.1. Assumptions and Restrictions

The elements are based on Timoshenko beam theory, and hence shear deformation effects are included. The element is a quadratic (3-node) beam element in 3-D with six degrees of freedom at each node. The DOF at each node includes translations in x, y, and z directions, and rotations about the x, y, and z directions. Warping of cross sections is considered optionally (KEYOPT(1)).

This element is well-suited for linear, large rotation, and/or large strain nonlinear applications. If KEYOPT(2) = 0, the cross sectional dimensions are scaled uniformly as a function of axial strain in nonlinear analysis such that the volume of the element is preserved.

The element includes stress stiffness terms, by default, in any analysis using large deformation (NLGEOM,ON). The stress stiffness terms provided enable the elements to analyze flexural, lateral and torsional stability problems (using eigenvalue buckling or collapse studies with arc length methods). Pressure load stiffness (Pressure Load Stiffness) is included.

Transverse shear strain is constant through cross-section, i.e., cross sections remain plane and undistorted after deformation. The element can be used for slender or stout beams. Due to the limitations of first order shear deformation theory, only moderately “thick” beams may be analyzed. Slenderness ratio of a beam structure may be used in judging the applicability of the element. It is important to note that this ratio should be calculated using some global distance measures, and not based on individual element dimensions. A slenderness ratio greater than 30 is recommended.

Currently these elements support only elastic relation between transverse shear forces and transverse shear strains. Orthotropic elastic material properties with bilinear and multilinear isotropic hardening plasticity options (BISO, MISO) may be used. User may specify transverse shear stiffnesses using real constants.

The St. Venant warping functions for torsional behavior is determined in the undeformed state, and is used to define shear strain even after yielding. The element does not provide options to recalculate the torsional shear distribution on cross sections during the analysis and possible partial plastic yielding of cross section. As such, large inelastic deformation due to torsional loading should be treated with caution and carefully verified.

The elements are provided with section relevant quantities (area of integration, position, Poisson function, function derivatives, etc.) automatically at a number of section points by the use of section commands. Each section is assumed to be an assembly of predetermined number of 9 node cells which illustrates a section model of a rectangular section. Each cell has 4 integration points.

Figure 14.66 Section Model

When the material has inelastic behavior or the temperature varies across the section, constitutive calculations are performed at each of the section integration points. For all other cases, the element uses the precalculated properties of the section at each element integration point along the length. The restrained warping formulation used may be found in Timoshenko and Gere(246) and Schulz and Fillippou(247).

14.189.2. Stress Evaluation

Several stress evaluation options exist. The section strains and generalized stresses are evaluated at element integration points and then linearly extrapolated to the nodes of the element.

If the material is elastic, stresses and strains are available after extrapolation in cross-section at the nodes of section mesh. If the material is plastic, stresses and strains are moved without extrapolation to the section nodes (from section integration points).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.188. BEAM188 - 3-D Linear Finite Strain Beam 		Up / Home Next
14.190. SOLSH190 - 3-D 8-Node Layered Solid Shell


14.190. SOLSH190 - 3-D 8-Node Layered Solid Shell

Matrix or Vector | Shape Functions |  | Integration Points
Stiffness and Stress Stiffness Matrices; and Thermal Load Vector | (Equation 12–188), (Equation 12–189), and (Equation 12–190) |  | In-plane: 2 x 2 Thru-the-thickness: 2 if no shell section defined 1, 3, 5, 7, or 9 per layer if a shell section is defined
Mass Matrix | Same as stiffness matrix |  | Same as stiffness matrix
Pressure Load Vector | Quad | (Equation 12–54) and (Equation 12–55) | 2 x 2
 | Triangle | (Equation 12–35) and (Equation 12–36) | 3
Load Type | Distribution
Element Temperature | Bilinear in-plane of element, linear thru each layer
Nodal Temperature | Trilinear thru element
Pressure | Bilinear across each face

14.190.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations. General Element Formulations gives the general element formulations used by this element.

14.190.2. Theory

SOLSH190 is a 3-D solid element free of locking in bending-dominant situations. Unlike shell elements, SOLSH190 is compatible with general 3-D constitutive relations and can be connected directly with other continuum elements.

SOLSH190 utilizes a suite of special kinematic formulations, including assumed strain method (Bathe and Dvorkin(98)) to overcome locking when the shell thickness becomes extremely small.

SOLSH190 employs enhanced strain formulations (Simo and Rifai(318), Simo et al.(320)) to improve the accuracy in in-plane bending situations. The satisfaction of the in-plane patch test is ensured. Incompatible shape functions are used to overcome the thickness locking.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.189. BEAM189 - 3-D Quadratic Finite Strain Beam 		Up / Home Next
14.191. SOLID191 - 3-D 20-Node Layered Structural Solid


14.191. SOLID191 - 3-D 20-Node Layered Structural Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness Matrix | Brick | (Equation 12–206), (Equation 12–207), and (Equation 12–208) | Thru-the-thickness: 3 for each layer In-plane: 2 x 2
 | Wedge | (Equation 12–183) , (Equation 12–184), and (Equation 12–185) | Thru-the-thickness: 3 for each layer In-plane: 3
 | Pyramid | (Equation 12–168), (Equation 12–169), and (Equation 12–170) | Thru-the-thickness: 3 for each layer In-plane: 2 x 2
 | Tet | (Equation 12–161) , (Equation 12–162), and (Equation 12–163) | Thru-the-thickness: 3 for each layer In-plane: 3
Mass Matrix | Same as stiffness matrix
Stress Stiffness Matrix | Same as stiffness matrix
Thermal Load Vector | Same as stiffness matrix
Pressure Load Vector | Quad | (Equation 12–66) and (Equation 12–67) | 3 x 3
 | Triangle | (Equation 12–43) and (Equation 12–44) | 6
Load Type | Distribution
Element Temperature | Linear thru each layer, bilinear in plane of element
Nodal Temperature | Trilinear thru element
Pressure | Bilinear across each face

Reference: Zienkiewicz(39)

14.191.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations.

SOLID46 - 3-D 8-Node Layered Structural Solid includes the description of the effective material properties and the interlaminar shear stress calculation which also applies to SOLID191.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.190. SOLSH190 - 3-D 8-Node Layered Solid Shell 		Up / Home Next
14.192. INTER192 - 2-D 4-Node Gasket


14.192. INTER192 - 2-D 4-Node Gasket

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix | Linear in x and y directions | 2
Thermal Load Vector | Same as stiffness matrix | Same as stiffness matrix
Load Type | Distribution
Element temperature | Based on element shape function, constant through the direction perpendicular to element plane
Nodal temperature | Same as element temperature distribution

14.192.1. Other Applicable Sections

The theory for this element is described in INTER194 - 3-D 16-Node Gasket.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.191. SOLID191 - 3-D 20-Node Layered Structural Solid 		Up / Home Next
14.193. INTER193 - 2-D 6-Node Gasket


14.193. INTER193 - 2-D 6-Node Gasket

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix | Linear in x, quadratic in y direction | 2
Thermal Load Vector | Same as stiffness matrix | Same as stiffness matrix
Load Type | Distribution
Element temperature | Based on element shape function, constant through the direction perpendicular to element plane
Nodal temperature | Same as element temperature distribution

14.193.1. Other Applicable Sections

The theory for this element is described in INTER194 - 3-D 16-Node Gasket.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.192. INTER192 - 2-D 4-Node Gasket 		Up / Home Next
14.194. INTER194 - 3-D 16-Node Gasket


14.194. INTER194 - 3-D 16-Node Gasket

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix | Linear in x, quadratic in y and z directions | 2 x 2
Thermal Load Vector | Same as stiffness matrix | Same as stiffness matrix
Load Type | Distribution
Element temperature | Based on element shape function, constant through the direction perpendicular to element plane
Nodal temperature | Same as element temperature distribution

14.194.1. Element Technology

The element is designed specially for simulation of gasket joints, where the primary deformation is confined to the gasket through-thickness direction. The through-thickness deformation of gasket is decoupled from the other deformations and the membrane (in-plane) stiffness contribution is neglected. The element offers a direct means to quantify the through-thickness behavior of the gasket joints. The pressure-deformation behavior obtained from experimental measurement can be applied to the gasket material. See Gasket Material for detailed description of gasket material options.

The element is composed of bottom and top surfaces. An element midplane is created by averaging the coordinates of node pairs from the bottom and top surfaces of the elements. The numerical integration of interface elements is performed in the element midplane. The element formulation is based on a corotational procedure. The virtual work in an element is written as:

(14–811)

where:

t = traction force across the element
d = closure across the element
Sint = midplane of the interface surfaces

The integration is performed in the corotational equilibrium configuration and the Gauss integration procedure is used.

The relative deformation between top and bottom surfaces is defined as:

(14–812)

where, uTOP and uBOTTOM are the displacement of top and bottom surfaces of interface elements in the local element coordinate system based on the midplane of element.

The thickness direction is defined as the normal direction of the mid plane of the element at the integration point.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.193. INTER193 - 2-D 6-Node Gasket 		Up / Home Next
14.195. INTER195 - 3-D 8-Node Gasket


14.195. INTER195 - 3-D 8-Node Gasket

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix | Linear in x, bilinear in y and z directions | 2 x 2
Thermal Load Vector | Same as stiffness matrix | Same as stiffness matrix
Load Type | Distribution
Element temperature | Based on element shape function, constant through the direction perpendicular to element plane
Nodal temperature | Same as element temperature distribution

14.195.1. Other Applicable Sections

The theory for this element is described in INTER194 - 3-D 16-Node Gasket.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.194. INTER194 - 3-D 16-Node Gasket 		Up / Home Next
14.196. Not Documented


14.196. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.195. INTER195 - 3-D 8-Node Gasket 		Up / Home Next
14.197. Not Documented


14.197. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.196. Not Documented 		Up / Home Next
14.198. Not Documented


14.198. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.197. Not Documented 		Up / Home Next
14.199. Not Documented


14.199. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.198. Not Documented 		Up / Home Next
14.200. Not Documented


14.200. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.199. Not Documented 		Up / Home Next
14.201. Not Documented


14.201. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.200. Not Documented 		Up / Home Next
14.202. INTER202 - 2-D 4-Node Interface


14.202. INTER202 - 2-D 4-Node Interface

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix | Linear in x and y directions | 2
Load Type | Distribution
Element temperature | Based on element shape function, constant through the direction perpendicular to element plane
Nodal temperature | Same as element temperature distribution

14.202.1. Other Applicable Sections

The theory for this element is described in INTER204 - 3-D 16-Node Interface.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.201. Not Documented 		Up / Home Next
14.203. INTER203 - 2-D 6-Node Interface


14.203. INTER203 - 2-D 6-Node Interface

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix | Linear in x, quadratic in y direction | 2
Load Type | Distribution
Element temperature | Based on element shape function, constant through the direction perpendicular to element plane
Nodal temperature | Same as element temperature distribution

14.203.1. Other Applicable Sections

The theory for this element is described in INTER204 - 3-D 16-Node Interface.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.202. INTER202 - 2-D 4-Node Interface 		Up / Home Next
14.204. INTER204 - 3-D 16-Node Interface


14.204. INTER204 - 3-D 16-Node Interface

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix | Linear in x, quadratic in y and z directions | 2 x 2
Load Type | Distribution
Element temperature | Based on element shape function, constant through the direction perpendicular to element plane
Nodal temperature | Same as element temperature distribution

14.204.1. Element Technology

The element is designed specially for simulation of interface delamination and fracture, where the interface surfaces are represented by a group of interface elements, in which an interfacial constitutive relationship characterizes the traction separation behavior of the interface. The element offers a direct means to quantify the interfacial separation behavior. See Cohesive Zone Material Model for detailed description of interface material options.

The virtual work of the element is written as:

(14–813)

where:

t = traction force across the element
d = separation across the element
Sint = midplane of the interface surfaces

The integration is performed in the corotational equilibrium configuration and the Gauss integration procedure is used.

The separation, d, is defined as the relative deformation between top and bottom surfaces as:

(14–814)

where, uTOP and uBOTTOM are the displacement of top and bottom surfaces of interface elements in the local element coordinate system based on the midplane of element.

The thickness direction is defined as the normal direction of the mid plane of the element at the integration point.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.203. INTER203 - 2-D 6-Node Interface 		Up / Home Next
14.205. INTER205 - 3-D 8-Node Interface


14.205. INTER205 - 3-D 8-Node Interface

Matrix or Vector | Shape Functions | Integration Points
Stiffness Matrix | Linear in x, bilinear in y and z directions | 2 x 2
Load Type | Distribution
Element temperature | Based on element shape function, constant through the direction perpendicular to element plane
Nodal temperature | Same as element temperature distribution

14.205.1. Other Applicable Sections

The theory for this element is described in INTER204 - 3-D 16-Node Interface.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.204. INTER204 - 3-D 16-Node Interface 		Up / Home Next
14.206. Not Documented


14.206. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.205. INTER205 - 3-D 8-Node Interface 		Up / Home Next
14.207. Not Documented


14.207. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.206. Not Documented 		Up / Home Next
14.208. SHELL208 - 2-Node Finite Strain Axisymmetric Shell


14.208. SHELL208 - 2-Node Finite Strain Axisymmetric Shell

Matrix or Vector | Shape Functions | Integration Points
Stiffness and Stress Stiffness Matrix; and Thermal and Newton-Raphson Load Vectors | KEYOPT(3) = 0: (Equation 12–6), (Equation 12–7), and (Equation 12–11) KEYOPT(3) = 2: (Equation 12–19), (Equation 12–20), and (Equation 12–24) | Along-the-length: 1 (KEYOPT(3) = 0) 2 (KEYOPT(3) = 2) Thru-the-thickness: 1, 3, 5, 7, or 9 per layer
Mass Matrix and Pressure Load Vector | Same as stiffness matrix | Along-the-length: 2 (KEYOPT(3) = 0) 3 (KEYOPT(3) = 2) Thru-the-thickness: 1, 3, 5, 7, or 9 per layer
Load Type | Distribution
Element Temperature | Linear along length and linear thru thickness
Nodal Temperature | Linear along length and constant thru thickness
Pressure | Linear along length

References: Ahmad(1), Cook(5)

14.208.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations.

14.208.2. Assumptions and Restrictions

Normals to the centerline are assumed to remain straight after deformation, but not necessarily normal to the centerline.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.207. Not Documented 		Up / Home Next
14.209. SHELL209 - 2-Node Finite Strain Axisymmetric Shell


14.209. SHELL209 - 2-Node Finite Strain Axisymmetric Shell

Matrix or Vector | Shape Functions | Integration Points
Stiffness and Stress Stiffness Matrix; and Thermal and Newton-Raphson Load Vectors | (Equation 12–19), (Equation 12–20), and (Equation 12–24) | Along-the-length: 2 Thru-the-thickness: 1, 3, 5, 7, or 9 per layer
Mass Matrix and Pressure Load Vector | Same as stiffness matrix | Along-the-length: 3 Thru-the-thickness: 1, 3, 5, 7, or 9 per layer
Load Type | Distribution
Element Temperature | Linear along length and linear thru thickness
Nodal Temperature | Linear along length and constant thru thickness
Pressure | Linear along length

References: Ahmad(1), Cook(5)

14.209.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations.

14.209.2. Assumptions and Restrictions

Normals to the centerline are assumed to remain straight after deformation, but not necessarily normal to the centerline.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.208. SHELL208 - 2-Node Finite Strain Axisymmetric Shell 		Up / Home Next
14.210. Not Documented


14.210. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.209. SHELL209 - 2-Node Finite Strain Axisymmetric Shell 		Up / Home Next
14.211. Not Documented


14.211. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.210. Not Documented 		Up / Home Next
14.212. Not Documented


14.212. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.211. Not Documented 		Up / Home Next
14.213. Not Documented


14.213. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.212. Not Documented 		Up / Home Next
14.214. COMBI214 - 2-D Spring-Damper Bearing


14.214. COMBI214 - 2-D Spring-Damper Bearing

Matrix or Vector | Shape Functions | Integration Points
Stiffness and Damping Matrices | None | None
Stress Stiffening Matrix | None | None

14.214.1. Matrices

If KEYOPT(2) = 0, the element lies in the (XY) plane and the stiffness, damping and stress-stiffness matrices in nodal coordinates are:

(14–815)

(14–816)

(14–817)

where:

K11, K12, K21, K22 = stiffness coefficients (input as K11, etc. on R command)
C11, C12, C21, C22 = damping coefficients (input as C11, etc. on R command)
L1 = distance between the two nodes I and J
L2 = distance between the two nodes K and J

The matrices for KEYOPT(2) equals 1 or 2 are developed analogously.

Stiffness and/or damping matrices may depend upon the rotational velocity (input through OMEGA or CMOMEGA) if real constants are defined as table parameters.

14.214.2. Output Quantities

The stretch is computed as:

(14–818)

(14–819)

where:

u', v', w' = displacements in nodal Cartesian coordinates (UX, UY, UZ)

The static forces are computed as:

(14–820)

(14–821)

Finally, if a nonlinear transient dynamic (ANTYPE,TRANS, with TIMINT,ON) analysis is performed, a damping force is computed:

The damping forces are computed as:

(14–822)

(14–823)

where:

v1, v2 = relative velocities

Relative velocities are computed using (Equation 14–818) and (Equation 14–819), where the nodal displacements u', v', and w' are replaced with the nodal Newmark velocities.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.213. Not Documented 		Up / Home Next
14.215. Not Documented


14.215. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.214. COMBI214 - 2-D Spring-Damper Bearing 		Up / Home Next
14.216. Not Documented


14.216. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.215. Not Documented 		Up / Home Next
14.217. Not Documented


14.217. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.216. Not Documented 		Up / Home Next
14.218. Not Documented


14.218. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.217. Not Documented 		Up / Home Next
14.219. Not Documented


14.219. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.218. Not Documented 		Up / Home Next
14.220. Not Documented


14.220. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.219. Not Documented 		Up / Home Next
14.221. Not Documented


14.221. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.220. Not Documented 		Up / Home Next
14.222. Not Documented


14.222. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.221. Not Documented 		Up / Home Next
14.223. PLANE223 - 2-D 8-Node Coupled-Field Solid


14.223. PLANE223 - 2-D 8-Node Coupled-Field Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness and Stress Stiffness Matrices; and Thermal Expansion and Electrostatic Force Load Vectors | Quad | (Equation 12–114) and (Equation 12–115) | 2 x 2
 | Triangle | (Equation 12–93) and (Equation 12–94) | 3
Mass Matrix | Quad | Same as stiffness matrix | 3 x 3
 | Triangle |  | 3
Pressure Load Vector | Same as stiffness matrix, specialized to the face |  | 2 along face
Thermal Conductivity Matrix and Heat Generation Load Vector | Quad | (Equation 12–118) | 2 x 2
 | Triangle | (Equation 12–98) | 3
Specific Heat Matrix | Same as thermal conductivity matrix
Convection Surface Matrix and Load Vector | Same as thermal conductivity matrix, specialized to the face |  | 2
Dielectric Permittivity and Electrical Conductivity Matrices; Charge Density, Joule Heating, and Peltier Heat Flux Load Vectors | Quad | (Equation 12–119) | 2 x 2
 | Triangle | (Equation 12–99) | 3
Thermoelastic Stiffness and Damping Matrices | Same as combination of stiffness and thermal conductivity matrices
Piezoelectric Coupling Matrix | Same as combination of stiffness matrix and dielectric matrix
Seebeck Coefficient Coupling Matrix | Same as combination of electrical conductivity and thermal conductivity matrices
Surface Charge Density Load Vector | Same as dielectric matrix, specialized to the face |  | 2 along face

14.223.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations. General Element Formulations gives the general element formulations used by this element. "Electromagnetics" describes the derivation of dielectric and electric conduction matrices. Piezoelectrics discusses the piezoelectric capability used by the element. Piezoresistivity discusses the piezoresistive effect. Thermoelectrics discusses the thermoelectric effects. Thermoelasticity discusses the thermoelastic effects. Electroelasticity discusses the Maxwell stress electroelastic coupling.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.222. Not Documented 		Up / Home Next
14.224. Not Documented


14.224. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.223. PLANE223 - 2-D 8-Node Coupled-Field Solid 		Up / Home Next
14.225. Not Documented


14.225. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.224. Not Documented 		Up / Home Next
14.226. SOLID226 - 3-D 20-Node Coupled-Field Solid


14.226. SOLID226 - 3-D 20-Node Coupled-Field Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness and Stress Stiffness Matrices; and Thermal Expansion and Electrostatic Force Load Vector | Brick | (Equation 12–206), (Equation 12–207), and (Equation 12–208) | 14
 | Wedge | (Equation 12–183), (Equation 12–184), and (Equation 12–185) | 3 x 3
 | Pyramid | (Equation 12–168), (Equation 12–169), and (Equation 12–170) | 2 x 2 x 2
 | Tet | (Equation 12–161), (Equation 12–162), and (Equation 12–163) | 4
Mass Matrix | Same as stiffness matrix. |  | 3 x 3 x 3 if brick. If other shapes, same as stiffness matrix
Pressure Load Vector | Quad | (Equation 12–66) and (Equation 12–67) | 3 x 3
 | Triangle | (Equation 12–43) and (Equation 12–44) | 6
Thermal Conductivity Matrix and Heat Generation Load Vector | Brick | (Equation 12–209) | 14
 | Wedge | (Equation 12–186) | 3 x 3
 | Pyramid | (Equation 12–171) | 2 x 2 x 2
 | Tet | (Equation 12–164) | 4
Specific Heat Matrix | Same as thermal conductivity matrix
Convection Surface Matrix and Load Vector | Quad | (Equation 12–70) | 3 x 3
 | Triangle | (Equation 12–46) | 6
Dielectric Permittivity and Electrical Conductivity Matrices; Charge Density, Joule Heating, and Peltier Heat Flux Load Vectors | Brick | (Equation 12–210) | 14
 | Wedge | (Equation 12–187) | 3 x 3
 | Pyramid | (Equation 12–172) | 2 x 2 x 2
 | Tet | (Equation 12–165) | 4
Thermoelastic stiffness and damping matrices | Same as combination of stiffness and thermal conductivity matrices
Piezoelectric Coupling Matrix | Same as combination of stiffness matrix and dielectric matrix
Seebeck Coefficient Coupling Matrix | Same as combination of electrical conductivity and thermal conductivity matrices
Surface Charge Density Load Vector | Quad | (Equation 12–172) | 3 x 3
 | Triangle | (Equation 12–47) | 6

14.226.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations. General Element Formulations gives the general element formulations used by this element. "Electromagnetics" describes the derivation of dielectric and electric conduction matrices. Piezoelectrics discusses the piezoelectric capability used by the element. Piezoresistivity discusses the piezoresistive effect. Thermoelectrics discusses the thermoelectric effects. Thermoelasticity discusses the thermoelastic effects. Electroelasticity discusses the Maxwell stress electroelastic coupling.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.225. Not Documented 		Up / Home Next
14.227. SOLID227 - 3-D 10-Node Coupled-Field Solid


14.227. SOLID227 - 3-D 10-Node Coupled-Field Solid

Matrix or Vector | Shape Functions | Integration Points
Stiffness, Mass, and Stress Stiffness Matrices; and Thermal Expansion and Electrostatic Force Load Vectors | (Equation 12–161), (Equation 12–162), and (Equation 12–163) | 4
Pressure Load Vector | (Equation 12–161), (Equation 12–162), and (Equation 12–163) specialized to the face | 6
Thermal Conductivity Matrix and Heat Generation Load Vector | (Equation 12–164) | 2 x 2
Specific Heat Matrix | Same as thermal conductivity matrix | 11
Convection Surface Matrix and Load Vector | (Equation 12–164) specialized to the face. Consistent surface matrix. | 6
Dielectric Permittivity and Electrical Conductivity Matrices; Charge Density, Joule Heating, and Peltier Heat Flux Load Vectors | (Equation 12–165) | 2 x 2
Thermoelastic Stiffness and Damping Matrices | Same as combination of stiffness and thermal conductivity matrices
Piezoelectric Coupling Matrix | Same as combination of stiffness matrix and dielectric matrix
Seebeck Coefficient Coupling Matrix | Same as combination of electrical conductivity and thermal conductivity matrices
Surface Charge Density Load Vector | (Equation 12–165) specialized to the face | 6

14.227.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations. General Element Formulations gives the general element formulations used by this element. "Electromagnetics" describes the derivation of dielectric and electric conduction matrices. Piezoelectrics discusses the piezoelectric capability used by the element. Piezoresistivity discusses the piezoresistive effect. Thermoelectrics discusses the thermoelectric effects. Thermoelasticity discusses the thermoelastic effects. Electroelasticity discusses the Maxwell stress electroelastic coupling.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.226. SOLID226 - 3-D 20-Node Coupled-Field Solid 		Up / Home Next
14.228. Not Documented


14.228. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.227. SOLID227 - 3-D 10-Node Coupled-Field Solid 		Up / Home Next
14.229. Not Documented


14.229. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.228. Not Documented 		Up / Home Next
14.230. PLANE230 - 2-D 8-Node Electric Solid


14.230. PLANE230 - 2-D 8-Node Electric Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Electrical Conductivity and Dielectric Permittivity Coefficient Matrices | Quad | (Equation 12–119) | 3 x 3
 | Triangle | (Equation 12–99) | 3

14.230.1. Other Applicable Sections

"Electromagnetics" describes the derivation of the electric element matrices and load vectors as well as electric field evaluations.

14.230.2. Assumptions and Restrictions

A dropped midside node implies that the edge is straight and that the potential varies linearly along that edge.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.229. Not Documented 		Up / Home Next
14.231. SOLID231 - 3-D 20-Node Electric Solid


14.231. SOLID231 - 3-D 20-Node Electric Solid

Matrix or Vector | Geometry | Shape Functions | Integration Points
Electrical Conductivity and Dielectric Permittivity Coefficient Matrices | Brick | (Equation 12–210) | 14
 | Wedge | (Equation 12–187) | 3 x 3
 | Pyramid | (Equation 12–172) | 8
 | Tet | (Equation 12–165) | 4

14.231.1. Other Applicable Sections

"Electromagnetics" describes the derivation of electric element matrices and load vectors as well as electric field evaluations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.230. PLANE230 - 2-D 8-Node Electric Solid 		Up / Home Next
14.232. SOLID232 - 3-D 10-Node Tetrahedral Electric Solid


14.232. SOLID232 - 3-D 10-Node Tetrahedral Electric Solid

Matrix or Vector | Shape Functions | Integration Points
Dielectric Permittivity and Electrical Conductivity Coefficient Matrices, Charge Density Load Vector | (Equation 12–165) | 4

14.232.1. Other Applicable Sections

"Electromagnetics" describes the derivation of electric element matrices and load vectors as well as electric field evaluations.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.231. SOLID231 - 3-D 20-Node Electric Solid 		Up / Home Next
14.233. Not Documented


14.233. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.232. SOLID232 - 3-D 10-Node Tetrahedral Electric Solid 		Up / Home Next
14.234. Not Documented


14.234. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.233. Not Documented 		Up / Home Next
14.235. Not Documented


14.235. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.234. Not Documented 		Up / Home Next
14.236. Not Documented


14.236. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.235. Not Documented 		Up / Home Next
14.237. Not Documented


14.237. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.236. Not Documented 		Up / Home Next
14.238. Not Documented


14.238. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.237. Not Documented 		Up / Home Next
14.239. Not Documented


14.239. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.238. Not Documented 		Up / Home Next
14.240. Not Documented


14.240. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.239. Not Documented 		Up / Home Next
14.241. Not Documented


14.241. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.240. Not Documented 		Up / Home Next
14.242. Not Documented


14.242. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.241. Not Documented 		Up / Home Next
14.243. Not Documented


14.243. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.242. Not Documented 		Up / Home Next
14.244. Not Documented


14.244. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.243. Not Documented 		Up / Home Next
14.245. Not Documented


14.245. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.244. Not Documented 		Up / Home Next
14.246. Not Documented


14.246. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.245. Not Documented 		Up / Home Next
14.247. Not Documented


14.247. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.246. Not Documented 		Up / Home Next
14.248. Not Documented


14.248. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.247. Not Documented 		Up / Home Next
14.249. Not Documented


14.249. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.248. Not Documented 		Up / Home Next
14.250. Not Documented


14.250. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.249. Not Documented 		Up / Home Next
14.251. SURF251 - 2-D Radiosity Surface


14.251. SURF251 - 2-D Radiosity Surface

SURF251 is used only for postprocessing of radiation quantities, such as radiation heat flux. See SURF251 in the Elements Reference for details.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.250. Not Documented 		Up / Home Next
14.252. SURF252 - 3-D Thermal Radiosity Surface


14.252. SURF252 - 3-D Thermal Radiosity Surface

SURF252 is used only for postprocessing of radiation quantities, such as radiation heat flux. See SURF252 in the Elements Reference for details.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.251. SURF251 - 2-D Radiosity Surface 		Up / Home Next
14.253. Not Documented


14.253. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.252. SURF252 - 3-D Thermal Radiosity Surface 		Up / Home Next
14.254. Not Documented


14.254. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.253. Not Documented 		Up / Home Next
14.255. Not Documented


14.255. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.254. Not Documented 		Up / Home Next
14.256. Not Documented


14.256. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.255. Not Documented 		Up / Home Next
14.257. Not Documented


14.257. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.256. Not Documented 		Up / Home Next
14.258. Not Documented


14.258. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.257. Not Documented 		Up / Home Next
14.259. Not Documented


14.259. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.258. Not Documented 		Up / Home Next
14.260. Not Documented


14.260. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.259. Not Documented 		Up / Home Next
14.261. Not Documented


14.261. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.260. Not Documented 		Up / Home Next
14.262. Not Documented


14.262. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.261. Not Documented 		Up / Home Next
14.263. Not Documented


14.263. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.262. Not Documented 		Up / Home Next
14.264. Not Documented


14.264. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.263. Not Documented 		Up / Home Next
14.265. REINF265 - 3-D Smeared Reinforcing


14.265. REINF265 - 3-D Smeared Reinforcing

Matrix or Vector | Base Element | Shape Functions (for each layer) | Integration Points
Stiffness and Stress Stiffness Matrices and Thermal Load Vector | Linear 3-D solid or shell | (Equation 12–54), (Equation 12–55), and (Equation 12–56) | In-plane: 1 x 1 Thru-the-thickness: 1
 | Quadratic 3-D solid or shell | (Equation 12–66), (Equation 12–67), and (Equation 12–68) | In-plane: 2 x 2 Thru-the-thickness: 1
Mass Matrix | Same as stiffness matrix |  | Same as stiffness matrix
Pressure Load Vector | N/A |  | N/A
Load Type | Distribution
Element Temperature | Bilinear in plane of each reinforcing layer, constant thru-the-thickness of each layer.
Nodal Temperature | N/A
Pressure | N/A

14.265.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations. General Element Formulations gives the general element formulations used by this element.

14.265.2. Stiffness and Mass Matrices of a Reinforcing Layer

Each layer of reinforcing fibers is simplified as a membrane with unidirectional stiffness. The equivalent membrane thickness h is given by:

(14–824)

where:

A = cross-section area of each fiber (input on SECDATA command)
S = distance between two adjacent fibers (input on SECDATA command)

We assume that the reinforcing fibers are firmly attached to the base element (that is, no relative movement between the base element and the fibers is allowed). Therefore, the degrees of freedom (DOF) of internal layer nodes (II, JJ, KK, LL, etc.) can be expressed in terms of DOFs of the external element nodes (I, J, K, L, etc.). Taking a linear 3-D solid base element as the example, the DOFs of an internal layer node II can be shown as:

(14–825)

where:

{uII, vII, wII} = displacements of internal layer node II
{ui, vi, wi} = displacements of base element node i
Ni (ξII, ηII, ζII) = value of trilinear shape function of node i at the location of internal node II

Similar relationships can be established for other type of base elements. The stiffness and mass matrices of each reinforcing layer are first evaluated with respect to internal layer DOFs. The equivalent stiffness and mass contributions of this layer to the element is then determined through relationship ((Equation 14–825)).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.264. Not Documented 		Up / Home Next
14.266. Not Documented


14.266. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.265. REINF265 - 3-D Smeared Reinforcing 		Up / Home Next
14.267. Not Documented


14.267. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.266. Not Documented 		Up / Home Next
14.268. Not Documented


14.268. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.267. Not Documented 		Up / Home Next
14.269. Not Documented


14.269. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.268. Not Documented 		Up / Home Next
14.270. Not Documented


14.270. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.269. Not Documented 		Up / Home Next
14.271. Not Documented


14.271. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.270. Not Documented 		Up / Home Next
14.272. Not Documented


14.272. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.271. Not Documented 		Up / Home Next
14.273. Not Documented


14.273. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.272. Not Documented 		Up / Home Next
14.274. Not Documented


14.274. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.273. Not Documented 		Up / Home Next
14.275. Not Documented


14.275. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.274. Not Documented 		Up / Home Next
14.276. Not Documented


14.276. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.275. Not Documented 		Up / Home Next
14.277. Not Documented


14.277. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.276. Not Documented 		Up / Home Next
14.278. Not Documented


14.278. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.277. Not Documented 		Up / Home Next
14.279. Not Documented


14.279. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.278. Not Documented 		Up / Home Next
14.280. Not Documented


14.280. Not Documented

No detail or element available at this time.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.279. Not Documented 		Up / Home Next
14.281. SHELL281 - 8-Node Finite Strain Shell


14.281. SHELL281 - 8-Node Finite Strain Shell

Matrix or Vector | Geometry | Shape Functions | Integration Points
Stiffness Matrix and Thermal Load Vector | Quad | (Equation 12–80) | In-plane: 2 x 2 Thru-the-thickness: 5 for real constant input 1, 3, 5, 7, or 9 per layer for section data input for general shell option (KEYOPT(1) = 0) 1 per layer for section data input for membrane shell option (KEYOPT(1) = 1)
 | Triangle | (Equation 12–53) | In-plane: 3 Thru-the-thickness: 5 for real constant input 1, 3, 5, 7, or 9 per layer for section data input for general shell option (KEYOPT(1) = 0) 1 per layer for section data input for membrane shell option (KEYOPT(1) = 1)
Mass and Stress Stiffness Matrices | Quad | (Equation 12–66), (Equation 12–67), and (Equation 12–68) | Same as stiffness matrix
 | Triangle | (Equation 12–43), (Equation 12–44), and (Equation 12–45) | Same as stiffness matrix
Transverse Pressure Load Vector | Quad | (Equation 12–68) | 2 x 2
 | Triangle | (Equation 12–45) | 3
Edge Pressure Load Vector | Same as in-plane mass matrix, specialized to the edge |  | 2
Load Type | Distribution
Element Temperature | Linear thru thickness, bilinear in plane of element
Nodal Temperature | Constant thru thickness, bilinear in plane of element
Pressure | Bilinear in plane of element, linear along each edge

References: Ahmad(1), Cook(5),
Dvorkin(96), Dvorkin(97),
Bathe and Dvorkin(98), Allman(113),
Cook(114), MacNeal and Harder(115)

14.281.1. Other Applicable Sections

"Structures" describes the derivation of structural element matrices and load vectors as well as stress evaluations.

14.281.2. Assumptions and Restrictions

Normals to the centerplane are assumed to remain straight after deformation, but not necessarily normal to the centerplane.

Each set of integration points thru a layer (in the r direction) is assumed to have the same element (material) orientation.

14.281.3. Membrane Option

A membrane option is available for SHELL281 if KEYOPT(1) = 1. For this option, there is no bending stiffness or rotational degrees of freedom. There is only one integration point per layer, regardless of other input.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.280. Not Documented 		Up / Home Next
Chapter 15. Analysis Tools


Chapter 15. Analysis Tools

The following analysis tools are available:

  • Acceleration Effect
  • Inertia Relief
  • Damping Matrices
  • Rotating Structures
  • Element Reordering
  • Automatic Master DOF Selection
  • Automatic Time Stepping
  • Solving for Unknowns and Reactions
  • Equation Solvers
  • Mode Superposition Method
  • Extraction of Modal Damping Parameter for Squeeze Film Problems
  • Reduced Order Modeling of Coupled Domains
  • Newton-Raphson Procedure
  • Constraint Equations
  • This section intentionally omitted
  • Eigenvalue and Eigenvector Extraction
  • Analysis of Cyclic Symmetric Structures
  • Mass Moments of Inertia
  • Energies
  • ANSYS Workbench Product Adaptive Solutions

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
14.281. SHELL281 - 8-Node Finite Strain Shell 		Up / Home Next
15.1. Acceleration Effect


15.1. Acceleration Effect

Accelerations are applicable only to elements with displacement degrees of freedom (DOFs).

The acceleration vector {ac} which causes applied loads consists of a vector with a term for every degree of freedom in the model. In the description below, a typical node having a specific location and accelerations associated with the three translations and three rotations will be considered:

(15–1)

where:

where:

= accelerations in global Cartesian coordinates (input on ACEL command)
= translational acceleration vector due to inertia relief (see Inertia Relief)
= rotational acceleration vector due to inertia relief (see Inertia Relief)
= translational acceleration vector due to rotations (defined below)
= angular acceleration vector due to input rotational accelerations (defined below)

ANSYS defines three types of rotations:

Rotation 1: The whole structure rotates about each of the global Cartesian axes (input on OMEGA and DOMEGA commands)
Rotation 2: The element component rotates about an axis defined by user (input on CMOMEGA and CMDOMEGA commands).
Rotation 3: The global origin rotates about the axis by user if Rotation 1 appears or the rotational axis rotates about the axis defined by user if Rotation 2 appears (input on CGOMGA, DCGOMG, and CGLOC commands)

Up to two out of the three types of rotations may be applied on a structure at the same time.

The angular acceleration vector due to rotations is:

(15–2)

The translational acceleration vector due to rotations is:

(15–3)

where:

x = vector cross product

In the case where the rotations are the combination of Rotation 1 and Rotation 3:

{ω} = angular velocity vector defined about the global Cartesian origin (input on OMEGA command)
{Ω} = angular velocity vector of the overall structure about the point CG (input on CGOMGA command)
= angular acceleration vector defined about the global Cartesian origin (input on DOMEGA command)
= angular acceleration vector of the overall structure about the point CG (input on DCGOMG command)
{r} = position vector (see Figure 15.1: "Rotational Coordinate System (Rotations 1 and 3)")
{R} = vector from CG to the global Cartesian origin (computed from input on CGLOC command, with direction opposite as shown in Figure 15.1: "Rotational Coordinate System (Rotations 1 and 3)".

In the case where the rotations are Rotation 1 and Rotation 2:

{ω} = angular velocity vector defined about the rotational axis of the element component (input on CMOMEGA command)
{Ω} = angular velocity vector defined about the global Cartesian origin (input on OMEGA command)
= angular acceleration vector defined about the rotational axis of the element component (input on CMDOMEGA command)
= angular acceleration vector defined about the global Cartesian origin (input on DOMEGA command)
{r} = position vector (see Figure 15.2: "Rotational Coordinate System (Rotations 1 and 2)")
{R} = vector from about the global Cartesian origin to the point on the rotational axis of the component (see Figure 15.2: "Rotational Coordinate System (Rotations 1 and 2)").

In the case where the rotations are Rotation 2 and Rotation 3:

{ω} = angular velocity vector defined about the rotational axis of the element component (input on CMOMEGA command)
{Ω} = angular velocity vector of the overall structure about the point CG (input on CGOMGA command)
= angular acceleration vector defined about the rotational axis of the element component (input on CMDOMEGA command)
= angular acceleration vector of the overall structure about the point CG (input on DCGOMG command)
{r} = position vector (see Figure 15.3: "Rotational Coordinate System (Rotations 2 and 3)")
{R} = vector from CG to the point on the rotational axis of the component (see Figure 15.3: "Rotational Coordinate System (Rotations 2 and 3)")

Figure 15.1 Rotational Coordinate System (Rotations 1 and 3)

Figure 15.2 Rotational Coordinate System (Rotations 1 and 2)

Figure 15.3 Rotational Coordinate System (Rotations 2 and 3)

For MASS21 with KEYOPT(3) = 0 and MATRIX27 with KEYOPT(3) = 2, additional Euler's equation terms are considered:

(15–4)

where:

{M} = additional moments generated by the angular velocity
[I] = matrix of input moments of inertia
{ωT} = total applied angular velocities: = {ω} + {Ω}

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 15. Analysis Tools 		Up / Home Next
15.2. Inertia Relief


15.2. Inertia Relief

Inertia relief is applicable only to the structural parts of linear analyses.

An equivalent free-body analysis is performed if a static analysis (ANTYPE,STATIC) and inertia relief (IRLF,1) are used. This is a technique in which the applied forces and torques are balanced by inertial forces induced by an acceleration field. Consider the application of an acceleration field (to be determined) that precisely cancels or balances the applied loads:

(15–5)

where:

= force components of the applied load vector
= translational acceleration vector due to inertia relief (to be determined)
ρ = density
vol = volume of model
= moment components of the applied load vector
= rotational acceleration vector due to inertia relief (to be determined)
x = vector cross product

In the finite element implementation, the position vector {r} and the moment in the applied load vector [image] are taken with respect to the origin. Considering further specialization for finite elements, (Equation 15–5) is rewritten in equivalent form as:

(15–6)

where:

[Mt] = mass tensor for the entire finite element model (developed below)
[Mr] = mass moments and mass products of the inertia tensor for the entire finite element model (developed below)

Once [Mt] and [Mr] are developed, then [image] and [image] in (Equation 15–6) can be solved. The output inertia relief summary includes [image] (output as TRANSLATIONAL ACCELERATIONS) and [image] (output as ROTATIONAL ACCELERATIONS).

The computation for [Mt] and [Mr] proceeds on an element-by-element basis:

(15–7)

(15–8)

in which [me] and [Ie] relate to individual elements, and the summations are for all elements in the model. The output `precision mass summary' includes components of [Mt] (labeled as TOTAL MASS) and [Mr] (MOMENTS AND PRODUCTS OF INERTIA TENSOR ABOUT ORIGIN).

The evaluation for components of [me] are simply obtained from a row-by-row summation applied to the elemental mass matrix over translational (x, y, z) degrees of freedom. It should be noted that [me] is a diagonal matrix (mxy = 0, mxz = 0, etc.). The computation for [Ie] is somewhat more involved, but can be summarized in the following form:

(15–9)

where:

[Me] = elemental mass matrix (which may be either lumped or consistent)
[b] = matrix which consists of nodal positions and unity components

The forms of [b] and, of course, [Me] are dependent on the type of element under consideration. The description of element mass matrices [Me] is given in Derivation of Structural Matrices. The derivation for [b] comes about by comparing (Equation 15–5) and (Equation 15–6) on a per element basis, and eliminating [image] to yield

(15–10)

where:

vol = element volume

After a little manipulation, the acceleration field in (Equation 15–10) can be dropped, leaving the definition of [Ie] in (Equation 15–9).

It can be shown that if the mass matrix in (Equation 15–9) is derived in a consistent manner, then the components in [Ie] are quite precise. This is demonstrated as follows. Consider the inertia tensor in standard form:

(15–11)

which can be rewritten in product form:

(15–12)

The matrix [Q] is a skew-symmetric matrix.

(15–13)

Next, shape functions are introduced by way of their basic form,

(15–14)

where:

[N] = usual matrix containing individual shape functions

Omitting the tedious algebra, (Equation 15–13) and (Equation 15–14) are combined to obtain

(15–15)

where:

(15–16)

Inserting (Equation 15–16) into (Equation 15–12) leads to

(15–17)

Noting that the integral in (Equation 15–17) is the consistent mass matrix for a solid element,

(15–18)

So it follows that (Equation 15–9) is recovered from the combination of (Equation 15–17) and (Equation 15–18).

As stated above, the exact form of [b] and [Me] used in (Equation 15–9) varies depending on the type of element under consideration. (Equation 15–16) and (Equation 15–18) apply to all solid elements (in 2-D, z = 0). For discrete elements, such as beams and shells, certain adjustments are made to [b] in order to account for moments of inertia corresponding to individual rotational degrees of freedom. For 3-D beams, for example, [b] takes the form:

(15–19)

In any case, it is worth repeating that precise [Ie] and [Mr] matrices result when consistent mass matrices are used in (Equation 15–9).

If inertia relief is requested (IRLF,1), then the mx, my, and mz diagonal components in [Mt] as well as all tensor components in [Mr] are calculated. Then the acceleration fields [image] and [image] are computed by the inversion of (Equation 15–6). The body forces that correspond to these accelerations are added to the user-imposed load vector, thereby making the net or resultant reaction forces null. The user may request only a mass summary for [Mt] and [Mr] (IRLF,-1).

The calculations for [Mt], [Mr], [image] and [image] are made at every substep of every load step where they are requested, reflecting changes in material density and applied loads.

Several limitations apply, and it is useful to list them below.

  1. Element mass and/or density must be defined in the model.

  2. In a model containing both 2-D and 3-D elements, only Mt(1,1) and Mt(2,2) in [Mt] and Mr(3,3) in [Mr] are correct in the precise mass summary. All other terms in [Mt] and [Mr] should be ignored. The acceleration balance is, however, correct.

  3. Axisymmetric and generalized plane strain elements are not allowed.

  4. If grounded gap elements are in the model, their status should not change from their original status. Otherwise the exact kinematic constraints stated above might be violated.

  5. The “CENTER OF MASS” output does not include the effects of offsets or tapering on beam elements (BEAM23, BEAM24, BEAM44, BEAM54, BEAM188, and BEAM189) , as well as the layered elements (SHELL91, SHELL99, SOLID46, and SOLID191). Breaking up each tapered element into several elements will give a more accurate solution.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.1. Acceleration Effect 		Up / Home Next
15.3. Damping Matrices


15.3. Damping Matrices

The damping matrix ([C]) may be used in harmonic, damped modal and transient analyses as well as substructure generation. In its most general form, it is:

(15–20)

where:

[C] = structure damping matrix
α = mass matrix multiplier (input on ALPHAD command)
[M] = structure mass matrix
β = stiffness matrix multiplier (input on BETAD command)
βc = variable stiffness matrix multiplier (see (Equation 15–23))
[K] = structure stiffness matrix
Nm = number of materials with DAMP or DMPR input
= stiffness matrix multiplier for material j (input as DAMP on MP command)
= constant (frequency-independent) stiffness matrix coefficient for material j (input as DMPR on MP command)
Ω = circular excitation frequency
Kj = portion of structure stiffness matrix based on material j
Ne = number of elements with specified damping
Ck = element damping matrix
Cξ = frequency-dependent damping matrix (see (Equation 15–21))

Element damping matrices are available for:

BEAM4 | 3-D Elastic Beam | COMBIN40 | Combination
COMBIN7 | Revolute Joint | MATRIX50 | Superelement
LINK11 | Linear Actuator | FLUID79 | 2-D Contained Fluid
COMBIN14 | Spring-Damper | FLUID80 | 3-D Contained Fluid
PIPE16 | Elastic Straight Pipe | FLUID81 | Axisymmetric-Harmonic Contained Fluid
MATRIX27 | Stiffness, Damping, or Mass Matrix | SURF153 | 2-D Structural Surface Effect
COMBIN37 | Control | SURF154 | 3-D Structural Surface Effect
FLUID38 | Dynamic Fluid Coupling |  |

Note that [K], the structure stiffness matrix, may include plasticity and/or large deflection effects (i.e., may be the tangent matrix).

For the special case of thin-film fluid behavior, damping parameters may be computed for structures and used in a subsequent structural analysis (see Extraction of Modal Damping Parameter for Squeeze Film Problems).

The frequency-dependent damping matrix Cξ is specified indirectly by defining a damping ratio, ξd. This effect is available only in the Spectrum (ANTYPE,SPECTR), the Harmonic Response with mode superposition (ANTYPE,HARM with HROPT,MSUP) Analyses, as well as the Transient Analysis with mode superposition (ANTYPE,TRANS with TRNOPT,MSUP).

Cξ may be calculated from the specified ξd as follows:

(15–21)

where:

= damping ratio for mode shape i (defined below)
{Φi} = shape of mode i
ωi = circular natural frequency associated with mode shape i = 2πfi
fi = natural frequency associated with mode shape i

The damping ratio [image] is the combination of:

(15–22)

where:

ξ = constant damping ratio (input on DMPRAT command)
= modal damping ratio for mode shape i (input on MDAMP command)

Actually [image] is used directly. Cξ is never explicitly computed.

βc , available for the Harmonic Response Analyses (ANTYPE,HARM with HROPT,FULL or HROPT,REDUC), is used to give a constant damping ratio, regardless of frequency. The damping ratio is the ratio between actual damping and critical damping. The stiffness matrix multiplier is related to the damping ratio by:

(15–23)

where:

ξ = constant damping ratio (input on DMPRAT command)
Ω = excitation circular frequency in the range between ΩB and ΩE
ΩB = 2πFB
ΩE = 2πFE
fB = beginning frequency (input as FREQB,HARFRQ command)
fE = end frequency (input as FREQE,HARFRQ command)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.2. Inertia Relief 		Up / Home Next
15.4. Rotating Structures


15.4. Rotating Structures

When a structure is rotating, inertial forces and moments are observed. To best express these quantities, you can choose a stationary reference frame: global Cartesian (OXYZ) or a rotating reference frame which is attached to the structure (O'X'Y'Z') (input on CORIOLIS command).

Figure 15.4 Reference Frames

The case of a stationary reference frame is developed in Gyroscopic Matrix and leads to the so-called gyroscopic matrix.

The rotating reference frame is addressed below and leads to a Coriolis matrix for dynamic analysis and a Coriolis force for quasi-static analysis. In both types of analyses, the effect of spin softening (Spin Softening) modifies the apparent rigidity of the structure.

Synchronous and asynchronous forces are discussed in Rotating Forces on Rotating Structures

15.4.1. Coriolis Matrix and Coriolis Force

In Figure 15.4: "Reference Frames" above, a part or component is rotating at angular velocity {ω}, with components ωx, ωy, and ωz defined in the stationary reference frame. The position of a point P with reference to (OXYZ) is {r}, while its position with reference to the rotating frame of reference ( [image]) is [image], and:

(15–24)

The velocities of point P as observed in the stationary and rotating frames are defined as:

(15–25)

and

(15–26)

The velocities of point P observed in the stationary frame can be expressed as:

(15–27)

where:

The acceleration of point P as observed in the stationary and rotating frames of reference:

(15–28)

and

(15–29)

By substituting (Equation 15–27) into (Equation 15–28) and using (Equation 15–29), we obtain:

(15–30)

where:

We assume that the origin of the rotating system [image] is fixed, so that:

(15–31)

By substituting (Equation 15–31) into (Equation 15–30),

(15–32)

By applying virtual work from the d'Alembert force, the contribution of the first term {ar} to the virtual work introduces the mass matrix of the element (Guo et al.(364)).

(15–33)

where:

[Me] = element mass matrix
N = shape function matrix
ρ = element density

The second term [image], is the rotational acceleration load term (see Acceleration Effect).

The third term [image]) is the centrifugal load term (see Guo et al.(364), Acceleration Effect, and Stress Stiffening).

The last term contributes to the Coriolis force which generates the damping matrix of the element as a skew symmetric matrix (Guo et al.(364)):

(15–34)

where:

[Ge] = element Coriolis damping matrix

The governing equation of motion in dynamic analysis can be written as,

(15–35)

where:

n = number of elements
[K] = global stiffness matrix
[Kc] = global stiffness due to centrifugal force Spin Softening
{F} = load vector

In a quasi-static analysis, Coriolis force term will be introduced as a load vector as:

(15–36)

where:

{Fc} = Coriolis force
= nodal velocity vector (input using the IC command).

Coriolis forces and damping matrices are available for:

Structural Elements
SHELL181 | 4-Node Finite Strain Shell
PLANE182 | 2-D 4-Node Structure Solid
PLANE183 | 2-D 8-Node Structure Solid
SOLID185 | 3-D 8-Node Structure Solid
SOLID186 | 3-D 20-Node Structure Solid
SOLID187 | 3-D 10-Node Tetrahedra Structure solid
BEAM188 | 3-D Linear Finite Strain Beam
BEAM189 | 3-D Quadratic Finite Strain Beam
SHELL281 | 8-Node Finite Strain Shell
Coupled-Field Elements with Structural DOFs
PLANE223 | 2-D 8-Node Coupled-Field Solid
SOLID226 | 3-D 20-Node Coupled-Field Solid
SOLID227 | 3-D 10-Node Coupled-Field Solid

15.4.2. Gyroscopic Matrix

Suppose a structure is spinning around an axis Δ. If a rotation about an axis perpendicular to Δ is applied to the structure, then a reaction moment appears. It is called the gyroscopic moment. Its axis is perpendicular to both the spinning axis Δ and the applied rotation axis.

The gyroscopic effect is thus coupling rotational degrees of freedom which are perpendicular to the spinning axis.

Below is the development of gyroscopic finite element matrices for lumped mass and beam element(Nelson and McVaugh(362)). Both mass and beam are supposed to be axisymmetric around the spinning axis. The spinning axis is along one of the principal axis of inertia for lumped mass. For the beam, it is along the length.

Suppose the spinning axis is along X so that:

  • Displacements perpendicular to spin axis are uy and uz.

  • Corresponding rotations are θy and θz.

Two reference frames are used (see Figure 15.4: "Reference Frames") (OXYZ) which is stationary and [image] which is attached to the cross-section with [image] axis normal to it.

is defined using 3 successive rotations:

  • θz around Z axis to give

  • θy around [image] axis to give

  • θx around [image] axis to give

Hence for small rotations θy and θz, the instantaneous angular velolcity is:

(15–37)

where:

= spinning velocity (input using OMEGA or CMOMEGA commands)

  1. For a lumped mass, considering only second order terms, kinetic energy is obtained using the instantaneous angular velocity vector in (Equation 15–37).

            (15–38)

    where:

    m = mass
    Id = diametral inertia
    Ip = polar inertia

    The first two terms contribute to the mass matrix of the element and the last term gives the gyroscopic matrix (see MASS21).

  2. The beam element is considered as an infinite number of lumped masses. The gyroscopic kinetic energy of the element is obtained by integrating the last term of (Equation 15–38) along the length of the beam:

            (15–39)

    where:

    ρ = density
    Ix = moment of inertia normal to x
    L = length of the beam element

    Gyroscopic matrix is deduced from (Equation 15–39) using the element shape functions (see PIPE16).

Gyroscopic matrices are available for:

MASS21 | Structural Mass
BEAM4 | 3-D Elastic Beam
PIPE16 | Elastic Straight Pipe
BEAM188 | 3-D Linear Finite Strain Beam
BEAM189 | 3-D Quadratic Finite Strain Beam

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.3. Damping Matrices 		Up / Home Next
15.5. Element Reordering


15.5. Element Reordering

The ANSYS program provides a capability for reordering the elements to reduce the wavefront. Since the wavefront solver processes the elements sequentially, the order of the elements greatly affects the size of the wavefront. To minimize the wavefront is to minimize the number of DOFs that are active at the same time.

Each element has a location, or order, number which represents its sequence in the solution process. Initially, this order number is equal to the identification number of the element. Reordering changes the order number for each element. (The element identification numbers are not changed during reordering and are used in preprocessing and postprocessing.) The new order is used only during the solution phase and is transparent to the user but can be displayed (using the /PNUM,ELEM command). Reordering can be accomplished in one of three ways:

15.5.1. Reordering Based on Topology with a Program-Defined Starting Surface

This sorting algorithm is used by default, requiring no explicit action by the user. The sorting may also be accessed by initiating the reordering (WAVES command), but without a wave starting list (WSTART command). The starting surface is defined by the program using a graph theory algorithm (Hoit and Wilson(99), Cuthill and McKee(100), Georges and McIntyre(101)). The automatic algorithm defines a set of accumulated nodal and element weights as suggested by Hoit and Wilson(99). These accumulated nodal and element weights are then used to develop the element ordering scheme.

15.5.2. Reordering Based on Topology with a User- Defined Starting Surface

This sorting algorithm is initiated (using the WAVES command) and uses a starting surface (input on the WSTART command), and then possibly is guided by other surfaces (also input on the WSTART command). These surfaces, as required by the algorithm, consist of lists of nodes (wave lists) which are used to start and stop the ordering process. The steps taken by the program are:

  1. Define each coupled node set and constraint equation as an element.

  2. Bring in wave list (defined on WSTART command).

  3. Define candidate elements (elements having nodes in present wave list, but not in any other wave list).

  4. If no candidate elements were found, go to step 2 and start again for next wave list. If no more wave lists, then stop.

  5. Find the best candidate based on:

    1. element that brings in the least number of new nodes (nodes not in present wave list) - Subset A of candidate elements.

    2. if Subset A has more than one element, then element from Subset A on the surface of the model - Subset B of candidate elements.

    3. if Subset B has more than one element, then element from Subset B with the lowest element number.

  6. Remove processed nodes from wave list and include new nodes from best candidate.

  7. If best candidate element is not a coupled node set or constraint equation, then save element.

  8. Repeat steps 3 to 7 until all elements have been processed.

Restrictions on the use of reordering based on topology are:

  1. Master DOFs and imposed displacement conditions are not considered.

  2. Any discontinuous models must have at least one node from each part included in a list.

15.5.3. Reordering Based on Geometry

This sorting algorithm (accessed with the WSORT command) is performed by a sweep through the element centroids along one of the three global or local axes, either in the positive or negative direction.

15.5.4. Automatic Reordering

If no reordering was explicitly requested (accessed with the NOORDER command), models are automatically reordered before solution. Both methods outlined in Reordering Based on Topology with a Program-Defined Starting Surface and Reordering Based on Geometry (in three positive directions) are used and the ordering resulting in the smallest wavefront is used.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.4. Rotating Structures 		Up / Home Next
15.6. Automatic Master DOF Selection


15.6. Automatic Master DOF Selection

The program permits the user to select the master degrees of freedom (MDOF) (input on M command), the program to select them (input on TOTAL command), or any combination of these two options. Any user selected MDOF are always retained DOFs during the Guyan reduction. Consider the case where the program selects all of the MDOF. (This method is described by Henshell and Ong(9)). Define:

NS = Number of MDOFS to be selected

NA = Number of total active DOFs in the structure

The procedure then goes through the following steps:

  1. The first NS completed DOFs that are encountered by the wavefront solver are initially presumed to be MDOF. (An option is available to exclude the rotational DOFs (NRMDF = 1, TOTAL command)).

  2. The next DOF is brought into the solver. All of the NS + 1 DOFs then have the quantity (Qi) computed:

(15–40)

where:

Kii = ith main diagonal term of the current stiffness matrix
Mii = ith main diagonal term of the current mass matrix (or stress stiffness matrix for buckling)

If Kii or Mii is zero or negative, row i is eliminated. This removes tension DOFs in buckling.

  1. The largest of the Qi terms is identified and then eliminated.

  2. All remaining DOFs are thus processed in the same manner. Therefore, NA - NS DOFs are eliminated.

It may be seen that there sometimes is a path dependency on the resulting selection of MDOF. Specifically, one selection would result if the elements are read in from left to right, and a different one might result if the elements are read in from right to left. However, this difference usually yields insignificant differences in the results.

The use of this algorithm presumes a reasonably regular structure. If the structure has an irregular mass distribution, the automatically selected MDOF may be concentrated totally in the high mass regions, in which case the manual selection of some MDOF should be used.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.5. Element Reordering 		Up / Home Next
15.7. Automatic Time Stepping


15.7. Automatic Time Stepping

The method of automatic time stepping (or automatic loading) is one in which the time step size and/or the applied loads are automatically determined in response to the current state of the analysis under consideration. This method (accessed with AUTOTS,ON) may be applied to structural, thermal, electric, and magnetic analyses that are performed in the time domain (using the TIME command), and includes static (or steady state) (ANTYPE,STATIC) and dynamic (or transient) (ANTYPE,TRANS) situations.

An important point to be made here is that automatic loading always works through the adjustment of the time step size; and that the loads that are applied are automatically adjusted if ramped boundary conditions are activated (using KBC,0). In other words the time step size is always subjected to possible adjustment when automatic loading is engaged. Applied loads and boundary conditions, however, will vary according to how they are applied and whether the boundary conditions are stepped or ramped. That is why this method may also be thought of as automatic loading.

There are two important features of the automatic time stepping algorithm. The first feature concerns the ability to estimate the next time step size, based on current and past analysis conditions, and make proper load adjustments. In other words, given conditions at the current time, tn, and the previous time increment, Δtn, the primary aim is to determine the next time increment, Δtn+1. Since the determination of Δtn+1 is largely predictive, this part of the automatic time stepping algorithm is referred to as the time step prediction component.

The second feature of automatic time stepping is referred to as the time step bisection component. Its purpose is to decide whether or not to reduce the present time step size, Δtn, and redo the substep with a smaller step size. For example, working from the last converged solution at time point tn-1, the present solution begins with a predicted time step, Δtn. Equilibrium iterations are performed; and if proper convergence is either not achieved or not anticipated, this time step is reduced to Δtn/2 (i.e., it is bisected), and the analysis begins again from time tn-1. Multiple bisections can occur per substep for various reasons (discussed later).

15.7.1. Time Step Prediction

At a given converged solution at time, tn, and with the previous time increment, Δtn, the goal is to predict the appropriate time step size to use as the next substep. This step size is derived from the results of several unrelated computations and is most easily expressed as the minimization statement:

(15–41)

where:

Δteq = time increment which is limited by the number of equilibrium iterations needed for convergence at the last converged time point. The more iterations required for convergence, the smaller the predicted time step. This is a general measure of all active nonlinearities. Increasing the maximum number of equilibrium iterations (using the NEQIT command) will tend to promote larger time step sizes.
Δt1 = time increment which is limited by the response eigenvalue computation for 1st order systems (e.g., thermal transients) (input on the TINTP command).
Δt2 = time increment which is limited by the response frequency computation for 2nd order systems (e.g., structural dynamics). The aim is to maintain 20 points per cycle (described below). Note when the middle step criterion is used, this criterion can be turned off.
Δtg = time increment that represents the time point at which a gap or a nonlinear (multi-status) element will change abruptly from one condition to another (status change). KEYOPT(7) allows further control for the CONTAC elements.
Δtc = time increment based on the allowable creep strain increment (described below).
Δtp = time increment based on the allowable plastic strain increment. The limit is set at 5% per time step (described below).
Δtm = time increment which is limited by the middle step residual tolerance (described below) for 2nd order systems (e.g., structural dynamics) (input on the MIDTOL command). When it is enabled, the Δt2 criterion can be turned off.

Several trial step sizes are calculated, and the minimum one is selected for the next time step. This predicted value is further restricted to a range of values expressed by

(15–42)

and

(15–43)

where:

F = increase/decrease factor. F = 2, if static analysis; F = 3, if dynamic (see the ANTYPE and TIMINT commands)
Δtmax = maximum time step size (DTMAX from the DELTIM command or the equivalent quantity calculated from the NSUBST command)
Δtmin = minimum time step size (DTMIN from the DELTIM command or the equivalent quantity calculated from the NSUBST command)

In other words, the current time step is increased or decreased by at most a factor of 2 (or 3 if dynamic), and it may not be less than Δtmin or greater than Δtmax.

15.7.2. Time Step Bisection

When bisection occurs, the current substep solution (Δtn) is removed, and the time step size is reduced by 50%. If applied loads are ramped (KBC,0), then the current load increment is also reduced by the same amount. One or more bisections can take place for several reasons, namely:

  1. The number of equilibrium iterations used for this substep exceeds the number allowed (NEQIT command).

  2. It appears likely that all equilibrium iterations will be used.

  3. A negative pivot message was encountered in the solution, suggesting instability.

  4. The largest calculated displacement DOF exceeds the limit (DLIM on the NCNV command).

  5. An illegal element distortion is detected (e.g., negative radius in an axisymmetric analysis).

  6. For transient structural dynamics, when the middle step residual is greater than the given tolerance. This check is done only when the middle step residual check is enabled by the MIDTOL command.

More than one bisection may be performed per substep. However, bisection of the time-step size is limited by the minimum size (defined by DTMIN input on the DELTIM command or the equivalent NSUBST input).

15.7.3. The Response Eigenvalue for 1st Order Transients

The response eigenvalue is used in the computation of Δt1 and is defined as:

(15–44)

where:

λr = response eigenvalue (item RESEIG for POST26 SOLU command and *GET command)
{Δu} = substep solution vector (tn-1 to tn)
[KT] = the Dirichlet matrix. In a heat transfer or an electrical conduction analysis this matrix is referred to as the conductivity matrix; in magnetics this is called the magnetic “stiffness”. The superscript T denotes the use of a tangent matrix in nonlinear situations
[C] = the damping matrix. In heat transfer this is called the specific heat matrix.

The product of the response eigenvalue and the previous time step (Δtn) has been employed by Hughes(145) for the evaluation of 1st order explicit/implicit systems. In Hughes(145) the quantity Δtnλ is referred to as the “oscillation limit”, where λ is the maximum eigenvalue. For unconditionally stable systems, the primary restriction on time-step size is that the inequality Δtnλ >> 1 should be avoided. Hence it is very conservative to propose that Δtnλ = 1.

Since the time integration used employs the trapezoidal rule ((Equation 17–31)), all analyses of 1st order systems are unconditionally stable. The response eigenvalue supplied by means of (Equation 15–44) represents the dominate eigenvalue and not the maximum; and the time-step restriction above is restated as:

(15–45)

This equation expresses the primary aim of automatic time stepping for 1st order transient analyses. The quantity Δtnλr appears as the oscillation limit output during automatic loading. The default is f = 1/2, and can be changed (using OSLIM and TOL on the TINTP command). The quantity Δt1 is approximated as:

(15–46)

15.7.4. The Response Frequency for Structural Dynamics

The response frequency is used in the computation of Δt2 and is defined as (Bergan(105)):

(15–47)

where:

fr = response frequency (item RESFRQ for POST26 SOLU command and *GET command)
{Δu} = substep solution vector (tn-1 to tn)
[KT] = tangent stiffness matrix
[M] = mass matrix

This equation is a nonlinear form of Rayleigh's quotient. The related response period is:

(15–48)

Using Tr the time increment limited by the response frequency is:

(15–49)

When the middle step criterion is used, this criterion can be turned off.

15.7.5. Creep Time Increment

The time step size may be increased or decreased by comparing the value of the creep ratio Cmax (Rate-Dependent Plasticity) to the creep criterion Ccr. Ccr is equal to .10 unless it is redefined (using the CRPLIM command). The time step estimate is computed as:

(15–50)

Δtc is used in (Equation 15–41) only if it differs from Δtn by more than 10%.

15.7.6. Plasticity Time Increment

The time step size is increased or decreased by comparing the value of the effective plastic strain increment [image] ((Equation 4–26)) to 0.05 (5%). The time step estimate is computed as:

(15–51)

Δtp is used in (Equation 15–41) only if it differs from Δtn by more than 10%.

15.7.7. Midstep Residual for Structural Dynamic Analysis

The midstep residual is used in the computation of Δtm. The midstep residual for the determination of the time step is based on the following consideration. The solution of the structural dynamic analysis is carried out at the discrete time points, and the solution at the intermediate time remains unknown. However, if the time step is small enough, the solution at the intermediate time should be close enough to an interpolation between the beginning and end of the time step. If so, the unbalanced residual from the interpolation should be small. On the other hand, if the time step is large, the interpolation will be very different from the true solution, which will lead to an unbalanced residual that is too large. The time step is chosen to satisfy the criterion set by the user (e.g. MIDTOL command).

Refer to the discussion in Newton-Raphson Procedure. The residual force at any time between the time step n and n+1 can be written as:

(15–52)

where:

ν = intermediate state between the time step n and n+1 (0 < ν < 1)
{R} = residual force vector
= vector of the applied load at n + ν
= vector of the restoring load corresponding to the element internal load at n + ν, which depends on the intermediate state of displacement at n + ν, and also the velocity and acceleration at n + ν. This intermediate state is approximately calculated based on the Newmark assumption.

A measure of the magnitude of {R} is established in a manner similar to the convergence check at the end of the time step (see Convergence). After the solution has converged at the end of the time step (n+1), the midstep residual force is compared to the reference value:

(15–53)

where:

||{R}|| = magnitude (vector norm) of residual force vector
Rref = reference force (see Convergence)

The convergence criterion for the midstep residual is defined by the value of τb (input as TOLERB on MIDTOL command):

If τb > 0, the value is used as a tolerance. If τb = 0 is specified or τb is not specified, then a default positive value is used as a tolerance. The midstep residual is assumed to have converged if its value is within the desired tolerance (ε [image] τb ). Depending on how well the convergence criterion is satisfied the time step size for the next increment is increased or kept unchanged.

If the midstep residual hasn’t converged (ε > τb), the time step is repeated with a smaller increment:

(15–54)

where:

Δtn = old time step size
τb = midstep residual tolerance(TOLERB on MIDTOL command)

If τb < 0, the value is used as a reference force (reference moment is computed from reference force value) for midstep convergence check. A procedure similar to the one described above is followed with modified definition of time step size:

(15–55)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.6. Automatic Master DOF Selection 		Up / Home Next
15.8. Solving for Unknowns and Reactions


15.8. Solving for Unknowns and Reactions

In general, the equations that are solved for static linear analyses are:

(15–56)

or

(15–57)

where:

[K] = total stiffness or conductivity matrix =
{u} = nodal degree of freedom (DOF) vector
N = number of elements
[Ke] = element stiffness or conductivity matrix
{Fr} = nodal reaction load vector

{Fa}, the total applied load vector, is defined by:

(15–58)

where:

{Fnd} = applied nodal load vector
{Fe} = total of all element load vector effects (pressure, acceleration, thermal, gravity)

(Equation 15–56) thru (Equation 15–58) are similar to (Equation 17–1) thru (Equation 17–4).

If sufficient boundary conditions are specified on {u} to guarantee a unique solution, (Equation 15–56) can be solved to obtain the node DOF values at each node in the model.

Rewriting (Equation 15–57) for linear analyses by separating out the matrix and vectors into those DOFs with and without imposed values,

(15–59)

where:

s = subscript representing DOFs with imposed values (specified DOFs)
c = subscript representing DOFs without imposed values (computed DOFs)

Note that {us} is known, but not necessarily equal to {0}. Since the reactions at DOFs without imposed values must be zero, (Equation 15–59) can be written as:

(15–60)

The top part of (Equation 15–60) may be solved for {uc}:

(15–61)

The actual numerical solution process is not as indicated here but is done more efficiently using one of the various equation solvers discussed in Equation Solvers.

15.8.1. Reaction Forces

The reaction vector [image], may be developed for linear models from the bottom part of (Equation 15–60):

(15–62)

where:

= reaction forces (output using either OUTPR,RSOL or PRRSOL command)

Alternatively, the nodal reaction load vector may be considered over all DOFs by combining (Equation 15–57) and (Equation 15–58) to get:

(15–63)

where only the loads at imposed DOF are output. Where applicable, the transient/dynamic effects are added:

(15–64)

where:

[M] = total mass matrix
[C] = total damping or conductivity matrix
, [image] = defined below

The element static nodal loads are:

(15–65)

where:

= element nodal loads (output using OUTPR,NLOAD, or PRESOL commands)
e = subscript for element matrices and load vectors

The element damping and inertial loads are:

(15–66)

(15–67)

where:

= element damping nodal load (output using OUTPR,NLOAD, or PRESOL commands)
= element inertial nodal load (output using OUTPR,NLOAD, or PRESOL commands)

Thus,

(15–68)

The derivatives of the nodal DOF with respect to time are:

= first derivative of the nodal DOF with respect to time, e.g., velocity
= second derivative of the nodal DOF with respect to time, e.g., acceleration

Transient Analysis and Harmonic Response Analyses discuss the transient and harmonic damping and inertia loads.

If an imposed DOF value is part of a constraint equation, the nodal reaction load vector is further modified using the appropriate terms of the right hand side of (Equation 15–179); that is, the forces on the non-unique DOFs are summed into the unique DOF (the one with the imposed DOF value) to give the total reaction force acting on that DOF.

15.8.2. Disequilibrium

The following circumstances could cause a disequilibrium, usually a moment disequilibrium:

Program Option Explanation of Possible Difficulty
non-planar, 4-node membrane shell elements
SHELL41
SHELL63 with KEYOPT(1) = 1
If the 4 nodes do not lie in a flat plane moment equilibrium may not be preserved, as no internal corrections are done. However, the program requires such elements to be input very close to flat.
nodal coupling constraint equations (CP, CE commands)
The user can write any form of relationship between the displacements, and these may include fictitious forces or moments. Thus, the reaction forces printout can be used to detect input errors.
MATRIX27
User generated super- element matrix
The user has the option to input almost any type of erroneous input, so that such input should be checked carefully. For example, all terms representing UX degrees of freedom of one UX row of the matrix should sum to zero to preserve equilibrium.
COMBIN7
CONTAC12
COMBIN37
FLUID38
COMBIN39
COMBIN40
Noncoincident nodes can cause a moment disequilibrium. (This is usually not a problem if one of the nodes is attached to a non-rotating ground).
COMBIN14 (with KEYOPT(2) > 0)
MATRIX27
COMBIN37
FLUID38
COMBIN39
COMBIN40
Elements with one node having a different nodal coordinate system from the other are inconsistent.

The following circumstances could cause an apparent disequilibrium:

  1. All nodal coordinate systems are not parallel to the global Cartesian coordinate system. However, if all nodal forces are rotated to the global Cartesian coordinate system, equilibrium should be seen to be satisfied.

  2. The solution is not converged. This applies to the potential discrepancy between applied and internal element forces in a nonlinear analysis.

  3. The mesh is too coarse. This may manifest itself for elements where there is an element force printout at the nodes, such as SHELL61 (axisymmetric-harmonic structural shell).

  4. Stress stiffening only (SSTIF,ON), (discussed in Stress Stiffening) is used. Note that moment equilibrium seems not to be preserved in equation (3.6). However, if the implicit updating of the coordinates is also considered (NLGEOM,ON), equilibrium will be seen to be preserved.

  5. The “TOTAL” of the moments (MX, MY, MZ) given with the reaction forces does not necessarily represent equilibrium. It only represents the sum of all applicable moments. Moment equilibrium would also need the effects of forces taken about an arbitrary point.

  6. Axisymmetric models are used with forces or pressures with a radial component. These loads will often be partially equilibrated by hoop stresses, which do not show up in the reaction forces.

  7. Shell elements have an elastic foundation described. The load carried by the elastic foundation is not seen in the reaction forces.

  8. In substructure expansion pass with the resolve method used, the reaction forces at the master degree of freedom are different from that given by the backsubstitution method (see Substructuring Analysis).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.7. Automatic Time Stepping 		Up / Home Next
15.9. Equation Solvers


15.9. Equation Solvers

The system of simultaneous linear equations generated by the finite element procedure is solved either using a direct elimination process or an iterative method. A direct elimination process is primarily a Gaussian elimination approach which involves solving for the unknown vector of variables {u} in (Equation 15–69):

(15–69)

where:

[K] = global stiffness/conductivity matrix
{u} = global vector of nodal unknown
{F} = global applied load vector

The direct elimination process involves decomposition (factorization) of the matrix [K] into lower and upper triangular matrices, [K] = [L][U]. Then forward and back substitutions using [L] and [U] are made to compute the solution vector {u}.

A typical iterative method involves an initial guess, {u}1, of the solution vector {u} and then a successive steps of iteration leading to a sequence of vectors {u}2, {u}3, . . . such that, in the limit, {u}n = {u} as n tends to infinity. The calculation of {u}n + 1 involves [K], {F}, and the {u} vectors from one or two of the previous iterations. Typically the solution converges to within a specified tolerance after a finite number of iterations.

In the following sections, all of the solvers are described under two major subsections: Direct Solvers and Iterative Solvers (all accessed with EQSLV).

15.9.1. Direct Solvers

The two direct solvers that are available are the Sparse Direct Solver (accessed with EQSLV,SPARSE), and the Frontal (Wavefront) Solver (accessed with EQSLV,FRONT). The Sparse Direct Solver makes use of the fact that the finite element matrices are normally sparsely populated. This sparseness allows the system of simultaneous equations to be solved efficiently by minimizing the operation counts. The Frontal Solver, on the other hand, is designed to minimize the memory used in the solution process although the operation count is generally more than that of the Sparse Direct Solver.

15.9.2. Sparse Direct Solver

As described in the introductory section, the linear matrix equation, ((Equation 15–69)) is solved by triangular decomposition of matrix [K] to yield the following equation:

(15–70)

where:

[L] = lower triangular matrix
[U] = upper triangular matrix

By substituting:

(15–71)

we can obtain {u} by first solving the triangular matrix system for {w} by using the forward pass operation given by:

(15–72)

and then computing {u} using the back substitution operation on a triangular matrix given by:

(15–73)

When [K] is symmetric, the above procedure could use the substitution:

(15–74)

However, it is modified as:

(15–75)

where:

[D] = a diagonal matrix

The diagonal terms of [D] may be negative in the case of some nonlinear finite element analysis. This allows the generation of [L'] without the consideration of a square root of negative number. Therefore, (Equation 15–70) through (Equation 15–73) become:

(15–76)

(15–77)

(15–78)

and

(15–79)

Since [K] is normally sparsely populated with coefficients dominantly located around the main diagonal, the Sparse Direct Solver is designed to handle only the nonzero entries in [K]. In general, during the Cholesky decomposition of [K] shown in (Equation 15–70) or (Equation 15–76), nonzero coefficients appear in [L] or [L'] at coefficient locations where [K] matrix had zero entries. The Sparse Direct Solver algorithm minimizes this fill-in by judiciously reordering the equation numbers in [K].

The performance of a direct solution method is greatly optimized through the equations reordering procedure which involves relabeling of the variables in the vector {u}. This simply amounts to permuting the rows and columns of [K] and the rows of {F} with the objective of minimizing fill-in. So, when the decomposition step in (Equation 15–70) or (Equation 15–76) is performed on the reordered [K] matrix, the fill-in that occurs in [L] or [L'] matrix is kept to a minimum. This enormously contributes to optimizing the performance of the Sparse Direct Solver.

To achieve minimum fill-in, different matrix coefficient reordering algorithms are available in the literature (George and Liu(302)). The Sparse Direct Solver uses two different reordering schemes. They are the Minimum Degree ordering and the METIS ordering. The choice of which reordering method to use is automated in the solver algorithm in order to yield the least fill-in.

15.9.3. Frontal Solver

The frontal (or wavefront) solution procedure is discussed by Irons(17) and Melosh and Bamford(25). The number of equations which are active after any element has been processed during the solution procedure is called the wavefront at that point. The method used places a wavefront restriction on the problem definition, which depends upon the amount of memory available for a given problem. Many thousand DOFs (degrees of freedom) on the wavefront can be handled in memory on some currently available computers. Wavefront limits tend to be restrictive only for the analysis of arbitrary 3-D solids. In the wavefront procedure, the sequence in which the elements are processed in the solver (the element “order”) is crucial to minimize the size of the wavefront.

The computer time required for the solution procedure is proportional to the square of the mean wavefront size. Therefore, it is advantageous to be able to estimate and minimize the wavefront size. The wavefront size is determined by the sequence in which the elements are arranged. The node numbers of all elements are scanned to determine which element is the last to use each node. As the total system of equations is assembled from the element matrices, the equations for a node which occurs for the last time are algebraically solved in terms of the remaining unknowns and eliminated from the assembled matrix by Gauss elimination. The active equations are represented by:

(15–80)

where:

Kkj = stiffness term relating the force at DOF k to the displacement at DOF j
uj = nodal displacement of DOF j
Fk = nodal force of DOF k
k = equation (row) number
j = column number
L = number of equations

To eliminate a typical equation i = k, the equation is first normalized to

(15–81)

This is rewritten as:

(15–82)

where:

Here Kii is known as the “pivot”. If the absolute value of Kii is sufficiently small, it is numerically indistinguishable from zero. This usually means the structure is insufficiently constrained (or needs more master DOFs for reduced analyses).

Pivots are categorized as shown in the figure below.

Figure 15.5 Ranges of Pivot Values

In Figure 15.5: " Ranges of Pivot Values",

(15–83)

where:

Kmax = max (Kii) encountered up to this point in the wavefront

The number of small positive and negative pivots (N) are reported with the message:

There are (N) small equation solver pivot terms. This may occur during a Newton-Raphson iteration procedure, is so noted, and usually can be ignored. Otherwise, it usually represents an unconstrained structure or a reduced analysis with insufficient master DOFs and generates an error message.

Large negative pivots will cause the error message:

Large negative pivot value (value) at node (node, DOF).

Variations of this message exist for problems with buckling, stress stiffening or spin softening. Large or small negative pivots for piezoelectric, acoustic, coupled fluid-thermal, circuits, interface elements, as well as for arc length usages are not counted or flagged as they are commonly expected.

(Equation 15–82) is written to a file for later backsubstitution. The remaining equations are modified as:

(15–84)

(15–85)

where:

k ≠ i

so that

(15–86)

where k varies from 1 to L-1. Having eliminated row i from (Equation 15–86), the process is repeated for all other rows eligible to be eliminated.

The equations for a node which occurs for the first time are added to the assembled matrix as the solution progresses. Thus, the assembled matrix expands and contracts as node make their first and last appearance in the element definitions. The varying size of the active matrix is the instantaneous wavefront size.

When several elements are connected to the same node point, the DOFs associated with these elements remain active in memory until the wavefront “passes” all elements connected to the node. DOFs related by constraint equations or coupled nodes remain active until the wavefront “passes” all elements connected to the related DOFs. Master DOFs remain active in memory and are not deleted from the wavefront. This procedure is shown by the flow chart shown in the following figure.

Figure 15.6 Wavefront Flow Chart

To reduce the maximum wavefront size, the elements must be ordered so that the element for which each node is first mentioned is as close as possible in sequence to the element for which it is mentioned last. In geometric terms, the elements should be ordered so that the wavefront sweeps through the model continuously from one end to the other in the direction which has the largest number of nodes. For example, consider a rectangular model having 6 nodes in one direction and 20 nodes in the other direction, as shown below.

Figure 15.7 Sample Mesh

The elements should be ordered along one 6 node edge and progress toward the other 6 node edge. In this way, equations will be deleted from the assembled matrix as soon as possible after they are added, thus minimizing the wavefront size. All elements, including those of different types, should be included in the “one sweep” definition. See Element Reordering for element reordering to reduce wavefront size.

See Reuse of Matrices for when matrices can be reused.

15.9.4. Iterative Solver

The ANSYS program offers a large number of iterative solvers as alternatives to the direct solvers (sparse or frontal solvers). These alternatives in many cases can result in less I/O or disk usage, less total elapsed time, and more scalable parallel performance. However, in general, iterative solvers are not as robust as the direct solvers. For numerical challenges such as a nearly-singular matrix (matrix with small pivots) or a matrix that includes Lagrangian multipliers, the direct solver is an effective solution tool, while an iterative solver is less effective or may even fail.

The first three iterative solvers are based on the conjugate gradient (CG) method. The first of these three CG solvers is the Jacobi Conjugate Gradient (JCG) solver (Mahinthakumar and Hoole (144)) (accessed with EQSLV,JCG) which is suitable for well-conditioned problems. Well-conditioned problems often arise from heat transfer, acoustics, magnetics and solid 2-D / 3-D structural analyses. The JCG solver is available for real and complex symmetric and unsymmetric matrices. The second solver is the Preconditioned Conjugate Gradient (PCG) solver (accessed with EQSLV,PCG) which is efficient and reliable for all types of analyses including the ill-conditioned beam/shell structural analysis. The PCG solver is made available through a license from Computational Applications and System Integration, Inc. of Champaign, Illinois (USA). The PCG solver is only valid for real symmetric stiffness matrices. The third solver is the Incomplete Cholesky Conjugate Gradient (ICCG) solver (internally developed, unpublished work) (accessed with EQSLV,ICCG). The ICCG solver is more robust than the JCG solver for handling ill-conditioned matrices. The ICCG solver is available for real and complex, symmetric and unsymmetric matrices.

The typical system of equations to be solved iteratively is given as :

(15–87)

where:

[K] = global coefficient matrix
{u} = unknown vector
{F} = global load vector

In the CG method, the solution is found as a series of vectors {pi}:

(15–88)

where m is no larger than the matrix size n. The scheme is guaranteed to converge in n or fewer iterations on an infinite precision machine. However, since the scheme is implemented on a machine with finite precision, it sometimes requires more than n iterations to converge. The solvers allow up to a maximum of 2n iterations. If it still does not converge after the 2n iterations, the solution will be abandoned with an error message. The unconverged situation is often due to an inadequate number of boundary constraints being used (rigid body motion). The rate of convergence of the CG algorithm is proportional to the square root of the conditioning number of [K] where the condition number of [K] is equal to the ratio of the maximum eigenvalue of [K] to the minimum eigenvalue of [K] . A preconditioning procedure is used to reduce the condition number of linear (Equation 15–87). In the JCG algorithm, the diagonal terms of [K] are used as the preconditioner [Q], while in the ICCG and PCG algorithms, a more sophisticated preconditioner [Q] is used. The CG algorithm with preconditioning is shown collectively as (Equation 15–89).

(15–89)

Convergence is achieved when:

(15–90)

where:

ε = user supplied tolerance (TOLER on the EQSLV command; output as SPECIFIED TOLERANCE)
{Ri} = {F} - [K] {ui}
{ui} = solution vector at iteration i

also, for the JCG and ICCG solvers:

(15–91)

(15–92)

It is assumed that the initial starting vector {u0} is a zero vector.

Other iterative solvers are provided by ANSYS to achieve a more scalable parallel/distributed performance. The algebraic multigrid (AMG) solver is explained below. The others, the DPCG and DJCG, are mathematically the same as the PCG and JCG solvers described earlier in this section but are implemented in a distributed computing environment.

The AMG solver (accessed with EQSLV,AMG), is made available through a license from Solvers International, Inc. of Colorado (USA), and is written for shared-memory architecture machines. AMG solver works on the incoming total equation matrix and automatically creates a few levels of coarser equation matrices. Iterative convergence is accomplished by iterating between a coarse and a fine matrix. The maximum scalability that can be achieved using 8 CPU processors is about a 5 times speedup in total elapsed time. For the ill-conditioned problems where the ill-conditioning is caused by high aspect ratio elements, a large amount of constraint equations, or shell/beam attached to solid elements, the AMG solver with one CPU processor is more efficient than any of the three CG solvers. The AMG solver is also valid with constraint equations and coupling.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.8. Solving for Unknowns and Reactions 		Up / Home Next
15.10. Mode Superposition Method


15.10. Mode Superposition Method

Mode superposition method is a method of using the natural frequencies and mode shapes from the modal analysis (ANTYPE,MODAL) to characterize the dynamic response of a structure to transient (ANTYPE,TRANS with TRNOPT,MSUP, Transient Analysis), or steady harmonic (ANTYPE,HARM with HROPT,MSUP, Harmonic Response Analyses) excitations.

The equations of motion may be expressed as in (Equation 17–5):

(15–93)

{F} is the time-varying load vector, given by

(15–94)

where:

{Fnd} = time varying nodal forces
s = load vector scale factor (input on LVSCALE command)
{Fs} = load vector from the modal analysis (see below)

The load vector {Fs} is computed when doing a modal analysis and its generation is the same as for a substructure load vector, described in Substructuring Analysis.

The following development is similar to that given by Bathe(2):

Define a set of modal coordinates yi such that

(15–95)

where:

{φi} = the mode shape of mode i
n = the number of modes to be used (input as MAXMODE on TRNOPT or HROPT commands)

Note that (Equation 15–95) hinders the use of nonzero displacement input, since defining yi in terms of {u} is not straight forward. The inverse relationship does exist ((Equation 15–95)) for the case where all the displacements are known, but not when only some are known. Substituting (Equation 15–95) into (Equation 15–93),

(15–96)

Premultiply by a typical mode shape {φi}T :

(15–97)

The orthogonal condition of the natural modes states that

(15–98)

(15–99)

In the mode superposition method using Lanczos and subspace extraction methods, only Rayleigh or constant damping is allowed so that:

(15–100)

Applying these conditions to (Equation 15–97), only the i = j terms remain:

(15–101)

The coefficients of [image], [image], and yj, are derived as follows:

  1. Coefficient of [image]:

    By the normality condition ((Equation 17–42)),

            (15–102)

  2. Coefficient of [image]:

    The damping term is based on treating the modal coordinate as a single DOF system (shown in (Equation 15–93)) for which:

            (15–103)

    and

            (15–104)

    Figure 15.8 Single Degree of Freedom Oscillator

    (Equation 15–104) can give a definition of φj:

            (15–105)

    From (Tse(68)),

            (15–106)

    where:

    ξj = fraction of critical damping for mode j

    and,

            (15–107)

    where:

    ωj = natural circular frequency of mode j

    Combining (Equation 15–105) thru (Equation 15–102) with (Equation 15–103),

            (15–108)

  3. Coefficient of yj:

    From (Equation 17–39),

            (15–109)

    Premultiply by {φj}T,

            (15–110)

    Substituting (Equation 15–102) for the mass term,

            (15–111)

    For convenient notation, let

            (15–112)

    represent the right-hand side of (Equation 15–101). Substituting (Equation 15–102), (Equation 15–108), (Equation 15–111) and (Equation 15–112) into (Equation 15–101), the equation of motion of the modal coordinates is obtained:

            (15–113)

    Since j represents any mode, (Equation 15–113) represents n uncoupled equations in the n unknowns yj. The advantage of the uncoupled system (ANTYPE,TRAN with TRNOPT,MSUP) is that all the computationally expensive matrix algebra has been done in the eigensolver, and long transients may be analyzed inexpensively in modal coordinates with (Equation 15–95). In harmonic analysis (ANTYPE,HARM with HROPT,MSUP), frequencies may be scanned faster than by the reduced harmonic response (ANTYPE,HARM with HROPT,REDUC) method.

    The yj are converted back into geometric displacements {u} (the system response to the loading) by using (Equation 15–95). That is, the individual modal responses yj are superimposed to obtain the actual response, and hence the name “mode superposition”.

    If the modal analysis was performed using the reduced method (MODOPT,REDUC), then the matrices and load vectors in the above equations would be in terms of the master DOFs (i.e., [image]).

    For the QR damped mode extraction method, the differential equations of motion in modal coordinate as deduced from (Equation 15–217) with the right hand side force vector of (Equation 15–97). They are written as:

            (15–114)

    where:

    [Φ] = real eigenvector matrix normalized with respect to mass coming from the LANCZOS run of QRDAMP (see QR Damped Method for more details.
    = diagonal matrix containing the eigenvalues ωi squared.
    [Kunsym] = unsymmetric part of the stiffness matrix.

    It can be seen that if [C] is arbitrary and/or [K] is unsymmetric, the modal matrices are full so that the modal equations are coupled.

15.10.1. Modal Damping

The modal damping, ξj, is the combination of several ANSYS damping inputs:

(15–115)

where:

α = uniform mass damping multiplier (input on ALPHAD command)
β = uniform stiffness damping multiplier (input on BETAD command)
ξ = constant damping ratio (input on DMPRAT command)
= modal damping ratio (input on MDAMP command)

Because of the assumption in (Equation 15–100), explicit damping in such elements as COMBIN14 is not allowed by the mode superposition procedure except when using the QRDAMP eigensolver. In addition constant stiffness matrix multiplier βm (input as DAMP on MP command) and constant material damping coefficients βξ (input as DMPR on MP command) are not applicable in modal damping since the resulting modal damping matrices are not uncoupled in the modal subspace (see (Equation 15–100) and (Equation 15–217)).

15.10.2. Residual Vector Method

In modal superposition analysis, the dynamic response will be approximate when the applied loading excites the higher frequency modes of a structure. To improve the accuracy of dynamic response, the residual vector method employs additional modal transformation vectors (designated as residual vectors) in addition to the eigenvectors in the modal transformation ((Equation 15–95)).

The residual vector method uses extra residual vectors computed at the modal analysis part (ANTYPE,MODAL) with residual vector calculation flag turned on (RESVEC,ON) to characterize the high frequency response of a structure to dynamic loading in modal superposition transient (ANTYPE,TRANS with TRNOPT,MSUP), or modal superposition harmonic (ANTYPE,HARM with HROPT,MSUP) analyses. Because of the improved convergence properties of this method, fewer eigenmodes are required from the eigensolution.

The dynamic response of the structure can be divided into two terms:

(15–116)

where:

xL = lower mode contributions ((Equation 15–95))
xH = higher mode contributions, which can be expressed as the combination of residual vectors.

First, the flexibility matrix can be expressed as:

(15–117)

where:

[G] = generalized inverse matrix of stiffness matrix K (see Geradin and Rixen(368)
{Φ}i = elastic normal modes
n = total degree of freedom of the system

The residual flexibility matrix is given by:

(15–118)

Define residual vectors as:

(15–119)

where:

[F] = matrix of force vectors

Orthogonalize the residual vectors with respect to the retained elastic normal modes gives orthogonalized residual vectors {ΦR}j.

Then the basis vectors for modal subspace are formed by:

(15–120)

which will be used in modal superposition transient and harmonic analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.9. Equation Solvers 		Up / Home Next
15.11. Extraction of Modal Damping Parameter for Squeeze Film Problems


15.11. Extraction of Modal Damping Parameter for Squeeze Film Problems

A constant damping ratio is often applied for harmonic response analysis. In practice this approach only leads to satisfying results if all frequency steps can be represented by the same damping ratio or the operating range encloses just one eigenmode. Difficulties arise if the damping ratio depends strongly on the excitation frequency as happens in case of viscous damping in gaseous environment.

A typical damping ratio verse frequency function is shown below. For this example, the damping ratio is almost constant below the cut-off frequency. Harmonic oscillations at frequencies below cutoff are strongly damped. Above cut-off the damping ratio decreases. Close to the structural eigenfrequency the damping ratio dropped down to about 0.25 and a clear resonance peak can be observed.

Figure 15.9 Damping and Amplitude Ratio vs. Frequency

Damping and stiffness coefficients in modal coordinates are defined based on their nodal coordinate values as:

(15–121)

and

(15–122)

where:

[C] = damping coefficient in modal coordinates
{φi} = eigenvector i (in modal coordinates)
[C*] = finite element damping matrix in modal coordinates
[K*] = finite element stiffness matrix in nodal coordinates

Unfortunately, both matrices [C*] and [K*] are not directly available for the fluid part of the coupled domain problem (e.g., squeeze film elements FLUID136). Moreover eigenvectors are derived from the structural part of the coupled domain problem and consequently neither the modal damping matrix nor the modal stiffness matrix of the fluidic system are necessarily orthogonal. Essential off-diagonal elements occur in case of asymmetric film arrangements or asymmetric plate motion as shown below.

Figure 15.10 Fluid Pressure From Modal Excitation Distribution

The goal is to express the viscous damping in modal coordinates as follows:

(15–123)

where:

{F} = modal force vector
{q} = vector of modal displacement amplitudes
[C] = unknown modal damping matrix
[K] = unknown modal squeeze stiffness matrix

The following algorithm is necessary to compute all coefficients of the modal damping and stiffness matrix:

  1. Start with the first mode and excite the fluid elements by wall velocities which correspond to a unit modal velocity. In fact the nodal velocities become equal to the eigenvector of the appropriate mode.

  2. Compute the real and imaginary part of the pressure distribution in a harmonic response analyses.

  3. Compute modal forces with regard to all other modes. The ith modal force states how much the pressure distribution of the first mode really acts on the ith mode.

  4. The computed modal forces can be used to extract all damping and squeeze stiffness coefficients of the first column in the [C] and [K] matrices.

  5. Repeat step 1 with the next eigenvector and compute the next column of [C] and [K].

The theoretical background is given by the following equations. Each coefficient Cji and Kji is defined by:

(15–124)

and

(15–125)

where:

F(qi) = complex nodal damping force vector caused by a unit modal velocity of the source mode i.

Note that the modal forces are complex numbers with a real and imaginary part. The real part, Re, represents the damping force and the imaginary part, Im, the squeeze force, which is cause by the fluid compression. The damping and squeeze coefficients are given by:

(15–126)

and

(15–127)

Assuming the structure is excited by a unit modal velocity we obtain:

(15–128)

and

(15–129)

where:

Ω = excitation frequency (input on DMPEXT command)

Modal damping ratios ξ or the squeeze stiffness to structural stiffness ratio KRatio are defined only for the main diagonal elements. These numbers are computed by:

(15–130)

and

(15–131)

where:

mi = modal mass and the eigenfrequency ωi

The damping ratio is necessary to compute α and β (input as ALPHAD and BETAD commands) parameters for Rayleigh damping models or to specify constant or modal damping (input by DMPRAT or MDAMP commands).

The squeeze to stiffness ratio specifies how much the structural stiffness is affected by the squeeze film. It can not directly be applied to structural elements but is helpful for user defined reduced order models.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.10. Mode Superposition Method 		Up / Home Next
15.12. Reduced Order Modeling of Coupled Domains


15.12. Reduced Order Modeling of Coupled Domains

A direct finite element solution of coupled-physics problems is computationally very expensive. The goal of the reduced-order modeling is to generate a fast and accurate description of the coupled-physics systems to characterize their static or dynamic responses. The method presented here is based on a modal representation of coupled domains and can be viewed as an extension of the Mode Superposition Method to nonlinear structural and coupled-physics systems (Gabbay, et al.(230), Mehner, et al.(250), Mehner, et al.(335), and Mehner, et al.(336)).

In the mode superposition method, the deformation state u of the structural domain is described by a factored sum of mode shapes:

(15–132)

where:

qi = modal amplitude of mode i
φi = mode shape
ueq = deformation in equilibrium state in the initial prestress position
m = number of considered modes

By substituting (Equation 15–132) into the governing equations of motion, we obtain m constitutive equations that describe nonlinear structural systems in modal coordinates qi:

(15–133)

where:

mi = modal mass
ξi = modal damping factor
ωi = angular frequency
WSENE = strain energy
= modal node force
= modal element force
Sl = element load scale factor (input on RMLVSCALE command)

In a general case, (Equation 15–133) are coupled since the strain energy WSENE depends on the generalized coordinates qi. For linear structural systems, (Equation 15–133) reduces to (Equation 15–113).

Reduced Order Modeling (ROM) substantially reduces running time since the dynamic behavior of most structures can be accurately represented by a few eigenmodes. The ROM method presented here is a three step procedure starting with a Generation Pass, followed by a Use Pass ROM144 - Reduced Order Electrostatic-Structural, which can either be performed within ANSYS or externally in system simulator environment, and finally an optional Expansion Pass to extract the full DOF set solution according to (Equation 15–132).

The entire algorithm can be outlined as follows:

  • Determine the linear elastic modes from the modal analysis (ANTYPE,MODAL) of the structural problem.

  • Select the most important modes based on their contribution to the test load displacement (RMMSELECT command).

  • Displace the structure to various linear combinations of eigenmodes and compute energy functions for single physics domains at each deflection state (RMSMPLE command).

  • Fit strain energy function to polynomial functions (RMRGENERATE command).

  • Derive the ROM finite element equations from the polynomial representations of the energy functions.

15.12.1. Selection of Modal Basis Functions

Modes used for ROM can either be determined from the results of the test load application or based on their modal stiffness at the initial position.

Case 1: Test Load is Available (TMOD option on RMMSELECT command)

The test load drives the structure to a typical deformation state, which is representative for most load situations in the Use Pass. The mode contribution factors ai are determined from

(15–134)

where:

φi = mode shapes at the neutral plane nodes obtained from the results of the modal analysis (RMNEVEC command)
ui = displacements at the neutral plane nodes obtained from the results of the test load (TLOAD option on RMNDISP command).

Mode contribution factors ai are necessary to determine what modes are used and their amplitude range. Note that only those modes are considered in (Equation 15–134), which actually act in the operating direction (specified on the RMANL command). Criterion is that the maximum of the modal displacement in operating direction is at least 50% of the maximum displacement amplitude. The solution vector ai indicates how much each mode contributes to the deflection state. A specified number of modes (Nmode of the RMMSELECT command) are considered unless the mode contribution factors are less than 0.1%.

(Equation 15–134) solved by the least squares method and the results are scaled in such a way that the sum of all m mode contribution factors ai is equal to one. Modes with highest ai are suggested as basis functions.

Usually the first two modes are declared as dominant. The second mode is not dominant if either its eigenfrequency is higher than five times the frequency of the first mode, or its mode contribution factor is smaller than 10%.

The operating range of each mode is proportional to their mode contribution factors taking into account the total deflection range (Dmax and Dmin input on the RMMSELECT command). Modal amplitudes smaller than 2.5% of Dmax are increased automatically in order to prevent numerical round-off errors.

Case 2: Test Load is not Available (NMOD option on RMMSELECT command)

The first Nmode eigenmodes in the operating direction are chosen as basis functions. Likewise, a considered mode must have a modal displacement maximum in operating direction of 50% with respect to the modal amplitude.

The minimum and maximum operating range of each mode is determined by:

(15–135)

where:

DMax/Min = total deflection range of the structure (input on RMMSELECT command)

15.12.2. Element Loads

Up to 5 element loads such as acting gravity, external acceleration or a pressure difference may be specified in the Generation Pass and then scaled and superimposed in the Use Pass. In the same way as mode contribution factors ai are determined for the test load, the mode contribution factors [image] for each element load case are determined by a least squares fit:

(15–136)

where:

= displacements at the neutral plane nodes obtained from the results of the element load j (ELOAD option on RMNDISP command).

Here index k represents the number of modes, which have been selected for the ROM. The coefficients [image] are used to calculate modal element forces (see Element Matrices and Load Vectors).

15.12.3. Mode Combinations for Finite Element Data Acquisition and Energy Computation

In a general case, the energy functions depend on all basis functions. In the case of m modes and k data points in each mode direction one would need km sample points.

A large number of examples have shown that lower eigenmodes affect all modes strongly whereby interactions among higher eigenmodes are negligible. An explanation for this statement is that lower modes are characterized by large amplitudes, which substantially change the operating point of the system. On the other hand, the amplitudes of higher modes are reasonably small, and they do not influence the operating point.

Taking advantage of those properties is a core step in reducing the computational effort. After the mode selection procedure, the lowest modes are classified into dominant and relevant. For the dominant modes, the number of data points in the mode direction defaults to 11 and 5 respectively for the first and second dominant modes respectively. The default number of steps for relevant modes is 3. Larger (than the default above) number of steps can be specified on the RMMRANGE command.

A very important advantage of the ROM approach is that all finite element data can be extracted from a series of single domain runs. First, the structure is displaced to the linear combinations of eigenmodes by imposing displacement constrains to the neutral plane nodes. Then a static analysis is performed at each data point to determine the strain energy.

Both the sample point generation and the energy computation are controlled by the command RMSMPLE.

15.12.4. Function Fit Methods for Strain Energy

The objective of function fit is to represent the acquired FE data in a closed form so that the ROM FE element matrices (ROM144 - Reduced Order Electrostatic-Structural) are easily derived from the analytical representations of energy functions.

The ROM tool uses polynomials to fit the energy functions. Polynomials are very convenient since they can capture smooth functions with high accuracy, can be described by a few parameters and allow a simple computation of their local derivatives. Moreover, strain energy functions are inherent polynomials. In the case of linear systems, the strain energy can be exactly described by a polynomial of order two since the stiffness is constant. Stress-stiffened problems are captured by polynomials of order four.

The energy function fit procedure (RMRGENERATE command) calculates nc coefficients that fit a polynomial to the n values of strain energy:

(15–137)

where:

[A] = n x nc matrix of polynomial terms
{KPOLY} = vector of desired coefficients

Note that the number of FE data (WSENE) points n for a mode must be larger than the polynomial order P for the corresponding mode (input on RMPORDER command). (Equation 15–137) is solved by means of a least squares method since the number of FE data points n is usually much larger than the number polynomial coefficients nc.

The ROM tool uses four polynomial types (input on RMROPTIONS command):

Lagrange
Pascal
Reduced Lagrange
Reduced Pascal

Lagrange and Pascal coefficient terms that form matrix [A] in (Equation 15–137) are shown in Figure 15.11: "Set for Lagrange and Pascal Polynomials".

Figure 15.11 Set for Lagrange and Pascal Polynomials

Polynomials for Order 3 for Three Modes (1-x, 2-y, 3-z)

Reduced Lagrange and Reduced Pascal polynomial types allow a further reduction of KPOLY by considering only coefficients located on the surface of the brick and pyramid respectively .

15.12.5. Coupled Electrostatic-Structural Systems

The ROM method is applicable to electrostatic-structural systems.

The constitutive equations for a coupled electrostatic-structural system in modal coordinates are:

(15–138)

for the modal amplitudes and

(15–139)

where:

Ii = current in conductor i
Qi = charge on the ith conductor
Vi = ith conductor voltage

The electrostatic co-energy is given by:

(15–140)

where:

Cij = lumped capacitance between conductors i and j (input on RMCAP command)
r = index of considered capacitance

15.12.6. Computation of Capacitance Data and Function Fit

The capacitances Cij, and the electrostatic co-energy respectively, are functions of the modal coordinates qi. As the strain energy WSENE for the structural domain, the lumped capacitances are calculated for each k data points in each mode direction, and then fitted to polynomials. Following each structural analysis to determine the strain energy WSENE, (n-1) linear simulations are performed in the deformed electrostatic domain, where n is the number of conductors, to calculate the lumped capacitances. The capacitance data fit is similar to the strain energy fit described above (Function Fit Methods for Strain Energy). It is sometimes necessary to fit the inverted capacitance function (using the Invert option on the RMROPTIONS command).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.11. Extraction of Modal Damping Parameter for Squeeze Film Problems 		Up / Home Next
15.13. Newton-Raphson Procedure


15.13. Newton-Raphson Procedure

15.13.1. Overview

The finite element discretization process yields a set of simultaneous equations:

(15–141)

where:

[K] = coefficient matrix
{u} = vector of unknown DOF (degree of freedom) values
{Fa} = vector of applied loads

If the coefficient matrix [K] is itself a function of the unknown DOF values (or their derivatives) then (Equation 15–141) is a nonlinear equation. The Newton-Raphson method is an iterative process of solving the nonlinear equations and can be written as (Bathe(2)):

(15–142)

(15–143)

where:

= Jacobian matrix (tangent matrix)
i = subscript representing the current equilibrium iteration
= vector of restoring loads corresponding to the element internal loads

Both [image] and [image] are evaluated based on the values given by {ui}. The right-hand side of (Equation 15–142) is the residual or out-of-balance load vector; i.e., the amount the system is out of equilibrium. A single solution iteration is depicted graphically in Figure 15.12: "Newton-Raphson Solution - One Iteration" for a one DOF model. In a structural analysis, [image] is the tangent stiffness matrix, {ui} is the displacement vector and [image] is the restoring force vector calculated from the element stresses. In a thermal analysis, [image] is the conductivity matrix, {ui} is the temperature vector and [image] is the resisting load vector calculated from the element heat flows. In an electromagnetic analysis, [image] is the Dirichlet matrix, {ui} is the magnetic potential vector, and [image] is the resisting load vector calculated from element magnetic fluxes. In a transient analysis, [image] is the effective coefficient matrix and [image] is the effective applied load vector which includes the inertia and damping effects.

As seen in the following figures, more than one Newton-Raphson iteration is needed to obtain a converged solution. The general algorithm proceeds as follows:

  1. Assume {u0}. {u0} is usually the converged solution from the previous time step. On the first time step, {u0} = {0}.

  2. Compute the updated tangent matrix [image] and the restoring load [image] from configuration {ui}.

  3. Calculate {Δui} from (Equation 15–142).

  4. Add {Δui} to {ui} in order to obtain the next approximation {ui + 1} ((Equation 15–143)).

  5. Repeat steps 2 to 4 until convergence is obtained.

Figure 15.12 Newton-Raphson Solution - One Iteration

Figure 15.13: "Newton-Raphson Solution - Next Iteration" shows the solution of the next iteration (i + 1) of the example from Figure 15.12: "Newton-Raphson Solution - One Iteration". The subsequent iterations would proceed in a similar manner.

The solution obtained at the end of the iteration process would correspond to load level {Fa}. The final converged solution would be in equilibrium, such that the restoring load vector [image] (computed from the current stress state, heat flows, etc.) would equal the applied load vector {Fa} (or at least to within some tolerance). None of the intermediate solutions would be in equilibrium.

Figure 15.13 Newton-Raphson Solution - Next Iteration

If the analysis included path-dependent nonlinearities (such as plasticity), then the solution process requires that some intermediate steps be in equilibrium in order to correctly follow the load path. This is accomplished effectively by specifying a step-by-step incremental analysis; i.e., the final load vector {Fa} is reached by applying the load in increments and performing the Newton-Raphson iterations at each step:

(15–144)

where:

[Kn,i] = tangent matrix for time step n, iteration i
= total applied force vector at time step n
= restoring force vector for time step n, iteration i

This process is the incremental Newton-Raphson procedure and is shown in Figure 15.14: "Incremental Newton-Raphson Procedure". The Newton-Raphson procedure guarantees convergence if and only if the solution at any iteration {ui} is “near” the exact solution. Therefore, even without a path-dependent nonlinearity, the incremental approach (i.e., applying the loads in increments) is sometimes required in order to obtain a solution corresponding to the final load level.

Figure 15.14 Incremental Newton-Raphson Procedure

When the stiffness matrix is updated every iteration (as indicated in (Equation 15–142) and (Equation 15–144)) the process is termed a full Newton-Raphson solution procedure ( NROPT,FULL or NROPT,UNSYM). Alternatively, the stiffness matrix could be updated less frequently using the modified Newton-Raphson procedure (NROPT,MODI). Specifically, for static or transient analyses, it would be updated only during the first or second iteration of each substep, respectively. Use of the initial-stiffness procedure (NROPT,INIT) prevents any updating of the stiffness matrix, as shown in Figure 15.15: "Initial-Stiffness Newton-Raphson". If a multistatus element is in the model, however, it would be updated at iteration in which it changes status, irrespective of the Newton-Raphson option. The modified and initial-stiffness Newton-Raphson procedures converge more slowly than the full Newton-Raphson procedure, but they require fewer matrix reformulations and inversions. A few elements form an approximate tangent matrix so that the convergence characteristics are somewhat different.

Figure 15.15 Initial-Stiffness Newton-Raphson

15.13.2. Convergence

The iteration process described in the previous section continues until convergence is achieved. The maximum number of allowed equilibrium iterations (input on NEQIT command) are performed in order to obtain convergence.

Convergence is assumed when

(15–145)

and/or

(15–146)

where {R} is the residual vector:

(15–147)

which is the right-hand side of the Newton-Raphson (Equation 15–142). {Δui} is the DOF increment vector, εR and εu are tolerances (TOLER on the CNVTOL command) and Rref and uref are reference values (VALUE on the CNVTOL command). || [image] || is a vector norm; that is, a scalar measure of the magnitude of the vector (defined below).

Convergence, therefore, is obtained when size of the residual (disequilibrium) is less than a tolerance times a reference value and/or when the size of the DOF increment is less than a tolerance times a reference value. The default is to use out-of-balance convergence checking only. The default tolerance are .001 (for both εu and εR).

There are three available norms (NORM on the CNVTOL command) to choose from:

  1. Infinite norm

  2. L1 norm

  3. L2 norm

For DOF increment convergence, substitute Δu for R in the above equations. The infinite norm is simply the maximum value in the vector (maximum residual or maximum DOF increment), the L1 norm is the sum of the absolute value of the terms, and the L2 norm is the square root of the sum of the squares (SRSS) value of the terms, also called the Euclidean norm. The default is to use the L2 norm.

The default out-of-balance reference value Rref is ||{Fa}||. For DOFs with imposed displacement constraints, {Fnr} at those DOFs are used in the computation of Rref. For structural DOFs, if ||{Fa}|| falls below 1.0, then Rref uses 1.0 as its value. This occurs most often in rigid body motion (e.g., stress-free rotation) analyses. For thermal DOFs, if ||{Fa}|| falls below 1.0E-6, then Rref uses 1.0E-6 as its value. For all other DOFs, Rref uses 0.0. The default reference value uref is ||{u}||.

15.13.3. Predictor

The solution used for the start of each time step n {un,0} is usually equal to the current DOF solution {un -1}. The tangent matrix [Kn,0] and restoring load {Fn,0} are based on this configuration. The predictor option (PRED command) extrapolates the DOF solution using the previous history in order to take a better guess at the next solution.

In static analyses, the prediction is based on the displacement increments accumulated over the previous time step, factored by the time-step size:

(15–148)

where:

{Δun} = displacement increment accumulated over the previous time step
n = current time step

(15–149)

and β is defined as:

(15–150)

where:

Δtn = current time-step size
Δtn-1 = previous time-step size

β is not allowed to be greater than 5.

In transient analyses, the prediction is based on the current velocities and accelerations using the Newmark formulas for structural DOFs:

(15–151)

where:

= current displacements, velocities and accelerations
Δtn = current time-step size
α = Newmark parameter (input on TINTP command)

For thermal, magnetic and other first order systems, the prediction is based on the trapezoidal formula:

(15–152)

where:

{un - 1} = current temperatures (or magnetic potentials)
= current rates of these quantities
θ = trapezoidal time integration parameter (input on TINTP command)

See Transient Analysis for more details on the transient procedures.

The subsequent equilibrium iterations provide DOF increments {Δu} with respect to the predicted DOF value {un,0}, hence this is a predictor-corrector algorithm.

15.13.4. Adaptive Descent

Adaptive descent (Adptky on the NROPT command) is a technique which switches to a “stiffer” matrix if convergence difficulties are encountered, and switches back to the full tangent as the solution convergences, resulting in the desired rapid convergence rate (Eggert(152)).

The matrix used in the Newton-Raphson equation ((Equation 15–142)) is defined as the sum of two matrices:

(15–153)

where:

[KS] = secant (or most stable) matrix
[KT] = tangent matrix
ξ = descent parameter

The program adaptively adjusts the descent parameter (ξ) during the equilibrium iterations as follows:

  1. Start each substep using the tangent matrix (ξ = 0).

  2. Monitor the change in the residual ||{R}||2 over the equilibrium iterations:

    If it increases (indicating possible divergence):

    • remove the current solution if ξ < 1, reset ξ to 1 and redo the iteration using the secant matrix

    • if already at ξ = 1, continue iterating

    If it decreases (indicating converging solution):

    • If ξ = 1 (secant matrix) and the residual has decreased for three iterations in a row (or 2 if ξ was increased to 1 during the equilibrium iteration process by (a.) above), then reduce ξ by a factor of 1/4 (set it to 0.25) and continue iterating.

    • If the ξ < 1, decrease it again by a factor of 1/4 and continue iterating. Once ξ is below 0.0156, set it to 0.0 (use the tangent matrix).

  3. If a negative pivot message is encountered (indicating an ill-conditioned matrix):

    • If ξ < 1, remove the current solution, reset ξ = 1 and redo the iteration using the secant matrix.

    • If ξ = 1, bisect the time step if automatic time stepping is active, otherwise terminate the execution.

The nonlinearities which make use of adaptive descent (that is, they form a secant matrix if ξ > 0) include: plasticity, contact, stress stiffness with large strain, nonlinear magnetics using the scalar potential formulation, the concrete element SOLID65 with KEYOPT(7) = 1, and the membrane shell element SHELL41 with KEYOPT(1) = 2. Adaptive descent is used by default in these cases unless the line search or arc-length options are on. It is only available with full Newton-Raphson, where the matrix is updated every iteration. Full Newton-Raphson is also the default for plasticity, contact and large strain nonlinearities.

15.13.5. Line Search

The line search option (accessed with LNSRCH command) attempts to improve a Newton-Raphson solution {Δui} by scaling the solution vector by a scalar value termed the line search parameter.

Consider (Equation 15–143) again:

(15–154)

In some solution situations, the use of the full {Δui} leads to solution instabilities. Hence, if the line search option is used, (Equation 15–154) is modified to be:

(15–155)

where:

s = line search parameter, 0.05 < s < 1.0

s is automatically determined by minimizing the energy of the system, which reduces to finding the zero of the nonlinear equation:

(15–156)

where:

gs = gradient of the potential energy with respect to s

An iterative solution scheme based on regula falsi is used to solve (Equation 15–156) (Schweizerhof and Wriggers(153)). Iterations are continued until either:

  1. gs is less than 0.5 go, where go is the value of (Equation 15–156) at s = 0.0 (that is, using [image] for {Fnr (s{Δu})}).

  2. gs is not changing significantly between iterations.

  3. Six iterations have been performed.

If go > 0.0, no iterations are performed and s is set to 1.0. s is not allowed below 0.05.

The scaled solution {Δui} is used to update the current DOF values {ui+1} in (Equation 15–143) and the next equilibrium iteration is performed.

15.13.6. Arc-Length Method

The arc-length method (accessed with ARCLEN,ON) is suitable for nonlinear static equilibrium solutions of unstable problems. Applications of the arc-length method involves the tracing of a complex path in the load-displacement response into the buckling/post buckling regimes. The arc-length method uses the explicit spherical iterations to maintain the orthogonality between the arc-length radius and orthogonal directions as described by Forde and Stiemer(174). It is assumed that all load magnitudes are controlled by a single scalar parameter (i.e., the total load factor). Unsmooth or discontinuous load-displacement response in the cases often seen in contact analyses and elastic-perfectly plastic analyses cannot be traced effectively by the arc-length solution method. Mathematically, the arc-length method can be viewed as the trace of a single equilibrium curve in a space spanned by the nodal displacement variables and the total load factor. Therefore, all options of the Newton-Raphson method are still the basic method for the arc-length solution. As the displacement vectors and the scalar load factor are treated as unknowns, the arc-length method itself is an automatic load step method (AUTOTS,ON is not needed). For problems with sharp turns in the load-displacement curve or path dependent materials, it is necessary to limit the arc-length radius (arc-length load step size) using the initial arc-length radius (using the NSUBST command). During the solution, the arc-length method will vary the arc-length radius at each arc-length substep according to the degree of nonlinearities that is involved.

The range of variation of the arc-length radius is limited by the maximum and minimum multipliers (MAXARC and MINARC on the ARCLEN command).

In the arc-length procedure, nonlinear (Equation 15–142) is recast associated with the total load factor λ:

(15–157)

where λ is normally within the range -1.0 [image] l [image] 1.0. Writing the proportional loading factor λ in an incremental form yields at substep n and iteration i (see Figure 15.16: "Arc-Length Approach with Full Newton-Raphson Method"):

(15–158)

where:

Δλ = incremental load factor (as shown in Figure 15.16: "Arc-Length Approach with Full Newton-Raphson Method")

Figure 15.16 Arc-Length Approach with Full Newton-Raphson Method

The incremental displacement {Δui} can be written into two parts following (Equation 15–158):

(15–159)

where:

= displacement due to a unit load factor
= displacement increment from the conventional Newton-Raphson method

These are defined by:

(15–160)

(15–161)

In each arc-length iteration, it is necessary to use (Equation 15–160) and (Equation 15–161) to solve for [image] and [image]. The incremental load factor Δλ in (Equation 15–159) is determined by the arc-length equation which can be written as, for instance, at iteration i (see Figure 15.16: "Arc-Length Approach with Full Newton-Raphson Method"):

(15–162)

where:

β = scaling factor (with units of displacement) used to ensure the correct scale in the equations
Δun = sum of all the displacement increments Δui of this iteration

The arc-length radius [image] i is forced, during the iterations, to be identical to the radius iteration [image] 1 at the first iteration, i.e.

(15–163)

While the arc-length radius [image] 1 at iteration 1 of a substep is determined by using the initial arc-length radius (defined by the NSUBST command), the limit range (defined by the ARCLEN command) and some logic of the automatic time (load) step method (Automatic Time Stepping).

(Equation 15–159) together with (Equation 15–162) uniquely determines the solution vector (Δui, Δλ)T. However, there are many ways to solve for Δλ approximately. The explicit spherical iteration method is used to ensure orthogonality (Forde and Stiemer(174)). In this method, the required residual ri (a scalar) for explicit iteration on a sphere is first calculated. Then the arc-length load increment factor is determined by formula:

(15–164)

The method works well even in the situation where the vicinity of the critical point has sharp solution changes. Finally, the solution vectors are updated according to (see Figure 15.16: "Arc-Length Approach with Full Newton-Raphson Method"):

(15–165)

and

(15–166)

where:

n = current substep number

Values of λn and Δλ are available in POST26 (SOLU command) corresponding to labels ALLF and ALDLF, respectively. The normalized arc-length radius label ARCL (SOLU) corresponds to value [image], where [image] is the initial arc-length radius defined (by the NSUBST command) through (Equation 15–162) (an arc-length radius at the first iteration of the first substep).

In the case where the applied loads are greater or smaller than the maximum or minimum critical loads, arc-length will continue the iterations in cycles because |λ| does not approach unity. It is recommended to terminate the arc-length iterations (using the ARCTRM or NCNV commands).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.12. Reduced Order Modeling of Coupled Domains 		Up / Home Next
15.14. Constraint Equations


15.14. Constraint Equations

15.14.1. Derivation of Matrix and Load Vector Operations

Given the set of L linear simultaneous equations in unknowns uj (same as (Equation 15–80)):

(15–167)

subject to the linear constraint equation (input on CE command)

(15–168)

normalize (Equation 15–168) with respect to the prime DOF ui by dividing by Ci to get:

(15–169)

where:

which is written to a file for backsubstitution instead of (Equation 15–82). (Equation 15–169) is expanded (recall [image] = 1) as:

(15–170)

(Equation 15–167) may be similarly expanded as:

(15–171)

Multiply (Equation 15–170) by Kki and subtract from (Equation 15–171) to get:

(15–172)

Specializing (Equation 15–172) for k = i allows it to be written as:

(15–173)

This may be considered to be a revised form of the constraint equation. Introducing a Lagrange multiplier λk, (Equation 15–172) and (Equation 15–173) may be combined as:

(15–174)

By the standard Lagrange multiplier procedure (see Denn(8)):

(15–175)

Solving (Equation 15–170) for ui,

(15–176)

so that

(15–177)

Substituting (Equation 15–177) into (Equation 15–174) and rearranging terms,

(15–178)

or

(15–179)

where:

= (replaces (Equation 15–84) in Gauss elimination)
= (replaces (Equation 15–85) in Gauss elimination)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.13. Newton-Raphson Procedure 		Up / Home Next
15.15. This section intentionally omitted


15.15. This section intentionally omitted

This section intentionally omitted

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.14. Constraint Equations 		Up / Home Next
15.16. Eigenvalue and Eigenvector Extraction


15.16. Eigenvalue and Eigenvector Extraction

The eigenvalue and eigenvector problem needs to be solved for mode-frequency and buckling analyses. It has the form of:

(15–180)

where:

[K] = structure stiffness matrix
{φi} = eigenvector
λi = eigenvalue
[M] = structure mass matrix

For prestressed modal analyses, the [K] matrix includes the stress stiffness matrix [S]. For eigenvalue buckling analyses, the [M] matrix is replaced with the stress stiffness matrix [S]. The discussions given in the rest of this section assume a modal analysis (ANTYPE,MODAL) except as noted, but also generally applies to eigenvalue buckling analyses.

The eigenvalue and eigenvector extraction procedures available include the reduced, subspace, Block Lanczos, PCG Lanczos, unsymmetric, damped, and QR damped methods (MODOPT and BUCOPT commands) outlined in Table 15.1: "Procedures Used for Eigenvalue and Eigenvector Extraction". The PCG Lanczos method uses Lanczos iterations, but employs the PCG solver. Each method is discussed subsequently. Shifting, applicable to all methods, is discussed at the end of this section.

Table 15.1 Procedures Used for Eigenvalue and Eigenvector Extraction

Procedure | Input | Usages | Applicable Matrices++ | Reduction | Extraction Technique
Reduced | MODOPT, REDUC | Any (but not recommended for buckling) | K, M | Guyan | HBI
Subspace | MODOPT, SUBSP | Symmetric | K, M | None | Subspace which internally uses Jacobi
Block Lanczos | MODOPT, LANB | Symmetric | K, M | None | Lanczos which internally uses QL algorithm
PCG Lanczos | MODOPT, LANPCG | Symmetric (but not applicable for buckling) | K, M | None | Lanczos which internally uses QL algorithm
Unsymmetric | MODOPT, UNSYM | Unsymmetric matrices | K*, M* | None | Lanczos which internally uses QR algorithm
Damped | MODOPT, DAMP | Symmetric or unsymmetric damped systems | K*, C*, M* | None | Lanczos which internally uses QR algorithm
QR Damped | MODOPT, QRDAMP | Symmetric or unsymmetric damped systems | K*, C*, M* | Modal | QR algorithm for reduced modal damping matrix
++ K = stiffness matrix, C = damping matrix, M = mass or stress stiffening matrix, * = can be unsymmetric

The PCG Lanczos method is the same as the Block Lanczos method, except it uses the iterative solver instead of the sparse direct equation solver to solve.

15.16.1. Reduced Method

For the reduced procedure (accessed with MODOPT,REDUC), the system of equations is first condensed down to those DOFs associated with the master DOFs by Guyan reduction. This condensation procedure is discussed in Substructuring Analysis ((Equation 17–98) and (Equation 17–110)). The set of n master DOFs characterize the natural frequencies of interest in the system. The selection of the master DOFs is discussed in more detail in Automatic Master DOF Selection of this manual and in Modal Analysis of the Structural Analysis Guide. This technique preserves the potential energy of the system but modifies, to some extent, the kinetic energy. The kinetic energy of the low frequency modes is less sensitive to the condensation than the kinetic energy of the high frequency modes. The number of master DOFs selected should usually be at least equal to twice the number of frequencies of interest. This reduced form may be expressed as:

(15–181)

where:

= reduced stiffness matrix (known)
= eigenvector (unknown)
λi = eigenvalue (unknown)
= reduced mass matrix (known)

Next, the actual eigenvalue extraction is performed. The extraction technique employed is the HBI (Householder-Bisection-Inverse iteration) extraction technique and consists of the following five steps:

15.16.1.1. Transformation of the Generalized Eigenproblem to a Standard Eigenproblem

(Equation 15–181) must be transformed to the desired form which is the standard eigenproblem (with [A] being symmetric):

(15–182)

This is accomplished by the following steps:

Premultiply both sides of (Equation 15–181) by [image] :

(15–183)

Decompose [image] into [L][L]T by Cholesky decomposition, where [L] is a lower triangular matrix. Combining with (Equation 15–183),

(15–184)

It is convenient to define:

(15–185)

Combining (Equation 15–184) and (Equation 15–185)), and reducing yields:

(15–186)

or

(15–187)

where:

Note that the symmetry of [A] has been preserved by this procedure.

15.16.1.2. Reduce [A] to Tridiagonal Form

This step is performed by Householder's method through a series of similarity transformations yielding

(15–188)

where:

[B] = tridiagonalized form of [A]
[T] = matrix constructed to tridiagonalize [A], solved for iteratively (Bathe(2))

The eigenproblem is reduced to:

(15–189)

Note that the eigenvalues (λ) have not changed through these transformations, but the eigenvectors are related by:

(15–190)

15.16.1.3. Eigenvalue Calculation

Use Sturm sequence checks with the bisection method to determine the eigenvalues.

15.16.1.4. Eigenvector Calculation

The eigenvectors are evaluated using inverse iteration with shifting. The eigenvectors associated with multiple eigenvalues are evaluated using initial vector deflation by Gram-Schmidt orthogonalization in the inverse iteration procedure.

15.16.1.5. Eigenvector Transformation

After the eigenvectors Ψi are evaluated, [image] mode shapes are recovered through (Equation 15–190).

In the expansion pass, the eigenvectors are expanded from the master DOFs to the total DOFs.

15.16.2. Subspace Method

The subspace iteration method (accessed with MODOPT,SUBSP or BUCOPT,SUBSP) is described in detail by Bathe(2). Enhancements as suggested by Wilson and Itoh(166) are also included as outlined subsequently. The basic algorithm consists of the following steps:

  1. Define the initial shift s:

    • In a modal analysis (ANTYPE,MODAL), s = FREQB on the MODOPT command (defaults to -4π2).

    • In a buckling analysis (ANTYPE,BUCKLE), s = SHIFT on the BUCOPT command (defaults to 0.0).

  2. Initialize the starting vectors [X0] (described below).

  3. Triangularize the shifted matrix

            (15–191)

    where:

    [K] = assembled stiffness matrix
    [M] = assembled mass (or stress stiffness) matrix

    A Sturm sequence check (described below) is performed if this is a shift point other than the initial shift and it is requested (Strmck = ALL (default) or PART on the SUBOPT command).

  4. For each subspace iteration n (1 to NM), do steps 5 to 14:

    where:

    NM = maximum number of subspace iterations (input as NUMSSI on the SUBOPT command)

  5. Form [F] = [M][Xn-1] and scale [F] by {λn-1}

    where:

    {λn-1} = previously estimated eigenvalues

  6. Solve for [image]:

            (15–192)

    These equations are solved using the frontal direct equation solver (EQSLV,FRONT).

  7. Scale the vectors [image] by {(λn-1 - s) / λn-1}

  8. M-orthogonalize the vectors to the previously converged vectors (Gram-Schmidt orthogonalization).

  9. Define the subspace matrices [image] and [image]:

            (15–193)

            (15–194)

  10. Adjust for the shift,

  11. Compute the eigenvalues and vectors of the subspace using a generalized Jacobi iteration:

            (15–195)

    where:

    [Q] = subspace eigenvectors
    {λn} = updated eigenvalues

  12. Update the approximation to the eigenvectors:

            (15–196)

  13. If any negative or redundant modes are found, remove them and create a new random vector.

  14. Check for convergence (described below):

    • All requested modes converged? If yes, go to step 15.

    • If a new shift is required (described below), go to step 3

    • Go to the next iteration, step 4

  15. Perform a final Sturm sequence check if requested (Strmck = ALL (default) on the SUBOPT command).

Steps 5 thru 12 are only done on the unconverged vectors: once an eigenvalue has converged, the associated eigenvector is no longer iterated on. The Gram-Schmidt procedure (step 8) ensures that the unconverged eigenvectors remain orthogonal to the converged vectors not being iterated on. The remainder of this section details some of the steps involved.

15.16.2.1. Convergence

The convergence check (step 14a) requires that all of the requested eigenvalues satisfy the convergence ratio:

(15–197)

where:

(λi)n = value of ith eigenvalue as computed in iteration n
(λi)n-1 = value of ith eigenvalue as computed in iteration n-1
tol = tolerance value, set to 1.0E-5

15.16.2.2. Starting Vectors

The number of starting (iteration) vectors used is determined from:

(15–198)

where:

p = requested number of modes to extract (NMODE on the MODOPT or BUCOPT commands)
d = number of extra iteration vectors to use (NPAD on the SUBOPT command, defaults to 4)

The q starting vectors [X0] (step 2) are initialized as follows. For each predefined rigid-body motion (Dof on the RIGID command), define a rigid-body vector:

  1. If a translational rigid-body motion, set the DOF slot in {X0} to 1.0 ({X0} is a column of [X0]).

  2. If a rotational rigid-body motion, set the DOF slot in {X0} corresponding to a unit rotation about the global origin corresponding to the Dof label.

The rigid-body vectors are M-orthogonalized (Gram-Schmidt orthogonalization). The remainder of the vectors are initialized to random vectors.

15.16.2.3. Sturm Sequence Check

The Sturm sequence check computes the number of negative pivots encountered during the triangularization of the shifted matrix [K*]. This number will match the number of converged eigenvalues unless some eigenvalues have been missed. In that case, more iteration vectors must be used (NPAD on the SUBOPT command) or the initial shift (see step 1) was past the first mode. For the final Sturm sequence check, the shift used is defined as:

(15–199)

where:

λp = eigenvalue of the last requested mode
λp+1 = eigenvalue of the next computed mode

15.16.2.4. Shifting Strategy

In order to improve the rate of convergence during the iteration process, a shifting strategy is adopted as follows (step 14b):

  1. If the current converged mode(s) is zero(s) and the next mode i+1 is nonzero, shift to just below the nonzero mode:

            (15–200)

  2. If the number of iterations since the last shift exceeds NS, then shift to just below the next unconverged mode i+1:

            (15–201)

    where:

    NS = minimum number of subspace iterations completed before a shift is performed (input as NSHIFT on the SUBOPT command)

    If the mode is part of a cluster, then the next lowest unique mode is used to define the shift. If this is the first shift, then use:

            (15–202)

The more shifts that are allowed (smaller value of NS), the faster the convergence, but the more matrix triangularizations that must be performed.

15.16.2.5. Sliding Window

To improve the efficiency of the iterations, a subset qw of the q iteration vectors may be used in the iteration process for the subspace working size, (qw is defined with SUBSIZ on the SUBOPT command (qw defaults to q)). Steps 2 through 14 are performed using these working vectors. When a vector converges, it is removed from the iteration process and it is replaced by a new random vector until all p requested vectors have been found.

15.16.3. Block Lanczos

The Block Lanczos eigenvalue extraction method (accessed with MODOPT,LANB or BUCOPT,LANB) is available for large symmetric eigenvalue problems. Typically, this solver is applicable to the type of problems solved using the subspace eigenvalue method, however, at a faster convergence rate.

A block shifted Lanczos algorithm, as found in Grimes et al.(195) is the theoretical basis of the eigensolver. The method used by the modal analysis employs an automated shift strategy, combined with Sturm sequence checks, to extract the number of eigenvalues requested. The Sturm sequence check also ensures that the requested number of eigenfrequencies beyond the user supplied shift frequency (FREQB on the MODOPT command) is found without missing any modes.

The Block Lanczos algorithm is a variation of the classical Lanczos algorithm, where the Lanczos recursions are performed using a block of vectors, as opposed to a single vector. Additional theoretical details on the classical Lanczos method can be found in Rajakumar and Rogers(196).

Use of the Block Lanczos method for solving larger models (500,000 DOF, for example) with many constraint equations (CE) can require a significant amount of computer memory. The alternative method of PCG Lanczos, which internally uses the PCG solver, could result in savings in memory and computing time.

15.16.4. PCG Lanczos

The theoretical basis of this eigensolver is found in Grimes et al.(195), which is the same basis for the Block Lanczos eigenvalue extraction method. However, the implementaion differs somewhat from the Block Lanczos eigensolver, in that the PCG Lanczos eigensolver:

  • does not change shift values during the eigenvalue analysis.

  • does not perform a Sturm sequence check by default.

  • is only available for modal analyses and is not applicable to buckling analyses.

15.16.5. Unsymmetric Method

The unsymmetric eigensolver (accessed with MODOPT,UNSYM) is applicable whenever the system matrices are unsymmetric. For example, an acoustic fluid-structure interaction problem using FLUID30 elements results in unsymmetric matrices. Also, certain problems involving the input matrix element MATRIX27 and/or COMBI214 element, such as in rotor dynamics can give rise to unsymmetric system matrices. A generalized eigenvalue problem given by the following equation

(15–203)

can be setup and solved using the mode-frequency analysis (ANTYPE,MODAL). The matrices [K] and [M] are the system stiffness and mass matrices, respectively. Either or both [K] and [M] can be unsymmetric. {φi} is the eigenvector.

The method employed to solve the unsymmetric eigenvalue problem is a subspace approach based on a method designated as Frequency Derivative Method. The FD method uses an orthogonal set of Krylov sequence of vectors:

(15–204)

To obtain the expression for the sequence of vectors, the generalized eigenvalue (Equation 15–203) is differentiated with respect to λi to get:

(15–205)

Substituting (Equation 15–205) into (Equation 15–203) and rearranging after applying a shift s, the starting expression for generating the sequence of vectors is given by:

(15–206)

(15–207)

where:

s = an initial shift

The general expression used for generating the sequence of vectors is given by:

(15–208)

This matrix equation is solved by a sparse matrix solver (EQSLV, SPARSE). However, an explicit specification of the equation solver (EQSLV command) is not needed.

A subspace transformation of (Equation 15–203) is performed using the sequence of orthogonal vectors which leads to the reduced eigenproblem:

(15–209)

where:

[K*] = [QT] [K] [Q]
[M*] = [QT] [M] [Q]

The eigenvalues of the reduced eigenproblem ((Equation 15–209)) are extracted using a direct eigenvalue solution procedure. The eigenvalues μi are the approximate eigenvalues of the original eigenproblem and they converge to λi with increasing subspace size m. The converged eigenvectors are then computed using the subspace transformation equation:

(15–210)

For the unsymmetric modal analysis, the real part (ωi) of the complex frequency is used to compute the element kinetic energy.

This method does not perform a Sturm Sequence check for possible missing modes. At the lower end of the spectrum close to the shift (input as FREQB on MODOPT command), the frequencies usually converge without missing modes.

15.16.6. Damped Method

The damped eigensolver (accessed with MODOPT,DAMP) is applicable only when the system damping matrix needs to be included in (Equation 15–180), where the eigenproblem becomes a quadratic eigenvalue problem given by:

(15–211)

where:

= [image] (defined below)
[C] = damping matrix

Matrices may be symmetric or unsymmetric.

The method employed to solve the damped eigenvalue problem is the Lanczos algorithm (Rajakumar and Ali(142)). Starting from four random vectors {v1}, {w1}, {p1}, and {q1}, the system matrices [K], [M], and [C] are transformed into a subspace tridiagonal matrix [B] of size q [image] n), through the Lanczos generalized biorthogonal transformation. Eigenvalues of the [B] matrix, μi, are computed as an approximation of the original system eigenvalues [image]. The QR algorithm (Wilkinson(18)) is used to extract the eigenvalues of the [B] matrix. As the subspace size q is increased, the eigenvalues μi will converge to closely approximate the eigenvalues of the original problem. The transformed problem is given by:

(15–212)

The eigenvalues and eigenvectors of (Equation 15–211) and (Equation 15–212) are related by:

(15–213)

(15–214)

where:

[V] = [v1, v2, v3, . . . vn] matrix of Krylov vectors (size n x q).

This method does not perform a Sturm Sequence check for possible missing modes. At the lower end of the spectrum close to the shift (input as FREQB on the MODOPT command), the frequencies usually converge without missing modes.

For the damped modal analysis, the imaginary part (ωi) of the complex frequency is used to compute the element kinetic energy.

15.16.7. QR Damped Method

The QR damped method (accessed with MODOPT,QRDAMP) is a procedure for determining the complex eigenvalues and corresponding eigenvectors of damped linear systems. This solver allows for nonsymmetric [K] and [C] matrices. The solver is computationally efficient compared to damp eigensolver (MODOPT,DAMP). This method employs the modal orthogonal coordinate transformation of system matrices to reduce the eigenproblem into the modal subspace. QR algorithm is then used to calculate eigenvalues of the resulting quadratic eigenvalue problem in the modal subspace.

The equations of elastic structural systems without external excitation can be written in the following form:

(15–215)

(See (Equation 17–5) for definitions).

It has been recognized that performing computations in the modal subspace is more efficient than in the full eigen space. The stiffness matrix [K] can be symmetrized by rearranging the unsymmetric contributions; that is, the original stiffness matrix [K] can be divided into symmetric and unsymmetric parts. By dropping the damping matrix [C] and the unsymmetric contributions of [K], the symmetric Block Lanczos eigenvalue problem is first solved to find real eigenvalues and the coresponding eigenvectors. In the present implementation, the unsymmetric element stiffness matrix is zeroed out for Block Lanczos eigenvalue extraction. Following is the coordinate transformation (see (Equation 15–95)) used to transform the full eigen problem into modal subspace:

(15–216)

where:

[Φ] = eigenvector matrix normalized with respect to the mass matrix [M]
{y} = vector of modal coordinates

By using (Equation 15–216) in (Equation 15–215), we can write the differential equations of motion in the modal subspace as follows:

(15–217)

where:

[Λ2] = a diagonal matrix containing the first n eigen frequencies ωi

For classically damped systems, the modal damping matrix [Φ]T[C][Φ] is a diagonal matrix with the diagonal terms being 2ξiωi, where ξi is the damping ratio of the i-th mode. For non-classically damped systems, the modal damping matrix is either symmetric or unsymmetric. Unsymmetric stiffness contributions of the original stiffness are projected onto the modal subspace to compute the reduced unsymmetric modal stiffness matrix [Φ]T [Kunsym] [Φ].

Introducing the 2n-dimensional state variable vector approach, (Equation 15–217) can be written in reduced form as follows:

(15–218)

where:

The 2n eigenvalues of (Equation 15–218) are calculated using the QR algorithm (Press et al.(254)). The inverse iteration method (Wilkinson and Reinsch(357)) is used to calculate the complex modal subspace eigenvectors. The full complex eigenvectors, {ψ}, of original system is recovered using the following equation:

(15–219)

15.16.8. Shifting

In some cases it is desirable to shift the values of eigenvalues either up or down. These fall in two categories:

  1. Shifting down, so that the solution of problems with rigid body modes does not require working with a singular matrix.

  2. Shifting up, so that the bottom range of eigenvalues will not be computed, because they had effectively been converted to negative eigenvalues. This will, in general, result in better accuracy for the higher modes. The shift introduced is:

(15–220)

where:

λ = desired eigenvalue
λo = eigenvalue shift
λi = eigenvalue that is extracted

λo, the eigenvalue shift is computed as:

(15–221)

(Equation 15–220) is combined with (Equation 15–180) to give:

(15–222)

Rearranging,

(15–223)

or

(15–224)

where:

[K]' = [K] - λo [M]

It may be seen that if [K] is singular, as in the case of rigid body motion, [K]' will not be singular if [M] is positive definite (which it normally is) and if λo is input as a negative number. A default shift of λo = -1.0 is used for a modal analysis.

Once λi is computed, λ is computed from (Equation 15–220) and reported. Large shifts with the subspace iteration method are not recommended as they introduce some degradation of the convergence and this may affect accuracy of the final results.

15.16.9. Repeated Eigenvalues

Repeated roots or eigenvalues are possible to compute. This occurs, for example, for a thin, axisymmetric pole. Two independent sets of orthogonal motions are possible.

In these cases, the eigenvectors are not unique, as there are an infinite number of correct solutions. However, in the special case of two or more identical but disconnected structures run as one analysis, eigenvectors may include components from more than one structure. To reduce confusion in such cases, it is recommended to run a separate analysis for each structure.

15.16.10. Complex Eigensolutions

For problems involving spinning structures with gyroscopic effects, and/or damped structural eigenfrequencies, the eigensolutions obtained with the Damped Method and QR Damped Method are complex. The eigenvalues [image] are given by:

(15–225)

where:

= complex eigenvalue
σi = real part of the eigenvalue
ωi = imaginary part of the eigenvalue (damped circular frequency)
j =

The dynamic response of the system is given by:

(15–226)

where:

t = time

The ith eigenvalue is stable if σi is negative and unstable if σi is positive.

Modal damping ratio

The modal damping ratio is given by:

(15–227)

where:

αi = modal damping ratio of the ith eigenvalue

It is the ratio of the actual damping to the critical damping.

Logarithmic decrement

The logarithmic decrement represents the logarithm of the ratio of two consecutive peaks in the dynamic response ((Equation 15–226)). It can be expressed as:

(15–228)

where:

δi = logarithmic decrement of the ith eigenvalue
Ti = damped period of the ith eigenvalue defined by:

(15–229)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.15. This section intentionally omitted 		Up / Home Next
15.17. Analysis of Cyclic Symmetric Structures


15.17. Analysis of Cyclic Symmetric Structures

15.17.1. Modal Analysis

Given a cyclic symmetric (periodic) structure such as a fan wheel, a modal analysis can be performed for the entire structure by modelling only one sector of it. A proper basic sector represents a pattern that, if repeated n times in cylindrical coordinate space, would yield the complete structure.

Figure 15.17 Typical Cyclic Symmetric Structure

In a flat circular membrane, mode shapes are identified by harmonic indices. For more information, see Cyclic Symmetry Analysis of the Advanced Analysis Techniques Guide.

Constraint relationships (equations) can be defined to relate the lower (θ = 0) and higher (θ = α, where α = sector angle) angle edges of the basic sector to allow calculation of natural frequencies related to a given number of harmonic indices. The basic sector is duplicated in the modal analysis to satisfy the required constraint relationships and to obtain nodal displacements. This technique was adapted from Dickens(148).

Figure 15.18 Basic Sector Definition

Constraint equations relating the lower and higher angle edges of the two sectors are written:

(15–230)

where:

uA, uB = calculated displacements on lower angle side of basic and duplicated sectors (A and B, respectively)
= displacements on higher angle side of basic and duplicated sectors (A and B, respectively) determined from constraint relationships
α = 2π/N = sector angle
N = number of sectors in 360°

Three basic steps in the procedure are briefly:

  1. The CYCLIC command in /PREP7 automatically detects the cyclic symmetry model information, such as edge components, the number of sectors, the sector angles, and the corresponding cyclic coordinate system.

  2. The CYCOPT command in /SOLU generates a duplicated sector and applies cyclic symmetry constraints ((Equation 15–230)) between the basic and the duplicated sectors.

  3. The /CYCEXPAND command in /POST1 expands a cyclically symmetry response by combining the basic and the duplicated sectors results ((Equation 15–231)) to the entire structure.

15.17.2. Complete Mode Shape Derivation

The mode shape in each sector is obtained from the eigenvector solution. The displacement components (x, y, or z) at any node in sector j for harmonic index k, in the full structure is given by:

(15–231)

where:

j = sector number, varies from 1 to N
uA = basic sector displacement
uB = duplicate sector displacement

The complete procedure addressing static, modal, and prestressed modal analyses of cyclic symmetric structures is contained in Cyclic Symmetry Analysis of the Advanced Analysis Techniques Guide.

15.17.3. Cyclic Symmetry Transformations

The cyclic symmetric solution sequences consist of three basic steps. The first step transforms applied loads to cyclic symmetric components using finite Fourier theory and enforces cyclic symmetry constraint equations (see (Equation 15–230)) for each harmonic index (nodal diameter) (k = 0, 1, . . ., N/2).

Any applied load on the full 360° model is treated through a Fourier transformation process and applied on to the cyclic sector. For each value of harmonic index, k, the procedure solves the corresponding linear equation. The responses in each of the harmonic indices are calculated as separate load steps at the solution stage. The responses are expanded via the Fourier expansion ((Equation 15–231)). They are then combined to get the complete response of the full structure in postprocessing.

The Fourier transformation from physical components, X, to the different harmonic index components, [image], is given by the following:

Harmonic Index, k = 0 (symmetric mode):

(15–232)

Harmonic Index, 0 < k < N/2 (degenerate mode)

Basic sector:

(15–233)

Duplicate sector:

(15–234)

For N even only, Harmonic Index, k = N/2 (antisymmetric mode):

(15–235)

where:

X = any physical component, such as displacements, forces, pressure loads, temperatures, and inertial loads
= cyclic symmetric component

The transformation to physical components, X, from the cyclic symmetry, [image], components is recovered by the following equation:

(15–236)

The last term [image] exists only for N even.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.16. Eigenvalue and Eigenvector Extraction 		Up / Home Next
15.18. Mass Moments of Inertia


15.18. Mass Moments of Inertia

The computation of the mass moments and products of inertia, as well as the model center of mass, is described in this section. The model center of mass is computed as:

(15–237)

(15–238)

(15–239)

where typical terms are:

Xc = X coordinate of model center of mass (output as XC)
N = number of elements
ρ = element density, based on average element temperature
Vi = volume of element i
{No} = vector of element shape functions, evaluated at the origin of the element coordinate system
{Xi} = global X coordinates of the nodes of element i

The moments and products of inertia with respect to the origin are:

(15–240)

(15–241)

(15–242)

(15–243)

(15–244)

(15–245)

where typical terms are:

Ixx = mass moment of inertia about the X axis through the model center of mass (output as IXX)
Ixy = mass product of inertia with respect to the X and Y axes through the model center of mass (output as IXY)

(Equation 15–240) and (Equation 15–242) are adjusted for axisymmetric elements.

The moments and products of inertia with respect to the model center of mass (the components of the inertia tensor) are:

(15–246)

(15–247)

(15–248)

(15–249)

(15–250)

(15–251)

where typical terms are:

= mass moment of inertia about the X axis through the model center of mass (output as IXX)
= mass product of inertia with respect to the X and Y axes through the model center of mass (output as IXY)

15.18.1. Accuracy of the Calculations

The above mass calculations are not intended to be precise for all situations, but rather have been programmed for speed. It may be seen from the above development that only the mass (mi) and the center of mass (Xi, Yi, and Zi) of each element are included. Effects that are not considered are:

  1. The mass being different in different directions.

  2. The presence of rotational inertia terms.

  3. The mixture of axisymmetric elements with non-axisymmetric elements (can cause negative moments of inertia).

  4. Tapered thicknesses.

  5. Offsets used with beams and shells.

  6. Trapezoidal-shaped elements.

  7. The generalized plane strain option of PLANE182 - 2-D 4-Node Structural Solid and PLANE183 - 2-D 8-Node Structural Solid. (When these are present, the center of mass and moment calculations are completely bypassed.)

Thus, if these effects are important, a separate analysis can be performed using inertia relief to find more precise center of mass and moments of inertia (using IRLF,-1). Inertia relief logic uses the element mass matrices directly; however, its center of mass calculations also do not include the effects of offsets.

It should be emphasized that the computations for displacements, stresses, reactions, etc. are correct with none of the above approximations.

15.18.2. Effect of KSUM, LSUM, ASUM, and VSUM Commands

The center of mass and mass moment of inertia calculations for keypoints, lines, areas, and volumes (accessed by KSUM, LSUM, ASUM, VSUM, and *GET commands) use equations similar to (Equation 15–237) through (Equation 15–251) with the following changes:

  1. Only selected solid model entities are included.

  2. Lines, areas, and volumes are approximated by numerically integrating to account for rotary inertias.

  3. Keypoints are assumed to be unit masses without rotary inertia.

  4. Lines are assumed to have unit mass per unit length.

  5. Each area uses the thickness as:

            (15–252)

    where:

    t = thickness

  6. Each area or volume is assumed to have density as:

            (15–253)

    where:

    ρ = density

Composite material elements presume the element material number (defined with the MAT command).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.17. Analysis of Cyclic Symmetric Structures 		Up / Home Next
15.19. Energies


15.19. Energies

Energies are available in the solution printout (by setting Item = VENG on the OUTPR command) or in postprocessing (by choosing items SENE, TENE, KENE, and AENE on the ETABLE command). For each element,

(15–254)

(15–255)

(15–256)

where:

NINT = number of integration points
{σ} = stress vector
{εel} = elastic strain vector
voli = volume of integration point i
= plastic strain energy
Es = stress stiffening energy
[Ke] = element stiffness/conductivity matrix
[Se] = element stress stiffness matrix
{u} = element DOF vector
= time derivative of element DOF vector
[Me] = element mass matrix
NCS = total number of converged substeps
{γ} = hourglass strain energy defined in Flanagan and Belytschko(242) due to one point integrations.
[Q] = hourglass control stiffness defined in Flanagan and Belytschko(242).

As may be seen from the bottom part of (Equation 15–254) as well as (Equation 15–255), all types of DOFs are combined, e.g., SOLID5 using both UX, UY, UZ, TEMP, VOLT, and MAG DOF. An exception to this is the piezoelectric elements, described in Piezoelectrics, which do report energies by separate types of DOFs in the NMISC record of element results. See Eigenvalue and Eigenvector Extraction when complex frequencies are used. Also, if the bottom part of (Equation 15–254) is used, any nonlinearities are ignored. Elements with other incomplete aspects with respect to energy are reported in Table 15.2: "Exceptions for Element Energies".

Artificial energy has no physical meaning. It is used to control the hourglass mode introduced by reduced integration. The rule-of-thumb to check if the element is stable or not due to the use of reduced integration is if [image] < 5% is true. When this inequality is true, the element using reduced integration is considered stable (i.e., functions the same way as fully integrated element).

A discussion of error energy is given in Table 15.2: "Exceptions for Element Energies".

Table 15.2 Exceptions for Element Energies

Element | Exception
BEAM4 | Warping[1] thermal gradient not included
PIPE16 | Thru-wall thermal gradient not included
PIPE17 | Thru-wall thermal gradient not included
PIPE18 | Thru-wall thermal gradient not included
FLUID29 | No potential energy
FLUID30 | No potential energy
LINK31 | No potential energy
LINK34 | No potential energy
COMBIN39 | No potential energy
SHELL41 | Foundation stiffness effects not included
BEAM44 | Warping[1] thermal gradient not included
PIPE59 | Thru-wall thermal gradient not included
PIPE60 | Nonlinear and thermal effects not included
SHELL61 | Thermal effects not included
SHELL63 | Foundation stiffness effects not included
SHELL99 | Foundation stiffness effects not included
FLUID141 | No potential energy
FLUID142 | No potential energy
PLANE145 | Thermal effects not included
PLANE146 | Thermal effects not included
SOLID147 | Thermal effects not included
SOLID148 | Thermal effects not included
SHELL150 | Thermal effects not included

  1. Warping implies for example that temperatures T1 + T3 ≠ T2 + T4, i.e., some thermal strain is locked in.

For VISCO106, VISCO107, and VISCO108, a plastic energy per unit volume is also available. See VISCO107 - 3-D 8-Node Viscoplastic Solid.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.18. Mass Moments of Inertia 		Up / Home Next
15.20. ANSYS Workbench Product Adaptive Solutions


15.20. ANSYS Workbench Product Adaptive Solutions

Nearly every ANSYS Workbench product result can be calculated to a user-specified accuracy. The specified accuracy is achieved by means of adaptive and iterative analysis, whereby h-adaptive methodology is employed. The h-adaptive method begins with an initial finite element model that is refined over various iterations by replacing coarse elements with finer elements in selected regions of the model. This is effectively a selective remeshing procedure. The criterion for which elements are selected for adaptive refinement depends on geometry and on what ANSYS Workbench product results quantities are requested. The result quantity φ, the expected accuracy E (expressed as a percentage), and the region R on the geometry that is being subjected to adaptive analysis may be selected. The user-specified accuracy is achieved when convergence is satisfied as follows:

(15–257)

where i denotes the iteration number. It should be clear that results are compared from iteration i to iteration i+1. Iteration in this context includes a full analysis in which h-adaptive meshing and solving are performed.

The ANSYS Workbench product uses two different criteria for its adaptive procedures. The first criterion merely identifies the largest elements (LE), which are deleted and replaced with a finer finite element representation. The second employs a Zienkiewicz-Zhu (ZZ) norm for stress in structural analysis and heat flux in thermal analysis (which is the same as discussed in POST1 - Error Approximation Technique). The relationship between the desired accurate result and the criterion is listed in Table 15.3: "ANSYS Workbench Product Adaptivity Methods".

Table 15.3 ANSYS Workbench Product Adaptivity Methods

Result | Adaptive Criterion
Stresses and strains | ZZ norm
Structural margins and factors of safety | ZZ norm
Fatigue damage and life | ZZ norm
Heat flows | ZZ norm
Temperatures | ZZ norm
Deformations | ZZ norm
Mode frequencies | LE

As mentioned above, geometry plays a role in the ANSYS Workbench product adaptive method. In general, accurate results and solutions can be devised for the entire assembly, a part or a collection of parts, or a surface or a collection of surfaces. The user makes the decision as to which region of the geometry applies. If accurate results on a certain surface are desired, the ANSYS Workbench product ignores the aforementioned criterion and simply refines all elements on the surfaces that comprise the defined region. The reasoning here is that the user restricts the region where accurate results are desired. In addition, there is nothing limiting the user from having multiple accuracy specification. In other words, specified accuracy in a selected region and results with specified accuracy over the entire model can be achieved.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.19. Energies 		Up / Home Next
Chapter 16. This chapter intentionally omitted.


Chapter 16. This chapter intentionally omitted.

This chapter is reserved for future use.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
15.20. ANSYS Workbench Product Adaptive Solutions 		Up / Home Next
Chapter 17. Analysis Procedures


Chapter 17. Analysis Procedures

This chapter presents the theoretical basis of the various analysis procedures. The derivation of the individual element matrices and load vectors is discussed in Derivation of Structural Matrices, Derivation of Electromagnetic Matrices, Derivation of Heat Flow Matrices, Derivation of Fluid Flow Matrices, and Derivation of Acoustics Fluid Matrices.

In the matrix displacement method of analysis based upon finite element idealization, the structure being analyzed must be approximated as an assembly of discrete regions (called elements) connected at a finite number of points (called nodes). If the “force-displacement” relationship for each of these discrete structural elements is known (the element “stiffness” matrix) then the “force-displacement relationship” for the entire “structure” can be assembled using standard matrix methods. These methods are well documented (see, for example, Zienkiewicz(39)) and are also discussed in "Analysis Tools". Thermal, fluid flow, and electromagnetic analyses are done on an analogous basis by replacing the above words in quotes with the appropriate terms. However, the terms displacement, force, and stiffness are used frequently throughout this chapter, even though it is understood that the concepts apply to all valid effects also.

All analysis types for iterative or transient problems automatically reuse the element matrices or the overall structural matrix whenever it is applicable. See Reuse of Matrices for more details.

Analysis procedure information is available for the following analysis types:

  • Static Analysis
  • Transient Analysis
  • Mode-Frequency Analysis
  • Harmonic Response Analyses
  • Buckling Analysis
  • Substructuring Analysis
  • Spectrum Analysis

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 16. This chapter intentionally omitted. 		Up / Home Next
17.1. Static Analysis


17.1. Static Analysis

The following static analysis topics are available:

  • Assumptions and Restrictions
  • Description of Structural Systems
  • Description of Thermal, Magnetic and Other First Order Systems

17.1.1. Assumptions and Restrictions

The static analysis (ANTYPE,STATIC) solution method is valid for all degrees of freedom (DOFs). Inertial and damping effects are ignored, except for static acceleration fields.

17.1.2. Description of Structural Systems

The overall equilibrium equations for linear structural static analysis are:

(17–1)

or

(17–2)

where:

{u} = nodal displacement vector
N = number of elements
[Ke] = element stiffness matrix (described in "Element Library") (may include the element stress stiffness matrix (described in Stress Stiffening))
{Fr} = reaction load vector

{Fa}, the total applied load vector, is defined by:

(17–3)

where:

{Fnd} = applied nodal load vector
{Fac} = - [M] {ac} = acceleration load vector
[Me] = element mass matrix (described in Derivation of Structural Matrices)
{ac} = total acceleration vector (defined in Acceleration Effect)
= element thermal load vector (described in Derivation of Structural Matrices)
= element pressure load vector (described in Derivation of Structural Matrices)

To illustrate the load vectors in (Equation 17–2), consider a one element column model, loaded only by its own weight, as shown in Figure 17.1: "Applied and Reaction Load Vectors". Note that the lower applied gravity load is applied directly to the imposed displacement, and therefore causes no strain; nevertheless, it contributes to the reaction load vector just as much as the upper applied gravity load. Also, if the stiffness for a certain DOF is zero, any applied loads on that DOF are ignored.

Figure 17.1 Applied and Reaction Load Vectors

Solving for Unknowns and Reactions discusses the solution of (Equation 17–2) and the computation of the reaction loads. Newton-Raphson Procedure describes the global equation for a nonlinear analysis. Inertia relief is discussed in Inertia Relief.

17.1.3. Description of Thermal, Magnetic and Other First Order Systems

The overall equations for linear 1st order systems are the same as for a linear structural static analysis, (Equation 17–1) and (Equation 17–2). [K], though, is the total coefficient matrix (e.g., the conductivity matrix in a thermal analysis) and {u} is the nodal DOF values. {Fa}, the total applied load vector, is defined by:

(17–4)

Table 17.1: "Nomenclature" relates the nomenclature used in Derivation of Heat Flow Matrices and Derivation of Electromagnetic Matrices for thermal, magnetic and electrical analyses to (Equation 17–2) and (Equation 17–4). See Table 11.3: "Nomenclature of Coefficient Matrices" for a more detailed nomenclature description.

Table 17.1 Nomenclature

 | {u} | {Fnd} | {Fe}
Thermal | {T} temperature | {Qnd} heat flow | heat flux heat generation convection
Scalar Magnetic | {φ} scalar potential | {Fnd} flux | {Fe} coercive force
Vector Magnetic | {A} vector potential | {Fnd} current segment | {Fe} current density and coercive force
Electrical | {V} voltage | {Ind} current | -

Solving for Unknowns and Reactions discusses the solution of (Equation 17–2) and Newton-Raphson Procedure describes the global equation for a nonlinear analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 17. Analysis Procedures 		Up / Home Next
17.2. Transient Analysis


17.2. Transient Analysis

The following transient analysis topics are available:

  • Assumptions and Restrictions
  • Description of Structural and Other Second Order Systems
  • Description of Thermal, Magnetic and Other First Order Systems

The transient analysis solution method (ANTYPE,TRANS) used depends on the DOFs involved. Structural, acoustic, and other second order systems (that is, the systems are second order in time) are solved using one method and the thermal, magnetic, electrical and other first order systems are solved using another. Each method is described subsequently. If the analysis contains both first and second order DOFs (e.g. structural and magnetic), then each DOF is solved using the appropriate method. For matrix coupling between first and second order effects such as for piezoelectric analysis, a combined procedure is used.

17.2.1. Assumptions and Restrictions

  1. Initial conditions are known.

  2. Gyroscopic or Coriolis effects are included in a structural analysis when requested (using the CORIOLIS command).

17.2.2. Description of Structural and Other Second Order Systems

The transient dynamic equilibrium equation of interest is as follows for a linear structure:

(17–5)

where:

[M] = structural mass matrix
[C] = structural damping matrix
[K] = structural stiffness matrix
{ [image]} = nodal acceleration vector
{ [image]} = nodal velocity vector
{u} = nodal displacement vector
{Fa} = applied load vector

There are two methods in the ANSYS program which can be employed for the solution of the linear (Equation 17–5): the forward difference time integration method and the Newmark time integration method (including an improved algorithm called HHT). The forward difference method is used for explicit transient analyses and is described in the LS-DYNA Theoretical Manual(199). The Newmark method and HHT method are used for implicit transient analyses and are described below.

The Newmark method uses finite difference expansions in the time interval Δt, in which it is assumed that (Bathe(2)):

(17–6)

(17–7)

where:

α, δ = Newmark integration parameters
Δt = tn+1 - tn
{un} = nodal displacement vector at time tn
{ [image] n} = nodal velocity vector at time tn
{ [image] n} = nodal acceleration vector at time tn
{un + 1} = nodal displacement vector at time tn + 1
{ [image] n + 1} = nodal velocity vector at time tn + 1
{ [image] n + 1} = nodal acceleration vector at time tn + 1

Since the primary aim is the computation of displacements {un + 1}, the governing (Equation 17–5) is evaluated at time tn + 1 as:

(17–8)

The solution for the displacement at time tn + 1 is obtained by first rearranging (Equation 17–6) and (Equation 17–7), such that:

(17–9)

(17–10)

where:

Noting that { [image] n + 1} in (Equation 17–9) can be substituted into (Equation 17–10), equations for { [image] n + 1} and { [image] n + 1} can be expressed only in terms of the unknown {un + 1}. The equations for { [image] n + 1} and { [image] n + 1} are then combined with (Equation 17–8) to form:

(17–11)

Once a solution is obtained for {un + 1}, velocities and accelerations are updated as described in (Equation 17–9) and (Equation 17–10).

For the nodes where the velocity or the acceleration is given (velocity or acceleration loading) a displacement constraint is calculated from (Equation 17–7).

As described by Zienkiewicz(39), the solution of (Equation 17–8) by means of Newmark (Equation 17–6) and (Equation 17–7) is unconditionally stable for:

(17–12)

The Newmark parameters are related to the input as follows:

(17–13)

where:

γ = amplitude decay factor (input on TINTP command).

Alternatively, the α and δ parameters may be input directly (using the TINTP command). By inspection of (Equation 17–12) and (Equation 17–13), unconditional stability is achieved when [image] and γ [image] 0. Thus all solutions of (Equation 17–12) are stable if γ [image] 0. For a piezoelectric analysis, the Crank-Nicholson and constant average acceleration methods must both be requested, that is, α = 0.25, δ = 0.5, and θ (THETA) = 0.5 (using the TINTP command).

Typically the amplitude decay factor (γ) in (Equation 17–13) takes a small value (the default is 0.005). The Newmark method becomes the constant average acceleration method when γ = 0, which in turns means [image] and [image] (Bathe(2)). Results from the constant average acceleration method do not show any numerical damping in terms of displacement amplitude errors. If other sources of damping are not present, the lack of numerical damping can be undesirable in that the higher frequencies of the structure can produce unacceptable levels of numerical noise (Zienkiewicz(39)). A certain level of numerical damping is usually desired and is achieved by degrading the Newmark approximation by setting γ > 0.

In particular, it is desirable to have a controllable numerical damping in the higher frequency modes, since using finite elements to discretize the spatial domain, the results of these higher frequency modes are less accurate. However, the addition of high frequency numerical damping should not incur a loss of accuracy nor introduce excessive numerical damping in the important low frequency modes. In the full transient analysis, the HHT time integration method (Chung and Hulbert(351)) has the desired property for the numerical damping.

The basic form of the HHT method is given by:

(17–14)

where:

Comparing (Equation 17–14) with (Equation 17–5), one can see that the transient dynamic equilibrium equation considered in the HHT method is a linear combination of two successive time steps of n and n+1. αm and αf are two extra integration parameters for the interpolation of the acceleration and the displacement, velocity and loads.

Introducing the Newmark assumption as given in (Equation 17–6) and (Equation 17–17) into (Equation 17–14), the displacement {un+1} at the time step n+1 can be obtained:

(17–15)

where:

The four parameters α, δ, αf, and αm used in the HHT method are related to the input as follows (Hilber et al(352)),

(17–16)

γ = amplitude decay factor (input on TINTP command)

Alternatively, α, δ, αf, and αm can be input directly (using the TINTP command). But for the unconditional stability and the second order accuracy of the time integration, they should satisfy the following relationships:

(17–17)

If both αm and αf are zero when using this alternative, the HHT method is same as Newmark method.

Using this alternative, two other methods of parameter determination are possible. Given an amplitude decay factor γ, the four integration parameters can be chosen as follows (Wood et al(353)):

(17–18)

or they can be chosen as follows (Chung and Hulbert(351)):

(17–19)

The parameters chosen according to (Equation 17–16), or (Equation 17–18), (Equation 17–19) all satisfy the conditions set in (Equation 17–17). They are unconditionally stable and the second order accurate. (Equation 17–16) and (Equation 17–18) have a similar amount of numerical damping. (Equation 17–19) has the least numerical damping for the lower frequency modes. In this way, [image] is approximately the percentage of numerical damping for the highest frequency of the structure.

17.2.2.1. Solution

Three methods of solution for the Newmark method ((Equation 17–11)) are available: full, reduced and mode superposition (TRNOPT command) and each are described subsequently. Only the full solution method is available for HHT ((Equation 17–14)).

Full Solution Method

The full solution method (TRNOPT,FULL) solves (Equation 17–11) directly and makes no additional assumptions. In a nonlinear analysis, the Newton-Raphson method (Newton-Raphson Procedure) is employed along with the Newmark assumptions. The inversion of (Equation 17–11) (or its nonlinear equivalent) employs the same wavefront solver used for a static analysis in Equation Solvers. Automatic Time Stepping discusses the procedure for the program to automatically determine the time step size required for each time step.

Inherent to the Newmark method is that the values of {uo}, { [image] o}, and { [image] o} at the start of the transient must be known. Nonzero initial conditions are input either directly (with the IC commands) or by performing a static analysis load step (or load steps) prior to the start of the transient itself. Static load steps are performed in a transient analysis by turning off the transient time integration effects (with the TIMINT,OFF command). The transient itself can then be started (by TIMINT,ON). The default with transient analysis (ANTYPE,TRANS) is for the transient to be running (TIMINT,ON); that is, to start the transient immediately. (This implies {u} = [image]} = { [image]} = 0. The initial conditions are outlined in the subsequent paragraphs. Cases referring to “no previous load step” mean that the first load step is transient.

Initial Displacement. -

The initial displacements are:

(17–20)

where:

{uo} = vector of initial displacements
= displacement vector specified by the initial conditions (IC command)
{us} = displacement vector resulting from a static analysis (TIMINT,OFF) of the previous load step

Initial Velocity. -

The initial velocities are:

(17–21)

where:

{ [image] o} = vector of initial velocities
= vector of velocities specified by the initial conditions (IC commands)
{us} = displacements from a static analysis (TIMINT,OFF) of the previous load step
{us-1} = displacement corresponding to the time point before {us} solution. {us-1} is {0} if {us} is the first solution of the analysis (i.e. load step 1 substep 1).
Δt = time increment between s and s-1

Initial Acceleration. -

The initial acceleration is simply:

(17–22)

where:

{ [image] o} = vector of initial accelerations

If a nonzero initial acceleration is required as for a free fall problem, an extra load step at the beginning of the transient can be used. This load step would have a small time span, step boundary conditions, and a few time steps which would allow the acceleration to be well represented at the end of the load step.

Nodal and Reaction Load Computation. -

Inertia, damping and static loads on the nodes of each element are computed.

The inertial load part of the element output is computed by:

(17–23)

where:

[Me] = element mass matrix
{ [image] e} = element acceleration vector

The acceleration of a typical DOF is given by (Equation 17–9) for time tn+1. The acceleration vector { [image] e} is the average acceleration between time tn + 1 and time tn, since the Newmark assumptions ((Equation 17–6) and (Equation 17–7)) assume the average acceleration represents the true acceleration.

The damping load part of the element output is computed by:

(17–24)

where:

[Ce] = element damping matrix
{ [image] e} = element velocity vector

The velocity of a typical DOF is given by (Equation 17–10).

The static load is part of the element output computed in the same way as in a static analysis (Solving for Unknowns and Reactions). The nodal reaction loads are computed as the negative of the sum of all three types of loads (inertia, damping, and static) over all elements connected to a given fixed displacement node.

Back To Top

Reduced Solution Method

The reduced solution method (TRNOPT,REDUC) uses reduced structure matrices to solve the time-dependent equation of motion ((Equation 17–5)) for linear structures. The solution method imposes the following additional assumptions and restrictions:

  1. Constant [M], [C], and [K] matrices. (A gap condition is permitted as described below.) This implies no large deflections or change of stress stiffening, as well as no plasticity, creep, or swelling.

  2. Constant time step size.

  3. No element load vectors. This implies no pressures or thermal strains. Only nodal forces applied directly at master DOF or acceleration effects acting on the reduced mass matrix are permitted.

  4. Nonzero displacements may be applied only at master DOF.

Description of Analysis. -

This method usually runs faster than the full transient dynamic analysis by several orders of magnitude, principally because the matrix on the left-hand side of (Equation 17–11) needs to be inverted only once and the transient analysis is then reduced to a series of matrix multiplications. Also, the technique of “matrix reduction” discussed in Substructuring Analysis is used in this method, so that the matrix representing the system will be reduced to the essential DOFs required to characterize the response of the system. These essential DOFs are referred to as the “master degrees of freedom”. Their automatic selection is discussed in Automatic Master DOF Selection and guidelines for their manual selection are given in Modal Analysis of the Structural Analysis Guide. The reduction of (Equation 17–11) for the reduced transient method results in:

(17–25)

where the coefficients (ai) are defined after (Equation 17–10). The ^ symbol is used to denote reduced matrices and vectors. may contain prestressed effects (PSTRES,ON) corresponding to a non-varying stress state as described in Stress Stiffening. These equations, which have been reduced to the master DOFs, are then solved by inverting the left-hand side of (Equation 17–25) and performing a matrix multiplication at each time step.

For the initial conditions, a static solution is done at time = 0 using the given loads to define [image], [image], and [image] are assumed to be zero.

A “quasi-linear” analysis variation is also available with the reduced method. This variation allows interfaces (gaps) between any of the master DOFs and ground, or between any pair of master DOFs. If the gap is initially closed, these interfaces are accounted for by including the stiffness of the interface in the stiffness matrix, but if the gap should later open, a force is applied in the load vector to nullify the effect to the stiffness. If the gap is initially open, it causes no effect on the initial solution, but if it should later close, a force is again applied in the load vector.

The force associated with the gap is:

(17–26)

where:

kgp = gap stiffness (input as STIF, GP command)
ug = uA - uB - ugp
uA, uB = displacement across gap (must be master degrees of freedom)
ugp= initial size of gap (input as GAP, GP command)

This procedure adds an explicit term to the implicit integration procedure. An alternate procedure is to use the full method, modeling the linear portions of the structure as superelements and the gaps as gap elements. This latter procedure (implicit integration) normally allows larger time steps because it modifies both the stiffness matrix and load vector when the gaps change status.

Expansion Pass. -

The expansion pass of the reduced transient analysis involves computing the displacements at slave DOFs (see (Equation 17–107)) and computing element stresses.

Nodal load output consists of the static loads only as described for a static analysis (Solving for Unknowns and Reactions). The reaction load values represent the negative of the sum of the above static loads over all elements connected to a given fixed displacement node. Damping and inertia forces are not included in the reaction loads.

Back To Top

Mode Superposition Method

The mode superposition method (TRNOPT,MSUP) uses the natural frequencies and mode shapes of a linear structure to predict the response to transient forcing functions. This solution method imposes the following additional assumptions and restrictions:

  1. Constant [K] and [M] matrices. (A gap condition is permitted as described under the reduced solution method.) This implies no large deflections or change of stress stiffening, as well as no plasticity, creep, or swelling.

  2. Constant time step size.

  3. There are no element damping matrices. However, various types of system damping are available.

  4. Time varying imposed displacements are not allowed.

The development of the general mode superposition procedure is described in Mode Superposition Method. (Equation 15–113) and (Equation 15–114) are integrated through time for each mode by the Newmark method.

The initial value of the modal coordinates at time = 0.0 are computed by solving (Equation 15–113) with [image] and [image] assumed to be zero.

(17–27)

where:

{Fo} = the forces applied at time = 0.0

The load vector, which must be converted to modal coordinates ((Equation 15–112)) at each time step, is given by

(17–28)

where:

{Fnd} = nodal force vector
s = load vector scale factor (input as FACT, LVSCALE command)
{Fs} = load vector from the modal analysis (see Mode Superposition Method).
{Fgp} = gap force vector ((Equation 17–26)) (not available for QR damped eigensolver).
{Fma} = inertial force ({Fma} = [M] {a})
{a} = acceleration vector ( input with ACEL command) (see Acceleration Effect)

In the modal superposition method, the damping force associated with gap is added to (Equation 17–26):

(17–29)

where:

Cgp = gap damping (input as DAMP, GP command)
{ [image] g} = { [image] A} - { [image] B}
{ [image] A} - { [image] B} = velocity across gap

If the modal analysis was performed using the reduced method (MODOPT,REDUC), then the matrices and vectors in the above equations would be in terms of the master DOFs (e.g. { [image]}).

Expansion Pass. -

The expansion pass of the mode superposition transient analysis involves computing the displacements at slave DOFs if the reduced modal analysis (MODOPT,REDUC) was used (see (Equation 17–107)) and computing element stresses.

Nodal load output consists of the static loads only as described for a static analysis (Solving for Unknowns and Reactions). The reaction load values represent the negative of the sum of the static loads over all elements connected to a given fixed displacement node. Damping and inertia forces are not included in the reaction loads.

17.2.3. Description of Thermal, Magnetic and Other First Order Systems

The governing equation of interest is as follows:

(17–30)

where:

[C] = damping matrix
[K] = coefficient matrix
{u} = vector of DOF values
{ [image]} = time rate of the DOF values
{Fa} = applied load vector

In a thermal analysis, [C] is the specific heat matrix, [K] the conductivity matrix, {u} the vector of nodal temperatures and {Fa} the applied heat flows. Table 17.2: "Nomenclature" relates the nomenclature used in Derivation of Heat Flow Matrices and Derivation of Electromagnetic Matrices for thermal, magnetic and electrical analyses to (Equation 17–30).

Table 17.2 Nomenclature

 | {u} | {Fa}
Thermal | {T} temperature | {Qa} heat flow
Scalar Magnetic | {φ} scalar potential | {Fa} flux
Vector Magnetic | {A} vector potential | {Fa} current segment
Electrical | {V} voltage | {Ia} current

The reduced and the mode superposition procedures do not apply to first order systems.

The procedure employed for the solution of (Equation 17–30) is the generalized trapezoidal rule (Hughes(165)):

(17–31)

where:

θ = transient integration parameter (input on TINTP command)
Δt = tn + 1 - tn
{un} = nodal DOF values at time tn
{ [image] n} = time rate of the nodal DOF values at time tn (computed at previous time step)

(Equation 17–30) can be written at time tn + 1 as:

(17–32)

Substituting { [image] n + 1} from (Equation 17–31) into this equation yields:

(17–33)

The solution of (Equation 17–33) employs the same solvers used for static analysis in Static Analysis. Once {un+1} is obtained, { [image] n + 1} is updated using (Equation 17–31). In a nonlinear analysis, the Newton-Raphson method (Newton-Raphson Procedure) is employed along with the generalized trapezoidal assumption, (Equation 17–31).

The transient integration parameter θ (input on TINTP command) defaults to 0.5 (Crank-Nicholson method) if solution control is not used (SOLCONTROL,OFF) and 1.0 (backward Euler method) if solution control is used (SOLCONTROL,ON). If θ = 1, the method is referred to as the backward Euler method. For all θ > 0, the system equations that follow are said to be implicit. In addition, for the more limiting case of θ [image] 1/2, the solution of these equations is said to be unconditionally stable; i.e., stability is not a factor in time step (Δt) selection. The available range of θ (using TINTP command) is therefore limited to

(17–34)

which corresponds to an unconditionally stable, implicit method. For a piezoelectric analysis, the Crank-Nicholson and constant average acceleration methods must both be requested with α (ALPHA) = 0.25, δ (DELTA) = 0.5, and θ = 0.5 (on the TINTP command). Since the { [image] n} influences {un + 1}, sudden changes in loading need to be handled carefully for values of θ < 1.0. See the Basic Analysis Guide for more details.

The generalized-trapezoidal method requires that the values of {uo} and { [image] o} at the start of the transient must be known. Nonzero initial conditions are input either directly (with the IC command) (for {uo}) or by performing a static analysis load step (or load steps) prior to the start of the transient itself. Static load steps are performed in a transient analysis by turning off the transient time integration effects (with the TIMINT,OFF command). The transient itself can then started (TIMINT,ON). The default for transient analysis (ANTYPE,TRANS) is to start the transient immediately (TIMINT,ON). This implies ({u} = { [image]} = {0}). The initial conditions are outlined in the subsequent paragraphs.

Initial DOF Values. -

The initial DOF values for first order systems are:

(17–35)

where:

{uo} = vector of initial DOF values
{a} = vector of uniform DOF values
= DOF vector directly specified (IC command)
{us} = DOF vector resulting from a static analysis (TIMINT,OFF) of the previous load step available

{a} is set to TEMP (BFUNIF command) and/or to the temperature specified by the initial conditions (IC commands) for thermal DOFs (temperatures) and zero for other DOFs.

Nodal and Reaction Load Computation. -

Damping and static loads on the nodes of each element are computed.

The damping load part of the element output is computed by:

(17–36)

where:

[Ce] = element damping matrix
{ [image] e} = element velocity vector

The velocity of a typical DOF is given by (Equation 17–31). The velocity vector { [image] e} is the average velocity between time tn and time tn + 1, since the general trapezoidal rule ((Equation 17–31)) assumes the average velocity represents the true velocity.

The static load is part of the element output computed in the same way as in a static analysis (Solving for Unknowns and Reactions). The nodal reaction loads are computed as the negative of the sum of both types of loads (damping and static) over all elements connected to a given fixed DOF node.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
17.1. Static Analysis 		Up / Home Next
17.3. Mode-Frequency Analysis


17.3. Mode-Frequency Analysis

The following mode frequency analysis topics are available:

  • Assumptions and Restrictions
  • Description of Analysis

17.3.1. Assumptions and Restrictions

  1. Valid for structural and fluid degrees of freedom (DOFs). Electrical and thermal DOFs may be present in the coupled field mode-frequency analysis using structural DOFs.

  2. The structure has constant stiffness and mass effects.

  3. There is no damping, unless the damped eigensolver (MODOPT,DAMP or MODOPT,QRDAMP) is selected.

  4. The structure has no time varying forces, displacements, pressures, or temperatures applied (free vibration).

17.3.2. Description of Analysis

This analysis type (accessed with ANTYPE,MODAL) is used for natural frequency and mode shape determination. The equation of motion for an undamped system, expressed in matrix notation using the above assumptions is:

(17–37)

Note that [K], the structure stiffness matrix, may include prestress effects (PSTRES,ON). For a discussion of the damped eigensolver (MODOPT,DAMP or MODOPT,QRDAMP) see Eigenvalue and Eigenvector Extraction.

For a linear system, free vibrations will be harmonic of the form:

(17–38)

where:

{φ}i = eigenvector representing the mode shape of the ith natural frequency
ωi = ith natural circular frequency (radians per unit time)
t = time

Thus, (Equation 17–37) becomes:

(17–39)

This equality is satisfied if either {φ}i = {0} or if the determinant of ([K] - ω2 [M]) is zero. The first option is the trivial one and, therefore, is not of interest. Thus, the second one gives the solution:

(17–40)

This is an eigenvalue problem which may be solved for up to n values of ω2 and n eigenvectors {φ}i which satisfy (Equation 17–39) where n is the number of DOFs. The eigenvalue and eigenvector extraction techniques are discussed in Eigenvalue and Eigenvector Extraction.

Rather than outputting the natural circular frequencies {ω} , the natural frequencies (f) are output; where:

(17–41)

where:

fi = ith natural frequency (cycles per unit time)

If normalization of each eigenvector {φ}i to the mass matrix is selected (MODOPT,,,,,,OFF):

(17–42)

If normalization of each eigenvector {φ}i to 1.0 is selected (MODOPT,,,,,,ON), {φ}i is normalized such that its largest component is 1.0 (unity).

If the reduced mode extraction method was selected (MODOPT,REDUC), the n eigenvectors can then be expanded in the expansion pass (using the MXPAND command) to the full set of structure modal displacement DOFs using:

(17–43)

where:

{φs}i = slave DOFs vector of mode i (slave degrees of freedom are those DOFs that had been condensed out)
[Kss], [Ksm] = submatrix parts as shown in (Equation 17–92)

A discussion of effective mass is given in Spectrum Analysis.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
17.2. Transient Analysis 		Up / Home Next
17.4. Harmonic Response Analyses


17.4. Harmonic Response Analyses

The following harmonic response analysis topics are available:

  • Assumptions and Restrictions
  • Description of Analysis
  • Complex Displacement Output
  • Nodal and Reaction Load Computation
  • Solution
  • Variational Technology Method
  • Automatic Frequency Spacing
  • Rotating Forces on Rotating Structures

The harmonic response analysis (ANTYPE,HARMIC) solves the time-dependent equations of motion ((Equation 17–5)) for linear structures undergoing steady-state vibration.

17.4.1. Assumptions and Restrictions

  1. Valid for structural, fluid, magnetic, and electrical degrees of freedom (DOFs). Thermal DOFs may be present in a coupled field harmonic response analysis using structural DOFs.

  2. The entire structure has constant or frequency-dependent stiffness, damping, and mass effects.

  3. All loads and displacements vary sinusoidally at the same known frequency (although not necessarily in phase).

  4. Element loads are assumed to be real (in-phase) only, except for:

    1. current density

    2. pressures in SURF153 and SURF154

17.4.2. Description of Analysis

Consider the general equation of motion for a structural system ((Equation 17–5)).

(17–44)

where:

[M] = structural mass matrix
[C] = structural damping matrix
[K] = structural stiffness matrix
{ [image]} = nodal acceleration vector
{ [image]} = nodal velocity vector
{u} = nodal displacement vector
{Fa} = applied load vector

As stated above, all points in the structure are moving at the same known frequency, however, not necessarily in phase. Also, it is known that the presence of damping causes phase shifts. Therefore, the displacements may be defined as:

(17–45)

where:

umax = maximum displacement
i = square root of -1
Ω= imposed circular frequency (radians/time) = 2πf
f = imposed frequency (cycles/time) (input as FREQB and FREQE on the HARFRQ command)
t = time
Φ = displacement phase shift (radians)

Note that umax and Φ may be different at each DOF. The use of complex notation allows a compact and efficient description and solution of the problem. (Equation 17–45) can be rewritten as:

(17–46)

or as:

(17–47)

where:

{u1} = {umax cos Φ} = real displacement vector (input as VALUE on D command, when specified)
{u2} = {umax sin Φ} = imaginary displacement vector (input as VALUE2 on D command, when specified)

The force vector can be specified analogously to the displacement:

(17–48)

(17–49)

(17–50)

where:

Fmax = force amplitude
ψ = force phase shift (radians)
{F1} = {Fmax cos ψ} = real force vector (input as VALUE on F command, when specified)
{F1} = {Fmax sin ψ} = imaginary force vector (input as on VALUE2 on F command, when specified)

Substituting (Equation 17–47) and (Equation 17–50) into (Equation 17–44) gives:

(17–51)

The dependence on time (eiΩt) is the same on both sides of the equation and may therefore be removed:

(17–52)

The solution of this equation is discussed later.

17.4.3. Complex Displacement Output

The complex displacement output at each DOF may be given in one of two forms:

  1. The same form as u1 and u2 as defined in (Equation 17–47) (selected with the command HROUT,ON).

  2. The form umax and Φ (amplitude and phase angle (in degrees)), as defined in (Equation 17–46) (selected with the command HROUT,OFF). These two terms are computed at each DOF as:

(17–53)

(17–54)

Note that the response lags the excitation by a phase angle of Φ-Ψ.

17.4.4. Nodal and Reaction Load Computation

Inertia, damping and static loads on the nodes of each element are computed.

The real and imaginary inertia load parts of the element output are computed by:

(17–55)

(17–56)

where:

[Me] = element mass matrix
{u1}e = element real displacement vector
{u2}e = element imaginary displacement vector

The real and imaginary damping loads part of the element output are computed by:

(17–57)

(17–58)

where:

[Ce] = element damping matrix

The real static load is computed the same way as in a static analysis (Solving for Unknowns and Reactions) using the real part of the displacement solution {u1}e. The imaginary static load is computed also the same way, using the imaginary part {u2}e. Note that the imaginary part of the element loads (e.g., {Fpr}) are normally zero, except for current density loads.

The nodal reaction loads are computed as the sum of all three types of loads (inertia, damping, and static) over all elements connected to a given fixed displacement node.

17.4.5. Solution

Four methods of solution to (Equation 17–52) are available: full, reduced, mode superposition, and Variational Technology and each are described subsequently.

17.4.5.1. Full Solution Method

The full solution method (HROPT,FULL) solves (Equation 17–52) directly. (Equation 17–52) may be expressed as:

(17–59)

where c denotes a complex matrix or vector. (Equation 17–59) is solved using the same wavefront solver used for a static analysis in Equation Solvers, except that it is done using complex arithmetic.

17.4.5.2. Reduced Solution Method

The reduced solution method (HROPT,REDUC) uses reduced structure matrices to solve the equation of motion ((Equation 17–44)). This solution method imposes the following additional assumptions and restrictions:

  1. No element load vectors (e.g., pressures or thermal strains). Only nodal forces applied directly at master DOF or acceleration effects acting on the reduced mass matrix are permitted.

  2. Nonzero displacements may be applied only at master DOF.

This method usually runs faster than the full harmonic analysis by several orders of magnitude, principally because the technique of “matrix reduction” discussed in Substructuring Analysis is used so that the matrix representing the system will be reduced to the essential DOFs required to characterize the response of the system. These essential DOFs are referred to as the “master degrees of freedom”. Their automatic selection is discussed in Automatic Master DOF Selection and guidelines for their manual selection are given in Modal Analysis of the Structural Analysis Guide. The reduction of (Equation 17–52) for the reduced method results in:

(17–60)

where the ^ denotes reduced matrices and vectors. These equations, which have been reduced to the master DOFs, are then solved in the same way as the full method. may contain prestressed effects (PSTRES,ON) corresponding to a non-varying stress state, described in Stress Stiffening.

17.4.5.2.1. Expansion Pass

The reduced harmonic response method produces a solution of complex displacements at the master DOFs only. In order to complete the analysis, an expansion pass is performed (EXPASS,ON). As in the full method, both a real and imaginary solution corresponding to { [image] 1) and { [image] 2) can be expanded (see (Equation 17–107)) and element stresses obtained (HREXP,ALL).

Alternatively, a solution at a certain phase angle may be obtained (HREXP,ANGLE). The solution is computed at this phase angle for each master DOF by:

(17–61)

where:

max = amplitude given by (Equation 17–53)
φ = computed phase angle given by (Equation 17–54)
θ' = input as ANGLE (in degrees), HREXP Command

This solution is then expanded and stresses obtained for these displacements. In this case, only the real part of the nodal loads is computed.

17.4.5.3. Mode Superposition Method

The mode superposition method (HROPT,MSUP) uses the natural frequencies and mode shapes to compute the response to a sinusoidally varying forcing function. This solution method imposes the following additional assumptions and restrictions:

  1. Nonzero imposed harmonic displacements are not allowed.

  2. There are no element damping matrices. However, various types of system damping are available.

The development of the general mode superposition procedure is given in Mode Superposition Method. The equation of motion ((Equation 17–44)) is converted to modal form, as described in Mode Superposition Method. (Equation 15–113) is:

(17–62)

where:

yj = modal coordinate
ωj = natural circular frequency of mode j
ξi = fraction of critical damping for mode j
fj = force in modal coordinates

The load vector which is converted to modal coordinates ((Equation 15–112)) is given by

(17–63)

where:

{Fnd} = nodal force vector
s = load vector scale factor, (input as FACT, LVSCALE command)
{Fs} = load vector from the modal analysis (see Mode Superposition Method).

For a steady sinusoidal vibration, fj has the form

(17–64)

where:

fjc = complex force amplitude
Ω = imposed circular frequency

For (Equation 17–62) to be true at all times, yj must have a similar form as fj, or

(17–65)

where:

yjc = complex amplitude of the modal coordinate for mode j.

Differentiating (Equation 17–65), and substituting (Equation 17–64) and (Equation 17–65) into (Equation 17–62),

(17–66)

Collecting coefficients of yjc and dividing by (eiΩt)

(17–67)

solving for yjc,

(17–68)

The contribution from each mode is:

(17–69)

where:

{Cj} = contribution of mode j (output if Mcont = ON, on the HROUT command)
{φj} = mode shape for mode j

Finally, the complex displacements are obtained from (Equation 15–95) as

(17–70)

where:

{uc} = vector of complex displacements

If the modal analysis was performed using the reduced method (MODOPT,REDUC), then the vectors {φ} and {uc} in the above equations would be in terms of the master DOFs (i.e. and { [image] c}).

In the case of the QR damped mode extraction method, one substitutes (Equation 15–114) for (Equation 15–113), so (Equation 17–67) becomes:

(17–71)

Solving the above equation and multiplying by the eigenvectors, one can calculate the complex displacements shown in (Equation 17–70).

17.4.5.3.1. Expansion Pass

The expansion pass of the mode superposition method involves computing the complex displacements at slave DOFs (see (Equation 17–107)) if the reduced modal analysis was used ( MODOPT,REDUC)) and computing element stresses. The expansion pass is the same as the reduced method discussed in the previous section.

17.4.6. Variational Technology Method

A common way to compute the harmonic response of a structure is to compute the normal modes of the undamped structure, and to use a modal superposition method to evaluate the response, after determining the modal damping. Determining the modal damping can be based on modal testing, or by using empirical rules. However, when the structure is non-metallic, the elastic properties can be highly dependent on the frequency and the damping can be high enough that the undamped modes and the damped modes are significantly different, and an approach based on a real, undamped modes is not appropriate.

One alternative to straight modal analysis is to build multiple modal bases, for different property values, and combine them together over the frequency range of the analysis. This technique is complex, error prone, and does not address the problem of determining the modal damping factors. Another alternative is a direct frequency response, updating the elastic properties for every frequency step. This technique give a much better prediction of the frequency response, but is CPU intensive.

The variational technology method (HROPT,VT) is available as the harmonic sweep capability of the VT Accelerator add-on. You can define the material elastic properties as being frequency-dependent (using TB,ELASTIC and TB,SDAMP) and efficiently compute the frequency response over an entire frequency range. For the Variational Technology theory, see Guillaume(333) and Beley, Broudiscou, et al.(360).

17.4.6.1. Viscous or Hysteretic Damping

When using the Variational Technology method, the user has a choice between viscous and hysteretic damping.

Viscous Damping

Consider a spring-damper-mass system subjected to a harmonic excitation. The response of the system is given by:

(17–72)

Due to the damping, the system is not conservative and the energy is dissipated. Using viscous damping, the energy dissipated by the cycle is proportional to the frequency, Ω. In a single DOF spring-mass-damper system, with a viscous damper C:

(17–73)

where:

ΔU = change of energy
C = viscous damper

Hysteretic Damping

Experience shows that energy dissipated by internal friction in a real system does not depend on frequency, and approximately is a function of [image]:

(17–74)

where:

βξ = frequency-dependent damping (input using TB,SDAMP command)

βξ damping is known as structural or hysteretic damping. It can be included in the elastic properties by using a complex Young's modulus:

(17–75)

where:

E = Young's modulus (input using TB,ELASTIC command)

Using this kind of representation, the equations of motion of the system become:

(17–76)

where:

[M] = structural mass matrix
[K] = structural stiffness matrix
[H] = structural damping matrix
{ [image]} = nodal acceleration vector
{u} = nodal displacement vector
{Fa} = applied load vector

17.4.7. Automatic Frequency Spacing

In harmonic response analysis, the imposed frequencies that involve the most kinetic energy are those near the natural frequencies of the structure. The automatic frequency spacing or “cluster” option (Clust = ON, on the HROUT command) provides an approximate method of choosing suitable imposed frequencies. The nearness of the imposed frequencies to the natural frequencies depends on damping, because the resonance peaks narrow when the damping is reduced. Figure 17.2: "Frequency Spacing" shows two typical resonance peaks and the imposed frequencies chosen by this method, which are computed from:

(17–77)

(17–78)

(Equation 17–77) gives frequencies slightly less than the natural circular frequency ωj. (Equation 17–78) gives slightly higher frequencies. The spacing parameter aij is defined as:

(17–79)

where:

ξi = modal damping as defined by (Equation 15–115). (If ξi is computed as 0.0, it is redefined to be 0.005 for this equation only).
N = integer constant (input as NSBSTP, NSUBST command) which may be between 2 and 20. Anything above this range defaults to 10 and anything below this range defaults to 4.
j = 1, 2, 3, ... 2N

Each natural frequency, as well as frequencies midway between, are also chosen as imposed frequencies.

Figure 17.2 Frequency Spacing

17.4.8. Rotating Forces on Rotating Structures

If a structure is rotating, forces rotating synchronously or asynchronously with the structure are of interest.

General rotating asynchronous forces are described in General Asynchronous Rotating Force. A specific synchronous force: mass unbalance is shown in Specific Synchronous Forces: Mass Unbalance.

In both cases, the equation solved for harmonic analysis is the same as ((Equation 17–52)) except for the coefficients of the damping matrix [C] which will be a function of the rotational velocity of the structure (see the CORIOLIS command). [C] will be updated for each excitation frequency step using the following rotational velocity:

(17–80)

where:

ω = rotational velocity of the structure (rd/s)
Ω = frequency of excitation (rd/s)
s = ratio between Ω and ω (s = 1 for synchronous excitations) (input as RATIO in the SYNCHRO command).

The right-hand term of the equation is given below depending on the force considered.

17.4.8.1. General Asynchronous Rotating Force

If the structure is rotating about X axis, then an asynchronous force having its direction in the plane perpendicular to the spin axis is expressed as:

(17–81)

(17–82)

where:

F = amplitude of force

Using complex notations, the equations become:

(17–83)

(17–84)

where:

i = square root of -1
Fa = Fcosα = real force in Y-direction; also, negative of imaginary force in Z-direction
(input as VALUE on F command, label FY; input as VALUE2 on F command, label FZ)
Fb = Fsinα = negative of real force in Z-direction; also, negative of imaginary force in the Y-direction
(input as VALUE on F command, label FZ; input as VALUE2 on F command, label FY)

The expression of the forces for structures rotating about another direction than X are developed analogously.

17.4.8.2. Specific Synchronous Forces: Mass Unbalance

Consider a structure rotating about the X axis. The mass unbalance m situated at node I with the eccentricity e may be represented as shown in Figure 17.3: "Mass Unbalance at Node I"

Figure 17.3 Mass Unbalance at Node I

If we only consider the motion in the plane perpendicular to the spin axis (YZ plane), the kinetic energy of the unbalanced mass is written as:

(17–85)

where:

m = mass unbalance
e = distance from the mass unbalance to the spin axis
ω = amplitude of the rotational velocity vector of the structure (input as OMEGA or CMOMEGA command). It is equal to the frequency of excitation Ω.
α = phase of the unbalance

Because the mass unbalance is much smaller than the weight of the structure, the first two terms are neglected. The third term being constant, will have no effect on the final equations.

Applying Lagrange's equations, the force vector is:

(17–86)

(17–87)

where:

F = me

Using complex notations, it can be written as:

(17–88)

(17–89)

Note

The multiplication of the forces by ω2 is done internally at each frequency step.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
17.3. Mode-Frequency Analysis 		Up / Home Next
17.5. Buckling Analysis


17.5. Buckling Analysis

The following buckling analysis topics are available:

  • Assumptions and Restrictions
  • Description of Analysis

17.5.1. Assumptions and Restrictions

  1. Valid for structural degrees of freedom (DOFs) only.

  2. The structure fails suddenly, with a horizontal force-deflection curve (see Figure 17.4: "Types of Buckling Problems").

  3. The structure has constant stiffness effects.

  4. A static solution with prestress effects included (PSTRES,ON) was run.

Figure 17.4 Types of Buckling Problems

17.5.2. Description of Analysis

This analysis type is for bifurcation buckling using a linearized model of elastic stability. Bifurcation buckling refers to the unbounded growth of a new deformation pattern. A linear structure with a force-deflection curve similar to Figure 17.4: "Types of Buckling Problems"(a) is well modeled by a linear buckling (ANTYPE,BUCKLE) analysis, whereas a structure with a curve like Figure 17.4: "Types of Buckling Problems"(b) is not (a large deflection analysis ( NLGEOM,ON) is appropriate, see Large Rotation). The buckling problem is formulated as an eigenvalue problem:

(17–90)

where:

[K] = stiffness matrix
[S] = stress stiffness matrix
λi = ith eigenvalue (used to multiply the loads which generated [S])
ψi = ith eigenvector of displacements

The eigenproblem is solved as discussed in Eigenvalue and Eigenvector Extraction. The eigenvectors are normalized so that the largest component is 1.0. Thus, the stresses (when output) may only be interpreted as a relative distribution of stresses.

If the first eigenvalue closest to the shift point is negative (indicating that the loads applied in a reverse sense will cause buckling), the program will terminate. In the subspace method, the error message “Number of stress-stiffness DOF is less than requested modes” will be issued. In order to circumvent this difficulty, apply an initial shift close to the expected eigenvalue (with the BUCOPT command).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
17.4. Harmonic Response Analyses 		Up / Home Next
17.6. Substructuring Analysis


17.6. Substructuring Analysis

The substructure analysis (ANTYPE,SUBSTR) uses the technique of matrix reduction to reduce the system matrices to a smaller set of DOFs. Matrix reduction is also used by the reduced modal, reduced harmonic and reduced transient analyses.

The following substructuring analysis topics are available:

  • Assumptions and Restrictions (within Superelement)
  • Description of Analysis
  • Statics
  • Transients
  • Component Mode Synthesis (CMS)

17.6.1. Assumptions and Restrictions (within Superelement)

  1. Any degree of freedom (DOF) may be used.

  2. The elements have constant stiffness, damping, and mass effects (e.g., material properties do not change with temperature).

  3. Coupled-field elements using load-vector coupling and elements with Lagrange multipliers cannot be used.

17.6.2. Description of Analysis

A superelement (substructure) may be used in any analysis type. It simply represents a collection of elements that are reduced to act as one element. This one (super) element may then be used in the actual analysis (use pass) or be used to generate more superelements (generation or use pass). To reconstruct the detailed solutions (e.g., displacements and stresses) within the superelement, an expansion pass may be done. See the Basic Analysis Guide for loads which are applicable to a substructure analysis.

17.6.3. Statics

Consider the basic form of the static equations ((Equation 17–1)):

(17–91)

{F} includes nodal, pressure, and temperature effects. It does not include {Fnr} (see Newton-Raphson Procedure). The equations may be partitioned into two groups, the master (retained) DOFs, here denoted by the subscript “m”, and the slave (removed) DOFs, here denoted by the subscript “s”.

(17–92)

or expanding:

(17–93)

(17–94)

The master DOFs should include all DOFs of all nodes on surfaces that connect to other parts of the structure. If accelerations are to be used in the use pass or if the use pass will be a transient analysis, master DOFs throughout the rest of the structure should also be used to characterize the distributed mass. The automatic selection of master DOFs is discussed in more detail in Automatic Master DOF Selection, and guidelines for their selection are given in Modal Analysis of the Structural Analysis Guide. Solving (Equation 17–94) for {us},

(17–95)

Substituting {us} into (Equation 17–93)

(17–96)

or,

(17–97)

where:

(17–98)

(17–99)

(17–100)

and [image] are the superelement coefficient (e.g., stiffness) matrix and load vector, respectively.

In the preceding development, the load vector for the superelement has been treated as a total load vector. The same derivation may be applied to any number of independent load vectors, which in turn may be individually scaled in the superelement use pass. For example, the analyst may wish to apply thermal, pressure, gravity, and other loading conditions in varying proportions. Expanding the right-hand sides of (Equation 17–93) and (Equation 17–94) one gets, respectively:

(17–101)

(17–102)

where:

N = number of independent load vectors.

Substituting into (Equation 17–99):

(17–103)

To have independently scaled load vectors in the use pass, expand the left-hand side of (Equation 17–103)

(17–104)

Substituting (Equation 17–104) into (Equation 17–103) :

(17–105)

If the load vectors are scaled in the use pass such that:

(17–106)

where bi is the scaling factor (FACT on the LVSCALE command), then (Equation 17–95) becomes:

(17–107)

(Equation 17–107) is used in the expansion pass to obtain the DOF values at the slave DOFs if the backsubstitution method is chosen (SEOPT command). If the resolve method is chosen for expansion pass, then the program will use (Equation 17–92) to resolve for {us}. In doing so, the program makes {um} as the internally prescribed displacement boundary conditions since {um} are known in expansion pass. As the program treats DOFs associated with {um} as displacement boundary conditions, the reaction forces by resolve method will be different from that computed at those master DOFs by the backsubstitution method. However, they are all in self-equilibrium satisfying (Equation 17–92).

The above section Statics is equally applicable at an element level for elements with extra displacement shapes. The master DOFs become the nodal DOFs and the slave DOFs become the nodeless or extra DOFs.

17.6.4. Transients

The general form of the equations for transients is (Equation 17–5) and (Equation 17–29):

(17–108)

For substructuring, an equation of the form:

(17–109)

is needed. and [image] are computed as they are for the static case ((Equation 17–98) and (Equation 17–99)). The computation of the reduced mass matrix is done by:

(17–110)

This simplification was suggested by Guyan(14) because direct partitioning and condensation are not practical (the condensed matrices would be functions of the time derivatives of displacement and very awkward to implement). The damping matrix is handled similarly:

(17–111)

(Equation 17–107) is also used to expand the DOF values to the slave DOFs in the transient case if the backsubstitution method is chosen. If the resolve method is chosen, the program will use (Equation 17–92) and make {um} as displacement boundary conditions the same way as the static expansion method does.

17.6.5. Component Mode Synthesis (CMS)

Component mode synthesis is an option used in substructure analysis (accessed with the CMSOPT command). It reduces the system matrices to a smaller set of interface DOFs between substructures and truncated sets of normal mode generalized coordinates (see Craig(344)).

For a undamped system, each CMS substructure is defined by a stiffness and a mass matrix. The matrix equation of the motion is:

(17–112)

Partitioning the matrix equation into interface and interior DOFs:

(17–113)

where subscripts m and s refer to:

m = master DOFs defined only on interface nodes
s = all DOFs that are not master DOFs

The physical displacement vector, (u), may be represented in terms of component generalized coordinates (see Craig(344)) as in (Equation 17–114).

(17–114)

where:

yδ = truncated set of generalized modal coordinates
[T] = transformation matrix.

Fixed-Interface Method

For the fixed-interface method (see Craig and Bampton(345)), the transformation matrix has the form:

(17–115)

where:

[Gsm] = -[Kss]-1[Ksm] = redundant static constraint modes (see Craig and Bampton(345))
Φs = fixed-interface normal modes (eigenvectors obtained with interface nodes fixed)
[I] = identity matrix

Free-Interface Method

For the free-interface method, the transformation matrix has the form:

(17–116)

where:

[Φsr] = matrix of inertia relief modes
[Φm] = matrix of the master dof partition of the free-interface normal modes (eigenvectors obtained with interface dofs free).
[Φs] = matrix of the slave dof partition of the free-interface normal modes.

Residual Flexibility Free Interface Method

For the Residual Flexiblility Free interface (RFFB) method, the transformation matrix has the form:

(17–117)

where:

[Rmm], [Rsm] = submatrices of residual vectors [R] [image] (see Residual Vector Method)

After applying the transformation in (Equation 17–114) into the matrix equation of motion (Equation 17–112) , the equation of motion in the reduced space is obtained. The reduced stiffness and mass matrices of the CMS substructure will be:

(17–118)

(17–119)

In the reduced system, master DOFs will be used to couple the CMS superelement to other elements and/or CMS superelements.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
17.5. Buckling Analysis 		Up / Home Next
17.7. Spectrum Analysis


17.7. Spectrum Analysis

Two types of spectrum analyses (ANTYPE,SPECTR) are supported: the deterministic response spectrum method and the nondeterministic random vibration method. Both excitation at the support and excitation away from the support are allowed. The three response spectrum methods are the single-point, multiple-point and dynamic design analysis method. The random vibration method uses the power spectral density (PSD) approach.

The following spectrum analysis topics are available:

  • Assumptions and Restrictions
  • Description of Analysis
  • Single-Point Response Spectrum
  • Damping
  • Participation Factors and Mode Coefficients
  • Combination of Modes
  • Reduced Mass Summary
  • Effective Mass
  • Dynamic Design Analysis Method
  • Random Vibration Method
  • Description of Method
  • Response Power Spectral Densities and Mean Square Response
  • Cross Spectral Terms for Partially Correlated Input PSDs
  • Spatial Correlation
  • Wave Propagation
  • Multi-Point Response Spectrum Method

17.7.1. Assumptions and Restrictions

  1. The structure is linear.

  2. For single-point response spectrum analysis (SPOPT,SPRS) and dynamic design analysis method (SPOPT,DDAM), the structure is excited by a spectrum of known direction and frequency components, acting uniformly on all support points or on specified unsupported master degrees of freedom (DOFs).

  3. For multi-point response spectrum (SPOPT,MPRS) and power spectral density (SPOPT,PSD) analyses, the structure may be excited by different input spectra at different support points or unsupported nodes. Up to ten different simultaneous input spectra are allowed.

17.7.2. Description of Analysis

The spectrum analysis capability is a separate analysis type (ANTYPE,SPECTR) and it must be preceded by a mode-frequency analysis. If mode combinations are needed, the required modes must also be expanded, as described in Mode-Frequency Analysis.

The four options available are the single-point response spectrum method (SPOPT,SPRS), the dynamic design analysis method (SPOPT,DDAM), the random vibration method (SPOPT,PSD) and the multiple-point response spectrum method (SPOPT,MPRS). Each option is discussed in detail subsequently.

17.7.3. Single-Point Response Spectrum

Both excitation at the support (base excitation) and excitation away from the support (force excitation) are allowed for the single-point response spectrum analysis (SPOPT,SPRS). The table below summarizes these options as well as the input associated with each.

Table 17.3 Types of Spectrum Loading

 | Excitation Option
 | Excitation at Support |  | Excitation Away From Support
Spectrum input | Response spectrum table (FREQ and SV commands) |  | Amplitude multiplier table (FREQ and SV commands)
Orientation of load | Direction vector (input on SED command) |  | X, Y, Z direction at each node (selected by FX, FY, or FZ on F command)
Distribution of loads | Constant on all support points |  | Amplitude in X, Y, or Z directions (selected by VALUE on F command)
Type of input | Velocity | Acceleration | Displacement | Force
Response spectrum type (KSV on SVTYP command) | 0 | 2 | 3,4 | 1

17.7.4. Damping

Damping is evaluated for each mode and is defined as:

(17–120)

where:

β = beta damping (input as VALUE, BETAD command)
ωi = undamped natural circular frequency of the ith mode
ξc = damping ratio (input as RATIO, DMPRAT command)
Nm = number of materials
{φi} = displacement vector for mode i
[Kj] = stiffness matrix of part of structure of material j
= modal damping ratio of mode i (MDAMP command)

Note that the material dependent damping contribution is computed in the modal expansion phase, so that this damping contribution must be included there.

17.7.5. Participation Factors and Mode Coefficients

The participation factors for the given excitation direction are defined as:

(17–121)

(17–122)

where:

γi = participation factor for the ith mode
{φ}i = eigenvector normalized using (Equation 17–42) (Nrmkey on the MODOPT command has no effect)
{D} = vector describing the excitation direction (see (Equation 17–123))
{F} = input force vector

The vector describing the excitation direction has the form:

(17–123)

where:

X, Y, Z = global Cartesian coordinates of a point on the geometry
Xo, Yo, Zo = global Cartesian coordinates of point about which rotations are done (reference point)
{e} = six possible unit vectors

We can calculate the statically equivalent actions at j due to rigid-body displacements of the reference point using the concept of translation of axes [T] (Weaver and Johnston(279)).

For spectrum analysis, the Da values may be determined in one of two ways:

  1. For D values with rocking not included (based on the SED command):

            (17–124)

            (17–125)

            (17–126)

    where:

    SX, SY, SZ = components of excitation direction (input as SEDX, SEDY, and SEDZ, respectively, on SED command)

  2. or, for D values with rocking included (based on the SED and ROCK command):

            (17–127)

            (17–128)

            (17–129)

R is defined by:

(17–130)

where:

CX, CY, CZ = components of angular velocity components (input as OMX, OMY, and OMZ, respectively, on ROCK command)
x = vector cross product operator
rX = Xn - LX
rY = Yn - LY
rZ = Zn - LZ
Xn, Yn, Zn = coordinate of node n
LX, LY, LZ = location of center of rotation (input as CGX, CGY, and CGZ on ROCK command)

The displacement, velocity or acceleration vector for each mode is computed from the eigenvector by using a “mode coefficient”:

(17–131)

where:

m = 0, 1, or 2, based on whether the displacements, velocities, or accelerations, respectively, are selected (using label, the third field on the mode combination commands SRSS, CQC, GRP, DSUM, NRLSUM)
Ai = mode coefficient (see below)

The mode coefficient is computed in five different ways, depending on the type of excitation (SVTYP command).

  1. For velocity excitation of base (SVTYP, 0)

            (17–132)

    where:

    Svi = spectral velocity for the ith mode (obtained from the input velocity spectrum at frequency fi and effective damping ratio [image])
    fi = ith natural frequency (cycles per unit time =
    ωi = ith natural circular frequency (radians per unit time)

  2. For force excitation (SVTYP, 1)

            (17–133)

    where:

    Sfi = spectral force for the ith mode (obtained from the input amplitude multiplier table at frequency fi and effective damping ratio [image]).

  3. For acceleration excitation of base (SVTYP, 2)

            (17–134)

    where:

    Sai = spectral acceleration for the ith mode (obtained from the input acceleration response spectrum at frequency fi and effective damping ratio [image]).

  4. For displacement excitation of base (SVTYP, 3)

            (17–135)

    where:

    Sui = spectral displacement for the ith mode (obtained from the input displacement response spectrum at frequency fi and effective damping ratio [image]).

  5. For power spectral density (PSD) (SVTYP, 4) (Vanmarcke(34))

            (17–136)

    where:

    Spi = power spectral density for the ith mode (obtained from the input PSD spectrum at frequency fi and effective damping ratio [image])
    ξ = damping ratio (input as RATIO, DMPRAT command, defaults to .01)

The integral in (Equation 17–136) is approximated as:

(17–137)

where:

Li = fi (in integer form)
Spj = power spectral density evaluated at frequency (f) equal to j (in real form)
Δf = effective frequency band for fi = 1.

When Svi, Sfi, Sai, Sui, or Spi are needed between input frequencies, log-log interpolation is done in the space as defined.

The spectral values and the mode coefficients output in the “RESPONSE SPECTRUM CALCULATION SUMMARY” table are evaluated at the input curve with the lowest damping ratio, not at the effective damping ratio [image] .

17.7.6. Combination of Modes

The modal displacements, velocity and acceleration ((Equation 17–131)) may be combined in different ways to obtain the response of the structure. For all excitations but the PSD this would be the maximum response, and for the PSD excitation, this would be the 1-σ (standard deviation) relative response. The response includes DOF response as well as element results and reaction forces if computed in the expansion operations (Elcalc = YES on the MXPAND command).

In the case of the single-point response spectrum method (SPOPT,SPRS) or the dynamic-design analysis method (SPOPT,DDAM) options of the spectrum analysis , it is possible to expand only those modes whose significance factor exceeds the significant threshold value (SIGNIF value on MXPAND command). Note that the mode coefficients must be available at the time the modes are expanded.

Only those modes having a significant amplitude (mode coefficient) are chosen for mode combination. A mode having a coefficient of greater than a given value (input as SIGNIF on the mode combination commands SRSS, CQC, GRP, DSUM, NRLSUM, and PSDCOM) of the maximum mode coefficient (all modes are scanned) is considered significant.

The spectrum option provides five options for the combination of modes. They are:

  • Complete Quadratic Combination Method (CQC)

  • Grouping Method (GRP)

  • Double Sum Method (DSUM)

  • SRSS Method (SRSS)

  • NRL-SUM Method (NRLSUM)

These methods generate coefficients for the combination of mode shapes. This combination is done by a generalization of the method of the square root of the sum of the squares which has the form:

(17–138)

where:

Ra = total modal response
N = total number of expanded modes
εij= coupling coefficient. The value of εij = 0.0 implies modes i and j are independent and approaches 1.0 as the dependency increases
Ri = AiΨi = modal response in the ith mode ((Equation 17–131))
Rj = AjΨj = modal response in the jth mode
Ai = mode coefficient for the ith mode
Aj = mode coefficient for the jth mode
Ψi = the ith mode shape
Ψj = the jth mode shape

Ψi and Ψj may be the DOF response, reactions, or stresses. The DOF response, reactions, or stresses may be displacement, velocity or acceleration depending on the user request (Label on the mode combination commands SRSS, CQC, DSUM, GRP, or NRLSUM).

The mode combination instructions are written to File.MCOM by the mode combination command. Inputting this file in POST1 automatically performs the mode combination.

17.7.6.1. Complete Quadratic Combination Method

This method (accessed with the CQC command), is based on Wilson, et al.(65).

(17–139)

where:

r = ωj / ωi

17.7.6.2. Grouping Method

This method (accessed with the GRP command), is from the NRC Regulatory Guide(41). For this case, (Equation 17–138) specializes to:

(17–140)

where:

Closely spaced modes are divided into groups that include all modes having frequencies lying between the lowest frequency in the group and a frequency 10% higher. No one frequency is to be in more than one group.

17.7.6.3. Double Sum Method

The Double Sum Method (accessed with the DSUM command) also is from the NRC Regulatory Guide(41). For this case, (Equation 17–138) specializes to:

(17–141)

where:

= damped natural circular frequency of the ith mode
ωi= undamped natural circular frequency of the ith mode
= modified damping ratio of the ith mode

The damped natural frequency is computed as:

(17–142)

The modified damping ratio [image] is defined to account for the earthquake duration time:

(17–143)

where:

td = earthquake duration time, fixed at 10 units of time

17.7.6.4. SRSS Method

The SRSS (Square Root of the Sum of the Squares) Method (accessed with the SRSS command), is from the NRC Regulatory Guide(41). For this case, (Equation 17–138) reduces to:

(17–144)

17.7.6.5. NRL-SUM Method

The NRL-SUM (Naval Research Laboratory Sum) method (O'Hara and Belsheim(107)) (accessed with the NRLSUM command), calculates the maximum modal response as:

(17–145)

where:

|Ra1| = absolute value of the largest modal displacement, stress or reaction at the point
Rai = displacement, stress or reaction contributions of the same point from other modes.

17.7.7. Reduced Mass Summary

For the reduced modal analysis, a study of the mass distribution is made. First, each row of the reduced mass matrix is summed and then output in a table entitled “Reduced Mass Distribution”. Then all UX terms of this table are summed and designated [image]. UY and UZ terms are handled similarly. Rotational master DOFs are not summed. , [image] , and [image] are output as “MASS (X, Y, Z) . . .”. They are normally slightly less than the mass of the whole structure. If any of the three is more or significantly less, probably a large part of the mass is relatively close to the reaction points, rather than close to master DOFs. In other words, the master DOFs either are insufficient in number or are poorly located.

17.7.8. Effective Mass

The effective mass (output as EFFECTIVE MASS) for the ith mode (which is a function of excitation direction) is (Clough and Penzien(80)):

(17–146)

Note from (Equation 17–42) that

(17–147)

so that [image]. This does not apply to the force spectrum, for which the excitation is independent of the mass distribution.

17.7.9. Dynamic Design Analysis Method

For the DDAM (Dynamic Design Analysis Method) procedure (SPOPT,DDAM) (O'Hara and Belsheim(107)), modal weights in thousands of pounds (kips) are computed from the participation factor:

(17–148)

where:

wi = modal weight in kips
386 = acceleration due to gravity (in/sec2)

The mode coefficients are computed by:

(17–149)

where:

Sai = the greater of Am or Sx
Am = minimum acceleration (input as AMIN on the ADDAM command) defaults to 6g = 2316.0)
Sx = the lesser of gA or ωiV
g = acceleration due to gravity (386 in/sec2)
A = spectral acceleration
V = spectral velocity
Af, Aa, Ab, Ac, Ad = acceleration spectrum computation constants (input as AF, AA, AB, AC, AD on the ADDAM command)
Vf, Va, Vb, Vc = velocity spectrum computation constants (input as VF, VA, VB, VC on the VDDAM command)

DDAM procedure is normally used with the NRL-SUM method of mode combination, which was described in the section on the single-point response spectrum. Note that unlike (Equation 17–42), O'Hara and Belsheim(107) normalize the mode shapes to the largest modal displacements. As a result, the NRL-1396 participation factors γi and mode coefficients Ai will be different.

17.7.10. Random Vibration Method

The random vibration method (SPOPT,PSD) allows multiple power spectral density (PSD) inputs (up to ten) in which these inputs can be:

  1. full correlated,

  2. uncorrelated, or

  3. partially correlated.

The procedure is based on computing statistics of each modal response and then combining them. It is assumed that the excitations are stationary random processes.

17.7.11. Description of Method

For partially correlated nodal and base excitations, the complete equations of motions are segregated into the free and the restrained (support) DOF as:

(17–150)

where {uf} are the free DOF and {ur} are the restrained DOF that are excited by random loading (unit value of displacement on D command). Note that the restrained DOF that are not excited are not included in (Equation 17–150) (zero displacement on D command). {F} is the nodal force excitation activated by a nonzero value of force (on the F command). The value of force can be other than unity, allowing for scaling of the participation factors.

The free displacements can be decomposed into pseudo-static and dynamic parts as:

(17–151)

The pseudo-static displacements may be obtained from (Equation 17–150) by excluding the first two terms on the left-hand side of the equation and by replacing {uf} by {us}:

(17–152)

in which [A] = - [Kff]-1[Kfr]. Physically, the elements along the ith column of [A] are the pseudo-static displacements due to a unit displacement of the support DOFs excited by the ith base PSD. These displacements are written as load step 2 on the .rst file. Substituting (Equation 17–152) and (Equation 17–151) into (Equation 17–150) and assuming light damping yields:

(17–153)

The second term on the right-hand side of the above equation represents the equivalent forces due to support excitations.

Using the mode superposition analysis of Mode Superposition Method and rewriting (Equation 15–95)) as:

(17–154)

the above equations are decoupled yielding:

(17–155)

where:

n = number of mode shapes chosen for evaluation (input as NMODE on SPOPT command)
yj = generalized displacements
ωj and ξj = natural circular frequencies and modal damping ratios

The modal loads Gj are defined by:

(17–156)

The modal participation factors corresponding to support excitation are given by:

(17–157)

and for nodal excitation:

(17–158)

Note that, for simplicity, equations for nodal excitation problems are developed for a single PSD table. Multiple nodal excitation PSD tables are, however, allowed in the program.

These factors are calculated (as a result of the PFACT action command) when defining base or nodal excitation cases and are written to the .psd file. Mode shapes {φj} should be normalized with respect to the mass matrix as in (Equation 17–42).

The relationship between multiple input spectra are described in the later subsection, “Cross Spectral Terms for Partially Correlated Input PSD's”.

17.7.12. Response Power Spectral Densities and Mean Square Response

Using the theory of random vibrations, the response PSD's can be computed from the input PSD's with the help of transfer functions for single DOF systems H(ω) and by using mode superposition techniques (RPSD command in POST26). The response PSD's for ith DOF are given by:

17.7.12.1. Dynamic Part

(17–159)

17.7.12.2. Pseudo-Static Part

(17–160)

17.7.12.3. Covariance Part

(17–161)

where:

n = number of mode shapes chosen for evaluation (input as NMODE on SPOPT command)
r1 and r2 = number of nodal (away from support) and base PSD tables, respectively

The transfer functions for the single DOF system assume different forms depending on the type (Type on the PSDUNIT command) of the input PSD and the type of response desired (Lab and Relkey on the PSDRES command). The forms of the transfer functions for displacement as the output are listed below for different inputs.

  1. Input = force or acceleration (FORC, ACEL, or ACCG on PSDUNIT command):

            (17–162)

  2. Input = displacement (DISP on PSDUNIT command):

            (17–163)

  3. Input = velocity (VELO on PSDUNIT command):

            (17–164)

where:

ω = forcing frequency
ωj = natural circular frequency for jth mode
i =

Now, random vibration analysis can be used to show that the absolute value of the mean square response of the ith free displacement (ABS option on the PSDRES command) is:

(17–165)

where:

| |Re = denotes the real part of the argument
Cv (usi , udi) = covariance between the static and dynamic displacements

The general formulation described above gives simplified equations for several situations commonly encountered in practice. For fully correlated nodal excitations and identical support motions, the subscripts [image] and m would drop out from the (Equation 17–159) thru (Equation 17–161). When only nodal excitations exist, the last two terms in (Equation 17–165) do not apply, and only the first term within the large parentheses in (Equation 17–159) needs to be evaluated. For uncorrelated nodal force and base excitations, the cross PSD's (i.e. ≠ m) are zero, and only the terms for which [image] = m in (Equation 17–159) thru (Equation 17–161) need to be considered.

(Equation 17–159) thru (Equation 17–161) can be rewritten as:

(17–166)

(17–167)

(17–168)

where:

= modal PSD's, terms within large parentheses of (Equation 17–159) thru (Equation 17–161)

Closed-form solutions for piecewise linear PSD in log-log scale are employed to compute each integration in (Equation 17–165) (Chen and Ali(193) and Harichandran(194)) .

Subsequently, the variances become:

(17–169)

(17–170)

(17–171)

The modal covariance matrices [image] are available in the .psd file. Note that (Equation 17–169) thru (Equation 17–171) represent mode combination (PSDCOM command) for random vibration analysis.

The variance for stresses, nodal forces or reactions can be computed (Elcalc = YES on SPOPT (if Elcalc = YES on MXPAND)) from equations similar to (Equation 17–169) thru (Equation 17–171). If the stress variance is desired, replace the mode shapes (φij) and static displacements [image] with mode stresses [image] and static stresses [image]. Similarly, if the node force variance is desired, replace the mode shapes and static displacements with mode nodal forces [image] and static nodal forces [image]. Finally, if reaction variances are desired, replace the mode shapes and static displacements with mode reaction [image] and static reactions [image]. Furthermore, the variances of the first and second time derivatives (VELO and ACEL options respectively on the PSDRES command) of all the quantities mentioned above can be computed using the following relations:

(17–172)

(17–173)

17.7.12.4. Equivalent Stress Mean Square Response

The equivalent stress (SEQV) mean square response is computed as suggested by Segalman et al(354) as:

(17–174)

where:

Ψ = matrix of component "stress shapes"

Note that the the probability distribution for the equivalent stress is neither Gaussian nor is the mean value zero. However, the"3-σ" rule (multiplying the RMS value by 3) yields a conservative estimate on the upper bound of the equivalent stress (Reese et al(355)). Since no information on the distribution of the principal stresses or stress intensity (S1, S2, S3, and SINT) is known, these values are set to zero.

17.7.13. Cross Spectral Terms for Partially Correlated Input PSDs

For excitation defined by more than a single input PSD, cross terms which determine the degree of correlation between the various PSDs are defined as:

(17–175)

where:

Snn(ω) = input PSD spectra which are related. (Defined by the PSDVAL command and located as table number (TBLNO) n)
Cnm(ω) = cospectra which make up the real part of the cross terms. (Defined by the COVAL command where n and m (TBLNO1 and TBLNO2) identify the matrix location of the cross term)
Qnm(ω) = quadspectra which make up the imaginary part of the cross terms. (Defined by the QDVAL command where n and m (TBLNO1 and TBLNO2) identify the matrix location of the cross term)

The normalized cross PSD function is called the coherence function and is defined as:

(17–176)

where:

Although the above example demonstrates the cross correlation for 3 input spectra, this matrix may range in size from 2 x 2 to 10 x 10 (i.e., maximum number of tables is 10).

For the special case in which all cross terms are zero, the input spectra are said to be uncorrelated. Note that correlation between nodal and base excitations is not allowed.

17.7.14. Spatial Correlation

The degree of correlation between excited nodes may also be controlled. Depending upon the distance between excited nodes and the values of RMIN and RMAX (input as RMIN and RMAX on the PSDSPL command), an overall excitation PSD can be constructed such that excitation at the nodes may be uncorrelated, partially correlated or fully correlated. If the distance between excited nodes is less than RMIN, then the two nodes are fully correlated; if the distance is greater than RMAX, then the two nodes are uncorrelated; if the distance lies between RMIN and RMAX, excitation is partially correlated based on the actual distance between nodes. The following figure indicates how RMIN, RMAX and the correlation are related. Spatial correlation between excited nodes is not allowed for a pressure PSD analysis (PSDUNIT,PRES).

Figure 17.5 Sphere of Influence Relating Spatially Correlated PSD Excitation

Node i excitation is fully correlated with node j excitation
Node i excitation is partially correlated with node k excitation
Node i excitation is uncorrelated with node [image] excitation

For two excitation points 1 and 2, the PSD would be:

(17–177)

where:

D12 = distance between the two excitation points 1 and 2
So(ω) = basic input PSD (PSDVAL and PSDFRQ commands)

17.7.15. Wave Propagation

To include wave propagation effects of a random loading, the excitation PSD is constructed as:

(17–178)

where:

= separation vector between excitations points [image] and m
{V} = velocity of propagation of the wave (input as VX, VY and VZ on PSDWAV command)
= nodal coordinates of excitation point

More than one simultaneous wave or spatially correlated PSD inputs are permitted, in which case the input excitation [S(ω)] reflects the influence of two or more uncorrelated input spectra. In this case, partial correlation among the basic input PSD's is not currently permitted. Wave propagation effects are not allowed for a pressure PSD analysis (PSDUNIT,PRES).

17.7.16. Multi-Point Response Spectrum Method

The response spectrum analysis due to multi-point support and nodal excitations (SPOPT,MPRS) allows up to ten different input spectra tables which are assumed to be unrelated (uncorrelated) to each other.

Most of the ingredients for performing multi-point response spectrum analysis are already developed in the previous subsection of the random vibration method. Assuming that the participation factors, [image], for the [image] th input spectrum table have already been computed (by (Equation 17–157), for example), the mode coefficients for the [image] th table are obtained as:

(17–179)

where:

= interpolated input response spectrum for the [image] th table at the jth natural frequency (defined by the PSDFRQ, PSDVAL and PSDUNIT commands)

The mode coefficients are combined using SRSS:

(17–180)

The mode shapes, mode stresses, etc. are multiplied by the mode coefficients to compute modal quantities, which can then be combined with the help of any of the available mode combination techniques (SRSS, CQC, Double Sum, Grouping or NRL-SUM Method), as described in the previous section on the single-point response spectrum method.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
17.6. Substructuring Analysis 		Up / Home Next
Chapter 18. Preprocessing and Postprocessing Tools


Chapter 18. Preprocessing and Postprocessing Tools

The following topics concerning preprocessing and postprocessing tools are available:

  • Integration and Differentiation Procedures
  • Fourier Coefficient Evaluation
  • Statistical Procedures

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
17.7. Spectrum Analysis 		Up / Home Next
18.1. Integration and Differentiation Procedures


18.1. Integration and Differentiation Procedures

The following integration and differentiation topics are available:

  • Single Integration Procedure
  • Double Integration Procedure
  • Differentiation Procedure
  • Double Differentiation Procedure

18.1.1. Single Integration Procedure

(accessed with *VOPER command, INT1 operation; similar capability is in POST26, INT1 command)

Given two vectors Y (parameter Par1) and X (parameter Par2), and an integration constant C1 (input as CON1), Y* (parameter ParR) is replaced by the accumulated integral of Y over X as follows:

(18–1)

Then for each remaining point in the vector, set:

(18–2)

where:

= integrated value of Y up to point n in the vector
L = length of the vectors

Figure 18.1 Integration Procedure

18.1.2. Double Integration Procedure

(accessed with *VOPER command, INT2 operation)

Given two vectors Y (parameter Par1) and X (parameter Par2), integration constants C1 and C2, (input as CON1 and CON2) set:

(18–3)

(18–4)

Then, for each remaining point in the vector,

(18–5)

(18–6)

18.1.3. Differentiation Procedure

(accessed with *VOPER Command, DER1 Operation; similar capability is in POST26 DERIV command)

Given two vectors Y (parameter Par1) and X (parameter Par2), the derivative is found by averaging the slopes of two adjacent intervals (central difference procedure):

(18–7)

A constant second derivative is assumed for the starting and ending intervals.

(18–8)

(18–9)

For DERIV calculation, the first and last terms may differ slightly from that calculated with *VOPER because DERIV linearly extrapolates these terms from adjacent values.

18.1.4. Double Differentiation Procedure

(accessed by *VOPER command, DER2 Operation)

This is performed by simply repeating the differentiation procedure reported above.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 18. Preprocessing and Postprocessing Tools 		Up / Home Next
18.2. Fourier Coefficient Evaluation


18.2. Fourier Coefficient Evaluation

Fourier coefficients may be evaluated (using the *MFOURI command). Given two vectors defining data points to be fit (parameters CURVE and THETA) and two more vectors defining which terms of the trigonometric series are desired to be computed (parameters MODE and ISYM), the desired coefficients can be computed (parameter COEFF). The curve fitting cannot be perfect, as there are more data than unknowns. Thus, an error Ri will exist at each data point:

(18–10)

where:

Ri = error term (residual) associated with data point i
A = desired coefficients of Fourier series (parameter COEFF)
θi = angular location of data points i (parameter THETA)
L = number of terms in Fourier series
F = sine or cosine, depending on ISYM (parameter ISYM)
M = multiplier on θi (parameter MODE)
Ci = value of data point i (parameter CURVE)
m = number of data points (length of CURVE parameter array)

(Equation 18–10) can be reduced to matrix form as:

(18–11)

where:

{R} = vector of error terms
{G} = matrix of sines and cosines, evaluated at the different data points
{A} = vector of desired coefficients
{C} = vector of data points

Note that m > L. If m = L, the coefficients would be uniquely determined with {R} = {O} and (Equation 18–11) being solved for {A} by direct inversion.

The method of least squares is used to determine the coefficients {A}. This means that [image] is to be minimized. The minimization is represented by

(18–12)

where Aj is the jth component of {A}. Note that

(18–13)

The form on the left-hand side of (Equation 18–13) is the more convenient to use. Performing this operation on (Equation 18–11),

(18–14)

Minimizing this with respect to {A}T ((Equation 18–12)), it may be shown that:

(18–15)

or

(18–16)

(Equation 18–16) is known as the “normal equations” used in statistics. Finally,

(18–17)

[GT] could not have been “cancelled out” of (Equation 18–16) because it is not a square matrix. However, [G]T[G] is square.

In spite of the orthogonal nature of a trigonometric series, the value of each computed coefficient is dependent on the number of terms requested because of the least squares fitting procedure which takes place at the input data points. Terms of a true Fourier series are evaluated not by a least squares fitting procedure, but rather by the integration of a continuous function (e.g., Euler formulas, p. 469 of Kreyszig(23)).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
18.1. Integration and Differentiation Procedures 		Up / Home Next
18.3. Statistical Procedures


18.3. Statistical Procedures

The following statistical procedures topics are available:

  • Mean, Covariance, Correlation Coefficient
  • Random Samples of a Uniform Distribution
  • Random Samples of a Gaussian Distribution
  • Random Samples of a Triangular Distribution
  • Random Samples of a Beta Distribution
  • Random Samples of a Gamma Distribution

18.3.1. Mean, Covariance, Correlation Coefficient

The mean, variance, covariance, and correlation coefficients of a multiple subscripted parameter are computed (using the *MOPER command). Refer to Kreyszig(162) for the basis of the following formulas. All operations are performed on columns to conform to the database structure. The covariance is assumed to be a measure of the association between columns.

The following notation is used:

where:

[x] = starting matrix
i = row index of first array parameter matrix
j = column index of first array parameter matrix
m = number of rows in first array parameter matrix
n = number of columns in first array parameter matrix
subscripts s, t = selected column indices
[S] = covariance matrix n x n
[c] = correlation matrix n x n
= variance

The mean of a column is:

(18–18)

The covariance of the columns s and t is:

(18–19)

The variance, [image] , of column s is the diagonal term Sss of the covariance matrix [S]. The equivalent common definition of variance is:

(18–20)

The correlation coefficient is a measure of the independence or dependence of one column to the next. The correlation and mean operations are based on Hoel(163) (and initiated when CORR is inserted in the Oper field of the *MOPER command).

Correlation coefficient:

(18–21)

value S of the terms of the coefficient matrix range from -1.0 to 1.0 where:

-1.0 = fully inversely related
0.0 = fully independent
1.0 = fully directly related

18.3.2. Random Samples of a Uniform Distribution

A vector can be filled with a random sample of real numbers based on a uniform distribution with given lower and upper bounds (using RAND in the Func field on the *VFILL command) (see Figure 18.2: "Uniform Density"):

(18–22)

where:

a = lower bound (input as CON1 on *VFILL command)
b = upper bound (input as CON2 on *VFILL command)

Figure 18.2 Uniform Density

The numbers are generated using the URN algorithm of Swain and Swain(161). The initial seed numbers are hard coded into the routine.

18.3.3. Random Samples of a Gaussian Distribution

A vector may be filled with a random sample of real numbers based on a Gaussian distribution with a known mean and standard deviation (using GDIS in the Func field on the *VFILL command).

First, random numbers P(x), with a uniform distribution from 0.0 to 1.0, are generated using a random number generator. These numbers are used as probabilities to enter a cumulative standard normal probability distribution table (Abramowitz and Stegun(160)), which can be represented by Figure 18.3: "Cumulative Probability Function" or the Gaussian distribution function:

Figure 18.3 Cumulative Probability Function

(18–23)

where:

f(t) = Gaussian density function

The table maps values of P(x) into values of x, which are standard Gaussian distributed random numbers from -5.0 to 5.0, and satisfy the Gaussian density function (Figure 18.4: "Gaussian Density"):

Figure 18.4 Gaussian Density

(18–24)

where:

μ = mean (input as CON1 on *VFILL command)
σ = standard deviation (input as CON2 on *VFILL command)

The x values are transformed into the final Gaussian distributed set of random numbers, with the given mean and standard deviation, by the transformation equation:

(18–25)

18.3.4. Random Samples of a Triangular Distribution

A vector may be filled with a random sample of real numbers based on a triangular distribution with a known lower bound, peak value location, and upper bound (using TRIA in the Func field on the *VFILL command).

First, random numbers P(x) are generated as in the Gaussian example. These P(x) values (probabilities) are substituted into the triangular cumulative probability distribution function:

(18–26)

where:

a = lower bound (input as CON1 on *VFILL command)
c = peak location (input as CON2 on *VFILL command)
b = upper bound (input as CON3 on *VFILL command)

which is solved for values of x. These x values are random numbers with a triangular distribution, and satisfy the triangular density function (Figure 18.5: "Triangular Density"):

Figure 18.5 Triangular Density

(18–27)

18.3.5. Random Samples of a Beta Distribution

A vector may be filled with a random sample of real numbers based on a beta distribution with known lower and upper bounds and α and β parameters (using BETA in the Func field on the *VFILL command).

First, random numbers P(x) are generated as in the Gaussian example. These random values are used as probabilities to enter a cumulative beta probability distribution table, generated by the program. This table can be represented by a curve similar to (Figure 18.3: "Cumulative Probability Function"), or the beta cumulative probability distribution function:

(18–28)

The table maps values of P(x) into x values which are random numbers from 0.0 to 1.0. The values of x have a beta distribution with given α and β values, and satisfy the beta density function (Figure 18.6: "Beta Density"):

Figure 18.6 Beta Density

(18–29)

where:

a = lower bound (input as CON1 on *VFILL command)
b = upper bound (input as CON2 on *VFILL command)
α = alpha parameter (input as CON3 on *VFILL command)
β = beta parameter (input as CON4 on *VFILL command)
B (α, β) = beta function
f(t) = beta density function

The x values are transformed into the final beta distributed set of random numbers, with given lower and upper bounds, by the transformation equation:

(18–30)

18.3.6. Random Samples of a Gamma Distribution

A vector may be filled with a random sample of real numbers based on a gamma distribution with a known lower bound for α and β parameters (using GAMM in the Func field on the *VFILL command).

First, random numbers P(x) are generated as in the Gaussian example. These random values are used as probabilities to enter a cumulative gamma probability distribution table, generated by the program. This table can be represented by a curve similar to Figure 18.7: "Gamma Density", or the gamma cumulative probability distribution function:

(18–31)

where:

f(t) = gamma density function.

The table maps values of P(x) into values of x, which are random numbers having a gamma distribution with given α and β values, and satisfy the gamma distribution density function (Figure 18.7: "Gamma Density"):

Figure 18.7 Gamma Density

(18–32)

where:

α = alpha parameter of gamma function (input as CON2 on *VFILL command)
β = beta parameter of gamma density function (input as CON3 on *VFILL command)
a = lower bound (input as CON1 on *VFILL command)

The x values are relocated relative to the given lower bound by the transformation equation:

(18–33)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
18.2. Fourier Coefficient Evaluation 		Up / Home Next
Chapter 19. Postprocessing


Chapter 19. Postprocessing

The following postprocessing topics are available:

  • POST1 - Derived Nodal Data Processing
  • POST1 - Vector and Surface Operations
  • POST1 - Path Operations
  • POST1 - Stress Linearization
  • POST1 - Fatigue Module
  • POST1 - Electromagnetic Macros
  • POST1 - Error Approximation Technique
  • POST1 - Crack Analysis
  • POST1 - Harmonic Solid and Shell Element Postprocessing
  • POST26 - Data Operations
  • POST26 - Response Spectrum Generator (RESP)
  • POST1 and POST26 - Interpretation of Equivalent Strains
  • POST26 - Response Power Spectral Density
  • POST26 - Computation of Covariance

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
18.3. Statistical Procedures 		Up / Home Next
19.1. POST1 - Derived Nodal Data Processing


19.1. POST1 - Derived Nodal Data Processing

19.1.1. Derived Nodal Data Computation

The computation of derived data (data derived from nodal unknowns) is discussed in "Structures with Geometric Nonlinearities" through "Acoustics". Derived nodal data is available for solid and shell elements (except SHELL61). Available data include stresses, strains, thermal gradients, thermal fluxes, pressure gradients, electric fields, electric flux densities, magnetic field intensities, magnetic flux densities, and magnetic forces. Structural nonlinear data is processed in a similar fashion and includes equivalent stress, stress state ratio, hydrostatic pressure, accumulated equivalent plastic strain, plastic state variable, and plastic work.

POST1 averages the component tensor or vector data at nodes used by more than one element.

(19–1)

where:

σik = average derived data component i at node k
σijk = derived data component i of element j at node k
Nk = number of elements connecting to node k

Combining principal tensor data (principal stress, principal strain) or vector magnitudes at the nodes may either be computed using the averaged component data (KEY = 0, AVPRIN command):

(19–2)

where:

f(σik) = function to compute principal data from component data as given in "Structures with Geometric Nonlinearities" through "Acoustics".

or be directly averaged (KEY = 1, AVPRIN command):

(19–3)

where:

σck = averaged combined principal data at node k
σcjk = combined principal data of element j at node k

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 19. Postprocessing 		Up / Home Next
19.2. POST1 - Vector and Surface Operations


19.2. POST1 - Vector and Surface Operations

19.2.1. Vector Operations

The dot product of two vectors [image] and [image] is provided (with the VDOT command) as:

(19–4)

The cross product of two vectors {A} and {B} is also provided (with the VCROSS command) as:

(19–5)

In both operations, the components of vectors {A} and {B} are transformed to global Cartesian coordinates before the calculations. The results of the cross product are also in global Cartesian coordinates.

19.2.2. Surface Operations

(Integration of Values Across a Free Surface)

Nodal values across a free surface can be integrated (using the INTSRF command). The free surface is determined by a selected set of nodes which must lie on an external surface of the selected set of elements.

Only pressure values can be integrated (for purposes of lift and drag calculations in fluid flow analyses). As a result of the integration, force and moment components in the global Cartesian coordinate system are:

(19–6)

(19–7)

where:

{Ft} = force components
{Fr} = moment components
{r} = position vector =
{p} = distributed pressure vector
area = surface area

In the finite element implementation, the position vector {r} is taken with respect to the origin.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
19.1. POST1 - Derived Nodal Data Processing 		Up / Home Next
19.3. POST1 - Path Operations


19.3. POST1 - Path Operations

General vector calculus may be performed along any arbitrary 2-D or 3-D path through a solid element model. Nodal data, element data, and data stored with element output tables (ETABLE command) may be mapped onto the path and operated on as described below.

19.3.1. Defining the Path

A path is defined by first establishing path parameters (PATH command) and then defining path points which create the path (PPATH command). The path points may be nodes, or arbitrary points defined by geometry coordinates. A segment is a line connecting two path points. The number of path points used to create a path and the number of divisions used to discretize the path are input (using Npts and the nDiv parameter on the PATH command). The discretized path divisions are interpolated between path points in the currently active coordinate system (CSYS command), or as directly input (on the PPATH command). A typical segment is shown in Figure 19.1: "Typical Path Segment" as going from points N1 to N2, for the first segment.

The geometry of each point along the path is stored. The geometry consists of the global Cartesian coordinates (output label XG, YG, ZG) and the length from the first path point along the path (output label S). The geometry is available for subsequent operations.

Figure 19.1 Typical Path Segment

19.3.2. Defining Orientation Vectors of the Path

In addition, position (R), unit tangent (T), and unit normal (N) vectors to a path point are available as shown in Figure 19.2: "Position and Unit Vectors of a Path". These three vectors are defined in the active Cartesian coordinate system.

Figure 19.2 Position and Unit Vectors of a Path

The position vector R (stored with PVECT,RADI command) is defined as:

(19–8)

where:

xn = x coordinate in the active Cartesian system of path point n, etc.

The unit tangent vector T (stored with PVECT,TANG command) is defined as:

(19–9)

(19–10)

(19–11)

where:

x, y, z = coordinate of a path point in the active Cartesian system n = 2 to (L-1)
L = number of points on the path
C = scaling factor so that {T} is a unit vector

The unit normal vector N (PVECT,NORM command) is defined as:

(19–12)

where:

x = cross product operator

{N} is not defined if {T} is parallel to {k}.

19.3.3. Mapping Nodal and Element Data onto the Path

Having defined the path, the nodal or element data (as requested by Item,Comp on the PDEF command) may be mapped onto the path. For each path point, the selected elements are searched to find an element containing that geometric location. In the lower order finite element example of Figure 19.3: "Mapping Data", point No has been found to be contained by the element described by nodes Na, Nb, Nc and Nd. Nodal degree of freedom data is directly available at nodes Na, Nb, Nc and Nd. Element result data may be interpreted either as averaged data over all elements connected to a node (as described in the Nodal Data Computation topic, see POST1 - Derived Nodal Data Processing) or as unaveraged data taken only from the element containing the path interpolation point (using the Avglab option on the PDEF command). When using the material discontinuity option (MAT option on the PMAP command) unaveraged data is mapped automatically.

Caution should be used when defining a path for use with the unaveraged data option. Avoid defining a path (PPATH command) directly along element boundaries since the choice of element for data interpolation may be unpredictable. Path values at nodes use the element from the immediate preceding path point for data interpolation.

The value at the point being studied (i.e., point No) is determined by using the element shape functions together with these nodal values. Principal results data (principal stresses, strains, flux density magnitude, etc.) are mapped onto a path by first interpolating item components to the path and then calculating the principal value from the interpolated components.

Figure 19.3 Mapping Data

Higher order elements include midside nodal (DOF) data for interpolation. Element data at the midside nodes are averaged from corner node values before interpolation.

19.3.4. Operating on Path Data

Once nodal or element data are defined as a path item, its associated path data may be operated on in several ways. Path items may be combined by addition, multiplication, division, or exponentiation (PCALC command). Path items may be differentiated or integrated with respect to any other path item (PCALC command). Differentiation is based on a central difference method without weighting:

(19–13)

(19–14)

(19–15)

where:

A = values associated with the first labeled path in the operation (LAB1, on the PCALC,DERI command)
B = values associated with the second labeled path in the operation (LAB2, on the PCALC,DERI command)
n = 2 to (L-1)
L = number of points on the path
S = scale factor (input as FACT1, on the PCALC,DERI command)

If the denominator is zero for (Equation 19–13) through (Equation 19–15), then the derivative is set to zero.

Integration is based on the rectangular rule (see Figure 18.1: "Integration Procedure" for an illustration):

(19–16)

(19–17)

Path items may also be used in vector dot (PDOT command) or cross (PCROSS command) products. The calculation is the same as the one described in the Vector Dot and Cross Products Topic, above. The only difference is that the results are not transformed to be in the global Cartesian coordinate system.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
19.2. POST1 - Vector and Surface Operations 		Up / Home Next
19.4. POST1 - Stress Linearization


19.4. POST1 - Stress Linearization

An option is available to allow a separation of stresses through a section into constant (membrane) and linear (bending) stresses. An approach similar to the one used here is reported by Gordon(63). The stress linearization option (accessed using the PRSECT, PLSECT, or FSSECT commands) uses a path defined by two nodes (with the PPATH command). The section is defined by a path consisting of two end points (nodes N1 and N2) as shown in Figure 19.4: "Coordinates of Cross Section" (nodes) and 47 intermediate points (automatically determined by linear interpolation in the active display coordinate system (DSYS). Nodes N1 and N2 are normally both presumed to be at free surfaces.

Initially, a path must be defined and the results mapped onto that path as defined above. The logic for most of the remainder of the stress linearization calculation depends on whether the structure is axisymmetric or not, as indicated by the value of ρ (input as RHO on PRSECT, PLSECT, or FSSECT commands). For ρ = 0.0, the structure is not axisymmetric (Cartesian case); and for nonzero values of ρ, the structure is axisymmetric. The explicit definition of ρ, as well as the discussion of the treatment of axisymmetric structures, is discussed later.

Figure 19.4 Coordinates of Cross Section

19.4.1. Cartesian Case

Refer to Figure 19.5: "Typical Stress Distribution" for a graphical representation of stresses. The membrane values of the stress components are computed from:

(19–18)

where:

= membrane value of stress component i
t = thickness of section, as shown in Figure 19.4: "Coordinates of Cross Section"
σi = stress component i along path from results file (`total' stress)
xs = coordinate along path, as shown in Figure 19.4: "Coordinates of Cross Section"

Figure 19.5 Typical Stress Distribution

The subscript i is allowed to vary from 1 to 6, representing σx, σy, σz, σxy, σyz, and σxz, respectively. These stresses are in global Cartesian coordinates. Strictly speaking, the integrals such as the one above are not literally performed; rather it is evaluated by numerical integration:

(19–19)

where:

σi,j = total stress component i at point j along path

The integral notation will continue to be used, for ease of reading.

The “bending” values of the stress components at node N1 are computed from:

(19–20)

where:

= bending value of stress component i at node N1

The bending values of the stress components at node N2 are simply

(19–21)

where:

= bending value of the stress component i at node N2

The “peak” value of stress at a point is the difference between the total stress and the sum of the membrane and bending stresses. Thus, the peak stress at node N1 is:

(19–22)

where:

= peak value of stress component i at node N1
σi1 = value of total stress component i at node N1

Similarly, for node N2,

(19–23)

At the center point (x = 0.0)

(19–24)

where:

= peak value of stress component i at center
σic = computed (total) value of stress component i at center

19.4.2. Axisymmetric Case (General)

The axisymmetric case is the same, in principle, as the Cartesian case, except for the fact that there is more material at a greater radius than at a smaller radius. Thus, the neutral axis is shifted radially outward a distance xf, as shown in Figure 19.6: "Axisymmetric Cross-Section". The axes shown in Figure 19.6: "Axisymmetric Cross-Section" are Cartesian, i.e., the logic presented here is only valid for structures axisymmetric in the global cylindrical system. As stated above, the axisymmetric case is selected if ρ ≠ 0.0. ρ is defined as the radius of curvature of the midsurface in the X-Y plane, as shown in Figure 19.7: "Geometry Used for Axisymmetric Evaluations". A point on the centerplane of the torus has its curvatures defined by two radii: ρ and the radial position Rc. Both of these radii will be used in the forthcoming development. In the case of an axisymmetric straight section such as a cylinder, cone, or disk, ρ = [image], so that the input must be a large number (or -1).

Figure 19.6 Axisymmetric Cross-Section

Figure 19.7 Geometry Used for Axisymmetric Evaluations

Each of the components for the axisymmetric case needs to be treated separately. For this case, the stress components are rotated into section coordinates, so that x stresses are parallel to the path and y stresses are normal to the path.

Starting with the y direction membrane stress, the force over a small sector is:

(19–25)

where:

Fy = total force over small sector
σy = actual stress in y (meridional) direction
R = radius to point being integrated
Δθ = angle over a small sector in the hoop direction
t = thickness of section (distance between nodes N1 and N2)

The area over which the force acts is:

(19–26)

where:

Ay = area of small sector
R1 = radius to node N1
R2 = radius to node N2

Thus, the average membrane stress is:

(19–27)

where:

= y membrane stress

To process the bending stresses, the distance from the center surface to the neutral surface is needed. This distance is shown in Figure 19.6: "Axisymmetric Cross-Section" and is:

(19–28)

The derivation of (Equation 19–28) is the same as for yf given at the end of SHELL61 - Axisymmetric-Harmonic Structural Shell. Thus, the bending moment may be given by:

(19–29)

or

(19–30)

The moment of inertia is:

(19–31)

The bending stresses are:

(19–32)

where:

c = distance from the neutral axis to the extreme fiber

Combining the above three equations,

(19–33)

or

(19–34)

where:

= y bending stress at node N1

Also,

(19–35)

or

(19–36)

where:

= y bending stress at node N2

σx represents the stress in the direction of the thickness. Thus, σx1 and σx2 are the negative of the pressure (if any) at the free surface at nodes N1 and N2, respectively. A membrane stress is computed as:

(19–37)

where:

= the x membrane stress

The treatment of the thickness-direction "bending" stresses is controlled by KB (input as KBR on PRSECT, PLSECT, or FSSECT commands). When the thickness-direction bending stresses are to be ignored (KB = 1), bending stresses are equated to zero:

(19–38)

(19–39)

When the bending stresses are to be included (KB = 0), bending stresses are computed as:

(19–40)

(19–41)

where:

= x bending stress at node N1
σx1 = total x stress at node N1
= x bending stress at node N2
σx2 = total x stress at node N2

and when KB = 2, membrane and bending stresses are computed using (Equation 19–27), (Equation 19–34), and (Equation 19–36) substituting σx for σy.

The hoop stresses are processed next.

(19–42)

where:

= hoop membrane stress
Fh = total force over small sector
Δφ = angle over small sector in the meridional (y) direction
σh = hoop stress
Ah = area of small sector in the x-y plane
r = radius of curvature of the midsurface of the section (input as RHO)
x = coordinate thru cross-section
t = thickness of cross-section

(Equation 19–42) can be reduced to:

(19–43)

Using logic analogous to that needed to derive (Equation 19–34) and (Equation 19–36), the hoop bending stresses are computed by:

(19–44)

and

(19–45)

where:

(19–46)

for hoop-related calculations of (Equation 19–44) and (Equation 19–45).

An xy membrane shear stress is computed as:

(19–47)

where:

= xy membrane shear stress
σxy = xy shear stress

Since the shear stress distribution is assumed to be parabolic and equal to zero at the ends, the xy bending shear stress is set to 0.0. The other two shear stresses (σxz, σyz) are assumed to be zero if KB = 0 or 1. If KB = 2, the shear membrane and bending stresses are computing using (Equation 19–27), (Equation 19–34), and (Equation 19–36) substituting σxy for σy

All peak stresses are computed from

(19–48)

where:

σiP = peak value of stress component i
σi = total value of stress of component i

19.4.3. Axisymmetric Case

(Specializations for Centerline)

At this point it is important to mention one exceptional configuration related to the y-direction membrane and bending stress calculations above. For paths defined on the centerline (X = 0), Rc = 0 and cosΦ = 0, and therefore (Equation 19–27), (Equation 19–28), (Equation 19–34), and (Equation 19–36) are undefined. Since centerline paths are also vertical (φ = 90°), it follows that R = Rc, and Rc is directly cancelled from stress (Equation 19–27), (Equation 19–34), and (Equation 19–35). However, xf remains undefined. Figure 19.8: "Centerline Sections" shows a centerline path from N1 to N2 in which the inside and outside wall surfaces form perpendicular intersections with the centerline.

Figure 19.8 Centerline Sections

For this configuration it is evident that cos φ = Rc/ρ as φ approaches 90° (or as [image] approaches N1 - N2). Thus for any paths very near or exactly on the centerline, (Equation 19–28) is generalized to be:

(19–49)

The second option of (Equation 19–49) applied to centerline paths is an accurate representation for spherical/elliptical heads and flat plates. It is incorrect for axisymmetric shapes that do not form perpendicular intersections with the centerline (e.g., conical heads). For such shapes (as shown in Figure 19.9: "Non-Perpendicular Intersections") centerline paths must not be selected.

Figure 19.9 Non-Perpendicular Intersections

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
19.3. POST1 - Path Operations 		Up / Home Next
19.5. POST1 - Fatigue Module


19.5. POST1 - Fatigue Module

The FATIGUE module of POST1 combines the effects of stress cycling over many cycles involving all stress components at a point in the structure. The procedure is explained in the Structural Analysis Guide.

The module automatically calculates all possible stress ranges and keeps track of their number of occurrences, using a technique commonly known as the “rain flow” range-counting method. At a selected nodal location, a search is made throughout all of the events for the pair of loadings (stress vectors) that produces the most severe stress-intensity range. The number of repetitions possible for this range is recorded, and the remaining number of repetitions for the events containing these loadings is decreased accordingly. At least one of the source events will be “used up” at this point; remaining occurrences of stress conditions belonging to that event will subsequently be ignored. This process continues until all ranges and numbers of occurrences have been considered.

The fatigue calculations rely on the ASME Boiler and Pressure Vessel Code, Section III (and Section VIII, Division 2)(60) for guidelines on range counting, simplified elastic-plastic adaptations, and cumulative fatigue summations by Miner's rule.

The following steps are performed for the fatigue calculations (initiated by the FTCALC command).

  1. Each loading is compared to each other loading to compute a maximum alternating shear stress:

    A. First, a vector of stress differences is computed:

            (19–50)

    where:

    {σ}i = stress vector for loading [image] i
    {σ}j = stress vector for loading [image] j

    B. Second, a stress intensity (σI (i,j)) is computed based on {σ}i,j, using (Equation 2–87).

    C. Then, the interim maximum alternating shear stress is:

            (19–51)

    D. The maximum alternating shear stress is calculated as:

            (19–52)

    where Ke is determined by:

    Analysis Type | Range | Ke
    ELASTIC (based on peak stresses) | All | 1.0
    SIMPLIFIED ELASTIC PLASTIC (based on linearized stress components) | σn < 3 Sm | 1.0
    3 Sm < σn < 3 m Sm
    3 m Sm < σn

    where:

    σn = a stress intensity equivalent of 2 [image] except that it is based on linearized stresses (based on the output of the FSSECT command), not actual stresses. (Note that nomenclature is not the same in POST1 - Stress Linearization as in this section.)
    Sm = design stress-intensity obtained from the Sm versus temperature table. (The table is input using the FP commands inputting Sm1 to Sm10 and T1 to T10).
    m = first elastic-plastic material parameter (input as M on FP command) (m >1.0)
    n = second elastic-plastic material parameter (input as N on FP command) (0.0 < n < 1.0)

  2. There are a total of (L/2) (L-1) loading case combinations, where L is the number of loadings. These loadings are then sorted (the rain flow method), with the highest value of [image] first.

  3. Designate the highest value of [image] as occurring with loading [image] i, event ki together with loading [image] j, event kj. Let MT be the minimum number of times that either event ki or event kj is expected to occur. Compute a usage factor following Miner's rule as:

            (19–53)

    where:

    fu = usage factor (output as PARTIAL USAGE)
    MA = number of allowable cycles at this stress amplitude level. Obtained by entering the allowable alternating stress amplitude (Sa) versus cycles (N) table from the Sa axis and reading the allowable number of cycles MA corresponding to [image]. (The table is input using the FP commands inputting S1 to S20 for Sa and N1 to N20 for N).

    Next, cumulatively add fu to [image] where [image] = output as CUMULATIVE FATIGUE USAGE. Then decrease the number of possible occurrences of both event ki and event kj by MT (so that one of them becomes zero).

  4. Repeat step 3, using the next highest value of [image] until all of the [image] values have been exhausted. It may be seen that the number of times this cycle is performed is equal to the number of events (or less).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
19.4. POST1 - Stress Linearization 		Up / Home Next
19.6. POST1 - Electromagnetic Macros


19.6. POST1 - Electromagnetic Macros

Electromagnetic macros are macro files created to perform specific postprocessing operations for electromagnetic field analysis. Macros performing computational analysis are detailed in this section.

19.6.1. Flux Passing Thru a Closed Contour

The flux passing through a surface defined by a closed line contour (PPATH command) is computed (using the FLUXV command macro). The macro is applicable to 2-D and 3-D magnetic field analysis employing the magnetic vector potential A. For 2-D planar analyses, the flux value is per unit depth.

The flux passing through a surface S can be calculated as:

(19–54)

where:

φ = flux enclosed by the bounding surface S
{B} = flux density vector
{n} = unit normal vector
area = area of the bounding surface S

(Equation 19–54) can be rewritten in terms of the definition of the vector potential as:

(19–55)

where:

{A} = magnetic vector potential

By applying Stokes theorem, the surface integral reduces to a line integral of A around a closed contour;

(19–56)

where:

= length of the bounding contour line

The macro interpolates values of the vector potential, A, to the closed contour path (defined by the PPATH command) and integrates to obtain the flux using (Equation 19–56). In the axisymmetric case, the vector potential is multiplied by 2πr to obtain the total flux for a full circumferential surface (where “r” is the x-coordinate location of the interpolation point).

19.6.2. Force on a Body

The force on a body is evaluated using the Maxwell stress tensor(77) (with the command macro FOR2D). The Maxwell stress approach computes local stress at all points of a bounding surface and then sums the local stresses by means of a surface integral to find the net force on a body. The force can be expressed as:

(19–57)

where:

{Fmx} = total force vector on the body
[T] = Maxwell stress tensor (see equation 5.126)
μ = permeability of the bounding region

In 2-D planar analyses the surface integral reduces to a line integral and the resulting force is per unit depth. The macro requires a pre-specified path (PPATH command) to create the bounding surface. The bounding surface (or line path) should encompass the body for which the force is to be calculated. In principle, the bounding surface (line) is the surface of the body itself. However, in practice it is common to place the path within the air domain surrounding the body. This is perfectly satisfactory and does not violate the principle of the Maxwell stress tensor since the air carries no current and has no magnetic properties different from free space.

The macro interpolates values of flux density, B, to the path (defined by the PPATH command) and integrates to obtain the force on the body as in (Equation 19–57).

19.6.3. Magnetomotive Forces

The magnetomotive force (current) along a contour or path (defined by the PPATH command) is calculated (using the MMF command macro) according to Amperes' theorem:

(19–58)

where:

Immf = magnetomotive force
{H} = magnetic field intensity vector

The macro interpolates values of magnetic field intensity, H, to the path and integrates to obtain the Immf as in (Equation 19–58). In a static analysis or transverse electromagnetic (TEM) and transverse electric (TE) wave guide mode computation, Immf can be interpreted as a current passing the surface bounded by the closed contour.

19.6.4. Power Loss

The power dissipated in a conducting solid body under the influence of a time-harmonic electromagnetic field is computed (using the POWERH command macro). The r.m.s. power loss is calculated from the equation (see Harmonic Analysis Using Complex Formalism for further details):

(19–59)

where:

Prms = rms power loss
r = material resistivity
Jt = total current density
~ = complex quantity

The macro evaluates (Equation 19–59) by integrating over the selected element set according to:

(19–60)

where:

n = number of elements
Re{ } = real component of a complex quantity
[ρi] = resistivity tensor (matrix)
= total eddy current density vector for element i
voli = element volume
* = complex conjugate operator

For 2-D planar analyses, the resulting power loss is per unit depth.

For high frequency analysis, dielectric losses from lossy materials are calculated as per (Equation 19–106). Surface losses on boundaries with specified impedance are calculated as per (Equation 19–105).

19.6.5. Terminal Parameters for a Stranded Coil

The terminal parameter quantities for a stranded coil with a d.c. current are computed (using the command macro SRCS). The macro is applicable to linear magnetostatic analysis. In addition, the far-field boundary of the model must be treated with either a flux-normal (Neumann condition), flux-parallel (Dirichlet condition), or modelled with infinite elements.

19.6.6. Energy Supplied

The energy supplied to the coil for a linear system is calculated as:

(19–61)

where:

W = energy input to coil
{A} = nodal vector potential
{Js} = d.c. source current density
vol = volume of the coil

19.6.7. Terminal Inductance

The inductance as seen by the terminal leads of the coil is calculated as:

(19–62)

where:

L = terminal inductance
i = coil current (per turn)

19.6.8. Flux Linkage

The total flux linkage of a coil can be calculated from the terminal inductance and coil current,

(19–63)

where:

λ = flux linkage

19.6.9. Terminal Voltage

For a coil operating with an a.c. current at frequency ω (Hz), a voltage will appear at the terminal leads. Neglecting skin effects and saturation, a static analysis gives the correct field distribution. For the assumed operating frequency, the terminal voltage can be found. From Faraday's law,

(19–64)

where:

u = terminal voltage

Under a sinusoidal current at an operating frequency ω, the flux linkage will vary sinusoidally

(19–65)

where:

λm = zero-to-peak magnitude of the flux linkage

The terminal voltage is therefore:

(19–66)

where:

U = ωλm = zero-to-peak magnitude of the terminal voltage (parameter VLTG returned by the macro)

For 2-D planar analyses, the results are per unit depth.

19.6.10. Torque on a Body

The torque on a body for a 2-D planar analysis is computed by making use of the Maxwell stress tensor (Coulomb(168)) (using the TORQ2D and TORQC2D command macros) . The torque integrand is evaluated at all points of a bounding surface about the body, and then summed to find the net torque on the body. The torque can be expressed as:

(19–67)

where:

{T} = total torque on a body
μ = permeability of the bounding region
{B} = flux density vector
{n} = unit normal vector to the path
{R} = position vector
area = area of the bounding surface

In 2-D planar analyses, the surface integral reduces to a line integral and the torque results are per unit depth. When a pre-specified path (using the PPATH command) is needed to create the bounding surface, a general procedure is used (using the TORQ2D command macro). The bounding surface (or line path) should encompass the body for which the torque, about the global origin, is to be calculated.

In principle the bounding surface (line) is the surface of the body itself. However, in practice, it is common to place the path within the air domain surrounding the body. This is perfectly satisfactory and does not violate the principle of the Maxwell stress tensor since the air carries no current and has no magnetic properties different from free space.

A simplified procedure (using the command macro TORQC2D) is available when a circular bounding surface (line) about the global origin can be used. This macro creates its own path for evaluation. For the case of a circular path, (Equation 19–67) reduces to:

(19–68)

The macro TORQC2D makes use of (Equation 19–68) to evaluate torque.

For both torque macros, flux density, B, is interpolated to the path and integrated according to (Equation 19–67) or (Equation 19–68) to obtain the torque on a body.

19.6.11. Energy in a Magnetic Field

The stored energy and co-energy in a magnetic field are calculated (by the SENERGY command macro). For the static or transient analysis, the stored magnetic energy is calculated as:

(19–69)

where:

Ws = stored magnetic energy

The magnetic co-energy is calculated as:

(19–70)

where:

Wc = stored magnetic co-energy
Hc = coercive force

For time-harmonic analysis, the r.m.s. stored magnetic energy is calculated as:

(19–71)

where:

Wrms = r.m.s. stored energy

For 2-D planar analyses, the results are per unit depth.

19.6.12. Relative Error in Electrostatic or Electromagnetic Field Analysis

The relative error in an electrostatic or electromagnetic field analysis is computed (by the EMAGERR command macro). The relative error measure is based on the difference in calculated fields between a nodal-averaged continuous field representation and a discontinuous field represented by each individual element's-nodal field values. An average error for each element is calculated. Within a material, the relative error is calculated as:

19.6.12.1. Electrostatics

19.6.12.1.1. Electric Field

(19–72)

where:

Eei = relative error for the electric field (magnitude) for element i
Ej = nodal averaged electric field (magnitude)
Eij = electric field (magnitude) of element i at node j
n = number of vertex nodes in element i

19.6.12.1.2. Electric Flux Density

(19–73)

where:

Dei = relative error for the electric flux density (magnitude) for element i
Dj = nodal averaged electric flux density (magnitude)
Dij = electric flux density (magnitude) of element i at node j

A normalized relative error norm measure is also calculated based on the maximum element nodal calculated field value in the currently selected element set.

(19–74)

where:

Emax = maximum element nodal electric field (magnitude)

(19–75)

where:

Dmax = maximum element nodal electric flux density (magnitude)

19.6.12.2. Electromagnetics

19.6.12.2.1. Magnetic Field Intensity

(19–76)

where:

Hei = relative error for the magnetic field intensity (magnitude) for element i
Hj = nodal averaged magnetic field intensity (magnitude)
Hij = magnetic field intensity (magnitude) of element i at node j

19.6.12.2.2. Magnetic Flux Density

(19–77)

where:

Bei = relative error for the magnetic flux density (magnitude) for element i
Bj = nodal averaged magnetic flux density (magnitude)
Bij = magnetic flue density (magnitude) of element i at node j

A normalized relative error measure is also calculated based on the maximum element nodal calculated field value in the currently selected element set.

(19–78)

where:

Hmax = maximum element nodal magnetic field intensity (magnitude)

(19–79)

where:

Bmax = maximum nodal averaged magnetic flux density (magnitude)

19.6.13. SPARM Macro-Parameters

The S-parameters for two ports of a multiport waveguide are computed (by the SPARM macro). The first port (port i) is the driven port, while the second port (port j) is matched. The S-parameters are calculated as:

(19–80)

(19–81)

where:

Ωi = cross section of waveguide i
Et,inc = tangential electric field at port i
= tangential eigen electric field at port i
= total tangential electric field from Emag solution at port i

19.6.14. Electromotive Force

The electromotive force (voltage drop) between two conductors defined along a path contour (PATH command) is computed (using the EMF command macro):

(19–82)

where:

Vemf = electromotive force (voltage drop)
{E} = electric field vector

The macro interpolates values of the electric field, E, to the path (defined by the PATH command) and integrates to obtain the electromotive force (voltage drop). The path may span multiple materials of differing permittivity. At least one path point should reside in each material transversed by the path. In static analysis or transverse electromagnetic (TEM) and transverse magnetic (TM) wave guide mode computation, Vemf can be interpreted as a voltage drop.

19.6.15. Impedance of a Device

The impedance of a device from the calculated Vemf and Immf values is calculated (using the IMPD macro). Impedance calculations are valid for transverse electromagnetic (TEM) waves in coaxial waveguide structures. The impedance is calculated as:

(19–83)

where:

V and I = voltage drop and current, respectively
Re and Im = represent real and imaginary parts of complex terms
Vemf = voltage drop (computed with the EMF macro)
Immf = current (computed by the MMF macro)

19.6.16. Computation of Equivalent Transmission-line Parameters

For a Coax-Type Guiding Wave Structure

The equivalent transmission-line parameters for a coax type guiding wave structure are computed (using the REFLCOEF command macro). For a lossless guiding structure, the total mode voltage, V(Z), and mode current, I(Z), associated with a +Z propagating field take on the form:

(19–84)

(19–85)

where:

Zo = characteristic impedance for any mode
A = amplitude of the incident voltage wave (see below)
B = amplitude of the backscattered voltage wave (see below)

We can consider the propagating waves in terms on an equivalent two-wire transmission line terminated at Z = [image] by a load impedance [image].

Figure 19.10 Equivalent Two-Wire Transmission Line

The voltage term “A” in (Equation 19–84) can be considered as the amplitude of the incident wave, and voltage term “B” as the amplitude of the mode voltage wave backscattered off the load impedance [image].

Thus,

(19–86)

Rearranging we have,

(19–87)

where:

Γ = voltage reflection coefficient (output as REFLC)

The voltage standing-wave ratio is calculated as:

(19–88)

where:

S = voltage standing-wave ratio (output as VSWR)

For a matched load ( [image] = Zo) there is no reflection (Γ = 0) and the S = 1. If [image] is a short circuit, B = -A, Γ = -1, and the S is infinite. If [image] is an open circuit, B = A, Γ = +1, and the S once again is infinite.

The reflection coefficient is frequently expressed in dB form by introducing the concept of return loss defined by:

(19–89)

where:

LR = return loss in dB (output as RL)

The macro calculates the above transmission line parameters in terms of the incident, reference and total voltage.

Assuming a propagating distance [image] from the input port, the total voltage [image] is calculated by a path integral using the emf macro from the calculated harmonic solution. The path for the line integral must start from the inner conductor and extend to the outer conductor at the propagation distance [image]. The most common calculation will occur for a distance [image] = 0. In this case the reflection coefficient is calculated at the excited port.

Figure 19.11 Coaxial Cable Diagram

The total voltage at Z = [image] can be expressed in terms of the incident voltage (Vin) and the reflected voltage (Vref1):

(19–90)

The incident voltage at the propagating distance [image] from the input port is calculated as:

(19–91)

where:

ARe = Real component of the incident wave
AIm = Imaging component of the incident wave
β = wave number = 2πf/c
f = frequency (Hz.)
εr = relative permittivity

ARe and AIm are calculated from the input voltage and phase angle (input as VALUE3 and VALUE4 on the HFPORT command)

(19–92)

(19–93)

where:

A = Incident voltage drop between coax conductors
φ = phase angle

The total voltage (calculated from the electric field solution) can be expressed as:

(19–94)

where:

= real component of the voltage
= imaging component of the voltage

Combining terms from (Equation 19–90) and (Equation 19–94), the reflected voltage may be calculated

(19–95)

The reflected voltage can be expressed as

(19–96)

Thus,

(19–97)

(19–98)

The magnitude of the voltage reflection coefficient at the propagating distance [image] is calculated as:

(19–99)

The phase angle of the voltage reflection coefficient is calculated as:

(19–100)

19.6.17. Quality Factor

The quality factor (computed by the QFACT command macro) is used to measure the sharpness of a cavity resonance in a high frequency eigenvalue analysis. It can be expressed as:

(19–101)

where:

Q = quality factor
fo = resonant frequency (Hz.)
{D} = electrical flux vector
{E}* = complex conjugate of the electrical field
V = volume of the entire model

The surface impedance which is responsible for surface (metallic) losses, can be expressed as:

(19–102)

where:

Zs = surface impedance
Rs = surface resistance (input as real part with IMPD on the SF or SFE command)
Xs = electrical impedance (input as imaginary part with IMPD on the SF or SFE command)

or as

(19–103)

with the surface resistance, Rs, defined as:

(19–104)

where:

μ = permeability (input with SHLD on SF or SFE command)
σ = metal electrical conductivity (input with SHLD on SF or SFE command)

The surface loss, PL, over the conducting surface is thus calculated as:

(19–105)

where:

{H} = magnetic field vector

The dielectric loss, Pd, due to a lossy material is calculated as:

(19–106)

where:

σd = 2π fo εo εr (tan δ) = dielectric conductivity
εo = free space permittivity (8.85 x 10-12 F/m)
εr = relative permittivity
tan δ = loss tangent (material property LSST on MP command)

The quality factor can be separated into components

(19–107)

where:

QL = 2π fo W/Pm = conductivity quality factor
Qd = 2π fo W/Pd = dielectric quality factor

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
19.5. POST1 - Fatigue Module 		Up / Home Next
19.7. POST1 - Error Approximation Technique


19.7. POST1 - Error Approximation Technique

19.7.1. Error Approximation Technique for Displacement-Based Problems

The error approximation technique used by POST1 (PRERR command) for displacement-based problems is similar to that given by Zienkiewicz and Zhu(102). The essentials of the method are summarized below.

The usual continuity assumption used in many displacement based finite element formulations results in a continuous displacement field from element to element, but a discontinuous stress field. To obtain more acceptable stresses, averaging of the element nodal stresses is done. Then, returning to the element level, the stresses at each node of the element are processed to yield:

(19–108)

where:

= stress error vector at node n of element i
= number of elements connecting to node n
= stress vector of node n of element i

Then, for each element

(19–109)

where:

ei = energy error for element i (accessed with ETABLE (SERR item) command)
vol = volume of the element (accessed with ETABLE (VOLU item) command)
[D] = stress-strain matrix evaluated at reference temperature
{Δσ} = stress error vector at points as needed (evaluated from all {Δσn} of this element)

The energy error over the model is:

(19–110)

where:

e = energy error over the entire (or part of the) model (accessed with *GET (SERSM item) command)
Nr = number of elements in model or part of model

The energy error can be normalized against the strain energy.

(19–111)

where:

E = percentage error in energy norm (accessed with PRERR, PLDISP, PLNSOL (U item), *GET (SEPC item) commands)
U = strain energy over the entire (or part of the) model (accessed with *GET (SENSM item) command)
= strain energy of element i (accessed with ETABLE (SENE item) command) (see ANSYS Workbench Product Adaptive Solutions)

The ei values can be used for adaptive mesh refinement. It has been shown by Babuska and Rheinboldt(103) that if ei is equal for all elements, then the model using the given number of elements is the most efficient one. This concept is also referred to as “error equilibration”.

At the bottom of all printed nodal stresses (the PRNSOL or PRESOL command), which may consist of the 6 component stresses, the 5 combined stresses, or both, a summary printout labeled: ESTIMATED BOUNDS CONSIDERING THE EFFECT OF DISCRETIZATION ERROR gives minimum nodal values and maximum nodal values. These are:

(19–112)

(19–113)

where min and max are over the selected nodes, and

where:

= nodal minimum of stress quantity (output as VALUE (printout) or SMNB (plot))
= nodal maximum of stress quantity (output as VALUE (printout) or SMXB (plot) )
j = subscript to refer to either a particular stress component or a particular combined stress
= average of stress quantity j at node n of element attached to node n
= maximum of stress quantity j at node n of element attached to node n
Δσn = root mean square of all Δσi from elements connecting to node n
Δσi = maximum absolute value of any component of [image] for all nodes connecting to element (accessed with ETABLE (SDSG item) command)

19.7.2. Error Approximation Technique for Temperature-Based Problems

The error approximation technique used by POST1 (PRERR command) for temperature based problems is similar to that given by Huang and Lewis(126). The essentials of the method are summarized below.

The usual continuity assumption results in a continuous temperature field from element to element, but a discontinuous thermal flux field. To obtain more acceptable fluxes, averaging of the element nodal thermal fluxes is done. Then, returning to the element level, the thermal fluxes at each node of the element are processed to yield:

(19–114)

where:

= thermal flux error vector at node n of element i
= number of elements connecting to node n
= thermal flux vector of node n of element

Then, for each element

(19–115)

where:

ei = energy error for element i (accessed with ETABLE (TERR item) command)
vol = volume of the element (accessed with ETABLE (VOLU item) command)
[D] = conductivity matrix evaluated at reference temperature
{Δq} = thermal flux error vector at points as needed (evaluated from all {Δqn} of this element)

The energy error over the model is:

(19–116)

where:

e = energy error over the entire (or part of the) model (accessed with *GET (TERSM item) command)
Nr = number of elements in model or part of model

The energy error can be normalized against the thermal dissipation energy.

(19–117)

where:

E = percentage error in energy norm (accessed with PRERR, PLNSOL, (TEMP item) or *GET (TEPC item) commands)
U = thermal dissipation energy over the entire (or part of the) model (accessed with *GET (TENSM item) command)
= thermal dissipation energy of element i (accessed with ETABLE (TENE item) command) (see ANSYS Workbench Product Adaptive Solutions)

The ei values can be used for adaptive mesh refinement. It has been shown by Babuska and Rheinboldt(103) that if ei is equal for all elements, then the model using the given number of elements is the most efficient one. This concept is also referred to as “error equilibration”.

At the bottom of all printed fluxes (with the PRNSOL command), which consists of the 3 thermal fluxes, a summary printout labeled: ESTIMATED BOUNDS CONSIDERING THE EFFECT OF DISCRETIZATION ERROR gives minimum nodal values and maximum nodal values. These are:

(19–118)

(19–119)

where min and max are over the selected nodes, and

where:

= nodal minimum of thermal flux quantity (output as VALUE (printout) or SMNB (plot))
= nodal maximum of thermal flux quantity (output as VALUE (printout) or SMXB (plot))
j = subscript to refer to either a particular thermal flux component or a particular combined thermal flux
= average of thermal flux quantity j at node n of element attached to node n
= maximum of thermal flux quantity j at node n of element attached to node n
Δqn = maximum of all Δqi from elements connecting to node n
Δqi = maximum absolute value of any component of [image] for all nodes connecting to element (accessed with ETABLE (TDSG item) command)

19.7.3. Error Approximation Technique for Magnetics-Based Problems

The error approximation technique used by POST1 (PRERR command) for magnetics- based problems is similar to that given by Zienkiewicz and Zhu (102) and Huang and Lewis (126). The essentials of the method are summarized below.

The usual continuity assumption results in a continuous temperature field from element to element, but a discontinuous magnetic flux field. To obtain more acceptable fluxes, averaging of the element nodal magnetic fluxes is done. Then, returning to the element level, the magnetic fluxes at each node of the element are processed to yield:

(19–120)

where:

= magnetic flux error vector at node n of element i
= number of elements connecting to node n
= magnetic flux vector of node n of element

Then, for each element

(19–121)

where:

ei = energy error for element i (accessed with ETABLE (BERR item) command)
vol = volume of the element (accessed with ETABLE (VOLU item) command)
[D] = magnetic conductivity matrix evaluated at reference temperature
{ΔB} = magnetic flux error vector at points as needed (evaluated from all {ΔBn} of this element)

The energy error over the model is:

(19–122)

where:

e = energy error over the entire (or part of the) model (accessed with *GET (BERSM item) command)
Nr = number of elements in model or part of model

The energy error can be normalized against the magnetic energy.

(19–123)

where:

E = percentage error in energy norm (accessed with PRERR, PLNSOL, (TEMP item) or *GET (BEPC item) commands)
U = magnetic energy over the entire (or part of the) model (accessed with *GET (BENSM item) command)
= magnetic energy of element i (accessed with ETABLE (SENE item) command) (see ANSYS Workbench Product Adaptive Solutions)

The ei values can be used for adaptive mesh refinement. It has been shown by Babuska and Rheinboldt(103) that if ei is equal for all elements, then the model using the given number of elements is the most efficient one. This concept is also referred to as “error equilibration”.

At the bottom of all printed fluxes (with the PRNSOL command), which consists of the 3 magnetic fluxes, a summary printout labeled: ESTIMATED BOUNDS CONSIDERING THE EFFECT OF DISCRETIZATION ERROR gives minimum nodal values and maximum nodal values. These are:

(19–124)

(19–125)

where min and max are over the selected nodes, and

where:

= nodal minimum of magnetic flux quantity (output as VALUE (printout))
= nodal maximum of magnetic flux quantity (output as VALUE (printout))
j = subscript to refer to either a particular magnetic flux component or a particular combined magnetic flux
= average of magnetic flux quantity j at node n of element attached to node n
= maximum of magnetic flux quantity j at node n of element attached to node n
ΔBn = maximum of all ΔBi from elements connecting to node n
ΔBi = maximum absolute value of any component of [image] for all nodes connecting to element (accessed with ETABLE (BDSG item) command)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
19.6. POST1 - Electromagnetic Macros 		Up / Home Next
19.8. POST1 - Crack Analysis


19.8. POST1 - Crack Analysis

The stress intensity factors at a crack for a linear elastic fracture mechanics analysis may be computed (using the KCALC command). The analysis uses a fit of the nodal displacements in the vicinity of the crack. The actual displacements at and near a crack for linear elastic materials are (Paris and Sih(106)):

(19–126)

(19–127)

(19–128)

where:

u, v, w = displacements in a local Cartesian coordinate system as shown in Figure 19.12: "Local Coordinates Measured From a 3-D Crack Front".
r, θ = coordinates in a local cylindrical coordinate system also shown in Figure 19.12: "Local Coordinates Measured From a 3-D Crack Front".
G = shear modulus
KI, KII, KIII = stress intensity factors relating to deformation shapes shown in Figure 19.13: "The Three Basic Modes of Fracture"
ν = Poisson's ratio
0(r) = terms of order r or higher

Evaluating (Equation 19–126) through (Equation 19–128) at θ = ± 180.0° and dropping the higher order terms yields:

(19–129)

(19–130)

(19–131)

Figure 19.12 Local Coordinates Measured From a 3-D Crack Front

The crack width is shown greatly enlarged, for clarity.

Figure 19.13 The Three Basic Modes of Fracture

For models symmetric about the crack plane (half-crack model, Figure 19.14: "Nodes Used for the Approximate Crack-Tip Displacements"(a)), (Equation 19–129) to (Equation 19–131) can be reorganized to give:

(19–132)

(19–133)

(19–134)

and for the case of no symmetry (full-crack model, Figure 19.14: "Nodes Used for the Approximate Crack-Tip Displacements"(b)),

(19–135)

(19–136)

(19–137)

where Δv, Δu, and Δw are the motions of one crack face with respect to the other.

As the above six equations are similar, consider only the first one further. The final factor is [image] , which needs to be evaluated based on the nodal displacements and locations. As shown in Figure 19.14: "Nodes Used for the Approximate Crack-Tip Displacements"(a), three points are available. v is normalized so that v at node I is zero. Then A and B are determined so that

(19–138)

at points J and K. Next, let r approach 0.0:

(19–139)

Figure 19.14 Nodes Used for the Approximate Crack-Tip Displacements

(a) Half Model, (b) Full Model

Thus, (Equation 19–132) becomes:

(19–140)

(Equation 19–133) through (Equation 19–137) are also fit in the same manner.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
19.7. POST1 - Error Approximation Technique 		Up / Home Next
19.9. POST1 - Harmonic Solid and Shell Element Postprocessing


19.9. POST1 - Harmonic Solid and Shell Element Postprocessing

As discussed in Axisymmetric Elements with Nonaxisymmetric Loads of the Elements Reference, results from load cases with different values of mode number (input as MODE on MODE command) but at the same angular location (input as ANGLE on the SET command) can be combined in POST1 (with the LCOPER command). The below assumes values of the mode number and angle and shows how the results are extracted.

19.9.1. Thermal Solid Elements (PLANE75, PLANE78)

Data processed in a harmonic fashion includes nodal temperatures, element data stored on a per node basis (thermal gradient and thermal flux) and nodal heat flow. Nodal temperature is calculated at harmonic angle θ for each node j.

(19–141)

where:

Tjθ = temperature at node j at angle q
F = scaling factor (input as FACT, SET command)
n = mode number (input as MODE on MODE command)
θ = angle at which harmonic calculation is being made (input as ANGLE, SET command)
Tj = temperature at node j from nodal solution

Thermal gradient are calculated at harmonic angle θ for each node j of element i:

(19–142)

(19–143)

(19–144)

where:

= thermal gradient in x (radial) direction at node j of element i at angle θ
= thermal gradient in x (radial) direction at node j of element i

Nodal heat flow is processed in the same way as temperature. Thermal flux is processed in the same way as thermal gradient.

19.9.2. Structural Solid Elements (PLANE25, PLANE83)

Data processed in a harmonic fashion include nodal displacements, nodal forces, and element data stored on a per node basis (stress and elastic strain).

Nodal displacement is calculated at harmonic angle θ for each node j:

(19–145)

(19–146)

(19–147)

where:

uxjθ = x (radial) displacement at node j at angle θ
uxj = maximum x (radial) displacement at node j (from nodal solution)

Stress is calculated at harmonic angle θ for each node j of element i:

(19–148)

(19–149)

(19–150)

(19–151)

(19–152)

(19–153)

where:

σxijθ = x (radial) stress at node j of element i at angle θ
σxij = maximum x (radial) stress at node j of element i

Nodal forces are processed in the same way as nodal displacements. Strains are processed in the same way as stresses.

19.9.3. Structural Shell Element (SHELL61)

Data processed in a harmonic fashion include displacements, nodal forces, member forces, member moments, in-plane element forces, out-of-plane element moments, stress, and elastic strain.

Nodal displacement is calculated at harmonic angle θ for each node j:

(19–154)

(19–155)

(19–156)

(19–157)

where:

φzjθ = rotation about z (hoop) direction at node j at angle θ
φzj = maximum rotation about z (hoop) direction at node j (from nodal solution)

Stress is calculated at harmonic angle θ for each node/interior point j of element i:

(19–158)

(19–159)

(19–160)

(19–161)

where:

σmijθ = meridional stress at point j of element i at angle θ
σmij = meridional stress j of element i

In-plane element forces at harmonic angle θ for each node/interior point j of element i:

(19–162)

(19–163)

(19–164)

where:

= in-plane element force in x (meridional) direction at point j of element i at angle θ
Txij = maximum in-plane element force in x (meridional) direction at point j of element i

Nodal forces, member forces, and member moments are processed in the same way as nodal displacements. Strains are processed in the same way as stresses. Finally, out-of-plane element moments are processed in the same way as in-plane element forces.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
19.8. POST1 - Crack Analysis 		Up / Home Next
19.10. POST26 - Data Operations


19.10. POST26 - Data Operations

Table 19.1: "POST26 Operations" shows the operations that can be performed on the time-history data stored by POST26. (Input quantities FACTA, FACTB, FACTC, and table IC are omitted from Table 19.1: "POST26 Operations" for clarity of the fundamental operations.) All operations are performed in complex variables. The operations create new tables which are also complex numbers.

Table 19.1 POST26 Operations

Description | POST26 Command | Real Operation and Result | Complex Operation | Complex Result
Addition | ADD | a + c | (a + ib) + (c + id) | (a + c) + i(b + d)
Multiplication | PROD | a x c | (a + ib) x (c + id) | (ac - bd) + i(ad + bc)
Division | QUOT | a/c
Absolute Value ABS |a| |a + ib|
Arc Tangent | ATAN | 0 | atan (a + ib) | atan (b / a)
Square Root | SQRT
Largest Variable | LARGE | Maximum of a and c
Smallest Variable | SMALL | Minimum of a and c
Derivative | DERIV | da/dc | d(a + ib)/dc | da/dc + i db/dc
Integration | INT1
Common Logarithm | CLOG | log10a | log10(a + ib)
Natural Logarithm | NLOG | n a | n (a + ib)
Exponential | EXP | ea | e(a + ib) | ea(cosb + i sinb)
Complex Conjugate | CONJUG | a | conj (a + ib) | a - ib
Real Part | REALVAR | a | real (a + ib) | a
Imaginary Part | IMAGIN | 0 | imag (a + ib) | b
Read Data into Table DATA - - -
Fill Table with Data FILL - - -
See Response Spectrum Generator Description (POST26 - Response Spectrum Generator (RESP))
NOTES:

  1. a + ib (from Table IA or IX) and c + id (from Table IB or IY) are complex numbers, where IA and IB are input quantities on above commands.

  3. For derivative and integration, see Integration and Differentiation Procedures

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
19.9. POST1 - Harmonic Solid and Shell Element Postprocessing 		Up / Home Next
19.11. POST26 - Response Spectrum Generator (RESP)


19.11. POST26 - Response Spectrum Generator (RESP)

Given a motion as output from a transient dynamic analysis, POST26 generates a response spectrum in terms of displacement, velocity, or acceleration.

A response spectrum is generated by imposing the motion of the point of interest on a series of single-mass oscillators over a period of time and calculating the maximum displacement, velocity, or acceleration. This is illustrated in Figure 19.15: "Single Mass Oscillators".

In Figure 19.15: "Single Mass Oscillators", the following definitions are used:

Mi = mass of oscillator i
Ci = damping of oscillator i
Ki = stiffness of oscillator i
ui = motion of oscillator i
ub = motion of point of interest

Figure 19.15 Single Mass Oscillators

In the absence of damping, the natural frequency of an oscillator i is:

(19–165)

The basic equation of motion of the oscillator can be given as a one degree of freedom (DOF) version of (Equation 17–5):

(19–166)

where:

a dot ( [image]) over a variable = derivative with respect to time

, the relative motion of oscillator i, is defined by:

(19–167)

The damping is given by:

(19–168)

where:

Ccr,i = [image] = critical damping coefficient

(Equation 19–165) through (Equation 19–168) are combined to give:

(19–169)

This equation is solved essentially as a linear transient dynamic analysis (ANTYPE,TRANS with TRNOPT,REDUC).

19.11.1. Time Step Size

The time step size (Δt) is selected in the following way. If data is from a full transient analysis (ANTYPE,TRANS with TRNOPT,FULL):

Δt = input time step size (input as DTIME on RESP command)

or if no input is provided:

(19–170)

where:

fmax = highest value of frequency table (table input using LFTAB on the RESP command

If the data is from a reduced transient analysis (ANTYPE,TRANS with TRNOPT,REDUC), Δt is the integration time step size used in the analysis (DELTIM command)

The transient data from full transient analysis (ANTYPE,TRANS with TRNOPT, FULL analysis) is taken from the next available time step used in the analysis. This can cause a decrease in accuracy at higher frequencies if Δt is less than the time step size of the input transient.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
19.10. POST26 - Data Operations 		Up / Home Next
19.12. POST1 and POST26 - Interpretation of Equivalent Strains


19.12. POST1 and POST26 - Interpretation of Equivalent Strains

The equivalent strains for the elastic, plastic, creep and thermal strains are computed in postprocessing using the von Mises equation:

(19–171)

where:

εx, εy, etc. = appropriate component strain values
ν' = effective Poisson's ratio

The default effective Poisson's ratio for both POST1 and POST26 are:

The AVPRIN,,EFFNU command may be issued to override the above defaults (but it is intended to be used only for line elements, etc.).

The equivalent strain is output with the EQV or PRIN component label in POST1 (using the PRNSOL, PLNSOL, PDEF, or ETABLE commands) and in POST26 (using the ESOL command).

19.12.1. Physical Interpretation of Equivalent Strain

The von Mises equation is a measure of the “shear” strain in the material and does not account for the hydrostatic straining component. For example, strain values of εx = εy = εz = 0.001 yield an equivalent strain εeq = 0.0.

19.12.2. Elastic Strain

The equivalent elastic strain is related to the equivalent stress when ν' = ν (input as PRXY or NUXY on MP command) by:

(19–172)

where:

σeq = equivalent stress (output using SEQV)
= equivalent elastic strain (output using EPEL, EQV)
E = Young's modulus

Note that when ν' = 0 then the equivalent elastic strain is related via

(19–173)

where:

G = shear modulus

19.12.3. Plastic Strain

For plasticity, the accumulated effective plastic strain is defined by (see (Equation 4–25) and (Equation 4–42)):

(19–174)

where:

= accumulated effective plastic strain (output using NL, EPEQ (or NL, PSV for VISCO106, VISCO107, and VISCO108 when Anand's model is not used))

This can be related to [image] (output using EPPL, EQV) only under proportional loading situations during the initial loading phase and only when ν' is set to 0.5.

19.12.4. Creep Strain

As with the plastic strains, to compute the equivalent creep strain [image] (EPCR, EQV), use ν' = 0.5.

19.12.5. Total Strain

The equivalent total strains in an analysis with plasticity, creep and thermal strain are:

(19–175)

(19–176)

where:

= equivalent total strain (output using EPTT, EQV)
= equivalent total mechanical strain (output using EPTO, EQV)
= equivalent thermal strain

For line elements, use an appropriate value of ν'. If [image] > > [image], use ν' = 0.5. For other values, use an effective Poisson's ratio between n and 0.5. One method of estimating this is through:

(19–177)

This computation of equivalent total strain is only valid for proportional loading, and is approximately valid for monotonic loading.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
19.11. POST26 - Response Spectrum Generator (RESP) 		Up / Home Next
19.13. POST26 - Response Power Spectral Density


19.13. POST26 - Response Power Spectral Density

The cross response PSD between two items is computed using the equation:

(19–178)

where:

p = reference number of first item (input as IA on RPSD command)
q = reference number of second item (input as IB on RPSD command)
p and q can be displacements, stresses, or reaction forces.

All other variables in (Equation 19–178) are defined in Spectrum Analysis. When p = q, the above cross response PSD becomes the auto response PSD.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
19.12. POST1 and POST26 - Interpretation of Equivalent Strains 		Up / Home Next
19.14. POST26 - Computation of Covariance


19.14. POST26 - Computation of Covariance

The covariance between two items p and q is computed using the equation:

(19–179)

where:

p = reference number of first item (input as IA on CVAR command)
q= reference number of second item (input as IB on CVAR command)
p and q can be displacements, stresses, or reaction forces.

All other variables in (Equation 19–179) are defined in Spectrum Analysis. When p = q, the above covariance becomes the variance.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
19.13. POST26 - Response Power Spectral Density 		Up / Home Next
Chapter 20. Design Optimization


Chapter 20. Design Optimization

In ANSYS, there are two fundamentally different types of optimization. This chapter is designed to give users a basic understanding of the overall theory for both types.

The first is referred to as design optimization; it works entirely with the ANSYS Parametric Design Language (APDL) and is contained within its own module (/OPT). Design optimization is largely concerned with controlling user-defined, APDL functions/parameters that are to be constrained or minimized using standard optimization methods (e.g., function minimization, gradients, design of experiments). Introduction to Design Optimization to First Order Optimization Method describe the theoretical underpinnings for design optimization.

Topological Optimization describes a second technique known as topological optimization. This is a form of shape optimization. It is sometimes referred to as layout optimization in the literature. The goal of topological optimization is to find the best use of material for a body such that an objective criteria (i.e., global stiffness, natural frequency, etc.) takes out a maximum/minimum value subject to given constraints (i.e., volume reduction). Topological optimization is not part of the design optimization module (/OPT) but works within the bounds of the standard ANSYS preprocessing, solution, and postprocessing structures (/PREP, /SOLUTION, and /POST1), and it does not require APDL.

The following design optimization topics are available:

  • Introduction to Design Optimization
  • Subproblem Approximation Method
  • First Order Optimization Method
  • Topological Optimization

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
19.14. POST26 - Computation of Covariance 		Up / Home Next
20.1. Introduction to Design Optimization


20.1. Introduction to Design Optimization

The optimization module (/OPT) is an integral part of the ANSYS program that can be employed to determine the optimum design. This optimum design is the best design in some predefined sense. Among many examples, the optimum design for a frame structure may be the one with minimum weight or maximum frequency; in heat transfer, the minimum temperature; or in magnetic motor design, the maximum peak torque. In many other situations minimization of a single function may not be the only goal, and attention must also be directed to the satisfaction of predefined constraints placed on the design (e.g., limits on stress, geometry, displacement, heat flow).

While working towards an optimum design, the ANSYS optimization routines employ three types of variables that characterize the design process: design variables, state variables, and the objective function. These variables are represented by scalar parameters in ANSYS Parametric Design Language (APDL). The use of APDL is an essential step in the optimization process.

The independent variables in an optimization analysis are the design variables. The vector of design variables is indicated by:

(20–1)

Design variables are subject to n constraints with upper and lower limits, that is,

(20–2)

where:

n = number of design variables.

The design variable constraints are often referred to as side constraints and define what is commonly called feasible design space.

Now, minimize

(20–3)

subject to

(20–4)

(20–5)

(20–6)

where:

f = objective function
gi, hi, wi = state variables containing the design, with underbar and overbars representing lower and upper bounds respectively (input as MIN, MAX on OPVAR command)
m1 + m2 + m3 = number of state variables constraints with various upper and lower limit values

The state variables can also be referred to as dependent variables in that they vary with the vector x of design variables.

(Equation 20–3) through (Equation 20–6) represent a constrained minimization problem whose aim is the minimization of the objective function f under the constraints imposed by (Equation 20–2), (Equation 20–4), (Equation 20–5), and (Equation 20–6).

20.1.1. Feasible Versus Infeasible Design Sets

Design configurations that satisfy all constraints are referred to as feasible designs. Design configurations with one or more violations are termed infeasible. In defining feasible design space, a tolerance is added to each state variable limit. So if x* is a given design set defined as

(20–7)

The design is deemed feasible only if

(20–8)

(20–9)

(20–10)

where:

αi, βi, and γi = tolerances (input as TOLER on OPVAR command).

and

(20–11)

(since no tolerances are added to design variable constraints)

(Equation 20–8) to (Equation 20–11) are the defining statements of a feasible design set in the ANSYS optimization routines.

20.1.2. The Best Design Set

As design sets are generated by methods or tools (discussed below) and if an objective function is defined, the best design set is computed and its number is stored. The best set is determined under one of the following conditions.

  1. If one or more feasible sets exist the best design set is the feasible one with the lowest objective function value. In other words, it is the set that most closely agrees with the mathematical goals expressed by (Equation 20–3) to (Equation 20–6).

  2. If all design sets are infeasible, the best design set is the one closest to being feasible, irrespective of its objective function value.

20.1.3. Optimization Methods and Design Tools

The ANSYS optimization procedure offers several methods and tools that in various ways attempt to address the mathematical problem stated above. ANSYS optimization methods perform actual minimization of the objective function of (Equation 20–3). It will be shown that they transform the constrained problem into an unconstrained one that is eventually minimized. Design tools, on the other hand, do not directly perform minimization. Use of the tools offer alternate means for understanding design space and the behavior of the dependent variables. Methods and tools are discussed in the sections that follow.

20.1.3.1. Single-Loop Analysis Tool

This is a simple and very direct tool for understanding design space. It is not necessary but it may be useful to compute values of state variables or the objective function. The design variables are all explicitly defined by the user. A single loop is equivalent to one complete finite element analysis (FEA) (i.e., one or more entries into /PREP7, /SOLUTION, /POST1, and /POST26 analyses) (and is selected with the OPTYPE,RUN command).

At the beginning of each iteration, the user defines design variable values,

(20–12)

and executes a single loop or iteration. If either state variables or the objective function are defined, corresponding [image] and f* values will result.

20.1.3.2. Random Tool

This design tool will fill the design variable vector with randomly generated values each iteration (and is selected with the OPTYPE,RAND command).

(20–13)

in which case [image] (if defined) will take on values corresponding to x*. The objective function and state variables do not need to be defined, but it can be useful to do so if actual optimization is intended to be performed subsequently. Each random design iteration is equivalent to one complete analysis loop. Random iterations continue until either one of the following conditions is satisfied:

(20–14)

(20–15)

where:

nr = number of random iterations performed per each execution
nf = total number of feasible design sets (including feasible sets from previous executions)
Nr = maximum number of iterations (input as NITR on the OPRAND command)
Nf = desired number of feasible design sets (input as NFEAS on the OPRAND command)

20.1.3.3. Sweep Tool

The sweep tool is used to scan global design space that is centered on a user-defined, reference design set (and is selected via the OPTYPE,SWEEP command). Upon execution, a sweep is made in the direction of each design variable while holding all other design variables fixed at their reference values. The state variables and the objective function are computed and stored for subsequent display at each sweep evaluation point.

A sweep execution will produce ns design sets calculated from

(20–16)

where:

n = number of design variables
Ns = number of evaluations to be made in the direction of each design variable (input as NSPS on the OPSWEEP command)

For example, consider a portion of a sweep that is performed for design variable k. For simplicity, let the resulting designs sets be number as m+1, m+2, etc., where m is all the sets that existed prior to this part of the sweep. The design variables of a given design set m+i would be expressed as:

(20–17)

where:

x(r) = reference design variables with [image] in the kth component and fixed, reference values in all other components. r refers to the reference design set number (and is input as Dset on the OPSWEEP command).
e(k) = vector with 1 in its kth component and 0 for all other components

The increment of the sweep for design variable k is

(20–18)

20.1.3.4. Factorial Tool

This is a statistical tool that can be used to sample all extreme points in design space (and is selected using the OPTYPE,FACT command). Factorial methods are also referred to as design of experiment since this technology stems from the technology associated with the interpretation of experimental results. A complete review of the mathematics of this tool is not given here, and the reader is referred to Box, Hunter, and Hunter(191) for details.

The user specifies a two-level, full or a fractional factorial evaluation of design space (using the OPFACT command). A full factorial evaluation of n design variables will create nf design sets, where:

(20–19)

Every component of the design variable vector will take two extreme values; that is:

(20–20)

So in a full factorial evaluation, every combination of design variable extreme values are considered in n-dimensional design space.

The number of generated design sets associated with a fractional factorial evaluation is expressed as:

(20–21)

Hence, a 1/2 fractional factorial evaluation (M = 2) will yield half the number of design sets of a full evaluation.

Results from a factorial tool consist of printed output (OPRFA command) and bar chart displays (OPLFA command), showing main effects, and 2-variable interactions (n > 1), and 3-variable interactions (n > 2). These effects and interactions are calculated for the state variables and the objective function (if defined). Once again, consult Box, Hunter, and Hunter(191) for further details.

20.1.3.5. Gradient Tool

The gradient tool computes the gradient of the state variables and the objective function with respect to the design variables (and is selected by means of the OPTYPE,GRAD command). A reference design set is defined as the point of evaluation for the gradient (and is input as Dset on the OPGRAD command). Focusing on the objective function, for example, let the reference state be denoted as:

(20–22)

The gradient of the objective function is simply expressed as:

(20–23)

With respect to each design variable, the gradient is approximated from the following forward difference.

(20–24)

where:

e = vector with 1 in its ith component and 0 for all other components
ΔD = forward difference (in %) step size (input as DELTA on OPGRAD command)

Similar calculations are performed for each state variable.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 20. Design Optimization 		Up / Home Next
20.2. Subproblem Approximation Method


20.2. Subproblem Approximation Method

This method of optimization can be described as an advanced, zero-order method in that it requires only the values of the dependent variables (objective function and state variables) and not their derivatives (and is selected with the OPTYPE,SUBP command). The dependent variables are first replaced with approximations by means of least squares fitting, and the constrained minimization problem described in Introduction to Design Optimization is converted to an unconstrained problem using penalty functions. Minimization is then performed every iteration on the approximated, penalized function (called the subproblem) until convergence is achieved or termination is indicated. For this method each iteration is equivalent to one complete analysis loop.

Since the method relies on approximation of the objective function and each state variable, a certain amount of data in the form of design sets is needed. This preliminary data can be directly generated by the user using any of the other optimization tools or methods. If not defined, the method itself will generate design sets at random.

20.2.1. Function Approximations

The first step in minimizing the constrained problem expressed by (Equation 20–3) to (Equation 20–6) is to represent each dependent variable by an approximation, represented by the ^ notation. For the objective function, and similarly for the state variables,

(20–25)

(20–26)

(20–27)

(20–28)

The most complex form that the approximations can take on is a fully quadratic representation with cross terms. Using the example of the objective function,

(20–29)

The actual form of each fit varies from iteration to iteration and are mostly determined by the program, but some user control is available (using the OPEQN command). A weighted least squares technique is used to determine the coefficient, ai and bij, in (Equation 20–29). For example, the weighted least squares error norm for the objective function has the form

(20–30)

where:

φ(j) = weight associated with design set j
nd = current number of design sets

Similar E2 norms are formed for each state variable. The coefficients in (Equation 20–30) are determined by minimizing E2 with respect to the coefficients. The weights used above are computed in one of the following ways (using KWGHT on the OPEQN command):

  1. Based on objective function values, where design sets with low objective function values have high weight.

  2. Based on design variable values, where the design sets closer to the best design receive high weight.

  3. Based on feasibility, where feasible sets have high weight and infeasible sets low weights.

  4. Based on a combination of the three weights described above.

  5. All weight are unity: φ(j) = 1, for all j.

A certain number of design sets must exist in order to form the approximations; otherwise random designs sets will be generated until the required number is obtained. This can be expressed as

(20–31)

where:

n = number of design variables
nd = number of design sets

As more data (design sets) is generated, the terms included in (Equation 20–29) increase.

20.2.2. Minimizing the Subproblem Approximation

With function approximations available, the constrained minimization problem is recast as follows.

Minimize

(20–32)

subject to

(20–33)

(20–34)

(20–35)

(20–36)

The next step is the conversion of (Equation 20–32) to (Equation 20–36) from a constrained problem to an unconstrained one. This is accomplished by means of penalty functions, leading to the following subproblem statement.

Minimize

(20–37)

in which X is the penalty function used to enforce design variable constraints; and G, H, and W are penalty functions for state variable constraints. The reference objective function value, f0, is introduced in order to achieve consistent units. Notice that the unconstrained objective function (also termed a response surface), F(x,pk), is seen to vary with the design variables and the quantity pk, which is a response surface parameter. A sequential unconstrained minimization technique (SUMT) is used to solve (Equation 20–37) each design iteration. The subscript k above reflects the use of subiterations performed during the subproblem solution, whereby the response surface parameter is increased in value (p1 < p2 < p3 etc.) in order to achieve accurate, converged results.

All penalty functions used are of the extended-interior type. For example, near the upper limit, the design variable penalty function is formed as

(20–38)

where:

c1, c2, c3, and c4 = constants that are internally calculated
ε = very small positive number

State variable penalties take a similar form. For example, again near the upper limit,

(20–39)

where:

d1, d2, d3, and d4 = constants that are internally calculated

and similarly for G and H. See Figure 20.1: "Extended Interior Penalty Function" for a visualization of the effect.

Figure 20.1 Extended Interior Penalty Function

In State Variable Space

The SUMT algorithm is employed to reach the minimum unconstrained objective function, [image] , at design iteration j; that is,

(20–40)

where:

= is the design variable vector corresponding to

The final step performed each design iteration is the determination of the design variable vector to be used in the next iteration (j+1). Vector x(j+1) is determined according to the following equation.

(20–41)

where:

x(b) = best design set constants
C = internally chosen to vary between 0.0 and 1.0, based on the number of infeasible solutions

20.2.3. Convergence

Subproblem approximation iterations continue until either convergence is achieved or termination occurs. These two events are checked only when the current number of design sets, nd, equals or exceeds the number required for the approximations (see (Equation 20–31)).

Convergence is assumed when either the present design set, x(j), or the previous design set, x(j-1), or the best design set , x(b), is feasible; and one of the following conditions is satisfied.

(20–42)

(20–43)

(20–44)

(20–45)

where:

τ and ρi = objective function and design variable tolerances (input as TOLER on OPVAR command)

(Equation 20–42) and (Equation 20–43) correspond to differences in objective function values; (Equation 20–44) and (Equation 20–45) to design variable differences.

If satisfaction of (Equation 20–42) to (Equation 20–45) is not realized, then termination can occur if either of the below two conditions is reached.

(20–46)

(20–47)

where:

ns = number of subproblem iterations
nsi = number of sequential infeasible design sets
Ns = maximum number of iterations (input as NITR on the OPSUBP command)
Nsi = maximum number of sequential infeasible design sets (input as NINFS on the OPSUBP command)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
20.1. Introduction to Design Optimization 		Up / Home Next
20.3. First Order Optimization Method


20.3. First Order Optimization Method

This method of optimization calculates and makes use of derivative information (and is selected with the OPTYPE,FIRST command). The constrained problem statement expressed in Introduction to Design Optimization is transformed into an unconstrained one via penalty functions. Derivatives are formed for the objective function and the state variable penalty functions, leading to a search direction in design space. Various steepest descent and conjugate direction searches are performed during each iteration until convergence is reached. Each iteration is composed of subiterations that include search direction and gradient (i.e., derivatives) computations. In other words, one first order design optimization iteration will perform several analysis loops. Compared to the subproblem approximation method, this method is usually seen to be more computationally demanding and more accurate.

20.3.1. The Unconstrained Objective Function

An unconstrained version of the problem outlined in Introduction to Design Optimization is formulated as follows.

(20–48)

where:

Q = dimensionless, unconstrained objective function
Px, Pg, Ph, and Pw = penalties applied to the constrained design and state variables
f0 = reference objective function value that is selected from the current group of design sets

Constraint satisfaction is controlled by a response surface parameter, q.

Exterior penalty functions (Px) are applied to the design variables. State variable constraints are represented by extended-interior penalty functions (Pg, Ph, Pw). For example, for state variable constrained by an upper limit ((Equation 20–8)) the penalty function is written as:

(20–49)

where:

λ = large integer so that the function will be very large when the constraint is violated and very small when it is not.

The functions used for the remaining penalties are of a similar form.

As search directions are devised (see below), a certain computational advantage can be gained if the function Q is rewritten as the sum of two functions. Defining

(20–50)

and

(20–51)

then (Equation 20–48) takes the form

(20–52)

The functions Qf and Qp relate to the objective function and the penalty constraints, respectively.

20.3.2. The Search Direction

For each optimization iteration (j) a search direction vector, d(j), is devised. The next iteration (j+1) is obtained from the following equation.

(20–53)

Measured from x(j), the line search parameter, sj, corresponds to the minimum value of Q in the direction d(j). The solution for sj uses a combination of a golden-section algorithm and a local quadratic fitting technique. The range of sj is limited to

(20–54)

where:

= largest possible step size for the line search of the current iteration (internally computed)
Smax = maximum (percent) line search step size (input as SIZE on OPFRST command)

The key to the solution of the global minimization of (Equation 20–52) relies on the sequential generation of the search directions and on internal adjustments of the response surface parameter (q). For the initial iteration (j = 0), the search direction is assumed to be the negative of the gradient of the unconstrained objective function.

(20–55)

in which q = 1, and

(20–56)

Clearly for the initial iteration the search method is that of steepest descent. For subsequent iterations (j > 0), conjugate directions are formed according to the Polak-Ribiere (More and Wright(186)) recursion formula.

(20–57)

(20–58)

Notice that when all design variable constraints are satisfied Px(xi) = 0. This means that q can be factored out of Qp, and can be written as

(20–59)

If suitable corrections are made, q can be changed from iteration to iteration without destroying the conjugate nature of (Equation 20–57). Adjusting q provides internal control of state variable constraints, to push constraints to their limit values as necessary, as convergence is achieved. The justification for this becomes more evident once (Equation 20–57) is separated into two direction vectors:

(20–60)

where each direction has a separate recursion relationship,

(20–61)

(20–62)

The algorithm is occasionally restarted by setting rj-1 = 0, forcing a steepest decent iteration. Restarting is employed whenever ill-conditioning is detected, convergence is nearly achieved, or constraint satisfaction of critical state variables is too conservative.

So far it has been assumed that the gradient vector is available. The gradient vector is computed using an approximation as follows:

(20–63)

where:

e = vector with 1 in its ith component and 0 for all other components
ΔD = forward difference (in percent) step size (input as DELTA on OPFRST command)

20.3.3. Convergence

First order iterations continue until either convergence is achieved or termination occurs. These two events are checked at the end of each optimization iteration.

Convergence is assumed when comparing the current iteration design set (j) to the previous (j-1) set and the best (b) set.

(20–64)

and

(20–65)

where:

τ = objective function tolerance (input as TOLER on OPVAR command)

It is also a requirement that the final iteration used a steepest descent search. Otherwise, additional iterations are performed. In other words, a steepest descent iteration is forced and convergence rechecked.

Termination will occur when

(20–66)

where:

ni = number of iterations
N1 = allowed number of iterations (input as NITR on OPFRST command)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
20.2. Subproblem Approximation Method 		Up / Home Next
20.4. Topological Optimization


20.4. Topological Optimization

Topological optimization is a special form of shape optimization (and is triggered by the TOLOOP command). It is sometimes referred to as layout optimization in the literature. The goal of topological optimization is to find the best use of material for a body such that an objective criteria (i.e., global stiffness, natural frequency, etc.) takes out a maximum or minimum value subject to given constraints (i.e., volume reduction).

Unlike traditional optimization (see Introduction to Design Optimization to First Order Optimization Method), topological optimization does not require the explicit definition of optimization parameters (i.e., independent variables to be optimized). In topological optimization, the material distribution function over a body serves as optimization parameter. The user needs to define the structural problem (material properties, FE model, loads, etc.) and the objective function (i.e., the function to be minimized or maximized) and the state variables (i.e., constrained dependent variables) must be selected among a set of predefined criteria.

20.4.1. General Optimization Problem Statement

The theory of topological optimization seeks to minimize or maximize the objective function (f) subject to the constraints (gj) defined. The design variables (ηi) are internal, pseudodensities that are assigned to each finite element (i) in the topological problem. The pseudodensity for each element varies from 0 to 1; where ηi [image] 0 represents material to be removed; and ηi [image] 1 represents material that should be kept. Stated in simple mathematical terms, the optimization problem is as follows:

(20–67)

subject to

(20–68)

(20–69)

where:

N = number of elements
M = number of constraints
gj = computed jth constraint value (input as CON on TOVAR command)
= lower bound for jth constraint
= upper bound for jth constraint

20.4.2. Maximum Static Stiffness Design

Subject to Volume Constraint

In the case of “maximum static stiffness” design subject to a volume constraint, which sometimes is referred to as the standard formulation of the layout problem, one seeks to minimize the energy of the structural static compliance (UC) for a given load case subject to a given volume reduction. Minimizing the compliance is equivalent to maximizing the global structural static stiffness. In this case, the optimization problem is formulated as a special case of (Equation 20–67), (Equation 20–68) and (Equation 20–69), namely,

(20–70)

subject to

(20–71)

(20–72)

where:

V = computed volume
V0 = original volume
V* = amount of material to be removed

Topological optimization may be applied to either a single load case or multiple load cases. For the latter, given K different load cases, the following weighted function (F) is defined:

(20–73)

where:

Wi = weight for load case with energy UC

The functional minimization (Equation 20–70) is replaced with:

(20–74)

and (Equation 20–70) and (Equation 20–74) are clearly identical for the special case of k = 1.

20.4.3. Minimum Volume Design

Subject to Stiffness Constraints

In contrast to the formulation to Maximum Static Stiffness Design, it sometimes might be desirable to design for minimum volume subject to a single or multiple compliance (energy) constraint(s). In this case, given k different load cases, the optimization problem is formulated as:

(20–75)

subject to

(20–76)

(20–77)

where:

V = computed volume
M = number of constraints
= computed compliance of load case j
= lower bound for compliance of load case j
= upper bound for compliance of load case j
Additionally, it is allowed to constrain the weighted compliance function (F) as of (Equation 20–74). In this case the k constraints ((Equation 20–77)) are substituted by only one constraint of the form:

(20–78)

where:

F = computed weighted compliance function
= lower bound for weighted compliance function
= upper bound for weighted compliance function

20.4.4. Maximum Dynamic Stiffness Design

Subject to Volume Constraint

In case of the "Maximum Dynamic Stiffness" design subject to a volume constraint one seeks to maximize the ith natural frequency [image] determined from a mode-frequency analysis subject to a given volume reduction. In this case, the optimization problem is formulated as:

(20–79)

subject to

(20–80)

(20–81)

where:

= ith natural frequency computed
V = computed volume
V0 = original volume
V* = amount of material to be removed

Maximizing a specific eigenfrequency is a typical problem for an eigenfrequency topological optimization. However, during the course of the optimization it may happen that eigenmodes switch the modal order. For example, at the beginning we may wish to maximize the first eigenfrequency. As the first eigenfrequency is increased during the optimization it may happen, that second eigenmode eventually has a lower eigenfrequency and therefore effectively becomes the first eigenmode. The same may happen if any other eigenfrequency is maximized during the optimization. In such a case, the sensitivities of the objective function become discontinuous, which may cause oscillation and divergence in the iterative optimization process. In order to overcome this problem, several mean-eigenfrequency functions (Λ) are introduced to smooth out the frequency objective:

20.4.4.1. Weighted Formulation

Given m natural frequencies [image] , the following weighted mean function (ΩW) is defined:

(20–82)

where:

= ith natural frequency
Wi = weight for ith natural frequency

The functional maximization (Equation 20–79) is replaced with

(20–83)

20.4.4.2. Reciprocal Formulation

Given m natural frequencies [image] , a shift parameter [image] , the following reciprocal mean function (ΩR) is defined:

(20–84)

where:

= ith natural frequency
Wi = weight for ith natural frequency

The functional maximization (Equation 20–79) is replaced with

(20–85)

As shown in (Equation 20–84), the natural frequency which is the closest to the shift parameter [image] has the largest contribution to the objective function ΩR, assuming all of the weights Wi are the same. In the special case, [image] = 0, the lowest natural frequency in [image] has the largest contribution to the objective function. Thus, the natural frequency that is the closest to [image] will be the major object of the optimization problem. This implies that this natural frequency will experience the largest change. When two modes whose natural frequencies occur in (Equation 20–84) exchange their order during optimization, the change in the objective ΩR will be smooth because the contributions of these modes have already been accounted for in the objective function. To intensify this effect, the weighting coefficients Wi can be adjusted accordingly.

20.4.4.3. Euclidean Norm Formulation

Given m natural frequencies [image] , m frequency target values [image] , the following Euclidean Norm function (ΩE) is defined:

(20–86)

The functional maximization (Equation 20–79) is replaced with

(20–87)

This formulation can be used to shift up single or multiple natural frequencies to given target values by minimizing the Euclidean distance between actual frequencies and the desired target values. All the specified frequencies [image] will approach to their desired target values [image], respectively, and the frequency which is the farthest from its target value will the fasted approach to its desired value.

20.4.5. Element Calculations

While compliance, natural frequency, and total volume are global conditions, certain and critical calculations are performed at the level of individual finite elements. The total volume, for example, is calculated from the sum of the element volumes; that is,

(20–88)

where:

Vi = volume for element i

The pseudodensities effect the volume and the elasticity tensor for each element. That is,

(20–89)

where the elasticity tensor is used to equate the stress and strain vector, designed in the usual manner for linear elasticity:

(20–90)

where:

{σi} = stress vector of element i
{εi} = strain vector of element i

The exact dependence of the elasticity tensor, the compliance, and the natural frequency with respect to density is expressed in detail elsewhere (see Vogel(233), Mlejnek and Schirrmacher(234), Bendsoe and Kikuchi(235), and Diaz and Kikuchi(273)).

The equations above directly apply to elastic solid elements (PLANE82, SOLID92, and SOLID95). Shells are treated in a slightly different manner. For SHELL93, the elasticity tensor is that used for 2-D plane stress.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
20.3. First Order Optimization Method 		Up / Home Next
Chapter 21. Probabilistic Design


Chapter 21. Probabilistic Design

In general, a finite element analysis program starts with a set of input data such as geometric parameters, material parameter, loads and boundary conditions. The program then generates some output data for the analyzed component such as temperatures, displacements, stresses, strains, voltages and/or velocities. Almost all input parameters are subjected to scatter due to either natural variability or inaccuracies during manufacturing or operation. In a probabilistic approach, the uncertainties on the input side are described by statistical distribution functions, allowing you to obtain answers to common questions about your analysis.

The following probabilistic design topics are available:

  • Uses for Probabilistic Design
  • Probabilistic Modeling and Preprocessing
  • Probabilistic Methods
  • Regression Analysis for Building Response Surface Models
  • Probabilistic Postprocessing

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
20.4. Topological Optimization 		Up / Home Next
21.1. Uses for Probabilistic Design


21.1. Uses for Probabilistic Design

A probabilistic analysis can be used to answer the following most common questions.

  1. If some of the input parameters are subjected to scatter and are therefore identified as random input variable, how large is the resulting scatter or uncertainty induced on the side of the output parameters?

  2. If the output parameters are uncertain or random as well, what is the probability that a certain design criterion formulated in terms of these output parameters is no longer fulfilled?

  3. Which random input variables are contributing the most to the scatter of the random output parameters and the probability that a certain design criteria is no longer fulfilled?

Probabilistic Modeling and Preprocessing explains the mathematical background for describing random input variables in terms of statistical distribution functions.

Probabilistic Methods provides the theoretical background of the methods that are used to provide the probabilistic results that enable the user to answer the questions above. In this section the Monte Carlo Simulation Method and the Response Surface Method are explained in detail.

Regression Analysis for Building Response Surface Models is dedicated to a technique called regression analysis, which is an option for some probabilistic methods and a necessity for others in order to generate probabilistic results.

Probabilistic Postprocessing is focused on the mathematical background of the statistical procedures that are used to postprocess and interpret the probabilistic results. The interpretation of the probabilistic results then provides the answers to the questions listed above.

A simpler and manually driven form of performing Monte Carlo simulations is explained in Statistical Procedures of this manual.

Glossary of Symbols

= one-sided lower confidence limit
= one-sided upper confidence limit
= two-sided confidence interval
{...} = vector in column format
= vector in row format
[...] = matrix

Back To Top

Notations

A symbol given as an upper case character always refers to a random variable, whereas a symbol specified with the corresponding lower case character indicates a particular, but arbitrary value of that random variable. Example: X is a random variable and x is a particular, but arbitrary value of X. This rule does not apply to functions of variables, such as distribution functions or other mathematical functions.

A function of one or more independent variables can have one or more parameters, which further specify the shape of the function. Here, we follow the notation that such a function is denoted with f (x1, x2, x3, ... | a, b, c ...), where x1, x2, x3, etc. are the independent variables of the function and a, b, c, etc. are the parameters that influence it.

For the exponential function the notation (...) is used.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Chapter 21. Probabilistic Design 		Up / Home Next
21.2. Probabilistic Modeling and Preprocessing


21.2. Probabilistic Modeling and Preprocessing

In the following, we will use the expression random input variable for the inaccuracies and uncertainties influencing the outcome of an analysis. In probabilistic design, statistical distribution functions are used to describe and quantify random input variables. In the following section, various statistical distribution types are explained in detail. The following information is typically used characterize a statistical distribution:

fX(x) = Probability density function. The probability density function of a random input variable X is a measure for the relative frequency at which values of random input variables are expected to occur.
FX(x) = Cumulative distribution function. The cumulative distribution function of a random input variable X is the probability that values for the random input variable remain below a certain limit x.
= Inverse cumulative distribution function
μ = Mean value. The mean value of a random input variable X is identical to the arithmetic average. It is a measure for the location of the distribution of a random input variable.
σ = Standard deviation. The standard deviation is a measure for the width of the distribution of a random input variable.

21.2.1. Statistical Distributions for Random Input Variables

21.2.1.1. Gaussian (Normal) Distribution

A Gaussian or normal distribution of a random variable X has two distribution parameters, namely a mean value μ and a standard deviation σ. The probability density function of a Gaussian distribution is:

(21–1)

where:

fX(x | μ,σ) = probability density function of the Gaussian distribution. According to the notation mentioned in Notations, x is the independent variable and μ and σ are the parameters of the probability density function.
φ(...) = probability density function of the standard normal distribution. The standard normal distribution is a normal distribution with a mean value of 0.0 and a standard deviation of 1.0.

(21–2)

The cumulative distribution function of the Gaussian distribution is:

(21–3)

where:

Φ(...) = cumulative distribution function of the standard normal distribution

There is no closed-form solution available for (Equation 21–3). See Abramowitz and Stegun(303) for more details. The probability density function and the cumulative distribution function of a Gaussian distribution are shown in Figure 21.1: "Gaussian Distribution Functions".

Figure 21.1 Gaussian Distribution Functions

Probability Density Function (left) and Cumulative Distribution Function (right)

The inverse cumulative distribution function of the Gaussian distribution is:

(21–4)

where:

p = a given probability

The random variable value x, for which (Equation 21–4) is satisfied, can only be found iteratively using the solution of (Equation 21–3).

Obviously, the mean value and the standard deviation of a random variable X with a Gaussian distribution are the same as the two distribution parameters μ and σ respectively.

21.2.1.2. Truncated Gaussian Distribution

A truncated Gaussian distribution of a random variable X has four distribution parameters, namely a mean value μG and a standard deviation σG of the non-truncated Gaussian distribution, and the lower limit xmin and the upper limit xmax.

The probability density function of a truncated Gaussian distribution is:

For x < xmin or x > xmax:

(21–5)

For xmin [image] x [image] xmax:

(21–6)

where:

Φ(...) = cumulative distribution function of the standard normal distribution
φ(...) = probability density function of the standard normal distribution (see (Equation 21–2))

The cumulative distribution function of the truncated Gaussian distribution is:

(21–7)

There is no closed-form solution available for (Equation 21–7). See Abramowitz and Stegun(303) for more details. The probability density function and the cumulative distribution function of a truncated Gaussian distribution are shown in Figure 21.2: "Truncated Gaussian Distribution".

Figure 21.2 Truncated Gaussian Distribution

Probability Density Function (left) and Cumulative Distribution Function (right)

Same as for (Equation 21–4) also the inverse cumulative distribution function of the truncated Gaussian distribution must be found iteratively using the solution of (Equation 21–7).

The mean value of a random variable X with a truncated Gaussian distribution is:

(21–8)

and the standard deviation is:

(21–9)

where:

fX (xmin) = fx (xmin | μG, σG, xmin, xmax) is the value of the probability density function of the truncated Gaussian distribution according to (Equation 21–6) at x = xmin. This expression has been abbreviated to shorten the equation above.
fX (xmax) = defined analogously.

21.2.1.3. Lognormal Distribution

A random variable X is said to follow a lognormal distribution if In(X) follows a Gaussian (or normal) distribution. A lognormal distribution of a random input variable X has two distribution parameters, namely a logarithmic mean value ξ and the logarithmic deviation δ. The distribution parameter ξ is the mean value of In(X) and the logarithmic deviation δ is the standard deviation of In(X).

The probability density function of a truncated Gaussian distribution is:

(21–10)

where:

φ(...) = probability density function of the standard normal distribution (see (Equation 21–2))

Usually, a lognormal distribution is specified as one of two cases:

Case 1: Using the mean value m and the standard deviation σ of the random input variable X. In this case, the parameters ξ and δ can be derived from the mean value μ and the standard deviation σ using:

(21–11)

(21–12)

Case 2: Using the logarithmic mean ξ and the logarithmic deviation δ as mentioned above.

The cumulative distribution function of the lognormal distribution is:

(21–13)

where:

Φ(...) = cumulative distribution function of the standard normal distribution

There is no closed-form solution available for (Equation 21–13). See Abramowitz and Stegun(303) for more details. The probability density function and the cumulative distribution function of a lognormal distribution are shown in Figure 21.3: "Lognormal Distribution".

Figure 21.3 Lognormal Distribution

Probability Density Function (left) and Cumulative Distribution Function (right)

As with (Equation 21–4), the inverse cumulative distribution function of the lognormal distribution must be found iteratively using the solution of (Equation 21–13).

For case 1, the specified parameters μ and σ directly represent the mean value and the standard deviation of a random variable X respectively.

For case 2, the mean value of the random variable X is:

(21–14)

and the standard deviation is:

(21–15)

21.2.1.4. Triangular Distribution

A triangular distribution of a random variable X is characterized by three distribution parameters, namely the lower limit xmin, the maximum likely value xmlv and the upper limit xmax.

The probability density function of a triangular distribution is:

(21–16)

The cumulative distribution function of a triangular distribution is:

(21–17)

The probability density function and the cumulative distribution function of a triangular distribution are shown in Figure 21.4: "Triangular Distribution".

Figure 21.4 Triangular Distribution

Probability Density Function (left) and Cumulative Distribution Function (right)

The inverse cumulative distribution function of a triangular distribution is:

(21–18)

where:

p = a given probability

The mean value of a random variable X with a triangular distribution is:

(21–19)

and the standard deviation is:

(21–20)

21.2.1.5. Uniform Distribution

A uniform distribution of a random variable X is characterized by two distribution parameters, namely the lower limit xmin and the upper limit xmax.

The probability density function of a uniform distribution is:

(21–21)

The cumulative distribution function of a uniform distribution is:

(21–22)

The probability density function and the cumulative distribution function of a uniform distribution are shown in Figure 21.5: "Uniform Distribution".

Figure 21.5 Uniform Distribution

Probability Density Function (left) and Cumulative Distribution Function (right)

The inverse cumulative distribution function of a uniform distribution is given by:

(21–23)

where:

p = a given probability

The mean value of a random variable X with a uniform distribution is:

(21–24)

and the standard deviation is:

(21–25)

21.2.1.6. Exponential Distribution

An exponential distribution of a random variable X has two distribution parameters, namely the decay parameter λ and the shift parameter (or lower limit) xmin.

The probability density function of a exponential distribution is:

(21–26)

The cumulative distribution function of the exponential distribution is:

(21–27)

The probability density function and the cumulative distribution function of an exponential distribution are shown in Figure 21.6: "Exponential Distribution".

Figure 21.6 Exponential Distribution

Probability Density Function (left) and Cumulative Distribution Function (right)

The inverse cumulative distribution function of the exponential distribution is:

(21–28)

where:

p = a given probability

The mean value of a random variable X with an exponential distribution is:

(21–29)

and the standard deviation is:

(21–30)

21.2.1.7. Beta Distribution

A Beta distribution of a random variable X has four distribution parameters, namely the shape parameters r and t, the lower limit xmin and the upper limit xmax. The probability density function of a Beta distribution is:

(21–31)

where:

B(...) = complete Beta function

(21–32)

There is no closed-form solution available for (Equation 21–32). See Abramowitz and Stegun(303) for more details.

The probability density function and the cumulative distribution function of a Beta distribution are shown in Figure 21.7: "Beta Distribution".

Figure 21.7 Beta Distribution

Probability Density Function (left) and Cumulative Distribution Function (right)

As with (Equation 21–4) also the inverse cumulative distribution function of the Beta distribution must be found iteratively using the solution of (Equation 21–32).

The mean value of a random variable X with a Beta distribution is:

(21–33)

and the standard deviation is:

(21–34)

21.2.1.8. Gamma Distribution

A Gamma distribution of a random variable X has two distribution parameters, namely an exponential parameter k and the decay parameter λ.

The probability density function of a Gamma distribution is:

(21–35)

where:

Γ(...) = Gamma function

The cumulative distribution function of the Gamma distribution is:

(21–36)

There is no closed-form solution available for (Equation 21–36). See Abramowitz and Stegun(303) for more details.

The probability density function and the cumulative distribution function of a Gamma distribution are shown in Figure 21.8: "Gamma Distribution".

Figure 21.8 Gamma Distribution

Probability Density Function (left) and Cumulative Distribution Function (right)

As with (Equation 21–4) also the inverse cumulative distribution function of the Gamma distribution must be found iteratively using the solution of (Equation 21–36).

The mean value of a random variable X with a Gamma distribution is:

(21–37)

and the standard deviation is:

(21–38)

21.2.1.9. Weibull Distribution

A Weibull distribution is also called a “Type III smallest” distribution. A Weibull distribution of a random variable X is characterized by three distribution parameters, namely the Weibull exponent m, the Weibull characteristic value xchr and the lower limit xmin. A two parameter Weibull distribution may be used, in which case xmin = 0.0.

The probability density function of a Weibull distribution is:

(21–39)

The cumulative distribution function of a Weibull distribution is:

(21–40)

The probability density function and the cumulative distribution function of a Weibull distribution are shown in Figure 21.9: "Weibull Distribution".

Figure 21.9 Weibull Distribution

Probability Density Function (left) and Cumulative Distribution Function (right)

The inverse cumulative distribution function of a Weibull distribution is:

(21–41)

where:

p = a given probability

The mean value of a random variable X with a Weibull distribution is:

(21–42)

and the standard deviation is:

(21–43)

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
21.1. Uses for Probabilistic Design 		Up / Home Next
21.3. Probabilistic Methods


21.3. Probabilistic Methods

21.3.1. Introduction

All probabilistic methods execute the deterministic problem several times, each time with a different set of values for the random input variables. The various probabilistic methods differ in the way in which they vary the values of the random input variables from one execution run to the next.

One execution run with a given set of values for the random input variables [image] with m is the number of random input variables is called a sampling point, because the set of values for the random input variables marks a certain point in the space of the random input variables.

21.3.2. Common Features for all Probabilistic Methods

21.3.2.1. Random Numbers with Standard Uniform Distribution

A fundamental feature of probabilistic methods is the generation of random numbers with standard uniform distribution. The standard uniform distribution is a uniform distribution with a lower limit xmin = 0.0 and an upper limit xmax = 1.0. Methods for generating standard uniformly distributed random numbers are generally based on recursive calculations of the residues of modulus m from a linear transformation. Such a recursive relation is given by the equation:

(21–44)

where:

a, c, m = nonnegative integers
si-1 = previous seed value of the recursion
ki-1 = integer part of the ratio (a si-1 + c) / m

A set of random numbers with standard uniform distribution is obtained by normalizing the value calculated by (Equation 21–44) with the modulus m:

(21–45)

It is obvious from (Equation 21–44) that an identical set of random numbers will be obtained if the same start value for the seed si-1 is used. Therefore, the random numbers generated like that are also called “pseudo random” numbers. See Hammersley and Handscomb(308) for more details about the generation of random numbers with standard uniform distribution.

21.3.2.2. Non-correlated Random Numbers with an Arbitrary Distribution

For probabilistic analyses, random numbers with arbitrary distributions such as the ones described in Statistical Distributions for Random Input Variables are needed. The most effective method to generate random number with any arbitrary distribution is the inverse transformation method. A set of random numbers for the random variable X having a cumulative distribution function Fx (x) can be generated by using a set of standard uniformly distributed random numbers according to (Equation 21–45) and transforming them with the equation:

(21–46)

Depending on the distribution type of the random variable X, the inverse cumulative distribution function can be calculated as described in Statistical Distributions for Random Input Variables.

21.3.2.3. Correlated Random Numbers with an Arbitrary Distribution

Correlated random input variables must be dealt with by all probabilistic methods, if there are random input variables, the user has identified as being correlated with each other. In order to handle correlated random input variables it is necessary to transform the random variable values using the Nataf model. The Nataf model is explained in detail in Liu and Der Kiureghian(311)).

21.3.3. Monte Carlo Simulation Method

A fundamental characteristic of the Monte Carlo Simulation method is the fact that the sampling points are located at random locations in the space of the random input variables. There are various techniques available in literature that can be used to evaluate the random locations of the sampling points (see Hammersley and Handscomb(308), Iman and Conover(309)).

21.3.3.1. Direct Monte Carlo Simulation

The direct Monte Carlo Simulation method is also called the crude Monte Carlo Simulation method. It is based on randomly sampling the values of the random input variables for each execution run. For the direct Monte Carlo Simulation method the random sampling has no memory, i.e., it may happen that one sampling point is relative closely located to one or more other ones. An illustration of a sample set with a sample size of 15 generated with direct Monte Carlo Simulation method for two random variables X1 and X2 both with a standard uniform distribution is shown in Figure 21.10: "Sample Set Generated with Direct Monte Carlo Simulation Method".

Figure 21.10 Sample Set Generated with Direct Monte Carlo Simulation Method

As indicated with the circle, there may be sample points that are located relatively close to each other.

21.3.3.2. Latin Hypercube Sampling

For the Latin Hypercube Sampling technique the range of all random input variables is divided into n intervals with equal probability, where n is the number of sampling points. For each random variable each interval is “hit” only once with a sampling point. The process of generating sampling points with Latin Hypercube has a “memory” in the meaning that the sampling points cannot cluster together, because they are restricted within the respective interval. An illustration of a sample with a sample size of 15 generated with Latin Hypercube Sampling method for two random variables X1 and X2 both with a standard uniform distribution is shown in Figure 21.11: "Sample Set Generated with Latin Hypercube Sampling Method".

Figure 21.11 Sample Set Generated with Latin Hypercube Sampling Method

There are several ways to determine the location of a sampling point within a particular interval.

  1. Random location: Within the interval the sampling point is positioned at a random location that agrees with the distribution function of the random variable within the interval.

  2. Median location: Within the interval the sampling point is positioned at the 50% position as determined by the distribution function of the random variable within the interval.

  3. Mean value: Within the interval the sampling point is positioned at the mean value position as determined by the distribution function of the random variable within the interval.

See Iman and Conover(309) for further details.

21.3.4. The Response Surface Method

For response surface methods the sampling points are located at very specific, predetermined positions. For each random input variable the sampling points are located at given levels only.

Response surface methods consist of two key elements:

  1. Design of Experiments: Design of Experiments is a technique to determine the location of the sampling points. There are several versions for design of experiments available in literature (see Montgomery(312), Myers(313)). These techniques have in common that they are trying to locate the sampling points such that the space of random input variables is explored in a most efficient way, meaning obtaining the required information with a minimum number of sampling points. An efficient location of the sampling points will not only reduce the required number of sampling points, but also increase the accuracy of the response surface that is derived from the results of those sampling points. Two specific forms of design of experiments are outlined in the remainder of this section.

  2. Regression Analysis: Regression analysis is a technique to determine the response surface based on the results obtained at the sampling points (see Neter et al.(314)). Regression Analysis for Building Response Surface Models has been dedicated to discuss regression analysis, because regression analysis is not only used in the context of response surface methods.

21.3.4.1. Central Composite Design

Location of Sampling Points Expressed in Probabilities

For central composite design the sampling points are located at five different levels for each random input variable. In order to make the specification of these levels independent from the distribution type of the individual random input variables, it is useful to define these levels in terms of probabilities. The five different levels of a central composite design shall be denoted with pi, with i = 1, ... , 5.

A central composite design is composed of three different parts, namely:

  1. Center point: At the center point the values of all random input variables have a cumulative distribution function that equals p3.

  2. Axis points: There are two points for each random variable located at the axis position, i.e., if there are m random input variables then there are 2m axis points. For the axis points all random input variables except one have a value corresponding to the center location and one random variable has a value corresponding to p1 for the low level point and corresponding to p5 for the high level point.

  3. Factorial points: In a central composite design there are 2m-f factorial points. Here, f is the fraction of the factorial part. The fraction of the factorial part is explained in more detail in the next subsection. For the factorial points all random input variables have values corresponding to permutations of p2 for the lower factorial level and p4 for the upper factorial level.

A sample set based on a central composite design for three random variables X1, X2 and X3 is shown in Figure 21.12: "Sample Set Based on a Central Composite Design".

Figure 21.12 Sample Set Based on a Central Composite Design

For this example with three random input variables the matrix describing the location of the sampling points in terms of probabilities is shown in Table 21.1: "Probability Matrix for Samples of Central Composite Design".

Table 21.1 Probability Matrix for Samples of Central Composite Design

Sample | X1 | X2 | X3 | Part
1 | p3 | p3 | p3 | Center
2 | p1 | p3 | p3 | Axis Points
3 | p5 | p3 | p3
4 | p3 | p1 | p3
5 | p3 | p5 | p3
6 | p3 | p3 | p1
7 | p3 | p3 | p5
8 | p2 | p2 | p2 | Factorial Points
9 | p2 | p2 | p4
10 | p2 | p4 | p2
11 | p2 | p4 | p4
12 | p4 | p2 | p2
13 | p4 | p2 | p4
14 | p4 | p4 | p2
15 | p4 | p4 | p4

Resolution of the Fractional Factorial Part

For problems with a large number of random input variables m, the number of sampling points is getting extensively large, if a full factorial design matrix would be used. This is due to the fact that the number of sampling points of the factorial part goes up according to 2m in this case. Therefore, with increasing number of random variables it is common practice to use a fractional factorial design instead of a full factorial design. For a fractional factorial design, the number of the sampling points of the factorial part grows only with 2m-f. Here f is the fraction of the factorial design so that f = 1 represents a half-factorial design, f = 2 represents a quarter-factorial design, etc. Consequently, choosing a larger fraction f will lead to a lower number of sampling points.

In a fractional factorial design the m random input variables are separated into two groups. The first group contains m - f random input variables and for them a full factorial design is used to determine their values at the sampling points. For the second group containing the remaining f random input variables defining equations are used to derive their values at the sampling points from the settings of the variables in the first group.

As mentioned above, we want to use the value of the random output parameters obtained at the individual sampling points for fitting a response surface. This response surface is an approximation function that is determined by a certain number of terms and coefficients associated with these terms. Hence, the fraction f of a fractional factorial design cannot become too large, because otherwise there would not be enough data points in order to safely and accurately determine the coefficients of the response surface. In most cases a quadratic polynomial with cross-terms will be used as a response surface model. Therefore, the maximum value for the fraction f must be chosen such that a resolution V design is obtained (here V stands for the Roman numeral 5). A design with a resolution V is a design where the regression coefficients are not confounded with each other. A resolution V design is given if the defining equation mentioned above includes at least 5 random variables as a total on both sides of the equation sign. Please see Montgomery(312) for details about fractional factorial designs and the use of defining equations.

For example with 5 random input variables X1 to X5 leads to a resolution V design if the fraction is f = 1. Consequently, a full factorial design is used to determine the probability levels of the random input variables X1 to X4. A defining equation is used to determine the probability levels at which the sampling points are located for the random input variable X5. See Montgomery(312) for details about this example.

Location of Sampling Points Expressed in Random Variable Values

In order to obtain the values for the random input variables at each sampling point, the probabilities evaluated in the previous section must be transformed. To achieve this, the inverse transformation outlined under Common Features for all Probabilistic Methods can be used for non-correlated random variables. The procedure dealing with correlated random variables also mentioned under Common Features for all Probabilistic Methods can be used for correlated random variables.

21.3.4.2. Box-Behnken Matrix Design

Location of Sampling Points Expressed in Probabilities

For a Box-Behnken Matrix design, the sampling points are located at three different levels for each random input variable. In order to make the specification of these levels independent from the distribution type of the individual random input variables, it is useful to define these levels in terms of probabilities. The three different levels of a Box-Behnken Matrix design shall be denoted with p1, with i = 1, ... , 3.

A Box-Behnken Matrix design is composed of two different parts, namely:

  1. Center point: At the center point the values of all random input variables have a cumulative distribution function that equals p2.

  2. Midside points: For the midside points all random input variables except two are located at the p2 probability level. The two other random input variables are located at probability levels with permutations of p1 for the lower level and p3 for the upper level.

See Box and Cox(307) for further details. A sample set based on a central composite design for three random variables X1, X2 and X3 is shown in Figure 21.13: "Sample Set Based on Box-Behnken Matrix Design".

Figure 21.13 Sample Set Based on Box-Behnken Matrix Design

For this example with three random input variables the matrix describing the location of the sampling points in terms of probabilities is shown in Table 21.2: "Probability Matrix for Samples of Box-Behnken Matrix Design".

Table 21.2 Probability Matrix for Samples of Box-Behnken Matrix Design

Sample | X1 | X2 | X3 | Part
1 | p2 | p2 | p2 | Center
2 | p1 | p1 | p2 | Midside Points
3 | p1 | p3 | p2
4 | p3 | p1 | p2
5 | p3 | p3 | p2
6 | p1 | p2 | p1
7 | p1 | p2 | p3
8 | p3 | p2 | p1
9 | p3 | p2 | p3
10 | p2 | p1 | p1
11 | p2 | p1 | p3
12 | p2 | p3 | p1
13 | p2 | p3 | p3

Location of Sampling Points Expressed in Random Variable Values

In order to obtain the values for the random input variables at each sampling point, the same procedure is applied as mentioned above for the Central Composite Design.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
21.2. Probabilistic Modeling and Preprocessing 		Up / Home Next
21.4. Regression Analysis for Building Response Surface Models


21.4. Regression Analysis for Building Response Surface Models

Regression analysis is a statistical methodology that utilizes the relation between two or more quantitative variables so that one dependent variable can be estimated from the other or others.

In the following [image] denotes the vector of input variables, where m is the number of input variables. An arbitrary location in the space of input variables is denoted with [image] and [image] indicates the ith sampling point in the space of the input variables. Y is the name an output parameter, whereas y denotes a specific value of that output parameter and yi is the value of the output parameter corresponding to the ith sampling point.

A regression analysis assumes that there are a total of n sampling points and for each sampling point {x}i with i = 1, ... , n the corresponding values of the output parameters yi are known. Then the regression analysis determines the relationship between the input variables {X} and the output parameter Y based on these sample points. This relationship also depends on the chosen regression model. Typically for the regression model, either a first or a second order polynomial is preferred. In general, this regression model is an approximation of the true input-to-output relationship and only in special cases does it yield a true and exact relationship. Once this relationship is determined, the resulting approximation of the output parameter Y as a function of the input variables {X} is called the response surface.

Without loss of generality, it is assumed in the following that there is only one output parameter Y, but the procedure can be applied in the same way to process multiple output parameters.

In general, there are two types of regression analyses:

  1. Linear regression analysis. A linear regression analysis assumes that the regression model is a linear function with respect to the parameters of the regression model, i.e., the regression parameters are the coefficients of the regression terms.

  2. Nonlinear regression analysis. For a nonlinear regression analysis, the regression model is a nonlinear function with respect to the parameters of the regression model.

Here, we focus on linear regression only. In Transformation of Random Output Parameter Values for Regression Fitting we introduce the concept of nonlinear transformation functions that are applied on the values of the output parameters yi. In principle, using nonlinear transformation function changes the nature of the regression analysis from a linear to a nonlinear regression analysis. However, in this special case we can treat the problem as a linear regression analysis because it is linear with respect to the transformed values of the output parameters.

21.4.1. General Definitions

The error sum of squares SSE is:

(21–47)

where:

yi = value of the output parameter at the ith sampling point
= value of the regression model at the ith sampling point

The regression sum of squares SSR is:

(21–48)

where:

The total sum of squares SST is:

(21–49)

For linear regression analysis the relationship between these sums of squares is:

(21–50)

For nonlinear regression analysis, (Equation 21–50) does not hold.

21.4.2. Linear Regression Analysis

For a linear regression analysis the regression model at any sampled location {x}i, with i = 1, ... , n in the m-dimensional space of the input variables can be written as:

(21–51)

where:

= row vector of regression terms of the response surface model at the ith sampled location
{c} = [image] = vector of the regression parameters of the regression model
p = total number of regression parameters. For linear regression analysis, the number of regression parameters is identical to the number of regression terms.

For a fully quadratic regression model, the vector of regression terms at the ith sampled location is:

(21–52)

The total number of regression terms of a fully quadratic regression model is:

(21–53)

(Equation 21–51) is called the normal error regression model, because the error term ε is assumed to have a normal distribution with zero mean value and a constant variance. The expression “constant variance” means that the variance of the error term is identical for all sampled locations {x}i. For all sampling points (Equation 21–51) can be written in matrix form as:

(21–54)

where:

= vector of the values of the approximation of the response parameter based on the response surface model at all sampled locations
{ε} = {ε, ...., ε}T = vector of error terms at all sampled locations

The parameters of the regression model are determined using the method of least squares, which is based on minimizing the sum of the squared errors:

(21–55)

From this it follows that the regression coefficients can be calculated from:

(21–56)

Once the regression coefficients {c} are determined using (Equation 21–56), the response surface (as being the approximation of the output parameter y as a function of the input variables {x}) is:

(21–57)

21.4.3. F-Test for the Forward-Stepwise-Regression

In the forward-stepwise-regression, the individual regression terms are iteratively added to the regression model if they are found to cause a significant improvement of the regression results. Here, a partial F-test is used to determine the significance of the individual regression terms. Assume that the regression model already includes p terms, namely, T1, T2, ... , Tp, where p is the number of the terms in the regression model and p is smaller than the maximum number of terms in the regression model, i.e., we have only selected a subset of all possible regression terms. To determine if an additional term Tp+1 would be a significant improvement of the regression model, we need to calculate the following characteristic value:

(21–58)

where:

= partial Fisher F-test statistic
SSEp = error sum of squares of the regression model with the p terms
SSEp+1 = error sum of squares of the regression model with the p+1 terms
νp = n - p = degrees of freedom of the regression model with the p terms
νp+1 = n - (p + 1) = degrees of freedom of the regression model with the p+1 terms

An additional term Tp+1 is considered to be a significant improvement for the regression model only if the following condition is satisfied:

(21–59)

where:

F (... | ν1, ν2) = inverse cumulative distribution function of the Fisher F-distribution with ν1 numerator degrees of freedom and ν2 denominator degrees of freedom
α = significance level

Usually there is a choice of several terms that are considered for inclusion in the regression model. In other words, if we currently only have a subset of all possible terms selected then there is more then one term that is not yet selected. In this case we choose that term which delivers the maximum [image] -value according to (Equation 21–58) and satisfies the condition in (Equation 21–59).

The forward-stepwise-regression also involves a significance test of all p terms that are already included in the regression model to see if they are still significant after an additional term Tp+1 has been included. This significance test is also based on (Equation 21–58) and any of the previously included p terms will be taken away from the regression model for which the condition in (Equation 21–59) is no longer satisfied. See Neter et al.(314) for details about the forward-stepwise-regression.

21.4.4. Transformation of Random Output Parameter Values for Regression Fitting

Only in special cases can random output parameters of a finite element analysis such as displacements or stresses be exactly described by a second order polynomial as a function of the random input parameters. Usually a second order polynomial provides only an approximation. The quality of the approximation can be significantly improved by applying a transformation to the random output parameter values yi, i = 1, ..., n, before fitting a response surface. The transformed values of the random output parameters shall be denoted with [image]. The following transformations are available:

  1. Exponential: = exp (yi)

  2. Logarithm with a user-defined base a: = loga (yi)

  3. Natural logarithm: = In (yi)

  4. Logarithm with a base 10: = log10 (yi)

  5. Square Root:

  6. Power Transformation with a user-defined exponent a:

  7. Box-Cox Transformation (see Box and Cox(307)):

Fitting of a second order polynomial response surface takes place after this transformation, i.e., the transformed values of the random output parameter [image] are used for the regression analysis. After the regression coefficients have been determined the evaluation of the value of the response surface approximation [image] requires a back-transformation using the inverse function of the transformation listed above.

It should be noted that the transformations mentioned above are nonlinear functions. Therefore, the regression analysis is a linear regression in terms of the transformed values of the random output parameter [image] , but it is a nonlinear regression with respect to the original values of the random output parameter yi.

21.4.5. Goodness-of-Fit Measures

Goodness-of-fit measures express how well or how accurately a response surface represents the sample points the response surface is based on. It should be noted that the goodness-of-fit measures always indicate a very accurate fit if there are not enough sample points. For example, the response surface will always exactly fit through the underlying sample points if the number of sample points n is identical to the number of coefficients p in the regression model. However, this does not mean that the response surface is an exact representation of the true input-output relationship. Example: If we only have two sample points, we can always fit a straight line exactly through these two sample points. That, however, does not necessarily mean that this straight line correctly represents the true input-output relationship.

21.4.5.1. Error Sum of Squares SSE

The error sum of squares as a measure for the goodness-of-fit of a response surface is calculated using (Equation 21–47). A good fit is achieved if the error sum of squares SSE is as close as possible to zero.

21.4.5.2. Coefficient of Determination R2

The coefficient of determination is often called the R-squared measure. It is calculated with the equation:

(21–60)

A good fit is achieved if the coefficient of determination is as close as possible to 1.0. A value of 1.0 indicates that the response surface model explains all of the variability of the output parameter Y. It should be noted that for a nonlinear regression analysis, the coefficient of determination is not a suitable measure for the goodness-of-fit. This is because the error sum of squares SSE and the regression sum of squares SSR do not add up to the total sum of squares SST. For this case the coefficient of determination may become larger than 1.0. If this happens the value is truncated to 1.0. See Neter et al.(314) for details about the coefficient of determination.

21.4.5.3. Maximum Absolute Residual

The maximum absolute residual as a measure for the goodness-of-fit is given by the equation:

(21–61)

A good fit is achieved if the maximum absolute residual is as close to 0.0 as possible.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
21.3. Probabilistic Methods 		Up / Home Next
21.5. Probabilistic Postprocessing


21.5. Probabilistic Postprocessing

Regardless which probabilistic method has been used to generate probabilistic result data, the postprocessing of the data is always based on a statistical evaluation of sampled data. Let X be a random variable with a certain but arbitrary cumulative distribution function FX. Each sample of size n will be a set of [image] , which will be used for the probabilistic postprocessing. The statistical analysis of sample data is based on some assumptions. One key assumption is the independence within the samples or, in other words, the observations [image] are independent. This means that the results of one sample do not depend in any way on the results of another sample. This assumption is typically valid for numerical experiments. Another assumption is the Central Limit Theorem. It states that for a set of independent random variables [image] with identical distribution the sum of these random variables as well as the arithmetic mean will have approximately a Gaussian distribution, if the sample size n is sufficiently large. Furthermore, it is assumed that the true cumulative distribution function FX is unknown, but can be approximated by the empirical cumulative distribution function derived from the set of observations [image].

In some cases, probabilistic postprocessing requires the comparison of the sampled data from two random variables. In this case we use X as the first random variable with [image] as the set of sampled observations and Y as the second random variable with [image] as the set of sampled observations. The same assumptions explained above for the random variable X apply in a similar manner for the random variable Y.

The statistical characteristics of sampled data are always random variables themselves, as long as the sample size n is finite. Therefore, it is necessary to estimate the accuracy of the statistical characteristics using confidence intervals or limits. In this discussion, a two-sided confidence interval is referred to as a confidence interval, and a one-sided confidence interval is referred to as a confidence limit. The width of confidence intervals is characterized by the probability of falling inside or outside the confidence interval. The probability of the statistical characteristic of the sampled data falling outside the confidence interval is usually denoted with the symbol α. Consequently, the probability of the statistical characteristic of the sampled data falling inside the confidence interval is 1-α.

21.5.1. Statistical Procedures

21.5.1.1. Mean Value

An estimate for the mean value of a random variable X derived from a sample of size n is:

(21–62)

The estimate of the mean value is a random variable itself and it converges to the true mean value m of the random variable X if the sample size n tends to infinity. By virtue of the central limit theorem, the distribution of the estimate of the mean value can be assumed as a Gaussian distribution. Hence, the 1 - α confidence interval is

(21–63)

where:

t (... | n - 1) = inverse cumulative distribution function of the Student's t- distribution with n - 1 degrees of freedom
s = the estimate for the standard deviation of the sample data as given by (Equation 21–64)

The confidence interval should be interpreted as follows: “There is a 1 - α confidence that the estimated interval contains the unknown, true mean value m” (Ang and Tang(304)).

21.5.1.2. Standard Deviation

An estimate for the standard deviation of a random variable X derived from a sample of size n is:

(21–64)

The estimate of the standard deviation is a random variable itself and it converges to the true standard deviation σ of the random variable X if the sample size n tends to infinity. The 1 - α confidence interval is:

(21–65)

where:

χ2–1 (...|n - 1) = inverse of the cumulative distribution function of a chi-square distribution with n - 1 degrees of freedom

The confidence interval should be interpreted as follows: “There is a 1 - α confidence that the estimated interval contains the unknown, true standard deviation σ” (Ang and Tang(304)).

21.5.1.3. Minimum and Maximum Values

The minimum and the maximum values of the set of observations are:

(21–66)

(21–67)

Since every observed value is unpredictable prior to the actual observation, it can be assumed that each observation is a realization of the set of the sample random variables [image]. The minimum and the maximum of the sample random variables are:

(21–68)

(21–69)

This means that the minimum and the maximum of a sample of size n taken from a population X are also random variables. For the minimum value, only an upper confidence limit can be given and for the maximum value only a lower confidence limit can be derived. Since the X1, X2, ... , Xn are statistically independent and identically distributed to X, the upper confidence limit of the minimum value and the lower confidence limit of the maximum value are:

(21–70)

(21–71)

Obviously, the evaluation of the confidence limits requires the computation of the inverse cumulative distribution function of the random variable X based on sampled data. This is explained in Inverse Cumulative Distribution Function.

The upper confidence limit of the minimum value should be interpreted as follows: “There is a 1 - α confidence that the unknown, true minimum value is below the estimated upper limit” (Ang and Tang(305)). An analogous interpretation should be applied for the lower confidence limit of the maximum value.

21.5.2. Correlation Coefficient Between Sampled Data

21.5.2.1. Pearson Linear Correlation Coefficient

The Pearson linear correlation coefficient (Sheskin(315)) is:

(21–72)

Since the sample size n is finite, the correlation coefficient rp is a random variable itself. Hence, the correlation coefficient between two random variables X and Y usually yields a small, but nonzero value, even if X and Y are not correlated at all in reality. In this case, the correlation coefficient would be insignificant. Therefore, we need to find out if a correlation coefficient is significant or not. To determine the significance of the correlation coefficient, we assume the hypothesis that the correlation between X and Y is not significant at all, i.e., they are not correlated and rp = 0 (null hypothesis). In this case the variable:

(21–73)

is approximately distributed like the Student's t-distribution with ν = n - 2 degrees of freedom. The cumulative distribution function Student's t-distribution is:

(21–74)

where:

B(...) = complete Beta function

There is no closed-form solution available for (Equation 21–74). See Abramowitz and Stegun(303) for more details.

The larger the correlation coefficient rp, the less likely it is that the null hypothesis is true. Also the larger the correlation coefficient rp, the larger is the value of t from (Equation 21–73) and consequently also the probability A(t|ν) is increased. Therefore, the probability that the null hypothesis is true is given by 1-A(t|ν). If 1-A(t|ν) exceeds a certain significance level, for example 1%, then we can assume that the null hypothesis is true. However, if 1-A(t|ν) is below the significance level then it can be assumed that the null hypotheses is not true and that consequently the correlation coefficient rp is significant.

21.5.2.2. Spearman Rank-Order Correlation Coefficient

The Spearman rank-order correlation coefficient (Sheskin(315)) is:

(21–75)

where:

Ri = rank of xi within the set of observations
Si = rank of yi within the set of observations
= average ranks of a Ri and Si respectively

The significance of the Spearman rank-order correlation coefficient rs is determined in the same way as outlined for the Pearson linear correlation coefficient above.

21.5.3. Cumulative Distribution Function

The cumulative distribution function of sampled data is also called the empirical distribution function. To determine the cumulative distribution function of sampled data, it is necessary to order the sample values in ascending order. Let xi be the sampled value of the random variable X having a rank of i, i.e., being the ith smallest out of all n sampled values. The cumulative distribution function Fi that corresponds to xi is the probability that the random variable X has values below or equal to xi. Since we have only a limited amount of samples, the estimate for this probability is itself a random variable. According to Kececioglu(310), the cumulative distribution function Fi associated with xi is:

(21–76)

(Equation 21–76) must be solved numerically. The lower and upper confidence limits of a 1 - α confidence interval are directly obtained in a similar way. The lower confidence limit can be determined from:

(21–77)

(21–78)

21.5.4. Evaluation of Probabilities From the Cumulative Distribution Function

The cumulative distribution function of sampled data can only be given at the individual sampled values x1, x2, ..., xi, xi+1, ..., xn using (Equation 21–76). Hence, the evaluation of the probability that the random variable is less or equal an arbitrary value x requires an interpolation between the available data points.

If x is for example between xi and xi+1 then the probability that the random variable X is less or equal to x is:

(21–79)

The confidence interval for the probability P(X [image] x) can be evaluated by interpolating on the confidence interval curves using the same approach.

21.5.5. Inverse Cumulative Distribution Function

The cumulative distribution function of sampled data can only be given at the individual sampled values x1, x2, ..., xi, xi+1, ..., xn using (Equation 21–76). Hence, the evaluation of the inverse cumulative distribution function for any arbitrary probability value requires an interpolation between the available data points.

The evaluation of the inverse of the empirical distribution function is most important in the tails of the distribution. In the tails of the distribution, the slope of the empirical distribution function is very flat. In this case a direct interpolation between the points of the empirical distribution function similar to (Equation 21–79) can lead to very inaccurate results. Therefore, the inverse standard normal distribution function Φ-1 is applied for all probabilities involved in the interpolation. If p is the requested probability for which we are looking for the inverse cumulative distribution function value and p is between Fi and Fi+1, then the inverse cumulative distribution function value can be calculated using:

(21–80)

The confidence interval for x can be evaluated by interpolating on the confidence interval curves using the same approach.

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
21.4. Regression Analysis for Building Response Surface Models 		Up / Home Next
Chapter 22. Reference Index


Chapter 22. Reference Index

  1. Ahmad, S., Irons, B. M. and Zienkiewicz, O. C., "Analysis of Thick and Thin Shell Structures by Curved Finite Elements", International Journal for Numerical Methods in Engineering, Vol. 2, No. 3, pp. 419-451 (1970).

  2. Bathe, K. J., Finite Element Procedures, Prentice-Hall, Englewood Cliffs (1996).

  3. Biot, M. A., Mechanics of Incremental Deformation, John Wiley and Sons, New York (1965).

  4. Chen, L. H., "Piping Flexibility Analysis by Stiffness Matrix", ASME, Journal of Applied Mechanics (December, 1959).

  5. Cook, R. D., Concepts and Applications of Finite Element Analysis, Second Edition, John Wiley and Sons, New York (1981).

  6. Cook, R. D., "Two Hybrid Elements for Analysis of Thick, Thin and Sandwich Plates", International Journal for Numerical Methods in Engineering, Vol. 5, No. 2, pp. 277-288 (1972).

  7. Cuniff, D. F., and O'Hara, G. J., "Normal Mode Theory for Three-Directional Motion", NRL Report 6170, U. S. Naval Research Laboratory, Washington D. C. (1965).

  8. Denn, M. M., Optimization by Variational Methods, McGraw-Hill, New York (1969).

  9. Henshell, K. D. and Ong, J. H., "Automatic Masters for Eigenvalue Economization", Earthquake Engineering and Structural Dynamics, Vol. 3, pp. 375-383 (1975).

  10. Imgrund, M. C., ANSYS® Verification Manual, Swanson Analysis Systems, Inc. (1992).

  11. Flugge, W., Stresses in Shells, Springer Verlag, Berlin (1967).

  12. Fritz, R. J., "The Effect of Liquids on the Dynamic Motions of Immersed Solids", ASME Journal of Engineering for Industry (February, 1972)

  13. Galambos, T. V., Structural Members and Frames, Prentice-Hall, Englewood Cliffs (1968).

  14. Guyan, R. J., "Reduction of Stiffness and Mass Matrices", AIAA Journal, Vol. 3, No. 2 (February, 1965).

  15. Hall, A. S., and Woodhead, R. W., Frame Analysis, John Wiley and Sons, New York (1961).

  16. Rajakumar, C. and Rogers, C. R., "The Lanczos Algorithm Applied to Unsymmetric Generalized Eigenvalue Problem", International Journal for Numerical Methods in Engineering, Vol. 32, pp. 1009-1026 (1992).

  17. Irons, B. M., "A Frontal Solution Program for Finite Element Analysis", International Journal for Numerical Methods in Engineering, Vol. 2, No. 1, January, 1970, pp. 5-23 (Discussion May, 1970, p. 149).

  18. Wilkinson, J. H., The Algebraic Eigenvalue Problem, Clarendon Press, Oxford, pp. 515-569 (1988).

  19. Kohnke, P. C., and Swanson, J. A., "Thermo-Electric Finite Elements", Proceedings, International Conference on Numerical Methods in Electrical and Magnetic Field Problems, June 1-4, 1976, Santa Margherita Liqure (Italy).

  20. Kohnke, P. C., "Large Deflection Analysis of Frame Structures by Fictitious Forces", International Journal of Numerical Methods in Engineering, Vol. 12, No. 8, pp. 1278-1294 (1978).

  21. Kollbrunner, C. F., and Basler, K., Torsion in Structures, Springer-Verlag, Berlin, (1969).

  22. Konopinski, E. J., Classical Descriptions of Motion, Freeman and Company, San Francisco (1969).

  23. Kreyszig, E., Advanced Engineering Mathematics, John Wiley and Sons, Inc., New York (1962).

  24. Lekhnitskii, S. G., Theory of Elasticity of an Anisotropic Elastic Body, Holden-Day, San Francisco (1963).

  25. Melosh, R. J., and Bamford, R. M., "Efficient Solution of Load-Deflection Equations", ASCE Journal of the Structural Division, Vol. 95, No. ST4, Proc. Paper 6510, Apr., 1969, pp. 661-676 (Discussions Dec., 1969, Jan., Feb., May, 1970, Closure, Feb., 1971).

  26. Kanok-Nukulchai, "A Simple and Efficient Finite Element for General Shell Analysis", International Journal for Numerical Methods in Engineering, Vol. 14, pp. 179-200 (1979).

  27. Oden, J. T., Mechanics of Elastic Structures, McGraw-Hill, New York (1968).

  28. Przemieniecki, J. S., Theory of Matrix Structural Analysis, McGraw-Hill, New York (1968).

  29. Schnobrich, W. C., and Suidan, M., "Finite Element Analysis of Reinforced Concrete", ASCE Journal of the Structural Division, ST10, pp. 2109-2122 (October, 1973).

  30. Seide, P., "Large Deflection of Rectangular Membranes Under Uniform Pressure", International Journal of Non-Linear Mechanics, Vol. 12, pp. 397-406.

  31. Skjelbreia, L., and Hendrickson, J. A., "Fifth Order Gravity Wave Theory", Proceedings, Seventh Conference on Coastal Engineering, Ch. 10, pp. 184-196 (1961).

  32. Timoshenko. S., and Woinowskey-Kreiger, S., Theory of Plates and Shells, McGraw-Hill, New York (1959).

  33. Tracey, D. M., "Finite Elements for Three Dimensional Elastic Crack Analysis", Nuclear Engineering and Design, 26 (1973).

  34. Vanmarcke, E. H., "Structural Response to Earthquakes", Seismic Risk and Engineering Decisions, Elsvier Scientific Publishing Co., Amsterdam-Oxford, New York, (edited by C. Lomnitz and E. Rosemblueth), pp. 287-337 (1976).

  35. Wheeler, J. D., "Method of Calculating Forces Produced by Irregular Waves", Journal of Petroleum Technology, Vol. 22, pp. 359-367 (1970).

  36. Willam, K. J., University of Colorado, Boulder, (Private Communication) (1982).

  37. Willam, K. J., and Warnke, E. D., "Constitutive Model for the Triaxial Behavior of Concrete", Proceedings, International Association for Bridge and Structural Engineering, Vol. 19, ISMES, Bergamo, Italy, p. 174 (1975).

  38. Wilson, E. L., Taylor, R. L., Doherty, W. P., and Ghaboussi, J., "Incompatible Displacement Models", Numerical and Computer Methods in Structural Mechanics, edited by S. J. Fenves, et al., Academic Press, Inc., N. Y. and London, pp. 43-57 (1973).

  39. Zienkiewicz, O. C., The Finite Element Method, McGraw-Hill Company, London, (1977).

  40. ASME Boiler and Pressure Vessel Code, Section III, Division 1, Subsection NC, Class 2 Components (1974).

  41. "Regulatory Guide", Published by the U. S. Nuclear Regulatory Commission, Regulatory Guide 1.92, Revision 1 (February 1976).

  42. Tamma, Kumar K. and Namburu, Raju R., "Recent Advances, Trends and New Perspectives Via Enthalpy-Based Finite Element Formulations for Applications to Solidification Problems", International Journal for Numerical Methods in Engineering, Vol. 30, pp. 803-820 (1990).

  43. Shore Protection Manual, Published by the U. S. Army Coastal Engineering Research Center, Vol. I, Third Edition (1977).

  44. Beer, F. P., and Johnston, R. E., Vector Mechanics for Engineers, Statics and Dynamics, McGraw-Hill, New York (1962).

  45. Hinton, E., Rock, A., and Zienkiewicz, O., "A Note on Mass Lumping and Related Processes in the Finite Element Method", International Journal of Earthquake Engineering and Structural Dynamics, Vol. 4, pp. 245-249 (1976).

  46. Krieg, R. D., and Krieg, D. B., "Accuracies of Numerical Solution Methods for the Elastic-Perfectly Plastic Model", Journal of Pressure Vessel Technology, Vol. 99, No. 4, Series J, Transactions of the ASME,November, pp. 510-515 (1977).

  47. Thomson, William T., Theory of Vibrations with Applications, Prentice Hall, pp. 343-352 (1971).

  48. Roark, R. J., and Young, W. C., Formulas for Stress and Strain, McGraw-Hill, New York (1975).

  49. Taylor, R. L., Beresford, P. J., and Wilson, E. L., "A Non-Conforming Element for Stress Analysis", International Journal for Numerical Methods in Engineering, Vol. 10, pp. 1211-1219 (1976).

  50. Hill, R., The Mathematical Theory of Plasticity, Oxford University Press, New York (1983).

  51. Shih, C. F., and Lee, D., "Further Developments in Anisotropic Plasticity", Journal of Engineering Materials and Technology, Vol. 100, pp. 294-302 (July 1978).

  52. Valliappan, S., "Nonlinear Analysis for Anistropic Materials", International Journal for Numerical Methods in Engineering, Vol. 10, pp. 597-606 (1976).

  53. Besseling, J. F., "A Theory of Elastic, Plastic, and Creep Deformations of an Initially Isotropic Material Showing Aisotropic Strain-Hardening Creep Recovery and Secondary Creep", Journal of Applied Mechanics, pp. 529-536 (December 1958).

  54. Owen, R. J., Prakash, A., and Zienkiewicz, O. C., "Finite Element Analysis of Non-Linear Composite Materials by Use of Overlay Sytems", Computers and Structures, Pergamon Press, Vol. 4, pp. 1251-1267.

  55. Holman, J. P., Heat Transfer, Fourth Edition, McGraw-Hill, New York (1976).

  56. Batoz, J. L., Bathe, K. J., and Ho, L. W., "A Study of Three-Node Triangular Plate Bending Elements", International Journal of Numerical Methods in Engineering, Vol. 15, pp. 1771-1812 (1980).

  57. Razzaque, A., "On the Four Noded Discrete Kirchhoff Shell Elements", Robinson, J. (ed.), Accuracy Reliability Training in FEM Technology, pp. 473-483 (1984).

  58. Gresho, P. M., and Lee, R. L., "Don't Suppress the Wiggles - They're Telling You Something", Finite Element Methods for Convection Dominated Flows, ASME Publication AMD, Vol. 34, pp. 37-61 (1979).

  59. Dean, R. G., Evaluation and Development of Water Wave Theories for Engineering Application, prepared for U. S. Army Corp of Engineers, Coastal Engineering Research Center, (November 1974).

  60. ASME Boiler and Pressure Vessel Code, Section III, Division 1-1974, Subsection NB, Class 1 Components.

  61. American National Standard Code for Pressure Piping, Power Piping, ANSI B31.1-1977, Published by the American Society of Mechanical Engineers.

  62. Orris, R. M., and Petyt, M., "Finite Element Study of Harmonic Wave Propagation in Periodic Structures", Journal of Sound and Vibration, pp. 223-236 (1974).

  63. Gordon, J. L., "OUTCUR: An Automated Evaluation of Two-Dimensional Finite Element Stresses" according to ASME, Paper No. 76-WA/PVP-16, ASME Winter Annual Meeting (December 1976).

  64. Powell, M. J. D., "An Efficient Method for Finding the Minimum of a Function of Several Variables Without Calculating Derivatives", Computer Journal, Vol. 7, pp. 155-162 (1964).

  65. Wilson, E. L., Der Kiereghian, A., and Bayo, E., "A Replacement for the SRSS Method in Seismic Analysis", Earthquake and Structural Dynamics, University of California, Berkeley, Vol. 9, No. 2, p. 187 (March 1981).

  66. Rankin, C. C., and Brogan, F. A., "An Element Independent Corotational Procedure for the Treatment of Large Rotations", Journal of Pressure Vessel Technology, Vol. 108, pp. 165-174 (May 1986).

  67. Argyris, J., "An Excursion into Large Rotations", Computer Methods in Applied Mechanics and Engineering, Vol. 32, pp. 85-155 (1982).

  68. Tse, S., Morse, I. E., and Hinkle, R. T., Mechanical Vibrations, Allyn and Bacon, Boston (1963).

  69. Chari, M. V. K., "Finite Element Solution of the Eddy Current Problem in Magnetic Structures, IEEE Transactions on Power Apparatus and Systems, Vol. PAS-93 pp. 62-72 (1974).

  70. Brauer, J. R., "Finite Element Analysis of Electromagnetic Induction in Transformers", paper A77-122-5, IEEE Winter Power Meeting, New York City (1977).

  71. Tandon, S. C., and Chari, M. V. K., "Transient Solution of the Diffusion Equation by the Finite Element Method", Journal of Applied Physics (March 1981).

  72. Silvester, P. P., Cabayan, H. S., and Browne, B. T., "Efficient Techniques for Finite Element Analysis of Electric Machines", IEEE Transactions on Power Apparatus and Systems, Vol. PAS-92, pp. 1274-1281 (1973).

  73. Chari, M. V. K., and D'Angelo, J., "Finite Element Analysis of Magneto-Mechanical Devices", Fifth International Workshop in Rare Earth-Cobalt Permanent Magnets and Their Application, Roanoke, VA, 7-10, Paper No. V1-1 (June 1981).

  74. Anderson, O. W., "Transform Leakage Flux Program Based on the Finite Element Method", IEEE Transactions on Power Apparatus and Systems, Vol. PAS-92, No. 2 (1973).

  75. Zienkiewicz, O. C., Lyness, J., and Owen, D. R. J., "Three-Dimensional Magnetic Field Determination Using a Scalar Potential - A Finite Element Solution", IEEE Transactions on Magnetics, Vol. MAG-13, No. 5, pp. 1649-1656 (1977).

  76. Coulomb, J. L., and Meunier, G., "Finite Element Implementation of Virtual Work Principle for Magnetic for Electric Force and Torque Calculation, IEEE Transactions on Magnetics, Vol. Mag-2D, No. 5, pp. 1894-1896 (1984).

  77. Moon, F. C., Magneto-Solid Mechanics, New York, John Wiley and Sons (1984).

  78. Baker, A. J., Finite Element Computational Fluid Mechanics, McGraw-Hill Book Company, New York, pp. 266-284 (1983).

  79. Yuan, S. NW., Foundations of Fluid Mechanics, Prentice-Hall International, Inc., London, pp. 71-102 (1976).

  80. Clough, Ray W., and Penzien, Joseph, Dynamics of Structures, McGraw-Hill, New York, p. 559 (1975).

  81. Allik, H., and Hughes, J. R., "Finite Element for Piezoelectric Vibration", International Journal Numerical Methods of Engineering, No. 2, pp. 151-157 (1970).

  82. Eer Nisse, N. P. "Variational Method for Electroelastic Vibration Analysis", IEEE Transactions on Sonics and Ultrasonics, Vol. SU-14, No. 4 (1967).

  83. Sato, J., Kawabuchi, M., and Fukumoto, A., "Dependence of the Electromechanical Coupling Coefficient on the Width-to-Thickness Ratio of Plant-Shaped Piezoelectric Transducers Used for Electronically Scanned Ultrasound Diagnostic Systems", Journal of Acoustics Society of America No. 66 (6), pp. 1609-1611 (1979).

  84. Kinsler, E. L. et. al., Fundamentals of Acoustics, John Wiley and Sons, New York pp. 98-123 (1982).

  85. Craggs, A., "A Finite Element Model for Acoustically Lined Small Rooms", Journal of Sound and Vibration, Vol. 108, No. 2, pp. 327-337.

  86. Zienkiewicz, O. C., and Newton, R. E., "Coupled Vibrations of a Structure Submerged in a Compressible Fluid", Proceedings of the Symposium on Finite Element Techniques, University of Stuttgart, Germany (June 1969).

  87. Malvern, Lawrence E., Introduction to the Mechanics of a Continuous Medium, Prentice-Hall, Inc., Englewood Cliffs, NJ (1969).

  88. Siegal, R. and Howell, J. R., Thermal Radiation Heat Transfer, Second Edition, Hemisphere Publishing Corporation (1981).

  89. ANSI/IEEE Standard on Piezoelectricity (IEEE Standard) pp. 176 (1987)

  90. Antonova, E. E. and Looman, D. C., "Finite elements for thermoelectric device analysis in ANSYS", ICT 2005 24th International Conference on Thermoelectrics, pp. 215-218 (2005).

  91. Not used

  92. Fossum, A. F. and Fredrich, J. T., "Cap plasticity model and compactive and dilatant prefailure deformation", Pacific Rocks 200: Rock Around the Rim, A. A. Balkema, pp. 1169-1176 (2000)

  93. Tsai, Stephen W., Composites Design, Third Edition, Section 11.6, Think Composites, Dayton, Ohio (1987).

  94. Weiss, J., "Efficient Finite Element Solution of Multipath Eddy Current Problems", IEEE Transactions on Magnetics, Vol. MAG-18, No. 6, pp. 1710-1712 (1982).

  95. Garg, V. K., and Weiss, J, "Finite Element Solution of Transient Eddy-Current Problems in Multiply-Excited Magnetic Systems", IEEE Transactions on Magnetics, Vol. MAG-22, No. 5, pp. 1257-1259 (1986).

  96. Dvorkin, E. N., "On Nonlinear Finite Element Analysis of Shell Structures", Ph.D Thesis, Massachusetts Institute of Technology (1984).

  97. Dvorkin, E. N., and Bathe, K. J., "A Continuum Mechanics Based Four-Node Shell Element for General Nonlinear Analysis", Engineering Computations, Vol. 1, pp. 77-88 (1984).

  98. Bathe, K. J., and Dvorkin, E. N., "A Formulation of General Shell Elements - The Use of Mixed Interpolation of Tensorial Components", International Journal for Numerical Methods in Engineering, Vol. 22, pp. 697-722 (1986).

  99. Hoit, M., and Wilson, E. L., "An Equation Numbering Algorithm Based on a Minimum Front Criteria", Computers and Structures, Vol. 16, pp. 225-239 (1983).

  100. Cuthill, E., and McKee, J., "Reducing the Band Width of Sparse Symmetric Matrices", Proceedings of the ACM National Conference, New York (1969).

  101. Georges, A., and McIntyre, D., "On the Application of the Minimum Degree Algorithm to Finite Element Systems", SIAM Journal of Numerical Analysis, Vol. 15 (1978).

  102. Zienkiewicz, O. C., and Zhu, J. Z., "A Simple Error Estimator and Adaptive Procedure for Practical Engineering Analysis", International Journal for Numerical Methods in Engineering, Vol. 24, pp. 337-357 (1987).

  103. Babuska, I., and Rheinboldt, W. C., "Analysis of Optimal Finite Element Meshes in R", Mathematics of Computation, Vol. 33, pp. 431-463 (1979).

  104. Carnegie, W., "Vibrations of Rotating Cantilever Blading", Journal of Mechanical Engineering Science, Vol. 1, No. 3 (1959).

  105. Bergan, P. G., and Mollestad, E., "An Automatic Time-Stepping Algorithm for Dynamic Problems", Computer Methods in Applied Mechanics and Engineering, Vol. 49 (1985).

  106. Paris, P. C., and Sih, G. C., "Stress Analysis of Cracks", Fracture Toughness and Testing and its Applications, American Society for Testing and Materials, Philadelphia, STP 381, pp. 30-83 (1965).

  107. O'Hara, G. J. and Belsheim, R. O., "Interim Design Values for Shock Design of Shipboard Equipment", U.S. Naval Research Laboratory, Washington D.C., NRL Memorandum Report 1396 (1963).

  108. Markovsky, A., Soules, T. F. and Vukcevich, M. R., "Mathematical and Computational Aspects of a General Viscoelastic Theory", G. E. Lighting and Research and Technical Services Operation, Report No. 86-LRL-2021 (February 1986).

  109. Scherer, G. W. and Rekhson, S. M., "Viscoelastic-Elastic Composites: I, General Theory", Journal of the American Ceramic Society, Vol. 65, No. 7 (1982).

  110. Narayanaswamy, O. S., "A Model of Structural Relaxation in Glass", Journal of the American Ceramic Society, Vol. 54, No. 10, pp. 491-498 (1971).

  111. Zienkiewicz, O. C., Watson, M. and King, I. P., "A Numerical Method of Visco-Elastic Stress Analysis", International Journal of Mechanical Science, Vol. 10, pp. 807-827 (1968).

  112. Taylor, R. L., Pister, K. S. and Goudreas, G. L., "Thermochemical Analysis of Viscoelastic Solids", International Journal for Numerical Methods in Engineering, Vol. 2, pp. 45-59 (1970).

  113. Allman, D. J., "A Compatible Triangular Element Including Vertex Rotations for Plane Elasticity Analysis", Computers and Structures, Vol. 19, pp. 1-8 (1984).

  114. Cook, R. D., "On the Allman Triangle and a Related Quadrilateral Element", Computers and Structures, Vol. 22, pp. 1065-1067 (1986).

  115. MacNeal, R. H. and Harder, R. L., "A Refined For-Noded Membrane Element with Rotational Degrees of Freedom", Computers and Structures, Vol. 28, No. 1, pp. 75-84.

  116. Garvey, S. J., "The Quadrilateral Shear Panel", Aircraft Engineering, p. 134 (May 1951).

  117. Yunus, Shah M., Pawlak, Timothy P., and Cook, R. D., "Solid Elements with Rotational Degrees of Freedom Part 1 and Part 2", International Journal for Numerical Methods in Engineering, Vol. 31, pp. 573-610 (1991).

  118. Mohammed, O. A., "Magnetic Vector Potential Based Formulation and Computation of Nonlinear Magnetostatic Fields and Forces in Electrical Devices by Finite Elements", Ph.D. Dissertation, Virginia Polytechnic Institute and State University, Blacksburg, VA (May 1983).

  119. Mayergoyz, I. D., "A New Scalar Potential Formulation for Three-Dimensional Magnetostatic Problems", IEEE Transactions on Magnetics, Vol. MAG-23, No. 6, pp. 3889-3894 (1987).

  120. Biro, Oszkar and Preis, Kurt, "On the Use of the Magnetic Vector Potential in the Finite Element Analysis of Three-Dimensional Eddy Currents", IEEE Transactions on Magnetics, Vol. 25, No. 4, pp. 3145-3159 (July 1989).

  121. Robinson, J., Basic and Shape Sensivity Tests for Membrane and Plate Bending Finite Elements, Robinson and Associates (January 1985).

  122. Kagawa, Y., Yamabuchi, T. and Kitagami, S., "Infinite Boundary Element and its Application to a Combined Finite-Boundary Element Technique for Unbounded Field Problems", Boundary Elements VIII, ed. C. A. Brebbia, Springer-Verlag, New York, NY (1986).

  123. Oden, J. T. and Kikuchi, N., "Finite Element Methods for Constrained Problems in Elasticity", International Journal for Numerical Methods in Engineering, Vol. 18, No. 5, pp. 701-725 (1982).

  124. Sussman, T. and Bathe, K. J., "A Finite Element Formulation for Nonlinear Incompressible Elastic and Inelastic Analysis", Computers and Structures, Vol. 26, No. 1/2, pp. 357-409 (1987).

  125. Zienkiewicz, O. C., Liu, Y. C. and Huang, G. C., "Error Estimates and Convergence Rates for Various Incompressible Elements", International Journal for Numerical Methods in Engineering, Vol. 28, No. 9, pp. 2191-2202 (1989).

  126. Huang, H. C. and Lewis, R. W., "Adaptive Analysis for Heat Flow Problems Using Error Estimation Techniques", Paper presented at the 6th International Conference on Numerical Methods in Thermal Problems. Also University of Wales, University College of Swansea Internal Report CR/635/89 (April 1989).

  127. Weber, G. G., Lush, A. M., Zavaliangos, A., and Anand, L., "An Objective Time-Integration Procedure for Isotropic Rate-Independent Elastic-Plastic Constitutive Equations", International Journal of Plasticity, Vol. 6, pp. 701-749 (1990).

  128. Eggert, G. M. and Dawson, P. R., "A Viscoplastic Formulation with Plasticity for Transient Metal Forming", Computer Methods in Applied Mechanics and Engineering, Vol. 70, pp. 165-190 (1988).

  129. Narayanaswami R. and Adelman, H. M., "Inclusion of Transverse Shear Deformation in Finite Element Displacement Formulations", American Institute of Aeronautics and Astronautics Journal, Vol. 12, No. 11, pp. 1613-1614 (1974).

  130. Kaljevic, I, Saigal, S., and Ali, A., "An Infinite Boundary Element Formulation for Three-Dimensional Potential Problems", International Journal for Numerical Methods in Engineering, Vol. 35, No. 10, pp. 2079-2100 (1992).

  131. Simo et al., "Finite Deformation Post-Buckling Analysis Involving Inelasticity and Contact Constraints", International Journal for Numerical Methods in Engineering, Vol. 23, pp. 779-800 (1986).

  132. Parisch, H. "A Consistent Tangent Stiffness Matrix for Three-Dimensional Non-Linear Contact Analysis", International Journal for Numerical Methods in Engineering, Vol.28, pp. 1803-1812 (1989).

  133. Bayo, "A Modified Lagrangian Formulation for the Dynamic Analysis of Constrained Mechanical Systems", Computer Methods in Applied Mechanics and Engineering, Vol. 71, pp. 183-195 (1988).

  134. Jiang and Rodgers, "Combined Lagrangian Multiplier and Penalty Function Finite Element Technique for Elastic Impact Analysis", Computers and Structures, Vol. 30, pp. 1219-1229 (1988).

  135. Giannakopoulos, "The Return Mapping Method for the Integration of Friction Constitutive Relations", Computers and Structures, Vol. 32, pp. 157-167 (1989).

  136. Ridic and Owen, "A Plasticity Theory of Friction and Joint Elements", Computational Plasticity: Models, Software, and Applications, Part II, Proceedings of the Second International Conference, Barcelona, Spain, Pineridge Press, Swansea, pp. 1043-1062 (Editors Owen, Hinton, Ornate) (1989).

  137. Wriggers, VuVan, and Stein, "Finite Element Formulation of Large Deformation Impact-Contact Problems with Friction", Computers and Structures, Vol. 37, pp. 319-331 (1990).

  138. Stein, Wriggers and VuVan, "Models of Friction, Finite-Element Implementation and Application to Large Deformation Impact-Contact Problems", Computational Plasticity: Models, Software, and Applications, Part II, Proceedings of the Second International Conference, Barcelona, Spain, Pineridge Press, Swansea, pp. 1015-1041, (Editors Owen, Hinton, Ornate) (1989).

  139. Yunus, S. M., Kohnke, P. C. and Saigal, S. "An Efficient Through-Thickness Integration Scheme in an Unlimited Layer Doubly Curved Isoparametric Composite Shell Element", International Journal for Numerical Methods in Engineering, Vol. 28, pp. 2777-2793 (1989).

  140. Geddes, E. R. "An Analysis of the Low Frequency Sound Field in Non-Rectangular Enclosures Using the Finite Element Method", Ph.D Thesis, Pennsylvania State University (1982).

  141. Gyimesi, M., Lavers, D., Pawlak, T. and Ostergaard, D., "Application of the General Potential Formulation in the ANSYS®Program", IEEE Transactions on Magnetics, Vol. 29, pp. 1345-1347 (1993).

  142. Rajakumar, C. and Ali, A., "A Solution Method for Acoustic Boundary Element Eigenproblem With Sound Absorption Using Lanczos Algorithm", Proceedings of 2nd International Congress on Recent Developments in Air- and Structure-Borne Sound and Vibration, Auburn University, AL, pp. 1001-1010 (March 4-6, 1992)

  143. Nishimura, H., Isobe, M., and Horikawa, K., "Higher Order Solutions of the Stokes and the Cnoidal Waves", Journal of the Faculty of Engineering, The University of Tokyo, Vol. XXXIV, No. 2, Footnote on page 268 (1977).

  144. Mahinthakumar, G. and Hoole, S.R.H., "A Parallelized Element by Element Jacobi Conjugate Gradients Algorithm for Field Problems and a Comparison with Other Schemes", Applied Electromagnetics in Materials, Vol. 1, pp. 15-28 (1990).

  145. Hughes, T.J.R., Analysis of Transient Algorithms with Particular Reference to Stability Behavior, Computation Methods for Transient Analysis, Vol. 1, North-Holland, Amsterdam, Eds. T. Belytschko and K. J. Bathe, pp. 67-155 (1983).

  146. Anand, L., "Constitutive Equations for the Rate-Dependent Deformation of Metals at Elevated Temperatures", Journal of Engineering Materials and Technology,, Vol. 104, pp. 12-17 (1982).

  147. Brown, S. B., Kim, K. H., and Anand, L., "An Internal Variable Constitutive Model for Hot Working of Metals", International Journal of Plasticity, Vol. 5, pp. 95-130 (1989).

  148. Dickens, John M., “Numerical Methods for Dynamic Substructure Analysis”, PH.D. Thesis from University of California, Berkeley (1980)

  149. Gyimesi, M. and Lavers, J. D., "Generalized Potential Formulation for 3-D Magnetostatic Problems", IEEE Transactions on Magnetics, Vol. 28, No. 4 (1992).

  150. Smythe, W. R., Static and Dynamic Electricity, McGraw-Hill Book Co., New York, NY (1950).

  151. Demerdash, N. A., Nehl, T. W., Fouad, F. A. and Mohammed, O. A., "Three Dimensional Finite Element Vector Potential Formulation of Magnetic Fields in Electrical Apparatus", IEEE Transactions on Power Apparatus and Systems, Vol. PAS-100, No. 8, pp. 4104-4111 (1981).

  152. Eggert, G. M., Dawson, P. R., and Mathur, K. K., "An Adaptive Descent Method for Nonlinear Viscoplasticity", International Journal for Numerical Methods in Engineering, Vol. 31, pp. 1031-1054 (1991).

  153. Schweizerhof, K. H. and Wriggers, P., "Consistent Linearization for Path Following Methods in Nonlinear FE Analysis", Computer Methods in Applied Mechanics and Engineering, Vol. 59, pp. 261-279 (1986).

  154. Zienkiewicz, O. C. and Cormeau, I. C., "Visco-plasticity - Plasticity and Creep in Elastic Solids - A Unified Numerical Solution Approach", International Journal for Numerical Methods in Engineering, Vol. 8, pp. 821-845 (1974).

  155. Simo, J. C. and Taylor, R. L., "Consistent Tangent Operators for Rate-Independent Elastoplasticity", Computer Methods in Applied Mechanics and Engineering, Vol. 48, pp. 101-118 (1985).

  156. Hughes, T. J. R., "Numerical Implementation of Constitutive Models: Rate-Independent Deviatoric Plasticity", published in Theoretical Foundation for Large-Scale Computations for Nonlinear Material Behavior (eds. S. Nemat-Nasser, R. J. Asaro and G. A. Hegemier), Martinus Nijhoff Publishers, Dordrecht, The Netherlands (1984).

  157. Hughes, T. J. R. and Carnoy, E., "Nonlinear Finite Element Shell Formulation Accounting for Large Membrane Strains", Computer Methods in Applied Mechanics and Engineering, Vol. 39, pp. 69-82 (1983).

  158. Nedelec, J.,"Mixed finite elements in R3", Numer. Math., Vol.35, pp. 315-341, (1980).

  159. Anand, L., "Constitutive Equations for Hot-Working of Metals", International Journal of Plasticity, Vol. 1, pp. 213-231 (1985).

  160. Abramowitz, M. and Stegun, I. A., Handbook of Mathematical Functions with Formulas, Graphs, and Mathematical Tables, National Bureau of Standards Applied Mathematics Series 55, p. 966 (1972).

  161. Swain, C. G. and Swain, M. S., "A Uniform Random Number Generator That is Reproducible, Hardware-Independent, and Fast", Journal of Chemical Information and Computer Sciences, pp. 56-58 (1980).

  162. Kreyszig, Edwin, Advanced Engineering Mathematics, 3rd Edition, John Wiley & Sons, Inc. (1972).

  163. Hoel, Paul G., Introduction to Mathematical Statistics, 3rd Edition, Johnn Wiley & Sons, Inc., p. 196 (1962).

  164. Neter, John et al., Applied Statistics, Allyn and Bacon, Inc., Boston, MA (1978).

  165. Hughes, T. J. R., The Finite Element Method Linear Static and Dynamic Finite Element Analysis, Prentice-Hall, Inc., Englewood Cliffs, NJ (1987).

  166. Wilson, E. L. and Itoh, Tetsuji, "An Eigensolution Strategy for Large Systems", Computers and Structures, Vol. 16, No. 1-4, pp. 259-265 (1983).

  167. Yokoyama, T., "Vibrations of a Hanging Timoshenko Beam Under Gravity", Journal of Sound and Vibration, Vol. 141, No. 2, pp. 245-258 (1990).

  168. Coulomb, J. L., "A Methodology for the Determination of Global Electromechanical Quantities from a Finite Element Analysis and its Application to the Evaluation of Magnetic Forces, Torques and Stiffness", IEEE Transactions on Magnetics, Vol. MAG-19, No. 6, pp. 2514-2519 (1983).

  169. Zienkiewicz, O. C., Emson, C., and Bettess, P., "A Novel Boundary Infinite Element", International Journal for Numerical Methods in Engineering, Vol. 19, pp. 393-404 (1983).

  170. Damjanic, F. and Owen, D. R. J., "Mapped Infinite Elements in Transient Thermal Analysis", Computers and Structures, Vol. 19, No. 4, pp. 673-687 (1984).

  171. Marques, J. M. M. C. and Owen, D. R. J., "Infinite Elements in Quasi-Static Materially Nonlinear Problems", Computers and Structures, Vol. 18, No. 4, pp. 739-751 (1984).

  172. Li, Hui, Saigal, Sunil, Ali, Ashraf, and Pawlak, Timothy P., "Mapped Infinite Elements for 3-D Vector Potential Magnetic Problems", International Journal for Numerical Methods in Engineering, Vol. 37, pp. 343-356 (1994).

  173. Gyimesi, M., Lavers, J., Pawlak, T., and Ostergaard,D., "Biot-Savart Integration for Bars and Arcs", IEEE Transactions on Magnetics, Vol. 29, No. 6, pp. 2389-2391 (1993).

  174. Forde, W. R. B. and Stiemer S. F., "Improved Arc Length Orthogonality Methods for Nonlinear Finite Element Analysis", Computers & Structures, Vol. 27, No. 5, pp. 625-630 (1987).

  175. Nour-Omid B. and Rankin C. C., "Finite Rotation Analysis and Consistent Linearization Using Projectors", Computer Methods in Applied Mechanics and Engineering, Vol. 93, pp. 353-384 (1991).

  176. Emson, C.R.I. and Simkin, J., "An Optimal Method for 3-D Eddy Currents", IEEE Transactions on Magnetics, Vol. MAG-19, No. 6, pp. 2450-2452 (1983).

  177. Viollet, P.L., "The Modelling of Turbulent Recirculating Flows for the Purpose of Reactor Thermal-Hydraulic Analysis", Nuclear Engineering and Design, 99, pp. 365-377 (1987)

  178. Launder, B.E., Spalding, D.B, "The Numerical Computation of Turbulent Flows", Computer Methods In Applied Mechanics and Engineering, Vol. 3, pp 269-289 (1974).

  179. Rice, J.G., Schnipke, R.J.,"A Monotone Streamline Upwind Finite Element Method for Convection-Dominated Flows", Computer Methods in Applied Mechanics and Engineering, vol 48, pp.313-327 (1985).

  180. Harlow, F.H., Amsden, A.A., "A Numerical Fluid Dynamics Calculation Method for All Flow Speeds", Journal of Computational Physics, Vol 8. (1971).

  181. White, F.M., Viscous Fluid Flow, Second Edition, McGraw-Hill, New York (1991).

  182. Patankar, S.V., Numerical Heat Transfer and Fluid Flow, Hemisphere, New York (1980).

  183. Hestenes, Magnus R, and Stiefel, Eduard, "Methods of Conjugate Gradients for Solving Linear System", Journal of Research of the National Bureau of Standards, Vol 49, No.6 (1952).

  184. Reid, J.K.,"On the Method of Conjugate Gradients for the Solution of Large Sparse Sets of linear Euqations", Proceedings of the Conference on Large Sparse Sets of Linear Equations (Ed. J.K. Reid). Academic Press, pp. 231-254 (1971) .

  185. Elman, H.C., "Preconditioned Conjugate-Gradient Methods for Nonsymmetric Systems of Linear Equations", Advances In Computer Methods For Partial Differential Equations IV, Vichnevetsky, R., Stepleman, ed., IMACS, pp. 409-413 (1981).

  186. More, J.J. and Wright, S.J., Optimization Software Guide, SIAM, Philadelphia, p. 13 (1993).

  187. Bilger, R.W., "A Note on Favre Averaging in Variable Density Flows", Combustion Science and Technology, Vol. 11, pp. 215-217 (1975).

  188. McCalla, M. C., Fundamentals of Computer-Aided Circuit Simulation, Kluwer Academic (1988).

  189. Vermeer, P.A. and Verrujit, A., "An Accuracy Condition for Consolidation by Finite Elements", International Journal for Numerical and Analytical Methods in Geomechanics, Vol. 5, pp. 1-14 (1981).

  190. Tsai, Stephen W. and Hahn, H. Thomas, Introduction to Composite Materials, Section 7.2, Technomic Publishing Company (1980).

  191. Box, G.E.P., Hunter, W.G., and Hunter, J.S., Statistics for Experimenters, John Wiley & Sons, Chapter 10 (1978).

  192. Szabo, Barna and Babuska, Ivo, Finite Element Analysis, John Wiley & Sons (1991)

  193. Chen, M.T. and Ali, A., An Efficient and Robust Integration Technique for Applied Random Vibration Analysis, Computers and Structures, Vol. 66 No. 6, pp. 785–798 (1998).

  194. Harichandran, R.S., Random Vibration Under Propagating Excitation: Closed-Form Solutions, Journal of Engineering Mechanics (ASCE), Vol. 118, No. 3, pp. 575-586 (1992).

  195. Grimes, R.G., Lewis, J.G., and Simon, H.D., A Shifted Block Lanczos Algorithm for Solving Sparse Symmetric Generalized Eigenproblems, SIAM Journal Matrix Analysis Applications, Vol. 15 (1), pp. 228-272 (1994).

  196. Rajakumar, C. and Rogers, C.R., The Lanczos Algorithm Applied to Unsymmetric Generalized Eigenvalue Problems, International Journal for Numercial Method in Engineering, Vol. 32, pp. 1009-1026 (1991).

  197. Gartling, D.K., "Finite Element Methods for Non-Newtonian Flows", report SAND92-0886, CFD Dept., Sandia National Laboratories, Albuquerque, NM (1992).

  198. Crochet, M.J., Davies, A.R., and Walters, K., Numerical Simulation of Non-Newtonian Flow, Elsevier Science Publishers B.V. (1984).

  199. Hallquist, John O., LS-DYNA Theoretical Manual, Livermore Software Technology Corporation (1998)

  200. Biro, O., Preis, K., Magele, C., Renhart, W., Richter, K.R., Vrist, G., "Numerical Analysis of 3D Magnetostatic Fields", IEEE Transaction on Magnetics, Vol. 27, No. 5, pp. 3798-3803 (1991).

  201. Gyimesi, M. and Ostergaard, D., "Non-Conforming Hexahedral Edge Elements for Magnetic Analysis", (ANSYS, Inc. internal development), submitted to COMPUMAG, Rio (1997).

  202. Gyimesi, M. and Lavers, D., "Application of General Potential Formulation to Finite Elements", Second Japan Hungarian Joint Seminar on Electromagnetics, Sapporo, Japan (1992). Applied Electromagnetics in Materials and Computational Technology, ed. T. Honma, I. Sebestyen, T. Shibata. Hokkaido University Press (1992).

  203. Preis, K., Bardi, I., Biro, O., Magele, C., Vrisk G., and Richter, K. R., "Different Finite Element Formulations of 3-D Magnetostatic Fields", IEEE Transactions on Magnetics, Vol. 28, No. 2, pp. 1056-1059 (1992).

  204. Nedelec, J.C., "Mixed Finite Elements in R3", Numerical Methods, Vol. 35, pp. 315-341 (1980).

  205. Van Welij, J.S., "Calculation of Eddy Currents in Terms of H on Hexahedra", IEEE Transactions on Magnetics, Vol. 18, pp. 431-435 (1982).

  206. Kameari, A., "Calculation of Transient 3D Eddy Current Using Edge Elements", IEEE Transactions on Magnetics, Vol. 26, pp. 466-469 (1990).

  207. Jin, J., The Finite Element Method in Electromagnetics, John Wiley and Sons, Inc., New York (1993)..

  208. Whitney, H., Geometric Integration Theory, Princeton U. P. (Princeton) (1957).

  209. Stratton, J.A., Electromagnetic Theory, Section 1.14, McGraw-Hill, New York (1941).

  210. Mitzner, K.M., "An Integral Equation Approach to Scattering From a Body of Finite Conductivity", Radio Science, Vol. 2, pp. 1459-1470 (1967).

  211. Mittra, R. and Ramahi, O., "Absorbing Boundary Conditions for the Direct Solution of Partial Differential Equations Arising in Electromagnetic Scattering Problems", Finite Element Finite Difference Methods in Electromagnetic Scattering, Vol. II, pp. 133-173 (1989).

  212. Peric, D. and Owen, D.R.J., "Computational Model for 3-D Contact Problems with Friction Based on the Penalty Method", International Journal for Numercial Method in Engineering, Vol. 35, pp. 1289-1309 (1992).

  213. Cescotto, S. and Charilier, R., "Frictional Contact Finite Elements Based on Mixed Variational Principles", International Journal for Numercial Method in Engineering, Vol. 36, pp. 1681-1701 (1992).

  214. Cescotto, S. and Zhu, Y.Y., "Large Strain Dynamic Analysis Using Solid and Contact Finite Elements Based on a Mixed Formulation - Application to Metalforming", Journal of Metals Processing Technology, Vol. 45, pp. 657-663 (1994).

  215. Simo, J.C. and Laursen, T.A., "An Augmented Lagrangian Treatment of Contact Problems Involving Friction", Computers and Structures, Vol. 42, No. 1, pp. 97-116 (1992).

  216. Laursen, T.A. and Simo, J.C., "Algorithmic Symmetrization of Coulomb Frictional Problems Using Augmented Lagrangians", Computers Methods in Applied Mechanics and Engineering, Vol. 108, No. 1 & 2, pp. 133-146 (1993).

  217. Barry, A., Bielak, J., and MacCamy, R.C., "On absorbing boundary conditions for wave propagations", Journal of Computational Physics., Vol. 79(2), pp. 449-468 (1988).

  218. Kallivokas, L.F., Bielak J. and MacCamy, R.C., "Symmetric Local Absorbing Boundaries in Time and Space", Journal of Engineering Mechanics, Vol. 117(9), pp. 2027-2048 (1991).

  219. Hughes, T.J.R., "Generalization of Selective Integration Procedures to Anisotropic and Nonlinear Media", International Journal for Numerical Methods in Engineering, Vol. 15, No. 9, pp. 1413-1418 (1980).

  220. Nagtegaal, J.C., Parks, D.M., and Rice, J.R., "On Numerically Accurate Finite Element Solutions in the Fully Plastic Range", Computer Methods in Applied Mechanics and Engineering, Vol. 4, pp. 153-178 (1974).

  221. Gyimesi, Miklos and Ostergaard, Dale, "Mixed Shape Non-Conforming Edge Elements", CEFC '98, Tucson, AZ (1998).

  222. Ostergaard, Dale and Gyimesi, Miklos, "Analysis of Benchmark Problem TEAM20 with Various Formulations", Proceedings of the TEAM Workshop, COMPUMAG Rio, pp. 18-20 (1997).

  223. Ostergaard, Dale and Gyimesi, Miklos, "Magnetic Corner: Accurate Force Computations", Analysis Solutions, Vol 1, Issue 2, pp. 10-11 (1997-98).

  224. Brooks, A.N. and Hughes, T.J.R., "Streamline Upwind/Petro-Galkerin Formulation for Convection Dominated Flows with Particular Emphasis on the Incompressible Navier-Stokes Equations", Computer Methods in Applied Mechanics and Engineering, Vol. 32, pp. 199-259 (1982).

  225. Demerdash, N.A. and Arkadan, A.A., "Notes on FEM Modeling of Permanent Magnets in Electrical Devices", FEM for Electromagnetic Applications,Section 3, p.26-7 (17),(19) (1981).

  226. Demerdash, N.A. and Nehl, T.W., "Determination of Inductances in Ferrite Type Magnet Electric Machinery by FEM", IEEE Trans. on MAG, Vol.18, pp.1052-54, (1982).

  227. Nehl, T.W., Faud, F.A. and Demerdash, N.A., "Determination of Saturated Values of Rotation Machinery Incremental and Apparent Inductances by an Energy Perturbation Method", IEEE Trans. on PAS, Vol.101. pp.4441-51 (1982).

  228. Gyimesi, Miklos, Zhulin, Vladimir and Ostergaard, Dale, "Particle Trajectory Tracing in ANSYS", Fifth International Conference on Charged Particle Optics, Delft University, Netherlands. To be Published in Nuclear Instruments and Methods in Physics Research, Section A (1998).

  229. Gyimesi, Miklos and Ostergaard, Dale, "Inductance Computation by Incremental Finite Element Analysis", CEFC 98, Tucson, Arizona (1998)

  230. Gabbay, L., Mehner, J., and Senturia, S.D., "Computer-Aided Generation of Nonlinear Reduced-Order Dynamic Macromodels - I: Non-Stress-Stiffened Case", Journal of Microelectromechanical Systems, S. 262–269, (June 2000).

  231. Demerdash, N.A. and Gillott, D.H., "A New Approach for Determination of Eddy Currents and Flux Penetration in Nonlinear Ferromagnetic Materials", IEEE Trans. on Magnetics, Vol. 10, pp. 682-685 (1974).

  232. Flanagan, D.P. and Belytschko, T., "A Uniform Strain Hexahedron and Quadrilateral with Orthogonal Hourglass Control", International Journal for Numerical Methods in Engineering, Vol. 17, pp. 679-706 (1981).

  233. Vogel, F., "Topological Optimization of Linear-Elastic Structures with ANSYS 5.4.", NAFEMS Conference on Topological Optimization (1997).

  234. Mlejnek, H.P. and Schirrmacher, R., "An Engineer's Approach to Optimal Material Distribution and Shape Finding", Computer Methods in Applied Mechanics and Engineering, Vol. 106, pp. 1-26 (1993).

  235. Bendsoe, M.P. and Kikucki, N., "Generating Optimal Topologies in Structural Design Using a Homogenization Method", Computer Methods in Applied Mechanics and Engineering, Vol. 71, pp. 197-224 (1988).

  236. Bonet, Javier and Wood, Richard D., Nonlinear Continuum Mechanics for Finite Element Analysis, Cambridge University Press (1997).

  237. Simo, J.C. and Vu-Quoc, L., "A Three Dimensional Finite Strain Rod Model. Part II: Computational Aspects", Computer Methods in Applied Mechanics and Engineering, Vol. 58, pp. 79-116 (1986).

  238. Ibrahimbegovic, Adnan, "On Finite Element Implementation of Geometrically Nonlinear Reissner's Beam Theory: Three-dimensional Curved Beam Elements", Computer Methods in Applied Mechanics and Engineering, Vol. 122, pp. 11-26 (1995).

  239. Vago, Istvan and Gyimesi, Miklos, Electromagnetic Fields, Published by Akademiiai Kiado, Budapest, Hungary (1998).

  240. Flugge, S., Encyclopedia of Physics, Vol. 16, "Electric Fields and Waves", Springer, Berlin (1958).

  241. Lagally, M., Vorlesungen uber Vektorrechnung, Geest u. Portig, Peipzip (1964).

  242. Flanagan, D.P. and Belytschko, T., "A Uniform Strain Hexahedron and Quadrilateral with Orthogonal Hourglass Control", International Journal for Numerical Methods in Engineering, Vol. 17, pp. 679-706 (1981).

  243. Calllen, H.B., Thermodynamics and Introduction to Thermostatistics, 2nd Edition, Wiley & Sons, New York, NY, p. 84 (1985).

  244. Chaboche, J.L., "Equations for Cyclic Plasticity and Cyclic Viscoplasticity", International Journal of Plasticity, Vol. 7, pp. 247-302 (1989).

  245. Chaboche, J.L., "On Some Modifications of Kinematic Hardening to Improve the Description of Ratcheting Effects", International Journal of Plasticity, Vol. 7, pp. 661-678 (1991).

  246. Timoshenko, "Theory of Elastic Stability", McGraw Hill Book Company (1961).

  247. Schulz, M. and Fillippou, F. C.., "Generalized Warping Torsion Formulation", Journal of Engineering Mechanics, pp. 339-347 (1998).

  248. Gyimesi, M. and Ostergaard, D., "Electro-Mechanical Capacitor Element for MEMS Analysis in ANSYS", Proceedings of Modelling and Simulation of Microsystems Conference, Puerto Rico, pp. 270 (1999).

  249. Gyimesi, M. and Ostergaard, D., "Capacitance Computation with Ammeter Element", University of Toronto, Department of Electrical Engineering, Unpublished Report (available upon request from ANSYS, Inc.) (1993).

  250. Mehner, J., Gabbay, L., and Senturia, S.D., "Computer-Aided Generation of Nonlinear Reduced-Order Dynamic Macromodels - II: Stress-Stiffened Case", Journal of Microelectromechanical Systems, S. 270–279, (June 2000).

  251. Hieke, A., Siemens and IBM, "ANSYS APDL for Capacitance", Proceedings from `Second International Conference on Modeling and Simulation of Microsystems, Semiconductors, Sensors and Actuators' San Juan, Puerto Rico, pp. 172, (1999).

  252. Simo, J.C. and Hughes, T.J.R., Computational Inelasticity, Springer-Verlag (1997).

  253. Voce, E., "Metallurgica", Col. 51, pp. 219 (1955).

  254. Press, W.H., Numerical Recipes in C: The Art of Scienfitic Computing, Cambridge University Press (1993).

  255. Gyimesi, M., Lavers, D., Ostergaard, D., and Pawlak, T., "Hybrid Finite Element - Trefftz Method for Open Boundary Anslysis", COMPUMAG, Berlin 1995, IEEE Transactions on Magnetics, Vol. 32, No. 3, pp. 671-674 (1996).

  256. Gyimesi, M. and Lavers, D., "Application of the Trefftz Method to Exterior Problems", University of Toronto, Department of Electrical Engineering, unpublished report. Available upon request from ANSYS, Inc. (1992).

  257. Gyimesi, M. and Lavers, D., "Application of the Trefftz Method to Exterior Problems", University of Toronto, Department of Electrical Engineering, unpublished report. Available upon request from ANSYS, Inc. (1993).

  258. Gyimesi, M. and Lavers, D., "Implementation to the Exterior Trefftz Element", University of Toronto, Department of Electrical Engineering, unpublished report. Available upon request from ANSYS, Inc. (1993).

  259. Trefftz, E., "Ein Gegenstuck zum Ritz'schen Verfahren", Proceedings of the Second International Congress on Applied Mechanics, Zurich (1926).

  260. Trefftz, E., "Mechanik det elastischen Korper", In Vol. VI of Handbuch der Physik, Berlin (1928). Translated from Matematicheskais teoriia Uprognosti, L. GTTI (1934).

  261. Herrera, I., "Trefftz Method" (in progress), Boundary Element Methods, Vol. 3, (Wiley), New York (1983).

  262. Zienkiewicz, O.C., "The Generalized Finite Element Method and Electromagnetic Problems", COMPUMAG Conference (1978).

  263. Zielinski, A.P. and Zienkiewicz, O.C., "Generalized Finite Element Analysis with T-Complete Boundary Solution Function", International Journal for Numerical Methods in Engineering, Vol. 21, pp. 509-528 (1985).

  264. Zienkiewicz, O.C., Kelly, D.W., and Bettess, P., "The Coupling of the Finite Element Method and Boundary Solution Procedures", International Journal for Numerical Methods in Engineering, Vol. 11, pp. 355-375 (1977).

  265. Zienkiewicz, O.C., Kelly, D.W., and Bettess, P., "Marriage a la mode - The Best of Both Worlds (Finite Element and Bpoundary Integrals)", in Energy Methods in Finite Element Analysis, John Wiley, New York (1979).

  266. Jirousek, J. and Guex, L., "The Hybrid-Trefftz Finite Element Model and its Application to Plate Bending", International Journal for Numerical Methods in Engineering, Vol. 23, pp. 651-693 (1986).

  267. Mayergoyz, I.D., Chari, M.V.C., and Konrad, A., "Boundary Galerkin's Method for Three-Dimensional Finite Element Electromagnetic Field Computation", IEEE Transactions on Magnetics, Vol. 19, No. 6, pp. 2333-2336 (1983).

  268. Chari, M.V.K., "Electromagnetic Field Computation of Open Boundary Problems by Semi-Analytic Approach", IEEE Transactions on Magnetics, Vol. 23, No. 5, pp. 3566-3568 (1987).

  269. Chari, M.V.K. and Bedrosian, G., "Hybrid Harmonic/Finite element Method for Two-Dimensional Open Boundary Problems", IEEE Transactions on Magnetics, Vol. 23, No. 5, pp. 3572-3574 (1987)

  270. Arruda, E.M. and Boyce, M.C., "A Three-dimensional Constitutive Model for the Large STretch Behavior of Rubber Elastic Materials", Journal of the Mechanics and Physics of Solids, Vol. 41 (2), pp. 389-412 (1993).

  271. Bergstrom, J.S. and Boyce, M.C., "Constitutive Modeling of the Large Strain Time-dependent Behavior of Elastomers", Journal of the Mechanics and Physics of Solids, Vol. 45 (5), pp. 931-954 (1998).

  272. Glass, M.W., "Chaparral - A library package for solving large enclosure radiation heat transfer problems", Sandia National Laboratories, Albuquerque, NM (1995)

  273. Diaz, A.R. and Kikucki, N., "Solutions to Shape and Topology Eigenvalue Optimization Problems using a Homogenization Method", International Journal for Numerical Methods in Engineering, Vol. 35, pp 1487-1502 (1992).

  274. Ladeveze, P. and Leguillon, D., "Error estimation procedure in the finite element method and applications", SIAM Journal of Numerical Analysis, Vol. 20 (3), pp. 483-509 (1983).

  275. Synge, J.L., The Hypercircle in Mathematical Physics, Cambridge University Press (1957).

  276. Cohen, M.F. and Greenberg, D.P., "The Hemi-Cube: A Radiosity Solution for Complex Environments", Computer Graphics, Vol. 19, No. 3, pp. 31-40 (1985).

  277. Williams, M.L., Landel, R.F. and Ferry, J.D., "The Temperature Dependence of Relaxation Mechanisms in Amorphous Polymers and Other Glass-forming Liquids", Journal of the American Chemical Society, Vol. 77, pp. 3701-3706 (1955).

  278. Huerta A. and Liu, W.K., "Viscous Flow with Large Free Surface Motion", Computer Methods in Applied Mechanics and Engineering, Vol. 69, pp. 277-324 (1988)

  279. Weaver, W. and Johnston, P.R., Structural Dynamics by Finite Elements, Prentice-Hall, pp. 413-415 (1987).

  280. Zhu, Y.Y. and Cescotto, S., "Transient Thermal and Thermomechanical Analysis by Mixed FEM", Computers and Structures, Vol. 53, pp. 275-304 (1994).

  281. Brackbill, J.U., Kothe, D.B., and Zemach, C., "A Continuum Method for Modeling Surface Tension", Journal of Computational Physics, Vol. 100, pp. 335-354 (1992).

  282. Kothe, D.B. and Mjolsness, R.C., "RIPPLE: A New Model for Incompressible Flows with Free Surfaces", AIAA Journal, Vol. 30, pp. 2694-2700 (1992).

  283. Richards, J.R., Lenhoff, A.M., and Beris, A.N., "Dynamic Breakup of Liquid-Liquid Jets", Physics of Fluids, Vol. 8, pp. 2640-2655 (1994).

  284. Sasmal, G.P. and Hochstein, J.I., "Marangoni Convection with a Curved and Deforming Free Surface in a Cavity", Transaction of ASME, Journal of Fluid Engineering, Vol. 116, pp. 577-582 (1994).

  285. Wang, G., "Finite Element Simulations of Gas-Liquid Flows with Surface Tension", Presented at the 2000 International Mechanical Engineering Congress and Exposition, Orlando, FL (11/2000).

  286. Gyimesi, M. and Ostergaard, D., "Finite Element Based Reduced Order Modeling of Micro Electro Mechanical Sytems (MEMS)", Presented at MSM 2000, San Diego, CA (3/2000)

  287. Ostergaard, D., Gyimesi, M., Affour, Bachar, Nachtergaele, Philippe, Stirkovich, Stevan, "Efficient Reduced Order Modeling for System Simulation of Micro Electro Mechanical Systems (MEMS) from FEM Models", Symposium on Design Test Integration and Packaging of MEMS/MOEMS, Paris, France (5/2000)

  288. Gyimesi, M., Wang, Jian-She, and Ostergaard, D., "Capacitance Computation by Hybrid P-Element and Trefftz Method", Presented at CEFC 2000, Milwaukee, WI (6/2000) and published in IEEE Trans. MAG, Vol. 37, pp. 3680–83 (9/2001).

  289. Gyimesi, M. and Ostergaard, D., "Capacitance Computation by Hybrid P-Element and Trefftz Method", Presented at MSM 2000, San Diego, CA (3/2000)

  290. Gyimesi, M. and Ostergaard, D., "Incremental Magnetic Inductance Computation", ANSYS Conference and Exhibition, Pittsburgh, PA (1998)

  291. Hieke, Andreas, "Tiny Devices, Big Problems: Computation of Capacitance in Microelectronic Structures", ANSYS Solutions, Vol. 2, No. 3, pp. 11-15 (2000).

  292. Gadala, M.S. and Wang, J., "Simulation of Metal Forming Processes with Finite Element Methods", International Journal for Numerical Methods in Engineering, Vol. 44, pp. 1397-1428 (1999).

  293. McMeeking, R.M. and Rice, J.R., "Finite Element Formulations for Problems of Large Elastic-Plastic Deformation", International Journal of Solids and Structures, Vol. 121, pp. 601-616 (1975).

  294. Crisfield, M.A., Non-linear Finite Element Analysis of Solids and Structures, Vol. 2, Advanced Topics, John Wiley & Sons (1997).

  295. Ogden, R. W., Nonlinear Elastic Deformations, Dover Publications, Inc. (1984).

  296. Perzyna, P. Fundamental problems in viscoplasticity, Advances in Applied Mechanics, Vol. 9, Academic Press, New York, pp. 313-377 (1968).

  297. Peirce, D., Shih, C.F., and Needleman, A., A tangent modulus method for rate dependent solids, Computers & Structures, Vol. 18, pp. 975–888 (1984).

  298. Peric, D. and Owen, D.R.J., A model for large deformations of elasto-viscoplastic solids at finite strains: computational issues, Finite Inelastic Deformations: Theory and applications, Springer-Verlag, Berlin (1992).

  299. Volakis, J.L., Chatterjee, A. and Kempel L.C., Finite Element Method for Electromagnetics: Antennas, Microwave Circuits and Scattering Applications, IEEE Press (1998).

  300. Itoh T., Pelosi G. and Silvester P.P, Finite Element Software for Microwave Engineering, John Wiley & Sons, Inc. (1996).

  301. Zhao, L. and Cangellaris, A.C., "GT-PML: Generalized Theory of Perfectly Matched Layers and Its Application to the Reflectionless Truncation of Finite-Difference Time-Domain Grids", IEEE Trans. on Microwave Theory and Techniques, Vol. 44, pp. 2555-2563.

  302. George, Alan and Liu, Joseph W-H, Computer Solution of Large Sparse Positive Definite Systems, Prentice-Hall, Inc. (1981).

  303. Abramowitz, M. and Stegun, I. A., Pocketbook of Mathematical Functions, abridged version of the Handbook of Mathematical Functions, Harry Deutsch, (1984).

  304. Ang, A. H-S. and Tang, W. H., Probability Concepts in Engineering Planning and Design, Volume 1 - Basic Principles, John Wiley & Sons (1975).

  305. Ang, A. H-S. and Tang, W. H., Probability Concepts in Engineering Planning and Design, D., Volume 2 - Decision, Risk, and Reliability, John Wiley & Sons (1990).

  306. Box, G. E. P. and Behnken, D. W., Some New Three Level Designs for the Study of Quantitative Variables, Technometrics, Vol. 2, No. 4 pp. 455-476 (1960).

  307. Box, G. E. P., Cox, D. R., An Analysis of Transformations, Journal of the Royal Statistical Society, Series B, Vol. 26, pp. 211-252 (1964).

  308. Hammersley, J. M. and Handscomb, D. C., Monte Carlo Methods, John Wiley & Sons, New York (1964).

  309. Iman, R.L. and Conover, W. J., Small Sample Sensitivity Analysis Techniques for Computer Models, with an Application to Risk Assessment, Communications in Statistics, Part A - Theory and Methods, Vol A9, No. 17, pp. 1749-1842 (1980).

  310. Kececioglu, D., Reliability Engineering Handbook, Vol. 1, Prentice-Hall Inc., Englewood Cliffs, New Jersey (1991).

  311. Liu, P.-L., Der Kiureghian, A., Multivariate Distribtuion Models with Prescribed Marginals and Covariances, Probabilistic Engineering Mechanics, Vol. 1, No. 2 pp. 105-112 (1986).

  312. Montgomery, D. C., Design and Analysis of Experiments, John Wiley & Sons, New York (1991).

  313. Myers, R. C., Response Surface Methodology, Allyn and Bacon, Inc., Boston (1971).

  314. Neter, J., Kutner, M. H., Nachtsheim, C. J. Wasserman, W., Applied Linear Statistical Models, 4th edition, McGraw-Hill (1996).

  315. Sheskin, D. J., Handbook of Parametric and Nonparametric Statistical Procedures, CRC Press Inc., Florida (1997).

  316. Hancq, D.A., Walter, A.J., and Beuth, J.L., Development of an Object-Oriented Fatigue Tool, Engineering with Computers, Vol. 16, pp. 131-144 (2000).

  317. Benson, David J. and Hallquist, John O., “A Single Surface Contact Algorithm for the Post-Buckling Analysis of Shell Structures” Computer Methods in Applied Mechanics and Engineering, Vol. 78, No. 2 (1990).

  318. Simo, J.C. and Rifai, M.S., “A Class of Mixed Assumed Strain Methods and the Method of Incompatible Modes”, International Journal for Numerical Methods in Engineering, Vol. 29, pp. 1595–1638 (1990).

  319. Simo, J.C. and Armero, F., “Gometrically Non-linear Enhanced Strain Mixed Methods and the Method of Incompatible Modes”, International Journal for Numerical Methods in Engineering, Vol. 33, pp. 1413–1449 (1992).

  320. Simo, J.C., Armero, F., and Taylor, R.L., “Improved Versions of Assumed Enhanced Strain Tri-Linear Elements for 3D Finite Deformation Problems”, Computer Methods in Applied Mechanics and Engieering, Vol. 10, pp. 359–386 (1993).

  321. Andelfinger, U. and Ramm, E., “EAS-Elements for Two-Dimensional, Three-Dimensional, Plate and Shell Structures and Their Equivalence to HR-Elements”, International Journal for Numerical Methods in Engineering, Vol. 36, pp. 1311–1337 (1993).

  322. Nagtegaal, J.C. and Fox, D.D., “Using Assumed Enhanced Strain Elements for Large Compressive Deformation”, International Journal for Solids and Structures, Vol. 33, pp. 3151–3159 (1996).

  323. Wang, Jian S. and Ostergaard, Dale F., “Finite Element-Electric Circuit Coupled Simulation Method for Piezoelectric Transducer”, Proceedings of the IEEE Ultrasonics Symposium, Vol. 2, pp. 1105–1108 (1999).

  324. Pipkin, A.C., "Lectures in Viscoelasticity Theory", Springer, New York (1986)

  325. Drozdov, D.A., "Finite elasticity and viscoelasticity: A course in the nonlinear mechanics of solids", World Pub. Co., Singapore (1996)

  326. Scherer, G.W. "Relaxation in glass and composites", John-Wiley & Sons, New York (1986).

  327. Simo, J.C., "On fully three-dimensional finite strain viscoelastic damage model: Formulation and computational aspects", Comput. Meth. In Appl. Mech. Eng., Vol. 60, pp. 153-173 (1987).

  328. G.A. Holzapfel, "On large strain viscoelasticity: continuum formulation and finite element applications to elastomeric structures", Int. J. Numer. Meth. Eng., Vol. 39, pp. 3903-3926 (1996).

  329. Gyimesi, M., Ostergaard, D., and Avdeev, I., "Triangle Transducer for Micro Electro Mechanical Systems (MEMS) Simulation in ANSYS Finite Element Program" MSM, Puerto Rico (2002).

  330. Gyimesi, M. and Ostergaard, D., "A Transducer Finite Element for Dynamic Coupled Electrostatic-Structural Coupling Simulation of MEMS Devices", MIT Conference, Cambridge. MA. ( 2001).

  331. Avdeev, I., Gyimesi, M., Lovell, M., Onipede, D., "Beam Modeling for Simulation of Electro Mechanical Transducers Using Strong Coupling Approach", Sixth US. National Congress on Computational Mechanics, Dearborn, Michigan (2001).

  332. Chen, W. F. and Han, D. J., "Plasticity for Structural Engineers", Springer-Verlag, New York (1988).

  333. Guillaume, P., "Derivees d'ordre superieur en conception optimale de forme", These de l'universite Paul Sabatier de Toulouse (1994)

  334. Hjelm, H. E., "Yield Surface for Gray Cast iron under Biaxial Stress", Journal of Engineering Materials and Technology, Vol. 116, pp. 148-154 (1994).

  335. Mehner, J., Bennini, F., and Dotzel, W., "Computational Methods for Reduced Order Modeling of Coupled Domain Simulations", 11th International Conference on Solid-State Sensors and Actutors (Transducers 01), Munich, Germany, pp. 260–263 (2001).

  336. Mehner, J., Bennini, F., and Dotzel, W., "A Modal Decomposition Technique for Fast Harmonic and Transient Simulations of MEMS", International MEMS Workshop 2001 (IMEMS 2001), Singapore, pp. 477–484 (2001).

  337. Blech, J. J., "On Isothermal Squeeze Films", Journal of Lubrication Technology, Vol.105, pp. 615-620 (1983).

  338. Griffin, W. S., et al., "A Study of Squeeze-film Damping", Journal of Basic Engineering, pp. 451-456 (1966).

  339. Langlois, W. E., "Isothermal Squeeze Films", Quarterly Applied Mathematics, Vol. 20, No. 2, pp. 131-150 (1962).

  340. Mehner, J. E., et al., "Simulation of Gas Film Damping on Microstructures with Nontrivial Geometries", Proc. of the MEMS Conference, Heidelberg, Germany (1998).

  341. Yang, Y. J., "Squeeze-Film Damping for MEMS Structures", Master Theses, Massachusetts Institute of Technology (1998).

  342. Veijola, T., "Equivalent Circuit Models for Micromechanical Inertial Sensors", Circuit Theory Laboratory Report Series CT-39, Helsinki University of Technology (1999).

  343. Sharipov, F., "Rarefied Gas Flow Through a Long Rectangular Channel", Journal Vac. Sci. Technol., A17(5), pp. 3062-3066 (1999).

  344. Craig, R. R., "A Review of Time Domain and Frequency Domain Component Mode Synthesis Methods", International Journal of Analytical and Experimental Modal Analysis, Vol. , No. 2, pp. 59-72 (1987)

  345. Craig, R. R. and Bampton, M. D. D., "Coupling of Substructures for Dynamic Analysis", AIAA Journal, Vol. 12, pp. 1313-1319 (1968).

  346. Gyimesi, M., Avdeev, I., and Ostergaard, D., "Finite Element Simulation of Micro Electro Mechanical Systems (MEMS) by Strongly Coupled Electro Mechanical Transducers", IEEE Transactions on Magnetics, Vol. 40, No. 2, pg. 557–560, (2004).

  347. Auricchio, F., Taylor, R. L., and Lubliner, J., "Shape-Memory Alloys: Macromodeling and Numerical Simulations of the Superelastic Behavior", Computational Methods in Applied Mechanical Engineering, Vol. 146, pp. 281–312 (1997).

  348. Belytschko, T., Liu, W. K., and Moran, B., "Nonlinear Finite Elements for Continua and Structures", John Wiley and Sons (2000).

  349. Wilcox, David C., "Reassessment of the Scale-Determining Equation for Advanced Turbulence Models", AIAA Journal, Vol. 26, pp. 1299–1310 (1988).

  350. Menter, F. R., "Two-Equation Eddy-Viscosity Turbulence Models for Engineering Applications", AIAA Journal, Vol. 32, pp. 1598–1605 (1994).

  351. Chung, J., Hulbert, G. M., "A Time Integration Algorithm for Structural Dynamics with Improved Numerical Dissipation: The Generalized-α Method", Journal of Applied Mechanics, Vol. 60, pp. 371 (1993).

  352. Hilber, H. M., Hughes, T. J. R., and Taylor, R. L., "Improved Numerical Dissipation for Time Integration Algorithm in Structural Dynamics", Earthquake Engineering and Structural Dynamics, Vol. 5, pp. 283 (1977).

  353. Wood, W. L., Bossak, M., and Zienkiewicz, O. C., "An Alpha Modification of Newmark Method", International Journal of Numerical Method in Engineering, Vol.15, p1562 (1981)

  354. Segalman, D.J., Reese, G.M., Fulcher, C.W., and Field Jr., R.V., "An Efficient Method for Calculating RMS von Mises Stress in a Random Vibration Environment", Proceedings of the 16th International Modal Analysis Conference, Santa Barbara, CA, pp. 117-123 (1998).

  355. Reese, G.M., Field Jr., R.V. and Segalman, D.J., "A Tutorial on Design Analysis Using von Mises Stress in Random Vibration Environments", The Shock and Vibration Digest, Vol. 32, No. 6, pp. 466-474 (2000).

  356. Chapman, Alan J., Heat Transfer, 4th Edition, Macmillan Publishing Company (1984).

  357. Wilkinson, J.H. and Reinsch, C., "Linear Algebra", Vol. II of "Handbook for Automatic Computation", Springer-Verlag, New York, NY, pp. 418–439 (1971).

  358. Landau, L.D. and Lifshitz, E.M., "Electrodynamics of Continuous Media", Vol. 8 (Course of Theoretical Physics), Butterworth-Heinemann, 2nd Edition, Oxford (1984)

  359. J. F. Nye, "Physical Properties of Crystals: Their Representation by Tensors and Matrices", Clarendon Press, Oxford (1957).

  360. Beley, J.D., Broudiscou, C., Guillaume, P., Masmoudi, M., Thevenon, F.,"Application de la methode des derivees d'ordre eleve a l'optimisation des structures", Revue Europeenne des Elements Finis, Vol. 5, No. 5-6, pp. 537-567 (1996)

  361. Michalowski, R. and Mroz, Z., "Associated and non-associated sliding rules in contact friction problems", Archives of Mechanics, Vol. 30, No. 3, pp. 259-276 (1978)

  362. Nelson, H.D. and McVaugh, J.M. "The Dynamics of Rotor-Bearing Systems Using Finite Elements", Journal of Engineering for Industry, (1976).

  363. Xu, X-P and Needleman, A. "Numerical simulations of fast crack growth in brittle solids", Journal of the Mechanics and Physics of Solids, Vol. 42, pp. 1397-1434 (1994).

  364. Guo, D., Chu, F.L., and Zheng, Z.C., "The Influence of Rotation on Vibration of a Thick Cylindrical Shell", Journal of Sound and Vibration, Vol. 242 (3), pp. 492 only (2001).

  365. Alfano, G. and Crisfield, M.A., "Finite Element Interface Models for the Delamination Anaylsis of Laminated Composites: Mechanical and Computational Issues", International Journal for Numerical Methods in Engineering, Vol. 50, pp. 1701-1736 (2001)

  366. Gurson, A.L., "Continuum Theory of Ductile Rupture by Void Nucleation and Growth: Part I-Yield Criterion and Flow Rules for Porous Ductile Media", Journal of Engineering Materials and Technology, Vol. 1, pp. 2-15, (1977).

  367. Needleman, A. and Tvergaard, V., "An Analysis of Ductile Rupture in Notched Bars", Journal of Mechanical Physics Solids, Vol. 32, No. 6, pp. 461-490 (1984).

  368. Geradin, M. and Rixen, D., Mechanical Vibrations: Theory and Application to Structural Dynamics, John Wiley and Sons, Inc., pp. 194 (1997).

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
21.5. Probabilistic Postprocessing 		Up / Home Next
ANSYS Context Sensitive Help


Using the ANSYS Workbench Launcher

Select the product you wish to run from the drop down box. You will see a list of all products that your site has licensed. After you select the product, click Run to launch the product.

Any ANSYS Workbench products you have licensed will be listed. Choosing one of the ANSYS product licenses will allow you to run DesignSpace with additional features such as enhanced contact capabilities (penalty, friction, and asymmetric contact pairs), advanced meshing controls, solution combinations and enhanced controls, and enhanced harmonic analyses (which require the ANSYS license).

You can access all of these features within the DesignSpace interface. To access DesignSpace with these and other ANSYS features, run the ANSYS Workbench (accessible via the ANSYS Launcher).


Advanced Smart Size Settings

For information on this topic, select one of the following:

SMRTSIZE
ESIZE


Define Global ALE Settings for LS-DYNA Explicit

For information on this topic, select one of the following:

EDGCALE
EDALE


Animate Over Results

For information on this topic, select one of the following:

ANDATA
ANMRES


2-D and 3-D Annotation

ANSYS Function

Use a variation of this dialog for annotating your ANSYS display with text and graphics. 2-D Annotation can be considered an overlay of your existing ANSYS display. As such, the underlying display can change without changing the defined annotation. 3-D annotation is applied directly to the XYZ coordinates of the hot spot of the anchor item you choose, and will remain attached (within reason) even when the model is rotated, moved, or resized.

Annotation Entity

Select an entity from the list of annotation entities from the top pull down menu on the dialog box.

2-D 3-D
Text Text
Lines Lines
Rectangle Areas
Circles Symbols
Arcs Arrows
Polygon Bitmaps
Wedges Options
Pies
Symbols
Dimensions
Arrows
Bitmaps
Options

Note

Each Annotation Entity is initiated, generated and closed (saved) in a specific manner. The ANSYS status bar will contain instructions (prompts) for each step in the annotation process.

Annotation Anchor

Available for 3-D annotations only. Use this pull-down menu to choose the item to apply your annotation to. You can apply 3-D annotations to any of the standard ANSYS geometry and analysis model items (nodes, elements, keypoints, lines, areas and volumes), to XYZ coordinates that you specify, or to “picked” points in free space. Your Annotation Entity will be applied to the centroid of the anchor item (if applicable), and will remain attached (within reason) even when the model is rotated, moved, or resized.

Annotation Controls

This area will change according to the annotation entity you choose. The following defines the controls available for each entity. When you choose “Options”, the anchor type is grayed out and does not apply.

Areas

Annotation areas attach the first vertex of your area to the item, point, or centroid of your defined anchor. Subsequent picks create lines that define the sides, and a final double-click closes the sides to create an area.

Choose Rectangle, Circle, Pie, Polygon, or Wedge to annotate shapes. With the option shown in this box, you can create 2-D annotation shapes of different interior and exterior color, and with solid or dashed borders of different widths.

Color

The fill color of your defined area (if Filled is chosen below).

Hollow / Filled

Areas and shaptes can be full opaque, or only an edge line. If Hollow is chosen, the color and line type will be determined by the selections that follow for Edge Color and Edge Line Type (Solid or Dashed).

Show Edge

Valid only if Filled is chosen. Showing the edge allows you to apply a different color to the outline of an area.

Edge Color

Select the color to be applied to filled area or shapes and to the outline if Hollow is selected.

Solid / Dashed

Defines the edge as a solid or dashed line.

Edge Width

This slider bar allows you to vary the width of your edge in proportion to the size of your area or shape. Adjust width before defining the area or shape.

Arrows or Symbols

Annotation Arrows attach the head or tail to the item, point, or entity's centroid, as defined by your anchor. Your initial click starts the arrow, and subsequent clicks allow you to apply "bends" to the arrow tail. The final right mouse click applies the arrowhead and finishes the annotation.

Unlike Bitmap Files, which are placed on your model at a fixed size and color, Symbols can be sized and defined according to your requirements. Symbols will not change size when you alter the view of your model, but can be modified using the Option sizing capability.

Type

Determines the direction of the arrow's construction (as you pick) -- head to tail or tail to head. The available symbols are: arrows, dashes, circles, triangles or stars.

Size

Use this slider to adjust the overall size (height and width) of your symbols or the size of the arrow head, allowing you to specify the proportions. Modify this setting for very short or very long lines so that arrows and symbols are proportional to the line length.

Color

Choose the arrow or symbol color from the pull-down menu.

Width

Move the slider to the desired line width before defining the arrow or symbol. The thickness of the normal arrow or symbol will be the same as the line thickness you select with this slider. Move the slider to the desired line width before defining the hollow arrow head or dash symbols. This slider does not affect the circle, solid arrow head, and star.

Orientation

These check boxes determine the way annotation lines and arrows are generated. Depending on the anchor selection, you can generate annotation from the anchor to the view, from the view to the anchor, or between two of the anchor items chosen. The term “view” is used to describe a point in 3-D space from which, or to which you draw the line or arrow.

Bitmaps

Bitmaps are applied to the item, point, or entity's centroid, as defined by your anchor. Bitmaps are automatically applied when you pick on the graphics window.

Bitmap Name

You can choose from the seven supplied bitmap entities (Two ANSYS logos, a clamp and four 3-D-directional arrows), or supply your own bitmaps. You must designate your bitmap beforehand (Utility Menu >PlotCtrls> Annotate> Load Bitmap) in either JPEG, PNG or Windows BMP format. The bitmap file will then appear in this pull-down selection box.

Note

Your imported bitmaps occupy the number of pixels they were generated at, and cannot be resized once they are placed in the graphics window (even if you resize your model).

Dimensions
Dimension Settings

Color

Choose a color from the pull-down menu. The subsequently defined dimension lines and text will be of the color chosen.

Inline / Parallel Text

Choose whether your text will follow the same slope as the dimension lines (perpendicular to the extension lines for all but Angular and Radial types), or be parallel to the extension lines.

Lines or Arcs

You pick the starting point of your line in the Graphics window, or define it via coordinates in the input area. You can draw lines between two picked anchor entities, between two points, or from a picked point in space to any anchor entity or defined point. Each subsequent right mouse click allows you to create vertices and angles, and a right mouse click ends the line.

Color

Choose a line color from the pull-down menu.

Solid / Dashed

Choose either solid (default) or dashed lines.

Width

You can vary the thickness of your line by a factor of 10.

Orientation

These check boxes determine the way annotation lines and arrows are generated. Options are available, depending on the anchor selection, to generate the annotation from the anchor to the view, from the view to the anchor, or between two of the item types chosen for the anchor. The term view is used to describe a point in 3-D space from which, or to which you draw the line or arrow.

Options

You can modify your annotation items individually or all at once. The ANNOTATION ANCHOR pull down box is grayed out when Options is selected from the ANNOTATON ENTITY list.

Modify Buttons

  • Copy: You must first "box select" the item(s) you want to copy. The prompt in the input window tells you to pick the first and second corners. You then click to place the copied annotation item anywhere in the graphics screen (there is no defined anchor location). Multiple clicks will place multiple copies.

  • Move: After selecting the item, you use the mouse to move it anywhere in the graphics window. Subsequent rotations, resizings or tranlations will anchor the item(s) to the xyz coordinates.

  • Resize: After selecting the item, you move the mouse to change its size. Although they can be copied and moved, Bitmap File Annotations cannot be resized.

  • Delete: Unlike all of the previous "Option Modify Buttons", does not require that you select the item. The delete function automatically deletes the appropriate annotation when you pick it.

  • Box Delete: Automatically deletes all of the enclosed items when you complete the selection box. Although some items disappear, others (bitmaps) require that you replot in order to see the item actually removed.

Draw / Erase Grid

Enable grid visibility to aid in placing your annotation. 2-D Annotation entities can be placed more precisely using the grid. (See Snap, below.) The grid does not need to be visible for snapping to be enabled.

Enable Snap

Lets you pick locations at the intersection of the grid lines. This is similar to picking points on a working plane. Picked locations that fall between grid lines will be redirected to the nearest grid intersection.

Snap Increment

Controls the size of the grid squares, and the "density" of the snap point locations. Snap point locations are the intersection of grid lines.

Save / Restore

You can use these buttons to save and restore annotation from a separate annotation file. Because annotation is not saved with the database, you will need to save annotation entities to a file if you plan on using the current annotation in another session. The entities are saved in glossterms of ANSYS commands, and can be restored at any time. The annotation file name is displayed below these buttons.

Delete All

Automatically deletes all annotation items (both 2-D and 3-D) from your graphics window. YOU CANNOT RECOVER THIS OPERATION VIA THE UNDO BUTTON

Text

Choose the entity to use for annotating. Bitmap text is the default, but you can also use graphics entities such as lines, polygons, arrows etc. If bitmap fonts are not enabled, this dialog box will provide additional controls for creating “stroke text” fonts. You can use the provided controls to create stroke text and modify it as desired.

Setting Bitmap Text Option

To create bitmap text, you must first enable bitmap fonts (Utility Menu> PlotCtrls> Annotation> Enable Bitmap Font). This loads the fonts that are available on your system. You then select the desired font (Utility Menu> PlotCtrls> Annotation> Select Anno/Graph Font). The font you select will also be used for your charting and legend annotations.

Setting Stroke Text Option

Unlike Bitmap Text, which accesses your system fonts, StrokeText characters are drawn by ANSYS. Although you are limited in the construction and make up of the type face, the vector nature of the characters allows them to be modified and customized more easily. Stroke text annotations do not size proportionately. That is you can make the text illegible by independently modifying one size parameter, or by using the ANNOTATION OPTIONS sizing capability.

Color

You choose from the color pallet to deglosstermine the color of your text.

Size

Move the slider to the desired text size. A text size value of 1 corresponds to approximately 5% of your Graphics Window height, while a value of 10 corresponds to approximately 20%. NOTE : Although 3-D text annotation remains anchored when you translate, rotate or resize your model, the text size does not change automatically. Use the “Options” setting to resize your text if you modify your model.

Thickness

You can vary the thickness of the text lines by a factor of 10. This option is only available when enabled bitmap fonts is disabled.

Slant

You can make your text look as though it is italicized by changing the slant. The numbers displayed (0 - 45) correspond to degrees. This option is only available when enabled bitmap fonts is disabled.

Justification Buttons

Controls how the text is justified within the picked starting and ending locations for 2-D only.

  • Left Justified: The text will start at the first picked location and extend as far as necessary to the right.

  • Centered: The center of the text will be halfway between the first and second picked location. The text will be displayed as you type it, and will alternately move to the left and right as you build the text string.

  • Right Justified: The text will end at the second picked location.

Text Path Buttons

  • Exact Path: The text you define will follow the path from the first point that you pick to the second point (default).

  • Approximate Path: Allows some tolerance when you are trying to define text that is exactly horizontal or vertical. Picked path lines within 5 degrees of being vertical or horizontal will be made into purely horizontal or vertical text paths.


Static or Steady-State Analysis

For information on this topic, select one of the following:

NLGEOM
NROPT
LUMPM
EQSLV
PRECISION
MSAVE
PIVCHECK
SSTIF
PSTRES
TOFFST
RMRESUME
RMUSE


Modal Analysis

For information on this topic, select one of the following:

MODOPT
MXPAND
LUMPM
PSTRES


Harmonic Analysis

For information on this topic, select one of the following:

HROPT
HROUT
HFSCAT
LUMPM


Mode Sup Harmonic Analysis

For information on this topic, select one of the following:

HROPT
HROUT


Transient Analysis

For information on this topic, select one of the following:

TRNOPT
LUMPM


Full Transient Analysis

For information on this topic, select one of the following:

NLGEOM
SSTIF
NROPT
EQSLV
TOFFST


Reduced Transient Analysis

For information on this topic, select one of the following:

TRNOPT
PSTRES


Substructuring Analysis

For information on this topic, select one of the following:

SEOPT
LUMPM
EQSLV
SEGEN


Spectrum Analysis

For information on this topic, select one of the following:

SPOPT
ANTYPE


Arc-Length Options

For information on this topic, select one of the following:

ARCLEN
ARCTRM


Array Parameter Editing: ARRAY Type Arrays

This dialog lets you graphically edit an array parameter of type ARRAY [*VEDIT]. (Character array parameters cannot be edited graphically.)

ANSYS Function

Array Parameter Editor. Identifies the name of the array parameter which is being edited (in this example, the array parameter is named "A").

Menu bar
File Menu

A pull-down menu which contains the following options:

  • Apply: Applies (saves) all changes you make to the array parameter.

  • Apply/Quit: Applies (saves) all changes you make to the array parameter and closes the dialog box.

  • Reset: Resets all values in the array parameter editor to what they were at the last Apply.

  • Quit: Closes the dialog box. If changes have not been saved (Apply ), you will be warned.

Edit Menu

A pull-down menu which contains the following options related to editing rows and columns:

  • Initialize: Initializes all cells in the selected row or column to the value shown in the Initialization Constant input box.

  • Copy: Copies the cell values in the currently selected row or column to another specified row or column. For example, select the row to be copied, choose Copy from the Edit menu, and then select the row to copy to. You can copy only a row to another row a column to another column.

  • Insert: Inserts zero values in the row or column before the currently selected row or column. The values in the existing rows or columns shift (down or to the right) to make room. The values in the last row or column "fall off" the array.

  • Delete: Deletes the values in the selected row or column. The values in the remaining rows or columns shift (up or to the left). The last row or column is filled with zero values.

  • Unselect: Unselects the currently selected row or column.

Help

Displays this help information.

Page Increment

To control what increment of the page will be used when moving around the array via the navigation buttons. Pick full page, half page, or 1 cell.

View Plane

To indicate which Z plane of the array parameter is to be displayed for editing. Pick the number of the desired Z plane.

Array Navigation Buttons

To navigate across the currently displayed array plane. The currently selected page increment is used. Use these buttons only when the array dimensions are greater than the current cell viewing area. (You can view a maximum of 10 X 10 cells at one time.)

Initialization Constant

Enter the number to initialize a row or column, then choose Initialize from the Edit menu.

Selection Status

Displays the row or column currently selected.

Column Borders

Used to identify the columns. The column number appears in the border. Pick a column border to select the entire column.

Row Borders

Used to identify the rows. The row number appears in the border. Pick a row border to select the entire row.

Array Cells

Input boxes that correspond to array locations. The location is identified by the row number (X), column number (Y), and view plane number (Z). Pick a cell to select it, then enter the desired number.


Array Parameters

ANSYS Function

This dialog box lists array parameters and gives access to the functions used to define and edit array parameters.

List

Lists currently defined array parameters, including array type and dimensions. Pick a parameter in this area to select it (to Edit [*VEDIT] or Delete [*DEL] it) or select the Add to define a new array parameter [*DIM].


Array Parameter Editing: Table Array

This dialog lets you graphically edit a TABLE type array parameter [*VEDIT].

ANSYS Function

Array Parameter Editor. Identifies the name of the table array parameter that is being edited. In this example, the array parameter is named "MYTABLE" and represents a 3-dimension table with the variables TIME, X, and Y.

Menu Bar
File Menu

A pull-down menu which contains the following options:

  • Apply: Applies (saves) all changes you make to the array parameter.

  • Apply/Quit: Applies (saves) all changes you make to the array parameter and closes the dialog box.

  • Reset: Resets all values in the array parameter editor to what they were at the last Apply.

  • Quit: Closes the dialog box. If changes have not been saved (Apply), you will be warned.

Help

Displays this help information.

Page Increment

Controls how much of the page is shifted when moving around the array via the navigation buttons. Pick full page, half page, or 1 cell.

View Plane

Indicates which Z plane of the array parameter is to be displayed for editing. Click on the desired Z plane to view or edit the array cells corresponding to that Z plane.

Array Navigation Buttons

This set of buttons lets you navigate across the currently displayed array plane. The currently selected page increment is used. Use these buttons only when the array dimensions are greater than the current cell viewing area. (You can view a maximum of 10 X 10 cells at one time.)

Variable 1: Variable name corresponding to the first dimension (row) (see *DIM). Defaults to Row.

Variable 2: Variable name corresponding to the second dimension (column) (see *DIM). Defaults to Column.

Variable 3: Variable name corresponding to the third dimension (plane) (see *DIM). Defaults to Plane.

Array Cells

Input boxes that correspond to array locations. The location is identified by the row number (X), column number (Y), and plane number (Z). Pick a cell to select it, then enter the desired number.

Column Indices

Used to identify the columns. The column number appears in the border. Pick a column border to select the entire column.

Row Indices

Used to identify the rows. The row number appears in the border. Pick a row border to select the entire row.


Automatic Fit Mode

For information on this topic, select one of the following:

/AUTO
/USER


BeamTool

ANSYS Function

Use the BeamTool to create beam cross sections. You may select a pre-defined cross section shape or define an arbitrary shape.

ID

The ID number of the cross section [SECTYPE].

Name

The name of the cross section, 8 alphanumeric characters maximum [SECTYPE].

Sub-Type

The cross section subtype. Clicking the Sub-Type button displays a drop-down list of predefined shapes.

  • RECT creates a rectangular cross section.

  • QUAD creates a quadrilateral cross section.

  • CSOLID creates a circular solid cross section.

  • CTUBE creates a circular hollow cross section.

  • CHAN creates a U-shaped cross section.

  • I creates an I-shaped cross section.

  • Z creates a Z-shaped cross section.

  • L creates an L-shaped cross section.

  • T creates a T-shaped cross section.

  • HATS creates a hat-shaped cross section.

  • HREC creates a hollow rectangular cross section.

  • ASEC creates a user-defined shape for a cross section.

Section Offsets
Offset To

The section offset for the cross section [SECOFFSET]. Selecting the Offset To button displays a drop-down list with the following options:

  • Centroid: Beam node will be offset to centroid (default).

  • Shear Cen: Beam node will be offset to Shear Center.

  • Origin: Beam node will be offset to origin of the cross section.

  • Location: Beam node is offset to the user-specified location set in the Offset-Y and Offset-Z fields:

Offset-Y, Offset-Z

Values that locate the node with respect to the default origin of cross section when the Location option is chosen.

Section Shape

The shape of the cross section.

Dimension Labels

Geometry information for each dimension [SECDATA]:

Rectangular Cross Section Dimensions

  • B = Width

  • H = Height

  • Nb = Number of cells along width, default = 2

  • Nh = Number of cells along height, default = 2

Quadrilaterial Cross Section Dimensions

  • yI, zI, yJ, zJ, yK, zK, yL, zL = Coordinate location of various points

  • Ng = Number of cells along g, default = 2

  • Nh = Number of cells along h, default = 2

    Note

    Degeneration to triangle is permitted by specifying the same coordinates for nodes along an edge.

Circular Solid Cross Section Dimensions

  • R = Radius

  • N = Number of divisions along the circumference

  • T = Number of divisions through the radius

Hollow Circular Cross Section Dimensions

  • Ri = Inner radius of the tube

  • Ro = Outer radius of the tube

  • N = Number of cells along the circumference; default = 8

Channel Cross Section Dimensions

  • W1, W2 = Lengths of the flanges

  • W3 = Overall depth

  • t1, t2 = Flange thicknesses

  • t3 = Web thickness

I-shaped Cross Section Dimensions

  • W1,W2 = Width of the top and bottom flanges

  • W3 = Overall depth

  • t1,t2 = Flange thicknesses

  • t3 = Web thickness

Z-shaped Cross Section Dimensions

  • W1,W2 = Flange lengths

  • W3 = Overall depth

  • t1,t2 = Flange thicknesses

  • t3 = Stem thickness

L-shaped Cross Section Dimensions

  • W1, W2 = Leg lengths

  • t1, t2 = Leg thicknesses

T-shaped Cross Section Dimensions

  • W1 = Flange width

  • W2 = Overall depth

  • t1 = Flange thickness

  • t2 = Stem thickness

Hat-shaped Cross Section Dimensions

  • W1,W2 = Width of the brim

  • W3 = Width of the top of the hat

  • W4 = Overall depth

  • t1,t2 = Thickness of the brim

  • t3 = Thickness of the top of the hat

  • t4,t5 = Web thicknesses

Hollow Rectangular Cross Section Dimensions

  • W1 = Outer width of the box

  • W2 = Outer height of the box

  • t1, t2, t3, t4 = Wall thicknesses

Arbitrary Cross Section Dimensions

  • A = Area of section

  • Iyy = Moment of inertia about the y axis

  • Iyz = Product of inertia

  • Izz = Moment of inertia about the z axis

  • Iw = Not supported (for future use - sum of the moments of inertia)

  • J = Torsional constant

  • CGy = Y coordinate of centroid

  • CGz = Z coordinate of centroid

  • SHy = Shear deflection constant

  • SHz = Shear deflection constant

Mesh Refinement

Sets mesh refinement level for thin-walled sections. Values are 0 (the default - no mesh refinement) to 5 (high level of mesh refinement).

Action Buttons

Preview: Displays a sample cross section using the specified shape and dimension information without applying this information to the ANSYS database.

Meshview: Same as Preview except section mesh is also displayed.


Boolean Operation Settings

For information on this topic, select one of the following:

BOPTN
BTOL


CFD Flow Properties

For information on this topic, select one of the following:

FLDATA7
FLDATA8
FLDATA9
FLDATA10
FLDATA11
FLDATA12


Capture Image Feature

The Capture Image feature lets you view multiple displays of your ANSYS model or results quickly and simultaneously. The feature works by capturing and restoring copies of the Graphics Window.

To capture a copy of the Graphics Window, choose PlotCtrls> Capture Image on the Utility Menu. The copy is actually a window that you can iconify and that will be the same size as the Graphics Window. (You may want to shrink the Graphics Window before capturing if you will later be comparing several images at one time on the screen.) Copies will automatically be named Image1, Image2, Image3, etc., numbered sequentially within an ANSYS session. The number of captured images displayed at one time cannot exceed 20 and is also limited by the amount of memory.

After the image is captured, you can save it to a file (on the copied window, choose File> Save as). On X11 systems, the file is a coded image file. Use the extension .img when naming the file. On Windows systems, the file is a Windows bitmap file. Use the extension .BMP for the file name.

Saved image files can be restored during any ANSYS session (choose PlotCtrls> Restore Image on the Utility Menu).

To print the captured image directly from within ANSYS, choose File> Print on the copied window. This method of printing produces a hard copy similar in resolution quality to a typical screen dump.


ANSYS Help

For information on this topic, select one of the following:

R command
CIRCU124 in the Elements Reference
Coupled-Field Analyses in the Coupled-Field Analysis Guide
Electric Circuit Analysis in the Low-Frequency Electromagnetic Analysis Guide


Contact Properties

The following are the tabs on the Contact Properties dialog box for creating a contact pair.

  • Basic

  • Friction

  • Initial Adjustment

  • Misc

  • Rigid target

  • Thermal

  • Electric

  • Magnetic

  • Constraint

  • ID

Note

Not all of the above tabs will be available at all times. The tabs that are presented in the GUI and the options shown on each tab will vary depending on the type of contact pair you define, and the location from which you access the Contact Properties dialog (from the Contact Wizard or from the Contact Manager).

Contact Properties: Basic

The Basic tab contains general properties related to contact behavior and convergence.

You should first try running your contact analysis using the default settings, then change settings only if you encounter difficulties or have special situations in your analysis.

Use the questions below to assist you in determining if you need to change any of the default settings based on special situations.

These questions are intended only as hints to guide you in your decision to adjust any of the contact properties and may not cover all possible uses of these parameters. You are advised to review the information in the linked sections (shown below) even if the questions do not apply directly to your situation. The linked sections provide a more complete description on how the parameters can be used.

For this dialog box, the <auto> option indicates that you are choosing a default value, the factor radio button indicates that you are setting a scaling factor, and the constant radio button indicates that you are setting a constant.

Question Adjust this tab entry ...

Are you modeling slender structures or other bending dominated problems?

Normal penalty stiffness [FKN]

Contact algorithm [KEYOPT(2) = 0, 1]

Does your model exhibit a highly varying mesh density?

Does your solution diverge due to chattering?

Penetration tolerance [FTOLN]

Are you experiencing spurious contact because a target segment is far from a contact element, even though penetration exists?

Pinball region [PINB]

Is the contact surface behavior other than standard unilateral contact (that is, other than when normal pressure equals zero if separation occurs)?

Behavior of contact surface [KEYOPT(12)]

Do you need to account for large strain effects (for example, necking down) that change the underlying element's stiffness?

Do you need to update the normal or tangential contact stiffness more often than at each load step for contact pairs whose settings are averaged across the elements in the pair?

Do you need to update the normal or tangential contact stiffness based on each individual element's geometry and material behavior, rather than on the average settings across the contact elements in a pair?

Contact stiffness update [KEYOPT(10)]

Does your model have very distorted elements, a high coefficient of friction, and/or poor convergence behavior when using the default augmented Lagrange method?

Contact algorithm [KEYOPT(2)]

Do you need to build multipoint constraints (MPC) for assemblies?

Contact algorithm [KEYOPT(2) = 2]

Is the amount of penetration in your model not acceptable?

Contact algorithm [KEYOPT(2) = 3, 4]

If you are using the Lagrange/penalty algorithm (KEYOPT(2) = 3) or pure Lagrange multiplier method (KEYOPT(2) = 4), does your solution diverge due to chattering?

Allowable tensile contact pressure [TNOP]

Are you modeling corner, point-to-surface, or edge-to-surface contact and using CONTA171, CONTA172, CONTA173, or CONTA174?

Location of contact detection [KEYOPT(4)]

Is the contact region smoother than the target surface (using CONTA175)?

Contact normal [KEYOPT(4)]

If you are using the MPC algorithm, do you need to constrain any rotational degrees of freedom?

Type of constraint [TARGE170, KEYOPT(5)]

Related Elements: CONTA171, CONTA172, CONTA173, CONTA174, CONTA175

Contact Properties: Friction

The Friction tab contains parameters related to static and dynamic friction at the contact interface.

You should first try running your contact analysis using the default settings, then change settings only if you encounter difficulties or have special situations in your analysis.

Use the questions below to assist you in determining if you need to change any of the default settings based on special situations.

These questions are intended only as hints to guide you in your decision to adjust any of the contact properties and may not cover all possible uses of these parameters. You are advised to review the information in the linked sections (shown below) even if the questions do not apply directly to your situation. The linked sections provide a more complete description on how the parameters can be used.

For this dialog box, the <auto> option indicates that you are choosing a default value, the factor radio button indicates that you are setting a scaling factor, and the constant radio button indicates that you are setting a constant.

The Material ID and Friction Coefficient entries replicate the entries on the Contact Properties: Set Parameters and Create dialog box. Use these entries on the Friction tab to create a new material ID or to enter a revised friction coefficient that will overwrite the existing one. (Note that only isotropic friction is available through this dialog box. See Choosing a Friction Model for information on how to define orthotropic friction, which is available for 3-D contact only.)

Question | Adjust this tab entry ...
Does your analysis involve tangential (sliding) contact stiffness that is significantly different from the normal contact stiffness? | Tangent penalty stiffness [FKT]
Are you updating contact stiffness at each iteration [KEYOPT(10) = 2] and have a need to enhance convergence even though accuracy may be compromised? | Allowable elastic slip [SLTO]
Do you need to include sliding resistance in your simulation when there is zero normal pressure? | Contact cohesion [COHE]
Does your analysis involve a bulk metal forming process or similar situation where the contact pressure can become very large? | Maximum friction stress [TAUMAX]
Do frictional stresses have a substantial influence on the overall displacement field? Is the magnitude of the frictional stresses highly solution dependent? Are you having convergence problems with contact simulations that involve friction? | Stiffness matrix [NROPT ]
Are the static and dynamic coefficients of friction unequal? | Static/dynamic ratio [FACT]
If the static and dynamic coefficients of friction are unequal, should a friction decay time be simulated? | Exponential decay coefficient [DC]

Related Elements: CONTA171, CONTA172, CONTA173, CONTA174, CONTA175

Contact Properties: Initial Adjustment

The Initial Adjustment tab contains advanced penetration and surface offset parameter settings.

You should first try running your contact analysis using the default settings, then change settings only if you encounter difficulties or have special situations in your analysis.

Use the questions below to assist you in determining if you need to change any of the default settings based on special situations.

These questions are intended only as hints to guide you in your decision to adjust any of the contact properties and may not cover all possible uses of these parameters. You are advised to review the information in the linked sections (shown below) even if the questions do not apply directly to your situation. The linked sections provide a more complete description on how the parameters can be used.

For this dialog box, the <auto> option indicates that you are choosing a default value, the factor radio button indicates that you are setting a scaling factor, and the constant radio button indicates that you are setting a constant.

Does your model contain an initial geometric penetration such that contact forces would immediately be “stepped” to a large value (such as an interference fit)? | Initial penetration [KEYOPT(9)]
Are you modeling initial interference contact problems (such as shrink fit assemblies)? | Contact surface offset [CNOF]
Do you need to prevent rigid body motion before contact occurs? | Automatic contact adjustment [KEYOPT(5)]
Do you need to prevent rigid body motion before contact occurs? | Initial contact closure [ICONT]
Do you need to prevent rigid body motion before contact occurs? | Lower boundary - Initial Allowable Penetration Range [PMIN]
Do you need to prevent rigid body motion before contact occurs? | Upper boundary - Initial Allowable Penetration Range [PMAX]

Related Elements: CONTA171, CONTA172, CONTA173, CONTA174, CONTA175

Contact Properties: Miscellaneous

Use the Miscellaneous tab to specify the following settings for your contact analysis.

If the factor button is checked, the value entered into the field is used as a scaling factor. If the constant button is checked, the value entered is used as a constant.

Contact opening stiffness

This sets a constant value or scaling factor for the FKOP real constant. For modeling either no-separation or bonded contact, you may need to set this value. This provides a stiffness factor applied when contact opens. If a constant value is not selected, the true contact opening stiffness equals FKOP* the contact stiffness applied when contact closes. The default FKOP value is 1.

No separation and bonded contact generate a "pull-back" force when contact opening occurs, and that force may not completely prevent separation. To reduce separation, define a larger value for FKOP. Also, in some cases separation is expected but a connection must be maintained to prevent rigid body motion. In such instances, you can specify a small value for FKOP to maintain the connection between the contact surfaces while allowing separation to occur (this is a "weak spring" effect). This setting is ignored for Standard and Rough settings for Behavior of contact surface (Basic tab).

Target edge extension factor

This sets the value for real constant TOLS, which is used to add a small tolerance that will internally extend the edge of the target surface. TOLS is expressed in percentage units. A small value is usually efficient. The default value is 10 for small deflection and 2 for large deflection.

Asymmetric contact selection

When there are several contact pairs involved in the model, and the graphical picking of contact and target surfaces is difficult, you can just define the symmetric contact pairs. When you choose this option, ANSYS internally selects which asymmetric pairs are to be used at the solution stage.

Beam/shell thickness effect

By default, ANSYS does not account for the element thickness, beams and shells are discretized at their mid-surface, and the penetration distance is calculated from the mid-surface. You can account for the thickness of shells (2-D and 3-D) and beams (2-D) by using this option. When this option is active, the distance of contact is calculated from either the top or the bottom surface and

  • For rigid-to-flexible contact, ANSYS will automatically shift the contact surface to the bottom or top of the shell/beam surface.

  • For flexible-to-flexible contact, ANSYS will automatically shift both the contact and target surface (if they are attached to shell/beam elements).

When building your model geometry, if you are going to account for thickness, remember the offsets which may come from either contact surface or target surface or from both. When you specify a contact offset and activate this option, it is defined from the top or bottom of the shell/beam, not the mid-surface. When used with SHELL181, SHELL208, or SHELL209, changes in thickness during deformation are also taken into account.

Element time increment

Time step control is an automatic time stepping feature that predicts when the status of a contact element will change or cuts the current time step back. Select one of four actions to control time stepping:

  • No control: The time step size is unaffected by the prediction. This setting is appropriate for most analyses when automatic time stepping is activated and a small time step size is allowed.

  • Automatic bisection: Time step size is bisected if too much penetration occurs during an iteration, or if the contact status changes dramatically.

  • Maintain reasonable: Predict a reasonable increment for the next substep.

  • Achieve minimum: Predict a minimal time increment for the next substep.

Superelement usage

The surface-to-surface contact elements can model a rigid body (or one linear elastic body) contacting another linear elastic body undergoing small motions. These elastic bodies can be modeled using superelements, which greatly reduces the number of degrees of freedom involved in the contact iteration. Remember that any contact or target nodes must be one of the master nodes of the superelements.

Since the superelement consists only of a group of retained nodal degrees of freedom, it has no surface geometry on which ANSYS can define a contact and target surface. Therefore, the contact and target surface must be defined on the surface of the original elements before they are assembled into a superelement. Information taken from the superelement includes nodal connection and assembly stiffness, but no material property or stress states (whether axisymmetric, plane stress, or plane strain). One restriction is that the material property set used for the contact elements must be the same as the one used for the original elements before they were assembled into superelements.

The following selections are valid:

  • No superelement used

  • Axisymmetric

  • Plane strain or plane stress with unit thickness

  • Plane stress with thickness input - The thickness (real constant R2) is set through the field below.

Note

The above bulleted options are not available if you are using CONTA175. However, the Contact Wizard does provide the Contact Model capability, which allows you to base the contact model either on contact force or contact traction.

Contact model -- For the CONTA175 element, the contact model can be either contact force based (KEYOPT(3) = 0, default) or contact traction based (KEYOPT(3) = 1). For the contact traction based model, ANSYS can determine the area associated with contact nodes. For the single point contact case, a unit area will be used which is equivalent to the contact force based model.

Contact Properties: Rigid Target

Use the Rigid target tab to specify the following settings for your contact analysis.

Boundary condition on target nodes

The boundary conditions on the target can be either automatically constrained or user specified.

For the Auto constrained option (the default), ANSYS checks the boundary conditions for each target surface. If all of the conditions listed below are met, then ANSYS treats the target nodes along the respective degree of freedom as fixed:

  • There are no explicit boundary conditions or prescribed forces for target surface nodes.

  • Target surface nodes are not connected to other elements.

  • No constraint equations or node couplings have been used to constrain target surface nodes.

At the end of each load step, ANSYS release the constraint conditions that were set internally.

The constraint conditions stored in the result file (Jobname.RST) and the database file (Jobname.DB) may be updated due to this change. You should carefully verify whether the current constraint conditions are as expected before restarting an analysis or resolving the problem in interactive mode.

If you wish to control the constraint conditions of target nodes, select User specified.

Area elements have

Defines whether 3–D rigid target surfaces were meshed with high-order (midside nodes) or low-order target elements.

Pilot Node

You can define or modify the pilot node using these options:

  • Pilot Name (optional) - You can specify a name for a nodal component that will contain the pilot node. This allows easier interaction with the pilot node later on.

  • Pilot Node - You can create or modify (delete/move) a pilot node using one of the listed methods. The definition methods include an automatic method (at centroid of target elements), picking methods (pick existing keypoint, node, or working plane location), and direct input of coordinates in the active coordinate system. Pick Choose location ... to launch the pilot node location picker or input the node coordinates. The pilot node is not created or modified until after you pick OK in the Contact Properties dialog.

Contact Properties: Thermal

Use the Thermal tab to specify the following settings for your contact analysis.

Thermal Contact Conductance

This sets the real constant TCC.

The conductive heat transfer between two contacting surfaces is given by:

q = TCC X (Tt - Tc)

where:

q is the heat flux per area,
TCC is the thermal contact conductance coefficient, and
Tt and Tc are the temperatures of the contact points on the target and contact surfaces.

TCC can be input as a constant value or as a table. In a table, TCC can be a function of temperature, pressure, time, and location. The drop-down list box lists all tables that have been defined.

Stephan-Boltzmann constant

This sets the real constant SBCT used to model radiation.

Heat transfer through radiation is given by:

q = RDVF x EMIS x SBCT [(Te + TOFFST)4 - (Tc + TOFFST)4]

where:
TOFFST is the temperature offset from absolute zero to zero (defined through the TOFFST command.)
EMIS is the surface emissivity.
RDVF is the radiation view factor.
Radiation View factor

This sets the real constant RDVF. The radiation view factor can be input as a constant value or as a table. In a table, RDVF can be a function of temperature, gap distance, time, and location. The drop-down list box lists all tables that have been defined.

Emissivity

This sets the surface emissivity (MP,EMIS).

Frictional heating factor

This sets the real constant FHTG used to model heat generation due to frictional sliding.

The rate of frictional dissipation is given by:

q = FHTG x τ x V

where:
τ is the equivalent frictional stress.
V is the sliding rate.
FHTG is the fraction of frictional dissipated energy converted into heat (defaults to 1).
Dissipation weight factor

This sets the real constant FWGT used to model heat generation due to frictional sliding. It is the weight factor for the distribution of heat between the contact and target surfaces (defaults to 0.5).

The amount of frictional dissipation on contact and target surfaces is given by:

qc = FWGT x FHTG x τ x V

and

qT = (1 - FWGT) x FHTG x t x V

where:
qc is the amount of frictional dissipation on the contact side.
qT is the amount of frictional dissipation on the target side
FWGT defaults to 0.5.
Thermal contact behavior

This sets KEYOPT(3) for target elements TARGE169 and TARGE170. There are two options for thermal contact behavior:

  • Based on Contact Status (KEYOPT(3) = 0). This is the default option.

  • Treated as Free Surface (KEYOPT(3) = 1).

For KEYOPT(3) = 0, the thermal contact behavior depends on contact status as follows:

  • Closed Contact -- Thermal contact conduction transfers heat between two contacting surfaces.

  • Frictional Sliding -- Frictional dissipated energy generates the heat to both the contact and target surfaces.

  • Near-Field Contact -- Both heat convection and radiation between the contact and target surfaces is taken into account. The external flux value contributes to the contact surface.

  • Far-Field Contact -- Heat convection and radiation between the contact surface and the environment is taken into account. The external flux value only contributes to both contact and target surfaces.

If you choose the free surface contact behavior, ANSYS considers both free surface radiation and convection as long as open contact is detected. In this case, there is no convection or radiation heat transfer between the contact and target surfaces.

Contact Properties (Constraint Type): Constraint

The Constraint tab contains general parameters related to the behavior of surface-based constraint contact pairs. Surface-based constraints are used to couple the motion of nodes on the contact surface to a single pilot node on the target surface. A surface-based constraint requires the multipoint constraint (MPC) contact algorithm (KEYOPT(2) = 2). (This KEYOPT is set automatically if you use the Contact Wizard to create the contact pair.)

Constraint surface type

When the multipoint constraint (MPC) algorithm is used, KEYOPT(4) determines the surface-based constraint type. Two types are available:

  • Force-distributed constraint surface - In this type of constraint, forces or displacements applied on the pilot node are distributed to contact nodes (in an average sense) through shape functions (similar to a constraint defined by the RBE3 command).

  • Rigid constraint surface - In this type of constraint, the contact nodes are constrained to the rigid body motion defined by the pilot node (similar to a constraint defined by the CERIG command).

Boundary conditions on target

The boundary conditions on the target node can be either automatically constrained or user specified.

For the Auto constrained option (the default), ANSYS checks the boundary conditions for the target node. If all of the conditions listed below are met, then ANSYS treats the target node along the respective degree of freedom as fixed.

  • There are no explicit boundary conditions or prescribed forces for the target node.

  • The target node is not connected to other elements.

  • No user-specified constraint equations or node couplings have been used to constrain the target node.

At the end of each load step, ANSYS release the constraint conditions that were set internally.

The constraint conditions stored in the result file (Jobname.RST) and the database file (Jobname.DB) may be updated due to this change. You should carefully verify whether the current constraint conditions are as expected before restarting an analysis or resolving the problem in interactive mode.

If you wish to control the constraint conditions of the target node, select User specified.

Constrained DOF set on target

KEYOPT(4) of the target element is used to specify the degrees of freedom to be constrained. A checked box indicates the DOF is active, and an empty box indicates the DOF is inactive.

Pilot Node

You can modify the pilot node using these options:

  • Pilot Name (optional) - You can specify a name for a nodal component that will contain the pilot node. This allows easier interaction with the pilot node later on.

  • Pilot Node - You can modify a pilot node using one of the listed methods. The definition methods include an automatic method (at centroid of contact elements), picking methods (pick existing keypoint, node, or working plane location), and direct input of coordinates in the active coordinate system. Pick Choose location ... to launch the pilot node location picker or input the node coordinates. The pilot node is not modified until after you pick OK in the Contact Properties dialog.

Contact Properties: ID

Use the Identification tab to specify ID numbers for your contact pair. By default ANSYS will assign the numbers shown in the various fields.

Contact pair real set ID

A contact pair must share the same real constant set number. You can use this field to assign any number that you wish, or accept the value shown. After the contact pair is created, you cannot change this number.

Target element type ID

ANSYS automatically creates this ID.

Contact element type ID

ANSYS automatically creates this ID.

If you are creating symmetric contact pairs in the Contact Wizard, the following fields are also shown.

Companion contact pair real set ID

The companion pair must use a different real constant set number. You can use this field to assign any number that you wish, or accept the value shown. After the contact pair is created, you cannot change this number.

Companion target element type ID

ANSYS automatically creates this ID.

Companion contact element type ID

ANSYS automatically creates this ID.


Contact Wizard

You can use the Contact Wizard to create a contact pair for either rigid-to-flexible or flexible-to-flexible contact. In addition, you can use the wizard to create contact pairs for surface-based constraints. As you progress through the various dialog boxes in the wizard, remember that the contact pair isn't actually created until you complete all of the requirements and click the Create button. At any point before you click Create, you can click the Cancel button to abort the process. You can also return to previous dialog boxes (and change your settings) by clicking the Back button.

Contact Wizard: Select Target

Use this dialog box to define the target surface.

Target Surface:

Select the Target Surface type.

  • For 2-D analysis this can be lines, body (areas), nodes, or nodal components. TARGE169 is the 2-D target surface element.

  • For 3-D analysis this can be areas, body (volumes), nodes, or nodal components. TARGE170 is the 3-D target surface element.

Target Type:

Select the Target Type. For rigid-to-flexible contact, the target surface must be either Rigid or Rigid w/ Pilot (with a pilot node). For a surface-based constraint (force-distributed or rigid constraint), you must use the Pilot Node Only option.

Pick Target ...

Click this to launch the target picker. Pick the target surface or nodes and then click OK to return to this dialog. For rigid-to-flexible analysis, the picker will only let you select unmeshed surfaces or nodes as the target.

Next

After you have selected the target surface and its parameters, click Next to continue.

Contact Wizard: Define Pilot Node

Use this dialog box to define the pilot node for a rigid-to-flexible contact pair or surface-based constraint.

Pilot Name:

(Optional) You can specify a name for a nodal component that will contain the pilot node. This allows easier interaction with the pilot node later on.

Definition Mode:

You can define the pilot node in several ways.

  • Allow the program to automatically define the pilot node at the centroid of selected geometric entities (keypoints, lines, or areas). Target entities are considered for rigid-to-flexible contact, and contact entities are considered for a surface-based constraint.

  • Pick an existing keypoint, node, or working plane location.

  • Type in coordinates in the active coordinate system.

Pick Entity ...

Click this to launch the pilot node location picker. Pick the keypoint, node, or working plane location and then click OK to return to this dialog. Only one entity or location is allowed.

Next

After you have selected the pilot node, click Next to continue.

Contact Wizard: Select Contact

Use this dialog box to define the contact surface.

Contact Surface:

Select the Contact Surface type.

  • For 2-D analysis this can be keypoints (node-to-surface contact only), lines, body (areas), nodes, or nodal components.

  • For 3-D analysis this can be lines (node-to-surface contact only), areas, body (volumes), nodes, or nodal components.

Contact Element Type:

This option determines the specific element type that will be used. For Surface-to-Surface contact, CONTA172 (2–D) or CONTA174 (3-D) will be used as the contact element type. For Node-to-Surface contact, CONTA175 will be used (2-D or 3-D).

Pick Contact ...

Click this to launch the contact picker. Pick the keypoints, lines, surface, or nodes and then click OK to return to this dialog. Note that in a 2-D analysis, only lines and keypoints that are part of areas are valid selections and, therefore, only these are shown.

Next

After you have selected the contact surface and its parameters, click Next to continue.

Contact Wizard: Set Parameters and Create

Flexible-to-Flexible or Rigid-to-Flexible Contact Pair

Use this dialog box to specify parameters for your contact analysis and create the contact pair. This dialog provides some of the most commonly used parameters. The Optional settings button lets you select additional parameters.

The Contact Wizard automatically detects which degrees of freedom are active in your model (based on element type):

  • If only structural degrees of freedom are detected, thermal, electric, and magnetic options for contact are ignored and KEYOPT(1) is set to 0.

  • If structural and thermal degrees of freedom are detected, electric and magnetic contact options are ignored and KEYOPT(1) is set to 1.

  • If only the thermal degree of freedom is detected, thermal options are available and KEYOPT(1) is set to 2. Heat generation due to friction is ignored.

  • If structural, thermal, and electric degrees of freedom are detected, all contact options except magnetic are available and KEYOPT(1) is set to 3.

  • If thermal and electric degrees of freedom are detected, all structural and magnetic contact options are ignored and KEYOPT(1) is set to 4.

  • If structural and electric degrees of freedom are detected, all thermal and magnetic options are ignored and KEYOPT(1) is set to 5.

  • If only the electric degree of freedom is detected, electric options are available and KEYOPT(1) is set to 6.

  • If only the magnetic degree of freedom is detected, magnetic options are available and KEYOPT(1) is set to 7.

Create symmetric pair

When on, two companion (symmetric) contact pairs will be created instead of a single pair. The contact surface of each pair is identical to the target surface of its companion pair, and vice versa. Although they will use different real constant and element type IDs, both pairs will have the same settings. This symmetric pair capability is applicable to flexible-to-flexible contact only.

Include initial penetration

When on, initial penetration includes the geometrical penetration. When off, initial penetration is excluded.

Friction:

Select the material ID and then set the coefficient of friction (any non-negative value). You can use this to create a new material ID. Also, a coefficient of friction value entered here will overwrite any previously entered value.

Only isotropic friction can be defined through the Contact Wizard. For a detailed description of the friction model and information on how to define orthotropic friction (available for 3-D contact only), see Choosing a Friction Model.

Thermal Contact Conductance:

For a thermal analysis, input the thermal conductance between the two contacting surfaces. You can input a constant value or a table. The drop-down list box lists all tables that have been defined.

Electric Contact Conductance:

For an electric current conduction analysis, input the electrical conductance between two contacting surfaces if KEYOPT(1) = 3 or 4, or input the electrical capacitance per unit area between two contacting surfaces for piezoelectric (KEYOPT(1) = 5) or electrostatic (KEYOPT(1) = 6) analyses. You can input a constant value or a table. The drop-down list box lists all the tables that have been defined.

Magnetic Contact Permeance:

For a magnetic field analysis, input the magnetic permeance at the contact interface. You can input a constant value or a table. The drop-down list box lists all the tables that have been defined.

Optional settings ...

This button launches the Contact Parameters dialog box. These settings provide a finer degree of control over your contact analysis.

Create

Click this button to create the contact pair.

Contact Wizard: Set Parameters and Create

Surface-based Constraint Contact Pair (Pilot Node Only)

Use this dialog box to specify parameters for your analysis and create the contact pair that will support a surface-based constraint.

Constraint Surface Type:

The constraint surface type is either Rigid Constraint or Force-distributed Constraint. See Surface-based Constraints for more information.

Boundary Conditions on Target:

The boundary conditions on the pilot node (target) can be either user-specified or set automatically based on the dimensionality of the model.

Constrained DOF Set on Target:

Only checked degrees of freedom will be constrained according to the constraint surface type. The All DOFs button sets all available degrees of freedom to be included in the constrained DOF set.

Create

Click this button to create the contact pair.

Flip Normals

This dialog box indicates that the contact pair was created and lists the real set ID for the contact pair. At this point, you should check the normals for the contact pair.

The node order of the target surface elements is critical because it defines contact direction. For 2-D contact, the associated contact elements must lie to the right of the target surface when moving from the first node to the second node along the target surface line.

For 3-D contact, the target element numbering should be such that the surface's outward normal points toward the contact surface. The outward normal is determined by the right-hand rule.

If the element normals do not point toward the contact surface, click Flip Target Normals to reverse the direction of the surface normals. Click Finish when you have verified that the direction of the normals is correct.

Finish

This dialog box indicates that the contact pair was created and lists the real set ID for the contact pair. Each contact pair is identified via the same real constant number.


Contour Style

For information on this topic, select one of the following:

/CTYPE
/SSCALE


Apply Coriolis Effects

For information on this topic, select one of the following:

CGLOC
CGOMGA
DCGOMG


Table of Cospectral Values vs Frequencies

For information on this topic, select one of the following:

COVAL
PSDFRQ


Damping Specifications

For information on this topic, select one of the following:

ALPHAD
BETAD
DMPRAT
MDAMP


Data Settings

For information on this topic, select one of the following:

TIMERANGE
NSTORE
TVAR


Options for DDAM Spectrum

For information on this topic, select one of the following:

ADDAM
VDDAM
SED


Define Material Model Behavior

Use the Define Material Model Behavior dialog box to specify material properties, material models and model combinations. There is a pull down menu bar, and two interactive scrollable tree structure windows, as described below:

Material

Allows you to specify a unique material model number, or allows you to exit the Define Material Model Behavior dialog box. Choices are as follows:

  • New Model: Opens a dialog box where you specify a unique ID number for the material model you are defining. You do not need to choose this option when you define the first model. ANSYS automatically assigns number 1 to this model.

  • Exit: Closes the Define Material Model Behavior dialog box. All settings are retained if you open this dialog box again in the current ANSYS session.

Edit

Allows you to copy or delete material models.

  • Copy: Opens a dialog box where you copy the contents of an existing material model to a new material model by specifying model numbers (for example, copy the contents of existing Material Model Number 1 to become the contents of new Material Model Number 3). The copied material model is listed in the Material Models Defined window (described below) with its new number. Its contents are identical to the model whose contents you copied.

  • Delete: Deletes a material model after you highlight its name in the Material Models Defined window (described below).

Material Models Defined

Displays a list of each material model number you have specified in the Material Models Available tree structure window (described below). This list appears after you have chosen OK in the material data input dialog box associated with your chosen material property or model. The Material Models Defined tree structure window displays the number of each model, along with a small icon to the left of each item. If you double-click on the item, a list appears of the material properties that you entered for that item. The list appears indented below the model number. Double-clicking on any listed material name displays the associated material data input dialog box, where you can edit the data.

Material Models Available

Displays a list of material categories (for example, Structural, Thermal, Electromagnetics). When you double-click on a category , sub-categories appear indented and below the category (for example, under Structural are categories Linear and Nonlinear, and others). If you double-click further on the subcategories, you will eventually see a vertical list of material models that are included under that category (for example, under Hyperelastic are categories Mooney-Rivlin, Ogden, Neo-Hookean, and others). This logical, top-down arrangement of material categories is intended to assist you in choosing the appropriate model for your analysis. Once you have decided which model you will use, you then choose it by double-clicking on the item. A dialog box appears that prompts you for the required input data for that property or model only (for example, material constants associated with the Ogden model). When you click on OK in the dialog box, the material number is listed in the Material Models Defined tree structure window.

For a structural analysis, several inelastic material models (listed by double-clicking on the following in the tree structure: Structural, Nonlinear, Inelastic) require you to input values for elastic material properties (elastic modulus and/or Poisson's ratio) in addition to the inelastic constants that are specific to the model (for example, Yield Stress and Tangent Modulus for the Bilinear Isotropic Hardening model). In these instances, you must enter the elastic material properties before you enter the inelastic constants. If you try to enter the inelastic constants first, a Note appears stating that you must first enter the elastic properties. After you click on OK in the Note, a dialog box appears that prompts you for the elastic material properties. After you enter these properties and click on OK, a dialog box appears that prompts you for the inelastic constants associated with the specific model you chose.

When entering constants for a combination model (for example, Bilinear Kinematic and Chaboche), after you enter constants for the first model and click on the OK button, the material input dialog box for the second model then appears where you can enter the constants for the second model.

Video Demonstrations for PC Users

Video demonstrations are available that show basic techniques on defining material models, displaying material properties, and material curve fitting. If you are a PC user, you can view one of these videos by pointing your Internet Explorer browser to one of the following URL addresses:

  • Defining One Material Model: http://www.ansys.com/techmedia/one_material.html

  • Adding a Temperature Dependent Material Model: http://www.ansys.com/techmedia/add_temp_material.html

  • Graphing a Temperature Dependent Material Property: http://www.ansys.com/techmedia/graph_temp_material.html

  • Material Curve Fitting: http://www.ansys.com/techmedia/material_curve_fitting.html

For more information about the Define Material Model Behavior dialog box, see:

  • Material Model Interface in the Basic Analysis Guide (includes examples).

  • Using Tree Structures in the Operations Guide.

  • "Material Curve Fitting" in the Structural Analysis Guide.

For more information about data input dialog boxes, see Entering Material Data in the Basic Analysis Guide.


Define Material ID

Define Material ID text field -- Allows you to specify a unique ID number for the material model you are defining. After you choose OK in this dialog box, all subsequent material information that you enter is assigned to this number. If you then specify another ID number and choose OK, material information that you enter is assigned to this latest ID number. The ID number that appears in the field by default is one number higher than the highest Material Model Number that appears in the Material Models Defined window. When you define the first model, it is not necessary for you to use this dialog box. ANSYS automatically assigns Material Model Number 1 to the first model.

For more information related to the Define Material ID dialog box, see the MP and TB commands in the Commands Reference.


Device Options

For information on this topic, select one of the following:

/DEVICE
/SHOW
/DV3D
/UIS


Scale DOF Constraints

For information on this topic, select one of the following:

DSCALE
DOFSEL


ANSYS Topic Help


No Topics Available

There are no topics available under this heading at this time.


List Binary Files

For information on this topic, select one of the following:

DUMP
FORM
FILEAUX2


Edge Options

For information on this topic, select one of the following:

/EDGE
/GLINE


Semi Direct Solver Options for Pressure

For information on this topic, select one of the following:

FLDATA20
FLDATA20A
FLDATA20B
FLDATA21
FLDATA22
FLDATA23


Element Types

This dialog box lists all the currently defined element types. You can add additional element types, change the element options for the currently defined element types, and delete currently defined element types.

List

Lists currently defined element types. Pick an element type in this area to select it for Options or Delete actions. The selected element type will be highlighted.


Read Element File

For information on this topic, select one of the following:

ERRANG
EREAD


ANSYS Help

For information on this topic, select one of the following:

ESOL
FORCE
SHELL
LAYERP26


Define Additional Element Table Items

For information on this topic, select one of the following:

AVPRIN
ETABLE
Element Library of the Elements Reference


Library of Element Types

For information on this topic, select one of the following:

ET
Pictorial Summary of the Elements Reference
Planning Your Approach of the Modeling and Meshing Guide


Switch Elem Type

For information on this topic, select one of the following:

ETCHG
Material Models in the ANSYS LS-DYNA User's Guide.


Export IGES File

For information on this topic, select one of the following:

IGESOUT
/PREP7


Expand Single Solution by Load Step

For information on this topic, select one of the following:

EXPSOL
HREXP


Element Extrusion Options

For information on this topic, select one of the following:

EXTOPT
TYPE
MAT
REAL
ESYS


ANSYS File Options

For information on this topic, select one of the following:

/ASSIGN
/FDELE


File Settings

For information on this topic, select one of the following:

FILE
NUMVAR


Scale Forces

For information on this topic, select one of the following:

FSCALE
DOFSEL


Graph Settings

For information on this topic, select one of the following:

PLTIME
XVAR
VARNAM
SPREAD
PLCPLX


Hard Copy

ANSYS Function

The PS in the title of this dialog box indicates that you will be using the PostScript format for graphics that are written to a file or that are sent directly to a printer. Both of these options are called "hard copies."

Extents

With these radio buttons, you can choose to print the entire screen, or only the portion within the ANSYS Graphics Window. Printing the full screen sends all visible screen items to the printer, even if the graphics are not related to ANSYS. When you print the graphics window, all items within the window are sent to the printer. This feature allows the displayed ANSYS graphics to be printed in conjunction with other displays, including the ANSYS command output window or material propery data listings. Even non-ANSYS windows, such as a Windows notepad annotation can be included. If only the ANSYS graphics display is desired, be sure to move other windows or utility boxes (such as the Pan, Zoom, Rotate, or Meshtool dialogues) out of the way.

Plot Type

Specifies the graphics type for your printer. Most laser printers are designed to print black and white (monochrome) or gray scale graphics. You can print color graphics on many thermal-wax type plotters.

File Type

  • Postscript: Creates PostScript file

  • TIFF: Creates TIFF file (should not be spooled to a printer)

  • EPS with TIFF Preview: Encapsulated PostScript with TIFF preview (should not be spooled to printer. Use only for inserting graphics inside a publishing package.)

  • JPEG: Creates a .jpg file

  • PNG: Creates a .png file

TIFF Compression Toggle

Compresses TIFF files and EPS files with TIFF preview (Default=ON). Turn off when using Word Perfect.

Black/White Toggle

Switches black to white, and white to black on hard copies. By default, the Reverse Video option is on, which means that what you see in white on your screen is printed in black on your hard copy.

Orientation

Specifies how your graphics are oriented on hard copies. The default orientation is Landscape, which means that the width dimension of the graphics on your screen corresponds to the height dimension of your printed page. For instance, if your printed page measures 8 1/2"x11", the width dimension of the graphics on your screen corresponds to the 11" height dimension of your page.

Print Command

Press this button to send the graphics directly to a printer. Then, in the corresponding text entry box, fill out the rest of the system level print command (for example, lpr on UNIX) that you use to send PostScript graphics files to PostScript printers.

File Command

Press this button if you want to write your graphics to a PostScript file. By default, your graphics are written to a file with the name shown in the text entry box. You can change the file name to something that more closely describes your project, but you should keep the default extension in order to retain the automatic indexing of the extension name. For instance, if you name your first file Shuttle.p01, and then pick OK or Apply, the name in the text entry box for the next file to be produced will automatically be indexed to read Shuttle.p02.

Note

Open GL (3D) devices require that the Graphics Window contents be brought to the top to generate plots of partially obstructed window contents. See the /UIS command for more information on this behavior and how it affects other graphics operations.


ANSYS Help

For information on this topic, select one of the following:

HARFRQ
NSUBST
KBC


Hidden-Line Options

For information on this topic, select one of the following:

/TYPE
/CPLANE
/SHADE
/GRAPHICS


ANSYS Home Page

The ANSYS Home Page www.ansys.com provides instant access to the latest news and technical information available regarding ANSYS, Inc. and the complete line of ANSYS products and services.

When you visit ANSYS Home Page, you will discover a wide range of exciting topics that should prove to be interesting and informative, no matter what level of experience you have with ANSYS products. Areas of interest include:

  • Descriptions of all ANSYS products.

  • Demos that let you try our latest products.

  • ANSYS benchmarks consisting of a variety of models created on many different hardware platforms.

  • Training information containing course descriptions, dates being held, location and who to contact for additional information.

  • A selection of online documentation.

  • ANSYS Support Distributor (ASD) information for your area and how to contact your ASD for additional information.

  • Press releases outlining the newest and most innovative ANSYS product developments and services.

  • A customer zone where you can find information about released products, service packs, and new products.

This list includes only a few of the many items you will find on our home page. Be sure to bookmark our home page and check back frequently for the latest news and information!


Import IGES File

For information on this topic, select one of the following:

IOPTN
IGESIN
/AUX15


Create Load Case

For information on this topic, select one of the following:

LCDEF
LCFILE


Line: Copy Divisions

This function copies line divisions (including spacing ratios) from one line onto other unmeshed lines.

  • Pick the line from which divisions will be copied, then pick OK in the picking menu.

  • Pick the lines which the divisions should be copied to, then pick OK in the picking menu.

If previous line divisions exist, the copied divisions will overwrite them.


Line Flip Bias

This function flips the spacing ratio of line divisions (from one end to the other) on unmeshed line. Pick the lines, then pick OK in the picking menu.


List Settings

For information on this topic, select one of the following:

PRTIME
NPRINT
VARNAM
LINES
PRCPLX


Execute Macro Data Block

For information on this topic, select one of the following:

*ULIB
*USE


Element Attributes

For information on this topic, select one of the following:

TYPE
MAT
REAL
ESYS
SECNUM
TSHAP


Scale Icons Function

For information on this topic, select one of the following:

/ICSCALE
/ICLWID


Meshing Attributes

For information on this topic, select one of the following:

TYPE
MAT
REAL
ESYS
SECNUM


MeshTool

ANSYS Function

Provides a shortcut to the most commonly used meshing controls, as well as to the meshing operations that users perform most frequently.

Attribute Controls

Sets attributes to be used for meshing. Pressing the Global option button causes an option menu of available choices (Global, Volumes, Areas, Lines, KeyPoints) to appear. After selecting an option, press the Set button to specify attributes.

SmartSizing Controls

Pressing the button activates SmartSizing. The position of the slider control determines the overall element size level for meshing, which can vary from 1 (fine mesh) to 10 (coarse mesh). The slider control is active only when SmartSizing has been activated. SmartSizing is recommended for free meshing operations; it cannot be used for mapped meshing. [SMRTSIZE]

Local Mesh Sizing Controls

Provide more control over element size specifications.

  • Global: Controls the setting and clearing of global element edge lengths. Pressing the Set button opens a dialog box for setting the global edge length; pressing the Clear button clears this specification. [ESIZE]

  • Areas: Controls the setting and clearing of edge lengths on selected unmeshed areas [AESIZE]. Pressing the Set button opens a dialog box for selecting areas, followed by a dialog box for setting the edge lengh; pressing the Clear button opens a dialog box for selecting areas to be cleared of edge length settings.

  • Lines: Controls the setting and clearing of the divisions and spacing ratios on selected unmeshed lines. [LESIZE]

    • Pressing the Set button opens a picking dialog for selecting lines, followed by a dialog box for setting divisions.

    • Pressing the Clear button opens a picking dialog for selecting lines to be cleared of divisions.

    • Pressing the Copy button opens a picking dialog to let you copy line divisions (including spacing ratios) from one line onto other unmeshed lines.

      1. Pick the line from which divisions will be copied.

      2. Pick OK in the picking menu.

      3. Pick the lines to which the divisions should be copied.

      4. Pick OK in the picking menu. If previously-set line divisions exist, the copied divisions overwrite them.

    • Pressing the Flip button opens a picking dialog to let you flip the spacing ratio of line divisions (from one end to the other) on an unmeshed line.

      1. Pick the line to be flipped.

      2. Pick OK in the picking menu.

  • Layer: Controls the setting and clearing of layer-mesh controls on lines for 2-D area meshing. Pressing the Set button opens a picking dialog for selecting lines, followed by a dialog box for setting layer-mesh control parameters. Pressing the Clear button opens a picking dialog for selecting lines; layer-mesh control settings are then removed without altering the existing line division and spacing ratio settings for the picked lines. [LESIZE]

  • Keypt: Controls the setting and clearing of the edge lengths of the elements near a selected keypoint or keypoints. Pressing the Set button opens a picking dialog for selecting keypoints, followed by a dialog box for setting edge lengths. Pressing the Clear button opens a picking dialog for selecting the keypoints for which you wish to clear the keypoint sizing specifications. [KESIZE]

Meshing Controls

  • Mesh: Controls which type of solid model entity is being meshed. Pressing the option button causes an option menu of available choices (Volumes, Areas, Lines, and Keypoints) to appear.

  • Shape: Controls the shape of the elements used to create a mesh (quadrilateral, triangle, hexahedral, or tetrahedral). The shape choices that are presented at a particular time in the MeshTool depend on what type of solid model entity you are meshing (volume, area, etc.; see Mesh above) and which meshing type you select (free or mapped; see Mesher below). If you are meshing lines or keypoints (see Mesh above), the Shape control is inactive. [MSHAPE]

  • Mesher: Controls which type of meshing (free or mapped) is used to mesh a solid model. If you are meshing lines or keypoints (see Mesh above), the Mesher control is inactive. Also see the [MSHKEY] command description.

    An additional option in the Mesher section is active if you are either

    1. meshing an area (See Mesh above) and you are using mapped meshing, or

    2. meshing a volume (see Mesh above) and you are using hex sweeping.

    Pressing the options button causes an option menu of available choices to appear. The choices in this options menu depend upon if you are area map meshing or volume hex sweeping.

    If you are area map meshing (option 1. above), the available choices will be “3/4 sided” and “pick cornrs.” Choose “3/4 sided” if you are meshing a 3-- 4-- sided area. Doing so causes a picking dialog to open when you start the meshing operation (see Mesh below). Use the picking dialog to pick the area to be meshed.

    Choose “Pick cornrs” if you are meshing an area that is bounded by more than four lines. Doing so will cause a series of picking dialog boxes to open when you start the meshing operation (see Mesh below). Use the first picking dialog to pick an area, then use the second to pick three or four corners of the area. These corners will be used as the keypoints that define the corners of the mapped mesh. ANSYS internally concatenates all lines between the specified keypoints, then meshes the area with all quadrilateral elements. Also see the AMAP command description.

    If you are volume hex sweeping (option 2 above), the available choices will be “Auto Src/Trg” and “Pick Src/Trg.” Choose “Auto Src/Trg” for most sweepable volumes. Doing so will cause a picking dialog to open when you start the sweeping operation (see Sweep below). Use the picking dialog to pick the volume or volumes to be swept. When the “Auto Src/Trg” option is chosen, ANSYS internally attempts to determine which direction the volume can be swept. In addition, this option allows more than one volume to be swept at once. Also see the VSWEEP command description.

    Choose “Pick Src/Trg” if you first tried “Auto Src/Trg” and ANSYS could not automatically internally determine the source and target. In addition, use “Pick Src/Trg” if you want to specify a bias in the sweep direction or a specific number of element layers in the sweep direction, both of which are ignored by the “Auto Src/Trg” option. Choosing the “Pick Src/Trg” option will cause a series of picking dialog boxes to open when you start the meshing operation (see Sweep below). Use the first picking dialog to pick a volume to sweep. Use the second dialog to pick the source area for sweeping. Finally use the third dialog to pick the target area for sweeping. This option allows only one volume to be swept at a time.

  • MESH: Starts the meshing operation. Also see the [VMESH, AMESH, LMESH, KMESH, AMAP] command descriptions.

  • SWEEP: Appears in place of the MESH button if Volumes, Hex, and Sweep is chosen. When chosen, SWEEP issues the VSWEEP command. See the VSWEEP command descriptions.

  • CLEAR: Clears the selected volumes, areas, lines, and keypoints of their associated nodes and elements. Pressing the CLEAR button opens a picking dialog box that lets you select the entity to be cleared. [VCLEAR, ACLEAR, LCLEAR, KCLEAR]

Refinement Controls

  • Refine at:: Controls the general location at which mesh refinement occurs. Pressing the option button causes an option menu of available choices ( Nodes, Elements, KeyPoints, Lines, Areas, and All Elems) to appear.

  • Refine: Starts the refinement operation. Pressing the Refine button opens a picking dialog box that lets you select the specific area(s), line(s), etc. at which you want refinement to occur. Once you've made your selection, additional dialog boxes are opened to let you set various refinement options. [AREFINE, LREFINE, KREFINE, EREFINE, NREFINE]


MFS Define

For information on this topic, select one of the following:

MFELEM
MFFNAME


MFS Setup

For information on this topic, select one of the following:

MFINTER
MFBUCKET
MFTOL


MFS Solution Frequency

For information on this topic, select one of the following:

MFCALC
MFOUTPUT


MFS Time Control

For information on this topic, select one of the following:

MFTIME
MFDTIME
MFRSTART


MFX Mapping Operations

For information on this topic, select one of the following:

MFBUCKET
MFCI
MFTOL


MFX Solution Control

For information on this topic, select one of the following:

MFPSIMUL
MFSORDER
MFRELAX


MFX Time Control

For information on this topic, select one of the following:

MFTIME
MFDTIME
MFRSTART


Axes Modification for Graph Plots

For information on this topic, select one of the following:

/GRTYP
/XRANGE
/YRANGE
/GTHK
/AXLAB
/GROPT


Mode Combination Methods

For information on this topic, select one of the following:

SRSS
CQC
DSUM
GRP
NRLSUM


Curve Modification for Graphs Plots

For information on this topic, select one of the following:

/GTHK
/GROPT
/GCOLUMN
/GMARKER


Grid Modifications for Graph Plots

For information on this topic, select one of the following:

/GTHK
/GROPT
/GRID


Model Query Picker

ANSYS Function

Displays existing information or computes simple geometric/loading information by picking items in the ANSYS window.

Pick Indicator

Enables selection or deselection of items in the active workspace. The selection in the On Entities: box will determine the type of item (point, line, area, volume, etc.) that will be selected or deselected by each individual pick.

Selection Method

You can select individual items (Single), or multiple items within adjustable geometrical areas (Box, Polygon, Circle, Loop).

Query Item:

You can use the Query Picker to display existing information or to calculate simple geometric, DOF or loading information. The following items/parameters can be queried:

  • Attributes: Displays coordinates, attributes, properties and node listings (as applicable) for the entities selected in the On Entities: option.

  • Distance Between: Computes distance between two picked nodes or keypoints.

  • Angle Between: Computes included angle between three nodes or keypoints (center, from, to). The angle is displayed in degrees or radians according to the List Option: Selection.

  • Length: Determines length of the selected line.

  • Area: Determines the area of the selection.

  • Volume: Determines volume of the selection.

  • Constraints: Lists constraints for the lines, areas, nodes or keypoints.

  • Point Loads: Lists force loads on the nodes or the keypoints.

  • Surface Loads: Lists surface loads on one or more nodes, elements, lines or areas.

  • Body Loads: Lists body loads on one or more nodes, elements or keypoints.

  • Initial Conditions: Lists initial conditions for one or more nodes.

On Entities:

Lists the specifics of the Query Item: selection.

  • Nodes: One or more nodes

  • Keypoints: One or more Keypoints

  • Lines: One or more lines

  • Areas: One or more areas

  • Volumes: One or more volumes

  • Elements: One or more elements

List Option:

Determines the display/measuring system to be used to present the queried information.

  • DSYS Coordinate System

  • Layer

  • Radius

  • RKEY

  • Degrees

  • Radians

  • DISP

  • VEL

  • Load Labels

Selection Tracking

Displays a running count of the number of items picked, the minimum and maximum number required and the specific label identifier (line, area, node, or keypoint number, etc.) for the last item picked.

Keyboard Entry Options

  • List of Items: List of all entities selected (default).

  • Min, Max, Inc: Allows you to specify a range and increment of entities selected.

Generate 3D Annotation

Applies the queried information to the model as 3D annotation.


Define Material Model

For information on this topic, select one of the following:

MP
TB
TBDATA
Material Models in the ANSYS LS-DYNA User's Guide


Delete Material Properties

For information on this topic, select one of the following:

MP
EDMP
Explicit Dynamic Materialsin the Elements Reference


Define Nonlinear Material Model

For information on this topic, select one of the following:

MP
EDMP
Material Models in the ANSYS LS-DYNA User's Guide


List Imported Material

For information on this topic, select one of the following:

MPLIST
TBLIST


ANSYS Help

For information on this topic, select one of the following:

MPREAD
MAT


Define Material Model

For information on this topic, select one of the following:

MP
Material Models in the ANSYS LS-DYNA User's Guide


Message Controls

For information on this topic, select one of the following:

/UIS
/NERR


Mesher Options

For information on this topic, select one of the following:

MOPT
MSHKEY
MSHMID
MSHPATTERN


Multi-Plotting

For information on this topic, select one of the following:

/GTYPE
GPLOT


Multiple Species

For information on this topic, select one of the following:

MSDATA
KEYOPT


Read Node File

For information on this topic, select one of the following:

NRRANG
NREAD


Plot Numbering Controls

For information on this topic, select one of the following:

/PNUM
/NUMBER


Expand a Range of Solutions

For information on this topic, select one of the following:

NUMEXP
HREXP


WARNING

For information on this topic, select one of the following:

OPANL
OPCLR


Select/Delete Design Sets

For information on this topic, select one of the following:

OPDEL
OPSEL


Controls for Sub-problem Optimization

For information on this topic, select one of the following:

OPEQN
OPSUBP


Design Variables

ANSYS Function

Design Variables (Design Optimization). This dialog box lists optimization design variables and gives access to the functions used to define and edit design variables.

List

Lists currently defined design variables, including the associated parameter name, minimum and maximum allowed values, tolerance value, and current parameter value. Pick a design variable in this area to select it (in order to edit or delete it) or select Add to define a new variable. [OPVAR]


State Variables

ANSYS Function

State Variables (Design Optimization). This dialog box lists optimization state variables and gives access to the functions used to define and edit state variables.

List

Lists currently defined state variables, including the associated parameter name, minimum and maximum allowed values, tolerance value, and current parameter value. Pick a state variable in this area to select it (in order to edit or delete it) or select Add to define a new variable. [OPVAR]


Specify run-time controls

For information on this topic, select one of the following:

OPDATA
OPLOOP
OPPRNT
OPKEEP


NOTE

For information on this topic, select one of the following:

RESUME
PARRES
*SET
/INPUT


Graph/List Tables of Design Set Parameters

For information on this topic, select one of the following:

XVAROPT
PLVAROPT
PRVAROPT


Viewing Direction

For information on this topic, select one of the following:

/VIEW
/VUP


Options for Output

For information on this topic, select one of the following:

RSYS
ERNORM
AVPRIN
AVRES
/EFACET
SHELL
LAYER
FORCE


Show Status of Output Controls

For information on this topic, select one of the following:

OUTPR
OUTRES


Define Element Table Data

ANSYS Function

Defines element table data [ETABLE]. This dialog box defines the element table values per element for use in further postprocessing [CALC]. You can reference this data through another dialog box (Add) that displays available data items for the selected element type.

List

Lists results data that have been entered into the element table. The column headings are as defined below:

  • Label: User defined label for element table data.

  • Item: Item as defined by the ETABLE command.

  • Comp: Component as defined by the ETABLE command.

  • Time Stamp: Time when the load step was generated.

Action Buttons

Results data will be listed in the “Currently Defined Data and Status” section as defined with the Add, Update, or Delete buttons.

  • Update: Updates the element table. The element table is not automatically refilled (updated) when you read in a different set of results (such as for a different load step) or when you alter the results in the database (such as by a load case combination). For example, suppose your model consists of BEAM4 elements, and you issue the following commands in POST1:

    SET,1            ! Read in results for load step 1
ETABLE,ABC,LS,6  ! Move SDIR at end J (with KEYOPT(9)=0)
                 ! to the element table under the
                 ! user-defined label ABC
SET,2            ! Read in results for load step 2

    At this point, the "ABC" column in the element table still contains data for load step 1. To refill (update) the column with load step 2 values, select Update [ETABLE,REFL].


Define Time-History Variables

ANSYS Function

Defines variables for POST26. This dialog box lets you define variables for further postprocessing in POST26, the Time History postprocessor. Variables are tables of result items versus time (or frequency). The first step in POST26 is to define these variables [FORCE, SHELL, LAYER, NSOL, ESOL, RFORCE, GAPF, and SOLU]. As you define a variable, it is given a reference number which you will use to denote that variable in future postprocessing.

List

Lists results variables you have defined. The column headings are as follows:

  • Variable: Variable reference number (greater than 1) assigned by ANSYS. Reference number 1 is reserved for Time.

  • Type: Type of results data defined (NSOL, ESOL, etc.).

  • Elem: Element number of variable data.

  • Node: Node number of variable data.

  • Item: Item label for the type of data being defined (EPEL for elastic strain, TF for thermal flux, etc.).

  • Comp: Component (if required) for the Item listed above.

  • Name: User-defined name for each variable. If you don't define a name, ANSYS gives the variable a name based on the Item and Comp labels.

Action Buttons

Defined variables will be listed in the “Currently Defined Specifications” section as defined with the Add, Update, or Delete buttons.


ANSYS Help

For information on this topic, select one of the following:

NSOL
ESOL
SOLU
RFORCE
GAPF


Pan, Zoom, Rotate

ANSYS Function

Manipulates the view by panning, zooming, and rotating the model.

Active Window(s)

Identifies the window or windows that are active with this dialog box. Any of five windows (if defined) can be the active window, or all windows may be active at once. All Pan-Zoom-Rotate operations that are initiated with this dialog box will be done in the active window(s).

Viewing Direction

Establishes the direction from which the model is viewed. You will be looking at the model from one of the chosen directions back to the focus point, which is normally the centroid of the model.

  • Top: The view of the top of the model; the +Y direction.

  • Bot: The view of the bottom of the model.

  • Left: The view of the left of the model.

  • Front: The view of the front of the model; the +Z direction.

  • Back: The view of the back of the model.

  • Right: The view of the right of the mode; the +X direction.

  • Iso: The view of the top right of the model (x = 1,y = 1,z = 1).

  • Obliq: Another view of the top right of the model, but from a slightly different angle (x = 1, y = 2, z = 3).

  • WP: The view of the model from the working plane

Zooming Options

Chooses the method of zooming.

  • Zoom: Prompts you to pick the center and then the edge of your square window. The portion of the model that fits within this zoom window will then be redisplayed.

  • Box Zoom: Prompts you to pick two outside corners of your zoom window, rather than the center and outside edge as you would with Zoom.

  • Win Zoom: Prompts you to pick the first corner of your new window, and then the edge. With this option, the new window automatically scales to reflect the aspect ratio of the widow that you are working in. For instance, if your window 1 is rectangular, Win Zoom produces a rectangular zoom window of the same aspect ratio.

Pan/Zoom Buttons

Picking the arrow buttons pans the model up or down, left or right. Picking the dot buttons zooms straight in or out on the model.

  • Arrow Buttons: Use them to pan (change the focus point); indicate which way you want to move the model in the window, not which way you want to move the window itself. Think of the window as being stationary, and the model as being movable in the directions indicated by the arrow buttons. The rate slider located below the rotate buttons controls how far the model moves each time you pick an arrow key.

  • Dot Buttons: Use them to zoom straight in or out on the model. The small dot signifies that the image of the model will become smaller, or that you will be zooming out. Likewise, the large dot indicates that the image of the model will become larger, or that you will be zooming in. The rate slider located below the rotate buttons controls the amount of change in model size from zooming in or out.

Rotate Buttons

The rate slider rotates the model about the X-Y-Z screen coordinates. Your screen coordinate axis origin is centered in each defined window. The positive X-axis starts at the center of your window and extends to the right. The positive Y-axis also starts at the center but extends straight up. The positive Z-axis starts at the center and extends out of the screen straight at you. Your model will rotate about these axes in the directions shown on the buttons. The rate slider that is below the rotate buttons controls the amount of rotation.

Rate Control

Determines the amount of pan, zoom, or rotate that is initiated with the arrow, dot and rotate buttons above. The rate can vary from 1 to 100. A rate of 1 means that each time you pick one of the buttons, the model will pan, zoom or rotate a relatively small amount. For instance, a rate of 1 corresponds to a 1 degree rotation about a screen axis each time you pick one of the rotation buttons.

Dynamic Mode

Pressing this button activates dynamic model/lighting manipulation modes. If you are running on a 2-D graphics device (such as /SHOW,X11), you can use your mouse pointer to pan, zoom, or rotate the model. On a 2-D device, you will automatically be put into model manipulation mode after pressing this button (see I. Model, below). On a 3-D device (such as /SHOW,3D), you can choose between manipulating the model or the lighting by using the buttons below the Dynamic button.

Dynamic Mode: Model

If you want to pan, zoom or rotate your model dynamically, press this button (This is the default dynamic mode if you are using a 2-D device). Then, when you press and hold down any of your mouse buttons while the pointer is in the active window, a rubberbanding box will show up around your model. If you press the left mouse button, you can use the rubberbanding box to pan, or move your model to where you would like it to be in your active window. The right button lets you rotate the model about the screen X and Y axes by moving the mouse pointer. The center mouse button (shift-right button on a two-button mouse) has two functions: with it, you can rotate your model about the screen Z axis by moving the pointer right and left, and you can zoom in and out on your model by moving the pointer up and down.

Dynamic Mode: Lighting

This option is available to you only if you are using a 3-D graphics device. If you are using a 3-D device, you can use this option to control the light source location, intensity, and the reflectance of your model. The mouse buttons function as follows:

  • Left: Move in X-direction to increase or decrease the reflectance (or shininess) of your model. Move in the Y-direction to change the intensity of the directional lights (there are two directional lights, one in front and one behind your model).

  • Middle: Move in the X-direction to rotate the directional lights about the screen Z-axis. Move in the Y-direction to change the intensity of the ambient light.

    Note

    Using a two-button mouse, shift-right to execute the middle button features.

  • Right: Move in the X-direction to rotate the directional lights about the screen Y-axis. Move in the Y-direction to rotate the lights about the screen X-axis.

Action Buttons

  • Fit: Automatically adjusts that amount of zoom in the active window so that your entire model can be seen within the window. This is a useful key to use after you have zoomed in a number of times to examine a portion of your model and now want to view the entire model.

  • Reset: Removes any pan, zoom, or rotate specifications in the active window. Your model will be displayed in its default orientation and sized to fit within the active widow.


PC Hard Copy

ANSYS Function

Indicates that graphics will be written to a file or sent directly to a printer.

Plot Type

Specifies the graphics type for your printer. See your printer documentation for the specific black and white, grayscale and color capabilities.

File Type

  • Bitmap: Creates bitmap file (should not be spooled to a printer)

  • Postscript: Creates PostScript file

  • TIFF: Creates TIFF file

  • JPEG: Creates a .jpg file

  • PNG: Creates a .png file

TIFF Compression Toggle

Compresses TIFF files (Default=ON).

Black/White Toggle

Switches black to white, and white to black on to compensate for the default black background on the ANSYS Graphics Window. By default, Reverse Video is on, allowing this option to generate white print outs with black (or shaded/colored) legend, plot and data items.

Orientation

Specifies how your graphics are oriented on hard copies. The default orientation is Landscape.

File Command

Writes your graphics to a file. By default, your graphics are written to a file with the name shown in the text entry box. You can change the file name to something that more closely describes your project, but you should keep the default extension.

Note

Open GL (3D) devices require that the Graphics Window contents be brought to the top to generate plots of partially obstructed window contents. See the /UIS command for more information on this behavior and how it affects other graphics operations.


Capture Image: Print

ANSYS Function

Prints a hard copy of a captured image. You can write the image to a graphics file or send it directly to the printer. (Both of these options are called "hard copies.") This method of printing produces a hard copy similar in resolution quality to a typical screen dump.

Plot Type

Specifies the graphics type for your printer. Most laser printers are designed to print black and white (monochrome) or gray scale graphics. Color graphics can be printed on many thermal-wax type plotters.

File Type

  • Postscript: Creates PostScript file

  • TIFF: Creates TIFF file (should not be spooled to a printer)

  • EPS with TIFF Preview: Encapsulated PostScript with TIFF preview (should not be spooled to printer). Use only for inserting graphics inside a publishing package.

  • JPEG: Creates a .jpg file

  • PNG: Creates a .png file

TIFF Compression Toggle

Compresses TIFF files and EPS files with TIFF preview (Default = ON). Turn off when using WordPerfect.

Black/White Toggle

Switches the color black to the color white on hard copies. By default, Reverse Video is on, which means that what you see in white on your screen will be printed in black on your hard copy.

Orientation

Specifies how graphics are oriented on hard copies. The default orientation is Landscape, which means that the width dimension of the captured image will correspond to the height dimension of your printed page.

Print Command

Press this button if you want your graphics to go directly to a printer. Then, in the corresponding text entry box, fill out the system level print command (for instance, lpr in Unix) that you use to send PostScript format files to PostScript printers.

File Command

Writes the captured image to a PostScript file. By default, the image will be written to a file with the name shown in the corresponding text entry box. You can change the file name into something meaningful for your project but you should keep the default extension in order to retain the automatic indexing of the extension name. For instance, if you name the first file shuttle.p01 and then pick OK, the name in the text entry box for the next file to be produced will automatically be indexed to read shuttle.p02.


Contour Element Solution Data

For information on this topic, select one of the following:

PLESOL
AVPRIN


Contour Nodal Solution Data

For information on this topic, select one of the following:

PLNSOL
AVPRIN
/EFACET


Vector Plot of Predefined Vectors

For information on this topic, select one of the following:

PLVECT
/VSCALE


List Element Solution

For information on this topic, select one of the following:

PRESOL


List Nodal Solution

For information on this topic, select one of the following:

PRNSOL
AVPRIN


FLOTRAN Print Controls

For information on this topic, select one of the following:

FLDATA5
FLDATA21


Fluid Properties

For information on this topic, select one of the following:

FLDATA12
FLDATA13


Redirects Plots to PSCR

For information on this topic, select one of the following:

PSCR
/GFILE
/DEVICE


Table for PSD vs Frequency

For information on this topic, select one of the following:

PSDVAL
PSDFRQ


Piping Model Loads

For information on this topic, select one of the following:

PTEMP
PPRES
PDRAG


Piping Model Specifications

For information on this topic, select one of the following:

PUNIT
PSPEC
PFLUID
PINSUL
PCORRO
POPT


Table of Quadspectral Values vs Frequencies

For information on this topic, select one of the following:

QDVAL
PSDFRQ


Results Query Picker

ANSYS Function

Identifies the information being queried; either nodal, element, or subgrid solution data (in this example, element solution data).

Pick Mode

Allows you to pick or unpick a location on the model to be queried. You can use either these toggle buttons or the right mouse button to switch between pick and unpick modes. The mouse pointer is shown as an up arrow for picking and a down arrow for unpicking.

Picked Location

Shows the number and location (in global Cartesian coordinates) of the node, element (coordinates are of the element centroid), or subgrid point being picked for query. You can preview this information by pressing and dragging the mouse in the graphics area. The picked location is highlighted on the model as a square on the displaced shape. The nodal location or element centroid locations are shown in undeformed or deformed locations based on the type of display that has been performed. For undeformed displays (i.e., NPLOT, EPLOT, etc.), the coordinate locations will be in undeformed global Cartesian coordinates. For deformed displays (i.e., PLDISP, PLNSOL, PLESOL, etc.), the coordinate locations will be in deformed global Cartesian coordinates, subject to command /DSCALE settings.

Queried Data

Shows the queried solution data for the node, element, or subgrid point at the picked location. Use the Max or Min buttons to automatically obtain the maximum or minimum value of the query data for the viewable portion of the model.

Generate 3D Annotation

Applies the queried information to the model as 3D annotation.

Action Buttons

  • OK: Clears all query data (restores the graphics display without replotting) and closes the query picking menu.

  • Apply: Clears all query data (restores the graphics display without replotting) and redisplays the Query Solution Data (either Nodal, Element, or Subgrid) dialog box. You can either use this button on the picking menu, or, stay in the graphics area and click the middle mouse button to achieve the same effect.

  • Reset: Clears all query data (restores the graphics display without replotting).

  • Cancel: Clears all query data (restores the graphics display without replotting) and closes the Query Picking menu.

  • Min: Shows the minimum value of the query data for the viewable portion of the model.

  • Max: Shows the maximum value of the query data for the viewable portion of the model.

Hints on Using the Query Picking Menu

  • Query picking is most effective when used in vector mode (for example, with wireframe displays) because you can read the queried data easily right on top of the model in the Graphics Window. Vector mode is accessed under PlotCtrls> Device Options (or /DEVICE command).

  • Press and drag the left mouse button around on the model for an easy way to see the queried data for many different points without creating excessive clutter on the screen.

  • Use the Reset button often to clear the screen of queried data and get a "clean" model on which to continue querying.

  • The Min and Max buttons are useful for quickly identifying the location and value of the minimum and maximum query data.

  • The results query picker retrieves data from the database. The operations and functions performed are not written to the log file.

  • In Powergraphics the Results Query Picker will provide information for shell elements that corresponds to the side of the object you see, not what you specified in the SHELL command.


Query Solution Data

This is a two-column selection list dialog box. First choose a category of the solution data from the left column, and then pick the desired component from the right column.

ANSYS Function

Identifies the item of the solution data to be queried.

For any picked subgrid point on the model, ANSYS retrieves the data value from the database and displays it. The /EFACET command controls the number and location of subgrid points available for querying and the AVRES command controls the method of averaging results for querying.

Solution Data Item

Categories of solution data. Use the scroll bar to see all valid items.

Solution Data Component

Component of the solution data item. The list of valid components varies depending on the chosen category. Use the scroll bar to see all valid components.

Selection

A visual verification of the chosen item and component of the solution data. (This is not a text entry box.)


Radiation Solution Options

For information on this topic, select one of the following:

STEF
TOFFST
RADOPT
SPCTEMP
SPCNOD


Real Constant Set Number 1 for - Resistor

For information on this topic, select one of the following:

R
RMORE


Data and File Options

For information on this topic, select one of the following:

INRES
FILE


Define Real Constants

List

Lists real constants that you have defined in this listing area. You can select any of the defined real constants by clicking on that line within the box. The selected real constant will be highlighted, and you can then pick either Edit or Delete to modify the real constant set.


References Conditions

For information on this topic, select one of the following:

FLDATA14
FLDATA15
FLDATA16
FLDATA17
TOFFST


Restore Image

ANSYS Function

The File Selection dialog box lets you read in a previously saved captured image file.

Filter

The search path (directory and file name) that will be used if you click on the Filter button. Matching files found upon filtering will be shown in the Directory and File List areas. By default, the search path for filtering is the working directory with files ending in a .img extension.

Directory List

List of directories for specifying where a file is to be read from. When you click on any directory from the list, the corresponding File List area changes to reflect the files in that directory.

File List

List of files from which to choose for reading in.

File Name

A text entry box where you can directly enter the name of the file to be read in.

Action Buttons

  • Filter: Does a search for files that reside in the directory as specified in the Filter area. Matching files found upon filtering will be shown in the Directory and File List areas.


Rotating Coordinates

For information on this topic, select one of the following:

CGOMGA
CGLOC


Individual Runtime Statistics

For information on this topic, select one of the following:

RSTAT
RMEMRY
RWFRNT
RFILSZ
RTIMST


Scalar Parameters

List

Lists currently defined scalar parameters. Pick a parameter in this area to select it (it will appear in the "Selection" input box). You can use the currently selected parameter as input elsewhere in the GUI. To do so, use the middle mouse button to paste it into the desired input field.

Selection

This area serves two purposes:

  • To specify a parameter using the Name= format (*SET command), type the parameter in the box and choose Accept to define it.

  • To edit or delete a selected parameter (picked from the list area), modify the parameter and choose Accept to change it.


Select Entities: By Attributes

Entity Type

  • Nodes [NSEL]

  • Elements[ESEL]

  • Volumes [VSEL]

  • Areas [ASEL]

  • Lines [LSEL]

  • Keypoints [KSEL]

Selection Criteria

Select entities by attributes.

Attachment Criteria

  • Master node num: Select nodes with a master DOF (for reduced analysis).

  • Coupled set num: Select nodes with a coupled DOF.

  • Constraint eq num: Select nodes that are subject to constraint equations.

  • THXY rot angle: Select nodes whose nodal coordinate systems have been rotated by the given THXY angle.

  • THYZ rot angle: Select nodes whose nodal coordinate systems have been rotated by the given THYZ angle.

  • THZX rot angle: Select nodes whose nodal coordinate systems have been rotated by the given THZX angle.

  • Min,Max,Inc: Minimum and maximum values of the specified attributes and increment to advance from the minimum to the maximum value. Inc does not apply to the rotation angles.

  • Material num: Material number associated with an entity.

  • Elem type num: Element type number associated with an entity.

  • Real set num: Real constant set number associated with an entity.

  • Elem CS num: Element coordinate system number associated with an entity.

  • No. of divisions: Number of divisions within the line.

  • Spacing ratio: Spacing ratio of line divisions.

  • Section ID num: Associated with an entity.

  • Layer num: Only for composite elements.

  • LS-DYNA Part ID: Only for ANSYS LS-DYNA.

Selection Function Setting

  • From Full: Select a new set of entities from the entire model.

  • Reselect: Replace the current set of entities with a subset of those entities.

  • Also Select: Select additional entities to add to the currently selected set of entities.

  • Unselect: Unselect entities from the currently selected set of entities.

Selection Function Action

Selection function actions execute immediately.

  • Sele All: Select all entities.

  • Invert: Unselect the currently selected set of entities, and select the currently unselected set of entities.

  • Sele None: Unselect all entities.

  • Sele Belo: Selects all items directly associated with and below the selected items of the specified entity type.

Action Buttons

Options within your current window that are not selected will not be plotted. You can act upon the unselected options using Selection Function Settings: From Full or Also Select.

  • Plot: If you press the Plot button, an entity plot occurs for the entity that is featured on the drop down. For instance, if the drop down displays "Nodes", an NPLOT occurs.

  • Replot: If you press the Replot button, ANSYS issues a “/REPLOT” command. If your most recent plot was an “EPLOT”, then pressing Replot reissues the EPLOT command.


Select Entities: Lines - By Length or by Radius

Selection Criteria

By Length/Rad: Select line by length or by radius.

Selection Type

By Length or By Radius: Indicate whether lines are selected by length or by radius.

Range Criteria

Min, Max, Inc: The minimum value and maximum value of the length or radius of the line(s) to be selected and Inc indicates the value increment within the range.

Selection Function Setting

  • From Full: Select a new set of entities from the entire model.

  • Reselect: Replace the current set of entities with a subset of those entities.

  • Also Select: Select additional entities to add to the currently selected set of entities.

  • Unselect: Unselect entities from the currently selected set of entities.

Selection Function Action

Selection function actions execute immediately.

  • Sele All: Select all entities.

  • Invert: Unselect the currently selected set of entities, and select the currently unselected set of entities.

  • Sele None: Unselect all entities.

  • Sele Belo: Selects all items directly associated with and below the selected items of the specified entity type.

Action Buttons

Options within your current window that are not selected will not be plotted. You can act upon the unselected options using Selection Function Settings: From Full or Also Select.

  • Plot: If you press the Plot button, an entity plot occurs for the entity that is featured on the drop down. For instance, if the drop down displays "Nodes", an NPLOT occurs.

  • Replot: If you press the Replot button, ANSYS issues a “/REPLOT” command. If your most recent plot was an “EPLOT”, then pressing Replot reissues the EPLOT command.


Select Entities: Attached to Other Entities

Entity Type

  • Nodes [NSEL]

  • Elements[ESEL]

  • Volumes [VSEL]

  • Areas [ASEL]

  • Lines [LSEL]

  • Keypoints [KSEL]

Selection Criteria
Attached to

Select entities that are attached to other entities. You must select entities to be used in defining attachment criteria before entering this dialog box.

Attachment Criteria

  • Nodes: Select entities [ESLN, KSLN] based on their connectivity to the currently selected set of nodes.

  • Nodes, all: Select entities [ESLN] that are fully defined by nodes in the currently selected set of nodes.

  • Elements: Select all entities [NSLE] contained in the currently selected set of elements.

  • Keypoints: Select all entities [NSLK, LSLK] contained in the currently selected set of keypoints.

  • Keypoints, all: Select entities [LSLK] only if all of each lines keypoints are in the currently selected set of keypoints.

  • Lines: Select entities [ESLL, ASLL, KSLL] contained in the currently selected set of lines.

  • Lines, all: Select all entities [NSLL, ASLL] contained in the currently selected set of lines.

  • Lines, interior: Select all entities [NSLL] contained in the currently selected set of lines, except those at the endpoints of the lines.

  • Areas: Select entities [ESLA, LSLA, VSLA] contained in the currently selected set of areas.

  • Areas, all: Select all entities [NSLA, VSLA] contained within the currently selected set of areas.

  • Areas, interior: Select all entities [NSLA] contained within the currently selected set of areas, except those on the edges of the areas.

  • Volumes: Select entities [ESLV, ASLV] based on those currently meshed in the currently selected set of volumes.

  • Volumes, all: Select all entities [NSLV] contained within the currently selected set of volumes.

  • Volumes, interior: Select all entities [NSLV] contained within the currently selected set of volumes, except those on the exterior surfaces of the volumes.

Selection Function Setting

  • From Full: Select a new set of entities from the entire model.

  • Reselect: Replace the current set of entities with a subset of those entities.

  • Also Select: Select additional entities to add to the currently selected set of entities.

  • Unselect: Unselect entities from the currently selected set of entities.

Selection Function Action

Selection function actions execute immediately.

  • Sele All: Select all entities.

  • Invert: Unselect the currently selected set of entities, and select the currently unselected set of entities.

  • Sele None: Unselect all entities.

  • Sele Belo: Selects all items directly associated with and below the selected items of the specified entity type.

Action Buttons

Options within your current window that are not selected will not be plotted. You can act upon the unselected options using Selection Function Settings: From Full or Also Select.

  • Plot: If you press the Plot button, an entity plot occurs for the entity that is featured on the drop down. For instance, if the drop down displays "Nodes", an NPLOT occurs.

  • Replot: If you press the Replot button, ANSYS issues a “/REPLOT” command. If your most recent plot was an “EPLOT”, then pressing Replot reissues the EPLOT command.


Select Entities

Entity Type

  • Nodes [NSEL]

  • Elements[ESEL]

  • Volumes [VSEL]

  • Areas [ASEL]

  • Lines [LSEL]

  • Keypoints [KSEL]

Selection Criteria

  • By Num/Pick: Select an entity by keyboard entry or by graphical picking.

  • Exterior: Select entity type on exterior of currently selected item. You must select entities to be used before entering this dialog box.

  • By Results: Select entities having solution results within a chosen range. You must save solution results in an element table [ETABLE] before you can choose these elements.

  • Live Elem's: Select elements that have not been previously "killed" [EKILL], or that have been previously "born" [EALIVE] after being "killed." See the discussion on element birth and death in the Advanced Analysis Techniques Guide.

  • By Hard Points: Select those entities which are hard points.

  • Concatenated: Select concatenated entity.

Selection Function Setting

  • From Full: Select a new set of entities from the entire model.

  • Reselect: Replace the current set of entities with a subset of those entities.

  • Also Select: Select additional entities to add to the currently selected set of entities.

  • Unselect: Unselect entities from the currently selected set of entities.

Selection Function Action

Selection function actions execute immediately.

  • Sele All: Select all entities.

  • Invert: Unselect the currently selected set of entities, and select the currently unselected set of entities.

  • Sele None: Unselect all entities.

  • Sele Belo: Selects all items directly associated with and below the selected items of the specified entity type.

Action Buttons

Options within your current window that are not selected will not be plotted. You can act upon the unselected options using Selection Function Settings: From Full or Also Select.

  • Plot: If you press the Plot button, an entity plot occurs for the entity that is featured on the drop down. For instance, if the drop down displays "Nodes", an NPLOT occurs.

  • Replot: If you press the Replot button, ANSYS issues a “/REPLOT” command. If your most recent plot was an “EPLOT”, then pressing Replot reissues the EPLOT command.


Select Entities: By Location

Entity Type

  • Nodes [NSEL]

  • Volumes [VSEL]

  • Areas [ASEL]

  • Lines [LSEL]

  • Keypoints [KSEL]

Selection Criteria

Select entity by location.

Location Settings

  • X,Y,Z Coordinates: Selects the Cartesian coordinate to use to specify location for area selection. Interpreted as R, Θ, Z for cylindrical coordinate system or R, Θ, Φ for spherical coordinate system. One coordinate at a time is specified. You must specify the coordinate system before entering this dialog box.

  • Min,Max: The minimum value and maximum value of the specified coordinate. Areas with "hot spot" within the specified range will be selected.

Selection Function Setting

  • From Full: Select a new set of entities from the entire model.

  • Reselect: Replace the current set of entities with a subset of those entities.

  • Also Select: Select additional entities to add to the currently selected set of entities.

  • Unselect: Unselect entities from the currently selected set of entities.

Selection Function Action

Selection function actions execute immediately.

  • Sele All: Select all entities.

  • Invert: Unselect the currently selected set of entities, and select the currently unselected set of entities.

  • Sele None: Unselect all entities.

  • Sele Belo: Selects all items directly associated with and below the selected items of the specified entity type.

Action Buttons

Options within your current window that are not selected will not be plotted. You can act upon the unselected options using Selection Function Settings: From Full or Also Select.

  • Plot: If you press the Plot button, an entity plot occurs for the entity that is featured on the drop down. For instance, if the drop down displays "Nodes", an NPLOT occurs.

  • Replot: If you press the Replot button, ANSYS issues a “/REPLOT” command. If your most recent plot was an “EPLOT”, then pressing Replot reissues the EPLOT command.


Select Entities: Elements

Selection Criteria

  • By Elem Name: Select elements that have a previously defined [ET] name or number.

  • Adjacent to: Select elements that are adjacent to the specified element. Only elements of the same dimensionality adjacent to lateral faces are considered. Progression continues until edge of model or until more than two elements are adjacent at a face.

Element Name

Element number to which the selected elements are to be adjacent (for example, SOLID45 or 45).

Selection Function Setting

  • From Full: Select a new set of entities from the entire model.

  • Reselect: Replace the current set of entities with a subset of those entities.

  • Also Select: Select additional entities to add to the currently selected set of entities.

  • Unselect: Unselect entities from the currently selected set of entities.

Selection Function Action

Selection function actions execute immediately.

  • Sele All: Select all entities.

  • Invert: Unselect the currently selected set of entities, and select the currently unselected set of entities.

  • Sele None: Unselect all entities.

  • Sele Belo: Selects all items directly associated with and below the selected items of the specified entity type.

Action Buttons

Options within your current window that are not selected will not be plotted. You can act upon the unselected options using Selection Function Settings: From Full or Also Select.

  • Plot: If you press the Plot button, an entity plot occurs for the entity that is featured on the drop down. For instance, if the drop down displays "Nodes", an NPLOT occurs.

  • Replot: If you press the Replot button, ANSYS issues a “/REPLOT” command. If your most recent plot was an “EPLOT”, then pressing Replot reissues the EPLOT command.


Read Results

For information on this topic, select one of the following:

SET
SUBSET
APPEND


Radiation Matrix Settings

For information on this topic, select one of the following:

STEF
GEOM
SPACE


ANSYS Help

For information on this topic, select one of the following:

SFA
STEF


ANSYS Help

For information on this topic, select one of the following:

SFE
STEF


ANSYS Help

For information on this topic, select one of the following:

SFL
STEF


Size and Shape

For information on this topic, select one of the following:

/SHRINK
/ESHAPE
/RATIO
/EFACET
/CFORMAT


Exit from ANSYS

For information on this topic, select one of the following:

/EXIT
FINISH


Redirect Plots to GRPH File

For information on this topic, select one of the following:

/SHOW
/GFILE
/DEVICE


Display and Update Nonlinear Convergence Specifications

ANSYS Function

Defines nonlinear convergence criteria [CNVTOL], and lets you add a tolerance for nonlinear convergence specifications, edit existing specifications, and delete currently defined specifications.

List

Lists convergence specifications that you have defined. As new specifications are added, this listing area updates automatically. You can select any of the defined convergence specifications by clicking on that line within the box. The selected specification will be highlighted, and you can then pick either Edit or Delete to modify the convergence criteria set.


Default p-Method Convergence Criteria

ANSYS Function

Displays default p-Method convergence criteria [PCONV]. You can also display a new dialog box that will redefine this default tolerance for convergence specifications, or add additional convergence criteria based on certain results (U, S, etc.) at discrete places throughout you model.

List

Lists the default convergence specifications.

  • Toler: Lists the default percent tolerance for convergence.

  • Item,Comp: Convergence is based on these default Item,Comp labels.

  • Node: The default node number associated with the Item,Comp labels described above. This entry box is valid only with S, EPEL, and U labels.

  • Surf: For shells only. Specifies whether convergence will be at the top, bottom or mid.

Replace: Opens a dialog box that enables you to replace the default values with user-defined values for convergence criteria.


Solution Controls

General Information About Using the Solution Controls Dialog Box

You can use the Solution Controls dialog box if you are performing a static or full transient analysis.

The Solution Controls dialog box consists of five tabbed “pages,” each of which contains a set of related solution controls. The tabs, in order from left to right, include:

  • Basic

  • Transient

  • Sol'n Options

  • Nonlinear

  • Advanced NL

Each set of controls is logically grouped on a tab; the most basic controls appear on the first tab, with each subsequent tab providing more advanced controls. The Transient tab contains transient analysis controls; it is available only when you choose a transient analysis and remains grayed out when you choose a static analysis.

Once you are satisfied with the settings on the Basic tab, you do not need to progress through the remaining tabs unless you want to change some of the advanced controls. As soon as you click OK on any tab of the dialog box, the settings are applied to the ANSYS database and the dialog box closes.

Note

Whether you make changes to only one or to multiple tabbed pages, your changes are applied to the ANSYS database only when you click OK to close the dialog box.

Basic Tab

Use the Basic tab to specify the options described below. The controls that appear on the Basic tab provide the minimum amount of data that ANSYS needs for the analysis.

Analysis Options

[ANTYPE, NLGEOM]--Specifies the type of analysis that you want to perform. (The “large deformation effects” referred to below include large deflection, large rotation, and/or large strain, depending on the element type being used.) You can choose one of these options:

  • Small Displacement Static: Performs a linear static analysis (that is, a static analysis in which large deformation effects are ignored).

  • Large Displacement Static: Performs a nonlinear static analysis (that is, a static analysis in which large deformation effects are included).

  • Small Displacement Transient: Performs a linear full transient analysis (that is, a full transient analysis in which large deformation effects are ignored).

  • Large Displacement Transient: Performs a nonlinear full transient analysis (that is, a full transient analysis in which large deformation effects are included).

  • Restart Current Analysis: Restarts the current analysis.

Time Control

Controls various time settings.

In the Time at end of loadstep [TIME] entry box, specify a time value for ANSYS to associate with the boundary conditions at the end of the load step.

Click the Automatic time stepping [AUTOTS] drop down list box to turn automatic time stepping on, off, or have ANSYS automatically switch it on and off between substeps of a load step as needed.

Determine how you want to control the number of substeps that are taken within a load step. You can choose either Number of substeps or Time increment:

  • Number of substeps [NSUBST]: Indicates that you want to specify a specific number of substeps to be taken within this load step. If you choose this option, you can use the Number of substeps, Max no. of substeps, and Min no. of substeps entry boxes to specify starting values and limits for substeps. How these limits are interpreted by ANSYS depends on what option you selected in the Automatic time stepping drop down list box:

    • Number of substeps: If automatic time stepping is turned off, specifies the number of substeps to be taken this load step (that is, the time step size or frequency increment). If automatic time stepping is turned on, specifies the size of the first substep.

    • Max no. of substeps: Specifies the maximum number of substeps to be taken (that is, the minimum time step size) if automatic time stepping is turned on.

    • Min no. of substeps: Specifies the minimum number of substeps to be taken (that is, the maximum time step size) if automatic time stepping is turned on.

  • Time increment [DELTIM]: Indicates that you want to specify the time step size for this load step. If you choose this option, you can use the Time step size, Minimum time step, and Maximum time step entry boxes to specify starting values and limits for time steps. How these limits are interpreted by ANSYS depends on what option you selected in the Automatic time stepping drop down list box:

    • Time step size: If automatic time stepping is turned off, specifies the time step size for this load step. If automatic time stepping is turned on, specifies the starting time substep.

    • Minimum time step: Specifies the minimum time step size (if automatic time stepping is turned on).

    • Maximum time step: Specifies the maximum time step size (if automatic time stepping is turned on).

Write Items to Results File

[OUTRES]--Specifies the solution data that you want ANSYS to write to the results file (database). You can choose one of these options:

  • All solution items: Writes all solution items to the database.

  • Basic quantities: Writes only the following solution items to the database: nodal DOF solution; nodal reaction loads; element nodal loads and input constraint and force loads; element nodal stresses; element nodal gradients; and element nodal fluxes.

  • User selected: Writes only selected solution items. If you select this option, use the list box to choose the specific solution items that you want ANSYS to write to the database. Ctrl-click on each item to select it; to unselect a selected item, Ctrl-click on it again.

Use the Frequency drop down list box to indicate how frequently you want ANSYS to write the selected solution items to the database. You can choose one of these options: Write every substep, Do not write any substeps, Write last substep only, Write every Nth substep, or Write N number of substeps.

For more information about the controls on the Basic tab, see Loading and The General Postprocessor (POST1) in the Basic Analysis Guide.

Transient Tab

Use the Transient tab to specify the options described below.

Full Transient Options

Specifies the transient options that you want to include in the analysis. You can set one or more of these options:

  • Transient effects [TIMINT]: Includes transient effects (for example, structural inertia).

  • Stepped loading/Ramped loading [KBC]: Choose between stepped loading or ramped loading by clicking the desired button. When loading is stepped, loads are step changed at the first substep of this load step to the values of this load step (that is, the same values are used for all substeps). When loading is ramped, loads are linearly interpolated for each substep from the values of the previous load step to the values of this load step.

Damping Coefficients

Specifies various damping options. One form of the viscous damping matrix [C] is given by α[M] + β[K], where [M] is the mass matrix and [K] is the stiffness matrix. You can specify values for one or both of the following:

  • Mass matrix multiplier (ALPHA) [ALPHAD]: Defines the mass matrix multiplier, α, for damping.

  • Stiffness matrix multiplier (BETA) [BETAD]: Defines the stiffness matrix multiplier, β, in the damping expression described above.

Midstep Criterion

Specifies the midstep residual criterion to be used in the analysis [MIDTOL command]:

  • Midstep Criterion: Activate midstep residual criterion.

  • Tol/Ref for Bisection: Midstep residual tolerance (if > 0) or reference value (if < 0) used for bisection.

  • Include Response Frequency: Calculate response frequency and consider it in the automatic time stepping.

Time Integration

Specifies time integration method and parameters.

  • Algorithm [TRNOPT]: Choose the Newmark algorithm or the HHT algorithm.

Integration parameters can be set by choosing one of these two options:

  • Amplitude decay [TINTP]: Defines an amplitude decay for the second order transient integration. If you choose this option, use the GAMMA entry box to specify the factor.

  • Integration parameters: Allows individual input of each integration parameter. If you choose this option, use the ALPHA and DELTA entry boxes to specify the Newmark parameters. If the HHT algorithm was selected, use ALPHAM and ALPHAF to specify additional HHT parameters.

For more information about the controls on the Transient tab, see Transient Dynamic Analysis in the Structural Analysis Guide.

Sol'n Options Tab

Use the Sol'n Options tab to specify the options described below.

Equation Solvers

[EQSLV]--Specifies the type of equation solver that you want to use. You can choose one of these options:

  • Program chosen solver: ANSYS selects a solver for you, based on the physics of the problem.

  • Sparse direct: This direct elimination solver is suited for analyses in which robustness and solution speed are required (nonlinear analyses), and for linear analyses in which iterative solvers are slow to converge (especially for ill-conditioned matrices, such as poorly shaped elements). Handles models having 10,000 to 500,000 DOFs (more for shell and beam models). Memory use is medium; disk use is high.

  • Pre-Condition CG: This iterative solver is suited for analyses in which solution speed is crucial, such as in linear analyses of large models. Especially well suited for bulky structures modeled with solid elements. Handles models having 50,000 to 1,000,000+ DOFs. Memory use is medium; disk use is low. If you choose this option, use the slider to set the accuracy level for convergence for the solver. The accuracy level can vary from 1 (fastest setting, fewer number of iterations) to 5 (slowest setting, accurate, more number of iterations).

  • Iterative: ANSYS selects an iterative solver for you, based on the physics of the problem. If you choose this option, use the slider to set the accuracy level for convergence for the automatically-selected iterative solver. The accuracy level can vary from 1 (fastest setting, fewer number of iterations) to 5 (slowest setting, accurate, more number of iterations). If the model contains only PLANE2, SOLID45, SOLID92, SOLID95, SURF153, and SURF154 element types, this option will suppress the creation of Jobname.EMAT and Jobname.EROT files.

  • Frontal direct: This direct elimination solver is suited for analyses in which robustness is required (nonlinear analyses) or when memory is limited. Handles models having under 50,000 DOFs. Memory use is low; disk use is high.

  • Algebraic M-grid: The Algebraic Multigrid (AMG) solver, which is based on the multi-level method, is an iterative solver that you can use in single- and multiprocessor environments. To use this solver, you must have a license for the ANSYS Mechanical HPC advanced task (add-on) for each processor. Algebraic Multigrid iterative equation solver is available for STATIC analyses and TRANS (full method only) analyses. It is very efficient for single-field structural analyses (where the solution DOFs are combinations of UX, UY, UZ, ROTX, ROTY, and ROTZ). For applications such as single-field thermal analyses (where the solution DOF is TEMP), the AMG solver is less efficient. Recommended for ill-conditioned problems in which the PCG and ICCG solvers would have difficulty converging; applicable in both single- and multiprocessor environments.

For detailed information on these solvers, see the Basic Analysis Guide.

Restart Control

[RESCONTROL]--Restarts an analysis from any point. In the Number of restart files to write entry box, indicate the maximum number of restart files that you want ANSYS to write for a load step.

Click the Frequency drop down list box and choose how frequently you want restart files to be written to the ANSYS database. You can choose one of these options: Write every substep, Do not write any files, Write last substep only, Write every Nth substep, or Write N number of substeps.

For more information about the controls on the Sol'n Options tab, see Solution in the Basic Analysis Guide.

Nonlinear Tab

Use the Nonlinear tab to specify the options described below.

Nonlinear Options

Controls several nonlinear options and how they are used in the analysis. You can set one or both of these options:

  • Line search [LNSRCH]: Activates a line search to be used with the Newton-Raphson method. Line search is an alternative to adaptive descent. You can turn line search on or off, or have ANSYS automatically switch line searching on and off between substeps of a load step as needed. This setting, which is recommended, can be very efficient for analyses in which a line search is needed only at certain substeps.

  • DOF solution predictor [PRED]: Activates a predictor on the degree of freedom solution. You can turn the predictor on for all substeps of a load step except the first substep, on for all substeps including the first substep, off for all substeps, or have ANSYS automatically switch a predictor on and off between substeps of a load step as needed.

Equilibrium Iterations

[NEQIT]--In the Maximum number of iterations entry box, specify the maximum number of equilibrium iterations that you want to allow per substep.

Creep Option

[RATE]--Specifies whether the effect of creep strain rate will be used in the solution of a load step. You can turn creep calculation on or off. The default is off. This option must be on to perform an implicit creep analysis. RATE works only when performing an implicit creep analysis with the following elements: LINK180, SHELL181, PLANE182, PLANE183, SOLID185, SOLID186, SOLID187, SOLSH190, BEAM188, BEAM189, SHELL208, and SHELL209.

Set convergence criteria

[CNVTOL]--Sets convergence values for the analysis. Click the Set convergence criteria button to access the Nonlinear Convergence Criteria dialog box. The dialog box contains a Help button that you can click for more information.

Cutback Control

[CUTCONTROL]--Provides control over bisections, or cutbacks, in substep size. Under Limits on physical values to perform bisection, specify limits for cutbacks. When any of these limits is exceeded, a cutback occurs. You can specify values for one or more of these limits:

  • Plastic strain ratio: A cutback occurs if the equivalent plastic strain within a substep exceeds this limit.

  • Explicit creep ratio: A cutback occurs if the equivalent explicit creep ratio within a substep exceeds this limit.

  • Implicit creep ratio: A cutback occurs if the equivalent implicit creep ratio within a substep exceeds this limit.

  • Incremental displacement: A cutback occurs if the incremental displacement within the solution field in a substep exceeds this limit.

  • Points per cycle: A cutback occurs if the number of solution points per cycle exceeds this limit.

You can also choose one of these options:

  • Cutback according to predicted number of iterations: ANSYS uses an internal auto time step scheme to predict the number of iterations for nonlinear convergence and performs a cutback before reaching the number of iterations specified in the Maximum number of iterations entry box (described above). This is the recommended setting.

  • Always iterate to n equilibrium iterations: A nonconvergent solution iterates to the number of iterations specified in the Maximum number of iterations entry box (described above) before ANSYS invokes a cutback.

For more information about the controls on the Nonlinear tab, see Nonlinear Structural Analysis in the Structural Analysis Guide.

Advanced NL Tab

Use the Advanced NL tab to specify the options described below.

Termination Criteria

[NCNV]--Determines what happens if the analysis fails to converge or specified limits are met. Click the Program behavior upon nonconvergence drop down list box and choose one of these options: Do not terminate analysis, Terminate analysis and Exit, or Terminate but Do Not Exit.

Limits on physical values to stop analysis-- You can also specify limits for one or more of the following physical values:

  • Nodal DOF sol'n: Terminates if the largest nodal DOF solution value (displacement, temperature, and so on) exceeds this limit.

  • Cumulative iter: Terminates if the cumulative iteration number exceeds this limit.

  • Elapsed time: Terminates if the elapsed time (in seconds) exceeds this limit.

  • CPU time: Terminates if the CPU time (in seconds) exceeds this limit.

Arc-length Options

[ARCLEN, ARCTRM]--Controls activation and termination of the arc-length method. Click the Activate arc-length method check box to activate it, and then use the Max multiplier and Min multiplier entry boxes to specify the maximum and minimum multipliers of the reference arc-length radius.

Note

You cannot use the arc-length method with the following controls: automatic time stepping, line search, and the DOF solution predictor. If you activate the arc-length method after you set any of these controls, a warning message appears. If you choose to proceed with the arc-length method activation, ANSYS disables your automatic time stepping, line search, and DOF solution predictor settings.

Arc-length termination: Click the drop down list box to specify the basis of solution termination. You can choose one of these options:

  • Do not terminate analysis: Does not use arc-length option settings as the basis for terminating the analysis.

  • Terminate at first limit point: Terminates the analysis if the first limit point has been reached. (The first limit point is that point in the response history at which the tangent stiffness matrix becomes singular; in other words, the point at which the structure becomes unstable.)

  • Terminate at <direction> limit: Terminates the analysis when the displacement in the chosen direction first equals or exceeds a specified limit. The direction can be UX, UY, UZ, ROTX, ROTY, or ROTZ. If you select one of these options, specify the maximum desired displacement (absolute value) in the Displacement limit entry box. (For rotational degrees of freedom, specify the limit in radians rather than in degrees.) Then, click the Pick node button and use the picker to pick a node. ANSYS calculates the displacement at the picked node and compares it to the specified limit. When the calculated displacement equals or exceeds the specified limit, the analysis terminates.

For more information about the controls on the Advanced NL tab, see Nonlinear Structural Analysis in the Structural Analysis Guide.


Species Conductivity

For information on this topic, select one of the following:

MSPROP
MSVARY


General Species Data

For information on this topic, select one of the following:

MSSPEC
MSQUAD
MSNOMF


Steady State Control Settings

For information on this topic, select one of the following:

FLDATA2
FLDATA3
FLDATA5


ANSYS Help

For information on this topic, select one of the following:

*GET


ANSYS Help

For information on this topic, select one of the following:

TIME
EDINT
EDRST
EDHTIME
EDENERGY


Read Array Parameter Data from File

For information on this topic, select one of the following:

*VREAD
*TREAD


Setting for Array Parameters Operations

For information on this topic, select one of the following:

*VCUM
*VABS
*VFACT
*VLEN
*VCOL
*VMASK


Write Parameters to File

For information on this topic, select one of the following:

*CFOPEN
*VWRITE


Settings for Single-Point Response Spectrum

For information on this topic, select one of the following:

SVTYP
SED
ROCK


Symbols

For information on this topic, select one of the following:

/PBC
EDFPLOT
/PSF
/PBF
/PSYMB
/PICE


Temperature-dependent Allowable Stresses

For information on this topic, select one of the following:

TALLOW
SALLOW


Create Taper Section

For information on this topic, select one of the following:

SECTYPE
SECDATA


Time and Substep Options

For information on this topic, select one of the following:

TIME
NSUBST
KBC
AUTOTS
TSRES


Time and Time Step Options

For information on this topic, select one of the following:

TIME
DELTIM
KBC
AUTOTS
TSRES


Time Integration Controls

For information on this topic, select one of the following:

TIMINT
TINTP


Edit Toolbar/Abbreviations

List

Lists currently defined abbreviations. Pick an abbreviation in this area to select it (it will appear in the Selection edit box). You can edit or delete the selected abbreviation.

Selection

This area serves two purposes:

  • To specify an abbreviation using the *ABBR command format, type the abbreviation in the box and choose Accept to define it.

  • To edit or delete a selected abbreviation (picked from the list area), modify the abbreviation and choose Accept to change it.

    The format to define an abbreviation is *ABBR, Abbr, String, where Abbr is the abbreviation (up to 8 characters) representing the string String. The string can be a command, a macro name (an "unknown command" macro), or a GUI function name (which calls a dialog box). You can find a list of GUI function names under Help> Using the GUI> Menu Tree Structure.


Basis Topological Optimization

For information on this topic, select one of the following:

TOCOMP
TOVAR


Topological Optimization Function

For information on this topic, select one of the following:

TOCOMP
TOFREQ


Run Topological Optimization

For information on this topic, select one of the following:

TOTYPE
TODEF
TOLOOP


Transient Controls

For information on this topic, select one of the following:

FLDATA4
FLDATA4A


ANSYS Help

For information on this topic, select one of the following:

MP
UIMP


Online Help for ANSYS Dialog Boxes

Contains proprietary and confidential information of ANSYS, Inc. and its subsidiaries and affiliates.

Prev
Testing Unicode Characters 		Up / Home Next
Using the ANS_ADMIN Utility on Windows


User Defined Mesh

For information on this topic, select one of the following:

SECTYPE
SECOFFSET
SECREAD


ANSYS Help

For information on this topic, select one of the following:

FLDATA20
FLDATA21
FLDATA22
FLDATA23


View Factor Options

For information on this topic, select one of the following:

HEMIOPT
V2DOPT
VFOPT


ANSYS Context Sensitive Help

Table of Contents

ANSYS Topic Help
No Topics Available
ANSYS Home Page
Advanced Smart Size Settings
Static or Steady-State Analysis
Modal Analysis
Harmonic Analysis
Mode Sup Harmonic Analysis
Transient Analysis
Full Transient Analysis
Reduced Transient Analysis
Substructuring Analysis
Spectrum Analysis
Arc-Length Options
Automatic Fit Mode
Boolean Operation Settings
CFD Flow Properties
ANSYS Help
Contour Style
Apply Coriolis Effects
Table of Cospectral Values vs Frequencies
Damping Specifications
Options for DDAM Spectrum
Device Options
Scale DOF Constraints
List Binary Files
Edge Options
Semi Direct Solver Options for Pressure
Read Element File
ANSYS Help
Define Additional Element Table Items
Library of Element Types
Switch Elem Type
Export IGES File
Expand Single Solution by Load Step
Element Extrusion Options
ANSYS File Options
Scale Forces
ANSYS Help
Hidden-Line Options
Import IGES File
Create Load Case
Execute Macro Data Block
Element Attributes
Meshing Attributes
Axes Modification for Graph Plots
Mode Combination Methods
Curve Modification for Graphs Plots
Grid Modifications for Graph Plots
Define Material Model
Delete Material Properties
Define Nonlinear Material Model
List Imported Material
ANSYS Help
Define Material Model
Message Controls
Mesher Options
Multi-Plotting
Multiple Species
Read Node File
Plot Numbering Controls
Expand a Range of Solutions
WARNING
Select/Delete Design Sets
Controls for Sub-problem Optimization
Specify run-time controls
NOTE
Graph/List Tables of Design Set Parameters
Viewing Direction
Options for Output
Show Status of Output Controls
Data Settings
File Settings
Graph Settings
List Settings
ANSYS Help
Contour Element Solution Data
Vector Plot of Predefined Vectors
List Element Solution
FLOTRAN Print Controls
List Nodal Solution
Fluid Properties
Redirects Plots to PSCR
Table for PSD vs Frequency
Piping Model Loads
Piping Model Specifications
Table of Quadspectral Values vs Frequencies
Real Constant Set Number 1 for - Resistor
Data and File Options
References Conditions
Rotating Coordinates
Individual Runtime Statistics
Read Results
Radiation Matrix Settings
ANSYS Help
ANSYS Help
ANSYS Help
Size and Shape
Exit from ANSYS
Redirect Plots to GRPH File
Species Conductivity
General Species Data
Steady State Control Settings
ANSYS Help
ANSYS Help
Read Array Parameter Data from File
Setting for Array Parameters Operations
Write Parameters to File
Settings for Single-Point Response Spectrum
Symbols
Temperature-dependent Allowable Stresses
Time and Substep Options
Time and Time Step Options
Time Integration Controls
Transient Controls
ANSYS Help
User Defined Mesh
Create Taper Section
ANSYS Help
Write Radiation Matrix To File
Basis Topological Optimization
Topological Optimization Function
Run Topological Optimization
Scale Icons Function
Topic Not Found
Contour Nodal Solution Data
Window Options
Radiation Solution Options
View Factor Options
Line: Copy Divisions
Line Flip Bias
Animate Over Results
Define Global ALE Settings for LS-DYNA Explicit
MFS Define
MFS Setup
MFS Time Control
MFS Solution Frequency
MFX Solution Control
MFX Time Control
MFX Mapping Operations
Testing Unicode Characters
Online Help for ANSYS Dialog Boxes
Using the ANS_ADMIN Utility on Windows
1. Using the Configuration Options
Using the Configure Cluster Option
Using the ANS_ADMIN Utility on UNIX
1. Using the ANSYS/Workbench Configuration Option
2. Using the CAD Interface Configuration Option
Using the ANSYS Workbench Launcher
Pan, Zoom, Rotate
Edit Toolbar/Abbreviations
Hard Copy
PC Hard Copy
Capture Image Feature
Capture Image: Print
Capture Image: Save as
Restore Image
Results Query Picker
Query Solution Data
Array Parameters
Array Parameter Editing: ARRAY Type Arrays
Array Parameter Editing: Table Array
Scalar Parameters
Define Real Constants
Element Types
Offset Working Plane
Working Plane Settings
Define Element Table Data
Define Time-History Variables
Default p-Method Convergence Criteria
Display and Update Nonlinear Convergence Specifications
Solution Controls
Design Variables
State Variables
MeshTool
Model Query Picker
Contact Wizard
Contact Properties
Define Material Model Behavior
Define Material ID
BeamTool
2-D and 3-D Annotation
Select Entities: Lines - By Length or by Radius
Select Entities: Elements
Select Entities: By Attributes
Select Entities: Attached to Other Entities
Select Entities: By Location
Select Entities
CrankSlot_Rigid.inp
CrankSlot_flexible.inp
CrankSlot_FlexibleCMS.inp


Capture Image: Save as

ANSYS Function

The File Selection dialog box lets you write a captured image to a file. On X11 systems, the file is a coded image file. Use the extension .img when naming the file.

Filter

The search path (directory and file name) that will be used if you click on the Filter button. Matching files found upon filtering will be shown in the Directory and File List areas. By default, the search path for filtering is the working directory with files ending in a .img extension.

Directory List

List of directories for specifying where a file is to be written. When you click on any directory from the list, the corresponding File List area will change to reflect the files in that directory.

File List

List of files from which to choose for writing. This is useful if you want to overwrite an existing file.

File Name

A text entry box where you can directly enter the name of the file to be written. On X11 systems, use the extension .img.

Action Buttons

  • Filter: Does a search for files that reside in the directory as specified in the Filter area. Matching files found upon filtering will be shown in the Directory and File List areas.


Window Options

For information on this topic, select one of the following:

/PLOPTS
/TRIAD
/REPLOT


Offset Working Plane

ANSYS Function

Enables translation and rotation of the working plane. [WPOFFS, WPROTA, and WPSTYL]

Offset Options
Offset Buttons

Picking these buttons causes an immediate offset of your working plane in the direction shown on the button. The positive X, Y, and Z working plane axes correspond to the working plane triad (see the WP Settings dialog box to control the display of the triad symbol). The amount of offset is controlled by the Offset Slider shown below, and the Snap Incr value on the WP Settings dialog box.

Offset Slider

Controls the amount of offset that occurs with each pick of the Offset Buttons. If the slider is set to 1, the offset will be one times the Snap Incr value on the WP Settings dialog box.

Offset Dialog Input

Allows you to input the exact X, Y, Z offsets for the working plane. For instance, typing in 1,1,1 into this dialog box and hitting Apply or OK moves the working plane one unit in each of the positive X, Y, and Z directions.

Rotate Options
Rotate Buttons

Rotates the working plane about the axis show in the button, in the direction indicated. For instance, the upper right button rotates the working plane about the X-axis of the current working plane in a negative direction. The angle of rotation is controlled by the Rotate Slider.

Rotate Slider

Controls the amount of rotation that will occur with each pick of the Rotate Buttons.

Rotate Dialog Input

Allows you to specify the exact rotation angles for the working plane. These angles are measured in degrees, and the positive direction of rotation about each axis follows the right hand rule.

Location Status

Displays the current location of the working plane in global Cartesian coordinates. This status is updated each time the working plane is translated.

Dynamic Mode Toggle

Pressing this button activates dynamic mode, in which you use the mouse buttons to move the working plane. The left mouse button translates the working plane in the screen X and Y directions. The middle mouse button rotates the working plane about its Z axis (moving the mouse left and right) and in and out of the screen Z (viewing) direction (moving the mouse up and down). The right mouse button rotates the working plane about its Y axis (moving the mouse left and right) and about its X axis (moving the mouse up and down). In all cases, the amount of movement is controlled by the Snap Incr setting on the WP Settings dialog box.


Working Plane Settings

System

Choose the active working plane system. With the Cartesian (default) system, you locate points in terms of X and Y coordinates. Points are located with R and Θ coordinates in a Polar system. [WPSTYL]

Graphics Options

Choose what is to be shown to indicate the working plane. The triad appears in the center (0,0 location) of the working plane, and moves with the plane as you change the working plane location or orientation. You can see the orientation of the working plane by displaying the Grid. You can pick locations anywhere on the working plane, rather than just at the intersections of the grid lines. The Snap Option controls picking locations.

Snap Options

Controls the locational picking points. If Enable Snap is activated, locational picks you make will be directed to the nearest Snap point location. The Snap Incr dialog controls snap point locations. Snap increments are located every .05 units in the X and Y direction of the working plane (Cartesian) by default. You can change the spacing of snap locations by changing the Snap Incr value. If you are using a Polar working plane, you can control the f increment between snap point locations (Snap Ang) as well as the radial distance between points (Snap Incr).

Grid Control

  • Spacing: Controls the distance between grid lines. This does not affect the Snap point locations, which the Snap Options control.

  • Minimum: This is the minimum X location that you want the grid to be displayed to (Cartesian system only).

  • Maximum: This is the maximum X location that you want the grid to be displayed to (Cartesian system only).

  • Radius: This is the outside radius that you would like the grid to be displayed to (Polar system only).

  • Tolerance: Used only for locational picking for polygon and prism vertices. The tolerance that an entity's location can deviate from the specified working plane, while still being considered on the plane. (defaults to 0.003)..


Write Radiation Matrix To File

For information on this topic, select one of the following:

VTYPE
MPRINT
WRITE


Using the ANS_ADMIN Utility on UNIX

When you launch the ANS_ADMIN utility, you will be able to choose from the following options:

  • The ANSYS/Workbench Configuration choice lets you perform tasks such as configuring ANSYS Workbench, updating site information, selecting a browser, and configuring a cluster for parallel processing.

  • The CAD Interface Configuration choice lets you configure other products such as the connection functionality or geometry interfaces for Pro/ENGINEER, Unigraphics NX, and CATIA v5.

  • The Relink ANSYS option allows you to run ANSCUSTOM, a procedure you run to include user programmable features in ANSYS products. The FORTRAN source files for subroutines that can be modified to include user programmable features are included on the installation media in the subdirectory /customize/user on UNIX. If you modify any of these subroutines, run ANSCUSTOM to link your changes. Output from a user-linked version is indicated by the following message:

    NOTE:  This ANSYS version was linked by Licensee.

    For more information on ANSCUSTOM and the user programmable features, see the ANSYS Guide to User Programmable Features. The customization files are available only if you perform a custom installation and choose to install the customization tools. If the Customization Tools option was not installed during a custom installation, this option will be grayed out.

  • The Uninstall option allows you to remove selected ANSYS, Inc. products from your system. To uninstall an ANSYS, Inc. product, run the following script from a command line:

    /ansys_inc/v110/.ans_uninstall110

    This option is especially useful if you have installed ANSYS for demonstration purposes and now need to remove it from the system.

    You will be asked to select the product(s) to be removed and verify that the product(s) should be uninstalled from this system.

    If you proceed with this option, the contents of the following directories will be deleted, depending on which products you uninstall:

    • Product directories under /ansys_inc/v110 (ansys, aisol, CFX, TurboGrid, icemcfd, etc.)

    • Common files directory (/ansys_inc/v110/commonfiles)

    Use caution when uninstalling some but not all ANSYS, Inc. products; because the products may have interdependencies, uninstalling one or more products could result in unpredictable behavior for the remaining products. If you encounter problems after uninstalling a product, we recommend that you re-install just the product(s) you want. Licensing data is not removed with this option; to remove the license manager, you must use the ANSLIC_ADMIN utility.

You can also access Help and About on the ANS_ADMIN utility or exit the ANS_ADMIN utility. On UNIX systems, you can also launch the ANSLIC_ADMIN utility via the Tools menu.

If certain options are grayed out, your account may not have the necessary system administrator privileges necessary to run those options, or the corresponding product may not be installed.

1. Using the ANSYS/Workbench Configuration Option

Choose from the following ANSYS/Workbench configuration options:

Configure ANSYS Workbench
Update Site Information
Select Browser Preference
Using the Configure Cluster Option

Configure ANSYS Workbench

This option configures ANSYS Workbench by registering DLLs, etc. If you perform a platform installation, you will need to run this option on each machine/platform type. This option is also useful if you encounter a problem with ANSYS Workbench and need to re-register the DLLs or otherwise set the configuration back to its original installed state. When the configuration is completed, click OK to close the status window.

Update Site Information

Use this option to update the info.ans file located in the apdl subdirectory. This file contains information to make available to ANSYS users at your site. Typical information might include scheduled system maintenance shutdowns, available/installed upgrades, ANSYS Support Coordinator contact information, or even tips or special information on using ANSYS at your site.

Note

Users can view this information by clicking on Site Information in the ANSYS 11.0 program folder or on Help > Display Site Information in the launcher.

Select Browser Preference

Use this option to specify the location of your preferred Web browser if the automatic browser detection fails. Include the entire directory path in your selection. By default, ANSYS attempts to automatically detect a browser based on the browser specified in your path (if any). A browser is required to view the HTML reports, ANS_ADMIN help, and ANSYS launcher help.

Using the Configure Cluster Option

Use this option to populate the hosts110.ans file. This file can exist in the current working directory, the home directory, and/or the apdl directory. This option allows you to specify which of those files should be modified. You must have administrator or root privileges to edit the hosts110.ans file in the apdl directory. If you do not have administrator privileges, this option is not displayed. You can also use this option to copy the hosts110.ans file from the apdl directory to the current working or the home directory.

For more information on using the hosts110.ans file, see the chapter Probabilistic Design of the Advanced Analysis Techniques Guide.

2. Using the CAD Interface Configuration Option

Choose from the following CAD interface configuration options:

Configure for Pro/ENGINEER
Configure UG NX Reader for Workbench
Configure for CATIA V5

Configure for Pro/ENGINEER

Use this option to properly configure Pro/ENGINEER for both the connection functionality (ANSYS) and the geometry interface functionality (ANSYS Workbench). For the geometry interface functionality for ANSYS Workbench, this option sets all registry entries. For the connection for Pro/ENGINEER functionality, this option places the configuration file (protk.dat) in the Pro/ENGINEER directory. The protk.dat file defines the name of the executable for the connection for Pro/ENGINEER, the path to the executable, the path to the message file, and the current revision of the installed Pro/ENGINEER.

When you choose this option, you will be asked to specify:

  • The directory in which Pro/ENGINEER is installed

  • The language that is being used with Pro/ENGINEER

  • The Pro/ENGINEER start command

Based on your responses, the protk.dat file will be placed in the correct directory location within the Pro/ENGINEER installation directory. You must have permissions to create/update the protk.dat file in the Pro/ENGINEER installation directory when choosing this option.

For more information about the connection for Pro/ENGINEER, see ANSYS Connection User's Guide.

Configure UG NX Reader for Workbench

Use this option to configure the Unigraphics NX reader for ANSYS Workbench if you chose to skip configuring the Geometry Interface for Unigraphics during the ANSYS Workbench installation or if you are changing your version of Unigraphics. Enter the directory path to the Unigraphics installation.

Configure for CATIA V5

(UNIX IBM and HP only) Use this option to configure the connection for CATIA v5 (ANSYS). This option creates the /CATEnv directory and contents. You must have root privileges to run this option. This option must be run on each client machine that will be running the connection for CATIA v5.


Using the ANS_ADMIN Utility on Windows

When you launch the ANS_ADMIN utility, you will be able to choose from the following options:

  • The Configuration Options choice lets you perform tasks such as updating site information and configuring a cluster for parallel processing.

  • The Relink ANSYS option allows you to run ANSCUSTOM, a procedure you run to include user programmable features in ANSYS products. The FORTRAN source files for subroutines that can be modified to include user programmable features are included on the installation media in the subdirectory \custom\user. If you modify any of these subroutines, run ANSCUSTOM to link your changes. Output from a user-linked version is indicated by the following message:

    NOTE:  This ANSYS version was linked by Licensee.

    For more information on ANSCUSTOM and the user programmable features, see the ANSYS Guide to User Programmable Features. The customization files are available only if you perform a custom installation and choose to install the customization tools. If the Customization Tools option was not installed during a custom installation, this option will be grayed out.

You can also access Help and About on the ANS_ADMIN utility or exit the ANS_ADMIN utility.

If certain options are grayed out, your account may not have the necessary system administrator privileges necessary to run those options, or the corresponding product may not be installed.

1. Using the Configuration Options

Choose from the following configuration options:

Update Site Information
Configure Cluster

Update Site Information

Use this option to update the info.ans file located in the apdl subdirectory. This file contains information to make available to ANSYS users at your site. Typical information might include scheduled system maintenance shutdowns, available/installed upgrades, ANSYS Support Coordinator contact information, or even tips or special information on using ANSYS at your site.

Note

Users can view this information by clicking on Site Information in the ANSYS 11.0 program folder or on Help > Display Site Information in the launcher.

Configure Cluster

Use this option to populate the hosts110.ans file. This file can exist in the current working directory, the home directory, and/or the apdl directory. This option allows you to specify which of those files should be modified. You must have administrator or root privileges to edit the hosts110.ans file in the apdl directory. If you do not have administrator privileges, this option is not displayed. You can also use this option to copy the hosts110.ans file from the apdl directory to the current working or the home directory.

After selecting the hosts110.ans to modify, another dialog box appears where you can add machines to the cluster. Enter the system name in the Machine hostname field and click Add. On the next dialog box, enter the appropriate information and click OK for each machine in the cluster. The information you need to specify depends on whether the hosts110.ans file is being used for Probabilistic Design or Distributed ANSYS. When you are finished adding machines, click Close, then Exit.

For more information on using the hosts110.ans file for probabilistic design, see the chapter Probabilistic Design of the Advanced Analysis Techniques Guide.

For more information on using the hosts110.ans file for Distributed ANSYS, see the Distributed ANSYS Guide.


Using the Configure Cluster Option

Configure Cluster

Use this option to populate the hosts110.ans file. This file can exist in the current working directory, the home directory, and/or the apdl directory. This option allows you to specify which of those files should be modified. You must have administrator or root privileges to edit the hosts110.ans file in the apdl directory. If you do not have administrator privileges, this option is not displayed. You can also use this option to copy the hosts110.ans file from the apdl directory to the current working or the home directory.

After selecting the hosts110.ans to modify, another dialog box appears where you can add machines to the cluster. Enter the system name in the Machine hostname field and click Add. On the next dialog box, enter the appropriate information and click OK for each machine in the cluster. The information you need to specify depends on whether the hosts110.ans file is being used for Probabilistic Design or Distributed ANSYS. When you are finished adding machines, click Close, then Exit.

For more information on using the hosts110.ans file for probabilistic design, see the chapter Probabilistic Design of the Advanced Analysis Techniques Guide.

For more information on using the hosts110.ans file for Distributed ANSYS, see the Distributed ANSYS Guide.


CrankSlot_Rigid.inp

/batch
! ANSYS input file written by Workbench version 11.0
/config,noeldb,0     ! force off not writing results to database
*get,_wallstrt,active,,time,wall
! File used for geometry attach: D:\RunFiles\WB_Output\Crank Slot\crank slot joint.agdb
/com,--- Data in consistent NMM units.
/units,MPA
/nopr
/track,-1
/prep7
! Turn off shape checking because checks already performed inside WB mesher.
! See help system for more information.
SHPP,OFF,,NOWARN
/nolist
etcon,set             ! allow ANSYS to choose best KEYOP's for 180x elements
/com,*********** Nodes for the whole assembly ***********
nblock,3
(1i8,3e20.9e3)
       1    0.000000000E+000    3.529175918E+001   -5.000000000E+000
       2    2.378511247E+001    1.380297652E+001    5.000000000E+000
       3    2.380153982E+001    6.877452408E+001    1.500000000E+001
       4   -4.717895070E-016    1.100000000E+002    5.000000000E+000
       5    1.525181166E-017    1.189641309E-016    9.761159461E-017
       6    4.760307959E+001    2.754904870E+001    1.000000000E+001
! end of nblock command
/com,*********** Elements for Part 1 ***********
/com,*********** Send Body as a Rigid Body ***********
et,1,MASS21
keyo,1,3,0         ! 3D Mass With Rotary Intertia
keyo,1,2,1             ! Moments of inertia in nodal coordinates
r,1,5.62959624417329e-004,5.62959624417329e-004,5.62959624417329e-004,4.27915117762894,5.64969611751201e-002,4.32626430862063
local,11,0,0.,35.2917591780688,-4.99999999999951,0.,0.,0.
nrot,1
csys,0
mat,1
real,1
type,1
en,1,1
/com,*********** Elements for Part 2 ***********
/com,*********** Send Body as a Rigid Body ***********
et,2,MASS21
keyo,2,3,0         ! 3D Mass With Rotary Intertia
keyo,2,2,1             ! Moments of inertia in nodal coordinates
r,2,7.59817488346602e-005,7.59817488346602e-005,7.59817488346602e-005,2.21486141701566e-003,3.27365368251796e-002,3.36826963131752e-002
local,11,0,23.7851124732216,13.8029765212764,4.99999999999951,29.9821797972594,-1.63487457250109e-008,4.06547904138105e-009
nrot,2
csys,0
mat,2
real,2
type,2
en,2,2
/com,*********** Elements for Part 3 ***********
/com,*********** Send Body as a Rigid Body ***********
et,3,MASS21
keyo,3,3,0         ! 3D Mass With Rotary Intertia
keyo,3,2,1             ! Moments of inertia in nodal coordinates
r,3,1.23324499502402e-004,1.23324499502402e-004,1.23324499502402e-004,0.123369407044669,3.4970850903802e-003,0.124808744493488
local,11,0,23.8015398171524,68.7745240829644,14.9999999999985,29.9999986025964,3.45291420136837e-009,-1.90838113503191e-007
nrot,3
csys,0
mat,3
real,3
type,3
en,3,3
/com,*********** Elements for Part 4 ***********
/com,*********** Send Body as a Rigid Body ***********
et,4,MASS21
keyo,4,3,0         ! 3D Mass With Rotary Intertia
keyo,4,2,1             ! Moments of inertia in nodal coordinates
r,4,1.84961267480099e-005,1.84961267480099e-005,1.84961267480099e-005,1.48440380137047e-003,1.48440385658378e-003,2.259733717427e-004
local,11,0,-4.71789506988333e-016,110.000000028382,4.99999999999951,0.,0.,0.
nrot,4
csys,0
mat,4
real,4
type,4
en,4,4
/com,*********** Elements for Part 5 ***********
/com,*********** Send Body as a Rigid Body ***********
et,5,MASS21
keyo,5,3,0         ! 3D Mass With Rotary Intertia
keyo,5,2,1             ! Moments of inertia in nodal coordinates
r,5,1.23307511653399e-005,1.23307511653399e-005,1.23307511653399e-005,4.816704325156e-004,4.8167043256163e-004,1.50648999123811e-004
local,11,0,1.52518116573376e-017,1.18964130927233e-016,9.76115946069606e-017,0.,0.,0.
nrot,5
csys,0
mat,5
real,5
type,5
en,5,5
/com,*********** Elements for Part 6 ***********
/com,*********** Send Body as a Rigid Body ***********
et,6,MASS21
keyo,6,3,0         ! 3D Mass With Rotary Intertia
keyo,6,2,1             ! Moments of inertia in nodal coordinates
r,6,1.23307511653399e-005,1.23307511653399e-005,1.23307511653399e-005,4.81670360832402e-004,4.81670377213366e-004,1.5064896426044e-004
local,11,0,47.6030795911263,27.5490486999112,9.99999999999894,0.,0.,0.
nrot,6
csys,0
mat,6
real,6
type,6
en,6,6
/com,*********** Send Materials ***********
MP,DENS,1,7.85e-009,	! ton/mm³
MP,NUXY,1,0.3,
MP,EX,1,200000.,	! ton/s²·mm
MP,ALPX,1,1.2e-005,	! 1/°C
MP,C,1,434000000.,	! mm²/s²·°C
MP,KXX,1,60.5,	! ton·mm/s³·°C
MP,MURX,1,10000.,
MP,RSVX,1,1.7e-004,	! Ohm·mm

MP,DENS,2,7.85e-009,	! ton/mm³
MP,NUXY,2,0.3,
MP,EX,2,200000.,	! ton/s²·mm
MP,ALPX,2,1.2e-005,	! 1/°C
MP,C,2,434000000.,	! mm²/s²·°C
MP,KXX,2,60.5,	! ton·mm/s³·°C
MP,MURX,2,10000.,
MP,RSVX,2,1.7e-004,	! Ohm·mm

MP,DENS,3,7.85e-009,	! ton/mm³
MP,NUXY,3,0.3,
MP,EX,3,200000.,	! ton/s²·mm
MP,ALPX,3,1.2e-005,	! 1/°C
MP,C,3,434000000.,	! mm²/s²·°C
MP,KXX,3,60.5,	! ton·mm/s³·°C
MP,MURX,3,10000.,
MP,RSVX,3,1.7e-004,	! Ohm·mm

MP,DENS,4,7.85e-009,	! ton/mm³
MP,NUXY,4,0.3,
MP,EX,4,200000.,	! ton/s²·mm
MP,ALPX,4,1.2e-005,	! 1/°C
MP,C,4,434000000.,	! mm²/s²·°C
MP,KXX,4,60.5,	! ton·mm/s³·°C
MP,MURX,4,10000.,
MP,RSVX,4,1.7e-004,	! Ohm·mm

MP,DENS,5,7.85e-009,	! ton/mm³
MP,NUXY,5,0.3,
MP,EX,5,200000.,	! ton/s²·mm
MP,ALPX,5,1.2e-005,	! 1/°C
MP,C,5,434000000.,	! mm²/s²·°C
MP,KXX,5,60.5,	! ton·mm/s³·°C
MP,MURX,5,10000.,
MP,RSVX,5,1.7e-004,	! Ohm·mm

MP,DENS,6,7.85e-009,	! ton/mm³
MP,NUXY,6,0.3,
MP,EX,6,200000.,	! ton/s²·mm
MP,ALPX,6,1.2e-005,	! 1/°C
MP,C,6,434000000.,	! mm²/s²·°C
MP,KXX,6,60.5,	! ton·mm/s³·°C
MP,MURX,6,10000.,
MP,RSVX,6,1.7e-004,	! Ohm·mm

! get the diagonal of the bounding box. Needed later for other things
*get,_xmin,node,,mnloc,x
*get,_ymin,node,,mnloc,y
*get,_zmin,node,,mnloc,z
*get,_xmax,node,,mxloc,x
*get,_ymax,node,,mxloc,y
*get,_zmax,node,,mxloc,z
_ASMDIAG=(_xmax-_xmin)*(_xmax-_xmin)+(_ymax-_ymin)*(_ymax-_ymin)+(_zmax-_zmin)*(_zmax-_zmin)
_ASMDIAG=SQRT(_ASMDIAG)
/golist
nsel,all
/com,*********** Create Joint "Revolute - Base To Bolt1" ***********
local,12,0,0.,3.06151588455594e-016,-5.00000000000001,0.,0.,180.
csys,0                       ! reset coordinate system back to global
! Setup Joint Connection For Reference Set
! ********* Create Contact to Connect To Rigid Body Mass Node ***********
*set,tid,8
*set,cid,7
et,tid,170
et,cid,176
keyo,tid,2,1           ! Don't fix the pilot node
keyo,tid,4,0           ! Create CE's for all DOFs
keyo,cid,2,2           ! MPC style contact
keyo,cid,12,5          ! Bonded Contact
keyo,cid,4,0           ! Rigid CERIG style load
type,tid
mat ,cid
real,cid
tshape,pilo
en,14,1
tshape
! ********* End of Create Contact to Connect To Rigid Body Mass Node ***********
n,7,0.,3.06151588455594e-016,-5.00000000000001
*set,_npilot,7
_npilot38a=_npilot
mat,7
real,7
type,7
en,15,1,7
csys,12
nrot,_npilot                 ! rotate joint node into joint coordinate system
csys,0                       ! reset coordinate system back to global
! Setup Joint Connection For Mobile Set
! ********* Create Contact to Connect To Rigid Body Mass Node ***********
*set,tid,10
*set,cid,9
et,tid,170
et,cid,176
keyo,tid,2,1           ! Don't fix the pilot node
keyo,tid,4,0           ! Create CE's for all DOFs
keyo,cid,2,2           ! MPC style contact
keyo,cid,12,5          ! Bonded Contact
keyo,cid,4,0           ! Rigid CERIG style load
type,tid
mat ,cid
real,cid
tshape,pilo
en,16,5
tshape
! ********* End of Create Contact to Connect To Rigid Body Mass Node ***********
n,8,0.,3.06151588455594e-016,-5.00000000000001
*set,_npilot,8
_npilot38b=_npilot
mat,9
real,9
type,9
en,17,5,8
csys,12
nrot,_npilot                 ! rotate joint node into joint coordinate system
csys,0                       ! reset coordinate system back to global
/com,            Real Contact Set For Above Joint Is 11
! Joint Element Type Declaration and Definition using MPC184
*set,_jid,11
et,_jid,184
keyo,_jid,1,6           ! Revolute Joint
keyo,_jid,4,1           ! Z Axis is revolute axis
sectype,_jid, joint, revo, _wbjoint
secjoint,,12,12
mat,_jid
real,_jid
type,_jid
secnum,_jid
en,7,_npilot38a,_npilot38b         ! body to body joint
/com,*********** Create Joint "Fixed - Rod1 To Bolt1" ***********
local,13,0,0.,3.06151588455594e-016,5.00000000000001,0.,0.,0.
csys,0                       ! reset coordinate system back to global
! Setup Joint Connection For Reference Set
! ********* Create Contact to Connect To Rigid Body Mass Node ***********
*set,tid,13
*set,cid,12
et,tid,170
et,cid,176
keyo,tid,2,1           ! Don't fix the pilot node
keyo,tid,4,0           ! Create CE's for all DOFs
keyo,cid,2,2           ! MPC style contact
keyo,cid,12,5          ! Bonded Contact
keyo,cid,4,0           ! Rigid CERIG style load
type,tid
mat ,cid
real,cid
tshape,pilo
en,18,2
tshape
! ********* End of Create Contact to Connect To Rigid Body Mass Node ***********
n,9,0.,3.06151588455594e-016,5.00000000000001
*set,_npilot,9
_npilot40a=_npilot
mat,12
real,12
type,12
en,19,2,9
csys,13
nrot,_npilot                 ! rotate joint node into joint coordinate system
csys,0                       ! reset coordinate system back to global
! Setup Joint Connection For Mobile Set
n,10,0.,3.06151588455594e-016,5.00000000000001
*set,_npilot,10
_npilot40b=_npilot
mat,9
real,9
type,9
en,20,5,10
csys,13
nrot,_npilot                 ! rotate joint node into joint coordinate system
csys,0                       ! reset coordinate system back to global
! Joint Element Type Declaration and Definition using CONTACT176
*set,tid,15
*set,cid,14
et,tid,170
et,cid,176
keyo,tid,2,1           ! Don't fix the pilot node
keyo,tid,4,0           ! Create CE's for all DOFs
keyo,cid,2,2           ! MPC style contact
keyo,cid,12,5          ! Bonded Contact
keyo,cid,4,0           ! Rigid CERIG style load
mat,cid
real,cid
type,tid
tshape,pilo
en,8,_npilot40a        ! create pilot node for rigid link
tshape
type,cid
en,21,_npilot40a,_npilot40b
csys,0
/com,*********** Create Joint "Fixed - Rod1 To Bolt2" ***********
local,14,0,47.6030788398054,27.5490488527501,5.,0.,0.,0.
csys,0                       ! reset coordinate system back to global
! Setup Joint Connection For Reference Set
n,11,47.6030788398054,27.5490488527501,5.
*set,_npilot,11
_npilot42a=_npilot
mat,12
real,12
type,12
en,22,2,11
csys,14
nrot,_npilot                 ! rotate joint node into joint coordinate system
csys,0                       ! reset coordinate system back to global
! Setup Joint Connection For Mobile Set
! ********* Create Contact to Connect To Rigid Body Mass Node ***********
*set,tid,17
*set,cid,16
et,tid,170
et,cid,176
keyo,tid,2,1           ! Don't fix the pilot node
keyo,tid,4,0           ! Create CE's for all DOFs
keyo,cid,2,2           ! MPC style contact
keyo,cid,12,5          ! Bonded Contact
keyo,cid,4,0           ! Rigid CERIG style load
type,tid
mat ,cid
real,cid
tshape,pilo
en,23,6
tshape
! ********* End of Create Contact to Connect To Rigid Body Mass Node ***********
n,12,47.6030788398054,27.5490488527501,5.
*set,_npilot,12
_npilot42b=_npilot
mat,16
real,16
type,16
en,24,6,12
csys,14
nrot,_npilot                 ! rotate joint node into joint coordinate system
csys,0                       ! reset coordinate system back to global
! Joint Element Type Declaration and Definition using CONTACT176
*set,tid,19
*set,cid,18
et,tid,170
et,cid,176
keyo,tid,2,1           ! Don't fix the pilot node
keyo,tid,4,0           ! Create CE's for all DOFs
keyo,cid,2,2           ! MPC style contact
keyo,cid,12,5          ! Bonded Contact
keyo,cid,4,0           ! Rigid CERIG style load
mat,cid
real,cid
type,tid
tshape,pilo
en,9,_npilot42a        ! create pilot node for rigid link
tshape
type,cid
en,25,_npilot42a,_npilot42b
csys,0
/com,*********** Create Joint "Fixed - Rod2 To Bolt3" ***********
local,15,0,1.45519152283668e-014,110.,15.,0.,0.,0.
csys,0                       ! reset coordinate system back to global
! Setup Joint Connection For Reference Set
! ********* Create Contact to Connect To Rigid Body Mass Node ***********
*set,tid,21
*set,cid,20
et,tid,170
et,cid,176
keyo,tid,2,1           ! Don't fix the pilot node
keyo,tid,4,0           ! Create CE's for all DOFs
keyo,cid,2,2           ! MPC style contact
keyo,cid,12,5          ! Bonded Contact
keyo,cid,4,0           ! Rigid CERIG style load
type,tid
mat ,cid
real,cid
tshape,pilo
en,26,3
tshape
! ********* End of Create Contact to Connect To Rigid Body Mass Node ***********
n,13,1.45519152283668e-014,110.,15.
*set,_npilot,13
_npilot44a=_npilot
mat,20
real,20
type,20
en,27,3,13
csys,15
nrot,_npilot                 ! rotate joint node into joint coordinate system
csys,0                       ! reset coordinate system back to global
! Setup Joint Connection For Mobile Set
! ********* Create Contact to Connect To Rigid Body Mass Node ***********
*set,tid,23
*set,cid,22
et,tid,170
et,cid,176
keyo,tid,2,1           ! Don't fix the pilot node
keyo,tid,4,0           ! Create CE's for all DOFs
keyo,cid,2,2           ! MPC style contact
keyo,cid,12,5          ! Bonded Contact
keyo,cid,4,0           ! Rigid CERIG style load
type,tid
mat ,cid
real,cid
tshape,pilo
en,28,4
tshape
! ********* End of Create Contact to Connect To Rigid Body Mass Node ***********
n,14,1.45519152283668e-014,110.,15.
*set,_npilot,14
_npilot44b=_npilot
mat,22
real,22
type,22
en,29,4,14
csys,15
nrot,_npilot                 ! rotate joint node into joint coordinate system
csys,0                       ! reset coordinate system back to global
! Joint Element Type Declaration and Definition using CONTACT176
*set,tid,25
*set,cid,24
et,tid,170
et,cid,176
keyo,tid,2,1           ! Don't fix the pilot node
keyo,tid,4,0           ! Create CE's for all DOFs
keyo,cid,2,2           ! MPC style contact
keyo,cid,12,5          ! Bonded Contact
keyo,cid,4,0           ! Rigid CERIG style load
mat,cid
real,cid
type,tid
tshape,pilo
en,10,_npilot44a        ! create pilot node for rigid link
tshape
type,cid
en,30,_npilot44a,_npilot44b
csys,0
/com,*********** Create Joint "Cylindrical - Rod2 To Bolt2" ***********
local,16,0,47.6030788398054,27.5490488527501,15.,0.,0.,0.
csys,0                       ! reset coordinate system back to global
! Setup Joint Connection For Reference Set
n,15,47.6030788398054,27.5490488527501,15.
*set,_npilot,15
_npilot46a=_npilot
mat,20
real,20
type,20
en,31,3,15
csys,16
nrot,_npilot                 ! rotate joint node into joint coordinate system
csys,0                       ! reset coordinate system back to global
! Setup Joint Connection For Mobile Set
n,16,47.6030788398054,27.5490488527501,15.
*set,_npilot,16
_npilot46b=_npilot
mat,16
real,16
type,16
en,32,6,16
csys,16
nrot,_npilot                 ! rotate joint node into joint coordinate system
csys,0                       ! reset coordinate system back to global
/com,            Real Contact Set For Above Joint Is 26
! Joint Element Type Declaration and Definition using MPC184
*set,_jid,26
et,_jid,184
keyo,_jid,1,11          ! Cylindrical Joint
keyo,_jid,4,1           ! Z Axis is revolute axis
sectype,_jid, joint, cyli, _wbjoint
secjoint,,16,16
mat,_jid
real,_jid
type,_jid
secnum,_jid
en,11,_npilot46a,_npilot46b         ! body to body joint
/com,*********** Create Joint "Slot - Base To Bolt3" ***********
local,17,0,4.57554378011943e-017,110.000000097686,-10.,-90.,0.,180.
csys,0                       ! reset coordinate system back to global
! Setup Joint Connection For Reference Set
n,17,4.57554378011943e-017,110.000000097686,-10.
*set,_npilot,17
_npilot53a=_npilot
mat,7
real,7
type,7
en,33,1,17
csys,17
nrot,_npilot                 ! rotate joint node into joint coordinate system
csys,0                       ! reset coordinate system back to global
! Setup Joint Connection For Mobile Set
n,18,4.57554378011943e-017,110.000000097686,-10.
*set,_npilot,18
_npilot53b=_npilot
mat,22
real,22
type,22
en,34,4,18
csys,17
nrot,_npilot                 ! rotate joint node into joint coordinate system
csys,0                       ! reset coordinate system back to global
/com,            Real Contact Set For Above Joint Is 27
! Joint Element Type Declaration and Definition using MPC184
*set,_jid,27
et,_jid,184
keyo,_jid,1,8           ! Slot Joint
sectype,_jid, joint, slot, _wbjoint
secjoint,,17,17
mat,_jid
real,_jid
type,_jid
secnum,_jid
en,12,_npilot53a,_npilot53b         ! body to body joint
/com,*********** Create Joint "Fixed - Ground To Base" ***********
local,18,0,0.,-100.,-5.,0.,90.,0.
csys,0                       ! reset coordinate system back to global
! Setup Joint Connection For Mobile Set
n,19,0.,-100.,-5.
*set,_npilot,19
_npilot55b=_npilot
mat,7
real,7
type,7
en,35,1,19
csys,18
nrot,_npilot                 ! rotate joint node into joint coordinate system
csys,0                       ! reset coordinate system back to global
d,19,all                   ! body to ground Direct D
/com,*********** Set Reference Temperature ***********
tref,22.
/com,*********** Create Joint Drivers **********

*DIM,_loadvari109,TABLE,1,1,1,TIME
! Time values
_loadvari109(1,0) = 1.
! Load values
_loadvari109(1,1) = 25.
/com,*********** Send User Defined Coordinate System(s) ***********
local,12,0,0.,3.06151588455594e-016,-5.00000000000001,0.,0.,180.
local,13,0,0.,3.06151588455594e-016,5.00000000000001,0.,0.,0.
local,14,0,47.6030788398054,27.5490488527501,5.,0.,0.,0.
local,15,0,1.45519152283668e-014,110.,15.,0.,0.,0.
local,16,0,47.6030788398054,27.5490488527501,15.,0.,0.,0.
local,17,0,4.57554378011943e-017,110.000000097686,-10.,-90.,0.,180.
local,18,0,0.,-100.,-5.,0.,90.,0.
csys,0
/gst,on,on
fini
*get,_numnode,node,0,count
*get,_numelem,elem,0,count
/go
/com,--- Number of total nodes = %_numnode%
/com,--- Number of contact elements = 0
/com,--- Number of spring elements = 0
/com,--- Number of solid elements = 6
/com,--- Number of total elements = %_numelem%
*get,_wallbsol,active,,time,wall
/com,****************************************************************************
/com,*************************    SOLUTION       ********************************
/com,****************************************************************************
/solu
antype,4                   ! transient analysis
nlgeom,on                  ! Turn on Large Deformation Effects
solc,on,on                 ! Turn on solution control with ability to use contact time prediction
kbc,1                      ! stepped BC's
/com, Avg ratio=    1, totalParts=6, thickParts=0, thickPcent=  0
eqsl,sparse,,,,,1
resc,,none                 ! Do not keep any restart files
cntr,print,1               ! print out contact info and also make no initial contact an error
trnopt,full,,,,,hht        ! HHT time integration method
tintp,0.1	! Numerical Damping
nldiag,cont,iter           ! print out contact info each equilibrium iteration
/com,****************************************************
/com,******************* SOLVE FOR LS 1 ****************
/nopr
/gopr
esel,s,type,,11
dj,all,dmgz,%_loadvari109%
esel,all
autots,off                 ! User turned off automatic time stepping
nsub,100,100,100
time,1.
timint,on                  ! Turn on time integration effects
outres,erase
outres,all,none
outres,nsol,-100
outres,rsol,-100
outres,nload,-100
outres,strs,-100
outres,epel,-100
outres,eppl,-100
outres,v,-100
outres,a,-100
esel,s,mat,,11
esel,a,mat,,26
esel,a,mat,,27
esel,a,mat,,1
esel,a,mat,,2
esel,a,mat,,3
esel,a,mat,,4
esel,a,mat,,5
esel,a,mat,,6
cm,_elmisc,elem
esel,all
outres,misc,-100,_elmisc
lnsr,off                   ! Line search turned OFF by user
! *********** WB SOLVE COMMAND ***********
/eof
solve
/com,****************************************************
/com,*************** FINISHED SOLVE FOR LS 1 *************
*set,_DS_PROGRESS          ! turn off progress updates to avoid virus scanning bug
*get,_wallasol,active,,time,wall
/post1
xmlo,parm
/xml,parm,xml
/gopr
fini
/gopr
*get,_walldone,active,,time,wall
_preptime=(_wallbsol-_wallstrt)*3600
_solvtime=(_wallasol-_wallbsol)*3600
_posttime=(_walldone-_wallasol)*3600
_totaltim=(_walldone-_wallstrt)*3600


Topic Not Found

The help file you have requested cannot be found. Please use the Table of Contents, Index, or a full text search to locate information on the topic. If you think that you have reached this page as a result of an error in the online help system, please contact your technical support representative.


Testing Unicode Characters

This file is for testing purposes only and is not part of the documentation set.

Test Characters

Font

Upper Case

ABCDEFGHIJKLMNOPQRSTUVWXYZ

lower case

abcdefghijklmnopqrstuvwxyz

Styles

Normal subscript normal superscript normal Bold normal italic normal underline

Typerwritter font
Programlisting
/ansys_inc/ansys110/customize/misc/rdrwrt.link  rdresu
ansys110cust -custom <path> -p <product_variable>
Greeks as subscripts and superscripts

alpha Subscript alpha = αα

beta Subscript beta = ββ

delta Superscript delta = δδ

theta Superscript theta = θθ

Table 1 ISO AMS A

Entity | Unicode # | Glyph | ISO Description
harr | 2194 | ↔ | Left right arrow
varr | 2195 | ↕ | Up down arrow

Table 2 ISO AMS B

Entity | Unicode # | Glyph | ISO Description
oplus | 2295 | ⊕ | Circled plus
prod | 220F | ∏ | N-ary product
sum | 2211 | ∑ | N-ary summation

Table 3 ISO AMS N

Entity | Unicode # | Glyph | ISO Description
ngt | 226F | ≯ | Not greater-than
nlt | 226E | ≮ | Not less-than

Table 4 ISO AMS O

Entity | Unicode # | Glyph | ISO Description
ang | 2220 | ∠ | Angle
ell | 2113 | ℓ | Script small l
sbsol |  | ﹨ | sbs - short reverse solidus

Table 5 ISO AMS R

Entity | Unicode # | Glyph | ISO Description
gE | 2267 | ≧ | Greater-than over equal to
lE | 2266 | ≦ | Less-than over equal to
mid | 2223 | ∣ | Divides

Table 6 ISO Box Drawing

Entity | Unicode # | Glyph | ISO Description
boxh | 2500 | ─ | Box drawings light horizontal
boxv | 2502 | │ | Box drawings light vertical
boxur | 2514 | └ | Box drawings light up and right
boxul | 2518 | ┘ | Box drawings light up and left
boxdl | 2510 | ┐ | Box drawings light down and left
boxdr | 250C | ┌ | Box drawings light down and right
boxvr | 251C | ├ | Box drawings light vertical and right
boxhu | 2534 | ┴ | Box drawings light up and horizontal
boxvl | 2524 | ┤ | Box drawings light vertical and left
boxhd | 252C | ┬ | Box drawings light down and horizontal
boxvh | 253C | ┼ | Box drawings light vertical and horizontal

Table 7 ISO Cyrillic 1

Entity | Unicode # | Glyph | ISO Description
acy | 0430 | а | Cyrillic small letter a
Acy | 0410 | А | Cyrillic capital letter A
bcy | 0431 | б | Cyrillic small letter be
Bcy | 0411 | Б | Cyrillic capital letter BE
vcy | 0432 | в | Cyrillic small letter ve
Vcy | 0412 | В | Cyrillic capital letter VE
gcy | 0433 | г | Cyrillic small letter ghe
Gcy | 0413 | Г | Cyrillic capital letter GHE
dcy | 0434 | д | Cyrillic small letter de
Dcy | 0414 | Д | Cyrillic capital letter DE
iecy | 0435 | е | Cyrillic small letter ie
IEcy | 0415 | Е | Cyrillic capital letter IE
iocy | 0451 | ё | Cyrillic small letter io
IOcy | 0401 | Ё | Cyrillic capital letter IO
zhcy | 0436 | ж | Cyrillic small letter zhe
ZHcy | 0416 | Ж | Cyrillic capital letter ZHE
zcy | 0437 | з | Cyrillic small letter ze
Zcy | 0417 | З | Cyrillic capital letter ZE
icy | 0438 | и | Cyrillic small letter i
Icy | 0418 | И | Cyrillic capital letter I
jcy | 0439 | й | Cyrillic small letter short i
Jcy | 0419 | Й | Cyrillic capital letter SHORT i
kcy | 043A | к | Cyrillic small letter ka
Kcy | 041A | К | Cyrillic capital letter KA
lcy | 043B | л | Cyrillic small letter el
Lcy | 041B | Л | Cyrillic capital letter EL
mcy | 043C | м | Cyrillic small letter em
Mcy | 041C | М | Cyrillic capital letter EM
ncy | 043D | н | Cyrillic small letter en
Ncy | 041D | Н | Cyrillic capital letter EN
ocy | 043E | о | Cyrillic small letter o
Ocy | 041E | О | Cyrillic capital letter O
pcy | 043F | п | Cyrillic small letter pe
Pcy | 041F | П | Cyrillic capital letter PE
rcy | 0440 | р | Cyrillic small letter er
Rcy | 0420 | Р | Cyrillic capital letter ER
scy | 0441 | с | Cyrillic small letter es
Scy | 0421 | С | Cyrillic capital letter ES
tcy | 0442 | т | Cyrillic small letter te
Tcy | 0422 | Т | Cyrillic capital letter TE
ucy | 0443 | у | Cyrillic small letter u
Ucy | 0423 | У | Cyrillic capital letter U
fcy | 0444 | ф | Cyrillic small letter ef
Fcy | 0424 | Ф | Cyrillic capital letter EF
khcy | 0445 | х | Cyrillic small letter ha
KHcy | 0425 | Х | Cyrillic capital letter HA
tscy | 0446 | ц | Cyrillic small letter tse
TScy | 0426 | Ц | Cyrillic capital letter TSE
chcy | 0447 | ч | Cyrillic small letter che
CHcy | 0427 | Ч | Cyrillic capital letter CHE
shcy | 0448 | ш | Cyrillic small letter sha
SHcy | 0428 | Ш | Cyrillic capital letter SHA
shchcy | 0449 | щ | Cyrillic small letter shcha
SHCHcy | 0429 | Щ | Cyrillic capital letter SHCHA
hardcy | 044A | ъ | Cyrillic small letter hard sign
HARDcy | 042A | Ъ | Cyrillic capital letter HARD sign
ycy | 044B | ы | Cyrillic small letter yeru
Ycy | 042B | Ы | Cyrillic capital letter YERU
softcy | 044C | ь | Cyrillic small letter soft sign
SOFTcy | 042C | Ь | Cyrillic capital letter SOFT sign
ecy | 044D | э | Cyrillic small letter e
Ecy | 042D | Э | Cyrillic capital letter E
yucy | 044E | ю | Cyrillic small letter yu
YUcy | 042E | Ю | Cyrillic capital letter YU
yacy | 044F | я | Cyrillic small letter ya
YAcy | 042F | Я | Cyrillic capital letter YA
numero | 2116 | № | Numero sign

Table 8 ISO Cyrillic 2

Entity | Unicode # | Glyph | ISO Description
djcy | 0452 | ђ | Cyrillic small letter dje
DJcy | 0402 | Ђ | Cyrillic capital letter DJE
GJcy | 0403 | Ѓ | Cyrillic capital letter GJE
jukcy | 0454 | є | Cyrillic small letter ukrainian ie
Jukcy | 0404 | Є | Cyrillic capital letter UKRAINIAN ie
dscy | 0455 | ѕ | Cyrillic small letter dze
DScy | 0405 | Ѕ | Cyrillic capital letter DZE
iukcy | 0456 | і | Cyrillic small letter byelorussian-ukrainian i
Iukcy | 0406 | І | Cyrillic capital letter BYELORUSSIAN-UKRAINIAN i
yicy | 0457 | ї | Cyrillic small letter yi
YIcy | 0407 | Ї | Cyrillic capital letter YI
jsercy | 0458 | ј | Cyrillic small letter je
Jsercy | 0408 | Ј | Cyrillic capital letter JE
ljcy | 0459 | љ | Cyrillic small letter lje
LJcy | 0409 | Љ | Cyrillic capital letter LJE
njcy | 045A | њ | Cyrillic small letter nje
NJcy | 040A | Њ | Cyrillic capital letter NJE
tshcy | 045B | ћ | Cyrillic small letter tshe
TSHcy | 040B | Ћ | Cyrillic capital letter TSHE
kjcy | 045C | ќ | Cyrillic small letter kje
KJcy | 040C | Ќ | Cyrillic capital letter KJE
ubrcy | 045E | ў | Cyrillic small letter short u
Ubrcy | 040E | Ў | Cyrillic capital letter SHORT u
dzcy | 045F | џ | Cyrillic small letter dzhe
DZcy | 040F | Џ | Cyrillic capital letter DZHE

Table 9 ISO Diacritic

Entity | Unicode # | Glyph | ISO Description
cedil | 00B8 | ¸ | Cedilla
ogon | 02DB | ˛ | Ogonek

Table 10 ISO Greek 1

Entity | Unicode # | Glyph | ISO Description
agr | 03B1 | α | Greek small letter alpha
Agr | 0391 | Α | Greek capital letter ALPHA
bgr | 03B2 | β | Greek small letter beta
Bgr | 0392 | Β | Greek capital letter BETA
ggr | 03B3 | γ | Greek small letter gamma
Ggr | 0393 | Γ | Greek capital letter GAMMA
dgr | 03B4 | δ | Greek small letter delta
Dgr | 0394 | Δ | Greek capital letter DELTA
egr | 03B5 | ε | Greek small letter epsilon
Egr | 0395 | Ε | Greek capital letter EPSILON
zgr | 03B6 | ζ | Greek small letter zeta
Zgr | 0396 | Ζ | Greek capital letter ZETA
eegr | 03B7 | η | Greek small letter eta
EEgr | 0397 | Η | Greek capital letter ETA
thgr | 03B8 | θ | Greek small letter theta
THgr | 0398 | Θ | Greek capital letter THETA
igr | 03B9 | ι | Greek small letter iota
Igr | 0399 | Ι | Greek capital letter IOTA
kgr | 03BA | κ | Greek small letter kappa
Kgr | 039A | Κ | Greek capital letter KAPPA
lgr | 03BB | λ | Greek small letter lamda
Lgr | 039B | Λ | Greek capital letter LAMDA
mgr | 03BC | μ | Greek small letter mu
Mgr | 039C | Μ | Greek capital letter MU
ngr | 03BD | ν | Greek small letter nu
Ngr | 039D | Ν | Greek capital letter NU
xgr | 03BE | ξ | Greek small letter xi
Xgr | 039E | Ξ | Greek capital letter XI
ogr | 03BF | ο | Greek small letter omicron
Ogr | 039F | Ο | Greek capital letter OMICRON
pgr | 03C0 | π | Greek small letter pi
Pgr | 03A0 | Π | Greek capital letter PI
rgr | 03C1 | ρ | Greek small letter rho
Rgr | 03A1 | Ρ | Greek capital letter RHO
sgr | 03C3 | σ | Greek small letter sigma
Sgr | 03A3 | Σ | Greek capital letter SIGMA
sfgr | 03C2 | ς | Greek small letter final sigma
tgr | 03C4 | τ | Greek small letter tau
Tgr | 03A4 | Τ | Greek capital letter TAU
ugr | 03C5 | υ | Greek small letter upsilon
Ugr | 03A5 | Υ | Greek capital letter UPSILON
phgr | 03C6 | φ | Greek small letter phi
PHgr | 03A6 | Φ | Greek capital letter PHI
khgr | 03C7 | χ | Greek small letter chi
KHgr | 03A7 | Χ | Greek capital letter CHI
psgr | 03C8 | ψ | Greek small letter psi
PSgr | 03A8 | Ψ | Greek capital letter PSI
ohgr | 03C9 | ω | Greek small letter omega
OHgr | 03A9 | Ω | Greek capital letter OMEGA

Table 11 ISO Greek 2

Entity | Unicode # | Glyph | ISO Description
aacgr | 03AC | ά | Greek small letter alpha with tonos
Aacgr | 0386 | Ά | Greek capital letter ALPHA with tonos
eacgr | 03AD | έ | Greek small letter epsilon with tonos
Eacgr | 0388 | Έ | Greek capital letter EPSILON with tonos
eeacgr | 03AE | ή | Greek small letter eta with tonos
EEacgr | 0389 | Ή | Greek capital letter ETA with tonos
idigr | 03CA | ϊ | Greek small letter iota with dialytika
Idigr | 03AA | Ϊ | Greek capital letter IOTA with dialytika
iacgr | 03AF | ί | Greek small letter iota with tonos
Iacgr | 038A | Ί | Greek capital letter IOTA with tonos
idiagr | 0390 | ΐ | Greek small letter iota with dialytika and tonos
oacgr | 03CC | ό | Greek small letter omicron with tonos
Oacgr | 038C | Ό | Greek capital letter OMICRON with tonos
udigr | 03CB | ϋ | Greek small letter upsilon with dialytika
Udigr | 03AB | Ϋ | Greek capital letter UPSILON with dialytika
uacgr | 03CD | ύ | Greek small letter upsilon with tonos
Uacgr | 038E | Ύ | Greek capital letter UPSILON with tonos
udiagr | 03B0 | ΰ | Greek small letter upsilon with tonos and dialytika
ohacgr | 03CE | ώ | Greek small letter omega with tonos
OHacgr | 038F | Ώ | Greek capital letter OMEGA with tonos

Table 12 ISO Greek 3

Entity | Unicode # | Glyph | ISO Description
alpha | 03B1 | α | Greek small letter alpha
beta | 03B2 | β | Greek small letter beta
gamma | 03B3 | γ | Greek small letter gamma
Gamma | 0393 | Γ | Greek capital letter GAMMA
delta | 03B4 | δ | Greek small letter delta
Delta | 0394 | Δ | Greek capital letter DELTA
epsiv | 025B | ε | Latin small letter open e
zeta | 03B6 | ζ | Greek small letter zeta
eta | 03B7 | η | Greek small letter eta
thetas | 03B8 | θ | Greek small letter theta
Theta | 0398 | Θ | Greek capital letter THETA
iota | 03B9 | ι | Greek small letter iota
kappa | 03BA | κ | Greek small letter kappa
lambda | 03BB | λ | Greek small letter lamda
Lambda | 039B | Λ | Greek capital letter LAMDA
mu | 03BC | μ | Greek small letter mu
nu | 03BD | ν | Greek small letter nu
xi | 03BE | ξ | Greek small letter xi
Xi | 039E | Ξ | Greek capital letter XI
pi | 03C0 | π | Greek small letter pi
Pi | 03A0 | Π | Greek capital letter PI
rho | 03C1 | ρ | Greek small letter rho
sigma | 03C3 | σ | Greek small letter sigma
Sigma | 03A3 | Σ | Greek capital letter SIGMA
sigmav | 03C2 | ς | Greek small letter final sigma
tau | 03C4 | τ | Greek small letter tau
upsi | 03C5 | υ | Greek small letter upsilon
Upsi | 03D2 | ϒ | Greek upsilon with hook symbol - no longer available -as of 1/26/06.
phis | 03C6 | φ | Greek small letter phi
Phi | 03A6 | Φ | Greek capital letter PHI
chi | 03C7 | χ | Greek small letter chi
psi | 03C8 | ψ | Greek small letter psi
Psi | 03A8 | Ψ | Greek capital letter PSI
omega | 03C9 | ω | Greek small letter omega
Omega | 03A9 | Ω | Greek capital letter OMEGA

Table 13 ISO Greek 4

Entity | Unicode # | Glyph | ISO Description
b.alpha | 03B1 | α | Greek small letter alpha
b.beta | 03B2 | β | Greek small letter beta
b.gamma | 03B3 | γ | Greek small letter gamma
b.Gamma | 0393 | Γ | Greek capital letter GAMMA
b.delta | 03B4 | δ | Greek small letter delta
b.Delta | 0394 | Δ | Greek capital letter DELTA
b.epsi | 03B5 | ε | Greek small letter epsilon
b.epsiv | 025B | ε | Latin small letter open e
b.epsis | 03B5 | ε | Greek small letter epsilon
b.zeta | 03B6 | ζ | Greek small letter zeta
b.eta | 03B7 | η | Greek small letter eta
b.thetas | 03B8 | θ | Greek small letter theta
b.Theta | 0398 | Θ | Greek capital letter THETA
b.iota | 03B9 | ι | Greek small letter iota
b.kappa | 03BA | κ | Greek small letter kappa
b.lambda | 03BB | λ | Greek small letter lamda
b.Lambda | 039B | Λ | Greek capital letter LAMDA
b.mu | 03BC | μ | Greek small letter mu
b.nu | 03BD | ν | Greek small letter nu
b.xi | 03BE | ξ | Greek small letter xi
b.Xi | 039E | Ξ | Greek capital letter XI
b.pi | 03C0 | π | Greek small letter pi
b.Pi | 03A0 | Π | Greek capital letter PI
b.rho | 03C1 | ρ | Greek small letter rho
b.sigma | 03C3 | σ | Greek small letter sigma
b.Sigma | 03A3 | Σ | Greek capital letter SIGMA
b.sigmav | 03C2 | ς | Greek small letter final sigma
b.upsi | 03C5 | υ | Greek small letter upsilon
b.phis | 03C6 | φ | Greek small letter phi
b.Phi | 03A6 | Φ | Greek capital letter PHI
b.chi | 03C7 | χ | Greek small letter chi
b.psi | 03C8 | ψ | Greek small letter psi
b.Psi | 03A8 | Ψ | Greek capital letter PSI
b.omega | 03C9 | ω | Greek small letter omega
b.Omega | 03A9 | Ω | Greek capital letter OMEGA

Table 14 ISO Latin 1

Entity | Unicode # | Glyph | ISO Description
aacute | 00E1 | á | Latin small letter a with acute
Aacute | 00C1 | Á | Latin capital letter A with acute
acirc | 00E2 | â | Latin small letter a with circumflex
Acirc | 00C2 | Â | Latin capital letter A with circumflex
agrave | 00E0 | à | Latin small letter a with grave
Agrave | 00C0 | À | Latin capital letter A with grave
aring | 00E5 | å | Latin small letter a with ring above
Aring | 00C5 | Å | Latin capital letter A with ring above
atilde | 00E3 | ã | Latin small letter a with tilde
Atilde | 00C3 | Ã | Latin capital letter A with tilde
auml | 00E4 | ä | Latin small letter a with diaeresis
Auml | 00C4 | Ä | Latin capital letter A with diaeresis
aelig | 00E6 | æ | Latin small letter ae
AElig | 00C6 | Æ | Latin capital letter AE
ccedil | 00E7 | ç | Latin small letter c with cedilla
Ccedil | 00C7 | Ç | Latin capital letter C with cedilla
eacute | 00E9 | é | Latin small letter e with acute
Eacute | 00C9 | É | Latin capital letter E with acute
ecirc | 00EA | ê | Latin small letter e with circumflex
Ecirc | 00CA | Ê | Latin capital letter E with circumflex
egrave | 00E8 | è | Latin small letter e with grave
Egrave | 00C8 | È | Latin capital letter E with grave
euml | 00EB | ë | Latin small letter e with diaeresis
Euml | 00CB | Ë | Latin capital letter E with diaeresis
iacute | 00ED | í | Latin small letter i with acute
Iacute | 00CD | Í | Latin capital letter I with acute
icirc | 00EE | î | Latin small letter i with circumflex
Icirc | 00CE | Î | Latin capital letter I with circumflex
igrave | 00EC | ì | Latin small letter i with grave
Igrave | 00CC | Ì | Latin capital letter I with grave
iuml | 00EF | ï | Latin small letter i with diaeresis
Iuml | 00CF | Ï | Latin capital letter I with diaeresis
ntilde | 00F1 | ñ | Latin small letter n with tilde
Ntilde | 00D1 | Ñ | Latin capital letter N with tilde
oacute | 00F3 | ó | Latin small letter o with acute
Oacute | 00D3 | Ó | Latin capital letter O with acute
ocirc | 00F4 | ô | Latin small letter o with circumflex
Ocirc | 00D4 | Ô | Latin capital letter O with circumflex
ograve | 00F2 | ò | Latin small letter o with grave
Ograve | 00D2 | Ò | Latin capital letter O with grave
Oslash | 00D8 | Ø | Latin capital letter O with stroke
otilde | 00F5 | õ | Latin small letter o with tilde
Otilde | 00D5 | Õ | Latin capital letter O with tilde
ouml | 00F6 | ö | Latin small letter o with diaeresis
Ouml | 00D6 | Ö | Latin capital letter O with diaeresis
szlig | 00DF | ß | Latin small letter sharp s
thorn | 00FE | þ | Latin small letter thorn
THORN | 00DE | Þ | Latin capital letter THORN
uacute | 00FA | ú | Latin small letter u with acute
Uacute | 00DA | Ú | Latin capital letter U with acute
ugrave | 00F9 | ù | Latin small letter u with grave
Ugrave | 00D9 | Ù | Latin capital letter U with grave
uuml | 00FC | ü | Latin small letter u with diaeresis
Uuml | 00DC | Ü | Latin capital letter U with diaeresis
yacute | 00FD | ý | Latin small letter y with acute
Yacute | 00DD | Ý | Latin capital letter Y with acute
yuml | 00FF | ÿ | Latin small letter y with diaeresis

Table 15 ISO Latin 2

Entity | Unicode # | Glyph | ISO Description
abreve | 0103 | ă | Latin small letter a with breve
Abreve | 0102 | Ă | Latin capital letter A with breve
amacr | 0101 | ā | Latin small letter a with macron
Amacr | 0100 | Ā | Latin capital letter A with macron
aogon | 0105 | ą | Latin small letter a with ogonek
Aogon | 0104 | Ą | Latin capital letter A with ogonek
cacute | 0107 | ć | Latin small letter c with acute
Cacute | 0106 | Ć | Latin capital letter C with acute
ccaron | 010D | č | Latin small letter c with caron
Ccaron | 010C | Č | Latin capital letter C with caron
ccirc | 0109 | ĉ | Latin small letter c with circumflex
Ccirc | 0108 | Ĉ | Latin capital letter C with circumflex
Cdot | 010A | Ċ | Latin capital letter C with dot above
Dcaron | 010E | Ď | Latin capital letter D with caron
dstrok | 0111 | đ | Latin small letter d with stroke
Dstrok | 0110 | Đ | Latin capital letter D with stroke
ecaron | 011B | ě | Latin small letter e with caron
Ecaron | 011A | Ě | Latin capital letter E with caron
edot | 0117 | ė | Latin small letter e with dot above
Edot | 0116 | Ė | Latin capital letter E with dot above
emacr | 0113 | ē | Latin small letter e with macron
Emacr | 0112 | Ē | Latin capital letter E with macron
eogon | 0119 | ę | Latin small letter e with ogonek
Eogon | 0118 | Ę | Latin capital letter E with ogonek
gbreve | 011F | ğ | Latin small letter g with breve
Gbreve | 011E | Ğ | Latin capital letter G with breve
Gcedil | 0122 | Ģ | Latin capital letter G with cedilla
gcirc | 011D | ĝ | Latin small letter g with circumflex
Gcirc | 011C | Ĝ | Latin capital letter G with circumflex
gdot | 0121 | ġ | Latin small letter g with dot above
Gdot | 0120 | Ġ | Latin capital letter G with dot above
hcirc | 0125 | ĥ | Latin small letter h with circumflex
Hcirc | 0124 | Ĥ | Latin capital letter H with circumflex
hstrok | 0127 | ħ | Latin small letter h with stroke
Hstrok | 0126 | Ħ | Latin capital letter H with stroke
Idot | 0130 | İ | Latin capital letter I with dot above
Imacr | 012A | Ī | Latin capital letter I with macron
imacr | 012B | ī | Latin small letter i with macron
ijlig | 0133 | ĳ | Latin small ligature ij
IJlig | 0132 | Ĳ | Latin capital ligature ij
inodot | 0131 | ı | Latin small letter dotless i
iogon | 012F | į | Latin small letter i with ogonek
Iogon | 012E | Į | Latin capital letter I with ogonek
itilde | 0129 | ĩ | Latin small letter i with tilde
Itilde | 0128 | Ĩ | Latin capital letter I with tilde
jcirc | 0135 | ĵ | Latin small letter j with circumflex
Jcirc | 0134 | Ĵ | Latin capital letter J with circumflex
kcedil | 0137 | ķ | Latin small letter k with cedilla
Kcedil | 0136 | Ķ | Latin capital letter K with cedilla
kgreen | 0138 | ĸ | Latin small letter kra
lacute | 013A | ĺ | Latin small letter l with acute
Lacute | 0139 | Ĺ | Latin capital letter L with acute
lcedil | 013C | ļ | Latin small letter l with cedilla
Lcedil | 013B | Ļ | Latin capital letter L with cedilla
Lmidot | 013F | Ŀ | Latin capital letter L with middle dot
lstrok | 0142 | ł | Latin small letter l with stroke
Lstrok | 0141 | Ł | Latin capital letter L with stroke
nacute | 0144 | ń | Latin small letter n with acute
Nacute | 0143 | Ń | Latin capital letter N with acute
ncaron | 0148 | ň | Latin small letter n with caron
Ncaron | 0147 | Ň | Latin capital letter N with caron
ncedil | 0146 | ņ | Latin small letter n with cedilla
Ncedil | 0145 | Ņ | Latin capital letter N with cedilla
odblac | 0151 | ő | Latin small letter o with double acute
Odblac | 0150 | Ő | Latin capital letter O with double acute
Omacr | 014C | Ō | Latin capital letter O with macron
omacr | 014D | ō | Latin small letter o with macron
oelig | 0153 | œ | Latin small ligature oe
OElig | 0152 | Œ | Latin capital ligature oe
racute | 0155 | ŕ | Latin small letter r with acute
Racute | 0154 | Ŕ | Latin capital letter R with acute
rcaron | 0159 | ř | Latin small letter r with caron
Rcaron | 0158 | Ř | Latin capital letter R with caron
rcedil | 0157 | ŗ | Latin small letter r with cedilla
Rcedil | 0156 | Ŗ | Latin capital letter R with cedilla
sacute | 015B | ś | Latin small letter s with acute
Sacute | 015A | Ś | Latin capital letter S with acute
scaron | 0161 | š | Latin small letter s with caron
Scaron | 0160 | Š | Latin capital letter S with caron
scedil | 015F | ş | Latin small letter s with cedilla
Scedil | 015E | Ş | Latin capital letter S with cedilla
scirc | 015D | ŝ | Latin small letter s with circumflex
Scirc | 015C | Ŝ | Latin capital letter S with circumflex
Tcaron | 0164 | Ť | Latin capital letter T with caron
tcedil | 0163 | ţ | Latin small letter t with cedilla
Tcedil | 0162 | Ţ | Latin capital letter T with cedilla
Tstrok | 0166 | Ŧ | Latin capital letter T with stroke
ubreve | 016D | ŭ | Latin small letter u with breve
Ubreve | 016C | Ŭ | Latin capital letter U with breve
udblac | 0171 | ű | Latin small letter u with double acute
Udblac | 0170 | Ű | Latin capital letter U with double acute
umacr | 016B | ū | Latin small letter u with macron
Umacr | 016A | Ū | Latin capital letter U with macron
uogon | 0173 | ų | Latin small letter u with ogonek
Uogon | 0172 | Ų | Latin capital letter U with ogonek
uring | 016F | ů | Latin small letter u with ring above
Uring | 016E | Ů | Latin capital letter U with ring above
utilde | 0169 | ũ | Latin small letter u with tilde
Utilde | 0168 | Ũ | Latin capital letter U with tilde
wcirc | 0175 | ŵ | Latin small letter w with circumflex
Wcirc | 0174 | Ŵ | Latin capital letter W with circumflex
ycirc | 0177 | ŷ | Latin small letter y with circumflex
Ycirc | 0176 | Ŷ | Latin capital letter Y with circumflex
Yuml | 0178 | Ÿ | Latin capital letter Y with diaeresis
zacute | 017A | ź | Latin small letter z with acute
Zacute | 0179 | Ź | Latin capital letter Z with acute
zcaron | 017E | ž | Latin small letter z with caron
Zcaron | 017D | Ž | Latin capital letter Z with caron
zdot | 017C | ż | Latin small letter z with dot above
Zdot | 017B | Ż | Latin capital letter Z with dot above

Table 16 ISO Numeric

Entity | Unicode # | Glyph | ISO Description
half | 00BD | ½ | Vulgar fraction one half
frac12 | 00BD | ½ | Vulgar fraction one half
frac14 | 00BC | ¼ | Vulgar fraction one quarter
frac34 | 00BE | ¾ | Vulgar fraction three quarters
frac18 | 215B | ⅛ | Vulgar fraction one eighth
frac38 | 215C | ⅜ | Vulgar fraction three eighths
frac58 | 215D | ⅝ | Vulgar fraction five eighths
frac78 | 215E | ⅞ | Vulgar fraction seven eighths
sup1 | 00B9 | ¹ | Superscript one
sup2 | 00B2 | ² | Superscript two
sup3 | 00B3 | ³ | Superscript three
plus | 002B | + | Plus sign
plusmn | 00B1 | ± | Plus-minus sign
lt | 003C | < | Less-than sign
equals | 003D | = | Equals sign
gt | 003E | > | Greater-than sign
divide | 00F7 | ÷ | Division sign
times | 00D7 | × | Multiplication sign
curren | 00A4 | ¤ | Currency sign
pound | 00A3 | £ | Pound sign
dollar | 0024 | $ | Dollar sign
cent | 00A2 | ¢ | Cent sign
yen | 00A5 | ¥ | Yen sign
num | 0023 | # | Number sign
percnt | 0025 | % | Percent sign
amp | 0026 | & | Ampersand
commat | 0040 | @ | Commercial at
lsqb | 005B | [ | Left square bracket
bsol | 005C | \ | Reverse solidus
rsqb | 005D | ] | Right square bracket
lcub | 007B | { | Left curly bracket
horbar | 2015 | ― | Horizontal bar
verbar | 007C | | | Vertical line
rcub | 007D | } | Right curly bracket
micro | 00B5 | µ | Micro sign
ohm | 2126 | Ω | Ohm sign
deg | 00B0 | ° | Degree sign
sect | 00A7 | § | Section sign
para | 00B6 | ¶ | Pilcrow sign
middot | 00B7 | · | Middle dot
larr | 2190 | ← | Leftwards arrow
rarr | 2192 | → | Rightwards arrow
uarr | 2191 | ↑ | Upwards arrow
darr | 2193 | ↓ | Downwards arrow
copy | 00A9 | © | Copyright sign
reg | 00AE | ® | Registered sign
trade | 2122 | ™ | Trade mark sign
brvbar | 00A6 | ¦ | Broken bar
not | 00AC | ¬ | Not sign
excl | 0021 | ! | Exclamation mark
iexcl | 00A1 | ¡ | Inverted exclamation mark
quot | 0022 | " | Quotation mark
apos | 0027 | ' | Apostrophe
lpar | 0028 | ( | Left parenthesis
rpar | 0029 | ) | Right parenthesis
comma | 002C | , | Comma
lowbar | 005F | _ | Low line
period | 002E | . | Period
sol | 002F | / | Solidus
colon | 003A | : | Colon
semi | 003B | ; | Semicolon
quest | 003F | ? | Question mark
iquest | 00BF | ¿ | Inverted question mark
laquo | 00AB | « | Left-pointing double angle quotation mark
raquo | 00BB | » | Right-pointing double angle quotation mark
lsquo | 2018 | ‘ | Left single quotation mark
rsquo | 2019 | ’ | Right single quotation mark
ldquo | 201C | “ | Left double quotation mark
rdquo | 201D | ” | Right double quotation mark

Table 17 ISO Publishing

Entity | Unicode # | Glyph | ISO Description
mdash | 2014 | — | Em dash
ndash | 2013 | – | En dash
dash | 2010 | - | Dash
hellip | 2026 | … | Horizontal ellipsis
nldr | 2025 | ‥ | Two dot leader
frac13 | 2153 | ⅓ | Vulgar fraction one third
frac23 | 2154 | ⅔ | Vulgar fraction two thirds
incare | 2105 | ℅ | Care of
block | 2588 | █ | Full block
uhblk | 2580 | ▀ | Upper half block
lhblk | 2584 | ▄ | Lower half block
cir | 25CB | ○ | White circle
squ | 25A1 | □ | White square
bull | 2022 | • | Bullet
clubs | 2663 | ♣ | Black club suit
diams | 2666 | ♦ | Black diamond suit
hearts | 2661 | ♥ | White heart suit
spades | 2660 | ♠ | Black spade suit
dagger | 2020 | † | Dagger
Dagger | 2021 | ‡ | Double dagger
sharp | 266F | ♯ | Music sharp sign
flat | 266D | ♭ | Music flat sign
lsquor | 201A | ‚ | Single low-nine quotation mark
ldquor | 201E | „ | Double low-nine quotation mark
mldr | 2026 | … | Horizontal ellipsis
rdquor | 201D | ‟ | Right double quotation mark
rsquor | 2019 | ‛ | Right single quotation mark
loz | 25CA | ◊ | Lozenge
starf |  | ★ | bigstar - star, filled

Table 18 ISO Technical

Entity | Unicode # | Glyph | ISO Description
and | 2227 | ∧ | Logical and
ap | 2248 | ≈ | Almost equal to
bottom | 22A5 | ⊥ | Up tack
cap | 2229 | ∩ | Intersection
cup | 222A | ∪ | Union
equiv | 2261 | ≡ | Identical to
exist | 2203 | ∃ | There exists
forall | 2200 | ∀ | For all
fnof | 0192 | ƒ | Latin small letter f with hook
ge | 2265 | ≥ | Greater-than or equal to
infin | 221E | ∞ | Infinity
int | 222B | ∫ | Integral
lang | 3008 | 〈 | Left angle bracket
le | 2264 | ≤ | Less-than or equal to
minus | 2212 | − | Minus sign
ne | 2260 | ≠ | Not equal to
or | 2228 | ∨ | Logical or
par | 2225 | ∥ | Parallel to
part | 2202 | ∂ | Partial differential
permil | 2030 | ‰ | Per mille sign
perp | 22A5 | ⊥ | Up tack
prime | 2032 | ′ | Prime
Prime | 2033 | ″ | Double prime
prop | 221D | ∝ | Proportional to
radic | 221A | √ | Square root
rang | 3009 | 〉 | Right angle bracket
rArr | 21D2 | ⇒ | Rightwards double arrow
sim | 223C | ∼ | Tilde operator
square | 25A1 | □ | White square
sub | 2282 | ⊂ | Subset of
sube | 2286 | ⊆ | Subset of or equal to
sup | 2283 | ⊃ | Superset of
supe | 2287 | ⊇ | Superset of or equal to
there4 | 2234 | ∴ | Therefore
Verbar | 2016 | ‖ | Double vertical line
angst | 212B | Å | Angstrom sign